#include "tree_sitter/parser.h"

#if defined(__GNUC__) || defined(__clang__)
#pragma GCC diagnostic ignored "-Wmissing-field-initializers"
#endif

#ifdef _MSC_VER
#pragma optimize("", off)
#elif defined(__clang__)
#pragma clang optimize off
#elif defined(__GNUC__)
#pragma GCC optimize ("O0")
#endif

#define LANGUAGE_VERSION 14
#define STATE_COUNT 10454
#define LARGE_STATE_COUNT 3463
#define SYMBOL_COUNT 551
#define ALIAS_COUNT 5
#define TOKEN_COUNT 237
#define EXTERNAL_TOKEN_COUNT 2
#define FIELD_COUNT 50
#define MAX_ALIAS_SEQUENCE_LENGTH 9
#define PRODUCTION_ID_COUNT 225

enum ts_symbol_identifiers {
  sym_identifier = 1,
  aux_sym_preproc_include_token1 = 2,
  aux_sym_preproc_include_token2 = 3,
  aux_sym_preproc_def_token1 = 4,
  anon_sym_LPAREN = 5,
  anon_sym_DOT_DOT_DOT = 6,
  anon_sym_COMMA = 7,
  anon_sym_RPAREN = 8,
  aux_sym_preproc_if_token1 = 9,
  anon_sym_LF = 10,
  aux_sym_preproc_if_token2 = 11,
  aux_sym_preproc_ifdef_token1 = 12,
  aux_sym_preproc_ifdef_token2 = 13,
  aux_sym_preproc_else_token1 = 14,
  aux_sym_preproc_elif_token1 = 15,
  aux_sym_preproc_elifdef_token1 = 16,
  aux_sym_preproc_elifdef_token2 = 17,
  sym_preproc_arg = 18,
  sym_preproc_directive = 19,
  anon_sym_LPAREN2 = 20,
  anon_sym_defined = 21,
  anon_sym_BANG = 22,
  anon_sym_TILDE = 23,
  anon_sym_DASH = 24,
  anon_sym_PLUS = 25,
  anon_sym_STAR = 26,
  anon_sym_SLASH = 27,
  anon_sym_PERCENT = 28,
  anon_sym_PIPE_PIPE = 29,
  anon_sym_AMP_AMP = 30,
  anon_sym_PIPE = 31,
  anon_sym_CARET = 32,
  anon_sym_AMP = 33,
  anon_sym_EQ_EQ = 34,
  anon_sym_BANG_EQ = 35,
  anon_sym_GT = 36,
  anon_sym_GT_EQ = 37,
  anon_sym_LT_EQ = 38,
  anon_sym_LT = 39,
  anon_sym_LT_LT = 40,
  anon_sym_GT_GT = 41,
  anon_sym_COLON = 42,
  anon_sym_SEMI = 43,
  anon_sym___extension__ = 44,
  anon_sym_typedef = 45,
  anon_sym_in = 46,
  anon_sym_out = 47,
  anon_sym_inout = 48,
  anon_sym_extern = 49,
  anon_sym___attribute__ = 50,
  anon_sym_COLON_COLON = 51,
  anon_sym_LBRACK_LBRACK = 52,
  anon_sym_RBRACK_RBRACK = 53,
  anon_sym___declspec = 54,
  anon_sym___based = 55,
  anon_sym___cdecl = 56,
  anon_sym___clrcall = 57,
  anon_sym___stdcall = 58,
  anon_sym___fastcall = 59,
  anon_sym___thiscall = 60,
  anon_sym___vectorcall = 61,
  sym_ms_restrict_modifier = 62,
  sym_ms_unsigned_ptr_modifier = 63,
  sym_ms_signed_ptr_modifier = 64,
  anon_sym__unaligned = 65,
  anon_sym___unaligned = 66,
  anon_sym_LBRACE = 67,
  anon_sym_RBRACE = 68,
  anon_sym_signed = 69,
  anon_sym_unsigned = 70,
  anon_sym_long = 71,
  anon_sym_short = 72,
  anon_sym_LBRACK = 73,
  anon_sym_RBRACK = 74,
  anon_sym_EQ = 75,
  anon_sym_static = 76,
  anon_sym_register = 77,
  anon_sym_inline = 78,
  anon_sym___inline = 79,
  anon_sym___inline__ = 80,
  anon_sym___forceinline = 81,
  anon_sym_thread_local = 82,
  anon_sym___thread = 83,
  anon_sym_const = 84,
  anon_sym_constexpr = 85,
  anon_sym_volatile = 86,
  anon_sym_restrict = 87,
  anon_sym___restrict__ = 88,
  anon_sym__Atomic = 89,
  anon_sym__Noreturn = 90,
  anon_sym_noreturn = 91,
  anon_sym_mutable = 92,
  anon_sym_constinit = 93,
  anon_sym_consteval = 94,
  sym_primitive_type = 95,
  anon_sym_enum = 96,
  anon_sym_class = 97,
  anon_sym_struct = 98,
  anon_sym_union = 99,
  anon_sym_if = 100,
  anon_sym_else = 101,
  anon_sym_switch = 102,
  anon_sym_case = 103,
  anon_sym_default = 104,
  anon_sym_while = 105,
  anon_sym_do = 106,
  anon_sym_for = 107,
  anon_sym_return = 108,
  anon_sym_break = 109,
  anon_sym_continue = 110,
  anon_sym_goto = 111,
  anon_sym___try = 112,
  anon_sym___except = 113,
  anon_sym___finally = 114,
  anon_sym___leave = 115,
  anon_sym_QMARK = 116,
  anon_sym_STAR_EQ = 117,
  anon_sym_SLASH_EQ = 118,
  anon_sym_PERCENT_EQ = 119,
  anon_sym_PLUS_EQ = 120,
  anon_sym_DASH_EQ = 121,
  anon_sym_LT_LT_EQ = 122,
  anon_sym_GT_GT_EQ = 123,
  anon_sym_AMP_EQ = 124,
  anon_sym_CARET_EQ = 125,
  anon_sym_PIPE_EQ = 126,
  anon_sym_and_eq = 127,
  anon_sym_or_eq = 128,
  anon_sym_xor_eq = 129,
  anon_sym_not = 130,
  anon_sym_compl = 131,
  anon_sym_LT_EQ_GT = 132,
  anon_sym_or = 133,
  anon_sym_and = 134,
  anon_sym_bitor = 135,
  anon_sym_xor = 136,
  anon_sym_bitand = 137,
  anon_sym_not_eq = 138,
  anon_sym_DASH_DASH = 139,
  anon_sym_PLUS_PLUS = 140,
  anon_sym_sizeof = 141,
  anon_sym___alignof__ = 142,
  anon_sym___alignof = 143,
  anon_sym__alignof = 144,
  anon_sym_alignof = 145,
  anon_sym__Alignof = 146,
  anon_sym_offsetof = 147,
  anon_sym__Generic = 148,
  anon_sym_asm = 149,
  anon_sym___asm__ = 150,
  anon_sym_DOT = 151,
  anon_sym_DOT_STAR = 152,
  anon_sym_DASH_GT = 153,
  sym_number_literal = 154,
  anon_sym_L_SQUOTE = 155,
  anon_sym_u_SQUOTE = 156,
  anon_sym_U_SQUOTE = 157,
  anon_sym_u8_SQUOTE = 158,
  anon_sym_SQUOTE = 159,
  aux_sym_char_literal_token1 = 160,
  anon_sym_L_DQUOTE = 161,
  anon_sym_u_DQUOTE = 162,
  anon_sym_U_DQUOTE = 163,
  anon_sym_u8_DQUOTE = 164,
  anon_sym_DQUOTE = 165,
  aux_sym_string_literal_token1 = 166,
  sym_escape_sequence = 167,
  sym_system_lib_string = 168,
  sym_true = 169,
  sym_false = 170,
  anon_sym_NULL = 171,
  anon_sym_nullptr = 172,
  sym_comment = 173,
  sym_auto = 174,
  anon_sym_decltype = 175,
  anon_sym_final = 176,
  anon_sym_override = 177,
  anon_sym_virtual = 178,
  anon_sym_alignas = 179,
  anon_sym_explicit = 180,
  anon_sym_typename = 181,
  anon_sym_template = 182,
  anon_sym_GT2 = 183,
  anon_sym_operator = 184,
  anon_sym_try = 185,
  anon_sym_delete = 186,
  anon_sym_friend = 187,
  anon_sym_public = 188,
  anon_sym_private = 189,
  anon_sym_protected = 190,
  anon_sym_noexcept = 191,
  anon_sym_throw = 192,
  anon_sym_namespace = 193,
  anon_sym_using = 194,
  anon_sym_static_assert = 195,
  anon_sym_concept = 196,
  anon_sym_co_return = 197,
  anon_sym_co_yield = 198,
  anon_sym_catch = 199,
  anon_sym_R_DQUOTE = 200,
  anon_sym_LR_DQUOTE = 201,
  anon_sym_uR_DQUOTE = 202,
  anon_sym_UR_DQUOTE = 203,
  anon_sym_u8R_DQUOTE = 204,
  anon_sym_co_await = 205,
  anon_sym_new = 206,
  anon_sym_requires = 207,
  anon_sym_DASH_GT_STAR = 208,
  anon_sym_LPAREN_RPAREN = 209,
  anon_sym_LBRACK_RBRACK = 210,
  anon_sym_DQUOTE_DQUOTE = 211,
  sym_this = 212,
  sym_literal_suffix = 213,
  anon_sym_discard = 214,
  anon_sym_precise = 215,
  anon_sym_shared = 216,
  anon_sym_groupshared = 217,
  anon_sym_uniform = 218,
  anon_sym_row_major = 219,
  anon_sym_column_major = 220,
  anon_sym_globallycoherent = 221,
  anon_sym_centroid = 222,
  anon_sym_noperspective = 223,
  anon_sym_nointerpolation = 224,
  anon_sym_sample = 225,
  anon_sym_linear = 226,
  anon_sym_snorm = 227,
  anon_sym_unorm = 228,
  anon_sym_point = 229,
  anon_sym_line = 230,
  anon_sym_triangleadj = 231,
  anon_sym_lineadj = 232,
  anon_sym_triangle = 233,
  anon_sym_cbuffer = 234,
  sym_raw_string_delimiter = 235,
  sym_raw_string_content = 236,
  sym_translation_unit = 237,
  sym_preproc_include = 238,
  sym_preproc_def = 239,
  sym_preproc_function_def = 240,
  sym_preproc_params = 241,
  sym_preproc_call = 242,
  sym_preproc_if = 243,
  sym_preproc_ifdef = 244,
  sym_preproc_else = 245,
  sym_preproc_elif = 246,
  sym_preproc_elifdef = 247,
  sym_preproc_if_in_field_declaration_list = 248,
  sym_preproc_ifdef_in_field_declaration_list = 249,
  sym_preproc_else_in_field_declaration_list = 250,
  sym_preproc_elif_in_field_declaration_list = 251,
  sym_preproc_elifdef_in_field_declaration_list = 252,
  sym_preproc_if_in_enumerator_list = 253,
  sym_preproc_ifdef_in_enumerator_list = 254,
  sym_preproc_else_in_enumerator_list = 255,
  sym_preproc_elif_in_enumerator_list = 256,
  sym_preproc_elifdef_in_enumerator_list = 257,
  sym_preproc_if_in_enumerator_list_no_comma = 258,
  sym_preproc_ifdef_in_enumerator_list_no_comma = 259,
  sym_preproc_else_in_enumerator_list_no_comma = 260,
  sym_preproc_elif_in_enumerator_list_no_comma = 261,
  sym_preproc_elifdef_in_enumerator_list_no_comma = 262,
  sym__preproc_expression = 263,
  sym_preproc_parenthesized_expression = 264,
  sym_preproc_defined = 265,
  sym_preproc_unary_expression = 266,
  sym_preproc_call_expression = 267,
  sym_preproc_argument_list = 268,
  sym_preproc_binary_expression = 269,
  sym_function_definition = 270,
  sym_declaration = 271,
  sym_type_definition = 272,
  sym__type_definition_type = 273,
  sym__type_definition_declarators = 274,
  sym__declaration_modifiers = 275,
  sym__declaration_specifiers = 276,
  sym_linkage_specification = 277,
  sym_attribute_specifier = 278,
  sym_attribute = 279,
  sym_attribute_declaration = 280,
  sym_ms_declspec_modifier = 281,
  sym_ms_based_modifier = 282,
  sym_ms_call_modifier = 283,
  sym_ms_unaligned_ptr_modifier = 284,
  sym_ms_pointer_modifier = 285,
  sym_declaration_list = 286,
  sym__declarator = 287,
  sym__field_declarator = 288,
  sym__type_declarator = 289,
  sym__abstract_declarator = 290,
  sym_parenthesized_declarator = 291,
  sym_parenthesized_field_declarator = 292,
  sym_parenthesized_type_declarator = 293,
  sym_abstract_parenthesized_declarator = 294,
  sym_attributed_declarator = 295,
  sym_attributed_field_declarator = 296,
  sym_attributed_type_declarator = 297,
  sym_pointer_declarator = 298,
  sym_pointer_field_declarator = 299,
  sym_pointer_type_declarator = 300,
  sym_abstract_pointer_declarator = 301,
  sym_function_declarator = 302,
  sym_function_field_declarator = 303,
  sym_function_type_declarator = 304,
  sym_abstract_function_declarator = 305,
  sym_array_declarator = 306,
  sym_array_field_declarator = 307,
  sym_array_type_declarator = 308,
  sym_abstract_array_declarator = 309,
  sym_init_declarator = 310,
  sym_compound_statement = 311,
  sym_storage_class_specifier = 312,
  sym_type_qualifier = 313,
  sym__type_specifier = 314,
  sym_sized_type_specifier = 315,
  sym_enum_specifier = 316,
  sym_enumerator_list = 317,
  sym_struct_specifier = 318,
  sym_union_specifier = 319,
  sym_field_declaration_list = 320,
  sym__field_declaration_list_item = 321,
  sym_field_declaration = 322,
  sym_bitfield_clause = 323,
  sym_enumerator = 324,
  sym_parameter_list = 325,
  sym_parameter_declaration = 326,
  sym_attributed_statement = 327,
  sym_labeled_statement = 328,
  sym__top_level_expression_statement = 329,
  sym_expression_statement = 330,
  sym_if_statement = 331,
  sym_else_clause = 332,
  sym_switch_statement = 333,
  sym_case_statement = 334,
  sym_while_statement = 335,
  sym_do_statement = 336,
  sym_for_statement = 337,
  sym__for_statement_body = 338,
  sym_return_statement = 339,
  sym_break_statement = 340,
  sym_continue_statement = 341,
  sym_goto_statement = 342,
  sym_seh_try_statement = 343,
  sym_seh_except_clause = 344,
  sym_seh_finally_clause = 345,
  sym_seh_leave_statement = 346,
  sym__expression = 347,
  sym__expression_not_binary = 348,
  sym__string = 349,
  sym_comma_expression = 350,
  sym_conditional_expression = 351,
  sym_assignment_expression = 352,
  sym_pointer_expression = 353,
  sym_unary_expression = 354,
  sym_binary_expression = 355,
  sym_update_expression = 356,
  sym_cast_expression = 357,
  sym_type_descriptor = 358,
  sym_sizeof_expression = 359,
  sym_alignof_expression = 360,
  sym_offsetof_expression = 361,
  sym_generic_expression = 362,
  sym_subscript_expression = 363,
  sym_call_expression = 364,
  sym_gnu_asm_expression = 365,
  sym_gnu_asm_qualifier = 366,
  sym_gnu_asm_output_operand_list = 367,
  sym_gnu_asm_output_operand = 368,
  sym_gnu_asm_input_operand_list = 369,
  sym_gnu_asm_input_operand = 370,
  sym_gnu_asm_clobber_list = 371,
  sym_gnu_asm_goto_list = 372,
  sym_argument_list = 373,
  sym_field_expression = 374,
  sym_compound_literal_expression = 375,
  sym_parenthesized_expression = 376,
  sym_initializer_list = 377,
  sym_initializer_pair = 378,
  sym_subscript_designator = 379,
  sym_subscript_range_designator = 380,
  sym_field_designator = 381,
  sym_char_literal = 382,
  sym_concatenated_string = 383,
  sym_string_literal = 384,
  sym_null = 385,
  sym__empty_declaration = 386,
  sym_placeholder_type_specifier = 387,
  sym_decltype_auto = 388,
  sym_decltype = 389,
  sym__class_declaration = 390,
  sym__class_declaration_item = 391,
  sym_class_specifier = 392,
  sym__class_name = 393,
  sym_virtual_specifier = 394,
  sym_virtual = 395,
  sym_alignas_specifier = 396,
  sym_explicit_function_specifier = 397,
  sym_base_class_clause = 398,
  sym__enum_base_clause = 399,
  sym_dependent_type = 400,
  sym_template_declaration = 401,
  sym_template_instantiation = 402,
  sym_template_parameter_list = 403,
  sym_type_parameter_declaration = 404,
  sym_variadic_type_parameter_declaration = 405,
  sym_optional_type_parameter_declaration = 406,
  sym_template_template_parameter_declaration = 407,
  sym_optional_parameter_declaration = 408,
  sym_variadic_parameter_declaration = 409,
  sym_variadic_declarator = 410,
  sym_variadic_reference_declarator = 411,
  sym_operator_cast = 412,
  sym_field_initializer_list = 413,
  sym_field_initializer = 414,
  sym_inline_method_definition = 415,
  sym__constructor_specifiers = 416,
  sym_operator_cast_definition = 417,
  sym_operator_cast_declaration = 418,
  sym_constructor_try_statement = 419,
  sym_constructor_or_destructor_definition = 420,
  sym_constructor_or_destructor_declaration = 421,
  sym_default_method_clause = 422,
  sym_delete_method_clause = 423,
  sym_friend_declaration = 424,
  sym_access_specifier = 425,
  sym_reference_declarator = 426,
  sym_reference_field_declarator = 427,
  sym_abstract_reference_declarator = 428,
  sym_structured_binding_declarator = 429,
  sym_ref_qualifier = 430,
  sym__function_declarator_seq = 431,
  sym__function_attributes_start = 432,
  sym__function_exception_specification = 433,
  sym__function_attributes_end = 434,
  sym__function_postfix = 435,
  sym_trailing_return_type = 436,
  sym_noexcept = 437,
  sym_throw_specifier = 438,
  sym_template_type = 439,
  sym_template_method = 440,
  sym_template_function = 441,
  sym_template_argument_list = 442,
  sym_namespace_definition = 443,
  sym_namespace_alias_definition = 444,
  sym__namespace_specifier = 445,
  sym_nested_namespace_specifier = 446,
  sym_using_declaration = 447,
  sym_alias_declaration = 448,
  sym_static_assert_declaration = 449,
  sym_concept_definition = 450,
  sym_for_range_loop = 451,
  sym__for_range_loop_body = 452,
  sym_init_statement = 453,
  sym_condition_clause = 454,
  sym_condition_declaration = 455,
  sym_co_return_statement = 456,
  sym_co_yield_statement = 457,
  sym_throw_statement = 458,
  sym_try_statement = 459,
  sym_catch_clause = 460,
  sym_raw_string_literal = 461,
  sym_subscript_argument_list = 462,
  sym_co_await_expression = 463,
  sym_new_expression = 464,
  sym_new_declarator = 465,
  sym_delete_expression = 466,
  sym_type_requirement = 467,
  sym_compound_requirement = 468,
  sym__requirement = 469,
  sym_requirement_seq = 470,
  sym_constraint_conjunction = 471,
  sym_constraint_disjunction = 472,
  sym__requirement_clause_constraint = 473,
  sym_requires_clause = 474,
  sym_requires_parameter_list = 475,
  sym_requires_expression = 476,
  sym_lambda_expression = 477,
  sym_lambda_capture_specifier = 478,
  sym_lambda_default_capture = 479,
  sym__fold_operator = 480,
  sym__binary_fold_operator = 481,
  sym__unary_left_fold = 482,
  sym__unary_right_fold = 483,
  sym__binary_fold = 484,
  sym_fold_expression = 485,
  sym_parameter_pack_expansion = 486,
  sym_type_parameter_pack_expansion = 487,
  sym_destructor_name = 488,
  sym_dependent_identifier = 489,
  sym_dependent_field_identifier = 490,
  sym_dependent_type_identifier = 491,
  sym__scope_resolution = 492,
  sym_qualified_field_identifier = 493,
  sym_qualified_identifier = 494,
  sym_qualified_type_identifier = 495,
  sym_qualified_operator_cast_identifier = 496,
  sym__assignment_expression_lhs = 497,
  sym_operator_name = 498,
  sym_user_defined_literal = 499,
  sym_semantics = 500,
  sym_discard_statement = 501,
  sym_qualifiers = 502,
  sym_cbuffer_specifier = 503,
  sym_hlsl_attribute = 504,
  aux_sym_translation_unit_repeat1 = 505,
  aux_sym_preproc_params_repeat1 = 506,
  aux_sym_preproc_if_repeat1 = 507,
  aux_sym_preproc_if_in_field_declaration_list_repeat1 = 508,
  aux_sym_preproc_if_in_enumerator_list_repeat1 = 509,
  aux_sym_preproc_if_in_enumerator_list_no_comma_repeat1 = 510,
  aux_sym_preproc_argument_list_repeat1 = 511,
  aux_sym_declaration_repeat1 = 512,
  aux_sym_type_definition_repeat1 = 513,
  aux_sym__type_definition_type_repeat1 = 514,
  aux_sym__type_definition_declarators_repeat1 = 515,
  aux_sym__declaration_specifiers_repeat1 = 516,
  aux_sym_attribute_declaration_repeat1 = 517,
  aux_sym_attributed_declarator_repeat1 = 518,
  aux_sym_pointer_declarator_repeat1 = 519,
  aux_sym_sized_type_specifier_repeat1 = 520,
  aux_sym_enumerator_list_repeat1 = 521,
  aux_sym_field_declaration_repeat1 = 522,
  aux_sym_parameter_list_repeat1 = 523,
  aux_sym_case_statement_repeat1 = 524,
  aux_sym_generic_expression_repeat1 = 525,
  aux_sym_gnu_asm_expression_repeat1 = 526,
  aux_sym_gnu_asm_output_operand_list_repeat1 = 527,
  aux_sym_gnu_asm_input_operand_list_repeat1 = 528,
  aux_sym_gnu_asm_clobber_list_repeat1 = 529,
  aux_sym_gnu_asm_goto_list_repeat1 = 530,
  aux_sym_argument_list_repeat1 = 531,
  aux_sym_initializer_list_repeat1 = 532,
  aux_sym_initializer_pair_repeat1 = 533,
  aux_sym_char_literal_repeat1 = 534,
  aux_sym_concatenated_string_repeat1 = 535,
  aux_sym_string_literal_repeat1 = 536,
  aux_sym__class_declaration_repeat1 = 537,
  aux_sym_base_class_clause_repeat1 = 538,
  aux_sym_template_parameter_list_repeat1 = 539,
  aux_sym_field_initializer_list_repeat1 = 540,
  aux_sym_operator_cast_definition_repeat1 = 541,
  aux_sym_constructor_try_statement_repeat1 = 542,
  aux_sym_structured_binding_declarator_repeat1 = 543,
  aux_sym__function_postfix_repeat1 = 544,
  aux_sym_throw_specifier_repeat1 = 545,
  aux_sym_template_argument_list_repeat1 = 546,
  aux_sym_subscript_argument_list_repeat1 = 547,
  aux_sym_requirement_seq_repeat1 = 548,
  aux_sym_requires_parameter_list_repeat1 = 549,
  aux_sym_lambda_capture_specifier_repeat1 = 550,
  alias_sym_field_identifier = 551,
  alias_sym_namespace_identifier = 552,
  alias_sym_simple_requirement = 553,
  alias_sym_statement_identifier = 554,
  alias_sym_type_identifier = 555,
};

static const char * const ts_symbol_names[] = {
  [ts_builtin_sym_end] = "end",
  [sym_identifier] = "identifier",
  [aux_sym_preproc_include_token1] = "#include",
  [aux_sym_preproc_include_token2] = "preproc_include_token2",
  [aux_sym_preproc_def_token1] = "#define",
  [anon_sym_LPAREN] = "(",
  [anon_sym_DOT_DOT_DOT] = "...",
  [anon_sym_COMMA] = ",",
  [anon_sym_RPAREN] = ")",
  [aux_sym_preproc_if_token1] = "#if",
  [anon_sym_LF] = "\n",
  [aux_sym_preproc_if_token2] = "#endif",
  [aux_sym_preproc_ifdef_token1] = "#ifdef",
  [aux_sym_preproc_ifdef_token2] = "#ifndef",
  [aux_sym_preproc_else_token1] = "#else",
  [aux_sym_preproc_elif_token1] = "#elif",
  [aux_sym_preproc_elifdef_token1] = "#elifdef",
  [aux_sym_preproc_elifdef_token2] = "#elifndef",
  [sym_preproc_arg] = "preproc_arg",
  [sym_preproc_directive] = "preproc_directive",
  [anon_sym_LPAREN2] = "(",
  [anon_sym_defined] = "defined",
  [anon_sym_BANG] = "!",
  [anon_sym_TILDE] = "~",
  [anon_sym_DASH] = "-",
  [anon_sym_PLUS] = "+",
  [anon_sym_STAR] = "*",
  [anon_sym_SLASH] = "/",
  [anon_sym_PERCENT] = "%",
  [anon_sym_PIPE_PIPE] = "||",
  [anon_sym_AMP_AMP] = "&&",
  [anon_sym_PIPE] = "|",
  [anon_sym_CARET] = "^",
  [anon_sym_AMP] = "&",
  [anon_sym_EQ_EQ] = "==",
  [anon_sym_BANG_EQ] = "!=",
  [anon_sym_GT] = ">",
  [anon_sym_GT_EQ] = ">=",
  [anon_sym_LT_EQ] = "<=",
  [anon_sym_LT] = "<",
  [anon_sym_LT_LT] = "<<",
  [anon_sym_GT_GT] = ">>",
  [anon_sym_COLON] = ":",
  [anon_sym_SEMI] = ";",
  [anon_sym___extension__] = "__extension__",
  [anon_sym_typedef] = "typedef",
  [anon_sym_in] = "in",
  [anon_sym_out] = "out",
  [anon_sym_inout] = "inout",
  [anon_sym_extern] = "extern",
  [anon_sym___attribute__] = "__attribute__",
  [anon_sym_COLON_COLON] = "::",
  [anon_sym_LBRACK_LBRACK] = "[[",
  [anon_sym_RBRACK_RBRACK] = "]]",
  [anon_sym___declspec] = "__declspec",
  [anon_sym___based] = "__based",
  [anon_sym___cdecl] = "__cdecl",
  [anon_sym___clrcall] = "__clrcall",
  [anon_sym___stdcall] = "__stdcall",
  [anon_sym___fastcall] = "__fastcall",
  [anon_sym___thiscall] = "__thiscall",
  [anon_sym___vectorcall] = "__vectorcall",
  [sym_ms_restrict_modifier] = "ms_restrict_modifier",
  [sym_ms_unsigned_ptr_modifier] = "ms_unsigned_ptr_modifier",
  [sym_ms_signed_ptr_modifier] = "ms_signed_ptr_modifier",
  [anon_sym__unaligned] = "_unaligned",
  [anon_sym___unaligned] = "__unaligned",
  [anon_sym_LBRACE] = "{",
  [anon_sym_RBRACE] = "}",
  [anon_sym_signed] = "signed",
  [anon_sym_unsigned] = "unsigned",
  [anon_sym_long] = "long",
  [anon_sym_short] = "short",
  [anon_sym_LBRACK] = "[",
  [anon_sym_RBRACK] = "]",
  [anon_sym_EQ] = "=",
  [anon_sym_static] = "static",
  [anon_sym_register] = "register",
  [anon_sym_inline] = "inline",
  [anon_sym___inline] = "__inline",
  [anon_sym___inline__] = "__inline__",
  [anon_sym___forceinline] = "__forceinline",
  [anon_sym_thread_local] = "thread_local",
  [anon_sym___thread] = "__thread",
  [anon_sym_const] = "const",
  [anon_sym_constexpr] = "constexpr",
  [anon_sym_volatile] = "volatile",
  [anon_sym_restrict] = "restrict",
  [anon_sym___restrict__] = "__restrict__",
  [anon_sym__Atomic] = "_Atomic",
  [anon_sym__Noreturn] = "_Noreturn",
  [anon_sym_noreturn] = "noreturn",
  [anon_sym_mutable] = "mutable",
  [anon_sym_constinit] = "constinit",
  [anon_sym_consteval] = "consteval",
  [sym_primitive_type] = "primitive_type",
  [anon_sym_enum] = "enum",
  [anon_sym_class] = "class",
  [anon_sym_struct] = "struct",
  [anon_sym_union] = "union",
  [anon_sym_if] = "if",
  [anon_sym_else] = "else",
  [anon_sym_switch] = "switch",
  [anon_sym_case] = "case",
  [anon_sym_default] = "default",
  [anon_sym_while] = "while",
  [anon_sym_do] = "do",
  [anon_sym_for] = "for",
  [anon_sym_return] = "return",
  [anon_sym_break] = "break",
  [anon_sym_continue] = "continue",
  [anon_sym_goto] = "goto",
  [anon_sym___try] = "__try",
  [anon_sym___except] = "__except",
  [anon_sym___finally] = "__finally",
  [anon_sym___leave] = "__leave",
  [anon_sym_QMARK] = "\?",
  [anon_sym_STAR_EQ] = "*=",
  [anon_sym_SLASH_EQ] = "/=",
  [anon_sym_PERCENT_EQ] = "%=",
  [anon_sym_PLUS_EQ] = "+=",
  [anon_sym_DASH_EQ] = "-=",
  [anon_sym_LT_LT_EQ] = "<<=",
  [anon_sym_GT_GT_EQ] = ">>=",
  [anon_sym_AMP_EQ] = "&=",
  [anon_sym_CARET_EQ] = "^=",
  [anon_sym_PIPE_EQ] = "|=",
  [anon_sym_and_eq] = "and_eq",
  [anon_sym_or_eq] = "or_eq",
  [anon_sym_xor_eq] = "xor_eq",
  [anon_sym_not] = "not",
  [anon_sym_compl] = "compl",
  [anon_sym_LT_EQ_GT] = "<=>",
  [anon_sym_or] = "or",
  [anon_sym_and] = "and",
  [anon_sym_bitor] = "bitor",
  [anon_sym_xor] = "xor",
  [anon_sym_bitand] = "bitand",
  [anon_sym_not_eq] = "not_eq",
  [anon_sym_DASH_DASH] = "--",
  [anon_sym_PLUS_PLUS] = "++",
  [anon_sym_sizeof] = "sizeof",
  [anon_sym___alignof__] = "__alignof__",
  [anon_sym___alignof] = "__alignof",
  [anon_sym__alignof] = "_alignof",
  [anon_sym_alignof] = "alignof",
  [anon_sym__Alignof] = "_Alignof",
  [anon_sym_offsetof] = "offsetof",
  [anon_sym__Generic] = "_Generic",
  [anon_sym_asm] = "asm",
  [anon_sym___asm__] = "__asm__",
  [anon_sym_DOT] = ".",
  [anon_sym_DOT_STAR] = ".*",
  [anon_sym_DASH_GT] = "->",
  [sym_number_literal] = "number_literal",
  [anon_sym_L_SQUOTE] = "L'",
  [anon_sym_u_SQUOTE] = "u'",
  [anon_sym_U_SQUOTE] = "U'",
  [anon_sym_u8_SQUOTE] = "u8'",
  [anon_sym_SQUOTE] = "'",
  [aux_sym_char_literal_token1] = "character",
  [anon_sym_L_DQUOTE] = "L\"",
  [anon_sym_u_DQUOTE] = "u\"",
  [anon_sym_U_DQUOTE] = "U\"",
  [anon_sym_u8_DQUOTE] = "u8\"",
  [anon_sym_DQUOTE] = "\"",
  [aux_sym_string_literal_token1] = "string_content",
  [sym_escape_sequence] = "escape_sequence",
  [sym_system_lib_string] = "system_lib_string",
  [sym_true] = "true",
  [sym_false] = "false",
  [anon_sym_NULL] = "NULL",
  [anon_sym_nullptr] = "nullptr",
  [sym_comment] = "comment",
  [sym_auto] = "auto",
  [anon_sym_decltype] = "decltype",
  [anon_sym_final] = "final",
  [anon_sym_override] = "override",
  [anon_sym_virtual] = "virtual",
  [anon_sym_alignas] = "alignas",
  [anon_sym_explicit] = "explicit",
  [anon_sym_typename] = "typename",
  [anon_sym_template] = "template",
  [anon_sym_GT2] = ">",
  [anon_sym_operator] = "operator",
  [anon_sym_try] = "try",
  [anon_sym_delete] = "delete",
  [anon_sym_friend] = "friend",
  [anon_sym_public] = "public",
  [anon_sym_private] = "private",
  [anon_sym_protected] = "protected",
  [anon_sym_noexcept] = "noexcept",
  [anon_sym_throw] = "throw",
  [anon_sym_namespace] = "namespace",
  [anon_sym_using] = "using",
  [anon_sym_static_assert] = "static_assert",
  [anon_sym_concept] = "concept",
  [anon_sym_co_return] = "co_return",
  [anon_sym_co_yield] = "co_yield",
  [anon_sym_catch] = "catch",
  [anon_sym_R_DQUOTE] = "R\"",
  [anon_sym_LR_DQUOTE] = "LR\"",
  [anon_sym_uR_DQUOTE] = "uR\"",
  [anon_sym_UR_DQUOTE] = "UR\"",
  [anon_sym_u8R_DQUOTE] = "u8R\"",
  [anon_sym_co_await] = "co_await",
  [anon_sym_new] = "new",
  [anon_sym_requires] = "requires",
  [anon_sym_DASH_GT_STAR] = "->*",
  [anon_sym_LPAREN_RPAREN] = "()",
  [anon_sym_LBRACK_RBRACK] = "[]",
  [anon_sym_DQUOTE_DQUOTE] = "\"\"",
  [sym_this] = "this",
  [sym_literal_suffix] = "literal_suffix",
  [anon_sym_discard] = "discard",
  [anon_sym_precise] = "precise",
  [anon_sym_shared] = "shared",
  [anon_sym_groupshared] = "groupshared",
  [anon_sym_uniform] = "uniform",
  [anon_sym_row_major] = "row_major",
  [anon_sym_column_major] = "column_major",
  [anon_sym_globallycoherent] = "globallycoherent",
  [anon_sym_centroid] = "centroid",
  [anon_sym_noperspective] = "noperspective",
  [anon_sym_nointerpolation] = "nointerpolation",
  [anon_sym_sample] = "sample",
  [anon_sym_linear] = "linear",
  [anon_sym_snorm] = "snorm",
  [anon_sym_unorm] = "unorm",
  [anon_sym_point] = "point",
  [anon_sym_line] = "line",
  [anon_sym_triangleadj] = "triangleadj",
  [anon_sym_lineadj] = "lineadj",
  [anon_sym_triangle] = "triangle",
  [anon_sym_cbuffer] = "cbuffer",
  [sym_raw_string_delimiter] = "raw_string_delimiter",
  [sym_raw_string_content] = "raw_string_content",
  [sym_translation_unit] = "translation_unit",
  [sym_preproc_include] = "preproc_include",
  [sym_preproc_def] = "preproc_def",
  [sym_preproc_function_def] = "preproc_function_def",
  [sym_preproc_params] = "preproc_params",
  [sym_preproc_call] = "preproc_call",
  [sym_preproc_if] = "preproc_if",
  [sym_preproc_ifdef] = "preproc_ifdef",
  [sym_preproc_else] = "preproc_else",
  [sym_preproc_elif] = "preproc_elif",
  [sym_preproc_elifdef] = "preproc_elifdef",
  [sym_preproc_if_in_field_declaration_list] = "preproc_if",
  [sym_preproc_ifdef_in_field_declaration_list] = "preproc_ifdef",
  [sym_preproc_else_in_field_declaration_list] = "preproc_else",
  [sym_preproc_elif_in_field_declaration_list] = "preproc_elif",
  [sym_preproc_elifdef_in_field_declaration_list] = "preproc_elifdef",
  [sym_preproc_if_in_enumerator_list] = "preproc_if",
  [sym_preproc_ifdef_in_enumerator_list] = "preproc_ifdef",
  [sym_preproc_else_in_enumerator_list] = "preproc_else",
  [sym_preproc_elif_in_enumerator_list] = "preproc_elif",
  [sym_preproc_elifdef_in_enumerator_list] = "preproc_elifdef",
  [sym_preproc_if_in_enumerator_list_no_comma] = "preproc_if",
  [sym_preproc_ifdef_in_enumerator_list_no_comma] = "preproc_ifdef",
  [sym_preproc_else_in_enumerator_list_no_comma] = "preproc_else",
  [sym_preproc_elif_in_enumerator_list_no_comma] = "preproc_elif",
  [sym_preproc_elifdef_in_enumerator_list_no_comma] = "preproc_elifdef",
  [sym__preproc_expression] = "_preproc_expression",
  [sym_preproc_parenthesized_expression] = "parenthesized_expression",
  [sym_preproc_defined] = "preproc_defined",
  [sym_preproc_unary_expression] = "unary_expression",
  [sym_preproc_call_expression] = "call_expression",
  [sym_preproc_argument_list] = "argument_list",
  [sym_preproc_binary_expression] = "binary_expression",
  [sym_function_definition] = "function_definition",
  [sym_declaration] = "declaration",
  [sym_type_definition] = "type_definition",
  [sym__type_definition_type] = "_type_definition_type",
  [sym__type_definition_declarators] = "_type_definition_declarators",
  [sym__declaration_modifiers] = "_declaration_modifiers",
  [sym__declaration_specifiers] = "_declaration_specifiers",
  [sym_linkage_specification] = "linkage_specification",
  [sym_attribute_specifier] = "attribute_specifier",
  [sym_attribute] = "attribute",
  [sym_attribute_declaration] = "attribute_declaration",
  [sym_ms_declspec_modifier] = "ms_declspec_modifier",
  [sym_ms_based_modifier] = "ms_based_modifier",
  [sym_ms_call_modifier] = "ms_call_modifier",
  [sym_ms_unaligned_ptr_modifier] = "ms_unaligned_ptr_modifier",
  [sym_ms_pointer_modifier] = "ms_pointer_modifier",
  [sym_declaration_list] = "declaration_list",
  [sym__declarator] = "_declarator",
  [sym__field_declarator] = "_field_declarator",
  [sym__type_declarator] = "_type_declarator",
  [sym__abstract_declarator] = "_abstract_declarator",
  [sym_parenthesized_declarator] = "parenthesized_declarator",
  [sym_parenthesized_field_declarator] = "parenthesized_declarator",
  [sym_parenthesized_type_declarator] = "parenthesized_declarator",
  [sym_abstract_parenthesized_declarator] = "abstract_parenthesized_declarator",
  [sym_attributed_declarator] = "attributed_declarator",
  [sym_attributed_field_declarator] = "attributed_declarator",
  [sym_attributed_type_declarator] = "attributed_declarator",
  [sym_pointer_declarator] = "pointer_declarator",
  [sym_pointer_field_declarator] = "pointer_declarator",
  [sym_pointer_type_declarator] = "pointer_type_declarator",
  [sym_abstract_pointer_declarator] = "abstract_pointer_declarator",
  [sym_function_declarator] = "function_declarator",
  [sym_function_field_declarator] = "function_declarator",
  [sym_function_type_declarator] = "function_declarator",
  [sym_abstract_function_declarator] = "abstract_function_declarator",
  [sym_array_declarator] = "array_declarator",
  [sym_array_field_declarator] = "array_declarator",
  [sym_array_type_declarator] = "array_declarator",
  [sym_abstract_array_declarator] = "abstract_array_declarator",
  [sym_init_declarator] = "init_declarator",
  [sym_compound_statement] = "compound_statement",
  [sym_storage_class_specifier] = "storage_class_specifier",
  [sym_type_qualifier] = "type_qualifier",
  [sym__type_specifier] = "_type_specifier",
  [sym_sized_type_specifier] = "sized_type_specifier",
  [sym_enum_specifier] = "enum_specifier",
  [sym_enumerator_list] = "enumerator_list",
  [sym_struct_specifier] = "struct_specifier",
  [sym_union_specifier] = "union_specifier",
  [sym_field_declaration_list] = "field_declaration_list",
  [sym__field_declaration_list_item] = "_field_declaration_list_item",
  [sym_field_declaration] = "field_declaration",
  [sym_bitfield_clause] = "bitfield_clause",
  [sym_enumerator] = "enumerator",
  [sym_parameter_list] = "parameter_list",
  [sym_parameter_declaration] = "parameter_declaration",
  [sym_attributed_statement] = "attributed_statement",
  [sym_labeled_statement] = "labeled_statement",
  [sym__top_level_expression_statement] = "expression_statement",
  [sym_expression_statement] = "expression_statement",
  [sym_if_statement] = "if_statement",
  [sym_else_clause] = "else_clause",
  [sym_switch_statement] = "switch_statement",
  [sym_case_statement] = "case_statement",
  [sym_while_statement] = "while_statement",
  [sym_do_statement] = "do_statement",
  [sym_for_statement] = "for_statement",
  [sym__for_statement_body] = "_for_statement_body",
  [sym_return_statement] = "return_statement",
  [sym_break_statement] = "break_statement",
  [sym_continue_statement] = "continue_statement",
  [sym_goto_statement] = "goto_statement",
  [sym_seh_try_statement] = "seh_try_statement",
  [sym_seh_except_clause] = "seh_except_clause",
  [sym_seh_finally_clause] = "seh_finally_clause",
  [sym_seh_leave_statement] = "seh_leave_statement",
  [sym__expression] = "_expression",
  [sym__expression_not_binary] = "_expression_not_binary",
  [sym__string] = "_string",
  [sym_comma_expression] = "comma_expression",
  [sym_conditional_expression] = "conditional_expression",
  [sym_assignment_expression] = "assignment_expression",
  [sym_pointer_expression] = "pointer_expression",
  [sym_unary_expression] = "unary_expression",
  [sym_binary_expression] = "binary_expression",
  [sym_update_expression] = "update_expression",
  [sym_cast_expression] = "cast_expression",
  [sym_type_descriptor] = "type_descriptor",
  [sym_sizeof_expression] = "sizeof_expression",
  [sym_alignof_expression] = "alignof_expression",
  [sym_offsetof_expression] = "offsetof_expression",
  [sym_generic_expression] = "generic_expression",
  [sym_subscript_expression] = "subscript_expression",
  [sym_call_expression] = "call_expression",
  [sym_gnu_asm_expression] = "gnu_asm_expression",
  [sym_gnu_asm_qualifier] = "gnu_asm_qualifier",
  [sym_gnu_asm_output_operand_list] = "gnu_asm_output_operand_list",
  [sym_gnu_asm_output_operand] = "gnu_asm_output_operand",
  [sym_gnu_asm_input_operand_list] = "gnu_asm_input_operand_list",
  [sym_gnu_asm_input_operand] = "gnu_asm_input_operand",
  [sym_gnu_asm_clobber_list] = "gnu_asm_clobber_list",
  [sym_gnu_asm_goto_list] = "gnu_asm_goto_list",
  [sym_argument_list] = "argument_list",
  [sym_field_expression] = "field_expression",
  [sym_compound_literal_expression] = "compound_literal_expression",
  [sym_parenthesized_expression] = "parenthesized_expression",
  [sym_initializer_list] = "initializer_list",
  [sym_initializer_pair] = "initializer_pair",
  [sym_subscript_designator] = "subscript_designator",
  [sym_subscript_range_designator] = "subscript_range_designator",
  [sym_field_designator] = "field_designator",
  [sym_char_literal] = "char_literal",
  [sym_concatenated_string] = "concatenated_string",
  [sym_string_literal] = "string_literal",
  [sym_null] = "null",
  [sym__empty_declaration] = "_empty_declaration",
  [sym_placeholder_type_specifier] = "placeholder_type_specifier",
  [sym_decltype_auto] = "decltype",
  [sym_decltype] = "decltype",
  [sym__class_declaration] = "_class_declaration",
  [sym__class_declaration_item] = "_class_declaration_item",
  [sym_class_specifier] = "class_specifier",
  [sym__class_name] = "_class_name",
  [sym_virtual_specifier] = "virtual_specifier",
  [sym_virtual] = "virtual",
  [sym_alignas_specifier] = "alignas_specifier",
  [sym_explicit_function_specifier] = "explicit_function_specifier",
  [sym_base_class_clause] = "base_class_clause",
  [sym__enum_base_clause] = "_enum_base_clause",
  [sym_dependent_type] = "dependent_type",
  [sym_template_declaration] = "template_declaration",
  [sym_template_instantiation] = "template_instantiation",
  [sym_template_parameter_list] = "template_parameter_list",
  [sym_type_parameter_declaration] = "type_parameter_declaration",
  [sym_variadic_type_parameter_declaration] = "variadic_type_parameter_declaration",
  [sym_optional_type_parameter_declaration] = "optional_type_parameter_declaration",
  [sym_template_template_parameter_declaration] = "template_template_parameter_declaration",
  [sym_optional_parameter_declaration] = "optional_parameter_declaration",
  [sym_variadic_parameter_declaration] = "variadic_parameter_declaration",
  [sym_variadic_declarator] = "variadic_declarator",
  [sym_variadic_reference_declarator] = "reference_declarator",
  [sym_operator_cast] = "operator_cast",
  [sym_field_initializer_list] = "field_initializer_list",
  [sym_field_initializer] = "field_initializer",
  [sym_inline_method_definition] = "function_definition",
  [sym__constructor_specifiers] = "_constructor_specifiers",
  [sym_operator_cast_definition] = "function_definition",
  [sym_operator_cast_declaration] = "declaration",
  [sym_constructor_try_statement] = "try_statement",
  [sym_constructor_or_destructor_definition] = "function_definition",
  [sym_constructor_or_destructor_declaration] = "declaration",
  [sym_default_method_clause] = "default_method_clause",
  [sym_delete_method_clause] = "delete_method_clause",
  [sym_friend_declaration] = "friend_declaration",
  [sym_access_specifier] = "access_specifier",
  [sym_reference_declarator] = "reference_declarator",
  [sym_reference_field_declarator] = "reference_declarator",
  [sym_abstract_reference_declarator] = "abstract_reference_declarator",
  [sym_structured_binding_declarator] = "structured_binding_declarator",
  [sym_ref_qualifier] = "ref_qualifier",
  [sym__function_declarator_seq] = "_function_declarator_seq",
  [sym__function_attributes_start] = "_function_attributes_start",
  [sym__function_exception_specification] = "_function_exception_specification",
  [sym__function_attributes_end] = "_function_attributes_end",
  [sym__function_postfix] = "_function_postfix",
  [sym_trailing_return_type] = "trailing_return_type",
  [sym_noexcept] = "noexcept",
  [sym_throw_specifier] = "throw_specifier",
  [sym_template_type] = "template_type",
  [sym_template_method] = "template_method",
  [sym_template_function] = "template_function",
  [sym_template_argument_list] = "template_argument_list",
  [sym_namespace_definition] = "namespace_definition",
  [sym_namespace_alias_definition] = "namespace_alias_definition",
  [sym__namespace_specifier] = "_namespace_specifier",
  [sym_nested_namespace_specifier] = "nested_namespace_specifier",
  [sym_using_declaration] = "using_declaration",
  [sym_alias_declaration] = "alias_declaration",
  [sym_static_assert_declaration] = "static_assert_declaration",
  [sym_concept_definition] = "concept_definition",
  [sym_for_range_loop] = "for_range_loop",
  [sym__for_range_loop_body] = "_for_range_loop_body",
  [sym_init_statement] = "init_statement",
  [sym_condition_clause] = "condition_clause",
  [sym_condition_declaration] = "declaration",
  [sym_co_return_statement] = "co_return_statement",
  [sym_co_yield_statement] = "co_yield_statement",
  [sym_throw_statement] = "throw_statement",
  [sym_try_statement] = "try_statement",
  [sym_catch_clause] = "catch_clause",
  [sym_raw_string_literal] = "raw_string_literal",
  [sym_subscript_argument_list] = "subscript_argument_list",
  [sym_co_await_expression] = "co_await_expression",
  [sym_new_expression] = "new_expression",
  [sym_new_declarator] = "new_declarator",
  [sym_delete_expression] = "delete_expression",
  [sym_type_requirement] = "type_requirement",
  [sym_compound_requirement] = "compound_requirement",
  [sym__requirement] = "_requirement",
  [sym_requirement_seq] = "requirement_seq",
  [sym_constraint_conjunction] = "constraint_conjunction",
  [sym_constraint_disjunction] = "constraint_disjunction",
  [sym__requirement_clause_constraint] = "_requirement_clause_constraint",
  [sym_requires_clause] = "requires_clause",
  [sym_requires_parameter_list] = "parameter_list",
  [sym_requires_expression] = "requires_expression",
  [sym_lambda_expression] = "lambda_expression",
  [sym_lambda_capture_specifier] = "lambda_capture_specifier",
  [sym_lambda_default_capture] = "lambda_default_capture",
  [sym__fold_operator] = "_fold_operator",
  [sym__binary_fold_operator] = "_binary_fold_operator",
  [sym__unary_left_fold] = "_unary_left_fold",
  [sym__unary_right_fold] = "_unary_right_fold",
  [sym__binary_fold] = "_binary_fold",
  [sym_fold_expression] = "fold_expression",
  [sym_parameter_pack_expansion] = "parameter_pack_expansion",
  [sym_type_parameter_pack_expansion] = "parameter_pack_expansion",
  [sym_destructor_name] = "destructor_name",
  [sym_dependent_identifier] = "dependent_name",
  [sym_dependent_field_identifier] = "dependent_name",
  [sym_dependent_type_identifier] = "dependent_name",
  [sym__scope_resolution] = "_scope_resolution",
  [sym_qualified_field_identifier] = "qualified_identifier",
  [sym_qualified_identifier] = "qualified_identifier",
  [sym_qualified_type_identifier] = "qualified_identifier",
  [sym_qualified_operator_cast_identifier] = "qualified_identifier",
  [sym__assignment_expression_lhs] = "assignment_expression",
  [sym_operator_name] = "operator_name",
  [sym_user_defined_literal] = "user_defined_literal",
  [sym_semantics] = "semantics",
  [sym_discard_statement] = "discard_statement",
  [sym_qualifiers] = "qualifiers",
  [sym_cbuffer_specifier] = "cbuffer_specifier",
  [sym_hlsl_attribute] = "hlsl_attribute",
  [aux_sym_translation_unit_repeat1] = "translation_unit_repeat1",
  [aux_sym_preproc_params_repeat1] = "preproc_params_repeat1",
  [aux_sym_preproc_if_repeat1] = "preproc_if_repeat1",
  [aux_sym_preproc_if_in_field_declaration_list_repeat1] = "preproc_if_in_field_declaration_list_repeat1",
  [aux_sym_preproc_if_in_enumerator_list_repeat1] = "preproc_if_in_enumerator_list_repeat1",
  [aux_sym_preproc_if_in_enumerator_list_no_comma_repeat1] = "preproc_if_in_enumerator_list_no_comma_repeat1",
  [aux_sym_preproc_argument_list_repeat1] = "preproc_argument_list_repeat1",
  [aux_sym_declaration_repeat1] = "declaration_repeat1",
  [aux_sym_type_definition_repeat1] = "type_definition_repeat1",
  [aux_sym__type_definition_type_repeat1] = "_type_definition_type_repeat1",
  [aux_sym__type_definition_declarators_repeat1] = "_type_definition_declarators_repeat1",
  [aux_sym__declaration_specifiers_repeat1] = "_declaration_specifiers_repeat1",
  [aux_sym_attribute_declaration_repeat1] = "attribute_declaration_repeat1",
  [aux_sym_attributed_declarator_repeat1] = "attributed_declarator_repeat1",
  [aux_sym_pointer_declarator_repeat1] = "pointer_declarator_repeat1",
  [aux_sym_sized_type_specifier_repeat1] = "sized_type_specifier_repeat1",
  [aux_sym_enumerator_list_repeat1] = "enumerator_list_repeat1",
  [aux_sym_field_declaration_repeat1] = "field_declaration_repeat1",
  [aux_sym_parameter_list_repeat1] = "parameter_list_repeat1",
  [aux_sym_case_statement_repeat1] = "case_statement_repeat1",
  [aux_sym_generic_expression_repeat1] = "generic_expression_repeat1",
  [aux_sym_gnu_asm_expression_repeat1] = "gnu_asm_expression_repeat1",
  [aux_sym_gnu_asm_output_operand_list_repeat1] = "gnu_asm_output_operand_list_repeat1",
  [aux_sym_gnu_asm_input_operand_list_repeat1] = "gnu_asm_input_operand_list_repeat1",
  [aux_sym_gnu_asm_clobber_list_repeat1] = "gnu_asm_clobber_list_repeat1",
  [aux_sym_gnu_asm_goto_list_repeat1] = "gnu_asm_goto_list_repeat1",
  [aux_sym_argument_list_repeat1] = "argument_list_repeat1",
  [aux_sym_initializer_list_repeat1] = "initializer_list_repeat1",
  [aux_sym_initializer_pair_repeat1] = "initializer_pair_repeat1",
  [aux_sym_char_literal_repeat1] = "char_literal_repeat1",
  [aux_sym_concatenated_string_repeat1] = "concatenated_string_repeat1",
  [aux_sym_string_literal_repeat1] = "string_literal_repeat1",
  [aux_sym__class_declaration_repeat1] = "_class_declaration_repeat1",
  [aux_sym_base_class_clause_repeat1] = "base_class_clause_repeat1",
  [aux_sym_template_parameter_list_repeat1] = "template_parameter_list_repeat1",
  [aux_sym_field_initializer_list_repeat1] = "field_initializer_list_repeat1",
  [aux_sym_operator_cast_definition_repeat1] = "operator_cast_definition_repeat1",
  [aux_sym_constructor_try_statement_repeat1] = "constructor_try_statement_repeat1",
  [aux_sym_structured_binding_declarator_repeat1] = "structured_binding_declarator_repeat1",
  [aux_sym__function_postfix_repeat1] = "_function_postfix_repeat1",
  [aux_sym_throw_specifier_repeat1] = "throw_specifier_repeat1",
  [aux_sym_template_argument_list_repeat1] = "template_argument_list_repeat1",
  [aux_sym_subscript_argument_list_repeat1] = "subscript_argument_list_repeat1",
  [aux_sym_requirement_seq_repeat1] = "requirement_seq_repeat1",
  [aux_sym_requires_parameter_list_repeat1] = "requires_parameter_list_repeat1",
  [aux_sym_lambda_capture_specifier_repeat1] = "lambda_capture_specifier_repeat1",
  [alias_sym_field_identifier] = "field_identifier",
  [alias_sym_namespace_identifier] = "namespace_identifier",
  [alias_sym_simple_requirement] = "simple_requirement",
  [alias_sym_statement_identifier] = "statement_identifier",
  [alias_sym_type_identifier] = "type_identifier",
};

static const TSSymbol ts_symbol_map[] = {
  [ts_builtin_sym_end] = ts_builtin_sym_end,
  [sym_identifier] = sym_identifier,
  [aux_sym_preproc_include_token1] = aux_sym_preproc_include_token1,
  [aux_sym_preproc_include_token2] = aux_sym_preproc_include_token2,
  [aux_sym_preproc_def_token1] = aux_sym_preproc_def_token1,
  [anon_sym_LPAREN] = anon_sym_LPAREN,
  [anon_sym_DOT_DOT_DOT] = anon_sym_DOT_DOT_DOT,
  [anon_sym_COMMA] = anon_sym_COMMA,
  [anon_sym_RPAREN] = anon_sym_RPAREN,
  [aux_sym_preproc_if_token1] = aux_sym_preproc_if_token1,
  [anon_sym_LF] = anon_sym_LF,
  [aux_sym_preproc_if_token2] = aux_sym_preproc_if_token2,
  [aux_sym_preproc_ifdef_token1] = aux_sym_preproc_ifdef_token1,
  [aux_sym_preproc_ifdef_token2] = aux_sym_preproc_ifdef_token2,
  [aux_sym_preproc_else_token1] = aux_sym_preproc_else_token1,
  [aux_sym_preproc_elif_token1] = aux_sym_preproc_elif_token1,
  [aux_sym_preproc_elifdef_token1] = aux_sym_preproc_elifdef_token1,
  [aux_sym_preproc_elifdef_token2] = aux_sym_preproc_elifdef_token2,
  [sym_preproc_arg] = sym_preproc_arg,
  [sym_preproc_directive] = sym_preproc_directive,
  [anon_sym_LPAREN2] = anon_sym_LPAREN,
  [anon_sym_defined] = anon_sym_defined,
  [anon_sym_BANG] = anon_sym_BANG,
  [anon_sym_TILDE] = anon_sym_TILDE,
  [anon_sym_DASH] = anon_sym_DASH,
  [anon_sym_PLUS] = anon_sym_PLUS,
  [anon_sym_STAR] = anon_sym_STAR,
  [anon_sym_SLASH] = anon_sym_SLASH,
  [anon_sym_PERCENT] = anon_sym_PERCENT,
  [anon_sym_PIPE_PIPE] = anon_sym_PIPE_PIPE,
  [anon_sym_AMP_AMP] = anon_sym_AMP_AMP,
  [anon_sym_PIPE] = anon_sym_PIPE,
  [anon_sym_CARET] = anon_sym_CARET,
  [anon_sym_AMP] = anon_sym_AMP,
  [anon_sym_EQ_EQ] = anon_sym_EQ_EQ,
  [anon_sym_BANG_EQ] = anon_sym_BANG_EQ,
  [anon_sym_GT] = anon_sym_GT,
  [anon_sym_GT_EQ] = anon_sym_GT_EQ,
  [anon_sym_LT_EQ] = anon_sym_LT_EQ,
  [anon_sym_LT] = anon_sym_LT,
  [anon_sym_LT_LT] = anon_sym_LT_LT,
  [anon_sym_GT_GT] = anon_sym_GT_GT,
  [anon_sym_COLON] = anon_sym_COLON,
  [anon_sym_SEMI] = anon_sym_SEMI,
  [anon_sym___extension__] = anon_sym___extension__,
  [anon_sym_typedef] = anon_sym_typedef,
  [anon_sym_in] = anon_sym_in,
  [anon_sym_out] = anon_sym_out,
  [anon_sym_inout] = anon_sym_inout,
  [anon_sym_extern] = anon_sym_extern,
  [anon_sym___attribute__] = anon_sym___attribute__,
  [anon_sym_COLON_COLON] = anon_sym_COLON_COLON,
  [anon_sym_LBRACK_LBRACK] = anon_sym_LBRACK_LBRACK,
  [anon_sym_RBRACK_RBRACK] = anon_sym_RBRACK_RBRACK,
  [anon_sym___declspec] = anon_sym___declspec,
  [anon_sym___based] = anon_sym___based,
  [anon_sym___cdecl] = anon_sym___cdecl,
  [anon_sym___clrcall] = anon_sym___clrcall,
  [anon_sym___stdcall] = anon_sym___stdcall,
  [anon_sym___fastcall] = anon_sym___fastcall,
  [anon_sym___thiscall] = anon_sym___thiscall,
  [anon_sym___vectorcall] = anon_sym___vectorcall,
  [sym_ms_restrict_modifier] = sym_ms_restrict_modifier,
  [sym_ms_unsigned_ptr_modifier] = sym_ms_unsigned_ptr_modifier,
  [sym_ms_signed_ptr_modifier] = sym_ms_signed_ptr_modifier,
  [anon_sym__unaligned] = anon_sym__unaligned,
  [anon_sym___unaligned] = anon_sym___unaligned,
  [anon_sym_LBRACE] = anon_sym_LBRACE,
  [anon_sym_RBRACE] = anon_sym_RBRACE,
  [anon_sym_signed] = anon_sym_signed,
  [anon_sym_unsigned] = anon_sym_unsigned,
  [anon_sym_long] = anon_sym_long,
  [anon_sym_short] = anon_sym_short,
  [anon_sym_LBRACK] = anon_sym_LBRACK,
  [anon_sym_RBRACK] = anon_sym_RBRACK,
  [anon_sym_EQ] = anon_sym_EQ,
  [anon_sym_static] = anon_sym_static,
  [anon_sym_register] = anon_sym_register,
  [anon_sym_inline] = anon_sym_inline,
  [anon_sym___inline] = anon_sym___inline,
  [anon_sym___inline__] = anon_sym___inline__,
  [anon_sym___forceinline] = anon_sym___forceinline,
  [anon_sym_thread_local] = anon_sym_thread_local,
  [anon_sym___thread] = anon_sym___thread,
  [anon_sym_const] = anon_sym_const,
  [anon_sym_constexpr] = anon_sym_constexpr,
  [anon_sym_volatile] = anon_sym_volatile,
  [anon_sym_restrict] = anon_sym_restrict,
  [anon_sym___restrict__] = anon_sym___restrict__,
  [anon_sym__Atomic] = anon_sym__Atomic,
  [anon_sym__Noreturn] = anon_sym__Noreturn,
  [anon_sym_noreturn] = anon_sym_noreturn,
  [anon_sym_mutable] = anon_sym_mutable,
  [anon_sym_constinit] = anon_sym_constinit,
  [anon_sym_consteval] = anon_sym_consteval,
  [sym_primitive_type] = sym_primitive_type,
  [anon_sym_enum] = anon_sym_enum,
  [anon_sym_class] = anon_sym_class,
  [anon_sym_struct] = anon_sym_struct,
  [anon_sym_union] = anon_sym_union,
  [anon_sym_if] = anon_sym_if,
  [anon_sym_else] = anon_sym_else,
  [anon_sym_switch] = anon_sym_switch,
  [anon_sym_case] = anon_sym_case,
  [anon_sym_default] = anon_sym_default,
  [anon_sym_while] = anon_sym_while,
  [anon_sym_do] = anon_sym_do,
  [anon_sym_for] = anon_sym_for,
  [anon_sym_return] = anon_sym_return,
  [anon_sym_break] = anon_sym_break,
  [anon_sym_continue] = anon_sym_continue,
  [anon_sym_goto] = anon_sym_goto,
  [anon_sym___try] = anon_sym___try,
  [anon_sym___except] = anon_sym___except,
  [anon_sym___finally] = anon_sym___finally,
  [anon_sym___leave] = anon_sym___leave,
  [anon_sym_QMARK] = anon_sym_QMARK,
  [anon_sym_STAR_EQ] = anon_sym_STAR_EQ,
  [anon_sym_SLASH_EQ] = anon_sym_SLASH_EQ,
  [anon_sym_PERCENT_EQ] = anon_sym_PERCENT_EQ,
  [anon_sym_PLUS_EQ] = anon_sym_PLUS_EQ,
  [anon_sym_DASH_EQ] = anon_sym_DASH_EQ,
  [anon_sym_LT_LT_EQ] = anon_sym_LT_LT_EQ,
  [anon_sym_GT_GT_EQ] = anon_sym_GT_GT_EQ,
  [anon_sym_AMP_EQ] = anon_sym_AMP_EQ,
  [anon_sym_CARET_EQ] = anon_sym_CARET_EQ,
  [anon_sym_PIPE_EQ] = anon_sym_PIPE_EQ,
  [anon_sym_and_eq] = anon_sym_and_eq,
  [anon_sym_or_eq] = anon_sym_or_eq,
  [anon_sym_xor_eq] = anon_sym_xor_eq,
  [anon_sym_not] = anon_sym_not,
  [anon_sym_compl] = anon_sym_compl,
  [anon_sym_LT_EQ_GT] = anon_sym_LT_EQ_GT,
  [anon_sym_or] = anon_sym_or,
  [anon_sym_and] = anon_sym_and,
  [anon_sym_bitor] = anon_sym_bitor,
  [anon_sym_xor] = anon_sym_xor,
  [anon_sym_bitand] = anon_sym_bitand,
  [anon_sym_not_eq] = anon_sym_not_eq,
  [anon_sym_DASH_DASH] = anon_sym_DASH_DASH,
  [anon_sym_PLUS_PLUS] = anon_sym_PLUS_PLUS,
  [anon_sym_sizeof] = anon_sym_sizeof,
  [anon_sym___alignof__] = anon_sym___alignof__,
  [anon_sym___alignof] = anon_sym___alignof,
  [anon_sym__alignof] = anon_sym__alignof,
  [anon_sym_alignof] = anon_sym_alignof,
  [anon_sym__Alignof] = anon_sym__Alignof,
  [anon_sym_offsetof] = anon_sym_offsetof,
  [anon_sym__Generic] = anon_sym__Generic,
  [anon_sym_asm] = anon_sym_asm,
  [anon_sym___asm__] = anon_sym___asm__,
  [anon_sym_DOT] = anon_sym_DOT,
  [anon_sym_DOT_STAR] = anon_sym_DOT_STAR,
  [anon_sym_DASH_GT] = anon_sym_DASH_GT,
  [sym_number_literal] = sym_number_literal,
  [anon_sym_L_SQUOTE] = anon_sym_L_SQUOTE,
  [anon_sym_u_SQUOTE] = anon_sym_u_SQUOTE,
  [anon_sym_U_SQUOTE] = anon_sym_U_SQUOTE,
  [anon_sym_u8_SQUOTE] = anon_sym_u8_SQUOTE,
  [anon_sym_SQUOTE] = anon_sym_SQUOTE,
  [aux_sym_char_literal_token1] = aux_sym_char_literal_token1,
  [anon_sym_L_DQUOTE] = anon_sym_L_DQUOTE,
  [anon_sym_u_DQUOTE] = anon_sym_u_DQUOTE,
  [anon_sym_U_DQUOTE] = anon_sym_U_DQUOTE,
  [anon_sym_u8_DQUOTE] = anon_sym_u8_DQUOTE,
  [anon_sym_DQUOTE] = anon_sym_DQUOTE,
  [aux_sym_string_literal_token1] = aux_sym_string_literal_token1,
  [sym_escape_sequence] = sym_escape_sequence,
  [sym_system_lib_string] = sym_system_lib_string,
  [sym_true] = sym_true,
  [sym_false] = sym_false,
  [anon_sym_NULL] = anon_sym_NULL,
  [anon_sym_nullptr] = anon_sym_nullptr,
  [sym_comment] = sym_comment,
  [sym_auto] = sym_auto,
  [anon_sym_decltype] = anon_sym_decltype,
  [anon_sym_final] = anon_sym_final,
  [anon_sym_override] = anon_sym_override,
  [anon_sym_virtual] = anon_sym_virtual,
  [anon_sym_alignas] = anon_sym_alignas,
  [anon_sym_explicit] = anon_sym_explicit,
  [anon_sym_typename] = anon_sym_typename,
  [anon_sym_template] = anon_sym_template,
  [anon_sym_GT2] = anon_sym_GT,
  [anon_sym_operator] = anon_sym_operator,
  [anon_sym_try] = anon_sym_try,
  [anon_sym_delete] = anon_sym_delete,
  [anon_sym_friend] = anon_sym_friend,
  [anon_sym_public] = anon_sym_public,
  [anon_sym_private] = anon_sym_private,
  [anon_sym_protected] = anon_sym_protected,
  [anon_sym_noexcept] = anon_sym_noexcept,
  [anon_sym_throw] = anon_sym_throw,
  [anon_sym_namespace] = anon_sym_namespace,
  [anon_sym_using] = anon_sym_using,
  [anon_sym_static_assert] = anon_sym_static_assert,
  [anon_sym_concept] = anon_sym_concept,
  [anon_sym_co_return] = anon_sym_co_return,
  [anon_sym_co_yield] = anon_sym_co_yield,
  [anon_sym_catch] = anon_sym_catch,
  [anon_sym_R_DQUOTE] = anon_sym_R_DQUOTE,
  [anon_sym_LR_DQUOTE] = anon_sym_LR_DQUOTE,
  [anon_sym_uR_DQUOTE] = anon_sym_uR_DQUOTE,
  [anon_sym_UR_DQUOTE] = anon_sym_UR_DQUOTE,
  [anon_sym_u8R_DQUOTE] = anon_sym_u8R_DQUOTE,
  [anon_sym_co_await] = anon_sym_co_await,
  [anon_sym_new] = anon_sym_new,
  [anon_sym_requires] = anon_sym_requires,
  [anon_sym_DASH_GT_STAR] = anon_sym_DASH_GT_STAR,
  [anon_sym_LPAREN_RPAREN] = anon_sym_LPAREN_RPAREN,
  [anon_sym_LBRACK_RBRACK] = anon_sym_LBRACK_RBRACK,
  [anon_sym_DQUOTE_DQUOTE] = anon_sym_DQUOTE_DQUOTE,
  [sym_this] = sym_this,
  [sym_literal_suffix] = sym_literal_suffix,
  [anon_sym_discard] = anon_sym_discard,
  [anon_sym_precise] = anon_sym_precise,
  [anon_sym_shared] = anon_sym_shared,
  [anon_sym_groupshared] = anon_sym_groupshared,
  [anon_sym_uniform] = anon_sym_uniform,
  [anon_sym_row_major] = anon_sym_row_major,
  [anon_sym_column_major] = anon_sym_column_major,
  [anon_sym_globallycoherent] = anon_sym_globallycoherent,
  [anon_sym_centroid] = anon_sym_centroid,
  [anon_sym_noperspective] = anon_sym_noperspective,
  [anon_sym_nointerpolation] = anon_sym_nointerpolation,
  [anon_sym_sample] = anon_sym_sample,
  [anon_sym_linear] = anon_sym_linear,
  [anon_sym_snorm] = anon_sym_snorm,
  [anon_sym_unorm] = anon_sym_unorm,
  [anon_sym_point] = anon_sym_point,
  [anon_sym_line] = anon_sym_line,
  [anon_sym_triangleadj] = anon_sym_triangleadj,
  [anon_sym_lineadj] = anon_sym_lineadj,
  [anon_sym_triangle] = anon_sym_triangle,
  [anon_sym_cbuffer] = anon_sym_cbuffer,
  [sym_raw_string_delimiter] = sym_raw_string_delimiter,
  [sym_raw_string_content] = sym_raw_string_content,
  [sym_translation_unit] = sym_translation_unit,
  [sym_preproc_include] = sym_preproc_include,
  [sym_preproc_def] = sym_preproc_def,
  [sym_preproc_function_def] = sym_preproc_function_def,
  [sym_preproc_params] = sym_preproc_params,
  [sym_preproc_call] = sym_preproc_call,
  [sym_preproc_if] = sym_preproc_if,
  [sym_preproc_ifdef] = sym_preproc_ifdef,
  [sym_preproc_else] = sym_preproc_else,
  [sym_preproc_elif] = sym_preproc_elif,
  [sym_preproc_elifdef] = sym_preproc_elifdef,
  [sym_preproc_if_in_field_declaration_list] = sym_preproc_if,
  [sym_preproc_ifdef_in_field_declaration_list] = sym_preproc_ifdef,
  [sym_preproc_else_in_field_declaration_list] = sym_preproc_else,
  [sym_preproc_elif_in_field_declaration_list] = sym_preproc_elif,
  [sym_preproc_elifdef_in_field_declaration_list] = sym_preproc_elifdef,
  [sym_preproc_if_in_enumerator_list] = sym_preproc_if,
  [sym_preproc_ifdef_in_enumerator_list] = sym_preproc_ifdef,
  [sym_preproc_else_in_enumerator_list] = sym_preproc_else,
  [sym_preproc_elif_in_enumerator_list] = sym_preproc_elif,
  [sym_preproc_elifdef_in_enumerator_list] = sym_preproc_elifdef,
  [sym_preproc_if_in_enumerator_list_no_comma] = sym_preproc_if,
  [sym_preproc_ifdef_in_enumerator_list_no_comma] = sym_preproc_ifdef,
  [sym_preproc_else_in_enumerator_list_no_comma] = sym_preproc_else,
  [sym_preproc_elif_in_enumerator_list_no_comma] = sym_preproc_elif,
  [sym_preproc_elifdef_in_enumerator_list_no_comma] = sym_preproc_elifdef,
  [sym__preproc_expression] = sym__preproc_expression,
  [sym_preproc_parenthesized_expression] = sym_parenthesized_expression,
  [sym_preproc_defined] = sym_preproc_defined,
  [sym_preproc_unary_expression] = sym_unary_expression,
  [sym_preproc_call_expression] = sym_call_expression,
  [sym_preproc_argument_list] = sym_argument_list,
  [sym_preproc_binary_expression] = sym_binary_expression,
  [sym_function_definition] = sym_function_definition,
  [sym_declaration] = sym_declaration,
  [sym_type_definition] = sym_type_definition,
  [sym__type_definition_type] = sym__type_definition_type,
  [sym__type_definition_declarators] = sym__type_definition_declarators,
  [sym__declaration_modifiers] = sym__declaration_modifiers,
  [sym__declaration_specifiers] = sym__declaration_specifiers,
  [sym_linkage_specification] = sym_linkage_specification,
  [sym_attribute_specifier] = sym_attribute_specifier,
  [sym_attribute] = sym_attribute,
  [sym_attribute_declaration] = sym_attribute_declaration,
  [sym_ms_declspec_modifier] = sym_ms_declspec_modifier,
  [sym_ms_based_modifier] = sym_ms_based_modifier,
  [sym_ms_call_modifier] = sym_ms_call_modifier,
  [sym_ms_unaligned_ptr_modifier] = sym_ms_unaligned_ptr_modifier,
  [sym_ms_pointer_modifier] = sym_ms_pointer_modifier,
  [sym_declaration_list] = sym_declaration_list,
  [sym__declarator] = sym__declarator,
  [sym__field_declarator] = sym__field_declarator,
  [sym__type_declarator] = sym__type_declarator,
  [sym__abstract_declarator] = sym__abstract_declarator,
  [sym_parenthesized_declarator] = sym_parenthesized_declarator,
  [sym_parenthesized_field_declarator] = sym_parenthesized_declarator,
  [sym_parenthesized_type_declarator] = sym_parenthesized_declarator,
  [sym_abstract_parenthesized_declarator] = sym_abstract_parenthesized_declarator,
  [sym_attributed_declarator] = sym_attributed_declarator,
  [sym_attributed_field_declarator] = sym_attributed_declarator,
  [sym_attributed_type_declarator] = sym_attributed_declarator,
  [sym_pointer_declarator] = sym_pointer_declarator,
  [sym_pointer_field_declarator] = sym_pointer_declarator,
  [sym_pointer_type_declarator] = sym_pointer_type_declarator,
  [sym_abstract_pointer_declarator] = sym_abstract_pointer_declarator,
  [sym_function_declarator] = sym_function_declarator,
  [sym_function_field_declarator] = sym_function_declarator,
  [sym_function_type_declarator] = sym_function_declarator,
  [sym_abstract_function_declarator] = sym_abstract_function_declarator,
  [sym_array_declarator] = sym_array_declarator,
  [sym_array_field_declarator] = sym_array_declarator,
  [sym_array_type_declarator] = sym_array_declarator,
  [sym_abstract_array_declarator] = sym_abstract_array_declarator,
  [sym_init_declarator] = sym_init_declarator,
  [sym_compound_statement] = sym_compound_statement,
  [sym_storage_class_specifier] = sym_storage_class_specifier,
  [sym_type_qualifier] = sym_type_qualifier,
  [sym__type_specifier] = sym__type_specifier,
  [sym_sized_type_specifier] = sym_sized_type_specifier,
  [sym_enum_specifier] = sym_enum_specifier,
  [sym_enumerator_list] = sym_enumerator_list,
  [sym_struct_specifier] = sym_struct_specifier,
  [sym_union_specifier] = sym_union_specifier,
  [sym_field_declaration_list] = sym_field_declaration_list,
  [sym__field_declaration_list_item] = sym__field_declaration_list_item,
  [sym_field_declaration] = sym_field_declaration,
  [sym_bitfield_clause] = sym_bitfield_clause,
  [sym_enumerator] = sym_enumerator,
  [sym_parameter_list] = sym_parameter_list,
  [sym_parameter_declaration] = sym_parameter_declaration,
  [sym_attributed_statement] = sym_attributed_statement,
  [sym_labeled_statement] = sym_labeled_statement,
  [sym__top_level_expression_statement] = sym_expression_statement,
  [sym_expression_statement] = sym_expression_statement,
  [sym_if_statement] = sym_if_statement,
  [sym_else_clause] = sym_else_clause,
  [sym_switch_statement] = sym_switch_statement,
  [sym_case_statement] = sym_case_statement,
  [sym_while_statement] = sym_while_statement,
  [sym_do_statement] = sym_do_statement,
  [sym_for_statement] = sym_for_statement,
  [sym__for_statement_body] = sym__for_statement_body,
  [sym_return_statement] = sym_return_statement,
  [sym_break_statement] = sym_break_statement,
  [sym_continue_statement] = sym_continue_statement,
  [sym_goto_statement] = sym_goto_statement,
  [sym_seh_try_statement] = sym_seh_try_statement,
  [sym_seh_except_clause] = sym_seh_except_clause,
  [sym_seh_finally_clause] = sym_seh_finally_clause,
  [sym_seh_leave_statement] = sym_seh_leave_statement,
  [sym__expression] = sym__expression,
  [sym__expression_not_binary] = sym__expression_not_binary,
  [sym__string] = sym__string,
  [sym_comma_expression] = sym_comma_expression,
  [sym_conditional_expression] = sym_conditional_expression,
  [sym_assignment_expression] = sym_assignment_expression,
  [sym_pointer_expression] = sym_pointer_expression,
  [sym_unary_expression] = sym_unary_expression,
  [sym_binary_expression] = sym_binary_expression,
  [sym_update_expression] = sym_update_expression,
  [sym_cast_expression] = sym_cast_expression,
  [sym_type_descriptor] = sym_type_descriptor,
  [sym_sizeof_expression] = sym_sizeof_expression,
  [sym_alignof_expression] = sym_alignof_expression,
  [sym_offsetof_expression] = sym_offsetof_expression,
  [sym_generic_expression] = sym_generic_expression,
  [sym_subscript_expression] = sym_subscript_expression,
  [sym_call_expression] = sym_call_expression,
  [sym_gnu_asm_expression] = sym_gnu_asm_expression,
  [sym_gnu_asm_qualifier] = sym_gnu_asm_qualifier,
  [sym_gnu_asm_output_operand_list] = sym_gnu_asm_output_operand_list,
  [sym_gnu_asm_output_operand] = sym_gnu_asm_output_operand,
  [sym_gnu_asm_input_operand_list] = sym_gnu_asm_input_operand_list,
  [sym_gnu_asm_input_operand] = sym_gnu_asm_input_operand,
  [sym_gnu_asm_clobber_list] = sym_gnu_asm_clobber_list,
  [sym_gnu_asm_goto_list] = sym_gnu_asm_goto_list,
  [sym_argument_list] = sym_argument_list,
  [sym_field_expression] = sym_field_expression,
  [sym_compound_literal_expression] = sym_compound_literal_expression,
  [sym_parenthesized_expression] = sym_parenthesized_expression,
  [sym_initializer_list] = sym_initializer_list,
  [sym_initializer_pair] = sym_initializer_pair,
  [sym_subscript_designator] = sym_subscript_designator,
  [sym_subscript_range_designator] = sym_subscript_range_designator,
  [sym_field_designator] = sym_field_designator,
  [sym_char_literal] = sym_char_literal,
  [sym_concatenated_string] = sym_concatenated_string,
  [sym_string_literal] = sym_string_literal,
  [sym_null] = sym_null,
  [sym__empty_declaration] = sym__empty_declaration,
  [sym_placeholder_type_specifier] = sym_placeholder_type_specifier,
  [sym_decltype_auto] = sym_decltype,
  [sym_decltype] = sym_decltype,
  [sym__class_declaration] = sym__class_declaration,
  [sym__class_declaration_item] = sym__class_declaration_item,
  [sym_class_specifier] = sym_class_specifier,
  [sym__class_name] = sym__class_name,
  [sym_virtual_specifier] = sym_virtual_specifier,
  [sym_virtual] = sym_virtual,
  [sym_alignas_specifier] = sym_alignas_specifier,
  [sym_explicit_function_specifier] = sym_explicit_function_specifier,
  [sym_base_class_clause] = sym_base_class_clause,
  [sym__enum_base_clause] = sym__enum_base_clause,
  [sym_dependent_type] = sym_dependent_type,
  [sym_template_declaration] = sym_template_declaration,
  [sym_template_instantiation] = sym_template_instantiation,
  [sym_template_parameter_list] = sym_template_parameter_list,
  [sym_type_parameter_declaration] = sym_type_parameter_declaration,
  [sym_variadic_type_parameter_declaration] = sym_variadic_type_parameter_declaration,
  [sym_optional_type_parameter_declaration] = sym_optional_type_parameter_declaration,
  [sym_template_template_parameter_declaration] = sym_template_template_parameter_declaration,
  [sym_optional_parameter_declaration] = sym_optional_parameter_declaration,
  [sym_variadic_parameter_declaration] = sym_variadic_parameter_declaration,
  [sym_variadic_declarator] = sym_variadic_declarator,
  [sym_variadic_reference_declarator] = sym_reference_declarator,
  [sym_operator_cast] = sym_operator_cast,
  [sym_field_initializer_list] = sym_field_initializer_list,
  [sym_field_initializer] = sym_field_initializer,
  [sym_inline_method_definition] = sym_function_definition,
  [sym__constructor_specifiers] = sym__constructor_specifiers,
  [sym_operator_cast_definition] = sym_function_definition,
  [sym_operator_cast_declaration] = sym_declaration,
  [sym_constructor_try_statement] = sym_try_statement,
  [sym_constructor_or_destructor_definition] = sym_function_definition,
  [sym_constructor_or_destructor_declaration] = sym_declaration,
  [sym_default_method_clause] = sym_default_method_clause,
  [sym_delete_method_clause] = sym_delete_method_clause,
  [sym_friend_declaration] = sym_friend_declaration,
  [sym_access_specifier] = sym_access_specifier,
  [sym_reference_declarator] = sym_reference_declarator,
  [sym_reference_field_declarator] = sym_reference_declarator,
  [sym_abstract_reference_declarator] = sym_abstract_reference_declarator,
  [sym_structured_binding_declarator] = sym_structured_binding_declarator,
  [sym_ref_qualifier] = sym_ref_qualifier,
  [sym__function_declarator_seq] = sym__function_declarator_seq,
  [sym__function_attributes_start] = sym__function_attributes_start,
  [sym__function_exception_specification] = sym__function_exception_specification,
  [sym__function_attributes_end] = sym__function_attributes_end,
  [sym__function_postfix] = sym__function_postfix,
  [sym_trailing_return_type] = sym_trailing_return_type,
  [sym_noexcept] = sym_noexcept,
  [sym_throw_specifier] = sym_throw_specifier,
  [sym_template_type] = sym_template_type,
  [sym_template_method] = sym_template_method,
  [sym_template_function] = sym_template_function,
  [sym_template_argument_list] = sym_template_argument_list,
  [sym_namespace_definition] = sym_namespace_definition,
  [sym_namespace_alias_definition] = sym_namespace_alias_definition,
  [sym__namespace_specifier] = sym__namespace_specifier,
  [sym_nested_namespace_specifier] = sym_nested_namespace_specifier,
  [sym_using_declaration] = sym_using_declaration,
  [sym_alias_declaration] = sym_alias_declaration,
  [sym_static_assert_declaration] = sym_static_assert_declaration,
  [sym_concept_definition] = sym_concept_definition,
  [sym_for_range_loop] = sym_for_range_loop,
  [sym__for_range_loop_body] = sym__for_range_loop_body,
  [sym_init_statement] = sym_init_statement,
  [sym_condition_clause] = sym_condition_clause,
  [sym_condition_declaration] = sym_declaration,
  [sym_co_return_statement] = sym_co_return_statement,
  [sym_co_yield_statement] = sym_co_yield_statement,
  [sym_throw_statement] = sym_throw_statement,
  [sym_try_statement] = sym_try_statement,
  [sym_catch_clause] = sym_catch_clause,
  [sym_raw_string_literal] = sym_raw_string_literal,
  [sym_subscript_argument_list] = sym_subscript_argument_list,
  [sym_co_await_expression] = sym_co_await_expression,
  [sym_new_expression] = sym_new_expression,
  [sym_new_declarator] = sym_new_declarator,
  [sym_delete_expression] = sym_delete_expression,
  [sym_type_requirement] = sym_type_requirement,
  [sym_compound_requirement] = sym_compound_requirement,
  [sym__requirement] = sym__requirement,
  [sym_requirement_seq] = sym_requirement_seq,
  [sym_constraint_conjunction] = sym_constraint_conjunction,
  [sym_constraint_disjunction] = sym_constraint_disjunction,
  [sym__requirement_clause_constraint] = sym__requirement_clause_constraint,
  [sym_requires_clause] = sym_requires_clause,
  [sym_requires_parameter_list] = sym_parameter_list,
  [sym_requires_expression] = sym_requires_expression,
  [sym_lambda_expression] = sym_lambda_expression,
  [sym_lambda_capture_specifier] = sym_lambda_capture_specifier,
  [sym_lambda_default_capture] = sym_lambda_default_capture,
  [sym__fold_operator] = sym__fold_operator,
  [sym__binary_fold_operator] = sym__binary_fold_operator,
  [sym__unary_left_fold] = sym__unary_left_fold,
  [sym__unary_right_fold] = sym__unary_right_fold,
  [sym__binary_fold] = sym__binary_fold,
  [sym_fold_expression] = sym_fold_expression,
  [sym_parameter_pack_expansion] = sym_parameter_pack_expansion,
  [sym_type_parameter_pack_expansion] = sym_parameter_pack_expansion,
  [sym_destructor_name] = sym_destructor_name,
  [sym_dependent_identifier] = sym_dependent_identifier,
  [sym_dependent_field_identifier] = sym_dependent_identifier,
  [sym_dependent_type_identifier] = sym_dependent_identifier,
  [sym__scope_resolution] = sym__scope_resolution,
  [sym_qualified_field_identifier] = sym_qualified_identifier,
  [sym_qualified_identifier] = sym_qualified_identifier,
  [sym_qualified_type_identifier] = sym_qualified_identifier,
  [sym_qualified_operator_cast_identifier] = sym_qualified_identifier,
  [sym__assignment_expression_lhs] = sym_assignment_expression,
  [sym_operator_name] = sym_operator_name,
  [sym_user_defined_literal] = sym_user_defined_literal,
  [sym_semantics] = sym_semantics,
  [sym_discard_statement] = sym_discard_statement,
  [sym_qualifiers] = sym_qualifiers,
  [sym_cbuffer_specifier] = sym_cbuffer_specifier,
  [sym_hlsl_attribute] = sym_hlsl_attribute,
  [aux_sym_translation_unit_repeat1] = aux_sym_translation_unit_repeat1,
  [aux_sym_preproc_params_repeat1] = aux_sym_preproc_params_repeat1,
  [aux_sym_preproc_if_repeat1] = aux_sym_preproc_if_repeat1,
  [aux_sym_preproc_if_in_field_declaration_list_repeat1] = aux_sym_preproc_if_in_field_declaration_list_repeat1,
  [aux_sym_preproc_if_in_enumerator_list_repeat1] = aux_sym_preproc_if_in_enumerator_list_repeat1,
  [aux_sym_preproc_if_in_enumerator_list_no_comma_repeat1] = aux_sym_preproc_if_in_enumerator_list_no_comma_repeat1,
  [aux_sym_preproc_argument_list_repeat1] = aux_sym_preproc_argument_list_repeat1,
  [aux_sym_declaration_repeat1] = aux_sym_declaration_repeat1,
  [aux_sym_type_definition_repeat1] = aux_sym_type_definition_repeat1,
  [aux_sym__type_definition_type_repeat1] = aux_sym__type_definition_type_repeat1,
  [aux_sym__type_definition_declarators_repeat1] = aux_sym__type_definition_declarators_repeat1,
  [aux_sym__declaration_specifiers_repeat1] = aux_sym__declaration_specifiers_repeat1,
  [aux_sym_attribute_declaration_repeat1] = aux_sym_attribute_declaration_repeat1,
  [aux_sym_attributed_declarator_repeat1] = aux_sym_attributed_declarator_repeat1,
  [aux_sym_pointer_declarator_repeat1] = aux_sym_pointer_declarator_repeat1,
  [aux_sym_sized_type_specifier_repeat1] = aux_sym_sized_type_specifier_repeat1,
  [aux_sym_enumerator_list_repeat1] = aux_sym_enumerator_list_repeat1,
  [aux_sym_field_declaration_repeat1] = aux_sym_field_declaration_repeat1,
  [aux_sym_parameter_list_repeat1] = aux_sym_parameter_list_repeat1,
  [aux_sym_case_statement_repeat1] = aux_sym_case_statement_repeat1,
  [aux_sym_generic_expression_repeat1] = aux_sym_generic_expression_repeat1,
  [aux_sym_gnu_asm_expression_repeat1] = aux_sym_gnu_asm_expression_repeat1,
  [aux_sym_gnu_asm_output_operand_list_repeat1] = aux_sym_gnu_asm_output_operand_list_repeat1,
  [aux_sym_gnu_asm_input_operand_list_repeat1] = aux_sym_gnu_asm_input_operand_list_repeat1,
  [aux_sym_gnu_asm_clobber_list_repeat1] = aux_sym_gnu_asm_clobber_list_repeat1,
  [aux_sym_gnu_asm_goto_list_repeat1] = aux_sym_gnu_asm_goto_list_repeat1,
  [aux_sym_argument_list_repeat1] = aux_sym_argument_list_repeat1,
  [aux_sym_initializer_list_repeat1] = aux_sym_initializer_list_repeat1,
  [aux_sym_initializer_pair_repeat1] = aux_sym_initializer_pair_repeat1,
  [aux_sym_char_literal_repeat1] = aux_sym_char_literal_repeat1,
  [aux_sym_concatenated_string_repeat1] = aux_sym_concatenated_string_repeat1,
  [aux_sym_string_literal_repeat1] = aux_sym_string_literal_repeat1,
  [aux_sym__class_declaration_repeat1] = aux_sym__class_declaration_repeat1,
  [aux_sym_base_class_clause_repeat1] = aux_sym_base_class_clause_repeat1,
  [aux_sym_template_parameter_list_repeat1] = aux_sym_template_parameter_list_repeat1,
  [aux_sym_field_initializer_list_repeat1] = aux_sym_field_initializer_list_repeat1,
  [aux_sym_operator_cast_definition_repeat1] = aux_sym_operator_cast_definition_repeat1,
  [aux_sym_constructor_try_statement_repeat1] = aux_sym_constructor_try_statement_repeat1,
  [aux_sym_structured_binding_declarator_repeat1] = aux_sym_structured_binding_declarator_repeat1,
  [aux_sym__function_postfix_repeat1] = aux_sym__function_postfix_repeat1,
  [aux_sym_throw_specifier_repeat1] = aux_sym_throw_specifier_repeat1,
  [aux_sym_template_argument_list_repeat1] = aux_sym_template_argument_list_repeat1,
  [aux_sym_subscript_argument_list_repeat1] = aux_sym_subscript_argument_list_repeat1,
  [aux_sym_requirement_seq_repeat1] = aux_sym_requirement_seq_repeat1,
  [aux_sym_requires_parameter_list_repeat1] = aux_sym_requires_parameter_list_repeat1,
  [aux_sym_lambda_capture_specifier_repeat1] = aux_sym_lambda_capture_specifier_repeat1,
  [alias_sym_field_identifier] = alias_sym_field_identifier,
  [alias_sym_namespace_identifier] = alias_sym_namespace_identifier,
  [alias_sym_simple_requirement] = alias_sym_simple_requirement,
  [alias_sym_statement_identifier] = alias_sym_statement_identifier,
  [alias_sym_type_identifier] = alias_sym_type_identifier,
};

static const TSSymbolMetadata ts_symbol_metadata[] = {
  [ts_builtin_sym_end] = {
    .visible = false,
    .named = true,
  },
  [sym_identifier] = {
    .visible = true,
    .named = true,
  },
  [aux_sym_preproc_include_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_preproc_include_token2] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_preproc_def_token1] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LPAREN] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DOT_DOT_DOT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COMMA] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RPAREN] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_preproc_if_token1] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LF] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_preproc_if_token2] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_preproc_ifdef_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_preproc_ifdef_token2] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_preproc_else_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_preproc_elif_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_preproc_elifdef_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_preproc_elifdef_token2] = {
    .visible = true,
    .named = false,
  },
  [sym_preproc_arg] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_directive] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_LPAREN2] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_defined] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BANG] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_TILDE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PLUS] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_STAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SLASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PERCENT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PIPE_PIPE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMP_AMP] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PIPE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_CARET] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMP] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_EQ_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BANG_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_LT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COLON] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SEMI] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___extension__] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_typedef] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_in] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_out] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_inout] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_extern] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___attribute__] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COLON_COLON] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LBRACK_LBRACK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RBRACK_RBRACK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___declspec] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___based] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___cdecl] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___clrcall] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___stdcall] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___fastcall] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___thiscall] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___vectorcall] = {
    .visible = true,
    .named = false,
  },
  [sym_ms_restrict_modifier] = {
    .visible = true,
    .named = true,
  },
  [sym_ms_unsigned_ptr_modifier] = {
    .visible = true,
    .named = true,
  },
  [sym_ms_signed_ptr_modifier] = {
    .visible = true,
    .named = true,
  },
  [anon_sym__unaligned] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___unaligned] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LBRACE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RBRACE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_signed] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_unsigned] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_long] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_short] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LBRACK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RBRACK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_static] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_register] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_inline] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___inline] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___inline__] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___forceinline] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_thread_local] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___thread] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_const] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_constexpr] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_volatile] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_restrict] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___restrict__] = {
    .visible = true,
    .named = false,
  },
  [anon_sym__Atomic] = {
    .visible = true,
    .named = false,
  },
  [anon_sym__Noreturn] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_noreturn] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_mutable] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_constinit] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_consteval] = {
    .visible = true,
    .named = false,
  },
  [sym_primitive_type] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_enum] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_class] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_struct] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_union] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_if] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_else] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_switch] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_case] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_default] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_while] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_do] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_for] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_return] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_break] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_continue] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_goto] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___try] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___except] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___finally] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___leave] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_QMARK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_STAR_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SLASH_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PERCENT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PLUS_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_LT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_GT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMP_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_CARET_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PIPE_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_and_eq] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_or_eq] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_xor_eq] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_not] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_compl] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_EQ_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_or] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_and] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_bitor] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_xor] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_bitand] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_not_eq] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH_DASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PLUS_PLUS] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_sizeof] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___alignof__] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___alignof] = {
    .visible = true,
    .named = false,
  },
  [anon_sym__alignof] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_alignof] = {
    .visible = true,
    .named = false,
  },
  [anon_sym__Alignof] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_offsetof] = {
    .visible = true,
    .named = false,
  },
  [anon_sym__Generic] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_asm] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___asm__] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DOT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DOT_STAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH_GT] = {
    .visible = true,
    .named = false,
  },
  [sym_number_literal] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_L_SQUOTE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_u_SQUOTE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_U_SQUOTE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_u8_SQUOTE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SQUOTE] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_char_literal_token1] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_L_DQUOTE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_u_DQUOTE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_U_DQUOTE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_u8_DQUOTE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DQUOTE] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_string_literal_token1] = {
    .visible = true,
    .named = true,
  },
  [sym_escape_sequence] = {
    .visible = true,
    .named = true,
  },
  [sym_system_lib_string] = {
    .visible = true,
    .named = true,
  },
  [sym_true] = {
    .visible = true,
    .named = true,
  },
  [sym_false] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_NULL] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_nullptr] = {
    .visible = true,
    .named = false,
  },
  [sym_comment] = {
    .visible = true,
    .named = true,
  },
  [sym_auto] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_decltype] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_final] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_override] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_virtual] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_alignas] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_explicit] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_typename] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_template] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT2] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_operator] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_try] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_delete] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_friend] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_public] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_private] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_protected] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_noexcept] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_throw] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_namespace] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_using] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_static_assert] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_concept] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_co_return] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_co_yield] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_catch] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_R_DQUOTE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LR_DQUOTE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_uR_DQUOTE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_UR_DQUOTE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_u8R_DQUOTE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_co_await] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_new] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_requires] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH_GT_STAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LPAREN_RPAREN] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LBRACK_RBRACK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DQUOTE_DQUOTE] = {
    .visible = true,
    .named = false,
  },
  [sym_this] = {
    .visible = true,
    .named = true,
  },
  [sym_literal_suffix] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_discard] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_precise] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_shared] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_groupshared] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_uniform] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_row_major] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_column_major] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_globallycoherent] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_centroid] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_noperspective] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_nointerpolation] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_sample] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_linear] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_snorm] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_unorm] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_point] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_line] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_triangleadj] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_lineadj] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_triangle] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_cbuffer] = {
    .visible = true,
    .named = false,
  },
  [sym_raw_string_delimiter] = {
    .visible = true,
    .named = true,
  },
  [sym_raw_string_content] = {
    .visible = true,
    .named = true,
  },
  [sym_translation_unit] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_include] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_def] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_function_def] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_params] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_call] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_if] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_ifdef] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_else] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_elif] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_elifdef] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_if_in_field_declaration_list] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_ifdef_in_field_declaration_list] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_else_in_field_declaration_list] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_elif_in_field_declaration_list] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_elifdef_in_field_declaration_list] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_if_in_enumerator_list] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_ifdef_in_enumerator_list] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_else_in_enumerator_list] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_elif_in_enumerator_list] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_elifdef_in_enumerator_list] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_if_in_enumerator_list_no_comma] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_ifdef_in_enumerator_list_no_comma] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_else_in_enumerator_list_no_comma] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_elif_in_enumerator_list_no_comma] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_elifdef_in_enumerator_list_no_comma] = {
    .visible = true,
    .named = true,
  },
  [sym__preproc_expression] = {
    .visible = false,
    .named = true,
  },
  [sym_preproc_parenthesized_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_defined] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_unary_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_call_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_argument_list] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_binary_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_function_definition] = {
    .visible = true,
    .named = true,
  },
  [sym_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_type_definition] = {
    .visible = true,
    .named = true,
  },
  [sym__type_definition_type] = {
    .visible = false,
    .named = true,
  },
  [sym__type_definition_declarators] = {
    .visible = false,
    .named = true,
  },
  [sym__declaration_modifiers] = {
    .visible = false,
    .named = true,
  },
  [sym__declaration_specifiers] = {
    .visible = false,
    .named = true,
  },
  [sym_linkage_specification] = {
    .visible = true,
    .named = true,
  },
  [sym_attribute_specifier] = {
    .visible = true,
    .named = true,
  },
  [sym_attribute] = {
    .visible = true,
    .named = true,
  },
  [sym_attribute_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_ms_declspec_modifier] = {
    .visible = true,
    .named = true,
  },
  [sym_ms_based_modifier] = {
    .visible = true,
    .named = true,
  },
  [sym_ms_call_modifier] = {
    .visible = true,
    .named = true,
  },
  [sym_ms_unaligned_ptr_modifier] = {
    .visible = true,
    .named = true,
  },
  [sym_ms_pointer_modifier] = {
    .visible = true,
    .named = true,
  },
  [sym_declaration_list] = {
    .visible = true,
    .named = true,
  },
  [sym__declarator] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym__field_declarator] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym__type_declarator] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym__abstract_declarator] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym_parenthesized_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_parenthesized_field_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_parenthesized_type_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_abstract_parenthesized_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_attributed_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_attributed_field_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_attributed_type_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_pointer_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_pointer_field_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_pointer_type_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_abstract_pointer_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_function_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_function_field_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_function_type_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_abstract_function_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_array_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_array_field_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_array_type_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_abstract_array_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_init_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_compound_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_storage_class_specifier] = {
    .visible = true,
    .named = true,
  },
  [sym_type_qualifier] = {
    .visible = true,
    .named = true,
  },
  [sym__type_specifier] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym_sized_type_specifier] = {
    .visible = true,
    .named = true,
  },
  [sym_enum_specifier] = {
    .visible = true,
    .named = true,
  },
  [sym_enumerator_list] = {
    .visible = true,
    .named = true,
  },
  [sym_struct_specifier] = {
    .visible = true,
    .named = true,
  },
  [sym_union_specifier] = {
    .visible = true,
    .named = true,
  },
  [sym_field_declaration_list] = {
    .visible = true,
    .named = true,
  },
  [sym__field_declaration_list_item] = {
    .visible = false,
    .named = true,
  },
  [sym_field_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_bitfield_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_enumerator] = {
    .visible = true,
    .named = true,
  },
  [sym_parameter_list] = {
    .visible = true,
    .named = true,
  },
  [sym_parameter_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_attributed_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_labeled_statement] = {
    .visible = true,
    .named = true,
  },
  [sym__top_level_expression_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_expression_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_if_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_else_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_switch_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_case_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_while_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_do_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_for_statement] = {
    .visible = true,
    .named = true,
  },
  [sym__for_statement_body] = {
    .visible = false,
    .named = true,
  },
  [sym_return_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_break_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_continue_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_goto_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_seh_try_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_seh_except_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_seh_finally_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_seh_leave_statement] = {
    .visible = true,
    .named = true,
  },
  [sym__expression] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym__expression_not_binary] = {
    .visible = false,
    .named = true,
  },
  [sym__string] = {
    .visible = false,
    .named = true,
  },
  [sym_comma_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_conditional_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_assignment_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_pointer_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_unary_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_binary_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_update_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_cast_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_type_descriptor] = {
    .visible = true,
    .named = true,
  },
  [sym_sizeof_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_alignof_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_offsetof_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_generic_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_subscript_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_call_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_gnu_asm_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_gnu_asm_qualifier] = {
    .visible = true,
    .named = true,
  },
  [sym_gnu_asm_output_operand_list] = {
    .visible = true,
    .named = true,
  },
  [sym_gnu_asm_output_operand] = {
    .visible = true,
    .named = true,
  },
  [sym_gnu_asm_input_operand_list] = {
    .visible = true,
    .named = true,
  },
  [sym_gnu_asm_input_operand] = {
    .visible = true,
    .named = true,
  },
  [sym_gnu_asm_clobber_list] = {
    .visible = true,
    .named = true,
  },
  [sym_gnu_asm_goto_list] = {
    .visible = true,
    .named = true,
  },
  [sym_argument_list] = {
    .visible = true,
    .named = true,
  },
  [sym_field_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_compound_literal_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_parenthesized_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_initializer_list] = {
    .visible = true,
    .named = true,
  },
  [sym_initializer_pair] = {
    .visible = true,
    .named = true,
  },
  [sym_subscript_designator] = {
    .visible = true,
    .named = true,
  },
  [sym_subscript_range_designator] = {
    .visible = true,
    .named = true,
  },
  [sym_field_designator] = {
    .visible = true,
    .named = true,
  },
  [sym_char_literal] = {
    .visible = true,
    .named = true,
  },
  [sym_concatenated_string] = {
    .visible = true,
    .named = true,
  },
  [sym_string_literal] = {
    .visible = true,
    .named = true,
  },
  [sym_null] = {
    .visible = true,
    .named = true,
  },
  [sym__empty_declaration] = {
    .visible = false,
    .named = true,
  },
  [sym_placeholder_type_specifier] = {
    .visible = true,
    .named = true,
  },
  [sym_decltype_auto] = {
    .visible = true,
    .named = true,
  },
  [sym_decltype] = {
    .visible = true,
    .named = true,
  },
  [sym__class_declaration] = {
    .visible = false,
    .named = true,
  },
  [sym__class_declaration_item] = {
    .visible = false,
    .named = true,
  },
  [sym_class_specifier] = {
    .visible = true,
    .named = true,
  },
  [sym__class_name] = {
    .visible = false,
    .named = true,
  },
  [sym_virtual_specifier] = {
    .visible = true,
    .named = true,
  },
  [sym_virtual] = {
    .visible = true,
    .named = true,
  },
  [sym_alignas_specifier] = {
    .visible = true,
    .named = true,
  },
  [sym_explicit_function_specifier] = {
    .visible = true,
    .named = true,
  },
  [sym_base_class_clause] = {
    .visible = true,
    .named = true,
  },
  [sym__enum_base_clause] = {
    .visible = false,
    .named = true,
  },
  [sym_dependent_type] = {
    .visible = true,
    .named = true,
  },
  [sym_template_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_template_instantiation] = {
    .visible = true,
    .named = true,
  },
  [sym_template_parameter_list] = {
    .visible = true,
    .named = true,
  },
  [sym_type_parameter_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_variadic_type_parameter_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_optional_type_parameter_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_template_template_parameter_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_optional_parameter_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_variadic_parameter_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_variadic_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_variadic_reference_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_operator_cast] = {
    .visible = true,
    .named = true,
  },
  [sym_field_initializer_list] = {
    .visible = true,
    .named = true,
  },
  [sym_field_initializer] = {
    .visible = true,
    .named = true,
  },
  [sym_inline_method_definition] = {
    .visible = true,
    .named = true,
  },
  [sym__constructor_specifiers] = {
    .visible = false,
    .named = true,
  },
  [sym_operator_cast_definition] = {
    .visible = true,
    .named = true,
  },
  [sym_operator_cast_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_constructor_try_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_constructor_or_destructor_definition] = {
    .visible = true,
    .named = true,
  },
  [sym_constructor_or_destructor_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_default_method_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_delete_method_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_friend_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_access_specifier] = {
    .visible = true,
    .named = true,
  },
  [sym_reference_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_reference_field_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_abstract_reference_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_structured_binding_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_ref_qualifier] = {
    .visible = true,
    .named = true,
  },
  [sym__function_declarator_seq] = {
    .visible = false,
    .named = true,
  },
  [sym__function_attributes_start] = {
    .visible = false,
    .named = true,
  },
  [sym__function_exception_specification] = {
    .visible = false,
    .named = true,
  },
  [sym__function_attributes_end] = {
    .visible = false,
    .named = true,
  },
  [sym__function_postfix] = {
    .visible = false,
    .named = true,
  },
  [sym_trailing_return_type] = {
    .visible = true,
    .named = true,
  },
  [sym_noexcept] = {
    .visible = true,
    .named = true,
  },
  [sym_throw_specifier] = {
    .visible = true,
    .named = true,
  },
  [sym_template_type] = {
    .visible = true,
    .named = true,
  },
  [sym_template_method] = {
    .visible = true,
    .named = true,
  },
  [sym_template_function] = {
    .visible = true,
    .named = true,
  },
  [sym_template_argument_list] = {
    .visible = true,
    .named = true,
  },
  [sym_namespace_definition] = {
    .visible = true,
    .named = true,
  },
  [sym_namespace_alias_definition] = {
    .visible = true,
    .named = true,
  },
  [sym__namespace_specifier] = {
    .visible = false,
    .named = true,
  },
  [sym_nested_namespace_specifier] = {
    .visible = true,
    .named = true,
  },
  [sym_using_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_alias_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_static_assert_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_concept_definition] = {
    .visible = true,
    .named = true,
  },
  [sym_for_range_loop] = {
    .visible = true,
    .named = true,
  },
  [sym__for_range_loop_body] = {
    .visible = false,
    .named = true,
  },
  [sym_init_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_condition_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_condition_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_co_return_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_co_yield_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_throw_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_try_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_catch_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_raw_string_literal] = {
    .visible = true,
    .named = true,
  },
  [sym_subscript_argument_list] = {
    .visible = true,
    .named = true,
  },
  [sym_co_await_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_new_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_new_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_delete_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_type_requirement] = {
    .visible = true,
    .named = true,
  },
  [sym_compound_requirement] = {
    .visible = true,
    .named = true,
  },
  [sym__requirement] = {
    .visible = false,
    .named = true,
  },
  [sym_requirement_seq] = {
    .visible = true,
    .named = true,
  },
  [sym_constraint_conjunction] = {
    .visible = true,
    .named = true,
  },
  [sym_constraint_disjunction] = {
    .visible = true,
    .named = true,
  },
  [sym__requirement_clause_constraint] = {
    .visible = false,
    .named = true,
  },
  [sym_requires_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_requires_parameter_list] = {
    .visible = true,
    .named = true,
  },
  [sym_requires_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_lambda_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_lambda_capture_specifier] = {
    .visible = true,
    .named = true,
  },
  [sym_lambda_default_capture] = {
    .visible = true,
    .named = true,
  },
  [sym__fold_operator] = {
    .visible = false,
    .named = true,
  },
  [sym__binary_fold_operator] = {
    .visible = false,
    .named = true,
  },
  [sym__unary_left_fold] = {
    .visible = false,
    .named = true,
  },
  [sym__unary_right_fold] = {
    .visible = false,
    .named = true,
  },
  [sym__binary_fold] = {
    .visible = false,
    .named = true,
  },
  [sym_fold_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_parameter_pack_expansion] = {
    .visible = true,
    .named = true,
  },
  [sym_type_parameter_pack_expansion] = {
    .visible = true,
    .named = true,
  },
  [sym_destructor_name] = {
    .visible = true,
    .named = true,
  },
  [sym_dependent_identifier] = {
    .visible = true,
    .named = true,
  },
  [sym_dependent_field_identifier] = {
    .visible = true,
    .named = true,
  },
  [sym_dependent_type_identifier] = {
    .visible = true,
    .named = true,
  },
  [sym__scope_resolution] = {
    .visible = false,
    .named = true,
  },
  [sym_qualified_field_identifier] = {
    .visible = true,
    .named = true,
  },
  [sym_qualified_identifier] = {
    .visible = true,
    .named = true,
  },
  [sym_qualified_type_identifier] = {
    .visible = true,
    .named = true,
  },
  [sym_qualified_operator_cast_identifier] = {
    .visible = true,
    .named = true,
  },
  [sym__assignment_expression_lhs] = {
    .visible = true,
    .named = true,
  },
  [sym_operator_name] = {
    .visible = true,
    .named = true,
  },
  [sym_user_defined_literal] = {
    .visible = true,
    .named = true,
  },
  [sym_semantics] = {
    .visible = true,
    .named = true,
  },
  [sym_discard_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_qualifiers] = {
    .visible = true,
    .named = true,
  },
  [sym_cbuffer_specifier] = {
    .visible = true,
    .named = true,
  },
  [sym_hlsl_attribute] = {
    .visible = true,
    .named = true,
  },
  [aux_sym_translation_unit_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_preproc_params_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_preproc_if_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_preproc_if_in_field_declaration_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_preproc_if_in_enumerator_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_preproc_if_in_enumerator_list_no_comma_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_preproc_argument_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_declaration_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_type_definition_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__type_definition_type_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__type_definition_declarators_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__declaration_specifiers_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_attribute_declaration_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_attributed_declarator_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_pointer_declarator_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_sized_type_specifier_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_enumerator_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_field_declaration_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_parameter_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_case_statement_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_generic_expression_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_gnu_asm_expression_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_gnu_asm_output_operand_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_gnu_asm_input_operand_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_gnu_asm_clobber_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_gnu_asm_goto_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_argument_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_initializer_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_initializer_pair_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_char_literal_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_concatenated_string_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_string_literal_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__class_declaration_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_base_class_clause_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_template_parameter_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_field_initializer_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_operator_cast_definition_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_constructor_try_statement_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_structured_binding_declarator_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__function_postfix_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_throw_specifier_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_template_argument_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_subscript_argument_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_requirement_seq_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_requires_parameter_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_lambda_capture_specifier_repeat1] = {
    .visible = false,
    .named = false,
  },
  [alias_sym_field_identifier] = {
    .visible = true,
    .named = true,
  },
  [alias_sym_namespace_identifier] = {
    .visible = true,
    .named = true,
  },
  [alias_sym_simple_requirement] = {
    .visible = true,
    .named = true,
  },
  [alias_sym_statement_identifier] = {
    .visible = true,
    .named = true,
  },
  [alias_sym_type_identifier] = {
    .visible = true,
    .named = true,
  },
};

enum ts_field_identifiers {
  field_alternative = 1,
  field_argument = 2,
  field_arguments = 3,
  field_assembly_code = 4,
  field_base = 5,
  field_body = 6,
  field_captures = 7,
  field_clobbers = 8,
  field_condition = 9,
  field_consequence = 10,
  field_constraint = 11,
  field_declarator = 12,
  field_default_type = 13,
  field_default_value = 14,
  field_delimiter = 15,
  field_designator = 16,
  field_directive = 17,
  field_end = 18,
  field_field = 19,
  field_filter = 20,
  field_function = 21,
  field_goto_labels = 22,
  field_indices = 23,
  field_initializer = 24,
  field_input_operands = 25,
  field_label = 26,
  field_left = 27,
  field_length = 28,
  field_member = 29,
  field_message = 30,
  field_name = 31,
  field_operand = 32,
  field_operator = 33,
  field_output_operands = 34,
  field_parameters = 35,
  field_path = 36,
  field_pattern = 37,
  field_placement = 38,
  field_prefix = 39,
  field_register = 40,
  field_requirements = 41,
  field_right = 42,
  field_scope = 43,
  field_size = 44,
  field_start = 45,
  field_symbol = 46,
  field_template_parameters = 47,
  field_type = 48,
  field_update = 49,
  field_value = 50,
};

static const char * const ts_field_names[] = {
  [0] = NULL,
  [field_alternative] = "alternative",
  [field_argument] = "argument",
  [field_arguments] = "arguments",
  [field_assembly_code] = "assembly_code",
  [field_base] = "base",
  [field_body] = "body",
  [field_captures] = "captures",
  [field_clobbers] = "clobbers",
  [field_condition] = "condition",
  [field_consequence] = "consequence",
  [field_constraint] = "constraint",
  [field_declarator] = "declarator",
  [field_default_type] = "default_type",
  [field_default_value] = "default_value",
  [field_delimiter] = "delimiter",
  [field_designator] = "designator",
  [field_directive] = "directive",
  [field_end] = "end",
  [field_field] = "field",
  [field_filter] = "filter",
  [field_function] = "function",
  [field_goto_labels] = "goto_labels",
  [field_indices] = "indices",
  [field_initializer] = "initializer",
  [field_input_operands] = "input_operands",
  [field_label] = "label",
  [field_left] = "left",
  [field_length] = "length",
  [field_member] = "member",
  [field_message] = "message",
  [field_name] = "name",
  [field_operand] = "operand",
  [field_operator] = "operator",
  [field_output_operands] = "output_operands",
  [field_parameters] = "parameters",
  [field_path] = "path",
  [field_pattern] = "pattern",
  [field_placement] = "placement",
  [field_prefix] = "prefix",
  [field_register] = "register",
  [field_requirements] = "requirements",
  [field_right] = "right",
  [field_scope] = "scope",
  [field_size] = "size",
  [field_start] = "start",
  [field_symbol] = "symbol",
  [field_template_parameters] = "template_parameters",
  [field_type] = "type",
  [field_update] = "update",
  [field_value] = "value",
};

static const TSFieldMapSlice ts_field_map_slices[PRODUCTION_ID_COUNT] = {
  [2] = {.index = 0, .length = 1},
  [3] = {.index = 1, .length = 1},
  [4] = {.index = 2, .length = 2},
  [5] = {.index = 4, .length = 1},
  [6] = {.index = 5, .length = 1},
  [7] = {.index = 6, .length = 2},
  [8] = {.index = 8, .length = 2},
  [9] = {.index = 10, .length = 1},
  [10] = {.index = 11, .length = 1},
  [11] = {.index = 12, .length = 1},
  [12] = {.index = 13, .length = 2},
  [13] = {.index = 15, .length = 2},
  [14] = {.index = 17, .length = 1},
  [15] = {.index = 18, .length = 1},
  [16] = {.index = 19, .length = 2},
  [17] = {.index = 19, .length = 2},
  [18] = {.index = 0, .length = 1},
  [20] = {.index = 21, .length = 1},
  [21] = {.index = 22, .length = 1},
  [22] = {.index = 23, .length = 1},
  [23] = {.index = 24, .length = 1},
  [24] = {.index = 25, .length = 2},
  [25] = {.index = 27, .length = 2},
  [26] = {.index = 29, .length = 1},
  [27] = {.index = 30, .length = 1},
  [28] = {.index = 31, .length = 1},
  [29] = {.index = 32, .length = 2},
  [30] = {.index = 34, .length = 2},
  [31] = {.index = 18, .length = 1},
  [32] = {.index = 36, .length = 2},
  [33] = {.index = 38, .length = 1},
  [34] = {.index = 39, .length = 2},
  [35] = {.index = 39, .length = 2},
  [36] = {.index = 21, .length = 1},
  [37] = {.index = 41, .length = 1},
  [38] = {.index = 42, .length = 2},
  [39] = {.index = 44, .length = 2},
  [40] = {.index = 46, .length = 3},
  [41] = {.index = 49, .length = 1},
  [44] = {.index = 50, .length = 2},
  [45] = {.index = 52, .length = 1},
  [46] = {.index = 53, .length = 1},
  [47] = {.index = 54, .length = 1},
  [48] = {.index = 55, .length = 2},
  [49] = {.index = 57, .length = 2},
  [50] = {.index = 59, .length = 2},
  [51] = {.index = 61, .length = 2},
  [52] = {.index = 63, .length = 2},
  [53] = {.index = 65, .length = 1},
  [54] = {.index = 66, .length = 1},
  [55] = {.index = 67, .length = 3},
  [56] = {.index = 70, .length = 1},
  [57] = {.index = 71, .length = 1},
  [58] = {.index = 72, .length = 2},
  [60] = {.index = 55, .length = 2},
  [61] = {.index = 74, .length = 2},
  [62] = {.index = 76, .length = 2},
  [63] = {.index = 78, .length = 2},
  [65] = {.index = 80, .length = 2},
  [66] = {.index = 82, .length = 2},
  [67] = {.index = 84, .length = 3},
  [68] = {.index = 87, .length = 2},
  [69] = {.index = 89, .length = 2},
  [70] = {.index = 91, .length = 3},
  [71] = {.index = 91, .length = 3},
  [72] = {.index = 94, .length = 3},
  [73] = {.index = 97, .length = 3},
  [74] = {.index = 100, .length = 3},
  [75] = {.index = 103, .length = 2},
  [76] = {.index = 105, .length = 2},
  [77] = {.index = 107, .length = 2},
  [78] = {.index = 109, .length = 1},
  [79] = {.index = 110, .length = 2},
  [80] = {.index = 112, .length = 2},
  [81] = {.index = 114, .length = 2},
  [82] = {.index = 116, .length = 3},
  [83] = {.index = 119, .length = 2},
  [84] = {.index = 121, .length = 1},
  [85] = {.index = 122, .length = 2},
  [86] = {.index = 124, .length = 2},
  [87] = {.index = 126, .length = 2},
  [88] = {.index = 128, .length = 2},
  [89] = {.index = 130, .length = 2},
  [90] = {.index = 132, .length = 2},
  [91] = {.index = 134, .length = 2},
  [92] = {.index = 136, .length = 2},
  [93] = {.index = 136, .length = 2},
  [95] = {.index = 138, .length = 2},
  [96] = {.index = 140, .length = 1},
  [97] = {.index = 140, .length = 1},
  [98] = {.index = 141, .length = 3},
  [100] = {.index = 144, .length = 2},
  [101] = {.index = 146, .length = 2},
  [102] = {.index = 148, .length = 2},
  [103] = {.index = 150, .length = 3},
  [104] = {.index = 153, .length = 1},
  [105] = {.index = 154, .length = 1},
  [107] = {.index = 155, .length = 3},
  [108] = {.index = 158, .length = 3},
  [109] = {.index = 161, .length = 3},
  [110] = {.index = 164, .length = 3},
  [111] = {.index = 167, .length = 2},
  [112] = {.index = 169, .length = 3},
  [113] = {.index = 172, .length = 2},
  [114] = {.index = 174, .length = 3},
  [115] = {.index = 177, .length = 2},
  [116] = {.index = 19, .length = 2},
  [117] = {.index = 39, .length = 2},
  [118] = {.index = 179, .length = 2},
  [119] = {.index = 181, .length = 2},
  [120] = {.index = 183, .length = 1},
  [121] = {.index = 184, .length = 4},
  [122] = {.index = 188, .length = 4},
  [123] = {.index = 192, .length = 2},
  [124] = {.index = 194, .length = 3},
  [125] = {.index = 197, .length = 2},
  [126] = {.index = 199, .length = 2},
  [127] = {.index = 201, .length = 1},
  [128] = {.index = 202, .length = 2},
  [129] = {.index = 204, .length = 2},
  [130] = {.index = 206, .length = 3},
  [131] = {.index = 209, .length = 3},
  [132] = {.index = 212, .length = 3},
  [133] = {.index = 215, .length = 1},
  [134] = {.index = 216, .length = 2},
  [135] = {.index = 218, .length = 2},
  [136] = {.index = 218, .length = 2},
  [137] = {.index = 220, .length = 2},
  [138] = {.index = 222, .length = 3},
  [139] = {.index = 225, .length = 2},
  [140] = {.index = 227, .length = 2},
  [141] = {.index = 229, .length = 3},
  [142] = {.index = 232, .length = 2},
  [143] = {.index = 234, .length = 3},
  [144] = {.index = 237, .length = 2},
  [145] = {.index = 239, .length = 1},
  [146] = {.index = 240, .length = 2},
  [147] = {.index = 242, .length = 2},
  [148] = {.index = 244, .length = 4},
  [149] = {.index = 248, .length = 5},
  [150] = {.index = 253, .length = 1},
  [151] = {.index = 254, .length = 1},
  [152] = {.index = 255, .length = 2},
  [153] = {.index = 257, .length = 1},
  [155] = {.index = 258, .length = 1},
  [156] = {.index = 259, .length = 2},
  [157] = {.index = 261, .length = 2},
  [158] = {.index = 11, .length = 1},
  [159] = {.index = 11, .length = 1},
  [160] = {.index = 263, .length = 2},
  [161] = {.index = 265, .length = 1},
  [162] = {.index = 266, .length = 1},
  [163] = {.index = 267, .length = 4},
  [164] = {.index = 271, .length = 4},
  [165] = {.index = 275, .length = 1},
  [166] = {.index = 276, .length = 3},
  [167] = {.index = 279, .length = 2},
  [168] = {.index = 281, .length = 3},
  [169] = {.index = 284, .length = 1},
  [170] = {.index = 285, .length = 5},
  [171] = {.index = 290, .length = 2},
  [172] = {.index = 292, .length = 3},
  [173] = {.index = 295, .length = 2},
  [174] = {.index = 297, .length = 2},
  [175] = {.index = 299, .length = 4},
  [176] = {.index = 303, .length = 2},
  [177] = {.index = 305, .length = 2},
  [178] = {.index = 307, .length = 1},
  [179] = {.index = 308, .length = 2},
  [180] = {.index = 310, .length = 3},
  [181] = {.index = 313, .length = 4},
  [182] = {.index = 317, .length = 4},
  [183] = {.index = 321, .length = 3},
  [184] = {.index = 324, .length = 2},
  [185] = {.index = 326, .length = 3},
  [186] = {.index = 329, .length = 3},
  [187] = {.index = 332, .length = 2},
  [188] = {.index = 334, .length = 2},
  [189] = {.index = 336, .length = 2},
  [190] = {.index = 338, .length = 2},
  [191] = {.index = 340, .length = 3},
  [192] = {.index = 343, .length = 2},
  [193] = {.index = 345, .length = 2},
  [194] = {.index = 347, .length = 3},
  [195] = {.index = 350, .length = 2},
  [196] = {.index = 352, .length = 3},
  [197] = {.index = 355, .length = 5},
  [198] = {.index = 360, .length = 3},
  [199] = {.index = 363, .length = 4},
  [200] = {.index = 367, .length = 3},
  [201] = {.index = 370, .length = 2},
  [202] = {.index = 372, .length = 2},
  [203] = {.index = 374, .length = 2},
  [204] = {.index = 376, .length = 4},
  [205] = {.index = 380, .length = 5},
  [206] = {.index = 385, .length = 3},
  [207] = {.index = 388, .length = 4},
  [208] = {.index = 392, .length = 2},
  [209] = {.index = 394, .length = 1},
  [210] = {.index = 395, .length = 4},
  [211] = {.index = 399, .length = 3},
  [212] = {.index = 402, .length = 2},
  [213] = {.index = 404, .length = 1},
  [214] = {.index = 405, .length = 5},
  [215] = {.index = 410, .length = 2},
  [216] = {.index = 412, .length = 2},
  [217] = {.index = 65, .length = 1},
  [218] = {.index = 414, .length = 5},
  [219] = {.index = 419, .length = 4},
  [220] = {.index = 423, .length = 2},
  [221] = {.index = 425, .length = 2},
  [222] = {.index = 427, .length = 5},
  [223] = {.index = 432, .length = 2},
  [224] = {.index = 434, .length = 3},
};

static const TSFieldMapEntry ts_field_map_entries[] = {
  [0] =
    {field_type, 0},
  [1] =
    {field_directive, 0},
  [2] =
    {field_argument, 1},
    {field_operator, 0},
  [4] =
    {field_declarator, 1},
  [5] =
    {field_name, 0},
  [6] =
    {field_arguments, 1},
    {field_function, 0},
  [8] =
    {field_type, 0},
    {field_value, 1},
  [10] =
    {field_body, 1},
  [11] =
    {field_name, 1},
  [12] =
    {field_body, 0},
  [13] =
    {field_body, 1, .inherited = true},
    {field_name, 1, .inherited = true},
  [15] =
    {field_body, 0, .inherited = true},
    {field_name, 0, .inherited = true},
  [17] =
    {field_value, 1},
  [18] =
    {field_scope, 0},
  [19] =
    {field_arguments, 1},
    {field_name, 0},
  [21] =
    {field_type, 1},
  [22] =
    {field_requirements, 1},
  [23] =
    {field_constraint, 1},
  [24] =
    {field_parameters, 0},
  [25] =
    {field_declarator, 0},
    {field_parameters, 1, .inherited = true},
  [27] =
    {field_body, 1},
    {field_declarator, 0},
  [29] =
    {field_declarator, 0},
  [30] =
    {field_constraint, 0},
  [31] =
    {field_pattern, 0},
  [32] =
    {field_argument, 0},
    {field_operator, 1},
  [34] =
    {field_argument, 0},
    {field_indices, 1},
  [36] =
    {field_body, 1},
    {field_captures, 0},
  [38] =
    {field_parameters, 0, .inherited = true},
  [39] =
    {field_name, 1},
    {field_scope, 0, .inherited = true},
  [41] =
    {field_path, 1},
  [42] =
    {field_argument, 1},
    {field_directive, 0},
  [44] =
    {field_declarator, 1},
    {field_type, 0},
  [46] =
    {field_left, 1, .inherited = true},
    {field_operator, 1, .inherited = true},
    {field_right, 1, .inherited = true},
  [49] =
    {field_declarator, 2},
  [50] =
    {field_body, 2},
    {field_value, 1},
  [52] =
    {field_type, 2},
  [53] =
    {field_body, 2},
  [54] =
    {field_name, 2},
  [55] =
    {field_body, 2},
    {field_name, 1},
  [57] =
    {field_base, 2, .inherited = true},
    {field_name, 1},
  [59] =
    {field_body, 1},
    {field_name, 0},
  [61] =
    {field_condition, 1},
    {field_consequence, 2},
  [63] =
    {field_body, 2},
    {field_condition, 1},
  [65] =
    {field_label, 1},
  [66] =
    {field_label, 0},
  [67] =
    {field_left, 0},
    {field_operator, 1},
    {field_right, 2},
  [70] =
    {field_type, 0, .inherited = true},
  [71] =
    {field_parameters, 1},
  [72] =
    {field_declarator, 2},
    {field_type, 1, .inherited = true},
  [74] =
    {field_arguments, 2},
    {field_type, 1},
  [76] =
    {field_declarator, 2},
    {field_type, 1},
  [78] =
    {field_placement, 1},
    {field_type, 2},
  [80] =
    {field_parameters, 1},
    {field_requirements, 2},
  [82] =
    {field_declarator, 1},
    {field_type, 0, .inherited = true},
  [84] =
    {field_body, 2},
    {field_declarator, 1},
    {field_type, 0, .inherited = true},
  [87] =
    {field_declarator, 0},
    {field_value, 1},
  [89] =
    {field_body, 2},
    {field_declarator, 0},
  [91] =
    {field_argument, 0},
    {field_field, 2},
    {field_operator, 1},
  [94] =
    {field_body, 2},
    {field_captures, 0},
    {field_declarator, 1},
  [97] =
    {field_body, 2},
    {field_captures, 0},
    {field_template_parameters, 1},
  [100] =
    {field_name, 1},
    {field_name, 2},
    {field_scope, 0, .inherited = true},
  [103] =
    {field_body, 2},
    {field_declarator, 1},
  [105] =
    {field_name, 1},
    {field_value, 2},
  [107] =
    {field_name, 1},
    {field_parameters, 2},
  [109] =
    {field_condition, 1},
  [110] =
    {field_alternative, 2},
    {field_name, 1},
  [112] =
    {field_declarator, 2},
    {field_type, 0},
  [114] =
    {field_left, 0},
    {field_right, 2},
  [116] =
    {field_left, 0},
    {field_operator, 1, .inherited = true},
    {field_right, 2},
  [119] =
    {field_type, 1},
    {field_value, 3},
  [121] =
    {field_declarator, 3},
  [122] =
    {field_declarator, 2, .inherited = true},
    {field_type, 1, .inherited = true},
  [124] =
    {field_declarator, 0},
    {field_parameters, 1},
  [126] =
    {field_declarator, 0},
    {field_declarator, 1, .inherited = true},
  [128] =
    {field_arguments, 3},
    {field_type, 2},
  [130] =
    {field_declarator, 3},
    {field_type, 2},
  [132] =
    {field_placement, 2},
    {field_type, 3},
  [134] =
    {field_name, 2},
    {field_prefix, 0},
  [136] =
    {field_body, 3},
    {field_name, 2},
  [138] =
    {field_base, 3, .inherited = true},
    {field_name, 2},
  [140] =
    {field_base, 1},
  [141] =
    {field_base, 2, .inherited = true},
    {field_body, 3},
    {field_name, 1},
  [144] =
    {field_body, 2, .inherited = true},
    {field_name, 2, .inherited = true},
  [146] =
    {field_body, 2},
    {field_name, 0},
  [148] =
    {field_condition, 2},
    {field_consequence, 3},
  [150] =
    {field_alternative, 3},
    {field_condition, 1},
    {field_consequence, 2},
  [153] =
    {field_initializer, 0},
  [154] =
    {field_assembly_code, 2},
  [155] =
    {field_arguments, 3},
    {field_declarator, 2},
    {field_type, 1},
  [158] =
    {field_arguments, 3},
    {field_placement, 1},
    {field_type, 2},
  [161] =
    {field_declarator, 3},
    {field_placement, 1},
    {field_type, 2},
  [164] =
    {field_body, 3},
    {field_declarator, 2},
    {field_type, 0, .inherited = true},
  [167] =
    {field_declarator, 0},
    {field_value, 2},
  [169] =
    {field_declarator, 1},
    {field_declarator, 2, .inherited = true},
    {field_type, 0, .inherited = true},
  [172] =
    {field_declarator, 0, .inherited = true},
    {field_declarator, 1, .inherited = true},
  [174] =
    {field_body, 3},
    {field_declarator, 2},
    {field_type, 1, .inherited = true},
  [177] =
    {field_declarator, 0},
    {field_size, 2},
  [179] =
    {field_alternative, 3},
    {field_condition, 0},
  [181] =
    {field_declarator, 0},
    {field_default_value, 2},
  [183] =
    {field_size, 1},
  [184] =
    {field_body, 3},
    {field_captures, 0},
    {field_declarator, 2},
    {field_template_parameters, 1},
  [188] =
    {field_body, 3},
    {field_captures, 0},
    {field_constraint, 2},
    {field_template_parameters, 1},
  [192] =
    {field_body, 3},
    {field_declarator, 1},
  [194] =
    {field_name, 1},
    {field_parameters, 2},
    {field_value, 3},
  [197] =
    {field_alternative, 3},
    {field_condition, 1},
  [199] =
    {field_alternative, 3},
    {field_name, 1},
  [201] =
    {field_operator, 0},
  [202] =
    {field_declarator, 3},
    {field_type, 1},
  [204] =
    {field_declarator, 3, .inherited = true},
    {field_type, 2, .inherited = true},
  [206] =
    {field_arguments, 4},
    {field_declarator, 3},
    {field_type, 2},
  [209] =
    {field_arguments, 4},
    {field_placement, 2},
    {field_type, 3},
  [212] =
    {field_declarator, 4},
    {field_placement, 2},
    {field_type, 3},
  [215] =
    {field_body, 3},
  [216] =
    {field_body, 3},
    {field_name, 1},
  [218] =
    {field_designator, 0},
    {field_value, 2},
  [220] =
    {field_name, 0},
    {field_value, 2},
  [222] =
    {field_base, 3, .inherited = true},
    {field_body, 4},
    {field_name, 2},
  [225] =
    {field_body, 3},
    {field_name, 0},
  [227] =
    {field_body, 3, .inherited = true},
    {field_name, 3, .inherited = true},
  [229] =
    {field_declarator, 1},
    {field_type, 0, .inherited = true},
    {field_value, 2},
  [232] =
    {field_initializer, 1},
    {field_value, 2},
  [234] =
    {field_alternative, 4},
    {field_condition, 2},
    {field_consequence, 3},
  [237] =
    {field_body, 1},
    {field_condition, 3},
  [239] =
    {field_update, 2},
  [240] =
    {field_initializer, 0},
    {field_update, 2},
  [242] =
    {field_condition, 1},
    {field_initializer, 0},
  [244] =
    {field_body, 4},
    {field_condition, 2, .inherited = true},
    {field_initializer, 2, .inherited = true},
    {field_update, 2, .inherited = true},
  [248] =
    {field_body, 4},
    {field_declarator, 2, .inherited = true},
    {field_initializer, 2, .inherited = true},
    {field_right, 2, .inherited = true},
    {field_type, 2, .inherited = true},
  [253] =
    {field_value, 3},
  [254] =
    {field_operand, 1},
  [255] =
    {field_assembly_code, 2},
    {field_output_operands, 3},
  [257] =
    {field_assembly_code, 3},
  [258] =
    {field_default_type, 2},
  [259] =
    {field_default_value, 2},
    {field_type, 0, .inherited = true},
  [261] =
    {field_body, 2},
    {field_parameters, 1},
  [263] =
    {field_name, 1},
    {field_type, 3},
  [265] =
    {field_condition, 2},
  [266] =
    {field_length, 1},
  [267] =
    {field_arguments, 4},
    {field_declarator, 3},
    {field_placement, 1},
    {field_type, 2},
  [271] =
    {field_declarator, 1},
    {field_declarator, 2},
    {field_declarator, 3},
    {field_type, 0, .inherited = true},
  [275] =
    {field_declarator, 4},
  [276] =
    {field_body, 4},
    {field_declarator, 3},
    {field_type, 1, .inherited = true},
  [279] =
    {field_declarator, 0},
    {field_size, 3},
  [281] =
    {field_alternative, 4},
    {field_condition, 0},
    {field_consequence, 2},
  [284] =
    {field_size, 2},
  [285] =
    {field_body, 4},
    {field_captures, 0},
    {field_constraint, 2},
    {field_declarator, 3},
    {field_template_parameters, 1},
  [290] =
    {field_condition, 3},
    {field_consequence, 4},
  [292] =
    {field_body, 4},
    {field_declarator, 3},
    {field_type, 2, .inherited = true},
  [295] =
    {field_declarator, 1},
    {field_default_value, 3},
  [297] =
    {field_alternative, 4},
    {field_condition, 1},
  [299] =
    {field_arguments, 5},
    {field_declarator, 4},
    {field_placement, 2},
    {field_type, 3},
  [303] =
    {field_body, 2},
    {field_filter, 1},
  [305] =
    {field_body, 4},
    {field_name, 2},
  [307] =
    {field_body, 4},
  [308] =
    {field_body, 4},
    {field_name, 1},
  [310] =
    {field_declarator, 1},
    {field_default_value, 2},
    {field_type, 0, .inherited = true},
  [313] =
    {field_declarator, 1},
    {field_declarator, 2, .inherited = true},
    {field_default_value, 2, .inherited = true},
    {field_type, 0, .inherited = true},
  [317] =
    {field_declarator, 0, .inherited = true},
    {field_declarator, 1, .inherited = true},
    {field_default_value, 0, .inherited = true},
    {field_default_value, 1, .inherited = true},
  [321] =
    {field_declarator, 1},
    {field_type, 0, .inherited = true},
    {field_value, 3},
  [324] =
    {field_condition, 1},
    {field_update, 3},
  [326] =
    {field_condition, 1},
    {field_initializer, 0},
    {field_update, 3},
  [329] =
    {field_declarator, 1},
    {field_right, 3},
    {field_type, 0, .inherited = true},
  [332] =
    {field_initializer, 0},
    {field_update, 3},
  [334] =
    {field_condition, 2},
    {field_initializer, 0},
  [336] =
    {field_member, 4},
    {field_type, 2},
  [338] =
    {field_operand, 1},
    {field_operand, 2, .inherited = true},
  [340] =
    {field_assembly_code, 2},
    {field_input_operands, 4},
    {field_output_operands, 3},
  [343] =
    {field_assembly_code, 3},
    {field_output_operands, 4},
  [345] =
    {field_default_type, 3},
    {field_name, 1},
  [347] =
    {field_declarator, 1},
    {field_default_value, 3},
    {field_type, 0, .inherited = true},
  [350] =
    {field_name, 1},
    {field_type, 4},
  [352] =
    {field_declarator, 1},
    {field_declarator, 2},
    {field_declarator, 3},
  [355] =
    {field_declarator, 1},
    {field_declarator, 2},
    {field_declarator, 3},
    {field_declarator, 4, .inherited = true},
    {field_type, 0, .inherited = true},
  [360] =
    {field_alternative, 5},
    {field_condition, 3},
    {field_consequence, 4},
  [363] =
    {field_body, 5},
    {field_condition, 3, .inherited = true},
    {field_initializer, 3, .inherited = true},
    {field_update, 3, .inherited = true},
  [367] =
    {field_body, 5},
    {field_declarator, 4},
    {field_type, 2, .inherited = true},
  [370] =
    {field_body, 5},
    {field_name, 2},
  [372] =
    {field_end, 3},
    {field_start, 1},
  [374] =
    {field_declarator, 1},
    {field_default_value, 2},
  [376] =
    {field_declarator, 1},
    {field_declarator, 3, .inherited = true},
    {field_default_value, 3, .inherited = true},
    {field_type, 0, .inherited = true},
  [380] =
    {field_declarator, 1},
    {field_declarator, 3, .inherited = true},
    {field_default_value, 2},
    {field_default_value, 3, .inherited = true},
    {field_type, 0, .inherited = true},
  [385] =
    {field_condition, 2},
    {field_initializer, 0},
    {field_update, 4},
  [388] =
    {field_declarator, 2},
    {field_initializer, 0},
    {field_right, 4},
    {field_type, 1, .inherited = true},
  [392] =
    {field_operand, 0, .inherited = true},
    {field_operand, 1, .inherited = true},
  [394] =
    {field_register, 1},
  [395] =
    {field_assembly_code, 2},
    {field_clobbers, 5},
    {field_input_operands, 4},
    {field_output_operands, 3},
  [399] =
    {field_assembly_code, 3},
    {field_input_operands, 5},
    {field_output_operands, 4},
  [402] =
    {field_condition, 2},
    {field_message, 4},
  [404] =
    {field_delimiter, 1},
  [405] =
    {field_declarator, 1},
    {field_declarator, 4, .inherited = true},
    {field_default_value, 3},
    {field_default_value, 4, .inherited = true},
    {field_type, 0, .inherited = true},
  [410] =
    {field_constraint, 0},
    {field_value, 2},
  [412] =
    {field_register, 1},
    {field_register, 2, .inherited = true},
  [414] =
    {field_assembly_code, 2},
    {field_clobbers, 5},
    {field_goto_labels, 6},
    {field_input_operands, 4},
    {field_output_operands, 3},
  [419] =
    {field_assembly_code, 3},
    {field_clobbers, 6},
    {field_input_operands, 5},
    {field_output_operands, 4},
  [423] =
    {field_register, 0, .inherited = true},
    {field_register, 1, .inherited = true},
  [425] =
    {field_label, 1},
    {field_label, 2, .inherited = true},
  [427] =
    {field_assembly_code, 3},
    {field_clobbers, 6},
    {field_goto_labels, 7},
    {field_input_operands, 5},
    {field_output_operands, 4},
  [432] =
    {field_label, 0, .inherited = true},
    {field_label, 1, .inherited = true},
  [434] =
    {field_constraint, 3},
    {field_symbol, 1},
    {field_value, 5},
};

static const TSSymbol ts_alias_sequences[PRODUCTION_ID_COUNT][MAX_ALIAS_SEQUENCE_LENGTH] = {
  [0] = {0},
  [1] = {
    [0] = alias_sym_type_identifier,
  },
  [15] = {
    [0] = alias_sym_namespace_identifier,
  },
  [16] = {
    [0] = alias_sym_type_identifier,
  },
  [18] = {
    [0] = alias_sym_type_identifier,
  },
  [19] = {
    [0] = alias_sym_namespace_identifier,
  },
  [35] = {
    [1] = alias_sym_type_identifier,
  },
  [36] = {
    [1] = alias_sym_type_identifier,
  },
  [42] = {
    [0] = sym_primitive_type,
  },
  [43] = {
    [0] = sym_pointer_declarator,
  },
  [53] = {
    [1] = alias_sym_statement_identifier,
  },
  [54] = {
    [0] = alias_sym_statement_identifier,
  },
  [59] = {
    [1] = alias_sym_namespace_identifier,
  },
  [60] = {
    [1] = alias_sym_namespace_identifier,
  },
  [64] = {
    [0] = alias_sym_simple_requirement,
  },
  [70] = {
    [2] = alias_sym_field_identifier,
  },
  [92] = {
    [2] = alias_sym_namespace_identifier,
  },
  [94] = {
    [1] = alias_sym_field_identifier,
  },
  [97] = {
    [1] = alias_sym_type_identifier,
  },
  [99] = {
    [0] = alias_sym_field_identifier,
  },
  [106] = {
    [1] = alias_sym_type_identifier,
  },
  [116] = {
    [0] = alias_sym_field_identifier,
  },
  [117] = {
    [1] = alias_sym_field_identifier,
  },
  [135] = {
    [0] = alias_sym_field_identifier,
  },
  [154] = {
    [2] = alias_sym_type_identifier,
  },
  [158] = {
    [1] = alias_sym_namespace_identifier,
    [3] = alias_sym_namespace_identifier,
  },
  [159] = {
    [1] = alias_sym_namespace_identifier,
  },
  [160] = {
    [1] = alias_sym_type_identifier,
  },
  [164] = {
    [2] = sym_semantics,
    [3] = sym_semantics,
  },
  [189] = {
    [4] = alias_sym_field_identifier,
  },
  [193] = {
    [1] = alias_sym_type_identifier,
  },
  [195] = {
    [1] = alias_sym_type_identifier,
  },
  [196] = {
    [2] = sym_semantics,
    [3] = sym_semantics,
  },
  [197] = {
    [2] = sym_semantics,
    [3] = sym_semantics,
  },
};

static const uint16_t ts_non_terminal_alias_map[] = {
  sym_pointer_type_declarator, 2,
    sym_pointer_type_declarator,
    sym_pointer_declarator,
  sym_expression_statement, 2,
    sym_expression_statement,
    alias_sym_simple_requirement,
  sym__expression, 2,
    sym__expression,
    sym_semantics,
  0,
};

static const TSStateId ts_primary_state_ids[STATE_COUNT] = {
  [0] = 0,
  [1] = 1,
  [2] = 2,
  [3] = 2,
  [4] = 2,
  [5] = 2,
  [6] = 2,
  [7] = 2,
  [8] = 2,
  [9] = 2,
  [10] = 2,
  [11] = 2,
  [12] = 2,
  [13] = 2,
  [14] = 2,
  [15] = 2,
  [16] = 16,
  [17] = 16,
  [18] = 18,
  [19] = 16,
  [20] = 18,
  [21] = 16,
  [22] = 18,
  [23] = 16,
  [24] = 18,
  [25] = 18,
  [26] = 26,
  [27] = 26,
  [28] = 28,
  [29] = 26,
  [30] = 30,
  [31] = 26,
  [32] = 30,
  [33] = 33,
  [34] = 34,
  [35] = 35,
  [36] = 30,
  [37] = 26,
  [38] = 30,
  [39] = 30,
  [40] = 40,
  [41] = 28,
  [42] = 42,
  [43] = 43,
  [44] = 43,
  [45] = 45,
  [46] = 46,
  [47] = 46,
  [48] = 45,
  [49] = 46,
  [50] = 45,
  [51] = 46,
  [52] = 45,
  [53] = 45,
  [54] = 45,
  [55] = 42,
  [56] = 28,
  [57] = 45,
  [58] = 46,
  [59] = 46,
  [60] = 46,
  [61] = 45,
  [62] = 28,
  [63] = 46,
  [64] = 45,
  [65] = 46,
  [66] = 43,
  [67] = 46,
  [68] = 45,
  [69] = 46,
  [70] = 45,
  [71] = 46,
  [72] = 43,
  [73] = 45,
  [74] = 46,
  [75] = 45,
  [76] = 76,
  [77] = 45,
  [78] = 45,
  [79] = 45,
  [80] = 46,
  [81] = 46,
  [82] = 42,
  [83] = 43,
  [84] = 45,
  [85] = 42,
  [86] = 45,
  [87] = 87,
  [88] = 46,
  [89] = 46,
  [90] = 45,
  [91] = 45,
  [92] = 46,
  [93] = 46,
  [94] = 46,
  [95] = 46,
  [96] = 45,
  [97] = 42,
  [98] = 98,
  [99] = 99,
  [100] = 100,
  [101] = 101,
  [102] = 102,
  [103] = 103,
  [104] = 104,
  [105] = 103,
  [106] = 100,
  [107] = 104,
  [108] = 101,
  [109] = 102,
  [110] = 104,
  [111] = 102,
  [112] = 104,
  [113] = 101,
  [114] = 104,
  [115] = 103,
  [116] = 100,
  [117] = 102,
  [118] = 103,
  [119] = 103,
  [120] = 101,
  [121] = 102,
  [122] = 100,
  [123] = 100,
  [124] = 101,
  [125] = 100,
  [126] = 104,
  [127] = 101,
  [128] = 102,
  [129] = 103,
  [130] = 130,
  [131] = 130,
  [132] = 130,
  [133] = 130,
  [134] = 130,
  [135] = 130,
  [136] = 130,
  [137] = 137,
  [138] = 138,
  [139] = 138,
  [140] = 138,
  [141] = 138,
  [142] = 138,
  [143] = 143,
  [144] = 138,
  [145] = 138,
  [146] = 138,
  [147] = 147,
  [148] = 147,
  [149] = 147,
  [150] = 147,
  [151] = 147,
  [152] = 147,
  [153] = 147,
  [154] = 154,
  [155] = 155,
  [156] = 156,
  [157] = 157,
  [158] = 158,
  [159] = 159,
  [160] = 160,
  [161] = 161,
  [162] = 162,
  [163] = 163,
  [164] = 164,
  [165] = 165,
  [166] = 166,
  [167] = 167,
  [168] = 158,
  [169] = 164,
  [170] = 170,
  [171] = 165,
  [172] = 161,
  [173] = 157,
  [174] = 174,
  [175] = 175,
  [176] = 162,
  [177] = 156,
  [178] = 178,
  [179] = 179,
  [180] = 159,
  [181] = 181,
  [182] = 166,
  [183] = 183,
  [184] = 184,
  [185] = 163,
  [186] = 155,
  [187] = 187,
  [188] = 164,
  [189] = 158,
  [190] = 164,
  [191] = 158,
  [192] = 192,
  [193] = 164,
  [194] = 158,
  [195] = 174,
  [196] = 166,
  [197] = 184,
  [198] = 198,
  [199] = 161,
  [200] = 175,
  [201] = 162,
  [202] = 163,
  [203] = 156,
  [204] = 165,
  [205] = 157,
  [206] = 206,
  [207] = 155,
  [208] = 170,
  [209] = 159,
  [210] = 166,
  [211] = 178,
  [212] = 166,
  [213] = 181,
  [214] = 214,
  [215] = 165,
  [216] = 216,
  [217] = 179,
  [218] = 167,
  [219] = 160,
  [220] = 165,
  [221] = 183,
  [222] = 222,
  [223] = 223,
  [224] = 224,
  [225] = 225,
  [226] = 226,
  [227] = 227,
  [228] = 228,
  [229] = 229,
  [230] = 230,
  [231] = 231,
  [232] = 232,
  [233] = 233,
  [234] = 234,
  [235] = 235,
  [236] = 236,
  [237] = 237,
  [238] = 238,
  [239] = 239,
  [240] = 240,
  [241] = 241,
  [242] = 242,
  [243] = 243,
  [244] = 244,
  [245] = 245,
  [246] = 246,
  [247] = 247,
  [248] = 248,
  [249] = 249,
  [250] = 250,
  [251] = 251,
  [252] = 252,
  [253] = 253,
  [254] = 254,
  [255] = 255,
  [256] = 256,
  [257] = 257,
  [258] = 258,
  [259] = 259,
  [260] = 260,
  [261] = 261,
  [262] = 262,
  [263] = 263,
  [264] = 264,
  [265] = 265,
  [266] = 266,
  [267] = 267,
  [268] = 268,
  [269] = 269,
  [270] = 270,
  [271] = 271,
  [272] = 272,
  [273] = 273,
  [274] = 274,
  [275] = 275,
  [276] = 276,
  [277] = 277,
  [278] = 278,
  [279] = 279,
  [280] = 280,
  [281] = 281,
  [282] = 282,
  [283] = 283,
  [284] = 284,
  [285] = 285,
  [286] = 286,
  [287] = 287,
  [288] = 288,
  [289] = 289,
  [290] = 290,
  [291] = 291,
  [292] = 292,
  [293] = 293,
  [294] = 294,
  [295] = 295,
  [296] = 296,
  [297] = 297,
  [298] = 298,
  [299] = 299,
  [300] = 300,
  [301] = 301,
  [302] = 302,
  [303] = 303,
  [304] = 304,
  [305] = 305,
  [306] = 306,
  [307] = 307,
  [308] = 308,
  [309] = 309,
  [310] = 310,
  [311] = 311,
  [312] = 312,
  [313] = 313,
  [314] = 187,
  [315] = 315,
  [316] = 316,
  [317] = 317,
  [318] = 318,
  [319] = 319,
  [320] = 320,
  [321] = 321,
  [322] = 322,
  [323] = 323,
  [324] = 324,
  [325] = 325,
  [326] = 326,
  [327] = 327,
  [328] = 328,
  [329] = 329,
  [330] = 330,
  [331] = 331,
  [332] = 332,
  [333] = 333,
  [334] = 192,
  [335] = 335,
  [336] = 336,
  [337] = 337,
  [338] = 338,
  [339] = 339,
  [340] = 340,
  [341] = 341,
  [342] = 179,
  [343] = 343,
  [344] = 344,
  [345] = 345,
  [346] = 179,
  [347] = 347,
  [348] = 348,
  [349] = 349,
  [350] = 350,
  [351] = 179,
  [352] = 174,
  [353] = 353,
  [354] = 181,
  [355] = 216,
  [356] = 174,
  [357] = 198,
  [358] = 358,
  [359] = 359,
  [360] = 183,
  [361] = 361,
  [362] = 183,
  [363] = 363,
  [364] = 175,
  [365] = 184,
  [366] = 366,
  [367] = 347,
  [368] = 368,
  [369] = 184,
  [370] = 370,
  [371] = 371,
  [372] = 372,
  [373] = 373,
  [374] = 374,
  [375] = 375,
  [376] = 214,
  [377] = 377,
  [378] = 378,
  [379] = 379,
  [380] = 380,
  [381] = 381,
  [382] = 382,
  [383] = 383,
  [384] = 384,
  [385] = 181,
  [386] = 386,
  [387] = 170,
  [388] = 388,
  [389] = 389,
  [390] = 390,
  [391] = 391,
  [392] = 160,
  [393] = 393,
  [394] = 347,
  [395] = 181,
  [396] = 178,
  [397] = 397,
  [398] = 398,
  [399] = 399,
  [400] = 400,
  [401] = 401,
  [402] = 170,
  [403] = 403,
  [404] = 404,
  [405] = 405,
  [406] = 406,
  [407] = 407,
  [408] = 408,
  [409] = 170,
  [410] = 410,
  [411] = 178,
  [412] = 412,
  [413] = 413,
  [414] = 414,
  [415] = 415,
  [416] = 167,
  [417] = 159,
  [418] = 418,
  [419] = 419,
  [420] = 420,
  [421] = 155,
  [422] = 422,
  [423] = 157,
  [424] = 156,
  [425] = 425,
  [426] = 163,
  [427] = 427,
  [428] = 162,
  [429] = 161,
  [430] = 430,
  [431] = 431,
  [432] = 432,
  [433] = 178,
  [434] = 434,
  [435] = 175,
  [436] = 174,
  [437] = 183,
  [438] = 184,
  [439] = 439,
  [440] = 440,
  [441] = 206,
  [442] = 442,
  [443] = 443,
  [444] = 444,
  [445] = 445,
  [446] = 446,
  [447] = 447,
  [448] = 161,
  [449] = 162,
  [450] = 450,
  [451] = 163,
  [452] = 156,
  [453] = 157,
  [454] = 454,
  [455] = 455,
  [456] = 456,
  [457] = 155,
  [458] = 458,
  [459] = 459,
  [460] = 175,
  [461] = 159,
  [462] = 462,
  [463] = 192,
  [464] = 260,
  [465] = 462,
  [466] = 261,
  [467] = 293,
  [468] = 257,
  [469] = 237,
  [470] = 239,
  [471] = 230,
  [472] = 228,
  [473] = 241,
  [474] = 274,
  [475] = 227,
  [476] = 242,
  [477] = 225,
  [478] = 332,
  [479] = 243,
  [480] = 244,
  [481] = 246,
  [482] = 247,
  [483] = 187,
  [484] = 318,
  [485] = 275,
  [486] = 283,
  [487] = 281,
  [488] = 248,
  [489] = 288,
  [490] = 300,
  [491] = 319,
  [492] = 327,
  [493] = 337,
  [494] = 329,
  [495] = 249,
  [496] = 330,
  [497] = 250,
  [498] = 297,
  [499] = 251,
  [500] = 333,
  [501] = 252,
  [502] = 253,
  [503] = 254,
  [504] = 187,
  [505] = 284,
  [506] = 276,
  [507] = 255,
  [508] = 277,
  [509] = 326,
  [510] = 258,
  [511] = 462,
  [512] = 240,
  [513] = 340,
  [514] = 233,
  [515] = 325,
  [516] = 285,
  [517] = 245,
  [518] = 232,
  [519] = 519,
  [520] = 324,
  [521] = 286,
  [522] = 229,
  [523] = 269,
  [524] = 323,
  [525] = 339,
  [526] = 259,
  [527] = 234,
  [528] = 338,
  [529] = 341,
  [530] = 321,
  [531] = 320,
  [532] = 287,
  [533] = 317,
  [534] = 322,
  [535] = 316,
  [536] = 313,
  [537] = 315,
  [538] = 312,
  [539] = 226,
  [540] = 262,
  [541] = 235,
  [542] = 310,
  [543] = 308,
  [544] = 519,
  [545] = 307,
  [546] = 306,
  [547] = 304,
  [548] = 303,
  [549] = 302,
  [550] = 301,
  [551] = 299,
  [552] = 222,
  [553] = 462,
  [554] = 294,
  [555] = 328,
  [556] = 298,
  [557] = 296,
  [558] = 256,
  [559] = 295,
  [560] = 292,
  [561] = 291,
  [562] = 224,
  [563] = 290,
  [564] = 519,
  [565] = 263,
  [566] = 336,
  [567] = 223,
  [568] = 335,
  [569] = 289,
  [570] = 265,
  [571] = 238,
  [572] = 236,
  [573] = 282,
  [574] = 280,
  [575] = 279,
  [576] = 331,
  [577] = 278,
  [578] = 266,
  [579] = 267,
  [580] = 519,
  [581] = 268,
  [582] = 231,
  [583] = 309,
  [584] = 273,
  [585] = 311,
  [586] = 272,
  [587] = 305,
  [588] = 271,
  [589] = 192,
  [590] = 270,
  [591] = 264,
  [592] = 350,
  [593] = 454,
  [594] = 422,
  [595] = 425,
  [596] = 445,
  [597] = 444,
  [598] = 598,
  [599] = 216,
  [600] = 401,
  [601] = 344,
  [602] = 348,
  [603] = 358,
  [604] = 359,
  [605] = 214,
  [606] = 361,
  [607] = 375,
  [608] = 379,
  [609] = 391,
  [610] = 397,
  [611] = 343,
  [612] = 349,
  [613] = 458,
  [614] = 403,
  [615] = 404,
  [616] = 408,
  [617] = 410,
  [618] = 412,
  [619] = 353,
  [620] = 413,
  [621] = 414,
  [622] = 415,
  [623] = 427,
  [624] = 434,
  [625] = 450,
  [626] = 377,
  [627] = 378,
  [628] = 380,
  [629] = 206,
  [630] = 381,
  [631] = 390,
  [632] = 632,
  [633] = 633,
  [634] = 442,
  [635] = 443,
  [636] = 398,
  [637] = 399,
  [638] = 432,
  [639] = 440,
  [640] = 455,
  [641] = 431,
  [642] = 456,
  [643] = 459,
  [644] = 370,
  [645] = 446,
  [646] = 198,
  [647] = 160,
  [648] = 419,
  [649] = 373,
  [650] = 216,
  [651] = 405,
  [652] = 400,
  [653] = 389,
  [654] = 407,
  [655] = 216,
  [656] = 167,
  [657] = 214,
  [658] = 160,
  [659] = 420,
  [660] = 393,
  [661] = 386,
  [662] = 383,
  [663] = 214,
  [664] = 198,
  [665] = 430,
  [666] = 382,
  [667] = 372,
  [668] = 374,
  [669] = 371,
  [670] = 406,
  [671] = 345,
  [672] = 368,
  [673] = 363,
  [674] = 439,
  [675] = 206,
  [676] = 384,
  [677] = 388,
  [678] = 366,
  [679] = 206,
  [680] = 198,
  [681] = 447,
  [682] = 418,
  [683] = 167,
  [684] = 318,
  [685] = 259,
  [686] = 230,
  [687] = 289,
  [688] = 228,
  [689] = 227,
  [690] = 225,
  [691] = 332,
  [692] = 283,
  [693] = 288,
  [694] = 300,
  [695] = 286,
  [696] = 297,
  [697] = 319,
  [698] = 327,
  [699] = 337,
  [700] = 329,
  [701] = 330,
  [702] = 222,
  [703] = 333,
  [704] = 340,
  [705] = 339,
  [706] = 338,
  [707] = 276,
  [708] = 330,
  [709] = 341,
  [710] = 282,
  [711] = 280,
  [712] = 264,
  [713] = 279,
  [714] = 326,
  [715] = 274,
  [716] = 325,
  [717] = 324,
  [718] = 287,
  [719] = 261,
  [720] = 326,
  [721] = 323,
  [722] = 277,
  [723] = 260,
  [724] = 320,
  [725] = 317,
  [726] = 315,
  [727] = 285,
  [728] = 284,
  [729] = 281,
  [730] = 257,
  [731] = 325,
  [732] = 310,
  [733] = 308,
  [734] = 307,
  [735] = 306,
  [736] = 324,
  [737] = 287,
  [738] = 323,
  [739] = 275,
  [740] = 231,
  [741] = 285,
  [742] = 284,
  [743] = 281,
  [744] = 274,
  [745] = 335,
  [746] = 223,
  [747] = 321,
  [748] = 320,
  [749] = 304,
  [750] = 317,
  [751] = 303,
  [752] = 315,
  [753] = 302,
  [754] = 261,
  [755] = 310,
  [756] = 260,
  [757] = 257,
  [758] = 301,
  [759] = 308,
  [760] = 299,
  [761] = 328,
  [762] = 307,
  [763] = 306,
  [764] = 304,
  [765] = 303,
  [766] = 302,
  [767] = 262,
  [768] = 301,
  [769] = 298,
  [770] = 299,
  [771] = 328,
  [772] = 296,
  [773] = 298,
  [774] = 296,
  [775] = 295,
  [776] = 292,
  [777] = 291,
  [778] = 295,
  [779] = 305,
  [780] = 292,
  [781] = 234,
  [782] = 291,
  [783] = 235,
  [784] = 275,
  [785] = 286,
  [786] = 237,
  [787] = 336,
  [788] = 290,
  [789] = 289,
  [790] = 311,
  [791] = 290,
  [792] = 289,
  [793] = 305,
  [794] = 331,
  [795] = 311,
  [796] = 240,
  [797] = 335,
  [798] = 223,
  [799] = 336,
  [800] = 321,
  [801] = 282,
  [802] = 239,
  [803] = 280,
  [804] = 241,
  [805] = 279,
  [806] = 242,
  [807] = 286,
  [808] = 278,
  [809] = 243,
  [810] = 322,
  [811] = 277,
  [812] = 316,
  [813] = 244,
  [814] = 246,
  [815] = 247,
  [816] = 313,
  [817] = 312,
  [818] = 278,
  [819] = 248,
  [820] = 249,
  [821] = 274,
  [822] = 250,
  [823] = 256,
  [824] = 251,
  [825] = 252,
  [826] = 309,
  [827] = 291,
  [828] = 264,
  [829] = 293,
  [830] = 245,
  [831] = 224,
  [832] = 331,
  [833] = 256,
  [834] = 261,
  [835] = 292,
  [836] = 297,
  [837] = 276,
  [838] = 245,
  [839] = 226,
  [840] = 273,
  [841] = 272,
  [842] = 271,
  [843] = 270,
  [844] = 269,
  [845] = 268,
  [846] = 267,
  [847] = 266,
  [848] = 265,
  [849] = 295,
  [850] = 263,
  [851] = 262,
  [852] = 296,
  [853] = 229,
  [854] = 232,
  [855] = 276,
  [856] = 233,
  [857] = 260,
  [858] = 233,
  [859] = 232,
  [860] = 229,
  [861] = 290,
  [862] = 258,
  [863] = 257,
  [864] = 255,
  [865] = 254,
  [866] = 253,
  [867] = 253,
  [868] = 252,
  [869] = 251,
  [870] = 250,
  [871] = 273,
  [872] = 249,
  [873] = 254,
  [874] = 248,
  [875] = 247,
  [876] = 246,
  [877] = 255,
  [878] = 272,
  [879] = 226,
  [880] = 258,
  [881] = 259,
  [882] = 271,
  [883] = 331,
  [884] = 224,
  [885] = 244,
  [886] = 243,
  [887] = 245,
  [888] = 242,
  [889] = 270,
  [890] = 241,
  [891] = 239,
  [892] = 298,
  [893] = 263,
  [894] = 268,
  [895] = 267,
  [896] = 237,
  [897] = 265,
  [898] = 287,
  [899] = 266,
  [900] = 267,
  [901] = 234,
  [902] = 266,
  [903] = 265,
  [904] = 263,
  [905] = 268,
  [906] = 269,
  [907] = 262,
  [908] = 231,
  [909] = 230,
  [910] = 228,
  [911] = 227,
  [912] = 335,
  [913] = 223,
  [914] = 225,
  [915] = 259,
  [916] = 258,
  [917] = 336,
  [918] = 332,
  [919] = 283,
  [920] = 288,
  [921] = 255,
  [922] = 285,
  [923] = 284,
  [924] = 254,
  [925] = 270,
  [926] = 277,
  [927] = 240,
  [928] = 253,
  [929] = 300,
  [930] = 319,
  [931] = 252,
  [932] = 281,
  [933] = 327,
  [934] = 275,
  [935] = 271,
  [936] = 293,
  [937] = 235,
  [938] = 337,
  [939] = 329,
  [940] = 251,
  [941] = 330,
  [942] = 250,
  [943] = 249,
  [944] = 233,
  [945] = 248,
  [946] = 247,
  [947] = 232,
  [948] = 309,
  [949] = 272,
  [950] = 273,
  [951] = 318,
  [952] = 326,
  [953] = 222,
  [954] = 297,
  [955] = 333,
  [956] = 305,
  [957] = 325,
  [958] = 240,
  [959] = 324,
  [960] = 323,
  [961] = 321,
  [962] = 311,
  [963] = 340,
  [964] = 339,
  [965] = 229,
  [966] = 236,
  [967] = 278,
  [968] = 338,
  [969] = 238,
  [970] = 341,
  [971] = 320,
  [972] = 279,
  [973] = 294,
  [974] = 246,
  [975] = 238,
  [976] = 280,
  [977] = 282,
  [978] = 244,
  [979] = 236,
  [980] = 317,
  [981] = 243,
  [982] = 322,
  [983] = 315,
  [984] = 310,
  [985] = 242,
  [986] = 241,
  [987] = 308,
  [988] = 316,
  [989] = 313,
  [990] = 239,
  [991] = 312,
  [992] = 313,
  [993] = 222,
  [994] = 316,
  [995] = 312,
  [996] = 322,
  [997] = 309,
  [998] = 236,
  [999] = 307,
  [1000] = 318,
  [1001] = 237,
  [1002] = 256,
  [1003] = 306,
  [1004] = 293,
  [1005] = 304,
  [1006] = 234,
  [1007] = 238,
  [1008] = 231,
  [1009] = 264,
  [1010] = 230,
  [1011] = 228,
  [1012] = 303,
  [1013] = 302,
  [1014] = 341,
  [1015] = 301,
  [1016] = 299,
  [1017] = 294,
  [1018] = 328,
  [1019] = 227,
  [1020] = 269,
  [1021] = 235,
  [1022] = 225,
  [1023] = 294,
  [1024] = 332,
  [1025] = 338,
  [1026] = 283,
  [1027] = 288,
  [1028] = 300,
  [1029] = 319,
  [1030] = 226,
  [1031] = 327,
  [1032] = 339,
  [1033] = 224,
  [1034] = 340,
  [1035] = 333,
  [1036] = 329,
  [1037] = 337,
  [1038] = 410,
  [1039] = 439,
  [1040] = 384,
  [1041] = 425,
  [1042] = 348,
  [1043] = 370,
  [1044] = 440,
  [1045] = 388,
  [1046] = 384,
  [1047] = 427,
  [1048] = 388,
  [1049] = 420,
  [1050] = 374,
  [1051] = 344,
  [1052] = 439,
  [1053] = 383,
  [1054] = 386,
  [1055] = 343,
  [1056] = 397,
  [1057] = 389,
  [1058] = 401,
  [1059] = 412,
  [1060] = 415,
  [1061] = 405,
  [1062] = 414,
  [1063] = 363,
  [1064] = 368,
  [1065] = 399,
  [1066] = 444,
  [1067] = 442,
  [1068] = 413,
  [1069] = 443,
  [1070] = 372,
  [1071] = 398,
  [1072] = 382,
  [1073] = 350,
  [1074] = 445,
  [1075] = 381,
  [1076] = 447,
  [1077] = 390,
  [1078] = 378,
  [1079] = 419,
  [1080] = 1080,
  [1081] = 410,
  [1082] = 454,
  [1083] = 353,
  [1084] = 432,
  [1085] = 431,
  [1086] = 454,
  [1087] = 358,
  [1088] = 455,
  [1089] = 1089,
  [1090] = 353,
  [1091] = 456,
  [1092] = 359,
  [1093] = 445,
  [1094] = 1094,
  [1095] = 444,
  [1096] = 401,
  [1097] = 413,
  [1098] = 371,
  [1099] = 459,
  [1100] = 344,
  [1101] = 348,
  [1102] = 1102,
  [1103] = 350,
  [1104] = 1104,
  [1105] = 418,
  [1106] = 400,
  [1107] = 366,
  [1108] = 361,
  [1109] = 408,
  [1110] = 1080,
  [1111] = 1111,
  [1112] = 375,
  [1113] = 349,
  [1114] = 442,
  [1115] = 443,
  [1116] = 381,
  [1117] = 407,
  [1118] = 391,
  [1119] = 1119,
  [1120] = 1120,
  [1121] = 380,
  [1122] = 400,
  [1123] = 1094,
  [1124] = 343,
  [1125] = 363,
  [1126] = 368,
  [1127] = 397,
  [1128] = 358,
  [1129] = 359,
  [1130] = 361,
  [1131] = 412,
  [1132] = 377,
  [1133] = 455,
  [1134] = 456,
  [1135] = 375,
  [1136] = 459,
  [1137] = 430,
  [1138] = 406,
  [1139] = 379,
  [1140] = 378,
  [1141] = 404,
  [1142] = 403,
  [1143] = 406,
  [1144] = 373,
  [1145] = 370,
  [1146] = 374,
  [1147] = 379,
  [1148] = 345,
  [1149] = 380,
  [1150] = 440,
  [1151] = 393,
  [1152] = 430,
  [1153] = 425,
  [1154] = 422,
  [1155] = 447,
  [1156] = 450,
  [1157] = 420,
  [1158] = 349,
  [1159] = 419,
  [1160] = 405,
  [1161] = 389,
  [1162] = 390,
  [1163] = 458,
  [1164] = 407,
  [1165] = 446,
  [1166] = 1094,
  [1167] = 431,
  [1168] = 408,
  [1169] = 366,
  [1170] = 432,
  [1171] = 446,
  [1172] = 377,
  [1173] = 427,
  [1174] = 450,
  [1175] = 422,
  [1176] = 372,
  [1177] = 415,
  [1178] = 1080,
  [1179] = 434,
  [1180] = 382,
  [1181] = 1094,
  [1182] = 434,
  [1183] = 345,
  [1184] = 371,
  [1185] = 398,
  [1186] = 399,
  [1187] = 393,
  [1188] = 386,
  [1189] = 418,
  [1190] = 1080,
  [1191] = 414,
  [1192] = 373,
  [1193] = 391,
  [1194] = 404,
  [1195] = 383,
  [1196] = 458,
  [1197] = 403,
  [1198] = 240,
  [1199] = 1102,
  [1200] = 187,
  [1201] = 192,
  [1202] = 373,
  [1203] = 388,
  [1204] = 1204,
  [1205] = 1204,
  [1206] = 1206,
  [1207] = 1206,
  [1208] = 1204,
  [1209] = 1206,
  [1210] = 1206,
  [1211] = 1206,
  [1212] = 1204,
  [1213] = 1206,
  [1214] = 1206,
  [1215] = 1204,
  [1216] = 1204,
  [1217] = 1204,
  [1218] = 1206,
  [1219] = 1206,
  [1220] = 1206,
  [1221] = 1206,
  [1222] = 1204,
  [1223] = 1204,
  [1224] = 1204,
  [1225] = 1206,
  [1226] = 1102,
  [1227] = 1204,
  [1228] = 1206,
  [1229] = 1204,
  [1230] = 1206,
  [1231] = 1206,
  [1232] = 1206,
  [1233] = 1233,
  [1234] = 1234,
  [1235] = 1206,
  [1236] = 1204,
  [1237] = 1204,
  [1238] = 1204,
  [1239] = 1204,
  [1240] = 1204,
  [1241] = 1204,
  [1242] = 1206,
  [1243] = 1102,
  [1244] = 366,
  [1245] = 391,
  [1246] = 378,
  [1247] = 382,
  [1248] = 372,
  [1249] = 371,
  [1250] = 348,
  [1251] = 344,
  [1252] = 343,
  [1253] = 398,
  [1254] = 1254,
  [1255] = 375,
  [1256] = 397,
  [1257] = 401,
  [1258] = 444,
  [1259] = 345,
  [1260] = 361,
  [1261] = 368,
  [1262] = 445,
  [1263] = 408,
  [1264] = 407,
  [1265] = 377,
  [1266] = 380,
  [1267] = 418,
  [1268] = 363,
  [1269] = 399,
  [1270] = 446,
  [1271] = 439,
  [1272] = 374,
  [1273] = 447,
  [1274] = 459,
  [1275] = 370,
  [1276] = 381,
  [1277] = 456,
  [1278] = 389,
  [1279] = 405,
  [1280] = 406,
  [1281] = 419,
  [1282] = 393,
  [1283] = 420,
  [1284] = 422,
  [1285] = 425,
  [1286] = 455,
  [1287] = 359,
  [1288] = 454,
  [1289] = 358,
  [1290] = 404,
  [1291] = 400,
  [1292] = 458,
  [1293] = 443,
  [1294] = 440,
  [1295] = 450,
  [1296] = 412,
  [1297] = 383,
  [1298] = 414,
  [1299] = 432,
  [1300] = 442,
  [1301] = 434,
  [1302] = 353,
  [1303] = 413,
  [1304] = 430,
  [1305] = 431,
  [1306] = 410,
  [1307] = 350,
  [1308] = 384,
  [1309] = 390,
  [1310] = 403,
  [1311] = 379,
  [1312] = 415,
  [1313] = 349,
  [1314] = 427,
  [1315] = 386,
  [1316] = 1316,
  [1317] = 1317,
  [1318] = 1318,
  [1319] = 1319,
  [1320] = 1320,
  [1321] = 1321,
  [1322] = 1322,
  [1323] = 1323,
  [1324] = 1324,
  [1325] = 1320,
  [1326] = 1321,
  [1327] = 1324,
  [1328] = 1328,
  [1329] = 1329,
  [1330] = 1321,
  [1331] = 1331,
  [1332] = 1324,
  [1333] = 1323,
  [1334] = 1334,
  [1335] = 1322,
  [1336] = 1322,
  [1337] = 1334,
  [1338] = 1318,
  [1339] = 1334,
  [1340] = 1319,
  [1341] = 1319,
  [1342] = 1334,
  [1343] = 1323,
  [1344] = 1331,
  [1345] = 1317,
  [1346] = 1323,
  [1347] = 1323,
  [1348] = 1323,
  [1349] = 1331,
  [1350] = 1331,
  [1351] = 1329,
  [1352] = 1331,
  [1353] = 1328,
  [1354] = 1320,
  [1355] = 1328,
  [1356] = 1322,
  [1357] = 1317,
  [1358] = 1318,
  [1359] = 1318,
  [1360] = 1322,
  [1361] = 1318,
  [1362] = 1317,
  [1363] = 1319,
  [1364] = 1321,
  [1365] = 1329,
  [1366] = 1334,
  [1367] = 1334,
  [1368] = 1329,
  [1369] = 1317,
  [1370] = 1334,
  [1371] = 1320,
  [1372] = 1319,
  [1373] = 1317,
  [1374] = 1329,
  [1375] = 1317,
  [1376] = 1320,
  [1377] = 1331,
  [1378] = 1318,
  [1379] = 1324,
  [1380] = 1331,
  [1381] = 1321,
  [1382] = 1318,
  [1383] = 1328,
  [1384] = 1328,
  [1385] = 1319,
  [1386] = 1329,
  [1387] = 1320,
  [1388] = 1324,
  [1389] = 1328,
  [1390] = 1328,
  [1391] = 1324,
  [1392] = 1319,
  [1393] = 1322,
  [1394] = 1321,
  [1395] = 1324,
  [1396] = 1322,
  [1397] = 1323,
  [1398] = 1329,
  [1399] = 1320,
  [1400] = 1400,
  [1401] = 1401,
  [1402] = 1400,
  [1403] = 1401,
  [1404] = 1401,
  [1405] = 1405,
  [1406] = 1405,
  [1407] = 1405,
  [1408] = 1405,
  [1409] = 1405,
  [1410] = 1405,
  [1411] = 1401,
  [1412] = 1401,
  [1413] = 1405,
  [1414] = 1405,
  [1415] = 1405,
  [1416] = 1401,
  [1417] = 1401,
  [1418] = 1418,
  [1419] = 1418,
  [1420] = 1420,
  [1421] = 1421,
  [1422] = 1418,
  [1423] = 1418,
  [1424] = 1418,
  [1425] = 1418,
  [1426] = 1418,
  [1427] = 1418,
  [1428] = 1418,
  [1429] = 158,
  [1430] = 1401,
  [1431] = 164,
  [1432] = 165,
  [1433] = 1433,
  [1434] = 1433,
  [1435] = 1433,
  [1436] = 1436,
  [1437] = 1433,
  [1438] = 1436,
  [1439] = 1433,
  [1440] = 1436,
  [1441] = 1433,
  [1442] = 1433,
  [1443] = 1436,
  [1444] = 1433,
  [1445] = 1436,
  [1446] = 1433,
  [1447] = 1436,
  [1448] = 1433,
  [1449] = 1436,
  [1450] = 166,
  [1451] = 1433,
  [1452] = 1436,
  [1453] = 1433,
  [1454] = 1433,
  [1455] = 1436,
  [1456] = 1433,
  [1457] = 1436,
  [1458] = 1436,
  [1459] = 1436,
  [1460] = 1433,
  [1461] = 1436,
  [1462] = 1436,
  [1463] = 1436,
  [1464] = 1464,
  [1465] = 178,
  [1466] = 162,
  [1467] = 156,
  [1468] = 157,
  [1469] = 155,
  [1470] = 159,
  [1471] = 170,
  [1472] = 179,
  [1473] = 174,
  [1474] = 181,
  [1475] = 183,
  [1476] = 184,
  [1477] = 163,
  [1478] = 175,
  [1479] = 161,
  [1480] = 1480,
  [1481] = 214,
  [1482] = 1482,
  [1483] = 216,
  [1484] = 1482,
  [1485] = 1482,
  [1486] = 1486,
  [1487] = 1486,
  [1488] = 1482,
  [1489] = 1482,
  [1490] = 198,
  [1491] = 1486,
  [1492] = 1482,
  [1493] = 1482,
  [1494] = 1482,
  [1495] = 1482,
  [1496] = 1482,
  [1497] = 1482,
  [1498] = 1482,
  [1499] = 1482,
  [1500] = 1482,
  [1501] = 1482,
  [1502] = 1482,
  [1503] = 1482,
  [1504] = 1482,
  [1505] = 1482,
  [1506] = 1486,
  [1507] = 1482,
  [1508] = 206,
  [1509] = 1482,
  [1510] = 167,
  [1511] = 1482,
  [1512] = 1482,
  [1513] = 1482,
  [1514] = 1482,
  [1515] = 160,
  [1516] = 302,
  [1517] = 328,
  [1518] = 260,
  [1519] = 1519,
  [1520] = 235,
  [1521] = 241,
  [1522] = 285,
  [1523] = 242,
  [1524] = 335,
  [1525] = 222,
  [1526] = 243,
  [1527] = 239,
  [1528] = 318,
  [1529] = 237,
  [1530] = 287,
  [1531] = 331,
  [1532] = 223,
  [1533] = 261,
  [1534] = 244,
  [1535] = 277,
  [1536] = 246,
  [1537] = 245,
  [1538] = 276,
  [1539] = 309,
  [1540] = 224,
  [1541] = 284,
  [1542] = 234,
  [1543] = 278,
  [1544] = 279,
  [1545] = 256,
  [1546] = 238,
  [1547] = 236,
  [1548] = 247,
  [1549] = 248,
  [1550] = 231,
  [1551] = 249,
  [1552] = 250,
  [1553] = 293,
  [1554] = 257,
  [1555] = 251,
  [1556] = 1464,
  [1557] = 252,
  [1558] = 253,
  [1559] = 230,
  [1560] = 1560,
  [1561] = 280,
  [1562] = 282,
  [1563] = 254,
  [1564] = 1421,
  [1565] = 228,
  [1566] = 281,
  [1567] = 227,
  [1568] = 225,
  [1569] = 332,
  [1570] = 272,
  [1571] = 283,
  [1572] = 271,
  [1573] = 312,
  [1574] = 313,
  [1575] = 1519,
  [1576] = 316,
  [1577] = 255,
  [1578] = 1420,
  [1579] = 274,
  [1580] = 288,
  [1581] = 300,
  [1582] = 319,
  [1583] = 289,
  [1584] = 327,
  [1585] = 337,
  [1586] = 290,
  [1587] = 286,
  [1588] = 264,
  [1589] = 258,
  [1590] = 259,
  [1591] = 291,
  [1592] = 329,
  [1593] = 330,
  [1594] = 292,
  [1595] = 269,
  [1596] = 262,
  [1597] = 333,
  [1598] = 340,
  [1599] = 1486,
  [1600] = 295,
  [1601] = 339,
  [1602] = 275,
  [1603] = 311,
  [1604] = 263,
  [1605] = 326,
  [1606] = 233,
  [1607] = 325,
  [1608] = 324,
  [1609] = 323,
  [1610] = 296,
  [1611] = 265,
  [1612] = 294,
  [1613] = 321,
  [1614] = 320,
  [1615] = 317,
  [1616] = 315,
  [1617] = 310,
  [1618] = 266,
  [1619] = 308,
  [1620] = 232,
  [1621] = 307,
  [1622] = 336,
  [1623] = 306,
  [1624] = 304,
  [1625] = 267,
  [1626] = 303,
  [1627] = 229,
  [1628] = 301,
  [1629] = 268,
  [1630] = 338,
  [1631] = 341,
  [1632] = 299,
  [1633] = 270,
  [1634] = 273,
  [1635] = 298,
  [1636] = 305,
  [1637] = 226,
  [1638] = 322,
  [1639] = 297,
  [1640] = 1640,
  [1641] = 1401,
  [1642] = 1401,
  [1643] = 1643,
  [1644] = 1401,
  [1645] = 1645,
  [1646] = 1645,
  [1647] = 1643,
  [1648] = 1401,
  [1649] = 1643,
  [1650] = 1645,
  [1651] = 1645,
  [1652] = 1645,
  [1653] = 1645,
  [1654] = 1401,
  [1655] = 1401,
  [1656] = 1401,
  [1657] = 1657,
  [1658] = 163,
  [1659] = 162,
  [1660] = 159,
  [1661] = 161,
  [1662] = 156,
  [1663] = 157,
  [1664] = 155,
  [1665] = 1665,
  [1666] = 1666,
  [1667] = 1667,
  [1668] = 1666,
  [1669] = 1669,
  [1670] = 1669,
  [1671] = 1669,
  [1672] = 1669,
  [1673] = 1669,
  [1674] = 1674,
  [1675] = 1675,
  [1676] = 1676,
  [1677] = 1677,
  [1678] = 1676,
  [1679] = 1679,
  [1680] = 1665,
  [1681] = 1674,
  [1682] = 439,
  [1683] = 1679,
  [1684] = 1684,
  [1685] = 1685,
  [1686] = 1686,
  [1687] = 1687,
  [1688] = 1688,
  [1689] = 1679,
  [1690] = 1674,
  [1691] = 1691,
  [1692] = 1687,
  [1693] = 1674,
  [1694] = 1679,
  [1695] = 406,
  [1696] = 1696,
  [1697] = 1677,
  [1698] = 1679,
  [1699] = 1674,
  [1700] = 1686,
  [1701] = 1665,
  [1702] = 159,
  [1703] = 161,
  [1704] = 163,
  [1705] = 156,
  [1706] = 157,
  [1707] = 1667,
  [1708] = 1708,
  [1709] = 155,
  [1710] = 159,
  [1711] = 162,
  [1712] = 163,
  [1713] = 1708,
  [1714] = 155,
  [1715] = 157,
  [1716] = 162,
  [1717] = 156,
  [1718] = 1665,
  [1719] = 161,
  [1720] = 1667,
  [1721] = 1667,
  [1722] = 162,
  [1723] = 1667,
  [1724] = 159,
  [1725] = 155,
  [1726] = 156,
  [1727] = 161,
  [1728] = 157,
  [1729] = 163,
  [1730] = 1730,
  [1731] = 1731,
  [1732] = 1732,
  [1733] = 1732,
  [1734] = 1730,
  [1735] = 1731,
  [1736] = 1732,
  [1737] = 1737,
  [1738] = 1732,
  [1739] = 1730,
  [1740] = 1740,
  [1741] = 1732,
  [1742] = 1732,
  [1743] = 1730,
  [1744] = 1730,
  [1745] = 1731,
  [1746] = 1732,
  [1747] = 1730,
  [1748] = 1731,
  [1749] = 1731,
  [1750] = 1730,
  [1751] = 1731,
  [1752] = 1731,
  [1753] = 1732,
  [1754] = 1730,
  [1755] = 1730,
  [1756] = 1732,
  [1757] = 1731,
  [1758] = 1730,
  [1759] = 1732,
  [1760] = 1730,
  [1761] = 1732,
  [1762] = 1762,
  [1763] = 1763,
  [1764] = 1763,
  [1765] = 1763,
  [1766] = 1762,
  [1767] = 1763,
  [1768] = 1763,
  [1769] = 1762,
  [1770] = 1762,
  [1771] = 1762,
  [1772] = 1763,
  [1773] = 1763,
  [1774] = 1762,
  [1775] = 1762,
  [1776] = 1763,
  [1777] = 1762,
  [1778] = 1778,
  [1779] = 1779,
  [1780] = 1779,
  [1781] = 1779,
  [1782] = 1779,
  [1783] = 1779,
  [1784] = 1784,
  [1785] = 1784,
  [1786] = 1784,
  [1787] = 1784,
  [1788] = 1784,
  [1789] = 1784,
  [1790] = 1784,
  [1791] = 1784,
  [1792] = 1784,
  [1793] = 1793,
  [1794] = 1793,
  [1795] = 1793,
  [1796] = 1793,
  [1797] = 1793,
  [1798] = 1793,
  [1799] = 1667,
  [1800] = 1793,
  [1801] = 1793,
  [1802] = 1793,
  [1803] = 1803,
  [1804] = 1804,
  [1805] = 1804,
  [1806] = 1804,
  [1807] = 1803,
  [1808] = 1803,
  [1809] = 1804,
  [1810] = 1804,
  [1811] = 1804,
  [1812] = 1804,
  [1813] = 1804,
  [1814] = 1804,
  [1815] = 1803,
  [1816] = 1804,
  [1817] = 1803,
  [1818] = 1803,
  [1819] = 1804,
  [1820] = 1820,
  [1821] = 1821,
  [1822] = 1822,
  [1823] = 1821,
  [1824] = 1824,
  [1825] = 1825,
  [1826] = 1821,
  [1827] = 1827,
  [1828] = 1828,
  [1829] = 1825,
  [1830] = 1830,
  [1831] = 1827,
  [1832] = 1824,
  [1833] = 1833,
  [1834] = 1821,
  [1835] = 1827,
  [1836] = 1830,
  [1837] = 1821,
  [1838] = 1824,
  [1839] = 1824,
  [1840] = 1824,
  [1841] = 1830,
  [1842] = 1821,
  [1843] = 1827,
  [1844] = 1821,
  [1845] = 1830,
  [1846] = 1824,
  [1847] = 1827,
  [1848] = 1848,
  [1849] = 1830,
  [1850] = 1827,
  [1851] = 1821,
  [1852] = 1852,
  [1853] = 1824,
  [1854] = 1824,
  [1855] = 1830,
  [1856] = 1830,
  [1857] = 1821,
  [1858] = 1848,
  [1859] = 1821,
  [1860] = 1821,
  [1861] = 1861,
  [1862] = 1824,
  [1863] = 1824,
  [1864] = 1830,
  [1865] = 1827,
  [1866] = 1825,
  [1867] = 1821,
  [1868] = 1827,
  [1869] = 1821,
  [1870] = 1830,
  [1871] = 1824,
  [1872] = 1830,
  [1873] = 1827,
  [1874] = 1821,
  [1875] = 1875,
  [1876] = 1827,
  [1877] = 1877,
  [1878] = 1825,
  [1879] = 1830,
  [1880] = 1822,
  [1881] = 1824,
  [1882] = 1848,
  [1883] = 1827,
  [1884] = 1824,
  [1885] = 1827,
  [1886] = 1822,
  [1887] = 1830,
  [1888] = 1830,
  [1889] = 1827,
  [1890] = 1824,
  [1891] = 1891,
  [1892] = 1892,
  [1893] = 1893,
  [1894] = 1894,
  [1895] = 1895,
  [1896] = 1896,
  [1897] = 1897,
  [1898] = 1898,
  [1899] = 1899,
  [1900] = 1900,
  [1901] = 1901,
  [1902] = 1822,
  [1903] = 1824,
  [1904] = 1830,
  [1905] = 1821,
  [1906] = 1848,
  [1907] = 1848,
  [1908] = 1827,
  [1909] = 1827,
  [1910] = 1830,
  [1911] = 1911,
  [1912] = 1912,
  [1913] = 1911,
  [1914] = 1911,
  [1915] = 1915,
  [1916] = 1916,
  [1917] = 1917,
  [1918] = 1918,
  [1919] = 1911,
  [1920] = 1920,
  [1921] = 1921,
  [1922] = 1911,
  [1923] = 1912,
  [1924] = 1912,
  [1925] = 1912,
  [1926] = 1921,
  [1927] = 1911,
  [1928] = 1921,
  [1929] = 1929,
  [1930] = 1930,
  [1931] = 1931,
  [1932] = 1932,
  [1933] = 1933,
  [1934] = 1911,
  [1935] = 1912,
  [1936] = 1911,
  [1937] = 1912,
  [1938] = 1921,
  [1939] = 1912,
  [1940] = 1921,
  [1941] = 1912,
  [1942] = 1942,
  [1943] = 1911,
  [1944] = 1911,
  [1945] = 1921,
  [1946] = 1946,
  [1947] = 1912,
  [1948] = 1912,
  [1949] = 1949,
  [1950] = 1912,
  [1951] = 1911,
  [1952] = 1952,
  [1953] = 1953,
  [1954] = 1954,
  [1955] = 1955,
  [1956] = 1956,
  [1957] = 1912,
  [1958] = 1921,
  [1959] = 1959,
  [1960] = 1911,
  [1961] = 1911,
  [1962] = 1912,
  [1963] = 1963,
  [1964] = 1912,
  [1965] = 1911,
  [1966] = 1949,
  [1967] = 1921,
  [1968] = 1912,
  [1969] = 1911,
  [1970] = 1970,
  [1971] = 1971,
  [1972] = 1972,
  [1973] = 1973,
  [1974] = 1974,
  [1975] = 1975,
  [1976] = 1973,
  [1977] = 1977,
  [1978] = 1978,
  [1979] = 1979,
  [1980] = 1980,
  [1981] = 1981,
  [1982] = 1982,
  [1983] = 1973,
  [1984] = 1984,
  [1985] = 1985,
  [1986] = 1986,
  [1987] = 1987,
  [1988] = 1977,
  [1989] = 1982,
  [1990] = 1990,
  [1991] = 1979,
  [1992] = 1992,
  [1993] = 1979,
  [1994] = 1994,
  [1995] = 1979,
  [1996] = 1979,
  [1997] = 1986,
  [1998] = 1977,
  [1999] = 1979,
  [2000] = 1990,
  [2001] = 2001,
  [2002] = 1982,
  [2003] = 1984,
  [2004] = 2004,
  [2005] = 1973,
  [2006] = 2006,
  [2007] = 1979,
  [2008] = 1987,
  [2009] = 2009,
  [2010] = 2010,
  [2011] = 2011,
  [2012] = 1984,
  [2013] = 1987,
  [2014] = 1979,
  [2015] = 2015,
  [2016] = 1973,
  [2017] = 2017,
  [2018] = 1987,
  [2019] = 2009,
  [2020] = 2020,
  [2021] = 1987,
  [2022] = 2022,
  [2023] = 1973,
  [2024] = 1979,
  [2025] = 2025,
  [2026] = 1979,
  [2027] = 2027,
  [2028] = 2028,
  [2029] = 2029,
  [2030] = 1994,
  [2031] = 2031,
  [2032] = 2032,
  [2033] = 1982,
  [2034] = 2034,
  [2035] = 1973,
  [2036] = 1985,
  [2037] = 2037,
  [2038] = 1987,
  [2039] = 2009,
  [2040] = 2009,
  [2041] = 1985,
  [2042] = 1987,
  [2043] = 2043,
  [2044] = 2044,
  [2045] = 1987,
  [2046] = 2046,
  [2047] = 1980,
  [2048] = 1985,
  [2049] = 1987,
  [2050] = 1981,
  [2051] = 2051,
  [2052] = 1977,
  [2053] = 1979,
  [2054] = 1982,
  [2055] = 2055,
  [2056] = 1987,
  [2057] = 1973,
  [2058] = 2058,
  [2059] = 2059,
  [2060] = 1985,
  [2061] = 2009,
  [2062] = 1987,
  [2063] = 2001,
  [2064] = 1977,
  [2065] = 1984,
  [2066] = 2015,
  [2067] = 1987,
  [2068] = 2020,
  [2069] = 1987,
  [2070] = 2022,
  [2071] = 1979,
  [2072] = 2025,
  [2073] = 2029,
  [2074] = 2006,
  [2075] = 2031,
  [2076] = 2004,
  [2077] = 2032,
  [2078] = 2010,
  [2079] = 2034,
  [2080] = 1974,
  [2081] = 1985,
  [2082] = 2037,
  [2083] = 1987,
  [2084] = 1978,
  [2085] = 2085,
  [2086] = 2011,
  [2087] = 2009,
  [2088] = 2043,
  [2089] = 1992,
  [2090] = 2044,
  [2091] = 1987,
  [2092] = 2058,
  [2093] = 2051,
  [2094] = 2055,
  [2095] = 2059,
  [2096] = 2085,
  [2097] = 1973,
  [2098] = 2098,
  [2099] = 2099,
  [2100] = 2100,
  [2101] = 2101,
  [2102] = 2102,
  [2103] = 2098,
  [2104] = 2102,
  [2105] = 2102,
  [2106] = 2106,
  [2107] = 2107,
  [2108] = 2102,
  [2109] = 2109,
  [2110] = 2100,
  [2111] = 2111,
  [2112] = 2099,
  [2113] = 2113,
  [2114] = 2106,
  [2115] = 2115,
  [2116] = 2116,
  [2117] = 2106,
  [2118] = 2118,
  [2119] = 2119,
  [2120] = 2119,
  [2121] = 2121,
  [2122] = 2102,
  [2123] = 2102,
  [2124] = 2124,
  [2125] = 2125,
  [2126] = 2106,
  [2127] = 2127,
  [2128] = 2128,
  [2129] = 2129,
  [2130] = 2130,
  [2131] = 2131,
  [2132] = 2132,
  [2133] = 2133,
  [2134] = 2118,
  [2135] = 2135,
  [2136] = 2130,
  [2137] = 2137,
  [2138] = 2109,
  [2139] = 2139,
  [2140] = 2140,
  [2141] = 2141,
  [2142] = 2131,
  [2143] = 2141,
  [2144] = 2140,
  [2145] = 2145,
  [2146] = 2139,
  [2147] = 2140,
  [2148] = 2099,
  [2149] = 2139,
  [2150] = 2150,
  [2151] = 2141,
  [2152] = 2131,
  [2153] = 2109,
  [2154] = 2145,
  [2155] = 2099,
  [2156] = 2133,
  [2157] = 2139,
  [2158] = 2121,
  [2159] = 2124,
  [2160] = 2139,
  [2161] = 2101,
  [2162] = 2140,
  [2163] = 2119,
  [2164] = 2121,
  [2165] = 2141,
  [2166] = 2140,
  [2167] = 2131,
  [2168] = 2106,
  [2169] = 2169,
  [2170] = 2118,
  [2171] = 2119,
  [2172] = 2141,
  [2173] = 2173,
  [2174] = 2131,
  [2175] = 2118,
  [2176] = 2145,
  [2177] = 2099,
  [2178] = 2121,
  [2179] = 2125,
  [2180] = 2124,
  [2181] = 2127,
  [2182] = 2101,
  [2183] = 2125,
  [2184] = 2184,
  [2185] = 2127,
  [2186] = 2109,
  [2187] = 2111,
  [2188] = 2119,
  [2189] = 2118,
  [2190] = 2133,
  [2191] = 2118,
  [2192] = 2119,
  [2193] = 2124,
  [2194] = 2133,
  [2195] = 2195,
  [2196] = 2109,
  [2197] = 2101,
  [2198] = 2125,
  [2199] = 2100,
  [2200] = 2130,
  [2201] = 2106,
  [2202] = 2127,
  [2203] = 2125,
  [2204] = 2102,
  [2205] = 2124,
  [2206] = 2139,
  [2207] = 2140,
  [2208] = 2141,
  [2209] = 2131,
  [2210] = 2145,
  [2211] = 2121,
  [2212] = 2212,
  [2213] = 2127,
  [2214] = 2099,
  [2215] = 2099,
  [2216] = 2216,
  [2217] = 2121,
  [2218] = 2145,
  [2219] = 2100,
  [2220] = 2131,
  [2221] = 2124,
  [2222] = 2141,
  [2223] = 2127,
  [2224] = 2140,
  [2225] = 2101,
  [2226] = 2216,
  [2227] = 2100,
  [2228] = 2139,
  [2229] = 2130,
  [2230] = 2101,
  [2231] = 2231,
  [2232] = 2130,
  [2233] = 2133,
  [2234] = 2101,
  [2235] = 2100,
  [2236] = 2106,
  [2237] = 2100,
  [2238] = 2106,
  [2239] = 2130,
  [2240] = 2145,
  [2241] = 2101,
  [2242] = 2118,
  [2243] = 2119,
  [2244] = 2139,
  [2245] = 2140,
  [2246] = 2100,
  [2247] = 2173,
  [2248] = 2130,
  [2249] = 2100,
  [2250] = 2141,
  [2251] = 2150,
  [2252] = 2130,
  [2253] = 2100,
  [2254] = 2133,
  [2255] = 2106,
  [2256] = 2116,
  [2257] = 2145,
  [2258] = 2106,
  [2259] = 2150,
  [2260] = 2131,
  [2261] = 2145,
  [2262] = 2099,
  [2263] = 2121,
  [2264] = 2124,
  [2265] = 2125,
  [2266] = 2173,
  [2267] = 2127,
  [2268] = 2169,
  [2269] = 2216,
  [2270] = 2135,
  [2271] = 2101,
  [2272] = 2102,
  [2273] = 2101,
  [2274] = 2274,
  [2275] = 2195,
  [2276] = 2130,
  [2277] = 2100,
  [2278] = 2132,
  [2279] = 2127,
  [2280] = 2125,
  [2281] = 2184,
  [2282] = 2274,
  [2283] = 2124,
  [2284] = 2118,
  [2285] = 2285,
  [2286] = 2119,
  [2287] = 2274,
  [2288] = 2121,
  [2289] = 2099,
  [2290] = 2115,
  [2291] = 2145,
  [2292] = 2274,
  [2293] = 2118,
  [2294] = 2106,
  [2295] = 2274,
  [2296] = 2212,
  [2297] = 2113,
  [2298] = 2150,
  [2299] = 2173,
  [2300] = 2274,
  [2301] = 2131,
  [2302] = 2141,
  [2303] = 2140,
  [2304] = 2113,
  [2305] = 2135,
  [2306] = 2139,
  [2307] = 2132,
  [2308] = 2116,
  [2309] = 2184,
  [2310] = 2130,
  [2311] = 2109,
  [2312] = 2115,
  [2313] = 2133,
  [2314] = 2216,
  [2315] = 2127,
  [2316] = 2125,
  [2317] = 2169,
  [2318] = 2098,
  [2319] = 2100,
  [2320] = 2320,
  [2321] = 2130,
  [2322] = 2139,
  [2323] = 2140,
  [2324] = 2141,
  [2325] = 2131,
  [2326] = 2145,
  [2327] = 2099,
  [2328] = 2121,
  [2329] = 2124,
  [2330] = 2125,
  [2331] = 2127,
  [2332] = 2109,
  [2333] = 2113,
  [2334] = 2124,
  [2335] = 2150,
  [2336] = 2173,
  [2337] = 2127,
  [2338] = 2119,
  [2339] = 2118,
  [2340] = 2125,
  [2341] = 2124,
  [2342] = 2121,
  [2343] = 2115,
  [2344] = 2099,
  [2345] = 2121,
  [2346] = 2124,
  [2347] = 2121,
  [2348] = 2348,
  [2349] = 2145,
  [2350] = 2131,
  [2351] = 2141,
  [2352] = 2140,
  [2353] = 2139,
  [2354] = 2099,
  [2355] = 2130,
  [2356] = 2106,
  [2357] = 2135,
  [2358] = 2100,
  [2359] = 2145,
  [2360] = 2131,
  [2361] = 2119,
  [2362] = 2274,
  [2363] = 2216,
  [2364] = 2133,
  [2365] = 2100,
  [2366] = 2101,
  [2367] = 2133,
  [2368] = 2128,
  [2369] = 2129,
  [2370] = 2101,
  [2371] = 2118,
  [2372] = 2119,
  [2373] = 2101,
  [2374] = 2135,
  [2375] = 2274,
  [2376] = 2119,
  [2377] = 2118,
  [2378] = 2132,
  [2379] = 2116,
  [2380] = 2109,
  [2381] = 2099,
  [2382] = 2125,
  [2383] = 2383,
  [2384] = 2133,
  [2385] = 2109,
  [2386] = 2101,
  [2387] = 2387,
  [2388] = 2127,
  [2389] = 2125,
  [2390] = 2130,
  [2391] = 2124,
  [2392] = 2139,
  [2393] = 2140,
  [2394] = 2121,
  [2395] = 2141,
  [2396] = 2131,
  [2397] = 2099,
  [2398] = 2141,
  [2399] = 2145,
  [2400] = 2140,
  [2401] = 2401,
  [2402] = 2145,
  [2403] = 2131,
  [2404] = 2139,
  [2405] = 2141,
  [2406] = 2099,
  [2407] = 2121,
  [2408] = 2140,
  [2409] = 2124,
  [2410] = 2139,
  [2411] = 2125,
  [2412] = 2127,
  [2413] = 2109,
  [2414] = 2118,
  [2415] = 2119,
  [2416] = 2416,
  [2417] = 2133,
  [2418] = 2184,
  [2419] = 2132,
  [2420] = 2115,
  [2421] = 2130,
  [2422] = 2098,
  [2423] = 2216,
  [2424] = 2113,
  [2425] = 2150,
  [2426] = 2173,
  [2427] = 2427,
  [2428] = 2135,
  [2429] = 2132,
  [2430] = 2116,
  [2431] = 2184,
  [2432] = 2432,
  [2433] = 2098,
  [2434] = 2434,
  [2435] = 1667,
  [2436] = 2113,
  [2437] = 2106,
  [2438] = 2109,
  [2439] = 2135,
  [2440] = 2274,
  [2441] = 2132,
  [2442] = 2116,
  [2443] = 2184,
  [2444] = 2444,
  [2445] = 2118,
  [2446] = 2133,
  [2447] = 2447,
  [2448] = 2115,
  [2449] = 2119,
  [2450] = 2450,
  [2451] = 2133,
  [2452] = 2109,
  [2453] = 2098,
  [2454] = 2130,
  [2455] = 2115,
  [2456] = 2115,
  [2457] = 2116,
  [2458] = 2184,
  [2459] = 2459,
  [2460] = 2098,
  [2461] = 2098,
  [2462] = 2106,
  [2463] = 2115,
  [2464] = 2115,
  [2465] = 2113,
  [2466] = 2109,
  [2467] = 2109,
  [2468] = 2111,
  [2469] = 2116,
  [2470] = 2139,
  [2471] = 2140,
  [2472] = 2132,
  [2473] = 2135,
  [2474] = 2141,
  [2475] = 2135,
  [2476] = 2131,
  [2477] = 2132,
  [2478] = 2145,
  [2479] = 2133,
  [2480] = 2106,
  [2481] = 2133,
  [2482] = 2101,
  [2483] = 2121,
  [2484] = 2124,
  [2485] = 2125,
  [2486] = 2100,
  [2487] = 2125,
  [2488] = 2127,
  [2489] = 2116,
  [2490] = 2118,
  [2491] = 2119,
  [2492] = 2184,
  [2493] = 2115,
  [2494] = 2098,
  [2495] = 2113,
  [2496] = 2109,
  [2497] = 2127,
  [2498] = 2216,
  [2499] = 2499,
  [2500] = 2499,
  [2501] = 1667,
  [2502] = 2499,
  [2503] = 2499,
  [2504] = 2499,
  [2505] = 2505,
  [2506] = 2506,
  [2507] = 2507,
  [2508] = 2508,
  [2509] = 192,
  [2510] = 170,
  [2511] = 2507,
  [2512] = 2508,
  [2513] = 2508,
  [2514] = 2507,
  [2515] = 2508,
  [2516] = 187,
  [2517] = 2507,
  [2518] = 2507,
  [2519] = 181,
  [2520] = 2508,
  [2521] = 2508,
  [2522] = 2508,
  [2523] = 2508,
  [2524] = 2524,
  [2525] = 2508,
  [2526] = 240,
  [2527] = 240,
  [2528] = 216,
  [2529] = 187,
  [2530] = 181,
  [2531] = 170,
  [2532] = 192,
  [2533] = 160,
  [2534] = 167,
  [2535] = 2535,
  [2536] = 238,
  [2537] = 420,
  [2538] = 422,
  [2539] = 425,
  [2540] = 240,
  [2541] = 406,
  [2542] = 440,
  [2543] = 442,
  [2544] = 2544,
  [2545] = 443,
  [2546] = 2546,
  [2547] = 454,
  [2548] = 274,
  [2549] = 447,
  [2550] = 2550,
  [2551] = 2551,
  [2552] = 2552,
  [2553] = 405,
  [2554] = 2554,
  [2555] = 2555,
  [2556] = 240,
  [2557] = 2557,
  [2558] = 2558,
  [2559] = 389,
  [2560] = 2560,
  [2561] = 2561,
  [2562] = 2562,
  [2563] = 2563,
  [2564] = 331,
  [2565] = 390,
  [2566] = 378,
  [2567] = 2567,
  [2568] = 2568,
  [2569] = 375,
  [2570] = 361,
  [2571] = 2571,
  [2572] = 359,
  [2573] = 2573,
  [2574] = 2567,
  [2575] = 2554,
  [2576] = 2554,
  [2577] = 358,
  [2578] = 2578,
  [2579] = 2579,
  [2580] = 2580,
  [2581] = 2581,
  [2582] = 2582,
  [2583] = 2583,
  [2584] = 2584,
  [2585] = 2585,
  [2586] = 2567,
  [2587] = 2567,
  [2588] = 2554,
  [2589] = 370,
  [2590] = 374,
  [2591] = 353,
  [2592] = 350,
  [2593] = 388,
  [2594] = 384,
  [2595] = 2567,
  [2596] = 2596,
  [2597] = 309,
  [2598] = 349,
  [2599] = 2554,
  [2600] = 2600,
  [2601] = 2567,
  [2602] = 2602,
  [2603] = 2554,
  [2604] = 419,
  [2605] = 2605,
  [2606] = 2606,
  [2607] = 2554,
  [2608] = 2608,
  [2609] = 2554,
  [2610] = 2610,
  [2611] = 373,
  [2612] = 348,
  [2613] = 2613,
  [2614] = 2614,
  [2615] = 293,
  [2616] = 344,
  [2617] = 343,
  [2618] = 363,
  [2619] = 368,
  [2620] = 399,
  [2621] = 418,
  [2622] = 398,
  [2623] = 318,
  [2624] = 431,
  [2625] = 432,
  [2626] = 222,
  [2627] = 2567,
  [2628] = 371,
  [2629] = 372,
  [2630] = 2567,
  [2631] = 430,
  [2632] = 382,
  [2633] = 397,
  [2634] = 2634,
  [2635] = 366,
  [2636] = 2636,
  [2637] = 2567,
  [2638] = 407,
  [2639] = 408,
  [2640] = 427,
  [2641] = 415,
  [2642] = 236,
  [2643] = 410,
  [2644] = 412,
  [2645] = 414,
  [2646] = 277,
  [2647] = 439,
  [2648] = 286,
  [2649] = 413,
  [2650] = 2554,
  [2651] = 2651,
  [2652] = 2652,
  [2653] = 2653,
  [2654] = 170,
  [2655] = 2655,
  [2656] = 2656,
  [2657] = 2657,
  [2658] = 2658,
  [2659] = 216,
  [2660] = 192,
  [2661] = 2661,
  [2662] = 187,
  [2663] = 160,
  [2664] = 2664,
  [2665] = 2665,
  [2666] = 181,
  [2667] = 2667,
  [2668] = 2668,
  [2669] = 2669,
  [2670] = 2670,
  [2671] = 167,
  [2672] = 2672,
  [2673] = 2652,
  [2674] = 2674,
  [2675] = 2652,
  [2676] = 181,
  [2677] = 187,
  [2678] = 192,
  [2679] = 2679,
  [2680] = 2652,
  [2681] = 170,
  [2682] = 2682,
  [2683] = 2683,
  [2684] = 431,
  [2685] = 427,
  [2686] = 309,
  [2687] = 236,
  [2688] = 420,
  [2689] = 398,
  [2690] = 382,
  [2691] = 372,
  [2692] = 419,
  [2693] = 405,
  [2694] = 389,
  [2695] = 350,
  [2696] = 418,
  [2697] = 442,
  [2698] = 2546,
  [2699] = 240,
  [2700] = 399,
  [2701] = 406,
  [2702] = 373,
  [2703] = 274,
  [2704] = 2544,
  [2705] = 371,
  [2706] = 2651,
  [2707] = 2568,
  [2708] = 443,
  [2709] = 2571,
  [2710] = 277,
  [2711] = 2585,
  [2712] = 2596,
  [2713] = 439,
  [2714] = 368,
  [2715] = 2610,
  [2716] = 2600,
  [2717] = 2602,
  [2718] = 286,
  [2719] = 432,
  [2720] = 2550,
  [2721] = 2608,
  [2722] = 2581,
  [2723] = 222,
  [2724] = 238,
  [2725] = 293,
  [2726] = 240,
  [2727] = 2583,
  [2728] = 349,
  [2729] = 454,
  [2730] = 2551,
  [2731] = 363,
  [2732] = 425,
  [2733] = 348,
  [2734] = 447,
  [2735] = 370,
  [2736] = 374,
  [2737] = 366,
  [2738] = 430,
  [2739] = 422,
  [2740] = 415,
  [2741] = 414,
  [2742] = 318,
  [2743] = 2614,
  [2744] = 413,
  [2745] = 384,
  [2746] = 2552,
  [2747] = 412,
  [2748] = 410,
  [2749] = 388,
  [2750] = 240,
  [2751] = 408,
  [2752] = 407,
  [2753] = 2555,
  [2754] = 390,
  [2755] = 344,
  [2756] = 2557,
  [2757] = 2613,
  [2758] = 2558,
  [2759] = 2584,
  [2760] = 2582,
  [2761] = 2560,
  [2762] = 2535,
  [2763] = 343,
  [2764] = 240,
  [2765] = 2561,
  [2766] = 2562,
  [2767] = 440,
  [2768] = 2605,
  [2769] = 2563,
  [2770] = 378,
  [2771] = 375,
  [2772] = 397,
  [2773] = 361,
  [2774] = 359,
  [2775] = 2578,
  [2776] = 2580,
  [2777] = 358,
  [2778] = 2606,
  [2779] = 331,
  [2780] = 2579,
  [2781] = 2634,
  [2782] = 353,
  [2783] = 2636,
  [2784] = 167,
  [2785] = 167,
  [2786] = 166,
  [2787] = 216,
  [2788] = 165,
  [2789] = 216,
  [2790] = 160,
  [2791] = 160,
  [2792] = 2792,
  [2793] = 309,
  [2794] = 318,
  [2795] = 378,
  [2796] = 2582,
  [2797] = 382,
  [2798] = 2636,
  [2799] = 331,
  [2800] = 407,
  [2801] = 2634,
  [2802] = 389,
  [2803] = 405,
  [2804] = 419,
  [2805] = 420,
  [2806] = 422,
  [2807] = 425,
  [2808] = 390,
  [2809] = 410,
  [2810] = 2584,
  [2811] = 222,
  [2812] = 427,
  [2813] = 366,
  [2814] = 372,
  [2815] = 353,
  [2816] = 440,
  [2817] = 371,
  [2818] = 368,
  [2819] = 399,
  [2820] = 398,
  [2821] = 363,
  [2822] = 350,
  [2823] = 412,
  [2824] = 454,
  [2825] = 349,
  [2826] = 447,
  [2827] = 2827,
  [2828] = 343,
  [2829] = 397,
  [2830] = 2581,
  [2831] = 238,
  [2832] = 2580,
  [2833] = 384,
  [2834] = 236,
  [2835] = 2579,
  [2836] = 2578,
  [2837] = 373,
  [2838] = 293,
  [2839] = 413,
  [2840] = 414,
  [2841] = 415,
  [2842] = 2535,
  [2843] = 2605,
  [2844] = 2606,
  [2845] = 2608,
  [2846] = 2610,
  [2847] = 2613,
  [2848] = 2614,
  [2849] = 2636,
  [2850] = 374,
  [2851] = 388,
  [2852] = 2634,
  [2853] = 370,
  [2854] = 2562,
  [2855] = 406,
  [2856] = 407,
  [2857] = 430,
  [2858] = 277,
  [2859] = 388,
  [2860] = 384,
  [2861] = 397,
  [2862] = 343,
  [2863] = 363,
  [2864] = 368,
  [2865] = 344,
  [2866] = 348,
  [2867] = 349,
  [2868] = 375,
  [2869] = 2584,
  [2870] = 2583,
  [2871] = 350,
  [2872] = 2582,
  [2873] = 353,
  [2874] = 358,
  [2875] = 359,
  [2876] = 2583,
  [2877] = 372,
  [2878] = 382,
  [2879] = 2581,
  [2880] = 430,
  [2881] = 2580,
  [2882] = 274,
  [2883] = 2579,
  [2884] = 2578,
  [2885] = 439,
  [2886] = 366,
  [2887] = 432,
  [2888] = 431,
  [2889] = 361,
  [2890] = 418,
  [2891] = 359,
  [2892] = 358,
  [2893] = 2563,
  [2894] = 2562,
  [2895] = 2561,
  [2896] = 2560,
  [2897] = 408,
  [2898] = 2561,
  [2899] = 2558,
  [2900] = 2557,
  [2901] = 286,
  [2902] = 2555,
  [2903] = 2560,
  [2904] = 2552,
  [2905] = 361,
  [2906] = 2551,
  [2907] = 442,
  [2908] = 443,
  [2909] = 447,
  [2910] = 375,
  [2911] = 2550,
  [2912] = 418,
  [2913] = 454,
  [2914] = 408,
  [2915] = 371,
  [2916] = 2602,
  [2917] = 443,
  [2918] = 222,
  [2919] = 318,
  [2920] = 439,
  [2921] = 373,
  [2922] = 286,
  [2923] = 2600,
  [2924] = 2558,
  [2925] = 442,
  [2926] = 2557,
  [2927] = 440,
  [2928] = 2596,
  [2929] = 2585,
  [2930] = 425,
  [2931] = 2555,
  [2932] = 422,
  [2933] = 420,
  [2934] = 419,
  [2935] = 331,
  [2936] = 2571,
  [2937] = 2552,
  [2938] = 405,
  [2939] = 2568,
  [2940] = 389,
  [2941] = 2551,
  [2942] = 2550,
  [2943] = 2651,
  [2944] = 348,
  [2945] = 2544,
  [2946] = 2546,
  [2947] = 344,
  [2948] = 277,
  [2949] = 2949,
  [2950] = 431,
  [2951] = 432,
  [2952] = 1643,
  [2953] = 2546,
  [2954] = 2544,
  [2955] = 2651,
  [2956] = 2568,
  [2957] = 2571,
  [2958] = 2585,
  [2959] = 2596,
  [2960] = 274,
  [2961] = 2600,
  [2962] = 406,
  [2963] = 2535,
  [2964] = 398,
  [2965] = 2605,
  [2966] = 309,
  [2967] = 293,
  [2968] = 370,
  [2969] = 2606,
  [2970] = 374,
  [2971] = 390,
  [2972] = 2613,
  [2973] = 427,
  [2974] = 415,
  [2975] = 414,
  [2976] = 413,
  [2977] = 2608,
  [2978] = 2563,
  [2979] = 412,
  [2980] = 2602,
  [2981] = 410,
  [2982] = 2610,
  [2983] = 399,
  [2984] = 238,
  [2985] = 236,
  [2986] = 2614,
  [2987] = 378,
  [2988] = 161,
  [2989] = 179,
  [2990] = 155,
  [2991] = 159,
  [2992] = 178,
  [2993] = 1643,
  [2994] = 157,
  [2995] = 183,
  [2996] = 184,
  [2997] = 2997,
  [2998] = 156,
  [2999] = 178,
  [3000] = 163,
  [3001] = 167,
  [3002] = 160,
  [3003] = 3003,
  [3004] = 174,
  [3005] = 175,
  [3006] = 174,
  [3007] = 162,
  [3008] = 3008,
  [3009] = 184,
  [3010] = 183,
  [3011] = 1420,
  [3012] = 3012,
  [3013] = 3013,
  [3014] = 3014,
  [3015] = 1421,
  [3016] = 3016,
  [3017] = 175,
  [3018] = 3018,
  [3019] = 3019,
  [3020] = 3020,
  [3021] = 3021,
  [3022] = 3022,
  [3023] = 179,
  [3024] = 3024,
  [3025] = 3025,
  [3026] = 3026,
  [3027] = 3027,
  [3028] = 3028,
  [3029] = 3029,
  [3030] = 165,
  [3031] = 3031,
  [3032] = 166,
  [3033] = 3033,
  [3034] = 3034,
  [3035] = 3003,
  [3036] = 3036,
  [3037] = 3037,
  [3038] = 3037,
  [3039] = 3037,
  [3040] = 3037,
  [3041] = 3037,
  [3042] = 3037,
  [3043] = 3043,
  [3044] = 276,
  [3045] = 3045,
  [3046] = 294,
  [3047] = 3037,
  [3048] = 3037,
  [3049] = 3037,
  [3050] = 3050,
  [3051] = 3051,
  [3052] = 3052,
  [3053] = 3051,
  [3054] = 3054,
  [3055] = 3051,
  [3056] = 3051,
  [3057] = 3051,
  [3058] = 3058,
  [3059] = 2682,
  [3060] = 3060,
  [3061] = 3061,
  [3062] = 3062,
  [3063] = 3063,
  [3064] = 3064,
  [3065] = 3065,
  [3066] = 3066,
  [3067] = 3067,
  [3068] = 3068,
  [3069] = 3069,
  [3070] = 3070,
  [3071] = 3071,
  [3072] = 3072,
  [3073] = 3073,
  [3074] = 3074,
  [3075] = 3075,
  [3076] = 3076,
  [3077] = 3077,
  [3078] = 3078,
  [3079] = 3079,
  [3080] = 3080,
  [3081] = 3081,
  [3082] = 3082,
  [3083] = 3083,
  [3084] = 3084,
  [3085] = 3085,
  [3086] = 3086,
  [3087] = 3087,
  [3088] = 3088,
  [3089] = 3089,
  [3090] = 3090,
  [3091] = 3091,
  [3092] = 3092,
  [3093] = 3093,
  [3094] = 3094,
  [3095] = 3095,
  [3096] = 3096,
  [3097] = 3097,
  [3098] = 3098,
  [3099] = 3099,
  [3100] = 3099,
  [3101] = 3099,
  [3102] = 3099,
  [3103] = 3099,
  [3104] = 3099,
  [3105] = 3099,
  [3106] = 3099,
  [3107] = 3099,
  [3108] = 3108,
  [3109] = 3109,
  [3110] = 3110,
  [3111] = 3111,
  [3112] = 3112,
  [3113] = 3113,
  [3114] = 3114,
  [3115] = 3115,
  [3116] = 3116,
  [3117] = 3117,
  [3118] = 3118,
  [3119] = 3119,
  [3120] = 3120,
  [3121] = 3121,
  [3122] = 3122,
  [3123] = 3123,
  [3124] = 3124,
  [3125] = 3125,
  [3126] = 3126,
  [3127] = 3127,
  [3128] = 3110,
  [3129] = 3129,
  [3130] = 3130,
  [3131] = 3131,
  [3132] = 3132,
  [3133] = 3114,
  [3134] = 3024,
  [3135] = 2683,
  [3136] = 3136,
  [3137] = 3137,
  [3138] = 3138,
  [3139] = 3139,
  [3140] = 3140,
  [3141] = 3013,
  [3142] = 3140,
  [3143] = 3140,
  [3144] = 3144,
  [3145] = 3144,
  [3146] = 3146,
  [3147] = 3140,
  [3148] = 3140,
  [3149] = 3115,
  [3150] = 3144,
  [3151] = 3151,
  [3152] = 3140,
  [3153] = 3144,
  [3154] = 3140,
  [3155] = 3140,
  [3156] = 3140,
  [3157] = 3144,
  [3158] = 3081,
  [3159] = 3159,
  [3160] = 3126,
  [3161] = 179,
  [3162] = 166,
  [3163] = 3089,
  [3164] = 1421,
  [3165] = 1420,
  [3166] = 3130,
  [3167] = 165,
  [3168] = 157,
  [3169] = 156,
  [3170] = 3170,
  [3171] = 155,
  [3172] = 159,
  [3173] = 3173,
  [3174] = 3003,
  [3175] = 3175,
  [3176] = 3173,
  [3177] = 3177,
  [3178] = 162,
  [3179] = 163,
  [3180] = 161,
  [3181] = 3146,
  [3182] = 3151,
  [3183] = 3183,
  [3184] = 3170,
  [3185] = 157,
  [3186] = 161,
  [3187] = 3022,
  [3188] = 161,
  [3189] = 162,
  [3190] = 3003,
  [3191] = 156,
  [3192] = 1665,
  [3193] = 162,
  [3194] = 3122,
  [3195] = 163,
  [3196] = 157,
  [3197] = 155,
  [3198] = 159,
  [3199] = 156,
  [3200] = 163,
  [3201] = 159,
  [3202] = 155,
  [3203] = 175,
  [3204] = 1667,
  [3205] = 1665,
  [3206] = 3115,
  [3207] = 3025,
  [3208] = 3208,
  [3209] = 1665,
  [3210] = 179,
  [3211] = 3211,
  [3212] = 3212,
  [3213] = 1665,
  [3214] = 3214,
  [3215] = 3215,
  [3216] = 3216,
  [3217] = 1667,
  [3218] = 166,
  [3219] = 3122,
  [3220] = 3122,
  [3221] = 165,
  [3222] = 3222,
  [3223] = 3127,
  [3224] = 3129,
  [3225] = 156,
  [3226] = 155,
  [3227] = 183,
  [3228] = 174,
  [3229] = 159,
  [3230] = 184,
  [3231] = 163,
  [3232] = 3232,
  [3233] = 175,
  [3234] = 3234,
  [3235] = 162,
  [3236] = 1667,
  [3237] = 161,
  [3238] = 1665,
  [3239] = 3022,
  [3240] = 3240,
  [3241] = 3216,
  [3242] = 3222,
  [3243] = 3125,
  [3244] = 178,
  [3245] = 3245,
  [3246] = 1667,
  [3247] = 3050,
  [3248] = 178,
  [3249] = 3240,
  [3250] = 3137,
  [3251] = 3251,
  [3252] = 159,
  [3253] = 3054,
  [3254] = 3115,
  [3255] = 184,
  [3256] = 183,
  [3257] = 3122,
  [3258] = 3131,
  [3259] = 156,
  [3260] = 3240,
  [3261] = 163,
  [3262] = 161,
  [3263] = 3251,
  [3264] = 157,
  [3265] = 155,
  [3266] = 3045,
  [3267] = 162,
  [3268] = 174,
  [3269] = 157,
  [3270] = 3093,
  [3271] = 3122,
  [3272] = 3069,
  [3273] = 3066,
  [3274] = 3082,
  [3275] = 3086,
  [3276] = 3122,
  [3277] = 3098,
  [3278] = 3083,
  [3279] = 179,
  [3280] = 3137,
  [3281] = 3125,
  [3282] = 3131,
  [3283] = 3078,
  [3284] = 3284,
  [3285] = 3067,
  [3286] = 3072,
  [3287] = 3073,
  [3288] = 3288,
  [3289] = 276,
  [3290] = 3058,
  [3291] = 1667,
  [3292] = 3092,
  [3293] = 3080,
  [3294] = 3216,
  [3295] = 3079,
  [3296] = 3061,
  [3297] = 294,
  [3298] = 3084,
  [3299] = 3060,
  [3300] = 3070,
  [3301] = 3087,
  [3302] = 3062,
  [3303] = 3234,
  [3304] = 3088,
  [3305] = 3094,
  [3306] = 3077,
  [3307] = 3090,
  [3308] = 3125,
  [3309] = 3076,
  [3310] = 3075,
  [3311] = 3071,
  [3312] = 3063,
  [3313] = 3122,
  [3314] = 3137,
  [3315] = 3095,
  [3316] = 3021,
  [3317] = 3085,
  [3318] = 3091,
  [3319] = 3016,
  [3320] = 3234,
  [3321] = 3068,
  [3322] = 3096,
  [3323] = 3064,
  [3324] = 3097,
  [3325] = 3284,
  [3326] = 3131,
  [3327] = 3025,
  [3328] = 3222,
  [3329] = 3065,
  [3330] = 3122,
  [3331] = 3234,
  [3332] = 3234,
  [3333] = 3234,
  [3334] = 3074,
  [3335] = 3234,
  [3336] = 3108,
  [3337] = 3113,
  [3338] = 3338,
  [3339] = 3121,
  [3340] = 3120,
  [3341] = 3112,
  [3342] = 3122,
  [3343] = 3123,
  [3344] = 3177,
  [3345] = 3122,
  [3346] = 3173,
  [3347] = 3117,
  [3348] = 3125,
  [3349] = 3116,
  [3350] = 3021,
  [3351] = 2682,
  [3352] = 3050,
  [3353] = 3183,
  [3354] = 3110,
  [3355] = 3016,
  [3356] = 3111,
  [3357] = 3054,
  [3358] = 3358,
  [3359] = 3119,
  [3360] = 3131,
  [3361] = 3137,
  [3362] = 3122,
  [3363] = 2683,
  [3364] = 3045,
  [3365] = 3124,
  [3366] = 3170,
  [3367] = 3122,
  [3368] = 3368,
  [3369] = 3025,
  [3370] = 3118,
  [3371] = 3371,
  [3372] = 3021,
  [3373] = 3025,
  [3374] = 3110,
  [3375] = 3091,
  [3376] = 3170,
  [3377] = 3095,
  [3378] = 3140,
  [3379] = 3027,
  [3380] = 3064,
  [3381] = 3381,
  [3382] = 3382,
  [3383] = 3071,
  [3384] = 3031,
  [3385] = 3078,
  [3386] = 3140,
  [3387] = 294,
  [3388] = 276,
  [3389] = 3026,
  [3390] = 3085,
  [3391] = 3391,
  [3392] = 3027,
  [3393] = 3393,
  [3394] = 3394,
  [3395] = 3222,
  [3396] = 3216,
  [3397] = 3031,
  [3398] = 3222,
  [3399] = 3036,
  [3400] = 3216,
  [3401] = 3097,
  [3402] = 3090,
  [3403] = 3403,
  [3404] = 3003,
  [3405] = 3405,
  [3406] = 3406,
  [3407] = 3407,
  [3408] = 3408,
  [3409] = 3036,
  [3410] = 3026,
  [3411] = 3033,
  [3412] = 3088,
  [3413] = 3087,
  [3414] = 3016,
  [3415] = 3060,
  [3416] = 3084,
  [3417] = 3417,
  [3418] = 3183,
  [3419] = 3068,
  [3420] = 3093,
  [3421] = 3177,
  [3422] = 2682,
  [3423] = 3423,
  [3424] = 3424,
  [3425] = 3425,
  [3426] = 3061,
  [3427] = 3079,
  [3428] = 3062,
  [3429] = 3066,
  [3430] = 3063,
  [3431] = 3075,
  [3432] = 3076,
  [3433] = 3058,
  [3434] = 3077,
  [3435] = 3022,
  [3436] = 3083,
  [3437] = 3073,
  [3438] = 3072,
  [3439] = 3067,
  [3440] = 3094,
  [3441] = 1665,
  [3442] = 3028,
  [3443] = 3443,
  [3444] = 3070,
  [3445] = 3033,
  [3446] = 3080,
  [3447] = 3092,
  [3448] = 3069,
  [3449] = 3173,
  [3450] = 3029,
  [3451] = 3028,
  [3452] = 3452,
  [3453] = 3043,
  [3454] = 3454,
  [3455] = 3455,
  [3456] = 3456,
  [3457] = 3029,
  [3458] = 3065,
  [3459] = 3098,
  [3460] = 3082,
  [3461] = 3086,
  [3462] = 1665,
  [3463] = 3029,
  [3464] = 3137,
  [3465] = 3036,
  [3466] = 3026,
  [3467] = 3021,
  [3468] = 1667,
  [3469] = 3027,
  [3470] = 3151,
  [3471] = 1696,
  [3472] = 3472,
  [3473] = 3177,
  [3474] = 277,
  [3475] = 3043,
  [3476] = 3125,
  [3477] = 3031,
  [3478] = 3183,
  [3479] = 3043,
  [3480] = 3480,
  [3481] = 406,
  [3482] = 3025,
  [3483] = 3028,
  [3484] = 3484,
  [3485] = 3003,
  [3486] = 439,
  [3487] = 3146,
  [3488] = 3131,
  [3489] = 3170,
  [3490] = 3490,
  [3491] = 331,
  [3492] = 3021,
  [3493] = 3151,
  [3494] = 3021,
  [3495] = 3033,
  [3496] = 3173,
  [3497] = 3110,
  [3498] = 3216,
  [3499] = 3146,
  [3500] = 309,
  [3501] = 293,
  [3502] = 3177,
  [3503] = 3222,
  [3504] = 3183,
  [3505] = 3022,
  [3506] = 3173,
  [3507] = 3170,
  [3508] = 3003,
  [3509] = 3025,
  [3510] = 3183,
  [3511] = 3511,
  [3512] = 3170,
  [3513] = 3016,
  [3514] = 1665,
  [3515] = 3183,
  [3516] = 3424,
  [3517] = 3033,
  [3518] = 1421,
  [3519] = 3177,
  [3520] = 3520,
  [3521] = 3521,
  [3522] = 3025,
  [3523] = 3170,
  [3524] = 3524,
  [3525] = 3424,
  [3526] = 3526,
  [3527] = 3527,
  [3528] = 3173,
  [3529] = 3177,
  [3530] = 3530,
  [3531] = 3531,
  [3532] = 3173,
  [3533] = 3425,
  [3534] = 1420,
  [3535] = 3535,
  [3536] = 3177,
  [3537] = 3537,
  [3538] = 3027,
  [3539] = 3183,
  [3540] = 3003,
  [3541] = 3541,
  [3542] = 3028,
  [3543] = 3170,
  [3544] = 3544,
  [3545] = 3021,
  [3546] = 3029,
  [3547] = 165,
  [3548] = 3548,
  [3549] = 3549,
  [3550] = 3036,
  [3551] = 3031,
  [3552] = 3026,
  [3553] = 3553,
  [3554] = 3554,
  [3555] = 3003,
  [3556] = 3022,
  [3557] = 3173,
  [3558] = 166,
  [3559] = 3559,
  [3560] = 3560,
  [3561] = 3561,
  [3562] = 3562,
  [3563] = 3425,
  [3564] = 3564,
  [3565] = 3565,
  [3566] = 3022,
  [3567] = 3567,
  [3568] = 3568,
  [3569] = 3569,
  [3570] = 3170,
  [3571] = 2664,
  [3572] = 3572,
  [3573] = 3027,
  [3574] = 184,
  [3575] = 2667,
  [3576] = 3576,
  [3577] = 183,
  [3578] = 2670,
  [3579] = 3579,
  [3580] = 174,
  [3581] = 175,
  [3582] = 3582,
  [3583] = 3146,
  [3584] = 3584,
  [3585] = 3585,
  [3586] = 3586,
  [3587] = 3587,
  [3588] = 3151,
  [3589] = 3589,
  [3590] = 3590,
  [3591] = 3025,
  [3592] = 3592,
  [3593] = 3593,
  [3594] = 3031,
  [3595] = 3595,
  [3596] = 3596,
  [3597] = 167,
  [3598] = 3598,
  [3599] = 3599,
  [3600] = 3600,
  [3601] = 3601,
  [3602] = 3183,
  [3603] = 3603,
  [3604] = 3604,
  [3605] = 3605,
  [3606] = 3606,
  [3607] = 3607,
  [3608] = 2661,
  [3609] = 2665,
  [3610] = 2668,
  [3611] = 2655,
  [3612] = 3021,
  [3613] = 3028,
  [3614] = 3029,
  [3615] = 178,
  [3616] = 3616,
  [3617] = 3074,
  [3618] = 2658,
  [3619] = 3619,
  [3620] = 2669,
  [3621] = 3621,
  [3622] = 2657,
  [3623] = 3623,
  [3624] = 3624,
  [3625] = 3625,
  [3626] = 3626,
  [3627] = 160,
  [3628] = 3628,
  [3629] = 2656,
  [3630] = 3222,
  [3631] = 3631,
  [3632] = 3216,
  [3633] = 2674,
  [3634] = 3634,
  [3635] = 3635,
  [3636] = 2672,
  [3637] = 2679,
  [3638] = 161,
  [3639] = 3110,
  [3640] = 3043,
  [3641] = 3003,
  [3642] = 3096,
  [3643] = 2997,
  [3644] = 3644,
  [3645] = 3645,
  [3646] = 3646,
  [3647] = 162,
  [3648] = 3648,
  [3649] = 3649,
  [3650] = 163,
  [3651] = 3651,
  [3652] = 3652,
  [3653] = 3653,
  [3654] = 3177,
  [3655] = 3655,
  [3656] = 3656,
  [3657] = 156,
  [3658] = 157,
  [3659] = 3151,
  [3660] = 3660,
  [3661] = 3661,
  [3662] = 3026,
  [3663] = 3663,
  [3664] = 3033,
  [3665] = 3665,
  [3666] = 3008,
  [3667] = 2653,
  [3668] = 155,
  [3669] = 3036,
  [3670] = 3670,
  [3671] = 159,
  [3672] = 3672,
  [3673] = 3673,
  [3674] = 3674,
  [3675] = 3016,
  [3676] = 3676,
  [3677] = 3173,
  [3678] = 3146,
  [3679] = 3679,
  [3680] = 3214,
  [3681] = 3170,
  [3682] = 3131,
  [3683] = 3026,
  [3684] = 3036,
  [3685] = 3183,
  [3686] = 3146,
  [3687] = 3118,
  [3688] = 3029,
  [3689] = 3173,
  [3690] = 3028,
  [3691] = 166,
  [3692] = 3116,
  [3693] = 3120,
  [3694] = 3117,
  [3695] = 3111,
  [3696] = 3425,
  [3697] = 3123,
  [3698] = 3022,
  [3699] = 3215,
  [3700] = 3027,
  [3701] = 3121,
  [3702] = 1667,
  [3703] = 3424,
  [3704] = 3112,
  [3705] = 3212,
  [3706] = 3043,
  [3707] = 3124,
  [3708] = 3119,
  [3709] = 179,
  [3710] = 3125,
  [3711] = 3108,
  [3712] = 3151,
  [3713] = 3137,
  [3714] = 3211,
  [3715] = 3110,
  [3716] = 165,
  [3717] = 3031,
  [3718] = 3113,
  [3719] = 3177,
  [3720] = 3033,
  [3721] = 3170,
  [3722] = 184,
  [3723] = 3031,
  [3724] = 3025,
  [3725] = 3016,
  [3726] = 183,
  [3727] = 174,
  [3728] = 3027,
  [3729] = 3033,
  [3730] = 3036,
  [3731] = 3026,
  [3732] = 3029,
  [3733] = 3021,
  [3734] = 3183,
  [3735] = 175,
  [3736] = 178,
  [3737] = 3146,
  [3738] = 166,
  [3739] = 3151,
  [3740] = 3096,
  [3741] = 3022,
  [3742] = 3028,
  [3743] = 3177,
  [3744] = 3173,
  [3745] = 3003,
  [3746] = 3074,
  [3747] = 165,
  [3748] = 3043,
  [3749] = 3110,
  [3750] = 3119,
  [3751] = 3151,
  [3752] = 3043,
  [3753] = 3146,
  [3754] = 3112,
  [3755] = 3111,
  [3756] = 3212,
  [3757] = 3108,
  [3758] = 3124,
  [3759] = 3214,
  [3760] = 3113,
  [3761] = 175,
  [3762] = 178,
  [3763] = 184,
  [3764] = 166,
  [3765] = 3120,
  [3766] = 3121,
  [3767] = 165,
  [3768] = 3215,
  [3769] = 183,
  [3770] = 3074,
  [3771] = 174,
  [3772] = 3116,
  [3773] = 179,
  [3774] = 3211,
  [3775] = 3118,
  [3776] = 3117,
  [3777] = 3096,
  [3778] = 3123,
  [3779] = 3118,
  [3780] = 3211,
  [3781] = 294,
  [3782] = 3214,
  [3783] = 3783,
  [3784] = 3123,
  [3785] = 3054,
  [3786] = 3116,
  [3787] = 3033,
  [3788] = 3117,
  [3789] = 166,
  [3790] = 3177,
  [3791] = 3031,
  [3792] = 3063,
  [3793] = 3045,
  [3794] = 184,
  [3795] = 163,
  [3796] = 183,
  [3797] = 159,
  [3798] = 3050,
  [3799] = 3212,
  [3800] = 3338,
  [3801] = 3036,
  [3802] = 3074,
  [3803] = 3096,
  [3804] = 174,
  [3805] = 162,
  [3806] = 3029,
  [3807] = 3121,
  [3808] = 3173,
  [3809] = 3358,
  [3810] = 161,
  [3811] = 3811,
  [3812] = 3067,
  [3813] = 3813,
  [3814] = 3814,
  [3815] = 3026,
  [3816] = 3119,
  [3817] = 178,
  [3818] = 3818,
  [3819] = 3170,
  [3820] = 3120,
  [3821] = 3821,
  [3822] = 175,
  [3823] = 3090,
  [3824] = 3824,
  [3825] = 3825,
  [3826] = 3826,
  [3827] = 3371,
  [3828] = 155,
  [3829] = 3058,
  [3830] = 3108,
  [3831] = 3831,
  [3832] = 3832,
  [3833] = 3028,
  [3834] = 3027,
  [3835] = 3835,
  [3836] = 157,
  [3837] = 3837,
  [3838] = 156,
  [3839] = 3124,
  [3840] = 165,
  [3841] = 3841,
  [3842] = 179,
  [3843] = 3843,
  [3844] = 3112,
  [3845] = 3111,
  [3846] = 3368,
  [3847] = 276,
  [3848] = 3848,
  [3849] = 3113,
  [3850] = 3850,
  [3851] = 3215,
  [3852] = 3183,
  [3853] = 3619,
  [3854] = 264,
  [3855] = 3855,
  [3856] = 3856,
  [3857] = 3045,
  [3858] = 157,
  [3859] = 3091,
  [3860] = 3085,
  [3861] = 3861,
  [3862] = 3391,
  [3863] = 3093,
  [3864] = 184,
  [3865] = 179,
  [3866] = 3094,
  [3867] = 155,
  [3868] = 3663,
  [3869] = 3596,
  [3870] = 3394,
  [3871] = 3097,
  [3872] = 3054,
  [3873] = 3873,
  [3874] = 3151,
  [3875] = 3119,
  [3876] = 3124,
  [3877] = 3064,
  [3878] = 178,
  [3879] = 3068,
  [3880] = 179,
  [3881] = 175,
  [3882] = 3095,
  [3883] = 3123,
  [3884] = 3598,
  [3885] = 3118,
  [3886] = 3063,
  [3887] = 3098,
  [3888] = 3146,
  [3889] = 3382,
  [3890] = 3403,
  [3891] = 3096,
  [3892] = 3086,
  [3893] = 159,
  [3894] = 3065,
  [3895] = 3564,
  [3896] = 2682,
  [3897] = 3043,
  [3898] = 3621,
  [3899] = 3074,
  [3900] = 3623,
  [3901] = 3624,
  [3902] = 3625,
  [3903] = 294,
  [3904] = 3904,
  [3905] = 3092,
  [3906] = 3906,
  [3907] = 3628,
  [3908] = 159,
  [3909] = 245,
  [3910] = 3075,
  [3911] = 276,
  [3912] = 163,
  [3913] = 3076,
  [3914] = 3077,
  [3915] = 3070,
  [3916] = 1665,
  [3917] = 161,
  [3918] = 174,
  [3919] = 3083,
  [3920] = 3058,
  [3921] = 178,
  [3922] = 162,
  [3923] = 3078,
  [3924] = 3069,
  [3925] = 3090,
  [3926] = 3082,
  [3927] = 3649,
  [3928] = 3116,
  [3929] = 3117,
  [3930] = 3080,
  [3931] = 3931,
  [3932] = 175,
  [3933] = 3933,
  [3934] = 174,
  [3935] = 155,
  [3936] = 156,
  [3937] = 3088,
  [3938] = 3938,
  [3939] = 157,
  [3940] = 183,
  [3941] = 3072,
  [3942] = 3112,
  [3943] = 156,
  [3944] = 184,
  [3945] = 183,
  [3946] = 163,
  [3947] = 3455,
  [3948] = 3111,
  [3949] = 162,
  [3950] = 161,
  [3951] = 3087,
  [3952] = 3952,
  [3953] = 3071,
  [3954] = 3060,
  [3955] = 3050,
  [3956] = 3084,
  [3957] = 3066,
  [3958] = 3062,
  [3959] = 3108,
  [3960] = 3073,
  [3961] = 3067,
  [3962] = 3113,
  [3963] = 3120,
  [3964] = 1667,
  [3965] = 3381,
  [3966] = 3121,
  [3967] = 3079,
  [3968] = 3061,
  [3969] = 3098,
  [3970] = 3069,
  [3971] = 3835,
  [3972] = 3813,
  [3973] = 3873,
  [3974] = 3826,
  [3975] = 3050,
  [3976] = 3843,
  [3977] = 3092,
  [3978] = 3841,
  [3979] = 3068,
  [3980] = 3080,
  [3981] = 3837,
  [3982] = 2682,
  [3983] = 3070,
  [3984] = 3818,
  [3985] = 3214,
  [3986] = 3986,
  [3987] = 3821,
  [3988] = 3215,
  [3989] = 3065,
  [3990] = 3490,
  [3991] = 3855,
  [3992] = 3824,
  [3993] = 3338,
  [3994] = 3077,
  [3995] = 276,
  [3996] = 3358,
  [3997] = 3058,
  [3998] = 3818,
  [3999] = 3813,
  [4000] = 3826,
  [4001] = 3986,
  [4002] = 3831,
  [4003] = 3783,
  [4004] = 3904,
  [4005] = 3045,
  [4006] = 3850,
  [4007] = 3071,
  [4008] = 3078,
  [4009] = 3082,
  [4010] = 3076,
  [4011] = 3072,
  [4012] = 3075,
  [4013] = 3091,
  [4014] = 3848,
  [4015] = 3064,
  [4016] = 3825,
  [4017] = 3108,
  [4018] = 3811,
  [4019] = 3212,
  [4020] = 3113,
  [4021] = 3986,
  [4022] = 3063,
  [4023] = 3850,
  [4024] = 3083,
  [4025] = 3073,
  [4026] = 3368,
  [4027] = 1665,
  [4028] = 3537,
  [4029] = 3120,
  [4030] = 3066,
  [4031] = 4031,
  [4032] = 3097,
  [4033] = 3527,
  [4034] = 3531,
  [4035] = 294,
  [4036] = 3541,
  [4037] = 3118,
  [4038] = 3090,
  [4039] = 1667,
  [4040] = 3111,
  [4041] = 3086,
  [4042] = 3811,
  [4043] = 3085,
  [4044] = 3837,
  [4045] = 3093,
  [4046] = 3095,
  [4047] = 3062,
  [4048] = 3544,
  [4049] = 3526,
  [4050] = 3835,
  [4051] = 3986,
  [4052] = 3054,
  [4053] = 3067,
  [4054] = 3211,
  [4055] = 3814,
  [4056] = 3520,
  [4057] = 3123,
  [4058] = 3814,
  [4059] = 3116,
  [4060] = 3371,
  [4061] = 3061,
  [4062] = 3832,
  [4063] = 3848,
  [4064] = 3084,
  [4065] = 3060,
  [4066] = 3783,
  [4067] = 179,
  [4068] = 3088,
  [4069] = 3124,
  [4070] = 3117,
  [4071] = 3825,
  [4072] = 3843,
  [4073] = 3121,
  [4074] = 3079,
  [4075] = 3087,
  [4076] = 3831,
  [4077] = 1665,
  [4078] = 3821,
  [4079] = 3832,
  [4080] = 3824,
  [4081] = 3841,
  [4082] = 3472,
  [4083] = 3119,
  [4084] = 3094,
  [4085] = 3112,
  [4086] = 3480,
  [4087] = 3856,
  [4088] = 157,
  [4089] = 156,
  [4090] = 3067,
  [4091] = 3393,
  [4092] = 3904,
  [4093] = 3855,
  [4094] = 3085,
  [4095] = 3092,
  [4096] = 3511,
  [4097] = 3095,
  [4098] = 3058,
  [4099] = 3065,
  [4100] = 276,
  [4101] = 3072,
  [4102] = 3358,
  [4103] = 3050,
  [4104] = 3906,
  [4105] = 4105,
  [4106] = 155,
  [4107] = 3484,
  [4108] = 3394,
  [4109] = 159,
  [4110] = 4105,
  [4111] = 3452,
  [4112] = 3548,
  [4113] = 3454,
  [4114] = 3553,
  [4115] = 3088,
  [4116] = 163,
  [4117] = 1421,
  [4118] = 3087,
  [4119] = 3090,
  [4120] = 3093,
  [4121] = 3216,
  [4122] = 3381,
  [4123] = 3456,
  [4124] = 3443,
  [4125] = 3094,
  [4126] = 3423,
  [4127] = 162,
  [4128] = 3073,
  [4129] = 4105,
  [4130] = 3063,
  [4131] = 3098,
  [4132] = 3086,
  [4133] = 3060,
  [4134] = 3082,
  [4135] = 3403,
  [4136] = 294,
  [4137] = 3371,
  [4138] = 3097,
  [4139] = 4105,
  [4140] = 3074,
  [4141] = 3391,
  [4142] = 3091,
  [4143] = 3338,
  [4144] = 3078,
  [4145] = 161,
  [4146] = 3083,
  [4147] = 3080,
  [4148] = 3071,
  [4149] = 3521,
  [4150] = 3382,
  [4151] = 3069,
  [4152] = 3066,
  [4153] = 4105,
  [4154] = 3045,
  [4155] = 3054,
  [4156] = 3405,
  [4157] = 3064,
  [4158] = 1665,
  [4159] = 3873,
  [4160] = 3406,
  [4161] = 1667,
  [4162] = 3070,
  [4163] = 3222,
  [4164] = 3407,
  [4165] = 3408,
  [4166] = 3549,
  [4167] = 3075,
  [4168] = 3062,
  [4169] = 4105,
  [4170] = 3084,
  [4171] = 3455,
  [4172] = 3077,
  [4173] = 3535,
  [4174] = 3368,
  [4175] = 3068,
  [4176] = 3076,
  [4177] = 1420,
  [4178] = 2682,
  [4179] = 3906,
  [4180] = 3096,
  [4181] = 3417,
  [4182] = 3061,
  [4183] = 4105,
  [4184] = 3856,
  [4185] = 3079,
  [4186] = 3391,
  [4187] = 3605,
  [4188] = 3670,
  [4189] = 167,
  [4190] = 3091,
  [4191] = 3083,
  [4192] = 160,
  [4193] = 3661,
  [4194] = 3813,
  [4195] = 3826,
  [4196] = 3548,
  [4197] = 3831,
  [4198] = 3069,
  [4199] = 3814,
  [4200] = 1665,
  [4201] = 3607,
  [4202] = 3598,
  [4203] = 3548,
  [4204] = 3645,
  [4205] = 3066,
  [4206] = 3222,
  [4207] = 2682,
  [4208] = 3655,
  [4209] = 3590,
  [4210] = 3589,
  [4211] = 238,
  [4212] = 236,
  [4213] = 3062,
  [4214] = 3626,
  [4215] = 3065,
  [4216] = 3652,
  [4217] = 3216,
  [4218] = 4031,
  [4219] = 3656,
  [4220] = 3663,
  [4221] = 3628,
  [4222] = 3625,
  [4223] = 3660,
  [4224] = 3624,
  [4225] = 3113,
  [4226] = 3108,
  [4227] = 3549,
  [4228] = 3623,
  [4229] = 318,
  [4230] = 3621,
  [4231] = 3564,
  [4232] = 2997,
  [4233] = 3382,
  [4234] = 222,
  [4235] = 3576,
  [4236] = 3601,
  [4237] = 3593,
  [4238] = 3549,
  [4239] = 3554,
  [4240] = 3603,
  [4241] = 3648,
  [4242] = 3651,
  [4243] = 274,
  [4244] = 3561,
  [4245] = 3093,
  [4246] = 3068,
  [4247] = 3094,
  [4248] = 3850,
  [4249] = 3562,
  [4250] = 3560,
  [4251] = 3098,
  [4252] = 3086,
  [4253] = 3082,
  [4254] = 3078,
  [4255] = 3071,
  [4256] = 3635,
  [4257] = 2664,
  [4258] = 2674,
  [4259] = 3646,
  [4260] = 2669,
  [4261] = 3619,
  [4262] = 3673,
  [4263] = 3572,
  [4264] = 286,
  [4265] = 3490,
  [4266] = 3599,
  [4267] = 3634,
  [4268] = 3596,
  [4269] = 3567,
  [4270] = 2672,
  [4271] = 2667,
  [4272] = 2670,
  [4273] = 2655,
  [4274] = 2656,
  [4275] = 3783,
  [4276] = 2657,
  [4277] = 3480,
  [4278] = 2658,
  [4279] = 3403,
  [4280] = 3565,
  [4281] = 3644,
  [4282] = 3841,
  [4283] = 3649,
  [4284] = 1667,
  [4285] = 2661,
  [4286] = 2665,
  [4287] = 2668,
  [4288] = 2679,
  [4289] = 3123,
  [4290] = 3811,
  [4291] = 3835,
  [4292] = 3586,
  [4293] = 3008,
  [4294] = 2653,
  [4295] = 3818,
  [4296] = 3548,
  [4297] = 3584,
  [4298] = 3137,
  [4299] = 3544,
  [4300] = 3821,
  [4301] = 3825,
  [4302] = 3832,
  [4303] = 3848,
  [4304] = 3124,
  [4305] = 3119,
  [4306] = 3824,
  [4307] = 3672,
  [4308] = 3394,
  [4309] = 3837,
  [4310] = 3085,
  [4311] = 3843,
  [4312] = 3072,
  [4313] = 3073,
  [4314] = 3548,
  [4315] = 3665,
  [4316] = 3472,
  [4317] = 3813,
  [4318] = 3125,
  [4319] = 3111,
  [4320] = 3079,
  [4321] = 3826,
  [4322] = 3843,
  [4323] = 3061,
  [4324] = 3084,
  [4325] = 3097,
  [4326] = 3837,
  [4327] = 3064,
  [4328] = 3381,
  [4329] = 3824,
  [4330] = 3848,
  [4331] = 3832,
  [4332] = 3825,
  [4333] = 3568,
  [4334] = 3120,
  [4335] = 3821,
  [4336] = 3541,
  [4337] = 3060,
  [4338] = 3653,
  [4339] = 3679,
  [4340] = 3831,
  [4341] = 3835,
  [4342] = 3131,
  [4343] = 3818,
  [4344] = 3811,
  [4345] = 3087,
  [4346] = 3088,
  [4347] = 3526,
  [4348] = 3841,
  [4349] = 3520,
  [4350] = 3095,
  [4351] = 3527,
  [4352] = 3814,
  [4353] = 3559,
  [4354] = 3537,
  [4355] = 3676,
  [4356] = 3604,
  [4357] = 3600,
  [4358] = 3092,
  [4359] = 3080,
  [4360] = 3455,
  [4361] = 3631,
  [4362] = 3592,
  [4363] = 3070,
  [4364] = 3783,
  [4365] = 3077,
  [4366] = 3076,
  [4367] = 3585,
  [4368] = 3582,
  [4369] = 3531,
  [4370] = 3587,
  [4371] = 3579,
  [4372] = 3530,
  [4373] = 3075,
  [4374] = 3112,
  [4375] = 3118,
  [4376] = 3524,
  [4377] = 3121,
  [4378] = 3569,
  [4379] = 3616,
  [4380] = 3117,
  [4381] = 3850,
  [4382] = 3116,
  [4383] = 3564,
  [4384] = 4384,
  [4385] = 3621,
  [4386] = 3623,
  [4387] = 3814,
  [4388] = 3624,
  [4389] = 3537,
  [4390] = 3818,
  [4391] = 3831,
  [4392] = 3625,
  [4393] = 3628,
  [4394] = 3067,
  [4395] = 3045,
  [4396] = 3541,
  [4397] = 3821,
  [4398] = 3825,
  [4399] = 3832,
  [4400] = 3848,
  [4401] = 3531,
  [4402] = 3824,
  [4403] = 3548,
  [4404] = 3527,
  [4405] = 3526,
  [4406] = 3783,
  [4407] = 3837,
  [4408] = 3843,
  [4409] = 3405,
  [4410] = 3222,
  [4411] = 3216,
  [4412] = 3406,
  [4413] = 3407,
  [4414] = 3408,
  [4415] = 3826,
  [4416] = 4416,
  [4417] = 3841,
  [4418] = 4418,
  [4419] = 3813,
  [4420] = 3811,
  [4421] = 3548,
  [4422] = 3063,
  [4423] = 3835,
  [4424] = 3873,
  [4425] = 3058,
  [4426] = 3544,
  [4427] = 3855,
  [4428] = 3635,
  [4429] = 4384,
  [4430] = 4384,
  [4431] = 3835,
  [4432] = 3649,
  [4433] = 4384,
  [4434] = 3841,
  [4435] = 4384,
  [4436] = 3783,
  [4437] = 3850,
  [4438] = 3490,
  [4439] = 3417,
  [4440] = 4384,
  [4441] = 3856,
  [4442] = 1420,
  [4443] = 3521,
  [4444] = 3906,
  [4445] = 4384,
  [4446] = 4384,
  [4447] = 3850,
  [4448] = 3022,
  [4449] = 3484,
  [4450] = 3511,
  [4451] = 3131,
  [4452] = 3090,
  [4453] = 4453,
  [4454] = 276,
  [4455] = 3904,
  [4456] = 3452,
  [4457] = 4384,
  [4458] = 3454,
  [4459] = 4384,
  [4460] = 3601,
  [4461] = 3544,
  [4462] = 294,
  [4463] = 4463,
  [4464] = 4384,
  [4465] = 3873,
  [4466] = 3855,
  [4467] = 3813,
  [4468] = 3826,
  [4469] = 3843,
  [4470] = 3837,
  [4471] = 3824,
  [4472] = 3848,
  [4473] = 3832,
  [4474] = 3825,
  [4475] = 3821,
  [4476] = 3480,
  [4477] = 3541,
  [4478] = 3831,
  [4479] = 3423,
  [4480] = 3443,
  [4481] = 3456,
  [4482] = 3520,
  [4483] = 3125,
  [4484] = 3016,
  [4485] = 3472,
  [4486] = 3626,
  [4487] = 3054,
  [4488] = 4488,
  [4489] = 1421,
  [4490] = 3553,
  [4491] = 3535,
  [4492] = 3527,
  [4493] = 3531,
  [4494] = 3626,
  [4495] = 3814,
  [4496] = 3635,
  [4497] = 3537,
  [4498] = 3904,
  [4499] = 3818,
  [4500] = 1667,
  [4501] = 3050,
  [4502] = 4416,
  [4503] = 4453,
  [4504] = 4418,
  [4505] = 4416,
  [4506] = 3520,
  [4507] = 4031,
  [4508] = 3548,
  [4509] = 3393,
  [4510] = 3526,
  [4511] = 3548,
  [4512] = 3811,
  [4513] = 3601,
  [4514] = 3549,
  [4515] = 1667,
  [4516] = 3137,
  [4517] = 2672,
  [4518] = 3382,
  [4519] = 3598,
  [4520] = 3569,
  [4521] = 4031,
  [4522] = 3661,
  [4523] = 2655,
  [4524] = 3085,
  [4525] = 3660,
  [4526] = 3656,
  [4527] = 3626,
  [4528] = 3091,
  [4529] = 3652,
  [4530] = 3484,
  [4531] = 4531,
  [4532] = 2674,
  [4533] = 2669,
  [4534] = 3554,
  [4535] = 4535,
  [4536] = 4536,
  [4537] = 3603,
  [4538] = 3559,
  [4539] = 3663,
  [4540] = 3561,
  [4541] = 3562,
  [4542] = 3560,
  [4543] = 4536,
  [4544] = 4531,
  [4545] = 2672,
  [4546] = 2997,
  [4547] = 3393,
  [4548] = 4535,
  [4549] = 2667,
  [4550] = 2679,
  [4551] = 2670,
  [4552] = 3589,
  [4553] = 3590,
  [4554] = 3855,
  [4555] = 3097,
  [4556] = 3653,
  [4557] = 3548,
  [4558] = 3456,
  [4559] = 3443,
  [4560] = 2668,
  [4561] = 3607,
  [4562] = 3645,
  [4563] = 3423,
  [4564] = 2665,
  [4565] = 3655,
  [4566] = 1420,
  [4567] = 3064,
  [4568] = 3619,
  [4569] = 4569,
  [4570] = 4536,
  [4571] = 3521,
  [4572] = 3083,
  [4573] = 2653,
  [4574] = 2667,
  [4575] = 3068,
  [4576] = 167,
  [4577] = 3616,
  [4578] = 2661,
  [4579] = 3062,
  [4580] = 4535,
  [4581] = 3066,
  [4582] = 3069,
  [4583] = 3548,
  [4584] = 3576,
  [4585] = 3651,
  [4586] = 4531,
  [4587] = 2670,
  [4588] = 2655,
  [4589] = 3454,
  [4590] = 3452,
  [4591] = 2656,
  [4592] = 4531,
  [4593] = 2669,
  [4594] = 3593,
  [4595] = 2674,
  [4596] = 3021,
  [4597] = 3584,
  [4598] = 3670,
  [4599] = 3131,
  [4600] = 3092,
  [4601] = 3605,
  [4602] = 3080,
  [4603] = 3601,
  [4604] = 3070,
  [4605] = 3548,
  [4606] = 3077,
  [4607] = 4031,
  [4608] = 3065,
  [4609] = 3076,
  [4610] = 3596,
  [4611] = 160,
  [4612] = 3628,
  [4613] = 3625,
  [4614] = 3624,
  [4615] = 3075,
  [4616] = 2664,
  [4617] = 3623,
  [4618] = 3621,
  [4619] = 3455,
  [4620] = 3511,
  [4621] = 3873,
  [4622] = 2657,
  [4623] = 2658,
  [4624] = 3549,
  [4625] = 3565,
  [4626] = 3564,
  [4627] = 3648,
  [4628] = 3599,
  [4629] = 3646,
  [4630] = 167,
  [4631] = 2656,
  [4632] = 3904,
  [4633] = 3110,
  [4634] = 3553,
  [4635] = 3673,
  [4636] = 3530,
  [4637] = 2661,
  [4638] = 3676,
  [4639] = 3381,
  [4640] = 3016,
  [4641] = 3567,
  [4642] = 4569,
  [4643] = 4535,
  [4644] = 3173,
  [4645] = 3572,
  [4646] = 2665,
  [4647] = 2668,
  [4648] = 3095,
  [4649] = 4535,
  [4650] = 3183,
  [4651] = 3137,
  [4652] = 3579,
  [4653] = 2657,
  [4654] = 3524,
  [4655] = 2664,
  [4656] = 3600,
  [4657] = 4569,
  [4658] = 4536,
  [4659] = 3417,
  [4660] = 3088,
  [4661] = 160,
  [4662] = 3631,
  [4663] = 2658,
  [4664] = 3093,
  [4665] = 3025,
  [4666] = 3087,
  [4667] = 3060,
  [4668] = 3084,
  [4669] = 3094,
  [4670] = 3061,
  [4671] = 3079,
  [4672] = 3073,
  [4673] = 2682,
  [4674] = 3072,
  [4675] = 3110,
  [4676] = 2679,
  [4677] = 3403,
  [4678] = 3587,
  [4679] = 3098,
  [4680] = 3086,
  [4681] = 3082,
  [4682] = 3592,
  [4683] = 3078,
  [4684] = 3071,
  [4685] = 3170,
  [4686] = 3177,
  [4687] = 3405,
  [4688] = 3635,
  [4689] = 3406,
  [4690] = 3125,
  [4691] = 3407,
  [4692] = 3604,
  [4693] = 3665,
  [4694] = 3634,
  [4695] = 3672,
  [4696] = 1421,
  [4697] = 3408,
  [4698] = 4569,
  [4699] = 4531,
  [4700] = 3649,
  [4701] = 4536,
  [4702] = 3644,
  [4703] = 3582,
  [4704] = 4569,
  [4705] = 3585,
  [4706] = 3008,
  [4707] = 3568,
  [4708] = 3535,
  [4709] = 3586,
  [4710] = 2653,
  [4711] = 3679,
  [4712] = 3589,
  [4713] = 4031,
  [4714] = 3848,
  [4715] = 3837,
  [4716] = 3843,
  [4717] = 3826,
  [4718] = 3832,
  [4719] = 3825,
  [4720] = 3635,
  [4721] = 3490,
  [4722] = 3653,
  [4723] = 3821,
  [4724] = 3541,
  [4725] = 3831,
  [4726] = 2661,
  [4727] = 3596,
  [4728] = 3544,
  [4729] = 3524,
  [4730] = 3593,
  [4731] = 3590,
  [4732] = 3576,
  [4733] = 3003,
  [4734] = 3818,
  [4735] = 3651,
  [4736] = 3601,
  [4737] = 4031,
  [4738] = 2653,
  [4739] = 3605,
  [4740] = 3634,
  [4741] = 2657,
  [4742] = 3031,
  [4743] = 3027,
  [4744] = 3813,
  [4745] = 2664,
  [4746] = 3648,
  [4747] = 3036,
  [4748] = 3026,
  [4749] = 4453,
  [4750] = 3646,
  [4751] = 3584,
  [4752] = 3811,
  [4753] = 3655,
  [4754] = 3673,
  [4755] = 3028,
  [4756] = 3660,
  [4757] = 3029,
  [4758] = 3835,
  [4759] = 3033,
  [4760] = 3598,
  [4761] = 3572,
  [4762] = 3656,
  [4763] = 3644,
  [4764] = 3569,
  [4765] = 3616,
  [4766] = 3652,
  [4767] = 3565,
  [4768] = 2679,
  [4769] = 3841,
  [4770] = 3567,
  [4771] = 2674,
  [4772] = 2669,
  [4773] = 1667,
  [4774] = 3628,
  [4775] = 3783,
  [4776] = 3625,
  [4777] = 3568,
  [4778] = 2672,
  [4779] = 2668,
  [4780] = 3170,
  [4781] = 3626,
  [4782] = 3586,
  [4783] = 2997,
  [4784] = 3645,
  [4785] = 3560,
  [4786] = 3672,
  [4787] = 3562,
  [4788] = 2670,
  [4789] = 3624,
  [4790] = 2656,
  [4791] = 2655,
  [4792] = 2667,
  [4793] = 3559,
  [4794] = 2658,
  [4795] = 3824,
  [4796] = 3183,
  [4797] = 3579,
  [4798] = 3587,
  [4799] = 3561,
  [4800] = 3623,
  [4801] = 3603,
  [4802] = 3814,
  [4803] = 165,
  [4804] = 3531,
  [4805] = 3582,
  [4806] = 3585,
  [4807] = 4031,
  [4808] = 3649,
  [4809] = 3527,
  [4810] = 3631,
  [4811] = 3600,
  [4812] = 167,
  [4813] = 3676,
  [4814] = 3679,
  [4815] = 3607,
  [4816] = 4453,
  [4817] = 160,
  [4818] = 3661,
  [4819] = 3850,
  [4820] = 3621,
  [4821] = 3663,
  [4822] = 3016,
  [4823] = 3554,
  [4824] = 3022,
  [4825] = 3530,
  [4826] = 3526,
  [4827] = 3222,
  [4828] = 3173,
  [4829] = 3216,
  [4830] = 3599,
  [4831] = 3008,
  [4832] = 3177,
  [4833] = 3537,
  [4834] = 3619,
  [4835] = 3592,
  [4836] = 3665,
  [4837] = 166,
  [4838] = 3670,
  [4839] = 3564,
  [4840] = 2665,
  [4841] = 3604,
  [4842] = 163,
  [4843] = 4453,
  [4844] = 161,
  [4845] = 3183,
  [4846] = 3177,
  [4847] = 156,
  [4848] = 157,
  [4849] = 155,
  [4850] = 3553,
  [4851] = 3173,
  [4852] = 159,
  [4853] = 3170,
  [4854] = 3146,
  [4855] = 178,
  [4856] = 3855,
  [4857] = 183,
  [4858] = 162,
  [4859] = 174,
  [4860] = 3151,
  [4861] = 175,
  [4862] = 1667,
  [4863] = 3021,
  [4864] = 3222,
  [4865] = 3216,
  [4866] = 4453,
  [4867] = 3003,
  [4868] = 3904,
  [4869] = 184,
  [4870] = 3025,
  [4871] = 4453,
  [4872] = 3110,
  [4873] = 3490,
  [4874] = 3043,
  [4875] = 4453,
  [4876] = 3873,
  [4877] = 167,
  [4878] = 3585,
  [4879] = 3212,
  [4880] = 3579,
  [4881] = 3631,
  [4882] = 3582,
  [4883] = 3600,
  [4884] = 3587,
  [4885] = 3215,
  [4886] = 3634,
  [4887] = 3567,
  [4888] = 3676,
  [4889] = 4453,
  [4890] = 3652,
  [4891] = 3214,
  [4892] = 3572,
  [4893] = 3673,
  [4894] = 3619,
  [4895] = 3537,
  [4896] = 3646,
  [4897] = 2664,
  [4898] = 3651,
  [4899] = 3616,
  [4900] = 3569,
  [4901] = 2670,
  [4902] = 2997,
  [4903] = 2672,
  [4904] = 3660,
  [4905] = 3663,
  [4906] = 3576,
  [4907] = 3656,
  [4908] = 3596,
  [4909] = 2674,
  [4910] = 2669,
  [4911] = 3211,
  [4912] = 2667,
  [4913] = 3531,
  [4914] = 3527,
  [4915] = 3589,
  [4916] = 3590,
  [4917] = 3653,
  [4918] = 3526,
  [4919] = 3661,
  [4920] = 3607,
  [4921] = 3598,
  [4922] = 3645,
  [4923] = 3655,
  [4924] = 4453,
  [4925] = 2655,
  [4926] = 2656,
  [4927] = 165,
  [4928] = 3599,
  [4929] = 2657,
  [4930] = 2658,
  [4931] = 4453,
  [4932] = 3593,
  [4933] = 3648,
  [4934] = 3553,
  [4935] = 3673,
  [4936] = 3008,
  [4937] = 3599,
  [4938] = 3003,
  [4939] = 3672,
  [4940] = 3541,
  [4941] = 2661,
  [4942] = 2665,
  [4943] = 2668,
  [4944] = 3183,
  [4945] = 3177,
  [4946] = 3031,
  [4947] = 3027,
  [4948] = 3660,
  [4949] = 3036,
  [4950] = 3026,
  [4951] = 160,
  [4952] = 2679,
  [4953] = 166,
  [4954] = 3565,
  [4955] = 3644,
  [4956] = 2653,
  [4957] = 3028,
  [4958] = 3029,
  [4959] = 3033,
  [4960] = 3173,
  [4961] = 3170,
  [4962] = 3586,
  [4963] = 4453,
  [4964] = 3183,
  [4965] = 3177,
  [4966] = 3173,
  [4967] = 179,
  [4968] = 3170,
  [4969] = 165,
  [4970] = 166,
  [4971] = 3607,
  [4972] = 3665,
  [4973] = 3544,
  [4974] = 3655,
  [4975] = 3565,
  [4976] = 3661,
  [4977] = 3585,
  [4978] = 3582,
  [4979] = 3653,
  [4980] = 183,
  [4981] = 3587,
  [4982] = 3579,
  [4983] = 3572,
  [4984] = 174,
  [4985] = 178,
  [4986] = 3170,
  [4987] = 4453,
  [4988] = 3634,
  [4989] = 3593,
  [4990] = 3151,
  [4991] = 175,
  [4992] = 4453,
  [4993] = 3586,
  [4994] = 3600,
  [4995] = 3074,
  [4996] = 3646,
  [4997] = 3567,
  [4998] = 3096,
  [4999] = 3183,
  [5000] = 3146,
  [5001] = 159,
  [5002] = 5002,
  [5003] = 3676,
  [5004] = 3177,
  [5005] = 3173,
  [5006] = 3590,
  [5007] = 3645,
  [5008] = 3016,
  [5009] = 3651,
  [5010] = 3665,
  [5011] = 3589,
  [5012] = 5012,
  [5013] = 3616,
  [5014] = 4453,
  [5015] = 155,
  [5016] = 3569,
  [5017] = 161,
  [5018] = 162,
  [5019] = 184,
  [5020] = 163,
  [5021] = 3576,
  [5022] = 3648,
  [5023] = 3644,
  [5024] = 3672,
  [5025] = 3151,
  [5026] = 3146,
  [5027] = 4453,
  [5028] = 3043,
  [5029] = 157,
  [5030] = 4453,
  [5031] = 3656,
  [5032] = 3652,
  [5033] = 4453,
  [5034] = 156,
  [5035] = 3631,
  [5036] = 3215,
  [5037] = 3381,
  [5038] = 3212,
  [5039] = 5039,
  [5040] = 3118,
  [5041] = 3120,
  [5042] = 5012,
  [5043] = 3214,
  [5044] = 3211,
  [5045] = 3403,
  [5046] = 3111,
  [5047] = 5002,
  [5048] = 3382,
  [5049] = 3123,
  [5050] = 179,
  [5051] = 3110,
  [5052] = 3215,
  [5053] = 3112,
  [5054] = 3212,
  [5055] = 3116,
  [5056] = 3117,
  [5057] = 3214,
  [5058] = 3455,
  [5059] = 3113,
  [5060] = 3124,
  [5061] = 3121,
  [5062] = 3211,
  [5063] = 3119,
  [5064] = 3108,
  [5065] = 5065,
  [5066] = 5066,
  [5067] = 5066,
  [5068] = 5068,
  [5069] = 5069,
  [5070] = 5069,
  [5071] = 3058,
  [5072] = 5068,
  [5073] = 5066,
  [5074] = 5068,
  [5075] = 5065,
  [5076] = 5076,
  [5077] = 5077,
  [5078] = 5066,
  [5079] = 5079,
  [5080] = 5065,
  [5081] = 5076,
  [5082] = 5082,
  [5083] = 5068,
  [5084] = 5066,
  [5085] = 5085,
  [5086] = 5068,
  [5087] = 5068,
  [5088] = 294,
  [5089] = 5089,
  [5090] = 5079,
  [5091] = 276,
  [5092] = 5066,
  [5093] = 5076,
  [5094] = 3090,
  [5095] = 4453,
  [5096] = 3063,
  [5097] = 5082,
  [5098] = 5068,
  [5099] = 5066,
  [5100] = 3045,
  [5101] = 5079,
  [5102] = 5069,
  [5103] = 5065,
  [5104] = 5082,
  [5105] = 5069,
  [5106] = 5085,
  [5107] = 5065,
  [5108] = 5068,
  [5109] = 5066,
  [5110] = 5068,
  [5111] = 5066,
  [5112] = 5079,
  [5113] = 5076,
  [5114] = 5068,
  [5115] = 5069,
  [5116] = 5082,
  [5117] = 5082,
  [5118] = 5082,
  [5119] = 165,
  [5120] = 5085,
  [5121] = 5085,
  [5122] = 3050,
  [5123] = 5079,
  [5124] = 5076,
  [5125] = 5085,
  [5126] = 5079,
  [5127] = 5076,
  [5128] = 5076,
  [5129] = 5085,
  [5130] = 5079,
  [5131] = 3074,
  [5132] = 5076,
  [5133] = 5082,
  [5134] = 5082,
  [5135] = 4453,
  [5136] = 5065,
  [5137] = 5085,
  [5138] = 5069,
  [5139] = 5066,
  [5140] = 5065,
  [5141] = 5141,
  [5142] = 5079,
  [5143] = 5082,
  [5144] = 5069,
  [5145] = 3054,
  [5146] = 5085,
  [5147] = 5082,
  [5148] = 5065,
  [5149] = 5069,
  [5150] = 5079,
  [5151] = 5085,
  [5152] = 5085,
  [5153] = 5079,
  [5154] = 5068,
  [5155] = 5085,
  [5156] = 5082,
  [5157] = 5079,
  [5158] = 3067,
  [5159] = 166,
  [5160] = 5141,
  [5161] = 5161,
  [5162] = 3096,
  [5163] = 5066,
  [5164] = 3093,
  [5165] = 3214,
  [5166] = 3061,
  [5167] = 5167,
  [5168] = 3118,
  [5169] = 3084,
  [5170] = 3060,
  [5171] = 3123,
  [5172] = 3087,
  [5173] = 3088,
  [5174] = 3072,
  [5175] = 3073,
  [5176] = 3124,
  [5177] = 3119,
  [5178] = 5167,
  [5179] = 3095,
  [5180] = 5167,
  [5181] = 3066,
  [5182] = 3211,
  [5183] = 3069,
  [5184] = 3083,
  [5185] = 5167,
  [5186] = 3151,
  [5187] = 3062,
  [5188] = 5012,
  [5189] = 5167,
  [5190] = 5002,
  [5191] = 5167,
  [5192] = 3215,
  [5193] = 3146,
  [5194] = 5167,
  [5195] = 5167,
  [5196] = 5167,
  [5197] = 3075,
  [5198] = 3076,
  [5199] = 5167,
  [5200] = 3077,
  [5201] = 3070,
  [5202] = 3080,
  [5203] = 3092,
  [5204] = 5167,
  [5205] = 5167,
  [5206] = 5206,
  [5207] = 5207,
  [5208] = 3085,
  [5209] = 3079,
  [5210] = 3078,
  [5211] = 3082,
  [5212] = 3111,
  [5213] = 3097,
  [5214] = 3071,
  [5215] = 3091,
  [5216] = 3064,
  [5217] = 5167,
  [5218] = 3086,
  [5219] = 3108,
  [5220] = 3121,
  [5221] = 3212,
  [5222] = 3065,
  [5223] = 3120,
  [5224] = 3068,
  [5225] = 3094,
  [5226] = 5077,
  [5227] = 3098,
  [5228] = 3117,
  [5229] = 3113,
  [5230] = 3116,
  [5231] = 3112,
  [5232] = 3783,
  [5233] = 5233,
  [5234] = 3090,
  [5235] = 3663,
  [5236] = 5236,
  [5237] = 5236,
  [5238] = 3215,
  [5239] = 5002,
  [5240] = 5240,
  [5241] = 5233,
  [5242] = 3212,
  [5243] = 5236,
  [5244] = 3067,
  [5245] = 5012,
  [5246] = 5233,
  [5247] = 3054,
  [5248] = 5240,
  [5249] = 3619,
  [5250] = 3058,
  [5251] = 3821,
  [5252] = 3050,
  [5253] = 3825,
  [5254] = 3596,
  [5255] = 5240,
  [5256] = 276,
  [5257] = 3814,
  [5258] = 294,
  [5259] = 3818,
  [5260] = 3832,
  [5261] = 3850,
  [5262] = 3848,
  [5263] = 3824,
  [5264] = 3837,
  [5265] = 5240,
  [5266] = 3843,
  [5267] = 5236,
  [5268] = 3214,
  [5269] = 5233,
  [5270] = 3045,
  [5271] = 3835,
  [5272] = 3841,
  [5273] = 5273,
  [5274] = 3063,
  [5275] = 3811,
  [5276] = 3813,
  [5277] = 5236,
  [5278] = 3598,
  [5279] = 3826,
  [5280] = 5233,
  [5281] = 5240,
  [5282] = 3211,
  [5283] = 3831,
  [5284] = 5012,
  [5285] = 3060,
  [5286] = 5286,
  [5287] = 2682,
  [5288] = 5012,
  [5289] = 3091,
  [5290] = 3075,
  [5291] = 3076,
  [5292] = 3077,
  [5293] = 5002,
  [5294] = 3068,
  [5295] = 3070,
  [5296] = 3085,
  [5297] = 3080,
  [5298] = 3092,
  [5299] = 3403,
  [5300] = 3071,
  [5301] = 3095,
  [5302] = 3078,
  [5303] = 3062,
  [5304] = 3382,
  [5305] = 3066,
  [5306] = 3082,
  [5307] = 3069,
  [5308] = 3088,
  [5309] = 3087,
  [5310] = 3455,
  [5311] = 3381,
  [5312] = 5312,
  [5313] = 3455,
  [5314] = 3084,
  [5315] = 3382,
  [5316] = 3083,
  [5317] = 3873,
  [5318] = 5318,
  [5319] = 3086,
  [5320] = 5320,
  [5321] = 3061,
  [5322] = 3381,
  [5323] = 3064,
  [5324] = 3079,
  [5325] = 3097,
  [5326] = 5002,
  [5327] = 5327,
  [5328] = 3904,
  [5329] = 3073,
  [5330] = 3072,
  [5331] = 3403,
  [5332] = 3098,
  [5333] = 3094,
  [5334] = 3093,
  [5335] = 3855,
  [5336] = 3065,
  [5337] = 2997,
  [5338] = 5338,
  [5339] = 3835,
  [5340] = 3843,
  [5341] = 3837,
  [5342] = 5002,
  [5343] = 3824,
  [5344] = 3848,
  [5345] = 3832,
  [5346] = 3825,
  [5347] = 5318,
  [5348] = 3831,
  [5349] = 3821,
  [5350] = 5320,
  [5351] = 3008,
  [5352] = 3841,
  [5353] = 5273,
  [5354] = 3783,
  [5355] = 166,
  [5356] = 5002,
  [5357] = 5002,
  [5358] = 5012,
  [5359] = 3850,
  [5360] = 5012,
  [5361] = 5012,
  [5362] = 3541,
  [5363] = 5338,
  [5364] = 3818,
  [5365] = 5338,
  [5366] = 1667,
  [5367] = 3904,
  [5368] = 5338,
  [5369] = 3526,
  [5370] = 3544,
  [5371] = 2997,
  [5372] = 3008,
  [5373] = 3490,
  [5374] = 3855,
  [5375] = 3537,
  [5376] = 5312,
  [5377] = 3873,
  [5378] = 3811,
  [5379] = 3527,
  [5380] = 3814,
  [5381] = 3531,
  [5382] = 165,
  [5383] = 3826,
  [5384] = 3813,
  [5385] = 5286,
  [5386] = 2668,
  [5387] = 5012,
  [5388] = 3855,
  [5389] = 2679,
  [5390] = 3825,
  [5391] = 3848,
  [5392] = 3850,
  [5393] = 2653,
  [5394] = 3814,
  [5395] = 3832,
  [5396] = 3818,
  [5397] = 160,
  [5398] = 3016,
  [5399] = 5327,
  [5400] = 5400,
  [5401] = 2655,
  [5402] = 2656,
  [5403] = 2670,
  [5404] = 2667,
  [5405] = 5002,
  [5406] = 5327,
  [5407] = 5407,
  [5408] = 2672,
  [5409] = 3110,
  [5410] = 167,
  [5411] = 3904,
  [5412] = 2664,
  [5413] = 3553,
  [5414] = 3835,
  [5415] = 5415,
  [5416] = 3821,
  [5417] = 3813,
  [5418] = 3831,
  [5419] = 3783,
  [5420] = 2665,
  [5421] = 2657,
  [5422] = 2661,
  [5423] = 2658,
  [5424] = 3826,
  [5425] = 2669,
  [5426] = 3811,
  [5427] = 2674,
  [5428] = 3837,
  [5429] = 3873,
  [5430] = 3841,
  [5431] = 5407,
  [5432] = 3843,
  [5433] = 3824,
  [5434] = 2661,
  [5435] = 3818,
  [5436] = 5436,
  [5437] = 3382,
  [5438] = 5438,
  [5439] = 5439,
  [5440] = 2656,
  [5441] = 2655,
  [5442] = 5439,
  [5443] = 5443,
  [5444] = 5444,
  [5445] = 3589,
  [5446] = 5446,
  [5447] = 3835,
  [5448] = 5448,
  [5449] = 3811,
  [5450] = 3661,
  [5451] = 5451,
  [5452] = 3455,
  [5453] = 5439,
  [5454] = 5438,
  [5455] = 5002,
  [5456] = 5438,
  [5457] = 5451,
  [5458] = 5438,
  [5459] = 3814,
  [5460] = 5460,
  [5461] = 5448,
  [5462] = 5448,
  [5463] = 5438,
  [5464] = 3653,
  [5465] = 5465,
  [5466] = 5451,
  [5467] = 3607,
  [5468] = 5460,
  [5469] = 3567,
  [5470] = 5439,
  [5471] = 2670,
  [5472] = 2667,
  [5473] = 3634,
  [5474] = 2672,
  [5475] = 3832,
  [5476] = 5451,
  [5477] = 5451,
  [5478] = 5478,
  [5479] = 2997,
  [5480] = 2669,
  [5481] = 2674,
  [5482] = 5444,
  [5483] = 5451,
  [5484] = 5439,
  [5485] = 5439,
  [5486] = 5444,
  [5487] = 5448,
  [5488] = 3572,
  [5489] = 3841,
  [5490] = 3599,
  [5491] = 5439,
  [5492] = 3565,
  [5493] = 3021,
  [5494] = 5448,
  [5495] = 3619,
  [5496] = 5444,
  [5497] = 5497,
  [5498] = 3783,
  [5499] = 5451,
  [5500] = 2657,
  [5501] = 2664,
  [5502] = 3598,
  [5503] = 5439,
  [5504] = 3652,
  [5505] = 3644,
  [5506] = 5448,
  [5507] = 5460,
  [5508] = 3676,
  [5509] = 2658,
  [5510] = 5439,
  [5511] = 3656,
  [5512] = 5512,
  [5513] = 5439,
  [5514] = 5439,
  [5515] = 5465,
  [5516] = 5451,
  [5517] = 3600,
  [5518] = 5438,
  [5519] = 5519,
  [5520] = 5451,
  [5521] = 5521,
  [5522] = 5522,
  [5523] = 3631,
  [5524] = 3645,
  [5525] = 3016,
  [5526] = 5439,
  [5527] = 3673,
  [5528] = 5439,
  [5529] = 5439,
  [5530] = 5439,
  [5531] = 5012,
  [5532] = 5439,
  [5533] = 5439,
  [5534] = 5439,
  [5535] = 5439,
  [5536] = 5465,
  [5537] = 5465,
  [5538] = 5439,
  [5539] = 5460,
  [5540] = 3655,
  [5541] = 5439,
  [5542] = 3003,
  [5543] = 5438,
  [5544] = 5460,
  [5545] = 3646,
  [5546] = 3596,
  [5547] = 5547,
  [5548] = 3585,
  [5549] = 5451,
  [5550] = 3582,
  [5551] = 3590,
  [5552] = 5448,
  [5553] = 5448,
  [5554] = 3648,
  [5555] = 5555,
  [5556] = 3660,
  [5557] = 5557,
  [5558] = 5558,
  [5559] = 2653,
  [5560] = 3008,
  [5561] = 5439,
  [5562] = 3381,
  [5563] = 3593,
  [5564] = 3665,
  [5565] = 5439,
  [5566] = 5566,
  [5567] = 5567,
  [5568] = 5438,
  [5569] = 3813,
  [5570] = 3587,
  [5571] = 3403,
  [5572] = 3579,
  [5573] = 3663,
  [5574] = 3576,
  [5575] = 3672,
  [5576] = 5465,
  [5577] = 3826,
  [5578] = 5460,
  [5579] = 5451,
  [5580] = 3569,
  [5581] = 3616,
  [5582] = 160,
  [5583] = 3843,
  [5584] = 3586,
  [5585] = 2679,
  [5586] = 3837,
  [5587] = 167,
  [5588] = 5460,
  [5589] = 5589,
  [5590] = 3824,
  [5591] = 3848,
  [5592] = 5312,
  [5593] = 5593,
  [5594] = 5522,
  [5595] = 5595,
  [5596] = 5439,
  [5597] = 5446,
  [5598] = 3825,
  [5599] = 3821,
  [5600] = 2665,
  [5601] = 2668,
  [5602] = 5465,
  [5603] = 3651,
  [5604] = 5465,
  [5605] = 5439,
  [5606] = 5606,
  [5607] = 5589,
  [5608] = 5593,
  [5609] = 5286,
  [5610] = 3831,
  [5611] = 3850,
  [5612] = 5460,
  [5613] = 5595,
  [5614] = 5465,
  [5615] = 5448,
  [5616] = 5616,
  [5617] = 5460,
  [5618] = 3025,
  [5619] = 5619,
  [5620] = 3821,
  [5621] = 3848,
  [5622] = 3537,
  [5623] = 3837,
  [5624] = 3843,
  [5625] = 5625,
  [5626] = 3826,
  [5627] = 5627,
  [5628] = 5628,
  [5629] = 3537,
  [5630] = 5630,
  [5631] = 5631,
  [5632] = 3531,
  [5633] = 3813,
  [5634] = 3832,
  [5635] = 3527,
  [5636] = 5636,
  [5637] = 5637,
  [5638] = 3825,
  [5639] = 3821,
  [5640] = 5640,
  [5641] = 3831,
  [5642] = 5547,
  [5643] = 5643,
  [5644] = 5644,
  [5645] = 5645,
  [5646] = 1667,
  [5647] = 3526,
  [5648] = 5630,
  [5649] = 3541,
  [5650] = 5650,
  [5651] = 5651,
  [5652] = 5651,
  [5653] = 3841,
  [5654] = 5650,
  [5655] = 5655,
  [5656] = 5630,
  [5657] = 3835,
  [5658] = 3783,
  [5659] = 3850,
  [5660] = 5636,
  [5661] = 3835,
  [5662] = 5273,
  [5663] = 5327,
  [5664] = 5637,
  [5665] = 5655,
  [5666] = 3818,
  [5667] = 3832,
  [5668] = 5668,
  [5669] = 5636,
  [5670] = 3811,
  [5671] = 5630,
  [5672] = 5636,
  [5673] = 5637,
  [5674] = 5650,
  [5675] = 3021,
  [5676] = 5676,
  [5677] = 5651,
  [5678] = 5668,
  [5679] = 5643,
  [5680] = 5655,
  [5681] = 3832,
  [5682] = 3873,
  [5683] = 5683,
  [5684] = 3848,
  [5685] = 3824,
  [5686] = 5637,
  [5687] = 3544,
  [5688] = 5688,
  [5689] = 3003,
  [5690] = 5643,
  [5691] = 3541,
  [5692] = 5312,
  [5693] = 5693,
  [5694] = 5694,
  [5695] = 5676,
  [5696] = 3825,
  [5697] = 5697,
  [5698] = 5698,
  [5699] = 3531,
  [5700] = 5676,
  [5701] = 5701,
  [5702] = 3814,
  [5703] = 4418,
  [5704] = 5643,
  [5705] = 3544,
  [5706] = 5637,
  [5707] = 5630,
  [5708] = 5708,
  [5709] = 5651,
  [5710] = 3527,
  [5711] = 5636,
  [5712] = 5712,
  [5713] = 3824,
  [5714] = 5643,
  [5715] = 5643,
  [5716] = 5655,
  [5717] = 5655,
  [5718] = 5676,
  [5719] = 5650,
  [5720] = 5651,
  [5721] = 5676,
  [5722] = 5555,
  [5723] = 5643,
  [5724] = 3837,
  [5725] = 5637,
  [5726] = 3855,
  [5727] = 3025,
  [5728] = 5728,
  [5729] = 5729,
  [5730] = 5637,
  [5731] = 5731,
  [5732] = 5636,
  [5733] = 5733,
  [5734] = 3813,
  [5735] = 3831,
  [5736] = 3850,
  [5737] = 5636,
  [5738] = 3526,
  [5739] = 5651,
  [5740] = 3110,
  [5741] = 5012,
  [5742] = 5478,
  [5743] = 5436,
  [5744] = 3841,
  [5745] = 5643,
  [5746] = 5676,
  [5747] = 5631,
  [5748] = 3814,
  [5749] = 5749,
  [5750] = 5749,
  [5751] = 3904,
  [5752] = 5497,
  [5753] = 5002,
  [5754] = 5754,
  [5755] = 5676,
  [5756] = 3814,
  [5757] = 5676,
  [5758] = 5286,
  [5759] = 5643,
  [5760] = 165,
  [5761] = 5651,
  [5762] = 3850,
  [5763] = 3783,
  [5764] = 3841,
  [5765] = 3835,
  [5766] = 5643,
  [5767] = 5012,
  [5768] = 5650,
  [5769] = 5002,
  [5770] = 3811,
  [5771] = 3490,
  [5772] = 5643,
  [5773] = 5643,
  [5774] = 166,
  [5775] = 5643,
  [5776] = 5636,
  [5777] = 3826,
  [5778] = 5778,
  [5779] = 3843,
  [5780] = 5780,
  [5781] = 5655,
  [5782] = 5643,
  [5783] = 3837,
  [5784] = 3824,
  [5785] = 3818,
  [5786] = 3826,
  [5787] = 5637,
  [5788] = 3848,
  [5789] = 3813,
  [5790] = 3825,
  [5791] = 3821,
  [5792] = 5792,
  [5793] = 3843,
  [5794] = 5655,
  [5795] = 3831,
  [5796] = 3811,
  [5797] = 5651,
  [5798] = 5650,
  [5799] = 5643,
  [5800] = 5630,
  [5801] = 3818,
  [5802] = 5650,
  [5803] = 3783,
  [5804] = 5655,
  [5805] = 5651,
  [5806] = 5806,
  [5807] = 5807,
  [5808] = 5808,
  [5809] = 5809,
  [5810] = 5809,
  [5811] = 5811,
  [5812] = 5812,
  [5813] = 5813,
  [5814] = 5806,
  [5815] = 5815,
  [5816] = 5815,
  [5817] = 5817,
  [5818] = 5818,
  [5819] = 5809,
  [5820] = 5820,
  [5821] = 5821,
  [5822] = 5822,
  [5823] = 5823,
  [5824] = 5824,
  [5825] = 5817,
  [5826] = 5826,
  [5827] = 5827,
  [5828] = 5828,
  [5829] = 5829,
  [5830] = 5815,
  [5831] = 5821,
  [5832] = 5832,
  [5833] = 5818,
  [5834] = 5806,
  [5835] = 5835,
  [5836] = 5821,
  [5837] = 5837,
  [5838] = 5826,
  [5839] = 5820,
  [5840] = 5827,
  [5841] = 5826,
  [5842] = 3855,
  [5843] = 5828,
  [5844] = 5827,
  [5845] = 3873,
  [5846] = 5846,
  [5847] = 5818,
  [5848] = 5848,
  [5849] = 5809,
  [5850] = 5813,
  [5851] = 3036,
  [5852] = 3026,
  [5853] = 5824,
  [5854] = 5823,
  [5855] = 5826,
  [5856] = 5812,
  [5857] = 5815,
  [5858] = 5809,
  [5859] = 5809,
  [5860] = 3033,
  [5861] = 5821,
  [5862] = 5312,
  [5863] = 5823,
  [5864] = 5286,
  [5865] = 165,
  [5866] = 5824,
  [5867] = 5821,
  [5868] = 5806,
  [5869] = 5823,
  [5870] = 5829,
  [5871] = 5812,
  [5872] = 5826,
  [5873] = 5827,
  [5874] = 5813,
  [5875] = 5823,
  [5876] = 5820,
  [5877] = 5877,
  [5878] = 3029,
  [5879] = 3232,
  [5880] = 2682,
  [5881] = 5815,
  [5882] = 3028,
  [5883] = 5883,
  [5884] = 5821,
  [5885] = 5885,
  [5886] = 5823,
  [5887] = 5815,
  [5888] = 5888,
  [5889] = 3031,
  [5890] = 5824,
  [5891] = 5823,
  [5892] = 5815,
  [5893] = 5828,
  [5894] = 5824,
  [5895] = 166,
  [5896] = 5824,
  [5897] = 5897,
  [5898] = 5898,
  [5899] = 5899,
  [5900] = 5828,
  [5901] = 5826,
  [5902] = 5811,
  [5903] = 5809,
  [5904] = 5812,
  [5905] = 5813,
  [5906] = 5828,
  [5907] = 5883,
  [5908] = 5824,
  [5909] = 5909,
  [5910] = 5806,
  [5911] = 3904,
  [5912] = 5828,
  [5913] = 5826,
  [5914] = 5809,
  [5915] = 5808,
  [5916] = 5815,
  [5917] = 5823,
  [5918] = 5818,
  [5919] = 5821,
  [5920] = 5286,
  [5921] = 5807,
  [5922] = 5922,
  [5923] = 5312,
  [5924] = 5815,
  [5925] = 5812,
  [5926] = 5926,
  [5927] = 5927,
  [5928] = 5826,
  [5929] = 5813,
  [5930] = 3232,
  [5931] = 3043,
  [5932] = 5821,
  [5933] = 5826,
  [5934] = 5828,
  [5935] = 5821,
  [5936] = 5828,
  [5937] = 5827,
  [5938] = 5818,
  [5939] = 3553,
  [5940] = 3027,
  [5941] = 5941,
  [5942] = 5828,
  [5943] = 5812,
  [5944] = 5813,
  [5945] = 5815,
  [5946] = 5818,
  [5947] = 5824,
  [5948] = 5823,
  [5949] = 5815,
  [5950] = 5950,
  [5951] = 5820,
  [5952] = 5820,
  [5953] = 5820,
  [5954] = 3026,
  [5955] = 2997,
  [5956] = 5956,
  [5957] = 5957,
  [5958] = 5286,
  [5959] = 3565,
  [5960] = 3579,
  [5961] = 3585,
  [5962] = 3587,
  [5963] = 5002,
  [5964] = 2683,
  [5965] = 3110,
  [5966] = 3644,
  [5967] = 5967,
  [5968] = 3569,
  [5969] = 3022,
  [5970] = 3651,
  [5971] = 3631,
  [5972] = 3652,
  [5973] = 5497,
  [5974] = 5974,
  [5975] = 3593,
  [5976] = 3008,
  [5977] = 3590,
  [5978] = 5974,
  [5979] = 3653,
  [5980] = 3661,
  [5981] = 5436,
  [5982] = 3656,
  [5983] = 3634,
  [5984] = 3607,
  [5985] = 5478,
  [5986] = 3582,
  [5987] = 3663,
  [5988] = 3572,
  [5989] = 3619,
  [5990] = 5974,
  [5991] = 3567,
  [5992] = 3599,
  [5993] = 5312,
  [5994] = 3673,
  [5995] = 3676,
  [5996] = 3600,
  [5997] = 5967,
  [5998] = 3646,
  [5999] = 5312,
  [6000] = 5956,
  [6001] = 3672,
  [6002] = 3598,
  [6003] = 3016,
  [6004] = 3645,
  [6005] = 5967,
  [6006] = 5286,
  [6007] = 5555,
  [6008] = 5956,
  [6009] = 5967,
  [6010] = 5967,
  [6011] = 5012,
  [6012] = 5967,
  [6013] = 5956,
  [6014] = 5967,
  [6015] = 5957,
  [6016] = 6016,
  [6017] = 6017,
  [6018] = 5956,
  [6019] = 3665,
  [6020] = 5956,
  [6021] = 6016,
  [6022] = 6022,
  [6023] = 5974,
  [6024] = 3596,
  [6025] = 3616,
  [6026] = 6017,
  [6027] = 5286,
  [6028] = 3660,
  [6029] = 3031,
  [6030] = 5974,
  [6031] = 5974,
  [6032] = 3027,
  [6033] = 3016,
  [6034] = 5974,
  [6035] = 5974,
  [6036] = 5956,
  [6037] = 5967,
  [6038] = 3655,
  [6039] = 3036,
  [6040] = 3033,
  [6041] = 3029,
  [6042] = 5974,
  [6043] = 3028,
  [6044] = 5312,
  [6045] = 3648,
  [6046] = 3586,
  [6047] = 3576,
  [6048] = 6048,
  [6049] = 5956,
  [6050] = 3016,
  [6051] = 5967,
  [6052] = 3589,
  [6053] = 5956,
  [6054] = 3043,
  [6055] = 5555,
  [6056] = 159,
  [6057] = 6057,
  [6058] = 155,
  [6059] = 157,
  [6060] = 3151,
  [6061] = 5312,
  [6062] = 156,
  [6063] = 163,
  [6064] = 162,
  [6065] = 161,
  [6066] = 3021,
  [6067] = 3146,
  [6068] = 3110,
  [6069] = 3511,
  [6070] = 2683,
  [6071] = 3521,
  [6072] = 5817,
  [6073] = 5817,
  [6074] = 3535,
  [6075] = 5286,
  [6076] = 3022,
  [6077] = 175,
  [6078] = 174,
  [6079] = 183,
  [6080] = 184,
  [6081] = 178,
  [6082] = 5497,
  [6083] = 5436,
  [6084] = 5478,
  [6085] = 6085,
  [6086] = 6085,
  [6087] = 3146,
  [6088] = 3110,
  [6089] = 5478,
  [6090] = 5817,
  [6091] = 5817,
  [6092] = 165,
  [6093] = 5436,
  [6094] = 5436,
  [6095] = 179,
  [6096] = 3074,
  [6097] = 5817,
  [6098] = 5478,
  [6099] = 5555,
  [6100] = 5497,
  [6101] = 5555,
  [6102] = 5497,
  [6103] = 6103,
  [6104] = 3096,
  [6105] = 6105,
  [6106] = 5817,
  [6107] = 3151,
  [6108] = 6105,
  [6109] = 166,
  [6110] = 5497,
  [6111] = 3027,
  [6112] = 3119,
  [6113] = 5286,
  [6114] = 3054,
  [6115] = 5312,
  [6116] = 5817,
  [6117] = 5312,
  [6118] = 3121,
  [6119] = 3124,
  [6120] = 5497,
  [6121] = 3112,
  [6122] = 5555,
  [6123] = 3116,
  [6124] = 5817,
  [6125] = 3123,
  [6126] = 6126,
  [6127] = 5478,
  [6128] = 3031,
  [6129] = 5817,
  [6130] = 5436,
  [6131] = 5286,
  [6132] = 3033,
  [6133] = 3118,
  [6134] = 5817,
  [6135] = 5478,
  [6136] = 3074,
  [6137] = 3117,
  [6138] = 5077,
  [6139] = 3096,
  [6140] = 3026,
  [6141] = 5436,
  [6142] = 5497,
  [6143] = 5555,
  [6144] = 5478,
  [6145] = 3036,
  [6146] = 5555,
  [6147] = 3029,
  [6148] = 5436,
  [6149] = 3028,
  [6150] = 3111,
  [6151] = 3108,
  [6152] = 3120,
  [6153] = 3022,
  [6154] = 3113,
  [6155] = 6155,
  [6156] = 3091,
  [6157] = 6157,
  [6158] = 3090,
  [6159] = 3064,
  [6160] = 6155,
  [6161] = 3093,
  [6162] = 3094,
  [6163] = 5817,
  [6164] = 3097,
  [6165] = 6155,
  [6166] = 6157,
  [6167] = 3098,
  [6168] = 6155,
  [6169] = 6157,
  [6170] = 5817,
  [6171] = 3070,
  [6172] = 6085,
  [6173] = 3086,
  [6174] = 3082,
  [6175] = 5817,
  [6176] = 3092,
  [6177] = 3077,
  [6178] = 5478,
  [6179] = 5817,
  [6180] = 6105,
  [6181] = 6155,
  [6182] = 6157,
  [6183] = 6157,
  [6184] = 3078,
  [6185] = 6155,
  [6186] = 3071,
  [6187] = 3065,
  [6188] = 5436,
  [6189] = 3083,
  [6190] = 6157,
  [6191] = 6155,
  [6192] = 6157,
  [6193] = 6157,
  [6194] = 6155,
  [6195] = 3069,
  [6196] = 6157,
  [6197] = 3066,
  [6198] = 3110,
  [6199] = 6155,
  [6200] = 3076,
  [6201] = 6155,
  [6202] = 3075,
  [6203] = 6157,
  [6204] = 6105,
  [6205] = 6157,
  [6206] = 3063,
  [6207] = 5817,
  [6208] = 6155,
  [6209] = 3085,
  [6210] = 3113,
  [6211] = 3108,
  [6212] = 3058,
  [6213] = 3088,
  [6214] = 3087,
  [6215] = 5555,
  [6216] = 3151,
  [6217] = 3146,
  [6218] = 3080,
  [6219] = 3232,
  [6220] = 3118,
  [6221] = 3060,
  [6222] = 3123,
  [6223] = 276,
  [6224] = 3124,
  [6225] = 3119,
  [6226] = 5817,
  [6227] = 6227,
  [6228] = 3067,
  [6229] = 3072,
  [6230] = 3073,
  [6231] = 6085,
  [6232] = 3084,
  [6233] = 3112,
  [6234] = 5497,
  [6235] = 3061,
  [6236] = 3121,
  [6237] = 294,
  [6238] = 3117,
  [6239] = 3116,
  [6240] = 3079,
  [6241] = 3068,
  [6242] = 3062,
  [6243] = 3095,
  [6244] = 3022,
  [6245] = 3120,
  [6246] = 3111,
  [6247] = 3043,
  [6248] = 3232,
  [6249] = 3063,
  [6250] = 3151,
  [6251] = 3058,
  [6252] = 5478,
  [6253] = 3067,
  [6254] = 3151,
  [6255] = 5497,
  [6256] = 3090,
  [6257] = 6085,
  [6258] = 6105,
  [6259] = 6105,
  [6260] = 294,
  [6261] = 3054,
  [6262] = 6085,
  [6263] = 276,
  [6264] = 3045,
  [6265] = 6105,
  [6266] = 6085,
  [6267] = 6267,
  [6268] = 6085,
  [6269] = 6267,
  [6270] = 3146,
  [6271] = 6105,
  [6272] = 6272,
  [6273] = 5312,
  [6274] = 6274,
  [6275] = 3146,
  [6276] = 6272,
  [6277] = 3050,
  [6278] = 5286,
  [6279] = 6274,
  [6280] = 6280,
  [6281] = 6281,
  [6282] = 5817,
  [6283] = 6283,
  [6284] = 6280,
  [6285] = 6285,
  [6286] = 6281,
  [6287] = 6287,
  [6288] = 6285,
  [6289] = 6289,
  [6290] = 6290,
  [6291] = 6281,
  [6292] = 6285,
  [6293] = 6283,
  [6294] = 6280,
  [6295] = 6285,
  [6296] = 3232,
  [6297] = 6281,
  [6298] = 6280,
  [6299] = 6085,
  [6300] = 5320,
  [6301] = 5318,
  [6302] = 6287,
  [6303] = 6285,
  [6304] = 6283,
  [6305] = 6285,
  [6306] = 6280,
  [6307] = 6307,
  [6308] = 6289,
  [6309] = 6285,
  [6310] = 6287,
  [6311] = 6285,
  [6312] = 3024,
  [6313] = 6283,
  [6314] = 6085,
  [6315] = 6285,
  [6316] = 6289,
  [6317] = 6307,
  [6318] = 6287,
  [6319] = 6283,
  [6320] = 6307,
  [6321] = 6307,
  [6322] = 6280,
  [6323] = 6307,
  [6324] = 6285,
  [6325] = 6325,
  [6326] = 6280,
  [6327] = 6285,
  [6328] = 6285,
  [6329] = 6289,
  [6330] = 6280,
  [6331] = 6105,
  [6332] = 6085,
  [6333] = 6105,
  [6334] = 6285,
  [6335] = 6283,
  [6336] = 5478,
  [6337] = 6281,
  [6338] = 6285,
  [6339] = 6339,
  [6340] = 6283,
  [6341] = 6289,
  [6342] = 5817,
  [6343] = 6289,
  [6344] = 6280,
  [6345] = 6105,
  [6346] = 6287,
  [6347] = 6307,
  [6348] = 6105,
  [6349] = 6283,
  [6350] = 6289,
  [6351] = 3091,
  [6352] = 6289,
  [6353] = 3085,
  [6354] = 3097,
  [6355] = 6287,
  [6356] = 3068,
  [6357] = 5436,
  [6358] = 5555,
  [6359] = 6285,
  [6360] = 6307,
  [6361] = 6283,
  [6362] = 6280,
  [6363] = 6285,
  [6364] = 3062,
  [6365] = 5497,
  [6366] = 6287,
  [6367] = 3066,
  [6368] = 6287,
  [6369] = 5436,
  [6370] = 6307,
  [6371] = 3064,
  [6372] = 3146,
  [6373] = 3069,
  [6374] = 3083,
  [6375] = 3092,
  [6376] = 3080,
  [6377] = 3065,
  [6378] = 3070,
  [6379] = 3077,
  [6380] = 6285,
  [6381] = 3076,
  [6382] = 3075,
  [6383] = 6283,
  [6384] = 3151,
  [6385] = 3093,
  [6386] = 5497,
  [6387] = 3095,
  [6388] = 5478,
  [6389] = 6085,
  [6390] = 6283,
  [6391] = 3088,
  [6392] = 3074,
  [6393] = 3087,
  [6394] = 3094,
  [6395] = 3060,
  [6396] = 3084,
  [6397] = 6280,
  [6398] = 6285,
  [6399] = 3061,
  [6400] = 3079,
  [6401] = 3098,
  [6402] = 3086,
  [6403] = 3082,
  [6404] = 6285,
  [6405] = 3073,
  [6406] = 3072,
  [6407] = 6407,
  [6408] = 3078,
  [6409] = 2682,
  [6410] = 6285,
  [6411] = 3071,
  [6412] = 3096,
  [6413] = 5555,
  [6414] = 6281,
  [6415] = 6285,
  [6416] = 6281,
  [6417] = 6417,
  [6418] = 6285,
  [6419] = 6419,
  [6420] = 6085,
  [6421] = 6419,
  [6422] = 6422,
  [6423] = 6423,
  [6424] = 6422,
  [6425] = 6419,
  [6426] = 3016,
  [6427] = 6419,
  [6428] = 6085,
  [6429] = 6429,
  [6430] = 6430,
  [6431] = 6423,
  [6432] = 6432,
  [6433] = 6432,
  [6434] = 6434,
  [6435] = 6423,
  [6436] = 6434,
  [6437] = 6430,
  [6438] = 6438,
  [6439] = 6422,
  [6440] = 6429,
  [6441] = 6441,
  [6442] = 6438,
  [6443] = 6105,
  [6444] = 6444,
  [6445] = 6441,
  [6446] = 6432,
  [6447] = 6432,
  [6448] = 6105,
  [6449] = 6422,
  [6450] = 6429,
  [6451] = 6423,
  [6452] = 6438,
  [6453] = 6423,
  [6454] = 6441,
  [6455] = 6434,
  [6456] = 6422,
  [6457] = 6434,
  [6458] = 6419,
  [6459] = 6434,
  [6460] = 6438,
  [6461] = 6422,
  [6462] = 6430,
  [6463] = 6423,
  [6464] = 6419,
  [6465] = 6438,
  [6466] = 6419,
  [6467] = 6467,
  [6468] = 6423,
  [6469] = 6434,
  [6470] = 6430,
  [6471] = 6085,
  [6472] = 6444,
  [6473] = 6422,
  [6474] = 6423,
  [6475] = 6441,
  [6476] = 6476,
  [6477] = 6423,
  [6478] = 6105,
  [6479] = 6419,
  [6480] = 6419,
  [6481] = 6422,
  [6482] = 6482,
  [6483] = 6467,
  [6484] = 6434,
  [6485] = 6423,
  [6486] = 6432,
  [6487] = 6429,
  [6488] = 6432,
  [6489] = 6429,
  [6490] = 6441,
  [6491] = 6419,
  [6492] = 6444,
  [6493] = 6430,
  [6494] = 6429,
  [6495] = 6495,
  [6496] = 6423,
  [6497] = 6422,
  [6498] = 6444,
  [6499] = 6422,
  [6500] = 6467,
  [6501] = 6438,
  [6502] = 6467,
  [6503] = 6429,
  [6504] = 6419,
  [6505] = 6085,
  [6506] = 6438,
  [6507] = 6419,
  [6508] = 6444,
  [6509] = 6422,
  [6510] = 6423,
  [6511] = 6432,
  [6512] = 6438,
  [6513] = 6419,
  [6514] = 6430,
  [6515] = 6515,
  [6516] = 6430,
  [6517] = 6423,
  [6518] = 6467,
  [6519] = 6422,
  [6520] = 6430,
  [6521] = 6441,
  [6522] = 3151,
  [6523] = 6085,
  [6524] = 6482,
  [6525] = 6444,
  [6526] = 6422,
  [6527] = 6105,
  [6528] = 6423,
  [6529] = 6515,
  [6530] = 6530,
  [6531] = 6441,
  [6532] = 6482,
  [6533] = 6419,
  [6534] = 6423,
  [6535] = 6422,
  [6536] = 6444,
  [6537] = 6495,
  [6538] = 6423,
  [6539] = 6444,
  [6540] = 6419,
  [6541] = 6419,
  [6542] = 6438,
  [6543] = 6423,
  [6544] = 6419,
  [6545] = 6444,
  [6546] = 6429,
  [6547] = 6434,
  [6548] = 6422,
  [6549] = 6429,
  [6550] = 6550,
  [6551] = 6432,
  [6552] = 6482,
  [6553] = 6419,
  [6554] = 6441,
  [6555] = 6423,
  [6556] = 6422,
  [6557] = 6423,
  [6558] = 6419,
  [6559] = 6085,
  [6560] = 6560,
  [6561] = 6430,
  [6562] = 6422,
  [6563] = 3146,
  [6564] = 6441,
  [6565] = 6422,
  [6566] = 6476,
  [6567] = 6105,
  [6568] = 6482,
  [6569] = 6432,
  [6570] = 6422,
  [6571] = 6419,
  [6572] = 6105,
  [6573] = 6434,
  [6574] = 6423,
  [6575] = 6422,
  [6576] = 3117,
  [6577] = 3121,
  [6578] = 5555,
  [6579] = 6579,
  [6580] = 3116,
  [6581] = 3123,
  [6582] = 6579,
  [6583] = 6579,
  [6584] = 6579,
  [6585] = 6579,
  [6586] = 5436,
  [6587] = 5497,
  [6588] = 3118,
  [6589] = 6579,
  [6590] = 3119,
  [6591] = 3112,
  [6592] = 6579,
  [6593] = 3124,
  [6594] = 6579,
  [6595] = 6579,
  [6596] = 6579,
  [6597] = 3024,
  [6598] = 5478,
  [6599] = 6579,
  [6600] = 6579,
  [6601] = 6579,
  [6602] = 3120,
  [6603] = 6579,
  [6604] = 6579,
  [6605] = 6579,
  [6606] = 6579,
  [6607] = 3113,
  [6608] = 3111,
  [6609] = 6579,
  [6610] = 3108,
  [6611] = 6579,
  [6612] = 6579,
  [6613] = 3096,
  [6614] = 6105,
  [6615] = 6515,
  [6616] = 3232,
  [6617] = 6085,
  [6618] = 6085,
  [6619] = 6476,
  [6620] = 6495,
  [6621] = 3110,
  [6622] = 6515,
  [6623] = 3074,
  [6624] = 6105,
  [6625] = 6476,
  [6626] = 6495,
  [6627] = 3036,
  [6628] = 3394,
  [6629] = 3026,
  [6630] = 3025,
  [6631] = 6631,
  [6632] = 3031,
  [6633] = 6633,
  [6634] = 3027,
  [6635] = 3028,
  [6636] = 3029,
  [6637] = 3033,
  [6638] = 6495,
  [6639] = 6476,
  [6640] = 6515,
  [6641] = 6495,
  [6642] = 6476,
  [6643] = 6515,
  [6644] = 3021,
  [6645] = 6476,
  [6646] = 6495,
  [6647] = 6476,
  [6648] = 6515,
  [6649] = 6495,
  [6650] = 6515,
  [6651] = 6476,
  [6652] = 6495,
  [6653] = 6653,
  [6654] = 3129,
  [6655] = 6653,
  [6656] = 6653,
  [6657] = 6515,
  [6658] = 6476,
  [6659] = 3120,
  [6660] = 6653,
  [6661] = 6495,
  [6662] = 3111,
  [6663] = 3117,
  [6664] = 6495,
  [6665] = 6653,
  [6666] = 3116,
  [6667] = 6653,
  [6668] = 6653,
  [6669] = 3121,
  [6670] = 6476,
  [6671] = 6515,
  [6672] = 3112,
  [6673] = 6495,
  [6674] = 3119,
  [6675] = 6515,
  [6676] = 3124,
  [6677] = 6677,
  [6678] = 6653,
  [6679] = 6653,
  [6680] = 3123,
  [6681] = 6515,
  [6682] = 3108,
  [6683] = 6476,
  [6684] = 3113,
  [6685] = 3118,
  [6686] = 2683,
  [6687] = 6687,
  [6688] = 6476,
  [6689] = 6476,
  [6690] = 6515,
  [6691] = 6476,
  [6692] = 6495,
  [6693] = 6515,
  [6694] = 6515,
  [6695] = 6476,
  [6696] = 6495,
  [6697] = 3043,
  [6698] = 6495,
  [6699] = 3127,
  [6700] = 6515,
  [6701] = 6677,
  [6702] = 6515,
  [6703] = 6495,
  [6704] = 6495,
  [6705] = 6476,
  [6706] = 6476,
  [6707] = 6495,
  [6708] = 6515,
  [6709] = 6709,
  [6710] = 6710,
  [6711] = 6711,
  [6712] = 6709,
  [6713] = 6709,
  [6714] = 6709,
  [6715] = 6709,
  [6716] = 6716,
  [6717] = 6716,
  [6718] = 6677,
  [6719] = 6719,
  [6720] = 6719,
  [6721] = 6716,
  [6722] = 6722,
  [6723] = 6723,
  [6724] = 6724,
  [6725] = 6725,
  [6726] = 6723,
  [6727] = 6722,
  [6728] = 6716,
  [6729] = 6719,
  [6730] = 6719,
  [6731] = 6716,
  [6732] = 6722,
  [6733] = 6725,
  [6734] = 6723,
  [6735] = 6722,
  [6736] = 6716,
  [6737] = 6722,
  [6738] = 6716,
  [6739] = 6716,
  [6740] = 6723,
  [6741] = 6722,
  [6742] = 6515,
  [6743] = 6476,
  [6744] = 6495,
  [6745] = 6716,
  [6746] = 6722,
  [6747] = 6716,
  [6748] = 6722,
  [6749] = 6716,
  [6750] = 6722,
  [6751] = 6515,
  [6752] = 6722,
  [6753] = 6476,
  [6754] = 6722,
  [6755] = 6716,
  [6756] = 6723,
  [6757] = 6722,
  [6758] = 6716,
  [6759] = 6722,
  [6760] = 6495,
  [6761] = 6722,
  [6762] = 6723,
  [6763] = 6716,
  [6764] = 6725,
  [6765] = 6722,
  [6766] = 6716,
  [6767] = 6716,
  [6768] = 6722,
  [6769] = 6723,
  [6770] = 6770,
  [6771] = 6771,
  [6772] = 6772,
  [6773] = 6773,
  [6774] = 6771,
  [6775] = 6770,
  [6776] = 6773,
  [6777] = 6777,
  [6778] = 6771,
  [6779] = 6779,
  [6780] = 6770,
  [6781] = 6773,
  [6782] = 6771,
  [6783] = 6772,
  [6784] = 6777,
  [6785] = 6773,
  [6786] = 6770,
  [6787] = 6773,
  [6788] = 6771,
  [6789] = 6777,
  [6790] = 6770,
  [6791] = 6773,
  [6792] = 6773,
  [6793] = 6770,
  [6794] = 6771,
  [6795] = 6772,
  [6796] = 6770,
  [6797] = 6771,
  [6798] = 6773,
  [6799] = 6773,
  [6800] = 6770,
  [6801] = 6777,
  [6802] = 6772,
  [6803] = 6772,
  [6804] = 6772,
  [6805] = 6805,
  [6806] = 6777,
  [6807] = 6773,
  [6808] = 6777,
  [6809] = 6770,
  [6810] = 6771,
  [6811] = 6770,
  [6812] = 6773,
  [6813] = 6772,
  [6814] = 6771,
  [6815] = 6805,
  [6816] = 6772,
  [6817] = 6777,
  [6818] = 6773,
  [6819] = 6777,
  [6820] = 6771,
  [6821] = 6772,
  [6822] = 6770,
  [6823] = 6777,
  [6824] = 6772,
  [6825] = 6773,
  [6826] = 6770,
  [6827] = 6771,
  [6828] = 6677,
  [6829] = 6771,
  [6830] = 6777,
  [6831] = 6772,
  [6832] = 6771,
  [6833] = 6773,
  [6834] = 6770,
  [6835] = 6724,
  [6836] = 6770,
  [6837] = 6771,
  [6838] = 6777,
  [6839] = 6772,
  [6840] = 6773,
  [6841] = 6771,
  [6842] = 6770,
  [6843] = 6773,
  [6844] = 6773,
  [6845] = 6772,
  [6846] = 6770,
  [6847] = 6779,
  [6848] = 6777,
  [6849] = 6771,
  [6850] = 6773,
  [6851] = 6777,
  [6852] = 6770,
  [6853] = 6777,
  [6854] = 6770,
  [6855] = 6770,
  [6856] = 6772,
  [6857] = 6777,
  [6858] = 6773,
  [6859] = 6859,
  [6860] = 6772,
  [6861] = 6777,
  [6862] = 6862,
  [6863] = 6805,
  [6864] = 6779,
  [6865] = 6772,
  [6866] = 6777,
  [6867] = 6772,
  [6868] = 6771,
  [6869] = 6777,
  [6870] = 6771,
  [6871] = 6770,
  [6872] = 6773,
  [6873] = 6771,
  [6874] = 6772,
  [6875] = 6777,
  [6876] = 6772,
  [6877] = 6772,
  [6878] = 6777,
  [6879] = 6771,
  [6880] = 6880,
  [6881] = 6881,
  [6882] = 6882,
  [6883] = 6883,
  [6884] = 6884,
  [6885] = 6885,
  [6886] = 6885,
  [6887] = 6885,
  [6888] = 6888,
  [6889] = 6889,
  [6890] = 6890,
  [6891] = 6891,
  [6892] = 6889,
  [6893] = 6893,
  [6894] = 6894,
  [6895] = 6677,
  [6896] = 6896,
  [6897] = 6897,
  [6898] = 6898,
  [6899] = 6885,
  [6900] = 6881,
  [6901] = 6881,
  [6902] = 6885,
  [6903] = 6885,
  [6904] = 6885,
  [6905] = 6905,
  [6906] = 6894,
  [6907] = 6907,
  [6908] = 6905,
  [6909] = 6909,
  [6910] = 6910,
  [6911] = 6911,
  [6912] = 6912,
  [6913] = 6889,
  [6914] = 6894,
  [6915] = 6885,
  [6916] = 6916,
  [6917] = 6917,
  [6918] = 6910,
  [6919] = 6919,
  [6920] = 6920,
  [6921] = 6921,
  [6922] = 6922,
  [6923] = 6923,
  [6924] = 6924,
  [6925] = 6925,
  [6926] = 6926,
  [6927] = 6881,
  [6928] = 6921,
  [6929] = 6929,
  [6930] = 6930,
  [6931] = 6894,
  [6932] = 6885,
  [6933] = 6933,
  [6934] = 6934,
  [6935] = 6922,
  [6936] = 6936,
  [6937] = 6937,
  [6938] = 6911,
  [6939] = 6912,
  [6940] = 6919,
  [6941] = 6941,
  [6942] = 6942,
  [6943] = 6889,
  [6944] = 6944,
  [6945] = 6923,
  [6946] = 6924,
  [6947] = 6885,
  [6948] = 6677,
  [6949] = 6880,
  [6950] = 6885,
  [6951] = 3904,
  [6952] = 6952,
  [6953] = 6907,
  [6954] = 6944,
  [6955] = 6881,
  [6956] = 6916,
  [6957] = 6941,
  [6958] = 6898,
  [6959] = 6929,
  [6960] = 6960,
  [6961] = 6961,
  [6962] = 6885,
  [6963] = 6963,
  [6964] = 6964,
  [6965] = 6965,
  [6966] = 6966,
  [6967] = 6885,
  [6968] = 6896,
  [6969] = 6969,
  [6970] = 6885,
  [6971] = 6883,
  [6972] = 6972,
  [6973] = 2674,
  [6974] = 6974,
  [6975] = 6920,
  [6976] = 6916,
  [6977] = 167,
  [6978] = 6978,
  [6979] = 6907,
  [6980] = 6980,
  [6981] = 2997,
  [6982] = 6982,
  [6983] = 160,
  [6984] = 6898,
  [6985] = 6944,
  [6986] = 6898,
  [6987] = 6987,
  [6988] = 6988,
  [6989] = 6989,
  [6990] = 6990,
  [6991] = 6916,
  [6992] = 6992,
  [6993] = 6993,
  [6994] = 6907,
  [6995] = 6944,
  [6996] = 6982,
  [6997] = 2672,
  [6998] = 6998,
  [6999] = 6982,
  [7000] = 7000,
  [7001] = 6677,
  [7002] = 7002,
  [7003] = 6974,
  [7004] = 7004,
  [7005] = 7005,
  [7006] = 2670,
  [7007] = 6966,
  [7008] = 7008,
  [7009] = 6982,
  [7010] = 7005,
  [7011] = 7011,
  [7012] = 6982,
  [7013] = 7002,
  [7014] = 6891,
  [7015] = 3008,
  [7016] = 6980,
  [7017] = 6988,
  [7018] = 7018,
  [7019] = 7019,
  [7020] = 6677,
  [7021] = 6882,
  [7022] = 6974,
  [7023] = 6969,
  [7024] = 6974,
  [7025] = 7002,
  [7026] = 7026,
  [7027] = 6972,
  [7028] = 6964,
  [7029] = 7002,
  [7030] = 7030,
  [7031] = 6952,
  [7032] = 3904,
  [7033] = 6942,
  [7034] = 6936,
  [7035] = 6978,
  [7036] = 6934,
  [7037] = 7037,
  [7038] = 2653,
  [7039] = 6917,
  [7040] = 6988,
  [7041] = 7041,
  [7042] = 6933,
  [7043] = 6925,
  [7044] = 6890,
  [7045] = 6988,
  [7046] = 2667,
  [7047] = 2664,
  [7048] = 7048,
  [7049] = 7004,
  [7050] = 2669,
  [7051] = 7051,
  [7052] = 2679,
  [7053] = 6982,
  [7054] = 6926,
  [7055] = 7002,
  [7056] = 6982,
  [7057] = 7057,
  [7058] = 6974,
  [7059] = 6884,
  [7060] = 6993,
  [7061] = 6909,
  [7062] = 2655,
  [7063] = 2656,
  [7064] = 6989,
  [7065] = 2657,
  [7066] = 2658,
  [7067] = 7067,
  [7068] = 6677,
  [7069] = 2661,
  [7070] = 6974,
  [7071] = 2665,
  [7072] = 2668,
  [7073] = 7073,
  [7074] = 7074,
  [7075] = 7075,
  [7076] = 7073,
  [7077] = 7073,
  [7078] = 3394,
  [7079] = 7073,
  [7080] = 7073,
  [7081] = 6677,
  [7082] = 7073,
  [7083] = 7073,
  [7084] = 7073,
  [7085] = 7085,
  [7086] = 7073,
  [7087] = 7087,
  [7088] = 7005,
  [7089] = 7089,
  [7090] = 7090,
  [7091] = 7091,
  [7092] = 7092,
  [7093] = 7090,
  [7094] = 7090,
  [7095] = 7091,
  [7096] = 7089,
  [7097] = 7074,
  [7098] = 6898,
  [7099] = 6993,
  [7100] = 7100,
  [7101] = 7087,
  [7102] = 7085,
  [7103] = 7004,
  [7104] = 7090,
  [7105] = 7089,
  [7106] = 7087,
  [7107] = 7090,
  [7108] = 7092,
  [7109] = 7109,
  [7110] = 7075,
  [7111] = 3008,
  [7112] = 6978,
  [7113] = 7091,
  [7114] = 6989,
  [7115] = 7115,
  [7116] = 7091,
  [7117] = 2679,
  [7118] = 2668,
  [7119] = 2665,
  [7120] = 2661,
  [7121] = 7087,
  [7122] = 7122,
  [7123] = 7089,
  [7124] = 7089,
  [7125] = 7091,
  [7126] = 7092,
  [7127] = 2658,
  [7128] = 6989,
  [7129] = 2657,
  [7130] = 6916,
  [7131] = 2656,
  [7132] = 7091,
  [7133] = 6993,
  [7134] = 7089,
  [7135] = 2655,
  [7136] = 7005,
  [7137] = 7087,
  [7138] = 7138,
  [7139] = 2653,
  [7140] = 6907,
  [7141] = 6978,
  [7142] = 6944,
  [7143] = 7092,
  [7144] = 7089,
  [7145] = 7087,
  [7146] = 7091,
  [7147] = 7092,
  [7148] = 7090,
  [7149] = 7004,
  [7150] = 7090,
  [7151] = 7087,
  [7152] = 7090,
  [7153] = 2667,
  [7154] = 7115,
  [7155] = 7090,
  [7156] = 7087,
  [7157] = 7091,
  [7158] = 2997,
  [7159] = 6944,
  [7160] = 7089,
  [7161] = 7091,
  [7162] = 2672,
  [7163] = 6677,
  [7164] = 7092,
  [7165] = 2669,
  [7166] = 3131,
  [7167] = 3125,
  [7168] = 2674,
  [7169] = 7087,
  [7170] = 6907,
  [7171] = 7091,
  [7172] = 7091,
  [7173] = 6916,
  [7174] = 7174,
  [7175] = 3137,
  [7176] = 2664,
  [7177] = 7092,
  [7178] = 7090,
  [7179] = 2670,
  [7180] = 7090,
  [7181] = 7087,
  [7182] = 7087,
  [7183] = 7089,
  [7184] = 7089,
  [7185] = 7089,
  [7186] = 7091,
  [7187] = 6898,
  [7188] = 160,
  [7189] = 167,
  [7190] = 7089,
  [7191] = 7191,
  [7192] = 7191,
  [7193] = 6677,
  [7194] = 6944,
  [7195] = 6907,
  [7196] = 7191,
  [7197] = 7191,
  [7198] = 7191,
  [7199] = 7199,
  [7200] = 7191,
  [7201] = 6916,
  [7202] = 7100,
  [7203] = 7203,
  [7204] = 6898,
  [7205] = 2997,
  [7206] = 7191,
  [7207] = 7207,
  [7208] = 7191,
  [7209] = 7191,
  [7210] = 1421,
  [7211] = 7211,
  [7212] = 6916,
  [7213] = 6907,
  [7214] = 6944,
  [7215] = 7191,
  [7216] = 7199,
  [7217] = 7191,
  [7218] = 7191,
  [7219] = 6898,
  [7220] = 7191,
  [7221] = 7191,
  [7222] = 3008,
  [7223] = 1420,
  [7224] = 7191,
  [7225] = 7225,
  [7226] = 7226,
  [7227] = 7227,
  [7228] = 7191,
  [7229] = 7229,
  [7230] = 7191,
  [7231] = 7199,
  [7232] = 7199,
  [7233] = 7191,
  [7234] = 7174,
  [7235] = 7191,
  [7236] = 7199,
  [7237] = 7191,
  [7238] = 6677,
  [7239] = 7239,
  [7240] = 7240,
  [7241] = 7191,
  [7242] = 7242,
  [7243] = 7229,
  [7244] = 6978,
  [7245] = 7239,
  [7246] = 6944,
  [7247] = 7247,
  [7248] = 3008,
  [7249] = 7249,
  [7250] = 7250,
  [7251] = 6944,
  [7252] = 7252,
  [7253] = 7252,
  [7254] = 7254,
  [7255] = 7255,
  [7256] = 6907,
  [7257] = 7257,
  [7258] = 7258,
  [7259] = 6916,
  [7260] = 7260,
  [7261] = 7261,
  [7262] = 7262,
  [7263] = 7254,
  [7264] = 7264,
  [7265] = 7265,
  [7266] = 7258,
  [7267] = 7254,
  [7268] = 7268,
  [7269] = 7264,
  [7270] = 7270,
  [7271] = 7249,
  [7272] = 7005,
  [7273] = 7273,
  [7274] = 2997,
  [7275] = 7226,
  [7276] = 7249,
  [7277] = 7277,
  [7278] = 7005,
  [7279] = 7279,
  [7280] = 7280,
  [7281] = 7264,
  [7282] = 7258,
  [7283] = 6993,
  [7284] = 7254,
  [7285] = 7285,
  [7286] = 7252,
  [7287] = 7227,
  [7288] = 7258,
  [7289] = 6916,
  [7290] = 7264,
  [7291] = 7291,
  [7292] = 7264,
  [7293] = 7293,
  [7294] = 7294,
  [7295] = 7264,
  [7296] = 6898,
  [7297] = 7254,
  [7298] = 7254,
  [7299] = 7249,
  [7300] = 7258,
  [7301] = 6898,
  [7302] = 6989,
  [7303] = 7252,
  [7304] = 6907,
  [7305] = 7305,
  [7306] = 7254,
  [7307] = 7203,
  [7308] = 6898,
  [7309] = 7252,
  [7310] = 7258,
  [7311] = 7252,
  [7312] = 7252,
  [7313] = 6916,
  [7314] = 7254,
  [7315] = 7315,
  [7316] = 7316,
  [7317] = 6944,
  [7318] = 6978,
  [7319] = 6993,
  [7320] = 7264,
  [7321] = 6907,
  [7322] = 6907,
  [7323] = 7323,
  [7324] = 7207,
  [7325] = 7254,
  [7326] = 7254,
  [7327] = 7004,
  [7328] = 7328,
  [7329] = 7258,
  [7330] = 7254,
  [7331] = 6916,
  [7332] = 7264,
  [7333] = 7333,
  [7334] = 7334,
  [7335] = 7211,
  [7336] = 6898,
  [7337] = 7252,
  [7338] = 7252,
  [7339] = 7254,
  [7340] = 7249,
  [7341] = 7341,
  [7342] = 6944,
  [7343] = 7343,
  [7344] = 7344,
  [7345] = 7345,
  [7346] = 7346,
  [7347] = 6989,
  [7348] = 7004,
  [7349] = 7349,
  [7350] = 7264,
  [7351] = 7351,
  [7352] = 7352,
  [7353] = 7240,
  [7354] = 7354,
  [7355] = 6993,
  [7356] = 7247,
  [7357] = 7004,
  [7358] = 7323,
  [7359] = 6898,
  [7360] = 7328,
  [7361] = 7262,
  [7362] = 7005,
  [7363] = 7363,
  [7364] = 7363,
  [7365] = 7365,
  [7366] = 7257,
  [7367] = 7315,
  [7368] = 6944,
  [7369] = 7334,
  [7370] = 7370,
  [7371] = 6677,
  [7372] = 6907,
  [7373] = 6978,
  [7374] = 7363,
  [7375] = 7354,
  [7376] = 7363,
  [7377] = 6989,
  [7378] = 7363,
  [7379] = 6916,
  [7380] = 7363,
  [7381] = 6916,
  [7382] = 3549,
  [7383] = 7363,
  [7384] = 7345,
  [7385] = 7354,
  [7386] = 7363,
  [7387] = 7354,
  [7388] = 3358,
  [7389] = 7005,
  [7390] = 7363,
  [7391] = 6989,
  [7392] = 7305,
  [7393] = 7273,
  [7394] = 7341,
  [7395] = 7280,
  [7396] = 7250,
  [7397] = 7293,
  [7398] = 3183,
  [7399] = 7363,
  [7400] = 7354,
  [7401] = 3177,
  [7402] = 7294,
  [7403] = 7363,
  [7404] = 7349,
  [7405] = 6898,
  [7406] = 6907,
  [7407] = 3338,
  [7408] = 7363,
  [7409] = 7363,
  [7410] = 7410,
  [7411] = 6944,
  [7412] = 7354,
  [7413] = 6907,
  [7414] = 6944,
  [7415] = 6907,
  [7416] = 6916,
  [7417] = 6898,
  [7418] = 7363,
  [7419] = 7363,
  [7420] = 7420,
  [7421] = 6916,
  [7422] = 7268,
  [7423] = 7423,
  [7424] = 7333,
  [7425] = 6898,
  [7426] = 7363,
  [7427] = 6993,
  [7428] = 7363,
  [7429] = 7429,
  [7430] = 6944,
  [7431] = 6907,
  [7432] = 6916,
  [7433] = 6898,
  [7434] = 6944,
  [7435] = 6907,
  [7436] = 7270,
  [7437] = 7354,
  [7438] = 7354,
  [7439] = 3368,
  [7440] = 7363,
  [7441] = 7363,
  [7442] = 7354,
  [7443] = 6916,
  [7444] = 7444,
  [7445] = 7363,
  [7446] = 7351,
  [7447] = 7363,
  [7448] = 7448,
  [7449] = 7363,
  [7450] = 7004,
  [7451] = 3170,
  [7452] = 6898,
  [7453] = 7346,
  [7454] = 6978,
  [7455] = 3371,
  [7456] = 6944,
  [7457] = 3173,
  [7458] = 7458,
  [7459] = 7459,
  [7460] = 7459,
  [7461] = 7461,
  [7462] = 7462,
  [7463] = 3548,
  [7464] = 7464,
  [7465] = 7464,
  [7466] = 7464,
  [7467] = 7459,
  [7468] = 7211,
  [7469] = 7458,
  [7470] = 7207,
  [7471] = 7464,
  [7472] = 7459,
  [7473] = 7203,
  [7474] = 7229,
  [7475] = 7239,
  [7476] = 7226,
  [7477] = 7477,
  [7478] = 6944,
  [7479] = 7461,
  [7480] = 7227,
  [7481] = 7462,
  [7482] = 7004,
  [7483] = 7240,
  [7484] = 7458,
  [7485] = 6978,
  [7486] = 6989,
  [7487] = 2997,
  [7488] = 6993,
  [7489] = 7458,
  [7490] = 7005,
  [7491] = 7462,
  [7492] = 7458,
  [7493] = 7462,
  [7494] = 7458,
  [7495] = 7461,
  [7496] = 7464,
  [7497] = 7464,
  [7498] = 3008,
  [7499] = 7458,
  [7500] = 6907,
  [7501] = 7464,
  [7502] = 3391,
  [7503] = 7458,
  [7504] = 6898,
  [7505] = 7464,
  [7506] = 7477,
  [7507] = 7477,
  [7508] = 7459,
  [7509] = 6916,
  [7510] = 7461,
  [7511] = 7459,
  [7512] = 7458,
  [7513] = 7461,
  [7514] = 6898,
  [7515] = 7515,
  [7516] = 7477,
  [7517] = 7461,
  [7518] = 7464,
  [7519] = 7459,
  [7520] = 7520,
  [7521] = 6916,
  [7522] = 7515,
  [7523] = 7477,
  [7524] = 7462,
  [7525] = 3635,
  [7526] = 7459,
  [7527] = 7461,
  [7528] = 7461,
  [7529] = 7461,
  [7530] = 7477,
  [7531] = 7461,
  [7532] = 7477,
  [7533] = 7458,
  [7534] = 7462,
  [7535] = 7535,
  [7536] = 7458,
  [7537] = 7537,
  [7538] = 6907,
  [7539] = 7005,
  [7540] = 7477,
  [7541] = 7477,
  [7542] = 3626,
  [7543] = 7461,
  [7544] = 6993,
  [7545] = 6989,
  [7546] = 7459,
  [7547] = 7004,
  [7548] = 7458,
  [7549] = 7461,
  [7550] = 7550,
  [7551] = 6944,
  [7552] = 6978,
  [7553] = 7553,
  [7554] = 7554,
  [7555] = 7553,
  [7556] = 7554,
  [7557] = 7554,
  [7558] = 7554,
  [7559] = 7553,
  [7560] = 7560,
  [7561] = 7561,
  [7562] = 7554,
  [7563] = 7563,
  [7564] = 166,
  [7565] = 7211,
  [7566] = 7554,
  [7567] = 7567,
  [7568] = 7568,
  [7569] = 1667,
  [7570] = 7203,
  [7571] = 7226,
  [7572] = 7227,
  [7573] = 7573,
  [7574] = 7553,
  [7575] = 7554,
  [7576] = 7554,
  [7577] = 3394,
  [7578] = 7554,
  [7579] = 7553,
  [7580] = 7563,
  [7581] = 7581,
  [7582] = 7554,
  [7583] = 7563,
  [7584] = 7207,
  [7585] = 7554,
  [7586] = 7554,
  [7587] = 3288,
  [7588] = 7229,
  [7589] = 7239,
  [7590] = 3368,
  [7591] = 7554,
  [7592] = 7592,
  [7593] = 7554,
  [7594] = 7240,
  [7595] = 7554,
  [7596] = 7554,
  [7597] = 3358,
  [7598] = 3110,
  [7599] = 7554,
  [7600] = 7600,
  [7601] = 7601,
  [7602] = 3338,
  [7603] = 7563,
  [7604] = 7600,
  [7605] = 7554,
  [7606] = 3371,
  [7607] = 7554,
  [7608] = 7554,
  [7609] = 7554,
  [7610] = 7610,
  [7611] = 7563,
  [7612] = 7554,
  [7613] = 7613,
  [7614] = 7240,
  [7615] = 7615,
  [7616] = 7291,
  [7617] = 7617,
  [7618] = 7618,
  [7619] = 7615,
  [7620] = 7227,
  [7621] = 7226,
  [7622] = 7617,
  [7623] = 7623,
  [7624] = 7624,
  [7625] = 7207,
  [7626] = 7626,
  [7627] = 7615,
  [7628] = 7617,
  [7629] = 7626,
  [7630] = 7239,
  [7631] = 7229,
  [7632] = 7632,
  [7633] = 7633,
  [7634] = 7634,
  [7635] = 7343,
  [7636] = 7352,
  [7637] = 7624,
  [7638] = 2997,
  [7639] = 7639,
  [7640] = 7640,
  [7641] = 7613,
  [7642] = 7623,
  [7643] = 7643,
  [7644] = 7624,
  [7645] = 3601,
  [7646] = 7634,
  [7647] = 7647,
  [7648] = 7626,
  [7649] = 7623,
  [7650] = 7261,
  [7651] = 7623,
  [7652] = 7624,
  [7653] = 7613,
  [7654] = 3405,
  [7655] = 7640,
  [7656] = 7617,
  [7657] = 7615,
  [7658] = 7623,
  [7659] = 165,
  [7660] = 3406,
  [7661] = 3407,
  [7662] = 3408,
  [7663] = 7640,
  [7664] = 7613,
  [7665] = 7626,
  [7666] = 7666,
  [7667] = 3417,
  [7668] = 7634,
  [7669] = 7669,
  [7670] = 7626,
  [7671] = 7671,
  [7672] = 7672,
  [7673] = 7316,
  [7674] = 7203,
  [7675] = 7623,
  [7676] = 7634,
  [7677] = 7617,
  [7678] = 7615,
  [7679] = 7211,
  [7680] = 7680,
  [7681] = 7207,
  [7682] = 7615,
  [7683] = 7617,
  [7684] = 7634,
  [7685] = 7623,
  [7686] = 7203,
  [7687] = 7005,
  [7688] = 7624,
  [7689] = 7689,
  [7690] = 7626,
  [7691] = 7613,
  [7692] = 3559,
  [7693] = 7693,
  [7694] = 7229,
  [7695] = 7640,
  [7696] = 7624,
  [7697] = 7640,
  [7698] = 7613,
  [7699] = 7699,
  [7700] = 7211,
  [7701] = 7701,
  [7702] = 7623,
  [7703] = 7617,
  [7704] = 7240,
  [7705] = 7626,
  [7706] = 7623,
  [7707] = 3452,
  [7708] = 3008,
  [7709] = 7709,
  [7710] = 7624,
  [7711] = 6993,
  [7712] = 7226,
  [7713] = 7615,
  [7714] = 7617,
  [7715] = 7227,
  [7716] = 3454,
  [7717] = 7640,
  [7718] = 7718,
  [7719] = 6993,
  [7720] = 7613,
  [7721] = 7640,
  [7722] = 7615,
  [7723] = 3391,
  [7724] = 7724,
  [7725] = 7613,
  [7726] = 7624,
  [7727] = 7624,
  [7728] = 3423,
  [7729] = 3443,
  [7730] = 3456,
  [7731] = 6989,
  [7732] = 6989,
  [7733] = 7733,
  [7734] = 6978,
  [7735] = 7004,
  [7736] = 7736,
  [7737] = 3393,
  [7738] = 7634,
  [7739] = 7739,
  [7740] = 7634,
  [7741] = 3628,
  [7742] = 7004,
  [7743] = 7626,
  [7744] = 7005,
  [7745] = 7626,
  [7746] = 3625,
  [7747] = 7747,
  [7748] = 7634,
  [7749] = 3624,
  [7750] = 7750,
  [7751] = 3623,
  [7752] = 7640,
  [7753] = 3621,
  [7754] = 3564,
  [7755] = 7755,
  [7756] = 7640,
  [7757] = 7757,
  [7758] = 7758,
  [7759] = 3649,
  [7760] = 166,
  [7761] = 7617,
  [7762] = 6978,
  [7763] = 7763,
  [7764] = 7239,
  [7765] = 7613,
  [7766] = 7634,
  [7767] = 7615,
  [7768] = 7239,
  [7769] = 7769,
  [7770] = 7769,
  [7771] = 7769,
  [7772] = 156,
  [7773] = 7239,
  [7774] = 7207,
  [7775] = 7229,
  [7776] = 7227,
  [7777] = 7229,
  [7778] = 7769,
  [7779] = 157,
  [7780] = 7226,
  [7781] = 163,
  [7782] = 7769,
  [7783] = 3151,
  [7784] = 7784,
  [7785] = 162,
  [7786] = 7227,
  [7787] = 7520,
  [7788] = 7227,
  [7789] = 7203,
  [7790] = 7790,
  [7791] = 7769,
  [7792] = 7792,
  [7793] = 7211,
  [7794] = 7240,
  [7795] = 3146,
  [7796] = 7226,
  [7797] = 7211,
  [7798] = 7226,
  [7799] = 7769,
  [7800] = 7800,
  [7801] = 7211,
  [7802] = 7769,
  [7803] = 7207,
  [7804] = 7804,
  [7805] = 7805,
  [7806] = 7769,
  [7807] = 7769,
  [7808] = 7769,
  [7809] = 7809,
  [7810] = 7769,
  [7811] = 7229,
  [7812] = 7769,
  [7813] = 7813,
  [7814] = 7814,
  [7815] = 159,
  [7816] = 7601,
  [7817] = 7240,
  [7818] = 155,
  [7819] = 161,
  [7820] = 7769,
  [7821] = 7769,
  [7822] = 7207,
  [7823] = 7203,
  [7824] = 7239,
  [7825] = 7240,
  [7826] = 7203,
  [7827] = 7343,
  [7828] = 7828,
  [7829] = 7352,
  [7830] = 7410,
  [7831] = 7828,
  [7832] = 7227,
  [7833] = 7211,
  [7834] = 7834,
  [7835] = 7207,
  [7836] = 7203,
  [7837] = 7828,
  [7838] = 7828,
  [7839] = 7828,
  [7840] = 7828,
  [7841] = 7828,
  [7842] = 7828,
  [7843] = 7834,
  [7844] = 7828,
  [7845] = 7828,
  [7846] = 7846,
  [7847] = 7828,
  [7848] = 7828,
  [7849] = 7229,
  [7850] = 7239,
  [7851] = 7834,
  [7852] = 7828,
  [7853] = 7828,
  [7854] = 7828,
  [7855] = 7291,
  [7856] = 7226,
  [7857] = 7828,
  [7858] = 7828,
  [7859] = 7834,
  [7860] = 3052,
  [7861] = 7846,
  [7862] = 7828,
  [7863] = 7863,
  [7864] = 7227,
  [7865] = 7846,
  [7866] = 164,
  [7867] = 7846,
  [7868] = 7226,
  [7869] = 7240,
  [7870] = 7203,
  [7871] = 7846,
  [7872] = 7828,
  [7873] = 7873,
  [7874] = 7846,
  [7875] = 7828,
  [7876] = 7316,
  [7877] = 7834,
  [7878] = 7828,
  [7879] = 7828,
  [7880] = 7846,
  [7881] = 7846,
  [7882] = 7828,
  [7883] = 7365,
  [7884] = 7846,
  [7885] = 7828,
  [7886] = 7211,
  [7887] = 7828,
  [7888] = 7261,
  [7889] = 158,
  [7890] = 7828,
  [7891] = 7828,
  [7892] = 7828,
  [7893] = 7893,
  [7894] = 7894,
  [7895] = 7895,
  [7896] = 7448,
  [7897] = 7897,
  [7898] = 7898,
  [7899] = 3338,
  [7900] = 7900,
  [7901] = 7261,
  [7902] = 7226,
  [7903] = 7903,
  [7904] = 7227,
  [7905] = 7905,
  [7906] = 7343,
  [7907] = 7895,
  [7908] = 7908,
  [7909] = 7909,
  [7910] = 7444,
  [7911] = 7911,
  [7912] = 7895,
  [7913] = 7908,
  [7914] = 7900,
  [7915] = 7900,
  [7916] = 7895,
  [7917] = 3368,
  [7918] = 7908,
  [7919] = 7919,
  [7920] = 7291,
  [7921] = 3548,
  [7922] = 7900,
  [7923] = 7923,
  [7924] = 7900,
  [7925] = 7925,
  [7926] = 7926,
  [7927] = 7316,
  [7928] = 7410,
  [7929] = 7365,
  [7930] = 7930,
  [7931] = 7900,
  [7932] = 7352,
  [7933] = 7423,
  [7934] = 7908,
  [7935] = 7935,
  [7936] = 7936,
  [7937] = 7937,
  [7938] = 7938,
  [7939] = 7939,
  [7940] = 3371,
  [7941] = 7429,
  [7942] = 7908,
  [7943] = 7943,
  [7944] = 3358,
  [7945] = 7420,
  [7946] = 7900,
  [7947] = 7211,
  [7948] = 7937,
  [7949] = 7949,
  [7950] = 7950,
  [7951] = 7951,
  [7952] = 7900,
  [7953] = 7900,
  [7954] = 7203,
  [7955] = 7955,
  [7956] = 7895,
  [7957] = 7957,
  [7958] = 7958,
  [7959] = 7239,
  [7960] = 7960,
  [7961] = 7227,
  [7962] = 7962,
  [7963] = 7240,
  [7964] = 7964,
  [7965] = 7960,
  [7966] = 7960,
  [7967] = 7967,
  [7968] = 7227,
  [7969] = 7207,
  [7970] = 7970,
  [7971] = 7207,
  [7972] = 7972,
  [7973] = 3368,
  [7974] = 7974,
  [7975] = 7227,
  [7976] = 7226,
  [7977] = 7962,
  [7978] = 7978,
  [7979] = 7203,
  [7980] = 7211,
  [7981] = 3358,
  [7982] = 7970,
  [7983] = 7203,
  [7984] = 7960,
  [7985] = 7211,
  [7986] = 7226,
  [7987] = 7964,
  [7988] = 7988,
  [7989] = 7964,
  [7990] = 7960,
  [7991] = 7962,
  [7992] = 3391,
  [7993] = 3019,
  [7994] = 7962,
  [7995] = 7229,
  [7996] = 7996,
  [7997] = 7997,
  [7998] = 7998,
  [7999] = 7203,
  [8000] = 7970,
  [8001] = 7226,
  [8002] = 7211,
  [8003] = 7239,
  [8004] = 7240,
  [8005] = 7970,
  [8006] = 3371,
  [8007] = 7229,
  [8008] = 3018,
  [8009] = 7964,
  [8010] = 3338,
  [8011] = 8011,
  [8012] = 8012,
  [8013] = 7964,
  [8014] = 7226,
  [8015] = 3548,
  [8016] = 7211,
  [8017] = 7962,
  [8018] = 7227,
  [8019] = 3020,
  [8020] = 7970,
  [8021] = 7203,
  [8022] = 8022,
  [8023] = 7568,
  [8024] = 7903,
  [8025] = 7573,
  [8026] = 3548,
  [8027] = 8027,
  [8028] = 8028,
  [8029] = 8022,
  [8030] = 8028,
  [8031] = 8031,
  [8032] = 8032,
  [8033] = 8028,
  [8034] = 8028,
  [8035] = 8035,
  [8036] = 8028,
  [8037] = 8028,
  [8038] = 8038,
  [8039] = 8022,
  [8040] = 8022,
  [8041] = 8035,
  [8042] = 8042,
  [8043] = 7581,
  [8044] = 8035,
  [8045] = 8022,
  [8046] = 8035,
  [8047] = 8035,
  [8048] = 8048,
  [8049] = 8049,
  [8050] = 8031,
  [8051] = 3548,
  [8052] = 8028,
  [8053] = 8053,
  [8054] = 8049,
  [8055] = 8055,
  [8056] = 8056,
  [8057] = 7950,
  [8058] = 8022,
  [8059] = 8049,
  [8060] = 8028,
  [8061] = 8049,
  [8062] = 8062,
  [8063] = 8049,
  [8064] = 8049,
  [8065] = 8065,
  [8066] = 8022,
  [8067] = 8067,
  [8068] = 8022,
  [8069] = 8049,
  [8070] = 8070,
  [8071] = 8035,
  [8072] = 8035,
  [8073] = 8028,
  [8074] = 3391,
  [8075] = 8022,
  [8076] = 8049,
  [8077] = 8048,
  [8078] = 8035,
  [8079] = 8079,
  [8080] = 8080,
  [8081] = 8049,
  [8082] = 8035,
  [8083] = 8083,
  [8084] = 7894,
  [8085] = 8085,
  [8086] = 8086,
  [8087] = 8087,
  [8088] = 8087,
  [8089] = 8089,
  [8090] = 8090,
  [8091] = 8091,
  [8092] = 8090,
  [8093] = 8093,
  [8094] = 8094,
  [8095] = 7207,
  [8096] = 8094,
  [8097] = 8091,
  [8098] = 8098,
  [8099] = 8091,
  [8100] = 8090,
  [8101] = 7967,
  [8102] = 8102,
  [8103] = 8103,
  [8104] = 7229,
  [8105] = 8105,
  [8106] = 8098,
  [8107] = 8107,
  [8108] = 8105,
  [8109] = 8091,
  [8110] = 8102,
  [8111] = 8107,
  [8112] = 8090,
  [8113] = 8098,
  [8114] = 8114,
  [8115] = 8094,
  [8116] = 3548,
  [8117] = 8117,
  [8118] = 8087,
  [8119] = 8119,
  [8120] = 8087,
  [8121] = 8121,
  [8122] = 8122,
  [8123] = 8121,
  [8124] = 3480,
  [8125] = 3548,
  [8126] = 8103,
  [8127] = 8093,
  [8128] = 8103,
  [8129] = 8119,
  [8130] = 8130,
  [8131] = 8102,
  [8132] = 8119,
  [8133] = 8107,
  [8134] = 7239,
  [8135] = 8107,
  [8136] = 8102,
  [8137] = 8137,
  [8138] = 8093,
  [8139] = 7240,
  [8140] = 8094,
  [8141] = 8141,
  [8142] = 8094,
  [8143] = 8094,
  [8144] = 8144,
  [8145] = 8130,
  [8146] = 8103,
  [8147] = 8087,
  [8148] = 8119,
  [8149] = 8093,
  [8150] = 8150,
  [8151] = 8098,
  [8152] = 8152,
  [8153] = 8153,
  [8154] = 8153,
  [8155] = 8155,
  [8156] = 8153,
  [8157] = 8152,
  [8158] = 8155,
  [8159] = 8153,
  [8160] = 8160,
  [8161] = 8161,
  [8162] = 8160,
  [8163] = 8155,
  [8164] = 8164,
  [8165] = 8160,
  [8166] = 8155,
  [8167] = 8167,
  [8168] = 8160,
  [8169] = 8169,
  [8170] = 8170,
  [8171] = 8171,
  [8172] = 8160,
  [8173] = 8173,
  [8174] = 8155,
  [8175] = 8175,
  [8176] = 8176,
  [8177] = 8155,
  [8178] = 8178,
  [8179] = 8179,
  [8180] = 8161,
  [8181] = 8155,
  [8182] = 8182,
  [8183] = 8155,
  [8184] = 8184,
  [8185] = 8155,
  [8186] = 8186,
  [8187] = 8187,
  [8188] = 8155,
  [8189] = 8153,
  [8190] = 8190,
  [8191] = 8191,
  [8192] = 8192,
  [8193] = 8193,
  [8194] = 8065,
  [8195] = 8195,
  [8196] = 8186,
  [8197] = 8197,
  [8198] = 8153,
  [8199] = 8199,
  [8200] = 8160,
  [8201] = 8201,
  [8202] = 8155,
  [8203] = 8203,
  [8204] = 8161,
  [8205] = 8171,
  [8206] = 8190,
  [8207] = 8161,
  [8208] = 8208,
  [8209] = 8186,
  [8210] = 8160,
  [8211] = 8153,
  [8212] = 8171,
  [8213] = 8213,
  [8214] = 8214,
  [8215] = 8201,
  [8216] = 8160,
  [8217] = 8171,
  [8218] = 8203,
  [8219] = 8201,
  [8220] = 8160,
  [8221] = 8213,
  [8222] = 8222,
  [8223] = 8223,
  [8224] = 8224,
  [8225] = 8201,
  [8226] = 8160,
  [8227] = 8186,
  [8228] = 8170,
  [8229] = 8199,
  [8230] = 8153,
  [8231] = 8167,
  [8232] = 8152,
  [8233] = 8233,
  [8234] = 8234,
  [8235] = 8197,
  [8236] = 8175,
  [8237] = 8155,
  [8238] = 8176,
  [8239] = 8160,
  [8240] = 8182,
  [8241] = 8178,
  [8242] = 8195,
  [8243] = 8153,
  [8244] = 8179,
  [8245] = 8245,
  [8246] = 8197,
  [8247] = 8203,
  [8248] = 8248,
  [8249] = 8249,
  [8250] = 8171,
  [8251] = 8155,
  [8252] = 8252,
  [8253] = 8253,
  [8254] = 8160,
  [8255] = 8187,
  [8256] = 8155,
  [8257] = 8190,
  [8258] = 8193,
  [8259] = 8190,
  [8260] = 8201,
  [8261] = 8223,
  [8262] = 8195,
  [8263] = 8197,
  [8264] = 8153,
  [8265] = 8199,
  [8266] = 8155,
  [8267] = 8153,
  [8268] = 8199,
  [8269] = 8160,
  [8270] = 8201,
  [8271] = 8187,
  [8272] = 8171,
  [8273] = 8170,
  [8274] = 8203,
  [8275] = 8161,
  [8276] = 8155,
  [8277] = 8213,
  [8278] = 8186,
  [8279] = 8167,
  [8280] = 8160,
  [8281] = 8201,
  [8282] = 8182,
  [8283] = 8153,
  [8284] = 8245,
  [8285] = 8213,
  [8286] = 8203,
  [8287] = 8213,
  [8288] = 8182,
  [8289] = 8170,
  [8290] = 8170,
  [8291] = 8291,
  [8292] = 8167,
  [8293] = 8179,
  [8294] = 8178,
  [8295] = 8195,
  [8296] = 8153,
  [8297] = 8152,
  [8298] = 8167,
  [8299] = 8152,
  [8300] = 8203,
  [8301] = 8213,
  [8302] = 8152,
  [8303] = 8152,
  [8304] = 8199,
  [8305] = 8182,
  [8306] = 8155,
  [8307] = 8223,
  [8308] = 8190,
  [8309] = 8175,
  [8310] = 8176,
  [8311] = 8193,
  [8312] = 8197,
  [8313] = 8153,
  [8314] = 8178,
  [8315] = 8179,
  [8316] = 8203,
  [8317] = 8224,
  [8318] = 8160,
  [8319] = 8187,
  [8320] = 8152,
  [8321] = 8213,
  [8322] = 8155,
  [8323] = 8190,
  [8324] = 8167,
  [8325] = 8201,
  [8326] = 8193,
  [8327] = 8223,
  [8328] = 8171,
  [8329] = 8195,
  [8330] = 8197,
  [8331] = 8199,
  [8332] = 8190,
  [8333] = 8245,
  [8334] = 8160,
  [8335] = 8201,
  [8336] = 8208,
  [8337] = 8153,
  [8338] = 8208,
  [8339] = 8171,
  [8340] = 8170,
  [8341] = 8161,
  [8342] = 8342,
  [8343] = 8186,
  [8344] = 8213,
  [8345] = 8155,
  [8346] = 8153,
  [8347] = 8347,
  [8348] = 8187,
  [8349] = 8197,
  [8350] = 8153,
  [8351] = 8203,
  [8352] = 8186,
  [8353] = 8208,
  [8354] = 8203,
  [8355] = 8203,
  [8356] = 8224,
  [8357] = 8357,
  [8358] = 8358,
  [8359] = 8208,
  [8360] = 8167,
  [8361] = 8161,
  [8362] = 8175,
  [8363] = 8176,
  [8364] = 8364,
  [8365] = 8213,
  [8366] = 8366,
  [8367] = 8167,
  [8368] = 8152,
  [8369] = 8182,
  [8370] = 8178,
  [8371] = 8179,
  [8372] = 8153,
  [8373] = 8178,
  [8374] = 8374,
  [8375] = 8182,
  [8376] = 8224,
  [8377] = 8179,
  [8378] = 8186,
  [8379] = 8175,
  [8380] = 8176,
  [8381] = 8381,
  [8382] = 8155,
  [8383] = 8190,
  [8384] = 8178,
  [8385] = 8195,
  [8386] = 8179,
  [8387] = 8208,
  [8388] = 8197,
  [8389] = 8224,
  [8390] = 8182,
  [8391] = 8199,
  [8392] = 8171,
  [8393] = 8160,
  [8394] = 8208,
  [8395] = 8224,
  [8396] = 8201,
  [8397] = 8171,
  [8398] = 8171,
  [8399] = 8201,
  [8400] = 8160,
  [8401] = 8187,
  [8402] = 8201,
  [8403] = 8160,
  [8404] = 8155,
  [8405] = 8190,
  [8406] = 8406,
  [8407] = 8153,
  [8408] = 8187,
  [8409] = 8199,
  [8410] = 8193,
  [8411] = 8223,
  [8412] = 8153,
  [8413] = 8208,
  [8414] = 8199,
  [8415] = 8197,
  [8416] = 8195,
  [8417] = 8224,
  [8418] = 8418,
  [8419] = 8197,
  [8420] = 8197,
  [8421] = 8199,
  [8422] = 8195,
  [8423] = 8208,
  [8424] = 8245,
  [8425] = 8425,
  [8426] = 7410,
  [8427] = 8195,
  [8428] = 8160,
  [8429] = 8429,
  [8430] = 8201,
  [8431] = 8167,
  [8432] = 8182,
  [8433] = 8152,
  [8434] = 8223,
  [8435] = 8171,
  [8436] = 8190,
  [8437] = 8178,
  [8438] = 8179,
  [8439] = 8193,
  [8440] = 8182,
  [8441] = 8441,
  [8442] = 8155,
  [8443] = 8213,
  [8444] = 8155,
  [8445] = 8445,
  [8446] = 8190,
  [8447] = 8187,
  [8448] = 8448,
  [8449] = 8245,
  [8450] = 8195,
  [8451] = 8161,
  [8452] = 8452,
  [8453] = 8197,
  [8454] = 8224,
  [8455] = 8199,
  [8456] = 8155,
  [8457] = 8186,
  [8458] = 8160,
  [8459] = 8459,
  [8460] = 8201,
  [8461] = 8171,
  [8462] = 8182,
  [8463] = 8463,
  [8464] = 8190,
  [8465] = 8175,
  [8466] = 8213,
  [8467] = 8179,
  [8468] = 8178,
  [8469] = 8179,
  [8470] = 8179,
  [8471] = 8155,
  [8472] = 8190,
  [8473] = 8178,
  [8474] = 8176,
  [8475] = 8175,
  [8476] = 8203,
  [8477] = 8187,
  [8478] = 8224,
  [8479] = 8479,
  [8480] = 8190,
  [8481] = 8182,
  [8482] = 8482,
  [8483] = 8171,
  [8484] = 8193,
  [8485] = 8170,
  [8486] = 8223,
  [8487] = 8178,
  [8488] = 8153,
  [8489] = 8152,
  [8490] = 8167,
  [8491] = 8176,
  [8492] = 8195,
  [8493] = 8167,
  [8494] = 8152,
  [8495] = 8495,
  [8496] = 8496,
  [8497] = 8497,
  [8498] = 8498,
  [8499] = 8499,
  [8500] = 8500,
  [8501] = 198,
  [8502] = 8502,
  [8503] = 8503,
  [8504] = 8504,
  [8505] = 8505,
  [8506] = 8506,
  [8507] = 8507,
  [8508] = 8508,
  [8509] = 8509,
  [8510] = 8510,
  [8511] = 8511,
  [8512] = 8512,
  [8513] = 8510,
  [8514] = 8514,
  [8515] = 8507,
  [8516] = 8508,
  [8517] = 8517,
  [8518] = 8518,
  [8519] = 8510,
  [8520] = 8517,
  [8521] = 8521,
  [8522] = 8514,
  [8523] = 8512,
  [8524] = 8511,
  [8525] = 8497,
  [8526] = 8498,
  [8527] = 8506,
  [8528] = 8499,
  [8529] = 8500,
  [8530] = 8530,
  [8531] = 8531,
  [8532] = 8532,
  [8533] = 8533,
  [8534] = 8534,
  [8535] = 8535,
  [8536] = 8536,
  [8537] = 8537,
  [8538] = 8538,
  [8539] = 8518,
  [8540] = 8540,
  [8541] = 8504,
  [8542] = 8542,
  [8543] = 8543,
  [8544] = 8509,
  [8545] = 8545,
  [8546] = 8546,
  [8547] = 8547,
  [8548] = 8548,
  [8549] = 8549,
  [8550] = 8550,
  [8551] = 8551,
  [8552] = 8510,
  [8553] = 8510,
  [8554] = 8554,
  [8555] = 8555,
  [8556] = 8521,
  [8557] = 8496,
  [8558] = 8558,
  [8559] = 8517,
  [8560] = 8560,
  [8561] = 8509,
  [8562] = 8502,
  [8563] = 8563,
  [8564] = 8545,
  [8565] = 8538,
  [8566] = 8566,
  [8567] = 8551,
  [8568] = 8500,
  [8569] = 8517,
  [8570] = 8506,
  [8571] = 8571,
  [8572] = 8572,
  [8573] = 8555,
  [8574] = 8506,
  [8575] = 8509,
  [8576] = 8499,
  [8577] = 8496,
  [8578] = 8554,
  [8579] = 8508,
  [8580] = 8572,
  [8581] = 8507,
  [8582] = 8582,
  [8583] = 8583,
  [8584] = 8563,
  [8585] = 8510,
  [8586] = 8498,
  [8587] = 8536,
  [8588] = 8497,
  [8589] = 8498,
  [8590] = 8499,
  [8591] = 8500,
  [8592] = 8521,
  [8593] = 8593,
  [8594] = 8536,
  [8595] = 8595,
  [8596] = 8596,
  [8597] = 8597,
  [8598] = 8536,
  [8599] = 8514,
  [8600] = 8600,
  [8601] = 8601,
  [8602] = 8602,
  [8603] = 8600,
  [8604] = 8596,
  [8605] = 8605,
  [8606] = 8593,
  [8607] = 8583,
  [8608] = 8572,
  [8609] = 8543,
  [8610] = 8496,
  [8611] = 8554,
  [8612] = 8612,
  [8613] = 8613,
  [8614] = 8555,
  [8615] = 8547,
  [8616] = 8616,
  [8617] = 8617,
  [8618] = 8551,
  [8619] = 8509,
  [8620] = 8538,
  [8621] = 8514,
  [8622] = 8560,
  [8623] = 8543,
  [8624] = 8593,
  [8625] = 8512,
  [8626] = 8511,
  [8627] = 8545,
  [8628] = 8497,
  [8629] = 8545,
  [8630] = 8538,
  [8631] = 8518,
  [8632] = 8498,
  [8633] = 8499,
  [8634] = 8500,
  [8635] = 8635,
  [8636] = 8636,
  [8637] = 8637,
  [8638] = 8638,
  [8639] = 8639,
  [8640] = 8551,
  [8641] = 8536,
  [8642] = 8642,
  [8643] = 8643,
  [8644] = 8555,
  [8645] = 8563,
  [8646] = 8646,
  [8647] = 8502,
  [8648] = 8504,
  [8649] = 8504,
  [8650] = 8650,
  [8651] = 8504,
  [8652] = 8555,
  [8653] = 8653,
  [8654] = 8498,
  [8655] = 8509,
  [8656] = 8511,
  [8657] = 8545,
  [8658] = 8521,
  [8659] = 8512,
  [8660] = 8572,
  [8661] = 8638,
  [8662] = 8514,
  [8663] = 8507,
  [8664] = 8664,
  [8665] = 8496,
  [8666] = 8554,
  [8667] = 8508,
  [8668] = 8668,
  [8669] = 8517,
  [8670] = 8596,
  [8671] = 8560,
  [8672] = 8672,
  [8673] = 8600,
  [8674] = 8674,
  [8675] = 8502,
  [8676] = 8518,
  [8677] = 8498,
  [8678] = 8499,
  [8679] = 8500,
  [8680] = 8547,
  [8681] = 8612,
  [8682] = 8554,
  [8683] = 8683,
  [8684] = 8684,
  [8685] = 8601,
  [8686] = 8514,
  [8687] = 8496,
  [8688] = 8551,
  [8689] = 8689,
  [8690] = 8536,
  [8691] = 8602,
  [8692] = 8572,
  [8693] = 8693,
  [8694] = 8518,
  [8695] = 8517,
  [8696] = 8583,
  [8697] = 8545,
  [8698] = 8563,
  [8699] = 8545,
  [8700] = 8551,
  [8701] = 8508,
  [8702] = 8507,
  [8703] = 8514,
  [8704] = 8583,
  [8705] = 8572,
  [8706] = 8512,
  [8707] = 8555,
  [8708] = 8511,
  [8709] = 8709,
  [8710] = 8502,
  [8711] = 8504,
  [8712] = 8502,
  [8713] = 8537,
  [8714] = 8496,
  [8715] = 8555,
  [8716] = 8554,
  [8717] = 8555,
  [8718] = 8509,
  [8719] = 8612,
  [8720] = 8600,
  [8721] = 8547,
  [8722] = 8602,
  [8723] = 8551,
  [8724] = 8602,
  [8725] = 8500,
  [8726] = 8500,
  [8727] = 8583,
  [8728] = 8572,
  [8729] = 8499,
  [8730] = 8499,
  [8731] = 8572,
  [8732] = 8572,
  [8733] = 8668,
  [8734] = 8521,
  [8735] = 8735,
  [8736] = 8497,
  [8737] = 8497,
  [8738] = 8593,
  [8739] = 8601,
  [8740] = 8740,
  [8741] = 8741,
  [8742] = 8498,
  [8743] = 8499,
  [8744] = 8500,
  [8745] = 8496,
  [8746] = 8554,
  [8747] = 8600,
  [8748] = 8508,
  [8749] = 8596,
  [8750] = 8593,
  [8751] = 214,
  [8752] = 8752,
  [8753] = 8543,
  [8754] = 8754,
  [8755] = 8538,
  [8756] = 8538,
  [8757] = 8547,
  [8758] = 8551,
  [8759] = 8759,
  [8760] = 8668,
  [8761] = 8547,
  [8762] = 8538,
  [8763] = 8555,
  [8764] = 8547,
  [8765] = 8543,
  [8766] = 8543,
  [8767] = 8767,
  [8768] = 8554,
  [8769] = 8572,
  [8770] = 8498,
  [8771] = 8499,
  [8772] = 8500,
  [8773] = 8773,
  [8774] = 8555,
  [8775] = 8593,
  [8776] = 8496,
  [8777] = 8497,
  [8778] = 8778,
  [8779] = 8593,
  [8780] = 8497,
  [8781] = 8498,
  [8782] = 8499,
  [8783] = 8583,
  [8784] = 8500,
  [8785] = 8785,
  [8786] = 8507,
  [8787] = 8555,
  [8788] = 8509,
  [8789] = 8498,
  [8790] = 8555,
  [8791] = 8521,
  [8792] = 8499,
  [8793] = 8551,
  [8794] = 8500,
  [8795] = 8602,
  [8796] = 8572,
  [8797] = 8498,
  [8798] = 8499,
  [8799] = 8500,
  [8800] = 8502,
  [8801] = 8511,
  [8802] = 8596,
  [8803] = 8803,
  [8804] = 8512,
  [8805] = 8600,
  [8806] = 8543,
  [8807] = 8596,
  [8808] = 8808,
  [8809] = 8809,
  [8810] = 8563,
  [8811] = 8811,
  [8812] = 8502,
  [8813] = 8813,
  [8814] = 8560,
  [8815] = 8555,
  [8816] = 8816,
  [8817] = 8817,
  [8818] = 8511,
  [8819] = 8638,
  [8820] = 8572,
  [8821] = 8498,
  [8822] = 8499,
  [8823] = 8500,
  [8824] = 8545,
  [8825] = 8538,
  [8826] = 8555,
  [8827] = 8512,
  [8828] = 8551,
  [8829] = 8612,
  [8830] = 8514,
  [8831] = 8504,
  [8832] = 8832,
  [8833] = 8545,
  [8834] = 8554,
  [8835] = 8507,
  [8836] = 8555,
  [8837] = 8508,
  [8838] = 8536,
  [8839] = 8596,
  [8840] = 8600,
  [8841] = 8572,
  [8842] = 8498,
  [8843] = 8499,
  [8844] = 8500,
  [8845] = 8845,
  [8846] = 8496,
  [8847] = 8596,
  [8848] = 8600,
  [8849] = 8849,
  [8850] = 8521,
  [8851] = 8555,
  [8852] = 8852,
  [8853] = 8853,
  [8854] = 8854,
  [8855] = 8601,
  [8856] = 8517,
  [8857] = 8555,
  [8858] = 8514,
  [8859] = 8518,
  [8860] = 8517,
  [8861] = 8511,
  [8862] = 8572,
  [8863] = 8498,
  [8864] = 8499,
  [8865] = 8500,
  [8866] = 8512,
  [8867] = 8514,
  [8868] = 8602,
  [8869] = 8518,
  [8870] = 8870,
  [8871] = 8509,
  [8872] = 8508,
  [8873] = 8507,
  [8874] = 8874,
  [8875] = 8504,
  [8876] = 8514,
  [8877] = 8507,
  [8878] = 8555,
  [8879] = 8601,
  [8880] = 8880,
  [8881] = 8881,
  [8882] = 8512,
  [8883] = 8572,
  [8884] = 8498,
  [8885] = 8499,
  [8886] = 8500,
  [8887] = 8508,
  [8888] = 8498,
  [8889] = 8511,
  [8890] = 7950,
  [8891] = 8891,
  [8892] = 8892,
  [8893] = 8536,
  [8894] = 8894,
  [8895] = 8509,
  [8896] = 8504,
  [8897] = 8897,
  [8898] = 8555,
  [8899] = 8545,
  [8900] = 8502,
  [8901] = 8551,
  [8902] = 8572,
  [8903] = 8498,
  [8904] = 8499,
  [8905] = 8500,
  [8906] = 8517,
  [8907] = 8518,
  [8908] = 8536,
  [8909] = 8668,
  [8910] = 8547,
  [8911] = 8911,
  [8912] = 8555,
  [8913] = 8500,
  [8914] = 8499,
  [8915] = 8498,
  [8916] = 8555,
  [8917] = 8917,
  [8918] = 8497,
  [8919] = 8593,
  [8920] = 8572,
  [8921] = 8498,
  [8922] = 8499,
  [8923] = 8500,
  [8924] = 8612,
  [8925] = 8554,
  [8926] = 8926,
  [8927] = 8496,
  [8928] = 3548,
  [8929] = 8894,
  [8930] = 8930,
  [8931] = 8509,
  [8932] = 8543,
  [8933] = 8572,
  [8934] = 8498,
  [8935] = 8499,
  [8936] = 8500,
  [8937] = 8937,
  [8938] = 8509,
  [8939] = 8939,
  [8940] = 8596,
  [8941] = 8600,
  [8942] = 8572,
  [8943] = 8498,
  [8944] = 8499,
  [8945] = 8500,
  [8946] = 8538,
  [8947] = 8572,
  [8948] = 8509,
  [8949] = 8583,
  [8950] = 8572,
  [8951] = 8498,
  [8952] = 8499,
  [8953] = 8500,
  [8954] = 8602,
  [8955] = 8509,
  [8956] = 8510,
  [8957] = 8602,
  [8958] = 8572,
  [8959] = 8498,
  [8960] = 8499,
  [8961] = 8500,
  [8962] = 8547,
  [8963] = 206,
  [8964] = 8572,
  [8965] = 8554,
  [8966] = 8572,
  [8967] = 8498,
  [8968] = 8499,
  [8969] = 8500,
  [8970] = 8593,
  [8971] = 8583,
  [8972] = 8583,
  [8973] = 8572,
  [8974] = 8506,
  [8975] = 8975,
  [8976] = 8976,
  [8977] = 8977,
  [8978] = 8978,
  [8979] = 8979,
  [8980] = 8980,
  [8981] = 8976,
  [8982] = 8980,
  [8983] = 8983,
  [8984] = 8984,
  [8985] = 8985,
  [8986] = 8986,
  [8987] = 8983,
  [8988] = 8988,
  [8989] = 8989,
  [8990] = 8980,
  [8991] = 8991,
  [8992] = 8992,
  [8993] = 8976,
  [8994] = 8994,
  [8995] = 8995,
  [8996] = 8996,
  [8997] = 8997,
  [8998] = 8998,
  [8999] = 8999,
  [9000] = 9000,
  [9001] = 9001,
  [9002] = 9002,
  [9003] = 8997,
  [9004] = 9004,
  [9005] = 8978,
  [9006] = 8997,
  [9007] = 9007,
  [9008] = 9008,
  [9009] = 9009,
  [9010] = 8997,
  [9011] = 9011,
  [9012] = 9001,
  [9013] = 9013,
  [9014] = 9014,
  [9015] = 9015,
  [9016] = 8977,
  [9017] = 9017,
  [9018] = 8983,
  [9019] = 9019,
  [9020] = 9001,
  [9021] = 8997,
  [9022] = 9022,
  [9023] = 9023,
  [9024] = 9024,
  [9025] = 9025,
  [9026] = 9026,
  [9027] = 9027,
  [9028] = 9028,
  [9029] = 8978,
  [9030] = 9030,
  [9031] = 9031,
  [9032] = 9032,
  [9033] = 8989,
  [9034] = 9034,
  [9035] = 8997,
  [9036] = 9036,
  [9037] = 9001,
  [9038] = 9038,
  [9039] = 9039,
  [9040] = 8991,
  [9041] = 9041,
  [9042] = 8978,
  [9043] = 8994,
  [9044] = 9000,
  [9045] = 8975,
  [9046] = 8998,
  [9047] = 8978,
  [9048] = 8992,
  [9049] = 9049,
  [9050] = 9000,
  [9051] = 8997,
  [9052] = 9028,
  [9053] = 8975,
  [9054] = 9025,
  [9055] = 8978,
  [9056] = 8978,
  [9057] = 9057,
  [9058] = 9032,
  [9059] = 9059,
  [9060] = 8991,
  [9061] = 9027,
  [9062] = 9062,
  [9063] = 9026,
  [9064] = 9064,
  [9065] = 9023,
  [9066] = 8997,
  [9067] = 9067,
  [9068] = 9068,
  [9069] = 9025,
  [9070] = 9000,
  [9071] = 9071,
  [9072] = 9019,
  [9073] = 8978,
  [9074] = 9017,
  [9075] = 8984,
  [9076] = 8989,
  [9077] = 8995,
  [9078] = 8997,
  [9079] = 8996,
  [9080] = 9080,
  [9081] = 8989,
  [9082] = 8997,
  [9083] = 9083,
  [9084] = 9004,
  [9085] = 9085,
  [9086] = 9032,
  [9087] = 9038,
  [9088] = 9027,
  [9089] = 8997,
  [9090] = 8999,
  [9091] = 9091,
  [9092] = 8978,
  [9093] = 9002,
  [9094] = 9026,
  [9095] = 9023,
  [9096] = 9025,
  [9097] = 9064,
  [9098] = 9098,
  [9099] = 9014,
  [9100] = 9004,
  [9101] = 9019,
  [9102] = 8983,
  [9103] = 9001,
  [9104] = 9017,
  [9105] = 8997,
  [9106] = 8994,
  [9107] = 8976,
  [9108] = 8979,
  [9109] = 8980,
  [9110] = 9014,
  [9111] = 8976,
  [9112] = 8980,
  [9113] = 9039,
  [9114] = 8998,
  [9115] = 8978,
  [9116] = 9009,
  [9117] = 9009,
  [9118] = 8997,
  [9119] = 9002,
  [9120] = 9004,
  [9121] = 9121,
  [9122] = 9009,
  [9123] = 9011,
  [9124] = 9064,
  [9125] = 9002,
  [9126] = 9009,
  [9127] = 8999,
  [9128] = 8997,
  [9129] = 8996,
  [9130] = 8995,
  [9131] = 8999,
  [9132] = 9064,
  [9133] = 8996,
  [9134] = 8997,
  [9135] = 8989,
  [9136] = 8992,
  [9137] = 9017,
  [9138] = 8995,
  [9139] = 8992,
  [9140] = 8978,
  [9141] = 9019,
  [9142] = 9002,
  [9143] = 9009,
  [9144] = 8992,
  [9145] = 9004,
  [9146] = 9039,
  [9147] = 9009,
  [9148] = 8991,
  [9149] = 9038,
  [9150] = 9002,
  [9151] = 9028,
  [9152] = 8980,
  [9153] = 8976,
  [9154] = 9014,
  [9155] = 8983,
  [9156] = 9001,
  [9157] = 9083,
  [9158] = 8980,
  [9159] = 8976,
  [9160] = 9039,
  [9161] = 8983,
  [9162] = 8983,
  [9163] = 8994,
  [9164] = 8991,
  [9165] = 9011,
  [9166] = 8997,
  [9167] = 9014,
  [9168] = 8979,
  [9169] = 8976,
  [9170] = 8997,
  [9171] = 9004,
  [9172] = 8992,
  [9173] = 8980,
  [9174] = 9025,
  [9175] = 9098,
  [9176] = 9017,
  [9177] = 9017,
  [9178] = 9019,
  [9179] = 9179,
  [9180] = 8978,
  [9181] = 3582,
  [9182] = 9121,
  [9183] = 9038,
  [9184] = 9059,
  [9185] = 9185,
  [9186] = 9025,
  [9187] = 9064,
  [9188] = 8980,
  [9189] = 8976,
  [9190] = 8983,
  [9191] = 8998,
  [9192] = 8989,
  [9193] = 9028,
  [9194] = 9194,
  [9195] = 9022,
  [9196] = 9019,
  [9197] = 8978,
  [9198] = 9038,
  [9199] = 8975,
  [9200] = 9200,
  [9201] = 9201,
  [9202] = 9011,
  [9203] = 8991,
  [9204] = 9059,
  [9205] = 8998,
  [9206] = 3653,
  [9207] = 3616,
  [9208] = 9024,
  [9209] = 9009,
  [9210] = 9002,
  [9211] = 9080,
  [9212] = 9001,
  [9213] = 9025,
  [9214] = 8978,
  [9215] = 8997,
  [9216] = 9216,
  [9217] = 9032,
  [9218] = 9000,
  [9219] = 3579,
  [9220] = 3587,
  [9221] = 9083,
  [9222] = 8994,
  [9223] = 9004,
  [9224] = 8980,
  [9225] = 9027,
  [9226] = 9026,
  [9227] = 8976,
  [9228] = 9023,
  [9229] = 8983,
  [9230] = 3569,
  [9231] = 9032,
  [9232] = 9232,
  [9233] = 9027,
  [9234] = 9017,
  [9235] = 9235,
  [9236] = 9026,
  [9237] = 9023,
  [9238] = 9023,
  [9239] = 3585,
  [9240] = 3631,
  [9241] = 8979,
  [9242] = 3600,
  [9243] = 3676,
  [9244] = 9080,
  [9245] = 9019,
  [9246] = 8997,
  [9247] = 9026,
  [9248] = 9011,
  [9249] = 9121,
  [9250] = 9064,
  [9251] = 8989,
  [9252] = 8992,
  [9253] = 8984,
  [9254] = 9038,
  [9255] = 9019,
  [9256] = 9256,
  [9257] = 9098,
  [9258] = 9258,
  [9259] = 9027,
  [9260] = 8978,
  [9261] = 9014,
  [9262] = 9032,
  [9263] = 9025,
  [9264] = 9025,
  [9265] = 9265,
  [9266] = 9024,
  [9267] = 9083,
  [9268] = 9019,
  [9269] = 8977,
  [9270] = 9001,
  [9271] = 9009,
  [9272] = 8995,
  [9273] = 8996,
  [9274] = 9080,
  [9275] = 9002,
  [9276] = 9276,
  [9277] = 9024,
  [9278] = 8999,
  [9279] = 8994,
  [9280] = 8996,
  [9281] = 8995,
  [9282] = 9059,
  [9283] = 8978,
  [9284] = 8986,
  [9285] = 8979,
  [9286] = 8992,
  [9287] = 8999,
  [9288] = 9017,
  [9289] = 9121,
  [9290] = 9025,
  [9291] = 9059,
  [9292] = 9022,
  [9293] = 9039,
  [9294] = 9017,
  [9295] = 9011,
  [9296] = 9022,
  [9297] = 9025,
  [9298] = 9025,
  [9299] = 9064,
  [9300] = 9004,
  [9301] = 8976,
  [9302] = 8997,
  [9303] = 9002,
  [9304] = 8989,
  [9305] = 8980,
  [9306] = 8976,
  [9307] = 8984,
  [9308] = 8983,
  [9309] = 8980,
  [9310] = 8983,
  [9311] = 9009,
  [9312] = 9028,
  [9313] = 9009,
  [9314] = 8991,
  [9315] = 9000,
  [9316] = 9316,
  [9317] = 9317,
  [9318] = 8997,
  [9319] = 8977,
  [9320] = 9014,
  [9321] = 9009,
  [9322] = 9004,
  [9323] = 9002,
  [9324] = 8979,
  [9325] = 9038,
  [9326] = 8980,
  [9327] = 8986,
  [9328] = 9001,
  [9329] = 8988,
  [9330] = 8978,
  [9331] = 8978,
  [9332] = 9332,
  [9333] = 8975,
  [9334] = 8994,
  [9335] = 8980,
  [9336] = 9336,
  [9337] = 9337,
  [9338] = 9014,
  [9339] = 8976,
  [9340] = 9019,
  [9341] = 8978,
  [9342] = 9098,
  [9343] = 9024,
  [9344] = 9022,
  [9345] = 8977,
  [9346] = 9083,
  [9347] = 9001,
  [9348] = 8977,
  [9349] = 9001,
  [9350] = 9022,
  [9351] = 9024,
  [9352] = 8975,
  [9353] = 9276,
  [9354] = 9121,
  [9355] = 9276,
  [9356] = 8995,
  [9357] = 8988,
  [9358] = 8983,
  [9359] = 8994,
  [9360] = 8996,
  [9361] = 9361,
  [9362] = 9038,
  [9363] = 8988,
  [9364] = 9276,
  [9365] = 9276,
  [9366] = 8986,
  [9367] = 8997,
  [9368] = 8994,
  [9369] = 8999,
  [9370] = 9059,
  [9371] = 8979,
  [9372] = 9372,
  [9373] = 9080,
  [9374] = 9025,
  [9375] = 9019,
  [9376] = 8984,
  [9377] = 9276,
  [9378] = 9378,
  [9379] = 9276,
  [9380] = 9025,
  [9381] = 8989,
  [9382] = 9023,
  [9383] = 9026,
  [9384] = 9384,
  [9385] = 8992,
  [9386] = 9121,
  [9387] = 9027,
  [9388] = 9098,
  [9389] = 9014,
  [9390] = 9002,
  [9391] = 9276,
  [9392] = 9064,
  [9393] = 9276,
  [9394] = 9032,
  [9395] = 9276,
  [9396] = 9039,
  [9397] = 9009,
  [9398] = 9002,
  [9399] = 9039,
  [9400] = 9064,
  [9401] = 9276,
  [9402] = 9121,
  [9403] = 8978,
  [9404] = 8998,
  [9405] = 9276,
  [9406] = 9276,
  [9407] = 8989,
  [9408] = 9276,
  [9409] = 9409,
  [9410] = 8978,
  [9411] = 8976,
  [9412] = 9276,
  [9413] = 8984,
  [9414] = 9276,
  [9415] = 8975,
  [9416] = 9276,
  [9417] = 9417,
  [9418] = 9332,
  [9419] = 9276,
  [9420] = 9000,
  [9421] = 9038,
  [9422] = 8998,
  [9423] = 9276,
  [9424] = 8988,
  [9425] = 8975,
  [9426] = 8988,
  [9427] = 8986,
  [9428] = 9428,
  [9429] = 8979,
  [9430] = 9430,
  [9431] = 8986,
  [9432] = 8988,
  [9433] = 8979,
  [9434] = 8994,
  [9435] = 9009,
  [9436] = 8978,
  [9437] = 8998,
  [9438] = 8998,
  [9439] = 9001,
  [9440] = 8977,
  [9441] = 9022,
  [9442] = 9024,
  [9443] = 9014,
  [9444] = 9444,
  [9445] = 9444,
  [9446] = 9446,
  [9447] = 9447,
  [9448] = 9448,
  [9449] = 9449,
  [9450] = 9450,
  [9451] = 9451,
  [9452] = 9452,
  [9453] = 9453,
  [9454] = 9454,
  [9455] = 9455,
  [9456] = 9456,
  [9457] = 9457,
  [9458] = 9458,
  [9459] = 9459,
  [9460] = 9460,
  [9461] = 9461,
  [9462] = 9462,
  [9463] = 9463,
  [9464] = 9464,
  [9465] = 9465,
  [9466] = 9466,
  [9467] = 9467,
  [9468] = 9468,
  [9469] = 9469,
  [9470] = 9470,
  [9471] = 9471,
  [9472] = 9472,
  [9473] = 9473,
  [9474] = 9474,
  [9475] = 9475,
  [9476] = 9476,
  [9477] = 9477,
  [9478] = 9478,
  [9479] = 9479,
  [9480] = 9452,
  [9481] = 9481,
  [9482] = 9482,
  [9483] = 9483,
  [9484] = 9484,
  [9485] = 9455,
  [9486] = 9486,
  [9487] = 9471,
  [9488] = 9488,
  [9489] = 9489,
  [9490] = 9490,
  [9491] = 9491,
  [9492] = 9492,
  [9493] = 9493,
  [9494] = 9478,
  [9495] = 9495,
  [9496] = 9496,
  [9497] = 9497,
  [9498] = 9498,
  [9499] = 9481,
  [9500] = 9500,
  [9501] = 9498,
  [9502] = 9500,
  [9503] = 9503,
  [9504] = 9504,
  [9505] = 9505,
  [9506] = 9506,
  [9507] = 9507,
  [9508] = 9497,
  [9509] = 9509,
  [9510] = 9510,
  [9511] = 9504,
  [9512] = 9478,
  [9513] = 9513,
  [9514] = 9490,
  [9515] = 9492,
  [9516] = 9489,
  [9517] = 9474,
  [9518] = 9486,
  [9519] = 9519,
  [9520] = 9482,
  [9521] = 9488,
  [9522] = 9522,
  [9523] = 9461,
  [9524] = 9463,
  [9525] = 9525,
  [9526] = 9484,
  [9527] = 9450,
  [9528] = 9528,
  [9529] = 9529,
  [9530] = 9530,
  [9531] = 9531,
  [9532] = 9476,
  [9533] = 9448,
  [9534] = 9534,
  [9535] = 9535,
  [9536] = 9536,
  [9537] = 9537,
  [9538] = 9538,
  [9539] = 9539,
  [9540] = 9456,
  [9541] = 9541,
  [9542] = 9506,
  [9543] = 9543,
  [9544] = 9544,
  [9545] = 9530,
  [9546] = 9546,
  [9547] = 9547,
  [9548] = 9548,
  [9549] = 9549,
  [9550] = 9550,
  [9551] = 9509,
  [9552] = 9507,
  [9553] = 9465,
  [9554] = 9554,
  [9555] = 9456,
  [9556] = 9466,
  [9557] = 9448,
  [9558] = 9558,
  [9559] = 9476,
  [9560] = 9560,
  [9561] = 9561,
  [9562] = 9463,
  [9563] = 9477,
  [9564] = 9465,
  [9565] = 9461,
  [9566] = 9566,
  [9567] = 9470,
  [9568] = 9568,
  [9569] = 9488,
  [9570] = 9489,
  [9571] = 9490,
  [9572] = 9479,
  [9573] = 9573,
  [9574] = 9510,
  [9575] = 9503,
  [9576] = 9576,
  [9577] = 9577,
  [9578] = 9497,
  [9579] = 9579,
  [9580] = 9580,
  [9581] = 9581,
  [9582] = 9582,
  [9583] = 9583,
  [9584] = 9584,
  [9585] = 9585,
  [9586] = 9586,
  [9587] = 9513,
  [9588] = 9588,
  [9589] = 9589,
  [9590] = 9590,
  [9591] = 9591,
  [9592] = 9478,
  [9593] = 9593,
  [9594] = 9594,
  [9595] = 9492,
  [9596] = 9596,
  [9597] = 9486,
  [9598] = 9550,
  [9599] = 9482,
  [9600] = 9600,
  [9601] = 9461,
  [9602] = 9602,
  [9603] = 9603,
  [9604] = 9604,
  [9605] = 9448,
  [9606] = 9606,
  [9607] = 9607,
  [9608] = 9558,
  [9609] = 9609,
  [9610] = 9610,
  [9611] = 9503,
  [9612] = 9479,
  [9613] = 9474,
  [9614] = 9477,
  [9615] = 9615,
  [9616] = 9492,
  [9617] = 9617,
  [9618] = 9618,
  [9619] = 9619,
  [9620] = 9620,
  [9621] = 6966,
  [9622] = 9607,
  [9623] = 9476,
  [9624] = 9624,
  [9625] = 9625,
  [9626] = 9606,
  [9627] = 9627,
  [9628] = 9603,
  [9629] = 9629,
  [9630] = 9507,
  [9631] = 9490,
  [9632] = 9509,
  [9633] = 9450,
  [9634] = 9634,
  [9635] = 9635,
  [9636] = 9636,
  [9637] = 9497,
  [9638] = 9638,
  [9639] = 9639,
  [9640] = 9640,
  [9641] = 9530,
  [9642] = 9642,
  [9643] = 9643,
  [9644] = 9644,
  [9645] = 9519,
  [9646] = 9646,
  [9647] = 9647,
  [9648] = 9648,
  [9649] = 9478,
  [9650] = 9650,
  [9651] = 9651,
  [9652] = 9652,
  [9653] = 9486,
  [9654] = 9602,
  [9655] = 9482,
  [9656] = 9656,
  [9657] = 9461,
  [9658] = 9658,
  [9659] = 9519,
  [9660] = 9491,
  [9661] = 9483,
  [9662] = 9662,
  [9663] = 9458,
  [9664] = 9457,
  [9665] = 9460,
  [9666] = 9473,
  [9667] = 9466,
  [9668] = 9588,
  [9669] = 9656,
  [9670] = 9607,
  [9671] = 9452,
  [9672] = 9455,
  [9673] = 9481,
  [9674] = 9476,
  [9675] = 9498,
  [9676] = 9500,
  [9677] = 9504,
  [9678] = 9525,
  [9679] = 9529,
  [9680] = 9583,
  [9681] = 9490,
  [9682] = 9534,
  [9683] = 9656,
  [9684] = 9582,
  [9685] = 9506,
  [9686] = 9510,
  [9687] = 9497,
  [9688] = 9577,
  [9689] = 9576,
  [9690] = 9538,
  [9691] = 9513,
  [9692] = 9606,
  [9693] = 9693,
  [9694] = 9525,
  [9695] = 9529,
  [9696] = 9603,
  [9697] = 9534,
  [9698] = 9548,
  [9699] = 9478,
  [9700] = 9700,
  [9701] = 6969,
  [9702] = 9702,
  [9703] = 9486,
  [9704] = 9560,
  [9705] = 9482,
  [9706] = 9525,
  [9707] = 9461,
  [9708] = 9708,
  [9709] = 9566,
  [9710] = 9538,
  [9711] = 9711,
  [9712] = 9568,
  [9713] = 9573,
  [9714] = 9576,
  [9715] = 9573,
  [9716] = 9716,
  [9717] = 9717,
  [9718] = 9568,
  [9719] = 9577,
  [9720] = 9582,
  [9721] = 9482,
  [9722] = 9583,
  [9723] = 9476,
  [9724] = 9548,
  [9725] = 9486,
  [9726] = 9492,
  [9727] = 9506,
  [9728] = 9566,
  [9729] = 9588,
  [9730] = 9490,
  [9731] = 9550,
  [9732] = 9602,
  [9733] = 9603,
  [9734] = 9602,
  [9735] = 9735,
  [9736] = 9497,
  [9737] = 9550,
  [9738] = 9496,
  [9739] = 9478,
  [9740] = 9469,
  [9741] = 9588,
  [9742] = 9656,
  [9743] = 9503,
  [9744] = 9561,
  [9745] = 9479,
  [9746] = 9465,
  [9747] = 9478,
  [9748] = 9560,
  [9749] = 9558,
  [9750] = 9750,
  [9751] = 9486,
  [9752] = 9477,
  [9753] = 9482,
  [9754] = 9493,
  [9755] = 9461,
  [9756] = 9509,
  [9757] = 9757,
  [9758] = 9758,
  [9759] = 9558,
  [9760] = 9760,
  [9761] = 9450,
  [9762] = 9491,
  [9763] = 9763,
  [9764] = 9764,
  [9765] = 9560,
  [9766] = 9530,
  [9767] = 9561,
  [9768] = 9768,
  [9769] = 9548,
  [9770] = 9476,
  [9771] = 9497,
  [9772] = 9772,
  [9773] = 9491,
  [9774] = 9490,
  [9775] = 9538,
  [9776] = 9489,
  [9777] = 9566,
  [9778] = 9534,
  [9779] = 9488,
  [9780] = 9497,
  [9781] = 9529,
  [9782] = 9483,
  [9783] = 9484,
  [9784] = 9483,
  [9785] = 9486,
  [9786] = 9458,
  [9787] = 9787,
  [9788] = 9457,
  [9789] = 9460,
  [9790] = 9482,
  [9791] = 9791,
  [9792] = 9497,
  [9793] = 9486,
  [9794] = 9794,
  [9795] = 9482,
  [9796] = 9796,
  [9797] = 9473,
  [9798] = 9481,
  [9799] = 9476,
  [9800] = 9800,
  [9801] = 9476,
  [9802] = 9500,
  [9803] = 9504,
  [9804] = 9474,
  [9805] = 9497,
  [9806] = 9583,
  [9807] = 9807,
  [9808] = 9808,
  [9809] = 9482,
  [9810] = 9525,
  [9811] = 9513,
  [9812] = 9538,
  [9813] = 9510,
  [9814] = 9476,
  [9815] = 9548,
  [9816] = 9816,
  [9817] = 9497,
  [9818] = 9530,
  [9819] = 6964,
  [9820] = 9482,
  [9821] = 9560,
  [9822] = 9822,
  [9823] = 9823,
  [9824] = 9476,
  [9825] = 9497,
  [9826] = 9482,
  [9827] = 9456,
  [9828] = 9497,
  [9829] = 9482,
  [9830] = 9566,
  [9831] = 9497,
  [9832] = 9482,
  [9833] = 9497,
  [9834] = 9482,
  [9835] = 9497,
  [9836] = 9482,
  [9837] = 9497,
  [9838] = 9482,
  [9839] = 9497,
  [9840] = 9482,
  [9841] = 9497,
  [9842] = 9482,
  [9843] = 9843,
  [9844] = 9844,
  [9845] = 9506,
  [9846] = 9846,
  [9847] = 9448,
  [9848] = 9848,
  [9849] = 9849,
  [9850] = 9573,
  [9851] = 9522,
  [9852] = 9852,
  [9853] = 9474,
  [9854] = 9854,
  [9855] = 9855,
  [9856] = 9504,
  [9857] = 9573,
  [9858] = 9500,
  [9859] = 9498,
  [9860] = 9582,
  [9861] = 9498,
  [9862] = 9498,
  [9863] = 9495,
  [9864] = 9573,
  [9865] = 9481,
  [9866] = 9576,
  [9867] = 9577,
  [9868] = 9471,
  [9869] = 9711,
  [9870] = 9870,
  [9871] = 9463,
  [9872] = 9872,
  [9873] = 9568,
  [9874] = 9461,
  [9875] = 9582,
  [9876] = 9876,
  [9877] = 9877,
  [9878] = 9878,
  [9879] = 9577,
  [9880] = 9576,
  [9881] = 9583,
  [9882] = 9558,
  [9883] = 9883,
  [9884] = 9490,
  [9885] = 9656,
  [9886] = 9489,
  [9887] = 9887,
  [9888] = 9488,
  [9889] = 9588,
  [9890] = 9890,
  [9891] = 9488,
  [9892] = 9550,
  [9893] = 9893,
  [9894] = 9893,
  [9895] = 9576,
  [9896] = 9876,
  [9897] = 9455,
  [9898] = 9452,
  [9899] = 9489,
  [9900] = 9466,
  [9901] = 9602,
  [9902] = 9576,
  [9903] = 9577,
  [9904] = 9602,
  [9905] = 9905,
  [9906] = 9603,
  [9907] = 9907,
  [9908] = 9807,
  [9909] = 9711,
  [9910] = 9582,
  [9911] = 9911,
  [9912] = 9503,
  [9913] = 9583,
  [9914] = 9528,
  [9915] = 9479,
  [9916] = 9916,
  [9917] = 9484,
  [9918] = 9477,
  [9919] = 9763,
  [9920] = 9920,
  [9921] = 9656,
  [9922] = 9588,
  [9923] = 9923,
  [9924] = 9550,
  [9925] = 9568,
  [9926] = 9602,
  [9927] = 9473,
  [9928] = 9450,
  [9929] = 9447,
  [9930] = 9449,
  [9931] = 9457,
  [9932] = 9460,
  [9933] = 9472,
  [9934] = 9458,
  [9935] = 9451,
  [9936] = 9453,
  [9937] = 9530,
  [9938] = 9454,
  [9939] = 9457,
  [9940] = 9530,
  [9941] = 9491,
  [9942] = 9457,
  [9943] = 9602,
  [9944] = 9462,
  [9945] = 9467,
  [9946] = 9946,
  [9947] = 9468,
  [9948] = 9483,
  [9949] = 9808,
  [9950] = 9475,
  [9951] = 9475,
  [9952] = 9458,
  [9953] = 9457,
  [9954] = 9603,
  [9955] = 9693,
  [9956] = 9444,
  [9957] = 9483,
  [9958] = 9606,
  [9959] = 9959,
  [9960] = 9607,
  [9961] = 9457,
  [9962] = 9530,
  [9963] = 9491,
  [9964] = 9568,
  [9965] = 9460,
  [9966] = 9473,
  [9967] = 9493,
  [9968] = 3170,
  [9969] = 9509,
  [9970] = 9496,
  [9971] = 9971,
  [9972] = 9481,
  [9973] = 9498,
  [9974] = 9500,
  [9975] = 9504,
  [9976] = 9457,
  [9977] = 9530,
  [9978] = 9787,
  [9979] = 9474,
  [9980] = 9468,
  [9981] = 9467,
  [9982] = 9982,
  [9983] = 9566,
  [9984] = 9548,
  [9985] = 9462,
  [9986] = 9457,
  [9987] = 9519,
  [9988] = 9530,
  [9989] = 9492,
  [9990] = 9560,
  [9991] = 9991,
  [9992] = 9992,
  [9993] = 9993,
  [9994] = 9994,
  [9995] = 9995,
  [9996] = 9566,
  [9997] = 9997,
  [9998] = 9503,
  [9999] = 9568,
  [10000] = 9530,
  [10001] = 9479,
  [10002] = 9450,
  [10003] = 9509,
  [10004] = 9507,
  [10005] = 8150,
  [10006] = 10006,
  [10007] = 9457,
  [10008] = 9530,
  [10009] = 10009,
  [10010] = 10010,
  [10011] = 9573,
  [10012] = 9576,
  [10013] = 9577,
  [10014] = 9582,
  [10015] = 9477,
  [10016] = 9583,
  [10017] = 9470,
  [10018] = 9465,
  [10019] = 10019,
  [10020] = 10020,
  [10021] = 9458,
  [10022] = 9470,
  [10023] = 9479,
  [10024] = 9503,
  [10025] = 9576,
  [10026] = 9457,
  [10027] = 9561,
  [10028] = 10028,
  [10029] = 9457,
  [10030] = 9530,
  [10031] = 10031,
  [10032] = 9656,
  [10033] = 9588,
  [10034] = 9550,
  [10035] = 10035,
  [10036] = 9603,
  [10037] = 9465,
  [10038] = 9607,
  [10039] = 9503,
  [10040] = 9606,
  [10041] = 9603,
  [10042] = 9794,
  [10043] = 9479,
  [10044] = 9457,
  [10045] = 9560,
  [10046] = 9477,
  [10047] = 9530,
  [10048] = 9846,
  [10049] = 9849,
  [10050] = 9852,
  [10051] = 9503,
  [10052] = 9854,
  [10053] = 6920,
  [10054] = 9602,
  [10055] = 9498,
  [10056] = 9550,
  [10057] = 9582,
  [10058] = 9870,
  [10059] = 9602,
  [10060] = 9872,
  [10061] = 9576,
  [10062] = 9883,
  [10063] = 10063,
  [10064] = 9877,
  [10065] = 9878,
  [10066] = 9558,
  [10067] = 9883,
  [10068] = 9550,
  [10069] = 9573,
  [10070] = 9576,
  [10071] = 9876,
  [10072] = 9588,
  [10073] = 9656,
  [10074] = 9509,
  [10075] = 10075,
  [10076] = 9528,
  [10077] = 9763,
  [10078] = 9558,
  [10079] = 9566,
  [10080] = 9450,
  [10081] = 9846,
  [10082] = 9852,
  [10083] = 9530,
  [10084] = 9854,
  [10085] = 10085,
  [10086] = 10086,
  [10087] = 9491,
  [10088] = 9870,
  [10089] = 9583,
  [10090] = 9872,
  [10091] = 9507,
  [10092] = 9509,
  [10093] = 9877,
  [10094] = 9878,
  [10095] = 9450,
  [10096] = 9582,
  [10097] = 9876,
  [10098] = 10098,
  [10099] = 9477,
  [10100] = 9483,
  [10101] = 9577,
  [10102] = 9528,
  [10103] = 9763,
  [10104] = 9576,
  [10105] = 9489,
  [10106] = 9476,
  [10107] = 9846,
  [10108] = 9852,
  [10109] = 9488,
  [10110] = 9854,
  [10111] = 10111,
  [10112] = 9498,
  [10113] = 9870,
  [10114] = 9458,
  [10115] = 9872,
  [10116] = 9457,
  [10117] = 9460,
  [10118] = 9877,
  [10119] = 9878,
  [10120] = 9711,
  [10121] = 9876,
  [10122] = 9573,
  [10123] = 9473,
  [10124] = 10124,
  [10125] = 9568,
  [10126] = 9528,
  [10127] = 9763,
  [10128] = 3173,
  [10129] = 10129,
  [10130] = 9846,
  [10131] = 9852,
  [10132] = 9457,
  [10133] = 9854,
  [10134] = 9483,
  [10135] = 9530,
  [10136] = 9870,
  [10137] = 9872,
  [10138] = 9509,
  [10139] = 9878,
  [10140] = 9877,
  [10141] = 9878,
  [10142] = 10142,
  [10143] = 9876,
  [10144] = 9503,
  [10145] = 10145,
  [10146] = 10146,
  [10147] = 9528,
  [10148] = 9763,
  [10149] = 9877,
  [10150] = 9548,
  [10151] = 9846,
  [10152] = 9852,
  [10153] = 9481,
  [10154] = 9854,
  [10155] = 9566,
  [10156] = 9492,
  [10157] = 9872,
  [10158] = 9602,
  [10159] = 9550,
  [10160] = 9877,
  [10161] = 9878,
  [10162] = 10162,
  [10163] = 9876,
  [10164] = 9561,
  [10165] = 9498,
  [10166] = 9582,
  [10167] = 9528,
  [10168] = 9763,
  [10169] = 9560,
  [10170] = 9846,
  [10171] = 9852,
  [10172] = 9519,
  [10173] = 9854,
  [10174] = 10174,
  [10175] = 9500,
  [10176] = 9872,
  [10177] = 9558,
  [10178] = 10178,
  [10179] = 9877,
  [10180] = 9878,
  [10181] = 9576,
  [10182] = 9876,
  [10183] = 9474,
  [10184] = 9573,
  [10185] = 9454,
  [10186] = 9528,
  [10187] = 9763,
  [10188] = 9538,
  [10189] = 9846,
  [10190] = 9538,
  [10191] = 9854,
  [10192] = 10192,
  [10193] = 9566,
  [10194] = 10194,
  [10195] = 9495,
  [10196] = 9877,
  [10197] = 9878,
  [10198] = 10198,
  [10199] = 9496,
  [10200] = 9548,
  [10201] = 10201,
  [10202] = 9528,
  [10203] = 9493,
  [10204] = 9846,
  [10205] = 9854,
  [10206] = 10206,
  [10207] = 9878,
  [10208] = 9472,
  [10209] = 9491,
  [10210] = 9528,
  [10211] = 9548,
  [10212] = 9846,
  [10213] = 9854,
  [10214] = 10214,
  [10215] = 9878,
  [10216] = 9534,
  [10217] = 9528,
  [10218] = 9846,
  [10219] = 9854,
  [10220] = 9878,
  [10221] = 9528,
  [10222] = 9878,
  [10223] = 9528,
  [10224] = 9878,
  [10225] = 9528,
  [10226] = 9878,
  [10227] = 9528,
  [10228] = 9878,
  [10229] = 9528,
  [10230] = 9878,
  [10231] = 9528,
  [10232] = 9878,
  [10233] = 9528,
  [10234] = 9878,
  [10235] = 9528,
  [10236] = 9529,
  [10237] = 9872,
  [10238] = 9849,
  [10239] = 10239,
  [10240] = 10240,
  [10241] = 9453,
  [10242] = 9534,
  [10243] = 9529,
  [10244] = 9483,
  [10245] = 9474,
  [10246] = 9504,
  [10247] = 9500,
  [10248] = 9498,
  [10249] = 9870,
  [10250] = 9473,
  [10251] = 9451,
  [10252] = 9808,
  [10253] = 9472,
  [10254] = 9883,
  [10255] = 9560,
  [10256] = 10256,
  [10257] = 10257,
  [10258] = 9893,
  [10259] = 9800,
  [10260] = 9566,
  [10261] = 9573,
  [10262] = 9475,
  [10263] = 9525,
  [10264] = 9444,
  [10265] = 9513,
  [10266] = 9510,
  [10267] = 9457,
  [10268] = 9468,
  [10269] = 9483,
  [10270] = 9504,
  [10271] = 9530,
  [10272] = 9525,
  [10273] = 9467,
  [10274] = 9513,
  [10275] = 9510,
  [10276] = 9530,
  [10277] = 10277,
  [10278] = 9816,
  [10279] = 9509,
  [10280] = 9506,
  [10281] = 9503,
  [10282] = 9462,
  [10283] = 9498,
  [10284] = 9576,
  [10285] = 9602,
  [10286] = 9522,
  [10287] = 9474,
  [10288] = 9504,
  [10289] = 9500,
  [10290] = 9602,
  [10291] = 9498,
  [10292] = 10292,
  [10293] = 9506,
  [10294] = 9495,
  [10295] = 10295,
  [10296] = 9458,
  [10297] = 9522,
  [10298] = 9457,
  [10299] = 9474,
  [10300] = 9504,
  [10301] = 9500,
  [10302] = 9498,
  [10303] = 9550,
  [10304] = 9481,
  [10305] = 10305,
  [10306] = 9481,
  [10307] = 9454,
  [10308] = 10308,
  [10309] = 9471,
  [10310] = 9453,
  [10311] = 9582,
  [10312] = 9582,
  [10313] = 9451,
  [10314] = 10314,
  [10315] = 9471,
  [10316] = 9808,
  [10317] = 10317,
  [10318] = 9460,
  [10319] = 9602,
  [10320] = 9509,
  [10321] = 9576,
  [10322] = 9849,
  [10323] = 10239,
  [10324] = 10240,
  [10325] = 9583,
  [10326] = 9455,
  [10327] = 9452,
  [10328] = 9883,
  [10329] = 9893,
  [10330] = 9800,
  [10331] = 9449,
  [10332] = 9456,
  [10333] = 10333,
  [10334] = 9849,
  [10335] = 10239,
  [10336] = 10240,
  [10337] = 9447,
  [10338] = 9449,
  [10339] = 9883,
  [10340] = 9893,
  [10341] = 9800,
  [10342] = 9573,
  [10343] = 10240,
  [10344] = 10239,
  [10345] = 9849,
  [10346] = 10239,
  [10347] = 10240,
  [10348] = 9460,
  [10349] = 9466,
  [10350] = 9883,
  [10351] = 9893,
  [10352] = 9800,
  [10353] = 9566,
  [10354] = 9656,
  [10355] = 9855,
  [10356] = 10239,
  [10357] = 10240,
  [10358] = 10358,
  [10359] = 9854,
  [10360] = 9893,
  [10361] = 9800,
  [10362] = 9447,
  [10363] = 9588,
  [10364] = 10239,
  [10365] = 10240,
  [10366] = 9550,
  [10367] = 9602,
  [10368] = 9893,
  [10369] = 9800,
  [10370] = 10370,
  [10371] = 10371,
  [10372] = 10239,
  [10373] = 10240,
  [10374] = 9603,
  [10375] = 9852,
  [10376] = 9893,
  [10377] = 9800,
  [10378] = 9448,
  [10379] = 9455,
  [10380] = 10239,
  [10381] = 10240,
  [10382] = 9503,
  [10383] = 9893,
  [10384] = 9800,
  [10385] = 9452,
  [10386] = 10386,
  [10387] = 9893,
  [10388] = 9800,
  [10389] = 9849,
  [10390] = 9479,
  [10391] = 9800,
  [10392] = 9474,
  [10393] = 9800,
  [10394] = 9504,
  [10395] = 9800,
  [10396] = 9500,
  [10397] = 9800,
  [10398] = 9498,
  [10399] = 9800,
  [10400] = 10400,
  [10401] = 9800,
  [10402] = 10402,
  [10403] = 9800,
  [10404] = 10404,
  [10405] = 9800,
  [10406] = 9473,
  [10407] = 9800,
  [10408] = 10371,
  [10409] = 10142,
  [10410] = 9460,
  [10411] = 10371,
  [10412] = 10142,
  [10413] = 9466,
  [10414] = 10371,
  [10415] = 10142,
  [10416] = 9457,
  [10417] = 10371,
  [10418] = 10142,
  [10419] = 9458,
  [10420] = 10371,
  [10421] = 10142,
  [10422] = 9473,
  [10423] = 10371,
  [10424] = 10142,
  [10425] = 9483,
  [10426] = 10371,
  [10427] = 10142,
  [10428] = 9848,
  [10429] = 10142,
  [10430] = 10142,
  [10431] = 10142,
  [10432] = 10142,
  [10433] = 10142,
  [10434] = 10142,
  [10435] = 10142,
  [10436] = 10142,
  [10437] = 10142,
  [10438] = 10142,
  [10439] = 10142,
  [10440] = 10440,
  [10441] = 9530,
  [10442] = 9846,
  [10443] = 10443,
  [10444] = 9463,
  [10445] = 9450,
  [10446] = 9461,
  [10447] = 10370,
  [10448] = 10370,
  [10449] = 10370,
  [10450] = 10370,
  [10451] = 10370,
  [10452] = 10370,
  [10453] = 10370,
};

static inline bool sym_identifier_character_set_1(int32_t c) {
  return (c < 43312
    ? (c < 3804
      ? (c < 2579
        ? (c < 1646
          ? (c < 710
            ? (c < 'j'
              ? (c < 'V'
                ? (c < 'G'
                  ? (c < 'A'
                    ? c == '$'
                    : c <= 'E')
                  : (c <= 'K' || (c < 'S'
                    ? (c >= 'M' && c <= 'Q')
                    : c <= 'S')))
                : (c <= 'Z' || (c < 'e'
                  ? (c < 'a'
                    ? c == '_'
                    : c <= 'a')
                  : (c <= 'e' || (c >= 'g' && c <= 'h')))))
              : (c <= 'l' || (c < 181
                ? (c < 'w'
                  ? (c < 'q'
                    ? c == 'o'
                    : c <= 'r')
                  : (c <= 'z' || c == 170))
                : (c <= 181 || (c < 216
                  ? (c < 192
                    ? c == 186
                    : c <= 214)
                  : (c <= 246 || (c >= 248 && c <= 705)))))))
            : (c <= 721 || (c < 910
              ? (c < 891
                ? (c < 750
                  ? (c < 748
                    ? (c >= 736 && c <= 740)
                    : c <= 748)
                  : (c <= 750 || (c < 886
                    ? (c >= 880 && c <= 884)
                    : c <= 887)))
                : (c <= 893 || (c < 904
                  ? (c < 902
                    ? c == 895
                    : c <= 902)
                  : (c <= 906 || c == 908))))
              : (c <= 929 || (c < 1369
                ? (c < 1162
                  ? (c < 1015
                    ? (c >= 931 && c <= 1013)
                    : c <= 1153)
                  : (c <= 1327 || (c >= 1329 && c <= 1366)))
                : (c <= 1369 || (c < 1519
                  ? (c < 1488
                    ? (c >= 1376 && c <= 1416)
                    : c <= 1514)
                  : (c <= 1522 || (c >= 1568 && c <= 1610)))))))))
          : (c <= 1647 || (c < 2185
            ? (c < 1994
              ? (c < 1791
                ? (c < 1765
                  ? (c < 1749
                    ? (c >= 1649 && c <= 1747)
                    : c <= 1749)
                  : (c <= 1766 || (c < 1786
                    ? (c >= 1774 && c <= 1775)
                    : c <= 1788)))
                : (c <= 1791 || (c < 1869
                  ? (c < 1810
                    ? c == 1808
                    : c <= 1839)
                  : (c <= 1957 || c == 1969))))
              : (c <= 2026 || (c < 2084
                ? (c < 2048
                  ? (c < 2042
                    ? (c >= 2036 && c <= 2037)
                    : c <= 2042)
                  : (c <= 2069 || c == 2074))
                : (c <= 2084 || (c < 2144
                  ? (c < 2112
                    ? c == 2088
                    : c <= 2136)
                  : (c <= 2154 || (c >= 2160 && c <= 2183)))))))
            : (c <= 2190 || (c < 2482
              ? (c < 2417
                ? (c < 2365
                  ? (c < 2308
                    ? (c >= 2208 && c <= 2249)
                    : c <= 2361)
                  : (c <= 2365 || (c < 2392
                    ? c == 2384
                    : c <= 2401)))
                : (c <= 2432 || (c < 2451
                  ? (c < 2447
                    ? (c >= 2437 && c <= 2444)
                    : c <= 2448)
                  : (c <= 2472 || (c >= 2474 && c <= 2480)))))
              : (c <= 2482 || (c < 2527
                ? (c < 2510
                  ? (c < 2493
                    ? (c >= 2486 && c <= 2489)
                    : c <= 2493)
                  : (c <= 2510 || (c >= 2524 && c <= 2525)))
                : (c <= 2529 || (c < 2565
                  ? (c < 2556
                    ? (c >= 2544 && c <= 2545)
                    : c <= 2556)
                  : (c <= 2570 || (c >= 2575 && c <= 2576)))))))))))
        : (c <= 2600 || (c < 3114
          ? (c < 2858
            ? (c < 2730
              ? (c < 2654
                ? (c < 2613
                  ? (c < 2610
                    ? (c >= 2602 && c <= 2608)
                    : c <= 2611)
                  : (c <= 2614 || (c < 2649
                    ? (c >= 2616 && c <= 2617)
                    : c <= 2652)))
                : (c <= 2654 || (c < 2703
                  ? (c < 2693
                    ? (c >= 2674 && c <= 2676)
                    : c <= 2701)
                  : (c <= 2705 || (c >= 2707 && c <= 2728)))))
              : (c <= 2736 || (c < 2784
                ? (c < 2749
                  ? (c < 2741
                    ? (c >= 2738 && c <= 2739)
                    : c <= 2745)
                  : (c <= 2749 || c == 2768))
                : (c <= 2785 || (c < 2831
                  ? (c < 2821
                    ? c == 2809
                    : c <= 2828)
                  : (c <= 2832 || (c >= 2835 && c <= 2856)))))))
            : (c <= 2864 || (c < 2969
              ? (c < 2929
                ? (c < 2877
                  ? (c < 2869
                    ? (c >= 2866 && c <= 2867)
                    : c <= 2873)
                  : (c <= 2877 || (c < 2911
                    ? (c >= 2908 && c <= 2909)
                    : c <= 2913)))
                : (c <= 2929 || (c < 2958
                  ? (c < 2949
                    ? c == 2947
                    : c <= 2954)
                  : (c <= 2960 || (c >= 2962 && c <= 2965)))))
              : (c <= 2970 || (c < 2990
                ? (c < 2979
                  ? (c < 2974
                    ? c == 2972
                    : c <= 2975)
                  : (c <= 2980 || (c >= 2984 && c <= 2986)))
                : (c <= 3001 || (c < 3086
                  ? (c < 3077
                    ? c == 3024
                    : c <= 3084)
                  : (c <= 3088 || (c >= 3090 && c <= 3112)))))))))
          : (c <= 3129 || (c < 3423
            ? (c < 3261
              ? (c < 3205
                ? (c < 3165
                  ? (c < 3160
                    ? c == 3133
                    : c <= 3162)
                  : (c <= 3165 || (c < 3200
                    ? (c >= 3168 && c <= 3169)
                    : c <= 3200)))
                : (c <= 3212 || (c < 3242
                  ? (c < 3218
                    ? (c >= 3214 && c <= 3216)
                    : c <= 3240)
                  : (c <= 3251 || (c >= 3253 && c <= 3257)))))
              : (c <= 3261 || (c < 3342
                ? (c < 3313
                  ? (c < 3296
                    ? (c >= 3293 && c <= 3294)
                    : c <= 3297)
                  : (c <= 3314 || (c >= 3332 && c <= 3340)))
                : (c <= 3344 || (c < 3406
                  ? (c < 3389
                    ? (c >= 3346 && c <= 3386)
                    : c <= 3389)
                  : (c <= 3406 || (c >= 3412 && c <= 3414)))))))
            : (c <= 3425 || (c < 3713
              ? (c < 3517
                ? (c < 3482
                  ? (c < 3461
                    ? (c >= 3450 && c <= 3455)
                    : c <= 3478)
                  : (c <= 3505 || (c >= 3507 && c <= 3515)))
                : (c <= 3517 || (c < 3634
                  ? (c < 3585
                    ? (c >= 3520 && c <= 3526)
                    : c <= 3632)
                  : (c <= 3634 || (c >= 3648 && c <= 3654)))))
              : (c <= 3714 || (c < 3751
                ? (c < 3724
                  ? (c < 3718
                    ? c == 3716
                    : c <= 3722)
                  : (c <= 3747 || c == 3749))
                : (c <= 3760 || (c < 3776
                  ? (c < 3773
                    ? c == 3762
                    : c <= 3773)
                  : (c <= 3780 || c == 3782))))))))))))
      : (c <= 3807 || (c < 8027
        ? (c < 5888
          ? (c < 4696
            ? (c < 4206
              ? (c < 4159
                ? (c < 3913
                  ? (c < 3904
                    ? c == 3840
                    : c <= 3911)
                  : (c <= 3948 || (c < 4096
                    ? (c >= 3976 && c <= 3980)
                    : c <= 4138)))
                : (c <= 4159 || (c < 4193
                  ? (c < 4186
                    ? (c >= 4176 && c <= 4181)
                    : c <= 4189)
                  : (c <= 4193 || (c >= 4197 && c <= 4198)))))
              : (c <= 4208 || (c < 4301
                ? (c < 4256
                  ? (c < 4238
                    ? (c >= 4213 && c <= 4225)
                    : c <= 4238)
                  : (c <= 4293 || c == 4295))
                : (c <= 4301 || (c < 4682
                  ? (c < 4348
                    ? (c >= 4304 && c <= 4346)
                    : c <= 4680)
                  : (c <= 4685 || (c >= 4688 && c <= 4694)))))))
            : (c <= 4696 || (c < 4882
              ? (c < 4792
                ? (c < 4746
                  ? (c < 4704
                    ? (c >= 4698 && c <= 4701)
                    : c <= 4744)
                  : (c <= 4749 || (c < 4786
                    ? (c >= 4752 && c <= 4784)
                    : c <= 4789)))
                : (c <= 4798 || (c < 4808
                  ? (c < 4802
                    ? c == 4800
                    : c <= 4805)
                  : (c <= 4822 || (c >= 4824 && c <= 4880)))))
              : (c <= 4885 || (c < 5121
                ? (c < 5024
                  ? (c < 4992
                    ? (c >= 4888 && c <= 4954)
                    : c <= 5007)
                  : (c <= 5109 || (c >= 5112 && c <= 5117)))
                : (c <= 5740 || (c < 5792
                  ? (c < 5761
                    ? (c >= 5743 && c <= 5759)
                    : c <= 5786)
                  : (c <= 5866 || (c >= 5870 && c <= 5880)))))))))
          : (c <= 5905 || (c < 6981
            ? (c < 6320
              ? (c < 6103
                ? (c < 5984
                  ? (c < 5952
                    ? (c >= 5919 && c <= 5937)
                    : c <= 5969)
                  : (c <= 5996 || (c < 6016
                    ? (c >= 5998 && c <= 6000)
                    : c <= 6067)))
                : (c <= 6103 || (c < 6272
                  ? (c < 6176
                    ? c == 6108
                    : c <= 6264)
                  : (c <= 6312 || c == 6314))))
              : (c <= 6389 || (c < 6576
                ? (c < 6512
                  ? (c < 6480
                    ? (c >= 6400 && c <= 6430)
                    : c <= 6509)
                  : (c <= 6516 || (c >= 6528 && c <= 6571)))
                : (c <= 6601 || (c < 6823
                  ? (c < 6688
                    ? (c >= 6656 && c <= 6678)
                    : c <= 6740)
                  : (c <= 6823 || (c >= 6917 && c <= 6963)))))))
            : (c <= 6988 || (c < 7406
              ? (c < 7258
                ? (c < 7098
                  ? (c < 7086
                    ? (c >= 7043 && c <= 7072)
                    : c <= 7087)
                  : (c <= 7141 || (c < 7245
                    ? (c >= 7168 && c <= 7203)
                    : c <= 7247)))
                : (c <= 7293 || (c < 7357
                  ? (c < 7312
                    ? (c >= 7296 && c <= 7304)
                    : c <= 7354)
                  : (c <= 7359 || (c >= 7401 && c <= 7404)))))
              : (c <= 7411 || (c < 7960
                ? (c < 7424
                  ? (c < 7418
                    ? (c >= 7413 && c <= 7414)
                    : c <= 7418)
                  : (c <= 7615 || (c >= 7680 && c <= 7957)))
                : (c <= 7965 || (c < 8016
                  ? (c < 8008
                    ? (c >= 7968 && c <= 8005)
                    : c <= 8013)
                  : (c <= 8023 || c == 8025))))))))))
        : (c <= 8027 || (c < 11712
          ? (c < 8484
            ? (c < 8178
              ? (c < 8130
                ? (c < 8064
                  ? (c < 8031
                    ? c == 8029
                    : c <= 8061)
                  : (c <= 8116 || (c < 8126
                    ? (c >= 8118 && c <= 8124)
                    : c <= 8126)))
                : (c <= 8132 || (c < 8150
                  ? (c < 8144
                    ? (c >= 8134 && c <= 8140)
                    : c <= 8147)
                  : (c <= 8155 || (c >= 8160 && c <= 8172)))))
              : (c <= 8180 || (c < 8450
                ? (c < 8319
                  ? (c < 8305
                    ? (c >= 8182 && c <= 8188)
                    : c <= 8305)
                  : (c <= 8319 || (c >= 8336 && c <= 8348)))
                : (c <= 8450 || (c < 8469
                  ? (c < 8458
                    ? c == 8455
                    : c <= 8467)
                  : (c <= 8469 || (c >= 8472 && c <= 8477)))))))
            : (c <= 8484 || (c < 11520
              ? (c < 8526
                ? (c < 8490
                  ? (c < 8488
                    ? c == 8486
                    : c <= 8488)
                  : (c <= 8505 || (c < 8517
                    ? (c >= 8508 && c <= 8511)
                    : c <= 8521)))
                : (c <= 8526 || (c < 11499
                  ? (c < 11264
                    ? (c >= 8544 && c <= 8584)
                    : c <= 11492)
                  : (c <= 11502 || (c >= 11506 && c <= 11507)))))
              : (c <= 11557 || (c < 11648
                ? (c < 11568
                  ? (c < 11565
                    ? c == 11559
                    : c <= 11565)
                  : (c <= 11623 || c == 11631))
                : (c <= 11670 || (c < 11696
                  ? (c < 11688
                    ? (c >= 11680 && c <= 11686)
                    : c <= 11694)
                  : (c <= 11702 || (c >= 11704 && c <= 11710)))))))))
          : (c <= 11718 || (c < 42538
            ? (c < 12540
              ? (c < 12337
                ? (c < 11736
                  ? (c < 11728
                    ? (c >= 11720 && c <= 11726)
                    : c <= 11734)
                  : (c <= 11742 || (c < 12321
                    ? (c >= 12293 && c <= 12295)
                    : c <= 12329)))
                : (c <= 12341 || (c < 12445
                  ? (c < 12353
                    ? (c >= 12344 && c <= 12348)
                    : c <= 12438)
                  : (c <= 12447 || (c >= 12449 && c <= 12538)))))
              : (c <= 12543 || (c < 13312
                ? (c < 12704
                  ? (c < 12593
                    ? (c >= 12549 && c <= 12591)
                    : c <= 12686)
                  : (c <= 12735 || (c >= 12784 && c <= 12799)))
                : (c <= 19903 || (c < 42240
                  ? (c < 42192
                    ? (c >= 19968 && c <= 42124)
                    : c <= 42237)
                  : (c <= 42508 || (c >= 42512 && c <= 42527)))))))
            : (c <= 42539 || (c < 42994
              ? (c < 42786
                ? (c < 42656
                  ? (c < 42623
                    ? (c >= 42560 && c <= 42606)
                    : c <= 42653)
                  : (c <= 42735 || (c >= 42775 && c <= 42783)))
                : (c <= 42888 || (c < 42963
                  ? (c < 42960
                    ? (c >= 42891 && c <= 42954)
                    : c <= 42961)
                  : (c <= 42963 || (c >= 42965 && c <= 42969)))))
              : (c <= 43009 || (c < 43138
                ? (c < 43020
                  ? (c < 43015
                    ? (c >= 43011 && c <= 43013)
                    : c <= 43018)
                  : (c <= 43042 || (c >= 43072 && c <= 43123)))
                : (c <= 43187 || (c < 43261
                  ? (c < 43259
                    ? (c >= 43250 && c <= 43255)
                    : c <= 43259)
                  : (c <= 43262 || (c >= 43274 && c <= 43301)))))))))))))))
    : (c <= 43334 || (c < 70480
      ? (c < 66816
        ? (c < 64323
          ? (c < 43777
            ? (c < 43642
              ? (c < 43514
                ? (c < 43471
                  ? (c < 43396
                    ? (c >= 43360 && c <= 43388)
                    : c <= 43442)
                  : (c <= 43471 || (c < 43494
                    ? (c >= 43488 && c <= 43492)
                    : c <= 43503)))
                : (c <= 43518 || (c < 43588
                  ? (c < 43584
                    ? (c >= 43520 && c <= 43560)
                    : c <= 43586)
                  : (c <= 43595 || (c >= 43616 && c <= 43638)))))
              : (c <= 43642 || (c < 43712
                ? (c < 43701
                  ? (c < 43697
                    ? (c >= 43646 && c <= 43695)
                    : c <= 43697)
                  : (c <= 43702 || (c >= 43705 && c <= 43709)))
                : (c <= 43712 || (c < 43744
                  ? (c < 43739
                    ? c == 43714
                    : c <= 43741)
                  : (c <= 43754 || (c >= 43762 && c <= 43764)))))))
            : (c <= 43782 || (c < 63744
              ? (c < 43868
                ? (c < 43808
                  ? (c < 43793
                    ? (c >= 43785 && c <= 43790)
                    : c <= 43798)
                  : (c <= 43814 || (c < 43824
                    ? (c >= 43816 && c <= 43822)
                    : c <= 43866)))
                : (c <= 43881 || (c < 55216
                  ? (c < 44032
                    ? (c >= 43888 && c <= 44002)
                    : c <= 55203)
                  : (c <= 55238 || (c >= 55243 && c <= 55291)))))
              : (c <= 64109 || (c < 64287
                ? (c < 64275
                  ? (c < 64256
                    ? (c >= 64112 && c <= 64217)
                    : c <= 64262)
                  : (c <= 64279 || c == 64285))
                : (c <= 64296 || (c < 64318
                  ? (c < 64312
                    ? (c >= 64298 && c <= 64310)
                    : c <= 64316)
                  : (c <= 64318 || (c >= 64320 && c <= 64321)))))))))
          : (c <= 64324 || (c < 65498
            ? (c < 65147
              ? (c < 65008
                ? (c < 64612
                  ? (c < 64467
                    ? (c >= 64326 && c <= 64433)
                    : c <= 64605)
                  : (c <= 64829 || (c < 64914
                    ? (c >= 64848 && c <= 64911)
                    : c <= 64967)))
                : (c <= 65017 || (c < 65143
                  ? (c < 65139
                    ? c == 65137
                    : c <= 65139)
                  : (c <= 65143 || c == 65145))))
              : (c <= 65147 || (c < 65382
                ? (c < 65313
                  ? (c < 65151
                    ? c == 65149
                    : c <= 65276)
                  : (c <= 65338 || (c >= 65345 && c <= 65370)))
                : (c <= 65437 || (c < 65482
                  ? (c < 65474
                    ? (c >= 65440 && c <= 65470)
                    : c <= 65479)
                  : (c <= 65487 || (c >= 65490 && c <= 65495)))))))
            : (c <= 65500 || (c < 66304
              ? (c < 65616
                ? (c < 65576
                  ? (c < 65549
                    ? (c >= 65536 && c <= 65547)
                    : c <= 65574)
                  : (c <= 65594 || (c < 65599
                    ? (c >= 65596 && c <= 65597)
                    : c <= 65613)))
                : (c <= 65629 || (c < 66176
                  ? (c < 65856
                    ? (c >= 65664 && c <= 65786)
                    : c <= 65908)
                  : (c <= 66204 || (c >= 66208 && c <= 66256)))))
              : (c <= 66335 || (c < 66504
                ? (c < 66432
                  ? (c < 66384
                    ? (c >= 66349 && c <= 66378)
                    : c <= 66421)
                  : (c <= 66461 || (c >= 66464 && c <= 66499)))
                : (c <= 66511 || (c < 66736
                  ? (c < 66560
                    ? (c >= 66513 && c <= 66517)
                    : c <= 66717)
                  : (c <= 66771 || (c >= 66776 && c <= 66811)))))))))))
        : (c <= 66855 || (c < 68608
          ? (c < 67647
            ? (c < 67392
              ? (c < 66967
                ? (c < 66940
                  ? (c < 66928
                    ? (c >= 66864 && c <= 66915)
                    : c <= 66938)
                  : (c <= 66954 || (c < 66964
                    ? (c >= 66956 && c <= 66962)
                    : c <= 66965)))
                : (c <= 66977 || (c < 67003
                  ? (c < 66995
                    ? (c >= 66979 && c <= 66993)
                    : c <= 67001)
                  : (c <= 67004 || (c >= 67072 && c <= 67382)))))
              : (c <= 67413 || (c < 67584
                ? (c < 67463
                  ? (c < 67456
                    ? (c >= 67424 && c <= 67431)
                    : c <= 67461)
                  : (c <= 67504 || (c >= 67506 && c <= 67514)))
                : (c <= 67589 || (c < 67639
                  ? (c < 67594
                    ? c == 67592
                    : c <= 67637)
                  : (c <= 67640 || c == 67644))))))
            : (c <= 67669 || (c < 68117
              ? (c < 67872
                ? (c < 67808
                  ? (c < 67712
                    ? (c >= 67680 && c <= 67702)
                    : c <= 67742)
                  : (c <= 67826 || (c < 67840
                    ? (c >= 67828 && c <= 67829)
                    : c <= 67861)))
                : (c <= 67897 || (c < 68096
                  ? (c < 68030
                    ? (c >= 67968 && c <= 68023)
                    : c <= 68031)
                  : (c <= 68096 || (c >= 68112 && c <= 68115)))))
              : (c <= 68119 || (c < 68297
                ? (c < 68224
                  ? (c < 68192
                    ? (c >= 68121 && c <= 68149)
                    : c <= 68220)
                  : (c <= 68252 || (c >= 68288 && c <= 68295)))
                : (c <= 68324 || (c < 68448
                  ? (c < 68416
                    ? (c >= 68352 && c <= 68405)
                    : c <= 68437)
                  : (c <= 68466 || (c >= 68480 && c <= 68497)))))))))
          : (c <= 68680 || (c < 70006
            ? (c < 69600
              ? (c < 69376
                ? (c < 68864
                  ? (c < 68800
                    ? (c >= 68736 && c <= 68786)
                    : c <= 68850)
                  : (c <= 68899 || (c < 69296
                    ? (c >= 69248 && c <= 69289)
                    : c <= 69297)))
                : (c <= 69404 || (c < 69488
                  ? (c < 69424
                    ? c == 69415
                    : c <= 69445)
                  : (c <= 69505 || (c >= 69552 && c <= 69572)))))
              : (c <= 69622 || (c < 69840
                ? (c < 69749
                  ? (c < 69745
                    ? (c >= 69635 && c <= 69687)
                    : c <= 69746)
                  : (c <= 69749 || (c >= 69763 && c <= 69807)))
                : (c <= 69864 || (c < 69959
                  ? (c < 69956
                    ? (c >= 69891 && c <= 69926)
                    : c <= 69956)
                  : (c <= 69959 || (c >= 69968 && c <= 70002)))))))
            : (c <= 70006 || (c < 70287
              ? (c < 70144
                ? (c < 70106
                  ? (c < 70081
                    ? (c >= 70019 && c <= 70066)
                    : c <= 70084)
                  : (c <= 70106 || c == 70108))
                : (c <= 70161 || (c < 70280
                  ? (c < 70272
                    ? (c >= 70163 && c <= 70187)
                    : c <= 70278)
                  : (c <= 70280 || (c >= 70282 && c <= 70285)))))
              : (c <= 70301 || (c < 70419
                ? (c < 70405
                  ? (c < 70320
                    ? (c >= 70303 && c <= 70312)
                    : c <= 70366)
                  : (c <= 70412 || (c >= 70415 && c <= 70416)))
                : (c <= 70440 || (c < 70453
                  ? (c < 70450
                    ? (c >= 70442 && c <= 70448)
                    : c <= 70451)
                  : (c <= 70457 || c == 70461))))))))))))
      : (c <= 70480 || (c < 119808
        ? (c < 72971
          ? (c < 71957
            ? (c < 71236
              ? (c < 70852
                ? (c < 70727
                  ? (c < 70656
                    ? (c >= 70493 && c <= 70497)
                    : c <= 70708)
                  : (c <= 70730 || (c < 70784
                    ? (c >= 70751 && c <= 70753)
                    : c <= 70831)))
                : (c <= 70853 || (c < 71128
                  ? (c < 71040
                    ? c == 70855
                    : c <= 71086)
                  : (c <= 71131 || (c >= 71168 && c <= 71215)))))
              : (c <= 71236 || (c < 71680
                ? (c < 71424
                  ? (c < 71352
                    ? (c >= 71296 && c <= 71338)
                    : c <= 71352)
                  : (c <= 71450 || (c >= 71488 && c <= 71494)))
                : (c <= 71723 || (c < 71945
                  ? (c < 71935
                    ? (c >= 71840 && c <= 71903)
                    : c <= 71942)
                  : (c <= 71945 || (c >= 71948 && c <= 71955)))))))
            : (c <= 71958 || (c < 72272
              ? (c < 72161
                ? (c < 72001
                  ? (c < 71999
                    ? (c >= 71960 && c <= 71983)
                    : c <= 71999)
                  : (c <= 72001 || (c < 72106
                    ? (c >= 72096 && c <= 72103)
                    : c <= 72144)))
                : (c <= 72161 || (c < 72203
                  ? (c < 72192
                    ? c == 72163
                    : c <= 72192)
                  : (c <= 72242 || c == 72250))))
              : (c <= 72272 || (c < 72714
                ? (c < 72368
                  ? (c < 72349
                    ? (c >= 72284 && c <= 72329)
                    : c <= 72349)
                  : (c <= 72440 || (c >= 72704 && c <= 72712)))
                : (c <= 72750 || (c < 72960
                  ? (c < 72818
                    ? c == 72768
                    : c <= 72847)
                  : (c <= 72966 || (c >= 72968 && c <= 72969)))))))))
          : (c <= 73008 || (c < 93053
            ? (c < 77712
              ? (c < 73440
                ? (c < 73063
                  ? (c < 73056
                    ? c == 73030
                    : c <= 73061)
                  : (c <= 73064 || (c < 73112
                    ? (c >= 73066 && c <= 73097)
                    : c <= 73112)))
                : (c <= 73458 || (c < 74752
                  ? (c < 73728
                    ? c == 73648
                    : c <= 74649)
                  : (c <= 74862 || (c >= 74880 && c <= 75075)))))
              : (c <= 77808 || (c < 92784
                ? (c < 92160
                  ? (c < 82944
                    ? (c >= 77824 && c <= 78894)
                    : c <= 83526)
                  : (c <= 92728 || (c >= 92736 && c <= 92766)))
                : (c <= 92862 || (c < 92992
                  ? (c < 92928
                    ? (c >= 92880 && c <= 92909)
                    : c <= 92975)
                  : (c <= 92995 || (c >= 93027 && c <= 93047)))))))
            : (c <= 93071 || (c < 110581
              ? (c < 94179
                ? (c < 94032
                  ? (c < 93952
                    ? (c >= 93760 && c <= 93823)
                    : c <= 94026)
                  : (c <= 94032 || (c < 94176
                    ? (c >= 94099 && c <= 94111)
                    : c <= 94177)))
                : (c <= 94179 || (c < 101632
                  ? (c < 100352
                    ? (c >= 94208 && c <= 100343)
                    : c <= 101589)
                  : (c <= 101640 || (c >= 110576 && c <= 110579)))))
              : (c <= 110587 || (c < 110960
                ? (c < 110928
                  ? (c < 110592
                    ? (c >= 110589 && c <= 110590)
                    : c <= 110882)
                  : (c <= 110930 || (c >= 110948 && c <= 110951)))
                : (c <= 111355 || (c < 113792
                  ? (c < 113776
                    ? (c >= 113664 && c <= 113770)
                    : c <= 113788)
                  : (c <= 113800 || (c >= 113808 && c <= 113817)))))))))))
        : (c <= 119892 || (c < 125259
          ? (c < 120540
            ? (c < 120077
              ? (c < 119982
                ? (c < 119970
                  ? (c < 119966
                    ? (c >= 119894 && c <= 119964)
                    : c <= 119967)
                  : (c <= 119970 || (c < 119977
                    ? (c >= 119973 && c <= 119974)
                    : c <= 119980)))
                : (c <= 119993 || (c < 120005
                  ? (c < 119997
                    ? c == 119995
                    : c <= 120003)
                  : (c <= 120069 || (c >= 120071 && c <= 120074)))))
              : (c <= 120084 || (c < 120134
                ? (c < 120123
                  ? (c < 120094
                    ? (c >= 120086 && c <= 120092)
                    : c <= 120121)
                  : (c <= 120126 || (c >= 120128 && c <= 120132)))
                : (c <= 120134 || (c < 120488
                  ? (c < 120146
                    ? (c >= 120138 && c <= 120144)
                    : c <= 120485)
                  : (c <= 120512 || (c >= 120514 && c <= 120538)))))))
            : (c <= 120570 || (c < 123191
              ? (c < 120714
                ? (c < 120630
                  ? (c < 120598
                    ? (c >= 120572 && c <= 120596)
                    : c <= 120628)
                  : (c <= 120654 || (c < 120688
                    ? (c >= 120656 && c <= 120686)
                    : c <= 120712)))
                : (c <= 120744 || (c < 122624
                  ? (c < 120772
                    ? (c >= 120746 && c <= 120770)
                    : c <= 120779)
                  : (c <= 122654 || (c >= 123136 && c <= 123180)))))
              : (c <= 123197 || (c < 124904
                ? (c < 123584
                  ? (c < 123536
                    ? c == 123214
                    : c <= 123565)
                  : (c <= 123627 || (c >= 124896 && c <= 124902)))
                : (c <= 124907 || (c < 124928
                  ? (c < 124912
                    ? (c >= 124909 && c <= 124910)
                    : c <= 124926)
                  : (c <= 125124 || (c >= 125184 && c <= 125251)))))))))
          : (c <= 125259 || (c < 126559
            ? (c < 126535
              ? (c < 126505
                ? (c < 126497
                  ? (c < 126469
                    ? (c >= 126464 && c <= 126467)
                    : c <= 126495)
                  : (c <= 126498 || (c < 126503
                    ? c == 126500
                    : c <= 126503)))
                : (c <= 126514 || (c < 126523
                  ? (c < 126521
                    ? (c >= 126516 && c <= 126519)
                    : c <= 126521)
                  : (c <= 126523 || c == 126530))))
              : (c <= 126535 || (c < 126548
                ? (c < 126541
                  ? (c < 126539
                    ? c == 126537
                    : c <= 126539)
                  : (c <= 126543 || (c >= 126545 && c <= 126546)))
                : (c <= 126548 || (c < 126555
                  ? (c < 126553
                    ? c == 126551
                    : c <= 126553)
                  : (c <= 126555 || c == 126557))))))
            : (c <= 126559 || (c < 126625
              ? (c < 126580
                ? (c < 126567
                  ? (c < 126564
                    ? (c >= 126561 && c <= 126562)
                    : c <= 126564)
                  : (c <= 126570 || (c >= 126572 && c <= 126578)))
                : (c <= 126583 || (c < 126592
                  ? (c < 126590
                    ? (c >= 126585 && c <= 126588)
                    : c <= 126590)
                  : (c <= 126601 || (c >= 126603 && c <= 126619)))))
              : (c <= 126627 || (c < 177984
                ? (c < 131072
                  ? (c < 126635
                    ? (c >= 126629 && c <= 126633)
                    : c <= 126651)
                  : (c <= 173791 || (c >= 173824 && c <= 177976)))
                : (c <= 178205 || (c < 194560
                  ? (c < 183984
                    ? (c >= 178208 && c <= 183969)
                    : c <= 191456)
                  : (c <= 195101 || (c >= 196608 && c <= 201546)))))))))))))))));
}

static inline bool sym_identifier_character_set_2(int32_t c) {
  return (c < 43396
    ? (c < 3913
      ? (c < 2613
        ? (c < 1765
          ? (c < 750
            ? (c < 'w'
              ? (c < 'g'
                ? (c < '_'
                  ? (c < 'A'
                    ? c == '$'
                    : c <= 'Z')
                  : (c <= '_' || (c < 'e'
                    ? c == 'a'
                    : c <= 'e')))
                : (c <= 'h' || (c < 'q'
                  ? (c < 'o'
                    ? (c >= 'j' && c <= 'l')
                    : c <= 'o')
                  : (c <= 'r' || c == 't'))))
              : (c <= 'z' || (c < 216
                ? (c < 186
                  ? (c < 181
                    ? c == 170
                    : c <= 181)
                  : (c <= 186 || (c >= 192 && c <= 214)))
                : (c <= 246 || (c < 736
                  ? (c < 710
                    ? (c >= 248 && c <= 705)
                    : c <= 721)
                  : (c <= 740 || c == 748))))))
            : (c <= 750 || (c < 1162
              ? (c < 904
                ? (c < 891
                  ? (c < 886
                    ? (c >= 880 && c <= 884)
                    : c <= 887)
                  : (c <= 893 || (c < 902
                    ? c == 895
                    : c <= 902)))
                : (c <= 906 || (c < 931
                  ? (c < 910
                    ? c == 908
                    : c <= 929)
                  : (c <= 1013 || (c >= 1015 && c <= 1153)))))
              : (c <= 1327 || (c < 1519
                ? (c < 1376
                  ? (c < 1369
                    ? (c >= 1329 && c <= 1366)
                    : c <= 1369)
                  : (c <= 1416 || (c >= 1488 && c <= 1514)))
                : (c <= 1522 || (c < 1649
                  ? (c < 1646
                    ? (c >= 1568 && c <= 1610)
                    : c <= 1647)
                  : (c <= 1747 || c == 1749))))))))
          : (c <= 1766 || (c < 2365
            ? (c < 2048
              ? (c < 1869
                ? (c < 1791
                  ? (c < 1786
                    ? (c >= 1774 && c <= 1775)
                    : c <= 1788)
                  : (c <= 1791 || (c < 1810
                    ? c == 1808
                    : c <= 1839)))
                : (c <= 1957 || (c < 2036
                  ? (c < 1994
                    ? c == 1969
                    : c <= 2026)
                  : (c <= 2037 || c == 2042))))
              : (c <= 2069 || (c < 2144
                ? (c < 2088
                  ? (c < 2084
                    ? c == 2074
                    : c <= 2084)
                  : (c <= 2088 || (c >= 2112 && c <= 2136)))
                : (c <= 2154 || (c < 2208
                  ? (c < 2185
                    ? (c >= 2160 && c <= 2183)
                    : c <= 2190)
                  : (c <= 2249 || (c >= 2308 && c <= 2361)))))))
            : (c <= 2365 || (c < 2510
              ? (c < 2451
                ? (c < 2417
                  ? (c < 2392
                    ? c == 2384
                    : c <= 2401)
                  : (c <= 2432 || (c < 2447
                    ? (c >= 2437 && c <= 2444)
                    : c <= 2448)))
                : (c <= 2472 || (c < 2486
                  ? (c < 2482
                    ? (c >= 2474 && c <= 2480)
                    : c <= 2482)
                  : (c <= 2489 || c == 2493))))
              : (c <= 2510 || (c < 2565
                ? (c < 2544
                  ? (c < 2527
                    ? (c >= 2524 && c <= 2525)
                    : c <= 2529)
                  : (c <= 2545 || c == 2556))
                : (c <= 2570 || (c < 2602
                  ? (c < 2579
                    ? (c >= 2575 && c <= 2576)
                    : c <= 2600)
                  : (c <= 2608 || (c >= 2610 && c <= 2611)))))))))))
        : (c <= 2614 || (c < 3165
          ? (c < 2877
            ? (c < 2749
              ? (c < 2703
                ? (c < 2654
                  ? (c < 2649
                    ? (c >= 2616 && c <= 2617)
                    : c <= 2652)
                  : (c <= 2654 || (c < 2693
                    ? (c >= 2674 && c <= 2676)
                    : c <= 2701)))
                : (c <= 2705 || (c < 2738
                  ? (c < 2730
                    ? (c >= 2707 && c <= 2728)
                    : c <= 2736)
                  : (c <= 2739 || (c >= 2741 && c <= 2745)))))
              : (c <= 2749 || (c < 2831
                ? (c < 2809
                  ? (c < 2784
                    ? c == 2768
                    : c <= 2785)
                  : (c <= 2809 || (c >= 2821 && c <= 2828)))
                : (c <= 2832 || (c < 2866
                  ? (c < 2858
                    ? (c >= 2835 && c <= 2856)
                    : c <= 2864)
                  : (c <= 2867 || (c >= 2869 && c <= 2873)))))))
            : (c <= 2877 || (c < 2979
              ? (c < 2958
                ? (c < 2929
                  ? (c < 2911
                    ? (c >= 2908 && c <= 2909)
                    : c <= 2913)
                  : (c <= 2929 || (c < 2949
                    ? c == 2947
                    : c <= 2954)))
                : (c <= 2960 || (c < 2972
                  ? (c < 2969
                    ? (c >= 2962 && c <= 2965)
                    : c <= 2970)
                  : (c <= 2972 || (c >= 2974 && c <= 2975)))))
              : (c <= 2980 || (c < 3086
                ? (c < 3024
                  ? (c < 2990
                    ? (c >= 2984 && c <= 2986)
                    : c <= 3001)
                  : (c <= 3024 || (c >= 3077 && c <= 3084)))
                : (c <= 3088 || (c < 3133
                  ? (c < 3114
                    ? (c >= 3090 && c <= 3112)
                    : c <= 3129)
                  : (c <= 3133 || (c >= 3160 && c <= 3162)))))))))
          : (c <= 3165 || (c < 3482
            ? (c < 3313
              ? (c < 3242
                ? (c < 3205
                  ? (c < 3200
                    ? (c >= 3168 && c <= 3169)
                    : c <= 3200)
                  : (c <= 3212 || (c < 3218
                    ? (c >= 3214 && c <= 3216)
                    : c <= 3240)))
                : (c <= 3251 || (c < 3293
                  ? (c < 3261
                    ? (c >= 3253 && c <= 3257)
                    : c <= 3261)
                  : (c <= 3294 || (c >= 3296 && c <= 3297)))))
              : (c <= 3314 || (c < 3406
                ? (c < 3346
                  ? (c < 3342
                    ? (c >= 3332 && c <= 3340)
                    : c <= 3344)
                  : (c <= 3386 || c == 3389))
                : (c <= 3406 || (c < 3450
                  ? (c < 3423
                    ? (c >= 3412 && c <= 3414)
                    : c <= 3425)
                  : (c <= 3455 || (c >= 3461 && c <= 3478)))))))
            : (c <= 3505 || (c < 3724
              ? (c < 3634
                ? (c < 3520
                  ? (c < 3517
                    ? (c >= 3507 && c <= 3515)
                    : c <= 3517)
                  : (c <= 3526 || (c >= 3585 && c <= 3632)))
                : (c <= 3634 || (c < 3716
                  ? (c < 3713
                    ? (c >= 3648 && c <= 3654)
                    : c <= 3714)
                  : (c <= 3716 || (c >= 3718 && c <= 3722)))))
              : (c <= 3747 || (c < 3776
                ? (c < 3762
                  ? (c < 3751
                    ? c == 3749
                    : c <= 3760)
                  : (c <= 3762 || c == 3773))
                : (c <= 3780 || (c < 3840
                  ? (c < 3804
                    ? c == 3782
                    : c <= 3807)
                  : (c <= 3840 || (c >= 3904 && c <= 3911)))))))))))))
      : (c <= 3948 || (c < 8031
        ? (c < 5984
          ? (c < 4746
            ? (c < 4256
              ? (c < 4193
                ? (c < 4159
                  ? (c < 4096
                    ? (c >= 3976 && c <= 3980)
                    : c <= 4138)
                  : (c <= 4159 || (c < 4186
                    ? (c >= 4176 && c <= 4181)
                    : c <= 4189)))
                : (c <= 4193 || (c < 4213
                  ? (c < 4206
                    ? (c >= 4197 && c <= 4198)
                    : c <= 4208)
                  : (c <= 4225 || c == 4238))))
              : (c <= 4293 || (c < 4682
                ? (c < 4304
                  ? (c < 4301
                    ? c == 4295
                    : c <= 4301)
                  : (c <= 4346 || (c >= 4348 && c <= 4680)))
                : (c <= 4685 || (c < 4698
                  ? (c < 4696
                    ? (c >= 4688 && c <= 4694)
                    : c <= 4696)
                  : (c <= 4701 || (c >= 4704 && c <= 4744)))))))
            : (c <= 4749 || (c < 5024
              ? (c < 4808
                ? (c < 4792
                  ? (c < 4786
                    ? (c >= 4752 && c <= 4784)
                    : c <= 4789)
                  : (c <= 4798 || (c < 4802
                    ? c == 4800
                    : c <= 4805)))
                : (c <= 4822 || (c < 4888
                  ? (c < 4882
                    ? (c >= 4824 && c <= 4880)
                    : c <= 4885)
                  : (c <= 4954 || (c >= 4992 && c <= 5007)))))
              : (c <= 5109 || (c < 5792
                ? (c < 5743
                  ? (c < 5121
                    ? (c >= 5112 && c <= 5117)
                    : c <= 5740)
                  : (c <= 5759 || (c >= 5761 && c <= 5786)))
                : (c <= 5866 || (c < 5919
                  ? (c < 5888
                    ? (c >= 5870 && c <= 5880)
                    : c <= 5905)
                  : (c <= 5937 || (c >= 5952 && c <= 5969)))))))))
          : (c <= 5996 || (c < 7098
            ? (c < 6512
              ? (c < 6272
                ? (c < 6103
                  ? (c < 6016
                    ? (c >= 5998 && c <= 6000)
                    : c <= 6067)
                  : (c <= 6103 || (c < 6176
                    ? c == 6108
                    : c <= 6264)))
                : (c <= 6312 || (c < 6400
                  ? (c < 6320
                    ? c == 6314
                    : c <= 6389)
                  : (c <= 6430 || (c >= 6480 && c <= 6509)))))
              : (c <= 6516 || (c < 6823
                ? (c < 6656
                  ? (c < 6576
                    ? (c >= 6528 && c <= 6571)
                    : c <= 6601)
                  : (c <= 6678 || (c >= 6688 && c <= 6740)))
                : (c <= 6823 || (c < 7043
                  ? (c < 6981
                    ? (c >= 6917 && c <= 6963)
                    : c <= 6988)
                  : (c <= 7072 || (c >= 7086 && c <= 7087)))))))
            : (c <= 7141 || (c < 7418
              ? (c < 7312
                ? (c < 7258
                  ? (c < 7245
                    ? (c >= 7168 && c <= 7203)
                    : c <= 7247)
                  : (c <= 7293 || (c >= 7296 && c <= 7304)))
                : (c <= 7354 || (c < 7406
                  ? (c < 7401
                    ? (c >= 7357 && c <= 7359)
                    : c <= 7404)
                  : (c <= 7411 || (c >= 7413 && c <= 7414)))))
              : (c <= 7418 || (c < 8008
                ? (c < 7960
                  ? (c < 7680
                    ? (c >= 7424 && c <= 7615)
                    : c <= 7957)
                  : (c <= 7965 || (c >= 7968 && c <= 8005)))
                : (c <= 8013 || (c < 8027
                  ? (c < 8025
                    ? (c >= 8016 && c <= 8023)
                    : c <= 8025)
                  : (c <= 8027 || c == 8029))))))))))
        : (c <= 8061 || (c < 11728
          ? (c < 8488
            ? (c < 8305
              ? (c < 8144
                ? (c < 8126
                  ? (c < 8118
                    ? (c >= 8064 && c <= 8116)
                    : c <= 8124)
                  : (c <= 8126 || (c < 8134
                    ? (c >= 8130 && c <= 8132)
                    : c <= 8140)))
                : (c <= 8147 || (c < 8178
                  ? (c < 8160
                    ? (c >= 8150 && c <= 8155)
                    : c <= 8172)
                  : (c <= 8180 || (c >= 8182 && c <= 8188)))))
              : (c <= 8305 || (c < 8458
                ? (c < 8450
                  ? (c < 8336
                    ? c == 8319
                    : c <= 8348)
                  : (c <= 8450 || c == 8455))
                : (c <= 8467 || (c < 8484
                  ? (c < 8472
                    ? c == 8469
                    : c <= 8477)
                  : (c <= 8484 || c == 8486))))))
            : (c <= 8488 || (c < 11565
              ? (c < 11264
                ? (c < 8517
                  ? (c < 8508
                    ? (c >= 8490 && c <= 8505)
                    : c <= 8511)
                  : (c <= 8521 || (c < 8544
                    ? c == 8526
                    : c <= 8584)))
                : (c <= 11492 || (c < 11520
                  ? (c < 11506
                    ? (c >= 11499 && c <= 11502)
                    : c <= 11507)
                  : (c <= 11557 || c == 11559))))
              : (c <= 11565 || (c < 11688
                ? (c < 11648
                  ? (c < 11631
                    ? (c >= 11568 && c <= 11623)
                    : c <= 11631)
                  : (c <= 11670 || (c >= 11680 && c <= 11686)))
                : (c <= 11694 || (c < 11712
                  ? (c < 11704
                    ? (c >= 11696 && c <= 11702)
                    : c <= 11710)
                  : (c <= 11718 || (c >= 11720 && c <= 11726)))))))))
          : (c <= 11734 || (c < 42623
            ? (c < 12593
              ? (c < 12353
                ? (c < 12321
                  ? (c < 12293
                    ? (c >= 11736 && c <= 11742)
                    : c <= 12295)
                  : (c <= 12329 || (c < 12344
                    ? (c >= 12337 && c <= 12341)
                    : c <= 12348)))
                : (c <= 12438 || (c < 12540
                  ? (c < 12449
                    ? (c >= 12445 && c <= 12447)
                    : c <= 12538)
                  : (c <= 12543 || (c >= 12549 && c <= 12591)))))
              : (c <= 12686 || (c < 42192
                ? (c < 13312
                  ? (c < 12784
                    ? (c >= 12704 && c <= 12735)
                    : c <= 12799)
                  : (c <= 19903 || (c >= 19968 && c <= 42124)))
                : (c <= 42237 || (c < 42538
                  ? (c < 42512
                    ? (c >= 42240 && c <= 42508)
                    : c <= 42527)
                  : (c <= 42539 || (c >= 42560 && c <= 42606)))))))
            : (c <= 42653 || (c < 43015
              ? (c < 42960
                ? (c < 42786
                  ? (c < 42775
                    ? (c >= 42656 && c <= 42735)
                    : c <= 42783)
                  : (c <= 42888 || (c >= 42891 && c <= 42954)))
                : (c <= 42961 || (c < 42994
                  ? (c < 42965
                    ? c == 42963
                    : c <= 42969)
                  : (c <= 43009 || (c >= 43011 && c <= 43013)))))
              : (c <= 43018 || (c < 43259
                ? (c < 43138
                  ? (c < 43072
                    ? (c >= 43020 && c <= 43042)
                    : c <= 43123)
                  : (c <= 43187 || (c >= 43250 && c <= 43255)))
                : (c <= 43259 || (c < 43312
                  ? (c < 43274
                    ? (c >= 43261 && c <= 43262)
                    : c <= 43301)
                  : (c <= 43334 || (c >= 43360 && c <= 43388)))))))))))))))
    : (c <= 43442 || (c < 70493
      ? (c < 66864
        ? (c < 64467
          ? (c < 43793
            ? (c < 43697
              ? (c < 43584
                ? (c < 43494
                  ? (c < 43488
                    ? c == 43471
                    : c <= 43492)
                  : (c <= 43503 || (c < 43520
                    ? (c >= 43514 && c <= 43518)
                    : c <= 43560)))
                : (c <= 43586 || (c < 43642
                  ? (c < 43616
                    ? (c >= 43588 && c <= 43595)
                    : c <= 43638)
                  : (c <= 43642 || (c >= 43646 && c <= 43695)))))
              : (c <= 43697 || (c < 43739
                ? (c < 43712
                  ? (c < 43705
                    ? (c >= 43701 && c <= 43702)
                    : c <= 43709)
                  : (c <= 43712 || c == 43714))
                : (c <= 43741 || (c < 43777
                  ? (c < 43762
                    ? (c >= 43744 && c <= 43754)
                    : c <= 43764)
                  : (c <= 43782 || (c >= 43785 && c <= 43790)))))))
            : (c <= 43798 || (c < 64256
              ? (c < 44032
                ? (c < 43824
                  ? (c < 43816
                    ? (c >= 43808 && c <= 43814)
                    : c <= 43822)
                  : (c <= 43866 || (c < 43888
                    ? (c >= 43868 && c <= 43881)
                    : c <= 44002)))
                : (c <= 55203 || (c < 63744
                  ? (c < 55243
                    ? (c >= 55216 && c <= 55238)
                    : c <= 55291)
                  : (c <= 64109 || (c >= 64112 && c <= 64217)))))
              : (c <= 64262 || (c < 64312
                ? (c < 64287
                  ? (c < 64285
                    ? (c >= 64275 && c <= 64279)
                    : c <= 64285)
                  : (c <= 64296 || (c >= 64298 && c <= 64310)))
                : (c <= 64316 || (c < 64323
                  ? (c < 64320
                    ? c == 64318
                    : c <= 64321)
                  : (c <= 64324 || (c >= 64326 && c <= 64433)))))))))
          : (c <= 64605 || (c < 65549
            ? (c < 65151
              ? (c < 65139
                ? (c < 64914
                  ? (c < 64848
                    ? (c >= 64612 && c <= 64829)
                    : c <= 64911)
                  : (c <= 64967 || (c < 65137
                    ? (c >= 65008 && c <= 65017)
                    : c <= 65137)))
                : (c <= 65139 || (c < 65147
                  ? (c < 65145
                    ? c == 65143
                    : c <= 65145)
                  : (c <= 65147 || c == 65149))))
              : (c <= 65276 || (c < 65474
                ? (c < 65382
                  ? (c < 65345
                    ? (c >= 65313 && c <= 65338)
                    : c <= 65370)
                  : (c <= 65437 || (c >= 65440 && c <= 65470)))
                : (c <= 65479 || (c < 65498
                  ? (c < 65490
                    ? (c >= 65482 && c <= 65487)
                    : c <= 65495)
                  : (c <= 65500 || (c >= 65536 && c <= 65547)))))))
            : (c <= 65574 || (c < 66349
              ? (c < 65664
                ? (c < 65599
                  ? (c < 65596
                    ? (c >= 65576 && c <= 65594)
                    : c <= 65597)
                  : (c <= 65613 || (c >= 65616 && c <= 65629)))
                : (c <= 65786 || (c < 66208
                  ? (c < 66176
                    ? (c >= 65856 && c <= 65908)
                    : c <= 66204)
                  : (c <= 66256 || (c >= 66304 && c <= 66335)))))
              : (c <= 66378 || (c < 66513
                ? (c < 66464
                  ? (c < 66432
                    ? (c >= 66384 && c <= 66421)
                    : c <= 66461)
                  : (c <= 66499 || (c >= 66504 && c <= 66511)))
                : (c <= 66517 || (c < 66776
                  ? (c < 66736
                    ? (c >= 66560 && c <= 66717)
                    : c <= 66771)
                  : (c <= 66811 || (c >= 66816 && c <= 66855)))))))))))
        : (c <= 66915 || (c < 68736
          ? (c < 67680
            ? (c < 67424
              ? (c < 66979
                ? (c < 66956
                  ? (c < 66940
                    ? (c >= 66928 && c <= 66938)
                    : c <= 66954)
                  : (c <= 66962 || (c < 66967
                    ? (c >= 66964 && c <= 66965)
                    : c <= 66977)))
                : (c <= 66993 || (c < 67072
                  ? (c < 67003
                    ? (c >= 66995 && c <= 67001)
                    : c <= 67004)
                  : (c <= 67382 || (c >= 67392 && c <= 67413)))))
              : (c <= 67431 || (c < 67592
                ? (c < 67506
                  ? (c < 67463
                    ? (c >= 67456 && c <= 67461)
                    : c <= 67504)
                  : (c <= 67514 || (c >= 67584 && c <= 67589)))
                : (c <= 67592 || (c < 67644
                  ? (c < 67639
                    ? (c >= 67594 && c <= 67637)
                    : c <= 67640)
                  : (c <= 67644 || (c >= 67647 && c <= 67669)))))))
            : (c <= 67702 || (c < 68121
              ? (c < 67968
                ? (c < 67828
                  ? (c < 67808
                    ? (c >= 67712 && c <= 67742)
                    : c <= 67826)
                  : (c <= 67829 || (c < 67872
                    ? (c >= 67840 && c <= 67861)
                    : c <= 67897)))
                : (c <= 68023 || (c < 68112
                  ? (c < 68096
                    ? (c >= 68030 && c <= 68031)
                    : c <= 68096)
                  : (c <= 68115 || (c >= 68117 && c <= 68119)))))
              : (c <= 68149 || (c < 68352
                ? (c < 68288
                  ? (c < 68224
                    ? (c >= 68192 && c <= 68220)
                    : c <= 68252)
                  : (c <= 68295 || (c >= 68297 && c <= 68324)))
                : (c <= 68405 || (c < 68480
                  ? (c < 68448
                    ? (c >= 68416 && c <= 68437)
                    : c <= 68466)
                  : (c <= 68497 || (c >= 68608 && c <= 68680)))))))))
          : (c <= 68786 || (c < 70019
            ? (c < 69635
              ? (c < 69415
                ? (c < 69248
                  ? (c < 68864
                    ? (c >= 68800 && c <= 68850)
                    : c <= 68899)
                  : (c <= 69289 || (c < 69376
                    ? (c >= 69296 && c <= 69297)
                    : c <= 69404)))
                : (c <= 69415 || (c < 69552
                  ? (c < 69488
                    ? (c >= 69424 && c <= 69445)
                    : c <= 69505)
                  : (c <= 69572 || (c >= 69600 && c <= 69622)))))
              : (c <= 69687 || (c < 69891
                ? (c < 69763
                  ? (c < 69749
                    ? (c >= 69745 && c <= 69746)
                    : c <= 69749)
                  : (c <= 69807 || (c >= 69840 && c <= 69864)))
                : (c <= 69926 || (c < 69968
                  ? (c < 69959
                    ? c == 69956
                    : c <= 69959)
                  : (c <= 70002 || c == 70006))))))
            : (c <= 70066 || (c < 70303
              ? (c < 70163
                ? (c < 70108
                  ? (c < 70106
                    ? (c >= 70081 && c <= 70084)
                    : c <= 70106)
                  : (c <= 70108 || (c >= 70144 && c <= 70161)))
                : (c <= 70187 || (c < 70282
                  ? (c < 70280
                    ? (c >= 70272 && c <= 70278)
                    : c <= 70280)
                  : (c <= 70285 || (c >= 70287 && c <= 70301)))))
              : (c <= 70312 || (c < 70442
                ? (c < 70415
                  ? (c < 70405
                    ? (c >= 70320 && c <= 70366)
                    : c <= 70412)
                  : (c <= 70416 || (c >= 70419 && c <= 70440)))
                : (c <= 70448 || (c < 70461
                  ? (c < 70453
                    ? (c >= 70450 && c <= 70451)
                    : c <= 70457)
                  : (c <= 70461 || c == 70480))))))))))))
      : (c <= 70497 || (c < 119808
        ? (c < 73030
          ? (c < 71960
            ? (c < 71296
              ? (c < 70855
                ? (c < 70751
                  ? (c < 70727
                    ? (c >= 70656 && c <= 70708)
                    : c <= 70730)
                  : (c <= 70753 || (c < 70852
                    ? (c >= 70784 && c <= 70831)
                    : c <= 70853)))
                : (c <= 70855 || (c < 71168
                  ? (c < 71128
                    ? (c >= 71040 && c <= 71086)
                    : c <= 71131)
                  : (c <= 71215 || c == 71236))))
              : (c <= 71338 || (c < 71840
                ? (c < 71488
                  ? (c < 71424
                    ? c == 71352
                    : c <= 71450)
                  : (c <= 71494 || (c >= 71680 && c <= 71723)))
                : (c <= 71903 || (c < 71948
                  ? (c < 71945
                    ? (c >= 71935 && c <= 71942)
                    : c <= 71945)
                  : (c <= 71955 || (c >= 71957 && c <= 71958)))))))
            : (c <= 71983 || (c < 72284
              ? (c < 72163
                ? (c < 72096
                  ? (c < 72001
                    ? c == 71999
                    : c <= 72001)
                  : (c <= 72103 || (c < 72161
                    ? (c >= 72106 && c <= 72144)
                    : c <= 72161)))
                : (c <= 72163 || (c < 72250
                  ? (c < 72203
                    ? c == 72192
                    : c <= 72242)
                  : (c <= 72250 || c == 72272))))
              : (c <= 72329 || (c < 72768
                ? (c < 72704
                  ? (c < 72368
                    ? c == 72349
                    : c <= 72440)
                  : (c <= 72712 || (c >= 72714 && c <= 72750)))
                : (c <= 72768 || (c < 72968
                  ? (c < 72960
                    ? (c >= 72818 && c <= 72847)
                    : c <= 72966)
                  : (c <= 72969 || (c >= 72971 && c <= 73008)))))))))
          : (c <= 73030 || (c < 93760
            ? (c < 77824
              ? (c < 73648
                ? (c < 73066
                  ? (c < 73063
                    ? (c >= 73056 && c <= 73061)
                    : c <= 73064)
                  : (c <= 73097 || (c < 73440
                    ? c == 73112
                    : c <= 73458)))
                : (c <= 73648 || (c < 74880
                  ? (c < 74752
                    ? (c >= 73728 && c <= 74649)
                    : c <= 74862)
                  : (c <= 75075 || (c >= 77712 && c <= 77808)))))
              : (c <= 78894 || (c < 92880
                ? (c < 92736
                  ? (c < 92160
                    ? (c >= 82944 && c <= 83526)
                    : c <= 92728)
                  : (c <= 92766 || (c >= 92784 && c <= 92862)))
                : (c <= 92909 || (c < 93027
                  ? (c < 92992
                    ? (c >= 92928 && c <= 92975)
                    : c <= 92995)
                  : (c <= 93047 || (c >= 93053 && c <= 93071)))))))
            : (c <= 93823 || (c < 110581
              ? (c < 94179
                ? (c < 94099
                  ? (c < 94032
                    ? (c >= 93952 && c <= 94026)
                    : c <= 94032)
                  : (c <= 94111 || (c >= 94176 && c <= 94177)))
                : (c <= 94179 || (c < 101632
                  ? (c < 100352
                    ? (c >= 94208 && c <= 100343)
                    : c <= 101589)
                  : (c <= 101640 || (c >= 110576 && c <= 110579)))))
              : (c <= 110587 || (c < 110960
                ? (c < 110928
                  ? (c < 110592
                    ? (c >= 110589 && c <= 110590)
                    : c <= 110882)
                  : (c <= 110930 || (c >= 110948 && c <= 110951)))
                : (c <= 111355 || (c < 113792
                  ? (c < 113776
                    ? (c >= 113664 && c <= 113770)
                    : c <= 113788)
                  : (c <= 113800 || (c >= 113808 && c <= 113817)))))))))))
        : (c <= 119892 || (c < 125259
          ? (c < 120540
            ? (c < 120077
              ? (c < 119982
                ? (c < 119970
                  ? (c < 119966
                    ? (c >= 119894 && c <= 119964)
                    : c <= 119967)
                  : (c <= 119970 || (c < 119977
                    ? (c >= 119973 && c <= 119974)
                    : c <= 119980)))
                : (c <= 119993 || (c < 120005
                  ? (c < 119997
                    ? c == 119995
                    : c <= 120003)
                  : (c <= 120069 || (c >= 120071 && c <= 120074)))))
              : (c <= 120084 || (c < 120134
                ? (c < 120123
                  ? (c < 120094
                    ? (c >= 120086 && c <= 120092)
                    : c <= 120121)
                  : (c <= 120126 || (c >= 120128 && c <= 120132)))
                : (c <= 120134 || (c < 120488
                  ? (c < 120146
                    ? (c >= 120138 && c <= 120144)
                    : c <= 120485)
                  : (c <= 120512 || (c >= 120514 && c <= 120538)))))))
            : (c <= 120570 || (c < 123191
              ? (c < 120714
                ? (c < 120630
                  ? (c < 120598
                    ? (c >= 120572 && c <= 120596)
                    : c <= 120628)
                  : (c <= 120654 || (c < 120688
                    ? (c >= 120656 && c <= 120686)
                    : c <= 120712)))
                : (c <= 120744 || (c < 122624
                  ? (c < 120772
                    ? (c >= 120746 && c <= 120770)
                    : c <= 120779)
                  : (c <= 122654 || (c >= 123136 && c <= 123180)))))
              : (c <= 123197 || (c < 124904
                ? (c < 123584
                  ? (c < 123536
                    ? c == 123214
                    : c <= 123565)
                  : (c <= 123627 || (c >= 124896 && c <= 124902)))
                : (c <= 124907 || (c < 124928
                  ? (c < 124912
                    ? (c >= 124909 && c <= 124910)
                    : c <= 124926)
                  : (c <= 125124 || (c >= 125184 && c <= 125251)))))))))
          : (c <= 125259 || (c < 126559
            ? (c < 126535
              ? (c < 126505
                ? (c < 126497
                  ? (c < 126469
                    ? (c >= 126464 && c <= 126467)
                    : c <= 126495)
                  : (c <= 126498 || (c < 126503
                    ? c == 126500
                    : c <= 126503)))
                : (c <= 126514 || (c < 126523
                  ? (c < 126521
                    ? (c >= 126516 && c <= 126519)
                    : c <= 126521)
                  : (c <= 126523 || c == 126530))))
              : (c <= 126535 || (c < 126548
                ? (c < 126541
                  ? (c < 126539
                    ? c == 126537
                    : c <= 126539)
                  : (c <= 126543 || (c >= 126545 && c <= 126546)))
                : (c <= 126548 || (c < 126555
                  ? (c < 126553
                    ? c == 126551
                    : c <= 126553)
                  : (c <= 126555 || c == 126557))))))
            : (c <= 126559 || (c < 126625
              ? (c < 126580
                ? (c < 126567
                  ? (c < 126564
                    ? (c >= 126561 && c <= 126562)
                    : c <= 126564)
                  : (c <= 126570 || (c >= 126572 && c <= 126578)))
                : (c <= 126583 || (c < 126592
                  ? (c < 126590
                    ? (c >= 126585 && c <= 126588)
                    : c <= 126590)
                  : (c <= 126601 || (c >= 126603 && c <= 126619)))))
              : (c <= 126627 || (c < 177984
                ? (c < 131072
                  ? (c < 126635
                    ? (c >= 126629 && c <= 126633)
                    : c <= 126651)
                  : (c <= 173791 || (c >= 173824 && c <= 177976)))
                : (c <= 178205 || (c < 194560
                  ? (c < 183984
                    ? (c >= 178208 && c <= 183969)
                    : c <= 191456)
                  : (c <= 195101 || (c >= 196608 && c <= 201546)))))))))))))))));
}

static inline bool sym_identifier_character_set_3(int32_t c) {
  return (c < 43494
    ? (c < 4186
      ? (c < 2703
        ? (c < 1969
          ? (c < 908
            ? (c < 710
              ? (c < 181
                ? (c < '_'
                  ? (c < 'A'
                    ? c == '$'
                    : c <= 'Z')
                  : (c <= '_' || (c < 170
                    ? (c >= 'a' && c <= 'z')
                    : c <= 170)))
                : (c <= 181 || (c < 216
                  ? (c < 192
                    ? c == 186
                    : c <= 214)
                  : (c <= 246 || (c >= 248 && c <= 705)))))
              : (c <= 721 || (c < 886
                ? (c < 750
                  ? (c < 748
                    ? (c >= 736 && c <= 740)
                    : c <= 748)
                  : (c <= 750 || (c >= 880 && c <= 884)))
                : (c <= 887 || (c < 902
                  ? (c < 895
                    ? (c >= 891 && c <= 893)
                    : c <= 895)
                  : (c <= 902 || (c >= 904 && c <= 906)))))))
            : (c <= 908 || (c < 1646
              ? (c < 1369
                ? (c < 1015
                  ? (c < 931
                    ? (c >= 910 && c <= 929)
                    : c <= 1013)
                  : (c <= 1153 || (c < 1329
                    ? (c >= 1162 && c <= 1327)
                    : c <= 1366)))
                : (c <= 1369 || (c < 1519
                  ? (c < 1488
                    ? (c >= 1376 && c <= 1416)
                    : c <= 1514)
                  : (c <= 1522 || (c >= 1568 && c <= 1610)))))
              : (c <= 1647 || (c < 1786
                ? (c < 1765
                  ? (c < 1749
                    ? (c >= 1649 && c <= 1747)
                    : c <= 1749)
                  : (c <= 1766 || (c >= 1774 && c <= 1775)))
                : (c <= 1788 || (c < 1810
                  ? (c < 1808
                    ? c == 1791
                    : c <= 1808)
                  : (c <= 1839 || (c >= 1869 && c <= 1957)))))))))
          : (c <= 1969 || (c < 2474
            ? (c < 2185
              ? (c < 2084
                ? (c < 2042
                  ? (c < 2036
                    ? (c >= 1994 && c <= 2026)
                    : c <= 2037)
                  : (c <= 2042 || (c < 2074
                    ? (c >= 2048 && c <= 2069)
                    : c <= 2074)))
                : (c <= 2084 || (c < 2144
                  ? (c < 2112
                    ? c == 2088
                    : c <= 2136)
                  : (c <= 2154 || (c >= 2160 && c <= 2183)))))
              : (c <= 2190 || (c < 2392
                ? (c < 2365
                  ? (c < 2308
                    ? (c >= 2208 && c <= 2249)
                    : c <= 2361)
                  : (c <= 2365 || c == 2384))
                : (c <= 2401 || (c < 2447
                  ? (c < 2437
                    ? (c >= 2417 && c <= 2432)
                    : c <= 2444)
                  : (c <= 2448 || (c >= 2451 && c <= 2472)))))))
            : (c <= 2480 || (c < 2575
              ? (c < 2524
                ? (c < 2493
                  ? (c < 2486
                    ? c == 2482
                    : c <= 2489)
                  : (c <= 2493 || c == 2510))
                : (c <= 2525 || (c < 2556
                  ? (c < 2544
                    ? (c >= 2527 && c <= 2529)
                    : c <= 2545)
                  : (c <= 2556 || (c >= 2565 && c <= 2570)))))
              : (c <= 2576 || (c < 2616
                ? (c < 2610
                  ? (c < 2602
                    ? (c >= 2579 && c <= 2600)
                    : c <= 2608)
                  : (c <= 2611 || (c >= 2613 && c <= 2614)))
                : (c <= 2617 || (c < 2674
                  ? (c < 2654
                    ? (c >= 2649 && c <= 2652)
                    : c <= 2654)
                  : (c <= 2676 || (c >= 2693 && c <= 2701)))))))))))
        : (c <= 2705 || (c < 3218
          ? (c < 2958
            ? (c < 2835
              ? (c < 2768
                ? (c < 2738
                  ? (c < 2730
                    ? (c >= 2707 && c <= 2728)
                    : c <= 2736)
                  : (c <= 2739 || (c < 2749
                    ? (c >= 2741 && c <= 2745)
                    : c <= 2749)))
                : (c <= 2768 || (c < 2821
                  ? (c < 2809
                    ? (c >= 2784 && c <= 2785)
                    : c <= 2809)
                  : (c <= 2828 || (c >= 2831 && c <= 2832)))))
              : (c <= 2856 || (c < 2908
                ? (c < 2869
                  ? (c < 2866
                    ? (c >= 2858 && c <= 2864)
                    : c <= 2867)
                  : (c <= 2873 || c == 2877))
                : (c <= 2909 || (c < 2947
                  ? (c < 2929
                    ? (c >= 2911 && c <= 2913)
                    : c <= 2929)
                  : (c <= 2947 || (c >= 2949 && c <= 2954)))))))
            : (c <= 2960 || (c < 3086
              ? (c < 2979
                ? (c < 2972
                  ? (c < 2969
                    ? (c >= 2962 && c <= 2965)
                    : c <= 2970)
                  : (c <= 2972 || (c >= 2974 && c <= 2975)))
                : (c <= 2980 || (c < 3024
                  ? (c < 2990
                    ? (c >= 2984 && c <= 2986)
                    : c <= 3001)
                  : (c <= 3024 || (c >= 3077 && c <= 3084)))))
              : (c <= 3088 || (c < 3165
                ? (c < 3133
                  ? (c < 3114
                    ? (c >= 3090 && c <= 3112)
                    : c <= 3129)
                  : (c <= 3133 || (c >= 3160 && c <= 3162)))
                : (c <= 3165 || (c < 3205
                  ? (c < 3200
                    ? (c >= 3168 && c <= 3169)
                    : c <= 3200)
                  : (c <= 3212 || (c >= 3214 && c <= 3216)))))))))
          : (c <= 3240 || (c < 3634
            ? (c < 3406
              ? (c < 3313
                ? (c < 3261
                  ? (c < 3253
                    ? (c >= 3242 && c <= 3251)
                    : c <= 3257)
                  : (c <= 3261 || (c < 3296
                    ? (c >= 3293 && c <= 3294)
                    : c <= 3297)))
                : (c <= 3314 || (c < 3346
                  ? (c < 3342
                    ? (c >= 3332 && c <= 3340)
                    : c <= 3344)
                  : (c <= 3386 || c == 3389))))
              : (c <= 3406 || (c < 3482
                ? (c < 3450
                  ? (c < 3423
                    ? (c >= 3412 && c <= 3414)
                    : c <= 3425)
                  : (c <= 3455 || (c >= 3461 && c <= 3478)))
                : (c <= 3505 || (c < 3520
                  ? (c < 3517
                    ? (c >= 3507 && c <= 3515)
                    : c <= 3517)
                  : (c <= 3526 || (c >= 3585 && c <= 3632)))))))
            : (c <= 3634 || (c < 3776
              ? (c < 3724
                ? (c < 3716
                  ? (c < 3713
                    ? (c >= 3648 && c <= 3654)
                    : c <= 3714)
                  : (c <= 3716 || (c >= 3718 && c <= 3722)))
                : (c <= 3747 || (c < 3762
                  ? (c < 3751
                    ? c == 3749
                    : c <= 3760)
                  : (c <= 3762 || c == 3773))))
              : (c <= 3780 || (c < 3913
                ? (c < 3840
                  ? (c < 3804
                    ? c == 3782
                    : c <= 3807)
                  : (c <= 3840 || (c >= 3904 && c <= 3911)))
                : (c <= 3948 || (c < 4159
                  ? (c < 4096
                    ? (c >= 3976 && c <= 3980)
                    : c <= 4138)
                  : (c <= 4159 || (c >= 4176 && c <= 4181)))))))))))))
      : (c <= 4189 || (c < 8130
        ? (c < 6108
          ? (c < 4802
            ? (c < 4682
              ? (c < 4256
                ? (c < 4206
                  ? (c < 4197
                    ? c == 4193
                    : c <= 4198)
                  : (c <= 4208 || (c < 4238
                    ? (c >= 4213 && c <= 4225)
                    : c <= 4238)))
                : (c <= 4293 || (c < 4304
                  ? (c < 4301
                    ? c == 4295
                    : c <= 4301)
                  : (c <= 4346 || (c >= 4348 && c <= 4680)))))
              : (c <= 4685 || (c < 4746
                ? (c < 4698
                  ? (c < 4696
                    ? (c >= 4688 && c <= 4694)
                    : c <= 4696)
                  : (c <= 4701 || (c >= 4704 && c <= 4744)))
                : (c <= 4749 || (c < 4792
                  ? (c < 4786
                    ? (c >= 4752 && c <= 4784)
                    : c <= 4789)
                  : (c <= 4798 || c == 4800))))))
            : (c <= 4805 || (c < 5761
              ? (c < 4992
                ? (c < 4882
                  ? (c < 4824
                    ? (c >= 4808 && c <= 4822)
                    : c <= 4880)
                  : (c <= 4885 || (c >= 4888 && c <= 4954)))
                : (c <= 5007 || (c < 5121
                  ? (c < 5112
                    ? (c >= 5024 && c <= 5109)
                    : c <= 5117)
                  : (c <= 5740 || (c >= 5743 && c <= 5759)))))
              : (c <= 5786 || (c < 5952
                ? (c < 5888
                  ? (c < 5870
                    ? (c >= 5792 && c <= 5866)
                    : c <= 5880)
                  : (c <= 5905 || (c >= 5919 && c <= 5937)))
                : (c <= 5969 || (c < 6016
                  ? (c < 5998
                    ? (c >= 5984 && c <= 5996)
                    : c <= 6000)
                  : (c <= 6067 || c == 6103))))))))
          : (c <= 6108 || (c < 7296
            ? (c < 6688
              ? (c < 6480
                ? (c < 6314
                  ? (c < 6272
                    ? (c >= 6176 && c <= 6264)
                    : c <= 6312)
                  : (c <= 6314 || (c < 6400
                    ? (c >= 6320 && c <= 6389)
                    : c <= 6430)))
                : (c <= 6509 || (c < 6576
                  ? (c < 6528
                    ? (c >= 6512 && c <= 6516)
                    : c <= 6571)
                  : (c <= 6601 || (c >= 6656 && c <= 6678)))))
              : (c <= 6740 || (c < 7086
                ? (c < 6981
                  ? (c < 6917
                    ? c == 6823
                    : c <= 6963)
                  : (c <= 6988 || (c >= 7043 && c <= 7072)))
                : (c <= 7087 || (c < 7245
                  ? (c < 7168
                    ? (c >= 7098 && c <= 7141)
                    : c <= 7203)
                  : (c <= 7247 || (c >= 7258 && c <= 7293)))))))
            : (c <= 7304 || (c < 7968
              ? (c < 7413
                ? (c < 7401
                  ? (c < 7357
                    ? (c >= 7312 && c <= 7354)
                    : c <= 7359)
                  : (c <= 7404 || (c >= 7406 && c <= 7411)))
                : (c <= 7414 || (c < 7680
                  ? (c < 7424
                    ? c == 7418
                    : c <= 7615)
                  : (c <= 7957 || (c >= 7960 && c <= 7965)))))
              : (c <= 8005 || (c < 8029
                ? (c < 8025
                  ? (c < 8016
                    ? (c >= 8008 && c <= 8013)
                    : c <= 8023)
                  : (c <= 8025 || c == 8027))
                : (c <= 8029 || (c < 8118
                  ? (c < 8064
                    ? (c >= 8031 && c <= 8061)
                    : c <= 8116)
                  : (c <= 8124 || c == 8126))))))))))
        : (c <= 8132 || (c < 12321
          ? (c < 8526
            ? (c < 8455
              ? (c < 8182
                ? (c < 8150
                  ? (c < 8144
                    ? (c >= 8134 && c <= 8140)
                    : c <= 8147)
                  : (c <= 8155 || (c < 8178
                    ? (c >= 8160 && c <= 8172)
                    : c <= 8180)))
                : (c <= 8188 || (c < 8336
                  ? (c < 8319
                    ? c == 8305
                    : c <= 8319)
                  : (c <= 8348 || c == 8450))))
              : (c <= 8455 || (c < 8486
                ? (c < 8472
                  ? (c < 8469
                    ? (c >= 8458 && c <= 8467)
                    : c <= 8469)
                  : (c <= 8477 || c == 8484))
                : (c <= 8486 || (c < 8508
                  ? (c < 8490
                    ? c == 8488
                    : c <= 8505)
                  : (c <= 8511 || (c >= 8517 && c <= 8521)))))))
            : (c <= 8526 || (c < 11648
              ? (c < 11520
                ? (c < 11499
                  ? (c < 11264
                    ? (c >= 8544 && c <= 8584)
                    : c <= 11492)
                  : (c <= 11502 || (c >= 11506 && c <= 11507)))
                : (c <= 11557 || (c < 11568
                  ? (c < 11565
                    ? c == 11559
                    : c <= 11565)
                  : (c <= 11623 || c == 11631))))
              : (c <= 11670 || (c < 11712
                ? (c < 11696
                  ? (c < 11688
                    ? (c >= 11680 && c <= 11686)
                    : c <= 11694)
                  : (c <= 11702 || (c >= 11704 && c <= 11710)))
                : (c <= 11718 || (c < 11736
                  ? (c < 11728
                    ? (c >= 11720 && c <= 11726)
                    : c <= 11734)
                  : (c <= 11742 || (c >= 12293 && c <= 12295)))))))))
          : (c <= 12329 || (c < 42786
            ? (c < 13312
              ? (c < 12540
                ? (c < 12353
                  ? (c < 12344
                    ? (c >= 12337 && c <= 12341)
                    : c <= 12348)
                  : (c <= 12438 || (c < 12449
                    ? (c >= 12445 && c <= 12447)
                    : c <= 12538)))
                : (c <= 12543 || (c < 12704
                  ? (c < 12593
                    ? (c >= 12549 && c <= 12591)
                    : c <= 12686)
                  : (c <= 12735 || (c >= 12784 && c <= 12799)))))
              : (c <= 19903 || (c < 42538
                ? (c < 42240
                  ? (c < 42192
                    ? (c >= 19968 && c <= 42124)
                    : c <= 42237)
                  : (c <= 42508 || (c >= 42512 && c <= 42527)))
                : (c <= 42539 || (c < 42656
                  ? (c < 42623
                    ? (c >= 42560 && c <= 42606)
                    : c <= 42653)
                  : (c <= 42735 || (c >= 42775 && c <= 42783)))))))
            : (c <= 42888 || (c < 43138
              ? (c < 42994
                ? (c < 42963
                  ? (c < 42960
                    ? (c >= 42891 && c <= 42954)
                    : c <= 42961)
                  : (c <= 42963 || (c >= 42965 && c <= 42969)))
                : (c <= 43009 || (c < 43020
                  ? (c < 43015
                    ? (c >= 43011 && c <= 43013)
                    : c <= 43018)
                  : (c <= 43042 || (c >= 43072 && c <= 43123)))))
              : (c <= 43187 || (c < 43312
                ? (c < 43261
                  ? (c < 43259
                    ? (c >= 43250 && c <= 43255)
                    : c <= 43259)
                  : (c <= 43262 || (c >= 43274 && c <= 43301)))
                : (c <= 43334 || (c < 43471
                  ? (c < 43396
                    ? (c >= 43360 && c <= 43388)
                    : c <= 43442)
                  : (c <= 43471 || (c >= 43488 && c <= 43492)))))))))))))))
    : (c <= 43503 || (c < 70727
      ? (c < 66956
        ? (c < 64914
          ? (c < 43824
            ? (c < 43712
              ? (c < 43642
                ? (c < 43584
                  ? (c < 43520
                    ? (c >= 43514 && c <= 43518)
                    : c <= 43560)
                  : (c <= 43586 || (c < 43616
                    ? (c >= 43588 && c <= 43595)
                    : c <= 43638)))
                : (c <= 43642 || (c < 43701
                  ? (c < 43697
                    ? (c >= 43646 && c <= 43695)
                    : c <= 43697)
                  : (c <= 43702 || (c >= 43705 && c <= 43709)))))
              : (c <= 43712 || (c < 43777
                ? (c < 43744
                  ? (c < 43739
                    ? c == 43714
                    : c <= 43741)
                  : (c <= 43754 || (c >= 43762 && c <= 43764)))
                : (c <= 43782 || (c < 43808
                  ? (c < 43793
                    ? (c >= 43785 && c <= 43790)
                    : c <= 43798)
                  : (c <= 43814 || (c >= 43816 && c <= 43822)))))))
            : (c <= 43866 || (c < 64287
              ? (c < 63744
                ? (c < 44032
                  ? (c < 43888
                    ? (c >= 43868 && c <= 43881)
                    : c <= 44002)
                  : (c <= 55203 || (c < 55243
                    ? (c >= 55216 && c <= 55238)
                    : c <= 55291)))
                : (c <= 64109 || (c < 64275
                  ? (c < 64256
                    ? (c >= 64112 && c <= 64217)
                    : c <= 64262)
                  : (c <= 64279 || c == 64285))))
              : (c <= 64296 || (c < 64323
                ? (c < 64318
                  ? (c < 64312
                    ? (c >= 64298 && c <= 64310)
                    : c <= 64316)
                  : (c <= 64318 || (c >= 64320 && c <= 64321)))
                : (c <= 64324 || (c < 64612
                  ? (c < 64467
                    ? (c >= 64326 && c <= 64433)
                    : c <= 64605)
                  : (c <= 64829 || (c >= 64848 && c <= 64911)))))))))
          : (c <= 64967 || (c < 65599
            ? (c < 65382
              ? (c < 65147
                ? (c < 65139
                  ? (c < 65137
                    ? (c >= 65008 && c <= 65017)
                    : c <= 65137)
                  : (c <= 65139 || (c < 65145
                    ? c == 65143
                    : c <= 65145)))
                : (c <= 65147 || (c < 65313
                  ? (c < 65151
                    ? c == 65149
                    : c <= 65276)
                  : (c <= 65338 || (c >= 65345 && c <= 65370)))))
              : (c <= 65437 || (c < 65498
                ? (c < 65482
                  ? (c < 65474
                    ? (c >= 65440 && c <= 65470)
                    : c <= 65479)
                  : (c <= 65487 || (c >= 65490 && c <= 65495)))
                : (c <= 65500 || (c < 65576
                  ? (c < 65549
                    ? (c >= 65536 && c <= 65547)
                    : c <= 65574)
                  : (c <= 65594 || (c >= 65596 && c <= 65597)))))))
            : (c <= 65613 || (c < 66464
              ? (c < 66208
                ? (c < 65856
                  ? (c < 65664
                    ? (c >= 65616 && c <= 65629)
                    : c <= 65786)
                  : (c <= 65908 || (c >= 66176 && c <= 66204)))
                : (c <= 66256 || (c < 66384
                  ? (c < 66349
                    ? (c >= 66304 && c <= 66335)
                    : c <= 66378)
                  : (c <= 66421 || (c >= 66432 && c <= 66461)))))
              : (c <= 66499 || (c < 66776
                ? (c < 66560
                  ? (c < 66513
                    ? (c >= 66504 && c <= 66511)
                    : c <= 66517)
                  : (c <= 66717 || (c >= 66736 && c <= 66771)))
                : (c <= 66811 || (c < 66928
                  ? (c < 66864
                    ? (c >= 66816 && c <= 66855)
                    : c <= 66915)
                  : (c <= 66938 || (c >= 66940 && c <= 66954)))))))))))
        : (c <= 66962 || (c < 68864
          ? (c < 67828
            ? (c < 67506
              ? (c < 67072
                ? (c < 66979
                  ? (c < 66967
                    ? (c >= 66964 && c <= 66965)
                    : c <= 66977)
                  : (c <= 66993 || (c < 67003
                    ? (c >= 66995 && c <= 67001)
                    : c <= 67004)))
                : (c <= 67382 || (c < 67456
                  ? (c < 67424
                    ? (c >= 67392 && c <= 67413)
                    : c <= 67431)
                  : (c <= 67461 || (c >= 67463 && c <= 67504)))))
              : (c <= 67514 || (c < 67644
                ? (c < 67594
                  ? (c < 67592
                    ? (c >= 67584 && c <= 67589)
                    : c <= 67592)
                  : (c <= 67637 || (c >= 67639 && c <= 67640)))
                : (c <= 67644 || (c < 67712
                  ? (c < 67680
                    ? (c >= 67647 && c <= 67669)
                    : c <= 67702)
                  : (c <= 67742 || (c >= 67808 && c <= 67826)))))))
            : (c <= 67829 || (c < 68224
              ? (c < 68096
                ? (c < 67968
                  ? (c < 67872
                    ? (c >= 67840 && c <= 67861)
                    : c <= 67897)
                  : (c <= 68023 || (c >= 68030 && c <= 68031)))
                : (c <= 68096 || (c < 68121
                  ? (c < 68117
                    ? (c >= 68112 && c <= 68115)
                    : c <= 68119)
                  : (c <= 68149 || (c >= 68192 && c <= 68220)))))
              : (c <= 68252 || (c < 68448
                ? (c < 68352
                  ? (c < 68297
                    ? (c >= 68288 && c <= 68295)
                    : c <= 68324)
                  : (c <= 68405 || (c >= 68416 && c <= 68437)))
                : (c <= 68466 || (c < 68736
                  ? (c < 68608
                    ? (c >= 68480 && c <= 68497)
                    : c <= 68680)
                  : (c <= 68786 || (c >= 68800 && c <= 68850)))))))))
          : (c <= 68899 || (c < 70106
            ? (c < 69749
              ? (c < 69488
                ? (c < 69376
                  ? (c < 69296
                    ? (c >= 69248 && c <= 69289)
                    : c <= 69297)
                  : (c <= 69404 || (c < 69424
                    ? c == 69415
                    : c <= 69445)))
                : (c <= 69505 || (c < 69635
                  ? (c < 69600
                    ? (c >= 69552 && c <= 69572)
                    : c <= 69622)
                  : (c <= 69687 || (c >= 69745 && c <= 69746)))))
              : (c <= 69749 || (c < 69959
                ? (c < 69891
                  ? (c < 69840
                    ? (c >= 69763 && c <= 69807)
                    : c <= 69864)
                  : (c <= 69926 || c == 69956))
                : (c <= 69959 || (c < 70019
                  ? (c < 70006
                    ? (c >= 69968 && c <= 70002)
                    : c <= 70006)
                  : (c <= 70066 || (c >= 70081 && c <= 70084)))))))
            : (c <= 70106 || (c < 70405
              ? (c < 70280
                ? (c < 70163
                  ? (c < 70144
                    ? c == 70108
                    : c <= 70161)
                  : (c <= 70187 || (c >= 70272 && c <= 70278)))
                : (c <= 70280 || (c < 70303
                  ? (c < 70287
                    ? (c >= 70282 && c <= 70285)
                    : c <= 70301)
                  : (c <= 70312 || (c >= 70320 && c <= 70366)))))
              : (c <= 70412 || (c < 70453
                ? (c < 70442
                  ? (c < 70419
                    ? (c >= 70415 && c <= 70416)
                    : c <= 70440)
                  : (c <= 70448 || (c >= 70450 && c <= 70451)))
                : (c <= 70457 || (c < 70493
                  ? (c < 70480
                    ? c == 70461
                    : c <= 70480)
                  : (c <= 70497 || (c >= 70656 && c <= 70708)))))))))))))
      : (c <= 70730 || (c < 119894
        ? (c < 73056
          ? (c < 72001
            ? (c < 71424
              ? (c < 71128
                ? (c < 70852
                  ? (c < 70784
                    ? (c >= 70751 && c <= 70753)
                    : c <= 70831)
                  : (c <= 70853 || (c < 71040
                    ? c == 70855
                    : c <= 71086)))
                : (c <= 71131 || (c < 71296
                  ? (c < 71236
                    ? (c >= 71168 && c <= 71215)
                    : c <= 71236)
                  : (c <= 71338 || c == 71352))))
              : (c <= 71450 || (c < 71945
                ? (c < 71840
                  ? (c < 71680
                    ? (c >= 71488 && c <= 71494)
                    : c <= 71723)
                  : (c <= 71903 || (c >= 71935 && c <= 71942)))
                : (c <= 71945 || (c < 71960
                  ? (c < 71957
                    ? (c >= 71948 && c <= 71955)
                    : c <= 71958)
                  : (c <= 71983 || c == 71999))))))
            : (c <= 72001 || (c < 72349
              ? (c < 72192
                ? (c < 72161
                  ? (c < 72106
                    ? (c >= 72096 && c <= 72103)
                    : c <= 72144)
                  : (c <= 72161 || c == 72163))
                : (c <= 72192 || (c < 72272
                  ? (c < 72250
                    ? (c >= 72203 && c <= 72242)
                    : c <= 72250)
                  : (c <= 72272 || (c >= 72284 && c <= 72329)))))
              : (c <= 72349 || (c < 72818
                ? (c < 72714
                  ? (c < 72704
                    ? (c >= 72368 && c <= 72440)
                    : c <= 72712)
                  : (c <= 72750 || c == 72768))
                : (c <= 72847 || (c < 72971
                  ? (c < 72968
                    ? (c >= 72960 && c <= 72966)
                    : c <= 72969)
                  : (c <= 73008 || c == 73030))))))))
          : (c <= 73061 || (c < 93952
            ? (c < 82944
              ? (c < 73728
                ? (c < 73112
                  ? (c < 73066
                    ? (c >= 73063 && c <= 73064)
                    : c <= 73097)
                  : (c <= 73112 || (c < 73648
                    ? (c >= 73440 && c <= 73458)
                    : c <= 73648)))
                : (c <= 74649 || (c < 77712
                  ? (c < 74880
                    ? (c >= 74752 && c <= 74862)
                    : c <= 75075)
                  : (c <= 77808 || (c >= 77824 && c <= 78894)))))
              : (c <= 83526 || (c < 92928
                ? (c < 92784
                  ? (c < 92736
                    ? (c >= 92160 && c <= 92728)
                    : c <= 92766)
                  : (c <= 92862 || (c >= 92880 && c <= 92909)))
                : (c <= 92975 || (c < 93053
                  ? (c < 93027
                    ? (c >= 92992 && c <= 92995)
                    : c <= 93047)
                  : (c <= 93071 || (c >= 93760 && c <= 93823)))))))
            : (c <= 94026 || (c < 110589
              ? (c < 94208
                ? (c < 94176
                  ? (c < 94099
                    ? c == 94032
                    : c <= 94111)
                  : (c <= 94177 || c == 94179))
                : (c <= 100343 || (c < 110576
                  ? (c < 101632
                    ? (c >= 100352 && c <= 101589)
                    : c <= 101640)
                  : (c <= 110579 || (c >= 110581 && c <= 110587)))))
              : (c <= 110590 || (c < 113664
                ? (c < 110948
                  ? (c < 110928
                    ? (c >= 110592 && c <= 110882)
                    : c <= 110930)
                  : (c <= 110951 || (c >= 110960 && c <= 111355)))
                : (c <= 113770 || (c < 113808
                  ? (c < 113792
                    ? (c >= 113776 && c <= 113788)
                    : c <= 113800)
                  : (c <= 113817 || (c >= 119808 && c <= 119892)))))))))))
        : (c <= 119964 || (c < 125259
          ? (c < 120572
            ? (c < 120086
              ? (c < 119995
                ? (c < 119973
                  ? (c < 119970
                    ? (c >= 119966 && c <= 119967)
                    : c <= 119970)
                  : (c <= 119974 || (c < 119982
                    ? (c >= 119977 && c <= 119980)
                    : c <= 119993)))
                : (c <= 119995 || (c < 120071
                  ? (c < 120005
                    ? (c >= 119997 && c <= 120003)
                    : c <= 120069)
                  : (c <= 120074 || (c >= 120077 && c <= 120084)))))
              : (c <= 120092 || (c < 120138
                ? (c < 120128
                  ? (c < 120123
                    ? (c >= 120094 && c <= 120121)
                    : c <= 120126)
                  : (c <= 120132 || c == 120134))
                : (c <= 120144 || (c < 120514
                  ? (c < 120488
                    ? (c >= 120146 && c <= 120485)
                    : c <= 120512)
                  : (c <= 120538 || (c >= 120540 && c <= 120570)))))))
            : (c <= 120596 || (c < 123191
              ? (c < 120714
                ? (c < 120656
                  ? (c < 120630
                    ? (c >= 120598 && c <= 120628)
                    : c <= 120654)
                  : (c <= 120686 || (c >= 120688 && c <= 120712)))
                : (c <= 120744 || (c < 122624
                  ? (c < 120772
                    ? (c >= 120746 && c <= 120770)
                    : c <= 120779)
                  : (c <= 122654 || (c >= 123136 && c <= 123180)))))
              : (c <= 123197 || (c < 124904
                ? (c < 123584
                  ? (c < 123536
                    ? c == 123214
                    : c <= 123565)
                  : (c <= 123627 || (c >= 124896 && c <= 124902)))
                : (c <= 124907 || (c < 124928
                  ? (c < 124912
                    ? (c >= 124909 && c <= 124910)
                    : c <= 124926)
                  : (c <= 125124 || (c >= 125184 && c <= 125251)))))))))
          : (c <= 125259 || (c < 126559
            ? (c < 126535
              ? (c < 126505
                ? (c < 126497
                  ? (c < 126469
                    ? (c >= 126464 && c <= 126467)
                    : c <= 126495)
                  : (c <= 126498 || (c < 126503
                    ? c == 126500
                    : c <= 126503)))
                : (c <= 126514 || (c < 126523
                  ? (c < 126521
                    ? (c >= 126516 && c <= 126519)
                    : c <= 126521)
                  : (c <= 126523 || c == 126530))))
              : (c <= 126535 || (c < 126548
                ? (c < 126541
                  ? (c < 126539
                    ? c == 126537
                    : c <= 126539)
                  : (c <= 126543 || (c >= 126545 && c <= 126546)))
                : (c <= 126548 || (c < 126555
                  ? (c < 126553
                    ? c == 126551
                    : c <= 126553)
                  : (c <= 126555 || c == 126557))))))
            : (c <= 126559 || (c < 126625
              ? (c < 126580
                ? (c < 126567
                  ? (c < 126564
                    ? (c >= 126561 && c <= 126562)
                    : c <= 126564)
                  : (c <= 126570 || (c >= 126572 && c <= 126578)))
                : (c <= 126583 || (c < 126592
                  ? (c < 126590
                    ? (c >= 126585 && c <= 126588)
                    : c <= 126590)
                  : (c <= 126601 || (c >= 126603 && c <= 126619)))))
              : (c <= 126627 || (c < 177984
                ? (c < 131072
                  ? (c < 126635
                    ? (c >= 126629 && c <= 126633)
                    : c <= 126651)
                  : (c <= 173791 || (c >= 173824 && c <= 177976)))
                : (c <= 178205 || (c < 194560
                  ? (c < 183984
                    ? (c >= 178208 && c <= 183969)
                    : c <= 191456)
                  : (c <= 195101 || (c >= 196608 && c <= 201546)))))))))))))))));
}

static inline bool sym_identifier_character_set_4(int32_t c) {
  return (c < 43488
    ? (c < 4159
      ? (c < 2654
        ? (c < 1808
          ? (c < 895
            ? (c < 192
              ? (c < 'a'
                ? (c < 'M'
                  ? (c < 'A'
                    ? c == '$'
                    : c <= 'K')
                  : (c <= 'T' || (c < '_'
                    ? (c >= 'V' && c <= 'Z')
                    : c <= '_')))
                : (c <= 't' || (c < 181
                  ? (c < 170
                    ? (c >= 'v' && c <= 'z')
                    : c <= 170)
                  : (c <= 181 || c == 186))))
              : (c <= 214 || (c < 748
                ? (c < 710
                  ? (c < 248
                    ? (c >= 216 && c <= 246)
                    : c <= 705)
                  : (c <= 721 || (c >= 736 && c <= 740)))
                : (c <= 748 || (c < 886
                  ? (c < 880
                    ? c == 750
                    : c <= 884)
                  : (c <= 887 || (c >= 891 && c <= 893)))))))
            : (c <= 895 || (c < 1488
              ? (c < 1015
                ? (c < 908
                  ? (c < 904
                    ? c == 902
                    : c <= 906)
                  : (c <= 908 || (c < 931
                    ? (c >= 910 && c <= 929)
                    : c <= 1013)))
                : (c <= 1153 || (c < 1369
                  ? (c < 1329
                    ? (c >= 1162 && c <= 1327)
                    : c <= 1366)
                  : (c <= 1369 || (c >= 1376 && c <= 1416)))))
              : (c <= 1514 || (c < 1749
                ? (c < 1646
                  ? (c < 1568
                    ? (c >= 1519 && c <= 1522)
                    : c <= 1610)
                  : (c <= 1647 || (c >= 1649 && c <= 1747)))
                : (c <= 1749 || (c < 1786
                  ? (c < 1774
                    ? (c >= 1765 && c <= 1766)
                    : c <= 1775)
                  : (c <= 1788 || c == 1791))))))))
          : (c <= 1808 || (c < 2437
            ? (c < 2112
              ? (c < 2042
                ? (c < 1969
                  ? (c < 1869
                    ? (c >= 1810 && c <= 1839)
                    : c <= 1957)
                  : (c <= 1969 || (c < 2036
                    ? (c >= 1994 && c <= 2026)
                    : c <= 2037)))
                : (c <= 2042 || (c < 2084
                  ? (c < 2074
                    ? (c >= 2048 && c <= 2069)
                    : c <= 2074)
                  : (c <= 2084 || c == 2088))))
              : (c <= 2136 || (c < 2308
                ? (c < 2185
                  ? (c < 2160
                    ? (c >= 2144 && c <= 2154)
                    : c <= 2183)
                  : (c <= 2190 || (c >= 2208 && c <= 2249)))
                : (c <= 2361 || (c < 2392
                  ? (c < 2384
                    ? c == 2365
                    : c <= 2384)
                  : (c <= 2401 || (c >= 2417 && c <= 2432)))))))
            : (c <= 2444 || (c < 2544
              ? (c < 2486
                ? (c < 2474
                  ? (c < 2451
                    ? (c >= 2447 && c <= 2448)
                    : c <= 2472)
                  : (c <= 2480 || c == 2482))
                : (c <= 2489 || (c < 2524
                  ? (c < 2510
                    ? c == 2493
                    : c <= 2510)
                  : (c <= 2525 || (c >= 2527 && c <= 2529)))))
              : (c <= 2545 || (c < 2602
                ? (c < 2575
                  ? (c < 2565
                    ? c == 2556
                    : c <= 2570)
                  : (c <= 2576 || (c >= 2579 && c <= 2600)))
                : (c <= 2608 || (c < 2616
                  ? (c < 2613
                    ? (c >= 2610 && c <= 2611)
                    : c <= 2614)
                  : (c <= 2617 || (c >= 2649 && c <= 2652)))))))))))
        : (c <= 2654 || (c < 3205
          ? (c < 2929
            ? (c < 2809
              ? (c < 2738
                ? (c < 2703
                  ? (c < 2693
                    ? (c >= 2674 && c <= 2676)
                    : c <= 2701)
                  : (c <= 2705 || (c < 2730
                    ? (c >= 2707 && c <= 2728)
                    : c <= 2736)))
                : (c <= 2739 || (c < 2768
                  ? (c < 2749
                    ? (c >= 2741 && c <= 2745)
                    : c <= 2749)
                  : (c <= 2768 || (c >= 2784 && c <= 2785)))))
              : (c <= 2809 || (c < 2866
                ? (c < 2835
                  ? (c < 2831
                    ? (c >= 2821 && c <= 2828)
                    : c <= 2832)
                  : (c <= 2856 || (c >= 2858 && c <= 2864)))
                : (c <= 2867 || (c < 2908
                  ? (c < 2877
                    ? (c >= 2869 && c <= 2873)
                    : c <= 2877)
                  : (c <= 2909 || (c >= 2911 && c <= 2913)))))))
            : (c <= 2929 || (c < 3024
              ? (c < 2972
                ? (c < 2958
                  ? (c < 2949
                    ? c == 2947
                    : c <= 2954)
                  : (c <= 2960 || (c < 2969
                    ? (c >= 2962 && c <= 2965)
                    : c <= 2970)))
                : (c <= 2972 || (c < 2984
                  ? (c < 2979
                    ? (c >= 2974 && c <= 2975)
                    : c <= 2980)
                  : (c <= 2986 || (c >= 2990 && c <= 3001)))))
              : (c <= 3024 || (c < 3133
                ? (c < 3090
                  ? (c < 3086
                    ? (c >= 3077 && c <= 3084)
                    : c <= 3088)
                  : (c <= 3112 || (c >= 3114 && c <= 3129)))
                : (c <= 3133 || (c < 3168
                  ? (c < 3165
                    ? (c >= 3160 && c <= 3162)
                    : c <= 3165)
                  : (c <= 3169 || c == 3200))))))))
          : (c <= 3212 || (c < 3520
            ? (c < 3346
              ? (c < 3293
                ? (c < 3242
                  ? (c < 3218
                    ? (c >= 3214 && c <= 3216)
                    : c <= 3240)
                  : (c <= 3251 || (c < 3261
                    ? (c >= 3253 && c <= 3257)
                    : c <= 3261)))
                : (c <= 3294 || (c < 3332
                  ? (c < 3313
                    ? (c >= 3296 && c <= 3297)
                    : c <= 3314)
                  : (c <= 3340 || (c >= 3342 && c <= 3344)))))
              : (c <= 3386 || (c < 3450
                ? (c < 3412
                  ? (c < 3406
                    ? c == 3389
                    : c <= 3406)
                  : (c <= 3414 || (c >= 3423 && c <= 3425)))
                : (c <= 3455 || (c < 3507
                  ? (c < 3482
                    ? (c >= 3461 && c <= 3478)
                    : c <= 3505)
                  : (c <= 3515 || c == 3517))))))
            : (c <= 3526 || (c < 3762
              ? (c < 3716
                ? (c < 3648
                  ? (c < 3634
                    ? (c >= 3585 && c <= 3632)
                    : c <= 3634)
                  : (c <= 3654 || (c >= 3713 && c <= 3714)))
                : (c <= 3716 || (c < 3749
                  ? (c < 3724
                    ? (c >= 3718 && c <= 3722)
                    : c <= 3747)
                  : (c <= 3749 || (c >= 3751 && c <= 3760)))))
              : (c <= 3762 || (c < 3840
                ? (c < 3782
                  ? (c < 3776
                    ? c == 3773
                    : c <= 3780)
                  : (c <= 3782 || (c >= 3804 && c <= 3807)))
                : (c <= 3840 || (c < 3976
                  ? (c < 3913
                    ? (c >= 3904 && c <= 3911)
                    : c <= 3948)
                  : (c <= 3980 || (c >= 4096 && c <= 4138)))))))))))))
      : (c <= 4159 || (c < 8126
        ? (c < 6103
          ? (c < 4792
            ? (c < 4304
              ? (c < 4213
                ? (c < 4193
                  ? (c < 4186
                    ? (c >= 4176 && c <= 4181)
                    : c <= 4189)
                  : (c <= 4193 || (c < 4206
                    ? (c >= 4197 && c <= 4198)
                    : c <= 4208)))
                : (c <= 4225 || (c < 4295
                  ? (c < 4256
                    ? c == 4238
                    : c <= 4293)
                  : (c <= 4295 || c == 4301))))
              : (c <= 4346 || (c < 4698
                ? (c < 4688
                  ? (c < 4682
                    ? (c >= 4348 && c <= 4680)
                    : c <= 4685)
                  : (c <= 4694 || c == 4696))
                : (c <= 4701 || (c < 4752
                  ? (c < 4746
                    ? (c >= 4704 && c <= 4744)
                    : c <= 4749)
                  : (c <= 4784 || (c >= 4786 && c <= 4789)))))))
            : (c <= 4798 || (c < 5743
              ? (c < 4888
                ? (c < 4808
                  ? (c < 4802
                    ? c == 4800
                    : c <= 4805)
                  : (c <= 4822 || (c < 4882
                    ? (c >= 4824 && c <= 4880)
                    : c <= 4885)))
                : (c <= 4954 || (c < 5112
                  ? (c < 5024
                    ? (c >= 4992 && c <= 5007)
                    : c <= 5109)
                  : (c <= 5117 || (c >= 5121 && c <= 5740)))))
              : (c <= 5759 || (c < 5919
                ? (c < 5870
                  ? (c < 5792
                    ? (c >= 5761 && c <= 5786)
                    : c <= 5866)
                  : (c <= 5880 || (c >= 5888 && c <= 5905)))
                : (c <= 5937 || (c < 5998
                  ? (c < 5984
                    ? (c >= 5952 && c <= 5969)
                    : c <= 5996)
                  : (c <= 6000 || (c >= 6016 && c <= 6067)))))))))
          : (c <= 6103 || (c < 7258
            ? (c < 6656
              ? (c < 6400
                ? (c < 6272
                  ? (c < 6176
                    ? c == 6108
                    : c <= 6264)
                  : (c <= 6312 || (c < 6320
                    ? c == 6314
                    : c <= 6389)))
                : (c <= 6430 || (c < 6528
                  ? (c < 6512
                    ? (c >= 6480 && c <= 6509)
                    : c <= 6516)
                  : (c <= 6571 || (c >= 6576 && c <= 6601)))))
              : (c <= 6678 || (c < 7043
                ? (c < 6917
                  ? (c < 6823
                    ? (c >= 6688 && c <= 6740)
                    : c <= 6823)
                  : (c <= 6963 || (c >= 6981 && c <= 6988)))
                : (c <= 7072 || (c < 7168
                  ? (c < 7098
                    ? (c >= 7086 && c <= 7087)
                    : c <= 7141)
                  : (c <= 7203 || (c >= 7245 && c <= 7247)))))))
            : (c <= 7293 || (c < 7960
              ? (c < 7406
                ? (c < 7357
                  ? (c < 7312
                    ? (c >= 7296 && c <= 7304)
                    : c <= 7354)
                  : (c <= 7359 || (c >= 7401 && c <= 7404)))
                : (c <= 7411 || (c < 7424
                  ? (c < 7418
                    ? (c >= 7413 && c <= 7414)
                    : c <= 7418)
                  : (c <= 7615 || (c >= 7680 && c <= 7957)))))
              : (c <= 7965 || (c < 8027
                ? (c < 8016
                  ? (c < 8008
                    ? (c >= 7968 && c <= 8005)
                    : c <= 8013)
                  : (c <= 8023 || c == 8025))
                : (c <= 8027 || (c < 8064
                  ? (c < 8031
                    ? c == 8029
                    : c <= 8061)
                  : (c <= 8116 || (c >= 8118 && c <= 8124)))))))))))
        : (c <= 8126 || (c < 12293
          ? (c < 8517
            ? (c < 8450
              ? (c < 8178
                ? (c < 8144
                  ? (c < 8134
                    ? (c >= 8130 && c <= 8132)
                    : c <= 8140)
                  : (c <= 8147 || (c < 8160
                    ? (c >= 8150 && c <= 8155)
                    : c <= 8172)))
                : (c <= 8180 || (c < 8319
                  ? (c < 8305
                    ? (c >= 8182 && c <= 8188)
                    : c <= 8305)
                  : (c <= 8319 || (c >= 8336 && c <= 8348)))))
              : (c <= 8450 || (c < 8484
                ? (c < 8469
                  ? (c < 8458
                    ? c == 8455
                    : c <= 8467)
                  : (c <= 8469 || (c >= 8472 && c <= 8477)))
                : (c <= 8484 || (c < 8490
                  ? (c < 8488
                    ? c == 8486
                    : c <= 8488)
                  : (c <= 8505 || (c >= 8508 && c <= 8511)))))))
            : (c <= 8521 || (c < 11631
              ? (c < 11506
                ? (c < 11264
                  ? (c < 8544
                    ? c == 8526
                    : c <= 8584)
                  : (c <= 11492 || (c >= 11499 && c <= 11502)))
                : (c <= 11507 || (c < 11565
                  ? (c < 11559
                    ? (c >= 11520 && c <= 11557)
                    : c <= 11559)
                  : (c <= 11565 || (c >= 11568 && c <= 11623)))))
              : (c <= 11631 || (c < 11704
                ? (c < 11688
                  ? (c < 11680
                    ? (c >= 11648 && c <= 11670)
                    : c <= 11686)
                  : (c <= 11694 || (c >= 11696 && c <= 11702)))
                : (c <= 11710 || (c < 11728
                  ? (c < 11720
                    ? (c >= 11712 && c <= 11718)
                    : c <= 11726)
                  : (c <= 11734 || (c >= 11736 && c <= 11742)))))))))
          : (c <= 12295 || (c < 42775
            ? (c < 12784
              ? (c < 12449
                ? (c < 12344
                  ? (c < 12337
                    ? (c >= 12321 && c <= 12329)
                    : c <= 12341)
                  : (c <= 12348 || (c < 12445
                    ? (c >= 12353 && c <= 12438)
                    : c <= 12447)))
                : (c <= 12538 || (c < 12593
                  ? (c < 12549
                    ? (c >= 12540 && c <= 12543)
                    : c <= 12591)
                  : (c <= 12686 || (c >= 12704 && c <= 12735)))))
              : (c <= 12799 || (c < 42512
                ? (c < 42192
                  ? (c < 19968
                    ? (c >= 13312 && c <= 19903)
                    : c <= 42124)
                  : (c <= 42237 || (c >= 42240 && c <= 42508)))
                : (c <= 42527 || (c < 42623
                  ? (c < 42560
                    ? (c >= 42538 && c <= 42539)
                    : c <= 42606)
                  : (c <= 42653 || (c >= 42656 && c <= 42735)))))))
            : (c <= 42783 || (c < 43072
              ? (c < 42965
                ? (c < 42960
                  ? (c < 42891
                    ? (c >= 42786 && c <= 42888)
                    : c <= 42954)
                  : (c <= 42961 || c == 42963))
                : (c <= 42969 || (c < 43015
                  ? (c < 43011
                    ? (c >= 42994 && c <= 43009)
                    : c <= 43013)
                  : (c <= 43018 || (c >= 43020 && c <= 43042)))))
              : (c <= 43123 || (c < 43274
                ? (c < 43259
                  ? (c < 43250
                    ? (c >= 43138 && c <= 43187)
                    : c <= 43255)
                  : (c <= 43259 || (c >= 43261 && c <= 43262)))
                : (c <= 43301 || (c < 43396
                  ? (c < 43360
                    ? (c >= 43312 && c <= 43334)
                    : c <= 43388)
                  : (c <= 43442 || c == 43471))))))))))))))
    : (c <= 43492 || (c < 70656
      ? (c < 66940
        ? (c < 64848
          ? (c < 43816
            ? (c < 43705
              ? (c < 43616
                ? (c < 43520
                  ? (c < 43514
                    ? (c >= 43494 && c <= 43503)
                    : c <= 43518)
                  : (c <= 43560 || (c < 43588
                    ? (c >= 43584 && c <= 43586)
                    : c <= 43595)))
                : (c <= 43638 || (c < 43697
                  ? (c < 43646
                    ? c == 43642
                    : c <= 43695)
                  : (c <= 43697 || (c >= 43701 && c <= 43702)))))
              : (c <= 43709 || (c < 43762
                ? (c < 43739
                  ? (c < 43714
                    ? c == 43712
                    : c <= 43714)
                  : (c <= 43741 || (c >= 43744 && c <= 43754)))
                : (c <= 43764 || (c < 43793
                  ? (c < 43785
                    ? (c >= 43777 && c <= 43782)
                    : c <= 43790)
                  : (c <= 43798 || (c >= 43808 && c <= 43814)))))))
            : (c <= 43822 || (c < 64285
              ? (c < 55243
                ? (c < 43888
                  ? (c < 43868
                    ? (c >= 43824 && c <= 43866)
                    : c <= 43881)
                  : (c <= 44002 || (c < 55216
                    ? (c >= 44032 && c <= 55203)
                    : c <= 55238)))
                : (c <= 55291 || (c < 64256
                  ? (c < 64112
                    ? (c >= 63744 && c <= 64109)
                    : c <= 64217)
                  : (c <= 64262 || (c >= 64275 && c <= 64279)))))
              : (c <= 64285 || (c < 64320
                ? (c < 64312
                  ? (c < 64298
                    ? (c >= 64287 && c <= 64296)
                    : c <= 64310)
                  : (c <= 64316 || c == 64318))
                : (c <= 64321 || (c < 64467
                  ? (c < 64326
                    ? (c >= 64323 && c <= 64324)
                    : c <= 64433)
                  : (c <= 64605 || (c >= 64612 && c <= 64829)))))))))
          : (c <= 64911 || (c < 65596
            ? (c < 65345
              ? (c < 65145
                ? (c < 65137
                  ? (c < 65008
                    ? (c >= 64914 && c <= 64967)
                    : c <= 65017)
                  : (c <= 65137 || (c < 65143
                    ? c == 65139
                    : c <= 65143)))
                : (c <= 65145 || (c < 65151
                  ? (c < 65149
                    ? c == 65147
                    : c <= 65149)
                  : (c <= 65276 || (c >= 65313 && c <= 65338)))))
              : (c <= 65370 || (c < 65490
                ? (c < 65474
                  ? (c < 65440
                    ? (c >= 65382 && c <= 65437)
                    : c <= 65470)
                  : (c <= 65479 || (c >= 65482 && c <= 65487)))
                : (c <= 65495 || (c < 65549
                  ? (c < 65536
                    ? (c >= 65498 && c <= 65500)
                    : c <= 65547)
                  : (c <= 65574 || (c >= 65576 && c <= 65594)))))))
            : (c <= 65597 || (c < 66432
              ? (c < 66176
                ? (c < 65664
                  ? (c < 65616
                    ? (c >= 65599 && c <= 65613)
                    : c <= 65629)
                  : (c <= 65786 || (c >= 65856 && c <= 65908)))
                : (c <= 66204 || (c < 66349
                  ? (c < 66304
                    ? (c >= 66208 && c <= 66256)
                    : c <= 66335)
                  : (c <= 66378 || (c >= 66384 && c <= 66421)))))
              : (c <= 66461 || (c < 66736
                ? (c < 66513
                  ? (c < 66504
                    ? (c >= 66464 && c <= 66499)
                    : c <= 66511)
                  : (c <= 66517 || (c >= 66560 && c <= 66717)))
                : (c <= 66771 || (c < 66864
                  ? (c < 66816
                    ? (c >= 66776 && c <= 66811)
                    : c <= 66855)
                  : (c <= 66915 || (c >= 66928 && c <= 66938)))))))))))
        : (c <= 66954 || (c < 68800
          ? (c < 67808
            ? (c < 67463
              ? (c < 67003
                ? (c < 66967
                  ? (c < 66964
                    ? (c >= 66956 && c <= 66962)
                    : c <= 66965)
                  : (c <= 66977 || (c < 66995
                    ? (c >= 66979 && c <= 66993)
                    : c <= 67001)))
                : (c <= 67004 || (c < 67424
                  ? (c < 67392
                    ? (c >= 67072 && c <= 67382)
                    : c <= 67413)
                  : (c <= 67431 || (c >= 67456 && c <= 67461)))))
              : (c <= 67504 || (c < 67639
                ? (c < 67592
                  ? (c < 67584
                    ? (c >= 67506 && c <= 67514)
                    : c <= 67589)
                  : (c <= 67592 || (c >= 67594 && c <= 67637)))
                : (c <= 67640 || (c < 67680
                  ? (c < 67647
                    ? c == 67644
                    : c <= 67669)
                  : (c <= 67702 || (c >= 67712 && c <= 67742)))))))
            : (c <= 67826 || (c < 68192
              ? (c < 68030
                ? (c < 67872
                  ? (c < 67840
                    ? (c >= 67828 && c <= 67829)
                    : c <= 67861)
                  : (c <= 67897 || (c >= 67968 && c <= 68023)))
                : (c <= 68031 || (c < 68117
                  ? (c < 68112
                    ? c == 68096
                    : c <= 68115)
                  : (c <= 68119 || (c >= 68121 && c <= 68149)))))
              : (c <= 68220 || (c < 68416
                ? (c < 68297
                  ? (c < 68288
                    ? (c >= 68224 && c <= 68252)
                    : c <= 68295)
                  : (c <= 68324 || (c >= 68352 && c <= 68405)))
                : (c <= 68437 || (c < 68608
                  ? (c < 68480
                    ? (c >= 68448 && c <= 68466)
                    : c <= 68497)
                  : (c <= 68680 || (c >= 68736 && c <= 68786)))))))))
          : (c <= 68850 || (c < 70081
            ? (c < 69745
              ? (c < 69424
                ? (c < 69296
                  ? (c < 69248
                    ? (c >= 68864 && c <= 68899)
                    : c <= 69289)
                  : (c <= 69297 || (c < 69415
                    ? (c >= 69376 && c <= 69404)
                    : c <= 69415)))
                : (c <= 69445 || (c < 69600
                  ? (c < 69552
                    ? (c >= 69488 && c <= 69505)
                    : c <= 69572)
                  : (c <= 69622 || (c >= 69635 && c <= 69687)))))
              : (c <= 69746 || (c < 69956
                ? (c < 69840
                  ? (c < 69763
                    ? c == 69749
                    : c <= 69807)
                  : (c <= 69864 || (c >= 69891 && c <= 69926)))
                : (c <= 69956 || (c < 70006
                  ? (c < 69968
                    ? c == 69959
                    : c <= 70002)
                  : (c <= 70006 || (c >= 70019 && c <= 70066)))))))
            : (c <= 70084 || (c < 70320
              ? (c < 70272
                ? (c < 70144
                  ? (c < 70108
                    ? c == 70106
                    : c <= 70108)
                  : (c <= 70161 || (c >= 70163 && c <= 70187)))
                : (c <= 70278 || (c < 70287
                  ? (c < 70282
                    ? c == 70280
                    : c <= 70285)
                  : (c <= 70301 || (c >= 70303 && c <= 70312)))))
              : (c <= 70366 || (c < 70450
                ? (c < 70419
                  ? (c < 70415
                    ? (c >= 70405 && c <= 70412)
                    : c <= 70416)
                  : (c <= 70440 || (c >= 70442 && c <= 70448)))
                : (c <= 70451 || (c < 70480
                  ? (c < 70461
                    ? (c >= 70453 && c <= 70457)
                    : c <= 70461)
                  : (c <= 70480 || (c >= 70493 && c <= 70497)))))))))))))
      : (c <= 70708 || (c < 119894
        ? (c < 73056
          ? (c < 71999
            ? (c < 71352
              ? (c < 71040
                ? (c < 70784
                  ? (c < 70751
                    ? (c >= 70727 && c <= 70730)
                    : c <= 70753)
                  : (c <= 70831 || (c < 70855
                    ? (c >= 70852 && c <= 70853)
                    : c <= 70855)))
                : (c <= 71086 || (c < 71236
                  ? (c < 71168
                    ? (c >= 71128 && c <= 71131)
                    : c <= 71215)
                  : (c <= 71236 || (c >= 71296 && c <= 71338)))))
              : (c <= 71352 || (c < 71935
                ? (c < 71680
                  ? (c < 71488
                    ? (c >= 71424 && c <= 71450)
                    : c <= 71494)
                  : (c <= 71723 || (c >= 71840 && c <= 71903)))
                : (c <= 71942 || (c < 71957
                  ? (c < 71948
                    ? c == 71945
                    : c <= 71955)
                  : (c <= 71958 || (c >= 71960 && c <= 71983)))))))
            : (c <= 71999 || (c < 72349
              ? (c < 72192
                ? (c < 72106
                  ? (c < 72096
                    ? c == 72001
                    : c <= 72103)
                  : (c <= 72144 || (c < 72163
                    ? c == 72161
                    : c <= 72163)))
                : (c <= 72192 || (c < 72272
                  ? (c < 72250
                    ? (c >= 72203 && c <= 72242)
                    : c <= 72250)
                  : (c <= 72272 || (c >= 72284 && c <= 72329)))))
              : (c <= 72349 || (c < 72818
                ? (c < 72714
                  ? (c < 72704
                    ? (c >= 72368 && c <= 72440)
                    : c <= 72712)
                  : (c <= 72750 || c == 72768))
                : (c <= 72847 || (c < 72971
                  ? (c < 72968
                    ? (c >= 72960 && c <= 72966)
                    : c <= 72969)
                  : (c <= 73008 || c == 73030))))))))
          : (c <= 73061 || (c < 93952
            ? (c < 82944
              ? (c < 73728
                ? (c < 73112
                  ? (c < 73066
                    ? (c >= 73063 && c <= 73064)
                    : c <= 73097)
                  : (c <= 73112 || (c < 73648
                    ? (c >= 73440 && c <= 73458)
                    : c <= 73648)))
                : (c <= 74649 || (c < 77712
                  ? (c < 74880
                    ? (c >= 74752 && c <= 74862)
                    : c <= 75075)
                  : (c <= 77808 || (c >= 77824 && c <= 78894)))))
              : (c <= 83526 || (c < 92928
                ? (c < 92784
                  ? (c < 92736
                    ? (c >= 92160 && c <= 92728)
                    : c <= 92766)
                  : (c <= 92862 || (c >= 92880 && c <= 92909)))
                : (c <= 92975 || (c < 93053
                  ? (c < 93027
                    ? (c >= 92992 && c <= 92995)
                    : c <= 93047)
                  : (c <= 93071 || (c >= 93760 && c <= 93823)))))))
            : (c <= 94026 || (c < 110589
              ? (c < 94208
                ? (c < 94176
                  ? (c < 94099
                    ? c == 94032
                    : c <= 94111)
                  : (c <= 94177 || c == 94179))
                : (c <= 100343 || (c < 110576
                  ? (c < 101632
                    ? (c >= 100352 && c <= 101589)
                    : c <= 101640)
                  : (c <= 110579 || (c >= 110581 && c <= 110587)))))
              : (c <= 110590 || (c < 113664
                ? (c < 110948
                  ? (c < 110928
                    ? (c >= 110592 && c <= 110882)
                    : c <= 110930)
                  : (c <= 110951 || (c >= 110960 && c <= 111355)))
                : (c <= 113770 || (c < 113808
                  ? (c < 113792
                    ? (c >= 113776 && c <= 113788)
                    : c <= 113800)
                  : (c <= 113817 || (c >= 119808 && c <= 119892)))))))))))
        : (c <= 119964 || (c < 125259
          ? (c < 120572
            ? (c < 120086
              ? (c < 119995
                ? (c < 119973
                  ? (c < 119970
                    ? (c >= 119966 && c <= 119967)
                    : c <= 119970)
                  : (c <= 119974 || (c < 119982
                    ? (c >= 119977 && c <= 119980)
                    : c <= 119993)))
                : (c <= 119995 || (c < 120071
                  ? (c < 120005
                    ? (c >= 119997 && c <= 120003)
                    : c <= 120069)
                  : (c <= 120074 || (c >= 120077 && c <= 120084)))))
              : (c <= 120092 || (c < 120138
                ? (c < 120128
                  ? (c < 120123
                    ? (c >= 120094 && c <= 120121)
                    : c <= 120126)
                  : (c <= 120132 || c == 120134))
                : (c <= 120144 || (c < 120514
                  ? (c < 120488
                    ? (c >= 120146 && c <= 120485)
                    : c <= 120512)
                  : (c <= 120538 || (c >= 120540 && c <= 120570)))))))
            : (c <= 120596 || (c < 123191
              ? (c < 120714
                ? (c < 120656
                  ? (c < 120630
                    ? (c >= 120598 && c <= 120628)
                    : c <= 120654)
                  : (c <= 120686 || (c >= 120688 && c <= 120712)))
                : (c <= 120744 || (c < 122624
                  ? (c < 120772
                    ? (c >= 120746 && c <= 120770)
                    : c <= 120779)
                  : (c <= 122654 || (c >= 123136 && c <= 123180)))))
              : (c <= 123197 || (c < 124904
                ? (c < 123584
                  ? (c < 123536
                    ? c == 123214
                    : c <= 123565)
                  : (c <= 123627 || (c >= 124896 && c <= 124902)))
                : (c <= 124907 || (c < 124928
                  ? (c < 124912
                    ? (c >= 124909 && c <= 124910)
                    : c <= 124926)
                  : (c <= 125124 || (c >= 125184 && c <= 125251)))))))))
          : (c <= 125259 || (c < 126559
            ? (c < 126535
              ? (c < 126505
                ? (c < 126497
                  ? (c < 126469
                    ? (c >= 126464 && c <= 126467)
                    : c <= 126495)
                  : (c <= 126498 || (c < 126503
                    ? c == 126500
                    : c <= 126503)))
                : (c <= 126514 || (c < 126523
                  ? (c < 126521
                    ? (c >= 126516 && c <= 126519)
                    : c <= 126521)
                  : (c <= 126523 || c == 126530))))
              : (c <= 126535 || (c < 126548
                ? (c < 126541
                  ? (c < 126539
                    ? c == 126537
                    : c <= 126539)
                  : (c <= 126543 || (c >= 126545 && c <= 126546)))
                : (c <= 126548 || (c < 126555
                  ? (c < 126553
                    ? c == 126551
                    : c <= 126553)
                  : (c <= 126555 || c == 126557))))))
            : (c <= 126559 || (c < 126625
              ? (c < 126580
                ? (c < 126567
                  ? (c < 126564
                    ? (c >= 126561 && c <= 126562)
                    : c <= 126564)
                  : (c <= 126570 || (c >= 126572 && c <= 126578)))
                : (c <= 126583 || (c < 126592
                  ? (c < 126590
                    ? (c >= 126585 && c <= 126588)
                    : c <= 126590)
                  : (c <= 126601 || (c >= 126603 && c <= 126619)))))
              : (c <= 126627 || (c < 177984
                ? (c < 131072
                  ? (c < 126635
                    ? (c >= 126629 && c <= 126633)
                    : c <= 126651)
                  : (c <= 173791 || (c >= 173824 && c <= 177976)))
                : (c <= 178205 || (c < 194560
                  ? (c < 183984
                    ? (c >= 178208 && c <= 183969)
                    : c <= 191456)
                  : (c <= 195101 || (c >= 196608 && c <= 201546)))))))))))))))));
}

static inline bool sym_identifier_character_set_5(int32_t c) {
  return (c < 43520
    ? (c < 4197
      ? (c < 2730
        ? (c < 2036
          ? (c < 1015
            ? (c < 750
              ? (c < 216
                ? (c < 181
                  ? (c < 170
                    ? c == '$'
                    : c <= 170)
                  : (c <= 181 || (c < 192
                    ? c == 186
                    : c <= 214)))
                : (c <= 246 || (c < 736
                  ? (c < 710
                    ? (c >= 248 && c <= 705)
                    : c <= 721)
                  : (c <= 740 || c == 748))))
              : (c <= 750 || (c < 902
                ? (c < 891
                  ? (c < 886
                    ? (c >= 880 && c <= 884)
                    : c <= 887)
                  : (c <= 893 || c == 895))
                : (c <= 902 || (c < 910
                  ? (c < 908
                    ? (c >= 904 && c <= 906)
                    : c <= 908)
                  : (c <= 929 || (c >= 931 && c <= 1013)))))))
            : (c <= 1153 || (c < 1749
              ? (c < 1488
                ? (c < 1369
                  ? (c < 1329
                    ? (c >= 1162 && c <= 1327)
                    : c <= 1366)
                  : (c <= 1369 || (c >= 1376 && c <= 1416)))
                : (c <= 1514 || (c < 1646
                  ? (c < 1568
                    ? (c >= 1519 && c <= 1522)
                    : c <= 1610)
                  : (c <= 1647 || (c >= 1649 && c <= 1747)))))
              : (c <= 1749 || (c < 1808
                ? (c < 1786
                  ? (c < 1774
                    ? (c >= 1765 && c <= 1766)
                    : c <= 1775)
                  : (c <= 1788 || c == 1791))
                : (c <= 1808 || (c < 1969
                  ? (c < 1869
                    ? (c >= 1810 && c <= 1839)
                    : c <= 1957)
                  : (c <= 1969 || (c >= 1994 && c <= 2026)))))))))
          : (c <= 2037 || (c < 2486
            ? (c < 2308
              ? (c < 2112
                ? (c < 2074
                  ? (c < 2048
                    ? c == 2042
                    : c <= 2069)
                  : (c <= 2074 || (c < 2088
                    ? c == 2084
                    : c <= 2088)))
                : (c <= 2136 || (c < 2185
                  ? (c < 2160
                    ? (c >= 2144 && c <= 2154)
                    : c <= 2183)
                  : (c <= 2190 || (c >= 2208 && c <= 2249)))))
              : (c <= 2361 || (c < 2437
                ? (c < 2392
                  ? (c < 2384
                    ? c == 2365
                    : c <= 2384)
                  : (c <= 2401 || (c >= 2417 && c <= 2432)))
                : (c <= 2444 || (c < 2474
                  ? (c < 2451
                    ? (c >= 2447 && c <= 2448)
                    : c <= 2472)
                  : (c <= 2480 || c == 2482))))))
            : (c <= 2489 || (c < 2602
              ? (c < 2544
                ? (c < 2524
                  ? (c < 2510
                    ? c == 2493
                    : c <= 2510)
                  : (c <= 2525 || (c >= 2527 && c <= 2529)))
                : (c <= 2545 || (c < 2575
                  ? (c < 2565
                    ? c == 2556
                    : c <= 2570)
                  : (c <= 2576 || (c >= 2579 && c <= 2600)))))
              : (c <= 2608 || (c < 2654
                ? (c < 2616
                  ? (c < 2613
                    ? (c >= 2610 && c <= 2611)
                    : c <= 2614)
                  : (c <= 2617 || (c >= 2649 && c <= 2652)))
                : (c <= 2654 || (c < 2703
                  ? (c < 2693
                    ? (c >= 2674 && c <= 2676)
                    : c <= 2701)
                  : (c <= 2705 || (c >= 2707 && c <= 2728)))))))))))
        : (c <= 2736 || (c < 3253
          ? (c < 2969
            ? (c < 2866
              ? (c < 2809
                ? (c < 2749
                  ? (c < 2741
                    ? (c >= 2738 && c <= 2739)
                    : c <= 2745)
                  : (c <= 2749 || (c < 2784
                    ? c == 2768
                    : c <= 2785)))
                : (c <= 2809 || (c < 2835
                  ? (c < 2831
                    ? (c >= 2821 && c <= 2828)
                    : c <= 2832)
                  : (c <= 2856 || (c >= 2858 && c <= 2864)))))
              : (c <= 2867 || (c < 2929
                ? (c < 2908
                  ? (c < 2877
                    ? (c >= 2869 && c <= 2873)
                    : c <= 2877)
                  : (c <= 2909 || (c >= 2911 && c <= 2913)))
                : (c <= 2929 || (c < 2958
                  ? (c < 2949
                    ? c == 2947
                    : c <= 2954)
                  : (c <= 2960 || (c >= 2962 && c <= 2965)))))))
            : (c <= 2970 || (c < 3114
              ? (c < 2990
                ? (c < 2979
                  ? (c < 2974
                    ? c == 2972
                    : c <= 2975)
                  : (c <= 2980 || (c >= 2984 && c <= 2986)))
                : (c <= 3001 || (c < 3086
                  ? (c < 3077
                    ? c == 3024
                    : c <= 3084)
                  : (c <= 3088 || (c >= 3090 && c <= 3112)))))
              : (c <= 3129 || (c < 3200
                ? (c < 3165
                  ? (c < 3160
                    ? c == 3133
                    : c <= 3162)
                  : (c <= 3165 || (c >= 3168 && c <= 3169)))
                : (c <= 3200 || (c < 3218
                  ? (c < 3214
                    ? (c >= 3205 && c <= 3212)
                    : c <= 3216)
                  : (c <= 3240 || (c >= 3242 && c <= 3251)))))))))
          : (c <= 3257 || (c < 3713
            ? (c < 3423
              ? (c < 3342
                ? (c < 3296
                  ? (c < 3293
                    ? c == 3261
                    : c <= 3294)
                  : (c <= 3297 || (c < 3332
                    ? (c >= 3313 && c <= 3314)
                    : c <= 3340)))
                : (c <= 3344 || (c < 3406
                  ? (c < 3389
                    ? (c >= 3346 && c <= 3386)
                    : c <= 3389)
                  : (c <= 3406 || (c >= 3412 && c <= 3414)))))
              : (c <= 3425 || (c < 3517
                ? (c < 3482
                  ? (c < 3461
                    ? (c >= 3450 && c <= 3455)
                    : c <= 3478)
                  : (c <= 3505 || (c >= 3507 && c <= 3515)))
                : (c <= 3517 || (c < 3634
                  ? (c < 3585
                    ? (c >= 3520 && c <= 3526)
                    : c <= 3632)
                  : (c <= 3634 || (c >= 3648 && c <= 3654)))))))
            : (c <= 3714 || (c < 3804
              ? (c < 3751
                ? (c < 3724
                  ? (c < 3718
                    ? c == 3716
                    : c <= 3722)
                  : (c <= 3747 || c == 3749))
                : (c <= 3760 || (c < 3776
                  ? (c < 3773
                    ? c == 3762
                    : c <= 3773)
                  : (c <= 3780 || c == 3782))))
              : (c <= 3807 || (c < 4096
                ? (c < 3913
                  ? (c < 3904
                    ? c == 3840
                    : c <= 3911)
                  : (c <= 3948 || (c >= 3976 && c <= 3980)))
                : (c <= 4138 || (c < 4186
                  ? (c < 4176
                    ? c == 4159
                    : c <= 4181)
                  : (c <= 4189 || c == 4193))))))))))))
      : (c <= 4198 || (c < 8144
        ? (c < 6272
          ? (c < 4824
            ? (c < 4696
              ? (c < 4301
                ? (c < 4238
                  ? (c < 4213
                    ? (c >= 4206 && c <= 4208)
                    : c <= 4225)
                  : (c <= 4238 || (c < 4295
                    ? (c >= 4256 && c <= 4293)
                    : c <= 4295)))
                : (c <= 4301 || (c < 4682
                  ? (c < 4348
                    ? (c >= 4304 && c <= 4346)
                    : c <= 4680)
                  : (c <= 4685 || (c >= 4688 && c <= 4694)))))
              : (c <= 4696 || (c < 4786
                ? (c < 4746
                  ? (c < 4704
                    ? (c >= 4698 && c <= 4701)
                    : c <= 4744)
                  : (c <= 4749 || (c >= 4752 && c <= 4784)))
                : (c <= 4789 || (c < 4802
                  ? (c < 4800
                    ? (c >= 4792 && c <= 4798)
                    : c <= 4800)
                  : (c <= 4805 || (c >= 4808 && c <= 4822)))))))
            : (c <= 4880 || (c < 5870
              ? (c < 5112
                ? (c < 4992
                  ? (c < 4888
                    ? (c >= 4882 && c <= 4885)
                    : c <= 4954)
                  : (c <= 5007 || (c >= 5024 && c <= 5109)))
                : (c <= 5117 || (c < 5761
                  ? (c < 5743
                    ? (c >= 5121 && c <= 5740)
                    : c <= 5759)
                  : (c <= 5786 || (c >= 5792 && c <= 5866)))))
              : (c <= 5880 || (c < 5998
                ? (c < 5952
                  ? (c < 5919
                    ? (c >= 5888 && c <= 5905)
                    : c <= 5937)
                  : (c <= 5969 || (c >= 5984 && c <= 5996)))
                : (c <= 6000 || (c < 6108
                  ? (c < 6103
                    ? (c >= 6016 && c <= 6067)
                    : c <= 6103)
                  : (c <= 6108 || (c >= 6176 && c <= 6264)))))))))
          : (c <= 6312 || (c < 7357
            ? (c < 6917
              ? (c < 6528
                ? (c < 6400
                  ? (c < 6320
                    ? c == 6314
                    : c <= 6389)
                  : (c <= 6430 || (c < 6512
                    ? (c >= 6480 && c <= 6509)
                    : c <= 6516)))
                : (c <= 6571 || (c < 6688
                  ? (c < 6656
                    ? (c >= 6576 && c <= 6601)
                    : c <= 6678)
                  : (c <= 6740 || c == 6823))))
              : (c <= 6963 || (c < 7168
                ? (c < 7086
                  ? (c < 7043
                    ? (c >= 6981 && c <= 6988)
                    : c <= 7072)
                  : (c <= 7087 || (c >= 7098 && c <= 7141)))
                : (c <= 7203 || (c < 7296
                  ? (c < 7258
                    ? (c >= 7245 && c <= 7247)
                    : c <= 7293)
                  : (c <= 7304 || (c >= 7312 && c <= 7354)))))))
            : (c <= 7359 || (c < 8016
              ? (c < 7424
                ? (c < 7413
                  ? (c < 7406
                    ? (c >= 7401 && c <= 7404)
                    : c <= 7411)
                  : (c <= 7414 || c == 7418))
                : (c <= 7615 || (c < 7968
                  ? (c < 7960
                    ? (c >= 7680 && c <= 7957)
                    : c <= 7965)
                  : (c <= 8005 || (c >= 8008 && c <= 8013)))))
              : (c <= 8023 || (c < 8064
                ? (c < 8029
                  ? (c < 8027
                    ? c == 8025
                    : c <= 8027)
                  : (c <= 8029 || (c >= 8031 && c <= 8061)))
                : (c <= 8116 || (c < 8130
                  ? (c < 8126
                    ? (c >= 8118 && c <= 8124)
                    : c <= 8126)
                  : (c <= 8132 || (c >= 8134 && c <= 8140)))))))))))
        : (c <= 8147 || (c < 12344
          ? (c < 11264
            ? (c < 8469
              ? (c < 8319
                ? (c < 8178
                  ? (c < 8160
                    ? (c >= 8150 && c <= 8155)
                    : c <= 8172)
                  : (c <= 8180 || (c < 8305
                    ? (c >= 8182 && c <= 8188)
                    : c <= 8305)))
                : (c <= 8319 || (c < 8455
                  ? (c < 8450
                    ? (c >= 8336 && c <= 8348)
                    : c <= 8450)
                  : (c <= 8455 || (c >= 8458 && c <= 8467)))))
              : (c <= 8469 || (c < 8490
                ? (c < 8486
                  ? (c < 8484
                    ? (c >= 8472 && c <= 8477)
                    : c <= 8484)
                  : (c <= 8486 || c == 8488))
                : (c <= 8505 || (c < 8526
                  ? (c < 8517
                    ? (c >= 8508 && c <= 8511)
                    : c <= 8521)
                  : (c <= 8526 || (c >= 8544 && c <= 8584)))))))
            : (c <= 11492 || (c < 11688
              ? (c < 11565
                ? (c < 11520
                  ? (c < 11506
                    ? (c >= 11499 && c <= 11502)
                    : c <= 11507)
                  : (c <= 11557 || c == 11559))
                : (c <= 11565 || (c < 11648
                  ? (c < 11631
                    ? (c >= 11568 && c <= 11623)
                    : c <= 11631)
                  : (c <= 11670 || (c >= 11680 && c <= 11686)))))
              : (c <= 11694 || (c < 11728
                ? (c < 11712
                  ? (c < 11704
                    ? (c >= 11696 && c <= 11702)
                    : c <= 11710)
                  : (c <= 11718 || (c >= 11720 && c <= 11726)))
                : (c <= 11734 || (c < 12321
                  ? (c < 12293
                    ? (c >= 11736 && c <= 11742)
                    : c <= 12295)
                  : (c <= 12329 || (c >= 12337 && c <= 12341)))))))))
          : (c <= 12348 || (c < 42960
            ? (c < 42192
              ? (c < 12593
                ? (c < 12449
                  ? (c < 12445
                    ? (c >= 12353 && c <= 12438)
                    : c <= 12447)
                  : (c <= 12538 || (c < 12549
                    ? (c >= 12540 && c <= 12543)
                    : c <= 12591)))
                : (c <= 12686 || (c < 13312
                  ? (c < 12784
                    ? (c >= 12704 && c <= 12735)
                    : c <= 12799)
                  : (c <= 19903 || (c >= 19968 && c <= 42124)))))
              : (c <= 42237 || (c < 42623
                ? (c < 42538
                  ? (c < 42512
                    ? (c >= 42240 && c <= 42508)
                    : c <= 42527)
                  : (c <= 42539 || (c >= 42560 && c <= 42606)))
                : (c <= 42653 || (c < 42786
                  ? (c < 42775
                    ? (c >= 42656 && c <= 42735)
                    : c <= 42783)
                  : (c <= 42888 || (c >= 42891 && c <= 42954)))))))
            : (c <= 42961 || (c < 43259
              ? (c < 43015
                ? (c < 42994
                  ? (c < 42965
                    ? c == 42963
                    : c <= 42969)
                  : (c <= 43009 || (c >= 43011 && c <= 43013)))
                : (c <= 43018 || (c < 43138
                  ? (c < 43072
                    ? (c >= 43020 && c <= 43042)
                    : c <= 43123)
                  : (c <= 43187 || (c >= 43250 && c <= 43255)))))
              : (c <= 43259 || (c < 43396
                ? (c < 43312
                  ? (c < 43274
                    ? (c >= 43261 && c <= 43262)
                    : c <= 43301)
                  : (c <= 43334 || (c >= 43360 && c <= 43388)))
                : (c <= 43442 || (c < 43494
                  ? (c < 43488
                    ? c == 43471
                    : c <= 43492)
                  : (c <= 43503 || (c >= 43514 && c <= 43518)))))))))))))))
    : (c <= 43560 || (c < 70751
      ? (c < 66964
        ? (c < 65008
          ? (c < 43888
            ? (c < 43739
              ? (c < 43697
                ? (c < 43616
                  ? (c < 43588
                    ? (c >= 43584 && c <= 43586)
                    : c <= 43595)
                  : (c <= 43638 || (c < 43646
                    ? c == 43642
                    : c <= 43695)))
                : (c <= 43697 || (c < 43712
                  ? (c < 43705
                    ? (c >= 43701 && c <= 43702)
                    : c <= 43709)
                  : (c <= 43712 || c == 43714))))
              : (c <= 43741 || (c < 43793
                ? (c < 43777
                  ? (c < 43762
                    ? (c >= 43744 && c <= 43754)
                    : c <= 43764)
                  : (c <= 43782 || (c >= 43785 && c <= 43790)))
                : (c <= 43798 || (c < 43824
                  ? (c < 43816
                    ? (c >= 43808 && c <= 43814)
                    : c <= 43822)
                  : (c <= 43866 || (c >= 43868 && c <= 43881)))))))
            : (c <= 44002 || (c < 64298
              ? (c < 64112
                ? (c < 55243
                  ? (c < 55216
                    ? (c >= 44032 && c <= 55203)
                    : c <= 55238)
                  : (c <= 55291 || (c >= 63744 && c <= 64109)))
                : (c <= 64217 || (c < 64285
                  ? (c < 64275
                    ? (c >= 64256 && c <= 64262)
                    : c <= 64279)
                  : (c <= 64285 || (c >= 64287 && c <= 64296)))))
              : (c <= 64310 || (c < 64326
                ? (c < 64320
                  ? (c < 64318
                    ? (c >= 64312 && c <= 64316)
                    : c <= 64318)
                  : (c <= 64321 || (c >= 64323 && c <= 64324)))
                : (c <= 64433 || (c < 64848
                  ? (c < 64612
                    ? (c >= 64467 && c <= 64605)
                    : c <= 64829)
                  : (c <= 64911 || (c >= 64914 && c <= 64967)))))))))
          : (c <= 65017 || (c < 65616
            ? (c < 65440
              ? (c < 65149
                ? (c < 65143
                  ? (c < 65139
                    ? c == 65137
                    : c <= 65139)
                  : (c <= 65143 || (c < 65147
                    ? c == 65145
                    : c <= 65147)))
                : (c <= 65149 || (c < 65345
                  ? (c < 65313
                    ? (c >= 65151 && c <= 65276)
                    : c <= 65338)
                  : (c <= 65370 || (c >= 65382 && c <= 65437)))))
              : (c <= 65470 || (c < 65536
                ? (c < 65490
                  ? (c < 65482
                    ? (c >= 65474 && c <= 65479)
                    : c <= 65487)
                  : (c <= 65495 || (c >= 65498 && c <= 65500)))
                : (c <= 65547 || (c < 65596
                  ? (c < 65576
                    ? (c >= 65549 && c <= 65574)
                    : c <= 65594)
                  : (c <= 65597 || (c >= 65599 && c <= 65613)))))))
            : (c <= 65629 || (c < 66504
              ? (c < 66304
                ? (c < 66176
                  ? (c < 65856
                    ? (c >= 65664 && c <= 65786)
                    : c <= 65908)
                  : (c <= 66204 || (c >= 66208 && c <= 66256)))
                : (c <= 66335 || (c < 66432
                  ? (c < 66384
                    ? (c >= 66349 && c <= 66378)
                    : c <= 66421)
                  : (c <= 66461 || (c >= 66464 && c <= 66499)))))
              : (c <= 66511 || (c < 66816
                ? (c < 66736
                  ? (c < 66560
                    ? (c >= 66513 && c <= 66517)
                    : c <= 66717)
                  : (c <= 66771 || (c >= 66776 && c <= 66811)))
                : (c <= 66855 || (c < 66940
                  ? (c < 66928
                    ? (c >= 66864 && c <= 66915)
                    : c <= 66938)
                  : (c <= 66954 || (c >= 66956 && c <= 66962)))))))))))
        : (c <= 66965 || (c < 69248
          ? (c < 67840
            ? (c < 67584
              ? (c < 67392
                ? (c < 66995
                  ? (c < 66979
                    ? (c >= 66967 && c <= 66977)
                    : c <= 66993)
                  : (c <= 67001 || (c < 67072
                    ? (c >= 67003 && c <= 67004)
                    : c <= 67382)))
                : (c <= 67413 || (c < 67463
                  ? (c < 67456
                    ? (c >= 67424 && c <= 67431)
                    : c <= 67461)
                  : (c <= 67504 || (c >= 67506 && c <= 67514)))))
              : (c <= 67589 || (c < 67647
                ? (c < 67639
                  ? (c < 67594
                    ? c == 67592
                    : c <= 67637)
                  : (c <= 67640 || c == 67644))
                : (c <= 67669 || (c < 67808
                  ? (c < 67712
                    ? (c >= 67680 && c <= 67702)
                    : c <= 67742)
                  : (c <= 67826 || (c >= 67828 && c <= 67829)))))))
            : (c <= 67861 || (c < 68288
              ? (c < 68112
                ? (c < 68030
                  ? (c < 67968
                    ? (c >= 67872 && c <= 67897)
                    : c <= 68023)
                  : (c <= 68031 || c == 68096))
                : (c <= 68115 || (c < 68192
                  ? (c < 68121
                    ? (c >= 68117 && c <= 68119)
                    : c <= 68149)
                  : (c <= 68220 || (c >= 68224 && c <= 68252)))))
              : (c <= 68295 || (c < 68480
                ? (c < 68416
                  ? (c < 68352
                    ? (c >= 68297 && c <= 68324)
                    : c <= 68405)
                  : (c <= 68437 || (c >= 68448 && c <= 68466)))
                : (c <= 68497 || (c < 68800
                  ? (c < 68736
                    ? (c >= 68608 && c <= 68680)
                    : c <= 68786)
                  : (c <= 68850 || (c >= 68864 && c <= 68899)))))))))
          : (c <= 69289 || (c < 70108
            ? (c < 69763
              ? (c < 69552
                ? (c < 69415
                  ? (c < 69376
                    ? (c >= 69296 && c <= 69297)
                    : c <= 69404)
                  : (c <= 69415 || (c < 69488
                    ? (c >= 69424 && c <= 69445)
                    : c <= 69505)))
                : (c <= 69572 || (c < 69745
                  ? (c < 69635
                    ? (c >= 69600 && c <= 69622)
                    : c <= 69687)
                  : (c <= 69746 || c == 69749))))
              : (c <= 69807 || (c < 69968
                ? (c < 69956
                  ? (c < 69891
                    ? (c >= 69840 && c <= 69864)
                    : c <= 69926)
                  : (c <= 69956 || c == 69959))
                : (c <= 70002 || (c < 70081
                  ? (c < 70019
                    ? c == 70006
                    : c <= 70066)
                  : (c <= 70084 || c == 70106))))))
            : (c <= 70108 || (c < 70415
              ? (c < 70282
                ? (c < 70272
                  ? (c < 70163
                    ? (c >= 70144 && c <= 70161)
                    : c <= 70187)
                  : (c <= 70278 || c == 70280))
                : (c <= 70285 || (c < 70320
                  ? (c < 70303
                    ? (c >= 70287 && c <= 70301)
                    : c <= 70312)
                  : (c <= 70366 || (c >= 70405 && c <= 70412)))))
              : (c <= 70416 || (c < 70461
                ? (c < 70450
                  ? (c < 70442
                    ? (c >= 70419 && c <= 70440)
                    : c <= 70448)
                  : (c <= 70451 || (c >= 70453 && c <= 70457)))
                : (c <= 70461 || (c < 70656
                  ? (c < 70493
                    ? c == 70480
                    : c <= 70497)
                  : (c <= 70708 || (c >= 70727 && c <= 70730)))))))))))))
      : (c <= 70753 || (c < 119966
        ? (c < 73063
          ? (c < 72096
            ? (c < 71488
              ? (c < 71168
                ? (c < 70855
                  ? (c < 70852
                    ? (c >= 70784 && c <= 70831)
                    : c <= 70853)
                  : (c <= 70855 || (c < 71128
                    ? (c >= 71040 && c <= 71086)
                    : c <= 71131)))
                : (c <= 71215 || (c < 71352
                  ? (c < 71296
                    ? c == 71236
                    : c <= 71338)
                  : (c <= 71352 || (c >= 71424 && c <= 71450)))))
              : (c <= 71494 || (c < 71948
                ? (c < 71935
                  ? (c < 71840
                    ? (c >= 71680 && c <= 71723)
                    : c <= 71903)
                  : (c <= 71942 || c == 71945))
                : (c <= 71955 || (c < 71999
                  ? (c < 71960
                    ? (c >= 71957 && c <= 71958)
                    : c <= 71983)
                  : (c <= 71999 || c == 72001))))))
            : (c <= 72103 || (c < 72368
              ? (c < 72203
                ? (c < 72163
                  ? (c < 72161
                    ? (c >= 72106 && c <= 72144)
                    : c <= 72161)
                  : (c <= 72163 || c == 72192))
                : (c <= 72242 || (c < 72284
                  ? (c < 72272
                    ? c == 72250
                    : c <= 72272)
                  : (c <= 72329 || c == 72349))))
              : (c <= 72440 || (c < 72960
                ? (c < 72768
                  ? (c < 72714
                    ? (c >= 72704 && c <= 72712)
                    : c <= 72750)
                  : (c <= 72768 || (c >= 72818 && c <= 72847)))
                : (c <= 72966 || (c < 73030
                  ? (c < 72971
                    ? (c >= 72968 && c <= 72969)
                    : c <= 73008)
                  : (c <= 73030 || (c >= 73056 && c <= 73061)))))))))
          : (c <= 73064 || (c < 94032
            ? (c < 92160
              ? (c < 74752
                ? (c < 73440
                  ? (c < 73112
                    ? (c >= 73066 && c <= 73097)
                    : c <= 73112)
                  : (c <= 73458 || (c < 73728
                    ? c == 73648
                    : c <= 74649)))
                : (c <= 74862 || (c < 77824
                  ? (c < 77712
                    ? (c >= 74880 && c <= 75075)
                    : c <= 77808)
                  : (c <= 78894 || (c >= 82944 && c <= 83526)))))
              : (c <= 92728 || (c < 92992
                ? (c < 92880
                  ? (c < 92784
                    ? (c >= 92736 && c <= 92766)
                    : c <= 92862)
                  : (c <= 92909 || (c >= 92928 && c <= 92975)))
                : (c <= 92995 || (c < 93760
                  ? (c < 93053
                    ? (c >= 93027 && c <= 93047)
                    : c <= 93071)
                  : (c <= 93823 || (c >= 93952 && c <= 94026)))))))
            : (c <= 94032 || (c < 110592
              ? (c < 100352
                ? (c < 94179
                  ? (c < 94176
                    ? (c >= 94099 && c <= 94111)
                    : c <= 94177)
                  : (c <= 94179 || (c >= 94208 && c <= 100343)))
                : (c <= 101589 || (c < 110581
                  ? (c < 110576
                    ? (c >= 101632 && c <= 101640)
                    : c <= 110579)
                  : (c <= 110587 || (c >= 110589 && c <= 110590)))))
              : (c <= 110882 || (c < 113776
                ? (c < 110960
                  ? (c < 110948
                    ? (c >= 110928 && c <= 110930)
                    : c <= 110951)
                  : (c <= 111355 || (c >= 113664 && c <= 113770)))
                : (c <= 113788 || (c < 119808
                  ? (c < 113808
                    ? (c >= 113792 && c <= 113800)
                    : c <= 113817)
                  : (c <= 119892 || (c >= 119894 && c <= 119964)))))))))))
        : (c <= 119967 || (c < 126464
          ? (c < 120598
            ? (c < 120094
              ? (c < 119997
                ? (c < 119977
                  ? (c < 119973
                    ? c == 119970
                    : c <= 119974)
                  : (c <= 119980 || (c < 119995
                    ? (c >= 119982 && c <= 119993)
                    : c <= 119995)))
                : (c <= 120003 || (c < 120077
                  ? (c < 120071
                    ? (c >= 120005 && c <= 120069)
                    : c <= 120074)
                  : (c <= 120084 || (c >= 120086 && c <= 120092)))))
              : (c <= 120121 || (c < 120146
                ? (c < 120134
                  ? (c < 120128
                    ? (c >= 120123 && c <= 120126)
                    : c <= 120132)
                  : (c <= 120134 || (c >= 120138 && c <= 120144)))
                : (c <= 120485 || (c < 120540
                  ? (c < 120514
                    ? (c >= 120488 && c <= 120512)
                    : c <= 120538)
                  : (c <= 120570 || (c >= 120572 && c <= 120596)))))))
            : (c <= 120628 || (c < 123214
              ? (c < 120746
                ? (c < 120688
                  ? (c < 120656
                    ? (c >= 120630 && c <= 120654)
                    : c <= 120686)
                  : (c <= 120712 || (c >= 120714 && c <= 120744)))
                : (c <= 120770 || (c < 123136
                  ? (c < 122624
                    ? (c >= 120772 && c <= 120779)
                    : c <= 122654)
                  : (c <= 123180 || (c >= 123191 && c <= 123197)))))
              : (c <= 123214 || (c < 124909
                ? (c < 124896
                  ? (c < 123584
                    ? (c >= 123536 && c <= 123565)
                    : c <= 123627)
                  : (c <= 124902 || (c >= 124904 && c <= 124907)))
                : (c <= 124910 || (c < 125184
                  ? (c < 124928
                    ? (c >= 124912 && c <= 124926)
                    : c <= 125124)
                  : (c <= 125251 || c == 125259))))))))
          : (c <= 126467 || (c < 126559
            ? (c < 126535
              ? (c < 126505
                ? (c < 126500
                  ? (c < 126497
                    ? (c >= 126469 && c <= 126495)
                    : c <= 126498)
                  : (c <= 126500 || c == 126503))
                : (c <= 126514 || (c < 126523
                  ? (c < 126521
                    ? (c >= 126516 && c <= 126519)
                    : c <= 126521)
                  : (c <= 126523 || c == 126530))))
              : (c <= 126535 || (c < 126548
                ? (c < 126541
                  ? (c < 126539
                    ? c == 126537
                    : c <= 126539)
                  : (c <= 126543 || (c >= 126545 && c <= 126546)))
                : (c <= 126548 || (c < 126555
                  ? (c < 126553
                    ? c == 126551
                    : c <= 126553)
                  : (c <= 126555 || c == 126557))))))
            : (c <= 126559 || (c < 126625
              ? (c < 126580
                ? (c < 126567
                  ? (c < 126564
                    ? (c >= 126561 && c <= 126562)
                    : c <= 126564)
                  : (c <= 126570 || (c >= 126572 && c <= 126578)))
                : (c <= 126583 || (c < 126592
                  ? (c < 126590
                    ? (c >= 126585 && c <= 126588)
                    : c <= 126590)
                  : (c <= 126601 || (c >= 126603 && c <= 126619)))))
              : (c <= 126627 || (c < 177984
                ? (c < 131072
                  ? (c < 126635
                    ? (c >= 126629 && c <= 126633)
                    : c <= 126651)
                  : (c <= 173791 || (c >= 173824 && c <= 177976)))
                : (c <= 178205 || (c < 194560
                  ? (c < 183984
                    ? (c >= 178208 && c <= 183969)
                    : c <= 191456)
                  : (c <= 195101 || (c >= 196608 && c <= 201546)))))))))))))))));
}

static inline bool sym_identifier_character_set_6(int32_t c) {
  return (c < 43471
    ? (c < 4096
      ? (c < 2649
        ? (c < 1791
          ? (c < 891
            ? (c < 186
              ? (c < '_'
                ? (c < 'M'
                  ? (c < 'A'
                    ? c == '$'
                    : c <= 'K')
                  : (c <= 'Q' || (c < 'V'
                    ? (c >= 'S' && c <= 'T')
                    : c <= 'Z')))
                : (c <= '_' || (c < 170
                  ? (c < 'v'
                    ? (c >= 'a' && c <= 't')
                    : c <= 'z')
                  : (c <= 170 || c == 181))))
              : (c <= 186 || (c < 736
                ? (c < 248
                  ? (c < 216
                    ? (c >= 192 && c <= 214)
                    : c <= 246)
                  : (c <= 705 || (c >= 710 && c <= 721)))
                : (c <= 740 || (c < 880
                  ? (c < 750
                    ? c == 748
                    : c <= 750)
                  : (c <= 884 || (c >= 886 && c <= 887)))))))
            : (c <= 893 || (c < 1376
              ? (c < 931
                ? (c < 904
                  ? (c < 902
                    ? c == 895
                    : c <= 902)
                  : (c <= 906 || (c < 910
                    ? c == 908
                    : c <= 929)))
                : (c <= 1013 || (c < 1329
                  ? (c < 1162
                    ? (c >= 1015 && c <= 1153)
                    : c <= 1327)
                  : (c <= 1366 || c == 1369))))
              : (c <= 1416 || (c < 1649
                ? (c < 1568
                  ? (c < 1519
                    ? (c >= 1488 && c <= 1514)
                    : c <= 1522)
                  : (c <= 1610 || (c >= 1646 && c <= 1647)))
                : (c <= 1747 || (c < 1774
                  ? (c < 1765
                    ? c == 1749
                    : c <= 1766)
                  : (c <= 1775 || (c >= 1786 && c <= 1788)))))))))
          : (c <= 1791 || (c < 2417
            ? (c < 2088
              ? (c < 2036
                ? (c < 1869
                  ? (c < 1810
                    ? c == 1808
                    : c <= 1839)
                  : (c <= 1957 || (c < 1994
                    ? c == 1969
                    : c <= 2026)))
                : (c <= 2037 || (c < 2074
                  ? (c < 2048
                    ? c == 2042
                    : c <= 2069)
                  : (c <= 2074 || c == 2084))))
              : (c <= 2088 || (c < 2208
                ? (c < 2160
                  ? (c < 2144
                    ? (c >= 2112 && c <= 2136)
                    : c <= 2154)
                  : (c <= 2183 || (c >= 2185 && c <= 2190)))
                : (c <= 2249 || (c < 2384
                  ? (c < 2365
                    ? (c >= 2308 && c <= 2361)
                    : c <= 2365)
                  : (c <= 2384 || (c >= 2392 && c <= 2401)))))))
            : (c <= 2432 || (c < 2527
              ? (c < 2482
                ? (c < 2451
                  ? (c < 2447
                    ? (c >= 2437 && c <= 2444)
                    : c <= 2448)
                  : (c <= 2472 || (c >= 2474 && c <= 2480)))
                : (c <= 2482 || (c < 2510
                  ? (c < 2493
                    ? (c >= 2486 && c <= 2489)
                    : c <= 2493)
                  : (c <= 2510 || (c >= 2524 && c <= 2525)))))
              : (c <= 2529 || (c < 2579
                ? (c < 2565
                  ? (c < 2556
                    ? (c >= 2544 && c <= 2545)
                    : c <= 2556)
                  : (c <= 2570 || (c >= 2575 && c <= 2576)))
                : (c <= 2600 || (c < 2613
                  ? (c < 2610
                    ? (c >= 2602 && c <= 2608)
                    : c <= 2611)
                  : (c <= 2614 || (c >= 2616 && c <= 2617)))))))))))
        : (c <= 2652 || (c < 3200
          ? (c < 2911
            ? (c < 2784
              ? (c < 2730
                ? (c < 2693
                  ? (c < 2674
                    ? c == 2654
                    : c <= 2676)
                  : (c <= 2701 || (c < 2707
                    ? (c >= 2703 && c <= 2705)
                    : c <= 2728)))
                : (c <= 2736 || (c < 2749
                  ? (c < 2741
                    ? (c >= 2738 && c <= 2739)
                    : c <= 2745)
                  : (c <= 2749 || c == 2768))))
              : (c <= 2785 || (c < 2858
                ? (c < 2831
                  ? (c < 2821
                    ? c == 2809
                    : c <= 2828)
                  : (c <= 2832 || (c >= 2835 && c <= 2856)))
                : (c <= 2864 || (c < 2877
                  ? (c < 2869
                    ? (c >= 2866 && c <= 2867)
                    : c <= 2873)
                  : (c <= 2877 || (c >= 2908 && c <= 2909)))))))
            : (c <= 2913 || (c < 2990
              ? (c < 2969
                ? (c < 2949
                  ? (c < 2947
                    ? c == 2929
                    : c <= 2947)
                  : (c <= 2954 || (c < 2962
                    ? (c >= 2958 && c <= 2960)
                    : c <= 2965)))
                : (c <= 2970 || (c < 2979
                  ? (c < 2974
                    ? c == 2972
                    : c <= 2975)
                  : (c <= 2980 || (c >= 2984 && c <= 2986)))))
              : (c <= 3001 || (c < 3114
                ? (c < 3086
                  ? (c < 3077
                    ? c == 3024
                    : c <= 3084)
                  : (c <= 3088 || (c >= 3090 && c <= 3112)))
                : (c <= 3129 || (c < 3165
                  ? (c < 3160
                    ? c == 3133
                    : c <= 3162)
                  : (c <= 3165 || (c >= 3168 && c <= 3169)))))))))
          : (c <= 3200 || (c < 3517
            ? (c < 3342
              ? (c < 3261
                ? (c < 3218
                  ? (c < 3214
                    ? (c >= 3205 && c <= 3212)
                    : c <= 3216)
                  : (c <= 3240 || (c < 3253
                    ? (c >= 3242 && c <= 3251)
                    : c <= 3257)))
                : (c <= 3261 || (c < 3313
                  ? (c < 3296
                    ? (c >= 3293 && c <= 3294)
                    : c <= 3297)
                  : (c <= 3314 || (c >= 3332 && c <= 3340)))))
              : (c <= 3344 || (c < 3423
                ? (c < 3406
                  ? (c < 3389
                    ? (c >= 3346 && c <= 3386)
                    : c <= 3389)
                  : (c <= 3406 || (c >= 3412 && c <= 3414)))
                : (c <= 3425 || (c < 3482
                  ? (c < 3461
                    ? (c >= 3450 && c <= 3455)
                    : c <= 3478)
                  : (c <= 3505 || (c >= 3507 && c <= 3515)))))))
            : (c <= 3517 || (c < 3751
              ? (c < 3713
                ? (c < 3634
                  ? (c < 3585
                    ? (c >= 3520 && c <= 3526)
                    : c <= 3632)
                  : (c <= 3634 || (c >= 3648 && c <= 3654)))
                : (c <= 3714 || (c < 3724
                  ? (c < 3718
                    ? c == 3716
                    : c <= 3722)
                  : (c <= 3747 || c == 3749))))
              : (c <= 3760 || (c < 3804
                ? (c < 3776
                  ? (c < 3773
                    ? c == 3762
                    : c <= 3773)
                  : (c <= 3780 || c == 3782))
                : (c <= 3807 || (c < 3913
                  ? (c < 3904
                    ? c == 3840
                    : c <= 3911)
                  : (c <= 3948 || (c >= 3976 && c <= 3980)))))))))))))
      : (c <= 4138 || (c < 8118
        ? (c < 6016
          ? (c < 4786
            ? (c < 4301
              ? (c < 4206
                ? (c < 4186
                  ? (c < 4176
                    ? c == 4159
                    : c <= 4181)
                  : (c <= 4189 || (c < 4197
                    ? c == 4193
                    : c <= 4198)))
                : (c <= 4208 || (c < 4256
                  ? (c < 4238
                    ? (c >= 4213 && c <= 4225)
                    : c <= 4238)
                  : (c <= 4293 || c == 4295))))
              : (c <= 4301 || (c < 4696
                ? (c < 4682
                  ? (c < 4348
                    ? (c >= 4304 && c <= 4346)
                    : c <= 4680)
                  : (c <= 4685 || (c >= 4688 && c <= 4694)))
                : (c <= 4696 || (c < 4746
                  ? (c < 4704
                    ? (c >= 4698 && c <= 4701)
                    : c <= 4744)
                  : (c <= 4749 || (c >= 4752 && c <= 4784)))))))
            : (c <= 4789 || (c < 5121
              ? (c < 4882
                ? (c < 4802
                  ? (c < 4800
                    ? (c >= 4792 && c <= 4798)
                    : c <= 4800)
                  : (c <= 4805 || (c < 4824
                    ? (c >= 4808 && c <= 4822)
                    : c <= 4880)))
                : (c <= 4885 || (c < 5024
                  ? (c < 4992
                    ? (c >= 4888 && c <= 4954)
                    : c <= 5007)
                  : (c <= 5109 || (c >= 5112 && c <= 5117)))))
              : (c <= 5740 || (c < 5888
                ? (c < 5792
                  ? (c < 5761
                    ? (c >= 5743 && c <= 5759)
                    : c <= 5786)
                  : (c <= 5866 || (c >= 5870 && c <= 5880)))
                : (c <= 5905 || (c < 5984
                  ? (c < 5952
                    ? (c >= 5919 && c <= 5937)
                    : c <= 5969)
                  : (c <= 5996 || (c >= 5998 && c <= 6000)))))))))
          : (c <= 6067 || (c < 7245
            ? (c < 6576
              ? (c < 6320
                ? (c < 6176
                  ? (c < 6108
                    ? c == 6103
                    : c <= 6108)
                  : (c <= 6264 || (c < 6314
                    ? (c >= 6272 && c <= 6312)
                    : c <= 6314)))
                : (c <= 6389 || (c < 6512
                  ? (c < 6480
                    ? (c >= 6400 && c <= 6430)
                    : c <= 6509)
                  : (c <= 6516 || (c >= 6528 && c <= 6571)))))
              : (c <= 6601 || (c < 6981
                ? (c < 6823
                  ? (c < 6688
                    ? (c >= 6656 && c <= 6678)
                    : c <= 6740)
                  : (c <= 6823 || (c >= 6917 && c <= 6963)))
                : (c <= 6988 || (c < 7098
                  ? (c < 7086
                    ? (c >= 7043 && c <= 7072)
                    : c <= 7087)
                  : (c <= 7141 || (c >= 7168 && c <= 7203)))))))
            : (c <= 7247 || (c < 7680
              ? (c < 7401
                ? (c < 7312
                  ? (c < 7296
                    ? (c >= 7258 && c <= 7293)
                    : c <= 7304)
                  : (c <= 7354 || (c >= 7357 && c <= 7359)))
                : (c <= 7404 || (c < 7418
                  ? (c < 7413
                    ? (c >= 7406 && c <= 7411)
                    : c <= 7414)
                  : (c <= 7418 || (c >= 7424 && c <= 7615)))))
              : (c <= 7957 || (c < 8025
                ? (c < 8008
                  ? (c < 7968
                    ? (c >= 7960 && c <= 7965)
                    : c <= 8005)
                  : (c <= 8013 || (c >= 8016 && c <= 8023)))
                : (c <= 8025 || (c < 8031
                  ? (c < 8029
                    ? c == 8027
                    : c <= 8029)
                  : (c <= 8061 || (c >= 8064 && c <= 8116)))))))))))
        : (c <= 8124 || (c < 11736
          ? (c < 8508
            ? (c < 8336
              ? (c < 8160
                ? (c < 8134
                  ? (c < 8130
                    ? c == 8126
                    : c <= 8132)
                  : (c <= 8140 || (c < 8150
                    ? (c >= 8144 && c <= 8147)
                    : c <= 8155)))
                : (c <= 8172 || (c < 8305
                  ? (c < 8182
                    ? (c >= 8178 && c <= 8180)
                    : c <= 8188)
                  : (c <= 8305 || c == 8319))))
              : (c <= 8348 || (c < 8472
                ? (c < 8458
                  ? (c < 8455
                    ? c == 8450
                    : c <= 8455)
                  : (c <= 8467 || c == 8469))
                : (c <= 8477 || (c < 8488
                  ? (c < 8486
                    ? c == 8484
                    : c <= 8486)
                  : (c <= 8488 || (c >= 8490 && c <= 8505)))))))
            : (c <= 8511 || (c < 11568
              ? (c < 11499
                ? (c < 8544
                  ? (c < 8526
                    ? (c >= 8517 && c <= 8521)
                    : c <= 8526)
                  : (c <= 8584 || (c >= 11264 && c <= 11492)))
                : (c <= 11502 || (c < 11559
                  ? (c < 11520
                    ? (c >= 11506 && c <= 11507)
                    : c <= 11557)
                  : (c <= 11559 || c == 11565))))
              : (c <= 11623 || (c < 11696
                ? (c < 11680
                  ? (c < 11648
                    ? c == 11631
                    : c <= 11670)
                  : (c <= 11686 || (c >= 11688 && c <= 11694)))
                : (c <= 11702 || (c < 11720
                  ? (c < 11712
                    ? (c >= 11704 && c <= 11710)
                    : c <= 11718)
                  : (c <= 11726 || (c >= 11728 && c <= 11734)))))))))
          : (c <= 11742 || (c < 42656
            ? (c < 12704
              ? (c < 12445
                ? (c < 12337
                  ? (c < 12321
                    ? (c >= 12293 && c <= 12295)
                    : c <= 12329)
                  : (c <= 12341 || (c < 12353
                    ? (c >= 12344 && c <= 12348)
                    : c <= 12438)))
                : (c <= 12447 || (c < 12549
                  ? (c < 12540
                    ? (c >= 12449 && c <= 12538)
                    : c <= 12543)
                  : (c <= 12591 || (c >= 12593 && c <= 12686)))))
              : (c <= 12735 || (c < 42240
                ? (c < 19968
                  ? (c < 13312
                    ? (c >= 12784 && c <= 12799)
                    : c <= 19903)
                  : (c <= 42124 || (c >= 42192 && c <= 42237)))
                : (c <= 42508 || (c < 42560
                  ? (c < 42538
                    ? (c >= 42512 && c <= 42527)
                    : c <= 42539)
                  : (c <= 42606 || (c >= 42623 && c <= 42653)))))))
            : (c <= 42735 || (c < 43020
              ? (c < 42963
                ? (c < 42891
                  ? (c < 42786
                    ? (c >= 42775 && c <= 42783)
                    : c <= 42888)
                  : (c <= 42954 || (c >= 42960 && c <= 42961)))
                : (c <= 42963 || (c < 43011
                  ? (c < 42994
                    ? (c >= 42965 && c <= 42969)
                    : c <= 43009)
                  : (c <= 43013 || (c >= 43015 && c <= 43018)))))
              : (c <= 43042 || (c < 43261
                ? (c < 43250
                  ? (c < 43138
                    ? (c >= 43072 && c <= 43123)
                    : c <= 43187)
                  : (c <= 43255 || c == 43259))
                : (c <= 43262 || (c < 43360
                  ? (c < 43312
                    ? (c >= 43274 && c <= 43301)
                    : c <= 43334)
                  : (c <= 43388 || (c >= 43396 && c <= 43442)))))))))))))))
    : (c <= 43471 || (c < 70656
      ? (c < 66928
        ? (c < 64612
          ? (c < 43808
            ? (c < 43701
              ? (c < 43588
                ? (c < 43514
                  ? (c < 43494
                    ? (c >= 43488 && c <= 43492)
                    : c <= 43503)
                  : (c <= 43518 || (c < 43584
                    ? (c >= 43520 && c <= 43560)
                    : c <= 43586)))
                : (c <= 43595 || (c < 43646
                  ? (c < 43642
                    ? (c >= 43616 && c <= 43638)
                    : c <= 43642)
                  : (c <= 43695 || c == 43697))))
              : (c <= 43702 || (c < 43744
                ? (c < 43714
                  ? (c < 43712
                    ? (c >= 43705 && c <= 43709)
                    : c <= 43712)
                  : (c <= 43714 || (c >= 43739 && c <= 43741)))
                : (c <= 43754 || (c < 43785
                  ? (c < 43777
                    ? (c >= 43762 && c <= 43764)
                    : c <= 43782)
                  : (c <= 43790 || (c >= 43793 && c <= 43798)))))))
            : (c <= 43814 || (c < 64275
              ? (c < 55216
                ? (c < 43868
                  ? (c < 43824
                    ? (c >= 43816 && c <= 43822)
                    : c <= 43866)
                  : (c <= 43881 || (c < 44032
                    ? (c >= 43888 && c <= 44002)
                    : c <= 55203)))
                : (c <= 55238 || (c < 64112
                  ? (c < 63744
                    ? (c >= 55243 && c <= 55291)
                    : c <= 64109)
                  : (c <= 64217 || (c >= 64256 && c <= 64262)))))
              : (c <= 64279 || (c < 64318
                ? (c < 64298
                  ? (c < 64287
                    ? c == 64285
                    : c <= 64296)
                  : (c <= 64310 || (c >= 64312 && c <= 64316)))
                : (c <= 64318 || (c < 64326
                  ? (c < 64323
                    ? (c >= 64320 && c <= 64321)
                    : c <= 64324)
                  : (c <= 64433 || (c >= 64467 && c <= 64605)))))))))
          : (c <= 64829 || (c < 65576
            ? (c < 65313
              ? (c < 65143
                ? (c < 65008
                  ? (c < 64914
                    ? (c >= 64848 && c <= 64911)
                    : c <= 64967)
                  : (c <= 65017 || (c < 65139
                    ? c == 65137
                    : c <= 65139)))
                : (c <= 65143 || (c < 65149
                  ? (c < 65147
                    ? c == 65145
                    : c <= 65147)
                  : (c <= 65149 || (c >= 65151 && c <= 65276)))))
              : (c <= 65338 || (c < 65482
                ? (c < 65440
                  ? (c < 65382
                    ? (c >= 65345 && c <= 65370)
                    : c <= 65437)
                  : (c <= 65470 || (c >= 65474 && c <= 65479)))
                : (c <= 65487 || (c < 65536
                  ? (c < 65498
                    ? (c >= 65490 && c <= 65495)
                    : c <= 65500)
                  : (c <= 65547 || (c >= 65549 && c <= 65574)))))))
            : (c <= 65594 || (c < 66384
              ? (c < 65856
                ? (c < 65616
                  ? (c < 65599
                    ? (c >= 65596 && c <= 65597)
                    : c <= 65613)
                  : (c <= 65629 || (c >= 65664 && c <= 65786)))
                : (c <= 65908 || (c < 66304
                  ? (c < 66208
                    ? (c >= 66176 && c <= 66204)
                    : c <= 66256)
                  : (c <= 66335 || (c >= 66349 && c <= 66378)))))
              : (c <= 66421 || (c < 66560
                ? (c < 66504
                  ? (c < 66464
                    ? (c >= 66432 && c <= 66461)
                    : c <= 66499)
                  : (c <= 66511 || (c >= 66513 && c <= 66517)))
                : (c <= 66717 || (c < 66816
                  ? (c < 66776
                    ? (c >= 66736 && c <= 66771)
                    : c <= 66811)
                  : (c <= 66855 || (c >= 66864 && c <= 66915)))))))))))
        : (c <= 66938 || (c < 68800
          ? (c < 67712
            ? (c < 67456
              ? (c < 66995
                ? (c < 66964
                  ? (c < 66956
                    ? (c >= 66940 && c <= 66954)
                    : c <= 66962)
                  : (c <= 66965 || (c < 66979
                    ? (c >= 66967 && c <= 66977)
                    : c <= 66993)))
                : (c <= 67001 || (c < 67392
                  ? (c < 67072
                    ? (c >= 67003 && c <= 67004)
                    : c <= 67382)
                  : (c <= 67413 || (c >= 67424 && c <= 67431)))))
              : (c <= 67461 || (c < 67594
                ? (c < 67584
                  ? (c < 67506
                    ? (c >= 67463 && c <= 67504)
                    : c <= 67514)
                  : (c <= 67589 || c == 67592))
                : (c <= 67637 || (c < 67647
                  ? (c < 67644
                    ? (c >= 67639 && c <= 67640)
                    : c <= 67644)
                  : (c <= 67669 || (c >= 67680 && c <= 67702)))))))
            : (c <= 67742 || (c < 68192
              ? (c < 68030
                ? (c < 67840
                  ? (c < 67828
                    ? (c >= 67808 && c <= 67826)
                    : c <= 67829)
                  : (c <= 67861 || (c < 67968
                    ? (c >= 67872 && c <= 67897)
                    : c <= 68023)))
                : (c <= 68031 || (c < 68117
                  ? (c < 68112
                    ? c == 68096
                    : c <= 68115)
                  : (c <= 68119 || (c >= 68121 && c <= 68149)))))
              : (c <= 68220 || (c < 68416
                ? (c < 68297
                  ? (c < 68288
                    ? (c >= 68224 && c <= 68252)
                    : c <= 68295)
                  : (c <= 68324 || (c >= 68352 && c <= 68405)))
                : (c <= 68437 || (c < 68608
                  ? (c < 68480
                    ? (c >= 68448 && c <= 68466)
                    : c <= 68497)
                  : (c <= 68680 || (c >= 68736 && c <= 68786)))))))))
          : (c <= 68850 || (c < 70081
            ? (c < 69745
              ? (c < 69424
                ? (c < 69296
                  ? (c < 69248
                    ? (c >= 68864 && c <= 68899)
                    : c <= 69289)
                  : (c <= 69297 || (c < 69415
                    ? (c >= 69376 && c <= 69404)
                    : c <= 69415)))
                : (c <= 69445 || (c < 69600
                  ? (c < 69552
                    ? (c >= 69488 && c <= 69505)
                    : c <= 69572)
                  : (c <= 69622 || (c >= 69635 && c <= 69687)))))
              : (c <= 69746 || (c < 69956
                ? (c < 69840
                  ? (c < 69763
                    ? c == 69749
                    : c <= 69807)
                  : (c <= 69864 || (c >= 69891 && c <= 69926)))
                : (c <= 69956 || (c < 70006
                  ? (c < 69968
                    ? c == 69959
                    : c <= 70002)
                  : (c <= 70006 || (c >= 70019 && c <= 70066)))))))
            : (c <= 70084 || (c < 70320
              ? (c < 70272
                ? (c < 70144
                  ? (c < 70108
                    ? c == 70106
                    : c <= 70108)
                  : (c <= 70161 || (c >= 70163 && c <= 70187)))
                : (c <= 70278 || (c < 70287
                  ? (c < 70282
                    ? c == 70280
                    : c <= 70285)
                  : (c <= 70301 || (c >= 70303 && c <= 70312)))))
              : (c <= 70366 || (c < 70450
                ? (c < 70419
                  ? (c < 70415
                    ? (c >= 70405 && c <= 70412)
                    : c <= 70416)
                  : (c <= 70440 || (c >= 70442 && c <= 70448)))
                : (c <= 70451 || (c < 70480
                  ? (c < 70461
                    ? (c >= 70453 && c <= 70457)
                    : c <= 70461)
                  : (c <= 70480 || (c >= 70493 && c <= 70497)))))))))))))
      : (c <= 70708 || (c < 119894
        ? (c < 73056
          ? (c < 71999
            ? (c < 71352
              ? (c < 71040
                ? (c < 70784
                  ? (c < 70751
                    ? (c >= 70727 && c <= 70730)
                    : c <= 70753)
                  : (c <= 70831 || (c < 70855
                    ? (c >= 70852 && c <= 70853)
                    : c <= 70855)))
                : (c <= 71086 || (c < 71236
                  ? (c < 71168
                    ? (c >= 71128 && c <= 71131)
                    : c <= 71215)
                  : (c <= 71236 || (c >= 71296 && c <= 71338)))))
              : (c <= 71352 || (c < 71935
                ? (c < 71680
                  ? (c < 71488
                    ? (c >= 71424 && c <= 71450)
                    : c <= 71494)
                  : (c <= 71723 || (c >= 71840 && c <= 71903)))
                : (c <= 71942 || (c < 71957
                  ? (c < 71948
                    ? c == 71945
                    : c <= 71955)
                  : (c <= 71958 || (c >= 71960 && c <= 71983)))))))
            : (c <= 71999 || (c < 72349
              ? (c < 72192
                ? (c < 72106
                  ? (c < 72096
                    ? c == 72001
                    : c <= 72103)
                  : (c <= 72144 || (c < 72163
                    ? c == 72161
                    : c <= 72163)))
                : (c <= 72192 || (c < 72272
                  ? (c < 72250
                    ? (c >= 72203 && c <= 72242)
                    : c <= 72250)
                  : (c <= 72272 || (c >= 72284 && c <= 72329)))))
              : (c <= 72349 || (c < 72818
                ? (c < 72714
                  ? (c < 72704
                    ? (c >= 72368 && c <= 72440)
                    : c <= 72712)
                  : (c <= 72750 || c == 72768))
                : (c <= 72847 || (c < 72971
                  ? (c < 72968
                    ? (c >= 72960 && c <= 72966)
                    : c <= 72969)
                  : (c <= 73008 || c == 73030))))))))
          : (c <= 73061 || (c < 93952
            ? (c < 82944
              ? (c < 73728
                ? (c < 73112
                  ? (c < 73066
                    ? (c >= 73063 && c <= 73064)
                    : c <= 73097)
                  : (c <= 73112 || (c < 73648
                    ? (c >= 73440 && c <= 73458)
                    : c <= 73648)))
                : (c <= 74649 || (c < 77712
                  ? (c < 74880
                    ? (c >= 74752 && c <= 74862)
                    : c <= 75075)
                  : (c <= 77808 || (c >= 77824 && c <= 78894)))))
              : (c <= 83526 || (c < 92928
                ? (c < 92784
                  ? (c < 92736
                    ? (c >= 92160 && c <= 92728)
                    : c <= 92766)
                  : (c <= 92862 || (c >= 92880 && c <= 92909)))
                : (c <= 92975 || (c < 93053
                  ? (c < 93027
                    ? (c >= 92992 && c <= 92995)
                    : c <= 93047)
                  : (c <= 93071 || (c >= 93760 && c <= 93823)))))))
            : (c <= 94026 || (c < 110589
              ? (c < 94208
                ? (c < 94176
                  ? (c < 94099
                    ? c == 94032
                    : c <= 94111)
                  : (c <= 94177 || c == 94179))
                : (c <= 100343 || (c < 110576
                  ? (c < 101632
                    ? (c >= 100352 && c <= 101589)
                    : c <= 101640)
                  : (c <= 110579 || (c >= 110581 && c <= 110587)))))
              : (c <= 110590 || (c < 113664
                ? (c < 110948
                  ? (c < 110928
                    ? (c >= 110592 && c <= 110882)
                    : c <= 110930)
                  : (c <= 110951 || (c >= 110960 && c <= 111355)))
                : (c <= 113770 || (c < 113808
                  ? (c < 113792
                    ? (c >= 113776 && c <= 113788)
                    : c <= 113800)
                  : (c <= 113817 || (c >= 119808 && c <= 119892)))))))))))
        : (c <= 119964 || (c < 125259
          ? (c < 120572
            ? (c < 120086
              ? (c < 119995
                ? (c < 119973
                  ? (c < 119970
                    ? (c >= 119966 && c <= 119967)
                    : c <= 119970)
                  : (c <= 119974 || (c < 119982
                    ? (c >= 119977 && c <= 119980)
                    : c <= 119993)))
                : (c <= 119995 || (c < 120071
                  ? (c < 120005
                    ? (c >= 119997 && c <= 120003)
                    : c <= 120069)
                  : (c <= 120074 || (c >= 120077 && c <= 120084)))))
              : (c <= 120092 || (c < 120138
                ? (c < 120128
                  ? (c < 120123
                    ? (c >= 120094 && c <= 120121)
                    : c <= 120126)
                  : (c <= 120132 || c == 120134))
                : (c <= 120144 || (c < 120514
                  ? (c < 120488
                    ? (c >= 120146 && c <= 120485)
                    : c <= 120512)
                  : (c <= 120538 || (c >= 120540 && c <= 120570)))))))
            : (c <= 120596 || (c < 123191
              ? (c < 120714
                ? (c < 120656
                  ? (c < 120630
                    ? (c >= 120598 && c <= 120628)
                    : c <= 120654)
                  : (c <= 120686 || (c >= 120688 && c <= 120712)))
                : (c <= 120744 || (c < 122624
                  ? (c < 120772
                    ? (c >= 120746 && c <= 120770)
                    : c <= 120779)
                  : (c <= 122654 || (c >= 123136 && c <= 123180)))))
              : (c <= 123197 || (c < 124904
                ? (c < 123584
                  ? (c < 123536
                    ? c == 123214
                    : c <= 123565)
                  : (c <= 123627 || (c >= 124896 && c <= 124902)))
                : (c <= 124907 || (c < 124928
                  ? (c < 124912
                    ? (c >= 124909 && c <= 124910)
                    : c <= 124926)
                  : (c <= 125124 || (c >= 125184 && c <= 125251)))))))))
          : (c <= 125259 || (c < 126559
            ? (c < 126535
              ? (c < 126505
                ? (c < 126497
                  ? (c < 126469
                    ? (c >= 126464 && c <= 126467)
                    : c <= 126495)
                  : (c <= 126498 || (c < 126503
                    ? c == 126500
                    : c <= 126503)))
                : (c <= 126514 || (c < 126523
                  ? (c < 126521
                    ? (c >= 126516 && c <= 126519)
                    : c <= 126521)
                  : (c <= 126523 || c == 126530))))
              : (c <= 126535 || (c < 126548
                ? (c < 126541
                  ? (c < 126539
                    ? c == 126537
                    : c <= 126539)
                  : (c <= 126543 || (c >= 126545 && c <= 126546)))
                : (c <= 126548 || (c < 126555
                  ? (c < 126553
                    ? c == 126551
                    : c <= 126553)
                  : (c <= 126555 || c == 126557))))))
            : (c <= 126559 || (c < 126625
              ? (c < 126580
                ? (c < 126567
                  ? (c < 126564
                    ? (c >= 126561 && c <= 126562)
                    : c <= 126564)
                  : (c <= 126570 || (c >= 126572 && c <= 126578)))
                : (c <= 126583 || (c < 126592
                  ? (c < 126590
                    ? (c >= 126585 && c <= 126588)
                    : c <= 126590)
                  : (c <= 126601 || (c >= 126603 && c <= 126619)))))
              : (c <= 126627 || (c < 177984
                ? (c < 131072
                  ? (c < 126635
                    ? (c >= 126629 && c <= 126633)
                    : c <= 126651)
                  : (c <= 173791 || (c >= 173824 && c <= 177976)))
                : (c <= 178205 || (c < 194560
                  ? (c < 183984
                    ? (c >= 178208 && c <= 183969)
                    : c <= 191456)
                  : (c <= 195101 || (c >= 196608 && c <= 201546)))))))))))))))));
}

static inline bool sym_identifier_character_set_7(int32_t c) {
  return (c < 43360
    ? (c < 3840
      ? (c < 2602
        ? (c < 1649
          ? (c < 736
            ? (c < 'q'
              ? (c < 'a'
                ? (c < 'M'
                  ? (c < 'A'
                    ? c == '$'
                    : c <= 'K')
                  : (c <= 'T' || (c < '_'
                    ? (c >= 'V' && c <= 'Z')
                    : c <= '_')))
                : (c <= 'a' || (c < 'j'
                  ? (c < 'g'
                    ? c == 'e'
                    : c <= 'h')
                  : (c <= 'l' || c == 'o'))))
              : (c <= 'r' || (c < 186
                ? (c < 170
                  ? (c < 'w'
                    ? c == 't'
                    : c <= 'z')
                  : (c <= 170 || c == 181))
                : (c <= 186 || (c < 248
                  ? (c < 216
                    ? (c >= 192 && c <= 214)
                    : c <= 246)
                  : (c <= 705 || (c >= 710 && c <= 721)))))))
            : (c <= 740 || (c < 931
              ? (c < 895
                ? (c < 880
                  ? (c < 750
                    ? c == 748
                    : c <= 750)
                  : (c <= 884 || (c < 891
                    ? (c >= 886 && c <= 887)
                    : c <= 893)))
                : (c <= 895 || (c < 908
                  ? (c < 904
                    ? c == 902
                    : c <= 906)
                  : (c <= 908 || (c >= 910 && c <= 929)))))
              : (c <= 1013 || (c < 1376
                ? (c < 1329
                  ? (c < 1162
                    ? (c >= 1015 && c <= 1153)
                    : c <= 1327)
                  : (c <= 1366 || c == 1369))
                : (c <= 1416 || (c < 1568
                  ? (c < 1519
                    ? (c >= 1488 && c <= 1514)
                    : c <= 1522)
                  : (c <= 1610 || (c >= 1646 && c <= 1647)))))))))
          : (c <= 1747 || (c < 2208
            ? (c < 2036
              ? (c < 1808
                ? (c < 1774
                  ? (c < 1765
                    ? c == 1749
                    : c <= 1766)
                  : (c <= 1775 || (c < 1791
                    ? (c >= 1786 && c <= 1788)
                    : c <= 1791)))
                : (c <= 1808 || (c < 1969
                  ? (c < 1869
                    ? (c >= 1810 && c <= 1839)
                    : c <= 1957)
                  : (c <= 1969 || (c >= 1994 && c <= 2026)))))
              : (c <= 2037 || (c < 2088
                ? (c < 2074
                  ? (c < 2048
                    ? c == 2042
                    : c <= 2069)
                  : (c <= 2074 || c == 2084))
                : (c <= 2088 || (c < 2160
                  ? (c < 2144
                    ? (c >= 2112 && c <= 2136)
                    : c <= 2154)
                  : (c <= 2183 || (c >= 2185 && c <= 2190)))))))
            : (c <= 2249 || (c < 2486
              ? (c < 2437
                ? (c < 2384
                  ? (c < 2365
                    ? (c >= 2308 && c <= 2361)
                    : c <= 2365)
                  : (c <= 2384 || (c < 2417
                    ? (c >= 2392 && c <= 2401)
                    : c <= 2432)))
                : (c <= 2444 || (c < 2474
                  ? (c < 2451
                    ? (c >= 2447 && c <= 2448)
                    : c <= 2472)
                  : (c <= 2480 || c == 2482))))
              : (c <= 2489 || (c < 2544
                ? (c < 2524
                  ? (c < 2510
                    ? c == 2493
                    : c <= 2510)
                  : (c <= 2525 || (c >= 2527 && c <= 2529)))
                : (c <= 2545 || (c < 2575
                  ? (c < 2565
                    ? c == 2556
                    : c <= 2570)
                  : (c <= 2576 || (c >= 2579 && c <= 2600)))))))))))
        : (c <= 2608 || (c < 3133
          ? (c < 2866
            ? (c < 2738
              ? (c < 2674
                ? (c < 2616
                  ? (c < 2613
                    ? (c >= 2610 && c <= 2611)
                    : c <= 2614)
                  : (c <= 2617 || (c < 2654
                    ? (c >= 2649 && c <= 2652)
                    : c <= 2654)))
                : (c <= 2676 || (c < 2707
                  ? (c < 2703
                    ? (c >= 2693 && c <= 2701)
                    : c <= 2705)
                  : (c <= 2728 || (c >= 2730 && c <= 2736)))))
              : (c <= 2739 || (c < 2809
                ? (c < 2768
                  ? (c < 2749
                    ? (c >= 2741 && c <= 2745)
                    : c <= 2749)
                  : (c <= 2768 || (c >= 2784 && c <= 2785)))
                : (c <= 2809 || (c < 2835
                  ? (c < 2831
                    ? (c >= 2821 && c <= 2828)
                    : c <= 2832)
                  : (c <= 2856 || (c >= 2858 && c <= 2864)))))))
            : (c <= 2867 || (c < 2972
              ? (c < 2947
                ? (c < 2908
                  ? (c < 2877
                    ? (c >= 2869 && c <= 2873)
                    : c <= 2877)
                  : (c <= 2909 || (c < 2929
                    ? (c >= 2911 && c <= 2913)
                    : c <= 2929)))
                : (c <= 2947 || (c < 2962
                  ? (c < 2958
                    ? (c >= 2949 && c <= 2954)
                    : c <= 2960)
                  : (c <= 2965 || (c >= 2969 && c <= 2970)))))
              : (c <= 2972 || (c < 3024
                ? (c < 2984
                  ? (c < 2979
                    ? (c >= 2974 && c <= 2975)
                    : c <= 2980)
                  : (c <= 2986 || (c >= 2990 && c <= 3001)))
                : (c <= 3024 || (c < 3090
                  ? (c < 3086
                    ? (c >= 3077 && c <= 3084)
                    : c <= 3088)
                  : (c <= 3112 || (c >= 3114 && c <= 3129)))))))))
          : (c <= 3133 || (c < 3450
            ? (c < 3293
              ? (c < 3214
                ? (c < 3168
                  ? (c < 3165
                    ? (c >= 3160 && c <= 3162)
                    : c <= 3165)
                  : (c <= 3169 || (c < 3205
                    ? c == 3200
                    : c <= 3212)))
                : (c <= 3216 || (c < 3253
                  ? (c < 3242
                    ? (c >= 3218 && c <= 3240)
                    : c <= 3251)
                  : (c <= 3257 || c == 3261))))
              : (c <= 3294 || (c < 3346
                ? (c < 3332
                  ? (c < 3313
                    ? (c >= 3296 && c <= 3297)
                    : c <= 3314)
                  : (c <= 3340 || (c >= 3342 && c <= 3344)))
                : (c <= 3386 || (c < 3412
                  ? (c < 3406
                    ? c == 3389
                    : c <= 3406)
                  : (c <= 3414 || (c >= 3423 && c <= 3425)))))))
            : (c <= 3455 || (c < 3716
              ? (c < 3520
                ? (c < 3507
                  ? (c < 3482
                    ? (c >= 3461 && c <= 3478)
                    : c <= 3505)
                  : (c <= 3515 || c == 3517))
                : (c <= 3526 || (c < 3648
                  ? (c < 3634
                    ? (c >= 3585 && c <= 3632)
                    : c <= 3634)
                  : (c <= 3654 || (c >= 3713 && c <= 3714)))))
              : (c <= 3716 || (c < 3762
                ? (c < 3749
                  ? (c < 3724
                    ? (c >= 3718 && c <= 3722)
                    : c <= 3747)
                  : (c <= 3749 || (c >= 3751 && c <= 3760)))
                : (c <= 3762 || (c < 3782
                  ? (c < 3776
                    ? c == 3773
                    : c <= 3780)
                  : (c <= 3782 || (c >= 3804 && c <= 3807)))))))))))))
      : (c <= 3840 || (c < 8029
        ? (c < 5919
          ? (c < 4698
            ? (c < 4213
              ? (c < 4176
                ? (c < 3976
                  ? (c < 3913
                    ? (c >= 3904 && c <= 3911)
                    : c <= 3948)
                  : (c <= 3980 || (c < 4159
                    ? (c >= 4096 && c <= 4138)
                    : c <= 4159)))
                : (c <= 4181 || (c < 4197
                  ? (c < 4193
                    ? (c >= 4186 && c <= 4189)
                    : c <= 4193)
                  : (c <= 4198 || (c >= 4206 && c <= 4208)))))
              : (c <= 4225 || (c < 4304
                ? (c < 4295
                  ? (c < 4256
                    ? c == 4238
                    : c <= 4293)
                  : (c <= 4295 || c == 4301))
                : (c <= 4346 || (c < 4688
                  ? (c < 4682
                    ? (c >= 4348 && c <= 4680)
                    : c <= 4685)
                  : (c <= 4694 || c == 4696))))))
            : (c <= 4701 || (c < 4888
              ? (c < 4800
                ? (c < 4752
                  ? (c < 4746
                    ? (c >= 4704 && c <= 4744)
                    : c <= 4749)
                  : (c <= 4784 || (c < 4792
                    ? (c >= 4786 && c <= 4789)
                    : c <= 4798)))
                : (c <= 4800 || (c < 4824
                  ? (c < 4808
                    ? (c >= 4802 && c <= 4805)
                    : c <= 4822)
                  : (c <= 4880 || (c >= 4882 && c <= 4885)))))
              : (c <= 4954 || (c < 5743
                ? (c < 5112
                  ? (c < 5024
                    ? (c >= 4992 && c <= 5007)
                    : c <= 5109)
                  : (c <= 5117 || (c >= 5121 && c <= 5740)))
                : (c <= 5759 || (c < 5870
                  ? (c < 5792
                    ? (c >= 5761 && c <= 5786)
                    : c <= 5866)
                  : (c <= 5880 || (c >= 5888 && c <= 5905)))))))))
          : (c <= 5937 || (c < 7043
            ? (c < 6400
              ? (c < 6108
                ? (c < 5998
                  ? (c < 5984
                    ? (c >= 5952 && c <= 5969)
                    : c <= 5996)
                  : (c <= 6000 || (c < 6103
                    ? (c >= 6016 && c <= 6067)
                    : c <= 6103)))
                : (c <= 6108 || (c < 6314
                  ? (c < 6272
                    ? (c >= 6176 && c <= 6264)
                    : c <= 6312)
                  : (c <= 6314 || (c >= 6320 && c <= 6389)))))
              : (c <= 6430 || (c < 6656
                ? (c < 6528
                  ? (c < 6512
                    ? (c >= 6480 && c <= 6509)
                    : c <= 6516)
                  : (c <= 6571 || (c >= 6576 && c <= 6601)))
                : (c <= 6678 || (c < 6917
                  ? (c < 6823
                    ? (c >= 6688 && c <= 6740)
                    : c <= 6823)
                  : (c <= 6963 || (c >= 6981 && c <= 6988)))))))
            : (c <= 7072 || (c < 7413
              ? (c < 7296
                ? (c < 7168
                  ? (c < 7098
                    ? (c >= 7086 && c <= 7087)
                    : c <= 7141)
                  : (c <= 7203 || (c < 7258
                    ? (c >= 7245 && c <= 7247)
                    : c <= 7293)))
                : (c <= 7304 || (c < 7401
                  ? (c < 7357
                    ? (c >= 7312 && c <= 7354)
                    : c <= 7359)
                  : (c <= 7404 || (c >= 7406 && c <= 7411)))))
              : (c <= 7414 || (c < 7968
                ? (c < 7680
                  ? (c < 7424
                    ? c == 7418
                    : c <= 7615)
                  : (c <= 7957 || (c >= 7960 && c <= 7965)))
                : (c <= 8005 || (c < 8025
                  ? (c < 8016
                    ? (c >= 8008 && c <= 8013)
                    : c <= 8023)
                  : (c <= 8025 || c == 8027))))))))))
        : (c <= 8029 || (c < 11720
          ? (c < 8486
            ? (c < 8182
              ? (c < 8134
                ? (c < 8118
                  ? (c < 8064
                    ? (c >= 8031 && c <= 8061)
                    : c <= 8116)
                  : (c <= 8124 || (c < 8130
                    ? c == 8126
                    : c <= 8132)))
                : (c <= 8140 || (c < 8160
                  ? (c < 8150
                    ? (c >= 8144 && c <= 8147)
                    : c <= 8155)
                  : (c <= 8172 || (c >= 8178 && c <= 8180)))))
              : (c <= 8188 || (c < 8455
                ? (c < 8336
                  ? (c < 8319
                    ? c == 8305
                    : c <= 8319)
                  : (c <= 8348 || c == 8450))
                : (c <= 8455 || (c < 8472
                  ? (c < 8469
                    ? (c >= 8458 && c <= 8467)
                    : c <= 8469)
                  : (c <= 8477 || c == 8484))))))
            : (c <= 8486 || (c < 11559
              ? (c < 8544
                ? (c < 8508
                  ? (c < 8490
                    ? c == 8488
                    : c <= 8505)
                  : (c <= 8511 || (c < 8526
                    ? (c >= 8517 && c <= 8521)
                    : c <= 8526)))
                : (c <= 8584 || (c < 11506
                  ? (c < 11499
                    ? (c >= 11264 && c <= 11492)
                    : c <= 11502)
                  : (c <= 11507 || (c >= 11520 && c <= 11557)))))
              : (c <= 11559 || (c < 11680
                ? (c < 11631
                  ? (c < 11568
                    ? c == 11565
                    : c <= 11623)
                  : (c <= 11631 || (c >= 11648 && c <= 11670)))
                : (c <= 11686 || (c < 11704
                  ? (c < 11696
                    ? (c >= 11688 && c <= 11694)
                    : c <= 11702)
                  : (c <= 11710 || (c >= 11712 && c <= 11718)))))))))
          : (c <= 11726 || (c < 42560
            ? (c < 12549
              ? (c < 12344
                ? (c < 12293
                  ? (c < 11736
                    ? (c >= 11728 && c <= 11734)
                    : c <= 11742)
                  : (c <= 12295 || (c < 12337
                    ? (c >= 12321 && c <= 12329)
                    : c <= 12341)))
                : (c <= 12348 || (c < 12449
                  ? (c < 12445
                    ? (c >= 12353 && c <= 12438)
                    : c <= 12447)
                  : (c <= 12538 || (c >= 12540 && c <= 12543)))))
              : (c <= 12591 || (c < 19968
                ? (c < 12784
                  ? (c < 12704
                    ? (c >= 12593 && c <= 12686)
                    : c <= 12735)
                  : (c <= 12799 || (c >= 13312 && c <= 19903)))
                : (c <= 42124 || (c < 42512
                  ? (c < 42240
                    ? (c >= 42192 && c <= 42237)
                    : c <= 42508)
                  : (c <= 42527 || (c >= 42538 && c <= 42539)))))))
            : (c <= 42606 || (c < 43011
              ? (c < 42891
                ? (c < 42775
                  ? (c < 42656
                    ? (c >= 42623 && c <= 42653)
                    : c <= 42735)
                  : (c <= 42783 || (c >= 42786 && c <= 42888)))
                : (c <= 42954 || (c < 42965
                  ? (c < 42963
                    ? (c >= 42960 && c <= 42961)
                    : c <= 42963)
                  : (c <= 42969 || (c >= 42994 && c <= 43009)))))
              : (c <= 43013 || (c < 43250
                ? (c < 43072
                  ? (c < 43020
                    ? (c >= 43015 && c <= 43018)
                    : c <= 43042)
                  : (c <= 43123 || (c >= 43138 && c <= 43187)))
                : (c <= 43255 || (c < 43274
                  ? (c < 43261
                    ? c == 43259
                    : c <= 43262)
                  : (c <= 43301 || (c >= 43312 && c <= 43334)))))))))))))))
    : (c <= 43388 || (c < 70493
      ? (c < 66864
        ? (c < 64326
          ? (c < 43785
            ? (c < 43646
              ? (c < 43520
                ? (c < 43488
                  ? (c < 43471
                    ? (c >= 43396 && c <= 43442)
                    : c <= 43471)
                  : (c <= 43492 || (c < 43514
                    ? (c >= 43494 && c <= 43503)
                    : c <= 43518)))
                : (c <= 43560 || (c < 43616
                  ? (c < 43588
                    ? (c >= 43584 && c <= 43586)
                    : c <= 43595)
                  : (c <= 43638 || c == 43642))))
              : (c <= 43695 || (c < 43714
                ? (c < 43705
                  ? (c < 43701
                    ? c == 43697
                    : c <= 43702)
                  : (c <= 43709 || c == 43712))
                : (c <= 43714 || (c < 43762
                  ? (c < 43744
                    ? (c >= 43739 && c <= 43741)
                    : c <= 43754)
                  : (c <= 43764 || (c >= 43777 && c <= 43782)))))))
            : (c <= 43790 || (c < 64112
              ? (c < 43888
                ? (c < 43816
                  ? (c < 43808
                    ? (c >= 43793 && c <= 43798)
                    : c <= 43814)
                  : (c <= 43822 || (c < 43868
                    ? (c >= 43824 && c <= 43866)
                    : c <= 43881)))
                : (c <= 44002 || (c < 55243
                  ? (c < 55216
                    ? (c >= 44032 && c <= 55203)
                    : c <= 55238)
                  : (c <= 55291 || (c >= 63744 && c <= 64109)))))
              : (c <= 64217 || (c < 64298
                ? (c < 64285
                  ? (c < 64275
                    ? (c >= 64256 && c <= 64262)
                    : c <= 64279)
                  : (c <= 64285 || (c >= 64287 && c <= 64296)))
                : (c <= 64310 || (c < 64320
                  ? (c < 64318
                    ? (c >= 64312 && c <= 64316)
                    : c <= 64318)
                  : (c <= 64321 || (c >= 64323 && c <= 64324)))))))))
          : (c <= 64433 || (c < 65536
            ? (c < 65149
              ? (c < 65137
                ? (c < 64848
                  ? (c < 64612
                    ? (c >= 64467 && c <= 64605)
                    : c <= 64829)
                  : (c <= 64911 || (c < 65008
                    ? (c >= 64914 && c <= 64967)
                    : c <= 65017)))
                : (c <= 65137 || (c < 65145
                  ? (c < 65143
                    ? c == 65139
                    : c <= 65143)
                  : (c <= 65145 || c == 65147))))
              : (c <= 65149 || (c < 65440
                ? (c < 65345
                  ? (c < 65313
                    ? (c >= 65151 && c <= 65276)
                    : c <= 65338)
                  : (c <= 65370 || (c >= 65382 && c <= 65437)))
                : (c <= 65470 || (c < 65490
                  ? (c < 65482
                    ? (c >= 65474 && c <= 65479)
                    : c <= 65487)
                  : (c <= 65495 || (c >= 65498 && c <= 65500)))))))
            : (c <= 65547 || (c < 66349
              ? (c < 65664
                ? (c < 65596
                  ? (c < 65576
                    ? (c >= 65549 && c <= 65574)
                    : c <= 65594)
                  : (c <= 65597 || (c < 65616
                    ? (c >= 65599 && c <= 65613)
                    : c <= 65629)))
                : (c <= 65786 || (c < 66208
                  ? (c < 66176
                    ? (c >= 65856 && c <= 65908)
                    : c <= 66204)
                  : (c <= 66256 || (c >= 66304 && c <= 66335)))))
              : (c <= 66378 || (c < 66513
                ? (c < 66464
                  ? (c < 66432
                    ? (c >= 66384 && c <= 66421)
                    : c <= 66461)
                  : (c <= 66499 || (c >= 66504 && c <= 66511)))
                : (c <= 66517 || (c < 66776
                  ? (c < 66736
                    ? (c >= 66560 && c <= 66717)
                    : c <= 66771)
                  : (c <= 66811 || (c >= 66816 && c <= 66855)))))))))))
        : (c <= 66915 || (c < 68736
          ? (c < 67680
            ? (c < 67424
              ? (c < 66979
                ? (c < 66956
                  ? (c < 66940
                    ? (c >= 66928 && c <= 66938)
                    : c <= 66954)
                  : (c <= 66962 || (c < 66967
                    ? (c >= 66964 && c <= 66965)
                    : c <= 66977)))
                : (c <= 66993 || (c < 67072
                  ? (c < 67003
                    ? (c >= 66995 && c <= 67001)
                    : c <= 67004)
                  : (c <= 67382 || (c >= 67392 && c <= 67413)))))
              : (c <= 67431 || (c < 67592
                ? (c < 67506
                  ? (c < 67463
                    ? (c >= 67456 && c <= 67461)
                    : c <= 67504)
                  : (c <= 67514 || (c >= 67584 && c <= 67589)))
                : (c <= 67592 || (c < 67644
                  ? (c < 67639
                    ? (c >= 67594 && c <= 67637)
                    : c <= 67640)
                  : (c <= 67644 || (c >= 67647 && c <= 67669)))))))
            : (c <= 67702 || (c < 68121
              ? (c < 67968
                ? (c < 67828
                  ? (c < 67808
                    ? (c >= 67712 && c <= 67742)
                    : c <= 67826)
                  : (c <= 67829 || (c < 67872
                    ? (c >= 67840 && c <= 67861)
                    : c <= 67897)))
                : (c <= 68023 || (c < 68112
                  ? (c < 68096
                    ? (c >= 68030 && c <= 68031)
                    : c <= 68096)
                  : (c <= 68115 || (c >= 68117 && c <= 68119)))))
              : (c <= 68149 || (c < 68352
                ? (c < 68288
                  ? (c < 68224
                    ? (c >= 68192 && c <= 68220)
                    : c <= 68252)
                  : (c <= 68295 || (c >= 68297 && c <= 68324)))
                : (c <= 68405 || (c < 68480
                  ? (c < 68448
                    ? (c >= 68416 && c <= 68437)
                    : c <= 68466)
                  : (c <= 68497 || (c >= 68608 && c <= 68680)))))))))
          : (c <= 68786 || (c < 70019
            ? (c < 69635
              ? (c < 69415
                ? (c < 69248
                  ? (c < 68864
                    ? (c >= 68800 && c <= 68850)
                    : c <= 68899)
                  : (c <= 69289 || (c < 69376
                    ? (c >= 69296 && c <= 69297)
                    : c <= 69404)))
                : (c <= 69415 || (c < 69552
                  ? (c < 69488
                    ? (c >= 69424 && c <= 69445)
                    : c <= 69505)
                  : (c <= 69572 || (c >= 69600 && c <= 69622)))))
              : (c <= 69687 || (c < 69891
                ? (c < 69763
                  ? (c < 69749
                    ? (c >= 69745 && c <= 69746)
                    : c <= 69749)
                  : (c <= 69807 || (c >= 69840 && c <= 69864)))
                : (c <= 69926 || (c < 69968
                  ? (c < 69959
                    ? c == 69956
                    : c <= 69959)
                  : (c <= 70002 || c == 70006))))))
            : (c <= 70066 || (c < 70303
              ? (c < 70163
                ? (c < 70108
                  ? (c < 70106
                    ? (c >= 70081 && c <= 70084)
                    : c <= 70106)
                  : (c <= 70108 || (c >= 70144 && c <= 70161)))
                : (c <= 70187 || (c < 70282
                  ? (c < 70280
                    ? (c >= 70272 && c <= 70278)
                    : c <= 70280)
                  : (c <= 70285 || (c >= 70287 && c <= 70301)))))
              : (c <= 70312 || (c < 70442
                ? (c < 70415
                  ? (c < 70405
                    ? (c >= 70320 && c <= 70366)
                    : c <= 70412)
                  : (c <= 70416 || (c >= 70419 && c <= 70440)))
                : (c <= 70448 || (c < 70461
                  ? (c < 70453
                    ? (c >= 70450 && c <= 70451)
                    : c <= 70457)
                  : (c <= 70461 || c == 70480))))))))))))
      : (c <= 70497 || (c < 119808
        ? (c < 73030
          ? (c < 71960
            ? (c < 71296
              ? (c < 70855
                ? (c < 70751
                  ? (c < 70727
                    ? (c >= 70656 && c <= 70708)
                    : c <= 70730)
                  : (c <= 70753 || (c < 70852
                    ? (c >= 70784 && c <= 70831)
                    : c <= 70853)))
                : (c <= 70855 || (c < 71168
                  ? (c < 71128
                    ? (c >= 71040 && c <= 71086)
                    : c <= 71131)
                  : (c <= 71215 || c == 71236))))
              : (c <= 71338 || (c < 71840
                ? (c < 71488
                  ? (c < 71424
                    ? c == 71352
                    : c <= 71450)
                  : (c <= 71494 || (c >= 71680 && c <= 71723)))
                : (c <= 71903 || (c < 71948
                  ? (c < 71945
                    ? (c >= 71935 && c <= 71942)
                    : c <= 71945)
                  : (c <= 71955 || (c >= 71957 && c <= 71958)))))))
            : (c <= 71983 || (c < 72284
              ? (c < 72163
                ? (c < 72096
                  ? (c < 72001
                    ? c == 71999
                    : c <= 72001)
                  : (c <= 72103 || (c < 72161
                    ? (c >= 72106 && c <= 72144)
                    : c <= 72161)))
                : (c <= 72163 || (c < 72250
                  ? (c < 72203
                    ? c == 72192
                    : c <= 72242)
                  : (c <= 72250 || c == 72272))))
              : (c <= 72329 || (c < 72768
                ? (c < 72704
                  ? (c < 72368
                    ? c == 72349
                    : c <= 72440)
                  : (c <= 72712 || (c >= 72714 && c <= 72750)))
                : (c <= 72768 || (c < 72968
                  ? (c < 72960
                    ? (c >= 72818 && c <= 72847)
                    : c <= 72966)
                  : (c <= 72969 || (c >= 72971 && c <= 73008)))))))))
          : (c <= 73030 || (c < 93760
            ? (c < 77824
              ? (c < 73648
                ? (c < 73066
                  ? (c < 73063
                    ? (c >= 73056 && c <= 73061)
                    : c <= 73064)
                  : (c <= 73097 || (c < 73440
                    ? c == 73112
                    : c <= 73458)))
                : (c <= 73648 || (c < 74880
                  ? (c < 74752
                    ? (c >= 73728 && c <= 74649)
                    : c <= 74862)
                  : (c <= 75075 || (c >= 77712 && c <= 77808)))))
              : (c <= 78894 || (c < 92880
                ? (c < 92736
                  ? (c < 92160
                    ? (c >= 82944 && c <= 83526)
                    : c <= 92728)
                  : (c <= 92766 || (c >= 92784 && c <= 92862)))
                : (c <= 92909 || (c < 93027
                  ? (c < 92992
                    ? (c >= 92928 && c <= 92975)
                    : c <= 92995)
                  : (c <= 93047 || (c >= 93053 && c <= 93071)))))))
            : (c <= 93823 || (c < 110581
              ? (c < 94179
                ? (c < 94099
                  ? (c < 94032
                    ? (c >= 93952 && c <= 94026)
                    : c <= 94032)
                  : (c <= 94111 || (c >= 94176 && c <= 94177)))
                : (c <= 94179 || (c < 101632
                  ? (c < 100352
                    ? (c >= 94208 && c <= 100343)
                    : c <= 101589)
                  : (c <= 101640 || (c >= 110576 && c <= 110579)))))
              : (c <= 110587 || (c < 110960
                ? (c < 110928
                  ? (c < 110592
                    ? (c >= 110589 && c <= 110590)
                    : c <= 110882)
                  : (c <= 110930 || (c >= 110948 && c <= 110951)))
                : (c <= 111355 || (c < 113792
                  ? (c < 113776
                    ? (c >= 113664 && c <= 113770)
                    : c <= 113788)
                  : (c <= 113800 || (c >= 113808 && c <= 113817)))))))))))
        : (c <= 119892 || (c < 125259
          ? (c < 120540
            ? (c < 120077
              ? (c < 119982
                ? (c < 119970
                  ? (c < 119966
                    ? (c >= 119894 && c <= 119964)
                    : c <= 119967)
                  : (c <= 119970 || (c < 119977
                    ? (c >= 119973 && c <= 119974)
                    : c <= 119980)))
                : (c <= 119993 || (c < 120005
                  ? (c < 119997
                    ? c == 119995
                    : c <= 120003)
                  : (c <= 120069 || (c >= 120071 && c <= 120074)))))
              : (c <= 120084 || (c < 120134
                ? (c < 120123
                  ? (c < 120094
                    ? (c >= 120086 && c <= 120092)
                    : c <= 120121)
                  : (c <= 120126 || (c >= 120128 && c <= 120132)))
                : (c <= 120134 || (c < 120488
                  ? (c < 120146
                    ? (c >= 120138 && c <= 120144)
                    : c <= 120485)
                  : (c <= 120512 || (c >= 120514 && c <= 120538)))))))
            : (c <= 120570 || (c < 123191
              ? (c < 120714
                ? (c < 120630
                  ? (c < 120598
                    ? (c >= 120572 && c <= 120596)
                    : c <= 120628)
                  : (c <= 120654 || (c < 120688
                    ? (c >= 120656 && c <= 120686)
                    : c <= 120712)))
                : (c <= 120744 || (c < 122624
                  ? (c < 120772
                    ? (c >= 120746 && c <= 120770)
                    : c <= 120779)
                  : (c <= 122654 || (c >= 123136 && c <= 123180)))))
              : (c <= 123197 || (c < 124904
                ? (c < 123584
                  ? (c < 123536
                    ? c == 123214
                    : c <= 123565)
                  : (c <= 123627 || (c >= 124896 && c <= 124902)))
                : (c <= 124907 || (c < 124928
                  ? (c < 124912
                    ? (c >= 124909 && c <= 124910)
                    : c <= 124926)
                  : (c <= 125124 || (c >= 125184 && c <= 125251)))))))))
          : (c <= 125259 || (c < 126559
            ? (c < 126535
              ? (c < 126505
                ? (c < 126497
                  ? (c < 126469
                    ? (c >= 126464 && c <= 126467)
                    : c <= 126495)
                  : (c <= 126498 || (c < 126503
                    ? c == 126500
                    : c <= 126503)))
                : (c <= 126514 || (c < 126523
                  ? (c < 126521
                    ? (c >= 126516 && c <= 126519)
                    : c <= 126521)
                  : (c <= 126523 || c == 126530))))
              : (c <= 126535 || (c < 126548
                ? (c < 126541
                  ? (c < 126539
                    ? c == 126537
                    : c <= 126539)
                  : (c <= 126543 || (c >= 126545 && c <= 126546)))
                : (c <= 126548 || (c < 126555
                  ? (c < 126553
                    ? c == 126551
                    : c <= 126553)
                  : (c <= 126555 || c == 126557))))))
            : (c <= 126559 || (c < 126625
              ? (c < 126580
                ? (c < 126567
                  ? (c < 126564
                    ? (c >= 126561 && c <= 126562)
                    : c <= 126564)
                  : (c <= 126570 || (c >= 126572 && c <= 126578)))
                : (c <= 126583 || (c < 126592
                  ? (c < 126590
                    ? (c >= 126585 && c <= 126588)
                    : c <= 126590)
                  : (c <= 126601 || (c >= 126603 && c <= 126619)))))
              : (c <= 126627 || (c < 177984
                ? (c < 131072
                  ? (c < 126635
                    ? (c >= 126629 && c <= 126633)
                    : c <= 126651)
                  : (c <= 173791 || (c >= 173824 && c <= 177976)))
                : (c <= 178205 || (c < 194560
                  ? (c < 183984
                    ? (c >= 178208 && c <= 183969)
                    : c <= 191456)
                  : (c <= 195101 || (c >= 196608 && c <= 201546)))))))))))))))));
}

static inline bool sym_identifier_character_set_8(int32_t c) {
  return (c < 43471
    ? (c < 4096
      ? (c < 2649
        ? (c < 1791
          ? (c < 891
            ? (c < 186
              ? (c < 'a'
                ? (c < 'G'
                  ? (c < 'A'
                    ? c == '$'
                    : c <= 'E')
                  : (c <= 'S' || (c < '_'
                    ? (c >= 'U' && c <= 'Z')
                    : c <= '_')))
                : (c <= 'e' || (c < 170
                  ? (c < 'u'
                    ? (c >= 'g' && c <= 's')
                    : c <= 'z')
                  : (c <= 170 || c == 181))))
              : (c <= 186 || (c < 736
                ? (c < 248
                  ? (c < 216
                    ? (c >= 192 && c <= 214)
                    : c <= 246)
                  : (c <= 705 || (c >= 710 && c <= 721)))
                : (c <= 740 || (c < 880
                  ? (c < 750
                    ? c == 748
                    : c <= 750)
                  : (c <= 884 || (c >= 886 && c <= 887)))))))
            : (c <= 893 || (c < 1376
              ? (c < 931
                ? (c < 904
                  ? (c < 902
                    ? c == 895
                    : c <= 902)
                  : (c <= 906 || (c < 910
                    ? c == 908
                    : c <= 929)))
                : (c <= 1013 || (c < 1329
                  ? (c < 1162
                    ? (c >= 1015 && c <= 1153)
                    : c <= 1327)
                  : (c <= 1366 || c == 1369))))
              : (c <= 1416 || (c < 1649
                ? (c < 1568
                  ? (c < 1519
                    ? (c >= 1488 && c <= 1514)
                    : c <= 1522)
                  : (c <= 1610 || (c >= 1646 && c <= 1647)))
                : (c <= 1747 || (c < 1774
                  ? (c < 1765
                    ? c == 1749
                    : c <= 1766)
                  : (c <= 1775 || (c >= 1786 && c <= 1788)))))))))
          : (c <= 1791 || (c < 2417
            ? (c < 2088
              ? (c < 2036
                ? (c < 1869
                  ? (c < 1810
                    ? c == 1808
                    : c <= 1839)
                  : (c <= 1957 || (c < 1994
                    ? c == 1969
                    : c <= 2026)))
                : (c <= 2037 || (c < 2074
                  ? (c < 2048
                    ? c == 2042
                    : c <= 2069)
                  : (c <= 2074 || c == 2084))))
              : (c <= 2088 || (c < 2208
                ? (c < 2160
                  ? (c < 2144
                    ? (c >= 2112 && c <= 2136)
                    : c <= 2154)
                  : (c <= 2183 || (c >= 2185 && c <= 2190)))
                : (c <= 2249 || (c < 2384
                  ? (c < 2365
                    ? (c >= 2308 && c <= 2361)
                    : c <= 2365)
                  : (c <= 2384 || (c >= 2392 && c <= 2401)))))))
            : (c <= 2432 || (c < 2527
              ? (c < 2482
                ? (c < 2451
                  ? (c < 2447
                    ? (c >= 2437 && c <= 2444)
                    : c <= 2448)
                  : (c <= 2472 || (c >= 2474 && c <= 2480)))
                : (c <= 2482 || (c < 2510
                  ? (c < 2493
                    ? (c >= 2486 && c <= 2489)
                    : c <= 2493)
                  : (c <= 2510 || (c >= 2524 && c <= 2525)))))
              : (c <= 2529 || (c < 2579
                ? (c < 2565
                  ? (c < 2556
                    ? (c >= 2544 && c <= 2545)
                    : c <= 2556)
                  : (c <= 2570 || (c >= 2575 && c <= 2576)))
                : (c <= 2600 || (c < 2613
                  ? (c < 2610
                    ? (c >= 2602 && c <= 2608)
                    : c <= 2611)
                  : (c <= 2614 || (c >= 2616 && c <= 2617)))))))))))
        : (c <= 2652 || (c < 3200
          ? (c < 2911
            ? (c < 2784
              ? (c < 2730
                ? (c < 2693
                  ? (c < 2674
                    ? c == 2654
                    : c <= 2676)
                  : (c <= 2701 || (c < 2707
                    ? (c >= 2703 && c <= 2705)
                    : c <= 2728)))
                : (c <= 2736 || (c < 2749
                  ? (c < 2741
                    ? (c >= 2738 && c <= 2739)
                    : c <= 2745)
                  : (c <= 2749 || c == 2768))))
              : (c <= 2785 || (c < 2858
                ? (c < 2831
                  ? (c < 2821
                    ? c == 2809
                    : c <= 2828)
                  : (c <= 2832 || (c >= 2835 && c <= 2856)))
                : (c <= 2864 || (c < 2877
                  ? (c < 2869
                    ? (c >= 2866 && c <= 2867)
                    : c <= 2873)
                  : (c <= 2877 || (c >= 2908 && c <= 2909)))))))
            : (c <= 2913 || (c < 2990
              ? (c < 2969
                ? (c < 2949
                  ? (c < 2947
                    ? c == 2929
                    : c <= 2947)
                  : (c <= 2954 || (c < 2962
                    ? (c >= 2958 && c <= 2960)
                    : c <= 2965)))
                : (c <= 2970 || (c < 2979
                  ? (c < 2974
                    ? c == 2972
                    : c <= 2975)
                  : (c <= 2980 || (c >= 2984 && c <= 2986)))))
              : (c <= 3001 || (c < 3114
                ? (c < 3086
                  ? (c < 3077
                    ? c == 3024
                    : c <= 3084)
                  : (c <= 3088 || (c >= 3090 && c <= 3112)))
                : (c <= 3129 || (c < 3165
                  ? (c < 3160
                    ? c == 3133
                    : c <= 3162)
                  : (c <= 3165 || (c >= 3168 && c <= 3169)))))))))
          : (c <= 3200 || (c < 3517
            ? (c < 3342
              ? (c < 3261
                ? (c < 3218
                  ? (c < 3214
                    ? (c >= 3205 && c <= 3212)
                    : c <= 3216)
                  : (c <= 3240 || (c < 3253
                    ? (c >= 3242 && c <= 3251)
                    : c <= 3257)))
                : (c <= 3261 || (c < 3313
                  ? (c < 3296
                    ? (c >= 3293 && c <= 3294)
                    : c <= 3297)
                  : (c <= 3314 || (c >= 3332 && c <= 3340)))))
              : (c <= 3344 || (c < 3423
                ? (c < 3406
                  ? (c < 3389
                    ? (c >= 3346 && c <= 3386)
                    : c <= 3389)
                  : (c <= 3406 || (c >= 3412 && c <= 3414)))
                : (c <= 3425 || (c < 3482
                  ? (c < 3461
                    ? (c >= 3450 && c <= 3455)
                    : c <= 3478)
                  : (c <= 3505 || (c >= 3507 && c <= 3515)))))))
            : (c <= 3517 || (c < 3751
              ? (c < 3713
                ? (c < 3634
                  ? (c < 3585
                    ? (c >= 3520 && c <= 3526)
                    : c <= 3632)
                  : (c <= 3634 || (c >= 3648 && c <= 3654)))
                : (c <= 3714 || (c < 3724
                  ? (c < 3718
                    ? c == 3716
                    : c <= 3722)
                  : (c <= 3747 || c == 3749))))
              : (c <= 3760 || (c < 3804
                ? (c < 3776
                  ? (c < 3773
                    ? c == 3762
                    : c <= 3773)
                  : (c <= 3780 || c == 3782))
                : (c <= 3807 || (c < 3913
                  ? (c < 3904
                    ? c == 3840
                    : c <= 3911)
                  : (c <= 3948 || (c >= 3976 && c <= 3980)))))))))))))
      : (c <= 4138 || (c < 8118
        ? (c < 6016
          ? (c < 4786
            ? (c < 4301
              ? (c < 4206
                ? (c < 4186
                  ? (c < 4176
                    ? c == 4159
                    : c <= 4181)
                  : (c <= 4189 || (c < 4197
                    ? c == 4193
                    : c <= 4198)))
                : (c <= 4208 || (c < 4256
                  ? (c < 4238
                    ? (c >= 4213 && c <= 4225)
                    : c <= 4238)
                  : (c <= 4293 || c == 4295))))
              : (c <= 4301 || (c < 4696
                ? (c < 4682
                  ? (c < 4348
                    ? (c >= 4304 && c <= 4346)
                    : c <= 4680)
                  : (c <= 4685 || (c >= 4688 && c <= 4694)))
                : (c <= 4696 || (c < 4746
                  ? (c < 4704
                    ? (c >= 4698 && c <= 4701)
                    : c <= 4744)
                  : (c <= 4749 || (c >= 4752 && c <= 4784)))))))
            : (c <= 4789 || (c < 5121
              ? (c < 4882
                ? (c < 4802
                  ? (c < 4800
                    ? (c >= 4792 && c <= 4798)
                    : c <= 4800)
                  : (c <= 4805 || (c < 4824
                    ? (c >= 4808 && c <= 4822)
                    : c <= 4880)))
                : (c <= 4885 || (c < 5024
                  ? (c < 4992
                    ? (c >= 4888 && c <= 4954)
                    : c <= 5007)
                  : (c <= 5109 || (c >= 5112 && c <= 5117)))))
              : (c <= 5740 || (c < 5888
                ? (c < 5792
                  ? (c < 5761
                    ? (c >= 5743 && c <= 5759)
                    : c <= 5786)
                  : (c <= 5866 || (c >= 5870 && c <= 5880)))
                : (c <= 5905 || (c < 5984
                  ? (c < 5952
                    ? (c >= 5919 && c <= 5937)
                    : c <= 5969)
                  : (c <= 5996 || (c >= 5998 && c <= 6000)))))))))
          : (c <= 6067 || (c < 7245
            ? (c < 6576
              ? (c < 6320
                ? (c < 6176
                  ? (c < 6108
                    ? c == 6103
                    : c <= 6108)
                  : (c <= 6264 || (c < 6314
                    ? (c >= 6272 && c <= 6312)
                    : c <= 6314)))
                : (c <= 6389 || (c < 6512
                  ? (c < 6480
                    ? (c >= 6400 && c <= 6430)
                    : c <= 6509)
                  : (c <= 6516 || (c >= 6528 && c <= 6571)))))
              : (c <= 6601 || (c < 6981
                ? (c < 6823
                  ? (c < 6688
                    ? (c >= 6656 && c <= 6678)
                    : c <= 6740)
                  : (c <= 6823 || (c >= 6917 && c <= 6963)))
                : (c <= 6988 || (c < 7098
                  ? (c < 7086
                    ? (c >= 7043 && c <= 7072)
                    : c <= 7087)
                  : (c <= 7141 || (c >= 7168 && c <= 7203)))))))
            : (c <= 7247 || (c < 7680
              ? (c < 7401
                ? (c < 7312
                  ? (c < 7296
                    ? (c >= 7258 && c <= 7293)
                    : c <= 7304)
                  : (c <= 7354 || (c >= 7357 && c <= 7359)))
                : (c <= 7404 || (c < 7418
                  ? (c < 7413
                    ? (c >= 7406 && c <= 7411)
                    : c <= 7414)
                  : (c <= 7418 || (c >= 7424 && c <= 7615)))))
              : (c <= 7957 || (c < 8025
                ? (c < 8008
                  ? (c < 7968
                    ? (c >= 7960 && c <= 7965)
                    : c <= 8005)
                  : (c <= 8013 || (c >= 8016 && c <= 8023)))
                : (c <= 8025 || (c < 8031
                  ? (c < 8029
                    ? c == 8027
                    : c <= 8029)
                  : (c <= 8061 || (c >= 8064 && c <= 8116)))))))))))
        : (c <= 8124 || (c < 11736
          ? (c < 8508
            ? (c < 8336
              ? (c < 8160
                ? (c < 8134
                  ? (c < 8130
                    ? c == 8126
                    : c <= 8132)
                  : (c <= 8140 || (c < 8150
                    ? (c >= 8144 && c <= 8147)
                    : c <= 8155)))
                : (c <= 8172 || (c < 8305
                  ? (c < 8182
                    ? (c >= 8178 && c <= 8180)
                    : c <= 8188)
                  : (c <= 8305 || c == 8319))))
              : (c <= 8348 || (c < 8472
                ? (c < 8458
                  ? (c < 8455
                    ? c == 8450
                    : c <= 8455)
                  : (c <= 8467 || c == 8469))
                : (c <= 8477 || (c < 8488
                  ? (c < 8486
                    ? c == 8484
                    : c <= 8486)
                  : (c <= 8488 || (c >= 8490 && c <= 8505)))))))
            : (c <= 8511 || (c < 11568
              ? (c < 11499
                ? (c < 8544
                  ? (c < 8526
                    ? (c >= 8517 && c <= 8521)
                    : c <= 8526)
                  : (c <= 8584 || (c >= 11264 && c <= 11492)))
                : (c <= 11502 || (c < 11559
                  ? (c < 11520
                    ? (c >= 11506 && c <= 11507)
                    : c <= 11557)
                  : (c <= 11559 || c == 11565))))
              : (c <= 11623 || (c < 11696
                ? (c < 11680
                  ? (c < 11648
                    ? c == 11631
                    : c <= 11670)
                  : (c <= 11686 || (c >= 11688 && c <= 11694)))
                : (c <= 11702 || (c < 11720
                  ? (c < 11712
                    ? (c >= 11704 && c <= 11710)
                    : c <= 11718)
                  : (c <= 11726 || (c >= 11728 && c <= 11734)))))))))
          : (c <= 11742 || (c < 42656
            ? (c < 12704
              ? (c < 12445
                ? (c < 12337
                  ? (c < 12321
                    ? (c >= 12293 && c <= 12295)
                    : c <= 12329)
                  : (c <= 12341 || (c < 12353
                    ? (c >= 12344 && c <= 12348)
                    : c <= 12438)))
                : (c <= 12447 || (c < 12549
                  ? (c < 12540
                    ? (c >= 12449 && c <= 12538)
                    : c <= 12543)
                  : (c <= 12591 || (c >= 12593 && c <= 12686)))))
              : (c <= 12735 || (c < 42240
                ? (c < 19968
                  ? (c < 13312
                    ? (c >= 12784 && c <= 12799)
                    : c <= 19903)
                  : (c <= 42124 || (c >= 42192 && c <= 42237)))
                : (c <= 42508 || (c < 42560
                  ? (c < 42538
                    ? (c >= 42512 && c <= 42527)
                    : c <= 42539)
                  : (c <= 42606 || (c >= 42623 && c <= 42653)))))))
            : (c <= 42735 || (c < 43020
              ? (c < 42963
                ? (c < 42891
                  ? (c < 42786
                    ? (c >= 42775 && c <= 42783)
                    : c <= 42888)
                  : (c <= 42954 || (c >= 42960 && c <= 42961)))
                : (c <= 42963 || (c < 43011
                  ? (c < 42994
                    ? (c >= 42965 && c <= 42969)
                    : c <= 43009)
                  : (c <= 43013 || (c >= 43015 && c <= 43018)))))
              : (c <= 43042 || (c < 43261
                ? (c < 43250
                  ? (c < 43138
                    ? (c >= 43072 && c <= 43123)
                    : c <= 43187)
                  : (c <= 43255 || c == 43259))
                : (c <= 43262 || (c < 43360
                  ? (c < 43312
                    ? (c >= 43274 && c <= 43301)
                    : c <= 43334)
                  : (c <= 43388 || (c >= 43396 && c <= 43442)))))))))))))))
    : (c <= 43471 || (c < 70656
      ? (c < 66928
        ? (c < 64612
          ? (c < 43808
            ? (c < 43701
              ? (c < 43588
                ? (c < 43514
                  ? (c < 43494
                    ? (c >= 43488 && c <= 43492)
                    : c <= 43503)
                  : (c <= 43518 || (c < 43584
                    ? (c >= 43520 && c <= 43560)
                    : c <= 43586)))
                : (c <= 43595 || (c < 43646
                  ? (c < 43642
                    ? (c >= 43616 && c <= 43638)
                    : c <= 43642)
                  : (c <= 43695 || c == 43697))))
              : (c <= 43702 || (c < 43744
                ? (c < 43714
                  ? (c < 43712
                    ? (c >= 43705 && c <= 43709)
                    : c <= 43712)
                  : (c <= 43714 || (c >= 43739 && c <= 43741)))
                : (c <= 43754 || (c < 43785
                  ? (c < 43777
                    ? (c >= 43762 && c <= 43764)
                    : c <= 43782)
                  : (c <= 43790 || (c >= 43793 && c <= 43798)))))))
            : (c <= 43814 || (c < 64275
              ? (c < 55216
                ? (c < 43868
                  ? (c < 43824
                    ? (c >= 43816 && c <= 43822)
                    : c <= 43866)
                  : (c <= 43881 || (c < 44032
                    ? (c >= 43888 && c <= 44002)
                    : c <= 55203)))
                : (c <= 55238 || (c < 64112
                  ? (c < 63744
                    ? (c >= 55243 && c <= 55291)
                    : c <= 64109)
                  : (c <= 64217 || (c >= 64256 && c <= 64262)))))
              : (c <= 64279 || (c < 64318
                ? (c < 64298
                  ? (c < 64287
                    ? c == 64285
                    : c <= 64296)
                  : (c <= 64310 || (c >= 64312 && c <= 64316)))
                : (c <= 64318 || (c < 64326
                  ? (c < 64323
                    ? (c >= 64320 && c <= 64321)
                    : c <= 64324)
                  : (c <= 64433 || (c >= 64467 && c <= 64605)))))))))
          : (c <= 64829 || (c < 65576
            ? (c < 65313
              ? (c < 65143
                ? (c < 65008
                  ? (c < 64914
                    ? (c >= 64848 && c <= 64911)
                    : c <= 64967)
                  : (c <= 65017 || (c < 65139
                    ? c == 65137
                    : c <= 65139)))
                : (c <= 65143 || (c < 65149
                  ? (c < 65147
                    ? c == 65145
                    : c <= 65147)
                  : (c <= 65149 || (c >= 65151 && c <= 65276)))))
              : (c <= 65338 || (c < 65482
                ? (c < 65440
                  ? (c < 65382
                    ? (c >= 65345 && c <= 65370)
                    : c <= 65437)
                  : (c <= 65470 || (c >= 65474 && c <= 65479)))
                : (c <= 65487 || (c < 65536
                  ? (c < 65498
                    ? (c >= 65490 && c <= 65495)
                    : c <= 65500)
                  : (c <= 65547 || (c >= 65549 && c <= 65574)))))))
            : (c <= 65594 || (c < 66384
              ? (c < 65856
                ? (c < 65616
                  ? (c < 65599
                    ? (c >= 65596 && c <= 65597)
                    : c <= 65613)
                  : (c <= 65629 || (c >= 65664 && c <= 65786)))
                : (c <= 65908 || (c < 66304
                  ? (c < 66208
                    ? (c >= 66176 && c <= 66204)
                    : c <= 66256)
                  : (c <= 66335 || (c >= 66349 && c <= 66378)))))
              : (c <= 66421 || (c < 66560
                ? (c < 66504
                  ? (c < 66464
                    ? (c >= 66432 && c <= 66461)
                    : c <= 66499)
                  : (c <= 66511 || (c >= 66513 && c <= 66517)))
                : (c <= 66717 || (c < 66816
                  ? (c < 66776
                    ? (c >= 66736 && c <= 66771)
                    : c <= 66811)
                  : (c <= 66855 || (c >= 66864 && c <= 66915)))))))))))
        : (c <= 66938 || (c < 68800
          ? (c < 67712
            ? (c < 67456
              ? (c < 66995
                ? (c < 66964
                  ? (c < 66956
                    ? (c >= 66940 && c <= 66954)
                    : c <= 66962)
                  : (c <= 66965 || (c < 66979
                    ? (c >= 66967 && c <= 66977)
                    : c <= 66993)))
                : (c <= 67001 || (c < 67392
                  ? (c < 67072
                    ? (c >= 67003 && c <= 67004)
                    : c <= 67382)
                  : (c <= 67413 || (c >= 67424 && c <= 67431)))))
              : (c <= 67461 || (c < 67594
                ? (c < 67584
                  ? (c < 67506
                    ? (c >= 67463 && c <= 67504)
                    : c <= 67514)
                  : (c <= 67589 || c == 67592))
                : (c <= 67637 || (c < 67647
                  ? (c < 67644
                    ? (c >= 67639 && c <= 67640)
                    : c <= 67644)
                  : (c <= 67669 || (c >= 67680 && c <= 67702)))))))
            : (c <= 67742 || (c < 68192
              ? (c < 68030
                ? (c < 67840
                  ? (c < 67828
                    ? (c >= 67808 && c <= 67826)
                    : c <= 67829)
                  : (c <= 67861 || (c < 67968
                    ? (c >= 67872 && c <= 67897)
                    : c <= 68023)))
                : (c <= 68031 || (c < 68117
                  ? (c < 68112
                    ? c == 68096
                    : c <= 68115)
                  : (c <= 68119 || (c >= 68121 && c <= 68149)))))
              : (c <= 68220 || (c < 68416
                ? (c < 68297
                  ? (c < 68288
                    ? (c >= 68224 && c <= 68252)
                    : c <= 68295)
                  : (c <= 68324 || (c >= 68352 && c <= 68405)))
                : (c <= 68437 || (c < 68608
                  ? (c < 68480
                    ? (c >= 68448 && c <= 68466)
                    : c <= 68497)
                  : (c <= 68680 || (c >= 68736 && c <= 68786)))))))))
          : (c <= 68850 || (c < 70081
            ? (c < 69745
              ? (c < 69424
                ? (c < 69296
                  ? (c < 69248
                    ? (c >= 68864 && c <= 68899)
                    : c <= 69289)
                  : (c <= 69297 || (c < 69415
                    ? (c >= 69376 && c <= 69404)
                    : c <= 69415)))
                : (c <= 69445 || (c < 69600
                  ? (c < 69552
                    ? (c >= 69488 && c <= 69505)
                    : c <= 69572)
                  : (c <= 69622 || (c >= 69635 && c <= 69687)))))
              : (c <= 69746 || (c < 69956
                ? (c < 69840
                  ? (c < 69763
                    ? c == 69749
                    : c <= 69807)
                  : (c <= 69864 || (c >= 69891 && c <= 69926)))
                : (c <= 69956 || (c < 70006
                  ? (c < 69968
                    ? c == 69959
                    : c <= 70002)
                  : (c <= 70006 || (c >= 70019 && c <= 70066)))))))
            : (c <= 70084 || (c < 70320
              ? (c < 70272
                ? (c < 70144
                  ? (c < 70108
                    ? c == 70106
                    : c <= 70108)
                  : (c <= 70161 || (c >= 70163 && c <= 70187)))
                : (c <= 70278 || (c < 70287
                  ? (c < 70282
                    ? c == 70280
                    : c <= 70285)
                  : (c <= 70301 || (c >= 70303 && c <= 70312)))))
              : (c <= 70366 || (c < 70450
                ? (c < 70419
                  ? (c < 70415
                    ? (c >= 70405 && c <= 70412)
                    : c <= 70416)
                  : (c <= 70440 || (c >= 70442 && c <= 70448)))
                : (c <= 70451 || (c < 70480
                  ? (c < 70461
                    ? (c >= 70453 && c <= 70457)
                    : c <= 70461)
                  : (c <= 70480 || (c >= 70493 && c <= 70497)))))))))))))
      : (c <= 70708 || (c < 119894
        ? (c < 73056
          ? (c < 71999
            ? (c < 71352
              ? (c < 71040
                ? (c < 70784
                  ? (c < 70751
                    ? (c >= 70727 && c <= 70730)
                    : c <= 70753)
                  : (c <= 70831 || (c < 70855
                    ? (c >= 70852 && c <= 70853)
                    : c <= 70855)))
                : (c <= 71086 || (c < 71236
                  ? (c < 71168
                    ? (c >= 71128 && c <= 71131)
                    : c <= 71215)
                  : (c <= 71236 || (c >= 71296 && c <= 71338)))))
              : (c <= 71352 || (c < 71935
                ? (c < 71680
                  ? (c < 71488
                    ? (c >= 71424 && c <= 71450)
                    : c <= 71494)
                  : (c <= 71723 || (c >= 71840 && c <= 71903)))
                : (c <= 71942 || (c < 71957
                  ? (c < 71948
                    ? c == 71945
                    : c <= 71955)
                  : (c <= 71958 || (c >= 71960 && c <= 71983)))))))
            : (c <= 71999 || (c < 72349
              ? (c < 72192
                ? (c < 72106
                  ? (c < 72096
                    ? c == 72001
                    : c <= 72103)
                  : (c <= 72144 || (c < 72163
                    ? c == 72161
                    : c <= 72163)))
                : (c <= 72192 || (c < 72272
                  ? (c < 72250
                    ? (c >= 72203 && c <= 72242)
                    : c <= 72250)
                  : (c <= 72272 || (c >= 72284 && c <= 72329)))))
              : (c <= 72349 || (c < 72818
                ? (c < 72714
                  ? (c < 72704
                    ? (c >= 72368 && c <= 72440)
                    : c <= 72712)
                  : (c <= 72750 || c == 72768))
                : (c <= 72847 || (c < 72971
                  ? (c < 72968
                    ? (c >= 72960 && c <= 72966)
                    : c <= 72969)
                  : (c <= 73008 || c == 73030))))))))
          : (c <= 73061 || (c < 93952
            ? (c < 82944
              ? (c < 73728
                ? (c < 73112
                  ? (c < 73066
                    ? (c >= 73063 && c <= 73064)
                    : c <= 73097)
                  : (c <= 73112 || (c < 73648
                    ? (c >= 73440 && c <= 73458)
                    : c <= 73648)))
                : (c <= 74649 || (c < 77712
                  ? (c < 74880
                    ? (c >= 74752 && c <= 74862)
                    : c <= 75075)
                  : (c <= 77808 || (c >= 77824 && c <= 78894)))))
              : (c <= 83526 || (c < 92928
                ? (c < 92784
                  ? (c < 92736
                    ? (c >= 92160 && c <= 92728)
                    : c <= 92766)
                  : (c <= 92862 || (c >= 92880 && c <= 92909)))
                : (c <= 92975 || (c < 93053
                  ? (c < 93027
                    ? (c >= 92992 && c <= 92995)
                    : c <= 93047)
                  : (c <= 93071 || (c >= 93760 && c <= 93823)))))))
            : (c <= 94026 || (c < 110589
              ? (c < 94208
                ? (c < 94176
                  ? (c < 94099
                    ? c == 94032
                    : c <= 94111)
                  : (c <= 94177 || c == 94179))
                : (c <= 100343 || (c < 110576
                  ? (c < 101632
                    ? (c >= 100352 && c <= 101589)
                    : c <= 101640)
                  : (c <= 110579 || (c >= 110581 && c <= 110587)))))
              : (c <= 110590 || (c < 113664
                ? (c < 110948
                  ? (c < 110928
                    ? (c >= 110592 && c <= 110882)
                    : c <= 110930)
                  : (c <= 110951 || (c >= 110960 && c <= 111355)))
                : (c <= 113770 || (c < 113808
                  ? (c < 113792
                    ? (c >= 113776 && c <= 113788)
                    : c <= 113800)
                  : (c <= 113817 || (c >= 119808 && c <= 119892)))))))))))
        : (c <= 119964 || (c < 125259
          ? (c < 120572
            ? (c < 120086
              ? (c < 119995
                ? (c < 119973
                  ? (c < 119970
                    ? (c >= 119966 && c <= 119967)
                    : c <= 119970)
                  : (c <= 119974 || (c < 119982
                    ? (c >= 119977 && c <= 119980)
                    : c <= 119993)))
                : (c <= 119995 || (c < 120071
                  ? (c < 120005
                    ? (c >= 119997 && c <= 120003)
                    : c <= 120069)
                  : (c <= 120074 || (c >= 120077 && c <= 120084)))))
              : (c <= 120092 || (c < 120138
                ? (c < 120128
                  ? (c < 120123
                    ? (c >= 120094 && c <= 120121)
                    : c <= 120126)
                  : (c <= 120132 || c == 120134))
                : (c <= 120144 || (c < 120514
                  ? (c < 120488
                    ? (c >= 120146 && c <= 120485)
                    : c <= 120512)
                  : (c <= 120538 || (c >= 120540 && c <= 120570)))))))
            : (c <= 120596 || (c < 123191
              ? (c < 120714
                ? (c < 120656
                  ? (c < 120630
                    ? (c >= 120598 && c <= 120628)
                    : c <= 120654)
                  : (c <= 120686 || (c >= 120688 && c <= 120712)))
                : (c <= 120744 || (c < 122624
                  ? (c < 120772
                    ? (c >= 120746 && c <= 120770)
                    : c <= 120779)
                  : (c <= 122654 || (c >= 123136 && c <= 123180)))))
              : (c <= 123197 || (c < 124904
                ? (c < 123584
                  ? (c < 123536
                    ? c == 123214
                    : c <= 123565)
                  : (c <= 123627 || (c >= 124896 && c <= 124902)))
                : (c <= 124907 || (c < 124928
                  ? (c < 124912
                    ? (c >= 124909 && c <= 124910)
                    : c <= 124926)
                  : (c <= 125124 || (c >= 125184 && c <= 125251)))))))))
          : (c <= 125259 || (c < 126559
            ? (c < 126535
              ? (c < 126505
                ? (c < 126497
                  ? (c < 126469
                    ? (c >= 126464 && c <= 126467)
                    : c <= 126495)
                  : (c <= 126498 || (c < 126503
                    ? c == 126500
                    : c <= 126503)))
                : (c <= 126514 || (c < 126523
                  ? (c < 126521
                    ? (c >= 126516 && c <= 126519)
                    : c <= 126521)
                  : (c <= 126523 || c == 126530))))
              : (c <= 126535 || (c < 126548
                ? (c < 126541
                  ? (c < 126539
                    ? c == 126537
                    : c <= 126539)
                  : (c <= 126543 || (c >= 126545 && c <= 126546)))
                : (c <= 126548 || (c < 126555
                  ? (c < 126553
                    ? c == 126551
                    : c <= 126553)
                  : (c <= 126555 || c == 126557))))))
            : (c <= 126559 || (c < 126625
              ? (c < 126580
                ? (c < 126567
                  ? (c < 126564
                    ? (c >= 126561 && c <= 126562)
                    : c <= 126564)
                  : (c <= 126570 || (c >= 126572 && c <= 126578)))
                : (c <= 126583 || (c < 126592
                  ? (c < 126590
                    ? (c >= 126585 && c <= 126588)
                    : c <= 126590)
                  : (c <= 126601 || (c >= 126603 && c <= 126619)))))
              : (c <= 126627 || (c < 177984
                ? (c < 131072
                  ? (c < 126635
                    ? (c >= 126629 && c <= 126633)
                    : c <= 126651)
                  : (c <= 173791 || (c >= 173824 && c <= 177976)))
                : (c <= 178205 || (c < 194560
                  ? (c < 183984
                    ? (c >= 178208 && c <= 183969)
                    : c <= 191456)
                  : (c <= 195101 || (c >= 196608 && c <= 201546)))))))))))))))));
}

static inline bool sym_identifier_character_set_9(int32_t c) {
  return (c < 43520
    ? (c < 3724
      ? (c < 2703
        ? (c < 1791
          ? (c < 895
            ? (c < 183
              ? (c < 'A'
                ? (c < '4'
                  ? (c < '0'
                    ? c == '$'
                    : (c <= '0' || c == '2'))
                  : (c <= '5' || (c < '9'
                    ? c == '7'
                    : c <= '9')))
                : (c <= 'Z' || (c < 'q'
                  ? (c < 'a'
                    ? c == '_'
                    : c <= 'o')
                  : (c <= 'z' || (c < 181
                    ? c == 170
                    : c <= 181)))))
              : (c <= 183 || (c < 736
                ? (c < 216
                  ? (c < 192
                    ? c == 186
                    : c <= 214)
                  : (c <= 246 || (c < 710
                    ? (c >= 248 && c <= 705)
                    : c <= 721)))
                : (c <= 740 || (c < 768
                  ? (c < 750
                    ? c == 748
                    : c <= 750)
                  : (c <= 884 || (c < 891
                    ? (c >= 886 && c <= 887)
                    : c <= 893)))))))
            : (c <= 895 || (c < 1471
              ? (c < 1155
                ? (c < 910
                  ? (c < 908
                    ? (c >= 902 && c <= 906)
                    : c <= 908)
                  : (c <= 929 || (c < 1015
                    ? (c >= 931 && c <= 1013)
                    : c <= 1153)))
                : (c <= 1159 || (c < 1369
                  ? (c < 1329
                    ? (c >= 1162 && c <= 1327)
                    : c <= 1366)
                  : (c <= 1369 || (c < 1425
                    ? (c >= 1376 && c <= 1416)
                    : c <= 1469)))))
              : (c <= 1471 || (c < 1552
                ? (c < 1479
                  ? (c < 1476
                    ? (c >= 1473 && c <= 1474)
                    : c <= 1477)
                  : (c <= 1479 || (c < 1519
                    ? (c >= 1488 && c <= 1514)
                    : c <= 1522)))
                : (c <= 1562 || (c < 1749
                  ? (c < 1646
                    ? (c >= 1568 && c <= 1641)
                    : c <= 1747)
                  : (c <= 1756 || (c < 1770
                    ? (c >= 1759 && c <= 1768)
                    : c <= 1788)))))))))
          : (c <= 1791 || (c < 2519
            ? (c < 2275
              ? (c < 2048
                ? (c < 1984
                  ? (c < 1869
                    ? (c >= 1808 && c <= 1866)
                    : c <= 1969)
                  : (c <= 2037 || (c < 2045
                    ? c == 2042
                    : c <= 2045)))
                : (c <= 2093 || (c < 2160
                  ? (c < 2144
                    ? (c >= 2112 && c <= 2139)
                    : c <= 2154)
                  : (c <= 2183 || (c < 2200
                    ? (c >= 2185 && c <= 2190)
                    : c <= 2273)))))
              : (c <= 2403 || (c < 2474
                ? (c < 2437
                  ? (c < 2417
                    ? (c >= 2406 && c <= 2415)
                    : c <= 2435)
                  : (c <= 2444 || (c < 2451
                    ? (c >= 2447 && c <= 2448)
                    : c <= 2472)))
                : (c <= 2480 || (c < 2492
                  ? (c < 2486
                    ? c == 2482
                    : c <= 2489)
                  : (c <= 2500 || (c < 2507
                    ? (c >= 2503 && c <= 2504)
                    : c <= 2510)))))))
            : (c <= 2519 || (c < 2613
              ? (c < 2561
                ? (c < 2534
                  ? (c < 2527
                    ? (c >= 2524 && c <= 2525)
                    : c <= 2531)
                  : (c <= 2545 || (c < 2558
                    ? c == 2556
                    : c <= 2558)))
                : (c <= 2563 || (c < 2579
                  ? (c < 2575
                    ? (c >= 2565 && c <= 2570)
                    : c <= 2576)
                  : (c <= 2600 || (c < 2610
                    ? (c >= 2602 && c <= 2608)
                    : c <= 2611)))))
              : (c <= 2614 || (c < 2641
                ? (c < 2622
                  ? (c < 2620
                    ? (c >= 2616 && c <= 2617)
                    : c <= 2620)
                  : (c <= 2626 || (c < 2635
                    ? (c >= 2631 && c <= 2632)
                    : c <= 2637)))
                : (c <= 2641 || (c < 2662
                  ? (c < 2654
                    ? (c >= 2649 && c <= 2652)
                    : c <= 2654)
                  : (c <= 2677 || (c < 2693
                    ? (c >= 2689 && c <= 2691)
                    : c <= 2701)))))))))))
        : (c <= 2705 || (c < 3142
          ? (c < 2911
            ? (c < 2817
              ? (c < 2759
                ? (c < 2738
                  ? (c < 2730
                    ? (c >= 2707 && c <= 2728)
                    : c <= 2736)
                  : (c <= 2739 || (c < 2748
                    ? (c >= 2741 && c <= 2745)
                    : c <= 2757)))
                : (c <= 2761 || (c < 2784
                  ? (c < 2768
                    ? (c >= 2763 && c <= 2765)
                    : c <= 2768)
                  : (c <= 2787 || (c < 2809
                    ? (c >= 2790 && c <= 2799)
                    : c <= 2815)))))
              : (c <= 2819 || (c < 2869
                ? (c < 2835
                  ? (c < 2831
                    ? (c >= 2821 && c <= 2828)
                    : c <= 2832)
                  : (c <= 2856 || (c < 2866
                    ? (c >= 2858 && c <= 2864)
                    : c <= 2867)))
                : (c <= 2873 || (c < 2891
                  ? (c < 2887
                    ? (c >= 2876 && c <= 2884)
                    : c <= 2888)
                  : (c <= 2893 || (c < 2908
                    ? (c >= 2901 && c <= 2903)
                    : c <= 2909)))))))
            : (c <= 2915 || (c < 2990
              ? (c < 2962
                ? (c < 2946
                  ? (c < 2929
                    ? (c >= 2918 && c <= 2927)
                    : c <= 2929)
                  : (c <= 2947 || (c < 2958
                    ? (c >= 2949 && c <= 2954)
                    : c <= 2960)))
                : (c <= 2965 || (c < 2974
                  ? (c < 2972
                    ? (c >= 2969 && c <= 2970)
                    : c <= 2972)
                  : (c <= 2975 || (c < 2984
                    ? (c >= 2979 && c <= 2980)
                    : c <= 2986)))))
              : (c <= 3001 || (c < 3046
                ? (c < 3018
                  ? (c < 3014
                    ? (c >= 3006 && c <= 3010)
                    : c <= 3016)
                  : (c <= 3021 || (c < 3031
                    ? c == 3024
                    : c <= 3031)))
                : (c <= 3055 || (c < 3090
                  ? (c < 3086
                    ? (c >= 3072 && c <= 3084)
                    : c <= 3088)
                  : (c <= 3112 || (c < 3132
                    ? (c >= 3114 && c <= 3129)
                    : c <= 3140)))))))))
          : (c <= 3144 || (c < 3398
            ? (c < 3253
              ? (c < 3174
                ? (c < 3160
                  ? (c < 3157
                    ? (c >= 3146 && c <= 3149)
                    : c <= 3158)
                  : (c <= 3162 || (c < 3168
                    ? c == 3165
                    : c <= 3171)))
                : (c <= 3183 || (c < 3214
                  ? (c < 3205
                    ? (c >= 3200 && c <= 3203)
                    : c <= 3212)
                  : (c <= 3216 || (c < 3242
                    ? (c >= 3218 && c <= 3240)
                    : c <= 3251)))))
              : (c <= 3257 || (c < 3296
                ? (c < 3274
                  ? (c < 3270
                    ? (c >= 3260 && c <= 3268)
                    : c <= 3272)
                  : (c <= 3277 || (c < 3293
                    ? (c >= 3285 && c <= 3286)
                    : c <= 3294)))
                : (c <= 3299 || (c < 3328
                  ? (c < 3313
                    ? (c >= 3302 && c <= 3311)
                    : c <= 3314)
                  : (c <= 3340 || (c < 3346
                    ? (c >= 3342 && c <= 3344)
                    : c <= 3396)))))))
            : (c <= 3400 || (c < 3530
              ? (c < 3457
                ? (c < 3423
                  ? (c < 3412
                    ? (c >= 3402 && c <= 3406)
                    : c <= 3415)
                  : (c <= 3427 || (c < 3450
                    ? (c >= 3430 && c <= 3439)
                    : c <= 3455)))
                : (c <= 3459 || (c < 3507
                  ? (c < 3482
                    ? (c >= 3461 && c <= 3478)
                    : c <= 3505)
                  : (c <= 3515 || (c < 3520
                    ? c == 3517
                    : c <= 3526)))))
              : (c <= 3530 || (c < 3585
                ? (c < 3544
                  ? (c < 3542
                    ? (c >= 3535 && c <= 3540)
                    : c <= 3542)
                  : (c <= 3551 || (c < 3570
                    ? (c >= 3558 && c <= 3567)
                    : c <= 3571)))
                : (c <= 3642 || (c < 3713
                  ? (c < 3664
                    ? (c >= 3648 && c <= 3662)
                    : c <= 3673)
                  : (c <= 3714 || (c < 3718
                    ? c == 3716
                    : c <= 3722)))))))))))))
      : (c <= 3747 || (c < 7960
        ? (c < 5743
          ? (c < 4301
            ? (c < 3895
              ? (c < 3792
                ? (c < 3776
                  ? (c < 3751
                    ? c == 3749
                    : c <= 3773)
                  : (c <= 3780 || (c < 3784
                    ? c == 3782
                    : c <= 3789)))
                : (c <= 3801 || (c < 3864
                  ? (c < 3840
                    ? (c >= 3804 && c <= 3807)
                    : c <= 3840)
                  : (c <= 3865 || (c < 3893
                    ? (c >= 3872 && c <= 3881)
                    : c <= 3893)))))
              : (c <= 3895 || (c < 3993
                ? (c < 3913
                  ? (c < 3902
                    ? c == 3897
                    : c <= 3911)
                  : (c <= 3948 || (c < 3974
                    ? (c >= 3953 && c <= 3972)
                    : c <= 3991)))
                : (c <= 4028 || (c < 4176
                  ? (c < 4096
                    ? c == 4038
                    : c <= 4169)
                  : (c <= 4253 || (c < 4295
                    ? (c >= 4256 && c <= 4293)
                    : c <= 4295)))))))
            : (c <= 4301 || (c < 4800
              ? (c < 4698
                ? (c < 4682
                  ? (c < 4348
                    ? (c >= 4304 && c <= 4346)
                    : c <= 4680)
                  : (c <= 4685 || (c < 4696
                    ? (c >= 4688 && c <= 4694)
                    : c <= 4696)))
                : (c <= 4701 || (c < 4752
                  ? (c < 4746
                    ? (c >= 4704 && c <= 4744)
                    : c <= 4749)
                  : (c <= 4784 || (c < 4792
                    ? (c >= 4786 && c <= 4789)
                    : c <= 4798)))))
              : (c <= 4800 || (c < 4957
                ? (c < 4824
                  ? (c < 4808
                    ? (c >= 4802 && c <= 4805)
                    : c <= 4822)
                  : (c <= 4880 || (c < 4888
                    ? (c >= 4882 && c <= 4885)
                    : c <= 4954)))
                : (c <= 4959 || (c < 5024
                  ? (c < 4992
                    ? (c >= 4969 && c <= 4977)
                    : c <= 5007)
                  : (c <= 5109 || (c < 5121
                    ? (c >= 5112 && c <= 5117)
                    : c <= 5740)))))))))
          : (c <= 5759 || (c < 6528
            ? (c < 6108
              ? (c < 5952
                ? (c < 5870
                  ? (c < 5792
                    ? (c >= 5761 && c <= 5786)
                    : c <= 5866)
                  : (c <= 5880 || (c < 5919
                    ? (c >= 5888 && c <= 5909)
                    : c <= 5940)))
                : (c <= 5971 || (c < 6002
                  ? (c < 5998
                    ? (c >= 5984 && c <= 5996)
                    : c <= 6000)
                  : (c <= 6003 || (c < 6103
                    ? (c >= 6016 && c <= 6099)
                    : c <= 6103)))))
              : (c <= 6109 || (c < 6320
                ? (c < 6159
                  ? (c < 6155
                    ? (c >= 6112 && c <= 6121)
                    : c <= 6157)
                  : (c <= 6169 || (c < 6272
                    ? (c >= 6176 && c <= 6264)
                    : c <= 6314)))
                : (c <= 6389 || (c < 6448
                  ? (c < 6432
                    ? (c >= 6400 && c <= 6430)
                    : c <= 6443)
                  : (c <= 6459 || (c < 6512
                    ? (c >= 6470 && c <= 6509)
                    : c <= 6516)))))))
            : (c <= 6571 || (c < 6992
              ? (c < 6783
                ? (c < 6656
                  ? (c < 6608
                    ? (c >= 6576 && c <= 6601)
                    : c <= 6618)
                  : (c <= 6683 || (c < 6752
                    ? (c >= 6688 && c <= 6750)
                    : c <= 6780)))
                : (c <= 6793 || (c < 6832
                  ? (c < 6823
                    ? (c >= 6800 && c <= 6809)
                    : c <= 6823)
                  : (c <= 6845 || (c < 6912
                    ? (c >= 6847 && c <= 6862)
                    : c <= 6988)))))
              : (c <= 7001 || (c < 7296
                ? (c < 7168
                  ? (c < 7040
                    ? (c >= 7019 && c <= 7027)
                    : c <= 7155)
                  : (c <= 7223 || (c < 7245
                    ? (c >= 7232 && c <= 7241)
                    : c <= 7293)))
                : (c <= 7304 || (c < 7376
                  ? (c < 7357
                    ? (c >= 7312 && c <= 7354)
                    : c <= 7359)
                  : (c <= 7378 || (c < 7424
                    ? (c >= 7380 && c <= 7418)
                    : c <= 7957)))))))))))
        : (c <= 7965 || (c < 11688
          ? (c < 8417
            ? (c < 8134
              ? (c < 8029
                ? (c < 8016
                  ? (c < 8008
                    ? (c >= 7968 && c <= 8005)
                    : c <= 8013)
                  : (c <= 8023 || (c < 8027
                    ? c == 8025
                    : c <= 8027)))
                : (c <= 8029 || (c < 8118
                  ? (c < 8064
                    ? (c >= 8031 && c <= 8061)
                    : c <= 8116)
                  : (c <= 8124 || (c < 8130
                    ? c == 8126
                    : c <= 8132)))))
              : (c <= 8140 || (c < 8255
                ? (c < 8160
                  ? (c < 8150
                    ? (c >= 8144 && c <= 8147)
                    : c <= 8155)
                  : (c <= 8172 || (c < 8182
                    ? (c >= 8178 && c <= 8180)
                    : c <= 8188)))
                : (c <= 8256 || (c < 8319
                  ? (c < 8305
                    ? c == 8276
                    : c <= 8305)
                  : (c <= 8319 || (c < 8400
                    ? (c >= 8336 && c <= 8348)
                    : c <= 8412)))))))
            : (c <= 8417 || (c < 8517
              ? (c < 8472
                ? (c < 8455
                  ? (c < 8450
                    ? (c >= 8421 && c <= 8432)
                    : c <= 8450)
                  : (c <= 8455 || (c < 8469
                    ? (c >= 8458 && c <= 8467)
                    : c <= 8469)))
                : (c <= 8477 || (c < 8488
                  ? (c < 8486
                    ? c == 8484
                    : c <= 8486)
                  : (c <= 8488 || (c < 8508
                    ? (c >= 8490 && c <= 8505)
                    : c <= 8511)))))
              : (c <= 8521 || (c < 11559
                ? (c < 11264
                  ? (c < 8544
                    ? c == 8526
                    : c <= 8584)
                  : (c <= 11492 || (c < 11520
                    ? (c >= 11499 && c <= 11507)
                    : c <= 11557)))
                : (c <= 11559 || (c < 11631
                  ? (c < 11568
                    ? c == 11565
                    : c <= 11623)
                  : (c <= 11631 || (c < 11680
                    ? (c >= 11647 && c <= 11670)
                    : c <= 11686)))))))))
          : (c <= 11694 || (c < 42240
            ? (c < 12353
              ? (c < 11736
                ? (c < 11712
                  ? (c < 11704
                    ? (c >= 11696 && c <= 11702)
                    : c <= 11710)
                  : (c <= 11718 || (c < 11728
                    ? (c >= 11720 && c <= 11726)
                    : c <= 11734)))
                : (c <= 11742 || (c < 12321
                  ? (c < 12293
                    ? (c >= 11744 && c <= 11775)
                    : c <= 12295)
                  : (c <= 12335 || (c < 12344
                    ? (c >= 12337 && c <= 12341)
                    : c <= 12348)))))
              : (c <= 12438 || (c < 12593
                ? (c < 12449
                  ? (c < 12445
                    ? (c >= 12441 && c <= 12442)
                    : c <= 12447)
                  : (c <= 12538 || (c < 12549
                    ? (c >= 12540 && c <= 12543)
                    : c <= 12591)))
                : (c <= 12686 || (c < 13312
                  ? (c < 12784
                    ? (c >= 12704 && c <= 12735)
                    : c <= 12799)
                  : (c <= 19903 || (c < 42192
                    ? (c >= 19968 && c <= 42124)
                    : c <= 42237)))))))
            : (c <= 42508 || (c < 43052
              ? (c < 42786
                ? (c < 42612
                  ? (c < 42560
                    ? (c >= 42512 && c <= 42539)
                    : c <= 42607)
                  : (c <= 42621 || (c < 42775
                    ? (c >= 42623 && c <= 42737)
                    : c <= 42783)))
                : (c <= 42888 || (c < 42963
                  ? (c < 42960
                    ? (c >= 42891 && c <= 42954)
                    : c <= 42961)
                  : (c <= 42963 || (c < 42994
                    ? (c >= 42965 && c <= 42969)
                    : c <= 43047)))))
              : (c <= 43052 || (c < 43261
                ? (c < 43216
                  ? (c < 43136
                    ? (c >= 43072 && c <= 43123)
                    : c <= 43205)
                  : (c <= 43225 || (c < 43259
                    ? (c >= 43232 && c <= 43255)
                    : c <= 43259)))
                : (c <= 43309 || (c < 43392
                  ? (c < 43360
                    ? (c >= 43312 && c <= 43347)
                    : c <= 43388)
                  : (c <= 43456 || (c < 43488
                    ? (c >= 43471 && c <= 43481)
                    : c <= 43518)))))))))))))))
    : (c <= 43574 || (c < 71424
      ? (c < 67592
        ? (c < 65313
          ? (c < 64285
            ? (c < 43824
              ? (c < 43762
                ? (c < 43642
                  ? (c < 43600
                    ? (c >= 43584 && c <= 43597)
                    : (c <= 43609 || (c >= 43616 && c <= 43638)))
                  : (c <= 43714 || (c < 43744
                    ? (c >= 43739 && c <= 43741)
                    : c <= 43759)))
                : (c <= 43766 || (c < 43793
                  ? (c < 43785
                    ? (c >= 43777 && c <= 43782)
                    : c <= 43790)
                  : (c <= 43798 || (c < 43816
                    ? (c >= 43808 && c <= 43814)
                    : c <= 43822)))))
              : (c <= 43866 || (c < 55216
                ? (c < 44012
                  ? (c < 43888
                    ? (c >= 43868 && c <= 43881)
                    : c <= 44010)
                  : (c <= 44013 || (c < 44032
                    ? (c >= 44016 && c <= 44025)
                    : c <= 55203)))
                : (c <= 55238 || (c < 64112
                  ? (c < 63744
                    ? (c >= 55243 && c <= 55291)
                    : c <= 64109)
                  : (c <= 64217 || (c < 64275
                    ? (c >= 64256 && c <= 64262)
                    : c <= 64279)))))))
            : (c <= 64296 || (c < 65024
              ? (c < 64326
                ? (c < 64318
                  ? (c < 64312
                    ? (c >= 64298 && c <= 64310)
                    : c <= 64316)
                  : (c <= 64318 || (c < 64323
                    ? (c >= 64320 && c <= 64321)
                    : c <= 64324)))
                : (c <= 64433 || (c < 64848
                  ? (c < 64612
                    ? (c >= 64467 && c <= 64605)
                    : c <= 64829)
                  : (c <= 64911 || (c < 65008
                    ? (c >= 64914 && c <= 64967)
                    : c <= 65017)))))
              : (c <= 65039 || (c < 65143
                ? (c < 65101
                  ? (c < 65075
                    ? (c >= 65056 && c <= 65071)
                    : c <= 65076)
                  : (c <= 65103 || (c < 65139
                    ? c == 65137
                    : c <= 65139)))
                : (c <= 65143 || (c < 65149
                  ? (c < 65147
                    ? c == 65145
                    : c <= 65147)
                  : (c <= 65149 || (c < 65296
                    ? (c >= 65151 && c <= 65276)
                    : c <= 65305)))))))))
          : (c <= 65338 || (c < 66464
            ? (c < 65599
              ? (c < 65490
                ? (c < 65382
                  ? (c < 65345
                    ? c == 65343
                    : c <= 65370)
                  : (c <= 65470 || (c < 65482
                    ? (c >= 65474 && c <= 65479)
                    : c <= 65487)))
                : (c <= 65495 || (c < 65549
                  ? (c < 65536
                    ? (c >= 65498 && c <= 65500)
                    : c <= 65547)
                  : (c <= 65574 || (c < 65596
                    ? (c >= 65576 && c <= 65594)
                    : c <= 65597)))))
              : (c <= 65613 || (c < 66208
                ? (c < 65856
                  ? (c < 65664
                    ? (c >= 65616 && c <= 65629)
                    : c <= 65786)
                  : (c <= 65908 || (c < 66176
                    ? c == 66045
                    : c <= 66204)))
                : (c <= 66256 || (c < 66349
                  ? (c < 66304
                    ? c == 66272
                    : c <= 66335)
                  : (c <= 66378 || (c < 66432
                    ? (c >= 66384 && c <= 66426)
                    : c <= 66461)))))))
            : (c <= 66499 || (c < 66964
              ? (c < 66776
                ? (c < 66560
                  ? (c < 66513
                    ? (c >= 66504 && c <= 66511)
                    : c <= 66517)
                  : (c <= 66717 || (c < 66736
                    ? (c >= 66720 && c <= 66729)
                    : c <= 66771)))
                : (c <= 66811 || (c < 66928
                  ? (c < 66864
                    ? (c >= 66816 && c <= 66855)
                    : c <= 66915)
                  : (c <= 66938 || (c < 66956
                    ? (c >= 66940 && c <= 66954)
                    : c <= 66962)))))
              : (c <= 66965 || (c < 67392
                ? (c < 66995
                  ? (c < 66979
                    ? (c >= 66967 && c <= 66977)
                    : c <= 66993)
                  : (c <= 67001 || (c < 67072
                    ? (c >= 67003 && c <= 67004)
                    : c <= 67382)))
                : (c <= 67413 || (c < 67463
                  ? (c < 67456
                    ? (c >= 67424 && c <= 67431)
                    : c <= 67461)
                  : (c <= 67504 || (c < 67584
                    ? (c >= 67506 && c <= 67514)
                    : c <= 67589)))))))))))
        : (c <= 67592 || (c < 69888
          ? (c < 68352
            ? (c < 68030
              ? (c < 67712
                ? (c < 67644
                  ? (c < 67639
                    ? (c >= 67594 && c <= 67637)
                    : c <= 67640)
                  : (c <= 67644 || (c < 67680
                    ? (c >= 67647 && c <= 67669)
                    : c <= 67702)))
                : (c <= 67742 || (c < 67840
                  ? (c < 67828
                    ? (c >= 67808 && c <= 67826)
                    : c <= 67829)
                  : (c <= 67861 || (c < 67968
                    ? (c >= 67872 && c <= 67897)
                    : c <= 68023)))))
              : (c <= 68031 || (c < 68152
                ? (c < 68108
                  ? (c < 68101
                    ? (c >= 68096 && c <= 68099)
                    : c <= 68102)
                  : (c <= 68115 || (c < 68121
                    ? (c >= 68117 && c <= 68119)
                    : c <= 68149)))
                : (c <= 68154 || (c < 68224
                  ? (c < 68192
                    ? c == 68159
                    : c <= 68220)
                  : (c <= 68252 || (c < 68297
                    ? (c >= 68288 && c <= 68295)
                    : c <= 68326)))))))
            : (c <= 68405 || (c < 69376
              ? (c < 68800
                ? (c < 68480
                  ? (c < 68448
                    ? (c >= 68416 && c <= 68437)
                    : c <= 68466)
                  : (c <= 68497 || (c < 68736
                    ? (c >= 68608 && c <= 68680)
                    : c <= 68786)))
                : (c <= 68850 || (c < 69248
                  ? (c < 68912
                    ? (c >= 68864 && c <= 68903)
                    : c <= 68921)
                  : (c <= 69289 || (c < 69296
                    ? (c >= 69291 && c <= 69292)
                    : c <= 69297)))))
              : (c <= 69404 || (c < 69632
                ? (c < 69488
                  ? (c < 69424
                    ? c == 69415
                    : c <= 69456)
                  : (c <= 69509 || (c < 69600
                    ? (c >= 69552 && c <= 69572)
                    : c <= 69622)))
                : (c <= 69702 || (c < 69826
                  ? (c < 69759
                    ? (c >= 69734 && c <= 69749)
                    : c <= 69818)
                  : (c <= 69826 || (c < 69872
                    ? (c >= 69840 && c <= 69864)
                    : c <= 69881)))))))))
          : (c <= 69940 || (c < 70450
            ? (c < 70272
              ? (c < 70089
                ? (c < 69968
                  ? (c < 69956
                    ? (c >= 69942 && c <= 69951)
                    : c <= 69959)
                  : (c <= 70003 || (c < 70016
                    ? c == 70006
                    : c <= 70084)))
                : (c <= 70092 || (c < 70144
                  ? (c < 70108
                    ? (c >= 70094 && c <= 70106)
                    : c <= 70108)
                  : (c <= 70161 || (c < 70206
                    ? (c >= 70163 && c <= 70199)
                    : c <= 70206)))))
              : (c <= 70278 || (c < 70384
                ? (c < 70287
                  ? (c < 70282
                    ? c == 70280
                    : c <= 70285)
                  : (c <= 70301 || (c < 70320
                    ? (c >= 70303 && c <= 70312)
                    : c <= 70378)))
                : (c <= 70393 || (c < 70415
                  ? (c < 70405
                    ? (c >= 70400 && c <= 70403)
                    : c <= 70412)
                  : (c <= 70416 || (c < 70442
                    ? (c >= 70419 && c <= 70440)
                    : c <= 70448)))))))
            : (c <= 70451 || (c < 70750
              ? (c < 70487
                ? (c < 70471
                  ? (c < 70459
                    ? (c >= 70453 && c <= 70457)
                    : c <= 70468)
                  : (c <= 70472 || (c < 70480
                    ? (c >= 70475 && c <= 70477)
                    : c <= 70480)))
                : (c <= 70487 || (c < 70512
                  ? (c < 70502
                    ? (c >= 70493 && c <= 70499)
                    : c <= 70508)
                  : (c <= 70516 || (c < 70736
                    ? (c >= 70656 && c <= 70730)
                    : c <= 70745)))))
              : (c <= 70753 || (c < 71128
                ? (c < 70864
                  ? (c < 70855
                    ? (c >= 70784 && c <= 70853)
                    : c <= 70855)
                  : (c <= 70873 || (c < 71096
                    ? (c >= 71040 && c <= 71093)
                    : c <= 71104)))
                : (c <= 71133 || (c < 71248
                  ? (c < 71236
                    ? (c >= 71168 && c <= 71232)
                    : c <= 71236)
                  : (c <= 71257 || (c < 71360
                    ? (c >= 71296 && c <= 71352)
                    : c <= 71369)))))))))))))
      : (c <= 71450 || (c < 119970
        ? (c < 77712
          ? (c < 72714
            ? (c < 71995
              ? (c < 71935
                ? (c < 71488
                  ? (c < 71472
                    ? (c >= 71453 && c <= 71467)
                    : c <= 71481)
                  : (c <= 71494 || (c < 71840
                    ? (c >= 71680 && c <= 71738)
                    : c <= 71913)))
                : (c <= 71942 || (c < 71957
                  ? (c < 71948
                    ? c == 71945
                    : c <= 71955)
                  : (c <= 71958 || (c < 71991
                    ? (c >= 71960 && c <= 71989)
                    : c <= 71992)))))
              : (c <= 72003 || (c < 72192
                ? (c < 72106
                  ? (c < 72096
                    ? (c >= 72016 && c <= 72025)
                    : c <= 72103)
                  : (c <= 72151 || (c < 72163
                    ? (c >= 72154 && c <= 72161)
                    : c <= 72164)))
                : (c <= 72254 || (c < 72349
                  ? (c < 72272
                    ? c == 72263
                    : c <= 72345)
                  : (c <= 72349 || (c < 72704
                    ? (c >= 72368 && c <= 72440)
                    : c <= 72712)))))))
            : (c <= 72758 || (c < 73040
              ? (c < 72960
                ? (c < 72818
                  ? (c < 72784
                    ? (c >= 72760 && c <= 72768)
                    : c <= 72793)
                  : (c <= 72847 || (c < 72873
                    ? (c >= 72850 && c <= 72871)
                    : c <= 72886)))
                : (c <= 72966 || (c < 73018
                  ? (c < 72971
                    ? (c >= 72968 && c <= 72969)
                    : c <= 73014)
                  : (c <= 73018 || (c < 73023
                    ? (c >= 73020 && c <= 73021)
                    : c <= 73031)))))
              : (c <= 73049 || (c < 73120
                ? (c < 73066
                  ? (c < 73063
                    ? (c >= 73056 && c <= 73061)
                    : c <= 73064)
                  : (c <= 73102 || (c < 73107
                    ? (c >= 73104 && c <= 73105)
                    : c <= 73112)))
                : (c <= 73129 || (c < 73728
                  ? (c < 73648
                    ? (c >= 73440 && c <= 73462)
                    : c <= 73648)
                  : (c <= 74649 || (c < 74880
                    ? (c >= 74752 && c <= 74862)
                    : c <= 75075)))))))))
          : (c <= 77808 || (c < 101632
            ? (c < 93008
              ? (c < 92784
                ? (c < 92160
                  ? (c < 82944
                    ? (c >= 77824 && c <= 78894)
                    : c <= 83526)
                  : (c <= 92728 || (c < 92768
                    ? (c >= 92736 && c <= 92766)
                    : c <= 92777)))
                : (c <= 92862 || (c < 92912
                  ? (c < 92880
                    ? (c >= 92864 && c <= 92873)
                    : c <= 92909)
                  : (c <= 92916 || (c < 92992
                    ? (c >= 92928 && c <= 92982)
                    : c <= 92995)))))
              : (c <= 93017 || (c < 94095
                ? (c < 93760
                  ? (c < 93053
                    ? (c >= 93027 && c <= 93047)
                    : c <= 93071)
                  : (c <= 93823 || (c < 94031
                    ? (c >= 93952 && c <= 94026)
                    : c <= 94087)))
                : (c <= 94111 || (c < 94192
                  ? (c < 94179
                    ? (c >= 94176 && c <= 94177)
                    : c <= 94180)
                  : (c <= 94193 || (c < 100352
                    ? (c >= 94208 && c <= 100343)
                    : c <= 101589)))))))
            : (c <= 101640 || (c < 113821
              ? (c < 110948
                ? (c < 110589
                  ? (c < 110581
                    ? (c >= 110576 && c <= 110579)
                    : c <= 110587)
                  : (c <= 110590 || (c < 110928
                    ? (c >= 110592 && c <= 110882)
                    : c <= 110930)))
                : (c <= 110951 || (c < 113776
                  ? (c < 113664
                    ? (c >= 110960 && c <= 111355)
                    : c <= 113770)
                  : (c <= 113788 || (c < 113808
                    ? (c >= 113792 && c <= 113800)
                    : c <= 113817)))))
              : (c <= 113822 || (c < 119173
                ? (c < 119141
                  ? (c < 118576
                    ? (c >= 118528 && c <= 118573)
                    : c <= 118598)
                  : (c <= 119145 || (c < 119163
                    ? (c >= 119149 && c <= 119154)
                    : c <= 119170)))
                : (c <= 119179 || (c < 119808
                  ? (c < 119362
                    ? (c >= 119210 && c <= 119213)
                    : c <= 119364)
                  : (c <= 119892 || (c < 119966
                    ? (c >= 119894 && c <= 119964)
                    : c <= 119967)))))))))))
        : (c <= 119970 || (c < 124909
          ? (c < 120714
            ? (c < 120128
              ? (c < 120005
                ? (c < 119982
                  ? (c < 119977
                    ? (c >= 119973 && c <= 119974)
                    : c <= 119980)
                  : (c <= 119993 || (c < 119997
                    ? c == 119995
                    : c <= 120003)))
                : (c <= 120069 || (c < 120086
                  ? (c < 120077
                    ? (c >= 120071 && c <= 120074)
                    : c <= 120084)
                  : (c <= 120092 || (c < 120123
                    ? (c >= 120094 && c <= 120121)
                    : c <= 120126)))))
              : (c <= 120132 || (c < 120540
                ? (c < 120146
                  ? (c < 120138
                    ? c == 120134
                    : c <= 120144)
                  : (c <= 120485 || (c < 120514
                    ? (c >= 120488 && c <= 120512)
                    : c <= 120538)))
                : (c <= 120570 || (c < 120630
                  ? (c < 120598
                    ? (c >= 120572 && c <= 120596)
                    : c <= 120628)
                  : (c <= 120654 || (c < 120688
                    ? (c >= 120656 && c <= 120686)
                    : c <= 120712)))))))
            : (c <= 120744 || (c < 122888
              ? (c < 121461
                ? (c < 120782
                  ? (c < 120772
                    ? (c >= 120746 && c <= 120770)
                    : c <= 120779)
                  : (c <= 120831 || (c < 121403
                    ? (c >= 121344 && c <= 121398)
                    : c <= 121452)))
                : (c <= 121461 || (c < 121505
                  ? (c < 121499
                    ? c == 121476
                    : c <= 121503)
                  : (c <= 121519 || (c < 122880
                    ? (c >= 122624 && c <= 122654)
                    : c <= 122886)))))
              : (c <= 122904 || (c < 123200
                ? (c < 122918
                  ? (c < 122915
                    ? (c >= 122907 && c <= 122913)
                    : c <= 122916)
                  : (c <= 122922 || (c < 123184
                    ? (c >= 123136 && c <= 123180)
                    : c <= 123197)))
                : (c <= 123209 || (c < 123584
                  ? (c < 123536
                    ? c == 123214
                    : c <= 123566)
                  : (c <= 123641 || (c < 124904
                    ? (c >= 124896 && c <= 124902)
                    : c <= 124907)))))))))
          : (c <= 124910 || (c < 126555
            ? (c < 126516
              ? (c < 126464
                ? (c < 125136
                  ? (c < 124928
                    ? (c >= 124912 && c <= 124926)
                    : c <= 125124)
                  : (c <= 125142 || (c < 125264
                    ? (c >= 125184 && c <= 125259)
                    : c <= 125273)))
                : (c <= 126467 || (c < 126500
                  ? (c < 126497
                    ? (c >= 126469 && c <= 126495)
                    : c <= 126498)
                  : (c <= 126500 || (c < 126505
                    ? c == 126503
                    : c <= 126514)))))
              : (c <= 126519 || (c < 126539
                ? (c < 126530
                  ? (c < 126523
                    ? c == 126521
                    : c <= 126523)
                  : (c <= 126530 || (c < 126537
                    ? c == 126535
                    : c <= 126537)))
                : (c <= 126539 || (c < 126548
                  ? (c < 126545
                    ? (c >= 126541 && c <= 126543)
                    : c <= 126546)
                  : (c <= 126548 || (c < 126553
                    ? c == 126551
                    : c <= 126553)))))))
            : (c <= 126555 || (c < 126625
              ? (c < 126572
                ? (c < 126561
                  ? (c < 126559
                    ? c == 126557
                    : c <= 126559)
                  : (c <= 126562 || (c < 126567
                    ? c == 126564
                    : c <= 126570)))
                : (c <= 126578 || (c < 126590
                  ? (c < 126585
                    ? (c >= 126580 && c <= 126583)
                    : c <= 126588)
                  : (c <= 126590 || (c < 126603
                    ? (c >= 126592 && c <= 126601)
                    : c <= 126619)))))
              : (c <= 126627 || (c < 177984
                ? (c < 130032
                  ? (c < 126635
                    ? (c >= 126629 && c <= 126633)
                    : c <= 126651)
                  : (c <= 130041 || (c < 173824
                    ? (c >= 131072 && c <= 173791)
                    : c <= 177976)))
                : (c <= 178205 || (c < 194560
                  ? (c < 183984
                    ? (c >= 178208 && c <= 183969)
                    : c <= 191456)
                  : (c <= 195101 || (c < 917760
                    ? (c >= 196608 && c <= 201546)
                    : c <= 917999)))))))))))))))));
}

static inline bool sym_identifier_character_set_10(int32_t c) {
  return (c < 43616
    ? (c < 3782
      ? (c < 2741
        ? (c < 2042
          ? (c < 931
            ? (c < 248
              ? (c < 170
                ? (c < 'A'
                  ? (c < '0'
                    ? c == '$'
                    : c <= '9')
                  : (c <= 'Z' || (c < 'a'
                    ? c == '_'
                    : c <= 'z')))
                : (c <= 170 || (c < 186
                  ? (c < 183
                    ? c == 181
                    : c <= 183)
                  : (c <= 186 || (c < 216
                    ? (c >= 192 && c <= 214)
                    : c <= 246)))))
              : (c <= 705 || (c < 886
                ? (c < 748
                  ? (c < 736
                    ? (c >= 710 && c <= 721)
                    : c <= 740)
                  : (c <= 748 || (c < 768
                    ? c == 750
                    : c <= 884)))
                : (c <= 887 || (c < 902
                  ? (c < 895
                    ? (c >= 891 && c <= 893)
                    : c <= 895)
                  : (c <= 906 || (c < 910
                    ? c == 908
                    : c <= 929)))))))
            : (c <= 1013 || (c < 1488
              ? (c < 1376
                ? (c < 1162
                  ? (c < 1155
                    ? (c >= 1015 && c <= 1153)
                    : c <= 1159)
                  : (c <= 1327 || (c < 1369
                    ? (c >= 1329 && c <= 1366)
                    : c <= 1369)))
                : (c <= 1416 || (c < 1473
                  ? (c < 1471
                    ? (c >= 1425 && c <= 1469)
                    : c <= 1471)
                  : (c <= 1474 || (c < 1479
                    ? (c >= 1476 && c <= 1477)
                    : c <= 1479)))))
              : (c <= 1514 || (c < 1759
                ? (c < 1568
                  ? (c < 1552
                    ? (c >= 1519 && c <= 1522)
                    : c <= 1562)
                  : (c <= 1641 || (c < 1749
                    ? (c >= 1646 && c <= 1747)
                    : c <= 1756)))
                : (c <= 1768 || (c < 1808
                  ? (c < 1791
                    ? (c >= 1770 && c <= 1788)
                    : c <= 1791)
                  : (c <= 1866 || (c < 1984
                    ? (c >= 1869 && c <= 1969)
                    : c <= 2037)))))))))
          : (c <= 2042 || (c < 2556
            ? (c < 2447
              ? (c < 2185
                ? (c < 2112
                  ? (c < 2048
                    ? c == 2045
                    : c <= 2093)
                  : (c <= 2139 || (c < 2160
                    ? (c >= 2144 && c <= 2154)
                    : c <= 2183)))
                : (c <= 2190 || (c < 2406
                  ? (c < 2275
                    ? (c >= 2200 && c <= 2273)
                    : c <= 2403)
                  : (c <= 2415 || (c < 2437
                    ? (c >= 2417 && c <= 2435)
                    : c <= 2444)))))
              : (c <= 2448 || (c < 2503
                ? (c < 2482
                  ? (c < 2474
                    ? (c >= 2451 && c <= 2472)
                    : c <= 2480)
                  : (c <= 2482 || (c < 2492
                    ? (c >= 2486 && c <= 2489)
                    : c <= 2500)))
                : (c <= 2504 || (c < 2524
                  ? (c < 2519
                    ? (c >= 2507 && c <= 2510)
                    : c <= 2519)
                  : (c <= 2525 || (c < 2534
                    ? (c >= 2527 && c <= 2531)
                    : c <= 2545)))))))
            : (c <= 2556 || (c < 2631
              ? (c < 2602
                ? (c < 2565
                  ? (c < 2561
                    ? c == 2558
                    : c <= 2563)
                  : (c <= 2570 || (c < 2579
                    ? (c >= 2575 && c <= 2576)
                    : c <= 2600)))
                : (c <= 2608 || (c < 2616
                  ? (c < 2613
                    ? (c >= 2610 && c <= 2611)
                    : c <= 2614)
                  : (c <= 2617 || (c < 2622
                    ? c == 2620
                    : c <= 2626)))))
              : (c <= 2632 || (c < 2689
                ? (c < 2649
                  ? (c < 2641
                    ? (c >= 2635 && c <= 2637)
                    : c <= 2641)
                  : (c <= 2652 || (c < 2662
                    ? c == 2654
                    : c <= 2677)))
                : (c <= 2691 || (c < 2707
                  ? (c < 2703
                    ? (c >= 2693 && c <= 2701)
                    : c <= 2705)
                  : (c <= 2728 || (c < 2738
                    ? (c >= 2730 && c <= 2736)
                    : c <= 2739)))))))))))
        : (c <= 2745 || (c < 3165
          ? (c < 2949
            ? (c < 2858
              ? (c < 2790
                ? (c < 2763
                  ? (c < 2759
                    ? (c >= 2748 && c <= 2757)
                    : c <= 2761)
                  : (c <= 2765 || (c < 2784
                    ? c == 2768
                    : c <= 2787)))
                : (c <= 2799 || (c < 2821
                  ? (c < 2817
                    ? (c >= 2809 && c <= 2815)
                    : c <= 2819)
                  : (c <= 2828 || (c < 2835
                    ? (c >= 2831 && c <= 2832)
                    : c <= 2856)))))
              : (c <= 2864 || (c < 2901
                ? (c < 2876
                  ? (c < 2869
                    ? (c >= 2866 && c <= 2867)
                    : c <= 2873)
                  : (c <= 2884 || (c < 2891
                    ? (c >= 2887 && c <= 2888)
                    : c <= 2893)))
                : (c <= 2903 || (c < 2918
                  ? (c < 2911
                    ? (c >= 2908 && c <= 2909)
                    : c <= 2915)
                  : (c <= 2927 || (c < 2946
                    ? c == 2929
                    : c <= 2947)))))))
            : (c <= 2954 || (c < 3024
              ? (c < 2979
                ? (c < 2969
                  ? (c < 2962
                    ? (c >= 2958 && c <= 2960)
                    : c <= 2965)
                  : (c <= 2970 || (c < 2974
                    ? c == 2972
                    : c <= 2975)))
                : (c <= 2980 || (c < 3006
                  ? (c < 2990
                    ? (c >= 2984 && c <= 2986)
                    : c <= 3001)
                  : (c <= 3010 || (c < 3018
                    ? (c >= 3014 && c <= 3016)
                    : c <= 3021)))))
              : (c <= 3024 || (c < 3114
                ? (c < 3072
                  ? (c < 3046
                    ? c == 3031
                    : c <= 3055)
                  : (c <= 3084 || (c < 3090
                    ? (c >= 3086 && c <= 3088)
                    : c <= 3112)))
                : (c <= 3129 || (c < 3146
                  ? (c < 3142
                    ? (c >= 3132 && c <= 3140)
                    : c <= 3144)
                  : (c <= 3149 || (c < 3160
                    ? (c >= 3157 && c <= 3158)
                    : c <= 3162)))))))))
          : (c <= 3165 || (c < 3430
            ? (c < 3285
              ? (c < 3218
                ? (c < 3200
                  ? (c < 3174
                    ? (c >= 3168 && c <= 3171)
                    : c <= 3183)
                  : (c <= 3203 || (c < 3214
                    ? (c >= 3205 && c <= 3212)
                    : c <= 3216)))
                : (c <= 3240 || (c < 3260
                  ? (c < 3253
                    ? (c >= 3242 && c <= 3251)
                    : c <= 3257)
                  : (c <= 3268 || (c < 3274
                    ? (c >= 3270 && c <= 3272)
                    : c <= 3277)))))
              : (c <= 3286 || (c < 3342
                ? (c < 3302
                  ? (c < 3296
                    ? (c >= 3293 && c <= 3294)
                    : c <= 3299)
                  : (c <= 3311 || (c < 3328
                    ? (c >= 3313 && c <= 3314)
                    : c <= 3340)))
                : (c <= 3344 || (c < 3402
                  ? (c < 3398
                    ? (c >= 3346 && c <= 3396)
                    : c <= 3400)
                  : (c <= 3406 || (c < 3423
                    ? (c >= 3412 && c <= 3415)
                    : c <= 3427)))))))
            : (c <= 3439 || (c < 3558
              ? (c < 3517
                ? (c < 3461
                  ? (c < 3457
                    ? (c >= 3450 && c <= 3455)
                    : c <= 3459)
                  : (c <= 3478 || (c < 3507
                    ? (c >= 3482 && c <= 3505)
                    : c <= 3515)))
                : (c <= 3517 || (c < 3535
                  ? (c < 3530
                    ? (c >= 3520 && c <= 3526)
                    : c <= 3530)
                  : (c <= 3540 || (c < 3544
                    ? c == 3542
                    : c <= 3551)))))
              : (c <= 3567 || (c < 3716
                ? (c < 3648
                  ? (c < 3585
                    ? (c >= 3570 && c <= 3571)
                    : c <= 3642)
                  : (c <= 3662 || (c < 3713
                    ? (c >= 3664 && c <= 3673)
                    : c <= 3714)))
                : (c <= 3716 || (c < 3749
                  ? (c < 3724
                    ? (c >= 3718 && c <= 3722)
                    : c <= 3747)
                  : (c <= 3749 || (c < 3776
                    ? (c >= 3751 && c <= 3773)
                    : c <= 3780)))))))))))))
      : (c <= 3782 || (c < 8025
        ? (c < 5888
          ? (c < 4688
            ? (c < 3953
              ? (c < 3872
                ? (c < 3804
                  ? (c < 3792
                    ? (c >= 3784 && c <= 3789)
                    : c <= 3801)
                  : (c <= 3807 || (c < 3864
                    ? c == 3840
                    : c <= 3865)))
                : (c <= 3881 || (c < 3897
                  ? (c < 3895
                    ? c == 3893
                    : c <= 3895)
                  : (c <= 3897 || (c < 3913
                    ? (c >= 3902 && c <= 3911)
                    : c <= 3948)))))
              : (c <= 3972 || (c < 4256
                ? (c < 4038
                  ? (c < 3993
                    ? (c >= 3974 && c <= 3991)
                    : c <= 4028)
                  : (c <= 4038 || (c < 4176
                    ? (c >= 4096 && c <= 4169)
                    : c <= 4253)))
                : (c <= 4293 || (c < 4304
                  ? (c < 4301
                    ? c == 4295
                    : c <= 4301)
                  : (c <= 4346 || (c < 4682
                    ? (c >= 4348 && c <= 4680)
                    : c <= 4685)))))))
            : (c <= 4694 || (c < 4882
              ? (c < 4786
                ? (c < 4704
                  ? (c < 4698
                    ? c == 4696
                    : c <= 4701)
                  : (c <= 4744 || (c < 4752
                    ? (c >= 4746 && c <= 4749)
                    : c <= 4784)))
                : (c <= 4789 || (c < 4802
                  ? (c < 4800
                    ? (c >= 4792 && c <= 4798)
                    : c <= 4800)
                  : (c <= 4805 || (c < 4824
                    ? (c >= 4808 && c <= 4822)
                    : c <= 4880)))))
              : (c <= 4885 || (c < 5112
                ? (c < 4969
                  ? (c < 4957
                    ? (c >= 4888 && c <= 4954)
                    : c <= 4959)
                  : (c <= 4977 || (c < 5024
                    ? (c >= 4992 && c <= 5007)
                    : c <= 5109)))
                : (c <= 5117 || (c < 5761
                  ? (c < 5743
                    ? (c >= 5121 && c <= 5740)
                    : c <= 5759)
                  : (c <= 5786 || (c < 5870
                    ? (c >= 5792 && c <= 5866)
                    : c <= 5880)))))))))
          : (c <= 5909 || (c < 6688
            ? (c < 6176
              ? (c < 6016
                ? (c < 5984
                  ? (c < 5952
                    ? (c >= 5919 && c <= 5940)
                    : c <= 5971)
                  : (c <= 5996 || (c < 6002
                    ? (c >= 5998 && c <= 6000)
                    : c <= 6003)))
                : (c <= 6099 || (c < 6112
                  ? (c < 6108
                    ? c == 6103
                    : c <= 6109)
                  : (c <= 6121 || (c < 6159
                    ? (c >= 6155 && c <= 6157)
                    : c <= 6169)))))
              : (c <= 6264 || (c < 6470
                ? (c < 6400
                  ? (c < 6320
                    ? (c >= 6272 && c <= 6314)
                    : c <= 6389)
                  : (c <= 6430 || (c < 6448
                    ? (c >= 6432 && c <= 6443)
                    : c <= 6459)))
                : (c <= 6509 || (c < 6576
                  ? (c < 6528
                    ? (c >= 6512 && c <= 6516)
                    : c <= 6571)
                  : (c <= 6601 || (c < 6656
                    ? (c >= 6608 && c <= 6618)
                    : c <= 6683)))))))
            : (c <= 6750 || (c < 7232
              ? (c < 6847
                ? (c < 6800
                  ? (c < 6783
                    ? (c >= 6752 && c <= 6780)
                    : c <= 6793)
                  : (c <= 6809 || (c < 6832
                    ? c == 6823
                    : c <= 6845)))
                : (c <= 6862 || (c < 7019
                  ? (c < 6992
                    ? (c >= 6912 && c <= 6988)
                    : c <= 7001)
                  : (c <= 7027 || (c < 7168
                    ? (c >= 7040 && c <= 7155)
                    : c <= 7223)))))
              : (c <= 7241 || (c < 7380
                ? (c < 7312
                  ? (c < 7296
                    ? (c >= 7245 && c <= 7293)
                    : c <= 7304)
                  : (c <= 7354 || (c < 7376
                    ? (c >= 7357 && c <= 7359)
                    : c <= 7378)))
                : (c <= 7418 || (c < 7968
                  ? (c < 7960
                    ? (c >= 7424 && c <= 7957)
                    : c <= 7965)
                  : (c <= 8005 || (c < 8016
                    ? (c >= 8008 && c <= 8013)
                    : c <= 8023)))))))))))
        : (c <= 8025 || (c < 11720
          ? (c < 8458
            ? (c < 8178
              ? (c < 8126
                ? (c < 8031
                  ? (c < 8029
                    ? c == 8027
                    : c <= 8029)
                  : (c <= 8061 || (c < 8118
                    ? (c >= 8064 && c <= 8116)
                    : c <= 8124)))
                : (c <= 8126 || (c < 8144
                  ? (c < 8134
                    ? (c >= 8130 && c <= 8132)
                    : c <= 8140)
                  : (c <= 8147 || (c < 8160
                    ? (c >= 8150 && c <= 8155)
                    : c <= 8172)))))
              : (c <= 8180 || (c < 8336
                ? (c < 8276
                  ? (c < 8255
                    ? (c >= 8182 && c <= 8188)
                    : c <= 8256)
                  : (c <= 8276 || (c < 8319
                    ? c == 8305
                    : c <= 8319)))
                : (c <= 8348 || (c < 8421
                  ? (c < 8417
                    ? (c >= 8400 && c <= 8412)
                    : c <= 8417)
                  : (c <= 8432 || (c < 8455
                    ? c == 8450
                    : c <= 8455)))))))
            : (c <= 8467 || (c < 11499
              ? (c < 8490
                ? (c < 8484
                  ? (c < 8472
                    ? c == 8469
                    : c <= 8477)
                  : (c <= 8484 || (c < 8488
                    ? c == 8486
                    : c <= 8488)))
                : (c <= 8505 || (c < 8526
                  ? (c < 8517
                    ? (c >= 8508 && c <= 8511)
                    : c <= 8521)
                  : (c <= 8526 || (c < 11264
                    ? (c >= 8544 && c <= 8584)
                    : c <= 11492)))))
              : (c <= 11507 || (c < 11647
                ? (c < 11565
                  ? (c < 11559
                    ? (c >= 11520 && c <= 11557)
                    : c <= 11559)
                  : (c <= 11565 || (c < 11631
                    ? (c >= 11568 && c <= 11623)
                    : c <= 11631)))
                : (c <= 11670 || (c < 11696
                  ? (c < 11688
                    ? (c >= 11680 && c <= 11686)
                    : c <= 11694)
                  : (c <= 11702 || (c < 11712
                    ? (c >= 11704 && c <= 11710)
                    : c <= 11718)))))))))
          : (c <= 11726 || (c < 42623
            ? (c < 12540
              ? (c < 12337
                ? (c < 11744
                  ? (c < 11736
                    ? (c >= 11728 && c <= 11734)
                    : c <= 11742)
                  : (c <= 11775 || (c < 12321
                    ? (c >= 12293 && c <= 12295)
                    : c <= 12335)))
                : (c <= 12341 || (c < 12441
                  ? (c < 12353
                    ? (c >= 12344 && c <= 12348)
                    : c <= 12438)
                  : (c <= 12442 || (c < 12449
                    ? (c >= 12445 && c <= 12447)
                    : c <= 12538)))))
              : (c <= 12543 || (c < 19968
                ? (c < 12704
                  ? (c < 12593
                    ? (c >= 12549 && c <= 12591)
                    : c <= 12686)
                  : (c <= 12735 || (c < 13312
                    ? (c >= 12784 && c <= 12799)
                    : c <= 19903)))
                : (c <= 42124 || (c < 42512
                  ? (c < 42240
                    ? (c >= 42192 && c <= 42237)
                    : c <= 42508)
                  : (c <= 42539 || (c < 42612
                    ? (c >= 42560 && c <= 42607)
                    : c <= 42621)))))))
            : (c <= 42737 || (c < 43232
              ? (c < 42965
                ? (c < 42891
                  ? (c < 42786
                    ? (c >= 42775 && c <= 42783)
                    : c <= 42888)
                  : (c <= 42954 || (c < 42963
                    ? (c >= 42960 && c <= 42961)
                    : c <= 42963)))
                : (c <= 42969 || (c < 43072
                  ? (c < 43052
                    ? (c >= 42994 && c <= 43047)
                    : c <= 43052)
                  : (c <= 43123 || (c < 43216
                    ? (c >= 43136 && c <= 43205)
                    : c <= 43225)))))
              : (c <= 43255 || (c < 43471
                ? (c < 43312
                  ? (c < 43261
                    ? c == 43259
                    : c <= 43309)
                  : (c <= 43347 || (c < 43392
                    ? (c >= 43360 && c <= 43388)
                    : c <= 43456)))
                : (c <= 43481 || (c < 43584
                  ? (c < 43520
                    ? (c >= 43488 && c <= 43518)
                    : c <= 43574)
                  : (c <= 43597 || (c >= 43600 && c <= 43609)))))))))))))))
    : (c <= 43638 || (c < 71453
      ? (c < 67639
        ? (c < 65345
          ? (c < 64312
            ? (c < 43888
              ? (c < 43785
                ? (c < 43744
                  ? (c < 43739
                    ? (c >= 43642 && c <= 43714)
                    : c <= 43741)
                  : (c <= 43759 || (c < 43777
                    ? (c >= 43762 && c <= 43766)
                    : c <= 43782)))
                : (c <= 43790 || (c < 43816
                  ? (c < 43808
                    ? (c >= 43793 && c <= 43798)
                    : c <= 43814)
                  : (c <= 43822 || (c < 43868
                    ? (c >= 43824 && c <= 43866)
                    : c <= 43881)))))
              : (c <= 44010 || (c < 63744
                ? (c < 44032
                  ? (c < 44016
                    ? (c >= 44012 && c <= 44013)
                    : c <= 44025)
                  : (c <= 55203 || (c < 55243
                    ? (c >= 55216 && c <= 55238)
                    : c <= 55291)))
                : (c <= 64109 || (c < 64275
                  ? (c < 64256
                    ? (c >= 64112 && c <= 64217)
                    : c <= 64262)
                  : (c <= 64279 || (c < 64298
                    ? (c >= 64285 && c <= 64296)
                    : c <= 64310)))))))
            : (c <= 64316 || (c < 65075
              ? (c < 64612
                ? (c < 64323
                  ? (c < 64320
                    ? c == 64318
                    : c <= 64321)
                  : (c <= 64324 || (c < 64467
                    ? (c >= 64326 && c <= 64433)
                    : c <= 64605)))
                : (c <= 64829 || (c < 65008
                  ? (c < 64914
                    ? (c >= 64848 && c <= 64911)
                    : c <= 64967)
                  : (c <= 65017 || (c < 65056
                    ? (c >= 65024 && c <= 65039)
                    : c <= 65071)))))
              : (c <= 65076 || (c < 65147
                ? (c < 65139
                  ? (c < 65137
                    ? (c >= 65101 && c <= 65103)
                    : c <= 65137)
                  : (c <= 65139 || (c < 65145
                    ? c == 65143
                    : c <= 65145)))
                : (c <= 65147 || (c < 65296
                  ? (c < 65151
                    ? c == 65149
                    : c <= 65276)
                  : (c <= 65305 || (c < 65343
                    ? (c >= 65313 && c <= 65338)
                    : c <= 65343)))))))))
          : (c <= 65370 || (c < 66513
            ? (c < 65664
              ? (c < 65536
                ? (c < 65482
                  ? (c < 65474
                    ? (c >= 65382 && c <= 65470)
                    : c <= 65479)
                  : (c <= 65487 || (c < 65498
                    ? (c >= 65490 && c <= 65495)
                    : c <= 65500)))
                : (c <= 65547 || (c < 65596
                  ? (c < 65576
                    ? (c >= 65549 && c <= 65574)
                    : c <= 65594)
                  : (c <= 65597 || (c < 65616
                    ? (c >= 65599 && c <= 65613)
                    : c <= 65629)))))
              : (c <= 65786 || (c < 66304
                ? (c < 66176
                  ? (c < 66045
                    ? (c >= 65856 && c <= 65908)
                    : c <= 66045)
                  : (c <= 66204 || (c < 66272
                    ? (c >= 66208 && c <= 66256)
                    : c <= 66272)))
                : (c <= 66335 || (c < 66432
                  ? (c < 66384
                    ? (c >= 66349 && c <= 66378)
                    : c <= 66426)
                  : (c <= 66461 || (c < 66504
                    ? (c >= 66464 && c <= 66499)
                    : c <= 66511)))))))
            : (c <= 66517 || (c < 66979
              ? (c < 66864
                ? (c < 66736
                  ? (c < 66720
                    ? (c >= 66560 && c <= 66717)
                    : c <= 66729)
                  : (c <= 66771 || (c < 66816
                    ? (c >= 66776 && c <= 66811)
                    : c <= 66855)))
                : (c <= 66915 || (c < 66956
                  ? (c < 66940
                    ? (c >= 66928 && c <= 66938)
                    : c <= 66954)
                  : (c <= 66962 || (c < 66967
                    ? (c >= 66964 && c <= 66965)
                    : c <= 66977)))))
              : (c <= 66993 || (c < 67456
                ? (c < 67072
                  ? (c < 67003
                    ? (c >= 66995 && c <= 67001)
                    : c <= 67004)
                  : (c <= 67382 || (c < 67424
                    ? (c >= 67392 && c <= 67413)
                    : c <= 67431)))
                : (c <= 67461 || (c < 67584
                  ? (c < 67506
                    ? (c >= 67463 && c <= 67504)
                    : c <= 67514)
                  : (c <= 67589 || (c < 67594
                    ? c == 67592
                    : c <= 67637)))))))))))
        : (c <= 67640 || (c < 69956
          ? (c < 68448
            ? (c < 68101
              ? (c < 67828
                ? (c < 67680
                  ? (c < 67647
                    ? c == 67644
                    : c <= 67669)
                  : (c <= 67702 || (c < 67808
                    ? (c >= 67712 && c <= 67742)
                    : c <= 67826)))
                : (c <= 67829 || (c < 67968
                  ? (c < 67872
                    ? (c >= 67840 && c <= 67861)
                    : c <= 67897)
                  : (c <= 68023 || (c < 68096
                    ? (c >= 68030 && c <= 68031)
                    : c <= 68099)))))
              : (c <= 68102 || (c < 68192
                ? (c < 68121
                  ? (c < 68117
                    ? (c >= 68108 && c <= 68115)
                    : c <= 68119)
                  : (c <= 68149 || (c < 68159
                    ? (c >= 68152 && c <= 68154)
                    : c <= 68159)))
                : (c <= 68220 || (c < 68297
                  ? (c < 68288
                    ? (c >= 68224 && c <= 68252)
                    : c <= 68295)
                  : (c <= 68326 || (c < 68416
                    ? (c >= 68352 && c <= 68405)
                    : c <= 68437)))))))
            : (c <= 68466 || (c < 69424
              ? (c < 68912
                ? (c < 68736
                  ? (c < 68608
                    ? (c >= 68480 && c <= 68497)
                    : c <= 68680)
                  : (c <= 68786 || (c < 68864
                    ? (c >= 68800 && c <= 68850)
                    : c <= 68903)))
                : (c <= 68921 || (c < 69296
                  ? (c < 69291
                    ? (c >= 69248 && c <= 69289)
                    : c <= 69292)
                  : (c <= 69297 || (c < 69415
                    ? (c >= 69376 && c <= 69404)
                    : c <= 69415)))))
              : (c <= 69456 || (c < 69759
                ? (c < 69600
                  ? (c < 69552
                    ? (c >= 69488 && c <= 69509)
                    : c <= 69572)
                  : (c <= 69622 || (c < 69734
                    ? (c >= 69632 && c <= 69702)
                    : c <= 69749)))
                : (c <= 69818 || (c < 69872
                  ? (c < 69840
                    ? c == 69826
                    : c <= 69864)
                  : (c <= 69881 || (c < 69942
                    ? (c >= 69888 && c <= 69940)
                    : c <= 69951)))))))))
          : (c <= 69959 || (c < 70459
            ? (c < 70282
              ? (c < 70108
                ? (c < 70016
                  ? (c < 70006
                    ? (c >= 69968 && c <= 70003)
                    : c <= 70006)
                  : (c <= 70084 || (c < 70094
                    ? (c >= 70089 && c <= 70092)
                    : c <= 70106)))
                : (c <= 70108 || (c < 70206
                  ? (c < 70163
                    ? (c >= 70144 && c <= 70161)
                    : c <= 70199)
                  : (c <= 70206 || (c < 70280
                    ? (c >= 70272 && c <= 70278)
                    : c <= 70280)))))
              : (c <= 70285 || (c < 70405
                ? (c < 70320
                  ? (c < 70303
                    ? (c >= 70287 && c <= 70301)
                    : c <= 70312)
                  : (c <= 70378 || (c < 70400
                    ? (c >= 70384 && c <= 70393)
                    : c <= 70403)))
                : (c <= 70412 || (c < 70442
                  ? (c < 70419
                    ? (c >= 70415 && c <= 70416)
                    : c <= 70440)
                  : (c <= 70448 || (c < 70453
                    ? (c >= 70450 && c <= 70451)
                    : c <= 70457)))))))
            : (c <= 70468 || (c < 70855
              ? (c < 70502
                ? (c < 70480
                  ? (c < 70475
                    ? (c >= 70471 && c <= 70472)
                    : c <= 70477)
                  : (c <= 70480 || (c < 70493
                    ? c == 70487
                    : c <= 70499)))
                : (c <= 70508 || (c < 70736
                  ? (c < 70656
                    ? (c >= 70512 && c <= 70516)
                    : c <= 70730)
                  : (c <= 70745 || (c < 70784
                    ? (c >= 70750 && c <= 70753)
                    : c <= 70853)))))
              : (c <= 70855 || (c < 71236
                ? (c < 71096
                  ? (c < 71040
                    ? (c >= 70864 && c <= 70873)
                    : c <= 71093)
                  : (c <= 71104 || (c < 71168
                    ? (c >= 71128 && c <= 71133)
                    : c <= 71232)))
                : (c <= 71236 || (c < 71360
                  ? (c < 71296
                    ? (c >= 71248 && c <= 71257)
                    : c <= 71352)
                  : (c <= 71369 || (c >= 71424 && c <= 71450)))))))))))))
      : (c <= 71467 || (c < 119973
        ? (c < 77824
          ? (c < 72760
            ? (c < 72016
              ? (c < 71945
                ? (c < 71680
                  ? (c < 71488
                    ? (c >= 71472 && c <= 71481)
                    : c <= 71494)
                  : (c <= 71738 || (c < 71935
                    ? (c >= 71840 && c <= 71913)
                    : c <= 71942)))
                : (c <= 71945 || (c < 71960
                  ? (c < 71957
                    ? (c >= 71948 && c <= 71955)
                    : c <= 71958)
                  : (c <= 71989 || (c < 71995
                    ? (c >= 71991 && c <= 71992)
                    : c <= 72003)))))
              : (c <= 72025 || (c < 72263
                ? (c < 72154
                  ? (c < 72106
                    ? (c >= 72096 && c <= 72103)
                    : c <= 72151)
                  : (c <= 72161 || (c < 72192
                    ? (c >= 72163 && c <= 72164)
                    : c <= 72254)))
                : (c <= 72263 || (c < 72368
                  ? (c < 72349
                    ? (c >= 72272 && c <= 72345)
                    : c <= 72349)
                  : (c <= 72440 || (c < 72714
                    ? (c >= 72704 && c <= 72712)
                    : c <= 72758)))))))
            : (c <= 72768 || (c < 73056
              ? (c < 72968
                ? (c < 72850
                  ? (c < 72818
                    ? (c >= 72784 && c <= 72793)
                    : c <= 72847)
                  : (c <= 72871 || (c < 72960
                    ? (c >= 72873 && c <= 72886)
                    : c <= 72966)))
                : (c <= 72969 || (c < 73020
                  ? (c < 73018
                    ? (c >= 72971 && c <= 73014)
                    : c <= 73018)
                  : (c <= 73021 || (c < 73040
                    ? (c >= 73023 && c <= 73031)
                    : c <= 73049)))))
              : (c <= 73061 || (c < 73440
                ? (c < 73104
                  ? (c < 73066
                    ? (c >= 73063 && c <= 73064)
                    : c <= 73102)
                  : (c <= 73105 || (c < 73120
                    ? (c >= 73107 && c <= 73112)
                    : c <= 73129)))
                : (c <= 73462 || (c < 74752
                  ? (c < 73728
                    ? c == 73648
                    : c <= 74649)
                  : (c <= 74862 || (c < 77712
                    ? (c >= 74880 && c <= 75075)
                    : c <= 77808)))))))))
          : (c <= 78894 || (c < 110576
            ? (c < 93027
              ? (c < 92864
                ? (c < 92736
                  ? (c < 92160
                    ? (c >= 82944 && c <= 83526)
                    : c <= 92728)
                  : (c <= 92766 || (c < 92784
                    ? (c >= 92768 && c <= 92777)
                    : c <= 92862)))
                : (c <= 92873 || (c < 92928
                  ? (c < 92912
                    ? (c >= 92880 && c <= 92909)
                    : c <= 92916)
                  : (c <= 92982 || (c < 93008
                    ? (c >= 92992 && c <= 92995)
                    : c <= 93017)))))
              : (c <= 93047 || (c < 94176
                ? (c < 93952
                  ? (c < 93760
                    ? (c >= 93053 && c <= 93071)
                    : c <= 93823)
                  : (c <= 94026 || (c < 94095
                    ? (c >= 94031 && c <= 94087)
                    : c <= 94111)))
                : (c <= 94177 || (c < 94208
                  ? (c < 94192
                    ? (c >= 94179 && c <= 94180)
                    : c <= 94193)
                  : (c <= 100343 || (c < 101632
                    ? (c >= 100352 && c <= 101589)
                    : c <= 101640)))))))
            : (c <= 110579 || (c < 118528
              ? (c < 110960
                ? (c < 110592
                  ? (c < 110589
                    ? (c >= 110581 && c <= 110587)
                    : c <= 110590)
                  : (c <= 110882 || (c < 110948
                    ? (c >= 110928 && c <= 110930)
                    : c <= 110951)))
                : (c <= 111355 || (c < 113792
                  ? (c < 113776
                    ? (c >= 113664 && c <= 113770)
                    : c <= 113788)
                  : (c <= 113800 || (c < 113821
                    ? (c >= 113808 && c <= 113817)
                    : c <= 113822)))))
              : (c <= 118573 || (c < 119210
                ? (c < 119149
                  ? (c < 119141
                    ? (c >= 118576 && c <= 118598)
                    : c <= 119145)
                  : (c <= 119154 || (c < 119173
                    ? (c >= 119163 && c <= 119170)
                    : c <= 119179)))
                : (c <= 119213 || (c < 119894
                  ? (c < 119808
                    ? (c >= 119362 && c <= 119364)
                    : c <= 119892)
                  : (c <= 119964 || (c < 119970
                    ? (c >= 119966 && c <= 119967)
                    : c <= 119970)))))))))))
        : (c <= 119974 || (c < 124912
          ? (c < 120746
            ? (c < 120134
              ? (c < 120071
                ? (c < 119995
                  ? (c < 119982
                    ? (c >= 119977 && c <= 119980)
                    : c <= 119993)
                  : (c <= 119995 || (c < 120005
                    ? (c >= 119997 && c <= 120003)
                    : c <= 120069)))
                : (c <= 120074 || (c < 120094
                  ? (c < 120086
                    ? (c >= 120077 && c <= 120084)
                    : c <= 120092)
                  : (c <= 120121 || (c < 120128
                    ? (c >= 120123 && c <= 120126)
                    : c <= 120132)))))
              : (c <= 120134 || (c < 120572
                ? (c < 120488
                  ? (c < 120146
                    ? (c >= 120138 && c <= 120144)
                    : c <= 120485)
                  : (c <= 120512 || (c < 120540
                    ? (c >= 120514 && c <= 120538)
                    : c <= 120570)))
                : (c <= 120596 || (c < 120656
                  ? (c < 120630
                    ? (c >= 120598 && c <= 120628)
                    : c <= 120654)
                  : (c <= 120686 || (c < 120714
                    ? (c >= 120688 && c <= 120712)
                    : c <= 120744)))))))
            : (c <= 120770 || (c < 122907
              ? (c < 121476
                ? (c < 121344
                  ? (c < 120782
                    ? (c >= 120772 && c <= 120779)
                    : c <= 120831)
                  : (c <= 121398 || (c < 121461
                    ? (c >= 121403 && c <= 121452)
                    : c <= 121461)))
                : (c <= 121476 || (c < 122624
                  ? (c < 121505
                    ? (c >= 121499 && c <= 121503)
                    : c <= 121519)
                  : (c <= 122654 || (c < 122888
                    ? (c >= 122880 && c <= 122886)
                    : c <= 122904)))))
              : (c <= 122913 || (c < 123214
                ? (c < 123136
                  ? (c < 122918
                    ? (c >= 122915 && c <= 122916)
                    : c <= 122922)
                  : (c <= 123180 || (c < 123200
                    ? (c >= 123184 && c <= 123197)
                    : c <= 123209)))
                : (c <= 123214 || (c < 124896
                  ? (c < 123584
                    ? (c >= 123536 && c <= 123566)
                    : c <= 123641)
                  : (c <= 124902 || (c < 124909
                    ? (c >= 124904 && c <= 124907)
                    : c <= 124910)))))))))
          : (c <= 124926 || (c < 126557
            ? (c < 126521
              ? (c < 126469
                ? (c < 125184
                  ? (c < 125136
                    ? (c >= 124928 && c <= 125124)
                    : c <= 125142)
                  : (c <= 125259 || (c < 126464
                    ? (c >= 125264 && c <= 125273)
                    : c <= 126467)))
                : (c <= 126495 || (c < 126503
                  ? (c < 126500
                    ? (c >= 126497 && c <= 126498)
                    : c <= 126500)
                  : (c <= 126503 || (c < 126516
                    ? (c >= 126505 && c <= 126514)
                    : c <= 126519)))))
              : (c <= 126521 || (c < 126541
                ? (c < 126535
                  ? (c < 126530
                    ? c == 126523
                    : c <= 126530)
                  : (c <= 126535 || (c < 126539
                    ? c == 126537
                    : c <= 126539)))
                : (c <= 126543 || (c < 126551
                  ? (c < 126548
                    ? (c >= 126545 && c <= 126546)
                    : c <= 126548)
                  : (c <= 126551 || (c < 126555
                    ? c == 126553
                    : c <= 126555)))))))
            : (c <= 126557 || (c < 126629
              ? (c < 126580
                ? (c < 126564
                  ? (c < 126561
                    ? c == 126559
                    : c <= 126562)
                  : (c <= 126564 || (c < 126572
                    ? (c >= 126567 && c <= 126570)
                    : c <= 126578)))
                : (c <= 126583 || (c < 126592
                  ? (c < 126590
                    ? (c >= 126585 && c <= 126588)
                    : c <= 126590)
                  : (c <= 126601 || (c < 126625
                    ? (c >= 126603 && c <= 126619)
                    : c <= 126627)))))
              : (c <= 126633 || (c < 178208
                ? (c < 131072
                  ? (c < 130032
                    ? (c >= 126635 && c <= 126651)
                    : c <= 130041)
                  : (c <= 173791 || (c < 177984
                    ? (c >= 173824 && c <= 177976)
                    : c <= 178205)))
                : (c <= 183969 || (c < 196608
                  ? (c < 194560
                    ? (c >= 183984 && c <= 191456)
                    : c <= 195101)
                  : (c <= 201546 || (c >= 917760 && c <= 917999)))))))))))))))));
}

static inline bool sym_identifier_character_set_11(int32_t c) {
  return (c < 43600
    ? (c < 3776
      ? (c < 2738
        ? (c < 1984
          ? (c < 910
            ? (c < 216
              ? (c < 'a'
                ? (c < 'A'
                  ? (c < '0'
                    ? c == '$'
                    : c <= '9')
                  : (c <= 'Q' || (c < '_'
                    ? (c >= 'S' && c <= 'Z')
                    : c <= '_')))
                : (c <= 'z' || (c < 183
                  ? (c < 181
                    ? c == 170
                    : c <= 181)
                  : (c <= 183 || (c < 192
                    ? c == 186
                    : c <= 214)))))
              : (c <= 246 || (c < 768
                ? (c < 736
                  ? (c < 710
                    ? (c >= 248 && c <= 705)
                    : c <= 721)
                  : (c <= 740 || (c < 750
                    ? c == 748
                    : c <= 750)))
                : (c <= 884 || (c < 895
                  ? (c < 891
                    ? (c >= 886 && c <= 887)
                    : c <= 893)
                  : (c <= 895 || (c < 908
                    ? (c >= 902 && c <= 906)
                    : c <= 908)))))))
            : (c <= 929 || (c < 1479
              ? (c < 1369
                ? (c < 1155
                  ? (c < 1015
                    ? (c >= 931 && c <= 1013)
                    : c <= 1153)
                  : (c <= 1159 || (c < 1329
                    ? (c >= 1162 && c <= 1327)
                    : c <= 1366)))
                : (c <= 1369 || (c < 1471
                  ? (c < 1425
                    ? (c >= 1376 && c <= 1416)
                    : c <= 1469)
                  : (c <= 1471 || (c < 1476
                    ? (c >= 1473 && c <= 1474)
                    : c <= 1477)))))
              : (c <= 1479 || (c < 1749
                ? (c < 1552
                  ? (c < 1519
                    ? (c >= 1488 && c <= 1514)
                    : c <= 1522)
                  : (c <= 1562 || (c < 1646
                    ? (c >= 1568 && c <= 1641)
                    : c <= 1747)))
                : (c <= 1756 || (c < 1791
                  ? (c < 1770
                    ? (c >= 1759 && c <= 1768)
                    : c <= 1788)
                  : (c <= 1791 || (c < 1869
                    ? (c >= 1808 && c <= 1866)
                    : c <= 1969)))))))))
          : (c <= 2037 || (c < 2534
            ? (c < 2437
              ? (c < 2160
                ? (c < 2048
                  ? (c < 2045
                    ? c == 2042
                    : c <= 2045)
                  : (c <= 2093 || (c < 2144
                    ? (c >= 2112 && c <= 2139)
                    : c <= 2154)))
                : (c <= 2183 || (c < 2275
                  ? (c < 2200
                    ? (c >= 2185 && c <= 2190)
                    : c <= 2273)
                  : (c <= 2403 || (c < 2417
                    ? (c >= 2406 && c <= 2415)
                    : c <= 2435)))))
              : (c <= 2444 || (c < 2492
                ? (c < 2474
                  ? (c < 2451
                    ? (c >= 2447 && c <= 2448)
                    : c <= 2472)
                  : (c <= 2480 || (c < 2486
                    ? c == 2482
                    : c <= 2489)))
                : (c <= 2500 || (c < 2519
                  ? (c < 2507
                    ? (c >= 2503 && c <= 2504)
                    : c <= 2510)
                  : (c <= 2519 || (c < 2527
                    ? (c >= 2524 && c <= 2525)
                    : c <= 2531)))))))
            : (c <= 2545 || (c < 2622
              ? (c < 2579
                ? (c < 2561
                  ? (c < 2558
                    ? c == 2556
                    : c <= 2558)
                  : (c <= 2563 || (c < 2575
                    ? (c >= 2565 && c <= 2570)
                    : c <= 2576)))
                : (c <= 2600 || (c < 2613
                  ? (c < 2610
                    ? (c >= 2602 && c <= 2608)
                    : c <= 2611)
                  : (c <= 2614 || (c < 2620
                    ? (c >= 2616 && c <= 2617)
                    : c <= 2620)))))
              : (c <= 2626 || (c < 2662
                ? (c < 2641
                  ? (c < 2635
                    ? (c >= 2631 && c <= 2632)
                    : c <= 2637)
                  : (c <= 2641 || (c < 2654
                    ? (c >= 2649 && c <= 2652)
                    : c <= 2654)))
                : (c <= 2677 || (c < 2703
                  ? (c < 2693
                    ? (c >= 2689 && c <= 2691)
                    : c <= 2701)
                  : (c <= 2705 || (c < 2730
                    ? (c >= 2707 && c <= 2728)
                    : c <= 2736)))))))))))
        : (c <= 2739 || (c < 3160
          ? (c < 2946
            ? (c < 2835
              ? (c < 2784
                ? (c < 2759
                  ? (c < 2748
                    ? (c >= 2741 && c <= 2745)
                    : c <= 2757)
                  : (c <= 2761 || (c < 2768
                    ? (c >= 2763 && c <= 2765)
                    : c <= 2768)))
                : (c <= 2787 || (c < 2817
                  ? (c < 2809
                    ? (c >= 2790 && c <= 2799)
                    : c <= 2815)
                  : (c <= 2819 || (c < 2831
                    ? (c >= 2821 && c <= 2828)
                    : c <= 2832)))))
              : (c <= 2856 || (c < 2891
                ? (c < 2869
                  ? (c < 2866
                    ? (c >= 2858 && c <= 2864)
                    : c <= 2867)
                  : (c <= 2873 || (c < 2887
                    ? (c >= 2876 && c <= 2884)
                    : c <= 2888)))
                : (c <= 2893 || (c < 2911
                  ? (c < 2908
                    ? (c >= 2901 && c <= 2903)
                    : c <= 2909)
                  : (c <= 2915 || (c < 2929
                    ? (c >= 2918 && c <= 2927)
                    : c <= 2929)))))))
            : (c <= 2947 || (c < 3018
              ? (c < 2974
                ? (c < 2962
                  ? (c < 2958
                    ? (c >= 2949 && c <= 2954)
                    : c <= 2960)
                  : (c <= 2965 || (c < 2972
                    ? (c >= 2969 && c <= 2970)
                    : c <= 2972)))
                : (c <= 2975 || (c < 2990
                  ? (c < 2984
                    ? (c >= 2979 && c <= 2980)
                    : c <= 2986)
                  : (c <= 3001 || (c < 3014
                    ? (c >= 3006 && c <= 3010)
                    : c <= 3016)))))
              : (c <= 3021 || (c < 3090
                ? (c < 3046
                  ? (c < 3031
                    ? c == 3024
                    : c <= 3031)
                  : (c <= 3055 || (c < 3086
                    ? (c >= 3072 && c <= 3084)
                    : c <= 3088)))
                : (c <= 3112 || (c < 3142
                  ? (c < 3132
                    ? (c >= 3114 && c <= 3129)
                    : c <= 3140)
                  : (c <= 3144 || (c < 3157
                    ? (c >= 3146 && c <= 3149)
                    : c <= 3158)))))))))
          : (c <= 3162 || (c < 3423
            ? (c < 3274
              ? (c < 3214
                ? (c < 3174
                  ? (c < 3168
                    ? c == 3165
                    : c <= 3171)
                  : (c <= 3183 || (c < 3205
                    ? (c >= 3200 && c <= 3203)
                    : c <= 3212)))
                : (c <= 3216 || (c < 3253
                  ? (c < 3242
                    ? (c >= 3218 && c <= 3240)
                    : c <= 3251)
                  : (c <= 3257 || (c < 3270
                    ? (c >= 3260 && c <= 3268)
                    : c <= 3272)))))
              : (c <= 3277 || (c < 3328
                ? (c < 3296
                  ? (c < 3293
                    ? (c >= 3285 && c <= 3286)
                    : c <= 3294)
                  : (c <= 3299 || (c < 3313
                    ? (c >= 3302 && c <= 3311)
                    : c <= 3314)))
                : (c <= 3340 || (c < 3398
                  ? (c < 3346
                    ? (c >= 3342 && c <= 3344)
                    : c <= 3396)
                  : (c <= 3400 || (c < 3412
                    ? (c >= 3402 && c <= 3406)
                    : c <= 3415)))))))
            : (c <= 3427 || (c < 3544
              ? (c < 3507
                ? (c < 3457
                  ? (c < 3450
                    ? (c >= 3430 && c <= 3439)
                    : c <= 3455)
                  : (c <= 3459 || (c < 3482
                    ? (c >= 3461 && c <= 3478)
                    : c <= 3505)))
                : (c <= 3515 || (c < 3530
                  ? (c < 3520
                    ? c == 3517
                    : c <= 3526)
                  : (c <= 3530 || (c < 3542
                    ? (c >= 3535 && c <= 3540)
                    : c <= 3542)))))
              : (c <= 3551 || (c < 3713
                ? (c < 3585
                  ? (c < 3570
                    ? (c >= 3558 && c <= 3567)
                    : c <= 3571)
                  : (c <= 3642 || (c < 3664
                    ? (c >= 3648 && c <= 3662)
                    : c <= 3673)))
                : (c <= 3714 || (c < 3724
                  ? (c < 3718
                    ? c == 3716
                    : c <= 3722)
                  : (c <= 3747 || (c < 3751
                    ? c == 3749
                    : c <= 3773)))))))))))))
      : (c <= 3780 || (c < 8016
        ? (c < 5870
          ? (c < 4682
            ? (c < 3913
              ? (c < 3864
                ? (c < 3792
                  ? (c < 3784
                    ? c == 3782
                    : c <= 3789)
                  : (c <= 3801 || (c < 3840
                    ? (c >= 3804 && c <= 3807)
                    : c <= 3840)))
                : (c <= 3865 || (c < 3895
                  ? (c < 3893
                    ? (c >= 3872 && c <= 3881)
                    : c <= 3893)
                  : (c <= 3895 || (c < 3902
                    ? c == 3897
                    : c <= 3911)))))
              : (c <= 3948 || (c < 4176
                ? (c < 3993
                  ? (c < 3974
                    ? (c >= 3953 && c <= 3972)
                    : c <= 3991)
                  : (c <= 4028 || (c < 4096
                    ? c == 4038
                    : c <= 4169)))
                : (c <= 4253 || (c < 4301
                  ? (c < 4295
                    ? (c >= 4256 && c <= 4293)
                    : c <= 4295)
                  : (c <= 4301 || (c < 4348
                    ? (c >= 4304 && c <= 4346)
                    : c <= 4680)))))))
            : (c <= 4685 || (c < 4824
              ? (c < 4752
                ? (c < 4698
                  ? (c < 4696
                    ? (c >= 4688 && c <= 4694)
                    : c <= 4696)
                  : (c <= 4701 || (c < 4746
                    ? (c >= 4704 && c <= 4744)
                    : c <= 4749)))
                : (c <= 4784 || (c < 4800
                  ? (c < 4792
                    ? (c >= 4786 && c <= 4789)
                    : c <= 4798)
                  : (c <= 4800 || (c < 4808
                    ? (c >= 4802 && c <= 4805)
                    : c <= 4822)))))
              : (c <= 4880 || (c < 5024
                ? (c < 4957
                  ? (c < 4888
                    ? (c >= 4882 && c <= 4885)
                    : c <= 4954)
                  : (c <= 4959 || (c < 4992
                    ? (c >= 4969 && c <= 4977)
                    : c <= 5007)))
                : (c <= 5109 || (c < 5743
                  ? (c < 5121
                    ? (c >= 5112 && c <= 5117)
                    : c <= 5740)
                  : (c <= 5759 || (c < 5792
                    ? (c >= 5761 && c <= 5786)
                    : c <= 5866)))))))))
          : (c <= 5880 || (c < 6656
            ? (c < 6159
              ? (c < 6002
                ? (c < 5952
                  ? (c < 5919
                    ? (c >= 5888 && c <= 5909)
                    : c <= 5940)
                  : (c <= 5971 || (c < 5998
                    ? (c >= 5984 && c <= 5996)
                    : c <= 6000)))
                : (c <= 6003 || (c < 6108
                  ? (c < 6103
                    ? (c >= 6016 && c <= 6099)
                    : c <= 6103)
                  : (c <= 6109 || (c < 6155
                    ? (c >= 6112 && c <= 6121)
                    : c <= 6157)))))
              : (c <= 6169 || (c < 6448
                ? (c < 6320
                  ? (c < 6272
                    ? (c >= 6176 && c <= 6264)
                    : c <= 6314)
                  : (c <= 6389 || (c < 6432
                    ? (c >= 6400 && c <= 6430)
                    : c <= 6443)))
                : (c <= 6459 || (c < 6528
                  ? (c < 6512
                    ? (c >= 6470 && c <= 6509)
                    : c <= 6516)
                  : (c <= 6571 || (c < 6608
                    ? (c >= 6576 && c <= 6601)
                    : c <= 6618)))))))
            : (c <= 6683 || (c < 7168
              ? (c < 6832
                ? (c < 6783
                  ? (c < 6752
                    ? (c >= 6688 && c <= 6750)
                    : c <= 6780)
                  : (c <= 6793 || (c < 6823
                    ? (c >= 6800 && c <= 6809)
                    : c <= 6823)))
                : (c <= 6845 || (c < 6992
                  ? (c < 6912
                    ? (c >= 6847 && c <= 6862)
                    : c <= 6988)
                  : (c <= 7001 || (c < 7040
                    ? (c >= 7019 && c <= 7027)
                    : c <= 7155)))))
              : (c <= 7223 || (c < 7376
                ? (c < 7296
                  ? (c < 7245
                    ? (c >= 7232 && c <= 7241)
                    : c <= 7293)
                  : (c <= 7304 || (c < 7357
                    ? (c >= 7312 && c <= 7354)
                    : c <= 7359)))
                : (c <= 7378 || (c < 7960
                  ? (c < 7424
                    ? (c >= 7380 && c <= 7418)
                    : c <= 7957)
                  : (c <= 7965 || (c < 8008
                    ? (c >= 7968 && c <= 8005)
                    : c <= 8013)))))))))))
        : (c <= 8023 || (c < 11712
          ? (c < 8455
            ? (c < 8160
              ? (c < 8118
                ? (c < 8029
                  ? (c < 8027
                    ? c == 8025
                    : c <= 8027)
                  : (c <= 8029 || (c < 8064
                    ? (c >= 8031 && c <= 8061)
                    : c <= 8116)))
                : (c <= 8124 || (c < 8134
                  ? (c < 8130
                    ? c == 8126
                    : c <= 8132)
                  : (c <= 8140 || (c < 8150
                    ? (c >= 8144 && c <= 8147)
                    : c <= 8155)))))
              : (c <= 8172 || (c < 8319
                ? (c < 8255
                  ? (c < 8182
                    ? (c >= 8178 && c <= 8180)
                    : c <= 8188)
                  : (c <= 8256 || (c < 8305
                    ? c == 8276
                    : c <= 8305)))
                : (c <= 8319 || (c < 8417
                  ? (c < 8400
                    ? (c >= 8336 && c <= 8348)
                    : c <= 8412)
                  : (c <= 8417 || (c < 8450
                    ? (c >= 8421 && c <= 8432)
                    : c <= 8450)))))))
            : (c <= 8455 || (c < 11264
              ? (c < 8488
                ? (c < 8472
                  ? (c < 8469
                    ? (c >= 8458 && c <= 8467)
                    : c <= 8469)
                  : (c <= 8477 || (c < 8486
                    ? c == 8484
                    : c <= 8486)))
                : (c <= 8488 || (c < 8517
                  ? (c < 8508
                    ? (c >= 8490 && c <= 8505)
                    : c <= 8511)
                  : (c <= 8521 || (c < 8544
                    ? c == 8526
                    : c <= 8584)))))
              : (c <= 11492 || (c < 11631
                ? (c < 11559
                  ? (c < 11520
                    ? (c >= 11499 && c <= 11507)
                    : c <= 11557)
                  : (c <= 11559 || (c < 11568
                    ? c == 11565
                    : c <= 11623)))
                : (c <= 11631 || (c < 11688
                  ? (c < 11680
                    ? (c >= 11647 && c <= 11670)
                    : c <= 11686)
                  : (c <= 11694 || (c < 11704
                    ? (c >= 11696 && c <= 11702)
                    : c <= 11710)))))))))
          : (c <= 11718 || (c < 42612
            ? (c < 12449
              ? (c < 12321
                ? (c < 11736
                  ? (c < 11728
                    ? (c >= 11720 && c <= 11726)
                    : c <= 11734)
                  : (c <= 11742 || (c < 12293
                    ? (c >= 11744 && c <= 11775)
                    : c <= 12295)))
                : (c <= 12335 || (c < 12353
                  ? (c < 12344
                    ? (c >= 12337 && c <= 12341)
                    : c <= 12348)
                  : (c <= 12438 || (c < 12445
                    ? (c >= 12441 && c <= 12442)
                    : c <= 12447)))))
              : (c <= 12538 || (c < 13312
                ? (c < 12593
                  ? (c < 12549
                    ? (c >= 12540 && c <= 12543)
                    : c <= 12591)
                  : (c <= 12686 || (c < 12784
                    ? (c >= 12704 && c <= 12735)
                    : c <= 12799)))
                : (c <= 19903 || (c < 42240
                  ? (c < 42192
                    ? (c >= 19968 && c <= 42124)
                    : c <= 42237)
                  : (c <= 42508 || (c < 42560
                    ? (c >= 42512 && c <= 42539)
                    : c <= 42607)))))))
            : (c <= 42621 || (c < 43216
              ? (c < 42963
                ? (c < 42786
                  ? (c < 42775
                    ? (c >= 42623 && c <= 42737)
                    : c <= 42783)
                  : (c <= 42888 || (c < 42960
                    ? (c >= 42891 && c <= 42954)
                    : c <= 42961)))
                : (c <= 42963 || (c < 43052
                  ? (c < 42994
                    ? (c >= 42965 && c <= 42969)
                    : c <= 43047)
                  : (c <= 43052 || (c < 43136
                    ? (c >= 43072 && c <= 43123)
                    : c <= 43205)))))
              : (c <= 43225 || (c < 43392
                ? (c < 43261
                  ? (c < 43259
                    ? (c >= 43232 && c <= 43255)
                    : c <= 43259)
                  : (c <= 43309 || (c < 43360
                    ? (c >= 43312 && c <= 43347)
                    : c <= 43388)))
                : (c <= 43456 || (c < 43520
                  ? (c < 43488
                    ? (c >= 43471 && c <= 43481)
                    : c <= 43518)
                  : (c <= 43574 || (c >= 43584 && c <= 43597)))))))))))))))
    : (c <= 43609 || (c < 71453
      ? (c < 67594
        ? (c < 65343
          ? (c < 64298
            ? (c < 43868
              ? (c < 43777
                ? (c < 43739
                  ? (c < 43642
                    ? (c >= 43616 && c <= 43638)
                    : c <= 43714)
                  : (c <= 43741 || (c < 43762
                    ? (c >= 43744 && c <= 43759)
                    : c <= 43766)))
                : (c <= 43782 || (c < 43808
                  ? (c < 43793
                    ? (c >= 43785 && c <= 43790)
                    : c <= 43798)
                  : (c <= 43814 || (c < 43824
                    ? (c >= 43816 && c <= 43822)
                    : c <= 43866)))))
              : (c <= 43881 || (c < 55243
                ? (c < 44016
                  ? (c < 44012
                    ? (c >= 43888 && c <= 44010)
                    : c <= 44013)
                  : (c <= 44025 || (c < 55216
                    ? (c >= 44032 && c <= 55203)
                    : c <= 55238)))
                : (c <= 55291 || (c < 64256
                  ? (c < 64112
                    ? (c >= 63744 && c <= 64109)
                    : c <= 64217)
                  : (c <= 64262 || (c < 64285
                    ? (c >= 64275 && c <= 64279)
                    : c <= 64296)))))))
            : (c <= 64310 || (c < 65056
              ? (c < 64467
                ? (c < 64320
                  ? (c < 64318
                    ? (c >= 64312 && c <= 64316)
                    : c <= 64318)
                  : (c <= 64321 || (c < 64326
                    ? (c >= 64323 && c <= 64324)
                    : c <= 64433)))
                : (c <= 64605 || (c < 64914
                  ? (c < 64848
                    ? (c >= 64612 && c <= 64829)
                    : c <= 64911)
                  : (c <= 64967 || (c < 65024
                    ? (c >= 65008 && c <= 65017)
                    : c <= 65039)))))
              : (c <= 65071 || (c < 65145
                ? (c < 65137
                  ? (c < 65101
                    ? (c >= 65075 && c <= 65076)
                    : c <= 65103)
                  : (c <= 65137 || (c < 65143
                    ? c == 65139
                    : c <= 65143)))
                : (c <= 65145 || (c < 65151
                  ? (c < 65149
                    ? c == 65147
                    : c <= 65149)
                  : (c <= 65276 || (c < 65313
                    ? (c >= 65296 && c <= 65305)
                    : c <= 65338)))))))))
          : (c <= 65343 || (c < 66504
            ? (c < 65616
              ? (c < 65498
                ? (c < 65474
                  ? (c < 65382
                    ? (c >= 65345 && c <= 65370)
                    : c <= 65470)
                  : (c <= 65479 || (c < 65490
                    ? (c >= 65482 && c <= 65487)
                    : c <= 65495)))
                : (c <= 65500 || (c < 65576
                  ? (c < 65549
                    ? (c >= 65536 && c <= 65547)
                    : c <= 65574)
                  : (c <= 65594 || (c < 65599
                    ? (c >= 65596 && c <= 65597)
                    : c <= 65613)))))
              : (c <= 65629 || (c < 66272
                ? (c < 66045
                  ? (c < 65856
                    ? (c >= 65664 && c <= 65786)
                    : c <= 65908)
                  : (c <= 66045 || (c < 66208
                    ? (c >= 66176 && c <= 66204)
                    : c <= 66256)))
                : (c <= 66272 || (c < 66384
                  ? (c < 66349
                    ? (c >= 66304 && c <= 66335)
                    : c <= 66378)
                  : (c <= 66426 || (c < 66464
                    ? (c >= 66432 && c <= 66461)
                    : c <= 66499)))))))
            : (c <= 66511 || (c < 66967
              ? (c < 66816
                ? (c < 66720
                  ? (c < 66560
                    ? (c >= 66513 && c <= 66517)
                    : c <= 66717)
                  : (c <= 66729 || (c < 66776
                    ? (c >= 66736 && c <= 66771)
                    : c <= 66811)))
                : (c <= 66855 || (c < 66940
                  ? (c < 66928
                    ? (c >= 66864 && c <= 66915)
                    : c <= 66938)
                  : (c <= 66954 || (c < 66964
                    ? (c >= 66956 && c <= 66962)
                    : c <= 66965)))))
              : (c <= 66977 || (c < 67424
                ? (c < 67003
                  ? (c < 66995
                    ? (c >= 66979 && c <= 66993)
                    : c <= 67001)
                  : (c <= 67004 || (c < 67392
                    ? (c >= 67072 && c <= 67382)
                    : c <= 67413)))
                : (c <= 67431 || (c < 67506
                  ? (c < 67463
                    ? (c >= 67456 && c <= 67461)
                    : c <= 67504)
                  : (c <= 67514 || (c < 67592
                    ? (c >= 67584 && c <= 67589)
                    : c <= 67592)))))))))))
        : (c <= 67637 || (c < 69942
          ? (c < 68416
            ? (c < 68096
              ? (c < 67808
                ? (c < 67647
                  ? (c < 67644
                    ? (c >= 67639 && c <= 67640)
                    : c <= 67644)
                  : (c <= 67669 || (c < 67712
                    ? (c >= 67680 && c <= 67702)
                    : c <= 67742)))
                : (c <= 67826 || (c < 67872
                  ? (c < 67840
                    ? (c >= 67828 && c <= 67829)
                    : c <= 67861)
                  : (c <= 67897 || (c < 68030
                    ? (c >= 67968 && c <= 68023)
                    : c <= 68031)))))
              : (c <= 68099 || (c < 68159
                ? (c < 68117
                  ? (c < 68108
                    ? (c >= 68101 && c <= 68102)
                    : c <= 68115)
                  : (c <= 68119 || (c < 68152
                    ? (c >= 68121 && c <= 68149)
                    : c <= 68154)))
                : (c <= 68159 || (c < 68288
                  ? (c < 68224
                    ? (c >= 68192 && c <= 68220)
                    : c <= 68252)
                  : (c <= 68295 || (c < 68352
                    ? (c >= 68297 && c <= 68326)
                    : c <= 68405)))))))
            : (c <= 68437 || (c < 69415
              ? (c < 68864
                ? (c < 68608
                  ? (c < 68480
                    ? (c >= 68448 && c <= 68466)
                    : c <= 68497)
                  : (c <= 68680 || (c < 68800
                    ? (c >= 68736 && c <= 68786)
                    : c <= 68850)))
                : (c <= 68903 || (c < 69291
                  ? (c < 69248
                    ? (c >= 68912 && c <= 68921)
                    : c <= 69289)
                  : (c <= 69292 || (c < 69376
                    ? (c >= 69296 && c <= 69297)
                    : c <= 69404)))))
              : (c <= 69415 || (c < 69734
                ? (c < 69552
                  ? (c < 69488
                    ? (c >= 69424 && c <= 69456)
                    : c <= 69509)
                  : (c <= 69572 || (c < 69632
                    ? (c >= 69600 && c <= 69622)
                    : c <= 69702)))
                : (c <= 69749 || (c < 69840
                  ? (c < 69826
                    ? (c >= 69759 && c <= 69818)
                    : c <= 69826)
                  : (c <= 69864 || (c < 69888
                    ? (c >= 69872 && c <= 69881)
                    : c <= 69940)))))))))
          : (c <= 69951 || (c < 70453
            ? (c < 70280
              ? (c < 70094
                ? (c < 70006
                  ? (c < 69968
                    ? (c >= 69956 && c <= 69959)
                    : c <= 70003)
                  : (c <= 70006 || (c < 70089
                    ? (c >= 70016 && c <= 70084)
                    : c <= 70092)))
                : (c <= 70106 || (c < 70163
                  ? (c < 70144
                    ? c == 70108
                    : c <= 70161)
                  : (c <= 70199 || (c < 70272
                    ? c == 70206
                    : c <= 70278)))))
              : (c <= 70280 || (c < 70400
                ? (c < 70303
                  ? (c < 70287
                    ? (c >= 70282 && c <= 70285)
                    : c <= 70301)
                  : (c <= 70312 || (c < 70384
                    ? (c >= 70320 && c <= 70378)
                    : c <= 70393)))
                : (c <= 70403 || (c < 70419
                  ? (c < 70415
                    ? (c >= 70405 && c <= 70412)
                    : c <= 70416)
                  : (c <= 70440 || (c < 70450
                    ? (c >= 70442 && c <= 70448)
                    : c <= 70451)))))))
            : (c <= 70457 || (c < 70784
              ? (c < 70493
                ? (c < 70475
                  ? (c < 70471
                    ? (c >= 70459 && c <= 70468)
                    : c <= 70472)
                  : (c <= 70477 || (c < 70487
                    ? c == 70480
                    : c <= 70487)))
                : (c <= 70499 || (c < 70656
                  ? (c < 70512
                    ? (c >= 70502 && c <= 70508)
                    : c <= 70516)
                  : (c <= 70730 || (c < 70750
                    ? (c >= 70736 && c <= 70745)
                    : c <= 70753)))))
              : (c <= 70853 || (c < 71168
                ? (c < 71040
                  ? (c < 70864
                    ? c == 70855
                    : c <= 70873)
                  : (c <= 71093 || (c < 71128
                    ? (c >= 71096 && c <= 71104)
                    : c <= 71133)))
                : (c <= 71232 || (c < 71296
                  ? (c < 71248
                    ? c == 71236
                    : c <= 71257)
                  : (c <= 71352 || (c < 71424
                    ? (c >= 71360 && c <= 71369)
                    : c <= 71450)))))))))))))
      : (c <= 71467 || (c < 119973
        ? (c < 77824
          ? (c < 72760
            ? (c < 72016
              ? (c < 71945
                ? (c < 71680
                  ? (c < 71488
                    ? (c >= 71472 && c <= 71481)
                    : c <= 71494)
                  : (c <= 71738 || (c < 71935
                    ? (c >= 71840 && c <= 71913)
                    : c <= 71942)))
                : (c <= 71945 || (c < 71960
                  ? (c < 71957
                    ? (c >= 71948 && c <= 71955)
                    : c <= 71958)
                  : (c <= 71989 || (c < 71995
                    ? (c >= 71991 && c <= 71992)
                    : c <= 72003)))))
              : (c <= 72025 || (c < 72263
                ? (c < 72154
                  ? (c < 72106
                    ? (c >= 72096 && c <= 72103)
                    : c <= 72151)
                  : (c <= 72161 || (c < 72192
                    ? (c >= 72163 && c <= 72164)
                    : c <= 72254)))
                : (c <= 72263 || (c < 72368
                  ? (c < 72349
                    ? (c >= 72272 && c <= 72345)
                    : c <= 72349)
                  : (c <= 72440 || (c < 72714
                    ? (c >= 72704 && c <= 72712)
                    : c <= 72758)))))))
            : (c <= 72768 || (c < 73056
              ? (c < 72968
                ? (c < 72850
                  ? (c < 72818
                    ? (c >= 72784 && c <= 72793)
                    : c <= 72847)
                  : (c <= 72871 || (c < 72960
                    ? (c >= 72873 && c <= 72886)
                    : c <= 72966)))
                : (c <= 72969 || (c < 73020
                  ? (c < 73018
                    ? (c >= 72971 && c <= 73014)
                    : c <= 73018)
                  : (c <= 73021 || (c < 73040
                    ? (c >= 73023 && c <= 73031)
                    : c <= 73049)))))
              : (c <= 73061 || (c < 73440
                ? (c < 73104
                  ? (c < 73066
                    ? (c >= 73063 && c <= 73064)
                    : c <= 73102)
                  : (c <= 73105 || (c < 73120
                    ? (c >= 73107 && c <= 73112)
                    : c <= 73129)))
                : (c <= 73462 || (c < 74752
                  ? (c < 73728
                    ? c == 73648
                    : c <= 74649)
                  : (c <= 74862 || (c < 77712
                    ? (c >= 74880 && c <= 75075)
                    : c <= 77808)))))))))
          : (c <= 78894 || (c < 110576
            ? (c < 93027
              ? (c < 92864
                ? (c < 92736
                  ? (c < 92160
                    ? (c >= 82944 && c <= 83526)
                    : c <= 92728)
                  : (c <= 92766 || (c < 92784
                    ? (c >= 92768 && c <= 92777)
                    : c <= 92862)))
                : (c <= 92873 || (c < 92928
                  ? (c < 92912
                    ? (c >= 92880 && c <= 92909)
                    : c <= 92916)
                  : (c <= 92982 || (c < 93008
                    ? (c >= 92992 && c <= 92995)
                    : c <= 93017)))))
              : (c <= 93047 || (c < 94176
                ? (c < 93952
                  ? (c < 93760
                    ? (c >= 93053 && c <= 93071)
                    : c <= 93823)
                  : (c <= 94026 || (c < 94095
                    ? (c >= 94031 && c <= 94087)
                    : c <= 94111)))
                : (c <= 94177 || (c < 94208
                  ? (c < 94192
                    ? (c >= 94179 && c <= 94180)
                    : c <= 94193)
                  : (c <= 100343 || (c < 101632
                    ? (c >= 100352 && c <= 101589)
                    : c <= 101640)))))))
            : (c <= 110579 || (c < 118528
              ? (c < 110960
                ? (c < 110592
                  ? (c < 110589
                    ? (c >= 110581 && c <= 110587)
                    : c <= 110590)
                  : (c <= 110882 || (c < 110948
                    ? (c >= 110928 && c <= 110930)
                    : c <= 110951)))
                : (c <= 111355 || (c < 113792
                  ? (c < 113776
                    ? (c >= 113664 && c <= 113770)
                    : c <= 113788)
                  : (c <= 113800 || (c < 113821
                    ? (c >= 113808 && c <= 113817)
                    : c <= 113822)))))
              : (c <= 118573 || (c < 119210
                ? (c < 119149
                  ? (c < 119141
                    ? (c >= 118576 && c <= 118598)
                    : c <= 119145)
                  : (c <= 119154 || (c < 119173
                    ? (c >= 119163 && c <= 119170)
                    : c <= 119179)))
                : (c <= 119213 || (c < 119894
                  ? (c < 119808
                    ? (c >= 119362 && c <= 119364)
                    : c <= 119892)
                  : (c <= 119964 || (c < 119970
                    ? (c >= 119966 && c <= 119967)
                    : c <= 119970)))))))))))
        : (c <= 119974 || (c < 124912
          ? (c < 120746
            ? (c < 120134
              ? (c < 120071
                ? (c < 119995
                  ? (c < 119982
                    ? (c >= 119977 && c <= 119980)
                    : c <= 119993)
                  : (c <= 119995 || (c < 120005
                    ? (c >= 119997 && c <= 120003)
                    : c <= 120069)))
                : (c <= 120074 || (c < 120094
                  ? (c < 120086
                    ? (c >= 120077 && c <= 120084)
                    : c <= 120092)
                  : (c <= 120121 || (c < 120128
                    ? (c >= 120123 && c <= 120126)
                    : c <= 120132)))))
              : (c <= 120134 || (c < 120572
                ? (c < 120488
                  ? (c < 120146
                    ? (c >= 120138 && c <= 120144)
                    : c <= 120485)
                  : (c <= 120512 || (c < 120540
                    ? (c >= 120514 && c <= 120538)
                    : c <= 120570)))
                : (c <= 120596 || (c < 120656
                  ? (c < 120630
                    ? (c >= 120598 && c <= 120628)
                    : c <= 120654)
                  : (c <= 120686 || (c < 120714
                    ? (c >= 120688 && c <= 120712)
                    : c <= 120744)))))))
            : (c <= 120770 || (c < 122907
              ? (c < 121476
                ? (c < 121344
                  ? (c < 120782
                    ? (c >= 120772 && c <= 120779)
                    : c <= 120831)
                  : (c <= 121398 || (c < 121461
                    ? (c >= 121403 && c <= 121452)
                    : c <= 121461)))
                : (c <= 121476 || (c < 122624
                  ? (c < 121505
                    ? (c >= 121499 && c <= 121503)
                    : c <= 121519)
                  : (c <= 122654 || (c < 122888
                    ? (c >= 122880 && c <= 122886)
                    : c <= 122904)))))
              : (c <= 122913 || (c < 123214
                ? (c < 123136
                  ? (c < 122918
                    ? (c >= 122915 && c <= 122916)
                    : c <= 122922)
                  : (c <= 123180 || (c < 123200
                    ? (c >= 123184 && c <= 123197)
                    : c <= 123209)))
                : (c <= 123214 || (c < 124896
                  ? (c < 123584
                    ? (c >= 123536 && c <= 123566)
                    : c <= 123641)
                  : (c <= 124902 || (c < 124909
                    ? (c >= 124904 && c <= 124907)
                    : c <= 124910)))))))))
          : (c <= 124926 || (c < 126557
            ? (c < 126521
              ? (c < 126469
                ? (c < 125184
                  ? (c < 125136
                    ? (c >= 124928 && c <= 125124)
                    : c <= 125142)
                  : (c <= 125259 || (c < 126464
                    ? (c >= 125264 && c <= 125273)
                    : c <= 126467)))
                : (c <= 126495 || (c < 126503
                  ? (c < 126500
                    ? (c >= 126497 && c <= 126498)
                    : c <= 126500)
                  : (c <= 126503 || (c < 126516
                    ? (c >= 126505 && c <= 126514)
                    : c <= 126519)))))
              : (c <= 126521 || (c < 126541
                ? (c < 126535
                  ? (c < 126530
                    ? c == 126523
                    : c <= 126530)
                  : (c <= 126535 || (c < 126539
                    ? c == 126537
                    : c <= 126539)))
                : (c <= 126543 || (c < 126551
                  ? (c < 126548
                    ? (c >= 126545 && c <= 126546)
                    : c <= 126548)
                  : (c <= 126551 || (c < 126555
                    ? c == 126553
                    : c <= 126555)))))))
            : (c <= 126557 || (c < 126629
              ? (c < 126580
                ? (c < 126564
                  ? (c < 126561
                    ? c == 126559
                    : c <= 126562)
                  : (c <= 126564 || (c < 126572
                    ? (c >= 126567 && c <= 126570)
                    : c <= 126578)))
                : (c <= 126583 || (c < 126592
                  ? (c < 126590
                    ? (c >= 126585 && c <= 126588)
                    : c <= 126590)
                  : (c <= 126601 || (c < 126625
                    ? (c >= 126603 && c <= 126619)
                    : c <= 126627)))))
              : (c <= 126633 || (c < 178208
                ? (c < 131072
                  ? (c < 130032
                    ? (c >= 126635 && c <= 126651)
                    : c <= 130041)
                  : (c <= 173791 || (c < 177984
                    ? (c >= 173824 && c <= 177976)
                    : c <= 178205)))
                : (c <= 183969 || (c < 196608
                  ? (c < 194560
                    ? (c >= 183984 && c <= 191456)
                    : c <= 195101)
                  : (c <= 201546 || (c >= 917760 && c <= 917999)))))))))))))))));
}

static inline bool sym_identifier_character_set_12(int32_t c) {
  return (c < 43584
    ? (c < 3749
      ? (c < 2707
        ? (c < 1808
          ? (c < 902
            ? (c < 186
              ? (c < '_'
                ? (c < '9'
                  ? (c < '0'
                    ? c == '$'
                    : c <= '7')
                  : (c <= '9' || (c < 'S'
                    ? (c >= 'A' && c <= 'Q')
                    : c <= 'Z')))
                : (c <= '_' || (c < 170
                  ? (c < 'j'
                    ? (c >= 'a' && c <= 'h')
                    : c <= 'z')
                  : (c <= 170 || (c < 183
                    ? c == 181
                    : c <= 183)))))
              : (c <= 186 || (c < 748
                ? (c < 248
                  ? (c < 216
                    ? (c >= 192 && c <= 214)
                    : c <= 246)
                  : (c <= 705 || (c < 736
                    ? (c >= 710 && c <= 721)
                    : c <= 740)))
                : (c <= 748 || (c < 886
                  ? (c < 768
                    ? c == 750
                    : c <= 884)
                  : (c <= 887 || (c < 895
                    ? (c >= 891 && c <= 893)
                    : c <= 895)))))))
            : (c <= 906 || (c < 1473
              ? (c < 1162
                ? (c < 931
                  ? (c < 910
                    ? c == 908
                    : c <= 929)
                  : (c <= 1013 || (c < 1155
                    ? (c >= 1015 && c <= 1153)
                    : c <= 1159)))
                : (c <= 1327 || (c < 1376
                  ? (c < 1369
                    ? (c >= 1329 && c <= 1366)
                    : c <= 1369)
                  : (c <= 1416 || (c < 1471
                    ? (c >= 1425 && c <= 1469)
                    : c <= 1471)))))
              : (c <= 1474 || (c < 1568
                ? (c < 1488
                  ? (c < 1479
                    ? (c >= 1476 && c <= 1477)
                    : c <= 1479)
                  : (c <= 1514 || (c < 1552
                    ? (c >= 1519 && c <= 1522)
                    : c <= 1562)))
                : (c <= 1641 || (c < 1759
                  ? (c < 1749
                    ? (c >= 1646 && c <= 1747)
                    : c <= 1756)
                  : (c <= 1768 || (c < 1791
                    ? (c >= 1770 && c <= 1788)
                    : c <= 1791)))))))))
          : (c <= 1866 || (c < 2524
            ? (c < 2406
              ? (c < 2112
                ? (c < 2042
                  ? (c < 1984
                    ? (c >= 1869 && c <= 1969)
                    : c <= 2037)
                  : (c <= 2042 || (c < 2048
                    ? c == 2045
                    : c <= 2093)))
                : (c <= 2139 || (c < 2185
                  ? (c < 2160
                    ? (c >= 2144 && c <= 2154)
                    : c <= 2183)
                  : (c <= 2190 || (c < 2275
                    ? (c >= 2200 && c <= 2273)
                    : c <= 2403)))))
              : (c <= 2415 || (c < 2482
                ? (c < 2447
                  ? (c < 2437
                    ? (c >= 2417 && c <= 2435)
                    : c <= 2444)
                  : (c <= 2448 || (c < 2474
                    ? (c >= 2451 && c <= 2472)
                    : c <= 2480)))
                : (c <= 2482 || (c < 2503
                  ? (c < 2492
                    ? (c >= 2486 && c <= 2489)
                    : c <= 2500)
                  : (c <= 2504 || (c < 2519
                    ? (c >= 2507 && c <= 2510)
                    : c <= 2519)))))))
            : (c <= 2525 || (c < 2616
              ? (c < 2565
                ? (c < 2556
                  ? (c < 2534
                    ? (c >= 2527 && c <= 2531)
                    : c <= 2545)
                  : (c <= 2556 || (c < 2561
                    ? c == 2558
                    : c <= 2563)))
                : (c <= 2570 || (c < 2602
                  ? (c < 2579
                    ? (c >= 2575 && c <= 2576)
                    : c <= 2600)
                  : (c <= 2608 || (c < 2613
                    ? (c >= 2610 && c <= 2611)
                    : c <= 2614)))))
              : (c <= 2617 || (c < 2649
                ? (c < 2631
                  ? (c < 2622
                    ? c == 2620
                    : c <= 2626)
                  : (c <= 2632 || (c < 2641
                    ? (c >= 2635 && c <= 2637)
                    : c <= 2641)))
                : (c <= 2652 || (c < 2689
                  ? (c < 2662
                    ? c == 2654
                    : c <= 2677)
                  : (c <= 2691 || (c < 2703
                    ? (c >= 2693 && c <= 2701)
                    : c <= 2705)))))))))))
        : (c <= 2728 || (c < 3146
          ? (c < 2918
            ? (c < 2821
              ? (c < 2763
                ? (c < 2741
                  ? (c < 2738
                    ? (c >= 2730 && c <= 2736)
                    : c <= 2739)
                  : (c <= 2745 || (c < 2759
                    ? (c >= 2748 && c <= 2757)
                    : c <= 2761)))
                : (c <= 2765 || (c < 2790
                  ? (c < 2784
                    ? c == 2768
                    : c <= 2787)
                  : (c <= 2799 || (c < 2817
                    ? (c >= 2809 && c <= 2815)
                    : c <= 2819)))))
              : (c <= 2828 || (c < 2876
                ? (c < 2858
                  ? (c < 2835
                    ? (c >= 2831 && c <= 2832)
                    : c <= 2856)
                  : (c <= 2864 || (c < 2869
                    ? (c >= 2866 && c <= 2867)
                    : c <= 2873)))
                : (c <= 2884 || (c < 2901
                  ? (c < 2891
                    ? (c >= 2887 && c <= 2888)
                    : c <= 2893)
                  : (c <= 2903 || (c < 2911
                    ? (c >= 2908 && c <= 2909)
                    : c <= 2915)))))))
            : (c <= 2927 || (c < 3006
              ? (c < 2969
                ? (c < 2949
                  ? (c < 2946
                    ? c == 2929
                    : c <= 2947)
                  : (c <= 2954 || (c < 2962
                    ? (c >= 2958 && c <= 2960)
                    : c <= 2965)))
                : (c <= 2970 || (c < 2979
                  ? (c < 2974
                    ? c == 2972
                    : c <= 2975)
                  : (c <= 2980 || (c < 2990
                    ? (c >= 2984 && c <= 2986)
                    : c <= 3001)))))
              : (c <= 3010 || (c < 3072
                ? (c < 3024
                  ? (c < 3018
                    ? (c >= 3014 && c <= 3016)
                    : c <= 3021)
                  : (c <= 3024 || (c < 3046
                    ? c == 3031
                    : c <= 3055)))
                : (c <= 3084 || (c < 3114
                  ? (c < 3090
                    ? (c >= 3086 && c <= 3088)
                    : c <= 3112)
                  : (c <= 3129 || (c < 3142
                    ? (c >= 3132 && c <= 3140)
                    : c <= 3144)))))))))
          : (c <= 3149 || (c < 3402
            ? (c < 3260
              ? (c < 3200
                ? (c < 3165
                  ? (c < 3160
                    ? (c >= 3157 && c <= 3158)
                    : c <= 3162)
                  : (c <= 3165 || (c < 3174
                    ? (c >= 3168 && c <= 3171)
                    : c <= 3183)))
                : (c <= 3203 || (c < 3218
                  ? (c < 3214
                    ? (c >= 3205 && c <= 3212)
                    : c <= 3216)
                  : (c <= 3240 || (c < 3253
                    ? (c >= 3242 && c <= 3251)
                    : c <= 3257)))))
              : (c <= 3268 || (c < 3302
                ? (c < 3285
                  ? (c < 3274
                    ? (c >= 3270 && c <= 3272)
                    : c <= 3277)
                  : (c <= 3286 || (c < 3296
                    ? (c >= 3293 && c <= 3294)
                    : c <= 3299)))
                : (c <= 3311 || (c < 3342
                  ? (c < 3328
                    ? (c >= 3313 && c <= 3314)
                    : c <= 3340)
                  : (c <= 3344 || (c < 3398
                    ? (c >= 3346 && c <= 3396)
                    : c <= 3400)))))))
            : (c <= 3406 || (c < 3535
              ? (c < 3461
                ? (c < 3430
                  ? (c < 3423
                    ? (c >= 3412 && c <= 3415)
                    : c <= 3427)
                  : (c <= 3439 || (c < 3457
                    ? (c >= 3450 && c <= 3455)
                    : c <= 3459)))
                : (c <= 3478 || (c < 3517
                  ? (c < 3507
                    ? (c >= 3482 && c <= 3505)
                    : c <= 3515)
                  : (c <= 3517 || (c < 3530
                    ? (c >= 3520 && c <= 3526)
                    : c <= 3530)))))
              : (c <= 3540 || (c < 3648
                ? (c < 3558
                  ? (c < 3544
                    ? c == 3542
                    : c <= 3551)
                  : (c <= 3567 || (c < 3585
                    ? (c >= 3570 && c <= 3571)
                    : c <= 3642)))
                : (c <= 3662 || (c < 3716
                  ? (c < 3713
                    ? (c >= 3664 && c <= 3673)
                    : c <= 3714)
                  : (c <= 3716 || (c < 3724
                    ? (c >= 3718 && c <= 3722)
                    : c <= 3747)))))))))))))
      : (c <= 3749 || (c < 7968
        ? (c < 5761
          ? (c < 4304
            ? (c < 3897
              ? (c < 3804
                ? (c < 3782
                  ? (c < 3776
                    ? (c >= 3751 && c <= 3773)
                    : c <= 3780)
                  : (c <= 3782 || (c < 3792
                    ? (c >= 3784 && c <= 3789)
                    : c <= 3801)))
                : (c <= 3807 || (c < 3872
                  ? (c < 3864
                    ? c == 3840
                    : c <= 3865)
                  : (c <= 3881 || (c < 3895
                    ? c == 3893
                    : c <= 3895)))))
              : (c <= 3897 || (c < 4038
                ? (c < 3953
                  ? (c < 3913
                    ? (c >= 3902 && c <= 3911)
                    : c <= 3948)
                  : (c <= 3972 || (c < 3993
                    ? (c >= 3974 && c <= 3991)
                    : c <= 4028)))
                : (c <= 4038 || (c < 4256
                  ? (c < 4176
                    ? (c >= 4096 && c <= 4169)
                    : c <= 4253)
                  : (c <= 4293 || (c < 4301
                    ? c == 4295
                    : c <= 4301)))))))
            : (c <= 4346 || (c < 4802
              ? (c < 4704
                ? (c < 4688
                  ? (c < 4682
                    ? (c >= 4348 && c <= 4680)
                    : c <= 4685)
                  : (c <= 4694 || (c < 4698
                    ? c == 4696
                    : c <= 4701)))
                : (c <= 4744 || (c < 4786
                  ? (c < 4752
                    ? (c >= 4746 && c <= 4749)
                    : c <= 4784)
                  : (c <= 4789 || (c < 4800
                    ? (c >= 4792 && c <= 4798)
                    : c <= 4800)))))
              : (c <= 4805 || (c < 4969
                ? (c < 4882
                  ? (c < 4824
                    ? (c >= 4808 && c <= 4822)
                    : c <= 4880)
                  : (c <= 4885 || (c < 4957
                    ? (c >= 4888 && c <= 4954)
                    : c <= 4959)))
                : (c <= 4977 || (c < 5112
                  ? (c < 5024
                    ? (c >= 4992 && c <= 5007)
                    : c <= 5109)
                  : (c <= 5117 || (c < 5743
                    ? (c >= 5121 && c <= 5740)
                    : c <= 5759)))))))))
          : (c <= 5786 || (c < 6576
            ? (c < 6112
              ? (c < 5984
                ? (c < 5888
                  ? (c < 5870
                    ? (c >= 5792 && c <= 5866)
                    : c <= 5880)
                  : (c <= 5909 || (c < 5952
                    ? (c >= 5919 && c <= 5940)
                    : c <= 5971)))
                : (c <= 5996 || (c < 6016
                  ? (c < 6002
                    ? (c >= 5998 && c <= 6000)
                    : c <= 6003)
                  : (c <= 6099 || (c < 6108
                    ? c == 6103
                    : c <= 6109)))))
              : (c <= 6121 || (c < 6400
                ? (c < 6176
                  ? (c < 6159
                    ? (c >= 6155 && c <= 6157)
                    : c <= 6169)
                  : (c <= 6264 || (c < 6320
                    ? (c >= 6272 && c <= 6314)
                    : c <= 6389)))
                : (c <= 6430 || (c < 6470
                  ? (c < 6448
                    ? (c >= 6432 && c <= 6443)
                    : c <= 6459)
                  : (c <= 6509 || (c < 6528
                    ? (c >= 6512 && c <= 6516)
                    : c <= 6571)))))))
            : (c <= 6601 || (c < 7019
              ? (c < 6800
                ? (c < 6688
                  ? (c < 6656
                    ? (c >= 6608 && c <= 6618)
                    : c <= 6683)
                  : (c <= 6750 || (c < 6783
                    ? (c >= 6752 && c <= 6780)
                    : c <= 6793)))
                : (c <= 6809 || (c < 6847
                  ? (c < 6832
                    ? c == 6823
                    : c <= 6845)
                  : (c <= 6862 || (c < 6992
                    ? (c >= 6912 && c <= 6988)
                    : c <= 7001)))))
              : (c <= 7027 || (c < 7312
                ? (c < 7232
                  ? (c < 7168
                    ? (c >= 7040 && c <= 7155)
                    : c <= 7223)
                  : (c <= 7241 || (c < 7296
                    ? (c >= 7245 && c <= 7293)
                    : c <= 7304)))
                : (c <= 7354 || (c < 7380
                  ? (c < 7376
                    ? (c >= 7357 && c <= 7359)
                    : c <= 7378)
                  : (c <= 7418 || (c < 7960
                    ? (c >= 7424 && c <= 7957)
                    : c <= 7965)))))))))))
        : (c <= 8005 || (c < 11696
          ? (c < 8421
            ? (c < 8144
              ? (c < 8031
                ? (c < 8025
                  ? (c < 8016
                    ? (c >= 8008 && c <= 8013)
                    : c <= 8023)
                  : (c <= 8025 || (c < 8029
                    ? c == 8027
                    : c <= 8029)))
                : (c <= 8061 || (c < 8126
                  ? (c < 8118
                    ? (c >= 8064 && c <= 8116)
                    : c <= 8124)
                  : (c <= 8126 || (c < 8134
                    ? (c >= 8130 && c <= 8132)
                    : c <= 8140)))))
              : (c <= 8147 || (c < 8276
                ? (c < 8178
                  ? (c < 8160
                    ? (c >= 8150 && c <= 8155)
                    : c <= 8172)
                  : (c <= 8180 || (c < 8255
                    ? (c >= 8182 && c <= 8188)
                    : c <= 8256)))
                : (c <= 8276 || (c < 8336
                  ? (c < 8319
                    ? c == 8305
                    : c <= 8319)
                  : (c <= 8348 || (c < 8417
                    ? (c >= 8400 && c <= 8412)
                    : c <= 8417)))))))
            : (c <= 8432 || (c < 8526
              ? (c < 8484
                ? (c < 8458
                  ? (c < 8455
                    ? c == 8450
                    : c <= 8455)
                  : (c <= 8467 || (c < 8472
                    ? c == 8469
                    : c <= 8477)))
                : (c <= 8484 || (c < 8490
                  ? (c < 8488
                    ? c == 8486
                    : c <= 8488)
                  : (c <= 8505 || (c < 8517
                    ? (c >= 8508 && c <= 8511)
                    : c <= 8521)))))
              : (c <= 8526 || (c < 11565
                ? (c < 11499
                  ? (c < 11264
                    ? (c >= 8544 && c <= 8584)
                    : c <= 11492)
                  : (c <= 11507 || (c < 11559
                    ? (c >= 11520 && c <= 11557)
                    : c <= 11559)))
                : (c <= 11565 || (c < 11647
                  ? (c < 11631
                    ? (c >= 11568 && c <= 11623)
                    : c <= 11631)
                  : (c <= 11670 || (c < 11688
                    ? (c >= 11680 && c <= 11686)
                    : c <= 11694)))))))))
          : (c <= 11702 || (c < 42512
            ? (c < 12441
              ? (c < 11744
                ? (c < 11720
                  ? (c < 11712
                    ? (c >= 11704 && c <= 11710)
                    : c <= 11718)
                  : (c <= 11726 || (c < 11736
                    ? (c >= 11728 && c <= 11734)
                    : c <= 11742)))
                : (c <= 11775 || (c < 12337
                  ? (c < 12321
                    ? (c >= 12293 && c <= 12295)
                    : c <= 12335)
                  : (c <= 12341 || (c < 12353
                    ? (c >= 12344 && c <= 12348)
                    : c <= 12438)))))
              : (c <= 12442 || (c < 12704
                ? (c < 12540
                  ? (c < 12449
                    ? (c >= 12445 && c <= 12447)
                    : c <= 12538)
                  : (c <= 12543 || (c < 12593
                    ? (c >= 12549 && c <= 12591)
                    : c <= 12686)))
                : (c <= 12735 || (c < 19968
                  ? (c < 13312
                    ? (c >= 12784 && c <= 12799)
                    : c <= 19903)
                  : (c <= 42124 || (c < 42240
                    ? (c >= 42192 && c <= 42237)
                    : c <= 42508)))))))
            : (c <= 42539 || (c < 43072
              ? (c < 42891
                ? (c < 42623
                  ? (c < 42612
                    ? (c >= 42560 && c <= 42607)
                    : c <= 42621)
                  : (c <= 42737 || (c < 42786
                    ? (c >= 42775 && c <= 42783)
                    : c <= 42888)))
                : (c <= 42954 || (c < 42965
                  ? (c < 42963
                    ? (c >= 42960 && c <= 42961)
                    : c <= 42963)
                  : (c <= 42969 || (c < 43052
                    ? (c >= 42994 && c <= 43047)
                    : c <= 43052)))))
              : (c <= 43123 || (c < 43312
                ? (c < 43232
                  ? (c < 43216
                    ? (c >= 43136 && c <= 43205)
                    : c <= 43225)
                  : (c <= 43255 || (c < 43261
                    ? c == 43259
                    : c <= 43309)))
                : (c <= 43347 || (c < 43471
                  ? (c < 43392
                    ? (c >= 43360 && c <= 43388)
                    : c <= 43456)
                  : (c <= 43481 || (c < 43520
                    ? (c >= 43488 && c <= 43518)
                    : c <= 43574)))))))))))))))
    : (c <= 43597 || (c < 71424
      ? (c < 67592
        ? (c < 65313
          ? (c < 64285
            ? (c < 43824
              ? (c < 43762
                ? (c < 43642
                  ? (c < 43616
                    ? (c >= 43600 && c <= 43609)
                    : c <= 43638)
                  : (c <= 43714 || (c < 43744
                    ? (c >= 43739 && c <= 43741)
                    : c <= 43759)))
                : (c <= 43766 || (c < 43793
                  ? (c < 43785
                    ? (c >= 43777 && c <= 43782)
                    : c <= 43790)
                  : (c <= 43798 || (c < 43816
                    ? (c >= 43808 && c <= 43814)
                    : c <= 43822)))))
              : (c <= 43866 || (c < 55216
                ? (c < 44012
                  ? (c < 43888
                    ? (c >= 43868 && c <= 43881)
                    : c <= 44010)
                  : (c <= 44013 || (c < 44032
                    ? (c >= 44016 && c <= 44025)
                    : c <= 55203)))
                : (c <= 55238 || (c < 64112
                  ? (c < 63744
                    ? (c >= 55243 && c <= 55291)
                    : c <= 64109)
                  : (c <= 64217 || (c < 64275
                    ? (c >= 64256 && c <= 64262)
                    : c <= 64279)))))))
            : (c <= 64296 || (c < 65024
              ? (c < 64326
                ? (c < 64318
                  ? (c < 64312
                    ? (c >= 64298 && c <= 64310)
                    : c <= 64316)
                  : (c <= 64318 || (c < 64323
                    ? (c >= 64320 && c <= 64321)
                    : c <= 64324)))
                : (c <= 64433 || (c < 64848
                  ? (c < 64612
                    ? (c >= 64467 && c <= 64605)
                    : c <= 64829)
                  : (c <= 64911 || (c < 65008
                    ? (c >= 64914 && c <= 64967)
                    : c <= 65017)))))
              : (c <= 65039 || (c < 65143
                ? (c < 65101
                  ? (c < 65075
                    ? (c >= 65056 && c <= 65071)
                    : c <= 65076)
                  : (c <= 65103 || (c < 65139
                    ? c == 65137
                    : c <= 65139)))
                : (c <= 65143 || (c < 65149
                  ? (c < 65147
                    ? c == 65145
                    : c <= 65147)
                  : (c <= 65149 || (c < 65296
                    ? (c >= 65151 && c <= 65276)
                    : c <= 65305)))))))))
          : (c <= 65338 || (c < 66464
            ? (c < 65599
              ? (c < 65490
                ? (c < 65382
                  ? (c < 65345
                    ? c == 65343
                    : c <= 65370)
                  : (c <= 65470 || (c < 65482
                    ? (c >= 65474 && c <= 65479)
                    : c <= 65487)))
                : (c <= 65495 || (c < 65549
                  ? (c < 65536
                    ? (c >= 65498 && c <= 65500)
                    : c <= 65547)
                  : (c <= 65574 || (c < 65596
                    ? (c >= 65576 && c <= 65594)
                    : c <= 65597)))))
              : (c <= 65613 || (c < 66208
                ? (c < 65856
                  ? (c < 65664
                    ? (c >= 65616 && c <= 65629)
                    : c <= 65786)
                  : (c <= 65908 || (c < 66176
                    ? c == 66045
                    : c <= 66204)))
                : (c <= 66256 || (c < 66349
                  ? (c < 66304
                    ? c == 66272
                    : c <= 66335)
                  : (c <= 66378 || (c < 66432
                    ? (c >= 66384 && c <= 66426)
                    : c <= 66461)))))))
            : (c <= 66499 || (c < 66964
              ? (c < 66776
                ? (c < 66560
                  ? (c < 66513
                    ? (c >= 66504 && c <= 66511)
                    : c <= 66517)
                  : (c <= 66717 || (c < 66736
                    ? (c >= 66720 && c <= 66729)
                    : c <= 66771)))
                : (c <= 66811 || (c < 66928
                  ? (c < 66864
                    ? (c >= 66816 && c <= 66855)
                    : c <= 66915)
                  : (c <= 66938 || (c < 66956
                    ? (c >= 66940 && c <= 66954)
                    : c <= 66962)))))
              : (c <= 66965 || (c < 67392
                ? (c < 66995
                  ? (c < 66979
                    ? (c >= 66967 && c <= 66977)
                    : c <= 66993)
                  : (c <= 67001 || (c < 67072
                    ? (c >= 67003 && c <= 67004)
                    : c <= 67382)))
                : (c <= 67413 || (c < 67463
                  ? (c < 67456
                    ? (c >= 67424 && c <= 67431)
                    : c <= 67461)
                  : (c <= 67504 || (c < 67584
                    ? (c >= 67506 && c <= 67514)
                    : c <= 67589)))))))))))
        : (c <= 67592 || (c < 69888
          ? (c < 68352
            ? (c < 68030
              ? (c < 67712
                ? (c < 67644
                  ? (c < 67639
                    ? (c >= 67594 && c <= 67637)
                    : c <= 67640)
                  : (c <= 67644 || (c < 67680
                    ? (c >= 67647 && c <= 67669)
                    : c <= 67702)))
                : (c <= 67742 || (c < 67840
                  ? (c < 67828
                    ? (c >= 67808 && c <= 67826)
                    : c <= 67829)
                  : (c <= 67861 || (c < 67968
                    ? (c >= 67872 && c <= 67897)
                    : c <= 68023)))))
              : (c <= 68031 || (c < 68152
                ? (c < 68108
                  ? (c < 68101
                    ? (c >= 68096 && c <= 68099)
                    : c <= 68102)
                  : (c <= 68115 || (c < 68121
                    ? (c >= 68117 && c <= 68119)
                    : c <= 68149)))
                : (c <= 68154 || (c < 68224
                  ? (c < 68192
                    ? c == 68159
                    : c <= 68220)
                  : (c <= 68252 || (c < 68297
                    ? (c >= 68288 && c <= 68295)
                    : c <= 68326)))))))
            : (c <= 68405 || (c < 69376
              ? (c < 68800
                ? (c < 68480
                  ? (c < 68448
                    ? (c >= 68416 && c <= 68437)
                    : c <= 68466)
                  : (c <= 68497 || (c < 68736
                    ? (c >= 68608 && c <= 68680)
                    : c <= 68786)))
                : (c <= 68850 || (c < 69248
                  ? (c < 68912
                    ? (c >= 68864 && c <= 68903)
                    : c <= 68921)
                  : (c <= 69289 || (c < 69296
                    ? (c >= 69291 && c <= 69292)
                    : c <= 69297)))))
              : (c <= 69404 || (c < 69632
                ? (c < 69488
                  ? (c < 69424
                    ? c == 69415
                    : c <= 69456)
                  : (c <= 69509 || (c < 69600
                    ? (c >= 69552 && c <= 69572)
                    : c <= 69622)))
                : (c <= 69702 || (c < 69826
                  ? (c < 69759
                    ? (c >= 69734 && c <= 69749)
                    : c <= 69818)
                  : (c <= 69826 || (c < 69872
                    ? (c >= 69840 && c <= 69864)
                    : c <= 69881)))))))))
          : (c <= 69940 || (c < 70450
            ? (c < 70272
              ? (c < 70089
                ? (c < 69968
                  ? (c < 69956
                    ? (c >= 69942 && c <= 69951)
                    : c <= 69959)
                  : (c <= 70003 || (c < 70016
                    ? c == 70006
                    : c <= 70084)))
                : (c <= 70092 || (c < 70144
                  ? (c < 70108
                    ? (c >= 70094 && c <= 70106)
                    : c <= 70108)
                  : (c <= 70161 || (c < 70206
                    ? (c >= 70163 && c <= 70199)
                    : c <= 70206)))))
              : (c <= 70278 || (c < 70384
                ? (c < 70287
                  ? (c < 70282
                    ? c == 70280
                    : c <= 70285)
                  : (c <= 70301 || (c < 70320
                    ? (c >= 70303 && c <= 70312)
                    : c <= 70378)))
                : (c <= 70393 || (c < 70415
                  ? (c < 70405
                    ? (c >= 70400 && c <= 70403)
                    : c <= 70412)
                  : (c <= 70416 || (c < 70442
                    ? (c >= 70419 && c <= 70440)
                    : c <= 70448)))))))
            : (c <= 70451 || (c < 70750
              ? (c < 70487
                ? (c < 70471
                  ? (c < 70459
                    ? (c >= 70453 && c <= 70457)
                    : c <= 70468)
                  : (c <= 70472 || (c < 70480
                    ? (c >= 70475 && c <= 70477)
                    : c <= 70480)))
                : (c <= 70487 || (c < 70512
                  ? (c < 70502
                    ? (c >= 70493 && c <= 70499)
                    : c <= 70508)
                  : (c <= 70516 || (c < 70736
                    ? (c >= 70656 && c <= 70730)
                    : c <= 70745)))))
              : (c <= 70753 || (c < 71128
                ? (c < 70864
                  ? (c < 70855
                    ? (c >= 70784 && c <= 70853)
                    : c <= 70855)
                  : (c <= 70873 || (c < 71096
                    ? (c >= 71040 && c <= 71093)
                    : c <= 71104)))
                : (c <= 71133 || (c < 71248
                  ? (c < 71236
                    ? (c >= 71168 && c <= 71232)
                    : c <= 71236)
                  : (c <= 71257 || (c < 71360
                    ? (c >= 71296 && c <= 71352)
                    : c <= 71369)))))))))))))
      : (c <= 71450 || (c < 119970
        ? (c < 77712
          ? (c < 72714
            ? (c < 71995
              ? (c < 71935
                ? (c < 71488
                  ? (c < 71472
                    ? (c >= 71453 && c <= 71467)
                    : c <= 71481)
                  : (c <= 71494 || (c < 71840
                    ? (c >= 71680 && c <= 71738)
                    : c <= 71913)))
                : (c <= 71942 || (c < 71957
                  ? (c < 71948
                    ? c == 71945
                    : c <= 71955)
                  : (c <= 71958 || (c < 71991
                    ? (c >= 71960 && c <= 71989)
                    : c <= 71992)))))
              : (c <= 72003 || (c < 72192
                ? (c < 72106
                  ? (c < 72096
                    ? (c >= 72016 && c <= 72025)
                    : c <= 72103)
                  : (c <= 72151 || (c < 72163
                    ? (c >= 72154 && c <= 72161)
                    : c <= 72164)))
                : (c <= 72254 || (c < 72349
                  ? (c < 72272
                    ? c == 72263
                    : c <= 72345)
                  : (c <= 72349 || (c < 72704
                    ? (c >= 72368 && c <= 72440)
                    : c <= 72712)))))))
            : (c <= 72758 || (c < 73040
              ? (c < 72960
                ? (c < 72818
                  ? (c < 72784
                    ? (c >= 72760 && c <= 72768)
                    : c <= 72793)
                  : (c <= 72847 || (c < 72873
                    ? (c >= 72850 && c <= 72871)
                    : c <= 72886)))
                : (c <= 72966 || (c < 73018
                  ? (c < 72971
                    ? (c >= 72968 && c <= 72969)
                    : c <= 73014)
                  : (c <= 73018 || (c < 73023
                    ? (c >= 73020 && c <= 73021)
                    : c <= 73031)))))
              : (c <= 73049 || (c < 73120
                ? (c < 73066
                  ? (c < 73063
                    ? (c >= 73056 && c <= 73061)
                    : c <= 73064)
                  : (c <= 73102 || (c < 73107
                    ? (c >= 73104 && c <= 73105)
                    : c <= 73112)))
                : (c <= 73129 || (c < 73728
                  ? (c < 73648
                    ? (c >= 73440 && c <= 73462)
                    : c <= 73648)
                  : (c <= 74649 || (c < 74880
                    ? (c >= 74752 && c <= 74862)
                    : c <= 75075)))))))))
          : (c <= 77808 || (c < 101632
            ? (c < 93008
              ? (c < 92784
                ? (c < 92160
                  ? (c < 82944
                    ? (c >= 77824 && c <= 78894)
                    : c <= 83526)
                  : (c <= 92728 || (c < 92768
                    ? (c >= 92736 && c <= 92766)
                    : c <= 92777)))
                : (c <= 92862 || (c < 92912
                  ? (c < 92880
                    ? (c >= 92864 && c <= 92873)
                    : c <= 92909)
                  : (c <= 92916 || (c < 92992
                    ? (c >= 92928 && c <= 92982)
                    : c <= 92995)))))
              : (c <= 93017 || (c < 94095
                ? (c < 93760
                  ? (c < 93053
                    ? (c >= 93027 && c <= 93047)
                    : c <= 93071)
                  : (c <= 93823 || (c < 94031
                    ? (c >= 93952 && c <= 94026)
                    : c <= 94087)))
                : (c <= 94111 || (c < 94192
                  ? (c < 94179
                    ? (c >= 94176 && c <= 94177)
                    : c <= 94180)
                  : (c <= 94193 || (c < 100352
                    ? (c >= 94208 && c <= 100343)
                    : c <= 101589)))))))
            : (c <= 101640 || (c < 113821
              ? (c < 110948
                ? (c < 110589
                  ? (c < 110581
                    ? (c >= 110576 && c <= 110579)
                    : c <= 110587)
                  : (c <= 110590 || (c < 110928
                    ? (c >= 110592 && c <= 110882)
                    : c <= 110930)))
                : (c <= 110951 || (c < 113776
                  ? (c < 113664
                    ? (c >= 110960 && c <= 111355)
                    : c <= 113770)
                  : (c <= 113788 || (c < 113808
                    ? (c >= 113792 && c <= 113800)
                    : c <= 113817)))))
              : (c <= 113822 || (c < 119173
                ? (c < 119141
                  ? (c < 118576
                    ? (c >= 118528 && c <= 118573)
                    : c <= 118598)
                  : (c <= 119145 || (c < 119163
                    ? (c >= 119149 && c <= 119154)
                    : c <= 119170)))
                : (c <= 119179 || (c < 119808
                  ? (c < 119362
                    ? (c >= 119210 && c <= 119213)
                    : c <= 119364)
                  : (c <= 119892 || (c < 119966
                    ? (c >= 119894 && c <= 119964)
                    : c <= 119967)))))))))))
        : (c <= 119970 || (c < 124909
          ? (c < 120714
            ? (c < 120128
              ? (c < 120005
                ? (c < 119982
                  ? (c < 119977
                    ? (c >= 119973 && c <= 119974)
                    : c <= 119980)
                  : (c <= 119993 || (c < 119997
                    ? c == 119995
                    : c <= 120003)))
                : (c <= 120069 || (c < 120086
                  ? (c < 120077
                    ? (c >= 120071 && c <= 120074)
                    : c <= 120084)
                  : (c <= 120092 || (c < 120123
                    ? (c >= 120094 && c <= 120121)
                    : c <= 120126)))))
              : (c <= 120132 || (c < 120540
                ? (c < 120146
                  ? (c < 120138
                    ? c == 120134
                    : c <= 120144)
                  : (c <= 120485 || (c < 120514
                    ? (c >= 120488 && c <= 120512)
                    : c <= 120538)))
                : (c <= 120570 || (c < 120630
                  ? (c < 120598
                    ? (c >= 120572 && c <= 120596)
                    : c <= 120628)
                  : (c <= 120654 || (c < 120688
                    ? (c >= 120656 && c <= 120686)
                    : c <= 120712)))))))
            : (c <= 120744 || (c < 122888
              ? (c < 121461
                ? (c < 120782
                  ? (c < 120772
                    ? (c >= 120746 && c <= 120770)
                    : c <= 120779)
                  : (c <= 120831 || (c < 121403
                    ? (c >= 121344 && c <= 121398)
                    : c <= 121452)))
                : (c <= 121461 || (c < 121505
                  ? (c < 121499
                    ? c == 121476
                    : c <= 121503)
                  : (c <= 121519 || (c < 122880
                    ? (c >= 122624 && c <= 122654)
                    : c <= 122886)))))
              : (c <= 122904 || (c < 123200
                ? (c < 122918
                  ? (c < 122915
                    ? (c >= 122907 && c <= 122913)
                    : c <= 122916)
                  : (c <= 122922 || (c < 123184
                    ? (c >= 123136 && c <= 123180)
                    : c <= 123197)))
                : (c <= 123209 || (c < 123584
                  ? (c < 123536
                    ? c == 123214
                    : c <= 123566)
                  : (c <= 123641 || (c < 124904
                    ? (c >= 124896 && c <= 124902)
                    : c <= 124907)))))))))
          : (c <= 124910 || (c < 126555
            ? (c < 126516
              ? (c < 126464
                ? (c < 125136
                  ? (c < 124928
                    ? (c >= 124912 && c <= 124926)
                    : c <= 125124)
                  : (c <= 125142 || (c < 125264
                    ? (c >= 125184 && c <= 125259)
                    : c <= 125273)))
                : (c <= 126467 || (c < 126500
                  ? (c < 126497
                    ? (c >= 126469 && c <= 126495)
                    : c <= 126498)
                  : (c <= 126500 || (c < 126505
                    ? c == 126503
                    : c <= 126514)))))
              : (c <= 126519 || (c < 126539
                ? (c < 126530
                  ? (c < 126523
                    ? c == 126521
                    : c <= 126523)
                  : (c <= 126530 || (c < 126537
                    ? c == 126535
                    : c <= 126537)))
                : (c <= 126539 || (c < 126548
                  ? (c < 126545
                    ? (c >= 126541 && c <= 126543)
                    : c <= 126546)
                  : (c <= 126548 || (c < 126553
                    ? c == 126551
                    : c <= 126553)))))))
            : (c <= 126555 || (c < 126625
              ? (c < 126572
                ? (c < 126561
                  ? (c < 126559
                    ? c == 126557
                    : c <= 126559)
                  : (c <= 126562 || (c < 126567
                    ? c == 126564
                    : c <= 126570)))
                : (c <= 126578 || (c < 126590
                  ? (c < 126585
                    ? (c >= 126580 && c <= 126583)
                    : c <= 126588)
                  : (c <= 126590 || (c < 126603
                    ? (c >= 126592 && c <= 126601)
                    : c <= 126619)))))
              : (c <= 126627 || (c < 177984
                ? (c < 130032
                  ? (c < 126635
                    ? (c >= 126629 && c <= 126633)
                    : c <= 126651)
                  : (c <= 130041 || (c < 173824
                    ? (c >= 131072 && c <= 173791)
                    : c <= 177976)))
                : (c <= 178205 || (c < 194560
                  ? (c < 183984
                    ? (c >= 178208 && c <= 183969)
                    : c <= 191456)
                  : (c <= 195101 || (c < 917760
                    ? (c >= 196608 && c <= 201546)
                    : c <= 917999)))))))))))))))));
}

static inline bool sym_identifier_character_set_13(int32_t c) {
  return (c < 43600
    ? (c < 3751
      ? (c < 2730
        ? (c < 1869
          ? (c < 908
            ? (c < 192
              ? (c < '_'
                ? (c < '9'
                  ? (c < '0'
                    ? c == '$'
                    : c <= '7')
                  : (c <= '9' || (c < 'S'
                    ? (c >= 'A' && c <= 'Q')
                    : c <= 'Z')))
                : (c <= '_' || (c < 181
                  ? (c < 170
                    ? (c >= 'a' && c <= 'z')
                    : c <= 170)
                  : (c <= 181 || (c < 186
                    ? c == 183
                    : c <= 186)))))
              : (c <= 214 || (c < 750
                ? (c < 710
                  ? (c < 248
                    ? (c >= 216 && c <= 246)
                    : c <= 705)
                  : (c <= 721 || (c < 748
                    ? (c >= 736 && c <= 740)
                    : c <= 748)))
                : (c <= 750 || (c < 891
                  ? (c < 886
                    ? (c >= 768 && c <= 884)
                    : c <= 887)
                  : (c <= 893 || (c < 902
                    ? c == 895
                    : c <= 906)))))))
            : (c <= 908 || (c < 1476
              ? (c < 1329
                ? (c < 1015
                  ? (c < 931
                    ? (c >= 910 && c <= 929)
                    : c <= 1013)
                  : (c <= 1153 || (c < 1162
                    ? (c >= 1155 && c <= 1159)
                    : c <= 1327)))
                : (c <= 1366 || (c < 1425
                  ? (c < 1376
                    ? c == 1369
                    : c <= 1416)
                  : (c <= 1469 || (c < 1473
                    ? c == 1471
                    : c <= 1474)))))
              : (c <= 1477 || (c < 1646
                ? (c < 1519
                  ? (c < 1488
                    ? c == 1479
                    : c <= 1514)
                  : (c <= 1522 || (c < 1568
                    ? (c >= 1552 && c <= 1562)
                    : c <= 1641)))
                : (c <= 1747 || (c < 1770
                  ? (c < 1759
                    ? (c >= 1749 && c <= 1756)
                    : c <= 1768)
                  : (c <= 1788 || (c < 1808
                    ? c == 1791
                    : c <= 1866)))))))))
          : (c <= 1969 || (c < 2527
            ? (c < 2417
              ? (c < 2144
                ? (c < 2045
                  ? (c < 2042
                    ? (c >= 1984 && c <= 2037)
                    : c <= 2042)
                  : (c <= 2045 || (c < 2112
                    ? (c >= 2048 && c <= 2093)
                    : c <= 2139)))
                : (c <= 2154 || (c < 2200
                  ? (c < 2185
                    ? (c >= 2160 && c <= 2183)
                    : c <= 2190)
                  : (c <= 2273 || (c < 2406
                    ? (c >= 2275 && c <= 2403)
                    : c <= 2415)))))
              : (c <= 2435 || (c < 2486
                ? (c < 2451
                  ? (c < 2447
                    ? (c >= 2437 && c <= 2444)
                    : c <= 2448)
                  : (c <= 2472 || (c < 2482
                    ? (c >= 2474 && c <= 2480)
                    : c <= 2482)))
                : (c <= 2489 || (c < 2507
                  ? (c < 2503
                    ? (c >= 2492 && c <= 2500)
                    : c <= 2504)
                  : (c <= 2510 || (c < 2524
                    ? c == 2519
                    : c <= 2525)))))))
            : (c <= 2531 || (c < 2620
              ? (c < 2575
                ? (c < 2558
                  ? (c < 2556
                    ? (c >= 2534 && c <= 2545)
                    : c <= 2556)
                  : (c <= 2558 || (c < 2565
                    ? (c >= 2561 && c <= 2563)
                    : c <= 2570)))
                : (c <= 2576 || (c < 2610
                  ? (c < 2602
                    ? (c >= 2579 && c <= 2600)
                    : c <= 2608)
                  : (c <= 2611 || (c < 2616
                    ? (c >= 2613 && c <= 2614)
                    : c <= 2617)))))
              : (c <= 2620 || (c < 2654
                ? (c < 2635
                  ? (c < 2631
                    ? (c >= 2622 && c <= 2626)
                    : c <= 2632)
                  : (c <= 2637 || (c < 2649
                    ? c == 2641
                    : c <= 2652)))
                : (c <= 2654 || (c < 2693
                  ? (c < 2689
                    ? (c >= 2662 && c <= 2677)
                    : c <= 2691)
                  : (c <= 2701 || (c < 2707
                    ? (c >= 2703 && c <= 2705)
                    : c <= 2728)))))))))))
        : (c <= 2736 || (c < 3157
          ? (c < 2929
            ? (c < 2831
              ? (c < 2768
                ? (c < 2748
                  ? (c < 2741
                    ? (c >= 2738 && c <= 2739)
                    : c <= 2745)
                  : (c <= 2757 || (c < 2763
                    ? (c >= 2759 && c <= 2761)
                    : c <= 2765)))
                : (c <= 2768 || (c < 2809
                  ? (c < 2790
                    ? (c >= 2784 && c <= 2787)
                    : c <= 2799)
                  : (c <= 2815 || (c < 2821
                    ? (c >= 2817 && c <= 2819)
                    : c <= 2828)))))
              : (c <= 2832 || (c < 2887
                ? (c < 2866
                  ? (c < 2858
                    ? (c >= 2835 && c <= 2856)
                    : c <= 2864)
                  : (c <= 2867 || (c < 2876
                    ? (c >= 2869 && c <= 2873)
                    : c <= 2884)))
                : (c <= 2888 || (c < 2908
                  ? (c < 2901
                    ? (c >= 2891 && c <= 2893)
                    : c <= 2903)
                  : (c <= 2909 || (c < 2918
                    ? (c >= 2911 && c <= 2915)
                    : c <= 2927)))))))
            : (c <= 2929 || (c < 3014
              ? (c < 2972
                ? (c < 2958
                  ? (c < 2949
                    ? (c >= 2946 && c <= 2947)
                    : c <= 2954)
                  : (c <= 2960 || (c < 2969
                    ? (c >= 2962 && c <= 2965)
                    : c <= 2970)))
                : (c <= 2972 || (c < 2984
                  ? (c < 2979
                    ? (c >= 2974 && c <= 2975)
                    : c <= 2980)
                  : (c <= 2986 || (c < 3006
                    ? (c >= 2990 && c <= 3001)
                    : c <= 3010)))))
              : (c <= 3016 || (c < 3086
                ? (c < 3031
                  ? (c < 3024
                    ? (c >= 3018 && c <= 3021)
                    : c <= 3024)
                  : (c <= 3031 || (c < 3072
                    ? (c >= 3046 && c <= 3055)
                    : c <= 3084)))
                : (c <= 3088 || (c < 3132
                  ? (c < 3114
                    ? (c >= 3090 && c <= 3112)
                    : c <= 3129)
                  : (c <= 3140 || (c < 3146
                    ? (c >= 3142 && c <= 3144)
                    : c <= 3149)))))))))
          : (c <= 3158 || (c < 3412
            ? (c < 3270
              ? (c < 3205
                ? (c < 3168
                  ? (c < 3165
                    ? (c >= 3160 && c <= 3162)
                    : c <= 3165)
                  : (c <= 3171 || (c < 3200
                    ? (c >= 3174 && c <= 3183)
                    : c <= 3203)))
                : (c <= 3212 || (c < 3242
                  ? (c < 3218
                    ? (c >= 3214 && c <= 3216)
                    : c <= 3240)
                  : (c <= 3251 || (c < 3260
                    ? (c >= 3253 && c <= 3257)
                    : c <= 3268)))))
              : (c <= 3272 || (c < 3313
                ? (c < 3293
                  ? (c < 3285
                    ? (c >= 3274 && c <= 3277)
                    : c <= 3286)
                  : (c <= 3294 || (c < 3302
                    ? (c >= 3296 && c <= 3299)
                    : c <= 3311)))
                : (c <= 3314 || (c < 3346
                  ? (c < 3342
                    ? (c >= 3328 && c <= 3340)
                    : c <= 3344)
                  : (c <= 3396 || (c < 3402
                    ? (c >= 3398 && c <= 3400)
                    : c <= 3406)))))))
            : (c <= 3415 || (c < 3542
              ? (c < 3482
                ? (c < 3450
                  ? (c < 3430
                    ? (c >= 3423 && c <= 3427)
                    : c <= 3439)
                  : (c <= 3455 || (c < 3461
                    ? (c >= 3457 && c <= 3459)
                    : c <= 3478)))
                : (c <= 3505 || (c < 3520
                  ? (c < 3517
                    ? (c >= 3507 && c <= 3515)
                    : c <= 3517)
                  : (c <= 3526 || (c < 3535
                    ? c == 3530
                    : c <= 3540)))))
              : (c <= 3542 || (c < 3664
                ? (c < 3570
                  ? (c < 3558
                    ? (c >= 3544 && c <= 3551)
                    : c <= 3567)
                  : (c <= 3571 || (c < 3648
                    ? (c >= 3585 && c <= 3642)
                    : c <= 3662)))
                : (c <= 3673 || (c < 3718
                  ? (c < 3716
                    ? (c >= 3713 && c <= 3714)
                    : c <= 3716)
                  : (c <= 3722 || (c < 3749
                    ? (c >= 3724 && c <= 3747)
                    : c <= 3749)))))))))))))
      : (c <= 3773 || (c < 8008
        ? (c < 5792
          ? (c < 4348
            ? (c < 3902
              ? (c < 3840
                ? (c < 3784
                  ? (c < 3782
                    ? (c >= 3776 && c <= 3780)
                    : c <= 3782)
                  : (c <= 3789 || (c < 3804
                    ? (c >= 3792 && c <= 3801)
                    : c <= 3807)))
                : (c <= 3840 || (c < 3893
                  ? (c < 3872
                    ? (c >= 3864 && c <= 3865)
                    : c <= 3881)
                  : (c <= 3893 || (c < 3897
                    ? c == 3895
                    : c <= 3897)))))
              : (c <= 3911 || (c < 4096
                ? (c < 3974
                  ? (c < 3953
                    ? (c >= 3913 && c <= 3948)
                    : c <= 3972)
                  : (c <= 3991 || (c < 4038
                    ? (c >= 3993 && c <= 4028)
                    : c <= 4038)))
                : (c <= 4169 || (c < 4295
                  ? (c < 4256
                    ? (c >= 4176 && c <= 4253)
                    : c <= 4293)
                  : (c <= 4295 || (c < 4304
                    ? c == 4301
                    : c <= 4346)))))))
            : (c <= 4680 || (c < 4808
              ? (c < 4746
                ? (c < 4696
                  ? (c < 4688
                    ? (c >= 4682 && c <= 4685)
                    : c <= 4694)
                  : (c <= 4696 || (c < 4704
                    ? (c >= 4698 && c <= 4701)
                    : c <= 4744)))
                : (c <= 4749 || (c < 4792
                  ? (c < 4786
                    ? (c >= 4752 && c <= 4784)
                    : c <= 4789)
                  : (c <= 4798 || (c < 4802
                    ? c == 4800
                    : c <= 4805)))))
              : (c <= 4822 || (c < 4992
                ? (c < 4888
                  ? (c < 4882
                    ? (c >= 4824 && c <= 4880)
                    : c <= 4885)
                  : (c <= 4954 || (c < 4969
                    ? (c >= 4957 && c <= 4959)
                    : c <= 4977)))
                : (c <= 5007 || (c < 5121
                  ? (c < 5112
                    ? (c >= 5024 && c <= 5109)
                    : c <= 5117)
                  : (c <= 5740 || (c < 5761
                    ? (c >= 5743 && c <= 5759)
                    : c <= 5786)))))))))
          : (c <= 5866 || (c < 6608
            ? (c < 6155
              ? (c < 5998
                ? (c < 5919
                  ? (c < 5888
                    ? (c >= 5870 && c <= 5880)
                    : c <= 5909)
                  : (c <= 5940 || (c < 5984
                    ? (c >= 5952 && c <= 5971)
                    : c <= 5996)))
                : (c <= 6000 || (c < 6103
                  ? (c < 6016
                    ? (c >= 6002 && c <= 6003)
                    : c <= 6099)
                  : (c <= 6103 || (c < 6112
                    ? (c >= 6108 && c <= 6109)
                    : c <= 6121)))))
              : (c <= 6157 || (c < 6432
                ? (c < 6272
                  ? (c < 6176
                    ? (c >= 6159 && c <= 6169)
                    : c <= 6264)
                  : (c <= 6314 || (c < 6400
                    ? (c >= 6320 && c <= 6389)
                    : c <= 6430)))
                : (c <= 6443 || (c < 6512
                  ? (c < 6470
                    ? (c >= 6448 && c <= 6459)
                    : c <= 6509)
                  : (c <= 6516 || (c < 6576
                    ? (c >= 6528 && c <= 6571)
                    : c <= 6601)))))))
            : (c <= 6618 || (c < 7040
              ? (c < 6823
                ? (c < 6752
                  ? (c < 6688
                    ? (c >= 6656 && c <= 6683)
                    : c <= 6750)
                  : (c <= 6780 || (c < 6800
                    ? (c >= 6783 && c <= 6793)
                    : c <= 6809)))
                : (c <= 6823 || (c < 6912
                  ? (c < 6847
                    ? (c >= 6832 && c <= 6845)
                    : c <= 6862)
                  : (c <= 6988 || (c < 7019
                    ? (c >= 6992 && c <= 7001)
                    : c <= 7027)))))
              : (c <= 7155 || (c < 7357
                ? (c < 7245
                  ? (c < 7232
                    ? (c >= 7168 && c <= 7223)
                    : c <= 7241)
                  : (c <= 7293 || (c < 7312
                    ? (c >= 7296 && c <= 7304)
                    : c <= 7354)))
                : (c <= 7359 || (c < 7424
                  ? (c < 7380
                    ? (c >= 7376 && c <= 7378)
                    : c <= 7418)
                  : (c <= 7957 || (c < 7968
                    ? (c >= 7960 && c <= 7965)
                    : c <= 8005)))))))))))
        : (c <= 8013 || (c < 11704
          ? (c < 8450
            ? (c < 8150
              ? (c < 8064
                ? (c < 8027
                  ? (c < 8025
                    ? (c >= 8016 && c <= 8023)
                    : c <= 8025)
                  : (c <= 8027 || (c < 8031
                    ? c == 8029
                    : c <= 8061)))
                : (c <= 8116 || (c < 8130
                  ? (c < 8126
                    ? (c >= 8118 && c <= 8124)
                    : c <= 8126)
                  : (c <= 8132 || (c < 8144
                    ? (c >= 8134 && c <= 8140)
                    : c <= 8147)))))
              : (c <= 8155 || (c < 8305
                ? (c < 8182
                  ? (c < 8178
                    ? (c >= 8160 && c <= 8172)
                    : c <= 8180)
                  : (c <= 8188 || (c < 8276
                    ? (c >= 8255 && c <= 8256)
                    : c <= 8276)))
                : (c <= 8305 || (c < 8400
                  ? (c < 8336
                    ? c == 8319
                    : c <= 8348)
                  : (c <= 8412 || (c < 8421
                    ? c == 8417
                    : c <= 8432)))))))
            : (c <= 8450 || (c < 8544
              ? (c < 8486
                ? (c < 8469
                  ? (c < 8458
                    ? c == 8455
                    : c <= 8467)
                  : (c <= 8469 || (c < 8484
                    ? (c >= 8472 && c <= 8477)
                    : c <= 8484)))
                : (c <= 8486 || (c < 8508
                  ? (c < 8490
                    ? c == 8488
                    : c <= 8505)
                  : (c <= 8511 || (c < 8526
                    ? (c >= 8517 && c <= 8521)
                    : c <= 8526)))))
              : (c <= 8584 || (c < 11568
                ? (c < 11520
                  ? (c < 11499
                    ? (c >= 11264 && c <= 11492)
                    : c <= 11507)
                  : (c <= 11557 || (c < 11565
                    ? c == 11559
                    : c <= 11565)))
                : (c <= 11623 || (c < 11680
                  ? (c < 11647
                    ? c == 11631
                    : c <= 11670)
                  : (c <= 11686 || (c < 11696
                    ? (c >= 11688 && c <= 11694)
                    : c <= 11702)))))))))
          : (c <= 11710 || (c < 42560
            ? (c < 12445
              ? (c < 12293
                ? (c < 11728
                  ? (c < 11720
                    ? (c >= 11712 && c <= 11718)
                    : c <= 11726)
                  : (c <= 11734 || (c < 11744
                    ? (c >= 11736 && c <= 11742)
                    : c <= 11775)))
                : (c <= 12295 || (c < 12344
                  ? (c < 12337
                    ? (c >= 12321 && c <= 12335)
                    : c <= 12341)
                  : (c <= 12348 || (c < 12441
                    ? (c >= 12353 && c <= 12438)
                    : c <= 12442)))))
              : (c <= 12447 || (c < 12784
                ? (c < 12549
                  ? (c < 12540
                    ? (c >= 12449 && c <= 12538)
                    : c <= 12543)
                  : (c <= 12591 || (c < 12704
                    ? (c >= 12593 && c <= 12686)
                    : c <= 12735)))
                : (c <= 12799 || (c < 42192
                  ? (c < 19968
                    ? (c >= 13312 && c <= 19903)
                    : c <= 42124)
                  : (c <= 42237 || (c < 42512
                    ? (c >= 42240 && c <= 42508)
                    : c <= 42539)))))))
            : (c <= 42607 || (c < 43136
              ? (c < 42960
                ? (c < 42775
                  ? (c < 42623
                    ? (c >= 42612 && c <= 42621)
                    : c <= 42737)
                  : (c <= 42783 || (c < 42891
                    ? (c >= 42786 && c <= 42888)
                    : c <= 42954)))
                : (c <= 42961 || (c < 42994
                  ? (c < 42965
                    ? c == 42963
                    : c <= 42969)
                  : (c <= 43047 || (c < 43072
                    ? c == 43052
                    : c <= 43123)))))
              : (c <= 43205 || (c < 43360
                ? (c < 43259
                  ? (c < 43232
                    ? (c >= 43216 && c <= 43225)
                    : c <= 43255)
                  : (c <= 43259 || (c < 43312
                    ? (c >= 43261 && c <= 43309)
                    : c <= 43347)))
                : (c <= 43388 || (c < 43488
                  ? (c < 43471
                    ? (c >= 43392 && c <= 43456)
                    : c <= 43481)
                  : (c <= 43518 || (c < 43584
                    ? (c >= 43520 && c <= 43574)
                    : c <= 43597)))))))))))))))
    : (c <= 43609 || (c < 71453
      ? (c < 67594
        ? (c < 65343
          ? (c < 64298
            ? (c < 43868
              ? (c < 43777
                ? (c < 43739
                  ? (c < 43642
                    ? (c >= 43616 && c <= 43638)
                    : c <= 43714)
                  : (c <= 43741 || (c < 43762
                    ? (c >= 43744 && c <= 43759)
                    : c <= 43766)))
                : (c <= 43782 || (c < 43808
                  ? (c < 43793
                    ? (c >= 43785 && c <= 43790)
                    : c <= 43798)
                  : (c <= 43814 || (c < 43824
                    ? (c >= 43816 && c <= 43822)
                    : c <= 43866)))))
              : (c <= 43881 || (c < 55243
                ? (c < 44016
                  ? (c < 44012
                    ? (c >= 43888 && c <= 44010)
                    : c <= 44013)
                  : (c <= 44025 || (c < 55216
                    ? (c >= 44032 && c <= 55203)
                    : c <= 55238)))
                : (c <= 55291 || (c < 64256
                  ? (c < 64112
                    ? (c >= 63744 && c <= 64109)
                    : c <= 64217)
                  : (c <= 64262 || (c < 64285
                    ? (c >= 64275 && c <= 64279)
                    : c <= 64296)))))))
            : (c <= 64310 || (c < 65056
              ? (c < 64467
                ? (c < 64320
                  ? (c < 64318
                    ? (c >= 64312 && c <= 64316)
                    : c <= 64318)
                  : (c <= 64321 || (c < 64326
                    ? (c >= 64323 && c <= 64324)
                    : c <= 64433)))
                : (c <= 64605 || (c < 64914
                  ? (c < 64848
                    ? (c >= 64612 && c <= 64829)
                    : c <= 64911)
                  : (c <= 64967 || (c < 65024
                    ? (c >= 65008 && c <= 65017)
                    : c <= 65039)))))
              : (c <= 65071 || (c < 65145
                ? (c < 65137
                  ? (c < 65101
                    ? (c >= 65075 && c <= 65076)
                    : c <= 65103)
                  : (c <= 65137 || (c < 65143
                    ? c == 65139
                    : c <= 65143)))
                : (c <= 65145 || (c < 65151
                  ? (c < 65149
                    ? c == 65147
                    : c <= 65149)
                  : (c <= 65276 || (c < 65313
                    ? (c >= 65296 && c <= 65305)
                    : c <= 65338)))))))))
          : (c <= 65343 || (c < 66504
            ? (c < 65616
              ? (c < 65498
                ? (c < 65474
                  ? (c < 65382
                    ? (c >= 65345 && c <= 65370)
                    : c <= 65470)
                  : (c <= 65479 || (c < 65490
                    ? (c >= 65482 && c <= 65487)
                    : c <= 65495)))
                : (c <= 65500 || (c < 65576
                  ? (c < 65549
                    ? (c >= 65536 && c <= 65547)
                    : c <= 65574)
                  : (c <= 65594 || (c < 65599
                    ? (c >= 65596 && c <= 65597)
                    : c <= 65613)))))
              : (c <= 65629 || (c < 66272
                ? (c < 66045
                  ? (c < 65856
                    ? (c >= 65664 && c <= 65786)
                    : c <= 65908)
                  : (c <= 66045 || (c < 66208
                    ? (c >= 66176 && c <= 66204)
                    : c <= 66256)))
                : (c <= 66272 || (c < 66384
                  ? (c < 66349
                    ? (c >= 66304 && c <= 66335)
                    : c <= 66378)
                  : (c <= 66426 || (c < 66464
                    ? (c >= 66432 && c <= 66461)
                    : c <= 66499)))))))
            : (c <= 66511 || (c < 66967
              ? (c < 66816
                ? (c < 66720
                  ? (c < 66560
                    ? (c >= 66513 && c <= 66517)
                    : c <= 66717)
                  : (c <= 66729 || (c < 66776
                    ? (c >= 66736 && c <= 66771)
                    : c <= 66811)))
                : (c <= 66855 || (c < 66940
                  ? (c < 66928
                    ? (c >= 66864 && c <= 66915)
                    : c <= 66938)
                  : (c <= 66954 || (c < 66964
                    ? (c >= 66956 && c <= 66962)
                    : c <= 66965)))))
              : (c <= 66977 || (c < 67424
                ? (c < 67003
                  ? (c < 66995
                    ? (c >= 66979 && c <= 66993)
                    : c <= 67001)
                  : (c <= 67004 || (c < 67392
                    ? (c >= 67072 && c <= 67382)
                    : c <= 67413)))
                : (c <= 67431 || (c < 67506
                  ? (c < 67463
                    ? (c >= 67456 && c <= 67461)
                    : c <= 67504)
                  : (c <= 67514 || (c < 67592
                    ? (c >= 67584 && c <= 67589)
                    : c <= 67592)))))))))))
        : (c <= 67637 || (c < 69942
          ? (c < 68416
            ? (c < 68096
              ? (c < 67808
                ? (c < 67647
                  ? (c < 67644
                    ? (c >= 67639 && c <= 67640)
                    : c <= 67644)
                  : (c <= 67669 || (c < 67712
                    ? (c >= 67680 && c <= 67702)
                    : c <= 67742)))
                : (c <= 67826 || (c < 67872
                  ? (c < 67840
                    ? (c >= 67828 && c <= 67829)
                    : c <= 67861)
                  : (c <= 67897 || (c < 68030
                    ? (c >= 67968 && c <= 68023)
                    : c <= 68031)))))
              : (c <= 68099 || (c < 68159
                ? (c < 68117
                  ? (c < 68108
                    ? (c >= 68101 && c <= 68102)
                    : c <= 68115)
                  : (c <= 68119 || (c < 68152
                    ? (c >= 68121 && c <= 68149)
                    : c <= 68154)))
                : (c <= 68159 || (c < 68288
                  ? (c < 68224
                    ? (c >= 68192 && c <= 68220)
                    : c <= 68252)
                  : (c <= 68295 || (c < 68352
                    ? (c >= 68297 && c <= 68326)
                    : c <= 68405)))))))
            : (c <= 68437 || (c < 69415
              ? (c < 68864
                ? (c < 68608
                  ? (c < 68480
                    ? (c >= 68448 && c <= 68466)
                    : c <= 68497)
                  : (c <= 68680 || (c < 68800
                    ? (c >= 68736 && c <= 68786)
                    : c <= 68850)))
                : (c <= 68903 || (c < 69291
                  ? (c < 69248
                    ? (c >= 68912 && c <= 68921)
                    : c <= 69289)
                  : (c <= 69292 || (c < 69376
                    ? (c >= 69296 && c <= 69297)
                    : c <= 69404)))))
              : (c <= 69415 || (c < 69734
                ? (c < 69552
                  ? (c < 69488
                    ? (c >= 69424 && c <= 69456)
                    : c <= 69509)
                  : (c <= 69572 || (c < 69632
                    ? (c >= 69600 && c <= 69622)
                    : c <= 69702)))
                : (c <= 69749 || (c < 69840
                  ? (c < 69826
                    ? (c >= 69759 && c <= 69818)
                    : c <= 69826)
                  : (c <= 69864 || (c < 69888
                    ? (c >= 69872 && c <= 69881)
                    : c <= 69940)))))))))
          : (c <= 69951 || (c < 70453
            ? (c < 70280
              ? (c < 70094
                ? (c < 70006
                  ? (c < 69968
                    ? (c >= 69956 && c <= 69959)
                    : c <= 70003)
                  : (c <= 70006 || (c < 70089
                    ? (c >= 70016 && c <= 70084)
                    : c <= 70092)))
                : (c <= 70106 || (c < 70163
                  ? (c < 70144
                    ? c == 70108
                    : c <= 70161)
                  : (c <= 70199 || (c < 70272
                    ? c == 70206
                    : c <= 70278)))))
              : (c <= 70280 || (c < 70400
                ? (c < 70303
                  ? (c < 70287
                    ? (c >= 70282 && c <= 70285)
                    : c <= 70301)
                  : (c <= 70312 || (c < 70384
                    ? (c >= 70320 && c <= 70378)
                    : c <= 70393)))
                : (c <= 70403 || (c < 70419
                  ? (c < 70415
                    ? (c >= 70405 && c <= 70412)
                    : c <= 70416)
                  : (c <= 70440 || (c < 70450
                    ? (c >= 70442 && c <= 70448)
                    : c <= 70451)))))))
            : (c <= 70457 || (c < 70784
              ? (c < 70493
                ? (c < 70475
                  ? (c < 70471
                    ? (c >= 70459 && c <= 70468)
                    : c <= 70472)
                  : (c <= 70477 || (c < 70487
                    ? c == 70480
                    : c <= 70487)))
                : (c <= 70499 || (c < 70656
                  ? (c < 70512
                    ? (c >= 70502 && c <= 70508)
                    : c <= 70516)
                  : (c <= 70730 || (c < 70750
                    ? (c >= 70736 && c <= 70745)
                    : c <= 70753)))))
              : (c <= 70853 || (c < 71168
                ? (c < 71040
                  ? (c < 70864
                    ? c == 70855
                    : c <= 70873)
                  : (c <= 71093 || (c < 71128
                    ? (c >= 71096 && c <= 71104)
                    : c <= 71133)))
                : (c <= 71232 || (c < 71296
                  ? (c < 71248
                    ? c == 71236
                    : c <= 71257)
                  : (c <= 71352 || (c < 71424
                    ? (c >= 71360 && c <= 71369)
                    : c <= 71450)))))))))))))
      : (c <= 71467 || (c < 119973
        ? (c < 77824
          ? (c < 72760
            ? (c < 72016
              ? (c < 71945
                ? (c < 71680
                  ? (c < 71488
                    ? (c >= 71472 && c <= 71481)
                    : c <= 71494)
                  : (c <= 71738 || (c < 71935
                    ? (c >= 71840 && c <= 71913)
                    : c <= 71942)))
                : (c <= 71945 || (c < 71960
                  ? (c < 71957
                    ? (c >= 71948 && c <= 71955)
                    : c <= 71958)
                  : (c <= 71989 || (c < 71995
                    ? (c >= 71991 && c <= 71992)
                    : c <= 72003)))))
              : (c <= 72025 || (c < 72263
                ? (c < 72154
                  ? (c < 72106
                    ? (c >= 72096 && c <= 72103)
                    : c <= 72151)
                  : (c <= 72161 || (c < 72192
                    ? (c >= 72163 && c <= 72164)
                    : c <= 72254)))
                : (c <= 72263 || (c < 72368
                  ? (c < 72349
                    ? (c >= 72272 && c <= 72345)
                    : c <= 72349)
                  : (c <= 72440 || (c < 72714
                    ? (c >= 72704 && c <= 72712)
                    : c <= 72758)))))))
            : (c <= 72768 || (c < 73056
              ? (c < 72968
                ? (c < 72850
                  ? (c < 72818
                    ? (c >= 72784 && c <= 72793)
                    : c <= 72847)
                  : (c <= 72871 || (c < 72960
                    ? (c >= 72873 && c <= 72886)
                    : c <= 72966)))
                : (c <= 72969 || (c < 73020
                  ? (c < 73018
                    ? (c >= 72971 && c <= 73014)
                    : c <= 73018)
                  : (c <= 73021 || (c < 73040
                    ? (c >= 73023 && c <= 73031)
                    : c <= 73049)))))
              : (c <= 73061 || (c < 73440
                ? (c < 73104
                  ? (c < 73066
                    ? (c >= 73063 && c <= 73064)
                    : c <= 73102)
                  : (c <= 73105 || (c < 73120
                    ? (c >= 73107 && c <= 73112)
                    : c <= 73129)))
                : (c <= 73462 || (c < 74752
                  ? (c < 73728
                    ? c == 73648
                    : c <= 74649)
                  : (c <= 74862 || (c < 77712
                    ? (c >= 74880 && c <= 75075)
                    : c <= 77808)))))))))
          : (c <= 78894 || (c < 110576
            ? (c < 93027
              ? (c < 92864
                ? (c < 92736
                  ? (c < 92160
                    ? (c >= 82944 && c <= 83526)
                    : c <= 92728)
                  : (c <= 92766 || (c < 92784
                    ? (c >= 92768 && c <= 92777)
                    : c <= 92862)))
                : (c <= 92873 || (c < 92928
                  ? (c < 92912
                    ? (c >= 92880 && c <= 92909)
                    : c <= 92916)
                  : (c <= 92982 || (c < 93008
                    ? (c >= 92992 && c <= 92995)
                    : c <= 93017)))))
              : (c <= 93047 || (c < 94176
                ? (c < 93952
                  ? (c < 93760
                    ? (c >= 93053 && c <= 93071)
                    : c <= 93823)
                  : (c <= 94026 || (c < 94095
                    ? (c >= 94031 && c <= 94087)
                    : c <= 94111)))
                : (c <= 94177 || (c < 94208
                  ? (c < 94192
                    ? (c >= 94179 && c <= 94180)
                    : c <= 94193)
                  : (c <= 100343 || (c < 101632
                    ? (c >= 100352 && c <= 101589)
                    : c <= 101640)))))))
            : (c <= 110579 || (c < 118528
              ? (c < 110960
                ? (c < 110592
                  ? (c < 110589
                    ? (c >= 110581 && c <= 110587)
                    : c <= 110590)
                  : (c <= 110882 || (c < 110948
                    ? (c >= 110928 && c <= 110930)
                    : c <= 110951)))
                : (c <= 111355 || (c < 113792
                  ? (c < 113776
                    ? (c >= 113664 && c <= 113770)
                    : c <= 113788)
                  : (c <= 113800 || (c < 113821
                    ? (c >= 113808 && c <= 113817)
                    : c <= 113822)))))
              : (c <= 118573 || (c < 119210
                ? (c < 119149
                  ? (c < 119141
                    ? (c >= 118576 && c <= 118598)
                    : c <= 119145)
                  : (c <= 119154 || (c < 119173
                    ? (c >= 119163 && c <= 119170)
                    : c <= 119179)))
                : (c <= 119213 || (c < 119894
                  ? (c < 119808
                    ? (c >= 119362 && c <= 119364)
                    : c <= 119892)
                  : (c <= 119964 || (c < 119970
                    ? (c >= 119966 && c <= 119967)
                    : c <= 119970)))))))))))
        : (c <= 119974 || (c < 124912
          ? (c < 120746
            ? (c < 120134
              ? (c < 120071
                ? (c < 119995
                  ? (c < 119982
                    ? (c >= 119977 && c <= 119980)
                    : c <= 119993)
                  : (c <= 119995 || (c < 120005
                    ? (c >= 119997 && c <= 120003)
                    : c <= 120069)))
                : (c <= 120074 || (c < 120094
                  ? (c < 120086
                    ? (c >= 120077 && c <= 120084)
                    : c <= 120092)
                  : (c <= 120121 || (c < 120128
                    ? (c >= 120123 && c <= 120126)
                    : c <= 120132)))))
              : (c <= 120134 || (c < 120572
                ? (c < 120488
                  ? (c < 120146
                    ? (c >= 120138 && c <= 120144)
                    : c <= 120485)
                  : (c <= 120512 || (c < 120540
                    ? (c >= 120514 && c <= 120538)
                    : c <= 120570)))
                : (c <= 120596 || (c < 120656
                  ? (c < 120630
                    ? (c >= 120598 && c <= 120628)
                    : c <= 120654)
                  : (c <= 120686 || (c < 120714
                    ? (c >= 120688 && c <= 120712)
                    : c <= 120744)))))))
            : (c <= 120770 || (c < 122907
              ? (c < 121476
                ? (c < 121344
                  ? (c < 120782
                    ? (c >= 120772 && c <= 120779)
                    : c <= 120831)
                  : (c <= 121398 || (c < 121461
                    ? (c >= 121403 && c <= 121452)
                    : c <= 121461)))
                : (c <= 121476 || (c < 122624
                  ? (c < 121505
                    ? (c >= 121499 && c <= 121503)
                    : c <= 121519)
                  : (c <= 122654 || (c < 122888
                    ? (c >= 122880 && c <= 122886)
                    : c <= 122904)))))
              : (c <= 122913 || (c < 123214
                ? (c < 123136
                  ? (c < 122918
                    ? (c >= 122915 && c <= 122916)
                    : c <= 122922)
                  : (c <= 123180 || (c < 123200
                    ? (c >= 123184 && c <= 123197)
                    : c <= 123209)))
                : (c <= 123214 || (c < 124896
                  ? (c < 123584
                    ? (c >= 123536 && c <= 123566)
                    : c <= 123641)
                  : (c <= 124902 || (c < 124909
                    ? (c >= 124904 && c <= 124907)
                    : c <= 124910)))))))))
          : (c <= 124926 || (c < 126557
            ? (c < 126521
              ? (c < 126469
                ? (c < 125184
                  ? (c < 125136
                    ? (c >= 124928 && c <= 125124)
                    : c <= 125142)
                  : (c <= 125259 || (c < 126464
                    ? (c >= 125264 && c <= 125273)
                    : c <= 126467)))
                : (c <= 126495 || (c < 126503
                  ? (c < 126500
                    ? (c >= 126497 && c <= 126498)
                    : c <= 126500)
                  : (c <= 126503 || (c < 126516
                    ? (c >= 126505 && c <= 126514)
                    : c <= 126519)))))
              : (c <= 126521 || (c < 126541
                ? (c < 126535
                  ? (c < 126530
                    ? c == 126523
                    : c <= 126530)
                  : (c <= 126535 || (c < 126539
                    ? c == 126537
                    : c <= 126539)))
                : (c <= 126543 || (c < 126551
                  ? (c < 126548
                    ? (c >= 126545 && c <= 126546)
                    : c <= 126548)
                  : (c <= 126551 || (c < 126555
                    ? c == 126553
                    : c <= 126555)))))))
            : (c <= 126557 || (c < 126629
              ? (c < 126580
                ? (c < 126564
                  ? (c < 126561
                    ? c == 126559
                    : c <= 126562)
                  : (c <= 126564 || (c < 126572
                    ? (c >= 126567 && c <= 126570)
                    : c <= 126578)))
                : (c <= 126583 || (c < 126592
                  ? (c < 126590
                    ? (c >= 126585 && c <= 126588)
                    : c <= 126590)
                  : (c <= 126601 || (c < 126625
                    ? (c >= 126603 && c <= 126619)
                    : c <= 126627)))))
              : (c <= 126633 || (c < 178208
                ? (c < 131072
                  ? (c < 130032
                    ? (c >= 126635 && c <= 126651)
                    : c <= 130041)
                  : (c <= 173791 || (c < 177984
                    ? (c >= 173824 && c <= 177976)
                    : c <= 178205)))
                : (c <= 183969 || (c < 196608
                  ? (c < 194560
                    ? (c >= 183984 && c <= 191456)
                    : c <= 195101)
                  : (c <= 201546 || (c >= 917760 && c <= 917999)))))))))))))))));
}

static inline bool sym_identifier_character_set_14(int32_t c) {
  return (c < 43600
    ? (c < 3751
      ? (c < 2730
        ? (c < 1869
          ? (c < 908
            ? (c < 192
              ? (c < 'a'
                ? (c < '9'
                  ? (c < '0'
                    ? c == '$'
                    : c <= '7')
                  : (c <= '9' || (c < '_'
                    ? (c >= 'A' && c <= 'Z')
                    : c <= '_')))
                : (c <= 'h' || (c < 181
                  ? (c < 170
                    ? (c >= 'j' && c <= 'z')
                    : c <= 170)
                  : (c <= 181 || (c < 186
                    ? c == 183
                    : c <= 186)))))
              : (c <= 214 || (c < 750
                ? (c < 710
                  ? (c < 248
                    ? (c >= 216 && c <= 246)
                    : c <= 705)
                  : (c <= 721 || (c < 748
                    ? (c >= 736 && c <= 740)
                    : c <= 748)))
                : (c <= 750 || (c < 891
                  ? (c < 886
                    ? (c >= 768 && c <= 884)
                    : c <= 887)
                  : (c <= 893 || (c < 902
                    ? c == 895
                    : c <= 906)))))))
            : (c <= 908 || (c < 1476
              ? (c < 1329
                ? (c < 1015
                  ? (c < 931
                    ? (c >= 910 && c <= 929)
                    : c <= 1013)
                  : (c <= 1153 || (c < 1162
                    ? (c >= 1155 && c <= 1159)
                    : c <= 1327)))
                : (c <= 1366 || (c < 1425
                  ? (c < 1376
                    ? c == 1369
                    : c <= 1416)
                  : (c <= 1469 || (c < 1473
                    ? c == 1471
                    : c <= 1474)))))
              : (c <= 1477 || (c < 1646
                ? (c < 1519
                  ? (c < 1488
                    ? c == 1479
                    : c <= 1514)
                  : (c <= 1522 || (c < 1568
                    ? (c >= 1552 && c <= 1562)
                    : c <= 1641)))
                : (c <= 1747 || (c < 1770
                  ? (c < 1759
                    ? (c >= 1749 && c <= 1756)
                    : c <= 1768)
                  : (c <= 1788 || (c < 1808
                    ? c == 1791
                    : c <= 1866)))))))))
          : (c <= 1969 || (c < 2527
            ? (c < 2417
              ? (c < 2144
                ? (c < 2045
                  ? (c < 2042
                    ? (c >= 1984 && c <= 2037)
                    : c <= 2042)
                  : (c <= 2045 || (c < 2112
                    ? (c >= 2048 && c <= 2093)
                    : c <= 2139)))
                : (c <= 2154 || (c < 2200
                  ? (c < 2185
                    ? (c >= 2160 && c <= 2183)
                    : c <= 2190)
                  : (c <= 2273 || (c < 2406
                    ? (c >= 2275 && c <= 2403)
                    : c <= 2415)))))
              : (c <= 2435 || (c < 2486
                ? (c < 2451
                  ? (c < 2447
                    ? (c >= 2437 && c <= 2444)
                    : c <= 2448)
                  : (c <= 2472 || (c < 2482
                    ? (c >= 2474 && c <= 2480)
                    : c <= 2482)))
                : (c <= 2489 || (c < 2507
                  ? (c < 2503
                    ? (c >= 2492 && c <= 2500)
                    : c <= 2504)
                  : (c <= 2510 || (c < 2524
                    ? c == 2519
                    : c <= 2525)))))))
            : (c <= 2531 || (c < 2620
              ? (c < 2575
                ? (c < 2558
                  ? (c < 2556
                    ? (c >= 2534 && c <= 2545)
                    : c <= 2556)
                  : (c <= 2558 || (c < 2565
                    ? (c >= 2561 && c <= 2563)
                    : c <= 2570)))
                : (c <= 2576 || (c < 2610
                  ? (c < 2602
                    ? (c >= 2579 && c <= 2600)
                    : c <= 2608)
                  : (c <= 2611 || (c < 2616
                    ? (c >= 2613 && c <= 2614)
                    : c <= 2617)))))
              : (c <= 2620 || (c < 2654
                ? (c < 2635
                  ? (c < 2631
                    ? (c >= 2622 && c <= 2626)
                    : c <= 2632)
                  : (c <= 2637 || (c < 2649
                    ? c == 2641
                    : c <= 2652)))
                : (c <= 2654 || (c < 2693
                  ? (c < 2689
                    ? (c >= 2662 && c <= 2677)
                    : c <= 2691)
                  : (c <= 2701 || (c < 2707
                    ? (c >= 2703 && c <= 2705)
                    : c <= 2728)))))))))))
        : (c <= 2736 || (c < 3157
          ? (c < 2929
            ? (c < 2831
              ? (c < 2768
                ? (c < 2748
                  ? (c < 2741
                    ? (c >= 2738 && c <= 2739)
                    : c <= 2745)
                  : (c <= 2757 || (c < 2763
                    ? (c >= 2759 && c <= 2761)
                    : c <= 2765)))
                : (c <= 2768 || (c < 2809
                  ? (c < 2790
                    ? (c >= 2784 && c <= 2787)
                    : c <= 2799)
                  : (c <= 2815 || (c < 2821
                    ? (c >= 2817 && c <= 2819)
                    : c <= 2828)))))
              : (c <= 2832 || (c < 2887
                ? (c < 2866
                  ? (c < 2858
                    ? (c >= 2835 && c <= 2856)
                    : c <= 2864)
                  : (c <= 2867 || (c < 2876
                    ? (c >= 2869 && c <= 2873)
                    : c <= 2884)))
                : (c <= 2888 || (c < 2908
                  ? (c < 2901
                    ? (c >= 2891 && c <= 2893)
                    : c <= 2903)
                  : (c <= 2909 || (c < 2918
                    ? (c >= 2911 && c <= 2915)
                    : c <= 2927)))))))
            : (c <= 2929 || (c < 3014
              ? (c < 2972
                ? (c < 2958
                  ? (c < 2949
                    ? (c >= 2946 && c <= 2947)
                    : c <= 2954)
                  : (c <= 2960 || (c < 2969
                    ? (c >= 2962 && c <= 2965)
                    : c <= 2970)))
                : (c <= 2972 || (c < 2984
                  ? (c < 2979
                    ? (c >= 2974 && c <= 2975)
                    : c <= 2980)
                  : (c <= 2986 || (c < 3006
                    ? (c >= 2990 && c <= 3001)
                    : c <= 3010)))))
              : (c <= 3016 || (c < 3086
                ? (c < 3031
                  ? (c < 3024
                    ? (c >= 3018 && c <= 3021)
                    : c <= 3024)
                  : (c <= 3031 || (c < 3072
                    ? (c >= 3046 && c <= 3055)
                    : c <= 3084)))
                : (c <= 3088 || (c < 3132
                  ? (c < 3114
                    ? (c >= 3090 && c <= 3112)
                    : c <= 3129)
                  : (c <= 3140 || (c < 3146
                    ? (c >= 3142 && c <= 3144)
                    : c <= 3149)))))))))
          : (c <= 3158 || (c < 3412
            ? (c < 3270
              ? (c < 3205
                ? (c < 3168
                  ? (c < 3165
                    ? (c >= 3160 && c <= 3162)
                    : c <= 3165)
                  : (c <= 3171 || (c < 3200
                    ? (c >= 3174 && c <= 3183)
                    : c <= 3203)))
                : (c <= 3212 || (c < 3242
                  ? (c < 3218
                    ? (c >= 3214 && c <= 3216)
                    : c <= 3240)
                  : (c <= 3251 || (c < 3260
                    ? (c >= 3253 && c <= 3257)
                    : c <= 3268)))))
              : (c <= 3272 || (c < 3313
                ? (c < 3293
                  ? (c < 3285
                    ? (c >= 3274 && c <= 3277)
                    : c <= 3286)
                  : (c <= 3294 || (c < 3302
                    ? (c >= 3296 && c <= 3299)
                    : c <= 3311)))
                : (c <= 3314 || (c < 3346
                  ? (c < 3342
                    ? (c >= 3328 && c <= 3340)
                    : c <= 3344)
                  : (c <= 3396 || (c < 3402
                    ? (c >= 3398 && c <= 3400)
                    : c <= 3406)))))))
            : (c <= 3415 || (c < 3542
              ? (c < 3482
                ? (c < 3450
                  ? (c < 3430
                    ? (c >= 3423 && c <= 3427)
                    : c <= 3439)
                  : (c <= 3455 || (c < 3461
                    ? (c >= 3457 && c <= 3459)
                    : c <= 3478)))
                : (c <= 3505 || (c < 3520
                  ? (c < 3517
                    ? (c >= 3507 && c <= 3515)
                    : c <= 3517)
                  : (c <= 3526 || (c < 3535
                    ? c == 3530
                    : c <= 3540)))))
              : (c <= 3542 || (c < 3664
                ? (c < 3570
                  ? (c < 3558
                    ? (c >= 3544 && c <= 3551)
                    : c <= 3567)
                  : (c <= 3571 || (c < 3648
                    ? (c >= 3585 && c <= 3642)
                    : c <= 3662)))
                : (c <= 3673 || (c < 3718
                  ? (c < 3716
                    ? (c >= 3713 && c <= 3714)
                    : c <= 3716)
                  : (c <= 3722 || (c < 3749
                    ? (c >= 3724 && c <= 3747)
                    : c <= 3749)))))))))))))
      : (c <= 3773 || (c < 8008
        ? (c < 5792
          ? (c < 4348
            ? (c < 3902
              ? (c < 3840
                ? (c < 3784
                  ? (c < 3782
                    ? (c >= 3776 && c <= 3780)
                    : c <= 3782)
                  : (c <= 3789 || (c < 3804
                    ? (c >= 3792 && c <= 3801)
                    : c <= 3807)))
                : (c <= 3840 || (c < 3893
                  ? (c < 3872
                    ? (c >= 3864 && c <= 3865)
                    : c <= 3881)
                  : (c <= 3893 || (c < 3897
                    ? c == 3895
                    : c <= 3897)))))
              : (c <= 3911 || (c < 4096
                ? (c < 3974
                  ? (c < 3953
                    ? (c >= 3913 && c <= 3948)
                    : c <= 3972)
                  : (c <= 3991 || (c < 4038
                    ? (c >= 3993 && c <= 4028)
                    : c <= 4038)))
                : (c <= 4169 || (c < 4295
                  ? (c < 4256
                    ? (c >= 4176 && c <= 4253)
                    : c <= 4293)
                  : (c <= 4295 || (c < 4304
                    ? c == 4301
                    : c <= 4346)))))))
            : (c <= 4680 || (c < 4808
              ? (c < 4746
                ? (c < 4696
                  ? (c < 4688
                    ? (c >= 4682 && c <= 4685)
                    : c <= 4694)
                  : (c <= 4696 || (c < 4704
                    ? (c >= 4698 && c <= 4701)
                    : c <= 4744)))
                : (c <= 4749 || (c < 4792
                  ? (c < 4786
                    ? (c >= 4752 && c <= 4784)
                    : c <= 4789)
                  : (c <= 4798 || (c < 4802
                    ? c == 4800
                    : c <= 4805)))))
              : (c <= 4822 || (c < 4992
                ? (c < 4888
                  ? (c < 4882
                    ? (c >= 4824 && c <= 4880)
                    : c <= 4885)
                  : (c <= 4954 || (c < 4969
                    ? (c >= 4957 && c <= 4959)
                    : c <= 4977)))
                : (c <= 5007 || (c < 5121
                  ? (c < 5112
                    ? (c >= 5024 && c <= 5109)
                    : c <= 5117)
                  : (c <= 5740 || (c < 5761
                    ? (c >= 5743 && c <= 5759)
                    : c <= 5786)))))))))
          : (c <= 5866 || (c < 6608
            ? (c < 6155
              ? (c < 5998
                ? (c < 5919
                  ? (c < 5888
                    ? (c >= 5870 && c <= 5880)
                    : c <= 5909)
                  : (c <= 5940 || (c < 5984
                    ? (c >= 5952 && c <= 5971)
                    : c <= 5996)))
                : (c <= 6000 || (c < 6103
                  ? (c < 6016
                    ? (c >= 6002 && c <= 6003)
                    : c <= 6099)
                  : (c <= 6103 || (c < 6112
                    ? (c >= 6108 && c <= 6109)
                    : c <= 6121)))))
              : (c <= 6157 || (c < 6432
                ? (c < 6272
                  ? (c < 6176
                    ? (c >= 6159 && c <= 6169)
                    : c <= 6264)
                  : (c <= 6314 || (c < 6400
                    ? (c >= 6320 && c <= 6389)
                    : c <= 6430)))
                : (c <= 6443 || (c < 6512
                  ? (c < 6470
                    ? (c >= 6448 && c <= 6459)
                    : c <= 6509)
                  : (c <= 6516 || (c < 6576
                    ? (c >= 6528 && c <= 6571)
                    : c <= 6601)))))))
            : (c <= 6618 || (c < 7040
              ? (c < 6823
                ? (c < 6752
                  ? (c < 6688
                    ? (c >= 6656 && c <= 6683)
                    : c <= 6750)
                  : (c <= 6780 || (c < 6800
                    ? (c >= 6783 && c <= 6793)
                    : c <= 6809)))
                : (c <= 6823 || (c < 6912
                  ? (c < 6847
                    ? (c >= 6832 && c <= 6845)
                    : c <= 6862)
                  : (c <= 6988 || (c < 7019
                    ? (c >= 6992 && c <= 7001)
                    : c <= 7027)))))
              : (c <= 7155 || (c < 7357
                ? (c < 7245
                  ? (c < 7232
                    ? (c >= 7168 && c <= 7223)
                    : c <= 7241)
                  : (c <= 7293 || (c < 7312
                    ? (c >= 7296 && c <= 7304)
                    : c <= 7354)))
                : (c <= 7359 || (c < 7424
                  ? (c < 7380
                    ? (c >= 7376 && c <= 7378)
                    : c <= 7418)
                  : (c <= 7957 || (c < 7968
                    ? (c >= 7960 && c <= 7965)
                    : c <= 8005)))))))))))
        : (c <= 8013 || (c < 11704
          ? (c < 8450
            ? (c < 8150
              ? (c < 8064
                ? (c < 8027
                  ? (c < 8025
                    ? (c >= 8016 && c <= 8023)
                    : c <= 8025)
                  : (c <= 8027 || (c < 8031
                    ? c == 8029
                    : c <= 8061)))
                : (c <= 8116 || (c < 8130
                  ? (c < 8126
                    ? (c >= 8118 && c <= 8124)
                    : c <= 8126)
                  : (c <= 8132 || (c < 8144
                    ? (c >= 8134 && c <= 8140)
                    : c <= 8147)))))
              : (c <= 8155 || (c < 8305
                ? (c < 8182
                  ? (c < 8178
                    ? (c >= 8160 && c <= 8172)
                    : c <= 8180)
                  : (c <= 8188 || (c < 8276
                    ? (c >= 8255 && c <= 8256)
                    : c <= 8276)))
                : (c <= 8305 || (c < 8400
                  ? (c < 8336
                    ? c == 8319
                    : c <= 8348)
                  : (c <= 8412 || (c < 8421
                    ? c == 8417
                    : c <= 8432)))))))
            : (c <= 8450 || (c < 8544
              ? (c < 8486
                ? (c < 8469
                  ? (c < 8458
                    ? c == 8455
                    : c <= 8467)
                  : (c <= 8469 || (c < 8484
                    ? (c >= 8472 && c <= 8477)
                    : c <= 8484)))
                : (c <= 8486 || (c < 8508
                  ? (c < 8490
                    ? c == 8488
                    : c <= 8505)
                  : (c <= 8511 || (c < 8526
                    ? (c >= 8517 && c <= 8521)
                    : c <= 8526)))))
              : (c <= 8584 || (c < 11568
                ? (c < 11520
                  ? (c < 11499
                    ? (c >= 11264 && c <= 11492)
                    : c <= 11507)
                  : (c <= 11557 || (c < 11565
                    ? c == 11559
                    : c <= 11565)))
                : (c <= 11623 || (c < 11680
                  ? (c < 11647
                    ? c == 11631
                    : c <= 11670)
                  : (c <= 11686 || (c < 11696
                    ? (c >= 11688 && c <= 11694)
                    : c <= 11702)))))))))
          : (c <= 11710 || (c < 42560
            ? (c < 12445
              ? (c < 12293
                ? (c < 11728
                  ? (c < 11720
                    ? (c >= 11712 && c <= 11718)
                    : c <= 11726)
                  : (c <= 11734 || (c < 11744
                    ? (c >= 11736 && c <= 11742)
                    : c <= 11775)))
                : (c <= 12295 || (c < 12344
                  ? (c < 12337
                    ? (c >= 12321 && c <= 12335)
                    : c <= 12341)
                  : (c <= 12348 || (c < 12441
                    ? (c >= 12353 && c <= 12438)
                    : c <= 12442)))))
              : (c <= 12447 || (c < 12784
                ? (c < 12549
                  ? (c < 12540
                    ? (c >= 12449 && c <= 12538)
                    : c <= 12543)
                  : (c <= 12591 || (c < 12704
                    ? (c >= 12593 && c <= 12686)
                    : c <= 12735)))
                : (c <= 12799 || (c < 42192
                  ? (c < 19968
                    ? (c >= 13312 && c <= 19903)
                    : c <= 42124)
                  : (c <= 42237 || (c < 42512
                    ? (c >= 42240 && c <= 42508)
                    : c <= 42539)))))))
            : (c <= 42607 || (c < 43136
              ? (c < 42960
                ? (c < 42775
                  ? (c < 42623
                    ? (c >= 42612 && c <= 42621)
                    : c <= 42737)
                  : (c <= 42783 || (c < 42891
                    ? (c >= 42786 && c <= 42888)
                    : c <= 42954)))
                : (c <= 42961 || (c < 42994
                  ? (c < 42965
                    ? c == 42963
                    : c <= 42969)
                  : (c <= 43047 || (c < 43072
                    ? c == 43052
                    : c <= 43123)))))
              : (c <= 43205 || (c < 43360
                ? (c < 43259
                  ? (c < 43232
                    ? (c >= 43216 && c <= 43225)
                    : c <= 43255)
                  : (c <= 43259 || (c < 43312
                    ? (c >= 43261 && c <= 43309)
                    : c <= 43347)))
                : (c <= 43388 || (c < 43488
                  ? (c < 43471
                    ? (c >= 43392 && c <= 43456)
                    : c <= 43481)
                  : (c <= 43518 || (c < 43584
                    ? (c >= 43520 && c <= 43574)
                    : c <= 43597)))))))))))))))
    : (c <= 43609 || (c < 71453
      ? (c < 67594
        ? (c < 65343
          ? (c < 64298
            ? (c < 43868
              ? (c < 43777
                ? (c < 43739
                  ? (c < 43642
                    ? (c >= 43616 && c <= 43638)
                    : c <= 43714)
                  : (c <= 43741 || (c < 43762
                    ? (c >= 43744 && c <= 43759)
                    : c <= 43766)))
                : (c <= 43782 || (c < 43808
                  ? (c < 43793
                    ? (c >= 43785 && c <= 43790)
                    : c <= 43798)
                  : (c <= 43814 || (c < 43824
                    ? (c >= 43816 && c <= 43822)
                    : c <= 43866)))))
              : (c <= 43881 || (c < 55243
                ? (c < 44016
                  ? (c < 44012
                    ? (c >= 43888 && c <= 44010)
                    : c <= 44013)
                  : (c <= 44025 || (c < 55216
                    ? (c >= 44032 && c <= 55203)
                    : c <= 55238)))
                : (c <= 55291 || (c < 64256
                  ? (c < 64112
                    ? (c >= 63744 && c <= 64109)
                    : c <= 64217)
                  : (c <= 64262 || (c < 64285
                    ? (c >= 64275 && c <= 64279)
                    : c <= 64296)))))))
            : (c <= 64310 || (c < 65056
              ? (c < 64467
                ? (c < 64320
                  ? (c < 64318
                    ? (c >= 64312 && c <= 64316)
                    : c <= 64318)
                  : (c <= 64321 || (c < 64326
                    ? (c >= 64323 && c <= 64324)
                    : c <= 64433)))
                : (c <= 64605 || (c < 64914
                  ? (c < 64848
                    ? (c >= 64612 && c <= 64829)
                    : c <= 64911)
                  : (c <= 64967 || (c < 65024
                    ? (c >= 65008 && c <= 65017)
                    : c <= 65039)))))
              : (c <= 65071 || (c < 65145
                ? (c < 65137
                  ? (c < 65101
                    ? (c >= 65075 && c <= 65076)
                    : c <= 65103)
                  : (c <= 65137 || (c < 65143
                    ? c == 65139
                    : c <= 65143)))
                : (c <= 65145 || (c < 65151
                  ? (c < 65149
                    ? c == 65147
                    : c <= 65149)
                  : (c <= 65276 || (c < 65313
                    ? (c >= 65296 && c <= 65305)
                    : c <= 65338)))))))))
          : (c <= 65343 || (c < 66504
            ? (c < 65616
              ? (c < 65498
                ? (c < 65474
                  ? (c < 65382
                    ? (c >= 65345 && c <= 65370)
                    : c <= 65470)
                  : (c <= 65479 || (c < 65490
                    ? (c >= 65482 && c <= 65487)
                    : c <= 65495)))
                : (c <= 65500 || (c < 65576
                  ? (c < 65549
                    ? (c >= 65536 && c <= 65547)
                    : c <= 65574)
                  : (c <= 65594 || (c < 65599
                    ? (c >= 65596 && c <= 65597)
                    : c <= 65613)))))
              : (c <= 65629 || (c < 66272
                ? (c < 66045
                  ? (c < 65856
                    ? (c >= 65664 && c <= 65786)
                    : c <= 65908)
                  : (c <= 66045 || (c < 66208
                    ? (c >= 66176 && c <= 66204)
                    : c <= 66256)))
                : (c <= 66272 || (c < 66384
                  ? (c < 66349
                    ? (c >= 66304 && c <= 66335)
                    : c <= 66378)
                  : (c <= 66426 || (c < 66464
                    ? (c >= 66432 && c <= 66461)
                    : c <= 66499)))))))
            : (c <= 66511 || (c < 66967
              ? (c < 66816
                ? (c < 66720
                  ? (c < 66560
                    ? (c >= 66513 && c <= 66517)
                    : c <= 66717)
                  : (c <= 66729 || (c < 66776
                    ? (c >= 66736 && c <= 66771)
                    : c <= 66811)))
                : (c <= 66855 || (c < 66940
                  ? (c < 66928
                    ? (c >= 66864 && c <= 66915)
                    : c <= 66938)
                  : (c <= 66954 || (c < 66964
                    ? (c >= 66956 && c <= 66962)
                    : c <= 66965)))))
              : (c <= 66977 || (c < 67424
                ? (c < 67003
                  ? (c < 66995
                    ? (c >= 66979 && c <= 66993)
                    : c <= 67001)
                  : (c <= 67004 || (c < 67392
                    ? (c >= 67072 && c <= 67382)
                    : c <= 67413)))
                : (c <= 67431 || (c < 67506
                  ? (c < 67463
                    ? (c >= 67456 && c <= 67461)
                    : c <= 67504)
                  : (c <= 67514 || (c < 67592
                    ? (c >= 67584 && c <= 67589)
                    : c <= 67592)))))))))))
        : (c <= 67637 || (c < 69942
          ? (c < 68416
            ? (c < 68096
              ? (c < 67808
                ? (c < 67647
                  ? (c < 67644
                    ? (c >= 67639 && c <= 67640)
                    : c <= 67644)
                  : (c <= 67669 || (c < 67712
                    ? (c >= 67680 && c <= 67702)
                    : c <= 67742)))
                : (c <= 67826 || (c < 67872
                  ? (c < 67840
                    ? (c >= 67828 && c <= 67829)
                    : c <= 67861)
                  : (c <= 67897 || (c < 68030
                    ? (c >= 67968 && c <= 68023)
                    : c <= 68031)))))
              : (c <= 68099 || (c < 68159
                ? (c < 68117
                  ? (c < 68108
                    ? (c >= 68101 && c <= 68102)
                    : c <= 68115)
                  : (c <= 68119 || (c < 68152
                    ? (c >= 68121 && c <= 68149)
                    : c <= 68154)))
                : (c <= 68159 || (c < 68288
                  ? (c < 68224
                    ? (c >= 68192 && c <= 68220)
                    : c <= 68252)
                  : (c <= 68295 || (c < 68352
                    ? (c >= 68297 && c <= 68326)
                    : c <= 68405)))))))
            : (c <= 68437 || (c < 69415
              ? (c < 68864
                ? (c < 68608
                  ? (c < 68480
                    ? (c >= 68448 && c <= 68466)
                    : c <= 68497)
                  : (c <= 68680 || (c < 68800
                    ? (c >= 68736 && c <= 68786)
                    : c <= 68850)))
                : (c <= 68903 || (c < 69291
                  ? (c < 69248
                    ? (c >= 68912 && c <= 68921)
                    : c <= 69289)
                  : (c <= 69292 || (c < 69376
                    ? (c >= 69296 && c <= 69297)
                    : c <= 69404)))))
              : (c <= 69415 || (c < 69734
                ? (c < 69552
                  ? (c < 69488
                    ? (c >= 69424 && c <= 69456)
                    : c <= 69509)
                  : (c <= 69572 || (c < 69632
                    ? (c >= 69600 && c <= 69622)
                    : c <= 69702)))
                : (c <= 69749 || (c < 69840
                  ? (c < 69826
                    ? (c >= 69759 && c <= 69818)
                    : c <= 69826)
                  : (c <= 69864 || (c < 69888
                    ? (c >= 69872 && c <= 69881)
                    : c <= 69940)))))))))
          : (c <= 69951 || (c < 70453
            ? (c < 70280
              ? (c < 70094
                ? (c < 70006
                  ? (c < 69968
                    ? (c >= 69956 && c <= 69959)
                    : c <= 70003)
                  : (c <= 70006 || (c < 70089
                    ? (c >= 70016 && c <= 70084)
                    : c <= 70092)))
                : (c <= 70106 || (c < 70163
                  ? (c < 70144
                    ? c == 70108
                    : c <= 70161)
                  : (c <= 70199 || (c < 70272
                    ? c == 70206
                    : c <= 70278)))))
              : (c <= 70280 || (c < 70400
                ? (c < 70303
                  ? (c < 70287
                    ? (c >= 70282 && c <= 70285)
                    : c <= 70301)
                  : (c <= 70312 || (c < 70384
                    ? (c >= 70320 && c <= 70378)
                    : c <= 70393)))
                : (c <= 70403 || (c < 70419
                  ? (c < 70415
                    ? (c >= 70405 && c <= 70412)
                    : c <= 70416)
                  : (c <= 70440 || (c < 70450
                    ? (c >= 70442 && c <= 70448)
                    : c <= 70451)))))))
            : (c <= 70457 || (c < 70784
              ? (c < 70493
                ? (c < 70475
                  ? (c < 70471
                    ? (c >= 70459 && c <= 70468)
                    : c <= 70472)
                  : (c <= 70477 || (c < 70487
                    ? c == 70480
                    : c <= 70487)))
                : (c <= 70499 || (c < 70656
                  ? (c < 70512
                    ? (c >= 70502 && c <= 70508)
                    : c <= 70516)
                  : (c <= 70730 || (c < 70750
                    ? (c >= 70736 && c <= 70745)
                    : c <= 70753)))))
              : (c <= 70853 || (c < 71168
                ? (c < 71040
                  ? (c < 70864
                    ? c == 70855
                    : c <= 70873)
                  : (c <= 71093 || (c < 71128
                    ? (c >= 71096 && c <= 71104)
                    : c <= 71133)))
                : (c <= 71232 || (c < 71296
                  ? (c < 71248
                    ? c == 71236
                    : c <= 71257)
                  : (c <= 71352 || (c < 71424
                    ? (c >= 71360 && c <= 71369)
                    : c <= 71450)))))))))))))
      : (c <= 71467 || (c < 119973
        ? (c < 77824
          ? (c < 72760
            ? (c < 72016
              ? (c < 71945
                ? (c < 71680
                  ? (c < 71488
                    ? (c >= 71472 && c <= 71481)
                    : c <= 71494)
                  : (c <= 71738 || (c < 71935
                    ? (c >= 71840 && c <= 71913)
                    : c <= 71942)))
                : (c <= 71945 || (c < 71960
                  ? (c < 71957
                    ? (c >= 71948 && c <= 71955)
                    : c <= 71958)
                  : (c <= 71989 || (c < 71995
                    ? (c >= 71991 && c <= 71992)
                    : c <= 72003)))))
              : (c <= 72025 || (c < 72263
                ? (c < 72154
                  ? (c < 72106
                    ? (c >= 72096 && c <= 72103)
                    : c <= 72151)
                  : (c <= 72161 || (c < 72192
                    ? (c >= 72163 && c <= 72164)
                    : c <= 72254)))
                : (c <= 72263 || (c < 72368
                  ? (c < 72349
                    ? (c >= 72272 && c <= 72345)
                    : c <= 72349)
                  : (c <= 72440 || (c < 72714
                    ? (c >= 72704 && c <= 72712)
                    : c <= 72758)))))))
            : (c <= 72768 || (c < 73056
              ? (c < 72968
                ? (c < 72850
                  ? (c < 72818
                    ? (c >= 72784 && c <= 72793)
                    : c <= 72847)
                  : (c <= 72871 || (c < 72960
                    ? (c >= 72873 && c <= 72886)
                    : c <= 72966)))
                : (c <= 72969 || (c < 73020
                  ? (c < 73018
                    ? (c >= 72971 && c <= 73014)
                    : c <= 73018)
                  : (c <= 73021 || (c < 73040
                    ? (c >= 73023 && c <= 73031)
                    : c <= 73049)))))
              : (c <= 73061 || (c < 73440
                ? (c < 73104
                  ? (c < 73066
                    ? (c >= 73063 && c <= 73064)
                    : c <= 73102)
                  : (c <= 73105 || (c < 73120
                    ? (c >= 73107 && c <= 73112)
                    : c <= 73129)))
                : (c <= 73462 || (c < 74752
                  ? (c < 73728
                    ? c == 73648
                    : c <= 74649)
                  : (c <= 74862 || (c < 77712
                    ? (c >= 74880 && c <= 75075)
                    : c <= 77808)))))))))
          : (c <= 78894 || (c < 110576
            ? (c < 93027
              ? (c < 92864
                ? (c < 92736
                  ? (c < 92160
                    ? (c >= 82944 && c <= 83526)
                    : c <= 92728)
                  : (c <= 92766 || (c < 92784
                    ? (c >= 92768 && c <= 92777)
                    : c <= 92862)))
                : (c <= 92873 || (c < 92928
                  ? (c < 92912
                    ? (c >= 92880 && c <= 92909)
                    : c <= 92916)
                  : (c <= 92982 || (c < 93008
                    ? (c >= 92992 && c <= 92995)
                    : c <= 93017)))))
              : (c <= 93047 || (c < 94176
                ? (c < 93952
                  ? (c < 93760
                    ? (c >= 93053 && c <= 93071)
                    : c <= 93823)
                  : (c <= 94026 || (c < 94095
                    ? (c >= 94031 && c <= 94087)
                    : c <= 94111)))
                : (c <= 94177 || (c < 94208
                  ? (c < 94192
                    ? (c >= 94179 && c <= 94180)
                    : c <= 94193)
                  : (c <= 100343 || (c < 101632
                    ? (c >= 100352 && c <= 101589)
                    : c <= 101640)))))))
            : (c <= 110579 || (c < 118528
              ? (c < 110960
                ? (c < 110592
                  ? (c < 110589
                    ? (c >= 110581 && c <= 110587)
                    : c <= 110590)
                  : (c <= 110882 || (c < 110948
                    ? (c >= 110928 && c <= 110930)
                    : c <= 110951)))
                : (c <= 111355 || (c < 113792
                  ? (c < 113776
                    ? (c >= 113664 && c <= 113770)
                    : c <= 113788)
                  : (c <= 113800 || (c < 113821
                    ? (c >= 113808 && c <= 113817)
                    : c <= 113822)))))
              : (c <= 118573 || (c < 119210
                ? (c < 119149
                  ? (c < 119141
                    ? (c >= 118576 && c <= 118598)
                    : c <= 119145)
                  : (c <= 119154 || (c < 119173
                    ? (c >= 119163 && c <= 119170)
                    : c <= 119179)))
                : (c <= 119213 || (c < 119894
                  ? (c < 119808
                    ? (c >= 119362 && c <= 119364)
                    : c <= 119892)
                  : (c <= 119964 || (c < 119970
                    ? (c >= 119966 && c <= 119967)
                    : c <= 119970)))))))))))
        : (c <= 119974 || (c < 124912
          ? (c < 120746
            ? (c < 120134
              ? (c < 120071
                ? (c < 119995
                  ? (c < 119982
                    ? (c >= 119977 && c <= 119980)
                    : c <= 119993)
                  : (c <= 119995 || (c < 120005
                    ? (c >= 119997 && c <= 120003)
                    : c <= 120069)))
                : (c <= 120074 || (c < 120094
                  ? (c < 120086
                    ? (c >= 120077 && c <= 120084)
                    : c <= 120092)
                  : (c <= 120121 || (c < 120128
                    ? (c >= 120123 && c <= 120126)
                    : c <= 120132)))))
              : (c <= 120134 || (c < 120572
                ? (c < 120488
                  ? (c < 120146
                    ? (c >= 120138 && c <= 120144)
                    : c <= 120485)
                  : (c <= 120512 || (c < 120540
                    ? (c >= 120514 && c <= 120538)
                    : c <= 120570)))
                : (c <= 120596 || (c < 120656
                  ? (c < 120630
                    ? (c >= 120598 && c <= 120628)
                    : c <= 120654)
                  : (c <= 120686 || (c < 120714
                    ? (c >= 120688 && c <= 120712)
                    : c <= 120744)))))))
            : (c <= 120770 || (c < 122907
              ? (c < 121476
                ? (c < 121344
                  ? (c < 120782
                    ? (c >= 120772 && c <= 120779)
                    : c <= 120831)
                  : (c <= 121398 || (c < 121461
                    ? (c >= 121403 && c <= 121452)
                    : c <= 121461)))
                : (c <= 121476 || (c < 122624
                  ? (c < 121505
                    ? (c >= 121499 && c <= 121503)
                    : c <= 121519)
                  : (c <= 122654 || (c < 122888
                    ? (c >= 122880 && c <= 122886)
                    : c <= 122904)))))
              : (c <= 122913 || (c < 123214
                ? (c < 123136
                  ? (c < 122918
                    ? (c >= 122915 && c <= 122916)
                    : c <= 122922)
                  : (c <= 123180 || (c < 123200
                    ? (c >= 123184 && c <= 123197)
                    : c <= 123209)))
                : (c <= 123214 || (c < 124896
                  ? (c < 123584
                    ? (c >= 123536 && c <= 123566)
                    : c <= 123641)
                  : (c <= 124902 || (c < 124909
                    ? (c >= 124904 && c <= 124907)
                    : c <= 124910)))))))))
          : (c <= 124926 || (c < 126557
            ? (c < 126521
              ? (c < 126469
                ? (c < 125184
                  ? (c < 125136
                    ? (c >= 124928 && c <= 125124)
                    : c <= 125142)
                  : (c <= 125259 || (c < 126464
                    ? (c >= 125264 && c <= 125273)
                    : c <= 126467)))
                : (c <= 126495 || (c < 126503
                  ? (c < 126500
                    ? (c >= 126497 && c <= 126498)
                    : c <= 126500)
                  : (c <= 126503 || (c < 126516
                    ? (c >= 126505 && c <= 126514)
                    : c <= 126519)))))
              : (c <= 126521 || (c < 126541
                ? (c < 126535
                  ? (c < 126530
                    ? c == 126523
                    : c <= 126530)
                  : (c <= 126535 || (c < 126539
                    ? c == 126537
                    : c <= 126539)))
                : (c <= 126543 || (c < 126551
                  ? (c < 126548
                    ? (c >= 126545 && c <= 126546)
                    : c <= 126548)
                  : (c <= 126551 || (c < 126555
                    ? c == 126553
                    : c <= 126555)))))))
            : (c <= 126557 || (c < 126629
              ? (c < 126580
                ? (c < 126564
                  ? (c < 126561
                    ? c == 126559
                    : c <= 126562)
                  : (c <= 126564 || (c < 126572
                    ? (c >= 126567 && c <= 126570)
                    : c <= 126578)))
                : (c <= 126583 || (c < 126592
                  ? (c < 126590
                    ? (c >= 126585 && c <= 126588)
                    : c <= 126590)
                  : (c <= 126601 || (c < 126625
                    ? (c >= 126603 && c <= 126619)
                    : c <= 126627)))))
              : (c <= 126633 || (c < 178208
                ? (c < 131072
                  ? (c < 130032
                    ? (c >= 126635 && c <= 126651)
                    : c <= 130041)
                  : (c <= 173791 || (c < 177984
                    ? (c >= 173824 && c <= 177976)
                    : c <= 178205)))
                : (c <= 183969 || (c < 196608
                  ? (c < 194560
                    ? (c >= 183984 && c <= 191456)
                    : c <= 195101)
                  : (c <= 201546 || (c >= 917760 && c <= 917999)))))))))))))))));
}

static inline bool sym_identifier_character_set_15(int32_t c) {
  return (c < 43600
    ? (c < 3776
      ? (c < 2738
        ? (c < 1984
          ? (c < 910
            ? (c < 216
              ? (c < 'a'
                ? (c < '9'
                  ? (c < '0'
                    ? c == '$'
                    : c <= '7')
                  : (c <= '9' || (c < '_'
                    ? (c >= 'A' && c <= 'Z')
                    : c <= '_')))
                : (c <= 'z' || (c < 183
                  ? (c < 181
                    ? c == 170
                    : c <= 181)
                  : (c <= 183 || (c < 192
                    ? c == 186
                    : c <= 214)))))
              : (c <= 246 || (c < 768
                ? (c < 736
                  ? (c < 710
                    ? (c >= 248 && c <= 705)
                    : c <= 721)
                  : (c <= 740 || (c < 750
                    ? c == 748
                    : c <= 750)))
                : (c <= 884 || (c < 895
                  ? (c < 891
                    ? (c >= 886 && c <= 887)
                    : c <= 893)
                  : (c <= 895 || (c < 908
                    ? (c >= 902 && c <= 906)
                    : c <= 908)))))))
            : (c <= 929 || (c < 1479
              ? (c < 1369
                ? (c < 1155
                  ? (c < 1015
                    ? (c >= 931 && c <= 1013)
                    : c <= 1153)
                  : (c <= 1159 || (c < 1329
                    ? (c >= 1162 && c <= 1327)
                    : c <= 1366)))
                : (c <= 1369 || (c < 1471
                  ? (c < 1425
                    ? (c >= 1376 && c <= 1416)
                    : c <= 1469)
                  : (c <= 1471 || (c < 1476
                    ? (c >= 1473 && c <= 1474)
                    : c <= 1477)))))
              : (c <= 1479 || (c < 1749
                ? (c < 1552
                  ? (c < 1519
                    ? (c >= 1488 && c <= 1514)
                    : c <= 1522)
                  : (c <= 1562 || (c < 1646
                    ? (c >= 1568 && c <= 1641)
                    : c <= 1747)))
                : (c <= 1756 || (c < 1791
                  ? (c < 1770
                    ? (c >= 1759 && c <= 1768)
                    : c <= 1788)
                  : (c <= 1791 || (c < 1869
                    ? (c >= 1808 && c <= 1866)
                    : c <= 1969)))))))))
          : (c <= 2037 || (c < 2534
            ? (c < 2437
              ? (c < 2160
                ? (c < 2048
                  ? (c < 2045
                    ? c == 2042
                    : c <= 2045)
                  : (c <= 2093 || (c < 2144
                    ? (c >= 2112 && c <= 2139)
                    : c <= 2154)))
                : (c <= 2183 || (c < 2275
                  ? (c < 2200
                    ? (c >= 2185 && c <= 2190)
                    : c <= 2273)
                  : (c <= 2403 || (c < 2417
                    ? (c >= 2406 && c <= 2415)
                    : c <= 2435)))))
              : (c <= 2444 || (c < 2492
                ? (c < 2474
                  ? (c < 2451
                    ? (c >= 2447 && c <= 2448)
                    : c <= 2472)
                  : (c <= 2480 || (c < 2486
                    ? c == 2482
                    : c <= 2489)))
                : (c <= 2500 || (c < 2519
                  ? (c < 2507
                    ? (c >= 2503 && c <= 2504)
                    : c <= 2510)
                  : (c <= 2519 || (c < 2527
                    ? (c >= 2524 && c <= 2525)
                    : c <= 2531)))))))
            : (c <= 2545 || (c < 2622
              ? (c < 2579
                ? (c < 2561
                  ? (c < 2558
                    ? c == 2556
                    : c <= 2558)
                  : (c <= 2563 || (c < 2575
                    ? (c >= 2565 && c <= 2570)
                    : c <= 2576)))
                : (c <= 2600 || (c < 2613
                  ? (c < 2610
                    ? (c >= 2602 && c <= 2608)
                    : c <= 2611)
                  : (c <= 2614 || (c < 2620
                    ? (c >= 2616 && c <= 2617)
                    : c <= 2620)))))
              : (c <= 2626 || (c < 2662
                ? (c < 2641
                  ? (c < 2635
                    ? (c >= 2631 && c <= 2632)
                    : c <= 2637)
                  : (c <= 2641 || (c < 2654
                    ? (c >= 2649 && c <= 2652)
                    : c <= 2654)))
                : (c <= 2677 || (c < 2703
                  ? (c < 2693
                    ? (c >= 2689 && c <= 2691)
                    : c <= 2701)
                  : (c <= 2705 || (c < 2730
                    ? (c >= 2707 && c <= 2728)
                    : c <= 2736)))))))))))
        : (c <= 2739 || (c < 3160
          ? (c < 2946
            ? (c < 2835
              ? (c < 2784
                ? (c < 2759
                  ? (c < 2748
                    ? (c >= 2741 && c <= 2745)
                    : c <= 2757)
                  : (c <= 2761 || (c < 2768
                    ? (c >= 2763 && c <= 2765)
                    : c <= 2768)))
                : (c <= 2787 || (c < 2817
                  ? (c < 2809
                    ? (c >= 2790 && c <= 2799)
                    : c <= 2815)
                  : (c <= 2819 || (c < 2831
                    ? (c >= 2821 && c <= 2828)
                    : c <= 2832)))))
              : (c <= 2856 || (c < 2891
                ? (c < 2869
                  ? (c < 2866
                    ? (c >= 2858 && c <= 2864)
                    : c <= 2867)
                  : (c <= 2873 || (c < 2887
                    ? (c >= 2876 && c <= 2884)
                    : c <= 2888)))
                : (c <= 2893 || (c < 2911
                  ? (c < 2908
                    ? (c >= 2901 && c <= 2903)
                    : c <= 2909)
                  : (c <= 2915 || (c < 2929
                    ? (c >= 2918 && c <= 2927)
                    : c <= 2929)))))))
            : (c <= 2947 || (c < 3018
              ? (c < 2974
                ? (c < 2962
                  ? (c < 2958
                    ? (c >= 2949 && c <= 2954)
                    : c <= 2960)
                  : (c <= 2965 || (c < 2972
                    ? (c >= 2969 && c <= 2970)
                    : c <= 2972)))
                : (c <= 2975 || (c < 2990
                  ? (c < 2984
                    ? (c >= 2979 && c <= 2980)
                    : c <= 2986)
                  : (c <= 3001 || (c < 3014
                    ? (c >= 3006 && c <= 3010)
                    : c <= 3016)))))
              : (c <= 3021 || (c < 3090
                ? (c < 3046
                  ? (c < 3031
                    ? c == 3024
                    : c <= 3031)
                  : (c <= 3055 || (c < 3086
                    ? (c >= 3072 && c <= 3084)
                    : c <= 3088)))
                : (c <= 3112 || (c < 3142
                  ? (c < 3132
                    ? (c >= 3114 && c <= 3129)
                    : c <= 3140)
                  : (c <= 3144 || (c < 3157
                    ? (c >= 3146 && c <= 3149)
                    : c <= 3158)))))))))
          : (c <= 3162 || (c < 3423
            ? (c < 3274
              ? (c < 3214
                ? (c < 3174
                  ? (c < 3168
                    ? c == 3165
                    : c <= 3171)
                  : (c <= 3183 || (c < 3205
                    ? (c >= 3200 && c <= 3203)
                    : c <= 3212)))
                : (c <= 3216 || (c < 3253
                  ? (c < 3242
                    ? (c >= 3218 && c <= 3240)
                    : c <= 3251)
                  : (c <= 3257 || (c < 3270
                    ? (c >= 3260 && c <= 3268)
                    : c <= 3272)))))
              : (c <= 3277 || (c < 3328
                ? (c < 3296
                  ? (c < 3293
                    ? (c >= 3285 && c <= 3286)
                    : c <= 3294)
                  : (c <= 3299 || (c < 3313
                    ? (c >= 3302 && c <= 3311)
                    : c <= 3314)))
                : (c <= 3340 || (c < 3398
                  ? (c < 3346
                    ? (c >= 3342 && c <= 3344)
                    : c <= 3396)
                  : (c <= 3400 || (c < 3412
                    ? (c >= 3402 && c <= 3406)
                    : c <= 3415)))))))
            : (c <= 3427 || (c < 3544
              ? (c < 3507
                ? (c < 3457
                  ? (c < 3450
                    ? (c >= 3430 && c <= 3439)
                    : c <= 3455)
                  : (c <= 3459 || (c < 3482
                    ? (c >= 3461 && c <= 3478)
                    : c <= 3505)))
                : (c <= 3515 || (c < 3530
                  ? (c < 3520
                    ? c == 3517
                    : c <= 3526)
                  : (c <= 3530 || (c < 3542
                    ? (c >= 3535 && c <= 3540)
                    : c <= 3542)))))
              : (c <= 3551 || (c < 3713
                ? (c < 3585
                  ? (c < 3570
                    ? (c >= 3558 && c <= 3567)
                    : c <= 3571)
                  : (c <= 3642 || (c < 3664
                    ? (c >= 3648 && c <= 3662)
                    : c <= 3673)))
                : (c <= 3714 || (c < 3724
                  ? (c < 3718
                    ? c == 3716
                    : c <= 3722)
                  : (c <= 3747 || (c < 3751
                    ? c == 3749
                    : c <= 3773)))))))))))))
      : (c <= 3780 || (c < 8016
        ? (c < 5870
          ? (c < 4682
            ? (c < 3913
              ? (c < 3864
                ? (c < 3792
                  ? (c < 3784
                    ? c == 3782
                    : c <= 3789)
                  : (c <= 3801 || (c < 3840
                    ? (c >= 3804 && c <= 3807)
                    : c <= 3840)))
                : (c <= 3865 || (c < 3895
                  ? (c < 3893
                    ? (c >= 3872 && c <= 3881)
                    : c <= 3893)
                  : (c <= 3895 || (c < 3902
                    ? c == 3897
                    : c <= 3911)))))
              : (c <= 3948 || (c < 4176
                ? (c < 3993
                  ? (c < 3974
                    ? (c >= 3953 && c <= 3972)
                    : c <= 3991)
                  : (c <= 4028 || (c < 4096
                    ? c == 4038
                    : c <= 4169)))
                : (c <= 4253 || (c < 4301
                  ? (c < 4295
                    ? (c >= 4256 && c <= 4293)
                    : c <= 4295)
                  : (c <= 4301 || (c < 4348
                    ? (c >= 4304 && c <= 4346)
                    : c <= 4680)))))))
            : (c <= 4685 || (c < 4824
              ? (c < 4752
                ? (c < 4698
                  ? (c < 4696
                    ? (c >= 4688 && c <= 4694)
                    : c <= 4696)
                  : (c <= 4701 || (c < 4746
                    ? (c >= 4704 && c <= 4744)
                    : c <= 4749)))
                : (c <= 4784 || (c < 4800
                  ? (c < 4792
                    ? (c >= 4786 && c <= 4789)
                    : c <= 4798)
                  : (c <= 4800 || (c < 4808
                    ? (c >= 4802 && c <= 4805)
                    : c <= 4822)))))
              : (c <= 4880 || (c < 5024
                ? (c < 4957
                  ? (c < 4888
                    ? (c >= 4882 && c <= 4885)
                    : c <= 4954)
                  : (c <= 4959 || (c < 4992
                    ? (c >= 4969 && c <= 4977)
                    : c <= 5007)))
                : (c <= 5109 || (c < 5743
                  ? (c < 5121
                    ? (c >= 5112 && c <= 5117)
                    : c <= 5740)
                  : (c <= 5759 || (c < 5792
                    ? (c >= 5761 && c <= 5786)
                    : c <= 5866)))))))))
          : (c <= 5880 || (c < 6656
            ? (c < 6159
              ? (c < 6002
                ? (c < 5952
                  ? (c < 5919
                    ? (c >= 5888 && c <= 5909)
                    : c <= 5940)
                  : (c <= 5971 || (c < 5998
                    ? (c >= 5984 && c <= 5996)
                    : c <= 6000)))
                : (c <= 6003 || (c < 6108
                  ? (c < 6103
                    ? (c >= 6016 && c <= 6099)
                    : c <= 6103)
                  : (c <= 6109 || (c < 6155
                    ? (c >= 6112 && c <= 6121)
                    : c <= 6157)))))
              : (c <= 6169 || (c < 6448
                ? (c < 6320
                  ? (c < 6272
                    ? (c >= 6176 && c <= 6264)
                    : c <= 6314)
                  : (c <= 6389 || (c < 6432
                    ? (c >= 6400 && c <= 6430)
                    : c <= 6443)))
                : (c <= 6459 || (c < 6528
                  ? (c < 6512
                    ? (c >= 6470 && c <= 6509)
                    : c <= 6516)
                  : (c <= 6571 || (c < 6608
                    ? (c >= 6576 && c <= 6601)
                    : c <= 6618)))))))
            : (c <= 6683 || (c < 7168
              ? (c < 6832
                ? (c < 6783
                  ? (c < 6752
                    ? (c >= 6688 && c <= 6750)
                    : c <= 6780)
                  : (c <= 6793 || (c < 6823
                    ? (c >= 6800 && c <= 6809)
                    : c <= 6823)))
                : (c <= 6845 || (c < 6992
                  ? (c < 6912
                    ? (c >= 6847 && c <= 6862)
                    : c <= 6988)
                  : (c <= 7001 || (c < 7040
                    ? (c >= 7019 && c <= 7027)
                    : c <= 7155)))))
              : (c <= 7223 || (c < 7376
                ? (c < 7296
                  ? (c < 7245
                    ? (c >= 7232 && c <= 7241)
                    : c <= 7293)
                  : (c <= 7304 || (c < 7357
                    ? (c >= 7312 && c <= 7354)
                    : c <= 7359)))
                : (c <= 7378 || (c < 7960
                  ? (c < 7424
                    ? (c >= 7380 && c <= 7418)
                    : c <= 7957)
                  : (c <= 7965 || (c < 8008
                    ? (c >= 7968 && c <= 8005)
                    : c <= 8013)))))))))))
        : (c <= 8023 || (c < 11712
          ? (c < 8455
            ? (c < 8160
              ? (c < 8118
                ? (c < 8029
                  ? (c < 8027
                    ? c == 8025
                    : c <= 8027)
                  : (c <= 8029 || (c < 8064
                    ? (c >= 8031 && c <= 8061)
                    : c <= 8116)))
                : (c <= 8124 || (c < 8134
                  ? (c < 8130
                    ? c == 8126
                    : c <= 8132)
                  : (c <= 8140 || (c < 8150
                    ? (c >= 8144 && c <= 8147)
                    : c <= 8155)))))
              : (c <= 8172 || (c < 8319
                ? (c < 8255
                  ? (c < 8182
                    ? (c >= 8178 && c <= 8180)
                    : c <= 8188)
                  : (c <= 8256 || (c < 8305
                    ? c == 8276
                    : c <= 8305)))
                : (c <= 8319 || (c < 8417
                  ? (c < 8400
                    ? (c >= 8336 && c <= 8348)
                    : c <= 8412)
                  : (c <= 8417 || (c < 8450
                    ? (c >= 8421 && c <= 8432)
                    : c <= 8450)))))))
            : (c <= 8455 || (c < 11264
              ? (c < 8488
                ? (c < 8472
                  ? (c < 8469
                    ? (c >= 8458 && c <= 8467)
                    : c <= 8469)
                  : (c <= 8477 || (c < 8486
                    ? c == 8484
                    : c <= 8486)))
                : (c <= 8488 || (c < 8517
                  ? (c < 8508
                    ? (c >= 8490 && c <= 8505)
                    : c <= 8511)
                  : (c <= 8521 || (c < 8544
                    ? c == 8526
                    : c <= 8584)))))
              : (c <= 11492 || (c < 11631
                ? (c < 11559
                  ? (c < 11520
                    ? (c >= 11499 && c <= 11507)
                    : c <= 11557)
                  : (c <= 11559 || (c < 11568
                    ? c == 11565
                    : c <= 11623)))
                : (c <= 11631 || (c < 11688
                  ? (c < 11680
                    ? (c >= 11647 && c <= 11670)
                    : c <= 11686)
                  : (c <= 11694 || (c < 11704
                    ? (c >= 11696 && c <= 11702)
                    : c <= 11710)))))))))
          : (c <= 11718 || (c < 42612
            ? (c < 12449
              ? (c < 12321
                ? (c < 11736
                  ? (c < 11728
                    ? (c >= 11720 && c <= 11726)
                    : c <= 11734)
                  : (c <= 11742 || (c < 12293
                    ? (c >= 11744 && c <= 11775)
                    : c <= 12295)))
                : (c <= 12335 || (c < 12353
                  ? (c < 12344
                    ? (c >= 12337 && c <= 12341)
                    : c <= 12348)
                  : (c <= 12438 || (c < 12445
                    ? (c >= 12441 && c <= 12442)
                    : c <= 12447)))))
              : (c <= 12538 || (c < 13312
                ? (c < 12593
                  ? (c < 12549
                    ? (c >= 12540 && c <= 12543)
                    : c <= 12591)
                  : (c <= 12686 || (c < 12784
                    ? (c >= 12704 && c <= 12735)
                    : c <= 12799)))
                : (c <= 19903 || (c < 42240
                  ? (c < 42192
                    ? (c >= 19968 && c <= 42124)
                    : c <= 42237)
                  : (c <= 42508 || (c < 42560
                    ? (c >= 42512 && c <= 42539)
                    : c <= 42607)))))))
            : (c <= 42621 || (c < 43216
              ? (c < 42963
                ? (c < 42786
                  ? (c < 42775
                    ? (c >= 42623 && c <= 42737)
                    : c <= 42783)
                  : (c <= 42888 || (c < 42960
                    ? (c >= 42891 && c <= 42954)
                    : c <= 42961)))
                : (c <= 42963 || (c < 43052
                  ? (c < 42994
                    ? (c >= 42965 && c <= 42969)
                    : c <= 43047)
                  : (c <= 43052 || (c < 43136
                    ? (c >= 43072 && c <= 43123)
                    : c <= 43205)))))
              : (c <= 43225 || (c < 43392
                ? (c < 43261
                  ? (c < 43259
                    ? (c >= 43232 && c <= 43255)
                    : c <= 43259)
                  : (c <= 43309 || (c < 43360
                    ? (c >= 43312 && c <= 43347)
                    : c <= 43388)))
                : (c <= 43456 || (c < 43520
                  ? (c < 43488
                    ? (c >= 43471 && c <= 43481)
                    : c <= 43518)
                  : (c <= 43574 || (c >= 43584 && c <= 43597)))))))))))))))
    : (c <= 43609 || (c < 71453
      ? (c < 67594
        ? (c < 65343
          ? (c < 64298
            ? (c < 43868
              ? (c < 43777
                ? (c < 43739
                  ? (c < 43642
                    ? (c >= 43616 && c <= 43638)
                    : c <= 43714)
                  : (c <= 43741 || (c < 43762
                    ? (c >= 43744 && c <= 43759)
                    : c <= 43766)))
                : (c <= 43782 || (c < 43808
                  ? (c < 43793
                    ? (c >= 43785 && c <= 43790)
                    : c <= 43798)
                  : (c <= 43814 || (c < 43824
                    ? (c >= 43816 && c <= 43822)
                    : c <= 43866)))))
              : (c <= 43881 || (c < 55243
                ? (c < 44016
                  ? (c < 44012
                    ? (c >= 43888 && c <= 44010)
                    : c <= 44013)
                  : (c <= 44025 || (c < 55216
                    ? (c >= 44032 && c <= 55203)
                    : c <= 55238)))
                : (c <= 55291 || (c < 64256
                  ? (c < 64112
                    ? (c >= 63744 && c <= 64109)
                    : c <= 64217)
                  : (c <= 64262 || (c < 64285
                    ? (c >= 64275 && c <= 64279)
                    : c <= 64296)))))))
            : (c <= 64310 || (c < 65056
              ? (c < 64467
                ? (c < 64320
                  ? (c < 64318
                    ? (c >= 64312 && c <= 64316)
                    : c <= 64318)
                  : (c <= 64321 || (c < 64326
                    ? (c >= 64323 && c <= 64324)
                    : c <= 64433)))
                : (c <= 64605 || (c < 64914
                  ? (c < 64848
                    ? (c >= 64612 && c <= 64829)
                    : c <= 64911)
                  : (c <= 64967 || (c < 65024
                    ? (c >= 65008 && c <= 65017)
                    : c <= 65039)))))
              : (c <= 65071 || (c < 65145
                ? (c < 65137
                  ? (c < 65101
                    ? (c >= 65075 && c <= 65076)
                    : c <= 65103)
                  : (c <= 65137 || (c < 65143
                    ? c == 65139
                    : c <= 65143)))
                : (c <= 65145 || (c < 65151
                  ? (c < 65149
                    ? c == 65147
                    : c <= 65149)
                  : (c <= 65276 || (c < 65313
                    ? (c >= 65296 && c <= 65305)
                    : c <= 65338)))))))))
          : (c <= 65343 || (c < 66504
            ? (c < 65616
              ? (c < 65498
                ? (c < 65474
                  ? (c < 65382
                    ? (c >= 65345 && c <= 65370)
                    : c <= 65470)
                  : (c <= 65479 || (c < 65490
                    ? (c >= 65482 && c <= 65487)
                    : c <= 65495)))
                : (c <= 65500 || (c < 65576
                  ? (c < 65549
                    ? (c >= 65536 && c <= 65547)
                    : c <= 65574)
                  : (c <= 65594 || (c < 65599
                    ? (c >= 65596 && c <= 65597)
                    : c <= 65613)))))
              : (c <= 65629 || (c < 66272
                ? (c < 66045
                  ? (c < 65856
                    ? (c >= 65664 && c <= 65786)
                    : c <= 65908)
                  : (c <= 66045 || (c < 66208
                    ? (c >= 66176 && c <= 66204)
                    : c <= 66256)))
                : (c <= 66272 || (c < 66384
                  ? (c < 66349
                    ? (c >= 66304 && c <= 66335)
                    : c <= 66378)
                  : (c <= 66426 || (c < 66464
                    ? (c >= 66432 && c <= 66461)
                    : c <= 66499)))))))
            : (c <= 66511 || (c < 66967
              ? (c < 66816
                ? (c < 66720
                  ? (c < 66560
                    ? (c >= 66513 && c <= 66517)
                    : c <= 66717)
                  : (c <= 66729 || (c < 66776
                    ? (c >= 66736 && c <= 66771)
                    : c <= 66811)))
                : (c <= 66855 || (c < 66940
                  ? (c < 66928
                    ? (c >= 66864 && c <= 66915)
                    : c <= 66938)
                  : (c <= 66954 || (c < 66964
                    ? (c >= 66956 && c <= 66962)
                    : c <= 66965)))))
              : (c <= 66977 || (c < 67424
                ? (c < 67003
                  ? (c < 66995
                    ? (c >= 66979 && c <= 66993)
                    : c <= 67001)
                  : (c <= 67004 || (c < 67392
                    ? (c >= 67072 && c <= 67382)
                    : c <= 67413)))
                : (c <= 67431 || (c < 67506
                  ? (c < 67463
                    ? (c >= 67456 && c <= 67461)
                    : c <= 67504)
                  : (c <= 67514 || (c < 67592
                    ? (c >= 67584 && c <= 67589)
                    : c <= 67592)))))))))))
        : (c <= 67637 || (c < 69942
          ? (c < 68416
            ? (c < 68096
              ? (c < 67808
                ? (c < 67647
                  ? (c < 67644
                    ? (c >= 67639 && c <= 67640)
                    : c <= 67644)
                  : (c <= 67669 || (c < 67712
                    ? (c >= 67680 && c <= 67702)
                    : c <= 67742)))
                : (c <= 67826 || (c < 67872
                  ? (c < 67840
                    ? (c >= 67828 && c <= 67829)
                    : c <= 67861)
                  : (c <= 67897 || (c < 68030
                    ? (c >= 67968 && c <= 68023)
                    : c <= 68031)))))
              : (c <= 68099 || (c < 68159
                ? (c < 68117
                  ? (c < 68108
                    ? (c >= 68101 && c <= 68102)
                    : c <= 68115)
                  : (c <= 68119 || (c < 68152
                    ? (c >= 68121 && c <= 68149)
                    : c <= 68154)))
                : (c <= 68159 || (c < 68288
                  ? (c < 68224
                    ? (c >= 68192 && c <= 68220)
                    : c <= 68252)
                  : (c <= 68295 || (c < 68352
                    ? (c >= 68297 && c <= 68326)
                    : c <= 68405)))))))
            : (c <= 68437 || (c < 69415
              ? (c < 68864
                ? (c < 68608
                  ? (c < 68480
                    ? (c >= 68448 && c <= 68466)
                    : c <= 68497)
                  : (c <= 68680 || (c < 68800
                    ? (c >= 68736 && c <= 68786)
                    : c <= 68850)))
                : (c <= 68903 || (c < 69291
                  ? (c < 69248
                    ? (c >= 68912 && c <= 68921)
                    : c <= 69289)
                  : (c <= 69292 || (c < 69376
                    ? (c >= 69296 && c <= 69297)
                    : c <= 69404)))))
              : (c <= 69415 || (c < 69734
                ? (c < 69552
                  ? (c < 69488
                    ? (c >= 69424 && c <= 69456)
                    : c <= 69509)
                  : (c <= 69572 || (c < 69632
                    ? (c >= 69600 && c <= 69622)
                    : c <= 69702)))
                : (c <= 69749 || (c < 69840
                  ? (c < 69826
                    ? (c >= 69759 && c <= 69818)
                    : c <= 69826)
                  : (c <= 69864 || (c < 69888
                    ? (c >= 69872 && c <= 69881)
                    : c <= 69940)))))))))
          : (c <= 69951 || (c < 70453
            ? (c < 70280
              ? (c < 70094
                ? (c < 70006
                  ? (c < 69968
                    ? (c >= 69956 && c <= 69959)
                    : c <= 70003)
                  : (c <= 70006 || (c < 70089
                    ? (c >= 70016 && c <= 70084)
                    : c <= 70092)))
                : (c <= 70106 || (c < 70163
                  ? (c < 70144
                    ? c == 70108
                    : c <= 70161)
                  : (c <= 70199 || (c < 70272
                    ? c == 70206
                    : c <= 70278)))))
              : (c <= 70280 || (c < 70400
                ? (c < 70303
                  ? (c < 70287
                    ? (c >= 70282 && c <= 70285)
                    : c <= 70301)
                  : (c <= 70312 || (c < 70384
                    ? (c >= 70320 && c <= 70378)
                    : c <= 70393)))
                : (c <= 70403 || (c < 70419
                  ? (c < 70415
                    ? (c >= 70405 && c <= 70412)
                    : c <= 70416)
                  : (c <= 70440 || (c < 70450
                    ? (c >= 70442 && c <= 70448)
                    : c <= 70451)))))))
            : (c <= 70457 || (c < 70784
              ? (c < 70493
                ? (c < 70475
                  ? (c < 70471
                    ? (c >= 70459 && c <= 70468)
                    : c <= 70472)
                  : (c <= 70477 || (c < 70487
                    ? c == 70480
                    : c <= 70487)))
                : (c <= 70499 || (c < 70656
                  ? (c < 70512
                    ? (c >= 70502 && c <= 70508)
                    : c <= 70516)
                  : (c <= 70730 || (c < 70750
                    ? (c >= 70736 && c <= 70745)
                    : c <= 70753)))))
              : (c <= 70853 || (c < 71168
                ? (c < 71040
                  ? (c < 70864
                    ? c == 70855
                    : c <= 70873)
                  : (c <= 71093 || (c < 71128
                    ? (c >= 71096 && c <= 71104)
                    : c <= 71133)))
                : (c <= 71232 || (c < 71296
                  ? (c < 71248
                    ? c == 71236
                    : c <= 71257)
                  : (c <= 71352 || (c < 71424
                    ? (c >= 71360 && c <= 71369)
                    : c <= 71450)))))))))))))
      : (c <= 71467 || (c < 119973
        ? (c < 77824
          ? (c < 72760
            ? (c < 72016
              ? (c < 71945
                ? (c < 71680
                  ? (c < 71488
                    ? (c >= 71472 && c <= 71481)
                    : c <= 71494)
                  : (c <= 71738 || (c < 71935
                    ? (c >= 71840 && c <= 71913)
                    : c <= 71942)))
                : (c <= 71945 || (c < 71960
                  ? (c < 71957
                    ? (c >= 71948 && c <= 71955)
                    : c <= 71958)
                  : (c <= 71989 || (c < 71995
                    ? (c >= 71991 && c <= 71992)
                    : c <= 72003)))))
              : (c <= 72025 || (c < 72263
                ? (c < 72154
                  ? (c < 72106
                    ? (c >= 72096 && c <= 72103)
                    : c <= 72151)
                  : (c <= 72161 || (c < 72192
                    ? (c >= 72163 && c <= 72164)
                    : c <= 72254)))
                : (c <= 72263 || (c < 72368
                  ? (c < 72349
                    ? (c >= 72272 && c <= 72345)
                    : c <= 72349)
                  : (c <= 72440 || (c < 72714
                    ? (c >= 72704 && c <= 72712)
                    : c <= 72758)))))))
            : (c <= 72768 || (c < 73056
              ? (c < 72968
                ? (c < 72850
                  ? (c < 72818
                    ? (c >= 72784 && c <= 72793)
                    : c <= 72847)
                  : (c <= 72871 || (c < 72960
                    ? (c >= 72873 && c <= 72886)
                    : c <= 72966)))
                : (c <= 72969 || (c < 73020
                  ? (c < 73018
                    ? (c >= 72971 && c <= 73014)
                    : c <= 73018)
                  : (c <= 73021 || (c < 73040
                    ? (c >= 73023 && c <= 73031)
                    : c <= 73049)))))
              : (c <= 73061 || (c < 73440
                ? (c < 73104
                  ? (c < 73066
                    ? (c >= 73063 && c <= 73064)
                    : c <= 73102)
                  : (c <= 73105 || (c < 73120
                    ? (c >= 73107 && c <= 73112)
                    : c <= 73129)))
                : (c <= 73462 || (c < 74752
                  ? (c < 73728
                    ? c == 73648
                    : c <= 74649)
                  : (c <= 74862 || (c < 77712
                    ? (c >= 74880 && c <= 75075)
                    : c <= 77808)))))))))
          : (c <= 78894 || (c < 110576
            ? (c < 93027
              ? (c < 92864
                ? (c < 92736
                  ? (c < 92160
                    ? (c >= 82944 && c <= 83526)
                    : c <= 92728)
                  : (c <= 92766 || (c < 92784
                    ? (c >= 92768 && c <= 92777)
                    : c <= 92862)))
                : (c <= 92873 || (c < 92928
                  ? (c < 92912
                    ? (c >= 92880 && c <= 92909)
                    : c <= 92916)
                  : (c <= 92982 || (c < 93008
                    ? (c >= 92992 && c <= 92995)
                    : c <= 93017)))))
              : (c <= 93047 || (c < 94176
                ? (c < 93952
                  ? (c < 93760
                    ? (c >= 93053 && c <= 93071)
                    : c <= 93823)
                  : (c <= 94026 || (c < 94095
                    ? (c >= 94031 && c <= 94087)
                    : c <= 94111)))
                : (c <= 94177 || (c < 94208
                  ? (c < 94192
                    ? (c >= 94179 && c <= 94180)
                    : c <= 94193)
                  : (c <= 100343 || (c < 101632
                    ? (c >= 100352 && c <= 101589)
                    : c <= 101640)))))))
            : (c <= 110579 || (c < 118528
              ? (c < 110960
                ? (c < 110592
                  ? (c < 110589
                    ? (c >= 110581 && c <= 110587)
                    : c <= 110590)
                  : (c <= 110882 || (c < 110948
                    ? (c >= 110928 && c <= 110930)
                    : c <= 110951)))
                : (c <= 111355 || (c < 113792
                  ? (c < 113776
                    ? (c >= 113664 && c <= 113770)
                    : c <= 113788)
                  : (c <= 113800 || (c < 113821
                    ? (c >= 113808 && c <= 113817)
                    : c <= 113822)))))
              : (c <= 118573 || (c < 119210
                ? (c < 119149
                  ? (c < 119141
                    ? (c >= 118576 && c <= 118598)
                    : c <= 119145)
                  : (c <= 119154 || (c < 119173
                    ? (c >= 119163 && c <= 119170)
                    : c <= 119179)))
                : (c <= 119213 || (c < 119894
                  ? (c < 119808
                    ? (c >= 119362 && c <= 119364)
                    : c <= 119892)
                  : (c <= 119964 || (c < 119970
                    ? (c >= 119966 && c <= 119967)
                    : c <= 119970)))))))))))
        : (c <= 119974 || (c < 124912
          ? (c < 120746
            ? (c < 120134
              ? (c < 120071
                ? (c < 119995
                  ? (c < 119982
                    ? (c >= 119977 && c <= 119980)
                    : c <= 119993)
                  : (c <= 119995 || (c < 120005
                    ? (c >= 119997 && c <= 120003)
                    : c <= 120069)))
                : (c <= 120074 || (c < 120094
                  ? (c < 120086
                    ? (c >= 120077 && c <= 120084)
                    : c <= 120092)
                  : (c <= 120121 || (c < 120128
                    ? (c >= 120123 && c <= 120126)
                    : c <= 120132)))))
              : (c <= 120134 || (c < 120572
                ? (c < 120488
                  ? (c < 120146
                    ? (c >= 120138 && c <= 120144)
                    : c <= 120485)
                  : (c <= 120512 || (c < 120540
                    ? (c >= 120514 && c <= 120538)
                    : c <= 120570)))
                : (c <= 120596 || (c < 120656
                  ? (c < 120630
                    ? (c >= 120598 && c <= 120628)
                    : c <= 120654)
                  : (c <= 120686 || (c < 120714
                    ? (c >= 120688 && c <= 120712)
                    : c <= 120744)))))))
            : (c <= 120770 || (c < 122907
              ? (c < 121476
                ? (c < 121344
                  ? (c < 120782
                    ? (c >= 120772 && c <= 120779)
                    : c <= 120831)
                  : (c <= 121398 || (c < 121461
                    ? (c >= 121403 && c <= 121452)
                    : c <= 121461)))
                : (c <= 121476 || (c < 122624
                  ? (c < 121505
                    ? (c >= 121499 && c <= 121503)
                    : c <= 121519)
                  : (c <= 122654 || (c < 122888
                    ? (c >= 122880 && c <= 122886)
                    : c <= 122904)))))
              : (c <= 122913 || (c < 123214
                ? (c < 123136
                  ? (c < 122918
                    ? (c >= 122915 && c <= 122916)
                    : c <= 122922)
                  : (c <= 123180 || (c < 123200
                    ? (c >= 123184 && c <= 123197)
                    : c <= 123209)))
                : (c <= 123214 || (c < 124896
                  ? (c < 123584
                    ? (c >= 123536 && c <= 123566)
                    : c <= 123641)
                  : (c <= 124902 || (c < 124909
                    ? (c >= 124904 && c <= 124907)
                    : c <= 124910)))))))))
          : (c <= 124926 || (c < 126557
            ? (c < 126521
              ? (c < 126469
                ? (c < 125184
                  ? (c < 125136
                    ? (c >= 124928 && c <= 125124)
                    : c <= 125142)
                  : (c <= 125259 || (c < 126464
                    ? (c >= 125264 && c <= 125273)
                    : c <= 126467)))
                : (c <= 126495 || (c < 126503
                  ? (c < 126500
                    ? (c >= 126497 && c <= 126498)
                    : c <= 126500)
                  : (c <= 126503 || (c < 126516
                    ? (c >= 126505 && c <= 126514)
                    : c <= 126519)))))
              : (c <= 126521 || (c < 126541
                ? (c < 126535
                  ? (c < 126530
                    ? c == 126523
                    : c <= 126530)
                  : (c <= 126535 || (c < 126539
                    ? c == 126537
                    : c <= 126539)))
                : (c <= 126543 || (c < 126551
                  ? (c < 126548
                    ? (c >= 126545 && c <= 126546)
                    : c <= 126548)
                  : (c <= 126551 || (c < 126555
                    ? c == 126553
                    : c <= 126555)))))))
            : (c <= 126557 || (c < 126629
              ? (c < 126580
                ? (c < 126564
                  ? (c < 126561
                    ? c == 126559
                    : c <= 126562)
                  : (c <= 126564 || (c < 126572
                    ? (c >= 126567 && c <= 126570)
                    : c <= 126578)))
                : (c <= 126583 || (c < 126592
                  ? (c < 126590
                    ? (c >= 126585 && c <= 126588)
                    : c <= 126590)
                  : (c <= 126601 || (c < 126625
                    ? (c >= 126603 && c <= 126619)
                    : c <= 126627)))))
              : (c <= 126633 || (c < 178208
                ? (c < 131072
                  ? (c < 130032
                    ? (c >= 126635 && c <= 126651)
                    : c <= 130041)
                  : (c <= 173791 || (c < 177984
                    ? (c >= 173824 && c <= 177976)
                    : c <= 178205)))
                : (c <= 183969 || (c < 196608
                  ? (c < 194560
                    ? (c >= 183984 && c <= 191456)
                    : c <= 195101)
                  : (c <= 201546 || (c >= 917760 && c <= 917999)))))))))))))))));
}

static inline bool sym_identifier_character_set_16(int32_t c) {
  return (c < 43600
    ? (c < 3751
      ? (c < 2730
        ? (c < 1869
          ? (c < 908
            ? (c < 192
              ? (c < 'j'
                ? (c < 'A'
                  ? (c < '0'
                    ? c == '$'
                    : c <= '9')
                  : (c <= 'Z' || (c < 'a'
                    ? c == '_'
                    : c <= 'h')))
                : (c <= 'r' || (c < 181
                  ? (c < 170
                    ? (c >= 't' && c <= 'z')
                    : c <= 170)
                  : (c <= 181 || (c < 186
                    ? c == 183
                    : c <= 186)))))
              : (c <= 214 || (c < 750
                ? (c < 710
                  ? (c < 248
                    ? (c >= 216 && c <= 246)
                    : c <= 705)
                  : (c <= 721 || (c < 748
                    ? (c >= 736 && c <= 740)
                    : c <= 748)))
                : (c <= 750 || (c < 891
                  ? (c < 886
                    ? (c >= 768 && c <= 884)
                    : c <= 887)
                  : (c <= 893 || (c < 902
                    ? c == 895
                    : c <= 906)))))))
            : (c <= 908 || (c < 1476
              ? (c < 1329
                ? (c < 1015
                  ? (c < 931
                    ? (c >= 910 && c <= 929)
                    : c <= 1013)
                  : (c <= 1153 || (c < 1162
                    ? (c >= 1155 && c <= 1159)
                    : c <= 1327)))
                : (c <= 1366 || (c < 1425
                  ? (c < 1376
                    ? c == 1369
                    : c <= 1416)
                  : (c <= 1469 || (c < 1473
                    ? c == 1471
                    : c <= 1474)))))
              : (c <= 1477 || (c < 1646
                ? (c < 1519
                  ? (c < 1488
                    ? c == 1479
                    : c <= 1514)
                  : (c <= 1522 || (c < 1568
                    ? (c >= 1552 && c <= 1562)
                    : c <= 1641)))
                : (c <= 1747 || (c < 1770
                  ? (c < 1759
                    ? (c >= 1749 && c <= 1756)
                    : c <= 1768)
                  : (c <= 1788 || (c < 1808
                    ? c == 1791
                    : c <= 1866)))))))))
          : (c <= 1969 || (c < 2527
            ? (c < 2417
              ? (c < 2144
                ? (c < 2045
                  ? (c < 2042
                    ? (c >= 1984 && c <= 2037)
                    : c <= 2042)
                  : (c <= 2045 || (c < 2112
                    ? (c >= 2048 && c <= 2093)
                    : c <= 2139)))
                : (c <= 2154 || (c < 2200
                  ? (c < 2185
                    ? (c >= 2160 && c <= 2183)
                    : c <= 2190)
                  : (c <= 2273 || (c < 2406
                    ? (c >= 2275 && c <= 2403)
                    : c <= 2415)))))
              : (c <= 2435 || (c < 2486
                ? (c < 2451
                  ? (c < 2447
                    ? (c >= 2437 && c <= 2444)
                    : c <= 2448)
                  : (c <= 2472 || (c < 2482
                    ? (c >= 2474 && c <= 2480)
                    : c <= 2482)))
                : (c <= 2489 || (c < 2507
                  ? (c < 2503
                    ? (c >= 2492 && c <= 2500)
                    : c <= 2504)
                  : (c <= 2510 || (c < 2524
                    ? c == 2519
                    : c <= 2525)))))))
            : (c <= 2531 || (c < 2620
              ? (c < 2575
                ? (c < 2558
                  ? (c < 2556
                    ? (c >= 2534 && c <= 2545)
                    : c <= 2556)
                  : (c <= 2558 || (c < 2565
                    ? (c >= 2561 && c <= 2563)
                    : c <= 2570)))
                : (c <= 2576 || (c < 2610
                  ? (c < 2602
                    ? (c >= 2579 && c <= 2600)
                    : c <= 2608)
                  : (c <= 2611 || (c < 2616
                    ? (c >= 2613 && c <= 2614)
                    : c <= 2617)))))
              : (c <= 2620 || (c < 2654
                ? (c < 2635
                  ? (c < 2631
                    ? (c >= 2622 && c <= 2626)
                    : c <= 2632)
                  : (c <= 2637 || (c < 2649
                    ? c == 2641
                    : c <= 2652)))
                : (c <= 2654 || (c < 2693
                  ? (c < 2689
                    ? (c >= 2662 && c <= 2677)
                    : c <= 2691)
                  : (c <= 2701 || (c < 2707
                    ? (c >= 2703 && c <= 2705)
                    : c <= 2728)))))))))))
        : (c <= 2736 || (c < 3157
          ? (c < 2929
            ? (c < 2831
              ? (c < 2768
                ? (c < 2748
                  ? (c < 2741
                    ? (c >= 2738 && c <= 2739)
                    : c <= 2745)
                  : (c <= 2757 || (c < 2763
                    ? (c >= 2759 && c <= 2761)
                    : c <= 2765)))
                : (c <= 2768 || (c < 2809
                  ? (c < 2790
                    ? (c >= 2784 && c <= 2787)
                    : c <= 2799)
                  : (c <= 2815 || (c < 2821
                    ? (c >= 2817 && c <= 2819)
                    : c <= 2828)))))
              : (c <= 2832 || (c < 2887
                ? (c < 2866
                  ? (c < 2858
                    ? (c >= 2835 && c <= 2856)
                    : c <= 2864)
                  : (c <= 2867 || (c < 2876
                    ? (c >= 2869 && c <= 2873)
                    : c <= 2884)))
                : (c <= 2888 || (c < 2908
                  ? (c < 2901
                    ? (c >= 2891 && c <= 2893)
                    : c <= 2903)
                  : (c <= 2909 || (c < 2918
                    ? (c >= 2911 && c <= 2915)
                    : c <= 2927)))))))
            : (c <= 2929 || (c < 3014
              ? (c < 2972
                ? (c < 2958
                  ? (c < 2949
                    ? (c >= 2946 && c <= 2947)
                    : c <= 2954)
                  : (c <= 2960 || (c < 2969
                    ? (c >= 2962 && c <= 2965)
                    : c <= 2970)))
                : (c <= 2972 || (c < 2984
                  ? (c < 2979
                    ? (c >= 2974 && c <= 2975)
                    : c <= 2980)
                  : (c <= 2986 || (c < 3006
                    ? (c >= 2990 && c <= 3001)
                    : c <= 3010)))))
              : (c <= 3016 || (c < 3086
                ? (c < 3031
                  ? (c < 3024
                    ? (c >= 3018 && c <= 3021)
                    : c <= 3024)
                  : (c <= 3031 || (c < 3072
                    ? (c >= 3046 && c <= 3055)
                    : c <= 3084)))
                : (c <= 3088 || (c < 3132
                  ? (c < 3114
                    ? (c >= 3090 && c <= 3112)
                    : c <= 3129)
                  : (c <= 3140 || (c < 3146
                    ? (c >= 3142 && c <= 3144)
                    : c <= 3149)))))))))
          : (c <= 3158 || (c < 3412
            ? (c < 3270
              ? (c < 3205
                ? (c < 3168
                  ? (c < 3165
                    ? (c >= 3160 && c <= 3162)
                    : c <= 3165)
                  : (c <= 3171 || (c < 3200
                    ? (c >= 3174 && c <= 3183)
                    : c <= 3203)))
                : (c <= 3212 || (c < 3242
                  ? (c < 3218
                    ? (c >= 3214 && c <= 3216)
                    : c <= 3240)
                  : (c <= 3251 || (c < 3260
                    ? (c >= 3253 && c <= 3257)
                    : c <= 3268)))))
              : (c <= 3272 || (c < 3313
                ? (c < 3293
                  ? (c < 3285
                    ? (c >= 3274 && c <= 3277)
                    : c <= 3286)
                  : (c <= 3294 || (c < 3302
                    ? (c >= 3296 && c <= 3299)
                    : c <= 3311)))
                : (c <= 3314 || (c < 3346
                  ? (c < 3342
                    ? (c >= 3328 && c <= 3340)
                    : c <= 3344)
                  : (c <= 3396 || (c < 3402
                    ? (c >= 3398 && c <= 3400)
                    : c <= 3406)))))))
            : (c <= 3415 || (c < 3542
              ? (c < 3482
                ? (c < 3450
                  ? (c < 3430
                    ? (c >= 3423 && c <= 3427)
                    : c <= 3439)
                  : (c <= 3455 || (c < 3461
                    ? (c >= 3457 && c <= 3459)
                    : c <= 3478)))
                : (c <= 3505 || (c < 3520
                  ? (c < 3517
                    ? (c >= 3507 && c <= 3515)
                    : c <= 3517)
                  : (c <= 3526 || (c < 3535
                    ? c == 3530
                    : c <= 3540)))))
              : (c <= 3542 || (c < 3664
                ? (c < 3570
                  ? (c < 3558
                    ? (c >= 3544 && c <= 3551)
                    : c <= 3567)
                  : (c <= 3571 || (c < 3648
                    ? (c >= 3585 && c <= 3642)
                    : c <= 3662)))
                : (c <= 3673 || (c < 3718
                  ? (c < 3716
                    ? (c >= 3713 && c <= 3714)
                    : c <= 3716)
                  : (c <= 3722 || (c < 3749
                    ? (c >= 3724 && c <= 3747)
                    : c <= 3749)))))))))))))
      : (c <= 3773 || (c < 8008
        ? (c < 5792
          ? (c < 4348
            ? (c < 3902
              ? (c < 3840
                ? (c < 3784
                  ? (c < 3782
                    ? (c >= 3776 && c <= 3780)
                    : c <= 3782)
                  : (c <= 3789 || (c < 3804
                    ? (c >= 3792 && c <= 3801)
                    : c <= 3807)))
                : (c <= 3840 || (c < 3893
                  ? (c < 3872
                    ? (c >= 3864 && c <= 3865)
                    : c <= 3881)
                  : (c <= 3893 || (c < 3897
                    ? c == 3895
                    : c <= 3897)))))
              : (c <= 3911 || (c < 4096
                ? (c < 3974
                  ? (c < 3953
                    ? (c >= 3913 && c <= 3948)
                    : c <= 3972)
                  : (c <= 3991 || (c < 4038
                    ? (c >= 3993 && c <= 4028)
                    : c <= 4038)))
                : (c <= 4169 || (c < 4295
                  ? (c < 4256
                    ? (c >= 4176 && c <= 4253)
                    : c <= 4293)
                  : (c <= 4295 || (c < 4304
                    ? c == 4301
                    : c <= 4346)))))))
            : (c <= 4680 || (c < 4808
              ? (c < 4746
                ? (c < 4696
                  ? (c < 4688
                    ? (c >= 4682 && c <= 4685)
                    : c <= 4694)
                  : (c <= 4696 || (c < 4704
                    ? (c >= 4698 && c <= 4701)
                    : c <= 4744)))
                : (c <= 4749 || (c < 4792
                  ? (c < 4786
                    ? (c >= 4752 && c <= 4784)
                    : c <= 4789)
                  : (c <= 4798 || (c < 4802
                    ? c == 4800
                    : c <= 4805)))))
              : (c <= 4822 || (c < 4992
                ? (c < 4888
                  ? (c < 4882
                    ? (c >= 4824 && c <= 4880)
                    : c <= 4885)
                  : (c <= 4954 || (c < 4969
                    ? (c >= 4957 && c <= 4959)
                    : c <= 4977)))
                : (c <= 5007 || (c < 5121
                  ? (c < 5112
                    ? (c >= 5024 && c <= 5109)
                    : c <= 5117)
                  : (c <= 5740 || (c < 5761
                    ? (c >= 5743 && c <= 5759)
                    : c <= 5786)))))))))
          : (c <= 5866 || (c < 6608
            ? (c < 6155
              ? (c < 5998
                ? (c < 5919
                  ? (c < 5888
                    ? (c >= 5870 && c <= 5880)
                    : c <= 5909)
                  : (c <= 5940 || (c < 5984
                    ? (c >= 5952 && c <= 5971)
                    : c <= 5996)))
                : (c <= 6000 || (c < 6103
                  ? (c < 6016
                    ? (c >= 6002 && c <= 6003)
                    : c <= 6099)
                  : (c <= 6103 || (c < 6112
                    ? (c >= 6108 && c <= 6109)
                    : c <= 6121)))))
              : (c <= 6157 || (c < 6432
                ? (c < 6272
                  ? (c < 6176
                    ? (c >= 6159 && c <= 6169)
                    : c <= 6264)
                  : (c <= 6314 || (c < 6400
                    ? (c >= 6320 && c <= 6389)
                    : c <= 6430)))
                : (c <= 6443 || (c < 6512
                  ? (c < 6470
                    ? (c >= 6448 && c <= 6459)
                    : c <= 6509)
                  : (c <= 6516 || (c < 6576
                    ? (c >= 6528 && c <= 6571)
                    : c <= 6601)))))))
            : (c <= 6618 || (c < 7040
              ? (c < 6823
                ? (c < 6752
                  ? (c < 6688
                    ? (c >= 6656 && c <= 6683)
                    : c <= 6750)
                  : (c <= 6780 || (c < 6800
                    ? (c >= 6783 && c <= 6793)
                    : c <= 6809)))
                : (c <= 6823 || (c < 6912
                  ? (c < 6847
                    ? (c >= 6832 && c <= 6845)
                    : c <= 6862)
                  : (c <= 6988 || (c < 7019
                    ? (c >= 6992 && c <= 7001)
                    : c <= 7027)))))
              : (c <= 7155 || (c < 7357
                ? (c < 7245
                  ? (c < 7232
                    ? (c >= 7168 && c <= 7223)
                    : c <= 7241)
                  : (c <= 7293 || (c < 7312
                    ? (c >= 7296 && c <= 7304)
                    : c <= 7354)))
                : (c <= 7359 || (c < 7424
                  ? (c < 7380
                    ? (c >= 7376 && c <= 7378)
                    : c <= 7418)
                  : (c <= 7957 || (c < 7968
                    ? (c >= 7960 && c <= 7965)
                    : c <= 8005)))))))))))
        : (c <= 8013 || (c < 11704
          ? (c < 8450
            ? (c < 8150
              ? (c < 8064
                ? (c < 8027
                  ? (c < 8025
                    ? (c >= 8016 && c <= 8023)
                    : c <= 8025)
                  : (c <= 8027 || (c < 8031
                    ? c == 8029
                    : c <= 8061)))
                : (c <= 8116 || (c < 8130
                  ? (c < 8126
                    ? (c >= 8118 && c <= 8124)
                    : c <= 8126)
                  : (c <= 8132 || (c < 8144
                    ? (c >= 8134 && c <= 8140)
                    : c <= 8147)))))
              : (c <= 8155 || (c < 8305
                ? (c < 8182
                  ? (c < 8178
                    ? (c >= 8160 && c <= 8172)
                    : c <= 8180)
                  : (c <= 8188 || (c < 8276
                    ? (c >= 8255 && c <= 8256)
                    : c <= 8276)))
                : (c <= 8305 || (c < 8400
                  ? (c < 8336
                    ? c == 8319
                    : c <= 8348)
                  : (c <= 8412 || (c < 8421
                    ? c == 8417
                    : c <= 8432)))))))
            : (c <= 8450 || (c < 8544
              ? (c < 8486
                ? (c < 8469
                  ? (c < 8458
                    ? c == 8455
                    : c <= 8467)
                  : (c <= 8469 || (c < 8484
                    ? (c >= 8472 && c <= 8477)
                    : c <= 8484)))
                : (c <= 8486 || (c < 8508
                  ? (c < 8490
                    ? c == 8488
                    : c <= 8505)
                  : (c <= 8511 || (c < 8526
                    ? (c >= 8517 && c <= 8521)
                    : c <= 8526)))))
              : (c <= 8584 || (c < 11568
                ? (c < 11520
                  ? (c < 11499
                    ? (c >= 11264 && c <= 11492)
                    : c <= 11507)
                  : (c <= 11557 || (c < 11565
                    ? c == 11559
                    : c <= 11565)))
                : (c <= 11623 || (c < 11680
                  ? (c < 11647
                    ? c == 11631
                    : c <= 11670)
                  : (c <= 11686 || (c < 11696
                    ? (c >= 11688 && c <= 11694)
                    : c <= 11702)))))))))
          : (c <= 11710 || (c < 42560
            ? (c < 12445
              ? (c < 12293
                ? (c < 11728
                  ? (c < 11720
                    ? (c >= 11712 && c <= 11718)
                    : c <= 11726)
                  : (c <= 11734 || (c < 11744
                    ? (c >= 11736 && c <= 11742)
                    : c <= 11775)))
                : (c <= 12295 || (c < 12344
                  ? (c < 12337
                    ? (c >= 12321 && c <= 12335)
                    : c <= 12341)
                  : (c <= 12348 || (c < 12441
                    ? (c >= 12353 && c <= 12438)
                    : c <= 12442)))))
              : (c <= 12447 || (c < 12784
                ? (c < 12549
                  ? (c < 12540
                    ? (c >= 12449 && c <= 12538)
                    : c <= 12543)
                  : (c <= 12591 || (c < 12704
                    ? (c >= 12593 && c <= 12686)
                    : c <= 12735)))
                : (c <= 12799 || (c < 42192
                  ? (c < 19968
                    ? (c >= 13312 && c <= 19903)
                    : c <= 42124)
                  : (c <= 42237 || (c < 42512
                    ? (c >= 42240 && c <= 42508)
                    : c <= 42539)))))))
            : (c <= 42607 || (c < 43136
              ? (c < 42960
                ? (c < 42775
                  ? (c < 42623
                    ? (c >= 42612 && c <= 42621)
                    : c <= 42737)
                  : (c <= 42783 || (c < 42891
                    ? (c >= 42786 && c <= 42888)
                    : c <= 42954)))
                : (c <= 42961 || (c < 42994
                  ? (c < 42965
                    ? c == 42963
                    : c <= 42969)
                  : (c <= 43047 || (c < 43072
                    ? c == 43052
                    : c <= 43123)))))
              : (c <= 43205 || (c < 43360
                ? (c < 43259
                  ? (c < 43232
                    ? (c >= 43216 && c <= 43225)
                    : c <= 43255)
                  : (c <= 43259 || (c < 43312
                    ? (c >= 43261 && c <= 43309)
                    : c <= 43347)))
                : (c <= 43388 || (c < 43488
                  ? (c < 43471
                    ? (c >= 43392 && c <= 43456)
                    : c <= 43481)
                  : (c <= 43518 || (c < 43584
                    ? (c >= 43520 && c <= 43574)
                    : c <= 43597)))))))))))))))
    : (c <= 43609 || (c < 71453
      ? (c < 67594
        ? (c < 65343
          ? (c < 64298
            ? (c < 43868
              ? (c < 43777
                ? (c < 43739
                  ? (c < 43642
                    ? (c >= 43616 && c <= 43638)
                    : c <= 43714)
                  : (c <= 43741 || (c < 43762
                    ? (c >= 43744 && c <= 43759)
                    : c <= 43766)))
                : (c <= 43782 || (c < 43808
                  ? (c < 43793
                    ? (c >= 43785 && c <= 43790)
                    : c <= 43798)
                  : (c <= 43814 || (c < 43824
                    ? (c >= 43816 && c <= 43822)
                    : c <= 43866)))))
              : (c <= 43881 || (c < 55243
                ? (c < 44016
                  ? (c < 44012
                    ? (c >= 43888 && c <= 44010)
                    : c <= 44013)
                  : (c <= 44025 || (c < 55216
                    ? (c >= 44032 && c <= 55203)
                    : c <= 55238)))
                : (c <= 55291 || (c < 64256
                  ? (c < 64112
                    ? (c >= 63744 && c <= 64109)
                    : c <= 64217)
                  : (c <= 64262 || (c < 64285
                    ? (c >= 64275 && c <= 64279)
                    : c <= 64296)))))))
            : (c <= 64310 || (c < 65056
              ? (c < 64467
                ? (c < 64320
                  ? (c < 64318
                    ? (c >= 64312 && c <= 64316)
                    : c <= 64318)
                  : (c <= 64321 || (c < 64326
                    ? (c >= 64323 && c <= 64324)
                    : c <= 64433)))
                : (c <= 64605 || (c < 64914
                  ? (c < 64848
                    ? (c >= 64612 && c <= 64829)
                    : c <= 64911)
                  : (c <= 64967 || (c < 65024
                    ? (c >= 65008 && c <= 65017)
                    : c <= 65039)))))
              : (c <= 65071 || (c < 65145
                ? (c < 65137
                  ? (c < 65101
                    ? (c >= 65075 && c <= 65076)
                    : c <= 65103)
                  : (c <= 65137 || (c < 65143
                    ? c == 65139
                    : c <= 65143)))
                : (c <= 65145 || (c < 65151
                  ? (c < 65149
                    ? c == 65147
                    : c <= 65149)
                  : (c <= 65276 || (c < 65313
                    ? (c >= 65296 && c <= 65305)
                    : c <= 65338)))))))))
          : (c <= 65343 || (c < 66504
            ? (c < 65616
              ? (c < 65498
                ? (c < 65474
                  ? (c < 65382
                    ? (c >= 65345 && c <= 65370)
                    : c <= 65470)
                  : (c <= 65479 || (c < 65490
                    ? (c >= 65482 && c <= 65487)
                    : c <= 65495)))
                : (c <= 65500 || (c < 65576
                  ? (c < 65549
                    ? (c >= 65536 && c <= 65547)
                    : c <= 65574)
                  : (c <= 65594 || (c < 65599
                    ? (c >= 65596 && c <= 65597)
                    : c <= 65613)))))
              : (c <= 65629 || (c < 66272
                ? (c < 66045
                  ? (c < 65856
                    ? (c >= 65664 && c <= 65786)
                    : c <= 65908)
                  : (c <= 66045 || (c < 66208
                    ? (c >= 66176 && c <= 66204)
                    : c <= 66256)))
                : (c <= 66272 || (c < 66384
                  ? (c < 66349
                    ? (c >= 66304 && c <= 66335)
                    : c <= 66378)
                  : (c <= 66426 || (c < 66464
                    ? (c >= 66432 && c <= 66461)
                    : c <= 66499)))))))
            : (c <= 66511 || (c < 66967
              ? (c < 66816
                ? (c < 66720
                  ? (c < 66560
                    ? (c >= 66513 && c <= 66517)
                    : c <= 66717)
                  : (c <= 66729 || (c < 66776
                    ? (c >= 66736 && c <= 66771)
                    : c <= 66811)))
                : (c <= 66855 || (c < 66940
                  ? (c < 66928
                    ? (c >= 66864 && c <= 66915)
                    : c <= 66938)
                  : (c <= 66954 || (c < 66964
                    ? (c >= 66956 && c <= 66962)
                    : c <= 66965)))))
              : (c <= 66977 || (c < 67424
                ? (c < 67003
                  ? (c < 66995
                    ? (c >= 66979 && c <= 66993)
                    : c <= 67001)
                  : (c <= 67004 || (c < 67392
                    ? (c >= 67072 && c <= 67382)
                    : c <= 67413)))
                : (c <= 67431 || (c < 67506
                  ? (c < 67463
                    ? (c >= 67456 && c <= 67461)
                    : c <= 67504)
                  : (c <= 67514 || (c < 67592
                    ? (c >= 67584 && c <= 67589)
                    : c <= 67592)))))))))))
        : (c <= 67637 || (c < 69942
          ? (c < 68416
            ? (c < 68096
              ? (c < 67808
                ? (c < 67647
                  ? (c < 67644
                    ? (c >= 67639 && c <= 67640)
                    : c <= 67644)
                  : (c <= 67669 || (c < 67712
                    ? (c >= 67680 && c <= 67702)
                    : c <= 67742)))
                : (c <= 67826 || (c < 67872
                  ? (c < 67840
                    ? (c >= 67828 && c <= 67829)
                    : c <= 67861)
                  : (c <= 67897 || (c < 68030
                    ? (c >= 67968 && c <= 68023)
                    : c <= 68031)))))
              : (c <= 68099 || (c < 68159
                ? (c < 68117
                  ? (c < 68108
                    ? (c >= 68101 && c <= 68102)
                    : c <= 68115)
                  : (c <= 68119 || (c < 68152
                    ? (c >= 68121 && c <= 68149)
                    : c <= 68154)))
                : (c <= 68159 || (c < 68288
                  ? (c < 68224
                    ? (c >= 68192 && c <= 68220)
                    : c <= 68252)
                  : (c <= 68295 || (c < 68352
                    ? (c >= 68297 && c <= 68326)
                    : c <= 68405)))))))
            : (c <= 68437 || (c < 69415
              ? (c < 68864
                ? (c < 68608
                  ? (c < 68480
                    ? (c >= 68448 && c <= 68466)
                    : c <= 68497)
                  : (c <= 68680 || (c < 68800
                    ? (c >= 68736 && c <= 68786)
                    : c <= 68850)))
                : (c <= 68903 || (c < 69291
                  ? (c < 69248
                    ? (c >= 68912 && c <= 68921)
                    : c <= 69289)
                  : (c <= 69292 || (c < 69376
                    ? (c >= 69296 && c <= 69297)
                    : c <= 69404)))))
              : (c <= 69415 || (c < 69734
                ? (c < 69552
                  ? (c < 69488
                    ? (c >= 69424 && c <= 69456)
                    : c <= 69509)
                  : (c <= 69572 || (c < 69632
                    ? (c >= 69600 && c <= 69622)
                    : c <= 69702)))
                : (c <= 69749 || (c < 69840
                  ? (c < 69826
                    ? (c >= 69759 && c <= 69818)
                    : c <= 69826)
                  : (c <= 69864 || (c < 69888
                    ? (c >= 69872 && c <= 69881)
                    : c <= 69940)))))))))
          : (c <= 69951 || (c < 70453
            ? (c < 70280
              ? (c < 70094
                ? (c < 70006
                  ? (c < 69968
                    ? (c >= 69956 && c <= 69959)
                    : c <= 70003)
                  : (c <= 70006 || (c < 70089
                    ? (c >= 70016 && c <= 70084)
                    : c <= 70092)))
                : (c <= 70106 || (c < 70163
                  ? (c < 70144
                    ? c == 70108
                    : c <= 70161)
                  : (c <= 70199 || (c < 70272
                    ? c == 70206
                    : c <= 70278)))))
              : (c <= 70280 || (c < 70400
                ? (c < 70303
                  ? (c < 70287
                    ? (c >= 70282 && c <= 70285)
                    : c <= 70301)
                  : (c <= 70312 || (c < 70384
                    ? (c >= 70320 && c <= 70378)
                    : c <= 70393)))
                : (c <= 70403 || (c < 70419
                  ? (c < 70415
                    ? (c >= 70405 && c <= 70412)
                    : c <= 70416)
                  : (c <= 70440 || (c < 70450
                    ? (c >= 70442 && c <= 70448)
                    : c <= 70451)))))))
            : (c <= 70457 || (c < 70784
              ? (c < 70493
                ? (c < 70475
                  ? (c < 70471
                    ? (c >= 70459 && c <= 70468)
                    : c <= 70472)
                  : (c <= 70477 || (c < 70487
                    ? c == 70480
                    : c <= 70487)))
                : (c <= 70499 || (c < 70656
                  ? (c < 70512
                    ? (c >= 70502 && c <= 70508)
                    : c <= 70516)
                  : (c <= 70730 || (c < 70750
                    ? (c >= 70736 && c <= 70745)
                    : c <= 70753)))))
              : (c <= 70853 || (c < 71168
                ? (c < 71040
                  ? (c < 70864
                    ? c == 70855
                    : c <= 70873)
                  : (c <= 71093 || (c < 71128
                    ? (c >= 71096 && c <= 71104)
                    : c <= 71133)))
                : (c <= 71232 || (c < 71296
                  ? (c < 71248
                    ? c == 71236
                    : c <= 71257)
                  : (c <= 71352 || (c < 71424
                    ? (c >= 71360 && c <= 71369)
                    : c <= 71450)))))))))))))
      : (c <= 71467 || (c < 119973
        ? (c < 77824
          ? (c < 72760
            ? (c < 72016
              ? (c < 71945
                ? (c < 71680
                  ? (c < 71488
                    ? (c >= 71472 && c <= 71481)
                    : c <= 71494)
                  : (c <= 71738 || (c < 71935
                    ? (c >= 71840 && c <= 71913)
                    : c <= 71942)))
                : (c <= 71945 || (c < 71960
                  ? (c < 71957
                    ? (c >= 71948 && c <= 71955)
                    : c <= 71958)
                  : (c <= 71989 || (c < 71995
                    ? (c >= 71991 && c <= 71992)
                    : c <= 72003)))))
              : (c <= 72025 || (c < 72263
                ? (c < 72154
                  ? (c < 72106
                    ? (c >= 72096 && c <= 72103)
                    : c <= 72151)
                  : (c <= 72161 || (c < 72192
                    ? (c >= 72163 && c <= 72164)
                    : c <= 72254)))
                : (c <= 72263 || (c < 72368
                  ? (c < 72349
                    ? (c >= 72272 && c <= 72345)
                    : c <= 72349)
                  : (c <= 72440 || (c < 72714
                    ? (c >= 72704 && c <= 72712)
                    : c <= 72758)))))))
            : (c <= 72768 || (c < 73056
              ? (c < 72968
                ? (c < 72850
                  ? (c < 72818
                    ? (c >= 72784 && c <= 72793)
                    : c <= 72847)
                  : (c <= 72871 || (c < 72960
                    ? (c >= 72873 && c <= 72886)
                    : c <= 72966)))
                : (c <= 72969 || (c < 73020
                  ? (c < 73018
                    ? (c >= 72971 && c <= 73014)
                    : c <= 73018)
                  : (c <= 73021 || (c < 73040
                    ? (c >= 73023 && c <= 73031)
                    : c <= 73049)))))
              : (c <= 73061 || (c < 73440
                ? (c < 73104
                  ? (c < 73066
                    ? (c >= 73063 && c <= 73064)
                    : c <= 73102)
                  : (c <= 73105 || (c < 73120
                    ? (c >= 73107 && c <= 73112)
                    : c <= 73129)))
                : (c <= 73462 || (c < 74752
                  ? (c < 73728
                    ? c == 73648
                    : c <= 74649)
                  : (c <= 74862 || (c < 77712
                    ? (c >= 74880 && c <= 75075)
                    : c <= 77808)))))))))
          : (c <= 78894 || (c < 110576
            ? (c < 93027
              ? (c < 92864
                ? (c < 92736
                  ? (c < 92160
                    ? (c >= 82944 && c <= 83526)
                    : c <= 92728)
                  : (c <= 92766 || (c < 92784
                    ? (c >= 92768 && c <= 92777)
                    : c <= 92862)))
                : (c <= 92873 || (c < 92928
                  ? (c < 92912
                    ? (c >= 92880 && c <= 92909)
                    : c <= 92916)
                  : (c <= 92982 || (c < 93008
                    ? (c >= 92992 && c <= 92995)
                    : c <= 93017)))))
              : (c <= 93047 || (c < 94176
                ? (c < 93952
                  ? (c < 93760
                    ? (c >= 93053 && c <= 93071)
                    : c <= 93823)
                  : (c <= 94026 || (c < 94095
                    ? (c >= 94031 && c <= 94087)
                    : c <= 94111)))
                : (c <= 94177 || (c < 94208
                  ? (c < 94192
                    ? (c >= 94179 && c <= 94180)
                    : c <= 94193)
                  : (c <= 100343 || (c < 101632
                    ? (c >= 100352 && c <= 101589)
                    : c <= 101640)))))))
            : (c <= 110579 || (c < 118528
              ? (c < 110960
                ? (c < 110592
                  ? (c < 110589
                    ? (c >= 110581 && c <= 110587)
                    : c <= 110590)
                  : (c <= 110882 || (c < 110948
                    ? (c >= 110928 && c <= 110930)
                    : c <= 110951)))
                : (c <= 111355 || (c < 113792
                  ? (c < 113776
                    ? (c >= 113664 && c <= 113770)
                    : c <= 113788)
                  : (c <= 113800 || (c < 113821
                    ? (c >= 113808 && c <= 113817)
                    : c <= 113822)))))
              : (c <= 118573 || (c < 119210
                ? (c < 119149
                  ? (c < 119141
                    ? (c >= 118576 && c <= 118598)
                    : c <= 119145)
                  : (c <= 119154 || (c < 119173
                    ? (c >= 119163 && c <= 119170)
                    : c <= 119179)))
                : (c <= 119213 || (c < 119894
                  ? (c < 119808
                    ? (c >= 119362 && c <= 119364)
                    : c <= 119892)
                  : (c <= 119964 || (c < 119970
                    ? (c >= 119966 && c <= 119967)
                    : c <= 119970)))))))))))
        : (c <= 119974 || (c < 124912
          ? (c < 120746
            ? (c < 120134
              ? (c < 120071
                ? (c < 119995
                  ? (c < 119982
                    ? (c >= 119977 && c <= 119980)
                    : c <= 119993)
                  : (c <= 119995 || (c < 120005
                    ? (c >= 119997 && c <= 120003)
                    : c <= 120069)))
                : (c <= 120074 || (c < 120094
                  ? (c < 120086
                    ? (c >= 120077 && c <= 120084)
                    : c <= 120092)
                  : (c <= 120121 || (c < 120128
                    ? (c >= 120123 && c <= 120126)
                    : c <= 120132)))))
              : (c <= 120134 || (c < 120572
                ? (c < 120488
                  ? (c < 120146
                    ? (c >= 120138 && c <= 120144)
                    : c <= 120485)
                  : (c <= 120512 || (c < 120540
                    ? (c >= 120514 && c <= 120538)
                    : c <= 120570)))
                : (c <= 120596 || (c < 120656
                  ? (c < 120630
                    ? (c >= 120598 && c <= 120628)
                    : c <= 120654)
                  : (c <= 120686 || (c < 120714
                    ? (c >= 120688 && c <= 120712)
                    : c <= 120744)))))))
            : (c <= 120770 || (c < 122907
              ? (c < 121476
                ? (c < 121344
                  ? (c < 120782
                    ? (c >= 120772 && c <= 120779)
                    : c <= 120831)
                  : (c <= 121398 || (c < 121461
                    ? (c >= 121403 && c <= 121452)
                    : c <= 121461)))
                : (c <= 121476 || (c < 122624
                  ? (c < 121505
                    ? (c >= 121499 && c <= 121503)
                    : c <= 121519)
                  : (c <= 122654 || (c < 122888
                    ? (c >= 122880 && c <= 122886)
                    : c <= 122904)))))
              : (c <= 122913 || (c < 123214
                ? (c < 123136
                  ? (c < 122918
                    ? (c >= 122915 && c <= 122916)
                    : c <= 122922)
                  : (c <= 123180 || (c < 123200
                    ? (c >= 123184 && c <= 123197)
                    : c <= 123209)))
                : (c <= 123214 || (c < 124896
                  ? (c < 123584
                    ? (c >= 123536 && c <= 123566)
                    : c <= 123641)
                  : (c <= 124902 || (c < 124909
                    ? (c >= 124904 && c <= 124907)
                    : c <= 124910)))))))))
          : (c <= 124926 || (c < 126557
            ? (c < 126521
              ? (c < 126469
                ? (c < 125184
                  ? (c < 125136
                    ? (c >= 124928 && c <= 125124)
                    : c <= 125142)
                  : (c <= 125259 || (c < 126464
                    ? (c >= 125264 && c <= 125273)
                    : c <= 126467)))
                : (c <= 126495 || (c < 126503
                  ? (c < 126500
                    ? (c >= 126497 && c <= 126498)
                    : c <= 126500)
                  : (c <= 126503 || (c < 126516
                    ? (c >= 126505 && c <= 126514)
                    : c <= 126519)))))
              : (c <= 126521 || (c < 126541
                ? (c < 126535
                  ? (c < 126530
                    ? c == 126523
                    : c <= 126530)
                  : (c <= 126535 || (c < 126539
                    ? c == 126537
                    : c <= 126539)))
                : (c <= 126543 || (c < 126551
                  ? (c < 126548
                    ? (c >= 126545 && c <= 126546)
                    : c <= 126548)
                  : (c <= 126551 || (c < 126555
                    ? c == 126553
                    : c <= 126555)))))))
            : (c <= 126557 || (c < 126629
              ? (c < 126580
                ? (c < 126564
                  ? (c < 126561
                    ? c == 126559
                    : c <= 126562)
                  : (c <= 126564 || (c < 126572
                    ? (c >= 126567 && c <= 126570)
                    : c <= 126578)))
                : (c <= 126583 || (c < 126592
                  ? (c < 126590
                    ? (c >= 126585 && c <= 126588)
                    : c <= 126590)
                  : (c <= 126601 || (c < 126625
                    ? (c >= 126603 && c <= 126619)
                    : c <= 126627)))))
              : (c <= 126633 || (c < 178208
                ? (c < 131072
                  ? (c < 130032
                    ? (c >= 126635 && c <= 126651)
                    : c <= 130041)
                  : (c <= 173791 || (c < 177984
                    ? (c >= 173824 && c <= 177976)
                    : c <= 178205)))
                : (c <= 183969 || (c < 196608
                  ? (c < 194560
                    ? (c >= 183984 && c <= 191456)
                    : c <= 195101)
                  : (c <= 201546 || (c >= 917760 && c <= 917999)))))))))))))))));
}

static inline bool sym_identifier_character_set_17(int32_t c) {
  return (c < 43600
    ? (c < 3776
      ? (c < 2738
        ? (c < 1984
          ? (c < 910
            ? (c < 216
              ? (c < 'm'
                ? (c < 'A'
                  ? (c < '0'
                    ? c == '$'
                    : c <= '9')
                  : (c <= 'Z' || (c < 'b'
                    ? c == '_'
                    : c <= 'k')))
                : (c <= 'z' || (c < 183
                  ? (c < 181
                    ? c == 170
                    : c <= 181)
                  : (c <= 183 || (c < 192
                    ? c == 186
                    : c <= 214)))))
              : (c <= 246 || (c < 768
                ? (c < 736
                  ? (c < 710
                    ? (c >= 248 && c <= 705)
                    : c <= 721)
                  : (c <= 740 || (c < 750
                    ? c == 748
                    : c <= 750)))
                : (c <= 884 || (c < 895
                  ? (c < 891
                    ? (c >= 886 && c <= 887)
                    : c <= 893)
                  : (c <= 895 || (c < 908
                    ? (c >= 902 && c <= 906)
                    : c <= 908)))))))
            : (c <= 929 || (c < 1479
              ? (c < 1369
                ? (c < 1155
                  ? (c < 1015
                    ? (c >= 931 && c <= 1013)
                    : c <= 1153)
                  : (c <= 1159 || (c < 1329
                    ? (c >= 1162 && c <= 1327)
                    : c <= 1366)))
                : (c <= 1369 || (c < 1471
                  ? (c < 1425
                    ? (c >= 1376 && c <= 1416)
                    : c <= 1469)
                  : (c <= 1471 || (c < 1476
                    ? (c >= 1473 && c <= 1474)
                    : c <= 1477)))))
              : (c <= 1479 || (c < 1749
                ? (c < 1552
                  ? (c < 1519
                    ? (c >= 1488 && c <= 1514)
                    : c <= 1522)
                  : (c <= 1562 || (c < 1646
                    ? (c >= 1568 && c <= 1641)
                    : c <= 1747)))
                : (c <= 1756 || (c < 1791
                  ? (c < 1770
                    ? (c >= 1759 && c <= 1768)
                    : c <= 1788)
                  : (c <= 1791 || (c < 1869
                    ? (c >= 1808 && c <= 1866)
                    : c <= 1969)))))))))
          : (c <= 2037 || (c < 2534
            ? (c < 2437
              ? (c < 2160
                ? (c < 2048
                  ? (c < 2045
                    ? c == 2042
                    : c <= 2045)
                  : (c <= 2093 || (c < 2144
                    ? (c >= 2112 && c <= 2139)
                    : c <= 2154)))
                : (c <= 2183 || (c < 2275
                  ? (c < 2200
                    ? (c >= 2185 && c <= 2190)
                    : c <= 2273)
                  : (c <= 2403 || (c < 2417
                    ? (c >= 2406 && c <= 2415)
                    : c <= 2435)))))
              : (c <= 2444 || (c < 2492
                ? (c < 2474
                  ? (c < 2451
                    ? (c >= 2447 && c <= 2448)
                    : c <= 2472)
                  : (c <= 2480 || (c < 2486
                    ? c == 2482
                    : c <= 2489)))
                : (c <= 2500 || (c < 2519
                  ? (c < 2507
                    ? (c >= 2503 && c <= 2504)
                    : c <= 2510)
                  : (c <= 2519 || (c < 2527
                    ? (c >= 2524 && c <= 2525)
                    : c <= 2531)))))))
            : (c <= 2545 || (c < 2622
              ? (c < 2579
                ? (c < 2561
                  ? (c < 2558
                    ? c == 2556
                    : c <= 2558)
                  : (c <= 2563 || (c < 2575
                    ? (c >= 2565 && c <= 2570)
                    : c <= 2576)))
                : (c <= 2600 || (c < 2613
                  ? (c < 2610
                    ? (c >= 2602 && c <= 2608)
                    : c <= 2611)
                  : (c <= 2614 || (c < 2620
                    ? (c >= 2616 && c <= 2617)
                    : c <= 2620)))))
              : (c <= 2626 || (c < 2662
                ? (c < 2641
                  ? (c < 2635
                    ? (c >= 2631 && c <= 2632)
                    : c <= 2637)
                  : (c <= 2641 || (c < 2654
                    ? (c >= 2649 && c <= 2652)
                    : c <= 2654)))
                : (c <= 2677 || (c < 2703
                  ? (c < 2693
                    ? (c >= 2689 && c <= 2691)
                    : c <= 2701)
                  : (c <= 2705 || (c < 2730
                    ? (c >= 2707 && c <= 2728)
                    : c <= 2736)))))))))))
        : (c <= 2739 || (c < 3160
          ? (c < 2946
            ? (c < 2835
              ? (c < 2784
                ? (c < 2759
                  ? (c < 2748
                    ? (c >= 2741 && c <= 2745)
                    : c <= 2757)
                  : (c <= 2761 || (c < 2768
                    ? (c >= 2763 && c <= 2765)
                    : c <= 2768)))
                : (c <= 2787 || (c < 2817
                  ? (c < 2809
                    ? (c >= 2790 && c <= 2799)
                    : c <= 2815)
                  : (c <= 2819 || (c < 2831
                    ? (c >= 2821 && c <= 2828)
                    : c <= 2832)))))
              : (c <= 2856 || (c < 2891
                ? (c < 2869
                  ? (c < 2866
                    ? (c >= 2858 && c <= 2864)
                    : c <= 2867)
                  : (c <= 2873 || (c < 2887
                    ? (c >= 2876 && c <= 2884)
                    : c <= 2888)))
                : (c <= 2893 || (c < 2911
                  ? (c < 2908
                    ? (c >= 2901 && c <= 2903)
                    : c <= 2909)
                  : (c <= 2915 || (c < 2929
                    ? (c >= 2918 && c <= 2927)
                    : c <= 2929)))))))
            : (c <= 2947 || (c < 3018
              ? (c < 2974
                ? (c < 2962
                  ? (c < 2958
                    ? (c >= 2949 && c <= 2954)
                    : c <= 2960)
                  : (c <= 2965 || (c < 2972
                    ? (c >= 2969 && c <= 2970)
                    : c <= 2972)))
                : (c <= 2975 || (c < 2990
                  ? (c < 2984
                    ? (c >= 2979 && c <= 2980)
                    : c <= 2986)
                  : (c <= 3001 || (c < 3014
                    ? (c >= 3006 && c <= 3010)
                    : c <= 3016)))))
              : (c <= 3021 || (c < 3090
                ? (c < 3046
                  ? (c < 3031
                    ? c == 3024
                    : c <= 3031)
                  : (c <= 3055 || (c < 3086
                    ? (c >= 3072 && c <= 3084)
                    : c <= 3088)))
                : (c <= 3112 || (c < 3142
                  ? (c < 3132
                    ? (c >= 3114 && c <= 3129)
                    : c <= 3140)
                  : (c <= 3144 || (c < 3157
                    ? (c >= 3146 && c <= 3149)
                    : c <= 3158)))))))))
          : (c <= 3162 || (c < 3423
            ? (c < 3274
              ? (c < 3214
                ? (c < 3174
                  ? (c < 3168
                    ? c == 3165
                    : c <= 3171)
                  : (c <= 3183 || (c < 3205
                    ? (c >= 3200 && c <= 3203)
                    : c <= 3212)))
                : (c <= 3216 || (c < 3253
                  ? (c < 3242
                    ? (c >= 3218 && c <= 3240)
                    : c <= 3251)
                  : (c <= 3257 || (c < 3270
                    ? (c >= 3260 && c <= 3268)
                    : c <= 3272)))))
              : (c <= 3277 || (c < 3328
                ? (c < 3296
                  ? (c < 3293
                    ? (c >= 3285 && c <= 3286)
                    : c <= 3294)
                  : (c <= 3299 || (c < 3313
                    ? (c >= 3302 && c <= 3311)
                    : c <= 3314)))
                : (c <= 3340 || (c < 3398
                  ? (c < 3346
                    ? (c >= 3342 && c <= 3344)
                    : c <= 3396)
                  : (c <= 3400 || (c < 3412
                    ? (c >= 3402 && c <= 3406)
                    : c <= 3415)))))))
            : (c <= 3427 || (c < 3544
              ? (c < 3507
                ? (c < 3457
                  ? (c < 3450
                    ? (c >= 3430 && c <= 3439)
                    : c <= 3455)
                  : (c <= 3459 || (c < 3482
                    ? (c >= 3461 && c <= 3478)
                    : c <= 3505)))
                : (c <= 3515 || (c < 3530
                  ? (c < 3520
                    ? c == 3517
                    : c <= 3526)
                  : (c <= 3530 || (c < 3542
                    ? (c >= 3535 && c <= 3540)
                    : c <= 3542)))))
              : (c <= 3551 || (c < 3713
                ? (c < 3585
                  ? (c < 3570
                    ? (c >= 3558 && c <= 3567)
                    : c <= 3571)
                  : (c <= 3642 || (c < 3664
                    ? (c >= 3648 && c <= 3662)
                    : c <= 3673)))
                : (c <= 3714 || (c < 3724
                  ? (c < 3718
                    ? c == 3716
                    : c <= 3722)
                  : (c <= 3747 || (c < 3751
                    ? c == 3749
                    : c <= 3773)))))))))))))
      : (c <= 3780 || (c < 8016
        ? (c < 5870
          ? (c < 4682
            ? (c < 3913
              ? (c < 3864
                ? (c < 3792
                  ? (c < 3784
                    ? c == 3782
                    : c <= 3789)
                  : (c <= 3801 || (c < 3840
                    ? (c >= 3804 && c <= 3807)
                    : c <= 3840)))
                : (c <= 3865 || (c < 3895
                  ? (c < 3893
                    ? (c >= 3872 && c <= 3881)
                    : c <= 3893)
                  : (c <= 3895 || (c < 3902
                    ? c == 3897
                    : c <= 3911)))))
              : (c <= 3948 || (c < 4176
                ? (c < 3993
                  ? (c < 3974
                    ? (c >= 3953 && c <= 3972)
                    : c <= 3991)
                  : (c <= 4028 || (c < 4096
                    ? c == 4038
                    : c <= 4169)))
                : (c <= 4253 || (c < 4301
                  ? (c < 4295
                    ? (c >= 4256 && c <= 4293)
                    : c <= 4295)
                  : (c <= 4301 || (c < 4348
                    ? (c >= 4304 && c <= 4346)
                    : c <= 4680)))))))
            : (c <= 4685 || (c < 4824
              ? (c < 4752
                ? (c < 4698
                  ? (c < 4696
                    ? (c >= 4688 && c <= 4694)
                    : c <= 4696)
                  : (c <= 4701 || (c < 4746
                    ? (c >= 4704 && c <= 4744)
                    : c <= 4749)))
                : (c <= 4784 || (c < 4800
                  ? (c < 4792
                    ? (c >= 4786 && c <= 4789)
                    : c <= 4798)
                  : (c <= 4800 || (c < 4808
                    ? (c >= 4802 && c <= 4805)
                    : c <= 4822)))))
              : (c <= 4880 || (c < 5024
                ? (c < 4957
                  ? (c < 4888
                    ? (c >= 4882 && c <= 4885)
                    : c <= 4954)
                  : (c <= 4959 || (c < 4992
                    ? (c >= 4969 && c <= 4977)
                    : c <= 5007)))
                : (c <= 5109 || (c < 5743
                  ? (c < 5121
                    ? (c >= 5112 && c <= 5117)
                    : c <= 5740)
                  : (c <= 5759 || (c < 5792
                    ? (c >= 5761 && c <= 5786)
                    : c <= 5866)))))))))
          : (c <= 5880 || (c < 6656
            ? (c < 6159
              ? (c < 6002
                ? (c < 5952
                  ? (c < 5919
                    ? (c >= 5888 && c <= 5909)
                    : c <= 5940)
                  : (c <= 5971 || (c < 5998
                    ? (c >= 5984 && c <= 5996)
                    : c <= 6000)))
                : (c <= 6003 || (c < 6108
                  ? (c < 6103
                    ? (c >= 6016 && c <= 6099)
                    : c <= 6103)
                  : (c <= 6109 || (c < 6155
                    ? (c >= 6112 && c <= 6121)
                    : c <= 6157)))))
              : (c <= 6169 || (c < 6448
                ? (c < 6320
                  ? (c < 6272
                    ? (c >= 6176 && c <= 6264)
                    : c <= 6314)
                  : (c <= 6389 || (c < 6432
                    ? (c >= 6400 && c <= 6430)
                    : c <= 6443)))
                : (c <= 6459 || (c < 6528
                  ? (c < 6512
                    ? (c >= 6470 && c <= 6509)
                    : c <= 6516)
                  : (c <= 6571 || (c < 6608
                    ? (c >= 6576 && c <= 6601)
                    : c <= 6618)))))))
            : (c <= 6683 || (c < 7168
              ? (c < 6832
                ? (c < 6783
                  ? (c < 6752
                    ? (c >= 6688 && c <= 6750)
                    : c <= 6780)
                  : (c <= 6793 || (c < 6823
                    ? (c >= 6800 && c <= 6809)
                    : c <= 6823)))
                : (c <= 6845 || (c < 6992
                  ? (c < 6912
                    ? (c >= 6847 && c <= 6862)
                    : c <= 6988)
                  : (c <= 7001 || (c < 7040
                    ? (c >= 7019 && c <= 7027)
                    : c <= 7155)))))
              : (c <= 7223 || (c < 7376
                ? (c < 7296
                  ? (c < 7245
                    ? (c >= 7232 && c <= 7241)
                    : c <= 7293)
                  : (c <= 7304 || (c < 7357
                    ? (c >= 7312 && c <= 7354)
                    : c <= 7359)))
                : (c <= 7378 || (c < 7960
                  ? (c < 7424
                    ? (c >= 7380 && c <= 7418)
                    : c <= 7957)
                  : (c <= 7965 || (c < 8008
                    ? (c >= 7968 && c <= 8005)
                    : c <= 8013)))))))))))
        : (c <= 8023 || (c < 11712
          ? (c < 8455
            ? (c < 8160
              ? (c < 8118
                ? (c < 8029
                  ? (c < 8027
                    ? c == 8025
                    : c <= 8027)
                  : (c <= 8029 || (c < 8064
                    ? (c >= 8031 && c <= 8061)
                    : c <= 8116)))
                : (c <= 8124 || (c < 8134
                  ? (c < 8130
                    ? c == 8126
                    : c <= 8132)
                  : (c <= 8140 || (c < 8150
                    ? (c >= 8144 && c <= 8147)
                    : c <= 8155)))))
              : (c <= 8172 || (c < 8319
                ? (c < 8255
                  ? (c < 8182
                    ? (c >= 8178 && c <= 8180)
                    : c <= 8188)
                  : (c <= 8256 || (c < 8305
                    ? c == 8276
                    : c <= 8305)))
                : (c <= 8319 || (c < 8417
                  ? (c < 8400
                    ? (c >= 8336 && c <= 8348)
                    : c <= 8412)
                  : (c <= 8417 || (c < 8450
                    ? (c >= 8421 && c <= 8432)
                    : c <= 8450)))))))
            : (c <= 8455 || (c < 11264
              ? (c < 8488
                ? (c < 8472
                  ? (c < 8469
                    ? (c >= 8458 && c <= 8467)
                    : c <= 8469)
                  : (c <= 8477 || (c < 8486
                    ? c == 8484
                    : c <= 8486)))
                : (c <= 8488 || (c < 8517
                  ? (c < 8508
                    ? (c >= 8490 && c <= 8505)
                    : c <= 8511)
                  : (c <= 8521 || (c < 8544
                    ? c == 8526
                    : c <= 8584)))))
              : (c <= 11492 || (c < 11631
                ? (c < 11559
                  ? (c < 11520
                    ? (c >= 11499 && c <= 11507)
                    : c <= 11557)
                  : (c <= 11559 || (c < 11568
                    ? c == 11565
                    : c <= 11623)))
                : (c <= 11631 || (c < 11688
                  ? (c < 11680
                    ? (c >= 11647 && c <= 11670)
                    : c <= 11686)
                  : (c <= 11694 || (c < 11704
                    ? (c >= 11696 && c <= 11702)
                    : c <= 11710)))))))))
          : (c <= 11718 || (c < 42612
            ? (c < 12449
              ? (c < 12321
                ? (c < 11736
                  ? (c < 11728
                    ? (c >= 11720 && c <= 11726)
                    : c <= 11734)
                  : (c <= 11742 || (c < 12293
                    ? (c >= 11744 && c <= 11775)
                    : c <= 12295)))
                : (c <= 12335 || (c < 12353
                  ? (c < 12344
                    ? (c >= 12337 && c <= 12341)
                    : c <= 12348)
                  : (c <= 12438 || (c < 12445
                    ? (c >= 12441 && c <= 12442)
                    : c <= 12447)))))
              : (c <= 12538 || (c < 13312
                ? (c < 12593
                  ? (c < 12549
                    ? (c >= 12540 && c <= 12543)
                    : c <= 12591)
                  : (c <= 12686 || (c < 12784
                    ? (c >= 12704 && c <= 12735)
                    : c <= 12799)))
                : (c <= 19903 || (c < 42240
                  ? (c < 42192
                    ? (c >= 19968 && c <= 42124)
                    : c <= 42237)
                  : (c <= 42508 || (c < 42560
                    ? (c >= 42512 && c <= 42539)
                    : c <= 42607)))))))
            : (c <= 42621 || (c < 43216
              ? (c < 42963
                ? (c < 42786
                  ? (c < 42775
                    ? (c >= 42623 && c <= 42737)
                    : c <= 42783)
                  : (c <= 42888 || (c < 42960
                    ? (c >= 42891 && c <= 42954)
                    : c <= 42961)))
                : (c <= 42963 || (c < 43052
                  ? (c < 42994
                    ? (c >= 42965 && c <= 42969)
                    : c <= 43047)
                  : (c <= 43052 || (c < 43136
                    ? (c >= 43072 && c <= 43123)
                    : c <= 43205)))))
              : (c <= 43225 || (c < 43392
                ? (c < 43261
                  ? (c < 43259
                    ? (c >= 43232 && c <= 43255)
                    : c <= 43259)
                  : (c <= 43309 || (c < 43360
                    ? (c >= 43312 && c <= 43347)
                    : c <= 43388)))
                : (c <= 43456 || (c < 43520
                  ? (c < 43488
                    ? (c >= 43471 && c <= 43481)
                    : c <= 43518)
                  : (c <= 43574 || (c >= 43584 && c <= 43597)))))))))))))))
    : (c <= 43609 || (c < 71453
      ? (c < 67594
        ? (c < 65343
          ? (c < 64298
            ? (c < 43868
              ? (c < 43777
                ? (c < 43739
                  ? (c < 43642
                    ? (c >= 43616 && c <= 43638)
                    : c <= 43714)
                  : (c <= 43741 || (c < 43762
                    ? (c >= 43744 && c <= 43759)
                    : c <= 43766)))
                : (c <= 43782 || (c < 43808
                  ? (c < 43793
                    ? (c >= 43785 && c <= 43790)
                    : c <= 43798)
                  : (c <= 43814 || (c < 43824
                    ? (c >= 43816 && c <= 43822)
                    : c <= 43866)))))
              : (c <= 43881 || (c < 55243
                ? (c < 44016
                  ? (c < 44012
                    ? (c >= 43888 && c <= 44010)
                    : c <= 44013)
                  : (c <= 44025 || (c < 55216
                    ? (c >= 44032 && c <= 55203)
                    : c <= 55238)))
                : (c <= 55291 || (c < 64256
                  ? (c < 64112
                    ? (c >= 63744 && c <= 64109)
                    : c <= 64217)
                  : (c <= 64262 || (c < 64285
                    ? (c >= 64275 && c <= 64279)
                    : c <= 64296)))))))
            : (c <= 64310 || (c < 65056
              ? (c < 64467
                ? (c < 64320
                  ? (c < 64318
                    ? (c >= 64312 && c <= 64316)
                    : c <= 64318)
                  : (c <= 64321 || (c < 64326
                    ? (c >= 64323 && c <= 64324)
                    : c <= 64433)))
                : (c <= 64605 || (c < 64914
                  ? (c < 64848
                    ? (c >= 64612 && c <= 64829)
                    : c <= 64911)
                  : (c <= 64967 || (c < 65024
                    ? (c >= 65008 && c <= 65017)
                    : c <= 65039)))))
              : (c <= 65071 || (c < 65145
                ? (c < 65137
                  ? (c < 65101
                    ? (c >= 65075 && c <= 65076)
                    : c <= 65103)
                  : (c <= 65137 || (c < 65143
                    ? c == 65139
                    : c <= 65143)))
                : (c <= 65145 || (c < 65151
                  ? (c < 65149
                    ? c == 65147
                    : c <= 65149)
                  : (c <= 65276 || (c < 65313
                    ? (c >= 65296 && c <= 65305)
                    : c <= 65338)))))))))
          : (c <= 65343 || (c < 66504
            ? (c < 65616
              ? (c < 65498
                ? (c < 65474
                  ? (c < 65382
                    ? (c >= 65345 && c <= 65370)
                    : c <= 65470)
                  : (c <= 65479 || (c < 65490
                    ? (c >= 65482 && c <= 65487)
                    : c <= 65495)))
                : (c <= 65500 || (c < 65576
                  ? (c < 65549
                    ? (c >= 65536 && c <= 65547)
                    : c <= 65574)
                  : (c <= 65594 || (c < 65599
                    ? (c >= 65596 && c <= 65597)
                    : c <= 65613)))))
              : (c <= 65629 || (c < 66272
                ? (c < 66045
                  ? (c < 65856
                    ? (c >= 65664 && c <= 65786)
                    : c <= 65908)
                  : (c <= 66045 || (c < 66208
                    ? (c >= 66176 && c <= 66204)
                    : c <= 66256)))
                : (c <= 66272 || (c < 66384
                  ? (c < 66349
                    ? (c >= 66304 && c <= 66335)
                    : c <= 66378)
                  : (c <= 66426 || (c < 66464
                    ? (c >= 66432 && c <= 66461)
                    : c <= 66499)))))))
            : (c <= 66511 || (c < 66967
              ? (c < 66816
                ? (c < 66720
                  ? (c < 66560
                    ? (c >= 66513 && c <= 66517)
                    : c <= 66717)
                  : (c <= 66729 || (c < 66776
                    ? (c >= 66736 && c <= 66771)
                    : c <= 66811)))
                : (c <= 66855 || (c < 66940
                  ? (c < 66928
                    ? (c >= 66864 && c <= 66915)
                    : c <= 66938)
                  : (c <= 66954 || (c < 66964
                    ? (c >= 66956 && c <= 66962)
                    : c <= 66965)))))
              : (c <= 66977 || (c < 67424
                ? (c < 67003
                  ? (c < 66995
                    ? (c >= 66979 && c <= 66993)
                    : c <= 67001)
                  : (c <= 67004 || (c < 67392
                    ? (c >= 67072 && c <= 67382)
                    : c <= 67413)))
                : (c <= 67431 || (c < 67506
                  ? (c < 67463
                    ? (c >= 67456 && c <= 67461)
                    : c <= 67504)
                  : (c <= 67514 || (c < 67592
                    ? (c >= 67584 && c <= 67589)
                    : c <= 67592)))))))))))
        : (c <= 67637 || (c < 69942
          ? (c < 68416
            ? (c < 68096
              ? (c < 67808
                ? (c < 67647
                  ? (c < 67644
                    ? (c >= 67639 && c <= 67640)
                    : c <= 67644)
                  : (c <= 67669 || (c < 67712
                    ? (c >= 67680 && c <= 67702)
                    : c <= 67742)))
                : (c <= 67826 || (c < 67872
                  ? (c < 67840
                    ? (c >= 67828 && c <= 67829)
                    : c <= 67861)
                  : (c <= 67897 || (c < 68030
                    ? (c >= 67968 && c <= 68023)
                    : c <= 68031)))))
              : (c <= 68099 || (c < 68159
                ? (c < 68117
                  ? (c < 68108
                    ? (c >= 68101 && c <= 68102)
                    : c <= 68115)
                  : (c <= 68119 || (c < 68152
                    ? (c >= 68121 && c <= 68149)
                    : c <= 68154)))
                : (c <= 68159 || (c < 68288
                  ? (c < 68224
                    ? (c >= 68192 && c <= 68220)
                    : c <= 68252)
                  : (c <= 68295 || (c < 68352
                    ? (c >= 68297 && c <= 68326)
                    : c <= 68405)))))))
            : (c <= 68437 || (c < 69415
              ? (c < 68864
                ? (c < 68608
                  ? (c < 68480
                    ? (c >= 68448 && c <= 68466)
                    : c <= 68497)
                  : (c <= 68680 || (c < 68800
                    ? (c >= 68736 && c <= 68786)
                    : c <= 68850)))
                : (c <= 68903 || (c < 69291
                  ? (c < 69248
                    ? (c >= 68912 && c <= 68921)
                    : c <= 69289)
                  : (c <= 69292 || (c < 69376
                    ? (c >= 69296 && c <= 69297)
                    : c <= 69404)))))
              : (c <= 69415 || (c < 69734
                ? (c < 69552
                  ? (c < 69488
                    ? (c >= 69424 && c <= 69456)
                    : c <= 69509)
                  : (c <= 69572 || (c < 69632
                    ? (c >= 69600 && c <= 69622)
                    : c <= 69702)))
                : (c <= 69749 || (c < 69840
                  ? (c < 69826
                    ? (c >= 69759 && c <= 69818)
                    : c <= 69826)
                  : (c <= 69864 || (c < 69888
                    ? (c >= 69872 && c <= 69881)
                    : c <= 69940)))))))))
          : (c <= 69951 || (c < 70453
            ? (c < 70280
              ? (c < 70094
                ? (c < 70006
                  ? (c < 69968
                    ? (c >= 69956 && c <= 69959)
                    : c <= 70003)
                  : (c <= 70006 || (c < 70089
                    ? (c >= 70016 && c <= 70084)
                    : c <= 70092)))
                : (c <= 70106 || (c < 70163
                  ? (c < 70144
                    ? c == 70108
                    : c <= 70161)
                  : (c <= 70199 || (c < 70272
                    ? c == 70206
                    : c <= 70278)))))
              : (c <= 70280 || (c < 70400
                ? (c < 70303
                  ? (c < 70287
                    ? (c >= 70282 && c <= 70285)
                    : c <= 70301)
                  : (c <= 70312 || (c < 70384
                    ? (c >= 70320 && c <= 70378)
                    : c <= 70393)))
                : (c <= 70403 || (c < 70419
                  ? (c < 70415
                    ? (c >= 70405 && c <= 70412)
                    : c <= 70416)
                  : (c <= 70440 || (c < 70450
                    ? (c >= 70442 && c <= 70448)
                    : c <= 70451)))))))
            : (c <= 70457 || (c < 70784
              ? (c < 70493
                ? (c < 70475
                  ? (c < 70471
                    ? (c >= 70459 && c <= 70468)
                    : c <= 70472)
                  : (c <= 70477 || (c < 70487
                    ? c == 70480
                    : c <= 70487)))
                : (c <= 70499 || (c < 70656
                  ? (c < 70512
                    ? (c >= 70502 && c <= 70508)
                    : c <= 70516)
                  : (c <= 70730 || (c < 70750
                    ? (c >= 70736 && c <= 70745)
                    : c <= 70753)))))
              : (c <= 70853 || (c < 71168
                ? (c < 71040
                  ? (c < 70864
                    ? c == 70855
                    : c <= 70873)
                  : (c <= 71093 || (c < 71128
                    ? (c >= 71096 && c <= 71104)
                    : c <= 71133)))
                : (c <= 71232 || (c < 71296
                  ? (c < 71248
                    ? c == 71236
                    : c <= 71257)
                  : (c <= 71352 || (c < 71424
                    ? (c >= 71360 && c <= 71369)
                    : c <= 71450)))))))))))))
      : (c <= 71467 || (c < 119973
        ? (c < 77824
          ? (c < 72760
            ? (c < 72016
              ? (c < 71945
                ? (c < 71680
                  ? (c < 71488
                    ? (c >= 71472 && c <= 71481)
                    : c <= 71494)
                  : (c <= 71738 || (c < 71935
                    ? (c >= 71840 && c <= 71913)
                    : c <= 71942)))
                : (c <= 71945 || (c < 71960
                  ? (c < 71957
                    ? (c >= 71948 && c <= 71955)
                    : c <= 71958)
                  : (c <= 71989 || (c < 71995
                    ? (c >= 71991 && c <= 71992)
                    : c <= 72003)))))
              : (c <= 72025 || (c < 72263
                ? (c < 72154
                  ? (c < 72106
                    ? (c >= 72096 && c <= 72103)
                    : c <= 72151)
                  : (c <= 72161 || (c < 72192
                    ? (c >= 72163 && c <= 72164)
                    : c <= 72254)))
                : (c <= 72263 || (c < 72368
                  ? (c < 72349
                    ? (c >= 72272 && c <= 72345)
                    : c <= 72349)
                  : (c <= 72440 || (c < 72714
                    ? (c >= 72704 && c <= 72712)
                    : c <= 72758)))))))
            : (c <= 72768 || (c < 73056
              ? (c < 72968
                ? (c < 72850
                  ? (c < 72818
                    ? (c >= 72784 && c <= 72793)
                    : c <= 72847)
                  : (c <= 72871 || (c < 72960
                    ? (c >= 72873 && c <= 72886)
                    : c <= 72966)))
                : (c <= 72969 || (c < 73020
                  ? (c < 73018
                    ? (c >= 72971 && c <= 73014)
                    : c <= 73018)
                  : (c <= 73021 || (c < 73040
                    ? (c >= 73023 && c <= 73031)
                    : c <= 73049)))))
              : (c <= 73061 || (c < 73440
                ? (c < 73104
                  ? (c < 73066
                    ? (c >= 73063 && c <= 73064)
                    : c <= 73102)
                  : (c <= 73105 || (c < 73120
                    ? (c >= 73107 && c <= 73112)
                    : c <= 73129)))
                : (c <= 73462 || (c < 74752
                  ? (c < 73728
                    ? c == 73648
                    : c <= 74649)
                  : (c <= 74862 || (c < 77712
                    ? (c >= 74880 && c <= 75075)
                    : c <= 77808)))))))))
          : (c <= 78894 || (c < 110576
            ? (c < 93027
              ? (c < 92864
                ? (c < 92736
                  ? (c < 92160
                    ? (c >= 82944 && c <= 83526)
                    : c <= 92728)
                  : (c <= 92766 || (c < 92784
                    ? (c >= 92768 && c <= 92777)
                    : c <= 92862)))
                : (c <= 92873 || (c < 92928
                  ? (c < 92912
                    ? (c >= 92880 && c <= 92909)
                    : c <= 92916)
                  : (c <= 92982 || (c < 93008
                    ? (c >= 92992 && c <= 92995)
                    : c <= 93017)))))
              : (c <= 93047 || (c < 94176
                ? (c < 93952
                  ? (c < 93760
                    ? (c >= 93053 && c <= 93071)
                    : c <= 93823)
                  : (c <= 94026 || (c < 94095
                    ? (c >= 94031 && c <= 94087)
                    : c <= 94111)))
                : (c <= 94177 || (c < 94208
                  ? (c < 94192
                    ? (c >= 94179 && c <= 94180)
                    : c <= 94193)
                  : (c <= 100343 || (c < 101632
                    ? (c >= 100352 && c <= 101589)
                    : c <= 101640)))))))
            : (c <= 110579 || (c < 118528
              ? (c < 110960
                ? (c < 110592
                  ? (c < 110589
                    ? (c >= 110581 && c <= 110587)
                    : c <= 110590)
                  : (c <= 110882 || (c < 110948
                    ? (c >= 110928 && c <= 110930)
                    : c <= 110951)))
                : (c <= 111355 || (c < 113792
                  ? (c < 113776
                    ? (c >= 113664 && c <= 113770)
                    : c <= 113788)
                  : (c <= 113800 || (c < 113821
                    ? (c >= 113808 && c <= 113817)
                    : c <= 113822)))))
              : (c <= 118573 || (c < 119210
                ? (c < 119149
                  ? (c < 119141
                    ? (c >= 118576 && c <= 118598)
                    : c <= 119145)
                  : (c <= 119154 || (c < 119173
                    ? (c >= 119163 && c <= 119170)
                    : c <= 119179)))
                : (c <= 119213 || (c < 119894
                  ? (c < 119808
                    ? (c >= 119362 && c <= 119364)
                    : c <= 119892)
                  : (c <= 119964 || (c < 119970
                    ? (c >= 119966 && c <= 119967)
                    : c <= 119970)))))))))))
        : (c <= 119974 || (c < 124912
          ? (c < 120746
            ? (c < 120134
              ? (c < 120071
                ? (c < 119995
                  ? (c < 119982
                    ? (c >= 119977 && c <= 119980)
                    : c <= 119993)
                  : (c <= 119995 || (c < 120005
                    ? (c >= 119997 && c <= 120003)
                    : c <= 120069)))
                : (c <= 120074 || (c < 120094
                  ? (c < 120086
                    ? (c >= 120077 && c <= 120084)
                    : c <= 120092)
                  : (c <= 120121 || (c < 120128
                    ? (c >= 120123 && c <= 120126)
                    : c <= 120132)))))
              : (c <= 120134 || (c < 120572
                ? (c < 120488
                  ? (c < 120146
                    ? (c >= 120138 && c <= 120144)
                    : c <= 120485)
                  : (c <= 120512 || (c < 120540
                    ? (c >= 120514 && c <= 120538)
                    : c <= 120570)))
                : (c <= 120596 || (c < 120656
                  ? (c < 120630
                    ? (c >= 120598 && c <= 120628)
                    : c <= 120654)
                  : (c <= 120686 || (c < 120714
                    ? (c >= 120688 && c <= 120712)
                    : c <= 120744)))))))
            : (c <= 120770 || (c < 122907
              ? (c < 121476
                ? (c < 121344
                  ? (c < 120782
                    ? (c >= 120772 && c <= 120779)
                    : c <= 120831)
                  : (c <= 121398 || (c < 121461
                    ? (c >= 121403 && c <= 121452)
                    : c <= 121461)))
                : (c <= 121476 || (c < 122624
                  ? (c < 121505
                    ? (c >= 121499 && c <= 121503)
                    : c <= 121519)
                  : (c <= 122654 || (c < 122888
                    ? (c >= 122880 && c <= 122886)
                    : c <= 122904)))))
              : (c <= 122913 || (c < 123214
                ? (c < 123136
                  ? (c < 122918
                    ? (c >= 122915 && c <= 122916)
                    : c <= 122922)
                  : (c <= 123180 || (c < 123200
                    ? (c >= 123184 && c <= 123197)
                    : c <= 123209)))
                : (c <= 123214 || (c < 124896
                  ? (c < 123584
                    ? (c >= 123536 && c <= 123566)
                    : c <= 123641)
                  : (c <= 124902 || (c < 124909
                    ? (c >= 124904 && c <= 124907)
                    : c <= 124910)))))))))
          : (c <= 124926 || (c < 126557
            ? (c < 126521
              ? (c < 126469
                ? (c < 125184
                  ? (c < 125136
                    ? (c >= 124928 && c <= 125124)
                    : c <= 125142)
                  : (c <= 125259 || (c < 126464
                    ? (c >= 125264 && c <= 125273)
                    : c <= 126467)))
                : (c <= 126495 || (c < 126503
                  ? (c < 126500
                    ? (c >= 126497 && c <= 126498)
                    : c <= 126500)
                  : (c <= 126503 || (c < 126516
                    ? (c >= 126505 && c <= 126514)
                    : c <= 126519)))))
              : (c <= 126521 || (c < 126541
                ? (c < 126535
                  ? (c < 126530
                    ? c == 126523
                    : c <= 126530)
                  : (c <= 126535 || (c < 126539
                    ? c == 126537
                    : c <= 126539)))
                : (c <= 126543 || (c < 126551
                  ? (c < 126548
                    ? (c >= 126545 && c <= 126546)
                    : c <= 126548)
                  : (c <= 126551 || (c < 126555
                    ? c == 126553
                    : c <= 126555)))))))
            : (c <= 126557 || (c < 126629
              ? (c < 126580
                ? (c < 126564
                  ? (c < 126561
                    ? c == 126559
                    : c <= 126562)
                  : (c <= 126564 || (c < 126572
                    ? (c >= 126567 && c <= 126570)
                    : c <= 126578)))
                : (c <= 126583 || (c < 126592
                  ? (c < 126590
                    ? (c >= 126585 && c <= 126588)
                    : c <= 126590)
                  : (c <= 126601 || (c < 126625
                    ? (c >= 126603 && c <= 126619)
                    : c <= 126627)))))
              : (c <= 126633 || (c < 178208
                ? (c < 131072
                  ? (c < 130032
                    ? (c >= 126635 && c <= 126651)
                    : c <= 130041)
                  : (c <= 173791 || (c < 177984
                    ? (c >= 173824 && c <= 177976)
                    : c <= 178205)))
                : (c <= 183969 || (c < 196608
                  ? (c < 194560
                    ? (c >= 183984 && c <= 191456)
                    : c <= 195101)
                  : (c <= 201546 || (c >= 917760 && c <= 917999)))))))))))))))));
}

static inline bool sym_identifier_character_set_18(int32_t c) {
  return (c < 43600
    ? (c < 3776
      ? (c < 2738
        ? (c < 1984
          ? (c < 910
            ? (c < 216
              ? (c < 'a'
                ? (c < '3'
                  ? (c < '0'
                    ? c == '$'
                    : c <= '1')
                  : (c <= '9' || (c < '_'
                    ? (c >= 'A' && c <= 'Z')
                    : c <= '_')))
                : (c <= 'z' || (c < 183
                  ? (c < 181
                    ? c == 170
                    : c <= 181)
                  : (c <= 183 || (c < 192
                    ? c == 186
                    : c <= 214)))))
              : (c <= 246 || (c < 768
                ? (c < 736
                  ? (c < 710
                    ? (c >= 248 && c <= 705)
                    : c <= 721)
                  : (c <= 740 || (c < 750
                    ? c == 748
                    : c <= 750)))
                : (c <= 884 || (c < 895
                  ? (c < 891
                    ? (c >= 886 && c <= 887)
                    : c <= 893)
                  : (c <= 895 || (c < 908
                    ? (c >= 902 && c <= 906)
                    : c <= 908)))))))
            : (c <= 929 || (c < 1479
              ? (c < 1369
                ? (c < 1155
                  ? (c < 1015
                    ? (c >= 931 && c <= 1013)
                    : c <= 1153)
                  : (c <= 1159 || (c < 1329
                    ? (c >= 1162 && c <= 1327)
                    : c <= 1366)))
                : (c <= 1369 || (c < 1471
                  ? (c < 1425
                    ? (c >= 1376 && c <= 1416)
                    : c <= 1469)
                  : (c <= 1471 || (c < 1476
                    ? (c >= 1473 && c <= 1474)
                    : c <= 1477)))))
              : (c <= 1479 || (c < 1749
                ? (c < 1552
                  ? (c < 1519
                    ? (c >= 1488 && c <= 1514)
                    : c <= 1522)
                  : (c <= 1562 || (c < 1646
                    ? (c >= 1568 && c <= 1641)
                    : c <= 1747)))
                : (c <= 1756 || (c < 1791
                  ? (c < 1770
                    ? (c >= 1759 && c <= 1768)
                    : c <= 1788)
                  : (c <= 1791 || (c < 1869
                    ? (c >= 1808 && c <= 1866)
                    : c <= 1969)))))))))
          : (c <= 2037 || (c < 2534
            ? (c < 2437
              ? (c < 2160
                ? (c < 2048
                  ? (c < 2045
                    ? c == 2042
                    : c <= 2045)
                  : (c <= 2093 || (c < 2144
                    ? (c >= 2112 && c <= 2139)
                    : c <= 2154)))
                : (c <= 2183 || (c < 2275
                  ? (c < 2200
                    ? (c >= 2185 && c <= 2190)
                    : c <= 2273)
                  : (c <= 2403 || (c < 2417
                    ? (c >= 2406 && c <= 2415)
                    : c <= 2435)))))
              : (c <= 2444 || (c < 2492
                ? (c < 2474
                  ? (c < 2451
                    ? (c >= 2447 && c <= 2448)
                    : c <= 2472)
                  : (c <= 2480 || (c < 2486
                    ? c == 2482
                    : c <= 2489)))
                : (c <= 2500 || (c < 2519
                  ? (c < 2507
                    ? (c >= 2503 && c <= 2504)
                    : c <= 2510)
                  : (c <= 2519 || (c < 2527
                    ? (c >= 2524 && c <= 2525)
                    : c <= 2531)))))))
            : (c <= 2545 || (c < 2622
              ? (c < 2579
                ? (c < 2561
                  ? (c < 2558
                    ? c == 2556
                    : c <= 2558)
                  : (c <= 2563 || (c < 2575
                    ? (c >= 2565 && c <= 2570)
                    : c <= 2576)))
                : (c <= 2600 || (c < 2613
                  ? (c < 2610
                    ? (c >= 2602 && c <= 2608)
                    : c <= 2611)
                  : (c <= 2614 || (c < 2620
                    ? (c >= 2616 && c <= 2617)
                    : c <= 2620)))))
              : (c <= 2626 || (c < 2662
                ? (c < 2641
                  ? (c < 2635
                    ? (c >= 2631 && c <= 2632)
                    : c <= 2637)
                  : (c <= 2641 || (c < 2654
                    ? (c >= 2649 && c <= 2652)
                    : c <= 2654)))
                : (c <= 2677 || (c < 2703
                  ? (c < 2693
                    ? (c >= 2689 && c <= 2691)
                    : c <= 2701)
                  : (c <= 2705 || (c < 2730
                    ? (c >= 2707 && c <= 2728)
                    : c <= 2736)))))))))))
        : (c <= 2739 || (c < 3160
          ? (c < 2946
            ? (c < 2835
              ? (c < 2784
                ? (c < 2759
                  ? (c < 2748
                    ? (c >= 2741 && c <= 2745)
                    : c <= 2757)
                  : (c <= 2761 || (c < 2768
                    ? (c >= 2763 && c <= 2765)
                    : c <= 2768)))
                : (c <= 2787 || (c < 2817
                  ? (c < 2809
                    ? (c >= 2790 && c <= 2799)
                    : c <= 2815)
                  : (c <= 2819 || (c < 2831
                    ? (c >= 2821 && c <= 2828)
                    : c <= 2832)))))
              : (c <= 2856 || (c < 2891
                ? (c < 2869
                  ? (c < 2866
                    ? (c >= 2858 && c <= 2864)
                    : c <= 2867)
                  : (c <= 2873 || (c < 2887
                    ? (c >= 2876 && c <= 2884)
                    : c <= 2888)))
                : (c <= 2893 || (c < 2911
                  ? (c < 2908
                    ? (c >= 2901 && c <= 2903)
                    : c <= 2909)
                  : (c <= 2915 || (c < 2929
                    ? (c >= 2918 && c <= 2927)
                    : c <= 2929)))))))
            : (c <= 2947 || (c < 3018
              ? (c < 2974
                ? (c < 2962
                  ? (c < 2958
                    ? (c >= 2949 && c <= 2954)
                    : c <= 2960)
                  : (c <= 2965 || (c < 2972
                    ? (c >= 2969 && c <= 2970)
                    : c <= 2972)))
                : (c <= 2975 || (c < 2990
                  ? (c < 2984
                    ? (c >= 2979 && c <= 2980)
                    : c <= 2986)
                  : (c <= 3001 || (c < 3014
                    ? (c >= 3006 && c <= 3010)
                    : c <= 3016)))))
              : (c <= 3021 || (c < 3090
                ? (c < 3046
                  ? (c < 3031
                    ? c == 3024
                    : c <= 3031)
                  : (c <= 3055 || (c < 3086
                    ? (c >= 3072 && c <= 3084)
                    : c <= 3088)))
                : (c <= 3112 || (c < 3142
                  ? (c < 3132
                    ? (c >= 3114 && c <= 3129)
                    : c <= 3140)
                  : (c <= 3144 || (c < 3157
                    ? (c >= 3146 && c <= 3149)
                    : c <= 3158)))))))))
          : (c <= 3162 || (c < 3423
            ? (c < 3274
              ? (c < 3214
                ? (c < 3174
                  ? (c < 3168
                    ? c == 3165
                    : c <= 3171)
                  : (c <= 3183 || (c < 3205
                    ? (c >= 3200 && c <= 3203)
                    : c <= 3212)))
                : (c <= 3216 || (c < 3253
                  ? (c < 3242
                    ? (c >= 3218 && c <= 3240)
                    : c <= 3251)
                  : (c <= 3257 || (c < 3270
                    ? (c >= 3260 && c <= 3268)
                    : c <= 3272)))))
              : (c <= 3277 || (c < 3328
                ? (c < 3296
                  ? (c < 3293
                    ? (c >= 3285 && c <= 3286)
                    : c <= 3294)
                  : (c <= 3299 || (c < 3313
                    ? (c >= 3302 && c <= 3311)
                    : c <= 3314)))
                : (c <= 3340 || (c < 3398
                  ? (c < 3346
                    ? (c >= 3342 && c <= 3344)
                    : c <= 3396)
                  : (c <= 3400 || (c < 3412
                    ? (c >= 3402 && c <= 3406)
                    : c <= 3415)))))))
            : (c <= 3427 || (c < 3544
              ? (c < 3507
                ? (c < 3457
                  ? (c < 3450
                    ? (c >= 3430 && c <= 3439)
                    : c <= 3455)
                  : (c <= 3459 || (c < 3482
                    ? (c >= 3461 && c <= 3478)
                    : c <= 3505)))
                : (c <= 3515 || (c < 3530
                  ? (c < 3520
                    ? c == 3517
                    : c <= 3526)
                  : (c <= 3530 || (c < 3542
                    ? (c >= 3535 && c <= 3540)
                    : c <= 3542)))))
              : (c <= 3551 || (c < 3713
                ? (c < 3585
                  ? (c < 3570
                    ? (c >= 3558 && c <= 3567)
                    : c <= 3571)
                  : (c <= 3642 || (c < 3664
                    ? (c >= 3648 && c <= 3662)
                    : c <= 3673)))
                : (c <= 3714 || (c < 3724
                  ? (c < 3718
                    ? c == 3716
                    : c <= 3722)
                  : (c <= 3747 || (c < 3751
                    ? c == 3749
                    : c <= 3773)))))))))))))
      : (c <= 3780 || (c < 8016
        ? (c < 5870
          ? (c < 4682
            ? (c < 3913
              ? (c < 3864
                ? (c < 3792
                  ? (c < 3784
                    ? c == 3782
                    : c <= 3789)
                  : (c <= 3801 || (c < 3840
                    ? (c >= 3804 && c <= 3807)
                    : c <= 3840)))
                : (c <= 3865 || (c < 3895
                  ? (c < 3893
                    ? (c >= 3872 && c <= 3881)
                    : c <= 3893)
                  : (c <= 3895 || (c < 3902
                    ? c == 3897
                    : c <= 3911)))))
              : (c <= 3948 || (c < 4176
                ? (c < 3993
                  ? (c < 3974
                    ? (c >= 3953 && c <= 3972)
                    : c <= 3991)
                  : (c <= 4028 || (c < 4096
                    ? c == 4038
                    : c <= 4169)))
                : (c <= 4253 || (c < 4301
                  ? (c < 4295
                    ? (c >= 4256 && c <= 4293)
                    : c <= 4295)
                  : (c <= 4301 || (c < 4348
                    ? (c >= 4304 && c <= 4346)
                    : c <= 4680)))))))
            : (c <= 4685 || (c < 4824
              ? (c < 4752
                ? (c < 4698
                  ? (c < 4696
                    ? (c >= 4688 && c <= 4694)
                    : c <= 4696)
                  : (c <= 4701 || (c < 4746
                    ? (c >= 4704 && c <= 4744)
                    : c <= 4749)))
                : (c <= 4784 || (c < 4800
                  ? (c < 4792
                    ? (c >= 4786 && c <= 4789)
                    : c <= 4798)
                  : (c <= 4800 || (c < 4808
                    ? (c >= 4802 && c <= 4805)
                    : c <= 4822)))))
              : (c <= 4880 || (c < 5024
                ? (c < 4957
                  ? (c < 4888
                    ? (c >= 4882 && c <= 4885)
                    : c <= 4954)
                  : (c <= 4959 || (c < 4992
                    ? (c >= 4969 && c <= 4977)
                    : c <= 5007)))
                : (c <= 5109 || (c < 5743
                  ? (c < 5121
                    ? (c >= 5112 && c <= 5117)
                    : c <= 5740)
                  : (c <= 5759 || (c < 5792
                    ? (c >= 5761 && c <= 5786)
                    : c <= 5866)))))))))
          : (c <= 5880 || (c < 6656
            ? (c < 6159
              ? (c < 6002
                ? (c < 5952
                  ? (c < 5919
                    ? (c >= 5888 && c <= 5909)
                    : c <= 5940)
                  : (c <= 5971 || (c < 5998
                    ? (c >= 5984 && c <= 5996)
                    : c <= 6000)))
                : (c <= 6003 || (c < 6108
                  ? (c < 6103
                    ? (c >= 6016 && c <= 6099)
                    : c <= 6103)
                  : (c <= 6109 || (c < 6155
                    ? (c >= 6112 && c <= 6121)
                    : c <= 6157)))))
              : (c <= 6169 || (c < 6448
                ? (c < 6320
                  ? (c < 6272
                    ? (c >= 6176 && c <= 6264)
                    : c <= 6314)
                  : (c <= 6389 || (c < 6432
                    ? (c >= 6400 && c <= 6430)
                    : c <= 6443)))
                : (c <= 6459 || (c < 6528
                  ? (c < 6512
                    ? (c >= 6470 && c <= 6509)
                    : c <= 6516)
                  : (c <= 6571 || (c < 6608
                    ? (c >= 6576 && c <= 6601)
                    : c <= 6618)))))))
            : (c <= 6683 || (c < 7168
              ? (c < 6832
                ? (c < 6783
                  ? (c < 6752
                    ? (c >= 6688 && c <= 6750)
                    : c <= 6780)
                  : (c <= 6793 || (c < 6823
                    ? (c >= 6800 && c <= 6809)
                    : c <= 6823)))
                : (c <= 6845 || (c < 6992
                  ? (c < 6912
                    ? (c >= 6847 && c <= 6862)
                    : c <= 6988)
                  : (c <= 7001 || (c < 7040
                    ? (c >= 7019 && c <= 7027)
                    : c <= 7155)))))
              : (c <= 7223 || (c < 7376
                ? (c < 7296
                  ? (c < 7245
                    ? (c >= 7232 && c <= 7241)
                    : c <= 7293)
                  : (c <= 7304 || (c < 7357
                    ? (c >= 7312 && c <= 7354)
                    : c <= 7359)))
                : (c <= 7378 || (c < 7960
                  ? (c < 7424
                    ? (c >= 7380 && c <= 7418)
                    : c <= 7957)
                  : (c <= 7965 || (c < 8008
                    ? (c >= 7968 && c <= 8005)
                    : c <= 8013)))))))))))
        : (c <= 8023 || (c < 11712
          ? (c < 8455
            ? (c < 8160
              ? (c < 8118
                ? (c < 8029
                  ? (c < 8027
                    ? c == 8025
                    : c <= 8027)
                  : (c <= 8029 || (c < 8064
                    ? (c >= 8031 && c <= 8061)
                    : c <= 8116)))
                : (c <= 8124 || (c < 8134
                  ? (c < 8130
                    ? c == 8126
                    : c <= 8132)
                  : (c <= 8140 || (c < 8150
                    ? (c >= 8144 && c <= 8147)
                    : c <= 8155)))))
              : (c <= 8172 || (c < 8319
                ? (c < 8255
                  ? (c < 8182
                    ? (c >= 8178 && c <= 8180)
                    : c <= 8188)
                  : (c <= 8256 || (c < 8305
                    ? c == 8276
                    : c <= 8305)))
                : (c <= 8319 || (c < 8417
                  ? (c < 8400
                    ? (c >= 8336 && c <= 8348)
                    : c <= 8412)
                  : (c <= 8417 || (c < 8450
                    ? (c >= 8421 && c <= 8432)
                    : c <= 8450)))))))
            : (c <= 8455 || (c < 11264
              ? (c < 8488
                ? (c < 8472
                  ? (c < 8469
                    ? (c >= 8458 && c <= 8467)
                    : c <= 8469)
                  : (c <= 8477 || (c < 8486
                    ? c == 8484
                    : c <= 8486)))
                : (c <= 8488 || (c < 8517
                  ? (c < 8508
                    ? (c >= 8490 && c <= 8505)
                    : c <= 8511)
                  : (c <= 8521 || (c < 8544
                    ? c == 8526
                    : c <= 8584)))))
              : (c <= 11492 || (c < 11631
                ? (c < 11559
                  ? (c < 11520
                    ? (c >= 11499 && c <= 11507)
                    : c <= 11557)
                  : (c <= 11559 || (c < 11568
                    ? c == 11565
                    : c <= 11623)))
                : (c <= 11631 || (c < 11688
                  ? (c < 11680
                    ? (c >= 11647 && c <= 11670)
                    : c <= 11686)
                  : (c <= 11694 || (c < 11704
                    ? (c >= 11696 && c <= 11702)
                    : c <= 11710)))))))))
          : (c <= 11718 || (c < 42612
            ? (c < 12449
              ? (c < 12321
                ? (c < 11736
                  ? (c < 11728
                    ? (c >= 11720 && c <= 11726)
                    : c <= 11734)
                  : (c <= 11742 || (c < 12293
                    ? (c >= 11744 && c <= 11775)
                    : c <= 12295)))
                : (c <= 12335 || (c < 12353
                  ? (c < 12344
                    ? (c >= 12337 && c <= 12341)
                    : c <= 12348)
                  : (c <= 12438 || (c < 12445
                    ? (c >= 12441 && c <= 12442)
                    : c <= 12447)))))
              : (c <= 12538 || (c < 13312
                ? (c < 12593
                  ? (c < 12549
                    ? (c >= 12540 && c <= 12543)
                    : c <= 12591)
                  : (c <= 12686 || (c < 12784
                    ? (c >= 12704 && c <= 12735)
                    : c <= 12799)))
                : (c <= 19903 || (c < 42240
                  ? (c < 42192
                    ? (c >= 19968 && c <= 42124)
                    : c <= 42237)
                  : (c <= 42508 || (c < 42560
                    ? (c >= 42512 && c <= 42539)
                    : c <= 42607)))))))
            : (c <= 42621 || (c < 43216
              ? (c < 42963
                ? (c < 42786
                  ? (c < 42775
                    ? (c >= 42623 && c <= 42737)
                    : c <= 42783)
                  : (c <= 42888 || (c < 42960
                    ? (c >= 42891 && c <= 42954)
                    : c <= 42961)))
                : (c <= 42963 || (c < 43052
                  ? (c < 42994
                    ? (c >= 42965 && c <= 42969)
                    : c <= 43047)
                  : (c <= 43052 || (c < 43136
                    ? (c >= 43072 && c <= 43123)
                    : c <= 43205)))))
              : (c <= 43225 || (c < 43392
                ? (c < 43261
                  ? (c < 43259
                    ? (c >= 43232 && c <= 43255)
                    : c <= 43259)
                  : (c <= 43309 || (c < 43360
                    ? (c >= 43312 && c <= 43347)
                    : c <= 43388)))
                : (c <= 43456 || (c < 43520
                  ? (c < 43488
                    ? (c >= 43471 && c <= 43481)
                    : c <= 43518)
                  : (c <= 43574 || (c >= 43584 && c <= 43597)))))))))))))))
    : (c <= 43609 || (c < 71453
      ? (c < 67594
        ? (c < 65343
          ? (c < 64298
            ? (c < 43868
              ? (c < 43777
                ? (c < 43739
                  ? (c < 43642
                    ? (c >= 43616 && c <= 43638)
                    : c <= 43714)
                  : (c <= 43741 || (c < 43762
                    ? (c >= 43744 && c <= 43759)
                    : c <= 43766)))
                : (c <= 43782 || (c < 43808
                  ? (c < 43793
                    ? (c >= 43785 && c <= 43790)
                    : c <= 43798)
                  : (c <= 43814 || (c < 43824
                    ? (c >= 43816 && c <= 43822)
                    : c <= 43866)))))
              : (c <= 43881 || (c < 55243
                ? (c < 44016
                  ? (c < 44012
                    ? (c >= 43888 && c <= 44010)
                    : c <= 44013)
                  : (c <= 44025 || (c < 55216
                    ? (c >= 44032 && c <= 55203)
                    : c <= 55238)))
                : (c <= 55291 || (c < 64256
                  ? (c < 64112
                    ? (c >= 63744 && c <= 64109)
                    : c <= 64217)
                  : (c <= 64262 || (c < 64285
                    ? (c >= 64275 && c <= 64279)
                    : c <= 64296)))))))
            : (c <= 64310 || (c < 65056
              ? (c < 64467
                ? (c < 64320
                  ? (c < 64318
                    ? (c >= 64312 && c <= 64316)
                    : c <= 64318)
                  : (c <= 64321 || (c < 64326
                    ? (c >= 64323 && c <= 64324)
                    : c <= 64433)))
                : (c <= 64605 || (c < 64914
                  ? (c < 64848
                    ? (c >= 64612 && c <= 64829)
                    : c <= 64911)
                  : (c <= 64967 || (c < 65024
                    ? (c >= 65008 && c <= 65017)
                    : c <= 65039)))))
              : (c <= 65071 || (c < 65145
                ? (c < 65137
                  ? (c < 65101
                    ? (c >= 65075 && c <= 65076)
                    : c <= 65103)
                  : (c <= 65137 || (c < 65143
                    ? c == 65139
                    : c <= 65143)))
                : (c <= 65145 || (c < 65151
                  ? (c < 65149
                    ? c == 65147
                    : c <= 65149)
                  : (c <= 65276 || (c < 65313
                    ? (c >= 65296 && c <= 65305)
                    : c <= 65338)))))))))
          : (c <= 65343 || (c < 66504
            ? (c < 65616
              ? (c < 65498
                ? (c < 65474
                  ? (c < 65382
                    ? (c >= 65345 && c <= 65370)
                    : c <= 65470)
                  : (c <= 65479 || (c < 65490
                    ? (c >= 65482 && c <= 65487)
                    : c <= 65495)))
                : (c <= 65500 || (c < 65576
                  ? (c < 65549
                    ? (c >= 65536 && c <= 65547)
                    : c <= 65574)
                  : (c <= 65594 || (c < 65599
                    ? (c >= 65596 && c <= 65597)
                    : c <= 65613)))))
              : (c <= 65629 || (c < 66272
                ? (c < 66045
                  ? (c < 65856
                    ? (c >= 65664 && c <= 65786)
                    : c <= 65908)
                  : (c <= 66045 || (c < 66208
                    ? (c >= 66176 && c <= 66204)
                    : c <= 66256)))
                : (c <= 66272 || (c < 66384
                  ? (c < 66349
                    ? (c >= 66304 && c <= 66335)
                    : c <= 66378)
                  : (c <= 66426 || (c < 66464
                    ? (c >= 66432 && c <= 66461)
                    : c <= 66499)))))))
            : (c <= 66511 || (c < 66967
              ? (c < 66816
                ? (c < 66720
                  ? (c < 66560
                    ? (c >= 66513 && c <= 66517)
                    : c <= 66717)
                  : (c <= 66729 || (c < 66776
                    ? (c >= 66736 && c <= 66771)
                    : c <= 66811)))
                : (c <= 66855 || (c < 66940
                  ? (c < 66928
                    ? (c >= 66864 && c <= 66915)
                    : c <= 66938)
                  : (c <= 66954 || (c < 66964
                    ? (c >= 66956 && c <= 66962)
                    : c <= 66965)))))
              : (c <= 66977 || (c < 67424
                ? (c < 67003
                  ? (c < 66995
                    ? (c >= 66979 && c <= 66993)
                    : c <= 67001)
                  : (c <= 67004 || (c < 67392
                    ? (c >= 67072 && c <= 67382)
                    : c <= 67413)))
                : (c <= 67431 || (c < 67506
                  ? (c < 67463
                    ? (c >= 67456 && c <= 67461)
                    : c <= 67504)
                  : (c <= 67514 || (c < 67592
                    ? (c >= 67584 && c <= 67589)
                    : c <= 67592)))))))))))
        : (c <= 67637 || (c < 69942
          ? (c < 68416
            ? (c < 68096
              ? (c < 67808
                ? (c < 67647
                  ? (c < 67644
                    ? (c >= 67639 && c <= 67640)
                    : c <= 67644)
                  : (c <= 67669 || (c < 67712
                    ? (c >= 67680 && c <= 67702)
                    : c <= 67742)))
                : (c <= 67826 || (c < 67872
                  ? (c < 67840
                    ? (c >= 67828 && c <= 67829)
                    : c <= 67861)
                  : (c <= 67897 || (c < 68030
                    ? (c >= 67968 && c <= 68023)
                    : c <= 68031)))))
              : (c <= 68099 || (c < 68159
                ? (c < 68117
                  ? (c < 68108
                    ? (c >= 68101 && c <= 68102)
                    : c <= 68115)
                  : (c <= 68119 || (c < 68152
                    ? (c >= 68121 && c <= 68149)
                    : c <= 68154)))
                : (c <= 68159 || (c < 68288
                  ? (c < 68224
                    ? (c >= 68192 && c <= 68220)
                    : c <= 68252)
                  : (c <= 68295 || (c < 68352
                    ? (c >= 68297 && c <= 68326)
                    : c <= 68405)))))))
            : (c <= 68437 || (c < 69415
              ? (c < 68864
                ? (c < 68608
                  ? (c < 68480
                    ? (c >= 68448 && c <= 68466)
                    : c <= 68497)
                  : (c <= 68680 || (c < 68800
                    ? (c >= 68736 && c <= 68786)
                    : c <= 68850)))
                : (c <= 68903 || (c < 69291
                  ? (c < 69248
                    ? (c >= 68912 && c <= 68921)
                    : c <= 69289)
                  : (c <= 69292 || (c < 69376
                    ? (c >= 69296 && c <= 69297)
                    : c <= 69404)))))
              : (c <= 69415 || (c < 69734
                ? (c < 69552
                  ? (c < 69488
                    ? (c >= 69424 && c <= 69456)
                    : c <= 69509)
                  : (c <= 69572 || (c < 69632
                    ? (c >= 69600 && c <= 69622)
                    : c <= 69702)))
                : (c <= 69749 || (c < 69840
                  ? (c < 69826
                    ? (c >= 69759 && c <= 69818)
                    : c <= 69826)
                  : (c <= 69864 || (c < 69888
                    ? (c >= 69872 && c <= 69881)
                    : c <= 69940)))))))))
          : (c <= 69951 || (c < 70453
            ? (c < 70280
              ? (c < 70094
                ? (c < 70006
                  ? (c < 69968
                    ? (c >= 69956 && c <= 69959)
                    : c <= 70003)
                  : (c <= 70006 || (c < 70089
                    ? (c >= 70016 && c <= 70084)
                    : c <= 70092)))
                : (c <= 70106 || (c < 70163
                  ? (c < 70144
                    ? c == 70108
                    : c <= 70161)
                  : (c <= 70199 || (c < 70272
                    ? c == 70206
                    : c <= 70278)))))
              : (c <= 70280 || (c < 70400
                ? (c < 70303
                  ? (c < 70287
                    ? (c >= 70282 && c <= 70285)
                    : c <= 70301)
                  : (c <= 70312 || (c < 70384
                    ? (c >= 70320 && c <= 70378)
                    : c <= 70393)))
                : (c <= 70403 || (c < 70419
                  ? (c < 70415
                    ? (c >= 70405 && c <= 70412)
                    : c <= 70416)
                  : (c <= 70440 || (c < 70450
                    ? (c >= 70442 && c <= 70448)
                    : c <= 70451)))))))
            : (c <= 70457 || (c < 70784
              ? (c < 70493
                ? (c < 70475
                  ? (c < 70471
                    ? (c >= 70459 && c <= 70468)
                    : c <= 70472)
                  : (c <= 70477 || (c < 70487
                    ? c == 70480
                    : c <= 70487)))
                : (c <= 70499 || (c < 70656
                  ? (c < 70512
                    ? (c >= 70502 && c <= 70508)
                    : c <= 70516)
                  : (c <= 70730 || (c < 70750
                    ? (c >= 70736 && c <= 70745)
                    : c <= 70753)))))
              : (c <= 70853 || (c < 71168
                ? (c < 71040
                  ? (c < 70864
                    ? c == 70855
                    : c <= 70873)
                  : (c <= 71093 || (c < 71128
                    ? (c >= 71096 && c <= 71104)
                    : c <= 71133)))
                : (c <= 71232 || (c < 71296
                  ? (c < 71248
                    ? c == 71236
                    : c <= 71257)
                  : (c <= 71352 || (c < 71424
                    ? (c >= 71360 && c <= 71369)
                    : c <= 71450)))))))))))))
      : (c <= 71467 || (c < 119973
        ? (c < 77824
          ? (c < 72760
            ? (c < 72016
              ? (c < 71945
                ? (c < 71680
                  ? (c < 71488
                    ? (c >= 71472 && c <= 71481)
                    : c <= 71494)
                  : (c <= 71738 || (c < 71935
                    ? (c >= 71840 && c <= 71913)
                    : c <= 71942)))
                : (c <= 71945 || (c < 71960
                  ? (c < 71957
                    ? (c >= 71948 && c <= 71955)
                    : c <= 71958)
                  : (c <= 71989 || (c < 71995
                    ? (c >= 71991 && c <= 71992)
                    : c <= 72003)))))
              : (c <= 72025 || (c < 72263
                ? (c < 72154
                  ? (c < 72106
                    ? (c >= 72096 && c <= 72103)
                    : c <= 72151)
                  : (c <= 72161 || (c < 72192
                    ? (c >= 72163 && c <= 72164)
                    : c <= 72254)))
                : (c <= 72263 || (c < 72368
                  ? (c < 72349
                    ? (c >= 72272 && c <= 72345)
                    : c <= 72349)
                  : (c <= 72440 || (c < 72714
                    ? (c >= 72704 && c <= 72712)
                    : c <= 72758)))))))
            : (c <= 72768 || (c < 73056
              ? (c < 72968
                ? (c < 72850
                  ? (c < 72818
                    ? (c >= 72784 && c <= 72793)
                    : c <= 72847)
                  : (c <= 72871 || (c < 72960
                    ? (c >= 72873 && c <= 72886)
                    : c <= 72966)))
                : (c <= 72969 || (c < 73020
                  ? (c < 73018
                    ? (c >= 72971 && c <= 73014)
                    : c <= 73018)
                  : (c <= 73021 || (c < 73040
                    ? (c >= 73023 && c <= 73031)
                    : c <= 73049)))))
              : (c <= 73061 || (c < 73440
                ? (c < 73104
                  ? (c < 73066
                    ? (c >= 73063 && c <= 73064)
                    : c <= 73102)
                  : (c <= 73105 || (c < 73120
                    ? (c >= 73107 && c <= 73112)
                    : c <= 73129)))
                : (c <= 73462 || (c < 74752
                  ? (c < 73728
                    ? c == 73648
                    : c <= 74649)
                  : (c <= 74862 || (c < 77712
                    ? (c >= 74880 && c <= 75075)
                    : c <= 77808)))))))))
          : (c <= 78894 || (c < 110576
            ? (c < 93027
              ? (c < 92864
                ? (c < 92736
                  ? (c < 92160
                    ? (c >= 82944 && c <= 83526)
                    : c <= 92728)
                  : (c <= 92766 || (c < 92784
                    ? (c >= 92768 && c <= 92777)
                    : c <= 92862)))
                : (c <= 92873 || (c < 92928
                  ? (c < 92912
                    ? (c >= 92880 && c <= 92909)
                    : c <= 92916)
                  : (c <= 92982 || (c < 93008
                    ? (c >= 92992 && c <= 92995)
                    : c <= 93017)))))
              : (c <= 93047 || (c < 94176
                ? (c < 93952
                  ? (c < 93760
                    ? (c >= 93053 && c <= 93071)
                    : c <= 93823)
                  : (c <= 94026 || (c < 94095
                    ? (c >= 94031 && c <= 94087)
                    : c <= 94111)))
                : (c <= 94177 || (c < 94208
                  ? (c < 94192
                    ? (c >= 94179 && c <= 94180)
                    : c <= 94193)
                  : (c <= 100343 || (c < 101632
                    ? (c >= 100352 && c <= 101589)
                    : c <= 101640)))))))
            : (c <= 110579 || (c < 118528
              ? (c < 110960
                ? (c < 110592
                  ? (c < 110589
                    ? (c >= 110581 && c <= 110587)
                    : c <= 110590)
                  : (c <= 110882 || (c < 110948
                    ? (c >= 110928 && c <= 110930)
                    : c <= 110951)))
                : (c <= 111355 || (c < 113792
                  ? (c < 113776
                    ? (c >= 113664 && c <= 113770)
                    : c <= 113788)
                  : (c <= 113800 || (c < 113821
                    ? (c >= 113808 && c <= 113817)
                    : c <= 113822)))))
              : (c <= 118573 || (c < 119210
                ? (c < 119149
                  ? (c < 119141
                    ? (c >= 118576 && c <= 118598)
                    : c <= 119145)
                  : (c <= 119154 || (c < 119173
                    ? (c >= 119163 && c <= 119170)
                    : c <= 119179)))
                : (c <= 119213 || (c < 119894
                  ? (c < 119808
                    ? (c >= 119362 && c <= 119364)
                    : c <= 119892)
                  : (c <= 119964 || (c < 119970
                    ? (c >= 119966 && c <= 119967)
                    : c <= 119970)))))))))))
        : (c <= 119974 || (c < 124912
          ? (c < 120746
            ? (c < 120134
              ? (c < 120071
                ? (c < 119995
                  ? (c < 119982
                    ? (c >= 119977 && c <= 119980)
                    : c <= 119993)
                  : (c <= 119995 || (c < 120005
                    ? (c >= 119997 && c <= 120003)
                    : c <= 120069)))
                : (c <= 120074 || (c < 120094
                  ? (c < 120086
                    ? (c >= 120077 && c <= 120084)
                    : c <= 120092)
                  : (c <= 120121 || (c < 120128
                    ? (c >= 120123 && c <= 120126)
                    : c <= 120132)))))
              : (c <= 120134 || (c < 120572
                ? (c < 120488
                  ? (c < 120146
                    ? (c >= 120138 && c <= 120144)
                    : c <= 120485)
                  : (c <= 120512 || (c < 120540
                    ? (c >= 120514 && c <= 120538)
                    : c <= 120570)))
                : (c <= 120596 || (c < 120656
                  ? (c < 120630
                    ? (c >= 120598 && c <= 120628)
                    : c <= 120654)
                  : (c <= 120686 || (c < 120714
                    ? (c >= 120688 && c <= 120712)
                    : c <= 120744)))))))
            : (c <= 120770 || (c < 122907
              ? (c < 121476
                ? (c < 121344
                  ? (c < 120782
                    ? (c >= 120772 && c <= 120779)
                    : c <= 120831)
                  : (c <= 121398 || (c < 121461
                    ? (c >= 121403 && c <= 121452)
                    : c <= 121461)))
                : (c <= 121476 || (c < 122624
                  ? (c < 121505
                    ? (c >= 121499 && c <= 121503)
                    : c <= 121519)
                  : (c <= 122654 || (c < 122888
                    ? (c >= 122880 && c <= 122886)
                    : c <= 122904)))))
              : (c <= 122913 || (c < 123214
                ? (c < 123136
                  ? (c < 122918
                    ? (c >= 122915 && c <= 122916)
                    : c <= 122922)
                  : (c <= 123180 || (c < 123200
                    ? (c >= 123184 && c <= 123197)
                    : c <= 123209)))
                : (c <= 123214 || (c < 124896
                  ? (c < 123584
                    ? (c >= 123536 && c <= 123566)
                    : c <= 123641)
                  : (c <= 124902 || (c < 124909
                    ? (c >= 124904 && c <= 124907)
                    : c <= 124910)))))))))
          : (c <= 124926 || (c < 126557
            ? (c < 126521
              ? (c < 126469
                ? (c < 125184
                  ? (c < 125136
                    ? (c >= 124928 && c <= 125124)
                    : c <= 125142)
                  : (c <= 125259 || (c < 126464
                    ? (c >= 125264 && c <= 125273)
                    : c <= 126467)))
                : (c <= 126495 || (c < 126503
                  ? (c < 126500
                    ? (c >= 126497 && c <= 126498)
                    : c <= 126500)
                  : (c <= 126503 || (c < 126516
                    ? (c >= 126505 && c <= 126514)
                    : c <= 126519)))))
              : (c <= 126521 || (c < 126541
                ? (c < 126535
                  ? (c < 126530
                    ? c == 126523
                    : c <= 126530)
                  : (c <= 126535 || (c < 126539
                    ? c == 126537
                    : c <= 126539)))
                : (c <= 126543 || (c < 126551
                  ? (c < 126548
                    ? (c >= 126545 && c <= 126546)
                    : c <= 126548)
                  : (c <= 126551 || (c < 126555
                    ? c == 126553
                    : c <= 126555)))))))
            : (c <= 126557 || (c < 126629
              ? (c < 126580
                ? (c < 126564
                  ? (c < 126561
                    ? c == 126559
                    : c <= 126562)
                  : (c <= 126564 || (c < 126572
                    ? (c >= 126567 && c <= 126570)
                    : c <= 126578)))
                : (c <= 126583 || (c < 126592
                  ? (c < 126590
                    ? (c >= 126585 && c <= 126588)
                    : c <= 126590)
                  : (c <= 126601 || (c < 126625
                    ? (c >= 126603 && c <= 126619)
                    : c <= 126627)))))
              : (c <= 126633 || (c < 178208
                ? (c < 131072
                  ? (c < 130032
                    ? (c >= 126635 && c <= 126651)
                    : c <= 130041)
                  : (c <= 173791 || (c < 177984
                    ? (c >= 173824 && c <= 177976)
                    : c <= 178205)))
                : (c <= 183969 || (c < 196608
                  ? (c < 194560
                    ? (c >= 183984 && c <= 191456)
                    : c <= 195101)
                  : (c <= 201546 || (c >= 917760 && c <= 917999)))))))))))))))));
}

static inline bool sym_identifier_character_set_19(int32_t c) {
  return (c < 43600
    ? (c < 3776
      ? (c < 2738
        ? (c < 1984
          ? (c < 910
            ? (c < 216
              ? (c < 'a'
                ? (c < '5'
                  ? (c < '0'
                    ? c == '$'
                    : c <= '3')
                  : (c <= '9' || (c < '_'
                    ? (c >= 'A' && c <= 'Z')
                    : c <= '_')))
                : (c <= 'z' || (c < 183
                  ? (c < 181
                    ? c == 170
                    : c <= 181)
                  : (c <= 183 || (c < 192
                    ? c == 186
                    : c <= 214)))))
              : (c <= 246 || (c < 768
                ? (c < 736
                  ? (c < 710
                    ? (c >= 248 && c <= 705)
                    : c <= 721)
                  : (c <= 740 || (c < 750
                    ? c == 748
                    : c <= 750)))
                : (c <= 884 || (c < 895
                  ? (c < 891
                    ? (c >= 886 && c <= 887)
                    : c <= 893)
                  : (c <= 895 || (c < 908
                    ? (c >= 902 && c <= 906)
                    : c <= 908)))))))
            : (c <= 929 || (c < 1479
              ? (c < 1369
                ? (c < 1155
                  ? (c < 1015
                    ? (c >= 931 && c <= 1013)
                    : c <= 1153)
                  : (c <= 1159 || (c < 1329
                    ? (c >= 1162 && c <= 1327)
                    : c <= 1366)))
                : (c <= 1369 || (c < 1471
                  ? (c < 1425
                    ? (c >= 1376 && c <= 1416)
                    : c <= 1469)
                  : (c <= 1471 || (c < 1476
                    ? (c >= 1473 && c <= 1474)
                    : c <= 1477)))))
              : (c <= 1479 || (c < 1749
                ? (c < 1552
                  ? (c < 1519
                    ? (c >= 1488 && c <= 1514)
                    : c <= 1522)
                  : (c <= 1562 || (c < 1646
                    ? (c >= 1568 && c <= 1641)
                    : c <= 1747)))
                : (c <= 1756 || (c < 1791
                  ? (c < 1770
                    ? (c >= 1759 && c <= 1768)
                    : c <= 1788)
                  : (c <= 1791 || (c < 1869
                    ? (c >= 1808 && c <= 1866)
                    : c <= 1969)))))))))
          : (c <= 2037 || (c < 2534
            ? (c < 2437
              ? (c < 2160
                ? (c < 2048
                  ? (c < 2045
                    ? c == 2042
                    : c <= 2045)
                  : (c <= 2093 || (c < 2144
                    ? (c >= 2112 && c <= 2139)
                    : c <= 2154)))
                : (c <= 2183 || (c < 2275
                  ? (c < 2200
                    ? (c >= 2185 && c <= 2190)
                    : c <= 2273)
                  : (c <= 2403 || (c < 2417
                    ? (c >= 2406 && c <= 2415)
                    : c <= 2435)))))
              : (c <= 2444 || (c < 2492
                ? (c < 2474
                  ? (c < 2451
                    ? (c >= 2447 && c <= 2448)
                    : c <= 2472)
                  : (c <= 2480 || (c < 2486
                    ? c == 2482
                    : c <= 2489)))
                : (c <= 2500 || (c < 2519
                  ? (c < 2507
                    ? (c >= 2503 && c <= 2504)
                    : c <= 2510)
                  : (c <= 2519 || (c < 2527
                    ? (c >= 2524 && c <= 2525)
                    : c <= 2531)))))))
            : (c <= 2545 || (c < 2622
              ? (c < 2579
                ? (c < 2561
                  ? (c < 2558
                    ? c == 2556
                    : c <= 2558)
                  : (c <= 2563 || (c < 2575
                    ? (c >= 2565 && c <= 2570)
                    : c <= 2576)))
                : (c <= 2600 || (c < 2613
                  ? (c < 2610
                    ? (c >= 2602 && c <= 2608)
                    : c <= 2611)
                  : (c <= 2614 || (c < 2620
                    ? (c >= 2616 && c <= 2617)
                    : c <= 2620)))))
              : (c <= 2626 || (c < 2662
                ? (c < 2641
                  ? (c < 2635
                    ? (c >= 2631 && c <= 2632)
                    : c <= 2637)
                  : (c <= 2641 || (c < 2654
                    ? (c >= 2649 && c <= 2652)
                    : c <= 2654)))
                : (c <= 2677 || (c < 2703
                  ? (c < 2693
                    ? (c >= 2689 && c <= 2691)
                    : c <= 2701)
                  : (c <= 2705 || (c < 2730
                    ? (c >= 2707 && c <= 2728)
                    : c <= 2736)))))))))))
        : (c <= 2739 || (c < 3160
          ? (c < 2946
            ? (c < 2835
              ? (c < 2784
                ? (c < 2759
                  ? (c < 2748
                    ? (c >= 2741 && c <= 2745)
                    : c <= 2757)
                  : (c <= 2761 || (c < 2768
                    ? (c >= 2763 && c <= 2765)
                    : c <= 2768)))
                : (c <= 2787 || (c < 2817
                  ? (c < 2809
                    ? (c >= 2790 && c <= 2799)
                    : c <= 2815)
                  : (c <= 2819 || (c < 2831
                    ? (c >= 2821 && c <= 2828)
                    : c <= 2832)))))
              : (c <= 2856 || (c < 2891
                ? (c < 2869
                  ? (c < 2866
                    ? (c >= 2858 && c <= 2864)
                    : c <= 2867)
                  : (c <= 2873 || (c < 2887
                    ? (c >= 2876 && c <= 2884)
                    : c <= 2888)))
                : (c <= 2893 || (c < 2911
                  ? (c < 2908
                    ? (c >= 2901 && c <= 2903)
                    : c <= 2909)
                  : (c <= 2915 || (c < 2929
                    ? (c >= 2918 && c <= 2927)
                    : c <= 2929)))))))
            : (c <= 2947 || (c < 3018
              ? (c < 2974
                ? (c < 2962
                  ? (c < 2958
                    ? (c >= 2949 && c <= 2954)
                    : c <= 2960)
                  : (c <= 2965 || (c < 2972
                    ? (c >= 2969 && c <= 2970)
                    : c <= 2972)))
                : (c <= 2975 || (c < 2990
                  ? (c < 2984
                    ? (c >= 2979 && c <= 2980)
                    : c <= 2986)
                  : (c <= 3001 || (c < 3014
                    ? (c >= 3006 && c <= 3010)
                    : c <= 3016)))))
              : (c <= 3021 || (c < 3090
                ? (c < 3046
                  ? (c < 3031
                    ? c == 3024
                    : c <= 3031)
                  : (c <= 3055 || (c < 3086
                    ? (c >= 3072 && c <= 3084)
                    : c <= 3088)))
                : (c <= 3112 || (c < 3142
                  ? (c < 3132
                    ? (c >= 3114 && c <= 3129)
                    : c <= 3140)
                  : (c <= 3144 || (c < 3157
                    ? (c >= 3146 && c <= 3149)
                    : c <= 3158)))))))))
          : (c <= 3162 || (c < 3423
            ? (c < 3274
              ? (c < 3214
                ? (c < 3174
                  ? (c < 3168
                    ? c == 3165
                    : c <= 3171)
                  : (c <= 3183 || (c < 3205
                    ? (c >= 3200 && c <= 3203)
                    : c <= 3212)))
                : (c <= 3216 || (c < 3253
                  ? (c < 3242
                    ? (c >= 3218 && c <= 3240)
                    : c <= 3251)
                  : (c <= 3257 || (c < 3270
                    ? (c >= 3260 && c <= 3268)
                    : c <= 3272)))))
              : (c <= 3277 || (c < 3328
                ? (c < 3296
                  ? (c < 3293
                    ? (c >= 3285 && c <= 3286)
                    : c <= 3294)
                  : (c <= 3299 || (c < 3313
                    ? (c >= 3302 && c <= 3311)
                    : c <= 3314)))
                : (c <= 3340 || (c < 3398
                  ? (c < 3346
                    ? (c >= 3342 && c <= 3344)
                    : c <= 3396)
                  : (c <= 3400 || (c < 3412
                    ? (c >= 3402 && c <= 3406)
                    : c <= 3415)))))))
            : (c <= 3427 || (c < 3544
              ? (c < 3507
                ? (c < 3457
                  ? (c < 3450
                    ? (c >= 3430 && c <= 3439)
                    : c <= 3455)
                  : (c <= 3459 || (c < 3482
                    ? (c >= 3461 && c <= 3478)
                    : c <= 3505)))
                : (c <= 3515 || (c < 3530
                  ? (c < 3520
                    ? c == 3517
                    : c <= 3526)
                  : (c <= 3530 || (c < 3542
                    ? (c >= 3535 && c <= 3540)
                    : c <= 3542)))))
              : (c <= 3551 || (c < 3713
                ? (c < 3585
                  ? (c < 3570
                    ? (c >= 3558 && c <= 3567)
                    : c <= 3571)
                  : (c <= 3642 || (c < 3664
                    ? (c >= 3648 && c <= 3662)
                    : c <= 3673)))
                : (c <= 3714 || (c < 3724
                  ? (c < 3718
                    ? c == 3716
                    : c <= 3722)
                  : (c <= 3747 || (c < 3751
                    ? c == 3749
                    : c <= 3773)))))))))))))
      : (c <= 3780 || (c < 8016
        ? (c < 5870
          ? (c < 4682
            ? (c < 3913
              ? (c < 3864
                ? (c < 3792
                  ? (c < 3784
                    ? c == 3782
                    : c <= 3789)
                  : (c <= 3801 || (c < 3840
                    ? (c >= 3804 && c <= 3807)
                    : c <= 3840)))
                : (c <= 3865 || (c < 3895
                  ? (c < 3893
                    ? (c >= 3872 && c <= 3881)
                    : c <= 3893)
                  : (c <= 3895 || (c < 3902
                    ? c == 3897
                    : c <= 3911)))))
              : (c <= 3948 || (c < 4176
                ? (c < 3993
                  ? (c < 3974
                    ? (c >= 3953 && c <= 3972)
                    : c <= 3991)
                  : (c <= 4028 || (c < 4096
                    ? c == 4038
                    : c <= 4169)))
                : (c <= 4253 || (c < 4301
                  ? (c < 4295
                    ? (c >= 4256 && c <= 4293)
                    : c <= 4295)
                  : (c <= 4301 || (c < 4348
                    ? (c >= 4304 && c <= 4346)
                    : c <= 4680)))))))
            : (c <= 4685 || (c < 4824
              ? (c < 4752
                ? (c < 4698
                  ? (c < 4696
                    ? (c >= 4688 && c <= 4694)
                    : c <= 4696)
                  : (c <= 4701 || (c < 4746
                    ? (c >= 4704 && c <= 4744)
                    : c <= 4749)))
                : (c <= 4784 || (c < 4800
                  ? (c < 4792
                    ? (c >= 4786 && c <= 4789)
                    : c <= 4798)
                  : (c <= 4800 || (c < 4808
                    ? (c >= 4802 && c <= 4805)
                    : c <= 4822)))))
              : (c <= 4880 || (c < 5024
                ? (c < 4957
                  ? (c < 4888
                    ? (c >= 4882 && c <= 4885)
                    : c <= 4954)
                  : (c <= 4959 || (c < 4992
                    ? (c >= 4969 && c <= 4977)
                    : c <= 5007)))
                : (c <= 5109 || (c < 5743
                  ? (c < 5121
                    ? (c >= 5112 && c <= 5117)
                    : c <= 5740)
                  : (c <= 5759 || (c < 5792
                    ? (c >= 5761 && c <= 5786)
                    : c <= 5866)))))))))
          : (c <= 5880 || (c < 6656
            ? (c < 6159
              ? (c < 6002
                ? (c < 5952
                  ? (c < 5919
                    ? (c >= 5888 && c <= 5909)
                    : c <= 5940)
                  : (c <= 5971 || (c < 5998
                    ? (c >= 5984 && c <= 5996)
                    : c <= 6000)))
                : (c <= 6003 || (c < 6108
                  ? (c < 6103
                    ? (c >= 6016 && c <= 6099)
                    : c <= 6103)
                  : (c <= 6109 || (c < 6155
                    ? (c >= 6112 && c <= 6121)
                    : c <= 6157)))))
              : (c <= 6169 || (c < 6448
                ? (c < 6320
                  ? (c < 6272
                    ? (c >= 6176 && c <= 6264)
                    : c <= 6314)
                  : (c <= 6389 || (c < 6432
                    ? (c >= 6400 && c <= 6430)
                    : c <= 6443)))
                : (c <= 6459 || (c < 6528
                  ? (c < 6512
                    ? (c >= 6470 && c <= 6509)
                    : c <= 6516)
                  : (c <= 6571 || (c < 6608
                    ? (c >= 6576 && c <= 6601)
                    : c <= 6618)))))))
            : (c <= 6683 || (c < 7168
              ? (c < 6832
                ? (c < 6783
                  ? (c < 6752
                    ? (c >= 6688 && c <= 6750)
                    : c <= 6780)
                  : (c <= 6793 || (c < 6823
                    ? (c >= 6800 && c <= 6809)
                    : c <= 6823)))
                : (c <= 6845 || (c < 6992
                  ? (c < 6912
                    ? (c >= 6847 && c <= 6862)
                    : c <= 6988)
                  : (c <= 7001 || (c < 7040
                    ? (c >= 7019 && c <= 7027)
                    : c <= 7155)))))
              : (c <= 7223 || (c < 7376
                ? (c < 7296
                  ? (c < 7245
                    ? (c >= 7232 && c <= 7241)
                    : c <= 7293)
                  : (c <= 7304 || (c < 7357
                    ? (c >= 7312 && c <= 7354)
                    : c <= 7359)))
                : (c <= 7378 || (c < 7960
                  ? (c < 7424
                    ? (c >= 7380 && c <= 7418)
                    : c <= 7957)
                  : (c <= 7965 || (c < 8008
                    ? (c >= 7968 && c <= 8005)
                    : c <= 8013)))))))))))
        : (c <= 8023 || (c < 11712
          ? (c < 8455
            ? (c < 8160
              ? (c < 8118
                ? (c < 8029
                  ? (c < 8027
                    ? c == 8025
                    : c <= 8027)
                  : (c <= 8029 || (c < 8064
                    ? (c >= 8031 && c <= 8061)
                    : c <= 8116)))
                : (c <= 8124 || (c < 8134
                  ? (c < 8130
                    ? c == 8126
                    : c <= 8132)
                  : (c <= 8140 || (c < 8150
                    ? (c >= 8144 && c <= 8147)
                    : c <= 8155)))))
              : (c <= 8172 || (c < 8319
                ? (c < 8255
                  ? (c < 8182
                    ? (c >= 8178 && c <= 8180)
                    : c <= 8188)
                  : (c <= 8256 || (c < 8305
                    ? c == 8276
                    : c <= 8305)))
                : (c <= 8319 || (c < 8417
                  ? (c < 8400
                    ? (c >= 8336 && c <= 8348)
                    : c <= 8412)
                  : (c <= 8417 || (c < 8450
                    ? (c >= 8421 && c <= 8432)
                    : c <= 8450)))))))
            : (c <= 8455 || (c < 11264
              ? (c < 8488
                ? (c < 8472
                  ? (c < 8469
                    ? (c >= 8458 && c <= 8467)
                    : c <= 8469)
                  : (c <= 8477 || (c < 8486
                    ? c == 8484
                    : c <= 8486)))
                : (c <= 8488 || (c < 8517
                  ? (c < 8508
                    ? (c >= 8490 && c <= 8505)
                    : c <= 8511)
                  : (c <= 8521 || (c < 8544
                    ? c == 8526
                    : c <= 8584)))))
              : (c <= 11492 || (c < 11631
                ? (c < 11559
                  ? (c < 11520
                    ? (c >= 11499 && c <= 11507)
                    : c <= 11557)
                  : (c <= 11559 || (c < 11568
                    ? c == 11565
                    : c <= 11623)))
                : (c <= 11631 || (c < 11688
                  ? (c < 11680
                    ? (c >= 11647 && c <= 11670)
                    : c <= 11686)
                  : (c <= 11694 || (c < 11704
                    ? (c >= 11696 && c <= 11702)
                    : c <= 11710)))))))))
          : (c <= 11718 || (c < 42612
            ? (c < 12449
              ? (c < 12321
                ? (c < 11736
                  ? (c < 11728
                    ? (c >= 11720 && c <= 11726)
                    : c <= 11734)
                  : (c <= 11742 || (c < 12293
                    ? (c >= 11744 && c <= 11775)
                    : c <= 12295)))
                : (c <= 12335 || (c < 12353
                  ? (c < 12344
                    ? (c >= 12337 && c <= 12341)
                    : c <= 12348)
                  : (c <= 12438 || (c < 12445
                    ? (c >= 12441 && c <= 12442)
                    : c <= 12447)))))
              : (c <= 12538 || (c < 13312
                ? (c < 12593
                  ? (c < 12549
                    ? (c >= 12540 && c <= 12543)
                    : c <= 12591)
                  : (c <= 12686 || (c < 12784
                    ? (c >= 12704 && c <= 12735)
                    : c <= 12799)))
                : (c <= 19903 || (c < 42240
                  ? (c < 42192
                    ? (c >= 19968 && c <= 42124)
                    : c <= 42237)
                  : (c <= 42508 || (c < 42560
                    ? (c >= 42512 && c <= 42539)
                    : c <= 42607)))))))
            : (c <= 42621 || (c < 43216
              ? (c < 42963
                ? (c < 42786
                  ? (c < 42775
                    ? (c >= 42623 && c <= 42737)
                    : c <= 42783)
                  : (c <= 42888 || (c < 42960
                    ? (c >= 42891 && c <= 42954)
                    : c <= 42961)))
                : (c <= 42963 || (c < 43052
                  ? (c < 42994
                    ? (c >= 42965 && c <= 42969)
                    : c <= 43047)
                  : (c <= 43052 || (c < 43136
                    ? (c >= 43072 && c <= 43123)
                    : c <= 43205)))))
              : (c <= 43225 || (c < 43392
                ? (c < 43261
                  ? (c < 43259
                    ? (c >= 43232 && c <= 43255)
                    : c <= 43259)
                  : (c <= 43309 || (c < 43360
                    ? (c >= 43312 && c <= 43347)
                    : c <= 43388)))
                : (c <= 43456 || (c < 43520
                  ? (c < 43488
                    ? (c >= 43471 && c <= 43481)
                    : c <= 43518)
                  : (c <= 43574 || (c >= 43584 && c <= 43597)))))))))))))))
    : (c <= 43609 || (c < 71453
      ? (c < 67594
        ? (c < 65343
          ? (c < 64298
            ? (c < 43868
              ? (c < 43777
                ? (c < 43739
                  ? (c < 43642
                    ? (c >= 43616 && c <= 43638)
                    : c <= 43714)
                  : (c <= 43741 || (c < 43762
                    ? (c >= 43744 && c <= 43759)
                    : c <= 43766)))
                : (c <= 43782 || (c < 43808
                  ? (c < 43793
                    ? (c >= 43785 && c <= 43790)
                    : c <= 43798)
                  : (c <= 43814 || (c < 43824
                    ? (c >= 43816 && c <= 43822)
                    : c <= 43866)))))
              : (c <= 43881 || (c < 55243
                ? (c < 44016
                  ? (c < 44012
                    ? (c >= 43888 && c <= 44010)
                    : c <= 44013)
                  : (c <= 44025 || (c < 55216
                    ? (c >= 44032 && c <= 55203)
                    : c <= 55238)))
                : (c <= 55291 || (c < 64256
                  ? (c < 64112
                    ? (c >= 63744 && c <= 64109)
                    : c <= 64217)
                  : (c <= 64262 || (c < 64285
                    ? (c >= 64275 && c <= 64279)
                    : c <= 64296)))))))
            : (c <= 64310 || (c < 65056
              ? (c < 64467
                ? (c < 64320
                  ? (c < 64318
                    ? (c >= 64312 && c <= 64316)
                    : c <= 64318)
                  : (c <= 64321 || (c < 64326
                    ? (c >= 64323 && c <= 64324)
                    : c <= 64433)))
                : (c <= 64605 || (c < 64914
                  ? (c < 64848
                    ? (c >= 64612 && c <= 64829)
                    : c <= 64911)
                  : (c <= 64967 || (c < 65024
                    ? (c >= 65008 && c <= 65017)
                    : c <= 65039)))))
              : (c <= 65071 || (c < 65145
                ? (c < 65137
                  ? (c < 65101
                    ? (c >= 65075 && c <= 65076)
                    : c <= 65103)
                  : (c <= 65137 || (c < 65143
                    ? c == 65139
                    : c <= 65143)))
                : (c <= 65145 || (c < 65151
                  ? (c < 65149
                    ? c == 65147
                    : c <= 65149)
                  : (c <= 65276 || (c < 65313
                    ? (c >= 65296 && c <= 65305)
                    : c <= 65338)))))))))
          : (c <= 65343 || (c < 66504
            ? (c < 65616
              ? (c < 65498
                ? (c < 65474
                  ? (c < 65382
                    ? (c >= 65345 && c <= 65370)
                    : c <= 65470)
                  : (c <= 65479 || (c < 65490
                    ? (c >= 65482 && c <= 65487)
                    : c <= 65495)))
                : (c <= 65500 || (c < 65576
                  ? (c < 65549
                    ? (c >= 65536 && c <= 65547)
                    : c <= 65574)
                  : (c <= 65594 || (c < 65599
                    ? (c >= 65596 && c <= 65597)
                    : c <= 65613)))))
              : (c <= 65629 || (c < 66272
                ? (c < 66045
                  ? (c < 65856
                    ? (c >= 65664 && c <= 65786)
                    : c <= 65908)
                  : (c <= 66045 || (c < 66208
                    ? (c >= 66176 && c <= 66204)
                    : c <= 66256)))
                : (c <= 66272 || (c < 66384
                  ? (c < 66349
                    ? (c >= 66304 && c <= 66335)
                    : c <= 66378)
                  : (c <= 66426 || (c < 66464
                    ? (c >= 66432 && c <= 66461)
                    : c <= 66499)))))))
            : (c <= 66511 || (c < 66967
              ? (c < 66816
                ? (c < 66720
                  ? (c < 66560
                    ? (c >= 66513 && c <= 66517)
                    : c <= 66717)
                  : (c <= 66729 || (c < 66776
                    ? (c >= 66736 && c <= 66771)
                    : c <= 66811)))
                : (c <= 66855 || (c < 66940
                  ? (c < 66928
                    ? (c >= 66864 && c <= 66915)
                    : c <= 66938)
                  : (c <= 66954 || (c < 66964
                    ? (c >= 66956 && c <= 66962)
                    : c <= 66965)))))
              : (c <= 66977 || (c < 67424
                ? (c < 67003
                  ? (c < 66995
                    ? (c >= 66979 && c <= 66993)
                    : c <= 67001)
                  : (c <= 67004 || (c < 67392
                    ? (c >= 67072 && c <= 67382)
                    : c <= 67413)))
                : (c <= 67431 || (c < 67506
                  ? (c < 67463
                    ? (c >= 67456 && c <= 67461)
                    : c <= 67504)
                  : (c <= 67514 || (c < 67592
                    ? (c >= 67584 && c <= 67589)
                    : c <= 67592)))))))))))
        : (c <= 67637 || (c < 69942
          ? (c < 68416
            ? (c < 68096
              ? (c < 67808
                ? (c < 67647
                  ? (c < 67644
                    ? (c >= 67639 && c <= 67640)
                    : c <= 67644)
                  : (c <= 67669 || (c < 67712
                    ? (c >= 67680 && c <= 67702)
                    : c <= 67742)))
                : (c <= 67826 || (c < 67872
                  ? (c < 67840
                    ? (c >= 67828 && c <= 67829)
                    : c <= 67861)
                  : (c <= 67897 || (c < 68030
                    ? (c >= 67968 && c <= 68023)
                    : c <= 68031)))))
              : (c <= 68099 || (c < 68159
                ? (c < 68117
                  ? (c < 68108
                    ? (c >= 68101 && c <= 68102)
                    : c <= 68115)
                  : (c <= 68119 || (c < 68152
                    ? (c >= 68121 && c <= 68149)
                    : c <= 68154)))
                : (c <= 68159 || (c < 68288
                  ? (c < 68224
                    ? (c >= 68192 && c <= 68220)
                    : c <= 68252)
                  : (c <= 68295 || (c < 68352
                    ? (c >= 68297 && c <= 68326)
                    : c <= 68405)))))))
            : (c <= 68437 || (c < 69415
              ? (c < 68864
                ? (c < 68608
                  ? (c < 68480
                    ? (c >= 68448 && c <= 68466)
                    : c <= 68497)
                  : (c <= 68680 || (c < 68800
                    ? (c >= 68736 && c <= 68786)
                    : c <= 68850)))
                : (c <= 68903 || (c < 69291
                  ? (c < 69248
                    ? (c >= 68912 && c <= 68921)
                    : c <= 69289)
                  : (c <= 69292 || (c < 69376
                    ? (c >= 69296 && c <= 69297)
                    : c <= 69404)))))
              : (c <= 69415 || (c < 69734
                ? (c < 69552
                  ? (c < 69488
                    ? (c >= 69424 && c <= 69456)
                    : c <= 69509)
                  : (c <= 69572 || (c < 69632
                    ? (c >= 69600 && c <= 69622)
                    : c <= 69702)))
                : (c <= 69749 || (c < 69840
                  ? (c < 69826
                    ? (c >= 69759 && c <= 69818)
                    : c <= 69826)
                  : (c <= 69864 || (c < 69888
                    ? (c >= 69872 && c <= 69881)
                    : c <= 69940)))))))))
          : (c <= 69951 || (c < 70453
            ? (c < 70280
              ? (c < 70094
                ? (c < 70006
                  ? (c < 69968
                    ? (c >= 69956 && c <= 69959)
                    : c <= 70003)
                  : (c <= 70006 || (c < 70089
                    ? (c >= 70016 && c <= 70084)
                    : c <= 70092)))
                : (c <= 70106 || (c < 70163
                  ? (c < 70144
                    ? c == 70108
                    : c <= 70161)
                  : (c <= 70199 || (c < 70272
                    ? c == 70206
                    : c <= 70278)))))
              : (c <= 70280 || (c < 70400
                ? (c < 70303
                  ? (c < 70287
                    ? (c >= 70282 && c <= 70285)
                    : c <= 70301)
                  : (c <= 70312 || (c < 70384
                    ? (c >= 70320 && c <= 70378)
                    : c <= 70393)))
                : (c <= 70403 || (c < 70419
                  ? (c < 70415
                    ? (c >= 70405 && c <= 70412)
                    : c <= 70416)
                  : (c <= 70440 || (c < 70450
                    ? (c >= 70442 && c <= 70448)
                    : c <= 70451)))))))
            : (c <= 70457 || (c < 70784
              ? (c < 70493
                ? (c < 70475
                  ? (c < 70471
                    ? (c >= 70459 && c <= 70468)
                    : c <= 70472)
                  : (c <= 70477 || (c < 70487
                    ? c == 70480
                    : c <= 70487)))
                : (c <= 70499 || (c < 70656
                  ? (c < 70512
                    ? (c >= 70502 && c <= 70508)
                    : c <= 70516)
                  : (c <= 70730 || (c < 70750
                    ? (c >= 70736 && c <= 70745)
                    : c <= 70753)))))
              : (c <= 70853 || (c < 71168
                ? (c < 71040
                  ? (c < 70864
                    ? c == 70855
                    : c <= 70873)
                  : (c <= 71093 || (c < 71128
                    ? (c >= 71096 && c <= 71104)
                    : c <= 71133)))
                : (c <= 71232 || (c < 71296
                  ? (c < 71248
                    ? c == 71236
                    : c <= 71257)
                  : (c <= 71352 || (c < 71424
                    ? (c >= 71360 && c <= 71369)
                    : c <= 71450)))))))))))))
      : (c <= 71467 || (c < 119973
        ? (c < 77824
          ? (c < 72760
            ? (c < 72016
              ? (c < 71945
                ? (c < 71680
                  ? (c < 71488
                    ? (c >= 71472 && c <= 71481)
                    : c <= 71494)
                  : (c <= 71738 || (c < 71935
                    ? (c >= 71840 && c <= 71913)
                    : c <= 71942)))
                : (c <= 71945 || (c < 71960
                  ? (c < 71957
                    ? (c >= 71948 && c <= 71955)
                    : c <= 71958)
                  : (c <= 71989 || (c < 71995
                    ? (c >= 71991 && c <= 71992)
                    : c <= 72003)))))
              : (c <= 72025 || (c < 72263
                ? (c < 72154
                  ? (c < 72106
                    ? (c >= 72096 && c <= 72103)
                    : c <= 72151)
                  : (c <= 72161 || (c < 72192
                    ? (c >= 72163 && c <= 72164)
                    : c <= 72254)))
                : (c <= 72263 || (c < 72368
                  ? (c < 72349
                    ? (c >= 72272 && c <= 72345)
                    : c <= 72349)
                  : (c <= 72440 || (c < 72714
                    ? (c >= 72704 && c <= 72712)
                    : c <= 72758)))))))
            : (c <= 72768 || (c < 73056
              ? (c < 72968
                ? (c < 72850
                  ? (c < 72818
                    ? (c >= 72784 && c <= 72793)
                    : c <= 72847)
                  : (c <= 72871 || (c < 72960
                    ? (c >= 72873 && c <= 72886)
                    : c <= 72966)))
                : (c <= 72969 || (c < 73020
                  ? (c < 73018
                    ? (c >= 72971 && c <= 73014)
                    : c <= 73018)
                  : (c <= 73021 || (c < 73040
                    ? (c >= 73023 && c <= 73031)
                    : c <= 73049)))))
              : (c <= 73061 || (c < 73440
                ? (c < 73104
                  ? (c < 73066
                    ? (c >= 73063 && c <= 73064)
                    : c <= 73102)
                  : (c <= 73105 || (c < 73120
                    ? (c >= 73107 && c <= 73112)
                    : c <= 73129)))
                : (c <= 73462 || (c < 74752
                  ? (c < 73728
                    ? c == 73648
                    : c <= 74649)
                  : (c <= 74862 || (c < 77712
                    ? (c >= 74880 && c <= 75075)
                    : c <= 77808)))))))))
          : (c <= 78894 || (c < 110576
            ? (c < 93027
              ? (c < 92864
                ? (c < 92736
                  ? (c < 92160
                    ? (c >= 82944 && c <= 83526)
                    : c <= 92728)
                  : (c <= 92766 || (c < 92784
                    ? (c >= 92768 && c <= 92777)
                    : c <= 92862)))
                : (c <= 92873 || (c < 92928
                  ? (c < 92912
                    ? (c >= 92880 && c <= 92909)
                    : c <= 92916)
                  : (c <= 92982 || (c < 93008
                    ? (c >= 92992 && c <= 92995)
                    : c <= 93017)))))
              : (c <= 93047 || (c < 94176
                ? (c < 93952
                  ? (c < 93760
                    ? (c >= 93053 && c <= 93071)
                    : c <= 93823)
                  : (c <= 94026 || (c < 94095
                    ? (c >= 94031 && c <= 94087)
                    : c <= 94111)))
                : (c <= 94177 || (c < 94208
                  ? (c < 94192
                    ? (c >= 94179 && c <= 94180)
                    : c <= 94193)
                  : (c <= 100343 || (c < 101632
                    ? (c >= 100352 && c <= 101589)
                    : c <= 101640)))))))
            : (c <= 110579 || (c < 118528
              ? (c < 110960
                ? (c < 110592
                  ? (c < 110589
                    ? (c >= 110581 && c <= 110587)
                    : c <= 110590)
                  : (c <= 110882 || (c < 110948
                    ? (c >= 110928 && c <= 110930)
                    : c <= 110951)))
                : (c <= 111355 || (c < 113792
                  ? (c < 113776
                    ? (c >= 113664 && c <= 113770)
                    : c <= 113788)
                  : (c <= 113800 || (c < 113821
                    ? (c >= 113808 && c <= 113817)
                    : c <= 113822)))))
              : (c <= 118573 || (c < 119210
                ? (c < 119149
                  ? (c < 119141
                    ? (c >= 118576 && c <= 118598)
                    : c <= 119145)
                  : (c <= 119154 || (c < 119173
                    ? (c >= 119163 && c <= 119170)
                    : c <= 119179)))
                : (c <= 119213 || (c < 119894
                  ? (c < 119808
                    ? (c >= 119362 && c <= 119364)
                    : c <= 119892)
                  : (c <= 119964 || (c < 119970
                    ? (c >= 119966 && c <= 119967)
                    : c <= 119970)))))))))))
        : (c <= 119974 || (c < 124912
          ? (c < 120746
            ? (c < 120134
              ? (c < 120071
                ? (c < 119995
                  ? (c < 119982
                    ? (c >= 119977 && c <= 119980)
                    : c <= 119993)
                  : (c <= 119995 || (c < 120005
                    ? (c >= 119997 && c <= 120003)
                    : c <= 120069)))
                : (c <= 120074 || (c < 120094
                  ? (c < 120086
                    ? (c >= 120077 && c <= 120084)
                    : c <= 120092)
                  : (c <= 120121 || (c < 120128
                    ? (c >= 120123 && c <= 120126)
                    : c <= 120132)))))
              : (c <= 120134 || (c < 120572
                ? (c < 120488
                  ? (c < 120146
                    ? (c >= 120138 && c <= 120144)
                    : c <= 120485)
                  : (c <= 120512 || (c < 120540
                    ? (c >= 120514 && c <= 120538)
                    : c <= 120570)))
                : (c <= 120596 || (c < 120656
                  ? (c < 120630
                    ? (c >= 120598 && c <= 120628)
                    : c <= 120654)
                  : (c <= 120686 || (c < 120714
                    ? (c >= 120688 && c <= 120712)
                    : c <= 120744)))))))
            : (c <= 120770 || (c < 122907
              ? (c < 121476
                ? (c < 121344
                  ? (c < 120782
                    ? (c >= 120772 && c <= 120779)
                    : c <= 120831)
                  : (c <= 121398 || (c < 121461
                    ? (c >= 121403 && c <= 121452)
                    : c <= 121461)))
                : (c <= 121476 || (c < 122624
                  ? (c < 121505
                    ? (c >= 121499 && c <= 121503)
                    : c <= 121519)
                  : (c <= 122654 || (c < 122888
                    ? (c >= 122880 && c <= 122886)
                    : c <= 122904)))))
              : (c <= 122913 || (c < 123214
                ? (c < 123136
                  ? (c < 122918
                    ? (c >= 122915 && c <= 122916)
                    : c <= 122922)
                  : (c <= 123180 || (c < 123200
                    ? (c >= 123184 && c <= 123197)
                    : c <= 123209)))
                : (c <= 123214 || (c < 124896
                  ? (c < 123584
                    ? (c >= 123536 && c <= 123566)
                    : c <= 123641)
                  : (c <= 124902 || (c < 124909
                    ? (c >= 124904 && c <= 124907)
                    : c <= 124910)))))))))
          : (c <= 124926 || (c < 126557
            ? (c < 126521
              ? (c < 126469
                ? (c < 125184
                  ? (c < 125136
                    ? (c >= 124928 && c <= 125124)
                    : c <= 125142)
                  : (c <= 125259 || (c < 126464
                    ? (c >= 125264 && c <= 125273)
                    : c <= 126467)))
                : (c <= 126495 || (c < 126503
                  ? (c < 126500
                    ? (c >= 126497 && c <= 126498)
                    : c <= 126500)
                  : (c <= 126503 || (c < 126516
                    ? (c >= 126505 && c <= 126514)
                    : c <= 126519)))))
              : (c <= 126521 || (c < 126541
                ? (c < 126535
                  ? (c < 126530
                    ? c == 126523
                    : c <= 126530)
                  : (c <= 126535 || (c < 126539
                    ? c == 126537
                    : c <= 126539)))
                : (c <= 126543 || (c < 126551
                  ? (c < 126548
                    ? (c >= 126545 && c <= 126546)
                    : c <= 126548)
                  : (c <= 126551 || (c < 126555
                    ? c == 126553
                    : c <= 126555)))))))
            : (c <= 126557 || (c < 126629
              ? (c < 126580
                ? (c < 126564
                  ? (c < 126561
                    ? c == 126559
                    : c <= 126562)
                  : (c <= 126564 || (c < 126572
                    ? (c >= 126567 && c <= 126570)
                    : c <= 126578)))
                : (c <= 126583 || (c < 126592
                  ? (c < 126590
                    ? (c >= 126585 && c <= 126588)
                    : c <= 126590)
                  : (c <= 126601 || (c < 126625
                    ? (c >= 126603 && c <= 126619)
                    : c <= 126627)))))
              : (c <= 126633 || (c < 178208
                ? (c < 131072
                  ? (c < 130032
                    ? (c >= 126635 && c <= 126651)
                    : c <= 130041)
                  : (c <= 173791 || (c < 177984
                    ? (c >= 173824 && c <= 177976)
                    : c <= 178205)))
                : (c <= 183969 || (c < 196608
                  ? (c < 194560
                    ? (c >= 183984 && c <= 191456)
                    : c <= 195101)
                  : (c <= 201546 || (c >= 917760 && c <= 917999)))))))))))))))));
}

static inline bool sym_identifier_character_set_20(int32_t c) {
  return (c < 43600
    ? (c < 3776
      ? (c < 2738
        ? (c < 1984
          ? (c < 910
            ? (c < 216
              ? (c < 'a'
                ? (c < '7'
                  ? (c < '0'
                    ? c == '$'
                    : c <= '5')
                  : (c <= '9' || (c < '_'
                    ? (c >= 'A' && c <= 'Z')
                    : c <= '_')))
                : (c <= 'z' || (c < 183
                  ? (c < 181
                    ? c == 170
                    : c <= 181)
                  : (c <= 183 || (c < 192
                    ? c == 186
                    : c <= 214)))))
              : (c <= 246 || (c < 768
                ? (c < 736
                  ? (c < 710
                    ? (c >= 248 && c <= 705)
                    : c <= 721)
                  : (c <= 740 || (c < 750
                    ? c == 748
                    : c <= 750)))
                : (c <= 884 || (c < 895
                  ? (c < 891
                    ? (c >= 886 && c <= 887)
                    : c <= 893)
                  : (c <= 895 || (c < 908
                    ? (c >= 902 && c <= 906)
                    : c <= 908)))))))
            : (c <= 929 || (c < 1479
              ? (c < 1369
                ? (c < 1155
                  ? (c < 1015
                    ? (c >= 931 && c <= 1013)
                    : c <= 1153)
                  : (c <= 1159 || (c < 1329
                    ? (c >= 1162 && c <= 1327)
                    : c <= 1366)))
                : (c <= 1369 || (c < 1471
                  ? (c < 1425
                    ? (c >= 1376 && c <= 1416)
                    : c <= 1469)
                  : (c <= 1471 || (c < 1476
                    ? (c >= 1473 && c <= 1474)
                    : c <= 1477)))))
              : (c <= 1479 || (c < 1749
                ? (c < 1552
                  ? (c < 1519
                    ? (c >= 1488 && c <= 1514)
                    : c <= 1522)
                  : (c <= 1562 || (c < 1646
                    ? (c >= 1568 && c <= 1641)
                    : c <= 1747)))
                : (c <= 1756 || (c < 1791
                  ? (c < 1770
                    ? (c >= 1759 && c <= 1768)
                    : c <= 1788)
                  : (c <= 1791 || (c < 1869
                    ? (c >= 1808 && c <= 1866)
                    : c <= 1969)))))))))
          : (c <= 2037 || (c < 2534
            ? (c < 2437
              ? (c < 2160
                ? (c < 2048
                  ? (c < 2045
                    ? c == 2042
                    : c <= 2045)
                  : (c <= 2093 || (c < 2144
                    ? (c >= 2112 && c <= 2139)
                    : c <= 2154)))
                : (c <= 2183 || (c < 2275
                  ? (c < 2200
                    ? (c >= 2185 && c <= 2190)
                    : c <= 2273)
                  : (c <= 2403 || (c < 2417
                    ? (c >= 2406 && c <= 2415)
                    : c <= 2435)))))
              : (c <= 2444 || (c < 2492
                ? (c < 2474
                  ? (c < 2451
                    ? (c >= 2447 && c <= 2448)
                    : c <= 2472)
                  : (c <= 2480 || (c < 2486
                    ? c == 2482
                    : c <= 2489)))
                : (c <= 2500 || (c < 2519
                  ? (c < 2507
                    ? (c >= 2503 && c <= 2504)
                    : c <= 2510)
                  : (c <= 2519 || (c < 2527
                    ? (c >= 2524 && c <= 2525)
                    : c <= 2531)))))))
            : (c <= 2545 || (c < 2622
              ? (c < 2579
                ? (c < 2561
                  ? (c < 2558
                    ? c == 2556
                    : c <= 2558)
                  : (c <= 2563 || (c < 2575
                    ? (c >= 2565 && c <= 2570)
                    : c <= 2576)))
                : (c <= 2600 || (c < 2613
                  ? (c < 2610
                    ? (c >= 2602 && c <= 2608)
                    : c <= 2611)
                  : (c <= 2614 || (c < 2620
                    ? (c >= 2616 && c <= 2617)
                    : c <= 2620)))))
              : (c <= 2626 || (c < 2662
                ? (c < 2641
                  ? (c < 2635
                    ? (c >= 2631 && c <= 2632)
                    : c <= 2637)
                  : (c <= 2641 || (c < 2654
                    ? (c >= 2649 && c <= 2652)
                    : c <= 2654)))
                : (c <= 2677 || (c < 2703
                  ? (c < 2693
                    ? (c >= 2689 && c <= 2691)
                    : c <= 2701)
                  : (c <= 2705 || (c < 2730
                    ? (c >= 2707 && c <= 2728)
                    : c <= 2736)))))))))))
        : (c <= 2739 || (c < 3160
          ? (c < 2946
            ? (c < 2835
              ? (c < 2784
                ? (c < 2759
                  ? (c < 2748
                    ? (c >= 2741 && c <= 2745)
                    : c <= 2757)
                  : (c <= 2761 || (c < 2768
                    ? (c >= 2763 && c <= 2765)
                    : c <= 2768)))
                : (c <= 2787 || (c < 2817
                  ? (c < 2809
                    ? (c >= 2790 && c <= 2799)
                    : c <= 2815)
                  : (c <= 2819 || (c < 2831
                    ? (c >= 2821 && c <= 2828)
                    : c <= 2832)))))
              : (c <= 2856 || (c < 2891
                ? (c < 2869
                  ? (c < 2866
                    ? (c >= 2858 && c <= 2864)
                    : c <= 2867)
                  : (c <= 2873 || (c < 2887
                    ? (c >= 2876 && c <= 2884)
                    : c <= 2888)))
                : (c <= 2893 || (c < 2911
                  ? (c < 2908
                    ? (c >= 2901 && c <= 2903)
                    : c <= 2909)
                  : (c <= 2915 || (c < 2929
                    ? (c >= 2918 && c <= 2927)
                    : c <= 2929)))))))
            : (c <= 2947 || (c < 3018
              ? (c < 2974
                ? (c < 2962
                  ? (c < 2958
                    ? (c >= 2949 && c <= 2954)
                    : c <= 2960)
                  : (c <= 2965 || (c < 2972
                    ? (c >= 2969 && c <= 2970)
                    : c <= 2972)))
                : (c <= 2975 || (c < 2990
                  ? (c < 2984
                    ? (c >= 2979 && c <= 2980)
                    : c <= 2986)
                  : (c <= 3001 || (c < 3014
                    ? (c >= 3006 && c <= 3010)
                    : c <= 3016)))))
              : (c <= 3021 || (c < 3090
                ? (c < 3046
                  ? (c < 3031
                    ? c == 3024
                    : c <= 3031)
                  : (c <= 3055 || (c < 3086
                    ? (c >= 3072 && c <= 3084)
                    : c <= 3088)))
                : (c <= 3112 || (c < 3142
                  ? (c < 3132
                    ? (c >= 3114 && c <= 3129)
                    : c <= 3140)
                  : (c <= 3144 || (c < 3157
                    ? (c >= 3146 && c <= 3149)
                    : c <= 3158)))))))))
          : (c <= 3162 || (c < 3423
            ? (c < 3274
              ? (c < 3214
                ? (c < 3174
                  ? (c < 3168
                    ? c == 3165
                    : c <= 3171)
                  : (c <= 3183 || (c < 3205
                    ? (c >= 3200 && c <= 3203)
                    : c <= 3212)))
                : (c <= 3216 || (c < 3253
                  ? (c < 3242
                    ? (c >= 3218 && c <= 3240)
                    : c <= 3251)
                  : (c <= 3257 || (c < 3270
                    ? (c >= 3260 && c <= 3268)
                    : c <= 3272)))))
              : (c <= 3277 || (c < 3328
                ? (c < 3296
                  ? (c < 3293
                    ? (c >= 3285 && c <= 3286)
                    : c <= 3294)
                  : (c <= 3299 || (c < 3313
                    ? (c >= 3302 && c <= 3311)
                    : c <= 3314)))
                : (c <= 3340 || (c < 3398
                  ? (c < 3346
                    ? (c >= 3342 && c <= 3344)
                    : c <= 3396)
                  : (c <= 3400 || (c < 3412
                    ? (c >= 3402 && c <= 3406)
                    : c <= 3415)))))))
            : (c <= 3427 || (c < 3544
              ? (c < 3507
                ? (c < 3457
                  ? (c < 3450
                    ? (c >= 3430 && c <= 3439)
                    : c <= 3455)
                  : (c <= 3459 || (c < 3482
                    ? (c >= 3461 && c <= 3478)
                    : c <= 3505)))
                : (c <= 3515 || (c < 3530
                  ? (c < 3520
                    ? c == 3517
                    : c <= 3526)
                  : (c <= 3530 || (c < 3542
                    ? (c >= 3535 && c <= 3540)
                    : c <= 3542)))))
              : (c <= 3551 || (c < 3713
                ? (c < 3585
                  ? (c < 3570
                    ? (c >= 3558 && c <= 3567)
                    : c <= 3571)
                  : (c <= 3642 || (c < 3664
                    ? (c >= 3648 && c <= 3662)
                    : c <= 3673)))
                : (c <= 3714 || (c < 3724
                  ? (c < 3718
                    ? c == 3716
                    : c <= 3722)
                  : (c <= 3747 || (c < 3751
                    ? c == 3749
                    : c <= 3773)))))))))))))
      : (c <= 3780 || (c < 8016
        ? (c < 5870
          ? (c < 4682
            ? (c < 3913
              ? (c < 3864
                ? (c < 3792
                  ? (c < 3784
                    ? c == 3782
                    : c <= 3789)
                  : (c <= 3801 || (c < 3840
                    ? (c >= 3804 && c <= 3807)
                    : c <= 3840)))
                : (c <= 3865 || (c < 3895
                  ? (c < 3893
                    ? (c >= 3872 && c <= 3881)
                    : c <= 3893)
                  : (c <= 3895 || (c < 3902
                    ? c == 3897
                    : c <= 3911)))))
              : (c <= 3948 || (c < 4176
                ? (c < 3993
                  ? (c < 3974
                    ? (c >= 3953 && c <= 3972)
                    : c <= 3991)
                  : (c <= 4028 || (c < 4096
                    ? c == 4038
                    : c <= 4169)))
                : (c <= 4253 || (c < 4301
                  ? (c < 4295
                    ? (c >= 4256 && c <= 4293)
                    : c <= 4295)
                  : (c <= 4301 || (c < 4348
                    ? (c >= 4304 && c <= 4346)
                    : c <= 4680)))))))
            : (c <= 4685 || (c < 4824
              ? (c < 4752
                ? (c < 4698
                  ? (c < 4696
                    ? (c >= 4688 && c <= 4694)
                    : c <= 4696)
                  : (c <= 4701 || (c < 4746
                    ? (c >= 4704 && c <= 4744)
                    : c <= 4749)))
                : (c <= 4784 || (c < 4800
                  ? (c < 4792
                    ? (c >= 4786 && c <= 4789)
                    : c <= 4798)
                  : (c <= 4800 || (c < 4808
                    ? (c >= 4802 && c <= 4805)
                    : c <= 4822)))))
              : (c <= 4880 || (c < 5024
                ? (c < 4957
                  ? (c < 4888
                    ? (c >= 4882 && c <= 4885)
                    : c <= 4954)
                  : (c <= 4959 || (c < 4992
                    ? (c >= 4969 && c <= 4977)
                    : c <= 5007)))
                : (c <= 5109 || (c < 5743
                  ? (c < 5121
                    ? (c >= 5112 && c <= 5117)
                    : c <= 5740)
                  : (c <= 5759 || (c < 5792
                    ? (c >= 5761 && c <= 5786)
                    : c <= 5866)))))))))
          : (c <= 5880 || (c < 6656
            ? (c < 6159
              ? (c < 6002
                ? (c < 5952
                  ? (c < 5919
                    ? (c >= 5888 && c <= 5909)
                    : c <= 5940)
                  : (c <= 5971 || (c < 5998
                    ? (c >= 5984 && c <= 5996)
                    : c <= 6000)))
                : (c <= 6003 || (c < 6108
                  ? (c < 6103
                    ? (c >= 6016 && c <= 6099)
                    : c <= 6103)
                  : (c <= 6109 || (c < 6155
                    ? (c >= 6112 && c <= 6121)
                    : c <= 6157)))))
              : (c <= 6169 || (c < 6448
                ? (c < 6320
                  ? (c < 6272
                    ? (c >= 6176 && c <= 6264)
                    : c <= 6314)
                  : (c <= 6389 || (c < 6432
                    ? (c >= 6400 && c <= 6430)
                    : c <= 6443)))
                : (c <= 6459 || (c < 6528
                  ? (c < 6512
                    ? (c >= 6470 && c <= 6509)
                    : c <= 6516)
                  : (c <= 6571 || (c < 6608
                    ? (c >= 6576 && c <= 6601)
                    : c <= 6618)))))))
            : (c <= 6683 || (c < 7168
              ? (c < 6832
                ? (c < 6783
                  ? (c < 6752
                    ? (c >= 6688 && c <= 6750)
                    : c <= 6780)
                  : (c <= 6793 || (c < 6823
                    ? (c >= 6800 && c <= 6809)
                    : c <= 6823)))
                : (c <= 6845 || (c < 6992
                  ? (c < 6912
                    ? (c >= 6847 && c <= 6862)
                    : c <= 6988)
                  : (c <= 7001 || (c < 7040
                    ? (c >= 7019 && c <= 7027)
                    : c <= 7155)))))
              : (c <= 7223 || (c < 7376
                ? (c < 7296
                  ? (c < 7245
                    ? (c >= 7232 && c <= 7241)
                    : c <= 7293)
                  : (c <= 7304 || (c < 7357
                    ? (c >= 7312 && c <= 7354)
                    : c <= 7359)))
                : (c <= 7378 || (c < 7960
                  ? (c < 7424
                    ? (c >= 7380 && c <= 7418)
                    : c <= 7957)
                  : (c <= 7965 || (c < 8008
                    ? (c >= 7968 && c <= 8005)
                    : c <= 8013)))))))))))
        : (c <= 8023 || (c < 11712
          ? (c < 8455
            ? (c < 8160
              ? (c < 8118
                ? (c < 8029
                  ? (c < 8027
                    ? c == 8025
                    : c <= 8027)
                  : (c <= 8029 || (c < 8064
                    ? (c >= 8031 && c <= 8061)
                    : c <= 8116)))
                : (c <= 8124 || (c < 8134
                  ? (c < 8130
                    ? c == 8126
                    : c <= 8132)
                  : (c <= 8140 || (c < 8150
                    ? (c >= 8144 && c <= 8147)
                    : c <= 8155)))))
              : (c <= 8172 || (c < 8319
                ? (c < 8255
                  ? (c < 8182
                    ? (c >= 8178 && c <= 8180)
                    : c <= 8188)
                  : (c <= 8256 || (c < 8305
                    ? c == 8276
                    : c <= 8305)))
                : (c <= 8319 || (c < 8417
                  ? (c < 8400
                    ? (c >= 8336 && c <= 8348)
                    : c <= 8412)
                  : (c <= 8417 || (c < 8450
                    ? (c >= 8421 && c <= 8432)
                    : c <= 8450)))))))
            : (c <= 8455 || (c < 11264
              ? (c < 8488
                ? (c < 8472
                  ? (c < 8469
                    ? (c >= 8458 && c <= 8467)
                    : c <= 8469)
                  : (c <= 8477 || (c < 8486
                    ? c == 8484
                    : c <= 8486)))
                : (c <= 8488 || (c < 8517
                  ? (c < 8508
                    ? (c >= 8490 && c <= 8505)
                    : c <= 8511)
                  : (c <= 8521 || (c < 8544
                    ? c == 8526
                    : c <= 8584)))))
              : (c <= 11492 || (c < 11631
                ? (c < 11559
                  ? (c < 11520
                    ? (c >= 11499 && c <= 11507)
                    : c <= 11557)
                  : (c <= 11559 || (c < 11568
                    ? c == 11565
                    : c <= 11623)))
                : (c <= 11631 || (c < 11688
                  ? (c < 11680
                    ? (c >= 11647 && c <= 11670)
                    : c <= 11686)
                  : (c <= 11694 || (c < 11704
                    ? (c >= 11696 && c <= 11702)
                    : c <= 11710)))))))))
          : (c <= 11718 || (c < 42612
            ? (c < 12449
              ? (c < 12321
                ? (c < 11736
                  ? (c < 11728
                    ? (c >= 11720 && c <= 11726)
                    : c <= 11734)
                  : (c <= 11742 || (c < 12293
                    ? (c >= 11744 && c <= 11775)
                    : c <= 12295)))
                : (c <= 12335 || (c < 12353
                  ? (c < 12344
                    ? (c >= 12337 && c <= 12341)
                    : c <= 12348)
                  : (c <= 12438 || (c < 12445
                    ? (c >= 12441 && c <= 12442)
                    : c <= 12447)))))
              : (c <= 12538 || (c < 13312
                ? (c < 12593
                  ? (c < 12549
                    ? (c >= 12540 && c <= 12543)
                    : c <= 12591)
                  : (c <= 12686 || (c < 12784
                    ? (c >= 12704 && c <= 12735)
                    : c <= 12799)))
                : (c <= 19903 || (c < 42240
                  ? (c < 42192
                    ? (c >= 19968 && c <= 42124)
                    : c <= 42237)
                  : (c <= 42508 || (c < 42560
                    ? (c >= 42512 && c <= 42539)
                    : c <= 42607)))))))
            : (c <= 42621 || (c < 43216
              ? (c < 42963
                ? (c < 42786
                  ? (c < 42775
                    ? (c >= 42623 && c <= 42737)
                    : c <= 42783)
                  : (c <= 42888 || (c < 42960
                    ? (c >= 42891 && c <= 42954)
                    : c <= 42961)))
                : (c <= 42963 || (c < 43052
                  ? (c < 42994
                    ? (c >= 42965 && c <= 42969)
                    : c <= 43047)
                  : (c <= 43052 || (c < 43136
                    ? (c >= 43072 && c <= 43123)
                    : c <= 43205)))))
              : (c <= 43225 || (c < 43392
                ? (c < 43261
                  ? (c < 43259
                    ? (c >= 43232 && c <= 43255)
                    : c <= 43259)
                  : (c <= 43309 || (c < 43360
                    ? (c >= 43312 && c <= 43347)
                    : c <= 43388)))
                : (c <= 43456 || (c < 43520
                  ? (c < 43488
                    ? (c >= 43471 && c <= 43481)
                    : c <= 43518)
                  : (c <= 43574 || (c >= 43584 && c <= 43597)))))))))))))))
    : (c <= 43609 || (c < 71453
      ? (c < 67594
        ? (c < 65343
          ? (c < 64298
            ? (c < 43868
              ? (c < 43777
                ? (c < 43739
                  ? (c < 43642
                    ? (c >= 43616 && c <= 43638)
                    : c <= 43714)
                  : (c <= 43741 || (c < 43762
                    ? (c >= 43744 && c <= 43759)
                    : c <= 43766)))
                : (c <= 43782 || (c < 43808
                  ? (c < 43793
                    ? (c >= 43785 && c <= 43790)
                    : c <= 43798)
                  : (c <= 43814 || (c < 43824
                    ? (c >= 43816 && c <= 43822)
                    : c <= 43866)))))
              : (c <= 43881 || (c < 55243
                ? (c < 44016
                  ? (c < 44012
                    ? (c >= 43888 && c <= 44010)
                    : c <= 44013)
                  : (c <= 44025 || (c < 55216
                    ? (c >= 44032 && c <= 55203)
                    : c <= 55238)))
                : (c <= 55291 || (c < 64256
                  ? (c < 64112
                    ? (c >= 63744 && c <= 64109)
                    : c <= 64217)
                  : (c <= 64262 || (c < 64285
                    ? (c >= 64275 && c <= 64279)
                    : c <= 64296)))))))
            : (c <= 64310 || (c < 65056
              ? (c < 64467
                ? (c < 64320
                  ? (c < 64318
                    ? (c >= 64312 && c <= 64316)
                    : c <= 64318)
                  : (c <= 64321 || (c < 64326
                    ? (c >= 64323 && c <= 64324)
                    : c <= 64433)))
                : (c <= 64605 || (c < 64914
                  ? (c < 64848
                    ? (c >= 64612 && c <= 64829)
                    : c <= 64911)
                  : (c <= 64967 || (c < 65024
                    ? (c >= 65008 && c <= 65017)
                    : c <= 65039)))))
              : (c <= 65071 || (c < 65145
                ? (c < 65137
                  ? (c < 65101
                    ? (c >= 65075 && c <= 65076)
                    : c <= 65103)
                  : (c <= 65137 || (c < 65143
                    ? c == 65139
                    : c <= 65143)))
                : (c <= 65145 || (c < 65151
                  ? (c < 65149
                    ? c == 65147
                    : c <= 65149)
                  : (c <= 65276 || (c < 65313
                    ? (c >= 65296 && c <= 65305)
                    : c <= 65338)))))))))
          : (c <= 65343 || (c < 66504
            ? (c < 65616
              ? (c < 65498
                ? (c < 65474
                  ? (c < 65382
                    ? (c >= 65345 && c <= 65370)
                    : c <= 65470)
                  : (c <= 65479 || (c < 65490
                    ? (c >= 65482 && c <= 65487)
                    : c <= 65495)))
                : (c <= 65500 || (c < 65576
                  ? (c < 65549
                    ? (c >= 65536 && c <= 65547)
                    : c <= 65574)
                  : (c <= 65594 || (c < 65599
                    ? (c >= 65596 && c <= 65597)
                    : c <= 65613)))))
              : (c <= 65629 || (c < 66272
                ? (c < 66045
                  ? (c < 65856
                    ? (c >= 65664 && c <= 65786)
                    : c <= 65908)
                  : (c <= 66045 || (c < 66208
                    ? (c >= 66176 && c <= 66204)
                    : c <= 66256)))
                : (c <= 66272 || (c < 66384
                  ? (c < 66349
                    ? (c >= 66304 && c <= 66335)
                    : c <= 66378)
                  : (c <= 66426 || (c < 66464
                    ? (c >= 66432 && c <= 66461)
                    : c <= 66499)))))))
            : (c <= 66511 || (c < 66967
              ? (c < 66816
                ? (c < 66720
                  ? (c < 66560
                    ? (c >= 66513 && c <= 66517)
                    : c <= 66717)
                  : (c <= 66729 || (c < 66776
                    ? (c >= 66736 && c <= 66771)
                    : c <= 66811)))
                : (c <= 66855 || (c < 66940
                  ? (c < 66928
                    ? (c >= 66864 && c <= 66915)
                    : c <= 66938)
                  : (c <= 66954 || (c < 66964
                    ? (c >= 66956 && c <= 66962)
                    : c <= 66965)))))
              : (c <= 66977 || (c < 67424
                ? (c < 67003
                  ? (c < 66995
                    ? (c >= 66979 && c <= 66993)
                    : c <= 67001)
                  : (c <= 67004 || (c < 67392
                    ? (c >= 67072 && c <= 67382)
                    : c <= 67413)))
                : (c <= 67431 || (c < 67506
                  ? (c < 67463
                    ? (c >= 67456 && c <= 67461)
                    : c <= 67504)
                  : (c <= 67514 || (c < 67592
                    ? (c >= 67584 && c <= 67589)
                    : c <= 67592)))))))))))
        : (c <= 67637 || (c < 69942
          ? (c < 68416
            ? (c < 68096
              ? (c < 67808
                ? (c < 67647
                  ? (c < 67644
                    ? (c >= 67639 && c <= 67640)
                    : c <= 67644)
                  : (c <= 67669 || (c < 67712
                    ? (c >= 67680 && c <= 67702)
                    : c <= 67742)))
                : (c <= 67826 || (c < 67872
                  ? (c < 67840
                    ? (c >= 67828 && c <= 67829)
                    : c <= 67861)
                  : (c <= 67897 || (c < 68030
                    ? (c >= 67968 && c <= 68023)
                    : c <= 68031)))))
              : (c <= 68099 || (c < 68159
                ? (c < 68117
                  ? (c < 68108
                    ? (c >= 68101 && c <= 68102)
                    : c <= 68115)
                  : (c <= 68119 || (c < 68152
                    ? (c >= 68121 && c <= 68149)
                    : c <= 68154)))
                : (c <= 68159 || (c < 68288
                  ? (c < 68224
                    ? (c >= 68192 && c <= 68220)
                    : c <= 68252)
                  : (c <= 68295 || (c < 68352
                    ? (c >= 68297 && c <= 68326)
                    : c <= 68405)))))))
            : (c <= 68437 || (c < 69415
              ? (c < 68864
                ? (c < 68608
                  ? (c < 68480
                    ? (c >= 68448 && c <= 68466)
                    : c <= 68497)
                  : (c <= 68680 || (c < 68800
                    ? (c >= 68736 && c <= 68786)
                    : c <= 68850)))
                : (c <= 68903 || (c < 69291
                  ? (c < 69248
                    ? (c >= 68912 && c <= 68921)
                    : c <= 69289)
                  : (c <= 69292 || (c < 69376
                    ? (c >= 69296 && c <= 69297)
                    : c <= 69404)))))
              : (c <= 69415 || (c < 69734
                ? (c < 69552
                  ? (c < 69488
                    ? (c >= 69424 && c <= 69456)
                    : c <= 69509)
                  : (c <= 69572 || (c < 69632
                    ? (c >= 69600 && c <= 69622)
                    : c <= 69702)))
                : (c <= 69749 || (c < 69840
                  ? (c < 69826
                    ? (c >= 69759 && c <= 69818)
                    : c <= 69826)
                  : (c <= 69864 || (c < 69888
                    ? (c >= 69872 && c <= 69881)
                    : c <= 69940)))))))))
          : (c <= 69951 || (c < 70453
            ? (c < 70280
              ? (c < 70094
                ? (c < 70006
                  ? (c < 69968
                    ? (c >= 69956 && c <= 69959)
                    : c <= 70003)
                  : (c <= 70006 || (c < 70089
                    ? (c >= 70016 && c <= 70084)
                    : c <= 70092)))
                : (c <= 70106 || (c < 70163
                  ? (c < 70144
                    ? c == 70108
                    : c <= 70161)
                  : (c <= 70199 || (c < 70272
                    ? c == 70206
                    : c <= 70278)))))
              : (c <= 70280 || (c < 70400
                ? (c < 70303
                  ? (c < 70287
                    ? (c >= 70282 && c <= 70285)
                    : c <= 70301)
                  : (c <= 70312 || (c < 70384
                    ? (c >= 70320 && c <= 70378)
                    : c <= 70393)))
                : (c <= 70403 || (c < 70419
                  ? (c < 70415
                    ? (c >= 70405 && c <= 70412)
                    : c <= 70416)
                  : (c <= 70440 || (c < 70450
                    ? (c >= 70442 && c <= 70448)
                    : c <= 70451)))))))
            : (c <= 70457 || (c < 70784
              ? (c < 70493
                ? (c < 70475
                  ? (c < 70471
                    ? (c >= 70459 && c <= 70468)
                    : c <= 70472)
                  : (c <= 70477 || (c < 70487
                    ? c == 70480
                    : c <= 70487)))
                : (c <= 70499 || (c < 70656
                  ? (c < 70512
                    ? (c >= 70502 && c <= 70508)
                    : c <= 70516)
                  : (c <= 70730 || (c < 70750
                    ? (c >= 70736 && c <= 70745)
                    : c <= 70753)))))
              : (c <= 70853 || (c < 71168
                ? (c < 71040
                  ? (c < 70864
                    ? c == 70855
                    : c <= 70873)
                  : (c <= 71093 || (c < 71128
                    ? (c >= 71096 && c <= 71104)
                    : c <= 71133)))
                : (c <= 71232 || (c < 71296
                  ? (c < 71248
                    ? c == 71236
                    : c <= 71257)
                  : (c <= 71352 || (c < 71424
                    ? (c >= 71360 && c <= 71369)
                    : c <= 71450)))))))))))))
      : (c <= 71467 || (c < 119973
        ? (c < 77824
          ? (c < 72760
            ? (c < 72016
              ? (c < 71945
                ? (c < 71680
                  ? (c < 71488
                    ? (c >= 71472 && c <= 71481)
                    : c <= 71494)
                  : (c <= 71738 || (c < 71935
                    ? (c >= 71840 && c <= 71913)
                    : c <= 71942)))
                : (c <= 71945 || (c < 71960
                  ? (c < 71957
                    ? (c >= 71948 && c <= 71955)
                    : c <= 71958)
                  : (c <= 71989 || (c < 71995
                    ? (c >= 71991 && c <= 71992)
                    : c <= 72003)))))
              : (c <= 72025 || (c < 72263
                ? (c < 72154
                  ? (c < 72106
                    ? (c >= 72096 && c <= 72103)
                    : c <= 72151)
                  : (c <= 72161 || (c < 72192
                    ? (c >= 72163 && c <= 72164)
                    : c <= 72254)))
                : (c <= 72263 || (c < 72368
                  ? (c < 72349
                    ? (c >= 72272 && c <= 72345)
                    : c <= 72349)
                  : (c <= 72440 || (c < 72714
                    ? (c >= 72704 && c <= 72712)
                    : c <= 72758)))))))
            : (c <= 72768 || (c < 73056
              ? (c < 72968
                ? (c < 72850
                  ? (c < 72818
                    ? (c >= 72784 && c <= 72793)
                    : c <= 72847)
                  : (c <= 72871 || (c < 72960
                    ? (c >= 72873 && c <= 72886)
                    : c <= 72966)))
                : (c <= 72969 || (c < 73020
                  ? (c < 73018
                    ? (c >= 72971 && c <= 73014)
                    : c <= 73018)
                  : (c <= 73021 || (c < 73040
                    ? (c >= 73023 && c <= 73031)
                    : c <= 73049)))))
              : (c <= 73061 || (c < 73440
                ? (c < 73104
                  ? (c < 73066
                    ? (c >= 73063 && c <= 73064)
                    : c <= 73102)
                  : (c <= 73105 || (c < 73120
                    ? (c >= 73107 && c <= 73112)
                    : c <= 73129)))
                : (c <= 73462 || (c < 74752
                  ? (c < 73728
                    ? c == 73648
                    : c <= 74649)
                  : (c <= 74862 || (c < 77712
                    ? (c >= 74880 && c <= 75075)
                    : c <= 77808)))))))))
          : (c <= 78894 || (c < 110576
            ? (c < 93027
              ? (c < 92864
                ? (c < 92736
                  ? (c < 92160
                    ? (c >= 82944 && c <= 83526)
                    : c <= 92728)
                  : (c <= 92766 || (c < 92784
                    ? (c >= 92768 && c <= 92777)
                    : c <= 92862)))
                : (c <= 92873 || (c < 92928
                  ? (c < 92912
                    ? (c >= 92880 && c <= 92909)
                    : c <= 92916)
                  : (c <= 92982 || (c < 93008
                    ? (c >= 92992 && c <= 92995)
                    : c <= 93017)))))
              : (c <= 93047 || (c < 94176
                ? (c < 93952
                  ? (c < 93760
                    ? (c >= 93053 && c <= 93071)
                    : c <= 93823)
                  : (c <= 94026 || (c < 94095
                    ? (c >= 94031 && c <= 94087)
                    : c <= 94111)))
                : (c <= 94177 || (c < 94208
                  ? (c < 94192
                    ? (c >= 94179 && c <= 94180)
                    : c <= 94193)
                  : (c <= 100343 || (c < 101632
                    ? (c >= 100352 && c <= 101589)
                    : c <= 101640)))))))
            : (c <= 110579 || (c < 118528
              ? (c < 110960
                ? (c < 110592
                  ? (c < 110589
                    ? (c >= 110581 && c <= 110587)
                    : c <= 110590)
                  : (c <= 110882 || (c < 110948
                    ? (c >= 110928 && c <= 110930)
                    : c <= 110951)))
                : (c <= 111355 || (c < 113792
                  ? (c < 113776
                    ? (c >= 113664 && c <= 113770)
                    : c <= 113788)
                  : (c <= 113800 || (c < 113821
                    ? (c >= 113808 && c <= 113817)
                    : c <= 113822)))))
              : (c <= 118573 || (c < 119210
                ? (c < 119149
                  ? (c < 119141
                    ? (c >= 118576 && c <= 118598)
                    : c <= 119145)
                  : (c <= 119154 || (c < 119173
                    ? (c >= 119163 && c <= 119170)
                    : c <= 119179)))
                : (c <= 119213 || (c < 119894
                  ? (c < 119808
                    ? (c >= 119362 && c <= 119364)
                    : c <= 119892)
                  : (c <= 119964 || (c < 119970
                    ? (c >= 119966 && c <= 119967)
                    : c <= 119970)))))))))))
        : (c <= 119974 || (c < 124912
          ? (c < 120746
            ? (c < 120134
              ? (c < 120071
                ? (c < 119995
                  ? (c < 119982
                    ? (c >= 119977 && c <= 119980)
                    : c <= 119993)
                  : (c <= 119995 || (c < 120005
                    ? (c >= 119997 && c <= 120003)
                    : c <= 120069)))
                : (c <= 120074 || (c < 120094
                  ? (c < 120086
                    ? (c >= 120077 && c <= 120084)
                    : c <= 120092)
                  : (c <= 120121 || (c < 120128
                    ? (c >= 120123 && c <= 120126)
                    : c <= 120132)))))
              : (c <= 120134 || (c < 120572
                ? (c < 120488
                  ? (c < 120146
                    ? (c >= 120138 && c <= 120144)
                    : c <= 120485)
                  : (c <= 120512 || (c < 120540
                    ? (c >= 120514 && c <= 120538)
                    : c <= 120570)))
                : (c <= 120596 || (c < 120656
                  ? (c < 120630
                    ? (c >= 120598 && c <= 120628)
                    : c <= 120654)
                  : (c <= 120686 || (c < 120714
                    ? (c >= 120688 && c <= 120712)
                    : c <= 120744)))))))
            : (c <= 120770 || (c < 122907
              ? (c < 121476
                ? (c < 121344
                  ? (c < 120782
                    ? (c >= 120772 && c <= 120779)
                    : c <= 120831)
                  : (c <= 121398 || (c < 121461
                    ? (c >= 121403 && c <= 121452)
                    : c <= 121461)))
                : (c <= 121476 || (c < 122624
                  ? (c < 121505
                    ? (c >= 121499 && c <= 121503)
                    : c <= 121519)
                  : (c <= 122654 || (c < 122888
                    ? (c >= 122880 && c <= 122886)
                    : c <= 122904)))))
              : (c <= 122913 || (c < 123214
                ? (c < 123136
                  ? (c < 122918
                    ? (c >= 122915 && c <= 122916)
                    : c <= 122922)
                  : (c <= 123180 || (c < 123200
                    ? (c >= 123184 && c <= 123197)
                    : c <= 123209)))
                : (c <= 123214 || (c < 124896
                  ? (c < 123584
                    ? (c >= 123536 && c <= 123566)
                    : c <= 123641)
                  : (c <= 124902 || (c < 124909
                    ? (c >= 124904 && c <= 124907)
                    : c <= 124910)))))))))
          : (c <= 124926 || (c < 126557
            ? (c < 126521
              ? (c < 126469
                ? (c < 125184
                  ? (c < 125136
                    ? (c >= 124928 && c <= 125124)
                    : c <= 125142)
                  : (c <= 125259 || (c < 126464
                    ? (c >= 125264 && c <= 125273)
                    : c <= 126467)))
                : (c <= 126495 || (c < 126503
                  ? (c < 126500
                    ? (c >= 126497 && c <= 126498)
                    : c <= 126500)
                  : (c <= 126503 || (c < 126516
                    ? (c >= 126505 && c <= 126514)
                    : c <= 126519)))))
              : (c <= 126521 || (c < 126541
                ? (c < 126535
                  ? (c < 126530
                    ? c == 126523
                    : c <= 126530)
                  : (c <= 126535 || (c < 126539
                    ? c == 126537
                    : c <= 126539)))
                : (c <= 126543 || (c < 126551
                  ? (c < 126548
                    ? (c >= 126545 && c <= 126546)
                    : c <= 126548)
                  : (c <= 126551 || (c < 126555
                    ? c == 126553
                    : c <= 126555)))))))
            : (c <= 126557 || (c < 126629
              ? (c < 126580
                ? (c < 126564
                  ? (c < 126561
                    ? c == 126559
                    : c <= 126562)
                  : (c <= 126564 || (c < 126572
                    ? (c >= 126567 && c <= 126570)
                    : c <= 126578)))
                : (c <= 126583 || (c < 126592
                  ? (c < 126590
                    ? (c >= 126585 && c <= 126588)
                    : c <= 126590)
                  : (c <= 126601 || (c < 126625
                    ? (c >= 126603 && c <= 126619)
                    : c <= 126627)))))
              : (c <= 126633 || (c < 178208
                ? (c < 131072
                  ? (c < 130032
                    ? (c >= 126635 && c <= 126651)
                    : c <= 130041)
                  : (c <= 173791 || (c < 177984
                    ? (c >= 173824 && c <= 177976)
                    : c <= 178205)))
                : (c <= 183969 || (c < 196608
                  ? (c < 194560
                    ? (c >= 183984 && c <= 191456)
                    : c <= 195101)
                  : (c <= 201546 || (c >= 917760 && c <= 917999)))))))))))))))));
}

static inline bool sym_identifier_character_set_21(int32_t c) {
  return (c < 43600
    ? (c < 3776
      ? (c < 2738
        ? (c < 1984
          ? (c < 910
            ? (c < 216
              ? (c < 'a'
                ? (c < 'A'
                  ? (c < '0'
                    ? c == '$'
                    : c <= '9')
                  : (c <= 'D' || (c < '_'
                    ? (c >= 'F' && c <= 'Z')
                    : c <= '_')))
                : (c <= 'z' || (c < 183
                  ? (c < 181
                    ? c == 170
                    : c <= 181)
                  : (c <= 183 || (c < 192
                    ? c == 186
                    : c <= 214)))))
              : (c <= 246 || (c < 768
                ? (c < 736
                  ? (c < 710
                    ? (c >= 248 && c <= 705)
                    : c <= 721)
                  : (c <= 740 || (c < 750
                    ? c == 748
                    : c <= 750)))
                : (c <= 884 || (c < 895
                  ? (c < 891
                    ? (c >= 886 && c <= 887)
                    : c <= 893)
                  : (c <= 895 || (c < 908
                    ? (c >= 902 && c <= 906)
                    : c <= 908)))))))
            : (c <= 929 || (c < 1479
              ? (c < 1369
                ? (c < 1155
                  ? (c < 1015
                    ? (c >= 931 && c <= 1013)
                    : c <= 1153)
                  : (c <= 1159 || (c < 1329
                    ? (c >= 1162 && c <= 1327)
                    : c <= 1366)))
                : (c <= 1369 || (c < 1471
                  ? (c < 1425
                    ? (c >= 1376 && c <= 1416)
                    : c <= 1469)
                  : (c <= 1471 || (c < 1476
                    ? (c >= 1473 && c <= 1474)
                    : c <= 1477)))))
              : (c <= 1479 || (c < 1749
                ? (c < 1552
                  ? (c < 1519
                    ? (c >= 1488 && c <= 1514)
                    : c <= 1522)
                  : (c <= 1562 || (c < 1646
                    ? (c >= 1568 && c <= 1641)
                    : c <= 1747)))
                : (c <= 1756 || (c < 1791
                  ? (c < 1770
                    ? (c >= 1759 && c <= 1768)
                    : c <= 1788)
                  : (c <= 1791 || (c < 1869
                    ? (c >= 1808 && c <= 1866)
                    : c <= 1969)))))))))
          : (c <= 2037 || (c < 2534
            ? (c < 2437
              ? (c < 2160
                ? (c < 2048
                  ? (c < 2045
                    ? c == 2042
                    : c <= 2045)
                  : (c <= 2093 || (c < 2144
                    ? (c >= 2112 && c <= 2139)
                    : c <= 2154)))
                : (c <= 2183 || (c < 2275
                  ? (c < 2200
                    ? (c >= 2185 && c <= 2190)
                    : c <= 2273)
                  : (c <= 2403 || (c < 2417
                    ? (c >= 2406 && c <= 2415)
                    : c <= 2435)))))
              : (c <= 2444 || (c < 2492
                ? (c < 2474
                  ? (c < 2451
                    ? (c >= 2447 && c <= 2448)
                    : c <= 2472)
                  : (c <= 2480 || (c < 2486
                    ? c == 2482
                    : c <= 2489)))
                : (c <= 2500 || (c < 2519
                  ? (c < 2507
                    ? (c >= 2503 && c <= 2504)
                    : c <= 2510)
                  : (c <= 2519 || (c < 2527
                    ? (c >= 2524 && c <= 2525)
                    : c <= 2531)))))))
            : (c <= 2545 || (c < 2622
              ? (c < 2579
                ? (c < 2561
                  ? (c < 2558
                    ? c == 2556
                    : c <= 2558)
                  : (c <= 2563 || (c < 2575
                    ? (c >= 2565 && c <= 2570)
                    : c <= 2576)))
                : (c <= 2600 || (c < 2613
                  ? (c < 2610
                    ? (c >= 2602 && c <= 2608)
                    : c <= 2611)
                  : (c <= 2614 || (c < 2620
                    ? (c >= 2616 && c <= 2617)
                    : c <= 2620)))))
              : (c <= 2626 || (c < 2662
                ? (c < 2641
                  ? (c < 2635
                    ? (c >= 2631 && c <= 2632)
                    : c <= 2637)
                  : (c <= 2641 || (c < 2654
                    ? (c >= 2649 && c <= 2652)
                    : c <= 2654)))
                : (c <= 2677 || (c < 2703
                  ? (c < 2693
                    ? (c >= 2689 && c <= 2691)
                    : c <= 2701)
                  : (c <= 2705 || (c < 2730
                    ? (c >= 2707 && c <= 2728)
                    : c <= 2736)))))))))))
        : (c <= 2739 || (c < 3160
          ? (c < 2946
            ? (c < 2835
              ? (c < 2784
                ? (c < 2759
                  ? (c < 2748
                    ? (c >= 2741 && c <= 2745)
                    : c <= 2757)
                  : (c <= 2761 || (c < 2768
                    ? (c >= 2763 && c <= 2765)
                    : c <= 2768)))
                : (c <= 2787 || (c < 2817
                  ? (c < 2809
                    ? (c >= 2790 && c <= 2799)
                    : c <= 2815)
                  : (c <= 2819 || (c < 2831
                    ? (c >= 2821 && c <= 2828)
                    : c <= 2832)))))
              : (c <= 2856 || (c < 2891
                ? (c < 2869
                  ? (c < 2866
                    ? (c >= 2858 && c <= 2864)
                    : c <= 2867)
                  : (c <= 2873 || (c < 2887
                    ? (c >= 2876 && c <= 2884)
                    : c <= 2888)))
                : (c <= 2893 || (c < 2911
                  ? (c < 2908
                    ? (c >= 2901 && c <= 2903)
                    : c <= 2909)
                  : (c <= 2915 || (c < 2929
                    ? (c >= 2918 && c <= 2927)
                    : c <= 2929)))))))
            : (c <= 2947 || (c < 3018
              ? (c < 2974
                ? (c < 2962
                  ? (c < 2958
                    ? (c >= 2949 && c <= 2954)
                    : c <= 2960)
                  : (c <= 2965 || (c < 2972
                    ? (c >= 2969 && c <= 2970)
                    : c <= 2972)))
                : (c <= 2975 || (c < 2990
                  ? (c < 2984
                    ? (c >= 2979 && c <= 2980)
                    : c <= 2986)
                  : (c <= 3001 || (c < 3014
                    ? (c >= 3006 && c <= 3010)
                    : c <= 3016)))))
              : (c <= 3021 || (c < 3090
                ? (c < 3046
                  ? (c < 3031
                    ? c == 3024
                    : c <= 3031)
                  : (c <= 3055 || (c < 3086
                    ? (c >= 3072 && c <= 3084)
                    : c <= 3088)))
                : (c <= 3112 || (c < 3142
                  ? (c < 3132
                    ? (c >= 3114 && c <= 3129)
                    : c <= 3140)
                  : (c <= 3144 || (c < 3157
                    ? (c >= 3146 && c <= 3149)
                    : c <= 3158)))))))))
          : (c <= 3162 || (c < 3423
            ? (c < 3274
              ? (c < 3214
                ? (c < 3174
                  ? (c < 3168
                    ? c == 3165
                    : c <= 3171)
                  : (c <= 3183 || (c < 3205
                    ? (c >= 3200 && c <= 3203)
                    : c <= 3212)))
                : (c <= 3216 || (c < 3253
                  ? (c < 3242
                    ? (c >= 3218 && c <= 3240)
                    : c <= 3251)
                  : (c <= 3257 || (c < 3270
                    ? (c >= 3260 && c <= 3268)
                    : c <= 3272)))))
              : (c <= 3277 || (c < 3328
                ? (c < 3296
                  ? (c < 3293
                    ? (c >= 3285 && c <= 3286)
                    : c <= 3294)
                  : (c <= 3299 || (c < 3313
                    ? (c >= 3302 && c <= 3311)
                    : c <= 3314)))
                : (c <= 3340 || (c < 3398
                  ? (c < 3346
                    ? (c >= 3342 && c <= 3344)
                    : c <= 3396)
                  : (c <= 3400 || (c < 3412
                    ? (c >= 3402 && c <= 3406)
                    : c <= 3415)))))))
            : (c <= 3427 || (c < 3544
              ? (c < 3507
                ? (c < 3457
                  ? (c < 3450
                    ? (c >= 3430 && c <= 3439)
                    : c <= 3455)
                  : (c <= 3459 || (c < 3482
                    ? (c >= 3461 && c <= 3478)
                    : c <= 3505)))
                : (c <= 3515 || (c < 3530
                  ? (c < 3520
                    ? c == 3517
                    : c <= 3526)
                  : (c <= 3530 || (c < 3542
                    ? (c >= 3535 && c <= 3540)
                    : c <= 3542)))))
              : (c <= 3551 || (c < 3713
                ? (c < 3585
                  ? (c < 3570
                    ? (c >= 3558 && c <= 3567)
                    : c <= 3571)
                  : (c <= 3642 || (c < 3664
                    ? (c >= 3648 && c <= 3662)
                    : c <= 3673)))
                : (c <= 3714 || (c < 3724
                  ? (c < 3718
                    ? c == 3716
                    : c <= 3722)
                  : (c <= 3747 || (c < 3751
                    ? c == 3749
                    : c <= 3773)))))))))))))
      : (c <= 3780 || (c < 8016
        ? (c < 5870
          ? (c < 4682
            ? (c < 3913
              ? (c < 3864
                ? (c < 3792
                  ? (c < 3784
                    ? c == 3782
                    : c <= 3789)
                  : (c <= 3801 || (c < 3840
                    ? (c >= 3804 && c <= 3807)
                    : c <= 3840)))
                : (c <= 3865 || (c < 3895
                  ? (c < 3893
                    ? (c >= 3872 && c <= 3881)
                    : c <= 3893)
                  : (c <= 3895 || (c < 3902
                    ? c == 3897
                    : c <= 3911)))))
              : (c <= 3948 || (c < 4176
                ? (c < 3993
                  ? (c < 3974
                    ? (c >= 3953 && c <= 3972)
                    : c <= 3991)
                  : (c <= 4028 || (c < 4096
                    ? c == 4038
                    : c <= 4169)))
                : (c <= 4253 || (c < 4301
                  ? (c < 4295
                    ? (c >= 4256 && c <= 4293)
                    : c <= 4295)
                  : (c <= 4301 || (c < 4348
                    ? (c >= 4304 && c <= 4346)
                    : c <= 4680)))))))
            : (c <= 4685 || (c < 4824
              ? (c < 4752
                ? (c < 4698
                  ? (c < 4696
                    ? (c >= 4688 && c <= 4694)
                    : c <= 4696)
                  : (c <= 4701 || (c < 4746
                    ? (c >= 4704 && c <= 4744)
                    : c <= 4749)))
                : (c <= 4784 || (c < 4800
                  ? (c < 4792
                    ? (c >= 4786 && c <= 4789)
                    : c <= 4798)
                  : (c <= 4800 || (c < 4808
                    ? (c >= 4802 && c <= 4805)
                    : c <= 4822)))))
              : (c <= 4880 || (c < 5024
                ? (c < 4957
                  ? (c < 4888
                    ? (c >= 4882 && c <= 4885)
                    : c <= 4954)
                  : (c <= 4959 || (c < 4992
                    ? (c >= 4969 && c <= 4977)
                    : c <= 5007)))
                : (c <= 5109 || (c < 5743
                  ? (c < 5121
                    ? (c >= 5112 && c <= 5117)
                    : c <= 5740)
                  : (c <= 5759 || (c < 5792
                    ? (c >= 5761 && c <= 5786)
                    : c <= 5866)))))))))
          : (c <= 5880 || (c < 6656
            ? (c < 6159
              ? (c < 6002
                ? (c < 5952
                  ? (c < 5919
                    ? (c >= 5888 && c <= 5909)
                    : c <= 5940)
                  : (c <= 5971 || (c < 5998
                    ? (c >= 5984 && c <= 5996)
                    : c <= 6000)))
                : (c <= 6003 || (c < 6108
                  ? (c < 6103
                    ? (c >= 6016 && c <= 6099)
                    : c <= 6103)
                  : (c <= 6109 || (c < 6155
                    ? (c >= 6112 && c <= 6121)
                    : c <= 6157)))))
              : (c <= 6169 || (c < 6448
                ? (c < 6320
                  ? (c < 6272
                    ? (c >= 6176 && c <= 6264)
                    : c <= 6314)
                  : (c <= 6389 || (c < 6432
                    ? (c >= 6400 && c <= 6430)
                    : c <= 6443)))
                : (c <= 6459 || (c < 6528
                  ? (c < 6512
                    ? (c >= 6470 && c <= 6509)
                    : c <= 6516)
                  : (c <= 6571 || (c < 6608
                    ? (c >= 6576 && c <= 6601)
                    : c <= 6618)))))))
            : (c <= 6683 || (c < 7168
              ? (c < 6832
                ? (c < 6783
                  ? (c < 6752
                    ? (c >= 6688 && c <= 6750)
                    : c <= 6780)
                  : (c <= 6793 || (c < 6823
                    ? (c >= 6800 && c <= 6809)
                    : c <= 6823)))
                : (c <= 6845 || (c < 6992
                  ? (c < 6912
                    ? (c >= 6847 && c <= 6862)
                    : c <= 6988)
                  : (c <= 7001 || (c < 7040
                    ? (c >= 7019 && c <= 7027)
                    : c <= 7155)))))
              : (c <= 7223 || (c < 7376
                ? (c < 7296
                  ? (c < 7245
                    ? (c >= 7232 && c <= 7241)
                    : c <= 7293)
                  : (c <= 7304 || (c < 7357
                    ? (c >= 7312 && c <= 7354)
                    : c <= 7359)))
                : (c <= 7378 || (c < 7960
                  ? (c < 7424
                    ? (c >= 7380 && c <= 7418)
                    : c <= 7957)
                  : (c <= 7965 || (c < 8008
                    ? (c >= 7968 && c <= 8005)
                    : c <= 8013)))))))))))
        : (c <= 8023 || (c < 11712
          ? (c < 8455
            ? (c < 8160
              ? (c < 8118
                ? (c < 8029
                  ? (c < 8027
                    ? c == 8025
                    : c <= 8027)
                  : (c <= 8029 || (c < 8064
                    ? (c >= 8031 && c <= 8061)
                    : c <= 8116)))
                : (c <= 8124 || (c < 8134
                  ? (c < 8130
                    ? c == 8126
                    : c <= 8132)
                  : (c <= 8140 || (c < 8150
                    ? (c >= 8144 && c <= 8147)
                    : c <= 8155)))))
              : (c <= 8172 || (c < 8319
                ? (c < 8255
                  ? (c < 8182
                    ? (c >= 8178 && c <= 8180)
                    : c <= 8188)
                  : (c <= 8256 || (c < 8305
                    ? c == 8276
                    : c <= 8305)))
                : (c <= 8319 || (c < 8417
                  ? (c < 8400
                    ? (c >= 8336 && c <= 8348)
                    : c <= 8412)
                  : (c <= 8417 || (c < 8450
                    ? (c >= 8421 && c <= 8432)
                    : c <= 8450)))))))
            : (c <= 8455 || (c < 11264
              ? (c < 8488
                ? (c < 8472
                  ? (c < 8469
                    ? (c >= 8458 && c <= 8467)
                    : c <= 8469)
                  : (c <= 8477 || (c < 8486
                    ? c == 8484
                    : c <= 8486)))
                : (c <= 8488 || (c < 8517
                  ? (c < 8508
                    ? (c >= 8490 && c <= 8505)
                    : c <= 8511)
                  : (c <= 8521 || (c < 8544
                    ? c == 8526
                    : c <= 8584)))))
              : (c <= 11492 || (c < 11631
                ? (c < 11559
                  ? (c < 11520
                    ? (c >= 11499 && c <= 11507)
                    : c <= 11557)
                  : (c <= 11559 || (c < 11568
                    ? c == 11565
                    : c <= 11623)))
                : (c <= 11631 || (c < 11688
                  ? (c < 11680
                    ? (c >= 11647 && c <= 11670)
                    : c <= 11686)
                  : (c <= 11694 || (c < 11704
                    ? (c >= 11696 && c <= 11702)
                    : c <= 11710)))))))))
          : (c <= 11718 || (c < 42612
            ? (c < 12449
              ? (c < 12321
                ? (c < 11736
                  ? (c < 11728
                    ? (c >= 11720 && c <= 11726)
                    : c <= 11734)
                  : (c <= 11742 || (c < 12293
                    ? (c >= 11744 && c <= 11775)
                    : c <= 12295)))
                : (c <= 12335 || (c < 12353
                  ? (c < 12344
                    ? (c >= 12337 && c <= 12341)
                    : c <= 12348)
                  : (c <= 12438 || (c < 12445
                    ? (c >= 12441 && c <= 12442)
                    : c <= 12447)))))
              : (c <= 12538 || (c < 13312
                ? (c < 12593
                  ? (c < 12549
                    ? (c >= 12540 && c <= 12543)
                    : c <= 12591)
                  : (c <= 12686 || (c < 12784
                    ? (c >= 12704 && c <= 12735)
                    : c <= 12799)))
                : (c <= 19903 || (c < 42240
                  ? (c < 42192
                    ? (c >= 19968 && c <= 42124)
                    : c <= 42237)
                  : (c <= 42508 || (c < 42560
                    ? (c >= 42512 && c <= 42539)
                    : c <= 42607)))))))
            : (c <= 42621 || (c < 43216
              ? (c < 42963
                ? (c < 42786
                  ? (c < 42775
                    ? (c >= 42623 && c <= 42737)
                    : c <= 42783)
                  : (c <= 42888 || (c < 42960
                    ? (c >= 42891 && c <= 42954)
                    : c <= 42961)))
                : (c <= 42963 || (c < 43052
                  ? (c < 42994
                    ? (c >= 42965 && c <= 42969)
                    : c <= 43047)
                  : (c <= 43052 || (c < 43136
                    ? (c >= 43072 && c <= 43123)
                    : c <= 43205)))))
              : (c <= 43225 || (c < 43392
                ? (c < 43261
                  ? (c < 43259
                    ? (c >= 43232 && c <= 43255)
                    : c <= 43259)
                  : (c <= 43309 || (c < 43360
                    ? (c >= 43312 && c <= 43347)
                    : c <= 43388)))
                : (c <= 43456 || (c < 43520
                  ? (c < 43488
                    ? (c >= 43471 && c <= 43481)
                    : c <= 43518)
                  : (c <= 43574 || (c >= 43584 && c <= 43597)))))))))))))))
    : (c <= 43609 || (c < 71453
      ? (c < 67594
        ? (c < 65343
          ? (c < 64298
            ? (c < 43868
              ? (c < 43777
                ? (c < 43739
                  ? (c < 43642
                    ? (c >= 43616 && c <= 43638)
                    : c <= 43714)
                  : (c <= 43741 || (c < 43762
                    ? (c >= 43744 && c <= 43759)
                    : c <= 43766)))
                : (c <= 43782 || (c < 43808
                  ? (c < 43793
                    ? (c >= 43785 && c <= 43790)
                    : c <= 43798)
                  : (c <= 43814 || (c < 43824
                    ? (c >= 43816 && c <= 43822)
                    : c <= 43866)))))
              : (c <= 43881 || (c < 55243
                ? (c < 44016
                  ? (c < 44012
                    ? (c >= 43888 && c <= 44010)
                    : c <= 44013)
                  : (c <= 44025 || (c < 55216
                    ? (c >= 44032 && c <= 55203)
                    : c <= 55238)))
                : (c <= 55291 || (c < 64256
                  ? (c < 64112
                    ? (c >= 63744 && c <= 64109)
                    : c <= 64217)
                  : (c <= 64262 || (c < 64285
                    ? (c >= 64275 && c <= 64279)
                    : c <= 64296)))))))
            : (c <= 64310 || (c < 65056
              ? (c < 64467
                ? (c < 64320
                  ? (c < 64318
                    ? (c >= 64312 && c <= 64316)
                    : c <= 64318)
                  : (c <= 64321 || (c < 64326
                    ? (c >= 64323 && c <= 64324)
                    : c <= 64433)))
                : (c <= 64605 || (c < 64914
                  ? (c < 64848
                    ? (c >= 64612 && c <= 64829)
                    : c <= 64911)
                  : (c <= 64967 || (c < 65024
                    ? (c >= 65008 && c <= 65017)
                    : c <= 65039)))))
              : (c <= 65071 || (c < 65145
                ? (c < 65137
                  ? (c < 65101
                    ? (c >= 65075 && c <= 65076)
                    : c <= 65103)
                  : (c <= 65137 || (c < 65143
                    ? c == 65139
                    : c <= 65143)))
                : (c <= 65145 || (c < 65151
                  ? (c < 65149
                    ? c == 65147
                    : c <= 65149)
                  : (c <= 65276 || (c < 65313
                    ? (c >= 65296 && c <= 65305)
                    : c <= 65338)))))))))
          : (c <= 65343 || (c < 66504
            ? (c < 65616
              ? (c < 65498
                ? (c < 65474
                  ? (c < 65382
                    ? (c >= 65345 && c <= 65370)
                    : c <= 65470)
                  : (c <= 65479 || (c < 65490
                    ? (c >= 65482 && c <= 65487)
                    : c <= 65495)))
                : (c <= 65500 || (c < 65576
                  ? (c < 65549
                    ? (c >= 65536 && c <= 65547)
                    : c <= 65574)
                  : (c <= 65594 || (c < 65599
                    ? (c >= 65596 && c <= 65597)
                    : c <= 65613)))))
              : (c <= 65629 || (c < 66272
                ? (c < 66045
                  ? (c < 65856
                    ? (c >= 65664 && c <= 65786)
                    : c <= 65908)
                  : (c <= 66045 || (c < 66208
                    ? (c >= 66176 && c <= 66204)
                    : c <= 66256)))
                : (c <= 66272 || (c < 66384
                  ? (c < 66349
                    ? (c >= 66304 && c <= 66335)
                    : c <= 66378)
                  : (c <= 66426 || (c < 66464
                    ? (c >= 66432 && c <= 66461)
                    : c <= 66499)))))))
            : (c <= 66511 || (c < 66967
              ? (c < 66816
                ? (c < 66720
                  ? (c < 66560
                    ? (c >= 66513 && c <= 66517)
                    : c <= 66717)
                  : (c <= 66729 || (c < 66776
                    ? (c >= 66736 && c <= 66771)
                    : c <= 66811)))
                : (c <= 66855 || (c < 66940
                  ? (c < 66928
                    ? (c >= 66864 && c <= 66915)
                    : c <= 66938)
                  : (c <= 66954 || (c < 66964
                    ? (c >= 66956 && c <= 66962)
                    : c <= 66965)))))
              : (c <= 66977 || (c < 67424
                ? (c < 67003
                  ? (c < 66995
                    ? (c >= 66979 && c <= 66993)
                    : c <= 67001)
                  : (c <= 67004 || (c < 67392
                    ? (c >= 67072 && c <= 67382)
                    : c <= 67413)))
                : (c <= 67431 || (c < 67506
                  ? (c < 67463
                    ? (c >= 67456 && c <= 67461)
                    : c <= 67504)
                  : (c <= 67514 || (c < 67592
                    ? (c >= 67584 && c <= 67589)
                    : c <= 67592)))))))))))
        : (c <= 67637 || (c < 69942
          ? (c < 68416
            ? (c < 68096
              ? (c < 67808
                ? (c < 67647
                  ? (c < 67644
                    ? (c >= 67639 && c <= 67640)
                    : c <= 67644)
                  : (c <= 67669 || (c < 67712
                    ? (c >= 67680 && c <= 67702)
                    : c <= 67742)))
                : (c <= 67826 || (c < 67872
                  ? (c < 67840
                    ? (c >= 67828 && c <= 67829)
                    : c <= 67861)
                  : (c <= 67897 || (c < 68030
                    ? (c >= 67968 && c <= 68023)
                    : c <= 68031)))))
              : (c <= 68099 || (c < 68159
                ? (c < 68117
                  ? (c < 68108
                    ? (c >= 68101 && c <= 68102)
                    : c <= 68115)
                  : (c <= 68119 || (c < 68152
                    ? (c >= 68121 && c <= 68149)
                    : c <= 68154)))
                : (c <= 68159 || (c < 68288
                  ? (c < 68224
                    ? (c >= 68192 && c <= 68220)
                    : c <= 68252)
                  : (c <= 68295 || (c < 68352
                    ? (c >= 68297 && c <= 68326)
                    : c <= 68405)))))))
            : (c <= 68437 || (c < 69415
              ? (c < 68864
                ? (c < 68608
                  ? (c < 68480
                    ? (c >= 68448 && c <= 68466)
                    : c <= 68497)
                  : (c <= 68680 || (c < 68800
                    ? (c >= 68736 && c <= 68786)
                    : c <= 68850)))
                : (c <= 68903 || (c < 69291
                  ? (c < 69248
                    ? (c >= 68912 && c <= 68921)
                    : c <= 69289)
                  : (c <= 69292 || (c < 69376
                    ? (c >= 69296 && c <= 69297)
                    : c <= 69404)))))
              : (c <= 69415 || (c < 69734
                ? (c < 69552
                  ? (c < 69488
                    ? (c >= 69424 && c <= 69456)
                    : c <= 69509)
                  : (c <= 69572 || (c < 69632
                    ? (c >= 69600 && c <= 69622)
                    : c <= 69702)))
                : (c <= 69749 || (c < 69840
                  ? (c < 69826
                    ? (c >= 69759 && c <= 69818)
                    : c <= 69826)
                  : (c <= 69864 || (c < 69888
                    ? (c >= 69872 && c <= 69881)
                    : c <= 69940)))))))))
          : (c <= 69951 || (c < 70453
            ? (c < 70280
              ? (c < 70094
                ? (c < 70006
                  ? (c < 69968
                    ? (c >= 69956 && c <= 69959)
                    : c <= 70003)
                  : (c <= 70006 || (c < 70089
                    ? (c >= 70016 && c <= 70084)
                    : c <= 70092)))
                : (c <= 70106 || (c < 70163
                  ? (c < 70144
                    ? c == 70108
                    : c <= 70161)
                  : (c <= 70199 || (c < 70272
                    ? c == 70206
                    : c <= 70278)))))
              : (c <= 70280 || (c < 70400
                ? (c < 70303
                  ? (c < 70287
                    ? (c >= 70282 && c <= 70285)
                    : c <= 70301)
                  : (c <= 70312 || (c < 70384
                    ? (c >= 70320 && c <= 70378)
                    : c <= 70393)))
                : (c <= 70403 || (c < 70419
                  ? (c < 70415
                    ? (c >= 70405 && c <= 70412)
                    : c <= 70416)
                  : (c <= 70440 || (c < 70450
                    ? (c >= 70442 && c <= 70448)
                    : c <= 70451)))))))
            : (c <= 70457 || (c < 70784
              ? (c < 70493
                ? (c < 70475
                  ? (c < 70471
                    ? (c >= 70459 && c <= 70468)
                    : c <= 70472)
                  : (c <= 70477 || (c < 70487
                    ? c == 70480
                    : c <= 70487)))
                : (c <= 70499 || (c < 70656
                  ? (c < 70512
                    ? (c >= 70502 && c <= 70508)
                    : c <= 70516)
                  : (c <= 70730 || (c < 70750
                    ? (c >= 70736 && c <= 70745)
                    : c <= 70753)))))
              : (c <= 70853 || (c < 71168
                ? (c < 71040
                  ? (c < 70864
                    ? c == 70855
                    : c <= 70873)
                  : (c <= 71093 || (c < 71128
                    ? (c >= 71096 && c <= 71104)
                    : c <= 71133)))
                : (c <= 71232 || (c < 71296
                  ? (c < 71248
                    ? c == 71236
                    : c <= 71257)
                  : (c <= 71352 || (c < 71424
                    ? (c >= 71360 && c <= 71369)
                    : c <= 71450)))))))))))))
      : (c <= 71467 || (c < 119973
        ? (c < 77824
          ? (c < 72760
            ? (c < 72016
              ? (c < 71945
                ? (c < 71680
                  ? (c < 71488
                    ? (c >= 71472 && c <= 71481)
                    : c <= 71494)
                  : (c <= 71738 || (c < 71935
                    ? (c >= 71840 && c <= 71913)
                    : c <= 71942)))
                : (c <= 71945 || (c < 71960
                  ? (c < 71957
                    ? (c >= 71948 && c <= 71955)
                    : c <= 71958)
                  : (c <= 71989 || (c < 71995
                    ? (c >= 71991 && c <= 71992)
                    : c <= 72003)))))
              : (c <= 72025 || (c < 72263
                ? (c < 72154
                  ? (c < 72106
                    ? (c >= 72096 && c <= 72103)
                    : c <= 72151)
                  : (c <= 72161 || (c < 72192
                    ? (c >= 72163 && c <= 72164)
                    : c <= 72254)))
                : (c <= 72263 || (c < 72368
                  ? (c < 72349
                    ? (c >= 72272 && c <= 72345)
                    : c <= 72349)
                  : (c <= 72440 || (c < 72714
                    ? (c >= 72704 && c <= 72712)
                    : c <= 72758)))))))
            : (c <= 72768 || (c < 73056
              ? (c < 72968
                ? (c < 72850
                  ? (c < 72818
                    ? (c >= 72784 && c <= 72793)
                    : c <= 72847)
                  : (c <= 72871 || (c < 72960
                    ? (c >= 72873 && c <= 72886)
                    : c <= 72966)))
                : (c <= 72969 || (c < 73020
                  ? (c < 73018
                    ? (c >= 72971 && c <= 73014)
                    : c <= 73018)
                  : (c <= 73021 || (c < 73040
                    ? (c >= 73023 && c <= 73031)
                    : c <= 73049)))))
              : (c <= 73061 || (c < 73440
                ? (c < 73104
                  ? (c < 73066
                    ? (c >= 73063 && c <= 73064)
                    : c <= 73102)
                  : (c <= 73105 || (c < 73120
                    ? (c >= 73107 && c <= 73112)
                    : c <= 73129)))
                : (c <= 73462 || (c < 74752
                  ? (c < 73728
                    ? c == 73648
                    : c <= 74649)
                  : (c <= 74862 || (c < 77712
                    ? (c >= 74880 && c <= 75075)
                    : c <= 77808)))))))))
          : (c <= 78894 || (c < 110576
            ? (c < 93027
              ? (c < 92864
                ? (c < 92736
                  ? (c < 92160
                    ? (c >= 82944 && c <= 83526)
                    : c <= 92728)
                  : (c <= 92766 || (c < 92784
                    ? (c >= 92768 && c <= 92777)
                    : c <= 92862)))
                : (c <= 92873 || (c < 92928
                  ? (c < 92912
                    ? (c >= 92880 && c <= 92909)
                    : c <= 92916)
                  : (c <= 92982 || (c < 93008
                    ? (c >= 92992 && c <= 92995)
                    : c <= 93017)))))
              : (c <= 93047 || (c < 94176
                ? (c < 93952
                  ? (c < 93760
                    ? (c >= 93053 && c <= 93071)
                    : c <= 93823)
                  : (c <= 94026 || (c < 94095
                    ? (c >= 94031 && c <= 94087)
                    : c <= 94111)))
                : (c <= 94177 || (c < 94208
                  ? (c < 94192
                    ? (c >= 94179 && c <= 94180)
                    : c <= 94193)
                  : (c <= 100343 || (c < 101632
                    ? (c >= 100352 && c <= 101589)
                    : c <= 101640)))))))
            : (c <= 110579 || (c < 118528
              ? (c < 110960
                ? (c < 110592
                  ? (c < 110589
                    ? (c >= 110581 && c <= 110587)
                    : c <= 110590)
                  : (c <= 110882 || (c < 110948
                    ? (c >= 110928 && c <= 110930)
                    : c <= 110951)))
                : (c <= 111355 || (c < 113792
                  ? (c < 113776
                    ? (c >= 113664 && c <= 113770)
                    : c <= 113788)
                  : (c <= 113800 || (c < 113821
                    ? (c >= 113808 && c <= 113817)
                    : c <= 113822)))))
              : (c <= 118573 || (c < 119210
                ? (c < 119149
                  ? (c < 119141
                    ? (c >= 118576 && c <= 118598)
                    : c <= 119145)
                  : (c <= 119154 || (c < 119173
                    ? (c >= 119163 && c <= 119170)
                    : c <= 119179)))
                : (c <= 119213 || (c < 119894
                  ? (c < 119808
                    ? (c >= 119362 && c <= 119364)
                    : c <= 119892)
                  : (c <= 119964 || (c < 119970
                    ? (c >= 119966 && c <= 119967)
                    : c <= 119970)))))))))))
        : (c <= 119974 || (c < 124912
          ? (c < 120746
            ? (c < 120134
              ? (c < 120071
                ? (c < 119995
                  ? (c < 119982
                    ? (c >= 119977 && c <= 119980)
                    : c <= 119993)
                  : (c <= 119995 || (c < 120005
                    ? (c >= 119997 && c <= 120003)
                    : c <= 120069)))
                : (c <= 120074 || (c < 120094
                  ? (c < 120086
                    ? (c >= 120077 && c <= 120084)
                    : c <= 120092)
                  : (c <= 120121 || (c < 120128
                    ? (c >= 120123 && c <= 120126)
                    : c <= 120132)))))
              : (c <= 120134 || (c < 120572
                ? (c < 120488
                  ? (c < 120146
                    ? (c >= 120138 && c <= 120144)
                    : c <= 120485)
                  : (c <= 120512 || (c < 120540
                    ? (c >= 120514 && c <= 120538)
                    : c <= 120570)))
                : (c <= 120596 || (c < 120656
                  ? (c < 120630
                    ? (c >= 120598 && c <= 120628)
                    : c <= 120654)
                  : (c <= 120686 || (c < 120714
                    ? (c >= 120688 && c <= 120712)
                    : c <= 120744)))))))
            : (c <= 120770 || (c < 122907
              ? (c < 121476
                ? (c < 121344
                  ? (c < 120782
                    ? (c >= 120772 && c <= 120779)
                    : c <= 120831)
                  : (c <= 121398 || (c < 121461
                    ? (c >= 121403 && c <= 121452)
                    : c <= 121461)))
                : (c <= 121476 || (c < 122624
                  ? (c < 121505
                    ? (c >= 121499 && c <= 121503)
                    : c <= 121519)
                  : (c <= 122654 || (c < 122888
                    ? (c >= 122880 && c <= 122886)
                    : c <= 122904)))))
              : (c <= 122913 || (c < 123214
                ? (c < 123136
                  ? (c < 122918
                    ? (c >= 122915 && c <= 122916)
                    : c <= 122922)
                  : (c <= 123180 || (c < 123200
                    ? (c >= 123184 && c <= 123197)
                    : c <= 123209)))
                : (c <= 123214 || (c < 124896
                  ? (c < 123584
                    ? (c >= 123536 && c <= 123566)
                    : c <= 123641)
                  : (c <= 124902 || (c < 124909
                    ? (c >= 124904 && c <= 124907)
                    : c <= 124910)))))))))
          : (c <= 124926 || (c < 126557
            ? (c < 126521
              ? (c < 126469
                ? (c < 125184
                  ? (c < 125136
                    ? (c >= 124928 && c <= 125124)
                    : c <= 125142)
                  : (c <= 125259 || (c < 126464
                    ? (c >= 125264 && c <= 125273)
                    : c <= 126467)))
                : (c <= 126495 || (c < 126503
                  ? (c < 126500
                    ? (c >= 126497 && c <= 126498)
                    : c <= 126500)
                  : (c <= 126503 || (c < 126516
                    ? (c >= 126505 && c <= 126514)
                    : c <= 126519)))))
              : (c <= 126521 || (c < 126541
                ? (c < 126535
                  ? (c < 126530
                    ? c == 126523
                    : c <= 126530)
                  : (c <= 126535 || (c < 126539
                    ? c == 126537
                    : c <= 126539)))
                : (c <= 126543 || (c < 126551
                  ? (c < 126548
                    ? (c >= 126545 && c <= 126546)
                    : c <= 126548)
                  : (c <= 126551 || (c < 126555
                    ? c == 126553
                    : c <= 126555)))))))
            : (c <= 126557 || (c < 126629
              ? (c < 126580
                ? (c < 126564
                  ? (c < 126561
                    ? c == 126559
                    : c <= 126562)
                  : (c <= 126564 || (c < 126572
                    ? (c >= 126567 && c <= 126570)
                    : c <= 126578)))
                : (c <= 126583 || (c < 126592
                  ? (c < 126590
                    ? (c >= 126585 && c <= 126588)
                    : c <= 126590)
                  : (c <= 126601 || (c < 126625
                    ? (c >= 126603 && c <= 126619)
                    : c <= 126627)))))
              : (c <= 126633 || (c < 178208
                ? (c < 131072
                  ? (c < 130032
                    ? (c >= 126635 && c <= 126651)
                    : c <= 130041)
                  : (c <= 173791 || (c < 177984
                    ? (c >= 173824 && c <= 177976)
                    : c <= 178205)))
                : (c <= 183969 || (c < 196608
                  ? (c < 194560
                    ? (c >= 183984 && c <= 191456)
                    : c <= 195101)
                  : (c <= 201546 || (c >= 917760 && c <= 917999)))))))))))))))));
}

static inline bool sym_identifier_character_set_22(int32_t c) {
  return (c < 43600
    ? (c < 3776
      ? (c < 2738
        ? (c < 1984
          ? (c < 910
            ? (c < 216
              ? (c < 'a'
                ? (c < 'A'
                  ? (c < '0'
                    ? c == '$'
                    : c <= '9')
                  : (c <= 'K' || (c < '_'
                    ? (c >= 'M' && c <= 'Z')
                    : c <= '_')))
                : (c <= 'z' || (c < 183
                  ? (c < 181
                    ? c == 170
                    : c <= 181)
                  : (c <= 183 || (c < 192
                    ? c == 186
                    : c <= 214)))))
              : (c <= 246 || (c < 768
                ? (c < 736
                  ? (c < 710
                    ? (c >= 248 && c <= 705)
                    : c <= 721)
                  : (c <= 740 || (c < 750
                    ? c == 748
                    : c <= 750)))
                : (c <= 884 || (c < 895
                  ? (c < 891
                    ? (c >= 886 && c <= 887)
                    : c <= 893)
                  : (c <= 895 || (c < 908
                    ? (c >= 902 && c <= 906)
                    : c <= 908)))))))
            : (c <= 929 || (c < 1479
              ? (c < 1369
                ? (c < 1155
                  ? (c < 1015
                    ? (c >= 931 && c <= 1013)
                    : c <= 1153)
                  : (c <= 1159 || (c < 1329
                    ? (c >= 1162 && c <= 1327)
                    : c <= 1366)))
                : (c <= 1369 || (c < 1471
                  ? (c < 1425
                    ? (c >= 1376 && c <= 1416)
                    : c <= 1469)
                  : (c <= 1471 || (c < 1476
                    ? (c >= 1473 && c <= 1474)
                    : c <= 1477)))))
              : (c <= 1479 || (c < 1749
                ? (c < 1552
                  ? (c < 1519
                    ? (c >= 1488 && c <= 1514)
                    : c <= 1522)
                  : (c <= 1562 || (c < 1646
                    ? (c >= 1568 && c <= 1641)
                    : c <= 1747)))
                : (c <= 1756 || (c < 1791
                  ? (c < 1770
                    ? (c >= 1759 && c <= 1768)
                    : c <= 1788)
                  : (c <= 1791 || (c < 1869
                    ? (c >= 1808 && c <= 1866)
                    : c <= 1969)))))))))
          : (c <= 2037 || (c < 2534
            ? (c < 2437
              ? (c < 2160
                ? (c < 2048
                  ? (c < 2045
                    ? c == 2042
                    : c <= 2045)
                  : (c <= 2093 || (c < 2144
                    ? (c >= 2112 && c <= 2139)
                    : c <= 2154)))
                : (c <= 2183 || (c < 2275
                  ? (c < 2200
                    ? (c >= 2185 && c <= 2190)
                    : c <= 2273)
                  : (c <= 2403 || (c < 2417
                    ? (c >= 2406 && c <= 2415)
                    : c <= 2435)))))
              : (c <= 2444 || (c < 2492
                ? (c < 2474
                  ? (c < 2451
                    ? (c >= 2447 && c <= 2448)
                    : c <= 2472)
                  : (c <= 2480 || (c < 2486
                    ? c == 2482
                    : c <= 2489)))
                : (c <= 2500 || (c < 2519
                  ? (c < 2507
                    ? (c >= 2503 && c <= 2504)
                    : c <= 2510)
                  : (c <= 2519 || (c < 2527
                    ? (c >= 2524 && c <= 2525)
                    : c <= 2531)))))))
            : (c <= 2545 || (c < 2622
              ? (c < 2579
                ? (c < 2561
                  ? (c < 2558
                    ? c == 2556
                    : c <= 2558)
                  : (c <= 2563 || (c < 2575
                    ? (c >= 2565 && c <= 2570)
                    : c <= 2576)))
                : (c <= 2600 || (c < 2613
                  ? (c < 2610
                    ? (c >= 2602 && c <= 2608)
                    : c <= 2611)
                  : (c <= 2614 || (c < 2620
                    ? (c >= 2616 && c <= 2617)
                    : c <= 2620)))))
              : (c <= 2626 || (c < 2662
                ? (c < 2641
                  ? (c < 2635
                    ? (c >= 2631 && c <= 2632)
                    : c <= 2637)
                  : (c <= 2641 || (c < 2654
                    ? (c >= 2649 && c <= 2652)
                    : c <= 2654)))
                : (c <= 2677 || (c < 2703
                  ? (c < 2693
                    ? (c >= 2689 && c <= 2691)
                    : c <= 2701)
                  : (c <= 2705 || (c < 2730
                    ? (c >= 2707 && c <= 2728)
                    : c <= 2736)))))))))))
        : (c <= 2739 || (c < 3160
          ? (c < 2946
            ? (c < 2835
              ? (c < 2784
                ? (c < 2759
                  ? (c < 2748
                    ? (c >= 2741 && c <= 2745)
                    : c <= 2757)
                  : (c <= 2761 || (c < 2768
                    ? (c >= 2763 && c <= 2765)
                    : c <= 2768)))
                : (c <= 2787 || (c < 2817
                  ? (c < 2809
                    ? (c >= 2790 && c <= 2799)
                    : c <= 2815)
                  : (c <= 2819 || (c < 2831
                    ? (c >= 2821 && c <= 2828)
                    : c <= 2832)))))
              : (c <= 2856 || (c < 2891
                ? (c < 2869
                  ? (c < 2866
                    ? (c >= 2858 && c <= 2864)
                    : c <= 2867)
                  : (c <= 2873 || (c < 2887
                    ? (c >= 2876 && c <= 2884)
                    : c <= 2888)))
                : (c <= 2893 || (c < 2911
                  ? (c < 2908
                    ? (c >= 2901 && c <= 2903)
                    : c <= 2909)
                  : (c <= 2915 || (c < 2929
                    ? (c >= 2918 && c <= 2927)
                    : c <= 2929)))))))
            : (c <= 2947 || (c < 3018
              ? (c < 2974
                ? (c < 2962
                  ? (c < 2958
                    ? (c >= 2949 && c <= 2954)
                    : c <= 2960)
                  : (c <= 2965 || (c < 2972
                    ? (c >= 2969 && c <= 2970)
                    : c <= 2972)))
                : (c <= 2975 || (c < 2990
                  ? (c < 2984
                    ? (c >= 2979 && c <= 2980)
                    : c <= 2986)
                  : (c <= 3001 || (c < 3014
                    ? (c >= 3006 && c <= 3010)
                    : c <= 3016)))))
              : (c <= 3021 || (c < 3090
                ? (c < 3046
                  ? (c < 3031
                    ? c == 3024
                    : c <= 3031)
                  : (c <= 3055 || (c < 3086
                    ? (c >= 3072 && c <= 3084)
                    : c <= 3088)))
                : (c <= 3112 || (c < 3142
                  ? (c < 3132
                    ? (c >= 3114 && c <= 3129)
                    : c <= 3140)
                  : (c <= 3144 || (c < 3157
                    ? (c >= 3146 && c <= 3149)
                    : c <= 3158)))))))))
          : (c <= 3162 || (c < 3423
            ? (c < 3274
              ? (c < 3214
                ? (c < 3174
                  ? (c < 3168
                    ? c == 3165
                    : c <= 3171)
                  : (c <= 3183 || (c < 3205
                    ? (c >= 3200 && c <= 3203)
                    : c <= 3212)))
                : (c <= 3216 || (c < 3253
                  ? (c < 3242
                    ? (c >= 3218 && c <= 3240)
                    : c <= 3251)
                  : (c <= 3257 || (c < 3270
                    ? (c >= 3260 && c <= 3268)
                    : c <= 3272)))))
              : (c <= 3277 || (c < 3328
                ? (c < 3296
                  ? (c < 3293
                    ? (c >= 3285 && c <= 3286)
                    : c <= 3294)
                  : (c <= 3299 || (c < 3313
                    ? (c >= 3302 && c <= 3311)
                    : c <= 3314)))
                : (c <= 3340 || (c < 3398
                  ? (c < 3346
                    ? (c >= 3342 && c <= 3344)
                    : c <= 3396)
                  : (c <= 3400 || (c < 3412
                    ? (c >= 3402 && c <= 3406)
                    : c <= 3415)))))))
            : (c <= 3427 || (c < 3544
              ? (c < 3507
                ? (c < 3457
                  ? (c < 3450
                    ? (c >= 3430 && c <= 3439)
                    : c <= 3455)
                  : (c <= 3459 || (c < 3482
                    ? (c >= 3461 && c <= 3478)
                    : c <= 3505)))
                : (c <= 3515 || (c < 3530
                  ? (c < 3520
                    ? c == 3517
                    : c <= 3526)
                  : (c <= 3530 || (c < 3542
                    ? (c >= 3535 && c <= 3540)
                    : c <= 3542)))))
              : (c <= 3551 || (c < 3713
                ? (c < 3585
                  ? (c < 3570
                    ? (c >= 3558 && c <= 3567)
                    : c <= 3571)
                  : (c <= 3642 || (c < 3664
                    ? (c >= 3648 && c <= 3662)
                    : c <= 3673)))
                : (c <= 3714 || (c < 3724
                  ? (c < 3718
                    ? c == 3716
                    : c <= 3722)
                  : (c <= 3747 || (c < 3751
                    ? c == 3749
                    : c <= 3773)))))))))))))
      : (c <= 3780 || (c < 8016
        ? (c < 5870
          ? (c < 4682
            ? (c < 3913
              ? (c < 3864
                ? (c < 3792
                  ? (c < 3784
                    ? c == 3782
                    : c <= 3789)
                  : (c <= 3801 || (c < 3840
                    ? (c >= 3804 && c <= 3807)
                    : c <= 3840)))
                : (c <= 3865 || (c < 3895
                  ? (c < 3893
                    ? (c >= 3872 && c <= 3881)
                    : c <= 3893)
                  : (c <= 3895 || (c < 3902
                    ? c == 3897
                    : c <= 3911)))))
              : (c <= 3948 || (c < 4176
                ? (c < 3993
                  ? (c < 3974
                    ? (c >= 3953 && c <= 3972)
                    : c <= 3991)
                  : (c <= 4028 || (c < 4096
                    ? c == 4038
                    : c <= 4169)))
                : (c <= 4253 || (c < 4301
                  ? (c < 4295
                    ? (c >= 4256 && c <= 4293)
                    : c <= 4295)
                  : (c <= 4301 || (c < 4348
                    ? (c >= 4304 && c <= 4346)
                    : c <= 4680)))))))
            : (c <= 4685 || (c < 4824
              ? (c < 4752
                ? (c < 4698
                  ? (c < 4696
                    ? (c >= 4688 && c <= 4694)
                    : c <= 4696)
                  : (c <= 4701 || (c < 4746
                    ? (c >= 4704 && c <= 4744)
                    : c <= 4749)))
                : (c <= 4784 || (c < 4800
                  ? (c < 4792
                    ? (c >= 4786 && c <= 4789)
                    : c <= 4798)
                  : (c <= 4800 || (c < 4808
                    ? (c >= 4802 && c <= 4805)
                    : c <= 4822)))))
              : (c <= 4880 || (c < 5024
                ? (c < 4957
                  ? (c < 4888
                    ? (c >= 4882 && c <= 4885)
                    : c <= 4954)
                  : (c <= 4959 || (c < 4992
                    ? (c >= 4969 && c <= 4977)
                    : c <= 5007)))
                : (c <= 5109 || (c < 5743
                  ? (c < 5121
                    ? (c >= 5112 && c <= 5117)
                    : c <= 5740)
                  : (c <= 5759 || (c < 5792
                    ? (c >= 5761 && c <= 5786)
                    : c <= 5866)))))))))
          : (c <= 5880 || (c < 6656
            ? (c < 6159
              ? (c < 6002
                ? (c < 5952
                  ? (c < 5919
                    ? (c >= 5888 && c <= 5909)
                    : c <= 5940)
                  : (c <= 5971 || (c < 5998
                    ? (c >= 5984 && c <= 5996)
                    : c <= 6000)))
                : (c <= 6003 || (c < 6108
                  ? (c < 6103
                    ? (c >= 6016 && c <= 6099)
                    : c <= 6103)
                  : (c <= 6109 || (c < 6155
                    ? (c >= 6112 && c <= 6121)
                    : c <= 6157)))))
              : (c <= 6169 || (c < 6448
                ? (c < 6320
                  ? (c < 6272
                    ? (c >= 6176 && c <= 6264)
                    : c <= 6314)
                  : (c <= 6389 || (c < 6432
                    ? (c >= 6400 && c <= 6430)
                    : c <= 6443)))
                : (c <= 6459 || (c < 6528
                  ? (c < 6512
                    ? (c >= 6470 && c <= 6509)
                    : c <= 6516)
                  : (c <= 6571 || (c < 6608
                    ? (c >= 6576 && c <= 6601)
                    : c <= 6618)))))))
            : (c <= 6683 || (c < 7168
              ? (c < 6832
                ? (c < 6783
                  ? (c < 6752
                    ? (c >= 6688 && c <= 6750)
                    : c <= 6780)
                  : (c <= 6793 || (c < 6823
                    ? (c >= 6800 && c <= 6809)
                    : c <= 6823)))
                : (c <= 6845 || (c < 6992
                  ? (c < 6912
                    ? (c >= 6847 && c <= 6862)
                    : c <= 6988)
                  : (c <= 7001 || (c < 7040
                    ? (c >= 7019 && c <= 7027)
                    : c <= 7155)))))
              : (c <= 7223 || (c < 7376
                ? (c < 7296
                  ? (c < 7245
                    ? (c >= 7232 && c <= 7241)
                    : c <= 7293)
                  : (c <= 7304 || (c < 7357
                    ? (c >= 7312 && c <= 7354)
                    : c <= 7359)))
                : (c <= 7378 || (c < 7960
                  ? (c < 7424
                    ? (c >= 7380 && c <= 7418)
                    : c <= 7957)
                  : (c <= 7965 || (c < 8008
                    ? (c >= 7968 && c <= 8005)
                    : c <= 8013)))))))))))
        : (c <= 8023 || (c < 11712
          ? (c < 8455
            ? (c < 8160
              ? (c < 8118
                ? (c < 8029
                  ? (c < 8027
                    ? c == 8025
                    : c <= 8027)
                  : (c <= 8029 || (c < 8064
                    ? (c >= 8031 && c <= 8061)
                    : c <= 8116)))
                : (c <= 8124 || (c < 8134
                  ? (c < 8130
                    ? c == 8126
                    : c <= 8132)
                  : (c <= 8140 || (c < 8150
                    ? (c >= 8144 && c <= 8147)
                    : c <= 8155)))))
              : (c <= 8172 || (c < 8319
                ? (c < 8255
                  ? (c < 8182
                    ? (c >= 8178 && c <= 8180)
                    : c <= 8188)
                  : (c <= 8256 || (c < 8305
                    ? c == 8276
                    : c <= 8305)))
                : (c <= 8319 || (c < 8417
                  ? (c < 8400
                    ? (c >= 8336 && c <= 8348)
                    : c <= 8412)
                  : (c <= 8417 || (c < 8450
                    ? (c >= 8421 && c <= 8432)
                    : c <= 8450)))))))
            : (c <= 8455 || (c < 11264
              ? (c < 8488
                ? (c < 8472
                  ? (c < 8469
                    ? (c >= 8458 && c <= 8467)
                    : c <= 8469)
                  : (c <= 8477 || (c < 8486
                    ? c == 8484
                    : c <= 8486)))
                : (c <= 8488 || (c < 8517
                  ? (c < 8508
                    ? (c >= 8490 && c <= 8505)
                    : c <= 8511)
                  : (c <= 8521 || (c < 8544
                    ? c == 8526
                    : c <= 8584)))))
              : (c <= 11492 || (c < 11631
                ? (c < 11559
                  ? (c < 11520
                    ? (c >= 11499 && c <= 11507)
                    : c <= 11557)
                  : (c <= 11559 || (c < 11568
                    ? c == 11565
                    : c <= 11623)))
                : (c <= 11631 || (c < 11688
                  ? (c < 11680
                    ? (c >= 11647 && c <= 11670)
                    : c <= 11686)
                  : (c <= 11694 || (c < 11704
                    ? (c >= 11696 && c <= 11702)
                    : c <= 11710)))))))))
          : (c <= 11718 || (c < 42612
            ? (c < 12449
              ? (c < 12321
                ? (c < 11736
                  ? (c < 11728
                    ? (c >= 11720 && c <= 11726)
                    : c <= 11734)
                  : (c <= 11742 || (c < 12293
                    ? (c >= 11744 && c <= 11775)
                    : c <= 12295)))
                : (c <= 12335 || (c < 12353
                  ? (c < 12344
                    ? (c >= 12337 && c <= 12341)
                    : c <= 12348)
                  : (c <= 12438 || (c < 12445
                    ? (c >= 12441 && c <= 12442)
                    : c <= 12447)))))
              : (c <= 12538 || (c < 13312
                ? (c < 12593
                  ? (c < 12549
                    ? (c >= 12540 && c <= 12543)
                    : c <= 12591)
                  : (c <= 12686 || (c < 12784
                    ? (c >= 12704 && c <= 12735)
                    : c <= 12799)))
                : (c <= 19903 || (c < 42240
                  ? (c < 42192
                    ? (c >= 19968 && c <= 42124)
                    : c <= 42237)
                  : (c <= 42508 || (c < 42560
                    ? (c >= 42512 && c <= 42539)
                    : c <= 42607)))))))
            : (c <= 42621 || (c < 43216
              ? (c < 42963
                ? (c < 42786
                  ? (c < 42775
                    ? (c >= 42623 && c <= 42737)
                    : c <= 42783)
                  : (c <= 42888 || (c < 42960
                    ? (c >= 42891 && c <= 42954)
                    : c <= 42961)))
                : (c <= 42963 || (c < 43052
                  ? (c < 42994
                    ? (c >= 42965 && c <= 42969)
                    : c <= 43047)
                  : (c <= 43052 || (c < 43136
                    ? (c >= 43072 && c <= 43123)
                    : c <= 43205)))))
              : (c <= 43225 || (c < 43392
                ? (c < 43261
                  ? (c < 43259
                    ? (c >= 43232 && c <= 43255)
                    : c <= 43259)
                  : (c <= 43309 || (c < 43360
                    ? (c >= 43312 && c <= 43347)
                    : c <= 43388)))
                : (c <= 43456 || (c < 43520
                  ? (c < 43488
                    ? (c >= 43471 && c <= 43481)
                    : c <= 43518)
                  : (c <= 43574 || (c >= 43584 && c <= 43597)))))))))))))))
    : (c <= 43609 || (c < 71453
      ? (c < 67594
        ? (c < 65343
          ? (c < 64298
            ? (c < 43868
              ? (c < 43777
                ? (c < 43739
                  ? (c < 43642
                    ? (c >= 43616 && c <= 43638)
                    : c <= 43714)
                  : (c <= 43741 || (c < 43762
                    ? (c >= 43744 && c <= 43759)
                    : c <= 43766)))
                : (c <= 43782 || (c < 43808
                  ? (c < 43793
                    ? (c >= 43785 && c <= 43790)
                    : c <= 43798)
                  : (c <= 43814 || (c < 43824
                    ? (c >= 43816 && c <= 43822)
                    : c <= 43866)))))
              : (c <= 43881 || (c < 55243
                ? (c < 44016
                  ? (c < 44012
                    ? (c >= 43888 && c <= 44010)
                    : c <= 44013)
                  : (c <= 44025 || (c < 55216
                    ? (c >= 44032 && c <= 55203)
                    : c <= 55238)))
                : (c <= 55291 || (c < 64256
                  ? (c < 64112
                    ? (c >= 63744 && c <= 64109)
                    : c <= 64217)
                  : (c <= 64262 || (c < 64285
                    ? (c >= 64275 && c <= 64279)
                    : c <= 64296)))))))
            : (c <= 64310 || (c < 65056
              ? (c < 64467
                ? (c < 64320
                  ? (c < 64318
                    ? (c >= 64312 && c <= 64316)
                    : c <= 64318)
                  : (c <= 64321 || (c < 64326
                    ? (c >= 64323 && c <= 64324)
                    : c <= 64433)))
                : (c <= 64605 || (c < 64914
                  ? (c < 64848
                    ? (c >= 64612 && c <= 64829)
                    : c <= 64911)
                  : (c <= 64967 || (c < 65024
                    ? (c >= 65008 && c <= 65017)
                    : c <= 65039)))))
              : (c <= 65071 || (c < 65145
                ? (c < 65137
                  ? (c < 65101
                    ? (c >= 65075 && c <= 65076)
                    : c <= 65103)
                  : (c <= 65137 || (c < 65143
                    ? c == 65139
                    : c <= 65143)))
                : (c <= 65145 || (c < 65151
                  ? (c < 65149
                    ? c == 65147
                    : c <= 65149)
                  : (c <= 65276 || (c < 65313
                    ? (c >= 65296 && c <= 65305)
                    : c <= 65338)))))))))
          : (c <= 65343 || (c < 66504
            ? (c < 65616
              ? (c < 65498
                ? (c < 65474
                  ? (c < 65382
                    ? (c >= 65345 && c <= 65370)
                    : c <= 65470)
                  : (c <= 65479 || (c < 65490
                    ? (c >= 65482 && c <= 65487)
                    : c <= 65495)))
                : (c <= 65500 || (c < 65576
                  ? (c < 65549
                    ? (c >= 65536 && c <= 65547)
                    : c <= 65574)
                  : (c <= 65594 || (c < 65599
                    ? (c >= 65596 && c <= 65597)
                    : c <= 65613)))))
              : (c <= 65629 || (c < 66272
                ? (c < 66045
                  ? (c < 65856
                    ? (c >= 65664 && c <= 65786)
                    : c <= 65908)
                  : (c <= 66045 || (c < 66208
                    ? (c >= 66176 && c <= 66204)
                    : c <= 66256)))
                : (c <= 66272 || (c < 66384
                  ? (c < 66349
                    ? (c >= 66304 && c <= 66335)
                    : c <= 66378)
                  : (c <= 66426 || (c < 66464
                    ? (c >= 66432 && c <= 66461)
                    : c <= 66499)))))))
            : (c <= 66511 || (c < 66967
              ? (c < 66816
                ? (c < 66720
                  ? (c < 66560
                    ? (c >= 66513 && c <= 66517)
                    : c <= 66717)
                  : (c <= 66729 || (c < 66776
                    ? (c >= 66736 && c <= 66771)
                    : c <= 66811)))
                : (c <= 66855 || (c < 66940
                  ? (c < 66928
                    ? (c >= 66864 && c <= 66915)
                    : c <= 66938)
                  : (c <= 66954 || (c < 66964
                    ? (c >= 66956 && c <= 66962)
                    : c <= 66965)))))
              : (c <= 66977 || (c < 67424
                ? (c < 67003
                  ? (c < 66995
                    ? (c >= 66979 && c <= 66993)
                    : c <= 67001)
                  : (c <= 67004 || (c < 67392
                    ? (c >= 67072 && c <= 67382)
                    : c <= 67413)))
                : (c <= 67431 || (c < 67506
                  ? (c < 67463
                    ? (c >= 67456 && c <= 67461)
                    : c <= 67504)
                  : (c <= 67514 || (c < 67592
                    ? (c >= 67584 && c <= 67589)
                    : c <= 67592)))))))))))
        : (c <= 67637 || (c < 69942
          ? (c < 68416
            ? (c < 68096
              ? (c < 67808
                ? (c < 67647
                  ? (c < 67644
                    ? (c >= 67639 && c <= 67640)
                    : c <= 67644)
                  : (c <= 67669 || (c < 67712
                    ? (c >= 67680 && c <= 67702)
                    : c <= 67742)))
                : (c <= 67826 || (c < 67872
                  ? (c < 67840
                    ? (c >= 67828 && c <= 67829)
                    : c <= 67861)
                  : (c <= 67897 || (c < 68030
                    ? (c >= 67968 && c <= 68023)
                    : c <= 68031)))))
              : (c <= 68099 || (c < 68159
                ? (c < 68117
                  ? (c < 68108
                    ? (c >= 68101 && c <= 68102)
                    : c <= 68115)
                  : (c <= 68119 || (c < 68152
                    ? (c >= 68121 && c <= 68149)
                    : c <= 68154)))
                : (c <= 68159 || (c < 68288
                  ? (c < 68224
                    ? (c >= 68192 && c <= 68220)
                    : c <= 68252)
                  : (c <= 68295 || (c < 68352
                    ? (c >= 68297 && c <= 68326)
                    : c <= 68405)))))))
            : (c <= 68437 || (c < 69415
              ? (c < 68864
                ? (c < 68608
                  ? (c < 68480
                    ? (c >= 68448 && c <= 68466)
                    : c <= 68497)
                  : (c <= 68680 || (c < 68800
                    ? (c >= 68736 && c <= 68786)
                    : c <= 68850)))
                : (c <= 68903 || (c < 69291
                  ? (c < 69248
                    ? (c >= 68912 && c <= 68921)
                    : c <= 69289)
                  : (c <= 69292 || (c < 69376
                    ? (c >= 69296 && c <= 69297)
                    : c <= 69404)))))
              : (c <= 69415 || (c < 69734
                ? (c < 69552
                  ? (c < 69488
                    ? (c >= 69424 && c <= 69456)
                    : c <= 69509)
                  : (c <= 69572 || (c < 69632
                    ? (c >= 69600 && c <= 69622)
                    : c <= 69702)))
                : (c <= 69749 || (c < 69840
                  ? (c < 69826
                    ? (c >= 69759 && c <= 69818)
                    : c <= 69826)
                  : (c <= 69864 || (c < 69888
                    ? (c >= 69872 && c <= 69881)
                    : c <= 69940)))))))))
          : (c <= 69951 || (c < 70453
            ? (c < 70280
              ? (c < 70094
                ? (c < 70006
                  ? (c < 69968
                    ? (c >= 69956 && c <= 69959)
                    : c <= 70003)
                  : (c <= 70006 || (c < 70089
                    ? (c >= 70016 && c <= 70084)
                    : c <= 70092)))
                : (c <= 70106 || (c < 70163
                  ? (c < 70144
                    ? c == 70108
                    : c <= 70161)
                  : (c <= 70199 || (c < 70272
                    ? c == 70206
                    : c <= 70278)))))
              : (c <= 70280 || (c < 70400
                ? (c < 70303
                  ? (c < 70287
                    ? (c >= 70282 && c <= 70285)
                    : c <= 70301)
                  : (c <= 70312 || (c < 70384
                    ? (c >= 70320 && c <= 70378)
                    : c <= 70393)))
                : (c <= 70403 || (c < 70419
                  ? (c < 70415
                    ? (c >= 70405 && c <= 70412)
                    : c <= 70416)
                  : (c <= 70440 || (c < 70450
                    ? (c >= 70442 && c <= 70448)
                    : c <= 70451)))))))
            : (c <= 70457 || (c < 70784
              ? (c < 70493
                ? (c < 70475
                  ? (c < 70471
                    ? (c >= 70459 && c <= 70468)
                    : c <= 70472)
                  : (c <= 70477 || (c < 70487
                    ? c == 70480
                    : c <= 70487)))
                : (c <= 70499 || (c < 70656
                  ? (c < 70512
                    ? (c >= 70502 && c <= 70508)
                    : c <= 70516)
                  : (c <= 70730 || (c < 70750
                    ? (c >= 70736 && c <= 70745)
                    : c <= 70753)))))
              : (c <= 70853 || (c < 71168
                ? (c < 71040
                  ? (c < 70864
                    ? c == 70855
                    : c <= 70873)
                  : (c <= 71093 || (c < 71128
                    ? (c >= 71096 && c <= 71104)
                    : c <= 71133)))
                : (c <= 71232 || (c < 71296
                  ? (c < 71248
                    ? c == 71236
                    : c <= 71257)
                  : (c <= 71352 || (c < 71424
                    ? (c >= 71360 && c <= 71369)
                    : c <= 71450)))))))))))))
      : (c <= 71467 || (c < 119973
        ? (c < 77824
          ? (c < 72760
            ? (c < 72016
              ? (c < 71945
                ? (c < 71680
                  ? (c < 71488
                    ? (c >= 71472 && c <= 71481)
                    : c <= 71494)
                  : (c <= 71738 || (c < 71935
                    ? (c >= 71840 && c <= 71913)
                    : c <= 71942)))
                : (c <= 71945 || (c < 71960
                  ? (c < 71957
                    ? (c >= 71948 && c <= 71955)
                    : c <= 71958)
                  : (c <= 71989 || (c < 71995
                    ? (c >= 71991 && c <= 71992)
                    : c <= 72003)))))
              : (c <= 72025 || (c < 72263
                ? (c < 72154
                  ? (c < 72106
                    ? (c >= 72096 && c <= 72103)
                    : c <= 72151)
                  : (c <= 72161 || (c < 72192
                    ? (c >= 72163 && c <= 72164)
                    : c <= 72254)))
                : (c <= 72263 || (c < 72368
                  ? (c < 72349
                    ? (c >= 72272 && c <= 72345)
                    : c <= 72349)
                  : (c <= 72440 || (c < 72714
                    ? (c >= 72704 && c <= 72712)
                    : c <= 72758)))))))
            : (c <= 72768 || (c < 73056
              ? (c < 72968
                ? (c < 72850
                  ? (c < 72818
                    ? (c >= 72784 && c <= 72793)
                    : c <= 72847)
                  : (c <= 72871 || (c < 72960
                    ? (c >= 72873 && c <= 72886)
                    : c <= 72966)))
                : (c <= 72969 || (c < 73020
                  ? (c < 73018
                    ? (c >= 72971 && c <= 73014)
                    : c <= 73018)
                  : (c <= 73021 || (c < 73040
                    ? (c >= 73023 && c <= 73031)
                    : c <= 73049)))))
              : (c <= 73061 || (c < 73440
                ? (c < 73104
                  ? (c < 73066
                    ? (c >= 73063 && c <= 73064)
                    : c <= 73102)
                  : (c <= 73105 || (c < 73120
                    ? (c >= 73107 && c <= 73112)
                    : c <= 73129)))
                : (c <= 73462 || (c < 74752
                  ? (c < 73728
                    ? c == 73648
                    : c <= 74649)
                  : (c <= 74862 || (c < 77712
                    ? (c >= 74880 && c <= 75075)
                    : c <= 77808)))))))))
          : (c <= 78894 || (c < 110576
            ? (c < 93027
              ? (c < 92864
                ? (c < 92736
                  ? (c < 92160
                    ? (c >= 82944 && c <= 83526)
                    : c <= 92728)
                  : (c <= 92766 || (c < 92784
                    ? (c >= 92768 && c <= 92777)
                    : c <= 92862)))
                : (c <= 92873 || (c < 92928
                  ? (c < 92912
                    ? (c >= 92880 && c <= 92909)
                    : c <= 92916)
                  : (c <= 92982 || (c < 93008
                    ? (c >= 92992 && c <= 92995)
                    : c <= 93017)))))
              : (c <= 93047 || (c < 94176
                ? (c < 93952
                  ? (c < 93760
                    ? (c >= 93053 && c <= 93071)
                    : c <= 93823)
                  : (c <= 94026 || (c < 94095
                    ? (c >= 94031 && c <= 94087)
                    : c <= 94111)))
                : (c <= 94177 || (c < 94208
                  ? (c < 94192
                    ? (c >= 94179 && c <= 94180)
                    : c <= 94193)
                  : (c <= 100343 || (c < 101632
                    ? (c >= 100352 && c <= 101589)
                    : c <= 101640)))))))
            : (c <= 110579 || (c < 118528
              ? (c < 110960
                ? (c < 110592
                  ? (c < 110589
                    ? (c >= 110581 && c <= 110587)
                    : c <= 110590)
                  : (c <= 110882 || (c < 110948
                    ? (c >= 110928 && c <= 110930)
                    : c <= 110951)))
                : (c <= 111355 || (c < 113792
                  ? (c < 113776
                    ? (c >= 113664 && c <= 113770)
                    : c <= 113788)
                  : (c <= 113800 || (c < 113821
                    ? (c >= 113808 && c <= 113817)
                    : c <= 113822)))))
              : (c <= 118573 || (c < 119210
                ? (c < 119149
                  ? (c < 119141
                    ? (c >= 118576 && c <= 118598)
                    : c <= 119145)
                  : (c <= 119154 || (c < 119173
                    ? (c >= 119163 && c <= 119170)
                    : c <= 119179)))
                : (c <= 119213 || (c < 119894
                  ? (c < 119808
                    ? (c >= 119362 && c <= 119364)
                    : c <= 119892)
                  : (c <= 119964 || (c < 119970
                    ? (c >= 119966 && c <= 119967)
                    : c <= 119970)))))))))))
        : (c <= 119974 || (c < 124912
          ? (c < 120746
            ? (c < 120134
              ? (c < 120071
                ? (c < 119995
                  ? (c < 119982
                    ? (c >= 119977 && c <= 119980)
                    : c <= 119993)
                  : (c <= 119995 || (c < 120005
                    ? (c >= 119997 && c <= 120003)
                    : c <= 120069)))
                : (c <= 120074 || (c < 120094
                  ? (c < 120086
                    ? (c >= 120077 && c <= 120084)
                    : c <= 120092)
                  : (c <= 120121 || (c < 120128
                    ? (c >= 120123 && c <= 120126)
                    : c <= 120132)))))
              : (c <= 120134 || (c < 120572
                ? (c < 120488
                  ? (c < 120146
                    ? (c >= 120138 && c <= 120144)
                    : c <= 120485)
                  : (c <= 120512 || (c < 120540
                    ? (c >= 120514 && c <= 120538)
                    : c <= 120570)))
                : (c <= 120596 || (c < 120656
                  ? (c < 120630
                    ? (c >= 120598 && c <= 120628)
                    : c <= 120654)
                  : (c <= 120686 || (c < 120714
                    ? (c >= 120688 && c <= 120712)
                    : c <= 120744)))))))
            : (c <= 120770 || (c < 122907
              ? (c < 121476
                ? (c < 121344
                  ? (c < 120782
                    ? (c >= 120772 && c <= 120779)
                    : c <= 120831)
                  : (c <= 121398 || (c < 121461
                    ? (c >= 121403 && c <= 121452)
                    : c <= 121461)))
                : (c <= 121476 || (c < 122624
                  ? (c < 121505
                    ? (c >= 121499 && c <= 121503)
                    : c <= 121519)
                  : (c <= 122654 || (c < 122888
                    ? (c >= 122880 && c <= 122886)
                    : c <= 122904)))))
              : (c <= 122913 || (c < 123214
                ? (c < 123136
                  ? (c < 122918
                    ? (c >= 122915 && c <= 122916)
                    : c <= 122922)
                  : (c <= 123180 || (c < 123200
                    ? (c >= 123184 && c <= 123197)
                    : c <= 123209)))
                : (c <= 123214 || (c < 124896
                  ? (c < 123584
                    ? (c >= 123536 && c <= 123566)
                    : c <= 123641)
                  : (c <= 124902 || (c < 124909
                    ? (c >= 124904 && c <= 124907)
                    : c <= 124910)))))))))
          : (c <= 124926 || (c < 126557
            ? (c < 126521
              ? (c < 126469
                ? (c < 125184
                  ? (c < 125136
                    ? (c >= 124928 && c <= 125124)
                    : c <= 125142)
                  : (c <= 125259 || (c < 126464
                    ? (c >= 125264 && c <= 125273)
                    : c <= 126467)))
                : (c <= 126495 || (c < 126503
                  ? (c < 126500
                    ? (c >= 126497 && c <= 126498)
                    : c <= 126500)
                  : (c <= 126503 || (c < 126516
                    ? (c >= 126505 && c <= 126514)
                    : c <= 126519)))))
              : (c <= 126521 || (c < 126541
                ? (c < 126535
                  ? (c < 126530
                    ? c == 126523
                    : c <= 126530)
                  : (c <= 126535 || (c < 126539
                    ? c == 126537
                    : c <= 126539)))
                : (c <= 126543 || (c < 126551
                  ? (c < 126548
                    ? (c >= 126545 && c <= 126546)
                    : c <= 126548)
                  : (c <= 126551 || (c < 126555
                    ? c == 126553
                    : c <= 126555)))))))
            : (c <= 126557 || (c < 126629
              ? (c < 126580
                ? (c < 126564
                  ? (c < 126561
                    ? c == 126559
                    : c <= 126562)
                  : (c <= 126564 || (c < 126572
                    ? (c >= 126567 && c <= 126570)
                    : c <= 126578)))
                : (c <= 126583 || (c < 126592
                  ? (c < 126590
                    ? (c >= 126585 && c <= 126588)
                    : c <= 126590)
                  : (c <= 126601 || (c < 126625
                    ? (c >= 126603 && c <= 126619)
                    : c <= 126627)))))
              : (c <= 126633 || (c < 178208
                ? (c < 131072
                  ? (c < 130032
                    ? (c >= 126635 && c <= 126651)
                    : c <= 130041)
                  : (c <= 173791 || (c < 177984
                    ? (c >= 173824 && c <= 177976)
                    : c <= 178205)))
                : (c <= 183969 || (c < 196608
                  ? (c < 194560
                    ? (c >= 183984 && c <= 191456)
                    : c <= 195101)
                  : (c <= 201546 || (c >= 917760 && c <= 917999)))))))))))))))));
}

static inline bool sym_identifier_character_set_23(int32_t c) {
  return (c < 43600
    ? (c < 3776
      ? (c < 2738
        ? (c < 1984
          ? (c < 910
            ? (c < 216
              ? (c < 'a'
                ? (c < 'A'
                  ? (c < '0'
                    ? c == '$'
                    : c <= '9')
                  : (c <= 'R' || (c < '_'
                    ? (c >= 'T' && c <= 'Z')
                    : c <= '_')))
                : (c <= 'z' || (c < 183
                  ? (c < 181
                    ? c == 170
                    : c <= 181)
                  : (c <= 183 || (c < 192
                    ? c == 186
                    : c <= 214)))))
              : (c <= 246 || (c < 768
                ? (c < 736
                  ? (c < 710
                    ? (c >= 248 && c <= 705)
                    : c <= 721)
                  : (c <= 740 || (c < 750
                    ? c == 748
                    : c <= 750)))
                : (c <= 884 || (c < 895
                  ? (c < 891
                    ? (c >= 886 && c <= 887)
                    : c <= 893)
                  : (c <= 895 || (c < 908
                    ? (c >= 902 && c <= 906)
                    : c <= 908)))))))
            : (c <= 929 || (c < 1479
              ? (c < 1369
                ? (c < 1155
                  ? (c < 1015
                    ? (c >= 931 && c <= 1013)
                    : c <= 1153)
                  : (c <= 1159 || (c < 1329
                    ? (c >= 1162 && c <= 1327)
                    : c <= 1366)))
                : (c <= 1369 || (c < 1471
                  ? (c < 1425
                    ? (c >= 1376 && c <= 1416)
                    : c <= 1469)
                  : (c <= 1471 || (c < 1476
                    ? (c >= 1473 && c <= 1474)
                    : c <= 1477)))))
              : (c <= 1479 || (c < 1749
                ? (c < 1552
                  ? (c < 1519
                    ? (c >= 1488 && c <= 1514)
                    : c <= 1522)
                  : (c <= 1562 || (c < 1646
                    ? (c >= 1568 && c <= 1641)
                    : c <= 1747)))
                : (c <= 1756 || (c < 1791
                  ? (c < 1770
                    ? (c >= 1759 && c <= 1768)
                    : c <= 1788)
                  : (c <= 1791 || (c < 1869
                    ? (c >= 1808 && c <= 1866)
                    : c <= 1969)))))))))
          : (c <= 2037 || (c < 2534
            ? (c < 2437
              ? (c < 2160
                ? (c < 2048
                  ? (c < 2045
                    ? c == 2042
                    : c <= 2045)
                  : (c <= 2093 || (c < 2144
                    ? (c >= 2112 && c <= 2139)
                    : c <= 2154)))
                : (c <= 2183 || (c < 2275
                  ? (c < 2200
                    ? (c >= 2185 && c <= 2190)
                    : c <= 2273)
                  : (c <= 2403 || (c < 2417
                    ? (c >= 2406 && c <= 2415)
                    : c <= 2435)))))
              : (c <= 2444 || (c < 2492
                ? (c < 2474
                  ? (c < 2451
                    ? (c >= 2447 && c <= 2448)
                    : c <= 2472)
                  : (c <= 2480 || (c < 2486
                    ? c == 2482
                    : c <= 2489)))
                : (c <= 2500 || (c < 2519
                  ? (c < 2507
                    ? (c >= 2503 && c <= 2504)
                    : c <= 2510)
                  : (c <= 2519 || (c < 2527
                    ? (c >= 2524 && c <= 2525)
                    : c <= 2531)))))))
            : (c <= 2545 || (c < 2622
              ? (c < 2579
                ? (c < 2561
                  ? (c < 2558
                    ? c == 2556
                    : c <= 2558)
                  : (c <= 2563 || (c < 2575
                    ? (c >= 2565 && c <= 2570)
                    : c <= 2576)))
                : (c <= 2600 || (c < 2613
                  ? (c < 2610
                    ? (c >= 2602 && c <= 2608)
                    : c <= 2611)
                  : (c <= 2614 || (c < 2620
                    ? (c >= 2616 && c <= 2617)
                    : c <= 2620)))))
              : (c <= 2626 || (c < 2662
                ? (c < 2641
                  ? (c < 2635
                    ? (c >= 2631 && c <= 2632)
                    : c <= 2637)
                  : (c <= 2641 || (c < 2654
                    ? (c >= 2649 && c <= 2652)
                    : c <= 2654)))
                : (c <= 2677 || (c < 2703
                  ? (c < 2693
                    ? (c >= 2689 && c <= 2691)
                    : c <= 2701)
                  : (c <= 2705 || (c < 2730
                    ? (c >= 2707 && c <= 2728)
                    : c <= 2736)))))))))))
        : (c <= 2739 || (c < 3160
          ? (c < 2946
            ? (c < 2835
              ? (c < 2784
                ? (c < 2759
                  ? (c < 2748
                    ? (c >= 2741 && c <= 2745)
                    : c <= 2757)
                  : (c <= 2761 || (c < 2768
                    ? (c >= 2763 && c <= 2765)
                    : c <= 2768)))
                : (c <= 2787 || (c < 2817
                  ? (c < 2809
                    ? (c >= 2790 && c <= 2799)
                    : c <= 2815)
                  : (c <= 2819 || (c < 2831
                    ? (c >= 2821 && c <= 2828)
                    : c <= 2832)))))
              : (c <= 2856 || (c < 2891
                ? (c < 2869
                  ? (c < 2866
                    ? (c >= 2858 && c <= 2864)
                    : c <= 2867)
                  : (c <= 2873 || (c < 2887
                    ? (c >= 2876 && c <= 2884)
                    : c <= 2888)))
                : (c <= 2893 || (c < 2911
                  ? (c < 2908
                    ? (c >= 2901 && c <= 2903)
                    : c <= 2909)
                  : (c <= 2915 || (c < 2929
                    ? (c >= 2918 && c <= 2927)
                    : c <= 2929)))))))
            : (c <= 2947 || (c < 3018
              ? (c < 2974
                ? (c < 2962
                  ? (c < 2958
                    ? (c >= 2949 && c <= 2954)
                    : c <= 2960)
                  : (c <= 2965 || (c < 2972
                    ? (c >= 2969 && c <= 2970)
                    : c <= 2972)))
                : (c <= 2975 || (c < 2990
                  ? (c < 2984
                    ? (c >= 2979 && c <= 2980)
                    : c <= 2986)
                  : (c <= 3001 || (c < 3014
                    ? (c >= 3006 && c <= 3010)
                    : c <= 3016)))))
              : (c <= 3021 || (c < 3090
                ? (c < 3046
                  ? (c < 3031
                    ? c == 3024
                    : c <= 3031)
                  : (c <= 3055 || (c < 3086
                    ? (c >= 3072 && c <= 3084)
                    : c <= 3088)))
                : (c <= 3112 || (c < 3142
                  ? (c < 3132
                    ? (c >= 3114 && c <= 3129)
                    : c <= 3140)
                  : (c <= 3144 || (c < 3157
                    ? (c >= 3146 && c <= 3149)
                    : c <= 3158)))))))))
          : (c <= 3162 || (c < 3423
            ? (c < 3274
              ? (c < 3214
                ? (c < 3174
                  ? (c < 3168
                    ? c == 3165
                    : c <= 3171)
                  : (c <= 3183 || (c < 3205
                    ? (c >= 3200 && c <= 3203)
                    : c <= 3212)))
                : (c <= 3216 || (c < 3253
                  ? (c < 3242
                    ? (c >= 3218 && c <= 3240)
                    : c <= 3251)
                  : (c <= 3257 || (c < 3270
                    ? (c >= 3260 && c <= 3268)
                    : c <= 3272)))))
              : (c <= 3277 || (c < 3328
                ? (c < 3296
                  ? (c < 3293
                    ? (c >= 3285 && c <= 3286)
                    : c <= 3294)
                  : (c <= 3299 || (c < 3313
                    ? (c >= 3302 && c <= 3311)
                    : c <= 3314)))
                : (c <= 3340 || (c < 3398
                  ? (c < 3346
                    ? (c >= 3342 && c <= 3344)
                    : c <= 3396)
                  : (c <= 3400 || (c < 3412
                    ? (c >= 3402 && c <= 3406)
                    : c <= 3415)))))))
            : (c <= 3427 || (c < 3544
              ? (c < 3507
                ? (c < 3457
                  ? (c < 3450
                    ? (c >= 3430 && c <= 3439)
                    : c <= 3455)
                  : (c <= 3459 || (c < 3482
                    ? (c >= 3461 && c <= 3478)
                    : c <= 3505)))
                : (c <= 3515 || (c < 3530
                  ? (c < 3520
                    ? c == 3517
                    : c <= 3526)
                  : (c <= 3530 || (c < 3542
                    ? (c >= 3535 && c <= 3540)
                    : c <= 3542)))))
              : (c <= 3551 || (c < 3713
                ? (c < 3585
                  ? (c < 3570
                    ? (c >= 3558 && c <= 3567)
                    : c <= 3571)
                  : (c <= 3642 || (c < 3664
                    ? (c >= 3648 && c <= 3662)
                    : c <= 3673)))
                : (c <= 3714 || (c < 3724
                  ? (c < 3718
                    ? c == 3716
                    : c <= 3722)
                  : (c <= 3747 || (c < 3751
                    ? c == 3749
                    : c <= 3773)))))))))))))
      : (c <= 3780 || (c < 8016
        ? (c < 5870
          ? (c < 4682
            ? (c < 3913
              ? (c < 3864
                ? (c < 3792
                  ? (c < 3784
                    ? c == 3782
                    : c <= 3789)
                  : (c <= 3801 || (c < 3840
                    ? (c >= 3804 && c <= 3807)
                    : c <= 3840)))
                : (c <= 3865 || (c < 3895
                  ? (c < 3893
                    ? (c >= 3872 && c <= 3881)
                    : c <= 3893)
                  : (c <= 3895 || (c < 3902
                    ? c == 3897
                    : c <= 3911)))))
              : (c <= 3948 || (c < 4176
                ? (c < 3993
                  ? (c < 3974
                    ? (c >= 3953 && c <= 3972)
                    : c <= 3991)
                  : (c <= 4028 || (c < 4096
                    ? c == 4038
                    : c <= 4169)))
                : (c <= 4253 || (c < 4301
                  ? (c < 4295
                    ? (c >= 4256 && c <= 4293)
                    : c <= 4295)
                  : (c <= 4301 || (c < 4348
                    ? (c >= 4304 && c <= 4346)
                    : c <= 4680)))))))
            : (c <= 4685 || (c < 4824
              ? (c < 4752
                ? (c < 4698
                  ? (c < 4696
                    ? (c >= 4688 && c <= 4694)
                    : c <= 4696)
                  : (c <= 4701 || (c < 4746
                    ? (c >= 4704 && c <= 4744)
                    : c <= 4749)))
                : (c <= 4784 || (c < 4800
                  ? (c < 4792
                    ? (c >= 4786 && c <= 4789)
                    : c <= 4798)
                  : (c <= 4800 || (c < 4808
                    ? (c >= 4802 && c <= 4805)
                    : c <= 4822)))))
              : (c <= 4880 || (c < 5024
                ? (c < 4957
                  ? (c < 4888
                    ? (c >= 4882 && c <= 4885)
                    : c <= 4954)
                  : (c <= 4959 || (c < 4992
                    ? (c >= 4969 && c <= 4977)
                    : c <= 5007)))
                : (c <= 5109 || (c < 5743
                  ? (c < 5121
                    ? (c >= 5112 && c <= 5117)
                    : c <= 5740)
                  : (c <= 5759 || (c < 5792
                    ? (c >= 5761 && c <= 5786)
                    : c <= 5866)))))))))
          : (c <= 5880 || (c < 6656
            ? (c < 6159
              ? (c < 6002
                ? (c < 5952
                  ? (c < 5919
                    ? (c >= 5888 && c <= 5909)
                    : c <= 5940)
                  : (c <= 5971 || (c < 5998
                    ? (c >= 5984 && c <= 5996)
                    : c <= 6000)))
                : (c <= 6003 || (c < 6108
                  ? (c < 6103
                    ? (c >= 6016 && c <= 6099)
                    : c <= 6103)
                  : (c <= 6109 || (c < 6155
                    ? (c >= 6112 && c <= 6121)
                    : c <= 6157)))))
              : (c <= 6169 || (c < 6448
                ? (c < 6320
                  ? (c < 6272
                    ? (c >= 6176 && c <= 6264)
                    : c <= 6314)
                  : (c <= 6389 || (c < 6432
                    ? (c >= 6400 && c <= 6430)
                    : c <= 6443)))
                : (c <= 6459 || (c < 6528
                  ? (c < 6512
                    ? (c >= 6470 && c <= 6509)
                    : c <= 6516)
                  : (c <= 6571 || (c < 6608
                    ? (c >= 6576 && c <= 6601)
                    : c <= 6618)))))))
            : (c <= 6683 || (c < 7168
              ? (c < 6832
                ? (c < 6783
                  ? (c < 6752
                    ? (c >= 6688 && c <= 6750)
                    : c <= 6780)
                  : (c <= 6793 || (c < 6823
                    ? (c >= 6800 && c <= 6809)
                    : c <= 6823)))
                : (c <= 6845 || (c < 6992
                  ? (c < 6912
                    ? (c >= 6847 && c <= 6862)
                    : c <= 6988)
                  : (c <= 7001 || (c < 7040
                    ? (c >= 7019 && c <= 7027)
                    : c <= 7155)))))
              : (c <= 7223 || (c < 7376
                ? (c < 7296
                  ? (c < 7245
                    ? (c >= 7232 && c <= 7241)
                    : c <= 7293)
                  : (c <= 7304 || (c < 7357
                    ? (c >= 7312 && c <= 7354)
                    : c <= 7359)))
                : (c <= 7378 || (c < 7960
                  ? (c < 7424
                    ? (c >= 7380 && c <= 7418)
                    : c <= 7957)
                  : (c <= 7965 || (c < 8008
                    ? (c >= 7968 && c <= 8005)
                    : c <= 8013)))))))))))
        : (c <= 8023 || (c < 11712
          ? (c < 8455
            ? (c < 8160
              ? (c < 8118
                ? (c < 8029
                  ? (c < 8027
                    ? c == 8025
                    : c <= 8027)
                  : (c <= 8029 || (c < 8064
                    ? (c >= 8031 && c <= 8061)
                    : c <= 8116)))
                : (c <= 8124 || (c < 8134
                  ? (c < 8130
                    ? c == 8126
                    : c <= 8132)
                  : (c <= 8140 || (c < 8150
                    ? (c >= 8144 && c <= 8147)
                    : c <= 8155)))))
              : (c <= 8172 || (c < 8319
                ? (c < 8255
                  ? (c < 8182
                    ? (c >= 8178 && c <= 8180)
                    : c <= 8188)
                  : (c <= 8256 || (c < 8305
                    ? c == 8276
                    : c <= 8305)))
                : (c <= 8319 || (c < 8417
                  ? (c < 8400
                    ? (c >= 8336 && c <= 8348)
                    : c <= 8412)
                  : (c <= 8417 || (c < 8450
                    ? (c >= 8421 && c <= 8432)
                    : c <= 8450)))))))
            : (c <= 8455 || (c < 11264
              ? (c < 8488
                ? (c < 8472
                  ? (c < 8469
                    ? (c >= 8458 && c <= 8467)
                    : c <= 8469)
                  : (c <= 8477 || (c < 8486
                    ? c == 8484
                    : c <= 8486)))
                : (c <= 8488 || (c < 8517
                  ? (c < 8508
                    ? (c >= 8490 && c <= 8505)
                    : c <= 8511)
                  : (c <= 8521 || (c < 8544
                    ? c == 8526
                    : c <= 8584)))))
              : (c <= 11492 || (c < 11631
                ? (c < 11559
                  ? (c < 11520
                    ? (c >= 11499 && c <= 11507)
                    : c <= 11557)
                  : (c <= 11559 || (c < 11568
                    ? c == 11565
                    : c <= 11623)))
                : (c <= 11631 || (c < 11688
                  ? (c < 11680
                    ? (c >= 11647 && c <= 11670)
                    : c <= 11686)
                  : (c <= 11694 || (c < 11704
                    ? (c >= 11696 && c <= 11702)
                    : c <= 11710)))))))))
          : (c <= 11718 || (c < 42612
            ? (c < 12449
              ? (c < 12321
                ? (c < 11736
                  ? (c < 11728
                    ? (c >= 11720 && c <= 11726)
                    : c <= 11734)
                  : (c <= 11742 || (c < 12293
                    ? (c >= 11744 && c <= 11775)
                    : c <= 12295)))
                : (c <= 12335 || (c < 12353
                  ? (c < 12344
                    ? (c >= 12337 && c <= 12341)
                    : c <= 12348)
                  : (c <= 12438 || (c < 12445
                    ? (c >= 12441 && c <= 12442)
                    : c <= 12447)))))
              : (c <= 12538 || (c < 13312
                ? (c < 12593
                  ? (c < 12549
                    ? (c >= 12540 && c <= 12543)
                    : c <= 12591)
                  : (c <= 12686 || (c < 12784
                    ? (c >= 12704 && c <= 12735)
                    : c <= 12799)))
                : (c <= 19903 || (c < 42240
                  ? (c < 42192
                    ? (c >= 19968 && c <= 42124)
                    : c <= 42237)
                  : (c <= 42508 || (c < 42560
                    ? (c >= 42512 && c <= 42539)
                    : c <= 42607)))))))
            : (c <= 42621 || (c < 43216
              ? (c < 42963
                ? (c < 42786
                  ? (c < 42775
                    ? (c >= 42623 && c <= 42737)
                    : c <= 42783)
                  : (c <= 42888 || (c < 42960
                    ? (c >= 42891 && c <= 42954)
                    : c <= 42961)))
                : (c <= 42963 || (c < 43052
                  ? (c < 42994
                    ? (c >= 42965 && c <= 42969)
                    : c <= 43047)
                  : (c <= 43052 || (c < 43136
                    ? (c >= 43072 && c <= 43123)
                    : c <= 43205)))))
              : (c <= 43225 || (c < 43392
                ? (c < 43261
                  ? (c < 43259
                    ? (c >= 43232 && c <= 43255)
                    : c <= 43259)
                  : (c <= 43309 || (c < 43360
                    ? (c >= 43312 && c <= 43347)
                    : c <= 43388)))
                : (c <= 43456 || (c < 43520
                  ? (c < 43488
                    ? (c >= 43471 && c <= 43481)
                    : c <= 43518)
                  : (c <= 43574 || (c >= 43584 && c <= 43597)))))))))))))))
    : (c <= 43609 || (c < 71453
      ? (c < 67594
        ? (c < 65343
          ? (c < 64298
            ? (c < 43868
              ? (c < 43777
                ? (c < 43739
                  ? (c < 43642
                    ? (c >= 43616 && c <= 43638)
                    : c <= 43714)
                  : (c <= 43741 || (c < 43762
                    ? (c >= 43744 && c <= 43759)
                    : c <= 43766)))
                : (c <= 43782 || (c < 43808
                  ? (c < 43793
                    ? (c >= 43785 && c <= 43790)
                    : c <= 43798)
                  : (c <= 43814 || (c < 43824
                    ? (c >= 43816 && c <= 43822)
                    : c <= 43866)))))
              : (c <= 43881 || (c < 55243
                ? (c < 44016
                  ? (c < 44012
                    ? (c >= 43888 && c <= 44010)
                    : c <= 44013)
                  : (c <= 44025 || (c < 55216
                    ? (c >= 44032 && c <= 55203)
                    : c <= 55238)))
                : (c <= 55291 || (c < 64256
                  ? (c < 64112
                    ? (c >= 63744 && c <= 64109)
                    : c <= 64217)
                  : (c <= 64262 || (c < 64285
                    ? (c >= 64275 && c <= 64279)
                    : c <= 64296)))))))
            : (c <= 64310 || (c < 65056
              ? (c < 64467
                ? (c < 64320
                  ? (c < 64318
                    ? (c >= 64312 && c <= 64316)
                    : c <= 64318)
                  : (c <= 64321 || (c < 64326
                    ? (c >= 64323 && c <= 64324)
                    : c <= 64433)))
                : (c <= 64605 || (c < 64914
                  ? (c < 64848
                    ? (c >= 64612 && c <= 64829)
                    : c <= 64911)
                  : (c <= 64967 || (c < 65024
                    ? (c >= 65008 && c <= 65017)
                    : c <= 65039)))))
              : (c <= 65071 || (c < 65145
                ? (c < 65137
                  ? (c < 65101
                    ? (c >= 65075 && c <= 65076)
                    : c <= 65103)
                  : (c <= 65137 || (c < 65143
                    ? c == 65139
                    : c <= 65143)))
                : (c <= 65145 || (c < 65151
                  ? (c < 65149
                    ? c == 65147
                    : c <= 65149)
                  : (c <= 65276 || (c < 65313
                    ? (c >= 65296 && c <= 65305)
                    : c <= 65338)))))))))
          : (c <= 65343 || (c < 66504
            ? (c < 65616
              ? (c < 65498
                ? (c < 65474
                  ? (c < 65382
                    ? (c >= 65345 && c <= 65370)
                    : c <= 65470)
                  : (c <= 65479 || (c < 65490
                    ? (c >= 65482 && c <= 65487)
                    : c <= 65495)))
                : (c <= 65500 || (c < 65576
                  ? (c < 65549
                    ? (c >= 65536 && c <= 65547)
                    : c <= 65574)
                  : (c <= 65594 || (c < 65599
                    ? (c >= 65596 && c <= 65597)
                    : c <= 65613)))))
              : (c <= 65629 || (c < 66272
                ? (c < 66045
                  ? (c < 65856
                    ? (c >= 65664 && c <= 65786)
                    : c <= 65908)
                  : (c <= 66045 || (c < 66208
                    ? (c >= 66176 && c <= 66204)
                    : c <= 66256)))
                : (c <= 66272 || (c < 66384
                  ? (c < 66349
                    ? (c >= 66304 && c <= 66335)
                    : c <= 66378)
                  : (c <= 66426 || (c < 66464
                    ? (c >= 66432 && c <= 66461)
                    : c <= 66499)))))))
            : (c <= 66511 || (c < 66967
              ? (c < 66816
                ? (c < 66720
                  ? (c < 66560
                    ? (c >= 66513 && c <= 66517)
                    : c <= 66717)
                  : (c <= 66729 || (c < 66776
                    ? (c >= 66736 && c <= 66771)
                    : c <= 66811)))
                : (c <= 66855 || (c < 66940
                  ? (c < 66928
                    ? (c >= 66864 && c <= 66915)
                    : c <= 66938)
                  : (c <= 66954 || (c < 66964
                    ? (c >= 66956 && c <= 66962)
                    : c <= 66965)))))
              : (c <= 66977 || (c < 67424
                ? (c < 67003
                  ? (c < 66995
                    ? (c >= 66979 && c <= 66993)
                    : c <= 67001)
                  : (c <= 67004 || (c < 67392
                    ? (c >= 67072 && c <= 67382)
                    : c <= 67413)))
                : (c <= 67431 || (c < 67506
                  ? (c < 67463
                    ? (c >= 67456 && c <= 67461)
                    : c <= 67504)
                  : (c <= 67514 || (c < 67592
                    ? (c >= 67584 && c <= 67589)
                    : c <= 67592)))))))))))
        : (c <= 67637 || (c < 69942
          ? (c < 68416
            ? (c < 68096
              ? (c < 67808
                ? (c < 67647
                  ? (c < 67644
                    ? (c >= 67639 && c <= 67640)
                    : c <= 67644)
                  : (c <= 67669 || (c < 67712
                    ? (c >= 67680 && c <= 67702)
                    : c <= 67742)))
                : (c <= 67826 || (c < 67872
                  ? (c < 67840
                    ? (c >= 67828 && c <= 67829)
                    : c <= 67861)
                  : (c <= 67897 || (c < 68030
                    ? (c >= 67968 && c <= 68023)
                    : c <= 68031)))))
              : (c <= 68099 || (c < 68159
                ? (c < 68117
                  ? (c < 68108
                    ? (c >= 68101 && c <= 68102)
                    : c <= 68115)
                  : (c <= 68119 || (c < 68152
                    ? (c >= 68121 && c <= 68149)
                    : c <= 68154)))
                : (c <= 68159 || (c < 68288
                  ? (c < 68224
                    ? (c >= 68192 && c <= 68220)
                    : c <= 68252)
                  : (c <= 68295 || (c < 68352
                    ? (c >= 68297 && c <= 68326)
                    : c <= 68405)))))))
            : (c <= 68437 || (c < 69415
              ? (c < 68864
                ? (c < 68608
                  ? (c < 68480
                    ? (c >= 68448 && c <= 68466)
                    : c <= 68497)
                  : (c <= 68680 || (c < 68800
                    ? (c >= 68736 && c <= 68786)
                    : c <= 68850)))
                : (c <= 68903 || (c < 69291
                  ? (c < 69248
                    ? (c >= 68912 && c <= 68921)
                    : c <= 69289)
                  : (c <= 69292 || (c < 69376
                    ? (c >= 69296 && c <= 69297)
                    : c <= 69404)))))
              : (c <= 69415 || (c < 69734
                ? (c < 69552
                  ? (c < 69488
                    ? (c >= 69424 && c <= 69456)
                    : c <= 69509)
                  : (c <= 69572 || (c < 69632
                    ? (c >= 69600 && c <= 69622)
                    : c <= 69702)))
                : (c <= 69749 || (c < 69840
                  ? (c < 69826
                    ? (c >= 69759 && c <= 69818)
                    : c <= 69826)
                  : (c <= 69864 || (c < 69888
                    ? (c >= 69872 && c <= 69881)
                    : c <= 69940)))))))))
          : (c <= 69951 || (c < 70453
            ? (c < 70280
              ? (c < 70094
                ? (c < 70006
                  ? (c < 69968
                    ? (c >= 69956 && c <= 69959)
                    : c <= 70003)
                  : (c <= 70006 || (c < 70089
                    ? (c >= 70016 && c <= 70084)
                    : c <= 70092)))
                : (c <= 70106 || (c < 70163
                  ? (c < 70144
                    ? c == 70108
                    : c <= 70161)
                  : (c <= 70199 || (c < 70272
                    ? c == 70206
                    : c <= 70278)))))
              : (c <= 70280 || (c < 70400
                ? (c < 70303
                  ? (c < 70287
                    ? (c >= 70282 && c <= 70285)
                    : c <= 70301)
                  : (c <= 70312 || (c < 70384
                    ? (c >= 70320 && c <= 70378)
                    : c <= 70393)))
                : (c <= 70403 || (c < 70419
                  ? (c < 70415
                    ? (c >= 70405 && c <= 70412)
                    : c <= 70416)
                  : (c <= 70440 || (c < 70450
                    ? (c >= 70442 && c <= 70448)
                    : c <= 70451)))))))
            : (c <= 70457 || (c < 70784
              ? (c < 70493
                ? (c < 70475
                  ? (c < 70471
                    ? (c >= 70459 && c <= 70468)
                    : c <= 70472)
                  : (c <= 70477 || (c < 70487
                    ? c == 70480
                    : c <= 70487)))
                : (c <= 70499 || (c < 70656
                  ? (c < 70512
                    ? (c >= 70502 && c <= 70508)
                    : c <= 70516)
                  : (c <= 70730 || (c < 70750
                    ? (c >= 70736 && c <= 70745)
                    : c <= 70753)))))
              : (c <= 70853 || (c < 71168
                ? (c < 71040
                  ? (c < 70864
                    ? c == 70855
                    : c <= 70873)
                  : (c <= 71093 || (c < 71128
                    ? (c >= 71096 && c <= 71104)
                    : c <= 71133)))
                : (c <= 71232 || (c < 71296
                  ? (c < 71248
                    ? c == 71236
                    : c <= 71257)
                  : (c <= 71352 || (c < 71424
                    ? (c >= 71360 && c <= 71369)
                    : c <= 71450)))))))))))))
      : (c <= 71467 || (c < 119973
        ? (c < 77824
          ? (c < 72760
            ? (c < 72016
              ? (c < 71945
                ? (c < 71680
                  ? (c < 71488
                    ? (c >= 71472 && c <= 71481)
                    : c <= 71494)
                  : (c <= 71738 || (c < 71935
                    ? (c >= 71840 && c <= 71913)
                    : c <= 71942)))
                : (c <= 71945 || (c < 71960
                  ? (c < 71957
                    ? (c >= 71948 && c <= 71955)
                    : c <= 71958)
                  : (c <= 71989 || (c < 71995
                    ? (c >= 71991 && c <= 71992)
                    : c <= 72003)))))
              : (c <= 72025 || (c < 72263
                ? (c < 72154
                  ? (c < 72106
                    ? (c >= 72096 && c <= 72103)
                    : c <= 72151)
                  : (c <= 72161 || (c < 72192
                    ? (c >= 72163 && c <= 72164)
                    : c <= 72254)))
                : (c <= 72263 || (c < 72368
                  ? (c < 72349
                    ? (c >= 72272 && c <= 72345)
                    : c <= 72349)
                  : (c <= 72440 || (c < 72714
                    ? (c >= 72704 && c <= 72712)
                    : c <= 72758)))))))
            : (c <= 72768 || (c < 73056
              ? (c < 72968
                ? (c < 72850
                  ? (c < 72818
                    ? (c >= 72784 && c <= 72793)
                    : c <= 72847)
                  : (c <= 72871 || (c < 72960
                    ? (c >= 72873 && c <= 72886)
                    : c <= 72966)))
                : (c <= 72969 || (c < 73020
                  ? (c < 73018
                    ? (c >= 72971 && c <= 73014)
                    : c <= 73018)
                  : (c <= 73021 || (c < 73040
                    ? (c >= 73023 && c <= 73031)
                    : c <= 73049)))))
              : (c <= 73061 || (c < 73440
                ? (c < 73104
                  ? (c < 73066
                    ? (c >= 73063 && c <= 73064)
                    : c <= 73102)
                  : (c <= 73105 || (c < 73120
                    ? (c >= 73107 && c <= 73112)
                    : c <= 73129)))
                : (c <= 73462 || (c < 74752
                  ? (c < 73728
                    ? c == 73648
                    : c <= 74649)
                  : (c <= 74862 || (c < 77712
                    ? (c >= 74880 && c <= 75075)
                    : c <= 77808)))))))))
          : (c <= 78894 || (c < 110576
            ? (c < 93027
              ? (c < 92864
                ? (c < 92736
                  ? (c < 92160
                    ? (c >= 82944 && c <= 83526)
                    : c <= 92728)
                  : (c <= 92766 || (c < 92784
                    ? (c >= 92768 && c <= 92777)
                    : c <= 92862)))
                : (c <= 92873 || (c < 92928
                  ? (c < 92912
                    ? (c >= 92880 && c <= 92909)
                    : c <= 92916)
                  : (c <= 92982 || (c < 93008
                    ? (c >= 92992 && c <= 92995)
                    : c <= 93017)))))
              : (c <= 93047 || (c < 94176
                ? (c < 93952
                  ? (c < 93760
                    ? (c >= 93053 && c <= 93071)
                    : c <= 93823)
                  : (c <= 94026 || (c < 94095
                    ? (c >= 94031 && c <= 94087)
                    : c <= 94111)))
                : (c <= 94177 || (c < 94208
                  ? (c < 94192
                    ? (c >= 94179 && c <= 94180)
                    : c <= 94193)
                  : (c <= 100343 || (c < 101632
                    ? (c >= 100352 && c <= 101589)
                    : c <= 101640)))))))
            : (c <= 110579 || (c < 118528
              ? (c < 110960
                ? (c < 110592
                  ? (c < 110589
                    ? (c >= 110581 && c <= 110587)
                    : c <= 110590)
                  : (c <= 110882 || (c < 110948
                    ? (c >= 110928 && c <= 110930)
                    : c <= 110951)))
                : (c <= 111355 || (c < 113792
                  ? (c < 113776
                    ? (c >= 113664 && c <= 113770)
                    : c <= 113788)
                  : (c <= 113800 || (c < 113821
                    ? (c >= 113808 && c <= 113817)
                    : c <= 113822)))))
              : (c <= 118573 || (c < 119210
                ? (c < 119149
                  ? (c < 119141
                    ? (c >= 118576 && c <= 118598)
                    : c <= 119145)
                  : (c <= 119154 || (c < 119173
                    ? (c >= 119163 && c <= 119170)
                    : c <= 119179)))
                : (c <= 119213 || (c < 119894
                  ? (c < 119808
                    ? (c >= 119362 && c <= 119364)
                    : c <= 119892)
                  : (c <= 119964 || (c < 119970
                    ? (c >= 119966 && c <= 119967)
                    : c <= 119970)))))))))))
        : (c <= 119974 || (c < 124912
          ? (c < 120746
            ? (c < 120134
              ? (c < 120071
                ? (c < 119995
                  ? (c < 119982
                    ? (c >= 119977 && c <= 119980)
                    : c <= 119993)
                  : (c <= 119995 || (c < 120005
                    ? (c >= 119997 && c <= 120003)
                    : c <= 120069)))
                : (c <= 120074 || (c < 120094
                  ? (c < 120086
                    ? (c >= 120077 && c <= 120084)
                    : c <= 120092)
                  : (c <= 120121 || (c < 120128
                    ? (c >= 120123 && c <= 120126)
                    : c <= 120132)))))
              : (c <= 120134 || (c < 120572
                ? (c < 120488
                  ? (c < 120146
                    ? (c >= 120138 && c <= 120144)
                    : c <= 120485)
                  : (c <= 120512 || (c < 120540
                    ? (c >= 120514 && c <= 120538)
                    : c <= 120570)))
                : (c <= 120596 || (c < 120656
                  ? (c < 120630
                    ? (c >= 120598 && c <= 120628)
                    : c <= 120654)
                  : (c <= 120686 || (c < 120714
                    ? (c >= 120688 && c <= 120712)
                    : c <= 120744)))))))
            : (c <= 120770 || (c < 122907
              ? (c < 121476
                ? (c < 121344
                  ? (c < 120782
                    ? (c >= 120772 && c <= 120779)
                    : c <= 120831)
                  : (c <= 121398 || (c < 121461
                    ? (c >= 121403 && c <= 121452)
                    : c <= 121461)))
                : (c <= 121476 || (c < 122624
                  ? (c < 121505
                    ? (c >= 121499 && c <= 121503)
                    : c <= 121519)
                  : (c <= 122654 || (c < 122888
                    ? (c >= 122880 && c <= 122886)
                    : c <= 122904)))))
              : (c <= 122913 || (c < 123214
                ? (c < 123136
                  ? (c < 122918
                    ? (c >= 122915 && c <= 122916)
                    : c <= 122922)
                  : (c <= 123180 || (c < 123200
                    ? (c >= 123184 && c <= 123197)
                    : c <= 123209)))
                : (c <= 123214 || (c < 124896
                  ? (c < 123584
                    ? (c >= 123536 && c <= 123566)
                    : c <= 123641)
                  : (c <= 124902 || (c < 124909
                    ? (c >= 124904 && c <= 124907)
                    : c <= 124910)))))))))
          : (c <= 124926 || (c < 126557
            ? (c < 126521
              ? (c < 126469
                ? (c < 125184
                  ? (c < 125136
                    ? (c >= 124928 && c <= 125124)
                    : c <= 125142)
                  : (c <= 125259 || (c < 126464
                    ? (c >= 125264 && c <= 125273)
                    : c <= 126467)))
                : (c <= 126495 || (c < 126503
                  ? (c < 126500
                    ? (c >= 126497 && c <= 126498)
                    : c <= 126500)
                  : (c <= 126503 || (c < 126516
                    ? (c >= 126505 && c <= 126514)
                    : c <= 126519)))))
              : (c <= 126521 || (c < 126541
                ? (c < 126535
                  ? (c < 126530
                    ? c == 126523
                    : c <= 126530)
                  : (c <= 126535 || (c < 126539
                    ? c == 126537
                    : c <= 126539)))
                : (c <= 126543 || (c < 126551
                  ? (c < 126548
                    ? (c >= 126545 && c <= 126546)
                    : c <= 126548)
                  : (c <= 126551 || (c < 126555
                    ? c == 126553
                    : c <= 126555)))))))
            : (c <= 126557 || (c < 126629
              ? (c < 126580
                ? (c < 126564
                  ? (c < 126561
                    ? c == 126559
                    : c <= 126562)
                  : (c <= 126564 || (c < 126572
                    ? (c >= 126567 && c <= 126570)
                    : c <= 126578)))
                : (c <= 126583 || (c < 126592
                  ? (c < 126590
                    ? (c >= 126585 && c <= 126588)
                    : c <= 126590)
                  : (c <= 126601 || (c < 126625
                    ? (c >= 126603 && c <= 126619)
                    : c <= 126627)))))
              : (c <= 126633 || (c < 178208
                ? (c < 131072
                  ? (c < 130032
                    ? (c >= 126635 && c <= 126651)
                    : c <= 130041)
                  : (c <= 173791 || (c < 177984
                    ? (c >= 173824 && c <= 177976)
                    : c <= 178205)))
                : (c <= 183969 || (c < 196608
                  ? (c < 194560
                    ? (c >= 183984 && c <= 191456)
                    : c <= 195101)
                  : (c <= 201546 || (c >= 917760 && c <= 917999)))))))))))))))));
}

static inline bool sym_identifier_character_set_24(int32_t c) {
  return (c < 43600
    ? (c < 3776
      ? (c < 2738
        ? (c < 1984
          ? (c < 910
            ? (c < 216
              ? (c < 'a'
                ? (c < 'A'
                  ? (c < '0'
                    ? c == '$'
                    : c <= '9')
                  : (c <= 'T' || (c < '_'
                    ? (c >= 'V' && c <= 'Z')
                    : c <= '_')))
                : (c <= 'z' || (c < 183
                  ? (c < 181
                    ? c == 170
                    : c <= 181)
                  : (c <= 183 || (c < 192
                    ? c == 186
                    : c <= 214)))))
              : (c <= 246 || (c < 768
                ? (c < 736
                  ? (c < 710
                    ? (c >= 248 && c <= 705)
                    : c <= 721)
                  : (c <= 740 || (c < 750
                    ? c == 748
                    : c <= 750)))
                : (c <= 884 || (c < 895
                  ? (c < 891
                    ? (c >= 886 && c <= 887)
                    : c <= 893)
                  : (c <= 895 || (c < 908
                    ? (c >= 902 && c <= 906)
                    : c <= 908)))))))
            : (c <= 929 || (c < 1479
              ? (c < 1369
                ? (c < 1155
                  ? (c < 1015
                    ? (c >= 931 && c <= 1013)
                    : c <= 1153)
                  : (c <= 1159 || (c < 1329
                    ? (c >= 1162 && c <= 1327)
                    : c <= 1366)))
                : (c <= 1369 || (c < 1471
                  ? (c < 1425
                    ? (c >= 1376 && c <= 1416)
                    : c <= 1469)
                  : (c <= 1471 || (c < 1476
                    ? (c >= 1473 && c <= 1474)
                    : c <= 1477)))))
              : (c <= 1479 || (c < 1749
                ? (c < 1552
                  ? (c < 1519
                    ? (c >= 1488 && c <= 1514)
                    : c <= 1522)
                  : (c <= 1562 || (c < 1646
                    ? (c >= 1568 && c <= 1641)
                    : c <= 1747)))
                : (c <= 1756 || (c < 1791
                  ? (c < 1770
                    ? (c >= 1759 && c <= 1768)
                    : c <= 1788)
                  : (c <= 1791 || (c < 1869
                    ? (c >= 1808 && c <= 1866)
                    : c <= 1969)))))))))
          : (c <= 2037 || (c < 2534
            ? (c < 2437
              ? (c < 2160
                ? (c < 2048
                  ? (c < 2045
                    ? c == 2042
                    : c <= 2045)
                  : (c <= 2093 || (c < 2144
                    ? (c >= 2112 && c <= 2139)
                    : c <= 2154)))
                : (c <= 2183 || (c < 2275
                  ? (c < 2200
                    ? (c >= 2185 && c <= 2190)
                    : c <= 2273)
                  : (c <= 2403 || (c < 2417
                    ? (c >= 2406 && c <= 2415)
                    : c <= 2435)))))
              : (c <= 2444 || (c < 2492
                ? (c < 2474
                  ? (c < 2451
                    ? (c >= 2447 && c <= 2448)
                    : c <= 2472)
                  : (c <= 2480 || (c < 2486
                    ? c == 2482
                    : c <= 2489)))
                : (c <= 2500 || (c < 2519
                  ? (c < 2507
                    ? (c >= 2503 && c <= 2504)
                    : c <= 2510)
                  : (c <= 2519 || (c < 2527
                    ? (c >= 2524 && c <= 2525)
                    : c <= 2531)))))))
            : (c <= 2545 || (c < 2622
              ? (c < 2579
                ? (c < 2561
                  ? (c < 2558
                    ? c == 2556
                    : c <= 2558)
                  : (c <= 2563 || (c < 2575
                    ? (c >= 2565 && c <= 2570)
                    : c <= 2576)))
                : (c <= 2600 || (c < 2613
                  ? (c < 2610
                    ? (c >= 2602 && c <= 2608)
                    : c <= 2611)
                  : (c <= 2614 || (c < 2620
                    ? (c >= 2616 && c <= 2617)
                    : c <= 2620)))))
              : (c <= 2626 || (c < 2662
                ? (c < 2641
                  ? (c < 2635
                    ? (c >= 2631 && c <= 2632)
                    : c <= 2637)
                  : (c <= 2641 || (c < 2654
                    ? (c >= 2649 && c <= 2652)
                    : c <= 2654)))
                : (c <= 2677 || (c < 2703
                  ? (c < 2693
                    ? (c >= 2689 && c <= 2691)
                    : c <= 2701)
                  : (c <= 2705 || (c < 2730
                    ? (c >= 2707 && c <= 2728)
                    : c <= 2736)))))))))))
        : (c <= 2739 || (c < 3160
          ? (c < 2946
            ? (c < 2835
              ? (c < 2784
                ? (c < 2759
                  ? (c < 2748
                    ? (c >= 2741 && c <= 2745)
                    : c <= 2757)
                  : (c <= 2761 || (c < 2768
                    ? (c >= 2763 && c <= 2765)
                    : c <= 2768)))
                : (c <= 2787 || (c < 2817
                  ? (c < 2809
                    ? (c >= 2790 && c <= 2799)
                    : c <= 2815)
                  : (c <= 2819 || (c < 2831
                    ? (c >= 2821 && c <= 2828)
                    : c <= 2832)))))
              : (c <= 2856 || (c < 2891
                ? (c < 2869
                  ? (c < 2866
                    ? (c >= 2858 && c <= 2864)
                    : c <= 2867)
                  : (c <= 2873 || (c < 2887
                    ? (c >= 2876 && c <= 2884)
                    : c <= 2888)))
                : (c <= 2893 || (c < 2911
                  ? (c < 2908
                    ? (c >= 2901 && c <= 2903)
                    : c <= 2909)
                  : (c <= 2915 || (c < 2929
                    ? (c >= 2918 && c <= 2927)
                    : c <= 2929)))))))
            : (c <= 2947 || (c < 3018
              ? (c < 2974
                ? (c < 2962
                  ? (c < 2958
                    ? (c >= 2949 && c <= 2954)
                    : c <= 2960)
                  : (c <= 2965 || (c < 2972
                    ? (c >= 2969 && c <= 2970)
                    : c <= 2972)))
                : (c <= 2975 || (c < 2990
                  ? (c < 2984
                    ? (c >= 2979 && c <= 2980)
                    : c <= 2986)
                  : (c <= 3001 || (c < 3014
                    ? (c >= 3006 && c <= 3010)
                    : c <= 3016)))))
              : (c <= 3021 || (c < 3090
                ? (c < 3046
                  ? (c < 3031
                    ? c == 3024
                    : c <= 3031)
                  : (c <= 3055 || (c < 3086
                    ? (c >= 3072 && c <= 3084)
                    : c <= 3088)))
                : (c <= 3112 || (c < 3142
                  ? (c < 3132
                    ? (c >= 3114 && c <= 3129)
                    : c <= 3140)
                  : (c <= 3144 || (c < 3157
                    ? (c >= 3146 && c <= 3149)
                    : c <= 3158)))))))))
          : (c <= 3162 || (c < 3423
            ? (c < 3274
              ? (c < 3214
                ? (c < 3174
                  ? (c < 3168
                    ? c == 3165
                    : c <= 3171)
                  : (c <= 3183 || (c < 3205
                    ? (c >= 3200 && c <= 3203)
                    : c <= 3212)))
                : (c <= 3216 || (c < 3253
                  ? (c < 3242
                    ? (c >= 3218 && c <= 3240)
                    : c <= 3251)
                  : (c <= 3257 || (c < 3270
                    ? (c >= 3260 && c <= 3268)
                    : c <= 3272)))))
              : (c <= 3277 || (c < 3328
                ? (c < 3296
                  ? (c < 3293
                    ? (c >= 3285 && c <= 3286)
                    : c <= 3294)
                  : (c <= 3299 || (c < 3313
                    ? (c >= 3302 && c <= 3311)
                    : c <= 3314)))
                : (c <= 3340 || (c < 3398
                  ? (c < 3346
                    ? (c >= 3342 && c <= 3344)
                    : c <= 3396)
                  : (c <= 3400 || (c < 3412
                    ? (c >= 3402 && c <= 3406)
                    : c <= 3415)))))))
            : (c <= 3427 || (c < 3544
              ? (c < 3507
                ? (c < 3457
                  ? (c < 3450
                    ? (c >= 3430 && c <= 3439)
                    : c <= 3455)
                  : (c <= 3459 || (c < 3482
                    ? (c >= 3461 && c <= 3478)
                    : c <= 3505)))
                : (c <= 3515 || (c < 3530
                  ? (c < 3520
                    ? c == 3517
                    : c <= 3526)
                  : (c <= 3530 || (c < 3542
                    ? (c >= 3535 && c <= 3540)
                    : c <= 3542)))))
              : (c <= 3551 || (c < 3713
                ? (c < 3585
                  ? (c < 3570
                    ? (c >= 3558 && c <= 3567)
                    : c <= 3571)
                  : (c <= 3642 || (c < 3664
                    ? (c >= 3648 && c <= 3662)
                    : c <= 3673)))
                : (c <= 3714 || (c < 3724
                  ? (c < 3718
                    ? c == 3716
                    : c <= 3722)
                  : (c <= 3747 || (c < 3751
                    ? c == 3749
                    : c <= 3773)))))))))))))
      : (c <= 3780 || (c < 8016
        ? (c < 5870
          ? (c < 4682
            ? (c < 3913
              ? (c < 3864
                ? (c < 3792
                  ? (c < 3784
                    ? c == 3782
                    : c <= 3789)
                  : (c <= 3801 || (c < 3840
                    ? (c >= 3804 && c <= 3807)
                    : c <= 3840)))
                : (c <= 3865 || (c < 3895
                  ? (c < 3893
                    ? (c >= 3872 && c <= 3881)
                    : c <= 3893)
                  : (c <= 3895 || (c < 3902
                    ? c == 3897
                    : c <= 3911)))))
              : (c <= 3948 || (c < 4176
                ? (c < 3993
                  ? (c < 3974
                    ? (c >= 3953 && c <= 3972)
                    : c <= 3991)
                  : (c <= 4028 || (c < 4096
                    ? c == 4038
                    : c <= 4169)))
                : (c <= 4253 || (c < 4301
                  ? (c < 4295
                    ? (c >= 4256 && c <= 4293)
                    : c <= 4295)
                  : (c <= 4301 || (c < 4348
                    ? (c >= 4304 && c <= 4346)
                    : c <= 4680)))))))
            : (c <= 4685 || (c < 4824
              ? (c < 4752
                ? (c < 4698
                  ? (c < 4696
                    ? (c >= 4688 && c <= 4694)
                    : c <= 4696)
                  : (c <= 4701 || (c < 4746
                    ? (c >= 4704 && c <= 4744)
                    : c <= 4749)))
                : (c <= 4784 || (c < 4800
                  ? (c < 4792
                    ? (c >= 4786 && c <= 4789)
                    : c <= 4798)
                  : (c <= 4800 || (c < 4808
                    ? (c >= 4802 && c <= 4805)
                    : c <= 4822)))))
              : (c <= 4880 || (c < 5024
                ? (c < 4957
                  ? (c < 4888
                    ? (c >= 4882 && c <= 4885)
                    : c <= 4954)
                  : (c <= 4959 || (c < 4992
                    ? (c >= 4969 && c <= 4977)
                    : c <= 5007)))
                : (c <= 5109 || (c < 5743
                  ? (c < 5121
                    ? (c >= 5112 && c <= 5117)
                    : c <= 5740)
                  : (c <= 5759 || (c < 5792
                    ? (c >= 5761 && c <= 5786)
                    : c <= 5866)))))))))
          : (c <= 5880 || (c < 6656
            ? (c < 6159
              ? (c < 6002
                ? (c < 5952
                  ? (c < 5919
                    ? (c >= 5888 && c <= 5909)
                    : c <= 5940)
                  : (c <= 5971 || (c < 5998
                    ? (c >= 5984 && c <= 5996)
                    : c <= 6000)))
                : (c <= 6003 || (c < 6108
                  ? (c < 6103
                    ? (c >= 6016 && c <= 6099)
                    : c <= 6103)
                  : (c <= 6109 || (c < 6155
                    ? (c >= 6112 && c <= 6121)
                    : c <= 6157)))))
              : (c <= 6169 || (c < 6448
                ? (c < 6320
                  ? (c < 6272
                    ? (c >= 6176 && c <= 6264)
                    : c <= 6314)
                  : (c <= 6389 || (c < 6432
                    ? (c >= 6400 && c <= 6430)
                    : c <= 6443)))
                : (c <= 6459 || (c < 6528
                  ? (c < 6512
                    ? (c >= 6470 && c <= 6509)
                    : c <= 6516)
                  : (c <= 6571 || (c < 6608
                    ? (c >= 6576 && c <= 6601)
                    : c <= 6618)))))))
            : (c <= 6683 || (c < 7168
              ? (c < 6832
                ? (c < 6783
                  ? (c < 6752
                    ? (c >= 6688 && c <= 6750)
                    : c <= 6780)
                  : (c <= 6793 || (c < 6823
                    ? (c >= 6800 && c <= 6809)
                    : c <= 6823)))
                : (c <= 6845 || (c < 6992
                  ? (c < 6912
                    ? (c >= 6847 && c <= 6862)
                    : c <= 6988)
                  : (c <= 7001 || (c < 7040
                    ? (c >= 7019 && c <= 7027)
                    : c <= 7155)))))
              : (c <= 7223 || (c < 7376
                ? (c < 7296
                  ? (c < 7245
                    ? (c >= 7232 && c <= 7241)
                    : c <= 7293)
                  : (c <= 7304 || (c < 7357
                    ? (c >= 7312 && c <= 7354)
                    : c <= 7359)))
                : (c <= 7378 || (c < 7960
                  ? (c < 7424
                    ? (c >= 7380 && c <= 7418)
                    : c <= 7957)
                  : (c <= 7965 || (c < 8008
                    ? (c >= 7968 && c <= 8005)
                    : c <= 8013)))))))))))
        : (c <= 8023 || (c < 11712
          ? (c < 8455
            ? (c < 8160
              ? (c < 8118
                ? (c < 8029
                  ? (c < 8027
                    ? c == 8025
                    : c <= 8027)
                  : (c <= 8029 || (c < 8064
                    ? (c >= 8031 && c <= 8061)
                    : c <= 8116)))
                : (c <= 8124 || (c < 8134
                  ? (c < 8130
                    ? c == 8126
                    : c <= 8132)
                  : (c <= 8140 || (c < 8150
                    ? (c >= 8144 && c <= 8147)
                    : c <= 8155)))))
              : (c <= 8172 || (c < 8319
                ? (c < 8255
                  ? (c < 8182
                    ? (c >= 8178 && c <= 8180)
                    : c <= 8188)
                  : (c <= 8256 || (c < 8305
                    ? c == 8276
                    : c <= 8305)))
                : (c <= 8319 || (c < 8417
                  ? (c < 8400
                    ? (c >= 8336 && c <= 8348)
                    : c <= 8412)
                  : (c <= 8417 || (c < 8450
                    ? (c >= 8421 && c <= 8432)
                    : c <= 8450)))))))
            : (c <= 8455 || (c < 11264
              ? (c < 8488
                ? (c < 8472
                  ? (c < 8469
                    ? (c >= 8458 && c <= 8467)
                    : c <= 8469)
                  : (c <= 8477 || (c < 8486
                    ? c == 8484
                    : c <= 8486)))
                : (c <= 8488 || (c < 8517
                  ? (c < 8508
                    ? (c >= 8490 && c <= 8505)
                    : c <= 8511)
                  : (c <= 8521 || (c < 8544
                    ? c == 8526
                    : c <= 8584)))))
              : (c <= 11492 || (c < 11631
                ? (c < 11559
                  ? (c < 11520
                    ? (c >= 11499 && c <= 11507)
                    : c <= 11557)
                  : (c <= 11559 || (c < 11568
                    ? c == 11565
                    : c <= 11623)))
                : (c <= 11631 || (c < 11688
                  ? (c < 11680
                    ? (c >= 11647 && c <= 11670)
                    : c <= 11686)
                  : (c <= 11694 || (c < 11704
                    ? (c >= 11696 && c <= 11702)
                    : c <= 11710)))))))))
          : (c <= 11718 || (c < 42612
            ? (c < 12449
              ? (c < 12321
                ? (c < 11736
                  ? (c < 11728
                    ? (c >= 11720 && c <= 11726)
                    : c <= 11734)
                  : (c <= 11742 || (c < 12293
                    ? (c >= 11744 && c <= 11775)
                    : c <= 12295)))
                : (c <= 12335 || (c < 12353
                  ? (c < 12344
                    ? (c >= 12337 && c <= 12341)
                    : c <= 12348)
                  : (c <= 12438 || (c < 12445
                    ? (c >= 12441 && c <= 12442)
                    : c <= 12447)))))
              : (c <= 12538 || (c < 13312
                ? (c < 12593
                  ? (c < 12549
                    ? (c >= 12540 && c <= 12543)
                    : c <= 12591)
                  : (c <= 12686 || (c < 12784
                    ? (c >= 12704 && c <= 12735)
                    : c <= 12799)))
                : (c <= 19903 || (c < 42240
                  ? (c < 42192
                    ? (c >= 19968 && c <= 42124)
                    : c <= 42237)
                  : (c <= 42508 || (c < 42560
                    ? (c >= 42512 && c <= 42539)
                    : c <= 42607)))))))
            : (c <= 42621 || (c < 43216
              ? (c < 42963
                ? (c < 42786
                  ? (c < 42775
                    ? (c >= 42623 && c <= 42737)
                    : c <= 42783)
                  : (c <= 42888 || (c < 42960
                    ? (c >= 42891 && c <= 42954)
                    : c <= 42961)))
                : (c <= 42963 || (c < 43052
                  ? (c < 42994
                    ? (c >= 42965 && c <= 42969)
                    : c <= 43047)
                  : (c <= 43052 || (c < 43136
                    ? (c >= 43072 && c <= 43123)
                    : c <= 43205)))))
              : (c <= 43225 || (c < 43392
                ? (c < 43261
                  ? (c < 43259
                    ? (c >= 43232 && c <= 43255)
                    : c <= 43259)
                  : (c <= 43309 || (c < 43360
                    ? (c >= 43312 && c <= 43347)
                    : c <= 43388)))
                : (c <= 43456 || (c < 43520
                  ? (c < 43488
                    ? (c >= 43471 && c <= 43481)
                    : c <= 43518)
                  : (c <= 43574 || (c >= 43584 && c <= 43597)))))))))))))))
    : (c <= 43609 || (c < 71453
      ? (c < 67594
        ? (c < 65343
          ? (c < 64298
            ? (c < 43868
              ? (c < 43777
                ? (c < 43739
                  ? (c < 43642
                    ? (c >= 43616 && c <= 43638)
                    : c <= 43714)
                  : (c <= 43741 || (c < 43762
                    ? (c >= 43744 && c <= 43759)
                    : c <= 43766)))
                : (c <= 43782 || (c < 43808
                  ? (c < 43793
                    ? (c >= 43785 && c <= 43790)
                    : c <= 43798)
                  : (c <= 43814 || (c < 43824
                    ? (c >= 43816 && c <= 43822)
                    : c <= 43866)))))
              : (c <= 43881 || (c < 55243
                ? (c < 44016
                  ? (c < 44012
                    ? (c >= 43888 && c <= 44010)
                    : c <= 44013)
                  : (c <= 44025 || (c < 55216
                    ? (c >= 44032 && c <= 55203)
                    : c <= 55238)))
                : (c <= 55291 || (c < 64256
                  ? (c < 64112
                    ? (c >= 63744 && c <= 64109)
                    : c <= 64217)
                  : (c <= 64262 || (c < 64285
                    ? (c >= 64275 && c <= 64279)
                    : c <= 64296)))))))
            : (c <= 64310 || (c < 65056
              ? (c < 64467
                ? (c < 64320
                  ? (c < 64318
                    ? (c >= 64312 && c <= 64316)
                    : c <= 64318)
                  : (c <= 64321 || (c < 64326
                    ? (c >= 64323 && c <= 64324)
                    : c <= 64433)))
                : (c <= 64605 || (c < 64914
                  ? (c < 64848
                    ? (c >= 64612 && c <= 64829)
                    : c <= 64911)
                  : (c <= 64967 || (c < 65024
                    ? (c >= 65008 && c <= 65017)
                    : c <= 65039)))))
              : (c <= 65071 || (c < 65145
                ? (c < 65137
                  ? (c < 65101
                    ? (c >= 65075 && c <= 65076)
                    : c <= 65103)
                  : (c <= 65137 || (c < 65143
                    ? c == 65139
                    : c <= 65143)))
                : (c <= 65145 || (c < 65151
                  ? (c < 65149
                    ? c == 65147
                    : c <= 65149)
                  : (c <= 65276 || (c < 65313
                    ? (c >= 65296 && c <= 65305)
                    : c <= 65338)))))))))
          : (c <= 65343 || (c < 66504
            ? (c < 65616
              ? (c < 65498
                ? (c < 65474
                  ? (c < 65382
                    ? (c >= 65345 && c <= 65370)
                    : c <= 65470)
                  : (c <= 65479 || (c < 65490
                    ? (c >= 65482 && c <= 65487)
                    : c <= 65495)))
                : (c <= 65500 || (c < 65576
                  ? (c < 65549
                    ? (c >= 65536 && c <= 65547)
                    : c <= 65574)
                  : (c <= 65594 || (c < 65599
                    ? (c >= 65596 && c <= 65597)
                    : c <= 65613)))))
              : (c <= 65629 || (c < 66272
                ? (c < 66045
                  ? (c < 65856
                    ? (c >= 65664 && c <= 65786)
                    : c <= 65908)
                  : (c <= 66045 || (c < 66208
                    ? (c >= 66176 && c <= 66204)
                    : c <= 66256)))
                : (c <= 66272 || (c < 66384
                  ? (c < 66349
                    ? (c >= 66304 && c <= 66335)
                    : c <= 66378)
                  : (c <= 66426 || (c < 66464
                    ? (c >= 66432 && c <= 66461)
                    : c <= 66499)))))))
            : (c <= 66511 || (c < 66967
              ? (c < 66816
                ? (c < 66720
                  ? (c < 66560
                    ? (c >= 66513 && c <= 66517)
                    : c <= 66717)
                  : (c <= 66729 || (c < 66776
                    ? (c >= 66736 && c <= 66771)
                    : c <= 66811)))
                : (c <= 66855 || (c < 66940
                  ? (c < 66928
                    ? (c >= 66864 && c <= 66915)
                    : c <= 66938)
                  : (c <= 66954 || (c < 66964
                    ? (c >= 66956 && c <= 66962)
                    : c <= 66965)))))
              : (c <= 66977 || (c < 67424
                ? (c < 67003
                  ? (c < 66995
                    ? (c >= 66979 && c <= 66993)
                    : c <= 67001)
                  : (c <= 67004 || (c < 67392
                    ? (c >= 67072 && c <= 67382)
                    : c <= 67413)))
                : (c <= 67431 || (c < 67506
                  ? (c < 67463
                    ? (c >= 67456 && c <= 67461)
                    : c <= 67504)
                  : (c <= 67514 || (c < 67592
                    ? (c >= 67584 && c <= 67589)
                    : c <= 67592)))))))))))
        : (c <= 67637 || (c < 69942
          ? (c < 68416
            ? (c < 68096
              ? (c < 67808
                ? (c < 67647
                  ? (c < 67644
                    ? (c >= 67639 && c <= 67640)
                    : c <= 67644)
                  : (c <= 67669 || (c < 67712
                    ? (c >= 67680 && c <= 67702)
                    : c <= 67742)))
                : (c <= 67826 || (c < 67872
                  ? (c < 67840
                    ? (c >= 67828 && c <= 67829)
                    : c <= 67861)
                  : (c <= 67897 || (c < 68030
                    ? (c >= 67968 && c <= 68023)
                    : c <= 68031)))))
              : (c <= 68099 || (c < 68159
                ? (c < 68117
                  ? (c < 68108
                    ? (c >= 68101 && c <= 68102)
                    : c <= 68115)
                  : (c <= 68119 || (c < 68152
                    ? (c >= 68121 && c <= 68149)
                    : c <= 68154)))
                : (c <= 68159 || (c < 68288
                  ? (c < 68224
                    ? (c >= 68192 && c <= 68220)
                    : c <= 68252)
                  : (c <= 68295 || (c < 68352
                    ? (c >= 68297 && c <= 68326)
                    : c <= 68405)))))))
            : (c <= 68437 || (c < 69415
              ? (c < 68864
                ? (c < 68608
                  ? (c < 68480
                    ? (c >= 68448 && c <= 68466)
                    : c <= 68497)
                  : (c <= 68680 || (c < 68800
                    ? (c >= 68736 && c <= 68786)
                    : c <= 68850)))
                : (c <= 68903 || (c < 69291
                  ? (c < 69248
                    ? (c >= 68912 && c <= 68921)
                    : c <= 69289)
                  : (c <= 69292 || (c < 69376
                    ? (c >= 69296 && c <= 69297)
                    : c <= 69404)))))
              : (c <= 69415 || (c < 69734
                ? (c < 69552
                  ? (c < 69488
                    ? (c >= 69424 && c <= 69456)
                    : c <= 69509)
                  : (c <= 69572 || (c < 69632
                    ? (c >= 69600 && c <= 69622)
                    : c <= 69702)))
                : (c <= 69749 || (c < 69840
                  ? (c < 69826
                    ? (c >= 69759 && c <= 69818)
                    : c <= 69826)
                  : (c <= 69864 || (c < 69888
                    ? (c >= 69872 && c <= 69881)
                    : c <= 69940)))))))))
          : (c <= 69951 || (c < 70453
            ? (c < 70280
              ? (c < 70094
                ? (c < 70006
                  ? (c < 69968
                    ? (c >= 69956 && c <= 69959)
                    : c <= 70003)
                  : (c <= 70006 || (c < 70089
                    ? (c >= 70016 && c <= 70084)
                    : c <= 70092)))
                : (c <= 70106 || (c < 70163
                  ? (c < 70144
                    ? c == 70108
                    : c <= 70161)
                  : (c <= 70199 || (c < 70272
                    ? c == 70206
                    : c <= 70278)))))
              : (c <= 70280 || (c < 70400
                ? (c < 70303
                  ? (c < 70287
                    ? (c >= 70282 && c <= 70285)
                    : c <= 70301)
                  : (c <= 70312 || (c < 70384
                    ? (c >= 70320 && c <= 70378)
                    : c <= 70393)))
                : (c <= 70403 || (c < 70419
                  ? (c < 70415
                    ? (c >= 70405 && c <= 70412)
                    : c <= 70416)
                  : (c <= 70440 || (c < 70450
                    ? (c >= 70442 && c <= 70448)
                    : c <= 70451)))))))
            : (c <= 70457 || (c < 70784
              ? (c < 70493
                ? (c < 70475
                  ? (c < 70471
                    ? (c >= 70459 && c <= 70468)
                    : c <= 70472)
                  : (c <= 70477 || (c < 70487
                    ? c == 70480
                    : c <= 70487)))
                : (c <= 70499 || (c < 70656
                  ? (c < 70512
                    ? (c >= 70502 && c <= 70508)
                    : c <= 70516)
                  : (c <= 70730 || (c < 70750
                    ? (c >= 70736 && c <= 70745)
                    : c <= 70753)))))
              : (c <= 70853 || (c < 71168
                ? (c < 71040
                  ? (c < 70864
                    ? c == 70855
                    : c <= 70873)
                  : (c <= 71093 || (c < 71128
                    ? (c >= 71096 && c <= 71104)
                    : c <= 71133)))
                : (c <= 71232 || (c < 71296
                  ? (c < 71248
                    ? c == 71236
                    : c <= 71257)
                  : (c <= 71352 || (c < 71424
                    ? (c >= 71360 && c <= 71369)
                    : c <= 71450)))))))))))))
      : (c <= 71467 || (c < 119973
        ? (c < 77824
          ? (c < 72760
            ? (c < 72016
              ? (c < 71945
                ? (c < 71680
                  ? (c < 71488
                    ? (c >= 71472 && c <= 71481)
                    : c <= 71494)
                  : (c <= 71738 || (c < 71935
                    ? (c >= 71840 && c <= 71913)
                    : c <= 71942)))
                : (c <= 71945 || (c < 71960
                  ? (c < 71957
                    ? (c >= 71948 && c <= 71955)
                    : c <= 71958)
                  : (c <= 71989 || (c < 71995
                    ? (c >= 71991 && c <= 71992)
                    : c <= 72003)))))
              : (c <= 72025 || (c < 72263
                ? (c < 72154
                  ? (c < 72106
                    ? (c >= 72096 && c <= 72103)
                    : c <= 72151)
                  : (c <= 72161 || (c < 72192
                    ? (c >= 72163 && c <= 72164)
                    : c <= 72254)))
                : (c <= 72263 || (c < 72368
                  ? (c < 72349
                    ? (c >= 72272 && c <= 72345)
                    : c <= 72349)
                  : (c <= 72440 || (c < 72714
                    ? (c >= 72704 && c <= 72712)
                    : c <= 72758)))))))
            : (c <= 72768 || (c < 73056
              ? (c < 72968
                ? (c < 72850
                  ? (c < 72818
                    ? (c >= 72784 && c <= 72793)
                    : c <= 72847)
                  : (c <= 72871 || (c < 72960
                    ? (c >= 72873 && c <= 72886)
                    : c <= 72966)))
                : (c <= 72969 || (c < 73020
                  ? (c < 73018
                    ? (c >= 72971 && c <= 73014)
                    : c <= 73018)
                  : (c <= 73021 || (c < 73040
                    ? (c >= 73023 && c <= 73031)
                    : c <= 73049)))))
              : (c <= 73061 || (c < 73440
                ? (c < 73104
                  ? (c < 73066
                    ? (c >= 73063 && c <= 73064)
                    : c <= 73102)
                  : (c <= 73105 || (c < 73120
                    ? (c >= 73107 && c <= 73112)
                    : c <= 73129)))
                : (c <= 73462 || (c < 74752
                  ? (c < 73728
                    ? c == 73648
                    : c <= 74649)
                  : (c <= 74862 || (c < 77712
                    ? (c >= 74880 && c <= 75075)
                    : c <= 77808)))))))))
          : (c <= 78894 || (c < 110576
            ? (c < 93027
              ? (c < 92864
                ? (c < 92736
                  ? (c < 92160
                    ? (c >= 82944 && c <= 83526)
                    : c <= 92728)
                  : (c <= 92766 || (c < 92784
                    ? (c >= 92768 && c <= 92777)
                    : c <= 92862)))
                : (c <= 92873 || (c < 92928
                  ? (c < 92912
                    ? (c >= 92880 && c <= 92909)
                    : c <= 92916)
                  : (c <= 92982 || (c < 93008
                    ? (c >= 92992 && c <= 92995)
                    : c <= 93017)))))
              : (c <= 93047 || (c < 94176
                ? (c < 93952
                  ? (c < 93760
                    ? (c >= 93053 && c <= 93071)
                    : c <= 93823)
                  : (c <= 94026 || (c < 94095
                    ? (c >= 94031 && c <= 94087)
                    : c <= 94111)))
                : (c <= 94177 || (c < 94208
                  ? (c < 94192
                    ? (c >= 94179 && c <= 94180)
                    : c <= 94193)
                  : (c <= 100343 || (c < 101632
                    ? (c >= 100352 && c <= 101589)
                    : c <= 101640)))))))
            : (c <= 110579 || (c < 118528
              ? (c < 110960
                ? (c < 110592
                  ? (c < 110589
                    ? (c >= 110581 && c <= 110587)
                    : c <= 110590)
                  : (c <= 110882 || (c < 110948
                    ? (c >= 110928 && c <= 110930)
                    : c <= 110951)))
                : (c <= 111355 || (c < 113792
                  ? (c < 113776
                    ? (c >= 113664 && c <= 113770)
                    : c <= 113788)
                  : (c <= 113800 || (c < 113821
                    ? (c >= 113808 && c <= 113817)
                    : c <= 113822)))))
              : (c <= 118573 || (c < 119210
                ? (c < 119149
                  ? (c < 119141
                    ? (c >= 118576 && c <= 118598)
                    : c <= 119145)
                  : (c <= 119154 || (c < 119173
                    ? (c >= 119163 && c <= 119170)
                    : c <= 119179)))
                : (c <= 119213 || (c < 119894
                  ? (c < 119808
                    ? (c >= 119362 && c <= 119364)
                    : c <= 119892)
                  : (c <= 119964 || (c < 119970
                    ? (c >= 119966 && c <= 119967)
                    : c <= 119970)))))))))))
        : (c <= 119974 || (c < 124912
          ? (c < 120746
            ? (c < 120134
              ? (c < 120071
                ? (c < 119995
                  ? (c < 119982
                    ? (c >= 119977 && c <= 119980)
                    : c <= 119993)
                  : (c <= 119995 || (c < 120005
                    ? (c >= 119997 && c <= 120003)
                    : c <= 120069)))
                : (c <= 120074 || (c < 120094
                  ? (c < 120086
                    ? (c >= 120077 && c <= 120084)
                    : c <= 120092)
                  : (c <= 120121 || (c < 120128
                    ? (c >= 120123 && c <= 120126)
                    : c <= 120132)))))
              : (c <= 120134 || (c < 120572
                ? (c < 120488
                  ? (c < 120146
                    ? (c >= 120138 && c <= 120144)
                    : c <= 120485)
                  : (c <= 120512 || (c < 120540
                    ? (c >= 120514 && c <= 120538)
                    : c <= 120570)))
                : (c <= 120596 || (c < 120656
                  ? (c < 120630
                    ? (c >= 120598 && c <= 120628)
                    : c <= 120654)
                  : (c <= 120686 || (c < 120714
                    ? (c >= 120688 && c <= 120712)
                    : c <= 120744)))))))
            : (c <= 120770 || (c < 122907
              ? (c < 121476
                ? (c < 121344
                  ? (c < 120782
                    ? (c >= 120772 && c <= 120779)
                    : c <= 120831)
                  : (c <= 121398 || (c < 121461
                    ? (c >= 121403 && c <= 121452)
                    : c <= 121461)))
                : (c <= 121476 || (c < 122624
                  ? (c < 121505
                    ? (c >= 121499 && c <= 121503)
                    : c <= 121519)
                  : (c <= 122654 || (c < 122888
                    ? (c >= 122880 && c <= 122886)
                    : c <= 122904)))))
              : (c <= 122913 || (c < 123214
                ? (c < 123136
                  ? (c < 122918
                    ? (c >= 122915 && c <= 122916)
                    : c <= 122922)
                  : (c <= 123180 || (c < 123200
                    ? (c >= 123184 && c <= 123197)
                    : c <= 123209)))
                : (c <= 123214 || (c < 124896
                  ? (c < 123584
                    ? (c >= 123536 && c <= 123566)
                    : c <= 123641)
                  : (c <= 124902 || (c < 124909
                    ? (c >= 124904 && c <= 124907)
                    : c <= 124910)))))))))
          : (c <= 124926 || (c < 126557
            ? (c < 126521
              ? (c < 126469
                ? (c < 125184
                  ? (c < 125136
                    ? (c >= 124928 && c <= 125124)
                    : c <= 125142)
                  : (c <= 125259 || (c < 126464
                    ? (c >= 125264 && c <= 125273)
                    : c <= 126467)))
                : (c <= 126495 || (c < 126503
                  ? (c < 126500
                    ? (c >= 126497 && c <= 126498)
                    : c <= 126500)
                  : (c <= 126503 || (c < 126516
                    ? (c >= 126505 && c <= 126514)
                    : c <= 126519)))))
              : (c <= 126521 || (c < 126541
                ? (c < 126535
                  ? (c < 126530
                    ? c == 126523
                    : c <= 126530)
                  : (c <= 126535 || (c < 126539
                    ? c == 126537
                    : c <= 126539)))
                : (c <= 126543 || (c < 126551
                  ? (c < 126548
                    ? (c >= 126545 && c <= 126546)
                    : c <= 126548)
                  : (c <= 126551 || (c < 126555
                    ? c == 126553
                    : c <= 126555)))))))
            : (c <= 126557 || (c < 126629
              ? (c < 126580
                ? (c < 126564
                  ? (c < 126561
                    ? c == 126559
                    : c <= 126562)
                  : (c <= 126564 || (c < 126572
                    ? (c >= 126567 && c <= 126570)
                    : c <= 126578)))
                : (c <= 126583 || (c < 126592
                  ? (c < 126590
                    ? (c >= 126585 && c <= 126588)
                    : c <= 126590)
                  : (c <= 126601 || (c < 126625
                    ? (c >= 126603 && c <= 126619)
                    : c <= 126627)))))
              : (c <= 126633 || (c < 178208
                ? (c < 131072
                  ? (c < 130032
                    ? (c >= 126635 && c <= 126651)
                    : c <= 130041)
                  : (c <= 173791 || (c < 177984
                    ? (c >= 173824 && c <= 177976)
                    : c <= 178205)))
                : (c <= 183969 || (c < 196608
                  ? (c < 194560
                    ? (c >= 183984 && c <= 191456)
                    : c <= 195101)
                  : (c <= 201546 || (c >= 917760 && c <= 917999)))))))))))))))));
}

static inline bool sym_identifier_character_set_25(int32_t c) {
  return (c < 43616
    ? (c < 3782
      ? (c < 2741
        ? (c < 2042
          ? (c < 931
            ? (c < 248
              ? (c < 170
                ? (c < 'B'
                  ? (c < '0'
                    ? c == '$'
                    : c <= '9')
                  : (c <= 'Z' || (c < 'a'
                    ? c == '_'
                    : c <= 'z')))
                : (c <= 170 || (c < 186
                  ? (c < 183
                    ? c == 181
                    : c <= 183)
                  : (c <= 186 || (c < 216
                    ? (c >= 192 && c <= 214)
                    : c <= 246)))))
              : (c <= 705 || (c < 886
                ? (c < 748
                  ? (c < 736
                    ? (c >= 710 && c <= 721)
                    : c <= 740)
                  : (c <= 748 || (c < 768
                    ? c == 750
                    : c <= 884)))
                : (c <= 887 || (c < 902
                  ? (c < 895
                    ? (c >= 891 && c <= 893)
                    : c <= 895)
                  : (c <= 906 || (c < 910
                    ? c == 908
                    : c <= 929)))))))
            : (c <= 1013 || (c < 1488
              ? (c < 1376
                ? (c < 1162
                  ? (c < 1155
                    ? (c >= 1015 && c <= 1153)
                    : c <= 1159)
                  : (c <= 1327 || (c < 1369
                    ? (c >= 1329 && c <= 1366)
                    : c <= 1369)))
                : (c <= 1416 || (c < 1473
                  ? (c < 1471
                    ? (c >= 1425 && c <= 1469)
                    : c <= 1471)
                  : (c <= 1474 || (c < 1479
                    ? (c >= 1476 && c <= 1477)
                    : c <= 1479)))))
              : (c <= 1514 || (c < 1759
                ? (c < 1568
                  ? (c < 1552
                    ? (c >= 1519 && c <= 1522)
                    : c <= 1562)
                  : (c <= 1641 || (c < 1749
                    ? (c >= 1646 && c <= 1747)
                    : c <= 1756)))
                : (c <= 1768 || (c < 1808
                  ? (c < 1791
                    ? (c >= 1770 && c <= 1788)
                    : c <= 1791)
                  : (c <= 1866 || (c < 1984
                    ? (c >= 1869 && c <= 1969)
                    : c <= 2037)))))))))
          : (c <= 2042 || (c < 2556
            ? (c < 2447
              ? (c < 2185
                ? (c < 2112
                  ? (c < 2048
                    ? c == 2045
                    : c <= 2093)
                  : (c <= 2139 || (c < 2160
                    ? (c >= 2144 && c <= 2154)
                    : c <= 2183)))
                : (c <= 2190 || (c < 2406
                  ? (c < 2275
                    ? (c >= 2200 && c <= 2273)
                    : c <= 2403)
                  : (c <= 2415 || (c < 2437
                    ? (c >= 2417 && c <= 2435)
                    : c <= 2444)))))
              : (c <= 2448 || (c < 2503
                ? (c < 2482
                  ? (c < 2474
                    ? (c >= 2451 && c <= 2472)
                    : c <= 2480)
                  : (c <= 2482 || (c < 2492
                    ? (c >= 2486 && c <= 2489)
                    : c <= 2500)))
                : (c <= 2504 || (c < 2524
                  ? (c < 2519
                    ? (c >= 2507 && c <= 2510)
                    : c <= 2519)
                  : (c <= 2525 || (c < 2534
                    ? (c >= 2527 && c <= 2531)
                    : c <= 2545)))))))
            : (c <= 2556 || (c < 2631
              ? (c < 2602
                ? (c < 2565
                  ? (c < 2561
                    ? c == 2558
                    : c <= 2563)
                  : (c <= 2570 || (c < 2579
                    ? (c >= 2575 && c <= 2576)
                    : c <= 2600)))
                : (c <= 2608 || (c < 2616
                  ? (c < 2613
                    ? (c >= 2610 && c <= 2611)
                    : c <= 2614)
                  : (c <= 2617 || (c < 2622
                    ? c == 2620
                    : c <= 2626)))))
              : (c <= 2632 || (c < 2689
                ? (c < 2649
                  ? (c < 2641
                    ? (c >= 2635 && c <= 2637)
                    : c <= 2641)
                  : (c <= 2652 || (c < 2662
                    ? c == 2654
                    : c <= 2677)))
                : (c <= 2691 || (c < 2707
                  ? (c < 2703
                    ? (c >= 2693 && c <= 2701)
                    : c <= 2705)
                  : (c <= 2728 || (c < 2738
                    ? (c >= 2730 && c <= 2736)
                    : c <= 2739)))))))))))
        : (c <= 2745 || (c < 3165
          ? (c < 2949
            ? (c < 2858
              ? (c < 2790
                ? (c < 2763
                  ? (c < 2759
                    ? (c >= 2748 && c <= 2757)
                    : c <= 2761)
                  : (c <= 2765 || (c < 2784
                    ? c == 2768
                    : c <= 2787)))
                : (c <= 2799 || (c < 2821
                  ? (c < 2817
                    ? (c >= 2809 && c <= 2815)
                    : c <= 2819)
                  : (c <= 2828 || (c < 2835
                    ? (c >= 2831 && c <= 2832)
                    : c <= 2856)))))
              : (c <= 2864 || (c < 2901
                ? (c < 2876
                  ? (c < 2869
                    ? (c >= 2866 && c <= 2867)
                    : c <= 2873)
                  : (c <= 2884 || (c < 2891
                    ? (c >= 2887 && c <= 2888)
                    : c <= 2893)))
                : (c <= 2903 || (c < 2918
                  ? (c < 2911
                    ? (c >= 2908 && c <= 2909)
                    : c <= 2915)
                  : (c <= 2927 || (c < 2946
                    ? c == 2929
                    : c <= 2947)))))))
            : (c <= 2954 || (c < 3024
              ? (c < 2979
                ? (c < 2969
                  ? (c < 2962
                    ? (c >= 2958 && c <= 2960)
                    : c <= 2965)
                  : (c <= 2970 || (c < 2974
                    ? c == 2972
                    : c <= 2975)))
                : (c <= 2980 || (c < 3006
                  ? (c < 2990
                    ? (c >= 2984 && c <= 2986)
                    : c <= 3001)
                  : (c <= 3010 || (c < 3018
                    ? (c >= 3014 && c <= 3016)
                    : c <= 3021)))))
              : (c <= 3024 || (c < 3114
                ? (c < 3072
                  ? (c < 3046
                    ? c == 3031
                    : c <= 3055)
                  : (c <= 3084 || (c < 3090
                    ? (c >= 3086 && c <= 3088)
                    : c <= 3112)))
                : (c <= 3129 || (c < 3146
                  ? (c < 3142
                    ? (c >= 3132 && c <= 3140)
                    : c <= 3144)
                  : (c <= 3149 || (c < 3160
                    ? (c >= 3157 && c <= 3158)
                    : c <= 3162)))))))))
          : (c <= 3165 || (c < 3430
            ? (c < 3285
              ? (c < 3218
                ? (c < 3200
                  ? (c < 3174
                    ? (c >= 3168 && c <= 3171)
                    : c <= 3183)
                  : (c <= 3203 || (c < 3214
                    ? (c >= 3205 && c <= 3212)
                    : c <= 3216)))
                : (c <= 3240 || (c < 3260
                  ? (c < 3253
                    ? (c >= 3242 && c <= 3251)
                    : c <= 3257)
                  : (c <= 3268 || (c < 3274
                    ? (c >= 3270 && c <= 3272)
                    : c <= 3277)))))
              : (c <= 3286 || (c < 3342
                ? (c < 3302
                  ? (c < 3296
                    ? (c >= 3293 && c <= 3294)
                    : c <= 3299)
                  : (c <= 3311 || (c < 3328
                    ? (c >= 3313 && c <= 3314)
                    : c <= 3340)))
                : (c <= 3344 || (c < 3402
                  ? (c < 3398
                    ? (c >= 3346 && c <= 3396)
                    : c <= 3400)
                  : (c <= 3406 || (c < 3423
                    ? (c >= 3412 && c <= 3415)
                    : c <= 3427)))))))
            : (c <= 3439 || (c < 3558
              ? (c < 3517
                ? (c < 3461
                  ? (c < 3457
                    ? (c >= 3450 && c <= 3455)
                    : c <= 3459)
                  : (c <= 3478 || (c < 3507
                    ? (c >= 3482 && c <= 3505)
                    : c <= 3515)))
                : (c <= 3517 || (c < 3535
                  ? (c < 3530
                    ? (c >= 3520 && c <= 3526)
                    : c <= 3530)
                  : (c <= 3540 || (c < 3544
                    ? c == 3542
                    : c <= 3551)))))
              : (c <= 3567 || (c < 3716
                ? (c < 3648
                  ? (c < 3585
                    ? (c >= 3570 && c <= 3571)
                    : c <= 3642)
                  : (c <= 3662 || (c < 3713
                    ? (c >= 3664 && c <= 3673)
                    : c <= 3714)))
                : (c <= 3716 || (c < 3749
                  ? (c < 3724
                    ? (c >= 3718 && c <= 3722)
                    : c <= 3747)
                  : (c <= 3749 || (c < 3776
                    ? (c >= 3751 && c <= 3773)
                    : c <= 3780)))))))))))))
      : (c <= 3782 || (c < 8025
        ? (c < 5888
          ? (c < 4688
            ? (c < 3953
              ? (c < 3872
                ? (c < 3804
                  ? (c < 3792
                    ? (c >= 3784 && c <= 3789)
                    : c <= 3801)
                  : (c <= 3807 || (c < 3864
                    ? c == 3840
                    : c <= 3865)))
                : (c <= 3881 || (c < 3897
                  ? (c < 3895
                    ? c == 3893
                    : c <= 3895)
                  : (c <= 3897 || (c < 3913
                    ? (c >= 3902 && c <= 3911)
                    : c <= 3948)))))
              : (c <= 3972 || (c < 4256
                ? (c < 4038
                  ? (c < 3993
                    ? (c >= 3974 && c <= 3991)
                    : c <= 4028)
                  : (c <= 4038 || (c < 4176
                    ? (c >= 4096 && c <= 4169)
                    : c <= 4253)))
                : (c <= 4293 || (c < 4304
                  ? (c < 4301
                    ? c == 4295
                    : c <= 4301)
                  : (c <= 4346 || (c < 4682
                    ? (c >= 4348 && c <= 4680)
                    : c <= 4685)))))))
            : (c <= 4694 || (c < 4882
              ? (c < 4786
                ? (c < 4704
                  ? (c < 4698
                    ? c == 4696
                    : c <= 4701)
                  : (c <= 4744 || (c < 4752
                    ? (c >= 4746 && c <= 4749)
                    : c <= 4784)))
                : (c <= 4789 || (c < 4802
                  ? (c < 4800
                    ? (c >= 4792 && c <= 4798)
                    : c <= 4800)
                  : (c <= 4805 || (c < 4824
                    ? (c >= 4808 && c <= 4822)
                    : c <= 4880)))))
              : (c <= 4885 || (c < 5112
                ? (c < 4969
                  ? (c < 4957
                    ? (c >= 4888 && c <= 4954)
                    : c <= 4959)
                  : (c <= 4977 || (c < 5024
                    ? (c >= 4992 && c <= 5007)
                    : c <= 5109)))
                : (c <= 5117 || (c < 5761
                  ? (c < 5743
                    ? (c >= 5121 && c <= 5740)
                    : c <= 5759)
                  : (c <= 5786 || (c < 5870
                    ? (c >= 5792 && c <= 5866)
                    : c <= 5880)))))))))
          : (c <= 5909 || (c < 6688
            ? (c < 6176
              ? (c < 6016
                ? (c < 5984
                  ? (c < 5952
                    ? (c >= 5919 && c <= 5940)
                    : c <= 5971)
                  : (c <= 5996 || (c < 6002
                    ? (c >= 5998 && c <= 6000)
                    : c <= 6003)))
                : (c <= 6099 || (c < 6112
                  ? (c < 6108
                    ? c == 6103
                    : c <= 6109)
                  : (c <= 6121 || (c < 6159
                    ? (c >= 6155 && c <= 6157)
                    : c <= 6169)))))
              : (c <= 6264 || (c < 6470
                ? (c < 6400
                  ? (c < 6320
                    ? (c >= 6272 && c <= 6314)
                    : c <= 6389)
                  : (c <= 6430 || (c < 6448
                    ? (c >= 6432 && c <= 6443)
                    : c <= 6459)))
                : (c <= 6509 || (c < 6576
                  ? (c < 6528
                    ? (c >= 6512 && c <= 6516)
                    : c <= 6571)
                  : (c <= 6601 || (c < 6656
                    ? (c >= 6608 && c <= 6618)
                    : c <= 6683)))))))
            : (c <= 6750 || (c < 7232
              ? (c < 6847
                ? (c < 6800
                  ? (c < 6783
                    ? (c >= 6752 && c <= 6780)
                    : c <= 6793)
                  : (c <= 6809 || (c < 6832
                    ? c == 6823
                    : c <= 6845)))
                : (c <= 6862 || (c < 7019
                  ? (c < 6992
                    ? (c >= 6912 && c <= 6988)
                    : c <= 7001)
                  : (c <= 7027 || (c < 7168
                    ? (c >= 7040 && c <= 7155)
                    : c <= 7223)))))
              : (c <= 7241 || (c < 7380
                ? (c < 7312
                  ? (c < 7296
                    ? (c >= 7245 && c <= 7293)
                    : c <= 7304)
                  : (c <= 7354 || (c < 7376
                    ? (c >= 7357 && c <= 7359)
                    : c <= 7378)))
                : (c <= 7418 || (c < 7968
                  ? (c < 7960
                    ? (c >= 7424 && c <= 7957)
                    : c <= 7965)
                  : (c <= 8005 || (c < 8016
                    ? (c >= 8008 && c <= 8013)
                    : c <= 8023)))))))))))
        : (c <= 8025 || (c < 11720
          ? (c < 8458
            ? (c < 8178
              ? (c < 8126
                ? (c < 8031
                  ? (c < 8029
                    ? c == 8027
                    : c <= 8029)
                  : (c <= 8061 || (c < 8118
                    ? (c >= 8064 && c <= 8116)
                    : c <= 8124)))
                : (c <= 8126 || (c < 8144
                  ? (c < 8134
                    ? (c >= 8130 && c <= 8132)
                    : c <= 8140)
                  : (c <= 8147 || (c < 8160
                    ? (c >= 8150 && c <= 8155)
                    : c <= 8172)))))
              : (c <= 8180 || (c < 8336
                ? (c < 8276
                  ? (c < 8255
                    ? (c >= 8182 && c <= 8188)
                    : c <= 8256)
                  : (c <= 8276 || (c < 8319
                    ? c == 8305
                    : c <= 8319)))
                : (c <= 8348 || (c < 8421
                  ? (c < 8417
                    ? (c >= 8400 && c <= 8412)
                    : c <= 8417)
                  : (c <= 8432 || (c < 8455
                    ? c == 8450
                    : c <= 8455)))))))
            : (c <= 8467 || (c < 11499
              ? (c < 8490
                ? (c < 8484
                  ? (c < 8472
                    ? c == 8469
                    : c <= 8477)
                  : (c <= 8484 || (c < 8488
                    ? c == 8486
                    : c <= 8488)))
                : (c <= 8505 || (c < 8526
                  ? (c < 8517
                    ? (c >= 8508 && c <= 8511)
                    : c <= 8521)
                  : (c <= 8526 || (c < 11264
                    ? (c >= 8544 && c <= 8584)
                    : c <= 11492)))))
              : (c <= 11507 || (c < 11647
                ? (c < 11565
                  ? (c < 11559
                    ? (c >= 11520 && c <= 11557)
                    : c <= 11559)
                  : (c <= 11565 || (c < 11631
                    ? (c >= 11568 && c <= 11623)
                    : c <= 11631)))
                : (c <= 11670 || (c < 11696
                  ? (c < 11688
                    ? (c >= 11680 && c <= 11686)
                    : c <= 11694)
                  : (c <= 11702 || (c < 11712
                    ? (c >= 11704 && c <= 11710)
                    : c <= 11718)))))))))
          : (c <= 11726 || (c < 42623
            ? (c < 12540
              ? (c < 12337
                ? (c < 11744
                  ? (c < 11736
                    ? (c >= 11728 && c <= 11734)
                    : c <= 11742)
                  : (c <= 11775 || (c < 12321
                    ? (c >= 12293 && c <= 12295)
                    : c <= 12335)))
                : (c <= 12341 || (c < 12441
                  ? (c < 12353
                    ? (c >= 12344 && c <= 12348)
                    : c <= 12438)
                  : (c <= 12442 || (c < 12449
                    ? (c >= 12445 && c <= 12447)
                    : c <= 12538)))))
              : (c <= 12543 || (c < 19968
                ? (c < 12704
                  ? (c < 12593
                    ? (c >= 12549 && c <= 12591)
                    : c <= 12686)
                  : (c <= 12735 || (c < 13312
                    ? (c >= 12784 && c <= 12799)
                    : c <= 19903)))
                : (c <= 42124 || (c < 42512
                  ? (c < 42240
                    ? (c >= 42192 && c <= 42237)
                    : c <= 42508)
                  : (c <= 42539 || (c < 42612
                    ? (c >= 42560 && c <= 42607)
                    : c <= 42621)))))))
            : (c <= 42737 || (c < 43232
              ? (c < 42965
                ? (c < 42891
                  ? (c < 42786
                    ? (c >= 42775 && c <= 42783)
                    : c <= 42888)
                  : (c <= 42954 || (c < 42963
                    ? (c >= 42960 && c <= 42961)
                    : c <= 42963)))
                : (c <= 42969 || (c < 43072
                  ? (c < 43052
                    ? (c >= 42994 && c <= 43047)
                    : c <= 43052)
                  : (c <= 43123 || (c < 43216
                    ? (c >= 43136 && c <= 43205)
                    : c <= 43225)))))
              : (c <= 43255 || (c < 43471
                ? (c < 43312
                  ? (c < 43261
                    ? c == 43259
                    : c <= 43309)
                  : (c <= 43347 || (c < 43392
                    ? (c >= 43360 && c <= 43388)
                    : c <= 43456)))
                : (c <= 43481 || (c < 43584
                  ? (c < 43520
                    ? (c >= 43488 && c <= 43518)
                    : c <= 43574)
                  : (c <= 43597 || (c >= 43600 && c <= 43609)))))))))))))))
    : (c <= 43638 || (c < 71453
      ? (c < 67639
        ? (c < 65345
          ? (c < 64312
            ? (c < 43888
              ? (c < 43785
                ? (c < 43744
                  ? (c < 43739
                    ? (c >= 43642 && c <= 43714)
                    : c <= 43741)
                  : (c <= 43759 || (c < 43777
                    ? (c >= 43762 && c <= 43766)
                    : c <= 43782)))
                : (c <= 43790 || (c < 43816
                  ? (c < 43808
                    ? (c >= 43793 && c <= 43798)
                    : c <= 43814)
                  : (c <= 43822 || (c < 43868
                    ? (c >= 43824 && c <= 43866)
                    : c <= 43881)))))
              : (c <= 44010 || (c < 63744
                ? (c < 44032
                  ? (c < 44016
                    ? (c >= 44012 && c <= 44013)
                    : c <= 44025)
                  : (c <= 55203 || (c < 55243
                    ? (c >= 55216 && c <= 55238)
                    : c <= 55291)))
                : (c <= 64109 || (c < 64275
                  ? (c < 64256
                    ? (c >= 64112 && c <= 64217)
                    : c <= 64262)
                  : (c <= 64279 || (c < 64298
                    ? (c >= 64285 && c <= 64296)
                    : c <= 64310)))))))
            : (c <= 64316 || (c < 65075
              ? (c < 64612
                ? (c < 64323
                  ? (c < 64320
                    ? c == 64318
                    : c <= 64321)
                  : (c <= 64324 || (c < 64467
                    ? (c >= 64326 && c <= 64433)
                    : c <= 64605)))
                : (c <= 64829 || (c < 65008
                  ? (c < 64914
                    ? (c >= 64848 && c <= 64911)
                    : c <= 64967)
                  : (c <= 65017 || (c < 65056
                    ? (c >= 65024 && c <= 65039)
                    : c <= 65071)))))
              : (c <= 65076 || (c < 65147
                ? (c < 65139
                  ? (c < 65137
                    ? (c >= 65101 && c <= 65103)
                    : c <= 65137)
                  : (c <= 65139 || (c < 65145
                    ? c == 65143
                    : c <= 65145)))
                : (c <= 65147 || (c < 65296
                  ? (c < 65151
                    ? c == 65149
                    : c <= 65276)
                  : (c <= 65305 || (c < 65343
                    ? (c >= 65313 && c <= 65338)
                    : c <= 65343)))))))))
          : (c <= 65370 || (c < 66513
            ? (c < 65664
              ? (c < 65536
                ? (c < 65482
                  ? (c < 65474
                    ? (c >= 65382 && c <= 65470)
                    : c <= 65479)
                  : (c <= 65487 || (c < 65498
                    ? (c >= 65490 && c <= 65495)
                    : c <= 65500)))
                : (c <= 65547 || (c < 65596
                  ? (c < 65576
                    ? (c >= 65549 && c <= 65574)
                    : c <= 65594)
                  : (c <= 65597 || (c < 65616
                    ? (c >= 65599 && c <= 65613)
                    : c <= 65629)))))
              : (c <= 65786 || (c < 66304
                ? (c < 66176
                  ? (c < 66045
                    ? (c >= 65856 && c <= 65908)
                    : c <= 66045)
                  : (c <= 66204 || (c < 66272
                    ? (c >= 66208 && c <= 66256)
                    : c <= 66272)))
                : (c <= 66335 || (c < 66432
                  ? (c < 66384
                    ? (c >= 66349 && c <= 66378)
                    : c <= 66426)
                  : (c <= 66461 || (c < 66504
                    ? (c >= 66464 && c <= 66499)
                    : c <= 66511)))))))
            : (c <= 66517 || (c < 66979
              ? (c < 66864
                ? (c < 66736
                  ? (c < 66720
                    ? (c >= 66560 && c <= 66717)
                    : c <= 66729)
                  : (c <= 66771 || (c < 66816
                    ? (c >= 66776 && c <= 66811)
                    : c <= 66855)))
                : (c <= 66915 || (c < 66956
                  ? (c < 66940
                    ? (c >= 66928 && c <= 66938)
                    : c <= 66954)
                  : (c <= 66962 || (c < 66967
                    ? (c >= 66964 && c <= 66965)
                    : c <= 66977)))))
              : (c <= 66993 || (c < 67456
                ? (c < 67072
                  ? (c < 67003
                    ? (c >= 66995 && c <= 67001)
                    : c <= 67004)
                  : (c <= 67382 || (c < 67424
                    ? (c >= 67392 && c <= 67413)
                    : c <= 67431)))
                : (c <= 67461 || (c < 67584
                  ? (c < 67506
                    ? (c >= 67463 && c <= 67504)
                    : c <= 67514)
                  : (c <= 67589 || (c < 67594
                    ? c == 67592
                    : c <= 67637)))))))))))
        : (c <= 67640 || (c < 69956
          ? (c < 68448
            ? (c < 68101
              ? (c < 67828
                ? (c < 67680
                  ? (c < 67647
                    ? c == 67644
                    : c <= 67669)
                  : (c <= 67702 || (c < 67808
                    ? (c >= 67712 && c <= 67742)
                    : c <= 67826)))
                : (c <= 67829 || (c < 67968
                  ? (c < 67872
                    ? (c >= 67840 && c <= 67861)
                    : c <= 67897)
                  : (c <= 68023 || (c < 68096
                    ? (c >= 68030 && c <= 68031)
                    : c <= 68099)))))
              : (c <= 68102 || (c < 68192
                ? (c < 68121
                  ? (c < 68117
                    ? (c >= 68108 && c <= 68115)
                    : c <= 68119)
                  : (c <= 68149 || (c < 68159
                    ? (c >= 68152 && c <= 68154)
                    : c <= 68159)))
                : (c <= 68220 || (c < 68297
                  ? (c < 68288
                    ? (c >= 68224 && c <= 68252)
                    : c <= 68295)
                  : (c <= 68326 || (c < 68416
                    ? (c >= 68352 && c <= 68405)
                    : c <= 68437)))))))
            : (c <= 68466 || (c < 69424
              ? (c < 68912
                ? (c < 68736
                  ? (c < 68608
                    ? (c >= 68480 && c <= 68497)
                    : c <= 68680)
                  : (c <= 68786 || (c < 68864
                    ? (c >= 68800 && c <= 68850)
                    : c <= 68903)))
                : (c <= 68921 || (c < 69296
                  ? (c < 69291
                    ? (c >= 69248 && c <= 69289)
                    : c <= 69292)
                  : (c <= 69297 || (c < 69415
                    ? (c >= 69376 && c <= 69404)
                    : c <= 69415)))))
              : (c <= 69456 || (c < 69759
                ? (c < 69600
                  ? (c < 69552
                    ? (c >= 69488 && c <= 69509)
                    : c <= 69572)
                  : (c <= 69622 || (c < 69734
                    ? (c >= 69632 && c <= 69702)
                    : c <= 69749)))
                : (c <= 69818 || (c < 69872
                  ? (c < 69840
                    ? c == 69826
                    : c <= 69864)
                  : (c <= 69881 || (c < 69942
                    ? (c >= 69888 && c <= 69940)
                    : c <= 69951)))))))))
          : (c <= 69959 || (c < 70459
            ? (c < 70282
              ? (c < 70108
                ? (c < 70016
                  ? (c < 70006
                    ? (c >= 69968 && c <= 70003)
                    : c <= 70006)
                  : (c <= 70084 || (c < 70094
                    ? (c >= 70089 && c <= 70092)
                    : c <= 70106)))
                : (c <= 70108 || (c < 70206
                  ? (c < 70163
                    ? (c >= 70144 && c <= 70161)
                    : c <= 70199)
                  : (c <= 70206 || (c < 70280
                    ? (c >= 70272 && c <= 70278)
                    : c <= 70280)))))
              : (c <= 70285 || (c < 70405
                ? (c < 70320
                  ? (c < 70303
                    ? (c >= 70287 && c <= 70301)
                    : c <= 70312)
                  : (c <= 70378 || (c < 70400
                    ? (c >= 70384 && c <= 70393)
                    : c <= 70403)))
                : (c <= 70412 || (c < 70442
                  ? (c < 70419
                    ? (c >= 70415 && c <= 70416)
                    : c <= 70440)
                  : (c <= 70448 || (c < 70453
                    ? (c >= 70450 && c <= 70451)
                    : c <= 70457)))))))
            : (c <= 70468 || (c < 70855
              ? (c < 70502
                ? (c < 70480
                  ? (c < 70475
                    ? (c >= 70471 && c <= 70472)
                    : c <= 70477)
                  : (c <= 70480 || (c < 70493
                    ? c == 70487
                    : c <= 70499)))
                : (c <= 70508 || (c < 70736
                  ? (c < 70656
                    ? (c >= 70512 && c <= 70516)
                    : c <= 70730)
                  : (c <= 70745 || (c < 70784
                    ? (c >= 70750 && c <= 70753)
                    : c <= 70853)))))
              : (c <= 70855 || (c < 71236
                ? (c < 71096
                  ? (c < 71040
                    ? (c >= 70864 && c <= 70873)
                    : c <= 71093)
                  : (c <= 71104 || (c < 71168
                    ? (c >= 71128 && c <= 71133)
                    : c <= 71232)))
                : (c <= 71236 || (c < 71360
                  ? (c < 71296
                    ? (c >= 71248 && c <= 71257)
                    : c <= 71352)
                  : (c <= 71369 || (c >= 71424 && c <= 71450)))))))))))))
      : (c <= 71467 || (c < 119973
        ? (c < 77824
          ? (c < 72760
            ? (c < 72016
              ? (c < 71945
                ? (c < 71680
                  ? (c < 71488
                    ? (c >= 71472 && c <= 71481)
                    : c <= 71494)
                  : (c <= 71738 || (c < 71935
                    ? (c >= 71840 && c <= 71913)
                    : c <= 71942)))
                : (c <= 71945 || (c < 71960
                  ? (c < 71957
                    ? (c >= 71948 && c <= 71955)
                    : c <= 71958)
                  : (c <= 71989 || (c < 71995
                    ? (c >= 71991 && c <= 71992)
                    : c <= 72003)))))
              : (c <= 72025 || (c < 72263
                ? (c < 72154
                  ? (c < 72106
                    ? (c >= 72096 && c <= 72103)
                    : c <= 72151)
                  : (c <= 72161 || (c < 72192
                    ? (c >= 72163 && c <= 72164)
                    : c <= 72254)))
                : (c <= 72263 || (c < 72368
                  ? (c < 72349
                    ? (c >= 72272 && c <= 72345)
                    : c <= 72349)
                  : (c <= 72440 || (c < 72714
                    ? (c >= 72704 && c <= 72712)
                    : c <= 72758)))))))
            : (c <= 72768 || (c < 73056
              ? (c < 72968
                ? (c < 72850
                  ? (c < 72818
                    ? (c >= 72784 && c <= 72793)
                    : c <= 72847)
                  : (c <= 72871 || (c < 72960
                    ? (c >= 72873 && c <= 72886)
                    : c <= 72966)))
                : (c <= 72969 || (c < 73020
                  ? (c < 73018
                    ? (c >= 72971 && c <= 73014)
                    : c <= 73018)
                  : (c <= 73021 || (c < 73040
                    ? (c >= 73023 && c <= 73031)
                    : c <= 73049)))))
              : (c <= 73061 || (c < 73440
                ? (c < 73104
                  ? (c < 73066
                    ? (c >= 73063 && c <= 73064)
                    : c <= 73102)
                  : (c <= 73105 || (c < 73120
                    ? (c >= 73107 && c <= 73112)
                    : c <= 73129)))
                : (c <= 73462 || (c < 74752
                  ? (c < 73728
                    ? c == 73648
                    : c <= 74649)
                  : (c <= 74862 || (c < 77712
                    ? (c >= 74880 && c <= 75075)
                    : c <= 77808)))))))))
          : (c <= 78894 || (c < 110576
            ? (c < 93027
              ? (c < 92864
                ? (c < 92736
                  ? (c < 92160
                    ? (c >= 82944 && c <= 83526)
                    : c <= 92728)
                  : (c <= 92766 || (c < 92784
                    ? (c >= 92768 && c <= 92777)
                    : c <= 92862)))
                : (c <= 92873 || (c < 92928
                  ? (c < 92912
                    ? (c >= 92880 && c <= 92909)
                    : c <= 92916)
                  : (c <= 92982 || (c < 93008
                    ? (c >= 92992 && c <= 92995)
                    : c <= 93017)))))
              : (c <= 93047 || (c < 94176
                ? (c < 93952
                  ? (c < 93760
                    ? (c >= 93053 && c <= 93071)
                    : c <= 93823)
                  : (c <= 94026 || (c < 94095
                    ? (c >= 94031 && c <= 94087)
                    : c <= 94111)))
                : (c <= 94177 || (c < 94208
                  ? (c < 94192
                    ? (c >= 94179 && c <= 94180)
                    : c <= 94193)
                  : (c <= 100343 || (c < 101632
                    ? (c >= 100352 && c <= 101589)
                    : c <= 101640)))))))
            : (c <= 110579 || (c < 118528
              ? (c < 110960
                ? (c < 110592
                  ? (c < 110589
                    ? (c >= 110581 && c <= 110587)
                    : c <= 110590)
                  : (c <= 110882 || (c < 110948
                    ? (c >= 110928 && c <= 110930)
                    : c <= 110951)))
                : (c <= 111355 || (c < 113792
                  ? (c < 113776
                    ? (c >= 113664 && c <= 113770)
                    : c <= 113788)
                  : (c <= 113800 || (c < 113821
                    ? (c >= 113808 && c <= 113817)
                    : c <= 113822)))))
              : (c <= 118573 || (c < 119210
                ? (c < 119149
                  ? (c < 119141
                    ? (c >= 118576 && c <= 118598)
                    : c <= 119145)
                  : (c <= 119154 || (c < 119173
                    ? (c >= 119163 && c <= 119170)
                    : c <= 119179)))
                : (c <= 119213 || (c < 119894
                  ? (c < 119808
                    ? (c >= 119362 && c <= 119364)
                    : c <= 119892)
                  : (c <= 119964 || (c < 119970
                    ? (c >= 119966 && c <= 119967)
                    : c <= 119970)))))))))))
        : (c <= 119974 || (c < 124912
          ? (c < 120746
            ? (c < 120134
              ? (c < 120071
                ? (c < 119995
                  ? (c < 119982
                    ? (c >= 119977 && c <= 119980)
                    : c <= 119993)
                  : (c <= 119995 || (c < 120005
                    ? (c >= 119997 && c <= 120003)
                    : c <= 120069)))
                : (c <= 120074 || (c < 120094
                  ? (c < 120086
                    ? (c >= 120077 && c <= 120084)
                    : c <= 120092)
                  : (c <= 120121 || (c < 120128
                    ? (c >= 120123 && c <= 120126)
                    : c <= 120132)))))
              : (c <= 120134 || (c < 120572
                ? (c < 120488
                  ? (c < 120146
                    ? (c >= 120138 && c <= 120144)
                    : c <= 120485)
                  : (c <= 120512 || (c < 120540
                    ? (c >= 120514 && c <= 120538)
                    : c <= 120570)))
                : (c <= 120596 || (c < 120656
                  ? (c < 120630
                    ? (c >= 120598 && c <= 120628)
                    : c <= 120654)
                  : (c <= 120686 || (c < 120714
                    ? (c >= 120688 && c <= 120712)
                    : c <= 120744)))))))
            : (c <= 120770 || (c < 122907
              ? (c < 121476
                ? (c < 121344
                  ? (c < 120782
                    ? (c >= 120772 && c <= 120779)
                    : c <= 120831)
                  : (c <= 121398 || (c < 121461
                    ? (c >= 121403 && c <= 121452)
                    : c <= 121461)))
                : (c <= 121476 || (c < 122624
                  ? (c < 121505
                    ? (c >= 121499 && c <= 121503)
                    : c <= 121519)
                  : (c <= 122654 || (c < 122888
                    ? (c >= 122880 && c <= 122886)
                    : c <= 122904)))))
              : (c <= 122913 || (c < 123214
                ? (c < 123136
                  ? (c < 122918
                    ? (c >= 122915 && c <= 122916)
                    : c <= 122922)
                  : (c <= 123180 || (c < 123200
                    ? (c >= 123184 && c <= 123197)
                    : c <= 123209)))
                : (c <= 123214 || (c < 124896
                  ? (c < 123584
                    ? (c >= 123536 && c <= 123566)
                    : c <= 123641)
                  : (c <= 124902 || (c < 124909
                    ? (c >= 124904 && c <= 124907)
                    : c <= 124910)))))))))
          : (c <= 124926 || (c < 126557
            ? (c < 126521
              ? (c < 126469
                ? (c < 125184
                  ? (c < 125136
                    ? (c >= 124928 && c <= 125124)
                    : c <= 125142)
                  : (c <= 125259 || (c < 126464
                    ? (c >= 125264 && c <= 125273)
                    : c <= 126467)))
                : (c <= 126495 || (c < 126503
                  ? (c < 126500
                    ? (c >= 126497 && c <= 126498)
                    : c <= 126500)
                  : (c <= 126503 || (c < 126516
                    ? (c >= 126505 && c <= 126514)
                    : c <= 126519)))))
              : (c <= 126521 || (c < 126541
                ? (c < 126535
                  ? (c < 126530
                    ? c == 126523
                    : c <= 126530)
                  : (c <= 126535 || (c < 126539
                    ? c == 126537
                    : c <= 126539)))
                : (c <= 126543 || (c < 126551
                  ? (c < 126548
                    ? (c >= 126545 && c <= 126546)
                    : c <= 126548)
                  : (c <= 126551 || (c < 126555
                    ? c == 126553
                    : c <= 126555)))))))
            : (c <= 126557 || (c < 126629
              ? (c < 126580
                ? (c < 126564
                  ? (c < 126561
                    ? c == 126559
                    : c <= 126562)
                  : (c <= 126564 || (c < 126572
                    ? (c >= 126567 && c <= 126570)
                    : c <= 126578)))
                : (c <= 126583 || (c < 126592
                  ? (c < 126590
                    ? (c >= 126585 && c <= 126588)
                    : c <= 126590)
                  : (c <= 126601 || (c < 126625
                    ? (c >= 126603 && c <= 126619)
                    : c <= 126627)))))
              : (c <= 126633 || (c < 178208
                ? (c < 131072
                  ? (c < 130032
                    ? (c >= 126635 && c <= 126651)
                    : c <= 130041)
                  : (c <= 173791 || (c < 177984
                    ? (c >= 173824 && c <= 177976)
                    : c <= 178205)))
                : (c <= 183969 || (c < 196608
                  ? (c < 194560
                    ? (c >= 183984 && c <= 191456)
                    : c <= 195101)
                  : (c <= 201546 || (c >= 917760 && c <= 917999)))))))))))))))));
}

static inline bool sym_identifier_character_set_26(int32_t c) {
  return (c < 43600
    ? (c < 3776
      ? (c < 2738
        ? (c < 1984
          ? (c < 910
            ? (c < 216
              ? (c < 'c'
                ? (c < 'A'
                  ? (c < '0'
                    ? c == '$'
                    : c <= '9')
                  : (c <= 'Z' || (c < 'a'
                    ? c == '_'
                    : c <= 'a')))
                : (c <= 'z' || (c < 183
                  ? (c < 181
                    ? c == 170
                    : c <= 181)
                  : (c <= 183 || (c < 192
                    ? c == 186
                    : c <= 214)))))
              : (c <= 246 || (c < 768
                ? (c < 736
                  ? (c < 710
                    ? (c >= 248 && c <= 705)
                    : c <= 721)
                  : (c <= 740 || (c < 750
                    ? c == 748
                    : c <= 750)))
                : (c <= 884 || (c < 895
                  ? (c < 891
                    ? (c >= 886 && c <= 887)
                    : c <= 893)
                  : (c <= 895 || (c < 908
                    ? (c >= 902 && c <= 906)
                    : c <= 908)))))))
            : (c <= 929 || (c < 1479
              ? (c < 1369
                ? (c < 1155
                  ? (c < 1015
                    ? (c >= 931 && c <= 1013)
                    : c <= 1153)
                  : (c <= 1159 || (c < 1329
                    ? (c >= 1162 && c <= 1327)
                    : c <= 1366)))
                : (c <= 1369 || (c < 1471
                  ? (c < 1425
                    ? (c >= 1376 && c <= 1416)
                    : c <= 1469)
                  : (c <= 1471 || (c < 1476
                    ? (c >= 1473 && c <= 1474)
                    : c <= 1477)))))
              : (c <= 1479 || (c < 1749
                ? (c < 1552
                  ? (c < 1519
                    ? (c >= 1488 && c <= 1514)
                    : c <= 1522)
                  : (c <= 1562 || (c < 1646
                    ? (c >= 1568 && c <= 1641)
                    : c <= 1747)))
                : (c <= 1756 || (c < 1791
                  ? (c < 1770
                    ? (c >= 1759 && c <= 1768)
                    : c <= 1788)
                  : (c <= 1791 || (c < 1869
                    ? (c >= 1808 && c <= 1866)
                    : c <= 1969)))))))))
          : (c <= 2037 || (c < 2534
            ? (c < 2437
              ? (c < 2160
                ? (c < 2048
                  ? (c < 2045
                    ? c == 2042
                    : c <= 2045)
                  : (c <= 2093 || (c < 2144
                    ? (c >= 2112 && c <= 2139)
                    : c <= 2154)))
                : (c <= 2183 || (c < 2275
                  ? (c < 2200
                    ? (c >= 2185 && c <= 2190)
                    : c <= 2273)
                  : (c <= 2403 || (c < 2417
                    ? (c >= 2406 && c <= 2415)
                    : c <= 2435)))))
              : (c <= 2444 || (c < 2492
                ? (c < 2474
                  ? (c < 2451
                    ? (c >= 2447 && c <= 2448)
                    : c <= 2472)
                  : (c <= 2480 || (c < 2486
                    ? c == 2482
                    : c <= 2489)))
                : (c <= 2500 || (c < 2519
                  ? (c < 2507
                    ? (c >= 2503 && c <= 2504)
                    : c <= 2510)
                  : (c <= 2519 || (c < 2527
                    ? (c >= 2524 && c <= 2525)
                    : c <= 2531)))))))
            : (c <= 2545 || (c < 2622
              ? (c < 2579
                ? (c < 2561
                  ? (c < 2558
                    ? c == 2556
                    : c <= 2558)
                  : (c <= 2563 || (c < 2575
                    ? (c >= 2565 && c <= 2570)
                    : c <= 2576)))
                : (c <= 2600 || (c < 2613
                  ? (c < 2610
                    ? (c >= 2602 && c <= 2608)
                    : c <= 2611)
                  : (c <= 2614 || (c < 2620
                    ? (c >= 2616 && c <= 2617)
                    : c <= 2620)))))
              : (c <= 2626 || (c < 2662
                ? (c < 2641
                  ? (c < 2635
                    ? (c >= 2631 && c <= 2632)
                    : c <= 2637)
                  : (c <= 2641 || (c < 2654
                    ? (c >= 2649 && c <= 2652)
                    : c <= 2654)))
                : (c <= 2677 || (c < 2703
                  ? (c < 2693
                    ? (c >= 2689 && c <= 2691)
                    : c <= 2701)
                  : (c <= 2705 || (c < 2730
                    ? (c >= 2707 && c <= 2728)
                    : c <= 2736)))))))))))
        : (c <= 2739 || (c < 3160
          ? (c < 2946
            ? (c < 2835
              ? (c < 2784
                ? (c < 2759
                  ? (c < 2748
                    ? (c >= 2741 && c <= 2745)
                    : c <= 2757)
                  : (c <= 2761 || (c < 2768
                    ? (c >= 2763 && c <= 2765)
                    : c <= 2768)))
                : (c <= 2787 || (c < 2817
                  ? (c < 2809
                    ? (c >= 2790 && c <= 2799)
                    : c <= 2815)
                  : (c <= 2819 || (c < 2831
                    ? (c >= 2821 && c <= 2828)
                    : c <= 2832)))))
              : (c <= 2856 || (c < 2891
                ? (c < 2869
                  ? (c < 2866
                    ? (c >= 2858 && c <= 2864)
                    : c <= 2867)
                  : (c <= 2873 || (c < 2887
                    ? (c >= 2876 && c <= 2884)
                    : c <= 2888)))
                : (c <= 2893 || (c < 2911
                  ? (c < 2908
                    ? (c >= 2901 && c <= 2903)
                    : c <= 2909)
                  : (c <= 2915 || (c < 2929
                    ? (c >= 2918 && c <= 2927)
                    : c <= 2929)))))))
            : (c <= 2947 || (c < 3018
              ? (c < 2974
                ? (c < 2962
                  ? (c < 2958
                    ? (c >= 2949 && c <= 2954)
                    : c <= 2960)
                  : (c <= 2965 || (c < 2972
                    ? (c >= 2969 && c <= 2970)
                    : c <= 2972)))
                : (c <= 2975 || (c < 2990
                  ? (c < 2984
                    ? (c >= 2979 && c <= 2980)
                    : c <= 2986)
                  : (c <= 3001 || (c < 3014
                    ? (c >= 3006 && c <= 3010)
                    : c <= 3016)))))
              : (c <= 3021 || (c < 3090
                ? (c < 3046
                  ? (c < 3031
                    ? c == 3024
                    : c <= 3031)
                  : (c <= 3055 || (c < 3086
                    ? (c >= 3072 && c <= 3084)
                    : c <= 3088)))
                : (c <= 3112 || (c < 3142
                  ? (c < 3132
                    ? (c >= 3114 && c <= 3129)
                    : c <= 3140)
                  : (c <= 3144 || (c < 3157
                    ? (c >= 3146 && c <= 3149)
                    : c <= 3158)))))))))
          : (c <= 3162 || (c < 3423
            ? (c < 3274
              ? (c < 3214
                ? (c < 3174
                  ? (c < 3168
                    ? c == 3165
                    : c <= 3171)
                  : (c <= 3183 || (c < 3205
                    ? (c >= 3200 && c <= 3203)
                    : c <= 3212)))
                : (c <= 3216 || (c < 3253
                  ? (c < 3242
                    ? (c >= 3218 && c <= 3240)
                    : c <= 3251)
                  : (c <= 3257 || (c < 3270
                    ? (c >= 3260 && c <= 3268)
                    : c <= 3272)))))
              : (c <= 3277 || (c < 3328
                ? (c < 3296
                  ? (c < 3293
                    ? (c >= 3285 && c <= 3286)
                    : c <= 3294)
                  : (c <= 3299 || (c < 3313
                    ? (c >= 3302 && c <= 3311)
                    : c <= 3314)))
                : (c <= 3340 || (c < 3398
                  ? (c < 3346
                    ? (c >= 3342 && c <= 3344)
                    : c <= 3396)
                  : (c <= 3400 || (c < 3412
                    ? (c >= 3402 && c <= 3406)
                    : c <= 3415)))))))
            : (c <= 3427 || (c < 3544
              ? (c < 3507
                ? (c < 3457
                  ? (c < 3450
                    ? (c >= 3430 && c <= 3439)
                    : c <= 3455)
                  : (c <= 3459 || (c < 3482
                    ? (c >= 3461 && c <= 3478)
                    : c <= 3505)))
                : (c <= 3515 || (c < 3530
                  ? (c < 3520
                    ? c == 3517
                    : c <= 3526)
                  : (c <= 3530 || (c < 3542
                    ? (c >= 3535 && c <= 3540)
                    : c <= 3542)))))
              : (c <= 3551 || (c < 3713
                ? (c < 3585
                  ? (c < 3570
                    ? (c >= 3558 && c <= 3567)
                    : c <= 3571)
                  : (c <= 3642 || (c < 3664
                    ? (c >= 3648 && c <= 3662)
                    : c <= 3673)))
                : (c <= 3714 || (c < 3724
                  ? (c < 3718
                    ? c == 3716
                    : c <= 3722)
                  : (c <= 3747 || (c < 3751
                    ? c == 3749
                    : c <= 3773)))))))))))))
      : (c <= 3780 || (c < 8016
        ? (c < 5870
          ? (c < 4682
            ? (c < 3913
              ? (c < 3864
                ? (c < 3792
                  ? (c < 3784
                    ? c == 3782
                    : c <= 3789)
                  : (c <= 3801 || (c < 3840
                    ? (c >= 3804 && c <= 3807)
                    : c <= 3840)))
                : (c <= 3865 || (c < 3895
                  ? (c < 3893
                    ? (c >= 3872 && c <= 3881)
                    : c <= 3893)
                  : (c <= 3895 || (c < 3902
                    ? c == 3897
                    : c <= 3911)))))
              : (c <= 3948 || (c < 4176
                ? (c < 3993
                  ? (c < 3974
                    ? (c >= 3953 && c <= 3972)
                    : c <= 3991)
                  : (c <= 4028 || (c < 4096
                    ? c == 4038
                    : c <= 4169)))
                : (c <= 4253 || (c < 4301
                  ? (c < 4295
                    ? (c >= 4256 && c <= 4293)
                    : c <= 4295)
                  : (c <= 4301 || (c < 4348
                    ? (c >= 4304 && c <= 4346)
                    : c <= 4680)))))))
            : (c <= 4685 || (c < 4824
              ? (c < 4752
                ? (c < 4698
                  ? (c < 4696
                    ? (c >= 4688 && c <= 4694)
                    : c <= 4696)
                  : (c <= 4701 || (c < 4746
                    ? (c >= 4704 && c <= 4744)
                    : c <= 4749)))
                : (c <= 4784 || (c < 4800
                  ? (c < 4792
                    ? (c >= 4786 && c <= 4789)
                    : c <= 4798)
                  : (c <= 4800 || (c < 4808
                    ? (c >= 4802 && c <= 4805)
                    : c <= 4822)))))
              : (c <= 4880 || (c < 5024
                ? (c < 4957
                  ? (c < 4888
                    ? (c >= 4882 && c <= 4885)
                    : c <= 4954)
                  : (c <= 4959 || (c < 4992
                    ? (c >= 4969 && c <= 4977)
                    : c <= 5007)))
                : (c <= 5109 || (c < 5743
                  ? (c < 5121
                    ? (c >= 5112 && c <= 5117)
                    : c <= 5740)
                  : (c <= 5759 || (c < 5792
                    ? (c >= 5761 && c <= 5786)
                    : c <= 5866)))))))))
          : (c <= 5880 || (c < 6656
            ? (c < 6159
              ? (c < 6002
                ? (c < 5952
                  ? (c < 5919
                    ? (c >= 5888 && c <= 5909)
                    : c <= 5940)
                  : (c <= 5971 || (c < 5998
                    ? (c >= 5984 && c <= 5996)
                    : c <= 6000)))
                : (c <= 6003 || (c < 6108
                  ? (c < 6103
                    ? (c >= 6016 && c <= 6099)
                    : c <= 6103)
                  : (c <= 6109 || (c < 6155
                    ? (c >= 6112 && c <= 6121)
                    : c <= 6157)))))
              : (c <= 6169 || (c < 6448
                ? (c < 6320
                  ? (c < 6272
                    ? (c >= 6176 && c <= 6264)
                    : c <= 6314)
                  : (c <= 6389 || (c < 6432
                    ? (c >= 6400 && c <= 6430)
                    : c <= 6443)))
                : (c <= 6459 || (c < 6528
                  ? (c < 6512
                    ? (c >= 6470 && c <= 6509)
                    : c <= 6516)
                  : (c <= 6571 || (c < 6608
                    ? (c >= 6576 && c <= 6601)
                    : c <= 6618)))))))
            : (c <= 6683 || (c < 7168
              ? (c < 6832
                ? (c < 6783
                  ? (c < 6752
                    ? (c >= 6688 && c <= 6750)
                    : c <= 6780)
                  : (c <= 6793 || (c < 6823
                    ? (c >= 6800 && c <= 6809)
                    : c <= 6823)))
                : (c <= 6845 || (c < 6992
                  ? (c < 6912
                    ? (c >= 6847 && c <= 6862)
                    : c <= 6988)
                  : (c <= 7001 || (c < 7040
                    ? (c >= 7019 && c <= 7027)
                    : c <= 7155)))))
              : (c <= 7223 || (c < 7376
                ? (c < 7296
                  ? (c < 7245
                    ? (c >= 7232 && c <= 7241)
                    : c <= 7293)
                  : (c <= 7304 || (c < 7357
                    ? (c >= 7312 && c <= 7354)
                    : c <= 7359)))
                : (c <= 7378 || (c < 7960
                  ? (c < 7424
                    ? (c >= 7380 && c <= 7418)
                    : c <= 7957)
                  : (c <= 7965 || (c < 8008
                    ? (c >= 7968 && c <= 8005)
                    : c <= 8013)))))))))))
        : (c <= 8023 || (c < 11712
          ? (c < 8455
            ? (c < 8160
              ? (c < 8118
                ? (c < 8029
                  ? (c < 8027
                    ? c == 8025
                    : c <= 8027)
                  : (c <= 8029 || (c < 8064
                    ? (c >= 8031 && c <= 8061)
                    : c <= 8116)))
                : (c <= 8124 || (c < 8134
                  ? (c < 8130
                    ? c == 8126
                    : c <= 8132)
                  : (c <= 8140 || (c < 8150
                    ? (c >= 8144 && c <= 8147)
                    : c <= 8155)))))
              : (c <= 8172 || (c < 8319
                ? (c < 8255
                  ? (c < 8182
                    ? (c >= 8178 && c <= 8180)
                    : c <= 8188)
                  : (c <= 8256 || (c < 8305
                    ? c == 8276
                    : c <= 8305)))
                : (c <= 8319 || (c < 8417
                  ? (c < 8400
                    ? (c >= 8336 && c <= 8348)
                    : c <= 8412)
                  : (c <= 8417 || (c < 8450
                    ? (c >= 8421 && c <= 8432)
                    : c <= 8450)))))))
            : (c <= 8455 || (c < 11264
              ? (c < 8488
                ? (c < 8472
                  ? (c < 8469
                    ? (c >= 8458 && c <= 8467)
                    : c <= 8469)
                  : (c <= 8477 || (c < 8486
                    ? c == 8484
                    : c <= 8486)))
                : (c <= 8488 || (c < 8517
                  ? (c < 8508
                    ? (c >= 8490 && c <= 8505)
                    : c <= 8511)
                  : (c <= 8521 || (c < 8544
                    ? c == 8526
                    : c <= 8584)))))
              : (c <= 11492 || (c < 11631
                ? (c < 11559
                  ? (c < 11520
                    ? (c >= 11499 && c <= 11507)
                    : c <= 11557)
                  : (c <= 11559 || (c < 11568
                    ? c == 11565
                    : c <= 11623)))
                : (c <= 11631 || (c < 11688
                  ? (c < 11680
                    ? (c >= 11647 && c <= 11670)
                    : c <= 11686)
                  : (c <= 11694 || (c < 11704
                    ? (c >= 11696 && c <= 11702)
                    : c <= 11710)))))))))
          : (c <= 11718 || (c < 42612
            ? (c < 12449
              ? (c < 12321
                ? (c < 11736
                  ? (c < 11728
                    ? (c >= 11720 && c <= 11726)
                    : c <= 11734)
                  : (c <= 11742 || (c < 12293
                    ? (c >= 11744 && c <= 11775)
                    : c <= 12295)))
                : (c <= 12335 || (c < 12353
                  ? (c < 12344
                    ? (c >= 12337 && c <= 12341)
                    : c <= 12348)
                  : (c <= 12438 || (c < 12445
                    ? (c >= 12441 && c <= 12442)
                    : c <= 12447)))))
              : (c <= 12538 || (c < 13312
                ? (c < 12593
                  ? (c < 12549
                    ? (c >= 12540 && c <= 12543)
                    : c <= 12591)
                  : (c <= 12686 || (c < 12784
                    ? (c >= 12704 && c <= 12735)
                    : c <= 12799)))
                : (c <= 19903 || (c < 42240
                  ? (c < 42192
                    ? (c >= 19968 && c <= 42124)
                    : c <= 42237)
                  : (c <= 42508 || (c < 42560
                    ? (c >= 42512 && c <= 42539)
                    : c <= 42607)))))))
            : (c <= 42621 || (c < 43216
              ? (c < 42963
                ? (c < 42786
                  ? (c < 42775
                    ? (c >= 42623 && c <= 42737)
                    : c <= 42783)
                  : (c <= 42888 || (c < 42960
                    ? (c >= 42891 && c <= 42954)
                    : c <= 42961)))
                : (c <= 42963 || (c < 43052
                  ? (c < 42994
                    ? (c >= 42965 && c <= 42969)
                    : c <= 43047)
                  : (c <= 43052 || (c < 43136
                    ? (c >= 43072 && c <= 43123)
                    : c <= 43205)))))
              : (c <= 43225 || (c < 43392
                ? (c < 43261
                  ? (c < 43259
                    ? (c >= 43232 && c <= 43255)
                    : c <= 43259)
                  : (c <= 43309 || (c < 43360
                    ? (c >= 43312 && c <= 43347)
                    : c <= 43388)))
                : (c <= 43456 || (c < 43520
                  ? (c < 43488
                    ? (c >= 43471 && c <= 43481)
                    : c <= 43518)
                  : (c <= 43574 || (c >= 43584 && c <= 43597)))))))))))))))
    : (c <= 43609 || (c < 71453
      ? (c < 67594
        ? (c < 65343
          ? (c < 64298
            ? (c < 43868
              ? (c < 43777
                ? (c < 43739
                  ? (c < 43642
                    ? (c >= 43616 && c <= 43638)
                    : c <= 43714)
                  : (c <= 43741 || (c < 43762
                    ? (c >= 43744 && c <= 43759)
                    : c <= 43766)))
                : (c <= 43782 || (c < 43808
                  ? (c < 43793
                    ? (c >= 43785 && c <= 43790)
                    : c <= 43798)
                  : (c <= 43814 || (c < 43824
                    ? (c >= 43816 && c <= 43822)
                    : c <= 43866)))))
              : (c <= 43881 || (c < 55243
                ? (c < 44016
                  ? (c < 44012
                    ? (c >= 43888 && c <= 44010)
                    : c <= 44013)
                  : (c <= 44025 || (c < 55216
                    ? (c >= 44032 && c <= 55203)
                    : c <= 55238)))
                : (c <= 55291 || (c < 64256
                  ? (c < 64112
                    ? (c >= 63744 && c <= 64109)
                    : c <= 64217)
                  : (c <= 64262 || (c < 64285
                    ? (c >= 64275 && c <= 64279)
                    : c <= 64296)))))))
            : (c <= 64310 || (c < 65056
              ? (c < 64467
                ? (c < 64320
                  ? (c < 64318
                    ? (c >= 64312 && c <= 64316)
                    : c <= 64318)
                  : (c <= 64321 || (c < 64326
                    ? (c >= 64323 && c <= 64324)
                    : c <= 64433)))
                : (c <= 64605 || (c < 64914
                  ? (c < 64848
                    ? (c >= 64612 && c <= 64829)
                    : c <= 64911)
                  : (c <= 64967 || (c < 65024
                    ? (c >= 65008 && c <= 65017)
                    : c <= 65039)))))
              : (c <= 65071 || (c < 65145
                ? (c < 65137
                  ? (c < 65101
                    ? (c >= 65075 && c <= 65076)
                    : c <= 65103)
                  : (c <= 65137 || (c < 65143
                    ? c == 65139
                    : c <= 65143)))
                : (c <= 65145 || (c < 65151
                  ? (c < 65149
                    ? c == 65147
                    : c <= 65149)
                  : (c <= 65276 || (c < 65313
                    ? (c >= 65296 && c <= 65305)
                    : c <= 65338)))))))))
          : (c <= 65343 || (c < 66504
            ? (c < 65616
              ? (c < 65498
                ? (c < 65474
                  ? (c < 65382
                    ? (c >= 65345 && c <= 65370)
                    : c <= 65470)
                  : (c <= 65479 || (c < 65490
                    ? (c >= 65482 && c <= 65487)
                    : c <= 65495)))
                : (c <= 65500 || (c < 65576
                  ? (c < 65549
                    ? (c >= 65536 && c <= 65547)
                    : c <= 65574)
                  : (c <= 65594 || (c < 65599
                    ? (c >= 65596 && c <= 65597)
                    : c <= 65613)))))
              : (c <= 65629 || (c < 66272
                ? (c < 66045
                  ? (c < 65856
                    ? (c >= 65664 && c <= 65786)
                    : c <= 65908)
                  : (c <= 66045 || (c < 66208
                    ? (c >= 66176 && c <= 66204)
                    : c <= 66256)))
                : (c <= 66272 || (c < 66384
                  ? (c < 66349
                    ? (c >= 66304 && c <= 66335)
                    : c <= 66378)
                  : (c <= 66426 || (c < 66464
                    ? (c >= 66432 && c <= 66461)
                    : c <= 66499)))))))
            : (c <= 66511 || (c < 66967
              ? (c < 66816
                ? (c < 66720
                  ? (c < 66560
                    ? (c >= 66513 && c <= 66517)
                    : c <= 66717)
                  : (c <= 66729 || (c < 66776
                    ? (c >= 66736 && c <= 66771)
                    : c <= 66811)))
                : (c <= 66855 || (c < 66940
                  ? (c < 66928
                    ? (c >= 66864 && c <= 66915)
                    : c <= 66938)
                  : (c <= 66954 || (c < 66964
                    ? (c >= 66956 && c <= 66962)
                    : c <= 66965)))))
              : (c <= 66977 || (c < 67424
                ? (c < 67003
                  ? (c < 66995
                    ? (c >= 66979 && c <= 66993)
                    : c <= 67001)
                  : (c <= 67004 || (c < 67392
                    ? (c >= 67072 && c <= 67382)
                    : c <= 67413)))
                : (c <= 67431 || (c < 67506
                  ? (c < 67463
                    ? (c >= 67456 && c <= 67461)
                    : c <= 67504)
                  : (c <= 67514 || (c < 67592
                    ? (c >= 67584 && c <= 67589)
                    : c <= 67592)))))))))))
        : (c <= 67637 || (c < 69942
          ? (c < 68416
            ? (c < 68096
              ? (c < 67808
                ? (c < 67647
                  ? (c < 67644
                    ? (c >= 67639 && c <= 67640)
                    : c <= 67644)
                  : (c <= 67669 || (c < 67712
                    ? (c >= 67680 && c <= 67702)
                    : c <= 67742)))
                : (c <= 67826 || (c < 67872
                  ? (c < 67840
                    ? (c >= 67828 && c <= 67829)
                    : c <= 67861)
                  : (c <= 67897 || (c < 68030
                    ? (c >= 67968 && c <= 68023)
                    : c <= 68031)))))
              : (c <= 68099 || (c < 68159
                ? (c < 68117
                  ? (c < 68108
                    ? (c >= 68101 && c <= 68102)
                    : c <= 68115)
                  : (c <= 68119 || (c < 68152
                    ? (c >= 68121 && c <= 68149)
                    : c <= 68154)))
                : (c <= 68159 || (c < 68288
                  ? (c < 68224
                    ? (c >= 68192 && c <= 68220)
                    : c <= 68252)
                  : (c <= 68295 || (c < 68352
                    ? (c >= 68297 && c <= 68326)
                    : c <= 68405)))))))
            : (c <= 68437 || (c < 69415
              ? (c < 68864
                ? (c < 68608
                  ? (c < 68480
                    ? (c >= 68448 && c <= 68466)
                    : c <= 68497)
                  : (c <= 68680 || (c < 68800
                    ? (c >= 68736 && c <= 68786)
                    : c <= 68850)))
                : (c <= 68903 || (c < 69291
                  ? (c < 69248
                    ? (c >= 68912 && c <= 68921)
                    : c <= 69289)
                  : (c <= 69292 || (c < 69376
                    ? (c >= 69296 && c <= 69297)
                    : c <= 69404)))))
              : (c <= 69415 || (c < 69734
                ? (c < 69552
                  ? (c < 69488
                    ? (c >= 69424 && c <= 69456)
                    : c <= 69509)
                  : (c <= 69572 || (c < 69632
                    ? (c >= 69600 && c <= 69622)
                    : c <= 69702)))
                : (c <= 69749 || (c < 69840
                  ? (c < 69826
                    ? (c >= 69759 && c <= 69818)
                    : c <= 69826)
                  : (c <= 69864 || (c < 69888
                    ? (c >= 69872 && c <= 69881)
                    : c <= 69940)))))))))
          : (c <= 69951 || (c < 70453
            ? (c < 70280
              ? (c < 70094
                ? (c < 70006
                  ? (c < 69968
                    ? (c >= 69956 && c <= 69959)
                    : c <= 70003)
                  : (c <= 70006 || (c < 70089
                    ? (c >= 70016 && c <= 70084)
                    : c <= 70092)))
                : (c <= 70106 || (c < 70163
                  ? (c < 70144
                    ? c == 70108
                    : c <= 70161)
                  : (c <= 70199 || (c < 70272
                    ? c == 70206
                    : c <= 70278)))))
              : (c <= 70280 || (c < 70400
                ? (c < 70303
                  ? (c < 70287
                    ? (c >= 70282 && c <= 70285)
                    : c <= 70301)
                  : (c <= 70312 || (c < 70384
                    ? (c >= 70320 && c <= 70378)
                    : c <= 70393)))
                : (c <= 70403 || (c < 70419
                  ? (c < 70415
                    ? (c >= 70405 && c <= 70412)
                    : c <= 70416)
                  : (c <= 70440 || (c < 70450
                    ? (c >= 70442 && c <= 70448)
                    : c <= 70451)))))))
            : (c <= 70457 || (c < 70784
              ? (c < 70493
                ? (c < 70475
                  ? (c < 70471
                    ? (c >= 70459 && c <= 70468)
                    : c <= 70472)
                  : (c <= 70477 || (c < 70487
                    ? c == 70480
                    : c <= 70487)))
                : (c <= 70499 || (c < 70656
                  ? (c < 70512
                    ? (c >= 70502 && c <= 70508)
                    : c <= 70516)
                  : (c <= 70730 || (c < 70750
                    ? (c >= 70736 && c <= 70745)
                    : c <= 70753)))))
              : (c <= 70853 || (c < 71168
                ? (c < 71040
                  ? (c < 70864
                    ? c == 70855
                    : c <= 70873)
                  : (c <= 71093 || (c < 71128
                    ? (c >= 71096 && c <= 71104)
                    : c <= 71133)))
                : (c <= 71232 || (c < 71296
                  ? (c < 71248
                    ? c == 71236
                    : c <= 71257)
                  : (c <= 71352 || (c < 71424
                    ? (c >= 71360 && c <= 71369)
                    : c <= 71450)))))))))))))
      : (c <= 71467 || (c < 119973
        ? (c < 77824
          ? (c < 72760
            ? (c < 72016
              ? (c < 71945
                ? (c < 71680
                  ? (c < 71488
                    ? (c >= 71472 && c <= 71481)
                    : c <= 71494)
                  : (c <= 71738 || (c < 71935
                    ? (c >= 71840 && c <= 71913)
                    : c <= 71942)))
                : (c <= 71945 || (c < 71960
                  ? (c < 71957
                    ? (c >= 71948 && c <= 71955)
                    : c <= 71958)
                  : (c <= 71989 || (c < 71995
                    ? (c >= 71991 && c <= 71992)
                    : c <= 72003)))))
              : (c <= 72025 || (c < 72263
                ? (c < 72154
                  ? (c < 72106
                    ? (c >= 72096 && c <= 72103)
                    : c <= 72151)
                  : (c <= 72161 || (c < 72192
                    ? (c >= 72163 && c <= 72164)
                    : c <= 72254)))
                : (c <= 72263 || (c < 72368
                  ? (c < 72349
                    ? (c >= 72272 && c <= 72345)
                    : c <= 72349)
                  : (c <= 72440 || (c < 72714
                    ? (c >= 72704 && c <= 72712)
                    : c <= 72758)))))))
            : (c <= 72768 || (c < 73056
              ? (c < 72968
                ? (c < 72850
                  ? (c < 72818
                    ? (c >= 72784 && c <= 72793)
                    : c <= 72847)
                  : (c <= 72871 || (c < 72960
                    ? (c >= 72873 && c <= 72886)
                    : c <= 72966)))
                : (c <= 72969 || (c < 73020
                  ? (c < 73018
                    ? (c >= 72971 && c <= 73014)
                    : c <= 73018)
                  : (c <= 73021 || (c < 73040
                    ? (c >= 73023 && c <= 73031)
                    : c <= 73049)))))
              : (c <= 73061 || (c < 73440
                ? (c < 73104
                  ? (c < 73066
                    ? (c >= 73063 && c <= 73064)
                    : c <= 73102)
                  : (c <= 73105 || (c < 73120
                    ? (c >= 73107 && c <= 73112)
                    : c <= 73129)))
                : (c <= 73462 || (c < 74752
                  ? (c < 73728
                    ? c == 73648
                    : c <= 74649)
                  : (c <= 74862 || (c < 77712
                    ? (c >= 74880 && c <= 75075)
                    : c <= 77808)))))))))
          : (c <= 78894 || (c < 110576
            ? (c < 93027
              ? (c < 92864
                ? (c < 92736
                  ? (c < 92160
                    ? (c >= 82944 && c <= 83526)
                    : c <= 92728)
                  : (c <= 92766 || (c < 92784
                    ? (c >= 92768 && c <= 92777)
                    : c <= 92862)))
                : (c <= 92873 || (c < 92928
                  ? (c < 92912
                    ? (c >= 92880 && c <= 92909)
                    : c <= 92916)
                  : (c <= 92982 || (c < 93008
                    ? (c >= 92992 && c <= 92995)
                    : c <= 93017)))))
              : (c <= 93047 || (c < 94176
                ? (c < 93952
                  ? (c < 93760
                    ? (c >= 93053 && c <= 93071)
                    : c <= 93823)
                  : (c <= 94026 || (c < 94095
                    ? (c >= 94031 && c <= 94087)
                    : c <= 94111)))
                : (c <= 94177 || (c < 94208
                  ? (c < 94192
                    ? (c >= 94179 && c <= 94180)
                    : c <= 94193)
                  : (c <= 100343 || (c < 101632
                    ? (c >= 100352 && c <= 101589)
                    : c <= 101640)))))))
            : (c <= 110579 || (c < 118528
              ? (c < 110960
                ? (c < 110592
                  ? (c < 110589
                    ? (c >= 110581 && c <= 110587)
                    : c <= 110590)
                  : (c <= 110882 || (c < 110948
                    ? (c >= 110928 && c <= 110930)
                    : c <= 110951)))
                : (c <= 111355 || (c < 113792
                  ? (c < 113776
                    ? (c >= 113664 && c <= 113770)
                    : c <= 113788)
                  : (c <= 113800 || (c < 113821
                    ? (c >= 113808 && c <= 113817)
                    : c <= 113822)))))
              : (c <= 118573 || (c < 119210
                ? (c < 119149
                  ? (c < 119141
                    ? (c >= 118576 && c <= 118598)
                    : c <= 119145)
                  : (c <= 119154 || (c < 119173
                    ? (c >= 119163 && c <= 119170)
                    : c <= 119179)))
                : (c <= 119213 || (c < 119894
                  ? (c < 119808
                    ? (c >= 119362 && c <= 119364)
                    : c <= 119892)
                  : (c <= 119964 || (c < 119970
                    ? (c >= 119966 && c <= 119967)
                    : c <= 119970)))))))))))
        : (c <= 119974 || (c < 124912
          ? (c < 120746
            ? (c < 120134
              ? (c < 120071
                ? (c < 119995
                  ? (c < 119982
                    ? (c >= 119977 && c <= 119980)
                    : c <= 119993)
                  : (c <= 119995 || (c < 120005
                    ? (c >= 119997 && c <= 120003)
                    : c <= 120069)))
                : (c <= 120074 || (c < 120094
                  ? (c < 120086
                    ? (c >= 120077 && c <= 120084)
                    : c <= 120092)
                  : (c <= 120121 || (c < 120128
                    ? (c >= 120123 && c <= 120126)
                    : c <= 120132)))))
              : (c <= 120134 || (c < 120572
                ? (c < 120488
                  ? (c < 120146
                    ? (c >= 120138 && c <= 120144)
                    : c <= 120485)
                  : (c <= 120512 || (c < 120540
                    ? (c >= 120514 && c <= 120538)
                    : c <= 120570)))
                : (c <= 120596 || (c < 120656
                  ? (c < 120630
                    ? (c >= 120598 && c <= 120628)
                    : c <= 120654)
                  : (c <= 120686 || (c < 120714
                    ? (c >= 120688 && c <= 120712)
                    : c <= 120744)))))))
            : (c <= 120770 || (c < 122907
              ? (c < 121476
                ? (c < 121344
                  ? (c < 120782
                    ? (c >= 120772 && c <= 120779)
                    : c <= 120831)
                  : (c <= 121398 || (c < 121461
                    ? (c >= 121403 && c <= 121452)
                    : c <= 121461)))
                : (c <= 121476 || (c < 122624
                  ? (c < 121505
                    ? (c >= 121499 && c <= 121503)
                    : c <= 121519)
                  : (c <= 122654 || (c < 122888
                    ? (c >= 122880 && c <= 122886)
                    : c <= 122904)))))
              : (c <= 122913 || (c < 123214
                ? (c < 123136
                  ? (c < 122918
                    ? (c >= 122915 && c <= 122916)
                    : c <= 122922)
                  : (c <= 123180 || (c < 123200
                    ? (c >= 123184 && c <= 123197)
                    : c <= 123209)))
                : (c <= 123214 || (c < 124896
                  ? (c < 123584
                    ? (c >= 123536 && c <= 123566)
                    : c <= 123641)
                  : (c <= 124902 || (c < 124909
                    ? (c >= 124904 && c <= 124907)
                    : c <= 124910)))))))))
          : (c <= 124926 || (c < 126557
            ? (c < 126521
              ? (c < 126469
                ? (c < 125184
                  ? (c < 125136
                    ? (c >= 124928 && c <= 125124)
                    : c <= 125142)
                  : (c <= 125259 || (c < 126464
                    ? (c >= 125264 && c <= 125273)
                    : c <= 126467)))
                : (c <= 126495 || (c < 126503
                  ? (c < 126500
                    ? (c >= 126497 && c <= 126498)
                    : c <= 126500)
                  : (c <= 126503 || (c < 126516
                    ? (c >= 126505 && c <= 126514)
                    : c <= 126519)))))
              : (c <= 126521 || (c < 126541
                ? (c < 126535
                  ? (c < 126530
                    ? c == 126523
                    : c <= 126530)
                  : (c <= 126535 || (c < 126539
                    ? c == 126537
                    : c <= 126539)))
                : (c <= 126543 || (c < 126551
                  ? (c < 126548
                    ? (c >= 126545 && c <= 126546)
                    : c <= 126548)
                  : (c <= 126551 || (c < 126555
                    ? c == 126553
                    : c <= 126555)))))))
            : (c <= 126557 || (c < 126629
              ? (c < 126580
                ? (c < 126564
                  ? (c < 126561
                    ? c == 126559
                    : c <= 126562)
                  : (c <= 126564 || (c < 126572
                    ? (c >= 126567 && c <= 126570)
                    : c <= 126578)))
                : (c <= 126583 || (c < 126592
                  ? (c < 126590
                    ? (c >= 126585 && c <= 126588)
                    : c <= 126590)
                  : (c <= 126601 || (c < 126625
                    ? (c >= 126603 && c <= 126619)
                    : c <= 126627)))))
              : (c <= 126633 || (c < 178208
                ? (c < 131072
                  ? (c < 130032
                    ? (c >= 126635 && c <= 126651)
                    : c <= 130041)
                  : (c <= 173791 || (c < 177984
                    ? (c >= 173824 && c <= 177976)
                    : c <= 178205)))
                : (c <= 183969 || (c < 196608
                  ? (c < 194560
                    ? (c >= 183984 && c <= 191456)
                    : c <= 195101)
                  : (c <= 201546 || (c >= 917760 && c <= 917999)))))))))))))))));
}

static inline bool sym_identifier_character_set_27(int32_t c) {
  return (c < 43600
    ? (c < 3776
      ? (c < 2738
        ? (c < 1984
          ? (c < 910
            ? (c < 216
              ? (c < 'e'
                ? (c < 'A'
                  ? (c < '0'
                    ? c == '$'
                    : c <= '9')
                  : (c <= 'Z' || (c < 'a'
                    ? c == '_'
                    : c <= 'c')))
                : (c <= 'z' || (c < 183
                  ? (c < 181
                    ? c == 170
                    : c <= 181)
                  : (c <= 183 || (c < 192
                    ? c == 186
                    : c <= 214)))))
              : (c <= 246 || (c < 768
                ? (c < 736
                  ? (c < 710
                    ? (c >= 248 && c <= 705)
                    : c <= 721)
                  : (c <= 740 || (c < 750
                    ? c == 748
                    : c <= 750)))
                : (c <= 884 || (c < 895
                  ? (c < 891
                    ? (c >= 886 && c <= 887)
                    : c <= 893)
                  : (c <= 895 || (c < 908
                    ? (c >= 902 && c <= 906)
                    : c <= 908)))))))
            : (c <= 929 || (c < 1479
              ? (c < 1369
                ? (c < 1155
                  ? (c < 1015
                    ? (c >= 931 && c <= 1013)
                    : c <= 1153)
                  : (c <= 1159 || (c < 1329
                    ? (c >= 1162 && c <= 1327)
                    : c <= 1366)))
                : (c <= 1369 || (c < 1471
                  ? (c < 1425
                    ? (c >= 1376 && c <= 1416)
                    : c <= 1469)
                  : (c <= 1471 || (c < 1476
                    ? (c >= 1473 && c <= 1474)
                    : c <= 1477)))))
              : (c <= 1479 || (c < 1749
                ? (c < 1552
                  ? (c < 1519
                    ? (c >= 1488 && c <= 1514)
                    : c <= 1522)
                  : (c <= 1562 || (c < 1646
                    ? (c >= 1568 && c <= 1641)
                    : c <= 1747)))
                : (c <= 1756 || (c < 1791
                  ? (c < 1770
                    ? (c >= 1759 && c <= 1768)
                    : c <= 1788)
                  : (c <= 1791 || (c < 1869
                    ? (c >= 1808 && c <= 1866)
                    : c <= 1969)))))))))
          : (c <= 2037 || (c < 2534
            ? (c < 2437
              ? (c < 2160
                ? (c < 2048
                  ? (c < 2045
                    ? c == 2042
                    : c <= 2045)
                  : (c <= 2093 || (c < 2144
                    ? (c >= 2112 && c <= 2139)
                    : c <= 2154)))
                : (c <= 2183 || (c < 2275
                  ? (c < 2200
                    ? (c >= 2185 && c <= 2190)
                    : c <= 2273)
                  : (c <= 2403 || (c < 2417
                    ? (c >= 2406 && c <= 2415)
                    : c <= 2435)))))
              : (c <= 2444 || (c < 2492
                ? (c < 2474
                  ? (c < 2451
                    ? (c >= 2447 && c <= 2448)
                    : c <= 2472)
                  : (c <= 2480 || (c < 2486
                    ? c == 2482
                    : c <= 2489)))
                : (c <= 2500 || (c < 2519
                  ? (c < 2507
                    ? (c >= 2503 && c <= 2504)
                    : c <= 2510)
                  : (c <= 2519 || (c < 2527
                    ? (c >= 2524 && c <= 2525)
                    : c <= 2531)))))))
            : (c <= 2545 || (c < 2622
              ? (c < 2579
                ? (c < 2561
                  ? (c < 2558
                    ? c == 2556
                    : c <= 2558)
                  : (c <= 2563 || (c < 2575
                    ? (c >= 2565 && c <= 2570)
                    : c <= 2576)))
                : (c <= 2600 || (c < 2613
                  ? (c < 2610
                    ? (c >= 2602 && c <= 2608)
                    : c <= 2611)
                  : (c <= 2614 || (c < 2620
                    ? (c >= 2616 && c <= 2617)
                    : c <= 2620)))))
              : (c <= 2626 || (c < 2662
                ? (c < 2641
                  ? (c < 2635
                    ? (c >= 2631 && c <= 2632)
                    : c <= 2637)
                  : (c <= 2641 || (c < 2654
                    ? (c >= 2649 && c <= 2652)
                    : c <= 2654)))
                : (c <= 2677 || (c < 2703
                  ? (c < 2693
                    ? (c >= 2689 && c <= 2691)
                    : c <= 2701)
                  : (c <= 2705 || (c < 2730
                    ? (c >= 2707 && c <= 2728)
                    : c <= 2736)))))))))))
        : (c <= 2739 || (c < 3160
          ? (c < 2946
            ? (c < 2835
              ? (c < 2784
                ? (c < 2759
                  ? (c < 2748
                    ? (c >= 2741 && c <= 2745)
                    : c <= 2757)
                  : (c <= 2761 || (c < 2768
                    ? (c >= 2763 && c <= 2765)
                    : c <= 2768)))
                : (c <= 2787 || (c < 2817
                  ? (c < 2809
                    ? (c >= 2790 && c <= 2799)
                    : c <= 2815)
                  : (c <= 2819 || (c < 2831
                    ? (c >= 2821 && c <= 2828)
                    : c <= 2832)))))
              : (c <= 2856 || (c < 2891
                ? (c < 2869
                  ? (c < 2866
                    ? (c >= 2858 && c <= 2864)
                    : c <= 2867)
                  : (c <= 2873 || (c < 2887
                    ? (c >= 2876 && c <= 2884)
                    : c <= 2888)))
                : (c <= 2893 || (c < 2911
                  ? (c < 2908
                    ? (c >= 2901 && c <= 2903)
                    : c <= 2909)
                  : (c <= 2915 || (c < 2929
                    ? (c >= 2918 && c <= 2927)
                    : c <= 2929)))))))
            : (c <= 2947 || (c < 3018
              ? (c < 2974
                ? (c < 2962
                  ? (c < 2958
                    ? (c >= 2949 && c <= 2954)
                    : c <= 2960)
                  : (c <= 2965 || (c < 2972
                    ? (c >= 2969 && c <= 2970)
                    : c <= 2972)))
                : (c <= 2975 || (c < 2990
                  ? (c < 2984
                    ? (c >= 2979 && c <= 2980)
                    : c <= 2986)
                  : (c <= 3001 || (c < 3014
                    ? (c >= 3006 && c <= 3010)
                    : c <= 3016)))))
              : (c <= 3021 || (c < 3090
                ? (c < 3046
                  ? (c < 3031
                    ? c == 3024
                    : c <= 3031)
                  : (c <= 3055 || (c < 3086
                    ? (c >= 3072 && c <= 3084)
                    : c <= 3088)))
                : (c <= 3112 || (c < 3142
                  ? (c < 3132
                    ? (c >= 3114 && c <= 3129)
                    : c <= 3140)
                  : (c <= 3144 || (c < 3157
                    ? (c >= 3146 && c <= 3149)
                    : c <= 3158)))))))))
          : (c <= 3162 || (c < 3423
            ? (c < 3274
              ? (c < 3214
                ? (c < 3174
                  ? (c < 3168
                    ? c == 3165
                    : c <= 3171)
                  : (c <= 3183 || (c < 3205
                    ? (c >= 3200 && c <= 3203)
                    : c <= 3212)))
                : (c <= 3216 || (c < 3253
                  ? (c < 3242
                    ? (c >= 3218 && c <= 3240)
                    : c <= 3251)
                  : (c <= 3257 || (c < 3270
                    ? (c >= 3260 && c <= 3268)
                    : c <= 3272)))))
              : (c <= 3277 || (c < 3328
                ? (c < 3296
                  ? (c < 3293
                    ? (c >= 3285 && c <= 3286)
                    : c <= 3294)
                  : (c <= 3299 || (c < 3313
                    ? (c >= 3302 && c <= 3311)
                    : c <= 3314)))
                : (c <= 3340 || (c < 3398
                  ? (c < 3346
                    ? (c >= 3342 && c <= 3344)
                    : c <= 3396)
                  : (c <= 3400 || (c < 3412
                    ? (c >= 3402 && c <= 3406)
                    : c <= 3415)))))))
            : (c <= 3427 || (c < 3544
              ? (c < 3507
                ? (c < 3457
                  ? (c < 3450
                    ? (c >= 3430 && c <= 3439)
                    : c <= 3455)
                  : (c <= 3459 || (c < 3482
                    ? (c >= 3461 && c <= 3478)
                    : c <= 3505)))
                : (c <= 3515 || (c < 3530
                  ? (c < 3520
                    ? c == 3517
                    : c <= 3526)
                  : (c <= 3530 || (c < 3542
                    ? (c >= 3535 && c <= 3540)
                    : c <= 3542)))))
              : (c <= 3551 || (c < 3713
                ? (c < 3585
                  ? (c < 3570
                    ? (c >= 3558 && c <= 3567)
                    : c <= 3571)
                  : (c <= 3642 || (c < 3664
                    ? (c >= 3648 && c <= 3662)
                    : c <= 3673)))
                : (c <= 3714 || (c < 3724
                  ? (c < 3718
                    ? c == 3716
                    : c <= 3722)
                  : (c <= 3747 || (c < 3751
                    ? c == 3749
                    : c <= 3773)))))))))))))
      : (c <= 3780 || (c < 8016
        ? (c < 5870
          ? (c < 4682
            ? (c < 3913
              ? (c < 3864
                ? (c < 3792
                  ? (c < 3784
                    ? c == 3782
                    : c <= 3789)
                  : (c <= 3801 || (c < 3840
                    ? (c >= 3804 && c <= 3807)
                    : c <= 3840)))
                : (c <= 3865 || (c < 3895
                  ? (c < 3893
                    ? (c >= 3872 && c <= 3881)
                    : c <= 3893)
                  : (c <= 3895 || (c < 3902
                    ? c == 3897
                    : c <= 3911)))))
              : (c <= 3948 || (c < 4176
                ? (c < 3993
                  ? (c < 3974
                    ? (c >= 3953 && c <= 3972)
                    : c <= 3991)
                  : (c <= 4028 || (c < 4096
                    ? c == 4038
                    : c <= 4169)))
                : (c <= 4253 || (c < 4301
                  ? (c < 4295
                    ? (c >= 4256 && c <= 4293)
                    : c <= 4295)
                  : (c <= 4301 || (c < 4348
                    ? (c >= 4304 && c <= 4346)
                    : c <= 4680)))))))
            : (c <= 4685 || (c < 4824
              ? (c < 4752
                ? (c < 4698
                  ? (c < 4696
                    ? (c >= 4688 && c <= 4694)
                    : c <= 4696)
                  : (c <= 4701 || (c < 4746
                    ? (c >= 4704 && c <= 4744)
                    : c <= 4749)))
                : (c <= 4784 || (c < 4800
                  ? (c < 4792
                    ? (c >= 4786 && c <= 4789)
                    : c <= 4798)
                  : (c <= 4800 || (c < 4808
                    ? (c >= 4802 && c <= 4805)
                    : c <= 4822)))))
              : (c <= 4880 || (c < 5024
                ? (c < 4957
                  ? (c < 4888
                    ? (c >= 4882 && c <= 4885)
                    : c <= 4954)
                  : (c <= 4959 || (c < 4992
                    ? (c >= 4969 && c <= 4977)
                    : c <= 5007)))
                : (c <= 5109 || (c < 5743
                  ? (c < 5121
                    ? (c >= 5112 && c <= 5117)
                    : c <= 5740)
                  : (c <= 5759 || (c < 5792
                    ? (c >= 5761 && c <= 5786)
                    : c <= 5866)))))))))
          : (c <= 5880 || (c < 6656
            ? (c < 6159
              ? (c < 6002
                ? (c < 5952
                  ? (c < 5919
                    ? (c >= 5888 && c <= 5909)
                    : c <= 5940)
                  : (c <= 5971 || (c < 5998
                    ? (c >= 5984 && c <= 5996)
                    : c <= 6000)))
                : (c <= 6003 || (c < 6108
                  ? (c < 6103
                    ? (c >= 6016 && c <= 6099)
                    : c <= 6103)
                  : (c <= 6109 || (c < 6155
                    ? (c >= 6112 && c <= 6121)
                    : c <= 6157)))))
              : (c <= 6169 || (c < 6448
                ? (c < 6320
                  ? (c < 6272
                    ? (c >= 6176 && c <= 6264)
                    : c <= 6314)
                  : (c <= 6389 || (c < 6432
                    ? (c >= 6400 && c <= 6430)
                    : c <= 6443)))
                : (c <= 6459 || (c < 6528
                  ? (c < 6512
                    ? (c >= 6470 && c <= 6509)
                    : c <= 6516)
                  : (c <= 6571 || (c < 6608
                    ? (c >= 6576 && c <= 6601)
                    : c <= 6618)))))))
            : (c <= 6683 || (c < 7168
              ? (c < 6832
                ? (c < 6783
                  ? (c < 6752
                    ? (c >= 6688 && c <= 6750)
                    : c <= 6780)
                  : (c <= 6793 || (c < 6823
                    ? (c >= 6800 && c <= 6809)
                    : c <= 6823)))
                : (c <= 6845 || (c < 6992
                  ? (c < 6912
                    ? (c >= 6847 && c <= 6862)
                    : c <= 6988)
                  : (c <= 7001 || (c < 7040
                    ? (c >= 7019 && c <= 7027)
                    : c <= 7155)))))
              : (c <= 7223 || (c < 7376
                ? (c < 7296
                  ? (c < 7245
                    ? (c >= 7232 && c <= 7241)
                    : c <= 7293)
                  : (c <= 7304 || (c < 7357
                    ? (c >= 7312 && c <= 7354)
                    : c <= 7359)))
                : (c <= 7378 || (c < 7960
                  ? (c < 7424
                    ? (c >= 7380 && c <= 7418)
                    : c <= 7957)
                  : (c <= 7965 || (c < 8008
                    ? (c >= 7968 && c <= 8005)
                    : c <= 8013)))))))))))
        : (c <= 8023 || (c < 11712
          ? (c < 8455
            ? (c < 8160
              ? (c < 8118
                ? (c < 8029
                  ? (c < 8027
                    ? c == 8025
                    : c <= 8027)
                  : (c <= 8029 || (c < 8064
                    ? (c >= 8031 && c <= 8061)
                    : c <= 8116)))
                : (c <= 8124 || (c < 8134
                  ? (c < 8130
                    ? c == 8126
                    : c <= 8132)
                  : (c <= 8140 || (c < 8150
                    ? (c >= 8144 && c <= 8147)
                    : c <= 8155)))))
              : (c <= 8172 || (c < 8319
                ? (c < 8255
                  ? (c < 8182
                    ? (c >= 8178 && c <= 8180)
                    : c <= 8188)
                  : (c <= 8256 || (c < 8305
                    ? c == 8276
                    : c <= 8305)))
                : (c <= 8319 || (c < 8417
                  ? (c < 8400
                    ? (c >= 8336 && c <= 8348)
                    : c <= 8412)
                  : (c <= 8417 || (c < 8450
                    ? (c >= 8421 && c <= 8432)
                    : c <= 8450)))))))
            : (c <= 8455 || (c < 11264
              ? (c < 8488
                ? (c < 8472
                  ? (c < 8469
                    ? (c >= 8458 && c <= 8467)
                    : c <= 8469)
                  : (c <= 8477 || (c < 8486
                    ? c == 8484
                    : c <= 8486)))
                : (c <= 8488 || (c < 8517
                  ? (c < 8508
                    ? (c >= 8490 && c <= 8505)
                    : c <= 8511)
                  : (c <= 8521 || (c < 8544
                    ? c == 8526
                    : c <= 8584)))))
              : (c <= 11492 || (c < 11631
                ? (c < 11559
                  ? (c < 11520
                    ? (c >= 11499 && c <= 11507)
                    : c <= 11557)
                  : (c <= 11559 || (c < 11568
                    ? c == 11565
                    : c <= 11623)))
                : (c <= 11631 || (c < 11688
                  ? (c < 11680
                    ? (c >= 11647 && c <= 11670)
                    : c <= 11686)
                  : (c <= 11694 || (c < 11704
                    ? (c >= 11696 && c <= 11702)
                    : c <= 11710)))))))))
          : (c <= 11718 || (c < 42612
            ? (c < 12449
              ? (c < 12321
                ? (c < 11736
                  ? (c < 11728
                    ? (c >= 11720 && c <= 11726)
                    : c <= 11734)
                  : (c <= 11742 || (c < 12293
                    ? (c >= 11744 && c <= 11775)
                    : c <= 12295)))
                : (c <= 12335 || (c < 12353
                  ? (c < 12344
                    ? (c >= 12337 && c <= 12341)
                    : c <= 12348)
                  : (c <= 12438 || (c < 12445
                    ? (c >= 12441 && c <= 12442)
                    : c <= 12447)))))
              : (c <= 12538 || (c < 13312
                ? (c < 12593
                  ? (c < 12549
                    ? (c >= 12540 && c <= 12543)
                    : c <= 12591)
                  : (c <= 12686 || (c < 12784
                    ? (c >= 12704 && c <= 12735)
                    : c <= 12799)))
                : (c <= 19903 || (c < 42240
                  ? (c < 42192
                    ? (c >= 19968 && c <= 42124)
                    : c <= 42237)
                  : (c <= 42508 || (c < 42560
                    ? (c >= 42512 && c <= 42539)
                    : c <= 42607)))))))
            : (c <= 42621 || (c < 43216
              ? (c < 42963
                ? (c < 42786
                  ? (c < 42775
                    ? (c >= 42623 && c <= 42737)
                    : c <= 42783)
                  : (c <= 42888 || (c < 42960
                    ? (c >= 42891 && c <= 42954)
                    : c <= 42961)))
                : (c <= 42963 || (c < 43052
                  ? (c < 42994
                    ? (c >= 42965 && c <= 42969)
                    : c <= 43047)
                  : (c <= 43052 || (c < 43136
                    ? (c >= 43072 && c <= 43123)
                    : c <= 43205)))))
              : (c <= 43225 || (c < 43392
                ? (c < 43261
                  ? (c < 43259
                    ? (c >= 43232 && c <= 43255)
                    : c <= 43259)
                  : (c <= 43309 || (c < 43360
                    ? (c >= 43312 && c <= 43347)
                    : c <= 43388)))
                : (c <= 43456 || (c < 43520
                  ? (c < 43488
                    ? (c >= 43471 && c <= 43481)
                    : c <= 43518)
                  : (c <= 43574 || (c >= 43584 && c <= 43597)))))))))))))))
    : (c <= 43609 || (c < 71453
      ? (c < 67594
        ? (c < 65343
          ? (c < 64298
            ? (c < 43868
              ? (c < 43777
                ? (c < 43739
                  ? (c < 43642
                    ? (c >= 43616 && c <= 43638)
                    : c <= 43714)
                  : (c <= 43741 || (c < 43762
                    ? (c >= 43744 && c <= 43759)
                    : c <= 43766)))
                : (c <= 43782 || (c < 43808
                  ? (c < 43793
                    ? (c >= 43785 && c <= 43790)
                    : c <= 43798)
                  : (c <= 43814 || (c < 43824
                    ? (c >= 43816 && c <= 43822)
                    : c <= 43866)))))
              : (c <= 43881 || (c < 55243
                ? (c < 44016
                  ? (c < 44012
                    ? (c >= 43888 && c <= 44010)
                    : c <= 44013)
                  : (c <= 44025 || (c < 55216
                    ? (c >= 44032 && c <= 55203)
                    : c <= 55238)))
                : (c <= 55291 || (c < 64256
                  ? (c < 64112
                    ? (c >= 63744 && c <= 64109)
                    : c <= 64217)
                  : (c <= 64262 || (c < 64285
                    ? (c >= 64275 && c <= 64279)
                    : c <= 64296)))))))
            : (c <= 64310 || (c < 65056
              ? (c < 64467
                ? (c < 64320
                  ? (c < 64318
                    ? (c >= 64312 && c <= 64316)
                    : c <= 64318)
                  : (c <= 64321 || (c < 64326
                    ? (c >= 64323 && c <= 64324)
                    : c <= 64433)))
                : (c <= 64605 || (c < 64914
                  ? (c < 64848
                    ? (c >= 64612 && c <= 64829)
                    : c <= 64911)
                  : (c <= 64967 || (c < 65024
                    ? (c >= 65008 && c <= 65017)
                    : c <= 65039)))))
              : (c <= 65071 || (c < 65145
                ? (c < 65137
                  ? (c < 65101
                    ? (c >= 65075 && c <= 65076)
                    : c <= 65103)
                  : (c <= 65137 || (c < 65143
                    ? c == 65139
                    : c <= 65143)))
                : (c <= 65145 || (c < 65151
                  ? (c < 65149
                    ? c == 65147
                    : c <= 65149)
                  : (c <= 65276 || (c < 65313
                    ? (c >= 65296 && c <= 65305)
                    : c <= 65338)))))))))
          : (c <= 65343 || (c < 66504
            ? (c < 65616
              ? (c < 65498
                ? (c < 65474
                  ? (c < 65382
                    ? (c >= 65345 && c <= 65370)
                    : c <= 65470)
                  : (c <= 65479 || (c < 65490
                    ? (c >= 65482 && c <= 65487)
                    : c <= 65495)))
                : (c <= 65500 || (c < 65576
                  ? (c < 65549
                    ? (c >= 65536 && c <= 65547)
                    : c <= 65574)
                  : (c <= 65594 || (c < 65599
                    ? (c >= 65596 && c <= 65597)
                    : c <= 65613)))))
              : (c <= 65629 || (c < 66272
                ? (c < 66045
                  ? (c < 65856
                    ? (c >= 65664 && c <= 65786)
                    : c <= 65908)
                  : (c <= 66045 || (c < 66208
                    ? (c >= 66176 && c <= 66204)
                    : c <= 66256)))
                : (c <= 66272 || (c < 66384
                  ? (c < 66349
                    ? (c >= 66304 && c <= 66335)
                    : c <= 66378)
                  : (c <= 66426 || (c < 66464
                    ? (c >= 66432 && c <= 66461)
                    : c <= 66499)))))))
            : (c <= 66511 || (c < 66967
              ? (c < 66816
                ? (c < 66720
                  ? (c < 66560
                    ? (c >= 66513 && c <= 66517)
                    : c <= 66717)
                  : (c <= 66729 || (c < 66776
                    ? (c >= 66736 && c <= 66771)
                    : c <= 66811)))
                : (c <= 66855 || (c < 66940
                  ? (c < 66928
                    ? (c >= 66864 && c <= 66915)
                    : c <= 66938)
                  : (c <= 66954 || (c < 66964
                    ? (c >= 66956 && c <= 66962)
                    : c <= 66965)))))
              : (c <= 66977 || (c < 67424
                ? (c < 67003
                  ? (c < 66995
                    ? (c >= 66979 && c <= 66993)
                    : c <= 67001)
                  : (c <= 67004 || (c < 67392
                    ? (c >= 67072 && c <= 67382)
                    : c <= 67413)))
                : (c <= 67431 || (c < 67506
                  ? (c < 67463
                    ? (c >= 67456 && c <= 67461)
                    : c <= 67504)
                  : (c <= 67514 || (c < 67592
                    ? (c >= 67584 && c <= 67589)
                    : c <= 67592)))))))))))
        : (c <= 67637 || (c < 69942
          ? (c < 68416
            ? (c < 68096
              ? (c < 67808
                ? (c < 67647
                  ? (c < 67644
                    ? (c >= 67639 && c <= 67640)
                    : c <= 67644)
                  : (c <= 67669 || (c < 67712
                    ? (c >= 67680 && c <= 67702)
                    : c <= 67742)))
                : (c <= 67826 || (c < 67872
                  ? (c < 67840
                    ? (c >= 67828 && c <= 67829)
                    : c <= 67861)
                  : (c <= 67897 || (c < 68030
                    ? (c >= 67968 && c <= 68023)
                    : c <= 68031)))))
              : (c <= 68099 || (c < 68159
                ? (c < 68117
                  ? (c < 68108
                    ? (c >= 68101 && c <= 68102)
                    : c <= 68115)
                  : (c <= 68119 || (c < 68152
                    ? (c >= 68121 && c <= 68149)
                    : c <= 68154)))
                : (c <= 68159 || (c < 68288
                  ? (c < 68224
                    ? (c >= 68192 && c <= 68220)
                    : c <= 68252)
                  : (c <= 68295 || (c < 68352
                    ? (c >= 68297 && c <= 68326)
                    : c <= 68405)))))))
            : (c <= 68437 || (c < 69415
              ? (c < 68864
                ? (c < 68608
                  ? (c < 68480
                    ? (c >= 68448 && c <= 68466)
                    : c <= 68497)
                  : (c <= 68680 || (c < 68800
                    ? (c >= 68736 && c <= 68786)
                    : c <= 68850)))
                : (c <= 68903 || (c < 69291
                  ? (c < 69248
                    ? (c >= 68912 && c <= 68921)
                    : c <= 69289)
                  : (c <= 69292 || (c < 69376
                    ? (c >= 69296 && c <= 69297)
                    : c <= 69404)))))
              : (c <= 69415 || (c < 69734
                ? (c < 69552
                  ? (c < 69488
                    ? (c >= 69424 && c <= 69456)
                    : c <= 69509)
                  : (c <= 69572 || (c < 69632
                    ? (c >= 69600 && c <= 69622)
                    : c <= 69702)))
                : (c <= 69749 || (c < 69840
                  ? (c < 69826
                    ? (c >= 69759 && c <= 69818)
                    : c <= 69826)
                  : (c <= 69864 || (c < 69888
                    ? (c >= 69872 && c <= 69881)
                    : c <= 69940)))))))))
          : (c <= 69951 || (c < 70453
            ? (c < 70280
              ? (c < 70094
                ? (c < 70006
                  ? (c < 69968
                    ? (c >= 69956 && c <= 69959)
                    : c <= 70003)
                  : (c <= 70006 || (c < 70089
                    ? (c >= 70016 && c <= 70084)
                    : c <= 70092)))
                : (c <= 70106 || (c < 70163
                  ? (c < 70144
                    ? c == 70108
                    : c <= 70161)
                  : (c <= 70199 || (c < 70272
                    ? c == 70206
                    : c <= 70278)))))
              : (c <= 70280 || (c < 70400
                ? (c < 70303
                  ? (c < 70287
                    ? (c >= 70282 && c <= 70285)
                    : c <= 70301)
                  : (c <= 70312 || (c < 70384
                    ? (c >= 70320 && c <= 70378)
                    : c <= 70393)))
                : (c <= 70403 || (c < 70419
                  ? (c < 70415
                    ? (c >= 70405 && c <= 70412)
                    : c <= 70416)
                  : (c <= 70440 || (c < 70450
                    ? (c >= 70442 && c <= 70448)
                    : c <= 70451)))))))
            : (c <= 70457 || (c < 70784
              ? (c < 70493
                ? (c < 70475
                  ? (c < 70471
                    ? (c >= 70459 && c <= 70468)
                    : c <= 70472)
                  : (c <= 70477 || (c < 70487
                    ? c == 70480
                    : c <= 70487)))
                : (c <= 70499 || (c < 70656
                  ? (c < 70512
                    ? (c >= 70502 && c <= 70508)
                    : c <= 70516)
                  : (c <= 70730 || (c < 70750
                    ? (c >= 70736 && c <= 70745)
                    : c <= 70753)))))
              : (c <= 70853 || (c < 71168
                ? (c < 71040
                  ? (c < 70864
                    ? c == 70855
                    : c <= 70873)
                  : (c <= 71093 || (c < 71128
                    ? (c >= 71096 && c <= 71104)
                    : c <= 71133)))
                : (c <= 71232 || (c < 71296
                  ? (c < 71248
                    ? c == 71236
                    : c <= 71257)
                  : (c <= 71352 || (c < 71424
                    ? (c >= 71360 && c <= 71369)
                    : c <= 71450)))))))))))))
      : (c <= 71467 || (c < 119973
        ? (c < 77824
          ? (c < 72760
            ? (c < 72016
              ? (c < 71945
                ? (c < 71680
                  ? (c < 71488
                    ? (c >= 71472 && c <= 71481)
                    : c <= 71494)
                  : (c <= 71738 || (c < 71935
                    ? (c >= 71840 && c <= 71913)
                    : c <= 71942)))
                : (c <= 71945 || (c < 71960
                  ? (c < 71957
                    ? (c >= 71948 && c <= 71955)
                    : c <= 71958)
                  : (c <= 71989 || (c < 71995
                    ? (c >= 71991 && c <= 71992)
                    : c <= 72003)))))
              : (c <= 72025 || (c < 72263
                ? (c < 72154
                  ? (c < 72106
                    ? (c >= 72096 && c <= 72103)
                    : c <= 72151)
                  : (c <= 72161 || (c < 72192
                    ? (c >= 72163 && c <= 72164)
                    : c <= 72254)))
                : (c <= 72263 || (c < 72368
                  ? (c < 72349
                    ? (c >= 72272 && c <= 72345)
                    : c <= 72349)
                  : (c <= 72440 || (c < 72714
                    ? (c >= 72704 && c <= 72712)
                    : c <= 72758)))))))
            : (c <= 72768 || (c < 73056
              ? (c < 72968
                ? (c < 72850
                  ? (c < 72818
                    ? (c >= 72784 && c <= 72793)
                    : c <= 72847)
                  : (c <= 72871 || (c < 72960
                    ? (c >= 72873 && c <= 72886)
                    : c <= 72966)))
                : (c <= 72969 || (c < 73020
                  ? (c < 73018
                    ? (c >= 72971 && c <= 73014)
                    : c <= 73018)
                  : (c <= 73021 || (c < 73040
                    ? (c >= 73023 && c <= 73031)
                    : c <= 73049)))))
              : (c <= 73061 || (c < 73440
                ? (c < 73104
                  ? (c < 73066
                    ? (c >= 73063 && c <= 73064)
                    : c <= 73102)
                  : (c <= 73105 || (c < 73120
                    ? (c >= 73107 && c <= 73112)
                    : c <= 73129)))
                : (c <= 73462 || (c < 74752
                  ? (c < 73728
                    ? c == 73648
                    : c <= 74649)
                  : (c <= 74862 || (c < 77712
                    ? (c >= 74880 && c <= 75075)
                    : c <= 77808)))))))))
          : (c <= 78894 || (c < 110576
            ? (c < 93027
              ? (c < 92864
                ? (c < 92736
                  ? (c < 92160
                    ? (c >= 82944 && c <= 83526)
                    : c <= 92728)
                  : (c <= 92766 || (c < 92784
                    ? (c >= 92768 && c <= 92777)
                    : c <= 92862)))
                : (c <= 92873 || (c < 92928
                  ? (c < 92912
                    ? (c >= 92880 && c <= 92909)
                    : c <= 92916)
                  : (c <= 92982 || (c < 93008
                    ? (c >= 92992 && c <= 92995)
                    : c <= 93017)))))
              : (c <= 93047 || (c < 94176
                ? (c < 93952
                  ? (c < 93760
                    ? (c >= 93053 && c <= 93071)
                    : c <= 93823)
                  : (c <= 94026 || (c < 94095
                    ? (c >= 94031 && c <= 94087)
                    : c <= 94111)))
                : (c <= 94177 || (c < 94208
                  ? (c < 94192
                    ? (c >= 94179 && c <= 94180)
                    : c <= 94193)
                  : (c <= 100343 || (c < 101632
                    ? (c >= 100352 && c <= 101589)
                    : c <= 101640)))))))
            : (c <= 110579 || (c < 118528
              ? (c < 110960
                ? (c < 110592
                  ? (c < 110589
                    ? (c >= 110581 && c <= 110587)
                    : c <= 110590)
                  : (c <= 110882 || (c < 110948
                    ? (c >= 110928 && c <= 110930)
                    : c <= 110951)))
                : (c <= 111355 || (c < 113792
                  ? (c < 113776
                    ? (c >= 113664 && c <= 113770)
                    : c <= 113788)
                  : (c <= 113800 || (c < 113821
                    ? (c >= 113808 && c <= 113817)
                    : c <= 113822)))))
              : (c <= 118573 || (c < 119210
                ? (c < 119149
                  ? (c < 119141
                    ? (c >= 118576 && c <= 118598)
                    : c <= 119145)
                  : (c <= 119154 || (c < 119173
                    ? (c >= 119163 && c <= 119170)
                    : c <= 119179)))
                : (c <= 119213 || (c < 119894
                  ? (c < 119808
                    ? (c >= 119362 && c <= 119364)
                    : c <= 119892)
                  : (c <= 119964 || (c < 119970
                    ? (c >= 119966 && c <= 119967)
                    : c <= 119970)))))))))))
        : (c <= 119974 || (c < 124912
          ? (c < 120746
            ? (c < 120134
              ? (c < 120071
                ? (c < 119995
                  ? (c < 119982
                    ? (c >= 119977 && c <= 119980)
                    : c <= 119993)
                  : (c <= 119995 || (c < 120005
                    ? (c >= 119997 && c <= 120003)
                    : c <= 120069)))
                : (c <= 120074 || (c < 120094
                  ? (c < 120086
                    ? (c >= 120077 && c <= 120084)
                    : c <= 120092)
                  : (c <= 120121 || (c < 120128
                    ? (c >= 120123 && c <= 120126)
                    : c <= 120132)))))
              : (c <= 120134 || (c < 120572
                ? (c < 120488
                  ? (c < 120146
                    ? (c >= 120138 && c <= 120144)
                    : c <= 120485)
                  : (c <= 120512 || (c < 120540
                    ? (c >= 120514 && c <= 120538)
                    : c <= 120570)))
                : (c <= 120596 || (c < 120656
                  ? (c < 120630
                    ? (c >= 120598 && c <= 120628)
                    : c <= 120654)
                  : (c <= 120686 || (c < 120714
                    ? (c >= 120688 && c <= 120712)
                    : c <= 120744)))))))
            : (c <= 120770 || (c < 122907
              ? (c < 121476
                ? (c < 121344
                  ? (c < 120782
                    ? (c >= 120772 && c <= 120779)
                    : c <= 120831)
                  : (c <= 121398 || (c < 121461
                    ? (c >= 121403 && c <= 121452)
                    : c <= 121461)))
                : (c <= 121476 || (c < 122624
                  ? (c < 121505
                    ? (c >= 121499 && c <= 121503)
                    : c <= 121519)
                  : (c <= 122654 || (c < 122888
                    ? (c >= 122880 && c <= 122886)
                    : c <= 122904)))))
              : (c <= 122913 || (c < 123214
                ? (c < 123136
                  ? (c < 122918
                    ? (c >= 122915 && c <= 122916)
                    : c <= 122922)
                  : (c <= 123180 || (c < 123200
                    ? (c >= 123184 && c <= 123197)
                    : c <= 123209)))
                : (c <= 123214 || (c < 124896
                  ? (c < 123584
                    ? (c >= 123536 && c <= 123566)
                    : c <= 123641)
                  : (c <= 124902 || (c < 124909
                    ? (c >= 124904 && c <= 124907)
                    : c <= 124910)))))))))
          : (c <= 124926 || (c < 126557
            ? (c < 126521
              ? (c < 126469
                ? (c < 125184
                  ? (c < 125136
                    ? (c >= 124928 && c <= 125124)
                    : c <= 125142)
                  : (c <= 125259 || (c < 126464
                    ? (c >= 125264 && c <= 125273)
                    : c <= 126467)))
                : (c <= 126495 || (c < 126503
                  ? (c < 126500
                    ? (c >= 126497 && c <= 126498)
                    : c <= 126500)
                  : (c <= 126503 || (c < 126516
                    ? (c >= 126505 && c <= 126514)
                    : c <= 126519)))))
              : (c <= 126521 || (c < 126541
                ? (c < 126535
                  ? (c < 126530
                    ? c == 126523
                    : c <= 126530)
                  : (c <= 126535 || (c < 126539
                    ? c == 126537
                    : c <= 126539)))
                : (c <= 126543 || (c < 126551
                  ? (c < 126548
                    ? (c >= 126545 && c <= 126546)
                    : c <= 126548)
                  : (c <= 126551 || (c < 126555
                    ? c == 126553
                    : c <= 126555)))))))
            : (c <= 126557 || (c < 126629
              ? (c < 126580
                ? (c < 126564
                  ? (c < 126561
                    ? c == 126559
                    : c <= 126562)
                  : (c <= 126564 || (c < 126572
                    ? (c >= 126567 && c <= 126570)
                    : c <= 126578)))
                : (c <= 126583 || (c < 126592
                  ? (c < 126590
                    ? (c >= 126585 && c <= 126588)
                    : c <= 126590)
                  : (c <= 126601 || (c < 126625
                    ? (c >= 126603 && c <= 126619)
                    : c <= 126627)))))
              : (c <= 126633 || (c < 178208
                ? (c < 131072
                  ? (c < 130032
                    ? (c >= 126635 && c <= 126651)
                    : c <= 130041)
                  : (c <= 173791 || (c < 177984
                    ? (c >= 173824 && c <= 177976)
                    : c <= 178205)))
                : (c <= 183969 || (c < 196608
                  ? (c < 194560
                    ? (c >= 183984 && c <= 191456)
                    : c <= 195101)
                  : (c <= 201546 || (c >= 917760 && c <= 917999)))))))))))))))));
}

static inline bool sym_identifier_character_set_28(int32_t c) {
  return (c < 43600
    ? (c < 3776
      ? (c < 2738
        ? (c < 1984
          ? (c < 910
            ? (c < 216
              ? (c < 'f'
                ? (c < 'A'
                  ? (c < '0'
                    ? c == '$'
                    : c <= '9')
                  : (c <= 'Z' || (c < 'a'
                    ? c == '_'
                    : c <= 'd')))
                : (c <= 'z' || (c < 183
                  ? (c < 181
                    ? c == 170
                    : c <= 181)
                  : (c <= 183 || (c < 192
                    ? c == 186
                    : c <= 214)))))
              : (c <= 246 || (c < 768
                ? (c < 736
                  ? (c < 710
                    ? (c >= 248 && c <= 705)
                    : c <= 721)
                  : (c <= 740 || (c < 750
                    ? c == 748
                    : c <= 750)))
                : (c <= 884 || (c < 895
                  ? (c < 891
                    ? (c >= 886 && c <= 887)
                    : c <= 893)
                  : (c <= 895 || (c < 908
                    ? (c >= 902 && c <= 906)
                    : c <= 908)))))))
            : (c <= 929 || (c < 1479
              ? (c < 1369
                ? (c < 1155
                  ? (c < 1015
                    ? (c >= 931 && c <= 1013)
                    : c <= 1153)
                  : (c <= 1159 || (c < 1329
                    ? (c >= 1162 && c <= 1327)
                    : c <= 1366)))
                : (c <= 1369 || (c < 1471
                  ? (c < 1425
                    ? (c >= 1376 && c <= 1416)
                    : c <= 1469)
                  : (c <= 1471 || (c < 1476
                    ? (c >= 1473 && c <= 1474)
                    : c <= 1477)))))
              : (c <= 1479 || (c < 1749
                ? (c < 1552
                  ? (c < 1519
                    ? (c >= 1488 && c <= 1514)
                    : c <= 1522)
                  : (c <= 1562 || (c < 1646
                    ? (c >= 1568 && c <= 1641)
                    : c <= 1747)))
                : (c <= 1756 || (c < 1791
                  ? (c < 1770
                    ? (c >= 1759 && c <= 1768)
                    : c <= 1788)
                  : (c <= 1791 || (c < 1869
                    ? (c >= 1808 && c <= 1866)
                    : c <= 1969)))))))))
          : (c <= 2037 || (c < 2534
            ? (c < 2437
              ? (c < 2160
                ? (c < 2048
                  ? (c < 2045
                    ? c == 2042
                    : c <= 2045)
                  : (c <= 2093 || (c < 2144
                    ? (c >= 2112 && c <= 2139)
                    : c <= 2154)))
                : (c <= 2183 || (c < 2275
                  ? (c < 2200
                    ? (c >= 2185 && c <= 2190)
                    : c <= 2273)
                  : (c <= 2403 || (c < 2417
                    ? (c >= 2406 && c <= 2415)
                    : c <= 2435)))))
              : (c <= 2444 || (c < 2492
                ? (c < 2474
                  ? (c < 2451
                    ? (c >= 2447 && c <= 2448)
                    : c <= 2472)
                  : (c <= 2480 || (c < 2486
                    ? c == 2482
                    : c <= 2489)))
                : (c <= 2500 || (c < 2519
                  ? (c < 2507
                    ? (c >= 2503 && c <= 2504)
                    : c <= 2510)
                  : (c <= 2519 || (c < 2527
                    ? (c >= 2524 && c <= 2525)
                    : c <= 2531)))))))
            : (c <= 2545 || (c < 2622
              ? (c < 2579
                ? (c < 2561
                  ? (c < 2558
                    ? c == 2556
                    : c <= 2558)
                  : (c <= 2563 || (c < 2575
                    ? (c >= 2565 && c <= 2570)
                    : c <= 2576)))
                : (c <= 2600 || (c < 2613
                  ? (c < 2610
                    ? (c >= 2602 && c <= 2608)
                    : c <= 2611)
                  : (c <= 2614 || (c < 2620
                    ? (c >= 2616 && c <= 2617)
                    : c <= 2620)))))
              : (c <= 2626 || (c < 2662
                ? (c < 2641
                  ? (c < 2635
                    ? (c >= 2631 && c <= 2632)
                    : c <= 2637)
                  : (c <= 2641 || (c < 2654
                    ? (c >= 2649 && c <= 2652)
                    : c <= 2654)))
                : (c <= 2677 || (c < 2703
                  ? (c < 2693
                    ? (c >= 2689 && c <= 2691)
                    : c <= 2701)
                  : (c <= 2705 || (c < 2730
                    ? (c >= 2707 && c <= 2728)
                    : c <= 2736)))))))))))
        : (c <= 2739 || (c < 3160
          ? (c < 2946
            ? (c < 2835
              ? (c < 2784
                ? (c < 2759
                  ? (c < 2748
                    ? (c >= 2741 && c <= 2745)
                    : c <= 2757)
                  : (c <= 2761 || (c < 2768
                    ? (c >= 2763 && c <= 2765)
                    : c <= 2768)))
                : (c <= 2787 || (c < 2817
                  ? (c < 2809
                    ? (c >= 2790 && c <= 2799)
                    : c <= 2815)
                  : (c <= 2819 || (c < 2831
                    ? (c >= 2821 && c <= 2828)
                    : c <= 2832)))))
              : (c <= 2856 || (c < 2891
                ? (c < 2869
                  ? (c < 2866
                    ? (c >= 2858 && c <= 2864)
                    : c <= 2867)
                  : (c <= 2873 || (c < 2887
                    ? (c >= 2876 && c <= 2884)
                    : c <= 2888)))
                : (c <= 2893 || (c < 2911
                  ? (c < 2908
                    ? (c >= 2901 && c <= 2903)
                    : c <= 2909)
                  : (c <= 2915 || (c < 2929
                    ? (c >= 2918 && c <= 2927)
                    : c <= 2929)))))))
            : (c <= 2947 || (c < 3018
              ? (c < 2974
                ? (c < 2962
                  ? (c < 2958
                    ? (c >= 2949 && c <= 2954)
                    : c <= 2960)
                  : (c <= 2965 || (c < 2972
                    ? (c >= 2969 && c <= 2970)
                    : c <= 2972)))
                : (c <= 2975 || (c < 2990
                  ? (c < 2984
                    ? (c >= 2979 && c <= 2980)
                    : c <= 2986)
                  : (c <= 3001 || (c < 3014
                    ? (c >= 3006 && c <= 3010)
                    : c <= 3016)))))
              : (c <= 3021 || (c < 3090
                ? (c < 3046
                  ? (c < 3031
                    ? c == 3024
                    : c <= 3031)
                  : (c <= 3055 || (c < 3086
                    ? (c >= 3072 && c <= 3084)
                    : c <= 3088)))
                : (c <= 3112 || (c < 3142
                  ? (c < 3132
                    ? (c >= 3114 && c <= 3129)
                    : c <= 3140)
                  : (c <= 3144 || (c < 3157
                    ? (c >= 3146 && c <= 3149)
                    : c <= 3158)))))))))
          : (c <= 3162 || (c < 3423
            ? (c < 3274
              ? (c < 3214
                ? (c < 3174
                  ? (c < 3168
                    ? c == 3165
                    : c <= 3171)
                  : (c <= 3183 || (c < 3205
                    ? (c >= 3200 && c <= 3203)
                    : c <= 3212)))
                : (c <= 3216 || (c < 3253
                  ? (c < 3242
                    ? (c >= 3218 && c <= 3240)
                    : c <= 3251)
                  : (c <= 3257 || (c < 3270
                    ? (c >= 3260 && c <= 3268)
                    : c <= 3272)))))
              : (c <= 3277 || (c < 3328
                ? (c < 3296
                  ? (c < 3293
                    ? (c >= 3285 && c <= 3286)
                    : c <= 3294)
                  : (c <= 3299 || (c < 3313
                    ? (c >= 3302 && c <= 3311)
                    : c <= 3314)))
                : (c <= 3340 || (c < 3398
                  ? (c < 3346
                    ? (c >= 3342 && c <= 3344)
                    : c <= 3396)
                  : (c <= 3400 || (c < 3412
                    ? (c >= 3402 && c <= 3406)
                    : c <= 3415)))))))
            : (c <= 3427 || (c < 3544
              ? (c < 3507
                ? (c < 3457
                  ? (c < 3450
                    ? (c >= 3430 && c <= 3439)
                    : c <= 3455)
                  : (c <= 3459 || (c < 3482
                    ? (c >= 3461 && c <= 3478)
                    : c <= 3505)))
                : (c <= 3515 || (c < 3530
                  ? (c < 3520
                    ? c == 3517
                    : c <= 3526)
                  : (c <= 3530 || (c < 3542
                    ? (c >= 3535 && c <= 3540)
                    : c <= 3542)))))
              : (c <= 3551 || (c < 3713
                ? (c < 3585
                  ? (c < 3570
                    ? (c >= 3558 && c <= 3567)
                    : c <= 3571)
                  : (c <= 3642 || (c < 3664
                    ? (c >= 3648 && c <= 3662)
                    : c <= 3673)))
                : (c <= 3714 || (c < 3724
                  ? (c < 3718
                    ? c == 3716
                    : c <= 3722)
                  : (c <= 3747 || (c < 3751
                    ? c == 3749
                    : c <= 3773)))))))))))))
      : (c <= 3780 || (c < 8016
        ? (c < 5870
          ? (c < 4682
            ? (c < 3913
              ? (c < 3864
                ? (c < 3792
                  ? (c < 3784
                    ? c == 3782
                    : c <= 3789)
                  : (c <= 3801 || (c < 3840
                    ? (c >= 3804 && c <= 3807)
                    : c <= 3840)))
                : (c <= 3865 || (c < 3895
                  ? (c < 3893
                    ? (c >= 3872 && c <= 3881)
                    : c <= 3893)
                  : (c <= 3895 || (c < 3902
                    ? c == 3897
                    : c <= 3911)))))
              : (c <= 3948 || (c < 4176
                ? (c < 3993
                  ? (c < 3974
                    ? (c >= 3953 && c <= 3972)
                    : c <= 3991)
                  : (c <= 4028 || (c < 4096
                    ? c == 4038
                    : c <= 4169)))
                : (c <= 4253 || (c < 4301
                  ? (c < 4295
                    ? (c >= 4256 && c <= 4293)
                    : c <= 4295)
                  : (c <= 4301 || (c < 4348
                    ? (c >= 4304 && c <= 4346)
                    : c <= 4680)))))))
            : (c <= 4685 || (c < 4824
              ? (c < 4752
                ? (c < 4698
                  ? (c < 4696
                    ? (c >= 4688 && c <= 4694)
                    : c <= 4696)
                  : (c <= 4701 || (c < 4746
                    ? (c >= 4704 && c <= 4744)
                    : c <= 4749)))
                : (c <= 4784 || (c < 4800
                  ? (c < 4792
                    ? (c >= 4786 && c <= 4789)
                    : c <= 4798)
                  : (c <= 4800 || (c < 4808
                    ? (c >= 4802 && c <= 4805)
                    : c <= 4822)))))
              : (c <= 4880 || (c < 5024
                ? (c < 4957
                  ? (c < 4888
                    ? (c >= 4882 && c <= 4885)
                    : c <= 4954)
                  : (c <= 4959 || (c < 4992
                    ? (c >= 4969 && c <= 4977)
                    : c <= 5007)))
                : (c <= 5109 || (c < 5743
                  ? (c < 5121
                    ? (c >= 5112 && c <= 5117)
                    : c <= 5740)
                  : (c <= 5759 || (c < 5792
                    ? (c >= 5761 && c <= 5786)
                    : c <= 5866)))))))))
          : (c <= 5880 || (c < 6656
            ? (c < 6159
              ? (c < 6002
                ? (c < 5952
                  ? (c < 5919
                    ? (c >= 5888 && c <= 5909)
                    : c <= 5940)
                  : (c <= 5971 || (c < 5998
                    ? (c >= 5984 && c <= 5996)
                    : c <= 6000)))
                : (c <= 6003 || (c < 6108
                  ? (c < 6103
                    ? (c >= 6016 && c <= 6099)
                    : c <= 6103)
                  : (c <= 6109 || (c < 6155
                    ? (c >= 6112 && c <= 6121)
                    : c <= 6157)))))
              : (c <= 6169 || (c < 6448
                ? (c < 6320
                  ? (c < 6272
                    ? (c >= 6176 && c <= 6264)
                    : c <= 6314)
                  : (c <= 6389 || (c < 6432
                    ? (c >= 6400 && c <= 6430)
                    : c <= 6443)))
                : (c <= 6459 || (c < 6528
                  ? (c < 6512
                    ? (c >= 6470 && c <= 6509)
                    : c <= 6516)
                  : (c <= 6571 || (c < 6608
                    ? (c >= 6576 && c <= 6601)
                    : c <= 6618)))))))
            : (c <= 6683 || (c < 7168
              ? (c < 6832
                ? (c < 6783
                  ? (c < 6752
                    ? (c >= 6688 && c <= 6750)
                    : c <= 6780)
                  : (c <= 6793 || (c < 6823
                    ? (c >= 6800 && c <= 6809)
                    : c <= 6823)))
                : (c <= 6845 || (c < 6992
                  ? (c < 6912
                    ? (c >= 6847 && c <= 6862)
                    : c <= 6988)
                  : (c <= 7001 || (c < 7040
                    ? (c >= 7019 && c <= 7027)
                    : c <= 7155)))))
              : (c <= 7223 || (c < 7376
                ? (c < 7296
                  ? (c < 7245
                    ? (c >= 7232 && c <= 7241)
                    : c <= 7293)
                  : (c <= 7304 || (c < 7357
                    ? (c >= 7312 && c <= 7354)
                    : c <= 7359)))
                : (c <= 7378 || (c < 7960
                  ? (c < 7424
                    ? (c >= 7380 && c <= 7418)
                    : c <= 7957)
                  : (c <= 7965 || (c < 8008
                    ? (c >= 7968 && c <= 8005)
                    : c <= 8013)))))))))))
        : (c <= 8023 || (c < 11712
          ? (c < 8455
            ? (c < 8160
              ? (c < 8118
                ? (c < 8029
                  ? (c < 8027
                    ? c == 8025
                    : c <= 8027)
                  : (c <= 8029 || (c < 8064
                    ? (c >= 8031 && c <= 8061)
                    : c <= 8116)))
                : (c <= 8124 || (c < 8134
                  ? (c < 8130
                    ? c == 8126
                    : c <= 8132)
                  : (c <= 8140 || (c < 8150
                    ? (c >= 8144 && c <= 8147)
                    : c <= 8155)))))
              : (c <= 8172 || (c < 8319
                ? (c < 8255
                  ? (c < 8182
                    ? (c >= 8178 && c <= 8180)
                    : c <= 8188)
                  : (c <= 8256 || (c < 8305
                    ? c == 8276
                    : c <= 8305)))
                : (c <= 8319 || (c < 8417
                  ? (c < 8400
                    ? (c >= 8336 && c <= 8348)
                    : c <= 8412)
                  : (c <= 8417 || (c < 8450
                    ? (c >= 8421 && c <= 8432)
                    : c <= 8450)))))))
            : (c <= 8455 || (c < 11264
              ? (c < 8488
                ? (c < 8472
                  ? (c < 8469
                    ? (c >= 8458 && c <= 8467)
                    : c <= 8469)
                  : (c <= 8477 || (c < 8486
                    ? c == 8484
                    : c <= 8486)))
                : (c <= 8488 || (c < 8517
                  ? (c < 8508
                    ? (c >= 8490 && c <= 8505)
                    : c <= 8511)
                  : (c <= 8521 || (c < 8544
                    ? c == 8526
                    : c <= 8584)))))
              : (c <= 11492 || (c < 11631
                ? (c < 11559
                  ? (c < 11520
                    ? (c >= 11499 && c <= 11507)
                    : c <= 11557)
                  : (c <= 11559 || (c < 11568
                    ? c == 11565
                    : c <= 11623)))
                : (c <= 11631 || (c < 11688
                  ? (c < 11680
                    ? (c >= 11647 && c <= 11670)
                    : c <= 11686)
                  : (c <= 11694 || (c < 11704
                    ? (c >= 11696 && c <= 11702)
                    : c <= 11710)))))))))
          : (c <= 11718 || (c < 42612
            ? (c < 12449
              ? (c < 12321
                ? (c < 11736
                  ? (c < 11728
                    ? (c >= 11720 && c <= 11726)
                    : c <= 11734)
                  : (c <= 11742 || (c < 12293
                    ? (c >= 11744 && c <= 11775)
                    : c <= 12295)))
                : (c <= 12335 || (c < 12353
                  ? (c < 12344
                    ? (c >= 12337 && c <= 12341)
                    : c <= 12348)
                  : (c <= 12438 || (c < 12445
                    ? (c >= 12441 && c <= 12442)
                    : c <= 12447)))))
              : (c <= 12538 || (c < 13312
                ? (c < 12593
                  ? (c < 12549
                    ? (c >= 12540 && c <= 12543)
                    : c <= 12591)
                  : (c <= 12686 || (c < 12784
                    ? (c >= 12704 && c <= 12735)
                    : c <= 12799)))
                : (c <= 19903 || (c < 42240
                  ? (c < 42192
                    ? (c >= 19968 && c <= 42124)
                    : c <= 42237)
                  : (c <= 42508 || (c < 42560
                    ? (c >= 42512 && c <= 42539)
                    : c <= 42607)))))))
            : (c <= 42621 || (c < 43216
              ? (c < 42963
                ? (c < 42786
                  ? (c < 42775
                    ? (c >= 42623 && c <= 42737)
                    : c <= 42783)
                  : (c <= 42888 || (c < 42960
                    ? (c >= 42891 && c <= 42954)
                    : c <= 42961)))
                : (c <= 42963 || (c < 43052
                  ? (c < 42994
                    ? (c >= 42965 && c <= 42969)
                    : c <= 43047)
                  : (c <= 43052 || (c < 43136
                    ? (c >= 43072 && c <= 43123)
                    : c <= 43205)))))
              : (c <= 43225 || (c < 43392
                ? (c < 43261
                  ? (c < 43259
                    ? (c >= 43232 && c <= 43255)
                    : c <= 43259)
                  : (c <= 43309 || (c < 43360
                    ? (c >= 43312 && c <= 43347)
                    : c <= 43388)))
                : (c <= 43456 || (c < 43520
                  ? (c < 43488
                    ? (c >= 43471 && c <= 43481)
                    : c <= 43518)
                  : (c <= 43574 || (c >= 43584 && c <= 43597)))))))))))))))
    : (c <= 43609 || (c < 71453
      ? (c < 67594
        ? (c < 65343
          ? (c < 64298
            ? (c < 43868
              ? (c < 43777
                ? (c < 43739
                  ? (c < 43642
                    ? (c >= 43616 && c <= 43638)
                    : c <= 43714)
                  : (c <= 43741 || (c < 43762
                    ? (c >= 43744 && c <= 43759)
                    : c <= 43766)))
                : (c <= 43782 || (c < 43808
                  ? (c < 43793
                    ? (c >= 43785 && c <= 43790)
                    : c <= 43798)
                  : (c <= 43814 || (c < 43824
                    ? (c >= 43816 && c <= 43822)
                    : c <= 43866)))))
              : (c <= 43881 || (c < 55243
                ? (c < 44016
                  ? (c < 44012
                    ? (c >= 43888 && c <= 44010)
                    : c <= 44013)
                  : (c <= 44025 || (c < 55216
                    ? (c >= 44032 && c <= 55203)
                    : c <= 55238)))
                : (c <= 55291 || (c < 64256
                  ? (c < 64112
                    ? (c >= 63744 && c <= 64109)
                    : c <= 64217)
                  : (c <= 64262 || (c < 64285
                    ? (c >= 64275 && c <= 64279)
                    : c <= 64296)))))))
            : (c <= 64310 || (c < 65056
              ? (c < 64467
                ? (c < 64320
                  ? (c < 64318
                    ? (c >= 64312 && c <= 64316)
                    : c <= 64318)
                  : (c <= 64321 || (c < 64326
                    ? (c >= 64323 && c <= 64324)
                    : c <= 64433)))
                : (c <= 64605 || (c < 64914
                  ? (c < 64848
                    ? (c >= 64612 && c <= 64829)
                    : c <= 64911)
                  : (c <= 64967 || (c < 65024
                    ? (c >= 65008 && c <= 65017)
                    : c <= 65039)))))
              : (c <= 65071 || (c < 65145
                ? (c < 65137
                  ? (c < 65101
                    ? (c >= 65075 && c <= 65076)
                    : c <= 65103)
                  : (c <= 65137 || (c < 65143
                    ? c == 65139
                    : c <= 65143)))
                : (c <= 65145 || (c < 65151
                  ? (c < 65149
                    ? c == 65147
                    : c <= 65149)
                  : (c <= 65276 || (c < 65313
                    ? (c >= 65296 && c <= 65305)
                    : c <= 65338)))))))))
          : (c <= 65343 || (c < 66504
            ? (c < 65616
              ? (c < 65498
                ? (c < 65474
                  ? (c < 65382
                    ? (c >= 65345 && c <= 65370)
                    : c <= 65470)
                  : (c <= 65479 || (c < 65490
                    ? (c >= 65482 && c <= 65487)
                    : c <= 65495)))
                : (c <= 65500 || (c < 65576
                  ? (c < 65549
                    ? (c >= 65536 && c <= 65547)
                    : c <= 65574)
                  : (c <= 65594 || (c < 65599
                    ? (c >= 65596 && c <= 65597)
                    : c <= 65613)))))
              : (c <= 65629 || (c < 66272
                ? (c < 66045
                  ? (c < 65856
                    ? (c >= 65664 && c <= 65786)
                    : c <= 65908)
                  : (c <= 66045 || (c < 66208
                    ? (c >= 66176 && c <= 66204)
                    : c <= 66256)))
                : (c <= 66272 || (c < 66384
                  ? (c < 66349
                    ? (c >= 66304 && c <= 66335)
                    : c <= 66378)
                  : (c <= 66426 || (c < 66464
                    ? (c >= 66432 && c <= 66461)
                    : c <= 66499)))))))
            : (c <= 66511 || (c < 66967
              ? (c < 66816
                ? (c < 66720
                  ? (c < 66560
                    ? (c >= 66513 && c <= 66517)
                    : c <= 66717)
                  : (c <= 66729 || (c < 66776
                    ? (c >= 66736 && c <= 66771)
                    : c <= 66811)))
                : (c <= 66855 || (c < 66940
                  ? (c < 66928
                    ? (c >= 66864 && c <= 66915)
                    : c <= 66938)
                  : (c <= 66954 || (c < 66964
                    ? (c >= 66956 && c <= 66962)
                    : c <= 66965)))))
              : (c <= 66977 || (c < 67424
                ? (c < 67003
                  ? (c < 66995
                    ? (c >= 66979 && c <= 66993)
                    : c <= 67001)
                  : (c <= 67004 || (c < 67392
                    ? (c >= 67072 && c <= 67382)
                    : c <= 67413)))
                : (c <= 67431 || (c < 67506
                  ? (c < 67463
                    ? (c >= 67456 && c <= 67461)
                    : c <= 67504)
                  : (c <= 67514 || (c < 67592
                    ? (c >= 67584 && c <= 67589)
                    : c <= 67592)))))))))))
        : (c <= 67637 || (c < 69942
          ? (c < 68416
            ? (c < 68096
              ? (c < 67808
                ? (c < 67647
                  ? (c < 67644
                    ? (c >= 67639 && c <= 67640)
                    : c <= 67644)
                  : (c <= 67669 || (c < 67712
                    ? (c >= 67680 && c <= 67702)
                    : c <= 67742)))
                : (c <= 67826 || (c < 67872
                  ? (c < 67840
                    ? (c >= 67828 && c <= 67829)
                    : c <= 67861)
                  : (c <= 67897 || (c < 68030
                    ? (c >= 67968 && c <= 68023)
                    : c <= 68031)))))
              : (c <= 68099 || (c < 68159
                ? (c < 68117
                  ? (c < 68108
                    ? (c >= 68101 && c <= 68102)
                    : c <= 68115)
                  : (c <= 68119 || (c < 68152
                    ? (c >= 68121 && c <= 68149)
                    : c <= 68154)))
                : (c <= 68159 || (c < 68288
                  ? (c < 68224
                    ? (c >= 68192 && c <= 68220)
                    : c <= 68252)
                  : (c <= 68295 || (c < 68352
                    ? (c >= 68297 && c <= 68326)
                    : c <= 68405)))))))
            : (c <= 68437 || (c < 69415
              ? (c < 68864
                ? (c < 68608
                  ? (c < 68480
                    ? (c >= 68448 && c <= 68466)
                    : c <= 68497)
                  : (c <= 68680 || (c < 68800
                    ? (c >= 68736 && c <= 68786)
                    : c <= 68850)))
                : (c <= 68903 || (c < 69291
                  ? (c < 69248
                    ? (c >= 68912 && c <= 68921)
                    : c <= 69289)
                  : (c <= 69292 || (c < 69376
                    ? (c >= 69296 && c <= 69297)
                    : c <= 69404)))))
              : (c <= 69415 || (c < 69734
                ? (c < 69552
                  ? (c < 69488
                    ? (c >= 69424 && c <= 69456)
                    : c <= 69509)
                  : (c <= 69572 || (c < 69632
                    ? (c >= 69600 && c <= 69622)
                    : c <= 69702)))
                : (c <= 69749 || (c < 69840
                  ? (c < 69826
                    ? (c >= 69759 && c <= 69818)
                    : c <= 69826)
                  : (c <= 69864 || (c < 69888
                    ? (c >= 69872 && c <= 69881)
                    : c <= 69940)))))))))
          : (c <= 69951 || (c < 70453
            ? (c < 70280
              ? (c < 70094
                ? (c < 70006
                  ? (c < 69968
                    ? (c >= 69956 && c <= 69959)
                    : c <= 70003)
                  : (c <= 70006 || (c < 70089
                    ? (c >= 70016 && c <= 70084)
                    : c <= 70092)))
                : (c <= 70106 || (c < 70163
                  ? (c < 70144
                    ? c == 70108
                    : c <= 70161)
                  : (c <= 70199 || (c < 70272
                    ? c == 70206
                    : c <= 70278)))))
              : (c <= 70280 || (c < 70400
                ? (c < 70303
                  ? (c < 70287
                    ? (c >= 70282 && c <= 70285)
                    : c <= 70301)
                  : (c <= 70312 || (c < 70384
                    ? (c >= 70320 && c <= 70378)
                    : c <= 70393)))
                : (c <= 70403 || (c < 70419
                  ? (c < 70415
                    ? (c >= 70405 && c <= 70412)
                    : c <= 70416)
                  : (c <= 70440 || (c < 70450
                    ? (c >= 70442 && c <= 70448)
                    : c <= 70451)))))))
            : (c <= 70457 || (c < 70784
              ? (c < 70493
                ? (c < 70475
                  ? (c < 70471
                    ? (c >= 70459 && c <= 70468)
                    : c <= 70472)
                  : (c <= 70477 || (c < 70487
                    ? c == 70480
                    : c <= 70487)))
                : (c <= 70499 || (c < 70656
                  ? (c < 70512
                    ? (c >= 70502 && c <= 70508)
                    : c <= 70516)
                  : (c <= 70730 || (c < 70750
                    ? (c >= 70736 && c <= 70745)
                    : c <= 70753)))))
              : (c <= 70853 || (c < 71168
                ? (c < 71040
                  ? (c < 70864
                    ? c == 70855
                    : c <= 70873)
                  : (c <= 71093 || (c < 71128
                    ? (c >= 71096 && c <= 71104)
                    : c <= 71133)))
                : (c <= 71232 || (c < 71296
                  ? (c < 71248
                    ? c == 71236
                    : c <= 71257)
                  : (c <= 71352 || (c < 71424
                    ? (c >= 71360 && c <= 71369)
                    : c <= 71450)))))))))))))
      : (c <= 71467 || (c < 119973
        ? (c < 77824
          ? (c < 72760
            ? (c < 72016
              ? (c < 71945
                ? (c < 71680
                  ? (c < 71488
                    ? (c >= 71472 && c <= 71481)
                    : c <= 71494)
                  : (c <= 71738 || (c < 71935
                    ? (c >= 71840 && c <= 71913)
                    : c <= 71942)))
                : (c <= 71945 || (c < 71960
                  ? (c < 71957
                    ? (c >= 71948 && c <= 71955)
                    : c <= 71958)
                  : (c <= 71989 || (c < 71995
                    ? (c >= 71991 && c <= 71992)
                    : c <= 72003)))))
              : (c <= 72025 || (c < 72263
                ? (c < 72154
                  ? (c < 72106
                    ? (c >= 72096 && c <= 72103)
                    : c <= 72151)
                  : (c <= 72161 || (c < 72192
                    ? (c >= 72163 && c <= 72164)
                    : c <= 72254)))
                : (c <= 72263 || (c < 72368
                  ? (c < 72349
                    ? (c >= 72272 && c <= 72345)
                    : c <= 72349)
                  : (c <= 72440 || (c < 72714
                    ? (c >= 72704 && c <= 72712)
                    : c <= 72758)))))))
            : (c <= 72768 || (c < 73056
              ? (c < 72968
                ? (c < 72850
                  ? (c < 72818
                    ? (c >= 72784 && c <= 72793)
                    : c <= 72847)
                  : (c <= 72871 || (c < 72960
                    ? (c >= 72873 && c <= 72886)
                    : c <= 72966)))
                : (c <= 72969 || (c < 73020
                  ? (c < 73018
                    ? (c >= 72971 && c <= 73014)
                    : c <= 73018)
                  : (c <= 73021 || (c < 73040
                    ? (c >= 73023 && c <= 73031)
                    : c <= 73049)))))
              : (c <= 73061 || (c < 73440
                ? (c < 73104
                  ? (c < 73066
                    ? (c >= 73063 && c <= 73064)
                    : c <= 73102)
                  : (c <= 73105 || (c < 73120
                    ? (c >= 73107 && c <= 73112)
                    : c <= 73129)))
                : (c <= 73462 || (c < 74752
                  ? (c < 73728
                    ? c == 73648
                    : c <= 74649)
                  : (c <= 74862 || (c < 77712
                    ? (c >= 74880 && c <= 75075)
                    : c <= 77808)))))))))
          : (c <= 78894 || (c < 110576
            ? (c < 93027
              ? (c < 92864
                ? (c < 92736
                  ? (c < 92160
                    ? (c >= 82944 && c <= 83526)
                    : c <= 92728)
                  : (c <= 92766 || (c < 92784
                    ? (c >= 92768 && c <= 92777)
                    : c <= 92862)))
                : (c <= 92873 || (c < 92928
                  ? (c < 92912
                    ? (c >= 92880 && c <= 92909)
                    : c <= 92916)
                  : (c <= 92982 || (c < 93008
                    ? (c >= 92992 && c <= 92995)
                    : c <= 93017)))))
              : (c <= 93047 || (c < 94176
                ? (c < 93952
                  ? (c < 93760
                    ? (c >= 93053 && c <= 93071)
                    : c <= 93823)
                  : (c <= 94026 || (c < 94095
                    ? (c >= 94031 && c <= 94087)
                    : c <= 94111)))
                : (c <= 94177 || (c < 94208
                  ? (c < 94192
                    ? (c >= 94179 && c <= 94180)
                    : c <= 94193)
                  : (c <= 100343 || (c < 101632
                    ? (c >= 100352 && c <= 101589)
                    : c <= 101640)))))))
            : (c <= 110579 || (c < 118528
              ? (c < 110960
                ? (c < 110592
                  ? (c < 110589
                    ? (c >= 110581 && c <= 110587)
                    : c <= 110590)
                  : (c <= 110882 || (c < 110948
                    ? (c >= 110928 && c <= 110930)
                    : c <= 110951)))
                : (c <= 111355 || (c < 113792
                  ? (c < 113776
                    ? (c >= 113664 && c <= 113770)
                    : c <= 113788)
                  : (c <= 113800 || (c < 113821
                    ? (c >= 113808 && c <= 113817)
                    : c <= 113822)))))
              : (c <= 118573 || (c < 119210
                ? (c < 119149
                  ? (c < 119141
                    ? (c >= 118576 && c <= 118598)
                    : c <= 119145)
                  : (c <= 119154 || (c < 119173
                    ? (c >= 119163 && c <= 119170)
                    : c <= 119179)))
                : (c <= 119213 || (c < 119894
                  ? (c < 119808
                    ? (c >= 119362 && c <= 119364)
                    : c <= 119892)
                  : (c <= 119964 || (c < 119970
                    ? (c >= 119966 && c <= 119967)
                    : c <= 119970)))))))))))
        : (c <= 119974 || (c < 124912
          ? (c < 120746
            ? (c < 120134
              ? (c < 120071
                ? (c < 119995
                  ? (c < 119982
                    ? (c >= 119977 && c <= 119980)
                    : c <= 119993)
                  : (c <= 119995 || (c < 120005
                    ? (c >= 119997 && c <= 120003)
                    : c <= 120069)))
                : (c <= 120074 || (c < 120094
                  ? (c < 120086
                    ? (c >= 120077 && c <= 120084)
                    : c <= 120092)
                  : (c <= 120121 || (c < 120128
                    ? (c >= 120123 && c <= 120126)
                    : c <= 120132)))))
              : (c <= 120134 || (c < 120572
                ? (c < 120488
                  ? (c < 120146
                    ? (c >= 120138 && c <= 120144)
                    : c <= 120485)
                  : (c <= 120512 || (c < 120540
                    ? (c >= 120514 && c <= 120538)
                    : c <= 120570)))
                : (c <= 120596 || (c < 120656
                  ? (c < 120630
                    ? (c >= 120598 && c <= 120628)
                    : c <= 120654)
                  : (c <= 120686 || (c < 120714
                    ? (c >= 120688 && c <= 120712)
                    : c <= 120744)))))))
            : (c <= 120770 || (c < 122907
              ? (c < 121476
                ? (c < 121344
                  ? (c < 120782
                    ? (c >= 120772 && c <= 120779)
                    : c <= 120831)
                  : (c <= 121398 || (c < 121461
                    ? (c >= 121403 && c <= 121452)
                    : c <= 121461)))
                : (c <= 121476 || (c < 122624
                  ? (c < 121505
                    ? (c >= 121499 && c <= 121503)
                    : c <= 121519)
                  : (c <= 122654 || (c < 122888
                    ? (c >= 122880 && c <= 122886)
                    : c <= 122904)))))
              : (c <= 122913 || (c < 123214
                ? (c < 123136
                  ? (c < 122918
                    ? (c >= 122915 && c <= 122916)
                    : c <= 122922)
                  : (c <= 123180 || (c < 123200
                    ? (c >= 123184 && c <= 123197)
                    : c <= 123209)))
                : (c <= 123214 || (c < 124896
                  ? (c < 123584
                    ? (c >= 123536 && c <= 123566)
                    : c <= 123641)
                  : (c <= 124902 || (c < 124909
                    ? (c >= 124904 && c <= 124907)
                    : c <= 124910)))))))))
          : (c <= 124926 || (c < 126557
            ? (c < 126521
              ? (c < 126469
                ? (c < 125184
                  ? (c < 125136
                    ? (c >= 124928 && c <= 125124)
                    : c <= 125142)
                  : (c <= 125259 || (c < 126464
                    ? (c >= 125264 && c <= 125273)
                    : c <= 126467)))
                : (c <= 126495 || (c < 126503
                  ? (c < 126500
                    ? (c >= 126497 && c <= 126498)
                    : c <= 126500)
                  : (c <= 126503 || (c < 126516
                    ? (c >= 126505 && c <= 126514)
                    : c <= 126519)))))
              : (c <= 126521 || (c < 126541
                ? (c < 126535
                  ? (c < 126530
                    ? c == 126523
                    : c <= 126530)
                  : (c <= 126535 || (c < 126539
                    ? c == 126537
                    : c <= 126539)))
                : (c <= 126543 || (c < 126551
                  ? (c < 126548
                    ? (c >= 126545 && c <= 126546)
                    : c <= 126548)
                  : (c <= 126551 || (c < 126555
                    ? c == 126553
                    : c <= 126555)))))))
            : (c <= 126557 || (c < 126629
              ? (c < 126580
                ? (c < 126564
                  ? (c < 126561
                    ? c == 126559
                    : c <= 126562)
                  : (c <= 126564 || (c < 126572
                    ? (c >= 126567 && c <= 126570)
                    : c <= 126578)))
                : (c <= 126583 || (c < 126592
                  ? (c < 126590
                    ? (c >= 126585 && c <= 126588)
                    : c <= 126590)
                  : (c <= 126601 || (c < 126625
                    ? (c >= 126603 && c <= 126619)
                    : c <= 126627)))))
              : (c <= 126633 || (c < 178208
                ? (c < 131072
                  ? (c < 130032
                    ? (c >= 126635 && c <= 126651)
                    : c <= 130041)
                  : (c <= 173791 || (c < 177984
                    ? (c >= 173824 && c <= 177976)
                    : c <= 178205)))
                : (c <= 183969 || (c < 196608
                  ? (c < 194560
                    ? (c >= 183984 && c <= 191456)
                    : c <= 195101)
                  : (c <= 201546 || (c >= 917760 && c <= 917999)))))))))))))))));
}

static inline bool sym_identifier_character_set_29(int32_t c) {
  return (c < 43600
    ? (c < 3776
      ? (c < 2738
        ? (c < 1984
          ? (c < 910
            ? (c < 216
              ? (c < 'g'
                ? (c < 'A'
                  ? (c < '0'
                    ? c == '$'
                    : c <= '9')
                  : (c <= 'Z' || (c < 'a'
                    ? c == '_'
                    : c <= 'e')))
                : (c <= 'z' || (c < 183
                  ? (c < 181
                    ? c == 170
                    : c <= 181)
                  : (c <= 183 || (c < 192
                    ? c == 186
                    : c <= 214)))))
              : (c <= 246 || (c < 768
                ? (c < 736
                  ? (c < 710
                    ? (c >= 248 && c <= 705)
                    : c <= 721)
                  : (c <= 740 || (c < 750
                    ? c == 748
                    : c <= 750)))
                : (c <= 884 || (c < 895
                  ? (c < 891
                    ? (c >= 886 && c <= 887)
                    : c <= 893)
                  : (c <= 895 || (c < 908
                    ? (c >= 902 && c <= 906)
                    : c <= 908)))))))
            : (c <= 929 || (c < 1479
              ? (c < 1369
                ? (c < 1155
                  ? (c < 1015
                    ? (c >= 931 && c <= 1013)
                    : c <= 1153)
                  : (c <= 1159 || (c < 1329
                    ? (c >= 1162 && c <= 1327)
                    : c <= 1366)))
                : (c <= 1369 || (c < 1471
                  ? (c < 1425
                    ? (c >= 1376 && c <= 1416)
                    : c <= 1469)
                  : (c <= 1471 || (c < 1476
                    ? (c >= 1473 && c <= 1474)
                    : c <= 1477)))))
              : (c <= 1479 || (c < 1749
                ? (c < 1552
                  ? (c < 1519
                    ? (c >= 1488 && c <= 1514)
                    : c <= 1522)
                  : (c <= 1562 || (c < 1646
                    ? (c >= 1568 && c <= 1641)
                    : c <= 1747)))
                : (c <= 1756 || (c < 1791
                  ? (c < 1770
                    ? (c >= 1759 && c <= 1768)
                    : c <= 1788)
                  : (c <= 1791 || (c < 1869
                    ? (c >= 1808 && c <= 1866)
                    : c <= 1969)))))))))
          : (c <= 2037 || (c < 2534
            ? (c < 2437
              ? (c < 2160
                ? (c < 2048
                  ? (c < 2045
                    ? c == 2042
                    : c <= 2045)
                  : (c <= 2093 || (c < 2144
                    ? (c >= 2112 && c <= 2139)
                    : c <= 2154)))
                : (c <= 2183 || (c < 2275
                  ? (c < 2200
                    ? (c >= 2185 && c <= 2190)
                    : c <= 2273)
                  : (c <= 2403 || (c < 2417
                    ? (c >= 2406 && c <= 2415)
                    : c <= 2435)))))
              : (c <= 2444 || (c < 2492
                ? (c < 2474
                  ? (c < 2451
                    ? (c >= 2447 && c <= 2448)
                    : c <= 2472)
                  : (c <= 2480 || (c < 2486
                    ? c == 2482
                    : c <= 2489)))
                : (c <= 2500 || (c < 2519
                  ? (c < 2507
                    ? (c >= 2503 && c <= 2504)
                    : c <= 2510)
                  : (c <= 2519 || (c < 2527
                    ? (c >= 2524 && c <= 2525)
                    : c <= 2531)))))))
            : (c <= 2545 || (c < 2622
              ? (c < 2579
                ? (c < 2561
                  ? (c < 2558
                    ? c == 2556
                    : c <= 2558)
                  : (c <= 2563 || (c < 2575
                    ? (c >= 2565 && c <= 2570)
                    : c <= 2576)))
                : (c <= 2600 || (c < 2613
                  ? (c < 2610
                    ? (c >= 2602 && c <= 2608)
                    : c <= 2611)
                  : (c <= 2614 || (c < 2620
                    ? (c >= 2616 && c <= 2617)
                    : c <= 2620)))))
              : (c <= 2626 || (c < 2662
                ? (c < 2641
                  ? (c < 2635
                    ? (c >= 2631 && c <= 2632)
                    : c <= 2637)
                  : (c <= 2641 || (c < 2654
                    ? (c >= 2649 && c <= 2652)
                    : c <= 2654)))
                : (c <= 2677 || (c < 2703
                  ? (c < 2693
                    ? (c >= 2689 && c <= 2691)
                    : c <= 2701)
                  : (c <= 2705 || (c < 2730
                    ? (c >= 2707 && c <= 2728)
                    : c <= 2736)))))))))))
        : (c <= 2739 || (c < 3160
          ? (c < 2946
            ? (c < 2835
              ? (c < 2784
                ? (c < 2759
                  ? (c < 2748
                    ? (c >= 2741 && c <= 2745)
                    : c <= 2757)
                  : (c <= 2761 || (c < 2768
                    ? (c >= 2763 && c <= 2765)
                    : c <= 2768)))
                : (c <= 2787 || (c < 2817
                  ? (c < 2809
                    ? (c >= 2790 && c <= 2799)
                    : c <= 2815)
                  : (c <= 2819 || (c < 2831
                    ? (c >= 2821 && c <= 2828)
                    : c <= 2832)))))
              : (c <= 2856 || (c < 2891
                ? (c < 2869
                  ? (c < 2866
                    ? (c >= 2858 && c <= 2864)
                    : c <= 2867)
                  : (c <= 2873 || (c < 2887
                    ? (c >= 2876 && c <= 2884)
                    : c <= 2888)))
                : (c <= 2893 || (c < 2911
                  ? (c < 2908
                    ? (c >= 2901 && c <= 2903)
                    : c <= 2909)
                  : (c <= 2915 || (c < 2929
                    ? (c >= 2918 && c <= 2927)
                    : c <= 2929)))))))
            : (c <= 2947 || (c < 3018
              ? (c < 2974
                ? (c < 2962
                  ? (c < 2958
                    ? (c >= 2949 && c <= 2954)
                    : c <= 2960)
                  : (c <= 2965 || (c < 2972
                    ? (c >= 2969 && c <= 2970)
                    : c <= 2972)))
                : (c <= 2975 || (c < 2990
                  ? (c < 2984
                    ? (c >= 2979 && c <= 2980)
                    : c <= 2986)
                  : (c <= 3001 || (c < 3014
                    ? (c >= 3006 && c <= 3010)
                    : c <= 3016)))))
              : (c <= 3021 || (c < 3090
                ? (c < 3046
                  ? (c < 3031
                    ? c == 3024
                    : c <= 3031)
                  : (c <= 3055 || (c < 3086
                    ? (c >= 3072 && c <= 3084)
                    : c <= 3088)))
                : (c <= 3112 || (c < 3142
                  ? (c < 3132
                    ? (c >= 3114 && c <= 3129)
                    : c <= 3140)
                  : (c <= 3144 || (c < 3157
                    ? (c >= 3146 && c <= 3149)
                    : c <= 3158)))))))))
          : (c <= 3162 || (c < 3423
            ? (c < 3274
              ? (c < 3214
                ? (c < 3174
                  ? (c < 3168
                    ? c == 3165
                    : c <= 3171)
                  : (c <= 3183 || (c < 3205
                    ? (c >= 3200 && c <= 3203)
                    : c <= 3212)))
                : (c <= 3216 || (c < 3253
                  ? (c < 3242
                    ? (c >= 3218 && c <= 3240)
                    : c <= 3251)
                  : (c <= 3257 || (c < 3270
                    ? (c >= 3260 && c <= 3268)
                    : c <= 3272)))))
              : (c <= 3277 || (c < 3328
                ? (c < 3296
                  ? (c < 3293
                    ? (c >= 3285 && c <= 3286)
                    : c <= 3294)
                  : (c <= 3299 || (c < 3313
                    ? (c >= 3302 && c <= 3311)
                    : c <= 3314)))
                : (c <= 3340 || (c < 3398
                  ? (c < 3346
                    ? (c >= 3342 && c <= 3344)
                    : c <= 3396)
                  : (c <= 3400 || (c < 3412
                    ? (c >= 3402 && c <= 3406)
                    : c <= 3415)))))))
            : (c <= 3427 || (c < 3544
              ? (c < 3507
                ? (c < 3457
                  ? (c < 3450
                    ? (c >= 3430 && c <= 3439)
                    : c <= 3455)
                  : (c <= 3459 || (c < 3482
                    ? (c >= 3461 && c <= 3478)
                    : c <= 3505)))
                : (c <= 3515 || (c < 3530
                  ? (c < 3520
                    ? c == 3517
                    : c <= 3526)
                  : (c <= 3530 || (c < 3542
                    ? (c >= 3535 && c <= 3540)
                    : c <= 3542)))))
              : (c <= 3551 || (c < 3713
                ? (c < 3585
                  ? (c < 3570
                    ? (c >= 3558 && c <= 3567)
                    : c <= 3571)
                  : (c <= 3642 || (c < 3664
                    ? (c >= 3648 && c <= 3662)
                    : c <= 3673)))
                : (c <= 3714 || (c < 3724
                  ? (c < 3718
                    ? c == 3716
                    : c <= 3722)
                  : (c <= 3747 || (c < 3751
                    ? c == 3749
                    : c <= 3773)))))))))))))
      : (c <= 3780 || (c < 8016
        ? (c < 5870
          ? (c < 4682
            ? (c < 3913
              ? (c < 3864
                ? (c < 3792
                  ? (c < 3784
                    ? c == 3782
                    : c <= 3789)
                  : (c <= 3801 || (c < 3840
                    ? (c >= 3804 && c <= 3807)
                    : c <= 3840)))
                : (c <= 3865 || (c < 3895
                  ? (c < 3893
                    ? (c >= 3872 && c <= 3881)
                    : c <= 3893)
                  : (c <= 3895 || (c < 3902
                    ? c == 3897
                    : c <= 3911)))))
              : (c <= 3948 || (c < 4176
                ? (c < 3993
                  ? (c < 3974
                    ? (c >= 3953 && c <= 3972)
                    : c <= 3991)
                  : (c <= 4028 || (c < 4096
                    ? c == 4038
                    : c <= 4169)))
                : (c <= 4253 || (c < 4301
                  ? (c < 4295
                    ? (c >= 4256 && c <= 4293)
                    : c <= 4295)
                  : (c <= 4301 || (c < 4348
                    ? (c >= 4304 && c <= 4346)
                    : c <= 4680)))))))
            : (c <= 4685 || (c < 4824
              ? (c < 4752
                ? (c < 4698
                  ? (c < 4696
                    ? (c >= 4688 && c <= 4694)
                    : c <= 4696)
                  : (c <= 4701 || (c < 4746
                    ? (c >= 4704 && c <= 4744)
                    : c <= 4749)))
                : (c <= 4784 || (c < 4800
                  ? (c < 4792
                    ? (c >= 4786 && c <= 4789)
                    : c <= 4798)
                  : (c <= 4800 || (c < 4808
                    ? (c >= 4802 && c <= 4805)
                    : c <= 4822)))))
              : (c <= 4880 || (c < 5024
                ? (c < 4957
                  ? (c < 4888
                    ? (c >= 4882 && c <= 4885)
                    : c <= 4954)
                  : (c <= 4959 || (c < 4992
                    ? (c >= 4969 && c <= 4977)
                    : c <= 5007)))
                : (c <= 5109 || (c < 5743
                  ? (c < 5121
                    ? (c >= 5112 && c <= 5117)
                    : c <= 5740)
                  : (c <= 5759 || (c < 5792
                    ? (c >= 5761 && c <= 5786)
                    : c <= 5866)))))))))
          : (c <= 5880 || (c < 6656
            ? (c < 6159
              ? (c < 6002
                ? (c < 5952
                  ? (c < 5919
                    ? (c >= 5888 && c <= 5909)
                    : c <= 5940)
                  : (c <= 5971 || (c < 5998
                    ? (c >= 5984 && c <= 5996)
                    : c <= 6000)))
                : (c <= 6003 || (c < 6108
                  ? (c < 6103
                    ? (c >= 6016 && c <= 6099)
                    : c <= 6103)
                  : (c <= 6109 || (c < 6155
                    ? (c >= 6112 && c <= 6121)
                    : c <= 6157)))))
              : (c <= 6169 || (c < 6448
                ? (c < 6320
                  ? (c < 6272
                    ? (c >= 6176 && c <= 6264)
                    : c <= 6314)
                  : (c <= 6389 || (c < 6432
                    ? (c >= 6400 && c <= 6430)
                    : c <= 6443)))
                : (c <= 6459 || (c < 6528
                  ? (c < 6512
                    ? (c >= 6470 && c <= 6509)
                    : c <= 6516)
                  : (c <= 6571 || (c < 6608
                    ? (c >= 6576 && c <= 6601)
                    : c <= 6618)))))))
            : (c <= 6683 || (c < 7168
              ? (c < 6832
                ? (c < 6783
                  ? (c < 6752
                    ? (c >= 6688 && c <= 6750)
                    : c <= 6780)
                  : (c <= 6793 || (c < 6823
                    ? (c >= 6800 && c <= 6809)
                    : c <= 6823)))
                : (c <= 6845 || (c < 6992
                  ? (c < 6912
                    ? (c >= 6847 && c <= 6862)
                    : c <= 6988)
                  : (c <= 7001 || (c < 7040
                    ? (c >= 7019 && c <= 7027)
                    : c <= 7155)))))
              : (c <= 7223 || (c < 7376
                ? (c < 7296
                  ? (c < 7245
                    ? (c >= 7232 && c <= 7241)
                    : c <= 7293)
                  : (c <= 7304 || (c < 7357
                    ? (c >= 7312 && c <= 7354)
                    : c <= 7359)))
                : (c <= 7378 || (c < 7960
                  ? (c < 7424
                    ? (c >= 7380 && c <= 7418)
                    : c <= 7957)
                  : (c <= 7965 || (c < 8008
                    ? (c >= 7968 && c <= 8005)
                    : c <= 8013)))))))))))
        : (c <= 8023 || (c < 11712
          ? (c < 8455
            ? (c < 8160
              ? (c < 8118
                ? (c < 8029
                  ? (c < 8027
                    ? c == 8025
                    : c <= 8027)
                  : (c <= 8029 || (c < 8064
                    ? (c >= 8031 && c <= 8061)
                    : c <= 8116)))
                : (c <= 8124 || (c < 8134
                  ? (c < 8130
                    ? c == 8126
                    : c <= 8132)
                  : (c <= 8140 || (c < 8150
                    ? (c >= 8144 && c <= 8147)
                    : c <= 8155)))))
              : (c <= 8172 || (c < 8319
                ? (c < 8255
                  ? (c < 8182
                    ? (c >= 8178 && c <= 8180)
                    : c <= 8188)
                  : (c <= 8256 || (c < 8305
                    ? c == 8276
                    : c <= 8305)))
                : (c <= 8319 || (c < 8417
                  ? (c < 8400
                    ? (c >= 8336 && c <= 8348)
                    : c <= 8412)
                  : (c <= 8417 || (c < 8450
                    ? (c >= 8421 && c <= 8432)
                    : c <= 8450)))))))
            : (c <= 8455 || (c < 11264
              ? (c < 8488
                ? (c < 8472
                  ? (c < 8469
                    ? (c >= 8458 && c <= 8467)
                    : c <= 8469)
                  : (c <= 8477 || (c < 8486
                    ? c == 8484
                    : c <= 8486)))
                : (c <= 8488 || (c < 8517
                  ? (c < 8508
                    ? (c >= 8490 && c <= 8505)
                    : c <= 8511)
                  : (c <= 8521 || (c < 8544
                    ? c == 8526
                    : c <= 8584)))))
              : (c <= 11492 || (c < 11631
                ? (c < 11559
                  ? (c < 11520
                    ? (c >= 11499 && c <= 11507)
                    : c <= 11557)
                  : (c <= 11559 || (c < 11568
                    ? c == 11565
                    : c <= 11623)))
                : (c <= 11631 || (c < 11688
                  ? (c < 11680
                    ? (c >= 11647 && c <= 11670)
                    : c <= 11686)
                  : (c <= 11694 || (c < 11704
                    ? (c >= 11696 && c <= 11702)
                    : c <= 11710)))))))))
          : (c <= 11718 || (c < 42612
            ? (c < 12449
              ? (c < 12321
                ? (c < 11736
                  ? (c < 11728
                    ? (c >= 11720 && c <= 11726)
                    : c <= 11734)
                  : (c <= 11742 || (c < 12293
                    ? (c >= 11744 && c <= 11775)
                    : c <= 12295)))
                : (c <= 12335 || (c < 12353
                  ? (c < 12344
                    ? (c >= 12337 && c <= 12341)
                    : c <= 12348)
                  : (c <= 12438 || (c < 12445
                    ? (c >= 12441 && c <= 12442)
                    : c <= 12447)))))
              : (c <= 12538 || (c < 13312
                ? (c < 12593
                  ? (c < 12549
                    ? (c >= 12540 && c <= 12543)
                    : c <= 12591)
                  : (c <= 12686 || (c < 12784
                    ? (c >= 12704 && c <= 12735)
                    : c <= 12799)))
                : (c <= 19903 || (c < 42240
                  ? (c < 42192
                    ? (c >= 19968 && c <= 42124)
                    : c <= 42237)
                  : (c <= 42508 || (c < 42560
                    ? (c >= 42512 && c <= 42539)
                    : c <= 42607)))))))
            : (c <= 42621 || (c < 43216
              ? (c < 42963
                ? (c < 42786
                  ? (c < 42775
                    ? (c >= 42623 && c <= 42737)
                    : c <= 42783)
                  : (c <= 42888 || (c < 42960
                    ? (c >= 42891 && c <= 42954)
                    : c <= 42961)))
                : (c <= 42963 || (c < 43052
                  ? (c < 42994
                    ? (c >= 42965 && c <= 42969)
                    : c <= 43047)
                  : (c <= 43052 || (c < 43136
                    ? (c >= 43072 && c <= 43123)
                    : c <= 43205)))))
              : (c <= 43225 || (c < 43392
                ? (c < 43261
                  ? (c < 43259
                    ? (c >= 43232 && c <= 43255)
                    : c <= 43259)
                  : (c <= 43309 || (c < 43360
                    ? (c >= 43312 && c <= 43347)
                    : c <= 43388)))
                : (c <= 43456 || (c < 43520
                  ? (c < 43488
                    ? (c >= 43471 && c <= 43481)
                    : c <= 43518)
                  : (c <= 43574 || (c >= 43584 && c <= 43597)))))))))))))))
    : (c <= 43609 || (c < 71453
      ? (c < 67594
        ? (c < 65343
          ? (c < 64298
            ? (c < 43868
              ? (c < 43777
                ? (c < 43739
                  ? (c < 43642
                    ? (c >= 43616 && c <= 43638)
                    : c <= 43714)
                  : (c <= 43741 || (c < 43762
                    ? (c >= 43744 && c <= 43759)
                    : c <= 43766)))
                : (c <= 43782 || (c < 43808
                  ? (c < 43793
                    ? (c >= 43785 && c <= 43790)
                    : c <= 43798)
                  : (c <= 43814 || (c < 43824
                    ? (c >= 43816 && c <= 43822)
                    : c <= 43866)))))
              : (c <= 43881 || (c < 55243
                ? (c < 44016
                  ? (c < 44012
                    ? (c >= 43888 && c <= 44010)
                    : c <= 44013)
                  : (c <= 44025 || (c < 55216
                    ? (c >= 44032 && c <= 55203)
                    : c <= 55238)))
                : (c <= 55291 || (c < 64256
                  ? (c < 64112
                    ? (c >= 63744 && c <= 64109)
                    : c <= 64217)
                  : (c <= 64262 || (c < 64285
                    ? (c >= 64275 && c <= 64279)
                    : c <= 64296)))))))
            : (c <= 64310 || (c < 65056
              ? (c < 64467
                ? (c < 64320
                  ? (c < 64318
                    ? (c >= 64312 && c <= 64316)
                    : c <= 64318)
                  : (c <= 64321 || (c < 64326
                    ? (c >= 64323 && c <= 64324)
                    : c <= 64433)))
                : (c <= 64605 || (c < 64914
                  ? (c < 64848
                    ? (c >= 64612 && c <= 64829)
                    : c <= 64911)
                  : (c <= 64967 || (c < 65024
                    ? (c >= 65008 && c <= 65017)
                    : c <= 65039)))))
              : (c <= 65071 || (c < 65145
                ? (c < 65137
                  ? (c < 65101
                    ? (c >= 65075 && c <= 65076)
                    : c <= 65103)
                  : (c <= 65137 || (c < 65143
                    ? c == 65139
                    : c <= 65143)))
                : (c <= 65145 || (c < 65151
                  ? (c < 65149
                    ? c == 65147
                    : c <= 65149)
                  : (c <= 65276 || (c < 65313
                    ? (c >= 65296 && c <= 65305)
                    : c <= 65338)))))))))
          : (c <= 65343 || (c < 66504
            ? (c < 65616
              ? (c < 65498
                ? (c < 65474
                  ? (c < 65382
                    ? (c >= 65345 && c <= 65370)
                    : c <= 65470)
                  : (c <= 65479 || (c < 65490
                    ? (c >= 65482 && c <= 65487)
                    : c <= 65495)))
                : (c <= 65500 || (c < 65576
                  ? (c < 65549
                    ? (c >= 65536 && c <= 65547)
                    : c <= 65574)
                  : (c <= 65594 || (c < 65599
                    ? (c >= 65596 && c <= 65597)
                    : c <= 65613)))))
              : (c <= 65629 || (c < 66272
                ? (c < 66045
                  ? (c < 65856
                    ? (c >= 65664 && c <= 65786)
                    : c <= 65908)
                  : (c <= 66045 || (c < 66208
                    ? (c >= 66176 && c <= 66204)
                    : c <= 66256)))
                : (c <= 66272 || (c < 66384
                  ? (c < 66349
                    ? (c >= 66304 && c <= 66335)
                    : c <= 66378)
                  : (c <= 66426 || (c < 66464
                    ? (c >= 66432 && c <= 66461)
                    : c <= 66499)))))))
            : (c <= 66511 || (c < 66967
              ? (c < 66816
                ? (c < 66720
                  ? (c < 66560
                    ? (c >= 66513 && c <= 66517)
                    : c <= 66717)
                  : (c <= 66729 || (c < 66776
                    ? (c >= 66736 && c <= 66771)
                    : c <= 66811)))
                : (c <= 66855 || (c < 66940
                  ? (c < 66928
                    ? (c >= 66864 && c <= 66915)
                    : c <= 66938)
                  : (c <= 66954 || (c < 66964
                    ? (c >= 66956 && c <= 66962)
                    : c <= 66965)))))
              : (c <= 66977 || (c < 67424
                ? (c < 67003
                  ? (c < 66995
                    ? (c >= 66979 && c <= 66993)
                    : c <= 67001)
                  : (c <= 67004 || (c < 67392
                    ? (c >= 67072 && c <= 67382)
                    : c <= 67413)))
                : (c <= 67431 || (c < 67506
                  ? (c < 67463
                    ? (c >= 67456 && c <= 67461)
                    : c <= 67504)
                  : (c <= 67514 || (c < 67592
                    ? (c >= 67584 && c <= 67589)
                    : c <= 67592)))))))))))
        : (c <= 67637 || (c < 69942
          ? (c < 68416
            ? (c < 68096
              ? (c < 67808
                ? (c < 67647
                  ? (c < 67644
                    ? (c >= 67639 && c <= 67640)
                    : c <= 67644)
                  : (c <= 67669 || (c < 67712
                    ? (c >= 67680 && c <= 67702)
                    : c <= 67742)))
                : (c <= 67826 || (c < 67872
                  ? (c < 67840
                    ? (c >= 67828 && c <= 67829)
                    : c <= 67861)
                  : (c <= 67897 || (c < 68030
                    ? (c >= 67968 && c <= 68023)
                    : c <= 68031)))))
              : (c <= 68099 || (c < 68159
                ? (c < 68117
                  ? (c < 68108
                    ? (c >= 68101 && c <= 68102)
                    : c <= 68115)
                  : (c <= 68119 || (c < 68152
                    ? (c >= 68121 && c <= 68149)
                    : c <= 68154)))
                : (c <= 68159 || (c < 68288
                  ? (c < 68224
                    ? (c >= 68192 && c <= 68220)
                    : c <= 68252)
                  : (c <= 68295 || (c < 68352
                    ? (c >= 68297 && c <= 68326)
                    : c <= 68405)))))))
            : (c <= 68437 || (c < 69415
              ? (c < 68864
                ? (c < 68608
                  ? (c < 68480
                    ? (c >= 68448 && c <= 68466)
                    : c <= 68497)
                  : (c <= 68680 || (c < 68800
                    ? (c >= 68736 && c <= 68786)
                    : c <= 68850)))
                : (c <= 68903 || (c < 69291
                  ? (c < 69248
                    ? (c >= 68912 && c <= 68921)
                    : c <= 69289)
                  : (c <= 69292 || (c < 69376
                    ? (c >= 69296 && c <= 69297)
                    : c <= 69404)))))
              : (c <= 69415 || (c < 69734
                ? (c < 69552
                  ? (c < 69488
                    ? (c >= 69424 && c <= 69456)
                    : c <= 69509)
                  : (c <= 69572 || (c < 69632
                    ? (c >= 69600 && c <= 69622)
                    : c <= 69702)))
                : (c <= 69749 || (c < 69840
                  ? (c < 69826
                    ? (c >= 69759 && c <= 69818)
                    : c <= 69826)
                  : (c <= 69864 || (c < 69888
                    ? (c >= 69872 && c <= 69881)
                    : c <= 69940)))))))))
          : (c <= 69951 || (c < 70453
            ? (c < 70280
              ? (c < 70094
                ? (c < 70006
                  ? (c < 69968
                    ? (c >= 69956 && c <= 69959)
                    : c <= 70003)
                  : (c <= 70006 || (c < 70089
                    ? (c >= 70016 && c <= 70084)
                    : c <= 70092)))
                : (c <= 70106 || (c < 70163
                  ? (c < 70144
                    ? c == 70108
                    : c <= 70161)
                  : (c <= 70199 || (c < 70272
                    ? c == 70206
                    : c <= 70278)))))
              : (c <= 70280 || (c < 70400
                ? (c < 70303
                  ? (c < 70287
                    ? (c >= 70282 && c <= 70285)
                    : c <= 70301)
                  : (c <= 70312 || (c < 70384
                    ? (c >= 70320 && c <= 70378)
                    : c <= 70393)))
                : (c <= 70403 || (c < 70419
                  ? (c < 70415
                    ? (c >= 70405 && c <= 70412)
                    : c <= 70416)
                  : (c <= 70440 || (c < 70450
                    ? (c >= 70442 && c <= 70448)
                    : c <= 70451)))))))
            : (c <= 70457 || (c < 70784
              ? (c < 70493
                ? (c < 70475
                  ? (c < 70471
                    ? (c >= 70459 && c <= 70468)
                    : c <= 70472)
                  : (c <= 70477 || (c < 70487
                    ? c == 70480
                    : c <= 70487)))
                : (c <= 70499 || (c < 70656
                  ? (c < 70512
                    ? (c >= 70502 && c <= 70508)
                    : c <= 70516)
                  : (c <= 70730 || (c < 70750
                    ? (c >= 70736 && c <= 70745)
                    : c <= 70753)))))
              : (c <= 70853 || (c < 71168
                ? (c < 71040
                  ? (c < 70864
                    ? c == 70855
                    : c <= 70873)
                  : (c <= 71093 || (c < 71128
                    ? (c >= 71096 && c <= 71104)
                    : c <= 71133)))
                : (c <= 71232 || (c < 71296
                  ? (c < 71248
                    ? c == 71236
                    : c <= 71257)
                  : (c <= 71352 || (c < 71424
                    ? (c >= 71360 && c <= 71369)
                    : c <= 71450)))))))))))))
      : (c <= 71467 || (c < 119973
        ? (c < 77824
          ? (c < 72760
            ? (c < 72016
              ? (c < 71945
                ? (c < 71680
                  ? (c < 71488
                    ? (c >= 71472 && c <= 71481)
                    : c <= 71494)
                  : (c <= 71738 || (c < 71935
                    ? (c >= 71840 && c <= 71913)
                    : c <= 71942)))
                : (c <= 71945 || (c < 71960
                  ? (c < 71957
                    ? (c >= 71948 && c <= 71955)
                    : c <= 71958)
                  : (c <= 71989 || (c < 71995
                    ? (c >= 71991 && c <= 71992)
                    : c <= 72003)))))
              : (c <= 72025 || (c < 72263
                ? (c < 72154
                  ? (c < 72106
                    ? (c >= 72096 && c <= 72103)
                    : c <= 72151)
                  : (c <= 72161 || (c < 72192
                    ? (c >= 72163 && c <= 72164)
                    : c <= 72254)))
                : (c <= 72263 || (c < 72368
                  ? (c < 72349
                    ? (c >= 72272 && c <= 72345)
                    : c <= 72349)
                  : (c <= 72440 || (c < 72714
                    ? (c >= 72704 && c <= 72712)
                    : c <= 72758)))))))
            : (c <= 72768 || (c < 73056
              ? (c < 72968
                ? (c < 72850
                  ? (c < 72818
                    ? (c >= 72784 && c <= 72793)
                    : c <= 72847)
                  : (c <= 72871 || (c < 72960
                    ? (c >= 72873 && c <= 72886)
                    : c <= 72966)))
                : (c <= 72969 || (c < 73020
                  ? (c < 73018
                    ? (c >= 72971 && c <= 73014)
                    : c <= 73018)
                  : (c <= 73021 || (c < 73040
                    ? (c >= 73023 && c <= 73031)
                    : c <= 73049)))))
              : (c <= 73061 || (c < 73440
                ? (c < 73104
                  ? (c < 73066
                    ? (c >= 73063 && c <= 73064)
                    : c <= 73102)
                  : (c <= 73105 || (c < 73120
                    ? (c >= 73107 && c <= 73112)
                    : c <= 73129)))
                : (c <= 73462 || (c < 74752
                  ? (c < 73728
                    ? c == 73648
                    : c <= 74649)
                  : (c <= 74862 || (c < 77712
                    ? (c >= 74880 && c <= 75075)
                    : c <= 77808)))))))))
          : (c <= 78894 || (c < 110576
            ? (c < 93027
              ? (c < 92864
                ? (c < 92736
                  ? (c < 92160
                    ? (c >= 82944 && c <= 83526)
                    : c <= 92728)
                  : (c <= 92766 || (c < 92784
                    ? (c >= 92768 && c <= 92777)
                    : c <= 92862)))
                : (c <= 92873 || (c < 92928
                  ? (c < 92912
                    ? (c >= 92880 && c <= 92909)
                    : c <= 92916)
                  : (c <= 92982 || (c < 93008
                    ? (c >= 92992 && c <= 92995)
                    : c <= 93017)))))
              : (c <= 93047 || (c < 94176
                ? (c < 93952
                  ? (c < 93760
                    ? (c >= 93053 && c <= 93071)
                    : c <= 93823)
                  : (c <= 94026 || (c < 94095
                    ? (c >= 94031 && c <= 94087)
                    : c <= 94111)))
                : (c <= 94177 || (c < 94208
                  ? (c < 94192
                    ? (c >= 94179 && c <= 94180)
                    : c <= 94193)
                  : (c <= 100343 || (c < 101632
                    ? (c >= 100352 && c <= 101589)
                    : c <= 101640)))))))
            : (c <= 110579 || (c < 118528
              ? (c < 110960
                ? (c < 110592
                  ? (c < 110589
                    ? (c >= 110581 && c <= 110587)
                    : c <= 110590)
                  : (c <= 110882 || (c < 110948
                    ? (c >= 110928 && c <= 110930)
                    : c <= 110951)))
                : (c <= 111355 || (c < 113792
                  ? (c < 113776
                    ? (c >= 113664 && c <= 113770)
                    : c <= 113788)
                  : (c <= 113800 || (c < 113821
                    ? (c >= 113808 && c <= 113817)
                    : c <= 113822)))))
              : (c <= 118573 || (c < 119210
                ? (c < 119149
                  ? (c < 119141
                    ? (c >= 118576 && c <= 118598)
                    : c <= 119145)
                  : (c <= 119154 || (c < 119173
                    ? (c >= 119163 && c <= 119170)
                    : c <= 119179)))
                : (c <= 119213 || (c < 119894
                  ? (c < 119808
                    ? (c >= 119362 && c <= 119364)
                    : c <= 119892)
                  : (c <= 119964 || (c < 119970
                    ? (c >= 119966 && c <= 119967)
                    : c <= 119970)))))))))))
        : (c <= 119974 || (c < 124912
          ? (c < 120746
            ? (c < 120134
              ? (c < 120071
                ? (c < 119995
                  ? (c < 119982
                    ? (c >= 119977 && c <= 119980)
                    : c <= 119993)
                  : (c <= 119995 || (c < 120005
                    ? (c >= 119997 && c <= 120003)
                    : c <= 120069)))
                : (c <= 120074 || (c < 120094
                  ? (c < 120086
                    ? (c >= 120077 && c <= 120084)
                    : c <= 120092)
                  : (c <= 120121 || (c < 120128
                    ? (c >= 120123 && c <= 120126)
                    : c <= 120132)))))
              : (c <= 120134 || (c < 120572
                ? (c < 120488
                  ? (c < 120146
                    ? (c >= 120138 && c <= 120144)
                    : c <= 120485)
                  : (c <= 120512 || (c < 120540
                    ? (c >= 120514 && c <= 120538)
                    : c <= 120570)))
                : (c <= 120596 || (c < 120656
                  ? (c < 120630
                    ? (c >= 120598 && c <= 120628)
                    : c <= 120654)
                  : (c <= 120686 || (c < 120714
                    ? (c >= 120688 && c <= 120712)
                    : c <= 120744)))))))
            : (c <= 120770 || (c < 122907
              ? (c < 121476
                ? (c < 121344
                  ? (c < 120782
                    ? (c >= 120772 && c <= 120779)
                    : c <= 120831)
                  : (c <= 121398 || (c < 121461
                    ? (c >= 121403 && c <= 121452)
                    : c <= 121461)))
                : (c <= 121476 || (c < 122624
                  ? (c < 121505
                    ? (c >= 121499 && c <= 121503)
                    : c <= 121519)
                  : (c <= 122654 || (c < 122888
                    ? (c >= 122880 && c <= 122886)
                    : c <= 122904)))))
              : (c <= 122913 || (c < 123214
                ? (c < 123136
                  ? (c < 122918
                    ? (c >= 122915 && c <= 122916)
                    : c <= 122922)
                  : (c <= 123180 || (c < 123200
                    ? (c >= 123184 && c <= 123197)
                    : c <= 123209)))
                : (c <= 123214 || (c < 124896
                  ? (c < 123584
                    ? (c >= 123536 && c <= 123566)
                    : c <= 123641)
                  : (c <= 124902 || (c < 124909
                    ? (c >= 124904 && c <= 124907)
                    : c <= 124910)))))))))
          : (c <= 124926 || (c < 126557
            ? (c < 126521
              ? (c < 126469
                ? (c < 125184
                  ? (c < 125136
                    ? (c >= 124928 && c <= 125124)
                    : c <= 125142)
                  : (c <= 125259 || (c < 126464
                    ? (c >= 125264 && c <= 125273)
                    : c <= 126467)))
                : (c <= 126495 || (c < 126503
                  ? (c < 126500
                    ? (c >= 126497 && c <= 126498)
                    : c <= 126500)
                  : (c <= 126503 || (c < 126516
                    ? (c >= 126505 && c <= 126514)
                    : c <= 126519)))))
              : (c <= 126521 || (c < 126541
                ? (c < 126535
                  ? (c < 126530
                    ? c == 126523
                    : c <= 126530)
                  : (c <= 126535 || (c < 126539
                    ? c == 126537
                    : c <= 126539)))
                : (c <= 126543 || (c < 126551
                  ? (c < 126548
                    ? (c >= 126545 && c <= 126546)
                    : c <= 126548)
                  : (c <= 126551 || (c < 126555
                    ? c == 126553
                    : c <= 126555)))))))
            : (c <= 126557 || (c < 126629
              ? (c < 126580
                ? (c < 126564
                  ? (c < 126561
                    ? c == 126559
                    : c <= 126562)
                  : (c <= 126564 || (c < 126572
                    ? (c >= 126567 && c <= 126570)
                    : c <= 126578)))
                : (c <= 126583 || (c < 126592
                  ? (c < 126590
                    ? (c >= 126585 && c <= 126588)
                    : c <= 126590)
                  : (c <= 126601 || (c < 126625
                    ? (c >= 126603 && c <= 126619)
                    : c <= 126627)))))
              : (c <= 126633 || (c < 178208
                ? (c < 131072
                  ? (c < 130032
                    ? (c >= 126635 && c <= 126651)
                    : c <= 130041)
                  : (c <= 173791 || (c < 177984
                    ? (c >= 173824 && c <= 177976)
                    : c <= 178205)))
                : (c <= 183969 || (c < 196608
                  ? (c < 194560
                    ? (c >= 183984 && c <= 191456)
                    : c <= 195101)
                  : (c <= 201546 || (c >= 917760 && c <= 917999)))))))))))))))));
}

static inline bool sym_identifier_character_set_30(int32_t c) {
  return (c < 43600
    ? (c < 3776
      ? (c < 2738
        ? (c < 1984
          ? (c < 910
            ? (c < 216
              ? (c < 'h'
                ? (c < 'A'
                  ? (c < '0'
                    ? c == '$'
                    : c <= '9')
                  : (c <= 'Z' || (c < 'a'
                    ? c == '_'
                    : c <= 'f')))
                : (c <= 'z' || (c < 183
                  ? (c < 181
                    ? c == 170
                    : c <= 181)
                  : (c <= 183 || (c < 192
                    ? c == 186
                    : c <= 214)))))
              : (c <= 246 || (c < 768
                ? (c < 736
                  ? (c < 710
                    ? (c >= 248 && c <= 705)
                    : c <= 721)
                  : (c <= 740 || (c < 750
                    ? c == 748
                    : c <= 750)))
                : (c <= 884 || (c < 895
                  ? (c < 891
                    ? (c >= 886 && c <= 887)
                    : c <= 893)
                  : (c <= 895 || (c < 908
                    ? (c >= 902 && c <= 906)
                    : c <= 908)))))))
            : (c <= 929 || (c < 1479
              ? (c < 1369
                ? (c < 1155
                  ? (c < 1015
                    ? (c >= 931 && c <= 1013)
                    : c <= 1153)
                  : (c <= 1159 || (c < 1329
                    ? (c >= 1162 && c <= 1327)
                    : c <= 1366)))
                : (c <= 1369 || (c < 1471
                  ? (c < 1425
                    ? (c >= 1376 && c <= 1416)
                    : c <= 1469)
                  : (c <= 1471 || (c < 1476
                    ? (c >= 1473 && c <= 1474)
                    : c <= 1477)))))
              : (c <= 1479 || (c < 1749
                ? (c < 1552
                  ? (c < 1519
                    ? (c >= 1488 && c <= 1514)
                    : c <= 1522)
                  : (c <= 1562 || (c < 1646
                    ? (c >= 1568 && c <= 1641)
                    : c <= 1747)))
                : (c <= 1756 || (c < 1791
                  ? (c < 1770
                    ? (c >= 1759 && c <= 1768)
                    : c <= 1788)
                  : (c <= 1791 || (c < 1869
                    ? (c >= 1808 && c <= 1866)
                    : c <= 1969)))))))))
          : (c <= 2037 || (c < 2534
            ? (c < 2437
              ? (c < 2160
                ? (c < 2048
                  ? (c < 2045
                    ? c == 2042
                    : c <= 2045)
                  : (c <= 2093 || (c < 2144
                    ? (c >= 2112 && c <= 2139)
                    : c <= 2154)))
                : (c <= 2183 || (c < 2275
                  ? (c < 2200
                    ? (c >= 2185 && c <= 2190)
                    : c <= 2273)
                  : (c <= 2403 || (c < 2417
                    ? (c >= 2406 && c <= 2415)
                    : c <= 2435)))))
              : (c <= 2444 || (c < 2492
                ? (c < 2474
                  ? (c < 2451
                    ? (c >= 2447 && c <= 2448)
                    : c <= 2472)
                  : (c <= 2480 || (c < 2486
                    ? c == 2482
                    : c <= 2489)))
                : (c <= 2500 || (c < 2519
                  ? (c < 2507
                    ? (c >= 2503 && c <= 2504)
                    : c <= 2510)
                  : (c <= 2519 || (c < 2527
                    ? (c >= 2524 && c <= 2525)
                    : c <= 2531)))))))
            : (c <= 2545 || (c < 2622
              ? (c < 2579
                ? (c < 2561
                  ? (c < 2558
                    ? c == 2556
                    : c <= 2558)
                  : (c <= 2563 || (c < 2575
                    ? (c >= 2565 && c <= 2570)
                    : c <= 2576)))
                : (c <= 2600 || (c < 2613
                  ? (c < 2610
                    ? (c >= 2602 && c <= 2608)
                    : c <= 2611)
                  : (c <= 2614 || (c < 2620
                    ? (c >= 2616 && c <= 2617)
                    : c <= 2620)))))
              : (c <= 2626 || (c < 2662
                ? (c < 2641
                  ? (c < 2635
                    ? (c >= 2631 && c <= 2632)
                    : c <= 2637)
                  : (c <= 2641 || (c < 2654
                    ? (c >= 2649 && c <= 2652)
                    : c <= 2654)))
                : (c <= 2677 || (c < 2703
                  ? (c < 2693
                    ? (c >= 2689 && c <= 2691)
                    : c <= 2701)
                  : (c <= 2705 || (c < 2730
                    ? (c >= 2707 && c <= 2728)
                    : c <= 2736)))))))))))
        : (c <= 2739 || (c < 3160
          ? (c < 2946
            ? (c < 2835
              ? (c < 2784
                ? (c < 2759
                  ? (c < 2748
                    ? (c >= 2741 && c <= 2745)
                    : c <= 2757)
                  : (c <= 2761 || (c < 2768
                    ? (c >= 2763 && c <= 2765)
                    : c <= 2768)))
                : (c <= 2787 || (c < 2817
                  ? (c < 2809
                    ? (c >= 2790 && c <= 2799)
                    : c <= 2815)
                  : (c <= 2819 || (c < 2831
                    ? (c >= 2821 && c <= 2828)
                    : c <= 2832)))))
              : (c <= 2856 || (c < 2891
                ? (c < 2869
                  ? (c < 2866
                    ? (c >= 2858 && c <= 2864)
                    : c <= 2867)
                  : (c <= 2873 || (c < 2887
                    ? (c >= 2876 && c <= 2884)
                    : c <= 2888)))
                : (c <= 2893 || (c < 2911
                  ? (c < 2908
                    ? (c >= 2901 && c <= 2903)
                    : c <= 2909)
                  : (c <= 2915 || (c < 2929
                    ? (c >= 2918 && c <= 2927)
                    : c <= 2929)))))))
            : (c <= 2947 || (c < 3018
              ? (c < 2974
                ? (c < 2962
                  ? (c < 2958
                    ? (c >= 2949 && c <= 2954)
                    : c <= 2960)
                  : (c <= 2965 || (c < 2972
                    ? (c >= 2969 && c <= 2970)
                    : c <= 2972)))
                : (c <= 2975 || (c < 2990
                  ? (c < 2984
                    ? (c >= 2979 && c <= 2980)
                    : c <= 2986)
                  : (c <= 3001 || (c < 3014
                    ? (c >= 3006 && c <= 3010)
                    : c <= 3016)))))
              : (c <= 3021 || (c < 3090
                ? (c < 3046
                  ? (c < 3031
                    ? c == 3024
                    : c <= 3031)
                  : (c <= 3055 || (c < 3086
                    ? (c >= 3072 && c <= 3084)
                    : c <= 3088)))
                : (c <= 3112 || (c < 3142
                  ? (c < 3132
                    ? (c >= 3114 && c <= 3129)
                    : c <= 3140)
                  : (c <= 3144 || (c < 3157
                    ? (c >= 3146 && c <= 3149)
                    : c <= 3158)))))))))
          : (c <= 3162 || (c < 3423
            ? (c < 3274
              ? (c < 3214
                ? (c < 3174
                  ? (c < 3168
                    ? c == 3165
                    : c <= 3171)
                  : (c <= 3183 || (c < 3205
                    ? (c >= 3200 && c <= 3203)
                    : c <= 3212)))
                : (c <= 3216 || (c < 3253
                  ? (c < 3242
                    ? (c >= 3218 && c <= 3240)
                    : c <= 3251)
                  : (c <= 3257 || (c < 3270
                    ? (c >= 3260 && c <= 3268)
                    : c <= 3272)))))
              : (c <= 3277 || (c < 3328
                ? (c < 3296
                  ? (c < 3293
                    ? (c >= 3285 && c <= 3286)
                    : c <= 3294)
                  : (c <= 3299 || (c < 3313
                    ? (c >= 3302 && c <= 3311)
                    : c <= 3314)))
                : (c <= 3340 || (c < 3398
                  ? (c < 3346
                    ? (c >= 3342 && c <= 3344)
                    : c <= 3396)
                  : (c <= 3400 || (c < 3412
                    ? (c >= 3402 && c <= 3406)
                    : c <= 3415)))))))
            : (c <= 3427 || (c < 3544
              ? (c < 3507
                ? (c < 3457
                  ? (c < 3450
                    ? (c >= 3430 && c <= 3439)
                    : c <= 3455)
                  : (c <= 3459 || (c < 3482
                    ? (c >= 3461 && c <= 3478)
                    : c <= 3505)))
                : (c <= 3515 || (c < 3530
                  ? (c < 3520
                    ? c == 3517
                    : c <= 3526)
                  : (c <= 3530 || (c < 3542
                    ? (c >= 3535 && c <= 3540)
                    : c <= 3542)))))
              : (c <= 3551 || (c < 3713
                ? (c < 3585
                  ? (c < 3570
                    ? (c >= 3558 && c <= 3567)
                    : c <= 3571)
                  : (c <= 3642 || (c < 3664
                    ? (c >= 3648 && c <= 3662)
                    : c <= 3673)))
                : (c <= 3714 || (c < 3724
                  ? (c < 3718
                    ? c == 3716
                    : c <= 3722)
                  : (c <= 3747 || (c < 3751
                    ? c == 3749
                    : c <= 3773)))))))))))))
      : (c <= 3780 || (c < 8016
        ? (c < 5870
          ? (c < 4682
            ? (c < 3913
              ? (c < 3864
                ? (c < 3792
                  ? (c < 3784
                    ? c == 3782
                    : c <= 3789)
                  : (c <= 3801 || (c < 3840
                    ? (c >= 3804 && c <= 3807)
                    : c <= 3840)))
                : (c <= 3865 || (c < 3895
                  ? (c < 3893
                    ? (c >= 3872 && c <= 3881)
                    : c <= 3893)
                  : (c <= 3895 || (c < 3902
                    ? c == 3897
                    : c <= 3911)))))
              : (c <= 3948 || (c < 4176
                ? (c < 3993
                  ? (c < 3974
                    ? (c >= 3953 && c <= 3972)
                    : c <= 3991)
                  : (c <= 4028 || (c < 4096
                    ? c == 4038
                    : c <= 4169)))
                : (c <= 4253 || (c < 4301
                  ? (c < 4295
                    ? (c >= 4256 && c <= 4293)
                    : c <= 4295)
                  : (c <= 4301 || (c < 4348
                    ? (c >= 4304 && c <= 4346)
                    : c <= 4680)))))))
            : (c <= 4685 || (c < 4824
              ? (c < 4752
                ? (c < 4698
                  ? (c < 4696
                    ? (c >= 4688 && c <= 4694)
                    : c <= 4696)
                  : (c <= 4701 || (c < 4746
                    ? (c >= 4704 && c <= 4744)
                    : c <= 4749)))
                : (c <= 4784 || (c < 4800
                  ? (c < 4792
                    ? (c >= 4786 && c <= 4789)
                    : c <= 4798)
                  : (c <= 4800 || (c < 4808
                    ? (c >= 4802 && c <= 4805)
                    : c <= 4822)))))
              : (c <= 4880 || (c < 5024
                ? (c < 4957
                  ? (c < 4888
                    ? (c >= 4882 && c <= 4885)
                    : c <= 4954)
                  : (c <= 4959 || (c < 4992
                    ? (c >= 4969 && c <= 4977)
                    : c <= 5007)))
                : (c <= 5109 || (c < 5743
                  ? (c < 5121
                    ? (c >= 5112 && c <= 5117)
                    : c <= 5740)
                  : (c <= 5759 || (c < 5792
                    ? (c >= 5761 && c <= 5786)
                    : c <= 5866)))))))))
          : (c <= 5880 || (c < 6656
            ? (c < 6159
              ? (c < 6002
                ? (c < 5952
                  ? (c < 5919
                    ? (c >= 5888 && c <= 5909)
                    : c <= 5940)
                  : (c <= 5971 || (c < 5998
                    ? (c >= 5984 && c <= 5996)
                    : c <= 6000)))
                : (c <= 6003 || (c < 6108
                  ? (c < 6103
                    ? (c >= 6016 && c <= 6099)
                    : c <= 6103)
                  : (c <= 6109 || (c < 6155
                    ? (c >= 6112 && c <= 6121)
                    : c <= 6157)))))
              : (c <= 6169 || (c < 6448
                ? (c < 6320
                  ? (c < 6272
                    ? (c >= 6176 && c <= 6264)
                    : c <= 6314)
                  : (c <= 6389 || (c < 6432
                    ? (c >= 6400 && c <= 6430)
                    : c <= 6443)))
                : (c <= 6459 || (c < 6528
                  ? (c < 6512
                    ? (c >= 6470 && c <= 6509)
                    : c <= 6516)
                  : (c <= 6571 || (c < 6608
                    ? (c >= 6576 && c <= 6601)
                    : c <= 6618)))))))
            : (c <= 6683 || (c < 7168
              ? (c < 6832
                ? (c < 6783
                  ? (c < 6752
                    ? (c >= 6688 && c <= 6750)
                    : c <= 6780)
                  : (c <= 6793 || (c < 6823
                    ? (c >= 6800 && c <= 6809)
                    : c <= 6823)))
                : (c <= 6845 || (c < 6992
                  ? (c < 6912
                    ? (c >= 6847 && c <= 6862)
                    : c <= 6988)
                  : (c <= 7001 || (c < 7040
                    ? (c >= 7019 && c <= 7027)
                    : c <= 7155)))))
              : (c <= 7223 || (c < 7376
                ? (c < 7296
                  ? (c < 7245
                    ? (c >= 7232 && c <= 7241)
                    : c <= 7293)
                  : (c <= 7304 || (c < 7357
                    ? (c >= 7312 && c <= 7354)
                    : c <= 7359)))
                : (c <= 7378 || (c < 7960
                  ? (c < 7424
                    ? (c >= 7380 && c <= 7418)
                    : c <= 7957)
                  : (c <= 7965 || (c < 8008
                    ? (c >= 7968 && c <= 8005)
                    : c <= 8013)))))))))))
        : (c <= 8023 || (c < 11712
          ? (c < 8455
            ? (c < 8160
              ? (c < 8118
                ? (c < 8029
                  ? (c < 8027
                    ? c == 8025
                    : c <= 8027)
                  : (c <= 8029 || (c < 8064
                    ? (c >= 8031 && c <= 8061)
                    : c <= 8116)))
                : (c <= 8124 || (c < 8134
                  ? (c < 8130
                    ? c == 8126
                    : c <= 8132)
                  : (c <= 8140 || (c < 8150
                    ? (c >= 8144 && c <= 8147)
                    : c <= 8155)))))
              : (c <= 8172 || (c < 8319
                ? (c < 8255
                  ? (c < 8182
                    ? (c >= 8178 && c <= 8180)
                    : c <= 8188)
                  : (c <= 8256 || (c < 8305
                    ? c == 8276
                    : c <= 8305)))
                : (c <= 8319 || (c < 8417
                  ? (c < 8400
                    ? (c >= 8336 && c <= 8348)
                    : c <= 8412)
                  : (c <= 8417 || (c < 8450
                    ? (c >= 8421 && c <= 8432)
                    : c <= 8450)))))))
            : (c <= 8455 || (c < 11264
              ? (c < 8488
                ? (c < 8472
                  ? (c < 8469
                    ? (c >= 8458 && c <= 8467)
                    : c <= 8469)
                  : (c <= 8477 || (c < 8486
                    ? c == 8484
                    : c <= 8486)))
                : (c <= 8488 || (c < 8517
                  ? (c < 8508
                    ? (c >= 8490 && c <= 8505)
                    : c <= 8511)
                  : (c <= 8521 || (c < 8544
                    ? c == 8526
                    : c <= 8584)))))
              : (c <= 11492 || (c < 11631
                ? (c < 11559
                  ? (c < 11520
                    ? (c >= 11499 && c <= 11507)
                    : c <= 11557)
                  : (c <= 11559 || (c < 11568
                    ? c == 11565
                    : c <= 11623)))
                : (c <= 11631 || (c < 11688
                  ? (c < 11680
                    ? (c >= 11647 && c <= 11670)
                    : c <= 11686)
                  : (c <= 11694 || (c < 11704
                    ? (c >= 11696 && c <= 11702)
                    : c <= 11710)))))))))
          : (c <= 11718 || (c < 42612
            ? (c < 12449
              ? (c < 12321
                ? (c < 11736
                  ? (c < 11728
                    ? (c >= 11720 && c <= 11726)
                    : c <= 11734)
                  : (c <= 11742 || (c < 12293
                    ? (c >= 11744 && c <= 11775)
                    : c <= 12295)))
                : (c <= 12335 || (c < 12353
                  ? (c < 12344
                    ? (c >= 12337 && c <= 12341)
                    : c <= 12348)
                  : (c <= 12438 || (c < 12445
                    ? (c >= 12441 && c <= 12442)
                    : c <= 12447)))))
              : (c <= 12538 || (c < 13312
                ? (c < 12593
                  ? (c < 12549
                    ? (c >= 12540 && c <= 12543)
                    : c <= 12591)
                  : (c <= 12686 || (c < 12784
                    ? (c >= 12704 && c <= 12735)
                    : c <= 12799)))
                : (c <= 19903 || (c < 42240
                  ? (c < 42192
                    ? (c >= 19968 && c <= 42124)
                    : c <= 42237)
                  : (c <= 42508 || (c < 42560
                    ? (c >= 42512 && c <= 42539)
                    : c <= 42607)))))))
            : (c <= 42621 || (c < 43216
              ? (c < 42963
                ? (c < 42786
                  ? (c < 42775
                    ? (c >= 42623 && c <= 42737)
                    : c <= 42783)
                  : (c <= 42888 || (c < 42960
                    ? (c >= 42891 && c <= 42954)
                    : c <= 42961)))
                : (c <= 42963 || (c < 43052
                  ? (c < 42994
                    ? (c >= 42965 && c <= 42969)
                    : c <= 43047)
                  : (c <= 43052 || (c < 43136
                    ? (c >= 43072 && c <= 43123)
                    : c <= 43205)))))
              : (c <= 43225 || (c < 43392
                ? (c < 43261
                  ? (c < 43259
                    ? (c >= 43232 && c <= 43255)
                    : c <= 43259)
                  : (c <= 43309 || (c < 43360
                    ? (c >= 43312 && c <= 43347)
                    : c <= 43388)))
                : (c <= 43456 || (c < 43520
                  ? (c < 43488
                    ? (c >= 43471 && c <= 43481)
                    : c <= 43518)
                  : (c <= 43574 || (c >= 43584 && c <= 43597)))))))))))))))
    : (c <= 43609 || (c < 71453
      ? (c < 67594
        ? (c < 65343
          ? (c < 64298
            ? (c < 43868
              ? (c < 43777
                ? (c < 43739
                  ? (c < 43642
                    ? (c >= 43616 && c <= 43638)
                    : c <= 43714)
                  : (c <= 43741 || (c < 43762
                    ? (c >= 43744 && c <= 43759)
                    : c <= 43766)))
                : (c <= 43782 || (c < 43808
                  ? (c < 43793
                    ? (c >= 43785 && c <= 43790)
                    : c <= 43798)
                  : (c <= 43814 || (c < 43824
                    ? (c >= 43816 && c <= 43822)
                    : c <= 43866)))))
              : (c <= 43881 || (c < 55243
                ? (c < 44016
                  ? (c < 44012
                    ? (c >= 43888 && c <= 44010)
                    : c <= 44013)
                  : (c <= 44025 || (c < 55216
                    ? (c >= 44032 && c <= 55203)
                    : c <= 55238)))
                : (c <= 55291 || (c < 64256
                  ? (c < 64112
                    ? (c >= 63744 && c <= 64109)
                    : c <= 64217)
                  : (c <= 64262 || (c < 64285
                    ? (c >= 64275 && c <= 64279)
                    : c <= 64296)))))))
            : (c <= 64310 || (c < 65056
              ? (c < 64467
                ? (c < 64320
                  ? (c < 64318
                    ? (c >= 64312 && c <= 64316)
                    : c <= 64318)
                  : (c <= 64321 || (c < 64326
                    ? (c >= 64323 && c <= 64324)
                    : c <= 64433)))
                : (c <= 64605 || (c < 64914
                  ? (c < 64848
                    ? (c >= 64612 && c <= 64829)
                    : c <= 64911)
                  : (c <= 64967 || (c < 65024
                    ? (c >= 65008 && c <= 65017)
                    : c <= 65039)))))
              : (c <= 65071 || (c < 65145
                ? (c < 65137
                  ? (c < 65101
                    ? (c >= 65075 && c <= 65076)
                    : c <= 65103)
                  : (c <= 65137 || (c < 65143
                    ? c == 65139
                    : c <= 65143)))
                : (c <= 65145 || (c < 65151
                  ? (c < 65149
                    ? c == 65147
                    : c <= 65149)
                  : (c <= 65276 || (c < 65313
                    ? (c >= 65296 && c <= 65305)
                    : c <= 65338)))))))))
          : (c <= 65343 || (c < 66504
            ? (c < 65616
              ? (c < 65498
                ? (c < 65474
                  ? (c < 65382
                    ? (c >= 65345 && c <= 65370)
                    : c <= 65470)
                  : (c <= 65479 || (c < 65490
                    ? (c >= 65482 && c <= 65487)
                    : c <= 65495)))
                : (c <= 65500 || (c < 65576
                  ? (c < 65549
                    ? (c >= 65536 && c <= 65547)
                    : c <= 65574)
                  : (c <= 65594 || (c < 65599
                    ? (c >= 65596 && c <= 65597)
                    : c <= 65613)))))
              : (c <= 65629 || (c < 66272
                ? (c < 66045
                  ? (c < 65856
                    ? (c >= 65664 && c <= 65786)
                    : c <= 65908)
                  : (c <= 66045 || (c < 66208
                    ? (c >= 66176 && c <= 66204)
                    : c <= 66256)))
                : (c <= 66272 || (c < 66384
                  ? (c < 66349
                    ? (c >= 66304 && c <= 66335)
                    : c <= 66378)
                  : (c <= 66426 || (c < 66464
                    ? (c >= 66432 && c <= 66461)
                    : c <= 66499)))))))
            : (c <= 66511 || (c < 66967
              ? (c < 66816
                ? (c < 66720
                  ? (c < 66560
                    ? (c >= 66513 && c <= 66517)
                    : c <= 66717)
                  : (c <= 66729 || (c < 66776
                    ? (c >= 66736 && c <= 66771)
                    : c <= 66811)))
                : (c <= 66855 || (c < 66940
                  ? (c < 66928
                    ? (c >= 66864 && c <= 66915)
                    : c <= 66938)
                  : (c <= 66954 || (c < 66964
                    ? (c >= 66956 && c <= 66962)
                    : c <= 66965)))))
              : (c <= 66977 || (c < 67424
                ? (c < 67003
                  ? (c < 66995
                    ? (c >= 66979 && c <= 66993)
                    : c <= 67001)
                  : (c <= 67004 || (c < 67392
                    ? (c >= 67072 && c <= 67382)
                    : c <= 67413)))
                : (c <= 67431 || (c < 67506
                  ? (c < 67463
                    ? (c >= 67456 && c <= 67461)
                    : c <= 67504)
                  : (c <= 67514 || (c < 67592
                    ? (c >= 67584 && c <= 67589)
                    : c <= 67592)))))))))))
        : (c <= 67637 || (c < 69942
          ? (c < 68416
            ? (c < 68096
              ? (c < 67808
                ? (c < 67647
                  ? (c < 67644
                    ? (c >= 67639 && c <= 67640)
                    : c <= 67644)
                  : (c <= 67669 || (c < 67712
                    ? (c >= 67680 && c <= 67702)
                    : c <= 67742)))
                : (c <= 67826 || (c < 67872
                  ? (c < 67840
                    ? (c >= 67828 && c <= 67829)
                    : c <= 67861)
                  : (c <= 67897 || (c < 68030
                    ? (c >= 67968 && c <= 68023)
                    : c <= 68031)))))
              : (c <= 68099 || (c < 68159
                ? (c < 68117
                  ? (c < 68108
                    ? (c >= 68101 && c <= 68102)
                    : c <= 68115)
                  : (c <= 68119 || (c < 68152
                    ? (c >= 68121 && c <= 68149)
                    : c <= 68154)))
                : (c <= 68159 || (c < 68288
                  ? (c < 68224
                    ? (c >= 68192 && c <= 68220)
                    : c <= 68252)
                  : (c <= 68295 || (c < 68352
                    ? (c >= 68297 && c <= 68326)
                    : c <= 68405)))))))
            : (c <= 68437 || (c < 69415
              ? (c < 68864
                ? (c < 68608
                  ? (c < 68480
                    ? (c >= 68448 && c <= 68466)
                    : c <= 68497)
                  : (c <= 68680 || (c < 68800
                    ? (c >= 68736 && c <= 68786)
                    : c <= 68850)))
                : (c <= 68903 || (c < 69291
                  ? (c < 69248
                    ? (c >= 68912 && c <= 68921)
                    : c <= 69289)
                  : (c <= 69292 || (c < 69376
                    ? (c >= 69296 && c <= 69297)
                    : c <= 69404)))))
              : (c <= 69415 || (c < 69734
                ? (c < 69552
                  ? (c < 69488
                    ? (c >= 69424 && c <= 69456)
                    : c <= 69509)
                  : (c <= 69572 || (c < 69632
                    ? (c >= 69600 && c <= 69622)
                    : c <= 69702)))
                : (c <= 69749 || (c < 69840
                  ? (c < 69826
                    ? (c >= 69759 && c <= 69818)
                    : c <= 69826)
                  : (c <= 69864 || (c < 69888
                    ? (c >= 69872 && c <= 69881)
                    : c <= 69940)))))))))
          : (c <= 69951 || (c < 70453
            ? (c < 70280
              ? (c < 70094
                ? (c < 70006
                  ? (c < 69968
                    ? (c >= 69956 && c <= 69959)
                    : c <= 70003)
                  : (c <= 70006 || (c < 70089
                    ? (c >= 70016 && c <= 70084)
                    : c <= 70092)))
                : (c <= 70106 || (c < 70163
                  ? (c < 70144
                    ? c == 70108
                    : c <= 70161)
                  : (c <= 70199 || (c < 70272
                    ? c == 70206
                    : c <= 70278)))))
              : (c <= 70280 || (c < 70400
                ? (c < 70303
                  ? (c < 70287
                    ? (c >= 70282 && c <= 70285)
                    : c <= 70301)
                  : (c <= 70312 || (c < 70384
                    ? (c >= 70320 && c <= 70378)
                    : c <= 70393)))
                : (c <= 70403 || (c < 70419
                  ? (c < 70415
                    ? (c >= 70405 && c <= 70412)
                    : c <= 70416)
                  : (c <= 70440 || (c < 70450
                    ? (c >= 70442 && c <= 70448)
                    : c <= 70451)))))))
            : (c <= 70457 || (c < 70784
              ? (c < 70493
                ? (c < 70475
                  ? (c < 70471
                    ? (c >= 70459 && c <= 70468)
                    : c <= 70472)
                  : (c <= 70477 || (c < 70487
                    ? c == 70480
                    : c <= 70487)))
                : (c <= 70499 || (c < 70656
                  ? (c < 70512
                    ? (c >= 70502 && c <= 70508)
                    : c <= 70516)
                  : (c <= 70730 || (c < 70750
                    ? (c >= 70736 && c <= 70745)
                    : c <= 70753)))))
              : (c <= 70853 || (c < 71168
                ? (c < 71040
                  ? (c < 70864
                    ? c == 70855
                    : c <= 70873)
                  : (c <= 71093 || (c < 71128
                    ? (c >= 71096 && c <= 71104)
                    : c <= 71133)))
                : (c <= 71232 || (c < 71296
                  ? (c < 71248
                    ? c == 71236
                    : c <= 71257)
                  : (c <= 71352 || (c < 71424
                    ? (c >= 71360 && c <= 71369)
                    : c <= 71450)))))))))))))
      : (c <= 71467 || (c < 119973
        ? (c < 77824
          ? (c < 72760
            ? (c < 72016
              ? (c < 71945
                ? (c < 71680
                  ? (c < 71488
                    ? (c >= 71472 && c <= 71481)
                    : c <= 71494)
                  : (c <= 71738 || (c < 71935
                    ? (c >= 71840 && c <= 71913)
                    : c <= 71942)))
                : (c <= 71945 || (c < 71960
                  ? (c < 71957
                    ? (c >= 71948 && c <= 71955)
                    : c <= 71958)
                  : (c <= 71989 || (c < 71995
                    ? (c >= 71991 && c <= 71992)
                    : c <= 72003)))))
              : (c <= 72025 || (c < 72263
                ? (c < 72154
                  ? (c < 72106
                    ? (c >= 72096 && c <= 72103)
                    : c <= 72151)
                  : (c <= 72161 || (c < 72192
                    ? (c >= 72163 && c <= 72164)
                    : c <= 72254)))
                : (c <= 72263 || (c < 72368
                  ? (c < 72349
                    ? (c >= 72272 && c <= 72345)
                    : c <= 72349)
                  : (c <= 72440 || (c < 72714
                    ? (c >= 72704 && c <= 72712)
                    : c <= 72758)))))))
            : (c <= 72768 || (c < 73056
              ? (c < 72968
                ? (c < 72850
                  ? (c < 72818
                    ? (c >= 72784 && c <= 72793)
                    : c <= 72847)
                  : (c <= 72871 || (c < 72960
                    ? (c >= 72873 && c <= 72886)
                    : c <= 72966)))
                : (c <= 72969 || (c < 73020
                  ? (c < 73018
                    ? (c >= 72971 && c <= 73014)
                    : c <= 73018)
                  : (c <= 73021 || (c < 73040
                    ? (c >= 73023 && c <= 73031)
                    : c <= 73049)))))
              : (c <= 73061 || (c < 73440
                ? (c < 73104
                  ? (c < 73066
                    ? (c >= 73063 && c <= 73064)
                    : c <= 73102)
                  : (c <= 73105 || (c < 73120
                    ? (c >= 73107 && c <= 73112)
                    : c <= 73129)))
                : (c <= 73462 || (c < 74752
                  ? (c < 73728
                    ? c == 73648
                    : c <= 74649)
                  : (c <= 74862 || (c < 77712
                    ? (c >= 74880 && c <= 75075)
                    : c <= 77808)))))))))
          : (c <= 78894 || (c < 110576
            ? (c < 93027
              ? (c < 92864
                ? (c < 92736
                  ? (c < 92160
                    ? (c >= 82944 && c <= 83526)
                    : c <= 92728)
                  : (c <= 92766 || (c < 92784
                    ? (c >= 92768 && c <= 92777)
                    : c <= 92862)))
                : (c <= 92873 || (c < 92928
                  ? (c < 92912
                    ? (c >= 92880 && c <= 92909)
                    : c <= 92916)
                  : (c <= 92982 || (c < 93008
                    ? (c >= 92992 && c <= 92995)
                    : c <= 93017)))))
              : (c <= 93047 || (c < 94176
                ? (c < 93952
                  ? (c < 93760
                    ? (c >= 93053 && c <= 93071)
                    : c <= 93823)
                  : (c <= 94026 || (c < 94095
                    ? (c >= 94031 && c <= 94087)
                    : c <= 94111)))
                : (c <= 94177 || (c < 94208
                  ? (c < 94192
                    ? (c >= 94179 && c <= 94180)
                    : c <= 94193)
                  : (c <= 100343 || (c < 101632
                    ? (c >= 100352 && c <= 101589)
                    : c <= 101640)))))))
            : (c <= 110579 || (c < 118528
              ? (c < 110960
                ? (c < 110592
                  ? (c < 110589
                    ? (c >= 110581 && c <= 110587)
                    : c <= 110590)
                  : (c <= 110882 || (c < 110948
                    ? (c >= 110928 && c <= 110930)
                    : c <= 110951)))
                : (c <= 111355 || (c < 113792
                  ? (c < 113776
                    ? (c >= 113664 && c <= 113770)
                    : c <= 113788)
                  : (c <= 113800 || (c < 113821
                    ? (c >= 113808 && c <= 113817)
                    : c <= 113822)))))
              : (c <= 118573 || (c < 119210
                ? (c < 119149
                  ? (c < 119141
                    ? (c >= 118576 && c <= 118598)
                    : c <= 119145)
                  : (c <= 119154 || (c < 119173
                    ? (c >= 119163 && c <= 119170)
                    : c <= 119179)))
                : (c <= 119213 || (c < 119894
                  ? (c < 119808
                    ? (c >= 119362 && c <= 119364)
                    : c <= 119892)
                  : (c <= 119964 || (c < 119970
                    ? (c >= 119966 && c <= 119967)
                    : c <= 119970)))))))))))
        : (c <= 119974 || (c < 124912
          ? (c < 120746
            ? (c < 120134
              ? (c < 120071
                ? (c < 119995
                  ? (c < 119982
                    ? (c >= 119977 && c <= 119980)
                    : c <= 119993)
                  : (c <= 119995 || (c < 120005
                    ? (c >= 119997 && c <= 120003)
                    : c <= 120069)))
                : (c <= 120074 || (c < 120094
                  ? (c < 120086
                    ? (c >= 120077 && c <= 120084)
                    : c <= 120092)
                  : (c <= 120121 || (c < 120128
                    ? (c >= 120123 && c <= 120126)
                    : c <= 120132)))))
              : (c <= 120134 || (c < 120572
                ? (c < 120488
                  ? (c < 120146
                    ? (c >= 120138 && c <= 120144)
                    : c <= 120485)
                  : (c <= 120512 || (c < 120540
                    ? (c >= 120514 && c <= 120538)
                    : c <= 120570)))
                : (c <= 120596 || (c < 120656
                  ? (c < 120630
                    ? (c >= 120598 && c <= 120628)
                    : c <= 120654)
                  : (c <= 120686 || (c < 120714
                    ? (c >= 120688 && c <= 120712)
                    : c <= 120744)))))))
            : (c <= 120770 || (c < 122907
              ? (c < 121476
                ? (c < 121344
                  ? (c < 120782
                    ? (c >= 120772 && c <= 120779)
                    : c <= 120831)
                  : (c <= 121398 || (c < 121461
                    ? (c >= 121403 && c <= 121452)
                    : c <= 121461)))
                : (c <= 121476 || (c < 122624
                  ? (c < 121505
                    ? (c >= 121499 && c <= 121503)
                    : c <= 121519)
                  : (c <= 122654 || (c < 122888
                    ? (c >= 122880 && c <= 122886)
                    : c <= 122904)))))
              : (c <= 122913 || (c < 123214
                ? (c < 123136
                  ? (c < 122918
                    ? (c >= 122915 && c <= 122916)
                    : c <= 122922)
                  : (c <= 123180 || (c < 123200
                    ? (c >= 123184 && c <= 123197)
                    : c <= 123209)))
                : (c <= 123214 || (c < 124896
                  ? (c < 123584
                    ? (c >= 123536 && c <= 123566)
                    : c <= 123641)
                  : (c <= 124902 || (c < 124909
                    ? (c >= 124904 && c <= 124907)
                    : c <= 124910)))))))))
          : (c <= 124926 || (c < 126557
            ? (c < 126521
              ? (c < 126469
                ? (c < 125184
                  ? (c < 125136
                    ? (c >= 124928 && c <= 125124)
                    : c <= 125142)
                  : (c <= 125259 || (c < 126464
                    ? (c >= 125264 && c <= 125273)
                    : c <= 126467)))
                : (c <= 126495 || (c < 126503
                  ? (c < 126500
                    ? (c >= 126497 && c <= 126498)
                    : c <= 126500)
                  : (c <= 126503 || (c < 126516
                    ? (c >= 126505 && c <= 126514)
                    : c <= 126519)))))
              : (c <= 126521 || (c < 126541
                ? (c < 126535
                  ? (c < 126530
                    ? c == 126523
                    : c <= 126530)
                  : (c <= 126535 || (c < 126539
                    ? c == 126537
                    : c <= 126539)))
                : (c <= 126543 || (c < 126551
                  ? (c < 126548
                    ? (c >= 126545 && c <= 126546)
                    : c <= 126548)
                  : (c <= 126551 || (c < 126555
                    ? c == 126553
                    : c <= 126555)))))))
            : (c <= 126557 || (c < 126629
              ? (c < 126580
                ? (c < 126564
                  ? (c < 126561
                    ? c == 126559
                    : c <= 126562)
                  : (c <= 126564 || (c < 126572
                    ? (c >= 126567 && c <= 126570)
                    : c <= 126578)))
                : (c <= 126583 || (c < 126592
                  ? (c < 126590
                    ? (c >= 126585 && c <= 126588)
                    : c <= 126590)
                  : (c <= 126601 || (c < 126625
                    ? (c >= 126603 && c <= 126619)
                    : c <= 126627)))))
              : (c <= 126633 || (c < 178208
                ? (c < 131072
                  ? (c < 130032
                    ? (c >= 126635 && c <= 126651)
                    : c <= 130041)
                  : (c <= 173791 || (c < 177984
                    ? (c >= 173824 && c <= 177976)
                    : c <= 178205)))
                : (c <= 183969 || (c < 196608
                  ? (c < 194560
                    ? (c >= 183984 && c <= 191456)
                    : c <= 195101)
                  : (c <= 201546 || (c >= 917760 && c <= 917999)))))))))))))))));
}

static inline bool sym_identifier_character_set_31(int32_t c) {
  return (c < 43600
    ? (c < 3776
      ? (c < 2738
        ? (c < 1984
          ? (c < 910
            ? (c < 216
              ? (c < 'i'
                ? (c < 'A'
                  ? (c < '0'
                    ? c == '$'
                    : c <= '9')
                  : (c <= 'Z' || (c < 'a'
                    ? c == '_'
                    : c <= 'g')))
                : (c <= 'z' || (c < 183
                  ? (c < 181
                    ? c == 170
                    : c <= 181)
                  : (c <= 183 || (c < 192
                    ? c == 186
                    : c <= 214)))))
              : (c <= 246 || (c < 768
                ? (c < 736
                  ? (c < 710
                    ? (c >= 248 && c <= 705)
                    : c <= 721)
                  : (c <= 740 || (c < 750
                    ? c == 748
                    : c <= 750)))
                : (c <= 884 || (c < 895
                  ? (c < 891
                    ? (c >= 886 && c <= 887)
                    : c <= 893)
                  : (c <= 895 || (c < 908
                    ? (c >= 902 && c <= 906)
                    : c <= 908)))))))
            : (c <= 929 || (c < 1479
              ? (c < 1369
                ? (c < 1155
                  ? (c < 1015
                    ? (c >= 931 && c <= 1013)
                    : c <= 1153)
                  : (c <= 1159 || (c < 1329
                    ? (c >= 1162 && c <= 1327)
                    : c <= 1366)))
                : (c <= 1369 || (c < 1471
                  ? (c < 1425
                    ? (c >= 1376 && c <= 1416)
                    : c <= 1469)
                  : (c <= 1471 || (c < 1476
                    ? (c >= 1473 && c <= 1474)
                    : c <= 1477)))))
              : (c <= 1479 || (c < 1749
                ? (c < 1552
                  ? (c < 1519
                    ? (c >= 1488 && c <= 1514)
                    : c <= 1522)
                  : (c <= 1562 || (c < 1646
                    ? (c >= 1568 && c <= 1641)
                    : c <= 1747)))
                : (c <= 1756 || (c < 1791
                  ? (c < 1770
                    ? (c >= 1759 && c <= 1768)
                    : c <= 1788)
                  : (c <= 1791 || (c < 1869
                    ? (c >= 1808 && c <= 1866)
                    : c <= 1969)))))))))
          : (c <= 2037 || (c < 2534
            ? (c < 2437
              ? (c < 2160
                ? (c < 2048
                  ? (c < 2045
                    ? c == 2042
                    : c <= 2045)
                  : (c <= 2093 || (c < 2144
                    ? (c >= 2112 && c <= 2139)
                    : c <= 2154)))
                : (c <= 2183 || (c < 2275
                  ? (c < 2200
                    ? (c >= 2185 && c <= 2190)
                    : c <= 2273)
                  : (c <= 2403 || (c < 2417
                    ? (c >= 2406 && c <= 2415)
                    : c <= 2435)))))
              : (c <= 2444 || (c < 2492
                ? (c < 2474
                  ? (c < 2451
                    ? (c >= 2447 && c <= 2448)
                    : c <= 2472)
                  : (c <= 2480 || (c < 2486
                    ? c == 2482
                    : c <= 2489)))
                : (c <= 2500 || (c < 2519
                  ? (c < 2507
                    ? (c >= 2503 && c <= 2504)
                    : c <= 2510)
                  : (c <= 2519 || (c < 2527
                    ? (c >= 2524 && c <= 2525)
                    : c <= 2531)))))))
            : (c <= 2545 || (c < 2622
              ? (c < 2579
                ? (c < 2561
                  ? (c < 2558
                    ? c == 2556
                    : c <= 2558)
                  : (c <= 2563 || (c < 2575
                    ? (c >= 2565 && c <= 2570)
                    : c <= 2576)))
                : (c <= 2600 || (c < 2613
                  ? (c < 2610
                    ? (c >= 2602 && c <= 2608)
                    : c <= 2611)
                  : (c <= 2614 || (c < 2620
                    ? (c >= 2616 && c <= 2617)
                    : c <= 2620)))))
              : (c <= 2626 || (c < 2662
                ? (c < 2641
                  ? (c < 2635
                    ? (c >= 2631 && c <= 2632)
                    : c <= 2637)
                  : (c <= 2641 || (c < 2654
                    ? (c >= 2649 && c <= 2652)
                    : c <= 2654)))
                : (c <= 2677 || (c < 2703
                  ? (c < 2693
                    ? (c >= 2689 && c <= 2691)
                    : c <= 2701)
                  : (c <= 2705 || (c < 2730
                    ? (c >= 2707 && c <= 2728)
                    : c <= 2736)))))))))))
        : (c <= 2739 || (c < 3160
          ? (c < 2946
            ? (c < 2835
              ? (c < 2784
                ? (c < 2759
                  ? (c < 2748
                    ? (c >= 2741 && c <= 2745)
                    : c <= 2757)
                  : (c <= 2761 || (c < 2768
                    ? (c >= 2763 && c <= 2765)
                    : c <= 2768)))
                : (c <= 2787 || (c < 2817
                  ? (c < 2809
                    ? (c >= 2790 && c <= 2799)
                    : c <= 2815)
                  : (c <= 2819 || (c < 2831
                    ? (c >= 2821 && c <= 2828)
                    : c <= 2832)))))
              : (c <= 2856 || (c < 2891
                ? (c < 2869
                  ? (c < 2866
                    ? (c >= 2858 && c <= 2864)
                    : c <= 2867)
                  : (c <= 2873 || (c < 2887
                    ? (c >= 2876 && c <= 2884)
                    : c <= 2888)))
                : (c <= 2893 || (c < 2911
                  ? (c < 2908
                    ? (c >= 2901 && c <= 2903)
                    : c <= 2909)
                  : (c <= 2915 || (c < 2929
                    ? (c >= 2918 && c <= 2927)
                    : c <= 2929)))))))
            : (c <= 2947 || (c < 3018
              ? (c < 2974
                ? (c < 2962
                  ? (c < 2958
                    ? (c >= 2949 && c <= 2954)
                    : c <= 2960)
                  : (c <= 2965 || (c < 2972
                    ? (c >= 2969 && c <= 2970)
                    : c <= 2972)))
                : (c <= 2975 || (c < 2990
                  ? (c < 2984
                    ? (c >= 2979 && c <= 2980)
                    : c <= 2986)
                  : (c <= 3001 || (c < 3014
                    ? (c >= 3006 && c <= 3010)
                    : c <= 3016)))))
              : (c <= 3021 || (c < 3090
                ? (c < 3046
                  ? (c < 3031
                    ? c == 3024
                    : c <= 3031)
                  : (c <= 3055 || (c < 3086
                    ? (c >= 3072 && c <= 3084)
                    : c <= 3088)))
                : (c <= 3112 || (c < 3142
                  ? (c < 3132
                    ? (c >= 3114 && c <= 3129)
                    : c <= 3140)
                  : (c <= 3144 || (c < 3157
                    ? (c >= 3146 && c <= 3149)
                    : c <= 3158)))))))))
          : (c <= 3162 || (c < 3423
            ? (c < 3274
              ? (c < 3214
                ? (c < 3174
                  ? (c < 3168
                    ? c == 3165
                    : c <= 3171)
                  : (c <= 3183 || (c < 3205
                    ? (c >= 3200 && c <= 3203)
                    : c <= 3212)))
                : (c <= 3216 || (c < 3253
                  ? (c < 3242
                    ? (c >= 3218 && c <= 3240)
                    : c <= 3251)
                  : (c <= 3257 || (c < 3270
                    ? (c >= 3260 && c <= 3268)
                    : c <= 3272)))))
              : (c <= 3277 || (c < 3328
                ? (c < 3296
                  ? (c < 3293
                    ? (c >= 3285 && c <= 3286)
                    : c <= 3294)
                  : (c <= 3299 || (c < 3313
                    ? (c >= 3302 && c <= 3311)
                    : c <= 3314)))
                : (c <= 3340 || (c < 3398
                  ? (c < 3346
                    ? (c >= 3342 && c <= 3344)
                    : c <= 3396)
                  : (c <= 3400 || (c < 3412
                    ? (c >= 3402 && c <= 3406)
                    : c <= 3415)))))))
            : (c <= 3427 || (c < 3544
              ? (c < 3507
                ? (c < 3457
                  ? (c < 3450
                    ? (c >= 3430 && c <= 3439)
                    : c <= 3455)
                  : (c <= 3459 || (c < 3482
                    ? (c >= 3461 && c <= 3478)
                    : c <= 3505)))
                : (c <= 3515 || (c < 3530
                  ? (c < 3520
                    ? c == 3517
                    : c <= 3526)
                  : (c <= 3530 || (c < 3542
                    ? (c >= 3535 && c <= 3540)
                    : c <= 3542)))))
              : (c <= 3551 || (c < 3713
                ? (c < 3585
                  ? (c < 3570
                    ? (c >= 3558 && c <= 3567)
                    : c <= 3571)
                  : (c <= 3642 || (c < 3664
                    ? (c >= 3648 && c <= 3662)
                    : c <= 3673)))
                : (c <= 3714 || (c < 3724
                  ? (c < 3718
                    ? c == 3716
                    : c <= 3722)
                  : (c <= 3747 || (c < 3751
                    ? c == 3749
                    : c <= 3773)))))))))))))
      : (c <= 3780 || (c < 8016
        ? (c < 5870
          ? (c < 4682
            ? (c < 3913
              ? (c < 3864
                ? (c < 3792
                  ? (c < 3784
                    ? c == 3782
                    : c <= 3789)
                  : (c <= 3801 || (c < 3840
                    ? (c >= 3804 && c <= 3807)
                    : c <= 3840)))
                : (c <= 3865 || (c < 3895
                  ? (c < 3893
                    ? (c >= 3872 && c <= 3881)
                    : c <= 3893)
                  : (c <= 3895 || (c < 3902
                    ? c == 3897
                    : c <= 3911)))))
              : (c <= 3948 || (c < 4176
                ? (c < 3993
                  ? (c < 3974
                    ? (c >= 3953 && c <= 3972)
                    : c <= 3991)
                  : (c <= 4028 || (c < 4096
                    ? c == 4038
                    : c <= 4169)))
                : (c <= 4253 || (c < 4301
                  ? (c < 4295
                    ? (c >= 4256 && c <= 4293)
                    : c <= 4295)
                  : (c <= 4301 || (c < 4348
                    ? (c >= 4304 && c <= 4346)
                    : c <= 4680)))))))
            : (c <= 4685 || (c < 4824
              ? (c < 4752
                ? (c < 4698
                  ? (c < 4696
                    ? (c >= 4688 && c <= 4694)
                    : c <= 4696)
                  : (c <= 4701 || (c < 4746
                    ? (c >= 4704 && c <= 4744)
                    : c <= 4749)))
                : (c <= 4784 || (c < 4800
                  ? (c < 4792
                    ? (c >= 4786 && c <= 4789)
                    : c <= 4798)
                  : (c <= 4800 || (c < 4808
                    ? (c >= 4802 && c <= 4805)
                    : c <= 4822)))))
              : (c <= 4880 || (c < 5024
                ? (c < 4957
                  ? (c < 4888
                    ? (c >= 4882 && c <= 4885)
                    : c <= 4954)
                  : (c <= 4959 || (c < 4992
                    ? (c >= 4969 && c <= 4977)
                    : c <= 5007)))
                : (c <= 5109 || (c < 5743
                  ? (c < 5121
                    ? (c >= 5112 && c <= 5117)
                    : c <= 5740)
                  : (c <= 5759 || (c < 5792
                    ? (c >= 5761 && c <= 5786)
                    : c <= 5866)))))))))
          : (c <= 5880 || (c < 6656
            ? (c < 6159
              ? (c < 6002
                ? (c < 5952
                  ? (c < 5919
                    ? (c >= 5888 && c <= 5909)
                    : c <= 5940)
                  : (c <= 5971 || (c < 5998
                    ? (c >= 5984 && c <= 5996)
                    : c <= 6000)))
                : (c <= 6003 || (c < 6108
                  ? (c < 6103
                    ? (c >= 6016 && c <= 6099)
                    : c <= 6103)
                  : (c <= 6109 || (c < 6155
                    ? (c >= 6112 && c <= 6121)
                    : c <= 6157)))))
              : (c <= 6169 || (c < 6448
                ? (c < 6320
                  ? (c < 6272
                    ? (c >= 6176 && c <= 6264)
                    : c <= 6314)
                  : (c <= 6389 || (c < 6432
                    ? (c >= 6400 && c <= 6430)
                    : c <= 6443)))
                : (c <= 6459 || (c < 6528
                  ? (c < 6512
                    ? (c >= 6470 && c <= 6509)
                    : c <= 6516)
                  : (c <= 6571 || (c < 6608
                    ? (c >= 6576 && c <= 6601)
                    : c <= 6618)))))))
            : (c <= 6683 || (c < 7168
              ? (c < 6832
                ? (c < 6783
                  ? (c < 6752
                    ? (c >= 6688 && c <= 6750)
                    : c <= 6780)
                  : (c <= 6793 || (c < 6823
                    ? (c >= 6800 && c <= 6809)
                    : c <= 6823)))
                : (c <= 6845 || (c < 6992
                  ? (c < 6912
                    ? (c >= 6847 && c <= 6862)
                    : c <= 6988)
                  : (c <= 7001 || (c < 7040
                    ? (c >= 7019 && c <= 7027)
                    : c <= 7155)))))
              : (c <= 7223 || (c < 7376
                ? (c < 7296
                  ? (c < 7245
                    ? (c >= 7232 && c <= 7241)
                    : c <= 7293)
                  : (c <= 7304 || (c < 7357
                    ? (c >= 7312 && c <= 7354)
                    : c <= 7359)))
                : (c <= 7378 || (c < 7960
                  ? (c < 7424
                    ? (c >= 7380 && c <= 7418)
                    : c <= 7957)
                  : (c <= 7965 || (c < 8008
                    ? (c >= 7968 && c <= 8005)
                    : c <= 8013)))))))))))
        : (c <= 8023 || (c < 11712
          ? (c < 8455
            ? (c < 8160
              ? (c < 8118
                ? (c < 8029
                  ? (c < 8027
                    ? c == 8025
                    : c <= 8027)
                  : (c <= 8029 || (c < 8064
                    ? (c >= 8031 && c <= 8061)
                    : c <= 8116)))
                : (c <= 8124 || (c < 8134
                  ? (c < 8130
                    ? c == 8126
                    : c <= 8132)
                  : (c <= 8140 || (c < 8150
                    ? (c >= 8144 && c <= 8147)
                    : c <= 8155)))))
              : (c <= 8172 || (c < 8319
                ? (c < 8255
                  ? (c < 8182
                    ? (c >= 8178 && c <= 8180)
                    : c <= 8188)
                  : (c <= 8256 || (c < 8305
                    ? c == 8276
                    : c <= 8305)))
                : (c <= 8319 || (c < 8417
                  ? (c < 8400
                    ? (c >= 8336 && c <= 8348)
                    : c <= 8412)
                  : (c <= 8417 || (c < 8450
                    ? (c >= 8421 && c <= 8432)
                    : c <= 8450)))))))
            : (c <= 8455 || (c < 11264
              ? (c < 8488
                ? (c < 8472
                  ? (c < 8469
                    ? (c >= 8458 && c <= 8467)
                    : c <= 8469)
                  : (c <= 8477 || (c < 8486
                    ? c == 8484
                    : c <= 8486)))
                : (c <= 8488 || (c < 8517
                  ? (c < 8508
                    ? (c >= 8490 && c <= 8505)
                    : c <= 8511)
                  : (c <= 8521 || (c < 8544
                    ? c == 8526
                    : c <= 8584)))))
              : (c <= 11492 || (c < 11631
                ? (c < 11559
                  ? (c < 11520
                    ? (c >= 11499 && c <= 11507)
                    : c <= 11557)
                  : (c <= 11559 || (c < 11568
                    ? c == 11565
                    : c <= 11623)))
                : (c <= 11631 || (c < 11688
                  ? (c < 11680
                    ? (c >= 11647 && c <= 11670)
                    : c <= 11686)
                  : (c <= 11694 || (c < 11704
                    ? (c >= 11696 && c <= 11702)
                    : c <= 11710)))))))))
          : (c <= 11718 || (c < 42612
            ? (c < 12449
              ? (c < 12321
                ? (c < 11736
                  ? (c < 11728
                    ? (c >= 11720 && c <= 11726)
                    : c <= 11734)
                  : (c <= 11742 || (c < 12293
                    ? (c >= 11744 && c <= 11775)
                    : c <= 12295)))
                : (c <= 12335 || (c < 12353
                  ? (c < 12344
                    ? (c >= 12337 && c <= 12341)
                    : c <= 12348)
                  : (c <= 12438 || (c < 12445
                    ? (c >= 12441 && c <= 12442)
                    : c <= 12447)))))
              : (c <= 12538 || (c < 13312
                ? (c < 12593
                  ? (c < 12549
                    ? (c >= 12540 && c <= 12543)
                    : c <= 12591)
                  : (c <= 12686 || (c < 12784
                    ? (c >= 12704 && c <= 12735)
                    : c <= 12799)))
                : (c <= 19903 || (c < 42240
                  ? (c < 42192
                    ? (c >= 19968 && c <= 42124)
                    : c <= 42237)
                  : (c <= 42508 || (c < 42560
                    ? (c >= 42512 && c <= 42539)
                    : c <= 42607)))))))
            : (c <= 42621 || (c < 43216
              ? (c < 42963
                ? (c < 42786
                  ? (c < 42775
                    ? (c >= 42623 && c <= 42737)
                    : c <= 42783)
                  : (c <= 42888 || (c < 42960
                    ? (c >= 42891 && c <= 42954)
                    : c <= 42961)))
                : (c <= 42963 || (c < 43052
                  ? (c < 42994
                    ? (c >= 42965 && c <= 42969)
                    : c <= 43047)
                  : (c <= 43052 || (c < 43136
                    ? (c >= 43072 && c <= 43123)
                    : c <= 43205)))))
              : (c <= 43225 || (c < 43392
                ? (c < 43261
                  ? (c < 43259
                    ? (c >= 43232 && c <= 43255)
                    : c <= 43259)
                  : (c <= 43309 || (c < 43360
                    ? (c >= 43312 && c <= 43347)
                    : c <= 43388)))
                : (c <= 43456 || (c < 43520
                  ? (c < 43488
                    ? (c >= 43471 && c <= 43481)
                    : c <= 43518)
                  : (c <= 43574 || (c >= 43584 && c <= 43597)))))))))))))))
    : (c <= 43609 || (c < 71453
      ? (c < 67594
        ? (c < 65343
          ? (c < 64298
            ? (c < 43868
              ? (c < 43777
                ? (c < 43739
                  ? (c < 43642
                    ? (c >= 43616 && c <= 43638)
                    : c <= 43714)
                  : (c <= 43741 || (c < 43762
                    ? (c >= 43744 && c <= 43759)
                    : c <= 43766)))
                : (c <= 43782 || (c < 43808
                  ? (c < 43793
                    ? (c >= 43785 && c <= 43790)
                    : c <= 43798)
                  : (c <= 43814 || (c < 43824
                    ? (c >= 43816 && c <= 43822)
                    : c <= 43866)))))
              : (c <= 43881 || (c < 55243
                ? (c < 44016
                  ? (c < 44012
                    ? (c >= 43888 && c <= 44010)
                    : c <= 44013)
                  : (c <= 44025 || (c < 55216
                    ? (c >= 44032 && c <= 55203)
                    : c <= 55238)))
                : (c <= 55291 || (c < 64256
                  ? (c < 64112
                    ? (c >= 63744 && c <= 64109)
                    : c <= 64217)
                  : (c <= 64262 || (c < 64285
                    ? (c >= 64275 && c <= 64279)
                    : c <= 64296)))))))
            : (c <= 64310 || (c < 65056
              ? (c < 64467
                ? (c < 64320
                  ? (c < 64318
                    ? (c >= 64312 && c <= 64316)
                    : c <= 64318)
                  : (c <= 64321 || (c < 64326
                    ? (c >= 64323 && c <= 64324)
                    : c <= 64433)))
                : (c <= 64605 || (c < 64914
                  ? (c < 64848
                    ? (c >= 64612 && c <= 64829)
                    : c <= 64911)
                  : (c <= 64967 || (c < 65024
                    ? (c >= 65008 && c <= 65017)
                    : c <= 65039)))))
              : (c <= 65071 || (c < 65145
                ? (c < 65137
                  ? (c < 65101
                    ? (c >= 65075 && c <= 65076)
                    : c <= 65103)
                  : (c <= 65137 || (c < 65143
                    ? c == 65139
                    : c <= 65143)))
                : (c <= 65145 || (c < 65151
                  ? (c < 65149
                    ? c == 65147
                    : c <= 65149)
                  : (c <= 65276 || (c < 65313
                    ? (c >= 65296 && c <= 65305)
                    : c <= 65338)))))))))
          : (c <= 65343 || (c < 66504
            ? (c < 65616
              ? (c < 65498
                ? (c < 65474
                  ? (c < 65382
                    ? (c >= 65345 && c <= 65370)
                    : c <= 65470)
                  : (c <= 65479 || (c < 65490
                    ? (c >= 65482 && c <= 65487)
                    : c <= 65495)))
                : (c <= 65500 || (c < 65576
                  ? (c < 65549
                    ? (c >= 65536 && c <= 65547)
                    : c <= 65574)
                  : (c <= 65594 || (c < 65599
                    ? (c >= 65596 && c <= 65597)
                    : c <= 65613)))))
              : (c <= 65629 || (c < 66272
                ? (c < 66045
                  ? (c < 65856
                    ? (c >= 65664 && c <= 65786)
                    : c <= 65908)
                  : (c <= 66045 || (c < 66208
                    ? (c >= 66176 && c <= 66204)
                    : c <= 66256)))
                : (c <= 66272 || (c < 66384
                  ? (c < 66349
                    ? (c >= 66304 && c <= 66335)
                    : c <= 66378)
                  : (c <= 66426 || (c < 66464
                    ? (c >= 66432 && c <= 66461)
                    : c <= 66499)))))))
            : (c <= 66511 || (c < 66967
              ? (c < 66816
                ? (c < 66720
                  ? (c < 66560
                    ? (c >= 66513 && c <= 66517)
                    : c <= 66717)
                  : (c <= 66729 || (c < 66776
                    ? (c >= 66736 && c <= 66771)
                    : c <= 66811)))
                : (c <= 66855 || (c < 66940
                  ? (c < 66928
                    ? (c >= 66864 && c <= 66915)
                    : c <= 66938)
                  : (c <= 66954 || (c < 66964
                    ? (c >= 66956 && c <= 66962)
                    : c <= 66965)))))
              : (c <= 66977 || (c < 67424
                ? (c < 67003
                  ? (c < 66995
                    ? (c >= 66979 && c <= 66993)
                    : c <= 67001)
                  : (c <= 67004 || (c < 67392
                    ? (c >= 67072 && c <= 67382)
                    : c <= 67413)))
                : (c <= 67431 || (c < 67506
                  ? (c < 67463
                    ? (c >= 67456 && c <= 67461)
                    : c <= 67504)
                  : (c <= 67514 || (c < 67592
                    ? (c >= 67584 && c <= 67589)
                    : c <= 67592)))))))))))
        : (c <= 67637 || (c < 69942
          ? (c < 68416
            ? (c < 68096
              ? (c < 67808
                ? (c < 67647
                  ? (c < 67644
                    ? (c >= 67639 && c <= 67640)
                    : c <= 67644)
                  : (c <= 67669 || (c < 67712
                    ? (c >= 67680 && c <= 67702)
                    : c <= 67742)))
                : (c <= 67826 || (c < 67872
                  ? (c < 67840
                    ? (c >= 67828 && c <= 67829)
                    : c <= 67861)
                  : (c <= 67897 || (c < 68030
                    ? (c >= 67968 && c <= 68023)
                    : c <= 68031)))))
              : (c <= 68099 || (c < 68159
                ? (c < 68117
                  ? (c < 68108
                    ? (c >= 68101 && c <= 68102)
                    : c <= 68115)
                  : (c <= 68119 || (c < 68152
                    ? (c >= 68121 && c <= 68149)
                    : c <= 68154)))
                : (c <= 68159 || (c < 68288
                  ? (c < 68224
                    ? (c >= 68192 && c <= 68220)
                    : c <= 68252)
                  : (c <= 68295 || (c < 68352
                    ? (c >= 68297 && c <= 68326)
                    : c <= 68405)))))))
            : (c <= 68437 || (c < 69415
              ? (c < 68864
                ? (c < 68608
                  ? (c < 68480
                    ? (c >= 68448 && c <= 68466)
                    : c <= 68497)
                  : (c <= 68680 || (c < 68800
                    ? (c >= 68736 && c <= 68786)
                    : c <= 68850)))
                : (c <= 68903 || (c < 69291
                  ? (c < 69248
                    ? (c >= 68912 && c <= 68921)
                    : c <= 69289)
                  : (c <= 69292 || (c < 69376
                    ? (c >= 69296 && c <= 69297)
                    : c <= 69404)))))
              : (c <= 69415 || (c < 69734
                ? (c < 69552
                  ? (c < 69488
                    ? (c >= 69424 && c <= 69456)
                    : c <= 69509)
                  : (c <= 69572 || (c < 69632
                    ? (c >= 69600 && c <= 69622)
                    : c <= 69702)))
                : (c <= 69749 || (c < 69840
                  ? (c < 69826
                    ? (c >= 69759 && c <= 69818)
                    : c <= 69826)
                  : (c <= 69864 || (c < 69888
                    ? (c >= 69872 && c <= 69881)
                    : c <= 69940)))))))))
          : (c <= 69951 || (c < 70453
            ? (c < 70280
              ? (c < 70094
                ? (c < 70006
                  ? (c < 69968
                    ? (c >= 69956 && c <= 69959)
                    : c <= 70003)
                  : (c <= 70006 || (c < 70089
                    ? (c >= 70016 && c <= 70084)
                    : c <= 70092)))
                : (c <= 70106 || (c < 70163
                  ? (c < 70144
                    ? c == 70108
                    : c <= 70161)
                  : (c <= 70199 || (c < 70272
                    ? c == 70206
                    : c <= 70278)))))
              : (c <= 70280 || (c < 70400
                ? (c < 70303
                  ? (c < 70287
                    ? (c >= 70282 && c <= 70285)
                    : c <= 70301)
                  : (c <= 70312 || (c < 70384
                    ? (c >= 70320 && c <= 70378)
                    : c <= 70393)))
                : (c <= 70403 || (c < 70419
                  ? (c < 70415
                    ? (c >= 70405 && c <= 70412)
                    : c <= 70416)
                  : (c <= 70440 || (c < 70450
                    ? (c >= 70442 && c <= 70448)
                    : c <= 70451)))))))
            : (c <= 70457 || (c < 70784
              ? (c < 70493
                ? (c < 70475
                  ? (c < 70471
                    ? (c >= 70459 && c <= 70468)
                    : c <= 70472)
                  : (c <= 70477 || (c < 70487
                    ? c == 70480
                    : c <= 70487)))
                : (c <= 70499 || (c < 70656
                  ? (c < 70512
                    ? (c >= 70502 && c <= 70508)
                    : c <= 70516)
                  : (c <= 70730 || (c < 70750
                    ? (c >= 70736 && c <= 70745)
                    : c <= 70753)))))
              : (c <= 70853 || (c < 71168
                ? (c < 71040
                  ? (c < 70864
                    ? c == 70855
                    : c <= 70873)
                  : (c <= 71093 || (c < 71128
                    ? (c >= 71096 && c <= 71104)
                    : c <= 71133)))
                : (c <= 71232 || (c < 71296
                  ? (c < 71248
                    ? c == 71236
                    : c <= 71257)
                  : (c <= 71352 || (c < 71424
                    ? (c >= 71360 && c <= 71369)
                    : c <= 71450)))))))))))))
      : (c <= 71467 || (c < 119973
        ? (c < 77824
          ? (c < 72760
            ? (c < 72016
              ? (c < 71945
                ? (c < 71680
                  ? (c < 71488
                    ? (c >= 71472 && c <= 71481)
                    : c <= 71494)
                  : (c <= 71738 || (c < 71935
                    ? (c >= 71840 && c <= 71913)
                    : c <= 71942)))
                : (c <= 71945 || (c < 71960
                  ? (c < 71957
                    ? (c >= 71948 && c <= 71955)
                    : c <= 71958)
                  : (c <= 71989 || (c < 71995
                    ? (c >= 71991 && c <= 71992)
                    : c <= 72003)))))
              : (c <= 72025 || (c < 72263
                ? (c < 72154
                  ? (c < 72106
                    ? (c >= 72096 && c <= 72103)
                    : c <= 72151)
                  : (c <= 72161 || (c < 72192
                    ? (c >= 72163 && c <= 72164)
                    : c <= 72254)))
                : (c <= 72263 || (c < 72368
                  ? (c < 72349
                    ? (c >= 72272 && c <= 72345)
                    : c <= 72349)
                  : (c <= 72440 || (c < 72714
                    ? (c >= 72704 && c <= 72712)
                    : c <= 72758)))))))
            : (c <= 72768 || (c < 73056
              ? (c < 72968
                ? (c < 72850
                  ? (c < 72818
                    ? (c >= 72784 && c <= 72793)
                    : c <= 72847)
                  : (c <= 72871 || (c < 72960
                    ? (c >= 72873 && c <= 72886)
                    : c <= 72966)))
                : (c <= 72969 || (c < 73020
                  ? (c < 73018
                    ? (c >= 72971 && c <= 73014)
                    : c <= 73018)
                  : (c <= 73021 || (c < 73040
                    ? (c >= 73023 && c <= 73031)
                    : c <= 73049)))))
              : (c <= 73061 || (c < 73440
                ? (c < 73104
                  ? (c < 73066
                    ? (c >= 73063 && c <= 73064)
                    : c <= 73102)
                  : (c <= 73105 || (c < 73120
                    ? (c >= 73107 && c <= 73112)
                    : c <= 73129)))
                : (c <= 73462 || (c < 74752
                  ? (c < 73728
                    ? c == 73648
                    : c <= 74649)
                  : (c <= 74862 || (c < 77712
                    ? (c >= 74880 && c <= 75075)
                    : c <= 77808)))))))))
          : (c <= 78894 || (c < 110576
            ? (c < 93027
              ? (c < 92864
                ? (c < 92736
                  ? (c < 92160
                    ? (c >= 82944 && c <= 83526)
                    : c <= 92728)
                  : (c <= 92766 || (c < 92784
                    ? (c >= 92768 && c <= 92777)
                    : c <= 92862)))
                : (c <= 92873 || (c < 92928
                  ? (c < 92912
                    ? (c >= 92880 && c <= 92909)
                    : c <= 92916)
                  : (c <= 92982 || (c < 93008
                    ? (c >= 92992 && c <= 92995)
                    : c <= 93017)))))
              : (c <= 93047 || (c < 94176
                ? (c < 93952
                  ? (c < 93760
                    ? (c >= 93053 && c <= 93071)
                    : c <= 93823)
                  : (c <= 94026 || (c < 94095
                    ? (c >= 94031 && c <= 94087)
                    : c <= 94111)))
                : (c <= 94177 || (c < 94208
                  ? (c < 94192
                    ? (c >= 94179 && c <= 94180)
                    : c <= 94193)
                  : (c <= 100343 || (c < 101632
                    ? (c >= 100352 && c <= 101589)
                    : c <= 101640)))))))
            : (c <= 110579 || (c < 118528
              ? (c < 110960
                ? (c < 110592
                  ? (c < 110589
                    ? (c >= 110581 && c <= 110587)
                    : c <= 110590)
                  : (c <= 110882 || (c < 110948
                    ? (c >= 110928 && c <= 110930)
                    : c <= 110951)))
                : (c <= 111355 || (c < 113792
                  ? (c < 113776
                    ? (c >= 113664 && c <= 113770)
                    : c <= 113788)
                  : (c <= 113800 || (c < 113821
                    ? (c >= 113808 && c <= 113817)
                    : c <= 113822)))))
              : (c <= 118573 || (c < 119210
                ? (c < 119149
                  ? (c < 119141
                    ? (c >= 118576 && c <= 118598)
                    : c <= 119145)
                  : (c <= 119154 || (c < 119173
                    ? (c >= 119163 && c <= 119170)
                    : c <= 119179)))
                : (c <= 119213 || (c < 119894
                  ? (c < 119808
                    ? (c >= 119362 && c <= 119364)
                    : c <= 119892)
                  : (c <= 119964 || (c < 119970
                    ? (c >= 119966 && c <= 119967)
                    : c <= 119970)))))))))))
        : (c <= 119974 || (c < 124912
          ? (c < 120746
            ? (c < 120134
              ? (c < 120071
                ? (c < 119995
                  ? (c < 119982
                    ? (c >= 119977 && c <= 119980)
                    : c <= 119993)
                  : (c <= 119995 || (c < 120005
                    ? (c >= 119997 && c <= 120003)
                    : c <= 120069)))
                : (c <= 120074 || (c < 120094
                  ? (c < 120086
                    ? (c >= 120077 && c <= 120084)
                    : c <= 120092)
                  : (c <= 120121 || (c < 120128
                    ? (c >= 120123 && c <= 120126)
                    : c <= 120132)))))
              : (c <= 120134 || (c < 120572
                ? (c < 120488
                  ? (c < 120146
                    ? (c >= 120138 && c <= 120144)
                    : c <= 120485)
                  : (c <= 120512 || (c < 120540
                    ? (c >= 120514 && c <= 120538)
                    : c <= 120570)))
                : (c <= 120596 || (c < 120656
                  ? (c < 120630
                    ? (c >= 120598 && c <= 120628)
                    : c <= 120654)
                  : (c <= 120686 || (c < 120714
                    ? (c >= 120688 && c <= 120712)
                    : c <= 120744)))))))
            : (c <= 120770 || (c < 122907
              ? (c < 121476
                ? (c < 121344
                  ? (c < 120782
                    ? (c >= 120772 && c <= 120779)
                    : c <= 120831)
                  : (c <= 121398 || (c < 121461
                    ? (c >= 121403 && c <= 121452)
                    : c <= 121461)))
                : (c <= 121476 || (c < 122624
                  ? (c < 121505
                    ? (c >= 121499 && c <= 121503)
                    : c <= 121519)
                  : (c <= 122654 || (c < 122888
                    ? (c >= 122880 && c <= 122886)
                    : c <= 122904)))))
              : (c <= 122913 || (c < 123214
                ? (c < 123136
                  ? (c < 122918
                    ? (c >= 122915 && c <= 122916)
                    : c <= 122922)
                  : (c <= 123180 || (c < 123200
                    ? (c >= 123184 && c <= 123197)
                    : c <= 123209)))
                : (c <= 123214 || (c < 124896
                  ? (c < 123584
                    ? (c >= 123536 && c <= 123566)
                    : c <= 123641)
                  : (c <= 124902 || (c < 124909
                    ? (c >= 124904 && c <= 124907)
                    : c <= 124910)))))))))
          : (c <= 124926 || (c < 126557
            ? (c < 126521
              ? (c < 126469
                ? (c < 125184
                  ? (c < 125136
                    ? (c >= 124928 && c <= 125124)
                    : c <= 125142)
                  : (c <= 125259 || (c < 126464
                    ? (c >= 125264 && c <= 125273)
                    : c <= 126467)))
                : (c <= 126495 || (c < 126503
                  ? (c < 126500
                    ? (c >= 126497 && c <= 126498)
                    : c <= 126500)
                  : (c <= 126503 || (c < 126516
                    ? (c >= 126505 && c <= 126514)
                    : c <= 126519)))))
              : (c <= 126521 || (c < 126541
                ? (c < 126535
                  ? (c < 126530
                    ? c == 126523
                    : c <= 126530)
                  : (c <= 126535 || (c < 126539
                    ? c == 126537
                    : c <= 126539)))
                : (c <= 126543 || (c < 126551
                  ? (c < 126548
                    ? (c >= 126545 && c <= 126546)
                    : c <= 126548)
                  : (c <= 126551 || (c < 126555
                    ? c == 126553
                    : c <= 126555)))))))
            : (c <= 126557 || (c < 126629
              ? (c < 126580
                ? (c < 126564
                  ? (c < 126561
                    ? c == 126559
                    : c <= 126562)
                  : (c <= 126564 || (c < 126572
                    ? (c >= 126567 && c <= 126570)
                    : c <= 126578)))
                : (c <= 126583 || (c < 126592
                  ? (c < 126590
                    ? (c >= 126585 && c <= 126588)
                    : c <= 126590)
                  : (c <= 126601 || (c < 126625
                    ? (c >= 126603 && c <= 126619)
                    : c <= 126627)))))
              : (c <= 126633 || (c < 178208
                ? (c < 131072
                  ? (c < 130032
                    ? (c >= 126635 && c <= 126651)
                    : c <= 130041)
                  : (c <= 173791 || (c < 177984
                    ? (c >= 173824 && c <= 177976)
                    : c <= 178205)))
                : (c <= 183969 || (c < 196608
                  ? (c < 194560
                    ? (c >= 183984 && c <= 191456)
                    : c <= 195101)
                  : (c <= 201546 || (c >= 917760 && c <= 917999)))))))))))))))));
}

static inline bool sym_identifier_character_set_32(int32_t c) {
  return (c < 43600
    ? (c < 3776
      ? (c < 2738
        ? (c < 1984
          ? (c < 910
            ? (c < 216
              ? (c < 'j'
                ? (c < 'A'
                  ? (c < '0'
                    ? c == '$'
                    : c <= '9')
                  : (c <= 'Z' || (c < 'a'
                    ? c == '_'
                    : c <= 'h')))
                : (c <= 'z' || (c < 183
                  ? (c < 181
                    ? c == 170
                    : c <= 181)
                  : (c <= 183 || (c < 192
                    ? c == 186
                    : c <= 214)))))
              : (c <= 246 || (c < 768
                ? (c < 736
                  ? (c < 710
                    ? (c >= 248 && c <= 705)
                    : c <= 721)
                  : (c <= 740 || (c < 750
                    ? c == 748
                    : c <= 750)))
                : (c <= 884 || (c < 895
                  ? (c < 891
                    ? (c >= 886 && c <= 887)
                    : c <= 893)
                  : (c <= 895 || (c < 908
                    ? (c >= 902 && c <= 906)
                    : c <= 908)))))))
            : (c <= 929 || (c < 1479
              ? (c < 1369
                ? (c < 1155
                  ? (c < 1015
                    ? (c >= 931 && c <= 1013)
                    : c <= 1153)
                  : (c <= 1159 || (c < 1329
                    ? (c >= 1162 && c <= 1327)
                    : c <= 1366)))
                : (c <= 1369 || (c < 1471
                  ? (c < 1425
                    ? (c >= 1376 && c <= 1416)
                    : c <= 1469)
                  : (c <= 1471 || (c < 1476
                    ? (c >= 1473 && c <= 1474)
                    : c <= 1477)))))
              : (c <= 1479 || (c < 1749
                ? (c < 1552
                  ? (c < 1519
                    ? (c >= 1488 && c <= 1514)
                    : c <= 1522)
                  : (c <= 1562 || (c < 1646
                    ? (c >= 1568 && c <= 1641)
                    : c <= 1747)))
                : (c <= 1756 || (c < 1791
                  ? (c < 1770
                    ? (c >= 1759 && c <= 1768)
                    : c <= 1788)
                  : (c <= 1791 || (c < 1869
                    ? (c >= 1808 && c <= 1866)
                    : c <= 1969)))))))))
          : (c <= 2037 || (c < 2534
            ? (c < 2437
              ? (c < 2160
                ? (c < 2048
                  ? (c < 2045
                    ? c == 2042
                    : c <= 2045)
                  : (c <= 2093 || (c < 2144
                    ? (c >= 2112 && c <= 2139)
                    : c <= 2154)))
                : (c <= 2183 || (c < 2275
                  ? (c < 2200
                    ? (c >= 2185 && c <= 2190)
                    : c <= 2273)
                  : (c <= 2403 || (c < 2417
                    ? (c >= 2406 && c <= 2415)
                    : c <= 2435)))))
              : (c <= 2444 || (c < 2492
                ? (c < 2474
                  ? (c < 2451
                    ? (c >= 2447 && c <= 2448)
                    : c <= 2472)
                  : (c <= 2480 || (c < 2486
                    ? c == 2482
                    : c <= 2489)))
                : (c <= 2500 || (c < 2519
                  ? (c < 2507
                    ? (c >= 2503 && c <= 2504)
                    : c <= 2510)
                  : (c <= 2519 || (c < 2527
                    ? (c >= 2524 && c <= 2525)
                    : c <= 2531)))))))
            : (c <= 2545 || (c < 2622
              ? (c < 2579
                ? (c < 2561
                  ? (c < 2558
                    ? c == 2556
                    : c <= 2558)
                  : (c <= 2563 || (c < 2575
                    ? (c >= 2565 && c <= 2570)
                    : c <= 2576)))
                : (c <= 2600 || (c < 2613
                  ? (c < 2610
                    ? (c >= 2602 && c <= 2608)
                    : c <= 2611)
                  : (c <= 2614 || (c < 2620
                    ? (c >= 2616 && c <= 2617)
                    : c <= 2620)))))
              : (c <= 2626 || (c < 2662
                ? (c < 2641
                  ? (c < 2635
                    ? (c >= 2631 && c <= 2632)
                    : c <= 2637)
                  : (c <= 2641 || (c < 2654
                    ? (c >= 2649 && c <= 2652)
                    : c <= 2654)))
                : (c <= 2677 || (c < 2703
                  ? (c < 2693
                    ? (c >= 2689 && c <= 2691)
                    : c <= 2701)
                  : (c <= 2705 || (c < 2730
                    ? (c >= 2707 && c <= 2728)
                    : c <= 2736)))))))))))
        : (c <= 2739 || (c < 3160
          ? (c < 2946
            ? (c < 2835
              ? (c < 2784
                ? (c < 2759
                  ? (c < 2748
                    ? (c >= 2741 && c <= 2745)
                    : c <= 2757)
                  : (c <= 2761 || (c < 2768
                    ? (c >= 2763 && c <= 2765)
                    : c <= 2768)))
                : (c <= 2787 || (c < 2817
                  ? (c < 2809
                    ? (c >= 2790 && c <= 2799)
                    : c <= 2815)
                  : (c <= 2819 || (c < 2831
                    ? (c >= 2821 && c <= 2828)
                    : c <= 2832)))))
              : (c <= 2856 || (c < 2891
                ? (c < 2869
                  ? (c < 2866
                    ? (c >= 2858 && c <= 2864)
                    : c <= 2867)
                  : (c <= 2873 || (c < 2887
                    ? (c >= 2876 && c <= 2884)
                    : c <= 2888)))
                : (c <= 2893 || (c < 2911
                  ? (c < 2908
                    ? (c >= 2901 && c <= 2903)
                    : c <= 2909)
                  : (c <= 2915 || (c < 2929
                    ? (c >= 2918 && c <= 2927)
                    : c <= 2929)))))))
            : (c <= 2947 || (c < 3018
              ? (c < 2974
                ? (c < 2962
                  ? (c < 2958
                    ? (c >= 2949 && c <= 2954)
                    : c <= 2960)
                  : (c <= 2965 || (c < 2972
                    ? (c >= 2969 && c <= 2970)
                    : c <= 2972)))
                : (c <= 2975 || (c < 2990
                  ? (c < 2984
                    ? (c >= 2979 && c <= 2980)
                    : c <= 2986)
                  : (c <= 3001 || (c < 3014
                    ? (c >= 3006 && c <= 3010)
                    : c <= 3016)))))
              : (c <= 3021 || (c < 3090
                ? (c < 3046
                  ? (c < 3031
                    ? c == 3024
                    : c <= 3031)
                  : (c <= 3055 || (c < 3086
                    ? (c >= 3072 && c <= 3084)
                    : c <= 3088)))
                : (c <= 3112 || (c < 3142
                  ? (c < 3132
                    ? (c >= 3114 && c <= 3129)
                    : c <= 3140)
                  : (c <= 3144 || (c < 3157
                    ? (c >= 3146 && c <= 3149)
                    : c <= 3158)))))))))
          : (c <= 3162 || (c < 3423
            ? (c < 3274
              ? (c < 3214
                ? (c < 3174
                  ? (c < 3168
                    ? c == 3165
                    : c <= 3171)
                  : (c <= 3183 || (c < 3205
                    ? (c >= 3200 && c <= 3203)
                    : c <= 3212)))
                : (c <= 3216 || (c < 3253
                  ? (c < 3242
                    ? (c >= 3218 && c <= 3240)
                    : c <= 3251)
                  : (c <= 3257 || (c < 3270
                    ? (c >= 3260 && c <= 3268)
                    : c <= 3272)))))
              : (c <= 3277 || (c < 3328
                ? (c < 3296
                  ? (c < 3293
                    ? (c >= 3285 && c <= 3286)
                    : c <= 3294)
                  : (c <= 3299 || (c < 3313
                    ? (c >= 3302 && c <= 3311)
                    : c <= 3314)))
                : (c <= 3340 || (c < 3398
                  ? (c < 3346
                    ? (c >= 3342 && c <= 3344)
                    : c <= 3396)
                  : (c <= 3400 || (c < 3412
                    ? (c >= 3402 && c <= 3406)
                    : c <= 3415)))))))
            : (c <= 3427 || (c < 3544
              ? (c < 3507
                ? (c < 3457
                  ? (c < 3450
                    ? (c >= 3430 && c <= 3439)
                    : c <= 3455)
                  : (c <= 3459 || (c < 3482
                    ? (c >= 3461 && c <= 3478)
                    : c <= 3505)))
                : (c <= 3515 || (c < 3530
                  ? (c < 3520
                    ? c == 3517
                    : c <= 3526)
                  : (c <= 3530 || (c < 3542
                    ? (c >= 3535 && c <= 3540)
                    : c <= 3542)))))
              : (c <= 3551 || (c < 3713
                ? (c < 3585
                  ? (c < 3570
                    ? (c >= 3558 && c <= 3567)
                    : c <= 3571)
                  : (c <= 3642 || (c < 3664
                    ? (c >= 3648 && c <= 3662)
                    : c <= 3673)))
                : (c <= 3714 || (c < 3724
                  ? (c < 3718
                    ? c == 3716
                    : c <= 3722)
                  : (c <= 3747 || (c < 3751
                    ? c == 3749
                    : c <= 3773)))))))))))))
      : (c <= 3780 || (c < 8016
        ? (c < 5870
          ? (c < 4682
            ? (c < 3913
              ? (c < 3864
                ? (c < 3792
                  ? (c < 3784
                    ? c == 3782
                    : c <= 3789)
                  : (c <= 3801 || (c < 3840
                    ? (c >= 3804 && c <= 3807)
                    : c <= 3840)))
                : (c <= 3865 || (c < 3895
                  ? (c < 3893
                    ? (c >= 3872 && c <= 3881)
                    : c <= 3893)
                  : (c <= 3895 || (c < 3902
                    ? c == 3897
                    : c <= 3911)))))
              : (c <= 3948 || (c < 4176
                ? (c < 3993
                  ? (c < 3974
                    ? (c >= 3953 && c <= 3972)
                    : c <= 3991)
                  : (c <= 4028 || (c < 4096
                    ? c == 4038
                    : c <= 4169)))
                : (c <= 4253 || (c < 4301
                  ? (c < 4295
                    ? (c >= 4256 && c <= 4293)
                    : c <= 4295)
                  : (c <= 4301 || (c < 4348
                    ? (c >= 4304 && c <= 4346)
                    : c <= 4680)))))))
            : (c <= 4685 || (c < 4824
              ? (c < 4752
                ? (c < 4698
                  ? (c < 4696
                    ? (c >= 4688 && c <= 4694)
                    : c <= 4696)
                  : (c <= 4701 || (c < 4746
                    ? (c >= 4704 && c <= 4744)
                    : c <= 4749)))
                : (c <= 4784 || (c < 4800
                  ? (c < 4792
                    ? (c >= 4786 && c <= 4789)
                    : c <= 4798)
                  : (c <= 4800 || (c < 4808
                    ? (c >= 4802 && c <= 4805)
                    : c <= 4822)))))
              : (c <= 4880 || (c < 5024
                ? (c < 4957
                  ? (c < 4888
                    ? (c >= 4882 && c <= 4885)
                    : c <= 4954)
                  : (c <= 4959 || (c < 4992
                    ? (c >= 4969 && c <= 4977)
                    : c <= 5007)))
                : (c <= 5109 || (c < 5743
                  ? (c < 5121
                    ? (c >= 5112 && c <= 5117)
                    : c <= 5740)
                  : (c <= 5759 || (c < 5792
                    ? (c >= 5761 && c <= 5786)
                    : c <= 5866)))))))))
          : (c <= 5880 || (c < 6656
            ? (c < 6159
              ? (c < 6002
                ? (c < 5952
                  ? (c < 5919
                    ? (c >= 5888 && c <= 5909)
                    : c <= 5940)
                  : (c <= 5971 || (c < 5998
                    ? (c >= 5984 && c <= 5996)
                    : c <= 6000)))
                : (c <= 6003 || (c < 6108
                  ? (c < 6103
                    ? (c >= 6016 && c <= 6099)
                    : c <= 6103)
                  : (c <= 6109 || (c < 6155
                    ? (c >= 6112 && c <= 6121)
                    : c <= 6157)))))
              : (c <= 6169 || (c < 6448
                ? (c < 6320
                  ? (c < 6272
                    ? (c >= 6176 && c <= 6264)
                    : c <= 6314)
                  : (c <= 6389 || (c < 6432
                    ? (c >= 6400 && c <= 6430)
                    : c <= 6443)))
                : (c <= 6459 || (c < 6528
                  ? (c < 6512
                    ? (c >= 6470 && c <= 6509)
                    : c <= 6516)
                  : (c <= 6571 || (c < 6608
                    ? (c >= 6576 && c <= 6601)
                    : c <= 6618)))))))
            : (c <= 6683 || (c < 7168
              ? (c < 6832
                ? (c < 6783
                  ? (c < 6752
                    ? (c >= 6688 && c <= 6750)
                    : c <= 6780)
                  : (c <= 6793 || (c < 6823
                    ? (c >= 6800 && c <= 6809)
                    : c <= 6823)))
                : (c <= 6845 || (c < 6992
                  ? (c < 6912
                    ? (c >= 6847 && c <= 6862)
                    : c <= 6988)
                  : (c <= 7001 || (c < 7040
                    ? (c >= 7019 && c <= 7027)
                    : c <= 7155)))))
              : (c <= 7223 || (c < 7376
                ? (c < 7296
                  ? (c < 7245
                    ? (c >= 7232 && c <= 7241)
                    : c <= 7293)
                  : (c <= 7304 || (c < 7357
                    ? (c >= 7312 && c <= 7354)
                    : c <= 7359)))
                : (c <= 7378 || (c < 7960
                  ? (c < 7424
                    ? (c >= 7380 && c <= 7418)
                    : c <= 7957)
                  : (c <= 7965 || (c < 8008
                    ? (c >= 7968 && c <= 8005)
                    : c <= 8013)))))))))))
        : (c <= 8023 || (c < 11712
          ? (c < 8455
            ? (c < 8160
              ? (c < 8118
                ? (c < 8029
                  ? (c < 8027
                    ? c == 8025
                    : c <= 8027)
                  : (c <= 8029 || (c < 8064
                    ? (c >= 8031 && c <= 8061)
                    : c <= 8116)))
                : (c <= 8124 || (c < 8134
                  ? (c < 8130
                    ? c == 8126
                    : c <= 8132)
                  : (c <= 8140 || (c < 8150
                    ? (c >= 8144 && c <= 8147)
                    : c <= 8155)))))
              : (c <= 8172 || (c < 8319
                ? (c < 8255
                  ? (c < 8182
                    ? (c >= 8178 && c <= 8180)
                    : c <= 8188)
                  : (c <= 8256 || (c < 8305
                    ? c == 8276
                    : c <= 8305)))
                : (c <= 8319 || (c < 8417
                  ? (c < 8400
                    ? (c >= 8336 && c <= 8348)
                    : c <= 8412)
                  : (c <= 8417 || (c < 8450
                    ? (c >= 8421 && c <= 8432)
                    : c <= 8450)))))))
            : (c <= 8455 || (c < 11264
              ? (c < 8488
                ? (c < 8472
                  ? (c < 8469
                    ? (c >= 8458 && c <= 8467)
                    : c <= 8469)
                  : (c <= 8477 || (c < 8486
                    ? c == 8484
                    : c <= 8486)))
                : (c <= 8488 || (c < 8517
                  ? (c < 8508
                    ? (c >= 8490 && c <= 8505)
                    : c <= 8511)
                  : (c <= 8521 || (c < 8544
                    ? c == 8526
                    : c <= 8584)))))
              : (c <= 11492 || (c < 11631
                ? (c < 11559
                  ? (c < 11520
                    ? (c >= 11499 && c <= 11507)
                    : c <= 11557)
                  : (c <= 11559 || (c < 11568
                    ? c == 11565
                    : c <= 11623)))
                : (c <= 11631 || (c < 11688
                  ? (c < 11680
                    ? (c >= 11647 && c <= 11670)
                    : c <= 11686)
                  : (c <= 11694 || (c < 11704
                    ? (c >= 11696 && c <= 11702)
                    : c <= 11710)))))))))
          : (c <= 11718 || (c < 42612
            ? (c < 12449
              ? (c < 12321
                ? (c < 11736
                  ? (c < 11728
                    ? (c >= 11720 && c <= 11726)
                    : c <= 11734)
                  : (c <= 11742 || (c < 12293
                    ? (c >= 11744 && c <= 11775)
                    : c <= 12295)))
                : (c <= 12335 || (c < 12353
                  ? (c < 12344
                    ? (c >= 12337 && c <= 12341)
                    : c <= 12348)
                  : (c <= 12438 || (c < 12445
                    ? (c >= 12441 && c <= 12442)
                    : c <= 12447)))))
              : (c <= 12538 || (c < 13312
                ? (c < 12593
                  ? (c < 12549
                    ? (c >= 12540 && c <= 12543)
                    : c <= 12591)
                  : (c <= 12686 || (c < 12784
                    ? (c >= 12704 && c <= 12735)
                    : c <= 12799)))
                : (c <= 19903 || (c < 42240
                  ? (c < 42192
                    ? (c >= 19968 && c <= 42124)
                    : c <= 42237)
                  : (c <= 42508 || (c < 42560
                    ? (c >= 42512 && c <= 42539)
                    : c <= 42607)))))))
            : (c <= 42621 || (c < 43216
              ? (c < 42963
                ? (c < 42786
                  ? (c < 42775
                    ? (c >= 42623 && c <= 42737)
                    : c <= 42783)
                  : (c <= 42888 || (c < 42960
                    ? (c >= 42891 && c <= 42954)
                    : c <= 42961)))
                : (c <= 42963 || (c < 43052
                  ? (c < 42994
                    ? (c >= 42965 && c <= 42969)
                    : c <= 43047)
                  : (c <= 43052 || (c < 43136
                    ? (c >= 43072 && c <= 43123)
                    : c <= 43205)))))
              : (c <= 43225 || (c < 43392
                ? (c < 43261
                  ? (c < 43259
                    ? (c >= 43232 && c <= 43255)
                    : c <= 43259)
                  : (c <= 43309 || (c < 43360
                    ? (c >= 43312 && c <= 43347)
                    : c <= 43388)))
                : (c <= 43456 || (c < 43520
                  ? (c < 43488
                    ? (c >= 43471 && c <= 43481)
                    : c <= 43518)
                  : (c <= 43574 || (c >= 43584 && c <= 43597)))))))))))))))
    : (c <= 43609 || (c < 71453
      ? (c < 67594
        ? (c < 65343
          ? (c < 64298
            ? (c < 43868
              ? (c < 43777
                ? (c < 43739
                  ? (c < 43642
                    ? (c >= 43616 && c <= 43638)
                    : c <= 43714)
                  : (c <= 43741 || (c < 43762
                    ? (c >= 43744 && c <= 43759)
                    : c <= 43766)))
                : (c <= 43782 || (c < 43808
                  ? (c < 43793
                    ? (c >= 43785 && c <= 43790)
                    : c <= 43798)
                  : (c <= 43814 || (c < 43824
                    ? (c >= 43816 && c <= 43822)
                    : c <= 43866)))))
              : (c <= 43881 || (c < 55243
                ? (c < 44016
                  ? (c < 44012
                    ? (c >= 43888 && c <= 44010)
                    : c <= 44013)
                  : (c <= 44025 || (c < 55216
                    ? (c >= 44032 && c <= 55203)
                    : c <= 55238)))
                : (c <= 55291 || (c < 64256
                  ? (c < 64112
                    ? (c >= 63744 && c <= 64109)
                    : c <= 64217)
                  : (c <= 64262 || (c < 64285
                    ? (c >= 64275 && c <= 64279)
                    : c <= 64296)))))))
            : (c <= 64310 || (c < 65056
              ? (c < 64467
                ? (c < 64320
                  ? (c < 64318
                    ? (c >= 64312 && c <= 64316)
                    : c <= 64318)
                  : (c <= 64321 || (c < 64326
                    ? (c >= 64323 && c <= 64324)
                    : c <= 64433)))
                : (c <= 64605 || (c < 64914
                  ? (c < 64848
                    ? (c >= 64612 && c <= 64829)
                    : c <= 64911)
                  : (c <= 64967 || (c < 65024
                    ? (c >= 65008 && c <= 65017)
                    : c <= 65039)))))
              : (c <= 65071 || (c < 65145
                ? (c < 65137
                  ? (c < 65101
                    ? (c >= 65075 && c <= 65076)
                    : c <= 65103)
                  : (c <= 65137 || (c < 65143
                    ? c == 65139
                    : c <= 65143)))
                : (c <= 65145 || (c < 65151
                  ? (c < 65149
                    ? c == 65147
                    : c <= 65149)
                  : (c <= 65276 || (c < 65313
                    ? (c >= 65296 && c <= 65305)
                    : c <= 65338)))))))))
          : (c <= 65343 || (c < 66504
            ? (c < 65616
              ? (c < 65498
                ? (c < 65474
                  ? (c < 65382
                    ? (c >= 65345 && c <= 65370)
                    : c <= 65470)
                  : (c <= 65479 || (c < 65490
                    ? (c >= 65482 && c <= 65487)
                    : c <= 65495)))
                : (c <= 65500 || (c < 65576
                  ? (c < 65549
                    ? (c >= 65536 && c <= 65547)
                    : c <= 65574)
                  : (c <= 65594 || (c < 65599
                    ? (c >= 65596 && c <= 65597)
                    : c <= 65613)))))
              : (c <= 65629 || (c < 66272
                ? (c < 66045
                  ? (c < 65856
                    ? (c >= 65664 && c <= 65786)
                    : c <= 65908)
                  : (c <= 66045 || (c < 66208
                    ? (c >= 66176 && c <= 66204)
                    : c <= 66256)))
                : (c <= 66272 || (c < 66384
                  ? (c < 66349
                    ? (c >= 66304 && c <= 66335)
                    : c <= 66378)
                  : (c <= 66426 || (c < 66464
                    ? (c >= 66432 && c <= 66461)
                    : c <= 66499)))))))
            : (c <= 66511 || (c < 66967
              ? (c < 66816
                ? (c < 66720
                  ? (c < 66560
                    ? (c >= 66513 && c <= 66517)
                    : c <= 66717)
                  : (c <= 66729 || (c < 66776
                    ? (c >= 66736 && c <= 66771)
                    : c <= 66811)))
                : (c <= 66855 || (c < 66940
                  ? (c < 66928
                    ? (c >= 66864 && c <= 66915)
                    : c <= 66938)
                  : (c <= 66954 || (c < 66964
                    ? (c >= 66956 && c <= 66962)
                    : c <= 66965)))))
              : (c <= 66977 || (c < 67424
                ? (c < 67003
                  ? (c < 66995
                    ? (c >= 66979 && c <= 66993)
                    : c <= 67001)
                  : (c <= 67004 || (c < 67392
                    ? (c >= 67072 && c <= 67382)
                    : c <= 67413)))
                : (c <= 67431 || (c < 67506
                  ? (c < 67463
                    ? (c >= 67456 && c <= 67461)
                    : c <= 67504)
                  : (c <= 67514 || (c < 67592
                    ? (c >= 67584 && c <= 67589)
                    : c <= 67592)))))))))))
        : (c <= 67637 || (c < 69942
          ? (c < 68416
            ? (c < 68096
              ? (c < 67808
                ? (c < 67647
                  ? (c < 67644
                    ? (c >= 67639 && c <= 67640)
                    : c <= 67644)
                  : (c <= 67669 || (c < 67712
                    ? (c >= 67680 && c <= 67702)
                    : c <= 67742)))
                : (c <= 67826 || (c < 67872
                  ? (c < 67840
                    ? (c >= 67828 && c <= 67829)
                    : c <= 67861)
                  : (c <= 67897 || (c < 68030
                    ? (c >= 67968 && c <= 68023)
                    : c <= 68031)))))
              : (c <= 68099 || (c < 68159
                ? (c < 68117
                  ? (c < 68108
                    ? (c >= 68101 && c <= 68102)
                    : c <= 68115)
                  : (c <= 68119 || (c < 68152
                    ? (c >= 68121 && c <= 68149)
                    : c <= 68154)))
                : (c <= 68159 || (c < 68288
                  ? (c < 68224
                    ? (c >= 68192 && c <= 68220)
                    : c <= 68252)
                  : (c <= 68295 || (c < 68352
                    ? (c >= 68297 && c <= 68326)
                    : c <= 68405)))))))
            : (c <= 68437 || (c < 69415
              ? (c < 68864
                ? (c < 68608
                  ? (c < 68480
                    ? (c >= 68448 && c <= 68466)
                    : c <= 68497)
                  : (c <= 68680 || (c < 68800
                    ? (c >= 68736 && c <= 68786)
                    : c <= 68850)))
                : (c <= 68903 || (c < 69291
                  ? (c < 69248
                    ? (c >= 68912 && c <= 68921)
                    : c <= 69289)
                  : (c <= 69292 || (c < 69376
                    ? (c >= 69296 && c <= 69297)
                    : c <= 69404)))))
              : (c <= 69415 || (c < 69734
                ? (c < 69552
                  ? (c < 69488
                    ? (c >= 69424 && c <= 69456)
                    : c <= 69509)
                  : (c <= 69572 || (c < 69632
                    ? (c >= 69600 && c <= 69622)
                    : c <= 69702)))
                : (c <= 69749 || (c < 69840
                  ? (c < 69826
                    ? (c >= 69759 && c <= 69818)
                    : c <= 69826)
                  : (c <= 69864 || (c < 69888
                    ? (c >= 69872 && c <= 69881)
                    : c <= 69940)))))))))
          : (c <= 69951 || (c < 70453
            ? (c < 70280
              ? (c < 70094
                ? (c < 70006
                  ? (c < 69968
                    ? (c >= 69956 && c <= 69959)
                    : c <= 70003)
                  : (c <= 70006 || (c < 70089
                    ? (c >= 70016 && c <= 70084)
                    : c <= 70092)))
                : (c <= 70106 || (c < 70163
                  ? (c < 70144
                    ? c == 70108
                    : c <= 70161)
                  : (c <= 70199 || (c < 70272
                    ? c == 70206
                    : c <= 70278)))))
              : (c <= 70280 || (c < 70400
                ? (c < 70303
                  ? (c < 70287
                    ? (c >= 70282 && c <= 70285)
                    : c <= 70301)
                  : (c <= 70312 || (c < 70384
                    ? (c >= 70320 && c <= 70378)
                    : c <= 70393)))
                : (c <= 70403 || (c < 70419
                  ? (c < 70415
                    ? (c >= 70405 && c <= 70412)
                    : c <= 70416)
                  : (c <= 70440 || (c < 70450
                    ? (c >= 70442 && c <= 70448)
                    : c <= 70451)))))))
            : (c <= 70457 || (c < 70784
              ? (c < 70493
                ? (c < 70475
                  ? (c < 70471
                    ? (c >= 70459 && c <= 70468)
                    : c <= 70472)
                  : (c <= 70477 || (c < 70487
                    ? c == 70480
                    : c <= 70487)))
                : (c <= 70499 || (c < 70656
                  ? (c < 70512
                    ? (c >= 70502 && c <= 70508)
                    : c <= 70516)
                  : (c <= 70730 || (c < 70750
                    ? (c >= 70736 && c <= 70745)
                    : c <= 70753)))))
              : (c <= 70853 || (c < 71168
                ? (c < 71040
                  ? (c < 70864
                    ? c == 70855
                    : c <= 70873)
                  : (c <= 71093 || (c < 71128
                    ? (c >= 71096 && c <= 71104)
                    : c <= 71133)))
                : (c <= 71232 || (c < 71296
                  ? (c < 71248
                    ? c == 71236
                    : c <= 71257)
                  : (c <= 71352 || (c < 71424
                    ? (c >= 71360 && c <= 71369)
                    : c <= 71450)))))))))))))
      : (c <= 71467 || (c < 119973
        ? (c < 77824
          ? (c < 72760
            ? (c < 72016
              ? (c < 71945
                ? (c < 71680
                  ? (c < 71488
                    ? (c >= 71472 && c <= 71481)
                    : c <= 71494)
                  : (c <= 71738 || (c < 71935
                    ? (c >= 71840 && c <= 71913)
                    : c <= 71942)))
                : (c <= 71945 || (c < 71960
                  ? (c < 71957
                    ? (c >= 71948 && c <= 71955)
                    : c <= 71958)
                  : (c <= 71989 || (c < 71995
                    ? (c >= 71991 && c <= 71992)
                    : c <= 72003)))))
              : (c <= 72025 || (c < 72263
                ? (c < 72154
                  ? (c < 72106
                    ? (c >= 72096 && c <= 72103)
                    : c <= 72151)
                  : (c <= 72161 || (c < 72192
                    ? (c >= 72163 && c <= 72164)
                    : c <= 72254)))
                : (c <= 72263 || (c < 72368
                  ? (c < 72349
                    ? (c >= 72272 && c <= 72345)
                    : c <= 72349)
                  : (c <= 72440 || (c < 72714
                    ? (c >= 72704 && c <= 72712)
                    : c <= 72758)))))))
            : (c <= 72768 || (c < 73056
              ? (c < 72968
                ? (c < 72850
                  ? (c < 72818
                    ? (c >= 72784 && c <= 72793)
                    : c <= 72847)
                  : (c <= 72871 || (c < 72960
                    ? (c >= 72873 && c <= 72886)
                    : c <= 72966)))
                : (c <= 72969 || (c < 73020
                  ? (c < 73018
                    ? (c >= 72971 && c <= 73014)
                    : c <= 73018)
                  : (c <= 73021 || (c < 73040
                    ? (c >= 73023 && c <= 73031)
                    : c <= 73049)))))
              : (c <= 73061 || (c < 73440
                ? (c < 73104
                  ? (c < 73066
                    ? (c >= 73063 && c <= 73064)
                    : c <= 73102)
                  : (c <= 73105 || (c < 73120
                    ? (c >= 73107 && c <= 73112)
                    : c <= 73129)))
                : (c <= 73462 || (c < 74752
                  ? (c < 73728
                    ? c == 73648
                    : c <= 74649)
                  : (c <= 74862 || (c < 77712
                    ? (c >= 74880 && c <= 75075)
                    : c <= 77808)))))))))
          : (c <= 78894 || (c < 110576
            ? (c < 93027
              ? (c < 92864
                ? (c < 92736
                  ? (c < 92160
                    ? (c >= 82944 && c <= 83526)
                    : c <= 92728)
                  : (c <= 92766 || (c < 92784
                    ? (c >= 92768 && c <= 92777)
                    : c <= 92862)))
                : (c <= 92873 || (c < 92928
                  ? (c < 92912
                    ? (c >= 92880 && c <= 92909)
                    : c <= 92916)
                  : (c <= 92982 || (c < 93008
                    ? (c >= 92992 && c <= 92995)
                    : c <= 93017)))))
              : (c <= 93047 || (c < 94176
                ? (c < 93952
                  ? (c < 93760
                    ? (c >= 93053 && c <= 93071)
                    : c <= 93823)
                  : (c <= 94026 || (c < 94095
                    ? (c >= 94031 && c <= 94087)
                    : c <= 94111)))
                : (c <= 94177 || (c < 94208
                  ? (c < 94192
                    ? (c >= 94179 && c <= 94180)
                    : c <= 94193)
                  : (c <= 100343 || (c < 101632
                    ? (c >= 100352 && c <= 101589)
                    : c <= 101640)))))))
            : (c <= 110579 || (c < 118528
              ? (c < 110960
                ? (c < 110592
                  ? (c < 110589
                    ? (c >= 110581 && c <= 110587)
                    : c <= 110590)
                  : (c <= 110882 || (c < 110948
                    ? (c >= 110928 && c <= 110930)
                    : c <= 110951)))
                : (c <= 111355 || (c < 113792
                  ? (c < 113776
                    ? (c >= 113664 && c <= 113770)
                    : c <= 113788)
                  : (c <= 113800 || (c < 113821
                    ? (c >= 113808 && c <= 113817)
                    : c <= 113822)))))
              : (c <= 118573 || (c < 119210
                ? (c < 119149
                  ? (c < 119141
                    ? (c >= 118576 && c <= 118598)
                    : c <= 119145)
                  : (c <= 119154 || (c < 119173
                    ? (c >= 119163 && c <= 119170)
                    : c <= 119179)))
                : (c <= 119213 || (c < 119894
                  ? (c < 119808
                    ? (c >= 119362 && c <= 119364)
                    : c <= 119892)
                  : (c <= 119964 || (c < 119970
                    ? (c >= 119966 && c <= 119967)
                    : c <= 119970)))))))))))
        : (c <= 119974 || (c < 124912
          ? (c < 120746
            ? (c < 120134
              ? (c < 120071
                ? (c < 119995
                  ? (c < 119982
                    ? (c >= 119977 && c <= 119980)
                    : c <= 119993)
                  : (c <= 119995 || (c < 120005
                    ? (c >= 119997 && c <= 120003)
                    : c <= 120069)))
                : (c <= 120074 || (c < 120094
                  ? (c < 120086
                    ? (c >= 120077 && c <= 120084)
                    : c <= 120092)
                  : (c <= 120121 || (c < 120128
                    ? (c >= 120123 && c <= 120126)
                    : c <= 120132)))))
              : (c <= 120134 || (c < 120572
                ? (c < 120488
                  ? (c < 120146
                    ? (c >= 120138 && c <= 120144)
                    : c <= 120485)
                  : (c <= 120512 || (c < 120540
                    ? (c >= 120514 && c <= 120538)
                    : c <= 120570)))
                : (c <= 120596 || (c < 120656
                  ? (c < 120630
                    ? (c >= 120598 && c <= 120628)
                    : c <= 120654)
                  : (c <= 120686 || (c < 120714
                    ? (c >= 120688 && c <= 120712)
                    : c <= 120744)))))))
            : (c <= 120770 || (c < 122907
              ? (c < 121476
                ? (c < 121344
                  ? (c < 120782
                    ? (c >= 120772 && c <= 120779)
                    : c <= 120831)
                  : (c <= 121398 || (c < 121461
                    ? (c >= 121403 && c <= 121452)
                    : c <= 121461)))
                : (c <= 121476 || (c < 122624
                  ? (c < 121505
                    ? (c >= 121499 && c <= 121503)
                    : c <= 121519)
                  : (c <= 122654 || (c < 122888
                    ? (c >= 122880 && c <= 122886)
                    : c <= 122904)))))
              : (c <= 122913 || (c < 123214
                ? (c < 123136
                  ? (c < 122918
                    ? (c >= 122915 && c <= 122916)
                    : c <= 122922)
                  : (c <= 123180 || (c < 123200
                    ? (c >= 123184 && c <= 123197)
                    : c <= 123209)))
                : (c <= 123214 || (c < 124896
                  ? (c < 123584
                    ? (c >= 123536 && c <= 123566)
                    : c <= 123641)
                  : (c <= 124902 || (c < 124909
                    ? (c >= 124904 && c <= 124907)
                    : c <= 124910)))))))))
          : (c <= 124926 || (c < 126557
            ? (c < 126521
              ? (c < 126469
                ? (c < 125184
                  ? (c < 125136
                    ? (c >= 124928 && c <= 125124)
                    : c <= 125142)
                  : (c <= 125259 || (c < 126464
                    ? (c >= 125264 && c <= 125273)
                    : c <= 126467)))
                : (c <= 126495 || (c < 126503
                  ? (c < 126500
                    ? (c >= 126497 && c <= 126498)
                    : c <= 126500)
                  : (c <= 126503 || (c < 126516
                    ? (c >= 126505 && c <= 126514)
                    : c <= 126519)))))
              : (c <= 126521 || (c < 126541
                ? (c < 126535
                  ? (c < 126530
                    ? c == 126523
                    : c <= 126530)
                  : (c <= 126535 || (c < 126539
                    ? c == 126537
                    : c <= 126539)))
                : (c <= 126543 || (c < 126551
                  ? (c < 126548
                    ? (c >= 126545 && c <= 126546)
                    : c <= 126548)
                  : (c <= 126551 || (c < 126555
                    ? c == 126553
                    : c <= 126555)))))))
            : (c <= 126557 || (c < 126629
              ? (c < 126580
                ? (c < 126564
                  ? (c < 126561
                    ? c == 126559
                    : c <= 126562)
                  : (c <= 126564 || (c < 126572
                    ? (c >= 126567 && c <= 126570)
                    : c <= 126578)))
                : (c <= 126583 || (c < 126592
                  ? (c < 126590
                    ? (c >= 126585 && c <= 126588)
                    : c <= 126590)
                  : (c <= 126601 || (c < 126625
                    ? (c >= 126603 && c <= 126619)
                    : c <= 126627)))))
              : (c <= 126633 || (c < 178208
                ? (c < 131072
                  ? (c < 130032
                    ? (c >= 126635 && c <= 126651)
                    : c <= 130041)
                  : (c <= 173791 || (c < 177984
                    ? (c >= 173824 && c <= 177976)
                    : c <= 178205)))
                : (c <= 183969 || (c < 196608
                  ? (c < 194560
                    ? (c >= 183984 && c <= 191456)
                    : c <= 195101)
                  : (c <= 201546 || (c >= 917760 && c <= 917999)))))))))))))))));
}

static inline bool sym_identifier_character_set_33(int32_t c) {
  return (c < 43600
    ? (c < 3776
      ? (c < 2738
        ? (c < 1984
          ? (c < 910
            ? (c < 216
              ? (c < 'm'
                ? (c < 'A'
                  ? (c < '0'
                    ? c == '$'
                    : c <= '9')
                  : (c <= 'Z' || (c < 'a'
                    ? c == '_'
                    : c <= 'k')))
                : (c <= 'z' || (c < 183
                  ? (c < 181
                    ? c == 170
                    : c <= 181)
                  : (c <= 183 || (c < 192
                    ? c == 186
                    : c <= 214)))))
              : (c <= 246 || (c < 768
                ? (c < 736
                  ? (c < 710
                    ? (c >= 248 && c <= 705)
                    : c <= 721)
                  : (c <= 740 || (c < 750
                    ? c == 748
                    : c <= 750)))
                : (c <= 884 || (c < 895
                  ? (c < 891
                    ? (c >= 886 && c <= 887)
                    : c <= 893)
                  : (c <= 895 || (c < 908
                    ? (c >= 902 && c <= 906)
                    : c <= 908)))))))
            : (c <= 929 || (c < 1479
              ? (c < 1369
                ? (c < 1155
                  ? (c < 1015
                    ? (c >= 931 && c <= 1013)
                    : c <= 1153)
                  : (c <= 1159 || (c < 1329
                    ? (c >= 1162 && c <= 1327)
                    : c <= 1366)))
                : (c <= 1369 || (c < 1471
                  ? (c < 1425
                    ? (c >= 1376 && c <= 1416)
                    : c <= 1469)
                  : (c <= 1471 || (c < 1476
                    ? (c >= 1473 && c <= 1474)
                    : c <= 1477)))))
              : (c <= 1479 || (c < 1749
                ? (c < 1552
                  ? (c < 1519
                    ? (c >= 1488 && c <= 1514)
                    : c <= 1522)
                  : (c <= 1562 || (c < 1646
                    ? (c >= 1568 && c <= 1641)
                    : c <= 1747)))
                : (c <= 1756 || (c < 1791
                  ? (c < 1770
                    ? (c >= 1759 && c <= 1768)
                    : c <= 1788)
                  : (c <= 1791 || (c < 1869
                    ? (c >= 1808 && c <= 1866)
                    : c <= 1969)))))))))
          : (c <= 2037 || (c < 2534
            ? (c < 2437
              ? (c < 2160
                ? (c < 2048
                  ? (c < 2045
                    ? c == 2042
                    : c <= 2045)
                  : (c <= 2093 || (c < 2144
                    ? (c >= 2112 && c <= 2139)
                    : c <= 2154)))
                : (c <= 2183 || (c < 2275
                  ? (c < 2200
                    ? (c >= 2185 && c <= 2190)
                    : c <= 2273)
                  : (c <= 2403 || (c < 2417
                    ? (c >= 2406 && c <= 2415)
                    : c <= 2435)))))
              : (c <= 2444 || (c < 2492
                ? (c < 2474
                  ? (c < 2451
                    ? (c >= 2447 && c <= 2448)
                    : c <= 2472)
                  : (c <= 2480 || (c < 2486
                    ? c == 2482
                    : c <= 2489)))
                : (c <= 2500 || (c < 2519
                  ? (c < 2507
                    ? (c >= 2503 && c <= 2504)
                    : c <= 2510)
                  : (c <= 2519 || (c < 2527
                    ? (c >= 2524 && c <= 2525)
                    : c <= 2531)))))))
            : (c <= 2545 || (c < 2622
              ? (c < 2579
                ? (c < 2561
                  ? (c < 2558
                    ? c == 2556
                    : c <= 2558)
                  : (c <= 2563 || (c < 2575
                    ? (c >= 2565 && c <= 2570)
                    : c <= 2576)))
                : (c <= 2600 || (c < 2613
                  ? (c < 2610
                    ? (c >= 2602 && c <= 2608)
                    : c <= 2611)
                  : (c <= 2614 || (c < 2620
                    ? (c >= 2616 && c <= 2617)
                    : c <= 2620)))))
              : (c <= 2626 || (c < 2662
                ? (c < 2641
                  ? (c < 2635
                    ? (c >= 2631 && c <= 2632)
                    : c <= 2637)
                  : (c <= 2641 || (c < 2654
                    ? (c >= 2649 && c <= 2652)
                    : c <= 2654)))
                : (c <= 2677 || (c < 2703
                  ? (c < 2693
                    ? (c >= 2689 && c <= 2691)
                    : c <= 2701)
                  : (c <= 2705 || (c < 2730
                    ? (c >= 2707 && c <= 2728)
                    : c <= 2736)))))))))))
        : (c <= 2739 || (c < 3160
          ? (c < 2946
            ? (c < 2835
              ? (c < 2784
                ? (c < 2759
                  ? (c < 2748
                    ? (c >= 2741 && c <= 2745)
                    : c <= 2757)
                  : (c <= 2761 || (c < 2768
                    ? (c >= 2763 && c <= 2765)
                    : c <= 2768)))
                : (c <= 2787 || (c < 2817
                  ? (c < 2809
                    ? (c >= 2790 && c <= 2799)
                    : c <= 2815)
                  : (c <= 2819 || (c < 2831
                    ? (c >= 2821 && c <= 2828)
                    : c <= 2832)))))
              : (c <= 2856 || (c < 2891
                ? (c < 2869
                  ? (c < 2866
                    ? (c >= 2858 && c <= 2864)
                    : c <= 2867)
                  : (c <= 2873 || (c < 2887
                    ? (c >= 2876 && c <= 2884)
                    : c <= 2888)))
                : (c <= 2893 || (c < 2911
                  ? (c < 2908
                    ? (c >= 2901 && c <= 2903)
                    : c <= 2909)
                  : (c <= 2915 || (c < 2929
                    ? (c >= 2918 && c <= 2927)
                    : c <= 2929)))))))
            : (c <= 2947 || (c < 3018
              ? (c < 2974
                ? (c < 2962
                  ? (c < 2958
                    ? (c >= 2949 && c <= 2954)
                    : c <= 2960)
                  : (c <= 2965 || (c < 2972
                    ? (c >= 2969 && c <= 2970)
                    : c <= 2972)))
                : (c <= 2975 || (c < 2990
                  ? (c < 2984
                    ? (c >= 2979 && c <= 2980)
                    : c <= 2986)
                  : (c <= 3001 || (c < 3014
                    ? (c >= 3006 && c <= 3010)
                    : c <= 3016)))))
              : (c <= 3021 || (c < 3090
                ? (c < 3046
                  ? (c < 3031
                    ? c == 3024
                    : c <= 3031)
                  : (c <= 3055 || (c < 3086
                    ? (c >= 3072 && c <= 3084)
                    : c <= 3088)))
                : (c <= 3112 || (c < 3142
                  ? (c < 3132
                    ? (c >= 3114 && c <= 3129)
                    : c <= 3140)
                  : (c <= 3144 || (c < 3157
                    ? (c >= 3146 && c <= 3149)
                    : c <= 3158)))))))))
          : (c <= 3162 || (c < 3423
            ? (c < 3274
              ? (c < 3214
                ? (c < 3174
                  ? (c < 3168
                    ? c == 3165
                    : c <= 3171)
                  : (c <= 3183 || (c < 3205
                    ? (c >= 3200 && c <= 3203)
                    : c <= 3212)))
                : (c <= 3216 || (c < 3253
                  ? (c < 3242
                    ? (c >= 3218 && c <= 3240)
                    : c <= 3251)
                  : (c <= 3257 || (c < 3270
                    ? (c >= 3260 && c <= 3268)
                    : c <= 3272)))))
              : (c <= 3277 || (c < 3328
                ? (c < 3296
                  ? (c < 3293
                    ? (c >= 3285 && c <= 3286)
                    : c <= 3294)
                  : (c <= 3299 || (c < 3313
                    ? (c >= 3302 && c <= 3311)
                    : c <= 3314)))
                : (c <= 3340 || (c < 3398
                  ? (c < 3346
                    ? (c >= 3342 && c <= 3344)
                    : c <= 3396)
                  : (c <= 3400 || (c < 3412
                    ? (c >= 3402 && c <= 3406)
                    : c <= 3415)))))))
            : (c <= 3427 || (c < 3544
              ? (c < 3507
                ? (c < 3457
                  ? (c < 3450
                    ? (c >= 3430 && c <= 3439)
                    : c <= 3455)
                  : (c <= 3459 || (c < 3482
                    ? (c >= 3461 && c <= 3478)
                    : c <= 3505)))
                : (c <= 3515 || (c < 3530
                  ? (c < 3520
                    ? c == 3517
                    : c <= 3526)
                  : (c <= 3530 || (c < 3542
                    ? (c >= 3535 && c <= 3540)
                    : c <= 3542)))))
              : (c <= 3551 || (c < 3713
                ? (c < 3585
                  ? (c < 3570
                    ? (c >= 3558 && c <= 3567)
                    : c <= 3571)
                  : (c <= 3642 || (c < 3664
                    ? (c >= 3648 && c <= 3662)
                    : c <= 3673)))
                : (c <= 3714 || (c < 3724
                  ? (c < 3718
                    ? c == 3716
                    : c <= 3722)
                  : (c <= 3747 || (c < 3751
                    ? c == 3749
                    : c <= 3773)))))))))))))
      : (c <= 3780 || (c < 8016
        ? (c < 5870
          ? (c < 4682
            ? (c < 3913
              ? (c < 3864
                ? (c < 3792
                  ? (c < 3784
                    ? c == 3782
                    : c <= 3789)
                  : (c <= 3801 || (c < 3840
                    ? (c >= 3804 && c <= 3807)
                    : c <= 3840)))
                : (c <= 3865 || (c < 3895
                  ? (c < 3893
                    ? (c >= 3872 && c <= 3881)
                    : c <= 3893)
                  : (c <= 3895 || (c < 3902
                    ? c == 3897
                    : c <= 3911)))))
              : (c <= 3948 || (c < 4176
                ? (c < 3993
                  ? (c < 3974
                    ? (c >= 3953 && c <= 3972)
                    : c <= 3991)
                  : (c <= 4028 || (c < 4096
                    ? c == 4038
                    : c <= 4169)))
                : (c <= 4253 || (c < 4301
                  ? (c < 4295
                    ? (c >= 4256 && c <= 4293)
                    : c <= 4295)
                  : (c <= 4301 || (c < 4348
                    ? (c >= 4304 && c <= 4346)
                    : c <= 4680)))))))
            : (c <= 4685 || (c < 4824
              ? (c < 4752
                ? (c < 4698
                  ? (c < 4696
                    ? (c >= 4688 && c <= 4694)
                    : c <= 4696)
                  : (c <= 4701 || (c < 4746
                    ? (c >= 4704 && c <= 4744)
                    : c <= 4749)))
                : (c <= 4784 || (c < 4800
                  ? (c < 4792
                    ? (c >= 4786 && c <= 4789)
                    : c <= 4798)
                  : (c <= 4800 || (c < 4808
                    ? (c >= 4802 && c <= 4805)
                    : c <= 4822)))))
              : (c <= 4880 || (c < 5024
                ? (c < 4957
                  ? (c < 4888
                    ? (c >= 4882 && c <= 4885)
                    : c <= 4954)
                  : (c <= 4959 || (c < 4992
                    ? (c >= 4969 && c <= 4977)
                    : c <= 5007)))
                : (c <= 5109 || (c < 5743
                  ? (c < 5121
                    ? (c >= 5112 && c <= 5117)
                    : c <= 5740)
                  : (c <= 5759 || (c < 5792
                    ? (c >= 5761 && c <= 5786)
                    : c <= 5866)))))))))
          : (c <= 5880 || (c < 6656
            ? (c < 6159
              ? (c < 6002
                ? (c < 5952
                  ? (c < 5919
                    ? (c >= 5888 && c <= 5909)
                    : c <= 5940)
                  : (c <= 5971 || (c < 5998
                    ? (c >= 5984 && c <= 5996)
                    : c <= 6000)))
                : (c <= 6003 || (c < 6108
                  ? (c < 6103
                    ? (c >= 6016 && c <= 6099)
                    : c <= 6103)
                  : (c <= 6109 || (c < 6155
                    ? (c >= 6112 && c <= 6121)
                    : c <= 6157)))))
              : (c <= 6169 || (c < 6448
                ? (c < 6320
                  ? (c < 6272
                    ? (c >= 6176 && c <= 6264)
                    : c <= 6314)
                  : (c <= 6389 || (c < 6432
                    ? (c >= 6400 && c <= 6430)
                    : c <= 6443)))
                : (c <= 6459 || (c < 6528
                  ? (c < 6512
                    ? (c >= 6470 && c <= 6509)
                    : c <= 6516)
                  : (c <= 6571 || (c < 6608
                    ? (c >= 6576 && c <= 6601)
                    : c <= 6618)))))))
            : (c <= 6683 || (c < 7168
              ? (c < 6832
                ? (c < 6783
                  ? (c < 6752
                    ? (c >= 6688 && c <= 6750)
                    : c <= 6780)
                  : (c <= 6793 || (c < 6823
                    ? (c >= 6800 && c <= 6809)
                    : c <= 6823)))
                : (c <= 6845 || (c < 6992
                  ? (c < 6912
                    ? (c >= 6847 && c <= 6862)
                    : c <= 6988)
                  : (c <= 7001 || (c < 7040
                    ? (c >= 7019 && c <= 7027)
                    : c <= 7155)))))
              : (c <= 7223 || (c < 7376
                ? (c < 7296
                  ? (c < 7245
                    ? (c >= 7232 && c <= 7241)
                    : c <= 7293)
                  : (c <= 7304 || (c < 7357
                    ? (c >= 7312 && c <= 7354)
                    : c <= 7359)))
                : (c <= 7378 || (c < 7960
                  ? (c < 7424
                    ? (c >= 7380 && c <= 7418)
                    : c <= 7957)
                  : (c <= 7965 || (c < 8008
                    ? (c >= 7968 && c <= 8005)
                    : c <= 8013)))))))))))
        : (c <= 8023 || (c < 11712
          ? (c < 8455
            ? (c < 8160
              ? (c < 8118
                ? (c < 8029
                  ? (c < 8027
                    ? c == 8025
                    : c <= 8027)
                  : (c <= 8029 || (c < 8064
                    ? (c >= 8031 && c <= 8061)
                    : c <= 8116)))
                : (c <= 8124 || (c < 8134
                  ? (c < 8130
                    ? c == 8126
                    : c <= 8132)
                  : (c <= 8140 || (c < 8150
                    ? (c >= 8144 && c <= 8147)
                    : c <= 8155)))))
              : (c <= 8172 || (c < 8319
                ? (c < 8255
                  ? (c < 8182
                    ? (c >= 8178 && c <= 8180)
                    : c <= 8188)
                  : (c <= 8256 || (c < 8305
                    ? c == 8276
                    : c <= 8305)))
                : (c <= 8319 || (c < 8417
                  ? (c < 8400
                    ? (c >= 8336 && c <= 8348)
                    : c <= 8412)
                  : (c <= 8417 || (c < 8450
                    ? (c >= 8421 && c <= 8432)
                    : c <= 8450)))))))
            : (c <= 8455 || (c < 11264
              ? (c < 8488
                ? (c < 8472
                  ? (c < 8469
                    ? (c >= 8458 && c <= 8467)
                    : c <= 8469)
                  : (c <= 8477 || (c < 8486
                    ? c == 8484
                    : c <= 8486)))
                : (c <= 8488 || (c < 8517
                  ? (c < 8508
                    ? (c >= 8490 && c <= 8505)
                    : c <= 8511)
                  : (c <= 8521 || (c < 8544
                    ? c == 8526
                    : c <= 8584)))))
              : (c <= 11492 || (c < 11631
                ? (c < 11559
                  ? (c < 11520
                    ? (c >= 11499 && c <= 11507)
                    : c <= 11557)
                  : (c <= 11559 || (c < 11568
                    ? c == 11565
                    : c <= 11623)))
                : (c <= 11631 || (c < 11688
                  ? (c < 11680
                    ? (c >= 11647 && c <= 11670)
                    : c <= 11686)
                  : (c <= 11694 || (c < 11704
                    ? (c >= 11696 && c <= 11702)
                    : c <= 11710)))))))))
          : (c <= 11718 || (c < 42612
            ? (c < 12449
              ? (c < 12321
                ? (c < 11736
                  ? (c < 11728
                    ? (c >= 11720 && c <= 11726)
                    : c <= 11734)
                  : (c <= 11742 || (c < 12293
                    ? (c >= 11744 && c <= 11775)
                    : c <= 12295)))
                : (c <= 12335 || (c < 12353
                  ? (c < 12344
                    ? (c >= 12337 && c <= 12341)
                    : c <= 12348)
                  : (c <= 12438 || (c < 12445
                    ? (c >= 12441 && c <= 12442)
                    : c <= 12447)))))
              : (c <= 12538 || (c < 13312
                ? (c < 12593
                  ? (c < 12549
                    ? (c >= 12540 && c <= 12543)
                    : c <= 12591)
                  : (c <= 12686 || (c < 12784
                    ? (c >= 12704 && c <= 12735)
                    : c <= 12799)))
                : (c <= 19903 || (c < 42240
                  ? (c < 42192
                    ? (c >= 19968 && c <= 42124)
                    : c <= 42237)
                  : (c <= 42508 || (c < 42560
                    ? (c >= 42512 && c <= 42539)
                    : c <= 42607)))))))
            : (c <= 42621 || (c < 43216
              ? (c < 42963
                ? (c < 42786
                  ? (c < 42775
                    ? (c >= 42623 && c <= 42737)
                    : c <= 42783)
                  : (c <= 42888 || (c < 42960
                    ? (c >= 42891 && c <= 42954)
                    : c <= 42961)))
                : (c <= 42963 || (c < 43052
                  ? (c < 42994
                    ? (c >= 42965 && c <= 42969)
                    : c <= 43047)
                  : (c <= 43052 || (c < 43136
                    ? (c >= 43072 && c <= 43123)
                    : c <= 43205)))))
              : (c <= 43225 || (c < 43392
                ? (c < 43261
                  ? (c < 43259
                    ? (c >= 43232 && c <= 43255)
                    : c <= 43259)
                  : (c <= 43309 || (c < 43360
                    ? (c >= 43312 && c <= 43347)
                    : c <= 43388)))
                : (c <= 43456 || (c < 43520
                  ? (c < 43488
                    ? (c >= 43471 && c <= 43481)
                    : c <= 43518)
                  : (c <= 43574 || (c >= 43584 && c <= 43597)))))))))))))))
    : (c <= 43609 || (c < 71453
      ? (c < 67594
        ? (c < 65343
          ? (c < 64298
            ? (c < 43868
              ? (c < 43777
                ? (c < 43739
                  ? (c < 43642
                    ? (c >= 43616 && c <= 43638)
                    : c <= 43714)
                  : (c <= 43741 || (c < 43762
                    ? (c >= 43744 && c <= 43759)
                    : c <= 43766)))
                : (c <= 43782 || (c < 43808
                  ? (c < 43793
                    ? (c >= 43785 && c <= 43790)
                    : c <= 43798)
                  : (c <= 43814 || (c < 43824
                    ? (c >= 43816 && c <= 43822)
                    : c <= 43866)))))
              : (c <= 43881 || (c < 55243
                ? (c < 44016
                  ? (c < 44012
                    ? (c >= 43888 && c <= 44010)
                    : c <= 44013)
                  : (c <= 44025 || (c < 55216
                    ? (c >= 44032 && c <= 55203)
                    : c <= 55238)))
                : (c <= 55291 || (c < 64256
                  ? (c < 64112
                    ? (c >= 63744 && c <= 64109)
                    : c <= 64217)
                  : (c <= 64262 || (c < 64285
                    ? (c >= 64275 && c <= 64279)
                    : c <= 64296)))))))
            : (c <= 64310 || (c < 65056
              ? (c < 64467
                ? (c < 64320
                  ? (c < 64318
                    ? (c >= 64312 && c <= 64316)
                    : c <= 64318)
                  : (c <= 64321 || (c < 64326
                    ? (c >= 64323 && c <= 64324)
                    : c <= 64433)))
                : (c <= 64605 || (c < 64914
                  ? (c < 64848
                    ? (c >= 64612 && c <= 64829)
                    : c <= 64911)
                  : (c <= 64967 || (c < 65024
                    ? (c >= 65008 && c <= 65017)
                    : c <= 65039)))))
              : (c <= 65071 || (c < 65145
                ? (c < 65137
                  ? (c < 65101
                    ? (c >= 65075 && c <= 65076)
                    : c <= 65103)
                  : (c <= 65137 || (c < 65143
                    ? c == 65139
                    : c <= 65143)))
                : (c <= 65145 || (c < 65151
                  ? (c < 65149
                    ? c == 65147
                    : c <= 65149)
                  : (c <= 65276 || (c < 65313
                    ? (c >= 65296 && c <= 65305)
                    : c <= 65338)))))))))
          : (c <= 65343 || (c < 66504
            ? (c < 65616
              ? (c < 65498
                ? (c < 65474
                  ? (c < 65382
                    ? (c >= 65345 && c <= 65370)
                    : c <= 65470)
                  : (c <= 65479 || (c < 65490
                    ? (c >= 65482 && c <= 65487)
                    : c <= 65495)))
                : (c <= 65500 || (c < 65576
                  ? (c < 65549
                    ? (c >= 65536 && c <= 65547)
                    : c <= 65574)
                  : (c <= 65594 || (c < 65599
                    ? (c >= 65596 && c <= 65597)
                    : c <= 65613)))))
              : (c <= 65629 || (c < 66272
                ? (c < 66045
                  ? (c < 65856
                    ? (c >= 65664 && c <= 65786)
                    : c <= 65908)
                  : (c <= 66045 || (c < 66208
                    ? (c >= 66176 && c <= 66204)
                    : c <= 66256)))
                : (c <= 66272 || (c < 66384
                  ? (c < 66349
                    ? (c >= 66304 && c <= 66335)
                    : c <= 66378)
                  : (c <= 66426 || (c < 66464
                    ? (c >= 66432 && c <= 66461)
                    : c <= 66499)))))))
            : (c <= 66511 || (c < 66967
              ? (c < 66816
                ? (c < 66720
                  ? (c < 66560
                    ? (c >= 66513 && c <= 66517)
                    : c <= 66717)
                  : (c <= 66729 || (c < 66776
                    ? (c >= 66736 && c <= 66771)
                    : c <= 66811)))
                : (c <= 66855 || (c < 66940
                  ? (c < 66928
                    ? (c >= 66864 && c <= 66915)
                    : c <= 66938)
                  : (c <= 66954 || (c < 66964
                    ? (c >= 66956 && c <= 66962)
                    : c <= 66965)))))
              : (c <= 66977 || (c < 67424
                ? (c < 67003
                  ? (c < 66995
                    ? (c >= 66979 && c <= 66993)
                    : c <= 67001)
                  : (c <= 67004 || (c < 67392
                    ? (c >= 67072 && c <= 67382)
                    : c <= 67413)))
                : (c <= 67431 || (c < 67506
                  ? (c < 67463
                    ? (c >= 67456 && c <= 67461)
                    : c <= 67504)
                  : (c <= 67514 || (c < 67592
                    ? (c >= 67584 && c <= 67589)
                    : c <= 67592)))))))))))
        : (c <= 67637 || (c < 69942
          ? (c < 68416
            ? (c < 68096
              ? (c < 67808
                ? (c < 67647
                  ? (c < 67644
                    ? (c >= 67639 && c <= 67640)
                    : c <= 67644)
                  : (c <= 67669 || (c < 67712
                    ? (c >= 67680 && c <= 67702)
                    : c <= 67742)))
                : (c <= 67826 || (c < 67872
                  ? (c < 67840
                    ? (c >= 67828 && c <= 67829)
                    : c <= 67861)
                  : (c <= 67897 || (c < 68030
                    ? (c >= 67968 && c <= 68023)
                    : c <= 68031)))))
              : (c <= 68099 || (c < 68159
                ? (c < 68117
                  ? (c < 68108
                    ? (c >= 68101 && c <= 68102)
                    : c <= 68115)
                  : (c <= 68119 || (c < 68152
                    ? (c >= 68121 && c <= 68149)
                    : c <= 68154)))
                : (c <= 68159 || (c < 68288
                  ? (c < 68224
                    ? (c >= 68192 && c <= 68220)
                    : c <= 68252)
                  : (c <= 68295 || (c < 68352
                    ? (c >= 68297 && c <= 68326)
                    : c <= 68405)))))))
            : (c <= 68437 || (c < 69415
              ? (c < 68864
                ? (c < 68608
                  ? (c < 68480
                    ? (c >= 68448 && c <= 68466)
                    : c <= 68497)
                  : (c <= 68680 || (c < 68800
                    ? (c >= 68736 && c <= 68786)
                    : c <= 68850)))
                : (c <= 68903 || (c < 69291
                  ? (c < 69248
                    ? (c >= 68912 && c <= 68921)
                    : c <= 69289)
                  : (c <= 69292 || (c < 69376
                    ? (c >= 69296 && c <= 69297)
                    : c <= 69404)))))
              : (c <= 69415 || (c < 69734
                ? (c < 69552
                  ? (c < 69488
                    ? (c >= 69424 && c <= 69456)
                    : c <= 69509)
                  : (c <= 69572 || (c < 69632
                    ? (c >= 69600 && c <= 69622)
                    : c <= 69702)))
                : (c <= 69749 || (c < 69840
                  ? (c < 69826
                    ? (c >= 69759 && c <= 69818)
                    : c <= 69826)
                  : (c <= 69864 || (c < 69888
                    ? (c >= 69872 && c <= 69881)
                    : c <= 69940)))))))))
          : (c <= 69951 || (c < 70453
            ? (c < 70280
              ? (c < 70094
                ? (c < 70006
                  ? (c < 69968
                    ? (c >= 69956 && c <= 69959)
                    : c <= 70003)
                  : (c <= 70006 || (c < 70089
                    ? (c >= 70016 && c <= 70084)
                    : c <= 70092)))
                : (c <= 70106 || (c < 70163
                  ? (c < 70144
                    ? c == 70108
                    : c <= 70161)
                  : (c <= 70199 || (c < 70272
                    ? c == 70206
                    : c <= 70278)))))
              : (c <= 70280 || (c < 70400
                ? (c < 70303
                  ? (c < 70287
                    ? (c >= 70282 && c <= 70285)
                    : c <= 70301)
                  : (c <= 70312 || (c < 70384
                    ? (c >= 70320 && c <= 70378)
                    : c <= 70393)))
                : (c <= 70403 || (c < 70419
                  ? (c < 70415
                    ? (c >= 70405 && c <= 70412)
                    : c <= 70416)
                  : (c <= 70440 || (c < 70450
                    ? (c >= 70442 && c <= 70448)
                    : c <= 70451)))))))
            : (c <= 70457 || (c < 70784
              ? (c < 70493
                ? (c < 70475
                  ? (c < 70471
                    ? (c >= 70459 && c <= 70468)
                    : c <= 70472)
                  : (c <= 70477 || (c < 70487
                    ? c == 70480
                    : c <= 70487)))
                : (c <= 70499 || (c < 70656
                  ? (c < 70512
                    ? (c >= 70502 && c <= 70508)
                    : c <= 70516)
                  : (c <= 70730 || (c < 70750
                    ? (c >= 70736 && c <= 70745)
                    : c <= 70753)))))
              : (c <= 70853 || (c < 71168
                ? (c < 71040
                  ? (c < 70864
                    ? c == 70855
                    : c <= 70873)
                  : (c <= 71093 || (c < 71128
                    ? (c >= 71096 && c <= 71104)
                    : c <= 71133)))
                : (c <= 71232 || (c < 71296
                  ? (c < 71248
                    ? c == 71236
                    : c <= 71257)
                  : (c <= 71352 || (c < 71424
                    ? (c >= 71360 && c <= 71369)
                    : c <= 71450)))))))))))))
      : (c <= 71467 || (c < 119973
        ? (c < 77824
          ? (c < 72760
            ? (c < 72016
              ? (c < 71945
                ? (c < 71680
                  ? (c < 71488
                    ? (c >= 71472 && c <= 71481)
                    : c <= 71494)
                  : (c <= 71738 || (c < 71935
                    ? (c >= 71840 && c <= 71913)
                    : c <= 71942)))
                : (c <= 71945 || (c < 71960
                  ? (c < 71957
                    ? (c >= 71948 && c <= 71955)
                    : c <= 71958)
                  : (c <= 71989 || (c < 71995
                    ? (c >= 71991 && c <= 71992)
                    : c <= 72003)))))
              : (c <= 72025 || (c < 72263
                ? (c < 72154
                  ? (c < 72106
                    ? (c >= 72096 && c <= 72103)
                    : c <= 72151)
                  : (c <= 72161 || (c < 72192
                    ? (c >= 72163 && c <= 72164)
                    : c <= 72254)))
                : (c <= 72263 || (c < 72368
                  ? (c < 72349
                    ? (c >= 72272 && c <= 72345)
                    : c <= 72349)
                  : (c <= 72440 || (c < 72714
                    ? (c >= 72704 && c <= 72712)
                    : c <= 72758)))))))
            : (c <= 72768 || (c < 73056
              ? (c < 72968
                ? (c < 72850
                  ? (c < 72818
                    ? (c >= 72784 && c <= 72793)
                    : c <= 72847)
                  : (c <= 72871 || (c < 72960
                    ? (c >= 72873 && c <= 72886)
                    : c <= 72966)))
                : (c <= 72969 || (c < 73020
                  ? (c < 73018
                    ? (c >= 72971 && c <= 73014)
                    : c <= 73018)
                  : (c <= 73021 || (c < 73040
                    ? (c >= 73023 && c <= 73031)
                    : c <= 73049)))))
              : (c <= 73061 || (c < 73440
                ? (c < 73104
                  ? (c < 73066
                    ? (c >= 73063 && c <= 73064)
                    : c <= 73102)
                  : (c <= 73105 || (c < 73120
                    ? (c >= 73107 && c <= 73112)
                    : c <= 73129)))
                : (c <= 73462 || (c < 74752
                  ? (c < 73728
                    ? c == 73648
                    : c <= 74649)
                  : (c <= 74862 || (c < 77712
                    ? (c >= 74880 && c <= 75075)
                    : c <= 77808)))))))))
          : (c <= 78894 || (c < 110576
            ? (c < 93027
              ? (c < 92864
                ? (c < 92736
                  ? (c < 92160
                    ? (c >= 82944 && c <= 83526)
                    : c <= 92728)
                  : (c <= 92766 || (c < 92784
                    ? (c >= 92768 && c <= 92777)
                    : c <= 92862)))
                : (c <= 92873 || (c < 92928
                  ? (c < 92912
                    ? (c >= 92880 && c <= 92909)
                    : c <= 92916)
                  : (c <= 92982 || (c < 93008
                    ? (c >= 92992 && c <= 92995)
                    : c <= 93017)))))
              : (c <= 93047 || (c < 94176
                ? (c < 93952
                  ? (c < 93760
                    ? (c >= 93053 && c <= 93071)
                    : c <= 93823)
                  : (c <= 94026 || (c < 94095
                    ? (c >= 94031 && c <= 94087)
                    : c <= 94111)))
                : (c <= 94177 || (c < 94208
                  ? (c < 94192
                    ? (c >= 94179 && c <= 94180)
                    : c <= 94193)
                  : (c <= 100343 || (c < 101632
                    ? (c >= 100352 && c <= 101589)
                    : c <= 101640)))))))
            : (c <= 110579 || (c < 118528
              ? (c < 110960
                ? (c < 110592
                  ? (c < 110589
                    ? (c >= 110581 && c <= 110587)
                    : c <= 110590)
                  : (c <= 110882 || (c < 110948
                    ? (c >= 110928 && c <= 110930)
                    : c <= 110951)))
                : (c <= 111355 || (c < 113792
                  ? (c < 113776
                    ? (c >= 113664 && c <= 113770)
                    : c <= 113788)
                  : (c <= 113800 || (c < 113821
                    ? (c >= 113808 && c <= 113817)
                    : c <= 113822)))))
              : (c <= 118573 || (c < 119210
                ? (c < 119149
                  ? (c < 119141
                    ? (c >= 118576 && c <= 118598)
                    : c <= 119145)
                  : (c <= 119154 || (c < 119173
                    ? (c >= 119163 && c <= 119170)
                    : c <= 119179)))
                : (c <= 119213 || (c < 119894
                  ? (c < 119808
                    ? (c >= 119362 && c <= 119364)
                    : c <= 119892)
                  : (c <= 119964 || (c < 119970
                    ? (c >= 119966 && c <= 119967)
                    : c <= 119970)))))))))))
        : (c <= 119974 || (c < 124912
          ? (c < 120746
            ? (c < 120134
              ? (c < 120071
                ? (c < 119995
                  ? (c < 119982
                    ? (c >= 119977 && c <= 119980)
                    : c <= 119993)
                  : (c <= 119995 || (c < 120005
                    ? (c >= 119997 && c <= 120003)
                    : c <= 120069)))
                : (c <= 120074 || (c < 120094
                  ? (c < 120086
                    ? (c >= 120077 && c <= 120084)
                    : c <= 120092)
                  : (c <= 120121 || (c < 120128
                    ? (c >= 120123 && c <= 120126)
                    : c <= 120132)))))
              : (c <= 120134 || (c < 120572
                ? (c < 120488
                  ? (c < 120146
                    ? (c >= 120138 && c <= 120144)
                    : c <= 120485)
                  : (c <= 120512 || (c < 120540
                    ? (c >= 120514 && c <= 120538)
                    : c <= 120570)))
                : (c <= 120596 || (c < 120656
                  ? (c < 120630
                    ? (c >= 120598 && c <= 120628)
                    : c <= 120654)
                  : (c <= 120686 || (c < 120714
                    ? (c >= 120688 && c <= 120712)
                    : c <= 120744)))))))
            : (c <= 120770 || (c < 122907
              ? (c < 121476
                ? (c < 121344
                  ? (c < 120782
                    ? (c >= 120772 && c <= 120779)
                    : c <= 120831)
                  : (c <= 121398 || (c < 121461
                    ? (c >= 121403 && c <= 121452)
                    : c <= 121461)))
                : (c <= 121476 || (c < 122624
                  ? (c < 121505
                    ? (c >= 121499 && c <= 121503)
                    : c <= 121519)
                  : (c <= 122654 || (c < 122888
                    ? (c >= 122880 && c <= 122886)
                    : c <= 122904)))))
              : (c <= 122913 || (c < 123214
                ? (c < 123136
                  ? (c < 122918
                    ? (c >= 122915 && c <= 122916)
                    : c <= 122922)
                  : (c <= 123180 || (c < 123200
                    ? (c >= 123184 && c <= 123197)
                    : c <= 123209)))
                : (c <= 123214 || (c < 124896
                  ? (c < 123584
                    ? (c >= 123536 && c <= 123566)
                    : c <= 123641)
                  : (c <= 124902 || (c < 124909
                    ? (c >= 124904 && c <= 124907)
                    : c <= 124910)))))))))
          : (c <= 124926 || (c < 126557
            ? (c < 126521
              ? (c < 126469
                ? (c < 125184
                  ? (c < 125136
                    ? (c >= 124928 && c <= 125124)
                    : c <= 125142)
                  : (c <= 125259 || (c < 126464
                    ? (c >= 125264 && c <= 125273)
                    : c <= 126467)))
                : (c <= 126495 || (c < 126503
                  ? (c < 126500
                    ? (c >= 126497 && c <= 126498)
                    : c <= 126500)
                  : (c <= 126503 || (c < 126516
                    ? (c >= 126505 && c <= 126514)
                    : c <= 126519)))))
              : (c <= 126521 || (c < 126541
                ? (c < 126535
                  ? (c < 126530
                    ? c == 126523
                    : c <= 126530)
                  : (c <= 126535 || (c < 126539
                    ? c == 126537
                    : c <= 126539)))
                : (c <= 126543 || (c < 126551
                  ? (c < 126548
                    ? (c >= 126545 && c <= 126546)
                    : c <= 126548)
                  : (c <= 126551 || (c < 126555
                    ? c == 126553
                    : c <= 126555)))))))
            : (c <= 126557 || (c < 126629
              ? (c < 126580
                ? (c < 126564
                  ? (c < 126561
                    ? c == 126559
                    : c <= 126562)
                  : (c <= 126564 || (c < 126572
                    ? (c >= 126567 && c <= 126570)
                    : c <= 126578)))
                : (c <= 126583 || (c < 126592
                  ? (c < 126590
                    ? (c >= 126585 && c <= 126588)
                    : c <= 126590)
                  : (c <= 126601 || (c < 126625
                    ? (c >= 126603 && c <= 126619)
                    : c <= 126627)))))
              : (c <= 126633 || (c < 178208
                ? (c < 131072
                  ? (c < 130032
                    ? (c >= 126635 && c <= 126651)
                    : c <= 130041)
                  : (c <= 173791 || (c < 177984
                    ? (c >= 173824 && c <= 177976)
                    : c <= 178205)))
                : (c <= 183969 || (c < 196608
                  ? (c < 194560
                    ? (c >= 183984 && c <= 191456)
                    : c <= 195101)
                  : (c <= 201546 || (c >= 917760 && c <= 917999)))))))))))))))));
}

static inline bool sym_identifier_character_set_34(int32_t c) {
  return (c < 43600
    ? (c < 3776
      ? (c < 2738
        ? (c < 1984
          ? (c < 910
            ? (c < 216
              ? (c < 'o'
                ? (c < 'A'
                  ? (c < '0'
                    ? c == '$'
                    : c <= '9')
                  : (c <= 'Z' || (c < 'a'
                    ? c == '_'
                    : c <= 'm')))
                : (c <= 'z' || (c < 183
                  ? (c < 181
                    ? c == 170
                    : c <= 181)
                  : (c <= 183 || (c < 192
                    ? c == 186
                    : c <= 214)))))
              : (c <= 246 || (c < 768
                ? (c < 736
                  ? (c < 710
                    ? (c >= 248 && c <= 705)
                    : c <= 721)
                  : (c <= 740 || (c < 750
                    ? c == 748
                    : c <= 750)))
                : (c <= 884 || (c < 895
                  ? (c < 891
                    ? (c >= 886 && c <= 887)
                    : c <= 893)
                  : (c <= 895 || (c < 908
                    ? (c >= 902 && c <= 906)
                    : c <= 908)))))))
            : (c <= 929 || (c < 1479
              ? (c < 1369
                ? (c < 1155
                  ? (c < 1015
                    ? (c >= 931 && c <= 1013)
                    : c <= 1153)
                  : (c <= 1159 || (c < 1329
                    ? (c >= 1162 && c <= 1327)
                    : c <= 1366)))
                : (c <= 1369 || (c < 1471
                  ? (c < 1425
                    ? (c >= 1376 && c <= 1416)
                    : c <= 1469)
                  : (c <= 1471 || (c < 1476
                    ? (c >= 1473 && c <= 1474)
                    : c <= 1477)))))
              : (c <= 1479 || (c < 1749
                ? (c < 1552
                  ? (c < 1519
                    ? (c >= 1488 && c <= 1514)
                    : c <= 1522)
                  : (c <= 1562 || (c < 1646
                    ? (c >= 1568 && c <= 1641)
                    : c <= 1747)))
                : (c <= 1756 || (c < 1791
                  ? (c < 1770
                    ? (c >= 1759 && c <= 1768)
                    : c <= 1788)
                  : (c <= 1791 || (c < 1869
                    ? (c >= 1808 && c <= 1866)
                    : c <= 1969)))))))))
          : (c <= 2037 || (c < 2534
            ? (c < 2437
              ? (c < 2160
                ? (c < 2048
                  ? (c < 2045
                    ? c == 2042
                    : c <= 2045)
                  : (c <= 2093 || (c < 2144
                    ? (c >= 2112 && c <= 2139)
                    : c <= 2154)))
                : (c <= 2183 || (c < 2275
                  ? (c < 2200
                    ? (c >= 2185 && c <= 2190)
                    : c <= 2273)
                  : (c <= 2403 || (c < 2417
                    ? (c >= 2406 && c <= 2415)
                    : c <= 2435)))))
              : (c <= 2444 || (c < 2492
                ? (c < 2474
                  ? (c < 2451
                    ? (c >= 2447 && c <= 2448)
                    : c <= 2472)
                  : (c <= 2480 || (c < 2486
                    ? c == 2482
                    : c <= 2489)))
                : (c <= 2500 || (c < 2519
                  ? (c < 2507
                    ? (c >= 2503 && c <= 2504)
                    : c <= 2510)
                  : (c <= 2519 || (c < 2527
                    ? (c >= 2524 && c <= 2525)
                    : c <= 2531)))))))
            : (c <= 2545 || (c < 2622
              ? (c < 2579
                ? (c < 2561
                  ? (c < 2558
                    ? c == 2556
                    : c <= 2558)
                  : (c <= 2563 || (c < 2575
                    ? (c >= 2565 && c <= 2570)
                    : c <= 2576)))
                : (c <= 2600 || (c < 2613
                  ? (c < 2610
                    ? (c >= 2602 && c <= 2608)
                    : c <= 2611)
                  : (c <= 2614 || (c < 2620
                    ? (c >= 2616 && c <= 2617)
                    : c <= 2620)))))
              : (c <= 2626 || (c < 2662
                ? (c < 2641
                  ? (c < 2635
                    ? (c >= 2631 && c <= 2632)
                    : c <= 2637)
                  : (c <= 2641 || (c < 2654
                    ? (c >= 2649 && c <= 2652)
                    : c <= 2654)))
                : (c <= 2677 || (c < 2703
                  ? (c < 2693
                    ? (c >= 2689 && c <= 2691)
                    : c <= 2701)
                  : (c <= 2705 || (c < 2730
                    ? (c >= 2707 && c <= 2728)
                    : c <= 2736)))))))))))
        : (c <= 2739 || (c < 3160
          ? (c < 2946
            ? (c < 2835
              ? (c < 2784
                ? (c < 2759
                  ? (c < 2748
                    ? (c >= 2741 && c <= 2745)
                    : c <= 2757)
                  : (c <= 2761 || (c < 2768
                    ? (c >= 2763 && c <= 2765)
                    : c <= 2768)))
                : (c <= 2787 || (c < 2817
                  ? (c < 2809
                    ? (c >= 2790 && c <= 2799)
                    : c <= 2815)
                  : (c <= 2819 || (c < 2831
                    ? (c >= 2821 && c <= 2828)
                    : c <= 2832)))))
              : (c <= 2856 || (c < 2891
                ? (c < 2869
                  ? (c < 2866
                    ? (c >= 2858 && c <= 2864)
                    : c <= 2867)
                  : (c <= 2873 || (c < 2887
                    ? (c >= 2876 && c <= 2884)
                    : c <= 2888)))
                : (c <= 2893 || (c < 2911
                  ? (c < 2908
                    ? (c >= 2901 && c <= 2903)
                    : c <= 2909)
                  : (c <= 2915 || (c < 2929
                    ? (c >= 2918 && c <= 2927)
                    : c <= 2929)))))))
            : (c <= 2947 || (c < 3018
              ? (c < 2974
                ? (c < 2962
                  ? (c < 2958
                    ? (c >= 2949 && c <= 2954)
                    : c <= 2960)
                  : (c <= 2965 || (c < 2972
                    ? (c >= 2969 && c <= 2970)
                    : c <= 2972)))
                : (c <= 2975 || (c < 2990
                  ? (c < 2984
                    ? (c >= 2979 && c <= 2980)
                    : c <= 2986)
                  : (c <= 3001 || (c < 3014
                    ? (c >= 3006 && c <= 3010)
                    : c <= 3016)))))
              : (c <= 3021 || (c < 3090
                ? (c < 3046
                  ? (c < 3031
                    ? c == 3024
                    : c <= 3031)
                  : (c <= 3055 || (c < 3086
                    ? (c >= 3072 && c <= 3084)
                    : c <= 3088)))
                : (c <= 3112 || (c < 3142
                  ? (c < 3132
                    ? (c >= 3114 && c <= 3129)
                    : c <= 3140)
                  : (c <= 3144 || (c < 3157
                    ? (c >= 3146 && c <= 3149)
                    : c <= 3158)))))))))
          : (c <= 3162 || (c < 3423
            ? (c < 3274
              ? (c < 3214
                ? (c < 3174
                  ? (c < 3168
                    ? c == 3165
                    : c <= 3171)
                  : (c <= 3183 || (c < 3205
                    ? (c >= 3200 && c <= 3203)
                    : c <= 3212)))
                : (c <= 3216 || (c < 3253
                  ? (c < 3242
                    ? (c >= 3218 && c <= 3240)
                    : c <= 3251)
                  : (c <= 3257 || (c < 3270
                    ? (c >= 3260 && c <= 3268)
                    : c <= 3272)))))
              : (c <= 3277 || (c < 3328
                ? (c < 3296
                  ? (c < 3293
                    ? (c >= 3285 && c <= 3286)
                    : c <= 3294)
                  : (c <= 3299 || (c < 3313
                    ? (c >= 3302 && c <= 3311)
                    : c <= 3314)))
                : (c <= 3340 || (c < 3398
                  ? (c < 3346
                    ? (c >= 3342 && c <= 3344)
                    : c <= 3396)
                  : (c <= 3400 || (c < 3412
                    ? (c >= 3402 && c <= 3406)
                    : c <= 3415)))))))
            : (c <= 3427 || (c < 3544
              ? (c < 3507
                ? (c < 3457
                  ? (c < 3450
                    ? (c >= 3430 && c <= 3439)
                    : c <= 3455)
                  : (c <= 3459 || (c < 3482
                    ? (c >= 3461 && c <= 3478)
                    : c <= 3505)))
                : (c <= 3515 || (c < 3530
                  ? (c < 3520
                    ? c == 3517
                    : c <= 3526)
                  : (c <= 3530 || (c < 3542
                    ? (c >= 3535 && c <= 3540)
                    : c <= 3542)))))
              : (c <= 3551 || (c < 3713
                ? (c < 3585
                  ? (c < 3570
                    ? (c >= 3558 && c <= 3567)
                    : c <= 3571)
                  : (c <= 3642 || (c < 3664
                    ? (c >= 3648 && c <= 3662)
                    : c <= 3673)))
                : (c <= 3714 || (c < 3724
                  ? (c < 3718
                    ? c == 3716
                    : c <= 3722)
                  : (c <= 3747 || (c < 3751
                    ? c == 3749
                    : c <= 3773)))))))))))))
      : (c <= 3780 || (c < 8016
        ? (c < 5870
          ? (c < 4682
            ? (c < 3913
              ? (c < 3864
                ? (c < 3792
                  ? (c < 3784
                    ? c == 3782
                    : c <= 3789)
                  : (c <= 3801 || (c < 3840
                    ? (c >= 3804 && c <= 3807)
                    : c <= 3840)))
                : (c <= 3865 || (c < 3895
                  ? (c < 3893
                    ? (c >= 3872 && c <= 3881)
                    : c <= 3893)
                  : (c <= 3895 || (c < 3902
                    ? c == 3897
                    : c <= 3911)))))
              : (c <= 3948 || (c < 4176
                ? (c < 3993
                  ? (c < 3974
                    ? (c >= 3953 && c <= 3972)
                    : c <= 3991)
                  : (c <= 4028 || (c < 4096
                    ? c == 4038
                    : c <= 4169)))
                : (c <= 4253 || (c < 4301
                  ? (c < 4295
                    ? (c >= 4256 && c <= 4293)
                    : c <= 4295)
                  : (c <= 4301 || (c < 4348
                    ? (c >= 4304 && c <= 4346)
                    : c <= 4680)))))))
            : (c <= 4685 || (c < 4824
              ? (c < 4752
                ? (c < 4698
                  ? (c < 4696
                    ? (c >= 4688 && c <= 4694)
                    : c <= 4696)
                  : (c <= 4701 || (c < 4746
                    ? (c >= 4704 && c <= 4744)
                    : c <= 4749)))
                : (c <= 4784 || (c < 4800
                  ? (c < 4792
                    ? (c >= 4786 && c <= 4789)
                    : c <= 4798)
                  : (c <= 4800 || (c < 4808
                    ? (c >= 4802 && c <= 4805)
                    : c <= 4822)))))
              : (c <= 4880 || (c < 5024
                ? (c < 4957
                  ? (c < 4888
                    ? (c >= 4882 && c <= 4885)
                    : c <= 4954)
                  : (c <= 4959 || (c < 4992
                    ? (c >= 4969 && c <= 4977)
                    : c <= 5007)))
                : (c <= 5109 || (c < 5743
                  ? (c < 5121
                    ? (c >= 5112 && c <= 5117)
                    : c <= 5740)
                  : (c <= 5759 || (c < 5792
                    ? (c >= 5761 && c <= 5786)
                    : c <= 5866)))))))))
          : (c <= 5880 || (c < 6656
            ? (c < 6159
              ? (c < 6002
                ? (c < 5952
                  ? (c < 5919
                    ? (c >= 5888 && c <= 5909)
                    : c <= 5940)
                  : (c <= 5971 || (c < 5998
                    ? (c >= 5984 && c <= 5996)
                    : c <= 6000)))
                : (c <= 6003 || (c < 6108
                  ? (c < 6103
                    ? (c >= 6016 && c <= 6099)
                    : c <= 6103)
                  : (c <= 6109 || (c < 6155
                    ? (c >= 6112 && c <= 6121)
                    : c <= 6157)))))
              : (c <= 6169 || (c < 6448
                ? (c < 6320
                  ? (c < 6272
                    ? (c >= 6176 && c <= 6264)
                    : c <= 6314)
                  : (c <= 6389 || (c < 6432
                    ? (c >= 6400 && c <= 6430)
                    : c <= 6443)))
                : (c <= 6459 || (c < 6528
                  ? (c < 6512
                    ? (c >= 6470 && c <= 6509)
                    : c <= 6516)
                  : (c <= 6571 || (c < 6608
                    ? (c >= 6576 && c <= 6601)
                    : c <= 6618)))))))
            : (c <= 6683 || (c < 7168
              ? (c < 6832
                ? (c < 6783
                  ? (c < 6752
                    ? (c >= 6688 && c <= 6750)
                    : c <= 6780)
                  : (c <= 6793 || (c < 6823
                    ? (c >= 6800 && c <= 6809)
                    : c <= 6823)))
                : (c <= 6845 || (c < 6992
                  ? (c < 6912
                    ? (c >= 6847 && c <= 6862)
                    : c <= 6988)
                  : (c <= 7001 || (c < 7040
                    ? (c >= 7019 && c <= 7027)
                    : c <= 7155)))))
              : (c <= 7223 || (c < 7376
                ? (c < 7296
                  ? (c < 7245
                    ? (c >= 7232 && c <= 7241)
                    : c <= 7293)
                  : (c <= 7304 || (c < 7357
                    ? (c >= 7312 && c <= 7354)
                    : c <= 7359)))
                : (c <= 7378 || (c < 7960
                  ? (c < 7424
                    ? (c >= 7380 && c <= 7418)
                    : c <= 7957)
                  : (c <= 7965 || (c < 8008
                    ? (c >= 7968 && c <= 8005)
                    : c <= 8013)))))))))))
        : (c <= 8023 || (c < 11712
          ? (c < 8455
            ? (c < 8160
              ? (c < 8118
                ? (c < 8029
                  ? (c < 8027
                    ? c == 8025
                    : c <= 8027)
                  : (c <= 8029 || (c < 8064
                    ? (c >= 8031 && c <= 8061)
                    : c <= 8116)))
                : (c <= 8124 || (c < 8134
                  ? (c < 8130
                    ? c == 8126
                    : c <= 8132)
                  : (c <= 8140 || (c < 8150
                    ? (c >= 8144 && c <= 8147)
                    : c <= 8155)))))
              : (c <= 8172 || (c < 8319
                ? (c < 8255
                  ? (c < 8182
                    ? (c >= 8178 && c <= 8180)
                    : c <= 8188)
                  : (c <= 8256 || (c < 8305
                    ? c == 8276
                    : c <= 8305)))
                : (c <= 8319 || (c < 8417
                  ? (c < 8400
                    ? (c >= 8336 && c <= 8348)
                    : c <= 8412)
                  : (c <= 8417 || (c < 8450
                    ? (c >= 8421 && c <= 8432)
                    : c <= 8450)))))))
            : (c <= 8455 || (c < 11264
              ? (c < 8488
                ? (c < 8472
                  ? (c < 8469
                    ? (c >= 8458 && c <= 8467)
                    : c <= 8469)
                  : (c <= 8477 || (c < 8486
                    ? c == 8484
                    : c <= 8486)))
                : (c <= 8488 || (c < 8517
                  ? (c < 8508
                    ? (c >= 8490 && c <= 8505)
                    : c <= 8511)
                  : (c <= 8521 || (c < 8544
                    ? c == 8526
                    : c <= 8584)))))
              : (c <= 11492 || (c < 11631
                ? (c < 11559
                  ? (c < 11520
                    ? (c >= 11499 && c <= 11507)
                    : c <= 11557)
                  : (c <= 11559 || (c < 11568
                    ? c == 11565
                    : c <= 11623)))
                : (c <= 11631 || (c < 11688
                  ? (c < 11680
                    ? (c >= 11647 && c <= 11670)
                    : c <= 11686)
                  : (c <= 11694 || (c < 11704
                    ? (c >= 11696 && c <= 11702)
                    : c <= 11710)))))))))
          : (c <= 11718 || (c < 42612
            ? (c < 12449
              ? (c < 12321
                ? (c < 11736
                  ? (c < 11728
                    ? (c >= 11720 && c <= 11726)
                    : c <= 11734)
                  : (c <= 11742 || (c < 12293
                    ? (c >= 11744 && c <= 11775)
                    : c <= 12295)))
                : (c <= 12335 || (c < 12353
                  ? (c < 12344
                    ? (c >= 12337 && c <= 12341)
                    : c <= 12348)
                  : (c <= 12438 || (c < 12445
                    ? (c >= 12441 && c <= 12442)
                    : c <= 12447)))))
              : (c <= 12538 || (c < 13312
                ? (c < 12593
                  ? (c < 12549
                    ? (c >= 12540 && c <= 12543)
                    : c <= 12591)
                  : (c <= 12686 || (c < 12784
                    ? (c >= 12704 && c <= 12735)
                    : c <= 12799)))
                : (c <= 19903 || (c < 42240
                  ? (c < 42192
                    ? (c >= 19968 && c <= 42124)
                    : c <= 42237)
                  : (c <= 42508 || (c < 42560
                    ? (c >= 42512 && c <= 42539)
                    : c <= 42607)))))))
            : (c <= 42621 || (c < 43216
              ? (c < 42963
                ? (c < 42786
                  ? (c < 42775
                    ? (c >= 42623 && c <= 42737)
                    : c <= 42783)
                  : (c <= 42888 || (c < 42960
                    ? (c >= 42891 && c <= 42954)
                    : c <= 42961)))
                : (c <= 42963 || (c < 43052
                  ? (c < 42994
                    ? (c >= 42965 && c <= 42969)
                    : c <= 43047)
                  : (c <= 43052 || (c < 43136
                    ? (c >= 43072 && c <= 43123)
                    : c <= 43205)))))
              : (c <= 43225 || (c < 43392
                ? (c < 43261
                  ? (c < 43259
                    ? (c >= 43232 && c <= 43255)
                    : c <= 43259)
                  : (c <= 43309 || (c < 43360
                    ? (c >= 43312 && c <= 43347)
                    : c <= 43388)))
                : (c <= 43456 || (c < 43520
                  ? (c < 43488
                    ? (c >= 43471 && c <= 43481)
                    : c <= 43518)
                  : (c <= 43574 || (c >= 43584 && c <= 43597)))))))))))))))
    : (c <= 43609 || (c < 71453
      ? (c < 67594
        ? (c < 65343
          ? (c < 64298
            ? (c < 43868
              ? (c < 43777
                ? (c < 43739
                  ? (c < 43642
                    ? (c >= 43616 && c <= 43638)
                    : c <= 43714)
                  : (c <= 43741 || (c < 43762
                    ? (c >= 43744 && c <= 43759)
                    : c <= 43766)))
                : (c <= 43782 || (c < 43808
                  ? (c < 43793
                    ? (c >= 43785 && c <= 43790)
                    : c <= 43798)
                  : (c <= 43814 || (c < 43824
                    ? (c >= 43816 && c <= 43822)
                    : c <= 43866)))))
              : (c <= 43881 || (c < 55243
                ? (c < 44016
                  ? (c < 44012
                    ? (c >= 43888 && c <= 44010)
                    : c <= 44013)
                  : (c <= 44025 || (c < 55216
                    ? (c >= 44032 && c <= 55203)
                    : c <= 55238)))
                : (c <= 55291 || (c < 64256
                  ? (c < 64112
                    ? (c >= 63744 && c <= 64109)
                    : c <= 64217)
                  : (c <= 64262 || (c < 64285
                    ? (c >= 64275 && c <= 64279)
                    : c <= 64296)))))))
            : (c <= 64310 || (c < 65056
              ? (c < 64467
                ? (c < 64320
                  ? (c < 64318
                    ? (c >= 64312 && c <= 64316)
                    : c <= 64318)
                  : (c <= 64321 || (c < 64326
                    ? (c >= 64323 && c <= 64324)
                    : c <= 64433)))
                : (c <= 64605 || (c < 64914
                  ? (c < 64848
                    ? (c >= 64612 && c <= 64829)
                    : c <= 64911)
                  : (c <= 64967 || (c < 65024
                    ? (c >= 65008 && c <= 65017)
                    : c <= 65039)))))
              : (c <= 65071 || (c < 65145
                ? (c < 65137
                  ? (c < 65101
                    ? (c >= 65075 && c <= 65076)
                    : c <= 65103)
                  : (c <= 65137 || (c < 65143
                    ? c == 65139
                    : c <= 65143)))
                : (c <= 65145 || (c < 65151
                  ? (c < 65149
                    ? c == 65147
                    : c <= 65149)
                  : (c <= 65276 || (c < 65313
                    ? (c >= 65296 && c <= 65305)
                    : c <= 65338)))))))))
          : (c <= 65343 || (c < 66504
            ? (c < 65616
              ? (c < 65498
                ? (c < 65474
                  ? (c < 65382
                    ? (c >= 65345 && c <= 65370)
                    : c <= 65470)
                  : (c <= 65479 || (c < 65490
                    ? (c >= 65482 && c <= 65487)
                    : c <= 65495)))
                : (c <= 65500 || (c < 65576
                  ? (c < 65549
                    ? (c >= 65536 && c <= 65547)
                    : c <= 65574)
                  : (c <= 65594 || (c < 65599
                    ? (c >= 65596 && c <= 65597)
                    : c <= 65613)))))
              : (c <= 65629 || (c < 66272
                ? (c < 66045
                  ? (c < 65856
                    ? (c >= 65664 && c <= 65786)
                    : c <= 65908)
                  : (c <= 66045 || (c < 66208
                    ? (c >= 66176 && c <= 66204)
                    : c <= 66256)))
                : (c <= 66272 || (c < 66384
                  ? (c < 66349
                    ? (c >= 66304 && c <= 66335)
                    : c <= 66378)
                  : (c <= 66426 || (c < 66464
                    ? (c >= 66432 && c <= 66461)
                    : c <= 66499)))))))
            : (c <= 66511 || (c < 66967
              ? (c < 66816
                ? (c < 66720
                  ? (c < 66560
                    ? (c >= 66513 && c <= 66517)
                    : c <= 66717)
                  : (c <= 66729 || (c < 66776
                    ? (c >= 66736 && c <= 66771)
                    : c <= 66811)))
                : (c <= 66855 || (c < 66940
                  ? (c < 66928
                    ? (c >= 66864 && c <= 66915)
                    : c <= 66938)
                  : (c <= 66954 || (c < 66964
                    ? (c >= 66956 && c <= 66962)
                    : c <= 66965)))))
              : (c <= 66977 || (c < 67424
                ? (c < 67003
                  ? (c < 66995
                    ? (c >= 66979 && c <= 66993)
                    : c <= 67001)
                  : (c <= 67004 || (c < 67392
                    ? (c >= 67072 && c <= 67382)
                    : c <= 67413)))
                : (c <= 67431 || (c < 67506
                  ? (c < 67463
                    ? (c >= 67456 && c <= 67461)
                    : c <= 67504)
                  : (c <= 67514 || (c < 67592
                    ? (c >= 67584 && c <= 67589)
                    : c <= 67592)))))))))))
        : (c <= 67637 || (c < 69942
          ? (c < 68416
            ? (c < 68096
              ? (c < 67808
                ? (c < 67647
                  ? (c < 67644
                    ? (c >= 67639 && c <= 67640)
                    : c <= 67644)
                  : (c <= 67669 || (c < 67712
                    ? (c >= 67680 && c <= 67702)
                    : c <= 67742)))
                : (c <= 67826 || (c < 67872
                  ? (c < 67840
                    ? (c >= 67828 && c <= 67829)
                    : c <= 67861)
                  : (c <= 67897 || (c < 68030
                    ? (c >= 67968 && c <= 68023)
                    : c <= 68031)))))
              : (c <= 68099 || (c < 68159
                ? (c < 68117
                  ? (c < 68108
                    ? (c >= 68101 && c <= 68102)
                    : c <= 68115)
                  : (c <= 68119 || (c < 68152
                    ? (c >= 68121 && c <= 68149)
                    : c <= 68154)))
                : (c <= 68159 || (c < 68288
                  ? (c < 68224
                    ? (c >= 68192 && c <= 68220)
                    : c <= 68252)
                  : (c <= 68295 || (c < 68352
                    ? (c >= 68297 && c <= 68326)
                    : c <= 68405)))))))
            : (c <= 68437 || (c < 69415
              ? (c < 68864
                ? (c < 68608
                  ? (c < 68480
                    ? (c >= 68448 && c <= 68466)
                    : c <= 68497)
                  : (c <= 68680 || (c < 68800
                    ? (c >= 68736 && c <= 68786)
                    : c <= 68850)))
                : (c <= 68903 || (c < 69291
                  ? (c < 69248
                    ? (c >= 68912 && c <= 68921)
                    : c <= 69289)
                  : (c <= 69292 || (c < 69376
                    ? (c >= 69296 && c <= 69297)
                    : c <= 69404)))))
              : (c <= 69415 || (c < 69734
                ? (c < 69552
                  ? (c < 69488
                    ? (c >= 69424 && c <= 69456)
                    : c <= 69509)
                  : (c <= 69572 || (c < 69632
                    ? (c >= 69600 && c <= 69622)
                    : c <= 69702)))
                : (c <= 69749 || (c < 69840
                  ? (c < 69826
                    ? (c >= 69759 && c <= 69818)
                    : c <= 69826)
                  : (c <= 69864 || (c < 69888
                    ? (c >= 69872 && c <= 69881)
                    : c <= 69940)))))))))
          : (c <= 69951 || (c < 70453
            ? (c < 70280
              ? (c < 70094
                ? (c < 70006
                  ? (c < 69968
                    ? (c >= 69956 && c <= 69959)
                    : c <= 70003)
                  : (c <= 70006 || (c < 70089
                    ? (c >= 70016 && c <= 70084)
                    : c <= 70092)))
                : (c <= 70106 || (c < 70163
                  ? (c < 70144
                    ? c == 70108
                    : c <= 70161)
                  : (c <= 70199 || (c < 70272
                    ? c == 70206
                    : c <= 70278)))))
              : (c <= 70280 || (c < 70400
                ? (c < 70303
                  ? (c < 70287
                    ? (c >= 70282 && c <= 70285)
                    : c <= 70301)
                  : (c <= 70312 || (c < 70384
                    ? (c >= 70320 && c <= 70378)
                    : c <= 70393)))
                : (c <= 70403 || (c < 70419
                  ? (c < 70415
                    ? (c >= 70405 && c <= 70412)
                    : c <= 70416)
                  : (c <= 70440 || (c < 70450
                    ? (c >= 70442 && c <= 70448)
                    : c <= 70451)))))))
            : (c <= 70457 || (c < 70784
              ? (c < 70493
                ? (c < 70475
                  ? (c < 70471
                    ? (c >= 70459 && c <= 70468)
                    : c <= 70472)
                  : (c <= 70477 || (c < 70487
                    ? c == 70480
                    : c <= 70487)))
                : (c <= 70499 || (c < 70656
                  ? (c < 70512
                    ? (c >= 70502 && c <= 70508)
                    : c <= 70516)
                  : (c <= 70730 || (c < 70750
                    ? (c >= 70736 && c <= 70745)
                    : c <= 70753)))))
              : (c <= 70853 || (c < 71168
                ? (c < 71040
                  ? (c < 70864
                    ? c == 70855
                    : c <= 70873)
                  : (c <= 71093 || (c < 71128
                    ? (c >= 71096 && c <= 71104)
                    : c <= 71133)))
                : (c <= 71232 || (c < 71296
                  ? (c < 71248
                    ? c == 71236
                    : c <= 71257)
                  : (c <= 71352 || (c < 71424
                    ? (c >= 71360 && c <= 71369)
                    : c <= 71450)))))))))))))
      : (c <= 71467 || (c < 119973
        ? (c < 77824
          ? (c < 72760
            ? (c < 72016
              ? (c < 71945
                ? (c < 71680
                  ? (c < 71488
                    ? (c >= 71472 && c <= 71481)
                    : c <= 71494)
                  : (c <= 71738 || (c < 71935
                    ? (c >= 71840 && c <= 71913)
                    : c <= 71942)))
                : (c <= 71945 || (c < 71960
                  ? (c < 71957
                    ? (c >= 71948 && c <= 71955)
                    : c <= 71958)
                  : (c <= 71989 || (c < 71995
                    ? (c >= 71991 && c <= 71992)
                    : c <= 72003)))))
              : (c <= 72025 || (c < 72263
                ? (c < 72154
                  ? (c < 72106
                    ? (c >= 72096 && c <= 72103)
                    : c <= 72151)
                  : (c <= 72161 || (c < 72192
                    ? (c >= 72163 && c <= 72164)
                    : c <= 72254)))
                : (c <= 72263 || (c < 72368
                  ? (c < 72349
                    ? (c >= 72272 && c <= 72345)
                    : c <= 72349)
                  : (c <= 72440 || (c < 72714
                    ? (c >= 72704 && c <= 72712)
                    : c <= 72758)))))))
            : (c <= 72768 || (c < 73056
              ? (c < 72968
                ? (c < 72850
                  ? (c < 72818
                    ? (c >= 72784 && c <= 72793)
                    : c <= 72847)
                  : (c <= 72871 || (c < 72960
                    ? (c >= 72873 && c <= 72886)
                    : c <= 72966)))
                : (c <= 72969 || (c < 73020
                  ? (c < 73018
                    ? (c >= 72971 && c <= 73014)
                    : c <= 73018)
                  : (c <= 73021 || (c < 73040
                    ? (c >= 73023 && c <= 73031)
                    : c <= 73049)))))
              : (c <= 73061 || (c < 73440
                ? (c < 73104
                  ? (c < 73066
                    ? (c >= 73063 && c <= 73064)
                    : c <= 73102)
                  : (c <= 73105 || (c < 73120
                    ? (c >= 73107 && c <= 73112)
                    : c <= 73129)))
                : (c <= 73462 || (c < 74752
                  ? (c < 73728
                    ? c == 73648
                    : c <= 74649)
                  : (c <= 74862 || (c < 77712
                    ? (c >= 74880 && c <= 75075)
                    : c <= 77808)))))))))
          : (c <= 78894 || (c < 110576
            ? (c < 93027
              ? (c < 92864
                ? (c < 92736
                  ? (c < 92160
                    ? (c >= 82944 && c <= 83526)
                    : c <= 92728)
                  : (c <= 92766 || (c < 92784
                    ? (c >= 92768 && c <= 92777)
                    : c <= 92862)))
                : (c <= 92873 || (c < 92928
                  ? (c < 92912
                    ? (c >= 92880 && c <= 92909)
                    : c <= 92916)
                  : (c <= 92982 || (c < 93008
                    ? (c >= 92992 && c <= 92995)
                    : c <= 93017)))))
              : (c <= 93047 || (c < 94176
                ? (c < 93952
                  ? (c < 93760
                    ? (c >= 93053 && c <= 93071)
                    : c <= 93823)
                  : (c <= 94026 || (c < 94095
                    ? (c >= 94031 && c <= 94087)
                    : c <= 94111)))
                : (c <= 94177 || (c < 94208
                  ? (c < 94192
                    ? (c >= 94179 && c <= 94180)
                    : c <= 94193)
                  : (c <= 100343 || (c < 101632
                    ? (c >= 100352 && c <= 101589)
                    : c <= 101640)))))))
            : (c <= 110579 || (c < 118528
              ? (c < 110960
                ? (c < 110592
                  ? (c < 110589
                    ? (c >= 110581 && c <= 110587)
                    : c <= 110590)
                  : (c <= 110882 || (c < 110948
                    ? (c >= 110928 && c <= 110930)
                    : c <= 110951)))
                : (c <= 111355 || (c < 113792
                  ? (c < 113776
                    ? (c >= 113664 && c <= 113770)
                    : c <= 113788)
                  : (c <= 113800 || (c < 113821
                    ? (c >= 113808 && c <= 113817)
                    : c <= 113822)))))
              : (c <= 118573 || (c < 119210
                ? (c < 119149
                  ? (c < 119141
                    ? (c >= 118576 && c <= 118598)
                    : c <= 119145)
                  : (c <= 119154 || (c < 119173
                    ? (c >= 119163 && c <= 119170)
                    : c <= 119179)))
                : (c <= 119213 || (c < 119894
                  ? (c < 119808
                    ? (c >= 119362 && c <= 119364)
                    : c <= 119892)
                  : (c <= 119964 || (c < 119970
                    ? (c >= 119966 && c <= 119967)
                    : c <= 119970)))))))))))
        : (c <= 119974 || (c < 124912
          ? (c < 120746
            ? (c < 120134
              ? (c < 120071
                ? (c < 119995
                  ? (c < 119982
                    ? (c >= 119977 && c <= 119980)
                    : c <= 119993)
                  : (c <= 119995 || (c < 120005
                    ? (c >= 119997 && c <= 120003)
                    : c <= 120069)))
                : (c <= 120074 || (c < 120094
                  ? (c < 120086
                    ? (c >= 120077 && c <= 120084)
                    : c <= 120092)
                  : (c <= 120121 || (c < 120128
                    ? (c >= 120123 && c <= 120126)
                    : c <= 120132)))))
              : (c <= 120134 || (c < 120572
                ? (c < 120488
                  ? (c < 120146
                    ? (c >= 120138 && c <= 120144)
                    : c <= 120485)
                  : (c <= 120512 || (c < 120540
                    ? (c >= 120514 && c <= 120538)
                    : c <= 120570)))
                : (c <= 120596 || (c < 120656
                  ? (c < 120630
                    ? (c >= 120598 && c <= 120628)
                    : c <= 120654)
                  : (c <= 120686 || (c < 120714
                    ? (c >= 120688 && c <= 120712)
                    : c <= 120744)))))))
            : (c <= 120770 || (c < 122907
              ? (c < 121476
                ? (c < 121344
                  ? (c < 120782
                    ? (c >= 120772 && c <= 120779)
                    : c <= 120831)
                  : (c <= 121398 || (c < 121461
                    ? (c >= 121403 && c <= 121452)
                    : c <= 121461)))
                : (c <= 121476 || (c < 122624
                  ? (c < 121505
                    ? (c >= 121499 && c <= 121503)
                    : c <= 121519)
                  : (c <= 122654 || (c < 122888
                    ? (c >= 122880 && c <= 122886)
                    : c <= 122904)))))
              : (c <= 122913 || (c < 123214
                ? (c < 123136
                  ? (c < 122918
                    ? (c >= 122915 && c <= 122916)
                    : c <= 122922)
                  : (c <= 123180 || (c < 123200
                    ? (c >= 123184 && c <= 123197)
                    : c <= 123209)))
                : (c <= 123214 || (c < 124896
                  ? (c < 123584
                    ? (c >= 123536 && c <= 123566)
                    : c <= 123641)
                  : (c <= 124902 || (c < 124909
                    ? (c >= 124904 && c <= 124907)
                    : c <= 124910)))))))))
          : (c <= 124926 || (c < 126557
            ? (c < 126521
              ? (c < 126469
                ? (c < 125184
                  ? (c < 125136
                    ? (c >= 124928 && c <= 125124)
                    : c <= 125142)
                  : (c <= 125259 || (c < 126464
                    ? (c >= 125264 && c <= 125273)
                    : c <= 126467)))
                : (c <= 126495 || (c < 126503
                  ? (c < 126500
                    ? (c >= 126497 && c <= 126498)
                    : c <= 126500)
                  : (c <= 126503 || (c < 126516
                    ? (c >= 126505 && c <= 126514)
                    : c <= 126519)))))
              : (c <= 126521 || (c < 126541
                ? (c < 126535
                  ? (c < 126530
                    ? c == 126523
                    : c <= 126530)
                  : (c <= 126535 || (c < 126539
                    ? c == 126537
                    : c <= 126539)))
                : (c <= 126543 || (c < 126551
                  ? (c < 126548
                    ? (c >= 126545 && c <= 126546)
                    : c <= 126548)
                  : (c <= 126551 || (c < 126555
                    ? c == 126553
                    : c <= 126555)))))))
            : (c <= 126557 || (c < 126629
              ? (c < 126580
                ? (c < 126564
                  ? (c < 126561
                    ? c == 126559
                    : c <= 126562)
                  : (c <= 126564 || (c < 126572
                    ? (c >= 126567 && c <= 126570)
                    : c <= 126578)))
                : (c <= 126583 || (c < 126592
                  ? (c < 126590
                    ? (c >= 126585 && c <= 126588)
                    : c <= 126590)
                  : (c <= 126601 || (c < 126625
                    ? (c >= 126603 && c <= 126619)
                    : c <= 126627)))))
              : (c <= 126633 || (c < 178208
                ? (c < 131072
                  ? (c < 130032
                    ? (c >= 126635 && c <= 126651)
                    : c <= 130041)
                  : (c <= 173791 || (c < 177984
                    ? (c >= 173824 && c <= 177976)
                    : c <= 178205)))
                : (c <= 183969 || (c < 196608
                  ? (c < 194560
                    ? (c >= 183984 && c <= 191456)
                    : c <= 195101)
                  : (c <= 201546 || (c >= 917760 && c <= 917999)))))))))))))))));
}

static inline bool sym_identifier_character_set_35(int32_t c) {
  return (c < 43600
    ? (c < 3776
      ? (c < 2738
        ? (c < 1984
          ? (c < 910
            ? (c < 216
              ? (c < 'p'
                ? (c < 'A'
                  ? (c < '0'
                    ? c == '$'
                    : c <= '9')
                  : (c <= 'Z' || (c < 'a'
                    ? c == '_'
                    : c <= 'n')))
                : (c <= 'z' || (c < 183
                  ? (c < 181
                    ? c == 170
                    : c <= 181)
                  : (c <= 183 || (c < 192
                    ? c == 186
                    : c <= 214)))))
              : (c <= 246 || (c < 768
                ? (c < 736
                  ? (c < 710
                    ? (c >= 248 && c <= 705)
                    : c <= 721)
                  : (c <= 740 || (c < 750
                    ? c == 748
                    : c <= 750)))
                : (c <= 884 || (c < 895
                  ? (c < 891
                    ? (c >= 886 && c <= 887)
                    : c <= 893)
                  : (c <= 895 || (c < 908
                    ? (c >= 902 && c <= 906)
                    : c <= 908)))))))
            : (c <= 929 || (c < 1479
              ? (c < 1369
                ? (c < 1155
                  ? (c < 1015
                    ? (c >= 931 && c <= 1013)
                    : c <= 1153)
                  : (c <= 1159 || (c < 1329
                    ? (c >= 1162 && c <= 1327)
                    : c <= 1366)))
                : (c <= 1369 || (c < 1471
                  ? (c < 1425
                    ? (c >= 1376 && c <= 1416)
                    : c <= 1469)
                  : (c <= 1471 || (c < 1476
                    ? (c >= 1473 && c <= 1474)
                    : c <= 1477)))))
              : (c <= 1479 || (c < 1749
                ? (c < 1552
                  ? (c < 1519
                    ? (c >= 1488 && c <= 1514)
                    : c <= 1522)
                  : (c <= 1562 || (c < 1646
                    ? (c >= 1568 && c <= 1641)
                    : c <= 1747)))
                : (c <= 1756 || (c < 1791
                  ? (c < 1770
                    ? (c >= 1759 && c <= 1768)
                    : c <= 1788)
                  : (c <= 1791 || (c < 1869
                    ? (c >= 1808 && c <= 1866)
                    : c <= 1969)))))))))
          : (c <= 2037 || (c < 2534
            ? (c < 2437
              ? (c < 2160
                ? (c < 2048
                  ? (c < 2045
                    ? c == 2042
                    : c <= 2045)
                  : (c <= 2093 || (c < 2144
                    ? (c >= 2112 && c <= 2139)
                    : c <= 2154)))
                : (c <= 2183 || (c < 2275
                  ? (c < 2200
                    ? (c >= 2185 && c <= 2190)
                    : c <= 2273)
                  : (c <= 2403 || (c < 2417
                    ? (c >= 2406 && c <= 2415)
                    : c <= 2435)))))
              : (c <= 2444 || (c < 2492
                ? (c < 2474
                  ? (c < 2451
                    ? (c >= 2447 && c <= 2448)
                    : c <= 2472)
                  : (c <= 2480 || (c < 2486
                    ? c == 2482
                    : c <= 2489)))
                : (c <= 2500 || (c < 2519
                  ? (c < 2507
                    ? (c >= 2503 && c <= 2504)
                    : c <= 2510)
                  : (c <= 2519 || (c < 2527
                    ? (c >= 2524 && c <= 2525)
                    : c <= 2531)))))))
            : (c <= 2545 || (c < 2622
              ? (c < 2579
                ? (c < 2561
                  ? (c < 2558
                    ? c == 2556
                    : c <= 2558)
                  : (c <= 2563 || (c < 2575
                    ? (c >= 2565 && c <= 2570)
                    : c <= 2576)))
                : (c <= 2600 || (c < 2613
                  ? (c < 2610
                    ? (c >= 2602 && c <= 2608)
                    : c <= 2611)
                  : (c <= 2614 || (c < 2620
                    ? (c >= 2616 && c <= 2617)
                    : c <= 2620)))))
              : (c <= 2626 || (c < 2662
                ? (c < 2641
                  ? (c < 2635
                    ? (c >= 2631 && c <= 2632)
                    : c <= 2637)
                  : (c <= 2641 || (c < 2654
                    ? (c >= 2649 && c <= 2652)
                    : c <= 2654)))
                : (c <= 2677 || (c < 2703
                  ? (c < 2693
                    ? (c >= 2689 && c <= 2691)
                    : c <= 2701)
                  : (c <= 2705 || (c < 2730
                    ? (c >= 2707 && c <= 2728)
                    : c <= 2736)))))))))))
        : (c <= 2739 || (c < 3160
          ? (c < 2946
            ? (c < 2835
              ? (c < 2784
                ? (c < 2759
                  ? (c < 2748
                    ? (c >= 2741 && c <= 2745)
                    : c <= 2757)
                  : (c <= 2761 || (c < 2768
                    ? (c >= 2763 && c <= 2765)
                    : c <= 2768)))
                : (c <= 2787 || (c < 2817
                  ? (c < 2809
                    ? (c >= 2790 && c <= 2799)
                    : c <= 2815)
                  : (c <= 2819 || (c < 2831
                    ? (c >= 2821 && c <= 2828)
                    : c <= 2832)))))
              : (c <= 2856 || (c < 2891
                ? (c < 2869
                  ? (c < 2866
                    ? (c >= 2858 && c <= 2864)
                    : c <= 2867)
                  : (c <= 2873 || (c < 2887
                    ? (c >= 2876 && c <= 2884)
                    : c <= 2888)))
                : (c <= 2893 || (c < 2911
                  ? (c < 2908
                    ? (c >= 2901 && c <= 2903)
                    : c <= 2909)
                  : (c <= 2915 || (c < 2929
                    ? (c >= 2918 && c <= 2927)
                    : c <= 2929)))))))
            : (c <= 2947 || (c < 3018
              ? (c < 2974
                ? (c < 2962
                  ? (c < 2958
                    ? (c >= 2949 && c <= 2954)
                    : c <= 2960)
                  : (c <= 2965 || (c < 2972
                    ? (c >= 2969 && c <= 2970)
                    : c <= 2972)))
                : (c <= 2975 || (c < 2990
                  ? (c < 2984
                    ? (c >= 2979 && c <= 2980)
                    : c <= 2986)
                  : (c <= 3001 || (c < 3014
                    ? (c >= 3006 && c <= 3010)
                    : c <= 3016)))))
              : (c <= 3021 || (c < 3090
                ? (c < 3046
                  ? (c < 3031
                    ? c == 3024
                    : c <= 3031)
                  : (c <= 3055 || (c < 3086
                    ? (c >= 3072 && c <= 3084)
                    : c <= 3088)))
                : (c <= 3112 || (c < 3142
                  ? (c < 3132
                    ? (c >= 3114 && c <= 3129)
                    : c <= 3140)
                  : (c <= 3144 || (c < 3157
                    ? (c >= 3146 && c <= 3149)
                    : c <= 3158)))))))))
          : (c <= 3162 || (c < 3423
            ? (c < 3274
              ? (c < 3214
                ? (c < 3174
                  ? (c < 3168
                    ? c == 3165
                    : c <= 3171)
                  : (c <= 3183 || (c < 3205
                    ? (c >= 3200 && c <= 3203)
                    : c <= 3212)))
                : (c <= 3216 || (c < 3253
                  ? (c < 3242
                    ? (c >= 3218 && c <= 3240)
                    : c <= 3251)
                  : (c <= 3257 || (c < 3270
                    ? (c >= 3260 && c <= 3268)
                    : c <= 3272)))))
              : (c <= 3277 || (c < 3328
                ? (c < 3296
                  ? (c < 3293
                    ? (c >= 3285 && c <= 3286)
                    : c <= 3294)
                  : (c <= 3299 || (c < 3313
                    ? (c >= 3302 && c <= 3311)
                    : c <= 3314)))
                : (c <= 3340 || (c < 3398
                  ? (c < 3346
                    ? (c >= 3342 && c <= 3344)
                    : c <= 3396)
                  : (c <= 3400 || (c < 3412
                    ? (c >= 3402 && c <= 3406)
                    : c <= 3415)))))))
            : (c <= 3427 || (c < 3544
              ? (c < 3507
                ? (c < 3457
                  ? (c < 3450
                    ? (c >= 3430 && c <= 3439)
                    : c <= 3455)
                  : (c <= 3459 || (c < 3482
                    ? (c >= 3461 && c <= 3478)
                    : c <= 3505)))
                : (c <= 3515 || (c < 3530
                  ? (c < 3520
                    ? c == 3517
                    : c <= 3526)
                  : (c <= 3530 || (c < 3542
                    ? (c >= 3535 && c <= 3540)
                    : c <= 3542)))))
              : (c <= 3551 || (c < 3713
                ? (c < 3585
                  ? (c < 3570
                    ? (c >= 3558 && c <= 3567)
                    : c <= 3571)
                  : (c <= 3642 || (c < 3664
                    ? (c >= 3648 && c <= 3662)
                    : c <= 3673)))
                : (c <= 3714 || (c < 3724
                  ? (c < 3718
                    ? c == 3716
                    : c <= 3722)
                  : (c <= 3747 || (c < 3751
                    ? c == 3749
                    : c <= 3773)))))))))))))
      : (c <= 3780 || (c < 8016
        ? (c < 5870
          ? (c < 4682
            ? (c < 3913
              ? (c < 3864
                ? (c < 3792
                  ? (c < 3784
                    ? c == 3782
                    : c <= 3789)
                  : (c <= 3801 || (c < 3840
                    ? (c >= 3804 && c <= 3807)
                    : c <= 3840)))
                : (c <= 3865 || (c < 3895
                  ? (c < 3893
                    ? (c >= 3872 && c <= 3881)
                    : c <= 3893)
                  : (c <= 3895 || (c < 3902
                    ? c == 3897
                    : c <= 3911)))))
              : (c <= 3948 || (c < 4176
                ? (c < 3993
                  ? (c < 3974
                    ? (c >= 3953 && c <= 3972)
                    : c <= 3991)
                  : (c <= 4028 || (c < 4096
                    ? c == 4038
                    : c <= 4169)))
                : (c <= 4253 || (c < 4301
                  ? (c < 4295
                    ? (c >= 4256 && c <= 4293)
                    : c <= 4295)
                  : (c <= 4301 || (c < 4348
                    ? (c >= 4304 && c <= 4346)
                    : c <= 4680)))))))
            : (c <= 4685 || (c < 4824
              ? (c < 4752
                ? (c < 4698
                  ? (c < 4696
                    ? (c >= 4688 && c <= 4694)
                    : c <= 4696)
                  : (c <= 4701 || (c < 4746
                    ? (c >= 4704 && c <= 4744)
                    : c <= 4749)))
                : (c <= 4784 || (c < 4800
                  ? (c < 4792
                    ? (c >= 4786 && c <= 4789)
                    : c <= 4798)
                  : (c <= 4800 || (c < 4808
                    ? (c >= 4802 && c <= 4805)
                    : c <= 4822)))))
              : (c <= 4880 || (c < 5024
                ? (c < 4957
                  ? (c < 4888
                    ? (c >= 4882 && c <= 4885)
                    : c <= 4954)
                  : (c <= 4959 || (c < 4992
                    ? (c >= 4969 && c <= 4977)
                    : c <= 5007)))
                : (c <= 5109 || (c < 5743
                  ? (c < 5121
                    ? (c >= 5112 && c <= 5117)
                    : c <= 5740)
                  : (c <= 5759 || (c < 5792
                    ? (c >= 5761 && c <= 5786)
                    : c <= 5866)))))))))
          : (c <= 5880 || (c < 6656
            ? (c < 6159
              ? (c < 6002
                ? (c < 5952
                  ? (c < 5919
                    ? (c >= 5888 && c <= 5909)
                    : c <= 5940)
                  : (c <= 5971 || (c < 5998
                    ? (c >= 5984 && c <= 5996)
                    : c <= 6000)))
                : (c <= 6003 || (c < 6108
                  ? (c < 6103
                    ? (c >= 6016 && c <= 6099)
                    : c <= 6103)
                  : (c <= 6109 || (c < 6155
                    ? (c >= 6112 && c <= 6121)
                    : c <= 6157)))))
              : (c <= 6169 || (c < 6448
                ? (c < 6320
                  ? (c < 6272
                    ? (c >= 6176 && c <= 6264)
                    : c <= 6314)
                  : (c <= 6389 || (c < 6432
                    ? (c >= 6400 && c <= 6430)
                    : c <= 6443)))
                : (c <= 6459 || (c < 6528
                  ? (c < 6512
                    ? (c >= 6470 && c <= 6509)
                    : c <= 6516)
                  : (c <= 6571 || (c < 6608
                    ? (c >= 6576 && c <= 6601)
                    : c <= 6618)))))))
            : (c <= 6683 || (c < 7168
              ? (c < 6832
                ? (c < 6783
                  ? (c < 6752
                    ? (c >= 6688 && c <= 6750)
                    : c <= 6780)
                  : (c <= 6793 || (c < 6823
                    ? (c >= 6800 && c <= 6809)
                    : c <= 6823)))
                : (c <= 6845 || (c < 6992
                  ? (c < 6912
                    ? (c >= 6847 && c <= 6862)
                    : c <= 6988)
                  : (c <= 7001 || (c < 7040
                    ? (c >= 7019 && c <= 7027)
                    : c <= 7155)))))
              : (c <= 7223 || (c < 7376
                ? (c < 7296
                  ? (c < 7245
                    ? (c >= 7232 && c <= 7241)
                    : c <= 7293)
                  : (c <= 7304 || (c < 7357
                    ? (c >= 7312 && c <= 7354)
                    : c <= 7359)))
                : (c <= 7378 || (c < 7960
                  ? (c < 7424
                    ? (c >= 7380 && c <= 7418)
                    : c <= 7957)
                  : (c <= 7965 || (c < 8008
                    ? (c >= 7968 && c <= 8005)
                    : c <= 8013)))))))))))
        : (c <= 8023 || (c < 11712
          ? (c < 8455
            ? (c < 8160
              ? (c < 8118
                ? (c < 8029
                  ? (c < 8027
                    ? c == 8025
                    : c <= 8027)
                  : (c <= 8029 || (c < 8064
                    ? (c >= 8031 && c <= 8061)
                    : c <= 8116)))
                : (c <= 8124 || (c < 8134
                  ? (c < 8130
                    ? c == 8126
                    : c <= 8132)
                  : (c <= 8140 || (c < 8150
                    ? (c >= 8144 && c <= 8147)
                    : c <= 8155)))))
              : (c <= 8172 || (c < 8319
                ? (c < 8255
                  ? (c < 8182
                    ? (c >= 8178 && c <= 8180)
                    : c <= 8188)
                  : (c <= 8256 || (c < 8305
                    ? c == 8276
                    : c <= 8305)))
                : (c <= 8319 || (c < 8417
                  ? (c < 8400
                    ? (c >= 8336 && c <= 8348)
                    : c <= 8412)
                  : (c <= 8417 || (c < 8450
                    ? (c >= 8421 && c <= 8432)
                    : c <= 8450)))))))
            : (c <= 8455 || (c < 11264
              ? (c < 8488
                ? (c < 8472
                  ? (c < 8469
                    ? (c >= 8458 && c <= 8467)
                    : c <= 8469)
                  : (c <= 8477 || (c < 8486
                    ? c == 8484
                    : c <= 8486)))
                : (c <= 8488 || (c < 8517
                  ? (c < 8508
                    ? (c >= 8490 && c <= 8505)
                    : c <= 8511)
                  : (c <= 8521 || (c < 8544
                    ? c == 8526
                    : c <= 8584)))))
              : (c <= 11492 || (c < 11631
                ? (c < 11559
                  ? (c < 11520
                    ? (c >= 11499 && c <= 11507)
                    : c <= 11557)
                  : (c <= 11559 || (c < 11568
                    ? c == 11565
                    : c <= 11623)))
                : (c <= 11631 || (c < 11688
                  ? (c < 11680
                    ? (c >= 11647 && c <= 11670)
                    : c <= 11686)
                  : (c <= 11694 || (c < 11704
                    ? (c >= 11696 && c <= 11702)
                    : c <= 11710)))))))))
          : (c <= 11718 || (c < 42612
            ? (c < 12449
              ? (c < 12321
                ? (c < 11736
                  ? (c < 11728
                    ? (c >= 11720 && c <= 11726)
                    : c <= 11734)
                  : (c <= 11742 || (c < 12293
                    ? (c >= 11744 && c <= 11775)
                    : c <= 12295)))
                : (c <= 12335 || (c < 12353
                  ? (c < 12344
                    ? (c >= 12337 && c <= 12341)
                    : c <= 12348)
                  : (c <= 12438 || (c < 12445
                    ? (c >= 12441 && c <= 12442)
                    : c <= 12447)))))
              : (c <= 12538 || (c < 13312
                ? (c < 12593
                  ? (c < 12549
                    ? (c >= 12540 && c <= 12543)
                    : c <= 12591)
                  : (c <= 12686 || (c < 12784
                    ? (c >= 12704 && c <= 12735)
                    : c <= 12799)))
                : (c <= 19903 || (c < 42240
                  ? (c < 42192
                    ? (c >= 19968 && c <= 42124)
                    : c <= 42237)
                  : (c <= 42508 || (c < 42560
                    ? (c >= 42512 && c <= 42539)
                    : c <= 42607)))))))
            : (c <= 42621 || (c < 43216
              ? (c < 42963
                ? (c < 42786
                  ? (c < 42775
                    ? (c >= 42623 && c <= 42737)
                    : c <= 42783)
                  : (c <= 42888 || (c < 42960
                    ? (c >= 42891 && c <= 42954)
                    : c <= 42961)))
                : (c <= 42963 || (c < 43052
                  ? (c < 42994
                    ? (c >= 42965 && c <= 42969)
                    : c <= 43047)
                  : (c <= 43052 || (c < 43136
                    ? (c >= 43072 && c <= 43123)
                    : c <= 43205)))))
              : (c <= 43225 || (c < 43392
                ? (c < 43261
                  ? (c < 43259
                    ? (c >= 43232 && c <= 43255)
                    : c <= 43259)
                  : (c <= 43309 || (c < 43360
                    ? (c >= 43312 && c <= 43347)
                    : c <= 43388)))
                : (c <= 43456 || (c < 43520
                  ? (c < 43488
                    ? (c >= 43471 && c <= 43481)
                    : c <= 43518)
                  : (c <= 43574 || (c >= 43584 && c <= 43597)))))))))))))))
    : (c <= 43609 || (c < 71453
      ? (c < 67594
        ? (c < 65343
          ? (c < 64298
            ? (c < 43868
              ? (c < 43777
                ? (c < 43739
                  ? (c < 43642
                    ? (c >= 43616 && c <= 43638)
                    : c <= 43714)
                  : (c <= 43741 || (c < 43762
                    ? (c >= 43744 && c <= 43759)
                    : c <= 43766)))
                : (c <= 43782 || (c < 43808
                  ? (c < 43793
                    ? (c >= 43785 && c <= 43790)
                    : c <= 43798)
                  : (c <= 43814 || (c < 43824
                    ? (c >= 43816 && c <= 43822)
                    : c <= 43866)))))
              : (c <= 43881 || (c < 55243
                ? (c < 44016
                  ? (c < 44012
                    ? (c >= 43888 && c <= 44010)
                    : c <= 44013)
                  : (c <= 44025 || (c < 55216
                    ? (c >= 44032 && c <= 55203)
                    : c <= 55238)))
                : (c <= 55291 || (c < 64256
                  ? (c < 64112
                    ? (c >= 63744 && c <= 64109)
                    : c <= 64217)
                  : (c <= 64262 || (c < 64285
                    ? (c >= 64275 && c <= 64279)
                    : c <= 64296)))))))
            : (c <= 64310 || (c < 65056
              ? (c < 64467
                ? (c < 64320
                  ? (c < 64318
                    ? (c >= 64312 && c <= 64316)
                    : c <= 64318)
                  : (c <= 64321 || (c < 64326
                    ? (c >= 64323 && c <= 64324)
                    : c <= 64433)))
                : (c <= 64605 || (c < 64914
                  ? (c < 64848
                    ? (c >= 64612 && c <= 64829)
                    : c <= 64911)
                  : (c <= 64967 || (c < 65024
                    ? (c >= 65008 && c <= 65017)
                    : c <= 65039)))))
              : (c <= 65071 || (c < 65145
                ? (c < 65137
                  ? (c < 65101
                    ? (c >= 65075 && c <= 65076)
                    : c <= 65103)
                  : (c <= 65137 || (c < 65143
                    ? c == 65139
                    : c <= 65143)))
                : (c <= 65145 || (c < 65151
                  ? (c < 65149
                    ? c == 65147
                    : c <= 65149)
                  : (c <= 65276 || (c < 65313
                    ? (c >= 65296 && c <= 65305)
                    : c <= 65338)))))))))
          : (c <= 65343 || (c < 66504
            ? (c < 65616
              ? (c < 65498
                ? (c < 65474
                  ? (c < 65382
                    ? (c >= 65345 && c <= 65370)
                    : c <= 65470)
                  : (c <= 65479 || (c < 65490
                    ? (c >= 65482 && c <= 65487)
                    : c <= 65495)))
                : (c <= 65500 || (c < 65576
                  ? (c < 65549
                    ? (c >= 65536 && c <= 65547)
                    : c <= 65574)
                  : (c <= 65594 || (c < 65599
                    ? (c >= 65596 && c <= 65597)
                    : c <= 65613)))))
              : (c <= 65629 || (c < 66272
                ? (c < 66045
                  ? (c < 65856
                    ? (c >= 65664 && c <= 65786)
                    : c <= 65908)
                  : (c <= 66045 || (c < 66208
                    ? (c >= 66176 && c <= 66204)
                    : c <= 66256)))
                : (c <= 66272 || (c < 66384
                  ? (c < 66349
                    ? (c >= 66304 && c <= 66335)
                    : c <= 66378)
                  : (c <= 66426 || (c < 66464
                    ? (c >= 66432 && c <= 66461)
                    : c <= 66499)))))))
            : (c <= 66511 || (c < 66967
              ? (c < 66816
                ? (c < 66720
                  ? (c < 66560
                    ? (c >= 66513 && c <= 66517)
                    : c <= 66717)
                  : (c <= 66729 || (c < 66776
                    ? (c >= 66736 && c <= 66771)
                    : c <= 66811)))
                : (c <= 66855 || (c < 66940
                  ? (c < 66928
                    ? (c >= 66864 && c <= 66915)
                    : c <= 66938)
                  : (c <= 66954 || (c < 66964
                    ? (c >= 66956 && c <= 66962)
                    : c <= 66965)))))
              : (c <= 66977 || (c < 67424
                ? (c < 67003
                  ? (c < 66995
                    ? (c >= 66979 && c <= 66993)
                    : c <= 67001)
                  : (c <= 67004 || (c < 67392
                    ? (c >= 67072 && c <= 67382)
                    : c <= 67413)))
                : (c <= 67431 || (c < 67506
                  ? (c < 67463
                    ? (c >= 67456 && c <= 67461)
                    : c <= 67504)
                  : (c <= 67514 || (c < 67592
                    ? (c >= 67584 && c <= 67589)
                    : c <= 67592)))))))))))
        : (c <= 67637 || (c < 69942
          ? (c < 68416
            ? (c < 68096
              ? (c < 67808
                ? (c < 67647
                  ? (c < 67644
                    ? (c >= 67639 && c <= 67640)
                    : c <= 67644)
                  : (c <= 67669 || (c < 67712
                    ? (c >= 67680 && c <= 67702)
                    : c <= 67742)))
                : (c <= 67826 || (c < 67872
                  ? (c < 67840
                    ? (c >= 67828 && c <= 67829)
                    : c <= 67861)
                  : (c <= 67897 || (c < 68030
                    ? (c >= 67968 && c <= 68023)
                    : c <= 68031)))))
              : (c <= 68099 || (c < 68159
                ? (c < 68117
                  ? (c < 68108
                    ? (c >= 68101 && c <= 68102)
                    : c <= 68115)
                  : (c <= 68119 || (c < 68152
                    ? (c >= 68121 && c <= 68149)
                    : c <= 68154)))
                : (c <= 68159 || (c < 68288
                  ? (c < 68224
                    ? (c >= 68192 && c <= 68220)
                    : c <= 68252)
                  : (c <= 68295 || (c < 68352
                    ? (c >= 68297 && c <= 68326)
                    : c <= 68405)))))))
            : (c <= 68437 || (c < 69415
              ? (c < 68864
                ? (c < 68608
                  ? (c < 68480
                    ? (c >= 68448 && c <= 68466)
                    : c <= 68497)
                  : (c <= 68680 || (c < 68800
                    ? (c >= 68736 && c <= 68786)
                    : c <= 68850)))
                : (c <= 68903 || (c < 69291
                  ? (c < 69248
                    ? (c >= 68912 && c <= 68921)
                    : c <= 69289)
                  : (c <= 69292 || (c < 69376
                    ? (c >= 69296 && c <= 69297)
                    : c <= 69404)))))
              : (c <= 69415 || (c < 69734
                ? (c < 69552
                  ? (c < 69488
                    ? (c >= 69424 && c <= 69456)
                    : c <= 69509)
                  : (c <= 69572 || (c < 69632
                    ? (c >= 69600 && c <= 69622)
                    : c <= 69702)))
                : (c <= 69749 || (c < 69840
                  ? (c < 69826
                    ? (c >= 69759 && c <= 69818)
                    : c <= 69826)
                  : (c <= 69864 || (c < 69888
                    ? (c >= 69872 && c <= 69881)
                    : c <= 69940)))))))))
          : (c <= 69951 || (c < 70453
            ? (c < 70280
              ? (c < 70094
                ? (c < 70006
                  ? (c < 69968
                    ? (c >= 69956 && c <= 69959)
                    : c <= 70003)
                  : (c <= 70006 || (c < 70089
                    ? (c >= 70016 && c <= 70084)
                    : c <= 70092)))
                : (c <= 70106 || (c < 70163
                  ? (c < 70144
                    ? c == 70108
                    : c <= 70161)
                  : (c <= 70199 || (c < 70272
                    ? c == 70206
                    : c <= 70278)))))
              : (c <= 70280 || (c < 70400
                ? (c < 70303
                  ? (c < 70287
                    ? (c >= 70282 && c <= 70285)
                    : c <= 70301)
                  : (c <= 70312 || (c < 70384
                    ? (c >= 70320 && c <= 70378)
                    : c <= 70393)))
                : (c <= 70403 || (c < 70419
                  ? (c < 70415
                    ? (c >= 70405 && c <= 70412)
                    : c <= 70416)
                  : (c <= 70440 || (c < 70450
                    ? (c >= 70442 && c <= 70448)
                    : c <= 70451)))))))
            : (c <= 70457 || (c < 70784
              ? (c < 70493
                ? (c < 70475
                  ? (c < 70471
                    ? (c >= 70459 && c <= 70468)
                    : c <= 70472)
                  : (c <= 70477 || (c < 70487
                    ? c == 70480
                    : c <= 70487)))
                : (c <= 70499 || (c < 70656
                  ? (c < 70512
                    ? (c >= 70502 && c <= 70508)
                    : c <= 70516)
                  : (c <= 70730 || (c < 70750
                    ? (c >= 70736 && c <= 70745)
                    : c <= 70753)))))
              : (c <= 70853 || (c < 71168
                ? (c < 71040
                  ? (c < 70864
                    ? c == 70855
                    : c <= 70873)
                  : (c <= 71093 || (c < 71128
                    ? (c >= 71096 && c <= 71104)
                    : c <= 71133)))
                : (c <= 71232 || (c < 71296
                  ? (c < 71248
                    ? c == 71236
                    : c <= 71257)
                  : (c <= 71352 || (c < 71424
                    ? (c >= 71360 && c <= 71369)
                    : c <= 71450)))))))))))))
      : (c <= 71467 || (c < 119973
        ? (c < 77824
          ? (c < 72760
            ? (c < 72016
              ? (c < 71945
                ? (c < 71680
                  ? (c < 71488
                    ? (c >= 71472 && c <= 71481)
                    : c <= 71494)
                  : (c <= 71738 || (c < 71935
                    ? (c >= 71840 && c <= 71913)
                    : c <= 71942)))
                : (c <= 71945 || (c < 71960
                  ? (c < 71957
                    ? (c >= 71948 && c <= 71955)
                    : c <= 71958)
                  : (c <= 71989 || (c < 71995
                    ? (c >= 71991 && c <= 71992)
                    : c <= 72003)))))
              : (c <= 72025 || (c < 72263
                ? (c < 72154
                  ? (c < 72106
                    ? (c >= 72096 && c <= 72103)
                    : c <= 72151)
                  : (c <= 72161 || (c < 72192
                    ? (c >= 72163 && c <= 72164)
                    : c <= 72254)))
                : (c <= 72263 || (c < 72368
                  ? (c < 72349
                    ? (c >= 72272 && c <= 72345)
                    : c <= 72349)
                  : (c <= 72440 || (c < 72714
                    ? (c >= 72704 && c <= 72712)
                    : c <= 72758)))))))
            : (c <= 72768 || (c < 73056
              ? (c < 72968
                ? (c < 72850
                  ? (c < 72818
                    ? (c >= 72784 && c <= 72793)
                    : c <= 72847)
                  : (c <= 72871 || (c < 72960
                    ? (c >= 72873 && c <= 72886)
                    : c <= 72966)))
                : (c <= 72969 || (c < 73020
                  ? (c < 73018
                    ? (c >= 72971 && c <= 73014)
                    : c <= 73018)
                  : (c <= 73021 || (c < 73040
                    ? (c >= 73023 && c <= 73031)
                    : c <= 73049)))))
              : (c <= 73061 || (c < 73440
                ? (c < 73104
                  ? (c < 73066
                    ? (c >= 73063 && c <= 73064)
                    : c <= 73102)
                  : (c <= 73105 || (c < 73120
                    ? (c >= 73107 && c <= 73112)
                    : c <= 73129)))
                : (c <= 73462 || (c < 74752
                  ? (c < 73728
                    ? c == 73648
                    : c <= 74649)
                  : (c <= 74862 || (c < 77712
                    ? (c >= 74880 && c <= 75075)
                    : c <= 77808)))))))))
          : (c <= 78894 || (c < 110576
            ? (c < 93027
              ? (c < 92864
                ? (c < 92736
                  ? (c < 92160
                    ? (c >= 82944 && c <= 83526)
                    : c <= 92728)
                  : (c <= 92766 || (c < 92784
                    ? (c >= 92768 && c <= 92777)
                    : c <= 92862)))
                : (c <= 92873 || (c < 92928
                  ? (c < 92912
                    ? (c >= 92880 && c <= 92909)
                    : c <= 92916)
                  : (c <= 92982 || (c < 93008
                    ? (c >= 92992 && c <= 92995)
                    : c <= 93017)))))
              : (c <= 93047 || (c < 94176
                ? (c < 93952
                  ? (c < 93760
                    ? (c >= 93053 && c <= 93071)
                    : c <= 93823)
                  : (c <= 94026 || (c < 94095
                    ? (c >= 94031 && c <= 94087)
                    : c <= 94111)))
                : (c <= 94177 || (c < 94208
                  ? (c < 94192
                    ? (c >= 94179 && c <= 94180)
                    : c <= 94193)
                  : (c <= 100343 || (c < 101632
                    ? (c >= 100352 && c <= 101589)
                    : c <= 101640)))))))
            : (c <= 110579 || (c < 118528
              ? (c < 110960
                ? (c < 110592
                  ? (c < 110589
                    ? (c >= 110581 && c <= 110587)
                    : c <= 110590)
                  : (c <= 110882 || (c < 110948
                    ? (c >= 110928 && c <= 110930)
                    : c <= 110951)))
                : (c <= 111355 || (c < 113792
                  ? (c < 113776
                    ? (c >= 113664 && c <= 113770)
                    : c <= 113788)
                  : (c <= 113800 || (c < 113821
                    ? (c >= 113808 && c <= 113817)
                    : c <= 113822)))))
              : (c <= 118573 || (c < 119210
                ? (c < 119149
                  ? (c < 119141
                    ? (c >= 118576 && c <= 118598)
                    : c <= 119145)
                  : (c <= 119154 || (c < 119173
                    ? (c >= 119163 && c <= 119170)
                    : c <= 119179)))
                : (c <= 119213 || (c < 119894
                  ? (c < 119808
                    ? (c >= 119362 && c <= 119364)
                    : c <= 119892)
                  : (c <= 119964 || (c < 119970
                    ? (c >= 119966 && c <= 119967)
                    : c <= 119970)))))))))))
        : (c <= 119974 || (c < 124912
          ? (c < 120746
            ? (c < 120134
              ? (c < 120071
                ? (c < 119995
                  ? (c < 119982
                    ? (c >= 119977 && c <= 119980)
                    : c <= 119993)
                  : (c <= 119995 || (c < 120005
                    ? (c >= 119997 && c <= 120003)
                    : c <= 120069)))
                : (c <= 120074 || (c < 120094
                  ? (c < 120086
                    ? (c >= 120077 && c <= 120084)
                    : c <= 120092)
                  : (c <= 120121 || (c < 120128
                    ? (c >= 120123 && c <= 120126)
                    : c <= 120132)))))
              : (c <= 120134 || (c < 120572
                ? (c < 120488
                  ? (c < 120146
                    ? (c >= 120138 && c <= 120144)
                    : c <= 120485)
                  : (c <= 120512 || (c < 120540
                    ? (c >= 120514 && c <= 120538)
                    : c <= 120570)))
                : (c <= 120596 || (c < 120656
                  ? (c < 120630
                    ? (c >= 120598 && c <= 120628)
                    : c <= 120654)
                  : (c <= 120686 || (c < 120714
                    ? (c >= 120688 && c <= 120712)
                    : c <= 120744)))))))
            : (c <= 120770 || (c < 122907
              ? (c < 121476
                ? (c < 121344
                  ? (c < 120782
                    ? (c >= 120772 && c <= 120779)
                    : c <= 120831)
                  : (c <= 121398 || (c < 121461
                    ? (c >= 121403 && c <= 121452)
                    : c <= 121461)))
                : (c <= 121476 || (c < 122624
                  ? (c < 121505
                    ? (c >= 121499 && c <= 121503)
                    : c <= 121519)
                  : (c <= 122654 || (c < 122888
                    ? (c >= 122880 && c <= 122886)
                    : c <= 122904)))))
              : (c <= 122913 || (c < 123214
                ? (c < 123136
                  ? (c < 122918
                    ? (c >= 122915 && c <= 122916)
                    : c <= 122922)
                  : (c <= 123180 || (c < 123200
                    ? (c >= 123184 && c <= 123197)
                    : c <= 123209)))
                : (c <= 123214 || (c < 124896
                  ? (c < 123584
                    ? (c >= 123536 && c <= 123566)
                    : c <= 123641)
                  : (c <= 124902 || (c < 124909
                    ? (c >= 124904 && c <= 124907)
                    : c <= 124910)))))))))
          : (c <= 124926 || (c < 126557
            ? (c < 126521
              ? (c < 126469
                ? (c < 125184
                  ? (c < 125136
                    ? (c >= 124928 && c <= 125124)
                    : c <= 125142)
                  : (c <= 125259 || (c < 126464
                    ? (c >= 125264 && c <= 125273)
                    : c <= 126467)))
                : (c <= 126495 || (c < 126503
                  ? (c < 126500
                    ? (c >= 126497 && c <= 126498)
                    : c <= 126500)
                  : (c <= 126503 || (c < 126516
                    ? (c >= 126505 && c <= 126514)
                    : c <= 126519)))))
              : (c <= 126521 || (c < 126541
                ? (c < 126535
                  ? (c < 126530
                    ? c == 126523
                    : c <= 126530)
                  : (c <= 126535 || (c < 126539
                    ? c == 126537
                    : c <= 126539)))
                : (c <= 126543 || (c < 126551
                  ? (c < 126548
                    ? (c >= 126545 && c <= 126546)
                    : c <= 126548)
                  : (c <= 126551 || (c < 126555
                    ? c == 126553
                    : c <= 126555)))))))
            : (c <= 126557 || (c < 126629
              ? (c < 126580
                ? (c < 126564
                  ? (c < 126561
                    ? c == 126559
                    : c <= 126562)
                  : (c <= 126564 || (c < 126572
                    ? (c >= 126567 && c <= 126570)
                    : c <= 126578)))
                : (c <= 126583 || (c < 126592
                  ? (c < 126590
                    ? (c >= 126585 && c <= 126588)
                    : c <= 126590)
                  : (c <= 126601 || (c < 126625
                    ? (c >= 126603 && c <= 126619)
                    : c <= 126627)))))
              : (c <= 126633 || (c < 178208
                ? (c < 131072
                  ? (c < 130032
                    ? (c >= 126635 && c <= 126651)
                    : c <= 130041)
                  : (c <= 173791 || (c < 177984
                    ? (c >= 173824 && c <= 177976)
                    : c <= 178205)))
                : (c <= 183969 || (c < 196608
                  ? (c < 194560
                    ? (c >= 183984 && c <= 191456)
                    : c <= 195101)
                  : (c <= 201546 || (c >= 917760 && c <= 917999)))))))))))))))));
}

static inline bool sym_identifier_character_set_36(int32_t c) {
  return (c < 43600
    ? (c < 3776
      ? (c < 2738
        ? (c < 1984
          ? (c < 910
            ? (c < 216
              ? (c < 'q'
                ? (c < 'A'
                  ? (c < '0'
                    ? c == '$'
                    : c <= '9')
                  : (c <= 'Z' || (c < 'a'
                    ? c == '_'
                    : c <= 'o')))
                : (c <= 'z' || (c < 183
                  ? (c < 181
                    ? c == 170
                    : c <= 181)
                  : (c <= 183 || (c < 192
                    ? c == 186
                    : c <= 214)))))
              : (c <= 246 || (c < 768
                ? (c < 736
                  ? (c < 710
                    ? (c >= 248 && c <= 705)
                    : c <= 721)
                  : (c <= 740 || (c < 750
                    ? c == 748
                    : c <= 750)))
                : (c <= 884 || (c < 895
                  ? (c < 891
                    ? (c >= 886 && c <= 887)
                    : c <= 893)
                  : (c <= 895 || (c < 908
                    ? (c >= 902 && c <= 906)
                    : c <= 908)))))))
            : (c <= 929 || (c < 1479
              ? (c < 1369
                ? (c < 1155
                  ? (c < 1015
                    ? (c >= 931 && c <= 1013)
                    : c <= 1153)
                  : (c <= 1159 || (c < 1329
                    ? (c >= 1162 && c <= 1327)
                    : c <= 1366)))
                : (c <= 1369 || (c < 1471
                  ? (c < 1425
                    ? (c >= 1376 && c <= 1416)
                    : c <= 1469)
                  : (c <= 1471 || (c < 1476
                    ? (c >= 1473 && c <= 1474)
                    : c <= 1477)))))
              : (c <= 1479 || (c < 1749
                ? (c < 1552
                  ? (c < 1519
                    ? (c >= 1488 && c <= 1514)
                    : c <= 1522)
                  : (c <= 1562 || (c < 1646
                    ? (c >= 1568 && c <= 1641)
                    : c <= 1747)))
                : (c <= 1756 || (c < 1791
                  ? (c < 1770
                    ? (c >= 1759 && c <= 1768)
                    : c <= 1788)
                  : (c <= 1791 || (c < 1869
                    ? (c >= 1808 && c <= 1866)
                    : c <= 1969)))))))))
          : (c <= 2037 || (c < 2534
            ? (c < 2437
              ? (c < 2160
                ? (c < 2048
                  ? (c < 2045
                    ? c == 2042
                    : c <= 2045)
                  : (c <= 2093 || (c < 2144
                    ? (c >= 2112 && c <= 2139)
                    : c <= 2154)))
                : (c <= 2183 || (c < 2275
                  ? (c < 2200
                    ? (c >= 2185 && c <= 2190)
                    : c <= 2273)
                  : (c <= 2403 || (c < 2417
                    ? (c >= 2406 && c <= 2415)
                    : c <= 2435)))))
              : (c <= 2444 || (c < 2492
                ? (c < 2474
                  ? (c < 2451
                    ? (c >= 2447 && c <= 2448)
                    : c <= 2472)
                  : (c <= 2480 || (c < 2486
                    ? c == 2482
                    : c <= 2489)))
                : (c <= 2500 || (c < 2519
                  ? (c < 2507
                    ? (c >= 2503 && c <= 2504)
                    : c <= 2510)
                  : (c <= 2519 || (c < 2527
                    ? (c >= 2524 && c <= 2525)
                    : c <= 2531)))))))
            : (c <= 2545 || (c < 2622
              ? (c < 2579
                ? (c < 2561
                  ? (c < 2558
                    ? c == 2556
                    : c <= 2558)
                  : (c <= 2563 || (c < 2575
                    ? (c >= 2565 && c <= 2570)
                    : c <= 2576)))
                : (c <= 2600 || (c < 2613
                  ? (c < 2610
                    ? (c >= 2602 && c <= 2608)
                    : c <= 2611)
                  : (c <= 2614 || (c < 2620
                    ? (c >= 2616 && c <= 2617)
                    : c <= 2620)))))
              : (c <= 2626 || (c < 2662
                ? (c < 2641
                  ? (c < 2635
                    ? (c >= 2631 && c <= 2632)
                    : c <= 2637)
                  : (c <= 2641 || (c < 2654
                    ? (c >= 2649 && c <= 2652)
                    : c <= 2654)))
                : (c <= 2677 || (c < 2703
                  ? (c < 2693
                    ? (c >= 2689 && c <= 2691)
                    : c <= 2701)
                  : (c <= 2705 || (c < 2730
                    ? (c >= 2707 && c <= 2728)
                    : c <= 2736)))))))))))
        : (c <= 2739 || (c < 3160
          ? (c < 2946
            ? (c < 2835
              ? (c < 2784
                ? (c < 2759
                  ? (c < 2748
                    ? (c >= 2741 && c <= 2745)
                    : c <= 2757)
                  : (c <= 2761 || (c < 2768
                    ? (c >= 2763 && c <= 2765)
                    : c <= 2768)))
                : (c <= 2787 || (c < 2817
                  ? (c < 2809
                    ? (c >= 2790 && c <= 2799)
                    : c <= 2815)
                  : (c <= 2819 || (c < 2831
                    ? (c >= 2821 && c <= 2828)
                    : c <= 2832)))))
              : (c <= 2856 || (c < 2891
                ? (c < 2869
                  ? (c < 2866
                    ? (c >= 2858 && c <= 2864)
                    : c <= 2867)
                  : (c <= 2873 || (c < 2887
                    ? (c >= 2876 && c <= 2884)
                    : c <= 2888)))
                : (c <= 2893 || (c < 2911
                  ? (c < 2908
                    ? (c >= 2901 && c <= 2903)
                    : c <= 2909)
                  : (c <= 2915 || (c < 2929
                    ? (c >= 2918 && c <= 2927)
                    : c <= 2929)))))))
            : (c <= 2947 || (c < 3018
              ? (c < 2974
                ? (c < 2962
                  ? (c < 2958
                    ? (c >= 2949 && c <= 2954)
                    : c <= 2960)
                  : (c <= 2965 || (c < 2972
                    ? (c >= 2969 && c <= 2970)
                    : c <= 2972)))
                : (c <= 2975 || (c < 2990
                  ? (c < 2984
                    ? (c >= 2979 && c <= 2980)
                    : c <= 2986)
                  : (c <= 3001 || (c < 3014
                    ? (c >= 3006 && c <= 3010)
                    : c <= 3016)))))
              : (c <= 3021 || (c < 3090
                ? (c < 3046
                  ? (c < 3031
                    ? c == 3024
                    : c <= 3031)
                  : (c <= 3055 || (c < 3086
                    ? (c >= 3072 && c <= 3084)
                    : c <= 3088)))
                : (c <= 3112 || (c < 3142
                  ? (c < 3132
                    ? (c >= 3114 && c <= 3129)
                    : c <= 3140)
                  : (c <= 3144 || (c < 3157
                    ? (c >= 3146 && c <= 3149)
                    : c <= 3158)))))))))
          : (c <= 3162 || (c < 3423
            ? (c < 3274
              ? (c < 3214
                ? (c < 3174
                  ? (c < 3168
                    ? c == 3165
                    : c <= 3171)
                  : (c <= 3183 || (c < 3205
                    ? (c >= 3200 && c <= 3203)
                    : c <= 3212)))
                : (c <= 3216 || (c < 3253
                  ? (c < 3242
                    ? (c >= 3218 && c <= 3240)
                    : c <= 3251)
                  : (c <= 3257 || (c < 3270
                    ? (c >= 3260 && c <= 3268)
                    : c <= 3272)))))
              : (c <= 3277 || (c < 3328
                ? (c < 3296
                  ? (c < 3293
                    ? (c >= 3285 && c <= 3286)
                    : c <= 3294)
                  : (c <= 3299 || (c < 3313
                    ? (c >= 3302 && c <= 3311)
                    : c <= 3314)))
                : (c <= 3340 || (c < 3398
                  ? (c < 3346
                    ? (c >= 3342 && c <= 3344)
                    : c <= 3396)
                  : (c <= 3400 || (c < 3412
                    ? (c >= 3402 && c <= 3406)
                    : c <= 3415)))))))
            : (c <= 3427 || (c < 3544
              ? (c < 3507
                ? (c < 3457
                  ? (c < 3450
                    ? (c >= 3430 && c <= 3439)
                    : c <= 3455)
                  : (c <= 3459 || (c < 3482
                    ? (c >= 3461 && c <= 3478)
                    : c <= 3505)))
                : (c <= 3515 || (c < 3530
                  ? (c < 3520
                    ? c == 3517
                    : c <= 3526)
                  : (c <= 3530 || (c < 3542
                    ? (c >= 3535 && c <= 3540)
                    : c <= 3542)))))
              : (c <= 3551 || (c < 3713
                ? (c < 3585
                  ? (c < 3570
                    ? (c >= 3558 && c <= 3567)
                    : c <= 3571)
                  : (c <= 3642 || (c < 3664
                    ? (c >= 3648 && c <= 3662)
                    : c <= 3673)))
                : (c <= 3714 || (c < 3724
                  ? (c < 3718
                    ? c == 3716
                    : c <= 3722)
                  : (c <= 3747 || (c < 3751
                    ? c == 3749
                    : c <= 3773)))))))))))))
      : (c <= 3780 || (c < 8016
        ? (c < 5870
          ? (c < 4682
            ? (c < 3913
              ? (c < 3864
                ? (c < 3792
                  ? (c < 3784
                    ? c == 3782
                    : c <= 3789)
                  : (c <= 3801 || (c < 3840
                    ? (c >= 3804 && c <= 3807)
                    : c <= 3840)))
                : (c <= 3865 || (c < 3895
                  ? (c < 3893
                    ? (c >= 3872 && c <= 3881)
                    : c <= 3893)
                  : (c <= 3895 || (c < 3902
                    ? c == 3897
                    : c <= 3911)))))
              : (c <= 3948 || (c < 4176
                ? (c < 3993
                  ? (c < 3974
                    ? (c >= 3953 && c <= 3972)
                    : c <= 3991)
                  : (c <= 4028 || (c < 4096
                    ? c == 4038
                    : c <= 4169)))
                : (c <= 4253 || (c < 4301
                  ? (c < 4295
                    ? (c >= 4256 && c <= 4293)
                    : c <= 4295)
                  : (c <= 4301 || (c < 4348
                    ? (c >= 4304 && c <= 4346)
                    : c <= 4680)))))))
            : (c <= 4685 || (c < 4824
              ? (c < 4752
                ? (c < 4698
                  ? (c < 4696
                    ? (c >= 4688 && c <= 4694)
                    : c <= 4696)
                  : (c <= 4701 || (c < 4746
                    ? (c >= 4704 && c <= 4744)
                    : c <= 4749)))
                : (c <= 4784 || (c < 4800
                  ? (c < 4792
                    ? (c >= 4786 && c <= 4789)
                    : c <= 4798)
                  : (c <= 4800 || (c < 4808
                    ? (c >= 4802 && c <= 4805)
                    : c <= 4822)))))
              : (c <= 4880 || (c < 5024
                ? (c < 4957
                  ? (c < 4888
                    ? (c >= 4882 && c <= 4885)
                    : c <= 4954)
                  : (c <= 4959 || (c < 4992
                    ? (c >= 4969 && c <= 4977)
                    : c <= 5007)))
                : (c <= 5109 || (c < 5743
                  ? (c < 5121
                    ? (c >= 5112 && c <= 5117)
                    : c <= 5740)
                  : (c <= 5759 || (c < 5792
                    ? (c >= 5761 && c <= 5786)
                    : c <= 5866)))))))))
          : (c <= 5880 || (c < 6656
            ? (c < 6159
              ? (c < 6002
                ? (c < 5952
                  ? (c < 5919
                    ? (c >= 5888 && c <= 5909)
                    : c <= 5940)
                  : (c <= 5971 || (c < 5998
                    ? (c >= 5984 && c <= 5996)
                    : c <= 6000)))
                : (c <= 6003 || (c < 6108
                  ? (c < 6103
                    ? (c >= 6016 && c <= 6099)
                    : c <= 6103)
                  : (c <= 6109 || (c < 6155
                    ? (c >= 6112 && c <= 6121)
                    : c <= 6157)))))
              : (c <= 6169 || (c < 6448
                ? (c < 6320
                  ? (c < 6272
                    ? (c >= 6176 && c <= 6264)
                    : c <= 6314)
                  : (c <= 6389 || (c < 6432
                    ? (c >= 6400 && c <= 6430)
                    : c <= 6443)))
                : (c <= 6459 || (c < 6528
                  ? (c < 6512
                    ? (c >= 6470 && c <= 6509)
                    : c <= 6516)
                  : (c <= 6571 || (c < 6608
                    ? (c >= 6576 && c <= 6601)
                    : c <= 6618)))))))
            : (c <= 6683 || (c < 7168
              ? (c < 6832
                ? (c < 6783
                  ? (c < 6752
                    ? (c >= 6688 && c <= 6750)
                    : c <= 6780)
                  : (c <= 6793 || (c < 6823
                    ? (c >= 6800 && c <= 6809)
                    : c <= 6823)))
                : (c <= 6845 || (c < 6992
                  ? (c < 6912
                    ? (c >= 6847 && c <= 6862)
                    : c <= 6988)
                  : (c <= 7001 || (c < 7040
                    ? (c >= 7019 && c <= 7027)
                    : c <= 7155)))))
              : (c <= 7223 || (c < 7376
                ? (c < 7296
                  ? (c < 7245
                    ? (c >= 7232 && c <= 7241)
                    : c <= 7293)
                  : (c <= 7304 || (c < 7357
                    ? (c >= 7312 && c <= 7354)
                    : c <= 7359)))
                : (c <= 7378 || (c < 7960
                  ? (c < 7424
                    ? (c >= 7380 && c <= 7418)
                    : c <= 7957)
                  : (c <= 7965 || (c < 8008
                    ? (c >= 7968 && c <= 8005)
                    : c <= 8013)))))))))))
        : (c <= 8023 || (c < 11712
          ? (c < 8455
            ? (c < 8160
              ? (c < 8118
                ? (c < 8029
                  ? (c < 8027
                    ? c == 8025
                    : c <= 8027)
                  : (c <= 8029 || (c < 8064
                    ? (c >= 8031 && c <= 8061)
                    : c <= 8116)))
                : (c <= 8124 || (c < 8134
                  ? (c < 8130
                    ? c == 8126
                    : c <= 8132)
                  : (c <= 8140 || (c < 8150
                    ? (c >= 8144 && c <= 8147)
                    : c <= 8155)))))
              : (c <= 8172 || (c < 8319
                ? (c < 8255
                  ? (c < 8182
                    ? (c >= 8178 && c <= 8180)
                    : c <= 8188)
                  : (c <= 8256 || (c < 8305
                    ? c == 8276
                    : c <= 8305)))
                : (c <= 8319 || (c < 8417
                  ? (c < 8400
                    ? (c >= 8336 && c <= 8348)
                    : c <= 8412)
                  : (c <= 8417 || (c < 8450
                    ? (c >= 8421 && c <= 8432)
                    : c <= 8450)))))))
            : (c <= 8455 || (c < 11264
              ? (c < 8488
                ? (c < 8472
                  ? (c < 8469
                    ? (c >= 8458 && c <= 8467)
                    : c <= 8469)
                  : (c <= 8477 || (c < 8486
                    ? c == 8484
                    : c <= 8486)))
                : (c <= 8488 || (c < 8517
                  ? (c < 8508
                    ? (c >= 8490 && c <= 8505)
                    : c <= 8511)
                  : (c <= 8521 || (c < 8544
                    ? c == 8526
                    : c <= 8584)))))
              : (c <= 11492 || (c < 11631
                ? (c < 11559
                  ? (c < 11520
                    ? (c >= 11499 && c <= 11507)
                    : c <= 11557)
                  : (c <= 11559 || (c < 11568
                    ? c == 11565
                    : c <= 11623)))
                : (c <= 11631 || (c < 11688
                  ? (c < 11680
                    ? (c >= 11647 && c <= 11670)
                    : c <= 11686)
                  : (c <= 11694 || (c < 11704
                    ? (c >= 11696 && c <= 11702)
                    : c <= 11710)))))))))
          : (c <= 11718 || (c < 42612
            ? (c < 12449
              ? (c < 12321
                ? (c < 11736
                  ? (c < 11728
                    ? (c >= 11720 && c <= 11726)
                    : c <= 11734)
                  : (c <= 11742 || (c < 12293
                    ? (c >= 11744 && c <= 11775)
                    : c <= 12295)))
                : (c <= 12335 || (c < 12353
                  ? (c < 12344
                    ? (c >= 12337 && c <= 12341)
                    : c <= 12348)
                  : (c <= 12438 || (c < 12445
                    ? (c >= 12441 && c <= 12442)
                    : c <= 12447)))))
              : (c <= 12538 || (c < 13312
                ? (c < 12593
                  ? (c < 12549
                    ? (c >= 12540 && c <= 12543)
                    : c <= 12591)
                  : (c <= 12686 || (c < 12784
                    ? (c >= 12704 && c <= 12735)
                    : c <= 12799)))
                : (c <= 19903 || (c < 42240
                  ? (c < 42192
                    ? (c >= 19968 && c <= 42124)
                    : c <= 42237)
                  : (c <= 42508 || (c < 42560
                    ? (c >= 42512 && c <= 42539)
                    : c <= 42607)))))))
            : (c <= 42621 || (c < 43216
              ? (c < 42963
                ? (c < 42786
                  ? (c < 42775
                    ? (c >= 42623 && c <= 42737)
                    : c <= 42783)
                  : (c <= 42888 || (c < 42960
                    ? (c >= 42891 && c <= 42954)
                    : c <= 42961)))
                : (c <= 42963 || (c < 43052
                  ? (c < 42994
                    ? (c >= 42965 && c <= 42969)
                    : c <= 43047)
                  : (c <= 43052 || (c < 43136
                    ? (c >= 43072 && c <= 43123)
                    : c <= 43205)))))
              : (c <= 43225 || (c < 43392
                ? (c < 43261
                  ? (c < 43259
                    ? (c >= 43232 && c <= 43255)
                    : c <= 43259)
                  : (c <= 43309 || (c < 43360
                    ? (c >= 43312 && c <= 43347)
                    : c <= 43388)))
                : (c <= 43456 || (c < 43520
                  ? (c < 43488
                    ? (c >= 43471 && c <= 43481)
                    : c <= 43518)
                  : (c <= 43574 || (c >= 43584 && c <= 43597)))))))))))))))
    : (c <= 43609 || (c < 71453
      ? (c < 67594
        ? (c < 65343
          ? (c < 64298
            ? (c < 43868
              ? (c < 43777
                ? (c < 43739
                  ? (c < 43642
                    ? (c >= 43616 && c <= 43638)
                    : c <= 43714)
                  : (c <= 43741 || (c < 43762
                    ? (c >= 43744 && c <= 43759)
                    : c <= 43766)))
                : (c <= 43782 || (c < 43808
                  ? (c < 43793
                    ? (c >= 43785 && c <= 43790)
                    : c <= 43798)
                  : (c <= 43814 || (c < 43824
                    ? (c >= 43816 && c <= 43822)
                    : c <= 43866)))))
              : (c <= 43881 || (c < 55243
                ? (c < 44016
                  ? (c < 44012
                    ? (c >= 43888 && c <= 44010)
                    : c <= 44013)
                  : (c <= 44025 || (c < 55216
                    ? (c >= 44032 && c <= 55203)
                    : c <= 55238)))
                : (c <= 55291 || (c < 64256
                  ? (c < 64112
                    ? (c >= 63744 && c <= 64109)
                    : c <= 64217)
                  : (c <= 64262 || (c < 64285
                    ? (c >= 64275 && c <= 64279)
                    : c <= 64296)))))))
            : (c <= 64310 || (c < 65056
              ? (c < 64467
                ? (c < 64320
                  ? (c < 64318
                    ? (c >= 64312 && c <= 64316)
                    : c <= 64318)
                  : (c <= 64321 || (c < 64326
                    ? (c >= 64323 && c <= 64324)
                    : c <= 64433)))
                : (c <= 64605 || (c < 64914
                  ? (c < 64848
                    ? (c >= 64612 && c <= 64829)
                    : c <= 64911)
                  : (c <= 64967 || (c < 65024
                    ? (c >= 65008 && c <= 65017)
                    : c <= 65039)))))
              : (c <= 65071 || (c < 65145
                ? (c < 65137
                  ? (c < 65101
                    ? (c >= 65075 && c <= 65076)
                    : c <= 65103)
                  : (c <= 65137 || (c < 65143
                    ? c == 65139
                    : c <= 65143)))
                : (c <= 65145 || (c < 65151
                  ? (c < 65149
                    ? c == 65147
                    : c <= 65149)
                  : (c <= 65276 || (c < 65313
                    ? (c >= 65296 && c <= 65305)
                    : c <= 65338)))))))))
          : (c <= 65343 || (c < 66504
            ? (c < 65616
              ? (c < 65498
                ? (c < 65474
                  ? (c < 65382
                    ? (c >= 65345 && c <= 65370)
                    : c <= 65470)
                  : (c <= 65479 || (c < 65490
                    ? (c >= 65482 && c <= 65487)
                    : c <= 65495)))
                : (c <= 65500 || (c < 65576
                  ? (c < 65549
                    ? (c >= 65536 && c <= 65547)
                    : c <= 65574)
                  : (c <= 65594 || (c < 65599
                    ? (c >= 65596 && c <= 65597)
                    : c <= 65613)))))
              : (c <= 65629 || (c < 66272
                ? (c < 66045
                  ? (c < 65856
                    ? (c >= 65664 && c <= 65786)
                    : c <= 65908)
                  : (c <= 66045 || (c < 66208
                    ? (c >= 66176 && c <= 66204)
                    : c <= 66256)))
                : (c <= 66272 || (c < 66384
                  ? (c < 66349
                    ? (c >= 66304 && c <= 66335)
                    : c <= 66378)
                  : (c <= 66426 || (c < 66464
                    ? (c >= 66432 && c <= 66461)
                    : c <= 66499)))))))
            : (c <= 66511 || (c < 66967
              ? (c < 66816
                ? (c < 66720
                  ? (c < 66560
                    ? (c >= 66513 && c <= 66517)
                    : c <= 66717)
                  : (c <= 66729 || (c < 66776
                    ? (c >= 66736 && c <= 66771)
                    : c <= 66811)))
                : (c <= 66855 || (c < 66940
                  ? (c < 66928
                    ? (c >= 66864 && c <= 66915)
                    : c <= 66938)
                  : (c <= 66954 || (c < 66964
                    ? (c >= 66956 && c <= 66962)
                    : c <= 66965)))))
              : (c <= 66977 || (c < 67424
                ? (c < 67003
                  ? (c < 66995
                    ? (c >= 66979 && c <= 66993)
                    : c <= 67001)
                  : (c <= 67004 || (c < 67392
                    ? (c >= 67072 && c <= 67382)
                    : c <= 67413)))
                : (c <= 67431 || (c < 67506
                  ? (c < 67463
                    ? (c >= 67456 && c <= 67461)
                    : c <= 67504)
                  : (c <= 67514 || (c < 67592
                    ? (c >= 67584 && c <= 67589)
                    : c <= 67592)))))))))))
        : (c <= 67637 || (c < 69942
          ? (c < 68416
            ? (c < 68096
              ? (c < 67808
                ? (c < 67647
                  ? (c < 67644
                    ? (c >= 67639 && c <= 67640)
                    : c <= 67644)
                  : (c <= 67669 || (c < 67712
                    ? (c >= 67680 && c <= 67702)
                    : c <= 67742)))
                : (c <= 67826 || (c < 67872
                  ? (c < 67840
                    ? (c >= 67828 && c <= 67829)
                    : c <= 67861)
                  : (c <= 67897 || (c < 68030
                    ? (c >= 67968 && c <= 68023)
                    : c <= 68031)))))
              : (c <= 68099 || (c < 68159
                ? (c < 68117
                  ? (c < 68108
                    ? (c >= 68101 && c <= 68102)
                    : c <= 68115)
                  : (c <= 68119 || (c < 68152
                    ? (c >= 68121 && c <= 68149)
                    : c <= 68154)))
                : (c <= 68159 || (c < 68288
                  ? (c < 68224
                    ? (c >= 68192 && c <= 68220)
                    : c <= 68252)
                  : (c <= 68295 || (c < 68352
                    ? (c >= 68297 && c <= 68326)
                    : c <= 68405)))))))
            : (c <= 68437 || (c < 69415
              ? (c < 68864
                ? (c < 68608
                  ? (c < 68480
                    ? (c >= 68448 && c <= 68466)
                    : c <= 68497)
                  : (c <= 68680 || (c < 68800
                    ? (c >= 68736 && c <= 68786)
                    : c <= 68850)))
                : (c <= 68903 || (c < 69291
                  ? (c < 69248
                    ? (c >= 68912 && c <= 68921)
                    : c <= 69289)
                  : (c <= 69292 || (c < 69376
                    ? (c >= 69296 && c <= 69297)
                    : c <= 69404)))))
              : (c <= 69415 || (c < 69734
                ? (c < 69552
                  ? (c < 69488
                    ? (c >= 69424 && c <= 69456)
                    : c <= 69509)
                  : (c <= 69572 || (c < 69632
                    ? (c >= 69600 && c <= 69622)
                    : c <= 69702)))
                : (c <= 69749 || (c < 69840
                  ? (c < 69826
                    ? (c >= 69759 && c <= 69818)
                    : c <= 69826)
                  : (c <= 69864 || (c < 69888
                    ? (c >= 69872 && c <= 69881)
                    : c <= 69940)))))))))
          : (c <= 69951 || (c < 70453
            ? (c < 70280
              ? (c < 70094
                ? (c < 70006
                  ? (c < 69968
                    ? (c >= 69956 && c <= 69959)
                    : c <= 70003)
                  : (c <= 70006 || (c < 70089
                    ? (c >= 70016 && c <= 70084)
                    : c <= 70092)))
                : (c <= 70106 || (c < 70163
                  ? (c < 70144
                    ? c == 70108
                    : c <= 70161)
                  : (c <= 70199 || (c < 70272
                    ? c == 70206
                    : c <= 70278)))))
              : (c <= 70280 || (c < 70400
                ? (c < 70303
                  ? (c < 70287
                    ? (c >= 70282 && c <= 70285)
                    : c <= 70301)
                  : (c <= 70312 || (c < 70384
                    ? (c >= 70320 && c <= 70378)
                    : c <= 70393)))
                : (c <= 70403 || (c < 70419
                  ? (c < 70415
                    ? (c >= 70405 && c <= 70412)
                    : c <= 70416)
                  : (c <= 70440 || (c < 70450
                    ? (c >= 70442 && c <= 70448)
                    : c <= 70451)))))))
            : (c <= 70457 || (c < 70784
              ? (c < 70493
                ? (c < 70475
                  ? (c < 70471
                    ? (c >= 70459 && c <= 70468)
                    : c <= 70472)
                  : (c <= 70477 || (c < 70487
                    ? c == 70480
                    : c <= 70487)))
                : (c <= 70499 || (c < 70656
                  ? (c < 70512
                    ? (c >= 70502 && c <= 70508)
                    : c <= 70516)
                  : (c <= 70730 || (c < 70750
                    ? (c >= 70736 && c <= 70745)
                    : c <= 70753)))))
              : (c <= 70853 || (c < 71168
                ? (c < 71040
                  ? (c < 70864
                    ? c == 70855
                    : c <= 70873)
                  : (c <= 71093 || (c < 71128
                    ? (c >= 71096 && c <= 71104)
                    : c <= 71133)))
                : (c <= 71232 || (c < 71296
                  ? (c < 71248
                    ? c == 71236
                    : c <= 71257)
                  : (c <= 71352 || (c < 71424
                    ? (c >= 71360 && c <= 71369)
                    : c <= 71450)))))))))))))
      : (c <= 71467 || (c < 119973
        ? (c < 77824
          ? (c < 72760
            ? (c < 72016
              ? (c < 71945
                ? (c < 71680
                  ? (c < 71488
                    ? (c >= 71472 && c <= 71481)
                    : c <= 71494)
                  : (c <= 71738 || (c < 71935
                    ? (c >= 71840 && c <= 71913)
                    : c <= 71942)))
                : (c <= 71945 || (c < 71960
                  ? (c < 71957
                    ? (c >= 71948 && c <= 71955)
                    : c <= 71958)
                  : (c <= 71989 || (c < 71995
                    ? (c >= 71991 && c <= 71992)
                    : c <= 72003)))))
              : (c <= 72025 || (c < 72263
                ? (c < 72154
                  ? (c < 72106
                    ? (c >= 72096 && c <= 72103)
                    : c <= 72151)
                  : (c <= 72161 || (c < 72192
                    ? (c >= 72163 && c <= 72164)
                    : c <= 72254)))
                : (c <= 72263 || (c < 72368
                  ? (c < 72349
                    ? (c >= 72272 && c <= 72345)
                    : c <= 72349)
                  : (c <= 72440 || (c < 72714
                    ? (c >= 72704 && c <= 72712)
                    : c <= 72758)))))))
            : (c <= 72768 || (c < 73056
              ? (c < 72968
                ? (c < 72850
                  ? (c < 72818
                    ? (c >= 72784 && c <= 72793)
                    : c <= 72847)
                  : (c <= 72871 || (c < 72960
                    ? (c >= 72873 && c <= 72886)
                    : c <= 72966)))
                : (c <= 72969 || (c < 73020
                  ? (c < 73018
                    ? (c >= 72971 && c <= 73014)
                    : c <= 73018)
                  : (c <= 73021 || (c < 73040
                    ? (c >= 73023 && c <= 73031)
                    : c <= 73049)))))
              : (c <= 73061 || (c < 73440
                ? (c < 73104
                  ? (c < 73066
                    ? (c >= 73063 && c <= 73064)
                    : c <= 73102)
                  : (c <= 73105 || (c < 73120
                    ? (c >= 73107 && c <= 73112)
                    : c <= 73129)))
                : (c <= 73462 || (c < 74752
                  ? (c < 73728
                    ? c == 73648
                    : c <= 74649)
                  : (c <= 74862 || (c < 77712
                    ? (c >= 74880 && c <= 75075)
                    : c <= 77808)))))))))
          : (c <= 78894 || (c < 110576
            ? (c < 93027
              ? (c < 92864
                ? (c < 92736
                  ? (c < 92160
                    ? (c >= 82944 && c <= 83526)
                    : c <= 92728)
                  : (c <= 92766 || (c < 92784
                    ? (c >= 92768 && c <= 92777)
                    : c <= 92862)))
                : (c <= 92873 || (c < 92928
                  ? (c < 92912
                    ? (c >= 92880 && c <= 92909)
                    : c <= 92916)
                  : (c <= 92982 || (c < 93008
                    ? (c >= 92992 && c <= 92995)
                    : c <= 93017)))))
              : (c <= 93047 || (c < 94176
                ? (c < 93952
                  ? (c < 93760
                    ? (c >= 93053 && c <= 93071)
                    : c <= 93823)
                  : (c <= 94026 || (c < 94095
                    ? (c >= 94031 && c <= 94087)
                    : c <= 94111)))
                : (c <= 94177 || (c < 94208
                  ? (c < 94192
                    ? (c >= 94179 && c <= 94180)
                    : c <= 94193)
                  : (c <= 100343 || (c < 101632
                    ? (c >= 100352 && c <= 101589)
                    : c <= 101640)))))))
            : (c <= 110579 || (c < 118528
              ? (c < 110960
                ? (c < 110592
                  ? (c < 110589
                    ? (c >= 110581 && c <= 110587)
                    : c <= 110590)
                  : (c <= 110882 || (c < 110948
                    ? (c >= 110928 && c <= 110930)
                    : c <= 110951)))
                : (c <= 111355 || (c < 113792
                  ? (c < 113776
                    ? (c >= 113664 && c <= 113770)
                    : c <= 113788)
                  : (c <= 113800 || (c < 113821
                    ? (c >= 113808 && c <= 113817)
                    : c <= 113822)))))
              : (c <= 118573 || (c < 119210
                ? (c < 119149
                  ? (c < 119141
                    ? (c >= 118576 && c <= 118598)
                    : c <= 119145)
                  : (c <= 119154 || (c < 119173
                    ? (c >= 119163 && c <= 119170)
                    : c <= 119179)))
                : (c <= 119213 || (c < 119894
                  ? (c < 119808
                    ? (c >= 119362 && c <= 119364)
                    : c <= 119892)
                  : (c <= 119964 || (c < 119970
                    ? (c >= 119966 && c <= 119967)
                    : c <= 119970)))))))))))
        : (c <= 119974 || (c < 124912
          ? (c < 120746
            ? (c < 120134
              ? (c < 120071
                ? (c < 119995
                  ? (c < 119982
                    ? (c >= 119977 && c <= 119980)
                    : c <= 119993)
                  : (c <= 119995 || (c < 120005
                    ? (c >= 119997 && c <= 120003)
                    : c <= 120069)))
                : (c <= 120074 || (c < 120094
                  ? (c < 120086
                    ? (c >= 120077 && c <= 120084)
                    : c <= 120092)
                  : (c <= 120121 || (c < 120128
                    ? (c >= 120123 && c <= 120126)
                    : c <= 120132)))))
              : (c <= 120134 || (c < 120572
                ? (c < 120488
                  ? (c < 120146
                    ? (c >= 120138 && c <= 120144)
                    : c <= 120485)
                  : (c <= 120512 || (c < 120540
                    ? (c >= 120514 && c <= 120538)
                    : c <= 120570)))
                : (c <= 120596 || (c < 120656
                  ? (c < 120630
                    ? (c >= 120598 && c <= 120628)
                    : c <= 120654)
                  : (c <= 120686 || (c < 120714
                    ? (c >= 120688 && c <= 120712)
                    : c <= 120744)))))))
            : (c <= 120770 || (c < 122907
              ? (c < 121476
                ? (c < 121344
                  ? (c < 120782
                    ? (c >= 120772 && c <= 120779)
                    : c <= 120831)
                  : (c <= 121398 || (c < 121461
                    ? (c >= 121403 && c <= 121452)
                    : c <= 121461)))
                : (c <= 121476 || (c < 122624
                  ? (c < 121505
                    ? (c >= 121499 && c <= 121503)
                    : c <= 121519)
                  : (c <= 122654 || (c < 122888
                    ? (c >= 122880 && c <= 122886)
                    : c <= 122904)))))
              : (c <= 122913 || (c < 123214
                ? (c < 123136
                  ? (c < 122918
                    ? (c >= 122915 && c <= 122916)
                    : c <= 122922)
                  : (c <= 123180 || (c < 123200
                    ? (c >= 123184 && c <= 123197)
                    : c <= 123209)))
                : (c <= 123214 || (c < 124896
                  ? (c < 123584
                    ? (c >= 123536 && c <= 123566)
                    : c <= 123641)
                  : (c <= 124902 || (c < 124909
                    ? (c >= 124904 && c <= 124907)
                    : c <= 124910)))))))))
          : (c <= 124926 || (c < 126557
            ? (c < 126521
              ? (c < 126469
                ? (c < 125184
                  ? (c < 125136
                    ? (c >= 124928 && c <= 125124)
                    : c <= 125142)
                  : (c <= 125259 || (c < 126464
                    ? (c >= 125264 && c <= 125273)
                    : c <= 126467)))
                : (c <= 126495 || (c < 126503
                  ? (c < 126500
                    ? (c >= 126497 && c <= 126498)
                    : c <= 126500)
                  : (c <= 126503 || (c < 126516
                    ? (c >= 126505 && c <= 126514)
                    : c <= 126519)))))
              : (c <= 126521 || (c < 126541
                ? (c < 126535
                  ? (c < 126530
                    ? c == 126523
                    : c <= 126530)
                  : (c <= 126535 || (c < 126539
                    ? c == 126537
                    : c <= 126539)))
                : (c <= 126543 || (c < 126551
                  ? (c < 126548
                    ? (c >= 126545 && c <= 126546)
                    : c <= 126548)
                  : (c <= 126551 || (c < 126555
                    ? c == 126553
                    : c <= 126555)))))))
            : (c <= 126557 || (c < 126629
              ? (c < 126580
                ? (c < 126564
                  ? (c < 126561
                    ? c == 126559
                    : c <= 126562)
                  : (c <= 126564 || (c < 126572
                    ? (c >= 126567 && c <= 126570)
                    : c <= 126578)))
                : (c <= 126583 || (c < 126592
                  ? (c < 126590
                    ? (c >= 126585 && c <= 126588)
                    : c <= 126590)
                  : (c <= 126601 || (c < 126625
                    ? (c >= 126603 && c <= 126619)
                    : c <= 126627)))))
              : (c <= 126633 || (c < 178208
                ? (c < 131072
                  ? (c < 130032
                    ? (c >= 126635 && c <= 126651)
                    : c <= 130041)
                  : (c <= 173791 || (c < 177984
                    ? (c >= 173824 && c <= 177976)
                    : c <= 178205)))
                : (c <= 183969 || (c < 196608
                  ? (c < 194560
                    ? (c >= 183984 && c <= 191456)
                    : c <= 195101)
                  : (c <= 201546 || (c >= 917760 && c <= 917999)))))))))))))))));
}

static inline bool sym_identifier_character_set_37(int32_t c) {
  return (c < 43600
    ? (c < 3776
      ? (c < 2738
        ? (c < 1984
          ? (c < 910
            ? (c < 216
              ? (c < 's'
                ? (c < 'A'
                  ? (c < '0'
                    ? c == '$'
                    : c <= '9')
                  : (c <= 'Z' || (c < 'a'
                    ? c == '_'
                    : c <= 'q')))
                : (c <= 'z' || (c < 183
                  ? (c < 181
                    ? c == 170
                    : c <= 181)
                  : (c <= 183 || (c < 192
                    ? c == 186
                    : c <= 214)))))
              : (c <= 246 || (c < 768
                ? (c < 736
                  ? (c < 710
                    ? (c >= 248 && c <= 705)
                    : c <= 721)
                  : (c <= 740 || (c < 750
                    ? c == 748
                    : c <= 750)))
                : (c <= 884 || (c < 895
                  ? (c < 891
                    ? (c >= 886 && c <= 887)
                    : c <= 893)
                  : (c <= 895 || (c < 908
                    ? (c >= 902 && c <= 906)
                    : c <= 908)))))))
            : (c <= 929 || (c < 1479
              ? (c < 1369
                ? (c < 1155
                  ? (c < 1015
                    ? (c >= 931 && c <= 1013)
                    : c <= 1153)
                  : (c <= 1159 || (c < 1329
                    ? (c >= 1162 && c <= 1327)
                    : c <= 1366)))
                : (c <= 1369 || (c < 1471
                  ? (c < 1425
                    ? (c >= 1376 && c <= 1416)
                    : c <= 1469)
                  : (c <= 1471 || (c < 1476
                    ? (c >= 1473 && c <= 1474)
                    : c <= 1477)))))
              : (c <= 1479 || (c < 1749
                ? (c < 1552
                  ? (c < 1519
                    ? (c >= 1488 && c <= 1514)
                    : c <= 1522)
                  : (c <= 1562 || (c < 1646
                    ? (c >= 1568 && c <= 1641)
                    : c <= 1747)))
                : (c <= 1756 || (c < 1791
                  ? (c < 1770
                    ? (c >= 1759 && c <= 1768)
                    : c <= 1788)
                  : (c <= 1791 || (c < 1869
                    ? (c >= 1808 && c <= 1866)
                    : c <= 1969)))))))))
          : (c <= 2037 || (c < 2534
            ? (c < 2437
              ? (c < 2160
                ? (c < 2048
                  ? (c < 2045
                    ? c == 2042
                    : c <= 2045)
                  : (c <= 2093 || (c < 2144
                    ? (c >= 2112 && c <= 2139)
                    : c <= 2154)))
                : (c <= 2183 || (c < 2275
                  ? (c < 2200
                    ? (c >= 2185 && c <= 2190)
                    : c <= 2273)
                  : (c <= 2403 || (c < 2417
                    ? (c >= 2406 && c <= 2415)
                    : c <= 2435)))))
              : (c <= 2444 || (c < 2492
                ? (c < 2474
                  ? (c < 2451
                    ? (c >= 2447 && c <= 2448)
                    : c <= 2472)
                  : (c <= 2480 || (c < 2486
                    ? c == 2482
                    : c <= 2489)))
                : (c <= 2500 || (c < 2519
                  ? (c < 2507
                    ? (c >= 2503 && c <= 2504)
                    : c <= 2510)
                  : (c <= 2519 || (c < 2527
                    ? (c >= 2524 && c <= 2525)
                    : c <= 2531)))))))
            : (c <= 2545 || (c < 2622
              ? (c < 2579
                ? (c < 2561
                  ? (c < 2558
                    ? c == 2556
                    : c <= 2558)
                  : (c <= 2563 || (c < 2575
                    ? (c >= 2565 && c <= 2570)
                    : c <= 2576)))
                : (c <= 2600 || (c < 2613
                  ? (c < 2610
                    ? (c >= 2602 && c <= 2608)
                    : c <= 2611)
                  : (c <= 2614 || (c < 2620
                    ? (c >= 2616 && c <= 2617)
                    : c <= 2620)))))
              : (c <= 2626 || (c < 2662
                ? (c < 2641
                  ? (c < 2635
                    ? (c >= 2631 && c <= 2632)
                    : c <= 2637)
                  : (c <= 2641 || (c < 2654
                    ? (c >= 2649 && c <= 2652)
                    : c <= 2654)))
                : (c <= 2677 || (c < 2703
                  ? (c < 2693
                    ? (c >= 2689 && c <= 2691)
                    : c <= 2701)
                  : (c <= 2705 || (c < 2730
                    ? (c >= 2707 && c <= 2728)
                    : c <= 2736)))))))))))
        : (c <= 2739 || (c < 3160
          ? (c < 2946
            ? (c < 2835
              ? (c < 2784
                ? (c < 2759
                  ? (c < 2748
                    ? (c >= 2741 && c <= 2745)
                    : c <= 2757)
                  : (c <= 2761 || (c < 2768
                    ? (c >= 2763 && c <= 2765)
                    : c <= 2768)))
                : (c <= 2787 || (c < 2817
                  ? (c < 2809
                    ? (c >= 2790 && c <= 2799)
                    : c <= 2815)
                  : (c <= 2819 || (c < 2831
                    ? (c >= 2821 && c <= 2828)
                    : c <= 2832)))))
              : (c <= 2856 || (c < 2891
                ? (c < 2869
                  ? (c < 2866
                    ? (c >= 2858 && c <= 2864)
                    : c <= 2867)
                  : (c <= 2873 || (c < 2887
                    ? (c >= 2876 && c <= 2884)
                    : c <= 2888)))
                : (c <= 2893 || (c < 2911
                  ? (c < 2908
                    ? (c >= 2901 && c <= 2903)
                    : c <= 2909)
                  : (c <= 2915 || (c < 2929
                    ? (c >= 2918 && c <= 2927)
                    : c <= 2929)))))))
            : (c <= 2947 || (c < 3018
              ? (c < 2974
                ? (c < 2962
                  ? (c < 2958
                    ? (c >= 2949 && c <= 2954)
                    : c <= 2960)
                  : (c <= 2965 || (c < 2972
                    ? (c >= 2969 && c <= 2970)
                    : c <= 2972)))
                : (c <= 2975 || (c < 2990
                  ? (c < 2984
                    ? (c >= 2979 && c <= 2980)
                    : c <= 2986)
                  : (c <= 3001 || (c < 3014
                    ? (c >= 3006 && c <= 3010)
                    : c <= 3016)))))
              : (c <= 3021 || (c < 3090
                ? (c < 3046
                  ? (c < 3031
                    ? c == 3024
                    : c <= 3031)
                  : (c <= 3055 || (c < 3086
                    ? (c >= 3072 && c <= 3084)
                    : c <= 3088)))
                : (c <= 3112 || (c < 3142
                  ? (c < 3132
                    ? (c >= 3114 && c <= 3129)
                    : c <= 3140)
                  : (c <= 3144 || (c < 3157
                    ? (c >= 3146 && c <= 3149)
                    : c <= 3158)))))))))
          : (c <= 3162 || (c < 3423
            ? (c < 3274
              ? (c < 3214
                ? (c < 3174
                  ? (c < 3168
                    ? c == 3165
                    : c <= 3171)
                  : (c <= 3183 || (c < 3205
                    ? (c >= 3200 && c <= 3203)
                    : c <= 3212)))
                : (c <= 3216 || (c < 3253
                  ? (c < 3242
                    ? (c >= 3218 && c <= 3240)
                    : c <= 3251)
                  : (c <= 3257 || (c < 3270
                    ? (c >= 3260 && c <= 3268)
                    : c <= 3272)))))
              : (c <= 3277 || (c < 3328
                ? (c < 3296
                  ? (c < 3293
                    ? (c >= 3285 && c <= 3286)
                    : c <= 3294)
                  : (c <= 3299 || (c < 3313
                    ? (c >= 3302 && c <= 3311)
                    : c <= 3314)))
                : (c <= 3340 || (c < 3398
                  ? (c < 3346
                    ? (c >= 3342 && c <= 3344)
                    : c <= 3396)
                  : (c <= 3400 || (c < 3412
                    ? (c >= 3402 && c <= 3406)
                    : c <= 3415)))))))
            : (c <= 3427 || (c < 3544
              ? (c < 3507
                ? (c < 3457
                  ? (c < 3450
                    ? (c >= 3430 && c <= 3439)
                    : c <= 3455)
                  : (c <= 3459 || (c < 3482
                    ? (c >= 3461 && c <= 3478)
                    : c <= 3505)))
                : (c <= 3515 || (c < 3530
                  ? (c < 3520
                    ? c == 3517
                    : c <= 3526)
                  : (c <= 3530 || (c < 3542
                    ? (c >= 3535 && c <= 3540)
                    : c <= 3542)))))
              : (c <= 3551 || (c < 3713
                ? (c < 3585
                  ? (c < 3570
                    ? (c >= 3558 && c <= 3567)
                    : c <= 3571)
                  : (c <= 3642 || (c < 3664
                    ? (c >= 3648 && c <= 3662)
                    : c <= 3673)))
                : (c <= 3714 || (c < 3724
                  ? (c < 3718
                    ? c == 3716
                    : c <= 3722)
                  : (c <= 3747 || (c < 3751
                    ? c == 3749
                    : c <= 3773)))))))))))))
      : (c <= 3780 || (c < 8016
        ? (c < 5870
          ? (c < 4682
            ? (c < 3913
              ? (c < 3864
                ? (c < 3792
                  ? (c < 3784
                    ? c == 3782
                    : c <= 3789)
                  : (c <= 3801 || (c < 3840
                    ? (c >= 3804 && c <= 3807)
                    : c <= 3840)))
                : (c <= 3865 || (c < 3895
                  ? (c < 3893
                    ? (c >= 3872 && c <= 3881)
                    : c <= 3893)
                  : (c <= 3895 || (c < 3902
                    ? c == 3897
                    : c <= 3911)))))
              : (c <= 3948 || (c < 4176
                ? (c < 3993
                  ? (c < 3974
                    ? (c >= 3953 && c <= 3972)
                    : c <= 3991)
                  : (c <= 4028 || (c < 4096
                    ? c == 4038
                    : c <= 4169)))
                : (c <= 4253 || (c < 4301
                  ? (c < 4295
                    ? (c >= 4256 && c <= 4293)
                    : c <= 4295)
                  : (c <= 4301 || (c < 4348
                    ? (c >= 4304 && c <= 4346)
                    : c <= 4680)))))))
            : (c <= 4685 || (c < 4824
              ? (c < 4752
                ? (c < 4698
                  ? (c < 4696
                    ? (c >= 4688 && c <= 4694)
                    : c <= 4696)
                  : (c <= 4701 || (c < 4746
                    ? (c >= 4704 && c <= 4744)
                    : c <= 4749)))
                : (c <= 4784 || (c < 4800
                  ? (c < 4792
                    ? (c >= 4786 && c <= 4789)
                    : c <= 4798)
                  : (c <= 4800 || (c < 4808
                    ? (c >= 4802 && c <= 4805)
                    : c <= 4822)))))
              : (c <= 4880 || (c < 5024
                ? (c < 4957
                  ? (c < 4888
                    ? (c >= 4882 && c <= 4885)
                    : c <= 4954)
                  : (c <= 4959 || (c < 4992
                    ? (c >= 4969 && c <= 4977)
                    : c <= 5007)))
                : (c <= 5109 || (c < 5743
                  ? (c < 5121
                    ? (c >= 5112 && c <= 5117)
                    : c <= 5740)
                  : (c <= 5759 || (c < 5792
                    ? (c >= 5761 && c <= 5786)
                    : c <= 5866)))))))))
          : (c <= 5880 || (c < 6656
            ? (c < 6159
              ? (c < 6002
                ? (c < 5952
                  ? (c < 5919
                    ? (c >= 5888 && c <= 5909)
                    : c <= 5940)
                  : (c <= 5971 || (c < 5998
                    ? (c >= 5984 && c <= 5996)
                    : c <= 6000)))
                : (c <= 6003 || (c < 6108
                  ? (c < 6103
                    ? (c >= 6016 && c <= 6099)
                    : c <= 6103)
                  : (c <= 6109 || (c < 6155
                    ? (c >= 6112 && c <= 6121)
                    : c <= 6157)))))
              : (c <= 6169 || (c < 6448
                ? (c < 6320
                  ? (c < 6272
                    ? (c >= 6176 && c <= 6264)
                    : c <= 6314)
                  : (c <= 6389 || (c < 6432
                    ? (c >= 6400 && c <= 6430)
                    : c <= 6443)))
                : (c <= 6459 || (c < 6528
                  ? (c < 6512
                    ? (c >= 6470 && c <= 6509)
                    : c <= 6516)
                  : (c <= 6571 || (c < 6608
                    ? (c >= 6576 && c <= 6601)
                    : c <= 6618)))))))
            : (c <= 6683 || (c < 7168
              ? (c < 6832
                ? (c < 6783
                  ? (c < 6752
                    ? (c >= 6688 && c <= 6750)
                    : c <= 6780)
                  : (c <= 6793 || (c < 6823
                    ? (c >= 6800 && c <= 6809)
                    : c <= 6823)))
                : (c <= 6845 || (c < 6992
                  ? (c < 6912
                    ? (c >= 6847 && c <= 6862)
                    : c <= 6988)
                  : (c <= 7001 || (c < 7040
                    ? (c >= 7019 && c <= 7027)
                    : c <= 7155)))))
              : (c <= 7223 || (c < 7376
                ? (c < 7296
                  ? (c < 7245
                    ? (c >= 7232 && c <= 7241)
                    : c <= 7293)
                  : (c <= 7304 || (c < 7357
                    ? (c >= 7312 && c <= 7354)
                    : c <= 7359)))
                : (c <= 7378 || (c < 7960
                  ? (c < 7424
                    ? (c >= 7380 && c <= 7418)
                    : c <= 7957)
                  : (c <= 7965 || (c < 8008
                    ? (c >= 7968 && c <= 8005)
                    : c <= 8013)))))))))))
        : (c <= 8023 || (c < 11712
          ? (c < 8455
            ? (c < 8160
              ? (c < 8118
                ? (c < 8029
                  ? (c < 8027
                    ? c == 8025
                    : c <= 8027)
                  : (c <= 8029 || (c < 8064
                    ? (c >= 8031 && c <= 8061)
                    : c <= 8116)))
                : (c <= 8124 || (c < 8134
                  ? (c < 8130
                    ? c == 8126
                    : c <= 8132)
                  : (c <= 8140 || (c < 8150
                    ? (c >= 8144 && c <= 8147)
                    : c <= 8155)))))
              : (c <= 8172 || (c < 8319
                ? (c < 8255
                  ? (c < 8182
                    ? (c >= 8178 && c <= 8180)
                    : c <= 8188)
                  : (c <= 8256 || (c < 8305
                    ? c == 8276
                    : c <= 8305)))
                : (c <= 8319 || (c < 8417
                  ? (c < 8400
                    ? (c >= 8336 && c <= 8348)
                    : c <= 8412)
                  : (c <= 8417 || (c < 8450
                    ? (c >= 8421 && c <= 8432)
                    : c <= 8450)))))))
            : (c <= 8455 || (c < 11264
              ? (c < 8488
                ? (c < 8472
                  ? (c < 8469
                    ? (c >= 8458 && c <= 8467)
                    : c <= 8469)
                  : (c <= 8477 || (c < 8486
                    ? c == 8484
                    : c <= 8486)))
                : (c <= 8488 || (c < 8517
                  ? (c < 8508
                    ? (c >= 8490 && c <= 8505)
                    : c <= 8511)
                  : (c <= 8521 || (c < 8544
                    ? c == 8526
                    : c <= 8584)))))
              : (c <= 11492 || (c < 11631
                ? (c < 11559
                  ? (c < 11520
                    ? (c >= 11499 && c <= 11507)
                    : c <= 11557)
                  : (c <= 11559 || (c < 11568
                    ? c == 11565
                    : c <= 11623)))
                : (c <= 11631 || (c < 11688
                  ? (c < 11680
                    ? (c >= 11647 && c <= 11670)
                    : c <= 11686)
                  : (c <= 11694 || (c < 11704
                    ? (c >= 11696 && c <= 11702)
                    : c <= 11710)))))))))
          : (c <= 11718 || (c < 42612
            ? (c < 12449
              ? (c < 12321
                ? (c < 11736
                  ? (c < 11728
                    ? (c >= 11720 && c <= 11726)
                    : c <= 11734)
                  : (c <= 11742 || (c < 12293
                    ? (c >= 11744 && c <= 11775)
                    : c <= 12295)))
                : (c <= 12335 || (c < 12353
                  ? (c < 12344
                    ? (c >= 12337 && c <= 12341)
                    : c <= 12348)
                  : (c <= 12438 || (c < 12445
                    ? (c >= 12441 && c <= 12442)
                    : c <= 12447)))))
              : (c <= 12538 || (c < 13312
                ? (c < 12593
                  ? (c < 12549
                    ? (c >= 12540 && c <= 12543)
                    : c <= 12591)
                  : (c <= 12686 || (c < 12784
                    ? (c >= 12704 && c <= 12735)
                    : c <= 12799)))
                : (c <= 19903 || (c < 42240
                  ? (c < 42192
                    ? (c >= 19968 && c <= 42124)
                    : c <= 42237)
                  : (c <= 42508 || (c < 42560
                    ? (c >= 42512 && c <= 42539)
                    : c <= 42607)))))))
            : (c <= 42621 || (c < 43216
              ? (c < 42963
                ? (c < 42786
                  ? (c < 42775
                    ? (c >= 42623 && c <= 42737)
                    : c <= 42783)
                  : (c <= 42888 || (c < 42960
                    ? (c >= 42891 && c <= 42954)
                    : c <= 42961)))
                : (c <= 42963 || (c < 43052
                  ? (c < 42994
                    ? (c >= 42965 && c <= 42969)
                    : c <= 43047)
                  : (c <= 43052 || (c < 43136
                    ? (c >= 43072 && c <= 43123)
                    : c <= 43205)))))
              : (c <= 43225 || (c < 43392
                ? (c < 43261
                  ? (c < 43259
                    ? (c >= 43232 && c <= 43255)
                    : c <= 43259)
                  : (c <= 43309 || (c < 43360
                    ? (c >= 43312 && c <= 43347)
                    : c <= 43388)))
                : (c <= 43456 || (c < 43520
                  ? (c < 43488
                    ? (c >= 43471 && c <= 43481)
                    : c <= 43518)
                  : (c <= 43574 || (c >= 43584 && c <= 43597)))))))))))))))
    : (c <= 43609 || (c < 71453
      ? (c < 67594
        ? (c < 65343
          ? (c < 64298
            ? (c < 43868
              ? (c < 43777
                ? (c < 43739
                  ? (c < 43642
                    ? (c >= 43616 && c <= 43638)
                    : c <= 43714)
                  : (c <= 43741 || (c < 43762
                    ? (c >= 43744 && c <= 43759)
                    : c <= 43766)))
                : (c <= 43782 || (c < 43808
                  ? (c < 43793
                    ? (c >= 43785 && c <= 43790)
                    : c <= 43798)
                  : (c <= 43814 || (c < 43824
                    ? (c >= 43816 && c <= 43822)
                    : c <= 43866)))))
              : (c <= 43881 || (c < 55243
                ? (c < 44016
                  ? (c < 44012
                    ? (c >= 43888 && c <= 44010)
                    : c <= 44013)
                  : (c <= 44025 || (c < 55216
                    ? (c >= 44032 && c <= 55203)
                    : c <= 55238)))
                : (c <= 55291 || (c < 64256
                  ? (c < 64112
                    ? (c >= 63744 && c <= 64109)
                    : c <= 64217)
                  : (c <= 64262 || (c < 64285
                    ? (c >= 64275 && c <= 64279)
                    : c <= 64296)))))))
            : (c <= 64310 || (c < 65056
              ? (c < 64467
                ? (c < 64320
                  ? (c < 64318
                    ? (c >= 64312 && c <= 64316)
                    : c <= 64318)
                  : (c <= 64321 || (c < 64326
                    ? (c >= 64323 && c <= 64324)
                    : c <= 64433)))
                : (c <= 64605 || (c < 64914
                  ? (c < 64848
                    ? (c >= 64612 && c <= 64829)
                    : c <= 64911)
                  : (c <= 64967 || (c < 65024
                    ? (c >= 65008 && c <= 65017)
                    : c <= 65039)))))
              : (c <= 65071 || (c < 65145
                ? (c < 65137
                  ? (c < 65101
                    ? (c >= 65075 && c <= 65076)
                    : c <= 65103)
                  : (c <= 65137 || (c < 65143
                    ? c == 65139
                    : c <= 65143)))
                : (c <= 65145 || (c < 65151
                  ? (c < 65149
                    ? c == 65147
                    : c <= 65149)
                  : (c <= 65276 || (c < 65313
                    ? (c >= 65296 && c <= 65305)
                    : c <= 65338)))))))))
          : (c <= 65343 || (c < 66504
            ? (c < 65616
              ? (c < 65498
                ? (c < 65474
                  ? (c < 65382
                    ? (c >= 65345 && c <= 65370)
                    : c <= 65470)
                  : (c <= 65479 || (c < 65490
                    ? (c >= 65482 && c <= 65487)
                    : c <= 65495)))
                : (c <= 65500 || (c < 65576
                  ? (c < 65549
                    ? (c >= 65536 && c <= 65547)
                    : c <= 65574)
                  : (c <= 65594 || (c < 65599
                    ? (c >= 65596 && c <= 65597)
                    : c <= 65613)))))
              : (c <= 65629 || (c < 66272
                ? (c < 66045
                  ? (c < 65856
                    ? (c >= 65664 && c <= 65786)
                    : c <= 65908)
                  : (c <= 66045 || (c < 66208
                    ? (c >= 66176 && c <= 66204)
                    : c <= 66256)))
                : (c <= 66272 || (c < 66384
                  ? (c < 66349
                    ? (c >= 66304 && c <= 66335)
                    : c <= 66378)
                  : (c <= 66426 || (c < 66464
                    ? (c >= 66432 && c <= 66461)
                    : c <= 66499)))))))
            : (c <= 66511 || (c < 66967
              ? (c < 66816
                ? (c < 66720
                  ? (c < 66560
                    ? (c >= 66513 && c <= 66517)
                    : c <= 66717)
                  : (c <= 66729 || (c < 66776
                    ? (c >= 66736 && c <= 66771)
                    : c <= 66811)))
                : (c <= 66855 || (c < 66940
                  ? (c < 66928
                    ? (c >= 66864 && c <= 66915)
                    : c <= 66938)
                  : (c <= 66954 || (c < 66964
                    ? (c >= 66956 && c <= 66962)
                    : c <= 66965)))))
              : (c <= 66977 || (c < 67424
                ? (c < 67003
                  ? (c < 66995
                    ? (c >= 66979 && c <= 66993)
                    : c <= 67001)
                  : (c <= 67004 || (c < 67392
                    ? (c >= 67072 && c <= 67382)
                    : c <= 67413)))
                : (c <= 67431 || (c < 67506
                  ? (c < 67463
                    ? (c >= 67456 && c <= 67461)
                    : c <= 67504)
                  : (c <= 67514 || (c < 67592
                    ? (c >= 67584 && c <= 67589)
                    : c <= 67592)))))))))))
        : (c <= 67637 || (c < 69942
          ? (c < 68416
            ? (c < 68096
              ? (c < 67808
                ? (c < 67647
                  ? (c < 67644
                    ? (c >= 67639 && c <= 67640)
                    : c <= 67644)
                  : (c <= 67669 || (c < 67712
                    ? (c >= 67680 && c <= 67702)
                    : c <= 67742)))
                : (c <= 67826 || (c < 67872
                  ? (c < 67840
                    ? (c >= 67828 && c <= 67829)
                    : c <= 67861)
                  : (c <= 67897 || (c < 68030
                    ? (c >= 67968 && c <= 68023)
                    : c <= 68031)))))
              : (c <= 68099 || (c < 68159
                ? (c < 68117
                  ? (c < 68108
                    ? (c >= 68101 && c <= 68102)
                    : c <= 68115)
                  : (c <= 68119 || (c < 68152
                    ? (c >= 68121 && c <= 68149)
                    : c <= 68154)))
                : (c <= 68159 || (c < 68288
                  ? (c < 68224
                    ? (c >= 68192 && c <= 68220)
                    : c <= 68252)
                  : (c <= 68295 || (c < 68352
                    ? (c >= 68297 && c <= 68326)
                    : c <= 68405)))))))
            : (c <= 68437 || (c < 69415
              ? (c < 68864
                ? (c < 68608
                  ? (c < 68480
                    ? (c >= 68448 && c <= 68466)
                    : c <= 68497)
                  : (c <= 68680 || (c < 68800
                    ? (c >= 68736 && c <= 68786)
                    : c <= 68850)))
                : (c <= 68903 || (c < 69291
                  ? (c < 69248
                    ? (c >= 68912 && c <= 68921)
                    : c <= 69289)
                  : (c <= 69292 || (c < 69376
                    ? (c >= 69296 && c <= 69297)
                    : c <= 69404)))))
              : (c <= 69415 || (c < 69734
                ? (c < 69552
                  ? (c < 69488
                    ? (c >= 69424 && c <= 69456)
                    : c <= 69509)
                  : (c <= 69572 || (c < 69632
                    ? (c >= 69600 && c <= 69622)
                    : c <= 69702)))
                : (c <= 69749 || (c < 69840
                  ? (c < 69826
                    ? (c >= 69759 && c <= 69818)
                    : c <= 69826)
                  : (c <= 69864 || (c < 69888
                    ? (c >= 69872 && c <= 69881)
                    : c <= 69940)))))))))
          : (c <= 69951 || (c < 70453
            ? (c < 70280
              ? (c < 70094
                ? (c < 70006
                  ? (c < 69968
                    ? (c >= 69956 && c <= 69959)
                    : c <= 70003)
                  : (c <= 70006 || (c < 70089
                    ? (c >= 70016 && c <= 70084)
                    : c <= 70092)))
                : (c <= 70106 || (c < 70163
                  ? (c < 70144
                    ? c == 70108
                    : c <= 70161)
                  : (c <= 70199 || (c < 70272
                    ? c == 70206
                    : c <= 70278)))))
              : (c <= 70280 || (c < 70400
                ? (c < 70303
                  ? (c < 70287
                    ? (c >= 70282 && c <= 70285)
                    : c <= 70301)
                  : (c <= 70312 || (c < 70384
                    ? (c >= 70320 && c <= 70378)
                    : c <= 70393)))
                : (c <= 70403 || (c < 70419
                  ? (c < 70415
                    ? (c >= 70405 && c <= 70412)
                    : c <= 70416)
                  : (c <= 70440 || (c < 70450
                    ? (c >= 70442 && c <= 70448)
                    : c <= 70451)))))))
            : (c <= 70457 || (c < 70784
              ? (c < 70493
                ? (c < 70475
                  ? (c < 70471
                    ? (c >= 70459 && c <= 70468)
                    : c <= 70472)
                  : (c <= 70477 || (c < 70487
                    ? c == 70480
                    : c <= 70487)))
                : (c <= 70499 || (c < 70656
                  ? (c < 70512
                    ? (c >= 70502 && c <= 70508)
                    : c <= 70516)
                  : (c <= 70730 || (c < 70750
                    ? (c >= 70736 && c <= 70745)
                    : c <= 70753)))))
              : (c <= 70853 || (c < 71168
                ? (c < 71040
                  ? (c < 70864
                    ? c == 70855
                    : c <= 70873)
                  : (c <= 71093 || (c < 71128
                    ? (c >= 71096 && c <= 71104)
                    : c <= 71133)))
                : (c <= 71232 || (c < 71296
                  ? (c < 71248
                    ? c == 71236
                    : c <= 71257)
                  : (c <= 71352 || (c < 71424
                    ? (c >= 71360 && c <= 71369)
                    : c <= 71450)))))))))))))
      : (c <= 71467 || (c < 119973
        ? (c < 77824
          ? (c < 72760
            ? (c < 72016
              ? (c < 71945
                ? (c < 71680
                  ? (c < 71488
                    ? (c >= 71472 && c <= 71481)
                    : c <= 71494)
                  : (c <= 71738 || (c < 71935
                    ? (c >= 71840 && c <= 71913)
                    : c <= 71942)))
                : (c <= 71945 || (c < 71960
                  ? (c < 71957
                    ? (c >= 71948 && c <= 71955)
                    : c <= 71958)
                  : (c <= 71989 || (c < 71995
                    ? (c >= 71991 && c <= 71992)
                    : c <= 72003)))))
              : (c <= 72025 || (c < 72263
                ? (c < 72154
                  ? (c < 72106
                    ? (c >= 72096 && c <= 72103)
                    : c <= 72151)
                  : (c <= 72161 || (c < 72192
                    ? (c >= 72163 && c <= 72164)
                    : c <= 72254)))
                : (c <= 72263 || (c < 72368
                  ? (c < 72349
                    ? (c >= 72272 && c <= 72345)
                    : c <= 72349)
                  : (c <= 72440 || (c < 72714
                    ? (c >= 72704 && c <= 72712)
                    : c <= 72758)))))))
            : (c <= 72768 || (c < 73056
              ? (c < 72968
                ? (c < 72850
                  ? (c < 72818
                    ? (c >= 72784 && c <= 72793)
                    : c <= 72847)
                  : (c <= 72871 || (c < 72960
                    ? (c >= 72873 && c <= 72886)
                    : c <= 72966)))
                : (c <= 72969 || (c < 73020
                  ? (c < 73018
                    ? (c >= 72971 && c <= 73014)
                    : c <= 73018)
                  : (c <= 73021 || (c < 73040
                    ? (c >= 73023 && c <= 73031)
                    : c <= 73049)))))
              : (c <= 73061 || (c < 73440
                ? (c < 73104
                  ? (c < 73066
                    ? (c >= 73063 && c <= 73064)
                    : c <= 73102)
                  : (c <= 73105 || (c < 73120
                    ? (c >= 73107 && c <= 73112)
                    : c <= 73129)))
                : (c <= 73462 || (c < 74752
                  ? (c < 73728
                    ? c == 73648
                    : c <= 74649)
                  : (c <= 74862 || (c < 77712
                    ? (c >= 74880 && c <= 75075)
                    : c <= 77808)))))))))
          : (c <= 78894 || (c < 110576
            ? (c < 93027
              ? (c < 92864
                ? (c < 92736
                  ? (c < 92160
                    ? (c >= 82944 && c <= 83526)
                    : c <= 92728)
                  : (c <= 92766 || (c < 92784
                    ? (c >= 92768 && c <= 92777)
                    : c <= 92862)))
                : (c <= 92873 || (c < 92928
                  ? (c < 92912
                    ? (c >= 92880 && c <= 92909)
                    : c <= 92916)
                  : (c <= 92982 || (c < 93008
                    ? (c >= 92992 && c <= 92995)
                    : c <= 93017)))))
              : (c <= 93047 || (c < 94176
                ? (c < 93952
                  ? (c < 93760
                    ? (c >= 93053 && c <= 93071)
                    : c <= 93823)
                  : (c <= 94026 || (c < 94095
                    ? (c >= 94031 && c <= 94087)
                    : c <= 94111)))
                : (c <= 94177 || (c < 94208
                  ? (c < 94192
                    ? (c >= 94179 && c <= 94180)
                    : c <= 94193)
                  : (c <= 100343 || (c < 101632
                    ? (c >= 100352 && c <= 101589)
                    : c <= 101640)))))))
            : (c <= 110579 || (c < 118528
              ? (c < 110960
                ? (c < 110592
                  ? (c < 110589
                    ? (c >= 110581 && c <= 110587)
                    : c <= 110590)
                  : (c <= 110882 || (c < 110948
                    ? (c >= 110928 && c <= 110930)
                    : c <= 110951)))
                : (c <= 111355 || (c < 113792
                  ? (c < 113776
                    ? (c >= 113664 && c <= 113770)
                    : c <= 113788)
                  : (c <= 113800 || (c < 113821
                    ? (c >= 113808 && c <= 113817)
                    : c <= 113822)))))
              : (c <= 118573 || (c < 119210
                ? (c < 119149
                  ? (c < 119141
                    ? (c >= 118576 && c <= 118598)
                    : c <= 119145)
                  : (c <= 119154 || (c < 119173
                    ? (c >= 119163 && c <= 119170)
                    : c <= 119179)))
                : (c <= 119213 || (c < 119894
                  ? (c < 119808
                    ? (c >= 119362 && c <= 119364)
                    : c <= 119892)
                  : (c <= 119964 || (c < 119970
                    ? (c >= 119966 && c <= 119967)
                    : c <= 119970)))))))))))
        : (c <= 119974 || (c < 124912
          ? (c < 120746
            ? (c < 120134
              ? (c < 120071
                ? (c < 119995
                  ? (c < 119982
                    ? (c >= 119977 && c <= 119980)
                    : c <= 119993)
                  : (c <= 119995 || (c < 120005
                    ? (c >= 119997 && c <= 120003)
                    : c <= 120069)))
                : (c <= 120074 || (c < 120094
                  ? (c < 120086
                    ? (c >= 120077 && c <= 120084)
                    : c <= 120092)
                  : (c <= 120121 || (c < 120128
                    ? (c >= 120123 && c <= 120126)
                    : c <= 120132)))))
              : (c <= 120134 || (c < 120572
                ? (c < 120488
                  ? (c < 120146
                    ? (c >= 120138 && c <= 120144)
                    : c <= 120485)
                  : (c <= 120512 || (c < 120540
                    ? (c >= 120514 && c <= 120538)
                    : c <= 120570)))
                : (c <= 120596 || (c < 120656
                  ? (c < 120630
                    ? (c >= 120598 && c <= 120628)
                    : c <= 120654)
                  : (c <= 120686 || (c < 120714
                    ? (c >= 120688 && c <= 120712)
                    : c <= 120744)))))))
            : (c <= 120770 || (c < 122907
              ? (c < 121476
                ? (c < 121344
                  ? (c < 120782
                    ? (c >= 120772 && c <= 120779)
                    : c <= 120831)
                  : (c <= 121398 || (c < 121461
                    ? (c >= 121403 && c <= 121452)
                    : c <= 121461)))
                : (c <= 121476 || (c < 122624
                  ? (c < 121505
                    ? (c >= 121499 && c <= 121503)
                    : c <= 121519)
                  : (c <= 122654 || (c < 122888
                    ? (c >= 122880 && c <= 122886)
                    : c <= 122904)))))
              : (c <= 122913 || (c < 123214
                ? (c < 123136
                  ? (c < 122918
                    ? (c >= 122915 && c <= 122916)
                    : c <= 122922)
                  : (c <= 123180 || (c < 123200
                    ? (c >= 123184 && c <= 123197)
                    : c <= 123209)))
                : (c <= 123214 || (c < 124896
                  ? (c < 123584
                    ? (c >= 123536 && c <= 123566)
                    : c <= 123641)
                  : (c <= 124902 || (c < 124909
                    ? (c >= 124904 && c <= 124907)
                    : c <= 124910)))))))))
          : (c <= 124926 || (c < 126557
            ? (c < 126521
              ? (c < 126469
                ? (c < 125184
                  ? (c < 125136
                    ? (c >= 124928 && c <= 125124)
                    : c <= 125142)
                  : (c <= 125259 || (c < 126464
                    ? (c >= 125264 && c <= 125273)
                    : c <= 126467)))
                : (c <= 126495 || (c < 126503
                  ? (c < 126500
                    ? (c >= 126497 && c <= 126498)
                    : c <= 126500)
                  : (c <= 126503 || (c < 126516
                    ? (c >= 126505 && c <= 126514)
                    : c <= 126519)))))
              : (c <= 126521 || (c < 126541
                ? (c < 126535
                  ? (c < 126530
                    ? c == 126523
                    : c <= 126530)
                  : (c <= 126535 || (c < 126539
                    ? c == 126537
                    : c <= 126539)))
                : (c <= 126543 || (c < 126551
                  ? (c < 126548
                    ? (c >= 126545 && c <= 126546)
                    : c <= 126548)
                  : (c <= 126551 || (c < 126555
                    ? c == 126553
                    : c <= 126555)))))))
            : (c <= 126557 || (c < 126629
              ? (c < 126580
                ? (c < 126564
                  ? (c < 126561
                    ? c == 126559
                    : c <= 126562)
                  : (c <= 126564 || (c < 126572
                    ? (c >= 126567 && c <= 126570)
                    : c <= 126578)))
                : (c <= 126583 || (c < 126592
                  ? (c < 126590
                    ? (c >= 126585 && c <= 126588)
                    : c <= 126590)
                  : (c <= 126601 || (c < 126625
                    ? (c >= 126603 && c <= 126619)
                    : c <= 126627)))))
              : (c <= 126633 || (c < 178208
                ? (c < 131072
                  ? (c < 130032
                    ? (c >= 126635 && c <= 126651)
                    : c <= 130041)
                  : (c <= 173791 || (c < 177984
                    ? (c >= 173824 && c <= 177976)
                    : c <= 178205)))
                : (c <= 183969 || (c < 196608
                  ? (c < 194560
                    ? (c >= 183984 && c <= 191456)
                    : c <= 195101)
                  : (c <= 201546 || (c >= 917760 && c <= 917999)))))))))))))))));
}

static inline bool sym_identifier_character_set_38(int32_t c) {
  return (c < 43600
    ? (c < 3776
      ? (c < 2738
        ? (c < 1984
          ? (c < 910
            ? (c < 216
              ? (c < 't'
                ? (c < 'A'
                  ? (c < '0'
                    ? c == '$'
                    : c <= '9')
                  : (c <= 'Z' || (c < 'a'
                    ? c == '_'
                    : c <= 'r')))
                : (c <= 'z' || (c < 183
                  ? (c < 181
                    ? c == 170
                    : c <= 181)
                  : (c <= 183 || (c < 192
                    ? c == 186
                    : c <= 214)))))
              : (c <= 246 || (c < 768
                ? (c < 736
                  ? (c < 710
                    ? (c >= 248 && c <= 705)
                    : c <= 721)
                  : (c <= 740 || (c < 750
                    ? c == 748
                    : c <= 750)))
                : (c <= 884 || (c < 895
                  ? (c < 891
                    ? (c >= 886 && c <= 887)
                    : c <= 893)
                  : (c <= 895 || (c < 908
                    ? (c >= 902 && c <= 906)
                    : c <= 908)))))))
            : (c <= 929 || (c < 1479
              ? (c < 1369
                ? (c < 1155
                  ? (c < 1015
                    ? (c >= 931 && c <= 1013)
                    : c <= 1153)
                  : (c <= 1159 || (c < 1329
                    ? (c >= 1162 && c <= 1327)
                    : c <= 1366)))
                : (c <= 1369 || (c < 1471
                  ? (c < 1425
                    ? (c >= 1376 && c <= 1416)
                    : c <= 1469)
                  : (c <= 1471 || (c < 1476
                    ? (c >= 1473 && c <= 1474)
                    : c <= 1477)))))
              : (c <= 1479 || (c < 1749
                ? (c < 1552
                  ? (c < 1519
                    ? (c >= 1488 && c <= 1514)
                    : c <= 1522)
                  : (c <= 1562 || (c < 1646
                    ? (c >= 1568 && c <= 1641)
                    : c <= 1747)))
                : (c <= 1756 || (c < 1791
                  ? (c < 1770
                    ? (c >= 1759 && c <= 1768)
                    : c <= 1788)
                  : (c <= 1791 || (c < 1869
                    ? (c >= 1808 && c <= 1866)
                    : c <= 1969)))))))))
          : (c <= 2037 || (c < 2534
            ? (c < 2437
              ? (c < 2160
                ? (c < 2048
                  ? (c < 2045
                    ? c == 2042
                    : c <= 2045)
                  : (c <= 2093 || (c < 2144
                    ? (c >= 2112 && c <= 2139)
                    : c <= 2154)))
                : (c <= 2183 || (c < 2275
                  ? (c < 2200
                    ? (c >= 2185 && c <= 2190)
                    : c <= 2273)
                  : (c <= 2403 || (c < 2417
                    ? (c >= 2406 && c <= 2415)
                    : c <= 2435)))))
              : (c <= 2444 || (c < 2492
                ? (c < 2474
                  ? (c < 2451
                    ? (c >= 2447 && c <= 2448)
                    : c <= 2472)
                  : (c <= 2480 || (c < 2486
                    ? c == 2482
                    : c <= 2489)))
                : (c <= 2500 || (c < 2519
                  ? (c < 2507
                    ? (c >= 2503 && c <= 2504)
                    : c <= 2510)
                  : (c <= 2519 || (c < 2527
                    ? (c >= 2524 && c <= 2525)
                    : c <= 2531)))))))
            : (c <= 2545 || (c < 2622
              ? (c < 2579
                ? (c < 2561
                  ? (c < 2558
                    ? c == 2556
                    : c <= 2558)
                  : (c <= 2563 || (c < 2575
                    ? (c >= 2565 && c <= 2570)
                    : c <= 2576)))
                : (c <= 2600 || (c < 2613
                  ? (c < 2610
                    ? (c >= 2602 && c <= 2608)
                    : c <= 2611)
                  : (c <= 2614 || (c < 2620
                    ? (c >= 2616 && c <= 2617)
                    : c <= 2620)))))
              : (c <= 2626 || (c < 2662
                ? (c < 2641
                  ? (c < 2635
                    ? (c >= 2631 && c <= 2632)
                    : c <= 2637)
                  : (c <= 2641 || (c < 2654
                    ? (c >= 2649 && c <= 2652)
                    : c <= 2654)))
                : (c <= 2677 || (c < 2703
                  ? (c < 2693
                    ? (c >= 2689 && c <= 2691)
                    : c <= 2701)
                  : (c <= 2705 || (c < 2730
                    ? (c >= 2707 && c <= 2728)
                    : c <= 2736)))))))))))
        : (c <= 2739 || (c < 3160
          ? (c < 2946
            ? (c < 2835
              ? (c < 2784
                ? (c < 2759
                  ? (c < 2748
                    ? (c >= 2741 && c <= 2745)
                    : c <= 2757)
                  : (c <= 2761 || (c < 2768
                    ? (c >= 2763 && c <= 2765)
                    : c <= 2768)))
                : (c <= 2787 || (c < 2817
                  ? (c < 2809
                    ? (c >= 2790 && c <= 2799)
                    : c <= 2815)
                  : (c <= 2819 || (c < 2831
                    ? (c >= 2821 && c <= 2828)
                    : c <= 2832)))))
              : (c <= 2856 || (c < 2891
                ? (c < 2869
                  ? (c < 2866
                    ? (c >= 2858 && c <= 2864)
                    : c <= 2867)
                  : (c <= 2873 || (c < 2887
                    ? (c >= 2876 && c <= 2884)
                    : c <= 2888)))
                : (c <= 2893 || (c < 2911
                  ? (c < 2908
                    ? (c >= 2901 && c <= 2903)
                    : c <= 2909)
                  : (c <= 2915 || (c < 2929
                    ? (c >= 2918 && c <= 2927)
                    : c <= 2929)))))))
            : (c <= 2947 || (c < 3018
              ? (c < 2974
                ? (c < 2962
                  ? (c < 2958
                    ? (c >= 2949 && c <= 2954)
                    : c <= 2960)
                  : (c <= 2965 || (c < 2972
                    ? (c >= 2969 && c <= 2970)
                    : c <= 2972)))
                : (c <= 2975 || (c < 2990
                  ? (c < 2984
                    ? (c >= 2979 && c <= 2980)
                    : c <= 2986)
                  : (c <= 3001 || (c < 3014
                    ? (c >= 3006 && c <= 3010)
                    : c <= 3016)))))
              : (c <= 3021 || (c < 3090
                ? (c < 3046
                  ? (c < 3031
                    ? c == 3024
                    : c <= 3031)
                  : (c <= 3055 || (c < 3086
                    ? (c >= 3072 && c <= 3084)
                    : c <= 3088)))
                : (c <= 3112 || (c < 3142
                  ? (c < 3132
                    ? (c >= 3114 && c <= 3129)
                    : c <= 3140)
                  : (c <= 3144 || (c < 3157
                    ? (c >= 3146 && c <= 3149)
                    : c <= 3158)))))))))
          : (c <= 3162 || (c < 3423
            ? (c < 3274
              ? (c < 3214
                ? (c < 3174
                  ? (c < 3168
                    ? c == 3165
                    : c <= 3171)
                  : (c <= 3183 || (c < 3205
                    ? (c >= 3200 && c <= 3203)
                    : c <= 3212)))
                : (c <= 3216 || (c < 3253
                  ? (c < 3242
                    ? (c >= 3218 && c <= 3240)
                    : c <= 3251)
                  : (c <= 3257 || (c < 3270
                    ? (c >= 3260 && c <= 3268)
                    : c <= 3272)))))
              : (c <= 3277 || (c < 3328
                ? (c < 3296
                  ? (c < 3293
                    ? (c >= 3285 && c <= 3286)
                    : c <= 3294)
                  : (c <= 3299 || (c < 3313
                    ? (c >= 3302 && c <= 3311)
                    : c <= 3314)))
                : (c <= 3340 || (c < 3398
                  ? (c < 3346
                    ? (c >= 3342 && c <= 3344)
                    : c <= 3396)
                  : (c <= 3400 || (c < 3412
                    ? (c >= 3402 && c <= 3406)
                    : c <= 3415)))))))
            : (c <= 3427 || (c < 3544
              ? (c < 3507
                ? (c < 3457
                  ? (c < 3450
                    ? (c >= 3430 && c <= 3439)
                    : c <= 3455)
                  : (c <= 3459 || (c < 3482
                    ? (c >= 3461 && c <= 3478)
                    : c <= 3505)))
                : (c <= 3515 || (c < 3530
                  ? (c < 3520
                    ? c == 3517
                    : c <= 3526)
                  : (c <= 3530 || (c < 3542
                    ? (c >= 3535 && c <= 3540)
                    : c <= 3542)))))
              : (c <= 3551 || (c < 3713
                ? (c < 3585
                  ? (c < 3570
                    ? (c >= 3558 && c <= 3567)
                    : c <= 3571)
                  : (c <= 3642 || (c < 3664
                    ? (c >= 3648 && c <= 3662)
                    : c <= 3673)))
                : (c <= 3714 || (c < 3724
                  ? (c < 3718
                    ? c == 3716
                    : c <= 3722)
                  : (c <= 3747 || (c < 3751
                    ? c == 3749
                    : c <= 3773)))))))))))))
      : (c <= 3780 || (c < 8016
        ? (c < 5870
          ? (c < 4682
            ? (c < 3913
              ? (c < 3864
                ? (c < 3792
                  ? (c < 3784
                    ? c == 3782
                    : c <= 3789)
                  : (c <= 3801 || (c < 3840
                    ? (c >= 3804 && c <= 3807)
                    : c <= 3840)))
                : (c <= 3865 || (c < 3895
                  ? (c < 3893
                    ? (c >= 3872 && c <= 3881)
                    : c <= 3893)
                  : (c <= 3895 || (c < 3902
                    ? c == 3897
                    : c <= 3911)))))
              : (c <= 3948 || (c < 4176
                ? (c < 3993
                  ? (c < 3974
                    ? (c >= 3953 && c <= 3972)
                    : c <= 3991)
                  : (c <= 4028 || (c < 4096
                    ? c == 4038
                    : c <= 4169)))
                : (c <= 4253 || (c < 4301
                  ? (c < 4295
                    ? (c >= 4256 && c <= 4293)
                    : c <= 4295)
                  : (c <= 4301 || (c < 4348
                    ? (c >= 4304 && c <= 4346)
                    : c <= 4680)))))))
            : (c <= 4685 || (c < 4824
              ? (c < 4752
                ? (c < 4698
                  ? (c < 4696
                    ? (c >= 4688 && c <= 4694)
                    : c <= 4696)
                  : (c <= 4701 || (c < 4746
                    ? (c >= 4704 && c <= 4744)
                    : c <= 4749)))
                : (c <= 4784 || (c < 4800
                  ? (c < 4792
                    ? (c >= 4786 && c <= 4789)
                    : c <= 4798)
                  : (c <= 4800 || (c < 4808
                    ? (c >= 4802 && c <= 4805)
                    : c <= 4822)))))
              : (c <= 4880 || (c < 5024
                ? (c < 4957
                  ? (c < 4888
                    ? (c >= 4882 && c <= 4885)
                    : c <= 4954)
                  : (c <= 4959 || (c < 4992
                    ? (c >= 4969 && c <= 4977)
                    : c <= 5007)))
                : (c <= 5109 || (c < 5743
                  ? (c < 5121
                    ? (c >= 5112 && c <= 5117)
                    : c <= 5740)
                  : (c <= 5759 || (c < 5792
                    ? (c >= 5761 && c <= 5786)
                    : c <= 5866)))))))))
          : (c <= 5880 || (c < 6656
            ? (c < 6159
              ? (c < 6002
                ? (c < 5952
                  ? (c < 5919
                    ? (c >= 5888 && c <= 5909)
                    : c <= 5940)
                  : (c <= 5971 || (c < 5998
                    ? (c >= 5984 && c <= 5996)
                    : c <= 6000)))
                : (c <= 6003 || (c < 6108
                  ? (c < 6103
                    ? (c >= 6016 && c <= 6099)
                    : c <= 6103)
                  : (c <= 6109 || (c < 6155
                    ? (c >= 6112 && c <= 6121)
                    : c <= 6157)))))
              : (c <= 6169 || (c < 6448
                ? (c < 6320
                  ? (c < 6272
                    ? (c >= 6176 && c <= 6264)
                    : c <= 6314)
                  : (c <= 6389 || (c < 6432
                    ? (c >= 6400 && c <= 6430)
                    : c <= 6443)))
                : (c <= 6459 || (c < 6528
                  ? (c < 6512
                    ? (c >= 6470 && c <= 6509)
                    : c <= 6516)
                  : (c <= 6571 || (c < 6608
                    ? (c >= 6576 && c <= 6601)
                    : c <= 6618)))))))
            : (c <= 6683 || (c < 7168
              ? (c < 6832
                ? (c < 6783
                  ? (c < 6752
                    ? (c >= 6688 && c <= 6750)
                    : c <= 6780)
                  : (c <= 6793 || (c < 6823
                    ? (c >= 6800 && c <= 6809)
                    : c <= 6823)))
                : (c <= 6845 || (c < 6992
                  ? (c < 6912
                    ? (c >= 6847 && c <= 6862)
                    : c <= 6988)
                  : (c <= 7001 || (c < 7040
                    ? (c >= 7019 && c <= 7027)
                    : c <= 7155)))))
              : (c <= 7223 || (c < 7376
                ? (c < 7296
                  ? (c < 7245
                    ? (c >= 7232 && c <= 7241)
                    : c <= 7293)
                  : (c <= 7304 || (c < 7357
                    ? (c >= 7312 && c <= 7354)
                    : c <= 7359)))
                : (c <= 7378 || (c < 7960
                  ? (c < 7424
                    ? (c >= 7380 && c <= 7418)
                    : c <= 7957)
                  : (c <= 7965 || (c < 8008
                    ? (c >= 7968 && c <= 8005)
                    : c <= 8013)))))))))))
        : (c <= 8023 || (c < 11712
          ? (c < 8455
            ? (c < 8160
              ? (c < 8118
                ? (c < 8029
                  ? (c < 8027
                    ? c == 8025
                    : c <= 8027)
                  : (c <= 8029 || (c < 8064
                    ? (c >= 8031 && c <= 8061)
                    : c <= 8116)))
                : (c <= 8124 || (c < 8134
                  ? (c < 8130
                    ? c == 8126
                    : c <= 8132)
                  : (c <= 8140 || (c < 8150
                    ? (c >= 8144 && c <= 8147)
                    : c <= 8155)))))
              : (c <= 8172 || (c < 8319
                ? (c < 8255
                  ? (c < 8182
                    ? (c >= 8178 && c <= 8180)
                    : c <= 8188)
                  : (c <= 8256 || (c < 8305
                    ? c == 8276
                    : c <= 8305)))
                : (c <= 8319 || (c < 8417
                  ? (c < 8400
                    ? (c >= 8336 && c <= 8348)
                    : c <= 8412)
                  : (c <= 8417 || (c < 8450
                    ? (c >= 8421 && c <= 8432)
                    : c <= 8450)))))))
            : (c <= 8455 || (c < 11264
              ? (c < 8488
                ? (c < 8472
                  ? (c < 8469
                    ? (c >= 8458 && c <= 8467)
                    : c <= 8469)
                  : (c <= 8477 || (c < 8486
                    ? c == 8484
                    : c <= 8486)))
                : (c <= 8488 || (c < 8517
                  ? (c < 8508
                    ? (c >= 8490 && c <= 8505)
                    : c <= 8511)
                  : (c <= 8521 || (c < 8544
                    ? c == 8526
                    : c <= 8584)))))
              : (c <= 11492 || (c < 11631
                ? (c < 11559
                  ? (c < 11520
                    ? (c >= 11499 && c <= 11507)
                    : c <= 11557)
                  : (c <= 11559 || (c < 11568
                    ? c == 11565
                    : c <= 11623)))
                : (c <= 11631 || (c < 11688
                  ? (c < 11680
                    ? (c >= 11647 && c <= 11670)
                    : c <= 11686)
                  : (c <= 11694 || (c < 11704
                    ? (c >= 11696 && c <= 11702)
                    : c <= 11710)))))))))
          : (c <= 11718 || (c < 42612
            ? (c < 12449
              ? (c < 12321
                ? (c < 11736
                  ? (c < 11728
                    ? (c >= 11720 && c <= 11726)
                    : c <= 11734)
                  : (c <= 11742 || (c < 12293
                    ? (c >= 11744 && c <= 11775)
                    : c <= 12295)))
                : (c <= 12335 || (c < 12353
                  ? (c < 12344
                    ? (c >= 12337 && c <= 12341)
                    : c <= 12348)
                  : (c <= 12438 || (c < 12445
                    ? (c >= 12441 && c <= 12442)
                    : c <= 12447)))))
              : (c <= 12538 || (c < 13312
                ? (c < 12593
                  ? (c < 12549
                    ? (c >= 12540 && c <= 12543)
                    : c <= 12591)
                  : (c <= 12686 || (c < 12784
                    ? (c >= 12704 && c <= 12735)
                    : c <= 12799)))
                : (c <= 19903 || (c < 42240
                  ? (c < 42192
                    ? (c >= 19968 && c <= 42124)
                    : c <= 42237)
                  : (c <= 42508 || (c < 42560
                    ? (c >= 42512 && c <= 42539)
                    : c <= 42607)))))))
            : (c <= 42621 || (c < 43216
              ? (c < 42963
                ? (c < 42786
                  ? (c < 42775
                    ? (c >= 42623 && c <= 42737)
                    : c <= 42783)
                  : (c <= 42888 || (c < 42960
                    ? (c >= 42891 && c <= 42954)
                    : c <= 42961)))
                : (c <= 42963 || (c < 43052
                  ? (c < 42994
                    ? (c >= 42965 && c <= 42969)
                    : c <= 43047)
                  : (c <= 43052 || (c < 43136
                    ? (c >= 43072 && c <= 43123)
                    : c <= 43205)))))
              : (c <= 43225 || (c < 43392
                ? (c < 43261
                  ? (c < 43259
                    ? (c >= 43232 && c <= 43255)
                    : c <= 43259)
                  : (c <= 43309 || (c < 43360
                    ? (c >= 43312 && c <= 43347)
                    : c <= 43388)))
                : (c <= 43456 || (c < 43520
                  ? (c < 43488
                    ? (c >= 43471 && c <= 43481)
                    : c <= 43518)
                  : (c <= 43574 || (c >= 43584 && c <= 43597)))))))))))))))
    : (c <= 43609 || (c < 71453
      ? (c < 67594
        ? (c < 65343
          ? (c < 64298
            ? (c < 43868
              ? (c < 43777
                ? (c < 43739
                  ? (c < 43642
                    ? (c >= 43616 && c <= 43638)
                    : c <= 43714)
                  : (c <= 43741 || (c < 43762
                    ? (c >= 43744 && c <= 43759)
                    : c <= 43766)))
                : (c <= 43782 || (c < 43808
                  ? (c < 43793
                    ? (c >= 43785 && c <= 43790)
                    : c <= 43798)
                  : (c <= 43814 || (c < 43824
                    ? (c >= 43816 && c <= 43822)
                    : c <= 43866)))))
              : (c <= 43881 || (c < 55243
                ? (c < 44016
                  ? (c < 44012
                    ? (c >= 43888 && c <= 44010)
                    : c <= 44013)
                  : (c <= 44025 || (c < 55216
                    ? (c >= 44032 && c <= 55203)
                    : c <= 55238)))
                : (c <= 55291 || (c < 64256
                  ? (c < 64112
                    ? (c >= 63744 && c <= 64109)
                    : c <= 64217)
                  : (c <= 64262 || (c < 64285
                    ? (c >= 64275 && c <= 64279)
                    : c <= 64296)))))))
            : (c <= 64310 || (c < 65056
              ? (c < 64467
                ? (c < 64320
                  ? (c < 64318
                    ? (c >= 64312 && c <= 64316)
                    : c <= 64318)
                  : (c <= 64321 || (c < 64326
                    ? (c >= 64323 && c <= 64324)
                    : c <= 64433)))
                : (c <= 64605 || (c < 64914
                  ? (c < 64848
                    ? (c >= 64612 && c <= 64829)
                    : c <= 64911)
                  : (c <= 64967 || (c < 65024
                    ? (c >= 65008 && c <= 65017)
                    : c <= 65039)))))
              : (c <= 65071 || (c < 65145
                ? (c < 65137
                  ? (c < 65101
                    ? (c >= 65075 && c <= 65076)
                    : c <= 65103)
                  : (c <= 65137 || (c < 65143
                    ? c == 65139
                    : c <= 65143)))
                : (c <= 65145 || (c < 65151
                  ? (c < 65149
                    ? c == 65147
                    : c <= 65149)
                  : (c <= 65276 || (c < 65313
                    ? (c >= 65296 && c <= 65305)
                    : c <= 65338)))))))))
          : (c <= 65343 || (c < 66504
            ? (c < 65616
              ? (c < 65498
                ? (c < 65474
                  ? (c < 65382
                    ? (c >= 65345 && c <= 65370)
                    : c <= 65470)
                  : (c <= 65479 || (c < 65490
                    ? (c >= 65482 && c <= 65487)
                    : c <= 65495)))
                : (c <= 65500 || (c < 65576
                  ? (c < 65549
                    ? (c >= 65536 && c <= 65547)
                    : c <= 65574)
                  : (c <= 65594 || (c < 65599
                    ? (c >= 65596 && c <= 65597)
                    : c <= 65613)))))
              : (c <= 65629 || (c < 66272
                ? (c < 66045
                  ? (c < 65856
                    ? (c >= 65664 && c <= 65786)
                    : c <= 65908)
                  : (c <= 66045 || (c < 66208
                    ? (c >= 66176 && c <= 66204)
                    : c <= 66256)))
                : (c <= 66272 || (c < 66384
                  ? (c < 66349
                    ? (c >= 66304 && c <= 66335)
                    : c <= 66378)
                  : (c <= 66426 || (c < 66464
                    ? (c >= 66432 && c <= 66461)
                    : c <= 66499)))))))
            : (c <= 66511 || (c < 66967
              ? (c < 66816
                ? (c < 66720
                  ? (c < 66560
                    ? (c >= 66513 && c <= 66517)
                    : c <= 66717)
                  : (c <= 66729 || (c < 66776
                    ? (c >= 66736 && c <= 66771)
                    : c <= 66811)))
                : (c <= 66855 || (c < 66940
                  ? (c < 66928
                    ? (c >= 66864 && c <= 66915)
                    : c <= 66938)
                  : (c <= 66954 || (c < 66964
                    ? (c >= 66956 && c <= 66962)
                    : c <= 66965)))))
              : (c <= 66977 || (c < 67424
                ? (c < 67003
                  ? (c < 66995
                    ? (c >= 66979 && c <= 66993)
                    : c <= 67001)
                  : (c <= 67004 || (c < 67392
                    ? (c >= 67072 && c <= 67382)
                    : c <= 67413)))
                : (c <= 67431 || (c < 67506
                  ? (c < 67463
                    ? (c >= 67456 && c <= 67461)
                    : c <= 67504)
                  : (c <= 67514 || (c < 67592
                    ? (c >= 67584 && c <= 67589)
                    : c <= 67592)))))))))))
        : (c <= 67637 || (c < 69942
          ? (c < 68416
            ? (c < 68096
              ? (c < 67808
                ? (c < 67647
                  ? (c < 67644
                    ? (c >= 67639 && c <= 67640)
                    : c <= 67644)
                  : (c <= 67669 || (c < 67712
                    ? (c >= 67680 && c <= 67702)
                    : c <= 67742)))
                : (c <= 67826 || (c < 67872
                  ? (c < 67840
                    ? (c >= 67828 && c <= 67829)
                    : c <= 67861)
                  : (c <= 67897 || (c < 68030
                    ? (c >= 67968 && c <= 68023)
                    : c <= 68031)))))
              : (c <= 68099 || (c < 68159
                ? (c < 68117
                  ? (c < 68108
                    ? (c >= 68101 && c <= 68102)
                    : c <= 68115)
                  : (c <= 68119 || (c < 68152
                    ? (c >= 68121 && c <= 68149)
                    : c <= 68154)))
                : (c <= 68159 || (c < 68288
                  ? (c < 68224
                    ? (c >= 68192 && c <= 68220)
                    : c <= 68252)
                  : (c <= 68295 || (c < 68352
                    ? (c >= 68297 && c <= 68326)
                    : c <= 68405)))))))
            : (c <= 68437 || (c < 69415
              ? (c < 68864
                ? (c < 68608
                  ? (c < 68480
                    ? (c >= 68448 && c <= 68466)
                    : c <= 68497)
                  : (c <= 68680 || (c < 68800
                    ? (c >= 68736 && c <= 68786)
                    : c <= 68850)))
                : (c <= 68903 || (c < 69291
                  ? (c < 69248
                    ? (c >= 68912 && c <= 68921)
                    : c <= 69289)
                  : (c <= 69292 || (c < 69376
                    ? (c >= 69296 && c <= 69297)
                    : c <= 69404)))))
              : (c <= 69415 || (c < 69734
                ? (c < 69552
                  ? (c < 69488
                    ? (c >= 69424 && c <= 69456)
                    : c <= 69509)
                  : (c <= 69572 || (c < 69632
                    ? (c >= 69600 && c <= 69622)
                    : c <= 69702)))
                : (c <= 69749 || (c < 69840
                  ? (c < 69826
                    ? (c >= 69759 && c <= 69818)
                    : c <= 69826)
                  : (c <= 69864 || (c < 69888
                    ? (c >= 69872 && c <= 69881)
                    : c <= 69940)))))))))
          : (c <= 69951 || (c < 70453
            ? (c < 70280
              ? (c < 70094
                ? (c < 70006
                  ? (c < 69968
                    ? (c >= 69956 && c <= 69959)
                    : c <= 70003)
                  : (c <= 70006 || (c < 70089
                    ? (c >= 70016 && c <= 70084)
                    : c <= 70092)))
                : (c <= 70106 || (c < 70163
                  ? (c < 70144
                    ? c == 70108
                    : c <= 70161)
                  : (c <= 70199 || (c < 70272
                    ? c == 70206
                    : c <= 70278)))))
              : (c <= 70280 || (c < 70400
                ? (c < 70303
                  ? (c < 70287
                    ? (c >= 70282 && c <= 70285)
                    : c <= 70301)
                  : (c <= 70312 || (c < 70384
                    ? (c >= 70320 && c <= 70378)
                    : c <= 70393)))
                : (c <= 70403 || (c < 70419
                  ? (c < 70415
                    ? (c >= 70405 && c <= 70412)
                    : c <= 70416)
                  : (c <= 70440 || (c < 70450
                    ? (c >= 70442 && c <= 70448)
                    : c <= 70451)))))))
            : (c <= 70457 || (c < 70784
              ? (c < 70493
                ? (c < 70475
                  ? (c < 70471
                    ? (c >= 70459 && c <= 70468)
                    : c <= 70472)
                  : (c <= 70477 || (c < 70487
                    ? c == 70480
                    : c <= 70487)))
                : (c <= 70499 || (c < 70656
                  ? (c < 70512
                    ? (c >= 70502 && c <= 70508)
                    : c <= 70516)
                  : (c <= 70730 || (c < 70750
                    ? (c >= 70736 && c <= 70745)
                    : c <= 70753)))))
              : (c <= 70853 || (c < 71168
                ? (c < 71040
                  ? (c < 70864
                    ? c == 70855
                    : c <= 70873)
                  : (c <= 71093 || (c < 71128
                    ? (c >= 71096 && c <= 71104)
                    : c <= 71133)))
                : (c <= 71232 || (c < 71296
                  ? (c < 71248
                    ? c == 71236
                    : c <= 71257)
                  : (c <= 71352 || (c < 71424
                    ? (c >= 71360 && c <= 71369)
                    : c <= 71450)))))))))))))
      : (c <= 71467 || (c < 119973
        ? (c < 77824
          ? (c < 72760
            ? (c < 72016
              ? (c < 71945
                ? (c < 71680
                  ? (c < 71488
                    ? (c >= 71472 && c <= 71481)
                    : c <= 71494)
                  : (c <= 71738 || (c < 71935
                    ? (c >= 71840 && c <= 71913)
                    : c <= 71942)))
                : (c <= 71945 || (c < 71960
                  ? (c < 71957
                    ? (c >= 71948 && c <= 71955)
                    : c <= 71958)
                  : (c <= 71989 || (c < 71995
                    ? (c >= 71991 && c <= 71992)
                    : c <= 72003)))))
              : (c <= 72025 || (c < 72263
                ? (c < 72154
                  ? (c < 72106
                    ? (c >= 72096 && c <= 72103)
                    : c <= 72151)
                  : (c <= 72161 || (c < 72192
                    ? (c >= 72163 && c <= 72164)
                    : c <= 72254)))
                : (c <= 72263 || (c < 72368
                  ? (c < 72349
                    ? (c >= 72272 && c <= 72345)
                    : c <= 72349)
                  : (c <= 72440 || (c < 72714
                    ? (c >= 72704 && c <= 72712)
                    : c <= 72758)))))))
            : (c <= 72768 || (c < 73056
              ? (c < 72968
                ? (c < 72850
                  ? (c < 72818
                    ? (c >= 72784 && c <= 72793)
                    : c <= 72847)
                  : (c <= 72871 || (c < 72960
                    ? (c >= 72873 && c <= 72886)
                    : c <= 72966)))
                : (c <= 72969 || (c < 73020
                  ? (c < 73018
                    ? (c >= 72971 && c <= 73014)
                    : c <= 73018)
                  : (c <= 73021 || (c < 73040
                    ? (c >= 73023 && c <= 73031)
                    : c <= 73049)))))
              : (c <= 73061 || (c < 73440
                ? (c < 73104
                  ? (c < 73066
                    ? (c >= 73063 && c <= 73064)
                    : c <= 73102)
                  : (c <= 73105 || (c < 73120
                    ? (c >= 73107 && c <= 73112)
                    : c <= 73129)))
                : (c <= 73462 || (c < 74752
                  ? (c < 73728
                    ? c == 73648
                    : c <= 74649)
                  : (c <= 74862 || (c < 77712
                    ? (c >= 74880 && c <= 75075)
                    : c <= 77808)))))))))
          : (c <= 78894 || (c < 110576
            ? (c < 93027
              ? (c < 92864
                ? (c < 92736
                  ? (c < 92160
                    ? (c >= 82944 && c <= 83526)
                    : c <= 92728)
                  : (c <= 92766 || (c < 92784
                    ? (c >= 92768 && c <= 92777)
                    : c <= 92862)))
                : (c <= 92873 || (c < 92928
                  ? (c < 92912
                    ? (c >= 92880 && c <= 92909)
                    : c <= 92916)
                  : (c <= 92982 || (c < 93008
                    ? (c >= 92992 && c <= 92995)
                    : c <= 93017)))))
              : (c <= 93047 || (c < 94176
                ? (c < 93952
                  ? (c < 93760
                    ? (c >= 93053 && c <= 93071)
                    : c <= 93823)
                  : (c <= 94026 || (c < 94095
                    ? (c >= 94031 && c <= 94087)
                    : c <= 94111)))
                : (c <= 94177 || (c < 94208
                  ? (c < 94192
                    ? (c >= 94179 && c <= 94180)
                    : c <= 94193)
                  : (c <= 100343 || (c < 101632
                    ? (c >= 100352 && c <= 101589)
                    : c <= 101640)))))))
            : (c <= 110579 || (c < 118528
              ? (c < 110960
                ? (c < 110592
                  ? (c < 110589
                    ? (c >= 110581 && c <= 110587)
                    : c <= 110590)
                  : (c <= 110882 || (c < 110948
                    ? (c >= 110928 && c <= 110930)
                    : c <= 110951)))
                : (c <= 111355 || (c < 113792
                  ? (c < 113776
                    ? (c >= 113664 && c <= 113770)
                    : c <= 113788)
                  : (c <= 113800 || (c < 113821
                    ? (c >= 113808 && c <= 113817)
                    : c <= 113822)))))
              : (c <= 118573 || (c < 119210
                ? (c < 119149
                  ? (c < 119141
                    ? (c >= 118576 && c <= 118598)
                    : c <= 119145)
                  : (c <= 119154 || (c < 119173
                    ? (c >= 119163 && c <= 119170)
                    : c <= 119179)))
                : (c <= 119213 || (c < 119894
                  ? (c < 119808
                    ? (c >= 119362 && c <= 119364)
                    : c <= 119892)
                  : (c <= 119964 || (c < 119970
                    ? (c >= 119966 && c <= 119967)
                    : c <= 119970)))))))))))
        : (c <= 119974 || (c < 124912
          ? (c < 120746
            ? (c < 120134
              ? (c < 120071
                ? (c < 119995
                  ? (c < 119982
                    ? (c >= 119977 && c <= 119980)
                    : c <= 119993)
                  : (c <= 119995 || (c < 120005
                    ? (c >= 119997 && c <= 120003)
                    : c <= 120069)))
                : (c <= 120074 || (c < 120094
                  ? (c < 120086
                    ? (c >= 120077 && c <= 120084)
                    : c <= 120092)
                  : (c <= 120121 || (c < 120128
                    ? (c >= 120123 && c <= 120126)
                    : c <= 120132)))))
              : (c <= 120134 || (c < 120572
                ? (c < 120488
                  ? (c < 120146
                    ? (c >= 120138 && c <= 120144)
                    : c <= 120485)
                  : (c <= 120512 || (c < 120540
                    ? (c >= 120514 && c <= 120538)
                    : c <= 120570)))
                : (c <= 120596 || (c < 120656
                  ? (c < 120630
                    ? (c >= 120598 && c <= 120628)
                    : c <= 120654)
                  : (c <= 120686 || (c < 120714
                    ? (c >= 120688 && c <= 120712)
                    : c <= 120744)))))))
            : (c <= 120770 || (c < 122907
              ? (c < 121476
                ? (c < 121344
                  ? (c < 120782
                    ? (c >= 120772 && c <= 120779)
                    : c <= 120831)
                  : (c <= 121398 || (c < 121461
                    ? (c >= 121403 && c <= 121452)
                    : c <= 121461)))
                : (c <= 121476 || (c < 122624
                  ? (c < 121505
                    ? (c >= 121499 && c <= 121503)
                    : c <= 121519)
                  : (c <= 122654 || (c < 122888
                    ? (c >= 122880 && c <= 122886)
                    : c <= 122904)))))
              : (c <= 122913 || (c < 123214
                ? (c < 123136
                  ? (c < 122918
                    ? (c >= 122915 && c <= 122916)
                    : c <= 122922)
                  : (c <= 123180 || (c < 123200
                    ? (c >= 123184 && c <= 123197)
                    : c <= 123209)))
                : (c <= 123214 || (c < 124896
                  ? (c < 123584
                    ? (c >= 123536 && c <= 123566)
                    : c <= 123641)
                  : (c <= 124902 || (c < 124909
                    ? (c >= 124904 && c <= 124907)
                    : c <= 124910)))))))))
          : (c <= 124926 || (c < 126557
            ? (c < 126521
              ? (c < 126469
                ? (c < 125184
                  ? (c < 125136
                    ? (c >= 124928 && c <= 125124)
                    : c <= 125142)
                  : (c <= 125259 || (c < 126464
                    ? (c >= 125264 && c <= 125273)
                    : c <= 126467)))
                : (c <= 126495 || (c < 126503
                  ? (c < 126500
                    ? (c >= 126497 && c <= 126498)
                    : c <= 126500)
                  : (c <= 126503 || (c < 126516
                    ? (c >= 126505 && c <= 126514)
                    : c <= 126519)))))
              : (c <= 126521 || (c < 126541
                ? (c < 126535
                  ? (c < 126530
                    ? c == 126523
                    : c <= 126530)
                  : (c <= 126535 || (c < 126539
                    ? c == 126537
                    : c <= 126539)))
                : (c <= 126543 || (c < 126551
                  ? (c < 126548
                    ? (c >= 126545 && c <= 126546)
                    : c <= 126548)
                  : (c <= 126551 || (c < 126555
                    ? c == 126553
                    : c <= 126555)))))))
            : (c <= 126557 || (c < 126629
              ? (c < 126580
                ? (c < 126564
                  ? (c < 126561
                    ? c == 126559
                    : c <= 126562)
                  : (c <= 126564 || (c < 126572
                    ? (c >= 126567 && c <= 126570)
                    : c <= 126578)))
                : (c <= 126583 || (c < 126592
                  ? (c < 126590
                    ? (c >= 126585 && c <= 126588)
                    : c <= 126590)
                  : (c <= 126601 || (c < 126625
                    ? (c >= 126603 && c <= 126619)
                    : c <= 126627)))))
              : (c <= 126633 || (c < 178208
                ? (c < 131072
                  ? (c < 130032
                    ? (c >= 126635 && c <= 126651)
                    : c <= 130041)
                  : (c <= 173791 || (c < 177984
                    ? (c >= 173824 && c <= 177976)
                    : c <= 178205)))
                : (c <= 183969 || (c < 196608
                  ? (c < 194560
                    ? (c >= 183984 && c <= 191456)
                    : c <= 195101)
                  : (c <= 201546 || (c >= 917760 && c <= 917999)))))))))))))))));
}

static inline bool sym_identifier_character_set_39(int32_t c) {
  return (c < 43600
    ? (c < 3776
      ? (c < 2738
        ? (c < 1984
          ? (c < 910
            ? (c < 216
              ? (c < 'u'
                ? (c < 'A'
                  ? (c < '0'
                    ? c == '$'
                    : c <= '9')
                  : (c <= 'Z' || (c < 'a'
                    ? c == '_'
                    : c <= 's')))
                : (c <= 'z' || (c < 183
                  ? (c < 181
                    ? c == 170
                    : c <= 181)
                  : (c <= 183 || (c < 192
                    ? c == 186
                    : c <= 214)))))
              : (c <= 246 || (c < 768
                ? (c < 736
                  ? (c < 710
                    ? (c >= 248 && c <= 705)
                    : c <= 721)
                  : (c <= 740 || (c < 750
                    ? c == 748
                    : c <= 750)))
                : (c <= 884 || (c < 895
                  ? (c < 891
                    ? (c >= 886 && c <= 887)
                    : c <= 893)
                  : (c <= 895 || (c < 908
                    ? (c >= 902 && c <= 906)
                    : c <= 908)))))))
            : (c <= 929 || (c < 1479
              ? (c < 1369
                ? (c < 1155
                  ? (c < 1015
                    ? (c >= 931 && c <= 1013)
                    : c <= 1153)
                  : (c <= 1159 || (c < 1329
                    ? (c >= 1162 && c <= 1327)
                    : c <= 1366)))
                : (c <= 1369 || (c < 1471
                  ? (c < 1425
                    ? (c >= 1376 && c <= 1416)
                    : c <= 1469)
                  : (c <= 1471 || (c < 1476
                    ? (c >= 1473 && c <= 1474)
                    : c <= 1477)))))
              : (c <= 1479 || (c < 1749
                ? (c < 1552
                  ? (c < 1519
                    ? (c >= 1488 && c <= 1514)
                    : c <= 1522)
                  : (c <= 1562 || (c < 1646
                    ? (c >= 1568 && c <= 1641)
                    : c <= 1747)))
                : (c <= 1756 || (c < 1791
                  ? (c < 1770
                    ? (c >= 1759 && c <= 1768)
                    : c <= 1788)
                  : (c <= 1791 || (c < 1869
                    ? (c >= 1808 && c <= 1866)
                    : c <= 1969)))))))))
          : (c <= 2037 || (c < 2534
            ? (c < 2437
              ? (c < 2160
                ? (c < 2048
                  ? (c < 2045
                    ? c == 2042
                    : c <= 2045)
                  : (c <= 2093 || (c < 2144
                    ? (c >= 2112 && c <= 2139)
                    : c <= 2154)))
                : (c <= 2183 || (c < 2275
                  ? (c < 2200
                    ? (c >= 2185 && c <= 2190)
                    : c <= 2273)
                  : (c <= 2403 || (c < 2417
                    ? (c >= 2406 && c <= 2415)
                    : c <= 2435)))))
              : (c <= 2444 || (c < 2492
                ? (c < 2474
                  ? (c < 2451
                    ? (c >= 2447 && c <= 2448)
                    : c <= 2472)
                  : (c <= 2480 || (c < 2486
                    ? c == 2482
                    : c <= 2489)))
                : (c <= 2500 || (c < 2519
                  ? (c < 2507
                    ? (c >= 2503 && c <= 2504)
                    : c <= 2510)
                  : (c <= 2519 || (c < 2527
                    ? (c >= 2524 && c <= 2525)
                    : c <= 2531)))))))
            : (c <= 2545 || (c < 2622
              ? (c < 2579
                ? (c < 2561
                  ? (c < 2558
                    ? c == 2556
                    : c <= 2558)
                  : (c <= 2563 || (c < 2575
                    ? (c >= 2565 && c <= 2570)
                    : c <= 2576)))
                : (c <= 2600 || (c < 2613
                  ? (c < 2610
                    ? (c >= 2602 && c <= 2608)
                    : c <= 2611)
                  : (c <= 2614 || (c < 2620
                    ? (c >= 2616 && c <= 2617)
                    : c <= 2620)))))
              : (c <= 2626 || (c < 2662
                ? (c < 2641
                  ? (c < 2635
                    ? (c >= 2631 && c <= 2632)
                    : c <= 2637)
                  : (c <= 2641 || (c < 2654
                    ? (c >= 2649 && c <= 2652)
                    : c <= 2654)))
                : (c <= 2677 || (c < 2703
                  ? (c < 2693
                    ? (c >= 2689 && c <= 2691)
                    : c <= 2701)
                  : (c <= 2705 || (c < 2730
                    ? (c >= 2707 && c <= 2728)
                    : c <= 2736)))))))))))
        : (c <= 2739 || (c < 3160
          ? (c < 2946
            ? (c < 2835
              ? (c < 2784
                ? (c < 2759
                  ? (c < 2748
                    ? (c >= 2741 && c <= 2745)
                    : c <= 2757)
                  : (c <= 2761 || (c < 2768
                    ? (c >= 2763 && c <= 2765)
                    : c <= 2768)))
                : (c <= 2787 || (c < 2817
                  ? (c < 2809
                    ? (c >= 2790 && c <= 2799)
                    : c <= 2815)
                  : (c <= 2819 || (c < 2831
                    ? (c >= 2821 && c <= 2828)
                    : c <= 2832)))))
              : (c <= 2856 || (c < 2891
                ? (c < 2869
                  ? (c < 2866
                    ? (c >= 2858 && c <= 2864)
                    : c <= 2867)
                  : (c <= 2873 || (c < 2887
                    ? (c >= 2876 && c <= 2884)
                    : c <= 2888)))
                : (c <= 2893 || (c < 2911
                  ? (c < 2908
                    ? (c >= 2901 && c <= 2903)
                    : c <= 2909)
                  : (c <= 2915 || (c < 2929
                    ? (c >= 2918 && c <= 2927)
                    : c <= 2929)))))))
            : (c <= 2947 || (c < 3018
              ? (c < 2974
                ? (c < 2962
                  ? (c < 2958
                    ? (c >= 2949 && c <= 2954)
                    : c <= 2960)
                  : (c <= 2965 || (c < 2972
                    ? (c >= 2969 && c <= 2970)
                    : c <= 2972)))
                : (c <= 2975 || (c < 2990
                  ? (c < 2984
                    ? (c >= 2979 && c <= 2980)
                    : c <= 2986)
                  : (c <= 3001 || (c < 3014
                    ? (c >= 3006 && c <= 3010)
                    : c <= 3016)))))
              : (c <= 3021 || (c < 3090
                ? (c < 3046
                  ? (c < 3031
                    ? c == 3024
                    : c <= 3031)
                  : (c <= 3055 || (c < 3086
                    ? (c >= 3072 && c <= 3084)
                    : c <= 3088)))
                : (c <= 3112 || (c < 3142
                  ? (c < 3132
                    ? (c >= 3114 && c <= 3129)
                    : c <= 3140)
                  : (c <= 3144 || (c < 3157
                    ? (c >= 3146 && c <= 3149)
                    : c <= 3158)))))))))
          : (c <= 3162 || (c < 3423
            ? (c < 3274
              ? (c < 3214
                ? (c < 3174
                  ? (c < 3168
                    ? c == 3165
                    : c <= 3171)
                  : (c <= 3183 || (c < 3205
                    ? (c >= 3200 && c <= 3203)
                    : c <= 3212)))
                : (c <= 3216 || (c < 3253
                  ? (c < 3242
                    ? (c >= 3218 && c <= 3240)
                    : c <= 3251)
                  : (c <= 3257 || (c < 3270
                    ? (c >= 3260 && c <= 3268)
                    : c <= 3272)))))
              : (c <= 3277 || (c < 3328
                ? (c < 3296
                  ? (c < 3293
                    ? (c >= 3285 && c <= 3286)
                    : c <= 3294)
                  : (c <= 3299 || (c < 3313
                    ? (c >= 3302 && c <= 3311)
                    : c <= 3314)))
                : (c <= 3340 || (c < 3398
                  ? (c < 3346
                    ? (c >= 3342 && c <= 3344)
                    : c <= 3396)
                  : (c <= 3400 || (c < 3412
                    ? (c >= 3402 && c <= 3406)
                    : c <= 3415)))))))
            : (c <= 3427 || (c < 3544
              ? (c < 3507
                ? (c < 3457
                  ? (c < 3450
                    ? (c >= 3430 && c <= 3439)
                    : c <= 3455)
                  : (c <= 3459 || (c < 3482
                    ? (c >= 3461 && c <= 3478)
                    : c <= 3505)))
                : (c <= 3515 || (c < 3530
                  ? (c < 3520
                    ? c == 3517
                    : c <= 3526)
                  : (c <= 3530 || (c < 3542
                    ? (c >= 3535 && c <= 3540)
                    : c <= 3542)))))
              : (c <= 3551 || (c < 3713
                ? (c < 3585
                  ? (c < 3570
                    ? (c >= 3558 && c <= 3567)
                    : c <= 3571)
                  : (c <= 3642 || (c < 3664
                    ? (c >= 3648 && c <= 3662)
                    : c <= 3673)))
                : (c <= 3714 || (c < 3724
                  ? (c < 3718
                    ? c == 3716
                    : c <= 3722)
                  : (c <= 3747 || (c < 3751
                    ? c == 3749
                    : c <= 3773)))))))))))))
      : (c <= 3780 || (c < 8016
        ? (c < 5870
          ? (c < 4682
            ? (c < 3913
              ? (c < 3864
                ? (c < 3792
                  ? (c < 3784
                    ? c == 3782
                    : c <= 3789)
                  : (c <= 3801 || (c < 3840
                    ? (c >= 3804 && c <= 3807)
                    : c <= 3840)))
                : (c <= 3865 || (c < 3895
                  ? (c < 3893
                    ? (c >= 3872 && c <= 3881)
                    : c <= 3893)
                  : (c <= 3895 || (c < 3902
                    ? c == 3897
                    : c <= 3911)))))
              : (c <= 3948 || (c < 4176
                ? (c < 3993
                  ? (c < 3974
                    ? (c >= 3953 && c <= 3972)
                    : c <= 3991)
                  : (c <= 4028 || (c < 4096
                    ? c == 4038
                    : c <= 4169)))
                : (c <= 4253 || (c < 4301
                  ? (c < 4295
                    ? (c >= 4256 && c <= 4293)
                    : c <= 4295)
                  : (c <= 4301 || (c < 4348
                    ? (c >= 4304 && c <= 4346)
                    : c <= 4680)))))))
            : (c <= 4685 || (c < 4824
              ? (c < 4752
                ? (c < 4698
                  ? (c < 4696
                    ? (c >= 4688 && c <= 4694)
                    : c <= 4696)
                  : (c <= 4701 || (c < 4746
                    ? (c >= 4704 && c <= 4744)
                    : c <= 4749)))
                : (c <= 4784 || (c < 4800
                  ? (c < 4792
                    ? (c >= 4786 && c <= 4789)
                    : c <= 4798)
                  : (c <= 4800 || (c < 4808
                    ? (c >= 4802 && c <= 4805)
                    : c <= 4822)))))
              : (c <= 4880 || (c < 5024
                ? (c < 4957
                  ? (c < 4888
                    ? (c >= 4882 && c <= 4885)
                    : c <= 4954)
                  : (c <= 4959 || (c < 4992
                    ? (c >= 4969 && c <= 4977)
                    : c <= 5007)))
                : (c <= 5109 || (c < 5743
                  ? (c < 5121
                    ? (c >= 5112 && c <= 5117)
                    : c <= 5740)
                  : (c <= 5759 || (c < 5792
                    ? (c >= 5761 && c <= 5786)
                    : c <= 5866)))))))))
          : (c <= 5880 || (c < 6656
            ? (c < 6159
              ? (c < 6002
                ? (c < 5952
                  ? (c < 5919
                    ? (c >= 5888 && c <= 5909)
                    : c <= 5940)
                  : (c <= 5971 || (c < 5998
                    ? (c >= 5984 && c <= 5996)
                    : c <= 6000)))
                : (c <= 6003 || (c < 6108
                  ? (c < 6103
                    ? (c >= 6016 && c <= 6099)
                    : c <= 6103)
                  : (c <= 6109 || (c < 6155
                    ? (c >= 6112 && c <= 6121)
                    : c <= 6157)))))
              : (c <= 6169 || (c < 6448
                ? (c < 6320
                  ? (c < 6272
                    ? (c >= 6176 && c <= 6264)
                    : c <= 6314)
                  : (c <= 6389 || (c < 6432
                    ? (c >= 6400 && c <= 6430)
                    : c <= 6443)))
                : (c <= 6459 || (c < 6528
                  ? (c < 6512
                    ? (c >= 6470 && c <= 6509)
                    : c <= 6516)
                  : (c <= 6571 || (c < 6608
                    ? (c >= 6576 && c <= 6601)
                    : c <= 6618)))))))
            : (c <= 6683 || (c < 7168
              ? (c < 6832
                ? (c < 6783
                  ? (c < 6752
                    ? (c >= 6688 && c <= 6750)
                    : c <= 6780)
                  : (c <= 6793 || (c < 6823
                    ? (c >= 6800 && c <= 6809)
                    : c <= 6823)))
                : (c <= 6845 || (c < 6992
                  ? (c < 6912
                    ? (c >= 6847 && c <= 6862)
                    : c <= 6988)
                  : (c <= 7001 || (c < 7040
                    ? (c >= 7019 && c <= 7027)
                    : c <= 7155)))))
              : (c <= 7223 || (c < 7376
                ? (c < 7296
                  ? (c < 7245
                    ? (c >= 7232 && c <= 7241)
                    : c <= 7293)
                  : (c <= 7304 || (c < 7357
                    ? (c >= 7312 && c <= 7354)
                    : c <= 7359)))
                : (c <= 7378 || (c < 7960
                  ? (c < 7424
                    ? (c >= 7380 && c <= 7418)
                    : c <= 7957)
                  : (c <= 7965 || (c < 8008
                    ? (c >= 7968 && c <= 8005)
                    : c <= 8013)))))))))))
        : (c <= 8023 || (c < 11712
          ? (c < 8455
            ? (c < 8160
              ? (c < 8118
                ? (c < 8029
                  ? (c < 8027
                    ? c == 8025
                    : c <= 8027)
                  : (c <= 8029 || (c < 8064
                    ? (c >= 8031 && c <= 8061)
                    : c <= 8116)))
                : (c <= 8124 || (c < 8134
                  ? (c < 8130
                    ? c == 8126
                    : c <= 8132)
                  : (c <= 8140 || (c < 8150
                    ? (c >= 8144 && c <= 8147)
                    : c <= 8155)))))
              : (c <= 8172 || (c < 8319
                ? (c < 8255
                  ? (c < 8182
                    ? (c >= 8178 && c <= 8180)
                    : c <= 8188)
                  : (c <= 8256 || (c < 8305
                    ? c == 8276
                    : c <= 8305)))
                : (c <= 8319 || (c < 8417
                  ? (c < 8400
                    ? (c >= 8336 && c <= 8348)
                    : c <= 8412)
                  : (c <= 8417 || (c < 8450
                    ? (c >= 8421 && c <= 8432)
                    : c <= 8450)))))))
            : (c <= 8455 || (c < 11264
              ? (c < 8488
                ? (c < 8472
                  ? (c < 8469
                    ? (c >= 8458 && c <= 8467)
                    : c <= 8469)
                  : (c <= 8477 || (c < 8486
                    ? c == 8484
                    : c <= 8486)))
                : (c <= 8488 || (c < 8517
                  ? (c < 8508
                    ? (c >= 8490 && c <= 8505)
                    : c <= 8511)
                  : (c <= 8521 || (c < 8544
                    ? c == 8526
                    : c <= 8584)))))
              : (c <= 11492 || (c < 11631
                ? (c < 11559
                  ? (c < 11520
                    ? (c >= 11499 && c <= 11507)
                    : c <= 11557)
                  : (c <= 11559 || (c < 11568
                    ? c == 11565
                    : c <= 11623)))
                : (c <= 11631 || (c < 11688
                  ? (c < 11680
                    ? (c >= 11647 && c <= 11670)
                    : c <= 11686)
                  : (c <= 11694 || (c < 11704
                    ? (c >= 11696 && c <= 11702)
                    : c <= 11710)))))))))
          : (c <= 11718 || (c < 42612
            ? (c < 12449
              ? (c < 12321
                ? (c < 11736
                  ? (c < 11728
                    ? (c >= 11720 && c <= 11726)
                    : c <= 11734)
                  : (c <= 11742 || (c < 12293
                    ? (c >= 11744 && c <= 11775)
                    : c <= 12295)))
                : (c <= 12335 || (c < 12353
                  ? (c < 12344
                    ? (c >= 12337 && c <= 12341)
                    : c <= 12348)
                  : (c <= 12438 || (c < 12445
                    ? (c >= 12441 && c <= 12442)
                    : c <= 12447)))))
              : (c <= 12538 || (c < 13312
                ? (c < 12593
                  ? (c < 12549
                    ? (c >= 12540 && c <= 12543)
                    : c <= 12591)
                  : (c <= 12686 || (c < 12784
                    ? (c >= 12704 && c <= 12735)
                    : c <= 12799)))
                : (c <= 19903 || (c < 42240
                  ? (c < 42192
                    ? (c >= 19968 && c <= 42124)
                    : c <= 42237)
                  : (c <= 42508 || (c < 42560
                    ? (c >= 42512 && c <= 42539)
                    : c <= 42607)))))))
            : (c <= 42621 || (c < 43216
              ? (c < 42963
                ? (c < 42786
                  ? (c < 42775
                    ? (c >= 42623 && c <= 42737)
                    : c <= 42783)
                  : (c <= 42888 || (c < 42960
                    ? (c >= 42891 && c <= 42954)
                    : c <= 42961)))
                : (c <= 42963 || (c < 43052
                  ? (c < 42994
                    ? (c >= 42965 && c <= 42969)
                    : c <= 43047)
                  : (c <= 43052 || (c < 43136
                    ? (c >= 43072 && c <= 43123)
                    : c <= 43205)))))
              : (c <= 43225 || (c < 43392
                ? (c < 43261
                  ? (c < 43259
                    ? (c >= 43232 && c <= 43255)
                    : c <= 43259)
                  : (c <= 43309 || (c < 43360
                    ? (c >= 43312 && c <= 43347)
                    : c <= 43388)))
                : (c <= 43456 || (c < 43520
                  ? (c < 43488
                    ? (c >= 43471 && c <= 43481)
                    : c <= 43518)
                  : (c <= 43574 || (c >= 43584 && c <= 43597)))))))))))))))
    : (c <= 43609 || (c < 71453
      ? (c < 67594
        ? (c < 65343
          ? (c < 64298
            ? (c < 43868
              ? (c < 43777
                ? (c < 43739
                  ? (c < 43642
                    ? (c >= 43616 && c <= 43638)
                    : c <= 43714)
                  : (c <= 43741 || (c < 43762
                    ? (c >= 43744 && c <= 43759)
                    : c <= 43766)))
                : (c <= 43782 || (c < 43808
                  ? (c < 43793
                    ? (c >= 43785 && c <= 43790)
                    : c <= 43798)
                  : (c <= 43814 || (c < 43824
                    ? (c >= 43816 && c <= 43822)
                    : c <= 43866)))))
              : (c <= 43881 || (c < 55243
                ? (c < 44016
                  ? (c < 44012
                    ? (c >= 43888 && c <= 44010)
                    : c <= 44013)
                  : (c <= 44025 || (c < 55216
                    ? (c >= 44032 && c <= 55203)
                    : c <= 55238)))
                : (c <= 55291 || (c < 64256
                  ? (c < 64112
                    ? (c >= 63744 && c <= 64109)
                    : c <= 64217)
                  : (c <= 64262 || (c < 64285
                    ? (c >= 64275 && c <= 64279)
                    : c <= 64296)))))))
            : (c <= 64310 || (c < 65056
              ? (c < 64467
                ? (c < 64320
                  ? (c < 64318
                    ? (c >= 64312 && c <= 64316)
                    : c <= 64318)
                  : (c <= 64321 || (c < 64326
                    ? (c >= 64323 && c <= 64324)
                    : c <= 64433)))
                : (c <= 64605 || (c < 64914
                  ? (c < 64848
                    ? (c >= 64612 && c <= 64829)
                    : c <= 64911)
                  : (c <= 64967 || (c < 65024
                    ? (c >= 65008 && c <= 65017)
                    : c <= 65039)))))
              : (c <= 65071 || (c < 65145
                ? (c < 65137
                  ? (c < 65101
                    ? (c >= 65075 && c <= 65076)
                    : c <= 65103)
                  : (c <= 65137 || (c < 65143
                    ? c == 65139
                    : c <= 65143)))
                : (c <= 65145 || (c < 65151
                  ? (c < 65149
                    ? c == 65147
                    : c <= 65149)
                  : (c <= 65276 || (c < 65313
                    ? (c >= 65296 && c <= 65305)
                    : c <= 65338)))))))))
          : (c <= 65343 || (c < 66504
            ? (c < 65616
              ? (c < 65498
                ? (c < 65474
                  ? (c < 65382
                    ? (c >= 65345 && c <= 65370)
                    : c <= 65470)
                  : (c <= 65479 || (c < 65490
                    ? (c >= 65482 && c <= 65487)
                    : c <= 65495)))
                : (c <= 65500 || (c < 65576
                  ? (c < 65549
                    ? (c >= 65536 && c <= 65547)
                    : c <= 65574)
                  : (c <= 65594 || (c < 65599
                    ? (c >= 65596 && c <= 65597)
                    : c <= 65613)))))
              : (c <= 65629 || (c < 66272
                ? (c < 66045
                  ? (c < 65856
                    ? (c >= 65664 && c <= 65786)
                    : c <= 65908)
                  : (c <= 66045 || (c < 66208
                    ? (c >= 66176 && c <= 66204)
                    : c <= 66256)))
                : (c <= 66272 || (c < 66384
                  ? (c < 66349
                    ? (c >= 66304 && c <= 66335)
                    : c <= 66378)
                  : (c <= 66426 || (c < 66464
                    ? (c >= 66432 && c <= 66461)
                    : c <= 66499)))))))
            : (c <= 66511 || (c < 66967
              ? (c < 66816
                ? (c < 66720
                  ? (c < 66560
                    ? (c >= 66513 && c <= 66517)
                    : c <= 66717)
                  : (c <= 66729 || (c < 66776
                    ? (c >= 66736 && c <= 66771)
                    : c <= 66811)))
                : (c <= 66855 || (c < 66940
                  ? (c < 66928
                    ? (c >= 66864 && c <= 66915)
                    : c <= 66938)
                  : (c <= 66954 || (c < 66964
                    ? (c >= 66956 && c <= 66962)
                    : c <= 66965)))))
              : (c <= 66977 || (c < 67424
                ? (c < 67003
                  ? (c < 66995
                    ? (c >= 66979 && c <= 66993)
                    : c <= 67001)
                  : (c <= 67004 || (c < 67392
                    ? (c >= 67072 && c <= 67382)
                    : c <= 67413)))
                : (c <= 67431 || (c < 67506
                  ? (c < 67463
                    ? (c >= 67456 && c <= 67461)
                    : c <= 67504)
                  : (c <= 67514 || (c < 67592
                    ? (c >= 67584 && c <= 67589)
                    : c <= 67592)))))))))))
        : (c <= 67637 || (c < 69942
          ? (c < 68416
            ? (c < 68096
              ? (c < 67808
                ? (c < 67647
                  ? (c < 67644
                    ? (c >= 67639 && c <= 67640)
                    : c <= 67644)
                  : (c <= 67669 || (c < 67712
                    ? (c >= 67680 && c <= 67702)
                    : c <= 67742)))
                : (c <= 67826 || (c < 67872
                  ? (c < 67840
                    ? (c >= 67828 && c <= 67829)
                    : c <= 67861)
                  : (c <= 67897 || (c < 68030
                    ? (c >= 67968 && c <= 68023)
                    : c <= 68031)))))
              : (c <= 68099 || (c < 68159
                ? (c < 68117
                  ? (c < 68108
                    ? (c >= 68101 && c <= 68102)
                    : c <= 68115)
                  : (c <= 68119 || (c < 68152
                    ? (c >= 68121 && c <= 68149)
                    : c <= 68154)))
                : (c <= 68159 || (c < 68288
                  ? (c < 68224
                    ? (c >= 68192 && c <= 68220)
                    : c <= 68252)
                  : (c <= 68295 || (c < 68352
                    ? (c >= 68297 && c <= 68326)
                    : c <= 68405)))))))
            : (c <= 68437 || (c < 69415
              ? (c < 68864
                ? (c < 68608
                  ? (c < 68480
                    ? (c >= 68448 && c <= 68466)
                    : c <= 68497)
                  : (c <= 68680 || (c < 68800
                    ? (c >= 68736 && c <= 68786)
                    : c <= 68850)))
                : (c <= 68903 || (c < 69291
                  ? (c < 69248
                    ? (c >= 68912 && c <= 68921)
                    : c <= 69289)
                  : (c <= 69292 || (c < 69376
                    ? (c >= 69296 && c <= 69297)
                    : c <= 69404)))))
              : (c <= 69415 || (c < 69734
                ? (c < 69552
                  ? (c < 69488
                    ? (c >= 69424 && c <= 69456)
                    : c <= 69509)
                  : (c <= 69572 || (c < 69632
                    ? (c >= 69600 && c <= 69622)
                    : c <= 69702)))
                : (c <= 69749 || (c < 69840
                  ? (c < 69826
                    ? (c >= 69759 && c <= 69818)
                    : c <= 69826)
                  : (c <= 69864 || (c < 69888
                    ? (c >= 69872 && c <= 69881)
                    : c <= 69940)))))))))
          : (c <= 69951 || (c < 70453
            ? (c < 70280
              ? (c < 70094
                ? (c < 70006
                  ? (c < 69968
                    ? (c >= 69956 && c <= 69959)
                    : c <= 70003)
                  : (c <= 70006 || (c < 70089
                    ? (c >= 70016 && c <= 70084)
                    : c <= 70092)))
                : (c <= 70106 || (c < 70163
                  ? (c < 70144
                    ? c == 70108
                    : c <= 70161)
                  : (c <= 70199 || (c < 70272
                    ? c == 70206
                    : c <= 70278)))))
              : (c <= 70280 || (c < 70400
                ? (c < 70303
                  ? (c < 70287
                    ? (c >= 70282 && c <= 70285)
                    : c <= 70301)
                  : (c <= 70312 || (c < 70384
                    ? (c >= 70320 && c <= 70378)
                    : c <= 70393)))
                : (c <= 70403 || (c < 70419
                  ? (c < 70415
                    ? (c >= 70405 && c <= 70412)
                    : c <= 70416)
                  : (c <= 70440 || (c < 70450
                    ? (c >= 70442 && c <= 70448)
                    : c <= 70451)))))))
            : (c <= 70457 || (c < 70784
              ? (c < 70493
                ? (c < 70475
                  ? (c < 70471
                    ? (c >= 70459 && c <= 70468)
                    : c <= 70472)
                  : (c <= 70477 || (c < 70487
                    ? c == 70480
                    : c <= 70487)))
                : (c <= 70499 || (c < 70656
                  ? (c < 70512
                    ? (c >= 70502 && c <= 70508)
                    : c <= 70516)
                  : (c <= 70730 || (c < 70750
                    ? (c >= 70736 && c <= 70745)
                    : c <= 70753)))))
              : (c <= 70853 || (c < 71168
                ? (c < 71040
                  ? (c < 70864
                    ? c == 70855
                    : c <= 70873)
                  : (c <= 71093 || (c < 71128
                    ? (c >= 71096 && c <= 71104)
                    : c <= 71133)))
                : (c <= 71232 || (c < 71296
                  ? (c < 71248
                    ? c == 71236
                    : c <= 71257)
                  : (c <= 71352 || (c < 71424
                    ? (c >= 71360 && c <= 71369)
                    : c <= 71450)))))))))))))
      : (c <= 71467 || (c < 119973
        ? (c < 77824
          ? (c < 72760
            ? (c < 72016
              ? (c < 71945
                ? (c < 71680
                  ? (c < 71488
                    ? (c >= 71472 && c <= 71481)
                    : c <= 71494)
                  : (c <= 71738 || (c < 71935
                    ? (c >= 71840 && c <= 71913)
                    : c <= 71942)))
                : (c <= 71945 || (c < 71960
                  ? (c < 71957
                    ? (c >= 71948 && c <= 71955)
                    : c <= 71958)
                  : (c <= 71989 || (c < 71995
                    ? (c >= 71991 && c <= 71992)
                    : c <= 72003)))))
              : (c <= 72025 || (c < 72263
                ? (c < 72154
                  ? (c < 72106
                    ? (c >= 72096 && c <= 72103)
                    : c <= 72151)
                  : (c <= 72161 || (c < 72192
                    ? (c >= 72163 && c <= 72164)
                    : c <= 72254)))
                : (c <= 72263 || (c < 72368
                  ? (c < 72349
                    ? (c >= 72272 && c <= 72345)
                    : c <= 72349)
                  : (c <= 72440 || (c < 72714
                    ? (c >= 72704 && c <= 72712)
                    : c <= 72758)))))))
            : (c <= 72768 || (c < 73056
              ? (c < 72968
                ? (c < 72850
                  ? (c < 72818
                    ? (c >= 72784 && c <= 72793)
                    : c <= 72847)
                  : (c <= 72871 || (c < 72960
                    ? (c >= 72873 && c <= 72886)
                    : c <= 72966)))
                : (c <= 72969 || (c < 73020
                  ? (c < 73018
                    ? (c >= 72971 && c <= 73014)
                    : c <= 73018)
                  : (c <= 73021 || (c < 73040
                    ? (c >= 73023 && c <= 73031)
                    : c <= 73049)))))
              : (c <= 73061 || (c < 73440
                ? (c < 73104
                  ? (c < 73066
                    ? (c >= 73063 && c <= 73064)
                    : c <= 73102)
                  : (c <= 73105 || (c < 73120
                    ? (c >= 73107 && c <= 73112)
                    : c <= 73129)))
                : (c <= 73462 || (c < 74752
                  ? (c < 73728
                    ? c == 73648
                    : c <= 74649)
                  : (c <= 74862 || (c < 77712
                    ? (c >= 74880 && c <= 75075)
                    : c <= 77808)))))))))
          : (c <= 78894 || (c < 110576
            ? (c < 93027
              ? (c < 92864
                ? (c < 92736
                  ? (c < 92160
                    ? (c >= 82944 && c <= 83526)
                    : c <= 92728)
                  : (c <= 92766 || (c < 92784
                    ? (c >= 92768 && c <= 92777)
                    : c <= 92862)))
                : (c <= 92873 || (c < 92928
                  ? (c < 92912
                    ? (c >= 92880 && c <= 92909)
                    : c <= 92916)
                  : (c <= 92982 || (c < 93008
                    ? (c >= 92992 && c <= 92995)
                    : c <= 93017)))))
              : (c <= 93047 || (c < 94176
                ? (c < 93952
                  ? (c < 93760
                    ? (c >= 93053 && c <= 93071)
                    : c <= 93823)
                  : (c <= 94026 || (c < 94095
                    ? (c >= 94031 && c <= 94087)
                    : c <= 94111)))
                : (c <= 94177 || (c < 94208
                  ? (c < 94192
                    ? (c >= 94179 && c <= 94180)
                    : c <= 94193)
                  : (c <= 100343 || (c < 101632
                    ? (c >= 100352 && c <= 101589)
                    : c <= 101640)))))))
            : (c <= 110579 || (c < 118528
              ? (c < 110960
                ? (c < 110592
                  ? (c < 110589
                    ? (c >= 110581 && c <= 110587)
                    : c <= 110590)
                  : (c <= 110882 || (c < 110948
                    ? (c >= 110928 && c <= 110930)
                    : c <= 110951)))
                : (c <= 111355 || (c < 113792
                  ? (c < 113776
                    ? (c >= 113664 && c <= 113770)
                    : c <= 113788)
                  : (c <= 113800 || (c < 113821
                    ? (c >= 113808 && c <= 113817)
                    : c <= 113822)))))
              : (c <= 118573 || (c < 119210
                ? (c < 119149
                  ? (c < 119141
                    ? (c >= 118576 && c <= 118598)
                    : c <= 119145)
                  : (c <= 119154 || (c < 119173
                    ? (c >= 119163 && c <= 119170)
                    : c <= 119179)))
                : (c <= 119213 || (c < 119894
                  ? (c < 119808
                    ? (c >= 119362 && c <= 119364)
                    : c <= 119892)
                  : (c <= 119964 || (c < 119970
                    ? (c >= 119966 && c <= 119967)
                    : c <= 119970)))))))))))
        : (c <= 119974 || (c < 124912
          ? (c < 120746
            ? (c < 120134
              ? (c < 120071
                ? (c < 119995
                  ? (c < 119982
                    ? (c >= 119977 && c <= 119980)
                    : c <= 119993)
                  : (c <= 119995 || (c < 120005
                    ? (c >= 119997 && c <= 120003)
                    : c <= 120069)))
                : (c <= 120074 || (c < 120094
                  ? (c < 120086
                    ? (c >= 120077 && c <= 120084)
                    : c <= 120092)
                  : (c <= 120121 || (c < 120128
                    ? (c >= 120123 && c <= 120126)
                    : c <= 120132)))))
              : (c <= 120134 || (c < 120572
                ? (c < 120488
                  ? (c < 120146
                    ? (c >= 120138 && c <= 120144)
                    : c <= 120485)
                  : (c <= 120512 || (c < 120540
                    ? (c >= 120514 && c <= 120538)
                    : c <= 120570)))
                : (c <= 120596 || (c < 120656
                  ? (c < 120630
                    ? (c >= 120598 && c <= 120628)
                    : c <= 120654)
                  : (c <= 120686 || (c < 120714
                    ? (c >= 120688 && c <= 120712)
                    : c <= 120744)))))))
            : (c <= 120770 || (c < 122907
              ? (c < 121476
                ? (c < 121344
                  ? (c < 120782
                    ? (c >= 120772 && c <= 120779)
                    : c <= 120831)
                  : (c <= 121398 || (c < 121461
                    ? (c >= 121403 && c <= 121452)
                    : c <= 121461)))
                : (c <= 121476 || (c < 122624
                  ? (c < 121505
                    ? (c >= 121499 && c <= 121503)
                    : c <= 121519)
                  : (c <= 122654 || (c < 122888
                    ? (c >= 122880 && c <= 122886)
                    : c <= 122904)))))
              : (c <= 122913 || (c < 123214
                ? (c < 123136
                  ? (c < 122918
                    ? (c >= 122915 && c <= 122916)
                    : c <= 122922)
                  : (c <= 123180 || (c < 123200
                    ? (c >= 123184 && c <= 123197)
                    : c <= 123209)))
                : (c <= 123214 || (c < 124896
                  ? (c < 123584
                    ? (c >= 123536 && c <= 123566)
                    : c <= 123641)
                  : (c <= 124902 || (c < 124909
                    ? (c >= 124904 && c <= 124907)
                    : c <= 124910)))))))))
          : (c <= 124926 || (c < 126557
            ? (c < 126521
              ? (c < 126469
                ? (c < 125184
                  ? (c < 125136
                    ? (c >= 124928 && c <= 125124)
                    : c <= 125142)
                  : (c <= 125259 || (c < 126464
                    ? (c >= 125264 && c <= 125273)
                    : c <= 126467)))
                : (c <= 126495 || (c < 126503
                  ? (c < 126500
                    ? (c >= 126497 && c <= 126498)
                    : c <= 126500)
                  : (c <= 126503 || (c < 126516
                    ? (c >= 126505 && c <= 126514)
                    : c <= 126519)))))
              : (c <= 126521 || (c < 126541
                ? (c < 126535
                  ? (c < 126530
                    ? c == 126523
                    : c <= 126530)
                  : (c <= 126535 || (c < 126539
                    ? c == 126537
                    : c <= 126539)))
                : (c <= 126543 || (c < 126551
                  ? (c < 126548
                    ? (c >= 126545 && c <= 126546)
                    : c <= 126548)
                  : (c <= 126551 || (c < 126555
                    ? c == 126553
                    : c <= 126555)))))))
            : (c <= 126557 || (c < 126629
              ? (c < 126580
                ? (c < 126564
                  ? (c < 126561
                    ? c == 126559
                    : c <= 126562)
                  : (c <= 126564 || (c < 126572
                    ? (c >= 126567 && c <= 126570)
                    : c <= 126578)))
                : (c <= 126583 || (c < 126592
                  ? (c < 126590
                    ? (c >= 126585 && c <= 126588)
                    : c <= 126590)
                  : (c <= 126601 || (c < 126625
                    ? (c >= 126603 && c <= 126619)
                    : c <= 126627)))))
              : (c <= 126633 || (c < 178208
                ? (c < 131072
                  ? (c < 130032
                    ? (c >= 126635 && c <= 126651)
                    : c <= 130041)
                  : (c <= 173791 || (c < 177984
                    ? (c >= 173824 && c <= 177976)
                    : c <= 178205)))
                : (c <= 183969 || (c < 196608
                  ? (c < 194560
                    ? (c >= 183984 && c <= 191456)
                    : c <= 195101)
                  : (c <= 201546 || (c >= 917760 && c <= 917999)))))))))))))))));
}

static inline bool sym_identifier_character_set_40(int32_t c) {
  return (c < 43600
    ? (c < 3776
      ? (c < 2738
        ? (c < 1984
          ? (c < 910
            ? (c < 216
              ? (c < 'v'
                ? (c < 'A'
                  ? (c < '0'
                    ? c == '$'
                    : c <= '9')
                  : (c <= 'Z' || (c < 'a'
                    ? c == '_'
                    : c <= 't')))
                : (c <= 'z' || (c < 183
                  ? (c < 181
                    ? c == 170
                    : c <= 181)
                  : (c <= 183 || (c < 192
                    ? c == 186
                    : c <= 214)))))
              : (c <= 246 || (c < 768
                ? (c < 736
                  ? (c < 710
                    ? (c >= 248 && c <= 705)
                    : c <= 721)
                  : (c <= 740 || (c < 750
                    ? c == 748
                    : c <= 750)))
                : (c <= 884 || (c < 895
                  ? (c < 891
                    ? (c >= 886 && c <= 887)
                    : c <= 893)
                  : (c <= 895 || (c < 908
                    ? (c >= 902 && c <= 906)
                    : c <= 908)))))))
            : (c <= 929 || (c < 1479
              ? (c < 1369
                ? (c < 1155
                  ? (c < 1015
                    ? (c >= 931 && c <= 1013)
                    : c <= 1153)
                  : (c <= 1159 || (c < 1329
                    ? (c >= 1162 && c <= 1327)
                    : c <= 1366)))
                : (c <= 1369 || (c < 1471
                  ? (c < 1425
                    ? (c >= 1376 && c <= 1416)
                    : c <= 1469)
                  : (c <= 1471 || (c < 1476
                    ? (c >= 1473 && c <= 1474)
                    : c <= 1477)))))
              : (c <= 1479 || (c < 1749
                ? (c < 1552
                  ? (c < 1519
                    ? (c >= 1488 && c <= 1514)
                    : c <= 1522)
                  : (c <= 1562 || (c < 1646
                    ? (c >= 1568 && c <= 1641)
                    : c <= 1747)))
                : (c <= 1756 || (c < 1791
                  ? (c < 1770
                    ? (c >= 1759 && c <= 1768)
                    : c <= 1788)
                  : (c <= 1791 || (c < 1869
                    ? (c >= 1808 && c <= 1866)
                    : c <= 1969)))))))))
          : (c <= 2037 || (c < 2534
            ? (c < 2437
              ? (c < 2160
                ? (c < 2048
                  ? (c < 2045
                    ? c == 2042
                    : c <= 2045)
                  : (c <= 2093 || (c < 2144
                    ? (c >= 2112 && c <= 2139)
                    : c <= 2154)))
                : (c <= 2183 || (c < 2275
                  ? (c < 2200
                    ? (c >= 2185 && c <= 2190)
                    : c <= 2273)
                  : (c <= 2403 || (c < 2417
                    ? (c >= 2406 && c <= 2415)
                    : c <= 2435)))))
              : (c <= 2444 || (c < 2492
                ? (c < 2474
                  ? (c < 2451
                    ? (c >= 2447 && c <= 2448)
                    : c <= 2472)
                  : (c <= 2480 || (c < 2486
                    ? c == 2482
                    : c <= 2489)))
                : (c <= 2500 || (c < 2519
                  ? (c < 2507
                    ? (c >= 2503 && c <= 2504)
                    : c <= 2510)
                  : (c <= 2519 || (c < 2527
                    ? (c >= 2524 && c <= 2525)
                    : c <= 2531)))))))
            : (c <= 2545 || (c < 2622
              ? (c < 2579
                ? (c < 2561
                  ? (c < 2558
                    ? c == 2556
                    : c <= 2558)
                  : (c <= 2563 || (c < 2575
                    ? (c >= 2565 && c <= 2570)
                    : c <= 2576)))
                : (c <= 2600 || (c < 2613
                  ? (c < 2610
                    ? (c >= 2602 && c <= 2608)
                    : c <= 2611)
                  : (c <= 2614 || (c < 2620
                    ? (c >= 2616 && c <= 2617)
                    : c <= 2620)))))
              : (c <= 2626 || (c < 2662
                ? (c < 2641
                  ? (c < 2635
                    ? (c >= 2631 && c <= 2632)
                    : c <= 2637)
                  : (c <= 2641 || (c < 2654
                    ? (c >= 2649 && c <= 2652)
                    : c <= 2654)))
                : (c <= 2677 || (c < 2703
                  ? (c < 2693
                    ? (c >= 2689 && c <= 2691)
                    : c <= 2701)
                  : (c <= 2705 || (c < 2730
                    ? (c >= 2707 && c <= 2728)
                    : c <= 2736)))))))))))
        : (c <= 2739 || (c < 3160
          ? (c < 2946
            ? (c < 2835
              ? (c < 2784
                ? (c < 2759
                  ? (c < 2748
                    ? (c >= 2741 && c <= 2745)
                    : c <= 2757)
                  : (c <= 2761 || (c < 2768
                    ? (c >= 2763 && c <= 2765)
                    : c <= 2768)))
                : (c <= 2787 || (c < 2817
                  ? (c < 2809
                    ? (c >= 2790 && c <= 2799)
                    : c <= 2815)
                  : (c <= 2819 || (c < 2831
                    ? (c >= 2821 && c <= 2828)
                    : c <= 2832)))))
              : (c <= 2856 || (c < 2891
                ? (c < 2869
                  ? (c < 2866
                    ? (c >= 2858 && c <= 2864)
                    : c <= 2867)
                  : (c <= 2873 || (c < 2887
                    ? (c >= 2876 && c <= 2884)
                    : c <= 2888)))
                : (c <= 2893 || (c < 2911
                  ? (c < 2908
                    ? (c >= 2901 && c <= 2903)
                    : c <= 2909)
                  : (c <= 2915 || (c < 2929
                    ? (c >= 2918 && c <= 2927)
                    : c <= 2929)))))))
            : (c <= 2947 || (c < 3018
              ? (c < 2974
                ? (c < 2962
                  ? (c < 2958
                    ? (c >= 2949 && c <= 2954)
                    : c <= 2960)
                  : (c <= 2965 || (c < 2972
                    ? (c >= 2969 && c <= 2970)
                    : c <= 2972)))
                : (c <= 2975 || (c < 2990
                  ? (c < 2984
                    ? (c >= 2979 && c <= 2980)
                    : c <= 2986)
                  : (c <= 3001 || (c < 3014
                    ? (c >= 3006 && c <= 3010)
                    : c <= 3016)))))
              : (c <= 3021 || (c < 3090
                ? (c < 3046
                  ? (c < 3031
                    ? c == 3024
                    : c <= 3031)
                  : (c <= 3055 || (c < 3086
                    ? (c >= 3072 && c <= 3084)
                    : c <= 3088)))
                : (c <= 3112 || (c < 3142
                  ? (c < 3132
                    ? (c >= 3114 && c <= 3129)
                    : c <= 3140)
                  : (c <= 3144 || (c < 3157
                    ? (c >= 3146 && c <= 3149)
                    : c <= 3158)))))))))
          : (c <= 3162 || (c < 3423
            ? (c < 3274
              ? (c < 3214
                ? (c < 3174
                  ? (c < 3168
                    ? c == 3165
                    : c <= 3171)
                  : (c <= 3183 || (c < 3205
                    ? (c >= 3200 && c <= 3203)
                    : c <= 3212)))
                : (c <= 3216 || (c < 3253
                  ? (c < 3242
                    ? (c >= 3218 && c <= 3240)
                    : c <= 3251)
                  : (c <= 3257 || (c < 3270
                    ? (c >= 3260 && c <= 3268)
                    : c <= 3272)))))
              : (c <= 3277 || (c < 3328
                ? (c < 3296
                  ? (c < 3293
                    ? (c >= 3285 && c <= 3286)
                    : c <= 3294)
                  : (c <= 3299 || (c < 3313
                    ? (c >= 3302 && c <= 3311)
                    : c <= 3314)))
                : (c <= 3340 || (c < 3398
                  ? (c < 3346
                    ? (c >= 3342 && c <= 3344)
                    : c <= 3396)
                  : (c <= 3400 || (c < 3412
                    ? (c >= 3402 && c <= 3406)
                    : c <= 3415)))))))
            : (c <= 3427 || (c < 3544
              ? (c < 3507
                ? (c < 3457
                  ? (c < 3450
                    ? (c >= 3430 && c <= 3439)
                    : c <= 3455)
                  : (c <= 3459 || (c < 3482
                    ? (c >= 3461 && c <= 3478)
                    : c <= 3505)))
                : (c <= 3515 || (c < 3530
                  ? (c < 3520
                    ? c == 3517
                    : c <= 3526)
                  : (c <= 3530 || (c < 3542
                    ? (c >= 3535 && c <= 3540)
                    : c <= 3542)))))
              : (c <= 3551 || (c < 3713
                ? (c < 3585
                  ? (c < 3570
                    ? (c >= 3558 && c <= 3567)
                    : c <= 3571)
                  : (c <= 3642 || (c < 3664
                    ? (c >= 3648 && c <= 3662)
                    : c <= 3673)))
                : (c <= 3714 || (c < 3724
                  ? (c < 3718
                    ? c == 3716
                    : c <= 3722)
                  : (c <= 3747 || (c < 3751
                    ? c == 3749
                    : c <= 3773)))))))))))))
      : (c <= 3780 || (c < 8016
        ? (c < 5870
          ? (c < 4682
            ? (c < 3913
              ? (c < 3864
                ? (c < 3792
                  ? (c < 3784
                    ? c == 3782
                    : c <= 3789)
                  : (c <= 3801 || (c < 3840
                    ? (c >= 3804 && c <= 3807)
                    : c <= 3840)))
                : (c <= 3865 || (c < 3895
                  ? (c < 3893
                    ? (c >= 3872 && c <= 3881)
                    : c <= 3893)
                  : (c <= 3895 || (c < 3902
                    ? c == 3897
                    : c <= 3911)))))
              : (c <= 3948 || (c < 4176
                ? (c < 3993
                  ? (c < 3974
                    ? (c >= 3953 && c <= 3972)
                    : c <= 3991)
                  : (c <= 4028 || (c < 4096
                    ? c == 4038
                    : c <= 4169)))
                : (c <= 4253 || (c < 4301
                  ? (c < 4295
                    ? (c >= 4256 && c <= 4293)
                    : c <= 4295)
                  : (c <= 4301 || (c < 4348
                    ? (c >= 4304 && c <= 4346)
                    : c <= 4680)))))))
            : (c <= 4685 || (c < 4824
              ? (c < 4752
                ? (c < 4698
                  ? (c < 4696
                    ? (c >= 4688 && c <= 4694)
                    : c <= 4696)
                  : (c <= 4701 || (c < 4746
                    ? (c >= 4704 && c <= 4744)
                    : c <= 4749)))
                : (c <= 4784 || (c < 4800
                  ? (c < 4792
                    ? (c >= 4786 && c <= 4789)
                    : c <= 4798)
                  : (c <= 4800 || (c < 4808
                    ? (c >= 4802 && c <= 4805)
                    : c <= 4822)))))
              : (c <= 4880 || (c < 5024
                ? (c < 4957
                  ? (c < 4888
                    ? (c >= 4882 && c <= 4885)
                    : c <= 4954)
                  : (c <= 4959 || (c < 4992
                    ? (c >= 4969 && c <= 4977)
                    : c <= 5007)))
                : (c <= 5109 || (c < 5743
                  ? (c < 5121
                    ? (c >= 5112 && c <= 5117)
                    : c <= 5740)
                  : (c <= 5759 || (c < 5792
                    ? (c >= 5761 && c <= 5786)
                    : c <= 5866)))))))))
          : (c <= 5880 || (c < 6656
            ? (c < 6159
              ? (c < 6002
                ? (c < 5952
                  ? (c < 5919
                    ? (c >= 5888 && c <= 5909)
                    : c <= 5940)
                  : (c <= 5971 || (c < 5998
                    ? (c >= 5984 && c <= 5996)
                    : c <= 6000)))
                : (c <= 6003 || (c < 6108
                  ? (c < 6103
                    ? (c >= 6016 && c <= 6099)
                    : c <= 6103)
                  : (c <= 6109 || (c < 6155
                    ? (c >= 6112 && c <= 6121)
                    : c <= 6157)))))
              : (c <= 6169 || (c < 6448
                ? (c < 6320
                  ? (c < 6272
                    ? (c >= 6176 && c <= 6264)
                    : c <= 6314)
                  : (c <= 6389 || (c < 6432
                    ? (c >= 6400 && c <= 6430)
                    : c <= 6443)))
                : (c <= 6459 || (c < 6528
                  ? (c < 6512
                    ? (c >= 6470 && c <= 6509)
                    : c <= 6516)
                  : (c <= 6571 || (c < 6608
                    ? (c >= 6576 && c <= 6601)
                    : c <= 6618)))))))
            : (c <= 6683 || (c < 7168
              ? (c < 6832
                ? (c < 6783
                  ? (c < 6752
                    ? (c >= 6688 && c <= 6750)
                    : c <= 6780)
                  : (c <= 6793 || (c < 6823
                    ? (c >= 6800 && c <= 6809)
                    : c <= 6823)))
                : (c <= 6845 || (c < 6992
                  ? (c < 6912
                    ? (c >= 6847 && c <= 6862)
                    : c <= 6988)
                  : (c <= 7001 || (c < 7040
                    ? (c >= 7019 && c <= 7027)
                    : c <= 7155)))))
              : (c <= 7223 || (c < 7376
                ? (c < 7296
                  ? (c < 7245
                    ? (c >= 7232 && c <= 7241)
                    : c <= 7293)
                  : (c <= 7304 || (c < 7357
                    ? (c >= 7312 && c <= 7354)
                    : c <= 7359)))
                : (c <= 7378 || (c < 7960
                  ? (c < 7424
                    ? (c >= 7380 && c <= 7418)
                    : c <= 7957)
                  : (c <= 7965 || (c < 8008
                    ? (c >= 7968 && c <= 8005)
                    : c <= 8013)))))))))))
        : (c <= 8023 || (c < 11712
          ? (c < 8455
            ? (c < 8160
              ? (c < 8118
                ? (c < 8029
                  ? (c < 8027
                    ? c == 8025
                    : c <= 8027)
                  : (c <= 8029 || (c < 8064
                    ? (c >= 8031 && c <= 8061)
                    : c <= 8116)))
                : (c <= 8124 || (c < 8134
                  ? (c < 8130
                    ? c == 8126
                    : c <= 8132)
                  : (c <= 8140 || (c < 8150
                    ? (c >= 8144 && c <= 8147)
                    : c <= 8155)))))
              : (c <= 8172 || (c < 8319
                ? (c < 8255
                  ? (c < 8182
                    ? (c >= 8178 && c <= 8180)
                    : c <= 8188)
                  : (c <= 8256 || (c < 8305
                    ? c == 8276
                    : c <= 8305)))
                : (c <= 8319 || (c < 8417
                  ? (c < 8400
                    ? (c >= 8336 && c <= 8348)
                    : c <= 8412)
                  : (c <= 8417 || (c < 8450
                    ? (c >= 8421 && c <= 8432)
                    : c <= 8450)))))))
            : (c <= 8455 || (c < 11264
              ? (c < 8488
                ? (c < 8472
                  ? (c < 8469
                    ? (c >= 8458 && c <= 8467)
                    : c <= 8469)
                  : (c <= 8477 || (c < 8486
                    ? c == 8484
                    : c <= 8486)))
                : (c <= 8488 || (c < 8517
                  ? (c < 8508
                    ? (c >= 8490 && c <= 8505)
                    : c <= 8511)
                  : (c <= 8521 || (c < 8544
                    ? c == 8526
                    : c <= 8584)))))
              : (c <= 11492 || (c < 11631
                ? (c < 11559
                  ? (c < 11520
                    ? (c >= 11499 && c <= 11507)
                    : c <= 11557)
                  : (c <= 11559 || (c < 11568
                    ? c == 11565
                    : c <= 11623)))
                : (c <= 11631 || (c < 11688
                  ? (c < 11680
                    ? (c >= 11647 && c <= 11670)
                    : c <= 11686)
                  : (c <= 11694 || (c < 11704
                    ? (c >= 11696 && c <= 11702)
                    : c <= 11710)))))))))
          : (c <= 11718 || (c < 42612
            ? (c < 12449
              ? (c < 12321
                ? (c < 11736
                  ? (c < 11728
                    ? (c >= 11720 && c <= 11726)
                    : c <= 11734)
                  : (c <= 11742 || (c < 12293
                    ? (c >= 11744 && c <= 11775)
                    : c <= 12295)))
                : (c <= 12335 || (c < 12353
                  ? (c < 12344
                    ? (c >= 12337 && c <= 12341)
                    : c <= 12348)
                  : (c <= 12438 || (c < 12445
                    ? (c >= 12441 && c <= 12442)
                    : c <= 12447)))))
              : (c <= 12538 || (c < 13312
                ? (c < 12593
                  ? (c < 12549
                    ? (c >= 12540 && c <= 12543)
                    : c <= 12591)
                  : (c <= 12686 || (c < 12784
                    ? (c >= 12704 && c <= 12735)
                    : c <= 12799)))
                : (c <= 19903 || (c < 42240
                  ? (c < 42192
                    ? (c >= 19968 && c <= 42124)
                    : c <= 42237)
                  : (c <= 42508 || (c < 42560
                    ? (c >= 42512 && c <= 42539)
                    : c <= 42607)))))))
            : (c <= 42621 || (c < 43216
              ? (c < 42963
                ? (c < 42786
                  ? (c < 42775
                    ? (c >= 42623 && c <= 42737)
                    : c <= 42783)
                  : (c <= 42888 || (c < 42960
                    ? (c >= 42891 && c <= 42954)
                    : c <= 42961)))
                : (c <= 42963 || (c < 43052
                  ? (c < 42994
                    ? (c >= 42965 && c <= 42969)
                    : c <= 43047)
                  : (c <= 43052 || (c < 43136
                    ? (c >= 43072 && c <= 43123)
                    : c <= 43205)))))
              : (c <= 43225 || (c < 43392
                ? (c < 43261
                  ? (c < 43259
                    ? (c >= 43232 && c <= 43255)
                    : c <= 43259)
                  : (c <= 43309 || (c < 43360
                    ? (c >= 43312 && c <= 43347)
                    : c <= 43388)))
                : (c <= 43456 || (c < 43520
                  ? (c < 43488
                    ? (c >= 43471 && c <= 43481)
                    : c <= 43518)
                  : (c <= 43574 || (c >= 43584 && c <= 43597)))))))))))))))
    : (c <= 43609 || (c < 71453
      ? (c < 67594
        ? (c < 65343
          ? (c < 64298
            ? (c < 43868
              ? (c < 43777
                ? (c < 43739
                  ? (c < 43642
                    ? (c >= 43616 && c <= 43638)
                    : c <= 43714)
                  : (c <= 43741 || (c < 43762
                    ? (c >= 43744 && c <= 43759)
                    : c <= 43766)))
                : (c <= 43782 || (c < 43808
                  ? (c < 43793
                    ? (c >= 43785 && c <= 43790)
                    : c <= 43798)
                  : (c <= 43814 || (c < 43824
                    ? (c >= 43816 && c <= 43822)
                    : c <= 43866)))))
              : (c <= 43881 || (c < 55243
                ? (c < 44016
                  ? (c < 44012
                    ? (c >= 43888 && c <= 44010)
                    : c <= 44013)
                  : (c <= 44025 || (c < 55216
                    ? (c >= 44032 && c <= 55203)
                    : c <= 55238)))
                : (c <= 55291 || (c < 64256
                  ? (c < 64112
                    ? (c >= 63744 && c <= 64109)
                    : c <= 64217)
                  : (c <= 64262 || (c < 64285
                    ? (c >= 64275 && c <= 64279)
                    : c <= 64296)))))))
            : (c <= 64310 || (c < 65056
              ? (c < 64467
                ? (c < 64320
                  ? (c < 64318
                    ? (c >= 64312 && c <= 64316)
                    : c <= 64318)
                  : (c <= 64321 || (c < 64326
                    ? (c >= 64323 && c <= 64324)
                    : c <= 64433)))
                : (c <= 64605 || (c < 64914
                  ? (c < 64848
                    ? (c >= 64612 && c <= 64829)
                    : c <= 64911)
                  : (c <= 64967 || (c < 65024
                    ? (c >= 65008 && c <= 65017)
                    : c <= 65039)))))
              : (c <= 65071 || (c < 65145
                ? (c < 65137
                  ? (c < 65101
                    ? (c >= 65075 && c <= 65076)
                    : c <= 65103)
                  : (c <= 65137 || (c < 65143
                    ? c == 65139
                    : c <= 65143)))
                : (c <= 65145 || (c < 65151
                  ? (c < 65149
                    ? c == 65147
                    : c <= 65149)
                  : (c <= 65276 || (c < 65313
                    ? (c >= 65296 && c <= 65305)
                    : c <= 65338)))))))))
          : (c <= 65343 || (c < 66504
            ? (c < 65616
              ? (c < 65498
                ? (c < 65474
                  ? (c < 65382
                    ? (c >= 65345 && c <= 65370)
                    : c <= 65470)
                  : (c <= 65479 || (c < 65490
                    ? (c >= 65482 && c <= 65487)
                    : c <= 65495)))
                : (c <= 65500 || (c < 65576
                  ? (c < 65549
                    ? (c >= 65536 && c <= 65547)
                    : c <= 65574)
                  : (c <= 65594 || (c < 65599
                    ? (c >= 65596 && c <= 65597)
                    : c <= 65613)))))
              : (c <= 65629 || (c < 66272
                ? (c < 66045
                  ? (c < 65856
                    ? (c >= 65664 && c <= 65786)
                    : c <= 65908)
                  : (c <= 66045 || (c < 66208
                    ? (c >= 66176 && c <= 66204)
                    : c <= 66256)))
                : (c <= 66272 || (c < 66384
                  ? (c < 66349
                    ? (c >= 66304 && c <= 66335)
                    : c <= 66378)
                  : (c <= 66426 || (c < 66464
                    ? (c >= 66432 && c <= 66461)
                    : c <= 66499)))))))
            : (c <= 66511 || (c < 66967
              ? (c < 66816
                ? (c < 66720
                  ? (c < 66560
                    ? (c >= 66513 && c <= 66517)
                    : c <= 66717)
                  : (c <= 66729 || (c < 66776
                    ? (c >= 66736 && c <= 66771)
                    : c <= 66811)))
                : (c <= 66855 || (c < 66940
                  ? (c < 66928
                    ? (c >= 66864 && c <= 66915)
                    : c <= 66938)
                  : (c <= 66954 || (c < 66964
                    ? (c >= 66956 && c <= 66962)
                    : c <= 66965)))))
              : (c <= 66977 || (c < 67424
                ? (c < 67003
                  ? (c < 66995
                    ? (c >= 66979 && c <= 66993)
                    : c <= 67001)
                  : (c <= 67004 || (c < 67392
                    ? (c >= 67072 && c <= 67382)
                    : c <= 67413)))
                : (c <= 67431 || (c < 67506
                  ? (c < 67463
                    ? (c >= 67456 && c <= 67461)
                    : c <= 67504)
                  : (c <= 67514 || (c < 67592
                    ? (c >= 67584 && c <= 67589)
                    : c <= 67592)))))))))))
        : (c <= 67637 || (c < 69942
          ? (c < 68416
            ? (c < 68096
              ? (c < 67808
                ? (c < 67647
                  ? (c < 67644
                    ? (c >= 67639 && c <= 67640)
                    : c <= 67644)
                  : (c <= 67669 || (c < 67712
                    ? (c >= 67680 && c <= 67702)
                    : c <= 67742)))
                : (c <= 67826 || (c < 67872
                  ? (c < 67840
                    ? (c >= 67828 && c <= 67829)
                    : c <= 67861)
                  : (c <= 67897 || (c < 68030
                    ? (c >= 67968 && c <= 68023)
                    : c <= 68031)))))
              : (c <= 68099 || (c < 68159
                ? (c < 68117
                  ? (c < 68108
                    ? (c >= 68101 && c <= 68102)
                    : c <= 68115)
                  : (c <= 68119 || (c < 68152
                    ? (c >= 68121 && c <= 68149)
                    : c <= 68154)))
                : (c <= 68159 || (c < 68288
                  ? (c < 68224
                    ? (c >= 68192 && c <= 68220)
                    : c <= 68252)
                  : (c <= 68295 || (c < 68352
                    ? (c >= 68297 && c <= 68326)
                    : c <= 68405)))))))
            : (c <= 68437 || (c < 69415
              ? (c < 68864
                ? (c < 68608
                  ? (c < 68480
                    ? (c >= 68448 && c <= 68466)
                    : c <= 68497)
                  : (c <= 68680 || (c < 68800
                    ? (c >= 68736 && c <= 68786)
                    : c <= 68850)))
                : (c <= 68903 || (c < 69291
                  ? (c < 69248
                    ? (c >= 68912 && c <= 68921)
                    : c <= 69289)
                  : (c <= 69292 || (c < 69376
                    ? (c >= 69296 && c <= 69297)
                    : c <= 69404)))))
              : (c <= 69415 || (c < 69734
                ? (c < 69552
                  ? (c < 69488
                    ? (c >= 69424 && c <= 69456)
                    : c <= 69509)
                  : (c <= 69572 || (c < 69632
                    ? (c >= 69600 && c <= 69622)
                    : c <= 69702)))
                : (c <= 69749 || (c < 69840
                  ? (c < 69826
                    ? (c >= 69759 && c <= 69818)
                    : c <= 69826)
                  : (c <= 69864 || (c < 69888
                    ? (c >= 69872 && c <= 69881)
                    : c <= 69940)))))))))
          : (c <= 69951 || (c < 70453
            ? (c < 70280
              ? (c < 70094
                ? (c < 70006
                  ? (c < 69968
                    ? (c >= 69956 && c <= 69959)
                    : c <= 70003)
                  : (c <= 70006 || (c < 70089
                    ? (c >= 70016 && c <= 70084)
                    : c <= 70092)))
                : (c <= 70106 || (c < 70163
                  ? (c < 70144
                    ? c == 70108
                    : c <= 70161)
                  : (c <= 70199 || (c < 70272
                    ? c == 70206
                    : c <= 70278)))))
              : (c <= 70280 || (c < 70400
                ? (c < 70303
                  ? (c < 70287
                    ? (c >= 70282 && c <= 70285)
                    : c <= 70301)
                  : (c <= 70312 || (c < 70384
                    ? (c >= 70320 && c <= 70378)
                    : c <= 70393)))
                : (c <= 70403 || (c < 70419
                  ? (c < 70415
                    ? (c >= 70405 && c <= 70412)
                    : c <= 70416)
                  : (c <= 70440 || (c < 70450
                    ? (c >= 70442 && c <= 70448)
                    : c <= 70451)))))))
            : (c <= 70457 || (c < 70784
              ? (c < 70493
                ? (c < 70475
                  ? (c < 70471
                    ? (c >= 70459 && c <= 70468)
                    : c <= 70472)
                  : (c <= 70477 || (c < 70487
                    ? c == 70480
                    : c <= 70487)))
                : (c <= 70499 || (c < 70656
                  ? (c < 70512
                    ? (c >= 70502 && c <= 70508)
                    : c <= 70516)
                  : (c <= 70730 || (c < 70750
                    ? (c >= 70736 && c <= 70745)
                    : c <= 70753)))))
              : (c <= 70853 || (c < 71168
                ? (c < 71040
                  ? (c < 70864
                    ? c == 70855
                    : c <= 70873)
                  : (c <= 71093 || (c < 71128
                    ? (c >= 71096 && c <= 71104)
                    : c <= 71133)))
                : (c <= 71232 || (c < 71296
                  ? (c < 71248
                    ? c == 71236
                    : c <= 71257)
                  : (c <= 71352 || (c < 71424
                    ? (c >= 71360 && c <= 71369)
                    : c <= 71450)))))))))))))
      : (c <= 71467 || (c < 119973
        ? (c < 77824
          ? (c < 72760
            ? (c < 72016
              ? (c < 71945
                ? (c < 71680
                  ? (c < 71488
                    ? (c >= 71472 && c <= 71481)
                    : c <= 71494)
                  : (c <= 71738 || (c < 71935
                    ? (c >= 71840 && c <= 71913)
                    : c <= 71942)))
                : (c <= 71945 || (c < 71960
                  ? (c < 71957
                    ? (c >= 71948 && c <= 71955)
                    : c <= 71958)
                  : (c <= 71989 || (c < 71995
                    ? (c >= 71991 && c <= 71992)
                    : c <= 72003)))))
              : (c <= 72025 || (c < 72263
                ? (c < 72154
                  ? (c < 72106
                    ? (c >= 72096 && c <= 72103)
                    : c <= 72151)
                  : (c <= 72161 || (c < 72192
                    ? (c >= 72163 && c <= 72164)
                    : c <= 72254)))
                : (c <= 72263 || (c < 72368
                  ? (c < 72349
                    ? (c >= 72272 && c <= 72345)
                    : c <= 72349)
                  : (c <= 72440 || (c < 72714
                    ? (c >= 72704 && c <= 72712)
                    : c <= 72758)))))))
            : (c <= 72768 || (c < 73056
              ? (c < 72968
                ? (c < 72850
                  ? (c < 72818
                    ? (c >= 72784 && c <= 72793)
                    : c <= 72847)
                  : (c <= 72871 || (c < 72960
                    ? (c >= 72873 && c <= 72886)
                    : c <= 72966)))
                : (c <= 72969 || (c < 73020
                  ? (c < 73018
                    ? (c >= 72971 && c <= 73014)
                    : c <= 73018)
                  : (c <= 73021 || (c < 73040
                    ? (c >= 73023 && c <= 73031)
                    : c <= 73049)))))
              : (c <= 73061 || (c < 73440
                ? (c < 73104
                  ? (c < 73066
                    ? (c >= 73063 && c <= 73064)
                    : c <= 73102)
                  : (c <= 73105 || (c < 73120
                    ? (c >= 73107 && c <= 73112)
                    : c <= 73129)))
                : (c <= 73462 || (c < 74752
                  ? (c < 73728
                    ? c == 73648
                    : c <= 74649)
                  : (c <= 74862 || (c < 77712
                    ? (c >= 74880 && c <= 75075)
                    : c <= 77808)))))))))
          : (c <= 78894 || (c < 110576
            ? (c < 93027
              ? (c < 92864
                ? (c < 92736
                  ? (c < 92160
                    ? (c >= 82944 && c <= 83526)
                    : c <= 92728)
                  : (c <= 92766 || (c < 92784
                    ? (c >= 92768 && c <= 92777)
                    : c <= 92862)))
                : (c <= 92873 || (c < 92928
                  ? (c < 92912
                    ? (c >= 92880 && c <= 92909)
                    : c <= 92916)
                  : (c <= 92982 || (c < 93008
                    ? (c >= 92992 && c <= 92995)
                    : c <= 93017)))))
              : (c <= 93047 || (c < 94176
                ? (c < 93952
                  ? (c < 93760
                    ? (c >= 93053 && c <= 93071)
                    : c <= 93823)
                  : (c <= 94026 || (c < 94095
                    ? (c >= 94031 && c <= 94087)
                    : c <= 94111)))
                : (c <= 94177 || (c < 94208
                  ? (c < 94192
                    ? (c >= 94179 && c <= 94180)
                    : c <= 94193)
                  : (c <= 100343 || (c < 101632
                    ? (c >= 100352 && c <= 101589)
                    : c <= 101640)))))))
            : (c <= 110579 || (c < 118528
              ? (c < 110960
                ? (c < 110592
                  ? (c < 110589
                    ? (c >= 110581 && c <= 110587)
                    : c <= 110590)
                  : (c <= 110882 || (c < 110948
                    ? (c >= 110928 && c <= 110930)
                    : c <= 110951)))
                : (c <= 111355 || (c < 113792
                  ? (c < 113776
                    ? (c >= 113664 && c <= 113770)
                    : c <= 113788)
                  : (c <= 113800 || (c < 113821
                    ? (c >= 113808 && c <= 113817)
                    : c <= 113822)))))
              : (c <= 118573 || (c < 119210
                ? (c < 119149
                  ? (c < 119141
                    ? (c >= 118576 && c <= 118598)
                    : c <= 119145)
                  : (c <= 119154 || (c < 119173
                    ? (c >= 119163 && c <= 119170)
                    : c <= 119179)))
                : (c <= 119213 || (c < 119894
                  ? (c < 119808
                    ? (c >= 119362 && c <= 119364)
                    : c <= 119892)
                  : (c <= 119964 || (c < 119970
                    ? (c >= 119966 && c <= 119967)
                    : c <= 119970)))))))))))
        : (c <= 119974 || (c < 124912
          ? (c < 120746
            ? (c < 120134
              ? (c < 120071
                ? (c < 119995
                  ? (c < 119982
                    ? (c >= 119977 && c <= 119980)
                    : c <= 119993)
                  : (c <= 119995 || (c < 120005
                    ? (c >= 119997 && c <= 120003)
                    : c <= 120069)))
                : (c <= 120074 || (c < 120094
                  ? (c < 120086
                    ? (c >= 120077 && c <= 120084)
                    : c <= 120092)
                  : (c <= 120121 || (c < 120128
                    ? (c >= 120123 && c <= 120126)
                    : c <= 120132)))))
              : (c <= 120134 || (c < 120572
                ? (c < 120488
                  ? (c < 120146
                    ? (c >= 120138 && c <= 120144)
                    : c <= 120485)
                  : (c <= 120512 || (c < 120540
                    ? (c >= 120514 && c <= 120538)
                    : c <= 120570)))
                : (c <= 120596 || (c < 120656
                  ? (c < 120630
                    ? (c >= 120598 && c <= 120628)
                    : c <= 120654)
                  : (c <= 120686 || (c < 120714
                    ? (c >= 120688 && c <= 120712)
                    : c <= 120744)))))))
            : (c <= 120770 || (c < 122907
              ? (c < 121476
                ? (c < 121344
                  ? (c < 120782
                    ? (c >= 120772 && c <= 120779)
                    : c <= 120831)
                  : (c <= 121398 || (c < 121461
                    ? (c >= 121403 && c <= 121452)
                    : c <= 121461)))
                : (c <= 121476 || (c < 122624
                  ? (c < 121505
                    ? (c >= 121499 && c <= 121503)
                    : c <= 121519)
                  : (c <= 122654 || (c < 122888
                    ? (c >= 122880 && c <= 122886)
                    : c <= 122904)))))
              : (c <= 122913 || (c < 123214
                ? (c < 123136
                  ? (c < 122918
                    ? (c >= 122915 && c <= 122916)
                    : c <= 122922)
                  : (c <= 123180 || (c < 123200
                    ? (c >= 123184 && c <= 123197)
                    : c <= 123209)))
                : (c <= 123214 || (c < 124896
                  ? (c < 123584
                    ? (c >= 123536 && c <= 123566)
                    : c <= 123641)
                  : (c <= 124902 || (c < 124909
                    ? (c >= 124904 && c <= 124907)
                    : c <= 124910)))))))))
          : (c <= 124926 || (c < 126557
            ? (c < 126521
              ? (c < 126469
                ? (c < 125184
                  ? (c < 125136
                    ? (c >= 124928 && c <= 125124)
                    : c <= 125142)
                  : (c <= 125259 || (c < 126464
                    ? (c >= 125264 && c <= 125273)
                    : c <= 126467)))
                : (c <= 126495 || (c < 126503
                  ? (c < 126500
                    ? (c >= 126497 && c <= 126498)
                    : c <= 126500)
                  : (c <= 126503 || (c < 126516
                    ? (c >= 126505 && c <= 126514)
                    : c <= 126519)))))
              : (c <= 126521 || (c < 126541
                ? (c < 126535
                  ? (c < 126530
                    ? c == 126523
                    : c <= 126530)
                  : (c <= 126535 || (c < 126539
                    ? c == 126537
                    : c <= 126539)))
                : (c <= 126543 || (c < 126551
                  ? (c < 126548
                    ? (c >= 126545 && c <= 126546)
                    : c <= 126548)
                  : (c <= 126551 || (c < 126555
                    ? c == 126553
                    : c <= 126555)))))))
            : (c <= 126557 || (c < 126629
              ? (c < 126580
                ? (c < 126564
                  ? (c < 126561
                    ? c == 126559
                    : c <= 126562)
                  : (c <= 126564 || (c < 126572
                    ? (c >= 126567 && c <= 126570)
                    : c <= 126578)))
                : (c <= 126583 || (c < 126592
                  ? (c < 126590
                    ? (c >= 126585 && c <= 126588)
                    : c <= 126590)
                  : (c <= 126601 || (c < 126625
                    ? (c >= 126603 && c <= 126619)
                    : c <= 126627)))))
              : (c <= 126633 || (c < 178208
                ? (c < 131072
                  ? (c < 130032
                    ? (c >= 126635 && c <= 126651)
                    : c <= 130041)
                  : (c <= 173791 || (c < 177984
                    ? (c >= 173824 && c <= 177976)
                    : c <= 178205)))
                : (c <= 183969 || (c < 196608
                  ? (c < 194560
                    ? (c >= 183984 && c <= 191456)
                    : c <= 195101)
                  : (c <= 201546 || (c >= 917760 && c <= 917999)))))))))))))))));
}

static inline bool sym_identifier_character_set_41(int32_t c) {
  return (c < 43600
    ? (c < 3776
      ? (c < 2738
        ? (c < 1984
          ? (c < 910
            ? (c < 216
              ? (c < 'y'
                ? (c < 'A'
                  ? (c < '0'
                    ? c == '$'
                    : c <= '9')
                  : (c <= 'Z' || (c < 'a'
                    ? c == '_'
                    : c <= 'w')))
                : (c <= 'z' || (c < 183
                  ? (c < 181
                    ? c == 170
                    : c <= 181)
                  : (c <= 183 || (c < 192
                    ? c == 186
                    : c <= 214)))))
              : (c <= 246 || (c < 768
                ? (c < 736
                  ? (c < 710
                    ? (c >= 248 && c <= 705)
                    : c <= 721)
                  : (c <= 740 || (c < 750
                    ? c == 748
                    : c <= 750)))
                : (c <= 884 || (c < 895
                  ? (c < 891
                    ? (c >= 886 && c <= 887)
                    : c <= 893)
                  : (c <= 895 || (c < 908
                    ? (c >= 902 && c <= 906)
                    : c <= 908)))))))
            : (c <= 929 || (c < 1479
              ? (c < 1369
                ? (c < 1155
                  ? (c < 1015
                    ? (c >= 931 && c <= 1013)
                    : c <= 1153)
                  : (c <= 1159 || (c < 1329
                    ? (c >= 1162 && c <= 1327)
                    : c <= 1366)))
                : (c <= 1369 || (c < 1471
                  ? (c < 1425
                    ? (c >= 1376 && c <= 1416)
                    : c <= 1469)
                  : (c <= 1471 || (c < 1476
                    ? (c >= 1473 && c <= 1474)
                    : c <= 1477)))))
              : (c <= 1479 || (c < 1749
                ? (c < 1552
                  ? (c < 1519
                    ? (c >= 1488 && c <= 1514)
                    : c <= 1522)
                  : (c <= 1562 || (c < 1646
                    ? (c >= 1568 && c <= 1641)
                    : c <= 1747)))
                : (c <= 1756 || (c < 1791
                  ? (c < 1770
                    ? (c >= 1759 && c <= 1768)
                    : c <= 1788)
                  : (c <= 1791 || (c < 1869
                    ? (c >= 1808 && c <= 1866)
                    : c <= 1969)))))))))
          : (c <= 2037 || (c < 2534
            ? (c < 2437
              ? (c < 2160
                ? (c < 2048
                  ? (c < 2045
                    ? c == 2042
                    : c <= 2045)
                  : (c <= 2093 || (c < 2144
                    ? (c >= 2112 && c <= 2139)
                    : c <= 2154)))
                : (c <= 2183 || (c < 2275
                  ? (c < 2200
                    ? (c >= 2185 && c <= 2190)
                    : c <= 2273)
                  : (c <= 2403 || (c < 2417
                    ? (c >= 2406 && c <= 2415)
                    : c <= 2435)))))
              : (c <= 2444 || (c < 2492
                ? (c < 2474
                  ? (c < 2451
                    ? (c >= 2447 && c <= 2448)
                    : c <= 2472)
                  : (c <= 2480 || (c < 2486
                    ? c == 2482
                    : c <= 2489)))
                : (c <= 2500 || (c < 2519
                  ? (c < 2507
                    ? (c >= 2503 && c <= 2504)
                    : c <= 2510)
                  : (c <= 2519 || (c < 2527
                    ? (c >= 2524 && c <= 2525)
                    : c <= 2531)))))))
            : (c <= 2545 || (c < 2622
              ? (c < 2579
                ? (c < 2561
                  ? (c < 2558
                    ? c == 2556
                    : c <= 2558)
                  : (c <= 2563 || (c < 2575
                    ? (c >= 2565 && c <= 2570)
                    : c <= 2576)))
                : (c <= 2600 || (c < 2613
                  ? (c < 2610
                    ? (c >= 2602 && c <= 2608)
                    : c <= 2611)
                  : (c <= 2614 || (c < 2620
                    ? (c >= 2616 && c <= 2617)
                    : c <= 2620)))))
              : (c <= 2626 || (c < 2662
                ? (c < 2641
                  ? (c < 2635
                    ? (c >= 2631 && c <= 2632)
                    : c <= 2637)
                  : (c <= 2641 || (c < 2654
                    ? (c >= 2649 && c <= 2652)
                    : c <= 2654)))
                : (c <= 2677 || (c < 2703
                  ? (c < 2693
                    ? (c >= 2689 && c <= 2691)
                    : c <= 2701)
                  : (c <= 2705 || (c < 2730
                    ? (c >= 2707 && c <= 2728)
                    : c <= 2736)))))))))))
        : (c <= 2739 || (c < 3160
          ? (c < 2946
            ? (c < 2835
              ? (c < 2784
                ? (c < 2759
                  ? (c < 2748
                    ? (c >= 2741 && c <= 2745)
                    : c <= 2757)
                  : (c <= 2761 || (c < 2768
                    ? (c >= 2763 && c <= 2765)
                    : c <= 2768)))
                : (c <= 2787 || (c < 2817
                  ? (c < 2809
                    ? (c >= 2790 && c <= 2799)
                    : c <= 2815)
                  : (c <= 2819 || (c < 2831
                    ? (c >= 2821 && c <= 2828)
                    : c <= 2832)))))
              : (c <= 2856 || (c < 2891
                ? (c < 2869
                  ? (c < 2866
                    ? (c >= 2858 && c <= 2864)
                    : c <= 2867)
                  : (c <= 2873 || (c < 2887
                    ? (c >= 2876 && c <= 2884)
                    : c <= 2888)))
                : (c <= 2893 || (c < 2911
                  ? (c < 2908
                    ? (c >= 2901 && c <= 2903)
                    : c <= 2909)
                  : (c <= 2915 || (c < 2929
                    ? (c >= 2918 && c <= 2927)
                    : c <= 2929)))))))
            : (c <= 2947 || (c < 3018
              ? (c < 2974
                ? (c < 2962
                  ? (c < 2958
                    ? (c >= 2949 && c <= 2954)
                    : c <= 2960)
                  : (c <= 2965 || (c < 2972
                    ? (c >= 2969 && c <= 2970)
                    : c <= 2972)))
                : (c <= 2975 || (c < 2990
                  ? (c < 2984
                    ? (c >= 2979 && c <= 2980)
                    : c <= 2986)
                  : (c <= 3001 || (c < 3014
                    ? (c >= 3006 && c <= 3010)
                    : c <= 3016)))))
              : (c <= 3021 || (c < 3090
                ? (c < 3046
                  ? (c < 3031
                    ? c == 3024
                    : c <= 3031)
                  : (c <= 3055 || (c < 3086
                    ? (c >= 3072 && c <= 3084)
                    : c <= 3088)))
                : (c <= 3112 || (c < 3142
                  ? (c < 3132
                    ? (c >= 3114 && c <= 3129)
                    : c <= 3140)
                  : (c <= 3144 || (c < 3157
                    ? (c >= 3146 && c <= 3149)
                    : c <= 3158)))))))))
          : (c <= 3162 || (c < 3423
            ? (c < 3274
              ? (c < 3214
                ? (c < 3174
                  ? (c < 3168
                    ? c == 3165
                    : c <= 3171)
                  : (c <= 3183 || (c < 3205
                    ? (c >= 3200 && c <= 3203)
                    : c <= 3212)))
                : (c <= 3216 || (c < 3253
                  ? (c < 3242
                    ? (c >= 3218 && c <= 3240)
                    : c <= 3251)
                  : (c <= 3257 || (c < 3270
                    ? (c >= 3260 && c <= 3268)
                    : c <= 3272)))))
              : (c <= 3277 || (c < 3328
                ? (c < 3296
                  ? (c < 3293
                    ? (c >= 3285 && c <= 3286)
                    : c <= 3294)
                  : (c <= 3299 || (c < 3313
                    ? (c >= 3302 && c <= 3311)
                    : c <= 3314)))
                : (c <= 3340 || (c < 3398
                  ? (c < 3346
                    ? (c >= 3342 && c <= 3344)
                    : c <= 3396)
                  : (c <= 3400 || (c < 3412
                    ? (c >= 3402 && c <= 3406)
                    : c <= 3415)))))))
            : (c <= 3427 || (c < 3544
              ? (c < 3507
                ? (c < 3457
                  ? (c < 3450
                    ? (c >= 3430 && c <= 3439)
                    : c <= 3455)
                  : (c <= 3459 || (c < 3482
                    ? (c >= 3461 && c <= 3478)
                    : c <= 3505)))
                : (c <= 3515 || (c < 3530
                  ? (c < 3520
                    ? c == 3517
                    : c <= 3526)
                  : (c <= 3530 || (c < 3542
                    ? (c >= 3535 && c <= 3540)
                    : c <= 3542)))))
              : (c <= 3551 || (c < 3713
                ? (c < 3585
                  ? (c < 3570
                    ? (c >= 3558 && c <= 3567)
                    : c <= 3571)
                  : (c <= 3642 || (c < 3664
                    ? (c >= 3648 && c <= 3662)
                    : c <= 3673)))
                : (c <= 3714 || (c < 3724
                  ? (c < 3718
                    ? c == 3716
                    : c <= 3722)
                  : (c <= 3747 || (c < 3751
                    ? c == 3749
                    : c <= 3773)))))))))))))
      : (c <= 3780 || (c < 8016
        ? (c < 5870
          ? (c < 4682
            ? (c < 3913
              ? (c < 3864
                ? (c < 3792
                  ? (c < 3784
                    ? c == 3782
                    : c <= 3789)
                  : (c <= 3801 || (c < 3840
                    ? (c >= 3804 && c <= 3807)
                    : c <= 3840)))
                : (c <= 3865 || (c < 3895
                  ? (c < 3893
                    ? (c >= 3872 && c <= 3881)
                    : c <= 3893)
                  : (c <= 3895 || (c < 3902
                    ? c == 3897
                    : c <= 3911)))))
              : (c <= 3948 || (c < 4176
                ? (c < 3993
                  ? (c < 3974
                    ? (c >= 3953 && c <= 3972)
                    : c <= 3991)
                  : (c <= 4028 || (c < 4096
                    ? c == 4038
                    : c <= 4169)))
                : (c <= 4253 || (c < 4301
                  ? (c < 4295
                    ? (c >= 4256 && c <= 4293)
                    : c <= 4295)
                  : (c <= 4301 || (c < 4348
                    ? (c >= 4304 && c <= 4346)
                    : c <= 4680)))))))
            : (c <= 4685 || (c < 4824
              ? (c < 4752
                ? (c < 4698
                  ? (c < 4696
                    ? (c >= 4688 && c <= 4694)
                    : c <= 4696)
                  : (c <= 4701 || (c < 4746
                    ? (c >= 4704 && c <= 4744)
                    : c <= 4749)))
                : (c <= 4784 || (c < 4800
                  ? (c < 4792
                    ? (c >= 4786 && c <= 4789)
                    : c <= 4798)
                  : (c <= 4800 || (c < 4808
                    ? (c >= 4802 && c <= 4805)
                    : c <= 4822)))))
              : (c <= 4880 || (c < 5024
                ? (c < 4957
                  ? (c < 4888
                    ? (c >= 4882 && c <= 4885)
                    : c <= 4954)
                  : (c <= 4959 || (c < 4992
                    ? (c >= 4969 && c <= 4977)
                    : c <= 5007)))
                : (c <= 5109 || (c < 5743
                  ? (c < 5121
                    ? (c >= 5112 && c <= 5117)
                    : c <= 5740)
                  : (c <= 5759 || (c < 5792
                    ? (c >= 5761 && c <= 5786)
                    : c <= 5866)))))))))
          : (c <= 5880 || (c < 6656
            ? (c < 6159
              ? (c < 6002
                ? (c < 5952
                  ? (c < 5919
                    ? (c >= 5888 && c <= 5909)
                    : c <= 5940)
                  : (c <= 5971 || (c < 5998
                    ? (c >= 5984 && c <= 5996)
                    : c <= 6000)))
                : (c <= 6003 || (c < 6108
                  ? (c < 6103
                    ? (c >= 6016 && c <= 6099)
                    : c <= 6103)
                  : (c <= 6109 || (c < 6155
                    ? (c >= 6112 && c <= 6121)
                    : c <= 6157)))))
              : (c <= 6169 || (c < 6448
                ? (c < 6320
                  ? (c < 6272
                    ? (c >= 6176 && c <= 6264)
                    : c <= 6314)
                  : (c <= 6389 || (c < 6432
                    ? (c >= 6400 && c <= 6430)
                    : c <= 6443)))
                : (c <= 6459 || (c < 6528
                  ? (c < 6512
                    ? (c >= 6470 && c <= 6509)
                    : c <= 6516)
                  : (c <= 6571 || (c < 6608
                    ? (c >= 6576 && c <= 6601)
                    : c <= 6618)))))))
            : (c <= 6683 || (c < 7168
              ? (c < 6832
                ? (c < 6783
                  ? (c < 6752
                    ? (c >= 6688 && c <= 6750)
                    : c <= 6780)
                  : (c <= 6793 || (c < 6823
                    ? (c >= 6800 && c <= 6809)
                    : c <= 6823)))
                : (c <= 6845 || (c < 6992
                  ? (c < 6912
                    ? (c >= 6847 && c <= 6862)
                    : c <= 6988)
                  : (c <= 7001 || (c < 7040
                    ? (c >= 7019 && c <= 7027)
                    : c <= 7155)))))
              : (c <= 7223 || (c < 7376
                ? (c < 7296
                  ? (c < 7245
                    ? (c >= 7232 && c <= 7241)
                    : c <= 7293)
                  : (c <= 7304 || (c < 7357
                    ? (c >= 7312 && c <= 7354)
                    : c <= 7359)))
                : (c <= 7378 || (c < 7960
                  ? (c < 7424
                    ? (c >= 7380 && c <= 7418)
                    : c <= 7957)
                  : (c <= 7965 || (c < 8008
                    ? (c >= 7968 && c <= 8005)
                    : c <= 8013)))))))))))
        : (c <= 8023 || (c < 11712
          ? (c < 8455
            ? (c < 8160
              ? (c < 8118
                ? (c < 8029
                  ? (c < 8027
                    ? c == 8025
                    : c <= 8027)
                  : (c <= 8029 || (c < 8064
                    ? (c >= 8031 && c <= 8061)
                    : c <= 8116)))
                : (c <= 8124 || (c < 8134
                  ? (c < 8130
                    ? c == 8126
                    : c <= 8132)
                  : (c <= 8140 || (c < 8150
                    ? (c >= 8144 && c <= 8147)
                    : c <= 8155)))))
              : (c <= 8172 || (c < 8319
                ? (c < 8255
                  ? (c < 8182
                    ? (c >= 8178 && c <= 8180)
                    : c <= 8188)
                  : (c <= 8256 || (c < 8305
                    ? c == 8276
                    : c <= 8305)))
                : (c <= 8319 || (c < 8417
                  ? (c < 8400
                    ? (c >= 8336 && c <= 8348)
                    : c <= 8412)
                  : (c <= 8417 || (c < 8450
                    ? (c >= 8421 && c <= 8432)
                    : c <= 8450)))))))
            : (c <= 8455 || (c < 11264
              ? (c < 8488
                ? (c < 8472
                  ? (c < 8469
                    ? (c >= 8458 && c <= 8467)
                    : c <= 8469)
                  : (c <= 8477 || (c < 8486
                    ? c == 8484
                    : c <= 8486)))
                : (c <= 8488 || (c < 8517
                  ? (c < 8508
                    ? (c >= 8490 && c <= 8505)
                    : c <= 8511)
                  : (c <= 8521 || (c < 8544
                    ? c == 8526
                    : c <= 8584)))))
              : (c <= 11492 || (c < 11631
                ? (c < 11559
                  ? (c < 11520
                    ? (c >= 11499 && c <= 11507)
                    : c <= 11557)
                  : (c <= 11559 || (c < 11568
                    ? c == 11565
                    : c <= 11623)))
                : (c <= 11631 || (c < 11688
                  ? (c < 11680
                    ? (c >= 11647 && c <= 11670)
                    : c <= 11686)
                  : (c <= 11694 || (c < 11704
                    ? (c >= 11696 && c <= 11702)
                    : c <= 11710)))))))))
          : (c <= 11718 || (c < 42612
            ? (c < 12449
              ? (c < 12321
                ? (c < 11736
                  ? (c < 11728
                    ? (c >= 11720 && c <= 11726)
                    : c <= 11734)
                  : (c <= 11742 || (c < 12293
                    ? (c >= 11744 && c <= 11775)
                    : c <= 12295)))
                : (c <= 12335 || (c < 12353
                  ? (c < 12344
                    ? (c >= 12337 && c <= 12341)
                    : c <= 12348)
                  : (c <= 12438 || (c < 12445
                    ? (c >= 12441 && c <= 12442)
                    : c <= 12447)))))
              : (c <= 12538 || (c < 13312
                ? (c < 12593
                  ? (c < 12549
                    ? (c >= 12540 && c <= 12543)
                    : c <= 12591)
                  : (c <= 12686 || (c < 12784
                    ? (c >= 12704 && c <= 12735)
                    : c <= 12799)))
                : (c <= 19903 || (c < 42240
                  ? (c < 42192
                    ? (c >= 19968 && c <= 42124)
                    : c <= 42237)
                  : (c <= 42508 || (c < 42560
                    ? (c >= 42512 && c <= 42539)
                    : c <= 42607)))))))
            : (c <= 42621 || (c < 43216
              ? (c < 42963
                ? (c < 42786
                  ? (c < 42775
                    ? (c >= 42623 && c <= 42737)
                    : c <= 42783)
                  : (c <= 42888 || (c < 42960
                    ? (c >= 42891 && c <= 42954)
                    : c <= 42961)))
                : (c <= 42963 || (c < 43052
                  ? (c < 42994
                    ? (c >= 42965 && c <= 42969)
                    : c <= 43047)
                  : (c <= 43052 || (c < 43136
                    ? (c >= 43072 && c <= 43123)
                    : c <= 43205)))))
              : (c <= 43225 || (c < 43392
                ? (c < 43261
                  ? (c < 43259
                    ? (c >= 43232 && c <= 43255)
                    : c <= 43259)
                  : (c <= 43309 || (c < 43360
                    ? (c >= 43312 && c <= 43347)
                    : c <= 43388)))
                : (c <= 43456 || (c < 43520
                  ? (c < 43488
                    ? (c >= 43471 && c <= 43481)
                    : c <= 43518)
                  : (c <= 43574 || (c >= 43584 && c <= 43597)))))))))))))))
    : (c <= 43609 || (c < 71453
      ? (c < 67594
        ? (c < 65343
          ? (c < 64298
            ? (c < 43868
              ? (c < 43777
                ? (c < 43739
                  ? (c < 43642
                    ? (c >= 43616 && c <= 43638)
                    : c <= 43714)
                  : (c <= 43741 || (c < 43762
                    ? (c >= 43744 && c <= 43759)
                    : c <= 43766)))
                : (c <= 43782 || (c < 43808
                  ? (c < 43793
                    ? (c >= 43785 && c <= 43790)
                    : c <= 43798)
                  : (c <= 43814 || (c < 43824
                    ? (c >= 43816 && c <= 43822)
                    : c <= 43866)))))
              : (c <= 43881 || (c < 55243
                ? (c < 44016
                  ? (c < 44012
                    ? (c >= 43888 && c <= 44010)
                    : c <= 44013)
                  : (c <= 44025 || (c < 55216
                    ? (c >= 44032 && c <= 55203)
                    : c <= 55238)))
                : (c <= 55291 || (c < 64256
                  ? (c < 64112
                    ? (c >= 63744 && c <= 64109)
                    : c <= 64217)
                  : (c <= 64262 || (c < 64285
                    ? (c >= 64275 && c <= 64279)
                    : c <= 64296)))))))
            : (c <= 64310 || (c < 65056
              ? (c < 64467
                ? (c < 64320
                  ? (c < 64318
                    ? (c >= 64312 && c <= 64316)
                    : c <= 64318)
                  : (c <= 64321 || (c < 64326
                    ? (c >= 64323 && c <= 64324)
                    : c <= 64433)))
                : (c <= 64605 || (c < 64914
                  ? (c < 64848
                    ? (c >= 64612 && c <= 64829)
                    : c <= 64911)
                  : (c <= 64967 || (c < 65024
                    ? (c >= 65008 && c <= 65017)
                    : c <= 65039)))))
              : (c <= 65071 || (c < 65145
                ? (c < 65137
                  ? (c < 65101
                    ? (c >= 65075 && c <= 65076)
                    : c <= 65103)
                  : (c <= 65137 || (c < 65143
                    ? c == 65139
                    : c <= 65143)))
                : (c <= 65145 || (c < 65151
                  ? (c < 65149
                    ? c == 65147
                    : c <= 65149)
                  : (c <= 65276 || (c < 65313
                    ? (c >= 65296 && c <= 65305)
                    : c <= 65338)))))))))
          : (c <= 65343 || (c < 66504
            ? (c < 65616
              ? (c < 65498
                ? (c < 65474
                  ? (c < 65382
                    ? (c >= 65345 && c <= 65370)
                    : c <= 65470)
                  : (c <= 65479 || (c < 65490
                    ? (c >= 65482 && c <= 65487)
                    : c <= 65495)))
                : (c <= 65500 || (c < 65576
                  ? (c < 65549
                    ? (c >= 65536 && c <= 65547)
                    : c <= 65574)
                  : (c <= 65594 || (c < 65599
                    ? (c >= 65596 && c <= 65597)
                    : c <= 65613)))))
              : (c <= 65629 || (c < 66272
                ? (c < 66045
                  ? (c < 65856
                    ? (c >= 65664 && c <= 65786)
                    : c <= 65908)
                  : (c <= 66045 || (c < 66208
                    ? (c >= 66176 && c <= 66204)
                    : c <= 66256)))
                : (c <= 66272 || (c < 66384
                  ? (c < 66349
                    ? (c >= 66304 && c <= 66335)
                    : c <= 66378)
                  : (c <= 66426 || (c < 66464
                    ? (c >= 66432 && c <= 66461)
                    : c <= 66499)))))))
            : (c <= 66511 || (c < 66967
              ? (c < 66816
                ? (c < 66720
                  ? (c < 66560
                    ? (c >= 66513 && c <= 66517)
                    : c <= 66717)
                  : (c <= 66729 || (c < 66776
                    ? (c >= 66736 && c <= 66771)
                    : c <= 66811)))
                : (c <= 66855 || (c < 66940
                  ? (c < 66928
                    ? (c >= 66864 && c <= 66915)
                    : c <= 66938)
                  : (c <= 66954 || (c < 66964
                    ? (c >= 66956 && c <= 66962)
                    : c <= 66965)))))
              : (c <= 66977 || (c < 67424
                ? (c < 67003
                  ? (c < 66995
                    ? (c >= 66979 && c <= 66993)
                    : c <= 67001)
                  : (c <= 67004 || (c < 67392
                    ? (c >= 67072 && c <= 67382)
                    : c <= 67413)))
                : (c <= 67431 || (c < 67506
                  ? (c < 67463
                    ? (c >= 67456 && c <= 67461)
                    : c <= 67504)
                  : (c <= 67514 || (c < 67592
                    ? (c >= 67584 && c <= 67589)
                    : c <= 67592)))))))))))
        : (c <= 67637 || (c < 69942
          ? (c < 68416
            ? (c < 68096
              ? (c < 67808
                ? (c < 67647
                  ? (c < 67644
                    ? (c >= 67639 && c <= 67640)
                    : c <= 67644)
                  : (c <= 67669 || (c < 67712
                    ? (c >= 67680 && c <= 67702)
                    : c <= 67742)))
                : (c <= 67826 || (c < 67872
                  ? (c < 67840
                    ? (c >= 67828 && c <= 67829)
                    : c <= 67861)
                  : (c <= 67897 || (c < 68030
                    ? (c >= 67968 && c <= 68023)
                    : c <= 68031)))))
              : (c <= 68099 || (c < 68159
                ? (c < 68117
                  ? (c < 68108
                    ? (c >= 68101 && c <= 68102)
                    : c <= 68115)
                  : (c <= 68119 || (c < 68152
                    ? (c >= 68121 && c <= 68149)
                    : c <= 68154)))
                : (c <= 68159 || (c < 68288
                  ? (c < 68224
                    ? (c >= 68192 && c <= 68220)
                    : c <= 68252)
                  : (c <= 68295 || (c < 68352
                    ? (c >= 68297 && c <= 68326)
                    : c <= 68405)))))))
            : (c <= 68437 || (c < 69415
              ? (c < 68864
                ? (c < 68608
                  ? (c < 68480
                    ? (c >= 68448 && c <= 68466)
                    : c <= 68497)
                  : (c <= 68680 || (c < 68800
                    ? (c >= 68736 && c <= 68786)
                    : c <= 68850)))
                : (c <= 68903 || (c < 69291
                  ? (c < 69248
                    ? (c >= 68912 && c <= 68921)
                    : c <= 69289)
                  : (c <= 69292 || (c < 69376
                    ? (c >= 69296 && c <= 69297)
                    : c <= 69404)))))
              : (c <= 69415 || (c < 69734
                ? (c < 69552
                  ? (c < 69488
                    ? (c >= 69424 && c <= 69456)
                    : c <= 69509)
                  : (c <= 69572 || (c < 69632
                    ? (c >= 69600 && c <= 69622)
                    : c <= 69702)))
                : (c <= 69749 || (c < 69840
                  ? (c < 69826
                    ? (c >= 69759 && c <= 69818)
                    : c <= 69826)
                  : (c <= 69864 || (c < 69888
                    ? (c >= 69872 && c <= 69881)
                    : c <= 69940)))))))))
          : (c <= 69951 || (c < 70453
            ? (c < 70280
              ? (c < 70094
                ? (c < 70006
                  ? (c < 69968
                    ? (c >= 69956 && c <= 69959)
                    : c <= 70003)
                  : (c <= 70006 || (c < 70089
                    ? (c >= 70016 && c <= 70084)
                    : c <= 70092)))
                : (c <= 70106 || (c < 70163
                  ? (c < 70144
                    ? c == 70108
                    : c <= 70161)
                  : (c <= 70199 || (c < 70272
                    ? c == 70206
                    : c <= 70278)))))
              : (c <= 70280 || (c < 70400
                ? (c < 70303
                  ? (c < 70287
                    ? (c >= 70282 && c <= 70285)
                    : c <= 70301)
                  : (c <= 70312 || (c < 70384
                    ? (c >= 70320 && c <= 70378)
                    : c <= 70393)))
                : (c <= 70403 || (c < 70419
                  ? (c < 70415
                    ? (c >= 70405 && c <= 70412)
                    : c <= 70416)
                  : (c <= 70440 || (c < 70450
                    ? (c >= 70442 && c <= 70448)
                    : c <= 70451)))))))
            : (c <= 70457 || (c < 70784
              ? (c < 70493
                ? (c < 70475
                  ? (c < 70471
                    ? (c >= 70459 && c <= 70468)
                    : c <= 70472)
                  : (c <= 70477 || (c < 70487
                    ? c == 70480
                    : c <= 70487)))
                : (c <= 70499 || (c < 70656
                  ? (c < 70512
                    ? (c >= 70502 && c <= 70508)
                    : c <= 70516)
                  : (c <= 70730 || (c < 70750
                    ? (c >= 70736 && c <= 70745)
                    : c <= 70753)))))
              : (c <= 70853 || (c < 71168
                ? (c < 71040
                  ? (c < 70864
                    ? c == 70855
                    : c <= 70873)
                  : (c <= 71093 || (c < 71128
                    ? (c >= 71096 && c <= 71104)
                    : c <= 71133)))
                : (c <= 71232 || (c < 71296
                  ? (c < 71248
                    ? c == 71236
                    : c <= 71257)
                  : (c <= 71352 || (c < 71424
                    ? (c >= 71360 && c <= 71369)
                    : c <= 71450)))))))))))))
      : (c <= 71467 || (c < 119973
        ? (c < 77824
          ? (c < 72760
            ? (c < 72016
              ? (c < 71945
                ? (c < 71680
                  ? (c < 71488
                    ? (c >= 71472 && c <= 71481)
                    : c <= 71494)
                  : (c <= 71738 || (c < 71935
                    ? (c >= 71840 && c <= 71913)
                    : c <= 71942)))
                : (c <= 71945 || (c < 71960
                  ? (c < 71957
                    ? (c >= 71948 && c <= 71955)
                    : c <= 71958)
                  : (c <= 71989 || (c < 71995
                    ? (c >= 71991 && c <= 71992)
                    : c <= 72003)))))
              : (c <= 72025 || (c < 72263
                ? (c < 72154
                  ? (c < 72106
                    ? (c >= 72096 && c <= 72103)
                    : c <= 72151)
                  : (c <= 72161 || (c < 72192
                    ? (c >= 72163 && c <= 72164)
                    : c <= 72254)))
                : (c <= 72263 || (c < 72368
                  ? (c < 72349
                    ? (c >= 72272 && c <= 72345)
                    : c <= 72349)
                  : (c <= 72440 || (c < 72714
                    ? (c >= 72704 && c <= 72712)
                    : c <= 72758)))))))
            : (c <= 72768 || (c < 73056
              ? (c < 72968
                ? (c < 72850
                  ? (c < 72818
                    ? (c >= 72784 && c <= 72793)
                    : c <= 72847)
                  : (c <= 72871 || (c < 72960
                    ? (c >= 72873 && c <= 72886)
                    : c <= 72966)))
                : (c <= 72969 || (c < 73020
                  ? (c < 73018
                    ? (c >= 72971 && c <= 73014)
                    : c <= 73018)
                  : (c <= 73021 || (c < 73040
                    ? (c >= 73023 && c <= 73031)
                    : c <= 73049)))))
              : (c <= 73061 || (c < 73440
                ? (c < 73104
                  ? (c < 73066
                    ? (c >= 73063 && c <= 73064)
                    : c <= 73102)
                  : (c <= 73105 || (c < 73120
                    ? (c >= 73107 && c <= 73112)
                    : c <= 73129)))
                : (c <= 73462 || (c < 74752
                  ? (c < 73728
                    ? c == 73648
                    : c <= 74649)
                  : (c <= 74862 || (c < 77712
                    ? (c >= 74880 && c <= 75075)
                    : c <= 77808)))))))))
          : (c <= 78894 || (c < 110576
            ? (c < 93027
              ? (c < 92864
                ? (c < 92736
                  ? (c < 92160
                    ? (c >= 82944 && c <= 83526)
                    : c <= 92728)
                  : (c <= 92766 || (c < 92784
                    ? (c >= 92768 && c <= 92777)
                    : c <= 92862)))
                : (c <= 92873 || (c < 92928
                  ? (c < 92912
                    ? (c >= 92880 && c <= 92909)
                    : c <= 92916)
                  : (c <= 92982 || (c < 93008
                    ? (c >= 92992 && c <= 92995)
                    : c <= 93017)))))
              : (c <= 93047 || (c < 94176
                ? (c < 93952
                  ? (c < 93760
                    ? (c >= 93053 && c <= 93071)
                    : c <= 93823)
                  : (c <= 94026 || (c < 94095
                    ? (c >= 94031 && c <= 94087)
                    : c <= 94111)))
                : (c <= 94177 || (c < 94208
                  ? (c < 94192
                    ? (c >= 94179 && c <= 94180)
                    : c <= 94193)
                  : (c <= 100343 || (c < 101632
                    ? (c >= 100352 && c <= 101589)
                    : c <= 101640)))))))
            : (c <= 110579 || (c < 118528
              ? (c < 110960
                ? (c < 110592
                  ? (c < 110589
                    ? (c >= 110581 && c <= 110587)
                    : c <= 110590)
                  : (c <= 110882 || (c < 110948
                    ? (c >= 110928 && c <= 110930)
                    : c <= 110951)))
                : (c <= 111355 || (c < 113792
                  ? (c < 113776
                    ? (c >= 113664 && c <= 113770)
                    : c <= 113788)
                  : (c <= 113800 || (c < 113821
                    ? (c >= 113808 && c <= 113817)
                    : c <= 113822)))))
              : (c <= 118573 || (c < 119210
                ? (c < 119149
                  ? (c < 119141
                    ? (c >= 118576 && c <= 118598)
                    : c <= 119145)
                  : (c <= 119154 || (c < 119173
                    ? (c >= 119163 && c <= 119170)
                    : c <= 119179)))
                : (c <= 119213 || (c < 119894
                  ? (c < 119808
                    ? (c >= 119362 && c <= 119364)
                    : c <= 119892)
                  : (c <= 119964 || (c < 119970
                    ? (c >= 119966 && c <= 119967)
                    : c <= 119970)))))))))))
        : (c <= 119974 || (c < 124912
          ? (c < 120746
            ? (c < 120134
              ? (c < 120071
                ? (c < 119995
                  ? (c < 119982
                    ? (c >= 119977 && c <= 119980)
                    : c <= 119993)
                  : (c <= 119995 || (c < 120005
                    ? (c >= 119997 && c <= 120003)
                    : c <= 120069)))
                : (c <= 120074 || (c < 120094
                  ? (c < 120086
                    ? (c >= 120077 && c <= 120084)
                    : c <= 120092)
                  : (c <= 120121 || (c < 120128
                    ? (c >= 120123 && c <= 120126)
                    : c <= 120132)))))
              : (c <= 120134 || (c < 120572
                ? (c < 120488
                  ? (c < 120146
                    ? (c >= 120138 && c <= 120144)
                    : c <= 120485)
                  : (c <= 120512 || (c < 120540
                    ? (c >= 120514 && c <= 120538)
                    : c <= 120570)))
                : (c <= 120596 || (c < 120656
                  ? (c < 120630
                    ? (c >= 120598 && c <= 120628)
                    : c <= 120654)
                  : (c <= 120686 || (c < 120714
                    ? (c >= 120688 && c <= 120712)
                    : c <= 120744)))))))
            : (c <= 120770 || (c < 122907
              ? (c < 121476
                ? (c < 121344
                  ? (c < 120782
                    ? (c >= 120772 && c <= 120779)
                    : c <= 120831)
                  : (c <= 121398 || (c < 121461
                    ? (c >= 121403 && c <= 121452)
                    : c <= 121461)))
                : (c <= 121476 || (c < 122624
                  ? (c < 121505
                    ? (c >= 121499 && c <= 121503)
                    : c <= 121519)
                  : (c <= 122654 || (c < 122888
                    ? (c >= 122880 && c <= 122886)
                    : c <= 122904)))))
              : (c <= 122913 || (c < 123214
                ? (c < 123136
                  ? (c < 122918
                    ? (c >= 122915 && c <= 122916)
                    : c <= 122922)
                  : (c <= 123180 || (c < 123200
                    ? (c >= 123184 && c <= 123197)
                    : c <= 123209)))
                : (c <= 123214 || (c < 124896
                  ? (c < 123584
                    ? (c >= 123536 && c <= 123566)
                    : c <= 123641)
                  : (c <= 124902 || (c < 124909
                    ? (c >= 124904 && c <= 124907)
                    : c <= 124910)))))))))
          : (c <= 124926 || (c < 126557
            ? (c < 126521
              ? (c < 126469
                ? (c < 125184
                  ? (c < 125136
                    ? (c >= 124928 && c <= 125124)
                    : c <= 125142)
                  : (c <= 125259 || (c < 126464
                    ? (c >= 125264 && c <= 125273)
                    : c <= 126467)))
                : (c <= 126495 || (c < 126503
                  ? (c < 126500
                    ? (c >= 126497 && c <= 126498)
                    : c <= 126500)
                  : (c <= 126503 || (c < 126516
                    ? (c >= 126505 && c <= 126514)
                    : c <= 126519)))))
              : (c <= 126521 || (c < 126541
                ? (c < 126535
                  ? (c < 126530
                    ? c == 126523
                    : c <= 126530)
                  : (c <= 126535 || (c < 126539
                    ? c == 126537
                    : c <= 126539)))
                : (c <= 126543 || (c < 126551
                  ? (c < 126548
                    ? (c >= 126545 && c <= 126546)
                    : c <= 126548)
                  : (c <= 126551 || (c < 126555
                    ? c == 126553
                    : c <= 126555)))))))
            : (c <= 126557 || (c < 126629
              ? (c < 126580
                ? (c < 126564
                  ? (c < 126561
                    ? c == 126559
                    : c <= 126562)
                  : (c <= 126564 || (c < 126572
                    ? (c >= 126567 && c <= 126570)
                    : c <= 126578)))
                : (c <= 126583 || (c < 126592
                  ? (c < 126590
                    ? (c >= 126585 && c <= 126588)
                    : c <= 126590)
                  : (c <= 126601 || (c < 126625
                    ? (c >= 126603 && c <= 126619)
                    : c <= 126627)))))
              : (c <= 126633 || (c < 178208
                ? (c < 131072
                  ? (c < 130032
                    ? (c >= 126635 && c <= 126651)
                    : c <= 130041)
                  : (c <= 173791 || (c < 177984
                    ? (c >= 173824 && c <= 177976)
                    : c <= 178205)))
                : (c <= 183969 || (c < 196608
                  ? (c < 194560
                    ? (c >= 183984 && c <= 191456)
                    : c <= 195101)
                  : (c <= 201546 || (c >= 917760 && c <= 917999)))))))))))))))));
}

static inline bool sym_identifier_character_set_42(int32_t c) {
  return (c < 43616
    ? (c < 3782
      ? (c < 2741
        ? (c < 2042
          ? (c < 931
            ? (c < 248
              ? (c < 170
                ? (c < 'A'
                  ? (c < '0'
                    ? c == '$'
                    : c <= '9')
                  : (c <= 'Z' || (c < 'a'
                    ? c == '_'
                    : c <= 'y')))
                : (c <= 170 || (c < 186
                  ? (c < 183
                    ? c == 181
                    : c <= 183)
                  : (c <= 186 || (c < 216
                    ? (c >= 192 && c <= 214)
                    : c <= 246)))))
              : (c <= 705 || (c < 886
                ? (c < 748
                  ? (c < 736
                    ? (c >= 710 && c <= 721)
                    : c <= 740)
                  : (c <= 748 || (c < 768
                    ? c == 750
                    : c <= 884)))
                : (c <= 887 || (c < 902
                  ? (c < 895
                    ? (c >= 891 && c <= 893)
                    : c <= 895)
                  : (c <= 906 || (c < 910
                    ? c == 908
                    : c <= 929)))))))
            : (c <= 1013 || (c < 1488
              ? (c < 1376
                ? (c < 1162
                  ? (c < 1155
                    ? (c >= 1015 && c <= 1153)
                    : c <= 1159)
                  : (c <= 1327 || (c < 1369
                    ? (c >= 1329 && c <= 1366)
                    : c <= 1369)))
                : (c <= 1416 || (c < 1473
                  ? (c < 1471
                    ? (c >= 1425 && c <= 1469)
                    : c <= 1471)
                  : (c <= 1474 || (c < 1479
                    ? (c >= 1476 && c <= 1477)
                    : c <= 1479)))))
              : (c <= 1514 || (c < 1759
                ? (c < 1568
                  ? (c < 1552
                    ? (c >= 1519 && c <= 1522)
                    : c <= 1562)
                  : (c <= 1641 || (c < 1749
                    ? (c >= 1646 && c <= 1747)
                    : c <= 1756)))
                : (c <= 1768 || (c < 1808
                  ? (c < 1791
                    ? (c >= 1770 && c <= 1788)
                    : c <= 1791)
                  : (c <= 1866 || (c < 1984
                    ? (c >= 1869 && c <= 1969)
                    : c <= 2037)))))))))
          : (c <= 2042 || (c < 2556
            ? (c < 2447
              ? (c < 2185
                ? (c < 2112
                  ? (c < 2048
                    ? c == 2045
                    : c <= 2093)
                  : (c <= 2139 || (c < 2160
                    ? (c >= 2144 && c <= 2154)
                    : c <= 2183)))
                : (c <= 2190 || (c < 2406
                  ? (c < 2275
                    ? (c >= 2200 && c <= 2273)
                    : c <= 2403)
                  : (c <= 2415 || (c < 2437
                    ? (c >= 2417 && c <= 2435)
                    : c <= 2444)))))
              : (c <= 2448 || (c < 2503
                ? (c < 2482
                  ? (c < 2474
                    ? (c >= 2451 && c <= 2472)
                    : c <= 2480)
                  : (c <= 2482 || (c < 2492
                    ? (c >= 2486 && c <= 2489)
                    : c <= 2500)))
                : (c <= 2504 || (c < 2524
                  ? (c < 2519
                    ? (c >= 2507 && c <= 2510)
                    : c <= 2519)
                  : (c <= 2525 || (c < 2534
                    ? (c >= 2527 && c <= 2531)
                    : c <= 2545)))))))
            : (c <= 2556 || (c < 2631
              ? (c < 2602
                ? (c < 2565
                  ? (c < 2561
                    ? c == 2558
                    : c <= 2563)
                  : (c <= 2570 || (c < 2579
                    ? (c >= 2575 && c <= 2576)
                    : c <= 2600)))
                : (c <= 2608 || (c < 2616
                  ? (c < 2613
                    ? (c >= 2610 && c <= 2611)
                    : c <= 2614)
                  : (c <= 2617 || (c < 2622
                    ? c == 2620
                    : c <= 2626)))))
              : (c <= 2632 || (c < 2689
                ? (c < 2649
                  ? (c < 2641
                    ? (c >= 2635 && c <= 2637)
                    : c <= 2641)
                  : (c <= 2652 || (c < 2662
                    ? c == 2654
                    : c <= 2677)))
                : (c <= 2691 || (c < 2707
                  ? (c < 2703
                    ? (c >= 2693 && c <= 2701)
                    : c <= 2705)
                  : (c <= 2728 || (c < 2738
                    ? (c >= 2730 && c <= 2736)
                    : c <= 2739)))))))))))
        : (c <= 2745 || (c < 3165
          ? (c < 2949
            ? (c < 2858
              ? (c < 2790
                ? (c < 2763
                  ? (c < 2759
                    ? (c >= 2748 && c <= 2757)
                    : c <= 2761)
                  : (c <= 2765 || (c < 2784
                    ? c == 2768
                    : c <= 2787)))
                : (c <= 2799 || (c < 2821
                  ? (c < 2817
                    ? (c >= 2809 && c <= 2815)
                    : c <= 2819)
                  : (c <= 2828 || (c < 2835
                    ? (c >= 2831 && c <= 2832)
                    : c <= 2856)))))
              : (c <= 2864 || (c < 2901
                ? (c < 2876
                  ? (c < 2869
                    ? (c >= 2866 && c <= 2867)
                    : c <= 2873)
                  : (c <= 2884 || (c < 2891
                    ? (c >= 2887 && c <= 2888)
                    : c <= 2893)))
                : (c <= 2903 || (c < 2918
                  ? (c < 2911
                    ? (c >= 2908 && c <= 2909)
                    : c <= 2915)
                  : (c <= 2927 || (c < 2946
                    ? c == 2929
                    : c <= 2947)))))))
            : (c <= 2954 || (c < 3024
              ? (c < 2979
                ? (c < 2969
                  ? (c < 2962
                    ? (c >= 2958 && c <= 2960)
                    : c <= 2965)
                  : (c <= 2970 || (c < 2974
                    ? c == 2972
                    : c <= 2975)))
                : (c <= 2980 || (c < 3006
                  ? (c < 2990
                    ? (c >= 2984 && c <= 2986)
                    : c <= 3001)
                  : (c <= 3010 || (c < 3018
                    ? (c >= 3014 && c <= 3016)
                    : c <= 3021)))))
              : (c <= 3024 || (c < 3114
                ? (c < 3072
                  ? (c < 3046
                    ? c == 3031
                    : c <= 3055)
                  : (c <= 3084 || (c < 3090
                    ? (c >= 3086 && c <= 3088)
                    : c <= 3112)))
                : (c <= 3129 || (c < 3146
                  ? (c < 3142
                    ? (c >= 3132 && c <= 3140)
                    : c <= 3144)
                  : (c <= 3149 || (c < 3160
                    ? (c >= 3157 && c <= 3158)
                    : c <= 3162)))))))))
          : (c <= 3165 || (c < 3430
            ? (c < 3285
              ? (c < 3218
                ? (c < 3200
                  ? (c < 3174
                    ? (c >= 3168 && c <= 3171)
                    : c <= 3183)
                  : (c <= 3203 || (c < 3214
                    ? (c >= 3205 && c <= 3212)
                    : c <= 3216)))
                : (c <= 3240 || (c < 3260
                  ? (c < 3253
                    ? (c >= 3242 && c <= 3251)
                    : c <= 3257)
                  : (c <= 3268 || (c < 3274
                    ? (c >= 3270 && c <= 3272)
                    : c <= 3277)))))
              : (c <= 3286 || (c < 3342
                ? (c < 3302
                  ? (c < 3296
                    ? (c >= 3293 && c <= 3294)
                    : c <= 3299)
                  : (c <= 3311 || (c < 3328
                    ? (c >= 3313 && c <= 3314)
                    : c <= 3340)))
                : (c <= 3344 || (c < 3402
                  ? (c < 3398
                    ? (c >= 3346 && c <= 3396)
                    : c <= 3400)
                  : (c <= 3406 || (c < 3423
                    ? (c >= 3412 && c <= 3415)
                    : c <= 3427)))))))
            : (c <= 3439 || (c < 3558
              ? (c < 3517
                ? (c < 3461
                  ? (c < 3457
                    ? (c >= 3450 && c <= 3455)
                    : c <= 3459)
                  : (c <= 3478 || (c < 3507
                    ? (c >= 3482 && c <= 3505)
                    : c <= 3515)))
                : (c <= 3517 || (c < 3535
                  ? (c < 3530
                    ? (c >= 3520 && c <= 3526)
                    : c <= 3530)
                  : (c <= 3540 || (c < 3544
                    ? c == 3542
                    : c <= 3551)))))
              : (c <= 3567 || (c < 3716
                ? (c < 3648
                  ? (c < 3585
                    ? (c >= 3570 && c <= 3571)
                    : c <= 3642)
                  : (c <= 3662 || (c < 3713
                    ? (c >= 3664 && c <= 3673)
                    : c <= 3714)))
                : (c <= 3716 || (c < 3749
                  ? (c < 3724
                    ? (c >= 3718 && c <= 3722)
                    : c <= 3747)
                  : (c <= 3749 || (c < 3776
                    ? (c >= 3751 && c <= 3773)
                    : c <= 3780)))))))))))))
      : (c <= 3782 || (c < 8025
        ? (c < 5888
          ? (c < 4688
            ? (c < 3953
              ? (c < 3872
                ? (c < 3804
                  ? (c < 3792
                    ? (c >= 3784 && c <= 3789)
                    : c <= 3801)
                  : (c <= 3807 || (c < 3864
                    ? c == 3840
                    : c <= 3865)))
                : (c <= 3881 || (c < 3897
                  ? (c < 3895
                    ? c == 3893
                    : c <= 3895)
                  : (c <= 3897 || (c < 3913
                    ? (c >= 3902 && c <= 3911)
                    : c <= 3948)))))
              : (c <= 3972 || (c < 4256
                ? (c < 4038
                  ? (c < 3993
                    ? (c >= 3974 && c <= 3991)
                    : c <= 4028)
                  : (c <= 4038 || (c < 4176
                    ? (c >= 4096 && c <= 4169)
                    : c <= 4253)))
                : (c <= 4293 || (c < 4304
                  ? (c < 4301
                    ? c == 4295
                    : c <= 4301)
                  : (c <= 4346 || (c < 4682
                    ? (c >= 4348 && c <= 4680)
                    : c <= 4685)))))))
            : (c <= 4694 || (c < 4882
              ? (c < 4786
                ? (c < 4704
                  ? (c < 4698
                    ? c == 4696
                    : c <= 4701)
                  : (c <= 4744 || (c < 4752
                    ? (c >= 4746 && c <= 4749)
                    : c <= 4784)))
                : (c <= 4789 || (c < 4802
                  ? (c < 4800
                    ? (c >= 4792 && c <= 4798)
                    : c <= 4800)
                  : (c <= 4805 || (c < 4824
                    ? (c >= 4808 && c <= 4822)
                    : c <= 4880)))))
              : (c <= 4885 || (c < 5112
                ? (c < 4969
                  ? (c < 4957
                    ? (c >= 4888 && c <= 4954)
                    : c <= 4959)
                  : (c <= 4977 || (c < 5024
                    ? (c >= 4992 && c <= 5007)
                    : c <= 5109)))
                : (c <= 5117 || (c < 5761
                  ? (c < 5743
                    ? (c >= 5121 && c <= 5740)
                    : c <= 5759)
                  : (c <= 5786 || (c < 5870
                    ? (c >= 5792 && c <= 5866)
                    : c <= 5880)))))))))
          : (c <= 5909 || (c < 6688
            ? (c < 6176
              ? (c < 6016
                ? (c < 5984
                  ? (c < 5952
                    ? (c >= 5919 && c <= 5940)
                    : c <= 5971)
                  : (c <= 5996 || (c < 6002
                    ? (c >= 5998 && c <= 6000)
                    : c <= 6003)))
                : (c <= 6099 || (c < 6112
                  ? (c < 6108
                    ? c == 6103
                    : c <= 6109)
                  : (c <= 6121 || (c < 6159
                    ? (c >= 6155 && c <= 6157)
                    : c <= 6169)))))
              : (c <= 6264 || (c < 6470
                ? (c < 6400
                  ? (c < 6320
                    ? (c >= 6272 && c <= 6314)
                    : c <= 6389)
                  : (c <= 6430 || (c < 6448
                    ? (c >= 6432 && c <= 6443)
                    : c <= 6459)))
                : (c <= 6509 || (c < 6576
                  ? (c < 6528
                    ? (c >= 6512 && c <= 6516)
                    : c <= 6571)
                  : (c <= 6601 || (c < 6656
                    ? (c >= 6608 && c <= 6618)
                    : c <= 6683)))))))
            : (c <= 6750 || (c < 7232
              ? (c < 6847
                ? (c < 6800
                  ? (c < 6783
                    ? (c >= 6752 && c <= 6780)
                    : c <= 6793)
                  : (c <= 6809 || (c < 6832
                    ? c == 6823
                    : c <= 6845)))
                : (c <= 6862 || (c < 7019
                  ? (c < 6992
                    ? (c >= 6912 && c <= 6988)
                    : c <= 7001)
                  : (c <= 7027 || (c < 7168
                    ? (c >= 7040 && c <= 7155)
                    : c <= 7223)))))
              : (c <= 7241 || (c < 7380
                ? (c < 7312
                  ? (c < 7296
                    ? (c >= 7245 && c <= 7293)
                    : c <= 7304)
                  : (c <= 7354 || (c < 7376
                    ? (c >= 7357 && c <= 7359)
                    : c <= 7378)))
                : (c <= 7418 || (c < 7968
                  ? (c < 7960
                    ? (c >= 7424 && c <= 7957)
                    : c <= 7965)
                  : (c <= 8005 || (c < 8016
                    ? (c >= 8008 && c <= 8013)
                    : c <= 8023)))))))))))
        : (c <= 8025 || (c < 11720
          ? (c < 8458
            ? (c < 8178
              ? (c < 8126
                ? (c < 8031
                  ? (c < 8029
                    ? c == 8027
                    : c <= 8029)
                  : (c <= 8061 || (c < 8118
                    ? (c >= 8064 && c <= 8116)
                    : c <= 8124)))
                : (c <= 8126 || (c < 8144
                  ? (c < 8134
                    ? (c >= 8130 && c <= 8132)
                    : c <= 8140)
                  : (c <= 8147 || (c < 8160
                    ? (c >= 8150 && c <= 8155)
                    : c <= 8172)))))
              : (c <= 8180 || (c < 8336
                ? (c < 8276
                  ? (c < 8255
                    ? (c >= 8182 && c <= 8188)
                    : c <= 8256)
                  : (c <= 8276 || (c < 8319
                    ? c == 8305
                    : c <= 8319)))
                : (c <= 8348 || (c < 8421
                  ? (c < 8417
                    ? (c >= 8400 && c <= 8412)
                    : c <= 8417)
                  : (c <= 8432 || (c < 8455
                    ? c == 8450
                    : c <= 8455)))))))
            : (c <= 8467 || (c < 11499
              ? (c < 8490
                ? (c < 8484
                  ? (c < 8472
                    ? c == 8469
                    : c <= 8477)
                  : (c <= 8484 || (c < 8488
                    ? c == 8486
                    : c <= 8488)))
                : (c <= 8505 || (c < 8526
                  ? (c < 8517
                    ? (c >= 8508 && c <= 8511)
                    : c <= 8521)
                  : (c <= 8526 || (c < 11264
                    ? (c >= 8544 && c <= 8584)
                    : c <= 11492)))))
              : (c <= 11507 || (c < 11647
                ? (c < 11565
                  ? (c < 11559
                    ? (c >= 11520 && c <= 11557)
                    : c <= 11559)
                  : (c <= 11565 || (c < 11631
                    ? (c >= 11568 && c <= 11623)
                    : c <= 11631)))
                : (c <= 11670 || (c < 11696
                  ? (c < 11688
                    ? (c >= 11680 && c <= 11686)
                    : c <= 11694)
                  : (c <= 11702 || (c < 11712
                    ? (c >= 11704 && c <= 11710)
                    : c <= 11718)))))))))
          : (c <= 11726 || (c < 42623
            ? (c < 12540
              ? (c < 12337
                ? (c < 11744
                  ? (c < 11736
                    ? (c >= 11728 && c <= 11734)
                    : c <= 11742)
                  : (c <= 11775 || (c < 12321
                    ? (c >= 12293 && c <= 12295)
                    : c <= 12335)))
                : (c <= 12341 || (c < 12441
                  ? (c < 12353
                    ? (c >= 12344 && c <= 12348)
                    : c <= 12438)
                  : (c <= 12442 || (c < 12449
                    ? (c >= 12445 && c <= 12447)
                    : c <= 12538)))))
              : (c <= 12543 || (c < 19968
                ? (c < 12704
                  ? (c < 12593
                    ? (c >= 12549 && c <= 12591)
                    : c <= 12686)
                  : (c <= 12735 || (c < 13312
                    ? (c >= 12784 && c <= 12799)
                    : c <= 19903)))
                : (c <= 42124 || (c < 42512
                  ? (c < 42240
                    ? (c >= 42192 && c <= 42237)
                    : c <= 42508)
                  : (c <= 42539 || (c < 42612
                    ? (c >= 42560 && c <= 42607)
                    : c <= 42621)))))))
            : (c <= 42737 || (c < 43232
              ? (c < 42965
                ? (c < 42891
                  ? (c < 42786
                    ? (c >= 42775 && c <= 42783)
                    : c <= 42888)
                  : (c <= 42954 || (c < 42963
                    ? (c >= 42960 && c <= 42961)
                    : c <= 42963)))
                : (c <= 42969 || (c < 43072
                  ? (c < 43052
                    ? (c >= 42994 && c <= 43047)
                    : c <= 43052)
                  : (c <= 43123 || (c < 43216
                    ? (c >= 43136 && c <= 43205)
                    : c <= 43225)))))
              : (c <= 43255 || (c < 43471
                ? (c < 43312
                  ? (c < 43261
                    ? c == 43259
                    : c <= 43309)
                  : (c <= 43347 || (c < 43392
                    ? (c >= 43360 && c <= 43388)
                    : c <= 43456)))
                : (c <= 43481 || (c < 43584
                  ? (c < 43520
                    ? (c >= 43488 && c <= 43518)
                    : c <= 43574)
                  : (c <= 43597 || (c >= 43600 && c <= 43609)))))))))))))))
    : (c <= 43638 || (c < 71453
      ? (c < 67639
        ? (c < 65345
          ? (c < 64312
            ? (c < 43888
              ? (c < 43785
                ? (c < 43744
                  ? (c < 43739
                    ? (c >= 43642 && c <= 43714)
                    : c <= 43741)
                  : (c <= 43759 || (c < 43777
                    ? (c >= 43762 && c <= 43766)
                    : c <= 43782)))
                : (c <= 43790 || (c < 43816
                  ? (c < 43808
                    ? (c >= 43793 && c <= 43798)
                    : c <= 43814)
                  : (c <= 43822 || (c < 43868
                    ? (c >= 43824 && c <= 43866)
                    : c <= 43881)))))
              : (c <= 44010 || (c < 63744
                ? (c < 44032
                  ? (c < 44016
                    ? (c >= 44012 && c <= 44013)
                    : c <= 44025)
                  : (c <= 55203 || (c < 55243
                    ? (c >= 55216 && c <= 55238)
                    : c <= 55291)))
                : (c <= 64109 || (c < 64275
                  ? (c < 64256
                    ? (c >= 64112 && c <= 64217)
                    : c <= 64262)
                  : (c <= 64279 || (c < 64298
                    ? (c >= 64285 && c <= 64296)
                    : c <= 64310)))))))
            : (c <= 64316 || (c < 65075
              ? (c < 64612
                ? (c < 64323
                  ? (c < 64320
                    ? c == 64318
                    : c <= 64321)
                  : (c <= 64324 || (c < 64467
                    ? (c >= 64326 && c <= 64433)
                    : c <= 64605)))
                : (c <= 64829 || (c < 65008
                  ? (c < 64914
                    ? (c >= 64848 && c <= 64911)
                    : c <= 64967)
                  : (c <= 65017 || (c < 65056
                    ? (c >= 65024 && c <= 65039)
                    : c <= 65071)))))
              : (c <= 65076 || (c < 65147
                ? (c < 65139
                  ? (c < 65137
                    ? (c >= 65101 && c <= 65103)
                    : c <= 65137)
                  : (c <= 65139 || (c < 65145
                    ? c == 65143
                    : c <= 65145)))
                : (c <= 65147 || (c < 65296
                  ? (c < 65151
                    ? c == 65149
                    : c <= 65276)
                  : (c <= 65305 || (c < 65343
                    ? (c >= 65313 && c <= 65338)
                    : c <= 65343)))))))))
          : (c <= 65370 || (c < 66513
            ? (c < 65664
              ? (c < 65536
                ? (c < 65482
                  ? (c < 65474
                    ? (c >= 65382 && c <= 65470)
                    : c <= 65479)
                  : (c <= 65487 || (c < 65498
                    ? (c >= 65490 && c <= 65495)
                    : c <= 65500)))
                : (c <= 65547 || (c < 65596
                  ? (c < 65576
                    ? (c >= 65549 && c <= 65574)
                    : c <= 65594)
                  : (c <= 65597 || (c < 65616
                    ? (c >= 65599 && c <= 65613)
                    : c <= 65629)))))
              : (c <= 65786 || (c < 66304
                ? (c < 66176
                  ? (c < 66045
                    ? (c >= 65856 && c <= 65908)
                    : c <= 66045)
                  : (c <= 66204 || (c < 66272
                    ? (c >= 66208 && c <= 66256)
                    : c <= 66272)))
                : (c <= 66335 || (c < 66432
                  ? (c < 66384
                    ? (c >= 66349 && c <= 66378)
                    : c <= 66426)
                  : (c <= 66461 || (c < 66504
                    ? (c >= 66464 && c <= 66499)
                    : c <= 66511)))))))
            : (c <= 66517 || (c < 66979
              ? (c < 66864
                ? (c < 66736
                  ? (c < 66720
                    ? (c >= 66560 && c <= 66717)
                    : c <= 66729)
                  : (c <= 66771 || (c < 66816
                    ? (c >= 66776 && c <= 66811)
                    : c <= 66855)))
                : (c <= 66915 || (c < 66956
                  ? (c < 66940
                    ? (c >= 66928 && c <= 66938)
                    : c <= 66954)
                  : (c <= 66962 || (c < 66967
                    ? (c >= 66964 && c <= 66965)
                    : c <= 66977)))))
              : (c <= 66993 || (c < 67456
                ? (c < 67072
                  ? (c < 67003
                    ? (c >= 66995 && c <= 67001)
                    : c <= 67004)
                  : (c <= 67382 || (c < 67424
                    ? (c >= 67392 && c <= 67413)
                    : c <= 67431)))
                : (c <= 67461 || (c < 67584
                  ? (c < 67506
                    ? (c >= 67463 && c <= 67504)
                    : c <= 67514)
                  : (c <= 67589 || (c < 67594
                    ? c == 67592
                    : c <= 67637)))))))))))
        : (c <= 67640 || (c < 69956
          ? (c < 68448
            ? (c < 68101
              ? (c < 67828
                ? (c < 67680
                  ? (c < 67647
                    ? c == 67644
                    : c <= 67669)
                  : (c <= 67702 || (c < 67808
                    ? (c >= 67712 && c <= 67742)
                    : c <= 67826)))
                : (c <= 67829 || (c < 67968
                  ? (c < 67872
                    ? (c >= 67840 && c <= 67861)
                    : c <= 67897)
                  : (c <= 68023 || (c < 68096
                    ? (c >= 68030 && c <= 68031)
                    : c <= 68099)))))
              : (c <= 68102 || (c < 68192
                ? (c < 68121
                  ? (c < 68117
                    ? (c >= 68108 && c <= 68115)
                    : c <= 68119)
                  : (c <= 68149 || (c < 68159
                    ? (c >= 68152 && c <= 68154)
                    : c <= 68159)))
                : (c <= 68220 || (c < 68297
                  ? (c < 68288
                    ? (c >= 68224 && c <= 68252)
                    : c <= 68295)
                  : (c <= 68326 || (c < 68416
                    ? (c >= 68352 && c <= 68405)
                    : c <= 68437)))))))
            : (c <= 68466 || (c < 69424
              ? (c < 68912
                ? (c < 68736
                  ? (c < 68608
                    ? (c >= 68480 && c <= 68497)
                    : c <= 68680)
                  : (c <= 68786 || (c < 68864
                    ? (c >= 68800 && c <= 68850)
                    : c <= 68903)))
                : (c <= 68921 || (c < 69296
                  ? (c < 69291
                    ? (c >= 69248 && c <= 69289)
                    : c <= 69292)
                  : (c <= 69297 || (c < 69415
                    ? (c >= 69376 && c <= 69404)
                    : c <= 69415)))))
              : (c <= 69456 || (c < 69759
                ? (c < 69600
                  ? (c < 69552
                    ? (c >= 69488 && c <= 69509)
                    : c <= 69572)
                  : (c <= 69622 || (c < 69734
                    ? (c >= 69632 && c <= 69702)
                    : c <= 69749)))
                : (c <= 69818 || (c < 69872
                  ? (c < 69840
                    ? c == 69826
                    : c <= 69864)
                  : (c <= 69881 || (c < 69942
                    ? (c >= 69888 && c <= 69940)
                    : c <= 69951)))))))))
          : (c <= 69959 || (c < 70459
            ? (c < 70282
              ? (c < 70108
                ? (c < 70016
                  ? (c < 70006
                    ? (c >= 69968 && c <= 70003)
                    : c <= 70006)
                  : (c <= 70084 || (c < 70094
                    ? (c >= 70089 && c <= 70092)
                    : c <= 70106)))
                : (c <= 70108 || (c < 70206
                  ? (c < 70163
                    ? (c >= 70144 && c <= 70161)
                    : c <= 70199)
                  : (c <= 70206 || (c < 70280
                    ? (c >= 70272 && c <= 70278)
                    : c <= 70280)))))
              : (c <= 70285 || (c < 70405
                ? (c < 70320
                  ? (c < 70303
                    ? (c >= 70287 && c <= 70301)
                    : c <= 70312)
                  : (c <= 70378 || (c < 70400
                    ? (c >= 70384 && c <= 70393)
                    : c <= 70403)))
                : (c <= 70412 || (c < 70442
                  ? (c < 70419
                    ? (c >= 70415 && c <= 70416)
                    : c <= 70440)
                  : (c <= 70448 || (c < 70453
                    ? (c >= 70450 && c <= 70451)
                    : c <= 70457)))))))
            : (c <= 70468 || (c < 70855
              ? (c < 70502
                ? (c < 70480
                  ? (c < 70475
                    ? (c >= 70471 && c <= 70472)
                    : c <= 70477)
                  : (c <= 70480 || (c < 70493
                    ? c == 70487
                    : c <= 70499)))
                : (c <= 70508 || (c < 70736
                  ? (c < 70656
                    ? (c >= 70512 && c <= 70516)
                    : c <= 70730)
                  : (c <= 70745 || (c < 70784
                    ? (c >= 70750 && c <= 70753)
                    : c <= 70853)))))
              : (c <= 70855 || (c < 71236
                ? (c < 71096
                  ? (c < 71040
                    ? (c >= 70864 && c <= 70873)
                    : c <= 71093)
                  : (c <= 71104 || (c < 71168
                    ? (c >= 71128 && c <= 71133)
                    : c <= 71232)))
                : (c <= 71236 || (c < 71360
                  ? (c < 71296
                    ? (c >= 71248 && c <= 71257)
                    : c <= 71352)
                  : (c <= 71369 || (c >= 71424 && c <= 71450)))))))))))))
      : (c <= 71467 || (c < 119973
        ? (c < 77824
          ? (c < 72760
            ? (c < 72016
              ? (c < 71945
                ? (c < 71680
                  ? (c < 71488
                    ? (c >= 71472 && c <= 71481)
                    : c <= 71494)
                  : (c <= 71738 || (c < 71935
                    ? (c >= 71840 && c <= 71913)
                    : c <= 71942)))
                : (c <= 71945 || (c < 71960
                  ? (c < 71957
                    ? (c >= 71948 && c <= 71955)
                    : c <= 71958)
                  : (c <= 71989 || (c < 71995
                    ? (c >= 71991 && c <= 71992)
                    : c <= 72003)))))
              : (c <= 72025 || (c < 72263
                ? (c < 72154
                  ? (c < 72106
                    ? (c >= 72096 && c <= 72103)
                    : c <= 72151)
                  : (c <= 72161 || (c < 72192
                    ? (c >= 72163 && c <= 72164)
                    : c <= 72254)))
                : (c <= 72263 || (c < 72368
                  ? (c < 72349
                    ? (c >= 72272 && c <= 72345)
                    : c <= 72349)
                  : (c <= 72440 || (c < 72714
                    ? (c >= 72704 && c <= 72712)
                    : c <= 72758)))))))
            : (c <= 72768 || (c < 73056
              ? (c < 72968
                ? (c < 72850
                  ? (c < 72818
                    ? (c >= 72784 && c <= 72793)
                    : c <= 72847)
                  : (c <= 72871 || (c < 72960
                    ? (c >= 72873 && c <= 72886)
                    : c <= 72966)))
                : (c <= 72969 || (c < 73020
                  ? (c < 73018
                    ? (c >= 72971 && c <= 73014)
                    : c <= 73018)
                  : (c <= 73021 || (c < 73040
                    ? (c >= 73023 && c <= 73031)
                    : c <= 73049)))))
              : (c <= 73061 || (c < 73440
                ? (c < 73104
                  ? (c < 73066
                    ? (c >= 73063 && c <= 73064)
                    : c <= 73102)
                  : (c <= 73105 || (c < 73120
                    ? (c >= 73107 && c <= 73112)
                    : c <= 73129)))
                : (c <= 73462 || (c < 74752
                  ? (c < 73728
                    ? c == 73648
                    : c <= 74649)
                  : (c <= 74862 || (c < 77712
                    ? (c >= 74880 && c <= 75075)
                    : c <= 77808)))))))))
          : (c <= 78894 || (c < 110576
            ? (c < 93027
              ? (c < 92864
                ? (c < 92736
                  ? (c < 92160
                    ? (c >= 82944 && c <= 83526)
                    : c <= 92728)
                  : (c <= 92766 || (c < 92784
                    ? (c >= 92768 && c <= 92777)
                    : c <= 92862)))
                : (c <= 92873 || (c < 92928
                  ? (c < 92912
                    ? (c >= 92880 && c <= 92909)
                    : c <= 92916)
                  : (c <= 92982 || (c < 93008
                    ? (c >= 92992 && c <= 92995)
                    : c <= 93017)))))
              : (c <= 93047 || (c < 94176
                ? (c < 93952
                  ? (c < 93760
                    ? (c >= 93053 && c <= 93071)
                    : c <= 93823)
                  : (c <= 94026 || (c < 94095
                    ? (c >= 94031 && c <= 94087)
                    : c <= 94111)))
                : (c <= 94177 || (c < 94208
                  ? (c < 94192
                    ? (c >= 94179 && c <= 94180)
                    : c <= 94193)
                  : (c <= 100343 || (c < 101632
                    ? (c >= 100352 && c <= 101589)
                    : c <= 101640)))))))
            : (c <= 110579 || (c < 118528
              ? (c < 110960
                ? (c < 110592
                  ? (c < 110589
                    ? (c >= 110581 && c <= 110587)
                    : c <= 110590)
                  : (c <= 110882 || (c < 110948
                    ? (c >= 110928 && c <= 110930)
                    : c <= 110951)))
                : (c <= 111355 || (c < 113792
                  ? (c < 113776
                    ? (c >= 113664 && c <= 113770)
                    : c <= 113788)
                  : (c <= 113800 || (c < 113821
                    ? (c >= 113808 && c <= 113817)
                    : c <= 113822)))))
              : (c <= 118573 || (c < 119210
                ? (c < 119149
                  ? (c < 119141
                    ? (c >= 118576 && c <= 118598)
                    : c <= 119145)
                  : (c <= 119154 || (c < 119173
                    ? (c >= 119163 && c <= 119170)
                    : c <= 119179)))
                : (c <= 119213 || (c < 119894
                  ? (c < 119808
                    ? (c >= 119362 && c <= 119364)
                    : c <= 119892)
                  : (c <= 119964 || (c < 119970
                    ? (c >= 119966 && c <= 119967)
                    : c <= 119970)))))))))))
        : (c <= 119974 || (c < 124912
          ? (c < 120746
            ? (c < 120134
              ? (c < 120071
                ? (c < 119995
                  ? (c < 119982
                    ? (c >= 119977 && c <= 119980)
                    : c <= 119993)
                  : (c <= 119995 || (c < 120005
                    ? (c >= 119997 && c <= 120003)
                    : c <= 120069)))
                : (c <= 120074 || (c < 120094
                  ? (c < 120086
                    ? (c >= 120077 && c <= 120084)
                    : c <= 120092)
                  : (c <= 120121 || (c < 120128
                    ? (c >= 120123 && c <= 120126)
                    : c <= 120132)))))
              : (c <= 120134 || (c < 120572
                ? (c < 120488
                  ? (c < 120146
                    ? (c >= 120138 && c <= 120144)
                    : c <= 120485)
                  : (c <= 120512 || (c < 120540
                    ? (c >= 120514 && c <= 120538)
                    : c <= 120570)))
                : (c <= 120596 || (c < 120656
                  ? (c < 120630
                    ? (c >= 120598 && c <= 120628)
                    : c <= 120654)
                  : (c <= 120686 || (c < 120714
                    ? (c >= 120688 && c <= 120712)
                    : c <= 120744)))))))
            : (c <= 120770 || (c < 122907
              ? (c < 121476
                ? (c < 121344
                  ? (c < 120782
                    ? (c >= 120772 && c <= 120779)
                    : c <= 120831)
                  : (c <= 121398 || (c < 121461
                    ? (c >= 121403 && c <= 121452)
                    : c <= 121461)))
                : (c <= 121476 || (c < 122624
                  ? (c < 121505
                    ? (c >= 121499 && c <= 121503)
                    : c <= 121519)
                  : (c <= 122654 || (c < 122888
                    ? (c >= 122880 && c <= 122886)
                    : c <= 122904)))))
              : (c <= 122913 || (c < 123214
                ? (c < 123136
                  ? (c < 122918
                    ? (c >= 122915 && c <= 122916)
                    : c <= 122922)
                  : (c <= 123180 || (c < 123200
                    ? (c >= 123184 && c <= 123197)
                    : c <= 123209)))
                : (c <= 123214 || (c < 124896
                  ? (c < 123584
                    ? (c >= 123536 && c <= 123566)
                    : c <= 123641)
                  : (c <= 124902 || (c < 124909
                    ? (c >= 124904 && c <= 124907)
                    : c <= 124910)))))))))
          : (c <= 124926 || (c < 126557
            ? (c < 126521
              ? (c < 126469
                ? (c < 125184
                  ? (c < 125136
                    ? (c >= 124928 && c <= 125124)
                    : c <= 125142)
                  : (c <= 125259 || (c < 126464
                    ? (c >= 125264 && c <= 125273)
                    : c <= 126467)))
                : (c <= 126495 || (c < 126503
                  ? (c < 126500
                    ? (c >= 126497 && c <= 126498)
                    : c <= 126500)
                  : (c <= 126503 || (c < 126516
                    ? (c >= 126505 && c <= 126514)
                    : c <= 126519)))))
              : (c <= 126521 || (c < 126541
                ? (c < 126535
                  ? (c < 126530
                    ? c == 126523
                    : c <= 126530)
                  : (c <= 126535 || (c < 126539
                    ? c == 126537
                    : c <= 126539)))
                : (c <= 126543 || (c < 126551
                  ? (c < 126548
                    ? (c >= 126545 && c <= 126546)
                    : c <= 126548)
                  : (c <= 126551 || (c < 126555
                    ? c == 126553
                    : c <= 126555)))))))
            : (c <= 126557 || (c < 126629
              ? (c < 126580
                ? (c < 126564
                  ? (c < 126561
                    ? c == 126559
                    : c <= 126562)
                  : (c <= 126564 || (c < 126572
                    ? (c >= 126567 && c <= 126570)
                    : c <= 126578)))
                : (c <= 126583 || (c < 126592
                  ? (c < 126590
                    ? (c >= 126585 && c <= 126588)
                    : c <= 126590)
                  : (c <= 126601 || (c < 126625
                    ? (c >= 126603 && c <= 126619)
                    : c <= 126627)))))
              : (c <= 126633 || (c < 178208
                ? (c < 131072
                  ? (c < 130032
                    ? (c >= 126635 && c <= 126651)
                    : c <= 130041)
                  : (c <= 173791 || (c < 177984
                    ? (c >= 173824 && c <= 177976)
                    : c <= 178205)))
                : (c <= 183969 || (c < 196608
                  ? (c < 194560
                    ? (c >= 183984 && c <= 191456)
                    : c <= 195101)
                  : (c <= 201546 || (c >= 917760 && c <= 917999)))))))))))))))));
}

static inline bool sym_identifier_character_set_43(int32_t c) {
  return (c < 43616
    ? (c < 3782
      ? (c < 2741
        ? (c < 2042
          ? (c < 931
            ? (c < 248
              ? (c < 170
                ? (c < 'A'
                  ? (c < '0'
                    ? c == '$'
                    : c <= '9')
                  : (c <= 'Z' || (c < 'b'
                    ? c == '_'
                    : c <= 'z')))
                : (c <= 170 || (c < 186
                  ? (c < 183
                    ? c == 181
                    : c <= 183)
                  : (c <= 186 || (c < 216
                    ? (c >= 192 && c <= 214)
                    : c <= 246)))))
              : (c <= 705 || (c < 886
                ? (c < 748
                  ? (c < 736
                    ? (c >= 710 && c <= 721)
                    : c <= 740)
                  : (c <= 748 || (c < 768
                    ? c == 750
                    : c <= 884)))
                : (c <= 887 || (c < 902
                  ? (c < 895
                    ? (c >= 891 && c <= 893)
                    : c <= 895)
                  : (c <= 906 || (c < 910
                    ? c == 908
                    : c <= 929)))))))
            : (c <= 1013 || (c < 1488
              ? (c < 1376
                ? (c < 1162
                  ? (c < 1155
                    ? (c >= 1015 && c <= 1153)
                    : c <= 1159)
                  : (c <= 1327 || (c < 1369
                    ? (c >= 1329 && c <= 1366)
                    : c <= 1369)))
                : (c <= 1416 || (c < 1473
                  ? (c < 1471
                    ? (c >= 1425 && c <= 1469)
                    : c <= 1471)
                  : (c <= 1474 || (c < 1479
                    ? (c >= 1476 && c <= 1477)
                    : c <= 1479)))))
              : (c <= 1514 || (c < 1759
                ? (c < 1568
                  ? (c < 1552
                    ? (c >= 1519 && c <= 1522)
                    : c <= 1562)
                  : (c <= 1641 || (c < 1749
                    ? (c >= 1646 && c <= 1747)
                    : c <= 1756)))
                : (c <= 1768 || (c < 1808
                  ? (c < 1791
                    ? (c >= 1770 && c <= 1788)
                    : c <= 1791)
                  : (c <= 1866 || (c < 1984
                    ? (c >= 1869 && c <= 1969)
                    : c <= 2037)))))))))
          : (c <= 2042 || (c < 2556
            ? (c < 2447
              ? (c < 2185
                ? (c < 2112
                  ? (c < 2048
                    ? c == 2045
                    : c <= 2093)
                  : (c <= 2139 || (c < 2160
                    ? (c >= 2144 && c <= 2154)
                    : c <= 2183)))
                : (c <= 2190 || (c < 2406
                  ? (c < 2275
                    ? (c >= 2200 && c <= 2273)
                    : c <= 2403)
                  : (c <= 2415 || (c < 2437
                    ? (c >= 2417 && c <= 2435)
                    : c <= 2444)))))
              : (c <= 2448 || (c < 2503
                ? (c < 2482
                  ? (c < 2474
                    ? (c >= 2451 && c <= 2472)
                    : c <= 2480)
                  : (c <= 2482 || (c < 2492
                    ? (c >= 2486 && c <= 2489)
                    : c <= 2500)))
                : (c <= 2504 || (c < 2524
                  ? (c < 2519
                    ? (c >= 2507 && c <= 2510)
                    : c <= 2519)
                  : (c <= 2525 || (c < 2534
                    ? (c >= 2527 && c <= 2531)
                    : c <= 2545)))))))
            : (c <= 2556 || (c < 2631
              ? (c < 2602
                ? (c < 2565
                  ? (c < 2561
                    ? c == 2558
                    : c <= 2563)
                  : (c <= 2570 || (c < 2579
                    ? (c >= 2575 && c <= 2576)
                    : c <= 2600)))
                : (c <= 2608 || (c < 2616
                  ? (c < 2613
                    ? (c >= 2610 && c <= 2611)
                    : c <= 2614)
                  : (c <= 2617 || (c < 2622
                    ? c == 2620
                    : c <= 2626)))))
              : (c <= 2632 || (c < 2689
                ? (c < 2649
                  ? (c < 2641
                    ? (c >= 2635 && c <= 2637)
                    : c <= 2641)
                  : (c <= 2652 || (c < 2662
                    ? c == 2654
                    : c <= 2677)))
                : (c <= 2691 || (c < 2707
                  ? (c < 2703
                    ? (c >= 2693 && c <= 2701)
                    : c <= 2705)
                  : (c <= 2728 || (c < 2738
                    ? (c >= 2730 && c <= 2736)
                    : c <= 2739)))))))))))
        : (c <= 2745 || (c < 3165
          ? (c < 2949
            ? (c < 2858
              ? (c < 2790
                ? (c < 2763
                  ? (c < 2759
                    ? (c >= 2748 && c <= 2757)
                    : c <= 2761)
                  : (c <= 2765 || (c < 2784
                    ? c == 2768
                    : c <= 2787)))
                : (c <= 2799 || (c < 2821
                  ? (c < 2817
                    ? (c >= 2809 && c <= 2815)
                    : c <= 2819)
                  : (c <= 2828 || (c < 2835
                    ? (c >= 2831 && c <= 2832)
                    : c <= 2856)))))
              : (c <= 2864 || (c < 2901
                ? (c < 2876
                  ? (c < 2869
                    ? (c >= 2866 && c <= 2867)
                    : c <= 2873)
                  : (c <= 2884 || (c < 2891
                    ? (c >= 2887 && c <= 2888)
                    : c <= 2893)))
                : (c <= 2903 || (c < 2918
                  ? (c < 2911
                    ? (c >= 2908 && c <= 2909)
                    : c <= 2915)
                  : (c <= 2927 || (c < 2946
                    ? c == 2929
                    : c <= 2947)))))))
            : (c <= 2954 || (c < 3024
              ? (c < 2979
                ? (c < 2969
                  ? (c < 2962
                    ? (c >= 2958 && c <= 2960)
                    : c <= 2965)
                  : (c <= 2970 || (c < 2974
                    ? c == 2972
                    : c <= 2975)))
                : (c <= 2980 || (c < 3006
                  ? (c < 2990
                    ? (c >= 2984 && c <= 2986)
                    : c <= 3001)
                  : (c <= 3010 || (c < 3018
                    ? (c >= 3014 && c <= 3016)
                    : c <= 3021)))))
              : (c <= 3024 || (c < 3114
                ? (c < 3072
                  ? (c < 3046
                    ? c == 3031
                    : c <= 3055)
                  : (c <= 3084 || (c < 3090
                    ? (c >= 3086 && c <= 3088)
                    : c <= 3112)))
                : (c <= 3129 || (c < 3146
                  ? (c < 3142
                    ? (c >= 3132 && c <= 3140)
                    : c <= 3144)
                  : (c <= 3149 || (c < 3160
                    ? (c >= 3157 && c <= 3158)
                    : c <= 3162)))))))))
          : (c <= 3165 || (c < 3430
            ? (c < 3285
              ? (c < 3218
                ? (c < 3200
                  ? (c < 3174
                    ? (c >= 3168 && c <= 3171)
                    : c <= 3183)
                  : (c <= 3203 || (c < 3214
                    ? (c >= 3205 && c <= 3212)
                    : c <= 3216)))
                : (c <= 3240 || (c < 3260
                  ? (c < 3253
                    ? (c >= 3242 && c <= 3251)
                    : c <= 3257)
                  : (c <= 3268 || (c < 3274
                    ? (c >= 3270 && c <= 3272)
                    : c <= 3277)))))
              : (c <= 3286 || (c < 3342
                ? (c < 3302
                  ? (c < 3296
                    ? (c >= 3293 && c <= 3294)
                    : c <= 3299)
                  : (c <= 3311 || (c < 3328
                    ? (c >= 3313 && c <= 3314)
                    : c <= 3340)))
                : (c <= 3344 || (c < 3402
                  ? (c < 3398
                    ? (c >= 3346 && c <= 3396)
                    : c <= 3400)
                  : (c <= 3406 || (c < 3423
                    ? (c >= 3412 && c <= 3415)
                    : c <= 3427)))))))
            : (c <= 3439 || (c < 3558
              ? (c < 3517
                ? (c < 3461
                  ? (c < 3457
                    ? (c >= 3450 && c <= 3455)
                    : c <= 3459)
                  : (c <= 3478 || (c < 3507
                    ? (c >= 3482 && c <= 3505)
                    : c <= 3515)))
                : (c <= 3517 || (c < 3535
                  ? (c < 3530
                    ? (c >= 3520 && c <= 3526)
                    : c <= 3530)
                  : (c <= 3540 || (c < 3544
                    ? c == 3542
                    : c <= 3551)))))
              : (c <= 3567 || (c < 3716
                ? (c < 3648
                  ? (c < 3585
                    ? (c >= 3570 && c <= 3571)
                    : c <= 3642)
                  : (c <= 3662 || (c < 3713
                    ? (c >= 3664 && c <= 3673)
                    : c <= 3714)))
                : (c <= 3716 || (c < 3749
                  ? (c < 3724
                    ? (c >= 3718 && c <= 3722)
                    : c <= 3747)
                  : (c <= 3749 || (c < 3776
                    ? (c >= 3751 && c <= 3773)
                    : c <= 3780)))))))))))))
      : (c <= 3782 || (c < 8025
        ? (c < 5888
          ? (c < 4688
            ? (c < 3953
              ? (c < 3872
                ? (c < 3804
                  ? (c < 3792
                    ? (c >= 3784 && c <= 3789)
                    : c <= 3801)
                  : (c <= 3807 || (c < 3864
                    ? c == 3840
                    : c <= 3865)))
                : (c <= 3881 || (c < 3897
                  ? (c < 3895
                    ? c == 3893
                    : c <= 3895)
                  : (c <= 3897 || (c < 3913
                    ? (c >= 3902 && c <= 3911)
                    : c <= 3948)))))
              : (c <= 3972 || (c < 4256
                ? (c < 4038
                  ? (c < 3993
                    ? (c >= 3974 && c <= 3991)
                    : c <= 4028)
                  : (c <= 4038 || (c < 4176
                    ? (c >= 4096 && c <= 4169)
                    : c <= 4253)))
                : (c <= 4293 || (c < 4304
                  ? (c < 4301
                    ? c == 4295
                    : c <= 4301)
                  : (c <= 4346 || (c < 4682
                    ? (c >= 4348 && c <= 4680)
                    : c <= 4685)))))))
            : (c <= 4694 || (c < 4882
              ? (c < 4786
                ? (c < 4704
                  ? (c < 4698
                    ? c == 4696
                    : c <= 4701)
                  : (c <= 4744 || (c < 4752
                    ? (c >= 4746 && c <= 4749)
                    : c <= 4784)))
                : (c <= 4789 || (c < 4802
                  ? (c < 4800
                    ? (c >= 4792 && c <= 4798)
                    : c <= 4800)
                  : (c <= 4805 || (c < 4824
                    ? (c >= 4808 && c <= 4822)
                    : c <= 4880)))))
              : (c <= 4885 || (c < 5112
                ? (c < 4969
                  ? (c < 4957
                    ? (c >= 4888 && c <= 4954)
                    : c <= 4959)
                  : (c <= 4977 || (c < 5024
                    ? (c >= 4992 && c <= 5007)
                    : c <= 5109)))
                : (c <= 5117 || (c < 5761
                  ? (c < 5743
                    ? (c >= 5121 && c <= 5740)
                    : c <= 5759)
                  : (c <= 5786 || (c < 5870
                    ? (c >= 5792 && c <= 5866)
                    : c <= 5880)))))))))
          : (c <= 5909 || (c < 6688
            ? (c < 6176
              ? (c < 6016
                ? (c < 5984
                  ? (c < 5952
                    ? (c >= 5919 && c <= 5940)
                    : c <= 5971)
                  : (c <= 5996 || (c < 6002
                    ? (c >= 5998 && c <= 6000)
                    : c <= 6003)))
                : (c <= 6099 || (c < 6112
                  ? (c < 6108
                    ? c == 6103
                    : c <= 6109)
                  : (c <= 6121 || (c < 6159
                    ? (c >= 6155 && c <= 6157)
                    : c <= 6169)))))
              : (c <= 6264 || (c < 6470
                ? (c < 6400
                  ? (c < 6320
                    ? (c >= 6272 && c <= 6314)
                    : c <= 6389)
                  : (c <= 6430 || (c < 6448
                    ? (c >= 6432 && c <= 6443)
                    : c <= 6459)))
                : (c <= 6509 || (c < 6576
                  ? (c < 6528
                    ? (c >= 6512 && c <= 6516)
                    : c <= 6571)
                  : (c <= 6601 || (c < 6656
                    ? (c >= 6608 && c <= 6618)
                    : c <= 6683)))))))
            : (c <= 6750 || (c < 7232
              ? (c < 6847
                ? (c < 6800
                  ? (c < 6783
                    ? (c >= 6752 && c <= 6780)
                    : c <= 6793)
                  : (c <= 6809 || (c < 6832
                    ? c == 6823
                    : c <= 6845)))
                : (c <= 6862 || (c < 7019
                  ? (c < 6992
                    ? (c >= 6912 && c <= 6988)
                    : c <= 7001)
                  : (c <= 7027 || (c < 7168
                    ? (c >= 7040 && c <= 7155)
                    : c <= 7223)))))
              : (c <= 7241 || (c < 7380
                ? (c < 7312
                  ? (c < 7296
                    ? (c >= 7245 && c <= 7293)
                    : c <= 7304)
                  : (c <= 7354 || (c < 7376
                    ? (c >= 7357 && c <= 7359)
                    : c <= 7378)))
                : (c <= 7418 || (c < 7968
                  ? (c < 7960
                    ? (c >= 7424 && c <= 7957)
                    : c <= 7965)
                  : (c <= 8005 || (c < 8016
                    ? (c >= 8008 && c <= 8013)
                    : c <= 8023)))))))))))
        : (c <= 8025 || (c < 11720
          ? (c < 8458
            ? (c < 8178
              ? (c < 8126
                ? (c < 8031
                  ? (c < 8029
                    ? c == 8027
                    : c <= 8029)
                  : (c <= 8061 || (c < 8118
                    ? (c >= 8064 && c <= 8116)
                    : c <= 8124)))
                : (c <= 8126 || (c < 8144
                  ? (c < 8134
                    ? (c >= 8130 && c <= 8132)
                    : c <= 8140)
                  : (c <= 8147 || (c < 8160
                    ? (c >= 8150 && c <= 8155)
                    : c <= 8172)))))
              : (c <= 8180 || (c < 8336
                ? (c < 8276
                  ? (c < 8255
                    ? (c >= 8182 && c <= 8188)
                    : c <= 8256)
                  : (c <= 8276 || (c < 8319
                    ? c == 8305
                    : c <= 8319)))
                : (c <= 8348 || (c < 8421
                  ? (c < 8417
                    ? (c >= 8400 && c <= 8412)
                    : c <= 8417)
                  : (c <= 8432 || (c < 8455
                    ? c == 8450
                    : c <= 8455)))))))
            : (c <= 8467 || (c < 11499
              ? (c < 8490
                ? (c < 8484
                  ? (c < 8472
                    ? c == 8469
                    : c <= 8477)
                  : (c <= 8484 || (c < 8488
                    ? c == 8486
                    : c <= 8488)))
                : (c <= 8505 || (c < 8526
                  ? (c < 8517
                    ? (c >= 8508 && c <= 8511)
                    : c <= 8521)
                  : (c <= 8526 || (c < 11264
                    ? (c >= 8544 && c <= 8584)
                    : c <= 11492)))))
              : (c <= 11507 || (c < 11647
                ? (c < 11565
                  ? (c < 11559
                    ? (c >= 11520 && c <= 11557)
                    : c <= 11559)
                  : (c <= 11565 || (c < 11631
                    ? (c >= 11568 && c <= 11623)
                    : c <= 11631)))
                : (c <= 11670 || (c < 11696
                  ? (c < 11688
                    ? (c >= 11680 && c <= 11686)
                    : c <= 11694)
                  : (c <= 11702 || (c < 11712
                    ? (c >= 11704 && c <= 11710)
                    : c <= 11718)))))))))
          : (c <= 11726 || (c < 42623
            ? (c < 12540
              ? (c < 12337
                ? (c < 11744
                  ? (c < 11736
                    ? (c >= 11728 && c <= 11734)
                    : c <= 11742)
                  : (c <= 11775 || (c < 12321
                    ? (c >= 12293 && c <= 12295)
                    : c <= 12335)))
                : (c <= 12341 || (c < 12441
                  ? (c < 12353
                    ? (c >= 12344 && c <= 12348)
                    : c <= 12438)
                  : (c <= 12442 || (c < 12449
                    ? (c >= 12445 && c <= 12447)
                    : c <= 12538)))))
              : (c <= 12543 || (c < 19968
                ? (c < 12704
                  ? (c < 12593
                    ? (c >= 12549 && c <= 12591)
                    : c <= 12686)
                  : (c <= 12735 || (c < 13312
                    ? (c >= 12784 && c <= 12799)
                    : c <= 19903)))
                : (c <= 42124 || (c < 42512
                  ? (c < 42240
                    ? (c >= 42192 && c <= 42237)
                    : c <= 42508)
                  : (c <= 42539 || (c < 42612
                    ? (c >= 42560 && c <= 42607)
                    : c <= 42621)))))))
            : (c <= 42737 || (c < 43232
              ? (c < 42965
                ? (c < 42891
                  ? (c < 42786
                    ? (c >= 42775 && c <= 42783)
                    : c <= 42888)
                  : (c <= 42954 || (c < 42963
                    ? (c >= 42960 && c <= 42961)
                    : c <= 42963)))
                : (c <= 42969 || (c < 43072
                  ? (c < 43052
                    ? (c >= 42994 && c <= 43047)
                    : c <= 43052)
                  : (c <= 43123 || (c < 43216
                    ? (c >= 43136 && c <= 43205)
                    : c <= 43225)))))
              : (c <= 43255 || (c < 43471
                ? (c < 43312
                  ? (c < 43261
                    ? c == 43259
                    : c <= 43309)
                  : (c <= 43347 || (c < 43392
                    ? (c >= 43360 && c <= 43388)
                    : c <= 43456)))
                : (c <= 43481 || (c < 43584
                  ? (c < 43520
                    ? (c >= 43488 && c <= 43518)
                    : c <= 43574)
                  : (c <= 43597 || (c >= 43600 && c <= 43609)))))))))))))))
    : (c <= 43638 || (c < 71453
      ? (c < 67639
        ? (c < 65345
          ? (c < 64312
            ? (c < 43888
              ? (c < 43785
                ? (c < 43744
                  ? (c < 43739
                    ? (c >= 43642 && c <= 43714)
                    : c <= 43741)
                  : (c <= 43759 || (c < 43777
                    ? (c >= 43762 && c <= 43766)
                    : c <= 43782)))
                : (c <= 43790 || (c < 43816
                  ? (c < 43808
                    ? (c >= 43793 && c <= 43798)
                    : c <= 43814)
                  : (c <= 43822 || (c < 43868
                    ? (c >= 43824 && c <= 43866)
                    : c <= 43881)))))
              : (c <= 44010 || (c < 63744
                ? (c < 44032
                  ? (c < 44016
                    ? (c >= 44012 && c <= 44013)
                    : c <= 44025)
                  : (c <= 55203 || (c < 55243
                    ? (c >= 55216 && c <= 55238)
                    : c <= 55291)))
                : (c <= 64109 || (c < 64275
                  ? (c < 64256
                    ? (c >= 64112 && c <= 64217)
                    : c <= 64262)
                  : (c <= 64279 || (c < 64298
                    ? (c >= 64285 && c <= 64296)
                    : c <= 64310)))))))
            : (c <= 64316 || (c < 65075
              ? (c < 64612
                ? (c < 64323
                  ? (c < 64320
                    ? c == 64318
                    : c <= 64321)
                  : (c <= 64324 || (c < 64467
                    ? (c >= 64326 && c <= 64433)
                    : c <= 64605)))
                : (c <= 64829 || (c < 65008
                  ? (c < 64914
                    ? (c >= 64848 && c <= 64911)
                    : c <= 64967)
                  : (c <= 65017 || (c < 65056
                    ? (c >= 65024 && c <= 65039)
                    : c <= 65071)))))
              : (c <= 65076 || (c < 65147
                ? (c < 65139
                  ? (c < 65137
                    ? (c >= 65101 && c <= 65103)
                    : c <= 65137)
                  : (c <= 65139 || (c < 65145
                    ? c == 65143
                    : c <= 65145)))
                : (c <= 65147 || (c < 65296
                  ? (c < 65151
                    ? c == 65149
                    : c <= 65276)
                  : (c <= 65305 || (c < 65343
                    ? (c >= 65313 && c <= 65338)
                    : c <= 65343)))))))))
          : (c <= 65370 || (c < 66513
            ? (c < 65664
              ? (c < 65536
                ? (c < 65482
                  ? (c < 65474
                    ? (c >= 65382 && c <= 65470)
                    : c <= 65479)
                  : (c <= 65487 || (c < 65498
                    ? (c >= 65490 && c <= 65495)
                    : c <= 65500)))
                : (c <= 65547 || (c < 65596
                  ? (c < 65576
                    ? (c >= 65549 && c <= 65574)
                    : c <= 65594)
                  : (c <= 65597 || (c < 65616
                    ? (c >= 65599 && c <= 65613)
                    : c <= 65629)))))
              : (c <= 65786 || (c < 66304
                ? (c < 66176
                  ? (c < 66045
                    ? (c >= 65856 && c <= 65908)
                    : c <= 66045)
                  : (c <= 66204 || (c < 66272
                    ? (c >= 66208 && c <= 66256)
                    : c <= 66272)))
                : (c <= 66335 || (c < 66432
                  ? (c < 66384
                    ? (c >= 66349 && c <= 66378)
                    : c <= 66426)
                  : (c <= 66461 || (c < 66504
                    ? (c >= 66464 && c <= 66499)
                    : c <= 66511)))))))
            : (c <= 66517 || (c < 66979
              ? (c < 66864
                ? (c < 66736
                  ? (c < 66720
                    ? (c >= 66560 && c <= 66717)
                    : c <= 66729)
                  : (c <= 66771 || (c < 66816
                    ? (c >= 66776 && c <= 66811)
                    : c <= 66855)))
                : (c <= 66915 || (c < 66956
                  ? (c < 66940
                    ? (c >= 66928 && c <= 66938)
                    : c <= 66954)
                  : (c <= 66962 || (c < 66967
                    ? (c >= 66964 && c <= 66965)
                    : c <= 66977)))))
              : (c <= 66993 || (c < 67456
                ? (c < 67072
                  ? (c < 67003
                    ? (c >= 66995 && c <= 67001)
                    : c <= 67004)
                  : (c <= 67382 || (c < 67424
                    ? (c >= 67392 && c <= 67413)
                    : c <= 67431)))
                : (c <= 67461 || (c < 67584
                  ? (c < 67506
                    ? (c >= 67463 && c <= 67504)
                    : c <= 67514)
                  : (c <= 67589 || (c < 67594
                    ? c == 67592
                    : c <= 67637)))))))))))
        : (c <= 67640 || (c < 69956
          ? (c < 68448
            ? (c < 68101
              ? (c < 67828
                ? (c < 67680
                  ? (c < 67647
                    ? c == 67644
                    : c <= 67669)
                  : (c <= 67702 || (c < 67808
                    ? (c >= 67712 && c <= 67742)
                    : c <= 67826)))
                : (c <= 67829 || (c < 67968
                  ? (c < 67872
                    ? (c >= 67840 && c <= 67861)
                    : c <= 67897)
                  : (c <= 68023 || (c < 68096
                    ? (c >= 68030 && c <= 68031)
                    : c <= 68099)))))
              : (c <= 68102 || (c < 68192
                ? (c < 68121
                  ? (c < 68117
                    ? (c >= 68108 && c <= 68115)
                    : c <= 68119)
                  : (c <= 68149 || (c < 68159
                    ? (c >= 68152 && c <= 68154)
                    : c <= 68159)))
                : (c <= 68220 || (c < 68297
                  ? (c < 68288
                    ? (c >= 68224 && c <= 68252)
                    : c <= 68295)
                  : (c <= 68326 || (c < 68416
                    ? (c >= 68352 && c <= 68405)
                    : c <= 68437)))))))
            : (c <= 68466 || (c < 69424
              ? (c < 68912
                ? (c < 68736
                  ? (c < 68608
                    ? (c >= 68480 && c <= 68497)
                    : c <= 68680)
                  : (c <= 68786 || (c < 68864
                    ? (c >= 68800 && c <= 68850)
                    : c <= 68903)))
                : (c <= 68921 || (c < 69296
                  ? (c < 69291
                    ? (c >= 69248 && c <= 69289)
                    : c <= 69292)
                  : (c <= 69297 || (c < 69415
                    ? (c >= 69376 && c <= 69404)
                    : c <= 69415)))))
              : (c <= 69456 || (c < 69759
                ? (c < 69600
                  ? (c < 69552
                    ? (c >= 69488 && c <= 69509)
                    : c <= 69572)
                  : (c <= 69622 || (c < 69734
                    ? (c >= 69632 && c <= 69702)
                    : c <= 69749)))
                : (c <= 69818 || (c < 69872
                  ? (c < 69840
                    ? c == 69826
                    : c <= 69864)
                  : (c <= 69881 || (c < 69942
                    ? (c >= 69888 && c <= 69940)
                    : c <= 69951)))))))))
          : (c <= 69959 || (c < 70459
            ? (c < 70282
              ? (c < 70108
                ? (c < 70016
                  ? (c < 70006
                    ? (c >= 69968 && c <= 70003)
                    : c <= 70006)
                  : (c <= 70084 || (c < 70094
                    ? (c >= 70089 && c <= 70092)
                    : c <= 70106)))
                : (c <= 70108 || (c < 70206
                  ? (c < 70163
                    ? (c >= 70144 && c <= 70161)
                    : c <= 70199)
                  : (c <= 70206 || (c < 70280
                    ? (c >= 70272 && c <= 70278)
                    : c <= 70280)))))
              : (c <= 70285 || (c < 70405
                ? (c < 70320
                  ? (c < 70303
                    ? (c >= 70287 && c <= 70301)
                    : c <= 70312)
                  : (c <= 70378 || (c < 70400
                    ? (c >= 70384 && c <= 70393)
                    : c <= 70403)))
                : (c <= 70412 || (c < 70442
                  ? (c < 70419
                    ? (c >= 70415 && c <= 70416)
                    : c <= 70440)
                  : (c <= 70448 || (c < 70453
                    ? (c >= 70450 && c <= 70451)
                    : c <= 70457)))))))
            : (c <= 70468 || (c < 70855
              ? (c < 70502
                ? (c < 70480
                  ? (c < 70475
                    ? (c >= 70471 && c <= 70472)
                    : c <= 70477)
                  : (c <= 70480 || (c < 70493
                    ? c == 70487
                    : c <= 70499)))
                : (c <= 70508 || (c < 70736
                  ? (c < 70656
                    ? (c >= 70512 && c <= 70516)
                    : c <= 70730)
                  : (c <= 70745 || (c < 70784
                    ? (c >= 70750 && c <= 70753)
                    : c <= 70853)))))
              : (c <= 70855 || (c < 71236
                ? (c < 71096
                  ? (c < 71040
                    ? (c >= 70864 && c <= 70873)
                    : c <= 71093)
                  : (c <= 71104 || (c < 71168
                    ? (c >= 71128 && c <= 71133)
                    : c <= 71232)))
                : (c <= 71236 || (c < 71360
                  ? (c < 71296
                    ? (c >= 71248 && c <= 71257)
                    : c <= 71352)
                  : (c <= 71369 || (c >= 71424 && c <= 71450)))))))))))))
      : (c <= 71467 || (c < 119973
        ? (c < 77824
          ? (c < 72760
            ? (c < 72016
              ? (c < 71945
                ? (c < 71680
                  ? (c < 71488
                    ? (c >= 71472 && c <= 71481)
                    : c <= 71494)
                  : (c <= 71738 || (c < 71935
                    ? (c >= 71840 && c <= 71913)
                    : c <= 71942)))
                : (c <= 71945 || (c < 71960
                  ? (c < 71957
                    ? (c >= 71948 && c <= 71955)
                    : c <= 71958)
                  : (c <= 71989 || (c < 71995
                    ? (c >= 71991 && c <= 71992)
                    : c <= 72003)))))
              : (c <= 72025 || (c < 72263
                ? (c < 72154
                  ? (c < 72106
                    ? (c >= 72096 && c <= 72103)
                    : c <= 72151)
                  : (c <= 72161 || (c < 72192
                    ? (c >= 72163 && c <= 72164)
                    : c <= 72254)))
                : (c <= 72263 || (c < 72368
                  ? (c < 72349
                    ? (c >= 72272 && c <= 72345)
                    : c <= 72349)
                  : (c <= 72440 || (c < 72714
                    ? (c >= 72704 && c <= 72712)
                    : c <= 72758)))))))
            : (c <= 72768 || (c < 73056
              ? (c < 72968
                ? (c < 72850
                  ? (c < 72818
                    ? (c >= 72784 && c <= 72793)
                    : c <= 72847)
                  : (c <= 72871 || (c < 72960
                    ? (c >= 72873 && c <= 72886)
                    : c <= 72966)))
                : (c <= 72969 || (c < 73020
                  ? (c < 73018
                    ? (c >= 72971 && c <= 73014)
                    : c <= 73018)
                  : (c <= 73021 || (c < 73040
                    ? (c >= 73023 && c <= 73031)
                    : c <= 73049)))))
              : (c <= 73061 || (c < 73440
                ? (c < 73104
                  ? (c < 73066
                    ? (c >= 73063 && c <= 73064)
                    : c <= 73102)
                  : (c <= 73105 || (c < 73120
                    ? (c >= 73107 && c <= 73112)
                    : c <= 73129)))
                : (c <= 73462 || (c < 74752
                  ? (c < 73728
                    ? c == 73648
                    : c <= 74649)
                  : (c <= 74862 || (c < 77712
                    ? (c >= 74880 && c <= 75075)
                    : c <= 77808)))))))))
          : (c <= 78894 || (c < 110576
            ? (c < 93027
              ? (c < 92864
                ? (c < 92736
                  ? (c < 92160
                    ? (c >= 82944 && c <= 83526)
                    : c <= 92728)
                  : (c <= 92766 || (c < 92784
                    ? (c >= 92768 && c <= 92777)
                    : c <= 92862)))
                : (c <= 92873 || (c < 92928
                  ? (c < 92912
                    ? (c >= 92880 && c <= 92909)
                    : c <= 92916)
                  : (c <= 92982 || (c < 93008
                    ? (c >= 92992 && c <= 92995)
                    : c <= 93017)))))
              : (c <= 93047 || (c < 94176
                ? (c < 93952
                  ? (c < 93760
                    ? (c >= 93053 && c <= 93071)
                    : c <= 93823)
                  : (c <= 94026 || (c < 94095
                    ? (c >= 94031 && c <= 94087)
                    : c <= 94111)))
                : (c <= 94177 || (c < 94208
                  ? (c < 94192
                    ? (c >= 94179 && c <= 94180)
                    : c <= 94193)
                  : (c <= 100343 || (c < 101632
                    ? (c >= 100352 && c <= 101589)
                    : c <= 101640)))))))
            : (c <= 110579 || (c < 118528
              ? (c < 110960
                ? (c < 110592
                  ? (c < 110589
                    ? (c >= 110581 && c <= 110587)
                    : c <= 110590)
                  : (c <= 110882 || (c < 110948
                    ? (c >= 110928 && c <= 110930)
                    : c <= 110951)))
                : (c <= 111355 || (c < 113792
                  ? (c < 113776
                    ? (c >= 113664 && c <= 113770)
                    : c <= 113788)
                  : (c <= 113800 || (c < 113821
                    ? (c >= 113808 && c <= 113817)
                    : c <= 113822)))))
              : (c <= 118573 || (c < 119210
                ? (c < 119149
                  ? (c < 119141
                    ? (c >= 118576 && c <= 118598)
                    : c <= 119145)
                  : (c <= 119154 || (c < 119173
                    ? (c >= 119163 && c <= 119170)
                    : c <= 119179)))
                : (c <= 119213 || (c < 119894
                  ? (c < 119808
                    ? (c >= 119362 && c <= 119364)
                    : c <= 119892)
                  : (c <= 119964 || (c < 119970
                    ? (c >= 119966 && c <= 119967)
                    : c <= 119970)))))))))))
        : (c <= 119974 || (c < 124912
          ? (c < 120746
            ? (c < 120134
              ? (c < 120071
                ? (c < 119995
                  ? (c < 119982
                    ? (c >= 119977 && c <= 119980)
                    : c <= 119993)
                  : (c <= 119995 || (c < 120005
                    ? (c >= 119997 && c <= 120003)
                    : c <= 120069)))
                : (c <= 120074 || (c < 120094
                  ? (c < 120086
                    ? (c >= 120077 && c <= 120084)
                    : c <= 120092)
                  : (c <= 120121 || (c < 120128
                    ? (c >= 120123 && c <= 120126)
                    : c <= 120132)))))
              : (c <= 120134 || (c < 120572
                ? (c < 120488
                  ? (c < 120146
                    ? (c >= 120138 && c <= 120144)
                    : c <= 120485)
                  : (c <= 120512 || (c < 120540
                    ? (c >= 120514 && c <= 120538)
                    : c <= 120570)))
                : (c <= 120596 || (c < 120656
                  ? (c < 120630
                    ? (c >= 120598 && c <= 120628)
                    : c <= 120654)
                  : (c <= 120686 || (c < 120714
                    ? (c >= 120688 && c <= 120712)
                    : c <= 120744)))))))
            : (c <= 120770 || (c < 122907
              ? (c < 121476
                ? (c < 121344
                  ? (c < 120782
                    ? (c >= 120772 && c <= 120779)
                    : c <= 120831)
                  : (c <= 121398 || (c < 121461
                    ? (c >= 121403 && c <= 121452)
                    : c <= 121461)))
                : (c <= 121476 || (c < 122624
                  ? (c < 121505
                    ? (c >= 121499 && c <= 121503)
                    : c <= 121519)
                  : (c <= 122654 || (c < 122888
                    ? (c >= 122880 && c <= 122886)
                    : c <= 122904)))))
              : (c <= 122913 || (c < 123214
                ? (c < 123136
                  ? (c < 122918
                    ? (c >= 122915 && c <= 122916)
                    : c <= 122922)
                  : (c <= 123180 || (c < 123200
                    ? (c >= 123184 && c <= 123197)
                    : c <= 123209)))
                : (c <= 123214 || (c < 124896
                  ? (c < 123584
                    ? (c >= 123536 && c <= 123566)
                    : c <= 123641)
                  : (c <= 124902 || (c < 124909
                    ? (c >= 124904 && c <= 124907)
                    : c <= 124910)))))))))
          : (c <= 124926 || (c < 126557
            ? (c < 126521
              ? (c < 126469
                ? (c < 125184
                  ? (c < 125136
                    ? (c >= 124928 && c <= 125124)
                    : c <= 125142)
                  : (c <= 125259 || (c < 126464
                    ? (c >= 125264 && c <= 125273)
                    : c <= 126467)))
                : (c <= 126495 || (c < 126503
                  ? (c < 126500
                    ? (c >= 126497 && c <= 126498)
                    : c <= 126500)
                  : (c <= 126503 || (c < 126516
                    ? (c >= 126505 && c <= 126514)
                    : c <= 126519)))))
              : (c <= 126521 || (c < 126541
                ? (c < 126535
                  ? (c < 126530
                    ? c == 126523
                    : c <= 126530)
                  : (c <= 126535 || (c < 126539
                    ? c == 126537
                    : c <= 126539)))
                : (c <= 126543 || (c < 126551
                  ? (c < 126548
                    ? (c >= 126545 && c <= 126546)
                    : c <= 126548)
                  : (c <= 126551 || (c < 126555
                    ? c == 126553
                    : c <= 126555)))))))
            : (c <= 126557 || (c < 126629
              ? (c < 126580
                ? (c < 126564
                  ? (c < 126561
                    ? c == 126559
                    : c <= 126562)
                  : (c <= 126564 || (c < 126572
                    ? (c >= 126567 && c <= 126570)
                    : c <= 126578)))
                : (c <= 126583 || (c < 126592
                  ? (c < 126590
                    ? (c >= 126585 && c <= 126588)
                    : c <= 126590)
                  : (c <= 126601 || (c < 126625
                    ? (c >= 126603 && c <= 126619)
                    : c <= 126627)))))
              : (c <= 126633 || (c < 178208
                ? (c < 131072
                  ? (c < 130032
                    ? (c >= 126635 && c <= 126651)
                    : c <= 130041)
                  : (c <= 173791 || (c < 177984
                    ? (c >= 173824 && c <= 177976)
                    : c <= 178205)))
                : (c <= 183969 || (c < 196608
                  ? (c < 194560
                    ? (c >= 183984 && c <= 191456)
                    : c <= 195101)
                  : (c <= 201546 || (c >= 917760 && c <= 917999)))))))))))))))));
}

static inline bool sym_identifier_character_set_44(int32_t c) {
  return (c < 43616
    ? (c < 3782
      ? (c < 2748
        ? (c < 2045
          ? (c < 1015
            ? (c < 710
              ? (c < 181
                ? (c < 'A'
                  ? (c < '0'
                    ? c == '$'
                    : c <= '9')
                  : (c <= 'Z' || (c < 170
                    ? (c >= 'a' && c <= 'z')
                    : c <= 170)))
                : (c <= 181 || (c < 192
                  ? (c < 186
                    ? c == 183
                    : c <= 186)
                  : (c <= 214 || (c < 248
                    ? (c >= 216 && c <= 246)
                    : c <= 705)))))
              : (c <= 721 || (c < 891
                ? (c < 750
                  ? (c < 748
                    ? (c >= 736 && c <= 740)
                    : c <= 748)
                  : (c <= 750 || (c < 886
                    ? (c >= 768 && c <= 884)
                    : c <= 887)))
                : (c <= 893 || (c < 908
                  ? (c < 902
                    ? c == 895
                    : c <= 906)
                  : (c <= 908 || (c < 931
                    ? (c >= 910 && c <= 929)
                    : c <= 1013)))))))
            : (c <= 1153 || (c < 1519
              ? (c < 1425
                ? (c < 1329
                  ? (c < 1162
                    ? (c >= 1155 && c <= 1159)
                    : c <= 1327)
                  : (c <= 1366 || (c < 1376
                    ? c == 1369
                    : c <= 1416)))
                : (c <= 1469 || (c < 1476
                  ? (c < 1473
                    ? c == 1471
                    : c <= 1474)
                  : (c <= 1477 || (c < 1488
                    ? c == 1479
                    : c <= 1514)))))
              : (c <= 1522 || (c < 1770
                ? (c < 1646
                  ? (c < 1568
                    ? (c >= 1552 && c <= 1562)
                    : c <= 1641)
                  : (c <= 1747 || (c < 1759
                    ? (c >= 1749 && c <= 1756)
                    : c <= 1768)))
                : (c <= 1788 || (c < 1869
                  ? (c < 1808
                    ? c == 1791
                    : c <= 1866)
                  : (c <= 1969 || (c < 2042
                    ? (c >= 1984 && c <= 2037)
                    : c <= 2042)))))))))
          : (c <= 2045 || (c < 2558
            ? (c < 2451
              ? (c < 2200
                ? (c < 2144
                  ? (c < 2112
                    ? (c >= 2048 && c <= 2093)
                    : c <= 2139)
                  : (c <= 2154 || (c < 2185
                    ? (c >= 2160 && c <= 2183)
                    : c <= 2190)))
                : (c <= 2273 || (c < 2417
                  ? (c < 2406
                    ? (c >= 2275 && c <= 2403)
                    : c <= 2415)
                  : (c <= 2435 || (c < 2447
                    ? (c >= 2437 && c <= 2444)
                    : c <= 2448)))))
              : (c <= 2472 || (c < 2507
                ? (c < 2486
                  ? (c < 2482
                    ? (c >= 2474 && c <= 2480)
                    : c <= 2482)
                  : (c <= 2489 || (c < 2503
                    ? (c >= 2492 && c <= 2500)
                    : c <= 2504)))
                : (c <= 2510 || (c < 2527
                  ? (c < 2524
                    ? c == 2519
                    : c <= 2525)
                  : (c <= 2531 || (c < 2556
                    ? (c >= 2534 && c <= 2545)
                    : c <= 2556)))))))
            : (c <= 2558 || (c < 2635
              ? (c < 2610
                ? (c < 2575
                  ? (c < 2565
                    ? (c >= 2561 && c <= 2563)
                    : c <= 2570)
                  : (c <= 2576 || (c < 2602
                    ? (c >= 2579 && c <= 2600)
                    : c <= 2608)))
                : (c <= 2611 || (c < 2620
                  ? (c < 2616
                    ? (c >= 2613 && c <= 2614)
                    : c <= 2617)
                  : (c <= 2620 || (c < 2631
                    ? (c >= 2622 && c <= 2626)
                    : c <= 2632)))))
              : (c <= 2637 || (c < 2693
                ? (c < 2654
                  ? (c < 2649
                    ? c == 2641
                    : c <= 2652)
                  : (c <= 2654 || (c < 2689
                    ? (c >= 2662 && c <= 2677)
                    : c <= 2691)))
                : (c <= 2701 || (c < 2730
                  ? (c < 2707
                    ? (c >= 2703 && c <= 2705)
                    : c <= 2728)
                  : (c <= 2736 || (c < 2741
                    ? (c >= 2738 && c <= 2739)
                    : c <= 2745)))))))))))
        : (c <= 2757 || (c < 3168
          ? (c < 2958
            ? (c < 2866
              ? (c < 2809
                ? (c < 2768
                  ? (c < 2763
                    ? (c >= 2759 && c <= 2761)
                    : c <= 2765)
                  : (c <= 2768 || (c < 2790
                    ? (c >= 2784 && c <= 2787)
                    : c <= 2799)))
                : (c <= 2815 || (c < 2831
                  ? (c < 2821
                    ? (c >= 2817 && c <= 2819)
                    : c <= 2828)
                  : (c <= 2832 || (c < 2858
                    ? (c >= 2835 && c <= 2856)
                    : c <= 2864)))))
              : (c <= 2867 || (c < 2908
                ? (c < 2887
                  ? (c < 2876
                    ? (c >= 2869 && c <= 2873)
                    : c <= 2884)
                  : (c <= 2888 || (c < 2901
                    ? (c >= 2891 && c <= 2893)
                    : c <= 2903)))
                : (c <= 2909 || (c < 2929
                  ? (c < 2918
                    ? (c >= 2911 && c <= 2915)
                    : c <= 2927)
                  : (c <= 2929 || (c < 2949
                    ? (c >= 2946 && c <= 2947)
                    : c <= 2954)))))))
            : (c <= 2960 || (c < 3031
              ? (c < 2984
                ? (c < 2972
                  ? (c < 2969
                    ? (c >= 2962 && c <= 2965)
                    : c <= 2970)
                  : (c <= 2972 || (c < 2979
                    ? (c >= 2974 && c <= 2975)
                    : c <= 2980)))
                : (c <= 2986 || (c < 3014
                  ? (c < 3006
                    ? (c >= 2990 && c <= 3001)
                    : c <= 3010)
                  : (c <= 3016 || (c < 3024
                    ? (c >= 3018 && c <= 3021)
                    : c <= 3024)))))
              : (c <= 3031 || (c < 3132
                ? (c < 3086
                  ? (c < 3072
                    ? (c >= 3046 && c <= 3055)
                    : c <= 3084)
                  : (c <= 3088 || (c < 3114
                    ? (c >= 3090 && c <= 3112)
                    : c <= 3129)))
                : (c <= 3140 || (c < 3157
                  ? (c < 3146
                    ? (c >= 3142 && c <= 3144)
                    : c <= 3149)
                  : (c <= 3158 || (c < 3165
                    ? (c >= 3160 && c <= 3162)
                    : c <= 3165)))))))))
          : (c <= 3171 || (c < 3450
            ? (c < 3293
              ? (c < 3242
                ? (c < 3205
                  ? (c < 3200
                    ? (c >= 3174 && c <= 3183)
                    : c <= 3203)
                  : (c <= 3212 || (c < 3218
                    ? (c >= 3214 && c <= 3216)
                    : c <= 3240)))
                : (c <= 3251 || (c < 3270
                  ? (c < 3260
                    ? (c >= 3253 && c <= 3257)
                    : c <= 3268)
                  : (c <= 3272 || (c < 3285
                    ? (c >= 3274 && c <= 3277)
                    : c <= 3286)))))
              : (c <= 3294 || (c < 3346
                ? (c < 3313
                  ? (c < 3302
                    ? (c >= 3296 && c <= 3299)
                    : c <= 3311)
                  : (c <= 3314 || (c < 3342
                    ? (c >= 3328 && c <= 3340)
                    : c <= 3344)))
                : (c <= 3396 || (c < 3412
                  ? (c < 3402
                    ? (c >= 3398 && c <= 3400)
                    : c <= 3406)
                  : (c <= 3415 || (c < 3430
                    ? (c >= 3423 && c <= 3427)
                    : c <= 3439)))))))
            : (c <= 3455 || (c < 3570
              ? (c < 3520
                ? (c < 3482
                  ? (c < 3461
                    ? (c >= 3457 && c <= 3459)
                    : c <= 3478)
                  : (c <= 3505 || (c < 3517
                    ? (c >= 3507 && c <= 3515)
                    : c <= 3517)))
                : (c <= 3526 || (c < 3542
                  ? (c < 3535
                    ? c == 3530
                    : c <= 3540)
                  : (c <= 3542 || (c < 3558
                    ? (c >= 3544 && c <= 3551)
                    : c <= 3567)))))
              : (c <= 3571 || (c < 3718
                ? (c < 3664
                  ? (c < 3648
                    ? (c >= 3585 && c <= 3642)
                    : c <= 3662)
                  : (c <= 3673 || (c < 3716
                    ? (c >= 3713 && c <= 3714)
                    : c <= 3716)))
                : (c <= 3722 || (c < 3751
                  ? (c < 3749
                    ? (c >= 3724 && c <= 3747)
                    : c <= 3749)
                  : (c <= 3773 || (c >= 3776 && c <= 3780)))))))))))))
      : (c <= 3782 || (c < 8025
        ? (c < 5888
          ? (c < 4688
            ? (c < 3953
              ? (c < 3872
                ? (c < 3804
                  ? (c < 3792
                    ? (c >= 3784 && c <= 3789)
                    : c <= 3801)
                  : (c <= 3807 || (c < 3864
                    ? c == 3840
                    : c <= 3865)))
                : (c <= 3881 || (c < 3897
                  ? (c < 3895
                    ? c == 3893
                    : c <= 3895)
                  : (c <= 3897 || (c < 3913
                    ? (c >= 3902 && c <= 3911)
                    : c <= 3948)))))
              : (c <= 3972 || (c < 4256
                ? (c < 4038
                  ? (c < 3993
                    ? (c >= 3974 && c <= 3991)
                    : c <= 4028)
                  : (c <= 4038 || (c < 4176
                    ? (c >= 4096 && c <= 4169)
                    : c <= 4253)))
                : (c <= 4293 || (c < 4304
                  ? (c < 4301
                    ? c == 4295
                    : c <= 4301)
                  : (c <= 4346 || (c < 4682
                    ? (c >= 4348 && c <= 4680)
                    : c <= 4685)))))))
            : (c <= 4694 || (c < 4882
              ? (c < 4786
                ? (c < 4704
                  ? (c < 4698
                    ? c == 4696
                    : c <= 4701)
                  : (c <= 4744 || (c < 4752
                    ? (c >= 4746 && c <= 4749)
                    : c <= 4784)))
                : (c <= 4789 || (c < 4802
                  ? (c < 4800
                    ? (c >= 4792 && c <= 4798)
                    : c <= 4800)
                  : (c <= 4805 || (c < 4824
                    ? (c >= 4808 && c <= 4822)
                    : c <= 4880)))))
              : (c <= 4885 || (c < 5112
                ? (c < 4969
                  ? (c < 4957
                    ? (c >= 4888 && c <= 4954)
                    : c <= 4959)
                  : (c <= 4977 || (c < 5024
                    ? (c >= 4992 && c <= 5007)
                    : c <= 5109)))
                : (c <= 5117 || (c < 5761
                  ? (c < 5743
                    ? (c >= 5121 && c <= 5740)
                    : c <= 5759)
                  : (c <= 5786 || (c < 5870
                    ? (c >= 5792 && c <= 5866)
                    : c <= 5880)))))))))
          : (c <= 5909 || (c < 6688
            ? (c < 6176
              ? (c < 6016
                ? (c < 5984
                  ? (c < 5952
                    ? (c >= 5919 && c <= 5940)
                    : c <= 5971)
                  : (c <= 5996 || (c < 6002
                    ? (c >= 5998 && c <= 6000)
                    : c <= 6003)))
                : (c <= 6099 || (c < 6112
                  ? (c < 6108
                    ? c == 6103
                    : c <= 6109)
                  : (c <= 6121 || (c < 6159
                    ? (c >= 6155 && c <= 6157)
                    : c <= 6169)))))
              : (c <= 6264 || (c < 6470
                ? (c < 6400
                  ? (c < 6320
                    ? (c >= 6272 && c <= 6314)
                    : c <= 6389)
                  : (c <= 6430 || (c < 6448
                    ? (c >= 6432 && c <= 6443)
                    : c <= 6459)))
                : (c <= 6509 || (c < 6576
                  ? (c < 6528
                    ? (c >= 6512 && c <= 6516)
                    : c <= 6571)
                  : (c <= 6601 || (c < 6656
                    ? (c >= 6608 && c <= 6618)
                    : c <= 6683)))))))
            : (c <= 6750 || (c < 7232
              ? (c < 6847
                ? (c < 6800
                  ? (c < 6783
                    ? (c >= 6752 && c <= 6780)
                    : c <= 6793)
                  : (c <= 6809 || (c < 6832
                    ? c == 6823
                    : c <= 6845)))
                : (c <= 6862 || (c < 7019
                  ? (c < 6992
                    ? (c >= 6912 && c <= 6988)
                    : c <= 7001)
                  : (c <= 7027 || (c < 7168
                    ? (c >= 7040 && c <= 7155)
                    : c <= 7223)))))
              : (c <= 7241 || (c < 7380
                ? (c < 7312
                  ? (c < 7296
                    ? (c >= 7245 && c <= 7293)
                    : c <= 7304)
                  : (c <= 7354 || (c < 7376
                    ? (c >= 7357 && c <= 7359)
                    : c <= 7378)))
                : (c <= 7418 || (c < 7968
                  ? (c < 7960
                    ? (c >= 7424 && c <= 7957)
                    : c <= 7965)
                  : (c <= 8005 || (c < 8016
                    ? (c >= 8008 && c <= 8013)
                    : c <= 8023)))))))))))
        : (c <= 8025 || (c < 11720
          ? (c < 8458
            ? (c < 8178
              ? (c < 8126
                ? (c < 8031
                  ? (c < 8029
                    ? c == 8027
                    : c <= 8029)
                  : (c <= 8061 || (c < 8118
                    ? (c >= 8064 && c <= 8116)
                    : c <= 8124)))
                : (c <= 8126 || (c < 8144
                  ? (c < 8134
                    ? (c >= 8130 && c <= 8132)
                    : c <= 8140)
                  : (c <= 8147 || (c < 8160
                    ? (c >= 8150 && c <= 8155)
                    : c <= 8172)))))
              : (c <= 8180 || (c < 8336
                ? (c < 8276
                  ? (c < 8255
                    ? (c >= 8182 && c <= 8188)
                    : c <= 8256)
                  : (c <= 8276 || (c < 8319
                    ? c == 8305
                    : c <= 8319)))
                : (c <= 8348 || (c < 8421
                  ? (c < 8417
                    ? (c >= 8400 && c <= 8412)
                    : c <= 8417)
                  : (c <= 8432 || (c < 8455
                    ? c == 8450
                    : c <= 8455)))))))
            : (c <= 8467 || (c < 11499
              ? (c < 8490
                ? (c < 8484
                  ? (c < 8472
                    ? c == 8469
                    : c <= 8477)
                  : (c <= 8484 || (c < 8488
                    ? c == 8486
                    : c <= 8488)))
                : (c <= 8505 || (c < 8526
                  ? (c < 8517
                    ? (c >= 8508 && c <= 8511)
                    : c <= 8521)
                  : (c <= 8526 || (c < 11264
                    ? (c >= 8544 && c <= 8584)
                    : c <= 11492)))))
              : (c <= 11507 || (c < 11647
                ? (c < 11565
                  ? (c < 11559
                    ? (c >= 11520 && c <= 11557)
                    : c <= 11559)
                  : (c <= 11565 || (c < 11631
                    ? (c >= 11568 && c <= 11623)
                    : c <= 11631)))
                : (c <= 11670 || (c < 11696
                  ? (c < 11688
                    ? (c >= 11680 && c <= 11686)
                    : c <= 11694)
                  : (c <= 11702 || (c < 11712
                    ? (c >= 11704 && c <= 11710)
                    : c <= 11718)))))))))
          : (c <= 11726 || (c < 42623
            ? (c < 12540
              ? (c < 12337
                ? (c < 11744
                  ? (c < 11736
                    ? (c >= 11728 && c <= 11734)
                    : c <= 11742)
                  : (c <= 11775 || (c < 12321
                    ? (c >= 12293 && c <= 12295)
                    : c <= 12335)))
                : (c <= 12341 || (c < 12441
                  ? (c < 12353
                    ? (c >= 12344 && c <= 12348)
                    : c <= 12438)
                  : (c <= 12442 || (c < 12449
                    ? (c >= 12445 && c <= 12447)
                    : c <= 12538)))))
              : (c <= 12543 || (c < 19968
                ? (c < 12704
                  ? (c < 12593
                    ? (c >= 12549 && c <= 12591)
                    : c <= 12686)
                  : (c <= 12735 || (c < 13312
                    ? (c >= 12784 && c <= 12799)
                    : c <= 19903)))
                : (c <= 42124 || (c < 42512
                  ? (c < 42240
                    ? (c >= 42192 && c <= 42237)
                    : c <= 42508)
                  : (c <= 42539 || (c < 42612
                    ? (c >= 42560 && c <= 42607)
                    : c <= 42621)))))))
            : (c <= 42737 || (c < 43232
              ? (c < 42965
                ? (c < 42891
                  ? (c < 42786
                    ? (c >= 42775 && c <= 42783)
                    : c <= 42888)
                  : (c <= 42954 || (c < 42963
                    ? (c >= 42960 && c <= 42961)
                    : c <= 42963)))
                : (c <= 42969 || (c < 43072
                  ? (c < 43052
                    ? (c >= 42994 && c <= 43047)
                    : c <= 43052)
                  : (c <= 43123 || (c < 43216
                    ? (c >= 43136 && c <= 43205)
                    : c <= 43225)))))
              : (c <= 43255 || (c < 43471
                ? (c < 43312
                  ? (c < 43261
                    ? c == 43259
                    : c <= 43309)
                  : (c <= 43347 || (c < 43392
                    ? (c >= 43360 && c <= 43388)
                    : c <= 43456)))
                : (c <= 43481 || (c < 43584
                  ? (c < 43520
                    ? (c >= 43488 && c <= 43518)
                    : c <= 43574)
                  : (c <= 43597 || (c >= 43600 && c <= 43609)))))))))))))))
    : (c <= 43638 || (c < 71453
      ? (c < 67639
        ? (c < 65345
          ? (c < 64312
            ? (c < 43888
              ? (c < 43785
                ? (c < 43744
                  ? (c < 43739
                    ? (c >= 43642 && c <= 43714)
                    : c <= 43741)
                  : (c <= 43759 || (c < 43777
                    ? (c >= 43762 && c <= 43766)
                    : c <= 43782)))
                : (c <= 43790 || (c < 43816
                  ? (c < 43808
                    ? (c >= 43793 && c <= 43798)
                    : c <= 43814)
                  : (c <= 43822 || (c < 43868
                    ? (c >= 43824 && c <= 43866)
                    : c <= 43881)))))
              : (c <= 44010 || (c < 63744
                ? (c < 44032
                  ? (c < 44016
                    ? (c >= 44012 && c <= 44013)
                    : c <= 44025)
                  : (c <= 55203 || (c < 55243
                    ? (c >= 55216 && c <= 55238)
                    : c <= 55291)))
                : (c <= 64109 || (c < 64275
                  ? (c < 64256
                    ? (c >= 64112 && c <= 64217)
                    : c <= 64262)
                  : (c <= 64279 || (c < 64298
                    ? (c >= 64285 && c <= 64296)
                    : c <= 64310)))))))
            : (c <= 64316 || (c < 65075
              ? (c < 64612
                ? (c < 64323
                  ? (c < 64320
                    ? c == 64318
                    : c <= 64321)
                  : (c <= 64324 || (c < 64467
                    ? (c >= 64326 && c <= 64433)
                    : c <= 64605)))
                : (c <= 64829 || (c < 65008
                  ? (c < 64914
                    ? (c >= 64848 && c <= 64911)
                    : c <= 64967)
                  : (c <= 65017 || (c < 65056
                    ? (c >= 65024 && c <= 65039)
                    : c <= 65071)))))
              : (c <= 65076 || (c < 65147
                ? (c < 65139
                  ? (c < 65137
                    ? (c >= 65101 && c <= 65103)
                    : c <= 65137)
                  : (c <= 65139 || (c < 65145
                    ? c == 65143
                    : c <= 65145)))
                : (c <= 65147 || (c < 65296
                  ? (c < 65151
                    ? c == 65149
                    : c <= 65276)
                  : (c <= 65305 || (c < 65343
                    ? (c >= 65313 && c <= 65338)
                    : c <= 65343)))))))))
          : (c <= 65370 || (c < 66513
            ? (c < 65664
              ? (c < 65536
                ? (c < 65482
                  ? (c < 65474
                    ? (c >= 65382 && c <= 65470)
                    : c <= 65479)
                  : (c <= 65487 || (c < 65498
                    ? (c >= 65490 && c <= 65495)
                    : c <= 65500)))
                : (c <= 65547 || (c < 65596
                  ? (c < 65576
                    ? (c >= 65549 && c <= 65574)
                    : c <= 65594)
                  : (c <= 65597 || (c < 65616
                    ? (c >= 65599 && c <= 65613)
                    : c <= 65629)))))
              : (c <= 65786 || (c < 66304
                ? (c < 66176
                  ? (c < 66045
                    ? (c >= 65856 && c <= 65908)
                    : c <= 66045)
                  : (c <= 66204 || (c < 66272
                    ? (c >= 66208 && c <= 66256)
                    : c <= 66272)))
                : (c <= 66335 || (c < 66432
                  ? (c < 66384
                    ? (c >= 66349 && c <= 66378)
                    : c <= 66426)
                  : (c <= 66461 || (c < 66504
                    ? (c >= 66464 && c <= 66499)
                    : c <= 66511)))))))
            : (c <= 66517 || (c < 66979
              ? (c < 66864
                ? (c < 66736
                  ? (c < 66720
                    ? (c >= 66560 && c <= 66717)
                    : c <= 66729)
                  : (c <= 66771 || (c < 66816
                    ? (c >= 66776 && c <= 66811)
                    : c <= 66855)))
                : (c <= 66915 || (c < 66956
                  ? (c < 66940
                    ? (c >= 66928 && c <= 66938)
                    : c <= 66954)
                  : (c <= 66962 || (c < 66967
                    ? (c >= 66964 && c <= 66965)
                    : c <= 66977)))))
              : (c <= 66993 || (c < 67456
                ? (c < 67072
                  ? (c < 67003
                    ? (c >= 66995 && c <= 67001)
                    : c <= 67004)
                  : (c <= 67382 || (c < 67424
                    ? (c >= 67392 && c <= 67413)
                    : c <= 67431)))
                : (c <= 67461 || (c < 67584
                  ? (c < 67506
                    ? (c >= 67463 && c <= 67504)
                    : c <= 67514)
                  : (c <= 67589 || (c < 67594
                    ? c == 67592
                    : c <= 67637)))))))))))
        : (c <= 67640 || (c < 69956
          ? (c < 68448
            ? (c < 68101
              ? (c < 67828
                ? (c < 67680
                  ? (c < 67647
                    ? c == 67644
                    : c <= 67669)
                  : (c <= 67702 || (c < 67808
                    ? (c >= 67712 && c <= 67742)
                    : c <= 67826)))
                : (c <= 67829 || (c < 67968
                  ? (c < 67872
                    ? (c >= 67840 && c <= 67861)
                    : c <= 67897)
                  : (c <= 68023 || (c < 68096
                    ? (c >= 68030 && c <= 68031)
                    : c <= 68099)))))
              : (c <= 68102 || (c < 68192
                ? (c < 68121
                  ? (c < 68117
                    ? (c >= 68108 && c <= 68115)
                    : c <= 68119)
                  : (c <= 68149 || (c < 68159
                    ? (c >= 68152 && c <= 68154)
                    : c <= 68159)))
                : (c <= 68220 || (c < 68297
                  ? (c < 68288
                    ? (c >= 68224 && c <= 68252)
                    : c <= 68295)
                  : (c <= 68326 || (c < 68416
                    ? (c >= 68352 && c <= 68405)
                    : c <= 68437)))))))
            : (c <= 68466 || (c < 69424
              ? (c < 68912
                ? (c < 68736
                  ? (c < 68608
                    ? (c >= 68480 && c <= 68497)
                    : c <= 68680)
                  : (c <= 68786 || (c < 68864
                    ? (c >= 68800 && c <= 68850)
                    : c <= 68903)))
                : (c <= 68921 || (c < 69296
                  ? (c < 69291
                    ? (c >= 69248 && c <= 69289)
                    : c <= 69292)
                  : (c <= 69297 || (c < 69415
                    ? (c >= 69376 && c <= 69404)
                    : c <= 69415)))))
              : (c <= 69456 || (c < 69759
                ? (c < 69600
                  ? (c < 69552
                    ? (c >= 69488 && c <= 69509)
                    : c <= 69572)
                  : (c <= 69622 || (c < 69734
                    ? (c >= 69632 && c <= 69702)
                    : c <= 69749)))
                : (c <= 69818 || (c < 69872
                  ? (c < 69840
                    ? c == 69826
                    : c <= 69864)
                  : (c <= 69881 || (c < 69942
                    ? (c >= 69888 && c <= 69940)
                    : c <= 69951)))))))))
          : (c <= 69959 || (c < 70459
            ? (c < 70282
              ? (c < 70108
                ? (c < 70016
                  ? (c < 70006
                    ? (c >= 69968 && c <= 70003)
                    : c <= 70006)
                  : (c <= 70084 || (c < 70094
                    ? (c >= 70089 && c <= 70092)
                    : c <= 70106)))
                : (c <= 70108 || (c < 70206
                  ? (c < 70163
                    ? (c >= 70144 && c <= 70161)
                    : c <= 70199)
                  : (c <= 70206 || (c < 70280
                    ? (c >= 70272 && c <= 70278)
                    : c <= 70280)))))
              : (c <= 70285 || (c < 70405
                ? (c < 70320
                  ? (c < 70303
                    ? (c >= 70287 && c <= 70301)
                    : c <= 70312)
                  : (c <= 70378 || (c < 70400
                    ? (c >= 70384 && c <= 70393)
                    : c <= 70403)))
                : (c <= 70412 || (c < 70442
                  ? (c < 70419
                    ? (c >= 70415 && c <= 70416)
                    : c <= 70440)
                  : (c <= 70448 || (c < 70453
                    ? (c >= 70450 && c <= 70451)
                    : c <= 70457)))))))
            : (c <= 70468 || (c < 70855
              ? (c < 70502
                ? (c < 70480
                  ? (c < 70475
                    ? (c >= 70471 && c <= 70472)
                    : c <= 70477)
                  : (c <= 70480 || (c < 70493
                    ? c == 70487
                    : c <= 70499)))
                : (c <= 70508 || (c < 70736
                  ? (c < 70656
                    ? (c >= 70512 && c <= 70516)
                    : c <= 70730)
                  : (c <= 70745 || (c < 70784
                    ? (c >= 70750 && c <= 70753)
                    : c <= 70853)))))
              : (c <= 70855 || (c < 71236
                ? (c < 71096
                  ? (c < 71040
                    ? (c >= 70864 && c <= 70873)
                    : c <= 71093)
                  : (c <= 71104 || (c < 71168
                    ? (c >= 71128 && c <= 71133)
                    : c <= 71232)))
                : (c <= 71236 || (c < 71360
                  ? (c < 71296
                    ? (c >= 71248 && c <= 71257)
                    : c <= 71352)
                  : (c <= 71369 || (c >= 71424 && c <= 71450)))))))))))))
      : (c <= 71467 || (c < 119973
        ? (c < 77824
          ? (c < 72760
            ? (c < 72016
              ? (c < 71945
                ? (c < 71680
                  ? (c < 71488
                    ? (c >= 71472 && c <= 71481)
                    : c <= 71494)
                  : (c <= 71738 || (c < 71935
                    ? (c >= 71840 && c <= 71913)
                    : c <= 71942)))
                : (c <= 71945 || (c < 71960
                  ? (c < 71957
                    ? (c >= 71948 && c <= 71955)
                    : c <= 71958)
                  : (c <= 71989 || (c < 71995
                    ? (c >= 71991 && c <= 71992)
                    : c <= 72003)))))
              : (c <= 72025 || (c < 72263
                ? (c < 72154
                  ? (c < 72106
                    ? (c >= 72096 && c <= 72103)
                    : c <= 72151)
                  : (c <= 72161 || (c < 72192
                    ? (c >= 72163 && c <= 72164)
                    : c <= 72254)))
                : (c <= 72263 || (c < 72368
                  ? (c < 72349
                    ? (c >= 72272 && c <= 72345)
                    : c <= 72349)
                  : (c <= 72440 || (c < 72714
                    ? (c >= 72704 && c <= 72712)
                    : c <= 72758)))))))
            : (c <= 72768 || (c < 73056
              ? (c < 72968
                ? (c < 72850
                  ? (c < 72818
                    ? (c >= 72784 && c <= 72793)
                    : c <= 72847)
                  : (c <= 72871 || (c < 72960
                    ? (c >= 72873 && c <= 72886)
                    : c <= 72966)))
                : (c <= 72969 || (c < 73020
                  ? (c < 73018
                    ? (c >= 72971 && c <= 73014)
                    : c <= 73018)
                  : (c <= 73021 || (c < 73040
                    ? (c >= 73023 && c <= 73031)
                    : c <= 73049)))))
              : (c <= 73061 || (c < 73440
                ? (c < 73104
                  ? (c < 73066
                    ? (c >= 73063 && c <= 73064)
                    : c <= 73102)
                  : (c <= 73105 || (c < 73120
                    ? (c >= 73107 && c <= 73112)
                    : c <= 73129)))
                : (c <= 73462 || (c < 74752
                  ? (c < 73728
                    ? c == 73648
                    : c <= 74649)
                  : (c <= 74862 || (c < 77712
                    ? (c >= 74880 && c <= 75075)
                    : c <= 77808)))))))))
          : (c <= 78894 || (c < 110576
            ? (c < 93027
              ? (c < 92864
                ? (c < 92736
                  ? (c < 92160
                    ? (c >= 82944 && c <= 83526)
                    : c <= 92728)
                  : (c <= 92766 || (c < 92784
                    ? (c >= 92768 && c <= 92777)
                    : c <= 92862)))
                : (c <= 92873 || (c < 92928
                  ? (c < 92912
                    ? (c >= 92880 && c <= 92909)
                    : c <= 92916)
                  : (c <= 92982 || (c < 93008
                    ? (c >= 92992 && c <= 92995)
                    : c <= 93017)))))
              : (c <= 93047 || (c < 94176
                ? (c < 93952
                  ? (c < 93760
                    ? (c >= 93053 && c <= 93071)
                    : c <= 93823)
                  : (c <= 94026 || (c < 94095
                    ? (c >= 94031 && c <= 94087)
                    : c <= 94111)))
                : (c <= 94177 || (c < 94208
                  ? (c < 94192
                    ? (c >= 94179 && c <= 94180)
                    : c <= 94193)
                  : (c <= 100343 || (c < 101632
                    ? (c >= 100352 && c <= 101589)
                    : c <= 101640)))))))
            : (c <= 110579 || (c < 118528
              ? (c < 110960
                ? (c < 110592
                  ? (c < 110589
                    ? (c >= 110581 && c <= 110587)
                    : c <= 110590)
                  : (c <= 110882 || (c < 110948
                    ? (c >= 110928 && c <= 110930)
                    : c <= 110951)))
                : (c <= 111355 || (c < 113792
                  ? (c < 113776
                    ? (c >= 113664 && c <= 113770)
                    : c <= 113788)
                  : (c <= 113800 || (c < 113821
                    ? (c >= 113808 && c <= 113817)
                    : c <= 113822)))))
              : (c <= 118573 || (c < 119210
                ? (c < 119149
                  ? (c < 119141
                    ? (c >= 118576 && c <= 118598)
                    : c <= 119145)
                  : (c <= 119154 || (c < 119173
                    ? (c >= 119163 && c <= 119170)
                    : c <= 119179)))
                : (c <= 119213 || (c < 119894
                  ? (c < 119808
                    ? (c >= 119362 && c <= 119364)
                    : c <= 119892)
                  : (c <= 119964 || (c < 119970
                    ? (c >= 119966 && c <= 119967)
                    : c <= 119970)))))))))))
        : (c <= 119974 || (c < 124912
          ? (c < 120746
            ? (c < 120134
              ? (c < 120071
                ? (c < 119995
                  ? (c < 119982
                    ? (c >= 119977 && c <= 119980)
                    : c <= 119993)
                  : (c <= 119995 || (c < 120005
                    ? (c >= 119997 && c <= 120003)
                    : c <= 120069)))
                : (c <= 120074 || (c < 120094
                  ? (c < 120086
                    ? (c >= 120077 && c <= 120084)
                    : c <= 120092)
                  : (c <= 120121 || (c < 120128
                    ? (c >= 120123 && c <= 120126)
                    : c <= 120132)))))
              : (c <= 120134 || (c < 120572
                ? (c < 120488
                  ? (c < 120146
                    ? (c >= 120138 && c <= 120144)
                    : c <= 120485)
                  : (c <= 120512 || (c < 120540
                    ? (c >= 120514 && c <= 120538)
                    : c <= 120570)))
                : (c <= 120596 || (c < 120656
                  ? (c < 120630
                    ? (c >= 120598 && c <= 120628)
                    : c <= 120654)
                  : (c <= 120686 || (c < 120714
                    ? (c >= 120688 && c <= 120712)
                    : c <= 120744)))))))
            : (c <= 120770 || (c < 122907
              ? (c < 121476
                ? (c < 121344
                  ? (c < 120782
                    ? (c >= 120772 && c <= 120779)
                    : c <= 120831)
                  : (c <= 121398 || (c < 121461
                    ? (c >= 121403 && c <= 121452)
                    : c <= 121461)))
                : (c <= 121476 || (c < 122624
                  ? (c < 121505
                    ? (c >= 121499 && c <= 121503)
                    : c <= 121519)
                  : (c <= 122654 || (c < 122888
                    ? (c >= 122880 && c <= 122886)
                    : c <= 122904)))))
              : (c <= 122913 || (c < 123214
                ? (c < 123136
                  ? (c < 122918
                    ? (c >= 122915 && c <= 122916)
                    : c <= 122922)
                  : (c <= 123180 || (c < 123200
                    ? (c >= 123184 && c <= 123197)
                    : c <= 123209)))
                : (c <= 123214 || (c < 124896
                  ? (c < 123584
                    ? (c >= 123536 && c <= 123566)
                    : c <= 123641)
                  : (c <= 124902 || (c < 124909
                    ? (c >= 124904 && c <= 124907)
                    : c <= 124910)))))))))
          : (c <= 124926 || (c < 126557
            ? (c < 126521
              ? (c < 126469
                ? (c < 125184
                  ? (c < 125136
                    ? (c >= 124928 && c <= 125124)
                    : c <= 125142)
                  : (c <= 125259 || (c < 126464
                    ? (c >= 125264 && c <= 125273)
                    : c <= 126467)))
                : (c <= 126495 || (c < 126503
                  ? (c < 126500
                    ? (c >= 126497 && c <= 126498)
                    : c <= 126500)
                  : (c <= 126503 || (c < 126516
                    ? (c >= 126505 && c <= 126514)
                    : c <= 126519)))))
              : (c <= 126521 || (c < 126541
                ? (c < 126535
                  ? (c < 126530
                    ? c == 126523
                    : c <= 126530)
                  : (c <= 126535 || (c < 126539
                    ? c == 126537
                    : c <= 126539)))
                : (c <= 126543 || (c < 126551
                  ? (c < 126548
                    ? (c >= 126545 && c <= 126546)
                    : c <= 126548)
                  : (c <= 126551 || (c < 126555
                    ? c == 126553
                    : c <= 126555)))))))
            : (c <= 126557 || (c < 126629
              ? (c < 126580
                ? (c < 126564
                  ? (c < 126561
                    ? c == 126559
                    : c <= 126562)
                  : (c <= 126564 || (c < 126572
                    ? (c >= 126567 && c <= 126570)
                    : c <= 126578)))
                : (c <= 126583 || (c < 126592
                  ? (c < 126590
                    ? (c >= 126585 && c <= 126588)
                    : c <= 126590)
                  : (c <= 126601 || (c < 126625
                    ? (c >= 126603 && c <= 126619)
                    : c <= 126627)))))
              : (c <= 126633 || (c < 178208
                ? (c < 131072
                  ? (c < 130032
                    ? (c >= 126635 && c <= 126651)
                    : c <= 130041)
                  : (c <= 173791 || (c < 177984
                    ? (c >= 173824 && c <= 177976)
                    : c <= 178205)))
                : (c <= 183969 || (c < 196608
                  ? (c < 194560
                    ? (c >= 183984 && c <= 191456)
                    : c <= 195101)
                  : (c <= 201546 || (c >= 917760 && c <= 917999)))))))))))))))));
}

static inline bool sym_identifier_character_set_45(int32_t c) {
  return (c < 43739
    ? (c < 3804
      ? (c < 2768
        ? (c < 2144
          ? (c < 1329
            ? (c < 750
              ? (c < 192
                ? (c < 181
                  ? (c < 170
                    ? c == '$'
                    : c <= 170)
                  : (c <= 181 || (c < 186
                    ? c == 183
                    : c <= 186)))
                : (c <= 214 || (c < 710
                  ? (c < 248
                    ? (c >= 216 && c <= 246)
                    : c <= 705)
                  : (c <= 721 || (c < 748
                    ? (c >= 736 && c <= 740)
                    : c <= 748)))))
              : (c <= 750 || (c < 908
                ? (c < 891
                  ? (c < 886
                    ? (c >= 768 && c <= 884)
                    : c <= 887)
                  : (c <= 893 || (c < 902
                    ? c == 895
                    : c <= 906)))
                : (c <= 908 || (c < 1015
                  ? (c < 931
                    ? (c >= 910 && c <= 929)
                    : c <= 1013)
                  : (c <= 1153 || (c < 1162
                    ? (c >= 1155 && c <= 1159)
                    : c <= 1327)))))))
            : (c <= 1366 || (c < 1646
              ? (c < 1476
                ? (c < 1425
                  ? (c < 1376
                    ? c == 1369
                    : c <= 1416)
                  : (c <= 1469 || (c < 1473
                    ? c == 1471
                    : c <= 1474)))
                : (c <= 1477 || (c < 1519
                  ? (c < 1488
                    ? c == 1479
                    : c <= 1514)
                  : (c <= 1522 || (c < 1568
                    ? (c >= 1552 && c <= 1562)
                    : c <= 1641)))))
              : (c <= 1747 || (c < 1869
                ? (c < 1770
                  ? (c < 1759
                    ? (c >= 1749 && c <= 1756)
                    : c <= 1768)
                  : (c <= 1788 || (c < 1808
                    ? c == 1791
                    : c <= 1866)))
                : (c <= 1969 || (c < 2045
                  ? (c < 2042
                    ? (c >= 1984 && c <= 2037)
                    : c <= 2042)
                  : (c <= 2045 || (c < 2112
                    ? (c >= 2048 && c <= 2093)
                    : c <= 2139)))))))))
          : (c <= 2154 || (c < 2575
            ? (c < 2486
              ? (c < 2417
                ? (c < 2200
                  ? (c < 2185
                    ? (c >= 2160 && c <= 2183)
                    : c <= 2190)
                  : (c <= 2273 || (c < 2406
                    ? (c >= 2275 && c <= 2403)
                    : c <= 2415)))
                : (c <= 2435 || (c < 2451
                  ? (c < 2447
                    ? (c >= 2437 && c <= 2444)
                    : c <= 2448)
                  : (c <= 2472 || (c < 2482
                    ? (c >= 2474 && c <= 2480)
                    : c <= 2482)))))
              : (c <= 2489 || (c < 2527
                ? (c < 2507
                  ? (c < 2503
                    ? (c >= 2492 && c <= 2500)
                    : c <= 2504)
                  : (c <= 2510 || (c < 2524
                    ? c == 2519
                    : c <= 2525)))
                : (c <= 2531 || (c < 2558
                  ? (c < 2556
                    ? (c >= 2534 && c <= 2545)
                    : c <= 2556)
                  : (c <= 2558 || (c < 2565
                    ? (c >= 2561 && c <= 2563)
                    : c <= 2570)))))))
            : (c <= 2576 || (c < 2654
              ? (c < 2620
                ? (c < 2610
                  ? (c < 2602
                    ? (c >= 2579 && c <= 2600)
                    : c <= 2608)
                  : (c <= 2611 || (c < 2616
                    ? (c >= 2613 && c <= 2614)
                    : c <= 2617)))
                : (c <= 2620 || (c < 2635
                  ? (c < 2631
                    ? (c >= 2622 && c <= 2626)
                    : c <= 2632)
                  : (c <= 2637 || (c < 2649
                    ? c == 2641
                    : c <= 2652)))))
              : (c <= 2654 || (c < 2730
                ? (c < 2693
                  ? (c < 2689
                    ? (c >= 2662 && c <= 2677)
                    : c <= 2691)
                  : (c <= 2701 || (c < 2707
                    ? (c >= 2703 && c <= 2705)
                    : c <= 2728)))
                : (c <= 2736 || (c < 2748
                  ? (c < 2741
                    ? (c >= 2738 && c <= 2739)
                    : c <= 2745)
                  : (c <= 2757 || (c < 2763
                    ? (c >= 2759 && c <= 2761)
                    : c <= 2765)))))))))))
        : (c <= 2768 || (c < 3205
          ? (c < 2972
            ? (c < 2887
              ? (c < 2831
                ? (c < 2809
                  ? (c < 2790
                    ? (c >= 2784 && c <= 2787)
                    : c <= 2799)
                  : (c <= 2815 || (c < 2821
                    ? (c >= 2817 && c <= 2819)
                    : c <= 2828)))
                : (c <= 2832 || (c < 2866
                  ? (c < 2858
                    ? (c >= 2835 && c <= 2856)
                    : c <= 2864)
                  : (c <= 2867 || (c < 2876
                    ? (c >= 2869 && c <= 2873)
                    : c <= 2884)))))
              : (c <= 2888 || (c < 2929
                ? (c < 2908
                  ? (c < 2901
                    ? (c >= 2891 && c <= 2893)
                    : c <= 2903)
                  : (c <= 2909 || (c < 2918
                    ? (c >= 2911 && c <= 2915)
                    : c <= 2927)))
                : (c <= 2929 || (c < 2958
                  ? (c < 2949
                    ? (c >= 2946 && c <= 2947)
                    : c <= 2954)
                  : (c <= 2960 || (c < 2969
                    ? (c >= 2962 && c <= 2965)
                    : c <= 2970)))))))
            : (c <= 2972 || (c < 3086
              ? (c < 3014
                ? (c < 2984
                  ? (c < 2979
                    ? (c >= 2974 && c <= 2975)
                    : c <= 2980)
                  : (c <= 2986 || (c < 3006
                    ? (c >= 2990 && c <= 3001)
                    : c <= 3010)))
                : (c <= 3016 || (c < 3031
                  ? (c < 3024
                    ? (c >= 3018 && c <= 3021)
                    : c <= 3024)
                  : (c <= 3031 || (c < 3072
                    ? (c >= 3046 && c <= 3055)
                    : c <= 3084)))))
              : (c <= 3088 || (c < 3157
                ? (c < 3132
                  ? (c < 3114
                    ? (c >= 3090 && c <= 3112)
                    : c <= 3129)
                  : (c <= 3140 || (c < 3146
                    ? (c >= 3142 && c <= 3144)
                    : c <= 3149)))
                : (c <= 3158 || (c < 3168
                  ? (c < 3165
                    ? (c >= 3160 && c <= 3162)
                    : c <= 3165)
                  : (c <= 3171 || (c < 3200
                    ? (c >= 3174 && c <= 3183)
                    : c <= 3203)))))))))
          : (c <= 3212 || (c < 3482
            ? (c < 3313
              ? (c < 3270
                ? (c < 3242
                  ? (c < 3218
                    ? (c >= 3214 && c <= 3216)
                    : c <= 3240)
                  : (c <= 3251 || (c < 3260
                    ? (c >= 3253 && c <= 3257)
                    : c <= 3268)))
                : (c <= 3272 || (c < 3293
                  ? (c < 3285
                    ? (c >= 3274 && c <= 3277)
                    : c <= 3286)
                  : (c <= 3294 || (c < 3302
                    ? (c >= 3296 && c <= 3299)
                    : c <= 3311)))))
              : (c <= 3314 || (c < 3412
                ? (c < 3346
                  ? (c < 3342
                    ? (c >= 3328 && c <= 3340)
                    : c <= 3344)
                  : (c <= 3396 || (c < 3402
                    ? (c >= 3398 && c <= 3400)
                    : c <= 3406)))
                : (c <= 3415 || (c < 3450
                  ? (c < 3430
                    ? (c >= 3423 && c <= 3427)
                    : c <= 3439)
                  : (c <= 3455 || (c < 3461
                    ? (c >= 3457 && c <= 3459)
                    : c <= 3478)))))))
            : (c <= 3505 || (c < 3664
              ? (c < 3542
                ? (c < 3520
                  ? (c < 3517
                    ? (c >= 3507 && c <= 3515)
                    : c <= 3517)
                  : (c <= 3526 || (c < 3535
                    ? c == 3530
                    : c <= 3540)))
                : (c <= 3542 || (c < 3570
                  ? (c < 3558
                    ? (c >= 3544 && c <= 3551)
                    : c <= 3567)
                  : (c <= 3571 || (c < 3648
                    ? (c >= 3585 && c <= 3642)
                    : c <= 3662)))))
              : (c <= 3673 || (c < 3751
                ? (c < 3718
                  ? (c < 3716
                    ? (c >= 3713 && c <= 3714)
                    : c <= 3716)
                  : (c <= 3722 || (c < 3749
                    ? (c >= 3724 && c <= 3747)
                    : c <= 3749)))
                : (c <= 3773 || (c < 3784
                  ? (c < 3782
                    ? (c >= 3776 && c <= 3780)
                    : c <= 3782)
                  : (c <= 3789 || (c >= 3792 && c <= 3801)))))))))))))
      : (c <= 3807 || (c < 8029
        ? (c < 5984
          ? (c < 4704
            ? (c < 4038
              ? (c < 3897
                ? (c < 3872
                  ? (c < 3864
                    ? c == 3840
                    : c <= 3865)
                  : (c <= 3881 || (c < 3895
                    ? c == 3893
                    : c <= 3895)))
                : (c <= 3897 || (c < 3953
                  ? (c < 3913
                    ? (c >= 3902 && c <= 3911)
                    : c <= 3948)
                  : (c <= 3972 || (c < 3993
                    ? (c >= 3974 && c <= 3991)
                    : c <= 4028)))))
              : (c <= 4038 || (c < 4304
                ? (c < 4256
                  ? (c < 4176
                    ? (c >= 4096 && c <= 4169)
                    : c <= 4253)
                  : (c <= 4293 || (c < 4301
                    ? c == 4295
                    : c <= 4301)))
                : (c <= 4346 || (c < 4688
                  ? (c < 4682
                    ? (c >= 4348 && c <= 4680)
                    : c <= 4685)
                  : (c <= 4694 || (c < 4698
                    ? c == 4696
                    : c <= 4701)))))))
            : (c <= 4744 || (c < 4969
              ? (c < 4802
                ? (c < 4786
                  ? (c < 4752
                    ? (c >= 4746 && c <= 4749)
                    : c <= 4784)
                  : (c <= 4789 || (c < 4800
                    ? (c >= 4792 && c <= 4798)
                    : c <= 4800)))
                : (c <= 4805 || (c < 4882
                  ? (c < 4824
                    ? (c >= 4808 && c <= 4822)
                    : c <= 4880)
                  : (c <= 4885 || (c < 4957
                    ? (c >= 4888 && c <= 4954)
                    : c <= 4959)))))
              : (c <= 4977 || (c < 5761
                ? (c < 5112
                  ? (c < 5024
                    ? (c >= 4992 && c <= 5007)
                    : c <= 5109)
                  : (c <= 5117 || (c < 5743
                    ? (c >= 5121 && c <= 5740)
                    : c <= 5759)))
                : (c <= 5786 || (c < 5888
                  ? (c < 5870
                    ? (c >= 5792 && c <= 5866)
                    : c <= 5880)
                  : (c <= 5909 || (c < 5952
                    ? (c >= 5919 && c <= 5940)
                    : c <= 5971)))))))))
          : (c <= 5996 || (c < 6800
            ? (c < 6400
              ? (c < 6112
                ? (c < 6016
                  ? (c < 6002
                    ? (c >= 5998 && c <= 6000)
                    : c <= 6003)
                  : (c <= 6099 || (c < 6108
                    ? c == 6103
                    : c <= 6109)))
                : (c <= 6121 || (c < 6176
                  ? (c < 6159
                    ? (c >= 6155 && c <= 6157)
                    : c <= 6169)
                  : (c <= 6264 || (c < 6320
                    ? (c >= 6272 && c <= 6314)
                    : c <= 6389)))))
              : (c <= 6430 || (c < 6576
                ? (c < 6470
                  ? (c < 6448
                    ? (c >= 6432 && c <= 6443)
                    : c <= 6459)
                  : (c <= 6509 || (c < 6528
                    ? (c >= 6512 && c <= 6516)
                    : c <= 6571)))
                : (c <= 6601 || (c < 6688
                  ? (c < 6656
                    ? (c >= 6608 && c <= 6618)
                    : c <= 6683)
                  : (c <= 6750 || (c < 6783
                    ? (c >= 6752 && c <= 6780)
                    : c <= 6793)))))))
            : (c <= 6809 || (c < 7312
              ? (c < 7019
                ? (c < 6847
                  ? (c < 6832
                    ? c == 6823
                    : c <= 6845)
                  : (c <= 6862 || (c < 6992
                    ? (c >= 6912 && c <= 6988)
                    : c <= 7001)))
                : (c <= 7027 || (c < 7232
                  ? (c < 7168
                    ? (c >= 7040 && c <= 7155)
                    : c <= 7223)
                  : (c <= 7241 || (c < 7296
                    ? (c >= 7245 && c <= 7293)
                    : c <= 7304)))))
              : (c <= 7354 || (c < 7968
                ? (c < 7380
                  ? (c < 7376
                    ? (c >= 7357 && c <= 7359)
                    : c <= 7378)
                  : (c <= 7418 || (c < 7960
                    ? (c >= 7424 && c <= 7957)
                    : c <= 7965)))
                : (c <= 8005 || (c < 8025
                  ? (c < 8016
                    ? (c >= 8008 && c <= 8013)
                    : c <= 8023)
                  : (c <= 8025 || c == 8027))))))))))
        : (c <= 8029 || (c < 11736
          ? (c < 8472
            ? (c < 8255
              ? (c < 8134
                ? (c < 8118
                  ? (c < 8064
                    ? (c >= 8031 && c <= 8061)
                    : c <= 8116)
                  : (c <= 8124 || (c < 8130
                    ? c == 8126
                    : c <= 8132)))
                : (c <= 8140 || (c < 8160
                  ? (c < 8150
                    ? (c >= 8144 && c <= 8147)
                    : c <= 8155)
                  : (c <= 8172 || (c < 8182
                    ? (c >= 8178 && c <= 8180)
                    : c <= 8188)))))
              : (c <= 8256 || (c < 8417
                ? (c < 8319
                  ? (c < 8305
                    ? c == 8276
                    : c <= 8305)
                  : (c <= 8319 || (c < 8400
                    ? (c >= 8336 && c <= 8348)
                    : c <= 8412)))
                : (c <= 8417 || (c < 8455
                  ? (c < 8450
                    ? (c >= 8421 && c <= 8432)
                    : c <= 8450)
                  : (c <= 8455 || (c < 8469
                    ? (c >= 8458 && c <= 8467)
                    : c <= 8469)))))))
            : (c <= 8477 || (c < 11559
              ? (c < 8517
                ? (c < 8488
                  ? (c < 8486
                    ? c == 8484
                    : c <= 8486)
                  : (c <= 8488 || (c < 8508
                    ? (c >= 8490 && c <= 8505)
                    : c <= 8511)))
                : (c <= 8521 || (c < 11264
                  ? (c < 8544
                    ? c == 8526
                    : c <= 8584)
                  : (c <= 11492 || (c < 11520
                    ? (c >= 11499 && c <= 11507)
                    : c <= 11557)))))
              : (c <= 11559 || (c < 11688
                ? (c < 11631
                  ? (c < 11568
                    ? c == 11565
                    : c <= 11623)
                  : (c <= 11631 || (c < 11680
                    ? (c >= 11647 && c <= 11670)
                    : c <= 11686)))
                : (c <= 11694 || (c < 11712
                  ? (c < 11704
                    ? (c >= 11696 && c <= 11702)
                    : c <= 11710)
                  : (c <= 11718 || (c < 11728
                    ? (c >= 11720 && c <= 11726)
                    : c <= 11734)))))))))
          : (c <= 11742 || (c < 42786
            ? (c < 12593
              ? (c < 12353
                ? (c < 12321
                  ? (c < 12293
                    ? (c >= 11744 && c <= 11775)
                    : c <= 12295)
                  : (c <= 12335 || (c < 12344
                    ? (c >= 12337 && c <= 12341)
                    : c <= 12348)))
                : (c <= 12438 || (c < 12449
                  ? (c < 12445
                    ? (c >= 12441 && c <= 12442)
                    : c <= 12447)
                  : (c <= 12538 || (c < 12549
                    ? (c >= 12540 && c <= 12543)
                    : c <= 12591)))))
              : (c <= 12686 || (c < 42240
                ? (c < 13312
                  ? (c < 12784
                    ? (c >= 12704 && c <= 12735)
                    : c <= 12799)
                  : (c <= 19903 || (c < 42192
                    ? (c >= 19968 && c <= 42124)
                    : c <= 42237)))
                : (c <= 42508 || (c < 42612
                  ? (c < 42560
                    ? (c >= 42512 && c <= 42539)
                    : c <= 42607)
                  : (c <= 42621 || (c < 42775
                    ? (c >= 42623 && c <= 42737)
                    : c <= 42783)))))))
            : (c <= 42888 || (c < 43261
              ? (c < 43052
                ? (c < 42963
                  ? (c < 42960
                    ? (c >= 42891 && c <= 42954)
                    : c <= 42961)
                  : (c <= 42963 || (c < 42994
                    ? (c >= 42965 && c <= 42969)
                    : c <= 43047)))
                : (c <= 43052 || (c < 43216
                  ? (c < 43136
                    ? (c >= 43072 && c <= 43123)
                    : c <= 43205)
                  : (c <= 43225 || (c < 43259
                    ? (c >= 43232 && c <= 43255)
                    : c <= 43259)))))
              : (c <= 43309 || (c < 43520
                ? (c < 43392
                  ? (c < 43360
                    ? (c >= 43312 && c <= 43347)
                    : c <= 43388)
                  : (c <= 43456 || (c < 43488
                    ? (c >= 43471 && c <= 43481)
                    : c <= 43518)))
                : (c <= 43574 || (c < 43616
                  ? (c < 43600
                    ? (c >= 43584 && c <= 43597)
                    : c <= 43609)
                  : (c <= 43638 || (c >= 43642 && c <= 43714)))))))))))))))
    : (c <= 43741 || (c < 71472
      ? (c < 67644
        ? (c < 65474
          ? (c < 64320
            ? (c < 44016
              ? (c < 43808
                ? (c < 43777
                  ? (c < 43762
                    ? (c >= 43744 && c <= 43759)
                    : c <= 43766)
                  : (c <= 43782 || (c < 43793
                    ? (c >= 43785 && c <= 43790)
                    : c <= 43798)))
                : (c <= 43814 || (c < 43868
                  ? (c < 43824
                    ? (c >= 43816 && c <= 43822)
                    : c <= 43866)
                  : (c <= 43881 || (c < 44012
                    ? (c >= 43888 && c <= 44010)
                    : c <= 44013)))))
              : (c <= 44025 || (c < 64256
                ? (c < 55243
                  ? (c < 55216
                    ? (c >= 44032 && c <= 55203)
                    : c <= 55238)
                  : (c <= 55291 || (c < 64112
                    ? (c >= 63744 && c <= 64109)
                    : c <= 64217)))
                : (c <= 64262 || (c < 64298
                  ? (c < 64285
                    ? (c >= 64275 && c <= 64279)
                    : c <= 64296)
                  : (c <= 64310 || (c < 64318
                    ? (c >= 64312 && c <= 64316)
                    : c <= 64318)))))))
            : (c <= 64321 || (c < 65137
              ? (c < 64914
                ? (c < 64467
                  ? (c < 64326
                    ? (c >= 64323 && c <= 64324)
                    : c <= 64433)
                  : (c <= 64605 || (c < 64848
                    ? (c >= 64612 && c <= 64829)
                    : c <= 64911)))
                : (c <= 64967 || (c < 65056
                  ? (c < 65024
                    ? (c >= 65008 && c <= 65017)
                    : c <= 65039)
                  : (c <= 65071 || (c < 65101
                    ? (c >= 65075 && c <= 65076)
                    : c <= 65103)))))
              : (c <= 65137 || (c < 65151
                ? (c < 65145
                  ? (c < 65143
                    ? c == 65139
                    : c <= 65143)
                  : (c <= 65145 || (c < 65149
                    ? c == 65147
                    : c <= 65149)))
                : (c <= 65276 || (c < 65343
                  ? (c < 65313
                    ? (c >= 65296 && c <= 65305)
                    : c <= 65338)
                  : (c <= 65343 || (c < 65382
                    ? (c >= 65345 && c <= 65370)
                    : c <= 65470)))))))))
          : (c <= 65479 || (c < 66720
            ? (c < 66045
              ? (c < 65576
                ? (c < 65498
                  ? (c < 65490
                    ? (c >= 65482 && c <= 65487)
                    : c <= 65495)
                  : (c <= 65500 || (c < 65549
                    ? (c >= 65536 && c <= 65547)
                    : c <= 65574)))
                : (c <= 65594 || (c < 65616
                  ? (c < 65599
                    ? (c >= 65596 && c <= 65597)
                    : c <= 65613)
                  : (c <= 65629 || (c < 65856
                    ? (c >= 65664 && c <= 65786)
                    : c <= 65908)))))
              : (c <= 66045 || (c < 66384
                ? (c < 66272
                  ? (c < 66208
                    ? (c >= 66176 && c <= 66204)
                    : c <= 66256)
                  : (c <= 66272 || (c < 66349
                    ? (c >= 66304 && c <= 66335)
                    : c <= 66378)))
                : (c <= 66426 || (c < 66504
                  ? (c < 66464
                    ? (c >= 66432 && c <= 66461)
                    : c <= 66499)
                  : (c <= 66511 || (c < 66560
                    ? (c >= 66513 && c <= 66517)
                    : c <= 66717)))))))
            : (c <= 66729 || (c < 67003
              ? (c < 66940
                ? (c < 66816
                  ? (c < 66776
                    ? (c >= 66736 && c <= 66771)
                    : c <= 66811)
                  : (c <= 66855 || (c < 66928
                    ? (c >= 66864 && c <= 66915)
                    : c <= 66938)))
                : (c <= 66954 || (c < 66967
                  ? (c < 66964
                    ? (c >= 66956 && c <= 66962)
                    : c <= 66965)
                  : (c <= 66977 || (c < 66995
                    ? (c >= 66979 && c <= 66993)
                    : c <= 67001)))))
              : (c <= 67004 || (c < 67506
                ? (c < 67424
                  ? (c < 67392
                    ? (c >= 67072 && c <= 67382)
                    : c <= 67413)
                  : (c <= 67431 || (c < 67463
                    ? (c >= 67456 && c <= 67461)
                    : c <= 67504)))
                : (c <= 67514 || (c < 67594
                  ? (c < 67592
                    ? (c >= 67584 && c <= 67589)
                    : c <= 67592)
                  : (c <= 67637 || (c >= 67639 && c <= 67640)))))))))))
        : (c <= 67644 || (c < 69968
          ? (c < 68480
            ? (c < 68108
              ? (c < 67840
                ? (c < 67712
                  ? (c < 67680
                    ? (c >= 67647 && c <= 67669)
                    : c <= 67702)
                  : (c <= 67742 || (c < 67828
                    ? (c >= 67808 && c <= 67826)
                    : c <= 67829)))
                : (c <= 67861 || (c < 68030
                  ? (c < 67968
                    ? (c >= 67872 && c <= 67897)
                    : c <= 68023)
                  : (c <= 68031 || (c < 68101
                    ? (c >= 68096 && c <= 68099)
                    : c <= 68102)))))
              : (c <= 68115 || (c < 68224
                ? (c < 68152
                  ? (c < 68121
                    ? (c >= 68117 && c <= 68119)
                    : c <= 68149)
                  : (c <= 68154 || (c < 68192
                    ? c == 68159
                    : c <= 68220)))
                : (c <= 68252 || (c < 68352
                  ? (c < 68297
                    ? (c >= 68288 && c <= 68295)
                    : c <= 68326)
                  : (c <= 68405 || (c < 68448
                    ? (c >= 68416 && c <= 68437)
                    : c <= 68466)))))))
            : (c <= 68497 || (c < 69488
              ? (c < 69248
                ? (c < 68800
                  ? (c < 68736
                    ? (c >= 68608 && c <= 68680)
                    : c <= 68786)
                  : (c <= 68850 || (c < 68912
                    ? (c >= 68864 && c <= 68903)
                    : c <= 68921)))
                : (c <= 69289 || (c < 69376
                  ? (c < 69296
                    ? (c >= 69291 && c <= 69292)
                    : c <= 69297)
                  : (c <= 69404 || (c < 69424
                    ? c == 69415
                    : c <= 69456)))))
              : (c <= 69509 || (c < 69826
                ? (c < 69632
                  ? (c < 69600
                    ? (c >= 69552 && c <= 69572)
                    : c <= 69622)
                  : (c <= 69702 || (c < 69759
                    ? (c >= 69734 && c <= 69749)
                    : c <= 69818)))
                : (c <= 69826 || (c < 69888
                  ? (c < 69872
                    ? (c >= 69840 && c <= 69864)
                    : c <= 69881)
                  : (c <= 69940 || (c < 69956
                    ? (c >= 69942 && c <= 69951)
                    : c <= 69959)))))))))
          : (c <= 70003 || (c < 70471
            ? (c < 70287
              ? (c < 70144
                ? (c < 70089
                  ? (c < 70016
                    ? c == 70006
                    : c <= 70084)
                  : (c <= 70092 || (c < 70108
                    ? (c >= 70094 && c <= 70106)
                    : c <= 70108)))
                : (c <= 70161 || (c < 70272
                  ? (c < 70206
                    ? (c >= 70163 && c <= 70199)
                    : c <= 70206)
                  : (c <= 70278 || (c < 70282
                    ? c == 70280
                    : c <= 70285)))))
              : (c <= 70301 || (c < 70415
                ? (c < 70384
                  ? (c < 70320
                    ? (c >= 70303 && c <= 70312)
                    : c <= 70378)
                  : (c <= 70393 || (c < 70405
                    ? (c >= 70400 && c <= 70403)
                    : c <= 70412)))
                : (c <= 70416 || (c < 70450
                  ? (c < 70442
                    ? (c >= 70419 && c <= 70440)
                    : c <= 70448)
                  : (c <= 70451 || (c < 70459
                    ? (c >= 70453 && c <= 70457)
                    : c <= 70468)))))))
            : (c <= 70472 || (c < 70864
              ? (c < 70512
                ? (c < 70487
                  ? (c < 70480
                    ? (c >= 70475 && c <= 70477)
                    : c <= 70480)
                  : (c <= 70487 || (c < 70502
                    ? (c >= 70493 && c <= 70499)
                    : c <= 70508)))
                : (c <= 70516 || (c < 70750
                  ? (c < 70736
                    ? (c >= 70656 && c <= 70730)
                    : c <= 70745)
                  : (c <= 70753 || (c < 70855
                    ? (c >= 70784 && c <= 70853)
                    : c <= 70855)))))
              : (c <= 70873 || (c < 71248
                ? (c < 71128
                  ? (c < 71096
                    ? (c >= 71040 && c <= 71093)
                    : c <= 71104)
                  : (c <= 71133 || (c < 71236
                    ? (c >= 71168 && c <= 71232)
                    : c <= 71236)))
                : (c <= 71257 || (c < 71424
                  ? (c < 71360
                    ? (c >= 71296 && c <= 71352)
                    : c <= 71369)
                  : (c <= 71450 || (c >= 71453 && c <= 71467)))))))))))))
      : (c <= 71481 || (c < 119973
        ? (c < 82944
          ? (c < 72784
            ? (c < 72096
              ? (c < 71948
                ? (c < 71840
                  ? (c < 71680
                    ? (c >= 71488 && c <= 71494)
                    : c <= 71738)
                  : (c <= 71913 || (c < 71945
                    ? (c >= 71935 && c <= 71942)
                    : c <= 71945)))
                : (c <= 71955 || (c < 71991
                  ? (c < 71960
                    ? (c >= 71957 && c <= 71958)
                    : c <= 71989)
                  : (c <= 71992 || (c < 72016
                    ? (c >= 71995 && c <= 72003)
                    : c <= 72025)))))
              : (c <= 72103 || (c < 72272
                ? (c < 72163
                  ? (c < 72154
                    ? (c >= 72106 && c <= 72151)
                    : c <= 72161)
                  : (c <= 72164 || (c < 72263
                    ? (c >= 72192 && c <= 72254)
                    : c <= 72263)))
                : (c <= 72345 || (c < 72704
                  ? (c < 72368
                    ? c == 72349
                    : c <= 72440)
                  : (c <= 72712 || (c < 72760
                    ? (c >= 72714 && c <= 72758)
                    : c <= 72768)))))))
            : (c <= 72793 || (c < 73063
              ? (c < 72971
                ? (c < 72873
                  ? (c < 72850
                    ? (c >= 72818 && c <= 72847)
                    : c <= 72871)
                  : (c <= 72886 || (c < 72968
                    ? (c >= 72960 && c <= 72966)
                    : c <= 72969)))
                : (c <= 73014 || (c < 73023
                  ? (c < 73020
                    ? c == 73018
                    : c <= 73021)
                  : (c <= 73031 || (c < 73056
                    ? (c >= 73040 && c <= 73049)
                    : c <= 73061)))))
              : (c <= 73064 || (c < 73648
                ? (c < 73107
                  ? (c < 73104
                    ? (c >= 73066 && c <= 73102)
                    : c <= 73105)
                  : (c <= 73112 || (c < 73440
                    ? (c >= 73120 && c <= 73129)
                    : c <= 73462)))
                : (c <= 73648 || (c < 74880
                  ? (c < 74752
                    ? (c >= 73728 && c <= 74649)
                    : c <= 74862)
                  : (c <= 75075 || (c < 77824
                    ? (c >= 77712 && c <= 77808)
                    : c <= 78894)))))))))
          : (c <= 83526 || (c < 110581
            ? (c < 93053
              ? (c < 92880
                ? (c < 92768
                  ? (c < 92736
                    ? (c >= 92160 && c <= 92728)
                    : c <= 92766)
                  : (c <= 92777 || (c < 92864
                    ? (c >= 92784 && c <= 92862)
                    : c <= 92873)))
                : (c <= 92909 || (c < 92992
                  ? (c < 92928
                    ? (c >= 92912 && c <= 92916)
                    : c <= 92982)
                  : (c <= 92995 || (c < 93027
                    ? (c >= 93008 && c <= 93017)
                    : c <= 93047)))))
              : (c <= 93071 || (c < 94179
                ? (c < 94031
                  ? (c < 93952
                    ? (c >= 93760 && c <= 93823)
                    : c <= 94026)
                  : (c <= 94087 || (c < 94176
                    ? (c >= 94095 && c <= 94111)
                    : c <= 94177)))
                : (c <= 94180 || (c < 100352
                  ? (c < 94208
                    ? (c >= 94192 && c <= 94193)
                    : c <= 100343)
                  : (c <= 101589 || (c < 110576
                    ? (c >= 101632 && c <= 101640)
                    : c <= 110579)))))))
            : (c <= 110587 || (c < 118576
              ? (c < 113664
                ? (c < 110928
                  ? (c < 110592
                    ? (c >= 110589 && c <= 110590)
                    : c <= 110882)
                  : (c <= 110930 || (c < 110960
                    ? (c >= 110948 && c <= 110951)
                    : c <= 111355)))
                : (c <= 113770 || (c < 113808
                  ? (c < 113792
                    ? (c >= 113776 && c <= 113788)
                    : c <= 113800)
                  : (c <= 113817 || (c < 118528
                    ? (c >= 113821 && c <= 113822)
                    : c <= 118573)))))
              : (c <= 118598 || (c < 119362
                ? (c < 119163
                  ? (c < 119149
                    ? (c >= 119141 && c <= 119145)
                    : c <= 119154)
                  : (c <= 119170 || (c < 119210
                    ? (c >= 119173 && c <= 119179)
                    : c <= 119213)))
                : (c <= 119364 || (c < 119966
                  ? (c < 119894
                    ? (c >= 119808 && c <= 119892)
                    : c <= 119964)
                  : (c <= 119967 || c == 119970))))))))))
        : (c <= 119974 || (c < 124912
          ? (c < 120746
            ? (c < 120134
              ? (c < 120071
                ? (c < 119995
                  ? (c < 119982
                    ? (c >= 119977 && c <= 119980)
                    : c <= 119993)
                  : (c <= 119995 || (c < 120005
                    ? (c >= 119997 && c <= 120003)
                    : c <= 120069)))
                : (c <= 120074 || (c < 120094
                  ? (c < 120086
                    ? (c >= 120077 && c <= 120084)
                    : c <= 120092)
                  : (c <= 120121 || (c < 120128
                    ? (c >= 120123 && c <= 120126)
                    : c <= 120132)))))
              : (c <= 120134 || (c < 120572
                ? (c < 120488
                  ? (c < 120146
                    ? (c >= 120138 && c <= 120144)
                    : c <= 120485)
                  : (c <= 120512 || (c < 120540
                    ? (c >= 120514 && c <= 120538)
                    : c <= 120570)))
                : (c <= 120596 || (c < 120656
                  ? (c < 120630
                    ? (c >= 120598 && c <= 120628)
                    : c <= 120654)
                  : (c <= 120686 || (c < 120714
                    ? (c >= 120688 && c <= 120712)
                    : c <= 120744)))))))
            : (c <= 120770 || (c < 122907
              ? (c < 121476
                ? (c < 121344
                  ? (c < 120782
                    ? (c >= 120772 && c <= 120779)
                    : c <= 120831)
                  : (c <= 121398 || (c < 121461
                    ? (c >= 121403 && c <= 121452)
                    : c <= 121461)))
                : (c <= 121476 || (c < 122624
                  ? (c < 121505
                    ? (c >= 121499 && c <= 121503)
                    : c <= 121519)
                  : (c <= 122654 || (c < 122888
                    ? (c >= 122880 && c <= 122886)
                    : c <= 122904)))))
              : (c <= 122913 || (c < 123214
                ? (c < 123136
                  ? (c < 122918
                    ? (c >= 122915 && c <= 122916)
                    : c <= 122922)
                  : (c <= 123180 || (c < 123200
                    ? (c >= 123184 && c <= 123197)
                    : c <= 123209)))
                : (c <= 123214 || (c < 124896
                  ? (c < 123584
                    ? (c >= 123536 && c <= 123566)
                    : c <= 123641)
                  : (c <= 124902 || (c < 124909
                    ? (c >= 124904 && c <= 124907)
                    : c <= 124910)))))))))
          : (c <= 124926 || (c < 126557
            ? (c < 126521
              ? (c < 126469
                ? (c < 125184
                  ? (c < 125136
                    ? (c >= 124928 && c <= 125124)
                    : c <= 125142)
                  : (c <= 125259 || (c < 126464
                    ? (c >= 125264 && c <= 125273)
                    : c <= 126467)))
                : (c <= 126495 || (c < 126503
                  ? (c < 126500
                    ? (c >= 126497 && c <= 126498)
                    : c <= 126500)
                  : (c <= 126503 || (c < 126516
                    ? (c >= 126505 && c <= 126514)
                    : c <= 126519)))))
              : (c <= 126521 || (c < 126541
                ? (c < 126535
                  ? (c < 126530
                    ? c == 126523
                    : c <= 126530)
                  : (c <= 126535 || (c < 126539
                    ? c == 126537
                    : c <= 126539)))
                : (c <= 126543 || (c < 126551
                  ? (c < 126548
                    ? (c >= 126545 && c <= 126546)
                    : c <= 126548)
                  : (c <= 126551 || (c < 126555
                    ? c == 126553
                    : c <= 126555)))))))
            : (c <= 126557 || (c < 126629
              ? (c < 126580
                ? (c < 126564
                  ? (c < 126561
                    ? c == 126559
                    : c <= 126562)
                  : (c <= 126564 || (c < 126572
                    ? (c >= 126567 && c <= 126570)
                    : c <= 126578)))
                : (c <= 126583 || (c < 126592
                  ? (c < 126590
                    ? (c >= 126585 && c <= 126588)
                    : c <= 126590)
                  : (c <= 126601 || (c < 126625
                    ? (c >= 126603 && c <= 126619)
                    : c <= 126627)))))
              : (c <= 126633 || (c < 178208
                ? (c < 131072
                  ? (c < 130032
                    ? (c >= 126635 && c <= 126651)
                    : c <= 130041)
                  : (c <= 173791 || (c < 177984
                    ? (c >= 173824 && c <= 177976)
                    : c <= 178205)))
                : (c <= 183969 || (c < 196608
                  ? (c < 194560
                    ? (c >= 183984 && c <= 191456)
                    : c <= 195101)
                  : (c <= 201546 || (c >= 917760 && c <= 917999)))))))))))))))));
}

static bool ts_lex(TSLexer *lexer, TSStateId state) {
  START_LEXER();
  eof = lexer->eof(lexer);
  switch (state) {
    case 0:
      if (eof) ADVANCE(390);
      if (lookahead == '!') ADVANCE(462);
      if (lookahead == '"') ADVANCE(582);
      if (lookahead == '#') ADVANCE(323);
      if (sym_identifier_character_set_1(lookahead)) ADVANCE(685);
      if (lookahead == '%') ADVANCE(486);
      if (lookahead == '&') ADVANCE(496);
      if (lookahead == '\'') ADVANCE(573);
      if (lookahead == '(') ADVANCE(394);
      if (lookahead == ')') ADVANCE(397);
      if (lookahead == '*') ADVANCE(482);
      if (lookahead == '+') ADVANCE(476);
      if (lookahead == ',') ADVANCE(396);
      if (lookahead == '-') ADVANCE(465);
      if (lookahead == '.') ADVANCE(546);
      if (lookahead == '/') ADVANCE(484);
      if (lookahead == '0') ADVANCE(556);
      if (lookahead == ':') ADVANCE(515);
      if (lookahead == ';') ADVANCE(516);
      if (lookahead == '<') ADVANCE(506);
      if (lookahead == '=') ADVANCE(528);
      if (lookahead == '>') ADVANCE(695);
      if (lookahead == '?') ADVANCE(531);
      if (lookahead == 'F') ADVANCE(627);
      if (lookahead == 'L') ADVANCE(596);
      if (lookahead == 'R') ADVANCE(599);
      if (lookahead == 'T') ADVANCE(624);
      if (lookahead == 'U') ADVANCE(600);
      if (lookahead == '[') ADVANCE(524);
      if (lookahead == '\\') ADVANCE(2);
      if (lookahead == ']') ADVANCE(526);
      if (lookahead == '^') ADVANCE(493);
      if (lookahead == 'b') ADVANCE(658);
      if (lookahead == 'c') ADVANCE(638);
      if (lookahead == 'd') ADVANCE(654);
      if (lookahead == 'f') ADVANCE(616);
      if (lookahead == 'i') ADVANCE(651);
      if (lookahead == 'm') ADVANCE(676);
      if (lookahead == 'n') ADVANCE(671);
      if (lookahead == 'p') ADVANCE(668);
      if (lookahead == 's') ADVANCE(615);
      if (lookahead == 't') ADVANCE(663);
      if (lookahead == 'u') ADVANCE(603);
      if (lookahead == 'v') ADVANCE(655);
      if (lookahead == '{') ADVANCE(520);
      if (lookahead == '|') ADVANCE(490);
      if (lookahead == '}') ADVANCE(521);
      if (lookahead == '~') ADVANCE(463);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(388)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(558);
      END_STATE();
    case 1:
      if (lookahead == '\n') SKIP(190)
      END_STATE();
    case 2:
      if (lookahead == '\n') SKIP(190)
      if (lookahead == '\r') SKIP(1)
      if (lookahead == 'U') ADVANCE(377);
      if (lookahead == 'u') ADVANCE(369);
      END_STATE();
    case 3:
      if (lookahead == '\n') SKIP(201)
      END_STATE();
    case 4:
      if (lookahead == '\n') SKIP(201)
      if (lookahead == '\r') SKIP(3)
      if (lookahead == 'U') ADVANCE(377);
      if (lookahead == 'u') ADVANCE(369);
      END_STATE();
    case 5:
      if (lookahead == '\n') SKIP(200)
      END_STATE();
    case 6:
      if (lookahead == '\n') SKIP(200)
      if (lookahead == '\r') SKIP(5)
      if (lookahead == 'U') ADVANCE(377);
      if (lookahead == 'u') ADVANCE(369);
      END_STATE();
    case 7:
      if (lookahead == '\n') SKIP(204)
      END_STATE();
    case 8:
      if (lookahead == '\n') SKIP(204)
      if (lookahead == '\r') SKIP(7)
      if (lookahead == 'U') ADVANCE(377);
      if (lookahead == 'u') ADVANCE(369);
      END_STATE();
    case 9:
      if (lookahead == '\n') SKIP(202)
      END_STATE();
    case 10:
      if (lookahead == '\n') SKIP(202)
      if (lookahead == '\r') SKIP(9)
      if (lookahead == 'U') ADVANCE(377);
      if (lookahead == 'u') ADVANCE(369);
      END_STATE();
    case 11:
      if (lookahead == '\n') SKIP(205)
      END_STATE();
    case 12:
      if (lookahead == '\n') SKIP(205)
      if (lookahead == '\r') SKIP(11)
      if (lookahead == 'U') ADVANCE(377);
      if (lookahead == 'u') ADVANCE(369);
      END_STATE();
    case 13:
      if (lookahead == '\n') SKIP(284)
      END_STATE();
    case 14:
      if (lookahead == '\n') SKIP(284)
      if (lookahead == '\r') SKIP(13)
      if (lookahead == 'U') ADVANCE(377);
      if (lookahead == 'u') ADVANCE(369);
      END_STATE();
    case 15:
      if (lookahead == '\n') SKIP(254)
      END_STATE();
    case 16:
      if (lookahead == '\n') SKIP(254)
      if (lookahead == '\r') SKIP(15)
      if (lookahead == 'U') ADVANCE(377);
      if (lookahead == 'u') ADVANCE(369);
      END_STATE();
    case 17:
      if (lookahead == '\n') SKIP(282)
      END_STATE();
    case 18:
      if (lookahead == '\n') SKIP(282)
      if (lookahead == '\r') SKIP(17)
      if (lookahead == 'U') ADVANCE(377);
      if (lookahead == 'u') ADVANCE(369);
      END_STATE();
    case 19:
      if (lookahead == '\n') SKIP(285)
      END_STATE();
    case 20:
      if (lookahead == '\n') SKIP(285)
      if (lookahead == '\r') SKIP(19)
      if (lookahead == 'U') ADVANCE(377);
      if (lookahead == 'u') ADVANCE(369);
      END_STATE();
    case 21:
      if (lookahead == '\n') SKIP(198)
      END_STATE();
    case 22:
      if (lookahead == '\n') SKIP(198)
      if (lookahead == '\r') SKIP(21)
      if (lookahead == 'U') ADVANCE(377);
      if (lookahead == 'u') ADVANCE(369);
      END_STATE();
    case 23:
      if (lookahead == '\n') SKIP(193)
      END_STATE();
    case 24:
      if (lookahead == '\n') SKIP(193)
      if (lookahead == '\r') SKIP(23)
      if (lookahead == 'U') ADVANCE(377);
      if (lookahead == 'u') ADVANCE(369);
      END_STATE();
    case 25:
      if (lookahead == '\n') SKIP(195)
      END_STATE();
    case 26:
      if (lookahead == '\n') SKIP(195)
      if (lookahead == '\r') SKIP(25)
      if (lookahead == 'U') ADVANCE(377);
      if (lookahead == 'u') ADVANCE(369);
      END_STATE();
    case 27:
      if (lookahead == '\n') SKIP(196)
      END_STATE();
    case 28:
      if (lookahead == '\n') SKIP(196)
      if (lookahead == '\r') SKIP(27)
      if (lookahead == 'U') ADVANCE(377);
      if (lookahead == 'u') ADVANCE(369);
      END_STATE();
    case 29:
      if (lookahead == '\n') SKIP(206)
      END_STATE();
    case 30:
      if (lookahead == '\n') SKIP(206)
      if (lookahead == '\r') SKIP(29)
      if (lookahead == 'U') ADVANCE(377);
      if (lookahead == 'u') ADVANCE(369);
      END_STATE();
    case 31:
      if (lookahead == '\n') SKIP(224)
      END_STATE();
    case 32:
      if (lookahead == '\n') SKIP(224)
      if (lookahead == '\r') SKIP(31)
      if (lookahead == 'U') ADVANCE(377);
      if (lookahead == 'u') ADVANCE(369);
      END_STATE();
    case 33:
      if (lookahead == '\n') SKIP(221)
      END_STATE();
    case 34:
      if (lookahead == '\n') SKIP(221)
      if (lookahead == '\r') SKIP(33)
      if (lookahead == 'U') ADVANCE(377);
      if (lookahead == 'u') ADVANCE(369);
      END_STATE();
    case 35:
      if (lookahead == '\n') SKIP(246)
      END_STATE();
    case 36:
      if (lookahead == '\n') SKIP(246)
      if (lookahead == '\r') SKIP(35)
      if (lookahead == 'U') ADVANCE(377);
      if (lookahead == 'u') ADVANCE(369);
      END_STATE();
    case 37:
      if (lookahead == '\n') SKIP(233)
      END_STATE();
    case 38:
      if (lookahead == '\n') SKIP(233)
      if (lookahead == '\r') SKIP(37)
      if (lookahead == 'U') ADVANCE(377);
      if (lookahead == 'u') ADVANCE(369);
      END_STATE();
    case 39:
      if (lookahead == '\n') SKIP(283)
      END_STATE();
    case 40:
      if (lookahead == '\n') SKIP(283)
      if (lookahead == '\r') SKIP(39)
      if (lookahead == 'U') ADVANCE(377);
      if (lookahead == 'u') ADVANCE(369);
      END_STATE();
    case 41:
      if (lookahead == '\n') SKIP(222)
      END_STATE();
    case 42:
      if (lookahead == '\n') SKIP(222)
      if (lookahead == '\r') SKIP(41)
      if (lookahead == 'U') ADVANCE(377);
      if (lookahead == 'u') ADVANCE(369);
      END_STATE();
    case 43:
      if (lookahead == '\n') SKIP(225)
      END_STATE();
    case 44:
      if (lookahead == '\n') SKIP(225)
      if (lookahead == '\r') SKIP(43)
      if (lookahead == 'U') ADVANCE(377);
      if (lookahead == 'u') ADVANCE(369);
      END_STATE();
    case 45:
      if (lookahead == '\n') SKIP(278)
      END_STATE();
    case 46:
      if (lookahead == '\n') SKIP(278)
      if (lookahead == '\r') SKIP(45)
      if (lookahead == 'U') ADVANCE(377);
      if (lookahead == 'u') ADVANCE(369);
      END_STATE();
    case 47:
      if (lookahead == '\n') SKIP(210)
      END_STATE();
    case 48:
      if (lookahead == '\n') SKIP(210)
      if (lookahead == '\r') SKIP(47)
      if (lookahead == 'U') ADVANCE(377);
      if (lookahead == 'u') ADVANCE(369);
      END_STATE();
    case 49:
      if (lookahead == '\n') SKIP(286)
      END_STATE();
    case 50:
      if (lookahead == '\n') SKIP(286)
      if (lookahead == '\r') SKIP(49)
      if (lookahead == 'U') ADVANCE(377);
      if (lookahead == 'u') ADVANCE(369);
      END_STATE();
    case 51:
      if (lookahead == '\n') SKIP(262)
      END_STATE();
    case 52:
      if (lookahead == '\n') SKIP(262)
      if (lookahead == '\r') SKIP(51)
      if (lookahead == 'U') ADVANCE(377);
      if (lookahead == 'u') ADVANCE(369);
      END_STATE();
    case 53:
      if (lookahead == '\n') SKIP(232)
      END_STATE();
    case 54:
      if (lookahead == '\n') SKIP(232)
      if (lookahead == '\r') SKIP(53)
      if (lookahead == 'U') ADVANCE(377);
      if (lookahead == 'u') ADVANCE(369);
      END_STATE();
    case 55:
      if (lookahead == '\n') SKIP(236)
      END_STATE();
    case 56:
      if (lookahead == '\n') SKIP(236)
      if (lookahead == '\r') SKIP(55)
      if (lookahead == 'U') ADVANCE(377);
      if (lookahead == 'u') ADVANCE(369);
      END_STATE();
    case 57:
      if (lookahead == '\n') SKIP(267)
      END_STATE();
    case 58:
      if (lookahead == '\n') SKIP(267)
      if (lookahead == '\r') SKIP(57)
      if (lookahead == 'U') ADVANCE(377);
      if (lookahead == 'u') ADVANCE(369);
      END_STATE();
    case 59:
      if (lookahead == '\n') SKIP(215)
      END_STATE();
    case 60:
      if (lookahead == '\n') SKIP(215)
      if (lookahead == '\r') SKIP(59)
      if (lookahead == 'U') ADVANCE(377);
      if (lookahead == 'u') ADVANCE(369);
      END_STATE();
    case 61:
      if (lookahead == '\n') SKIP(216)
      END_STATE();
    case 62:
      if (lookahead == '\n') SKIP(216)
      if (lookahead == '\r') SKIP(61)
      if (lookahead == 'U') ADVANCE(377);
      if (lookahead == 'u') ADVANCE(369);
      END_STATE();
    case 63:
      if (lookahead == '\n') SKIP(223)
      END_STATE();
    case 64:
      if (lookahead == '\n') SKIP(223)
      if (lookahead == '\r') SKIP(63)
      if (lookahead == 'U') ADVANCE(377);
      if (lookahead == 'u') ADVANCE(369);
      END_STATE();
    case 65:
      if (lookahead == '\n') SKIP(226)
      END_STATE();
    case 66:
      if (lookahead == '\n') SKIP(226)
      if (lookahead == '\r') SKIP(65)
      if (lookahead == 'U') ADVANCE(377);
      if (lookahead == 'u') ADVANCE(369);
      END_STATE();
    case 67:
      if (lookahead == '\n') SKIP(247)
      END_STATE();
    case 68:
      if (lookahead == '\n') SKIP(247)
      if (lookahead == '\r') SKIP(67)
      if (lookahead == 'U') ADVANCE(377);
      if (lookahead == 'u') ADVANCE(369);
      END_STATE();
    case 69:
      if (lookahead == '\n') SKIP(383)
      END_STATE();
    case 70:
      if (lookahead == '\n') SKIP(383)
      if (lookahead == '\r') SKIP(69)
      if (lookahead == 'U') ADVANCE(377);
      if (lookahead == 'u') ADVANCE(369);
      END_STATE();
    case 71:
      if (lookahead == '\n') SKIP(244)
      END_STATE();
    case 72:
      if (lookahead == '\n') SKIP(244)
      if (lookahead == '\r') SKIP(71)
      if (lookahead == 'U') ADVANCE(377);
      if (lookahead == 'u') ADVANCE(369);
      END_STATE();
    case 73:
      if (lookahead == '\n') SKIP(261)
      END_STATE();
    case 74:
      if (lookahead == '\n') SKIP(261)
      if (lookahead == '\r') SKIP(73)
      if (lookahead == 'U') ADVANCE(377);
      if (lookahead == 'u') ADVANCE(369);
      END_STATE();
    case 75:
      if (lookahead == '\n') SKIP(258)
      END_STATE();
    case 76:
      if (lookahead == '\n') SKIP(258)
      if (lookahead == '\r') SKIP(75)
      if (lookahead == 'U') ADVANCE(377);
      if (lookahead == 'u') ADVANCE(369);
      END_STATE();
    case 77:
      if (lookahead == '\n') SKIP(238)
      END_STATE();
    case 78:
      if (lookahead == '\n') SKIP(238)
      if (lookahead == '\r') SKIP(77)
      if (lookahead == 'U') ADVANCE(377);
      if (lookahead == 'u') ADVANCE(369);
      END_STATE();
    case 79:
      if (lookahead == '\n') SKIP(263)
      END_STATE();
    case 80:
      if (lookahead == '\n') SKIP(263)
      if (lookahead == '\r') SKIP(79)
      if (lookahead == 'U') ADVANCE(377);
      if (lookahead == 'u') ADVANCE(369);
      END_STATE();
    case 81:
      if (lookahead == '\n') SKIP(259)
      END_STATE();
    case 82:
      if (lookahead == '\n') SKIP(259)
      if (lookahead == '\r') SKIP(81)
      if (lookahead == 'U') ADVANCE(377);
      if (lookahead == 'u') ADVANCE(369);
      END_STATE();
    case 83:
      if (lookahead == '\n') SKIP(212)
      END_STATE();
    case 84:
      if (lookahead == '\n') SKIP(212)
      if (lookahead == '\r') SKIP(83)
      if (lookahead == 'U') ADVANCE(377);
      if (lookahead == 'u') ADVANCE(369);
      END_STATE();
    case 85:
      if (lookahead == '\n') SKIP(260)
      END_STATE();
    case 86:
      if (lookahead == '\n') SKIP(260)
      if (lookahead == '\r') SKIP(85)
      if (lookahead == 'U') ADVANCE(377);
      if (lookahead == 'u') ADVANCE(369);
      END_STATE();
    case 87:
      if (lookahead == '\n') SKIP(249)
      END_STATE();
    case 88:
      if (lookahead == '\n') SKIP(249)
      if (lookahead == '\r') SKIP(87)
      if (lookahead == 'U') ADVANCE(377);
      if (lookahead == 'u') ADVANCE(369);
      END_STATE();
    case 89:
      if (lookahead == '\n') SKIP(270)
      END_STATE();
    case 90:
      if (lookahead == '\n') SKIP(270)
      if (lookahead == '\r') SKIP(89)
      if (lookahead == 'U') ADVANCE(377);
      if (lookahead == 'u') ADVANCE(369);
      END_STATE();
    case 91:
      if (lookahead == '\n') SKIP(199)
      END_STATE();
    case 92:
      if (lookahead == '\n') SKIP(199)
      if (lookahead == '\r') SKIP(91)
      if (lookahead == 'U') ADVANCE(377);
      if (lookahead == 'u') ADVANCE(369);
      END_STATE();
    case 93:
      if (lookahead == '\n') SKIP(264)
      END_STATE();
    case 94:
      if (lookahead == '\n') SKIP(264)
      if (lookahead == '\r') SKIP(93)
      if (lookahead == 'U') ADVANCE(377);
      if (lookahead == 'u') ADVANCE(369);
      END_STATE();
    case 95:
      if (lookahead == '\n') SKIP(269)
      END_STATE();
    case 96:
      if (lookahead == '\n') SKIP(269)
      if (lookahead == '\r') SKIP(95)
      if (lookahead == 'U') ADVANCE(377);
      if (lookahead == 'u') ADVANCE(369);
      END_STATE();
    case 97:
      if (lookahead == '\n') SKIP(227)
      END_STATE();
    case 98:
      if (lookahead == '\n') SKIP(227)
      if (lookahead == '\r') SKIP(97)
      if (lookahead == 'U') ADVANCE(377);
      if (lookahead == 'u') ADVANCE(369);
      END_STATE();
    case 99:
      if (lookahead == '\n') SKIP(380)
      END_STATE();
    case 100:
      if (lookahead == '\n') SKIP(380)
      if (lookahead == '\r') SKIP(99)
      if (lookahead == 'U') ADVANCE(377);
      if (lookahead == 'u') ADVANCE(369);
      END_STATE();
    case 101:
      if (lookahead == '\n') SKIP(384)
      END_STATE();
    case 102:
      if (lookahead == '\n') SKIP(384)
      if (lookahead == '\r') SKIP(101)
      if (lookahead == 'U') ADVANCE(377);
      if (lookahead == 'u') ADVANCE(369);
      END_STATE();
    case 103:
      if (lookahead == '\n') SKIP(379)
      END_STATE();
    case 104:
      if (lookahead == '\n') SKIP(379)
      if (lookahead == '\r') SKIP(103)
      if (lookahead == 'U') ADVANCE(377);
      if (lookahead == 'u') ADVANCE(369);
      END_STATE();
    case 105:
      if (lookahead == '\n') SKIP(273)
      END_STATE();
    case 106:
      if (lookahead == '\n') SKIP(273)
      if (lookahead == '\r') SKIP(105)
      if (lookahead == 'U') ADVANCE(377);
      if (lookahead == 'u') ADVANCE(369);
      END_STATE();
    case 107:
      if (lookahead == '\n') SKIP(382)
      END_STATE();
    case 108:
      if (lookahead == '\n') SKIP(382)
      if (lookahead == '\r') SKIP(107)
      if (lookahead == 'U') ADVANCE(377);
      if (lookahead == 'u') ADVANCE(369);
      END_STATE();
    case 109:
      if (lookahead == '\n') SKIP(207)
      END_STATE();
    case 110:
      if (lookahead == '\n') SKIP(207)
      if (lookahead == '\r') SKIP(109)
      if (lookahead == 'U') ADVANCE(377);
      if (lookahead == 'u') ADVANCE(369);
      END_STATE();
    case 111:
      if (lookahead == '\n') SKIP(113)
      END_STATE();
    case 112:
      if (lookahead == '\n') SKIP(113)
      if (lookahead == '\r') SKIP(111)
      END_STATE();
    case 113:
      if (lookahead == '\n') ADVANCE(399);
      if (lookahead == '!') ADVANCE(310);
      if (lookahead == '%') ADVANCE(485);
      if (lookahead == '&') ADVANCE(495);
      if (lookahead == '(') ADVANCE(460);
      if (lookahead == '*') ADVANCE(481);
      if (lookahead == '+') ADVANCE(474);
      if (lookahead == '-') ADVANCE(464);
      if (lookahead == '/') ADVANCE(483);
      if (lookahead == '<') ADVANCE(509);
      if (lookahead == '=') ADVANCE(311);
      if (lookahead == '>') ADVANCE(500);
      if (lookahead == '\\') SKIP(112)
      if (lookahead == '^') ADVANCE(492);
      if (lookahead == '|') ADVANCE(491);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(113)
      END_STATE();
    case 114:
      if (lookahead == '\n') SKIP(279)
      END_STATE();
    case 115:
      if (lookahead == '\n') SKIP(279)
      if (lookahead == '\r') SKIP(114)
      if (lookahead == 'U') ADVANCE(377);
      if (lookahead == 'u') ADVANCE(369);
      END_STATE();
    case 116:
      if (lookahead == '\n') SKIP(385)
      END_STATE();
    case 117:
      if (lookahead == '\n') SKIP(385)
      if (lookahead == '\r') SKIP(116)
      if (lookahead == 'U') ADVANCE(377);
      if (lookahead == 'u') ADVANCE(369);
      END_STATE();
    case 118:
      if (lookahead == '\n') SKIP(280)
      END_STATE();
    case 119:
      if (lookahead == '\n') SKIP(280)
      if (lookahead == '\r') SKIP(118)
      if (lookahead == 'U') ADVANCE(377);
      if (lookahead == 'u') ADVANCE(369);
      END_STATE();
    case 120:
      if (lookahead == '\n') SKIP(277)
      if (lookahead == '"') ADVANCE(582);
      if (lookahead == '/') ADVANCE(583);
      if (lookahead == '\\') ADVANCE(121);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(586);
      if (lookahead != 0) ADVANCE(587);
      END_STATE();
    case 121:
      if (lookahead == '\n') ADVANCE(589);
      if (lookahead == '\r') ADVANCE(588);
      if (lookahead == 'U') ADVANCE(378);
      if (lookahead == 'u') ADVANCE(370);
      if (lookahead == 'x') ADVANCE(366);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(591);
      if (lookahead != 0) ADVANCE(588);
      END_STATE();
    case 122:
      if (lookahead == '\n') ADVANCE(392);
      if (lookahead == '\r') ADVANCE(126);
      if (lookahead == '(') ADVANCE(394);
      if (lookahead == '/') ADVANCE(419);
      if (lookahead == '\\') ADVANCE(417);
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') SKIP(302)
      if (lookahead != 0) ADVANCE(420);
      END_STATE();
    case 123:
      if (lookahead == '\n') ADVANCE(392);
      if (lookahead == '\r') ADVANCE(126);
      if (lookahead == '/') ADVANCE(419);
      if (lookahead == '\\') ADVANCE(417);
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') SKIP(302)
      if (lookahead != 0) ADVANCE(420);
      END_STATE();
    case 124:
      if (lookahead == '\n') ADVANCE(392);
      if (lookahead == '\r') ADVANCE(125);
      if (lookahead == '(') ADVANCE(460);
      if (lookahead == '/') ADVANCE(293);
      if (lookahead == '\\') SKIP(129)
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') SKIP(290)
      END_STATE();
    case 125:
      if (lookahead == '\n') ADVANCE(392);
      if (lookahead == '(') ADVANCE(460);
      if (lookahead == '/') ADVANCE(293);
      if (lookahead == '\\') SKIP(129)
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(290)
      END_STATE();
    case 126:
      if (lookahead == '\n') ADVANCE(392);
      if (lookahead == '/') ADVANCE(419);
      if (lookahead == '\\') ADVANCE(417);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(302)
      if (lookahead != 0) ADVANCE(420);
      END_STATE();
    case 127:
      if (lookahead == '\n') SKIP(287)
      if (lookahead == '\'') ADVANCE(573);
      if (lookahead == '/') ADVANCE(576);
      if (lookahead == '\\') ADVANCE(575);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(577);
      if (lookahead != 0) ADVANCE(574);
      END_STATE();
    case 128:
      if (lookahead == '\n') SKIP(290)
      END_STATE();
    case 129:
      if (lookahead == '\n') SKIP(290)
      if (lookahead == '\r') SKIP(128)
      END_STATE();
    case 130:
      if (lookahead == '\n') SKIP(191)
      END_STATE();
    case 131:
      if (lookahead == '\n') SKIP(191)
      if (lookahead == '\r') SKIP(130)
      if (lookahead == 'U') ADVANCE(377);
      if (lookahead == 'u') ADVANCE(369);
      END_STATE();
    case 132:
      if (lookahead == '\n') SKIP(203)
      END_STATE();
    case 133:
      if (lookahead == '\n') SKIP(203)
      if (lookahead == '\r') SKIP(132)
      if (lookahead == 'U') ADVANCE(377);
      if (lookahead == 'u') ADVANCE(369);
      END_STATE();
    case 134:
      if (lookahead == '\n') SKIP(194)
      END_STATE();
    case 135:
      if (lookahead == '\n') SKIP(194)
      if (lookahead == '\r') SKIP(134)
      if (lookahead == 'U') ADVANCE(377);
      if (lookahead == 'u') ADVANCE(369);
      END_STATE();
    case 136:
      if (lookahead == '\n') SKIP(197)
      END_STATE();
    case 137:
      if (lookahead == '\n') SKIP(197)
      if (lookahead == '\r') SKIP(136)
      if (lookahead == 'U') ADVANCE(377);
      if (lookahead == 'u') ADVANCE(369);
      END_STATE();
    case 138:
      if (lookahead == '\n') SKIP(228)
      END_STATE();
    case 139:
      if (lookahead == '\n') SKIP(228)
      if (lookahead == '\r') SKIP(138)
      if (lookahead == 'U') ADVANCE(377);
      if (lookahead == 'u') ADVANCE(369);
      END_STATE();
    case 140:
      if (lookahead == '\n') SKIP(211)
      END_STATE();
    case 141:
      if (lookahead == '\n') SKIP(211)
      if (lookahead == '\r') SKIP(140)
      if (lookahead == 'U') ADVANCE(377);
      if (lookahead == 'u') ADVANCE(369);
      END_STATE();
    case 142:
      if (lookahead == '\n') SKIP(231)
      END_STATE();
    case 143:
      if (lookahead == '\n') SKIP(231)
      if (lookahead == '\r') SKIP(142)
      if (lookahead == 'U') ADVANCE(377);
      if (lookahead == 'u') ADVANCE(369);
      END_STATE();
    case 144:
      if (lookahead == '\n') SKIP(234)
      END_STATE();
    case 145:
      if (lookahead == '\n') SKIP(234)
      if (lookahead == '\r') SKIP(144)
      if (lookahead == 'U') ADVANCE(377);
      if (lookahead == 'u') ADVANCE(369);
      END_STATE();
    case 146:
      if (lookahead == '\n') SKIP(268)
      END_STATE();
    case 147:
      if (lookahead == '\n') SKIP(268)
      if (lookahead == '\r') SKIP(146)
      if (lookahead == 'U') ADVANCE(377);
      if (lookahead == 'u') ADVANCE(369);
      END_STATE();
    case 148:
      if (lookahead == '\n') SKIP(217)
      END_STATE();
    case 149:
      if (lookahead == '\n') SKIP(217)
      if (lookahead == '\r') SKIP(148)
      if (lookahead == 'U') ADVANCE(377);
      if (lookahead == 'u') ADVANCE(369);
      END_STATE();
    case 150:
      if (lookahead == '\n') SKIP(248)
      END_STATE();
    case 151:
      if (lookahead == '\n') SKIP(248)
      if (lookahead == '\r') SKIP(150)
      if (lookahead == 'U') ADVANCE(377);
      if (lookahead == 'u') ADVANCE(369);
      END_STATE();
    case 152:
      if (lookahead == '\n') SKIP(237)
      END_STATE();
    case 153:
      if (lookahead == '\n') SKIP(237)
      if (lookahead == '\r') SKIP(152)
      if (lookahead == 'U') ADVANCE(377);
      if (lookahead == 'u') ADVANCE(369);
      END_STATE();
    case 154:
      if (lookahead == '\n') SKIP(250)
      END_STATE();
    case 155:
      if (lookahead == '\n') SKIP(250)
      if (lookahead == '\r') SKIP(154)
      if (lookahead == 'U') ADVANCE(377);
      if (lookahead == 'u') ADVANCE(369);
      END_STATE();
    case 156:
      if (lookahead == '\n') SKIP(271)
      END_STATE();
    case 157:
      if (lookahead == '\n') SKIP(271)
      if (lookahead == '\r') SKIP(156)
      if (lookahead == 'U') ADVANCE(377);
      if (lookahead == 'u') ADVANCE(369);
      END_STATE();
    case 158:
      if (lookahead == '\n') SKIP(265)
      END_STATE();
    case 159:
      if (lookahead == '\n') SKIP(265)
      if (lookahead == '\r') SKIP(158)
      if (lookahead == 'U') ADVANCE(377);
      if (lookahead == 'u') ADVANCE(369);
      END_STATE();
    case 160:
      if (lookahead == '\n') SKIP(381)
      END_STATE();
    case 161:
      if (lookahead == '\n') SKIP(381)
      if (lookahead == '\r') SKIP(160)
      if (lookahead == 'U') ADVANCE(377);
      if (lookahead == 'u') ADVANCE(369);
      END_STATE();
    case 162:
      if (lookahead == '\n') SKIP(192)
      END_STATE();
    case 163:
      if (lookahead == '\n') SKIP(192)
      if (lookahead == '\r') SKIP(162)
      if (lookahead == 'U') ADVANCE(377);
      if (lookahead == 'u') ADVANCE(369);
      END_STATE();
    case 164:
      if (lookahead == '\n') SKIP(245)
      END_STATE();
    case 165:
      if (lookahead == '\n') SKIP(245)
      if (lookahead == '\r') SKIP(164)
      if (lookahead == 'U') ADVANCE(377);
      if (lookahead == 'u') ADVANCE(369);
      END_STATE();
    case 166:
      if (lookahead == '\n') SKIP(235)
      END_STATE();
    case 167:
      if (lookahead == '\n') SKIP(235)
      if (lookahead == '\r') SKIP(166)
      if (lookahead == 'U') ADVANCE(377);
      if (lookahead == 'u') ADVANCE(369);
      END_STATE();
    case 168:
      if (lookahead == '\n') SKIP(275)
      END_STATE();
    case 169:
      if (lookahead == '\n') SKIP(275)
      if (lookahead == '\r') SKIP(168)
      if (lookahead == 'U') ADVANCE(377);
      if (lookahead == 'u') ADVANCE(369);
      END_STATE();
    case 170:
      if (lookahead == '\n') SKIP(251)
      END_STATE();
    case 171:
      if (lookahead == '\n') SKIP(251)
      if (lookahead == '\r') SKIP(170)
      if (lookahead == 'U') ADVANCE(377);
      if (lookahead == 'u') ADVANCE(369);
      END_STATE();
    case 172:
      if (lookahead == '\n') SKIP(241)
      END_STATE();
    case 173:
      if (lookahead == '\n') SKIP(241)
      if (lookahead == '\r') SKIP(172)
      if (lookahead == 'U') ADVANCE(377);
      if (lookahead == 'u') ADVANCE(369);
      END_STATE();
    case 174:
      if (lookahead == '\n') SKIP(253)
      END_STATE();
    case 175:
      if (lookahead == '\n') SKIP(253)
      if (lookahead == '\r') SKIP(174)
      if (lookahead == 'U') ADVANCE(377);
      if (lookahead == 'u') ADVANCE(369);
      END_STATE();
    case 176:
      if (lookahead == '\n') SKIP(272)
      END_STATE();
    case 177:
      if (lookahead == '\n') SKIP(272)
      if (lookahead == '\r') SKIP(176)
      if (lookahead == 'U') ADVANCE(377);
      if (lookahead == 'u') ADVANCE(369);
      END_STATE();
    case 178:
      if (lookahead == '\n') SKIP(266)
      END_STATE();
    case 179:
      if (lookahead == '\n') SKIP(266)
      if (lookahead == '\r') SKIP(178)
      if (lookahead == 'U') ADVANCE(377);
      if (lookahead == 'u') ADVANCE(369);
      END_STATE();
    case 180:
      if (lookahead == '\n') SKIP(240)
      END_STATE();
    case 181:
      if (lookahead == '\n') SKIP(240)
      if (lookahead == '\r') SKIP(180)
      if (lookahead == 'U') ADVANCE(377);
      if (lookahead == 'u') ADVANCE(369);
      END_STATE();
    case 182:
      if (lookahead == '\n') SKIP(274)
      END_STATE();
    case 183:
      if (lookahead == '\n') SKIP(274)
      if (lookahead == '\r') SKIP(182)
      if (lookahead == 'U') ADVANCE(377);
      if (lookahead == 'u') ADVANCE(369);
      END_STATE();
    case 184:
      if (lookahead == '\n') SKIP(252)
      END_STATE();
    case 185:
      if (lookahead == '\n') SKIP(252)
      if (lookahead == '\r') SKIP(184)
      if (lookahead == 'U') ADVANCE(377);
      if (lookahead == 'u') ADVANCE(369);
      END_STATE();
    case 186:
      if (lookahead == '\n') SKIP(276)
      END_STATE();
    case 187:
      if (lookahead == '\n') SKIP(276)
      if (lookahead == '\r') SKIP(186)
      if (lookahead == 'U') ADVANCE(377);
      if (lookahead == 'u') ADVANCE(369);
      END_STATE();
    case 188:
      if (lookahead == '\n') SKIP(239)
      END_STATE();
    case 189:
      if (lookahead == '\n') SKIP(239)
      if (lookahead == '\r') SKIP(188)
      if (lookahead == 'U') ADVANCE(377);
      if (lookahead == 'u') ADVANCE(369);
      END_STATE();
    case 190:
      if (lookahead == '!') ADVANCE(462);
      if (lookahead == '"') ADVANCE(582);
      if (lookahead == '#') ADVANCE(323);
      if (sym_identifier_character_set_1(lookahead)) ADVANCE(685);
      if (lookahead == '%') ADVANCE(486);
      if (lookahead == '&') ADVANCE(496);
      if (lookahead == '\'') ADVANCE(573);
      if (lookahead == '(') ADVANCE(460);
      if (lookahead == ')') ADVANCE(397);
      if (lookahead == '*') ADVANCE(482);
      if (lookahead == '+') ADVANCE(476);
      if (lookahead == ',') ADVANCE(396);
      if (lookahead == '-') ADVANCE(465);
      if (lookahead == '.') ADVANCE(546);
      if (lookahead == '/') ADVANCE(484);
      if (lookahead == '0') ADVANCE(556);
      if (lookahead == ':') ADVANCE(515);
      if (lookahead == ';') ADVANCE(516);
      if (lookahead == '<') ADVANCE(506);
      if (lookahead == '=') ADVANCE(528);
      if (lookahead == '>') ADVANCE(695);
      if (lookahead == '?') ADVANCE(531);
      if (lookahead == 'F') ADVANCE(627);
      if (lookahead == 'L') ADVANCE(596);
      if (lookahead == 'R') ADVANCE(599);
      if (lookahead == 'T') ADVANCE(624);
      if (lookahead == 'U') ADVANCE(600);
      if (lookahead == '[') ADVANCE(524);
      if (lookahead == '\\') ADVANCE(2);
      if (lookahead == ']') ADVANCE(526);
      if (lookahead == '^') ADVANCE(493);
      if (lookahead == 'b') ADVANCE(658);
      if (lookahead == 'c') ADVANCE(638);
      if (lookahead == 'd') ADVANCE(654);
      if (lookahead == 'f') ADVANCE(616);
      if (lookahead == 'i') ADVANCE(651);
      if (lookahead == 'm') ADVANCE(676);
      if (lookahead == 'n') ADVANCE(671);
      if (lookahead == 'p') ADVANCE(668);
      if (lookahead == 's') ADVANCE(615);
      if (lookahead == 't') ADVANCE(663);
      if (lookahead == 'u') ADVANCE(603);
      if (lookahead == 'v') ADVANCE(655);
      if (lookahead == '{') ADVANCE(520);
      if (lookahead == '|') ADVANCE(490);
      if (lookahead == '}') ADVANCE(521);
      if (lookahead == '~') ADVANCE(463);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(190)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(558);
      END_STATE();
    case 191:
      if (lookahead == '!') ADVANCE(462);
      if (lookahead == '"') ADVANCE(582);
      if (lookahead == '#') ADVANCE(334);
      if (sym_identifier_character_set_1(lookahead)) ADVANCE(685);
      if (lookahead == '%') ADVANCE(486);
      if (lookahead == '&') ADVANCE(496);
      if (lookahead == '\'') ADVANCE(573);
      if (lookahead == '(') ADVANCE(460);
      if (lookahead == ')') ADVANCE(397);
      if (lookahead == '*') ADVANCE(482);
      if (lookahead == '+') ADVANCE(476);
      if (lookahead == ',') ADVANCE(396);
      if (lookahead == '-') ADVANCE(466);
      if (lookahead == '.') ADVANCE(546);
      if (lookahead == '/') ADVANCE(484);
      if (lookahead == '0') ADVANCE(556);
      if (lookahead == ':') ADVANCE(515);
      if (lookahead == ';') ADVANCE(516);
      if (lookahead == '<') ADVANCE(506);
      if (lookahead == '=') ADVANCE(528);
      if (lookahead == '>') ADVANCE(501);
      if (lookahead == '?') ADVANCE(531);
      if (lookahead == 'F') ADVANCE(627);
      if (lookahead == 'L') ADVANCE(596);
      if (lookahead == 'R') ADVANCE(599);
      if (lookahead == 'T') ADVANCE(624);
      if (lookahead == 'U') ADVANCE(600);
      if (lookahead == '[') ADVANCE(522);
      if (lookahead == '\\') ADVANCE(131);
      if (lookahead == ']') ADVANCE(526);
      if (lookahead == '^') ADVANCE(493);
      if (lookahead == 'b') ADVANCE(658);
      if (lookahead == 'c') ADVANCE(638);
      if (lookahead == 'd') ADVANCE(654);
      if (lookahead == 'f') ADVANCE(616);
      if (lookahead == 'i') ADVANCE(651);
      if (lookahead == 'm') ADVANCE(676);
      if (lookahead == 'n') ADVANCE(671);
      if (lookahead == 'p') ADVANCE(668);
      if (lookahead == 's') ADVANCE(615);
      if (lookahead == 't') ADVANCE(663);
      if (lookahead == 'u') ADVANCE(603);
      if (lookahead == 'v') ADVANCE(655);
      if (lookahead == '{') ADVANCE(520);
      if (lookahead == '|') ADVANCE(490);
      if (lookahead == '}') ADVANCE(521);
      if (lookahead == '~') ADVANCE(463);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(191)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(558);
      END_STATE();
    case 192:
      if (lookahead == '!') ADVANCE(462);
      if (lookahead == '"') ADVANCE(582);
      if (lookahead == '#') ADVANCE(334);
      if (sym_identifier_character_set_1(lookahead)) ADVANCE(685);
      if (lookahead == '%') ADVANCE(485);
      if (lookahead == '&') ADVANCE(495);
      if (lookahead == '\'') ADVANCE(573);
      if (lookahead == '(') ADVANCE(460);
      if (lookahead == ')') ADVANCE(397);
      if (lookahead == '*') ADVANCE(481);
      if (lookahead == '+') ADVANCE(477);
      if (lookahead == ',') ADVANCE(396);
      if (lookahead == '-') ADVANCE(467);
      if (lookahead == '.') ADVANCE(546);
      if (lookahead == '/') ADVANCE(483);
      if (lookahead == '0') ADVANCE(556);
      if (lookahead == ':') ADVANCE(515);
      if (lookahead == ';') ADVANCE(516);
      if (lookahead == '<') ADVANCE(508);
      if (lookahead == '=') ADVANCE(311);
      if (lookahead == '>') ADVANCE(500);
      if (lookahead == '?') ADVANCE(531);
      if (lookahead == 'F') ADVANCE(627);
      if (lookahead == 'L') ADVANCE(596);
      if (lookahead == 'R') ADVANCE(599);
      if (lookahead == 'T') ADVANCE(624);
      if (lookahead == 'U') ADVANCE(600);
      if (lookahead == '[') ADVANCE(522);
      if (lookahead == '\\') ADVANCE(163);
      if (lookahead == ']') ADVANCE(526);
      if (lookahead == '^') ADVANCE(492);
      if (lookahead == 'b') ADVANCE(658);
      if (lookahead == 'c') ADVANCE(638);
      if (lookahead == 'd') ADVANCE(654);
      if (lookahead == 'f') ADVANCE(616);
      if (lookahead == 'i') ADVANCE(651);
      if (lookahead == 'm') ADVANCE(676);
      if (lookahead == 'n') ADVANCE(671);
      if (lookahead == 'p') ADVANCE(668);
      if (lookahead == 's') ADVANCE(615);
      if (lookahead == 't') ADVANCE(663);
      if (lookahead == 'u') ADVANCE(603);
      if (lookahead == 'v') ADVANCE(655);
      if (lookahead == '{') ADVANCE(520);
      if (lookahead == '|') ADVANCE(491);
      if (lookahead == '}') ADVANCE(521);
      if (lookahead == '~') ADVANCE(463);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(192)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(558);
      END_STATE();
    case 193:
      if (lookahead == '!') ADVANCE(462);
      if (lookahead == '"') ADVANCE(582);
      if (lookahead == '#') ADVANCE(338);
      if (sym_identifier_character_set_1(lookahead)) ADVANCE(685);
      if (lookahead == '%') ADVANCE(486);
      if (lookahead == '&') ADVANCE(496);
      if (lookahead == '\'') ADVANCE(573);
      if (lookahead == '(') ADVANCE(460);
      if (lookahead == '*') ADVANCE(482);
      if (lookahead == '+') ADVANCE(476);
      if (lookahead == ',') ADVANCE(396);
      if (lookahead == '-') ADVANCE(466);
      if (lookahead == '.') ADVANCE(546);
      if (lookahead == '/') ADVANCE(484);
      if (lookahead == '0') ADVANCE(556);
      if (lookahead == ':') ADVANCE(309);
      if (lookahead == '<') ADVANCE(506);
      if (lookahead == '=') ADVANCE(528);
      if (lookahead == '>') ADVANCE(501);
      if (lookahead == '?') ADVANCE(531);
      if (lookahead == 'F') ADVANCE(627);
      if (lookahead == 'L') ADVANCE(596);
      if (lookahead == 'R') ADVANCE(599);
      if (lookahead == 'T') ADVANCE(624);
      if (lookahead == 'U') ADVANCE(600);
      if (lookahead == '[') ADVANCE(522);
      if (lookahead == '\\') ADVANCE(24);
      if (lookahead == '^') ADVANCE(493);
      if (lookahead == 'b') ADVANCE(658);
      if (lookahead == 'c') ADVANCE(638);
      if (lookahead == 'd') ADVANCE(654);
      if (lookahead == 'f') ADVANCE(616);
      if (lookahead == 'i') ADVANCE(651);
      if (lookahead == 'm') ADVANCE(676);
      if (lookahead == 'n') ADVANCE(671);
      if (lookahead == 'p') ADVANCE(668);
      if (lookahead == 's') ADVANCE(615);
      if (lookahead == 't') ADVANCE(663);
      if (lookahead == 'u') ADVANCE(603);
      if (lookahead == 'v') ADVANCE(655);
      if (lookahead == '{') ADVANCE(520);
      if (lookahead == '|') ADVANCE(490);
      if (lookahead == '~') ADVANCE(463);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(193)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(558);
      END_STATE();
    case 194:
      if (lookahead == '!') ADVANCE(462);
      if (lookahead == '"') ADVANCE(582);
      if (lookahead == '#') ADVANCE(338);
      if (sym_identifier_character_set_1(lookahead)) ADVANCE(685);
      if (lookahead == '%') ADVANCE(485);
      if (lookahead == '&') ADVANCE(495);
      if (lookahead == '\'') ADVANCE(573);
      if (lookahead == '(') ADVANCE(460);
      if (lookahead == '*') ADVANCE(481);
      if (lookahead == '+') ADVANCE(477);
      if (lookahead == ',') ADVANCE(396);
      if (lookahead == '-') ADVANCE(467);
      if (lookahead == '.') ADVANCE(546);
      if (lookahead == '/') ADVANCE(483);
      if (lookahead == '0') ADVANCE(556);
      if (lookahead == ':') ADVANCE(309);
      if (lookahead == '<') ADVANCE(508);
      if (lookahead == '=') ADVANCE(311);
      if (lookahead == '>') ADVANCE(500);
      if (lookahead == '?') ADVANCE(531);
      if (lookahead == 'F') ADVANCE(627);
      if (lookahead == 'L') ADVANCE(596);
      if (lookahead == 'R') ADVANCE(599);
      if (lookahead == 'T') ADVANCE(624);
      if (lookahead == 'U') ADVANCE(600);
      if (lookahead == '[') ADVANCE(522);
      if (lookahead == '\\') ADVANCE(135);
      if (lookahead == '^') ADVANCE(492);
      if (lookahead == 'b') ADVANCE(658);
      if (lookahead == 'c') ADVANCE(638);
      if (lookahead == 'd') ADVANCE(654);
      if (lookahead == 'f') ADVANCE(616);
      if (lookahead == 'i') ADVANCE(651);
      if (lookahead == 'm') ADVANCE(676);
      if (lookahead == 'n') ADVANCE(671);
      if (lookahead == 'p') ADVANCE(668);
      if (lookahead == 's') ADVANCE(615);
      if (lookahead == 't') ADVANCE(663);
      if (lookahead == 'u') ADVANCE(603);
      if (lookahead == 'v') ADVANCE(655);
      if (lookahead == '{') ADVANCE(520);
      if (lookahead == '|') ADVANCE(491);
      if (lookahead == '~') ADVANCE(463);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(194)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(558);
      END_STATE();
    case 195:
      if (lookahead == '!') ADVANCE(462);
      if (lookahead == '"') ADVANCE(582);
      if (sym_identifier_character_set_1(lookahead)) ADVANCE(685);
      if (lookahead == '%') ADVANCE(486);
      if (lookahead == '&') ADVANCE(496);
      if (lookahead == '\'') ADVANCE(573);
      if (lookahead == '(') ADVANCE(460);
      if (lookahead == ')') ADVANCE(397);
      if (lookahead == '*') ADVANCE(482);
      if (lookahead == '+') ADVANCE(476);
      if (lookahead == ',') ADVANCE(396);
      if (lookahead == '-') ADVANCE(465);
      if (lookahead == '.') ADVANCE(546);
      if (lookahead == '/') ADVANCE(484);
      if (lookahead == '0') ADVANCE(556);
      if (lookahead == ':') ADVANCE(309);
      if (lookahead == '<') ADVANCE(506);
      if (lookahead == '=') ADVANCE(528);
      if (lookahead == '>') ADVANCE(501);
      if (lookahead == '?') ADVANCE(531);
      if (lookahead == 'F') ADVANCE(627);
      if (lookahead == 'L') ADVANCE(596);
      if (lookahead == 'R') ADVANCE(599);
      if (lookahead == 'T') ADVANCE(624);
      if (lookahead == 'U') ADVANCE(600);
      if (lookahead == '[') ADVANCE(522);
      if (lookahead == '\\') ADVANCE(26);
      if (lookahead == '^') ADVANCE(493);
      if (lookahead == 'b') ADVANCE(658);
      if (lookahead == 'c') ADVANCE(638);
      if (lookahead == 'd') ADVANCE(654);
      if (lookahead == 'f') ADVANCE(616);
      if (lookahead == 'i') ADVANCE(651);
      if (lookahead == 'm') ADVANCE(676);
      if (lookahead == 'n') ADVANCE(671);
      if (lookahead == 'p') ADVANCE(668);
      if (lookahead == 's') ADVANCE(615);
      if (lookahead == 't') ADVANCE(663);
      if (lookahead == 'u') ADVANCE(603);
      if (lookahead == 'v') ADVANCE(655);
      if (lookahead == '{') ADVANCE(520);
      if (lookahead == '|') ADVANCE(490);
      if (lookahead == '~') ADVANCE(463);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(195)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(558);
      END_STATE();
    case 196:
      if (lookahead == '!') ADVANCE(462);
      if (lookahead == '"') ADVANCE(582);
      if (sym_identifier_character_set_1(lookahead)) ADVANCE(685);
      if (lookahead == '%') ADVANCE(486);
      if (lookahead == '&') ADVANCE(496);
      if (lookahead == '\'') ADVANCE(573);
      if (lookahead == '(') ADVANCE(460);
      if (lookahead == '*') ADVANCE(482);
      if (lookahead == '+') ADVANCE(476);
      if (lookahead == ',') ADVANCE(396);
      if (lookahead == '-') ADVANCE(466);
      if (lookahead == '.') ADVANCE(546);
      if (lookahead == '/') ADVANCE(484);
      if (lookahead == '0') ADVANCE(556);
      if (lookahead == ':') ADVANCE(309);
      if (lookahead == '<') ADVANCE(506);
      if (lookahead == '=') ADVANCE(528);
      if (lookahead == '>') ADVANCE(695);
      if (lookahead == '?') ADVANCE(531);
      if (lookahead == 'F') ADVANCE(627);
      if (lookahead == 'L') ADVANCE(596);
      if (lookahead == 'R') ADVANCE(599);
      if (lookahead == 'T') ADVANCE(624);
      if (lookahead == 'U') ADVANCE(600);
      if (lookahead == '[') ADVANCE(522);
      if (lookahead == '\\') ADVANCE(28);
      if (lookahead == '^') ADVANCE(493);
      if (lookahead == 'b') ADVANCE(658);
      if (lookahead == 'c') ADVANCE(638);
      if (lookahead == 'd') ADVANCE(654);
      if (lookahead == 'f') ADVANCE(616);
      if (lookahead == 'i') ADVANCE(651);
      if (lookahead == 'm') ADVANCE(676);
      if (lookahead == 'n') ADVANCE(671);
      if (lookahead == 'p') ADVANCE(668);
      if (lookahead == 's') ADVANCE(615);
      if (lookahead == 't') ADVANCE(663);
      if (lookahead == 'u') ADVANCE(603);
      if (lookahead == 'v') ADVANCE(655);
      if (lookahead == '{') ADVANCE(520);
      if (lookahead == '|') ADVANCE(490);
      if (lookahead == '~') ADVANCE(463);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(196)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(558);
      END_STATE();
    case 197:
      if (lookahead == '!') ADVANCE(462);
      if (lookahead == '"') ADVANCE(582);
      if (sym_identifier_character_set_1(lookahead)) ADVANCE(685);
      if (lookahead == '%') ADVANCE(485);
      if (lookahead == '&') ADVANCE(495);
      if (lookahead == '\'') ADVANCE(573);
      if (lookahead == '(') ADVANCE(460);
      if (lookahead == '*') ADVANCE(481);
      if (lookahead == '+') ADVANCE(477);
      if (lookahead == ',') ADVANCE(396);
      if (lookahead == '-') ADVANCE(467);
      if (lookahead == '.') ADVANCE(546);
      if (lookahead == '/') ADVANCE(483);
      if (lookahead == '0') ADVANCE(556);
      if (lookahead == ':') ADVANCE(309);
      if (lookahead == '<') ADVANCE(508);
      if (lookahead == '=') ADVANCE(311);
      if (lookahead == '>') ADVANCE(695);
      if (lookahead == '?') ADVANCE(531);
      if (lookahead == 'F') ADVANCE(627);
      if (lookahead == 'L') ADVANCE(596);
      if (lookahead == 'R') ADVANCE(599);
      if (lookahead == 'T') ADVANCE(624);
      if (lookahead == 'U') ADVANCE(600);
      if (lookahead == '[') ADVANCE(522);
      if (lookahead == '\\') ADVANCE(137);
      if (lookahead == '^') ADVANCE(492);
      if (lookahead == 'b') ADVANCE(658);
      if (lookahead == 'c') ADVANCE(638);
      if (lookahead == 'd') ADVANCE(654);
      if (lookahead == 'f') ADVANCE(616);
      if (lookahead == 'i') ADVANCE(651);
      if (lookahead == 'm') ADVANCE(676);
      if (lookahead == 'n') ADVANCE(671);
      if (lookahead == 'p') ADVANCE(668);
      if (lookahead == 's') ADVANCE(615);
      if (lookahead == 't') ADVANCE(663);
      if (lookahead == 'u') ADVANCE(603);
      if (lookahead == 'v') ADVANCE(655);
      if (lookahead == '{') ADVANCE(520);
      if (lookahead == '|') ADVANCE(491);
      if (lookahead == '~') ADVANCE(463);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(197)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(558);
      END_STATE();
    case 198:
      if (lookahead == '!') ADVANCE(462);
      if (lookahead == '"') ADVANCE(281);
      if (sym_identifier_character_set_2(lookahead)) ADVANCE(685);
      if (lookahead == '%') ADVANCE(486);
      if (lookahead == '&') ADVANCE(496);
      if (lookahead == '(') ADVANCE(291);
      if (lookahead == '*') ADVANCE(482);
      if (lookahead == '+') ADVANCE(478);
      if (lookahead == ',') ADVANCE(396);
      if (lookahead == '-') ADVANCE(469);
      if (lookahead == '/') ADVANCE(484);
      if (lookahead == ':') ADVANCE(309);
      if (lookahead == '<') ADVANCE(506);
      if (lookahead == '=') ADVANCE(528);
      if (lookahead == '>') ADVANCE(501);
      if (lookahead == '[') ADVANCE(320);
      if (lookahead == '\\') ADVANCE(22);
      if (lookahead == '^') ADVANCE(493);
      if (lookahead == 'b') ADVANCE(658);
      if (lookahead == 'c') ADVANCE(638);
      if (lookahead == 'd') ADVANCE(654);
      if (lookahead == 'f') ADVANCE(650);
      if (lookahead == 'i') ADVANCE(651);
      if (lookahead == 'm') ADVANCE(676);
      if (lookahead == 'n') ADVANCE(671);
      if (lookahead == 'p') ADVANCE(668);
      if (lookahead == 's') ADVANCE(615);
      if (lookahead == 'u') ADVANCE(643);
      if (lookahead == 'v') ADVANCE(655);
      if (lookahead == '|') ADVANCE(490);
      if (lookahead == '~') ADVANCE(463);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(198)
      END_STATE();
    case 199:
      if (lookahead == '!') ADVANCE(462);
      if (lookahead == '"') ADVANCE(281);
      if (sym_identifier_character_set_3(lookahead)) ADVANCE(685);
      if (lookahead == '%') ADVANCE(486);
      if (lookahead == '&') ADVANCE(496);
      if (lookahead == '(') ADVANCE(291);
      if (lookahead == '*') ADVANCE(482);
      if (lookahead == '+') ADVANCE(478);
      if (lookahead == ',') ADVANCE(396);
      if (lookahead == '-') ADVANCE(469);
      if (lookahead == '/') ADVANCE(484);
      if (lookahead == '<') ADVANCE(506);
      if (lookahead == '=') ADVANCE(528);
      if (lookahead == '>') ADVANCE(501);
      if (lookahead == '[') ADVANCE(321);
      if (lookahead == '\\') ADVANCE(92);
      if (lookahead == '^') ADVANCE(493);
      if (lookahead == '|') ADVANCE(490);
      if (lookahead == '~') ADVANCE(463);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(199)
      END_STATE();
    case 200:
      if (lookahead == '!') ADVANCE(461);
      if (lookahead == '"') ADVANCE(582);
      if (lookahead == '#') ADVANCE(323);
      if (sym_identifier_character_set_1(lookahead)) ADVANCE(685);
      if (lookahead == '&') ADVANCE(495);
      if (lookahead == '\'') ADVANCE(573);
      if (lookahead == '(') ADVANCE(460);
      if (lookahead == '*') ADVANCE(481);
      if (lookahead == '+') ADVANCE(477);
      if (lookahead == ',') ADVANCE(396);
      if (lookahead == '-') ADVANCE(468);
      if (lookahead == '.') ADVANCE(358);
      if (lookahead == '/') ADVANCE(293);
      if (lookahead == '0') ADVANCE(556);
      if (lookahead == ':') ADVANCE(515);
      if (lookahead == ';') ADVANCE(516);
      if (lookahead == '<') ADVANCE(505);
      if (lookahead == '>') ADVANCE(312);
      if (lookahead == 'F') ADVANCE(627);
      if (lookahead == 'L') ADVANCE(596);
      if (lookahead == 'R') ADVANCE(599);
      if (lookahead == 'T') ADVANCE(624);
      if (lookahead == 'U') ADVANCE(600);
      if (lookahead == '[') ADVANCE(523);
      if (lookahead == '\\') ADVANCE(6);
      if (lookahead == 'b') ADVANCE(658);
      if (lookahead == 'c') ADVANCE(638);
      if (lookahead == 'd') ADVANCE(654);
      if (lookahead == 'f') ADVANCE(616);
      if (lookahead == 'i') ADVANCE(651);
      if (lookahead == 'm') ADVANCE(676);
      if (lookahead == 'n') ADVANCE(671);
      if (lookahead == 'p') ADVANCE(668);
      if (lookahead == 's') ADVANCE(615);
      if (lookahead == 't') ADVANCE(663);
      if (lookahead == 'u') ADVANCE(603);
      if (lookahead == 'v') ADVANCE(655);
      if (lookahead == '{') ADVANCE(520);
      if (lookahead == '|') ADVANCE(489);
      if (lookahead == '~') ADVANCE(463);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(200)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(558);
      END_STATE();
    case 201:
      if (lookahead == '!') ADVANCE(461);
      if (lookahead == '"') ADVANCE(582);
      if (lookahead == '#') ADVANCE(329);
      if (sym_identifier_character_set_1(lookahead)) ADVANCE(685);
      if (lookahead == '%') ADVANCE(485);
      if (lookahead == '&') ADVANCE(495);
      if (lookahead == '\'') ADVANCE(573);
      if (lookahead == '(') ADVANCE(460);
      if (lookahead == ')') ADVANCE(397);
      if (lookahead == '*') ADVANCE(481);
      if (lookahead == '+') ADVANCE(477);
      if (lookahead == ',') ADVANCE(396);
      if (lookahead == '-') ADVANCE(468);
      if (lookahead == '.') ADVANCE(549);
      if (lookahead == '/') ADVANCE(483);
      if (lookahead == '0') ADVANCE(556);
      if (lookahead == ':') ADVANCE(515);
      if (lookahead == ';') ADVANCE(516);
      if (lookahead == '<') ADVANCE(505);
      if (lookahead == '=') ADVANCE(527);
      if (lookahead == '>') ADVANCE(695);
      if (lookahead == 'F') ADVANCE(627);
      if (lookahead == 'L') ADVANCE(596);
      if (lookahead == 'R') ADVANCE(599);
      if (lookahead == 'T') ADVANCE(624);
      if (lookahead == 'U') ADVANCE(600);
      if (lookahead == '[') ADVANCE(523);
      if (lookahead == '\\') ADVANCE(4);
      if (lookahead == ']') ADVANCE(322);
      if (lookahead == '^') ADVANCE(492);
      if (lookahead == 'b') ADVANCE(658);
      if (lookahead == 'c') ADVANCE(638);
      if (lookahead == 'd') ADVANCE(654);
      if (lookahead == 'f') ADVANCE(616);
      if (lookahead == 'i') ADVANCE(651);
      if (lookahead == 'm') ADVANCE(676);
      if (lookahead == 'n') ADVANCE(671);
      if (lookahead == 'p') ADVANCE(668);
      if (lookahead == 's') ADVANCE(615);
      if (lookahead == 't') ADVANCE(663);
      if (lookahead == 'u') ADVANCE(603);
      if (lookahead == 'v') ADVANCE(655);
      if (lookahead == '{') ADVANCE(520);
      if (lookahead == '|') ADVANCE(352);
      if (lookahead == '}') ADVANCE(521);
      if (lookahead == '~') ADVANCE(463);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(201)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(558);
      END_STATE();
    case 202:
      if (lookahead == '!') ADVANCE(461);
      if (lookahead == '"') ADVANCE(582);
      if (lookahead == '#') ADVANCE(333);
      if (sym_identifier_character_set_1(lookahead)) ADVANCE(685);
      if (lookahead == '&') ADVANCE(494);
      if (lookahead == '\'') ADVANCE(573);
      if (lookahead == '(') ADVANCE(460);
      if (lookahead == ')') ADVANCE(397);
      if (lookahead == '*') ADVANCE(481);
      if (lookahead == '+') ADVANCE(477);
      if (lookahead == '-') ADVANCE(468);
      if (lookahead == '.') ADVANCE(299);
      if (lookahead == '/') ADVANCE(293);
      if (lookahead == '0') ADVANCE(556);
      if (lookahead == ':') ADVANCE(515);
      if (lookahead == ';') ADVANCE(516);
      if (lookahead == '<') ADVANCE(505);
      if (lookahead == 'F') ADVANCE(627);
      if (lookahead == 'L') ADVANCE(596);
      if (lookahead == 'R') ADVANCE(599);
      if (lookahead == 'T') ADVANCE(624);
      if (lookahead == 'U') ADVANCE(600);
      if (lookahead == '[') ADVANCE(523);
      if (lookahead == '\\') ADVANCE(10);
      if (lookahead == 'b') ADVANCE(658);
      if (lookahead == 'c') ADVANCE(638);
      if (lookahead == 'd') ADVANCE(654);
      if (lookahead == 'f') ADVANCE(616);
      if (lookahead == 'i') ADVANCE(651);
      if (lookahead == 'm') ADVANCE(676);
      if (lookahead == 'n') ADVANCE(671);
      if (lookahead == 'p') ADVANCE(668);
      if (lookahead == 's') ADVANCE(615);
      if (lookahead == 't') ADVANCE(663);
      if (lookahead == 'u') ADVANCE(603);
      if (lookahead == 'v') ADVANCE(655);
      if (lookahead == '{') ADVANCE(520);
      if (lookahead == '~') ADVANCE(463);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(202)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(558);
      END_STATE();
    case 203:
      if (lookahead == '!') ADVANCE(461);
      if (lookahead == '"') ADVANCE(582);
      if (lookahead == '#') ADVANCE(325);
      if (sym_identifier_character_set_1(lookahead)) ADVANCE(685);
      if (lookahead == '&') ADVANCE(495);
      if (lookahead == '\'') ADVANCE(573);
      if (lookahead == '(') ADVANCE(460);
      if (lookahead == '*') ADVANCE(481);
      if (lookahead == '+') ADVANCE(477);
      if (lookahead == ',') ADVANCE(396);
      if (lookahead == '-') ADVANCE(468);
      if (lookahead == '.') ADVANCE(358);
      if (lookahead == '/') ADVANCE(293);
      if (lookahead == '0') ADVANCE(556);
      if (lookahead == ':') ADVANCE(515);
      if (lookahead == ';') ADVANCE(516);
      if (lookahead == '<') ADVANCE(505);
      if (lookahead == '>') ADVANCE(499);
      if (lookahead == 'F') ADVANCE(627);
      if (lookahead == 'L') ADVANCE(596);
      if (lookahead == 'R') ADVANCE(599);
      if (lookahead == 'T') ADVANCE(624);
      if (lookahead == 'U') ADVANCE(600);
      if (lookahead == '[') ADVANCE(523);
      if (lookahead == '\\') ADVANCE(133);
      if (lookahead == 'b') ADVANCE(658);
      if (lookahead == 'c') ADVANCE(638);
      if (lookahead == 'd') ADVANCE(654);
      if (lookahead == 'f') ADVANCE(616);
      if (lookahead == 'i') ADVANCE(651);
      if (lookahead == 'm') ADVANCE(676);
      if (lookahead == 'n') ADVANCE(671);
      if (lookahead == 'p') ADVANCE(668);
      if (lookahead == 's') ADVANCE(615);
      if (lookahead == 't') ADVANCE(663);
      if (lookahead == 'u') ADVANCE(603);
      if (lookahead == 'v') ADVANCE(655);
      if (lookahead == '{') ADVANCE(520);
      if (lookahead == '~') ADVANCE(463);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(203)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(558);
      END_STATE();
    case 204:
      if (lookahead == '!') ADVANCE(461);
      if (lookahead == '"') ADVANCE(582);
      if (lookahead == '#') ADVANCE(327);
      if (sym_identifier_character_set_1(lookahead)) ADVANCE(685);
      if (lookahead == '&') ADVANCE(495);
      if (lookahead == '\'') ADVANCE(573);
      if (lookahead == '(') ADVANCE(460);
      if (lookahead == '*') ADVANCE(481);
      if (lookahead == '+') ADVANCE(477);
      if (lookahead == ',') ADVANCE(396);
      if (lookahead == '-') ADVANCE(468);
      if (lookahead == '.') ADVANCE(358);
      if (lookahead == '/') ADVANCE(293);
      if (lookahead == '0') ADVANCE(556);
      if (lookahead == ':') ADVANCE(515);
      if (lookahead == ';') ADVANCE(516);
      if (lookahead == '<') ADVANCE(505);
      if (lookahead == '>') ADVANCE(314);
      if (lookahead == 'F') ADVANCE(627);
      if (lookahead == 'L') ADVANCE(596);
      if (lookahead == 'R') ADVANCE(599);
      if (lookahead == 'T') ADVANCE(624);
      if (lookahead == 'U') ADVANCE(600);
      if (lookahead == '[') ADVANCE(523);
      if (lookahead == '\\') ADVANCE(8);
      if (lookahead == 'b') ADVANCE(658);
      if (lookahead == 'c') ADVANCE(638);
      if (lookahead == 'd') ADVANCE(654);
      if (lookahead == 'f') ADVANCE(616);
      if (lookahead == 'i') ADVANCE(651);
      if (lookahead == 'm') ADVANCE(676);
      if (lookahead == 'n') ADVANCE(671);
      if (lookahead == 'p') ADVANCE(668);
      if (lookahead == 's') ADVANCE(615);
      if (lookahead == 't') ADVANCE(663);
      if (lookahead == 'u') ADVANCE(603);
      if (lookahead == 'v') ADVANCE(655);
      if (lookahead == '{') ADVANCE(520);
      if (lookahead == '~') ADVANCE(463);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(204)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(558);
      END_STATE();
    case 205:
      if (lookahead == '!') ADVANCE(461);
      if (lookahead == '"') ADVANCE(582);
      if (sym_identifier_character_set_1(lookahead)) ADVANCE(685);
      if (lookahead == '&') ADVANCE(495);
      if (lookahead == '\'') ADVANCE(573);
      if (lookahead == '(') ADVANCE(460);
      if (lookahead == ')') ADVANCE(397);
      if (lookahead == '*') ADVANCE(481);
      if (lookahead == '+') ADVANCE(477);
      if (lookahead == ',') ADVANCE(396);
      if (lookahead == '-') ADVANCE(468);
      if (lookahead == '.') ADVANCE(548);
      if (lookahead == '/') ADVANCE(293);
      if (lookahead == '0') ADVANCE(556);
      if (lookahead == ':') ADVANCE(309);
      if (lookahead == ';') ADVANCE(516);
      if (lookahead == '<') ADVANCE(505);
      if (lookahead == '=') ADVANCE(527);
      if (lookahead == '>') ADVANCE(695);
      if (lookahead == 'F') ADVANCE(627);
      if (lookahead == 'L') ADVANCE(596);
      if (lookahead == 'R') ADVANCE(599);
      if (lookahead == 'T') ADVANCE(624);
      if (lookahead == 'U') ADVANCE(600);
      if (lookahead == '[') ADVANCE(522);
      if (lookahead == '\\') ADVANCE(12);
      if (lookahead == 'b') ADVANCE(658);
      if (lookahead == 'c') ADVANCE(638);
      if (lookahead == 'd') ADVANCE(654);
      if (lookahead == 'f') ADVANCE(616);
      if (lookahead == 'i') ADVANCE(651);
      if (lookahead == 'm') ADVANCE(676);
      if (lookahead == 'n') ADVANCE(671);
      if (lookahead == 'p') ADVANCE(668);
      if (lookahead == 's') ADVANCE(615);
      if (lookahead == 't') ADVANCE(663);
      if (lookahead == 'u') ADVANCE(603);
      if (lookahead == 'v') ADVANCE(655);
      if (lookahead == '{') ADVANCE(520);
      if (lookahead == '~') ADVANCE(463);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(205)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(558);
      END_STATE();
    case 206:
      if (lookahead == '!') ADVANCE(461);
      if (lookahead == '"') ADVANCE(582);
      if (sym_identifier_character_set_1(lookahead)) ADVANCE(685);
      if (lookahead == '&') ADVANCE(494);
      if (lookahead == '\'') ADVANCE(573);
      if (lookahead == '(') ADVANCE(460);
      if (lookahead == ')') ADVANCE(397);
      if (lookahead == '*') ADVANCE(481);
      if (lookahead == '+') ADVANCE(477);
      if (lookahead == ',') ADVANCE(396);
      if (lookahead == '-') ADVANCE(468);
      if (lookahead == '.') ADVANCE(548);
      if (lookahead == '/') ADVANCE(293);
      if (lookahead == '0') ADVANCE(556);
      if (lookahead == ':') ADVANCE(515);
      if (lookahead == ';') ADVANCE(516);
      if (lookahead == '<') ADVANCE(505);
      if (lookahead == '=') ADVANCE(527);
      if (lookahead == '>') ADVANCE(695);
      if (lookahead == 'F') ADVANCE(627);
      if (lookahead == 'L') ADVANCE(596);
      if (lookahead == 'R') ADVANCE(599);
      if (lookahead == 'T') ADVANCE(624);
      if (lookahead == 'U') ADVANCE(600);
      if (lookahead == '[') ADVANCE(522);
      if (lookahead == '\\') ADVANCE(30);
      if (lookahead == ']') ADVANCE(526);
      if (lookahead == 'b') ADVANCE(658);
      if (lookahead == 'c') ADVANCE(638);
      if (lookahead == 'd') ADVANCE(654);
      if (lookahead == 'f') ADVANCE(616);
      if (lookahead == 'i') ADVANCE(651);
      if (lookahead == 'm') ADVANCE(676);
      if (lookahead == 'n') ADVANCE(671);
      if (lookahead == 'p') ADVANCE(668);
      if (lookahead == 's') ADVANCE(615);
      if (lookahead == 't') ADVANCE(663);
      if (lookahead == 'u') ADVANCE(603);
      if (lookahead == 'v') ADVANCE(655);
      if (lookahead == '{') ADVANCE(520);
      if (lookahead == '}') ADVANCE(521);
      if (lookahead == '~') ADVANCE(463);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(206)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(558);
      END_STATE();
    case 207:
      if (lookahead == '!') ADVANCE(461);
      if (sym_identifier_character_set_4(lookahead)) ADVANCE(685);
      if (lookahead == '\'') ADVANCE(573);
      if (lookahead == '(') ADVANCE(460);
      if (lookahead == ')') ADVANCE(397);
      if (lookahead == '+') ADVANCE(479);
      if (lookahead == '-') ADVANCE(472);
      if (lookahead == '.') ADVANCE(358);
      if (lookahead == '/') ADVANCE(293);
      if (lookahead == '0') ADVANCE(556);
      if (lookahead == 'L') ADVANCE(682);
      if (lookahead == 'U') ADVANCE(683);
      if (lookahead == '\\') ADVANCE(110);
      if (lookahead == 'u') ADVANCE(620);
      if (lookahead == '~') ADVANCE(463);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(207)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(558);
      END_STATE();
    case 208:
      if (lookahead == '!') ADVANCE(310);
      if (lookahead == '"') ADVANCE(582);
      if (lookahead == '#') ADVANCE(334);
      if (sym_identifier_character_set_5(lookahead)) ADVANCE(685);
      if (lookahead == '%') ADVANCE(486);
      if (lookahead == '&') ADVANCE(496);
      if (lookahead == '(') ADVANCE(460);
      if (lookahead == ')') ADVANCE(397);
      if (lookahead == '*') ADVANCE(482);
      if (lookahead == '+') ADVANCE(478);
      if (lookahead == ',') ADVANCE(396);
      if (lookahead == '-') ADVANCE(470);
      if (lookahead == '.') ADVANCE(545);
      if (lookahead == '/') ADVANCE(484);
      if (lookahead == ':') ADVANCE(514);
      if (lookahead == ';') ADVANCE(516);
      if (lookahead == '<') ADVANCE(506);
      if (lookahead == '=') ADVANCE(528);
      if (lookahead == '>') ADVANCE(501);
      if (lookahead == '?') ADVANCE(531);
      if (lookahead == 'L') ADVANCE(705);
      if (lookahead == 'R') ADVANCE(706);
      if (lookahead == 'U') ADVANCE(707);
      if (lookahead == '[') ADVANCE(522);
      if (lookahead == '\\') ADVANCE(141);
      if (lookahead == ']') ADVANCE(526);
      if (lookahead == '^') ADVANCE(493);
      if (('A' <= lookahead && lookahead <= '_') ||
          ('a' <= lookahead && lookahead <= 't') ||
          ('v' <= lookahead && lookahead <= 'z')) ADVANCE(714);
      if (lookahead == 'u') ADVANCE(708);
      if (lookahead == '{') ADVANCE(520);
      if (lookahead == '|') ADVANCE(490);
      if (lookahead == '}') ADVANCE(521);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(211)
      END_STATE();
    case 209:
      if (lookahead == '!') ADVANCE(310);
      if (lookahead == '"') ADVANCE(582);
      if (lookahead == '#') ADVANCE(334);
      if (sym_identifier_character_set_5(lookahead)) ADVANCE(685);
      if (lookahead == '%') ADVANCE(485);
      if (lookahead == '&') ADVANCE(495);
      if (lookahead == '(') ADVANCE(460);
      if (lookahead == ')') ADVANCE(397);
      if (lookahead == '*') ADVANCE(481);
      if (lookahead == '+') ADVANCE(475);
      if (lookahead == ',') ADVANCE(396);
      if (lookahead == '-') ADVANCE(471);
      if (lookahead == '.') ADVANCE(545);
      if (lookahead == '/') ADVANCE(483);
      if (lookahead == ':') ADVANCE(514);
      if (lookahead == ';') ADVANCE(516);
      if (lookahead == '<') ADVANCE(508);
      if (lookahead == '=') ADVANCE(311);
      if (lookahead == '>') ADVANCE(500);
      if (lookahead == '?') ADVANCE(531);
      if (lookahead == 'L') ADVANCE(705);
      if (lookahead == 'R') ADVANCE(706);
      if (lookahead == 'U') ADVANCE(707);
      if (lookahead == '[') ADVANCE(522);
      if (lookahead == '\\') ADVANCE(84);
      if (lookahead == ']') ADVANCE(526);
      if (lookahead == '^') ADVANCE(492);
      if (('A' <= lookahead && lookahead <= '_') ||
          ('a' <= lookahead && lookahead <= 't') ||
          ('v' <= lookahead && lookahead <= 'z')) ADVANCE(714);
      if (lookahead == 'u') ADVANCE(708);
      if (lookahead == '|') ADVANCE(491);
      if (lookahead == '}') ADVANCE(521);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(212)
      END_STATE();
    case 210:
      if (lookahead == '!') ADVANCE(310);
      if (lookahead == '"') ADVANCE(582);
      if (lookahead == '#') ADVANCE(334);
      if (sym_identifier_character_set_6(lookahead)) ADVANCE(685);
      if (lookahead == '%') ADVANCE(486);
      if (lookahead == '&') ADVANCE(496);
      if (lookahead == '(') ADVANCE(460);
      if (lookahead == ')') ADVANCE(397);
      if (lookahead == '*') ADVANCE(482);
      if (lookahead == '+') ADVANCE(478);
      if (lookahead == ',') ADVANCE(396);
      if (lookahead == '-') ADVANCE(470);
      if (lookahead == '.') ADVANCE(545);
      if (lookahead == '/') ADVANCE(484);
      if (lookahead == ':') ADVANCE(515);
      if (lookahead == ';') ADVANCE(516);
      if (lookahead == '<') ADVANCE(506);
      if (lookahead == '=') ADVANCE(528);
      if (lookahead == '>') ADVANCE(501);
      if (lookahead == '?') ADVANCE(531);
      if (lookahead == 'L') ADVANCE(597);
      if (lookahead == 'R') ADVANCE(599);
      if (lookahead == 'U') ADVANCE(601);
      if (lookahead == '[') ADVANCE(522);
      if (lookahead == '\\') ADVANCE(48);
      if (lookahead == ']') ADVANCE(526);
      if (lookahead == '^') ADVANCE(493);
      if (lookahead == 'u') ADVANCE(604);
      if (lookahead == '{') ADVANCE(520);
      if (lookahead == '|') ADVANCE(490);
      if (lookahead == '}') ADVANCE(521);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(210)
      END_STATE();
    case 211:
      if (lookahead == '!') ADVANCE(310);
      if (lookahead == '"') ADVANCE(582);
      if (lookahead == '#') ADVANCE(334);
      if (sym_identifier_character_set_6(lookahead)) ADVANCE(685);
      if (lookahead == '%') ADVANCE(486);
      if (lookahead == '&') ADVANCE(496);
      if (lookahead == '(') ADVANCE(460);
      if (lookahead == ')') ADVANCE(397);
      if (lookahead == '*') ADVANCE(482);
      if (lookahead == '+') ADVANCE(478);
      if (lookahead == ',') ADVANCE(396);
      if (lookahead == '-') ADVANCE(470);
      if (lookahead == '.') ADVANCE(545);
      if (lookahead == '/') ADVANCE(484);
      if (lookahead == ':') ADVANCE(514);
      if (lookahead == ';') ADVANCE(516);
      if (lookahead == '<') ADVANCE(506);
      if (lookahead == '=') ADVANCE(528);
      if (lookahead == '>') ADVANCE(501);
      if (lookahead == '?') ADVANCE(531);
      if (lookahead == 'L') ADVANCE(597);
      if (lookahead == 'R') ADVANCE(599);
      if (lookahead == 'U') ADVANCE(601);
      if (lookahead == '[') ADVANCE(522);
      if (lookahead == '\\') ADVANCE(141);
      if (lookahead == ']') ADVANCE(526);
      if (lookahead == '^') ADVANCE(493);
      if (lookahead == 'u') ADVANCE(604);
      if (lookahead == '{') ADVANCE(520);
      if (lookahead == '|') ADVANCE(490);
      if (lookahead == '}') ADVANCE(521);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(211)
      END_STATE();
    case 212:
      if (lookahead == '!') ADVANCE(310);
      if (lookahead == '"') ADVANCE(582);
      if (lookahead == '#') ADVANCE(334);
      if (sym_identifier_character_set_6(lookahead)) ADVANCE(685);
      if (lookahead == '%') ADVANCE(485);
      if (lookahead == '&') ADVANCE(495);
      if (lookahead == '(') ADVANCE(460);
      if (lookahead == ')') ADVANCE(397);
      if (lookahead == '*') ADVANCE(481);
      if (lookahead == '+') ADVANCE(475);
      if (lookahead == ',') ADVANCE(396);
      if (lookahead == '-') ADVANCE(471);
      if (lookahead == '.') ADVANCE(545);
      if (lookahead == '/') ADVANCE(483);
      if (lookahead == ':') ADVANCE(514);
      if (lookahead == ';') ADVANCE(516);
      if (lookahead == '<') ADVANCE(508);
      if (lookahead == '=') ADVANCE(311);
      if (lookahead == '>') ADVANCE(500);
      if (lookahead == '?') ADVANCE(531);
      if (lookahead == 'L') ADVANCE(597);
      if (lookahead == 'R') ADVANCE(599);
      if (lookahead == 'U') ADVANCE(601);
      if (lookahead == '[') ADVANCE(522);
      if (lookahead == '\\') ADVANCE(84);
      if (lookahead == ']') ADVANCE(526);
      if (lookahead == '^') ADVANCE(492);
      if (lookahead == 'u') ADVANCE(604);
      if (lookahead == '|') ADVANCE(491);
      if (lookahead == '}') ADVANCE(521);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(212)
      END_STATE();
    case 213:
      if (lookahead == '!') ADVANCE(310);
      if (lookahead == '"') ADVANCE(582);
      if (lookahead == '#') ADVANCE(338);
      if (sym_identifier_character_set_5(lookahead)) ADVANCE(685);
      if (lookahead == '%') ADVANCE(486);
      if (lookahead == '&') ADVANCE(496);
      if (lookahead == '(') ADVANCE(460);
      if (lookahead == '*') ADVANCE(482);
      if (lookahead == '+') ADVANCE(478);
      if (lookahead == ',') ADVANCE(396);
      if (lookahead == '-') ADVANCE(470);
      if (lookahead == '.') ADVANCE(545);
      if (lookahead == '/') ADVANCE(484);
      if (lookahead == '<') ADVANCE(506);
      if (lookahead == '=') ADVANCE(528);
      if (lookahead == '>') ADVANCE(501);
      if (lookahead == '?') ADVANCE(531);
      if (lookahead == 'L') ADVANCE(705);
      if (lookahead == 'R') ADVANCE(706);
      if (lookahead == 'U') ADVANCE(707);
      if (lookahead == '[') ADVANCE(522);
      if (lookahead == '\\') ADVANCE(62);
      if (lookahead == '^') ADVANCE(493);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 't') ||
          ('v' <= lookahead && lookahead <= 'z')) ADVANCE(714);
      if (lookahead == 'u') ADVANCE(708);
      if (lookahead == '|') ADVANCE(490);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(216)
      END_STATE();
    case 214:
      if (lookahead == '!') ADVANCE(310);
      if (lookahead == '"') ADVANCE(582);
      if (lookahead == '#') ADVANCE(338);
      if (sym_identifier_character_set_5(lookahead)) ADVANCE(685);
      if (lookahead == '%') ADVANCE(485);
      if (lookahead == '&') ADVANCE(495);
      if (lookahead == '(') ADVANCE(460);
      if (lookahead == '*') ADVANCE(481);
      if (lookahead == '+') ADVANCE(475);
      if (lookahead == ',') ADVANCE(396);
      if (lookahead == '-') ADVANCE(471);
      if (lookahead == '.') ADVANCE(545);
      if (lookahead == '/') ADVANCE(483);
      if (lookahead == '<') ADVANCE(508);
      if (lookahead == '=') ADVANCE(311);
      if (lookahead == '>') ADVANCE(500);
      if (lookahead == '?') ADVANCE(531);
      if (lookahead == 'L') ADVANCE(705);
      if (lookahead == 'R') ADVANCE(706);
      if (lookahead == 'U') ADVANCE(707);
      if (lookahead == '[') ADVANCE(522);
      if (lookahead == '\\') ADVANCE(149);
      if (lookahead == '^') ADVANCE(492);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 't') ||
          ('v' <= lookahead && lookahead <= 'z')) ADVANCE(714);
      if (lookahead == 'u') ADVANCE(708);
      if (lookahead == '|') ADVANCE(491);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(217)
      END_STATE();
    case 215:
      if (lookahead == '!') ADVANCE(310);
      if (lookahead == '"') ADVANCE(582);
      if (lookahead == '#') ADVANCE(338);
      if (sym_identifier_character_set_6(lookahead)) ADVANCE(685);
      if (lookahead == '%') ADVANCE(486);
      if (lookahead == '&') ADVANCE(496);
      if (lookahead == '(') ADVANCE(460);
      if (lookahead == '*') ADVANCE(482);
      if (lookahead == '+') ADVANCE(478);
      if (lookahead == ',') ADVANCE(396);
      if (lookahead == '-') ADVANCE(470);
      if (lookahead == '.') ADVANCE(545);
      if (lookahead == '/') ADVANCE(484);
      if (lookahead == ':') ADVANCE(309);
      if (lookahead == '<') ADVANCE(506);
      if (lookahead == '=') ADVANCE(528);
      if (lookahead == '>') ADVANCE(501);
      if (lookahead == '?') ADVANCE(531);
      if (lookahead == 'L') ADVANCE(597);
      if (lookahead == 'R') ADVANCE(599);
      if (lookahead == 'U') ADVANCE(601);
      if (lookahead == '[') ADVANCE(522);
      if (lookahead == '\\') ADVANCE(60);
      if (lookahead == '^') ADVANCE(493);
      if (lookahead == 'u') ADVANCE(604);
      if (lookahead == '{') ADVANCE(520);
      if (lookahead == '|') ADVANCE(490);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(215)
      END_STATE();
    case 216:
      if (lookahead == '!') ADVANCE(310);
      if (lookahead == '"') ADVANCE(582);
      if (lookahead == '#') ADVANCE(338);
      if (sym_identifier_character_set_6(lookahead)) ADVANCE(685);
      if (lookahead == '%') ADVANCE(486);
      if (lookahead == '&') ADVANCE(496);
      if (lookahead == '(') ADVANCE(460);
      if (lookahead == '*') ADVANCE(482);
      if (lookahead == '+') ADVANCE(478);
      if (lookahead == ',') ADVANCE(396);
      if (lookahead == '-') ADVANCE(470);
      if (lookahead == '.') ADVANCE(545);
      if (lookahead == '/') ADVANCE(484);
      if (lookahead == '<') ADVANCE(506);
      if (lookahead == '=') ADVANCE(528);
      if (lookahead == '>') ADVANCE(501);
      if (lookahead == '?') ADVANCE(531);
      if (lookahead == 'L') ADVANCE(597);
      if (lookahead == 'R') ADVANCE(599);
      if (lookahead == 'U') ADVANCE(601);
      if (lookahead == '[') ADVANCE(522);
      if (lookahead == '\\') ADVANCE(62);
      if (lookahead == '^') ADVANCE(493);
      if (lookahead == 'u') ADVANCE(604);
      if (lookahead == '|') ADVANCE(490);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(216)
      END_STATE();
    case 217:
      if (lookahead == '!') ADVANCE(310);
      if (lookahead == '"') ADVANCE(582);
      if (lookahead == '#') ADVANCE(338);
      if (sym_identifier_character_set_6(lookahead)) ADVANCE(685);
      if (lookahead == '%') ADVANCE(485);
      if (lookahead == '&') ADVANCE(495);
      if (lookahead == '(') ADVANCE(460);
      if (lookahead == '*') ADVANCE(481);
      if (lookahead == '+') ADVANCE(475);
      if (lookahead == ',') ADVANCE(396);
      if (lookahead == '-') ADVANCE(471);
      if (lookahead == '.') ADVANCE(545);
      if (lookahead == '/') ADVANCE(483);
      if (lookahead == '<') ADVANCE(508);
      if (lookahead == '=') ADVANCE(311);
      if (lookahead == '>') ADVANCE(500);
      if (lookahead == '?') ADVANCE(531);
      if (lookahead == 'L') ADVANCE(597);
      if (lookahead == 'R') ADVANCE(599);
      if (lookahead == 'U') ADVANCE(601);
      if (lookahead == '[') ADVANCE(522);
      if (lookahead == '\\') ADVANCE(149);
      if (lookahead == '^') ADVANCE(492);
      if (lookahead == 'u') ADVANCE(604);
      if (lookahead == '|') ADVANCE(491);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(217)
      END_STATE();
    case 218:
      if (lookahead == '!') ADVANCE(310);
      if (lookahead == '"') ADVANCE(582);
      if (sym_identifier_character_set_5(lookahead)) ADVANCE(685);
      if (lookahead == '%') ADVANCE(486);
      if (lookahead == '&') ADVANCE(496);
      if (lookahead == '(') ADVANCE(460);
      if (lookahead == ')') ADVANCE(397);
      if (lookahead == '*') ADVANCE(482);
      if (lookahead == '+') ADVANCE(478);
      if (lookahead == ',') ADVANCE(396);
      if (lookahead == '-') ADVANCE(469);
      if (lookahead == '.') ADVANCE(545);
      if (lookahead == '/') ADVANCE(484);
      if (lookahead == '<') ADVANCE(506);
      if (lookahead == '=') ADVANCE(528);
      if (lookahead == '>') ADVANCE(501);
      if (lookahead == '?') ADVANCE(531);
      if (lookahead == 'L') ADVANCE(705);
      if (lookahead == 'R') ADVANCE(706);
      if (lookahead == 'U') ADVANCE(707);
      if (lookahead == '[') ADVANCE(522);
      if (lookahead == '\\') ADVANCE(64);
      if (lookahead == '^') ADVANCE(493);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 't') ||
          ('v' <= lookahead && lookahead <= 'z')) ADVANCE(714);
      if (lookahead == 'u') ADVANCE(708);
      if (lookahead == '|') ADVANCE(490);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(223)
      END_STATE();
    case 219:
      if (lookahead == '!') ADVANCE(310);
      if (lookahead == '"') ADVANCE(582);
      if (sym_identifier_character_set_5(lookahead)) ADVANCE(685);
      if (lookahead == '%') ADVANCE(486);
      if (lookahead == '&') ADVANCE(496);
      if (lookahead == '(') ADVANCE(460);
      if (lookahead == '*') ADVANCE(482);
      if (lookahead == '+') ADVANCE(478);
      if (lookahead == ',') ADVANCE(396);
      if (lookahead == '-') ADVANCE(470);
      if (lookahead == '.') ADVANCE(545);
      if (lookahead == '/') ADVANCE(484);
      if (lookahead == ':') ADVANCE(514);
      if (lookahead == '<') ADVANCE(506);
      if (lookahead == '=') ADVANCE(528);
      if (lookahead == '>') ADVANCE(695);
      if (lookahead == '?') ADVANCE(531);
      if (lookahead == 'L') ADVANCE(705);
      if (lookahead == 'R') ADVANCE(706);
      if (lookahead == 'U') ADVANCE(707);
      if (lookahead == '[') ADVANCE(522);
      if (lookahead == '\\') ADVANCE(66);
      if (lookahead == '^') ADVANCE(493);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 't') ||
          ('v' <= lookahead && lookahead <= 'z')) ADVANCE(714);
      if (lookahead == 'u') ADVANCE(708);
      if (lookahead == '|') ADVANCE(490);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(226)
      END_STATE();
    case 220:
      if (lookahead == '!') ADVANCE(310);
      if (lookahead == '"') ADVANCE(582);
      if (sym_identifier_character_set_5(lookahead)) ADVANCE(685);
      if (lookahead == '%') ADVANCE(485);
      if (lookahead == '&') ADVANCE(495);
      if (lookahead == '(') ADVANCE(460);
      if (lookahead == '*') ADVANCE(481);
      if (lookahead == '+') ADVANCE(475);
      if (lookahead == ',') ADVANCE(396);
      if (lookahead == '-') ADVANCE(471);
      if (lookahead == '.') ADVANCE(545);
      if (lookahead == '/') ADVANCE(483);
      if (lookahead == '<') ADVANCE(508);
      if (lookahead == '=') ADVANCE(311);
      if (lookahead == '>') ADVANCE(695);
      if (lookahead == '?') ADVANCE(531);
      if (lookahead == 'L') ADVANCE(705);
      if (lookahead == 'R') ADVANCE(706);
      if (lookahead == 'U') ADVANCE(707);
      if (lookahead == '[') ADVANCE(522);
      if (lookahead == '\\') ADVANCE(98);
      if (lookahead == '^') ADVANCE(492);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 't') ||
          ('v' <= lookahead && lookahead <= 'z')) ADVANCE(714);
      if (lookahead == 'u') ADVANCE(708);
      if (lookahead == '|') ADVANCE(491);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(227)
      END_STATE();
    case 221:
      if (lookahead == '!') ADVANCE(310);
      if (lookahead == '"') ADVANCE(582);
      if (sym_identifier_character_set_6(lookahead)) ADVANCE(685);
      if (lookahead == '%') ADVANCE(486);
      if (lookahead == '&') ADVANCE(496);
      if (lookahead == '(') ADVANCE(460);
      if (lookahead == ')') ADVANCE(397);
      if (lookahead == '*') ADVANCE(482);
      if (lookahead == '+') ADVANCE(478);
      if (lookahead == ',') ADVANCE(396);
      if (lookahead == '-') ADVANCE(469);
      if (lookahead == '.') ADVANCE(545);
      if (lookahead == '/') ADVANCE(484);
      if (lookahead == ':') ADVANCE(515);
      if (lookahead == '<') ADVANCE(506);
      if (lookahead == '=') ADVANCE(528);
      if (lookahead == '>') ADVANCE(501);
      if (lookahead == '?') ADVANCE(531);
      if (lookahead == 'L') ADVANCE(597);
      if (lookahead == 'R') ADVANCE(599);
      if (lookahead == 'U') ADVANCE(601);
      if (lookahead == '[') ADVANCE(523);
      if (lookahead == '\\') ADVANCE(34);
      if (lookahead == '^') ADVANCE(493);
      if (lookahead == 'u') ADVANCE(604);
      if (lookahead == '{') ADVANCE(520);
      if (lookahead == '|') ADVANCE(490);
      if (lookahead == '~') ADVANCE(463);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(221)
      END_STATE();
    case 222:
      if (lookahead == '!') ADVANCE(310);
      if (lookahead == '"') ADVANCE(582);
      if (sym_identifier_character_set_6(lookahead)) ADVANCE(685);
      if (lookahead == '%') ADVANCE(486);
      if (lookahead == '&') ADVANCE(496);
      if (lookahead == '(') ADVANCE(460);
      if (lookahead == ')') ADVANCE(397);
      if (lookahead == '*') ADVANCE(482);
      if (lookahead == '+') ADVANCE(478);
      if (lookahead == ',') ADVANCE(396);
      if (lookahead == '-') ADVANCE(469);
      if (lookahead == '.') ADVANCE(545);
      if (lookahead == '/') ADVANCE(484);
      if (lookahead == ':') ADVANCE(309);
      if (lookahead == '<') ADVANCE(506);
      if (lookahead == '=') ADVANCE(528);
      if (lookahead == '>') ADVANCE(501);
      if (lookahead == '?') ADVANCE(531);
      if (lookahead == 'L') ADVANCE(597);
      if (lookahead == 'R') ADVANCE(599);
      if (lookahead == 'U') ADVANCE(601);
      if (lookahead == '[') ADVANCE(522);
      if (lookahead == '\\') ADVANCE(42);
      if (lookahead == '^') ADVANCE(493);
      if (lookahead == 'u') ADVANCE(604);
      if (lookahead == '{') ADVANCE(520);
      if (lookahead == '|') ADVANCE(490);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(222)
      END_STATE();
    case 223:
      if (lookahead == '!') ADVANCE(310);
      if (lookahead == '"') ADVANCE(582);
      if (sym_identifier_character_set_6(lookahead)) ADVANCE(685);
      if (lookahead == '%') ADVANCE(486);
      if (lookahead == '&') ADVANCE(496);
      if (lookahead == '(') ADVANCE(460);
      if (lookahead == ')') ADVANCE(397);
      if (lookahead == '*') ADVANCE(482);
      if (lookahead == '+') ADVANCE(478);
      if (lookahead == ',') ADVANCE(396);
      if (lookahead == '-') ADVANCE(469);
      if (lookahead == '.') ADVANCE(545);
      if (lookahead == '/') ADVANCE(484);
      if (lookahead == '<') ADVANCE(506);
      if (lookahead == '=') ADVANCE(528);
      if (lookahead == '>') ADVANCE(501);
      if (lookahead == '?') ADVANCE(531);
      if (lookahead == 'L') ADVANCE(597);
      if (lookahead == 'R') ADVANCE(599);
      if (lookahead == 'U') ADVANCE(601);
      if (lookahead == '[') ADVANCE(522);
      if (lookahead == '\\') ADVANCE(64);
      if (lookahead == '^') ADVANCE(493);
      if (lookahead == 'u') ADVANCE(604);
      if (lookahead == '|') ADVANCE(490);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(223)
      END_STATE();
    case 224:
      if (lookahead == '!') ADVANCE(310);
      if (lookahead == '"') ADVANCE(582);
      if (sym_identifier_character_set_6(lookahead)) ADVANCE(685);
      if (lookahead == '%') ADVANCE(486);
      if (lookahead == '&') ADVANCE(496);
      if (lookahead == '(') ADVANCE(460);
      if (lookahead == ')') ADVANCE(397);
      if (lookahead == '*') ADVANCE(482);
      if (lookahead == '+') ADVANCE(478);
      if (lookahead == ',') ADVANCE(396);
      if (lookahead == '-') ADVANCE(470);
      if (lookahead == '.') ADVANCE(545);
      if (lookahead == '/') ADVANCE(484);
      if (lookahead == ':') ADVANCE(515);
      if (lookahead == ';') ADVANCE(516);
      if (lookahead == '<') ADVANCE(506);
      if (lookahead == '=') ADVANCE(528);
      if (lookahead == '>') ADVANCE(501);
      if (lookahead == '?') ADVANCE(531);
      if (lookahead == 'L') ADVANCE(597);
      if (lookahead == 'R') ADVANCE(599);
      if (lookahead == 'U') ADVANCE(601);
      if (lookahead == '[') ADVANCE(523);
      if (lookahead == '\\') ADVANCE(32);
      if (lookahead == '^') ADVANCE(493);
      if (lookahead == 'u') ADVANCE(604);
      if (lookahead == '{') ADVANCE(520);
      if (lookahead == '|') ADVANCE(490);
      if (lookahead == '}') ADVANCE(521);
      if (lookahead == '~') ADVANCE(463);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(224)
      END_STATE();
    case 225:
      if (lookahead == '!') ADVANCE(310);
      if (lookahead == '"') ADVANCE(582);
      if (sym_identifier_character_set_6(lookahead)) ADVANCE(685);
      if (lookahead == '%') ADVANCE(486);
      if (lookahead == '&') ADVANCE(496);
      if (lookahead == '(') ADVANCE(460);
      if (lookahead == '*') ADVANCE(482);
      if (lookahead == '+') ADVANCE(478);
      if (lookahead == ',') ADVANCE(396);
      if (lookahead == '-') ADVANCE(470);
      if (lookahead == '.') ADVANCE(545);
      if (lookahead == '/') ADVANCE(484);
      if (lookahead == ':') ADVANCE(309);
      if (lookahead == '<') ADVANCE(506);
      if (lookahead == '=') ADVANCE(528);
      if (lookahead == '>') ADVANCE(695);
      if (lookahead == '?') ADVANCE(531);
      if (lookahead == 'L') ADVANCE(597);
      if (lookahead == 'R') ADVANCE(599);
      if (lookahead == 'U') ADVANCE(601);
      if (lookahead == '[') ADVANCE(522);
      if (lookahead == '\\') ADVANCE(44);
      if (lookahead == '^') ADVANCE(493);
      if (lookahead == 'u') ADVANCE(604);
      if (lookahead == '{') ADVANCE(520);
      if (lookahead == '|') ADVANCE(490);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(225)
      END_STATE();
    case 226:
      if (lookahead == '!') ADVANCE(310);
      if (lookahead == '"') ADVANCE(582);
      if (sym_identifier_character_set_6(lookahead)) ADVANCE(685);
      if (lookahead == '%') ADVANCE(486);
      if (lookahead == '&') ADVANCE(496);
      if (lookahead == '(') ADVANCE(460);
      if (lookahead == '*') ADVANCE(482);
      if (lookahead == '+') ADVANCE(478);
      if (lookahead == ',') ADVANCE(396);
      if (lookahead == '-') ADVANCE(470);
      if (lookahead == '.') ADVANCE(545);
      if (lookahead == '/') ADVANCE(484);
      if (lookahead == ':') ADVANCE(514);
      if (lookahead == '<') ADVANCE(506);
      if (lookahead == '=') ADVANCE(528);
      if (lookahead == '>') ADVANCE(695);
      if (lookahead == '?') ADVANCE(531);
      if (lookahead == 'L') ADVANCE(597);
      if (lookahead == 'R') ADVANCE(599);
      if (lookahead == 'U') ADVANCE(601);
      if (lookahead == '[') ADVANCE(522);
      if (lookahead == '\\') ADVANCE(66);
      if (lookahead == '^') ADVANCE(493);
      if (lookahead == 'u') ADVANCE(604);
      if (lookahead == '|') ADVANCE(490);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(226)
      END_STATE();
    case 227:
      if (lookahead == '!') ADVANCE(310);
      if (lookahead == '"') ADVANCE(582);
      if (sym_identifier_character_set_6(lookahead)) ADVANCE(685);
      if (lookahead == '%') ADVANCE(485);
      if (lookahead == '&') ADVANCE(495);
      if (lookahead == '(') ADVANCE(460);
      if (lookahead == '*') ADVANCE(481);
      if (lookahead == '+') ADVANCE(475);
      if (lookahead == ',') ADVANCE(396);
      if (lookahead == '-') ADVANCE(471);
      if (lookahead == '.') ADVANCE(545);
      if (lookahead == '/') ADVANCE(483);
      if (lookahead == '<') ADVANCE(508);
      if (lookahead == '=') ADVANCE(311);
      if (lookahead == '>') ADVANCE(695);
      if (lookahead == '?') ADVANCE(531);
      if (lookahead == 'L') ADVANCE(597);
      if (lookahead == 'R') ADVANCE(599);
      if (lookahead == 'U') ADVANCE(601);
      if (lookahead == '[') ADVANCE(522);
      if (lookahead == '\\') ADVANCE(98);
      if (lookahead == '^') ADVANCE(492);
      if (lookahead == 'u') ADVANCE(604);
      if (lookahead == '|') ADVANCE(491);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(227)
      END_STATE();
    case 228:
      if (lookahead == '!') ADVANCE(310);
      if (lookahead == '#') ADVANCE(348);
      if (sym_identifier_character_set_3(lookahead)) ADVANCE(685);
      if (lookahead == '%') ADVANCE(485);
      if (lookahead == '&') ADVANCE(495);
      if (lookahead == '(') ADVANCE(460);
      if (lookahead == ')') ADVANCE(397);
      if (lookahead == '*') ADVANCE(481);
      if (lookahead == '+') ADVANCE(475);
      if (lookahead == ',') ADVANCE(396);
      if (lookahead == '-') ADVANCE(471);
      if (lookahead == '.') ADVANCE(545);
      if (lookahead == '/') ADVANCE(483);
      if (lookahead == ':') ADVANCE(515);
      if (lookahead == ';') ADVANCE(516);
      if (lookahead == '<') ADVANCE(508);
      if (lookahead == '=') ADVANCE(528);
      if (lookahead == '>') ADVANCE(500);
      if (lookahead == '?') ADVANCE(531);
      if (lookahead == '[') ADVANCE(523);
      if (lookahead == '\\') ADVANCE(139);
      if (lookahead == '^') ADVANCE(492);
      if (lookahead == '{') ADVANCE(520);
      if (lookahead == '|') ADVANCE(491);
      if (lookahead == '}') ADVANCE(521);
      if (lookahead == '~') ADVANCE(463);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(228)
      END_STATE();
    case 229:
      if (lookahead == '!') ADVANCE(310);
      if (lookahead == '#') ADVANCE(334);
      if (sym_identifier_character_set_5(lookahead)) ADVANCE(685);
      if (lookahead == '%') ADVANCE(486);
      if (lookahead == '&') ADVANCE(496);
      if (lookahead == '(') ADVANCE(460);
      if (lookahead == ')') ADVANCE(397);
      if (lookahead == '*') ADVANCE(482);
      if (lookahead == '+') ADVANCE(478);
      if (lookahead == ',') ADVANCE(396);
      if (lookahead == '-') ADVANCE(470);
      if (lookahead == '.') ADVANCE(545);
      if (lookahead == '/') ADVANCE(484);
      if (lookahead == ':') ADVANCE(514);
      if (lookahead == ';') ADVANCE(516);
      if (lookahead == '<') ADVANCE(506);
      if (lookahead == '=') ADVANCE(528);
      if (lookahead == '>') ADVANCE(501);
      if (lookahead == '?') ADVANCE(531);
      if (lookahead == '[') ADVANCE(522);
      if (lookahead == '\\') ADVANCE(153);
      if (lookahead == ']') ADVANCE(526);
      if (lookahead == '^') ADVANCE(493);
      if (('A' <= lookahead && lookahead <= '_') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(714);
      if (lookahead == '|') ADVANCE(490);
      if (lookahead == '}') ADVANCE(521);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(237)
      END_STATE();
    case 230:
      if (lookahead == '!') ADVANCE(310);
      if (lookahead == '#') ADVANCE(334);
      if (sym_identifier_character_set_5(lookahead)) ADVANCE(685);
      if (lookahead == '%') ADVANCE(485);
      if (lookahead == '&') ADVANCE(495);
      if (lookahead == '(') ADVANCE(460);
      if (lookahead == ')') ADVANCE(397);
      if (lookahead == '*') ADVANCE(481);
      if (lookahead == '+') ADVANCE(475);
      if (lookahead == ',') ADVANCE(396);
      if (lookahead == '-') ADVANCE(471);
      if (lookahead == '.') ADVANCE(545);
      if (lookahead == '/') ADVANCE(483);
      if (lookahead == ':') ADVANCE(514);
      if (lookahead == ';') ADVANCE(516);
      if (lookahead == '<') ADVANCE(508);
      if (lookahead == '=') ADVANCE(311);
      if (lookahead == '>') ADVANCE(500);
      if (lookahead == '?') ADVANCE(531);
      if (lookahead == '[') ADVANCE(522);
      if (lookahead == '\\') ADVANCE(173);
      if (lookahead == ']') ADVANCE(526);
      if (lookahead == '^') ADVANCE(492);
      if (('A' <= lookahead && lookahead <= '_') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(714);
      if (lookahead == '|') ADVANCE(491);
      if (lookahead == '}') ADVANCE(521);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(241)
      END_STATE();
    case 231:
      if (lookahead == '!') ADVANCE(310);
      if (lookahead == '#') ADVANCE(334);
      if (sym_identifier_character_set_2(lookahead)) ADVANCE(685);
      if (lookahead == '%') ADVANCE(486);
      if (lookahead == '&') ADVANCE(496);
      if (lookahead == '(') ADVANCE(460);
      if (lookahead == ')') ADVANCE(397);
      if (lookahead == '*') ADVANCE(482);
      if (lookahead == '+') ADVANCE(478);
      if (lookahead == ',') ADVANCE(396);
      if (lookahead == '-') ADVANCE(470);
      if (lookahead == '.') ADVANCE(545);
      if (lookahead == '/') ADVANCE(484);
      if (lookahead == ':') ADVANCE(514);
      if (lookahead == ';') ADVANCE(516);
      if (lookahead == '<') ADVANCE(506);
      if (lookahead == '=') ADVANCE(528);
      if (lookahead == '>') ADVANCE(501);
      if (lookahead == '?') ADVANCE(531);
      if (lookahead == '[') ADVANCE(522);
      if (lookahead == '\\') ADVANCE(143);
      if (lookahead == ']') ADVANCE(526);
      if (lookahead == '^') ADVANCE(493);
      if (lookahead == 'b') ADVANCE(658);
      if (lookahead == 'c') ADVANCE(638);
      if (lookahead == 'd') ADVANCE(654);
      if (lookahead == 'f') ADVANCE(650);
      if (lookahead == 'i') ADVANCE(651);
      if (lookahead == 'm') ADVANCE(676);
      if (lookahead == 'n') ADVANCE(671);
      if (lookahead == 'p') ADVANCE(668);
      if (lookahead == 's') ADVANCE(615);
      if (lookahead == 'u') ADVANCE(643);
      if (lookahead == 'v') ADVANCE(655);
      if (lookahead == '{') ADVANCE(520);
      if (lookahead == '|') ADVANCE(490);
      if (lookahead == '}') ADVANCE(521);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(231)
      END_STATE();
    case 232:
      if (lookahead == '!') ADVANCE(310);
      if (lookahead == '#') ADVANCE(334);
      if (sym_identifier_character_set_2(lookahead)) ADVANCE(685);
      if (lookahead == '%') ADVANCE(485);
      if (lookahead == '&') ADVANCE(495);
      if (lookahead == '(') ADVANCE(460);
      if (lookahead == ')') ADVANCE(397);
      if (lookahead == '*') ADVANCE(481);
      if (lookahead == '+') ADVANCE(475);
      if (lookahead == ',') ADVANCE(396);
      if (lookahead == '-') ADVANCE(471);
      if (lookahead == '.') ADVANCE(545);
      if (lookahead == '/') ADVANCE(483);
      if (lookahead == ':') ADVANCE(514);
      if (lookahead == ';') ADVANCE(516);
      if (lookahead == '<') ADVANCE(508);
      if (lookahead == '=') ADVANCE(311);
      if (lookahead == '>') ADVANCE(500);
      if (lookahead == '?') ADVANCE(531);
      if (lookahead == '[') ADVANCE(522);
      if (lookahead == '\\') ADVANCE(54);
      if (lookahead == ']') ADVANCE(526);
      if (lookahead == '^') ADVANCE(492);
      if (lookahead == 'b') ADVANCE(658);
      if (lookahead == 'c') ADVANCE(638);
      if (lookahead == 'd') ADVANCE(654);
      if (lookahead == 'f') ADVANCE(650);
      if (lookahead == 'i') ADVANCE(651);
      if (lookahead == 'm') ADVANCE(676);
      if (lookahead == 'n') ADVANCE(671);
      if (lookahead == 'p') ADVANCE(668);
      if (lookahead == 's') ADVANCE(615);
      if (lookahead == 'u') ADVANCE(643);
      if (lookahead == 'v') ADVANCE(655);
      if (lookahead == '{') ADVANCE(520);
      if (lookahead == '|') ADVANCE(491);
      if (lookahead == '}') ADVANCE(521);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(232)
      END_STATE();
    case 233:
      if (lookahead == '!') ADVANCE(310);
      if (lookahead == '#') ADVANCE(334);
      if (sym_identifier_character_set_3(lookahead)) ADVANCE(685);
      if (lookahead == '%') ADVANCE(486);
      if (lookahead == '&') ADVANCE(496);
      if (lookahead == '(') ADVANCE(460);
      if (lookahead == ')') ADVANCE(397);
      if (lookahead == '*') ADVANCE(482);
      if (lookahead == '+') ADVANCE(478);
      if (lookahead == ',') ADVANCE(396);
      if (lookahead == '-') ADVANCE(469);
      if (lookahead == '.') ADVANCE(545);
      if (lookahead == '/') ADVANCE(484);
      if (lookahead == ':') ADVANCE(515);
      if (lookahead == ';') ADVANCE(516);
      if (lookahead == '<') ADVANCE(506);
      if (lookahead == '=') ADVANCE(528);
      if (lookahead == '>') ADVANCE(501);
      if (lookahead == '?') ADVANCE(531);
      if (lookahead == '[') ADVANCE(523);
      if (lookahead == '\\') ADVANCE(38);
      if (lookahead == '^') ADVANCE(493);
      if (lookahead == '{') ADVANCE(520);
      if (lookahead == '|') ADVANCE(490);
      if (lookahead == '~') ADVANCE(463);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(233)
      END_STATE();
    case 234:
      if (lookahead == '!') ADVANCE(310);
      if (lookahead == '#') ADVANCE(334);
      if (sym_identifier_character_set_3(lookahead)) ADVANCE(685);
      if (lookahead == '%') ADVANCE(486);
      if (lookahead == '&') ADVANCE(496);
      if (lookahead == '(') ADVANCE(460);
      if (lookahead == ')') ADVANCE(397);
      if (lookahead == '*') ADVANCE(482);
      if (lookahead == '+') ADVANCE(478);
      if (lookahead == ',') ADVANCE(396);
      if (lookahead == '-') ADVANCE(470);
      if (lookahead == '.') ADVANCE(545);
      if (lookahead == '/') ADVANCE(484);
      if (lookahead == ':') ADVANCE(515);
      if (lookahead == ';') ADVANCE(516);
      if (lookahead == '<') ADVANCE(506);
      if (lookahead == '=') ADVANCE(528);
      if (lookahead == '>') ADVANCE(501);
      if (lookahead == '?') ADVANCE(531);
      if (lookahead == '[') ADVANCE(522);
      if (lookahead == '\\') ADVANCE(145);
      if (lookahead == ']') ADVANCE(526);
      if (lookahead == '^') ADVANCE(493);
      if (lookahead == '{') ADVANCE(520);
      if (lookahead == '|') ADVANCE(490);
      if (lookahead == '}') ADVANCE(521);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(234)
      END_STATE();
    case 235:
      if (lookahead == '!') ADVANCE(310);
      if (lookahead == '#') ADVANCE(334);
      if (sym_identifier_character_set_3(lookahead)) ADVANCE(685);
      if (lookahead == '%') ADVANCE(486);
      if (lookahead == '&') ADVANCE(496);
      if (lookahead == '(') ADVANCE(460);
      if (lookahead == ')') ADVANCE(397);
      if (lookahead == '*') ADVANCE(482);
      if (lookahead == '+') ADVANCE(478);
      if (lookahead == ',') ADVANCE(396);
      if (lookahead == '-') ADVANCE(470);
      if (lookahead == '.') ADVANCE(545);
      if (lookahead == '/') ADVANCE(484);
      if (lookahead == ':') ADVANCE(514);
      if (lookahead == ';') ADVANCE(516);
      if (lookahead == '<') ADVANCE(506);
      if (lookahead == '=') ADVANCE(528);
      if (lookahead == '>') ADVANCE(501);
      if (lookahead == '?') ADVANCE(531);
      if (lookahead == '[') ADVANCE(523);
      if (lookahead == '\\') ADVANCE(167);
      if (lookahead == ']') ADVANCE(526);
      if (lookahead == '^') ADVANCE(493);
      if (lookahead == '{') ADVANCE(520);
      if (lookahead == '|') ADVANCE(490);
      if (lookahead == '}') ADVANCE(521);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(235)
      END_STATE();
    case 236:
      if (lookahead == '!') ADVANCE(310);
      if (lookahead == '#') ADVANCE(334);
      if (sym_identifier_character_set_3(lookahead)) ADVANCE(685);
      if (lookahead == '%') ADVANCE(486);
      if (lookahead == '&') ADVANCE(496);
      if (lookahead == '(') ADVANCE(460);
      if (lookahead == ')') ADVANCE(397);
      if (lookahead == '*') ADVANCE(482);
      if (lookahead == '+') ADVANCE(478);
      if (lookahead == ',') ADVANCE(396);
      if (lookahead == '-') ADVANCE(470);
      if (lookahead == '.') ADVANCE(545);
      if (lookahead == '/') ADVANCE(484);
      if (lookahead == ':') ADVANCE(514);
      if (lookahead == ';') ADVANCE(516);
      if (lookahead == '<') ADVANCE(506);
      if (lookahead == '=') ADVANCE(528);
      if (lookahead == '>') ADVANCE(501);
      if (lookahead == '?') ADVANCE(531);
      if (lookahead == '[') ADVANCE(522);
      if (lookahead == '\\') ADVANCE(56);
      if (lookahead == ']') ADVANCE(526);
      if (lookahead == '^') ADVANCE(493);
      if (lookahead == '{') ADVANCE(520);
      if (lookahead == '|') ADVANCE(490);
      if (lookahead == '}') ADVANCE(521);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(236)
      END_STATE();
    case 237:
      if (lookahead == '!') ADVANCE(310);
      if (lookahead == '#') ADVANCE(334);
      if (sym_identifier_character_set_3(lookahead)) ADVANCE(685);
      if (lookahead == '%') ADVANCE(486);
      if (lookahead == '&') ADVANCE(496);
      if (lookahead == '(') ADVANCE(460);
      if (lookahead == ')') ADVANCE(397);
      if (lookahead == '*') ADVANCE(482);
      if (lookahead == '+') ADVANCE(478);
      if (lookahead == ',') ADVANCE(396);
      if (lookahead == '-') ADVANCE(470);
      if (lookahead == '.') ADVANCE(545);
      if (lookahead == '/') ADVANCE(484);
      if (lookahead == ':') ADVANCE(514);
      if (lookahead == ';') ADVANCE(516);
      if (lookahead == '<') ADVANCE(506);
      if (lookahead == '=') ADVANCE(528);
      if (lookahead == '>') ADVANCE(501);
      if (lookahead == '?') ADVANCE(531);
      if (lookahead == '[') ADVANCE(522);
      if (lookahead == '\\') ADVANCE(153);
      if (lookahead == ']') ADVANCE(526);
      if (lookahead == '^') ADVANCE(493);
      if (lookahead == '|') ADVANCE(490);
      if (lookahead == '}') ADVANCE(521);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(237)
      END_STATE();
    case 238:
      if (lookahead == '!') ADVANCE(310);
      if (lookahead == '#') ADVANCE(334);
      if (sym_identifier_character_set_3(lookahead)) ADVANCE(685);
      if (lookahead == '%') ADVANCE(486);
      if (lookahead == '&') ADVANCE(496);
      if (lookahead == '(') ADVANCE(460);
      if (lookahead == ')') ADVANCE(397);
      if (lookahead == '*') ADVANCE(482);
      if (lookahead == '+') ADVANCE(478);
      if (lookahead == ',') ADVANCE(396);
      if (lookahead == '-') ADVANCE(470);
      if (lookahead == '.') ADVANCE(545);
      if (lookahead == '/') ADVANCE(484);
      if (lookahead == ':') ADVANCE(514);
      if (lookahead == ';') ADVANCE(516);
      if (lookahead == '<') ADVANCE(506);
      if (lookahead == '=') ADVANCE(528);
      if (lookahead == '>') ADVANCE(501);
      if (lookahead == '?') ADVANCE(531);
      if (lookahead == '[') ADVANCE(525);
      if (lookahead == '\\') ADVANCE(78);
      if (lookahead == ']') ADVANCE(526);
      if (lookahead == '^') ADVANCE(493);
      if (lookahead == '|') ADVANCE(490);
      if (lookahead == '}') ADVANCE(521);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(238)
      END_STATE();
    case 239:
      if (lookahead == '!') ADVANCE(310);
      if (lookahead == '#') ADVANCE(334);
      if (sym_identifier_character_set_3(lookahead)) ADVANCE(685);
      if (lookahead == '%') ADVANCE(485);
      if (lookahead == '&') ADVANCE(495);
      if (lookahead == '(') ADVANCE(460);
      if (lookahead == ')') ADVANCE(397);
      if (lookahead == '*') ADVANCE(481);
      if (lookahead == '+') ADVANCE(475);
      if (lookahead == ',') ADVANCE(396);
      if (lookahead == '-') ADVANCE(471);
      if (lookahead == '.') ADVANCE(545);
      if (lookahead == '/') ADVANCE(483);
      if (lookahead == ':') ADVANCE(515);
      if (lookahead == ';') ADVANCE(516);
      if (lookahead == '<') ADVANCE(508);
      if (lookahead == '=') ADVANCE(311);
      if (lookahead == '>') ADVANCE(500);
      if (lookahead == '?') ADVANCE(531);
      if (lookahead == '[') ADVANCE(522);
      if (lookahead == '\\') ADVANCE(189);
      if (lookahead == ']') ADVANCE(526);
      if (lookahead == '^') ADVANCE(492);
      if (lookahead == '{') ADVANCE(520);
      if (lookahead == '|') ADVANCE(491);
      if (lookahead == '}') ADVANCE(521);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(239)
      END_STATE();
    case 240:
      if (lookahead == '!') ADVANCE(310);
      if (lookahead == '#') ADVANCE(334);
      if (sym_identifier_character_set_3(lookahead)) ADVANCE(685);
      if (lookahead == '%') ADVANCE(485);
      if (lookahead == '&') ADVANCE(495);
      if (lookahead == '(') ADVANCE(460);
      if (lookahead == ')') ADVANCE(397);
      if (lookahead == '*') ADVANCE(481);
      if (lookahead == '+') ADVANCE(475);
      if (lookahead == ',') ADVANCE(396);
      if (lookahead == '-') ADVANCE(471);
      if (lookahead == '.') ADVANCE(545);
      if (lookahead == '/') ADVANCE(483);
      if (lookahead == ':') ADVANCE(514);
      if (lookahead == ';') ADVANCE(516);
      if (lookahead == '<') ADVANCE(508);
      if (lookahead == '=') ADVANCE(311);
      if (lookahead == '>') ADVANCE(500);
      if (lookahead == '?') ADVANCE(531);
      if (lookahead == '[') ADVANCE(522);
      if (lookahead == '\\') ADVANCE(181);
      if (lookahead == ']') ADVANCE(526);
      if (lookahead == '^') ADVANCE(492);
      if (lookahead == '{') ADVANCE(520);
      if (lookahead == '|') ADVANCE(491);
      if (lookahead == '}') ADVANCE(521);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(240)
      END_STATE();
    case 241:
      if (lookahead == '!') ADVANCE(310);
      if (lookahead == '#') ADVANCE(334);
      if (sym_identifier_character_set_3(lookahead)) ADVANCE(685);
      if (lookahead == '%') ADVANCE(485);
      if (lookahead == '&') ADVANCE(495);
      if (lookahead == '(') ADVANCE(460);
      if (lookahead == ')') ADVANCE(397);
      if (lookahead == '*') ADVANCE(481);
      if (lookahead == '+') ADVANCE(475);
      if (lookahead == ',') ADVANCE(396);
      if (lookahead == '-') ADVANCE(471);
      if (lookahead == '.') ADVANCE(545);
      if (lookahead == '/') ADVANCE(483);
      if (lookahead == ':') ADVANCE(514);
      if (lookahead == ';') ADVANCE(516);
      if (lookahead == '<') ADVANCE(508);
      if (lookahead == '=') ADVANCE(311);
      if (lookahead == '>') ADVANCE(500);
      if (lookahead == '?') ADVANCE(531);
      if (lookahead == '[') ADVANCE(522);
      if (lookahead == '\\') ADVANCE(173);
      if (lookahead == ']') ADVANCE(526);
      if (lookahead == '^') ADVANCE(492);
      if (lookahead == '|') ADVANCE(491);
      if (lookahead == '}') ADVANCE(521);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(241)
      END_STATE();
    case 242:
      if (lookahead == '!') ADVANCE(310);
      if (lookahead == '#') ADVANCE(338);
      if (sym_identifier_character_set_5(lookahead)) ADVANCE(685);
      if (lookahead == '%') ADVANCE(486);
      if (lookahead == '&') ADVANCE(496);
      if (lookahead == '(') ADVANCE(460);
      if (lookahead == '*') ADVANCE(482);
      if (lookahead == '+') ADVANCE(478);
      if (lookahead == ',') ADVANCE(396);
      if (lookahead == '-') ADVANCE(470);
      if (lookahead == '.') ADVANCE(545);
      if (lookahead == '/') ADVANCE(484);
      if (lookahead == '<') ADVANCE(506);
      if (lookahead == '=') ADVANCE(528);
      if (lookahead == '>') ADVANCE(501);
      if (lookahead == '?') ADVANCE(531);
      if (lookahead == '[') ADVANCE(522);
      if (lookahead == '\\') ADVANCE(88);
      if (lookahead == '^') ADVANCE(493);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(714);
      if (lookahead == '|') ADVANCE(490);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(249)
      END_STATE();
    case 243:
      if (lookahead == '!') ADVANCE(310);
      if (lookahead == '#') ADVANCE(338);
      if (sym_identifier_character_set_5(lookahead)) ADVANCE(685);
      if (lookahead == '%') ADVANCE(485);
      if (lookahead == '&') ADVANCE(495);
      if (lookahead == '(') ADVANCE(460);
      if (lookahead == '*') ADVANCE(481);
      if (lookahead == '+') ADVANCE(475);
      if (lookahead == ',') ADVANCE(396);
      if (lookahead == '-') ADVANCE(471);
      if (lookahead == '.') ADVANCE(545);
      if (lookahead == '/') ADVANCE(483);
      if (lookahead == '<') ADVANCE(508);
      if (lookahead == '=') ADVANCE(311);
      if (lookahead == '>') ADVANCE(500);
      if (lookahead == '?') ADVANCE(531);
      if (lookahead == '[') ADVANCE(522);
      if (lookahead == '\\') ADVANCE(175);
      if (lookahead == '^') ADVANCE(492);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(714);
      if (lookahead == '|') ADVANCE(491);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(253)
      END_STATE();
    case 244:
      if (lookahead == '!') ADVANCE(310);
      if (lookahead == '#') ADVANCE(338);
      if (sym_identifier_character_set_2(lookahead)) ADVANCE(685);
      if (lookahead == '%') ADVANCE(486);
      if (lookahead == '&') ADVANCE(496);
      if (lookahead == '(') ADVANCE(460);
      if (lookahead == '*') ADVANCE(482);
      if (lookahead == '+') ADVANCE(478);
      if (lookahead == ',') ADVANCE(396);
      if (lookahead == '-') ADVANCE(470);
      if (lookahead == '.') ADVANCE(545);
      if (lookahead == '/') ADVANCE(484);
      if (lookahead == '<') ADVANCE(506);
      if (lookahead == '=') ADVANCE(528);
      if (lookahead == '>') ADVANCE(501);
      if (lookahead == '?') ADVANCE(531);
      if (lookahead == '[') ADVANCE(522);
      if (lookahead == '\\') ADVANCE(72);
      if (lookahead == '^') ADVANCE(493);
      if (lookahead == 'b') ADVANCE(658);
      if (lookahead == 'c') ADVANCE(638);
      if (lookahead == 'd') ADVANCE(654);
      if (lookahead == 'f') ADVANCE(650);
      if (lookahead == 'i') ADVANCE(651);
      if (lookahead == 'm') ADVANCE(676);
      if (lookahead == 'n') ADVANCE(671);
      if (lookahead == 'p') ADVANCE(668);
      if (lookahead == 's') ADVANCE(615);
      if (lookahead == 'u') ADVANCE(643);
      if (lookahead == 'v') ADVANCE(655);
      if (lookahead == '{') ADVANCE(520);
      if (lookahead == '|') ADVANCE(490);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(244)
      END_STATE();
    case 245:
      if (lookahead == '!') ADVANCE(310);
      if (lookahead == '#') ADVANCE(338);
      if (sym_identifier_character_set_2(lookahead)) ADVANCE(685);
      if (lookahead == '%') ADVANCE(485);
      if (lookahead == '&') ADVANCE(495);
      if (lookahead == '(') ADVANCE(460);
      if (lookahead == ')') ADVANCE(397);
      if (lookahead == '*') ADVANCE(481);
      if (lookahead == '+') ADVANCE(475);
      if (lookahead == ',') ADVANCE(396);
      if (lookahead == '-') ADVANCE(471);
      if (lookahead == '.') ADVANCE(545);
      if (lookahead == '/') ADVANCE(483);
      if (lookahead == ':') ADVANCE(515);
      if (lookahead == ';') ADVANCE(516);
      if (lookahead == '<') ADVANCE(508);
      if (lookahead == '=') ADVANCE(311);
      if (lookahead == '>') ADVANCE(500);
      if (lookahead == '?') ADVANCE(531);
      if (lookahead == '[') ADVANCE(522);
      if (lookahead == '\\') ADVANCE(165);
      if (lookahead == ']') ADVANCE(526);
      if (lookahead == '^') ADVANCE(492);
      if (lookahead == 'b') ADVANCE(658);
      if (lookahead == 'c') ADVANCE(638);
      if (lookahead == 'd') ADVANCE(654);
      if (lookahead == 'f') ADVANCE(650);
      if (lookahead == 'i') ADVANCE(651);
      if (lookahead == 'm') ADVANCE(676);
      if (lookahead == 'n') ADVANCE(671);
      if (lookahead == 'p') ADVANCE(668);
      if (lookahead == 's') ADVANCE(615);
      if (lookahead == 'u') ADVANCE(643);
      if (lookahead == 'v') ADVANCE(655);
      if (lookahead == '{') ADVANCE(520);
      if (lookahead == '|') ADVANCE(491);
      if (lookahead == '}') ADVANCE(521);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(245)
      END_STATE();
    case 246:
      if (lookahead == '!') ADVANCE(310);
      if (lookahead == '#') ADVANCE(338);
      if (sym_identifier_character_set_3(lookahead)) ADVANCE(685);
      if (lookahead == '%') ADVANCE(486);
      if (lookahead == '&') ADVANCE(496);
      if (lookahead == '(') ADVANCE(460);
      if (lookahead == ')') ADVANCE(397);
      if (lookahead == '*') ADVANCE(482);
      if (lookahead == '+') ADVANCE(478);
      if (lookahead == ',') ADVANCE(396);
      if (lookahead == '-') ADVANCE(470);
      if (lookahead == '.') ADVANCE(545);
      if (lookahead == '/') ADVANCE(484);
      if (lookahead == ':') ADVANCE(515);
      if (lookahead == ';') ADVANCE(516);
      if (lookahead == '<') ADVANCE(506);
      if (lookahead == '=') ADVANCE(528);
      if (lookahead == '>') ADVANCE(501);
      if (lookahead == '?') ADVANCE(531);
      if (lookahead == '[') ADVANCE(523);
      if (lookahead == '\\') ADVANCE(36);
      if (lookahead == '^') ADVANCE(493);
      if (lookahead == '{') ADVANCE(520);
      if (lookahead == '|') ADVANCE(490);
      if (lookahead == '}') ADVANCE(521);
      if (lookahead == '~') ADVANCE(463);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(246)
      END_STATE();
    case 247:
      if (lookahead == '!') ADVANCE(310);
      if (lookahead == '#') ADVANCE(338);
      if (sym_identifier_character_set_3(lookahead)) ADVANCE(685);
      if (lookahead == '%') ADVANCE(486);
      if (lookahead == '&') ADVANCE(496);
      if (lookahead == '(') ADVANCE(460);
      if (lookahead == '*') ADVANCE(482);
      if (lookahead == '+') ADVANCE(478);
      if (lookahead == ',') ADVANCE(396);
      if (lookahead == '-') ADVANCE(470);
      if (lookahead == '.') ADVANCE(545);
      if (lookahead == '/') ADVANCE(484);
      if (lookahead == ':') ADVANCE(515);
      if (lookahead == '<') ADVANCE(506);
      if (lookahead == '=') ADVANCE(528);
      if (lookahead == '>') ADVANCE(501);
      if (lookahead == '?') ADVANCE(531);
      if (lookahead == '[') ADVANCE(522);
      if (lookahead == '\\') ADVANCE(68);
      if (lookahead == '^') ADVANCE(493);
      if (lookahead == '{') ADVANCE(520);
      if (lookahead == '|') ADVANCE(490);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(247)
      END_STATE();
    case 248:
      if (lookahead == '!') ADVANCE(310);
      if (lookahead == '#') ADVANCE(338);
      if (sym_identifier_character_set_3(lookahead)) ADVANCE(685);
      if (lookahead == '%') ADVANCE(486);
      if (lookahead == '&') ADVANCE(496);
      if (lookahead == '(') ADVANCE(460);
      if (lookahead == '*') ADVANCE(482);
      if (lookahead == '+') ADVANCE(478);
      if (lookahead == ',') ADVANCE(396);
      if (lookahead == '-') ADVANCE(470);
      if (lookahead == '.') ADVANCE(545);
      if (lookahead == '/') ADVANCE(484);
      if (lookahead == ':') ADVANCE(514);
      if (lookahead == '<') ADVANCE(506);
      if (lookahead == '=') ADVANCE(528);
      if (lookahead == '>') ADVANCE(501);
      if (lookahead == '?') ADVANCE(531);
      if (lookahead == '[') ADVANCE(522);
      if (lookahead == '\\') ADVANCE(151);
      if (lookahead == '^') ADVANCE(493);
      if (lookahead == '{') ADVANCE(520);
      if (lookahead == '|') ADVANCE(490);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(248)
      END_STATE();
    case 249:
      if (lookahead == '!') ADVANCE(310);
      if (lookahead == '#') ADVANCE(338);
      if (sym_identifier_character_set_3(lookahead)) ADVANCE(685);
      if (lookahead == '%') ADVANCE(486);
      if (lookahead == '&') ADVANCE(496);
      if (lookahead == '(') ADVANCE(460);
      if (lookahead == '*') ADVANCE(482);
      if (lookahead == '+') ADVANCE(478);
      if (lookahead == ',') ADVANCE(396);
      if (lookahead == '-') ADVANCE(470);
      if (lookahead == '.') ADVANCE(545);
      if (lookahead == '/') ADVANCE(484);
      if (lookahead == '<') ADVANCE(506);
      if (lookahead == '=') ADVANCE(528);
      if (lookahead == '>') ADVANCE(501);
      if (lookahead == '?') ADVANCE(531);
      if (lookahead == '[') ADVANCE(522);
      if (lookahead == '\\') ADVANCE(88);
      if (lookahead == '^') ADVANCE(493);
      if (lookahead == '|') ADVANCE(490);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(249)
      END_STATE();
    case 250:
      if (lookahead == '!') ADVANCE(310);
      if (lookahead == '#') ADVANCE(338);
      if (sym_identifier_character_set_3(lookahead)) ADVANCE(685);
      if (lookahead == '%') ADVANCE(486);
      if (lookahead == '&') ADVANCE(496);
      if (lookahead == '(') ADVANCE(460);
      if (lookahead == '*') ADVANCE(482);
      if (lookahead == '+') ADVANCE(478);
      if (lookahead == ',') ADVANCE(396);
      if (lookahead == '-') ADVANCE(470);
      if (lookahead == '.') ADVANCE(545);
      if (lookahead == '/') ADVANCE(484);
      if (lookahead == '<') ADVANCE(506);
      if (lookahead == '=') ADVANCE(528);
      if (lookahead == '>') ADVANCE(501);
      if (lookahead == '?') ADVANCE(531);
      if (lookahead == '[') ADVANCE(525);
      if (lookahead == '\\') ADVANCE(155);
      if (lookahead == '^') ADVANCE(493);
      if (lookahead == '|') ADVANCE(490);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(250)
      END_STATE();
    case 251:
      if (lookahead == '!') ADVANCE(310);
      if (lookahead == '#') ADVANCE(338);
      if (sym_identifier_character_set_3(lookahead)) ADVANCE(685);
      if (lookahead == '%') ADVANCE(485);
      if (lookahead == '&') ADVANCE(495);
      if (lookahead == '(') ADVANCE(460);
      if (lookahead == '*') ADVANCE(481);
      if (lookahead == '+') ADVANCE(475);
      if (lookahead == ',') ADVANCE(396);
      if (lookahead == '-') ADVANCE(471);
      if (lookahead == '.') ADVANCE(545);
      if (lookahead == '/') ADVANCE(483);
      if (lookahead == ':') ADVANCE(515);
      if (lookahead == '<') ADVANCE(508);
      if (lookahead == '=') ADVANCE(311);
      if (lookahead == '>') ADVANCE(500);
      if (lookahead == '?') ADVANCE(531);
      if (lookahead == '[') ADVANCE(522);
      if (lookahead == '\\') ADVANCE(171);
      if (lookahead == '^') ADVANCE(492);
      if (lookahead == '{') ADVANCE(520);
      if (lookahead == '|') ADVANCE(491);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(251)
      END_STATE();
    case 252:
      if (lookahead == '!') ADVANCE(310);
      if (lookahead == '#') ADVANCE(338);
      if (sym_identifier_character_set_3(lookahead)) ADVANCE(685);
      if (lookahead == '%') ADVANCE(485);
      if (lookahead == '&') ADVANCE(495);
      if (lookahead == '(') ADVANCE(460);
      if (lookahead == '*') ADVANCE(481);
      if (lookahead == '+') ADVANCE(475);
      if (lookahead == ',') ADVANCE(396);
      if (lookahead == '-') ADVANCE(471);
      if (lookahead == '.') ADVANCE(545);
      if (lookahead == '/') ADVANCE(483);
      if (lookahead == ':') ADVANCE(514);
      if (lookahead == '<') ADVANCE(508);
      if (lookahead == '=') ADVANCE(311);
      if (lookahead == '>') ADVANCE(500);
      if (lookahead == '?') ADVANCE(531);
      if (lookahead == '[') ADVANCE(522);
      if (lookahead == '\\') ADVANCE(185);
      if (lookahead == '^') ADVANCE(492);
      if (lookahead == '{') ADVANCE(520);
      if (lookahead == '|') ADVANCE(491);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(252)
      END_STATE();
    case 253:
      if (lookahead == '!') ADVANCE(310);
      if (lookahead == '#') ADVANCE(338);
      if (sym_identifier_character_set_3(lookahead)) ADVANCE(685);
      if (lookahead == '%') ADVANCE(485);
      if (lookahead == '&') ADVANCE(495);
      if (lookahead == '(') ADVANCE(460);
      if (lookahead == '*') ADVANCE(481);
      if (lookahead == '+') ADVANCE(475);
      if (lookahead == ',') ADVANCE(396);
      if (lookahead == '-') ADVANCE(471);
      if (lookahead == '.') ADVANCE(545);
      if (lookahead == '/') ADVANCE(483);
      if (lookahead == '<') ADVANCE(508);
      if (lookahead == '=') ADVANCE(311);
      if (lookahead == '>') ADVANCE(500);
      if (lookahead == '?') ADVANCE(531);
      if (lookahead == '[') ADVANCE(522);
      if (lookahead == '\\') ADVANCE(175);
      if (lookahead == '^') ADVANCE(492);
      if (lookahead == '|') ADVANCE(491);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(253)
      END_STATE();
    case 254:
      if (lookahead == '!') ADVANCE(310);
      if (lookahead == '#') ADVANCE(328);
      if (sym_identifier_character_set_2(lookahead)) ADVANCE(685);
      if (lookahead == '%') ADVANCE(485);
      if (lookahead == '&') ADVANCE(495);
      if (lookahead == '(') ADVANCE(460);
      if (lookahead == ')') ADVANCE(397);
      if (lookahead == '*') ADVANCE(481);
      if (lookahead == '+') ADVANCE(474);
      if (lookahead == ',') ADVANCE(396);
      if (lookahead == '-') ADVANCE(464);
      if (lookahead == '/') ADVANCE(483);
      if (lookahead == ':') ADVANCE(309);
      if (lookahead == ';') ADVANCE(516);
      if (lookahead == '<') ADVANCE(509);
      if (lookahead == '=') ADVANCE(311);
      if (lookahead == '>') ADVANCE(500);
      if (lookahead == '[') ADVANCE(523);
      if (lookahead == '\\') ADVANCE(16);
      if (lookahead == '^') ADVANCE(492);
      if (lookahead == 'b') ADVANCE(658);
      if (lookahead == 'c') ADVANCE(638);
      if (lookahead == 'd') ADVANCE(654);
      if (lookahead == 'f') ADVANCE(650);
      if (lookahead == 'i') ADVANCE(651);
      if (lookahead == 'm') ADVANCE(676);
      if (lookahead == 'n') ADVANCE(671);
      if (lookahead == 'p') ADVANCE(668);
      if (lookahead == 's') ADVANCE(615);
      if (lookahead == 'u') ADVANCE(643);
      if (lookahead == 'v') ADVANCE(655);
      if (lookahead == '|') ADVANCE(491);
      if (lookahead == '~') ADVANCE(463);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(254)
      END_STATE();
    case 255:
      if (lookahead == '!') ADVANCE(310);
      if (sym_identifier_character_set_5(lookahead)) ADVANCE(685);
      if (lookahead == '%') ADVANCE(486);
      if (lookahead == '&') ADVANCE(496);
      if (lookahead == '(') ADVANCE(460);
      if (lookahead == ')') ADVANCE(397);
      if (lookahead == '*') ADVANCE(482);
      if (lookahead == '+') ADVANCE(478);
      if (lookahead == ',') ADVANCE(396);
      if (lookahead == '-') ADVANCE(469);
      if (lookahead == '.') ADVANCE(545);
      if (lookahead == '/') ADVANCE(484);
      if (lookahead == '<') ADVANCE(506);
      if (lookahead == '=') ADVANCE(528);
      if (lookahead == '>') ADVANCE(501);
      if (lookahead == '?') ADVANCE(531);
      if (lookahead == '[') ADVANCE(522);
      if (lookahead == '\\') ADVANCE(159);
      if (lookahead == '^') ADVANCE(493);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(714);
      if (lookahead == '|') ADVANCE(490);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(265)
      END_STATE();
    case 256:
      if (lookahead == '!') ADVANCE(310);
      if (sym_identifier_character_set_5(lookahead)) ADVANCE(685);
      if (lookahead == '%') ADVANCE(486);
      if (lookahead == '&') ADVANCE(496);
      if (lookahead == '(') ADVANCE(460);
      if (lookahead == '*') ADVANCE(482);
      if (lookahead == '+') ADVANCE(478);
      if (lookahead == ',') ADVANCE(396);
      if (lookahead == '-') ADVANCE(470);
      if (lookahead == '.') ADVANCE(545);
      if (lookahead == '/') ADVANCE(484);
      if (lookahead == '<') ADVANCE(506);
      if (lookahead == '=') ADVANCE(528);
      if (lookahead == '>') ADVANCE(695);
      if (lookahead == '?') ADVANCE(531);
      if (lookahead == '[') ADVANCE(522);
      if (lookahead == '\\') ADVANCE(157);
      if (lookahead == '^') ADVANCE(493);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(714);
      if (lookahead == '|') ADVANCE(490);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(271)
      END_STATE();
    case 257:
      if (lookahead == '!') ADVANCE(310);
      if (sym_identifier_character_set_5(lookahead)) ADVANCE(685);
      if (lookahead == '%') ADVANCE(485);
      if (lookahead == '&') ADVANCE(495);
      if (lookahead == '(') ADVANCE(460);
      if (lookahead == '*') ADVANCE(481);
      if (lookahead == '+') ADVANCE(475);
      if (lookahead == ',') ADVANCE(396);
      if (lookahead == '-') ADVANCE(471);
      if (lookahead == '.') ADVANCE(545);
      if (lookahead == '/') ADVANCE(483);
      if (lookahead == '<') ADVANCE(508);
      if (lookahead == '=') ADVANCE(311);
      if (lookahead == '>') ADVANCE(695);
      if (lookahead == '?') ADVANCE(531);
      if (lookahead == '[') ADVANCE(522);
      if (lookahead == '\\') ADVANCE(187);
      if (lookahead == '^') ADVANCE(492);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(714);
      if (lookahead == '|') ADVANCE(491);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(276)
      END_STATE();
    case 258:
      if (lookahead == '!') ADVANCE(310);
      if (sym_identifier_character_set_2(lookahead)) ADVANCE(685);
      if (lookahead == '%') ADVANCE(486);
      if (lookahead == '&') ADVANCE(496);
      if (lookahead == '(') ADVANCE(460);
      if (lookahead == ')') ADVANCE(397);
      if (lookahead == '*') ADVANCE(482);
      if (lookahead == '+') ADVANCE(478);
      if (lookahead == ',') ADVANCE(396);
      if (lookahead == '-') ADVANCE(469);
      if (lookahead == '.') ADVANCE(545);
      if (lookahead == '/') ADVANCE(484);
      if (lookahead == '<') ADVANCE(506);
      if (lookahead == '=') ADVANCE(528);
      if (lookahead == '>') ADVANCE(501);
      if (lookahead == '?') ADVANCE(531);
      if (lookahead == '[') ADVANCE(522);
      if (lookahead == '\\') ADVANCE(76);
      if (lookahead == '^') ADVANCE(493);
      if (lookahead == 'b') ADVANCE(658);
      if (lookahead == 'c') ADVANCE(638);
      if (lookahead == 'd') ADVANCE(654);
      if (lookahead == 'f') ADVANCE(650);
      if (lookahead == 'i') ADVANCE(651);
      if (lookahead == 'm') ADVANCE(676);
      if (lookahead == 'n') ADVANCE(671);
      if (lookahead == 'p') ADVANCE(668);
      if (lookahead == 's') ADVANCE(615);
      if (lookahead == 'u') ADVANCE(643);
      if (lookahead == 'v') ADVANCE(655);
      if (lookahead == '{') ADVANCE(520);
      if (lookahead == '|') ADVANCE(490);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(258)
      END_STATE();
    case 259:
      if (lookahead == '!') ADVANCE(310);
      if (sym_identifier_character_set_2(lookahead)) ADVANCE(685);
      if (lookahead == '%') ADVANCE(486);
      if (lookahead == '&') ADVANCE(496);
      if (lookahead == '(') ADVANCE(460);
      if (lookahead == '*') ADVANCE(482);
      if (lookahead == '+') ADVANCE(478);
      if (lookahead == ',') ADVANCE(396);
      if (lookahead == '-') ADVANCE(470);
      if (lookahead == '.') ADVANCE(545);
      if (lookahead == '/') ADVANCE(484);
      if (lookahead == '<') ADVANCE(506);
      if (lookahead == '=') ADVANCE(528);
      if (lookahead == '>') ADVANCE(695);
      if (lookahead == '?') ADVANCE(531);
      if (lookahead == '[') ADVANCE(522);
      if (lookahead == '\\') ADVANCE(82);
      if (lookahead == '^') ADVANCE(493);
      if (lookahead == 'b') ADVANCE(658);
      if (lookahead == 'c') ADVANCE(638);
      if (lookahead == 'd') ADVANCE(654);
      if (lookahead == 'f') ADVANCE(650);
      if (lookahead == 'i') ADVANCE(651);
      if (lookahead == 'm') ADVANCE(676);
      if (lookahead == 'n') ADVANCE(671);
      if (lookahead == 'p') ADVANCE(668);
      if (lookahead == 's') ADVANCE(615);
      if (lookahead == 'u') ADVANCE(643);
      if (lookahead == 'v') ADVANCE(655);
      if (lookahead == '{') ADVANCE(520);
      if (lookahead == '|') ADVANCE(490);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(259)
      END_STATE();
    case 260:
      if (lookahead == '!') ADVANCE(310);
      if (sym_identifier_character_set_2(lookahead)) ADVANCE(685);
      if (lookahead == '%') ADVANCE(485);
      if (lookahead == '&') ADVANCE(495);
      if (lookahead == '(') ADVANCE(460);
      if (lookahead == ')') ADVANCE(397);
      if (lookahead == '*') ADVANCE(481);
      if (lookahead == '+') ADVANCE(475);
      if (lookahead == ',') ADVANCE(396);
      if (lookahead == '-') ADVANCE(471);
      if (lookahead == '.') ADVANCE(545);
      if (lookahead == '/') ADVANCE(483);
      if (lookahead == ':') ADVANCE(309);
      if (lookahead == ';') ADVANCE(516);
      if (lookahead == '<') ADVANCE(508);
      if (lookahead == '=') ADVANCE(311);
      if (lookahead == '>') ADVANCE(500);
      if (lookahead == '?') ADVANCE(531);
      if (lookahead == '[') ADVANCE(522);
      if (lookahead == '\\') ADVANCE(86);
      if (lookahead == ']') ADVANCE(322);
      if (lookahead == '^') ADVANCE(492);
      if (lookahead == 'b') ADVANCE(658);
      if (lookahead == 'c') ADVANCE(638);
      if (lookahead == 'd') ADVANCE(654);
      if (lookahead == 'f') ADVANCE(650);
      if (lookahead == 'i') ADVANCE(651);
      if (lookahead == 'm') ADVANCE(676);
      if (lookahead == 'n') ADVANCE(671);
      if (lookahead == 'p') ADVANCE(668);
      if (lookahead == 's') ADVANCE(615);
      if (lookahead == 'u') ADVANCE(643);
      if (lookahead == 'v') ADVANCE(655);
      if (lookahead == '{') ADVANCE(520);
      if (lookahead == '|') ADVANCE(491);
      if (lookahead == '}') ADVANCE(521);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(260)
      END_STATE();
    case 261:
      if (lookahead == '!') ADVANCE(310);
      if (sym_identifier_character_set_2(lookahead)) ADVANCE(685);
      if (lookahead == '%') ADVANCE(485);
      if (lookahead == '&') ADVANCE(495);
      if (lookahead == '(') ADVANCE(460);
      if (lookahead == '*') ADVANCE(481);
      if (lookahead == '+') ADVANCE(475);
      if (lookahead == ',') ADVANCE(396);
      if (lookahead == '-') ADVANCE(471);
      if (lookahead == '.') ADVANCE(545);
      if (lookahead == '/') ADVANCE(483);
      if (lookahead == ':') ADVANCE(514);
      if (lookahead == '<') ADVANCE(508);
      if (lookahead == '=') ADVANCE(311);
      if (lookahead == '>') ADVANCE(695);
      if (lookahead == '?') ADVANCE(531);
      if (lookahead == '[') ADVANCE(522);
      if (lookahead == '\\') ADVANCE(74);
      if (lookahead == '^') ADVANCE(492);
      if (lookahead == 'b') ADVANCE(658);
      if (lookahead == 'c') ADVANCE(638);
      if (lookahead == 'd') ADVANCE(654);
      if (lookahead == 'f') ADVANCE(650);
      if (lookahead == 'i') ADVANCE(651);
      if (lookahead == 'm') ADVANCE(676);
      if (lookahead == 'n') ADVANCE(671);
      if (lookahead == 'p') ADVANCE(668);
      if (lookahead == 's') ADVANCE(615);
      if (lookahead == 'u') ADVANCE(643);
      if (lookahead == 'v') ADVANCE(655);
      if (lookahead == '{') ADVANCE(520);
      if (lookahead == '|') ADVANCE(491);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(261)
      END_STATE();
    case 262:
      if (lookahead == '!') ADVANCE(310);
      if (sym_identifier_character_set_3(lookahead)) ADVANCE(685);
      if (lookahead == '%') ADVANCE(486);
      if (lookahead == '&') ADVANCE(496);
      if (lookahead == '(') ADVANCE(460);
      if (lookahead == ')') ADVANCE(397);
      if (lookahead == '*') ADVANCE(482);
      if (lookahead == '+') ADVANCE(478);
      if (lookahead == ',') ADVANCE(396);
      if (lookahead == '-') ADVANCE(469);
      if (lookahead == '.') ADVANCE(545);
      if (lookahead == '/') ADVANCE(484);
      if (lookahead == ':') ADVANCE(515);
      if (lookahead == ';') ADVANCE(516);
      if (lookahead == '<') ADVANCE(506);
      if (lookahead == '=') ADVANCE(528);
      if (lookahead == '>') ADVANCE(501);
      if (lookahead == '?') ADVANCE(531);
      if (lookahead == '[') ADVANCE(522);
      if (lookahead == '\\') ADVANCE(52);
      if (lookahead == '^') ADVANCE(493);
      if (lookahead == '{') ADVANCE(520);
      if (lookahead == '|') ADVANCE(490);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(262)
      END_STATE();
    case 263:
      if (lookahead == '!') ADVANCE(310);
      if (sym_identifier_character_set_3(lookahead)) ADVANCE(685);
      if (lookahead == '%') ADVANCE(486);
      if (lookahead == '&') ADVANCE(496);
      if (lookahead == '(') ADVANCE(460);
      if (lookahead == ')') ADVANCE(397);
      if (lookahead == '*') ADVANCE(482);
      if (lookahead == '+') ADVANCE(478);
      if (lookahead == ',') ADVANCE(396);
      if (lookahead == '-') ADVANCE(469);
      if (lookahead == '.') ADVANCE(545);
      if (lookahead == '/') ADVANCE(484);
      if (lookahead == ':') ADVANCE(514);
      if (lookahead == '<') ADVANCE(506);
      if (lookahead == '=') ADVANCE(528);
      if (lookahead == '>') ADVANCE(501);
      if (lookahead == '?') ADVANCE(531);
      if (lookahead == '[') ADVANCE(522);
      if (lookahead == '\\') ADVANCE(80);
      if (lookahead == '^') ADVANCE(493);
      if (lookahead == '{') ADVANCE(520);
      if (lookahead == '|') ADVANCE(490);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(263)
      END_STATE();
    case 264:
      if (lookahead == '!') ADVANCE(310);
      if (sym_identifier_character_set_3(lookahead)) ADVANCE(685);
      if (lookahead == '%') ADVANCE(486);
      if (lookahead == '&') ADVANCE(496);
      if (lookahead == '(') ADVANCE(460);
      if (lookahead == ')') ADVANCE(397);
      if (lookahead == '*') ADVANCE(482);
      if (lookahead == '+') ADVANCE(478);
      if (lookahead == ',') ADVANCE(396);
      if (lookahead == '-') ADVANCE(469);
      if (lookahead == '.') ADVANCE(545);
      if (lookahead == '/') ADVANCE(484);
      if (lookahead == '<') ADVANCE(506);
      if (lookahead == '=') ADVANCE(528);
      if (lookahead == '>') ADVANCE(501);
      if (lookahead == '?') ADVANCE(531);
      if (lookahead == '[') ADVANCE(524);
      if (lookahead == '\\') ADVANCE(94);
      if (lookahead == '^') ADVANCE(493);
      if (lookahead == '|') ADVANCE(490);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(264)
      END_STATE();
    case 265:
      if (lookahead == '!') ADVANCE(310);
      if (sym_identifier_character_set_3(lookahead)) ADVANCE(685);
      if (lookahead == '%') ADVANCE(486);
      if (lookahead == '&') ADVANCE(496);
      if (lookahead == '(') ADVANCE(460);
      if (lookahead == ')') ADVANCE(397);
      if (lookahead == '*') ADVANCE(482);
      if (lookahead == '+') ADVANCE(478);
      if (lookahead == ',') ADVANCE(396);
      if (lookahead == '-') ADVANCE(469);
      if (lookahead == '.') ADVANCE(545);
      if (lookahead == '/') ADVANCE(484);
      if (lookahead == '<') ADVANCE(506);
      if (lookahead == '=') ADVANCE(528);
      if (lookahead == '>') ADVANCE(501);
      if (lookahead == '?') ADVANCE(531);
      if (lookahead == '[') ADVANCE(522);
      if (lookahead == '\\') ADVANCE(159);
      if (lookahead == '^') ADVANCE(493);
      if (lookahead == '|') ADVANCE(490);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(265)
      END_STATE();
    case 266:
      if (lookahead == '!') ADVANCE(310);
      if (sym_identifier_character_set_3(lookahead)) ADVANCE(685);
      if (lookahead == '%') ADVANCE(486);
      if (lookahead == '&') ADVANCE(496);
      if (lookahead == '(') ADVANCE(460);
      if (lookahead == ')') ADVANCE(397);
      if (lookahead == '*') ADVANCE(482);
      if (lookahead == '+') ADVANCE(478);
      if (lookahead == ',') ADVANCE(396);
      if (lookahead == '-') ADVANCE(469);
      if (lookahead == '.') ADVANCE(545);
      if (lookahead == '/') ADVANCE(484);
      if (lookahead == '<') ADVANCE(506);
      if (lookahead == '=') ADVANCE(528);
      if (lookahead == '>') ADVANCE(501);
      if (lookahead == '?') ADVANCE(531);
      if (lookahead == '[') ADVANCE(525);
      if (lookahead == '\\') ADVANCE(179);
      if (lookahead == '^') ADVANCE(493);
      if (lookahead == '|') ADVANCE(490);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(266)
      END_STATE();
    case 267:
      if (lookahead == '!') ADVANCE(310);
      if (sym_identifier_character_set_3(lookahead)) ADVANCE(685);
      if (lookahead == '%') ADVANCE(486);
      if (lookahead == '&') ADVANCE(496);
      if (lookahead == '(') ADVANCE(460);
      if (lookahead == '*') ADVANCE(482);
      if (lookahead == '+') ADVANCE(478);
      if (lookahead == ',') ADVANCE(396);
      if (lookahead == '-') ADVANCE(470);
      if (lookahead == '.') ADVANCE(545);
      if (lookahead == '/') ADVANCE(484);
      if (lookahead == ':') ADVANCE(515);
      if (lookahead == '<') ADVANCE(506);
      if (lookahead == '=') ADVANCE(528);
      if (lookahead == '>') ADVANCE(695);
      if (lookahead == '?') ADVANCE(531);
      if (lookahead == '[') ADVANCE(522);
      if (lookahead == '\\') ADVANCE(58);
      if (lookahead == '^') ADVANCE(493);
      if (lookahead == '{') ADVANCE(520);
      if (lookahead == '|') ADVANCE(490);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(267)
      END_STATE();
    case 268:
      if (lookahead == '!') ADVANCE(310);
      if (sym_identifier_character_set_3(lookahead)) ADVANCE(685);
      if (lookahead == '%') ADVANCE(486);
      if (lookahead == '&') ADVANCE(496);
      if (lookahead == '(') ADVANCE(460);
      if (lookahead == '*') ADVANCE(482);
      if (lookahead == '+') ADVANCE(478);
      if (lookahead == ',') ADVANCE(396);
      if (lookahead == '-') ADVANCE(470);
      if (lookahead == '.') ADVANCE(545);
      if (lookahead == '/') ADVANCE(484);
      if (lookahead == ':') ADVANCE(514);
      if (lookahead == '<') ADVANCE(506);
      if (lookahead == '=') ADVANCE(528);
      if (lookahead == '>') ADVANCE(695);
      if (lookahead == '?') ADVANCE(531);
      if (lookahead == '[') ADVANCE(522);
      if (lookahead == '\\') ADVANCE(147);
      if (lookahead == '^') ADVANCE(493);
      if (lookahead == '{') ADVANCE(520);
      if (lookahead == '|') ADVANCE(490);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(268)
      END_STATE();
    case 269:
      if (lookahead == '!') ADVANCE(310);
      if (sym_identifier_character_set_3(lookahead)) ADVANCE(685);
      if (lookahead == '%') ADVANCE(486);
      if (lookahead == '&') ADVANCE(496);
      if (lookahead == '(') ADVANCE(460);
      if (lookahead == '*') ADVANCE(482);
      if (lookahead == '+') ADVANCE(478);
      if (lookahead == ',') ADVANCE(396);
      if (lookahead == '-') ADVANCE(470);
      if (lookahead == '.') ADVANCE(545);
      if (lookahead == '/') ADVANCE(484);
      if (lookahead == ';') ADVANCE(516);
      if (lookahead == '<') ADVANCE(506);
      if (lookahead == '=') ADVANCE(528);
      if (lookahead == '>') ADVANCE(501);
      if (lookahead == '?') ADVANCE(531);
      if (lookahead == '[') ADVANCE(524);
      if (lookahead == '\\') ADVANCE(96);
      if (lookahead == '^') ADVANCE(493);
      if (lookahead == '|') ADVANCE(490);
      if (lookahead == '}') ADVANCE(521);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(269)
      END_STATE();
    case 270:
      if (lookahead == '!') ADVANCE(310);
      if (sym_identifier_character_set_3(lookahead)) ADVANCE(685);
      if (lookahead == '%') ADVANCE(486);
      if (lookahead == '&') ADVANCE(496);
      if (lookahead == '(') ADVANCE(460);
      if (lookahead == '*') ADVANCE(482);
      if (lookahead == '+') ADVANCE(478);
      if (lookahead == ',') ADVANCE(396);
      if (lookahead == '-') ADVANCE(470);
      if (lookahead == '.') ADVANCE(545);
      if (lookahead == '/') ADVANCE(484);
      if (lookahead == '<') ADVANCE(506);
      if (lookahead == '=') ADVANCE(528);
      if (lookahead == '>') ADVANCE(695);
      if (lookahead == '?') ADVANCE(531);
      if (lookahead == '[') ADVANCE(523);
      if (lookahead == '\\') ADVANCE(90);
      if (lookahead == '^') ADVANCE(493);
      if (lookahead == '|') ADVANCE(490);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(270)
      END_STATE();
    case 271:
      if (lookahead == '!') ADVANCE(310);
      if (sym_identifier_character_set_3(lookahead)) ADVANCE(685);
      if (lookahead == '%') ADVANCE(486);
      if (lookahead == '&') ADVANCE(496);
      if (lookahead == '(') ADVANCE(460);
      if (lookahead == '*') ADVANCE(482);
      if (lookahead == '+') ADVANCE(478);
      if (lookahead == ',') ADVANCE(396);
      if (lookahead == '-') ADVANCE(470);
      if (lookahead == '.') ADVANCE(545);
      if (lookahead == '/') ADVANCE(484);
      if (lookahead == '<') ADVANCE(506);
      if (lookahead == '=') ADVANCE(528);
      if (lookahead == '>') ADVANCE(695);
      if (lookahead == '?') ADVANCE(531);
      if (lookahead == '[') ADVANCE(522);
      if (lookahead == '\\') ADVANCE(157);
      if (lookahead == '^') ADVANCE(493);
      if (lookahead == '|') ADVANCE(490);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(271)
      END_STATE();
    case 272:
      if (lookahead == '!') ADVANCE(310);
      if (sym_identifier_character_set_3(lookahead)) ADVANCE(685);
      if (lookahead == '%') ADVANCE(486);
      if (lookahead == '&') ADVANCE(496);
      if (lookahead == '(') ADVANCE(460);
      if (lookahead == '*') ADVANCE(482);
      if (lookahead == '+') ADVANCE(478);
      if (lookahead == ',') ADVANCE(396);
      if (lookahead == '-') ADVANCE(470);
      if (lookahead == '.') ADVANCE(545);
      if (lookahead == '/') ADVANCE(484);
      if (lookahead == '<') ADVANCE(506);
      if (lookahead == '=') ADVANCE(528);
      if (lookahead == '>') ADVANCE(695);
      if (lookahead == '?') ADVANCE(531);
      if (lookahead == '[') ADVANCE(525);
      if (lookahead == '\\') ADVANCE(177);
      if (lookahead == '^') ADVANCE(493);
      if (lookahead == '|') ADVANCE(490);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(272)
      END_STATE();
    case 273:
      if (lookahead == '!') ADVANCE(310);
      if (sym_identifier_character_set_3(lookahead)) ADVANCE(685);
      if (lookahead == '%') ADVANCE(486);
      if (lookahead == '&') ADVANCE(496);
      if (lookahead == '*') ADVANCE(482);
      if (lookahead == '+') ADVANCE(480);
      if (lookahead == ',') ADVANCE(396);
      if (lookahead == '-') ADVANCE(473);
      if (lookahead == '.') ADVANCE(292);
      if (lookahead == '/') ADVANCE(484);
      if (lookahead == '<') ADVANCE(507);
      if (lookahead == '=') ADVANCE(528);
      if (lookahead == '>') ADVANCE(501);
      if (lookahead == '\\') ADVANCE(106);
      if (lookahead == '^') ADVANCE(493);
      if (lookahead == '|') ADVANCE(490);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(273)
      END_STATE();
    case 274:
      if (lookahead == '!') ADVANCE(310);
      if (sym_identifier_character_set_3(lookahead)) ADVANCE(685);
      if (lookahead == '%') ADVANCE(485);
      if (lookahead == '&') ADVANCE(495);
      if (lookahead == '(') ADVANCE(460);
      if (lookahead == '*') ADVANCE(481);
      if (lookahead == '+') ADVANCE(475);
      if (lookahead == ',') ADVANCE(396);
      if (lookahead == '-') ADVANCE(471);
      if (lookahead == '.') ADVANCE(545);
      if (lookahead == '/') ADVANCE(483);
      if (lookahead == ':') ADVANCE(515);
      if (lookahead == '<') ADVANCE(508);
      if (lookahead == '=') ADVANCE(311);
      if (lookahead == '>') ADVANCE(695);
      if (lookahead == '?') ADVANCE(531);
      if (lookahead == '[') ADVANCE(522);
      if (lookahead == '\\') ADVANCE(183);
      if (lookahead == '^') ADVANCE(492);
      if (lookahead == '{') ADVANCE(520);
      if (lookahead == '|') ADVANCE(491);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(274)
      END_STATE();
    case 275:
      if (lookahead == '!') ADVANCE(310);
      if (sym_identifier_character_set_3(lookahead)) ADVANCE(685);
      if (lookahead == '%') ADVANCE(485);
      if (lookahead == '&') ADVANCE(495);
      if (lookahead == '(') ADVANCE(460);
      if (lookahead == '*') ADVANCE(481);
      if (lookahead == '+') ADVANCE(475);
      if (lookahead == ',') ADVANCE(396);
      if (lookahead == '-') ADVANCE(471);
      if (lookahead == '.') ADVANCE(545);
      if (lookahead == '/') ADVANCE(483);
      if (lookahead == ':') ADVANCE(514);
      if (lookahead == '<') ADVANCE(508);
      if (lookahead == '=') ADVANCE(311);
      if (lookahead == '>') ADVANCE(695);
      if (lookahead == '?') ADVANCE(531);
      if (lookahead == '[') ADVANCE(522);
      if (lookahead == '\\') ADVANCE(169);
      if (lookahead == '^') ADVANCE(492);
      if (lookahead == '{') ADVANCE(520);
      if (lookahead == '|') ADVANCE(491);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(275)
      END_STATE();
    case 276:
      if (lookahead == '!') ADVANCE(310);
      if (sym_identifier_character_set_3(lookahead)) ADVANCE(685);
      if (lookahead == '%') ADVANCE(485);
      if (lookahead == '&') ADVANCE(495);
      if (lookahead == '(') ADVANCE(460);
      if (lookahead == '*') ADVANCE(481);
      if (lookahead == '+') ADVANCE(475);
      if (lookahead == ',') ADVANCE(396);
      if (lookahead == '-') ADVANCE(471);
      if (lookahead == '.') ADVANCE(545);
      if (lookahead == '/') ADVANCE(483);
      if (lookahead == '<') ADVANCE(508);
      if (lookahead == '=') ADVANCE(311);
      if (lookahead == '>') ADVANCE(695);
      if (lookahead == '?') ADVANCE(531);
      if (lookahead == '[') ADVANCE(522);
      if (lookahead == '\\') ADVANCE(187);
      if (lookahead == '^') ADVANCE(492);
      if (lookahead == '|') ADVANCE(491);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(276)
      END_STATE();
    case 277:
      if (lookahead == '"') ADVANCE(582);
      if (lookahead == '/') ADVANCE(293);
      if (lookahead == '\\') ADVANCE(121);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(277)
      END_STATE();
    case 278:
      if (lookahead == '"') ADVANCE(582);
      if (sym_identifier_character_set_7(lookahead)) ADVANCE(685);
      if (lookahead == '&') ADVANCE(495);
      if (lookahead == '(') ADVANCE(460);
      if (lookahead == '*') ADVANCE(481);
      if (lookahead == '/') ADVANCE(293);
      if (lookahead == ':') ADVANCE(309);
      if (lookahead == 'L') ADVANCE(598);
      if (lookahead == 'U') ADVANCE(602);
      if (lookahead == '[') ADVANCE(523);
      if (lookahead == '\\') ADVANCE(46);
      if (lookahead == 'b') ADVANCE(658);
      if (lookahead == 'c') ADVANCE(638);
      if (lookahead == 'd') ADVANCE(654);
      if (lookahead == 'f') ADVANCE(650);
      if (lookahead == 'i') ADVANCE(651);
      if (lookahead == 'm') ADVANCE(676);
      if (lookahead == 'n') ADVANCE(671);
      if (lookahead == 'p') ADVANCE(668);
      if (lookahead == 's') ADVANCE(615);
      if (lookahead == 'u') ADVANCE(605);
      if (lookahead == 'v') ADVANCE(655);
      if (lookahead == '~') ADVANCE(463);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(278)
      END_STATE();
    case 279:
      if (lookahead == '"') ADVANCE(582);
      if (sym_identifier_character_set_6(lookahead)) ADVANCE(685);
      if (lookahead == ')') ADVANCE(397);
      if (lookahead == ',') ADVANCE(396);
      if (lookahead == '/') ADVANCE(293);
      if (lookahead == ':') ADVANCE(514);
      if (lookahead == 'L') ADVANCE(597);
      if (lookahead == 'R') ADVANCE(599);
      if (lookahead == 'U') ADVANCE(601);
      if (lookahead == '\\') ADVANCE(115);
      if (lookahead == 'u') ADVANCE(604);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(279)
      END_STATE();
    case 280:
      if (lookahead == '"') ADVANCE(582);
      if (sym_identifier_character_set_4(lookahead)) ADVANCE(685);
      if (lookahead == '/') ADVANCE(293);
      if (lookahead == '<') ADVANCE(316);
      if (lookahead == 'L') ADVANCE(598);
      if (lookahead == 'U') ADVANCE(602);
      if (lookahead == '\\') ADVANCE(119);
      if (lookahead == 'u') ADVANCE(606);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(280)
      END_STATE();
    case 281:
      if (lookahead == '"') ADVANCE(704);
      END_STATE();
    case 282:
      if (lookahead == '#') ADVANCE(330);
      if (sym_identifier_character_set_2(lookahead)) ADVANCE(685);
      if (lookahead == '&') ADVANCE(495);
      if (lookahead == '(') ADVANCE(460);
      if (lookahead == '*') ADVANCE(481);
      if (lookahead == ',') ADVANCE(396);
      if (lookahead == '/') ADVANCE(293);
      if (lookahead == ':') ADVANCE(309);
      if (lookahead == ';') ADVANCE(516);
      if (lookahead == '[') ADVANCE(523);
      if (lookahead == '\\') ADVANCE(18);
      if (lookahead == 'b') ADVANCE(658);
      if (lookahead == 'c') ADVANCE(638);
      if (lookahead == 'd') ADVANCE(654);
      if (lookahead == 'f') ADVANCE(650);
      if (lookahead == 'i') ADVANCE(651);
      if (lookahead == 'm') ADVANCE(676);
      if (lookahead == 'n') ADVANCE(671);
      if (lookahead == 'p') ADVANCE(668);
      if (lookahead == 's') ADVANCE(615);
      if (lookahead == 'u') ADVANCE(643);
      if (lookahead == 'v') ADVANCE(655);
      if (lookahead == '}') ADVANCE(521);
      if (lookahead == '~') ADVANCE(463);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(282)
      END_STATE();
    case 283:
      if (lookahead == '#') ADVANCE(334);
      if (sym_identifier_character_set_3(lookahead)) ADVANCE(685);
      if (lookahead == '&') ADVANCE(495);
      if (lookahead == '(') ADVANCE(460);
      if (lookahead == ')') ADVANCE(397);
      if (lookahead == '*') ADVANCE(481);
      if (lookahead == ',') ADVANCE(396);
      if (lookahead == '-') ADVANCE(315);
      if (lookahead == '.') ADVANCE(298);
      if (lookahead == '/') ADVANCE(293);
      if (lookahead == ':') ADVANCE(515);
      if (lookahead == ';') ADVANCE(516);
      if (lookahead == '<') ADVANCE(505);
      if (lookahead == '=') ADVANCE(527);
      if (lookahead == '>') ADVANCE(695);
      if (lookahead == '[') ADVANCE(523);
      if (lookahead == '\\') ADVANCE(40);
      if (lookahead == '{') ADVANCE(520);
      if (lookahead == '|') ADVANCE(352);
      if (lookahead == '~') ADVANCE(463);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(283)
      END_STATE();
    case 284:
      if (lookahead == '#') ADVANCE(324);
      if (sym_identifier_character_set_2(lookahead)) ADVANCE(685);
      if (lookahead == '&') ADVANCE(495);
      if (lookahead == '(') ADVANCE(460);
      if (lookahead == ')') ADVANCE(397);
      if (lookahead == '*') ADVANCE(481);
      if (lookahead == '+') ADVANCE(474);
      if (lookahead == ',') ADVANCE(396);
      if (lookahead == '-') ADVANCE(315);
      if (lookahead == '.') ADVANCE(547);
      if (lookahead == '/') ADVANCE(293);
      if (lookahead == ':') ADVANCE(515);
      if (lookahead == ';') ADVANCE(516);
      if (lookahead == '<') ADVANCE(505);
      if (lookahead == '=') ADVANCE(527);
      if (lookahead == '>') ADVANCE(695);
      if (lookahead == '[') ADVANCE(523);
      if (lookahead == '\\') ADVANCE(14);
      if (lookahead == 'b') ADVANCE(658);
      if (lookahead == 'c') ADVANCE(638);
      if (lookahead == 'd') ADVANCE(654);
      if (lookahead == 'f') ADVANCE(650);
      if (lookahead == 'i') ADVANCE(651);
      if (lookahead == 'm') ADVANCE(676);
      if (lookahead == 'n') ADVANCE(671);
      if (lookahead == 'p') ADVANCE(668);
      if (lookahead == 's') ADVANCE(615);
      if (lookahead == 'u') ADVANCE(643);
      if (lookahead == 'v') ADVANCE(655);
      if (lookahead == '{') ADVANCE(520);
      if (lookahead == '|') ADVANCE(352);
      if (lookahead == '~') ADVANCE(463);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(284)
      END_STATE();
    case 285:
      if (lookahead == '#') ADVANCE(326);
      if (sym_identifier_character_set_2(lookahead)) ADVANCE(685);
      if (lookahead == '&') ADVANCE(495);
      if (lookahead == '(') ADVANCE(460);
      if (lookahead == '*') ADVANCE(481);
      if (lookahead == ',') ADVANCE(396);
      if (lookahead == '/') ADVANCE(293);
      if (lookahead == ':') ADVANCE(309);
      if (lookahead == ';') ADVANCE(516);
      if (lookahead == '[') ADVANCE(523);
      if (lookahead == '\\') ADVANCE(20);
      if (lookahead == 'b') ADVANCE(658);
      if (lookahead == 'c') ADVANCE(638);
      if (lookahead == 'd') ADVANCE(654);
      if (lookahead == 'f') ADVANCE(650);
      if (lookahead == 'i') ADVANCE(651);
      if (lookahead == 'm') ADVANCE(676);
      if (lookahead == 'n') ADVANCE(671);
      if (lookahead == 'p') ADVANCE(668);
      if (lookahead == 's') ADVANCE(615);
      if (lookahead == 'u') ADVANCE(643);
      if (lookahead == 'v') ADVANCE(655);
      if (lookahead == '~') ADVANCE(463);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(285)
      END_STATE();
    case 286:
      if (lookahead == '#') ADVANCE(338);
      if (sym_identifier_character_set_3(lookahead)) ADVANCE(685);
      if (lookahead == '&') ADVANCE(495);
      if (lookahead == '(') ADVANCE(460);
      if (lookahead == ')') ADVANCE(397);
      if (lookahead == '*') ADVANCE(481);
      if (lookahead == ',') ADVANCE(396);
      if (lookahead == '-') ADVANCE(315);
      if (lookahead == '.') ADVANCE(298);
      if (lookahead == '/') ADVANCE(293);
      if (lookahead == ':') ADVANCE(514);
      if (lookahead == ';') ADVANCE(516);
      if (lookahead == '<') ADVANCE(505);
      if (lookahead == '=') ADVANCE(527);
      if (lookahead == '>') ADVANCE(695);
      if (lookahead == '[') ADVANCE(523);
      if (lookahead == '\\') ADVANCE(50);
      if (lookahead == '{') ADVANCE(520);
      if (lookahead == '|') ADVANCE(352);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(286)
      END_STATE();
    case 287:
      if (lookahead == '\'') ADVANCE(573);
      if (lookahead == '/') ADVANCE(293);
      if (lookahead == '\\') ADVANCE(121);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(287)
      END_STATE();
    case 288:
      if (lookahead == '\'') ADVANCE(363);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(353);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(288);
      END_STATE();
    case 289:
      if (lookahead == '\'') ADVANCE(359);
      if (lookahead == '.') ADVANCE(562);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(353);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(289);
      END_STATE();
    case 290:
      if (lookahead == '(') ADVANCE(460);
      if (lookahead == '/') ADVANCE(293);
      if (lookahead == '\\') SKIP(129)
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(290)
      END_STATE();
    case 291:
      if (lookahead == ')') ADVANCE(702);
      END_STATE();
    case 292:
      if (lookahead == '*') ADVANCE(550);
      END_STATE();
    case 293:
      if (lookahead == '*') ADVANCE(296);
      if (lookahead == '/') ADVANCE(690);
      END_STATE();
    case 294:
      if (lookahead == '*') ADVANCE(701);
      END_STATE();
    case 295:
      if (lookahead == '*') ADVANCE(295);
      if (lookahead == '/') ADVANCE(686);
      if (lookahead != 0) ADVANCE(296);
      END_STATE();
    case 296:
      if (lookahead == '*') ADVANCE(295);
      if (lookahead != 0) ADVANCE(296);
      END_STATE();
    case 297:
      if (lookahead == '*') ADVANCE(295);
      if (lookahead != 0) ADVANCE(415);
      END_STATE();
    case 298:
      if (lookahead == '.') ADVANCE(300);
      END_STATE();
    case 299:
      if (lookahead == '.') ADVANCE(300);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(554);
      END_STATE();
    case 300:
      if (lookahead == '.') ADVANCE(395);
      END_STATE();
    case 301:
      if (lookahead == '.') ADVANCE(363);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(560);
      END_STATE();
    case 302:
      if (lookahead == '/') ADVANCE(419);
      if (lookahead == '\\') ADVANCE(417);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(302)
      if (lookahead != 0) ADVANCE(420);
      END_STATE();
    case 303:
      if (lookahead == '1') ADVANCE(307);
      END_STATE();
    case 304:
      if (lookahead == '2') ADVANCE(553);
      END_STATE();
    case 305:
      if (lookahead == '2') ADVANCE(308);
      if (lookahead == '6') ADVANCE(553);
      END_STATE();
    case 306:
      if (lookahead == '4') ADVANCE(553);
      END_STATE();
    case 307:
      if (lookahead == '6') ADVANCE(553);
      END_STATE();
    case 308:
      if (lookahead == '8') ADVANCE(553);
      END_STATE();
    case 309:
      if (lookahead == ':') ADVANCE(517);
      END_STATE();
    case 310:
      if (lookahead == '=') ADVANCE(498);
      END_STATE();
    case 311:
      if (lookahead == '=') ADVANCE(497);
      END_STATE();
    case 312:
      if (lookahead == '=') ADVANCE(502);
      if (lookahead == '>') ADVANCE(313);
      END_STATE();
    case 313:
      if (lookahead == '=') ADVANCE(538);
      END_STATE();
    case 314:
      if (lookahead == '>') ADVANCE(512);
      END_STATE();
    case 315:
      if (lookahead == '>') ADVANCE(551);
      END_STATE();
    case 316:
      if (lookahead == '>') ADVANCE(592);
      if (lookahead == '\\') ADVANCE(317);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(316);
      END_STATE();
    case 317:
      if (lookahead == '>') ADVANCE(593);
      if (lookahead == '\\') ADVANCE(317);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(316);
      END_STATE();
    case 318:
      if (lookahead == 'F') ADVANCE(303);
      END_STATE();
    case 319:
      if (lookahead == 'U') ADVANCE(377);
      if (lookahead == 'u') ADVANCE(369);
      END_STATE();
    case 320:
      if (lookahead == '[') ADVANCE(518);
      if (lookahead == ']') ADVANCE(703);
      END_STATE();
    case 321:
      if (lookahead == ']') ADVANCE(703);
      END_STATE();
    case 322:
      if (lookahead == ']') ADVANCE(519);
      END_STATE();
    case 323:
      if (lookahead == 'd') ADVANCE(431);
      if (lookahead == 'e') ADVANCE(453);
      if (lookahead == 'i') ADVANCE(439);
      if (lookahead == '\t' ||
          lookahead == ' ') ADVANCE(323);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(459);
      END_STATE();
    case 324:
      if (lookahead == 'd') ADVANCE(431);
      if (lookahead == 'e') ADVANCE(453);
      if (lookahead == 'i') ADVANCE(440);
      if (lookahead == '\t' ||
          lookahead == ' ') ADVANCE(324);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(459);
      END_STATE();
    case 325:
      if (lookahead == 'd') ADVANCE(431);
      if (lookahead == 'e') ADVANCE(456);
      if (lookahead == 'i') ADVANCE(439);
      if (lookahead == '\t' ||
          lookahead == ' ') ADVANCE(325);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(459);
      END_STATE();
    case 326:
      if (lookahead == 'd') ADVANCE(431);
      if (lookahead == 'e') ADVANCE(456);
      if (lookahead == 'i') ADVANCE(440);
      if (lookahead == '\t' ||
          lookahead == ' ') ADVANCE(326);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(459);
      END_STATE();
    case 327:
      if (lookahead == 'd') ADVANCE(431);
      if (lookahead == 'e') ADVANCE(455);
      if (lookahead == 'i') ADVANCE(439);
      if (lookahead == '\t' ||
          lookahead == ' ') ADVANCE(327);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(459);
      END_STATE();
    case 328:
      if (lookahead == 'd') ADVANCE(431);
      if (lookahead == 'e') ADVANCE(455);
      if (lookahead == 'i') ADVANCE(440);
      if (lookahead == '\t' ||
          lookahead == ' ') ADVANCE(328);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(459);
      END_STATE();
    case 329:
      if (lookahead == 'd') ADVANCE(431);
      if (lookahead == 'i') ADVANCE(439);
      if (lookahead == '\t' ||
          lookahead == ' ') ADVANCE(329);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(459);
      END_STATE();
    case 330:
      if (lookahead == 'd') ADVANCE(431);
      if (lookahead == 'i') ADVANCE(440);
      if (lookahead == '\t' ||
          lookahead == ' ') ADVANCE(330);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(459);
      END_STATE();
    case 331:
      if (lookahead == 'd') ADVANCE(345);
      END_STATE();
    case 332:
      if (lookahead == 'd') ADVANCE(337);
      END_STATE();
    case 333:
      if (lookahead == 'e') ADVANCE(351);
      if (lookahead == '\t' ||
          lookahead == ' ') ADVANCE(333);
      END_STATE();
    case 334:
      if (lookahead == 'e') ADVANCE(349);
      if (lookahead == '\t' ||
          lookahead == ' ') ADVANCE(334);
      END_STATE();
    case 335:
      if (lookahead == 'e') ADVANCE(404);
      END_STATE();
    case 336:
      if (lookahead == 'e') ADVANCE(342);
      END_STATE();
    case 337:
      if (lookahead == 'e') ADVANCE(343);
      END_STATE();
    case 338:
      if (lookahead == 'e') ADVANCE(350);
      if (lookahead == '\t' ||
          lookahead == ' ') ADVANCE(338);
      END_STATE();
    case 339:
      if (lookahead == 'f') ADVANCE(303);
      END_STATE();
    case 340:
      if (lookahead == 'f') ADVANCE(400);
      END_STATE();
    case 341:
      if (lookahead == 'f') ADVANCE(407);
      END_STATE();
    case 342:
      if (lookahead == 'f') ADVANCE(410);
      END_STATE();
    case 343:
      if (lookahead == 'f') ADVANCE(412);
      END_STATE();
    case 344:
      if (lookahead == 'f') ADVANCE(406);
      END_STATE();
    case 345:
      if (lookahead == 'i') ADVANCE(340);
      END_STATE();
    case 346:
      if (lookahead == 'i') ADVANCE(341);
      if (lookahead == 's') ADVANCE(335);
      END_STATE();
    case 347:
      if (lookahead == 'i') ADVANCE(344);
      if (lookahead == 's') ADVANCE(335);
      END_STATE();
    case 348:
      if (lookahead == 'i') ADVANCE(440);
      if (lookahead == '\t' ||
          lookahead == ' ') ADVANCE(348);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(459);
      END_STATE();
    case 349:
      if (lookahead == 'l') ADVANCE(346);
      if (lookahead == 'n') ADVANCE(331);
      END_STATE();
    case 350:
      if (lookahead == 'l') ADVANCE(347);
      if (lookahead == 'n') ADVANCE(331);
      END_STATE();
    case 351:
      if (lookahead == 'n') ADVANCE(331);
      END_STATE();
    case 352:
      if (lookahead == '|') ADVANCE(487);
      END_STATE();
    case 353:
      if (lookahead == '+' ||
          lookahead == '-') ADVANCE(360);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(559);
      END_STATE();
    case 354:
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(353);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(288);
      END_STATE();
    case 355:
      if (lookahead == '0' ||
          lookahead == '1') ADVANCE(557);
      END_STATE();
    case 356:
      if (lookahead == '8' ||
          lookahead == '9') ADVANCE(289);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(555);
      END_STATE();
    case 357:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(558);
      END_STATE();
    case 358:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(554);
      END_STATE();
    case 359:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(289);
      END_STATE();
    case 360:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(559);
      END_STATE();
    case 361:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(685);
      END_STATE();
    case 362:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(560);
      END_STATE();
    case 363:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(288);
      END_STATE();
    case 364:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(588);
      END_STATE();
    case 365:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(361);
      END_STATE();
    case 366:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(364);
      END_STATE();
    case 367:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(365);
      END_STATE();
    case 368:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(366);
      END_STATE();
    case 369:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(367);
      END_STATE();
    case 370:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(368);
      END_STATE();
    case 371:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(369);
      END_STATE();
    case 372:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(370);
      END_STATE();
    case 373:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(371);
      END_STATE();
    case 374:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(372);
      END_STATE();
    case 375:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(373);
      END_STATE();
    case 376:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(374);
      END_STATE();
    case 377:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(375);
      END_STATE();
    case 378:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(376);
      END_STATE();
    case 379:
      if (sym_identifier_character_set_2(lookahead)) ADVANCE(685);
      if (lookahead == '&') ADVANCE(495);
      if (lookahead == '(') ADVANCE(460);
      if (lookahead == ')') ADVANCE(397);
      if (lookahead == '*') ADVANCE(481);
      if (lookahead == ',') ADVANCE(396);
      if (lookahead == '/') ADVANCE(293);
      if (lookahead == ':') ADVANCE(515);
      if (lookahead == ';') ADVANCE(516);
      if (lookahead == '<') ADVANCE(505);
      if (lookahead == '[') ADVANCE(522);
      if (lookahead == '\\') ADVANCE(104);
      if (lookahead == 'b') ADVANCE(658);
      if (lookahead == 'c') ADVANCE(638);
      if (lookahead == 'd') ADVANCE(654);
      if (lookahead == 'f') ADVANCE(650);
      if (lookahead == 'i') ADVANCE(651);
      if (lookahead == 'm') ADVANCE(676);
      if (lookahead == 'n') ADVANCE(671);
      if (lookahead == 'p') ADVANCE(668);
      if (lookahead == 's') ADVANCE(615);
      if (lookahead == 'u') ADVANCE(643);
      if (lookahead == 'v') ADVANCE(655);
      if (lookahead == '{') ADVANCE(520);
      if (lookahead == '|') ADVANCE(352);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(379)
      END_STATE();
    case 380:
      if (sym_identifier_character_set_2(lookahead)) ADVANCE(685);
      if (lookahead == '&') ADVANCE(495);
      if (lookahead == '(') ADVANCE(460);
      if (lookahead == ')') ADVANCE(397);
      if (lookahead == '*') ADVANCE(481);
      if (lookahead == ',') ADVANCE(396);
      if (lookahead == '/') ADVANCE(293);
      if (lookahead == ':') ADVANCE(514);
      if (lookahead == ';') ADVANCE(516);
      if (lookahead == '=') ADVANCE(527);
      if (lookahead == '>') ADVANCE(695);
      if (lookahead == '[') ADVANCE(523);
      if (lookahead == '\\') ADVANCE(100);
      if (lookahead == 'b') ADVANCE(658);
      if (lookahead == 'c') ADVANCE(638);
      if (lookahead == 'd') ADVANCE(654);
      if (lookahead == 'f') ADVANCE(650);
      if (lookahead == 'i') ADVANCE(651);
      if (lookahead == 'm') ADVANCE(676);
      if (lookahead == 'n') ADVANCE(671);
      if (lookahead == 'p') ADVANCE(668);
      if (lookahead == 's') ADVANCE(615);
      if (lookahead == 'u') ADVANCE(643);
      if (lookahead == 'v') ADVANCE(655);
      if (lookahead == '{') ADVANCE(520);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(380)
      END_STATE();
    case 381:
      if (sym_identifier_character_set_2(lookahead)) ADVANCE(685);
      if (lookahead == '&') ADVANCE(495);
      if (lookahead == '(') ADVANCE(460);
      if (lookahead == ')') ADVANCE(397);
      if (lookahead == '*') ADVANCE(481);
      if (lookahead == ',') ADVANCE(396);
      if (lookahead == '/') ADVANCE(293);
      if (lookahead == ':') ADVANCE(514);
      if (lookahead == ';') ADVANCE(516);
      if (lookahead == '=') ADVANCE(527);
      if (lookahead == '>') ADVANCE(695);
      if (lookahead == '[') ADVANCE(522);
      if (lookahead == '\\') ADVANCE(161);
      if (lookahead == 'b') ADVANCE(658);
      if (lookahead == 'c') ADVANCE(638);
      if (lookahead == 'd') ADVANCE(654);
      if (lookahead == 'f') ADVANCE(650);
      if (lookahead == 'i') ADVANCE(651);
      if (lookahead == 'm') ADVANCE(676);
      if (lookahead == 'n') ADVANCE(671);
      if (lookahead == 'p') ADVANCE(668);
      if (lookahead == 's') ADVANCE(615);
      if (lookahead == 'u') ADVANCE(643);
      if (lookahead == 'v') ADVANCE(655);
      if (lookahead == '{') ADVANCE(520);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(381)
      END_STATE();
    case 382:
      if (sym_identifier_character_set_8(lookahead)) ADVANCE(685);
      if (lookahead == '(') ADVANCE(460);
      if (lookahead == '/') ADVANCE(293);
      if (lookahead == ':') ADVANCE(309);
      if (lookahead == 'F') ADVANCE(627);
      if (lookahead == 'T') ADVANCE(624);
      if (lookahead == '[') ADVANCE(522);
      if (lookahead == '\\') ADVANCE(108);
      if (lookahead == 'f') ADVANCE(675);
      if (lookahead == 't') ADVANCE(663);
      if (lookahead == '{') ADVANCE(520);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(382)
      END_STATE();
    case 383:
      if (sym_identifier_character_set_3(lookahead)) ADVANCE(685);
      if (lookahead == '&') ADVANCE(495);
      if (lookahead == '(') ADVANCE(460);
      if (lookahead == ')') ADVANCE(397);
      if (lookahead == '*') ADVANCE(481);
      if (lookahead == ',') ADVANCE(396);
      if (lookahead == '-') ADVANCE(315);
      if (lookahead == '.') ADVANCE(298);
      if (lookahead == '/') ADVANCE(293);
      if (lookahead == ':') ADVANCE(515);
      if (lookahead == ';') ADVANCE(516);
      if (lookahead == '<') ADVANCE(505);
      if (lookahead == '=') ADVANCE(527);
      if (lookahead == '>') ADVANCE(695);
      if (lookahead == '[') ADVANCE(522);
      if (lookahead == '\\') ADVANCE(70);
      if (lookahead == '{') ADVANCE(520);
      if (lookahead == '|') ADVANCE(352);
      if (lookahead == '~') ADVANCE(463);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(383)
      END_STATE();
    case 384:
      if (sym_identifier_character_set_3(lookahead)) ADVANCE(685);
      if (lookahead == '&') ADVANCE(495);
      if (lookahead == '(') ADVANCE(460);
      if (lookahead == ')') ADVANCE(397);
      if (lookahead == '*') ADVANCE(481);
      if (lookahead == ',') ADVANCE(396);
      if (lookahead == '-') ADVANCE(315);
      if (lookahead == '.') ADVANCE(298);
      if (lookahead == '/') ADVANCE(293);
      if (lookahead == ':') ADVANCE(514);
      if (lookahead == ';') ADVANCE(516);
      if (lookahead == '=') ADVANCE(527);
      if (lookahead == '>') ADVANCE(695);
      if (lookahead == '[') ADVANCE(522);
      if (lookahead == '\\') ADVANCE(102);
      if (lookahead == '{') ADVANCE(520);
      if (lookahead == '|') ADVANCE(352);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(384)
      END_STATE();
    case 385:
      if (sym_identifier_character_set_3(lookahead)) ADVANCE(685);
      if (lookahead == '(') ADVANCE(460);
      if (lookahead == ')') ADVANCE(397);
      if (lookahead == ',') ADVANCE(396);
      if (lookahead == '/') ADVANCE(293);
      if (lookahead == ':') ADVANCE(514);
      if (lookahead == ';') ADVANCE(516);
      if (lookahead == '<') ADVANCE(505);
      if (lookahead == '=') ADVANCE(527);
      if (lookahead == '>') ADVANCE(695);
      if (lookahead == '[') ADVANCE(524);
      if (lookahead == '\\') ADVANCE(117);
      if (lookahead == '{') ADVANCE(520);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(385)
      END_STATE();
    case 386:
      if (lookahead != 0 &&
          lookahead != '\r' &&
          lookahead != '\\') ADVANCE(690);
      if (lookahead == '\r') ADVANCE(694);
      if (lookahead == '\\') ADVANCE(692);
      END_STATE();
    case 387:
      if (lookahead != 0 &&
          lookahead != '*') ADVANCE(420);
      END_STATE();
    case 388:
      if (eof) ADVANCE(390);
      if (lookahead == '!') ADVANCE(462);
      if (lookahead == '"') ADVANCE(582);
      if (lookahead == '#') ADVANCE(323);
      if (sym_identifier_character_set_1(lookahead)) ADVANCE(685);
      if (lookahead == '%') ADVANCE(486);
      if (lookahead == '&') ADVANCE(496);
      if (lookahead == '\'') ADVANCE(573);
      if (lookahead == '(') ADVANCE(460);
      if (lookahead == ')') ADVANCE(397);
      if (lookahead == '*') ADVANCE(482);
      if (lookahead == '+') ADVANCE(476);
      if (lookahead == ',') ADVANCE(396);
      if (lookahead == '-') ADVANCE(465);
      if (lookahead == '.') ADVANCE(546);
      if (lookahead == '/') ADVANCE(484);
      if (lookahead == '0') ADVANCE(556);
      if (lookahead == ':') ADVANCE(515);
      if (lookahead == ';') ADVANCE(516);
      if (lookahead == '<') ADVANCE(506);
      if (lookahead == '=') ADVANCE(528);
      if (lookahead == '>') ADVANCE(695);
      if (lookahead == '?') ADVANCE(531);
      if (lookahead == 'F') ADVANCE(627);
      if (lookahead == 'L') ADVANCE(596);
      if (lookahead == 'R') ADVANCE(599);
      if (lookahead == 'T') ADVANCE(624);
      if (lookahead == 'U') ADVANCE(600);
      if (lookahead == '[') ADVANCE(524);
      if (lookahead == '\\') ADVANCE(2);
      if (lookahead == ']') ADVANCE(526);
      if (lookahead == '^') ADVANCE(493);
      if (lookahead == 'b') ADVANCE(658);
      if (lookahead == 'c') ADVANCE(638);
      if (lookahead == 'd') ADVANCE(654);
      if (lookahead == 'f') ADVANCE(616);
      if (lookahead == 'i') ADVANCE(651);
      if (lookahead == 'm') ADVANCE(676);
      if (lookahead == 'n') ADVANCE(671);
      if (lookahead == 'p') ADVANCE(668);
      if (lookahead == 's') ADVANCE(615);
      if (lookahead == 't') ADVANCE(663);
      if (lookahead == 'u') ADVANCE(603);
      if (lookahead == 'v') ADVANCE(655);
      if (lookahead == '{') ADVANCE(520);
      if (lookahead == '|') ADVANCE(490);
      if (lookahead == '}') ADVANCE(521);
      if (lookahead == '~') ADVANCE(463);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(388)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(558);
      END_STATE();
    case 389:
      if (eof) ADVANCE(390);
      if (lookahead == '!') ADVANCE(461);
      if (lookahead == '"') ADVANCE(582);
      if (lookahead == '#') ADVANCE(329);
      if (sym_identifier_character_set_1(lookahead)) ADVANCE(685);
      if (lookahead == '%') ADVANCE(485);
      if (lookahead == '&') ADVANCE(495);
      if (lookahead == '\'') ADVANCE(573);
      if (lookahead == '(') ADVANCE(460);
      if (lookahead == ')') ADVANCE(397);
      if (lookahead == '*') ADVANCE(481);
      if (lookahead == '+') ADVANCE(477);
      if (lookahead == ',') ADVANCE(396);
      if (lookahead == '-') ADVANCE(468);
      if (lookahead == '.') ADVANCE(549);
      if (lookahead == '/') ADVANCE(483);
      if (lookahead == '0') ADVANCE(556);
      if (lookahead == ':') ADVANCE(515);
      if (lookahead == ';') ADVANCE(516);
      if (lookahead == '<') ADVANCE(505);
      if (lookahead == '=') ADVANCE(527);
      if (lookahead == '>') ADVANCE(695);
      if (lookahead == 'F') ADVANCE(627);
      if (lookahead == 'L') ADVANCE(596);
      if (lookahead == 'R') ADVANCE(599);
      if (lookahead == 'T') ADVANCE(624);
      if (lookahead == 'U') ADVANCE(600);
      if (lookahead == '[') ADVANCE(523);
      if (lookahead == '\\') ADVANCE(4);
      if (lookahead == ']') ADVANCE(322);
      if (lookahead == '^') ADVANCE(492);
      if (lookahead == 'b') ADVANCE(658);
      if (lookahead == 'c') ADVANCE(638);
      if (lookahead == 'd') ADVANCE(654);
      if (lookahead == 'f') ADVANCE(616);
      if (lookahead == 'i') ADVANCE(651);
      if (lookahead == 'm') ADVANCE(676);
      if (lookahead == 'n') ADVANCE(671);
      if (lookahead == 'p') ADVANCE(668);
      if (lookahead == 's') ADVANCE(615);
      if (lookahead == 't') ADVANCE(663);
      if (lookahead == 'u') ADVANCE(603);
      if (lookahead == 'v') ADVANCE(655);
      if (lookahead == '{') ADVANCE(520);
      if (lookahead == '|') ADVANCE(352);
      if (lookahead == '}') ADVANCE(521);
      if (lookahead == '~') ADVANCE(463);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(389)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(558);
      END_STATE();
    case 390:
      ACCEPT_TOKEN(ts_builtin_sym_end);
      END_STATE();
    case 391:
      ACCEPT_TOKEN(aux_sym_preproc_include_token1);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(459);
      END_STATE();
    case 392:
      ACCEPT_TOKEN(aux_sym_preproc_include_token2);
      END_STATE();
    case 393:
      ACCEPT_TOKEN(aux_sym_preproc_def_token1);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(459);
      END_STATE();
    case 394:
      ACCEPT_TOKEN(anon_sym_LPAREN);
      END_STATE();
    case 395:
      ACCEPT_TOKEN(anon_sym_DOT_DOT_DOT);
      END_STATE();
    case 396:
      ACCEPT_TOKEN(anon_sym_COMMA);
      END_STATE();
    case 397:
      ACCEPT_TOKEN(anon_sym_RPAREN);
      END_STATE();
    case 398:
      ACCEPT_TOKEN(aux_sym_preproc_if_token1);
      if (lookahead == 'd') ADVANCE(435);
      if (lookahead == 'n') ADVANCE(429);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(459);
      END_STATE();
    case 399:
      ACCEPT_TOKEN(anon_sym_LF);
      if (lookahead == '\n') ADVANCE(399);
      END_STATE();
    case 400:
      ACCEPT_TOKEN(aux_sym_preproc_if_token2);
      END_STATE();
    case 401:
      ACCEPT_TOKEN(aux_sym_preproc_if_token2);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(459);
      END_STATE();
    case 402:
      ACCEPT_TOKEN(aux_sym_preproc_ifdef_token1);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(459);
      END_STATE();
    case 403:
      ACCEPT_TOKEN(aux_sym_preproc_ifdef_token2);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(459);
      END_STATE();
    case 404:
      ACCEPT_TOKEN(aux_sym_preproc_else_token1);
      END_STATE();
    case 405:
      ACCEPT_TOKEN(aux_sym_preproc_else_token1);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(459);
      END_STATE();
    case 406:
      ACCEPT_TOKEN(aux_sym_preproc_elif_token1);
      END_STATE();
    case 407:
      ACCEPT_TOKEN(aux_sym_preproc_elif_token1);
      if (lookahead == 'd') ADVANCE(336);
      if (lookahead == 'n') ADVANCE(332);
      END_STATE();
    case 408:
      ACCEPT_TOKEN(aux_sym_preproc_elif_token1);
      if (lookahead == 'd') ADVANCE(437);
      if (lookahead == 'n') ADVANCE(430);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(459);
      END_STATE();
    case 409:
      ACCEPT_TOKEN(aux_sym_preproc_elif_token1);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(459);
      END_STATE();
    case 410:
      ACCEPT_TOKEN(aux_sym_preproc_elifdef_token1);
      END_STATE();
    case 411:
      ACCEPT_TOKEN(aux_sym_preproc_elifdef_token1);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(459);
      END_STATE();
    case 412:
      ACCEPT_TOKEN(aux_sym_preproc_elifdef_token2);
      END_STATE();
    case 413:
      ACCEPT_TOKEN(aux_sym_preproc_elifdef_token2);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(459);
      END_STATE();
    case 414:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '\n') ADVANCE(296);
      if (lookahead == '*') ADVANCE(414);
      if (lookahead == '/') ADVANCE(686);
      if (lookahead == '\\') ADVANCE(421);
      if (lookahead != 0) ADVANCE(415);
      END_STATE();
    case 415:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '\n') ADVANCE(296);
      if (lookahead == '*') ADVANCE(414);
      if (lookahead == '/') ADVANCE(297);
      if (lookahead == '\\') ADVANCE(421);
      if (lookahead != 0) ADVANCE(415);
      END_STATE();
    case 416:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '\n') ADVANCE(690);
      if (lookahead == '\r') ADVANCE(687);
      if (lookahead == '/') ADVANCE(688);
      if (lookahead == '\\') ADVANCE(691);
      if (lookahead != 0) ADVANCE(689);
      END_STATE();
    case 417:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '\n') SKIP(302)
      if (lookahead == '\r') ADVANCE(418);
      if (lookahead == '/') ADVANCE(387);
      if (lookahead == '\\') ADVANCE(422);
      if (lookahead != 0) ADVANCE(420);
      END_STATE();
    case 418:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '\n') SKIP(302)
      if (lookahead == '/') ADVANCE(387);
      if (lookahead == '\\') ADVANCE(422);
      if (lookahead != 0) ADVANCE(420);
      END_STATE();
    case 419:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '*') ADVANCE(415);
      if (lookahead == '/') ADVANCE(688);
      if (lookahead == '\\') ADVANCE(422);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(420);
      END_STATE();
    case 420:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '/') ADVANCE(387);
      if (lookahead == '\\') ADVANCE(422);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(420);
      END_STATE();
    case 421:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead != 0 &&
          lookahead != '\r' &&
          lookahead != '*' &&
          lookahead != '/' &&
          lookahead != '\\') ADVANCE(415);
      if (lookahead == '\r') ADVANCE(424);
      if (lookahead == '*') ADVANCE(414);
      if (lookahead == '/') ADVANCE(297);
      if (lookahead == '\\') ADVANCE(421);
      END_STATE();
    case 422:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead != 0 &&
          lookahead != '\r' &&
          lookahead != '/' &&
          lookahead != '\\') ADVANCE(420);
      if (lookahead == '\r') ADVANCE(425);
      if (lookahead == '/') ADVANCE(387);
      if (lookahead == '\\') ADVANCE(422);
      END_STATE();
    case 423:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead != 0 &&
          lookahead != '\r' &&
          lookahead != '/' &&
          lookahead != '\\') ADVANCE(689);
      if (lookahead == '\r') ADVANCE(693);
      if (lookahead == '/') ADVANCE(688);
      if (lookahead == '\\') ADVANCE(691);
      END_STATE();
    case 424:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead != 0 &&
          lookahead != '*' &&
          lookahead != '/' &&
          lookahead != '\\') ADVANCE(415);
      if (lookahead == '*') ADVANCE(414);
      if (lookahead == '/') ADVANCE(297);
      if (lookahead == '\\') ADVANCE(421);
      END_STATE();
    case 425:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead != 0 &&
          lookahead != '/' &&
          lookahead != '\\') ADVANCE(420);
      if (lookahead == '/') ADVANCE(387);
      if (lookahead == '\\') ADVANCE(422);
      END_STATE();
    case 426:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'c') ADVANCE(454);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(459);
      END_STATE();
    case 427:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'd') ADVANCE(451);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(459);
      END_STATE();
    case 428:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'd') ADVANCE(434);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(459);
      END_STATE();
    case 429:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'd') ADVANCE(436);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(459);
      END_STATE();
    case 430:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'd') ADVANCE(438);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(459);
      END_STATE();
    case 431:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'e') ADVANCE(441);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(459);
      END_STATE();
    case 432:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'e') ADVANCE(405);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(459);
      END_STATE();
    case 433:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'e') ADVANCE(393);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(459);
      END_STATE();
    case 434:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'e') ADVANCE(391);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(459);
      END_STATE();
    case 435:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'e') ADVANCE(444);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(459);
      END_STATE();
    case 436:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'e') ADVANCE(445);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(459);
      END_STATE();
    case 437:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'e') ADVANCE(446);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(459);
      END_STATE();
    case 438:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'e') ADVANCE(447);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(459);
      END_STATE();
    case 439:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'f') ADVANCE(398);
      if (lookahead == 'n') ADVANCE(426);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(459);
      END_STATE();
    case 440:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'f') ADVANCE(398);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(459);
      END_STATE();
    case 441:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'f') ADVANCE(449);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(459);
      END_STATE();
    case 442:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'f') ADVANCE(408);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(459);
      END_STATE();
    case 443:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'f') ADVANCE(401);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(459);
      END_STATE();
    case 444:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'f') ADVANCE(402);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(459);
      END_STATE();
    case 445:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'f') ADVANCE(403);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(459);
      END_STATE();
    case 446:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'f') ADVANCE(411);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(459);
      END_STATE();
    case 447:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'f') ADVANCE(413);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(459);
      END_STATE();
    case 448:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'f') ADVANCE(409);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(459);
      END_STATE();
    case 449:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'i') ADVANCE(457);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(459);
      END_STATE();
    case 450:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'i') ADVANCE(442);
      if (lookahead == 's') ADVANCE(432);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(459);
      END_STATE();
    case 451:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'i') ADVANCE(443);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(459);
      END_STATE();
    case 452:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'i') ADVANCE(448);
      if (lookahead == 's') ADVANCE(432);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(459);
      END_STATE();
    case 453:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'l') ADVANCE(450);
      if (lookahead == 'n') ADVANCE(427);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(459);
      END_STATE();
    case 454:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'l') ADVANCE(458);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(459);
      END_STATE();
    case 455:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'l') ADVANCE(452);
      if (lookahead == 'n') ADVANCE(427);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(459);
      END_STATE();
    case 456:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'n') ADVANCE(427);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(459);
      END_STATE();
    case 457:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'n') ADVANCE(433);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(459);
      END_STATE();
    case 458:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'u') ADVANCE(428);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(459);
      END_STATE();
    case 459:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(459);
      END_STATE();
    case 460:
      ACCEPT_TOKEN(anon_sym_LPAREN2);
      END_STATE();
    case 461:
      ACCEPT_TOKEN(anon_sym_BANG);
      END_STATE();
    case 462:
      ACCEPT_TOKEN(anon_sym_BANG);
      if (lookahead == '=') ADVANCE(498);
      END_STATE();
    case 463:
      ACCEPT_TOKEN(anon_sym_TILDE);
      END_STATE();
    case 464:
      ACCEPT_TOKEN(anon_sym_DASH);
      END_STATE();
    case 465:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '-') ADVANCE(543);
      if (lookahead == '.') ADVANCE(358);
      if (lookahead == '0') ADVANCE(556);
      if (lookahead == '=') ADVANCE(536);
      if (lookahead == '>') ADVANCE(552);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(558);
      END_STATE();
    case 466:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '-') ADVANCE(543);
      if (lookahead == '.') ADVANCE(358);
      if (lookahead == '0') ADVANCE(556);
      if (lookahead == '=') ADVANCE(536);
      if (lookahead == '>') ADVANCE(551);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(558);
      END_STATE();
    case 467:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '-') ADVANCE(543);
      if (lookahead == '.') ADVANCE(358);
      if (lookahead == '0') ADVANCE(556);
      if (lookahead == '>') ADVANCE(551);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(558);
      END_STATE();
    case 468:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '-') ADVANCE(543);
      if (lookahead == '.') ADVANCE(358);
      if (lookahead == '0') ADVANCE(556);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(558);
      END_STATE();
    case 469:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '-') ADVANCE(543);
      if (lookahead == '=') ADVANCE(536);
      if (lookahead == '>') ADVANCE(552);
      END_STATE();
    case 470:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '-') ADVANCE(543);
      if (lookahead == '=') ADVANCE(536);
      if (lookahead == '>') ADVANCE(551);
      END_STATE();
    case 471:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '-') ADVANCE(543);
      if (lookahead == '>') ADVANCE(551);
      END_STATE();
    case 472:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '.') ADVANCE(358);
      if (lookahead == '0') ADVANCE(556);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(558);
      END_STATE();
    case 473:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '=') ADVANCE(536);
      if (lookahead == '>') ADVANCE(294);
      END_STATE();
    case 474:
      ACCEPT_TOKEN(anon_sym_PLUS);
      END_STATE();
    case 475:
      ACCEPT_TOKEN(anon_sym_PLUS);
      if (lookahead == '+') ADVANCE(544);
      END_STATE();
    case 476:
      ACCEPT_TOKEN(anon_sym_PLUS);
      if (lookahead == '+') ADVANCE(544);
      if (lookahead == '.') ADVANCE(358);
      if (lookahead == '0') ADVANCE(556);
      if (lookahead == '=') ADVANCE(535);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(558);
      END_STATE();
    case 477:
      ACCEPT_TOKEN(anon_sym_PLUS);
      if (lookahead == '+') ADVANCE(544);
      if (lookahead == '.') ADVANCE(358);
      if (lookahead == '0') ADVANCE(556);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(558);
      END_STATE();
    case 478:
      ACCEPT_TOKEN(anon_sym_PLUS);
      if (lookahead == '+') ADVANCE(544);
      if (lookahead == '=') ADVANCE(535);
      END_STATE();
    case 479:
      ACCEPT_TOKEN(anon_sym_PLUS);
      if (lookahead == '.') ADVANCE(358);
      if (lookahead == '0') ADVANCE(556);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(558);
      END_STATE();
    case 480:
      ACCEPT_TOKEN(anon_sym_PLUS);
      if (lookahead == '=') ADVANCE(535);
      END_STATE();
    case 481:
      ACCEPT_TOKEN(anon_sym_STAR);
      END_STATE();
    case 482:
      ACCEPT_TOKEN(anon_sym_STAR);
      if (lookahead == '=') ADVANCE(532);
      END_STATE();
    case 483:
      ACCEPT_TOKEN(anon_sym_SLASH);
      if (lookahead == '*') ADVANCE(296);
      if (lookahead == '/') ADVANCE(690);
      END_STATE();
    case 484:
      ACCEPT_TOKEN(anon_sym_SLASH);
      if (lookahead == '*') ADVANCE(296);
      if (lookahead == '/') ADVANCE(690);
      if (lookahead == '=') ADVANCE(533);
      END_STATE();
    case 485:
      ACCEPT_TOKEN(anon_sym_PERCENT);
      END_STATE();
    case 486:
      ACCEPT_TOKEN(anon_sym_PERCENT);
      if (lookahead == '=') ADVANCE(534);
      END_STATE();
    case 487:
      ACCEPT_TOKEN(anon_sym_PIPE_PIPE);
      END_STATE();
    case 488:
      ACCEPT_TOKEN(anon_sym_AMP_AMP);
      END_STATE();
    case 489:
      ACCEPT_TOKEN(anon_sym_PIPE);
      END_STATE();
    case 490:
      ACCEPT_TOKEN(anon_sym_PIPE);
      if (lookahead == '=') ADVANCE(541);
      if (lookahead == '|') ADVANCE(487);
      END_STATE();
    case 491:
      ACCEPT_TOKEN(anon_sym_PIPE);
      if (lookahead == '|') ADVANCE(487);
      END_STATE();
    case 492:
      ACCEPT_TOKEN(anon_sym_CARET);
      END_STATE();
    case 493:
      ACCEPT_TOKEN(anon_sym_CARET);
      if (lookahead == '=') ADVANCE(540);
      END_STATE();
    case 494:
      ACCEPT_TOKEN(anon_sym_AMP);
      END_STATE();
    case 495:
      ACCEPT_TOKEN(anon_sym_AMP);
      if (lookahead == '&') ADVANCE(488);
      END_STATE();
    case 496:
      ACCEPT_TOKEN(anon_sym_AMP);
      if (lookahead == '&') ADVANCE(488);
      if (lookahead == '=') ADVANCE(539);
      END_STATE();
    case 497:
      ACCEPT_TOKEN(anon_sym_EQ_EQ);
      END_STATE();
    case 498:
      ACCEPT_TOKEN(anon_sym_BANG_EQ);
      END_STATE();
    case 499:
      ACCEPT_TOKEN(anon_sym_GT);
      END_STATE();
    case 500:
      ACCEPT_TOKEN(anon_sym_GT);
      if (lookahead == '=') ADVANCE(502);
      if (lookahead == '>') ADVANCE(512);
      END_STATE();
    case 501:
      ACCEPT_TOKEN(anon_sym_GT);
      if (lookahead == '=') ADVANCE(502);
      if (lookahead == '>') ADVANCE(513);
      END_STATE();
    case 502:
      ACCEPT_TOKEN(anon_sym_GT_EQ);
      END_STATE();
    case 503:
      ACCEPT_TOKEN(anon_sym_LT_EQ);
      END_STATE();
    case 504:
      ACCEPT_TOKEN(anon_sym_LT_EQ);
      if (lookahead == '>') ADVANCE(542);
      END_STATE();
    case 505:
      ACCEPT_TOKEN(anon_sym_LT);
      END_STATE();
    case 506:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == '<') ADVANCE(511);
      if (lookahead == '=') ADVANCE(504);
      END_STATE();
    case 507:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == '<') ADVANCE(511);
      if (lookahead == '=') ADVANCE(503);
      END_STATE();
    case 508:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == '<') ADVANCE(510);
      if (lookahead == '=') ADVANCE(504);
      END_STATE();
    case 509:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == '<') ADVANCE(510);
      if (lookahead == '=') ADVANCE(503);
      END_STATE();
    case 510:
      ACCEPT_TOKEN(anon_sym_LT_LT);
      END_STATE();
    case 511:
      ACCEPT_TOKEN(anon_sym_LT_LT);
      if (lookahead == '=') ADVANCE(537);
      END_STATE();
    case 512:
      ACCEPT_TOKEN(anon_sym_GT_GT);
      END_STATE();
    case 513:
      ACCEPT_TOKEN(anon_sym_GT_GT);
      if (lookahead == '=') ADVANCE(538);
      END_STATE();
    case 514:
      ACCEPT_TOKEN(anon_sym_COLON);
      END_STATE();
    case 515:
      ACCEPT_TOKEN(anon_sym_COLON);
      if (lookahead == ':') ADVANCE(517);
      END_STATE();
    case 516:
      ACCEPT_TOKEN(anon_sym_SEMI);
      END_STATE();
    case 517:
      ACCEPT_TOKEN(anon_sym_COLON_COLON);
      END_STATE();
    case 518:
      ACCEPT_TOKEN(anon_sym_LBRACK_LBRACK);
      END_STATE();
    case 519:
      ACCEPT_TOKEN(anon_sym_RBRACK_RBRACK);
      END_STATE();
    case 520:
      ACCEPT_TOKEN(anon_sym_LBRACE);
      END_STATE();
    case 521:
      ACCEPT_TOKEN(anon_sym_RBRACE);
      END_STATE();
    case 522:
      ACCEPT_TOKEN(anon_sym_LBRACK);
      END_STATE();
    case 523:
      ACCEPT_TOKEN(anon_sym_LBRACK);
      if (lookahead == '[') ADVANCE(518);
      END_STATE();
    case 524:
      ACCEPT_TOKEN(anon_sym_LBRACK);
      if (lookahead == '[') ADVANCE(518);
      if (lookahead == ']') ADVANCE(703);
      END_STATE();
    case 525:
      ACCEPT_TOKEN(anon_sym_LBRACK);
      if (lookahead == ']') ADVANCE(703);
      END_STATE();
    case 526:
      ACCEPT_TOKEN(anon_sym_RBRACK);
      END_STATE();
    case 527:
      ACCEPT_TOKEN(anon_sym_EQ);
      END_STATE();
    case 528:
      ACCEPT_TOKEN(anon_sym_EQ);
      if (lookahead == '=') ADVANCE(497);
      END_STATE();
    case 529:
      ACCEPT_TOKEN(sym_primitive_type);
      if (sym_identifier_character_set_9(lookahead)) ADVANCE(685);
      if (lookahead == '1') ADVANCE(619);
      if (lookahead == '3') ADVANCE(617);
      if (lookahead == '6') ADVANCE(618);
      if (lookahead == '8') ADVANCE(681);
      if (lookahead == '\\') ADVANCE(319);
      if (lookahead == 'p') ADVANCE(669);
      END_STATE();
    case 530:
      ACCEPT_TOKEN(sym_primitive_type);
      if (sym_identifier_character_set_10(lookahead)) ADVANCE(685);
      if (lookahead == '\\') ADVANCE(319);
      END_STATE();
    case 531:
      ACCEPT_TOKEN(anon_sym_QMARK);
      END_STATE();
    case 532:
      ACCEPT_TOKEN(anon_sym_STAR_EQ);
      END_STATE();
    case 533:
      ACCEPT_TOKEN(anon_sym_SLASH_EQ);
      END_STATE();
    case 534:
      ACCEPT_TOKEN(anon_sym_PERCENT_EQ);
      END_STATE();
    case 535:
      ACCEPT_TOKEN(anon_sym_PLUS_EQ);
      END_STATE();
    case 536:
      ACCEPT_TOKEN(anon_sym_DASH_EQ);
      END_STATE();
    case 537:
      ACCEPT_TOKEN(anon_sym_LT_LT_EQ);
      END_STATE();
    case 538:
      ACCEPT_TOKEN(anon_sym_GT_GT_EQ);
      END_STATE();
    case 539:
      ACCEPT_TOKEN(anon_sym_AMP_EQ);
      END_STATE();
    case 540:
      ACCEPT_TOKEN(anon_sym_CARET_EQ);
      END_STATE();
    case 541:
      ACCEPT_TOKEN(anon_sym_PIPE_EQ);
      END_STATE();
    case 542:
      ACCEPT_TOKEN(anon_sym_LT_EQ_GT);
      END_STATE();
    case 543:
      ACCEPT_TOKEN(anon_sym_DASH_DASH);
      END_STATE();
    case 544:
      ACCEPT_TOKEN(anon_sym_PLUS_PLUS);
      END_STATE();
    case 545:
      ACCEPT_TOKEN(anon_sym_DOT);
      if (lookahead == '*') ADVANCE(550);
      if (lookahead == '.') ADVANCE(300);
      END_STATE();
    case 546:
      ACCEPT_TOKEN(anon_sym_DOT);
      if (lookahead == '*') ADVANCE(550);
      if (lookahead == '.') ADVANCE(300);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(554);
      END_STATE();
    case 547:
      ACCEPT_TOKEN(anon_sym_DOT);
      if (lookahead == '.') ADVANCE(300);
      END_STATE();
    case 548:
      ACCEPT_TOKEN(anon_sym_DOT);
      if (lookahead == '.') ADVANCE(300);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(554);
      END_STATE();
    case 549:
      ACCEPT_TOKEN(anon_sym_DOT);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(554);
      END_STATE();
    case 550:
      ACCEPT_TOKEN(anon_sym_DOT_STAR);
      END_STATE();
    case 551:
      ACCEPT_TOKEN(anon_sym_DASH_GT);
      END_STATE();
    case 552:
      ACCEPT_TOKEN(anon_sym_DASH_GT);
      if (lookahead == '*') ADVANCE(701);
      END_STATE();
    case 553:
      ACCEPT_TOKEN(sym_number_literal);
      END_STATE();
    case 554:
      ACCEPT_TOKEN(sym_number_literal);
      if (lookahead == '\'') ADVANCE(358);
      if (lookahead == 'B') ADVANCE(318);
      if (lookahead == 'b') ADVANCE(339);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(353);
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(561);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(553);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(554);
      END_STATE();
    case 555:
      ACCEPT_TOKEN(sym_number_literal);
      if (lookahead == '\'') ADVANCE(356);
      if (lookahead == '.') ADVANCE(562);
      if (lookahead == 'L') ADVANCE(563);
      if (lookahead == 'l') ADVANCE(566);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(353);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(565);
      if (lookahead == 'Z' ||
          lookahead == 'z') ADVANCE(568);
      if (lookahead == '8' ||
          lookahead == '9') ADVANCE(289);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(555);
      END_STATE();
    case 556:
      ACCEPT_TOKEN(sym_number_literal);
      if (lookahead == '\'') ADVANCE(356);
      if (lookahead == '.') ADVANCE(562);
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(355);
      if (lookahead == 'L') ADVANCE(563);
      if (lookahead == 'X' ||
          lookahead == 'x') ADVANCE(301);
      if (lookahead == 'l') ADVANCE(566);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(353);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(565);
      if (lookahead == 'Z' ||
          lookahead == 'z') ADVANCE(568);
      if (lookahead == '8' ||
          lookahead == '9') ADVANCE(289);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(555);
      END_STATE();
    case 557:
      ACCEPT_TOKEN(sym_number_literal);
      if (lookahead == '\'') ADVANCE(355);
      if (lookahead == 'L') ADVANCE(563);
      if (lookahead == 'l') ADVANCE(566);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(565);
      if (lookahead == 'Z' ||
          lookahead == 'z') ADVANCE(568);
      if (lookahead == '0' ||
          lookahead == '1') ADVANCE(557);
      END_STATE();
    case 558:
      ACCEPT_TOKEN(sym_number_literal);
      if (lookahead == '\'') ADVANCE(357);
      if (lookahead == '.') ADVANCE(562);
      if (lookahead == 'L') ADVANCE(563);
      if (lookahead == 'l') ADVANCE(566);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(353);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(565);
      if (lookahead == 'Z' ||
          lookahead == 'z') ADVANCE(568);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(558);
      END_STATE();
    case 559:
      ACCEPT_TOKEN(sym_number_literal);
      if (lookahead == '\'') ADVANCE(360);
      if (lookahead == 'B') ADVANCE(318);
      if (lookahead == 'b') ADVANCE(339);
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(561);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(553);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(559);
      END_STATE();
    case 560:
      ACCEPT_TOKEN(sym_number_literal);
      if (lookahead == '\'') ADVANCE(362);
      if (lookahead == '.') ADVANCE(354);
      if (lookahead == 'L') ADVANCE(563);
      if (lookahead == 'l') ADVANCE(566);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(353);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(565);
      if (lookahead == 'Z' ||
          lookahead == 'z') ADVANCE(568);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(560);
      END_STATE();
    case 561:
      ACCEPT_TOKEN(sym_number_literal);
      if (lookahead == '1') ADVANCE(305);
      if (lookahead == '3') ADVANCE(304);
      if (lookahead == '6') ADVANCE(306);
      END_STATE();
    case 562:
      ACCEPT_TOKEN(sym_number_literal);
      if (lookahead == 'B') ADVANCE(318);
      if (lookahead == 'b') ADVANCE(339);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(353);
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(561);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(553);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(554);
      END_STATE();
    case 563:
      ACCEPT_TOKEN(sym_number_literal);
      if (lookahead == 'L') ADVANCE(568);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(553);
      END_STATE();
    case 564:
      ACCEPT_TOKEN(sym_number_literal);
      if (lookahead == 'L') ADVANCE(553);
      END_STATE();
    case 565:
      ACCEPT_TOKEN(sym_number_literal);
      if (lookahead == 'L') ADVANCE(564);
      if (lookahead == 'l') ADVANCE(567);
      if (lookahead == 'Z' ||
          lookahead == 'z') ADVANCE(553);
      END_STATE();
    case 566:
      ACCEPT_TOKEN(sym_number_literal);
      if (lookahead == 'l') ADVANCE(568);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(553);
      END_STATE();
    case 567:
      ACCEPT_TOKEN(sym_number_literal);
      if (lookahead == 'l') ADVANCE(553);
      END_STATE();
    case 568:
      ACCEPT_TOKEN(sym_number_literal);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(553);
      END_STATE();
    case 569:
      ACCEPT_TOKEN(anon_sym_L_SQUOTE);
      END_STATE();
    case 570:
      ACCEPT_TOKEN(anon_sym_u_SQUOTE);
      END_STATE();
    case 571:
      ACCEPT_TOKEN(anon_sym_U_SQUOTE);
      END_STATE();
    case 572:
      ACCEPT_TOKEN(anon_sym_u8_SQUOTE);
      END_STATE();
    case 573:
      ACCEPT_TOKEN(anon_sym_SQUOTE);
      END_STATE();
    case 574:
      ACCEPT_TOKEN(aux_sym_char_literal_token1);
      END_STATE();
    case 575:
      ACCEPT_TOKEN(aux_sym_char_literal_token1);
      if (lookahead == '\n') ADVANCE(589);
      if (lookahead == '\r') ADVANCE(588);
      if (lookahead == 'U') ADVANCE(378);
      if (lookahead == 'u') ADVANCE(370);
      if (lookahead == 'x') ADVANCE(366);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(591);
      if (lookahead != 0) ADVANCE(588);
      END_STATE();
    case 576:
      ACCEPT_TOKEN(aux_sym_char_literal_token1);
      if (lookahead == '*') ADVANCE(296);
      if (lookahead == '/') ADVANCE(690);
      END_STATE();
    case 577:
      ACCEPT_TOKEN(aux_sym_char_literal_token1);
      if (lookahead == '\\') ADVANCE(121);
      END_STATE();
    case 578:
      ACCEPT_TOKEN(anon_sym_L_DQUOTE);
      END_STATE();
    case 579:
      ACCEPT_TOKEN(anon_sym_u_DQUOTE);
      END_STATE();
    case 580:
      ACCEPT_TOKEN(anon_sym_U_DQUOTE);
      END_STATE();
    case 581:
      ACCEPT_TOKEN(anon_sym_u8_DQUOTE);
      END_STATE();
    case 582:
      ACCEPT_TOKEN(anon_sym_DQUOTE);
      END_STATE();
    case 583:
      ACCEPT_TOKEN(aux_sym_string_literal_token1);
      if (lookahead == '*') ADVANCE(585);
      if (lookahead == '/') ADVANCE(587);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(587);
      END_STATE();
    case 584:
      ACCEPT_TOKEN(aux_sym_string_literal_token1);
      if (lookahead == '*') ADVANCE(584);
      if (lookahead == '/') ADVANCE(587);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(585);
      END_STATE();
    case 585:
      ACCEPT_TOKEN(aux_sym_string_literal_token1);
      if (lookahead == '*') ADVANCE(584);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(585);
      END_STATE();
    case 586:
      ACCEPT_TOKEN(aux_sym_string_literal_token1);
      if (lookahead == '/') ADVANCE(583);
      if (lookahead == '\t' ||
          (11 <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(586);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(587);
      END_STATE();
    case 587:
      ACCEPT_TOKEN(aux_sym_string_literal_token1);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(587);
      END_STATE();
    case 588:
      ACCEPT_TOKEN(sym_escape_sequence);
      END_STATE();
    case 589:
      ACCEPT_TOKEN(sym_escape_sequence);
      if (lookahead == '\\') ADVANCE(121);
      END_STATE();
    case 590:
      ACCEPT_TOKEN(sym_escape_sequence);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(588);
      END_STATE();
    case 591:
      ACCEPT_TOKEN(sym_escape_sequence);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(590);
      END_STATE();
    case 592:
      ACCEPT_TOKEN(sym_system_lib_string);
      END_STATE();
    case 593:
      ACCEPT_TOKEN(sym_system_lib_string);
      if (lookahead == '>') ADVANCE(592);
      if (lookahead == '\\') ADVANCE(317);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(316);
      END_STATE();
    case 594:
      ACCEPT_TOKEN(sym_true);
      if (sym_identifier_character_set_10(lookahead)) ADVANCE(685);
      if (lookahead == '\\') ADVANCE(319);
      END_STATE();
    case 595:
      ACCEPT_TOKEN(sym_false);
      if (sym_identifier_character_set_10(lookahead)) ADVANCE(685);
      if (lookahead == '\\') ADVANCE(319);
      END_STATE();
    case 596:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '"') ADVANCE(578);
      if (sym_identifier_character_set_11(lookahead)) ADVANCE(685);
      if (lookahead == '\'') ADVANCE(569);
      if (lookahead == 'R') ADVANCE(607);
      if (lookahead == '\\') ADVANCE(319);
      END_STATE();
    case 597:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '"') ADVANCE(578);
      if (sym_identifier_character_set_11(lookahead)) ADVANCE(685);
      if (lookahead == 'R') ADVANCE(607);
      if (lookahead == '\\') ADVANCE(319);
      END_STATE();
    case 598:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '"') ADVANCE(578);
      if (sym_identifier_character_set_10(lookahead)) ADVANCE(685);
      if (lookahead == '\\') ADVANCE(319);
      END_STATE();
    case 599:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '"') ADVANCE(696);
      if (sym_identifier_character_set_10(lookahead)) ADVANCE(685);
      if (lookahead == '\\') ADVANCE(319);
      END_STATE();
    case 600:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '"') ADVANCE(580);
      if (sym_identifier_character_set_11(lookahead)) ADVANCE(685);
      if (lookahead == '\'') ADVANCE(571);
      if (lookahead == 'R') ADVANCE(608);
      if (lookahead == '\\') ADVANCE(319);
      END_STATE();
    case 601:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '"') ADVANCE(580);
      if (sym_identifier_character_set_11(lookahead)) ADVANCE(685);
      if (lookahead == 'R') ADVANCE(608);
      if (lookahead == '\\') ADVANCE(319);
      END_STATE();
    case 602:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '"') ADVANCE(580);
      if (sym_identifier_character_set_10(lookahead)) ADVANCE(685);
      if (lookahead == '\\') ADVANCE(319);
      END_STATE();
    case 603:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '"') ADVANCE(579);
      if (sym_identifier_character_set_12(lookahead)) ADVANCE(685);
      if (lookahead == '\'') ADVANCE(570);
      if (lookahead == '8') ADVANCE(609);
      if (lookahead == 'R') ADVANCE(612);
      if (lookahead == '\\') ADVANCE(319);
      if (lookahead == 'i') ADVANCE(653);
      END_STATE();
    case 604:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '"') ADVANCE(579);
      if (sym_identifier_character_set_13(lookahead)) ADVANCE(685);
      if (lookahead == '8') ADVANCE(610);
      if (lookahead == 'R') ADVANCE(612);
      if (lookahead == '\\') ADVANCE(319);
      END_STATE();
    case 605:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '"') ADVANCE(579);
      if (sym_identifier_character_set_14(lookahead)) ADVANCE(685);
      if (lookahead == '8') ADVANCE(611);
      if (lookahead == '\\') ADVANCE(319);
      if (lookahead == 'i') ADVANCE(653);
      END_STATE();
    case 606:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '"') ADVANCE(579);
      if (sym_identifier_character_set_15(lookahead)) ADVANCE(685);
      if (lookahead == '8') ADVANCE(611);
      if (lookahead == '\\') ADVANCE(319);
      END_STATE();
    case 607:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '"') ADVANCE(697);
      if (sym_identifier_character_set_10(lookahead)) ADVANCE(685);
      if (lookahead == '\\') ADVANCE(319);
      END_STATE();
    case 608:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '"') ADVANCE(699);
      if (sym_identifier_character_set_10(lookahead)) ADVANCE(685);
      if (lookahead == '\\') ADVANCE(319);
      END_STATE();
    case 609:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '"') ADVANCE(581);
      if (sym_identifier_character_set_11(lookahead)) ADVANCE(685);
      if (lookahead == '\'') ADVANCE(572);
      if (lookahead == 'R') ADVANCE(613);
      if (lookahead == '\\') ADVANCE(319);
      END_STATE();
    case 610:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '"') ADVANCE(581);
      if (sym_identifier_character_set_11(lookahead)) ADVANCE(685);
      if (lookahead == 'R') ADVANCE(613);
      if (lookahead == '\\') ADVANCE(319);
      END_STATE();
    case 611:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '"') ADVANCE(581);
      if (sym_identifier_character_set_10(lookahead)) ADVANCE(685);
      if (lookahead == '\\') ADVANCE(319);
      END_STATE();
    case 612:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '"') ADVANCE(698);
      if (sym_identifier_character_set_10(lookahead)) ADVANCE(685);
      if (lookahead == '\\') ADVANCE(319);
      END_STATE();
    case 613:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '"') ADVANCE(700);
      if (sym_identifier_character_set_10(lookahead)) ADVANCE(685);
      if (lookahead == '\\') ADVANCE(319);
      END_STATE();
    case 614:
      ACCEPT_TOKEN(sym_identifier);
      if (sym_identifier_character_set_9(lookahead)) ADVANCE(685);
      if (lookahead == '1') ADVANCE(619);
      if (lookahead == '3') ADVANCE(617);
      if (lookahead == '6') ADVANCE(618);
      if (lookahead == '8') ADVANCE(681);
      if (lookahead == '\\') ADVANCE(319);
      if (lookahead == 'p') ADVANCE(669);
      END_STATE();
    case 615:
      ACCEPT_TOKEN(sym_identifier);
      if (sym_identifier_character_set_16(lookahead)) ADVANCE(685);
      if (lookahead == '\\') ADVANCE(319);
      if (lookahead == 'i') ADVANCE(674);
      if (lookahead == 's') ADVANCE(639);
      END_STATE();
    case 616:
      ACCEPT_TOKEN(sym_identifier);
      if (sym_identifier_character_set_17(lookahead)) ADVANCE(685);
      if (lookahead == '\\') ADVANCE(319);
      if (lookahead == 'a') ADVANCE(644);
      if (lookahead == 'l') ADVANCE(656);
      END_STATE();
    case 617:
      ACCEPT_TOKEN(sym_identifier);
      if (sym_identifier_character_set_18(lookahead)) ADVANCE(685);
      if (lookahead == '2') ADVANCE(681);
      if (lookahead == '\\') ADVANCE(319);
      END_STATE();
    case 618:
      ACCEPT_TOKEN(sym_identifier);
      if (sym_identifier_character_set_19(lookahead)) ADVANCE(685);
      if (lookahead == '4') ADVANCE(681);
      if (lookahead == '\\') ADVANCE(319);
      END_STATE();
    case 619:
      ACCEPT_TOKEN(sym_identifier);
      if (sym_identifier_character_set_20(lookahead)) ADVANCE(685);
      if (lookahead == '6') ADVANCE(681);
      if (lookahead == '\\') ADVANCE(319);
      END_STATE();
    case 620:
      ACCEPT_TOKEN(sym_identifier);
      if (sym_identifier_character_set_15(lookahead)) ADVANCE(685);
      if (lookahead == '\'') ADVANCE(570);
      if (lookahead == '8') ADVANCE(684);
      if (lookahead == '\\') ADVANCE(319);
      END_STATE();
    case 621:
      ACCEPT_TOKEN(sym_identifier);
      if (sym_identifier_character_set_21(lookahead)) ADVANCE(685);
      if (lookahead == 'E') ADVANCE(594);
      if (lookahead == '\\') ADVANCE(319);
      END_STATE();
    case 622:
      ACCEPT_TOKEN(sym_identifier);
      if (sym_identifier_character_set_21(lookahead)) ADVANCE(685);
      if (lookahead == 'E') ADVANCE(595);
      if (lookahead == '\\') ADVANCE(319);
      END_STATE();
    case 623:
      ACCEPT_TOKEN(sym_identifier);
      if (sym_identifier_character_set_22(lookahead)) ADVANCE(685);
      if (lookahead == 'L') ADVANCE(625);
      if (lookahead == '\\') ADVANCE(319);
      END_STATE();
    case 624:
      ACCEPT_TOKEN(sym_identifier);
      if (sym_identifier_character_set_11(lookahead)) ADVANCE(685);
      if (lookahead == 'R') ADVANCE(626);
      if (lookahead == '\\') ADVANCE(319);
      END_STATE();
    case 625:
      ACCEPT_TOKEN(sym_identifier);
      if (sym_identifier_character_set_23(lookahead)) ADVANCE(685);
      if (lookahead == 'S') ADVANCE(622);
      if (lookahead == '\\') ADVANCE(319);
      END_STATE();
    case 626:
      ACCEPT_TOKEN(sym_identifier);
      if (sym_identifier_character_set_24(lookahead)) ADVANCE(685);
      if (lookahead == 'U') ADVANCE(621);
      if (lookahead == '\\') ADVANCE(319);
      END_STATE();
    case 627:
      ACCEPT_TOKEN(sym_identifier);
      if (sym_identifier_character_set_25(lookahead)) ADVANCE(685);
      if (lookahead == 'A') ADVANCE(623);
      if (lookahead == '\\') ADVANCE(319);
      END_STATE();
    case 628:
      ACCEPT_TOKEN(sym_identifier);
      if (sym_identifier_character_set_26(lookahead)) ADVANCE(685);
      if (lookahead == '\\') ADVANCE(319);
      if (lookahead == 'b') ADVANCE(649);
      END_STATE();
    case 629:
      ACCEPT_TOKEN(sym_identifier);
      if (sym_identifier_character_set_27(lookahead)) ADVANCE(685);
      if (lookahead == '\\') ADVANCE(319);
      if (lookahead == 'd') ADVANCE(530);
      END_STATE();
    case 630:
      ACCEPT_TOKEN(sym_identifier);
      if (sym_identifier_character_set_27(lookahead)) ADVANCE(685);
      if (lookahead == '\\') ADVANCE(319);
      if (lookahead == 'd') ADVANCE(640);
      END_STATE();
    case 631:
      ACCEPT_TOKEN(sym_identifier);
      if (sym_identifier_character_set_28(lookahead)) ADVANCE(685);
      if (lookahead == '\\') ADVANCE(319);
      if (lookahead == 'e') ADVANCE(594);
      END_STATE();
    case 632:
      ACCEPT_TOKEN(sym_identifier);
      if (sym_identifier_character_set_28(lookahead)) ADVANCE(685);
      if (lookahead == '\\') ADVANCE(319);
      if (lookahead == 'e') ADVANCE(530);
      END_STATE();
    case 633:
      ACCEPT_TOKEN(sym_identifier);
      if (sym_identifier_character_set_28(lookahead)) ADVANCE(685);
      if (lookahead == '\\') ADVANCE(319);
      if (lookahead == 'e') ADVANCE(595);
      END_STATE();
    case 634:
      ACCEPT_TOKEN(sym_identifier);
      if (sym_identifier_character_set_28(lookahead)) ADVANCE(685);
      if (lookahead == '\\') ADVANCE(319);
      if (lookahead == 'e') ADVANCE(681);
      END_STATE();
    case 635:
      ACCEPT_TOKEN(sym_identifier);
      if (sym_identifier_character_set_29(lookahead)) ADVANCE(685);
      if (lookahead == '\\') ADVANCE(319);
      if (lookahead == 'f') ADVANCE(681);
      END_STATE();
    case 636:
      ACCEPT_TOKEN(sym_identifier);
      if (sym_identifier_character_set_29(lookahead)) ADVANCE(685);
      if (lookahead == '\\') ADVANCE(319);
      if (lookahead == 'f') ADVANCE(635);
      END_STATE();
    case 637:
      ACCEPT_TOKEN(sym_identifier);
      if (sym_identifier_character_set_30(lookahead)) ADVANCE(685);
      if (lookahead == '\\') ADVANCE(319);
      if (lookahead == 'g') ADVANCE(652);
      END_STATE();
    case 638:
      ACCEPT_TOKEN(sym_identifier);
      if (sym_identifier_character_set_31(lookahead)) ADVANCE(685);
      if (lookahead == '\\') ADVANCE(319);
      if (lookahead == 'h') ADVANCE(677);
      END_STATE();
    case 639:
      ACCEPT_TOKEN(sym_identifier);
      if (sym_identifier_character_set_32(lookahead)) ADVANCE(685);
      if (lookahead == '\\') ADVANCE(319);
      if (lookahead == 'i') ADVANCE(674);
      END_STATE();
    case 640:
      ACCEPT_TOKEN(sym_identifier);
      if (sym_identifier_character_set_32(lookahead)) ADVANCE(685);
      if (lookahead == '\\') ADVANCE(319);
      if (lookahead == 'i') ADVANCE(636);
      END_STATE();
    case 641:
      ACCEPT_TOKEN(sym_identifier);
      if (sym_identifier_character_set_32(lookahead)) ADVANCE(685);
      if (lookahead == '\\') ADVANCE(319);
      if (lookahead == 'i') ADVANCE(637);
      END_STATE();
    case 642:
      ACCEPT_TOKEN(sym_identifier);
      if (sym_identifier_character_set_32(lookahead)) ADVANCE(685);
      if (lookahead == '\\') ADVANCE(319);
      if (lookahead == 'i') ADVANCE(629);
      END_STATE();
    case 643:
      ACCEPT_TOKEN(sym_identifier);
      if (sym_identifier_character_set_32(lookahead)) ADVANCE(685);
      if (lookahead == '\\') ADVANCE(319);
      if (lookahead == 'i') ADVANCE(653);
      END_STATE();
    case 644:
      ACCEPT_TOKEN(sym_identifier);
      if (sym_identifier_character_set_33(lookahead)) ADVANCE(685);
      if (lookahead == '\\') ADVANCE(319);
      if (lookahead == 'l') ADVANCE(664);
      END_STATE();
    case 645:
      ACCEPT_TOKEN(sym_identifier);
      if (sym_identifier_character_set_33(lookahead)) ADVANCE(685);
      if (lookahead == '\\') ADVANCE(319);
      if (lookahead == 'l') ADVANCE(530);
      END_STATE();
    case 646:
      ACCEPT_TOKEN(sym_identifier);
      if (sym_identifier_character_set_33(lookahead)) ADVANCE(685);
      if (lookahead == '\\') ADVANCE(319);
      if (lookahead == 'l') ADVANCE(659);
      END_STATE();
    case 647:
      ACCEPT_TOKEN(sym_identifier);
      if (sym_identifier_character_set_33(lookahead)) ADVANCE(685);
      if (lookahead == '\\') ADVANCE(319);
      if (lookahead == 'l') ADVANCE(646);
      END_STATE();
    case 648:
      ACCEPT_TOKEN(sym_identifier);
      if (sym_identifier_character_set_33(lookahead)) ADVANCE(685);
      if (lookahead == '\\') ADVANCE(319);
      if (lookahead == 'l') ADVANCE(641);
      END_STATE();
    case 649:
      ACCEPT_TOKEN(sym_identifier);
      if (sym_identifier_character_set_33(lookahead)) ADVANCE(685);
      if (lookahead == '\\') ADVANCE(319);
      if (lookahead == 'l') ADVANCE(632);
      END_STATE();
    case 650:
      ACCEPT_TOKEN(sym_identifier);
      if (sym_identifier_character_set_33(lookahead)) ADVANCE(685);
      if (lookahead == '\\') ADVANCE(319);
      if (lookahead == 'l') ADVANCE(656);
      END_STATE();
    case 651:
      ACCEPT_TOKEN(sym_identifier);
      if (sym_identifier_character_set_34(lookahead)) ADVANCE(685);
      if (lookahead == '\\') ADVANCE(319);
      if (lookahead == 'n') ADVANCE(665);
      END_STATE();
    case 652:
      ACCEPT_TOKEN(sym_identifier);
      if (sym_identifier_character_set_34(lookahead)) ADVANCE(685);
      if (lookahead == '\\') ADVANCE(319);
      if (lookahead == 'n') ADVANCE(681);
      END_STATE();
    case 653:
      ACCEPT_TOKEN(sym_identifier);
      if (sym_identifier_character_set_34(lookahead)) ADVANCE(685);
      if (lookahead == '\\') ADVANCE(319);
      if (lookahead == 'n') ADVANCE(667);
      END_STATE();
    case 654:
      ACCEPT_TOKEN(sym_identifier);
      if (sym_identifier_character_set_35(lookahead)) ADVANCE(685);
      if (lookahead == '\\') ADVANCE(319);
      if (lookahead == 'o') ADVANCE(670);
      END_STATE();
    case 655:
      ACCEPT_TOKEN(sym_identifier);
      if (sym_identifier_character_set_35(lookahead)) ADVANCE(685);
      if (lookahead == '\\') ADVANCE(319);
      if (lookahead == 'o') ADVANCE(642);
      END_STATE();
    case 656:
      ACCEPT_TOKEN(sym_identifier);
      if (sym_identifier_character_set_35(lookahead)) ADVANCE(685);
      if (lookahead == '\\') ADVANCE(319);
      if (lookahead == 'o') ADVANCE(678);
      END_STATE();
    case 657:
      ACCEPT_TOKEN(sym_identifier);
      if (sym_identifier_character_set_35(lookahead)) ADVANCE(685);
      if (lookahead == '\\') ADVANCE(319);
      if (lookahead == 'o') ADVANCE(645);
      END_STATE();
    case 658:
      ACCEPT_TOKEN(sym_identifier);
      if (sym_identifier_character_set_35(lookahead)) ADVANCE(685);
      if (lookahead == '\\') ADVANCE(319);
      if (lookahead == 'o') ADVANCE(657);
      END_STATE();
    case 659:
      ACCEPT_TOKEN(sym_identifier);
      if (sym_identifier_character_set_36(lookahead)) ADVANCE(685);
      if (lookahead == '\\') ADVANCE(319);
      if (lookahead == 'p') ADVANCE(669);
      END_STATE();
    case 660:
      ACCEPT_TOKEN(sym_identifier);
      if (sym_identifier_character_set_37(lookahead)) ADVANCE(685);
      if (lookahead == '\\') ADVANCE(319);
      if (lookahead == 'r') ADVANCE(529);
      END_STATE();
    case 661:
      ACCEPT_TOKEN(sym_identifier);
      if (sym_identifier_character_set_37(lookahead)) ADVANCE(685);
      if (lookahead == '\\') ADVANCE(319);
      if (lookahead == 'r') ADVANCE(630);
      END_STATE();
    case 662:
      ACCEPT_TOKEN(sym_identifier);
      if (sym_identifier_character_set_37(lookahead)) ADVANCE(685);
      if (lookahead == '\\') ADVANCE(319);
      if (lookahead == 'r') ADVANCE(681);
      END_STATE();
    case 663:
      ACCEPT_TOKEN(sym_identifier);
      if (sym_identifier_character_set_37(lookahead)) ADVANCE(685);
      if (lookahead == '\\') ADVANCE(319);
      if (lookahead == 'r') ADVANCE(672);
      END_STATE();
    case 664:
      ACCEPT_TOKEN(sym_identifier);
      if (sym_identifier_character_set_38(lookahead)) ADVANCE(685);
      if (lookahead == '\\') ADVANCE(319);
      if (lookahead == 's') ADVANCE(633);
      END_STATE();
    case 665:
      ACCEPT_TOKEN(sym_identifier);
      if (sym_identifier_character_set_39(lookahead)) ADVANCE(685);
      if (lookahead == '\\') ADVANCE(319);
      if (lookahead == 't') ADVANCE(529);
      END_STATE();
    case 666:
      ACCEPT_TOKEN(sym_identifier);
      if (sym_identifier_character_set_39(lookahead)) ADVANCE(685);
      if (lookahead == '\\') ADVANCE(319);
      if (lookahead == 't') ADVANCE(530);
      END_STATE();
    case 667:
      ACCEPT_TOKEN(sym_identifier);
      if (sym_identifier_character_set_39(lookahead)) ADVANCE(685);
      if (lookahead == '\\') ADVANCE(319);
      if (lookahead == 't') ADVANCE(614);
      END_STATE();
    case 668:
      ACCEPT_TOKEN(sym_identifier);
      if (sym_identifier_character_set_39(lookahead)) ADVANCE(685);
      if (lookahead == '\\') ADVANCE(319);
      if (lookahead == 't') ADVANCE(661);
      END_STATE();
    case 669:
      ACCEPT_TOKEN(sym_identifier);
      if (sym_identifier_character_set_39(lookahead)) ADVANCE(685);
      if (lookahead == '\\') ADVANCE(319);
      if (lookahead == 't') ADVANCE(662);
      END_STATE();
    case 670:
      ACCEPT_TOKEN(sym_identifier);
      if (sym_identifier_character_set_40(lookahead)) ADVANCE(685);
      if (lookahead == '\\') ADVANCE(319);
      if (lookahead == 'u') ADVANCE(628);
      END_STATE();
    case 671:
      ACCEPT_TOKEN(sym_identifier);
      if (sym_identifier_character_set_40(lookahead)) ADVANCE(685);
      if (lookahead == '\\') ADVANCE(319);
      if (lookahead == 'u') ADVANCE(647);
      END_STATE();
    case 672:
      ACCEPT_TOKEN(sym_identifier);
      if (sym_identifier_character_set_40(lookahead)) ADVANCE(685);
      if (lookahead == '\\') ADVANCE(319);
      if (lookahead == 'u') ADVANCE(631);
      END_STATE();
    case 673:
      ACCEPT_TOKEN(sym_identifier);
      if (sym_identifier_character_set_41(lookahead)) ADVANCE(685);
      if (lookahead == '\\') ADVANCE(319);
      if (lookahead == 'x') ADVANCE(680);
      END_STATE();
    case 674:
      ACCEPT_TOKEN(sym_identifier);
      if (sym_identifier_character_set_42(lookahead)) ADVANCE(685);
      if (lookahead == '\\') ADVANCE(319);
      if (lookahead == 'z') ADVANCE(634);
      END_STATE();
    case 675:
      ACCEPT_TOKEN(sym_identifier);
      if (sym_identifier_character_set_43(lookahead)) ADVANCE(685);
      if (lookahead == '\\') ADVANCE(319);
      if (lookahead == 'a') ADVANCE(644);
      END_STATE();
    case 676:
      ACCEPT_TOKEN(sym_identifier);
      if (sym_identifier_character_set_43(lookahead)) ADVANCE(685);
      if (lookahead == '\\') ADVANCE(319);
      if (lookahead == 'a') ADVANCE(673);
      END_STATE();
    case 677:
      ACCEPT_TOKEN(sym_identifier);
      if (sym_identifier_character_set_43(lookahead)) ADVANCE(685);
      if (lookahead == '\\') ADVANCE(319);
      if (lookahead == 'a') ADVANCE(660);
      END_STATE();
    case 678:
      ACCEPT_TOKEN(sym_identifier);
      if (sym_identifier_character_set_43(lookahead)) ADVANCE(685);
      if (lookahead == '\\') ADVANCE(319);
      if (lookahead == 'a') ADVANCE(666);
      END_STATE();
    case 679:
      ACCEPT_TOKEN(sym_identifier);
      if (sym_identifier_character_set_43(lookahead)) ADVANCE(685);
      if (lookahead == '\\') ADVANCE(319);
      if (lookahead == 'a') ADVANCE(648);
      END_STATE();
    case 680:
      ACCEPT_TOKEN(sym_identifier);
      if (sym_identifier_character_set_44(lookahead)) ADVANCE(685);
      if (lookahead == '\\') ADVANCE(319);
      if (lookahead == '_') ADVANCE(679);
      END_STATE();
    case 681:
      ACCEPT_TOKEN(sym_identifier);
      if (sym_identifier_character_set_44(lookahead)) ADVANCE(685);
      if (lookahead == '\\') ADVANCE(319);
      if (lookahead == '_') ADVANCE(666);
      END_STATE();
    case 682:
      ACCEPT_TOKEN(sym_identifier);
      if (sym_identifier_character_set_10(lookahead)) ADVANCE(685);
      if (lookahead == '\'') ADVANCE(569);
      if (lookahead == '\\') ADVANCE(319);
      END_STATE();
    case 683:
      ACCEPT_TOKEN(sym_identifier);
      if (sym_identifier_character_set_10(lookahead)) ADVANCE(685);
      if (lookahead == '\'') ADVANCE(571);
      if (lookahead == '\\') ADVANCE(319);
      END_STATE();
    case 684:
      ACCEPT_TOKEN(sym_identifier);
      if (sym_identifier_character_set_10(lookahead)) ADVANCE(685);
      if (lookahead == '\'') ADVANCE(572);
      if (lookahead == '\\') ADVANCE(319);
      END_STATE();
    case 685:
      ACCEPT_TOKEN(sym_identifier);
      if (sym_identifier_character_set_10(lookahead)) ADVANCE(685);
      if (lookahead == '\\') ADVANCE(319);
      END_STATE();
    case 686:
      ACCEPT_TOKEN(sym_comment);
      END_STATE();
    case 687:
      ACCEPT_TOKEN(sym_comment);
      if (lookahead == '\n') ADVANCE(690);
      if (lookahead == '/') ADVANCE(688);
      if (lookahead == '\\') ADVANCE(423);
      if (lookahead != 0) ADVANCE(689);
      END_STATE();
    case 688:
      ACCEPT_TOKEN(sym_comment);
      if (lookahead == '*') ADVANCE(690);
      if (lookahead == '\\') ADVANCE(416);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(689);
      END_STATE();
    case 689:
      ACCEPT_TOKEN(sym_comment);
      if (lookahead == '/') ADVANCE(688);
      if (lookahead == '\\') ADVANCE(423);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(689);
      END_STATE();
    case 690:
      ACCEPT_TOKEN(sym_comment);
      if (lookahead == '\\') ADVANCE(386);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(690);
      END_STATE();
    case 691:
      ACCEPT_TOKEN(sym_comment);
      if (lookahead != 0 &&
          lookahead != '\r' &&
          lookahead != '/' &&
          lookahead != '\\') ADVANCE(689);
      if (lookahead == '\r') ADVANCE(693);
      if (lookahead == '/') ADVANCE(688);
      if (lookahead == '\\') ADVANCE(691);
      END_STATE();
    case 692:
      ACCEPT_TOKEN(sym_comment);
      if (lookahead != 0 &&
          lookahead != '\r' &&
          lookahead != '\\') ADVANCE(690);
      if (lookahead == '\r') ADVANCE(694);
      if (lookahead == '\\') ADVANCE(692);
      END_STATE();
    case 693:
      ACCEPT_TOKEN(sym_comment);
      if (lookahead != 0 &&
          lookahead != '/' &&
          lookahead != '\\') ADVANCE(689);
      if (lookahead == '/') ADVANCE(688);
      if (lookahead == '\\') ADVANCE(423);
      END_STATE();
    case 694:
      ACCEPT_TOKEN(sym_comment);
      if (lookahead != 0 &&
          lookahead != '\\') ADVANCE(690);
      if (lookahead == '\\') ADVANCE(386);
      END_STATE();
    case 695:
      ACCEPT_TOKEN(anon_sym_GT2);
      END_STATE();
    case 696:
      ACCEPT_TOKEN(anon_sym_R_DQUOTE);
      END_STATE();
    case 697:
      ACCEPT_TOKEN(anon_sym_LR_DQUOTE);
      END_STATE();
    case 698:
      ACCEPT_TOKEN(anon_sym_uR_DQUOTE);
      END_STATE();
    case 699:
      ACCEPT_TOKEN(anon_sym_UR_DQUOTE);
      END_STATE();
    case 700:
      ACCEPT_TOKEN(anon_sym_u8R_DQUOTE);
      END_STATE();
    case 701:
      ACCEPT_TOKEN(anon_sym_DASH_GT_STAR);
      END_STATE();
    case 702:
      ACCEPT_TOKEN(anon_sym_LPAREN_RPAREN);
      END_STATE();
    case 703:
      ACCEPT_TOKEN(anon_sym_LBRACK_RBRACK);
      END_STATE();
    case 704:
      ACCEPT_TOKEN(anon_sym_DQUOTE_DQUOTE);
      END_STATE();
    case 705:
      ACCEPT_TOKEN(sym_literal_suffix);
      if (lookahead == '"') ADVANCE(578);
      if (sym_identifier_character_set_45(lookahead)) ADVANCE(685);
      if (lookahead == 'R') ADVANCE(709);
      if (lookahead == '\\') ADVANCE(319);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(714);
      END_STATE();
    case 706:
      ACCEPT_TOKEN(sym_literal_suffix);
      if (lookahead == '"') ADVANCE(696);
      if (sym_identifier_character_set_45(lookahead)) ADVANCE(685);
      if (lookahead == '\\') ADVANCE(319);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(714);
      END_STATE();
    case 707:
      ACCEPT_TOKEN(sym_literal_suffix);
      if (lookahead == '"') ADVANCE(580);
      if (sym_identifier_character_set_45(lookahead)) ADVANCE(685);
      if (lookahead == 'R') ADVANCE(710);
      if (lookahead == '\\') ADVANCE(319);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(714);
      END_STATE();
    case 708:
      ACCEPT_TOKEN(sym_literal_suffix);
      if (lookahead == '"') ADVANCE(579);
      if (sym_identifier_character_set_45(lookahead)) ADVANCE(685);
      if (lookahead == '8') ADVANCE(711);
      if (lookahead == 'R') ADVANCE(712);
      if (lookahead == '\\') ADVANCE(319);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(714);
      END_STATE();
    case 709:
      ACCEPT_TOKEN(sym_literal_suffix);
      if (lookahead == '"') ADVANCE(697);
      if (sym_identifier_character_set_45(lookahead)) ADVANCE(685);
      if (lookahead == '\\') ADVANCE(319);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(714);
      END_STATE();
    case 710:
      ACCEPT_TOKEN(sym_literal_suffix);
      if (lookahead == '"') ADVANCE(699);
      if (sym_identifier_character_set_45(lookahead)) ADVANCE(685);
      if (lookahead == '\\') ADVANCE(319);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(714);
      END_STATE();
    case 711:
      ACCEPT_TOKEN(sym_literal_suffix);
      if (lookahead == '"') ADVANCE(581);
      if (sym_identifier_character_set_45(lookahead)) ADVANCE(685);
      if (lookahead == 'R') ADVANCE(713);
      if (lookahead == '\\') ADVANCE(319);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(714);
      END_STATE();
    case 712:
      ACCEPT_TOKEN(sym_literal_suffix);
      if (lookahead == '"') ADVANCE(698);
      if (sym_identifier_character_set_45(lookahead)) ADVANCE(685);
      if (lookahead == '\\') ADVANCE(319);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(714);
      END_STATE();
    case 713:
      ACCEPT_TOKEN(sym_literal_suffix);
      if (lookahead == '"') ADVANCE(700);
      if (sym_identifier_character_set_45(lookahead)) ADVANCE(685);
      if (lookahead == '\\') ADVANCE(319);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(714);
      END_STATE();
    case 714:
      ACCEPT_TOKEN(sym_literal_suffix);
      if (sym_identifier_character_set_45(lookahead)) ADVANCE(685);
      if (lookahead == '\\') ADVANCE(319);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(714);
      END_STATE();
    default:
      return false;
  }
}

static bool ts_lex_keywords(TSLexer *lexer, TSStateId state) {
  START_LEXER();
  eof = lexer->eof(lexer);
  switch (state) {
    case 0:
      if (lookahead == 'N') ADVANCE(1);
      if (lookahead == '\\') SKIP(2)
      if (lookahead == '_') ADVANCE(3);
      if (lookahead == 'a') ADVANCE(4);
      if (lookahead == 'b') ADVANCE(5);
      if (lookahead == 'c') ADVANCE(6);
      if (lookahead == 'd') ADVANCE(7);
      if (lookahead == 'e') ADVANCE(8);
      if (lookahead == 'f') ADVANCE(9);
      if (lookahead == 'g') ADVANCE(10);
      if (lookahead == 'i') ADVANCE(11);
      if (lookahead == 'l') ADVANCE(12);
      if (lookahead == 'm') ADVANCE(13);
      if (lookahead == 'n') ADVANCE(14);
      if (lookahead == 'o') ADVANCE(15);
      if (lookahead == 'p') ADVANCE(16);
      if (lookahead == 'r') ADVANCE(17);
      if (lookahead == 's') ADVANCE(18);
      if (lookahead == 't') ADVANCE(19);
      if (lookahead == 'u') ADVANCE(20);
      if (lookahead == 'v') ADVANCE(21);
      if (lookahead == 'w') ADVANCE(22);
      if (lookahead == 'x') ADVANCE(23);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(0)
      END_STATE();
    case 1:
      if (lookahead == 'U') ADVANCE(24);
      END_STATE();
    case 2:
      if (lookahead == '\n') SKIP(0)
      if (lookahead == '\r') SKIP(25)
      END_STATE();
    case 3:
      if (lookahead == 'A') ADVANCE(26);
      if (lookahead == 'G') ADVANCE(27);
      if (lookahead == 'N') ADVANCE(28);
      if (lookahead == '_') ADVANCE(29);
      if (lookahead == 'a') ADVANCE(30);
      if (lookahead == 'u') ADVANCE(31);
      END_STATE();
    case 4:
      if (lookahead == 'l') ADVANCE(32);
      if (lookahead == 'n') ADVANCE(33);
      if (lookahead == 's') ADVANCE(34);
      if (lookahead == 'u') ADVANCE(35);
      END_STATE();
    case 5:
      if (lookahead == 'i') ADVANCE(36);
      if (lookahead == 'r') ADVANCE(37);
      END_STATE();
    case 6:
      if (lookahead == 'a') ADVANCE(38);
      if (lookahead == 'b') ADVANCE(39);
      if (lookahead == 'e') ADVANCE(40);
      if (lookahead == 'l') ADVANCE(41);
      if (lookahead == 'o') ADVANCE(42);
      END_STATE();
    case 7:
      if (lookahead == 'e') ADVANCE(43);
      if (lookahead == 'i') ADVANCE(44);
      if (lookahead == 'o') ADVANCE(45);
      END_STATE();
    case 8:
      if (lookahead == 'l') ADVANCE(46);
      if (lookahead == 'n') ADVANCE(47);
      if (lookahead == 'x') ADVANCE(48);
      END_STATE();
    case 9:
      if (lookahead == 'i') ADVANCE(49);
      if (lookahead == 'o') ADVANCE(50);
      if (lookahead == 'r') ADVANCE(51);
      END_STATE();
    case 10:
      if (lookahead == 'l') ADVANCE(52);
      if (lookahead == 'o') ADVANCE(53);
      if (lookahead == 'r') ADVANCE(54);
      END_STATE();
    case 11:
      if (lookahead == 'f') ADVANCE(55);
      if (lookahead == 'n') ADVANCE(56);
      END_STATE();
    case 12:
      if (lookahead == 'i') ADVANCE(57);
      if (lookahead == 'o') ADVANCE(58);
      END_STATE();
    case 13:
      if (lookahead == 'u') ADVANCE(59);
      END_STATE();
    case 14:
      if (lookahead == 'a') ADVANCE(60);
      if (lookahead == 'e') ADVANCE(61);
      if (lookahead == 'o') ADVANCE(62);
      if (lookahead == 'u') ADVANCE(63);
      END_STATE();
    case 15:
      if (lookahead == 'f') ADVANCE(64);
      if (lookahead == 'p') ADVANCE(65);
      if (lookahead == 'r') ADVANCE(66);
      if (lookahead == 'u') ADVANCE(67);
      if (lookahead == 'v') ADVANCE(68);
      END_STATE();
    case 16:
      if (lookahead == 'o') ADVANCE(69);
      if (lookahead == 'r') ADVANCE(70);
      if (lookahead == 'u') ADVANCE(71);
      END_STATE();
    case 17:
      if (lookahead == 'e') ADVANCE(72);
      if (lookahead == 'o') ADVANCE(73);
      END_STATE();
    case 18:
      if (lookahead == 'a') ADVANCE(74);
      if (lookahead == 'h') ADVANCE(75);
      if (lookahead == 'i') ADVANCE(76);
      if (lookahead == 'n') ADVANCE(77);
      if (lookahead == 't') ADVANCE(78);
      if (lookahead == 'w') ADVANCE(79);
      END_STATE();
    case 19:
      if (lookahead == 'e') ADVANCE(80);
      if (lookahead == 'h') ADVANCE(81);
      if (lookahead == 'r') ADVANCE(82);
      if (lookahead == 'y') ADVANCE(83);
      END_STATE();
    case 20:
      if (lookahead == 'n') ADVANCE(84);
      if (lookahead == 's') ADVANCE(85);
      END_STATE();
    case 21:
      if (lookahead == 'i') ADVANCE(86);
      if (lookahead == 'o') ADVANCE(87);
      END_STATE();
    case 22:
      if (lookahead == 'h') ADVANCE(88);
      END_STATE();
    case 23:
      if (lookahead == 'o') ADVANCE(89);
      END_STATE();
    case 24:
      if (lookahead == 'L') ADVANCE(90);
      END_STATE();
    case 25:
      if (lookahead == '\n') SKIP(0)
      END_STATE();
    case 26:
      if (lookahead == 'l') ADVANCE(91);
      if (lookahead == 't') ADVANCE(92);
      END_STATE();
    case 27:
      if (lookahead == 'e') ADVANCE(93);
      END_STATE();
    case 28:
      if (lookahead == 'o') ADVANCE(94);
      END_STATE();
    case 29:
      if (lookahead == 'a') ADVANCE(95);
      if (lookahead == 'b') ADVANCE(96);
      if (lookahead == 'c') ADVANCE(97);
      if (lookahead == 'd') ADVANCE(98);
      if (lookahead == 'e') ADVANCE(99);
      if (lookahead == 'f') ADVANCE(100);
      if (lookahead == 'i') ADVANCE(101);
      if (lookahead == 'l') ADVANCE(102);
      if (lookahead == 'r') ADVANCE(103);
      if (lookahead == 's') ADVANCE(104);
      if (lookahead == 't') ADVANCE(105);
      if (lookahead == 'u') ADVANCE(106);
      if (lookahead == 'v') ADVANCE(107);
      END_STATE();
    case 30:
      if (lookahead == 'l') ADVANCE(108);
      END_STATE();
    case 31:
      if (lookahead == 'n') ADVANCE(109);
      END_STATE();
    case 32:
      if (lookahead == 'i') ADVANCE(110);
      END_STATE();
    case 33:
      if (lookahead == 'd') ADVANCE(111);
      END_STATE();
    case 34:
      if (lookahead == 'm') ADVANCE(112);
      END_STATE();
    case 35:
      if (lookahead == 't') ADVANCE(113);
      END_STATE();
    case 36:
      if (lookahead == 't') ADVANCE(114);
      END_STATE();
    case 37:
      if (lookahead == 'e') ADVANCE(115);
      END_STATE();
    case 38:
      if (lookahead == 's') ADVANCE(116);
      if (lookahead == 't') ADVANCE(117);
      END_STATE();
    case 39:
      if (lookahead == 'u') ADVANCE(118);
      END_STATE();
    case 40:
      if (lookahead == 'n') ADVANCE(119);
      END_STATE();
    case 41:
      if (lookahead == 'a') ADVANCE(120);
      END_STATE();
    case 42:
      if (lookahead == '_') ADVANCE(121);
      if (lookahead == 'l') ADVANCE(122);
      if (lookahead == 'm') ADVANCE(123);
      if (lookahead == 'n') ADVANCE(124);
      END_STATE();
    case 43:
      if (lookahead == 'c') ADVANCE(125);
      if (lookahead == 'f') ADVANCE(126);
      if (lookahead == 'l') ADVANCE(127);
      END_STATE();
    case 44:
      if (lookahead == 's') ADVANCE(128);
      END_STATE();
    case 45:
      ACCEPT_TOKEN(anon_sym_do);
      END_STATE();
    case 46:
      if (lookahead == 's') ADVANCE(129);
      END_STATE();
    case 47:
      if (lookahead == 'u') ADVANCE(130);
      END_STATE();
    case 48:
      if (lookahead == 'p') ADVANCE(131);
      if (lookahead == 't') ADVANCE(132);
      END_STATE();
    case 49:
      if (lookahead == 'n') ADVANCE(133);
      END_STATE();
    case 50:
      if (lookahead == 'r') ADVANCE(134);
      END_STATE();
    case 51:
      if (lookahead == 'i') ADVANCE(135);
      END_STATE();
    case 52:
      if (lookahead == 'o') ADVANCE(136);
      END_STATE();
    case 53:
      if (lookahead == 't') ADVANCE(137);
      END_STATE();
    case 54:
      if (lookahead == 'o') ADVANCE(138);
      END_STATE();
    case 55:
      ACCEPT_TOKEN(anon_sym_if);
      END_STATE();
    case 56:
      ACCEPT_TOKEN(anon_sym_in);
      if (lookahead == 'l') ADVANCE(139);
      if (lookahead == 'o') ADVANCE(140);
      END_STATE();
    case 57:
      if (lookahead == 'n') ADVANCE(141);
      END_STATE();
    case 58:
      if (lookahead == 'n') ADVANCE(142);
      END_STATE();
    case 59:
      if (lookahead == 't') ADVANCE(143);
      END_STATE();
    case 60:
      if (lookahead == 'm') ADVANCE(144);
      END_STATE();
    case 61:
      if (lookahead == 'w') ADVANCE(145);
      END_STATE();
    case 62:
      if (lookahead == 'e') ADVANCE(146);
      if (lookahead == 'i') ADVANCE(147);
      if (lookahead == 'p') ADVANCE(148);
      if (lookahead == 'r') ADVANCE(149);
      if (lookahead == 't') ADVANCE(150);
      END_STATE();
    case 63:
      if (lookahead == 'l') ADVANCE(151);
      END_STATE();
    case 64:
      if (lookahead == 'f') ADVANCE(152);
      END_STATE();
    case 65:
      if (lookahead == 'e') ADVANCE(153);
      END_STATE();
    case 66:
      ACCEPT_TOKEN(anon_sym_or);
      if (lookahead == '_') ADVANCE(154);
      END_STATE();
    case 67:
      if (lookahead == 't') ADVANCE(155);
      END_STATE();
    case 68:
      if (lookahead == 'e') ADVANCE(156);
      END_STATE();
    case 69:
      if (lookahead == 'i') ADVANCE(157);
      END_STATE();
    case 70:
      if (lookahead == 'e') ADVANCE(158);
      if (lookahead == 'i') ADVANCE(159);
      if (lookahead == 'o') ADVANCE(160);
      END_STATE();
    case 71:
      if (lookahead == 'b') ADVANCE(161);
      END_STATE();
    case 72:
      if (lookahead == 'g') ADVANCE(162);
      if (lookahead == 'q') ADVANCE(163);
      if (lookahead == 's') ADVANCE(164);
      if (lookahead == 't') ADVANCE(165);
      END_STATE();
    case 73:
      if (lookahead == 'w') ADVANCE(166);
      END_STATE();
    case 74:
      if (lookahead == 'm') ADVANCE(167);
      END_STATE();
    case 75:
      if (lookahead == 'a') ADVANCE(168);
      if (lookahead == 'o') ADVANCE(169);
      END_STATE();
    case 76:
      if (lookahead == 'g') ADVANCE(170);
      if (lookahead == 'z') ADVANCE(171);
      END_STATE();
    case 77:
      if (lookahead == 'o') ADVANCE(172);
      END_STATE();
    case 78:
      if (lookahead == 'a') ADVANCE(173);
      if (lookahead == 'r') ADVANCE(174);
      END_STATE();
    case 79:
      if (lookahead == 'i') ADVANCE(175);
      END_STATE();
    case 80:
      if (lookahead == 'm') ADVANCE(176);
      END_STATE();
    case 81:
      if (lookahead == 'i') ADVANCE(177);
      if (lookahead == 'r') ADVANCE(178);
      END_STATE();
    case 82:
      if (lookahead == 'i') ADVANCE(179);
      if (lookahead == 'y') ADVANCE(180);
      END_STATE();
    case 83:
      if (lookahead == 'p') ADVANCE(181);
      END_STATE();
    case 84:
      if (lookahead == 'i') ADVANCE(182);
      if (lookahead == 'o') ADVANCE(183);
      if (lookahead == 's') ADVANCE(184);
      END_STATE();
    case 85:
      if (lookahead == 'i') ADVANCE(185);
      END_STATE();
    case 86:
      if (lookahead == 'r') ADVANCE(186);
      END_STATE();
    case 87:
      if (lookahead == 'l') ADVANCE(187);
      END_STATE();
    case 88:
      if (lookahead == 'i') ADVANCE(188);
      END_STATE();
    case 89:
      if (lookahead == 'r') ADVANCE(189);
      END_STATE();
    case 90:
      if (lookahead == 'L') ADVANCE(190);
      END_STATE();
    case 91:
      if (lookahead == 'i') ADVANCE(191);
      END_STATE();
    case 92:
      if (lookahead == 'o') ADVANCE(192);
      END_STATE();
    case 93:
      if (lookahead == 'n') ADVANCE(193);
      END_STATE();
    case 94:
      if (lookahead == 'r') ADVANCE(194);
      END_STATE();
    case 95:
      if (lookahead == 'l') ADVANCE(195);
      if (lookahead == 's') ADVANCE(196);
      if (lookahead == 't') ADVANCE(197);
      END_STATE();
    case 96:
      if (lookahead == 'a') ADVANCE(198);
      END_STATE();
    case 97:
      if (lookahead == 'd') ADVANCE(199);
      if (lookahead == 'l') ADVANCE(200);
      END_STATE();
    case 98:
      if (lookahead == 'e') ADVANCE(201);
      END_STATE();
    case 99:
      if (lookahead == 'x') ADVANCE(202);
      END_STATE();
    case 100:
      if (lookahead == 'a') ADVANCE(203);
      if (lookahead == 'i') ADVANCE(204);
      if (lookahead == 'o') ADVANCE(205);
      END_STATE();
    case 101:
      if (lookahead == 'n') ADVANCE(206);
      END_STATE();
    case 102:
      if (lookahead == 'e') ADVANCE(207);
      END_STATE();
    case 103:
      if (lookahead == 'e') ADVANCE(208);
      END_STATE();
    case 104:
      if (lookahead == 'p') ADVANCE(209);
      if (lookahead == 't') ADVANCE(210);
      END_STATE();
    case 105:
      if (lookahead == 'h') ADVANCE(211);
      if (lookahead == 'r') ADVANCE(212);
      END_STATE();
    case 106:
      if (lookahead == 'n') ADVANCE(213);
      if (lookahead == 'p') ADVANCE(214);
      END_STATE();
    case 107:
      if (lookahead == 'e') ADVANCE(215);
      END_STATE();
    case 108:
      if (lookahead == 'i') ADVANCE(216);
      END_STATE();
    case 109:
      if (lookahead == 'a') ADVANCE(217);
      END_STATE();
    case 110:
      if (lookahead == 'g') ADVANCE(218);
      END_STATE();
    case 111:
      ACCEPT_TOKEN(anon_sym_and);
      if (lookahead == '_') ADVANCE(219);
      END_STATE();
    case 112:
      ACCEPT_TOKEN(anon_sym_asm);
      END_STATE();
    case 113:
      if (lookahead == 'o') ADVANCE(220);
      END_STATE();
    case 114:
      if (lookahead == 'a') ADVANCE(221);
      if (lookahead == 'o') ADVANCE(222);
      END_STATE();
    case 115:
      if (lookahead == 'a') ADVANCE(223);
      END_STATE();
    case 116:
      if (lookahead == 'e') ADVANCE(224);
      END_STATE();
    case 117:
      if (lookahead == 'c') ADVANCE(225);
      END_STATE();
    case 118:
      if (lookahead == 'f') ADVANCE(226);
      END_STATE();
    case 119:
      if (lookahead == 't') ADVANCE(227);
      END_STATE();
    case 120:
      if (lookahead == 's') ADVANCE(228);
      END_STATE();
    case 121:
      if (lookahead == 'a') ADVANCE(229);
      if (lookahead == 'r') ADVANCE(230);
      if (lookahead == 'y') ADVANCE(231);
      END_STATE();
    case 122:
      if (lookahead == 'u') ADVANCE(232);
      END_STATE();
    case 123:
      if (lookahead == 'p') ADVANCE(233);
      END_STATE();
    case 124:
      if (lookahead == 'c') ADVANCE(234);
      if (lookahead == 's') ADVANCE(235);
      if (lookahead == 't') ADVANCE(236);
      END_STATE();
    case 125:
      if (lookahead == 'l') ADVANCE(237);
      END_STATE();
    case 126:
      if (lookahead == 'a') ADVANCE(238);
      if (lookahead == 'i') ADVANCE(239);
      END_STATE();
    case 127:
      if (lookahead == 'e') ADVANCE(240);
      END_STATE();
    case 128:
      if (lookahead == 'c') ADVANCE(241);
      END_STATE();
    case 129:
      if (lookahead == 'e') ADVANCE(242);
      END_STATE();
    case 130:
      if (lookahead == 'm') ADVANCE(243);
      END_STATE();
    case 131:
      if (lookahead == 'l') ADVANCE(244);
      END_STATE();
    case 132:
      if (lookahead == 'e') ADVANCE(245);
      END_STATE();
    case 133:
      if (lookahead == 'a') ADVANCE(246);
      END_STATE();
    case 134:
      ACCEPT_TOKEN(anon_sym_for);
      END_STATE();
    case 135:
      if (lookahead == 'e') ADVANCE(247);
      END_STATE();
    case 136:
      if (lookahead == 'b') ADVANCE(248);
      END_STATE();
    case 137:
      if (lookahead == 'o') ADVANCE(249);
      END_STATE();
    case 138:
      if (lookahead == 'u') ADVANCE(250);
      END_STATE();
    case 139:
      if (lookahead == 'i') ADVANCE(251);
      END_STATE();
    case 140:
      if (lookahead == 'u') ADVANCE(252);
      END_STATE();
    case 141:
      if (lookahead == 'e') ADVANCE(253);
      END_STATE();
    case 142:
      if (lookahead == 'g') ADVANCE(254);
      END_STATE();
    case 143:
      if (lookahead == 'a') ADVANCE(255);
      END_STATE();
    case 144:
      if (lookahead == 'e') ADVANCE(256);
      END_STATE();
    case 145:
      ACCEPT_TOKEN(anon_sym_new);
      END_STATE();
    case 146:
      if (lookahead == 'x') ADVANCE(257);
      END_STATE();
    case 147:
      if (lookahead == 'n') ADVANCE(258);
      END_STATE();
    case 148:
      if (lookahead == 'e') ADVANCE(259);
      END_STATE();
    case 149:
      if (lookahead == 'e') ADVANCE(260);
      END_STATE();
    case 150:
      ACCEPT_TOKEN(anon_sym_not);
      if (lookahead == '_') ADVANCE(261);
      END_STATE();
    case 151:
      if (lookahead == 'l') ADVANCE(262);
      END_STATE();
    case 152:
      if (lookahead == 's') ADVANCE(263);
      END_STATE();
    case 153:
      if (lookahead == 'r') ADVANCE(264);
      END_STATE();
    case 154:
      if (lookahead == 'e') ADVANCE(265);
      END_STATE();
    case 155:
      ACCEPT_TOKEN(anon_sym_out);
      END_STATE();
    case 156:
      if (lookahead == 'r') ADVANCE(266);
      END_STATE();
    case 157:
      if (lookahead == 'n') ADVANCE(267);
      END_STATE();
    case 158:
      if (lookahead == 'c') ADVANCE(268);
      END_STATE();
    case 159:
      if (lookahead == 'v') ADVANCE(269);
      END_STATE();
    case 160:
      if (lookahead == 't') ADVANCE(270);
      END_STATE();
    case 161:
      if (lookahead == 'l') ADVANCE(271);
      END_STATE();
    case 162:
      if (lookahead == 'i') ADVANCE(272);
      END_STATE();
    case 163:
      if (lookahead == 'u') ADVANCE(273);
      END_STATE();
    case 164:
      if (lookahead == 't') ADVANCE(274);
      END_STATE();
    case 165:
      if (lookahead == 'u') ADVANCE(275);
      END_STATE();
    case 166:
      if (lookahead == '_') ADVANCE(276);
      END_STATE();
    case 167:
      if (lookahead == 'p') ADVANCE(277);
      END_STATE();
    case 168:
      if (lookahead == 'r') ADVANCE(278);
      END_STATE();
    case 169:
      if (lookahead == 'r') ADVANCE(279);
      END_STATE();
    case 170:
      if (lookahead == 'n') ADVANCE(280);
      END_STATE();
    case 171:
      if (lookahead == 'e') ADVANCE(281);
      END_STATE();
    case 172:
      if (lookahead == 'r') ADVANCE(282);
      END_STATE();
    case 173:
      if (lookahead == 't') ADVANCE(283);
      END_STATE();
    case 174:
      if (lookahead == 'u') ADVANCE(284);
      END_STATE();
    case 175:
      if (lookahead == 't') ADVANCE(285);
      END_STATE();
    case 176:
      if (lookahead == 'p') ADVANCE(286);
      END_STATE();
    case 177:
      if (lookahead == 's') ADVANCE(287);
      END_STATE();
    case 178:
      if (lookahead == 'e') ADVANCE(288);
      if (lookahead == 'o') ADVANCE(289);
      END_STATE();
    case 179:
      if (lookahead == 'a') ADVANCE(290);
      END_STATE();
    case 180:
      ACCEPT_TOKEN(anon_sym_try);
      END_STATE();
    case 181:
      if (lookahead == 'e') ADVANCE(291);
      END_STATE();
    case 182:
      if (lookahead == 'f') ADVANCE(292);
      if (lookahead == 'o') ADVANCE(293);
      END_STATE();
    case 183:
      if (lookahead == 'r') ADVANCE(294);
      END_STATE();
    case 184:
      if (lookahead == 'i') ADVANCE(295);
      END_STATE();
    case 185:
      if (lookahead == 'n') ADVANCE(296);
      END_STATE();
    case 186:
      if (lookahead == 't') ADVANCE(297);
      END_STATE();
    case 187:
      if (lookahead == 'a') ADVANCE(298);
      END_STATE();
    case 188:
      if (lookahead == 'l') ADVANCE(299);
      END_STATE();
    case 189:
      ACCEPT_TOKEN(anon_sym_xor);
      if (lookahead == '_') ADVANCE(300);
      END_STATE();
    case 190:
      ACCEPT_TOKEN(anon_sym_NULL);
      END_STATE();
    case 191:
      if (lookahead == 'g') ADVANCE(301);
      END_STATE();
    case 192:
      if (lookahead == 'm') ADVANCE(302);
      END_STATE();
    case 193:
      if (lookahead == 'e') ADVANCE(303);
      END_STATE();
    case 194:
      if (lookahead == 'e') ADVANCE(304);
      END_STATE();
    case 195:
      if (lookahead == 'i') ADVANCE(305);
      END_STATE();
    case 196:
      if (lookahead == 'm') ADVANCE(306);
      END_STATE();
    case 197:
      if (lookahead == 't') ADVANCE(307);
      END_STATE();
    case 198:
      if (lookahead == 's') ADVANCE(308);
      END_STATE();
    case 199:
      if (lookahead == 'e') ADVANCE(309);
      END_STATE();
    case 200:
      if (lookahead == 'r') ADVANCE(310);
      END_STATE();
    case 201:
      if (lookahead == 'c') ADVANCE(311);
      END_STATE();
    case 202:
      if (lookahead == 'c') ADVANCE(312);
      if (lookahead == 't') ADVANCE(313);
      END_STATE();
    case 203:
      if (lookahead == 's') ADVANCE(314);
      END_STATE();
    case 204:
      if (lookahead == 'n') ADVANCE(315);
      END_STATE();
    case 205:
      if (lookahead == 'r') ADVANCE(316);
      END_STATE();
    case 206:
      if (lookahead == 'l') ADVANCE(317);
      END_STATE();
    case 207:
      if (lookahead == 'a') ADVANCE(318);
      END_STATE();
    case 208:
      if (lookahead == 's') ADVANCE(319);
      END_STATE();
    case 209:
      if (lookahead == 't') ADVANCE(320);
      END_STATE();
    case 210:
      if (lookahead == 'd') ADVANCE(321);
      END_STATE();
    case 211:
      if (lookahead == 'i') ADVANCE(322);
      if (lookahead == 'r') ADVANCE(323);
      END_STATE();
    case 212:
      if (lookahead == 'y') ADVANCE(324);
      END_STATE();
    case 213:
      if (lookahead == 'a') ADVANCE(325);
      END_STATE();
    case 214:
      if (lookahead == 't') ADVANCE(326);
      END_STATE();
    case 215:
      if (lookahead == 'c') ADVANCE(327);
      END_STATE();
    case 216:
      if (lookahead == 'g') ADVANCE(328);
      END_STATE();
    case 217:
      if (lookahead == 'l') ADVANCE(329);
      END_STATE();
    case 218:
      if (lookahead == 'n') ADVANCE(330);
      END_STATE();
    case 219:
      if (lookahead == 'e') ADVANCE(331);
      END_STATE();
    case 220:
      ACCEPT_TOKEN(sym_auto);
      END_STATE();
    case 221:
      if (lookahead == 'n') ADVANCE(332);
      END_STATE();
    case 222:
      if (lookahead == 'r') ADVANCE(333);
      END_STATE();
    case 223:
      if (lookahead == 'k') ADVANCE(334);
      END_STATE();
    case 224:
      ACCEPT_TOKEN(anon_sym_case);
      END_STATE();
    case 225:
      if (lookahead == 'h') ADVANCE(335);
      END_STATE();
    case 226:
      if (lookahead == 'f') ADVANCE(336);
      END_STATE();
    case 227:
      if (lookahead == 'r') ADVANCE(337);
      END_STATE();
    case 228:
      if (lookahead == 's') ADVANCE(338);
      END_STATE();
    case 229:
      if (lookahead == 'w') ADVANCE(339);
      END_STATE();
    case 230:
      if (lookahead == 'e') ADVANCE(340);
      END_STATE();
    case 231:
      if (lookahead == 'i') ADVANCE(341);
      END_STATE();
    case 232:
      if (lookahead == 'm') ADVANCE(342);
      END_STATE();
    case 233:
      if (lookahead == 'l') ADVANCE(343);
      END_STATE();
    case 234:
      if (lookahead == 'e') ADVANCE(344);
      END_STATE();
    case 235:
      if (lookahead == 't') ADVANCE(345);
      END_STATE();
    case 236:
      if (lookahead == 'i') ADVANCE(346);
      END_STATE();
    case 237:
      if (lookahead == 't') ADVANCE(347);
      END_STATE();
    case 238:
      if (lookahead == 'u') ADVANCE(348);
      END_STATE();
    case 239:
      if (lookahead == 'n') ADVANCE(349);
      END_STATE();
    case 240:
      if (lookahead == 't') ADVANCE(350);
      END_STATE();
    case 241:
      if (lookahead == 'a') ADVANCE(351);
      END_STATE();
    case 242:
      ACCEPT_TOKEN(anon_sym_else);
      END_STATE();
    case 243:
      ACCEPT_TOKEN(anon_sym_enum);
      END_STATE();
    case 244:
      if (lookahead == 'i') ADVANCE(352);
      END_STATE();
    case 245:
      if (lookahead == 'r') ADVANCE(353);
      END_STATE();
    case 246:
      if (lookahead == 'l') ADVANCE(354);
      END_STATE();
    case 247:
      if (lookahead == 'n') ADVANCE(355);
      END_STATE();
    case 248:
      if (lookahead == 'a') ADVANCE(356);
      END_STATE();
    case 249:
      ACCEPT_TOKEN(anon_sym_goto);
      END_STATE();
    case 250:
      if (lookahead == 'p') ADVANCE(357);
      END_STATE();
    case 251:
      if (lookahead == 'n') ADVANCE(358);
      END_STATE();
    case 252:
      if (lookahead == 't') ADVANCE(359);
      END_STATE();
    case 253:
      ACCEPT_TOKEN(anon_sym_line);
      if (lookahead == 'a') ADVANCE(360);
      END_STATE();
    case 254:
      ACCEPT_TOKEN(anon_sym_long);
      END_STATE();
    case 255:
      if (lookahead == 'b') ADVANCE(361);
      END_STATE();
    case 256:
      if (lookahead == 's') ADVANCE(362);
      END_STATE();
    case 257:
      if (lookahead == 'c') ADVANCE(363);
      END_STATE();
    case 258:
      if (lookahead == 't') ADVANCE(364);
      END_STATE();
    case 259:
      if (lookahead == 'r') ADVANCE(365);
      END_STATE();
    case 260:
      if (lookahead == 't') ADVANCE(366);
      END_STATE();
    case 261:
      if (lookahead == 'e') ADVANCE(367);
      END_STATE();
    case 262:
      if (lookahead == 'p') ADVANCE(368);
      END_STATE();
    case 263:
      if (lookahead == 'e') ADVANCE(369);
      END_STATE();
    case 264:
      if (lookahead == 'a') ADVANCE(370);
      END_STATE();
    case 265:
      if (lookahead == 'q') ADVANCE(371);
      END_STATE();
    case 266:
      if (lookahead == 'r') ADVANCE(372);
      END_STATE();
    case 267:
      if (lookahead == 't') ADVANCE(373);
      END_STATE();
    case 268:
      if (lookahead == 'i') ADVANCE(374);
      END_STATE();
    case 269:
      if (lookahead == 'a') ADVANCE(375);
      END_STATE();
    case 270:
      if (lookahead == 'e') ADVANCE(376);
      END_STATE();
    case 271:
      if (lookahead == 'i') ADVANCE(377);
      END_STATE();
    case 272:
      if (lookahead == 's') ADVANCE(378);
      END_STATE();
    case 273:
      if (lookahead == 'i') ADVANCE(379);
      END_STATE();
    case 274:
      if (lookahead == 'r') ADVANCE(380);
      END_STATE();
    case 275:
      if (lookahead == 'r') ADVANCE(381);
      END_STATE();
    case 276:
      if (lookahead == 'm') ADVANCE(382);
      END_STATE();
    case 277:
      if (lookahead == 'l') ADVANCE(383);
      END_STATE();
    case 278:
      if (lookahead == 'e') ADVANCE(384);
      END_STATE();
    case 279:
      if (lookahead == 't') ADVANCE(385);
      END_STATE();
    case 280:
      if (lookahead == 'e') ADVANCE(386);
      END_STATE();
    case 281:
      if (lookahead == 'o') ADVANCE(387);
      END_STATE();
    case 282:
      if (lookahead == 'm') ADVANCE(388);
      END_STATE();
    case 283:
      if (lookahead == 'i') ADVANCE(389);
      END_STATE();
    case 284:
      if (lookahead == 'c') ADVANCE(390);
      END_STATE();
    case 285:
      if (lookahead == 'c') ADVANCE(391);
      END_STATE();
    case 286:
      if (lookahead == 'l') ADVANCE(392);
      END_STATE();
    case 287:
      ACCEPT_TOKEN(sym_this);
      END_STATE();
    case 288:
      if (lookahead == 'a') ADVANCE(393);
      END_STATE();
    case 289:
      if (lookahead == 'w') ADVANCE(394);
      END_STATE();
    case 290:
      if (lookahead == 'n') ADVANCE(395);
      END_STATE();
    case 291:
      if (lookahead == 'd') ADVANCE(396);
      if (lookahead == 'n') ADVANCE(397);
      END_STATE();
    case 292:
      if (lookahead == 'o') ADVANCE(398);
      END_STATE();
    case 293:
      if (lookahead == 'n') ADVANCE(399);
      END_STATE();
    case 294:
      if (lookahead == 'm') ADVANCE(400);
      END_STATE();
    case 295:
      if (lookahead == 'g') ADVANCE(401);
      END_STATE();
    case 296:
      if (lookahead == 'g') ADVANCE(402);
      END_STATE();
    case 297:
      if (lookahead == 'u') ADVANCE(403);
      END_STATE();
    case 298:
      if (lookahead == 't') ADVANCE(404);
      END_STATE();
    case 299:
      if (lookahead == 'e') ADVANCE(405);
      END_STATE();
    case 300:
      if (lookahead == 'e') ADVANCE(406);
      END_STATE();
    case 301:
      if (lookahead == 'n') ADVANCE(407);
      END_STATE();
    case 302:
      if (lookahead == 'i') ADVANCE(408);
      END_STATE();
    case 303:
      if (lookahead == 'r') ADVANCE(409);
      END_STATE();
    case 304:
      if (lookahead == 't') ADVANCE(410);
      END_STATE();
    case 305:
      if (lookahead == 'g') ADVANCE(411);
      END_STATE();
    case 306:
      if (lookahead == '_') ADVANCE(412);
      END_STATE();
    case 307:
      if (lookahead == 'r') ADVANCE(413);
      END_STATE();
    case 308:
      if (lookahead == 'e') ADVANCE(414);
      END_STATE();
    case 309:
      if (lookahead == 'c') ADVANCE(415);
      END_STATE();
    case 310:
      if (lookahead == 'c') ADVANCE(416);
      END_STATE();
    case 311:
      if (lookahead == 'l') ADVANCE(417);
      END_STATE();
    case 312:
      if (lookahead == 'e') ADVANCE(418);
      END_STATE();
    case 313:
      if (lookahead == 'e') ADVANCE(419);
      END_STATE();
    case 314:
      if (lookahead == 't') ADVANCE(420);
      END_STATE();
    case 315:
      if (lookahead == 'a') ADVANCE(421);
      END_STATE();
    case 316:
      if (lookahead == 'c') ADVANCE(422);
      END_STATE();
    case 317:
      if (lookahead == 'i') ADVANCE(423);
      END_STATE();
    case 318:
      if (lookahead == 'v') ADVANCE(424);
      END_STATE();
    case 319:
      if (lookahead == 't') ADVANCE(425);
      END_STATE();
    case 320:
      if (lookahead == 'r') ADVANCE(426);
      END_STATE();
    case 321:
      if (lookahead == 'c') ADVANCE(427);
      END_STATE();
    case 322:
      if (lookahead == 's') ADVANCE(428);
      END_STATE();
    case 323:
      if (lookahead == 'e') ADVANCE(429);
      END_STATE();
    case 324:
      ACCEPT_TOKEN(anon_sym___try);
      END_STATE();
    case 325:
      if (lookahead == 'l') ADVANCE(430);
      END_STATE();
    case 326:
      if (lookahead == 'r') ADVANCE(431);
      END_STATE();
    case 327:
      if (lookahead == 't') ADVANCE(432);
      END_STATE();
    case 328:
      if (lookahead == 'n') ADVANCE(433);
      END_STATE();
    case 329:
      if (lookahead == 'i') ADVANCE(434);
      END_STATE();
    case 330:
      if (lookahead == 'a') ADVANCE(435);
      if (lookahead == 'o') ADVANCE(436);
      END_STATE();
    case 331:
      if (lookahead == 'q') ADVANCE(437);
      END_STATE();
    case 332:
      if (lookahead == 'd') ADVANCE(438);
      END_STATE();
    case 333:
      ACCEPT_TOKEN(anon_sym_bitor);
      END_STATE();
    case 334:
      ACCEPT_TOKEN(anon_sym_break);
      END_STATE();
    case 335:
      ACCEPT_TOKEN(anon_sym_catch);
      END_STATE();
    case 336:
      if (lookahead == 'e') ADVANCE(439);
      END_STATE();
    case 337:
      if (lookahead == 'o') ADVANCE(440);
      END_STATE();
    case 338:
      ACCEPT_TOKEN(anon_sym_class);
      END_STATE();
    case 339:
      if (lookahead == 'a') ADVANCE(441);
      END_STATE();
    case 340:
      if (lookahead == 't') ADVANCE(442);
      END_STATE();
    case 341:
      if (lookahead == 'e') ADVANCE(443);
      END_STATE();
    case 342:
      if (lookahead == 'n') ADVANCE(444);
      END_STATE();
    case 343:
      ACCEPT_TOKEN(anon_sym_compl);
      END_STATE();
    case 344:
      if (lookahead == 'p') ADVANCE(445);
      END_STATE();
    case 345:
      ACCEPT_TOKEN(anon_sym_const);
      if (lookahead == 'e') ADVANCE(446);
      if (lookahead == 'i') ADVANCE(447);
      END_STATE();
    case 346:
      if (lookahead == 'n') ADVANCE(448);
      END_STATE();
    case 347:
      if (lookahead == 'y') ADVANCE(449);
      END_STATE();
    case 348:
      if (lookahead == 'l') ADVANCE(450);
      END_STATE();
    case 349:
      if (lookahead == 'e') ADVANCE(451);
      END_STATE();
    case 350:
      if (lookahead == 'e') ADVANCE(452);
      END_STATE();
    case 351:
      if (lookahead == 'r') ADVANCE(453);
      END_STATE();
    case 352:
      if (lookahead == 'c') ADVANCE(454);
      END_STATE();
    case 353:
      if (lookahead == 'n') ADVANCE(455);
      END_STATE();
    case 354:
      ACCEPT_TOKEN(anon_sym_final);
      END_STATE();
    case 355:
      if (lookahead == 'd') ADVANCE(456);
      END_STATE();
    case 356:
      if (lookahead == 'l') ADVANCE(457);
      END_STATE();
    case 357:
      if (lookahead == 's') ADVANCE(458);
      END_STATE();
    case 358:
      if (lookahead == 'e') ADVANCE(459);
      END_STATE();
    case 359:
      ACCEPT_TOKEN(anon_sym_inout);
      END_STATE();
    case 360:
      if (lookahead == 'd') ADVANCE(460);
      if (lookahead == 'r') ADVANCE(461);
      END_STATE();
    case 361:
      if (lookahead == 'l') ADVANCE(462);
      END_STATE();
    case 362:
      if (lookahead == 'p') ADVANCE(463);
      END_STATE();
    case 363:
      if (lookahead == 'e') ADVANCE(464);
      END_STATE();
    case 364:
      if (lookahead == 'e') ADVANCE(465);
      END_STATE();
    case 365:
      if (lookahead == 's') ADVANCE(466);
      END_STATE();
    case 366:
      if (lookahead == 'u') ADVANCE(467);
      END_STATE();
    case 367:
      if (lookahead == 'q') ADVANCE(468);
      END_STATE();
    case 368:
      if (lookahead == 't') ADVANCE(469);
      END_STATE();
    case 369:
      if (lookahead == 't') ADVANCE(470);
      END_STATE();
    case 370:
      if (lookahead == 't') ADVANCE(471);
      END_STATE();
    case 371:
      ACCEPT_TOKEN(anon_sym_or_eq);
      END_STATE();
    case 372:
      if (lookahead == 'i') ADVANCE(472);
      END_STATE();
    case 373:
      ACCEPT_TOKEN(anon_sym_point);
      END_STATE();
    case 374:
      if (lookahead == 's') ADVANCE(473);
      END_STATE();
    case 375:
      if (lookahead == 't') ADVANCE(474);
      END_STATE();
    case 376:
      if (lookahead == 'c') ADVANCE(475);
      END_STATE();
    case 377:
      if (lookahead == 'c') ADVANCE(476);
      END_STATE();
    case 378:
      if (lookahead == 't') ADVANCE(477);
      END_STATE();
    case 379:
      if (lookahead == 'r') ADVANCE(478);
      END_STATE();
    case 380:
      if (lookahead == 'i') ADVANCE(479);
      END_STATE();
    case 381:
      if (lookahead == 'n') ADVANCE(480);
      END_STATE();
    case 382:
      if (lookahead == 'a') ADVANCE(481);
      END_STATE();
    case 383:
      if (lookahead == 'e') ADVANCE(482);
      END_STATE();
    case 384:
      if (lookahead == 'd') ADVANCE(483);
      END_STATE();
    case 385:
      ACCEPT_TOKEN(anon_sym_short);
      END_STATE();
    case 386:
      if (lookahead == 'd') ADVANCE(484);
      END_STATE();
    case 387:
      if (lookahead == 'f') ADVANCE(485);
      END_STATE();
    case 388:
      ACCEPT_TOKEN(anon_sym_snorm);
      END_STATE();
    case 389:
      if (lookahead == 'c') ADVANCE(486);
      END_STATE();
    case 390:
      if (lookahead == 't') ADVANCE(487);
      END_STATE();
    case 391:
      if (lookahead == 'h') ADVANCE(488);
      END_STATE();
    case 392:
      if (lookahead == 'a') ADVANCE(489);
      END_STATE();
    case 393:
      if (lookahead == 'd') ADVANCE(490);
      END_STATE();
    case 394:
      ACCEPT_TOKEN(anon_sym_throw);
      END_STATE();
    case 395:
      if (lookahead == 'g') ADVANCE(491);
      END_STATE();
    case 396:
      if (lookahead == 'e') ADVANCE(492);
      END_STATE();
    case 397:
      if (lookahead == 'a') ADVANCE(493);
      END_STATE();
    case 398:
      if (lookahead == 'r') ADVANCE(494);
      END_STATE();
    case 399:
      ACCEPT_TOKEN(anon_sym_union);
      END_STATE();
    case 400:
      ACCEPT_TOKEN(anon_sym_unorm);
      END_STATE();
    case 401:
      if (lookahead == 'n') ADVANCE(495);
      END_STATE();
    case 402:
      ACCEPT_TOKEN(anon_sym_using);
      END_STATE();
    case 403:
      if (lookahead == 'a') ADVANCE(496);
      END_STATE();
    case 404:
      if (lookahead == 'i') ADVANCE(497);
      END_STATE();
    case 405:
      ACCEPT_TOKEN(anon_sym_while);
      END_STATE();
    case 406:
      if (lookahead == 'q') ADVANCE(498);
      END_STATE();
    case 407:
      if (lookahead == 'o') ADVANCE(499);
      END_STATE();
    case 408:
      if (lookahead == 'c') ADVANCE(500);
      END_STATE();
    case 409:
      if (lookahead == 'i') ADVANCE(501);
      END_STATE();
    case 410:
      if (lookahead == 'u') ADVANCE(502);
      END_STATE();
    case 411:
      if (lookahead == 'n') ADVANCE(503);
      END_STATE();
    case 412:
      if (lookahead == '_') ADVANCE(504);
      END_STATE();
    case 413:
      if (lookahead == 'i') ADVANCE(505);
      END_STATE();
    case 414:
      if (lookahead == 'd') ADVANCE(506);
      END_STATE();
    case 415:
      if (lookahead == 'l') ADVANCE(507);
      END_STATE();
    case 416:
      if (lookahead == 'a') ADVANCE(508);
      END_STATE();
    case 417:
      if (lookahead == 's') ADVANCE(509);
      END_STATE();
    case 418:
      if (lookahead == 'p') ADVANCE(510);
      END_STATE();
    case 419:
      if (lookahead == 'n') ADVANCE(511);
      END_STATE();
    case 420:
      if (lookahead == 'c') ADVANCE(512);
      END_STATE();
    case 421:
      if (lookahead == 'l') ADVANCE(513);
      END_STATE();
    case 422:
      if (lookahead == 'e') ADVANCE(514);
      END_STATE();
    case 423:
      if (lookahead == 'n') ADVANCE(515);
      END_STATE();
    case 424:
      if (lookahead == 'e') ADVANCE(516);
      END_STATE();
    case 425:
      if (lookahead == 'r') ADVANCE(517);
      END_STATE();
    case 426:
      ACCEPT_TOKEN(sym_ms_signed_ptr_modifier);
      END_STATE();
    case 427:
      if (lookahead == 'a') ADVANCE(518);
      END_STATE();
    case 428:
      if (lookahead == 'c') ADVANCE(519);
      END_STATE();
    case 429:
      if (lookahead == 'a') ADVANCE(520);
      END_STATE();
    case 430:
      if (lookahead == 'i') ADVANCE(521);
      END_STATE();
    case 431:
      ACCEPT_TOKEN(sym_ms_unsigned_ptr_modifier);
      END_STATE();
    case 432:
      if (lookahead == 'o') ADVANCE(522);
      END_STATE();
    case 433:
      if (lookahead == 'o') ADVANCE(523);
      END_STATE();
    case 434:
      if (lookahead == 'g') ADVANCE(524);
      END_STATE();
    case 435:
      if (lookahead == 's') ADVANCE(525);
      END_STATE();
    case 436:
      if (lookahead == 'f') ADVANCE(526);
      END_STATE();
    case 437:
      ACCEPT_TOKEN(anon_sym_and_eq);
      END_STATE();
    case 438:
      ACCEPT_TOKEN(anon_sym_bitand);
      END_STATE();
    case 439:
      if (lookahead == 'r') ADVANCE(527);
      END_STATE();
    case 440:
      if (lookahead == 'i') ADVANCE(528);
      END_STATE();
    case 441:
      if (lookahead == 'i') ADVANCE(529);
      END_STATE();
    case 442:
      if (lookahead == 'u') ADVANCE(530);
      END_STATE();
    case 443:
      if (lookahead == 'l') ADVANCE(531);
      END_STATE();
    case 444:
      if (lookahead == '_') ADVANCE(532);
      END_STATE();
    case 445:
      if (lookahead == 't') ADVANCE(533);
      END_STATE();
    case 446:
      if (lookahead == 'v') ADVANCE(534);
      if (lookahead == 'x') ADVANCE(535);
      END_STATE();
    case 447:
      if (lookahead == 'n') ADVANCE(536);
      END_STATE();
    case 448:
      if (lookahead == 'u') ADVANCE(537);
      END_STATE();
    case 449:
      if (lookahead == 'p') ADVANCE(538);
      END_STATE();
    case 450:
      if (lookahead == 't') ADVANCE(539);
      END_STATE();
    case 451:
      if (lookahead == 'd') ADVANCE(540);
      END_STATE();
    case 452:
      ACCEPT_TOKEN(anon_sym_delete);
      END_STATE();
    case 453:
      if (lookahead == 'd') ADVANCE(541);
      END_STATE();
    case 454:
      if (lookahead == 'i') ADVANCE(542);
      END_STATE();
    case 455:
      ACCEPT_TOKEN(anon_sym_extern);
      END_STATE();
    case 456:
      ACCEPT_TOKEN(anon_sym_friend);
      END_STATE();
    case 457:
      if (lookahead == 'l') ADVANCE(543);
      END_STATE();
    case 458:
      if (lookahead == 'h') ADVANCE(544);
      END_STATE();
    case 459:
      ACCEPT_TOKEN(anon_sym_inline);
      END_STATE();
    case 460:
      if (lookahead == 'j') ADVANCE(545);
      END_STATE();
    case 461:
      ACCEPT_TOKEN(anon_sym_linear);
      END_STATE();
    case 462:
      if (lookahead == 'e') ADVANCE(546);
      END_STATE();
    case 463:
      if (lookahead == 'a') ADVANCE(547);
      END_STATE();
    case 464:
      if (lookahead == 'p') ADVANCE(548);
      END_STATE();
    case 465:
      if (lookahead == 'r') ADVANCE(549);
      END_STATE();
    case 466:
      if (lookahead == 'p') ADVANCE(550);
      END_STATE();
    case 467:
      if (lookahead == 'r') ADVANCE(551);
      END_STATE();
    case 468:
      ACCEPT_TOKEN(anon_sym_not_eq);
      END_STATE();
    case 469:
      if (lookahead == 'r') ADVANCE(552);
      END_STATE();
    case 470:
      if (lookahead == 'o') ADVANCE(553);
      END_STATE();
    case 471:
      if (lookahead == 'o') ADVANCE(554);
      END_STATE();
    case 472:
      if (lookahead == 'd') ADVANCE(555);
      END_STATE();
    case 473:
      if (lookahead == 'e') ADVANCE(556);
      END_STATE();
    case 474:
      if (lookahead == 'e') ADVANCE(557);
      END_STATE();
    case 475:
      if (lookahead == 't') ADVANCE(558);
      END_STATE();
    case 476:
      ACCEPT_TOKEN(anon_sym_public);
      END_STATE();
    case 477:
      if (lookahead == 'e') ADVANCE(559);
      END_STATE();
    case 478:
      if (lookahead == 'e') ADVANCE(560);
      END_STATE();
    case 479:
      if (lookahead == 'c') ADVANCE(561);
      END_STATE();
    case 480:
      ACCEPT_TOKEN(anon_sym_return);
      END_STATE();
    case 481:
      if (lookahead == 'j') ADVANCE(562);
      END_STATE();
    case 482:
      ACCEPT_TOKEN(anon_sym_sample);
      END_STATE();
    case 483:
      ACCEPT_TOKEN(anon_sym_shared);
      END_STATE();
    case 484:
      ACCEPT_TOKEN(anon_sym_signed);
      END_STATE();
    case 485:
      ACCEPT_TOKEN(anon_sym_sizeof);
      END_STATE();
    case 486:
      ACCEPT_TOKEN(anon_sym_static);
      if (lookahead == '_') ADVANCE(563);
      END_STATE();
    case 487:
      ACCEPT_TOKEN(anon_sym_struct);
      END_STATE();
    case 488:
      ACCEPT_TOKEN(anon_sym_switch);
      END_STATE();
    case 489:
      if (lookahead == 't') ADVANCE(564);
      END_STATE();
    case 490:
      if (lookahead == '_') ADVANCE(565);
      END_STATE();
    case 491:
      if (lookahead == 'l') ADVANCE(566);
      END_STATE();
    case 492:
      if (lookahead == 'f') ADVANCE(567);
      END_STATE();
    case 493:
      if (lookahead == 'm') ADVANCE(568);
      END_STATE();
    case 494:
      if (lookahead == 'm') ADVANCE(569);
      END_STATE();
    case 495:
      if (lookahead == 'e') ADVANCE(570);
      END_STATE();
    case 496:
      if (lookahead == 'l') ADVANCE(571);
      END_STATE();
    case 497:
      if (lookahead == 'l') ADVANCE(572);
      END_STATE();
    case 498:
      ACCEPT_TOKEN(anon_sym_xor_eq);
      END_STATE();
    case 499:
      if (lookahead == 'f') ADVANCE(573);
      END_STATE();
    case 500:
      ACCEPT_TOKEN(anon_sym__Atomic);
      END_STATE();
    case 501:
      if (lookahead == 'c') ADVANCE(574);
      END_STATE();
    case 502:
      if (lookahead == 'r') ADVANCE(575);
      END_STATE();
    case 503:
      if (lookahead == 'o') ADVANCE(576);
      END_STATE();
    case 504:
      ACCEPT_TOKEN(anon_sym___asm__);
      END_STATE();
    case 505:
      if (lookahead == 'b') ADVANCE(577);
      END_STATE();
    case 506:
      ACCEPT_TOKEN(anon_sym___based);
      END_STATE();
    case 507:
      ACCEPT_TOKEN(anon_sym___cdecl);
      END_STATE();
    case 508:
      if (lookahead == 'l') ADVANCE(578);
      END_STATE();
    case 509:
      if (lookahead == 'p') ADVANCE(579);
      END_STATE();
    case 510:
      if (lookahead == 't') ADVANCE(580);
      END_STATE();
    case 511:
      if (lookahead == 's') ADVANCE(581);
      END_STATE();
    case 512:
      if (lookahead == 'a') ADVANCE(582);
      END_STATE();
    case 513:
      if (lookahead == 'l') ADVANCE(583);
      END_STATE();
    case 514:
      if (lookahead == 'i') ADVANCE(584);
      END_STATE();
    case 515:
      if (lookahead == 'e') ADVANCE(585);
      END_STATE();
    case 516:
      ACCEPT_TOKEN(anon_sym___leave);
      END_STATE();
    case 517:
      if (lookahead == 'i') ADVANCE(586);
      END_STATE();
    case 518:
      if (lookahead == 'l') ADVANCE(587);
      END_STATE();
    case 519:
      if (lookahead == 'a') ADVANCE(588);
      END_STATE();
    case 520:
      if (lookahead == 'd') ADVANCE(589);
      END_STATE();
    case 521:
      if (lookahead == 'g') ADVANCE(590);
      END_STATE();
    case 522:
      if (lookahead == 'r') ADVANCE(591);
      END_STATE();
    case 523:
      if (lookahead == 'f') ADVANCE(592);
      END_STATE();
    case 524:
      if (lookahead == 'n') ADVANCE(593);
      END_STATE();
    case 525:
      ACCEPT_TOKEN(anon_sym_alignas);
      END_STATE();
    case 526:
      ACCEPT_TOKEN(anon_sym_alignof);
      END_STATE();
    case 527:
      ACCEPT_TOKEN(anon_sym_cbuffer);
      END_STATE();
    case 528:
      if (lookahead == 'd') ADVANCE(594);
      END_STATE();
    case 529:
      if (lookahead == 't') ADVANCE(595);
      END_STATE();
    case 530:
      if (lookahead == 'r') ADVANCE(596);
      END_STATE();
    case 531:
      if (lookahead == 'd') ADVANCE(597);
      END_STATE();
    case 532:
      if (lookahead == 'm') ADVANCE(598);
      END_STATE();
    case 533:
      ACCEPT_TOKEN(anon_sym_concept);
      END_STATE();
    case 534:
      if (lookahead == 'a') ADVANCE(599);
      END_STATE();
    case 535:
      if (lookahead == 'p') ADVANCE(600);
      END_STATE();
    case 536:
      if (lookahead == 'i') ADVANCE(601);
      END_STATE();
    case 537:
      if (lookahead == 'e') ADVANCE(602);
      END_STATE();
    case 538:
      if (lookahead == 'e') ADVANCE(603);
      END_STATE();
    case 539:
      ACCEPT_TOKEN(anon_sym_default);
      END_STATE();
    case 540:
      ACCEPT_TOKEN(anon_sym_defined);
      END_STATE();
    case 541:
      ACCEPT_TOKEN(anon_sym_discard);
      END_STATE();
    case 542:
      if (lookahead == 't') ADVANCE(604);
      END_STATE();
    case 543:
      if (lookahead == 'y') ADVANCE(605);
      END_STATE();
    case 544:
      if (lookahead == 'a') ADVANCE(606);
      END_STATE();
    case 545:
      ACCEPT_TOKEN(anon_sym_lineadj);
      END_STATE();
    case 546:
      ACCEPT_TOKEN(anon_sym_mutable);
      END_STATE();
    case 547:
      if (lookahead == 'c') ADVANCE(607);
      END_STATE();
    case 548:
      if (lookahead == 't') ADVANCE(608);
      END_STATE();
    case 549:
      if (lookahead == 'p') ADVANCE(609);
      END_STATE();
    case 550:
      if (lookahead == 'e') ADVANCE(610);
      END_STATE();
    case 551:
      if (lookahead == 'n') ADVANCE(611);
      END_STATE();
    case 552:
      ACCEPT_TOKEN(anon_sym_nullptr);
      END_STATE();
    case 553:
      if (lookahead == 'f') ADVANCE(612);
      END_STATE();
    case 554:
      if (lookahead == 'r') ADVANCE(613);
      END_STATE();
    case 555:
      if (lookahead == 'e') ADVANCE(614);
      END_STATE();
    case 556:
      ACCEPT_TOKEN(anon_sym_precise);
      END_STATE();
    case 557:
      ACCEPT_TOKEN(anon_sym_private);
      END_STATE();
    case 558:
      if (lookahead == 'e') ADVANCE(615);
      END_STATE();
    case 559:
      if (lookahead == 'r') ADVANCE(616);
      END_STATE();
    case 560:
      if (lookahead == 's') ADVANCE(617);
      END_STATE();
    case 561:
      if (lookahead == 't') ADVANCE(618);
      END_STATE();
    case 562:
      if (lookahead == 'o') ADVANCE(619);
      END_STATE();
    case 563:
      if (lookahead == 'a') ADVANCE(620);
      END_STATE();
    case 564:
      if (lookahead == 'e') ADVANCE(621);
      END_STATE();
    case 565:
      if (lookahead == 'l') ADVANCE(622);
      END_STATE();
    case 566:
      if (lookahead == 'e') ADVANCE(623);
      END_STATE();
    case 567:
      ACCEPT_TOKEN(anon_sym_typedef);
      END_STATE();
    case 568:
      if (lookahead == 'e') ADVANCE(624);
      END_STATE();
    case 569:
      ACCEPT_TOKEN(anon_sym_uniform);
      END_STATE();
    case 570:
      if (lookahead == 'd') ADVANCE(625);
      END_STATE();
    case 571:
      ACCEPT_TOKEN(anon_sym_virtual);
      END_STATE();
    case 572:
      if (lookahead == 'e') ADVANCE(626);
      END_STATE();
    case 573:
      ACCEPT_TOKEN(anon_sym__Alignof);
      END_STATE();
    case 574:
      ACCEPT_TOKEN(anon_sym__Generic);
      END_STATE();
    case 575:
      if (lookahead == 'n') ADVANCE(627);
      END_STATE();
    case 576:
      if (lookahead == 'f') ADVANCE(628);
      END_STATE();
    case 577:
      if (lookahead == 'u') ADVANCE(629);
      END_STATE();
    case 578:
      if (lookahead == 'l') ADVANCE(630);
      END_STATE();
    case 579:
      if (lookahead == 'e') ADVANCE(631);
      END_STATE();
    case 580:
      ACCEPT_TOKEN(anon_sym___except);
      END_STATE();
    case 581:
      if (lookahead == 'i') ADVANCE(632);
      END_STATE();
    case 582:
      if (lookahead == 'l') ADVANCE(633);
      END_STATE();
    case 583:
      if (lookahead == 'y') ADVANCE(634);
      END_STATE();
    case 584:
      if (lookahead == 'n') ADVANCE(635);
      END_STATE();
    case 585:
      ACCEPT_TOKEN(anon_sym___inline);
      if (lookahead == '_') ADVANCE(636);
      END_STATE();
    case 586:
      if (lookahead == 'c') ADVANCE(637);
      END_STATE();
    case 587:
      if (lookahead == 'l') ADVANCE(638);
      END_STATE();
    case 588:
      if (lookahead == 'l') ADVANCE(639);
      END_STATE();
    case 589:
      ACCEPT_TOKEN(anon_sym___thread);
      END_STATE();
    case 590:
      if (lookahead == 'n') ADVANCE(640);
      END_STATE();
    case 591:
      if (lookahead == 'c') ADVANCE(641);
      END_STATE();
    case 592:
      ACCEPT_TOKEN(anon_sym__alignof);
      END_STATE();
    case 593:
      if (lookahead == 'e') ADVANCE(642);
      END_STATE();
    case 594:
      ACCEPT_TOKEN(anon_sym_centroid);
      END_STATE();
    case 595:
      ACCEPT_TOKEN(anon_sym_co_await);
      END_STATE();
    case 596:
      if (lookahead == 'n') ADVANCE(643);
      END_STATE();
    case 597:
      ACCEPT_TOKEN(anon_sym_co_yield);
      END_STATE();
    case 598:
      if (lookahead == 'a') ADVANCE(644);
      END_STATE();
    case 599:
      if (lookahead == 'l') ADVANCE(645);
      END_STATE();
    case 600:
      if (lookahead == 'r') ADVANCE(646);
      END_STATE();
    case 601:
      if (lookahead == 't') ADVANCE(647);
      END_STATE();
    case 602:
      ACCEPT_TOKEN(anon_sym_continue);
      END_STATE();
    case 603:
      ACCEPT_TOKEN(anon_sym_decltype);
      END_STATE();
    case 604:
      ACCEPT_TOKEN(anon_sym_explicit);
      END_STATE();
    case 605:
      if (lookahead == 'c') ADVANCE(648);
      END_STATE();
    case 606:
      if (lookahead == 'r') ADVANCE(649);
      END_STATE();
    case 607:
      if (lookahead == 'e') ADVANCE(650);
      END_STATE();
    case 608:
      ACCEPT_TOKEN(anon_sym_noexcept);
      END_STATE();
    case 609:
      if (lookahead == 'o') ADVANCE(651);
      END_STATE();
    case 610:
      if (lookahead == 'c') ADVANCE(652);
      END_STATE();
    case 611:
      ACCEPT_TOKEN(anon_sym_noreturn);
      END_STATE();
    case 612:
      ACCEPT_TOKEN(anon_sym_offsetof);
      END_STATE();
    case 613:
      ACCEPT_TOKEN(anon_sym_operator);
      END_STATE();
    case 614:
      ACCEPT_TOKEN(anon_sym_override);
      END_STATE();
    case 615:
      if (lookahead == 'd') ADVANCE(653);
      END_STATE();
    case 616:
      ACCEPT_TOKEN(anon_sym_register);
      END_STATE();
    case 617:
      ACCEPT_TOKEN(anon_sym_requires);
      END_STATE();
    case 618:
      ACCEPT_TOKEN(anon_sym_restrict);
      END_STATE();
    case 619:
      if (lookahead == 'r') ADVANCE(654);
      END_STATE();
    case 620:
      if (lookahead == 's') ADVANCE(655);
      END_STATE();
    case 621:
      ACCEPT_TOKEN(anon_sym_template);
      END_STATE();
    case 622:
      if (lookahead == 'o') ADVANCE(656);
      END_STATE();
    case 623:
      ACCEPT_TOKEN(anon_sym_triangle);
      if (lookahead == 'a') ADVANCE(657);
      END_STATE();
    case 624:
      ACCEPT_TOKEN(anon_sym_typename);
      END_STATE();
    case 625:
      ACCEPT_TOKEN(anon_sym_unsigned);
      END_STATE();
    case 626:
      ACCEPT_TOKEN(anon_sym_volatile);
      END_STATE();
    case 627:
      ACCEPT_TOKEN(anon_sym__Noreturn);
      END_STATE();
    case 628:
      ACCEPT_TOKEN(anon_sym___alignof);
      if (lookahead == '_') ADVANCE(658);
      END_STATE();
    case 629:
      if (lookahead == 't') ADVANCE(659);
      END_STATE();
    case 630:
      ACCEPT_TOKEN(anon_sym___clrcall);
      END_STATE();
    case 631:
      if (lookahead == 'c') ADVANCE(660);
      END_STATE();
    case 632:
      if (lookahead == 'o') ADVANCE(661);
      END_STATE();
    case 633:
      if (lookahead == 'l') ADVANCE(662);
      END_STATE();
    case 634:
      ACCEPT_TOKEN(anon_sym___finally);
      END_STATE();
    case 635:
      if (lookahead == 'l') ADVANCE(663);
      END_STATE();
    case 636:
      if (lookahead == '_') ADVANCE(664);
      END_STATE();
    case 637:
      if (lookahead == 't') ADVANCE(665);
      END_STATE();
    case 638:
      ACCEPT_TOKEN(anon_sym___stdcall);
      END_STATE();
    case 639:
      if (lookahead == 'l') ADVANCE(666);
      END_STATE();
    case 640:
      if (lookahead == 'e') ADVANCE(667);
      END_STATE();
    case 641:
      if (lookahead == 'a') ADVANCE(668);
      END_STATE();
    case 642:
      if (lookahead == 'd') ADVANCE(669);
      END_STATE();
    case 643:
      ACCEPT_TOKEN(anon_sym_co_return);
      END_STATE();
    case 644:
      if (lookahead == 'j') ADVANCE(670);
      END_STATE();
    case 645:
      ACCEPT_TOKEN(anon_sym_consteval);
      END_STATE();
    case 646:
      ACCEPT_TOKEN(anon_sym_constexpr);
      END_STATE();
    case 647:
      ACCEPT_TOKEN(anon_sym_constinit);
      END_STATE();
    case 648:
      if (lookahead == 'o') ADVANCE(671);
      END_STATE();
    case 649:
      if (lookahead == 'e') ADVANCE(672);
      END_STATE();
    case 650:
      ACCEPT_TOKEN(anon_sym_namespace);
      END_STATE();
    case 651:
      if (lookahead == 'l') ADVANCE(673);
      END_STATE();
    case 652:
      if (lookahead == 't') ADVANCE(674);
      END_STATE();
    case 653:
      ACCEPT_TOKEN(anon_sym_protected);
      END_STATE();
    case 654:
      ACCEPT_TOKEN(anon_sym_row_major);
      END_STATE();
    case 655:
      if (lookahead == 's') ADVANCE(675);
      END_STATE();
    case 656:
      if (lookahead == 'c') ADVANCE(676);
      END_STATE();
    case 657:
      if (lookahead == 'd') ADVANCE(677);
      END_STATE();
    case 658:
      if (lookahead == '_') ADVANCE(678);
      END_STATE();
    case 659:
      if (lookahead == 'e') ADVANCE(679);
      END_STATE();
    case 660:
      ACCEPT_TOKEN(anon_sym___declspec);
      END_STATE();
    case 661:
      if (lookahead == 'n') ADVANCE(680);
      END_STATE();
    case 662:
      ACCEPT_TOKEN(anon_sym___fastcall);
      END_STATE();
    case 663:
      if (lookahead == 'i') ADVANCE(681);
      END_STATE();
    case 664:
      ACCEPT_TOKEN(anon_sym___inline__);
      END_STATE();
    case 665:
      ACCEPT_TOKEN(sym_ms_restrict_modifier);
      if (lookahead == '_') ADVANCE(682);
      END_STATE();
    case 666:
      ACCEPT_TOKEN(anon_sym___thiscall);
      END_STATE();
    case 667:
      if (lookahead == 'd') ADVANCE(683);
      END_STATE();
    case 668:
      if (lookahead == 'l') ADVANCE(684);
      END_STATE();
    case 669:
      ACCEPT_TOKEN(anon_sym__unaligned);
      END_STATE();
    case 670:
      if (lookahead == 'o') ADVANCE(685);
      END_STATE();
    case 671:
      if (lookahead == 'h') ADVANCE(686);
      END_STATE();
    case 672:
      if (lookahead == 'd') ADVANCE(687);
      END_STATE();
    case 673:
      if (lookahead == 'a') ADVANCE(688);
      END_STATE();
    case 674:
      if (lookahead == 'i') ADVANCE(689);
      END_STATE();
    case 675:
      if (lookahead == 'e') ADVANCE(690);
      END_STATE();
    case 676:
      if (lookahead == 'a') ADVANCE(691);
      END_STATE();
    case 677:
      if (lookahead == 'j') ADVANCE(692);
      END_STATE();
    case 678:
      ACCEPT_TOKEN(anon_sym___alignof__);
      END_STATE();
    case 679:
      if (lookahead == '_') ADVANCE(693);
      END_STATE();
    case 680:
      if (lookahead == '_') ADVANCE(694);
      END_STATE();
    case 681:
      if (lookahead == 'n') ADVANCE(695);
      END_STATE();
    case 682:
      if (lookahead == '_') ADVANCE(696);
      END_STATE();
    case 683:
      ACCEPT_TOKEN(anon_sym___unaligned);
      END_STATE();
    case 684:
      if (lookahead == 'l') ADVANCE(697);
      END_STATE();
    case 685:
      if (lookahead == 'r') ADVANCE(698);
      END_STATE();
    case 686:
      if (lookahead == 'e') ADVANCE(699);
      END_STATE();
    case 687:
      ACCEPT_TOKEN(anon_sym_groupshared);
      END_STATE();
    case 688:
      if (lookahead == 't') ADVANCE(700);
      END_STATE();
    case 689:
      if (lookahead == 'v') ADVANCE(701);
      END_STATE();
    case 690:
      if (lookahead == 'r') ADVANCE(702);
      END_STATE();
    case 691:
      if (lookahead == 'l') ADVANCE(703);
      END_STATE();
    case 692:
      ACCEPT_TOKEN(anon_sym_triangleadj);
      END_STATE();
    case 693:
      if (lookahead == '_') ADVANCE(704);
      END_STATE();
    case 694:
      if (lookahead == '_') ADVANCE(705);
      END_STATE();
    case 695:
      if (lookahead == 'e') ADVANCE(706);
      END_STATE();
    case 696:
      ACCEPT_TOKEN(anon_sym___restrict__);
      END_STATE();
    case 697:
      ACCEPT_TOKEN(anon_sym___vectorcall);
      END_STATE();
    case 698:
      ACCEPT_TOKEN(anon_sym_column_major);
      END_STATE();
    case 699:
      if (lookahead == 'r') ADVANCE(707);
      END_STATE();
    case 700:
      if (lookahead == 'i') ADVANCE(708);
      END_STATE();
    case 701:
      if (lookahead == 'e') ADVANCE(709);
      END_STATE();
    case 702:
      if (lookahead == 't') ADVANCE(710);
      END_STATE();
    case 703:
      ACCEPT_TOKEN(anon_sym_thread_local);
      END_STATE();
    case 704:
      ACCEPT_TOKEN(anon_sym___attribute__);
      END_STATE();
    case 705:
      ACCEPT_TOKEN(anon_sym___extension__);
      END_STATE();
    case 706:
      ACCEPT_TOKEN(anon_sym___forceinline);
      END_STATE();
    case 707:
      if (lookahead == 'e') ADVANCE(711);
      END_STATE();
    case 708:
      if (lookahead == 'o') ADVANCE(712);
      END_STATE();
    case 709:
      ACCEPT_TOKEN(anon_sym_noperspective);
      END_STATE();
    case 710:
      ACCEPT_TOKEN(anon_sym_static_assert);
      END_STATE();
    case 711:
      if (lookahead == 'n') ADVANCE(713);
      END_STATE();
    case 712:
      if (lookahead == 'n') ADVANCE(714);
      END_STATE();
    case 713:
      if (lookahead == 't') ADVANCE(715);
      END_STATE();
    case 714:
      ACCEPT_TOKEN(anon_sym_nointerpolation);
      END_STATE();
    case 715:
      ACCEPT_TOKEN(anon_sym_globallycoherent);
      END_STATE();
    default:
      return false;
  }
}

static const TSLexMode ts_lex_modes[STATE_COUNT] = {
  [0] = {.lex_state = 0, .external_lex_state = 1},
  [1] = {.lex_state = 389},
  [2] = {.lex_state = 389},
  [3] = {.lex_state = 389},
  [4] = {.lex_state = 389},
  [5] = {.lex_state = 389},
  [6] = {.lex_state = 389},
  [7] = {.lex_state = 389},
  [8] = {.lex_state = 389},
  [9] = {.lex_state = 389},
  [10] = {.lex_state = 389},
  [11] = {.lex_state = 389},
  [12] = {.lex_state = 389},
  [13] = {.lex_state = 389},
  [14] = {.lex_state = 389},
  [15] = {.lex_state = 389},
  [16] = {.lex_state = 200},
  [17] = {.lex_state = 200},
  [18] = {.lex_state = 200},
  [19] = {.lex_state = 200},
  [20] = {.lex_state = 200},
  [21] = {.lex_state = 200},
  [22] = {.lex_state = 200},
  [23] = {.lex_state = 200},
  [24] = {.lex_state = 200},
  [25] = {.lex_state = 200},
  [26] = {.lex_state = 204},
  [27] = {.lex_state = 204},
  [28] = {.lex_state = 200},
  [29] = {.lex_state = 204},
  [30] = {.lex_state = 204},
  [31] = {.lex_state = 204},
  [32] = {.lex_state = 204},
  [33] = {.lex_state = 204},
  [34] = {.lex_state = 204},
  [35] = {.lex_state = 204},
  [36] = {.lex_state = 204},
  [37] = {.lex_state = 204},
  [38] = {.lex_state = 204},
  [39] = {.lex_state = 204},
  [40] = {.lex_state = 204},
  [41] = {.lex_state = 204},
  [42] = {.lex_state = 389},
  [43] = {.lex_state = 389},
  [44] = {.lex_state = 389},
  [45] = {.lex_state = 389},
  [46] = {.lex_state = 389},
  [47] = {.lex_state = 389},
  [48] = {.lex_state = 389},
  [49] = {.lex_state = 389},
  [50] = {.lex_state = 389},
  [51] = {.lex_state = 389},
  [52] = {.lex_state = 389},
  [53] = {.lex_state = 389},
  [54] = {.lex_state = 389},
  [55] = {.lex_state = 389},
  [56] = {.lex_state = 389},
  [57] = {.lex_state = 389},
  [58] = {.lex_state = 389},
  [59] = {.lex_state = 389},
  [60] = {.lex_state = 389},
  [61] = {.lex_state = 389},
  [62] = {.lex_state = 203},
  [63] = {.lex_state = 389},
  [64] = {.lex_state = 389},
  [65] = {.lex_state = 389},
  [66] = {.lex_state = 389},
  [67] = {.lex_state = 389},
  [68] = {.lex_state = 389},
  [69] = {.lex_state = 389},
  [70] = {.lex_state = 389},
  [71] = {.lex_state = 389},
  [72] = {.lex_state = 389},
  [73] = {.lex_state = 389},
  [74] = {.lex_state = 389},
  [75] = {.lex_state = 389},
  [76] = {.lex_state = 203},
  [77] = {.lex_state = 389},
  [78] = {.lex_state = 389},
  [79] = {.lex_state = 389},
  [80] = {.lex_state = 389},
  [81] = {.lex_state = 389},
  [82] = {.lex_state = 389},
  [83] = {.lex_state = 389},
  [84] = {.lex_state = 389},
  [85] = {.lex_state = 389},
  [86] = {.lex_state = 389},
  [87] = {.lex_state = 203},
  [88] = {.lex_state = 389},
  [89] = {.lex_state = 389},
  [90] = {.lex_state = 389},
  [91] = {.lex_state = 389},
  [92] = {.lex_state = 389},
  [93] = {.lex_state = 389},
  [94] = {.lex_state = 389},
  [95] = {.lex_state = 389},
  [96] = {.lex_state = 389},
  [97] = {.lex_state = 389},
  [98] = {.lex_state = 389},
  [99] = {.lex_state = 389},
  [100] = {.lex_state = 200},
  [101] = {.lex_state = 200},
  [102] = {.lex_state = 200},
  [103] = {.lex_state = 200},
  [104] = {.lex_state = 200},
  [105] = {.lex_state = 204},
  [106] = {.lex_state = 204},
  [107] = {.lex_state = 204},
  [108] = {.lex_state = 204},
  [109] = {.lex_state = 204},
  [110] = {.lex_state = 389},
  [111] = {.lex_state = 203},
  [112] = {.lex_state = 389},
  [113] = {.lex_state = 389},
  [114] = {.lex_state = 203},
  [115] = {.lex_state = 389},
  [116] = {.lex_state = 389},
  [117] = {.lex_state = 389},
  [118] = {.lex_state = 389},
  [119] = {.lex_state = 203},
  [120] = {.lex_state = 203},
  [121] = {.lex_state = 389},
  [122] = {.lex_state = 389},
  [123] = {.lex_state = 203},
  [124] = {.lex_state = 389},
  [125] = {.lex_state = 202},
  [126] = {.lex_state = 202},
  [127] = {.lex_state = 202},
  [128] = {.lex_state = 202},
  [129] = {.lex_state = 202},
  [130] = {.lex_state = 202},
  [131] = {.lex_state = 202},
  [132] = {.lex_state = 202},
  [133] = {.lex_state = 202},
  [134] = {.lex_state = 202},
  [135] = {.lex_state = 202},
  [136] = {.lex_state = 202},
  [137] = {.lex_state = 202},
  [138] = {.lex_state = 202},
  [139] = {.lex_state = 202},
  [140] = {.lex_state = 202},
  [141] = {.lex_state = 202},
  [142] = {.lex_state = 202},
  [143] = {.lex_state = 202},
  [144] = {.lex_state = 202},
  [145] = {.lex_state = 202},
  [146] = {.lex_state = 202},
  [147] = {.lex_state = 202},
  [148] = {.lex_state = 202},
  [149] = {.lex_state = 202},
  [150] = {.lex_state = 202},
  [151] = {.lex_state = 202},
  [152] = {.lex_state = 202},
  [153] = {.lex_state = 202},
  [154] = {.lex_state = 202},
  [155] = {.lex_state = 389},
  [156] = {.lex_state = 389},
  [157] = {.lex_state = 389},
  [158] = {.lex_state = 200},
  [159] = {.lex_state = 389},
  [160] = {.lex_state = 389},
  [161] = {.lex_state = 389},
  [162] = {.lex_state = 389},
  [163] = {.lex_state = 389},
  [164] = {.lex_state = 200},
  [165] = {.lex_state = 200},
  [166] = {.lex_state = 200},
  [167] = {.lex_state = 389},
  [168] = {.lex_state = 204},
  [169] = {.lex_state = 204},
  [170] = {.lex_state = 200},
  [171] = {.lex_state = 204},
  [172] = {.lex_state = 200},
  [173] = {.lex_state = 200},
  [174] = {.lex_state = 200},
  [175] = {.lex_state = 200},
  [176] = {.lex_state = 200},
  [177] = {.lex_state = 200},
  [178] = {.lex_state = 200},
  [179] = {.lex_state = 200},
  [180] = {.lex_state = 200},
  [181] = {.lex_state = 200},
  [182] = {.lex_state = 204},
  [183] = {.lex_state = 200},
  [184] = {.lex_state = 200},
  [185] = {.lex_state = 200},
  [186] = {.lex_state = 200},
  [187] = {.lex_state = 200},
  [188] = {.lex_state = 389},
  [189] = {.lex_state = 389},
  [190] = {.lex_state = 203},
  [191] = {.lex_state = 389},
  [192] = {.lex_state = 200},
  [193] = {.lex_state = 389},
  [194] = {.lex_state = 203},
  [195] = {.lex_state = 204},
  [196] = {.lex_state = 389},
  [197] = {.lex_state = 204},
  [198] = {.lex_state = 200},
  [199] = {.lex_state = 204},
  [200] = {.lex_state = 204},
  [201] = {.lex_state = 204},
  [202] = {.lex_state = 204},
  [203] = {.lex_state = 204},
  [204] = {.lex_state = 389},
  [205] = {.lex_state = 204},
  [206] = {.lex_state = 200},
  [207] = {.lex_state = 204},
  [208] = {.lex_state = 204},
  [209] = {.lex_state = 204},
  [210] = {.lex_state = 389},
  [211] = {.lex_state = 204},
  [212] = {.lex_state = 203},
  [213] = {.lex_state = 204},
  [214] = {.lex_state = 200},
  [215] = {.lex_state = 389},
  [216] = {.lex_state = 200},
  [217] = {.lex_state = 204},
  [218] = {.lex_state = 200},
  [219] = {.lex_state = 200},
  [220] = {.lex_state = 203},
  [221] = {.lex_state = 204},
  [222] = {.lex_state = 200},
  [223] = {.lex_state = 200},
  [224] = {.lex_state = 200},
  [225] = {.lex_state = 200},
  [226] = {.lex_state = 200},
  [227] = {.lex_state = 200},
  [228] = {.lex_state = 200},
  [229] = {.lex_state = 200},
  [230] = {.lex_state = 200},
  [231] = {.lex_state = 200},
  [232] = {.lex_state = 200},
  [233] = {.lex_state = 200},
  [234] = {.lex_state = 200},
  [235] = {.lex_state = 200},
  [236] = {.lex_state = 200},
  [237] = {.lex_state = 200},
  [238] = {.lex_state = 200},
  [239] = {.lex_state = 200},
  [240] = {.lex_state = 200},
  [241] = {.lex_state = 200},
  [242] = {.lex_state = 200},
  [243] = {.lex_state = 200},
  [244] = {.lex_state = 200},
  [245] = {.lex_state = 200},
  [246] = {.lex_state = 200},
  [247] = {.lex_state = 200},
  [248] = {.lex_state = 200},
  [249] = {.lex_state = 200},
  [250] = {.lex_state = 200},
  [251] = {.lex_state = 200},
  [252] = {.lex_state = 200},
  [253] = {.lex_state = 200},
  [254] = {.lex_state = 200},
  [255] = {.lex_state = 200},
  [256] = {.lex_state = 200},
  [257] = {.lex_state = 200},
  [258] = {.lex_state = 200},
  [259] = {.lex_state = 200},
  [260] = {.lex_state = 200},
  [261] = {.lex_state = 200},
  [262] = {.lex_state = 200},
  [263] = {.lex_state = 200},
  [264] = {.lex_state = 200},
  [265] = {.lex_state = 200},
  [266] = {.lex_state = 200},
  [267] = {.lex_state = 200},
  [268] = {.lex_state = 200},
  [269] = {.lex_state = 200},
  [270] = {.lex_state = 200},
  [271] = {.lex_state = 200},
  [272] = {.lex_state = 200},
  [273] = {.lex_state = 200},
  [274] = {.lex_state = 200},
  [275] = {.lex_state = 200},
  [276] = {.lex_state = 200},
  [277] = {.lex_state = 200},
  [278] = {.lex_state = 200},
  [279] = {.lex_state = 200},
  [280] = {.lex_state = 200},
  [281] = {.lex_state = 200},
  [282] = {.lex_state = 200},
  [283] = {.lex_state = 200},
  [284] = {.lex_state = 200},
  [285] = {.lex_state = 200},
  [286] = {.lex_state = 200},
  [287] = {.lex_state = 200},
  [288] = {.lex_state = 200},
  [289] = {.lex_state = 200},
  [290] = {.lex_state = 200},
  [291] = {.lex_state = 200},
  [292] = {.lex_state = 200},
  [293] = {.lex_state = 200},
  [294] = {.lex_state = 200},
  [295] = {.lex_state = 200},
  [296] = {.lex_state = 200},
  [297] = {.lex_state = 200},
  [298] = {.lex_state = 200},
  [299] = {.lex_state = 200},
  [300] = {.lex_state = 200},
  [301] = {.lex_state = 200},
  [302] = {.lex_state = 200},
  [303] = {.lex_state = 200},
  [304] = {.lex_state = 200},
  [305] = {.lex_state = 200},
  [306] = {.lex_state = 200},
  [307] = {.lex_state = 200},
  [308] = {.lex_state = 200},
  [309] = {.lex_state = 200},
  [310] = {.lex_state = 200},
  [311] = {.lex_state = 200},
  [312] = {.lex_state = 200},
  [313] = {.lex_state = 200},
  [314] = {.lex_state = 204},
  [315] = {.lex_state = 200},
  [316] = {.lex_state = 200},
  [317] = {.lex_state = 200},
  [318] = {.lex_state = 200},
  [319] = {.lex_state = 200},
  [320] = {.lex_state = 200},
  [321] = {.lex_state = 200},
  [322] = {.lex_state = 200},
  [323] = {.lex_state = 200},
  [324] = {.lex_state = 200},
  [325] = {.lex_state = 200},
  [326] = {.lex_state = 200},
  [327] = {.lex_state = 200},
  [328] = {.lex_state = 200},
  [329] = {.lex_state = 200},
  [330] = {.lex_state = 200},
  [331] = {.lex_state = 200},
  [332] = {.lex_state = 200},
  [333] = {.lex_state = 200},
  [334] = {.lex_state = 204},
  [335] = {.lex_state = 200},
  [336] = {.lex_state = 200},
  [337] = {.lex_state = 200},
  [338] = {.lex_state = 200},
  [339] = {.lex_state = 200},
  [340] = {.lex_state = 200},
  [341] = {.lex_state = 200},
  [342] = {.lex_state = 389},
  [343] = {.lex_state = 200},
  [344] = {.lex_state = 200},
  [345] = {.lex_state = 200},
  [346] = {.lex_state = 203},
  [347] = {.lex_state = 205},
  [348] = {.lex_state = 200},
  [349] = {.lex_state = 200},
  [350] = {.lex_state = 200},
  [351] = {.lex_state = 389},
  [352] = {.lex_state = 389},
  [353] = {.lex_state = 200},
  [354] = {.lex_state = 389},
  [355] = {.lex_state = 204},
  [356] = {.lex_state = 203},
  [357] = {.lex_state = 204},
  [358] = {.lex_state = 200},
  [359] = {.lex_state = 200},
  [360] = {.lex_state = 203},
  [361] = {.lex_state = 200},
  [362] = {.lex_state = 389},
  [363] = {.lex_state = 200},
  [364] = {.lex_state = 203},
  [365] = {.lex_state = 203},
  [366] = {.lex_state = 200},
  [367] = {.lex_state = 205},
  [368] = {.lex_state = 200},
  [369] = {.lex_state = 389},
  [370] = {.lex_state = 200},
  [371] = {.lex_state = 200},
  [372] = {.lex_state = 200},
  [373] = {.lex_state = 200},
  [374] = {.lex_state = 200},
  [375] = {.lex_state = 200},
  [376] = {.lex_state = 204},
  [377] = {.lex_state = 200},
  [378] = {.lex_state = 200},
  [379] = {.lex_state = 200},
  [380] = {.lex_state = 200},
  [381] = {.lex_state = 200},
  [382] = {.lex_state = 200},
  [383] = {.lex_state = 200},
  [384] = {.lex_state = 200},
  [385] = {.lex_state = 203},
  [386] = {.lex_state = 200},
  [387] = {.lex_state = 389},
  [388] = {.lex_state = 200},
  [389] = {.lex_state = 200},
  [390] = {.lex_state = 200},
  [391] = {.lex_state = 200},
  [392] = {.lex_state = 204},
  [393] = {.lex_state = 200},
  [394] = {.lex_state = 205},
  [395] = {.lex_state = 389},
  [396] = {.lex_state = 203},
  [397] = {.lex_state = 200},
  [398] = {.lex_state = 200},
  [399] = {.lex_state = 200},
  [400] = {.lex_state = 200},
  [401] = {.lex_state = 200},
  [402] = {.lex_state = 203},
  [403] = {.lex_state = 200},
  [404] = {.lex_state = 200},
  [405] = {.lex_state = 200},
  [406] = {.lex_state = 200},
  [407] = {.lex_state = 200},
  [408] = {.lex_state = 200},
  [409] = {.lex_state = 389},
  [410] = {.lex_state = 200},
  [411] = {.lex_state = 389},
  [412] = {.lex_state = 200},
  [413] = {.lex_state = 200},
  [414] = {.lex_state = 200},
  [415] = {.lex_state = 200},
  [416] = {.lex_state = 204},
  [417] = {.lex_state = 389},
  [418] = {.lex_state = 200},
  [419] = {.lex_state = 200},
  [420] = {.lex_state = 200},
  [421] = {.lex_state = 389},
  [422] = {.lex_state = 200},
  [423] = {.lex_state = 389},
  [424] = {.lex_state = 389},
  [425] = {.lex_state = 200},
  [426] = {.lex_state = 389},
  [427] = {.lex_state = 200},
  [428] = {.lex_state = 389},
  [429] = {.lex_state = 389},
  [430] = {.lex_state = 200},
  [431] = {.lex_state = 200},
  [432] = {.lex_state = 200},
  [433] = {.lex_state = 389},
  [434] = {.lex_state = 200},
  [435] = {.lex_state = 389},
  [436] = {.lex_state = 389},
  [437] = {.lex_state = 389},
  [438] = {.lex_state = 389},
  [439] = {.lex_state = 200},
  [440] = {.lex_state = 200},
  [441] = {.lex_state = 204},
  [442] = {.lex_state = 200},
  [443] = {.lex_state = 200},
  [444] = {.lex_state = 200},
  [445] = {.lex_state = 200},
  [446] = {.lex_state = 200},
  [447] = {.lex_state = 200},
  [448] = {.lex_state = 203},
  [449] = {.lex_state = 203},
  [450] = {.lex_state = 200},
  [451] = {.lex_state = 203},
  [452] = {.lex_state = 203},
  [453] = {.lex_state = 203},
  [454] = {.lex_state = 200},
  [455] = {.lex_state = 200},
  [456] = {.lex_state = 200},
  [457] = {.lex_state = 203},
  [458] = {.lex_state = 200},
  [459] = {.lex_state = 200},
  [460] = {.lex_state = 389},
  [461] = {.lex_state = 203},
  [462] = {.lex_state = 284},
  [463] = {.lex_state = 389},
  [464] = {.lex_state = 204},
  [465] = {.lex_state = 284},
  [466] = {.lex_state = 204},
  [467] = {.lex_state = 204},
  [468] = {.lex_state = 204},
  [469] = {.lex_state = 204},
  [470] = {.lex_state = 204},
  [471] = {.lex_state = 204},
  [472] = {.lex_state = 204},
  [473] = {.lex_state = 204},
  [474] = {.lex_state = 204},
  [475] = {.lex_state = 204},
  [476] = {.lex_state = 204},
  [477] = {.lex_state = 204},
  [478] = {.lex_state = 204},
  [479] = {.lex_state = 204},
  [480] = {.lex_state = 204},
  [481] = {.lex_state = 204},
  [482] = {.lex_state = 204},
  [483] = {.lex_state = 389},
  [484] = {.lex_state = 204},
  [485] = {.lex_state = 204},
  [486] = {.lex_state = 204},
  [487] = {.lex_state = 204},
  [488] = {.lex_state = 204},
  [489] = {.lex_state = 204},
  [490] = {.lex_state = 204},
  [491] = {.lex_state = 204},
  [492] = {.lex_state = 204},
  [493] = {.lex_state = 204},
  [494] = {.lex_state = 204},
  [495] = {.lex_state = 204},
  [496] = {.lex_state = 204},
  [497] = {.lex_state = 204},
  [498] = {.lex_state = 204},
  [499] = {.lex_state = 204},
  [500] = {.lex_state = 204},
  [501] = {.lex_state = 204},
  [502] = {.lex_state = 204},
  [503] = {.lex_state = 204},
  [504] = {.lex_state = 203},
  [505] = {.lex_state = 204},
  [506] = {.lex_state = 204},
  [507] = {.lex_state = 204},
  [508] = {.lex_state = 204},
  [509] = {.lex_state = 204},
  [510] = {.lex_state = 204},
  [511] = {.lex_state = 284},
  [512] = {.lex_state = 204},
  [513] = {.lex_state = 204},
  [514] = {.lex_state = 204},
  [515] = {.lex_state = 204},
  [516] = {.lex_state = 204},
  [517] = {.lex_state = 204},
  [518] = {.lex_state = 204},
  [519] = {.lex_state = 284},
  [520] = {.lex_state = 204},
  [521] = {.lex_state = 204},
  [522] = {.lex_state = 204},
  [523] = {.lex_state = 204},
  [524] = {.lex_state = 204},
  [525] = {.lex_state = 204},
  [526] = {.lex_state = 204},
  [527] = {.lex_state = 204},
  [528] = {.lex_state = 204},
  [529] = {.lex_state = 204},
  [530] = {.lex_state = 204},
  [531] = {.lex_state = 204},
  [532] = {.lex_state = 204},
  [533] = {.lex_state = 204},
  [534] = {.lex_state = 204},
  [535] = {.lex_state = 204},
  [536] = {.lex_state = 204},
  [537] = {.lex_state = 204},
  [538] = {.lex_state = 204},
  [539] = {.lex_state = 204},
  [540] = {.lex_state = 204},
  [541] = {.lex_state = 204},
  [542] = {.lex_state = 204},
  [543] = {.lex_state = 204},
  [544] = {.lex_state = 284},
  [545] = {.lex_state = 204},
  [546] = {.lex_state = 204},
  [547] = {.lex_state = 204},
  [548] = {.lex_state = 204},
  [549] = {.lex_state = 204},
  [550] = {.lex_state = 204},
  [551] = {.lex_state = 204},
  [552] = {.lex_state = 204},
  [553] = {.lex_state = 284},
  [554] = {.lex_state = 204},
  [555] = {.lex_state = 204},
  [556] = {.lex_state = 204},
  [557] = {.lex_state = 204},
  [558] = {.lex_state = 204},
  [559] = {.lex_state = 204},
  [560] = {.lex_state = 204},
  [561] = {.lex_state = 204},
  [562] = {.lex_state = 204},
  [563] = {.lex_state = 204},
  [564] = {.lex_state = 284},
  [565] = {.lex_state = 204},
  [566] = {.lex_state = 204},
  [567] = {.lex_state = 204},
  [568] = {.lex_state = 204},
  [569] = {.lex_state = 204},
  [570] = {.lex_state = 204},
  [571] = {.lex_state = 204},
  [572] = {.lex_state = 204},
  [573] = {.lex_state = 204},
  [574] = {.lex_state = 204},
  [575] = {.lex_state = 204},
  [576] = {.lex_state = 204},
  [577] = {.lex_state = 204},
  [578] = {.lex_state = 204},
  [579] = {.lex_state = 204},
  [580] = {.lex_state = 284},
  [581] = {.lex_state = 204},
  [582] = {.lex_state = 204},
  [583] = {.lex_state = 204},
  [584] = {.lex_state = 204},
  [585] = {.lex_state = 204},
  [586] = {.lex_state = 204},
  [587] = {.lex_state = 204},
  [588] = {.lex_state = 204},
  [589] = {.lex_state = 203},
  [590] = {.lex_state = 204},
  [591] = {.lex_state = 204},
  [592] = {.lex_state = 204},
  [593] = {.lex_state = 204},
  [594] = {.lex_state = 204},
  [595] = {.lex_state = 204},
  [596] = {.lex_state = 204},
  [597] = {.lex_state = 204},
  [598] = {.lex_state = 202},
  [599] = {.lex_state = 389},
  [600] = {.lex_state = 204},
  [601] = {.lex_state = 204},
  [602] = {.lex_state = 204},
  [603] = {.lex_state = 204},
  [604] = {.lex_state = 204},
  [605] = {.lex_state = 389},
  [606] = {.lex_state = 204},
  [607] = {.lex_state = 204},
  [608] = {.lex_state = 204},
  [609] = {.lex_state = 204},
  [610] = {.lex_state = 204},
  [611] = {.lex_state = 204},
  [612] = {.lex_state = 204},
  [613] = {.lex_state = 204},
  [614] = {.lex_state = 204},
  [615] = {.lex_state = 204},
  [616] = {.lex_state = 204},
  [617] = {.lex_state = 204},
  [618] = {.lex_state = 204},
  [619] = {.lex_state = 204},
  [620] = {.lex_state = 204},
  [621] = {.lex_state = 204},
  [622] = {.lex_state = 204},
  [623] = {.lex_state = 204},
  [624] = {.lex_state = 204},
  [625] = {.lex_state = 204},
  [626] = {.lex_state = 204},
  [627] = {.lex_state = 204},
  [628] = {.lex_state = 204},
  [629] = {.lex_state = 389},
  [630] = {.lex_state = 204},
  [631] = {.lex_state = 204},
  [632] = {.lex_state = 202},
  [633] = {.lex_state = 202},
  [634] = {.lex_state = 204},
  [635] = {.lex_state = 204},
  [636] = {.lex_state = 204},
  [637] = {.lex_state = 204},
  [638] = {.lex_state = 204},
  [639] = {.lex_state = 204},
  [640] = {.lex_state = 204},
  [641] = {.lex_state = 204},
  [642] = {.lex_state = 204},
  [643] = {.lex_state = 204},
  [644] = {.lex_state = 204},
  [645] = {.lex_state = 204},
  [646] = {.lex_state = 389},
  [647] = {.lex_state = 203},
  [648] = {.lex_state = 204},
  [649] = {.lex_state = 204},
  [650] = {.lex_state = 203},
  [651] = {.lex_state = 204},
  [652] = {.lex_state = 204},
  [653] = {.lex_state = 204},
  [654] = {.lex_state = 204},
  [655] = {.lex_state = 389},
  [656] = {.lex_state = 389},
  [657] = {.lex_state = 203},
  [658] = {.lex_state = 389},
  [659] = {.lex_state = 204},
  [660] = {.lex_state = 204},
  [661] = {.lex_state = 204},
  [662] = {.lex_state = 204},
  [663] = {.lex_state = 389},
  [664] = {.lex_state = 203},
  [665] = {.lex_state = 204},
  [666] = {.lex_state = 204},
  [667] = {.lex_state = 204},
  [668] = {.lex_state = 204},
  [669] = {.lex_state = 204},
  [670] = {.lex_state = 204},
  [671] = {.lex_state = 204},
  [672] = {.lex_state = 204},
  [673] = {.lex_state = 204},
  [674] = {.lex_state = 204},
  [675] = {.lex_state = 389},
  [676] = {.lex_state = 204},
  [677] = {.lex_state = 204},
  [678] = {.lex_state = 204},
  [679] = {.lex_state = 203},
  [680] = {.lex_state = 389},
  [681] = {.lex_state = 204},
  [682] = {.lex_state = 204},
  [683] = {.lex_state = 203},
  [684] = {.lex_state = 389},
  [685] = {.lex_state = 389},
  [686] = {.lex_state = 389},
  [687] = {.lex_state = 389},
  [688] = {.lex_state = 389},
  [689] = {.lex_state = 389},
  [690] = {.lex_state = 389},
  [691] = {.lex_state = 389},
  [692] = {.lex_state = 389},
  [693] = {.lex_state = 389},
  [694] = {.lex_state = 389},
  [695] = {.lex_state = 389},
  [696] = {.lex_state = 203},
  [697] = {.lex_state = 389},
  [698] = {.lex_state = 389},
  [699] = {.lex_state = 389},
  [700] = {.lex_state = 389},
  [701] = {.lex_state = 389},
  [702] = {.lex_state = 389},
  [703] = {.lex_state = 389},
  [704] = {.lex_state = 389},
  [705] = {.lex_state = 389},
  [706] = {.lex_state = 389},
  [707] = {.lex_state = 389},
  [708] = {.lex_state = 203},
  [709] = {.lex_state = 389},
  [710] = {.lex_state = 389},
  [711] = {.lex_state = 389},
  [712] = {.lex_state = 389},
  [713] = {.lex_state = 389},
  [714] = {.lex_state = 203},
  [715] = {.lex_state = 389},
  [716] = {.lex_state = 203},
  [717] = {.lex_state = 203},
  [718] = {.lex_state = 203},
  [719] = {.lex_state = 389},
  [720] = {.lex_state = 389},
  [721] = {.lex_state = 203},
  [722] = {.lex_state = 389},
  [723] = {.lex_state = 389},
  [724] = {.lex_state = 203},
  [725] = {.lex_state = 203},
  [726] = {.lex_state = 203},
  [727] = {.lex_state = 203},
  [728] = {.lex_state = 203},
  [729] = {.lex_state = 203},
  [730] = {.lex_state = 389},
  [731] = {.lex_state = 389},
  [732] = {.lex_state = 203},
  [733] = {.lex_state = 203},
  [734] = {.lex_state = 203},
  [735] = {.lex_state = 203},
  [736] = {.lex_state = 389},
  [737] = {.lex_state = 389},
  [738] = {.lex_state = 389},
  [739] = {.lex_state = 203},
  [740] = {.lex_state = 389},
  [741] = {.lex_state = 389},
  [742] = {.lex_state = 389},
  [743] = {.lex_state = 389},
  [744] = {.lex_state = 203},
  [745] = {.lex_state = 203},
  [746] = {.lex_state = 203},
  [747] = {.lex_state = 389},
  [748] = {.lex_state = 389},
  [749] = {.lex_state = 203},
  [750] = {.lex_state = 389},
  [751] = {.lex_state = 203},
  [752] = {.lex_state = 389},
  [753] = {.lex_state = 203},
  [754] = {.lex_state = 203},
  [755] = {.lex_state = 389},
  [756] = {.lex_state = 203},
  [757] = {.lex_state = 203},
  [758] = {.lex_state = 203},
  [759] = {.lex_state = 389},
  [760] = {.lex_state = 203},
  [761] = {.lex_state = 203},
  [762] = {.lex_state = 389},
  [763] = {.lex_state = 389},
  [764] = {.lex_state = 389},
  [765] = {.lex_state = 389},
  [766] = {.lex_state = 389},
  [767] = {.lex_state = 389},
  [768] = {.lex_state = 389},
  [769] = {.lex_state = 203},
  [770] = {.lex_state = 389},
  [771] = {.lex_state = 389},
  [772] = {.lex_state = 203},
  [773] = {.lex_state = 389},
  [774] = {.lex_state = 389},
  [775] = {.lex_state = 389},
  [776] = {.lex_state = 389},
  [777] = {.lex_state = 389},
  [778] = {.lex_state = 203},
  [779] = {.lex_state = 203},
  [780] = {.lex_state = 203},
  [781] = {.lex_state = 389},
  [782] = {.lex_state = 203},
  [783] = {.lex_state = 203},
  [784] = {.lex_state = 389},
  [785] = {.lex_state = 203},
  [786] = {.lex_state = 389},
  [787] = {.lex_state = 203},
  [788] = {.lex_state = 389},
  [789] = {.lex_state = 389},
  [790] = {.lex_state = 389},
  [791] = {.lex_state = 203},
  [792] = {.lex_state = 203},
  [793] = {.lex_state = 389},
  [794] = {.lex_state = 389},
  [795] = {.lex_state = 203},
  [796] = {.lex_state = 389},
  [797] = {.lex_state = 389},
  [798] = {.lex_state = 389},
  [799] = {.lex_state = 389},
  [800] = {.lex_state = 203},
  [801] = {.lex_state = 203},
  [802] = {.lex_state = 389},
  [803] = {.lex_state = 203},
  [804] = {.lex_state = 389},
  [805] = {.lex_state = 203},
  [806] = {.lex_state = 389},
  [807] = {.lex_state = 389},
  [808] = {.lex_state = 203},
  [809] = {.lex_state = 389},
  [810] = {.lex_state = 389},
  [811] = {.lex_state = 203},
  [812] = {.lex_state = 389},
  [813] = {.lex_state = 389},
  [814] = {.lex_state = 389},
  [815] = {.lex_state = 389},
  [816] = {.lex_state = 389},
  [817] = {.lex_state = 389},
  [818] = {.lex_state = 389},
  [819] = {.lex_state = 389},
  [820] = {.lex_state = 389},
  [821] = {.lex_state = 389},
  [822] = {.lex_state = 389},
  [823] = {.lex_state = 389},
  [824] = {.lex_state = 389},
  [825] = {.lex_state = 389},
  [826] = {.lex_state = 389},
  [827] = {.lex_state = 389},
  [828] = {.lex_state = 389},
  [829] = {.lex_state = 389},
  [830] = {.lex_state = 389},
  [831] = {.lex_state = 203},
  [832] = {.lex_state = 203},
  [833] = {.lex_state = 203},
  [834] = {.lex_state = 389},
  [835] = {.lex_state = 389},
  [836] = {.lex_state = 389},
  [837] = {.lex_state = 203},
  [838] = {.lex_state = 389},
  [839] = {.lex_state = 203},
  [840] = {.lex_state = 389},
  [841] = {.lex_state = 389},
  [842] = {.lex_state = 389},
  [843] = {.lex_state = 389},
  [844] = {.lex_state = 389},
  [845] = {.lex_state = 389},
  [846] = {.lex_state = 389},
  [847] = {.lex_state = 389},
  [848] = {.lex_state = 389},
  [849] = {.lex_state = 389},
  [850] = {.lex_state = 389},
  [851] = {.lex_state = 389},
  [852] = {.lex_state = 389},
  [853] = {.lex_state = 203},
  [854] = {.lex_state = 203},
  [855] = {.lex_state = 389},
  [856] = {.lex_state = 203},
  [857] = {.lex_state = 389},
  [858] = {.lex_state = 389},
  [859] = {.lex_state = 389},
  [860] = {.lex_state = 389},
  [861] = {.lex_state = 389},
  [862] = {.lex_state = 389},
  [863] = {.lex_state = 389},
  [864] = {.lex_state = 389},
  [865] = {.lex_state = 389},
  [866] = {.lex_state = 389},
  [867] = {.lex_state = 389},
  [868] = {.lex_state = 389},
  [869] = {.lex_state = 389},
  [870] = {.lex_state = 389},
  [871] = {.lex_state = 203},
  [872] = {.lex_state = 389},
  [873] = {.lex_state = 389},
  [874] = {.lex_state = 389},
  [875] = {.lex_state = 389},
  [876] = {.lex_state = 389},
  [877] = {.lex_state = 389},
  [878] = {.lex_state = 203},
  [879] = {.lex_state = 389},
  [880] = {.lex_state = 389},
  [881] = {.lex_state = 389},
  [882] = {.lex_state = 203},
  [883] = {.lex_state = 389},
  [884] = {.lex_state = 389},
  [885] = {.lex_state = 389},
  [886] = {.lex_state = 389},
  [887] = {.lex_state = 203},
  [888] = {.lex_state = 389},
  [889] = {.lex_state = 203},
  [890] = {.lex_state = 389},
  [891] = {.lex_state = 389},
  [892] = {.lex_state = 389},
  [893] = {.lex_state = 389},
  [894] = {.lex_state = 203},
  [895] = {.lex_state = 203},
  [896] = {.lex_state = 389},
  [897] = {.lex_state = 389},
  [898] = {.lex_state = 389},
  [899] = {.lex_state = 389},
  [900] = {.lex_state = 389},
  [901] = {.lex_state = 389},
  [902] = {.lex_state = 203},
  [903] = {.lex_state = 203},
  [904] = {.lex_state = 203},
  [905] = {.lex_state = 389},
  [906] = {.lex_state = 389},
  [907] = {.lex_state = 203},
  [908] = {.lex_state = 389},
  [909] = {.lex_state = 389},
  [910] = {.lex_state = 389},
  [911] = {.lex_state = 389},
  [912] = {.lex_state = 389},
  [913] = {.lex_state = 389},
  [914] = {.lex_state = 389},
  [915] = {.lex_state = 203},
  [916] = {.lex_state = 203},
  [917] = {.lex_state = 389},
  [918] = {.lex_state = 389},
  [919] = {.lex_state = 389},
  [920] = {.lex_state = 389},
  [921] = {.lex_state = 203},
  [922] = {.lex_state = 389},
  [923] = {.lex_state = 389},
  [924] = {.lex_state = 203},
  [925] = {.lex_state = 389},
  [926] = {.lex_state = 389},
  [927] = {.lex_state = 203},
  [928] = {.lex_state = 203},
  [929] = {.lex_state = 389},
  [930] = {.lex_state = 389},
  [931] = {.lex_state = 203},
  [932] = {.lex_state = 389},
  [933] = {.lex_state = 389},
  [934] = {.lex_state = 389},
  [935] = {.lex_state = 389},
  [936] = {.lex_state = 203},
  [937] = {.lex_state = 389},
  [938] = {.lex_state = 389},
  [939] = {.lex_state = 389},
  [940] = {.lex_state = 203},
  [941] = {.lex_state = 389},
  [942] = {.lex_state = 203},
  [943] = {.lex_state = 203},
  [944] = {.lex_state = 389},
  [945] = {.lex_state = 203},
  [946] = {.lex_state = 203},
  [947] = {.lex_state = 389},
  [948] = {.lex_state = 203},
  [949] = {.lex_state = 389},
  [950] = {.lex_state = 389},
  [951] = {.lex_state = 203},
  [952] = {.lex_state = 389},
  [953] = {.lex_state = 203},
  [954] = {.lex_state = 389},
  [955] = {.lex_state = 389},
  [956] = {.lex_state = 389},
  [957] = {.lex_state = 389},
  [958] = {.lex_state = 389},
  [959] = {.lex_state = 389},
  [960] = {.lex_state = 389},
  [961] = {.lex_state = 389},
  [962] = {.lex_state = 389},
  [963] = {.lex_state = 389},
  [964] = {.lex_state = 389},
  [965] = {.lex_state = 389},
  [966] = {.lex_state = 389},
  [967] = {.lex_state = 389},
  [968] = {.lex_state = 389},
  [969] = {.lex_state = 389},
  [970] = {.lex_state = 389},
  [971] = {.lex_state = 389},
  [972] = {.lex_state = 389},
  [973] = {.lex_state = 389},
  [974] = {.lex_state = 203},
  [975] = {.lex_state = 389},
  [976] = {.lex_state = 389},
  [977] = {.lex_state = 389},
  [978] = {.lex_state = 203},
  [979] = {.lex_state = 389},
  [980] = {.lex_state = 389},
  [981] = {.lex_state = 203},
  [982] = {.lex_state = 389},
  [983] = {.lex_state = 389},
  [984] = {.lex_state = 389},
  [985] = {.lex_state = 203},
  [986] = {.lex_state = 203},
  [987] = {.lex_state = 389},
  [988] = {.lex_state = 389},
  [989] = {.lex_state = 389},
  [990] = {.lex_state = 203},
  [991] = {.lex_state = 203},
  [992] = {.lex_state = 203},
  [993] = {.lex_state = 389},
  [994] = {.lex_state = 203},
  [995] = {.lex_state = 389},
  [996] = {.lex_state = 203},
  [997] = {.lex_state = 389},
  [998] = {.lex_state = 203},
  [999] = {.lex_state = 389},
  [1000] = {.lex_state = 389},
  [1001] = {.lex_state = 203},
  [1002] = {.lex_state = 389},
  [1003] = {.lex_state = 389},
  [1004] = {.lex_state = 389},
  [1005] = {.lex_state = 389},
  [1006] = {.lex_state = 203},
  [1007] = {.lex_state = 203},
  [1008] = {.lex_state = 203},
  [1009] = {.lex_state = 203},
  [1010] = {.lex_state = 203},
  [1011] = {.lex_state = 203},
  [1012] = {.lex_state = 389},
  [1013] = {.lex_state = 389},
  [1014] = {.lex_state = 203},
  [1015] = {.lex_state = 389},
  [1016] = {.lex_state = 389},
  [1017] = {.lex_state = 203},
  [1018] = {.lex_state = 389},
  [1019] = {.lex_state = 203},
  [1020] = {.lex_state = 203},
  [1021] = {.lex_state = 389},
  [1022] = {.lex_state = 203},
  [1023] = {.lex_state = 389},
  [1024] = {.lex_state = 203},
  [1025] = {.lex_state = 203},
  [1026] = {.lex_state = 203},
  [1027] = {.lex_state = 203},
  [1028] = {.lex_state = 203},
  [1029] = {.lex_state = 203},
  [1030] = {.lex_state = 389},
  [1031] = {.lex_state = 203},
  [1032] = {.lex_state = 203},
  [1033] = {.lex_state = 389},
  [1034] = {.lex_state = 203},
  [1035] = {.lex_state = 203},
  [1036] = {.lex_state = 203},
  [1037] = {.lex_state = 203},
  [1038] = {.lex_state = 203},
  [1039] = {.lex_state = 389},
  [1040] = {.lex_state = 389},
  [1041] = {.lex_state = 389},
  [1042] = {.lex_state = 389},
  [1043] = {.lex_state = 389},
  [1044] = {.lex_state = 389},
  [1045] = {.lex_state = 203},
  [1046] = {.lex_state = 203},
  [1047] = {.lex_state = 203},
  [1048] = {.lex_state = 389},
  [1049] = {.lex_state = 389},
  [1050] = {.lex_state = 389},
  [1051] = {.lex_state = 389},
  [1052] = {.lex_state = 203},
  [1053] = {.lex_state = 389},
  [1054] = {.lex_state = 389},
  [1055] = {.lex_state = 389},
  [1056] = {.lex_state = 389},
  [1057] = {.lex_state = 389},
  [1058] = {.lex_state = 389},
  [1059] = {.lex_state = 389},
  [1060] = {.lex_state = 203},
  [1061] = {.lex_state = 389},
  [1062] = {.lex_state = 203},
  [1063] = {.lex_state = 203},
  [1064] = {.lex_state = 203},
  [1065] = {.lex_state = 389},
  [1066] = {.lex_state = 389},
  [1067] = {.lex_state = 389},
  [1068] = {.lex_state = 203},
  [1069] = {.lex_state = 389},
  [1070] = {.lex_state = 203},
  [1071] = {.lex_state = 389},
  [1072] = {.lex_state = 203},
  [1073] = {.lex_state = 389},
  [1074] = {.lex_state = 389},
  [1075] = {.lex_state = 389},
  [1076] = {.lex_state = 203},
  [1077] = {.lex_state = 203},
  [1078] = {.lex_state = 203},
  [1079] = {.lex_state = 389},
  [1080] = {.lex_state = 254},
  [1081] = {.lex_state = 389},
  [1082] = {.lex_state = 203},
  [1083] = {.lex_state = 389},
  [1084] = {.lex_state = 389},
  [1085] = {.lex_state = 389},
  [1086] = {.lex_state = 389},
  [1087] = {.lex_state = 389},
  [1088] = {.lex_state = 389},
  [1089] = {.lex_state = 254},
  [1090] = {.lex_state = 203},
  [1091] = {.lex_state = 389},
  [1092] = {.lex_state = 389},
  [1093] = {.lex_state = 203},
  [1094] = {.lex_state = 254},
  [1095] = {.lex_state = 203},
  [1096] = {.lex_state = 203},
  [1097] = {.lex_state = 389},
  [1098] = {.lex_state = 389},
  [1099] = {.lex_state = 389},
  [1100] = {.lex_state = 203},
  [1101] = {.lex_state = 203},
  [1102] = {.lex_state = 284},
  [1103] = {.lex_state = 203},
  [1104] = {.lex_state = 254},
  [1105] = {.lex_state = 389},
  [1106] = {.lex_state = 203},
  [1107] = {.lex_state = 203},
  [1108] = {.lex_state = 389},
  [1109] = {.lex_state = 389},
  [1110] = {.lex_state = 254},
  [1111] = {.lex_state = 202},
  [1112] = {.lex_state = 389},
  [1113] = {.lex_state = 203},
  [1114] = {.lex_state = 203},
  [1115] = {.lex_state = 203},
  [1116] = {.lex_state = 203},
  [1117] = {.lex_state = 389},
  [1118] = {.lex_state = 203},
  [1119] = {.lex_state = 254},
  [1120] = {.lex_state = 254},
  [1121] = {.lex_state = 203},
  [1122] = {.lex_state = 389},
  [1123] = {.lex_state = 254},
  [1124] = {.lex_state = 203},
  [1125] = {.lex_state = 389},
  [1126] = {.lex_state = 389},
  [1127] = {.lex_state = 203},
  [1128] = {.lex_state = 203},
  [1129] = {.lex_state = 203},
  [1130] = {.lex_state = 203},
  [1131] = {.lex_state = 203},
  [1132] = {.lex_state = 203},
  [1133] = {.lex_state = 203},
  [1134] = {.lex_state = 203},
  [1135] = {.lex_state = 203},
  [1136] = {.lex_state = 203},
  [1137] = {.lex_state = 203},
  [1138] = {.lex_state = 389},
  [1139] = {.lex_state = 203},
  [1140] = {.lex_state = 389},
  [1141] = {.lex_state = 389},
  [1142] = {.lex_state = 389},
  [1143] = {.lex_state = 203},
  [1144] = {.lex_state = 203},
  [1145] = {.lex_state = 203},
  [1146] = {.lex_state = 203},
  [1147] = {.lex_state = 389},
  [1148] = {.lex_state = 203},
  [1149] = {.lex_state = 389},
  [1150] = {.lex_state = 203},
  [1151] = {.lex_state = 203},
  [1152] = {.lex_state = 389},
  [1153] = {.lex_state = 203},
  [1154] = {.lex_state = 203},
  [1155] = {.lex_state = 389},
  [1156] = {.lex_state = 203},
  [1157] = {.lex_state = 203},
  [1158] = {.lex_state = 389},
  [1159] = {.lex_state = 203},
  [1160] = {.lex_state = 203},
  [1161] = {.lex_state = 203},
  [1162] = {.lex_state = 389},
  [1163] = {.lex_state = 203},
  [1164] = {.lex_state = 203},
  [1165] = {.lex_state = 389},
  [1166] = {.lex_state = 254},
  [1167] = {.lex_state = 203},
  [1168] = {.lex_state = 203},
  [1169] = {.lex_state = 389},
  [1170] = {.lex_state = 203},
  [1171] = {.lex_state = 203},
  [1172] = {.lex_state = 389},
  [1173] = {.lex_state = 389},
  [1174] = {.lex_state = 389},
  [1175] = {.lex_state = 389},
  [1176] = {.lex_state = 389},
  [1177] = {.lex_state = 389},
  [1178] = {.lex_state = 254},
  [1179] = {.lex_state = 389},
  [1180] = {.lex_state = 389},
  [1181] = {.lex_state = 254},
  [1182] = {.lex_state = 203},
  [1183] = {.lex_state = 389},
  [1184] = {.lex_state = 203},
  [1185] = {.lex_state = 203},
  [1186] = {.lex_state = 203},
  [1187] = {.lex_state = 389},
  [1188] = {.lex_state = 203},
  [1189] = {.lex_state = 203},
  [1190] = {.lex_state = 254},
  [1191] = {.lex_state = 389},
  [1192] = {.lex_state = 389},
  [1193] = {.lex_state = 389},
  [1194] = {.lex_state = 203},
  [1195] = {.lex_state = 203},
  [1196] = {.lex_state = 389},
  [1197] = {.lex_state = 203},
  [1198] = {.lex_state = 389},
  [1199] = {.lex_state = 254},
  [1200] = {.lex_state = 389},
  [1201] = {.lex_state = 389},
  [1202] = {.lex_state = 389},
  [1203] = {.lex_state = 389},
  [1204] = {.lex_state = 282},
  [1205] = {.lex_state = 282},
  [1206] = {.lex_state = 282},
  [1207] = {.lex_state = 282},
  [1208] = {.lex_state = 282},
  [1209] = {.lex_state = 282},
  [1210] = {.lex_state = 282},
  [1211] = {.lex_state = 282},
  [1212] = {.lex_state = 282},
  [1213] = {.lex_state = 282},
  [1214] = {.lex_state = 282},
  [1215] = {.lex_state = 282},
  [1216] = {.lex_state = 282},
  [1217] = {.lex_state = 282},
  [1218] = {.lex_state = 282},
  [1219] = {.lex_state = 282},
  [1220] = {.lex_state = 282},
  [1221] = {.lex_state = 282},
  [1222] = {.lex_state = 282},
  [1223] = {.lex_state = 282},
  [1224] = {.lex_state = 282},
  [1225] = {.lex_state = 282},
  [1226] = {.lex_state = 285},
  [1227] = {.lex_state = 282},
  [1228] = {.lex_state = 282},
  [1229] = {.lex_state = 282},
  [1230] = {.lex_state = 282},
  [1231] = {.lex_state = 282},
  [1232] = {.lex_state = 282},
  [1233] = {.lex_state = 285},
  [1234] = {.lex_state = 285},
  [1235] = {.lex_state = 282},
  [1236] = {.lex_state = 282},
  [1237] = {.lex_state = 282},
  [1238] = {.lex_state = 282},
  [1239] = {.lex_state = 282},
  [1240] = {.lex_state = 282},
  [1241] = {.lex_state = 282},
  [1242] = {.lex_state = 282},
  [1243] = {.lex_state = 282},
  [1244] = {.lex_state = 389},
  [1245] = {.lex_state = 389},
  [1246] = {.lex_state = 389},
  [1247] = {.lex_state = 389},
  [1248] = {.lex_state = 389},
  [1249] = {.lex_state = 389},
  [1250] = {.lex_state = 389},
  [1251] = {.lex_state = 389},
  [1252] = {.lex_state = 389},
  [1253] = {.lex_state = 389},
  [1254] = {.lex_state = 389},
  [1255] = {.lex_state = 389},
  [1256] = {.lex_state = 389},
  [1257] = {.lex_state = 389},
  [1258] = {.lex_state = 389},
  [1259] = {.lex_state = 389},
  [1260] = {.lex_state = 389},
  [1261] = {.lex_state = 389},
  [1262] = {.lex_state = 389},
  [1263] = {.lex_state = 389},
  [1264] = {.lex_state = 389},
  [1265] = {.lex_state = 389},
  [1266] = {.lex_state = 389},
  [1267] = {.lex_state = 389},
  [1268] = {.lex_state = 389},
  [1269] = {.lex_state = 389},
  [1270] = {.lex_state = 389},
  [1271] = {.lex_state = 389},
  [1272] = {.lex_state = 389},
  [1273] = {.lex_state = 389},
  [1274] = {.lex_state = 389},
  [1275] = {.lex_state = 389},
  [1276] = {.lex_state = 389},
  [1277] = {.lex_state = 389},
  [1278] = {.lex_state = 389},
  [1279] = {.lex_state = 389},
  [1280] = {.lex_state = 389},
  [1281] = {.lex_state = 389},
  [1282] = {.lex_state = 389},
  [1283] = {.lex_state = 389},
  [1284] = {.lex_state = 389},
  [1285] = {.lex_state = 389},
  [1286] = {.lex_state = 389},
  [1287] = {.lex_state = 389},
  [1288] = {.lex_state = 389},
  [1289] = {.lex_state = 389},
  [1290] = {.lex_state = 389},
  [1291] = {.lex_state = 389},
  [1292] = {.lex_state = 389},
  [1293] = {.lex_state = 389},
  [1294] = {.lex_state = 389},
  [1295] = {.lex_state = 389},
  [1296] = {.lex_state = 389},
  [1297] = {.lex_state = 389},
  [1298] = {.lex_state = 389},
  [1299] = {.lex_state = 389},
  [1300] = {.lex_state = 389},
  [1301] = {.lex_state = 389},
  [1302] = {.lex_state = 389},
  [1303] = {.lex_state = 389},
  [1304] = {.lex_state = 389},
  [1305] = {.lex_state = 389},
  [1306] = {.lex_state = 389},
  [1307] = {.lex_state = 389},
  [1308] = {.lex_state = 389},
  [1309] = {.lex_state = 389},
  [1310] = {.lex_state = 389},
  [1311] = {.lex_state = 389},
  [1312] = {.lex_state = 389},
  [1313] = {.lex_state = 389},
  [1314] = {.lex_state = 389},
  [1315] = {.lex_state = 389},
  [1316] = {.lex_state = 202},
  [1317] = {.lex_state = 202},
  [1318] = {.lex_state = 202},
  [1319] = {.lex_state = 202},
  [1320] = {.lex_state = 202},
  [1321] = {.lex_state = 202},
  [1322] = {.lex_state = 202},
  [1323] = {.lex_state = 202},
  [1324] = {.lex_state = 202},
  [1325] = {.lex_state = 202},
  [1326] = {.lex_state = 202},
  [1327] = {.lex_state = 202},
  [1328] = {.lex_state = 202},
  [1329] = {.lex_state = 202},
  [1330] = {.lex_state = 202},
  [1331] = {.lex_state = 202},
  [1332] = {.lex_state = 202},
  [1333] = {.lex_state = 202},
  [1334] = {.lex_state = 202},
  [1335] = {.lex_state = 202},
  [1336] = {.lex_state = 202},
  [1337] = {.lex_state = 202},
  [1338] = {.lex_state = 202},
  [1339] = {.lex_state = 202},
  [1340] = {.lex_state = 202},
  [1341] = {.lex_state = 202},
  [1342] = {.lex_state = 202},
  [1343] = {.lex_state = 202},
  [1344] = {.lex_state = 202},
  [1345] = {.lex_state = 202},
  [1346] = {.lex_state = 202},
  [1347] = {.lex_state = 202},
  [1348] = {.lex_state = 202},
  [1349] = {.lex_state = 202},
  [1350] = {.lex_state = 202},
  [1351] = {.lex_state = 202},
  [1352] = {.lex_state = 202},
  [1353] = {.lex_state = 202},
  [1354] = {.lex_state = 202},
  [1355] = {.lex_state = 202},
  [1356] = {.lex_state = 202},
  [1357] = {.lex_state = 202},
  [1358] = {.lex_state = 202},
  [1359] = {.lex_state = 202},
  [1360] = {.lex_state = 202},
  [1361] = {.lex_state = 202},
  [1362] = {.lex_state = 202},
  [1363] = {.lex_state = 202},
  [1364] = {.lex_state = 202},
  [1365] = {.lex_state = 202},
  [1366] = {.lex_state = 202},
  [1367] = {.lex_state = 202},
  [1368] = {.lex_state = 202},
  [1369] = {.lex_state = 202},
  [1370] = {.lex_state = 202},
  [1371] = {.lex_state = 202},
  [1372] = {.lex_state = 202},
  [1373] = {.lex_state = 202},
  [1374] = {.lex_state = 202},
  [1375] = {.lex_state = 202},
  [1376] = {.lex_state = 202},
  [1377] = {.lex_state = 202},
  [1378] = {.lex_state = 202},
  [1379] = {.lex_state = 202},
  [1380] = {.lex_state = 202},
  [1381] = {.lex_state = 202},
  [1382] = {.lex_state = 202},
  [1383] = {.lex_state = 202},
  [1384] = {.lex_state = 202},
  [1385] = {.lex_state = 202},
  [1386] = {.lex_state = 202},
  [1387] = {.lex_state = 202},
  [1388] = {.lex_state = 202},
  [1389] = {.lex_state = 202},
  [1390] = {.lex_state = 202},
  [1391] = {.lex_state = 202},
  [1392] = {.lex_state = 202},
  [1393] = {.lex_state = 202},
  [1394] = {.lex_state = 202},
  [1395] = {.lex_state = 202},
  [1396] = {.lex_state = 202},
  [1397] = {.lex_state = 202},
  [1398] = {.lex_state = 202},
  [1399] = {.lex_state = 202},
  [1400] = {.lex_state = 198},
  [1401] = {.lex_state = 191},
  [1402] = {.lex_state = 198},
  [1403] = {.lex_state = 191},
  [1404] = {.lex_state = 193},
  [1405] = {.lex_state = 284},
  [1406] = {.lex_state = 284},
  [1407] = {.lex_state = 284},
  [1408] = {.lex_state = 284},
  [1409] = {.lex_state = 284},
  [1410] = {.lex_state = 284},
  [1411] = {.lex_state = 191},
  [1412] = {.lex_state = 195},
  [1413] = {.lex_state = 284},
  [1414] = {.lex_state = 284},
  [1415] = {.lex_state = 284},
  [1416] = {.lex_state = 191},
  [1417] = {.lex_state = 196},
  [1418] = {.lex_state = 284},
  [1419] = {.lex_state = 284},
  [1420] = {.lex_state = 389},
  [1421] = {.lex_state = 389},
  [1422] = {.lex_state = 284},
  [1423] = {.lex_state = 284},
  [1424] = {.lex_state = 284},
  [1425] = {.lex_state = 284},
  [1426] = {.lex_state = 284},
  [1427] = {.lex_state = 284},
  [1428] = {.lex_state = 284},
  [1429] = {.lex_state = 202},
  [1430] = {.lex_state = 195},
  [1431] = {.lex_state = 202},
  [1432] = {.lex_state = 202},
  [1433] = {.lex_state = 206},
  [1434] = {.lex_state = 206},
  [1435] = {.lex_state = 206},
  [1436] = {.lex_state = 206},
  [1437] = {.lex_state = 206},
  [1438] = {.lex_state = 206},
  [1439] = {.lex_state = 206},
  [1440] = {.lex_state = 206},
  [1441] = {.lex_state = 206},
  [1442] = {.lex_state = 206},
  [1443] = {.lex_state = 206},
  [1444] = {.lex_state = 206},
  [1445] = {.lex_state = 206},
  [1446] = {.lex_state = 206},
  [1447] = {.lex_state = 206},
  [1448] = {.lex_state = 206},
  [1449] = {.lex_state = 206},
  [1450] = {.lex_state = 202},
  [1451] = {.lex_state = 206},
  [1452] = {.lex_state = 206},
  [1453] = {.lex_state = 206},
  [1454] = {.lex_state = 206},
  [1455] = {.lex_state = 206},
  [1456] = {.lex_state = 206},
  [1457] = {.lex_state = 206},
  [1458] = {.lex_state = 206},
  [1459] = {.lex_state = 206},
  [1460] = {.lex_state = 206},
  [1461] = {.lex_state = 206},
  [1462] = {.lex_state = 206},
  [1463] = {.lex_state = 206},
  [1464] = {.lex_state = 389},
  [1465] = {.lex_state = 202},
  [1466] = {.lex_state = 202},
  [1467] = {.lex_state = 202},
  [1468] = {.lex_state = 202},
  [1469] = {.lex_state = 202},
  [1470] = {.lex_state = 202},
  [1471] = {.lex_state = 202},
  [1472] = {.lex_state = 202},
  [1473] = {.lex_state = 202},
  [1474] = {.lex_state = 202},
  [1475] = {.lex_state = 202},
  [1476] = {.lex_state = 202},
  [1477] = {.lex_state = 202},
  [1478] = {.lex_state = 202},
  [1479] = {.lex_state = 202},
  [1480] = {.lex_state = 224},
  [1481] = {.lex_state = 202},
  [1482] = {.lex_state = 206},
  [1483] = {.lex_state = 202},
  [1484] = {.lex_state = 206},
  [1485] = {.lex_state = 206},
  [1486] = {.lex_state = 224},
  [1487] = {.lex_state = 224},
  [1488] = {.lex_state = 206},
  [1489] = {.lex_state = 206},
  [1490] = {.lex_state = 202},
  [1491] = {.lex_state = 224},
  [1492] = {.lex_state = 206},
  [1493] = {.lex_state = 206},
  [1494] = {.lex_state = 206},
  [1495] = {.lex_state = 206},
  [1496] = {.lex_state = 206},
  [1497] = {.lex_state = 206},
  [1498] = {.lex_state = 206},
  [1499] = {.lex_state = 206},
  [1500] = {.lex_state = 206},
  [1501] = {.lex_state = 206},
  [1502] = {.lex_state = 206},
  [1503] = {.lex_state = 206},
  [1504] = {.lex_state = 206},
  [1505] = {.lex_state = 206},
  [1506] = {.lex_state = 224},
  [1507] = {.lex_state = 206},
  [1508] = {.lex_state = 202},
  [1509] = {.lex_state = 206},
  [1510] = {.lex_state = 202},
  [1511] = {.lex_state = 206},
  [1512] = {.lex_state = 206},
  [1513] = {.lex_state = 206},
  [1514] = {.lex_state = 206},
  [1515] = {.lex_state = 202},
  [1516] = {.lex_state = 202},
  [1517] = {.lex_state = 202},
  [1518] = {.lex_state = 202},
  [1519] = {.lex_state = 205},
  [1520] = {.lex_state = 202},
  [1521] = {.lex_state = 202},
  [1522] = {.lex_state = 202},
  [1523] = {.lex_state = 202},
  [1524] = {.lex_state = 202},
  [1525] = {.lex_state = 202},
  [1526] = {.lex_state = 202},
  [1527] = {.lex_state = 202},
  [1528] = {.lex_state = 202},
  [1529] = {.lex_state = 202},
  [1530] = {.lex_state = 202},
  [1531] = {.lex_state = 202},
  [1532] = {.lex_state = 202},
  [1533] = {.lex_state = 202},
  [1534] = {.lex_state = 202},
  [1535] = {.lex_state = 202},
  [1536] = {.lex_state = 202},
  [1537] = {.lex_state = 202},
  [1538] = {.lex_state = 202},
  [1539] = {.lex_state = 202},
  [1540] = {.lex_state = 202},
  [1541] = {.lex_state = 202},
  [1542] = {.lex_state = 202},
  [1543] = {.lex_state = 202},
  [1544] = {.lex_state = 202},
  [1545] = {.lex_state = 202},
  [1546] = {.lex_state = 202},
  [1547] = {.lex_state = 202},
  [1548] = {.lex_state = 202},
  [1549] = {.lex_state = 202},
  [1550] = {.lex_state = 202},
  [1551] = {.lex_state = 202},
  [1552] = {.lex_state = 202},
  [1553] = {.lex_state = 202},
  [1554] = {.lex_state = 202},
  [1555] = {.lex_state = 202},
  [1556] = {.lex_state = 202},
  [1557] = {.lex_state = 202},
  [1558] = {.lex_state = 202},
  [1559] = {.lex_state = 202},
  [1560] = {.lex_state = 206},
  [1561] = {.lex_state = 202},
  [1562] = {.lex_state = 202},
  [1563] = {.lex_state = 202},
  [1564] = {.lex_state = 202},
  [1565] = {.lex_state = 202},
  [1566] = {.lex_state = 202},
  [1567] = {.lex_state = 202},
  [1568] = {.lex_state = 202},
  [1569] = {.lex_state = 202},
  [1570] = {.lex_state = 202},
  [1571] = {.lex_state = 202},
  [1572] = {.lex_state = 202},
  [1573] = {.lex_state = 202},
  [1574] = {.lex_state = 202},
  [1575] = {.lex_state = 205},
  [1576] = {.lex_state = 202},
  [1577] = {.lex_state = 202},
  [1578] = {.lex_state = 202},
  [1579] = {.lex_state = 202},
  [1580] = {.lex_state = 202},
  [1581] = {.lex_state = 202},
  [1582] = {.lex_state = 202},
  [1583] = {.lex_state = 202},
  [1584] = {.lex_state = 202},
  [1585] = {.lex_state = 202},
  [1586] = {.lex_state = 202},
  [1587] = {.lex_state = 202},
  [1588] = {.lex_state = 202},
  [1589] = {.lex_state = 202},
  [1590] = {.lex_state = 202},
  [1591] = {.lex_state = 202},
  [1592] = {.lex_state = 202},
  [1593] = {.lex_state = 202},
  [1594] = {.lex_state = 202},
  [1595] = {.lex_state = 202},
  [1596] = {.lex_state = 202},
  [1597] = {.lex_state = 202},
  [1598] = {.lex_state = 202},
  [1599] = {.lex_state = 224},
  [1600] = {.lex_state = 202},
  [1601] = {.lex_state = 202},
  [1602] = {.lex_state = 202},
  [1603] = {.lex_state = 202},
  [1604] = {.lex_state = 202},
  [1605] = {.lex_state = 202},
  [1606] = {.lex_state = 202},
  [1607] = {.lex_state = 202},
  [1608] = {.lex_state = 202},
  [1609] = {.lex_state = 202},
  [1610] = {.lex_state = 202},
  [1611] = {.lex_state = 202},
  [1612] = {.lex_state = 202},
  [1613] = {.lex_state = 202},
  [1614] = {.lex_state = 202},
  [1615] = {.lex_state = 202},
  [1616] = {.lex_state = 202},
  [1617] = {.lex_state = 202},
  [1618] = {.lex_state = 202},
  [1619] = {.lex_state = 202},
  [1620] = {.lex_state = 202},
  [1621] = {.lex_state = 202},
  [1622] = {.lex_state = 202},
  [1623] = {.lex_state = 202},
  [1624] = {.lex_state = 202},
  [1625] = {.lex_state = 202},
  [1626] = {.lex_state = 202},
  [1627] = {.lex_state = 202},
  [1628] = {.lex_state = 202},
  [1629] = {.lex_state = 202},
  [1630] = {.lex_state = 202},
  [1631] = {.lex_state = 202},
  [1632] = {.lex_state = 202},
  [1633] = {.lex_state = 202},
  [1634] = {.lex_state = 202},
  [1635] = {.lex_state = 202},
  [1636] = {.lex_state = 202},
  [1637] = {.lex_state = 202},
  [1638] = {.lex_state = 202},
  [1639] = {.lex_state = 202},
  [1640] = {.lex_state = 284},
  [1641] = {.lex_state = 192},
  [1642] = {.lex_state = 194},
  [1643] = {.lex_state = 221},
  [1644] = {.lex_state = 192},
  [1645] = {.lex_state = 224},
  [1646] = {.lex_state = 224},
  [1647] = {.lex_state = 224},
  [1648] = {.lex_state = 192},
  [1649] = {.lex_state = 224},
  [1650] = {.lex_state = 224},
  [1651] = {.lex_state = 224},
  [1652] = {.lex_state = 224},
  [1653] = {.lex_state = 224},
  [1654] = {.lex_state = 192},
  [1655] = {.lex_state = 192},
  [1656] = {.lex_state = 197},
  [1657] = {.lex_state = 192},
  [1658] = {.lex_state = 246},
  [1659] = {.lex_state = 246},
  [1660] = {.lex_state = 246},
  [1661] = {.lex_state = 246},
  [1662] = {.lex_state = 246},
  [1663] = {.lex_state = 246},
  [1664] = {.lex_state = 246},
  [1665] = {.lex_state = 246},
  [1666] = {.lex_state = 284},
  [1667] = {.lex_state = 246},
  [1668] = {.lex_state = 284},
  [1669] = {.lex_state = 284},
  [1670] = {.lex_state = 284},
  [1671] = {.lex_state = 284},
  [1672] = {.lex_state = 284},
  [1673] = {.lex_state = 284},
  [1674] = {.lex_state = 206},
  [1675] = {.lex_state = 206},
  [1676] = {.lex_state = 206},
  [1677] = {.lex_state = 206},
  [1678] = {.lex_state = 206},
  [1679] = {.lex_state = 206},
  [1680] = {.lex_state = 233},
  [1681] = {.lex_state = 206},
  [1682] = {.lex_state = 202},
  [1683] = {.lex_state = 206},
  [1684] = {.lex_state = 206},
  [1685] = {.lex_state = 206},
  [1686] = {.lex_state = 206},
  [1687] = {.lex_state = 206},
  [1688] = {.lex_state = 206},
  [1689] = {.lex_state = 206},
  [1690] = {.lex_state = 206},
  [1691] = {.lex_state = 206},
  [1692] = {.lex_state = 206},
  [1693] = {.lex_state = 206},
  [1694] = {.lex_state = 206},
  [1695] = {.lex_state = 202},
  [1696] = {.lex_state = 202},
  [1697] = {.lex_state = 206},
  [1698] = {.lex_state = 206},
  [1699] = {.lex_state = 206},
  [1700] = {.lex_state = 206},
  [1701] = {.lex_state = 246},
  [1702] = {.lex_state = 233},
  [1703] = {.lex_state = 228},
  [1704] = {.lex_state = 233},
  [1705] = {.lex_state = 233},
  [1706] = {.lex_state = 233},
  [1707] = {.lex_state = 233},
  [1708] = {.lex_state = 205},
  [1709] = {.lex_state = 233},
  [1710] = {.lex_state = 228},
  [1711] = {.lex_state = 233},
  [1712] = {.lex_state = 228},
  [1713] = {.lex_state = 205},
  [1714] = {.lex_state = 228},
  [1715] = {.lex_state = 228},
  [1716] = {.lex_state = 228},
  [1717] = {.lex_state = 228},
  [1718] = {.lex_state = 246},
  [1719] = {.lex_state = 233},
  [1720] = {.lex_state = 246},
  [1721] = {.lex_state = 246},
  [1722] = {.lex_state = 233},
  [1723] = {.lex_state = 233},
  [1724] = {.lex_state = 233},
  [1725] = {.lex_state = 233},
  [1726] = {.lex_state = 233},
  [1727] = {.lex_state = 233},
  [1728] = {.lex_state = 233},
  [1729] = {.lex_state = 233},
  [1730] = {.lex_state = 206},
  [1731] = {.lex_state = 206},
  [1732] = {.lex_state = 206},
  [1733] = {.lex_state = 206},
  [1734] = {.lex_state = 206},
  [1735] = {.lex_state = 206},
  [1736] = {.lex_state = 206},
  [1737] = {.lex_state = 206},
  [1738] = {.lex_state = 206},
  [1739] = {.lex_state = 206},
  [1740] = {.lex_state = 206},
  [1741] = {.lex_state = 206},
  [1742] = {.lex_state = 206},
  [1743] = {.lex_state = 206},
  [1744] = {.lex_state = 206},
  [1745] = {.lex_state = 206},
  [1746] = {.lex_state = 206},
  [1747] = {.lex_state = 206},
  [1748] = {.lex_state = 206},
  [1749] = {.lex_state = 206},
  [1750] = {.lex_state = 206},
  [1751] = {.lex_state = 206},
  [1752] = {.lex_state = 206},
  [1753] = {.lex_state = 206},
  [1754] = {.lex_state = 206},
  [1755] = {.lex_state = 206},
  [1756] = {.lex_state = 206},
  [1757] = {.lex_state = 206},
  [1758] = {.lex_state = 206},
  [1759] = {.lex_state = 206},
  [1760] = {.lex_state = 206},
  [1761] = {.lex_state = 206},
  [1762] = {.lex_state = 206},
  [1763] = {.lex_state = 206},
  [1764] = {.lex_state = 206},
  [1765] = {.lex_state = 206},
  [1766] = {.lex_state = 206},
  [1767] = {.lex_state = 206},
  [1768] = {.lex_state = 206},
  [1769] = {.lex_state = 206},
  [1770] = {.lex_state = 206},
  [1771] = {.lex_state = 206},
  [1772] = {.lex_state = 206},
  [1773] = {.lex_state = 206},
  [1774] = {.lex_state = 206},
  [1775] = {.lex_state = 206},
  [1776] = {.lex_state = 206},
  [1777] = {.lex_state = 206},
  [1778] = {.lex_state = 206},
  [1779] = {.lex_state = 284},
  [1780] = {.lex_state = 284},
  [1781] = {.lex_state = 284},
  [1782] = {.lex_state = 284},
  [1783] = {.lex_state = 284},
  [1784] = {.lex_state = 284},
  [1785] = {.lex_state = 284},
  [1786] = {.lex_state = 284},
  [1787] = {.lex_state = 284},
  [1788] = {.lex_state = 284},
  [1789] = {.lex_state = 284},
  [1790] = {.lex_state = 284},
  [1791] = {.lex_state = 284},
  [1792] = {.lex_state = 284},
  [1793] = {.lex_state = 206},
  [1794] = {.lex_state = 206},
  [1795] = {.lex_state = 206},
  [1796] = {.lex_state = 206},
  [1797] = {.lex_state = 206},
  [1798] = {.lex_state = 206},
  [1799] = {.lex_state = 228},
  [1800] = {.lex_state = 206},
  [1801] = {.lex_state = 206},
  [1802] = {.lex_state = 206},
  [1803] = {.lex_state = 206},
  [1804] = {.lex_state = 206},
  [1805] = {.lex_state = 206},
  [1806] = {.lex_state = 206},
  [1807] = {.lex_state = 206},
  [1808] = {.lex_state = 206},
  [1809] = {.lex_state = 206},
  [1810] = {.lex_state = 206},
  [1811] = {.lex_state = 206},
  [1812] = {.lex_state = 206},
  [1813] = {.lex_state = 206},
  [1814] = {.lex_state = 206},
  [1815] = {.lex_state = 206},
  [1816] = {.lex_state = 206},
  [1817] = {.lex_state = 206},
  [1818] = {.lex_state = 206},
  [1819] = {.lex_state = 206},
  [1820] = {.lex_state = 206},
  [1821] = {.lex_state = 205},
  [1822] = {.lex_state = 206},
  [1823] = {.lex_state = 205},
  [1824] = {.lex_state = 205},
  [1825] = {.lex_state = 206},
  [1826] = {.lex_state = 205},
  [1827] = {.lex_state = 206},
  [1828] = {.lex_state = 206},
  [1829] = {.lex_state = 206},
  [1830] = {.lex_state = 206},
  [1831] = {.lex_state = 206},
  [1832] = {.lex_state = 205},
  [1833] = {.lex_state = 206},
  [1834] = {.lex_state = 205},
  [1835] = {.lex_state = 206},
  [1836] = {.lex_state = 206},
  [1837] = {.lex_state = 205},
  [1838] = {.lex_state = 205},
  [1839] = {.lex_state = 205},
  [1840] = {.lex_state = 205},
  [1841] = {.lex_state = 206},
  [1842] = {.lex_state = 205},
  [1843] = {.lex_state = 206},
  [1844] = {.lex_state = 205},
  [1845] = {.lex_state = 206},
  [1846] = {.lex_state = 205},
  [1847] = {.lex_state = 206},
  [1848] = {.lex_state = 284},
  [1849] = {.lex_state = 206},
  [1850] = {.lex_state = 206},
  [1851] = {.lex_state = 205},
  [1852] = {.lex_state = 206},
  [1853] = {.lex_state = 205},
  [1854] = {.lex_state = 205},
  [1855] = {.lex_state = 206},
  [1856] = {.lex_state = 206},
  [1857] = {.lex_state = 205},
  [1858] = {.lex_state = 284},
  [1859] = {.lex_state = 205},
  [1860] = {.lex_state = 205},
  [1861] = {.lex_state = 206},
  [1862] = {.lex_state = 205},
  [1863] = {.lex_state = 205},
  [1864] = {.lex_state = 206},
  [1865] = {.lex_state = 206},
  [1866] = {.lex_state = 206},
  [1867] = {.lex_state = 205},
  [1868] = {.lex_state = 206},
  [1869] = {.lex_state = 205},
  [1870] = {.lex_state = 206},
  [1871] = {.lex_state = 205},
  [1872] = {.lex_state = 206},
  [1873] = {.lex_state = 206},
  [1874] = {.lex_state = 205},
  [1875] = {.lex_state = 206},
  [1876] = {.lex_state = 206},
  [1877] = {.lex_state = 206},
  [1878] = {.lex_state = 206},
  [1879] = {.lex_state = 206},
  [1880] = {.lex_state = 206},
  [1881] = {.lex_state = 205},
  [1882] = {.lex_state = 284},
  [1883] = {.lex_state = 206},
  [1884] = {.lex_state = 205},
  [1885] = {.lex_state = 206},
  [1886] = {.lex_state = 206},
  [1887] = {.lex_state = 206},
  [1888] = {.lex_state = 206},
  [1889] = {.lex_state = 206},
  [1890] = {.lex_state = 205},
  [1891] = {.lex_state = 206},
  [1892] = {.lex_state = 206},
  [1893] = {.lex_state = 206},
  [1894] = {.lex_state = 206},
  [1895] = {.lex_state = 206},
  [1896] = {.lex_state = 206},
  [1897] = {.lex_state = 206},
  [1898] = {.lex_state = 206},
  [1899] = {.lex_state = 206},
  [1900] = {.lex_state = 206},
  [1901] = {.lex_state = 206},
  [1902] = {.lex_state = 206},
  [1903] = {.lex_state = 205},
  [1904] = {.lex_state = 206},
  [1905] = {.lex_state = 205},
  [1906] = {.lex_state = 284},
  [1907] = {.lex_state = 284},
  [1908] = {.lex_state = 206},
  [1909] = {.lex_state = 206},
  [1910] = {.lex_state = 206},
  [1911] = {.lex_state = 206},
  [1912] = {.lex_state = 206},
  [1913] = {.lex_state = 206},
  [1914] = {.lex_state = 206},
  [1915] = {.lex_state = 206},
  [1916] = {.lex_state = 206},
  [1917] = {.lex_state = 206},
  [1918] = {.lex_state = 206},
  [1919] = {.lex_state = 206},
  [1920] = {.lex_state = 206},
  [1921] = {.lex_state = 206},
  [1922] = {.lex_state = 206},
  [1923] = {.lex_state = 206},
  [1924] = {.lex_state = 206},
  [1925] = {.lex_state = 206},
  [1926] = {.lex_state = 206},
  [1927] = {.lex_state = 206},
  [1928] = {.lex_state = 206},
  [1929] = {.lex_state = 206},
  [1930] = {.lex_state = 206},
  [1931] = {.lex_state = 206},
  [1932] = {.lex_state = 206},
  [1933] = {.lex_state = 206},
  [1934] = {.lex_state = 206},
  [1935] = {.lex_state = 206},
  [1936] = {.lex_state = 206},
  [1937] = {.lex_state = 206},
  [1938] = {.lex_state = 206},
  [1939] = {.lex_state = 206},
  [1940] = {.lex_state = 206},
  [1941] = {.lex_state = 206},
  [1942] = {.lex_state = 206},
  [1943] = {.lex_state = 206},
  [1944] = {.lex_state = 206},
  [1945] = {.lex_state = 206},
  [1946] = {.lex_state = 206},
  [1947] = {.lex_state = 206},
  [1948] = {.lex_state = 206},
  [1949] = {.lex_state = 284},
  [1950] = {.lex_state = 206},
  [1951] = {.lex_state = 206},
  [1952] = {.lex_state = 206},
  [1953] = {.lex_state = 206},
  [1954] = {.lex_state = 206},
  [1955] = {.lex_state = 206},
  [1956] = {.lex_state = 206},
  [1957] = {.lex_state = 206},
  [1958] = {.lex_state = 206},
  [1959] = {.lex_state = 206},
  [1960] = {.lex_state = 206},
  [1961] = {.lex_state = 206},
  [1962] = {.lex_state = 206},
  [1963] = {.lex_state = 206},
  [1964] = {.lex_state = 206},
  [1965] = {.lex_state = 206},
  [1966] = {.lex_state = 284},
  [1967] = {.lex_state = 206},
  [1968] = {.lex_state = 206},
  [1969] = {.lex_state = 206},
  [1970] = {.lex_state = 206},
  [1971] = {.lex_state = 206},
  [1972] = {.lex_state = 206},
  [1973] = {.lex_state = 284},
  [1974] = {.lex_state = 206},
  [1975] = {.lex_state = 206},
  [1976] = {.lex_state = 284},
  [1977] = {.lex_state = 206},
  [1978] = {.lex_state = 206},
  [1979] = {.lex_state = 206},
  [1980] = {.lex_state = 206},
  [1981] = {.lex_state = 206},
  [1982] = {.lex_state = 206},
  [1983] = {.lex_state = 284},
  [1984] = {.lex_state = 206},
  [1985] = {.lex_state = 206},
  [1986] = {.lex_state = 206},
  [1987] = {.lex_state = 206},
  [1988] = {.lex_state = 206},
  [1989] = {.lex_state = 206},
  [1990] = {.lex_state = 206},
  [1991] = {.lex_state = 206},
  [1992] = {.lex_state = 206},
  [1993] = {.lex_state = 206},
  [1994] = {.lex_state = 206},
  [1995] = {.lex_state = 206},
  [1996] = {.lex_state = 206},
  [1997] = {.lex_state = 206},
  [1998] = {.lex_state = 206},
  [1999] = {.lex_state = 206},
  [2000] = {.lex_state = 206},
  [2001] = {.lex_state = 206},
  [2002] = {.lex_state = 206},
  [2003] = {.lex_state = 206},
  [2004] = {.lex_state = 206},
  [2005] = {.lex_state = 284},
  [2006] = {.lex_state = 206},
  [2007] = {.lex_state = 206},
  [2008] = {.lex_state = 206},
  [2009] = {.lex_state = 206},
  [2010] = {.lex_state = 206},
  [2011] = {.lex_state = 206},
  [2012] = {.lex_state = 206},
  [2013] = {.lex_state = 206},
  [2014] = {.lex_state = 206},
  [2015] = {.lex_state = 206},
  [2016] = {.lex_state = 284},
  [2017] = {.lex_state = 284},
  [2018] = {.lex_state = 206},
  [2019] = {.lex_state = 206},
  [2020] = {.lex_state = 206},
  [2021] = {.lex_state = 206},
  [2022] = {.lex_state = 206},
  [2023] = {.lex_state = 284},
  [2024] = {.lex_state = 206},
  [2025] = {.lex_state = 206},
  [2026] = {.lex_state = 206},
  [2027] = {.lex_state = 206},
  [2028] = {.lex_state = 206},
  [2029] = {.lex_state = 206},
  [2030] = {.lex_state = 206},
  [2031] = {.lex_state = 206},
  [2032] = {.lex_state = 206},
  [2033] = {.lex_state = 206},
  [2034] = {.lex_state = 206},
  [2035] = {.lex_state = 284},
  [2036] = {.lex_state = 206},
  [2037] = {.lex_state = 206},
  [2038] = {.lex_state = 206},
  [2039] = {.lex_state = 206},
  [2040] = {.lex_state = 206},
  [2041] = {.lex_state = 206},
  [2042] = {.lex_state = 206},
  [2043] = {.lex_state = 206},
  [2044] = {.lex_state = 206},
  [2045] = {.lex_state = 206},
  [2046] = {.lex_state = 206},
  [2047] = {.lex_state = 206},
  [2048] = {.lex_state = 206},
  [2049] = {.lex_state = 206},
  [2050] = {.lex_state = 206},
  [2051] = {.lex_state = 206},
  [2052] = {.lex_state = 206},
  [2053] = {.lex_state = 206},
  [2054] = {.lex_state = 206},
  [2055] = {.lex_state = 206},
  [2056] = {.lex_state = 206},
  [2057] = {.lex_state = 284},
  [2058] = {.lex_state = 206},
  [2059] = {.lex_state = 206},
  [2060] = {.lex_state = 206},
  [2061] = {.lex_state = 206},
  [2062] = {.lex_state = 206},
  [2063] = {.lex_state = 206},
  [2064] = {.lex_state = 206},
  [2065] = {.lex_state = 206},
  [2066] = {.lex_state = 206},
  [2067] = {.lex_state = 206},
  [2068] = {.lex_state = 206},
  [2069] = {.lex_state = 206},
  [2070] = {.lex_state = 206},
  [2071] = {.lex_state = 206},
  [2072] = {.lex_state = 206},
  [2073] = {.lex_state = 206},
  [2074] = {.lex_state = 206},
  [2075] = {.lex_state = 206},
  [2076] = {.lex_state = 206},
  [2077] = {.lex_state = 206},
  [2078] = {.lex_state = 206},
  [2079] = {.lex_state = 206},
  [2080] = {.lex_state = 206},
  [2081] = {.lex_state = 206},
  [2082] = {.lex_state = 206},
  [2083] = {.lex_state = 206},
  [2084] = {.lex_state = 206},
  [2085] = {.lex_state = 206},
  [2086] = {.lex_state = 206},
  [2087] = {.lex_state = 206},
  [2088] = {.lex_state = 206},
  [2089] = {.lex_state = 206},
  [2090] = {.lex_state = 206},
  [2091] = {.lex_state = 206},
  [2092] = {.lex_state = 206},
  [2093] = {.lex_state = 206},
  [2094] = {.lex_state = 206},
  [2095] = {.lex_state = 206},
  [2096] = {.lex_state = 206},
  [2097] = {.lex_state = 284},
  [2098] = {.lex_state = 206},
  [2099] = {.lex_state = 206},
  [2100] = {.lex_state = 206},
  [2101] = {.lex_state = 206},
  [2102] = {.lex_state = 206},
  [2103] = {.lex_state = 206},
  [2104] = {.lex_state = 206},
  [2105] = {.lex_state = 206},
  [2106] = {.lex_state = 206},
  [2107] = {.lex_state = 206},
  [2108] = {.lex_state = 206},
  [2109] = {.lex_state = 206},
  [2110] = {.lex_state = 206},
  [2111] = {.lex_state = 206},
  [2112] = {.lex_state = 206},
  [2113] = {.lex_state = 206},
  [2114] = {.lex_state = 206},
  [2115] = {.lex_state = 206},
  [2116] = {.lex_state = 206},
  [2117] = {.lex_state = 206},
  [2118] = {.lex_state = 206},
  [2119] = {.lex_state = 206},
  [2120] = {.lex_state = 206},
  [2121] = {.lex_state = 206},
  [2122] = {.lex_state = 206},
  [2123] = {.lex_state = 206},
  [2124] = {.lex_state = 206},
  [2125] = {.lex_state = 206},
  [2126] = {.lex_state = 206},
  [2127] = {.lex_state = 206},
  [2128] = {.lex_state = 206},
  [2129] = {.lex_state = 206},
  [2130] = {.lex_state = 206},
  [2131] = {.lex_state = 206},
  [2132] = {.lex_state = 206},
  [2133] = {.lex_state = 206},
  [2134] = {.lex_state = 206},
  [2135] = {.lex_state = 206},
  [2136] = {.lex_state = 206},
  [2137] = {.lex_state = 206},
  [2138] = {.lex_state = 206},
  [2139] = {.lex_state = 206},
  [2140] = {.lex_state = 206},
  [2141] = {.lex_state = 206},
  [2142] = {.lex_state = 206},
  [2143] = {.lex_state = 206},
  [2144] = {.lex_state = 206},
  [2145] = {.lex_state = 206},
  [2146] = {.lex_state = 206},
  [2147] = {.lex_state = 206},
  [2148] = {.lex_state = 206},
  [2149] = {.lex_state = 206},
  [2150] = {.lex_state = 206},
  [2151] = {.lex_state = 206},
  [2152] = {.lex_state = 206},
  [2153] = {.lex_state = 206},
  [2154] = {.lex_state = 206},
  [2155] = {.lex_state = 206},
  [2156] = {.lex_state = 206},
  [2157] = {.lex_state = 206},
  [2158] = {.lex_state = 206},
  [2159] = {.lex_state = 206},
  [2160] = {.lex_state = 206},
  [2161] = {.lex_state = 206},
  [2162] = {.lex_state = 206},
  [2163] = {.lex_state = 206},
  [2164] = {.lex_state = 206},
  [2165] = {.lex_state = 206},
  [2166] = {.lex_state = 206},
  [2167] = {.lex_state = 206},
  [2168] = {.lex_state = 206},
  [2169] = {.lex_state = 206},
  [2170] = {.lex_state = 206},
  [2171] = {.lex_state = 206},
  [2172] = {.lex_state = 206},
  [2173] = {.lex_state = 206},
  [2174] = {.lex_state = 206},
  [2175] = {.lex_state = 206},
  [2176] = {.lex_state = 206},
  [2177] = {.lex_state = 206},
  [2178] = {.lex_state = 206},
  [2179] = {.lex_state = 206},
  [2180] = {.lex_state = 206},
  [2181] = {.lex_state = 206},
  [2182] = {.lex_state = 206},
  [2183] = {.lex_state = 206},
  [2184] = {.lex_state = 206},
  [2185] = {.lex_state = 206},
  [2186] = {.lex_state = 206},
  [2187] = {.lex_state = 206},
  [2188] = {.lex_state = 206},
  [2189] = {.lex_state = 206},
  [2190] = {.lex_state = 206},
  [2191] = {.lex_state = 206},
  [2192] = {.lex_state = 206},
  [2193] = {.lex_state = 206},
  [2194] = {.lex_state = 206},
  [2195] = {.lex_state = 206},
  [2196] = {.lex_state = 206},
  [2197] = {.lex_state = 206},
  [2198] = {.lex_state = 206},
  [2199] = {.lex_state = 206},
  [2200] = {.lex_state = 206},
  [2201] = {.lex_state = 206},
  [2202] = {.lex_state = 206},
  [2203] = {.lex_state = 206},
  [2204] = {.lex_state = 206},
  [2205] = {.lex_state = 206},
  [2206] = {.lex_state = 206},
  [2207] = {.lex_state = 206},
  [2208] = {.lex_state = 206},
  [2209] = {.lex_state = 206},
  [2210] = {.lex_state = 206},
  [2211] = {.lex_state = 206},
  [2212] = {.lex_state = 206},
  [2213] = {.lex_state = 206},
  [2214] = {.lex_state = 206},
  [2215] = {.lex_state = 206},
  [2216] = {.lex_state = 206},
  [2217] = {.lex_state = 206},
  [2218] = {.lex_state = 206},
  [2219] = {.lex_state = 206},
  [2220] = {.lex_state = 206},
  [2221] = {.lex_state = 206},
  [2222] = {.lex_state = 206},
  [2223] = {.lex_state = 206},
  [2224] = {.lex_state = 206},
  [2225] = {.lex_state = 206},
  [2226] = {.lex_state = 206},
  [2227] = {.lex_state = 206},
  [2228] = {.lex_state = 206},
  [2229] = {.lex_state = 206},
  [2230] = {.lex_state = 206},
  [2231] = {.lex_state = 206},
  [2232] = {.lex_state = 206},
  [2233] = {.lex_state = 206},
  [2234] = {.lex_state = 206},
  [2235] = {.lex_state = 206},
  [2236] = {.lex_state = 206},
  [2237] = {.lex_state = 206},
  [2238] = {.lex_state = 206},
  [2239] = {.lex_state = 206},
  [2240] = {.lex_state = 206},
  [2241] = {.lex_state = 206},
  [2242] = {.lex_state = 206},
  [2243] = {.lex_state = 206},
  [2244] = {.lex_state = 206},
  [2245] = {.lex_state = 206},
  [2246] = {.lex_state = 206},
  [2247] = {.lex_state = 206},
  [2248] = {.lex_state = 206},
  [2249] = {.lex_state = 206},
  [2250] = {.lex_state = 206},
  [2251] = {.lex_state = 206},
  [2252] = {.lex_state = 206},
  [2253] = {.lex_state = 206},
  [2254] = {.lex_state = 206},
  [2255] = {.lex_state = 206},
  [2256] = {.lex_state = 206},
  [2257] = {.lex_state = 206},
  [2258] = {.lex_state = 206},
  [2259] = {.lex_state = 206},
  [2260] = {.lex_state = 206},
  [2261] = {.lex_state = 206},
  [2262] = {.lex_state = 206},
  [2263] = {.lex_state = 206},
  [2264] = {.lex_state = 206},
  [2265] = {.lex_state = 206},
  [2266] = {.lex_state = 206},
  [2267] = {.lex_state = 206},
  [2268] = {.lex_state = 206},
  [2269] = {.lex_state = 206},
  [2270] = {.lex_state = 206},
  [2271] = {.lex_state = 206},
  [2272] = {.lex_state = 206},
  [2273] = {.lex_state = 206},
  [2274] = {.lex_state = 206},
  [2275] = {.lex_state = 206},
  [2276] = {.lex_state = 206},
  [2277] = {.lex_state = 206},
  [2278] = {.lex_state = 206},
  [2279] = {.lex_state = 206},
  [2280] = {.lex_state = 206},
  [2281] = {.lex_state = 206},
  [2282] = {.lex_state = 206},
  [2283] = {.lex_state = 206},
  [2284] = {.lex_state = 206},
  [2285] = {.lex_state = 206},
  [2286] = {.lex_state = 206},
  [2287] = {.lex_state = 206},
  [2288] = {.lex_state = 206},
  [2289] = {.lex_state = 206},
  [2290] = {.lex_state = 206},
  [2291] = {.lex_state = 206},
  [2292] = {.lex_state = 206},
  [2293] = {.lex_state = 206},
  [2294] = {.lex_state = 206},
  [2295] = {.lex_state = 206},
  [2296] = {.lex_state = 206},
  [2297] = {.lex_state = 206},
  [2298] = {.lex_state = 206},
  [2299] = {.lex_state = 206},
  [2300] = {.lex_state = 206},
  [2301] = {.lex_state = 206},
  [2302] = {.lex_state = 206},
  [2303] = {.lex_state = 206},
  [2304] = {.lex_state = 206},
  [2305] = {.lex_state = 206},
  [2306] = {.lex_state = 206},
  [2307] = {.lex_state = 206},
  [2308] = {.lex_state = 206},
  [2309] = {.lex_state = 206},
  [2310] = {.lex_state = 206},
  [2311] = {.lex_state = 206},
  [2312] = {.lex_state = 206},
  [2313] = {.lex_state = 206},
  [2314] = {.lex_state = 206},
  [2315] = {.lex_state = 206},
  [2316] = {.lex_state = 206},
  [2317] = {.lex_state = 206},
  [2318] = {.lex_state = 206},
  [2319] = {.lex_state = 206},
  [2320] = {.lex_state = 206},
  [2321] = {.lex_state = 206},
  [2322] = {.lex_state = 206},
  [2323] = {.lex_state = 206},
  [2324] = {.lex_state = 206},
  [2325] = {.lex_state = 206},
  [2326] = {.lex_state = 206},
  [2327] = {.lex_state = 206},
  [2328] = {.lex_state = 206},
  [2329] = {.lex_state = 206},
  [2330] = {.lex_state = 206},
  [2331] = {.lex_state = 206},
  [2332] = {.lex_state = 206},
  [2333] = {.lex_state = 206},
  [2334] = {.lex_state = 206},
  [2335] = {.lex_state = 206},
  [2336] = {.lex_state = 206},
  [2337] = {.lex_state = 206},
  [2338] = {.lex_state = 206},
  [2339] = {.lex_state = 206},
  [2340] = {.lex_state = 206},
  [2341] = {.lex_state = 206},
  [2342] = {.lex_state = 206},
  [2343] = {.lex_state = 206},
  [2344] = {.lex_state = 206},
  [2345] = {.lex_state = 206},
  [2346] = {.lex_state = 206},
  [2347] = {.lex_state = 206},
  [2348] = {.lex_state = 206},
  [2349] = {.lex_state = 206},
  [2350] = {.lex_state = 206},
  [2351] = {.lex_state = 206},
  [2352] = {.lex_state = 206},
  [2353] = {.lex_state = 206},
  [2354] = {.lex_state = 206},
  [2355] = {.lex_state = 206},
  [2356] = {.lex_state = 206},
  [2357] = {.lex_state = 206},
  [2358] = {.lex_state = 206},
  [2359] = {.lex_state = 206},
  [2360] = {.lex_state = 206},
  [2361] = {.lex_state = 206},
  [2362] = {.lex_state = 206},
  [2363] = {.lex_state = 206},
  [2364] = {.lex_state = 206},
  [2365] = {.lex_state = 206},
  [2366] = {.lex_state = 206},
  [2367] = {.lex_state = 206},
  [2368] = {.lex_state = 206},
  [2369] = {.lex_state = 206},
  [2370] = {.lex_state = 206},
  [2371] = {.lex_state = 206},
  [2372] = {.lex_state = 206},
  [2373] = {.lex_state = 206},
  [2374] = {.lex_state = 206},
  [2375] = {.lex_state = 206},
  [2376] = {.lex_state = 206},
  [2377] = {.lex_state = 206},
  [2378] = {.lex_state = 206},
  [2379] = {.lex_state = 206},
  [2380] = {.lex_state = 206},
  [2381] = {.lex_state = 206},
  [2382] = {.lex_state = 206},
  [2383] = {.lex_state = 206},
  [2384] = {.lex_state = 206},
  [2385] = {.lex_state = 206},
  [2386] = {.lex_state = 206},
  [2387] = {.lex_state = 206},
  [2388] = {.lex_state = 206},
  [2389] = {.lex_state = 206},
  [2390] = {.lex_state = 206},
  [2391] = {.lex_state = 206},
  [2392] = {.lex_state = 206},
  [2393] = {.lex_state = 206},
  [2394] = {.lex_state = 206},
  [2395] = {.lex_state = 206},
  [2396] = {.lex_state = 206},
  [2397] = {.lex_state = 206},
  [2398] = {.lex_state = 206},
  [2399] = {.lex_state = 206},
  [2400] = {.lex_state = 206},
  [2401] = {.lex_state = 206},
  [2402] = {.lex_state = 206},
  [2403] = {.lex_state = 206},
  [2404] = {.lex_state = 206},
  [2405] = {.lex_state = 206},
  [2406] = {.lex_state = 206},
  [2407] = {.lex_state = 206},
  [2408] = {.lex_state = 206},
  [2409] = {.lex_state = 206},
  [2410] = {.lex_state = 206},
  [2411] = {.lex_state = 206},
  [2412] = {.lex_state = 206},
  [2413] = {.lex_state = 206},
  [2414] = {.lex_state = 206},
  [2415] = {.lex_state = 206},
  [2416] = {.lex_state = 206},
  [2417] = {.lex_state = 206},
  [2418] = {.lex_state = 206},
  [2419] = {.lex_state = 206},
  [2420] = {.lex_state = 206},
  [2421] = {.lex_state = 206},
  [2422] = {.lex_state = 206},
  [2423] = {.lex_state = 206},
  [2424] = {.lex_state = 206},
  [2425] = {.lex_state = 206},
  [2426] = {.lex_state = 206},
  [2427] = {.lex_state = 206},
  [2428] = {.lex_state = 206},
  [2429] = {.lex_state = 206},
  [2430] = {.lex_state = 206},
  [2431] = {.lex_state = 206},
  [2432] = {.lex_state = 206},
  [2433] = {.lex_state = 206},
  [2434] = {.lex_state = 206},
  [2435] = {.lex_state = 228},
  [2436] = {.lex_state = 206},
  [2437] = {.lex_state = 206},
  [2438] = {.lex_state = 206},
  [2439] = {.lex_state = 206},
  [2440] = {.lex_state = 206},
  [2441] = {.lex_state = 206},
  [2442] = {.lex_state = 206},
  [2443] = {.lex_state = 206},
  [2444] = {.lex_state = 206},
  [2445] = {.lex_state = 206},
  [2446] = {.lex_state = 206},
  [2447] = {.lex_state = 206},
  [2448] = {.lex_state = 206},
  [2449] = {.lex_state = 206},
  [2450] = {.lex_state = 206},
  [2451] = {.lex_state = 206},
  [2452] = {.lex_state = 206},
  [2453] = {.lex_state = 206},
  [2454] = {.lex_state = 206},
  [2455] = {.lex_state = 206},
  [2456] = {.lex_state = 206},
  [2457] = {.lex_state = 206},
  [2458] = {.lex_state = 206},
  [2459] = {.lex_state = 206},
  [2460] = {.lex_state = 206},
  [2461] = {.lex_state = 206},
  [2462] = {.lex_state = 206},
  [2463] = {.lex_state = 206},
  [2464] = {.lex_state = 206},
  [2465] = {.lex_state = 206},
  [2466] = {.lex_state = 206},
  [2467] = {.lex_state = 206},
  [2468] = {.lex_state = 206},
  [2469] = {.lex_state = 206},
  [2470] = {.lex_state = 206},
  [2471] = {.lex_state = 206},
  [2472] = {.lex_state = 206},
  [2473] = {.lex_state = 206},
  [2474] = {.lex_state = 206},
  [2475] = {.lex_state = 206},
  [2476] = {.lex_state = 206},
  [2477] = {.lex_state = 206},
  [2478] = {.lex_state = 206},
  [2479] = {.lex_state = 206},
  [2480] = {.lex_state = 206},
  [2481] = {.lex_state = 206},
  [2482] = {.lex_state = 206},
  [2483] = {.lex_state = 206},
  [2484] = {.lex_state = 206},
  [2485] = {.lex_state = 206},
  [2486] = {.lex_state = 206},
  [2487] = {.lex_state = 206},
  [2488] = {.lex_state = 206},
  [2489] = {.lex_state = 206},
  [2490] = {.lex_state = 206},
  [2491] = {.lex_state = 206},
  [2492] = {.lex_state = 206},
  [2493] = {.lex_state = 206},
  [2494] = {.lex_state = 206},
  [2495] = {.lex_state = 206},
  [2496] = {.lex_state = 206},
  [2497] = {.lex_state = 206},
  [2498] = {.lex_state = 206},
  [2499] = {.lex_state = 284},
  [2500] = {.lex_state = 284},
  [2501] = {.lex_state = 228},
  [2502] = {.lex_state = 284},
  [2503] = {.lex_state = 284},
  [2504] = {.lex_state = 284},
  [2505] = {.lex_state = 284},
  [2506] = {.lex_state = 284},
  [2507] = {.lex_state = 228},
  [2508] = {.lex_state = 228},
  [2509] = {.lex_state = 284},
  [2510] = {.lex_state = 284},
  [2511] = {.lex_state = 228},
  [2512] = {.lex_state = 228},
  [2513] = {.lex_state = 228},
  [2514] = {.lex_state = 228},
  [2515] = {.lex_state = 228},
  [2516] = {.lex_state = 284},
  [2517] = {.lex_state = 228},
  [2518] = {.lex_state = 228},
  [2519] = {.lex_state = 284},
  [2520] = {.lex_state = 228},
  [2521] = {.lex_state = 228},
  [2522] = {.lex_state = 228},
  [2523] = {.lex_state = 228},
  [2524] = {.lex_state = 284},
  [2525] = {.lex_state = 228},
  [2526] = {.lex_state = 284},
  [2527] = {.lex_state = 284},
  [2528] = {.lex_state = 284},
  [2529] = {.lex_state = 254},
  [2530] = {.lex_state = 254},
  [2531] = {.lex_state = 254},
  [2532] = {.lex_state = 254},
  [2533] = {.lex_state = 284},
  [2534] = {.lex_state = 284},
  [2535] = {.lex_state = 284},
  [2536] = {.lex_state = 284},
  [2537] = {.lex_state = 284},
  [2538] = {.lex_state = 284},
  [2539] = {.lex_state = 284},
  [2540] = {.lex_state = 254},
  [2541] = {.lex_state = 284},
  [2542] = {.lex_state = 284},
  [2543] = {.lex_state = 284},
  [2544] = {.lex_state = 284},
  [2545] = {.lex_state = 284},
  [2546] = {.lex_state = 284},
  [2547] = {.lex_state = 284},
  [2548] = {.lex_state = 284},
  [2549] = {.lex_state = 284},
  [2550] = {.lex_state = 284},
  [2551] = {.lex_state = 284},
  [2552] = {.lex_state = 284},
  [2553] = {.lex_state = 284},
  [2554] = {.lex_state = 284},
  [2555] = {.lex_state = 284},
  [2556] = {.lex_state = 254},
  [2557] = {.lex_state = 284},
  [2558] = {.lex_state = 284},
  [2559] = {.lex_state = 284},
  [2560] = {.lex_state = 284},
  [2561] = {.lex_state = 284},
  [2562] = {.lex_state = 284},
  [2563] = {.lex_state = 284},
  [2564] = {.lex_state = 284},
  [2565] = {.lex_state = 284},
  [2566] = {.lex_state = 284},
  [2567] = {.lex_state = 284},
  [2568] = {.lex_state = 284},
  [2569] = {.lex_state = 284},
  [2570] = {.lex_state = 284},
  [2571] = {.lex_state = 284},
  [2572] = {.lex_state = 284},
  [2573] = {.lex_state = 284},
  [2574] = {.lex_state = 284},
  [2575] = {.lex_state = 284},
  [2576] = {.lex_state = 284},
  [2577] = {.lex_state = 284},
  [2578] = {.lex_state = 284},
  [2579] = {.lex_state = 284},
  [2580] = {.lex_state = 284},
  [2581] = {.lex_state = 284},
  [2582] = {.lex_state = 284},
  [2583] = {.lex_state = 284},
  [2584] = {.lex_state = 284},
  [2585] = {.lex_state = 284},
  [2586] = {.lex_state = 284},
  [2587] = {.lex_state = 284},
  [2588] = {.lex_state = 284},
  [2589] = {.lex_state = 284},
  [2590] = {.lex_state = 284},
  [2591] = {.lex_state = 284},
  [2592] = {.lex_state = 284},
  [2593] = {.lex_state = 284},
  [2594] = {.lex_state = 284},
  [2595] = {.lex_state = 284},
  [2596] = {.lex_state = 284},
  [2597] = {.lex_state = 284},
  [2598] = {.lex_state = 284},
  [2599] = {.lex_state = 284},
  [2600] = {.lex_state = 284},
  [2601] = {.lex_state = 284},
  [2602] = {.lex_state = 284},
  [2603] = {.lex_state = 284},
  [2604] = {.lex_state = 284},
  [2605] = {.lex_state = 284},
  [2606] = {.lex_state = 284},
  [2607] = {.lex_state = 284},
  [2608] = {.lex_state = 284},
  [2609] = {.lex_state = 284},
  [2610] = {.lex_state = 284},
  [2611] = {.lex_state = 284},
  [2612] = {.lex_state = 284},
  [2613] = {.lex_state = 284},
  [2614] = {.lex_state = 284},
  [2615] = {.lex_state = 284},
  [2616] = {.lex_state = 284},
  [2617] = {.lex_state = 284},
  [2618] = {.lex_state = 284},
  [2619] = {.lex_state = 284},
  [2620] = {.lex_state = 284},
  [2621] = {.lex_state = 284},
  [2622] = {.lex_state = 284},
  [2623] = {.lex_state = 284},
  [2624] = {.lex_state = 284},
  [2625] = {.lex_state = 284},
  [2626] = {.lex_state = 284},
  [2627] = {.lex_state = 284},
  [2628] = {.lex_state = 284},
  [2629] = {.lex_state = 284},
  [2630] = {.lex_state = 284},
  [2631] = {.lex_state = 284},
  [2632] = {.lex_state = 284},
  [2633] = {.lex_state = 284},
  [2634] = {.lex_state = 284},
  [2635] = {.lex_state = 284},
  [2636] = {.lex_state = 284},
  [2637] = {.lex_state = 284},
  [2638] = {.lex_state = 284},
  [2639] = {.lex_state = 284},
  [2640] = {.lex_state = 284},
  [2641] = {.lex_state = 284},
  [2642] = {.lex_state = 284},
  [2643] = {.lex_state = 284},
  [2644] = {.lex_state = 284},
  [2645] = {.lex_state = 284},
  [2646] = {.lex_state = 284},
  [2647] = {.lex_state = 284},
  [2648] = {.lex_state = 284},
  [2649] = {.lex_state = 284},
  [2650] = {.lex_state = 284},
  [2651] = {.lex_state = 284},
  [2652] = {.lex_state = 284},
  [2653] = {.lex_state = 284},
  [2654] = {.lex_state = 285},
  [2655] = {.lex_state = 284},
  [2656] = {.lex_state = 284},
  [2657] = {.lex_state = 284},
  [2658] = {.lex_state = 284},
  [2659] = {.lex_state = 254},
  [2660] = {.lex_state = 282},
  [2661] = {.lex_state = 284},
  [2662] = {.lex_state = 285},
  [2663] = {.lex_state = 254},
  [2664] = {.lex_state = 284},
  [2665] = {.lex_state = 284},
  [2666] = {.lex_state = 285},
  [2667] = {.lex_state = 284},
  [2668] = {.lex_state = 284},
  [2669] = {.lex_state = 284},
  [2670] = {.lex_state = 284},
  [2671] = {.lex_state = 254},
  [2672] = {.lex_state = 284},
  [2673] = {.lex_state = 284},
  [2674] = {.lex_state = 284},
  [2675] = {.lex_state = 284},
  [2676] = {.lex_state = 282},
  [2677] = {.lex_state = 282},
  [2678] = {.lex_state = 285},
  [2679] = {.lex_state = 284},
  [2680] = {.lex_state = 284},
  [2681] = {.lex_state = 282},
  [2682] = {.lex_state = 284},
  [2683] = {.lex_state = 284},
  [2684] = {.lex_state = 254},
  [2685] = {.lex_state = 254},
  [2686] = {.lex_state = 254},
  [2687] = {.lex_state = 254},
  [2688] = {.lex_state = 254},
  [2689] = {.lex_state = 254},
  [2690] = {.lex_state = 254},
  [2691] = {.lex_state = 254},
  [2692] = {.lex_state = 254},
  [2693] = {.lex_state = 254},
  [2694] = {.lex_state = 254},
  [2695] = {.lex_state = 254},
  [2696] = {.lex_state = 254},
  [2697] = {.lex_state = 254},
  [2698] = {.lex_state = 254},
  [2699] = {.lex_state = 285},
  [2700] = {.lex_state = 254},
  [2701] = {.lex_state = 254},
  [2702] = {.lex_state = 254},
  [2703] = {.lex_state = 254},
  [2704] = {.lex_state = 254},
  [2705] = {.lex_state = 254},
  [2706] = {.lex_state = 254},
  [2707] = {.lex_state = 254},
  [2708] = {.lex_state = 254},
  [2709] = {.lex_state = 254},
  [2710] = {.lex_state = 254},
  [2711] = {.lex_state = 254},
  [2712] = {.lex_state = 254},
  [2713] = {.lex_state = 254},
  [2714] = {.lex_state = 254},
  [2715] = {.lex_state = 254},
  [2716] = {.lex_state = 254},
  [2717] = {.lex_state = 254},
  [2718] = {.lex_state = 254},
  [2719] = {.lex_state = 254},
  [2720] = {.lex_state = 254},
  [2721] = {.lex_state = 254},
  [2722] = {.lex_state = 254},
  [2723] = {.lex_state = 254},
  [2724] = {.lex_state = 254},
  [2725] = {.lex_state = 254},
  [2726] = {.lex_state = 282},
  [2727] = {.lex_state = 254},
  [2728] = {.lex_state = 254},
  [2729] = {.lex_state = 254},
  [2730] = {.lex_state = 254},
  [2731] = {.lex_state = 254},
  [2732] = {.lex_state = 254},
  [2733] = {.lex_state = 254},
  [2734] = {.lex_state = 254},
  [2735] = {.lex_state = 254},
  [2736] = {.lex_state = 254},
  [2737] = {.lex_state = 254},
  [2738] = {.lex_state = 254},
  [2739] = {.lex_state = 254},
  [2740] = {.lex_state = 254},
  [2741] = {.lex_state = 254},
  [2742] = {.lex_state = 254},
  [2743] = {.lex_state = 254},
  [2744] = {.lex_state = 254},
  [2745] = {.lex_state = 254},
  [2746] = {.lex_state = 254},
  [2747] = {.lex_state = 254},
  [2748] = {.lex_state = 254},
  [2749] = {.lex_state = 254},
  [2750] = {.lex_state = 282},
  [2751] = {.lex_state = 254},
  [2752] = {.lex_state = 254},
  [2753] = {.lex_state = 254},
  [2754] = {.lex_state = 254},
  [2755] = {.lex_state = 254},
  [2756] = {.lex_state = 254},
  [2757] = {.lex_state = 254},
  [2758] = {.lex_state = 254},
  [2759] = {.lex_state = 254},
  [2760] = {.lex_state = 254},
  [2761] = {.lex_state = 254},
  [2762] = {.lex_state = 254},
  [2763] = {.lex_state = 254},
  [2764] = {.lex_state = 285},
  [2765] = {.lex_state = 254},
  [2766] = {.lex_state = 254},
  [2767] = {.lex_state = 254},
  [2768] = {.lex_state = 254},
  [2769] = {.lex_state = 254},
  [2770] = {.lex_state = 254},
  [2771] = {.lex_state = 254},
  [2772] = {.lex_state = 254},
  [2773] = {.lex_state = 254},
  [2774] = {.lex_state = 254},
  [2775] = {.lex_state = 254},
  [2776] = {.lex_state = 254},
  [2777] = {.lex_state = 254},
  [2778] = {.lex_state = 254},
  [2779] = {.lex_state = 254},
  [2780] = {.lex_state = 254},
  [2781] = {.lex_state = 254},
  [2782] = {.lex_state = 254},
  [2783] = {.lex_state = 254},
  [2784] = {.lex_state = 282},
  [2785] = {.lex_state = 285},
  [2786] = {.lex_state = 284},
  [2787] = {.lex_state = 282},
  [2788] = {.lex_state = 284},
  [2789] = {.lex_state = 285},
  [2790] = {.lex_state = 285},
  [2791] = {.lex_state = 282},
  [2792] = {.lex_state = 221},
  [2793] = {.lex_state = 282},
  [2794] = {.lex_state = 282},
  [2795] = {.lex_state = 282},
  [2796] = {.lex_state = 282},
  [2797] = {.lex_state = 285},
  [2798] = {.lex_state = 285},
  [2799] = {.lex_state = 282},
  [2800] = {.lex_state = 285},
  [2801] = {.lex_state = 285},
  [2802] = {.lex_state = 282},
  [2803] = {.lex_state = 282},
  [2804] = {.lex_state = 282},
  [2805] = {.lex_state = 282},
  [2806] = {.lex_state = 282},
  [2807] = {.lex_state = 282},
  [2808] = {.lex_state = 282},
  [2809] = {.lex_state = 285},
  [2810] = {.lex_state = 282},
  [2811] = {.lex_state = 282},
  [2812] = {.lex_state = 285},
  [2813] = {.lex_state = 282},
  [2814] = {.lex_state = 285},
  [2815] = {.lex_state = 282},
  [2816] = {.lex_state = 282},
  [2817] = {.lex_state = 285},
  [2818] = {.lex_state = 285},
  [2819] = {.lex_state = 285},
  [2820] = {.lex_state = 285},
  [2821] = {.lex_state = 285},
  [2822] = {.lex_state = 282},
  [2823] = {.lex_state = 285},
  [2824] = {.lex_state = 282},
  [2825] = {.lex_state = 282},
  [2826] = {.lex_state = 282},
  [2827] = {.lex_state = 283},
  [2828] = {.lex_state = 282},
  [2829] = {.lex_state = 282},
  [2830] = {.lex_state = 282},
  [2831] = {.lex_state = 282},
  [2832] = {.lex_state = 282},
  [2833] = {.lex_state = 285},
  [2834] = {.lex_state = 282},
  [2835] = {.lex_state = 282},
  [2836] = {.lex_state = 282},
  [2837] = {.lex_state = 285},
  [2838] = {.lex_state = 282},
  [2839] = {.lex_state = 285},
  [2840] = {.lex_state = 285},
  [2841] = {.lex_state = 285},
  [2842] = {.lex_state = 285},
  [2843] = {.lex_state = 285},
  [2844] = {.lex_state = 285},
  [2845] = {.lex_state = 285},
  [2846] = {.lex_state = 285},
  [2847] = {.lex_state = 285},
  [2848] = {.lex_state = 285},
  [2849] = {.lex_state = 282},
  [2850] = {.lex_state = 282},
  [2851] = {.lex_state = 285},
  [2852] = {.lex_state = 282},
  [2853] = {.lex_state = 282},
  [2854] = {.lex_state = 282},
  [2855] = {.lex_state = 282},
  [2856] = {.lex_state = 282},
  [2857] = {.lex_state = 282},
  [2858] = {.lex_state = 282},
  [2859] = {.lex_state = 282},
  [2860] = {.lex_state = 282},
  [2861] = {.lex_state = 285},
  [2862] = {.lex_state = 285},
  [2863] = {.lex_state = 282},
  [2864] = {.lex_state = 282},
  [2865] = {.lex_state = 285},
  [2866] = {.lex_state = 285},
  [2867] = {.lex_state = 285},
  [2868] = {.lex_state = 282},
  [2869] = {.lex_state = 285},
  [2870] = {.lex_state = 285},
  [2871] = {.lex_state = 285},
  [2872] = {.lex_state = 285},
  [2873] = {.lex_state = 285},
  [2874] = {.lex_state = 285},
  [2875] = {.lex_state = 285},
  [2876] = {.lex_state = 282},
  [2877] = {.lex_state = 282},
  [2878] = {.lex_state = 282},
  [2879] = {.lex_state = 285},
  [2880] = {.lex_state = 285},
  [2881] = {.lex_state = 285},
  [2882] = {.lex_state = 282},
  [2883] = {.lex_state = 285},
  [2884] = {.lex_state = 285},
  [2885] = {.lex_state = 282},
  [2886] = {.lex_state = 285},
  [2887] = {.lex_state = 285},
  [2888] = {.lex_state = 285},
  [2889] = {.lex_state = 282},
  [2890] = {.lex_state = 285},
  [2891] = {.lex_state = 282},
  [2892] = {.lex_state = 282},
  [2893] = {.lex_state = 285},
  [2894] = {.lex_state = 285},
  [2895] = {.lex_state = 285},
  [2896] = {.lex_state = 285},
  [2897] = {.lex_state = 282},
  [2898] = {.lex_state = 282},
  [2899] = {.lex_state = 285},
  [2900] = {.lex_state = 285},
  [2901] = {.lex_state = 285},
  [2902] = {.lex_state = 285},
  [2903] = {.lex_state = 282},
  [2904] = {.lex_state = 285},
  [2905] = {.lex_state = 285},
  [2906] = {.lex_state = 285},
  [2907] = {.lex_state = 282},
  [2908] = {.lex_state = 282},
  [2909] = {.lex_state = 285},
  [2910] = {.lex_state = 285},
  [2911] = {.lex_state = 285},
  [2912] = {.lex_state = 282},
  [2913] = {.lex_state = 285},
  [2914] = {.lex_state = 285},
  [2915] = {.lex_state = 282},
  [2916] = {.lex_state = 285},
  [2917] = {.lex_state = 285},
  [2918] = {.lex_state = 285},
  [2919] = {.lex_state = 285},
  [2920] = {.lex_state = 285},
  [2921] = {.lex_state = 282},
  [2922] = {.lex_state = 282},
  [2923] = {.lex_state = 285},
  [2924] = {.lex_state = 282},
  [2925] = {.lex_state = 285},
  [2926] = {.lex_state = 282},
  [2927] = {.lex_state = 285},
  [2928] = {.lex_state = 285},
  [2929] = {.lex_state = 285},
  [2930] = {.lex_state = 285},
  [2931] = {.lex_state = 282},
  [2932] = {.lex_state = 285},
  [2933] = {.lex_state = 285},
  [2934] = {.lex_state = 285},
  [2935] = {.lex_state = 285},
  [2936] = {.lex_state = 285},
  [2937] = {.lex_state = 282},
  [2938] = {.lex_state = 285},
  [2939] = {.lex_state = 285},
  [2940] = {.lex_state = 285},
  [2941] = {.lex_state = 282},
  [2942] = {.lex_state = 282},
  [2943] = {.lex_state = 285},
  [2944] = {.lex_state = 282},
  [2945] = {.lex_state = 285},
  [2946] = {.lex_state = 285},
  [2947] = {.lex_state = 282},
  [2948] = {.lex_state = 285},
  [2949] = {.lex_state = 283},
  [2950] = {.lex_state = 282},
  [2951] = {.lex_state = 282},
  [2952] = {.lex_state = 222},
  [2953] = {.lex_state = 282},
  [2954] = {.lex_state = 282},
  [2955] = {.lex_state = 282},
  [2956] = {.lex_state = 282},
  [2957] = {.lex_state = 282},
  [2958] = {.lex_state = 282},
  [2959] = {.lex_state = 282},
  [2960] = {.lex_state = 285},
  [2961] = {.lex_state = 282},
  [2962] = {.lex_state = 285},
  [2963] = {.lex_state = 282},
  [2964] = {.lex_state = 282},
  [2965] = {.lex_state = 282},
  [2966] = {.lex_state = 285},
  [2967] = {.lex_state = 285},
  [2968] = {.lex_state = 285},
  [2969] = {.lex_state = 282},
  [2970] = {.lex_state = 285},
  [2971] = {.lex_state = 285},
  [2972] = {.lex_state = 282},
  [2973] = {.lex_state = 282},
  [2974] = {.lex_state = 282},
  [2975] = {.lex_state = 282},
  [2976] = {.lex_state = 282},
  [2977] = {.lex_state = 282},
  [2978] = {.lex_state = 282},
  [2979] = {.lex_state = 282},
  [2980] = {.lex_state = 282},
  [2981] = {.lex_state = 282},
  [2982] = {.lex_state = 282},
  [2983] = {.lex_state = 282},
  [2984] = {.lex_state = 285},
  [2985] = {.lex_state = 285},
  [2986] = {.lex_state = 282},
  [2987] = {.lex_state = 285},
  [2988] = {.lex_state = 284},
  [2989] = {.lex_state = 284},
  [2990] = {.lex_state = 284},
  [2991] = {.lex_state = 284},
  [2992] = {.lex_state = 284},
  [2993] = {.lex_state = 225},
  [2994] = {.lex_state = 284},
  [2995] = {.lex_state = 283},
  [2996] = {.lex_state = 283},
  [2997] = {.lex_state = 284},
  [2998] = {.lex_state = 284},
  [2999] = {.lex_state = 283},
  [3000] = {.lex_state = 284},
  [3001] = {.lex_state = 284},
  [3002] = {.lex_state = 284},
  [3003] = {.lex_state = 284},
  [3004] = {.lex_state = 283},
  [3005] = {.lex_state = 284},
  [3006] = {.lex_state = 284},
  [3007] = {.lex_state = 284},
  [3008] = {.lex_state = 284},
  [3009] = {.lex_state = 284},
  [3010] = {.lex_state = 284},
  [3011] = {.lex_state = 283},
  [3012] = {.lex_state = 283},
  [3013] = {.lex_state = 283},
  [3014] = {.lex_state = 283},
  [3015] = {.lex_state = 283},
  [3016] = {.lex_state = 283},
  [3017] = {.lex_state = 283},
  [3018] = {.lex_state = 284},
  [3019] = {.lex_state = 284},
  [3020] = {.lex_state = 284},
  [3021] = {.lex_state = 284},
  [3022] = {.lex_state = 283},
  [3023] = {.lex_state = 283},
  [3024] = {.lex_state = 283},
  [3025] = {.lex_state = 284},
  [3026] = {.lex_state = 283},
  [3027] = {.lex_state = 283},
  [3028] = {.lex_state = 283},
  [3029] = {.lex_state = 283},
  [3030] = {.lex_state = 283},
  [3031] = {.lex_state = 283},
  [3032] = {.lex_state = 283},
  [3033] = {.lex_state = 283},
  [3034] = {.lex_state = 284},
  [3035] = {.lex_state = 283},
  [3036] = {.lex_state = 283},
  [3037] = {.lex_state = 228},
  [3038] = {.lex_state = 228},
  [3039] = {.lex_state = 228},
  [3040] = {.lex_state = 228},
  [3041] = {.lex_state = 228},
  [3042] = {.lex_state = 228},
  [3043] = {.lex_state = 283},
  [3044] = {.lex_state = 283},
  [3045] = {.lex_state = 283},
  [3046] = {.lex_state = 283},
  [3047] = {.lex_state = 228},
  [3048] = {.lex_state = 228},
  [3049] = {.lex_state = 228},
  [3050] = {.lex_state = 283},
  [3051] = {.lex_state = 278},
  [3052] = {.lex_state = 284},
  [3053] = {.lex_state = 278},
  [3054] = {.lex_state = 283},
  [3055] = {.lex_state = 278},
  [3056] = {.lex_state = 278},
  [3057] = {.lex_state = 278},
  [3058] = {.lex_state = 283},
  [3059] = {.lex_state = 283},
  [3060] = {.lex_state = 283},
  [3061] = {.lex_state = 283},
  [3062] = {.lex_state = 283},
  [3063] = {.lex_state = 283},
  [3064] = {.lex_state = 283},
  [3065] = {.lex_state = 283},
  [3066] = {.lex_state = 283},
  [3067] = {.lex_state = 283},
  [3068] = {.lex_state = 283},
  [3069] = {.lex_state = 283},
  [3070] = {.lex_state = 283},
  [3071] = {.lex_state = 283},
  [3072] = {.lex_state = 283},
  [3073] = {.lex_state = 283},
  [3074] = {.lex_state = 283},
  [3075] = {.lex_state = 283},
  [3076] = {.lex_state = 283},
  [3077] = {.lex_state = 283},
  [3078] = {.lex_state = 283},
  [3079] = {.lex_state = 283},
  [3080] = {.lex_state = 283},
  [3081] = {.lex_state = 283},
  [3082] = {.lex_state = 283},
  [3083] = {.lex_state = 283},
  [3084] = {.lex_state = 283},
  [3085] = {.lex_state = 283},
  [3086] = {.lex_state = 283},
  [3087] = {.lex_state = 283},
  [3088] = {.lex_state = 283},
  [3089] = {.lex_state = 283},
  [3090] = {.lex_state = 283},
  [3091] = {.lex_state = 283},
  [3092] = {.lex_state = 283},
  [3093] = {.lex_state = 283},
  [3094] = {.lex_state = 283},
  [3095] = {.lex_state = 283},
  [3096] = {.lex_state = 283},
  [3097] = {.lex_state = 283},
  [3098] = {.lex_state = 283},
  [3099] = {.lex_state = 228},
  [3100] = {.lex_state = 228},
  [3101] = {.lex_state = 228},
  [3102] = {.lex_state = 228},
  [3103] = {.lex_state = 228},
  [3104] = {.lex_state = 228},
  [3105] = {.lex_state = 228},
  [3106] = {.lex_state = 228},
  [3107] = {.lex_state = 228},
  [3108] = {.lex_state = 283},
  [3109] = {.lex_state = 283},
  [3110] = {.lex_state = 283},
  [3111] = {.lex_state = 283},
  [3112] = {.lex_state = 283},
  [3113] = {.lex_state = 283},
  [3114] = {.lex_state = 284},
  [3115] = {.lex_state = 283},
  [3116] = {.lex_state = 283},
  [3117] = {.lex_state = 283},
  [3118] = {.lex_state = 283},
  [3119] = {.lex_state = 283},
  [3120] = {.lex_state = 283},
  [3121] = {.lex_state = 283},
  [3122] = {.lex_state = 210},
  [3123] = {.lex_state = 283},
  [3124] = {.lex_state = 283},
  [3125] = {.lex_state = 208},
  [3126] = {.lex_state = 283},
  [3127] = {.lex_state = 283},
  [3128] = {.lex_state = 283},
  [3129] = {.lex_state = 283},
  [3130] = {.lex_state = 283},
  [3131] = {.lex_state = 208},
  [3132] = {.lex_state = 202},
  [3133] = {.lex_state = 283},
  [3134] = {.lex_state = 283},
  [3135] = {.lex_state = 283},
  [3136] = {.lex_state = 202},
  [3137] = {.lex_state = 208},
  [3138] = {.lex_state = 228},
  [3139] = {.lex_state = 283},
  [3140] = {.lex_state = 284},
  [3141] = {.lex_state = 284},
  [3142] = {.lex_state = 284},
  [3143] = {.lex_state = 284},
  [3144] = {.lex_state = 284},
  [3145] = {.lex_state = 284},
  [3146] = {.lex_state = 228},
  [3147] = {.lex_state = 284},
  [3148] = {.lex_state = 284},
  [3149] = {.lex_state = 283},
  [3150] = {.lex_state = 284},
  [3151] = {.lex_state = 228},
  [3152] = {.lex_state = 284},
  [3153] = {.lex_state = 284},
  [3154] = {.lex_state = 284},
  [3155] = {.lex_state = 284},
  [3156] = {.lex_state = 284},
  [3157] = {.lex_state = 284},
  [3158] = {.lex_state = 284},
  [3159] = {.lex_state = 284},
  [3160] = {.lex_state = 284},
  [3161] = {.lex_state = 286},
  [3162] = {.lex_state = 283},
  [3163] = {.lex_state = 284},
  [3164] = {.lex_state = 284},
  [3165] = {.lex_state = 284},
  [3166] = {.lex_state = 284},
  [3167] = {.lex_state = 283},
  [3168] = {.lex_state = 262},
  [3169] = {.lex_state = 262},
  [3170] = {.lex_state = 284},
  [3171] = {.lex_state = 262},
  [3172] = {.lex_state = 262},
  [3173] = {.lex_state = 284},
  [3174] = {.lex_state = 232},
  [3175] = {.lex_state = 283},
  [3176] = {.lex_state = 208},
  [3177] = {.lex_state = 208},
  [3178] = {.lex_state = 262},
  [3179] = {.lex_state = 262},
  [3180] = {.lex_state = 262},
  [3181] = {.lex_state = 283},
  [3182] = {.lex_state = 283},
  [3183] = {.lex_state = 208},
  [3184] = {.lex_state = 208},
  [3185] = {.lex_state = 283},
  [3186] = {.lex_state = 283},
  [3187] = {.lex_state = 236},
  [3188] = {.lex_state = 267},
  [3189] = {.lex_state = 267},
  [3190] = {.lex_state = 231},
  [3191] = {.lex_state = 267},
  [3192] = {.lex_state = 283},
  [3193] = {.lex_state = 283},
  [3194] = {.lex_state = 210},
  [3195] = {.lex_state = 283},
  [3196] = {.lex_state = 267},
  [3197] = {.lex_state = 267},
  [3198] = {.lex_state = 267},
  [3199] = {.lex_state = 283},
  [3200] = {.lex_state = 267},
  [3201] = {.lex_state = 283},
  [3202] = {.lex_state = 283},
  [3203] = {.lex_state = 245},
  [3204] = {.lex_state = 233},
  [3205] = {.lex_state = 233},
  [3206] = {.lex_state = 283},
  [3207] = {.lex_state = 284},
  [3208] = {.lex_state = 284},
  [3209] = {.lex_state = 262},
  [3210] = {.lex_state = 232},
  [3211] = {.lex_state = 236},
  [3212] = {.lex_state = 236},
  [3213] = {.lex_state = 283},
  [3214] = {.lex_state = 236},
  [3215] = {.lex_state = 236},
  [3216] = {.lex_state = 208},
  [3217] = {.lex_state = 228},
  [3218] = {.lex_state = 234},
  [3219] = {.lex_state = 215},
  [3220] = {.lex_state = 215},
  [3221] = {.lex_state = 234},
  [3222] = {.lex_state = 208},
  [3223] = {.lex_state = 228},
  [3224] = {.lex_state = 228},
  [3225] = {.lex_state = 245},
  [3226] = {.lex_state = 245},
  [3227] = {.lex_state = 234},
  [3228] = {.lex_state = 234},
  [3229] = {.lex_state = 245},
  [3230] = {.lex_state = 234},
  [3231] = {.lex_state = 234},
  [3232] = {.lex_state = 206},
  [3233] = {.lex_state = 234},
  [3234] = {.lex_state = 210},
  [3235] = {.lex_state = 234},
  [3236] = {.lex_state = 283},
  [3237] = {.lex_state = 234},
  [3238] = {.lex_state = 267},
  [3239] = {.lex_state = 286},
  [3240] = {.lex_state = 224},
  [3241] = {.lex_state = 208},
  [3242] = {.lex_state = 208},
  [3243] = {.lex_state = 213},
  [3244] = {.lex_state = 234},
  [3245] = {.lex_state = 210},
  [3246] = {.lex_state = 262},
  [3247] = {.lex_state = 245},
  [3248] = {.lex_state = 245},
  [3249] = {.lex_state = 221},
  [3250] = {.lex_state = 213},
  [3251] = {.lex_state = 221},
  [3252] = {.lex_state = 234},
  [3253] = {.lex_state = 232},
  [3254] = {.lex_state = 283},
  [3255] = {.lex_state = 245},
  [3256] = {.lex_state = 245},
  [3257] = {.lex_state = 210},
  [3258] = {.lex_state = 213},
  [3259] = {.lex_state = 234},
  [3260] = {.lex_state = 224},
  [3261] = {.lex_state = 245},
  [3262] = {.lex_state = 245},
  [3263] = {.lex_state = 224},
  [3264] = {.lex_state = 234},
  [3265] = {.lex_state = 234},
  [3266] = {.lex_state = 245},
  [3267] = {.lex_state = 245},
  [3268] = {.lex_state = 245},
  [3269] = {.lex_state = 245},
  [3270] = {.lex_state = 232},
  [3271] = {.lex_state = 210},
  [3272] = {.lex_state = 232},
  [3273] = {.lex_state = 232},
  [3274] = {.lex_state = 232},
  [3275] = {.lex_state = 232},
  [3276] = {.lex_state = 222},
  [3277] = {.lex_state = 232},
  [3278] = {.lex_state = 232},
  [3279] = {.lex_state = 236},
  [3280] = {.lex_state = 208},
  [3281] = {.lex_state = 208},
  [3282] = {.lex_state = 218},
  [3283] = {.lex_state = 232},
  [3284] = {.lex_state = 210},
  [3285] = {.lex_state = 232},
  [3286] = {.lex_state = 232},
  [3287] = {.lex_state = 232},
  [3288] = {.lex_state = 284},
  [3289] = {.lex_state = 232},
  [3290] = {.lex_state = 232},
  [3291] = {.lex_state = 267},
  [3292] = {.lex_state = 232},
  [3293] = {.lex_state = 232},
  [3294] = {.lex_state = 213},
  [3295] = {.lex_state = 232},
  [3296] = {.lex_state = 232},
  [3297] = {.lex_state = 232},
  [3298] = {.lex_state = 232},
  [3299] = {.lex_state = 232},
  [3300] = {.lex_state = 232},
  [3301] = {.lex_state = 232},
  [3302] = {.lex_state = 232},
  [3303] = {.lex_state = 210},
  [3304] = {.lex_state = 232},
  [3305] = {.lex_state = 232},
  [3306] = {.lex_state = 232},
  [3307] = {.lex_state = 232},
  [3308] = {.lex_state = 218},
  [3309] = {.lex_state = 232},
  [3310] = {.lex_state = 232},
  [3311] = {.lex_state = 232},
  [3312] = {.lex_state = 232},
  [3313] = {.lex_state = 222},
  [3314] = {.lex_state = 218},
  [3315] = {.lex_state = 232},
  [3316] = {.lex_state = 232},
  [3317] = {.lex_state = 232},
  [3318] = {.lex_state = 232},
  [3319] = {.lex_state = 234},
  [3320] = {.lex_state = 210},
  [3321] = {.lex_state = 232},
  [3322] = {.lex_state = 236},
  [3323] = {.lex_state = 232},
  [3324] = {.lex_state = 232},
  [3325] = {.lex_state = 210},
  [3326] = {.lex_state = 208},
  [3327] = {.lex_state = 232},
  [3328] = {.lex_state = 213},
  [3329] = {.lex_state = 232},
  [3330] = {.lex_state = 210},
  [3331] = {.lex_state = 210},
  [3332] = {.lex_state = 210},
  [3333] = {.lex_state = 210},
  [3334] = {.lex_state = 236},
  [3335] = {.lex_state = 210},
  [3336] = {.lex_state = 236},
  [3337] = {.lex_state = 236},
  [3338] = {.lex_state = 235},
  [3339] = {.lex_state = 236},
  [3340] = {.lex_state = 236},
  [3341] = {.lex_state = 236},
  [3342] = {.lex_state = 210},
  [3343] = {.lex_state = 236},
  [3344] = {.lex_state = 208},
  [3345] = {.lex_state = 225},
  [3346] = {.lex_state = 208},
  [3347] = {.lex_state = 236},
  [3348] = {.lex_state = 219},
  [3349] = {.lex_state = 236},
  [3350] = {.lex_state = 231},
  [3351] = {.lex_state = 240},
  [3352] = {.lex_state = 234},
  [3353] = {.lex_state = 208},
  [3354] = {.lex_state = 234},
  [3355] = {.lex_state = 234},
  [3356] = {.lex_state = 236},
  [3357] = {.lex_state = 236},
  [3358] = {.lex_state = 235},
  [3359] = {.lex_state = 236},
  [3360] = {.lex_state = 219},
  [3361] = {.lex_state = 219},
  [3362] = {.lex_state = 210},
  [3363] = {.lex_state = 206},
  [3364] = {.lex_state = 234},
  [3365] = {.lex_state = 236},
  [3366] = {.lex_state = 208},
  [3367] = {.lex_state = 225},
  [3368] = {.lex_state = 235},
  [3369] = {.lex_state = 231},
  [3370] = {.lex_state = 236},
  [3371] = {.lex_state = 235},
  [3372] = {.lex_state = 231},
  [3373] = {.lex_state = 231},
  [3374] = {.lex_state = 234},
  [3375] = {.lex_state = 236},
  [3376] = {.lex_state = 213},
  [3377] = {.lex_state = 236},
  [3378] = {.lex_state = 284},
  [3379] = {.lex_state = 240},
  [3380] = {.lex_state = 236},
  [3381] = {.lex_state = 236},
  [3382] = {.lex_state = 236},
  [3383] = {.lex_state = 236},
  [3384] = {.lex_state = 240},
  [3385] = {.lex_state = 236},
  [3386] = {.lex_state = 284},
  [3387] = {.lex_state = 236},
  [3388] = {.lex_state = 236},
  [3389] = {.lex_state = 236},
  [3390] = {.lex_state = 236},
  [3391] = {.lex_state = 235},
  [3392] = {.lex_state = 236},
  [3393] = {.lex_state = 235},
  [3394] = {.lex_state = 235},
  [3395] = {.lex_state = 208},
  [3396] = {.lex_state = 218},
  [3397] = {.lex_state = 236},
  [3398] = {.lex_state = 218},
  [3399] = {.lex_state = 236},
  [3400] = {.lex_state = 208},
  [3401] = {.lex_state = 236},
  [3402] = {.lex_state = 236},
  [3403] = {.lex_state = 236},
  [3404] = {.lex_state = 236},
  [3405] = {.lex_state = 235},
  [3406] = {.lex_state = 235},
  [3407] = {.lex_state = 235},
  [3408] = {.lex_state = 235},
  [3409] = {.lex_state = 240},
  [3410] = {.lex_state = 240},
  [3411] = {.lex_state = 240},
  [3412] = {.lex_state = 236},
  [3413] = {.lex_state = 236},
  [3414] = {.lex_state = 247},
  [3415] = {.lex_state = 236},
  [3416] = {.lex_state = 236},
  [3417] = {.lex_state = 235},
  [3418] = {.lex_state = 213},
  [3419] = {.lex_state = 236},
  [3420] = {.lex_state = 236},
  [3421] = {.lex_state = 213},
  [3422] = {.lex_state = 236},
  [3423] = {.lex_state = 235},
  [3424] = {.lex_state = 383},
  [3425] = {.lex_state = 383},
  [3426] = {.lex_state = 236},
  [3427] = {.lex_state = 236},
  [3428] = {.lex_state = 236},
  [3429] = {.lex_state = 236},
  [3430] = {.lex_state = 236},
  [3431] = {.lex_state = 236},
  [3432] = {.lex_state = 236},
  [3433] = {.lex_state = 236},
  [3434] = {.lex_state = 236},
  [3435] = {.lex_state = 248},
  [3436] = {.lex_state = 236},
  [3437] = {.lex_state = 236},
  [3438] = {.lex_state = 236},
  [3439] = {.lex_state = 236},
  [3440] = {.lex_state = 236},
  [3441] = {.lex_state = 234},
  [3442] = {.lex_state = 240},
  [3443] = {.lex_state = 235},
  [3444] = {.lex_state = 236},
  [3445] = {.lex_state = 236},
  [3446] = {.lex_state = 236},
  [3447] = {.lex_state = 236},
  [3448] = {.lex_state = 236},
  [3449] = {.lex_state = 213},
  [3450] = {.lex_state = 236},
  [3451] = {.lex_state = 236},
  [3452] = {.lex_state = 235},
  [3453] = {.lex_state = 240},
  [3454] = {.lex_state = 235},
  [3455] = {.lex_state = 236},
  [3456] = {.lex_state = 235},
  [3457] = {.lex_state = 240},
  [3458] = {.lex_state = 236},
  [3459] = {.lex_state = 236},
  [3460] = {.lex_state = 236},
  [3461] = {.lex_state = 236},
  [3462] = {.lex_state = 283},
  [3463] = {.lex_state = 236},
  [3464] = {.lex_state = 218},
  [3465] = {.lex_state = 236},
  [3466] = {.lex_state = 236},
  [3467] = {.lex_state = 244},
  [3468] = {.lex_state = 234},
  [3469] = {.lex_state = 236},
  [3470] = {.lex_state = 286},
  [3471] = {.lex_state = 284},
  [3472] = {.lex_state = 234},
  [3473] = {.lex_state = 218},
  [3474] = {.lex_state = 284},
  [3475] = {.lex_state = 236},
  [3476] = {.lex_state = 218},
  [3477] = {.lex_state = 236},
  [3478] = {.lex_state = 218},
  [3479] = {.lex_state = 236},
  [3480] = {.lex_state = 234},
  [3481] = {.lex_state = 284},
  [3482] = {.lex_state = 261},
  [3483] = {.lex_state = 236},
  [3484] = {.lex_state = 234},
  [3485] = {.lex_state = 244},
  [3486] = {.lex_state = 284},
  [3487] = {.lex_state = 236},
  [3488] = {.lex_state = 218},
  [3489] = {.lex_state = 208},
  [3490] = {.lex_state = 236},
  [3491] = {.lex_state = 284},
  [3492] = {.lex_state = 284},
  [3493] = {.lex_state = 236},
  [3494] = {.lex_state = 261},
  [3495] = {.lex_state = 236},
  [3496] = {.lex_state = 218},
  [3497] = {.lex_state = 247},
  [3498] = {.lex_state = 219},
  [3499] = {.lex_state = 286},
  [3500] = {.lex_state = 284},
  [3501] = {.lex_state = 284},
  [3502] = {.lex_state = 208},
  [3503] = {.lex_state = 219},
  [3504] = {.lex_state = 208},
  [3505] = {.lex_state = 240},
  [3506] = {.lex_state = 208},
  [3507] = {.lex_state = 218},
  [3508] = {.lex_state = 261},
  [3509] = {.lex_state = 244},
  [3510] = {.lex_state = 208},
  [3511] = {.lex_state = 235},
  [3512] = {.lex_state = 208},
  [3513] = {.lex_state = 262},
  [3514] = {.lex_state = 283},
  [3515] = {.lex_state = 219},
  [3516] = {.lex_state = 383},
  [3517] = {.lex_state = 247},
  [3518] = {.lex_state = 235},
  [3519] = {.lex_state = 219},
  [3520] = {.lex_state = 236},
  [3521] = {.lex_state = 235},
  [3522] = {.lex_state = 258},
  [3523] = {.lex_state = 219},
  [3524] = {.lex_state = 236},
  [3525] = {.lex_state = 383},
  [3526] = {.lex_state = 236},
  [3527] = {.lex_state = 236},
  [3528] = {.lex_state = 219},
  [3529] = {.lex_state = 208},
  [3530] = {.lex_state = 236},
  [3531] = {.lex_state = 236},
  [3532] = {.lex_state = 218},
  [3533] = {.lex_state = 383},
  [3534] = {.lex_state = 235},
  [3535] = {.lex_state = 235},
  [3536] = {.lex_state = 218},
  [3537] = {.lex_state = 236},
  [3538] = {.lex_state = 247},
  [3539] = {.lex_state = 218},
  [3540] = {.lex_state = 258},
  [3541] = {.lex_state = 236},
  [3542] = {.lex_state = 247},
  [3543] = {.lex_state = 218},
  [3544] = {.lex_state = 236},
  [3545] = {.lex_state = 258},
  [3546] = {.lex_state = 247},
  [3547] = {.lex_state = 247},
  [3548] = {.lex_state = 236},
  [3549] = {.lex_state = 238},
  [3550] = {.lex_state = 247},
  [3551] = {.lex_state = 247},
  [3552] = {.lex_state = 247},
  [3553] = {.lex_state = 236},
  [3554] = {.lex_state = 236},
  [3555] = {.lex_state = 247},
  [3556] = {.lex_state = 263},
  [3557] = {.lex_state = 208},
  [3558] = {.lex_state = 247},
  [3559] = {.lex_state = 236},
  [3560] = {.lex_state = 236},
  [3561] = {.lex_state = 236},
  [3562] = {.lex_state = 236},
  [3563] = {.lex_state = 383},
  [3564] = {.lex_state = 236},
  [3565] = {.lex_state = 236},
  [3566] = {.lex_state = 268},
  [3567] = {.lex_state = 236},
  [3568] = {.lex_state = 236},
  [3569] = {.lex_state = 236},
  [3570] = {.lex_state = 219},
  [3571] = {.lex_state = 236},
  [3572] = {.lex_state = 236},
  [3573] = {.lex_state = 275},
  [3574] = {.lex_state = 247},
  [3575] = {.lex_state = 236},
  [3576] = {.lex_state = 236},
  [3577] = {.lex_state = 247},
  [3578] = {.lex_state = 236},
  [3579] = {.lex_state = 236},
  [3580] = {.lex_state = 247},
  [3581] = {.lex_state = 247},
  [3582] = {.lex_state = 236},
  [3583] = {.lex_state = 248},
  [3584] = {.lex_state = 236},
  [3585] = {.lex_state = 236},
  [3586] = {.lex_state = 236},
  [3587] = {.lex_state = 236},
  [3588] = {.lex_state = 236},
  [3589] = {.lex_state = 236},
  [3590] = {.lex_state = 236},
  [3591] = {.lex_state = 259},
  [3592] = {.lex_state = 236},
  [3593] = {.lex_state = 236},
  [3594] = {.lex_state = 275},
  [3595] = {.lex_state = 228},
  [3596] = {.lex_state = 236},
  [3597] = {.lex_state = 236},
  [3598] = {.lex_state = 236},
  [3599] = {.lex_state = 236},
  [3600] = {.lex_state = 236},
  [3601] = {.lex_state = 236},
  [3602] = {.lex_state = 219},
  [3603] = {.lex_state = 236},
  [3604] = {.lex_state = 236},
  [3605] = {.lex_state = 236},
  [3606] = {.lex_state = 228},
  [3607] = {.lex_state = 236},
  [3608] = {.lex_state = 236},
  [3609] = {.lex_state = 236},
  [3610] = {.lex_state = 236},
  [3611] = {.lex_state = 236},
  [3612] = {.lex_state = 259},
  [3613] = {.lex_state = 275},
  [3614] = {.lex_state = 275},
  [3615] = {.lex_state = 247},
  [3616] = {.lex_state = 236},
  [3617] = {.lex_state = 240},
  [3618] = {.lex_state = 236},
  [3619] = {.lex_state = 236},
  [3620] = {.lex_state = 236},
  [3621] = {.lex_state = 236},
  [3622] = {.lex_state = 236},
  [3623] = {.lex_state = 236},
  [3624] = {.lex_state = 236},
  [3625] = {.lex_state = 236},
  [3626] = {.lex_state = 236},
  [3627] = {.lex_state = 236},
  [3628] = {.lex_state = 236},
  [3629] = {.lex_state = 236},
  [3630] = {.lex_state = 218},
  [3631] = {.lex_state = 236},
  [3632] = {.lex_state = 218},
  [3633] = {.lex_state = 236},
  [3634] = {.lex_state = 236},
  [3635] = {.lex_state = 236},
  [3636] = {.lex_state = 236},
  [3637] = {.lex_state = 236},
  [3638] = {.lex_state = 247},
  [3639] = {.lex_state = 262},
  [3640] = {.lex_state = 247},
  [3641] = {.lex_state = 259},
  [3642] = {.lex_state = 240},
  [3643] = {.lex_state = 236},
  [3644] = {.lex_state = 236},
  [3645] = {.lex_state = 236},
  [3646] = {.lex_state = 236},
  [3647] = {.lex_state = 247},
  [3648] = {.lex_state = 236},
  [3649] = {.lex_state = 236},
  [3650] = {.lex_state = 247},
  [3651] = {.lex_state = 236},
  [3652] = {.lex_state = 236},
  [3653] = {.lex_state = 236},
  [3654] = {.lex_state = 219},
  [3655] = {.lex_state = 236},
  [3656] = {.lex_state = 236},
  [3657] = {.lex_state = 247},
  [3658] = {.lex_state = 247},
  [3659] = {.lex_state = 248},
  [3660] = {.lex_state = 236},
  [3661] = {.lex_state = 236},
  [3662] = {.lex_state = 275},
  [3663] = {.lex_state = 236},
  [3664] = {.lex_state = 275},
  [3665] = {.lex_state = 236},
  [3666] = {.lex_state = 236},
  [3667] = {.lex_state = 236},
  [3668] = {.lex_state = 247},
  [3669] = {.lex_state = 275},
  [3670] = {.lex_state = 236},
  [3671] = {.lex_state = 247},
  [3672] = {.lex_state = 236},
  [3673] = {.lex_state = 236},
  [3674] = {.lex_state = 228},
  [3675] = {.lex_state = 267},
  [3676] = {.lex_state = 236},
  [3677] = {.lex_state = 219},
  [3678] = {.lex_state = 236},
  [3679] = {.lex_state = 236},
  [3680] = {.lex_state = 247},
  [3681] = {.lex_state = 218},
  [3682] = {.lex_state = 209},
  [3683] = {.lex_state = 262},
  [3684] = {.lex_state = 262},
  [3685] = {.lex_state = 218},
  [3686] = {.lex_state = 286},
  [3687] = {.lex_state = 240},
  [3688] = {.lex_state = 262},
  [3689] = {.lex_state = 218},
  [3690] = {.lex_state = 262},
  [3691] = {.lex_state = 262},
  [3692] = {.lex_state = 240},
  [3693] = {.lex_state = 240},
  [3694] = {.lex_state = 240},
  [3695] = {.lex_state = 240},
  [3696] = {.lex_state = 383},
  [3697] = {.lex_state = 240},
  [3698] = {.lex_state = 275},
  [3699] = {.lex_state = 247},
  [3700] = {.lex_state = 262},
  [3701] = {.lex_state = 240},
  [3702] = {.lex_state = 228},
  [3703] = {.lex_state = 383},
  [3704] = {.lex_state = 240},
  [3705] = {.lex_state = 247},
  [3706] = {.lex_state = 275},
  [3707] = {.lex_state = 240},
  [3708] = {.lex_state = 240},
  [3709] = {.lex_state = 248},
  [3710] = {.lex_state = 209},
  [3711] = {.lex_state = 240},
  [3712] = {.lex_state = 286},
  [3713] = {.lex_state = 209},
  [3714] = {.lex_state = 247},
  [3715] = {.lex_state = 267},
  [3716] = {.lex_state = 262},
  [3717] = {.lex_state = 262},
  [3718] = {.lex_state = 240},
  [3719] = {.lex_state = 218},
  [3720] = {.lex_state = 262},
  [3721] = {.lex_state = 218},
  [3722] = {.lex_state = 262},
  [3723] = {.lex_state = 267},
  [3724] = {.lex_state = 258},
  [3725] = {.lex_state = 262},
  [3726] = {.lex_state = 262},
  [3727] = {.lex_state = 262},
  [3728] = {.lex_state = 267},
  [3729] = {.lex_state = 267},
  [3730] = {.lex_state = 267},
  [3731] = {.lex_state = 267},
  [3732] = {.lex_state = 267},
  [3733] = {.lex_state = 258},
  [3734] = {.lex_state = 218},
  [3735] = {.lex_state = 262},
  [3736] = {.lex_state = 262},
  [3737] = {.lex_state = 263},
  [3738] = {.lex_state = 267},
  [3739] = {.lex_state = 263},
  [3740] = {.lex_state = 247},
  [3741] = {.lex_state = 263},
  [3742] = {.lex_state = 267},
  [3743] = {.lex_state = 218},
  [3744] = {.lex_state = 218},
  [3745] = {.lex_state = 258},
  [3746] = {.lex_state = 247},
  [3747] = {.lex_state = 267},
  [3748] = {.lex_state = 262},
  [3749] = {.lex_state = 262},
  [3750] = {.lex_state = 247},
  [3751] = {.lex_state = 268},
  [3752] = {.lex_state = 267},
  [3753] = {.lex_state = 268},
  [3754] = {.lex_state = 247},
  [3755] = {.lex_state = 247},
  [3756] = {.lex_state = 262},
  [3757] = {.lex_state = 247},
  [3758] = {.lex_state = 247},
  [3759] = {.lex_state = 262},
  [3760] = {.lex_state = 247},
  [3761] = {.lex_state = 267},
  [3762] = {.lex_state = 267},
  [3763] = {.lex_state = 267},
  [3764] = {.lex_state = 206},
  [3765] = {.lex_state = 247},
  [3766] = {.lex_state = 247},
  [3767] = {.lex_state = 206},
  [3768] = {.lex_state = 262},
  [3769] = {.lex_state = 267},
  [3770] = {.lex_state = 275},
  [3771] = {.lex_state = 267},
  [3772] = {.lex_state = 247},
  [3773] = {.lex_state = 263},
  [3774] = {.lex_state = 262},
  [3775] = {.lex_state = 247},
  [3776] = {.lex_state = 247},
  [3777] = {.lex_state = 275},
  [3778] = {.lex_state = 247},
  [3779] = {.lex_state = 275},
  [3780] = {.lex_state = 267},
  [3781] = {.lex_state = 247},
  [3782] = {.lex_state = 267},
  [3783] = {.lex_state = 236},
  [3784] = {.lex_state = 275},
  [3785] = {.lex_state = 247},
  [3786] = {.lex_state = 275},
  [3787] = {.lex_state = 262},
  [3788] = {.lex_state = 275},
  [3789] = {.lex_state = 262},
  [3790] = {.lex_state = 209},
  [3791] = {.lex_state = 262},
  [3792] = {.lex_state = 247},
  [3793] = {.lex_state = 247},
  [3794] = {.lex_state = 274},
  [3795] = {.lex_state = 274},
  [3796] = {.lex_state = 274},
  [3797] = {.lex_state = 274},
  [3798] = {.lex_state = 247},
  [3799] = {.lex_state = 267},
  [3800] = {.lex_state = 246},
  [3801] = {.lex_state = 262},
  [3802] = {.lex_state = 262},
  [3803] = {.lex_state = 262},
  [3804] = {.lex_state = 274},
  [3805] = {.lex_state = 274},
  [3806] = {.lex_state = 262},
  [3807] = {.lex_state = 275},
  [3808] = {.lex_state = 209},
  [3809] = {.lex_state = 246},
  [3810] = {.lex_state = 274},
  [3811] = {.lex_state = 236},
  [3812] = {.lex_state = 247},
  [3813] = {.lex_state = 236},
  [3814] = {.lex_state = 236},
  [3815] = {.lex_state = 262},
  [3816] = {.lex_state = 275},
  [3817] = {.lex_state = 274},
  [3818] = {.lex_state = 236},
  [3819] = {.lex_state = 209},
  [3820] = {.lex_state = 275},
  [3821] = {.lex_state = 236},
  [3822] = {.lex_state = 274},
  [3823] = {.lex_state = 247},
  [3824] = {.lex_state = 236},
  [3825] = {.lex_state = 236},
  [3826] = {.lex_state = 236},
  [3827] = {.lex_state = 246},
  [3828] = {.lex_state = 274},
  [3829] = {.lex_state = 247},
  [3830] = {.lex_state = 275},
  [3831] = {.lex_state = 236},
  [3832] = {.lex_state = 236},
  [3833] = {.lex_state = 262},
  [3834] = {.lex_state = 262},
  [3835] = {.lex_state = 236},
  [3836] = {.lex_state = 274},
  [3837] = {.lex_state = 236},
  [3838] = {.lex_state = 274},
  [3839] = {.lex_state = 275},
  [3840] = {.lex_state = 262},
  [3841] = {.lex_state = 236},
  [3842] = {.lex_state = 268},
  [3843] = {.lex_state = 236},
  [3844] = {.lex_state = 275},
  [3845] = {.lex_state = 275},
  [3846] = {.lex_state = 246},
  [3847] = {.lex_state = 247},
  [3848] = {.lex_state = 236},
  [3849] = {.lex_state = 275},
  [3850] = {.lex_state = 236},
  [3851] = {.lex_state = 267},
  [3852] = {.lex_state = 209},
  [3853] = {.lex_state = 260},
  [3854] = {.lex_state = 206},
  [3855] = {.lex_state = 229},
  [3856] = {.lex_state = 383},
  [3857] = {.lex_state = 274},
  [3858] = {.lex_state = 206},
  [3859] = {.lex_state = 247},
  [3860] = {.lex_state = 247},
  [3861] = {.lex_state = 206},
  [3862] = {.lex_state = 246},
  [3863] = {.lex_state = 247},
  [3864] = {.lex_state = 206},
  [3865] = {.lex_state = 206},
  [3866] = {.lex_state = 247},
  [3867] = {.lex_state = 206},
  [3868] = {.lex_state = 260},
  [3869] = {.lex_state = 260},
  [3870] = {.lex_state = 246},
  [3871] = {.lex_state = 247},
  [3872] = {.lex_state = 275},
  [3873] = {.lex_state = 229},
  [3874] = {.lex_state = 263},
  [3875] = {.lex_state = 262},
  [3876] = {.lex_state = 262},
  [3877] = {.lex_state = 247},
  [3878] = {.lex_state = 206},
  [3879] = {.lex_state = 247},
  [3880] = {.lex_state = 275},
  [3881] = {.lex_state = 262},
  [3882] = {.lex_state = 247},
  [3883] = {.lex_state = 262},
  [3884] = {.lex_state = 260},
  [3885] = {.lex_state = 262},
  [3886] = {.lex_state = 275},
  [3887] = {.lex_state = 247},
  [3888] = {.lex_state = 263},
  [3889] = {.lex_state = 247},
  [3890] = {.lex_state = 247},
  [3891] = {.lex_state = 267},
  [3892] = {.lex_state = 247},
  [3893] = {.lex_state = 206},
  [3894] = {.lex_state = 247},
  [3895] = {.lex_state = 235},
  [3896] = {.lex_state = 247},
  [3897] = {.lex_state = 262},
  [3898] = {.lex_state = 235},
  [3899] = {.lex_state = 267},
  [3900] = {.lex_state = 235},
  [3901] = {.lex_state = 235},
  [3902] = {.lex_state = 235},
  [3903] = {.lex_state = 275},
  [3904] = {.lex_state = 229},
  [3905] = {.lex_state = 247},
  [3906] = {.lex_state = 383},
  [3907] = {.lex_state = 235},
  [3908] = {.lex_state = 262},
  [3909] = {.lex_state = 206},
  [3910] = {.lex_state = 247},
  [3911] = {.lex_state = 275},
  [3912] = {.lex_state = 206},
  [3913] = {.lex_state = 247},
  [3914] = {.lex_state = 247},
  [3915] = {.lex_state = 247},
  [3916] = {.lex_state = 247},
  [3917] = {.lex_state = 206},
  [3918] = {.lex_state = 206},
  [3919] = {.lex_state = 247},
  [3920] = {.lex_state = 275},
  [3921] = {.lex_state = 262},
  [3922] = {.lex_state = 206},
  [3923] = {.lex_state = 247},
  [3924] = {.lex_state = 247},
  [3925] = {.lex_state = 275},
  [3926] = {.lex_state = 247},
  [3927] = {.lex_state = 235},
  [3928] = {.lex_state = 262},
  [3929] = {.lex_state = 262},
  [3930] = {.lex_state = 247},
  [3931] = {.lex_state = 206},
  [3932] = {.lex_state = 206},
  [3933] = {.lex_state = 206},
  [3934] = {.lex_state = 262},
  [3935] = {.lex_state = 262},
  [3936] = {.lex_state = 206},
  [3937] = {.lex_state = 247},
  [3938] = {.lex_state = 206},
  [3939] = {.lex_state = 262},
  [3940] = {.lex_state = 262},
  [3941] = {.lex_state = 247},
  [3942] = {.lex_state = 262},
  [3943] = {.lex_state = 262},
  [3944] = {.lex_state = 262},
  [3945] = {.lex_state = 206},
  [3946] = {.lex_state = 262},
  [3947] = {.lex_state = 247},
  [3948] = {.lex_state = 262},
  [3949] = {.lex_state = 262},
  [3950] = {.lex_state = 262},
  [3951] = {.lex_state = 247},
  [3952] = {.lex_state = 206},
  [3953] = {.lex_state = 247},
  [3954] = {.lex_state = 247},
  [3955] = {.lex_state = 274},
  [3956] = {.lex_state = 247},
  [3957] = {.lex_state = 247},
  [3958] = {.lex_state = 247},
  [3959] = {.lex_state = 262},
  [3960] = {.lex_state = 247},
  [3961] = {.lex_state = 275},
  [3962] = {.lex_state = 262},
  [3963] = {.lex_state = 262},
  [3964] = {.lex_state = 246},
  [3965] = {.lex_state = 247},
  [3966] = {.lex_state = 262},
  [3967] = {.lex_state = 247},
  [3968] = {.lex_state = 247},
  [3969] = {.lex_state = 275},
  [3970] = {.lex_state = 275},
  [3971] = {.lex_state = 247},
  [3972] = {.lex_state = 236},
  [3973] = {.lex_state = 229},
  [3974] = {.lex_state = 236},
  [3975] = {.lex_state = 262},
  [3976] = {.lex_state = 236},
  [3977] = {.lex_state = 275},
  [3978] = {.lex_state = 247},
  [3979] = {.lex_state = 275},
  [3980] = {.lex_state = 275},
  [3981] = {.lex_state = 247},
  [3982] = {.lex_state = 275},
  [3983] = {.lex_state = 275},
  [3984] = {.lex_state = 236},
  [3985] = {.lex_state = 262},
  [3986] = {.lex_state = 262},
  [3987] = {.lex_state = 247},
  [3988] = {.lex_state = 262},
  [3989] = {.lex_state = 275},
  [3990] = {.lex_state = 247},
  [3991] = {.lex_state = 229},
  [3992] = {.lex_state = 247},
  [3993] = {.lex_state = 233},
  [3994] = {.lex_state = 275},
  [3995] = {.lex_state = 262},
  [3996] = {.lex_state = 233},
  [3997] = {.lex_state = 262},
  [3998] = {.lex_state = 247},
  [3999] = {.lex_state = 247},
  [4000] = {.lex_state = 247},
  [4001] = {.lex_state = 262},
  [4002] = {.lex_state = 247},
  [4003] = {.lex_state = 247},
  [4004] = {.lex_state = 229},
  [4005] = {.lex_state = 262},
  [4006] = {.lex_state = 247},
  [4007] = {.lex_state = 275},
  [4008] = {.lex_state = 275},
  [4009] = {.lex_state = 275},
  [4010] = {.lex_state = 275},
  [4011] = {.lex_state = 275},
  [4012] = {.lex_state = 275},
  [4013] = {.lex_state = 275},
  [4014] = {.lex_state = 236},
  [4015] = {.lex_state = 275},
  [4016] = {.lex_state = 247},
  [4017] = {.lex_state = 267},
  [4018] = {.lex_state = 247},
  [4019] = {.lex_state = 262},
  [4020] = {.lex_state = 267},
  [4021] = {.lex_state = 262},
  [4022] = {.lex_state = 262},
  [4023] = {.lex_state = 236},
  [4024] = {.lex_state = 275},
  [4025] = {.lex_state = 275},
  [4026] = {.lex_state = 233},
  [4027] = {.lex_state = 246},
  [4028] = {.lex_state = 247},
  [4029] = {.lex_state = 267},
  [4030] = {.lex_state = 275},
  [4031] = {.lex_state = 236},
  [4032] = {.lex_state = 275},
  [4033] = {.lex_state = 247},
  [4034] = {.lex_state = 247},
  [4035] = {.lex_state = 262},
  [4036] = {.lex_state = 247},
  [4037] = {.lex_state = 267},
  [4038] = {.lex_state = 262},
  [4039] = {.lex_state = 247},
  [4040] = {.lex_state = 267},
  [4041] = {.lex_state = 275},
  [4042] = {.lex_state = 236},
  [4043] = {.lex_state = 275},
  [4044] = {.lex_state = 236},
  [4045] = {.lex_state = 275},
  [4046] = {.lex_state = 275},
  [4047] = {.lex_state = 275},
  [4048] = {.lex_state = 247},
  [4049] = {.lex_state = 247},
  [4050] = {.lex_state = 236},
  [4051] = {.lex_state = 262},
  [4052] = {.lex_state = 262},
  [4053] = {.lex_state = 262},
  [4054] = {.lex_state = 262},
  [4055] = {.lex_state = 236},
  [4056] = {.lex_state = 247},
  [4057] = {.lex_state = 267},
  [4058] = {.lex_state = 247},
  [4059] = {.lex_state = 267},
  [4060] = {.lex_state = 233},
  [4061] = {.lex_state = 275},
  [4062] = {.lex_state = 236},
  [4063] = {.lex_state = 247},
  [4064] = {.lex_state = 275},
  [4065] = {.lex_state = 275},
  [4066] = {.lex_state = 236},
  [4067] = {.lex_state = 263},
  [4068] = {.lex_state = 275},
  [4069] = {.lex_state = 267},
  [4070] = {.lex_state = 267},
  [4071] = {.lex_state = 236},
  [4072] = {.lex_state = 247},
  [4073] = {.lex_state = 267},
  [4074] = {.lex_state = 275},
  [4075] = {.lex_state = 275},
  [4076] = {.lex_state = 236},
  [4077] = {.lex_state = 233},
  [4078] = {.lex_state = 236},
  [4079] = {.lex_state = 247},
  [4080] = {.lex_state = 236},
  [4081] = {.lex_state = 236},
  [4082] = {.lex_state = 247},
  [4083] = {.lex_state = 267},
  [4084] = {.lex_state = 275},
  [4085] = {.lex_state = 267},
  [4086] = {.lex_state = 247},
  [4087] = {.lex_state = 383},
  [4088] = {.lex_state = 248},
  [4089] = {.lex_state = 248},
  [4090] = {.lex_state = 267},
  [4091] = {.lex_state = 246},
  [4092] = {.lex_state = 242},
  [4093] = {.lex_state = 242},
  [4094] = {.lex_state = 262},
  [4095] = {.lex_state = 262},
  [4096] = {.lex_state = 246},
  [4097] = {.lex_state = 262},
  [4098] = {.lex_state = 267},
  [4099] = {.lex_state = 262},
  [4100] = {.lex_state = 267},
  [4101] = {.lex_state = 262},
  [4102] = {.lex_state = 270},
  [4103] = {.lex_state = 267},
  [4104] = {.lex_state = 383},
  [4105] = {.lex_state = 199},
  [4106] = {.lex_state = 248},
  [4107] = {.lex_state = 247},
  [4108] = {.lex_state = 233},
  [4109] = {.lex_state = 248},
  [4110] = {.lex_state = 199},
  [4111] = {.lex_state = 246},
  [4112] = {.lex_state = 247},
  [4113] = {.lex_state = 246},
  [4114] = {.lex_state = 247},
  [4115] = {.lex_state = 262},
  [4116] = {.lex_state = 248},
  [4117] = {.lex_state = 246},
  [4118] = {.lex_state = 262},
  [4119] = {.lex_state = 267},
  [4120] = {.lex_state = 262},
  [4121] = {.lex_state = 209},
  [4122] = {.lex_state = 262},
  [4123] = {.lex_state = 246},
  [4124] = {.lex_state = 246},
  [4125] = {.lex_state = 262},
  [4126] = {.lex_state = 246},
  [4127] = {.lex_state = 248},
  [4128] = {.lex_state = 262},
  [4129] = {.lex_state = 199},
  [4130] = {.lex_state = 267},
  [4131] = {.lex_state = 262},
  [4132] = {.lex_state = 262},
  [4133] = {.lex_state = 262},
  [4134] = {.lex_state = 262},
  [4135] = {.lex_state = 262},
  [4136] = {.lex_state = 267},
  [4137] = {.lex_state = 270},
  [4138] = {.lex_state = 262},
  [4139] = {.lex_state = 199},
  [4140] = {.lex_state = 262},
  [4141] = {.lex_state = 233},
  [4142] = {.lex_state = 262},
  [4143] = {.lex_state = 270},
  [4144] = {.lex_state = 262},
  [4145] = {.lex_state = 248},
  [4146] = {.lex_state = 262},
  [4147] = {.lex_state = 262},
  [4148] = {.lex_state = 262},
  [4149] = {.lex_state = 246},
  [4150] = {.lex_state = 262},
  [4151] = {.lex_state = 262},
  [4152] = {.lex_state = 262},
  [4153] = {.lex_state = 199},
  [4154] = {.lex_state = 267},
  [4155] = {.lex_state = 267},
  [4156] = {.lex_state = 246},
  [4157] = {.lex_state = 262},
  [4158] = {.lex_state = 262},
  [4159] = {.lex_state = 242},
  [4160] = {.lex_state = 246},
  [4161] = {.lex_state = 233},
  [4162] = {.lex_state = 262},
  [4163] = {.lex_state = 209},
  [4164] = {.lex_state = 246},
  [4165] = {.lex_state = 246},
  [4166] = {.lex_state = 250},
  [4167] = {.lex_state = 262},
  [4168] = {.lex_state = 262},
  [4169] = {.lex_state = 199},
  [4170] = {.lex_state = 262},
  [4171] = {.lex_state = 262},
  [4172] = {.lex_state = 262},
  [4173] = {.lex_state = 246},
  [4174] = {.lex_state = 270},
  [4175] = {.lex_state = 262},
  [4176] = {.lex_state = 262},
  [4177] = {.lex_state = 246},
  [4178] = {.lex_state = 262},
  [4179] = {.lex_state = 383},
  [4180] = {.lex_state = 262},
  [4181] = {.lex_state = 246},
  [4182] = {.lex_state = 262},
  [4183] = {.lex_state = 199},
  [4184] = {.lex_state = 383},
  [4185] = {.lex_state = 262},
  [4186] = {.lex_state = 270},
  [4187] = {.lex_state = 247},
  [4188] = {.lex_state = 247},
  [4189] = {.lex_state = 247},
  [4190] = {.lex_state = 267},
  [4191] = {.lex_state = 267},
  [4192] = {.lex_state = 247},
  [4193] = {.lex_state = 247},
  [4194] = {.lex_state = 236},
  [4195] = {.lex_state = 236},
  [4196] = {.lex_state = 246},
  [4197] = {.lex_state = 236},
  [4198] = {.lex_state = 267},
  [4199] = {.lex_state = 236},
  [4200] = {.lex_state = 267},
  [4201] = {.lex_state = 247},
  [4202] = {.lex_state = 247},
  [4203] = {.lex_state = 233},
  [4204] = {.lex_state = 247},
  [4205] = {.lex_state = 267},
  [4206] = {.lex_state = 209},
  [4207] = {.lex_state = 267},
  [4208] = {.lex_state = 247},
  [4209] = {.lex_state = 247},
  [4210] = {.lex_state = 247},
  [4211] = {.lex_state = 206},
  [4212] = {.lex_state = 206},
  [4213] = {.lex_state = 267},
  [4214] = {.lex_state = 247},
  [4215] = {.lex_state = 267},
  [4216] = {.lex_state = 247},
  [4217] = {.lex_state = 209},
  [4218] = {.lex_state = 247},
  [4219] = {.lex_state = 247},
  [4220] = {.lex_state = 247},
  [4221] = {.lex_state = 247},
  [4222] = {.lex_state = 247},
  [4223] = {.lex_state = 247},
  [4224] = {.lex_state = 247},
  [4225] = {.lex_state = 262},
  [4226] = {.lex_state = 262},
  [4227] = {.lex_state = 264},
  [4228] = {.lex_state = 247},
  [4229] = {.lex_state = 206},
  [4230] = {.lex_state = 247},
  [4231] = {.lex_state = 247},
  [4232] = {.lex_state = 247},
  [4233] = {.lex_state = 267},
  [4234] = {.lex_state = 206},
  [4235] = {.lex_state = 247},
  [4236] = {.lex_state = 247},
  [4237] = {.lex_state = 247},
  [4238] = {.lex_state = 269},
  [4239] = {.lex_state = 247},
  [4240] = {.lex_state = 247},
  [4241] = {.lex_state = 247},
  [4242] = {.lex_state = 247},
  [4243] = {.lex_state = 206},
  [4244] = {.lex_state = 247},
  [4245] = {.lex_state = 267},
  [4246] = {.lex_state = 267},
  [4247] = {.lex_state = 267},
  [4248] = {.lex_state = 262},
  [4249] = {.lex_state = 247},
  [4250] = {.lex_state = 247},
  [4251] = {.lex_state = 267},
  [4252] = {.lex_state = 267},
  [4253] = {.lex_state = 267},
  [4254] = {.lex_state = 267},
  [4255] = {.lex_state = 267},
  [4256] = {.lex_state = 247},
  [4257] = {.lex_state = 247},
  [4258] = {.lex_state = 247},
  [4259] = {.lex_state = 247},
  [4260] = {.lex_state = 247},
  [4261] = {.lex_state = 247},
  [4262] = {.lex_state = 247},
  [4263] = {.lex_state = 247},
  [4264] = {.lex_state = 206},
  [4265] = {.lex_state = 262},
  [4266] = {.lex_state = 247},
  [4267] = {.lex_state = 247},
  [4268] = {.lex_state = 247},
  [4269] = {.lex_state = 247},
  [4270] = {.lex_state = 247},
  [4271] = {.lex_state = 247},
  [4272] = {.lex_state = 247},
  [4273] = {.lex_state = 247},
  [4274] = {.lex_state = 247},
  [4275] = {.lex_state = 262},
  [4276] = {.lex_state = 247},
  [4277] = {.lex_state = 262},
  [4278] = {.lex_state = 247},
  [4279] = {.lex_state = 267},
  [4280] = {.lex_state = 247},
  [4281] = {.lex_state = 247},
  [4282] = {.lex_state = 262},
  [4283] = {.lex_state = 247},
  [4284] = {.lex_state = 262},
  [4285] = {.lex_state = 247},
  [4286] = {.lex_state = 247},
  [4287] = {.lex_state = 247},
  [4288] = {.lex_state = 247},
  [4289] = {.lex_state = 262},
  [4290] = {.lex_state = 236},
  [4291] = {.lex_state = 262},
  [4292] = {.lex_state = 247},
  [4293] = {.lex_state = 247},
  [4294] = {.lex_state = 247},
  [4295] = {.lex_state = 236},
  [4296] = {.lex_state = 246},
  [4297] = {.lex_state = 247},
  [4298] = {.lex_state = 214},
  [4299] = {.lex_state = 262},
  [4300] = {.lex_state = 236},
  [4301] = {.lex_state = 236},
  [4302] = {.lex_state = 236},
  [4303] = {.lex_state = 236},
  [4304] = {.lex_state = 262},
  [4305] = {.lex_state = 262},
  [4306] = {.lex_state = 236},
  [4307] = {.lex_state = 247},
  [4308] = {.lex_state = 270},
  [4309] = {.lex_state = 236},
  [4310] = {.lex_state = 267},
  [4311] = {.lex_state = 236},
  [4312] = {.lex_state = 267},
  [4313] = {.lex_state = 267},
  [4314] = {.lex_state = 233},
  [4315] = {.lex_state = 247},
  [4316] = {.lex_state = 262},
  [4317] = {.lex_state = 262},
  [4318] = {.lex_state = 214},
  [4319] = {.lex_state = 262},
  [4320] = {.lex_state = 267},
  [4321] = {.lex_state = 262},
  [4322] = {.lex_state = 262},
  [4323] = {.lex_state = 267},
  [4324] = {.lex_state = 267},
  [4325] = {.lex_state = 267},
  [4326] = {.lex_state = 262},
  [4327] = {.lex_state = 267},
  [4328] = {.lex_state = 267},
  [4329] = {.lex_state = 262},
  [4330] = {.lex_state = 262},
  [4331] = {.lex_state = 262},
  [4332] = {.lex_state = 262},
  [4333] = {.lex_state = 247},
  [4334] = {.lex_state = 262},
  [4335] = {.lex_state = 262},
  [4336] = {.lex_state = 262},
  [4337] = {.lex_state = 267},
  [4338] = {.lex_state = 247},
  [4339] = {.lex_state = 247},
  [4340] = {.lex_state = 262},
  [4341] = {.lex_state = 236},
  [4342] = {.lex_state = 214},
  [4343] = {.lex_state = 262},
  [4344] = {.lex_state = 262},
  [4345] = {.lex_state = 267},
  [4346] = {.lex_state = 267},
  [4347] = {.lex_state = 262},
  [4348] = {.lex_state = 236},
  [4349] = {.lex_state = 262},
  [4350] = {.lex_state = 267},
  [4351] = {.lex_state = 262},
  [4352] = {.lex_state = 262},
  [4353] = {.lex_state = 247},
  [4354] = {.lex_state = 262},
  [4355] = {.lex_state = 247},
  [4356] = {.lex_state = 247},
  [4357] = {.lex_state = 247},
  [4358] = {.lex_state = 267},
  [4359] = {.lex_state = 267},
  [4360] = {.lex_state = 267},
  [4361] = {.lex_state = 247},
  [4362] = {.lex_state = 247},
  [4363] = {.lex_state = 267},
  [4364] = {.lex_state = 236},
  [4365] = {.lex_state = 267},
  [4366] = {.lex_state = 267},
  [4367] = {.lex_state = 247},
  [4368] = {.lex_state = 247},
  [4369] = {.lex_state = 262},
  [4370] = {.lex_state = 247},
  [4371] = {.lex_state = 247},
  [4372] = {.lex_state = 247},
  [4373] = {.lex_state = 267},
  [4374] = {.lex_state = 262},
  [4375] = {.lex_state = 262},
  [4376] = {.lex_state = 247},
  [4377] = {.lex_state = 262},
  [4378] = {.lex_state = 247},
  [4379] = {.lex_state = 247},
  [4380] = {.lex_state = 262},
  [4381] = {.lex_state = 236},
  [4382] = {.lex_state = 262},
  [4383] = {.lex_state = 233},
  [4384] = {.lex_state = 262},
  [4385] = {.lex_state = 233},
  [4386] = {.lex_state = 233},
  [4387] = {.lex_state = 236},
  [4388] = {.lex_state = 233},
  [4389] = {.lex_state = 236},
  [4390] = {.lex_state = 236},
  [4391] = {.lex_state = 236},
  [4392] = {.lex_state = 233},
  [4393] = {.lex_state = 233},
  [4394] = {.lex_state = 262},
  [4395] = {.lex_state = 262},
  [4396] = {.lex_state = 236},
  [4397] = {.lex_state = 236},
  [4398] = {.lex_state = 236},
  [4399] = {.lex_state = 236},
  [4400] = {.lex_state = 236},
  [4401] = {.lex_state = 236},
  [4402] = {.lex_state = 236},
  [4403] = {.lex_state = 262},
  [4404] = {.lex_state = 236},
  [4405] = {.lex_state = 236},
  [4406] = {.lex_state = 267},
  [4407] = {.lex_state = 236},
  [4408] = {.lex_state = 236},
  [4409] = {.lex_state = 233},
  [4410] = {.lex_state = 214},
  [4411] = {.lex_state = 214},
  [4412] = {.lex_state = 233},
  [4413] = {.lex_state = 233},
  [4414] = {.lex_state = 233},
  [4415] = {.lex_state = 236},
  [4416] = {.lex_state = 233},
  [4417] = {.lex_state = 267},
  [4418] = {.lex_state = 233},
  [4419] = {.lex_state = 236},
  [4420] = {.lex_state = 236},
  [4421] = {.lex_state = 262},
  [4422] = {.lex_state = 262},
  [4423] = {.lex_state = 267},
  [4424] = {.lex_state = 255},
  [4425] = {.lex_state = 262},
  [4426] = {.lex_state = 236},
  [4427] = {.lex_state = 255},
  [4428] = {.lex_state = 246},
  [4429] = {.lex_state = 262},
  [4430] = {.lex_state = 262},
  [4431] = {.lex_state = 236},
  [4432] = {.lex_state = 233},
  [4433] = {.lex_state = 262},
  [4434] = {.lex_state = 236},
  [4435] = {.lex_state = 262},
  [4436] = {.lex_state = 236},
  [4437] = {.lex_state = 236},
  [4438] = {.lex_state = 267},
  [4439] = {.lex_state = 233},
  [4440] = {.lex_state = 262},
  [4441] = {.lex_state = 383},
  [4442] = {.lex_state = 233},
  [4443] = {.lex_state = 233},
  [4444] = {.lex_state = 383},
  [4445] = {.lex_state = 262},
  [4446] = {.lex_state = 262},
  [4447] = {.lex_state = 267},
  [4448] = {.lex_state = 240},
  [4449] = {.lex_state = 262},
  [4450] = {.lex_state = 233},
  [4451] = {.lex_state = 209},
  [4452] = {.lex_state = 262},
  [4453] = {.lex_state = 286},
  [4454] = {.lex_state = 262},
  [4455] = {.lex_state = 229},
  [4456] = {.lex_state = 233},
  [4457] = {.lex_state = 262},
  [4458] = {.lex_state = 233},
  [4459] = {.lex_state = 262},
  [4460] = {.lex_state = 246},
  [4461] = {.lex_state = 267},
  [4462] = {.lex_state = 262},
  [4463] = {.lex_state = 236},
  [4464] = {.lex_state = 262},
  [4465] = {.lex_state = 229},
  [4466] = {.lex_state = 229},
  [4467] = {.lex_state = 267},
  [4468] = {.lex_state = 267},
  [4469] = {.lex_state = 267},
  [4470] = {.lex_state = 267},
  [4471] = {.lex_state = 267},
  [4472] = {.lex_state = 267},
  [4473] = {.lex_state = 267},
  [4474] = {.lex_state = 267},
  [4475] = {.lex_state = 267},
  [4476] = {.lex_state = 267},
  [4477] = {.lex_state = 267},
  [4478] = {.lex_state = 267},
  [4479] = {.lex_state = 233},
  [4480] = {.lex_state = 233},
  [4481] = {.lex_state = 233},
  [4482] = {.lex_state = 236},
  [4483] = {.lex_state = 209},
  [4484] = {.lex_state = 239},
  [4485] = {.lex_state = 267},
  [4486] = {.lex_state = 246},
  [4487] = {.lex_state = 262},
  [4488] = {.lex_state = 206},
  [4489] = {.lex_state = 233},
  [4490] = {.lex_state = 262},
  [4491] = {.lex_state = 233},
  [4492] = {.lex_state = 267},
  [4493] = {.lex_state = 267},
  [4494] = {.lex_state = 233},
  [4495] = {.lex_state = 267},
  [4496] = {.lex_state = 233},
  [4497] = {.lex_state = 267},
  [4498] = {.lex_state = 255},
  [4499] = {.lex_state = 267},
  [4500] = {.lex_state = 274},
  [4501] = {.lex_state = 262},
  [4502] = {.lex_state = 246},
  [4503] = {.lex_state = 286},
  [4504] = {.lex_state = 246},
  [4505] = {.lex_state = 246},
  [4506] = {.lex_state = 267},
  [4507] = {.lex_state = 236},
  [4508] = {.lex_state = 262},
  [4509] = {.lex_state = 233},
  [4510] = {.lex_state = 267},
  [4511] = {.lex_state = 236},
  [4512] = {.lex_state = 267},
  [4513] = {.lex_state = 233},
  [4514] = {.lex_state = 266},
  [4515] = {.lex_state = 267},
  [4516] = {.lex_state = 209},
  [4517] = {.lex_state = 240},
  [4518] = {.lex_state = 262},
  [4519] = {.lex_state = 262},
  [4520] = {.lex_state = 262},
  [4521] = {.lex_state = 262},
  [4522] = {.lex_state = 262},
  [4523] = {.lex_state = 240},
  [4524] = {.lex_state = 262},
  [4525] = {.lex_state = 262},
  [4526] = {.lex_state = 262},
  [4527] = {.lex_state = 262},
  [4528] = {.lex_state = 262},
  [4529] = {.lex_state = 262},
  [4530] = {.lex_state = 267},
  [4531] = {.lex_state = 383},
  [4532] = {.lex_state = 262},
  [4533] = {.lex_state = 262},
  [4534] = {.lex_state = 262},
  [4535] = {.lex_state = 383},
  [4536] = {.lex_state = 383},
  [4537] = {.lex_state = 262},
  [4538] = {.lex_state = 262},
  [4539] = {.lex_state = 262},
  [4540] = {.lex_state = 262},
  [4541] = {.lex_state = 262},
  [4542] = {.lex_state = 262},
  [4543] = {.lex_state = 383},
  [4544] = {.lex_state = 383},
  [4545] = {.lex_state = 262},
  [4546] = {.lex_state = 262},
  [4547] = {.lex_state = 270},
  [4548] = {.lex_state = 383},
  [4549] = {.lex_state = 262},
  [4550] = {.lex_state = 240},
  [4551] = {.lex_state = 262},
  [4552] = {.lex_state = 262},
  [4553] = {.lex_state = 262},
  [4554] = {.lex_state = 256},
  [4555] = {.lex_state = 262},
  [4556] = {.lex_state = 262},
  [4557] = {.lex_state = 267},
  [4558] = {.lex_state = 270},
  [4559] = {.lex_state = 270},
  [4560] = {.lex_state = 240},
  [4561] = {.lex_state = 262},
  [4562] = {.lex_state = 262},
  [4563] = {.lex_state = 270},
  [4564] = {.lex_state = 240},
  [4565] = {.lex_state = 262},
  [4566] = {.lex_state = 270},
  [4567] = {.lex_state = 262},
  [4568] = {.lex_state = 262},
  [4569] = {.lex_state = 383},
  [4570] = {.lex_state = 383},
  [4571] = {.lex_state = 270},
  [4572] = {.lex_state = 262},
  [4573] = {.lex_state = 240},
  [4574] = {.lex_state = 240},
  [4575] = {.lex_state = 262},
  [4576] = {.lex_state = 262},
  [4577] = {.lex_state = 262},
  [4578] = {.lex_state = 240},
  [4579] = {.lex_state = 262},
  [4580] = {.lex_state = 383},
  [4581] = {.lex_state = 262},
  [4582] = {.lex_state = 262},
  [4583] = {.lex_state = 236},
  [4584] = {.lex_state = 262},
  [4585] = {.lex_state = 262},
  [4586] = {.lex_state = 383},
  [4587] = {.lex_state = 240},
  [4588] = {.lex_state = 262},
  [4589] = {.lex_state = 270},
  [4590] = {.lex_state = 270},
  [4591] = {.lex_state = 262},
  [4592] = {.lex_state = 383},
  [4593] = {.lex_state = 240},
  [4594] = {.lex_state = 262},
  [4595] = {.lex_state = 240},
  [4596] = {.lex_state = 232},
  [4597] = {.lex_state = 262},
  [4598] = {.lex_state = 262},
  [4599] = {.lex_state = 220},
  [4600] = {.lex_state = 262},
  [4601] = {.lex_state = 262},
  [4602] = {.lex_state = 262},
  [4603] = {.lex_state = 262},
  [4604] = {.lex_state = 262},
  [4605] = {.lex_state = 267},
  [4606] = {.lex_state = 262},
  [4607] = {.lex_state = 236},
  [4608] = {.lex_state = 262},
  [4609] = {.lex_state = 262},
  [4610] = {.lex_state = 262},
  [4611] = {.lex_state = 240},
  [4612] = {.lex_state = 262},
  [4613] = {.lex_state = 262},
  [4614] = {.lex_state = 262},
  [4615] = {.lex_state = 262},
  [4616] = {.lex_state = 262},
  [4617] = {.lex_state = 262},
  [4618] = {.lex_state = 262},
  [4619] = {.lex_state = 262},
  [4620] = {.lex_state = 270},
  [4621] = {.lex_state = 256},
  [4622] = {.lex_state = 262},
  [4623] = {.lex_state = 262},
  [4624] = {.lex_state = 272},
  [4625] = {.lex_state = 262},
  [4626] = {.lex_state = 262},
  [4627] = {.lex_state = 262},
  [4628] = {.lex_state = 262},
  [4629] = {.lex_state = 262},
  [4630] = {.lex_state = 240},
  [4631] = {.lex_state = 240},
  [4632] = {.lex_state = 256},
  [4633] = {.lex_state = 239},
  [4634] = {.lex_state = 267},
  [4635] = {.lex_state = 262},
  [4636] = {.lex_state = 262},
  [4637] = {.lex_state = 262},
  [4638] = {.lex_state = 262},
  [4639] = {.lex_state = 262},
  [4640] = {.lex_state = 239},
  [4641] = {.lex_state = 262},
  [4642] = {.lex_state = 383},
  [4643] = {.lex_state = 383},
  [4644] = {.lex_state = 209},
  [4645] = {.lex_state = 262},
  [4646] = {.lex_state = 262},
  [4647] = {.lex_state = 262},
  [4648] = {.lex_state = 262},
  [4649] = {.lex_state = 383},
  [4650] = {.lex_state = 209},
  [4651] = {.lex_state = 220},
  [4652] = {.lex_state = 262},
  [4653] = {.lex_state = 240},
  [4654] = {.lex_state = 262},
  [4655] = {.lex_state = 240},
  [4656] = {.lex_state = 262},
  [4657] = {.lex_state = 383},
  [4658] = {.lex_state = 383},
  [4659] = {.lex_state = 270},
  [4660] = {.lex_state = 262},
  [4661] = {.lex_state = 262},
  [4662] = {.lex_state = 262},
  [4663] = {.lex_state = 240},
  [4664] = {.lex_state = 262},
  [4665] = {.lex_state = 232},
  [4666] = {.lex_state = 262},
  [4667] = {.lex_state = 262},
  [4668] = {.lex_state = 262},
  [4669] = {.lex_state = 262},
  [4670] = {.lex_state = 262},
  [4671] = {.lex_state = 262},
  [4672] = {.lex_state = 262},
  [4673] = {.lex_state = 262},
  [4674] = {.lex_state = 262},
  [4675] = {.lex_state = 239},
  [4676] = {.lex_state = 262},
  [4677] = {.lex_state = 262},
  [4678] = {.lex_state = 262},
  [4679] = {.lex_state = 262},
  [4680] = {.lex_state = 262},
  [4681] = {.lex_state = 262},
  [4682] = {.lex_state = 262},
  [4683] = {.lex_state = 262},
  [4684] = {.lex_state = 262},
  [4685] = {.lex_state = 209},
  [4686] = {.lex_state = 209},
  [4687] = {.lex_state = 270},
  [4688] = {.lex_state = 262},
  [4689] = {.lex_state = 270},
  [4690] = {.lex_state = 220},
  [4691] = {.lex_state = 270},
  [4692] = {.lex_state = 262},
  [4693] = {.lex_state = 262},
  [4694] = {.lex_state = 262},
  [4695] = {.lex_state = 262},
  [4696] = {.lex_state = 270},
  [4697] = {.lex_state = 270},
  [4698] = {.lex_state = 383},
  [4699] = {.lex_state = 383},
  [4700] = {.lex_state = 262},
  [4701] = {.lex_state = 383},
  [4702] = {.lex_state = 262},
  [4703] = {.lex_state = 262},
  [4704] = {.lex_state = 383},
  [4705] = {.lex_state = 262},
  [4706] = {.lex_state = 262},
  [4707] = {.lex_state = 262},
  [4708] = {.lex_state = 270},
  [4709] = {.lex_state = 262},
  [4710] = {.lex_state = 262},
  [4711] = {.lex_state = 262},
  [4712] = {.lex_state = 267},
  [4713] = {.lex_state = 236},
  [4714] = {.lex_state = 262},
  [4715] = {.lex_state = 262},
  [4716] = {.lex_state = 262},
  [4717] = {.lex_state = 262},
  [4718] = {.lex_state = 262},
  [4719] = {.lex_state = 262},
  [4720] = {.lex_state = 267},
  [4721] = {.lex_state = 262},
  [4722] = {.lex_state = 267},
  [4723] = {.lex_state = 262},
  [4724] = {.lex_state = 262},
  [4725] = {.lex_state = 262},
  [4726] = {.lex_state = 267},
  [4727] = {.lex_state = 267},
  [4728] = {.lex_state = 262},
  [4729] = {.lex_state = 267},
  [4730] = {.lex_state = 267},
  [4731] = {.lex_state = 267},
  [4732] = {.lex_state = 267},
  [4733] = {.lex_state = 240},
  [4734] = {.lex_state = 262},
  [4735] = {.lex_state = 267},
  [4736] = {.lex_state = 267},
  [4737] = {.lex_state = 236},
  [4738] = {.lex_state = 267},
  [4739] = {.lex_state = 267},
  [4740] = {.lex_state = 267},
  [4741] = {.lex_state = 267},
  [4742] = {.lex_state = 240},
  [4743] = {.lex_state = 240},
  [4744] = {.lex_state = 262},
  [4745] = {.lex_state = 267},
  [4746] = {.lex_state = 267},
  [4747] = {.lex_state = 240},
  [4748] = {.lex_state = 240},
  [4749] = {.lex_state = 286},
  [4750] = {.lex_state = 267},
  [4751] = {.lex_state = 267},
  [4752] = {.lex_state = 262},
  [4753] = {.lex_state = 267},
  [4754] = {.lex_state = 267},
  [4755] = {.lex_state = 240},
  [4756] = {.lex_state = 267},
  [4757] = {.lex_state = 240},
  [4758] = {.lex_state = 262},
  [4759] = {.lex_state = 240},
  [4760] = {.lex_state = 267},
  [4761] = {.lex_state = 267},
  [4762] = {.lex_state = 267},
  [4763] = {.lex_state = 267},
  [4764] = {.lex_state = 267},
  [4765] = {.lex_state = 267},
  [4766] = {.lex_state = 267},
  [4767] = {.lex_state = 267},
  [4768] = {.lex_state = 267},
  [4769] = {.lex_state = 262},
  [4770] = {.lex_state = 267},
  [4771] = {.lex_state = 267},
  [4772] = {.lex_state = 267},
  [4773] = {.lex_state = 262},
  [4774] = {.lex_state = 267},
  [4775] = {.lex_state = 262},
  [4776] = {.lex_state = 267},
  [4777] = {.lex_state = 267},
  [4778] = {.lex_state = 267},
  [4779] = {.lex_state = 267},
  [4780] = {.lex_state = 214},
  [4781] = {.lex_state = 267},
  [4782] = {.lex_state = 267},
  [4783] = {.lex_state = 267},
  [4784] = {.lex_state = 267},
  [4785] = {.lex_state = 267},
  [4786] = {.lex_state = 267},
  [4787] = {.lex_state = 267},
  [4788] = {.lex_state = 267},
  [4789] = {.lex_state = 267},
  [4790] = {.lex_state = 267},
  [4791] = {.lex_state = 267},
  [4792] = {.lex_state = 267},
  [4793] = {.lex_state = 267},
  [4794] = {.lex_state = 267},
  [4795] = {.lex_state = 262},
  [4796] = {.lex_state = 214},
  [4797] = {.lex_state = 267},
  [4798] = {.lex_state = 267},
  [4799] = {.lex_state = 267},
  [4800] = {.lex_state = 267},
  [4801] = {.lex_state = 267},
  [4802] = {.lex_state = 262},
  [4803] = {.lex_state = 239},
  [4804] = {.lex_state = 262},
  [4805] = {.lex_state = 267},
  [4806] = {.lex_state = 267},
  [4807] = {.lex_state = 267},
  [4808] = {.lex_state = 267},
  [4809] = {.lex_state = 262},
  [4810] = {.lex_state = 267},
  [4811] = {.lex_state = 267},
  [4812] = {.lex_state = 267},
  [4813] = {.lex_state = 267},
  [4814] = {.lex_state = 267},
  [4815] = {.lex_state = 267},
  [4816] = {.lex_state = 286},
  [4817] = {.lex_state = 267},
  [4818] = {.lex_state = 267},
  [4819] = {.lex_state = 262},
  [4820] = {.lex_state = 267},
  [4821] = {.lex_state = 267},
  [4822] = {.lex_state = 251},
  [4823] = {.lex_state = 267},
  [4824] = {.lex_state = 252},
  [4825] = {.lex_state = 267},
  [4826] = {.lex_state = 262},
  [4827] = {.lex_state = 209},
  [4828] = {.lex_state = 214},
  [4829] = {.lex_state = 209},
  [4830] = {.lex_state = 267},
  [4831] = {.lex_state = 267},
  [4832] = {.lex_state = 214},
  [4833] = {.lex_state = 262},
  [4834] = {.lex_state = 267},
  [4835] = {.lex_state = 267},
  [4836] = {.lex_state = 267},
  [4837] = {.lex_state = 239},
  [4838] = {.lex_state = 267},
  [4839] = {.lex_state = 267},
  [4840] = {.lex_state = 267},
  [4841] = {.lex_state = 267},
  [4842] = {.lex_state = 239},
  [4843] = {.lex_state = 286},
  [4844] = {.lex_state = 239},
  [4845] = {.lex_state = 209},
  [4846] = {.lex_state = 209},
  [4847] = {.lex_state = 239},
  [4848] = {.lex_state = 239},
  [4849] = {.lex_state = 239},
  [4850] = {.lex_state = 262},
  [4851] = {.lex_state = 209},
  [4852] = {.lex_state = 239},
  [4853] = {.lex_state = 209},
  [4854] = {.lex_state = 240},
  [4855] = {.lex_state = 239},
  [4856] = {.lex_state = 255},
  [4857] = {.lex_state = 239},
  [4858] = {.lex_state = 239},
  [4859] = {.lex_state = 239},
  [4860] = {.lex_state = 240},
  [4861] = {.lex_state = 239},
  [4862] = {.lex_state = 239},
  [4863] = {.lex_state = 245},
  [4864] = {.lex_state = 220},
  [4865] = {.lex_state = 220},
  [4866] = {.lex_state = 286},
  [4867] = {.lex_state = 245},
  [4868] = {.lex_state = 255},
  [4869] = {.lex_state = 239},
  [4870] = {.lex_state = 245},
  [4871] = {.lex_state = 286},
  [4872] = {.lex_state = 251},
  [4873] = {.lex_state = 240},
  [4874] = {.lex_state = 240},
  [4875] = {.lex_state = 286},
  [4876] = {.lex_state = 255},
  [4877] = {.lex_state = 262},
  [4878] = {.lex_state = 262},
  [4879] = {.lex_state = 240},
  [4880] = {.lex_state = 262},
  [4881] = {.lex_state = 262},
  [4882] = {.lex_state = 262},
  [4883] = {.lex_state = 262},
  [4884] = {.lex_state = 262},
  [4885] = {.lex_state = 240},
  [4886] = {.lex_state = 262},
  [4887] = {.lex_state = 262},
  [4888] = {.lex_state = 262},
  [4889] = {.lex_state = 228},
  [4890] = {.lex_state = 262},
  [4891] = {.lex_state = 240},
  [4892] = {.lex_state = 262},
  [4893] = {.lex_state = 262},
  [4894] = {.lex_state = 262},
  [4895] = {.lex_state = 240},
  [4896] = {.lex_state = 262},
  [4897] = {.lex_state = 262},
  [4898] = {.lex_state = 262},
  [4899] = {.lex_state = 262},
  [4900] = {.lex_state = 262},
  [4901] = {.lex_state = 262},
  [4902] = {.lex_state = 262},
  [4903] = {.lex_state = 262},
  [4904] = {.lex_state = 262},
  [4905] = {.lex_state = 262},
  [4906] = {.lex_state = 262},
  [4907] = {.lex_state = 262},
  [4908] = {.lex_state = 262},
  [4909] = {.lex_state = 262},
  [4910] = {.lex_state = 262},
  [4911] = {.lex_state = 240},
  [4912] = {.lex_state = 262},
  [4913] = {.lex_state = 240},
  [4914] = {.lex_state = 240},
  [4915] = {.lex_state = 262},
  [4916] = {.lex_state = 262},
  [4917] = {.lex_state = 262},
  [4918] = {.lex_state = 240},
  [4919] = {.lex_state = 262},
  [4920] = {.lex_state = 262},
  [4921] = {.lex_state = 262},
  [4922] = {.lex_state = 262},
  [4923] = {.lex_state = 262},
  [4924] = {.lex_state = 228},
  [4925] = {.lex_state = 262},
  [4926] = {.lex_state = 262},
  [4927] = {.lex_state = 239},
  [4928] = {.lex_state = 240},
  [4929] = {.lex_state = 262},
  [4930] = {.lex_state = 262},
  [4931] = {.lex_state = 283},
  [4932] = {.lex_state = 262},
  [4933] = {.lex_state = 262},
  [4934] = {.lex_state = 240},
  [4935] = {.lex_state = 240},
  [4936] = {.lex_state = 262},
  [4937] = {.lex_state = 262},
  [4938] = {.lex_state = 251},
  [4939] = {.lex_state = 262},
  [4940] = {.lex_state = 240},
  [4941] = {.lex_state = 262},
  [4942] = {.lex_state = 262},
  [4943] = {.lex_state = 262},
  [4944] = {.lex_state = 220},
  [4945] = {.lex_state = 220},
  [4946] = {.lex_state = 251},
  [4947] = {.lex_state = 251},
  [4948] = {.lex_state = 240},
  [4949] = {.lex_state = 251},
  [4950] = {.lex_state = 251},
  [4951] = {.lex_state = 262},
  [4952] = {.lex_state = 262},
  [4953] = {.lex_state = 239},
  [4954] = {.lex_state = 262},
  [4955] = {.lex_state = 262},
  [4956] = {.lex_state = 262},
  [4957] = {.lex_state = 251},
  [4958] = {.lex_state = 251},
  [4959] = {.lex_state = 251},
  [4960] = {.lex_state = 220},
  [4961] = {.lex_state = 220},
  [4962] = {.lex_state = 262},
  [4963] = {.lex_state = 283},
  [4964] = {.lex_state = 209},
  [4965] = {.lex_state = 209},
  [4966] = {.lex_state = 209},
  [4967] = {.lex_state = 240},
  [4968] = {.lex_state = 209},
  [4969] = {.lex_state = 251},
  [4970] = {.lex_state = 251},
  [4971] = {.lex_state = 240},
  [4972] = {.lex_state = 262},
  [4973] = {.lex_state = 240},
  [4974] = {.lex_state = 240},
  [4975] = {.lex_state = 240},
  [4976] = {.lex_state = 240},
  [4977] = {.lex_state = 240},
  [4978] = {.lex_state = 240},
  [4979] = {.lex_state = 240},
  [4980] = {.lex_state = 251},
  [4981] = {.lex_state = 240},
  [4982] = {.lex_state = 240},
  [4983] = {.lex_state = 240},
  [4984] = {.lex_state = 251},
  [4985] = {.lex_state = 251},
  [4986] = {.lex_state = 220},
  [4987] = {.lex_state = 286},
  [4988] = {.lex_state = 240},
  [4989] = {.lex_state = 240},
  [4990] = {.lex_state = 252},
  [4991] = {.lex_state = 251},
  [4992] = {.lex_state = 286},
  [4993] = {.lex_state = 240},
  [4994] = {.lex_state = 240},
  [4995] = {.lex_state = 240},
  [4996] = {.lex_state = 240},
  [4997] = {.lex_state = 240},
  [4998] = {.lex_state = 240},
  [4999] = {.lex_state = 220},
  [5000] = {.lex_state = 252},
  [5001] = {.lex_state = 251},
  [5002] = {.lex_state = 286},
  [5003] = {.lex_state = 240},
  [5004] = {.lex_state = 220},
  [5005] = {.lex_state = 220},
  [5006] = {.lex_state = 240},
  [5007] = {.lex_state = 240},
  [5008] = {.lex_state = 274},
  [5009] = {.lex_state = 240},
  [5010] = {.lex_state = 240},
  [5011] = {.lex_state = 240},
  [5012] = {.lex_state = 286},
  [5013] = {.lex_state = 240},
  [5014] = {.lex_state = 286},
  [5015] = {.lex_state = 251},
  [5016] = {.lex_state = 240},
  [5017] = {.lex_state = 251},
  [5018] = {.lex_state = 251},
  [5019] = {.lex_state = 251},
  [5020] = {.lex_state = 251},
  [5021] = {.lex_state = 240},
  [5022] = {.lex_state = 240},
  [5023] = {.lex_state = 240},
  [5024] = {.lex_state = 240},
  [5025] = {.lex_state = 240},
  [5026] = {.lex_state = 240},
  [5027] = {.lex_state = 283},
  [5028] = {.lex_state = 251},
  [5029] = {.lex_state = 251},
  [5030] = {.lex_state = 286},
  [5031] = {.lex_state = 240},
  [5032] = {.lex_state = 240},
  [5033] = {.lex_state = 283},
  [5034] = {.lex_state = 251},
  [5035] = {.lex_state = 240},
  [5036] = {.lex_state = 251},
  [5037] = {.lex_state = 240},
  [5038] = {.lex_state = 251},
  [5039] = {.lex_state = 284},
  [5040] = {.lex_state = 240},
  [5041] = {.lex_state = 240},
  [5042] = {.lex_state = 286},
  [5043] = {.lex_state = 240},
  [5044] = {.lex_state = 240},
  [5045] = {.lex_state = 240},
  [5046] = {.lex_state = 240},
  [5047] = {.lex_state = 286},
  [5048] = {.lex_state = 240},
  [5049] = {.lex_state = 240},
  [5050] = {.lex_state = 252},
  [5051] = {.lex_state = 274},
  [5052] = {.lex_state = 240},
  [5053] = {.lex_state = 240},
  [5054] = {.lex_state = 240},
  [5055] = {.lex_state = 240},
  [5056] = {.lex_state = 240},
  [5057] = {.lex_state = 251},
  [5058] = {.lex_state = 240},
  [5059] = {.lex_state = 240},
  [5060] = {.lex_state = 240},
  [5061] = {.lex_state = 240},
  [5062] = {.lex_state = 251},
  [5063] = {.lex_state = 240},
  [5064] = {.lex_state = 240},
  [5065] = {.lex_state = 284},
  [5066] = {.lex_state = 284},
  [5067] = {.lex_state = 284},
  [5068] = {.lex_state = 284},
  [5069] = {.lex_state = 284},
  [5070] = {.lex_state = 284},
  [5071] = {.lex_state = 240},
  [5072] = {.lex_state = 284},
  [5073] = {.lex_state = 284},
  [5074] = {.lex_state = 284},
  [5075] = {.lex_state = 284},
  [5076] = {.lex_state = 284},
  [5077] = {.lex_state = 380},
  [5078] = {.lex_state = 284},
  [5079] = {.lex_state = 284},
  [5080] = {.lex_state = 284},
  [5081] = {.lex_state = 284},
  [5082] = {.lex_state = 284},
  [5083] = {.lex_state = 284},
  [5084] = {.lex_state = 284},
  [5085] = {.lex_state = 284},
  [5086] = {.lex_state = 284},
  [5087] = {.lex_state = 284},
  [5088] = {.lex_state = 240},
  [5089] = {.lex_state = 284},
  [5090] = {.lex_state = 284},
  [5091] = {.lex_state = 240},
  [5092] = {.lex_state = 284},
  [5093] = {.lex_state = 284},
  [5094] = {.lex_state = 240},
  [5095] = {.lex_state = 228},
  [5096] = {.lex_state = 240},
  [5097] = {.lex_state = 284},
  [5098] = {.lex_state = 284},
  [5099] = {.lex_state = 284},
  [5100] = {.lex_state = 239},
  [5101] = {.lex_state = 284},
  [5102] = {.lex_state = 284},
  [5103] = {.lex_state = 284},
  [5104] = {.lex_state = 284},
  [5105] = {.lex_state = 284},
  [5106] = {.lex_state = 284},
  [5107] = {.lex_state = 284},
  [5108] = {.lex_state = 284},
  [5109] = {.lex_state = 284},
  [5110] = {.lex_state = 284},
  [5111] = {.lex_state = 284},
  [5112] = {.lex_state = 284},
  [5113] = {.lex_state = 284},
  [5114] = {.lex_state = 284},
  [5115] = {.lex_state = 284},
  [5116] = {.lex_state = 284},
  [5117] = {.lex_state = 284},
  [5118] = {.lex_state = 284},
  [5119] = {.lex_state = 274},
  [5120] = {.lex_state = 284},
  [5121] = {.lex_state = 284},
  [5122] = {.lex_state = 239},
  [5123] = {.lex_state = 284},
  [5124] = {.lex_state = 284},
  [5125] = {.lex_state = 284},
  [5126] = {.lex_state = 284},
  [5127] = {.lex_state = 284},
  [5128] = {.lex_state = 284},
  [5129] = {.lex_state = 284},
  [5130] = {.lex_state = 284},
  [5131] = {.lex_state = 251},
  [5132] = {.lex_state = 284},
  [5133] = {.lex_state = 284},
  [5134] = {.lex_state = 284},
  [5135] = {.lex_state = 228},
  [5136] = {.lex_state = 284},
  [5137] = {.lex_state = 284},
  [5138] = {.lex_state = 284},
  [5139] = {.lex_state = 284},
  [5140] = {.lex_state = 284},
  [5141] = {.lex_state = 383},
  [5142] = {.lex_state = 284},
  [5143] = {.lex_state = 284},
  [5144] = {.lex_state = 284},
  [5145] = {.lex_state = 240},
  [5146] = {.lex_state = 284},
  [5147] = {.lex_state = 284},
  [5148] = {.lex_state = 284},
  [5149] = {.lex_state = 284},
  [5150] = {.lex_state = 284},
  [5151] = {.lex_state = 284},
  [5152] = {.lex_state = 284},
  [5153] = {.lex_state = 284},
  [5154] = {.lex_state = 284},
  [5155] = {.lex_state = 284},
  [5156] = {.lex_state = 284},
  [5157] = {.lex_state = 284},
  [5158] = {.lex_state = 240},
  [5159] = {.lex_state = 274},
  [5160] = {.lex_state = 383},
  [5161] = {.lex_state = 284},
  [5162] = {.lex_state = 251},
  [5163] = {.lex_state = 284},
  [5164] = {.lex_state = 240},
  [5165] = {.lex_state = 240},
  [5166] = {.lex_state = 240},
  [5167] = {.lex_state = 284},
  [5168] = {.lex_state = 251},
  [5169] = {.lex_state = 240},
  [5170] = {.lex_state = 240},
  [5171] = {.lex_state = 251},
  [5172] = {.lex_state = 240},
  [5173] = {.lex_state = 240},
  [5174] = {.lex_state = 240},
  [5175] = {.lex_state = 240},
  [5176] = {.lex_state = 251},
  [5177] = {.lex_state = 251},
  [5178] = {.lex_state = 284},
  [5179] = {.lex_state = 240},
  [5180] = {.lex_state = 284},
  [5181] = {.lex_state = 240},
  [5182] = {.lex_state = 240},
  [5183] = {.lex_state = 240},
  [5184] = {.lex_state = 240},
  [5185] = {.lex_state = 284},
  [5186] = {.lex_state = 275},
  [5187] = {.lex_state = 240},
  [5188] = {.lex_state = 286},
  [5189] = {.lex_state = 284},
  [5190] = {.lex_state = 286},
  [5191] = {.lex_state = 284},
  [5192] = {.lex_state = 240},
  [5193] = {.lex_state = 275},
  [5194] = {.lex_state = 284},
  [5195] = {.lex_state = 284},
  [5196] = {.lex_state = 284},
  [5197] = {.lex_state = 240},
  [5198] = {.lex_state = 240},
  [5199] = {.lex_state = 284},
  [5200] = {.lex_state = 240},
  [5201] = {.lex_state = 240},
  [5202] = {.lex_state = 240},
  [5203] = {.lex_state = 240},
  [5204] = {.lex_state = 284},
  [5205] = {.lex_state = 284},
  [5206] = {.lex_state = 284},
  [5207] = {.lex_state = 383},
  [5208] = {.lex_state = 240},
  [5209] = {.lex_state = 240},
  [5210] = {.lex_state = 240},
  [5211] = {.lex_state = 240},
  [5212] = {.lex_state = 251},
  [5213] = {.lex_state = 240},
  [5214] = {.lex_state = 240},
  [5215] = {.lex_state = 240},
  [5216] = {.lex_state = 240},
  [5217] = {.lex_state = 284},
  [5218] = {.lex_state = 240},
  [5219] = {.lex_state = 251},
  [5220] = {.lex_state = 251},
  [5221] = {.lex_state = 240},
  [5222] = {.lex_state = 240},
  [5223] = {.lex_state = 251},
  [5224] = {.lex_state = 240},
  [5225] = {.lex_state = 240},
  [5226] = {.lex_state = 383},
  [5227] = {.lex_state = 240},
  [5228] = {.lex_state = 251},
  [5229] = {.lex_state = 251},
  [5230] = {.lex_state = 251},
  [5231] = {.lex_state = 251},
  [5232] = {.lex_state = 240},
  [5233] = {.lex_state = 383},
  [5234] = {.lex_state = 251},
  [5235] = {.lex_state = 240},
  [5236] = {.lex_state = 383},
  [5237] = {.lex_state = 383},
  [5238] = {.lex_state = 275},
  [5239] = {.lex_state = 384},
  [5240] = {.lex_state = 383},
  [5241] = {.lex_state = 383},
  [5242] = {.lex_state = 275},
  [5243] = {.lex_state = 383},
  [5244] = {.lex_state = 251},
  [5245] = {.lex_state = 384},
  [5246] = {.lex_state = 383},
  [5247] = {.lex_state = 251},
  [5248] = {.lex_state = 383},
  [5249] = {.lex_state = 240},
  [5250] = {.lex_state = 251},
  [5251] = {.lex_state = 240},
  [5252] = {.lex_state = 251},
  [5253] = {.lex_state = 240},
  [5254] = {.lex_state = 240},
  [5255] = {.lex_state = 383},
  [5256] = {.lex_state = 251},
  [5257] = {.lex_state = 240},
  [5258] = {.lex_state = 251},
  [5259] = {.lex_state = 240},
  [5260] = {.lex_state = 240},
  [5261] = {.lex_state = 240},
  [5262] = {.lex_state = 240},
  [5263] = {.lex_state = 240},
  [5264] = {.lex_state = 240},
  [5265] = {.lex_state = 383},
  [5266] = {.lex_state = 240},
  [5267] = {.lex_state = 383},
  [5268] = {.lex_state = 275},
  [5269] = {.lex_state = 383},
  [5270] = {.lex_state = 251},
  [5271] = {.lex_state = 240},
  [5272] = {.lex_state = 240},
  [5273] = {.lex_state = 240},
  [5274] = {.lex_state = 251},
  [5275] = {.lex_state = 240},
  [5276] = {.lex_state = 240},
  [5277] = {.lex_state = 383},
  [5278] = {.lex_state = 240},
  [5279] = {.lex_state = 240},
  [5280] = {.lex_state = 383},
  [5281] = {.lex_state = 383},
  [5282] = {.lex_state = 275},
  [5283] = {.lex_state = 240},
  [5284] = {.lex_state = 240},
  [5285] = {.lex_state = 251},
  [5286] = {.lex_state = 286},
  [5287] = {.lex_state = 251},
  [5288] = {.lex_state = 383},
  [5289] = {.lex_state = 251},
  [5290] = {.lex_state = 251},
  [5291] = {.lex_state = 251},
  [5292] = {.lex_state = 251},
  [5293] = {.lex_state = 240},
  [5294] = {.lex_state = 251},
  [5295] = {.lex_state = 251},
  [5296] = {.lex_state = 251},
  [5297] = {.lex_state = 251},
  [5298] = {.lex_state = 251},
  [5299] = {.lex_state = 240},
  [5300] = {.lex_state = 251},
  [5301] = {.lex_state = 251},
  [5302] = {.lex_state = 251},
  [5303] = {.lex_state = 251},
  [5304] = {.lex_state = 251},
  [5305] = {.lex_state = 251},
  [5306] = {.lex_state = 251},
  [5307] = {.lex_state = 251},
  [5308] = {.lex_state = 251},
  [5309] = {.lex_state = 251},
  [5310] = {.lex_state = 240},
  [5311] = {.lex_state = 251},
  [5312] = {.lex_state = 286},
  [5313] = {.lex_state = 251},
  [5314] = {.lex_state = 251},
  [5315] = {.lex_state = 240},
  [5316] = {.lex_state = 251},
  [5317] = {.lex_state = 230},
  [5318] = {.lex_state = 380},
  [5319] = {.lex_state = 251},
  [5320] = {.lex_state = 380},
  [5321] = {.lex_state = 251},
  [5322] = {.lex_state = 240},
  [5323] = {.lex_state = 251},
  [5324] = {.lex_state = 251},
  [5325] = {.lex_state = 251},
  [5326] = {.lex_state = 383},
  [5327] = {.lex_state = 383},
  [5328] = {.lex_state = 230},
  [5329] = {.lex_state = 251},
  [5330] = {.lex_state = 251},
  [5331] = {.lex_state = 251},
  [5332] = {.lex_state = 251},
  [5333] = {.lex_state = 251},
  [5334] = {.lex_state = 251},
  [5335] = {.lex_state = 230},
  [5336] = {.lex_state = 251},
  [5337] = {.lex_state = 240},
  [5338] = {.lex_state = 240},
  [5339] = {.lex_state = 251},
  [5340] = {.lex_state = 251},
  [5341] = {.lex_state = 251},
  [5342] = {.lex_state = 383},
  [5343] = {.lex_state = 251},
  [5344] = {.lex_state = 251},
  [5345] = {.lex_state = 251},
  [5346] = {.lex_state = 251},
  [5347] = {.lex_state = 383},
  [5348] = {.lex_state = 251},
  [5349] = {.lex_state = 251},
  [5350] = {.lex_state = 383},
  [5351] = {.lex_state = 240},
  [5352] = {.lex_state = 251},
  [5353] = {.lex_state = 251},
  [5354] = {.lex_state = 251},
  [5355] = {.lex_state = 379},
  [5356] = {.lex_state = 275},
  [5357] = {.lex_state = 240},
  [5358] = {.lex_state = 275},
  [5359] = {.lex_state = 251},
  [5360] = {.lex_state = 240},
  [5361] = {.lex_state = 383},
  [5362] = {.lex_state = 251},
  [5363] = {.lex_state = 240},
  [5364] = {.lex_state = 251},
  [5365] = {.lex_state = 240},
  [5366] = {.lex_state = 251},
  [5367] = {.lex_state = 230},
  [5368] = {.lex_state = 240},
  [5369] = {.lex_state = 251},
  [5370] = {.lex_state = 251},
  [5371] = {.lex_state = 240},
  [5372] = {.lex_state = 240},
  [5373] = {.lex_state = 251},
  [5374] = {.lex_state = 230},
  [5375] = {.lex_state = 251},
  [5376] = {.lex_state = 286},
  [5377] = {.lex_state = 230},
  [5378] = {.lex_state = 251},
  [5379] = {.lex_state = 251},
  [5380] = {.lex_state = 251},
  [5381] = {.lex_state = 251},
  [5382] = {.lex_state = 379},
  [5383] = {.lex_state = 251},
  [5384] = {.lex_state = 251},
  [5385] = {.lex_state = 286},
  [5386] = {.lex_state = 275},
  [5387] = {.lex_state = 228},
  [5388] = {.lex_state = 243},
  [5389] = {.lex_state = 275},
  [5390] = {.lex_state = 240},
  [5391] = {.lex_state = 240},
  [5392] = {.lex_state = 240},
  [5393] = {.lex_state = 275},
  [5394] = {.lex_state = 240},
  [5395] = {.lex_state = 240},
  [5396] = {.lex_state = 240},
  [5397] = {.lex_state = 275},
  [5398] = {.lex_state = 283},
  [5399] = {.lex_state = 383},
  [5400] = {.lex_state = 240},
  [5401] = {.lex_state = 275},
  [5402] = {.lex_state = 275},
  [5403] = {.lex_state = 275},
  [5404] = {.lex_state = 275},
  [5405] = {.lex_state = 228},
  [5406] = {.lex_state = 383},
  [5407] = {.lex_state = 283},
  [5408] = {.lex_state = 275},
  [5409] = {.lex_state = 283},
  [5410] = {.lex_state = 275},
  [5411] = {.lex_state = 243},
  [5412] = {.lex_state = 275},
  [5413] = {.lex_state = 251},
  [5414] = {.lex_state = 240},
  [5415] = {.lex_state = 240},
  [5416] = {.lex_state = 240},
  [5417] = {.lex_state = 240},
  [5418] = {.lex_state = 240},
  [5419] = {.lex_state = 240},
  [5420] = {.lex_state = 275},
  [5421] = {.lex_state = 275},
  [5422] = {.lex_state = 275},
  [5423] = {.lex_state = 275},
  [5424] = {.lex_state = 240},
  [5425] = {.lex_state = 275},
  [5426] = {.lex_state = 240},
  [5427] = {.lex_state = 275},
  [5428] = {.lex_state = 240},
  [5429] = {.lex_state = 243},
  [5430] = {.lex_state = 240},
  [5431] = {.lex_state = 286},
  [5432] = {.lex_state = 240},
  [5433] = {.lex_state = 240},
  [5434] = {.lex_state = 251},
  [5435] = {.lex_state = 240},
  [5436] = {.lex_state = 286},
  [5437] = {.lex_state = 275},
  [5438] = {.lex_state = 240},
  [5439] = {.lex_state = 275},
  [5440] = {.lex_state = 251},
  [5441] = {.lex_state = 251},
  [5442] = {.lex_state = 275},
  [5443] = {.lex_state = 240},
  [5444] = {.lex_state = 240},
  [5445] = {.lex_state = 251},
  [5446] = {.lex_state = 240},
  [5447] = {.lex_state = 240},
  [5448] = {.lex_state = 240},
  [5449] = {.lex_state = 240},
  [5450] = {.lex_state = 251},
  [5451] = {.lex_state = 240},
  [5452] = {.lex_state = 275},
  [5453] = {.lex_state = 275},
  [5454] = {.lex_state = 240},
  [5455] = {.lex_state = 383},
  [5456] = {.lex_state = 240},
  [5457] = {.lex_state = 240},
  [5458] = {.lex_state = 240},
  [5459] = {.lex_state = 240},
  [5460] = {.lex_state = 240},
  [5461] = {.lex_state = 240},
  [5462] = {.lex_state = 240},
  [5463] = {.lex_state = 240},
  [5464] = {.lex_state = 251},
  [5465] = {.lex_state = 240},
  [5466] = {.lex_state = 240},
  [5467] = {.lex_state = 251},
  [5468] = {.lex_state = 240},
  [5469] = {.lex_state = 251},
  [5470] = {.lex_state = 275},
  [5471] = {.lex_state = 251},
  [5472] = {.lex_state = 251},
  [5473] = {.lex_state = 251},
  [5474] = {.lex_state = 251},
  [5475] = {.lex_state = 240},
  [5476] = {.lex_state = 240},
  [5477] = {.lex_state = 240},
  [5478] = {.lex_state = 286},
  [5479] = {.lex_state = 251},
  [5480] = {.lex_state = 251},
  [5481] = {.lex_state = 251},
  [5482] = {.lex_state = 240},
  [5483] = {.lex_state = 240},
  [5484] = {.lex_state = 275},
  [5485] = {.lex_state = 275},
  [5486] = {.lex_state = 240},
  [5487] = {.lex_state = 240},
  [5488] = {.lex_state = 251},
  [5489] = {.lex_state = 240},
  [5490] = {.lex_state = 251},
  [5491] = {.lex_state = 275},
  [5492] = {.lex_state = 251},
  [5493] = {.lex_state = 380},
  [5494] = {.lex_state = 240},
  [5495] = {.lex_state = 251},
  [5496] = {.lex_state = 240},
  [5497] = {.lex_state = 286},
  [5498] = {.lex_state = 240},
  [5499] = {.lex_state = 240},
  [5500] = {.lex_state = 251},
  [5501] = {.lex_state = 251},
  [5502] = {.lex_state = 251},
  [5503] = {.lex_state = 275},
  [5504] = {.lex_state = 251},
  [5505] = {.lex_state = 251},
  [5506] = {.lex_state = 240},
  [5507] = {.lex_state = 240},
  [5508] = {.lex_state = 251},
  [5509] = {.lex_state = 251},
  [5510] = {.lex_state = 275},
  [5511] = {.lex_state = 251},
  [5512] = {.lex_state = 240},
  [5513] = {.lex_state = 275},
  [5514] = {.lex_state = 275},
  [5515] = {.lex_state = 240},
  [5516] = {.lex_state = 240},
  [5517] = {.lex_state = 251},
  [5518] = {.lex_state = 240},
  [5519] = {.lex_state = 240},
  [5520] = {.lex_state = 240},
  [5521] = {.lex_state = 240},
  [5522] = {.lex_state = 228},
  [5523] = {.lex_state = 251},
  [5524] = {.lex_state = 251},
  [5525] = {.lex_state = 383},
  [5526] = {.lex_state = 275},
  [5527] = {.lex_state = 251},
  [5528] = {.lex_state = 275},
  [5529] = {.lex_state = 275},
  [5530] = {.lex_state = 275},
  [5531] = {.lex_state = 383},
  [5532] = {.lex_state = 275},
  [5533] = {.lex_state = 275},
  [5534] = {.lex_state = 275},
  [5535] = {.lex_state = 275},
  [5536] = {.lex_state = 240},
  [5537] = {.lex_state = 240},
  [5538] = {.lex_state = 275},
  [5539] = {.lex_state = 240},
  [5540] = {.lex_state = 251},
  [5541] = {.lex_state = 275},
  [5542] = {.lex_state = 380},
  [5543] = {.lex_state = 240},
  [5544] = {.lex_state = 240},
  [5545] = {.lex_state = 251},
  [5546] = {.lex_state = 251},
  [5547] = {.lex_state = 240},
  [5548] = {.lex_state = 251},
  [5549] = {.lex_state = 240},
  [5550] = {.lex_state = 251},
  [5551] = {.lex_state = 251},
  [5552] = {.lex_state = 240},
  [5553] = {.lex_state = 240},
  [5554] = {.lex_state = 251},
  [5555] = {.lex_state = 286},
  [5556] = {.lex_state = 251},
  [5557] = {.lex_state = 240},
  [5558] = {.lex_state = 240},
  [5559] = {.lex_state = 251},
  [5560] = {.lex_state = 251},
  [5561] = {.lex_state = 275},
  [5562] = {.lex_state = 275},
  [5563] = {.lex_state = 251},
  [5564] = {.lex_state = 251},
  [5565] = {.lex_state = 275},
  [5566] = {.lex_state = 273},
  [5567] = {.lex_state = 240},
  [5568] = {.lex_state = 240},
  [5569] = {.lex_state = 240},
  [5570] = {.lex_state = 251},
  [5571] = {.lex_state = 275},
  [5572] = {.lex_state = 251},
  [5573] = {.lex_state = 251},
  [5574] = {.lex_state = 251},
  [5575] = {.lex_state = 251},
  [5576] = {.lex_state = 240},
  [5577] = {.lex_state = 240},
  [5578] = {.lex_state = 240},
  [5579] = {.lex_state = 240},
  [5580] = {.lex_state = 251},
  [5581] = {.lex_state = 251},
  [5582] = {.lex_state = 251},
  [5583] = {.lex_state = 240},
  [5584] = {.lex_state = 251},
  [5585] = {.lex_state = 251},
  [5586] = {.lex_state = 240},
  [5587] = {.lex_state = 251},
  [5588] = {.lex_state = 240},
  [5589] = {.lex_state = 228},
  [5590] = {.lex_state = 240},
  [5591] = {.lex_state = 240},
  [5592] = {.lex_state = 286},
  [5593] = {.lex_state = 228},
  [5594] = {.lex_state = 228},
  [5595] = {.lex_state = 228},
  [5596] = {.lex_state = 275},
  [5597] = {.lex_state = 240},
  [5598] = {.lex_state = 240},
  [5599] = {.lex_state = 240},
  [5600] = {.lex_state = 251},
  [5601] = {.lex_state = 251},
  [5602] = {.lex_state = 240},
  [5603] = {.lex_state = 251},
  [5604] = {.lex_state = 240},
  [5605] = {.lex_state = 275},
  [5606] = {.lex_state = 240},
  [5607] = {.lex_state = 228},
  [5608] = {.lex_state = 228},
  [5609] = {.lex_state = 286},
  [5610] = {.lex_state = 240},
  [5611] = {.lex_state = 240},
  [5612] = {.lex_state = 240},
  [5613] = {.lex_state = 228},
  [5614] = {.lex_state = 240},
  [5615] = {.lex_state = 240},
  [5616] = {.lex_state = 240},
  [5617] = {.lex_state = 240},
  [5618] = {.lex_state = 380},
  [5619] = {.lex_state = 240},
  [5620] = {.lex_state = 275},
  [5621] = {.lex_state = 275},
  [5622] = {.lex_state = 275},
  [5623] = {.lex_state = 240},
  [5624] = {.lex_state = 240},
  [5625] = {.lex_state = 240},
  [5626] = {.lex_state = 240},
  [5627] = {.lex_state = 240},
  [5628] = {.lex_state = 240},
  [5629] = {.lex_state = 240},
  [5630] = {.lex_state = 240},
  [5631] = {.lex_state = 240},
  [5632] = {.lex_state = 240},
  [5633] = {.lex_state = 240},
  [5634] = {.lex_state = 240},
  [5635] = {.lex_state = 240},
  [5636] = {.lex_state = 284},
  [5637] = {.lex_state = 284},
  [5638] = {.lex_state = 240},
  [5639] = {.lex_state = 240},
  [5640] = {.lex_state = 240},
  [5641] = {.lex_state = 240},
  [5642] = {.lex_state = 240},
  [5643] = {.lex_state = 240},
  [5644] = {.lex_state = 240},
  [5645] = {.lex_state = 275},
  [5646] = {.lex_state = 274},
  [5647] = {.lex_state = 240},
  [5648] = {.lex_state = 240},
  [5649] = {.lex_state = 275},
  [5650] = {.lex_state = 240},
  [5651] = {.lex_state = 240},
  [5652] = {.lex_state = 240},
  [5653] = {.lex_state = 240},
  [5654] = {.lex_state = 240},
  [5655] = {.lex_state = 284},
  [5656] = {.lex_state = 240},
  [5657] = {.lex_state = 275},
  [5658] = {.lex_state = 240},
  [5659] = {.lex_state = 240},
  [5660] = {.lex_state = 284},
  [5661] = {.lex_state = 240},
  [5662] = {.lex_state = 240},
  [5663] = {.lex_state = 383},
  [5664] = {.lex_state = 284},
  [5665] = {.lex_state = 284},
  [5666] = {.lex_state = 240},
  [5667] = {.lex_state = 240},
  [5668] = {.lex_state = 275},
  [5669] = {.lex_state = 284},
  [5670] = {.lex_state = 240},
  [5671] = {.lex_state = 240},
  [5672] = {.lex_state = 284},
  [5673] = {.lex_state = 284},
  [5674] = {.lex_state = 240},
  [5675] = {.lex_state = 381},
  [5676] = {.lex_state = 284},
  [5677] = {.lex_state = 240},
  [5678] = {.lex_state = 240},
  [5679] = {.lex_state = 240},
  [5680] = {.lex_state = 284},
  [5681] = {.lex_state = 275},
  [5682] = {.lex_state = 230},
  [5683] = {.lex_state = 240},
  [5684] = {.lex_state = 240},
  [5685] = {.lex_state = 275},
  [5686] = {.lex_state = 284},
  [5687] = {.lex_state = 240},
  [5688] = {.lex_state = 240},
  [5689] = {.lex_state = 381},
  [5690] = {.lex_state = 240},
  [5691] = {.lex_state = 240},
  [5692] = {.lex_state = 384},
  [5693] = {.lex_state = 240},
  [5694] = {.lex_state = 240},
  [5695] = {.lex_state = 284},
  [5696] = {.lex_state = 275},
  [5697] = {.lex_state = 240},
  [5698] = {.lex_state = 240},
  [5699] = {.lex_state = 275},
  [5700] = {.lex_state = 284},
  [5701] = {.lex_state = 240},
  [5702] = {.lex_state = 240},
  [5703] = {.lex_state = 228},
  [5704] = {.lex_state = 240},
  [5705] = {.lex_state = 275},
  [5706] = {.lex_state = 284},
  [5707] = {.lex_state = 240},
  [5708] = {.lex_state = 240},
  [5709] = {.lex_state = 240},
  [5710] = {.lex_state = 275},
  [5711] = {.lex_state = 284},
  [5712] = {.lex_state = 240},
  [5713] = {.lex_state = 240},
  [5714] = {.lex_state = 240},
  [5715] = {.lex_state = 240},
  [5716] = {.lex_state = 284},
  [5717] = {.lex_state = 284},
  [5718] = {.lex_state = 284},
  [5719] = {.lex_state = 240},
  [5720] = {.lex_state = 240},
  [5721] = {.lex_state = 284},
  [5722] = {.lex_state = 286},
  [5723] = {.lex_state = 240},
  [5724] = {.lex_state = 275},
  [5725] = {.lex_state = 284},
  [5726] = {.lex_state = 230},
  [5727] = {.lex_state = 381},
  [5728] = {.lex_state = 240},
  [5729] = {.lex_state = 240},
  [5730] = {.lex_state = 284},
  [5731] = {.lex_state = 240},
  [5732] = {.lex_state = 284},
  [5733] = {.lex_state = 240},
  [5734] = {.lex_state = 275},
  [5735] = {.lex_state = 275},
  [5736] = {.lex_state = 275},
  [5737] = {.lex_state = 284},
  [5738] = {.lex_state = 275},
  [5739] = {.lex_state = 240},
  [5740] = {.lex_state = 383},
  [5741] = {.lex_state = 240},
  [5742] = {.lex_state = 286},
  [5743] = {.lex_state = 286},
  [5744] = {.lex_state = 275},
  [5745] = {.lex_state = 240},
  [5746] = {.lex_state = 284},
  [5747] = {.lex_state = 275},
  [5748] = {.lex_state = 275},
  [5749] = {.lex_state = 240},
  [5750] = {.lex_state = 275},
  [5751] = {.lex_state = 230},
  [5752] = {.lex_state = 286},
  [5753] = {.lex_state = 240},
  [5754] = {.lex_state = 240},
  [5755] = {.lex_state = 284},
  [5756] = {.lex_state = 240},
  [5757] = {.lex_state = 284},
  [5758] = {.lex_state = 384},
  [5759] = {.lex_state = 240},
  [5760] = {.lex_state = 283},
  [5761] = {.lex_state = 240},
  [5762] = {.lex_state = 240},
  [5763] = {.lex_state = 240},
  [5764] = {.lex_state = 240},
  [5765] = {.lex_state = 240},
  [5766] = {.lex_state = 240},
  [5767] = {.lex_state = 383},
  [5768] = {.lex_state = 240},
  [5769] = {.lex_state = 383},
  [5770] = {.lex_state = 275},
  [5771] = {.lex_state = 275},
  [5772] = {.lex_state = 240},
  [5773] = {.lex_state = 240},
  [5774] = {.lex_state = 283},
  [5775] = {.lex_state = 240},
  [5776] = {.lex_state = 284},
  [5777] = {.lex_state = 240},
  [5778] = {.lex_state = 240},
  [5779] = {.lex_state = 240},
  [5780] = {.lex_state = 240},
  [5781] = {.lex_state = 284},
  [5782] = {.lex_state = 240},
  [5783] = {.lex_state = 240},
  [5784] = {.lex_state = 240},
  [5785] = {.lex_state = 275},
  [5786] = {.lex_state = 275},
  [5787] = {.lex_state = 284},
  [5788] = {.lex_state = 240},
  [5789] = {.lex_state = 240},
  [5790] = {.lex_state = 240},
  [5791] = {.lex_state = 240},
  [5792] = {.lex_state = 240},
  [5793] = {.lex_state = 275},
  [5794] = {.lex_state = 284},
  [5795] = {.lex_state = 240},
  [5796] = {.lex_state = 240},
  [5797] = {.lex_state = 240},
  [5798] = {.lex_state = 240},
  [5799] = {.lex_state = 240},
  [5800] = {.lex_state = 240},
  [5801] = {.lex_state = 240},
  [5802] = {.lex_state = 240},
  [5803] = {.lex_state = 275},
  [5804] = {.lex_state = 284},
  [5805] = {.lex_state = 240},
  [5806] = {.lex_state = 240},
  [5807] = {.lex_state = 240},
  [5808] = {.lex_state = 240},
  [5809] = {.lex_state = 240},
  [5810] = {.lex_state = 240},
  [5811] = {.lex_state = 240},
  [5812] = {.lex_state = 240},
  [5813] = {.lex_state = 240},
  [5814] = {.lex_state = 240},
  [5815] = {.lex_state = 240},
  [5816] = {.lex_state = 240},
  [5817] = {.lex_state = 286},
  [5818] = {.lex_state = 240},
  [5819] = {.lex_state = 240},
  [5820] = {.lex_state = 240},
  [5821] = {.lex_state = 240},
  [5822] = {.lex_state = 240},
  [5823] = {.lex_state = 240},
  [5824] = {.lex_state = 240},
  [5825] = {.lex_state = 286},
  [5826] = {.lex_state = 240},
  [5827] = {.lex_state = 240},
  [5828] = {.lex_state = 383},
  [5829] = {.lex_state = 240},
  [5830] = {.lex_state = 240},
  [5831] = {.lex_state = 240},
  [5832] = {.lex_state = 240},
  [5833] = {.lex_state = 240},
  [5834] = {.lex_state = 240},
  [5835] = {.lex_state = 240},
  [5836] = {.lex_state = 240},
  [5837] = {.lex_state = 240},
  [5838] = {.lex_state = 240},
  [5839] = {.lex_state = 240},
  [5840] = {.lex_state = 240},
  [5841] = {.lex_state = 240},
  [5842] = {.lex_state = 257},
  [5843] = {.lex_state = 383},
  [5844] = {.lex_state = 240},
  [5845] = {.lex_state = 257},
  [5846] = {.lex_state = 240},
  [5847] = {.lex_state = 240},
  [5848] = {.lex_state = 240},
  [5849] = {.lex_state = 240},
  [5850] = {.lex_state = 240},
  [5851] = {.lex_state = 286},
  [5852] = {.lex_state = 286},
  [5853] = {.lex_state = 240},
  [5854] = {.lex_state = 240},
  [5855] = {.lex_state = 240},
  [5856] = {.lex_state = 240},
  [5857] = {.lex_state = 240},
  [5858] = {.lex_state = 240},
  [5859] = {.lex_state = 240},
  [5860] = {.lex_state = 286},
  [5861] = {.lex_state = 240},
  [5862] = {.lex_state = 383},
  [5863] = {.lex_state = 240},
  [5864] = {.lex_state = 383},
  [5865] = {.lex_state = 383},
  [5866] = {.lex_state = 240},
  [5867] = {.lex_state = 240},
  [5868] = {.lex_state = 240},
  [5869] = {.lex_state = 240},
  [5870] = {.lex_state = 240},
  [5871] = {.lex_state = 240},
  [5872] = {.lex_state = 240},
  [5873] = {.lex_state = 240},
  [5874] = {.lex_state = 240},
  [5875] = {.lex_state = 240},
  [5876] = {.lex_state = 240},
  [5877] = {.lex_state = 240},
  [5878] = {.lex_state = 286},
  [5879] = {.lex_state = 286},
  [5880] = {.lex_state = 286},
  [5881] = {.lex_state = 240},
  [5882] = {.lex_state = 286},
  [5883] = {.lex_state = 240},
  [5884] = {.lex_state = 240},
  [5885] = {.lex_state = 240},
  [5886] = {.lex_state = 240},
  [5887] = {.lex_state = 240},
  [5888] = {.lex_state = 383},
  [5889] = {.lex_state = 286},
  [5890] = {.lex_state = 240},
  [5891] = {.lex_state = 240},
  [5892] = {.lex_state = 240},
  [5893] = {.lex_state = 383},
  [5894] = {.lex_state = 240},
  [5895] = {.lex_state = 383},
  [5896] = {.lex_state = 240},
  [5897] = {.lex_state = 240},
  [5898] = {.lex_state = 240},
  [5899] = {.lex_state = 240},
  [5900] = {.lex_state = 383},
  [5901] = {.lex_state = 240},
  [5902] = {.lex_state = 240},
  [5903] = {.lex_state = 240},
  [5904] = {.lex_state = 240},
  [5905] = {.lex_state = 240},
  [5906] = {.lex_state = 383},
  [5907] = {.lex_state = 240},
  [5908] = {.lex_state = 240},
  [5909] = {.lex_state = 240},
  [5910] = {.lex_state = 240},
  [5911] = {.lex_state = 257},
  [5912] = {.lex_state = 383},
  [5913] = {.lex_state = 240},
  [5914] = {.lex_state = 240},
  [5915] = {.lex_state = 240},
  [5916] = {.lex_state = 240},
  [5917] = {.lex_state = 240},
  [5918] = {.lex_state = 240},
  [5919] = {.lex_state = 240},
  [5920] = {.lex_state = 240},
  [5921] = {.lex_state = 240},
  [5922] = {.lex_state = 240},
  [5923] = {.lex_state = 240},
  [5924] = {.lex_state = 240},
  [5925] = {.lex_state = 240},
  [5926] = {.lex_state = 240},
  [5927] = {.lex_state = 240},
  [5928] = {.lex_state = 240},
  [5929] = {.lex_state = 240},
  [5930] = {.lex_state = 283},
  [5931] = {.lex_state = 286},
  [5932] = {.lex_state = 240},
  [5933] = {.lex_state = 240},
  [5934] = {.lex_state = 383},
  [5935] = {.lex_state = 240},
  [5936] = {.lex_state = 383},
  [5937] = {.lex_state = 240},
  [5938] = {.lex_state = 240},
  [5939] = {.lex_state = 275},
  [5940] = {.lex_state = 286},
  [5941] = {.lex_state = 240},
  [5942] = {.lex_state = 383},
  [5943] = {.lex_state = 240},
  [5944] = {.lex_state = 240},
  [5945] = {.lex_state = 240},
  [5946] = {.lex_state = 240},
  [5947] = {.lex_state = 240},
  [5948] = {.lex_state = 240},
  [5949] = {.lex_state = 240},
  [5950] = {.lex_state = 240},
  [5951] = {.lex_state = 240},
  [5952] = {.lex_state = 240},
  [5953] = {.lex_state = 240},
  [5954] = {.lex_state = 384},
  [5955] = {.lex_state = 275},
  [5956] = {.lex_state = 383},
  [5957] = {.lex_state = 283},
  [5958] = {.lex_state = 383},
  [5959] = {.lex_state = 275},
  [5960] = {.lex_state = 275},
  [5961] = {.lex_state = 275},
  [5962] = {.lex_state = 275},
  [5963] = {.lex_state = 240},
  [5964] = {.lex_state = 383},
  [5965] = {.lex_state = 283},
  [5966] = {.lex_state = 275},
  [5967] = {.lex_state = 383},
  [5968] = {.lex_state = 275},
  [5969] = {.lex_state = 286},
  [5970] = {.lex_state = 275},
  [5971] = {.lex_state = 275},
  [5972] = {.lex_state = 275},
  [5973] = {.lex_state = 286},
  [5974] = {.lex_state = 383},
  [5975] = {.lex_state = 275},
  [5976] = {.lex_state = 275},
  [5977] = {.lex_state = 275},
  [5978] = {.lex_state = 383},
  [5979] = {.lex_state = 275},
  [5980] = {.lex_state = 275},
  [5981] = {.lex_state = 286},
  [5982] = {.lex_state = 275},
  [5983] = {.lex_state = 275},
  [5984] = {.lex_state = 275},
  [5985] = {.lex_state = 286},
  [5986] = {.lex_state = 275},
  [5987] = {.lex_state = 275},
  [5988] = {.lex_state = 275},
  [5989] = {.lex_state = 275},
  [5990] = {.lex_state = 383},
  [5991] = {.lex_state = 275},
  [5992] = {.lex_state = 275},
  [5993] = {.lex_state = 275},
  [5994] = {.lex_state = 275},
  [5995] = {.lex_state = 275},
  [5996] = {.lex_state = 275},
  [5997] = {.lex_state = 383},
  [5998] = {.lex_state = 275},
  [5999] = {.lex_state = 240},
  [6000] = {.lex_state = 383},
  [6001] = {.lex_state = 275},
  [6002] = {.lex_state = 275},
  [6003] = {.lex_state = 283},
  [6004] = {.lex_state = 275},
  [6005] = {.lex_state = 383},
  [6006] = {.lex_state = 275},
  [6007] = {.lex_state = 286},
  [6008] = {.lex_state = 383},
  [6009] = {.lex_state = 383},
  [6010] = {.lex_state = 383},
  [6011] = {.lex_state = 240},
  [6012] = {.lex_state = 383},
  [6013] = {.lex_state = 383},
  [6014] = {.lex_state = 383},
  [6015] = {.lex_state = 286},
  [6016] = {.lex_state = 286},
  [6017] = {.lex_state = 283},
  [6018] = {.lex_state = 383},
  [6019] = {.lex_state = 275},
  [6020] = {.lex_state = 383},
  [6021] = {.lex_state = 283},
  [6022] = {.lex_state = 383},
  [6023] = {.lex_state = 383},
  [6024] = {.lex_state = 275},
  [6025] = {.lex_state = 275},
  [6026] = {.lex_state = 286},
  [6027] = {.lex_state = 240},
  [6028] = {.lex_state = 275},
  [6029] = {.lex_state = 384},
  [6030] = {.lex_state = 383},
  [6031] = {.lex_state = 383},
  [6032] = {.lex_state = 384},
  [6033] = {.lex_state = 383},
  [6034] = {.lex_state = 383},
  [6035] = {.lex_state = 383},
  [6036] = {.lex_state = 383},
  [6037] = {.lex_state = 383},
  [6038] = {.lex_state = 275},
  [6039] = {.lex_state = 384},
  [6040] = {.lex_state = 384},
  [6041] = {.lex_state = 384},
  [6042] = {.lex_state = 383},
  [6043] = {.lex_state = 384},
  [6044] = {.lex_state = 383},
  [6045] = {.lex_state = 275},
  [6046] = {.lex_state = 275},
  [6047] = {.lex_state = 275},
  [6048] = {.lex_state = 240},
  [6049] = {.lex_state = 383},
  [6050] = {.lex_state = 383},
  [6051] = {.lex_state = 383},
  [6052] = {.lex_state = 275},
  [6053] = {.lex_state = 383},
  [6054] = {.lex_state = 384},
  [6055] = {.lex_state = 384},
  [6056] = {.lex_state = 383},
  [6057] = {.lex_state = 240},
  [6058] = {.lex_state = 383},
  [6059] = {.lex_state = 383},
  [6060] = {.lex_state = 286},
  [6061] = {.lex_state = 228},
  [6062] = {.lex_state = 383},
  [6063] = {.lex_state = 383},
  [6064] = {.lex_state = 383},
  [6065] = {.lex_state = 383},
  [6066] = {.lex_state = 284},
  [6067] = {.lex_state = 286},
  [6068] = {.lex_state = 383},
  [6069] = {.lex_state = 286},
  [6070] = {.lex_state = 286},
  [6071] = {.lex_state = 286},
  [6072] = {.lex_state = 286},
  [6073] = {.lex_state = 286},
  [6074] = {.lex_state = 286},
  [6075] = {.lex_state = 228},
  [6076] = {.lex_state = 384},
  [6077] = {.lex_state = 383},
  [6078] = {.lex_state = 383},
  [6079] = {.lex_state = 383},
  [6080] = {.lex_state = 383},
  [6081] = {.lex_state = 383},
  [6082] = {.lex_state = 384},
  [6083] = {.lex_state = 384},
  [6084] = {.lex_state = 384},
  [6085] = {.lex_state = 286},
  [6086] = {.lex_state = 286},
  [6087] = {.lex_state = 384},
  [6088] = {.lex_state = 383},
  [6089] = {.lex_state = 383},
  [6090] = {.lex_state = 286},
  [6091] = {.lex_state = 286},
  [6092] = {.lex_state = 383},
  [6093] = {.lex_state = 383},
  [6094] = {.lex_state = 240},
  [6095] = {.lex_state = 384},
  [6096] = {.lex_state = 286},
  [6097] = {.lex_state = 286},
  [6098] = {.lex_state = 240},
  [6099] = {.lex_state = 240},
  [6100] = {.lex_state = 240},
  [6101] = {.lex_state = 383},
  [6102] = {.lex_state = 383},
  [6103] = {.lex_state = 284},
  [6104] = {.lex_state = 286},
  [6105] = {.lex_state = 286},
  [6106] = {.lex_state = 286},
  [6107] = {.lex_state = 384},
  [6108] = {.lex_state = 286},
  [6109] = {.lex_state = 383},
  [6110] = {.lex_state = 240},
  [6111] = {.lex_state = 283},
  [6112] = {.lex_state = 286},
  [6113] = {.lex_state = 240},
  [6114] = {.lex_state = 286},
  [6115] = {.lex_state = 383},
  [6116] = {.lex_state = 283},
  [6117] = {.lex_state = 240},
  [6118] = {.lex_state = 286},
  [6119] = {.lex_state = 286},
  [6120] = {.lex_state = 383},
  [6121] = {.lex_state = 286},
  [6122] = {.lex_state = 275},
  [6123] = {.lex_state = 286},
  [6124] = {.lex_state = 283},
  [6125] = {.lex_state = 286},
  [6126] = {.lex_state = 283},
  [6127] = {.lex_state = 240},
  [6128] = {.lex_state = 283},
  [6129] = {.lex_state = 228},
  [6130] = {.lex_state = 383},
  [6131] = {.lex_state = 383},
  [6132] = {.lex_state = 283},
  [6133] = {.lex_state = 286},
  [6134] = {.lex_state = 228},
  [6135] = {.lex_state = 275},
  [6136] = {.lex_state = 384},
  [6137] = {.lex_state = 286},
  [6138] = {.lex_state = 384},
  [6139] = {.lex_state = 384},
  [6140] = {.lex_state = 283},
  [6141] = {.lex_state = 275},
  [6142] = {.lex_state = 275},
  [6143] = {.lex_state = 240},
  [6144] = {.lex_state = 383},
  [6145] = {.lex_state = 283},
  [6146] = {.lex_state = 383},
  [6147] = {.lex_state = 283},
  [6148] = {.lex_state = 240},
  [6149] = {.lex_state = 283},
  [6150] = {.lex_state = 286},
  [6151] = {.lex_state = 286},
  [6152] = {.lex_state = 286},
  [6153] = {.lex_state = 286},
  [6154] = {.lex_state = 286},
  [6155] = {.lex_state = 284},
  [6156] = {.lex_state = 286},
  [6157] = {.lex_state = 284},
  [6158] = {.lex_state = 286},
  [6159] = {.lex_state = 286},
  [6160] = {.lex_state = 284},
  [6161] = {.lex_state = 286},
  [6162] = {.lex_state = 286},
  [6163] = {.lex_state = 286},
  [6164] = {.lex_state = 286},
  [6165] = {.lex_state = 284},
  [6166] = {.lex_state = 284},
  [6167] = {.lex_state = 286},
  [6168] = {.lex_state = 284},
  [6169] = {.lex_state = 284},
  [6170] = {.lex_state = 286},
  [6171] = {.lex_state = 286},
  [6172] = {.lex_state = 286},
  [6173] = {.lex_state = 286},
  [6174] = {.lex_state = 286},
  [6175] = {.lex_state = 286},
  [6176] = {.lex_state = 286},
  [6177] = {.lex_state = 286},
  [6178] = {.lex_state = 228},
  [6179] = {.lex_state = 286},
  [6180] = {.lex_state = 286},
  [6181] = {.lex_state = 284},
  [6182] = {.lex_state = 284},
  [6183] = {.lex_state = 284},
  [6184] = {.lex_state = 286},
  [6185] = {.lex_state = 284},
  [6186] = {.lex_state = 286},
  [6187] = {.lex_state = 286},
  [6188] = {.lex_state = 228},
  [6189] = {.lex_state = 286},
  [6190] = {.lex_state = 284},
  [6191] = {.lex_state = 284},
  [6192] = {.lex_state = 284},
  [6193] = {.lex_state = 284},
  [6194] = {.lex_state = 284},
  [6195] = {.lex_state = 286},
  [6196] = {.lex_state = 284},
  [6197] = {.lex_state = 286},
  [6198] = {.lex_state = 283},
  [6199] = {.lex_state = 284},
  [6200] = {.lex_state = 286},
  [6201] = {.lex_state = 284},
  [6202] = {.lex_state = 286},
  [6203] = {.lex_state = 284},
  [6204] = {.lex_state = 286},
  [6205] = {.lex_state = 284},
  [6206] = {.lex_state = 286},
  [6207] = {.lex_state = 283},
  [6208] = {.lex_state = 284},
  [6209] = {.lex_state = 286},
  [6210] = {.lex_state = 384},
  [6211] = {.lex_state = 384},
  [6212] = {.lex_state = 286},
  [6213] = {.lex_state = 286},
  [6214] = {.lex_state = 286},
  [6215] = {.lex_state = 228},
  [6216] = {.lex_state = 286},
  [6217] = {.lex_state = 286},
  [6218] = {.lex_state = 286},
  [6219] = {.lex_state = 284},
  [6220] = {.lex_state = 384},
  [6221] = {.lex_state = 286},
  [6222] = {.lex_state = 384},
  [6223] = {.lex_state = 286},
  [6224] = {.lex_state = 384},
  [6225] = {.lex_state = 384},
  [6226] = {.lex_state = 283},
  [6227] = {.lex_state = 286},
  [6228] = {.lex_state = 286},
  [6229] = {.lex_state = 286},
  [6230] = {.lex_state = 286},
  [6231] = {.lex_state = 286},
  [6232] = {.lex_state = 286},
  [6233] = {.lex_state = 384},
  [6234] = {.lex_state = 228},
  [6235] = {.lex_state = 286},
  [6236] = {.lex_state = 384},
  [6237] = {.lex_state = 286},
  [6238] = {.lex_state = 384},
  [6239] = {.lex_state = 384},
  [6240] = {.lex_state = 286},
  [6241] = {.lex_state = 286},
  [6242] = {.lex_state = 286},
  [6243] = {.lex_state = 286},
  [6244] = {.lex_state = 232},
  [6245] = {.lex_state = 384},
  [6246] = {.lex_state = 384},
  [6247] = {.lex_state = 283},
  [6248] = {.lex_state = 383},
  [6249] = {.lex_state = 384},
  [6250] = {.lex_state = 240},
  [6251] = {.lex_state = 384},
  [6252] = {.lex_state = 383},
  [6253] = {.lex_state = 384},
  [6254] = {.lex_state = 275},
  [6255] = {.lex_state = 383},
  [6256] = {.lex_state = 384},
  [6257] = {.lex_state = 286},
  [6258] = {.lex_state = 286},
  [6259] = {.lex_state = 286},
  [6260] = {.lex_state = 384},
  [6261] = {.lex_state = 384},
  [6262] = {.lex_state = 286},
  [6263] = {.lex_state = 384},
  [6264] = {.lex_state = 383},
  [6265] = {.lex_state = 286},
  [6266] = {.lex_state = 286},
  [6267] = {.lex_state = 228},
  [6268] = {.lex_state = 286},
  [6269] = {.lex_state = 228},
  [6270] = {.lex_state = 275},
  [6271] = {.lex_state = 286},
  [6272] = {.lex_state = 228},
  [6273] = {.lex_state = 240},
  [6274] = {.lex_state = 228},
  [6275] = {.lex_state = 240},
  [6276] = {.lex_state = 228},
  [6277] = {.lex_state = 383},
  [6278] = {.lex_state = 240},
  [6279] = {.lex_state = 228},
  [6280] = {.lex_state = 284},
  [6281] = {.lex_state = 383},
  [6282] = {.lex_state = 228},
  [6283] = {.lex_state = 284},
  [6284] = {.lex_state = 284},
  [6285] = {.lex_state = 284},
  [6286] = {.lex_state = 383},
  [6287] = {.lex_state = 284},
  [6288] = {.lex_state = 284},
  [6289] = {.lex_state = 284},
  [6290] = {.lex_state = 383},
  [6291] = {.lex_state = 383},
  [6292] = {.lex_state = 284},
  [6293] = {.lex_state = 284},
  [6294] = {.lex_state = 284},
  [6295] = {.lex_state = 284},
  [6296] = {.lex_state = 383},
  [6297] = {.lex_state = 383},
  [6298] = {.lex_state = 284},
  [6299] = {.lex_state = 283},
  [6300] = {.lex_state = 384},
  [6301] = {.lex_state = 384},
  [6302] = {.lex_state = 284},
  [6303] = {.lex_state = 284},
  [6304] = {.lex_state = 284},
  [6305] = {.lex_state = 284},
  [6306] = {.lex_state = 284},
  [6307] = {.lex_state = 284},
  [6308] = {.lex_state = 284},
  [6309] = {.lex_state = 284},
  [6310] = {.lex_state = 284},
  [6311] = {.lex_state = 284},
  [6312] = {.lex_state = 383},
  [6313] = {.lex_state = 284},
  [6314] = {.lex_state = 246},
  [6315] = {.lex_state = 284},
  [6316] = {.lex_state = 284},
  [6317] = {.lex_state = 284},
  [6318] = {.lex_state = 284},
  [6319] = {.lex_state = 284},
  [6320] = {.lex_state = 284},
  [6321] = {.lex_state = 284},
  [6322] = {.lex_state = 284},
  [6323] = {.lex_state = 284},
  [6324] = {.lex_state = 284},
  [6325] = {.lex_state = 284},
  [6326] = {.lex_state = 284},
  [6327] = {.lex_state = 284},
  [6328] = {.lex_state = 284},
  [6329] = {.lex_state = 284},
  [6330] = {.lex_state = 284},
  [6331] = {.lex_state = 283},
  [6332] = {.lex_state = 246},
  [6333] = {.lex_state = 283},
  [6334] = {.lex_state = 284},
  [6335] = {.lex_state = 284},
  [6336] = {.lex_state = 240},
  [6337] = {.lex_state = 383},
  [6338] = {.lex_state = 284},
  [6339] = {.lex_state = 284},
  [6340] = {.lex_state = 284},
  [6341] = {.lex_state = 284},
  [6342] = {.lex_state = 228},
  [6343] = {.lex_state = 284},
  [6344] = {.lex_state = 284},
  [6345] = {.lex_state = 246},
  [6346] = {.lex_state = 284},
  [6347] = {.lex_state = 284},
  [6348] = {.lex_state = 246},
  [6349] = {.lex_state = 284},
  [6350] = {.lex_state = 284},
  [6351] = {.lex_state = 384},
  [6352] = {.lex_state = 284},
  [6353] = {.lex_state = 384},
  [6354] = {.lex_state = 384},
  [6355] = {.lex_state = 284},
  [6356] = {.lex_state = 384},
  [6357] = {.lex_state = 240},
  [6358] = {.lex_state = 240},
  [6359] = {.lex_state = 284},
  [6360] = {.lex_state = 284},
  [6361] = {.lex_state = 284},
  [6362] = {.lex_state = 284},
  [6363] = {.lex_state = 284},
  [6364] = {.lex_state = 384},
  [6365] = {.lex_state = 240},
  [6366] = {.lex_state = 284},
  [6367] = {.lex_state = 384},
  [6368] = {.lex_state = 284},
  [6369] = {.lex_state = 383},
  [6370] = {.lex_state = 284},
  [6371] = {.lex_state = 384},
  [6372] = {.lex_state = 286},
  [6373] = {.lex_state = 384},
  [6374] = {.lex_state = 384},
  [6375] = {.lex_state = 384},
  [6376] = {.lex_state = 384},
  [6377] = {.lex_state = 384},
  [6378] = {.lex_state = 384},
  [6379] = {.lex_state = 384},
  [6380] = {.lex_state = 284},
  [6381] = {.lex_state = 384},
  [6382] = {.lex_state = 384},
  [6383] = {.lex_state = 284},
  [6384] = {.lex_state = 286},
  [6385] = {.lex_state = 384},
  [6386] = {.lex_state = 383},
  [6387] = {.lex_state = 384},
  [6388] = {.lex_state = 383},
  [6389] = {.lex_state = 283},
  [6390] = {.lex_state = 284},
  [6391] = {.lex_state = 384},
  [6392] = {.lex_state = 283},
  [6393] = {.lex_state = 384},
  [6394] = {.lex_state = 384},
  [6395] = {.lex_state = 384},
  [6396] = {.lex_state = 384},
  [6397] = {.lex_state = 284},
  [6398] = {.lex_state = 284},
  [6399] = {.lex_state = 384},
  [6400] = {.lex_state = 384},
  [6401] = {.lex_state = 384},
  [6402] = {.lex_state = 384},
  [6403] = {.lex_state = 384},
  [6404] = {.lex_state = 284},
  [6405] = {.lex_state = 384},
  [6406] = {.lex_state = 384},
  [6407] = {.lex_state = 383},
  [6408] = {.lex_state = 384},
  [6409] = {.lex_state = 384},
  [6410] = {.lex_state = 284},
  [6411] = {.lex_state = 384},
  [6412] = {.lex_state = 283},
  [6413] = {.lex_state = 383},
  [6414] = {.lex_state = 383},
  [6415] = {.lex_state = 284},
  [6416] = {.lex_state = 383},
  [6417] = {.lex_state = 383},
  [6418] = {.lex_state = 284},
  [6419] = {.lex_state = 246},
  [6420] = {.lex_state = 286},
  [6421] = {.lex_state = 246},
  [6422] = {.lex_state = 246},
  [6423] = {.lex_state = 246},
  [6424] = {.lex_state = 246},
  [6425] = {.lex_state = 246},
  [6426] = {.lex_state = 284},
  [6427] = {.lex_state = 246},
  [6428] = {.lex_state = 286},
  [6429] = {.lex_state = 246},
  [6430] = {.lex_state = 383},
  [6431] = {.lex_state = 246},
  [6432] = {.lex_state = 246},
  [6433] = {.lex_state = 246},
  [6434] = {.lex_state = 383},
  [6435] = {.lex_state = 246},
  [6436] = {.lex_state = 383},
  [6437] = {.lex_state = 383},
  [6438] = {.lex_state = 383},
  [6439] = {.lex_state = 246},
  [6440] = {.lex_state = 246},
  [6441] = {.lex_state = 246},
  [6442] = {.lex_state = 383},
  [6443] = {.lex_state = 283},
  [6444] = {.lex_state = 383},
  [6445] = {.lex_state = 246},
  [6446] = {.lex_state = 246},
  [6447] = {.lex_state = 246},
  [6448] = {.lex_state = 286},
  [6449] = {.lex_state = 246},
  [6450] = {.lex_state = 246},
  [6451] = {.lex_state = 246},
  [6452] = {.lex_state = 383},
  [6453] = {.lex_state = 246},
  [6454] = {.lex_state = 246},
  [6455] = {.lex_state = 383},
  [6456] = {.lex_state = 246},
  [6457] = {.lex_state = 383},
  [6458] = {.lex_state = 246},
  [6459] = {.lex_state = 383},
  [6460] = {.lex_state = 383},
  [6461] = {.lex_state = 246},
  [6462] = {.lex_state = 383},
  [6463] = {.lex_state = 246},
  [6464] = {.lex_state = 246},
  [6465] = {.lex_state = 383},
  [6466] = {.lex_state = 246},
  [6467] = {.lex_state = 383},
  [6468] = {.lex_state = 246},
  [6469] = {.lex_state = 383},
  [6470] = {.lex_state = 383},
  [6471] = {.lex_state = 283},
  [6472] = {.lex_state = 383},
  [6473] = {.lex_state = 246},
  [6474] = {.lex_state = 246},
  [6475] = {.lex_state = 246},
  [6476] = {.lex_state = 286},
  [6477] = {.lex_state = 246},
  [6478] = {.lex_state = 283},
  [6479] = {.lex_state = 246},
  [6480] = {.lex_state = 246},
  [6481] = {.lex_state = 246},
  [6482] = {.lex_state = 383},
  [6483] = {.lex_state = 383},
  [6484] = {.lex_state = 383},
  [6485] = {.lex_state = 246},
  [6486] = {.lex_state = 246},
  [6487] = {.lex_state = 246},
  [6488] = {.lex_state = 246},
  [6489] = {.lex_state = 246},
  [6490] = {.lex_state = 246},
  [6491] = {.lex_state = 246},
  [6492] = {.lex_state = 383},
  [6493] = {.lex_state = 383},
  [6494] = {.lex_state = 246},
  [6495] = {.lex_state = 286},
  [6496] = {.lex_state = 246},
  [6497] = {.lex_state = 246},
  [6498] = {.lex_state = 383},
  [6499] = {.lex_state = 246},
  [6500] = {.lex_state = 383},
  [6501] = {.lex_state = 383},
  [6502] = {.lex_state = 383},
  [6503] = {.lex_state = 246},
  [6504] = {.lex_state = 246},
  [6505] = {.lex_state = 286},
  [6506] = {.lex_state = 383},
  [6507] = {.lex_state = 246},
  [6508] = {.lex_state = 383},
  [6509] = {.lex_state = 246},
  [6510] = {.lex_state = 246},
  [6511] = {.lex_state = 246},
  [6512] = {.lex_state = 383},
  [6513] = {.lex_state = 246},
  [6514] = {.lex_state = 383},
  [6515] = {.lex_state = 286},
  [6516] = {.lex_state = 383},
  [6517] = {.lex_state = 246},
  [6518] = {.lex_state = 383},
  [6519] = {.lex_state = 246},
  [6520] = {.lex_state = 383},
  [6521] = {.lex_state = 246},
  [6522] = {.lex_state = 232},
  [6523] = {.lex_state = 283},
  [6524] = {.lex_state = 383},
  [6525] = {.lex_state = 383},
  [6526] = {.lex_state = 246},
  [6527] = {.lex_state = 286},
  [6528] = {.lex_state = 246},
  [6529] = {.lex_state = 286},
  [6530] = {.lex_state = 383},
  [6531] = {.lex_state = 246},
  [6532] = {.lex_state = 383},
  [6533] = {.lex_state = 246},
  [6534] = {.lex_state = 246},
  [6535] = {.lex_state = 246},
  [6536] = {.lex_state = 383},
  [6537] = {.lex_state = 286},
  [6538] = {.lex_state = 246},
  [6539] = {.lex_state = 383},
  [6540] = {.lex_state = 246},
  [6541] = {.lex_state = 246},
  [6542] = {.lex_state = 383},
  [6543] = {.lex_state = 246},
  [6544] = {.lex_state = 246},
  [6545] = {.lex_state = 383},
  [6546] = {.lex_state = 246},
  [6547] = {.lex_state = 383},
  [6548] = {.lex_state = 246},
  [6549] = {.lex_state = 246},
  [6550] = {.lex_state = 383},
  [6551] = {.lex_state = 246},
  [6552] = {.lex_state = 383},
  [6553] = {.lex_state = 246},
  [6554] = {.lex_state = 246},
  [6555] = {.lex_state = 246},
  [6556] = {.lex_state = 246},
  [6557] = {.lex_state = 246},
  [6558] = {.lex_state = 246},
  [6559] = {.lex_state = 286},
  [6560] = {.lex_state = 383},
  [6561] = {.lex_state = 383},
  [6562] = {.lex_state = 246},
  [6563] = {.lex_state = 232},
  [6564] = {.lex_state = 246},
  [6565] = {.lex_state = 246},
  [6566] = {.lex_state = 286},
  [6567] = {.lex_state = 286},
  [6568] = {.lex_state = 383},
  [6569] = {.lex_state = 246},
  [6570] = {.lex_state = 246},
  [6571] = {.lex_state = 246},
  [6572] = {.lex_state = 286},
  [6573] = {.lex_state = 383},
  [6574] = {.lex_state = 246},
  [6575] = {.lex_state = 246},
  [6576] = {.lex_state = 283},
  [6577] = {.lex_state = 283},
  [6578] = {.lex_state = 240},
  [6579] = {.lex_state = 246},
  [6580] = {.lex_state = 283},
  [6581] = {.lex_state = 283},
  [6582] = {.lex_state = 246},
  [6583] = {.lex_state = 246},
  [6584] = {.lex_state = 246},
  [6585] = {.lex_state = 246},
  [6586] = {.lex_state = 240},
  [6587] = {.lex_state = 240},
  [6588] = {.lex_state = 283},
  [6589] = {.lex_state = 246},
  [6590] = {.lex_state = 283},
  [6591] = {.lex_state = 283},
  [6592] = {.lex_state = 246},
  [6593] = {.lex_state = 283},
  [6594] = {.lex_state = 246},
  [6595] = {.lex_state = 246},
  [6596] = {.lex_state = 246},
  [6597] = {.lex_state = 240},
  [6598] = {.lex_state = 240},
  [6599] = {.lex_state = 246},
  [6600] = {.lex_state = 246},
  [6601] = {.lex_state = 246},
  [6602] = {.lex_state = 283},
  [6603] = {.lex_state = 246},
  [6604] = {.lex_state = 246},
  [6605] = {.lex_state = 246},
  [6606] = {.lex_state = 246},
  [6607] = {.lex_state = 283},
  [6608] = {.lex_state = 283},
  [6609] = {.lex_state = 246},
  [6610] = {.lex_state = 283},
  [6611] = {.lex_state = 246},
  [6612] = {.lex_state = 246},
  [6613] = {.lex_state = 284},
  [6614] = {.lex_state = 246},
  [6615] = {.lex_state = 286},
  [6616] = {.lex_state = 384},
  [6617] = {.lex_state = 246},
  [6618] = {.lex_state = 246},
  [6619] = {.lex_state = 286},
  [6620] = {.lex_state = 286},
  [6621] = {.lex_state = 284},
  [6622] = {.lex_state = 286},
  [6623] = {.lex_state = 284},
  [6624] = {.lex_state = 246},
  [6625] = {.lex_state = 286},
  [6626] = {.lex_state = 286},
  [6627] = {.lex_state = 284},
  [6628] = {.lex_state = 283},
  [6629] = {.lex_state = 284},
  [6630] = {.lex_state = 284},
  [6631] = {.lex_state = 284},
  [6632] = {.lex_state = 284},
  [6633] = {.lex_state = 284},
  [6634] = {.lex_state = 284},
  [6635] = {.lex_state = 284},
  [6636] = {.lex_state = 284},
  [6637] = {.lex_state = 284},
  [6638] = {.lex_state = 286},
  [6639] = {.lex_state = 286},
  [6640] = {.lex_state = 286},
  [6641] = {.lex_state = 286},
  [6642] = {.lex_state = 286},
  [6643] = {.lex_state = 286},
  [6644] = {.lex_state = 284},
  [6645] = {.lex_state = 286},
  [6646] = {.lex_state = 286},
  [6647] = {.lex_state = 286},
  [6648] = {.lex_state = 286},
  [6649] = {.lex_state = 286},
  [6650] = {.lex_state = 286},
  [6651] = {.lex_state = 283},
  [6652] = {.lex_state = 246},
  [6653] = {.lex_state = 382},
  [6654] = {.lex_state = 383},
  [6655] = {.lex_state = 382},
  [6656] = {.lex_state = 382},
  [6657] = {.lex_state = 246},
  [6658] = {.lex_state = 246},
  [6659] = {.lex_state = 284},
  [6660] = {.lex_state = 382},
  [6661] = {.lex_state = 283},
  [6662] = {.lex_state = 284},
  [6663] = {.lex_state = 284},
  [6664] = {.lex_state = 246},
  [6665] = {.lex_state = 382},
  [6666] = {.lex_state = 284},
  [6667] = {.lex_state = 382},
  [6668] = {.lex_state = 382},
  [6669] = {.lex_state = 284},
  [6670] = {.lex_state = 283},
  [6671] = {.lex_state = 283},
  [6672] = {.lex_state = 284},
  [6673] = {.lex_state = 283},
  [6674] = {.lex_state = 284},
  [6675] = {.lex_state = 283},
  [6676] = {.lex_state = 284},
  [6677] = {.lex_state = 286},
  [6678] = {.lex_state = 382},
  [6679] = {.lex_state = 382},
  [6680] = {.lex_state = 284},
  [6681] = {.lex_state = 246},
  [6682] = {.lex_state = 284},
  [6683] = {.lex_state = 246},
  [6684] = {.lex_state = 284},
  [6685] = {.lex_state = 284},
  [6686] = {.lex_state = 384},
  [6687] = {.lex_state = 228},
  [6688] = {.lex_state = 286},
  [6689] = {.lex_state = 283},
  [6690] = {.lex_state = 283},
  [6691] = {.lex_state = 283},
  [6692] = {.lex_state = 283},
  [6693] = {.lex_state = 286},
  [6694] = {.lex_state = 283},
  [6695] = {.lex_state = 286},
  [6696] = {.lex_state = 286},
  [6697] = {.lex_state = 284},
  [6698] = {.lex_state = 286},
  [6699] = {.lex_state = 383},
  [6700] = {.lex_state = 286},
  [6701] = {.lex_state = 286},
  [6702] = {.lex_state = 286},
  [6703] = {.lex_state = 283},
  [6704] = {.lex_state = 286},
  [6705] = {.lex_state = 286},
  [6706] = {.lex_state = 286},
  [6707] = {.lex_state = 286},
  [6708] = {.lex_state = 286},
  [6709] = {.lex_state = 284},
  [6710] = {.lex_state = 284},
  [6711] = {.lex_state = 284},
  [6712] = {.lex_state = 284},
  [6713] = {.lex_state = 284},
  [6714] = {.lex_state = 284},
  [6715] = {.lex_state = 284},
  [6716] = {.lex_state = 382},
  [6717] = {.lex_state = 382},
  [6718] = {.lex_state = 286},
  [6719] = {.lex_state = 286},
  [6720] = {.lex_state = 286},
  [6721] = {.lex_state = 382},
  [6722] = {.lex_state = 382},
  [6723] = {.lex_state = 382},
  [6724] = {.lex_state = 254},
  [6725] = {.lex_state = 228},
  [6726] = {.lex_state = 382},
  [6727] = {.lex_state = 382},
  [6728] = {.lex_state = 382},
  [6729] = {.lex_state = 286},
  [6730] = {.lex_state = 286},
  [6731] = {.lex_state = 382},
  [6732] = {.lex_state = 382},
  [6733] = {.lex_state = 228},
  [6734] = {.lex_state = 382},
  [6735] = {.lex_state = 382},
  [6736] = {.lex_state = 382},
  [6737] = {.lex_state = 382},
  [6738] = {.lex_state = 382},
  [6739] = {.lex_state = 382},
  [6740] = {.lex_state = 382},
  [6741] = {.lex_state = 382},
  [6742] = {.lex_state = 246},
  [6743] = {.lex_state = 246},
  [6744] = {.lex_state = 246},
  [6745] = {.lex_state = 382},
  [6746] = {.lex_state = 382},
  [6747] = {.lex_state = 382},
  [6748] = {.lex_state = 382},
  [6749] = {.lex_state = 382},
  [6750] = {.lex_state = 382},
  [6751] = {.lex_state = 246},
  [6752] = {.lex_state = 382},
  [6753] = {.lex_state = 246},
  [6754] = {.lex_state = 382},
  [6755] = {.lex_state = 382},
  [6756] = {.lex_state = 382},
  [6757] = {.lex_state = 382},
  [6758] = {.lex_state = 382},
  [6759] = {.lex_state = 382},
  [6760] = {.lex_state = 246},
  [6761] = {.lex_state = 382},
  [6762] = {.lex_state = 382},
  [6763] = {.lex_state = 382},
  [6764] = {.lex_state = 228},
  [6765] = {.lex_state = 382},
  [6766] = {.lex_state = 382},
  [6767] = {.lex_state = 382},
  [6768] = {.lex_state = 382},
  [6769] = {.lex_state = 382},
  [6770] = {.lex_state = 246},
  [6771] = {.lex_state = 246},
  [6772] = {.lex_state = 246},
  [6773] = {.lex_state = 246},
  [6774] = {.lex_state = 246},
  [6775] = {.lex_state = 246},
  [6776] = {.lex_state = 246},
  [6777] = {.lex_state = 246},
  [6778] = {.lex_state = 246},
  [6779] = {.lex_state = 254},
  [6780] = {.lex_state = 246},
  [6781] = {.lex_state = 246},
  [6782] = {.lex_state = 246},
  [6783] = {.lex_state = 246},
  [6784] = {.lex_state = 246},
  [6785] = {.lex_state = 246},
  [6786] = {.lex_state = 246},
  [6787] = {.lex_state = 246},
  [6788] = {.lex_state = 246},
  [6789] = {.lex_state = 246},
  [6790] = {.lex_state = 246},
  [6791] = {.lex_state = 246},
  [6792] = {.lex_state = 246},
  [6793] = {.lex_state = 246},
  [6794] = {.lex_state = 246},
  [6795] = {.lex_state = 246},
  [6796] = {.lex_state = 246},
  [6797] = {.lex_state = 246},
  [6798] = {.lex_state = 246},
  [6799] = {.lex_state = 246},
  [6800] = {.lex_state = 246},
  [6801] = {.lex_state = 246},
  [6802] = {.lex_state = 246},
  [6803] = {.lex_state = 246},
  [6804] = {.lex_state = 246},
  [6805] = {.lex_state = 207},
  [6806] = {.lex_state = 246},
  [6807] = {.lex_state = 246},
  [6808] = {.lex_state = 246},
  [6809] = {.lex_state = 246},
  [6810] = {.lex_state = 246},
  [6811] = {.lex_state = 246},
  [6812] = {.lex_state = 246},
  [6813] = {.lex_state = 246},
  [6814] = {.lex_state = 246},
  [6815] = {.lex_state = 207},
  [6816] = {.lex_state = 246},
  [6817] = {.lex_state = 246},
  [6818] = {.lex_state = 246},
  [6819] = {.lex_state = 246},
  [6820] = {.lex_state = 246},
  [6821] = {.lex_state = 246},
  [6822] = {.lex_state = 246},
  [6823] = {.lex_state = 246},
  [6824] = {.lex_state = 246},
  [6825] = {.lex_state = 246},
  [6826] = {.lex_state = 246},
  [6827] = {.lex_state = 246},
  [6828] = {.lex_state = 384},
  [6829] = {.lex_state = 246},
  [6830] = {.lex_state = 246},
  [6831] = {.lex_state = 246},
  [6832] = {.lex_state = 246},
  [6833] = {.lex_state = 246},
  [6834] = {.lex_state = 246},
  [6835] = {.lex_state = 113},
  [6836] = {.lex_state = 246},
  [6837] = {.lex_state = 246},
  [6838] = {.lex_state = 246},
  [6839] = {.lex_state = 246},
  [6840] = {.lex_state = 246},
  [6841] = {.lex_state = 246},
  [6842] = {.lex_state = 246},
  [6843] = {.lex_state = 246},
  [6844] = {.lex_state = 246},
  [6845] = {.lex_state = 246},
  [6846] = {.lex_state = 246},
  [6847] = {.lex_state = 254},
  [6848] = {.lex_state = 246},
  [6849] = {.lex_state = 246},
  [6850] = {.lex_state = 246},
  [6851] = {.lex_state = 246},
  [6852] = {.lex_state = 246},
  [6853] = {.lex_state = 246},
  [6854] = {.lex_state = 246},
  [6855] = {.lex_state = 246},
  [6856] = {.lex_state = 246},
  [6857] = {.lex_state = 246},
  [6858] = {.lex_state = 246},
  [6859] = {.lex_state = 286},
  [6860] = {.lex_state = 246},
  [6861] = {.lex_state = 246},
  [6862] = {.lex_state = 228},
  [6863] = {.lex_state = 207},
  [6864] = {.lex_state = 254},
  [6865] = {.lex_state = 246},
  [6866] = {.lex_state = 246},
  [6867] = {.lex_state = 246},
  [6868] = {.lex_state = 246},
  [6869] = {.lex_state = 246},
  [6870] = {.lex_state = 246},
  [6871] = {.lex_state = 246},
  [6872] = {.lex_state = 246},
  [6873] = {.lex_state = 246},
  [6874] = {.lex_state = 246},
  [6875] = {.lex_state = 246},
  [6876] = {.lex_state = 246},
  [6877] = {.lex_state = 246},
  [6878] = {.lex_state = 246},
  [6879] = {.lex_state = 246},
  [6880] = {.lex_state = 207},
  [6881] = {.lex_state = 207},
  [6882] = {.lex_state = 254},
  [6883] = {.lex_state = 207},
  [6884] = {.lex_state = 254},
  [6885] = {.lex_state = 228},
  [6886] = {.lex_state = 228},
  [6887] = {.lex_state = 228},
  [6888] = {.lex_state = 207},
  [6889] = {.lex_state = 207},
  [6890] = {.lex_state = 254},
  [6891] = {.lex_state = 254},
  [6892] = {.lex_state = 207},
  [6893] = {.lex_state = 207},
  [6894] = {.lex_state = 228},
  [6895] = {.lex_state = 383},
  [6896] = {.lex_state = 207},
  [6897] = {.lex_state = 254},
  [6898] = {.lex_state = 286},
  [6899] = {.lex_state = 228},
  [6900] = {.lex_state = 207},
  [6901] = {.lex_state = 207},
  [6902] = {.lex_state = 228},
  [6903] = {.lex_state = 228},
  [6904] = {.lex_state = 228},
  [6905] = {.lex_state = 283},
  [6906] = {.lex_state = 228},
  [6907] = {.lex_state = 286},
  [6908] = {.lex_state = 286},
  [6909] = {.lex_state = 254},
  [6910] = {.lex_state = 207},
  [6911] = {.lex_state = 207},
  [6912] = {.lex_state = 207},
  [6913] = {.lex_state = 207},
  [6914] = {.lex_state = 228},
  [6915] = {.lex_state = 228},
  [6916] = {.lex_state = 286},
  [6917] = {.lex_state = 254},
  [6918] = {.lex_state = 207},
  [6919] = {.lex_state = 207},
  [6920] = {.lex_state = 254},
  [6921] = {.lex_state = 207},
  [6922] = {.lex_state = 283},
  [6923] = {.lex_state = 207},
  [6924] = {.lex_state = 207},
  [6925] = {.lex_state = 254},
  [6926] = {.lex_state = 254},
  [6927] = {.lex_state = 207},
  [6928] = {.lex_state = 207},
  [6929] = {.lex_state = 207},
  [6930] = {.lex_state = 207},
  [6931] = {.lex_state = 228},
  [6932] = {.lex_state = 228},
  [6933] = {.lex_state = 254},
  [6934] = {.lex_state = 254},
  [6935] = {.lex_state = 286},
  [6936] = {.lex_state = 254},
  [6937] = {.lex_state = 207},
  [6938] = {.lex_state = 207},
  [6939] = {.lex_state = 207},
  [6940] = {.lex_state = 207},
  [6941] = {.lex_state = 207},
  [6942] = {.lex_state = 254},
  [6943] = {.lex_state = 207},
  [6944] = {.lex_state = 286},
  [6945] = {.lex_state = 207},
  [6946] = {.lex_state = 207},
  [6947] = {.lex_state = 228},
  [6948] = {.lex_state = 240},
  [6949] = {.lex_state = 207},
  [6950] = {.lex_state = 228},
  [6951] = {.lex_state = 254},
  [6952] = {.lex_state = 254},
  [6953] = {.lex_state = 286},
  [6954] = {.lex_state = 286},
  [6955] = {.lex_state = 207},
  [6956] = {.lex_state = 286},
  [6957] = {.lex_state = 207},
  [6958] = {.lex_state = 286},
  [6959] = {.lex_state = 207},
  [6960] = {.lex_state = 207},
  [6961] = {.lex_state = 207},
  [6962] = {.lex_state = 228},
  [6963] = {.lex_state = 207},
  [6964] = {.lex_state = 254},
  [6965] = {.lex_state = 207},
  [6966] = {.lex_state = 254},
  [6967] = {.lex_state = 228},
  [6968] = {.lex_state = 207},
  [6969] = {.lex_state = 254},
  [6970] = {.lex_state = 228},
  [6971] = {.lex_state = 207},
  [6972] = {.lex_state = 254},
  [6973] = {.lex_state = 286},
  [6974] = {.lex_state = 228},
  [6975] = {.lex_state = 113},
  [6976] = {.lex_state = 286},
  [6977] = {.lex_state = 286},
  [6978] = {.lex_state = 286},
  [6979] = {.lex_state = 286},
  [6980] = {.lex_state = 254},
  [6981] = {.lex_state = 286},
  [6982] = {.lex_state = 246},
  [6983] = {.lex_state = 286},
  [6984] = {.lex_state = 286},
  [6985] = {.lex_state = 286},
  [6986] = {.lex_state = 286},
  [6987] = {.lex_state = 113},
  [6988] = {.lex_state = 113},
  [6989] = {.lex_state = 286},
  [6990] = {.lex_state = 113},
  [6991] = {.lex_state = 286},
  [6992] = {.lex_state = 113},
  [6993] = {.lex_state = 286},
  [6994] = {.lex_state = 286},
  [6995] = {.lex_state = 286},
  [6996] = {.lex_state = 246},
  [6997] = {.lex_state = 286},
  [6998] = {.lex_state = 113},
  [6999] = {.lex_state = 246},
  [7000] = {.lex_state = 286},
  [7001] = {.lex_state = 275},
  [7002] = {.lex_state = 113},
  [7003] = {.lex_state = 228},
  [7004] = {.lex_state = 286},
  [7005] = {.lex_state = 286},
  [7006] = {.lex_state = 286},
  [7007] = {.lex_state = 113},
  [7008] = {.lex_state = 286},
  [7009] = {.lex_state = 246},
  [7010] = {.lex_state = 286},
  [7011] = {.lex_state = 286},
  [7012] = {.lex_state = 246},
  [7013] = {.lex_state = 113},
  [7014] = {.lex_state = 113},
  [7015] = {.lex_state = 286},
  [7016] = {.lex_state = 254},
  [7017] = {.lex_state = 113},
  [7018] = {.lex_state = 246},
  [7019] = {.lex_state = 113},
  [7020] = {.lex_state = 383},
  [7021] = {.lex_state = 113},
  [7022] = {.lex_state = 228},
  [7023] = {.lex_state = 113},
  [7024] = {.lex_state = 228},
  [7025] = {.lex_state = 113},
  [7026] = {.lex_state = 286},
  [7027] = {.lex_state = 113},
  [7028] = {.lex_state = 113},
  [7029] = {.lex_state = 113},
  [7030] = {.lex_state = 286},
  [7031] = {.lex_state = 113},
  [7032] = {.lex_state = 113},
  [7033] = {.lex_state = 113},
  [7034] = {.lex_state = 113},
  [7035] = {.lex_state = 286},
  [7036] = {.lex_state = 113},
  [7037] = {.lex_state = 246},
  [7038] = {.lex_state = 286},
  [7039] = {.lex_state = 113},
  [7040] = {.lex_state = 113},
  [7041] = {.lex_state = 113},
  [7042] = {.lex_state = 113},
  [7043] = {.lex_state = 113},
  [7044] = {.lex_state = 113},
  [7045] = {.lex_state = 113},
  [7046] = {.lex_state = 286},
  [7047] = {.lex_state = 286},
  [7048] = {.lex_state = 286},
  [7049] = {.lex_state = 286},
  [7050] = {.lex_state = 286},
  [7051] = {.lex_state = 246},
  [7052] = {.lex_state = 286},
  [7053] = {.lex_state = 246},
  [7054] = {.lex_state = 113},
  [7055] = {.lex_state = 113},
  [7056] = {.lex_state = 246},
  [7057] = {.lex_state = 246},
  [7058] = {.lex_state = 228},
  [7059] = {.lex_state = 113},
  [7060] = {.lex_state = 286},
  [7061] = {.lex_state = 113},
  [7062] = {.lex_state = 286},
  [7063] = {.lex_state = 286},
  [7064] = {.lex_state = 286},
  [7065] = {.lex_state = 286},
  [7066] = {.lex_state = 286},
  [7067] = {.lex_state = 113},
  [7068] = {.lex_state = 240},
  [7069] = {.lex_state = 286},
  [7070] = {.lex_state = 228},
  [7071] = {.lex_state = 286},
  [7072] = {.lex_state = 286},
  [7073] = {.lex_state = 286},
  [7074] = {.lex_state = 286},
  [7075] = {.lex_state = 286},
  [7076] = {.lex_state = 286},
  [7077] = {.lex_state = 286},
  [7078] = {.lex_state = 286},
  [7079] = {.lex_state = 286},
  [7080] = {.lex_state = 286},
  [7081] = {.lex_state = 228},
  [7082] = {.lex_state = 286},
  [7083] = {.lex_state = 286},
  [7084] = {.lex_state = 286},
  [7085] = {.lex_state = 286},
  [7086] = {.lex_state = 286},
  [7087] = {.lex_state = 284},
  [7088] = {.lex_state = 384},
  [7089] = {.lex_state = 205},
  [7090] = {.lex_state = 284},
  [7091] = {.lex_state = 240},
  [7092] = {.lex_state = 246},
  [7093] = {.lex_state = 284},
  [7094] = {.lex_state = 284},
  [7095] = {.lex_state = 240},
  [7096] = {.lex_state = 205},
  [7097] = {.lex_state = 283},
  [7098] = {.lex_state = 286},
  [7099] = {.lex_state = 384},
  [7100] = {.lex_state = 286},
  [7101] = {.lex_state = 284},
  [7102] = {.lex_state = 283},
  [7103] = {.lex_state = 384},
  [7104] = {.lex_state = 284},
  [7105] = {.lex_state = 205},
  [7106] = {.lex_state = 284},
  [7107] = {.lex_state = 284},
  [7108] = {.lex_state = 246},
  [7109] = {.lex_state = 228},
  [7110] = {.lex_state = 283},
  [7111] = {.lex_state = 384},
  [7112] = {.lex_state = 384},
  [7113] = {.lex_state = 240},
  [7114] = {.lex_state = 384},
  [7115] = {.lex_state = 228},
  [7116] = {.lex_state = 240},
  [7117] = {.lex_state = 384},
  [7118] = {.lex_state = 384},
  [7119] = {.lex_state = 384},
  [7120] = {.lex_state = 384},
  [7121] = {.lex_state = 284},
  [7122] = {.lex_state = 228},
  [7123] = {.lex_state = 205},
  [7124] = {.lex_state = 205},
  [7125] = {.lex_state = 240},
  [7126] = {.lex_state = 246},
  [7127] = {.lex_state = 384},
  [7128] = {.lex_state = 384},
  [7129] = {.lex_state = 384},
  [7130] = {.lex_state = 286},
  [7131] = {.lex_state = 384},
  [7132] = {.lex_state = 240},
  [7133] = {.lex_state = 384},
  [7134] = {.lex_state = 205},
  [7135] = {.lex_state = 384},
  [7136] = {.lex_state = 384},
  [7137] = {.lex_state = 284},
  [7138] = {.lex_state = 279},
  [7139] = {.lex_state = 384},
  [7140] = {.lex_state = 286},
  [7141] = {.lex_state = 384},
  [7142] = {.lex_state = 286},
  [7143] = {.lex_state = 246},
  [7144] = {.lex_state = 205},
  [7145] = {.lex_state = 284},
  [7146] = {.lex_state = 240},
  [7147] = {.lex_state = 246},
  [7148] = {.lex_state = 284},
  [7149] = {.lex_state = 384},
  [7150] = {.lex_state = 284},
  [7151] = {.lex_state = 284},
  [7152] = {.lex_state = 284},
  [7153] = {.lex_state = 384},
  [7154] = {.lex_state = 228},
  [7155] = {.lex_state = 284},
  [7156] = {.lex_state = 284},
  [7157] = {.lex_state = 240},
  [7158] = {.lex_state = 384},
  [7159] = {.lex_state = 286},
  [7160] = {.lex_state = 205},
  [7161] = {.lex_state = 240},
  [7162] = {.lex_state = 384},
  [7163] = {.lex_state = 383},
  [7164] = {.lex_state = 246},
  [7165] = {.lex_state = 384},
  [7166] = {.lex_state = 279},
  [7167] = {.lex_state = 279},
  [7168] = {.lex_state = 384},
  [7169] = {.lex_state = 284},
  [7170] = {.lex_state = 286},
  [7171] = {.lex_state = 240},
  [7172] = {.lex_state = 240},
  [7173] = {.lex_state = 286},
  [7174] = {.lex_state = 286},
  [7175] = {.lex_state = 279},
  [7176] = {.lex_state = 384},
  [7177] = {.lex_state = 246},
  [7178] = {.lex_state = 284},
  [7179] = {.lex_state = 384},
  [7180] = {.lex_state = 284},
  [7181] = {.lex_state = 284},
  [7182] = {.lex_state = 284},
  [7183] = {.lex_state = 205},
  [7184] = {.lex_state = 205},
  [7185] = {.lex_state = 205},
  [7186] = {.lex_state = 240},
  [7187] = {.lex_state = 286},
  [7188] = {.lex_state = 384},
  [7189] = {.lex_state = 384},
  [7190] = {.lex_state = 205},
  [7191] = {.lex_state = 284},
  [7192] = {.lex_state = 284},
  [7193] = {.lex_state = 205},
  [7194] = {.lex_state = 384},
  [7195] = {.lex_state = 384},
  [7196] = {.lex_state = 284},
  [7197] = {.lex_state = 284},
  [7198] = {.lex_state = 284},
  [7199] = {.lex_state = 284},
  [7200] = {.lex_state = 284},
  [7201] = {.lex_state = 384},
  [7202] = {.lex_state = 384},
  [7203] = {.lex_state = 286},
  [7204] = {.lex_state = 384},
  [7205] = {.lex_state = 240},
  [7206] = {.lex_state = 284},
  [7207] = {.lex_state = 286},
  [7208] = {.lex_state = 284},
  [7209] = {.lex_state = 284},
  [7210] = {.lex_state = 286},
  [7211] = {.lex_state = 286},
  [7212] = {.lex_state = 384},
  [7213] = {.lex_state = 384},
  [7214] = {.lex_state = 384},
  [7215] = {.lex_state = 284},
  [7216] = {.lex_state = 284},
  [7217] = {.lex_state = 284},
  [7218] = {.lex_state = 284},
  [7219] = {.lex_state = 384},
  [7220] = {.lex_state = 284},
  [7221] = {.lex_state = 284},
  [7222] = {.lex_state = 240},
  [7223] = {.lex_state = 286},
  [7224] = {.lex_state = 284},
  [7225] = {.lex_state = 284},
  [7226] = {.lex_state = 286},
  [7227] = {.lex_state = 286},
  [7228] = {.lex_state = 284},
  [7229] = {.lex_state = 286},
  [7230] = {.lex_state = 284},
  [7231] = {.lex_state = 284},
  [7232] = {.lex_state = 284},
  [7233] = {.lex_state = 284},
  [7234] = {.lex_state = 384},
  [7235] = {.lex_state = 284},
  [7236] = {.lex_state = 284},
  [7237] = {.lex_state = 284},
  [7238] = {.lex_state = 205},
  [7239] = {.lex_state = 286},
  [7240] = {.lex_state = 286},
  [7241] = {.lex_state = 284},
  [7242] = {.lex_state = 246},
  [7243] = {.lex_state = 286},
  [7244] = {.lex_state = 286},
  [7245] = {.lex_state = 286},
  [7246] = {.lex_state = 383},
  [7247] = {.lex_state = 286},
  [7248] = {.lex_state = 286},
  [7249] = {.lex_state = 246},
  [7250] = {.lex_state = 286},
  [7251] = {.lex_state = 236},
  [7252] = {.lex_state = 224},
  [7253] = {.lex_state = 224},
  [7254] = {.lex_state = 205},
  [7255] = {.lex_state = 286},
  [7256] = {.lex_state = 236},
  [7257] = {.lex_state = 286},
  [7258] = {.lex_state = 286},
  [7259] = {.lex_state = 236},
  [7260] = {.lex_state = 286},
  [7261] = {.lex_state = 286},
  [7262] = {.lex_state = 286},
  [7263] = {.lex_state = 205},
  [7264] = {.lex_state = 224},
  [7265] = {.lex_state = 208},
  [7266] = {.lex_state = 286},
  [7267] = {.lex_state = 205},
  [7268] = {.lex_state = 286},
  [7269] = {.lex_state = 224},
  [7270] = {.lex_state = 286},
  [7271] = {.lex_state = 246},
  [7272] = {.lex_state = 286},
  [7273] = {.lex_state = 286},
  [7274] = {.lex_state = 286},
  [7275] = {.lex_state = 286},
  [7276] = {.lex_state = 246},
  [7277] = {.lex_state = 224},
  [7278] = {.lex_state = 286},
  [7279] = {.lex_state = 246},
  [7280] = {.lex_state = 286},
  [7281] = {.lex_state = 224},
  [7282] = {.lex_state = 286},
  [7283] = {.lex_state = 286},
  [7284] = {.lex_state = 205},
  [7285] = {.lex_state = 286},
  [7286] = {.lex_state = 224},
  [7287] = {.lex_state = 286},
  [7288] = {.lex_state = 286},
  [7289] = {.lex_state = 383},
  [7290] = {.lex_state = 224},
  [7291] = {.lex_state = 286},
  [7292] = {.lex_state = 224},
  [7293] = {.lex_state = 286},
  [7294] = {.lex_state = 286},
  [7295] = {.lex_state = 224},
  [7296] = {.lex_state = 383},
  [7297] = {.lex_state = 205},
  [7298] = {.lex_state = 205},
  [7299] = {.lex_state = 246},
  [7300] = {.lex_state = 286},
  [7301] = {.lex_state = 236},
  [7302] = {.lex_state = 286},
  [7303] = {.lex_state = 224},
  [7304] = {.lex_state = 236},
  [7305] = {.lex_state = 286},
  [7306] = {.lex_state = 205},
  [7307] = {.lex_state = 286},
  [7308] = {.lex_state = 383},
  [7309] = {.lex_state = 224},
  [7310] = {.lex_state = 286},
  [7311] = {.lex_state = 224},
  [7312] = {.lex_state = 224},
  [7313] = {.lex_state = 383},
  [7314] = {.lex_state = 205},
  [7315] = {.lex_state = 286},
  [7316] = {.lex_state = 286},
  [7317] = {.lex_state = 383},
  [7318] = {.lex_state = 286},
  [7319] = {.lex_state = 286},
  [7320] = {.lex_state = 224},
  [7321] = {.lex_state = 383},
  [7322] = {.lex_state = 383},
  [7323] = {.lex_state = 286},
  [7324] = {.lex_state = 286},
  [7325] = {.lex_state = 205},
  [7326] = {.lex_state = 205},
  [7327] = {.lex_state = 286},
  [7328] = {.lex_state = 286},
  [7329] = {.lex_state = 286},
  [7330] = {.lex_state = 205},
  [7331] = {.lex_state = 236},
  [7332] = {.lex_state = 224},
  [7333] = {.lex_state = 286},
  [7334] = {.lex_state = 286},
  [7335] = {.lex_state = 286},
  [7336] = {.lex_state = 236},
  [7337] = {.lex_state = 224},
  [7338] = {.lex_state = 224},
  [7339] = {.lex_state = 205},
  [7340] = {.lex_state = 246},
  [7341] = {.lex_state = 286},
  [7342] = {.lex_state = 236},
  [7343] = {.lex_state = 286},
  [7344] = {.lex_state = 233},
  [7345] = {.lex_state = 286},
  [7346] = {.lex_state = 286},
  [7347] = {.lex_state = 286},
  [7348] = {.lex_state = 286},
  [7349] = {.lex_state = 286},
  [7350] = {.lex_state = 224},
  [7351] = {.lex_state = 286},
  [7352] = {.lex_state = 286},
  [7353] = {.lex_state = 286},
  [7354] = {.lex_state = 224},
  [7355] = {.lex_state = 236},
  [7356] = {.lex_state = 384},
  [7357] = {.lex_state = 236},
  [7358] = {.lex_state = 384},
  [7359] = {.lex_state = 236},
  [7360] = {.lex_state = 384},
  [7361] = {.lex_state = 384},
  [7362] = {.lex_state = 236},
  [7363] = {.lex_state = 246},
  [7364] = {.lex_state = 246},
  [7365] = {.lex_state = 283},
  [7366] = {.lex_state = 384},
  [7367] = {.lex_state = 384},
  [7368] = {.lex_state = 236},
  [7369] = {.lex_state = 384},
  [7370] = {.lex_state = 286},
  [7371] = {.lex_state = 232},
  [7372] = {.lex_state = 236},
  [7373] = {.lex_state = 236},
  [7374] = {.lex_state = 246},
  [7375] = {.lex_state = 224},
  [7376] = {.lex_state = 246},
  [7377] = {.lex_state = 236},
  [7378] = {.lex_state = 246},
  [7379] = {.lex_state = 267},
  [7380] = {.lex_state = 246},
  [7381] = {.lex_state = 236},
  [7382] = {.lex_state = 385},
  [7383] = {.lex_state = 246},
  [7384] = {.lex_state = 384},
  [7385] = {.lex_state = 224},
  [7386] = {.lex_state = 246},
  [7387] = {.lex_state = 224},
  [7388] = {.lex_state = 286},
  [7389] = {.lex_state = 236},
  [7390] = {.lex_state = 246},
  [7391] = {.lex_state = 236},
  [7392] = {.lex_state = 384},
  [7393] = {.lex_state = 384},
  [7394] = {.lex_state = 384},
  [7395] = {.lex_state = 384},
  [7396] = {.lex_state = 384},
  [7397] = {.lex_state = 384},
  [7398] = {.lex_state = 279},
  [7399] = {.lex_state = 246},
  [7400] = {.lex_state = 224},
  [7401] = {.lex_state = 279},
  [7402] = {.lex_state = 384},
  [7403] = {.lex_state = 246},
  [7404] = {.lex_state = 384},
  [7405] = {.lex_state = 267},
  [7406] = {.lex_state = 267},
  [7407] = {.lex_state = 286},
  [7408] = {.lex_state = 246},
  [7409] = {.lex_state = 246},
  [7410] = {.lex_state = 283},
  [7411] = {.lex_state = 267},
  [7412] = {.lex_state = 224},
  [7413] = {.lex_state = 267},
  [7414] = {.lex_state = 268},
  [7415] = {.lex_state = 268},
  [7416] = {.lex_state = 268},
  [7417] = {.lex_state = 268},
  [7418] = {.lex_state = 246},
  [7419] = {.lex_state = 246},
  [7420] = {.lex_state = 286},
  [7421] = {.lex_state = 267},
  [7422] = {.lex_state = 384},
  [7423] = {.lex_state = 286},
  [7424] = {.lex_state = 384},
  [7425] = {.lex_state = 267},
  [7426] = {.lex_state = 246},
  [7427] = {.lex_state = 236},
  [7428] = {.lex_state = 246},
  [7429] = {.lex_state = 286},
  [7430] = {.lex_state = 268},
  [7431] = {.lex_state = 268},
  [7432] = {.lex_state = 268},
  [7433] = {.lex_state = 268},
  [7434] = {.lex_state = 236},
  [7435] = {.lex_state = 236},
  [7436] = {.lex_state = 384},
  [7437] = {.lex_state = 224},
  [7438] = {.lex_state = 224},
  [7439] = {.lex_state = 286},
  [7440] = {.lex_state = 246},
  [7441] = {.lex_state = 246},
  [7442] = {.lex_state = 224},
  [7443] = {.lex_state = 236},
  [7444] = {.lex_state = 286},
  [7445] = {.lex_state = 246},
  [7446] = {.lex_state = 384},
  [7447] = {.lex_state = 246},
  [7448] = {.lex_state = 286},
  [7449] = {.lex_state = 246},
  [7450] = {.lex_state = 236},
  [7451] = {.lex_state = 279},
  [7452] = {.lex_state = 236},
  [7453] = {.lex_state = 384},
  [7454] = {.lex_state = 236},
  [7455] = {.lex_state = 286},
  [7456] = {.lex_state = 267},
  [7457] = {.lex_state = 279},
  [7458] = {.lex_state = 228},
  [7459] = {.lex_state = 0},
  [7460] = {.lex_state = 0},
  [7461] = {.lex_state = 228},
  [7462] = {.lex_state = 246},
  [7463] = {.lex_state = 286},
  [7464] = {.lex_state = 286},
  [7465] = {.lex_state = 286},
  [7466] = {.lex_state = 286},
  [7467] = {.lex_state = 0},
  [7468] = {.lex_state = 286},
  [7469] = {.lex_state = 228},
  [7470] = {.lex_state = 286},
  [7471] = {.lex_state = 286},
  [7472] = {.lex_state = 0},
  [7473] = {.lex_state = 286},
  [7474] = {.lex_state = 286},
  [7475] = {.lex_state = 286},
  [7476] = {.lex_state = 286},
  [7477] = {.lex_state = 286},
  [7478] = {.lex_state = 246},
  [7479] = {.lex_state = 228},
  [7480] = {.lex_state = 286},
  [7481] = {.lex_state = 246},
  [7482] = {.lex_state = 268},
  [7483] = {.lex_state = 286},
  [7484] = {.lex_state = 228},
  [7485] = {.lex_state = 268},
  [7486] = {.lex_state = 268},
  [7487] = {.lex_state = 268},
  [7488] = {.lex_state = 268},
  [7489] = {.lex_state = 228},
  [7490] = {.lex_state = 268},
  [7491] = {.lex_state = 246},
  [7492] = {.lex_state = 228},
  [7493] = {.lex_state = 246},
  [7494] = {.lex_state = 228},
  [7495] = {.lex_state = 228},
  [7496] = {.lex_state = 286},
  [7497] = {.lex_state = 286},
  [7498] = {.lex_state = 268},
  [7499] = {.lex_state = 228},
  [7500] = {.lex_state = 246},
  [7501] = {.lex_state = 286},
  [7502] = {.lex_state = 286},
  [7503] = {.lex_state = 228},
  [7504] = {.lex_state = 246},
  [7505] = {.lex_state = 286},
  [7506] = {.lex_state = 286},
  [7507] = {.lex_state = 286},
  [7508] = {.lex_state = 0},
  [7509] = {.lex_state = 246},
  [7510] = {.lex_state = 228},
  [7511] = {.lex_state = 0},
  [7512] = {.lex_state = 228},
  [7513] = {.lex_state = 228},
  [7514] = {.lex_state = 246},
  [7515] = {.lex_state = 205},
  [7516] = {.lex_state = 286},
  [7517] = {.lex_state = 228},
  [7518] = {.lex_state = 286},
  [7519] = {.lex_state = 0},
  [7520] = {.lex_state = 286},
  [7521] = {.lex_state = 246},
  [7522] = {.lex_state = 205},
  [7523] = {.lex_state = 286},
  [7524] = {.lex_state = 246},
  [7525] = {.lex_state = 286},
  [7526] = {.lex_state = 0},
  [7527] = {.lex_state = 228},
  [7528] = {.lex_state = 228},
  [7529] = {.lex_state = 228},
  [7530] = {.lex_state = 286},
  [7531] = {.lex_state = 228},
  [7532] = {.lex_state = 286},
  [7533] = {.lex_state = 228},
  [7534] = {.lex_state = 246},
  [7535] = {.lex_state = 246},
  [7536] = {.lex_state = 228},
  [7537] = {.lex_state = 205},
  [7538] = {.lex_state = 246},
  [7539] = {.lex_state = 268},
  [7540] = {.lex_state = 286},
  [7541] = {.lex_state = 286},
  [7542] = {.lex_state = 286},
  [7543] = {.lex_state = 228},
  [7544] = {.lex_state = 268},
  [7545] = {.lex_state = 268},
  [7546] = {.lex_state = 0},
  [7547] = {.lex_state = 268},
  [7548] = {.lex_state = 228},
  [7549] = {.lex_state = 228},
  [7550] = {.lex_state = 246},
  [7551] = {.lex_state = 246},
  [7552] = {.lex_state = 268},
  [7553] = {.lex_state = 286},
  [7554] = {.lex_state = 246},
  [7555] = {.lex_state = 286},
  [7556] = {.lex_state = 246},
  [7557] = {.lex_state = 246},
  [7558] = {.lex_state = 246},
  [7559] = {.lex_state = 286},
  [7560] = {.lex_state = 246},
  [7561] = {.lex_state = 246},
  [7562] = {.lex_state = 246},
  [7563] = {.lex_state = 286},
  [7564] = {.lex_state = 283},
  [7565] = {.lex_state = 384},
  [7566] = {.lex_state = 246},
  [7567] = {.lex_state = 0},
  [7568] = {.lex_state = 286},
  [7569] = {.lex_state = 283},
  [7570] = {.lex_state = 384},
  [7571] = {.lex_state = 384},
  [7572] = {.lex_state = 384},
  [7573] = {.lex_state = 286},
  [7574] = {.lex_state = 286},
  [7575] = {.lex_state = 246},
  [7576] = {.lex_state = 246},
  [7577] = {.lex_state = 283},
  [7578] = {.lex_state = 246},
  [7579] = {.lex_state = 286},
  [7580] = {.lex_state = 286},
  [7581] = {.lex_state = 286},
  [7582] = {.lex_state = 246},
  [7583] = {.lex_state = 286},
  [7584] = {.lex_state = 384},
  [7585] = {.lex_state = 246},
  [7586] = {.lex_state = 246},
  [7587] = {.lex_state = 383},
  [7588] = {.lex_state = 384},
  [7589] = {.lex_state = 384},
  [7590] = {.lex_state = 246},
  [7591] = {.lex_state = 246},
  [7592] = {.lex_state = 246},
  [7593] = {.lex_state = 246},
  [7594] = {.lex_state = 384},
  [7595] = {.lex_state = 246},
  [7596] = {.lex_state = 246},
  [7597] = {.lex_state = 246},
  [7598] = {.lex_state = 283},
  [7599] = {.lex_state = 246},
  [7600] = {.lex_state = 286},
  [7601] = {.lex_state = 286},
  [7602] = {.lex_state = 246},
  [7603] = {.lex_state = 286},
  [7604] = {.lex_state = 286},
  [7605] = {.lex_state = 246},
  [7606] = {.lex_state = 246},
  [7607] = {.lex_state = 246},
  [7608] = {.lex_state = 246},
  [7609] = {.lex_state = 246},
  [7610] = {.lex_state = 246},
  [7611] = {.lex_state = 286},
  [7612] = {.lex_state = 246},
  [7613] = {.lex_state = 246},
  [7614] = {.lex_state = 383},
  [7615] = {.lex_state = 246},
  [7616] = {.lex_state = 246},
  [7617] = {.lex_state = 246},
  [7618] = {.lex_state = 286},
  [7619] = {.lex_state = 246},
  [7620] = {.lex_state = 262},
  [7621] = {.lex_state = 262},
  [7622] = {.lex_state = 246},
  [7623] = {.lex_state = 246},
  [7624] = {.lex_state = 246},
  [7625] = {.lex_state = 262},
  [7626] = {.lex_state = 246},
  [7627] = {.lex_state = 246},
  [7628] = {.lex_state = 246},
  [7629] = {.lex_state = 246},
  [7630] = {.lex_state = 383},
  [7631] = {.lex_state = 383},
  [7632] = {.lex_state = 246},
  [7633] = {.lex_state = 286},
  [7634] = {.lex_state = 246},
  [7635] = {.lex_state = 246},
  [7636] = {.lex_state = 246},
  [7637] = {.lex_state = 246},
  [7638] = {.lex_state = 246},
  [7639] = {.lex_state = 286},
  [7640] = {.lex_state = 246},
  [7641] = {.lex_state = 246},
  [7642] = {.lex_state = 246},
  [7643] = {.lex_state = 246},
  [7644] = {.lex_state = 246},
  [7645] = {.lex_state = 286},
  [7646] = {.lex_state = 246},
  [7647] = {.lex_state = 286},
  [7648] = {.lex_state = 246},
  [7649] = {.lex_state = 246},
  [7650] = {.lex_state = 246},
  [7651] = {.lex_state = 246},
  [7652] = {.lex_state = 246},
  [7653] = {.lex_state = 246},
  [7654] = {.lex_state = 286},
  [7655] = {.lex_state = 246},
  [7656] = {.lex_state = 246},
  [7657] = {.lex_state = 246},
  [7658] = {.lex_state = 246},
  [7659] = {.lex_state = 283},
  [7660] = {.lex_state = 286},
  [7661] = {.lex_state = 286},
  [7662] = {.lex_state = 286},
  [7663] = {.lex_state = 246},
  [7664] = {.lex_state = 246},
  [7665] = {.lex_state = 246},
  [7666] = {.lex_state = 286},
  [7667] = {.lex_state = 286},
  [7668] = {.lex_state = 246},
  [7669] = {.lex_state = 286},
  [7670] = {.lex_state = 246},
  [7671] = {.lex_state = 286},
  [7672] = {.lex_state = 286},
  [7673] = {.lex_state = 246},
  [7674] = {.lex_state = 262},
  [7675] = {.lex_state = 246},
  [7676] = {.lex_state = 246},
  [7677] = {.lex_state = 246},
  [7678] = {.lex_state = 246},
  [7679] = {.lex_state = 383},
  [7680] = {.lex_state = 286},
  [7681] = {.lex_state = 383},
  [7682] = {.lex_state = 246},
  [7683] = {.lex_state = 246},
  [7684] = {.lex_state = 246},
  [7685] = {.lex_state = 246},
  [7686] = {.lex_state = 383},
  [7687] = {.lex_state = 246},
  [7688] = {.lex_state = 246},
  [7689] = {.lex_state = 286},
  [7690] = {.lex_state = 246},
  [7691] = {.lex_state = 246},
  [7692] = {.lex_state = 286},
  [7693] = {.lex_state = 286},
  [7694] = {.lex_state = 262},
  [7695] = {.lex_state = 246},
  [7696] = {.lex_state = 246},
  [7697] = {.lex_state = 246},
  [7698] = {.lex_state = 246},
  [7699] = {.lex_state = 286},
  [7700] = {.lex_state = 262},
  [7701] = {.lex_state = 286},
  [7702] = {.lex_state = 246},
  [7703] = {.lex_state = 246},
  [7704] = {.lex_state = 262},
  [7705] = {.lex_state = 246},
  [7706] = {.lex_state = 246},
  [7707] = {.lex_state = 286},
  [7708] = {.lex_state = 246},
  [7709] = {.lex_state = 286},
  [7710] = {.lex_state = 246},
  [7711] = {.lex_state = 246},
  [7712] = {.lex_state = 383},
  [7713] = {.lex_state = 246},
  [7714] = {.lex_state = 246},
  [7715] = {.lex_state = 383},
  [7716] = {.lex_state = 286},
  [7717] = {.lex_state = 246},
  [7718] = {.lex_state = 286},
  [7719] = {.lex_state = 246},
  [7720] = {.lex_state = 246},
  [7721] = {.lex_state = 246},
  [7722] = {.lex_state = 246},
  [7723] = {.lex_state = 246},
  [7724] = {.lex_state = 286},
  [7725] = {.lex_state = 246},
  [7726] = {.lex_state = 246},
  [7727] = {.lex_state = 246},
  [7728] = {.lex_state = 286},
  [7729] = {.lex_state = 286},
  [7730] = {.lex_state = 286},
  [7731] = {.lex_state = 246},
  [7732] = {.lex_state = 246},
  [7733] = {.lex_state = 233},
  [7734] = {.lex_state = 246},
  [7735] = {.lex_state = 246},
  [7736] = {.lex_state = 233},
  [7737] = {.lex_state = 286},
  [7738] = {.lex_state = 246},
  [7739] = {.lex_state = 228},
  [7740] = {.lex_state = 246},
  [7741] = {.lex_state = 286},
  [7742] = {.lex_state = 246},
  [7743] = {.lex_state = 246},
  [7744] = {.lex_state = 246},
  [7745] = {.lex_state = 246},
  [7746] = {.lex_state = 286},
  [7747] = {.lex_state = 233},
  [7748] = {.lex_state = 246},
  [7749] = {.lex_state = 286},
  [7750] = {.lex_state = 286},
  [7751] = {.lex_state = 286},
  [7752] = {.lex_state = 246},
  [7753] = {.lex_state = 286},
  [7754] = {.lex_state = 286},
  [7755] = {.lex_state = 286},
  [7756] = {.lex_state = 246},
  [7757] = {.lex_state = 286},
  [7758] = {.lex_state = 246},
  [7759] = {.lex_state = 286},
  [7760] = {.lex_state = 283},
  [7761] = {.lex_state = 246},
  [7762] = {.lex_state = 246},
  [7763] = {.lex_state = 286},
  [7764] = {.lex_state = 262},
  [7765] = {.lex_state = 246},
  [7766] = {.lex_state = 246},
  [7767] = {.lex_state = 246},
  [7768] = {.lex_state = 268},
  [7769] = {.lex_state = 228},
  [7770] = {.lex_state = 228},
  [7771] = {.lex_state = 228},
  [7772] = {.lex_state = 286},
  [7773] = {.lex_state = 236},
  [7774] = {.lex_state = 267},
  [7775] = {.lex_state = 236},
  [7776] = {.lex_state = 267},
  [7777] = {.lex_state = 268},
  [7778] = {.lex_state = 228},
  [7779] = {.lex_state = 286},
  [7780] = {.lex_state = 268},
  [7781] = {.lex_state = 286},
  [7782] = {.lex_state = 228},
  [7783] = {.lex_state = 286},
  [7784] = {.lex_state = 389},
  [7785] = {.lex_state = 286},
  [7786] = {.lex_state = 236},
  [7787] = {.lex_state = 283},
  [7788] = {.lex_state = 268},
  [7789] = {.lex_state = 267},
  [7790] = {.lex_state = 246},
  [7791] = {.lex_state = 228},
  [7792] = {.lex_state = 208},
  [7793] = {.lex_state = 236},
  [7794] = {.lex_state = 236},
  [7795] = {.lex_state = 286},
  [7796] = {.lex_state = 236},
  [7797] = {.lex_state = 267},
  [7798] = {.lex_state = 267},
  [7799] = {.lex_state = 228},
  [7800] = {.lex_state = 246},
  [7801] = {.lex_state = 268},
  [7802] = {.lex_state = 228},
  [7803] = {.lex_state = 268},
  [7804] = {.lex_state = 208},
  [7805] = {.lex_state = 246},
  [7806] = {.lex_state = 228},
  [7807] = {.lex_state = 228},
  [7808] = {.lex_state = 228},
  [7809] = {.lex_state = 246},
  [7810] = {.lex_state = 228},
  [7811] = {.lex_state = 267},
  [7812] = {.lex_state = 228},
  [7813] = {.lex_state = 246},
  [7814] = {.lex_state = 246},
  [7815] = {.lex_state = 286},
  [7816] = {.lex_state = 286},
  [7817] = {.lex_state = 267},
  [7818] = {.lex_state = 286},
  [7819] = {.lex_state = 286},
  [7820] = {.lex_state = 228},
  [7821] = {.lex_state = 228},
  [7822] = {.lex_state = 236},
  [7823] = {.lex_state = 236},
  [7824] = {.lex_state = 267},
  [7825] = {.lex_state = 268},
  [7826] = {.lex_state = 268},
  [7827] = {.lex_state = 389},
  [7828] = {.lex_state = 246},
  [7829] = {.lex_state = 389},
  [7830] = {.lex_state = 389},
  [7831] = {.lex_state = 246},
  [7832] = {.lex_state = 384},
  [7833] = {.lex_state = 246},
  [7834] = {.lex_state = 280},
  [7835] = {.lex_state = 246},
  [7836] = {.lex_state = 246},
  [7837] = {.lex_state = 246},
  [7838] = {.lex_state = 246},
  [7839] = {.lex_state = 246},
  [7840] = {.lex_state = 246},
  [7841] = {.lex_state = 246},
  [7842] = {.lex_state = 246},
  [7843] = {.lex_state = 280},
  [7844] = {.lex_state = 246},
  [7845] = {.lex_state = 246},
  [7846] = {.lex_state = 246},
  [7847] = {.lex_state = 246},
  [7848] = {.lex_state = 246},
  [7849] = {.lex_state = 246},
  [7850] = {.lex_state = 246},
  [7851] = {.lex_state = 280},
  [7852] = {.lex_state = 246},
  [7853] = {.lex_state = 246},
  [7854] = {.lex_state = 246},
  [7855] = {.lex_state = 389},
  [7856] = {.lex_state = 246},
  [7857] = {.lex_state = 246},
  [7858] = {.lex_state = 246},
  [7859] = {.lex_state = 280},
  [7860] = {.lex_state = 383},
  [7861] = {.lex_state = 246},
  [7862] = {.lex_state = 246},
  [7863] = {.lex_state = 246},
  [7864] = {.lex_state = 246},
  [7865] = {.lex_state = 246},
  [7866] = {.lex_state = 286},
  [7867] = {.lex_state = 246},
  [7868] = {.lex_state = 384},
  [7869] = {.lex_state = 246},
  [7870] = {.lex_state = 384},
  [7871] = {.lex_state = 246},
  [7872] = {.lex_state = 246},
  [7873] = {.lex_state = 205},
  [7874] = {.lex_state = 246},
  [7875] = {.lex_state = 246},
  [7876] = {.lex_state = 389},
  [7877] = {.lex_state = 280},
  [7878] = {.lex_state = 246},
  [7879] = {.lex_state = 246},
  [7880] = {.lex_state = 246},
  [7881] = {.lex_state = 246},
  [7882] = {.lex_state = 246},
  [7883] = {.lex_state = 389},
  [7884] = {.lex_state = 246},
  [7885] = {.lex_state = 246},
  [7886] = {.lex_state = 384},
  [7887] = {.lex_state = 246},
  [7888] = {.lex_state = 389},
  [7889] = {.lex_state = 286},
  [7890] = {.lex_state = 246},
  [7891] = {.lex_state = 246},
  [7892] = {.lex_state = 246},
  [7893] = {.lex_state = 205},
  [7894] = {.lex_state = 233},
  [7895] = {.lex_state = 389},
  [7896] = {.lex_state = 389},
  [7897] = {.lex_state = 246},
  [7898] = {.lex_state = 246},
  [7899] = {.lex_state = 389},
  [7900] = {.lex_state = 389},
  [7901] = {.lex_state = 286},
  [7902] = {.lex_state = 383},
  [7903] = {.lex_state = 233},
  [7904] = {.lex_state = 383},
  [7905] = {.lex_state = 246},
  [7906] = {.lex_state = 286},
  [7907] = {.lex_state = 389},
  [7908] = {.lex_state = 389},
  [7909] = {.lex_state = 286},
  [7910] = {.lex_state = 389},
  [7911] = {.lex_state = 205},
  [7912] = {.lex_state = 389},
  [7913] = {.lex_state = 389},
  [7914] = {.lex_state = 389},
  [7915] = {.lex_state = 389},
  [7916] = {.lex_state = 389},
  [7917] = {.lex_state = 389},
  [7918] = {.lex_state = 389},
  [7919] = {.lex_state = 389},
  [7920] = {.lex_state = 286},
  [7921] = {.lex_state = 286},
  [7922] = {.lex_state = 389},
  [7923] = {.lex_state = 246},
  [7924] = {.lex_state = 389},
  [7925] = {.lex_state = 389},
  [7926] = {.lex_state = 246},
  [7927] = {.lex_state = 286},
  [7928] = {.lex_state = 283},
  [7929] = {.lex_state = 283},
  [7930] = {.lex_state = 228},
  [7931] = {.lex_state = 389},
  [7932] = {.lex_state = 286},
  [7933] = {.lex_state = 389},
  [7934] = {.lex_state = 389},
  [7935] = {.lex_state = 246},
  [7936] = {.lex_state = 383},
  [7937] = {.lex_state = 208},
  [7938] = {.lex_state = 246},
  [7939] = {.lex_state = 246},
  [7940] = {.lex_state = 389},
  [7941] = {.lex_state = 389},
  [7942] = {.lex_state = 389},
  [7943] = {.lex_state = 389},
  [7944] = {.lex_state = 389},
  [7945] = {.lex_state = 389},
  [7946] = {.lex_state = 389},
  [7947] = {.lex_state = 383},
  [7948] = {.lex_state = 219},
  [7949] = {.lex_state = 228},
  [7950] = {.lex_state = 283},
  [7951] = {.lex_state = 246},
  [7952] = {.lex_state = 389},
  [7953] = {.lex_state = 389},
  [7954] = {.lex_state = 383},
  [7955] = {.lex_state = 246},
  [7956] = {.lex_state = 389},
  [7957] = {.lex_state = 246},
  [7958] = {.lex_state = 389},
  [7959] = {.lex_state = 205},
  [7960] = {.lex_state = 246},
  [7961] = {.lex_state = 205},
  [7962] = {.lex_state = 246},
  [7963] = {.lex_state = 205},
  [7964] = {.lex_state = 389},
  [7965] = {.lex_state = 246},
  [7966] = {.lex_state = 246},
  [7967] = {.lex_state = 233},
  [7968] = {.lex_state = 208},
  [7969] = {.lex_state = 205},
  [7970] = {.lex_state = 389},
  [7971] = {.lex_state = 205},
  [7972] = {.lex_state = 205},
  [7973] = {.lex_state = 286},
  [7974] = {.lex_state = 205},
  [7975] = {.lex_state = 205},
  [7976] = {.lex_state = 205},
  [7977] = {.lex_state = 246},
  [7978] = {.lex_state = 389},
  [7979] = {.lex_state = 205},
  [7980] = {.lex_state = 205},
  [7981] = {.lex_state = 286},
  [7982] = {.lex_state = 389},
  [7983] = {.lex_state = 205},
  [7984] = {.lex_state = 246},
  [7985] = {.lex_state = 219},
  [7986] = {.lex_state = 219},
  [7987] = {.lex_state = 389},
  [7988] = {.lex_state = 205},
  [7989] = {.lex_state = 389},
  [7990] = {.lex_state = 246},
  [7991] = {.lex_state = 246},
  [7992] = {.lex_state = 389},
  [7993] = {.lex_state = 240},
  [7994] = {.lex_state = 246},
  [7995] = {.lex_state = 205},
  [7996] = {.lex_state = 205},
  [7997] = {.lex_state = 389},
  [7998] = {.lex_state = 205},
  [7999] = {.lex_state = 208},
  [8000] = {.lex_state = 389},
  [8001] = {.lex_state = 208},
  [8002] = {.lex_state = 205},
  [8003] = {.lex_state = 205},
  [8004] = {.lex_state = 205},
  [8005] = {.lex_state = 389},
  [8006] = {.lex_state = 286},
  [8007] = {.lex_state = 205},
  [8008] = {.lex_state = 240},
  [8009] = {.lex_state = 389},
  [8010] = {.lex_state = 286},
  [8011] = {.lex_state = 205},
  [8012] = {.lex_state = 205},
  [8013] = {.lex_state = 389},
  [8014] = {.lex_state = 205},
  [8015] = {.lex_state = 283},
  [8016] = {.lex_state = 208},
  [8017] = {.lex_state = 246},
  [8018] = {.lex_state = 219},
  [8019] = {.lex_state = 240},
  [8020] = {.lex_state = 389},
  [8021] = {.lex_state = 219},
  [8022] = {.lex_state = 246},
  [8023] = {.lex_state = 389},
  [8024] = {.lex_state = 246},
  [8025] = {.lex_state = 389},
  [8026] = {.lex_state = 389},
  [8027] = {.lex_state = 228},
  [8028] = {.lex_state = 283},
  [8029] = {.lex_state = 246},
  [8030] = {.lex_state = 283},
  [8031] = {.lex_state = 246},
  [8032] = {.lex_state = 0},
  [8033] = {.lex_state = 283},
  [8034] = {.lex_state = 283},
  [8035] = {.lex_state = 283},
  [8036] = {.lex_state = 283},
  [8037] = {.lex_state = 283},
  [8038] = {.lex_state = 228},
  [8039] = {.lex_state = 246},
  [8040] = {.lex_state = 246},
  [8041] = {.lex_state = 283},
  [8042] = {.lex_state = 228},
  [8043] = {.lex_state = 389},
  [8044] = {.lex_state = 283},
  [8045] = {.lex_state = 246},
  [8046] = {.lex_state = 283},
  [8047] = {.lex_state = 283},
  [8048] = {.lex_state = 384},
  [8049] = {.lex_state = 246},
  [8050] = {.lex_state = 246},
  [8051] = {.lex_state = 389},
  [8052] = {.lex_state = 283},
  [8053] = {.lex_state = 0},
  [8054] = {.lex_state = 246},
  [8055] = {.lex_state = 228},
  [8056] = {.lex_state = 228},
  [8057] = {.lex_state = 286},
  [8058] = {.lex_state = 246},
  [8059] = {.lex_state = 246},
  [8060] = {.lex_state = 283},
  [8061] = {.lex_state = 246},
  [8062] = {.lex_state = 228},
  [8063] = {.lex_state = 246},
  [8064] = {.lex_state = 246},
  [8065] = {.lex_state = 233},
  [8066] = {.lex_state = 246},
  [8067] = {.lex_state = 228},
  [8068] = {.lex_state = 246},
  [8069] = {.lex_state = 246},
  [8070] = {.lex_state = 246},
  [8071] = {.lex_state = 283},
  [8072] = {.lex_state = 283},
  [8073] = {.lex_state = 283},
  [8074] = {.lex_state = 286},
  [8075] = {.lex_state = 246},
  [8076] = {.lex_state = 246},
  [8077] = {.lex_state = 384},
  [8078] = {.lex_state = 283},
  [8079] = {.lex_state = 228},
  [8080] = {.lex_state = 228},
  [8081] = {.lex_state = 246},
  [8082] = {.lex_state = 283},
  [8083] = {.lex_state = 228},
  [8084] = {.lex_state = 246},
  [8085] = {.lex_state = 228},
  [8086] = {.lex_state = 283},
  [8087] = {.lex_state = 246},
  [8088] = {.lex_state = 246},
  [8089] = {.lex_state = 283},
  [8090] = {.lex_state = 246},
  [8091] = {.lex_state = 246},
  [8092] = {.lex_state = 246},
  [8093] = {.lex_state = 246},
  [8094] = {.lex_state = 246},
  [8095] = {.lex_state = 208},
  [8096] = {.lex_state = 246},
  [8097] = {.lex_state = 246},
  [8098] = {.lex_state = 246},
  [8099] = {.lex_state = 246},
  [8100] = {.lex_state = 246},
  [8101] = {.lex_state = 246},
  [8102] = {.lex_state = 246},
  [8103] = {.lex_state = 246},
  [8104] = {.lex_state = 208},
  [8105] = {.lex_state = 389},
  [8106] = {.lex_state = 246},
  [8107] = {.lex_state = 246},
  [8108] = {.lex_state = 389},
  [8109] = {.lex_state = 246},
  [8110] = {.lex_state = 246},
  [8111] = {.lex_state = 246},
  [8112] = {.lex_state = 246},
  [8113] = {.lex_state = 246},
  [8114] = {.lex_state = 246},
  [8115] = {.lex_state = 246},
  [8116] = {.lex_state = 389},
  [8117] = {.lex_state = 246},
  [8118] = {.lex_state = 246},
  [8119] = {.lex_state = 246},
  [8120] = {.lex_state = 246},
  [8121] = {.lex_state = 205},
  [8122] = {.lex_state = 246},
  [8123] = {.lex_state = 205},
  [8124] = {.lex_state = 389},
  [8125] = {.lex_state = 389},
  [8126] = {.lex_state = 246},
  [8127] = {.lex_state = 246},
  [8128] = {.lex_state = 246},
  [8129] = {.lex_state = 246},
  [8130] = {.lex_state = 205},
  [8131] = {.lex_state = 246},
  [8132] = {.lex_state = 246},
  [8133] = {.lex_state = 246},
  [8134] = {.lex_state = 208},
  [8135] = {.lex_state = 246},
  [8136] = {.lex_state = 246},
  [8137] = {.lex_state = 246},
  [8138] = {.lex_state = 246},
  [8139] = {.lex_state = 208},
  [8140] = {.lex_state = 246},
  [8141] = {.lex_state = 283},
  [8142] = {.lex_state = 246},
  [8143] = {.lex_state = 246},
  [8144] = {.lex_state = 389},
  [8145] = {.lex_state = 205},
  [8146] = {.lex_state = 246},
  [8147] = {.lex_state = 246},
  [8148] = {.lex_state = 246},
  [8149] = {.lex_state = 246},
  [8150] = {.lex_state = 246},
  [8151] = {.lex_state = 246},
  [8152] = {.lex_state = 205},
  [8153] = {.lex_state = 120},
  [8154] = {.lex_state = 120},
  [8155] = {.lex_state = 0},
  [8156] = {.lex_state = 120},
  [8157] = {.lex_state = 205},
  [8158] = {.lex_state = 0},
  [8159] = {.lex_state = 120},
  [8160] = {.lex_state = 120},
  [8161] = {.lex_state = 389},
  [8162] = {.lex_state = 120},
  [8163] = {.lex_state = 0},
  [8164] = {.lex_state = 0},
  [8165] = {.lex_state = 120},
  [8166] = {.lex_state = 0},
  [8167] = {.lex_state = 246},
  [8168] = {.lex_state = 120},
  [8169] = {.lex_state = 246},
  [8170] = {.lex_state = 208},
  [8171] = {.lex_state = 208},
  [8172] = {.lex_state = 120},
  [8173] = {.lex_state = 246},
  [8174] = {.lex_state = 0},
  [8175] = {.lex_state = 208},
  [8176] = {.lex_state = 208},
  [8177] = {.lex_state = 0},
  [8178] = {.lex_state = 246},
  [8179] = {.lex_state = 246},
  [8180] = {.lex_state = 389},
  [8181] = {.lex_state = 0},
  [8182] = {.lex_state = 205},
  [8183] = {.lex_state = 0},
  [8184] = {.lex_state = 246},
  [8185] = {.lex_state = 0},
  [8186] = {.lex_state = 122},
  [8187] = {.lex_state = 389},
  [8188] = {.lex_state = 0},
  [8189] = {.lex_state = 120},
  [8190] = {.lex_state = 208},
  [8191] = {.lex_state = 246},
  [8192] = {.lex_state = 246},
  [8193] = {.lex_state = 208},
  [8194] = {.lex_state = 246},
  [8195] = {.lex_state = 246},
  [8196] = {.lex_state = 122},
  [8197] = {.lex_state = 205},
  [8198] = {.lex_state = 120},
  [8199] = {.lex_state = 389},
  [8200] = {.lex_state = 120},
  [8201] = {.lex_state = 127},
  [8202] = {.lex_state = 0},
  [8203] = {.lex_state = 389},
  [8204] = {.lex_state = 389},
  [8205] = {.lex_state = 208},
  [8206] = {.lex_state = 208},
  [8207] = {.lex_state = 389},
  [8208] = {.lex_state = 208},
  [8209] = {.lex_state = 122},
  [8210] = {.lex_state = 120},
  [8211] = {.lex_state = 120},
  [8212] = {.lex_state = 208},
  [8213] = {.lex_state = 389},
  [8214] = {.lex_state = 246},
  [8215] = {.lex_state = 127},
  [8216] = {.lex_state = 120},
  [8217] = {.lex_state = 208},
  [8218] = {.lex_state = 389},
  [8219] = {.lex_state = 127},
  [8220] = {.lex_state = 120},
  [8221] = {.lex_state = 389},
  [8222] = {.lex_state = 246},
  [8223] = {.lex_state = 246},
  [8224] = {.lex_state = 283},
  [8225] = {.lex_state = 127},
  [8226] = {.lex_state = 120},
  [8227] = {.lex_state = 122},
  [8228] = {.lex_state = 208},
  [8229] = {.lex_state = 389},
  [8230] = {.lex_state = 120},
  [8231] = {.lex_state = 246},
  [8232] = {.lex_state = 205},
  [8233] = {.lex_state = 246},
  [8234] = {.lex_state = 208},
  [8235] = {.lex_state = 205},
  [8236] = {.lex_state = 208},
  [8237] = {.lex_state = 0},
  [8238] = {.lex_state = 208},
  [8239] = {.lex_state = 120},
  [8240] = {.lex_state = 205},
  [8241] = {.lex_state = 246},
  [8242] = {.lex_state = 246},
  [8243] = {.lex_state = 120},
  [8244] = {.lex_state = 246},
  [8245] = {.lex_state = 389},
  [8246] = {.lex_state = 205},
  [8247] = {.lex_state = 389},
  [8248] = {.lex_state = 208},
  [8249] = {.lex_state = 0},
  [8250] = {.lex_state = 208},
  [8251] = {.lex_state = 0},
  [8252] = {.lex_state = 208},
  [8253] = {.lex_state = 246},
  [8254] = {.lex_state = 120},
  [8255] = {.lex_state = 389},
  [8256] = {.lex_state = 0},
  [8257] = {.lex_state = 208},
  [8258] = {.lex_state = 208},
  [8259] = {.lex_state = 208},
  [8260] = {.lex_state = 127},
  [8261] = {.lex_state = 246},
  [8262] = {.lex_state = 246},
  [8263] = {.lex_state = 205},
  [8264] = {.lex_state = 120},
  [8265] = {.lex_state = 389},
  [8266] = {.lex_state = 0},
  [8267] = {.lex_state = 120},
  [8268] = {.lex_state = 389},
  [8269] = {.lex_state = 120},
  [8270] = {.lex_state = 127},
  [8271] = {.lex_state = 389},
  [8272] = {.lex_state = 208},
  [8273] = {.lex_state = 208},
  [8274] = {.lex_state = 389},
  [8275] = {.lex_state = 389},
  [8276] = {.lex_state = 0},
  [8277] = {.lex_state = 389},
  [8278] = {.lex_state = 122},
  [8279] = {.lex_state = 246},
  [8280] = {.lex_state = 120},
  [8281] = {.lex_state = 127},
  [8282] = {.lex_state = 205},
  [8283] = {.lex_state = 120},
  [8284] = {.lex_state = 389},
  [8285] = {.lex_state = 389},
  [8286] = {.lex_state = 389},
  [8287] = {.lex_state = 389},
  [8288] = {.lex_state = 205},
  [8289] = {.lex_state = 208},
  [8290] = {.lex_state = 208},
  [8291] = {.lex_state = 246},
  [8292] = {.lex_state = 246},
  [8293] = {.lex_state = 246},
  [8294] = {.lex_state = 246},
  [8295] = {.lex_state = 246},
  [8296] = {.lex_state = 120},
  [8297] = {.lex_state = 205},
  [8298] = {.lex_state = 246},
  [8299] = {.lex_state = 205},
  [8300] = {.lex_state = 389},
  [8301] = {.lex_state = 389},
  [8302] = {.lex_state = 205},
  [8303] = {.lex_state = 205},
  [8304] = {.lex_state = 389},
  [8305] = {.lex_state = 205},
  [8306] = {.lex_state = 0},
  [8307] = {.lex_state = 246},
  [8308] = {.lex_state = 208},
  [8309] = {.lex_state = 208},
  [8310] = {.lex_state = 208},
  [8311] = {.lex_state = 208},
  [8312] = {.lex_state = 205},
  [8313] = {.lex_state = 120},
  [8314] = {.lex_state = 246},
  [8315] = {.lex_state = 246},
  [8316] = {.lex_state = 389},
  [8317] = {.lex_state = 283},
  [8318] = {.lex_state = 120},
  [8319] = {.lex_state = 389},
  [8320] = {.lex_state = 205},
  [8321] = {.lex_state = 389},
  [8322] = {.lex_state = 0},
  [8323] = {.lex_state = 208},
  [8324] = {.lex_state = 246},
  [8325] = {.lex_state = 127},
  [8326] = {.lex_state = 208},
  [8327] = {.lex_state = 246},
  [8328] = {.lex_state = 208},
  [8329] = {.lex_state = 246},
  [8330] = {.lex_state = 205},
  [8331] = {.lex_state = 389},
  [8332] = {.lex_state = 208},
  [8333] = {.lex_state = 389},
  [8334] = {.lex_state = 120},
  [8335] = {.lex_state = 127},
  [8336] = {.lex_state = 208},
  [8337] = {.lex_state = 120},
  [8338] = {.lex_state = 208},
  [8339] = {.lex_state = 208},
  [8340] = {.lex_state = 208},
  [8341] = {.lex_state = 389},
  [8342] = {.lex_state = 283},
  [8343] = {.lex_state = 122},
  [8344] = {.lex_state = 389},
  [8345] = {.lex_state = 0},
  [8346] = {.lex_state = 120},
  [8347] = {.lex_state = 205},
  [8348] = {.lex_state = 389},
  [8349] = {.lex_state = 205},
  [8350] = {.lex_state = 120},
  [8351] = {.lex_state = 389},
  [8352] = {.lex_state = 122},
  [8353] = {.lex_state = 208},
  [8354] = {.lex_state = 389},
  [8355] = {.lex_state = 389},
  [8356] = {.lex_state = 283},
  [8357] = {.lex_state = 246},
  [8358] = {.lex_state = 0},
  [8359] = {.lex_state = 208},
  [8360] = {.lex_state = 246},
  [8361] = {.lex_state = 389},
  [8362] = {.lex_state = 208},
  [8363] = {.lex_state = 208},
  [8364] = {.lex_state = 389},
  [8365] = {.lex_state = 389},
  [8366] = {.lex_state = 246},
  [8367] = {.lex_state = 246},
  [8368] = {.lex_state = 205},
  [8369] = {.lex_state = 205},
  [8370] = {.lex_state = 246},
  [8371] = {.lex_state = 246},
  [8372] = {.lex_state = 120},
  [8373] = {.lex_state = 246},
  [8374] = {.lex_state = 283},
  [8375] = {.lex_state = 205},
  [8376] = {.lex_state = 283},
  [8377] = {.lex_state = 246},
  [8378] = {.lex_state = 122},
  [8379] = {.lex_state = 208},
  [8380] = {.lex_state = 208},
  [8381] = {.lex_state = 208},
  [8382] = {.lex_state = 0},
  [8383] = {.lex_state = 208},
  [8384] = {.lex_state = 246},
  [8385] = {.lex_state = 246},
  [8386] = {.lex_state = 246},
  [8387] = {.lex_state = 208},
  [8388] = {.lex_state = 205},
  [8389] = {.lex_state = 283},
  [8390] = {.lex_state = 205},
  [8391] = {.lex_state = 389},
  [8392] = {.lex_state = 208},
  [8393] = {.lex_state = 120},
  [8394] = {.lex_state = 208},
  [8395] = {.lex_state = 283},
  [8396] = {.lex_state = 127},
  [8397] = {.lex_state = 208},
  [8398] = {.lex_state = 208},
  [8399] = {.lex_state = 127},
  [8400] = {.lex_state = 120},
  [8401] = {.lex_state = 389},
  [8402] = {.lex_state = 127},
  [8403] = {.lex_state = 120},
  [8404] = {.lex_state = 0},
  [8405] = {.lex_state = 208},
  [8406] = {.lex_state = 283},
  [8407] = {.lex_state = 120},
  [8408] = {.lex_state = 389},
  [8409] = {.lex_state = 389},
  [8410] = {.lex_state = 208},
  [8411] = {.lex_state = 246},
  [8412] = {.lex_state = 120},
  [8413] = {.lex_state = 208},
  [8414] = {.lex_state = 389},
  [8415] = {.lex_state = 205},
  [8416] = {.lex_state = 246},
  [8417] = {.lex_state = 283},
  [8418] = {.lex_state = 389},
  [8419] = {.lex_state = 205},
  [8420] = {.lex_state = 205},
  [8421] = {.lex_state = 389},
  [8422] = {.lex_state = 246},
  [8423] = {.lex_state = 208},
  [8424] = {.lex_state = 389},
  [8425] = {.lex_state = 208},
  [8426] = {.lex_state = 389},
  [8427] = {.lex_state = 246},
  [8428] = {.lex_state = 120},
  [8429] = {.lex_state = 208},
  [8430] = {.lex_state = 127},
  [8431] = {.lex_state = 246},
  [8432] = {.lex_state = 205},
  [8433] = {.lex_state = 205},
  [8434] = {.lex_state = 246},
  [8435] = {.lex_state = 208},
  [8436] = {.lex_state = 208},
  [8437] = {.lex_state = 246},
  [8438] = {.lex_state = 246},
  [8439] = {.lex_state = 208},
  [8440] = {.lex_state = 205},
  [8441] = {.lex_state = 208},
  [8442] = {.lex_state = 0},
  [8443] = {.lex_state = 389},
  [8444] = {.lex_state = 0},
  [8445] = {.lex_state = 208},
  [8446] = {.lex_state = 208},
  [8447] = {.lex_state = 389},
  [8448] = {.lex_state = 208},
  [8449] = {.lex_state = 389},
  [8450] = {.lex_state = 246},
  [8451] = {.lex_state = 389},
  [8452] = {.lex_state = 283},
  [8453] = {.lex_state = 205},
  [8454] = {.lex_state = 283},
  [8455] = {.lex_state = 389},
  [8456] = {.lex_state = 0},
  [8457] = {.lex_state = 122},
  [8458] = {.lex_state = 120},
  [8459] = {.lex_state = 120},
  [8460] = {.lex_state = 127},
  [8461] = {.lex_state = 208},
  [8462] = {.lex_state = 205},
  [8463] = {.lex_state = 127},
  [8464] = {.lex_state = 208},
  [8465] = {.lex_state = 208},
  [8466] = {.lex_state = 389},
  [8467] = {.lex_state = 246},
  [8468] = {.lex_state = 246},
  [8469] = {.lex_state = 246},
  [8470] = {.lex_state = 246},
  [8471] = {.lex_state = 0},
  [8472] = {.lex_state = 208},
  [8473] = {.lex_state = 246},
  [8474] = {.lex_state = 208},
  [8475] = {.lex_state = 208},
  [8476] = {.lex_state = 389},
  [8477] = {.lex_state = 389},
  [8478] = {.lex_state = 283},
  [8479] = {.lex_state = 246},
  [8480] = {.lex_state = 208},
  [8481] = {.lex_state = 205},
  [8482] = {.lex_state = 0},
  [8483] = {.lex_state = 208},
  [8484] = {.lex_state = 208},
  [8485] = {.lex_state = 208},
  [8486] = {.lex_state = 246},
  [8487] = {.lex_state = 246},
  [8488] = {.lex_state = 120},
  [8489] = {.lex_state = 205},
  [8490] = {.lex_state = 246},
  [8491] = {.lex_state = 208},
  [8492] = {.lex_state = 246},
  [8493] = {.lex_state = 246},
  [8494] = {.lex_state = 205},
  [8495] = {.lex_state = 0},
  [8496] = {.lex_state = 0},
  [8497] = {.lex_state = 208},
  [8498] = {.lex_state = 0},
  [8499] = {.lex_state = 0},
  [8500] = {.lex_state = 0},
  [8501] = {.lex_state = 246},
  [8502] = {.lex_state = 246},
  [8503] = {.lex_state = 0},
  [8504] = {.lex_state = 0},
  [8505] = {.lex_state = 0},
  [8506] = {.lex_state = 124},
  [8507] = {.lex_state = 208},
  [8508] = {.lex_state = 208},
  [8509] = {.lex_state = 127},
  [8510] = {.lex_state = 246},
  [8511] = {.lex_state = 208},
  [8512] = {.lex_state = 208},
  [8513] = {.lex_state = 246},
  [8514] = {.lex_state = 0},
  [8515] = {.lex_state = 208},
  [8516] = {.lex_state = 208},
  [8517] = {.lex_state = 208},
  [8518] = {.lex_state = 0},
  [8519] = {.lex_state = 246},
  [8520] = {.lex_state = 208},
  [8521] = {.lex_state = 246},
  [8522] = {.lex_state = 0},
  [8523] = {.lex_state = 208},
  [8524] = {.lex_state = 208},
  [8525] = {.lex_state = 208},
  [8526] = {.lex_state = 0},
  [8527] = {.lex_state = 124},
  [8528] = {.lex_state = 0},
  [8529] = {.lex_state = 0},
  [8530] = {.lex_state = 283},
  [8531] = {.lex_state = 0},
  [8532] = {.lex_state = 0},
  [8533] = {.lex_state = 0},
  [8534] = {.lex_state = 0},
  [8535] = {.lex_state = 0},
  [8536] = {.lex_state = 389},
  [8537] = {.lex_state = 0},
  [8538] = {.lex_state = 0},
  [8539] = {.lex_state = 0},
  [8540] = {.lex_state = 0},
  [8541] = {.lex_state = 0},
  [8542] = {.lex_state = 246},
  [8543] = {.lex_state = 0},
  [8544] = {.lex_state = 127},
  [8545] = {.lex_state = 246},
  [8546] = {.lex_state = 0},
  [8547] = {.lex_state = 246},
  [8548] = {.lex_state = 205},
  [8549] = {.lex_state = 0},
  [8550] = {.lex_state = 0},
  [8551] = {.lex_state = 0},
  [8552] = {.lex_state = 246},
  [8553] = {.lex_state = 246},
  [8554] = {.lex_state = 0},
  [8555] = {.lex_state = 246},
  [8556] = {.lex_state = 246},
  [8557] = {.lex_state = 0},
  [8558] = {.lex_state = 0},
  [8559] = {.lex_state = 208},
  [8560] = {.lex_state = 0},
  [8561] = {.lex_state = 127},
  [8562] = {.lex_state = 246},
  [8563] = {.lex_state = 0},
  [8564] = {.lex_state = 246},
  [8565] = {.lex_state = 0},
  [8566] = {.lex_state = 389},
  [8567] = {.lex_state = 0},
  [8568] = {.lex_state = 0},
  [8569] = {.lex_state = 208},
  [8570] = {.lex_state = 124},
  [8571] = {.lex_state = 0},
  [8572] = {.lex_state = 0},
  [8573] = {.lex_state = 246},
  [8574] = {.lex_state = 124},
  [8575] = {.lex_state = 127},
  [8576] = {.lex_state = 0},
  [8577] = {.lex_state = 0},
  [8578] = {.lex_state = 0},
  [8579] = {.lex_state = 208},
  [8580] = {.lex_state = 0},
  [8581] = {.lex_state = 208},
  [8582] = {.lex_state = 208},
  [8583] = {.lex_state = 208},
  [8584] = {.lex_state = 0},
  [8585] = {.lex_state = 246},
  [8586] = {.lex_state = 0},
  [8587] = {.lex_state = 389},
  [8588] = {.lex_state = 208},
  [8589] = {.lex_state = 0},
  [8590] = {.lex_state = 0},
  [8591] = {.lex_state = 0},
  [8592] = {.lex_state = 246},
  [8593] = {.lex_state = 208},
  [8594] = {.lex_state = 389},
  [8595] = {.lex_state = 208},
  [8596] = {.lex_state = 389},
  [8597] = {.lex_state = 208},
  [8598] = {.lex_state = 389},
  [8599] = {.lex_state = 0},
  [8600] = {.lex_state = 0},
  [8601] = {.lex_state = 0},
  [8602] = {.lex_state = 0},
  [8603] = {.lex_state = 0},
  [8604] = {.lex_state = 389},
  [8605] = {.lex_state = 0},
  [8606] = {.lex_state = 208},
  [8607] = {.lex_state = 208},
  [8608] = {.lex_state = 0},
  [8609] = {.lex_state = 0},
  [8610] = {.lex_state = 0},
  [8611] = {.lex_state = 0},
  [8612] = {.lex_state = 0},
  [8613] = {.lex_state = 0},
  [8614] = {.lex_state = 246},
  [8615] = {.lex_state = 246},
  [8616] = {.lex_state = 0},
  [8617] = {.lex_state = 0},
  [8618] = {.lex_state = 0},
  [8619] = {.lex_state = 127},
  [8620] = {.lex_state = 0},
  [8621] = {.lex_state = 0},
  [8622] = {.lex_state = 0},
  [8623] = {.lex_state = 0},
  [8624] = {.lex_state = 208},
  [8625] = {.lex_state = 208},
  [8626] = {.lex_state = 208},
  [8627] = {.lex_state = 246},
  [8628] = {.lex_state = 208},
  [8629] = {.lex_state = 246},
  [8630] = {.lex_state = 0},
  [8631] = {.lex_state = 0},
  [8632] = {.lex_state = 0},
  [8633] = {.lex_state = 0},
  [8634] = {.lex_state = 0},
  [8635] = {.lex_state = 246},
  [8636] = {.lex_state = 246},
  [8637] = {.lex_state = 0},
  [8638] = {.lex_state = 0},
  [8639] = {.lex_state = 0},
  [8640] = {.lex_state = 0},
  [8641] = {.lex_state = 389},
  [8642] = {.lex_state = 208},
  [8643] = {.lex_state = 208},
  [8644] = {.lex_state = 246},
  [8645] = {.lex_state = 0},
  [8646] = {.lex_state = 208},
  [8647] = {.lex_state = 246},
  [8648] = {.lex_state = 0},
  [8649] = {.lex_state = 0},
  [8650] = {.lex_state = 0},
  [8651] = {.lex_state = 0},
  [8652] = {.lex_state = 246},
  [8653] = {.lex_state = 0},
  [8654] = {.lex_state = 0},
  [8655] = {.lex_state = 127},
  [8656] = {.lex_state = 208},
  [8657] = {.lex_state = 246},
  [8658] = {.lex_state = 246},
  [8659] = {.lex_state = 208},
  [8660] = {.lex_state = 0},
  [8661] = {.lex_state = 0},
  [8662] = {.lex_state = 0},
  [8663] = {.lex_state = 208},
  [8664] = {.lex_state = 0},
  [8665] = {.lex_state = 0},
  [8666] = {.lex_state = 0},
  [8667] = {.lex_state = 208},
  [8668] = {.lex_state = 0},
  [8669] = {.lex_state = 208},
  [8670] = {.lex_state = 389},
  [8671] = {.lex_state = 0},
  [8672] = {.lex_state = 0},
  [8673] = {.lex_state = 0},
  [8674] = {.lex_state = 0},
  [8675] = {.lex_state = 246},
  [8676] = {.lex_state = 0},
  [8677] = {.lex_state = 0},
  [8678] = {.lex_state = 0},
  [8679] = {.lex_state = 0},
  [8680] = {.lex_state = 246},
  [8681] = {.lex_state = 0},
  [8682] = {.lex_state = 0},
  [8683] = {.lex_state = 0},
  [8684] = {.lex_state = 208},
  [8685] = {.lex_state = 0},
  [8686] = {.lex_state = 0},
  [8687] = {.lex_state = 0},
  [8688] = {.lex_state = 0},
  [8689] = {.lex_state = 208},
  [8690] = {.lex_state = 389},
  [8691] = {.lex_state = 0},
  [8692] = {.lex_state = 0},
  [8693] = {.lex_state = 0},
  [8694] = {.lex_state = 0},
  [8695] = {.lex_state = 208},
  [8696] = {.lex_state = 208},
  [8697] = {.lex_state = 246},
  [8698] = {.lex_state = 0},
  [8699] = {.lex_state = 246},
  [8700] = {.lex_state = 0},
  [8701] = {.lex_state = 208},
  [8702] = {.lex_state = 208},
  [8703] = {.lex_state = 0},
  [8704] = {.lex_state = 208},
  [8705] = {.lex_state = 0},
  [8706] = {.lex_state = 208},
  [8707] = {.lex_state = 246},
  [8708] = {.lex_state = 208},
  [8709] = {.lex_state = 0},
  [8710] = {.lex_state = 246},
  [8711] = {.lex_state = 0},
  [8712] = {.lex_state = 246},
  [8713] = {.lex_state = 0},
  [8714] = {.lex_state = 0},
  [8715] = {.lex_state = 246},
  [8716] = {.lex_state = 0},
  [8717] = {.lex_state = 246},
  [8718] = {.lex_state = 127},
  [8719] = {.lex_state = 0},
  [8720] = {.lex_state = 0},
  [8721] = {.lex_state = 246},
  [8722] = {.lex_state = 0},
  [8723] = {.lex_state = 0},
  [8724] = {.lex_state = 0},
  [8725] = {.lex_state = 0},
  [8726] = {.lex_state = 0},
  [8727] = {.lex_state = 208},
  [8728] = {.lex_state = 0},
  [8729] = {.lex_state = 0},
  [8730] = {.lex_state = 0},
  [8731] = {.lex_state = 0},
  [8732] = {.lex_state = 0},
  [8733] = {.lex_state = 0},
  [8734] = {.lex_state = 246},
  [8735] = {.lex_state = 205},
  [8736] = {.lex_state = 208},
  [8737] = {.lex_state = 208},
  [8738] = {.lex_state = 208},
  [8739] = {.lex_state = 0},
  [8740] = {.lex_state = 246},
  [8741] = {.lex_state = 0},
  [8742] = {.lex_state = 0},
  [8743] = {.lex_state = 0},
  [8744] = {.lex_state = 0},
  [8745] = {.lex_state = 0},
  [8746] = {.lex_state = 0},
  [8747] = {.lex_state = 0},
  [8748] = {.lex_state = 208},
  [8749] = {.lex_state = 389},
  [8750] = {.lex_state = 208},
  [8751] = {.lex_state = 246},
  [8752] = {.lex_state = 0},
  [8753] = {.lex_state = 0},
  [8754] = {.lex_state = 0},
  [8755] = {.lex_state = 0},
  [8756] = {.lex_state = 0},
  [8757] = {.lex_state = 246},
  [8758] = {.lex_state = 0},
  [8759] = {.lex_state = 0},
  [8760] = {.lex_state = 0},
  [8761] = {.lex_state = 246},
  [8762] = {.lex_state = 0},
  [8763] = {.lex_state = 246},
  [8764] = {.lex_state = 246},
  [8765] = {.lex_state = 0},
  [8766] = {.lex_state = 0},
  [8767] = {.lex_state = 284},
  [8768] = {.lex_state = 0},
  [8769] = {.lex_state = 0},
  [8770] = {.lex_state = 0},
  [8771] = {.lex_state = 0},
  [8772] = {.lex_state = 0},
  [8773] = {.lex_state = 0},
  [8774] = {.lex_state = 246},
  [8775] = {.lex_state = 208},
  [8776] = {.lex_state = 0},
  [8777] = {.lex_state = 208},
  [8778] = {.lex_state = 389},
  [8779] = {.lex_state = 208},
  [8780] = {.lex_state = 208},
  [8781] = {.lex_state = 0},
  [8782] = {.lex_state = 0},
  [8783] = {.lex_state = 208},
  [8784] = {.lex_state = 0},
  [8785] = {.lex_state = 0},
  [8786] = {.lex_state = 208},
  [8787] = {.lex_state = 246},
  [8788] = {.lex_state = 127},
  [8789] = {.lex_state = 0},
  [8790] = {.lex_state = 246},
  [8791] = {.lex_state = 246},
  [8792] = {.lex_state = 0},
  [8793] = {.lex_state = 0},
  [8794] = {.lex_state = 0},
  [8795] = {.lex_state = 0},
  [8796] = {.lex_state = 0},
  [8797] = {.lex_state = 0},
  [8798] = {.lex_state = 0},
  [8799] = {.lex_state = 0},
  [8800] = {.lex_state = 246},
  [8801] = {.lex_state = 208},
  [8802] = {.lex_state = 389},
  [8803] = {.lex_state = 0},
  [8804] = {.lex_state = 208},
  [8805] = {.lex_state = 0},
  [8806] = {.lex_state = 0},
  [8807] = {.lex_state = 389},
  [8808] = {.lex_state = 0},
  [8809] = {.lex_state = 0},
  [8810] = {.lex_state = 0},
  [8811] = {.lex_state = 0},
  [8812] = {.lex_state = 246},
  [8813] = {.lex_state = 0},
  [8814] = {.lex_state = 0},
  [8815] = {.lex_state = 246},
  [8816] = {.lex_state = 0},
  [8817] = {.lex_state = 0},
  [8818] = {.lex_state = 208},
  [8819] = {.lex_state = 0},
  [8820] = {.lex_state = 0},
  [8821] = {.lex_state = 0},
  [8822] = {.lex_state = 0},
  [8823] = {.lex_state = 0},
  [8824] = {.lex_state = 246},
  [8825] = {.lex_state = 0},
  [8826] = {.lex_state = 246},
  [8827] = {.lex_state = 208},
  [8828] = {.lex_state = 0},
  [8829] = {.lex_state = 0},
  [8830] = {.lex_state = 0},
  [8831] = {.lex_state = 0},
  [8832] = {.lex_state = 0},
  [8833] = {.lex_state = 246},
  [8834] = {.lex_state = 0},
  [8835] = {.lex_state = 208},
  [8836] = {.lex_state = 246},
  [8837] = {.lex_state = 208},
  [8838] = {.lex_state = 389},
  [8839] = {.lex_state = 389},
  [8840] = {.lex_state = 0},
  [8841] = {.lex_state = 0},
  [8842] = {.lex_state = 0},
  [8843] = {.lex_state = 0},
  [8844] = {.lex_state = 0},
  [8845] = {.lex_state = 0},
  [8846] = {.lex_state = 0},
  [8847] = {.lex_state = 389},
  [8848] = {.lex_state = 0},
  [8849] = {.lex_state = 0},
  [8850] = {.lex_state = 246},
  [8851] = {.lex_state = 246},
  [8852] = {.lex_state = 0},
  [8853] = {.lex_state = 0},
  [8854] = {.lex_state = 0},
  [8855] = {.lex_state = 0},
  [8856] = {.lex_state = 208},
  [8857] = {.lex_state = 246},
  [8858] = {.lex_state = 0},
  [8859] = {.lex_state = 0},
  [8860] = {.lex_state = 208},
  [8861] = {.lex_state = 208},
  [8862] = {.lex_state = 0},
  [8863] = {.lex_state = 0},
  [8864] = {.lex_state = 0},
  [8865] = {.lex_state = 0},
  [8866] = {.lex_state = 208},
  [8867] = {.lex_state = 0},
  [8868] = {.lex_state = 0},
  [8869] = {.lex_state = 0},
  [8870] = {.lex_state = 0},
  [8871] = {.lex_state = 127},
  [8872] = {.lex_state = 208},
  [8873] = {.lex_state = 208},
  [8874] = {.lex_state = 0},
  [8875] = {.lex_state = 0},
  [8876] = {.lex_state = 0},
  [8877] = {.lex_state = 208},
  [8878] = {.lex_state = 246},
  [8879] = {.lex_state = 0},
  [8880] = {.lex_state = 0},
  [8881] = {.lex_state = 0},
  [8882] = {.lex_state = 208},
  [8883] = {.lex_state = 0},
  [8884] = {.lex_state = 0},
  [8885] = {.lex_state = 0},
  [8886] = {.lex_state = 0},
  [8887] = {.lex_state = 208},
  [8888] = {.lex_state = 0},
  [8889] = {.lex_state = 208},
  [8890] = {.lex_state = 389},
  [8891] = {.lex_state = 0},
  [8892] = {.lex_state = 0},
  [8893] = {.lex_state = 389},
  [8894] = {.lex_state = 0},
  [8895] = {.lex_state = 127},
  [8896] = {.lex_state = 0},
  [8897] = {.lex_state = 0},
  [8898] = {.lex_state = 246},
  [8899] = {.lex_state = 246},
  [8900] = {.lex_state = 246},
  [8901] = {.lex_state = 0},
  [8902] = {.lex_state = 0},
  [8903] = {.lex_state = 0},
  [8904] = {.lex_state = 0},
  [8905] = {.lex_state = 0},
  [8906] = {.lex_state = 208},
  [8907] = {.lex_state = 0},
  [8908] = {.lex_state = 389},
  [8909] = {.lex_state = 0},
  [8910] = {.lex_state = 246},
  [8911] = {.lex_state = 0},
  [8912] = {.lex_state = 246},
  [8913] = {.lex_state = 0},
  [8914] = {.lex_state = 0},
  [8915] = {.lex_state = 0},
  [8916] = {.lex_state = 246},
  [8917] = {.lex_state = 0},
  [8918] = {.lex_state = 208},
  [8919] = {.lex_state = 208},
  [8920] = {.lex_state = 0},
  [8921] = {.lex_state = 0},
  [8922] = {.lex_state = 0},
  [8923] = {.lex_state = 0},
  [8924] = {.lex_state = 0},
  [8925] = {.lex_state = 0},
  [8926] = {.lex_state = 0},
  [8927] = {.lex_state = 0},
  [8928] = {.lex_state = 389},
  [8929] = {.lex_state = 0},
  [8930] = {.lex_state = 0},
  [8931] = {.lex_state = 127},
  [8932] = {.lex_state = 0},
  [8933] = {.lex_state = 0},
  [8934] = {.lex_state = 0},
  [8935] = {.lex_state = 0},
  [8936] = {.lex_state = 0},
  [8937] = {.lex_state = 0},
  [8938] = {.lex_state = 127},
  [8939] = {.lex_state = 205},
  [8940] = {.lex_state = 389},
  [8941] = {.lex_state = 0},
  [8942] = {.lex_state = 0},
  [8943] = {.lex_state = 0},
  [8944] = {.lex_state = 0},
  [8945] = {.lex_state = 0},
  [8946] = {.lex_state = 0},
  [8947] = {.lex_state = 0},
  [8948] = {.lex_state = 127},
  [8949] = {.lex_state = 208},
  [8950] = {.lex_state = 0},
  [8951] = {.lex_state = 0},
  [8952] = {.lex_state = 0},
  [8953] = {.lex_state = 0},
  [8954] = {.lex_state = 0},
  [8955] = {.lex_state = 127},
  [8956] = {.lex_state = 246},
  [8957] = {.lex_state = 0},
  [8958] = {.lex_state = 0},
  [8959] = {.lex_state = 0},
  [8960] = {.lex_state = 0},
  [8961] = {.lex_state = 0},
  [8962] = {.lex_state = 246},
  [8963] = {.lex_state = 246},
  [8964] = {.lex_state = 0},
  [8965] = {.lex_state = 0},
  [8966] = {.lex_state = 0},
  [8967] = {.lex_state = 0},
  [8968] = {.lex_state = 0},
  [8969] = {.lex_state = 0},
  [8970] = {.lex_state = 208},
  [8971] = {.lex_state = 208},
  [8972] = {.lex_state = 208},
  [8973] = {.lex_state = 0},
  [8974] = {.lex_state = 124},
  [8975] = {.lex_state = 0},
  [8976] = {.lex_state = 0},
  [8977] = {.lex_state = 0},
  [8978] = {.lex_state = 246},
  [8979] = {.lex_state = 246},
  [8980] = {.lex_state = 0},
  [8981] = {.lex_state = 0},
  [8982] = {.lex_state = 0},
  [8983] = {.lex_state = 0},
  [8984] = {.lex_state = 389},
  [8985] = {.lex_state = 0},
  [8986] = {.lex_state = 389},
  [8987] = {.lex_state = 0},
  [8988] = {.lex_state = 389},
  [8989] = {.lex_state = 389},
  [8990] = {.lex_state = 0},
  [8991] = {.lex_state = 0},
  [8992] = {.lex_state = 0},
  [8993] = {.lex_state = 0},
  [8994] = {.lex_state = 0},
  [8995] = {.lex_state = 0},
  [8996] = {.lex_state = 0},
  [8997] = {.lex_state = 389},
  [8998] = {.lex_state = 123},
  [8999] = {.lex_state = 0},
  [9000] = {.lex_state = 0},
  [9001] = {.lex_state = 389},
  [9002] = {.lex_state = 0},
  [9003] = {.lex_state = 389},
  [9004] = {.lex_state = 123},
  [9005] = {.lex_state = 246},
  [9006] = {.lex_state = 389},
  [9007] = {.lex_state = 123},
  [9008] = {.lex_state = 0},
  [9009] = {.lex_state = 0},
  [9010] = {.lex_state = 389},
  [9011] = {.lex_state = 389},
  [9012] = {.lex_state = 389},
  [9013] = {.lex_state = 0},
  [9014] = {.lex_state = 0},
  [9015] = {.lex_state = 0},
  [9016] = {.lex_state = 0},
  [9017] = {.lex_state = 0},
  [9018] = {.lex_state = 0},
  [9019] = {.lex_state = 0},
  [9020] = {.lex_state = 389},
  [9021] = {.lex_state = 389},
  [9022] = {.lex_state = 389},
  [9023] = {.lex_state = 0},
  [9024] = {.lex_state = 246},
  [9025] = {.lex_state = 0},
  [9026] = {.lex_state = 0},
  [9027] = {.lex_state = 0},
  [9028] = {.lex_state = 0},
  [9029] = {.lex_state = 246},
  [9030] = {.lex_state = 0},
  [9031] = {.lex_state = 0},
  [9032] = {.lex_state = 0},
  [9033] = {.lex_state = 389},
  [9034] = {.lex_state = 0},
  [9035] = {.lex_state = 389},
  [9036] = {.lex_state = 0},
  [9037] = {.lex_state = 389},
  [9038] = {.lex_state = 246},
  [9039] = {.lex_state = 389},
  [9040] = {.lex_state = 0},
  [9041] = {.lex_state = 0},
  [9042] = {.lex_state = 246},
  [9043] = {.lex_state = 0},
  [9044] = {.lex_state = 0},
  [9045] = {.lex_state = 0},
  [9046] = {.lex_state = 123},
  [9047] = {.lex_state = 246},
  [9048] = {.lex_state = 0},
  [9049] = {.lex_state = 0},
  [9050] = {.lex_state = 0},
  [9051] = {.lex_state = 389},
  [9052] = {.lex_state = 0},
  [9053] = {.lex_state = 0},
  [9054] = {.lex_state = 0},
  [9055] = {.lex_state = 246},
  [9056] = {.lex_state = 246},
  [9057] = {.lex_state = 0},
  [9058] = {.lex_state = 0},
  [9059] = {.lex_state = 0},
  [9060] = {.lex_state = 0},
  [9061] = {.lex_state = 0},
  [9062] = {.lex_state = 0},
  [9063] = {.lex_state = 0},
  [9064] = {.lex_state = 0},
  [9065] = {.lex_state = 0},
  [9066] = {.lex_state = 389},
  [9067] = {.lex_state = 0},
  [9068] = {.lex_state = 246},
  [9069] = {.lex_state = 0},
  [9070] = {.lex_state = 0},
  [9071] = {.lex_state = 389},
  [9072] = {.lex_state = 0},
  [9073] = {.lex_state = 246},
  [9074] = {.lex_state = 0},
  [9075] = {.lex_state = 389},
  [9076] = {.lex_state = 389},
  [9077] = {.lex_state = 0},
  [9078] = {.lex_state = 389},
  [9079] = {.lex_state = 0},
  [9080] = {.lex_state = 389},
  [9081] = {.lex_state = 389},
  [9082] = {.lex_state = 389},
  [9083] = {.lex_state = 0},
  [9084] = {.lex_state = 123},
  [9085] = {.lex_state = 0},
  [9086] = {.lex_state = 0},
  [9087] = {.lex_state = 246},
  [9088] = {.lex_state = 0},
  [9089] = {.lex_state = 389},
  [9090] = {.lex_state = 0},
  [9091] = {.lex_state = 0},
  [9092] = {.lex_state = 246},
  [9093] = {.lex_state = 0},
  [9094] = {.lex_state = 0},
  [9095] = {.lex_state = 0},
  [9096] = {.lex_state = 0},
  [9097] = {.lex_state = 0},
  [9098] = {.lex_state = 0},
  [9099] = {.lex_state = 0},
  [9100] = {.lex_state = 123},
  [9101] = {.lex_state = 0},
  [9102] = {.lex_state = 0},
  [9103] = {.lex_state = 389},
  [9104] = {.lex_state = 0},
  [9105] = {.lex_state = 389},
  [9106] = {.lex_state = 0},
  [9107] = {.lex_state = 0},
  [9108] = {.lex_state = 246},
  [9109] = {.lex_state = 0},
  [9110] = {.lex_state = 0},
  [9111] = {.lex_state = 0},
  [9112] = {.lex_state = 0},
  [9113] = {.lex_state = 389},
  [9114] = {.lex_state = 123},
  [9115] = {.lex_state = 246},
  [9116] = {.lex_state = 0},
  [9117] = {.lex_state = 0},
  [9118] = {.lex_state = 389},
  [9119] = {.lex_state = 0},
  [9120] = {.lex_state = 123},
  [9121] = {.lex_state = 389},
  [9122] = {.lex_state = 0},
  [9123] = {.lex_state = 389},
  [9124] = {.lex_state = 0},
  [9125] = {.lex_state = 0},
  [9126] = {.lex_state = 0},
  [9127] = {.lex_state = 0},
  [9128] = {.lex_state = 389},
  [9129] = {.lex_state = 0},
  [9130] = {.lex_state = 0},
  [9131] = {.lex_state = 0},
  [9132] = {.lex_state = 0},
  [9133] = {.lex_state = 0},
  [9134] = {.lex_state = 389},
  [9135] = {.lex_state = 389},
  [9136] = {.lex_state = 0},
  [9137] = {.lex_state = 0},
  [9138] = {.lex_state = 0},
  [9139] = {.lex_state = 0},
  [9140] = {.lex_state = 246},
  [9141] = {.lex_state = 0},
  [9142] = {.lex_state = 0},
  [9143] = {.lex_state = 0},
  [9144] = {.lex_state = 0},
  [9145] = {.lex_state = 123},
  [9146] = {.lex_state = 389},
  [9147] = {.lex_state = 0},
  [9148] = {.lex_state = 0},
  [9149] = {.lex_state = 246},
  [9150] = {.lex_state = 0},
  [9151] = {.lex_state = 0},
  [9152] = {.lex_state = 0},
  [9153] = {.lex_state = 0},
  [9154] = {.lex_state = 0},
  [9155] = {.lex_state = 0},
  [9156] = {.lex_state = 389},
  [9157] = {.lex_state = 0},
  [9158] = {.lex_state = 0},
  [9159] = {.lex_state = 0},
  [9160] = {.lex_state = 389},
  [9161] = {.lex_state = 0},
  [9162] = {.lex_state = 0},
  [9163] = {.lex_state = 0},
  [9164] = {.lex_state = 0},
  [9165] = {.lex_state = 389},
  [9166] = {.lex_state = 389},
  [9167] = {.lex_state = 0},
  [9168] = {.lex_state = 246},
  [9169] = {.lex_state = 0},
  [9170] = {.lex_state = 389},
  [9171] = {.lex_state = 123},
  [9172] = {.lex_state = 0},
  [9173] = {.lex_state = 0},
  [9174] = {.lex_state = 0},
  [9175] = {.lex_state = 0},
  [9176] = {.lex_state = 0},
  [9177] = {.lex_state = 0},
  [9178] = {.lex_state = 0},
  [9179] = {.lex_state = 123},
  [9180] = {.lex_state = 246},
  [9181] = {.lex_state = 246},
  [9182] = {.lex_state = 389},
  [9183] = {.lex_state = 246},
  [9184] = {.lex_state = 0},
  [9185] = {.lex_state = 0},
  [9186] = {.lex_state = 0},
  [9187] = {.lex_state = 0},
  [9188] = {.lex_state = 0},
  [9189] = {.lex_state = 0},
  [9190] = {.lex_state = 0},
  [9191] = {.lex_state = 123},
  [9192] = {.lex_state = 389},
  [9193] = {.lex_state = 0},
  [9194] = {.lex_state = 0},
  [9195] = {.lex_state = 389},
  [9196] = {.lex_state = 0},
  [9197] = {.lex_state = 246},
  [9198] = {.lex_state = 246},
  [9199] = {.lex_state = 0},
  [9200] = {.lex_state = 0},
  [9201] = {.lex_state = 0},
  [9202] = {.lex_state = 389},
  [9203] = {.lex_state = 0},
  [9204] = {.lex_state = 0},
  [9205] = {.lex_state = 123},
  [9206] = {.lex_state = 246},
  [9207] = {.lex_state = 246},
  [9208] = {.lex_state = 246},
  [9209] = {.lex_state = 0},
  [9210] = {.lex_state = 0},
  [9211] = {.lex_state = 389},
  [9212] = {.lex_state = 389},
  [9213] = {.lex_state = 0},
  [9214] = {.lex_state = 246},
  [9215] = {.lex_state = 389},
  [9216] = {.lex_state = 0},
  [9217] = {.lex_state = 0},
  [9218] = {.lex_state = 0},
  [9219] = {.lex_state = 246},
  [9220] = {.lex_state = 246},
  [9221] = {.lex_state = 0},
  [9222] = {.lex_state = 0},
  [9223] = {.lex_state = 123},
  [9224] = {.lex_state = 0},
  [9225] = {.lex_state = 0},
  [9226] = {.lex_state = 0},
  [9227] = {.lex_state = 0},
  [9228] = {.lex_state = 0},
  [9229] = {.lex_state = 0},
  [9230] = {.lex_state = 246},
  [9231] = {.lex_state = 0},
  [9232] = {.lex_state = 0},
  [9233] = {.lex_state = 0},
  [9234] = {.lex_state = 0},
  [9235] = {.lex_state = 389},
  [9236] = {.lex_state = 0},
  [9237] = {.lex_state = 0},
  [9238] = {.lex_state = 0},
  [9239] = {.lex_state = 246},
  [9240] = {.lex_state = 246},
  [9241] = {.lex_state = 246},
  [9242] = {.lex_state = 246},
  [9243] = {.lex_state = 246},
  [9244] = {.lex_state = 389},
  [9245] = {.lex_state = 0},
  [9246] = {.lex_state = 389},
  [9247] = {.lex_state = 0},
  [9248] = {.lex_state = 389},
  [9249] = {.lex_state = 389},
  [9250] = {.lex_state = 0},
  [9251] = {.lex_state = 389},
  [9252] = {.lex_state = 0},
  [9253] = {.lex_state = 389},
  [9254] = {.lex_state = 246},
  [9255] = {.lex_state = 0},
  [9256] = {.lex_state = 123},
  [9257] = {.lex_state = 0},
  [9258] = {.lex_state = 246},
  [9259] = {.lex_state = 0},
  [9260] = {.lex_state = 246},
  [9261] = {.lex_state = 0},
  [9262] = {.lex_state = 0},
  [9263] = {.lex_state = 0},
  [9264] = {.lex_state = 0},
  [9265] = {.lex_state = 0},
  [9266] = {.lex_state = 246},
  [9267] = {.lex_state = 0},
  [9268] = {.lex_state = 0},
  [9269] = {.lex_state = 0},
  [9270] = {.lex_state = 389},
  [9271] = {.lex_state = 0},
  [9272] = {.lex_state = 0},
  [9273] = {.lex_state = 0},
  [9274] = {.lex_state = 389},
  [9275] = {.lex_state = 0},
  [9276] = {.lex_state = 389, .external_lex_state = 2},
  [9277] = {.lex_state = 246},
  [9278] = {.lex_state = 0},
  [9279] = {.lex_state = 0},
  [9280] = {.lex_state = 0},
  [9281] = {.lex_state = 0},
  [9282] = {.lex_state = 0},
  [9283] = {.lex_state = 246},
  [9284] = {.lex_state = 389},
  [9285] = {.lex_state = 246},
  [9286] = {.lex_state = 0},
  [9287] = {.lex_state = 0},
  [9288] = {.lex_state = 0},
  [9289] = {.lex_state = 389},
  [9290] = {.lex_state = 0},
  [9291] = {.lex_state = 0},
  [9292] = {.lex_state = 389},
  [9293] = {.lex_state = 389},
  [9294] = {.lex_state = 0},
  [9295] = {.lex_state = 389},
  [9296] = {.lex_state = 389},
  [9297] = {.lex_state = 0},
  [9298] = {.lex_state = 0},
  [9299] = {.lex_state = 0},
  [9300] = {.lex_state = 123},
  [9301] = {.lex_state = 0},
  [9302] = {.lex_state = 389},
  [9303] = {.lex_state = 0},
  [9304] = {.lex_state = 389},
  [9305] = {.lex_state = 0},
  [9306] = {.lex_state = 0},
  [9307] = {.lex_state = 389},
  [9308] = {.lex_state = 0},
  [9309] = {.lex_state = 0},
  [9310] = {.lex_state = 0},
  [9311] = {.lex_state = 0},
  [9312] = {.lex_state = 0},
  [9313] = {.lex_state = 0},
  [9314] = {.lex_state = 0},
  [9315] = {.lex_state = 0},
  [9316] = {.lex_state = 0},
  [9317] = {.lex_state = 0},
  [9318] = {.lex_state = 389},
  [9319] = {.lex_state = 0},
  [9320] = {.lex_state = 0},
  [9321] = {.lex_state = 0},
  [9322] = {.lex_state = 123},
  [9323] = {.lex_state = 0},
  [9324] = {.lex_state = 246},
  [9325] = {.lex_state = 246},
  [9326] = {.lex_state = 0},
  [9327] = {.lex_state = 389},
  [9328] = {.lex_state = 389},
  [9329] = {.lex_state = 389},
  [9330] = {.lex_state = 246},
  [9331] = {.lex_state = 246},
  [9332] = {.lex_state = 246},
  [9333] = {.lex_state = 0},
  [9334] = {.lex_state = 0},
  [9335] = {.lex_state = 0},
  [9336] = {.lex_state = 0},
  [9337] = {.lex_state = 0},
  [9338] = {.lex_state = 0},
  [9339] = {.lex_state = 0},
  [9340] = {.lex_state = 0},
  [9341] = {.lex_state = 246},
  [9342] = {.lex_state = 0},
  [9343] = {.lex_state = 246},
  [9344] = {.lex_state = 389},
  [9345] = {.lex_state = 0},
  [9346] = {.lex_state = 0},
  [9347] = {.lex_state = 389},
  [9348] = {.lex_state = 0},
  [9349] = {.lex_state = 389},
  [9350] = {.lex_state = 389},
  [9351] = {.lex_state = 246},
  [9352] = {.lex_state = 0},
  [9353] = {.lex_state = 389, .external_lex_state = 2},
  [9354] = {.lex_state = 389},
  [9355] = {.lex_state = 389, .external_lex_state = 2},
  [9356] = {.lex_state = 0},
  [9357] = {.lex_state = 389},
  [9358] = {.lex_state = 0},
  [9359] = {.lex_state = 0},
  [9360] = {.lex_state = 0},
  [9361] = {.lex_state = 246},
  [9362] = {.lex_state = 246},
  [9363] = {.lex_state = 389},
  [9364] = {.lex_state = 389, .external_lex_state = 2},
  [9365] = {.lex_state = 389, .external_lex_state = 2},
  [9366] = {.lex_state = 389},
  [9367] = {.lex_state = 389},
  [9368] = {.lex_state = 0},
  [9369] = {.lex_state = 0},
  [9370] = {.lex_state = 0},
  [9371] = {.lex_state = 246},
  [9372] = {.lex_state = 0},
  [9373] = {.lex_state = 389},
  [9374] = {.lex_state = 0},
  [9375] = {.lex_state = 0},
  [9376] = {.lex_state = 389},
  [9377] = {.lex_state = 389, .external_lex_state = 2},
  [9378] = {.lex_state = 0},
  [9379] = {.lex_state = 389, .external_lex_state = 2},
  [9380] = {.lex_state = 0},
  [9381] = {.lex_state = 389},
  [9382] = {.lex_state = 0},
  [9383] = {.lex_state = 0},
  [9384] = {.lex_state = 0},
  [9385] = {.lex_state = 0},
  [9386] = {.lex_state = 389},
  [9387] = {.lex_state = 0},
  [9388] = {.lex_state = 0},
  [9389] = {.lex_state = 0},
  [9390] = {.lex_state = 0},
  [9391] = {.lex_state = 389, .external_lex_state = 2},
  [9392] = {.lex_state = 0},
  [9393] = {.lex_state = 389, .external_lex_state = 2},
  [9394] = {.lex_state = 0},
  [9395] = {.lex_state = 389, .external_lex_state = 2},
  [9396] = {.lex_state = 389},
  [9397] = {.lex_state = 0},
  [9398] = {.lex_state = 0},
  [9399] = {.lex_state = 389},
  [9400] = {.lex_state = 0},
  [9401] = {.lex_state = 389, .external_lex_state = 2},
  [9402] = {.lex_state = 389},
  [9403] = {.lex_state = 246},
  [9404] = {.lex_state = 123},
  [9405] = {.lex_state = 389, .external_lex_state = 2},
  [9406] = {.lex_state = 389, .external_lex_state = 2},
  [9407] = {.lex_state = 389},
  [9408] = {.lex_state = 389, .external_lex_state = 2},
  [9409] = {.lex_state = 0},
  [9410] = {.lex_state = 246},
  [9411] = {.lex_state = 0},
  [9412] = {.lex_state = 389, .external_lex_state = 2},
  [9413] = {.lex_state = 389},
  [9414] = {.lex_state = 389, .external_lex_state = 2},
  [9415] = {.lex_state = 0},
  [9416] = {.lex_state = 389, .external_lex_state = 2},
  [9417] = {.lex_state = 0},
  [9418] = {.lex_state = 246},
  [9419] = {.lex_state = 389, .external_lex_state = 2},
  [9420] = {.lex_state = 0},
  [9421] = {.lex_state = 246},
  [9422] = {.lex_state = 123},
  [9423] = {.lex_state = 389, .external_lex_state = 2},
  [9424] = {.lex_state = 389},
  [9425] = {.lex_state = 0},
  [9426] = {.lex_state = 389},
  [9427] = {.lex_state = 389},
  [9428] = {.lex_state = 389},
  [9429] = {.lex_state = 246},
  [9430] = {.lex_state = 389},
  [9431] = {.lex_state = 389},
  [9432] = {.lex_state = 389},
  [9433] = {.lex_state = 246},
  [9434] = {.lex_state = 0},
  [9435] = {.lex_state = 0},
  [9436] = {.lex_state = 246},
  [9437] = {.lex_state = 123},
  [9438] = {.lex_state = 123},
  [9439] = {.lex_state = 389},
  [9440] = {.lex_state = 0},
  [9441] = {.lex_state = 389},
  [9442] = {.lex_state = 246},
  [9443] = {.lex_state = 0},
  [9444] = {.lex_state = 202},
  [9445] = {.lex_state = 202},
  [9446] = {.lex_state = 0},
  [9447] = {.lex_state = 0},
  [9448] = {.lex_state = 246},
  [9449] = {.lex_state = 0},
  [9450] = {.lex_state = 0},
  [9451] = {.lex_state = 0},
  [9452] = {.lex_state = 0},
  [9453] = {.lex_state = 0},
  [9454] = {.lex_state = 202},
  [9455] = {.lex_state = 0},
  [9456] = {.lex_state = 389},
  [9457] = {.lex_state = 0},
  [9458] = {.lex_state = 0},
  [9459] = {.lex_state = 0},
  [9460] = {.lex_state = 0},
  [9461] = {.lex_state = 246},
  [9462] = {.lex_state = 0},
  [9463] = {.lex_state = 246},
  [9464] = {.lex_state = 0},
  [9465] = {.lex_state = 0},
  [9466] = {.lex_state = 208},
  [9467] = {.lex_state = 0},
  [9468] = {.lex_state = 0},
  [9469] = {.lex_state = 389},
  [9470] = {.lex_state = 0},
  [9471] = {.lex_state = 124},
  [9472] = {.lex_state = 0},
  [9473] = {.lex_state = 0},
  [9474] = {.lex_state = 0},
  [9475] = {.lex_state = 202},
  [9476] = {.lex_state = 389},
  [9477] = {.lex_state = 0},
  [9478] = {.lex_state = 246},
  [9479] = {.lex_state = 0},
  [9480] = {.lex_state = 0},
  [9481] = {.lex_state = 124},
  [9482] = {.lex_state = 0, .external_lex_state = 2},
  [9483] = {.lex_state = 0},
  [9484] = {.lex_state = 246},
  [9485] = {.lex_state = 0},
  [9486] = {.lex_state = 0},
  [9487] = {.lex_state = 124},
  [9488] = {.lex_state = 0},
  [9489] = {.lex_state = 0},
  [9490] = {.lex_state = 246},
  [9491] = {.lex_state = 0},
  [9492] = {.lex_state = 0},
  [9493] = {.lex_state = 0},
  [9494] = {.lex_state = 246},
  [9495] = {.lex_state = 0},
  [9496] = {.lex_state = 202},
  [9497] = {.lex_state = 0},
  [9498] = {.lex_state = 0},
  [9499] = {.lex_state = 124},
  [9500] = {.lex_state = 0},
  [9501] = {.lex_state = 0},
  [9502] = {.lex_state = 0},
  [9503] = {.lex_state = 0},
  [9504] = {.lex_state = 0},
  [9505] = {.lex_state = 0},
  [9506] = {.lex_state = 246},
  [9507] = {.lex_state = 0},
  [9508] = {.lex_state = 0},
  [9509] = {.lex_state = 0},
  [9510] = {.lex_state = 0},
  [9511] = {.lex_state = 0},
  [9512] = {.lex_state = 246},
  [9513] = {.lex_state = 0},
  [9514] = {.lex_state = 246},
  [9515] = {.lex_state = 0},
  [9516] = {.lex_state = 0},
  [9517] = {.lex_state = 0},
  [9518] = {.lex_state = 0},
  [9519] = {.lex_state = 202},
  [9520] = {.lex_state = 0, .external_lex_state = 2},
  [9521] = {.lex_state = 0},
  [9522] = {.lex_state = 0},
  [9523] = {.lex_state = 246},
  [9524] = {.lex_state = 246},
  [9525] = {.lex_state = 0},
  [9526] = {.lex_state = 246},
  [9527] = {.lex_state = 0},
  [9528] = {.lex_state = 0},
  [9529] = {.lex_state = 0},
  [9530] = {.lex_state = 0},
  [9531] = {.lex_state = 0},
  [9532] = {.lex_state = 389},
  [9533] = {.lex_state = 246},
  [9534] = {.lex_state = 0},
  [9535] = {.lex_state = 0},
  [9536] = {.lex_state = 0},
  [9537] = {.lex_state = 0},
  [9538] = {.lex_state = 246},
  [9539] = {.lex_state = 0},
  [9540] = {.lex_state = 389},
  [9541] = {.lex_state = 0},
  [9542] = {.lex_state = 246},
  [9543] = {.lex_state = 0},
  [9544] = {.lex_state = 0},
  [9545] = {.lex_state = 0},
  [9546] = {.lex_state = 0},
  [9547] = {.lex_state = 0},
  [9548] = {.lex_state = 0},
  [9549] = {.lex_state = 0},
  [9550] = {.lex_state = 246},
  [9551] = {.lex_state = 0},
  [9552] = {.lex_state = 0},
  [9553] = {.lex_state = 0},
  [9554] = {.lex_state = 0},
  [9555] = {.lex_state = 389},
  [9556] = {.lex_state = 208},
  [9557] = {.lex_state = 246},
  [9558] = {.lex_state = 389},
  [9559] = {.lex_state = 389},
  [9560] = {.lex_state = 124},
  [9561] = {.lex_state = 202},
  [9562] = {.lex_state = 246},
  [9563] = {.lex_state = 0},
  [9564] = {.lex_state = 0},
  [9565] = {.lex_state = 246},
  [9566] = {.lex_state = 0},
  [9567] = {.lex_state = 0},
  [9568] = {.lex_state = 0},
  [9569] = {.lex_state = 0},
  [9570] = {.lex_state = 0},
  [9571] = {.lex_state = 246},
  [9572] = {.lex_state = 0},
  [9573] = {.lex_state = 0},
  [9574] = {.lex_state = 0},
  [9575] = {.lex_state = 0},
  [9576] = {.lex_state = 0},
  [9577] = {.lex_state = 0},
  [9578] = {.lex_state = 0},
  [9579] = {.lex_state = 0},
  [9580] = {.lex_state = 0},
  [9581] = {.lex_state = 0},
  [9582] = {.lex_state = 0},
  [9583] = {.lex_state = 0},
  [9584] = {.lex_state = 246},
  [9585] = {.lex_state = 246},
  [9586] = {.lex_state = 246},
  [9587] = {.lex_state = 0},
  [9588] = {.lex_state = 0},
  [9589] = {.lex_state = 246},
  [9590] = {.lex_state = 246},
  [9591] = {.lex_state = 246},
  [9592] = {.lex_state = 246},
  [9593] = {.lex_state = 0},
  [9594] = {.lex_state = 0},
  [9595] = {.lex_state = 0},
  [9596] = {.lex_state = 0},
  [9597] = {.lex_state = 0},
  [9598] = {.lex_state = 246},
  [9599] = {.lex_state = 0, .external_lex_state = 2},
  [9600] = {.lex_state = 200},
  [9601] = {.lex_state = 246},
  [9602] = {.lex_state = 208},
  [9603] = {.lex_state = 124},
  [9604] = {.lex_state = 0},
  [9605] = {.lex_state = 246},
  [9606] = {.lex_state = 202},
  [9607] = {.lex_state = 202},
  [9608] = {.lex_state = 389},
  [9609] = {.lex_state = 0},
  [9610] = {.lex_state = 0},
  [9611] = {.lex_state = 0},
  [9612] = {.lex_state = 0},
  [9613] = {.lex_state = 0},
  [9614] = {.lex_state = 0},
  [9615] = {.lex_state = 0},
  [9616] = {.lex_state = 0},
  [9617] = {.lex_state = 0},
  [9618] = {.lex_state = 0},
  [9619] = {.lex_state = 0},
  [9620] = {.lex_state = 0},
  [9621] = {.lex_state = 124},
  [9622] = {.lex_state = 202},
  [9623] = {.lex_state = 389},
  [9624] = {.lex_state = 389},
  [9625] = {.lex_state = 204},
  [9626] = {.lex_state = 202},
  [9627] = {.lex_state = 254},
  [9628] = {.lex_state = 124},
  [9629] = {.lex_state = 389},
  [9630] = {.lex_state = 0},
  [9631] = {.lex_state = 246},
  [9632] = {.lex_state = 0},
  [9633] = {.lex_state = 0},
  [9634] = {.lex_state = 254},
  [9635] = {.lex_state = 200},
  [9636] = {.lex_state = 203},
  [9637] = {.lex_state = 0},
  [9638] = {.lex_state = 0},
  [9639] = {.lex_state = 0},
  [9640] = {.lex_state = 202},
  [9641] = {.lex_state = 0},
  [9642] = {.lex_state = 389},
  [9643] = {.lex_state = 200},
  [9644] = {.lex_state = 0},
  [9645] = {.lex_state = 202},
  [9646] = {.lex_state = 0},
  [9647] = {.lex_state = 389},
  [9648] = {.lex_state = 389},
  [9649] = {.lex_state = 246},
  [9650] = {.lex_state = 389},
  [9651] = {.lex_state = 284},
  [9652] = {.lex_state = 254},
  [9653] = {.lex_state = 0},
  [9654] = {.lex_state = 208},
  [9655] = {.lex_state = 0, .external_lex_state = 2},
  [9656] = {.lex_state = 0},
  [9657] = {.lex_state = 246},
  [9658] = {.lex_state = 202},
  [9659] = {.lex_state = 202},
  [9660] = {.lex_state = 0},
  [9661] = {.lex_state = 0},
  [9662] = {.lex_state = 0},
  [9663] = {.lex_state = 0},
  [9664] = {.lex_state = 0},
  [9665] = {.lex_state = 0},
  [9666] = {.lex_state = 0},
  [9667] = {.lex_state = 208},
  [9668] = {.lex_state = 0},
  [9669] = {.lex_state = 0},
  [9670] = {.lex_state = 202},
  [9671] = {.lex_state = 0},
  [9672] = {.lex_state = 0},
  [9673] = {.lex_state = 124},
  [9674] = {.lex_state = 389},
  [9675] = {.lex_state = 0},
  [9676] = {.lex_state = 0},
  [9677] = {.lex_state = 0},
  [9678] = {.lex_state = 0},
  [9679] = {.lex_state = 0},
  [9680] = {.lex_state = 0},
  [9681] = {.lex_state = 246},
  [9682] = {.lex_state = 0},
  [9683] = {.lex_state = 0},
  [9684] = {.lex_state = 0},
  [9685] = {.lex_state = 246},
  [9686] = {.lex_state = 0},
  [9687] = {.lex_state = 0},
  [9688] = {.lex_state = 0},
  [9689] = {.lex_state = 0},
  [9690] = {.lex_state = 246},
  [9691] = {.lex_state = 0},
  [9692] = {.lex_state = 202},
  [9693] = {.lex_state = 0},
  [9694] = {.lex_state = 0},
  [9695] = {.lex_state = 0},
  [9696] = {.lex_state = 124},
  [9697] = {.lex_state = 0},
  [9698] = {.lex_state = 0},
  [9699] = {.lex_state = 246},
  [9700] = {.lex_state = 246},
  [9701] = {.lex_state = 124},
  [9702] = {.lex_state = 202},
  [9703] = {.lex_state = 0},
  [9704] = {.lex_state = 124},
  [9705] = {.lex_state = 0, .external_lex_state = 2},
  [9706] = {.lex_state = 0},
  [9707] = {.lex_state = 246},
  [9708] = {.lex_state = 202},
  [9709] = {.lex_state = 0},
  [9710] = {.lex_state = 246},
  [9711] = {.lex_state = 208},
  [9712] = {.lex_state = 0},
  [9713] = {.lex_state = 0},
  [9714] = {.lex_state = 0},
  [9715] = {.lex_state = 0},
  [9716] = {.lex_state = 246},
  [9717] = {.lex_state = 0},
  [9718] = {.lex_state = 0},
  [9719] = {.lex_state = 0},
  [9720] = {.lex_state = 0},
  [9721] = {.lex_state = 0, .external_lex_state = 2},
  [9722] = {.lex_state = 0},
  [9723] = {.lex_state = 389},
  [9724] = {.lex_state = 0},
  [9725] = {.lex_state = 0},
  [9726] = {.lex_state = 0},
  [9727] = {.lex_state = 246},
  [9728] = {.lex_state = 0},
  [9729] = {.lex_state = 0},
  [9730] = {.lex_state = 246},
  [9731] = {.lex_state = 246},
  [9732] = {.lex_state = 208},
  [9733] = {.lex_state = 124},
  [9734] = {.lex_state = 208},
  [9735] = {.lex_state = 246},
  [9736] = {.lex_state = 0},
  [9737] = {.lex_state = 246},
  [9738] = {.lex_state = 202},
  [9739] = {.lex_state = 246},
  [9740] = {.lex_state = 389},
  [9741] = {.lex_state = 0},
  [9742] = {.lex_state = 0},
  [9743] = {.lex_state = 0},
  [9744] = {.lex_state = 202},
  [9745] = {.lex_state = 0},
  [9746] = {.lex_state = 0},
  [9747] = {.lex_state = 246},
  [9748] = {.lex_state = 124},
  [9749] = {.lex_state = 389},
  [9750] = {.lex_state = 246},
  [9751] = {.lex_state = 0},
  [9752] = {.lex_state = 0},
  [9753] = {.lex_state = 0, .external_lex_state = 2},
  [9754] = {.lex_state = 0},
  [9755] = {.lex_state = 246},
  [9756] = {.lex_state = 0},
  [9757] = {.lex_state = 0},
  [9758] = {.lex_state = 0},
  [9759] = {.lex_state = 389},
  [9760] = {.lex_state = 0},
  [9761] = {.lex_state = 0},
  [9762] = {.lex_state = 0},
  [9763] = {.lex_state = 208},
  [9764] = {.lex_state = 246},
  [9765] = {.lex_state = 124},
  [9766] = {.lex_state = 0},
  [9767] = {.lex_state = 202},
  [9768] = {.lex_state = 389},
  [9769] = {.lex_state = 0},
  [9770] = {.lex_state = 389},
  [9771] = {.lex_state = 0},
  [9772] = {.lex_state = 389},
  [9773] = {.lex_state = 0},
  [9774] = {.lex_state = 246},
  [9775] = {.lex_state = 246},
  [9776] = {.lex_state = 0},
  [9777] = {.lex_state = 0},
  [9778] = {.lex_state = 0},
  [9779] = {.lex_state = 0},
  [9780] = {.lex_state = 0},
  [9781] = {.lex_state = 0},
  [9782] = {.lex_state = 0},
  [9783] = {.lex_state = 246},
  [9784] = {.lex_state = 0},
  [9785] = {.lex_state = 0},
  [9786] = {.lex_state = 0},
  [9787] = {.lex_state = 0},
  [9788] = {.lex_state = 0},
  [9789] = {.lex_state = 0},
  [9790] = {.lex_state = 0, .external_lex_state = 2},
  [9791] = {.lex_state = 0},
  [9792] = {.lex_state = 0},
  [9793] = {.lex_state = 0},
  [9794] = {.lex_state = 246},
  [9795] = {.lex_state = 0, .external_lex_state = 2},
  [9796] = {.lex_state = 0},
  [9797] = {.lex_state = 0},
  [9798] = {.lex_state = 124},
  [9799] = {.lex_state = 389},
  [9800] = {.lex_state = 0, .external_lex_state = 3},
  [9801] = {.lex_state = 389},
  [9802] = {.lex_state = 0},
  [9803] = {.lex_state = 0},
  [9804] = {.lex_state = 0},
  [9805] = {.lex_state = 0},
  [9806] = {.lex_state = 0},
  [9807] = {.lex_state = 0},
  [9808] = {.lex_state = 0},
  [9809] = {.lex_state = 0, .external_lex_state = 2},
  [9810] = {.lex_state = 0},
  [9811] = {.lex_state = 0},
  [9812] = {.lex_state = 246},
  [9813] = {.lex_state = 0},
  [9814] = {.lex_state = 389},
  [9815] = {.lex_state = 0},
  [9816] = {.lex_state = 246},
  [9817] = {.lex_state = 0},
  [9818] = {.lex_state = 0},
  [9819] = {.lex_state = 124},
  [9820] = {.lex_state = 0, .external_lex_state = 2},
  [9821] = {.lex_state = 124},
  [9822] = {.lex_state = 202},
  [9823] = {.lex_state = 202},
  [9824] = {.lex_state = 389},
  [9825] = {.lex_state = 0},
  [9826] = {.lex_state = 0, .external_lex_state = 2},
  [9827] = {.lex_state = 389},
  [9828] = {.lex_state = 0},
  [9829] = {.lex_state = 0, .external_lex_state = 2},
  [9830] = {.lex_state = 0},
  [9831] = {.lex_state = 0},
  [9832] = {.lex_state = 0, .external_lex_state = 2},
  [9833] = {.lex_state = 0},
  [9834] = {.lex_state = 0, .external_lex_state = 2},
  [9835] = {.lex_state = 0},
  [9836] = {.lex_state = 0, .external_lex_state = 2},
  [9837] = {.lex_state = 0},
  [9838] = {.lex_state = 0, .external_lex_state = 2},
  [9839] = {.lex_state = 0},
  [9840] = {.lex_state = 0, .external_lex_state = 2},
  [9841] = {.lex_state = 0},
  [9842] = {.lex_state = 0, .external_lex_state = 2},
  [9843] = {.lex_state = 202},
  [9844] = {.lex_state = 202},
  [9845] = {.lex_state = 246},
  [9846] = {.lex_state = 389},
  [9847] = {.lex_state = 246},
  [9848] = {.lex_state = 389},
  [9849] = {.lex_state = 389},
  [9850] = {.lex_state = 0},
  [9851] = {.lex_state = 0},
  [9852] = {.lex_state = 389},
  [9853] = {.lex_state = 0},
  [9854] = {.lex_state = 389},
  [9855] = {.lex_state = 389},
  [9856] = {.lex_state = 0},
  [9857] = {.lex_state = 0},
  [9858] = {.lex_state = 0},
  [9859] = {.lex_state = 0},
  [9860] = {.lex_state = 0},
  [9861] = {.lex_state = 0},
  [9862] = {.lex_state = 0},
  [9863] = {.lex_state = 0},
  [9864] = {.lex_state = 0},
  [9865] = {.lex_state = 124},
  [9866] = {.lex_state = 0},
  [9867] = {.lex_state = 0},
  [9868] = {.lex_state = 124},
  [9869] = {.lex_state = 208},
  [9870] = {.lex_state = 246},
  [9871] = {.lex_state = 246},
  [9872] = {.lex_state = 389},
  [9873] = {.lex_state = 0},
  [9874] = {.lex_state = 246},
  [9875] = {.lex_state = 0},
  [9876] = {.lex_state = 0},
  [9877] = {.lex_state = 389},
  [9878] = {.lex_state = 0, .external_lex_state = 3},
  [9879] = {.lex_state = 0},
  [9880] = {.lex_state = 0},
  [9881] = {.lex_state = 0},
  [9882] = {.lex_state = 389},
  [9883] = {.lex_state = 389},
  [9884] = {.lex_state = 246},
  [9885] = {.lex_state = 0},
  [9886] = {.lex_state = 0},
  [9887] = {.lex_state = 0},
  [9888] = {.lex_state = 0},
  [9889] = {.lex_state = 0},
  [9890] = {.lex_state = 0},
  [9891] = {.lex_state = 0},
  [9892] = {.lex_state = 246},
  [9893] = {.lex_state = 246},
  [9894] = {.lex_state = 246},
  [9895] = {.lex_state = 0},
  [9896] = {.lex_state = 0},
  [9897] = {.lex_state = 0},
  [9898] = {.lex_state = 0},
  [9899] = {.lex_state = 0},
  [9900] = {.lex_state = 208},
  [9901] = {.lex_state = 208},
  [9902] = {.lex_state = 0},
  [9903] = {.lex_state = 0},
  [9904] = {.lex_state = 208},
  [9905] = {.lex_state = 246},
  [9906] = {.lex_state = 124},
  [9907] = {.lex_state = 202},
  [9908] = {.lex_state = 0},
  [9909] = {.lex_state = 208},
  [9910] = {.lex_state = 0},
  [9911] = {.lex_state = 0},
  [9912] = {.lex_state = 0},
  [9913] = {.lex_state = 0},
  [9914] = {.lex_state = 0},
  [9915] = {.lex_state = 0},
  [9916] = {.lex_state = 246},
  [9917] = {.lex_state = 246},
  [9918] = {.lex_state = 0},
  [9919] = {.lex_state = 208},
  [9920] = {.lex_state = 202},
  [9921] = {.lex_state = 0},
  [9922] = {.lex_state = 0},
  [9923] = {.lex_state = 0},
  [9924] = {.lex_state = 246},
  [9925] = {.lex_state = 0},
  [9926] = {.lex_state = 208},
  [9927] = {.lex_state = 0},
  [9928] = {.lex_state = 0},
  [9929] = {.lex_state = 0},
  [9930] = {.lex_state = 0},
  [9931] = {.lex_state = 0},
  [9932] = {.lex_state = 0},
  [9933] = {.lex_state = 0},
  [9934] = {.lex_state = 0},
  [9935] = {.lex_state = 0},
  [9936] = {.lex_state = 0},
  [9937] = {.lex_state = 0},
  [9938] = {.lex_state = 202},
  [9939] = {.lex_state = 0},
  [9940] = {.lex_state = 0},
  [9941] = {.lex_state = 0},
  [9942] = {.lex_state = 0},
  [9943] = {.lex_state = 208},
  [9944] = {.lex_state = 0},
  [9945] = {.lex_state = 0},
  [9946] = {.lex_state = 246},
  [9947] = {.lex_state = 0},
  [9948] = {.lex_state = 0},
  [9949] = {.lex_state = 0},
  [9950] = {.lex_state = 202},
  [9951] = {.lex_state = 202},
  [9952] = {.lex_state = 0},
  [9953] = {.lex_state = 0},
  [9954] = {.lex_state = 124},
  [9955] = {.lex_state = 0},
  [9956] = {.lex_state = 202},
  [9957] = {.lex_state = 0},
  [9958] = {.lex_state = 202},
  [9959] = {.lex_state = 246},
  [9960] = {.lex_state = 202},
  [9961] = {.lex_state = 0},
  [9962] = {.lex_state = 0},
  [9963] = {.lex_state = 0},
  [9964] = {.lex_state = 0},
  [9965] = {.lex_state = 0},
  [9966] = {.lex_state = 0},
  [9967] = {.lex_state = 0},
  [9968] = {.lex_state = 124},
  [9969] = {.lex_state = 0},
  [9970] = {.lex_state = 202},
  [9971] = {.lex_state = 246},
  [9972] = {.lex_state = 124},
  [9973] = {.lex_state = 0},
  [9974] = {.lex_state = 0},
  [9975] = {.lex_state = 0},
  [9976] = {.lex_state = 0},
  [9977] = {.lex_state = 0},
  [9978] = {.lex_state = 0},
  [9979] = {.lex_state = 0},
  [9980] = {.lex_state = 0},
  [9981] = {.lex_state = 0},
  [9982] = {.lex_state = 246},
  [9983] = {.lex_state = 0},
  [9984] = {.lex_state = 0},
  [9985] = {.lex_state = 0},
  [9986] = {.lex_state = 0},
  [9987] = {.lex_state = 202},
  [9988] = {.lex_state = 0},
  [9989] = {.lex_state = 0},
  [9990] = {.lex_state = 124},
  [9991] = {.lex_state = 0},
  [9992] = {.lex_state = 0},
  [9993] = {.lex_state = 0},
  [9994] = {.lex_state = 0},
  [9995] = {.lex_state = 0},
  [9996] = {.lex_state = 0},
  [9997] = {.lex_state = 0},
  [9998] = {.lex_state = 0},
  [9999] = {.lex_state = 0},
  [10000] = {.lex_state = 0},
  [10001] = {.lex_state = 0},
  [10002] = {.lex_state = 0},
  [10003] = {.lex_state = 0},
  [10004] = {.lex_state = 0},
  [10005] = {.lex_state = 208},
  [10006] = {.lex_state = 246},
  [10007] = {.lex_state = 0},
  [10008] = {.lex_state = 0},
  [10009] = {.lex_state = 246},
  [10010] = {.lex_state = 389},
  [10011] = {.lex_state = 0},
  [10012] = {.lex_state = 0},
  [10013] = {.lex_state = 0},
  [10014] = {.lex_state = 0},
  [10015] = {.lex_state = 0},
  [10016] = {.lex_state = 0},
  [10017] = {.lex_state = 0},
  [10018] = {.lex_state = 0},
  [10019] = {.lex_state = 0},
  [10020] = {.lex_state = 0},
  [10021] = {.lex_state = 0},
  [10022] = {.lex_state = 0},
  [10023] = {.lex_state = 0},
  [10024] = {.lex_state = 0},
  [10025] = {.lex_state = 0},
  [10026] = {.lex_state = 0},
  [10027] = {.lex_state = 202},
  [10028] = {.lex_state = 246},
  [10029] = {.lex_state = 0},
  [10030] = {.lex_state = 0},
  [10031] = {.lex_state = 0},
  [10032] = {.lex_state = 0},
  [10033] = {.lex_state = 0},
  [10034] = {.lex_state = 246},
  [10035] = {.lex_state = 0},
  [10036] = {.lex_state = 124},
  [10037] = {.lex_state = 0},
  [10038] = {.lex_state = 202},
  [10039] = {.lex_state = 0},
  [10040] = {.lex_state = 202},
  [10041] = {.lex_state = 124},
  [10042] = {.lex_state = 246},
  [10043] = {.lex_state = 0},
  [10044] = {.lex_state = 0},
  [10045] = {.lex_state = 124},
  [10046] = {.lex_state = 0},
  [10047] = {.lex_state = 0},
  [10048] = {.lex_state = 389},
  [10049] = {.lex_state = 389},
  [10050] = {.lex_state = 389},
  [10051] = {.lex_state = 0},
  [10052] = {.lex_state = 389},
  [10053] = {.lex_state = 124},
  [10054] = {.lex_state = 208},
  [10055] = {.lex_state = 0},
  [10056] = {.lex_state = 246},
  [10057] = {.lex_state = 0},
  [10058] = {.lex_state = 246},
  [10059] = {.lex_state = 208},
  [10060] = {.lex_state = 389},
  [10061] = {.lex_state = 0},
  [10062] = {.lex_state = 389},
  [10063] = {.lex_state = 202},
  [10064] = {.lex_state = 389},
  [10065] = {.lex_state = 0, .external_lex_state = 3},
  [10066] = {.lex_state = 389},
  [10067] = {.lex_state = 389},
  [10068] = {.lex_state = 246},
  [10069] = {.lex_state = 0},
  [10070] = {.lex_state = 0},
  [10071] = {.lex_state = 0},
  [10072] = {.lex_state = 0},
  [10073] = {.lex_state = 0},
  [10074] = {.lex_state = 0},
  [10075] = {.lex_state = 202},
  [10076] = {.lex_state = 0},
  [10077] = {.lex_state = 208},
  [10078] = {.lex_state = 389},
  [10079] = {.lex_state = 0},
  [10080] = {.lex_state = 0},
  [10081] = {.lex_state = 389},
  [10082] = {.lex_state = 389},
  [10083] = {.lex_state = 0},
  [10084] = {.lex_state = 389},
  [10085] = {.lex_state = 0},
  [10086] = {.lex_state = 202},
  [10087] = {.lex_state = 0},
  [10088] = {.lex_state = 246},
  [10089] = {.lex_state = 0},
  [10090] = {.lex_state = 389},
  [10091] = {.lex_state = 0},
  [10092] = {.lex_state = 0},
  [10093] = {.lex_state = 389},
  [10094] = {.lex_state = 0, .external_lex_state = 3},
  [10095] = {.lex_state = 0},
  [10096] = {.lex_state = 0},
  [10097] = {.lex_state = 0},
  [10098] = {.lex_state = 202},
  [10099] = {.lex_state = 0},
  [10100] = {.lex_state = 0},
  [10101] = {.lex_state = 0},
  [10102] = {.lex_state = 0},
  [10103] = {.lex_state = 208},
  [10104] = {.lex_state = 0},
  [10105] = {.lex_state = 0},
  [10106] = {.lex_state = 389},
  [10107] = {.lex_state = 389},
  [10108] = {.lex_state = 389},
  [10109] = {.lex_state = 0},
  [10110] = {.lex_state = 389},
  [10111] = {.lex_state = 202},
  [10112] = {.lex_state = 0},
  [10113] = {.lex_state = 246},
  [10114] = {.lex_state = 0},
  [10115] = {.lex_state = 389},
  [10116] = {.lex_state = 0},
  [10117] = {.lex_state = 0},
  [10118] = {.lex_state = 389},
  [10119] = {.lex_state = 0, .external_lex_state = 3},
  [10120] = {.lex_state = 208},
  [10121] = {.lex_state = 0},
  [10122] = {.lex_state = 0},
  [10123] = {.lex_state = 0},
  [10124] = {.lex_state = 202},
  [10125] = {.lex_state = 0},
  [10126] = {.lex_state = 0},
  [10127] = {.lex_state = 208},
  [10128] = {.lex_state = 124},
  [10129] = {.lex_state = 0},
  [10130] = {.lex_state = 389},
  [10131] = {.lex_state = 389},
  [10132] = {.lex_state = 0},
  [10133] = {.lex_state = 389},
  [10134] = {.lex_state = 0},
  [10135] = {.lex_state = 0},
  [10136] = {.lex_state = 246},
  [10137] = {.lex_state = 389},
  [10138] = {.lex_state = 0},
  [10139] = {.lex_state = 0, .external_lex_state = 3},
  [10140] = {.lex_state = 389},
  [10141] = {.lex_state = 0, .external_lex_state = 3},
  [10142] = {.lex_state = 389},
  [10143] = {.lex_state = 0},
  [10144] = {.lex_state = 0},
  [10145] = {.lex_state = 0},
  [10146] = {.lex_state = 246},
  [10147] = {.lex_state = 0},
  [10148] = {.lex_state = 208},
  [10149] = {.lex_state = 389},
  [10150] = {.lex_state = 0},
  [10151] = {.lex_state = 389},
  [10152] = {.lex_state = 389},
  [10153] = {.lex_state = 124},
  [10154] = {.lex_state = 389},
  [10155] = {.lex_state = 0},
  [10156] = {.lex_state = 0},
  [10157] = {.lex_state = 389},
  [10158] = {.lex_state = 208},
  [10159] = {.lex_state = 246},
  [10160] = {.lex_state = 389},
  [10161] = {.lex_state = 0, .external_lex_state = 3},
  [10162] = {.lex_state = 0},
  [10163] = {.lex_state = 0},
  [10164] = {.lex_state = 202},
  [10165] = {.lex_state = 0},
  [10166] = {.lex_state = 0},
  [10167] = {.lex_state = 0},
  [10168] = {.lex_state = 208},
  [10169] = {.lex_state = 124},
  [10170] = {.lex_state = 389},
  [10171] = {.lex_state = 389},
  [10172] = {.lex_state = 202},
  [10173] = {.lex_state = 389},
  [10174] = {.lex_state = 246},
  [10175] = {.lex_state = 0},
  [10176] = {.lex_state = 389},
  [10177] = {.lex_state = 389},
  [10178] = {.lex_state = 202},
  [10179] = {.lex_state = 389},
  [10180] = {.lex_state = 0, .external_lex_state = 3},
  [10181] = {.lex_state = 0},
  [10182] = {.lex_state = 0},
  [10183] = {.lex_state = 0},
  [10184] = {.lex_state = 0},
  [10185] = {.lex_state = 202},
  [10186] = {.lex_state = 0},
  [10187] = {.lex_state = 208},
  [10188] = {.lex_state = 246},
  [10189] = {.lex_state = 389},
  [10190] = {.lex_state = 246},
  [10191] = {.lex_state = 389},
  [10192] = {.lex_state = 208},
  [10193] = {.lex_state = 0},
  [10194] = {.lex_state = 389},
  [10195] = {.lex_state = 0},
  [10196] = {.lex_state = 389},
  [10197] = {.lex_state = 0, .external_lex_state = 3},
  [10198] = {.lex_state = 246},
  [10199] = {.lex_state = 202},
  [10200] = {.lex_state = 0},
  [10201] = {.lex_state = 202},
  [10202] = {.lex_state = 0},
  [10203] = {.lex_state = 0},
  [10204] = {.lex_state = 389},
  [10205] = {.lex_state = 389},
  [10206] = {.lex_state = 202},
  [10207] = {.lex_state = 0, .external_lex_state = 3},
  [10208] = {.lex_state = 0},
  [10209] = {.lex_state = 0},
  [10210] = {.lex_state = 0},
  [10211] = {.lex_state = 0},
  [10212] = {.lex_state = 389},
  [10213] = {.lex_state = 389},
  [10214] = {.lex_state = 202},
  [10215] = {.lex_state = 0, .external_lex_state = 3},
  [10216] = {.lex_state = 0},
  [10217] = {.lex_state = 0},
  [10218] = {.lex_state = 389},
  [10219] = {.lex_state = 389},
  [10220] = {.lex_state = 0, .external_lex_state = 3},
  [10221] = {.lex_state = 0},
  [10222] = {.lex_state = 0, .external_lex_state = 3},
  [10223] = {.lex_state = 0},
  [10224] = {.lex_state = 0, .external_lex_state = 3},
  [10225] = {.lex_state = 0},
  [10226] = {.lex_state = 0, .external_lex_state = 3},
  [10227] = {.lex_state = 0},
  [10228] = {.lex_state = 0, .external_lex_state = 3},
  [10229] = {.lex_state = 0},
  [10230] = {.lex_state = 0, .external_lex_state = 3},
  [10231] = {.lex_state = 0},
  [10232] = {.lex_state = 0, .external_lex_state = 3},
  [10233] = {.lex_state = 0},
  [10234] = {.lex_state = 0, .external_lex_state = 3},
  [10235] = {.lex_state = 0},
  [10236] = {.lex_state = 0},
  [10237] = {.lex_state = 389},
  [10238] = {.lex_state = 389},
  [10239] = {.lex_state = 389},
  [10240] = {.lex_state = 246},
  [10241] = {.lex_state = 0},
  [10242] = {.lex_state = 0},
  [10243] = {.lex_state = 0},
  [10244] = {.lex_state = 0},
  [10245] = {.lex_state = 0},
  [10246] = {.lex_state = 0},
  [10247] = {.lex_state = 0},
  [10248] = {.lex_state = 0},
  [10249] = {.lex_state = 246},
  [10250] = {.lex_state = 0},
  [10251] = {.lex_state = 0},
  [10252] = {.lex_state = 0},
  [10253] = {.lex_state = 0},
  [10254] = {.lex_state = 389},
  [10255] = {.lex_state = 124},
  [10256] = {.lex_state = 0},
  [10257] = {.lex_state = 0},
  [10258] = {.lex_state = 246},
  [10259] = {.lex_state = 0, .external_lex_state = 3},
  [10260] = {.lex_state = 0},
  [10261] = {.lex_state = 0},
  [10262] = {.lex_state = 202},
  [10263] = {.lex_state = 0},
  [10264] = {.lex_state = 202},
  [10265] = {.lex_state = 0},
  [10266] = {.lex_state = 0},
  [10267] = {.lex_state = 0},
  [10268] = {.lex_state = 0},
  [10269] = {.lex_state = 0},
  [10270] = {.lex_state = 0},
  [10271] = {.lex_state = 0},
  [10272] = {.lex_state = 0},
  [10273] = {.lex_state = 0},
  [10274] = {.lex_state = 0},
  [10275] = {.lex_state = 0},
  [10276] = {.lex_state = 0},
  [10277] = {.lex_state = 389},
  [10278] = {.lex_state = 246},
  [10279] = {.lex_state = 0},
  [10280] = {.lex_state = 246},
  [10281] = {.lex_state = 0},
  [10282] = {.lex_state = 0},
  [10283] = {.lex_state = 0},
  [10284] = {.lex_state = 0},
  [10285] = {.lex_state = 208},
  [10286] = {.lex_state = 0},
  [10287] = {.lex_state = 0},
  [10288] = {.lex_state = 0},
  [10289] = {.lex_state = 0},
  [10290] = {.lex_state = 208},
  [10291] = {.lex_state = 0},
  [10292] = {.lex_state = 246},
  [10293] = {.lex_state = 246},
  [10294] = {.lex_state = 0},
  [10295] = {.lex_state = 389},
  [10296] = {.lex_state = 0},
  [10297] = {.lex_state = 0},
  [10298] = {.lex_state = 0},
  [10299] = {.lex_state = 0},
  [10300] = {.lex_state = 0},
  [10301] = {.lex_state = 0},
  [10302] = {.lex_state = 0},
  [10303] = {.lex_state = 246},
  [10304] = {.lex_state = 124},
  [10305] = {.lex_state = 0},
  [10306] = {.lex_state = 124},
  [10307] = {.lex_state = 202},
  [10308] = {.lex_state = 0},
  [10309] = {.lex_state = 124},
  [10310] = {.lex_state = 0},
  [10311] = {.lex_state = 0},
  [10312] = {.lex_state = 0},
  [10313] = {.lex_state = 0},
  [10314] = {.lex_state = 389},
  [10315] = {.lex_state = 124},
  [10316] = {.lex_state = 0},
  [10317] = {.lex_state = 0},
  [10318] = {.lex_state = 0},
  [10319] = {.lex_state = 208},
  [10320] = {.lex_state = 0},
  [10321] = {.lex_state = 0},
  [10322] = {.lex_state = 389},
  [10323] = {.lex_state = 389},
  [10324] = {.lex_state = 246},
  [10325] = {.lex_state = 0},
  [10326] = {.lex_state = 0},
  [10327] = {.lex_state = 0},
  [10328] = {.lex_state = 389},
  [10329] = {.lex_state = 246},
  [10330] = {.lex_state = 0, .external_lex_state = 3},
  [10331] = {.lex_state = 0},
  [10332] = {.lex_state = 389},
  [10333] = {.lex_state = 0},
  [10334] = {.lex_state = 389},
  [10335] = {.lex_state = 389},
  [10336] = {.lex_state = 246},
  [10337] = {.lex_state = 0},
  [10338] = {.lex_state = 0},
  [10339] = {.lex_state = 389},
  [10340] = {.lex_state = 246},
  [10341] = {.lex_state = 0, .external_lex_state = 3},
  [10342] = {.lex_state = 0},
  [10343] = {.lex_state = 246},
  [10344] = {.lex_state = 389},
  [10345] = {.lex_state = 389},
  [10346] = {.lex_state = 389},
  [10347] = {.lex_state = 246},
  [10348] = {.lex_state = 0},
  [10349] = {.lex_state = 208},
  [10350] = {.lex_state = 389},
  [10351] = {.lex_state = 246},
  [10352] = {.lex_state = 0, .external_lex_state = 3},
  [10353] = {.lex_state = 0},
  [10354] = {.lex_state = 0},
  [10355] = {.lex_state = 389},
  [10356] = {.lex_state = 389},
  [10357] = {.lex_state = 246},
  [10358] = {.lex_state = 0},
  [10359] = {.lex_state = 389},
  [10360] = {.lex_state = 246},
  [10361] = {.lex_state = 0, .external_lex_state = 3},
  [10362] = {.lex_state = 0},
  [10363] = {.lex_state = 0},
  [10364] = {.lex_state = 389},
  [10365] = {.lex_state = 246},
  [10366] = {.lex_state = 246},
  [10367] = {.lex_state = 208},
  [10368] = {.lex_state = 246},
  [10369] = {.lex_state = 0, .external_lex_state = 3},
  [10370] = {.lex_state = 389},
  [10371] = {.lex_state = 389},
  [10372] = {.lex_state = 389},
  [10373] = {.lex_state = 246},
  [10374] = {.lex_state = 124},
  [10375] = {.lex_state = 389},
  [10376] = {.lex_state = 246},
  [10377] = {.lex_state = 0, .external_lex_state = 3},
  [10378] = {.lex_state = 246},
  [10379] = {.lex_state = 0},
  [10380] = {.lex_state = 389},
  [10381] = {.lex_state = 246},
  [10382] = {.lex_state = 0},
  [10383] = {.lex_state = 246},
  [10384] = {.lex_state = 0, .external_lex_state = 3},
  [10385] = {.lex_state = 0},
  [10386] = {.lex_state = 0},
  [10387] = {.lex_state = 246},
  [10388] = {.lex_state = 0, .external_lex_state = 3},
  [10389] = {.lex_state = 389},
  [10390] = {.lex_state = 0},
  [10391] = {.lex_state = 0, .external_lex_state = 3},
  [10392] = {.lex_state = 0},
  [10393] = {.lex_state = 0, .external_lex_state = 3},
  [10394] = {.lex_state = 0},
  [10395] = {.lex_state = 0, .external_lex_state = 3},
  [10396] = {.lex_state = 0},
  [10397] = {.lex_state = 0, .external_lex_state = 3},
  [10398] = {.lex_state = 0},
  [10399] = {.lex_state = 0, .external_lex_state = 3},
  [10400] = {.lex_state = 202},
  [10401] = {.lex_state = 0, .external_lex_state = 3},
  [10402] = {.lex_state = 202},
  [10403] = {.lex_state = 0, .external_lex_state = 3},
  [10404] = {.lex_state = 202},
  [10405] = {.lex_state = 0, .external_lex_state = 3},
  [10406] = {.lex_state = 0},
  [10407] = {.lex_state = 0, .external_lex_state = 3},
  [10408] = {.lex_state = 389},
  [10409] = {.lex_state = 389},
  [10410] = {.lex_state = 0},
  [10411] = {.lex_state = 389},
  [10412] = {.lex_state = 389},
  [10413] = {.lex_state = 208},
  [10414] = {.lex_state = 389},
  [10415] = {.lex_state = 389},
  [10416] = {.lex_state = 0},
  [10417] = {.lex_state = 389},
  [10418] = {.lex_state = 389},
  [10419] = {.lex_state = 0},
  [10420] = {.lex_state = 389},
  [10421] = {.lex_state = 389},
  [10422] = {.lex_state = 0},
  [10423] = {.lex_state = 389},
  [10424] = {.lex_state = 389},
  [10425] = {.lex_state = 0},
  [10426] = {.lex_state = 389},
  [10427] = {.lex_state = 389},
  [10428] = {.lex_state = 389},
  [10429] = {.lex_state = 389},
  [10430] = {.lex_state = 389},
  [10431] = {.lex_state = 389},
  [10432] = {.lex_state = 389},
  [10433] = {.lex_state = 389},
  [10434] = {.lex_state = 389},
  [10435] = {.lex_state = 389},
  [10436] = {.lex_state = 389},
  [10437] = {.lex_state = 389},
  [10438] = {.lex_state = 389},
  [10439] = {.lex_state = 389},
  [10440] = {.lex_state = 202},
  [10441] = {.lex_state = 0},
  [10442] = {.lex_state = 389},
  [10443] = {.lex_state = 202},
  [10444] = {.lex_state = 246},
  [10445] = {.lex_state = 0},
  [10446] = {.lex_state = 246},
  [10447] = {.lex_state = 389},
  [10448] = {.lex_state = 389},
  [10449] = {.lex_state = 389},
  [10450] = {.lex_state = 389},
  [10451] = {.lex_state = 389},
  [10452] = {.lex_state = 389},
  [10453] = {.lex_state = 389},
};

static const uint16_t ts_parse_table[LARGE_STATE_COUNT][SYMBOL_COUNT] = {
  [0] = {
    [ts_builtin_sym_end] = ACTIONS(1),
    [sym_identifier] = ACTIONS(1),
    [aux_sym_preproc_include_token1] = ACTIONS(1),
    [aux_sym_preproc_def_token1] = ACTIONS(1),
    [anon_sym_LPAREN] = ACTIONS(1),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1),
    [anon_sym_COMMA] = ACTIONS(1),
    [anon_sym_RPAREN] = ACTIONS(1),
    [aux_sym_preproc_if_token1] = ACTIONS(1),
    [aux_sym_preproc_if_token2] = ACTIONS(1),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1),
    [aux_sym_preproc_else_token1] = ACTIONS(1),
    [aux_sym_preproc_elif_token1] = ACTIONS(1),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1),
    [sym_preproc_directive] = ACTIONS(1),
    [anon_sym_LPAREN2] = ACTIONS(1),
    [anon_sym_defined] = ACTIONS(1),
    [anon_sym_BANG] = ACTIONS(1),
    [anon_sym_TILDE] = ACTIONS(1),
    [anon_sym_DASH] = ACTIONS(1),
    [anon_sym_PLUS] = ACTIONS(1),
    [anon_sym_STAR] = ACTIONS(1),
    [anon_sym_SLASH] = ACTIONS(1),
    [anon_sym_PERCENT] = ACTIONS(1),
    [anon_sym_PIPE_PIPE] = ACTIONS(1),
    [anon_sym_AMP_AMP] = ACTIONS(1),
    [anon_sym_PIPE] = ACTIONS(1),
    [anon_sym_CARET] = ACTIONS(1),
    [anon_sym_AMP] = ACTIONS(1),
    [anon_sym_EQ_EQ] = ACTIONS(1),
    [anon_sym_BANG_EQ] = ACTIONS(1),
    [anon_sym_GT] = ACTIONS(1),
    [anon_sym_GT_EQ] = ACTIONS(1),
    [anon_sym_LT_EQ] = ACTIONS(1),
    [anon_sym_LT] = ACTIONS(1),
    [anon_sym_LT_LT] = ACTIONS(1),
    [anon_sym_GT_GT] = ACTIONS(1),
    [anon_sym_COLON] = ACTIONS(1),
    [anon_sym_SEMI] = ACTIONS(1),
    [anon_sym___extension__] = ACTIONS(1),
    [anon_sym_typedef] = ACTIONS(1),
    [anon_sym_in] = ACTIONS(1),
    [anon_sym_out] = ACTIONS(1),
    [anon_sym_inout] = ACTIONS(1),
    [anon_sym_extern] = ACTIONS(1),
    [anon_sym___attribute__] = ACTIONS(1),
    [anon_sym_COLON_COLON] = ACTIONS(1),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1),
    [anon_sym___declspec] = ACTIONS(1),
    [anon_sym___based] = ACTIONS(1),
    [anon_sym___cdecl] = ACTIONS(1),
    [anon_sym___clrcall] = ACTIONS(1),
    [anon_sym___stdcall] = ACTIONS(1),
    [anon_sym___fastcall] = ACTIONS(1),
    [anon_sym___thiscall] = ACTIONS(1),
    [anon_sym___vectorcall] = ACTIONS(1),
    [sym_ms_restrict_modifier] = ACTIONS(1),
    [sym_ms_unsigned_ptr_modifier] = ACTIONS(1),
    [sym_ms_signed_ptr_modifier] = ACTIONS(1),
    [anon_sym__unaligned] = ACTIONS(1),
    [anon_sym___unaligned] = ACTIONS(1),
    [anon_sym_LBRACE] = ACTIONS(1),
    [anon_sym_RBRACE] = ACTIONS(1),
    [anon_sym_signed] = ACTIONS(1),
    [anon_sym_unsigned] = ACTIONS(1),
    [anon_sym_long] = ACTIONS(1),
    [anon_sym_short] = ACTIONS(1),
    [anon_sym_LBRACK] = ACTIONS(1),
    [anon_sym_RBRACK] = ACTIONS(1),
    [anon_sym_EQ] = ACTIONS(1),
    [anon_sym_static] = ACTIONS(1),
    [anon_sym_register] = ACTIONS(1),
    [anon_sym_inline] = ACTIONS(1),
    [anon_sym___inline] = ACTIONS(1),
    [anon_sym___inline__] = ACTIONS(1),
    [anon_sym___forceinline] = ACTIONS(1),
    [anon_sym_thread_local] = ACTIONS(1),
    [anon_sym___thread] = ACTIONS(1),
    [anon_sym_const] = ACTIONS(1),
    [anon_sym_constexpr] = ACTIONS(1),
    [anon_sym_volatile] = ACTIONS(1),
    [anon_sym_restrict] = ACTIONS(1),
    [anon_sym___restrict__] = ACTIONS(1),
    [anon_sym__Atomic] = ACTIONS(1),
    [anon_sym__Noreturn] = ACTIONS(1),
    [anon_sym_noreturn] = ACTIONS(1),
    [anon_sym_mutable] = ACTIONS(1),
    [anon_sym_constinit] = ACTIONS(1),
    [anon_sym_consteval] = ACTIONS(1),
    [sym_primitive_type] = ACTIONS(1),
    [anon_sym_enum] = ACTIONS(1),
    [anon_sym_class] = ACTIONS(1),
    [anon_sym_struct] = ACTIONS(1),
    [anon_sym_union] = ACTIONS(1),
    [anon_sym_if] = ACTIONS(1),
    [anon_sym_else] = ACTIONS(1),
    [anon_sym_switch] = ACTIONS(1),
    [anon_sym_case] = ACTIONS(1),
    [anon_sym_default] = ACTIONS(1),
    [anon_sym_while] = ACTIONS(1),
    [anon_sym_do] = ACTIONS(1),
    [anon_sym_for] = ACTIONS(1),
    [anon_sym_return] = ACTIONS(1),
    [anon_sym_break] = ACTIONS(1),
    [anon_sym_continue] = ACTIONS(1),
    [anon_sym_goto] = ACTIONS(1),
    [anon_sym___try] = ACTIONS(1),
    [anon_sym___except] = ACTIONS(1),
    [anon_sym___finally] = ACTIONS(1),
    [anon_sym___leave] = ACTIONS(1),
    [anon_sym_QMARK] = ACTIONS(1),
    [anon_sym_STAR_EQ] = ACTIONS(1),
    [anon_sym_SLASH_EQ] = ACTIONS(1),
    [anon_sym_PERCENT_EQ] = ACTIONS(1),
    [anon_sym_PLUS_EQ] = ACTIONS(1),
    [anon_sym_DASH_EQ] = ACTIONS(1),
    [anon_sym_LT_LT_EQ] = ACTIONS(1),
    [anon_sym_GT_GT_EQ] = ACTIONS(1),
    [anon_sym_AMP_EQ] = ACTIONS(1),
    [anon_sym_CARET_EQ] = ACTIONS(1),
    [anon_sym_PIPE_EQ] = ACTIONS(1),
    [anon_sym_and_eq] = ACTIONS(1),
    [anon_sym_or_eq] = ACTIONS(1),
    [anon_sym_xor_eq] = ACTIONS(1),
    [anon_sym_not] = ACTIONS(1),
    [anon_sym_compl] = ACTIONS(1),
    [anon_sym_LT_EQ_GT] = ACTIONS(1),
    [anon_sym_or] = ACTIONS(1),
    [anon_sym_and] = ACTIONS(1),
    [anon_sym_bitor] = ACTIONS(1),
    [anon_sym_xor] = ACTIONS(1),
    [anon_sym_bitand] = ACTIONS(1),
    [anon_sym_not_eq] = ACTIONS(1),
    [anon_sym_DASH_DASH] = ACTIONS(1),
    [anon_sym_PLUS_PLUS] = ACTIONS(1),
    [anon_sym_sizeof] = ACTIONS(1),
    [anon_sym___alignof__] = ACTIONS(1),
    [anon_sym___alignof] = ACTIONS(1),
    [anon_sym__alignof] = ACTIONS(1),
    [anon_sym_alignof] = ACTIONS(1),
    [anon_sym__Alignof] = ACTIONS(1),
    [anon_sym_offsetof] = ACTIONS(1),
    [anon_sym__Generic] = ACTIONS(1),
    [anon_sym_asm] = ACTIONS(1),
    [anon_sym___asm__] = ACTIONS(1),
    [anon_sym_DOT] = ACTIONS(1),
    [anon_sym_DOT_STAR] = ACTIONS(1),
    [anon_sym_DASH_GT] = ACTIONS(1),
    [sym_number_literal] = ACTIONS(1),
    [anon_sym_L_SQUOTE] = ACTIONS(1),
    [anon_sym_u_SQUOTE] = ACTIONS(1),
    [anon_sym_U_SQUOTE] = ACTIONS(1),
    [anon_sym_u8_SQUOTE] = ACTIONS(1),
    [anon_sym_SQUOTE] = ACTIONS(1),
    [anon_sym_L_DQUOTE] = ACTIONS(1),
    [anon_sym_u_DQUOTE] = ACTIONS(1),
    [anon_sym_U_DQUOTE] = ACTIONS(1),
    [anon_sym_u8_DQUOTE] = ACTIONS(1),
    [anon_sym_DQUOTE] = ACTIONS(1),
    [sym_true] = ACTIONS(1),
    [sym_false] = ACTIONS(1),
    [anon_sym_NULL] = ACTIONS(1),
    [anon_sym_nullptr] = ACTIONS(1),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1),
    [anon_sym_decltype] = ACTIONS(1),
    [anon_sym_final] = ACTIONS(1),
    [anon_sym_override] = ACTIONS(1),
    [anon_sym_virtual] = ACTIONS(1),
    [anon_sym_alignas] = ACTIONS(1),
    [anon_sym_explicit] = ACTIONS(1),
    [anon_sym_typename] = ACTIONS(1),
    [anon_sym_template] = ACTIONS(1),
    [anon_sym_GT2] = ACTIONS(1),
    [anon_sym_operator] = ACTIONS(1),
    [anon_sym_try] = ACTIONS(1),
    [anon_sym_delete] = ACTIONS(1),
    [anon_sym_friend] = ACTIONS(1),
    [anon_sym_public] = ACTIONS(1),
    [anon_sym_private] = ACTIONS(1),
    [anon_sym_protected] = ACTIONS(1),
    [anon_sym_noexcept] = ACTIONS(1),
    [anon_sym_throw] = ACTIONS(1),
    [anon_sym_namespace] = ACTIONS(1),
    [anon_sym_using] = ACTIONS(1),
    [anon_sym_static_assert] = ACTIONS(1),
    [anon_sym_concept] = ACTIONS(1),
    [anon_sym_co_return] = ACTIONS(1),
    [anon_sym_co_yield] = ACTIONS(1),
    [anon_sym_catch] = ACTIONS(1),
    [anon_sym_R_DQUOTE] = ACTIONS(1),
    [anon_sym_LR_DQUOTE] = ACTIONS(1),
    [anon_sym_uR_DQUOTE] = ACTIONS(1),
    [anon_sym_UR_DQUOTE] = ACTIONS(1),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1),
    [anon_sym_co_await] = ACTIONS(1),
    [anon_sym_new] = ACTIONS(1),
    [anon_sym_requires] = ACTIONS(1),
    [anon_sym_DASH_GT_STAR] = ACTIONS(1),
    [anon_sym_LBRACK_RBRACK] = ACTIONS(1),
    [sym_this] = ACTIONS(1),
    [anon_sym_discard] = ACTIONS(1),
    [anon_sym_precise] = ACTIONS(1),
    [anon_sym_shared] = ACTIONS(1),
    [anon_sym_groupshared] = ACTIONS(1),
    [anon_sym_uniform] = ACTIONS(1),
    [anon_sym_row_major] = ACTIONS(1),
    [anon_sym_column_major] = ACTIONS(1),
    [anon_sym_globallycoherent] = ACTIONS(1),
    [anon_sym_centroid] = ACTIONS(1),
    [anon_sym_noperspective] = ACTIONS(1),
    [anon_sym_nointerpolation] = ACTIONS(1),
    [anon_sym_sample] = ACTIONS(1),
    [anon_sym_linear] = ACTIONS(1),
    [anon_sym_snorm] = ACTIONS(1),
    [anon_sym_unorm] = ACTIONS(1),
    [anon_sym_point] = ACTIONS(1),
    [anon_sym_line] = ACTIONS(1),
    [anon_sym_triangleadj] = ACTIONS(1),
    [anon_sym_lineadj] = ACTIONS(1),
    [anon_sym_triangle] = ACTIONS(1),
    [anon_sym_cbuffer] = ACTIONS(1),
    [sym_raw_string_delimiter] = ACTIONS(1),
    [sym_raw_string_content] = ACTIONS(1),
  },
  [1] = {
    [sym_translation_unit] = STATE(10333),
    [sym_preproc_include] = STATE(98),
    [sym_preproc_def] = STATE(98),
    [sym_preproc_function_def] = STATE(98),
    [sym_preproc_call] = STATE(98),
    [sym_preproc_if] = STATE(98),
    [sym_preproc_ifdef] = STATE(98),
    [sym_function_definition] = STATE(98),
    [sym_declaration] = STATE(98),
    [sym_type_definition] = STATE(98),
    [sym__declaration_modifiers] = STATE(3159),
    [sym__declaration_specifiers] = STATE(5893),
    [sym_linkage_specification] = STATE(98),
    [sym_attribute_specifier] = STATE(3159),
    [sym_attribute_declaration] = STATE(1464),
    [sym_ms_declspec_modifier] = STATE(3159),
    [sym_ms_based_modifier] = STATE(10332),
    [sym_ms_call_modifier] = STATE(2630),
    [sym__declarator] = STATE(7978),
    [sym_parenthesized_declarator] = STATE(7680),
    [sym_attributed_declarator] = STATE(7680),
    [sym_pointer_declarator] = STATE(7680),
    [sym_function_declarator] = STATE(7583),
    [sym_array_declarator] = STATE(7680),
    [sym_compound_statement] = STATE(98),
    [sym_storage_class_specifier] = STATE(3159),
    [sym_type_qualifier] = STATE(3159),
    [sym__type_specifier] = STATE(3041),
    [sym_sized_type_specifier] = STATE(3085),
    [sym_enum_specifier] = STATE(3085),
    [sym_struct_specifier] = STATE(3085),
    [sym_union_specifier] = STATE(3085),
    [sym_attributed_statement] = STATE(98),
    [sym_labeled_statement] = STATE(98),
    [sym__top_level_expression_statement] = STATE(98),
    [sym_if_statement] = STATE(98),
    [sym_switch_statement] = STATE(98),
    [sym_case_statement] = STATE(98),
    [sym_while_statement] = STATE(98),
    [sym_do_statement] = STATE(98),
    [sym_for_statement] = STATE(98),
    [sym_return_statement] = STATE(98),
    [sym_break_statement] = STATE(98),
    [sym_continue_statement] = STATE(98),
    [sym_goto_statement] = STATE(98),
    [sym__expression] = STATE(6048),
    [sym__expression_not_binary] = STATE(6057),
    [sym__string] = STATE(6057),
    [sym_conditional_expression] = STATE(6057),
    [sym_assignment_expression] = STATE(6057),
    [sym_pointer_expression] = STATE(4507),
    [sym_unary_expression] = STATE(6057),
    [sym_binary_expression] = STATE(5024),
    [sym_update_expression] = STATE(6057),
    [sym_cast_expression] = STATE(6057),
    [sym_sizeof_expression] = STATE(6057),
    [sym_alignof_expression] = STATE(6057),
    [sym_offsetof_expression] = STATE(6057),
    [sym_generic_expression] = STATE(6057),
    [sym_subscript_expression] = STATE(4507),
    [sym_call_expression] = STATE(4507),
    [sym_gnu_asm_expression] = STATE(6057),
    [sym_field_expression] = STATE(4507),
    [sym_compound_literal_expression] = STATE(6057),
    [sym_parenthesized_expression] = STATE(4507),
    [sym_char_literal] = STATE(5374),
    [sym_concatenated_string] = STATE(5377),
    [sym_string_literal] = STATE(4206),
    [sym_null] = STATE(6057),
    [sym__empty_declaration] = STATE(98),
    [sym_placeholder_type_specifier] = STATE(3085),
    [sym_decltype_auto] = STATE(3091),
    [sym_decltype] = STATE(3050),
    [sym_class_specifier] = STATE(3085),
    [sym__class_name] = STATE(9352),
    [sym_virtual] = STATE(3159),
    [sym_alignas_specifier] = STATE(3159),
    [sym_explicit_function_specifier] = STATE(2518),
    [sym_dependent_type] = STATE(3085),
    [sym_template_declaration] = STATE(98),
    [sym_template_instantiation] = STATE(98),
    [sym_operator_cast] = STATE(8078),
    [sym__constructor_specifiers] = STATE(2518),
    [sym_operator_cast_definition] = STATE(98),
    [sym_operator_cast_declaration] = STATE(98),
    [sym_constructor_or_destructor_definition] = STATE(98),
    [sym_reference_declarator] = STATE(7680),
    [sym_structured_binding_declarator] = STATE(7680),
    [sym_template_type] = STATE(3129),
    [sym_template_function] = STATE(5703),
    [sym_namespace_definition] = STATE(98),
    [sym_namespace_alias_definition] = STATE(98),
    [sym_using_declaration] = STATE(98),
    [sym_alias_declaration] = STATE(98),
    [sym_static_assert_declaration] = STATE(98),
    [sym_concept_definition] = STATE(98),
    [sym_for_range_loop] = STATE(98),
    [sym_co_return_statement] = STATE(98),
    [sym_co_yield_statement] = STATE(98),
    [sym_throw_statement] = STATE(98),
    [sym_try_statement] = STATE(98),
    [sym_raw_string_literal] = STATE(4217),
    [sym_co_await_expression] = STATE(6057),
    [sym_new_expression] = STATE(6057),
    [sym_delete_expression] = STATE(6057),
    [sym_requires_clause] = STATE(6057),
    [sym_requires_expression] = STATE(6057),
    [sym_lambda_expression] = STATE(6057),
    [sym_lambda_capture_specifier] = STATE(7184),
    [sym_fold_expression] = STATE(6057),
    [sym_parameter_pack_expansion] = STATE(6057),
    [sym_destructor_name] = STATE(7680),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6764),
    [sym_qualified_identifier] = STATE(4502),
    [sym_qualified_type_identifier] = STATE(3127),
    [sym_qualified_operator_cast_identifier] = STATE(8078),
    [sym_operator_name] = STATE(7680),
    [sym_user_defined_literal] = STATE(4507),
    [sym_qualifiers] = STATE(3159),
    [sym_hlsl_attribute] = STATE(1848),
    [aux_sym_translation_unit_repeat1] = STATE(98),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2673),
    [aux_sym_attributed_declarator_repeat1] = STATE(1342),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3021),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2518),
    [ts_builtin_sym_end] = ACTIONS(5),
    [sym_identifier] = ACTIONS(7),
    [aux_sym_preproc_include_token1] = ACTIONS(9),
    [aux_sym_preproc_def_token1] = ACTIONS(11),
    [aux_sym_preproc_if_token1] = ACTIONS(13),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(15),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(15),
    [sym_preproc_directive] = ACTIONS(17),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym___extension__] = ACTIONS(33),
    [anon_sym_typedef] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(37),
    [anon_sym_out] = ACTIONS(37),
    [anon_sym_inout] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(39),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(45),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym___cdecl] = ACTIONS(51),
    [anon_sym___clrcall] = ACTIONS(51),
    [anon_sym___stdcall] = ACTIONS(51),
    [anon_sym___fastcall] = ACTIONS(51),
    [anon_sym___thiscall] = ACTIONS(51),
    [anon_sym___vectorcall] = ACTIONS(51),
    [anon_sym_LBRACE] = ACTIONS(53),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(61),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(65),
    [anon_sym_enum] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(69),
    [anon_sym_struct] = ACTIONS(71),
    [anon_sym_union] = ACTIONS(73),
    [anon_sym_if] = ACTIONS(75),
    [anon_sym_switch] = ACTIONS(77),
    [anon_sym_case] = ACTIONS(79),
    [anon_sym_default] = ACTIONS(81),
    [anon_sym_while] = ACTIONS(83),
    [anon_sym_do] = ACTIONS(85),
    [anon_sym_for] = ACTIONS(87),
    [anon_sym_return] = ACTIONS(89),
    [anon_sym_break] = ACTIONS(91),
    [anon_sym_continue] = ACTIONS(93),
    [anon_sym_goto] = ACTIONS(95),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(115),
    [sym_false] = ACTIONS(115),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [anon_sym_virtual] = ACTIONS(123),
    [anon_sym_alignas] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(131),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_try] = ACTIONS(135),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(139),
    [anon_sym_namespace] = ACTIONS(141),
    [anon_sym_using] = ACTIONS(143),
    [anon_sym_static_assert] = ACTIONS(145),
    [anon_sym_concept] = ACTIONS(147),
    [anon_sym_co_return] = ACTIONS(149),
    [anon_sym_co_yield] = ACTIONS(151),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(115),
    [anon_sym_precise] = ACTIONS(161),
    [anon_sym_shared] = ACTIONS(161),
    [anon_sym_groupshared] = ACTIONS(161),
    [anon_sym_uniform] = ACTIONS(161),
    [anon_sym_row_major] = ACTIONS(161),
    [anon_sym_column_major] = ACTIONS(161),
    [anon_sym_globallycoherent] = ACTIONS(161),
    [anon_sym_centroid] = ACTIONS(161),
    [anon_sym_noperspective] = ACTIONS(161),
    [anon_sym_nointerpolation] = ACTIONS(161),
    [anon_sym_sample] = ACTIONS(161),
    [anon_sym_linear] = ACTIONS(161),
    [anon_sym_snorm] = ACTIONS(161),
    [anon_sym_unorm] = ACTIONS(161),
    [anon_sym_point] = ACTIONS(161),
    [anon_sym_line] = ACTIONS(161),
    [anon_sym_triangleadj] = ACTIONS(161),
    [anon_sym_lineadj] = ACTIONS(161),
    [anon_sym_triangle] = ACTIONS(161),
  },
  [2] = {
    [sym_preproc_include] = STATE(49),
    [sym_preproc_def] = STATE(49),
    [sym_preproc_function_def] = STATE(49),
    [sym_preproc_call] = STATE(49),
    [sym_preproc_if] = STATE(49),
    [sym_preproc_ifdef] = STATE(49),
    [sym_function_definition] = STATE(49),
    [sym_declaration] = STATE(49),
    [sym_type_definition] = STATE(49),
    [sym__declaration_modifiers] = STATE(3159),
    [sym__declaration_specifiers] = STATE(5906),
    [sym_linkage_specification] = STATE(49),
    [sym_attribute_specifier] = STATE(3159),
    [sym_attribute_declaration] = STATE(1464),
    [sym_ms_declspec_modifier] = STATE(3159),
    [sym_ms_based_modifier] = STATE(10332),
    [sym_ms_call_modifier] = STATE(2574),
    [sym__declarator] = STATE(7978),
    [sym_parenthesized_declarator] = STATE(7680),
    [sym_attributed_declarator] = STATE(7680),
    [sym_pointer_declarator] = STATE(7680),
    [sym_function_declarator] = STATE(7611),
    [sym_array_declarator] = STATE(7680),
    [sym_compound_statement] = STATE(49),
    [sym_storage_class_specifier] = STATE(3159),
    [sym_type_qualifier] = STATE(3159),
    [sym__type_specifier] = STATE(3039),
    [sym_sized_type_specifier] = STATE(3085),
    [sym_enum_specifier] = STATE(3085),
    [sym_struct_specifier] = STATE(3085),
    [sym_union_specifier] = STATE(3085),
    [sym_attributed_statement] = STATE(49),
    [sym_labeled_statement] = STATE(49),
    [sym_expression_statement] = STATE(49),
    [sym_if_statement] = STATE(49),
    [sym_switch_statement] = STATE(49),
    [sym_case_statement] = STATE(49),
    [sym_while_statement] = STATE(49),
    [sym_do_statement] = STATE(49),
    [sym_for_statement] = STATE(49),
    [sym_return_statement] = STATE(49),
    [sym_break_statement] = STATE(49),
    [sym_continue_statement] = STATE(49),
    [sym_goto_statement] = STATE(49),
    [sym_seh_try_statement] = STATE(49),
    [sym_seh_leave_statement] = STATE(49),
    [sym__expression] = STATE(5400),
    [sym__expression_not_binary] = STATE(5024),
    [sym__string] = STATE(5024),
    [sym_comma_expression] = STATE(10272),
    [sym_conditional_expression] = STATE(5024),
    [sym_assignment_expression] = STATE(5024),
    [sym_pointer_expression] = STATE(4507),
    [sym_unary_expression] = STATE(5024),
    [sym_binary_expression] = STATE(5024),
    [sym_update_expression] = STATE(5024),
    [sym_cast_expression] = STATE(5024),
    [sym_sizeof_expression] = STATE(5024),
    [sym_alignof_expression] = STATE(5024),
    [sym_offsetof_expression] = STATE(5024),
    [sym_generic_expression] = STATE(5024),
    [sym_subscript_expression] = STATE(4507),
    [sym_call_expression] = STATE(4507),
    [sym_gnu_asm_expression] = STATE(5024),
    [sym_field_expression] = STATE(4507),
    [sym_compound_literal_expression] = STATE(5024),
    [sym_parenthesized_expression] = STATE(4507),
    [sym_initializer_list] = STATE(8868),
    [sym_initializer_pair] = STATE(8868),
    [sym_subscript_designator] = STATE(7972),
    [sym_subscript_range_designator] = STATE(7972),
    [sym_field_designator] = STATE(7972),
    [sym_char_literal] = STATE(5374),
    [sym_concatenated_string] = STATE(5377),
    [sym_string_literal] = STATE(4206),
    [sym_null] = STATE(5024),
    [sym__empty_declaration] = STATE(49),
    [sym_placeholder_type_specifier] = STATE(3085),
    [sym_decltype_auto] = STATE(3091),
    [sym_decltype] = STATE(3050),
    [sym_class_specifier] = STATE(3085),
    [sym__class_name] = STATE(9352),
    [sym_virtual] = STATE(3159),
    [sym_alignas_specifier] = STATE(3159),
    [sym_explicit_function_specifier] = STATE(2511),
    [sym_dependent_type] = STATE(3085),
    [sym_template_declaration] = STATE(49),
    [sym_template_instantiation] = STATE(49),
    [sym_operator_cast] = STATE(8035),
    [sym__constructor_specifiers] = STATE(2511),
    [sym_operator_cast_definition] = STATE(49),
    [sym_operator_cast_declaration] = STATE(49),
    [sym_constructor_or_destructor_definition] = STATE(49),
    [sym_reference_declarator] = STATE(7680),
    [sym_structured_binding_declarator] = STATE(7680),
    [sym_template_type] = STATE(3129),
    [sym_template_function] = STATE(5703),
    [sym_namespace_definition] = STATE(49),
    [sym_namespace_alias_definition] = STATE(49),
    [sym_using_declaration] = STATE(49),
    [sym_alias_declaration] = STATE(49),
    [sym_static_assert_declaration] = STATE(49),
    [sym_concept_definition] = STATE(49),
    [sym_for_range_loop] = STATE(49),
    [sym_co_return_statement] = STATE(49),
    [sym_co_yield_statement] = STATE(49),
    [sym_throw_statement] = STATE(49),
    [sym_try_statement] = STATE(49),
    [sym_raw_string_literal] = STATE(4217),
    [sym_co_await_expression] = STATE(5024),
    [sym_new_expression] = STATE(5024),
    [sym_delete_expression] = STATE(5024),
    [sym_requires_clause] = STATE(5024),
    [sym_requires_expression] = STATE(5024),
    [sym_lambda_expression] = STATE(5024),
    [sym_lambda_capture_specifier] = STATE(7184),
    [sym_fold_expression] = STATE(5024),
    [sym_parameter_pack_expansion] = STATE(5024),
    [sym_destructor_name] = STATE(7680),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6764),
    [sym_qualified_identifier] = STATE(4502),
    [sym_qualified_type_identifier] = STATE(3127),
    [sym_qualified_operator_cast_identifier] = STATE(8035),
    [sym_operator_name] = STATE(7680),
    [sym_user_defined_literal] = STATE(4507),
    [sym_discard_statement] = STATE(49),
    [sym_qualifiers] = STATE(3159),
    [sym_cbuffer_specifier] = STATE(49),
    [sym_hlsl_attribute] = STATE(1858),
    [aux_sym_preproc_if_repeat1] = STATE(49),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2673),
    [aux_sym_attributed_declarator_repeat1] = STATE(1339),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3021),
    [aux_sym_initializer_pair_repeat1] = STATE(7972),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2511),
    [sym_identifier] = ACTIONS(163),
    [aux_sym_preproc_include_token1] = ACTIONS(165),
    [aux_sym_preproc_def_token1] = ACTIONS(167),
    [anon_sym_COMMA] = ACTIONS(169),
    [aux_sym_preproc_if_token1] = ACTIONS(171),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(173),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(173),
    [sym_preproc_directive] = ACTIONS(175),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(177),
    [anon_sym___extension__] = ACTIONS(179),
    [anon_sym_typedef] = ACTIONS(181),
    [anon_sym_in] = ACTIONS(37),
    [anon_sym_out] = ACTIONS(37),
    [anon_sym_inout] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(183),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(45),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym___cdecl] = ACTIONS(51),
    [anon_sym___clrcall] = ACTIONS(51),
    [anon_sym___stdcall] = ACTIONS(51),
    [anon_sym___fastcall] = ACTIONS(51),
    [anon_sym___thiscall] = ACTIONS(51),
    [anon_sym___vectorcall] = ACTIONS(51),
    [anon_sym_LBRACE] = ACTIONS(185),
    [anon_sym_RBRACE] = ACTIONS(187),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(189),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(191),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(65),
    [anon_sym_enum] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(69),
    [anon_sym_struct] = ACTIONS(71),
    [anon_sym_union] = ACTIONS(73),
    [anon_sym_if] = ACTIONS(193),
    [anon_sym_switch] = ACTIONS(195),
    [anon_sym_case] = ACTIONS(197),
    [anon_sym_default] = ACTIONS(199),
    [anon_sym_while] = ACTIONS(201),
    [anon_sym_do] = ACTIONS(203),
    [anon_sym_for] = ACTIONS(205),
    [anon_sym_return] = ACTIONS(207),
    [anon_sym_break] = ACTIONS(209),
    [anon_sym_continue] = ACTIONS(211),
    [anon_sym_goto] = ACTIONS(213),
    [anon_sym___try] = ACTIONS(215),
    [anon_sym___leave] = ACTIONS(217),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [anon_sym_DOT] = ACTIONS(219),
    [sym_number_literal] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [anon_sym_virtual] = ACTIONS(123),
    [anon_sym_alignas] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(223),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_try] = ACTIONS(225),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(227),
    [anon_sym_namespace] = ACTIONS(229),
    [anon_sym_using] = ACTIONS(231),
    [anon_sym_static_assert] = ACTIONS(233),
    [anon_sym_concept] = ACTIONS(235),
    [anon_sym_co_return] = ACTIONS(237),
    [anon_sym_co_yield] = ACTIONS(239),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
    [anon_sym_discard] = ACTIONS(241),
    [anon_sym_precise] = ACTIONS(161),
    [anon_sym_shared] = ACTIONS(161),
    [anon_sym_groupshared] = ACTIONS(161),
    [anon_sym_uniform] = ACTIONS(161),
    [anon_sym_row_major] = ACTIONS(161),
    [anon_sym_column_major] = ACTIONS(161),
    [anon_sym_globallycoherent] = ACTIONS(161),
    [anon_sym_centroid] = ACTIONS(161),
    [anon_sym_noperspective] = ACTIONS(161),
    [anon_sym_nointerpolation] = ACTIONS(161),
    [anon_sym_sample] = ACTIONS(161),
    [anon_sym_linear] = ACTIONS(161),
    [anon_sym_snorm] = ACTIONS(161),
    [anon_sym_unorm] = ACTIONS(161),
    [anon_sym_point] = ACTIONS(161),
    [anon_sym_line] = ACTIONS(161),
    [anon_sym_triangleadj] = ACTIONS(161),
    [anon_sym_lineadj] = ACTIONS(161),
    [anon_sym_triangle] = ACTIONS(161),
    [anon_sym_cbuffer] = ACTIONS(243),
  },
  [3] = {
    [sym_preproc_include] = STATE(51),
    [sym_preproc_def] = STATE(51),
    [sym_preproc_function_def] = STATE(51),
    [sym_preproc_call] = STATE(51),
    [sym_preproc_if] = STATE(51),
    [sym_preproc_ifdef] = STATE(51),
    [sym_function_definition] = STATE(51),
    [sym_declaration] = STATE(51),
    [sym_type_definition] = STATE(51),
    [sym__declaration_modifiers] = STATE(3159),
    [sym__declaration_specifiers] = STATE(5906),
    [sym_linkage_specification] = STATE(51),
    [sym_attribute_specifier] = STATE(3159),
    [sym_attribute_declaration] = STATE(1464),
    [sym_ms_declspec_modifier] = STATE(3159),
    [sym_ms_based_modifier] = STATE(10332),
    [sym_ms_call_modifier] = STATE(2574),
    [sym__declarator] = STATE(7978),
    [sym_parenthesized_declarator] = STATE(7680),
    [sym_attributed_declarator] = STATE(7680),
    [sym_pointer_declarator] = STATE(7680),
    [sym_function_declarator] = STATE(7611),
    [sym_array_declarator] = STATE(7680),
    [sym_compound_statement] = STATE(51),
    [sym_storage_class_specifier] = STATE(3159),
    [sym_type_qualifier] = STATE(3159),
    [sym__type_specifier] = STATE(3039),
    [sym_sized_type_specifier] = STATE(3085),
    [sym_enum_specifier] = STATE(3085),
    [sym_struct_specifier] = STATE(3085),
    [sym_union_specifier] = STATE(3085),
    [sym_attributed_statement] = STATE(51),
    [sym_labeled_statement] = STATE(51),
    [sym_expression_statement] = STATE(51),
    [sym_if_statement] = STATE(51),
    [sym_switch_statement] = STATE(51),
    [sym_case_statement] = STATE(51),
    [sym_while_statement] = STATE(51),
    [sym_do_statement] = STATE(51),
    [sym_for_statement] = STATE(51),
    [sym_return_statement] = STATE(51),
    [sym_break_statement] = STATE(51),
    [sym_continue_statement] = STATE(51),
    [sym_goto_statement] = STATE(51),
    [sym_seh_try_statement] = STATE(51),
    [sym_seh_leave_statement] = STATE(51),
    [sym__expression] = STATE(5400),
    [sym__expression_not_binary] = STATE(5024),
    [sym__string] = STATE(5024),
    [sym_comma_expression] = STATE(10272),
    [sym_conditional_expression] = STATE(5024),
    [sym_assignment_expression] = STATE(5024),
    [sym_pointer_expression] = STATE(4507),
    [sym_unary_expression] = STATE(5024),
    [sym_binary_expression] = STATE(5024),
    [sym_update_expression] = STATE(5024),
    [sym_cast_expression] = STATE(5024),
    [sym_sizeof_expression] = STATE(5024),
    [sym_alignof_expression] = STATE(5024),
    [sym_offsetof_expression] = STATE(5024),
    [sym_generic_expression] = STATE(5024),
    [sym_subscript_expression] = STATE(4507),
    [sym_call_expression] = STATE(4507),
    [sym_gnu_asm_expression] = STATE(5024),
    [sym_field_expression] = STATE(4507),
    [sym_compound_literal_expression] = STATE(5024),
    [sym_parenthesized_expression] = STATE(4507),
    [sym_initializer_list] = STATE(8868),
    [sym_initializer_pair] = STATE(8868),
    [sym_subscript_designator] = STATE(7972),
    [sym_subscript_range_designator] = STATE(7972),
    [sym_field_designator] = STATE(7972),
    [sym_char_literal] = STATE(5374),
    [sym_concatenated_string] = STATE(5377),
    [sym_string_literal] = STATE(4206),
    [sym_null] = STATE(5024),
    [sym__empty_declaration] = STATE(51),
    [sym_placeholder_type_specifier] = STATE(3085),
    [sym_decltype_auto] = STATE(3091),
    [sym_decltype] = STATE(3050),
    [sym_class_specifier] = STATE(3085),
    [sym__class_name] = STATE(9352),
    [sym_virtual] = STATE(3159),
    [sym_alignas_specifier] = STATE(3159),
    [sym_explicit_function_specifier] = STATE(2511),
    [sym_dependent_type] = STATE(3085),
    [sym_template_declaration] = STATE(51),
    [sym_template_instantiation] = STATE(51),
    [sym_operator_cast] = STATE(8035),
    [sym__constructor_specifiers] = STATE(2511),
    [sym_operator_cast_definition] = STATE(51),
    [sym_operator_cast_declaration] = STATE(51),
    [sym_constructor_or_destructor_definition] = STATE(51),
    [sym_reference_declarator] = STATE(7680),
    [sym_structured_binding_declarator] = STATE(7680),
    [sym_template_type] = STATE(3129),
    [sym_template_function] = STATE(5703),
    [sym_namespace_definition] = STATE(51),
    [sym_namespace_alias_definition] = STATE(51),
    [sym_using_declaration] = STATE(51),
    [sym_alias_declaration] = STATE(51),
    [sym_static_assert_declaration] = STATE(51),
    [sym_concept_definition] = STATE(51),
    [sym_for_range_loop] = STATE(51),
    [sym_co_return_statement] = STATE(51),
    [sym_co_yield_statement] = STATE(51),
    [sym_throw_statement] = STATE(51),
    [sym_try_statement] = STATE(51),
    [sym_raw_string_literal] = STATE(4217),
    [sym_co_await_expression] = STATE(5024),
    [sym_new_expression] = STATE(5024),
    [sym_delete_expression] = STATE(5024),
    [sym_requires_clause] = STATE(5024),
    [sym_requires_expression] = STATE(5024),
    [sym_lambda_expression] = STATE(5024),
    [sym_lambda_capture_specifier] = STATE(7184),
    [sym_fold_expression] = STATE(5024),
    [sym_parameter_pack_expansion] = STATE(5024),
    [sym_destructor_name] = STATE(7680),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6764),
    [sym_qualified_identifier] = STATE(4502),
    [sym_qualified_type_identifier] = STATE(3127),
    [sym_qualified_operator_cast_identifier] = STATE(8035),
    [sym_operator_name] = STATE(7680),
    [sym_user_defined_literal] = STATE(4507),
    [sym_discard_statement] = STATE(51),
    [sym_qualifiers] = STATE(3159),
    [sym_cbuffer_specifier] = STATE(51),
    [sym_hlsl_attribute] = STATE(1858),
    [aux_sym_preproc_if_repeat1] = STATE(51),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2673),
    [aux_sym_attributed_declarator_repeat1] = STATE(1339),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3021),
    [aux_sym_initializer_pair_repeat1] = STATE(7972),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2511),
    [sym_identifier] = ACTIONS(163),
    [aux_sym_preproc_include_token1] = ACTIONS(165),
    [aux_sym_preproc_def_token1] = ACTIONS(167),
    [anon_sym_COMMA] = ACTIONS(169),
    [aux_sym_preproc_if_token1] = ACTIONS(171),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(173),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(173),
    [sym_preproc_directive] = ACTIONS(175),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(177),
    [anon_sym___extension__] = ACTIONS(179),
    [anon_sym_typedef] = ACTIONS(181),
    [anon_sym_in] = ACTIONS(37),
    [anon_sym_out] = ACTIONS(37),
    [anon_sym_inout] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(183),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(45),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym___cdecl] = ACTIONS(51),
    [anon_sym___clrcall] = ACTIONS(51),
    [anon_sym___stdcall] = ACTIONS(51),
    [anon_sym___fastcall] = ACTIONS(51),
    [anon_sym___thiscall] = ACTIONS(51),
    [anon_sym___vectorcall] = ACTIONS(51),
    [anon_sym_LBRACE] = ACTIONS(185),
    [anon_sym_RBRACE] = ACTIONS(245),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(189),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(191),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(65),
    [anon_sym_enum] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(69),
    [anon_sym_struct] = ACTIONS(71),
    [anon_sym_union] = ACTIONS(73),
    [anon_sym_if] = ACTIONS(193),
    [anon_sym_switch] = ACTIONS(195),
    [anon_sym_case] = ACTIONS(197),
    [anon_sym_default] = ACTIONS(199),
    [anon_sym_while] = ACTIONS(201),
    [anon_sym_do] = ACTIONS(203),
    [anon_sym_for] = ACTIONS(205),
    [anon_sym_return] = ACTIONS(207),
    [anon_sym_break] = ACTIONS(209),
    [anon_sym_continue] = ACTIONS(211),
    [anon_sym_goto] = ACTIONS(213),
    [anon_sym___try] = ACTIONS(215),
    [anon_sym___leave] = ACTIONS(217),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [anon_sym_DOT] = ACTIONS(219),
    [sym_number_literal] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [anon_sym_virtual] = ACTIONS(123),
    [anon_sym_alignas] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(223),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_try] = ACTIONS(225),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(227),
    [anon_sym_namespace] = ACTIONS(229),
    [anon_sym_using] = ACTIONS(231),
    [anon_sym_static_assert] = ACTIONS(233),
    [anon_sym_concept] = ACTIONS(235),
    [anon_sym_co_return] = ACTIONS(237),
    [anon_sym_co_yield] = ACTIONS(239),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
    [anon_sym_discard] = ACTIONS(241),
    [anon_sym_precise] = ACTIONS(161),
    [anon_sym_shared] = ACTIONS(161),
    [anon_sym_groupshared] = ACTIONS(161),
    [anon_sym_uniform] = ACTIONS(161),
    [anon_sym_row_major] = ACTIONS(161),
    [anon_sym_column_major] = ACTIONS(161),
    [anon_sym_globallycoherent] = ACTIONS(161),
    [anon_sym_centroid] = ACTIONS(161),
    [anon_sym_noperspective] = ACTIONS(161),
    [anon_sym_nointerpolation] = ACTIONS(161),
    [anon_sym_sample] = ACTIONS(161),
    [anon_sym_linear] = ACTIONS(161),
    [anon_sym_snorm] = ACTIONS(161),
    [anon_sym_unorm] = ACTIONS(161),
    [anon_sym_point] = ACTIONS(161),
    [anon_sym_line] = ACTIONS(161),
    [anon_sym_triangleadj] = ACTIONS(161),
    [anon_sym_lineadj] = ACTIONS(161),
    [anon_sym_triangle] = ACTIONS(161),
    [anon_sym_cbuffer] = ACTIONS(243),
  },
  [4] = {
    [sym_preproc_include] = STATE(71),
    [sym_preproc_def] = STATE(71),
    [sym_preproc_function_def] = STATE(71),
    [sym_preproc_call] = STATE(71),
    [sym_preproc_if] = STATE(71),
    [sym_preproc_ifdef] = STATE(71),
    [sym_function_definition] = STATE(71),
    [sym_declaration] = STATE(71),
    [sym_type_definition] = STATE(71),
    [sym__declaration_modifiers] = STATE(3159),
    [sym__declaration_specifiers] = STATE(5906),
    [sym_linkage_specification] = STATE(71),
    [sym_attribute_specifier] = STATE(3159),
    [sym_attribute_declaration] = STATE(1464),
    [sym_ms_declspec_modifier] = STATE(3159),
    [sym_ms_based_modifier] = STATE(10332),
    [sym_ms_call_modifier] = STATE(2574),
    [sym__declarator] = STATE(7978),
    [sym_parenthesized_declarator] = STATE(7680),
    [sym_attributed_declarator] = STATE(7680),
    [sym_pointer_declarator] = STATE(7680),
    [sym_function_declarator] = STATE(7611),
    [sym_array_declarator] = STATE(7680),
    [sym_compound_statement] = STATE(71),
    [sym_storage_class_specifier] = STATE(3159),
    [sym_type_qualifier] = STATE(3159),
    [sym__type_specifier] = STATE(3039),
    [sym_sized_type_specifier] = STATE(3085),
    [sym_enum_specifier] = STATE(3085),
    [sym_struct_specifier] = STATE(3085),
    [sym_union_specifier] = STATE(3085),
    [sym_attributed_statement] = STATE(71),
    [sym_labeled_statement] = STATE(71),
    [sym_expression_statement] = STATE(71),
    [sym_if_statement] = STATE(71),
    [sym_switch_statement] = STATE(71),
    [sym_case_statement] = STATE(71),
    [sym_while_statement] = STATE(71),
    [sym_do_statement] = STATE(71),
    [sym_for_statement] = STATE(71),
    [sym_return_statement] = STATE(71),
    [sym_break_statement] = STATE(71),
    [sym_continue_statement] = STATE(71),
    [sym_goto_statement] = STATE(71),
    [sym_seh_try_statement] = STATE(71),
    [sym_seh_leave_statement] = STATE(71),
    [sym__expression] = STATE(5400),
    [sym__expression_not_binary] = STATE(5024),
    [sym__string] = STATE(5024),
    [sym_comma_expression] = STATE(10272),
    [sym_conditional_expression] = STATE(5024),
    [sym_assignment_expression] = STATE(5024),
    [sym_pointer_expression] = STATE(4507),
    [sym_unary_expression] = STATE(5024),
    [sym_binary_expression] = STATE(5024),
    [sym_update_expression] = STATE(5024),
    [sym_cast_expression] = STATE(5024),
    [sym_sizeof_expression] = STATE(5024),
    [sym_alignof_expression] = STATE(5024),
    [sym_offsetof_expression] = STATE(5024),
    [sym_generic_expression] = STATE(5024),
    [sym_subscript_expression] = STATE(4507),
    [sym_call_expression] = STATE(4507),
    [sym_gnu_asm_expression] = STATE(5024),
    [sym_field_expression] = STATE(4507),
    [sym_compound_literal_expression] = STATE(5024),
    [sym_parenthesized_expression] = STATE(4507),
    [sym_initializer_list] = STATE(8868),
    [sym_initializer_pair] = STATE(8868),
    [sym_subscript_designator] = STATE(7972),
    [sym_subscript_range_designator] = STATE(7972),
    [sym_field_designator] = STATE(7972),
    [sym_char_literal] = STATE(5374),
    [sym_concatenated_string] = STATE(5377),
    [sym_string_literal] = STATE(4206),
    [sym_null] = STATE(5024),
    [sym__empty_declaration] = STATE(71),
    [sym_placeholder_type_specifier] = STATE(3085),
    [sym_decltype_auto] = STATE(3091),
    [sym_decltype] = STATE(3050),
    [sym_class_specifier] = STATE(3085),
    [sym__class_name] = STATE(9352),
    [sym_virtual] = STATE(3159),
    [sym_alignas_specifier] = STATE(3159),
    [sym_explicit_function_specifier] = STATE(2511),
    [sym_dependent_type] = STATE(3085),
    [sym_template_declaration] = STATE(71),
    [sym_template_instantiation] = STATE(71),
    [sym_operator_cast] = STATE(8035),
    [sym__constructor_specifiers] = STATE(2511),
    [sym_operator_cast_definition] = STATE(71),
    [sym_operator_cast_declaration] = STATE(71),
    [sym_constructor_or_destructor_definition] = STATE(71),
    [sym_reference_declarator] = STATE(7680),
    [sym_structured_binding_declarator] = STATE(7680),
    [sym_template_type] = STATE(3129),
    [sym_template_function] = STATE(5703),
    [sym_namespace_definition] = STATE(71),
    [sym_namespace_alias_definition] = STATE(71),
    [sym_using_declaration] = STATE(71),
    [sym_alias_declaration] = STATE(71),
    [sym_static_assert_declaration] = STATE(71),
    [sym_concept_definition] = STATE(71),
    [sym_for_range_loop] = STATE(71),
    [sym_co_return_statement] = STATE(71),
    [sym_co_yield_statement] = STATE(71),
    [sym_throw_statement] = STATE(71),
    [sym_try_statement] = STATE(71),
    [sym_raw_string_literal] = STATE(4217),
    [sym_co_await_expression] = STATE(5024),
    [sym_new_expression] = STATE(5024),
    [sym_delete_expression] = STATE(5024),
    [sym_requires_clause] = STATE(5024),
    [sym_requires_expression] = STATE(5024),
    [sym_lambda_expression] = STATE(5024),
    [sym_lambda_capture_specifier] = STATE(7184),
    [sym_fold_expression] = STATE(5024),
    [sym_parameter_pack_expansion] = STATE(5024),
    [sym_destructor_name] = STATE(7680),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6764),
    [sym_qualified_identifier] = STATE(4502),
    [sym_qualified_type_identifier] = STATE(3127),
    [sym_qualified_operator_cast_identifier] = STATE(8035),
    [sym_operator_name] = STATE(7680),
    [sym_user_defined_literal] = STATE(4507),
    [sym_discard_statement] = STATE(71),
    [sym_qualifiers] = STATE(3159),
    [sym_cbuffer_specifier] = STATE(71),
    [sym_hlsl_attribute] = STATE(1858),
    [aux_sym_preproc_if_repeat1] = STATE(71),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2673),
    [aux_sym_attributed_declarator_repeat1] = STATE(1339),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3021),
    [aux_sym_initializer_pair_repeat1] = STATE(7972),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2511),
    [sym_identifier] = ACTIONS(163),
    [aux_sym_preproc_include_token1] = ACTIONS(165),
    [aux_sym_preproc_def_token1] = ACTIONS(167),
    [anon_sym_COMMA] = ACTIONS(169),
    [aux_sym_preproc_if_token1] = ACTIONS(171),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(173),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(173),
    [sym_preproc_directive] = ACTIONS(175),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(177),
    [anon_sym___extension__] = ACTIONS(179),
    [anon_sym_typedef] = ACTIONS(181),
    [anon_sym_in] = ACTIONS(37),
    [anon_sym_out] = ACTIONS(37),
    [anon_sym_inout] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(183),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(45),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym___cdecl] = ACTIONS(51),
    [anon_sym___clrcall] = ACTIONS(51),
    [anon_sym___stdcall] = ACTIONS(51),
    [anon_sym___fastcall] = ACTIONS(51),
    [anon_sym___thiscall] = ACTIONS(51),
    [anon_sym___vectorcall] = ACTIONS(51),
    [anon_sym_LBRACE] = ACTIONS(185),
    [anon_sym_RBRACE] = ACTIONS(247),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(189),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(191),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(65),
    [anon_sym_enum] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(69),
    [anon_sym_struct] = ACTIONS(71),
    [anon_sym_union] = ACTIONS(73),
    [anon_sym_if] = ACTIONS(193),
    [anon_sym_switch] = ACTIONS(195),
    [anon_sym_case] = ACTIONS(197),
    [anon_sym_default] = ACTIONS(199),
    [anon_sym_while] = ACTIONS(201),
    [anon_sym_do] = ACTIONS(203),
    [anon_sym_for] = ACTIONS(205),
    [anon_sym_return] = ACTIONS(207),
    [anon_sym_break] = ACTIONS(209),
    [anon_sym_continue] = ACTIONS(211),
    [anon_sym_goto] = ACTIONS(213),
    [anon_sym___try] = ACTIONS(215),
    [anon_sym___leave] = ACTIONS(217),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [anon_sym_DOT] = ACTIONS(219),
    [sym_number_literal] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [anon_sym_virtual] = ACTIONS(123),
    [anon_sym_alignas] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(223),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_try] = ACTIONS(225),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(227),
    [anon_sym_namespace] = ACTIONS(229),
    [anon_sym_using] = ACTIONS(231),
    [anon_sym_static_assert] = ACTIONS(233),
    [anon_sym_concept] = ACTIONS(235),
    [anon_sym_co_return] = ACTIONS(237),
    [anon_sym_co_yield] = ACTIONS(239),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
    [anon_sym_discard] = ACTIONS(241),
    [anon_sym_precise] = ACTIONS(161),
    [anon_sym_shared] = ACTIONS(161),
    [anon_sym_groupshared] = ACTIONS(161),
    [anon_sym_uniform] = ACTIONS(161),
    [anon_sym_row_major] = ACTIONS(161),
    [anon_sym_column_major] = ACTIONS(161),
    [anon_sym_globallycoherent] = ACTIONS(161),
    [anon_sym_centroid] = ACTIONS(161),
    [anon_sym_noperspective] = ACTIONS(161),
    [anon_sym_nointerpolation] = ACTIONS(161),
    [anon_sym_sample] = ACTIONS(161),
    [anon_sym_linear] = ACTIONS(161),
    [anon_sym_snorm] = ACTIONS(161),
    [anon_sym_unorm] = ACTIONS(161),
    [anon_sym_point] = ACTIONS(161),
    [anon_sym_line] = ACTIONS(161),
    [anon_sym_triangleadj] = ACTIONS(161),
    [anon_sym_lineadj] = ACTIONS(161),
    [anon_sym_triangle] = ACTIONS(161),
    [anon_sym_cbuffer] = ACTIONS(243),
  },
  [5] = {
    [sym_preproc_include] = STATE(51),
    [sym_preproc_def] = STATE(51),
    [sym_preproc_function_def] = STATE(51),
    [sym_preproc_call] = STATE(51),
    [sym_preproc_if] = STATE(51),
    [sym_preproc_ifdef] = STATE(51),
    [sym_function_definition] = STATE(51),
    [sym_declaration] = STATE(51),
    [sym_type_definition] = STATE(51),
    [sym__declaration_modifiers] = STATE(3159),
    [sym__declaration_specifiers] = STATE(5906),
    [sym_linkage_specification] = STATE(51),
    [sym_attribute_specifier] = STATE(3159),
    [sym_attribute_declaration] = STATE(1464),
    [sym_ms_declspec_modifier] = STATE(3159),
    [sym_ms_based_modifier] = STATE(10332),
    [sym_ms_call_modifier] = STATE(2574),
    [sym__declarator] = STATE(7978),
    [sym_parenthesized_declarator] = STATE(7680),
    [sym_attributed_declarator] = STATE(7680),
    [sym_pointer_declarator] = STATE(7680),
    [sym_function_declarator] = STATE(7611),
    [sym_array_declarator] = STATE(7680),
    [sym_compound_statement] = STATE(51),
    [sym_storage_class_specifier] = STATE(3159),
    [sym_type_qualifier] = STATE(3159),
    [sym__type_specifier] = STATE(3039),
    [sym_sized_type_specifier] = STATE(3085),
    [sym_enum_specifier] = STATE(3085),
    [sym_struct_specifier] = STATE(3085),
    [sym_union_specifier] = STATE(3085),
    [sym_attributed_statement] = STATE(51),
    [sym_labeled_statement] = STATE(51),
    [sym_expression_statement] = STATE(51),
    [sym_if_statement] = STATE(51),
    [sym_switch_statement] = STATE(51),
    [sym_case_statement] = STATE(51),
    [sym_while_statement] = STATE(51),
    [sym_do_statement] = STATE(51),
    [sym_for_statement] = STATE(51),
    [sym_return_statement] = STATE(51),
    [sym_break_statement] = STATE(51),
    [sym_continue_statement] = STATE(51),
    [sym_goto_statement] = STATE(51),
    [sym_seh_try_statement] = STATE(51),
    [sym_seh_leave_statement] = STATE(51),
    [sym__expression] = STATE(5400),
    [sym__expression_not_binary] = STATE(5024),
    [sym__string] = STATE(5024),
    [sym_comma_expression] = STATE(10272),
    [sym_conditional_expression] = STATE(5024),
    [sym_assignment_expression] = STATE(5024),
    [sym_pointer_expression] = STATE(4507),
    [sym_unary_expression] = STATE(5024),
    [sym_binary_expression] = STATE(5024),
    [sym_update_expression] = STATE(5024),
    [sym_cast_expression] = STATE(5024),
    [sym_sizeof_expression] = STATE(5024),
    [sym_alignof_expression] = STATE(5024),
    [sym_offsetof_expression] = STATE(5024),
    [sym_generic_expression] = STATE(5024),
    [sym_subscript_expression] = STATE(4507),
    [sym_call_expression] = STATE(4507),
    [sym_gnu_asm_expression] = STATE(5024),
    [sym_field_expression] = STATE(4507),
    [sym_compound_literal_expression] = STATE(5024),
    [sym_parenthesized_expression] = STATE(4507),
    [sym_initializer_list] = STATE(8868),
    [sym_initializer_pair] = STATE(8868),
    [sym_subscript_designator] = STATE(7972),
    [sym_subscript_range_designator] = STATE(7972),
    [sym_field_designator] = STATE(7972),
    [sym_char_literal] = STATE(5374),
    [sym_concatenated_string] = STATE(5377),
    [sym_string_literal] = STATE(4206),
    [sym_null] = STATE(5024),
    [sym__empty_declaration] = STATE(51),
    [sym_placeholder_type_specifier] = STATE(3085),
    [sym_decltype_auto] = STATE(3091),
    [sym_decltype] = STATE(3050),
    [sym_class_specifier] = STATE(3085),
    [sym__class_name] = STATE(9352),
    [sym_virtual] = STATE(3159),
    [sym_alignas_specifier] = STATE(3159),
    [sym_explicit_function_specifier] = STATE(2511),
    [sym_dependent_type] = STATE(3085),
    [sym_template_declaration] = STATE(51),
    [sym_template_instantiation] = STATE(51),
    [sym_operator_cast] = STATE(8035),
    [sym__constructor_specifiers] = STATE(2511),
    [sym_operator_cast_definition] = STATE(51),
    [sym_operator_cast_declaration] = STATE(51),
    [sym_constructor_or_destructor_definition] = STATE(51),
    [sym_reference_declarator] = STATE(7680),
    [sym_structured_binding_declarator] = STATE(7680),
    [sym_template_type] = STATE(3129),
    [sym_template_function] = STATE(5703),
    [sym_namespace_definition] = STATE(51),
    [sym_namespace_alias_definition] = STATE(51),
    [sym_using_declaration] = STATE(51),
    [sym_alias_declaration] = STATE(51),
    [sym_static_assert_declaration] = STATE(51),
    [sym_concept_definition] = STATE(51),
    [sym_for_range_loop] = STATE(51),
    [sym_co_return_statement] = STATE(51),
    [sym_co_yield_statement] = STATE(51),
    [sym_throw_statement] = STATE(51),
    [sym_try_statement] = STATE(51),
    [sym_raw_string_literal] = STATE(4217),
    [sym_co_await_expression] = STATE(5024),
    [sym_new_expression] = STATE(5024),
    [sym_delete_expression] = STATE(5024),
    [sym_requires_clause] = STATE(5024),
    [sym_requires_expression] = STATE(5024),
    [sym_lambda_expression] = STATE(5024),
    [sym_lambda_capture_specifier] = STATE(7184),
    [sym_fold_expression] = STATE(5024),
    [sym_parameter_pack_expansion] = STATE(5024),
    [sym_destructor_name] = STATE(7680),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6764),
    [sym_qualified_identifier] = STATE(4502),
    [sym_qualified_type_identifier] = STATE(3127),
    [sym_qualified_operator_cast_identifier] = STATE(8035),
    [sym_operator_name] = STATE(7680),
    [sym_user_defined_literal] = STATE(4507),
    [sym_discard_statement] = STATE(51),
    [sym_qualifiers] = STATE(3159),
    [sym_cbuffer_specifier] = STATE(51),
    [sym_hlsl_attribute] = STATE(1858),
    [aux_sym_preproc_if_repeat1] = STATE(51),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2673),
    [aux_sym_attributed_declarator_repeat1] = STATE(1339),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3021),
    [aux_sym_initializer_pair_repeat1] = STATE(7972),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2511),
    [sym_identifier] = ACTIONS(163),
    [aux_sym_preproc_include_token1] = ACTIONS(165),
    [aux_sym_preproc_def_token1] = ACTIONS(167),
    [anon_sym_COMMA] = ACTIONS(169),
    [aux_sym_preproc_if_token1] = ACTIONS(171),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(173),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(173),
    [sym_preproc_directive] = ACTIONS(175),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(177),
    [anon_sym___extension__] = ACTIONS(179),
    [anon_sym_typedef] = ACTIONS(181),
    [anon_sym_in] = ACTIONS(37),
    [anon_sym_out] = ACTIONS(37),
    [anon_sym_inout] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(183),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(45),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym___cdecl] = ACTIONS(51),
    [anon_sym___clrcall] = ACTIONS(51),
    [anon_sym___stdcall] = ACTIONS(51),
    [anon_sym___fastcall] = ACTIONS(51),
    [anon_sym___thiscall] = ACTIONS(51),
    [anon_sym___vectorcall] = ACTIONS(51),
    [anon_sym_LBRACE] = ACTIONS(185),
    [anon_sym_RBRACE] = ACTIONS(249),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(189),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(191),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(65),
    [anon_sym_enum] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(69),
    [anon_sym_struct] = ACTIONS(71),
    [anon_sym_union] = ACTIONS(73),
    [anon_sym_if] = ACTIONS(193),
    [anon_sym_switch] = ACTIONS(195),
    [anon_sym_case] = ACTIONS(197),
    [anon_sym_default] = ACTIONS(199),
    [anon_sym_while] = ACTIONS(201),
    [anon_sym_do] = ACTIONS(203),
    [anon_sym_for] = ACTIONS(205),
    [anon_sym_return] = ACTIONS(207),
    [anon_sym_break] = ACTIONS(209),
    [anon_sym_continue] = ACTIONS(211),
    [anon_sym_goto] = ACTIONS(213),
    [anon_sym___try] = ACTIONS(215),
    [anon_sym___leave] = ACTIONS(217),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [anon_sym_DOT] = ACTIONS(219),
    [sym_number_literal] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [anon_sym_virtual] = ACTIONS(123),
    [anon_sym_alignas] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(223),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_try] = ACTIONS(225),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(227),
    [anon_sym_namespace] = ACTIONS(229),
    [anon_sym_using] = ACTIONS(231),
    [anon_sym_static_assert] = ACTIONS(233),
    [anon_sym_concept] = ACTIONS(235),
    [anon_sym_co_return] = ACTIONS(237),
    [anon_sym_co_yield] = ACTIONS(239),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
    [anon_sym_discard] = ACTIONS(241),
    [anon_sym_precise] = ACTIONS(161),
    [anon_sym_shared] = ACTIONS(161),
    [anon_sym_groupshared] = ACTIONS(161),
    [anon_sym_uniform] = ACTIONS(161),
    [anon_sym_row_major] = ACTIONS(161),
    [anon_sym_column_major] = ACTIONS(161),
    [anon_sym_globallycoherent] = ACTIONS(161),
    [anon_sym_centroid] = ACTIONS(161),
    [anon_sym_noperspective] = ACTIONS(161),
    [anon_sym_nointerpolation] = ACTIONS(161),
    [anon_sym_sample] = ACTIONS(161),
    [anon_sym_linear] = ACTIONS(161),
    [anon_sym_snorm] = ACTIONS(161),
    [anon_sym_unorm] = ACTIONS(161),
    [anon_sym_point] = ACTIONS(161),
    [anon_sym_line] = ACTIONS(161),
    [anon_sym_triangleadj] = ACTIONS(161),
    [anon_sym_lineadj] = ACTIONS(161),
    [anon_sym_triangle] = ACTIONS(161),
    [anon_sym_cbuffer] = ACTIONS(243),
  },
  [6] = {
    [sym_preproc_include] = STATE(69),
    [sym_preproc_def] = STATE(69),
    [sym_preproc_function_def] = STATE(69),
    [sym_preproc_call] = STATE(69),
    [sym_preproc_if] = STATE(69),
    [sym_preproc_ifdef] = STATE(69),
    [sym_function_definition] = STATE(69),
    [sym_declaration] = STATE(69),
    [sym_type_definition] = STATE(69),
    [sym__declaration_modifiers] = STATE(3159),
    [sym__declaration_specifiers] = STATE(5906),
    [sym_linkage_specification] = STATE(69),
    [sym_attribute_specifier] = STATE(3159),
    [sym_attribute_declaration] = STATE(1464),
    [sym_ms_declspec_modifier] = STATE(3159),
    [sym_ms_based_modifier] = STATE(10332),
    [sym_ms_call_modifier] = STATE(2574),
    [sym__declarator] = STATE(7978),
    [sym_parenthesized_declarator] = STATE(7680),
    [sym_attributed_declarator] = STATE(7680),
    [sym_pointer_declarator] = STATE(7680),
    [sym_function_declarator] = STATE(7611),
    [sym_array_declarator] = STATE(7680),
    [sym_compound_statement] = STATE(69),
    [sym_storage_class_specifier] = STATE(3159),
    [sym_type_qualifier] = STATE(3159),
    [sym__type_specifier] = STATE(3039),
    [sym_sized_type_specifier] = STATE(3085),
    [sym_enum_specifier] = STATE(3085),
    [sym_struct_specifier] = STATE(3085),
    [sym_union_specifier] = STATE(3085),
    [sym_attributed_statement] = STATE(69),
    [sym_labeled_statement] = STATE(69),
    [sym_expression_statement] = STATE(69),
    [sym_if_statement] = STATE(69),
    [sym_switch_statement] = STATE(69),
    [sym_case_statement] = STATE(69),
    [sym_while_statement] = STATE(69),
    [sym_do_statement] = STATE(69),
    [sym_for_statement] = STATE(69),
    [sym_return_statement] = STATE(69),
    [sym_break_statement] = STATE(69),
    [sym_continue_statement] = STATE(69),
    [sym_goto_statement] = STATE(69),
    [sym_seh_try_statement] = STATE(69),
    [sym_seh_leave_statement] = STATE(69),
    [sym__expression] = STATE(5400),
    [sym__expression_not_binary] = STATE(5024),
    [sym__string] = STATE(5024),
    [sym_comma_expression] = STATE(10272),
    [sym_conditional_expression] = STATE(5024),
    [sym_assignment_expression] = STATE(5024),
    [sym_pointer_expression] = STATE(4507),
    [sym_unary_expression] = STATE(5024),
    [sym_binary_expression] = STATE(5024),
    [sym_update_expression] = STATE(5024),
    [sym_cast_expression] = STATE(5024),
    [sym_sizeof_expression] = STATE(5024),
    [sym_alignof_expression] = STATE(5024),
    [sym_offsetof_expression] = STATE(5024),
    [sym_generic_expression] = STATE(5024),
    [sym_subscript_expression] = STATE(4507),
    [sym_call_expression] = STATE(4507),
    [sym_gnu_asm_expression] = STATE(5024),
    [sym_field_expression] = STATE(4507),
    [sym_compound_literal_expression] = STATE(5024),
    [sym_parenthesized_expression] = STATE(4507),
    [sym_initializer_list] = STATE(8868),
    [sym_initializer_pair] = STATE(8868),
    [sym_subscript_designator] = STATE(7972),
    [sym_subscript_range_designator] = STATE(7972),
    [sym_field_designator] = STATE(7972),
    [sym_char_literal] = STATE(5374),
    [sym_concatenated_string] = STATE(5377),
    [sym_string_literal] = STATE(4206),
    [sym_null] = STATE(5024),
    [sym__empty_declaration] = STATE(69),
    [sym_placeholder_type_specifier] = STATE(3085),
    [sym_decltype_auto] = STATE(3091),
    [sym_decltype] = STATE(3050),
    [sym_class_specifier] = STATE(3085),
    [sym__class_name] = STATE(9352),
    [sym_virtual] = STATE(3159),
    [sym_alignas_specifier] = STATE(3159),
    [sym_explicit_function_specifier] = STATE(2511),
    [sym_dependent_type] = STATE(3085),
    [sym_template_declaration] = STATE(69),
    [sym_template_instantiation] = STATE(69),
    [sym_operator_cast] = STATE(8035),
    [sym__constructor_specifiers] = STATE(2511),
    [sym_operator_cast_definition] = STATE(69),
    [sym_operator_cast_declaration] = STATE(69),
    [sym_constructor_or_destructor_definition] = STATE(69),
    [sym_reference_declarator] = STATE(7680),
    [sym_structured_binding_declarator] = STATE(7680),
    [sym_template_type] = STATE(3129),
    [sym_template_function] = STATE(5703),
    [sym_namespace_definition] = STATE(69),
    [sym_namespace_alias_definition] = STATE(69),
    [sym_using_declaration] = STATE(69),
    [sym_alias_declaration] = STATE(69),
    [sym_static_assert_declaration] = STATE(69),
    [sym_concept_definition] = STATE(69),
    [sym_for_range_loop] = STATE(69),
    [sym_co_return_statement] = STATE(69),
    [sym_co_yield_statement] = STATE(69),
    [sym_throw_statement] = STATE(69),
    [sym_try_statement] = STATE(69),
    [sym_raw_string_literal] = STATE(4217),
    [sym_co_await_expression] = STATE(5024),
    [sym_new_expression] = STATE(5024),
    [sym_delete_expression] = STATE(5024),
    [sym_requires_clause] = STATE(5024),
    [sym_requires_expression] = STATE(5024),
    [sym_lambda_expression] = STATE(5024),
    [sym_lambda_capture_specifier] = STATE(7184),
    [sym_fold_expression] = STATE(5024),
    [sym_parameter_pack_expansion] = STATE(5024),
    [sym_destructor_name] = STATE(7680),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6764),
    [sym_qualified_identifier] = STATE(4502),
    [sym_qualified_type_identifier] = STATE(3127),
    [sym_qualified_operator_cast_identifier] = STATE(8035),
    [sym_operator_name] = STATE(7680),
    [sym_user_defined_literal] = STATE(4507),
    [sym_discard_statement] = STATE(69),
    [sym_qualifiers] = STATE(3159),
    [sym_cbuffer_specifier] = STATE(69),
    [sym_hlsl_attribute] = STATE(1858),
    [aux_sym_preproc_if_repeat1] = STATE(69),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2673),
    [aux_sym_attributed_declarator_repeat1] = STATE(1339),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3021),
    [aux_sym_initializer_pair_repeat1] = STATE(7972),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2511),
    [sym_identifier] = ACTIONS(163),
    [aux_sym_preproc_include_token1] = ACTIONS(165),
    [aux_sym_preproc_def_token1] = ACTIONS(167),
    [anon_sym_COMMA] = ACTIONS(169),
    [aux_sym_preproc_if_token1] = ACTIONS(171),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(173),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(173),
    [sym_preproc_directive] = ACTIONS(175),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(177),
    [anon_sym___extension__] = ACTIONS(179),
    [anon_sym_typedef] = ACTIONS(181),
    [anon_sym_in] = ACTIONS(37),
    [anon_sym_out] = ACTIONS(37),
    [anon_sym_inout] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(183),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(45),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym___cdecl] = ACTIONS(51),
    [anon_sym___clrcall] = ACTIONS(51),
    [anon_sym___stdcall] = ACTIONS(51),
    [anon_sym___fastcall] = ACTIONS(51),
    [anon_sym___thiscall] = ACTIONS(51),
    [anon_sym___vectorcall] = ACTIONS(51),
    [anon_sym_LBRACE] = ACTIONS(185),
    [anon_sym_RBRACE] = ACTIONS(251),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(189),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(191),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(65),
    [anon_sym_enum] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(69),
    [anon_sym_struct] = ACTIONS(71),
    [anon_sym_union] = ACTIONS(73),
    [anon_sym_if] = ACTIONS(193),
    [anon_sym_switch] = ACTIONS(195),
    [anon_sym_case] = ACTIONS(197),
    [anon_sym_default] = ACTIONS(199),
    [anon_sym_while] = ACTIONS(201),
    [anon_sym_do] = ACTIONS(203),
    [anon_sym_for] = ACTIONS(205),
    [anon_sym_return] = ACTIONS(207),
    [anon_sym_break] = ACTIONS(209),
    [anon_sym_continue] = ACTIONS(211),
    [anon_sym_goto] = ACTIONS(213),
    [anon_sym___try] = ACTIONS(215),
    [anon_sym___leave] = ACTIONS(217),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [anon_sym_DOT] = ACTIONS(219),
    [sym_number_literal] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [anon_sym_virtual] = ACTIONS(123),
    [anon_sym_alignas] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(223),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_try] = ACTIONS(225),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(227),
    [anon_sym_namespace] = ACTIONS(229),
    [anon_sym_using] = ACTIONS(231),
    [anon_sym_static_assert] = ACTIONS(233),
    [anon_sym_concept] = ACTIONS(235),
    [anon_sym_co_return] = ACTIONS(237),
    [anon_sym_co_yield] = ACTIONS(239),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
    [anon_sym_discard] = ACTIONS(241),
    [anon_sym_precise] = ACTIONS(161),
    [anon_sym_shared] = ACTIONS(161),
    [anon_sym_groupshared] = ACTIONS(161),
    [anon_sym_uniform] = ACTIONS(161),
    [anon_sym_row_major] = ACTIONS(161),
    [anon_sym_column_major] = ACTIONS(161),
    [anon_sym_globallycoherent] = ACTIONS(161),
    [anon_sym_centroid] = ACTIONS(161),
    [anon_sym_noperspective] = ACTIONS(161),
    [anon_sym_nointerpolation] = ACTIONS(161),
    [anon_sym_sample] = ACTIONS(161),
    [anon_sym_linear] = ACTIONS(161),
    [anon_sym_snorm] = ACTIONS(161),
    [anon_sym_unorm] = ACTIONS(161),
    [anon_sym_point] = ACTIONS(161),
    [anon_sym_line] = ACTIONS(161),
    [anon_sym_triangleadj] = ACTIONS(161),
    [anon_sym_lineadj] = ACTIONS(161),
    [anon_sym_triangle] = ACTIONS(161),
    [anon_sym_cbuffer] = ACTIONS(243),
  },
  [7] = {
    [sym_preproc_include] = STATE(93),
    [sym_preproc_def] = STATE(93),
    [sym_preproc_function_def] = STATE(93),
    [sym_preproc_call] = STATE(93),
    [sym_preproc_if] = STATE(93),
    [sym_preproc_ifdef] = STATE(93),
    [sym_function_definition] = STATE(93),
    [sym_declaration] = STATE(93),
    [sym_type_definition] = STATE(93),
    [sym__declaration_modifiers] = STATE(3159),
    [sym__declaration_specifiers] = STATE(5906),
    [sym_linkage_specification] = STATE(93),
    [sym_attribute_specifier] = STATE(3159),
    [sym_attribute_declaration] = STATE(1464),
    [sym_ms_declspec_modifier] = STATE(3159),
    [sym_ms_based_modifier] = STATE(10332),
    [sym_ms_call_modifier] = STATE(2574),
    [sym__declarator] = STATE(7978),
    [sym_parenthesized_declarator] = STATE(7680),
    [sym_attributed_declarator] = STATE(7680),
    [sym_pointer_declarator] = STATE(7680),
    [sym_function_declarator] = STATE(7611),
    [sym_array_declarator] = STATE(7680),
    [sym_compound_statement] = STATE(93),
    [sym_storage_class_specifier] = STATE(3159),
    [sym_type_qualifier] = STATE(3159),
    [sym__type_specifier] = STATE(3039),
    [sym_sized_type_specifier] = STATE(3085),
    [sym_enum_specifier] = STATE(3085),
    [sym_struct_specifier] = STATE(3085),
    [sym_union_specifier] = STATE(3085),
    [sym_attributed_statement] = STATE(93),
    [sym_labeled_statement] = STATE(93),
    [sym_expression_statement] = STATE(93),
    [sym_if_statement] = STATE(93),
    [sym_switch_statement] = STATE(93),
    [sym_case_statement] = STATE(93),
    [sym_while_statement] = STATE(93),
    [sym_do_statement] = STATE(93),
    [sym_for_statement] = STATE(93),
    [sym_return_statement] = STATE(93),
    [sym_break_statement] = STATE(93),
    [sym_continue_statement] = STATE(93),
    [sym_goto_statement] = STATE(93),
    [sym_seh_try_statement] = STATE(93),
    [sym_seh_leave_statement] = STATE(93),
    [sym__expression] = STATE(5400),
    [sym__expression_not_binary] = STATE(5024),
    [sym__string] = STATE(5024),
    [sym_comma_expression] = STATE(10272),
    [sym_conditional_expression] = STATE(5024),
    [sym_assignment_expression] = STATE(5024),
    [sym_pointer_expression] = STATE(4507),
    [sym_unary_expression] = STATE(5024),
    [sym_binary_expression] = STATE(5024),
    [sym_update_expression] = STATE(5024),
    [sym_cast_expression] = STATE(5024),
    [sym_sizeof_expression] = STATE(5024),
    [sym_alignof_expression] = STATE(5024),
    [sym_offsetof_expression] = STATE(5024),
    [sym_generic_expression] = STATE(5024),
    [sym_subscript_expression] = STATE(4507),
    [sym_call_expression] = STATE(4507),
    [sym_gnu_asm_expression] = STATE(5024),
    [sym_field_expression] = STATE(4507),
    [sym_compound_literal_expression] = STATE(5024),
    [sym_parenthesized_expression] = STATE(4507),
    [sym_initializer_list] = STATE(8868),
    [sym_initializer_pair] = STATE(8868),
    [sym_subscript_designator] = STATE(7972),
    [sym_subscript_range_designator] = STATE(7972),
    [sym_field_designator] = STATE(7972),
    [sym_char_literal] = STATE(5374),
    [sym_concatenated_string] = STATE(5377),
    [sym_string_literal] = STATE(4206),
    [sym_null] = STATE(5024),
    [sym__empty_declaration] = STATE(93),
    [sym_placeholder_type_specifier] = STATE(3085),
    [sym_decltype_auto] = STATE(3091),
    [sym_decltype] = STATE(3050),
    [sym_class_specifier] = STATE(3085),
    [sym__class_name] = STATE(9352),
    [sym_virtual] = STATE(3159),
    [sym_alignas_specifier] = STATE(3159),
    [sym_explicit_function_specifier] = STATE(2511),
    [sym_dependent_type] = STATE(3085),
    [sym_template_declaration] = STATE(93),
    [sym_template_instantiation] = STATE(93),
    [sym_operator_cast] = STATE(8035),
    [sym__constructor_specifiers] = STATE(2511),
    [sym_operator_cast_definition] = STATE(93),
    [sym_operator_cast_declaration] = STATE(93),
    [sym_constructor_or_destructor_definition] = STATE(93),
    [sym_reference_declarator] = STATE(7680),
    [sym_structured_binding_declarator] = STATE(7680),
    [sym_template_type] = STATE(3129),
    [sym_template_function] = STATE(5703),
    [sym_namespace_definition] = STATE(93),
    [sym_namespace_alias_definition] = STATE(93),
    [sym_using_declaration] = STATE(93),
    [sym_alias_declaration] = STATE(93),
    [sym_static_assert_declaration] = STATE(93),
    [sym_concept_definition] = STATE(93),
    [sym_for_range_loop] = STATE(93),
    [sym_co_return_statement] = STATE(93),
    [sym_co_yield_statement] = STATE(93),
    [sym_throw_statement] = STATE(93),
    [sym_try_statement] = STATE(93),
    [sym_raw_string_literal] = STATE(4217),
    [sym_co_await_expression] = STATE(5024),
    [sym_new_expression] = STATE(5024),
    [sym_delete_expression] = STATE(5024),
    [sym_requires_clause] = STATE(5024),
    [sym_requires_expression] = STATE(5024),
    [sym_lambda_expression] = STATE(5024),
    [sym_lambda_capture_specifier] = STATE(7184),
    [sym_fold_expression] = STATE(5024),
    [sym_parameter_pack_expansion] = STATE(5024),
    [sym_destructor_name] = STATE(7680),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6764),
    [sym_qualified_identifier] = STATE(4502),
    [sym_qualified_type_identifier] = STATE(3127),
    [sym_qualified_operator_cast_identifier] = STATE(8035),
    [sym_operator_name] = STATE(7680),
    [sym_user_defined_literal] = STATE(4507),
    [sym_discard_statement] = STATE(93),
    [sym_qualifiers] = STATE(3159),
    [sym_cbuffer_specifier] = STATE(93),
    [sym_hlsl_attribute] = STATE(1858),
    [aux_sym_preproc_if_repeat1] = STATE(93),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2673),
    [aux_sym_attributed_declarator_repeat1] = STATE(1339),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3021),
    [aux_sym_initializer_pair_repeat1] = STATE(7972),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2511),
    [sym_identifier] = ACTIONS(163),
    [aux_sym_preproc_include_token1] = ACTIONS(165),
    [aux_sym_preproc_def_token1] = ACTIONS(167),
    [anon_sym_COMMA] = ACTIONS(169),
    [aux_sym_preproc_if_token1] = ACTIONS(171),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(173),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(173),
    [sym_preproc_directive] = ACTIONS(175),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(177),
    [anon_sym___extension__] = ACTIONS(179),
    [anon_sym_typedef] = ACTIONS(181),
    [anon_sym_in] = ACTIONS(37),
    [anon_sym_out] = ACTIONS(37),
    [anon_sym_inout] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(183),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(45),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym___cdecl] = ACTIONS(51),
    [anon_sym___clrcall] = ACTIONS(51),
    [anon_sym___stdcall] = ACTIONS(51),
    [anon_sym___fastcall] = ACTIONS(51),
    [anon_sym___thiscall] = ACTIONS(51),
    [anon_sym___vectorcall] = ACTIONS(51),
    [anon_sym_LBRACE] = ACTIONS(185),
    [anon_sym_RBRACE] = ACTIONS(253),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(189),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(191),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(65),
    [anon_sym_enum] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(69),
    [anon_sym_struct] = ACTIONS(71),
    [anon_sym_union] = ACTIONS(73),
    [anon_sym_if] = ACTIONS(193),
    [anon_sym_switch] = ACTIONS(195),
    [anon_sym_case] = ACTIONS(197),
    [anon_sym_default] = ACTIONS(199),
    [anon_sym_while] = ACTIONS(201),
    [anon_sym_do] = ACTIONS(203),
    [anon_sym_for] = ACTIONS(205),
    [anon_sym_return] = ACTIONS(207),
    [anon_sym_break] = ACTIONS(209),
    [anon_sym_continue] = ACTIONS(211),
    [anon_sym_goto] = ACTIONS(213),
    [anon_sym___try] = ACTIONS(215),
    [anon_sym___leave] = ACTIONS(217),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [anon_sym_DOT] = ACTIONS(219),
    [sym_number_literal] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [anon_sym_virtual] = ACTIONS(123),
    [anon_sym_alignas] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(223),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_try] = ACTIONS(225),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(227),
    [anon_sym_namespace] = ACTIONS(229),
    [anon_sym_using] = ACTIONS(231),
    [anon_sym_static_assert] = ACTIONS(233),
    [anon_sym_concept] = ACTIONS(235),
    [anon_sym_co_return] = ACTIONS(237),
    [anon_sym_co_yield] = ACTIONS(239),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
    [anon_sym_discard] = ACTIONS(241),
    [anon_sym_precise] = ACTIONS(161),
    [anon_sym_shared] = ACTIONS(161),
    [anon_sym_groupshared] = ACTIONS(161),
    [anon_sym_uniform] = ACTIONS(161),
    [anon_sym_row_major] = ACTIONS(161),
    [anon_sym_column_major] = ACTIONS(161),
    [anon_sym_globallycoherent] = ACTIONS(161),
    [anon_sym_centroid] = ACTIONS(161),
    [anon_sym_noperspective] = ACTIONS(161),
    [anon_sym_nointerpolation] = ACTIONS(161),
    [anon_sym_sample] = ACTIONS(161),
    [anon_sym_linear] = ACTIONS(161),
    [anon_sym_snorm] = ACTIONS(161),
    [anon_sym_unorm] = ACTIONS(161),
    [anon_sym_point] = ACTIONS(161),
    [anon_sym_line] = ACTIONS(161),
    [anon_sym_triangleadj] = ACTIONS(161),
    [anon_sym_lineadj] = ACTIONS(161),
    [anon_sym_triangle] = ACTIONS(161),
    [anon_sym_cbuffer] = ACTIONS(243),
  },
  [8] = {
    [sym_preproc_include] = STATE(74),
    [sym_preproc_def] = STATE(74),
    [sym_preproc_function_def] = STATE(74),
    [sym_preproc_call] = STATE(74),
    [sym_preproc_if] = STATE(74),
    [sym_preproc_ifdef] = STATE(74),
    [sym_function_definition] = STATE(74),
    [sym_declaration] = STATE(74),
    [sym_type_definition] = STATE(74),
    [sym__declaration_modifiers] = STATE(3159),
    [sym__declaration_specifiers] = STATE(5906),
    [sym_linkage_specification] = STATE(74),
    [sym_attribute_specifier] = STATE(3159),
    [sym_attribute_declaration] = STATE(1464),
    [sym_ms_declspec_modifier] = STATE(3159),
    [sym_ms_based_modifier] = STATE(10332),
    [sym_ms_call_modifier] = STATE(2574),
    [sym__declarator] = STATE(7978),
    [sym_parenthesized_declarator] = STATE(7680),
    [sym_attributed_declarator] = STATE(7680),
    [sym_pointer_declarator] = STATE(7680),
    [sym_function_declarator] = STATE(7611),
    [sym_array_declarator] = STATE(7680),
    [sym_compound_statement] = STATE(74),
    [sym_storage_class_specifier] = STATE(3159),
    [sym_type_qualifier] = STATE(3159),
    [sym__type_specifier] = STATE(3039),
    [sym_sized_type_specifier] = STATE(3085),
    [sym_enum_specifier] = STATE(3085),
    [sym_struct_specifier] = STATE(3085),
    [sym_union_specifier] = STATE(3085),
    [sym_attributed_statement] = STATE(74),
    [sym_labeled_statement] = STATE(74),
    [sym_expression_statement] = STATE(74),
    [sym_if_statement] = STATE(74),
    [sym_switch_statement] = STATE(74),
    [sym_case_statement] = STATE(74),
    [sym_while_statement] = STATE(74),
    [sym_do_statement] = STATE(74),
    [sym_for_statement] = STATE(74),
    [sym_return_statement] = STATE(74),
    [sym_break_statement] = STATE(74),
    [sym_continue_statement] = STATE(74),
    [sym_goto_statement] = STATE(74),
    [sym_seh_try_statement] = STATE(74),
    [sym_seh_leave_statement] = STATE(74),
    [sym__expression] = STATE(5400),
    [sym__expression_not_binary] = STATE(5024),
    [sym__string] = STATE(5024),
    [sym_comma_expression] = STATE(10272),
    [sym_conditional_expression] = STATE(5024),
    [sym_assignment_expression] = STATE(5024),
    [sym_pointer_expression] = STATE(4507),
    [sym_unary_expression] = STATE(5024),
    [sym_binary_expression] = STATE(5024),
    [sym_update_expression] = STATE(5024),
    [sym_cast_expression] = STATE(5024),
    [sym_sizeof_expression] = STATE(5024),
    [sym_alignof_expression] = STATE(5024),
    [sym_offsetof_expression] = STATE(5024),
    [sym_generic_expression] = STATE(5024),
    [sym_subscript_expression] = STATE(4507),
    [sym_call_expression] = STATE(4507),
    [sym_gnu_asm_expression] = STATE(5024),
    [sym_field_expression] = STATE(4507),
    [sym_compound_literal_expression] = STATE(5024),
    [sym_parenthesized_expression] = STATE(4507),
    [sym_initializer_list] = STATE(8868),
    [sym_initializer_pair] = STATE(8868),
    [sym_subscript_designator] = STATE(7972),
    [sym_subscript_range_designator] = STATE(7972),
    [sym_field_designator] = STATE(7972),
    [sym_char_literal] = STATE(5374),
    [sym_concatenated_string] = STATE(5377),
    [sym_string_literal] = STATE(4206),
    [sym_null] = STATE(5024),
    [sym__empty_declaration] = STATE(74),
    [sym_placeholder_type_specifier] = STATE(3085),
    [sym_decltype_auto] = STATE(3091),
    [sym_decltype] = STATE(3050),
    [sym_class_specifier] = STATE(3085),
    [sym__class_name] = STATE(9352),
    [sym_virtual] = STATE(3159),
    [sym_alignas_specifier] = STATE(3159),
    [sym_explicit_function_specifier] = STATE(2511),
    [sym_dependent_type] = STATE(3085),
    [sym_template_declaration] = STATE(74),
    [sym_template_instantiation] = STATE(74),
    [sym_operator_cast] = STATE(8035),
    [sym__constructor_specifiers] = STATE(2511),
    [sym_operator_cast_definition] = STATE(74),
    [sym_operator_cast_declaration] = STATE(74),
    [sym_constructor_or_destructor_definition] = STATE(74),
    [sym_reference_declarator] = STATE(7680),
    [sym_structured_binding_declarator] = STATE(7680),
    [sym_template_type] = STATE(3129),
    [sym_template_function] = STATE(5703),
    [sym_namespace_definition] = STATE(74),
    [sym_namespace_alias_definition] = STATE(74),
    [sym_using_declaration] = STATE(74),
    [sym_alias_declaration] = STATE(74),
    [sym_static_assert_declaration] = STATE(74),
    [sym_concept_definition] = STATE(74),
    [sym_for_range_loop] = STATE(74),
    [sym_co_return_statement] = STATE(74),
    [sym_co_yield_statement] = STATE(74),
    [sym_throw_statement] = STATE(74),
    [sym_try_statement] = STATE(74),
    [sym_raw_string_literal] = STATE(4217),
    [sym_co_await_expression] = STATE(5024),
    [sym_new_expression] = STATE(5024),
    [sym_delete_expression] = STATE(5024),
    [sym_requires_clause] = STATE(5024),
    [sym_requires_expression] = STATE(5024),
    [sym_lambda_expression] = STATE(5024),
    [sym_lambda_capture_specifier] = STATE(7184),
    [sym_fold_expression] = STATE(5024),
    [sym_parameter_pack_expansion] = STATE(5024),
    [sym_destructor_name] = STATE(7680),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6764),
    [sym_qualified_identifier] = STATE(4502),
    [sym_qualified_type_identifier] = STATE(3127),
    [sym_qualified_operator_cast_identifier] = STATE(8035),
    [sym_operator_name] = STATE(7680),
    [sym_user_defined_literal] = STATE(4507),
    [sym_discard_statement] = STATE(74),
    [sym_qualifiers] = STATE(3159),
    [sym_cbuffer_specifier] = STATE(74),
    [sym_hlsl_attribute] = STATE(1858),
    [aux_sym_preproc_if_repeat1] = STATE(74),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2673),
    [aux_sym_attributed_declarator_repeat1] = STATE(1339),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3021),
    [aux_sym_initializer_pair_repeat1] = STATE(7972),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2511),
    [sym_identifier] = ACTIONS(163),
    [aux_sym_preproc_include_token1] = ACTIONS(165),
    [aux_sym_preproc_def_token1] = ACTIONS(167),
    [anon_sym_COMMA] = ACTIONS(169),
    [aux_sym_preproc_if_token1] = ACTIONS(171),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(173),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(173),
    [sym_preproc_directive] = ACTIONS(175),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(177),
    [anon_sym___extension__] = ACTIONS(179),
    [anon_sym_typedef] = ACTIONS(181),
    [anon_sym_in] = ACTIONS(37),
    [anon_sym_out] = ACTIONS(37),
    [anon_sym_inout] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(183),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(45),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym___cdecl] = ACTIONS(51),
    [anon_sym___clrcall] = ACTIONS(51),
    [anon_sym___stdcall] = ACTIONS(51),
    [anon_sym___fastcall] = ACTIONS(51),
    [anon_sym___thiscall] = ACTIONS(51),
    [anon_sym___vectorcall] = ACTIONS(51),
    [anon_sym_LBRACE] = ACTIONS(185),
    [anon_sym_RBRACE] = ACTIONS(255),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(189),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(191),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(65),
    [anon_sym_enum] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(69),
    [anon_sym_struct] = ACTIONS(71),
    [anon_sym_union] = ACTIONS(73),
    [anon_sym_if] = ACTIONS(193),
    [anon_sym_switch] = ACTIONS(195),
    [anon_sym_case] = ACTIONS(197),
    [anon_sym_default] = ACTIONS(199),
    [anon_sym_while] = ACTIONS(201),
    [anon_sym_do] = ACTIONS(203),
    [anon_sym_for] = ACTIONS(205),
    [anon_sym_return] = ACTIONS(207),
    [anon_sym_break] = ACTIONS(209),
    [anon_sym_continue] = ACTIONS(211),
    [anon_sym_goto] = ACTIONS(213),
    [anon_sym___try] = ACTIONS(215),
    [anon_sym___leave] = ACTIONS(217),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [anon_sym_DOT] = ACTIONS(219),
    [sym_number_literal] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [anon_sym_virtual] = ACTIONS(123),
    [anon_sym_alignas] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(223),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_try] = ACTIONS(225),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(227),
    [anon_sym_namespace] = ACTIONS(229),
    [anon_sym_using] = ACTIONS(231),
    [anon_sym_static_assert] = ACTIONS(233),
    [anon_sym_concept] = ACTIONS(235),
    [anon_sym_co_return] = ACTIONS(237),
    [anon_sym_co_yield] = ACTIONS(239),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
    [anon_sym_discard] = ACTIONS(241),
    [anon_sym_precise] = ACTIONS(161),
    [anon_sym_shared] = ACTIONS(161),
    [anon_sym_groupshared] = ACTIONS(161),
    [anon_sym_uniform] = ACTIONS(161),
    [anon_sym_row_major] = ACTIONS(161),
    [anon_sym_column_major] = ACTIONS(161),
    [anon_sym_globallycoherent] = ACTIONS(161),
    [anon_sym_centroid] = ACTIONS(161),
    [anon_sym_noperspective] = ACTIONS(161),
    [anon_sym_nointerpolation] = ACTIONS(161),
    [anon_sym_sample] = ACTIONS(161),
    [anon_sym_linear] = ACTIONS(161),
    [anon_sym_snorm] = ACTIONS(161),
    [anon_sym_unorm] = ACTIONS(161),
    [anon_sym_point] = ACTIONS(161),
    [anon_sym_line] = ACTIONS(161),
    [anon_sym_triangleadj] = ACTIONS(161),
    [anon_sym_lineadj] = ACTIONS(161),
    [anon_sym_triangle] = ACTIONS(161),
    [anon_sym_cbuffer] = ACTIONS(243),
  },
  [9] = {
    [sym_preproc_include] = STATE(47),
    [sym_preproc_def] = STATE(47),
    [sym_preproc_function_def] = STATE(47),
    [sym_preproc_call] = STATE(47),
    [sym_preproc_if] = STATE(47),
    [sym_preproc_ifdef] = STATE(47),
    [sym_function_definition] = STATE(47),
    [sym_declaration] = STATE(47),
    [sym_type_definition] = STATE(47),
    [sym__declaration_modifiers] = STATE(3159),
    [sym__declaration_specifiers] = STATE(5906),
    [sym_linkage_specification] = STATE(47),
    [sym_attribute_specifier] = STATE(3159),
    [sym_attribute_declaration] = STATE(1464),
    [sym_ms_declspec_modifier] = STATE(3159),
    [sym_ms_based_modifier] = STATE(10332),
    [sym_ms_call_modifier] = STATE(2574),
    [sym__declarator] = STATE(7978),
    [sym_parenthesized_declarator] = STATE(7680),
    [sym_attributed_declarator] = STATE(7680),
    [sym_pointer_declarator] = STATE(7680),
    [sym_function_declarator] = STATE(7611),
    [sym_array_declarator] = STATE(7680),
    [sym_compound_statement] = STATE(47),
    [sym_storage_class_specifier] = STATE(3159),
    [sym_type_qualifier] = STATE(3159),
    [sym__type_specifier] = STATE(3039),
    [sym_sized_type_specifier] = STATE(3085),
    [sym_enum_specifier] = STATE(3085),
    [sym_struct_specifier] = STATE(3085),
    [sym_union_specifier] = STATE(3085),
    [sym_attributed_statement] = STATE(47),
    [sym_labeled_statement] = STATE(47),
    [sym_expression_statement] = STATE(47),
    [sym_if_statement] = STATE(47),
    [sym_switch_statement] = STATE(47),
    [sym_case_statement] = STATE(47),
    [sym_while_statement] = STATE(47),
    [sym_do_statement] = STATE(47),
    [sym_for_statement] = STATE(47),
    [sym_return_statement] = STATE(47),
    [sym_break_statement] = STATE(47),
    [sym_continue_statement] = STATE(47),
    [sym_goto_statement] = STATE(47),
    [sym_seh_try_statement] = STATE(47),
    [sym_seh_leave_statement] = STATE(47),
    [sym__expression] = STATE(5400),
    [sym__expression_not_binary] = STATE(5024),
    [sym__string] = STATE(5024),
    [sym_comma_expression] = STATE(10272),
    [sym_conditional_expression] = STATE(5024),
    [sym_assignment_expression] = STATE(5024),
    [sym_pointer_expression] = STATE(4507),
    [sym_unary_expression] = STATE(5024),
    [sym_binary_expression] = STATE(5024),
    [sym_update_expression] = STATE(5024),
    [sym_cast_expression] = STATE(5024),
    [sym_sizeof_expression] = STATE(5024),
    [sym_alignof_expression] = STATE(5024),
    [sym_offsetof_expression] = STATE(5024),
    [sym_generic_expression] = STATE(5024),
    [sym_subscript_expression] = STATE(4507),
    [sym_call_expression] = STATE(4507),
    [sym_gnu_asm_expression] = STATE(5024),
    [sym_field_expression] = STATE(4507),
    [sym_compound_literal_expression] = STATE(5024),
    [sym_parenthesized_expression] = STATE(4507),
    [sym_initializer_list] = STATE(8868),
    [sym_initializer_pair] = STATE(8868),
    [sym_subscript_designator] = STATE(7972),
    [sym_subscript_range_designator] = STATE(7972),
    [sym_field_designator] = STATE(7972),
    [sym_char_literal] = STATE(5374),
    [sym_concatenated_string] = STATE(5377),
    [sym_string_literal] = STATE(4206),
    [sym_null] = STATE(5024),
    [sym__empty_declaration] = STATE(47),
    [sym_placeholder_type_specifier] = STATE(3085),
    [sym_decltype_auto] = STATE(3091),
    [sym_decltype] = STATE(3050),
    [sym_class_specifier] = STATE(3085),
    [sym__class_name] = STATE(9352),
    [sym_virtual] = STATE(3159),
    [sym_alignas_specifier] = STATE(3159),
    [sym_explicit_function_specifier] = STATE(2511),
    [sym_dependent_type] = STATE(3085),
    [sym_template_declaration] = STATE(47),
    [sym_template_instantiation] = STATE(47),
    [sym_operator_cast] = STATE(8035),
    [sym__constructor_specifiers] = STATE(2511),
    [sym_operator_cast_definition] = STATE(47),
    [sym_operator_cast_declaration] = STATE(47),
    [sym_constructor_or_destructor_definition] = STATE(47),
    [sym_reference_declarator] = STATE(7680),
    [sym_structured_binding_declarator] = STATE(7680),
    [sym_template_type] = STATE(3129),
    [sym_template_function] = STATE(5703),
    [sym_namespace_definition] = STATE(47),
    [sym_namespace_alias_definition] = STATE(47),
    [sym_using_declaration] = STATE(47),
    [sym_alias_declaration] = STATE(47),
    [sym_static_assert_declaration] = STATE(47),
    [sym_concept_definition] = STATE(47),
    [sym_for_range_loop] = STATE(47),
    [sym_co_return_statement] = STATE(47),
    [sym_co_yield_statement] = STATE(47),
    [sym_throw_statement] = STATE(47),
    [sym_try_statement] = STATE(47),
    [sym_raw_string_literal] = STATE(4217),
    [sym_co_await_expression] = STATE(5024),
    [sym_new_expression] = STATE(5024),
    [sym_delete_expression] = STATE(5024),
    [sym_requires_clause] = STATE(5024),
    [sym_requires_expression] = STATE(5024),
    [sym_lambda_expression] = STATE(5024),
    [sym_lambda_capture_specifier] = STATE(7184),
    [sym_fold_expression] = STATE(5024),
    [sym_parameter_pack_expansion] = STATE(5024),
    [sym_destructor_name] = STATE(7680),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6764),
    [sym_qualified_identifier] = STATE(4502),
    [sym_qualified_type_identifier] = STATE(3127),
    [sym_qualified_operator_cast_identifier] = STATE(8035),
    [sym_operator_name] = STATE(7680),
    [sym_user_defined_literal] = STATE(4507),
    [sym_discard_statement] = STATE(47),
    [sym_qualifiers] = STATE(3159),
    [sym_cbuffer_specifier] = STATE(47),
    [sym_hlsl_attribute] = STATE(1858),
    [aux_sym_preproc_if_repeat1] = STATE(47),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2673),
    [aux_sym_attributed_declarator_repeat1] = STATE(1339),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3021),
    [aux_sym_initializer_pair_repeat1] = STATE(7972),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2511),
    [sym_identifier] = ACTIONS(163),
    [aux_sym_preproc_include_token1] = ACTIONS(165),
    [aux_sym_preproc_def_token1] = ACTIONS(167),
    [anon_sym_COMMA] = ACTIONS(169),
    [aux_sym_preproc_if_token1] = ACTIONS(171),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(173),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(173),
    [sym_preproc_directive] = ACTIONS(175),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(177),
    [anon_sym___extension__] = ACTIONS(179),
    [anon_sym_typedef] = ACTIONS(181),
    [anon_sym_in] = ACTIONS(37),
    [anon_sym_out] = ACTIONS(37),
    [anon_sym_inout] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(183),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(45),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym___cdecl] = ACTIONS(51),
    [anon_sym___clrcall] = ACTIONS(51),
    [anon_sym___stdcall] = ACTIONS(51),
    [anon_sym___fastcall] = ACTIONS(51),
    [anon_sym___thiscall] = ACTIONS(51),
    [anon_sym___vectorcall] = ACTIONS(51),
    [anon_sym_LBRACE] = ACTIONS(185),
    [anon_sym_RBRACE] = ACTIONS(257),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(189),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(191),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(65),
    [anon_sym_enum] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(69),
    [anon_sym_struct] = ACTIONS(71),
    [anon_sym_union] = ACTIONS(73),
    [anon_sym_if] = ACTIONS(193),
    [anon_sym_switch] = ACTIONS(195),
    [anon_sym_case] = ACTIONS(197),
    [anon_sym_default] = ACTIONS(199),
    [anon_sym_while] = ACTIONS(201),
    [anon_sym_do] = ACTIONS(203),
    [anon_sym_for] = ACTIONS(205),
    [anon_sym_return] = ACTIONS(207),
    [anon_sym_break] = ACTIONS(209),
    [anon_sym_continue] = ACTIONS(211),
    [anon_sym_goto] = ACTIONS(213),
    [anon_sym___try] = ACTIONS(215),
    [anon_sym___leave] = ACTIONS(217),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [anon_sym_DOT] = ACTIONS(219),
    [sym_number_literal] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [anon_sym_virtual] = ACTIONS(123),
    [anon_sym_alignas] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(223),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_try] = ACTIONS(225),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(227),
    [anon_sym_namespace] = ACTIONS(229),
    [anon_sym_using] = ACTIONS(231),
    [anon_sym_static_assert] = ACTIONS(233),
    [anon_sym_concept] = ACTIONS(235),
    [anon_sym_co_return] = ACTIONS(237),
    [anon_sym_co_yield] = ACTIONS(239),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
    [anon_sym_discard] = ACTIONS(241),
    [anon_sym_precise] = ACTIONS(161),
    [anon_sym_shared] = ACTIONS(161),
    [anon_sym_groupshared] = ACTIONS(161),
    [anon_sym_uniform] = ACTIONS(161),
    [anon_sym_row_major] = ACTIONS(161),
    [anon_sym_column_major] = ACTIONS(161),
    [anon_sym_globallycoherent] = ACTIONS(161),
    [anon_sym_centroid] = ACTIONS(161),
    [anon_sym_noperspective] = ACTIONS(161),
    [anon_sym_nointerpolation] = ACTIONS(161),
    [anon_sym_sample] = ACTIONS(161),
    [anon_sym_linear] = ACTIONS(161),
    [anon_sym_snorm] = ACTIONS(161),
    [anon_sym_unorm] = ACTIONS(161),
    [anon_sym_point] = ACTIONS(161),
    [anon_sym_line] = ACTIONS(161),
    [anon_sym_triangleadj] = ACTIONS(161),
    [anon_sym_lineadj] = ACTIONS(161),
    [anon_sym_triangle] = ACTIONS(161),
    [anon_sym_cbuffer] = ACTIONS(243),
  },
  [10] = {
    [sym_preproc_include] = STATE(93),
    [sym_preproc_def] = STATE(93),
    [sym_preproc_function_def] = STATE(93),
    [sym_preproc_call] = STATE(93),
    [sym_preproc_if] = STATE(93),
    [sym_preproc_ifdef] = STATE(93),
    [sym_function_definition] = STATE(93),
    [sym_declaration] = STATE(93),
    [sym_type_definition] = STATE(93),
    [sym__declaration_modifiers] = STATE(3159),
    [sym__declaration_specifiers] = STATE(5906),
    [sym_linkage_specification] = STATE(93),
    [sym_attribute_specifier] = STATE(3159),
    [sym_attribute_declaration] = STATE(1464),
    [sym_ms_declspec_modifier] = STATE(3159),
    [sym_ms_based_modifier] = STATE(10332),
    [sym_ms_call_modifier] = STATE(2574),
    [sym__declarator] = STATE(7978),
    [sym_parenthesized_declarator] = STATE(7680),
    [sym_attributed_declarator] = STATE(7680),
    [sym_pointer_declarator] = STATE(7680),
    [sym_function_declarator] = STATE(7611),
    [sym_array_declarator] = STATE(7680),
    [sym_compound_statement] = STATE(93),
    [sym_storage_class_specifier] = STATE(3159),
    [sym_type_qualifier] = STATE(3159),
    [sym__type_specifier] = STATE(3039),
    [sym_sized_type_specifier] = STATE(3085),
    [sym_enum_specifier] = STATE(3085),
    [sym_struct_specifier] = STATE(3085),
    [sym_union_specifier] = STATE(3085),
    [sym_attributed_statement] = STATE(93),
    [sym_labeled_statement] = STATE(93),
    [sym_expression_statement] = STATE(93),
    [sym_if_statement] = STATE(93),
    [sym_switch_statement] = STATE(93),
    [sym_case_statement] = STATE(93),
    [sym_while_statement] = STATE(93),
    [sym_do_statement] = STATE(93),
    [sym_for_statement] = STATE(93),
    [sym_return_statement] = STATE(93),
    [sym_break_statement] = STATE(93),
    [sym_continue_statement] = STATE(93),
    [sym_goto_statement] = STATE(93),
    [sym_seh_try_statement] = STATE(93),
    [sym_seh_leave_statement] = STATE(93),
    [sym__expression] = STATE(5400),
    [sym__expression_not_binary] = STATE(5024),
    [sym__string] = STATE(5024),
    [sym_comma_expression] = STATE(10272),
    [sym_conditional_expression] = STATE(5024),
    [sym_assignment_expression] = STATE(5024),
    [sym_pointer_expression] = STATE(4507),
    [sym_unary_expression] = STATE(5024),
    [sym_binary_expression] = STATE(5024),
    [sym_update_expression] = STATE(5024),
    [sym_cast_expression] = STATE(5024),
    [sym_sizeof_expression] = STATE(5024),
    [sym_alignof_expression] = STATE(5024),
    [sym_offsetof_expression] = STATE(5024),
    [sym_generic_expression] = STATE(5024),
    [sym_subscript_expression] = STATE(4507),
    [sym_call_expression] = STATE(4507),
    [sym_gnu_asm_expression] = STATE(5024),
    [sym_field_expression] = STATE(4507),
    [sym_compound_literal_expression] = STATE(5024),
    [sym_parenthesized_expression] = STATE(4507),
    [sym_initializer_list] = STATE(8868),
    [sym_initializer_pair] = STATE(8868),
    [sym_subscript_designator] = STATE(7972),
    [sym_subscript_range_designator] = STATE(7972),
    [sym_field_designator] = STATE(7972),
    [sym_char_literal] = STATE(5374),
    [sym_concatenated_string] = STATE(5377),
    [sym_string_literal] = STATE(4206),
    [sym_null] = STATE(5024),
    [sym__empty_declaration] = STATE(93),
    [sym_placeholder_type_specifier] = STATE(3085),
    [sym_decltype_auto] = STATE(3091),
    [sym_decltype] = STATE(3050),
    [sym_class_specifier] = STATE(3085),
    [sym__class_name] = STATE(9352),
    [sym_virtual] = STATE(3159),
    [sym_alignas_specifier] = STATE(3159),
    [sym_explicit_function_specifier] = STATE(2511),
    [sym_dependent_type] = STATE(3085),
    [sym_template_declaration] = STATE(93),
    [sym_template_instantiation] = STATE(93),
    [sym_operator_cast] = STATE(8035),
    [sym__constructor_specifiers] = STATE(2511),
    [sym_operator_cast_definition] = STATE(93),
    [sym_operator_cast_declaration] = STATE(93),
    [sym_constructor_or_destructor_definition] = STATE(93),
    [sym_reference_declarator] = STATE(7680),
    [sym_structured_binding_declarator] = STATE(7680),
    [sym_template_type] = STATE(3129),
    [sym_template_function] = STATE(5703),
    [sym_namespace_definition] = STATE(93),
    [sym_namespace_alias_definition] = STATE(93),
    [sym_using_declaration] = STATE(93),
    [sym_alias_declaration] = STATE(93),
    [sym_static_assert_declaration] = STATE(93),
    [sym_concept_definition] = STATE(93),
    [sym_for_range_loop] = STATE(93),
    [sym_co_return_statement] = STATE(93),
    [sym_co_yield_statement] = STATE(93),
    [sym_throw_statement] = STATE(93),
    [sym_try_statement] = STATE(93),
    [sym_raw_string_literal] = STATE(4217),
    [sym_co_await_expression] = STATE(5024),
    [sym_new_expression] = STATE(5024),
    [sym_delete_expression] = STATE(5024),
    [sym_requires_clause] = STATE(5024),
    [sym_requires_expression] = STATE(5024),
    [sym_lambda_expression] = STATE(5024),
    [sym_lambda_capture_specifier] = STATE(7184),
    [sym_fold_expression] = STATE(5024),
    [sym_parameter_pack_expansion] = STATE(5024),
    [sym_destructor_name] = STATE(7680),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6764),
    [sym_qualified_identifier] = STATE(4502),
    [sym_qualified_type_identifier] = STATE(3127),
    [sym_qualified_operator_cast_identifier] = STATE(8035),
    [sym_operator_name] = STATE(7680),
    [sym_user_defined_literal] = STATE(4507),
    [sym_discard_statement] = STATE(93),
    [sym_qualifiers] = STATE(3159),
    [sym_cbuffer_specifier] = STATE(93),
    [sym_hlsl_attribute] = STATE(1858),
    [aux_sym_preproc_if_repeat1] = STATE(93),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2673),
    [aux_sym_attributed_declarator_repeat1] = STATE(1339),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3021),
    [aux_sym_initializer_pair_repeat1] = STATE(7972),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2511),
    [sym_identifier] = ACTIONS(163),
    [aux_sym_preproc_include_token1] = ACTIONS(165),
    [aux_sym_preproc_def_token1] = ACTIONS(167),
    [anon_sym_COMMA] = ACTIONS(169),
    [aux_sym_preproc_if_token1] = ACTIONS(171),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(173),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(173),
    [sym_preproc_directive] = ACTIONS(175),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(177),
    [anon_sym___extension__] = ACTIONS(179),
    [anon_sym_typedef] = ACTIONS(181),
    [anon_sym_in] = ACTIONS(37),
    [anon_sym_out] = ACTIONS(37),
    [anon_sym_inout] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(183),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(45),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym___cdecl] = ACTIONS(51),
    [anon_sym___clrcall] = ACTIONS(51),
    [anon_sym___stdcall] = ACTIONS(51),
    [anon_sym___fastcall] = ACTIONS(51),
    [anon_sym___thiscall] = ACTIONS(51),
    [anon_sym___vectorcall] = ACTIONS(51),
    [anon_sym_LBRACE] = ACTIONS(185),
    [anon_sym_RBRACE] = ACTIONS(259),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(189),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(191),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(65),
    [anon_sym_enum] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(69),
    [anon_sym_struct] = ACTIONS(71),
    [anon_sym_union] = ACTIONS(73),
    [anon_sym_if] = ACTIONS(193),
    [anon_sym_switch] = ACTIONS(195),
    [anon_sym_case] = ACTIONS(197),
    [anon_sym_default] = ACTIONS(199),
    [anon_sym_while] = ACTIONS(201),
    [anon_sym_do] = ACTIONS(203),
    [anon_sym_for] = ACTIONS(205),
    [anon_sym_return] = ACTIONS(207),
    [anon_sym_break] = ACTIONS(209),
    [anon_sym_continue] = ACTIONS(211),
    [anon_sym_goto] = ACTIONS(213),
    [anon_sym___try] = ACTIONS(215),
    [anon_sym___leave] = ACTIONS(217),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [anon_sym_DOT] = ACTIONS(219),
    [sym_number_literal] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [anon_sym_virtual] = ACTIONS(123),
    [anon_sym_alignas] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(223),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_try] = ACTIONS(225),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(227),
    [anon_sym_namespace] = ACTIONS(229),
    [anon_sym_using] = ACTIONS(231),
    [anon_sym_static_assert] = ACTIONS(233),
    [anon_sym_concept] = ACTIONS(235),
    [anon_sym_co_return] = ACTIONS(237),
    [anon_sym_co_yield] = ACTIONS(239),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
    [anon_sym_discard] = ACTIONS(241),
    [anon_sym_precise] = ACTIONS(161),
    [anon_sym_shared] = ACTIONS(161),
    [anon_sym_groupshared] = ACTIONS(161),
    [anon_sym_uniform] = ACTIONS(161),
    [anon_sym_row_major] = ACTIONS(161),
    [anon_sym_column_major] = ACTIONS(161),
    [anon_sym_globallycoherent] = ACTIONS(161),
    [anon_sym_centroid] = ACTIONS(161),
    [anon_sym_noperspective] = ACTIONS(161),
    [anon_sym_nointerpolation] = ACTIONS(161),
    [anon_sym_sample] = ACTIONS(161),
    [anon_sym_linear] = ACTIONS(161),
    [anon_sym_snorm] = ACTIONS(161),
    [anon_sym_unorm] = ACTIONS(161),
    [anon_sym_point] = ACTIONS(161),
    [anon_sym_line] = ACTIONS(161),
    [anon_sym_triangleadj] = ACTIONS(161),
    [anon_sym_lineadj] = ACTIONS(161),
    [anon_sym_triangle] = ACTIONS(161),
    [anon_sym_cbuffer] = ACTIONS(243),
  },
  [11] = {
    [sym_preproc_include] = STATE(80),
    [sym_preproc_def] = STATE(80),
    [sym_preproc_function_def] = STATE(80),
    [sym_preproc_call] = STATE(80),
    [sym_preproc_if] = STATE(80),
    [sym_preproc_ifdef] = STATE(80),
    [sym_function_definition] = STATE(80),
    [sym_declaration] = STATE(80),
    [sym_type_definition] = STATE(80),
    [sym__declaration_modifiers] = STATE(3159),
    [sym__declaration_specifiers] = STATE(5906),
    [sym_linkage_specification] = STATE(80),
    [sym_attribute_specifier] = STATE(3159),
    [sym_attribute_declaration] = STATE(1464),
    [sym_ms_declspec_modifier] = STATE(3159),
    [sym_ms_based_modifier] = STATE(10332),
    [sym_ms_call_modifier] = STATE(2574),
    [sym__declarator] = STATE(7978),
    [sym_parenthesized_declarator] = STATE(7680),
    [sym_attributed_declarator] = STATE(7680),
    [sym_pointer_declarator] = STATE(7680),
    [sym_function_declarator] = STATE(7611),
    [sym_array_declarator] = STATE(7680),
    [sym_compound_statement] = STATE(80),
    [sym_storage_class_specifier] = STATE(3159),
    [sym_type_qualifier] = STATE(3159),
    [sym__type_specifier] = STATE(3039),
    [sym_sized_type_specifier] = STATE(3085),
    [sym_enum_specifier] = STATE(3085),
    [sym_struct_specifier] = STATE(3085),
    [sym_union_specifier] = STATE(3085),
    [sym_attributed_statement] = STATE(80),
    [sym_labeled_statement] = STATE(80),
    [sym_expression_statement] = STATE(80),
    [sym_if_statement] = STATE(80),
    [sym_switch_statement] = STATE(80),
    [sym_case_statement] = STATE(80),
    [sym_while_statement] = STATE(80),
    [sym_do_statement] = STATE(80),
    [sym_for_statement] = STATE(80),
    [sym_return_statement] = STATE(80),
    [sym_break_statement] = STATE(80),
    [sym_continue_statement] = STATE(80),
    [sym_goto_statement] = STATE(80),
    [sym_seh_try_statement] = STATE(80),
    [sym_seh_leave_statement] = STATE(80),
    [sym__expression] = STATE(5400),
    [sym__expression_not_binary] = STATE(5024),
    [sym__string] = STATE(5024),
    [sym_comma_expression] = STATE(10272),
    [sym_conditional_expression] = STATE(5024),
    [sym_assignment_expression] = STATE(5024),
    [sym_pointer_expression] = STATE(4507),
    [sym_unary_expression] = STATE(5024),
    [sym_binary_expression] = STATE(5024),
    [sym_update_expression] = STATE(5024),
    [sym_cast_expression] = STATE(5024),
    [sym_sizeof_expression] = STATE(5024),
    [sym_alignof_expression] = STATE(5024),
    [sym_offsetof_expression] = STATE(5024),
    [sym_generic_expression] = STATE(5024),
    [sym_subscript_expression] = STATE(4507),
    [sym_call_expression] = STATE(4507),
    [sym_gnu_asm_expression] = STATE(5024),
    [sym_field_expression] = STATE(4507),
    [sym_compound_literal_expression] = STATE(5024),
    [sym_parenthesized_expression] = STATE(4507),
    [sym_initializer_list] = STATE(8868),
    [sym_initializer_pair] = STATE(8868),
    [sym_subscript_designator] = STATE(7972),
    [sym_subscript_range_designator] = STATE(7972),
    [sym_field_designator] = STATE(7972),
    [sym_char_literal] = STATE(5374),
    [sym_concatenated_string] = STATE(5377),
    [sym_string_literal] = STATE(4206),
    [sym_null] = STATE(5024),
    [sym__empty_declaration] = STATE(80),
    [sym_placeholder_type_specifier] = STATE(3085),
    [sym_decltype_auto] = STATE(3091),
    [sym_decltype] = STATE(3050),
    [sym_class_specifier] = STATE(3085),
    [sym__class_name] = STATE(9352),
    [sym_virtual] = STATE(3159),
    [sym_alignas_specifier] = STATE(3159),
    [sym_explicit_function_specifier] = STATE(2511),
    [sym_dependent_type] = STATE(3085),
    [sym_template_declaration] = STATE(80),
    [sym_template_instantiation] = STATE(80),
    [sym_operator_cast] = STATE(8035),
    [sym__constructor_specifiers] = STATE(2511),
    [sym_operator_cast_definition] = STATE(80),
    [sym_operator_cast_declaration] = STATE(80),
    [sym_constructor_or_destructor_definition] = STATE(80),
    [sym_reference_declarator] = STATE(7680),
    [sym_structured_binding_declarator] = STATE(7680),
    [sym_template_type] = STATE(3129),
    [sym_template_function] = STATE(5703),
    [sym_namespace_definition] = STATE(80),
    [sym_namespace_alias_definition] = STATE(80),
    [sym_using_declaration] = STATE(80),
    [sym_alias_declaration] = STATE(80),
    [sym_static_assert_declaration] = STATE(80),
    [sym_concept_definition] = STATE(80),
    [sym_for_range_loop] = STATE(80),
    [sym_co_return_statement] = STATE(80),
    [sym_co_yield_statement] = STATE(80),
    [sym_throw_statement] = STATE(80),
    [sym_try_statement] = STATE(80),
    [sym_raw_string_literal] = STATE(4217),
    [sym_co_await_expression] = STATE(5024),
    [sym_new_expression] = STATE(5024),
    [sym_delete_expression] = STATE(5024),
    [sym_requires_clause] = STATE(5024),
    [sym_requires_expression] = STATE(5024),
    [sym_lambda_expression] = STATE(5024),
    [sym_lambda_capture_specifier] = STATE(7184),
    [sym_fold_expression] = STATE(5024),
    [sym_parameter_pack_expansion] = STATE(5024),
    [sym_destructor_name] = STATE(7680),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6764),
    [sym_qualified_identifier] = STATE(4502),
    [sym_qualified_type_identifier] = STATE(3127),
    [sym_qualified_operator_cast_identifier] = STATE(8035),
    [sym_operator_name] = STATE(7680),
    [sym_user_defined_literal] = STATE(4507),
    [sym_discard_statement] = STATE(80),
    [sym_qualifiers] = STATE(3159),
    [sym_cbuffer_specifier] = STATE(80),
    [sym_hlsl_attribute] = STATE(1858),
    [aux_sym_preproc_if_repeat1] = STATE(80),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2673),
    [aux_sym_attributed_declarator_repeat1] = STATE(1339),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3021),
    [aux_sym_initializer_pair_repeat1] = STATE(7972),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2511),
    [sym_identifier] = ACTIONS(163),
    [aux_sym_preproc_include_token1] = ACTIONS(165),
    [aux_sym_preproc_def_token1] = ACTIONS(167),
    [anon_sym_COMMA] = ACTIONS(169),
    [aux_sym_preproc_if_token1] = ACTIONS(171),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(173),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(173),
    [sym_preproc_directive] = ACTIONS(175),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(177),
    [anon_sym___extension__] = ACTIONS(179),
    [anon_sym_typedef] = ACTIONS(181),
    [anon_sym_in] = ACTIONS(37),
    [anon_sym_out] = ACTIONS(37),
    [anon_sym_inout] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(183),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(45),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym___cdecl] = ACTIONS(51),
    [anon_sym___clrcall] = ACTIONS(51),
    [anon_sym___stdcall] = ACTIONS(51),
    [anon_sym___fastcall] = ACTIONS(51),
    [anon_sym___thiscall] = ACTIONS(51),
    [anon_sym___vectorcall] = ACTIONS(51),
    [anon_sym_LBRACE] = ACTIONS(185),
    [anon_sym_RBRACE] = ACTIONS(261),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(189),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(191),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(65),
    [anon_sym_enum] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(69),
    [anon_sym_struct] = ACTIONS(71),
    [anon_sym_union] = ACTIONS(73),
    [anon_sym_if] = ACTIONS(193),
    [anon_sym_switch] = ACTIONS(195),
    [anon_sym_case] = ACTIONS(197),
    [anon_sym_default] = ACTIONS(199),
    [anon_sym_while] = ACTIONS(201),
    [anon_sym_do] = ACTIONS(203),
    [anon_sym_for] = ACTIONS(205),
    [anon_sym_return] = ACTIONS(207),
    [anon_sym_break] = ACTIONS(209),
    [anon_sym_continue] = ACTIONS(211),
    [anon_sym_goto] = ACTIONS(213),
    [anon_sym___try] = ACTIONS(215),
    [anon_sym___leave] = ACTIONS(217),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [anon_sym_DOT] = ACTIONS(219),
    [sym_number_literal] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [anon_sym_virtual] = ACTIONS(123),
    [anon_sym_alignas] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(223),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_try] = ACTIONS(225),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(227),
    [anon_sym_namespace] = ACTIONS(229),
    [anon_sym_using] = ACTIONS(231),
    [anon_sym_static_assert] = ACTIONS(233),
    [anon_sym_concept] = ACTIONS(235),
    [anon_sym_co_return] = ACTIONS(237),
    [anon_sym_co_yield] = ACTIONS(239),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
    [anon_sym_discard] = ACTIONS(241),
    [anon_sym_precise] = ACTIONS(161),
    [anon_sym_shared] = ACTIONS(161),
    [anon_sym_groupshared] = ACTIONS(161),
    [anon_sym_uniform] = ACTIONS(161),
    [anon_sym_row_major] = ACTIONS(161),
    [anon_sym_column_major] = ACTIONS(161),
    [anon_sym_globallycoherent] = ACTIONS(161),
    [anon_sym_centroid] = ACTIONS(161),
    [anon_sym_noperspective] = ACTIONS(161),
    [anon_sym_nointerpolation] = ACTIONS(161),
    [anon_sym_sample] = ACTIONS(161),
    [anon_sym_linear] = ACTIONS(161),
    [anon_sym_snorm] = ACTIONS(161),
    [anon_sym_unorm] = ACTIONS(161),
    [anon_sym_point] = ACTIONS(161),
    [anon_sym_line] = ACTIONS(161),
    [anon_sym_triangleadj] = ACTIONS(161),
    [anon_sym_lineadj] = ACTIONS(161),
    [anon_sym_triangle] = ACTIONS(161),
    [anon_sym_cbuffer] = ACTIONS(243),
  },
  [12] = {
    [sym_preproc_include] = STATE(92),
    [sym_preproc_def] = STATE(92),
    [sym_preproc_function_def] = STATE(92),
    [sym_preproc_call] = STATE(92),
    [sym_preproc_if] = STATE(92),
    [sym_preproc_ifdef] = STATE(92),
    [sym_function_definition] = STATE(92),
    [sym_declaration] = STATE(92),
    [sym_type_definition] = STATE(92),
    [sym__declaration_modifiers] = STATE(3159),
    [sym__declaration_specifiers] = STATE(5906),
    [sym_linkage_specification] = STATE(92),
    [sym_attribute_specifier] = STATE(3159),
    [sym_attribute_declaration] = STATE(1464),
    [sym_ms_declspec_modifier] = STATE(3159),
    [sym_ms_based_modifier] = STATE(10332),
    [sym_ms_call_modifier] = STATE(2574),
    [sym__declarator] = STATE(7978),
    [sym_parenthesized_declarator] = STATE(7680),
    [sym_attributed_declarator] = STATE(7680),
    [sym_pointer_declarator] = STATE(7680),
    [sym_function_declarator] = STATE(7611),
    [sym_array_declarator] = STATE(7680),
    [sym_compound_statement] = STATE(92),
    [sym_storage_class_specifier] = STATE(3159),
    [sym_type_qualifier] = STATE(3159),
    [sym__type_specifier] = STATE(3039),
    [sym_sized_type_specifier] = STATE(3085),
    [sym_enum_specifier] = STATE(3085),
    [sym_struct_specifier] = STATE(3085),
    [sym_union_specifier] = STATE(3085),
    [sym_attributed_statement] = STATE(92),
    [sym_labeled_statement] = STATE(92),
    [sym_expression_statement] = STATE(92),
    [sym_if_statement] = STATE(92),
    [sym_switch_statement] = STATE(92),
    [sym_case_statement] = STATE(92),
    [sym_while_statement] = STATE(92),
    [sym_do_statement] = STATE(92),
    [sym_for_statement] = STATE(92),
    [sym_return_statement] = STATE(92),
    [sym_break_statement] = STATE(92),
    [sym_continue_statement] = STATE(92),
    [sym_goto_statement] = STATE(92),
    [sym_seh_try_statement] = STATE(92),
    [sym_seh_leave_statement] = STATE(92),
    [sym__expression] = STATE(5400),
    [sym__expression_not_binary] = STATE(5024),
    [sym__string] = STATE(5024),
    [sym_comma_expression] = STATE(10272),
    [sym_conditional_expression] = STATE(5024),
    [sym_assignment_expression] = STATE(5024),
    [sym_pointer_expression] = STATE(4507),
    [sym_unary_expression] = STATE(5024),
    [sym_binary_expression] = STATE(5024),
    [sym_update_expression] = STATE(5024),
    [sym_cast_expression] = STATE(5024),
    [sym_sizeof_expression] = STATE(5024),
    [sym_alignof_expression] = STATE(5024),
    [sym_offsetof_expression] = STATE(5024),
    [sym_generic_expression] = STATE(5024),
    [sym_subscript_expression] = STATE(4507),
    [sym_call_expression] = STATE(4507),
    [sym_gnu_asm_expression] = STATE(5024),
    [sym_field_expression] = STATE(4507),
    [sym_compound_literal_expression] = STATE(5024),
    [sym_parenthesized_expression] = STATE(4507),
    [sym_initializer_list] = STATE(8868),
    [sym_initializer_pair] = STATE(8868),
    [sym_subscript_designator] = STATE(7972),
    [sym_subscript_range_designator] = STATE(7972),
    [sym_field_designator] = STATE(7972),
    [sym_char_literal] = STATE(5374),
    [sym_concatenated_string] = STATE(5377),
    [sym_string_literal] = STATE(4206),
    [sym_null] = STATE(5024),
    [sym__empty_declaration] = STATE(92),
    [sym_placeholder_type_specifier] = STATE(3085),
    [sym_decltype_auto] = STATE(3091),
    [sym_decltype] = STATE(3050),
    [sym_class_specifier] = STATE(3085),
    [sym__class_name] = STATE(9352),
    [sym_virtual] = STATE(3159),
    [sym_alignas_specifier] = STATE(3159),
    [sym_explicit_function_specifier] = STATE(2511),
    [sym_dependent_type] = STATE(3085),
    [sym_template_declaration] = STATE(92),
    [sym_template_instantiation] = STATE(92),
    [sym_operator_cast] = STATE(8035),
    [sym__constructor_specifiers] = STATE(2511),
    [sym_operator_cast_definition] = STATE(92),
    [sym_operator_cast_declaration] = STATE(92),
    [sym_constructor_or_destructor_definition] = STATE(92),
    [sym_reference_declarator] = STATE(7680),
    [sym_structured_binding_declarator] = STATE(7680),
    [sym_template_type] = STATE(3129),
    [sym_template_function] = STATE(5703),
    [sym_namespace_definition] = STATE(92),
    [sym_namespace_alias_definition] = STATE(92),
    [sym_using_declaration] = STATE(92),
    [sym_alias_declaration] = STATE(92),
    [sym_static_assert_declaration] = STATE(92),
    [sym_concept_definition] = STATE(92),
    [sym_for_range_loop] = STATE(92),
    [sym_co_return_statement] = STATE(92),
    [sym_co_yield_statement] = STATE(92),
    [sym_throw_statement] = STATE(92),
    [sym_try_statement] = STATE(92),
    [sym_raw_string_literal] = STATE(4217),
    [sym_co_await_expression] = STATE(5024),
    [sym_new_expression] = STATE(5024),
    [sym_delete_expression] = STATE(5024),
    [sym_requires_clause] = STATE(5024),
    [sym_requires_expression] = STATE(5024),
    [sym_lambda_expression] = STATE(5024),
    [sym_lambda_capture_specifier] = STATE(7184),
    [sym_fold_expression] = STATE(5024),
    [sym_parameter_pack_expansion] = STATE(5024),
    [sym_destructor_name] = STATE(7680),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6764),
    [sym_qualified_identifier] = STATE(4502),
    [sym_qualified_type_identifier] = STATE(3127),
    [sym_qualified_operator_cast_identifier] = STATE(8035),
    [sym_operator_name] = STATE(7680),
    [sym_user_defined_literal] = STATE(4507),
    [sym_discard_statement] = STATE(92),
    [sym_qualifiers] = STATE(3159),
    [sym_cbuffer_specifier] = STATE(92),
    [sym_hlsl_attribute] = STATE(1858),
    [aux_sym_preproc_if_repeat1] = STATE(92),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2673),
    [aux_sym_attributed_declarator_repeat1] = STATE(1339),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3021),
    [aux_sym_initializer_pair_repeat1] = STATE(7972),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2511),
    [sym_identifier] = ACTIONS(163),
    [aux_sym_preproc_include_token1] = ACTIONS(165),
    [aux_sym_preproc_def_token1] = ACTIONS(167),
    [anon_sym_COMMA] = ACTIONS(169),
    [aux_sym_preproc_if_token1] = ACTIONS(171),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(173),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(173),
    [sym_preproc_directive] = ACTIONS(175),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(177),
    [anon_sym___extension__] = ACTIONS(179),
    [anon_sym_typedef] = ACTIONS(181),
    [anon_sym_in] = ACTIONS(37),
    [anon_sym_out] = ACTIONS(37),
    [anon_sym_inout] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(183),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(45),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym___cdecl] = ACTIONS(51),
    [anon_sym___clrcall] = ACTIONS(51),
    [anon_sym___stdcall] = ACTIONS(51),
    [anon_sym___fastcall] = ACTIONS(51),
    [anon_sym___thiscall] = ACTIONS(51),
    [anon_sym___vectorcall] = ACTIONS(51),
    [anon_sym_LBRACE] = ACTIONS(185),
    [anon_sym_RBRACE] = ACTIONS(263),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(189),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(191),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(65),
    [anon_sym_enum] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(69),
    [anon_sym_struct] = ACTIONS(71),
    [anon_sym_union] = ACTIONS(73),
    [anon_sym_if] = ACTIONS(193),
    [anon_sym_switch] = ACTIONS(195),
    [anon_sym_case] = ACTIONS(197),
    [anon_sym_default] = ACTIONS(199),
    [anon_sym_while] = ACTIONS(201),
    [anon_sym_do] = ACTIONS(203),
    [anon_sym_for] = ACTIONS(205),
    [anon_sym_return] = ACTIONS(207),
    [anon_sym_break] = ACTIONS(209),
    [anon_sym_continue] = ACTIONS(211),
    [anon_sym_goto] = ACTIONS(213),
    [anon_sym___try] = ACTIONS(215),
    [anon_sym___leave] = ACTIONS(217),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [anon_sym_DOT] = ACTIONS(219),
    [sym_number_literal] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [anon_sym_virtual] = ACTIONS(123),
    [anon_sym_alignas] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(223),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_try] = ACTIONS(225),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(227),
    [anon_sym_namespace] = ACTIONS(229),
    [anon_sym_using] = ACTIONS(231),
    [anon_sym_static_assert] = ACTIONS(233),
    [anon_sym_concept] = ACTIONS(235),
    [anon_sym_co_return] = ACTIONS(237),
    [anon_sym_co_yield] = ACTIONS(239),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
    [anon_sym_discard] = ACTIONS(241),
    [anon_sym_precise] = ACTIONS(161),
    [anon_sym_shared] = ACTIONS(161),
    [anon_sym_groupshared] = ACTIONS(161),
    [anon_sym_uniform] = ACTIONS(161),
    [anon_sym_row_major] = ACTIONS(161),
    [anon_sym_column_major] = ACTIONS(161),
    [anon_sym_globallycoherent] = ACTIONS(161),
    [anon_sym_centroid] = ACTIONS(161),
    [anon_sym_noperspective] = ACTIONS(161),
    [anon_sym_nointerpolation] = ACTIONS(161),
    [anon_sym_sample] = ACTIONS(161),
    [anon_sym_linear] = ACTIONS(161),
    [anon_sym_snorm] = ACTIONS(161),
    [anon_sym_unorm] = ACTIONS(161),
    [anon_sym_point] = ACTIONS(161),
    [anon_sym_line] = ACTIONS(161),
    [anon_sym_triangleadj] = ACTIONS(161),
    [anon_sym_lineadj] = ACTIONS(161),
    [anon_sym_triangle] = ACTIONS(161),
    [anon_sym_cbuffer] = ACTIONS(243),
  },
  [13] = {
    [sym_preproc_include] = STATE(69),
    [sym_preproc_def] = STATE(69),
    [sym_preproc_function_def] = STATE(69),
    [sym_preproc_call] = STATE(69),
    [sym_preproc_if] = STATE(69),
    [sym_preproc_ifdef] = STATE(69),
    [sym_function_definition] = STATE(69),
    [sym_declaration] = STATE(69),
    [sym_type_definition] = STATE(69),
    [sym__declaration_modifiers] = STATE(3159),
    [sym__declaration_specifiers] = STATE(5906),
    [sym_linkage_specification] = STATE(69),
    [sym_attribute_specifier] = STATE(3159),
    [sym_attribute_declaration] = STATE(1464),
    [sym_ms_declspec_modifier] = STATE(3159),
    [sym_ms_based_modifier] = STATE(10332),
    [sym_ms_call_modifier] = STATE(2574),
    [sym__declarator] = STATE(7978),
    [sym_parenthesized_declarator] = STATE(7680),
    [sym_attributed_declarator] = STATE(7680),
    [sym_pointer_declarator] = STATE(7680),
    [sym_function_declarator] = STATE(7611),
    [sym_array_declarator] = STATE(7680),
    [sym_compound_statement] = STATE(69),
    [sym_storage_class_specifier] = STATE(3159),
    [sym_type_qualifier] = STATE(3159),
    [sym__type_specifier] = STATE(3039),
    [sym_sized_type_specifier] = STATE(3085),
    [sym_enum_specifier] = STATE(3085),
    [sym_struct_specifier] = STATE(3085),
    [sym_union_specifier] = STATE(3085),
    [sym_attributed_statement] = STATE(69),
    [sym_labeled_statement] = STATE(69),
    [sym_expression_statement] = STATE(69),
    [sym_if_statement] = STATE(69),
    [sym_switch_statement] = STATE(69),
    [sym_case_statement] = STATE(69),
    [sym_while_statement] = STATE(69),
    [sym_do_statement] = STATE(69),
    [sym_for_statement] = STATE(69),
    [sym_return_statement] = STATE(69),
    [sym_break_statement] = STATE(69),
    [sym_continue_statement] = STATE(69),
    [sym_goto_statement] = STATE(69),
    [sym_seh_try_statement] = STATE(69),
    [sym_seh_leave_statement] = STATE(69),
    [sym__expression] = STATE(5400),
    [sym__expression_not_binary] = STATE(5024),
    [sym__string] = STATE(5024),
    [sym_comma_expression] = STATE(10272),
    [sym_conditional_expression] = STATE(5024),
    [sym_assignment_expression] = STATE(5024),
    [sym_pointer_expression] = STATE(4507),
    [sym_unary_expression] = STATE(5024),
    [sym_binary_expression] = STATE(5024),
    [sym_update_expression] = STATE(5024),
    [sym_cast_expression] = STATE(5024),
    [sym_sizeof_expression] = STATE(5024),
    [sym_alignof_expression] = STATE(5024),
    [sym_offsetof_expression] = STATE(5024),
    [sym_generic_expression] = STATE(5024),
    [sym_subscript_expression] = STATE(4507),
    [sym_call_expression] = STATE(4507),
    [sym_gnu_asm_expression] = STATE(5024),
    [sym_field_expression] = STATE(4507),
    [sym_compound_literal_expression] = STATE(5024),
    [sym_parenthesized_expression] = STATE(4507),
    [sym_initializer_list] = STATE(8868),
    [sym_initializer_pair] = STATE(8868),
    [sym_subscript_designator] = STATE(7972),
    [sym_subscript_range_designator] = STATE(7972),
    [sym_field_designator] = STATE(7972),
    [sym_char_literal] = STATE(5374),
    [sym_concatenated_string] = STATE(5377),
    [sym_string_literal] = STATE(4206),
    [sym_null] = STATE(5024),
    [sym__empty_declaration] = STATE(69),
    [sym_placeholder_type_specifier] = STATE(3085),
    [sym_decltype_auto] = STATE(3091),
    [sym_decltype] = STATE(3050),
    [sym_class_specifier] = STATE(3085),
    [sym__class_name] = STATE(9352),
    [sym_virtual] = STATE(3159),
    [sym_alignas_specifier] = STATE(3159),
    [sym_explicit_function_specifier] = STATE(2511),
    [sym_dependent_type] = STATE(3085),
    [sym_template_declaration] = STATE(69),
    [sym_template_instantiation] = STATE(69),
    [sym_operator_cast] = STATE(8035),
    [sym__constructor_specifiers] = STATE(2511),
    [sym_operator_cast_definition] = STATE(69),
    [sym_operator_cast_declaration] = STATE(69),
    [sym_constructor_or_destructor_definition] = STATE(69),
    [sym_reference_declarator] = STATE(7680),
    [sym_structured_binding_declarator] = STATE(7680),
    [sym_template_type] = STATE(3129),
    [sym_template_function] = STATE(5703),
    [sym_namespace_definition] = STATE(69),
    [sym_namespace_alias_definition] = STATE(69),
    [sym_using_declaration] = STATE(69),
    [sym_alias_declaration] = STATE(69),
    [sym_static_assert_declaration] = STATE(69),
    [sym_concept_definition] = STATE(69),
    [sym_for_range_loop] = STATE(69),
    [sym_co_return_statement] = STATE(69),
    [sym_co_yield_statement] = STATE(69),
    [sym_throw_statement] = STATE(69),
    [sym_try_statement] = STATE(69),
    [sym_raw_string_literal] = STATE(4217),
    [sym_co_await_expression] = STATE(5024),
    [sym_new_expression] = STATE(5024),
    [sym_delete_expression] = STATE(5024),
    [sym_requires_clause] = STATE(5024),
    [sym_requires_expression] = STATE(5024),
    [sym_lambda_expression] = STATE(5024),
    [sym_lambda_capture_specifier] = STATE(7184),
    [sym_fold_expression] = STATE(5024),
    [sym_parameter_pack_expansion] = STATE(5024),
    [sym_destructor_name] = STATE(7680),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6764),
    [sym_qualified_identifier] = STATE(4502),
    [sym_qualified_type_identifier] = STATE(3127),
    [sym_qualified_operator_cast_identifier] = STATE(8035),
    [sym_operator_name] = STATE(7680),
    [sym_user_defined_literal] = STATE(4507),
    [sym_discard_statement] = STATE(69),
    [sym_qualifiers] = STATE(3159),
    [sym_cbuffer_specifier] = STATE(69),
    [sym_hlsl_attribute] = STATE(1858),
    [aux_sym_preproc_if_repeat1] = STATE(69),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2673),
    [aux_sym_attributed_declarator_repeat1] = STATE(1339),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3021),
    [aux_sym_initializer_pair_repeat1] = STATE(7972),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2511),
    [sym_identifier] = ACTIONS(163),
    [aux_sym_preproc_include_token1] = ACTIONS(165),
    [aux_sym_preproc_def_token1] = ACTIONS(167),
    [anon_sym_COMMA] = ACTIONS(169),
    [aux_sym_preproc_if_token1] = ACTIONS(171),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(173),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(173),
    [sym_preproc_directive] = ACTIONS(175),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(177),
    [anon_sym___extension__] = ACTIONS(179),
    [anon_sym_typedef] = ACTIONS(181),
    [anon_sym_in] = ACTIONS(37),
    [anon_sym_out] = ACTIONS(37),
    [anon_sym_inout] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(183),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(45),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym___cdecl] = ACTIONS(51),
    [anon_sym___clrcall] = ACTIONS(51),
    [anon_sym___stdcall] = ACTIONS(51),
    [anon_sym___fastcall] = ACTIONS(51),
    [anon_sym___thiscall] = ACTIONS(51),
    [anon_sym___vectorcall] = ACTIONS(51),
    [anon_sym_LBRACE] = ACTIONS(185),
    [anon_sym_RBRACE] = ACTIONS(265),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(189),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(191),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(65),
    [anon_sym_enum] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(69),
    [anon_sym_struct] = ACTIONS(71),
    [anon_sym_union] = ACTIONS(73),
    [anon_sym_if] = ACTIONS(193),
    [anon_sym_switch] = ACTIONS(195),
    [anon_sym_case] = ACTIONS(197),
    [anon_sym_default] = ACTIONS(199),
    [anon_sym_while] = ACTIONS(201),
    [anon_sym_do] = ACTIONS(203),
    [anon_sym_for] = ACTIONS(205),
    [anon_sym_return] = ACTIONS(207),
    [anon_sym_break] = ACTIONS(209),
    [anon_sym_continue] = ACTIONS(211),
    [anon_sym_goto] = ACTIONS(213),
    [anon_sym___try] = ACTIONS(215),
    [anon_sym___leave] = ACTIONS(217),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [anon_sym_DOT] = ACTIONS(219),
    [sym_number_literal] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [anon_sym_virtual] = ACTIONS(123),
    [anon_sym_alignas] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(223),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_try] = ACTIONS(225),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(227),
    [anon_sym_namespace] = ACTIONS(229),
    [anon_sym_using] = ACTIONS(231),
    [anon_sym_static_assert] = ACTIONS(233),
    [anon_sym_concept] = ACTIONS(235),
    [anon_sym_co_return] = ACTIONS(237),
    [anon_sym_co_yield] = ACTIONS(239),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
    [anon_sym_discard] = ACTIONS(241),
    [anon_sym_precise] = ACTIONS(161),
    [anon_sym_shared] = ACTIONS(161),
    [anon_sym_groupshared] = ACTIONS(161),
    [anon_sym_uniform] = ACTIONS(161),
    [anon_sym_row_major] = ACTIONS(161),
    [anon_sym_column_major] = ACTIONS(161),
    [anon_sym_globallycoherent] = ACTIONS(161),
    [anon_sym_centroid] = ACTIONS(161),
    [anon_sym_noperspective] = ACTIONS(161),
    [anon_sym_nointerpolation] = ACTIONS(161),
    [anon_sym_sample] = ACTIONS(161),
    [anon_sym_linear] = ACTIONS(161),
    [anon_sym_snorm] = ACTIONS(161),
    [anon_sym_unorm] = ACTIONS(161),
    [anon_sym_point] = ACTIONS(161),
    [anon_sym_line] = ACTIONS(161),
    [anon_sym_triangleadj] = ACTIONS(161),
    [anon_sym_lineadj] = ACTIONS(161),
    [anon_sym_triangle] = ACTIONS(161),
    [anon_sym_cbuffer] = ACTIONS(243),
  },
  [14] = {
    [sym_preproc_include] = STATE(74),
    [sym_preproc_def] = STATE(74),
    [sym_preproc_function_def] = STATE(74),
    [sym_preproc_call] = STATE(74),
    [sym_preproc_if] = STATE(74),
    [sym_preproc_ifdef] = STATE(74),
    [sym_function_definition] = STATE(74),
    [sym_declaration] = STATE(74),
    [sym_type_definition] = STATE(74),
    [sym__declaration_modifiers] = STATE(3159),
    [sym__declaration_specifiers] = STATE(5906),
    [sym_linkage_specification] = STATE(74),
    [sym_attribute_specifier] = STATE(3159),
    [sym_attribute_declaration] = STATE(1464),
    [sym_ms_declspec_modifier] = STATE(3159),
    [sym_ms_based_modifier] = STATE(10332),
    [sym_ms_call_modifier] = STATE(2574),
    [sym__declarator] = STATE(7978),
    [sym_parenthesized_declarator] = STATE(7680),
    [sym_attributed_declarator] = STATE(7680),
    [sym_pointer_declarator] = STATE(7680),
    [sym_function_declarator] = STATE(7611),
    [sym_array_declarator] = STATE(7680),
    [sym_compound_statement] = STATE(74),
    [sym_storage_class_specifier] = STATE(3159),
    [sym_type_qualifier] = STATE(3159),
    [sym__type_specifier] = STATE(3039),
    [sym_sized_type_specifier] = STATE(3085),
    [sym_enum_specifier] = STATE(3085),
    [sym_struct_specifier] = STATE(3085),
    [sym_union_specifier] = STATE(3085),
    [sym_attributed_statement] = STATE(74),
    [sym_labeled_statement] = STATE(74),
    [sym_expression_statement] = STATE(74),
    [sym_if_statement] = STATE(74),
    [sym_switch_statement] = STATE(74),
    [sym_case_statement] = STATE(74),
    [sym_while_statement] = STATE(74),
    [sym_do_statement] = STATE(74),
    [sym_for_statement] = STATE(74),
    [sym_return_statement] = STATE(74),
    [sym_break_statement] = STATE(74),
    [sym_continue_statement] = STATE(74),
    [sym_goto_statement] = STATE(74),
    [sym_seh_try_statement] = STATE(74),
    [sym_seh_leave_statement] = STATE(74),
    [sym__expression] = STATE(5400),
    [sym__expression_not_binary] = STATE(5024),
    [sym__string] = STATE(5024),
    [sym_comma_expression] = STATE(10272),
    [sym_conditional_expression] = STATE(5024),
    [sym_assignment_expression] = STATE(5024),
    [sym_pointer_expression] = STATE(4507),
    [sym_unary_expression] = STATE(5024),
    [sym_binary_expression] = STATE(5024),
    [sym_update_expression] = STATE(5024),
    [sym_cast_expression] = STATE(5024),
    [sym_sizeof_expression] = STATE(5024),
    [sym_alignof_expression] = STATE(5024),
    [sym_offsetof_expression] = STATE(5024),
    [sym_generic_expression] = STATE(5024),
    [sym_subscript_expression] = STATE(4507),
    [sym_call_expression] = STATE(4507),
    [sym_gnu_asm_expression] = STATE(5024),
    [sym_field_expression] = STATE(4507),
    [sym_compound_literal_expression] = STATE(5024),
    [sym_parenthesized_expression] = STATE(4507),
    [sym_initializer_list] = STATE(8868),
    [sym_initializer_pair] = STATE(8868),
    [sym_subscript_designator] = STATE(7972),
    [sym_subscript_range_designator] = STATE(7972),
    [sym_field_designator] = STATE(7972),
    [sym_char_literal] = STATE(5374),
    [sym_concatenated_string] = STATE(5377),
    [sym_string_literal] = STATE(4206),
    [sym_null] = STATE(5024),
    [sym__empty_declaration] = STATE(74),
    [sym_placeholder_type_specifier] = STATE(3085),
    [sym_decltype_auto] = STATE(3091),
    [sym_decltype] = STATE(3050),
    [sym_class_specifier] = STATE(3085),
    [sym__class_name] = STATE(9352),
    [sym_virtual] = STATE(3159),
    [sym_alignas_specifier] = STATE(3159),
    [sym_explicit_function_specifier] = STATE(2511),
    [sym_dependent_type] = STATE(3085),
    [sym_template_declaration] = STATE(74),
    [sym_template_instantiation] = STATE(74),
    [sym_operator_cast] = STATE(8035),
    [sym__constructor_specifiers] = STATE(2511),
    [sym_operator_cast_definition] = STATE(74),
    [sym_operator_cast_declaration] = STATE(74),
    [sym_constructor_or_destructor_definition] = STATE(74),
    [sym_reference_declarator] = STATE(7680),
    [sym_structured_binding_declarator] = STATE(7680),
    [sym_template_type] = STATE(3129),
    [sym_template_function] = STATE(5703),
    [sym_namespace_definition] = STATE(74),
    [sym_namespace_alias_definition] = STATE(74),
    [sym_using_declaration] = STATE(74),
    [sym_alias_declaration] = STATE(74),
    [sym_static_assert_declaration] = STATE(74),
    [sym_concept_definition] = STATE(74),
    [sym_for_range_loop] = STATE(74),
    [sym_co_return_statement] = STATE(74),
    [sym_co_yield_statement] = STATE(74),
    [sym_throw_statement] = STATE(74),
    [sym_try_statement] = STATE(74),
    [sym_raw_string_literal] = STATE(4217),
    [sym_co_await_expression] = STATE(5024),
    [sym_new_expression] = STATE(5024),
    [sym_delete_expression] = STATE(5024),
    [sym_requires_clause] = STATE(5024),
    [sym_requires_expression] = STATE(5024),
    [sym_lambda_expression] = STATE(5024),
    [sym_lambda_capture_specifier] = STATE(7184),
    [sym_fold_expression] = STATE(5024),
    [sym_parameter_pack_expansion] = STATE(5024),
    [sym_destructor_name] = STATE(7680),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6764),
    [sym_qualified_identifier] = STATE(4502),
    [sym_qualified_type_identifier] = STATE(3127),
    [sym_qualified_operator_cast_identifier] = STATE(8035),
    [sym_operator_name] = STATE(7680),
    [sym_user_defined_literal] = STATE(4507),
    [sym_discard_statement] = STATE(74),
    [sym_qualifiers] = STATE(3159),
    [sym_cbuffer_specifier] = STATE(74),
    [sym_hlsl_attribute] = STATE(1858),
    [aux_sym_preproc_if_repeat1] = STATE(74),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2673),
    [aux_sym_attributed_declarator_repeat1] = STATE(1339),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3021),
    [aux_sym_initializer_pair_repeat1] = STATE(7972),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2511),
    [sym_identifier] = ACTIONS(163),
    [aux_sym_preproc_include_token1] = ACTIONS(165),
    [aux_sym_preproc_def_token1] = ACTIONS(167),
    [anon_sym_COMMA] = ACTIONS(169),
    [aux_sym_preproc_if_token1] = ACTIONS(171),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(173),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(173),
    [sym_preproc_directive] = ACTIONS(175),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(177),
    [anon_sym___extension__] = ACTIONS(179),
    [anon_sym_typedef] = ACTIONS(181),
    [anon_sym_in] = ACTIONS(37),
    [anon_sym_out] = ACTIONS(37),
    [anon_sym_inout] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(183),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(45),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym___cdecl] = ACTIONS(51),
    [anon_sym___clrcall] = ACTIONS(51),
    [anon_sym___stdcall] = ACTIONS(51),
    [anon_sym___fastcall] = ACTIONS(51),
    [anon_sym___thiscall] = ACTIONS(51),
    [anon_sym___vectorcall] = ACTIONS(51),
    [anon_sym_LBRACE] = ACTIONS(185),
    [anon_sym_RBRACE] = ACTIONS(267),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(189),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(191),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(65),
    [anon_sym_enum] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(69),
    [anon_sym_struct] = ACTIONS(71),
    [anon_sym_union] = ACTIONS(73),
    [anon_sym_if] = ACTIONS(193),
    [anon_sym_switch] = ACTIONS(195),
    [anon_sym_case] = ACTIONS(197),
    [anon_sym_default] = ACTIONS(199),
    [anon_sym_while] = ACTIONS(201),
    [anon_sym_do] = ACTIONS(203),
    [anon_sym_for] = ACTIONS(205),
    [anon_sym_return] = ACTIONS(207),
    [anon_sym_break] = ACTIONS(209),
    [anon_sym_continue] = ACTIONS(211),
    [anon_sym_goto] = ACTIONS(213),
    [anon_sym___try] = ACTIONS(215),
    [anon_sym___leave] = ACTIONS(217),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [anon_sym_DOT] = ACTIONS(219),
    [sym_number_literal] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [anon_sym_virtual] = ACTIONS(123),
    [anon_sym_alignas] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(223),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_try] = ACTIONS(225),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(227),
    [anon_sym_namespace] = ACTIONS(229),
    [anon_sym_using] = ACTIONS(231),
    [anon_sym_static_assert] = ACTIONS(233),
    [anon_sym_concept] = ACTIONS(235),
    [anon_sym_co_return] = ACTIONS(237),
    [anon_sym_co_yield] = ACTIONS(239),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
    [anon_sym_discard] = ACTIONS(241),
    [anon_sym_precise] = ACTIONS(161),
    [anon_sym_shared] = ACTIONS(161),
    [anon_sym_groupshared] = ACTIONS(161),
    [anon_sym_uniform] = ACTIONS(161),
    [anon_sym_row_major] = ACTIONS(161),
    [anon_sym_column_major] = ACTIONS(161),
    [anon_sym_globallycoherent] = ACTIONS(161),
    [anon_sym_centroid] = ACTIONS(161),
    [anon_sym_noperspective] = ACTIONS(161),
    [anon_sym_nointerpolation] = ACTIONS(161),
    [anon_sym_sample] = ACTIONS(161),
    [anon_sym_linear] = ACTIONS(161),
    [anon_sym_snorm] = ACTIONS(161),
    [anon_sym_unorm] = ACTIONS(161),
    [anon_sym_point] = ACTIONS(161),
    [anon_sym_line] = ACTIONS(161),
    [anon_sym_triangleadj] = ACTIONS(161),
    [anon_sym_lineadj] = ACTIONS(161),
    [anon_sym_triangle] = ACTIONS(161),
    [anon_sym_cbuffer] = ACTIONS(243),
  },
  [15] = {
    [sym_preproc_include] = STATE(71),
    [sym_preproc_def] = STATE(71),
    [sym_preproc_function_def] = STATE(71),
    [sym_preproc_call] = STATE(71),
    [sym_preproc_if] = STATE(71),
    [sym_preproc_ifdef] = STATE(71),
    [sym_function_definition] = STATE(71),
    [sym_declaration] = STATE(71),
    [sym_type_definition] = STATE(71),
    [sym__declaration_modifiers] = STATE(3159),
    [sym__declaration_specifiers] = STATE(5906),
    [sym_linkage_specification] = STATE(71),
    [sym_attribute_specifier] = STATE(3159),
    [sym_attribute_declaration] = STATE(1464),
    [sym_ms_declspec_modifier] = STATE(3159),
    [sym_ms_based_modifier] = STATE(10332),
    [sym_ms_call_modifier] = STATE(2574),
    [sym__declarator] = STATE(7978),
    [sym_parenthesized_declarator] = STATE(7680),
    [sym_attributed_declarator] = STATE(7680),
    [sym_pointer_declarator] = STATE(7680),
    [sym_function_declarator] = STATE(7611),
    [sym_array_declarator] = STATE(7680),
    [sym_compound_statement] = STATE(71),
    [sym_storage_class_specifier] = STATE(3159),
    [sym_type_qualifier] = STATE(3159),
    [sym__type_specifier] = STATE(3039),
    [sym_sized_type_specifier] = STATE(3085),
    [sym_enum_specifier] = STATE(3085),
    [sym_struct_specifier] = STATE(3085),
    [sym_union_specifier] = STATE(3085),
    [sym_attributed_statement] = STATE(71),
    [sym_labeled_statement] = STATE(71),
    [sym_expression_statement] = STATE(71),
    [sym_if_statement] = STATE(71),
    [sym_switch_statement] = STATE(71),
    [sym_case_statement] = STATE(71),
    [sym_while_statement] = STATE(71),
    [sym_do_statement] = STATE(71),
    [sym_for_statement] = STATE(71),
    [sym_return_statement] = STATE(71),
    [sym_break_statement] = STATE(71),
    [sym_continue_statement] = STATE(71),
    [sym_goto_statement] = STATE(71),
    [sym_seh_try_statement] = STATE(71),
    [sym_seh_leave_statement] = STATE(71),
    [sym__expression] = STATE(5400),
    [sym__expression_not_binary] = STATE(5024),
    [sym__string] = STATE(5024),
    [sym_comma_expression] = STATE(10272),
    [sym_conditional_expression] = STATE(5024),
    [sym_assignment_expression] = STATE(5024),
    [sym_pointer_expression] = STATE(4507),
    [sym_unary_expression] = STATE(5024),
    [sym_binary_expression] = STATE(5024),
    [sym_update_expression] = STATE(5024),
    [sym_cast_expression] = STATE(5024),
    [sym_sizeof_expression] = STATE(5024),
    [sym_alignof_expression] = STATE(5024),
    [sym_offsetof_expression] = STATE(5024),
    [sym_generic_expression] = STATE(5024),
    [sym_subscript_expression] = STATE(4507),
    [sym_call_expression] = STATE(4507),
    [sym_gnu_asm_expression] = STATE(5024),
    [sym_field_expression] = STATE(4507),
    [sym_compound_literal_expression] = STATE(5024),
    [sym_parenthesized_expression] = STATE(4507),
    [sym_initializer_list] = STATE(8868),
    [sym_initializer_pair] = STATE(8868),
    [sym_subscript_designator] = STATE(7972),
    [sym_subscript_range_designator] = STATE(7972),
    [sym_field_designator] = STATE(7972),
    [sym_char_literal] = STATE(5374),
    [sym_concatenated_string] = STATE(5377),
    [sym_string_literal] = STATE(4206),
    [sym_null] = STATE(5024),
    [sym__empty_declaration] = STATE(71),
    [sym_placeholder_type_specifier] = STATE(3085),
    [sym_decltype_auto] = STATE(3091),
    [sym_decltype] = STATE(3050),
    [sym_class_specifier] = STATE(3085),
    [sym__class_name] = STATE(9352),
    [sym_virtual] = STATE(3159),
    [sym_alignas_specifier] = STATE(3159),
    [sym_explicit_function_specifier] = STATE(2511),
    [sym_dependent_type] = STATE(3085),
    [sym_template_declaration] = STATE(71),
    [sym_template_instantiation] = STATE(71),
    [sym_operator_cast] = STATE(8035),
    [sym__constructor_specifiers] = STATE(2511),
    [sym_operator_cast_definition] = STATE(71),
    [sym_operator_cast_declaration] = STATE(71),
    [sym_constructor_or_destructor_definition] = STATE(71),
    [sym_reference_declarator] = STATE(7680),
    [sym_structured_binding_declarator] = STATE(7680),
    [sym_template_type] = STATE(3129),
    [sym_template_function] = STATE(5703),
    [sym_namespace_definition] = STATE(71),
    [sym_namespace_alias_definition] = STATE(71),
    [sym_using_declaration] = STATE(71),
    [sym_alias_declaration] = STATE(71),
    [sym_static_assert_declaration] = STATE(71),
    [sym_concept_definition] = STATE(71),
    [sym_for_range_loop] = STATE(71),
    [sym_co_return_statement] = STATE(71),
    [sym_co_yield_statement] = STATE(71),
    [sym_throw_statement] = STATE(71),
    [sym_try_statement] = STATE(71),
    [sym_raw_string_literal] = STATE(4217),
    [sym_co_await_expression] = STATE(5024),
    [sym_new_expression] = STATE(5024),
    [sym_delete_expression] = STATE(5024),
    [sym_requires_clause] = STATE(5024),
    [sym_requires_expression] = STATE(5024),
    [sym_lambda_expression] = STATE(5024),
    [sym_lambda_capture_specifier] = STATE(7184),
    [sym_fold_expression] = STATE(5024),
    [sym_parameter_pack_expansion] = STATE(5024),
    [sym_destructor_name] = STATE(7680),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6764),
    [sym_qualified_identifier] = STATE(4502),
    [sym_qualified_type_identifier] = STATE(3127),
    [sym_qualified_operator_cast_identifier] = STATE(8035),
    [sym_operator_name] = STATE(7680),
    [sym_user_defined_literal] = STATE(4507),
    [sym_discard_statement] = STATE(71),
    [sym_qualifiers] = STATE(3159),
    [sym_cbuffer_specifier] = STATE(71),
    [sym_hlsl_attribute] = STATE(1858),
    [aux_sym_preproc_if_repeat1] = STATE(71),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2673),
    [aux_sym_attributed_declarator_repeat1] = STATE(1339),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3021),
    [aux_sym_initializer_pair_repeat1] = STATE(7972),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2511),
    [sym_identifier] = ACTIONS(163),
    [aux_sym_preproc_include_token1] = ACTIONS(165),
    [aux_sym_preproc_def_token1] = ACTIONS(167),
    [anon_sym_COMMA] = ACTIONS(169),
    [aux_sym_preproc_if_token1] = ACTIONS(171),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(173),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(173),
    [sym_preproc_directive] = ACTIONS(175),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(177),
    [anon_sym___extension__] = ACTIONS(179),
    [anon_sym_typedef] = ACTIONS(181),
    [anon_sym_in] = ACTIONS(37),
    [anon_sym_out] = ACTIONS(37),
    [anon_sym_inout] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(183),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(45),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym___cdecl] = ACTIONS(51),
    [anon_sym___clrcall] = ACTIONS(51),
    [anon_sym___stdcall] = ACTIONS(51),
    [anon_sym___fastcall] = ACTIONS(51),
    [anon_sym___thiscall] = ACTIONS(51),
    [anon_sym___vectorcall] = ACTIONS(51),
    [anon_sym_LBRACE] = ACTIONS(185),
    [anon_sym_RBRACE] = ACTIONS(269),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(189),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(191),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(65),
    [anon_sym_enum] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(69),
    [anon_sym_struct] = ACTIONS(71),
    [anon_sym_union] = ACTIONS(73),
    [anon_sym_if] = ACTIONS(193),
    [anon_sym_switch] = ACTIONS(195),
    [anon_sym_case] = ACTIONS(197),
    [anon_sym_default] = ACTIONS(199),
    [anon_sym_while] = ACTIONS(201),
    [anon_sym_do] = ACTIONS(203),
    [anon_sym_for] = ACTIONS(205),
    [anon_sym_return] = ACTIONS(207),
    [anon_sym_break] = ACTIONS(209),
    [anon_sym_continue] = ACTIONS(211),
    [anon_sym_goto] = ACTIONS(213),
    [anon_sym___try] = ACTIONS(215),
    [anon_sym___leave] = ACTIONS(217),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [anon_sym_DOT] = ACTIONS(219),
    [sym_number_literal] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [anon_sym_virtual] = ACTIONS(123),
    [anon_sym_alignas] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(223),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_try] = ACTIONS(225),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(227),
    [anon_sym_namespace] = ACTIONS(229),
    [anon_sym_using] = ACTIONS(231),
    [anon_sym_static_assert] = ACTIONS(233),
    [anon_sym_concept] = ACTIONS(235),
    [anon_sym_co_return] = ACTIONS(237),
    [anon_sym_co_yield] = ACTIONS(239),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
    [anon_sym_discard] = ACTIONS(241),
    [anon_sym_precise] = ACTIONS(161),
    [anon_sym_shared] = ACTIONS(161),
    [anon_sym_groupshared] = ACTIONS(161),
    [anon_sym_uniform] = ACTIONS(161),
    [anon_sym_row_major] = ACTIONS(161),
    [anon_sym_column_major] = ACTIONS(161),
    [anon_sym_globallycoherent] = ACTIONS(161),
    [anon_sym_centroid] = ACTIONS(161),
    [anon_sym_noperspective] = ACTIONS(161),
    [anon_sym_nointerpolation] = ACTIONS(161),
    [anon_sym_sample] = ACTIONS(161),
    [anon_sym_linear] = ACTIONS(161),
    [anon_sym_snorm] = ACTIONS(161),
    [anon_sym_unorm] = ACTIONS(161),
    [anon_sym_point] = ACTIONS(161),
    [anon_sym_line] = ACTIONS(161),
    [anon_sym_triangleadj] = ACTIONS(161),
    [anon_sym_lineadj] = ACTIONS(161),
    [anon_sym_triangle] = ACTIONS(161),
    [anon_sym_cbuffer] = ACTIONS(243),
  },
  [16] = {
    [sym_preproc_include] = STATE(28),
    [sym_preproc_def] = STATE(28),
    [sym_preproc_function_def] = STATE(28),
    [sym_preproc_call] = STATE(28),
    [sym_preproc_if] = STATE(28),
    [sym_preproc_ifdef] = STATE(28),
    [sym_preproc_else] = STATE(9622),
    [sym_preproc_elif] = STATE(9622),
    [sym_preproc_elifdef] = STATE(9622),
    [sym_function_definition] = STATE(28),
    [sym_declaration] = STATE(28),
    [sym_type_definition] = STATE(28),
    [sym__declaration_modifiers] = STATE(3159),
    [sym__declaration_specifiers] = STATE(5843),
    [sym_linkage_specification] = STATE(28),
    [sym_attribute_specifier] = STATE(3159),
    [sym_attribute_declaration] = STATE(1464),
    [sym_ms_declspec_modifier] = STATE(3159),
    [sym_ms_based_modifier] = STATE(10332),
    [sym_ms_call_modifier] = STATE(2586),
    [sym__declarator] = STATE(7978),
    [sym_parenthesized_declarator] = STATE(7680),
    [sym_attributed_declarator] = STATE(7680),
    [sym_pointer_declarator] = STATE(7680),
    [sym_function_declarator] = STATE(7580),
    [sym_array_declarator] = STATE(7680),
    [sym_compound_statement] = STATE(28),
    [sym_storage_class_specifier] = STATE(3159),
    [sym_type_qualifier] = STATE(3159),
    [sym__type_specifier] = STATE(3042),
    [sym_sized_type_specifier] = STATE(3085),
    [sym_enum_specifier] = STATE(3085),
    [sym_struct_specifier] = STATE(3085),
    [sym_union_specifier] = STATE(3085),
    [sym_attributed_statement] = STATE(28),
    [sym_labeled_statement] = STATE(28),
    [sym_expression_statement] = STATE(28),
    [sym_if_statement] = STATE(28),
    [sym_switch_statement] = STATE(28),
    [sym_case_statement] = STATE(28),
    [sym_while_statement] = STATE(28),
    [sym_do_statement] = STATE(28),
    [sym_for_statement] = STATE(28),
    [sym_return_statement] = STATE(28),
    [sym_break_statement] = STATE(28),
    [sym_continue_statement] = STATE(28),
    [sym_goto_statement] = STATE(28),
    [sym_seh_try_statement] = STATE(28),
    [sym_seh_leave_statement] = STATE(28),
    [sym__expression] = STATE(5650),
    [sym__expression_not_binary] = STATE(5024),
    [sym__string] = STATE(5024),
    [sym_comma_expression] = STATE(10263),
    [sym_conditional_expression] = STATE(5024),
    [sym_assignment_expression] = STATE(5024),
    [sym_pointer_expression] = STATE(4507),
    [sym_unary_expression] = STATE(5024),
    [sym_binary_expression] = STATE(5024),
    [sym_update_expression] = STATE(5024),
    [sym_cast_expression] = STATE(5024),
    [sym_sizeof_expression] = STATE(5024),
    [sym_alignof_expression] = STATE(5024),
    [sym_offsetof_expression] = STATE(5024),
    [sym_generic_expression] = STATE(5024),
    [sym_subscript_expression] = STATE(4507),
    [sym_call_expression] = STATE(4507),
    [sym_gnu_asm_expression] = STATE(5024),
    [sym_field_expression] = STATE(4507),
    [sym_compound_literal_expression] = STATE(5024),
    [sym_parenthesized_expression] = STATE(4507),
    [sym_char_literal] = STATE(5374),
    [sym_concatenated_string] = STATE(5377),
    [sym_string_literal] = STATE(4206),
    [sym_null] = STATE(5024),
    [sym__empty_declaration] = STATE(28),
    [sym_placeholder_type_specifier] = STATE(3085),
    [sym_decltype_auto] = STATE(3091),
    [sym_decltype] = STATE(3050),
    [sym_class_specifier] = STATE(3085),
    [sym__class_name] = STATE(9352),
    [sym_virtual] = STATE(3159),
    [sym_alignas_specifier] = STATE(3159),
    [sym_explicit_function_specifier] = STATE(2517),
    [sym_dependent_type] = STATE(3085),
    [sym_template_declaration] = STATE(28),
    [sym_template_instantiation] = STATE(28),
    [sym_operator_cast] = STATE(8044),
    [sym__constructor_specifiers] = STATE(2517),
    [sym_operator_cast_definition] = STATE(28),
    [sym_operator_cast_declaration] = STATE(28),
    [sym_constructor_or_destructor_definition] = STATE(28),
    [sym_reference_declarator] = STATE(7680),
    [sym_structured_binding_declarator] = STATE(7680),
    [sym_template_type] = STATE(3129),
    [sym_template_function] = STATE(5703),
    [sym_namespace_definition] = STATE(28),
    [sym_namespace_alias_definition] = STATE(28),
    [sym_using_declaration] = STATE(28),
    [sym_alias_declaration] = STATE(28),
    [sym_static_assert_declaration] = STATE(28),
    [sym_concept_definition] = STATE(28),
    [sym_for_range_loop] = STATE(28),
    [sym_co_return_statement] = STATE(28),
    [sym_co_yield_statement] = STATE(28),
    [sym_throw_statement] = STATE(28),
    [sym_try_statement] = STATE(28),
    [sym_raw_string_literal] = STATE(4217),
    [sym_co_await_expression] = STATE(5024),
    [sym_new_expression] = STATE(5024),
    [sym_delete_expression] = STATE(5024),
    [sym_requires_clause] = STATE(5024),
    [sym_requires_expression] = STATE(5024),
    [sym_lambda_expression] = STATE(5024),
    [sym_lambda_capture_specifier] = STATE(7184),
    [sym_fold_expression] = STATE(5024),
    [sym_parameter_pack_expansion] = STATE(5024),
    [sym_destructor_name] = STATE(7680),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6764),
    [sym_qualified_identifier] = STATE(4502),
    [sym_qualified_type_identifier] = STATE(3127),
    [sym_qualified_operator_cast_identifier] = STATE(8044),
    [sym_operator_name] = STATE(7680),
    [sym_user_defined_literal] = STATE(4507),
    [sym_discard_statement] = STATE(28),
    [sym_qualifiers] = STATE(3159),
    [sym_cbuffer_specifier] = STATE(28),
    [sym_hlsl_attribute] = STATE(1882),
    [aux_sym_preproc_if_repeat1] = STATE(28),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2673),
    [aux_sym_attributed_declarator_repeat1] = STATE(1334),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3021),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2517),
    [sym_identifier] = ACTIONS(271),
    [aux_sym_preproc_include_token1] = ACTIONS(273),
    [aux_sym_preproc_def_token1] = ACTIONS(275),
    [aux_sym_preproc_if_token1] = ACTIONS(277),
    [aux_sym_preproc_if_token2] = ACTIONS(279),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(281),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(281),
    [aux_sym_preproc_else_token1] = ACTIONS(283),
    [aux_sym_preproc_elif_token1] = ACTIONS(285),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(287),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(287),
    [sym_preproc_directive] = ACTIONS(289),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(291),
    [anon_sym___extension__] = ACTIONS(293),
    [anon_sym_typedef] = ACTIONS(295),
    [anon_sym_in] = ACTIONS(37),
    [anon_sym_out] = ACTIONS(37),
    [anon_sym_inout] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(297),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(45),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym___cdecl] = ACTIONS(51),
    [anon_sym___clrcall] = ACTIONS(51),
    [anon_sym___stdcall] = ACTIONS(51),
    [anon_sym___fastcall] = ACTIONS(51),
    [anon_sym___thiscall] = ACTIONS(51),
    [anon_sym___vectorcall] = ACTIONS(51),
    [anon_sym_LBRACE] = ACTIONS(299),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(301),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(65),
    [anon_sym_enum] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(69),
    [anon_sym_struct] = ACTIONS(71),
    [anon_sym_union] = ACTIONS(73),
    [anon_sym_if] = ACTIONS(303),
    [anon_sym_switch] = ACTIONS(305),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_default] = ACTIONS(309),
    [anon_sym_while] = ACTIONS(311),
    [anon_sym_do] = ACTIONS(313),
    [anon_sym_for] = ACTIONS(315),
    [anon_sym_return] = ACTIONS(317),
    [anon_sym_break] = ACTIONS(319),
    [anon_sym_continue] = ACTIONS(321),
    [anon_sym_goto] = ACTIONS(323),
    [anon_sym___try] = ACTIONS(325),
    [anon_sym___leave] = ACTIONS(327),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [anon_sym_virtual] = ACTIONS(123),
    [anon_sym_alignas] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(329),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_try] = ACTIONS(331),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(333),
    [anon_sym_namespace] = ACTIONS(335),
    [anon_sym_using] = ACTIONS(337),
    [anon_sym_static_assert] = ACTIONS(339),
    [anon_sym_concept] = ACTIONS(341),
    [anon_sym_co_return] = ACTIONS(343),
    [anon_sym_co_yield] = ACTIONS(345),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
    [anon_sym_discard] = ACTIONS(347),
    [anon_sym_precise] = ACTIONS(161),
    [anon_sym_shared] = ACTIONS(161),
    [anon_sym_groupshared] = ACTIONS(161),
    [anon_sym_uniform] = ACTIONS(161),
    [anon_sym_row_major] = ACTIONS(161),
    [anon_sym_column_major] = ACTIONS(161),
    [anon_sym_globallycoherent] = ACTIONS(161),
    [anon_sym_centroid] = ACTIONS(161),
    [anon_sym_noperspective] = ACTIONS(161),
    [anon_sym_nointerpolation] = ACTIONS(161),
    [anon_sym_sample] = ACTIONS(161),
    [anon_sym_linear] = ACTIONS(161),
    [anon_sym_snorm] = ACTIONS(161),
    [anon_sym_unorm] = ACTIONS(161),
    [anon_sym_point] = ACTIONS(161),
    [anon_sym_line] = ACTIONS(161),
    [anon_sym_triangleadj] = ACTIONS(161),
    [anon_sym_lineadj] = ACTIONS(161),
    [anon_sym_triangle] = ACTIONS(161),
    [anon_sym_cbuffer] = ACTIONS(349),
  },
  [17] = {
    [sym_preproc_include] = STATE(28),
    [sym_preproc_def] = STATE(28),
    [sym_preproc_function_def] = STATE(28),
    [sym_preproc_call] = STATE(28),
    [sym_preproc_if] = STATE(28),
    [sym_preproc_ifdef] = STATE(28),
    [sym_preproc_else] = STATE(10038),
    [sym_preproc_elif] = STATE(10038),
    [sym_preproc_elifdef] = STATE(10038),
    [sym_function_definition] = STATE(28),
    [sym_declaration] = STATE(28),
    [sym_type_definition] = STATE(28),
    [sym__declaration_modifiers] = STATE(3159),
    [sym__declaration_specifiers] = STATE(5843),
    [sym_linkage_specification] = STATE(28),
    [sym_attribute_specifier] = STATE(3159),
    [sym_attribute_declaration] = STATE(1464),
    [sym_ms_declspec_modifier] = STATE(3159),
    [sym_ms_based_modifier] = STATE(10332),
    [sym_ms_call_modifier] = STATE(2586),
    [sym__declarator] = STATE(7978),
    [sym_parenthesized_declarator] = STATE(7680),
    [sym_attributed_declarator] = STATE(7680),
    [sym_pointer_declarator] = STATE(7680),
    [sym_function_declarator] = STATE(7580),
    [sym_array_declarator] = STATE(7680),
    [sym_compound_statement] = STATE(28),
    [sym_storage_class_specifier] = STATE(3159),
    [sym_type_qualifier] = STATE(3159),
    [sym__type_specifier] = STATE(3042),
    [sym_sized_type_specifier] = STATE(3085),
    [sym_enum_specifier] = STATE(3085),
    [sym_struct_specifier] = STATE(3085),
    [sym_union_specifier] = STATE(3085),
    [sym_attributed_statement] = STATE(28),
    [sym_labeled_statement] = STATE(28),
    [sym_expression_statement] = STATE(28),
    [sym_if_statement] = STATE(28),
    [sym_switch_statement] = STATE(28),
    [sym_case_statement] = STATE(28),
    [sym_while_statement] = STATE(28),
    [sym_do_statement] = STATE(28),
    [sym_for_statement] = STATE(28),
    [sym_return_statement] = STATE(28),
    [sym_break_statement] = STATE(28),
    [sym_continue_statement] = STATE(28),
    [sym_goto_statement] = STATE(28),
    [sym_seh_try_statement] = STATE(28),
    [sym_seh_leave_statement] = STATE(28),
    [sym__expression] = STATE(5650),
    [sym__expression_not_binary] = STATE(5024),
    [sym__string] = STATE(5024),
    [sym_comma_expression] = STATE(10263),
    [sym_conditional_expression] = STATE(5024),
    [sym_assignment_expression] = STATE(5024),
    [sym_pointer_expression] = STATE(4507),
    [sym_unary_expression] = STATE(5024),
    [sym_binary_expression] = STATE(5024),
    [sym_update_expression] = STATE(5024),
    [sym_cast_expression] = STATE(5024),
    [sym_sizeof_expression] = STATE(5024),
    [sym_alignof_expression] = STATE(5024),
    [sym_offsetof_expression] = STATE(5024),
    [sym_generic_expression] = STATE(5024),
    [sym_subscript_expression] = STATE(4507),
    [sym_call_expression] = STATE(4507),
    [sym_gnu_asm_expression] = STATE(5024),
    [sym_field_expression] = STATE(4507),
    [sym_compound_literal_expression] = STATE(5024),
    [sym_parenthesized_expression] = STATE(4507),
    [sym_char_literal] = STATE(5374),
    [sym_concatenated_string] = STATE(5377),
    [sym_string_literal] = STATE(4206),
    [sym_null] = STATE(5024),
    [sym__empty_declaration] = STATE(28),
    [sym_placeholder_type_specifier] = STATE(3085),
    [sym_decltype_auto] = STATE(3091),
    [sym_decltype] = STATE(3050),
    [sym_class_specifier] = STATE(3085),
    [sym__class_name] = STATE(9352),
    [sym_virtual] = STATE(3159),
    [sym_alignas_specifier] = STATE(3159),
    [sym_explicit_function_specifier] = STATE(2517),
    [sym_dependent_type] = STATE(3085),
    [sym_template_declaration] = STATE(28),
    [sym_template_instantiation] = STATE(28),
    [sym_operator_cast] = STATE(8044),
    [sym__constructor_specifiers] = STATE(2517),
    [sym_operator_cast_definition] = STATE(28),
    [sym_operator_cast_declaration] = STATE(28),
    [sym_constructor_or_destructor_definition] = STATE(28),
    [sym_reference_declarator] = STATE(7680),
    [sym_structured_binding_declarator] = STATE(7680),
    [sym_template_type] = STATE(3129),
    [sym_template_function] = STATE(5703),
    [sym_namespace_definition] = STATE(28),
    [sym_namespace_alias_definition] = STATE(28),
    [sym_using_declaration] = STATE(28),
    [sym_alias_declaration] = STATE(28),
    [sym_static_assert_declaration] = STATE(28),
    [sym_concept_definition] = STATE(28),
    [sym_for_range_loop] = STATE(28),
    [sym_co_return_statement] = STATE(28),
    [sym_co_yield_statement] = STATE(28),
    [sym_throw_statement] = STATE(28),
    [sym_try_statement] = STATE(28),
    [sym_raw_string_literal] = STATE(4217),
    [sym_co_await_expression] = STATE(5024),
    [sym_new_expression] = STATE(5024),
    [sym_delete_expression] = STATE(5024),
    [sym_requires_clause] = STATE(5024),
    [sym_requires_expression] = STATE(5024),
    [sym_lambda_expression] = STATE(5024),
    [sym_lambda_capture_specifier] = STATE(7184),
    [sym_fold_expression] = STATE(5024),
    [sym_parameter_pack_expansion] = STATE(5024),
    [sym_destructor_name] = STATE(7680),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6764),
    [sym_qualified_identifier] = STATE(4502),
    [sym_qualified_type_identifier] = STATE(3127),
    [sym_qualified_operator_cast_identifier] = STATE(8044),
    [sym_operator_name] = STATE(7680),
    [sym_user_defined_literal] = STATE(4507),
    [sym_discard_statement] = STATE(28),
    [sym_qualifiers] = STATE(3159),
    [sym_cbuffer_specifier] = STATE(28),
    [sym_hlsl_attribute] = STATE(1882),
    [aux_sym_preproc_if_repeat1] = STATE(28),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2673),
    [aux_sym_attributed_declarator_repeat1] = STATE(1334),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3021),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2517),
    [sym_identifier] = ACTIONS(271),
    [aux_sym_preproc_include_token1] = ACTIONS(273),
    [aux_sym_preproc_def_token1] = ACTIONS(275),
    [aux_sym_preproc_if_token1] = ACTIONS(277),
    [aux_sym_preproc_if_token2] = ACTIONS(351),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(281),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(281),
    [aux_sym_preproc_else_token1] = ACTIONS(283),
    [aux_sym_preproc_elif_token1] = ACTIONS(285),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(287),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(287),
    [sym_preproc_directive] = ACTIONS(289),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(291),
    [anon_sym___extension__] = ACTIONS(293),
    [anon_sym_typedef] = ACTIONS(295),
    [anon_sym_in] = ACTIONS(37),
    [anon_sym_out] = ACTIONS(37),
    [anon_sym_inout] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(297),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(45),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym___cdecl] = ACTIONS(51),
    [anon_sym___clrcall] = ACTIONS(51),
    [anon_sym___stdcall] = ACTIONS(51),
    [anon_sym___fastcall] = ACTIONS(51),
    [anon_sym___thiscall] = ACTIONS(51),
    [anon_sym___vectorcall] = ACTIONS(51),
    [anon_sym_LBRACE] = ACTIONS(299),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(301),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(65),
    [anon_sym_enum] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(69),
    [anon_sym_struct] = ACTIONS(71),
    [anon_sym_union] = ACTIONS(73),
    [anon_sym_if] = ACTIONS(303),
    [anon_sym_switch] = ACTIONS(305),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_default] = ACTIONS(309),
    [anon_sym_while] = ACTIONS(311),
    [anon_sym_do] = ACTIONS(313),
    [anon_sym_for] = ACTIONS(315),
    [anon_sym_return] = ACTIONS(317),
    [anon_sym_break] = ACTIONS(319),
    [anon_sym_continue] = ACTIONS(321),
    [anon_sym_goto] = ACTIONS(323),
    [anon_sym___try] = ACTIONS(325),
    [anon_sym___leave] = ACTIONS(327),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [anon_sym_virtual] = ACTIONS(123),
    [anon_sym_alignas] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(329),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_try] = ACTIONS(331),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(333),
    [anon_sym_namespace] = ACTIONS(335),
    [anon_sym_using] = ACTIONS(337),
    [anon_sym_static_assert] = ACTIONS(339),
    [anon_sym_concept] = ACTIONS(341),
    [anon_sym_co_return] = ACTIONS(343),
    [anon_sym_co_yield] = ACTIONS(345),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
    [anon_sym_discard] = ACTIONS(347),
    [anon_sym_precise] = ACTIONS(161),
    [anon_sym_shared] = ACTIONS(161),
    [anon_sym_groupshared] = ACTIONS(161),
    [anon_sym_uniform] = ACTIONS(161),
    [anon_sym_row_major] = ACTIONS(161),
    [anon_sym_column_major] = ACTIONS(161),
    [anon_sym_globallycoherent] = ACTIONS(161),
    [anon_sym_centroid] = ACTIONS(161),
    [anon_sym_noperspective] = ACTIONS(161),
    [anon_sym_nointerpolation] = ACTIONS(161),
    [anon_sym_sample] = ACTIONS(161),
    [anon_sym_linear] = ACTIONS(161),
    [anon_sym_snorm] = ACTIONS(161),
    [anon_sym_unorm] = ACTIONS(161),
    [anon_sym_point] = ACTIONS(161),
    [anon_sym_line] = ACTIONS(161),
    [anon_sym_triangleadj] = ACTIONS(161),
    [anon_sym_lineadj] = ACTIONS(161),
    [anon_sym_triangle] = ACTIONS(161),
    [anon_sym_cbuffer] = ACTIONS(349),
  },
  [18] = {
    [sym_preproc_include] = STATE(16),
    [sym_preproc_def] = STATE(16),
    [sym_preproc_function_def] = STATE(16),
    [sym_preproc_call] = STATE(16),
    [sym_preproc_if] = STATE(16),
    [sym_preproc_ifdef] = STATE(16),
    [sym_preproc_else] = STATE(9744),
    [sym_preproc_elif] = STATE(9744),
    [sym_preproc_elifdef] = STATE(9744),
    [sym_function_definition] = STATE(16),
    [sym_declaration] = STATE(16),
    [sym_type_definition] = STATE(16),
    [sym__declaration_modifiers] = STATE(3159),
    [sym__declaration_specifiers] = STATE(5843),
    [sym_linkage_specification] = STATE(16),
    [sym_attribute_specifier] = STATE(3159),
    [sym_attribute_declaration] = STATE(1464),
    [sym_ms_declspec_modifier] = STATE(3159),
    [sym_ms_based_modifier] = STATE(10332),
    [sym_ms_call_modifier] = STATE(2586),
    [sym__declarator] = STATE(7978),
    [sym_parenthesized_declarator] = STATE(7680),
    [sym_attributed_declarator] = STATE(7680),
    [sym_pointer_declarator] = STATE(7680),
    [sym_function_declarator] = STATE(7580),
    [sym_array_declarator] = STATE(7680),
    [sym_compound_statement] = STATE(16),
    [sym_storage_class_specifier] = STATE(3159),
    [sym_type_qualifier] = STATE(3159),
    [sym__type_specifier] = STATE(3042),
    [sym_sized_type_specifier] = STATE(3085),
    [sym_enum_specifier] = STATE(3085),
    [sym_struct_specifier] = STATE(3085),
    [sym_union_specifier] = STATE(3085),
    [sym_attributed_statement] = STATE(16),
    [sym_labeled_statement] = STATE(16),
    [sym_expression_statement] = STATE(16),
    [sym_if_statement] = STATE(16),
    [sym_switch_statement] = STATE(16),
    [sym_case_statement] = STATE(16),
    [sym_while_statement] = STATE(16),
    [sym_do_statement] = STATE(16),
    [sym_for_statement] = STATE(16),
    [sym_return_statement] = STATE(16),
    [sym_break_statement] = STATE(16),
    [sym_continue_statement] = STATE(16),
    [sym_goto_statement] = STATE(16),
    [sym_seh_try_statement] = STATE(16),
    [sym_seh_leave_statement] = STATE(16),
    [sym__expression] = STATE(5650),
    [sym__expression_not_binary] = STATE(5024),
    [sym__string] = STATE(5024),
    [sym_comma_expression] = STATE(10263),
    [sym_conditional_expression] = STATE(5024),
    [sym_assignment_expression] = STATE(5024),
    [sym_pointer_expression] = STATE(4507),
    [sym_unary_expression] = STATE(5024),
    [sym_binary_expression] = STATE(5024),
    [sym_update_expression] = STATE(5024),
    [sym_cast_expression] = STATE(5024),
    [sym_sizeof_expression] = STATE(5024),
    [sym_alignof_expression] = STATE(5024),
    [sym_offsetof_expression] = STATE(5024),
    [sym_generic_expression] = STATE(5024),
    [sym_subscript_expression] = STATE(4507),
    [sym_call_expression] = STATE(4507),
    [sym_gnu_asm_expression] = STATE(5024),
    [sym_field_expression] = STATE(4507),
    [sym_compound_literal_expression] = STATE(5024),
    [sym_parenthesized_expression] = STATE(4507),
    [sym_char_literal] = STATE(5374),
    [sym_concatenated_string] = STATE(5377),
    [sym_string_literal] = STATE(4206),
    [sym_null] = STATE(5024),
    [sym__empty_declaration] = STATE(16),
    [sym_placeholder_type_specifier] = STATE(3085),
    [sym_decltype_auto] = STATE(3091),
    [sym_decltype] = STATE(3050),
    [sym_class_specifier] = STATE(3085),
    [sym__class_name] = STATE(9352),
    [sym_virtual] = STATE(3159),
    [sym_alignas_specifier] = STATE(3159),
    [sym_explicit_function_specifier] = STATE(2517),
    [sym_dependent_type] = STATE(3085),
    [sym_template_declaration] = STATE(16),
    [sym_template_instantiation] = STATE(16),
    [sym_operator_cast] = STATE(8044),
    [sym__constructor_specifiers] = STATE(2517),
    [sym_operator_cast_definition] = STATE(16),
    [sym_operator_cast_declaration] = STATE(16),
    [sym_constructor_or_destructor_definition] = STATE(16),
    [sym_reference_declarator] = STATE(7680),
    [sym_structured_binding_declarator] = STATE(7680),
    [sym_template_type] = STATE(3129),
    [sym_template_function] = STATE(5703),
    [sym_namespace_definition] = STATE(16),
    [sym_namespace_alias_definition] = STATE(16),
    [sym_using_declaration] = STATE(16),
    [sym_alias_declaration] = STATE(16),
    [sym_static_assert_declaration] = STATE(16),
    [sym_concept_definition] = STATE(16),
    [sym_for_range_loop] = STATE(16),
    [sym_co_return_statement] = STATE(16),
    [sym_co_yield_statement] = STATE(16),
    [sym_throw_statement] = STATE(16),
    [sym_try_statement] = STATE(16),
    [sym_raw_string_literal] = STATE(4217),
    [sym_co_await_expression] = STATE(5024),
    [sym_new_expression] = STATE(5024),
    [sym_delete_expression] = STATE(5024),
    [sym_requires_clause] = STATE(5024),
    [sym_requires_expression] = STATE(5024),
    [sym_lambda_expression] = STATE(5024),
    [sym_lambda_capture_specifier] = STATE(7184),
    [sym_fold_expression] = STATE(5024),
    [sym_parameter_pack_expansion] = STATE(5024),
    [sym_destructor_name] = STATE(7680),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6764),
    [sym_qualified_identifier] = STATE(4502),
    [sym_qualified_type_identifier] = STATE(3127),
    [sym_qualified_operator_cast_identifier] = STATE(8044),
    [sym_operator_name] = STATE(7680),
    [sym_user_defined_literal] = STATE(4507),
    [sym_discard_statement] = STATE(16),
    [sym_qualifiers] = STATE(3159),
    [sym_cbuffer_specifier] = STATE(16),
    [sym_hlsl_attribute] = STATE(1882),
    [aux_sym_preproc_if_repeat1] = STATE(16),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2673),
    [aux_sym_attributed_declarator_repeat1] = STATE(1334),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3021),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2517),
    [sym_identifier] = ACTIONS(271),
    [aux_sym_preproc_include_token1] = ACTIONS(273),
    [aux_sym_preproc_def_token1] = ACTIONS(275),
    [aux_sym_preproc_if_token1] = ACTIONS(277),
    [aux_sym_preproc_if_token2] = ACTIONS(353),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(281),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(281),
    [aux_sym_preproc_else_token1] = ACTIONS(283),
    [aux_sym_preproc_elif_token1] = ACTIONS(285),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(287),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(287),
    [sym_preproc_directive] = ACTIONS(289),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(291),
    [anon_sym___extension__] = ACTIONS(293),
    [anon_sym_typedef] = ACTIONS(295),
    [anon_sym_in] = ACTIONS(37),
    [anon_sym_out] = ACTIONS(37),
    [anon_sym_inout] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(297),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(45),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym___cdecl] = ACTIONS(51),
    [anon_sym___clrcall] = ACTIONS(51),
    [anon_sym___stdcall] = ACTIONS(51),
    [anon_sym___fastcall] = ACTIONS(51),
    [anon_sym___thiscall] = ACTIONS(51),
    [anon_sym___vectorcall] = ACTIONS(51),
    [anon_sym_LBRACE] = ACTIONS(299),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(301),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(65),
    [anon_sym_enum] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(69),
    [anon_sym_struct] = ACTIONS(71),
    [anon_sym_union] = ACTIONS(73),
    [anon_sym_if] = ACTIONS(303),
    [anon_sym_switch] = ACTIONS(305),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_default] = ACTIONS(309),
    [anon_sym_while] = ACTIONS(311),
    [anon_sym_do] = ACTIONS(313),
    [anon_sym_for] = ACTIONS(315),
    [anon_sym_return] = ACTIONS(317),
    [anon_sym_break] = ACTIONS(319),
    [anon_sym_continue] = ACTIONS(321),
    [anon_sym_goto] = ACTIONS(323),
    [anon_sym___try] = ACTIONS(325),
    [anon_sym___leave] = ACTIONS(327),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [anon_sym_virtual] = ACTIONS(123),
    [anon_sym_alignas] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(329),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_try] = ACTIONS(331),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(333),
    [anon_sym_namespace] = ACTIONS(335),
    [anon_sym_using] = ACTIONS(337),
    [anon_sym_static_assert] = ACTIONS(339),
    [anon_sym_concept] = ACTIONS(341),
    [anon_sym_co_return] = ACTIONS(343),
    [anon_sym_co_yield] = ACTIONS(345),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
    [anon_sym_discard] = ACTIONS(347),
    [anon_sym_precise] = ACTIONS(161),
    [anon_sym_shared] = ACTIONS(161),
    [anon_sym_groupshared] = ACTIONS(161),
    [anon_sym_uniform] = ACTIONS(161),
    [anon_sym_row_major] = ACTIONS(161),
    [anon_sym_column_major] = ACTIONS(161),
    [anon_sym_globallycoherent] = ACTIONS(161),
    [anon_sym_centroid] = ACTIONS(161),
    [anon_sym_noperspective] = ACTIONS(161),
    [anon_sym_nointerpolation] = ACTIONS(161),
    [anon_sym_sample] = ACTIONS(161),
    [anon_sym_linear] = ACTIONS(161),
    [anon_sym_snorm] = ACTIONS(161),
    [anon_sym_unorm] = ACTIONS(161),
    [anon_sym_point] = ACTIONS(161),
    [anon_sym_line] = ACTIONS(161),
    [anon_sym_triangleadj] = ACTIONS(161),
    [anon_sym_lineadj] = ACTIONS(161),
    [anon_sym_triangle] = ACTIONS(161),
    [anon_sym_cbuffer] = ACTIONS(349),
  },
  [19] = {
    [sym_preproc_include] = STATE(28),
    [sym_preproc_def] = STATE(28),
    [sym_preproc_function_def] = STATE(28),
    [sym_preproc_call] = STATE(28),
    [sym_preproc_if] = STATE(28),
    [sym_preproc_ifdef] = STATE(28),
    [sym_preproc_else] = STATE(9607),
    [sym_preproc_elif] = STATE(9607),
    [sym_preproc_elifdef] = STATE(9607),
    [sym_function_definition] = STATE(28),
    [sym_declaration] = STATE(28),
    [sym_type_definition] = STATE(28),
    [sym__declaration_modifiers] = STATE(3159),
    [sym__declaration_specifiers] = STATE(5843),
    [sym_linkage_specification] = STATE(28),
    [sym_attribute_specifier] = STATE(3159),
    [sym_attribute_declaration] = STATE(1464),
    [sym_ms_declspec_modifier] = STATE(3159),
    [sym_ms_based_modifier] = STATE(10332),
    [sym_ms_call_modifier] = STATE(2586),
    [sym__declarator] = STATE(7978),
    [sym_parenthesized_declarator] = STATE(7680),
    [sym_attributed_declarator] = STATE(7680),
    [sym_pointer_declarator] = STATE(7680),
    [sym_function_declarator] = STATE(7580),
    [sym_array_declarator] = STATE(7680),
    [sym_compound_statement] = STATE(28),
    [sym_storage_class_specifier] = STATE(3159),
    [sym_type_qualifier] = STATE(3159),
    [sym__type_specifier] = STATE(3042),
    [sym_sized_type_specifier] = STATE(3085),
    [sym_enum_specifier] = STATE(3085),
    [sym_struct_specifier] = STATE(3085),
    [sym_union_specifier] = STATE(3085),
    [sym_attributed_statement] = STATE(28),
    [sym_labeled_statement] = STATE(28),
    [sym_expression_statement] = STATE(28),
    [sym_if_statement] = STATE(28),
    [sym_switch_statement] = STATE(28),
    [sym_case_statement] = STATE(28),
    [sym_while_statement] = STATE(28),
    [sym_do_statement] = STATE(28),
    [sym_for_statement] = STATE(28),
    [sym_return_statement] = STATE(28),
    [sym_break_statement] = STATE(28),
    [sym_continue_statement] = STATE(28),
    [sym_goto_statement] = STATE(28),
    [sym_seh_try_statement] = STATE(28),
    [sym_seh_leave_statement] = STATE(28),
    [sym__expression] = STATE(5650),
    [sym__expression_not_binary] = STATE(5024),
    [sym__string] = STATE(5024),
    [sym_comma_expression] = STATE(10263),
    [sym_conditional_expression] = STATE(5024),
    [sym_assignment_expression] = STATE(5024),
    [sym_pointer_expression] = STATE(4507),
    [sym_unary_expression] = STATE(5024),
    [sym_binary_expression] = STATE(5024),
    [sym_update_expression] = STATE(5024),
    [sym_cast_expression] = STATE(5024),
    [sym_sizeof_expression] = STATE(5024),
    [sym_alignof_expression] = STATE(5024),
    [sym_offsetof_expression] = STATE(5024),
    [sym_generic_expression] = STATE(5024),
    [sym_subscript_expression] = STATE(4507),
    [sym_call_expression] = STATE(4507),
    [sym_gnu_asm_expression] = STATE(5024),
    [sym_field_expression] = STATE(4507),
    [sym_compound_literal_expression] = STATE(5024),
    [sym_parenthesized_expression] = STATE(4507),
    [sym_char_literal] = STATE(5374),
    [sym_concatenated_string] = STATE(5377),
    [sym_string_literal] = STATE(4206),
    [sym_null] = STATE(5024),
    [sym__empty_declaration] = STATE(28),
    [sym_placeholder_type_specifier] = STATE(3085),
    [sym_decltype_auto] = STATE(3091),
    [sym_decltype] = STATE(3050),
    [sym_class_specifier] = STATE(3085),
    [sym__class_name] = STATE(9352),
    [sym_virtual] = STATE(3159),
    [sym_alignas_specifier] = STATE(3159),
    [sym_explicit_function_specifier] = STATE(2517),
    [sym_dependent_type] = STATE(3085),
    [sym_template_declaration] = STATE(28),
    [sym_template_instantiation] = STATE(28),
    [sym_operator_cast] = STATE(8044),
    [sym__constructor_specifiers] = STATE(2517),
    [sym_operator_cast_definition] = STATE(28),
    [sym_operator_cast_declaration] = STATE(28),
    [sym_constructor_or_destructor_definition] = STATE(28),
    [sym_reference_declarator] = STATE(7680),
    [sym_structured_binding_declarator] = STATE(7680),
    [sym_template_type] = STATE(3129),
    [sym_template_function] = STATE(5703),
    [sym_namespace_definition] = STATE(28),
    [sym_namespace_alias_definition] = STATE(28),
    [sym_using_declaration] = STATE(28),
    [sym_alias_declaration] = STATE(28),
    [sym_static_assert_declaration] = STATE(28),
    [sym_concept_definition] = STATE(28),
    [sym_for_range_loop] = STATE(28),
    [sym_co_return_statement] = STATE(28),
    [sym_co_yield_statement] = STATE(28),
    [sym_throw_statement] = STATE(28),
    [sym_try_statement] = STATE(28),
    [sym_raw_string_literal] = STATE(4217),
    [sym_co_await_expression] = STATE(5024),
    [sym_new_expression] = STATE(5024),
    [sym_delete_expression] = STATE(5024),
    [sym_requires_clause] = STATE(5024),
    [sym_requires_expression] = STATE(5024),
    [sym_lambda_expression] = STATE(5024),
    [sym_lambda_capture_specifier] = STATE(7184),
    [sym_fold_expression] = STATE(5024),
    [sym_parameter_pack_expansion] = STATE(5024),
    [sym_destructor_name] = STATE(7680),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6764),
    [sym_qualified_identifier] = STATE(4502),
    [sym_qualified_type_identifier] = STATE(3127),
    [sym_qualified_operator_cast_identifier] = STATE(8044),
    [sym_operator_name] = STATE(7680),
    [sym_user_defined_literal] = STATE(4507),
    [sym_discard_statement] = STATE(28),
    [sym_qualifiers] = STATE(3159),
    [sym_cbuffer_specifier] = STATE(28),
    [sym_hlsl_attribute] = STATE(1882),
    [aux_sym_preproc_if_repeat1] = STATE(28),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2673),
    [aux_sym_attributed_declarator_repeat1] = STATE(1334),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3021),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2517),
    [sym_identifier] = ACTIONS(271),
    [aux_sym_preproc_include_token1] = ACTIONS(273),
    [aux_sym_preproc_def_token1] = ACTIONS(275),
    [aux_sym_preproc_if_token1] = ACTIONS(277),
    [aux_sym_preproc_if_token2] = ACTIONS(355),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(281),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(281),
    [aux_sym_preproc_else_token1] = ACTIONS(283),
    [aux_sym_preproc_elif_token1] = ACTIONS(285),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(287),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(287),
    [sym_preproc_directive] = ACTIONS(289),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(291),
    [anon_sym___extension__] = ACTIONS(293),
    [anon_sym_typedef] = ACTIONS(295),
    [anon_sym_in] = ACTIONS(37),
    [anon_sym_out] = ACTIONS(37),
    [anon_sym_inout] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(297),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(45),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym___cdecl] = ACTIONS(51),
    [anon_sym___clrcall] = ACTIONS(51),
    [anon_sym___stdcall] = ACTIONS(51),
    [anon_sym___fastcall] = ACTIONS(51),
    [anon_sym___thiscall] = ACTIONS(51),
    [anon_sym___vectorcall] = ACTIONS(51),
    [anon_sym_LBRACE] = ACTIONS(299),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(301),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(65),
    [anon_sym_enum] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(69),
    [anon_sym_struct] = ACTIONS(71),
    [anon_sym_union] = ACTIONS(73),
    [anon_sym_if] = ACTIONS(303),
    [anon_sym_switch] = ACTIONS(305),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_default] = ACTIONS(309),
    [anon_sym_while] = ACTIONS(311),
    [anon_sym_do] = ACTIONS(313),
    [anon_sym_for] = ACTIONS(315),
    [anon_sym_return] = ACTIONS(317),
    [anon_sym_break] = ACTIONS(319),
    [anon_sym_continue] = ACTIONS(321),
    [anon_sym_goto] = ACTIONS(323),
    [anon_sym___try] = ACTIONS(325),
    [anon_sym___leave] = ACTIONS(327),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [anon_sym_virtual] = ACTIONS(123),
    [anon_sym_alignas] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(329),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_try] = ACTIONS(331),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(333),
    [anon_sym_namespace] = ACTIONS(335),
    [anon_sym_using] = ACTIONS(337),
    [anon_sym_static_assert] = ACTIONS(339),
    [anon_sym_concept] = ACTIONS(341),
    [anon_sym_co_return] = ACTIONS(343),
    [anon_sym_co_yield] = ACTIONS(345),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
    [anon_sym_discard] = ACTIONS(347),
    [anon_sym_precise] = ACTIONS(161),
    [anon_sym_shared] = ACTIONS(161),
    [anon_sym_groupshared] = ACTIONS(161),
    [anon_sym_uniform] = ACTIONS(161),
    [anon_sym_row_major] = ACTIONS(161),
    [anon_sym_column_major] = ACTIONS(161),
    [anon_sym_globallycoherent] = ACTIONS(161),
    [anon_sym_centroid] = ACTIONS(161),
    [anon_sym_noperspective] = ACTIONS(161),
    [anon_sym_nointerpolation] = ACTIONS(161),
    [anon_sym_sample] = ACTIONS(161),
    [anon_sym_linear] = ACTIONS(161),
    [anon_sym_snorm] = ACTIONS(161),
    [anon_sym_unorm] = ACTIONS(161),
    [anon_sym_point] = ACTIONS(161),
    [anon_sym_line] = ACTIONS(161),
    [anon_sym_triangleadj] = ACTIONS(161),
    [anon_sym_lineadj] = ACTIONS(161),
    [anon_sym_triangle] = ACTIONS(161),
    [anon_sym_cbuffer] = ACTIONS(349),
  },
  [20] = {
    [sym_preproc_include] = STATE(17),
    [sym_preproc_def] = STATE(17),
    [sym_preproc_function_def] = STATE(17),
    [sym_preproc_call] = STATE(17),
    [sym_preproc_if] = STATE(17),
    [sym_preproc_ifdef] = STATE(17),
    [sym_preproc_else] = STATE(10164),
    [sym_preproc_elif] = STATE(10164),
    [sym_preproc_elifdef] = STATE(10164),
    [sym_function_definition] = STATE(17),
    [sym_declaration] = STATE(17),
    [sym_type_definition] = STATE(17),
    [sym__declaration_modifiers] = STATE(3159),
    [sym__declaration_specifiers] = STATE(5843),
    [sym_linkage_specification] = STATE(17),
    [sym_attribute_specifier] = STATE(3159),
    [sym_attribute_declaration] = STATE(1464),
    [sym_ms_declspec_modifier] = STATE(3159),
    [sym_ms_based_modifier] = STATE(10332),
    [sym_ms_call_modifier] = STATE(2586),
    [sym__declarator] = STATE(7978),
    [sym_parenthesized_declarator] = STATE(7680),
    [sym_attributed_declarator] = STATE(7680),
    [sym_pointer_declarator] = STATE(7680),
    [sym_function_declarator] = STATE(7580),
    [sym_array_declarator] = STATE(7680),
    [sym_compound_statement] = STATE(17),
    [sym_storage_class_specifier] = STATE(3159),
    [sym_type_qualifier] = STATE(3159),
    [sym__type_specifier] = STATE(3042),
    [sym_sized_type_specifier] = STATE(3085),
    [sym_enum_specifier] = STATE(3085),
    [sym_struct_specifier] = STATE(3085),
    [sym_union_specifier] = STATE(3085),
    [sym_attributed_statement] = STATE(17),
    [sym_labeled_statement] = STATE(17),
    [sym_expression_statement] = STATE(17),
    [sym_if_statement] = STATE(17),
    [sym_switch_statement] = STATE(17),
    [sym_case_statement] = STATE(17),
    [sym_while_statement] = STATE(17),
    [sym_do_statement] = STATE(17),
    [sym_for_statement] = STATE(17),
    [sym_return_statement] = STATE(17),
    [sym_break_statement] = STATE(17),
    [sym_continue_statement] = STATE(17),
    [sym_goto_statement] = STATE(17),
    [sym_seh_try_statement] = STATE(17),
    [sym_seh_leave_statement] = STATE(17),
    [sym__expression] = STATE(5650),
    [sym__expression_not_binary] = STATE(5024),
    [sym__string] = STATE(5024),
    [sym_comma_expression] = STATE(10263),
    [sym_conditional_expression] = STATE(5024),
    [sym_assignment_expression] = STATE(5024),
    [sym_pointer_expression] = STATE(4507),
    [sym_unary_expression] = STATE(5024),
    [sym_binary_expression] = STATE(5024),
    [sym_update_expression] = STATE(5024),
    [sym_cast_expression] = STATE(5024),
    [sym_sizeof_expression] = STATE(5024),
    [sym_alignof_expression] = STATE(5024),
    [sym_offsetof_expression] = STATE(5024),
    [sym_generic_expression] = STATE(5024),
    [sym_subscript_expression] = STATE(4507),
    [sym_call_expression] = STATE(4507),
    [sym_gnu_asm_expression] = STATE(5024),
    [sym_field_expression] = STATE(4507),
    [sym_compound_literal_expression] = STATE(5024),
    [sym_parenthesized_expression] = STATE(4507),
    [sym_char_literal] = STATE(5374),
    [sym_concatenated_string] = STATE(5377),
    [sym_string_literal] = STATE(4206),
    [sym_null] = STATE(5024),
    [sym__empty_declaration] = STATE(17),
    [sym_placeholder_type_specifier] = STATE(3085),
    [sym_decltype_auto] = STATE(3091),
    [sym_decltype] = STATE(3050),
    [sym_class_specifier] = STATE(3085),
    [sym__class_name] = STATE(9352),
    [sym_virtual] = STATE(3159),
    [sym_alignas_specifier] = STATE(3159),
    [sym_explicit_function_specifier] = STATE(2517),
    [sym_dependent_type] = STATE(3085),
    [sym_template_declaration] = STATE(17),
    [sym_template_instantiation] = STATE(17),
    [sym_operator_cast] = STATE(8044),
    [sym__constructor_specifiers] = STATE(2517),
    [sym_operator_cast_definition] = STATE(17),
    [sym_operator_cast_declaration] = STATE(17),
    [sym_constructor_or_destructor_definition] = STATE(17),
    [sym_reference_declarator] = STATE(7680),
    [sym_structured_binding_declarator] = STATE(7680),
    [sym_template_type] = STATE(3129),
    [sym_template_function] = STATE(5703),
    [sym_namespace_definition] = STATE(17),
    [sym_namespace_alias_definition] = STATE(17),
    [sym_using_declaration] = STATE(17),
    [sym_alias_declaration] = STATE(17),
    [sym_static_assert_declaration] = STATE(17),
    [sym_concept_definition] = STATE(17),
    [sym_for_range_loop] = STATE(17),
    [sym_co_return_statement] = STATE(17),
    [sym_co_yield_statement] = STATE(17),
    [sym_throw_statement] = STATE(17),
    [sym_try_statement] = STATE(17),
    [sym_raw_string_literal] = STATE(4217),
    [sym_co_await_expression] = STATE(5024),
    [sym_new_expression] = STATE(5024),
    [sym_delete_expression] = STATE(5024),
    [sym_requires_clause] = STATE(5024),
    [sym_requires_expression] = STATE(5024),
    [sym_lambda_expression] = STATE(5024),
    [sym_lambda_capture_specifier] = STATE(7184),
    [sym_fold_expression] = STATE(5024),
    [sym_parameter_pack_expansion] = STATE(5024),
    [sym_destructor_name] = STATE(7680),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6764),
    [sym_qualified_identifier] = STATE(4502),
    [sym_qualified_type_identifier] = STATE(3127),
    [sym_qualified_operator_cast_identifier] = STATE(8044),
    [sym_operator_name] = STATE(7680),
    [sym_user_defined_literal] = STATE(4507),
    [sym_discard_statement] = STATE(17),
    [sym_qualifiers] = STATE(3159),
    [sym_cbuffer_specifier] = STATE(17),
    [sym_hlsl_attribute] = STATE(1882),
    [aux_sym_preproc_if_repeat1] = STATE(17),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2673),
    [aux_sym_attributed_declarator_repeat1] = STATE(1334),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3021),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2517),
    [sym_identifier] = ACTIONS(271),
    [aux_sym_preproc_include_token1] = ACTIONS(273),
    [aux_sym_preproc_def_token1] = ACTIONS(275),
    [aux_sym_preproc_if_token1] = ACTIONS(277),
    [aux_sym_preproc_if_token2] = ACTIONS(357),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(281),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(281),
    [aux_sym_preproc_else_token1] = ACTIONS(283),
    [aux_sym_preproc_elif_token1] = ACTIONS(285),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(287),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(287),
    [sym_preproc_directive] = ACTIONS(289),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(291),
    [anon_sym___extension__] = ACTIONS(293),
    [anon_sym_typedef] = ACTIONS(295),
    [anon_sym_in] = ACTIONS(37),
    [anon_sym_out] = ACTIONS(37),
    [anon_sym_inout] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(297),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(45),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym___cdecl] = ACTIONS(51),
    [anon_sym___clrcall] = ACTIONS(51),
    [anon_sym___stdcall] = ACTIONS(51),
    [anon_sym___fastcall] = ACTIONS(51),
    [anon_sym___thiscall] = ACTIONS(51),
    [anon_sym___vectorcall] = ACTIONS(51),
    [anon_sym_LBRACE] = ACTIONS(299),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(301),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(65),
    [anon_sym_enum] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(69),
    [anon_sym_struct] = ACTIONS(71),
    [anon_sym_union] = ACTIONS(73),
    [anon_sym_if] = ACTIONS(303),
    [anon_sym_switch] = ACTIONS(305),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_default] = ACTIONS(309),
    [anon_sym_while] = ACTIONS(311),
    [anon_sym_do] = ACTIONS(313),
    [anon_sym_for] = ACTIONS(315),
    [anon_sym_return] = ACTIONS(317),
    [anon_sym_break] = ACTIONS(319),
    [anon_sym_continue] = ACTIONS(321),
    [anon_sym_goto] = ACTIONS(323),
    [anon_sym___try] = ACTIONS(325),
    [anon_sym___leave] = ACTIONS(327),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [anon_sym_virtual] = ACTIONS(123),
    [anon_sym_alignas] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(329),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_try] = ACTIONS(331),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(333),
    [anon_sym_namespace] = ACTIONS(335),
    [anon_sym_using] = ACTIONS(337),
    [anon_sym_static_assert] = ACTIONS(339),
    [anon_sym_concept] = ACTIONS(341),
    [anon_sym_co_return] = ACTIONS(343),
    [anon_sym_co_yield] = ACTIONS(345),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
    [anon_sym_discard] = ACTIONS(347),
    [anon_sym_precise] = ACTIONS(161),
    [anon_sym_shared] = ACTIONS(161),
    [anon_sym_groupshared] = ACTIONS(161),
    [anon_sym_uniform] = ACTIONS(161),
    [anon_sym_row_major] = ACTIONS(161),
    [anon_sym_column_major] = ACTIONS(161),
    [anon_sym_globallycoherent] = ACTIONS(161),
    [anon_sym_centroid] = ACTIONS(161),
    [anon_sym_noperspective] = ACTIONS(161),
    [anon_sym_nointerpolation] = ACTIONS(161),
    [anon_sym_sample] = ACTIONS(161),
    [anon_sym_linear] = ACTIONS(161),
    [anon_sym_snorm] = ACTIONS(161),
    [anon_sym_unorm] = ACTIONS(161),
    [anon_sym_point] = ACTIONS(161),
    [anon_sym_line] = ACTIONS(161),
    [anon_sym_triangleadj] = ACTIONS(161),
    [anon_sym_lineadj] = ACTIONS(161),
    [anon_sym_triangle] = ACTIONS(161),
    [anon_sym_cbuffer] = ACTIONS(349),
  },
  [21] = {
    [sym_preproc_include] = STATE(28),
    [sym_preproc_def] = STATE(28),
    [sym_preproc_function_def] = STATE(28),
    [sym_preproc_call] = STATE(28),
    [sym_preproc_if] = STATE(28),
    [sym_preproc_ifdef] = STATE(28),
    [sym_preproc_else] = STATE(9670),
    [sym_preproc_elif] = STATE(9670),
    [sym_preproc_elifdef] = STATE(9670),
    [sym_function_definition] = STATE(28),
    [sym_declaration] = STATE(28),
    [sym_type_definition] = STATE(28),
    [sym__declaration_modifiers] = STATE(3159),
    [sym__declaration_specifiers] = STATE(5843),
    [sym_linkage_specification] = STATE(28),
    [sym_attribute_specifier] = STATE(3159),
    [sym_attribute_declaration] = STATE(1464),
    [sym_ms_declspec_modifier] = STATE(3159),
    [sym_ms_based_modifier] = STATE(10332),
    [sym_ms_call_modifier] = STATE(2586),
    [sym__declarator] = STATE(7978),
    [sym_parenthesized_declarator] = STATE(7680),
    [sym_attributed_declarator] = STATE(7680),
    [sym_pointer_declarator] = STATE(7680),
    [sym_function_declarator] = STATE(7580),
    [sym_array_declarator] = STATE(7680),
    [sym_compound_statement] = STATE(28),
    [sym_storage_class_specifier] = STATE(3159),
    [sym_type_qualifier] = STATE(3159),
    [sym__type_specifier] = STATE(3042),
    [sym_sized_type_specifier] = STATE(3085),
    [sym_enum_specifier] = STATE(3085),
    [sym_struct_specifier] = STATE(3085),
    [sym_union_specifier] = STATE(3085),
    [sym_attributed_statement] = STATE(28),
    [sym_labeled_statement] = STATE(28),
    [sym_expression_statement] = STATE(28),
    [sym_if_statement] = STATE(28),
    [sym_switch_statement] = STATE(28),
    [sym_case_statement] = STATE(28),
    [sym_while_statement] = STATE(28),
    [sym_do_statement] = STATE(28),
    [sym_for_statement] = STATE(28),
    [sym_return_statement] = STATE(28),
    [sym_break_statement] = STATE(28),
    [sym_continue_statement] = STATE(28),
    [sym_goto_statement] = STATE(28),
    [sym_seh_try_statement] = STATE(28),
    [sym_seh_leave_statement] = STATE(28),
    [sym__expression] = STATE(5650),
    [sym__expression_not_binary] = STATE(5024),
    [sym__string] = STATE(5024),
    [sym_comma_expression] = STATE(10263),
    [sym_conditional_expression] = STATE(5024),
    [sym_assignment_expression] = STATE(5024),
    [sym_pointer_expression] = STATE(4507),
    [sym_unary_expression] = STATE(5024),
    [sym_binary_expression] = STATE(5024),
    [sym_update_expression] = STATE(5024),
    [sym_cast_expression] = STATE(5024),
    [sym_sizeof_expression] = STATE(5024),
    [sym_alignof_expression] = STATE(5024),
    [sym_offsetof_expression] = STATE(5024),
    [sym_generic_expression] = STATE(5024),
    [sym_subscript_expression] = STATE(4507),
    [sym_call_expression] = STATE(4507),
    [sym_gnu_asm_expression] = STATE(5024),
    [sym_field_expression] = STATE(4507),
    [sym_compound_literal_expression] = STATE(5024),
    [sym_parenthesized_expression] = STATE(4507),
    [sym_char_literal] = STATE(5374),
    [sym_concatenated_string] = STATE(5377),
    [sym_string_literal] = STATE(4206),
    [sym_null] = STATE(5024),
    [sym__empty_declaration] = STATE(28),
    [sym_placeholder_type_specifier] = STATE(3085),
    [sym_decltype_auto] = STATE(3091),
    [sym_decltype] = STATE(3050),
    [sym_class_specifier] = STATE(3085),
    [sym__class_name] = STATE(9352),
    [sym_virtual] = STATE(3159),
    [sym_alignas_specifier] = STATE(3159),
    [sym_explicit_function_specifier] = STATE(2517),
    [sym_dependent_type] = STATE(3085),
    [sym_template_declaration] = STATE(28),
    [sym_template_instantiation] = STATE(28),
    [sym_operator_cast] = STATE(8044),
    [sym__constructor_specifiers] = STATE(2517),
    [sym_operator_cast_definition] = STATE(28),
    [sym_operator_cast_declaration] = STATE(28),
    [sym_constructor_or_destructor_definition] = STATE(28),
    [sym_reference_declarator] = STATE(7680),
    [sym_structured_binding_declarator] = STATE(7680),
    [sym_template_type] = STATE(3129),
    [sym_template_function] = STATE(5703),
    [sym_namespace_definition] = STATE(28),
    [sym_namespace_alias_definition] = STATE(28),
    [sym_using_declaration] = STATE(28),
    [sym_alias_declaration] = STATE(28),
    [sym_static_assert_declaration] = STATE(28),
    [sym_concept_definition] = STATE(28),
    [sym_for_range_loop] = STATE(28),
    [sym_co_return_statement] = STATE(28),
    [sym_co_yield_statement] = STATE(28),
    [sym_throw_statement] = STATE(28),
    [sym_try_statement] = STATE(28),
    [sym_raw_string_literal] = STATE(4217),
    [sym_co_await_expression] = STATE(5024),
    [sym_new_expression] = STATE(5024),
    [sym_delete_expression] = STATE(5024),
    [sym_requires_clause] = STATE(5024),
    [sym_requires_expression] = STATE(5024),
    [sym_lambda_expression] = STATE(5024),
    [sym_lambda_capture_specifier] = STATE(7184),
    [sym_fold_expression] = STATE(5024),
    [sym_parameter_pack_expansion] = STATE(5024),
    [sym_destructor_name] = STATE(7680),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6764),
    [sym_qualified_identifier] = STATE(4502),
    [sym_qualified_type_identifier] = STATE(3127),
    [sym_qualified_operator_cast_identifier] = STATE(8044),
    [sym_operator_name] = STATE(7680),
    [sym_user_defined_literal] = STATE(4507),
    [sym_discard_statement] = STATE(28),
    [sym_qualifiers] = STATE(3159),
    [sym_cbuffer_specifier] = STATE(28),
    [sym_hlsl_attribute] = STATE(1882),
    [aux_sym_preproc_if_repeat1] = STATE(28),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2673),
    [aux_sym_attributed_declarator_repeat1] = STATE(1334),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3021),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2517),
    [sym_identifier] = ACTIONS(271),
    [aux_sym_preproc_include_token1] = ACTIONS(273),
    [aux_sym_preproc_def_token1] = ACTIONS(275),
    [aux_sym_preproc_if_token1] = ACTIONS(277),
    [aux_sym_preproc_if_token2] = ACTIONS(359),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(281),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(281),
    [aux_sym_preproc_else_token1] = ACTIONS(283),
    [aux_sym_preproc_elif_token1] = ACTIONS(285),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(287),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(287),
    [sym_preproc_directive] = ACTIONS(289),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(291),
    [anon_sym___extension__] = ACTIONS(293),
    [anon_sym_typedef] = ACTIONS(295),
    [anon_sym_in] = ACTIONS(37),
    [anon_sym_out] = ACTIONS(37),
    [anon_sym_inout] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(297),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(45),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym___cdecl] = ACTIONS(51),
    [anon_sym___clrcall] = ACTIONS(51),
    [anon_sym___stdcall] = ACTIONS(51),
    [anon_sym___fastcall] = ACTIONS(51),
    [anon_sym___thiscall] = ACTIONS(51),
    [anon_sym___vectorcall] = ACTIONS(51),
    [anon_sym_LBRACE] = ACTIONS(299),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(301),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(65),
    [anon_sym_enum] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(69),
    [anon_sym_struct] = ACTIONS(71),
    [anon_sym_union] = ACTIONS(73),
    [anon_sym_if] = ACTIONS(303),
    [anon_sym_switch] = ACTIONS(305),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_default] = ACTIONS(309),
    [anon_sym_while] = ACTIONS(311),
    [anon_sym_do] = ACTIONS(313),
    [anon_sym_for] = ACTIONS(315),
    [anon_sym_return] = ACTIONS(317),
    [anon_sym_break] = ACTIONS(319),
    [anon_sym_continue] = ACTIONS(321),
    [anon_sym_goto] = ACTIONS(323),
    [anon_sym___try] = ACTIONS(325),
    [anon_sym___leave] = ACTIONS(327),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [anon_sym_virtual] = ACTIONS(123),
    [anon_sym_alignas] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(329),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_try] = ACTIONS(331),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(333),
    [anon_sym_namespace] = ACTIONS(335),
    [anon_sym_using] = ACTIONS(337),
    [anon_sym_static_assert] = ACTIONS(339),
    [anon_sym_concept] = ACTIONS(341),
    [anon_sym_co_return] = ACTIONS(343),
    [anon_sym_co_yield] = ACTIONS(345),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
    [anon_sym_discard] = ACTIONS(347),
    [anon_sym_precise] = ACTIONS(161),
    [anon_sym_shared] = ACTIONS(161),
    [anon_sym_groupshared] = ACTIONS(161),
    [anon_sym_uniform] = ACTIONS(161),
    [anon_sym_row_major] = ACTIONS(161),
    [anon_sym_column_major] = ACTIONS(161),
    [anon_sym_globallycoherent] = ACTIONS(161),
    [anon_sym_centroid] = ACTIONS(161),
    [anon_sym_noperspective] = ACTIONS(161),
    [anon_sym_nointerpolation] = ACTIONS(161),
    [anon_sym_sample] = ACTIONS(161),
    [anon_sym_linear] = ACTIONS(161),
    [anon_sym_snorm] = ACTIONS(161),
    [anon_sym_unorm] = ACTIONS(161),
    [anon_sym_point] = ACTIONS(161),
    [anon_sym_line] = ACTIONS(161),
    [anon_sym_triangleadj] = ACTIONS(161),
    [anon_sym_lineadj] = ACTIONS(161),
    [anon_sym_triangle] = ACTIONS(161),
    [anon_sym_cbuffer] = ACTIONS(349),
  },
  [22] = {
    [sym_preproc_include] = STATE(23),
    [sym_preproc_def] = STATE(23),
    [sym_preproc_function_def] = STATE(23),
    [sym_preproc_call] = STATE(23),
    [sym_preproc_if] = STATE(23),
    [sym_preproc_ifdef] = STATE(23),
    [sym_preproc_else] = STATE(9767),
    [sym_preproc_elif] = STATE(9767),
    [sym_preproc_elifdef] = STATE(9767),
    [sym_function_definition] = STATE(23),
    [sym_declaration] = STATE(23),
    [sym_type_definition] = STATE(23),
    [sym__declaration_modifiers] = STATE(3159),
    [sym__declaration_specifiers] = STATE(5843),
    [sym_linkage_specification] = STATE(23),
    [sym_attribute_specifier] = STATE(3159),
    [sym_attribute_declaration] = STATE(1464),
    [sym_ms_declspec_modifier] = STATE(3159),
    [sym_ms_based_modifier] = STATE(10332),
    [sym_ms_call_modifier] = STATE(2586),
    [sym__declarator] = STATE(7978),
    [sym_parenthesized_declarator] = STATE(7680),
    [sym_attributed_declarator] = STATE(7680),
    [sym_pointer_declarator] = STATE(7680),
    [sym_function_declarator] = STATE(7580),
    [sym_array_declarator] = STATE(7680),
    [sym_compound_statement] = STATE(23),
    [sym_storage_class_specifier] = STATE(3159),
    [sym_type_qualifier] = STATE(3159),
    [sym__type_specifier] = STATE(3042),
    [sym_sized_type_specifier] = STATE(3085),
    [sym_enum_specifier] = STATE(3085),
    [sym_struct_specifier] = STATE(3085),
    [sym_union_specifier] = STATE(3085),
    [sym_attributed_statement] = STATE(23),
    [sym_labeled_statement] = STATE(23),
    [sym_expression_statement] = STATE(23),
    [sym_if_statement] = STATE(23),
    [sym_switch_statement] = STATE(23),
    [sym_case_statement] = STATE(23),
    [sym_while_statement] = STATE(23),
    [sym_do_statement] = STATE(23),
    [sym_for_statement] = STATE(23),
    [sym_return_statement] = STATE(23),
    [sym_break_statement] = STATE(23),
    [sym_continue_statement] = STATE(23),
    [sym_goto_statement] = STATE(23),
    [sym_seh_try_statement] = STATE(23),
    [sym_seh_leave_statement] = STATE(23),
    [sym__expression] = STATE(5650),
    [sym__expression_not_binary] = STATE(5024),
    [sym__string] = STATE(5024),
    [sym_comma_expression] = STATE(10263),
    [sym_conditional_expression] = STATE(5024),
    [sym_assignment_expression] = STATE(5024),
    [sym_pointer_expression] = STATE(4507),
    [sym_unary_expression] = STATE(5024),
    [sym_binary_expression] = STATE(5024),
    [sym_update_expression] = STATE(5024),
    [sym_cast_expression] = STATE(5024),
    [sym_sizeof_expression] = STATE(5024),
    [sym_alignof_expression] = STATE(5024),
    [sym_offsetof_expression] = STATE(5024),
    [sym_generic_expression] = STATE(5024),
    [sym_subscript_expression] = STATE(4507),
    [sym_call_expression] = STATE(4507),
    [sym_gnu_asm_expression] = STATE(5024),
    [sym_field_expression] = STATE(4507),
    [sym_compound_literal_expression] = STATE(5024),
    [sym_parenthesized_expression] = STATE(4507),
    [sym_char_literal] = STATE(5374),
    [sym_concatenated_string] = STATE(5377),
    [sym_string_literal] = STATE(4206),
    [sym_null] = STATE(5024),
    [sym__empty_declaration] = STATE(23),
    [sym_placeholder_type_specifier] = STATE(3085),
    [sym_decltype_auto] = STATE(3091),
    [sym_decltype] = STATE(3050),
    [sym_class_specifier] = STATE(3085),
    [sym__class_name] = STATE(9352),
    [sym_virtual] = STATE(3159),
    [sym_alignas_specifier] = STATE(3159),
    [sym_explicit_function_specifier] = STATE(2517),
    [sym_dependent_type] = STATE(3085),
    [sym_template_declaration] = STATE(23),
    [sym_template_instantiation] = STATE(23),
    [sym_operator_cast] = STATE(8044),
    [sym__constructor_specifiers] = STATE(2517),
    [sym_operator_cast_definition] = STATE(23),
    [sym_operator_cast_declaration] = STATE(23),
    [sym_constructor_or_destructor_definition] = STATE(23),
    [sym_reference_declarator] = STATE(7680),
    [sym_structured_binding_declarator] = STATE(7680),
    [sym_template_type] = STATE(3129),
    [sym_template_function] = STATE(5703),
    [sym_namespace_definition] = STATE(23),
    [sym_namespace_alias_definition] = STATE(23),
    [sym_using_declaration] = STATE(23),
    [sym_alias_declaration] = STATE(23),
    [sym_static_assert_declaration] = STATE(23),
    [sym_concept_definition] = STATE(23),
    [sym_for_range_loop] = STATE(23),
    [sym_co_return_statement] = STATE(23),
    [sym_co_yield_statement] = STATE(23),
    [sym_throw_statement] = STATE(23),
    [sym_try_statement] = STATE(23),
    [sym_raw_string_literal] = STATE(4217),
    [sym_co_await_expression] = STATE(5024),
    [sym_new_expression] = STATE(5024),
    [sym_delete_expression] = STATE(5024),
    [sym_requires_clause] = STATE(5024),
    [sym_requires_expression] = STATE(5024),
    [sym_lambda_expression] = STATE(5024),
    [sym_lambda_capture_specifier] = STATE(7184),
    [sym_fold_expression] = STATE(5024),
    [sym_parameter_pack_expansion] = STATE(5024),
    [sym_destructor_name] = STATE(7680),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6764),
    [sym_qualified_identifier] = STATE(4502),
    [sym_qualified_type_identifier] = STATE(3127),
    [sym_qualified_operator_cast_identifier] = STATE(8044),
    [sym_operator_name] = STATE(7680),
    [sym_user_defined_literal] = STATE(4507),
    [sym_discard_statement] = STATE(23),
    [sym_qualifiers] = STATE(3159),
    [sym_cbuffer_specifier] = STATE(23),
    [sym_hlsl_attribute] = STATE(1882),
    [aux_sym_preproc_if_repeat1] = STATE(23),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2673),
    [aux_sym_attributed_declarator_repeat1] = STATE(1334),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3021),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2517),
    [sym_identifier] = ACTIONS(271),
    [aux_sym_preproc_include_token1] = ACTIONS(273),
    [aux_sym_preproc_def_token1] = ACTIONS(275),
    [aux_sym_preproc_if_token1] = ACTIONS(277),
    [aux_sym_preproc_if_token2] = ACTIONS(361),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(281),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(281),
    [aux_sym_preproc_else_token1] = ACTIONS(283),
    [aux_sym_preproc_elif_token1] = ACTIONS(285),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(287),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(287),
    [sym_preproc_directive] = ACTIONS(289),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(291),
    [anon_sym___extension__] = ACTIONS(293),
    [anon_sym_typedef] = ACTIONS(295),
    [anon_sym_in] = ACTIONS(37),
    [anon_sym_out] = ACTIONS(37),
    [anon_sym_inout] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(297),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(45),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym___cdecl] = ACTIONS(51),
    [anon_sym___clrcall] = ACTIONS(51),
    [anon_sym___stdcall] = ACTIONS(51),
    [anon_sym___fastcall] = ACTIONS(51),
    [anon_sym___thiscall] = ACTIONS(51),
    [anon_sym___vectorcall] = ACTIONS(51),
    [anon_sym_LBRACE] = ACTIONS(299),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(301),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(65),
    [anon_sym_enum] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(69),
    [anon_sym_struct] = ACTIONS(71),
    [anon_sym_union] = ACTIONS(73),
    [anon_sym_if] = ACTIONS(303),
    [anon_sym_switch] = ACTIONS(305),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_default] = ACTIONS(309),
    [anon_sym_while] = ACTIONS(311),
    [anon_sym_do] = ACTIONS(313),
    [anon_sym_for] = ACTIONS(315),
    [anon_sym_return] = ACTIONS(317),
    [anon_sym_break] = ACTIONS(319),
    [anon_sym_continue] = ACTIONS(321),
    [anon_sym_goto] = ACTIONS(323),
    [anon_sym___try] = ACTIONS(325),
    [anon_sym___leave] = ACTIONS(327),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [anon_sym_virtual] = ACTIONS(123),
    [anon_sym_alignas] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(329),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_try] = ACTIONS(331),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(333),
    [anon_sym_namespace] = ACTIONS(335),
    [anon_sym_using] = ACTIONS(337),
    [anon_sym_static_assert] = ACTIONS(339),
    [anon_sym_concept] = ACTIONS(341),
    [anon_sym_co_return] = ACTIONS(343),
    [anon_sym_co_yield] = ACTIONS(345),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
    [anon_sym_discard] = ACTIONS(347),
    [anon_sym_precise] = ACTIONS(161),
    [anon_sym_shared] = ACTIONS(161),
    [anon_sym_groupshared] = ACTIONS(161),
    [anon_sym_uniform] = ACTIONS(161),
    [anon_sym_row_major] = ACTIONS(161),
    [anon_sym_column_major] = ACTIONS(161),
    [anon_sym_globallycoherent] = ACTIONS(161),
    [anon_sym_centroid] = ACTIONS(161),
    [anon_sym_noperspective] = ACTIONS(161),
    [anon_sym_nointerpolation] = ACTIONS(161),
    [anon_sym_sample] = ACTIONS(161),
    [anon_sym_linear] = ACTIONS(161),
    [anon_sym_snorm] = ACTIONS(161),
    [anon_sym_unorm] = ACTIONS(161),
    [anon_sym_point] = ACTIONS(161),
    [anon_sym_line] = ACTIONS(161),
    [anon_sym_triangleadj] = ACTIONS(161),
    [anon_sym_lineadj] = ACTIONS(161),
    [anon_sym_triangle] = ACTIONS(161),
    [anon_sym_cbuffer] = ACTIONS(349),
  },
  [23] = {
    [sym_preproc_include] = STATE(28),
    [sym_preproc_def] = STATE(28),
    [sym_preproc_function_def] = STATE(28),
    [sym_preproc_call] = STATE(28),
    [sym_preproc_if] = STATE(28),
    [sym_preproc_ifdef] = STATE(28),
    [sym_preproc_else] = STATE(9960),
    [sym_preproc_elif] = STATE(9960),
    [sym_preproc_elifdef] = STATE(9960),
    [sym_function_definition] = STATE(28),
    [sym_declaration] = STATE(28),
    [sym_type_definition] = STATE(28),
    [sym__declaration_modifiers] = STATE(3159),
    [sym__declaration_specifiers] = STATE(5843),
    [sym_linkage_specification] = STATE(28),
    [sym_attribute_specifier] = STATE(3159),
    [sym_attribute_declaration] = STATE(1464),
    [sym_ms_declspec_modifier] = STATE(3159),
    [sym_ms_based_modifier] = STATE(10332),
    [sym_ms_call_modifier] = STATE(2586),
    [sym__declarator] = STATE(7978),
    [sym_parenthesized_declarator] = STATE(7680),
    [sym_attributed_declarator] = STATE(7680),
    [sym_pointer_declarator] = STATE(7680),
    [sym_function_declarator] = STATE(7580),
    [sym_array_declarator] = STATE(7680),
    [sym_compound_statement] = STATE(28),
    [sym_storage_class_specifier] = STATE(3159),
    [sym_type_qualifier] = STATE(3159),
    [sym__type_specifier] = STATE(3042),
    [sym_sized_type_specifier] = STATE(3085),
    [sym_enum_specifier] = STATE(3085),
    [sym_struct_specifier] = STATE(3085),
    [sym_union_specifier] = STATE(3085),
    [sym_attributed_statement] = STATE(28),
    [sym_labeled_statement] = STATE(28),
    [sym_expression_statement] = STATE(28),
    [sym_if_statement] = STATE(28),
    [sym_switch_statement] = STATE(28),
    [sym_case_statement] = STATE(28),
    [sym_while_statement] = STATE(28),
    [sym_do_statement] = STATE(28),
    [sym_for_statement] = STATE(28),
    [sym_return_statement] = STATE(28),
    [sym_break_statement] = STATE(28),
    [sym_continue_statement] = STATE(28),
    [sym_goto_statement] = STATE(28),
    [sym_seh_try_statement] = STATE(28),
    [sym_seh_leave_statement] = STATE(28),
    [sym__expression] = STATE(5650),
    [sym__expression_not_binary] = STATE(5024),
    [sym__string] = STATE(5024),
    [sym_comma_expression] = STATE(10263),
    [sym_conditional_expression] = STATE(5024),
    [sym_assignment_expression] = STATE(5024),
    [sym_pointer_expression] = STATE(4507),
    [sym_unary_expression] = STATE(5024),
    [sym_binary_expression] = STATE(5024),
    [sym_update_expression] = STATE(5024),
    [sym_cast_expression] = STATE(5024),
    [sym_sizeof_expression] = STATE(5024),
    [sym_alignof_expression] = STATE(5024),
    [sym_offsetof_expression] = STATE(5024),
    [sym_generic_expression] = STATE(5024),
    [sym_subscript_expression] = STATE(4507),
    [sym_call_expression] = STATE(4507),
    [sym_gnu_asm_expression] = STATE(5024),
    [sym_field_expression] = STATE(4507),
    [sym_compound_literal_expression] = STATE(5024),
    [sym_parenthesized_expression] = STATE(4507),
    [sym_char_literal] = STATE(5374),
    [sym_concatenated_string] = STATE(5377),
    [sym_string_literal] = STATE(4206),
    [sym_null] = STATE(5024),
    [sym__empty_declaration] = STATE(28),
    [sym_placeholder_type_specifier] = STATE(3085),
    [sym_decltype_auto] = STATE(3091),
    [sym_decltype] = STATE(3050),
    [sym_class_specifier] = STATE(3085),
    [sym__class_name] = STATE(9352),
    [sym_virtual] = STATE(3159),
    [sym_alignas_specifier] = STATE(3159),
    [sym_explicit_function_specifier] = STATE(2517),
    [sym_dependent_type] = STATE(3085),
    [sym_template_declaration] = STATE(28),
    [sym_template_instantiation] = STATE(28),
    [sym_operator_cast] = STATE(8044),
    [sym__constructor_specifiers] = STATE(2517),
    [sym_operator_cast_definition] = STATE(28),
    [sym_operator_cast_declaration] = STATE(28),
    [sym_constructor_or_destructor_definition] = STATE(28),
    [sym_reference_declarator] = STATE(7680),
    [sym_structured_binding_declarator] = STATE(7680),
    [sym_template_type] = STATE(3129),
    [sym_template_function] = STATE(5703),
    [sym_namespace_definition] = STATE(28),
    [sym_namespace_alias_definition] = STATE(28),
    [sym_using_declaration] = STATE(28),
    [sym_alias_declaration] = STATE(28),
    [sym_static_assert_declaration] = STATE(28),
    [sym_concept_definition] = STATE(28),
    [sym_for_range_loop] = STATE(28),
    [sym_co_return_statement] = STATE(28),
    [sym_co_yield_statement] = STATE(28),
    [sym_throw_statement] = STATE(28),
    [sym_try_statement] = STATE(28),
    [sym_raw_string_literal] = STATE(4217),
    [sym_co_await_expression] = STATE(5024),
    [sym_new_expression] = STATE(5024),
    [sym_delete_expression] = STATE(5024),
    [sym_requires_clause] = STATE(5024),
    [sym_requires_expression] = STATE(5024),
    [sym_lambda_expression] = STATE(5024),
    [sym_lambda_capture_specifier] = STATE(7184),
    [sym_fold_expression] = STATE(5024),
    [sym_parameter_pack_expansion] = STATE(5024),
    [sym_destructor_name] = STATE(7680),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6764),
    [sym_qualified_identifier] = STATE(4502),
    [sym_qualified_type_identifier] = STATE(3127),
    [sym_qualified_operator_cast_identifier] = STATE(8044),
    [sym_operator_name] = STATE(7680),
    [sym_user_defined_literal] = STATE(4507),
    [sym_discard_statement] = STATE(28),
    [sym_qualifiers] = STATE(3159),
    [sym_cbuffer_specifier] = STATE(28),
    [sym_hlsl_attribute] = STATE(1882),
    [aux_sym_preproc_if_repeat1] = STATE(28),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2673),
    [aux_sym_attributed_declarator_repeat1] = STATE(1334),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3021),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2517),
    [sym_identifier] = ACTIONS(271),
    [aux_sym_preproc_include_token1] = ACTIONS(273),
    [aux_sym_preproc_def_token1] = ACTIONS(275),
    [aux_sym_preproc_if_token1] = ACTIONS(277),
    [aux_sym_preproc_if_token2] = ACTIONS(363),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(281),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(281),
    [aux_sym_preproc_else_token1] = ACTIONS(283),
    [aux_sym_preproc_elif_token1] = ACTIONS(285),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(287),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(287),
    [sym_preproc_directive] = ACTIONS(289),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(291),
    [anon_sym___extension__] = ACTIONS(293),
    [anon_sym_typedef] = ACTIONS(295),
    [anon_sym_in] = ACTIONS(37),
    [anon_sym_out] = ACTIONS(37),
    [anon_sym_inout] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(297),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(45),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym___cdecl] = ACTIONS(51),
    [anon_sym___clrcall] = ACTIONS(51),
    [anon_sym___stdcall] = ACTIONS(51),
    [anon_sym___fastcall] = ACTIONS(51),
    [anon_sym___thiscall] = ACTIONS(51),
    [anon_sym___vectorcall] = ACTIONS(51),
    [anon_sym_LBRACE] = ACTIONS(299),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(301),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(65),
    [anon_sym_enum] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(69),
    [anon_sym_struct] = ACTIONS(71),
    [anon_sym_union] = ACTIONS(73),
    [anon_sym_if] = ACTIONS(303),
    [anon_sym_switch] = ACTIONS(305),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_default] = ACTIONS(309),
    [anon_sym_while] = ACTIONS(311),
    [anon_sym_do] = ACTIONS(313),
    [anon_sym_for] = ACTIONS(315),
    [anon_sym_return] = ACTIONS(317),
    [anon_sym_break] = ACTIONS(319),
    [anon_sym_continue] = ACTIONS(321),
    [anon_sym_goto] = ACTIONS(323),
    [anon_sym___try] = ACTIONS(325),
    [anon_sym___leave] = ACTIONS(327),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [anon_sym_virtual] = ACTIONS(123),
    [anon_sym_alignas] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(329),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_try] = ACTIONS(331),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(333),
    [anon_sym_namespace] = ACTIONS(335),
    [anon_sym_using] = ACTIONS(337),
    [anon_sym_static_assert] = ACTIONS(339),
    [anon_sym_concept] = ACTIONS(341),
    [anon_sym_co_return] = ACTIONS(343),
    [anon_sym_co_yield] = ACTIONS(345),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
    [anon_sym_discard] = ACTIONS(347),
    [anon_sym_precise] = ACTIONS(161),
    [anon_sym_shared] = ACTIONS(161),
    [anon_sym_groupshared] = ACTIONS(161),
    [anon_sym_uniform] = ACTIONS(161),
    [anon_sym_row_major] = ACTIONS(161),
    [anon_sym_column_major] = ACTIONS(161),
    [anon_sym_globallycoherent] = ACTIONS(161),
    [anon_sym_centroid] = ACTIONS(161),
    [anon_sym_noperspective] = ACTIONS(161),
    [anon_sym_nointerpolation] = ACTIONS(161),
    [anon_sym_sample] = ACTIONS(161),
    [anon_sym_linear] = ACTIONS(161),
    [anon_sym_snorm] = ACTIONS(161),
    [anon_sym_unorm] = ACTIONS(161),
    [anon_sym_point] = ACTIONS(161),
    [anon_sym_line] = ACTIONS(161),
    [anon_sym_triangleadj] = ACTIONS(161),
    [anon_sym_lineadj] = ACTIONS(161),
    [anon_sym_triangle] = ACTIONS(161),
    [anon_sym_cbuffer] = ACTIONS(349),
  },
  [24] = {
    [sym_preproc_include] = STATE(19),
    [sym_preproc_def] = STATE(19),
    [sym_preproc_function_def] = STATE(19),
    [sym_preproc_call] = STATE(19),
    [sym_preproc_if] = STATE(19),
    [sym_preproc_ifdef] = STATE(19),
    [sym_preproc_else] = STATE(9561),
    [sym_preproc_elif] = STATE(9561),
    [sym_preproc_elifdef] = STATE(9561),
    [sym_function_definition] = STATE(19),
    [sym_declaration] = STATE(19),
    [sym_type_definition] = STATE(19),
    [sym__declaration_modifiers] = STATE(3159),
    [sym__declaration_specifiers] = STATE(5843),
    [sym_linkage_specification] = STATE(19),
    [sym_attribute_specifier] = STATE(3159),
    [sym_attribute_declaration] = STATE(1464),
    [sym_ms_declspec_modifier] = STATE(3159),
    [sym_ms_based_modifier] = STATE(10332),
    [sym_ms_call_modifier] = STATE(2586),
    [sym__declarator] = STATE(7978),
    [sym_parenthesized_declarator] = STATE(7680),
    [sym_attributed_declarator] = STATE(7680),
    [sym_pointer_declarator] = STATE(7680),
    [sym_function_declarator] = STATE(7580),
    [sym_array_declarator] = STATE(7680),
    [sym_compound_statement] = STATE(19),
    [sym_storage_class_specifier] = STATE(3159),
    [sym_type_qualifier] = STATE(3159),
    [sym__type_specifier] = STATE(3042),
    [sym_sized_type_specifier] = STATE(3085),
    [sym_enum_specifier] = STATE(3085),
    [sym_struct_specifier] = STATE(3085),
    [sym_union_specifier] = STATE(3085),
    [sym_attributed_statement] = STATE(19),
    [sym_labeled_statement] = STATE(19),
    [sym_expression_statement] = STATE(19),
    [sym_if_statement] = STATE(19),
    [sym_switch_statement] = STATE(19),
    [sym_case_statement] = STATE(19),
    [sym_while_statement] = STATE(19),
    [sym_do_statement] = STATE(19),
    [sym_for_statement] = STATE(19),
    [sym_return_statement] = STATE(19),
    [sym_break_statement] = STATE(19),
    [sym_continue_statement] = STATE(19),
    [sym_goto_statement] = STATE(19),
    [sym_seh_try_statement] = STATE(19),
    [sym_seh_leave_statement] = STATE(19),
    [sym__expression] = STATE(5650),
    [sym__expression_not_binary] = STATE(5024),
    [sym__string] = STATE(5024),
    [sym_comma_expression] = STATE(10263),
    [sym_conditional_expression] = STATE(5024),
    [sym_assignment_expression] = STATE(5024),
    [sym_pointer_expression] = STATE(4507),
    [sym_unary_expression] = STATE(5024),
    [sym_binary_expression] = STATE(5024),
    [sym_update_expression] = STATE(5024),
    [sym_cast_expression] = STATE(5024),
    [sym_sizeof_expression] = STATE(5024),
    [sym_alignof_expression] = STATE(5024),
    [sym_offsetof_expression] = STATE(5024),
    [sym_generic_expression] = STATE(5024),
    [sym_subscript_expression] = STATE(4507),
    [sym_call_expression] = STATE(4507),
    [sym_gnu_asm_expression] = STATE(5024),
    [sym_field_expression] = STATE(4507),
    [sym_compound_literal_expression] = STATE(5024),
    [sym_parenthesized_expression] = STATE(4507),
    [sym_char_literal] = STATE(5374),
    [sym_concatenated_string] = STATE(5377),
    [sym_string_literal] = STATE(4206),
    [sym_null] = STATE(5024),
    [sym__empty_declaration] = STATE(19),
    [sym_placeholder_type_specifier] = STATE(3085),
    [sym_decltype_auto] = STATE(3091),
    [sym_decltype] = STATE(3050),
    [sym_class_specifier] = STATE(3085),
    [sym__class_name] = STATE(9352),
    [sym_virtual] = STATE(3159),
    [sym_alignas_specifier] = STATE(3159),
    [sym_explicit_function_specifier] = STATE(2517),
    [sym_dependent_type] = STATE(3085),
    [sym_template_declaration] = STATE(19),
    [sym_template_instantiation] = STATE(19),
    [sym_operator_cast] = STATE(8044),
    [sym__constructor_specifiers] = STATE(2517),
    [sym_operator_cast_definition] = STATE(19),
    [sym_operator_cast_declaration] = STATE(19),
    [sym_constructor_or_destructor_definition] = STATE(19),
    [sym_reference_declarator] = STATE(7680),
    [sym_structured_binding_declarator] = STATE(7680),
    [sym_template_type] = STATE(3129),
    [sym_template_function] = STATE(5703),
    [sym_namespace_definition] = STATE(19),
    [sym_namespace_alias_definition] = STATE(19),
    [sym_using_declaration] = STATE(19),
    [sym_alias_declaration] = STATE(19),
    [sym_static_assert_declaration] = STATE(19),
    [sym_concept_definition] = STATE(19),
    [sym_for_range_loop] = STATE(19),
    [sym_co_return_statement] = STATE(19),
    [sym_co_yield_statement] = STATE(19),
    [sym_throw_statement] = STATE(19),
    [sym_try_statement] = STATE(19),
    [sym_raw_string_literal] = STATE(4217),
    [sym_co_await_expression] = STATE(5024),
    [sym_new_expression] = STATE(5024),
    [sym_delete_expression] = STATE(5024),
    [sym_requires_clause] = STATE(5024),
    [sym_requires_expression] = STATE(5024),
    [sym_lambda_expression] = STATE(5024),
    [sym_lambda_capture_specifier] = STATE(7184),
    [sym_fold_expression] = STATE(5024),
    [sym_parameter_pack_expansion] = STATE(5024),
    [sym_destructor_name] = STATE(7680),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6764),
    [sym_qualified_identifier] = STATE(4502),
    [sym_qualified_type_identifier] = STATE(3127),
    [sym_qualified_operator_cast_identifier] = STATE(8044),
    [sym_operator_name] = STATE(7680),
    [sym_user_defined_literal] = STATE(4507),
    [sym_discard_statement] = STATE(19),
    [sym_qualifiers] = STATE(3159),
    [sym_cbuffer_specifier] = STATE(19),
    [sym_hlsl_attribute] = STATE(1882),
    [aux_sym_preproc_if_repeat1] = STATE(19),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2673),
    [aux_sym_attributed_declarator_repeat1] = STATE(1334),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3021),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2517),
    [sym_identifier] = ACTIONS(271),
    [aux_sym_preproc_include_token1] = ACTIONS(273),
    [aux_sym_preproc_def_token1] = ACTIONS(275),
    [aux_sym_preproc_if_token1] = ACTIONS(277),
    [aux_sym_preproc_if_token2] = ACTIONS(365),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(281),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(281),
    [aux_sym_preproc_else_token1] = ACTIONS(283),
    [aux_sym_preproc_elif_token1] = ACTIONS(285),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(287),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(287),
    [sym_preproc_directive] = ACTIONS(289),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(291),
    [anon_sym___extension__] = ACTIONS(293),
    [anon_sym_typedef] = ACTIONS(295),
    [anon_sym_in] = ACTIONS(37),
    [anon_sym_out] = ACTIONS(37),
    [anon_sym_inout] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(297),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(45),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym___cdecl] = ACTIONS(51),
    [anon_sym___clrcall] = ACTIONS(51),
    [anon_sym___stdcall] = ACTIONS(51),
    [anon_sym___fastcall] = ACTIONS(51),
    [anon_sym___thiscall] = ACTIONS(51),
    [anon_sym___vectorcall] = ACTIONS(51),
    [anon_sym_LBRACE] = ACTIONS(299),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(301),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(65),
    [anon_sym_enum] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(69),
    [anon_sym_struct] = ACTIONS(71),
    [anon_sym_union] = ACTIONS(73),
    [anon_sym_if] = ACTIONS(303),
    [anon_sym_switch] = ACTIONS(305),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_default] = ACTIONS(309),
    [anon_sym_while] = ACTIONS(311),
    [anon_sym_do] = ACTIONS(313),
    [anon_sym_for] = ACTIONS(315),
    [anon_sym_return] = ACTIONS(317),
    [anon_sym_break] = ACTIONS(319),
    [anon_sym_continue] = ACTIONS(321),
    [anon_sym_goto] = ACTIONS(323),
    [anon_sym___try] = ACTIONS(325),
    [anon_sym___leave] = ACTIONS(327),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [anon_sym_virtual] = ACTIONS(123),
    [anon_sym_alignas] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(329),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_try] = ACTIONS(331),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(333),
    [anon_sym_namespace] = ACTIONS(335),
    [anon_sym_using] = ACTIONS(337),
    [anon_sym_static_assert] = ACTIONS(339),
    [anon_sym_concept] = ACTIONS(341),
    [anon_sym_co_return] = ACTIONS(343),
    [anon_sym_co_yield] = ACTIONS(345),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
    [anon_sym_discard] = ACTIONS(347),
    [anon_sym_precise] = ACTIONS(161),
    [anon_sym_shared] = ACTIONS(161),
    [anon_sym_groupshared] = ACTIONS(161),
    [anon_sym_uniform] = ACTIONS(161),
    [anon_sym_row_major] = ACTIONS(161),
    [anon_sym_column_major] = ACTIONS(161),
    [anon_sym_globallycoherent] = ACTIONS(161),
    [anon_sym_centroid] = ACTIONS(161),
    [anon_sym_noperspective] = ACTIONS(161),
    [anon_sym_nointerpolation] = ACTIONS(161),
    [anon_sym_sample] = ACTIONS(161),
    [anon_sym_linear] = ACTIONS(161),
    [anon_sym_snorm] = ACTIONS(161),
    [anon_sym_unorm] = ACTIONS(161),
    [anon_sym_point] = ACTIONS(161),
    [anon_sym_line] = ACTIONS(161),
    [anon_sym_triangleadj] = ACTIONS(161),
    [anon_sym_lineadj] = ACTIONS(161),
    [anon_sym_triangle] = ACTIONS(161),
    [anon_sym_cbuffer] = ACTIONS(349),
  },
  [25] = {
    [sym_preproc_include] = STATE(21),
    [sym_preproc_def] = STATE(21),
    [sym_preproc_function_def] = STATE(21),
    [sym_preproc_call] = STATE(21),
    [sym_preproc_if] = STATE(21),
    [sym_preproc_ifdef] = STATE(21),
    [sym_preproc_else] = STATE(10027),
    [sym_preproc_elif] = STATE(10027),
    [sym_preproc_elifdef] = STATE(10027),
    [sym_function_definition] = STATE(21),
    [sym_declaration] = STATE(21),
    [sym_type_definition] = STATE(21),
    [sym__declaration_modifiers] = STATE(3159),
    [sym__declaration_specifiers] = STATE(5843),
    [sym_linkage_specification] = STATE(21),
    [sym_attribute_specifier] = STATE(3159),
    [sym_attribute_declaration] = STATE(1464),
    [sym_ms_declspec_modifier] = STATE(3159),
    [sym_ms_based_modifier] = STATE(10332),
    [sym_ms_call_modifier] = STATE(2586),
    [sym__declarator] = STATE(7978),
    [sym_parenthesized_declarator] = STATE(7680),
    [sym_attributed_declarator] = STATE(7680),
    [sym_pointer_declarator] = STATE(7680),
    [sym_function_declarator] = STATE(7580),
    [sym_array_declarator] = STATE(7680),
    [sym_compound_statement] = STATE(21),
    [sym_storage_class_specifier] = STATE(3159),
    [sym_type_qualifier] = STATE(3159),
    [sym__type_specifier] = STATE(3042),
    [sym_sized_type_specifier] = STATE(3085),
    [sym_enum_specifier] = STATE(3085),
    [sym_struct_specifier] = STATE(3085),
    [sym_union_specifier] = STATE(3085),
    [sym_attributed_statement] = STATE(21),
    [sym_labeled_statement] = STATE(21),
    [sym_expression_statement] = STATE(21),
    [sym_if_statement] = STATE(21),
    [sym_switch_statement] = STATE(21),
    [sym_case_statement] = STATE(21),
    [sym_while_statement] = STATE(21),
    [sym_do_statement] = STATE(21),
    [sym_for_statement] = STATE(21),
    [sym_return_statement] = STATE(21),
    [sym_break_statement] = STATE(21),
    [sym_continue_statement] = STATE(21),
    [sym_goto_statement] = STATE(21),
    [sym_seh_try_statement] = STATE(21),
    [sym_seh_leave_statement] = STATE(21),
    [sym__expression] = STATE(5650),
    [sym__expression_not_binary] = STATE(5024),
    [sym__string] = STATE(5024),
    [sym_comma_expression] = STATE(10263),
    [sym_conditional_expression] = STATE(5024),
    [sym_assignment_expression] = STATE(5024),
    [sym_pointer_expression] = STATE(4507),
    [sym_unary_expression] = STATE(5024),
    [sym_binary_expression] = STATE(5024),
    [sym_update_expression] = STATE(5024),
    [sym_cast_expression] = STATE(5024),
    [sym_sizeof_expression] = STATE(5024),
    [sym_alignof_expression] = STATE(5024),
    [sym_offsetof_expression] = STATE(5024),
    [sym_generic_expression] = STATE(5024),
    [sym_subscript_expression] = STATE(4507),
    [sym_call_expression] = STATE(4507),
    [sym_gnu_asm_expression] = STATE(5024),
    [sym_field_expression] = STATE(4507),
    [sym_compound_literal_expression] = STATE(5024),
    [sym_parenthesized_expression] = STATE(4507),
    [sym_char_literal] = STATE(5374),
    [sym_concatenated_string] = STATE(5377),
    [sym_string_literal] = STATE(4206),
    [sym_null] = STATE(5024),
    [sym__empty_declaration] = STATE(21),
    [sym_placeholder_type_specifier] = STATE(3085),
    [sym_decltype_auto] = STATE(3091),
    [sym_decltype] = STATE(3050),
    [sym_class_specifier] = STATE(3085),
    [sym__class_name] = STATE(9352),
    [sym_virtual] = STATE(3159),
    [sym_alignas_specifier] = STATE(3159),
    [sym_explicit_function_specifier] = STATE(2517),
    [sym_dependent_type] = STATE(3085),
    [sym_template_declaration] = STATE(21),
    [sym_template_instantiation] = STATE(21),
    [sym_operator_cast] = STATE(8044),
    [sym__constructor_specifiers] = STATE(2517),
    [sym_operator_cast_definition] = STATE(21),
    [sym_operator_cast_declaration] = STATE(21),
    [sym_constructor_or_destructor_definition] = STATE(21),
    [sym_reference_declarator] = STATE(7680),
    [sym_structured_binding_declarator] = STATE(7680),
    [sym_template_type] = STATE(3129),
    [sym_template_function] = STATE(5703),
    [sym_namespace_definition] = STATE(21),
    [sym_namespace_alias_definition] = STATE(21),
    [sym_using_declaration] = STATE(21),
    [sym_alias_declaration] = STATE(21),
    [sym_static_assert_declaration] = STATE(21),
    [sym_concept_definition] = STATE(21),
    [sym_for_range_loop] = STATE(21),
    [sym_co_return_statement] = STATE(21),
    [sym_co_yield_statement] = STATE(21),
    [sym_throw_statement] = STATE(21),
    [sym_try_statement] = STATE(21),
    [sym_raw_string_literal] = STATE(4217),
    [sym_co_await_expression] = STATE(5024),
    [sym_new_expression] = STATE(5024),
    [sym_delete_expression] = STATE(5024),
    [sym_requires_clause] = STATE(5024),
    [sym_requires_expression] = STATE(5024),
    [sym_lambda_expression] = STATE(5024),
    [sym_lambda_capture_specifier] = STATE(7184),
    [sym_fold_expression] = STATE(5024),
    [sym_parameter_pack_expansion] = STATE(5024),
    [sym_destructor_name] = STATE(7680),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6764),
    [sym_qualified_identifier] = STATE(4502),
    [sym_qualified_type_identifier] = STATE(3127),
    [sym_qualified_operator_cast_identifier] = STATE(8044),
    [sym_operator_name] = STATE(7680),
    [sym_user_defined_literal] = STATE(4507),
    [sym_discard_statement] = STATE(21),
    [sym_qualifiers] = STATE(3159),
    [sym_cbuffer_specifier] = STATE(21),
    [sym_hlsl_attribute] = STATE(1882),
    [aux_sym_preproc_if_repeat1] = STATE(21),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2673),
    [aux_sym_attributed_declarator_repeat1] = STATE(1334),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3021),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2517),
    [sym_identifier] = ACTIONS(271),
    [aux_sym_preproc_include_token1] = ACTIONS(273),
    [aux_sym_preproc_def_token1] = ACTIONS(275),
    [aux_sym_preproc_if_token1] = ACTIONS(277),
    [aux_sym_preproc_if_token2] = ACTIONS(367),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(281),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(281),
    [aux_sym_preproc_else_token1] = ACTIONS(283),
    [aux_sym_preproc_elif_token1] = ACTIONS(285),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(287),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(287),
    [sym_preproc_directive] = ACTIONS(289),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(291),
    [anon_sym___extension__] = ACTIONS(293),
    [anon_sym_typedef] = ACTIONS(295),
    [anon_sym_in] = ACTIONS(37),
    [anon_sym_out] = ACTIONS(37),
    [anon_sym_inout] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(297),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(45),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym___cdecl] = ACTIONS(51),
    [anon_sym___clrcall] = ACTIONS(51),
    [anon_sym___stdcall] = ACTIONS(51),
    [anon_sym___fastcall] = ACTIONS(51),
    [anon_sym___thiscall] = ACTIONS(51),
    [anon_sym___vectorcall] = ACTIONS(51),
    [anon_sym_LBRACE] = ACTIONS(299),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(301),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(65),
    [anon_sym_enum] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(69),
    [anon_sym_struct] = ACTIONS(71),
    [anon_sym_union] = ACTIONS(73),
    [anon_sym_if] = ACTIONS(303),
    [anon_sym_switch] = ACTIONS(305),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_default] = ACTIONS(309),
    [anon_sym_while] = ACTIONS(311),
    [anon_sym_do] = ACTIONS(313),
    [anon_sym_for] = ACTIONS(315),
    [anon_sym_return] = ACTIONS(317),
    [anon_sym_break] = ACTIONS(319),
    [anon_sym_continue] = ACTIONS(321),
    [anon_sym_goto] = ACTIONS(323),
    [anon_sym___try] = ACTIONS(325),
    [anon_sym___leave] = ACTIONS(327),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [anon_sym_virtual] = ACTIONS(123),
    [anon_sym_alignas] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(329),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_try] = ACTIONS(331),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(333),
    [anon_sym_namespace] = ACTIONS(335),
    [anon_sym_using] = ACTIONS(337),
    [anon_sym_static_assert] = ACTIONS(339),
    [anon_sym_concept] = ACTIONS(341),
    [anon_sym_co_return] = ACTIONS(343),
    [anon_sym_co_yield] = ACTIONS(345),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
    [anon_sym_discard] = ACTIONS(347),
    [anon_sym_precise] = ACTIONS(161),
    [anon_sym_shared] = ACTIONS(161),
    [anon_sym_groupshared] = ACTIONS(161),
    [anon_sym_uniform] = ACTIONS(161),
    [anon_sym_row_major] = ACTIONS(161),
    [anon_sym_column_major] = ACTIONS(161),
    [anon_sym_globallycoherent] = ACTIONS(161),
    [anon_sym_centroid] = ACTIONS(161),
    [anon_sym_noperspective] = ACTIONS(161),
    [anon_sym_nointerpolation] = ACTIONS(161),
    [anon_sym_sample] = ACTIONS(161),
    [anon_sym_linear] = ACTIONS(161),
    [anon_sym_snorm] = ACTIONS(161),
    [anon_sym_unorm] = ACTIONS(161),
    [anon_sym_point] = ACTIONS(161),
    [anon_sym_line] = ACTIONS(161),
    [anon_sym_triangleadj] = ACTIONS(161),
    [anon_sym_lineadj] = ACTIONS(161),
    [anon_sym_triangle] = ACTIONS(161),
    [anon_sym_cbuffer] = ACTIONS(349),
  },
  [26] = {
    [sym_preproc_include] = STATE(36),
    [sym_preproc_def] = STATE(36),
    [sym_preproc_function_def] = STATE(36),
    [sym_preproc_call] = STATE(36),
    [sym_preproc_if] = STATE(36),
    [sym_preproc_ifdef] = STATE(36),
    [sym_preproc_else] = STATE(9958),
    [sym_preproc_elif] = STATE(9958),
    [sym_function_definition] = STATE(36),
    [sym_declaration] = STATE(36),
    [sym_type_definition] = STATE(36),
    [sym__declaration_modifiers] = STATE(3159),
    [sym__declaration_specifiers] = STATE(5942),
    [sym_linkage_specification] = STATE(36),
    [sym_attribute_specifier] = STATE(3159),
    [sym_attribute_declaration] = STATE(1464),
    [sym_ms_declspec_modifier] = STATE(3159),
    [sym_ms_based_modifier] = STATE(10332),
    [sym_ms_call_modifier] = STATE(2637),
    [sym__declarator] = STATE(7978),
    [sym_parenthesized_declarator] = STATE(7680),
    [sym_attributed_declarator] = STATE(7680),
    [sym_pointer_declarator] = STATE(7680),
    [sym_function_declarator] = STATE(7563),
    [sym_array_declarator] = STATE(7680),
    [sym_compound_statement] = STATE(36),
    [sym_storage_class_specifier] = STATE(3159),
    [sym_type_qualifier] = STATE(3159),
    [sym__type_specifier] = STATE(3049),
    [sym_sized_type_specifier] = STATE(3085),
    [sym_enum_specifier] = STATE(3085),
    [sym_struct_specifier] = STATE(3085),
    [sym_union_specifier] = STATE(3085),
    [sym_attributed_statement] = STATE(36),
    [sym_labeled_statement] = STATE(36),
    [sym_expression_statement] = STATE(36),
    [sym_if_statement] = STATE(36),
    [sym_switch_statement] = STATE(36),
    [sym_case_statement] = STATE(36),
    [sym_while_statement] = STATE(36),
    [sym_do_statement] = STATE(36),
    [sym_for_statement] = STATE(36),
    [sym_return_statement] = STATE(36),
    [sym_break_statement] = STATE(36),
    [sym_continue_statement] = STATE(36),
    [sym_goto_statement] = STATE(36),
    [sym_seh_try_statement] = STATE(36),
    [sym_seh_leave_statement] = STATE(36),
    [sym__expression] = STATE(5802),
    [sym__expression_not_binary] = STATE(5024),
    [sym__string] = STATE(5024),
    [sym_comma_expression] = STATE(9525),
    [sym_conditional_expression] = STATE(5024),
    [sym_assignment_expression] = STATE(5024),
    [sym_pointer_expression] = STATE(4507),
    [sym_unary_expression] = STATE(5024),
    [sym_binary_expression] = STATE(5024),
    [sym_update_expression] = STATE(5024),
    [sym_cast_expression] = STATE(5024),
    [sym_sizeof_expression] = STATE(5024),
    [sym_alignof_expression] = STATE(5024),
    [sym_offsetof_expression] = STATE(5024),
    [sym_generic_expression] = STATE(5024),
    [sym_subscript_expression] = STATE(4507),
    [sym_call_expression] = STATE(4507),
    [sym_gnu_asm_expression] = STATE(5024),
    [sym_field_expression] = STATE(4507),
    [sym_compound_literal_expression] = STATE(5024),
    [sym_parenthesized_expression] = STATE(4507),
    [sym_char_literal] = STATE(5374),
    [sym_concatenated_string] = STATE(5377),
    [sym_string_literal] = STATE(4206),
    [sym_null] = STATE(5024),
    [sym__empty_declaration] = STATE(36),
    [sym_placeholder_type_specifier] = STATE(3085),
    [sym_decltype_auto] = STATE(3091),
    [sym_decltype] = STATE(3050),
    [sym_class_specifier] = STATE(3085),
    [sym__class_name] = STATE(9352),
    [sym_virtual] = STATE(3159),
    [sym_alignas_specifier] = STATE(3159),
    [sym_explicit_function_specifier] = STATE(2514),
    [sym_dependent_type] = STATE(3085),
    [sym_template_declaration] = STATE(36),
    [sym_template_instantiation] = STATE(36),
    [sym_operator_cast] = STATE(8082),
    [sym__constructor_specifiers] = STATE(2514),
    [sym_operator_cast_definition] = STATE(36),
    [sym_operator_cast_declaration] = STATE(36),
    [sym_constructor_or_destructor_definition] = STATE(36),
    [sym_reference_declarator] = STATE(7680),
    [sym_structured_binding_declarator] = STATE(7680),
    [sym_template_type] = STATE(3129),
    [sym_template_function] = STATE(5703),
    [sym_namespace_definition] = STATE(36),
    [sym_namespace_alias_definition] = STATE(36),
    [sym_using_declaration] = STATE(36),
    [sym_alias_declaration] = STATE(36),
    [sym_static_assert_declaration] = STATE(36),
    [sym_concept_definition] = STATE(36),
    [sym_for_range_loop] = STATE(36),
    [sym_co_return_statement] = STATE(36),
    [sym_co_yield_statement] = STATE(36),
    [sym_throw_statement] = STATE(36),
    [sym_try_statement] = STATE(36),
    [sym_raw_string_literal] = STATE(4217),
    [sym_co_await_expression] = STATE(5024),
    [sym_new_expression] = STATE(5024),
    [sym_delete_expression] = STATE(5024),
    [sym_requires_clause] = STATE(5024),
    [sym_requires_expression] = STATE(5024),
    [sym_lambda_expression] = STATE(5024),
    [sym_lambda_capture_specifier] = STATE(7184),
    [sym_fold_expression] = STATE(5024),
    [sym_parameter_pack_expansion] = STATE(5024),
    [sym_destructor_name] = STATE(7680),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6764),
    [sym_qualified_identifier] = STATE(4502),
    [sym_qualified_type_identifier] = STATE(3127),
    [sym_qualified_operator_cast_identifier] = STATE(8082),
    [sym_operator_name] = STATE(7680),
    [sym_user_defined_literal] = STATE(4507),
    [sym_discard_statement] = STATE(36),
    [sym_qualifiers] = STATE(3159),
    [sym_cbuffer_specifier] = STATE(36),
    [sym_hlsl_attribute] = STATE(1906),
    [aux_sym_preproc_if_repeat1] = STATE(36),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2673),
    [aux_sym_attributed_declarator_repeat1] = STATE(1337),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3021),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2514),
    [sym_identifier] = ACTIONS(369),
    [aux_sym_preproc_include_token1] = ACTIONS(371),
    [aux_sym_preproc_def_token1] = ACTIONS(373),
    [aux_sym_preproc_if_token1] = ACTIONS(375),
    [aux_sym_preproc_if_token2] = ACTIONS(377),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(379),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(379),
    [aux_sym_preproc_else_token1] = ACTIONS(283),
    [aux_sym_preproc_elif_token1] = ACTIONS(285),
    [sym_preproc_directive] = ACTIONS(381),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(383),
    [anon_sym___extension__] = ACTIONS(385),
    [anon_sym_typedef] = ACTIONS(387),
    [anon_sym_in] = ACTIONS(37),
    [anon_sym_out] = ACTIONS(37),
    [anon_sym_inout] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(389),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(45),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym___cdecl] = ACTIONS(51),
    [anon_sym___clrcall] = ACTIONS(51),
    [anon_sym___stdcall] = ACTIONS(51),
    [anon_sym___fastcall] = ACTIONS(51),
    [anon_sym___thiscall] = ACTIONS(51),
    [anon_sym___vectorcall] = ACTIONS(51),
    [anon_sym_LBRACE] = ACTIONS(391),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(393),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(65),
    [anon_sym_enum] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(69),
    [anon_sym_struct] = ACTIONS(71),
    [anon_sym_union] = ACTIONS(73),
    [anon_sym_if] = ACTIONS(395),
    [anon_sym_switch] = ACTIONS(397),
    [anon_sym_case] = ACTIONS(399),
    [anon_sym_default] = ACTIONS(401),
    [anon_sym_while] = ACTIONS(403),
    [anon_sym_do] = ACTIONS(405),
    [anon_sym_for] = ACTIONS(407),
    [anon_sym_return] = ACTIONS(409),
    [anon_sym_break] = ACTIONS(411),
    [anon_sym_continue] = ACTIONS(413),
    [anon_sym_goto] = ACTIONS(415),
    [anon_sym___try] = ACTIONS(417),
    [anon_sym___leave] = ACTIONS(419),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [anon_sym_virtual] = ACTIONS(123),
    [anon_sym_alignas] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(421),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_try] = ACTIONS(423),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(425),
    [anon_sym_namespace] = ACTIONS(427),
    [anon_sym_using] = ACTIONS(429),
    [anon_sym_static_assert] = ACTIONS(431),
    [anon_sym_concept] = ACTIONS(433),
    [anon_sym_co_return] = ACTIONS(435),
    [anon_sym_co_yield] = ACTIONS(437),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
    [anon_sym_discard] = ACTIONS(439),
    [anon_sym_precise] = ACTIONS(161),
    [anon_sym_shared] = ACTIONS(161),
    [anon_sym_groupshared] = ACTIONS(161),
    [anon_sym_uniform] = ACTIONS(161),
    [anon_sym_row_major] = ACTIONS(161),
    [anon_sym_column_major] = ACTIONS(161),
    [anon_sym_globallycoherent] = ACTIONS(161),
    [anon_sym_centroid] = ACTIONS(161),
    [anon_sym_noperspective] = ACTIONS(161),
    [anon_sym_nointerpolation] = ACTIONS(161),
    [anon_sym_sample] = ACTIONS(161),
    [anon_sym_linear] = ACTIONS(161),
    [anon_sym_snorm] = ACTIONS(161),
    [anon_sym_unorm] = ACTIONS(161),
    [anon_sym_point] = ACTIONS(161),
    [anon_sym_line] = ACTIONS(161),
    [anon_sym_triangleadj] = ACTIONS(161),
    [anon_sym_lineadj] = ACTIONS(161),
    [anon_sym_triangle] = ACTIONS(161),
    [anon_sym_cbuffer] = ACTIONS(441),
  },
  [27] = {
    [sym_preproc_include] = STATE(30),
    [sym_preproc_def] = STATE(30),
    [sym_preproc_function_def] = STATE(30),
    [sym_preproc_call] = STATE(30),
    [sym_preproc_if] = STATE(30),
    [sym_preproc_ifdef] = STATE(30),
    [sym_preproc_else] = STATE(9626),
    [sym_preproc_elif] = STATE(9626),
    [sym_function_definition] = STATE(30),
    [sym_declaration] = STATE(30),
    [sym_type_definition] = STATE(30),
    [sym__declaration_modifiers] = STATE(3159),
    [sym__declaration_specifiers] = STATE(5942),
    [sym_linkage_specification] = STATE(30),
    [sym_attribute_specifier] = STATE(3159),
    [sym_attribute_declaration] = STATE(1464),
    [sym_ms_declspec_modifier] = STATE(3159),
    [sym_ms_based_modifier] = STATE(10332),
    [sym_ms_call_modifier] = STATE(2637),
    [sym__declarator] = STATE(7978),
    [sym_parenthesized_declarator] = STATE(7680),
    [sym_attributed_declarator] = STATE(7680),
    [sym_pointer_declarator] = STATE(7680),
    [sym_function_declarator] = STATE(7563),
    [sym_array_declarator] = STATE(7680),
    [sym_compound_statement] = STATE(30),
    [sym_storage_class_specifier] = STATE(3159),
    [sym_type_qualifier] = STATE(3159),
    [sym__type_specifier] = STATE(3049),
    [sym_sized_type_specifier] = STATE(3085),
    [sym_enum_specifier] = STATE(3085),
    [sym_struct_specifier] = STATE(3085),
    [sym_union_specifier] = STATE(3085),
    [sym_attributed_statement] = STATE(30),
    [sym_labeled_statement] = STATE(30),
    [sym_expression_statement] = STATE(30),
    [sym_if_statement] = STATE(30),
    [sym_switch_statement] = STATE(30),
    [sym_case_statement] = STATE(30),
    [sym_while_statement] = STATE(30),
    [sym_do_statement] = STATE(30),
    [sym_for_statement] = STATE(30),
    [sym_return_statement] = STATE(30),
    [sym_break_statement] = STATE(30),
    [sym_continue_statement] = STATE(30),
    [sym_goto_statement] = STATE(30),
    [sym_seh_try_statement] = STATE(30),
    [sym_seh_leave_statement] = STATE(30),
    [sym__expression] = STATE(5802),
    [sym__expression_not_binary] = STATE(5024),
    [sym__string] = STATE(5024),
    [sym_comma_expression] = STATE(9525),
    [sym_conditional_expression] = STATE(5024),
    [sym_assignment_expression] = STATE(5024),
    [sym_pointer_expression] = STATE(4507),
    [sym_unary_expression] = STATE(5024),
    [sym_binary_expression] = STATE(5024),
    [sym_update_expression] = STATE(5024),
    [sym_cast_expression] = STATE(5024),
    [sym_sizeof_expression] = STATE(5024),
    [sym_alignof_expression] = STATE(5024),
    [sym_offsetof_expression] = STATE(5024),
    [sym_generic_expression] = STATE(5024),
    [sym_subscript_expression] = STATE(4507),
    [sym_call_expression] = STATE(4507),
    [sym_gnu_asm_expression] = STATE(5024),
    [sym_field_expression] = STATE(4507),
    [sym_compound_literal_expression] = STATE(5024),
    [sym_parenthesized_expression] = STATE(4507),
    [sym_char_literal] = STATE(5374),
    [sym_concatenated_string] = STATE(5377),
    [sym_string_literal] = STATE(4206),
    [sym_null] = STATE(5024),
    [sym__empty_declaration] = STATE(30),
    [sym_placeholder_type_specifier] = STATE(3085),
    [sym_decltype_auto] = STATE(3091),
    [sym_decltype] = STATE(3050),
    [sym_class_specifier] = STATE(3085),
    [sym__class_name] = STATE(9352),
    [sym_virtual] = STATE(3159),
    [sym_alignas_specifier] = STATE(3159),
    [sym_explicit_function_specifier] = STATE(2514),
    [sym_dependent_type] = STATE(3085),
    [sym_template_declaration] = STATE(30),
    [sym_template_instantiation] = STATE(30),
    [sym_operator_cast] = STATE(8082),
    [sym__constructor_specifiers] = STATE(2514),
    [sym_operator_cast_definition] = STATE(30),
    [sym_operator_cast_declaration] = STATE(30),
    [sym_constructor_or_destructor_definition] = STATE(30),
    [sym_reference_declarator] = STATE(7680),
    [sym_structured_binding_declarator] = STATE(7680),
    [sym_template_type] = STATE(3129),
    [sym_template_function] = STATE(5703),
    [sym_namespace_definition] = STATE(30),
    [sym_namespace_alias_definition] = STATE(30),
    [sym_using_declaration] = STATE(30),
    [sym_alias_declaration] = STATE(30),
    [sym_static_assert_declaration] = STATE(30),
    [sym_concept_definition] = STATE(30),
    [sym_for_range_loop] = STATE(30),
    [sym_co_return_statement] = STATE(30),
    [sym_co_yield_statement] = STATE(30),
    [sym_throw_statement] = STATE(30),
    [sym_try_statement] = STATE(30),
    [sym_raw_string_literal] = STATE(4217),
    [sym_co_await_expression] = STATE(5024),
    [sym_new_expression] = STATE(5024),
    [sym_delete_expression] = STATE(5024),
    [sym_requires_clause] = STATE(5024),
    [sym_requires_expression] = STATE(5024),
    [sym_lambda_expression] = STATE(5024),
    [sym_lambda_capture_specifier] = STATE(7184),
    [sym_fold_expression] = STATE(5024),
    [sym_parameter_pack_expansion] = STATE(5024),
    [sym_destructor_name] = STATE(7680),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6764),
    [sym_qualified_identifier] = STATE(4502),
    [sym_qualified_type_identifier] = STATE(3127),
    [sym_qualified_operator_cast_identifier] = STATE(8082),
    [sym_operator_name] = STATE(7680),
    [sym_user_defined_literal] = STATE(4507),
    [sym_discard_statement] = STATE(30),
    [sym_qualifiers] = STATE(3159),
    [sym_cbuffer_specifier] = STATE(30),
    [sym_hlsl_attribute] = STATE(1906),
    [aux_sym_preproc_if_repeat1] = STATE(30),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2673),
    [aux_sym_attributed_declarator_repeat1] = STATE(1337),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3021),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2514),
    [sym_identifier] = ACTIONS(369),
    [aux_sym_preproc_include_token1] = ACTIONS(371),
    [aux_sym_preproc_def_token1] = ACTIONS(373),
    [aux_sym_preproc_if_token1] = ACTIONS(375),
    [aux_sym_preproc_if_token2] = ACTIONS(443),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(379),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(379),
    [aux_sym_preproc_else_token1] = ACTIONS(283),
    [aux_sym_preproc_elif_token1] = ACTIONS(285),
    [sym_preproc_directive] = ACTIONS(381),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(383),
    [anon_sym___extension__] = ACTIONS(385),
    [anon_sym_typedef] = ACTIONS(387),
    [anon_sym_in] = ACTIONS(37),
    [anon_sym_out] = ACTIONS(37),
    [anon_sym_inout] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(389),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(45),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym___cdecl] = ACTIONS(51),
    [anon_sym___clrcall] = ACTIONS(51),
    [anon_sym___stdcall] = ACTIONS(51),
    [anon_sym___fastcall] = ACTIONS(51),
    [anon_sym___thiscall] = ACTIONS(51),
    [anon_sym___vectorcall] = ACTIONS(51),
    [anon_sym_LBRACE] = ACTIONS(391),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(393),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(65),
    [anon_sym_enum] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(69),
    [anon_sym_struct] = ACTIONS(71),
    [anon_sym_union] = ACTIONS(73),
    [anon_sym_if] = ACTIONS(395),
    [anon_sym_switch] = ACTIONS(397),
    [anon_sym_case] = ACTIONS(399),
    [anon_sym_default] = ACTIONS(401),
    [anon_sym_while] = ACTIONS(403),
    [anon_sym_do] = ACTIONS(405),
    [anon_sym_for] = ACTIONS(407),
    [anon_sym_return] = ACTIONS(409),
    [anon_sym_break] = ACTIONS(411),
    [anon_sym_continue] = ACTIONS(413),
    [anon_sym_goto] = ACTIONS(415),
    [anon_sym___try] = ACTIONS(417),
    [anon_sym___leave] = ACTIONS(419),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [anon_sym_virtual] = ACTIONS(123),
    [anon_sym_alignas] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(421),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_try] = ACTIONS(423),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(425),
    [anon_sym_namespace] = ACTIONS(427),
    [anon_sym_using] = ACTIONS(429),
    [anon_sym_static_assert] = ACTIONS(431),
    [anon_sym_concept] = ACTIONS(433),
    [anon_sym_co_return] = ACTIONS(435),
    [anon_sym_co_yield] = ACTIONS(437),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
    [anon_sym_discard] = ACTIONS(439),
    [anon_sym_precise] = ACTIONS(161),
    [anon_sym_shared] = ACTIONS(161),
    [anon_sym_groupshared] = ACTIONS(161),
    [anon_sym_uniform] = ACTIONS(161),
    [anon_sym_row_major] = ACTIONS(161),
    [anon_sym_column_major] = ACTIONS(161),
    [anon_sym_globallycoherent] = ACTIONS(161),
    [anon_sym_centroid] = ACTIONS(161),
    [anon_sym_noperspective] = ACTIONS(161),
    [anon_sym_nointerpolation] = ACTIONS(161),
    [anon_sym_sample] = ACTIONS(161),
    [anon_sym_linear] = ACTIONS(161),
    [anon_sym_snorm] = ACTIONS(161),
    [anon_sym_unorm] = ACTIONS(161),
    [anon_sym_point] = ACTIONS(161),
    [anon_sym_line] = ACTIONS(161),
    [anon_sym_triangleadj] = ACTIONS(161),
    [anon_sym_lineadj] = ACTIONS(161),
    [anon_sym_triangle] = ACTIONS(161),
    [anon_sym_cbuffer] = ACTIONS(441),
  },
  [28] = {
    [sym_preproc_include] = STATE(28),
    [sym_preproc_def] = STATE(28),
    [sym_preproc_function_def] = STATE(28),
    [sym_preproc_call] = STATE(28),
    [sym_preproc_if] = STATE(28),
    [sym_preproc_ifdef] = STATE(28),
    [sym_function_definition] = STATE(28),
    [sym_declaration] = STATE(28),
    [sym_type_definition] = STATE(28),
    [sym__declaration_modifiers] = STATE(3159),
    [sym__declaration_specifiers] = STATE(5843),
    [sym_linkage_specification] = STATE(28),
    [sym_attribute_specifier] = STATE(3159),
    [sym_attribute_declaration] = STATE(1464),
    [sym_ms_declspec_modifier] = STATE(3159),
    [sym_ms_based_modifier] = STATE(10332),
    [sym_ms_call_modifier] = STATE(2586),
    [sym__declarator] = STATE(7978),
    [sym_parenthesized_declarator] = STATE(7680),
    [sym_attributed_declarator] = STATE(7680),
    [sym_pointer_declarator] = STATE(7680),
    [sym_function_declarator] = STATE(7580),
    [sym_array_declarator] = STATE(7680),
    [sym_compound_statement] = STATE(28),
    [sym_storage_class_specifier] = STATE(3159),
    [sym_type_qualifier] = STATE(3159),
    [sym__type_specifier] = STATE(3042),
    [sym_sized_type_specifier] = STATE(3085),
    [sym_enum_specifier] = STATE(3085),
    [sym_struct_specifier] = STATE(3085),
    [sym_union_specifier] = STATE(3085),
    [sym_attributed_statement] = STATE(28),
    [sym_labeled_statement] = STATE(28),
    [sym_expression_statement] = STATE(28),
    [sym_if_statement] = STATE(28),
    [sym_switch_statement] = STATE(28),
    [sym_case_statement] = STATE(28),
    [sym_while_statement] = STATE(28),
    [sym_do_statement] = STATE(28),
    [sym_for_statement] = STATE(28),
    [sym_return_statement] = STATE(28),
    [sym_break_statement] = STATE(28),
    [sym_continue_statement] = STATE(28),
    [sym_goto_statement] = STATE(28),
    [sym_seh_try_statement] = STATE(28),
    [sym_seh_leave_statement] = STATE(28),
    [sym__expression] = STATE(5650),
    [sym__expression_not_binary] = STATE(5024),
    [sym__string] = STATE(5024),
    [sym_comma_expression] = STATE(10263),
    [sym_conditional_expression] = STATE(5024),
    [sym_assignment_expression] = STATE(5024),
    [sym_pointer_expression] = STATE(4507),
    [sym_unary_expression] = STATE(5024),
    [sym_binary_expression] = STATE(5024),
    [sym_update_expression] = STATE(5024),
    [sym_cast_expression] = STATE(5024),
    [sym_sizeof_expression] = STATE(5024),
    [sym_alignof_expression] = STATE(5024),
    [sym_offsetof_expression] = STATE(5024),
    [sym_generic_expression] = STATE(5024),
    [sym_subscript_expression] = STATE(4507),
    [sym_call_expression] = STATE(4507),
    [sym_gnu_asm_expression] = STATE(5024),
    [sym_field_expression] = STATE(4507),
    [sym_compound_literal_expression] = STATE(5024),
    [sym_parenthesized_expression] = STATE(4507),
    [sym_char_literal] = STATE(5374),
    [sym_concatenated_string] = STATE(5377),
    [sym_string_literal] = STATE(4206),
    [sym_null] = STATE(5024),
    [sym__empty_declaration] = STATE(28),
    [sym_placeholder_type_specifier] = STATE(3085),
    [sym_decltype_auto] = STATE(3091),
    [sym_decltype] = STATE(3050),
    [sym_class_specifier] = STATE(3085),
    [sym__class_name] = STATE(9352),
    [sym_virtual] = STATE(3159),
    [sym_alignas_specifier] = STATE(3159),
    [sym_explicit_function_specifier] = STATE(2517),
    [sym_dependent_type] = STATE(3085),
    [sym_template_declaration] = STATE(28),
    [sym_template_instantiation] = STATE(28),
    [sym_operator_cast] = STATE(8044),
    [sym__constructor_specifiers] = STATE(2517),
    [sym_operator_cast_definition] = STATE(28),
    [sym_operator_cast_declaration] = STATE(28),
    [sym_constructor_or_destructor_definition] = STATE(28),
    [sym_reference_declarator] = STATE(7680),
    [sym_structured_binding_declarator] = STATE(7680),
    [sym_template_type] = STATE(3129),
    [sym_template_function] = STATE(5703),
    [sym_namespace_definition] = STATE(28),
    [sym_namespace_alias_definition] = STATE(28),
    [sym_using_declaration] = STATE(28),
    [sym_alias_declaration] = STATE(28),
    [sym_static_assert_declaration] = STATE(28),
    [sym_concept_definition] = STATE(28),
    [sym_for_range_loop] = STATE(28),
    [sym_co_return_statement] = STATE(28),
    [sym_co_yield_statement] = STATE(28),
    [sym_throw_statement] = STATE(28),
    [sym_try_statement] = STATE(28),
    [sym_raw_string_literal] = STATE(4217),
    [sym_co_await_expression] = STATE(5024),
    [sym_new_expression] = STATE(5024),
    [sym_delete_expression] = STATE(5024),
    [sym_requires_clause] = STATE(5024),
    [sym_requires_expression] = STATE(5024),
    [sym_lambda_expression] = STATE(5024),
    [sym_lambda_capture_specifier] = STATE(7184),
    [sym_fold_expression] = STATE(5024),
    [sym_parameter_pack_expansion] = STATE(5024),
    [sym_destructor_name] = STATE(7680),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6764),
    [sym_qualified_identifier] = STATE(4502),
    [sym_qualified_type_identifier] = STATE(3127),
    [sym_qualified_operator_cast_identifier] = STATE(8044),
    [sym_operator_name] = STATE(7680),
    [sym_user_defined_literal] = STATE(4507),
    [sym_discard_statement] = STATE(28),
    [sym_qualifiers] = STATE(3159),
    [sym_cbuffer_specifier] = STATE(28),
    [sym_hlsl_attribute] = STATE(1882),
    [aux_sym_preproc_if_repeat1] = STATE(28),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2673),
    [aux_sym_attributed_declarator_repeat1] = STATE(1334),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3021),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2517),
    [sym_identifier] = ACTIONS(445),
    [aux_sym_preproc_include_token1] = ACTIONS(448),
    [aux_sym_preproc_def_token1] = ACTIONS(451),
    [aux_sym_preproc_if_token1] = ACTIONS(454),
    [aux_sym_preproc_if_token2] = ACTIONS(457),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(459),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(459),
    [aux_sym_preproc_else_token1] = ACTIONS(457),
    [aux_sym_preproc_elif_token1] = ACTIONS(457),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(457),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(457),
    [sym_preproc_directive] = ACTIONS(462),
    [anon_sym_LPAREN2] = ACTIONS(465),
    [anon_sym_BANG] = ACTIONS(468),
    [anon_sym_TILDE] = ACTIONS(471),
    [anon_sym_DASH] = ACTIONS(474),
    [anon_sym_PLUS] = ACTIONS(474),
    [anon_sym_STAR] = ACTIONS(477),
    [anon_sym_AMP_AMP] = ACTIONS(480),
    [anon_sym_AMP] = ACTIONS(483),
    [anon_sym_SEMI] = ACTIONS(486),
    [anon_sym___extension__] = ACTIONS(489),
    [anon_sym_typedef] = ACTIONS(492),
    [anon_sym_in] = ACTIONS(495),
    [anon_sym_out] = ACTIONS(495),
    [anon_sym_inout] = ACTIONS(495),
    [anon_sym_extern] = ACTIONS(498),
    [anon_sym___attribute__] = ACTIONS(501),
    [anon_sym_COLON_COLON] = ACTIONS(504),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(507),
    [anon_sym___declspec] = ACTIONS(510),
    [anon_sym___based] = ACTIONS(513),
    [anon_sym___cdecl] = ACTIONS(516),
    [anon_sym___clrcall] = ACTIONS(516),
    [anon_sym___stdcall] = ACTIONS(516),
    [anon_sym___fastcall] = ACTIONS(516),
    [anon_sym___thiscall] = ACTIONS(516),
    [anon_sym___vectorcall] = ACTIONS(516),
    [anon_sym_LBRACE] = ACTIONS(519),
    [anon_sym_signed] = ACTIONS(522),
    [anon_sym_unsigned] = ACTIONS(522),
    [anon_sym_long] = ACTIONS(522),
    [anon_sym_short] = ACTIONS(522),
    [anon_sym_LBRACK] = ACTIONS(525),
    [anon_sym_static] = ACTIONS(528),
    [anon_sym_register] = ACTIONS(528),
    [anon_sym_inline] = ACTIONS(531),
    [anon_sym___inline] = ACTIONS(528),
    [anon_sym___inline__] = ACTIONS(528),
    [anon_sym___forceinline] = ACTIONS(528),
    [anon_sym_thread_local] = ACTIONS(528),
    [anon_sym___thread] = ACTIONS(528),
    [anon_sym_const] = ACTIONS(534),
    [anon_sym_constexpr] = ACTIONS(534),
    [anon_sym_volatile] = ACTIONS(534),
    [anon_sym_restrict] = ACTIONS(534),
    [anon_sym___restrict__] = ACTIONS(534),
    [anon_sym__Atomic] = ACTIONS(534),
    [anon_sym__Noreturn] = ACTIONS(534),
    [anon_sym_noreturn] = ACTIONS(534),
    [anon_sym_mutable] = ACTIONS(534),
    [anon_sym_constinit] = ACTIONS(534),
    [anon_sym_consteval] = ACTIONS(534),
    [sym_primitive_type] = ACTIONS(537),
    [anon_sym_enum] = ACTIONS(540),
    [anon_sym_class] = ACTIONS(543),
    [anon_sym_struct] = ACTIONS(546),
    [anon_sym_union] = ACTIONS(549),
    [anon_sym_if] = ACTIONS(552),
    [anon_sym_switch] = ACTIONS(555),
    [anon_sym_case] = ACTIONS(558),
    [anon_sym_default] = ACTIONS(561),
    [anon_sym_while] = ACTIONS(564),
    [anon_sym_do] = ACTIONS(567),
    [anon_sym_for] = ACTIONS(570),
    [anon_sym_return] = ACTIONS(573),
    [anon_sym_break] = ACTIONS(576),
    [anon_sym_continue] = ACTIONS(579),
    [anon_sym_goto] = ACTIONS(582),
    [anon_sym___try] = ACTIONS(585),
    [anon_sym___leave] = ACTIONS(588),
    [anon_sym_not] = ACTIONS(474),
    [anon_sym_compl] = ACTIONS(474),
    [anon_sym_DASH_DASH] = ACTIONS(591),
    [anon_sym_PLUS_PLUS] = ACTIONS(591),
    [anon_sym_sizeof] = ACTIONS(594),
    [anon_sym___alignof__] = ACTIONS(597),
    [anon_sym___alignof] = ACTIONS(597),
    [anon_sym__alignof] = ACTIONS(597),
    [anon_sym_alignof] = ACTIONS(597),
    [anon_sym__Alignof] = ACTIONS(597),
    [anon_sym_offsetof] = ACTIONS(600),
    [anon_sym__Generic] = ACTIONS(603),
    [anon_sym_asm] = ACTIONS(606),
    [anon_sym___asm__] = ACTIONS(606),
    [sym_number_literal] = ACTIONS(609),
    [anon_sym_L_SQUOTE] = ACTIONS(612),
    [anon_sym_u_SQUOTE] = ACTIONS(612),
    [anon_sym_U_SQUOTE] = ACTIONS(612),
    [anon_sym_u8_SQUOTE] = ACTIONS(612),
    [anon_sym_SQUOTE] = ACTIONS(612),
    [anon_sym_L_DQUOTE] = ACTIONS(615),
    [anon_sym_u_DQUOTE] = ACTIONS(615),
    [anon_sym_U_DQUOTE] = ACTIONS(615),
    [anon_sym_u8_DQUOTE] = ACTIONS(615),
    [anon_sym_DQUOTE] = ACTIONS(615),
    [sym_true] = ACTIONS(618),
    [sym_false] = ACTIONS(618),
    [anon_sym_NULL] = ACTIONS(621),
    [anon_sym_nullptr] = ACTIONS(621),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(624),
    [anon_sym_decltype] = ACTIONS(627),
    [anon_sym_virtual] = ACTIONS(630),
    [anon_sym_alignas] = ACTIONS(633),
    [anon_sym_explicit] = ACTIONS(636),
    [anon_sym_typename] = ACTIONS(639),
    [anon_sym_template] = ACTIONS(642),
    [anon_sym_operator] = ACTIONS(645),
    [anon_sym_try] = ACTIONS(648),
    [anon_sym_delete] = ACTIONS(651),
    [anon_sym_throw] = ACTIONS(654),
    [anon_sym_namespace] = ACTIONS(657),
    [anon_sym_using] = ACTIONS(660),
    [anon_sym_static_assert] = ACTIONS(663),
    [anon_sym_concept] = ACTIONS(666),
    [anon_sym_co_return] = ACTIONS(669),
    [anon_sym_co_yield] = ACTIONS(672),
    [anon_sym_R_DQUOTE] = ACTIONS(675),
    [anon_sym_LR_DQUOTE] = ACTIONS(675),
    [anon_sym_uR_DQUOTE] = ACTIONS(675),
    [anon_sym_UR_DQUOTE] = ACTIONS(675),
    [anon_sym_u8R_DQUOTE] = ACTIONS(675),
    [anon_sym_co_await] = ACTIONS(678),
    [anon_sym_new] = ACTIONS(681),
    [anon_sym_requires] = ACTIONS(684),
    [sym_this] = ACTIONS(618),
    [anon_sym_discard] = ACTIONS(687),
    [anon_sym_precise] = ACTIONS(690),
    [anon_sym_shared] = ACTIONS(690),
    [anon_sym_groupshared] = ACTIONS(690),
    [anon_sym_uniform] = ACTIONS(690),
    [anon_sym_row_major] = ACTIONS(690),
    [anon_sym_column_major] = ACTIONS(690),
    [anon_sym_globallycoherent] = ACTIONS(690),
    [anon_sym_centroid] = ACTIONS(690),
    [anon_sym_noperspective] = ACTIONS(690),
    [anon_sym_nointerpolation] = ACTIONS(690),
    [anon_sym_sample] = ACTIONS(690),
    [anon_sym_linear] = ACTIONS(690),
    [anon_sym_snorm] = ACTIONS(690),
    [anon_sym_unorm] = ACTIONS(690),
    [anon_sym_point] = ACTIONS(690),
    [anon_sym_line] = ACTIONS(690),
    [anon_sym_triangleadj] = ACTIONS(690),
    [anon_sym_lineadj] = ACTIONS(690),
    [anon_sym_triangle] = ACTIONS(690),
    [anon_sym_cbuffer] = ACTIONS(693),
  },
  [29] = {
    [sym_preproc_include] = STATE(39),
    [sym_preproc_def] = STATE(39),
    [sym_preproc_function_def] = STATE(39),
    [sym_preproc_call] = STATE(39),
    [sym_preproc_if] = STATE(39),
    [sym_preproc_ifdef] = STATE(39),
    [sym_preproc_else] = STATE(9692),
    [sym_preproc_elif] = STATE(9692),
    [sym_function_definition] = STATE(39),
    [sym_declaration] = STATE(39),
    [sym_type_definition] = STATE(39),
    [sym__declaration_modifiers] = STATE(3159),
    [sym__declaration_specifiers] = STATE(5942),
    [sym_linkage_specification] = STATE(39),
    [sym_attribute_specifier] = STATE(3159),
    [sym_attribute_declaration] = STATE(1464),
    [sym_ms_declspec_modifier] = STATE(3159),
    [sym_ms_based_modifier] = STATE(10332),
    [sym_ms_call_modifier] = STATE(2637),
    [sym__declarator] = STATE(7978),
    [sym_parenthesized_declarator] = STATE(7680),
    [sym_attributed_declarator] = STATE(7680),
    [sym_pointer_declarator] = STATE(7680),
    [sym_function_declarator] = STATE(7563),
    [sym_array_declarator] = STATE(7680),
    [sym_compound_statement] = STATE(39),
    [sym_storage_class_specifier] = STATE(3159),
    [sym_type_qualifier] = STATE(3159),
    [sym__type_specifier] = STATE(3049),
    [sym_sized_type_specifier] = STATE(3085),
    [sym_enum_specifier] = STATE(3085),
    [sym_struct_specifier] = STATE(3085),
    [sym_union_specifier] = STATE(3085),
    [sym_attributed_statement] = STATE(39),
    [sym_labeled_statement] = STATE(39),
    [sym_expression_statement] = STATE(39),
    [sym_if_statement] = STATE(39),
    [sym_switch_statement] = STATE(39),
    [sym_case_statement] = STATE(39),
    [sym_while_statement] = STATE(39),
    [sym_do_statement] = STATE(39),
    [sym_for_statement] = STATE(39),
    [sym_return_statement] = STATE(39),
    [sym_break_statement] = STATE(39),
    [sym_continue_statement] = STATE(39),
    [sym_goto_statement] = STATE(39),
    [sym_seh_try_statement] = STATE(39),
    [sym_seh_leave_statement] = STATE(39),
    [sym__expression] = STATE(5802),
    [sym__expression_not_binary] = STATE(5024),
    [sym__string] = STATE(5024),
    [sym_comma_expression] = STATE(9525),
    [sym_conditional_expression] = STATE(5024),
    [sym_assignment_expression] = STATE(5024),
    [sym_pointer_expression] = STATE(4507),
    [sym_unary_expression] = STATE(5024),
    [sym_binary_expression] = STATE(5024),
    [sym_update_expression] = STATE(5024),
    [sym_cast_expression] = STATE(5024),
    [sym_sizeof_expression] = STATE(5024),
    [sym_alignof_expression] = STATE(5024),
    [sym_offsetof_expression] = STATE(5024),
    [sym_generic_expression] = STATE(5024),
    [sym_subscript_expression] = STATE(4507),
    [sym_call_expression] = STATE(4507),
    [sym_gnu_asm_expression] = STATE(5024),
    [sym_field_expression] = STATE(4507),
    [sym_compound_literal_expression] = STATE(5024),
    [sym_parenthesized_expression] = STATE(4507),
    [sym_char_literal] = STATE(5374),
    [sym_concatenated_string] = STATE(5377),
    [sym_string_literal] = STATE(4206),
    [sym_null] = STATE(5024),
    [sym__empty_declaration] = STATE(39),
    [sym_placeholder_type_specifier] = STATE(3085),
    [sym_decltype_auto] = STATE(3091),
    [sym_decltype] = STATE(3050),
    [sym_class_specifier] = STATE(3085),
    [sym__class_name] = STATE(9352),
    [sym_virtual] = STATE(3159),
    [sym_alignas_specifier] = STATE(3159),
    [sym_explicit_function_specifier] = STATE(2514),
    [sym_dependent_type] = STATE(3085),
    [sym_template_declaration] = STATE(39),
    [sym_template_instantiation] = STATE(39),
    [sym_operator_cast] = STATE(8082),
    [sym__constructor_specifiers] = STATE(2514),
    [sym_operator_cast_definition] = STATE(39),
    [sym_operator_cast_declaration] = STATE(39),
    [sym_constructor_or_destructor_definition] = STATE(39),
    [sym_reference_declarator] = STATE(7680),
    [sym_structured_binding_declarator] = STATE(7680),
    [sym_template_type] = STATE(3129),
    [sym_template_function] = STATE(5703),
    [sym_namespace_definition] = STATE(39),
    [sym_namespace_alias_definition] = STATE(39),
    [sym_using_declaration] = STATE(39),
    [sym_alias_declaration] = STATE(39),
    [sym_static_assert_declaration] = STATE(39),
    [sym_concept_definition] = STATE(39),
    [sym_for_range_loop] = STATE(39),
    [sym_co_return_statement] = STATE(39),
    [sym_co_yield_statement] = STATE(39),
    [sym_throw_statement] = STATE(39),
    [sym_try_statement] = STATE(39),
    [sym_raw_string_literal] = STATE(4217),
    [sym_co_await_expression] = STATE(5024),
    [sym_new_expression] = STATE(5024),
    [sym_delete_expression] = STATE(5024),
    [sym_requires_clause] = STATE(5024),
    [sym_requires_expression] = STATE(5024),
    [sym_lambda_expression] = STATE(5024),
    [sym_lambda_capture_specifier] = STATE(7184),
    [sym_fold_expression] = STATE(5024),
    [sym_parameter_pack_expansion] = STATE(5024),
    [sym_destructor_name] = STATE(7680),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6764),
    [sym_qualified_identifier] = STATE(4502),
    [sym_qualified_type_identifier] = STATE(3127),
    [sym_qualified_operator_cast_identifier] = STATE(8082),
    [sym_operator_name] = STATE(7680),
    [sym_user_defined_literal] = STATE(4507),
    [sym_discard_statement] = STATE(39),
    [sym_qualifiers] = STATE(3159),
    [sym_cbuffer_specifier] = STATE(39),
    [sym_hlsl_attribute] = STATE(1906),
    [aux_sym_preproc_if_repeat1] = STATE(39),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2673),
    [aux_sym_attributed_declarator_repeat1] = STATE(1337),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3021),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2514),
    [sym_identifier] = ACTIONS(369),
    [aux_sym_preproc_include_token1] = ACTIONS(371),
    [aux_sym_preproc_def_token1] = ACTIONS(373),
    [aux_sym_preproc_if_token1] = ACTIONS(375),
    [aux_sym_preproc_if_token2] = ACTIONS(696),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(379),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(379),
    [aux_sym_preproc_else_token1] = ACTIONS(283),
    [aux_sym_preproc_elif_token1] = ACTIONS(285),
    [sym_preproc_directive] = ACTIONS(381),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(383),
    [anon_sym___extension__] = ACTIONS(385),
    [anon_sym_typedef] = ACTIONS(387),
    [anon_sym_in] = ACTIONS(37),
    [anon_sym_out] = ACTIONS(37),
    [anon_sym_inout] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(389),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(45),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym___cdecl] = ACTIONS(51),
    [anon_sym___clrcall] = ACTIONS(51),
    [anon_sym___stdcall] = ACTIONS(51),
    [anon_sym___fastcall] = ACTIONS(51),
    [anon_sym___thiscall] = ACTIONS(51),
    [anon_sym___vectorcall] = ACTIONS(51),
    [anon_sym_LBRACE] = ACTIONS(391),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(393),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(65),
    [anon_sym_enum] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(69),
    [anon_sym_struct] = ACTIONS(71),
    [anon_sym_union] = ACTIONS(73),
    [anon_sym_if] = ACTIONS(395),
    [anon_sym_switch] = ACTIONS(397),
    [anon_sym_case] = ACTIONS(399),
    [anon_sym_default] = ACTIONS(401),
    [anon_sym_while] = ACTIONS(403),
    [anon_sym_do] = ACTIONS(405),
    [anon_sym_for] = ACTIONS(407),
    [anon_sym_return] = ACTIONS(409),
    [anon_sym_break] = ACTIONS(411),
    [anon_sym_continue] = ACTIONS(413),
    [anon_sym_goto] = ACTIONS(415),
    [anon_sym___try] = ACTIONS(417),
    [anon_sym___leave] = ACTIONS(419),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [anon_sym_virtual] = ACTIONS(123),
    [anon_sym_alignas] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(421),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_try] = ACTIONS(423),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(425),
    [anon_sym_namespace] = ACTIONS(427),
    [anon_sym_using] = ACTIONS(429),
    [anon_sym_static_assert] = ACTIONS(431),
    [anon_sym_concept] = ACTIONS(433),
    [anon_sym_co_return] = ACTIONS(435),
    [anon_sym_co_yield] = ACTIONS(437),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
    [anon_sym_discard] = ACTIONS(439),
    [anon_sym_precise] = ACTIONS(161),
    [anon_sym_shared] = ACTIONS(161),
    [anon_sym_groupshared] = ACTIONS(161),
    [anon_sym_uniform] = ACTIONS(161),
    [anon_sym_row_major] = ACTIONS(161),
    [anon_sym_column_major] = ACTIONS(161),
    [anon_sym_globallycoherent] = ACTIONS(161),
    [anon_sym_centroid] = ACTIONS(161),
    [anon_sym_noperspective] = ACTIONS(161),
    [anon_sym_nointerpolation] = ACTIONS(161),
    [anon_sym_sample] = ACTIONS(161),
    [anon_sym_linear] = ACTIONS(161),
    [anon_sym_snorm] = ACTIONS(161),
    [anon_sym_unorm] = ACTIONS(161),
    [anon_sym_point] = ACTIONS(161),
    [anon_sym_line] = ACTIONS(161),
    [anon_sym_triangleadj] = ACTIONS(161),
    [anon_sym_lineadj] = ACTIONS(161),
    [anon_sym_triangle] = ACTIONS(161),
    [anon_sym_cbuffer] = ACTIONS(441),
  },
  [30] = {
    [sym_preproc_include] = STATE(41),
    [sym_preproc_def] = STATE(41),
    [sym_preproc_function_def] = STATE(41),
    [sym_preproc_call] = STATE(41),
    [sym_preproc_if] = STATE(41),
    [sym_preproc_ifdef] = STATE(41),
    [sym_preproc_else] = STATE(9519),
    [sym_preproc_elif] = STATE(9519),
    [sym_function_definition] = STATE(41),
    [sym_declaration] = STATE(41),
    [sym_type_definition] = STATE(41),
    [sym__declaration_modifiers] = STATE(3159),
    [sym__declaration_specifiers] = STATE(5942),
    [sym_linkage_specification] = STATE(41),
    [sym_attribute_specifier] = STATE(3159),
    [sym_attribute_declaration] = STATE(1464),
    [sym_ms_declspec_modifier] = STATE(3159),
    [sym_ms_based_modifier] = STATE(10332),
    [sym_ms_call_modifier] = STATE(2637),
    [sym__declarator] = STATE(7978),
    [sym_parenthesized_declarator] = STATE(7680),
    [sym_attributed_declarator] = STATE(7680),
    [sym_pointer_declarator] = STATE(7680),
    [sym_function_declarator] = STATE(7563),
    [sym_array_declarator] = STATE(7680),
    [sym_compound_statement] = STATE(41),
    [sym_storage_class_specifier] = STATE(3159),
    [sym_type_qualifier] = STATE(3159),
    [sym__type_specifier] = STATE(3049),
    [sym_sized_type_specifier] = STATE(3085),
    [sym_enum_specifier] = STATE(3085),
    [sym_struct_specifier] = STATE(3085),
    [sym_union_specifier] = STATE(3085),
    [sym_attributed_statement] = STATE(41),
    [sym_labeled_statement] = STATE(41),
    [sym_expression_statement] = STATE(41),
    [sym_if_statement] = STATE(41),
    [sym_switch_statement] = STATE(41),
    [sym_case_statement] = STATE(41),
    [sym_while_statement] = STATE(41),
    [sym_do_statement] = STATE(41),
    [sym_for_statement] = STATE(41),
    [sym_return_statement] = STATE(41),
    [sym_break_statement] = STATE(41),
    [sym_continue_statement] = STATE(41),
    [sym_goto_statement] = STATE(41),
    [sym_seh_try_statement] = STATE(41),
    [sym_seh_leave_statement] = STATE(41),
    [sym__expression] = STATE(5802),
    [sym__expression_not_binary] = STATE(5024),
    [sym__string] = STATE(5024),
    [sym_comma_expression] = STATE(9525),
    [sym_conditional_expression] = STATE(5024),
    [sym_assignment_expression] = STATE(5024),
    [sym_pointer_expression] = STATE(4507),
    [sym_unary_expression] = STATE(5024),
    [sym_binary_expression] = STATE(5024),
    [sym_update_expression] = STATE(5024),
    [sym_cast_expression] = STATE(5024),
    [sym_sizeof_expression] = STATE(5024),
    [sym_alignof_expression] = STATE(5024),
    [sym_offsetof_expression] = STATE(5024),
    [sym_generic_expression] = STATE(5024),
    [sym_subscript_expression] = STATE(4507),
    [sym_call_expression] = STATE(4507),
    [sym_gnu_asm_expression] = STATE(5024),
    [sym_field_expression] = STATE(4507),
    [sym_compound_literal_expression] = STATE(5024),
    [sym_parenthesized_expression] = STATE(4507),
    [sym_char_literal] = STATE(5374),
    [sym_concatenated_string] = STATE(5377),
    [sym_string_literal] = STATE(4206),
    [sym_null] = STATE(5024),
    [sym__empty_declaration] = STATE(41),
    [sym_placeholder_type_specifier] = STATE(3085),
    [sym_decltype_auto] = STATE(3091),
    [sym_decltype] = STATE(3050),
    [sym_class_specifier] = STATE(3085),
    [sym__class_name] = STATE(9352),
    [sym_virtual] = STATE(3159),
    [sym_alignas_specifier] = STATE(3159),
    [sym_explicit_function_specifier] = STATE(2514),
    [sym_dependent_type] = STATE(3085),
    [sym_template_declaration] = STATE(41),
    [sym_template_instantiation] = STATE(41),
    [sym_operator_cast] = STATE(8082),
    [sym__constructor_specifiers] = STATE(2514),
    [sym_operator_cast_definition] = STATE(41),
    [sym_operator_cast_declaration] = STATE(41),
    [sym_constructor_or_destructor_definition] = STATE(41),
    [sym_reference_declarator] = STATE(7680),
    [sym_structured_binding_declarator] = STATE(7680),
    [sym_template_type] = STATE(3129),
    [sym_template_function] = STATE(5703),
    [sym_namespace_definition] = STATE(41),
    [sym_namespace_alias_definition] = STATE(41),
    [sym_using_declaration] = STATE(41),
    [sym_alias_declaration] = STATE(41),
    [sym_static_assert_declaration] = STATE(41),
    [sym_concept_definition] = STATE(41),
    [sym_for_range_loop] = STATE(41),
    [sym_co_return_statement] = STATE(41),
    [sym_co_yield_statement] = STATE(41),
    [sym_throw_statement] = STATE(41),
    [sym_try_statement] = STATE(41),
    [sym_raw_string_literal] = STATE(4217),
    [sym_co_await_expression] = STATE(5024),
    [sym_new_expression] = STATE(5024),
    [sym_delete_expression] = STATE(5024),
    [sym_requires_clause] = STATE(5024),
    [sym_requires_expression] = STATE(5024),
    [sym_lambda_expression] = STATE(5024),
    [sym_lambda_capture_specifier] = STATE(7184),
    [sym_fold_expression] = STATE(5024),
    [sym_parameter_pack_expansion] = STATE(5024),
    [sym_destructor_name] = STATE(7680),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6764),
    [sym_qualified_identifier] = STATE(4502),
    [sym_qualified_type_identifier] = STATE(3127),
    [sym_qualified_operator_cast_identifier] = STATE(8082),
    [sym_operator_name] = STATE(7680),
    [sym_user_defined_literal] = STATE(4507),
    [sym_discard_statement] = STATE(41),
    [sym_qualifiers] = STATE(3159),
    [sym_cbuffer_specifier] = STATE(41),
    [sym_hlsl_attribute] = STATE(1906),
    [aux_sym_preproc_if_repeat1] = STATE(41),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2673),
    [aux_sym_attributed_declarator_repeat1] = STATE(1337),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3021),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2514),
    [sym_identifier] = ACTIONS(369),
    [aux_sym_preproc_include_token1] = ACTIONS(371),
    [aux_sym_preproc_def_token1] = ACTIONS(373),
    [aux_sym_preproc_if_token1] = ACTIONS(375),
    [aux_sym_preproc_if_token2] = ACTIONS(698),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(379),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(379),
    [aux_sym_preproc_else_token1] = ACTIONS(283),
    [aux_sym_preproc_elif_token1] = ACTIONS(285),
    [sym_preproc_directive] = ACTIONS(381),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(383),
    [anon_sym___extension__] = ACTIONS(385),
    [anon_sym_typedef] = ACTIONS(387),
    [anon_sym_in] = ACTIONS(37),
    [anon_sym_out] = ACTIONS(37),
    [anon_sym_inout] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(389),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(45),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym___cdecl] = ACTIONS(51),
    [anon_sym___clrcall] = ACTIONS(51),
    [anon_sym___stdcall] = ACTIONS(51),
    [anon_sym___fastcall] = ACTIONS(51),
    [anon_sym___thiscall] = ACTIONS(51),
    [anon_sym___vectorcall] = ACTIONS(51),
    [anon_sym_LBRACE] = ACTIONS(391),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(393),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(65),
    [anon_sym_enum] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(69),
    [anon_sym_struct] = ACTIONS(71),
    [anon_sym_union] = ACTIONS(73),
    [anon_sym_if] = ACTIONS(395),
    [anon_sym_switch] = ACTIONS(397),
    [anon_sym_case] = ACTIONS(399),
    [anon_sym_default] = ACTIONS(401),
    [anon_sym_while] = ACTIONS(403),
    [anon_sym_do] = ACTIONS(405),
    [anon_sym_for] = ACTIONS(407),
    [anon_sym_return] = ACTIONS(409),
    [anon_sym_break] = ACTIONS(411),
    [anon_sym_continue] = ACTIONS(413),
    [anon_sym_goto] = ACTIONS(415),
    [anon_sym___try] = ACTIONS(417),
    [anon_sym___leave] = ACTIONS(419),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [anon_sym_virtual] = ACTIONS(123),
    [anon_sym_alignas] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(421),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_try] = ACTIONS(423),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(425),
    [anon_sym_namespace] = ACTIONS(427),
    [anon_sym_using] = ACTIONS(429),
    [anon_sym_static_assert] = ACTIONS(431),
    [anon_sym_concept] = ACTIONS(433),
    [anon_sym_co_return] = ACTIONS(435),
    [anon_sym_co_yield] = ACTIONS(437),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
    [anon_sym_discard] = ACTIONS(439),
    [anon_sym_precise] = ACTIONS(161),
    [anon_sym_shared] = ACTIONS(161),
    [anon_sym_groupshared] = ACTIONS(161),
    [anon_sym_uniform] = ACTIONS(161),
    [anon_sym_row_major] = ACTIONS(161),
    [anon_sym_column_major] = ACTIONS(161),
    [anon_sym_globallycoherent] = ACTIONS(161),
    [anon_sym_centroid] = ACTIONS(161),
    [anon_sym_noperspective] = ACTIONS(161),
    [anon_sym_nointerpolation] = ACTIONS(161),
    [anon_sym_sample] = ACTIONS(161),
    [anon_sym_linear] = ACTIONS(161),
    [anon_sym_snorm] = ACTIONS(161),
    [anon_sym_unorm] = ACTIONS(161),
    [anon_sym_point] = ACTIONS(161),
    [anon_sym_line] = ACTIONS(161),
    [anon_sym_triangleadj] = ACTIONS(161),
    [anon_sym_lineadj] = ACTIONS(161),
    [anon_sym_triangle] = ACTIONS(161),
    [anon_sym_cbuffer] = ACTIONS(441),
  },
  [31] = {
    [sym_preproc_include] = STATE(38),
    [sym_preproc_def] = STATE(38),
    [sym_preproc_function_def] = STATE(38),
    [sym_preproc_call] = STATE(38),
    [sym_preproc_if] = STATE(38),
    [sym_preproc_ifdef] = STATE(38),
    [sym_preproc_else] = STATE(9606),
    [sym_preproc_elif] = STATE(9606),
    [sym_function_definition] = STATE(38),
    [sym_declaration] = STATE(38),
    [sym_type_definition] = STATE(38),
    [sym__declaration_modifiers] = STATE(3159),
    [sym__declaration_specifiers] = STATE(5942),
    [sym_linkage_specification] = STATE(38),
    [sym_attribute_specifier] = STATE(3159),
    [sym_attribute_declaration] = STATE(1464),
    [sym_ms_declspec_modifier] = STATE(3159),
    [sym_ms_based_modifier] = STATE(10332),
    [sym_ms_call_modifier] = STATE(2637),
    [sym__declarator] = STATE(7978),
    [sym_parenthesized_declarator] = STATE(7680),
    [sym_attributed_declarator] = STATE(7680),
    [sym_pointer_declarator] = STATE(7680),
    [sym_function_declarator] = STATE(7563),
    [sym_array_declarator] = STATE(7680),
    [sym_compound_statement] = STATE(38),
    [sym_storage_class_specifier] = STATE(3159),
    [sym_type_qualifier] = STATE(3159),
    [sym__type_specifier] = STATE(3049),
    [sym_sized_type_specifier] = STATE(3085),
    [sym_enum_specifier] = STATE(3085),
    [sym_struct_specifier] = STATE(3085),
    [sym_union_specifier] = STATE(3085),
    [sym_attributed_statement] = STATE(38),
    [sym_labeled_statement] = STATE(38),
    [sym_expression_statement] = STATE(38),
    [sym_if_statement] = STATE(38),
    [sym_switch_statement] = STATE(38),
    [sym_case_statement] = STATE(38),
    [sym_while_statement] = STATE(38),
    [sym_do_statement] = STATE(38),
    [sym_for_statement] = STATE(38),
    [sym_return_statement] = STATE(38),
    [sym_break_statement] = STATE(38),
    [sym_continue_statement] = STATE(38),
    [sym_goto_statement] = STATE(38),
    [sym_seh_try_statement] = STATE(38),
    [sym_seh_leave_statement] = STATE(38),
    [sym__expression] = STATE(5802),
    [sym__expression_not_binary] = STATE(5024),
    [sym__string] = STATE(5024),
    [sym_comma_expression] = STATE(9525),
    [sym_conditional_expression] = STATE(5024),
    [sym_assignment_expression] = STATE(5024),
    [sym_pointer_expression] = STATE(4507),
    [sym_unary_expression] = STATE(5024),
    [sym_binary_expression] = STATE(5024),
    [sym_update_expression] = STATE(5024),
    [sym_cast_expression] = STATE(5024),
    [sym_sizeof_expression] = STATE(5024),
    [sym_alignof_expression] = STATE(5024),
    [sym_offsetof_expression] = STATE(5024),
    [sym_generic_expression] = STATE(5024),
    [sym_subscript_expression] = STATE(4507),
    [sym_call_expression] = STATE(4507),
    [sym_gnu_asm_expression] = STATE(5024),
    [sym_field_expression] = STATE(4507),
    [sym_compound_literal_expression] = STATE(5024),
    [sym_parenthesized_expression] = STATE(4507),
    [sym_char_literal] = STATE(5374),
    [sym_concatenated_string] = STATE(5377),
    [sym_string_literal] = STATE(4206),
    [sym_null] = STATE(5024),
    [sym__empty_declaration] = STATE(38),
    [sym_placeholder_type_specifier] = STATE(3085),
    [sym_decltype_auto] = STATE(3091),
    [sym_decltype] = STATE(3050),
    [sym_class_specifier] = STATE(3085),
    [sym__class_name] = STATE(9352),
    [sym_virtual] = STATE(3159),
    [sym_alignas_specifier] = STATE(3159),
    [sym_explicit_function_specifier] = STATE(2514),
    [sym_dependent_type] = STATE(3085),
    [sym_template_declaration] = STATE(38),
    [sym_template_instantiation] = STATE(38),
    [sym_operator_cast] = STATE(8082),
    [sym__constructor_specifiers] = STATE(2514),
    [sym_operator_cast_definition] = STATE(38),
    [sym_operator_cast_declaration] = STATE(38),
    [sym_constructor_or_destructor_definition] = STATE(38),
    [sym_reference_declarator] = STATE(7680),
    [sym_structured_binding_declarator] = STATE(7680),
    [sym_template_type] = STATE(3129),
    [sym_template_function] = STATE(5703),
    [sym_namespace_definition] = STATE(38),
    [sym_namespace_alias_definition] = STATE(38),
    [sym_using_declaration] = STATE(38),
    [sym_alias_declaration] = STATE(38),
    [sym_static_assert_declaration] = STATE(38),
    [sym_concept_definition] = STATE(38),
    [sym_for_range_loop] = STATE(38),
    [sym_co_return_statement] = STATE(38),
    [sym_co_yield_statement] = STATE(38),
    [sym_throw_statement] = STATE(38),
    [sym_try_statement] = STATE(38),
    [sym_raw_string_literal] = STATE(4217),
    [sym_co_await_expression] = STATE(5024),
    [sym_new_expression] = STATE(5024),
    [sym_delete_expression] = STATE(5024),
    [sym_requires_clause] = STATE(5024),
    [sym_requires_expression] = STATE(5024),
    [sym_lambda_expression] = STATE(5024),
    [sym_lambda_capture_specifier] = STATE(7184),
    [sym_fold_expression] = STATE(5024),
    [sym_parameter_pack_expansion] = STATE(5024),
    [sym_destructor_name] = STATE(7680),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6764),
    [sym_qualified_identifier] = STATE(4502),
    [sym_qualified_type_identifier] = STATE(3127),
    [sym_qualified_operator_cast_identifier] = STATE(8082),
    [sym_operator_name] = STATE(7680),
    [sym_user_defined_literal] = STATE(4507),
    [sym_discard_statement] = STATE(38),
    [sym_qualifiers] = STATE(3159),
    [sym_cbuffer_specifier] = STATE(38),
    [sym_hlsl_attribute] = STATE(1906),
    [aux_sym_preproc_if_repeat1] = STATE(38),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2673),
    [aux_sym_attributed_declarator_repeat1] = STATE(1337),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3021),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2514),
    [sym_identifier] = ACTIONS(369),
    [aux_sym_preproc_include_token1] = ACTIONS(371),
    [aux_sym_preproc_def_token1] = ACTIONS(373),
    [aux_sym_preproc_if_token1] = ACTIONS(375),
    [aux_sym_preproc_if_token2] = ACTIONS(700),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(379),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(379),
    [aux_sym_preproc_else_token1] = ACTIONS(283),
    [aux_sym_preproc_elif_token1] = ACTIONS(285),
    [sym_preproc_directive] = ACTIONS(381),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(383),
    [anon_sym___extension__] = ACTIONS(385),
    [anon_sym_typedef] = ACTIONS(387),
    [anon_sym_in] = ACTIONS(37),
    [anon_sym_out] = ACTIONS(37),
    [anon_sym_inout] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(389),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(45),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym___cdecl] = ACTIONS(51),
    [anon_sym___clrcall] = ACTIONS(51),
    [anon_sym___stdcall] = ACTIONS(51),
    [anon_sym___fastcall] = ACTIONS(51),
    [anon_sym___thiscall] = ACTIONS(51),
    [anon_sym___vectorcall] = ACTIONS(51),
    [anon_sym_LBRACE] = ACTIONS(391),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(393),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(65),
    [anon_sym_enum] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(69),
    [anon_sym_struct] = ACTIONS(71),
    [anon_sym_union] = ACTIONS(73),
    [anon_sym_if] = ACTIONS(395),
    [anon_sym_switch] = ACTIONS(397),
    [anon_sym_case] = ACTIONS(399),
    [anon_sym_default] = ACTIONS(401),
    [anon_sym_while] = ACTIONS(403),
    [anon_sym_do] = ACTIONS(405),
    [anon_sym_for] = ACTIONS(407),
    [anon_sym_return] = ACTIONS(409),
    [anon_sym_break] = ACTIONS(411),
    [anon_sym_continue] = ACTIONS(413),
    [anon_sym_goto] = ACTIONS(415),
    [anon_sym___try] = ACTIONS(417),
    [anon_sym___leave] = ACTIONS(419),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [anon_sym_virtual] = ACTIONS(123),
    [anon_sym_alignas] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(421),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_try] = ACTIONS(423),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(425),
    [anon_sym_namespace] = ACTIONS(427),
    [anon_sym_using] = ACTIONS(429),
    [anon_sym_static_assert] = ACTIONS(431),
    [anon_sym_concept] = ACTIONS(433),
    [anon_sym_co_return] = ACTIONS(435),
    [anon_sym_co_yield] = ACTIONS(437),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
    [anon_sym_discard] = ACTIONS(439),
    [anon_sym_precise] = ACTIONS(161),
    [anon_sym_shared] = ACTIONS(161),
    [anon_sym_groupshared] = ACTIONS(161),
    [anon_sym_uniform] = ACTIONS(161),
    [anon_sym_row_major] = ACTIONS(161),
    [anon_sym_column_major] = ACTIONS(161),
    [anon_sym_globallycoherent] = ACTIONS(161),
    [anon_sym_centroid] = ACTIONS(161),
    [anon_sym_noperspective] = ACTIONS(161),
    [anon_sym_nointerpolation] = ACTIONS(161),
    [anon_sym_sample] = ACTIONS(161),
    [anon_sym_linear] = ACTIONS(161),
    [anon_sym_snorm] = ACTIONS(161),
    [anon_sym_unorm] = ACTIONS(161),
    [anon_sym_point] = ACTIONS(161),
    [anon_sym_line] = ACTIONS(161),
    [anon_sym_triangleadj] = ACTIONS(161),
    [anon_sym_lineadj] = ACTIONS(161),
    [anon_sym_triangle] = ACTIONS(161),
    [anon_sym_cbuffer] = ACTIONS(441),
  },
  [32] = {
    [sym_preproc_include] = STATE(41),
    [sym_preproc_def] = STATE(41),
    [sym_preproc_function_def] = STATE(41),
    [sym_preproc_call] = STATE(41),
    [sym_preproc_if] = STATE(41),
    [sym_preproc_ifdef] = STATE(41),
    [sym_preproc_else] = STATE(9987),
    [sym_preproc_elif] = STATE(9987),
    [sym_function_definition] = STATE(41),
    [sym_declaration] = STATE(41),
    [sym_type_definition] = STATE(41),
    [sym__declaration_modifiers] = STATE(3159),
    [sym__declaration_specifiers] = STATE(5942),
    [sym_linkage_specification] = STATE(41),
    [sym_attribute_specifier] = STATE(3159),
    [sym_attribute_declaration] = STATE(1464),
    [sym_ms_declspec_modifier] = STATE(3159),
    [sym_ms_based_modifier] = STATE(10332),
    [sym_ms_call_modifier] = STATE(2637),
    [sym__declarator] = STATE(7978),
    [sym_parenthesized_declarator] = STATE(7680),
    [sym_attributed_declarator] = STATE(7680),
    [sym_pointer_declarator] = STATE(7680),
    [sym_function_declarator] = STATE(7563),
    [sym_array_declarator] = STATE(7680),
    [sym_compound_statement] = STATE(41),
    [sym_storage_class_specifier] = STATE(3159),
    [sym_type_qualifier] = STATE(3159),
    [sym__type_specifier] = STATE(3049),
    [sym_sized_type_specifier] = STATE(3085),
    [sym_enum_specifier] = STATE(3085),
    [sym_struct_specifier] = STATE(3085),
    [sym_union_specifier] = STATE(3085),
    [sym_attributed_statement] = STATE(41),
    [sym_labeled_statement] = STATE(41),
    [sym_expression_statement] = STATE(41),
    [sym_if_statement] = STATE(41),
    [sym_switch_statement] = STATE(41),
    [sym_case_statement] = STATE(41),
    [sym_while_statement] = STATE(41),
    [sym_do_statement] = STATE(41),
    [sym_for_statement] = STATE(41),
    [sym_return_statement] = STATE(41),
    [sym_break_statement] = STATE(41),
    [sym_continue_statement] = STATE(41),
    [sym_goto_statement] = STATE(41),
    [sym_seh_try_statement] = STATE(41),
    [sym_seh_leave_statement] = STATE(41),
    [sym__expression] = STATE(5802),
    [sym__expression_not_binary] = STATE(5024),
    [sym__string] = STATE(5024),
    [sym_comma_expression] = STATE(9525),
    [sym_conditional_expression] = STATE(5024),
    [sym_assignment_expression] = STATE(5024),
    [sym_pointer_expression] = STATE(4507),
    [sym_unary_expression] = STATE(5024),
    [sym_binary_expression] = STATE(5024),
    [sym_update_expression] = STATE(5024),
    [sym_cast_expression] = STATE(5024),
    [sym_sizeof_expression] = STATE(5024),
    [sym_alignof_expression] = STATE(5024),
    [sym_offsetof_expression] = STATE(5024),
    [sym_generic_expression] = STATE(5024),
    [sym_subscript_expression] = STATE(4507),
    [sym_call_expression] = STATE(4507),
    [sym_gnu_asm_expression] = STATE(5024),
    [sym_field_expression] = STATE(4507),
    [sym_compound_literal_expression] = STATE(5024),
    [sym_parenthesized_expression] = STATE(4507),
    [sym_char_literal] = STATE(5374),
    [sym_concatenated_string] = STATE(5377),
    [sym_string_literal] = STATE(4206),
    [sym_null] = STATE(5024),
    [sym__empty_declaration] = STATE(41),
    [sym_placeholder_type_specifier] = STATE(3085),
    [sym_decltype_auto] = STATE(3091),
    [sym_decltype] = STATE(3050),
    [sym_class_specifier] = STATE(3085),
    [sym__class_name] = STATE(9352),
    [sym_virtual] = STATE(3159),
    [sym_alignas_specifier] = STATE(3159),
    [sym_explicit_function_specifier] = STATE(2514),
    [sym_dependent_type] = STATE(3085),
    [sym_template_declaration] = STATE(41),
    [sym_template_instantiation] = STATE(41),
    [sym_operator_cast] = STATE(8082),
    [sym__constructor_specifiers] = STATE(2514),
    [sym_operator_cast_definition] = STATE(41),
    [sym_operator_cast_declaration] = STATE(41),
    [sym_constructor_or_destructor_definition] = STATE(41),
    [sym_reference_declarator] = STATE(7680),
    [sym_structured_binding_declarator] = STATE(7680),
    [sym_template_type] = STATE(3129),
    [sym_template_function] = STATE(5703),
    [sym_namespace_definition] = STATE(41),
    [sym_namespace_alias_definition] = STATE(41),
    [sym_using_declaration] = STATE(41),
    [sym_alias_declaration] = STATE(41),
    [sym_static_assert_declaration] = STATE(41),
    [sym_concept_definition] = STATE(41),
    [sym_for_range_loop] = STATE(41),
    [sym_co_return_statement] = STATE(41),
    [sym_co_yield_statement] = STATE(41),
    [sym_throw_statement] = STATE(41),
    [sym_try_statement] = STATE(41),
    [sym_raw_string_literal] = STATE(4217),
    [sym_co_await_expression] = STATE(5024),
    [sym_new_expression] = STATE(5024),
    [sym_delete_expression] = STATE(5024),
    [sym_requires_clause] = STATE(5024),
    [sym_requires_expression] = STATE(5024),
    [sym_lambda_expression] = STATE(5024),
    [sym_lambda_capture_specifier] = STATE(7184),
    [sym_fold_expression] = STATE(5024),
    [sym_parameter_pack_expansion] = STATE(5024),
    [sym_destructor_name] = STATE(7680),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6764),
    [sym_qualified_identifier] = STATE(4502),
    [sym_qualified_type_identifier] = STATE(3127),
    [sym_qualified_operator_cast_identifier] = STATE(8082),
    [sym_operator_name] = STATE(7680),
    [sym_user_defined_literal] = STATE(4507),
    [sym_discard_statement] = STATE(41),
    [sym_qualifiers] = STATE(3159),
    [sym_cbuffer_specifier] = STATE(41),
    [sym_hlsl_attribute] = STATE(1906),
    [aux_sym_preproc_if_repeat1] = STATE(41),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2673),
    [aux_sym_attributed_declarator_repeat1] = STATE(1337),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3021),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2514),
    [sym_identifier] = ACTIONS(369),
    [aux_sym_preproc_include_token1] = ACTIONS(371),
    [aux_sym_preproc_def_token1] = ACTIONS(373),
    [aux_sym_preproc_if_token1] = ACTIONS(375),
    [aux_sym_preproc_if_token2] = ACTIONS(702),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(379),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(379),
    [aux_sym_preproc_else_token1] = ACTIONS(283),
    [aux_sym_preproc_elif_token1] = ACTIONS(285),
    [sym_preproc_directive] = ACTIONS(381),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(383),
    [anon_sym___extension__] = ACTIONS(385),
    [anon_sym_typedef] = ACTIONS(387),
    [anon_sym_in] = ACTIONS(37),
    [anon_sym_out] = ACTIONS(37),
    [anon_sym_inout] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(389),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(45),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym___cdecl] = ACTIONS(51),
    [anon_sym___clrcall] = ACTIONS(51),
    [anon_sym___stdcall] = ACTIONS(51),
    [anon_sym___fastcall] = ACTIONS(51),
    [anon_sym___thiscall] = ACTIONS(51),
    [anon_sym___vectorcall] = ACTIONS(51),
    [anon_sym_LBRACE] = ACTIONS(391),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(393),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(65),
    [anon_sym_enum] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(69),
    [anon_sym_struct] = ACTIONS(71),
    [anon_sym_union] = ACTIONS(73),
    [anon_sym_if] = ACTIONS(395),
    [anon_sym_switch] = ACTIONS(397),
    [anon_sym_case] = ACTIONS(399),
    [anon_sym_default] = ACTIONS(401),
    [anon_sym_while] = ACTIONS(403),
    [anon_sym_do] = ACTIONS(405),
    [anon_sym_for] = ACTIONS(407),
    [anon_sym_return] = ACTIONS(409),
    [anon_sym_break] = ACTIONS(411),
    [anon_sym_continue] = ACTIONS(413),
    [anon_sym_goto] = ACTIONS(415),
    [anon_sym___try] = ACTIONS(417),
    [anon_sym___leave] = ACTIONS(419),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [anon_sym_virtual] = ACTIONS(123),
    [anon_sym_alignas] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(421),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_try] = ACTIONS(423),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(425),
    [anon_sym_namespace] = ACTIONS(427),
    [anon_sym_using] = ACTIONS(429),
    [anon_sym_static_assert] = ACTIONS(431),
    [anon_sym_concept] = ACTIONS(433),
    [anon_sym_co_return] = ACTIONS(435),
    [anon_sym_co_yield] = ACTIONS(437),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
    [anon_sym_discard] = ACTIONS(439),
    [anon_sym_precise] = ACTIONS(161),
    [anon_sym_shared] = ACTIONS(161),
    [anon_sym_groupshared] = ACTIONS(161),
    [anon_sym_uniform] = ACTIONS(161),
    [anon_sym_row_major] = ACTIONS(161),
    [anon_sym_column_major] = ACTIONS(161),
    [anon_sym_globallycoherent] = ACTIONS(161),
    [anon_sym_centroid] = ACTIONS(161),
    [anon_sym_noperspective] = ACTIONS(161),
    [anon_sym_nointerpolation] = ACTIONS(161),
    [anon_sym_sample] = ACTIONS(161),
    [anon_sym_linear] = ACTIONS(161),
    [anon_sym_snorm] = ACTIONS(161),
    [anon_sym_unorm] = ACTIONS(161),
    [anon_sym_point] = ACTIONS(161),
    [anon_sym_line] = ACTIONS(161),
    [anon_sym_triangleadj] = ACTIONS(161),
    [anon_sym_lineadj] = ACTIONS(161),
    [anon_sym_triangle] = ACTIONS(161),
    [anon_sym_cbuffer] = ACTIONS(441),
  },
  [33] = {
    [sym_preproc_include] = STATE(41),
    [sym_preproc_def] = STATE(41),
    [sym_preproc_function_def] = STATE(41),
    [sym_preproc_call] = STATE(41),
    [sym_preproc_if] = STATE(41),
    [sym_preproc_ifdef] = STATE(41),
    [sym_preproc_else] = STATE(9823),
    [sym_preproc_elif] = STATE(9823),
    [sym_function_definition] = STATE(41),
    [sym_declaration] = STATE(41),
    [sym_type_definition] = STATE(41),
    [sym__declaration_modifiers] = STATE(3159),
    [sym__declaration_specifiers] = STATE(5942),
    [sym_linkage_specification] = STATE(41),
    [sym_attribute_specifier] = STATE(3159),
    [sym_attribute_declaration] = STATE(1464),
    [sym_ms_declspec_modifier] = STATE(3159),
    [sym_ms_based_modifier] = STATE(10332),
    [sym_ms_call_modifier] = STATE(2637),
    [sym__declarator] = STATE(7978),
    [sym_parenthesized_declarator] = STATE(7680),
    [sym_attributed_declarator] = STATE(7680),
    [sym_pointer_declarator] = STATE(7680),
    [sym_function_declarator] = STATE(7563),
    [sym_array_declarator] = STATE(7680),
    [sym_compound_statement] = STATE(41),
    [sym_storage_class_specifier] = STATE(3159),
    [sym_type_qualifier] = STATE(3159),
    [sym__type_specifier] = STATE(3049),
    [sym_sized_type_specifier] = STATE(3085),
    [sym_enum_specifier] = STATE(3085),
    [sym_struct_specifier] = STATE(3085),
    [sym_union_specifier] = STATE(3085),
    [sym_attributed_statement] = STATE(41),
    [sym_labeled_statement] = STATE(41),
    [sym_expression_statement] = STATE(41),
    [sym_if_statement] = STATE(41),
    [sym_switch_statement] = STATE(41),
    [sym_case_statement] = STATE(41),
    [sym_while_statement] = STATE(41),
    [sym_do_statement] = STATE(41),
    [sym_for_statement] = STATE(41),
    [sym_return_statement] = STATE(41),
    [sym_break_statement] = STATE(41),
    [sym_continue_statement] = STATE(41),
    [sym_goto_statement] = STATE(41),
    [sym_seh_try_statement] = STATE(41),
    [sym_seh_leave_statement] = STATE(41),
    [sym__expression] = STATE(5802),
    [sym__expression_not_binary] = STATE(5024),
    [sym__string] = STATE(5024),
    [sym_comma_expression] = STATE(9525),
    [sym_conditional_expression] = STATE(5024),
    [sym_assignment_expression] = STATE(5024),
    [sym_pointer_expression] = STATE(4507),
    [sym_unary_expression] = STATE(5024),
    [sym_binary_expression] = STATE(5024),
    [sym_update_expression] = STATE(5024),
    [sym_cast_expression] = STATE(5024),
    [sym_sizeof_expression] = STATE(5024),
    [sym_alignof_expression] = STATE(5024),
    [sym_offsetof_expression] = STATE(5024),
    [sym_generic_expression] = STATE(5024),
    [sym_subscript_expression] = STATE(4507),
    [sym_call_expression] = STATE(4507),
    [sym_gnu_asm_expression] = STATE(5024),
    [sym_field_expression] = STATE(4507),
    [sym_compound_literal_expression] = STATE(5024),
    [sym_parenthesized_expression] = STATE(4507),
    [sym_char_literal] = STATE(5374),
    [sym_concatenated_string] = STATE(5377),
    [sym_string_literal] = STATE(4206),
    [sym_null] = STATE(5024),
    [sym__empty_declaration] = STATE(41),
    [sym_placeholder_type_specifier] = STATE(3085),
    [sym_decltype_auto] = STATE(3091),
    [sym_decltype] = STATE(3050),
    [sym_class_specifier] = STATE(3085),
    [sym__class_name] = STATE(9352),
    [sym_virtual] = STATE(3159),
    [sym_alignas_specifier] = STATE(3159),
    [sym_explicit_function_specifier] = STATE(2514),
    [sym_dependent_type] = STATE(3085),
    [sym_template_declaration] = STATE(41),
    [sym_template_instantiation] = STATE(41),
    [sym_operator_cast] = STATE(8082),
    [sym__constructor_specifiers] = STATE(2514),
    [sym_operator_cast_definition] = STATE(41),
    [sym_operator_cast_declaration] = STATE(41),
    [sym_constructor_or_destructor_definition] = STATE(41),
    [sym_reference_declarator] = STATE(7680),
    [sym_structured_binding_declarator] = STATE(7680),
    [sym_template_type] = STATE(3129),
    [sym_template_function] = STATE(5703),
    [sym_namespace_definition] = STATE(41),
    [sym_namespace_alias_definition] = STATE(41),
    [sym_using_declaration] = STATE(41),
    [sym_alias_declaration] = STATE(41),
    [sym_static_assert_declaration] = STATE(41),
    [sym_concept_definition] = STATE(41),
    [sym_for_range_loop] = STATE(41),
    [sym_co_return_statement] = STATE(41),
    [sym_co_yield_statement] = STATE(41),
    [sym_throw_statement] = STATE(41),
    [sym_try_statement] = STATE(41),
    [sym_raw_string_literal] = STATE(4217),
    [sym_co_await_expression] = STATE(5024),
    [sym_new_expression] = STATE(5024),
    [sym_delete_expression] = STATE(5024),
    [sym_requires_clause] = STATE(5024),
    [sym_requires_expression] = STATE(5024),
    [sym_lambda_expression] = STATE(5024),
    [sym_lambda_capture_specifier] = STATE(7184),
    [sym_fold_expression] = STATE(5024),
    [sym_parameter_pack_expansion] = STATE(5024),
    [sym_destructor_name] = STATE(7680),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6764),
    [sym_qualified_identifier] = STATE(4502),
    [sym_qualified_type_identifier] = STATE(3127),
    [sym_qualified_operator_cast_identifier] = STATE(8082),
    [sym_operator_name] = STATE(7680),
    [sym_user_defined_literal] = STATE(4507),
    [sym_discard_statement] = STATE(41),
    [sym_qualifiers] = STATE(3159),
    [sym_cbuffer_specifier] = STATE(41),
    [sym_hlsl_attribute] = STATE(1906),
    [aux_sym_preproc_if_repeat1] = STATE(41),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2673),
    [aux_sym_attributed_declarator_repeat1] = STATE(1337),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3021),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2514),
    [sym_identifier] = ACTIONS(369),
    [aux_sym_preproc_include_token1] = ACTIONS(371),
    [aux_sym_preproc_def_token1] = ACTIONS(373),
    [aux_sym_preproc_if_token1] = ACTIONS(375),
    [aux_sym_preproc_if_token2] = ACTIONS(704),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(379),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(379),
    [aux_sym_preproc_else_token1] = ACTIONS(283),
    [aux_sym_preproc_elif_token1] = ACTIONS(285),
    [sym_preproc_directive] = ACTIONS(381),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(383),
    [anon_sym___extension__] = ACTIONS(385),
    [anon_sym_typedef] = ACTIONS(387),
    [anon_sym_in] = ACTIONS(37),
    [anon_sym_out] = ACTIONS(37),
    [anon_sym_inout] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(389),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(45),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym___cdecl] = ACTIONS(51),
    [anon_sym___clrcall] = ACTIONS(51),
    [anon_sym___stdcall] = ACTIONS(51),
    [anon_sym___fastcall] = ACTIONS(51),
    [anon_sym___thiscall] = ACTIONS(51),
    [anon_sym___vectorcall] = ACTIONS(51),
    [anon_sym_LBRACE] = ACTIONS(391),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(393),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(65),
    [anon_sym_enum] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(69),
    [anon_sym_struct] = ACTIONS(71),
    [anon_sym_union] = ACTIONS(73),
    [anon_sym_if] = ACTIONS(395),
    [anon_sym_switch] = ACTIONS(397),
    [anon_sym_case] = ACTIONS(399),
    [anon_sym_default] = ACTIONS(401),
    [anon_sym_while] = ACTIONS(403),
    [anon_sym_do] = ACTIONS(405),
    [anon_sym_for] = ACTIONS(407),
    [anon_sym_return] = ACTIONS(409),
    [anon_sym_break] = ACTIONS(411),
    [anon_sym_continue] = ACTIONS(413),
    [anon_sym_goto] = ACTIONS(415),
    [anon_sym___try] = ACTIONS(417),
    [anon_sym___leave] = ACTIONS(419),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [anon_sym_virtual] = ACTIONS(123),
    [anon_sym_alignas] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(421),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_try] = ACTIONS(423),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(425),
    [anon_sym_namespace] = ACTIONS(427),
    [anon_sym_using] = ACTIONS(429),
    [anon_sym_static_assert] = ACTIONS(431),
    [anon_sym_concept] = ACTIONS(433),
    [anon_sym_co_return] = ACTIONS(435),
    [anon_sym_co_yield] = ACTIONS(437),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
    [anon_sym_discard] = ACTIONS(439),
    [anon_sym_precise] = ACTIONS(161),
    [anon_sym_shared] = ACTIONS(161),
    [anon_sym_groupshared] = ACTIONS(161),
    [anon_sym_uniform] = ACTIONS(161),
    [anon_sym_row_major] = ACTIONS(161),
    [anon_sym_column_major] = ACTIONS(161),
    [anon_sym_globallycoherent] = ACTIONS(161),
    [anon_sym_centroid] = ACTIONS(161),
    [anon_sym_noperspective] = ACTIONS(161),
    [anon_sym_nointerpolation] = ACTIONS(161),
    [anon_sym_sample] = ACTIONS(161),
    [anon_sym_linear] = ACTIONS(161),
    [anon_sym_snorm] = ACTIONS(161),
    [anon_sym_unorm] = ACTIONS(161),
    [anon_sym_point] = ACTIONS(161),
    [anon_sym_line] = ACTIONS(161),
    [anon_sym_triangleadj] = ACTIONS(161),
    [anon_sym_lineadj] = ACTIONS(161),
    [anon_sym_triangle] = ACTIONS(161),
    [anon_sym_cbuffer] = ACTIONS(441),
  },
  [34] = {
    [sym_preproc_include] = STATE(40),
    [sym_preproc_def] = STATE(40),
    [sym_preproc_function_def] = STATE(40),
    [sym_preproc_call] = STATE(40),
    [sym_preproc_if] = STATE(40),
    [sym_preproc_ifdef] = STATE(40),
    [sym_preproc_else] = STATE(9822),
    [sym_preproc_elif] = STATE(9822),
    [sym_function_definition] = STATE(40),
    [sym_declaration] = STATE(40),
    [sym_type_definition] = STATE(40),
    [sym__declaration_modifiers] = STATE(3159),
    [sym__declaration_specifiers] = STATE(5942),
    [sym_linkage_specification] = STATE(40),
    [sym_attribute_specifier] = STATE(3159),
    [sym_attribute_declaration] = STATE(1464),
    [sym_ms_declspec_modifier] = STATE(3159),
    [sym_ms_based_modifier] = STATE(10332),
    [sym_ms_call_modifier] = STATE(2637),
    [sym__declarator] = STATE(7978),
    [sym_parenthesized_declarator] = STATE(7680),
    [sym_attributed_declarator] = STATE(7680),
    [sym_pointer_declarator] = STATE(7680),
    [sym_function_declarator] = STATE(7563),
    [sym_array_declarator] = STATE(7680),
    [sym_compound_statement] = STATE(40),
    [sym_storage_class_specifier] = STATE(3159),
    [sym_type_qualifier] = STATE(3159),
    [sym__type_specifier] = STATE(3049),
    [sym_sized_type_specifier] = STATE(3085),
    [sym_enum_specifier] = STATE(3085),
    [sym_struct_specifier] = STATE(3085),
    [sym_union_specifier] = STATE(3085),
    [sym_attributed_statement] = STATE(40),
    [sym_labeled_statement] = STATE(40),
    [sym_expression_statement] = STATE(40),
    [sym_if_statement] = STATE(40),
    [sym_switch_statement] = STATE(40),
    [sym_case_statement] = STATE(40),
    [sym_while_statement] = STATE(40),
    [sym_do_statement] = STATE(40),
    [sym_for_statement] = STATE(40),
    [sym_return_statement] = STATE(40),
    [sym_break_statement] = STATE(40),
    [sym_continue_statement] = STATE(40),
    [sym_goto_statement] = STATE(40),
    [sym_seh_try_statement] = STATE(40),
    [sym_seh_leave_statement] = STATE(40),
    [sym__expression] = STATE(5802),
    [sym__expression_not_binary] = STATE(5024),
    [sym__string] = STATE(5024),
    [sym_comma_expression] = STATE(9525),
    [sym_conditional_expression] = STATE(5024),
    [sym_assignment_expression] = STATE(5024),
    [sym_pointer_expression] = STATE(4507),
    [sym_unary_expression] = STATE(5024),
    [sym_binary_expression] = STATE(5024),
    [sym_update_expression] = STATE(5024),
    [sym_cast_expression] = STATE(5024),
    [sym_sizeof_expression] = STATE(5024),
    [sym_alignof_expression] = STATE(5024),
    [sym_offsetof_expression] = STATE(5024),
    [sym_generic_expression] = STATE(5024),
    [sym_subscript_expression] = STATE(4507),
    [sym_call_expression] = STATE(4507),
    [sym_gnu_asm_expression] = STATE(5024),
    [sym_field_expression] = STATE(4507),
    [sym_compound_literal_expression] = STATE(5024),
    [sym_parenthesized_expression] = STATE(4507),
    [sym_char_literal] = STATE(5374),
    [sym_concatenated_string] = STATE(5377),
    [sym_string_literal] = STATE(4206),
    [sym_null] = STATE(5024),
    [sym__empty_declaration] = STATE(40),
    [sym_placeholder_type_specifier] = STATE(3085),
    [sym_decltype_auto] = STATE(3091),
    [sym_decltype] = STATE(3050),
    [sym_class_specifier] = STATE(3085),
    [sym__class_name] = STATE(9352),
    [sym_virtual] = STATE(3159),
    [sym_alignas_specifier] = STATE(3159),
    [sym_explicit_function_specifier] = STATE(2514),
    [sym_dependent_type] = STATE(3085),
    [sym_template_declaration] = STATE(40),
    [sym_template_instantiation] = STATE(40),
    [sym_operator_cast] = STATE(8082),
    [sym__constructor_specifiers] = STATE(2514),
    [sym_operator_cast_definition] = STATE(40),
    [sym_operator_cast_declaration] = STATE(40),
    [sym_constructor_or_destructor_definition] = STATE(40),
    [sym_reference_declarator] = STATE(7680),
    [sym_structured_binding_declarator] = STATE(7680),
    [sym_template_type] = STATE(3129),
    [sym_template_function] = STATE(5703),
    [sym_namespace_definition] = STATE(40),
    [sym_namespace_alias_definition] = STATE(40),
    [sym_using_declaration] = STATE(40),
    [sym_alias_declaration] = STATE(40),
    [sym_static_assert_declaration] = STATE(40),
    [sym_concept_definition] = STATE(40),
    [sym_for_range_loop] = STATE(40),
    [sym_co_return_statement] = STATE(40),
    [sym_co_yield_statement] = STATE(40),
    [sym_throw_statement] = STATE(40),
    [sym_try_statement] = STATE(40),
    [sym_raw_string_literal] = STATE(4217),
    [sym_co_await_expression] = STATE(5024),
    [sym_new_expression] = STATE(5024),
    [sym_delete_expression] = STATE(5024),
    [sym_requires_clause] = STATE(5024),
    [sym_requires_expression] = STATE(5024),
    [sym_lambda_expression] = STATE(5024),
    [sym_lambda_capture_specifier] = STATE(7184),
    [sym_fold_expression] = STATE(5024),
    [sym_parameter_pack_expansion] = STATE(5024),
    [sym_destructor_name] = STATE(7680),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6764),
    [sym_qualified_identifier] = STATE(4502),
    [sym_qualified_type_identifier] = STATE(3127),
    [sym_qualified_operator_cast_identifier] = STATE(8082),
    [sym_operator_name] = STATE(7680),
    [sym_user_defined_literal] = STATE(4507),
    [sym_discard_statement] = STATE(40),
    [sym_qualifiers] = STATE(3159),
    [sym_cbuffer_specifier] = STATE(40),
    [sym_hlsl_attribute] = STATE(1906),
    [aux_sym_preproc_if_repeat1] = STATE(40),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2673),
    [aux_sym_attributed_declarator_repeat1] = STATE(1337),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3021),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2514),
    [sym_identifier] = ACTIONS(369),
    [aux_sym_preproc_include_token1] = ACTIONS(371),
    [aux_sym_preproc_def_token1] = ACTIONS(373),
    [aux_sym_preproc_if_token1] = ACTIONS(375),
    [aux_sym_preproc_if_token2] = ACTIONS(706),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(379),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(379),
    [aux_sym_preproc_else_token1] = ACTIONS(283),
    [aux_sym_preproc_elif_token1] = ACTIONS(285),
    [sym_preproc_directive] = ACTIONS(381),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(383),
    [anon_sym___extension__] = ACTIONS(385),
    [anon_sym_typedef] = ACTIONS(387),
    [anon_sym_in] = ACTIONS(37),
    [anon_sym_out] = ACTIONS(37),
    [anon_sym_inout] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(389),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(45),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym___cdecl] = ACTIONS(51),
    [anon_sym___clrcall] = ACTIONS(51),
    [anon_sym___stdcall] = ACTIONS(51),
    [anon_sym___fastcall] = ACTIONS(51),
    [anon_sym___thiscall] = ACTIONS(51),
    [anon_sym___vectorcall] = ACTIONS(51),
    [anon_sym_LBRACE] = ACTIONS(391),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(393),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(65),
    [anon_sym_enum] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(69),
    [anon_sym_struct] = ACTIONS(71),
    [anon_sym_union] = ACTIONS(73),
    [anon_sym_if] = ACTIONS(395),
    [anon_sym_switch] = ACTIONS(397),
    [anon_sym_case] = ACTIONS(399),
    [anon_sym_default] = ACTIONS(401),
    [anon_sym_while] = ACTIONS(403),
    [anon_sym_do] = ACTIONS(405),
    [anon_sym_for] = ACTIONS(407),
    [anon_sym_return] = ACTIONS(409),
    [anon_sym_break] = ACTIONS(411),
    [anon_sym_continue] = ACTIONS(413),
    [anon_sym_goto] = ACTIONS(415),
    [anon_sym___try] = ACTIONS(417),
    [anon_sym___leave] = ACTIONS(419),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [anon_sym_virtual] = ACTIONS(123),
    [anon_sym_alignas] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(421),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_try] = ACTIONS(423),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(425),
    [anon_sym_namespace] = ACTIONS(427),
    [anon_sym_using] = ACTIONS(429),
    [anon_sym_static_assert] = ACTIONS(431),
    [anon_sym_concept] = ACTIONS(433),
    [anon_sym_co_return] = ACTIONS(435),
    [anon_sym_co_yield] = ACTIONS(437),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
    [anon_sym_discard] = ACTIONS(439),
    [anon_sym_precise] = ACTIONS(161),
    [anon_sym_shared] = ACTIONS(161),
    [anon_sym_groupshared] = ACTIONS(161),
    [anon_sym_uniform] = ACTIONS(161),
    [anon_sym_row_major] = ACTIONS(161),
    [anon_sym_column_major] = ACTIONS(161),
    [anon_sym_globallycoherent] = ACTIONS(161),
    [anon_sym_centroid] = ACTIONS(161),
    [anon_sym_noperspective] = ACTIONS(161),
    [anon_sym_nointerpolation] = ACTIONS(161),
    [anon_sym_sample] = ACTIONS(161),
    [anon_sym_linear] = ACTIONS(161),
    [anon_sym_snorm] = ACTIONS(161),
    [anon_sym_unorm] = ACTIONS(161),
    [anon_sym_point] = ACTIONS(161),
    [anon_sym_line] = ACTIONS(161),
    [anon_sym_triangleadj] = ACTIONS(161),
    [anon_sym_lineadj] = ACTIONS(161),
    [anon_sym_triangle] = ACTIONS(161),
    [anon_sym_cbuffer] = ACTIONS(441),
  },
  [35] = {
    [sym_preproc_include] = STATE(33),
    [sym_preproc_def] = STATE(33),
    [sym_preproc_function_def] = STATE(33),
    [sym_preproc_call] = STATE(33),
    [sym_preproc_if] = STATE(33),
    [sym_preproc_ifdef] = STATE(33),
    [sym_preproc_else] = STATE(9658),
    [sym_preproc_elif] = STATE(9658),
    [sym_function_definition] = STATE(33),
    [sym_declaration] = STATE(33),
    [sym_type_definition] = STATE(33),
    [sym__declaration_modifiers] = STATE(3159),
    [sym__declaration_specifiers] = STATE(5942),
    [sym_linkage_specification] = STATE(33),
    [sym_attribute_specifier] = STATE(3159),
    [sym_attribute_declaration] = STATE(1464),
    [sym_ms_declspec_modifier] = STATE(3159),
    [sym_ms_based_modifier] = STATE(10332),
    [sym_ms_call_modifier] = STATE(2637),
    [sym__declarator] = STATE(7978),
    [sym_parenthesized_declarator] = STATE(7680),
    [sym_attributed_declarator] = STATE(7680),
    [sym_pointer_declarator] = STATE(7680),
    [sym_function_declarator] = STATE(7563),
    [sym_array_declarator] = STATE(7680),
    [sym_compound_statement] = STATE(33),
    [sym_storage_class_specifier] = STATE(3159),
    [sym_type_qualifier] = STATE(3159),
    [sym__type_specifier] = STATE(3049),
    [sym_sized_type_specifier] = STATE(3085),
    [sym_enum_specifier] = STATE(3085),
    [sym_struct_specifier] = STATE(3085),
    [sym_union_specifier] = STATE(3085),
    [sym_attributed_statement] = STATE(33),
    [sym_labeled_statement] = STATE(33),
    [sym_expression_statement] = STATE(33),
    [sym_if_statement] = STATE(33),
    [sym_switch_statement] = STATE(33),
    [sym_case_statement] = STATE(33),
    [sym_while_statement] = STATE(33),
    [sym_do_statement] = STATE(33),
    [sym_for_statement] = STATE(33),
    [sym_return_statement] = STATE(33),
    [sym_break_statement] = STATE(33),
    [sym_continue_statement] = STATE(33),
    [sym_goto_statement] = STATE(33),
    [sym_seh_try_statement] = STATE(33),
    [sym_seh_leave_statement] = STATE(33),
    [sym__expression] = STATE(5802),
    [sym__expression_not_binary] = STATE(5024),
    [sym__string] = STATE(5024),
    [sym_comma_expression] = STATE(9525),
    [sym_conditional_expression] = STATE(5024),
    [sym_assignment_expression] = STATE(5024),
    [sym_pointer_expression] = STATE(4507),
    [sym_unary_expression] = STATE(5024),
    [sym_binary_expression] = STATE(5024),
    [sym_update_expression] = STATE(5024),
    [sym_cast_expression] = STATE(5024),
    [sym_sizeof_expression] = STATE(5024),
    [sym_alignof_expression] = STATE(5024),
    [sym_offsetof_expression] = STATE(5024),
    [sym_generic_expression] = STATE(5024),
    [sym_subscript_expression] = STATE(4507),
    [sym_call_expression] = STATE(4507),
    [sym_gnu_asm_expression] = STATE(5024),
    [sym_field_expression] = STATE(4507),
    [sym_compound_literal_expression] = STATE(5024),
    [sym_parenthesized_expression] = STATE(4507),
    [sym_char_literal] = STATE(5374),
    [sym_concatenated_string] = STATE(5377),
    [sym_string_literal] = STATE(4206),
    [sym_null] = STATE(5024),
    [sym__empty_declaration] = STATE(33),
    [sym_placeholder_type_specifier] = STATE(3085),
    [sym_decltype_auto] = STATE(3091),
    [sym_decltype] = STATE(3050),
    [sym_class_specifier] = STATE(3085),
    [sym__class_name] = STATE(9352),
    [sym_virtual] = STATE(3159),
    [sym_alignas_specifier] = STATE(3159),
    [sym_explicit_function_specifier] = STATE(2514),
    [sym_dependent_type] = STATE(3085),
    [sym_template_declaration] = STATE(33),
    [sym_template_instantiation] = STATE(33),
    [sym_operator_cast] = STATE(8082),
    [sym__constructor_specifiers] = STATE(2514),
    [sym_operator_cast_definition] = STATE(33),
    [sym_operator_cast_declaration] = STATE(33),
    [sym_constructor_or_destructor_definition] = STATE(33),
    [sym_reference_declarator] = STATE(7680),
    [sym_structured_binding_declarator] = STATE(7680),
    [sym_template_type] = STATE(3129),
    [sym_template_function] = STATE(5703),
    [sym_namespace_definition] = STATE(33),
    [sym_namespace_alias_definition] = STATE(33),
    [sym_using_declaration] = STATE(33),
    [sym_alias_declaration] = STATE(33),
    [sym_static_assert_declaration] = STATE(33),
    [sym_concept_definition] = STATE(33),
    [sym_for_range_loop] = STATE(33),
    [sym_co_return_statement] = STATE(33),
    [sym_co_yield_statement] = STATE(33),
    [sym_throw_statement] = STATE(33),
    [sym_try_statement] = STATE(33),
    [sym_raw_string_literal] = STATE(4217),
    [sym_co_await_expression] = STATE(5024),
    [sym_new_expression] = STATE(5024),
    [sym_delete_expression] = STATE(5024),
    [sym_requires_clause] = STATE(5024),
    [sym_requires_expression] = STATE(5024),
    [sym_lambda_expression] = STATE(5024),
    [sym_lambda_capture_specifier] = STATE(7184),
    [sym_fold_expression] = STATE(5024),
    [sym_parameter_pack_expansion] = STATE(5024),
    [sym_destructor_name] = STATE(7680),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6764),
    [sym_qualified_identifier] = STATE(4502),
    [sym_qualified_type_identifier] = STATE(3127),
    [sym_qualified_operator_cast_identifier] = STATE(8082),
    [sym_operator_name] = STATE(7680),
    [sym_user_defined_literal] = STATE(4507),
    [sym_discard_statement] = STATE(33),
    [sym_qualifiers] = STATE(3159),
    [sym_cbuffer_specifier] = STATE(33),
    [sym_hlsl_attribute] = STATE(1906),
    [aux_sym_preproc_if_repeat1] = STATE(33),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2673),
    [aux_sym_attributed_declarator_repeat1] = STATE(1337),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3021),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2514),
    [sym_identifier] = ACTIONS(369),
    [aux_sym_preproc_include_token1] = ACTIONS(371),
    [aux_sym_preproc_def_token1] = ACTIONS(373),
    [aux_sym_preproc_if_token1] = ACTIONS(375),
    [aux_sym_preproc_if_token2] = ACTIONS(708),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(379),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(379),
    [aux_sym_preproc_else_token1] = ACTIONS(283),
    [aux_sym_preproc_elif_token1] = ACTIONS(285),
    [sym_preproc_directive] = ACTIONS(381),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(383),
    [anon_sym___extension__] = ACTIONS(385),
    [anon_sym_typedef] = ACTIONS(387),
    [anon_sym_in] = ACTIONS(37),
    [anon_sym_out] = ACTIONS(37),
    [anon_sym_inout] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(389),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(45),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym___cdecl] = ACTIONS(51),
    [anon_sym___clrcall] = ACTIONS(51),
    [anon_sym___stdcall] = ACTIONS(51),
    [anon_sym___fastcall] = ACTIONS(51),
    [anon_sym___thiscall] = ACTIONS(51),
    [anon_sym___vectorcall] = ACTIONS(51),
    [anon_sym_LBRACE] = ACTIONS(391),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(393),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(65),
    [anon_sym_enum] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(69),
    [anon_sym_struct] = ACTIONS(71),
    [anon_sym_union] = ACTIONS(73),
    [anon_sym_if] = ACTIONS(395),
    [anon_sym_switch] = ACTIONS(397),
    [anon_sym_case] = ACTIONS(399),
    [anon_sym_default] = ACTIONS(401),
    [anon_sym_while] = ACTIONS(403),
    [anon_sym_do] = ACTIONS(405),
    [anon_sym_for] = ACTIONS(407),
    [anon_sym_return] = ACTIONS(409),
    [anon_sym_break] = ACTIONS(411),
    [anon_sym_continue] = ACTIONS(413),
    [anon_sym_goto] = ACTIONS(415),
    [anon_sym___try] = ACTIONS(417),
    [anon_sym___leave] = ACTIONS(419),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [anon_sym_virtual] = ACTIONS(123),
    [anon_sym_alignas] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(421),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_try] = ACTIONS(423),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(425),
    [anon_sym_namespace] = ACTIONS(427),
    [anon_sym_using] = ACTIONS(429),
    [anon_sym_static_assert] = ACTIONS(431),
    [anon_sym_concept] = ACTIONS(433),
    [anon_sym_co_return] = ACTIONS(435),
    [anon_sym_co_yield] = ACTIONS(437),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
    [anon_sym_discard] = ACTIONS(439),
    [anon_sym_precise] = ACTIONS(161),
    [anon_sym_shared] = ACTIONS(161),
    [anon_sym_groupshared] = ACTIONS(161),
    [anon_sym_uniform] = ACTIONS(161),
    [anon_sym_row_major] = ACTIONS(161),
    [anon_sym_column_major] = ACTIONS(161),
    [anon_sym_globallycoherent] = ACTIONS(161),
    [anon_sym_centroid] = ACTIONS(161),
    [anon_sym_noperspective] = ACTIONS(161),
    [anon_sym_nointerpolation] = ACTIONS(161),
    [anon_sym_sample] = ACTIONS(161),
    [anon_sym_linear] = ACTIONS(161),
    [anon_sym_snorm] = ACTIONS(161),
    [anon_sym_unorm] = ACTIONS(161),
    [anon_sym_point] = ACTIONS(161),
    [anon_sym_line] = ACTIONS(161),
    [anon_sym_triangleadj] = ACTIONS(161),
    [anon_sym_lineadj] = ACTIONS(161),
    [anon_sym_triangle] = ACTIONS(161),
    [anon_sym_cbuffer] = ACTIONS(441),
  },
  [36] = {
    [sym_preproc_include] = STATE(41),
    [sym_preproc_def] = STATE(41),
    [sym_preproc_function_def] = STATE(41),
    [sym_preproc_call] = STATE(41),
    [sym_preproc_if] = STATE(41),
    [sym_preproc_ifdef] = STATE(41),
    [sym_preproc_else] = STATE(10172),
    [sym_preproc_elif] = STATE(10172),
    [sym_function_definition] = STATE(41),
    [sym_declaration] = STATE(41),
    [sym_type_definition] = STATE(41),
    [sym__declaration_modifiers] = STATE(3159),
    [sym__declaration_specifiers] = STATE(5942),
    [sym_linkage_specification] = STATE(41),
    [sym_attribute_specifier] = STATE(3159),
    [sym_attribute_declaration] = STATE(1464),
    [sym_ms_declspec_modifier] = STATE(3159),
    [sym_ms_based_modifier] = STATE(10332),
    [sym_ms_call_modifier] = STATE(2637),
    [sym__declarator] = STATE(7978),
    [sym_parenthesized_declarator] = STATE(7680),
    [sym_attributed_declarator] = STATE(7680),
    [sym_pointer_declarator] = STATE(7680),
    [sym_function_declarator] = STATE(7563),
    [sym_array_declarator] = STATE(7680),
    [sym_compound_statement] = STATE(41),
    [sym_storage_class_specifier] = STATE(3159),
    [sym_type_qualifier] = STATE(3159),
    [sym__type_specifier] = STATE(3049),
    [sym_sized_type_specifier] = STATE(3085),
    [sym_enum_specifier] = STATE(3085),
    [sym_struct_specifier] = STATE(3085),
    [sym_union_specifier] = STATE(3085),
    [sym_attributed_statement] = STATE(41),
    [sym_labeled_statement] = STATE(41),
    [sym_expression_statement] = STATE(41),
    [sym_if_statement] = STATE(41),
    [sym_switch_statement] = STATE(41),
    [sym_case_statement] = STATE(41),
    [sym_while_statement] = STATE(41),
    [sym_do_statement] = STATE(41),
    [sym_for_statement] = STATE(41),
    [sym_return_statement] = STATE(41),
    [sym_break_statement] = STATE(41),
    [sym_continue_statement] = STATE(41),
    [sym_goto_statement] = STATE(41),
    [sym_seh_try_statement] = STATE(41),
    [sym_seh_leave_statement] = STATE(41),
    [sym__expression] = STATE(5802),
    [sym__expression_not_binary] = STATE(5024),
    [sym__string] = STATE(5024),
    [sym_comma_expression] = STATE(9525),
    [sym_conditional_expression] = STATE(5024),
    [sym_assignment_expression] = STATE(5024),
    [sym_pointer_expression] = STATE(4507),
    [sym_unary_expression] = STATE(5024),
    [sym_binary_expression] = STATE(5024),
    [sym_update_expression] = STATE(5024),
    [sym_cast_expression] = STATE(5024),
    [sym_sizeof_expression] = STATE(5024),
    [sym_alignof_expression] = STATE(5024),
    [sym_offsetof_expression] = STATE(5024),
    [sym_generic_expression] = STATE(5024),
    [sym_subscript_expression] = STATE(4507),
    [sym_call_expression] = STATE(4507),
    [sym_gnu_asm_expression] = STATE(5024),
    [sym_field_expression] = STATE(4507),
    [sym_compound_literal_expression] = STATE(5024),
    [sym_parenthesized_expression] = STATE(4507),
    [sym_char_literal] = STATE(5374),
    [sym_concatenated_string] = STATE(5377),
    [sym_string_literal] = STATE(4206),
    [sym_null] = STATE(5024),
    [sym__empty_declaration] = STATE(41),
    [sym_placeholder_type_specifier] = STATE(3085),
    [sym_decltype_auto] = STATE(3091),
    [sym_decltype] = STATE(3050),
    [sym_class_specifier] = STATE(3085),
    [sym__class_name] = STATE(9352),
    [sym_virtual] = STATE(3159),
    [sym_alignas_specifier] = STATE(3159),
    [sym_explicit_function_specifier] = STATE(2514),
    [sym_dependent_type] = STATE(3085),
    [sym_template_declaration] = STATE(41),
    [sym_template_instantiation] = STATE(41),
    [sym_operator_cast] = STATE(8082),
    [sym__constructor_specifiers] = STATE(2514),
    [sym_operator_cast_definition] = STATE(41),
    [sym_operator_cast_declaration] = STATE(41),
    [sym_constructor_or_destructor_definition] = STATE(41),
    [sym_reference_declarator] = STATE(7680),
    [sym_structured_binding_declarator] = STATE(7680),
    [sym_template_type] = STATE(3129),
    [sym_template_function] = STATE(5703),
    [sym_namespace_definition] = STATE(41),
    [sym_namespace_alias_definition] = STATE(41),
    [sym_using_declaration] = STATE(41),
    [sym_alias_declaration] = STATE(41),
    [sym_static_assert_declaration] = STATE(41),
    [sym_concept_definition] = STATE(41),
    [sym_for_range_loop] = STATE(41),
    [sym_co_return_statement] = STATE(41),
    [sym_co_yield_statement] = STATE(41),
    [sym_throw_statement] = STATE(41),
    [sym_try_statement] = STATE(41),
    [sym_raw_string_literal] = STATE(4217),
    [sym_co_await_expression] = STATE(5024),
    [sym_new_expression] = STATE(5024),
    [sym_delete_expression] = STATE(5024),
    [sym_requires_clause] = STATE(5024),
    [sym_requires_expression] = STATE(5024),
    [sym_lambda_expression] = STATE(5024),
    [sym_lambda_capture_specifier] = STATE(7184),
    [sym_fold_expression] = STATE(5024),
    [sym_parameter_pack_expansion] = STATE(5024),
    [sym_destructor_name] = STATE(7680),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6764),
    [sym_qualified_identifier] = STATE(4502),
    [sym_qualified_type_identifier] = STATE(3127),
    [sym_qualified_operator_cast_identifier] = STATE(8082),
    [sym_operator_name] = STATE(7680),
    [sym_user_defined_literal] = STATE(4507),
    [sym_discard_statement] = STATE(41),
    [sym_qualifiers] = STATE(3159),
    [sym_cbuffer_specifier] = STATE(41),
    [sym_hlsl_attribute] = STATE(1906),
    [aux_sym_preproc_if_repeat1] = STATE(41),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2673),
    [aux_sym_attributed_declarator_repeat1] = STATE(1337),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3021),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2514),
    [sym_identifier] = ACTIONS(369),
    [aux_sym_preproc_include_token1] = ACTIONS(371),
    [aux_sym_preproc_def_token1] = ACTIONS(373),
    [aux_sym_preproc_if_token1] = ACTIONS(375),
    [aux_sym_preproc_if_token2] = ACTIONS(710),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(379),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(379),
    [aux_sym_preproc_else_token1] = ACTIONS(283),
    [aux_sym_preproc_elif_token1] = ACTIONS(285),
    [sym_preproc_directive] = ACTIONS(381),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(383),
    [anon_sym___extension__] = ACTIONS(385),
    [anon_sym_typedef] = ACTIONS(387),
    [anon_sym_in] = ACTIONS(37),
    [anon_sym_out] = ACTIONS(37),
    [anon_sym_inout] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(389),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(45),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym___cdecl] = ACTIONS(51),
    [anon_sym___clrcall] = ACTIONS(51),
    [anon_sym___stdcall] = ACTIONS(51),
    [anon_sym___fastcall] = ACTIONS(51),
    [anon_sym___thiscall] = ACTIONS(51),
    [anon_sym___vectorcall] = ACTIONS(51),
    [anon_sym_LBRACE] = ACTIONS(391),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(393),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(65),
    [anon_sym_enum] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(69),
    [anon_sym_struct] = ACTIONS(71),
    [anon_sym_union] = ACTIONS(73),
    [anon_sym_if] = ACTIONS(395),
    [anon_sym_switch] = ACTIONS(397),
    [anon_sym_case] = ACTIONS(399),
    [anon_sym_default] = ACTIONS(401),
    [anon_sym_while] = ACTIONS(403),
    [anon_sym_do] = ACTIONS(405),
    [anon_sym_for] = ACTIONS(407),
    [anon_sym_return] = ACTIONS(409),
    [anon_sym_break] = ACTIONS(411),
    [anon_sym_continue] = ACTIONS(413),
    [anon_sym_goto] = ACTIONS(415),
    [anon_sym___try] = ACTIONS(417),
    [anon_sym___leave] = ACTIONS(419),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [anon_sym_virtual] = ACTIONS(123),
    [anon_sym_alignas] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(421),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_try] = ACTIONS(423),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(425),
    [anon_sym_namespace] = ACTIONS(427),
    [anon_sym_using] = ACTIONS(429),
    [anon_sym_static_assert] = ACTIONS(431),
    [anon_sym_concept] = ACTIONS(433),
    [anon_sym_co_return] = ACTIONS(435),
    [anon_sym_co_yield] = ACTIONS(437),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
    [anon_sym_discard] = ACTIONS(439),
    [anon_sym_precise] = ACTIONS(161),
    [anon_sym_shared] = ACTIONS(161),
    [anon_sym_groupshared] = ACTIONS(161),
    [anon_sym_uniform] = ACTIONS(161),
    [anon_sym_row_major] = ACTIONS(161),
    [anon_sym_column_major] = ACTIONS(161),
    [anon_sym_globallycoherent] = ACTIONS(161),
    [anon_sym_centroid] = ACTIONS(161),
    [anon_sym_noperspective] = ACTIONS(161),
    [anon_sym_nointerpolation] = ACTIONS(161),
    [anon_sym_sample] = ACTIONS(161),
    [anon_sym_linear] = ACTIONS(161),
    [anon_sym_snorm] = ACTIONS(161),
    [anon_sym_unorm] = ACTIONS(161),
    [anon_sym_point] = ACTIONS(161),
    [anon_sym_line] = ACTIONS(161),
    [anon_sym_triangleadj] = ACTIONS(161),
    [anon_sym_lineadj] = ACTIONS(161),
    [anon_sym_triangle] = ACTIONS(161),
    [anon_sym_cbuffer] = ACTIONS(441),
  },
  [37] = {
    [sym_preproc_include] = STATE(32),
    [sym_preproc_def] = STATE(32),
    [sym_preproc_function_def] = STATE(32),
    [sym_preproc_call] = STATE(32),
    [sym_preproc_if] = STATE(32),
    [sym_preproc_ifdef] = STATE(32),
    [sym_preproc_else] = STATE(10040),
    [sym_preproc_elif] = STATE(10040),
    [sym_function_definition] = STATE(32),
    [sym_declaration] = STATE(32),
    [sym_type_definition] = STATE(32),
    [sym__declaration_modifiers] = STATE(3159),
    [sym__declaration_specifiers] = STATE(5942),
    [sym_linkage_specification] = STATE(32),
    [sym_attribute_specifier] = STATE(3159),
    [sym_attribute_declaration] = STATE(1464),
    [sym_ms_declspec_modifier] = STATE(3159),
    [sym_ms_based_modifier] = STATE(10332),
    [sym_ms_call_modifier] = STATE(2637),
    [sym__declarator] = STATE(7978),
    [sym_parenthesized_declarator] = STATE(7680),
    [sym_attributed_declarator] = STATE(7680),
    [sym_pointer_declarator] = STATE(7680),
    [sym_function_declarator] = STATE(7563),
    [sym_array_declarator] = STATE(7680),
    [sym_compound_statement] = STATE(32),
    [sym_storage_class_specifier] = STATE(3159),
    [sym_type_qualifier] = STATE(3159),
    [sym__type_specifier] = STATE(3049),
    [sym_sized_type_specifier] = STATE(3085),
    [sym_enum_specifier] = STATE(3085),
    [sym_struct_specifier] = STATE(3085),
    [sym_union_specifier] = STATE(3085),
    [sym_attributed_statement] = STATE(32),
    [sym_labeled_statement] = STATE(32),
    [sym_expression_statement] = STATE(32),
    [sym_if_statement] = STATE(32),
    [sym_switch_statement] = STATE(32),
    [sym_case_statement] = STATE(32),
    [sym_while_statement] = STATE(32),
    [sym_do_statement] = STATE(32),
    [sym_for_statement] = STATE(32),
    [sym_return_statement] = STATE(32),
    [sym_break_statement] = STATE(32),
    [sym_continue_statement] = STATE(32),
    [sym_goto_statement] = STATE(32),
    [sym_seh_try_statement] = STATE(32),
    [sym_seh_leave_statement] = STATE(32),
    [sym__expression] = STATE(5802),
    [sym__expression_not_binary] = STATE(5024),
    [sym__string] = STATE(5024),
    [sym_comma_expression] = STATE(9525),
    [sym_conditional_expression] = STATE(5024),
    [sym_assignment_expression] = STATE(5024),
    [sym_pointer_expression] = STATE(4507),
    [sym_unary_expression] = STATE(5024),
    [sym_binary_expression] = STATE(5024),
    [sym_update_expression] = STATE(5024),
    [sym_cast_expression] = STATE(5024),
    [sym_sizeof_expression] = STATE(5024),
    [sym_alignof_expression] = STATE(5024),
    [sym_offsetof_expression] = STATE(5024),
    [sym_generic_expression] = STATE(5024),
    [sym_subscript_expression] = STATE(4507),
    [sym_call_expression] = STATE(4507),
    [sym_gnu_asm_expression] = STATE(5024),
    [sym_field_expression] = STATE(4507),
    [sym_compound_literal_expression] = STATE(5024),
    [sym_parenthesized_expression] = STATE(4507),
    [sym_char_literal] = STATE(5374),
    [sym_concatenated_string] = STATE(5377),
    [sym_string_literal] = STATE(4206),
    [sym_null] = STATE(5024),
    [sym__empty_declaration] = STATE(32),
    [sym_placeholder_type_specifier] = STATE(3085),
    [sym_decltype_auto] = STATE(3091),
    [sym_decltype] = STATE(3050),
    [sym_class_specifier] = STATE(3085),
    [sym__class_name] = STATE(9352),
    [sym_virtual] = STATE(3159),
    [sym_alignas_specifier] = STATE(3159),
    [sym_explicit_function_specifier] = STATE(2514),
    [sym_dependent_type] = STATE(3085),
    [sym_template_declaration] = STATE(32),
    [sym_template_instantiation] = STATE(32),
    [sym_operator_cast] = STATE(8082),
    [sym__constructor_specifiers] = STATE(2514),
    [sym_operator_cast_definition] = STATE(32),
    [sym_operator_cast_declaration] = STATE(32),
    [sym_constructor_or_destructor_definition] = STATE(32),
    [sym_reference_declarator] = STATE(7680),
    [sym_structured_binding_declarator] = STATE(7680),
    [sym_template_type] = STATE(3129),
    [sym_template_function] = STATE(5703),
    [sym_namespace_definition] = STATE(32),
    [sym_namespace_alias_definition] = STATE(32),
    [sym_using_declaration] = STATE(32),
    [sym_alias_declaration] = STATE(32),
    [sym_static_assert_declaration] = STATE(32),
    [sym_concept_definition] = STATE(32),
    [sym_for_range_loop] = STATE(32),
    [sym_co_return_statement] = STATE(32),
    [sym_co_yield_statement] = STATE(32),
    [sym_throw_statement] = STATE(32),
    [sym_try_statement] = STATE(32),
    [sym_raw_string_literal] = STATE(4217),
    [sym_co_await_expression] = STATE(5024),
    [sym_new_expression] = STATE(5024),
    [sym_delete_expression] = STATE(5024),
    [sym_requires_clause] = STATE(5024),
    [sym_requires_expression] = STATE(5024),
    [sym_lambda_expression] = STATE(5024),
    [sym_lambda_capture_specifier] = STATE(7184),
    [sym_fold_expression] = STATE(5024),
    [sym_parameter_pack_expansion] = STATE(5024),
    [sym_destructor_name] = STATE(7680),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6764),
    [sym_qualified_identifier] = STATE(4502),
    [sym_qualified_type_identifier] = STATE(3127),
    [sym_qualified_operator_cast_identifier] = STATE(8082),
    [sym_operator_name] = STATE(7680),
    [sym_user_defined_literal] = STATE(4507),
    [sym_discard_statement] = STATE(32),
    [sym_qualifiers] = STATE(3159),
    [sym_cbuffer_specifier] = STATE(32),
    [sym_hlsl_attribute] = STATE(1906),
    [aux_sym_preproc_if_repeat1] = STATE(32),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2673),
    [aux_sym_attributed_declarator_repeat1] = STATE(1337),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3021),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2514),
    [sym_identifier] = ACTIONS(369),
    [aux_sym_preproc_include_token1] = ACTIONS(371),
    [aux_sym_preproc_def_token1] = ACTIONS(373),
    [aux_sym_preproc_if_token1] = ACTIONS(375),
    [aux_sym_preproc_if_token2] = ACTIONS(712),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(379),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(379),
    [aux_sym_preproc_else_token1] = ACTIONS(283),
    [aux_sym_preproc_elif_token1] = ACTIONS(285),
    [sym_preproc_directive] = ACTIONS(381),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(383),
    [anon_sym___extension__] = ACTIONS(385),
    [anon_sym_typedef] = ACTIONS(387),
    [anon_sym_in] = ACTIONS(37),
    [anon_sym_out] = ACTIONS(37),
    [anon_sym_inout] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(389),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(45),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym___cdecl] = ACTIONS(51),
    [anon_sym___clrcall] = ACTIONS(51),
    [anon_sym___stdcall] = ACTIONS(51),
    [anon_sym___fastcall] = ACTIONS(51),
    [anon_sym___thiscall] = ACTIONS(51),
    [anon_sym___vectorcall] = ACTIONS(51),
    [anon_sym_LBRACE] = ACTIONS(391),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(393),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(65),
    [anon_sym_enum] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(69),
    [anon_sym_struct] = ACTIONS(71),
    [anon_sym_union] = ACTIONS(73),
    [anon_sym_if] = ACTIONS(395),
    [anon_sym_switch] = ACTIONS(397),
    [anon_sym_case] = ACTIONS(399),
    [anon_sym_default] = ACTIONS(401),
    [anon_sym_while] = ACTIONS(403),
    [anon_sym_do] = ACTIONS(405),
    [anon_sym_for] = ACTIONS(407),
    [anon_sym_return] = ACTIONS(409),
    [anon_sym_break] = ACTIONS(411),
    [anon_sym_continue] = ACTIONS(413),
    [anon_sym_goto] = ACTIONS(415),
    [anon_sym___try] = ACTIONS(417),
    [anon_sym___leave] = ACTIONS(419),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [anon_sym_virtual] = ACTIONS(123),
    [anon_sym_alignas] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(421),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_try] = ACTIONS(423),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(425),
    [anon_sym_namespace] = ACTIONS(427),
    [anon_sym_using] = ACTIONS(429),
    [anon_sym_static_assert] = ACTIONS(431),
    [anon_sym_concept] = ACTIONS(433),
    [anon_sym_co_return] = ACTIONS(435),
    [anon_sym_co_yield] = ACTIONS(437),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
    [anon_sym_discard] = ACTIONS(439),
    [anon_sym_precise] = ACTIONS(161),
    [anon_sym_shared] = ACTIONS(161),
    [anon_sym_groupshared] = ACTIONS(161),
    [anon_sym_uniform] = ACTIONS(161),
    [anon_sym_row_major] = ACTIONS(161),
    [anon_sym_column_major] = ACTIONS(161),
    [anon_sym_globallycoherent] = ACTIONS(161),
    [anon_sym_centroid] = ACTIONS(161),
    [anon_sym_noperspective] = ACTIONS(161),
    [anon_sym_nointerpolation] = ACTIONS(161),
    [anon_sym_sample] = ACTIONS(161),
    [anon_sym_linear] = ACTIONS(161),
    [anon_sym_snorm] = ACTIONS(161),
    [anon_sym_unorm] = ACTIONS(161),
    [anon_sym_point] = ACTIONS(161),
    [anon_sym_line] = ACTIONS(161),
    [anon_sym_triangleadj] = ACTIONS(161),
    [anon_sym_lineadj] = ACTIONS(161),
    [anon_sym_triangle] = ACTIONS(161),
    [anon_sym_cbuffer] = ACTIONS(441),
  },
  [38] = {
    [sym_preproc_include] = STATE(41),
    [sym_preproc_def] = STATE(41),
    [sym_preproc_function_def] = STATE(41),
    [sym_preproc_call] = STATE(41),
    [sym_preproc_if] = STATE(41),
    [sym_preproc_ifdef] = STATE(41),
    [sym_preproc_else] = STATE(9659),
    [sym_preproc_elif] = STATE(9659),
    [sym_function_definition] = STATE(41),
    [sym_declaration] = STATE(41),
    [sym_type_definition] = STATE(41),
    [sym__declaration_modifiers] = STATE(3159),
    [sym__declaration_specifiers] = STATE(5942),
    [sym_linkage_specification] = STATE(41),
    [sym_attribute_specifier] = STATE(3159),
    [sym_attribute_declaration] = STATE(1464),
    [sym_ms_declspec_modifier] = STATE(3159),
    [sym_ms_based_modifier] = STATE(10332),
    [sym_ms_call_modifier] = STATE(2637),
    [sym__declarator] = STATE(7978),
    [sym_parenthesized_declarator] = STATE(7680),
    [sym_attributed_declarator] = STATE(7680),
    [sym_pointer_declarator] = STATE(7680),
    [sym_function_declarator] = STATE(7563),
    [sym_array_declarator] = STATE(7680),
    [sym_compound_statement] = STATE(41),
    [sym_storage_class_specifier] = STATE(3159),
    [sym_type_qualifier] = STATE(3159),
    [sym__type_specifier] = STATE(3049),
    [sym_sized_type_specifier] = STATE(3085),
    [sym_enum_specifier] = STATE(3085),
    [sym_struct_specifier] = STATE(3085),
    [sym_union_specifier] = STATE(3085),
    [sym_attributed_statement] = STATE(41),
    [sym_labeled_statement] = STATE(41),
    [sym_expression_statement] = STATE(41),
    [sym_if_statement] = STATE(41),
    [sym_switch_statement] = STATE(41),
    [sym_case_statement] = STATE(41),
    [sym_while_statement] = STATE(41),
    [sym_do_statement] = STATE(41),
    [sym_for_statement] = STATE(41),
    [sym_return_statement] = STATE(41),
    [sym_break_statement] = STATE(41),
    [sym_continue_statement] = STATE(41),
    [sym_goto_statement] = STATE(41),
    [sym_seh_try_statement] = STATE(41),
    [sym_seh_leave_statement] = STATE(41),
    [sym__expression] = STATE(5802),
    [sym__expression_not_binary] = STATE(5024),
    [sym__string] = STATE(5024),
    [sym_comma_expression] = STATE(9525),
    [sym_conditional_expression] = STATE(5024),
    [sym_assignment_expression] = STATE(5024),
    [sym_pointer_expression] = STATE(4507),
    [sym_unary_expression] = STATE(5024),
    [sym_binary_expression] = STATE(5024),
    [sym_update_expression] = STATE(5024),
    [sym_cast_expression] = STATE(5024),
    [sym_sizeof_expression] = STATE(5024),
    [sym_alignof_expression] = STATE(5024),
    [sym_offsetof_expression] = STATE(5024),
    [sym_generic_expression] = STATE(5024),
    [sym_subscript_expression] = STATE(4507),
    [sym_call_expression] = STATE(4507),
    [sym_gnu_asm_expression] = STATE(5024),
    [sym_field_expression] = STATE(4507),
    [sym_compound_literal_expression] = STATE(5024),
    [sym_parenthesized_expression] = STATE(4507),
    [sym_char_literal] = STATE(5374),
    [sym_concatenated_string] = STATE(5377),
    [sym_string_literal] = STATE(4206),
    [sym_null] = STATE(5024),
    [sym__empty_declaration] = STATE(41),
    [sym_placeholder_type_specifier] = STATE(3085),
    [sym_decltype_auto] = STATE(3091),
    [sym_decltype] = STATE(3050),
    [sym_class_specifier] = STATE(3085),
    [sym__class_name] = STATE(9352),
    [sym_virtual] = STATE(3159),
    [sym_alignas_specifier] = STATE(3159),
    [sym_explicit_function_specifier] = STATE(2514),
    [sym_dependent_type] = STATE(3085),
    [sym_template_declaration] = STATE(41),
    [sym_template_instantiation] = STATE(41),
    [sym_operator_cast] = STATE(8082),
    [sym__constructor_specifiers] = STATE(2514),
    [sym_operator_cast_definition] = STATE(41),
    [sym_operator_cast_declaration] = STATE(41),
    [sym_constructor_or_destructor_definition] = STATE(41),
    [sym_reference_declarator] = STATE(7680),
    [sym_structured_binding_declarator] = STATE(7680),
    [sym_template_type] = STATE(3129),
    [sym_template_function] = STATE(5703),
    [sym_namespace_definition] = STATE(41),
    [sym_namespace_alias_definition] = STATE(41),
    [sym_using_declaration] = STATE(41),
    [sym_alias_declaration] = STATE(41),
    [sym_static_assert_declaration] = STATE(41),
    [sym_concept_definition] = STATE(41),
    [sym_for_range_loop] = STATE(41),
    [sym_co_return_statement] = STATE(41),
    [sym_co_yield_statement] = STATE(41),
    [sym_throw_statement] = STATE(41),
    [sym_try_statement] = STATE(41),
    [sym_raw_string_literal] = STATE(4217),
    [sym_co_await_expression] = STATE(5024),
    [sym_new_expression] = STATE(5024),
    [sym_delete_expression] = STATE(5024),
    [sym_requires_clause] = STATE(5024),
    [sym_requires_expression] = STATE(5024),
    [sym_lambda_expression] = STATE(5024),
    [sym_lambda_capture_specifier] = STATE(7184),
    [sym_fold_expression] = STATE(5024),
    [sym_parameter_pack_expansion] = STATE(5024),
    [sym_destructor_name] = STATE(7680),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6764),
    [sym_qualified_identifier] = STATE(4502),
    [sym_qualified_type_identifier] = STATE(3127),
    [sym_qualified_operator_cast_identifier] = STATE(8082),
    [sym_operator_name] = STATE(7680),
    [sym_user_defined_literal] = STATE(4507),
    [sym_discard_statement] = STATE(41),
    [sym_qualifiers] = STATE(3159),
    [sym_cbuffer_specifier] = STATE(41),
    [sym_hlsl_attribute] = STATE(1906),
    [aux_sym_preproc_if_repeat1] = STATE(41),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2673),
    [aux_sym_attributed_declarator_repeat1] = STATE(1337),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3021),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2514),
    [sym_identifier] = ACTIONS(369),
    [aux_sym_preproc_include_token1] = ACTIONS(371),
    [aux_sym_preproc_def_token1] = ACTIONS(373),
    [aux_sym_preproc_if_token1] = ACTIONS(375),
    [aux_sym_preproc_if_token2] = ACTIONS(714),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(379),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(379),
    [aux_sym_preproc_else_token1] = ACTIONS(283),
    [aux_sym_preproc_elif_token1] = ACTIONS(285),
    [sym_preproc_directive] = ACTIONS(381),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(383),
    [anon_sym___extension__] = ACTIONS(385),
    [anon_sym_typedef] = ACTIONS(387),
    [anon_sym_in] = ACTIONS(37),
    [anon_sym_out] = ACTIONS(37),
    [anon_sym_inout] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(389),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(45),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym___cdecl] = ACTIONS(51),
    [anon_sym___clrcall] = ACTIONS(51),
    [anon_sym___stdcall] = ACTIONS(51),
    [anon_sym___fastcall] = ACTIONS(51),
    [anon_sym___thiscall] = ACTIONS(51),
    [anon_sym___vectorcall] = ACTIONS(51),
    [anon_sym_LBRACE] = ACTIONS(391),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(393),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(65),
    [anon_sym_enum] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(69),
    [anon_sym_struct] = ACTIONS(71),
    [anon_sym_union] = ACTIONS(73),
    [anon_sym_if] = ACTIONS(395),
    [anon_sym_switch] = ACTIONS(397),
    [anon_sym_case] = ACTIONS(399),
    [anon_sym_default] = ACTIONS(401),
    [anon_sym_while] = ACTIONS(403),
    [anon_sym_do] = ACTIONS(405),
    [anon_sym_for] = ACTIONS(407),
    [anon_sym_return] = ACTIONS(409),
    [anon_sym_break] = ACTIONS(411),
    [anon_sym_continue] = ACTIONS(413),
    [anon_sym_goto] = ACTIONS(415),
    [anon_sym___try] = ACTIONS(417),
    [anon_sym___leave] = ACTIONS(419),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [anon_sym_virtual] = ACTIONS(123),
    [anon_sym_alignas] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(421),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_try] = ACTIONS(423),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(425),
    [anon_sym_namespace] = ACTIONS(427),
    [anon_sym_using] = ACTIONS(429),
    [anon_sym_static_assert] = ACTIONS(431),
    [anon_sym_concept] = ACTIONS(433),
    [anon_sym_co_return] = ACTIONS(435),
    [anon_sym_co_yield] = ACTIONS(437),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
    [anon_sym_discard] = ACTIONS(439),
    [anon_sym_precise] = ACTIONS(161),
    [anon_sym_shared] = ACTIONS(161),
    [anon_sym_groupshared] = ACTIONS(161),
    [anon_sym_uniform] = ACTIONS(161),
    [anon_sym_row_major] = ACTIONS(161),
    [anon_sym_column_major] = ACTIONS(161),
    [anon_sym_globallycoherent] = ACTIONS(161),
    [anon_sym_centroid] = ACTIONS(161),
    [anon_sym_noperspective] = ACTIONS(161),
    [anon_sym_nointerpolation] = ACTIONS(161),
    [anon_sym_sample] = ACTIONS(161),
    [anon_sym_linear] = ACTIONS(161),
    [anon_sym_snorm] = ACTIONS(161),
    [anon_sym_unorm] = ACTIONS(161),
    [anon_sym_point] = ACTIONS(161),
    [anon_sym_line] = ACTIONS(161),
    [anon_sym_triangleadj] = ACTIONS(161),
    [anon_sym_lineadj] = ACTIONS(161),
    [anon_sym_triangle] = ACTIONS(161),
    [anon_sym_cbuffer] = ACTIONS(441),
  },
  [39] = {
    [sym_preproc_include] = STATE(41),
    [sym_preproc_def] = STATE(41),
    [sym_preproc_function_def] = STATE(41),
    [sym_preproc_call] = STATE(41),
    [sym_preproc_if] = STATE(41),
    [sym_preproc_ifdef] = STATE(41),
    [sym_preproc_else] = STATE(9645),
    [sym_preproc_elif] = STATE(9645),
    [sym_function_definition] = STATE(41),
    [sym_declaration] = STATE(41),
    [sym_type_definition] = STATE(41),
    [sym__declaration_modifiers] = STATE(3159),
    [sym__declaration_specifiers] = STATE(5942),
    [sym_linkage_specification] = STATE(41),
    [sym_attribute_specifier] = STATE(3159),
    [sym_attribute_declaration] = STATE(1464),
    [sym_ms_declspec_modifier] = STATE(3159),
    [sym_ms_based_modifier] = STATE(10332),
    [sym_ms_call_modifier] = STATE(2637),
    [sym__declarator] = STATE(7978),
    [sym_parenthesized_declarator] = STATE(7680),
    [sym_attributed_declarator] = STATE(7680),
    [sym_pointer_declarator] = STATE(7680),
    [sym_function_declarator] = STATE(7563),
    [sym_array_declarator] = STATE(7680),
    [sym_compound_statement] = STATE(41),
    [sym_storage_class_specifier] = STATE(3159),
    [sym_type_qualifier] = STATE(3159),
    [sym__type_specifier] = STATE(3049),
    [sym_sized_type_specifier] = STATE(3085),
    [sym_enum_specifier] = STATE(3085),
    [sym_struct_specifier] = STATE(3085),
    [sym_union_specifier] = STATE(3085),
    [sym_attributed_statement] = STATE(41),
    [sym_labeled_statement] = STATE(41),
    [sym_expression_statement] = STATE(41),
    [sym_if_statement] = STATE(41),
    [sym_switch_statement] = STATE(41),
    [sym_case_statement] = STATE(41),
    [sym_while_statement] = STATE(41),
    [sym_do_statement] = STATE(41),
    [sym_for_statement] = STATE(41),
    [sym_return_statement] = STATE(41),
    [sym_break_statement] = STATE(41),
    [sym_continue_statement] = STATE(41),
    [sym_goto_statement] = STATE(41),
    [sym_seh_try_statement] = STATE(41),
    [sym_seh_leave_statement] = STATE(41),
    [sym__expression] = STATE(5802),
    [sym__expression_not_binary] = STATE(5024),
    [sym__string] = STATE(5024),
    [sym_comma_expression] = STATE(9525),
    [sym_conditional_expression] = STATE(5024),
    [sym_assignment_expression] = STATE(5024),
    [sym_pointer_expression] = STATE(4507),
    [sym_unary_expression] = STATE(5024),
    [sym_binary_expression] = STATE(5024),
    [sym_update_expression] = STATE(5024),
    [sym_cast_expression] = STATE(5024),
    [sym_sizeof_expression] = STATE(5024),
    [sym_alignof_expression] = STATE(5024),
    [sym_offsetof_expression] = STATE(5024),
    [sym_generic_expression] = STATE(5024),
    [sym_subscript_expression] = STATE(4507),
    [sym_call_expression] = STATE(4507),
    [sym_gnu_asm_expression] = STATE(5024),
    [sym_field_expression] = STATE(4507),
    [sym_compound_literal_expression] = STATE(5024),
    [sym_parenthesized_expression] = STATE(4507),
    [sym_char_literal] = STATE(5374),
    [sym_concatenated_string] = STATE(5377),
    [sym_string_literal] = STATE(4206),
    [sym_null] = STATE(5024),
    [sym__empty_declaration] = STATE(41),
    [sym_placeholder_type_specifier] = STATE(3085),
    [sym_decltype_auto] = STATE(3091),
    [sym_decltype] = STATE(3050),
    [sym_class_specifier] = STATE(3085),
    [sym__class_name] = STATE(9352),
    [sym_virtual] = STATE(3159),
    [sym_alignas_specifier] = STATE(3159),
    [sym_explicit_function_specifier] = STATE(2514),
    [sym_dependent_type] = STATE(3085),
    [sym_template_declaration] = STATE(41),
    [sym_template_instantiation] = STATE(41),
    [sym_operator_cast] = STATE(8082),
    [sym__constructor_specifiers] = STATE(2514),
    [sym_operator_cast_definition] = STATE(41),
    [sym_operator_cast_declaration] = STATE(41),
    [sym_constructor_or_destructor_definition] = STATE(41),
    [sym_reference_declarator] = STATE(7680),
    [sym_structured_binding_declarator] = STATE(7680),
    [sym_template_type] = STATE(3129),
    [sym_template_function] = STATE(5703),
    [sym_namespace_definition] = STATE(41),
    [sym_namespace_alias_definition] = STATE(41),
    [sym_using_declaration] = STATE(41),
    [sym_alias_declaration] = STATE(41),
    [sym_static_assert_declaration] = STATE(41),
    [sym_concept_definition] = STATE(41),
    [sym_for_range_loop] = STATE(41),
    [sym_co_return_statement] = STATE(41),
    [sym_co_yield_statement] = STATE(41),
    [sym_throw_statement] = STATE(41),
    [sym_try_statement] = STATE(41),
    [sym_raw_string_literal] = STATE(4217),
    [sym_co_await_expression] = STATE(5024),
    [sym_new_expression] = STATE(5024),
    [sym_delete_expression] = STATE(5024),
    [sym_requires_clause] = STATE(5024),
    [sym_requires_expression] = STATE(5024),
    [sym_lambda_expression] = STATE(5024),
    [sym_lambda_capture_specifier] = STATE(7184),
    [sym_fold_expression] = STATE(5024),
    [sym_parameter_pack_expansion] = STATE(5024),
    [sym_destructor_name] = STATE(7680),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6764),
    [sym_qualified_identifier] = STATE(4502),
    [sym_qualified_type_identifier] = STATE(3127),
    [sym_qualified_operator_cast_identifier] = STATE(8082),
    [sym_operator_name] = STATE(7680),
    [sym_user_defined_literal] = STATE(4507),
    [sym_discard_statement] = STATE(41),
    [sym_qualifiers] = STATE(3159),
    [sym_cbuffer_specifier] = STATE(41),
    [sym_hlsl_attribute] = STATE(1906),
    [aux_sym_preproc_if_repeat1] = STATE(41),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2673),
    [aux_sym_attributed_declarator_repeat1] = STATE(1337),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3021),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2514),
    [sym_identifier] = ACTIONS(369),
    [aux_sym_preproc_include_token1] = ACTIONS(371),
    [aux_sym_preproc_def_token1] = ACTIONS(373),
    [aux_sym_preproc_if_token1] = ACTIONS(375),
    [aux_sym_preproc_if_token2] = ACTIONS(716),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(379),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(379),
    [aux_sym_preproc_else_token1] = ACTIONS(283),
    [aux_sym_preproc_elif_token1] = ACTIONS(285),
    [sym_preproc_directive] = ACTIONS(381),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(383),
    [anon_sym___extension__] = ACTIONS(385),
    [anon_sym_typedef] = ACTIONS(387),
    [anon_sym_in] = ACTIONS(37),
    [anon_sym_out] = ACTIONS(37),
    [anon_sym_inout] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(389),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(45),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym___cdecl] = ACTIONS(51),
    [anon_sym___clrcall] = ACTIONS(51),
    [anon_sym___stdcall] = ACTIONS(51),
    [anon_sym___fastcall] = ACTIONS(51),
    [anon_sym___thiscall] = ACTIONS(51),
    [anon_sym___vectorcall] = ACTIONS(51),
    [anon_sym_LBRACE] = ACTIONS(391),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(393),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(65),
    [anon_sym_enum] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(69),
    [anon_sym_struct] = ACTIONS(71),
    [anon_sym_union] = ACTIONS(73),
    [anon_sym_if] = ACTIONS(395),
    [anon_sym_switch] = ACTIONS(397),
    [anon_sym_case] = ACTIONS(399),
    [anon_sym_default] = ACTIONS(401),
    [anon_sym_while] = ACTIONS(403),
    [anon_sym_do] = ACTIONS(405),
    [anon_sym_for] = ACTIONS(407),
    [anon_sym_return] = ACTIONS(409),
    [anon_sym_break] = ACTIONS(411),
    [anon_sym_continue] = ACTIONS(413),
    [anon_sym_goto] = ACTIONS(415),
    [anon_sym___try] = ACTIONS(417),
    [anon_sym___leave] = ACTIONS(419),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [anon_sym_virtual] = ACTIONS(123),
    [anon_sym_alignas] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(421),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_try] = ACTIONS(423),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(425),
    [anon_sym_namespace] = ACTIONS(427),
    [anon_sym_using] = ACTIONS(429),
    [anon_sym_static_assert] = ACTIONS(431),
    [anon_sym_concept] = ACTIONS(433),
    [anon_sym_co_return] = ACTIONS(435),
    [anon_sym_co_yield] = ACTIONS(437),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
    [anon_sym_discard] = ACTIONS(439),
    [anon_sym_precise] = ACTIONS(161),
    [anon_sym_shared] = ACTIONS(161),
    [anon_sym_groupshared] = ACTIONS(161),
    [anon_sym_uniform] = ACTIONS(161),
    [anon_sym_row_major] = ACTIONS(161),
    [anon_sym_column_major] = ACTIONS(161),
    [anon_sym_globallycoherent] = ACTIONS(161),
    [anon_sym_centroid] = ACTIONS(161),
    [anon_sym_noperspective] = ACTIONS(161),
    [anon_sym_nointerpolation] = ACTIONS(161),
    [anon_sym_sample] = ACTIONS(161),
    [anon_sym_linear] = ACTIONS(161),
    [anon_sym_snorm] = ACTIONS(161),
    [anon_sym_unorm] = ACTIONS(161),
    [anon_sym_point] = ACTIONS(161),
    [anon_sym_line] = ACTIONS(161),
    [anon_sym_triangleadj] = ACTIONS(161),
    [anon_sym_lineadj] = ACTIONS(161),
    [anon_sym_triangle] = ACTIONS(161),
    [anon_sym_cbuffer] = ACTIONS(441),
  },
  [40] = {
    [sym_preproc_include] = STATE(41),
    [sym_preproc_def] = STATE(41),
    [sym_preproc_function_def] = STATE(41),
    [sym_preproc_call] = STATE(41),
    [sym_preproc_if] = STATE(41),
    [sym_preproc_ifdef] = STATE(41),
    [sym_preproc_else] = STATE(10178),
    [sym_preproc_elif] = STATE(10178),
    [sym_function_definition] = STATE(41),
    [sym_declaration] = STATE(41),
    [sym_type_definition] = STATE(41),
    [sym__declaration_modifiers] = STATE(3159),
    [sym__declaration_specifiers] = STATE(5942),
    [sym_linkage_specification] = STATE(41),
    [sym_attribute_specifier] = STATE(3159),
    [sym_attribute_declaration] = STATE(1464),
    [sym_ms_declspec_modifier] = STATE(3159),
    [sym_ms_based_modifier] = STATE(10332),
    [sym_ms_call_modifier] = STATE(2637),
    [sym__declarator] = STATE(7978),
    [sym_parenthesized_declarator] = STATE(7680),
    [sym_attributed_declarator] = STATE(7680),
    [sym_pointer_declarator] = STATE(7680),
    [sym_function_declarator] = STATE(7563),
    [sym_array_declarator] = STATE(7680),
    [sym_compound_statement] = STATE(41),
    [sym_storage_class_specifier] = STATE(3159),
    [sym_type_qualifier] = STATE(3159),
    [sym__type_specifier] = STATE(3049),
    [sym_sized_type_specifier] = STATE(3085),
    [sym_enum_specifier] = STATE(3085),
    [sym_struct_specifier] = STATE(3085),
    [sym_union_specifier] = STATE(3085),
    [sym_attributed_statement] = STATE(41),
    [sym_labeled_statement] = STATE(41),
    [sym_expression_statement] = STATE(41),
    [sym_if_statement] = STATE(41),
    [sym_switch_statement] = STATE(41),
    [sym_case_statement] = STATE(41),
    [sym_while_statement] = STATE(41),
    [sym_do_statement] = STATE(41),
    [sym_for_statement] = STATE(41),
    [sym_return_statement] = STATE(41),
    [sym_break_statement] = STATE(41),
    [sym_continue_statement] = STATE(41),
    [sym_goto_statement] = STATE(41),
    [sym_seh_try_statement] = STATE(41),
    [sym_seh_leave_statement] = STATE(41),
    [sym__expression] = STATE(5802),
    [sym__expression_not_binary] = STATE(5024),
    [sym__string] = STATE(5024),
    [sym_comma_expression] = STATE(9525),
    [sym_conditional_expression] = STATE(5024),
    [sym_assignment_expression] = STATE(5024),
    [sym_pointer_expression] = STATE(4507),
    [sym_unary_expression] = STATE(5024),
    [sym_binary_expression] = STATE(5024),
    [sym_update_expression] = STATE(5024),
    [sym_cast_expression] = STATE(5024),
    [sym_sizeof_expression] = STATE(5024),
    [sym_alignof_expression] = STATE(5024),
    [sym_offsetof_expression] = STATE(5024),
    [sym_generic_expression] = STATE(5024),
    [sym_subscript_expression] = STATE(4507),
    [sym_call_expression] = STATE(4507),
    [sym_gnu_asm_expression] = STATE(5024),
    [sym_field_expression] = STATE(4507),
    [sym_compound_literal_expression] = STATE(5024),
    [sym_parenthesized_expression] = STATE(4507),
    [sym_char_literal] = STATE(5374),
    [sym_concatenated_string] = STATE(5377),
    [sym_string_literal] = STATE(4206),
    [sym_null] = STATE(5024),
    [sym__empty_declaration] = STATE(41),
    [sym_placeholder_type_specifier] = STATE(3085),
    [sym_decltype_auto] = STATE(3091),
    [sym_decltype] = STATE(3050),
    [sym_class_specifier] = STATE(3085),
    [sym__class_name] = STATE(9352),
    [sym_virtual] = STATE(3159),
    [sym_alignas_specifier] = STATE(3159),
    [sym_explicit_function_specifier] = STATE(2514),
    [sym_dependent_type] = STATE(3085),
    [sym_template_declaration] = STATE(41),
    [sym_template_instantiation] = STATE(41),
    [sym_operator_cast] = STATE(8082),
    [sym__constructor_specifiers] = STATE(2514),
    [sym_operator_cast_definition] = STATE(41),
    [sym_operator_cast_declaration] = STATE(41),
    [sym_constructor_or_destructor_definition] = STATE(41),
    [sym_reference_declarator] = STATE(7680),
    [sym_structured_binding_declarator] = STATE(7680),
    [sym_template_type] = STATE(3129),
    [sym_template_function] = STATE(5703),
    [sym_namespace_definition] = STATE(41),
    [sym_namespace_alias_definition] = STATE(41),
    [sym_using_declaration] = STATE(41),
    [sym_alias_declaration] = STATE(41),
    [sym_static_assert_declaration] = STATE(41),
    [sym_concept_definition] = STATE(41),
    [sym_for_range_loop] = STATE(41),
    [sym_co_return_statement] = STATE(41),
    [sym_co_yield_statement] = STATE(41),
    [sym_throw_statement] = STATE(41),
    [sym_try_statement] = STATE(41),
    [sym_raw_string_literal] = STATE(4217),
    [sym_co_await_expression] = STATE(5024),
    [sym_new_expression] = STATE(5024),
    [sym_delete_expression] = STATE(5024),
    [sym_requires_clause] = STATE(5024),
    [sym_requires_expression] = STATE(5024),
    [sym_lambda_expression] = STATE(5024),
    [sym_lambda_capture_specifier] = STATE(7184),
    [sym_fold_expression] = STATE(5024),
    [sym_parameter_pack_expansion] = STATE(5024),
    [sym_destructor_name] = STATE(7680),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6764),
    [sym_qualified_identifier] = STATE(4502),
    [sym_qualified_type_identifier] = STATE(3127),
    [sym_qualified_operator_cast_identifier] = STATE(8082),
    [sym_operator_name] = STATE(7680),
    [sym_user_defined_literal] = STATE(4507),
    [sym_discard_statement] = STATE(41),
    [sym_qualifiers] = STATE(3159),
    [sym_cbuffer_specifier] = STATE(41),
    [sym_hlsl_attribute] = STATE(1906),
    [aux_sym_preproc_if_repeat1] = STATE(41),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2673),
    [aux_sym_attributed_declarator_repeat1] = STATE(1337),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3021),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2514),
    [sym_identifier] = ACTIONS(369),
    [aux_sym_preproc_include_token1] = ACTIONS(371),
    [aux_sym_preproc_def_token1] = ACTIONS(373),
    [aux_sym_preproc_if_token1] = ACTIONS(375),
    [aux_sym_preproc_if_token2] = ACTIONS(718),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(379),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(379),
    [aux_sym_preproc_else_token1] = ACTIONS(283),
    [aux_sym_preproc_elif_token1] = ACTIONS(285),
    [sym_preproc_directive] = ACTIONS(381),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(383),
    [anon_sym___extension__] = ACTIONS(385),
    [anon_sym_typedef] = ACTIONS(387),
    [anon_sym_in] = ACTIONS(37),
    [anon_sym_out] = ACTIONS(37),
    [anon_sym_inout] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(389),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(45),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym___cdecl] = ACTIONS(51),
    [anon_sym___clrcall] = ACTIONS(51),
    [anon_sym___stdcall] = ACTIONS(51),
    [anon_sym___fastcall] = ACTIONS(51),
    [anon_sym___thiscall] = ACTIONS(51),
    [anon_sym___vectorcall] = ACTIONS(51),
    [anon_sym_LBRACE] = ACTIONS(391),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(393),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(65),
    [anon_sym_enum] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(69),
    [anon_sym_struct] = ACTIONS(71),
    [anon_sym_union] = ACTIONS(73),
    [anon_sym_if] = ACTIONS(395),
    [anon_sym_switch] = ACTIONS(397),
    [anon_sym_case] = ACTIONS(399),
    [anon_sym_default] = ACTIONS(401),
    [anon_sym_while] = ACTIONS(403),
    [anon_sym_do] = ACTIONS(405),
    [anon_sym_for] = ACTIONS(407),
    [anon_sym_return] = ACTIONS(409),
    [anon_sym_break] = ACTIONS(411),
    [anon_sym_continue] = ACTIONS(413),
    [anon_sym_goto] = ACTIONS(415),
    [anon_sym___try] = ACTIONS(417),
    [anon_sym___leave] = ACTIONS(419),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [anon_sym_virtual] = ACTIONS(123),
    [anon_sym_alignas] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(421),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_try] = ACTIONS(423),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(425),
    [anon_sym_namespace] = ACTIONS(427),
    [anon_sym_using] = ACTIONS(429),
    [anon_sym_static_assert] = ACTIONS(431),
    [anon_sym_concept] = ACTIONS(433),
    [anon_sym_co_return] = ACTIONS(435),
    [anon_sym_co_yield] = ACTIONS(437),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
    [anon_sym_discard] = ACTIONS(439),
    [anon_sym_precise] = ACTIONS(161),
    [anon_sym_shared] = ACTIONS(161),
    [anon_sym_groupshared] = ACTIONS(161),
    [anon_sym_uniform] = ACTIONS(161),
    [anon_sym_row_major] = ACTIONS(161),
    [anon_sym_column_major] = ACTIONS(161),
    [anon_sym_globallycoherent] = ACTIONS(161),
    [anon_sym_centroid] = ACTIONS(161),
    [anon_sym_noperspective] = ACTIONS(161),
    [anon_sym_nointerpolation] = ACTIONS(161),
    [anon_sym_sample] = ACTIONS(161),
    [anon_sym_linear] = ACTIONS(161),
    [anon_sym_snorm] = ACTIONS(161),
    [anon_sym_unorm] = ACTIONS(161),
    [anon_sym_point] = ACTIONS(161),
    [anon_sym_line] = ACTIONS(161),
    [anon_sym_triangleadj] = ACTIONS(161),
    [anon_sym_lineadj] = ACTIONS(161),
    [anon_sym_triangle] = ACTIONS(161),
    [anon_sym_cbuffer] = ACTIONS(441),
  },
  [41] = {
    [sym_preproc_include] = STATE(41),
    [sym_preproc_def] = STATE(41),
    [sym_preproc_function_def] = STATE(41),
    [sym_preproc_call] = STATE(41),
    [sym_preproc_if] = STATE(41),
    [sym_preproc_ifdef] = STATE(41),
    [sym_function_definition] = STATE(41),
    [sym_declaration] = STATE(41),
    [sym_type_definition] = STATE(41),
    [sym__declaration_modifiers] = STATE(3159),
    [sym__declaration_specifiers] = STATE(5942),
    [sym_linkage_specification] = STATE(41),
    [sym_attribute_specifier] = STATE(3159),
    [sym_attribute_declaration] = STATE(1464),
    [sym_ms_declspec_modifier] = STATE(3159),
    [sym_ms_based_modifier] = STATE(10332),
    [sym_ms_call_modifier] = STATE(2637),
    [sym__declarator] = STATE(7978),
    [sym_parenthesized_declarator] = STATE(7680),
    [sym_attributed_declarator] = STATE(7680),
    [sym_pointer_declarator] = STATE(7680),
    [sym_function_declarator] = STATE(7563),
    [sym_array_declarator] = STATE(7680),
    [sym_compound_statement] = STATE(41),
    [sym_storage_class_specifier] = STATE(3159),
    [sym_type_qualifier] = STATE(3159),
    [sym__type_specifier] = STATE(3049),
    [sym_sized_type_specifier] = STATE(3085),
    [sym_enum_specifier] = STATE(3085),
    [sym_struct_specifier] = STATE(3085),
    [sym_union_specifier] = STATE(3085),
    [sym_attributed_statement] = STATE(41),
    [sym_labeled_statement] = STATE(41),
    [sym_expression_statement] = STATE(41),
    [sym_if_statement] = STATE(41),
    [sym_switch_statement] = STATE(41),
    [sym_case_statement] = STATE(41),
    [sym_while_statement] = STATE(41),
    [sym_do_statement] = STATE(41),
    [sym_for_statement] = STATE(41),
    [sym_return_statement] = STATE(41),
    [sym_break_statement] = STATE(41),
    [sym_continue_statement] = STATE(41),
    [sym_goto_statement] = STATE(41),
    [sym_seh_try_statement] = STATE(41),
    [sym_seh_leave_statement] = STATE(41),
    [sym__expression] = STATE(5802),
    [sym__expression_not_binary] = STATE(5024),
    [sym__string] = STATE(5024),
    [sym_comma_expression] = STATE(9525),
    [sym_conditional_expression] = STATE(5024),
    [sym_assignment_expression] = STATE(5024),
    [sym_pointer_expression] = STATE(4507),
    [sym_unary_expression] = STATE(5024),
    [sym_binary_expression] = STATE(5024),
    [sym_update_expression] = STATE(5024),
    [sym_cast_expression] = STATE(5024),
    [sym_sizeof_expression] = STATE(5024),
    [sym_alignof_expression] = STATE(5024),
    [sym_offsetof_expression] = STATE(5024),
    [sym_generic_expression] = STATE(5024),
    [sym_subscript_expression] = STATE(4507),
    [sym_call_expression] = STATE(4507),
    [sym_gnu_asm_expression] = STATE(5024),
    [sym_field_expression] = STATE(4507),
    [sym_compound_literal_expression] = STATE(5024),
    [sym_parenthesized_expression] = STATE(4507),
    [sym_char_literal] = STATE(5374),
    [sym_concatenated_string] = STATE(5377),
    [sym_string_literal] = STATE(4206),
    [sym_null] = STATE(5024),
    [sym__empty_declaration] = STATE(41),
    [sym_placeholder_type_specifier] = STATE(3085),
    [sym_decltype_auto] = STATE(3091),
    [sym_decltype] = STATE(3050),
    [sym_class_specifier] = STATE(3085),
    [sym__class_name] = STATE(9352),
    [sym_virtual] = STATE(3159),
    [sym_alignas_specifier] = STATE(3159),
    [sym_explicit_function_specifier] = STATE(2514),
    [sym_dependent_type] = STATE(3085),
    [sym_template_declaration] = STATE(41),
    [sym_template_instantiation] = STATE(41),
    [sym_operator_cast] = STATE(8082),
    [sym__constructor_specifiers] = STATE(2514),
    [sym_operator_cast_definition] = STATE(41),
    [sym_operator_cast_declaration] = STATE(41),
    [sym_constructor_or_destructor_definition] = STATE(41),
    [sym_reference_declarator] = STATE(7680),
    [sym_structured_binding_declarator] = STATE(7680),
    [sym_template_type] = STATE(3129),
    [sym_template_function] = STATE(5703),
    [sym_namespace_definition] = STATE(41),
    [sym_namespace_alias_definition] = STATE(41),
    [sym_using_declaration] = STATE(41),
    [sym_alias_declaration] = STATE(41),
    [sym_static_assert_declaration] = STATE(41),
    [sym_concept_definition] = STATE(41),
    [sym_for_range_loop] = STATE(41),
    [sym_co_return_statement] = STATE(41),
    [sym_co_yield_statement] = STATE(41),
    [sym_throw_statement] = STATE(41),
    [sym_try_statement] = STATE(41),
    [sym_raw_string_literal] = STATE(4217),
    [sym_co_await_expression] = STATE(5024),
    [sym_new_expression] = STATE(5024),
    [sym_delete_expression] = STATE(5024),
    [sym_requires_clause] = STATE(5024),
    [sym_requires_expression] = STATE(5024),
    [sym_lambda_expression] = STATE(5024),
    [sym_lambda_capture_specifier] = STATE(7184),
    [sym_fold_expression] = STATE(5024),
    [sym_parameter_pack_expansion] = STATE(5024),
    [sym_destructor_name] = STATE(7680),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6764),
    [sym_qualified_identifier] = STATE(4502),
    [sym_qualified_type_identifier] = STATE(3127),
    [sym_qualified_operator_cast_identifier] = STATE(8082),
    [sym_operator_name] = STATE(7680),
    [sym_user_defined_literal] = STATE(4507),
    [sym_discard_statement] = STATE(41),
    [sym_qualifiers] = STATE(3159),
    [sym_cbuffer_specifier] = STATE(41),
    [sym_hlsl_attribute] = STATE(1906),
    [aux_sym_preproc_if_repeat1] = STATE(41),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2673),
    [aux_sym_attributed_declarator_repeat1] = STATE(1337),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3021),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2514),
    [sym_identifier] = ACTIONS(720),
    [aux_sym_preproc_include_token1] = ACTIONS(723),
    [aux_sym_preproc_def_token1] = ACTIONS(726),
    [aux_sym_preproc_if_token1] = ACTIONS(729),
    [aux_sym_preproc_if_token2] = ACTIONS(457),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(732),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(732),
    [aux_sym_preproc_else_token1] = ACTIONS(457),
    [aux_sym_preproc_elif_token1] = ACTIONS(457),
    [sym_preproc_directive] = ACTIONS(735),
    [anon_sym_LPAREN2] = ACTIONS(465),
    [anon_sym_BANG] = ACTIONS(468),
    [anon_sym_TILDE] = ACTIONS(471),
    [anon_sym_DASH] = ACTIONS(474),
    [anon_sym_PLUS] = ACTIONS(474),
    [anon_sym_STAR] = ACTIONS(477),
    [anon_sym_AMP_AMP] = ACTIONS(480),
    [anon_sym_AMP] = ACTIONS(483),
    [anon_sym_SEMI] = ACTIONS(738),
    [anon_sym___extension__] = ACTIONS(741),
    [anon_sym_typedef] = ACTIONS(744),
    [anon_sym_in] = ACTIONS(495),
    [anon_sym_out] = ACTIONS(495),
    [anon_sym_inout] = ACTIONS(495),
    [anon_sym_extern] = ACTIONS(747),
    [anon_sym___attribute__] = ACTIONS(501),
    [anon_sym_COLON_COLON] = ACTIONS(504),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(507),
    [anon_sym___declspec] = ACTIONS(510),
    [anon_sym___based] = ACTIONS(513),
    [anon_sym___cdecl] = ACTIONS(516),
    [anon_sym___clrcall] = ACTIONS(516),
    [anon_sym___stdcall] = ACTIONS(516),
    [anon_sym___fastcall] = ACTIONS(516),
    [anon_sym___thiscall] = ACTIONS(516),
    [anon_sym___vectorcall] = ACTIONS(516),
    [anon_sym_LBRACE] = ACTIONS(750),
    [anon_sym_signed] = ACTIONS(522),
    [anon_sym_unsigned] = ACTIONS(522),
    [anon_sym_long] = ACTIONS(522),
    [anon_sym_short] = ACTIONS(522),
    [anon_sym_LBRACK] = ACTIONS(525),
    [anon_sym_static] = ACTIONS(528),
    [anon_sym_register] = ACTIONS(528),
    [anon_sym_inline] = ACTIONS(753),
    [anon_sym___inline] = ACTIONS(528),
    [anon_sym___inline__] = ACTIONS(528),
    [anon_sym___forceinline] = ACTIONS(528),
    [anon_sym_thread_local] = ACTIONS(528),
    [anon_sym___thread] = ACTIONS(528),
    [anon_sym_const] = ACTIONS(534),
    [anon_sym_constexpr] = ACTIONS(534),
    [anon_sym_volatile] = ACTIONS(534),
    [anon_sym_restrict] = ACTIONS(534),
    [anon_sym___restrict__] = ACTIONS(534),
    [anon_sym__Atomic] = ACTIONS(534),
    [anon_sym__Noreturn] = ACTIONS(534),
    [anon_sym_noreturn] = ACTIONS(534),
    [anon_sym_mutable] = ACTIONS(534),
    [anon_sym_constinit] = ACTIONS(534),
    [anon_sym_consteval] = ACTIONS(534),
    [sym_primitive_type] = ACTIONS(537),
    [anon_sym_enum] = ACTIONS(540),
    [anon_sym_class] = ACTIONS(543),
    [anon_sym_struct] = ACTIONS(546),
    [anon_sym_union] = ACTIONS(549),
    [anon_sym_if] = ACTIONS(756),
    [anon_sym_switch] = ACTIONS(759),
    [anon_sym_case] = ACTIONS(762),
    [anon_sym_default] = ACTIONS(765),
    [anon_sym_while] = ACTIONS(768),
    [anon_sym_do] = ACTIONS(771),
    [anon_sym_for] = ACTIONS(774),
    [anon_sym_return] = ACTIONS(777),
    [anon_sym_break] = ACTIONS(780),
    [anon_sym_continue] = ACTIONS(783),
    [anon_sym_goto] = ACTIONS(786),
    [anon_sym___try] = ACTIONS(789),
    [anon_sym___leave] = ACTIONS(792),
    [anon_sym_not] = ACTIONS(474),
    [anon_sym_compl] = ACTIONS(474),
    [anon_sym_DASH_DASH] = ACTIONS(591),
    [anon_sym_PLUS_PLUS] = ACTIONS(591),
    [anon_sym_sizeof] = ACTIONS(594),
    [anon_sym___alignof__] = ACTIONS(597),
    [anon_sym___alignof] = ACTIONS(597),
    [anon_sym__alignof] = ACTIONS(597),
    [anon_sym_alignof] = ACTIONS(597),
    [anon_sym__Alignof] = ACTIONS(597),
    [anon_sym_offsetof] = ACTIONS(600),
    [anon_sym__Generic] = ACTIONS(603),
    [anon_sym_asm] = ACTIONS(606),
    [anon_sym___asm__] = ACTIONS(606),
    [sym_number_literal] = ACTIONS(609),
    [anon_sym_L_SQUOTE] = ACTIONS(612),
    [anon_sym_u_SQUOTE] = ACTIONS(612),
    [anon_sym_U_SQUOTE] = ACTIONS(612),
    [anon_sym_u8_SQUOTE] = ACTIONS(612),
    [anon_sym_SQUOTE] = ACTIONS(612),
    [anon_sym_L_DQUOTE] = ACTIONS(615),
    [anon_sym_u_DQUOTE] = ACTIONS(615),
    [anon_sym_U_DQUOTE] = ACTIONS(615),
    [anon_sym_u8_DQUOTE] = ACTIONS(615),
    [anon_sym_DQUOTE] = ACTIONS(615),
    [sym_true] = ACTIONS(618),
    [sym_false] = ACTIONS(618),
    [anon_sym_NULL] = ACTIONS(621),
    [anon_sym_nullptr] = ACTIONS(621),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(624),
    [anon_sym_decltype] = ACTIONS(627),
    [anon_sym_virtual] = ACTIONS(630),
    [anon_sym_alignas] = ACTIONS(633),
    [anon_sym_explicit] = ACTIONS(636),
    [anon_sym_typename] = ACTIONS(639),
    [anon_sym_template] = ACTIONS(795),
    [anon_sym_operator] = ACTIONS(645),
    [anon_sym_try] = ACTIONS(798),
    [anon_sym_delete] = ACTIONS(651),
    [anon_sym_throw] = ACTIONS(801),
    [anon_sym_namespace] = ACTIONS(804),
    [anon_sym_using] = ACTIONS(807),
    [anon_sym_static_assert] = ACTIONS(810),
    [anon_sym_concept] = ACTIONS(813),
    [anon_sym_co_return] = ACTIONS(816),
    [anon_sym_co_yield] = ACTIONS(819),
    [anon_sym_R_DQUOTE] = ACTIONS(675),
    [anon_sym_LR_DQUOTE] = ACTIONS(675),
    [anon_sym_uR_DQUOTE] = ACTIONS(675),
    [anon_sym_UR_DQUOTE] = ACTIONS(675),
    [anon_sym_u8R_DQUOTE] = ACTIONS(675),
    [anon_sym_co_await] = ACTIONS(678),
    [anon_sym_new] = ACTIONS(681),
    [anon_sym_requires] = ACTIONS(684),
    [sym_this] = ACTIONS(618),
    [anon_sym_discard] = ACTIONS(822),
    [anon_sym_precise] = ACTIONS(690),
    [anon_sym_shared] = ACTIONS(690),
    [anon_sym_groupshared] = ACTIONS(690),
    [anon_sym_uniform] = ACTIONS(690),
    [anon_sym_row_major] = ACTIONS(690),
    [anon_sym_column_major] = ACTIONS(690),
    [anon_sym_globallycoherent] = ACTIONS(690),
    [anon_sym_centroid] = ACTIONS(690),
    [anon_sym_noperspective] = ACTIONS(690),
    [anon_sym_nointerpolation] = ACTIONS(690),
    [anon_sym_sample] = ACTIONS(690),
    [anon_sym_linear] = ACTIONS(690),
    [anon_sym_snorm] = ACTIONS(690),
    [anon_sym_unorm] = ACTIONS(690),
    [anon_sym_point] = ACTIONS(690),
    [anon_sym_line] = ACTIONS(690),
    [anon_sym_triangleadj] = ACTIONS(690),
    [anon_sym_lineadj] = ACTIONS(690),
    [anon_sym_triangle] = ACTIONS(690),
    [anon_sym_cbuffer] = ACTIONS(825),
  },
  [42] = {
    [sym_preproc_include] = STATE(83),
    [sym_preproc_def] = STATE(83),
    [sym_preproc_function_def] = STATE(83),
    [sym_preproc_call] = STATE(83),
    [sym_preproc_if] = STATE(83),
    [sym_preproc_ifdef] = STATE(83),
    [sym_function_definition] = STATE(83),
    [sym_declaration] = STATE(83),
    [sym_type_definition] = STATE(83),
    [sym__declaration_modifiers] = STATE(3159),
    [sym__declaration_specifiers] = STATE(5906),
    [sym_linkage_specification] = STATE(83),
    [sym_attribute_specifier] = STATE(3159),
    [sym_attribute_declaration] = STATE(1464),
    [sym_ms_declspec_modifier] = STATE(3159),
    [sym_ms_based_modifier] = STATE(10332),
    [sym_ms_call_modifier] = STATE(2574),
    [sym__declarator] = STATE(7978),
    [sym_parenthesized_declarator] = STATE(7680),
    [sym_attributed_declarator] = STATE(7680),
    [sym_pointer_declarator] = STATE(7680),
    [sym_function_declarator] = STATE(7611),
    [sym_array_declarator] = STATE(7680),
    [sym_compound_statement] = STATE(83),
    [sym_storage_class_specifier] = STATE(3159),
    [sym_type_qualifier] = STATE(3159),
    [sym__type_specifier] = STATE(3039),
    [sym_sized_type_specifier] = STATE(3085),
    [sym_enum_specifier] = STATE(3085),
    [sym_struct_specifier] = STATE(3085),
    [sym_union_specifier] = STATE(3085),
    [sym_attributed_statement] = STATE(83),
    [sym_labeled_statement] = STATE(83),
    [sym_expression_statement] = STATE(83),
    [sym_if_statement] = STATE(83),
    [sym_switch_statement] = STATE(83),
    [sym_case_statement] = STATE(83),
    [sym_while_statement] = STATE(83),
    [sym_do_statement] = STATE(83),
    [sym_for_statement] = STATE(83),
    [sym_return_statement] = STATE(83),
    [sym_break_statement] = STATE(83),
    [sym_continue_statement] = STATE(83),
    [sym_goto_statement] = STATE(83),
    [sym_seh_try_statement] = STATE(83),
    [sym_seh_leave_statement] = STATE(83),
    [sym__expression] = STATE(5674),
    [sym__expression_not_binary] = STATE(5024),
    [sym__string] = STATE(5024),
    [sym_comma_expression] = STATE(10272),
    [sym_conditional_expression] = STATE(5024),
    [sym_assignment_expression] = STATE(5024),
    [sym_pointer_expression] = STATE(4507),
    [sym_unary_expression] = STATE(5024),
    [sym_binary_expression] = STATE(5024),
    [sym_update_expression] = STATE(5024),
    [sym_cast_expression] = STATE(5024),
    [sym_sizeof_expression] = STATE(5024),
    [sym_alignof_expression] = STATE(5024),
    [sym_offsetof_expression] = STATE(5024),
    [sym_generic_expression] = STATE(5024),
    [sym_subscript_expression] = STATE(4507),
    [sym_call_expression] = STATE(4507),
    [sym_gnu_asm_expression] = STATE(5024),
    [sym_field_expression] = STATE(4507),
    [sym_compound_literal_expression] = STATE(5024),
    [sym_parenthesized_expression] = STATE(4507),
    [sym_char_literal] = STATE(5374),
    [sym_concatenated_string] = STATE(5377),
    [sym_string_literal] = STATE(4206),
    [sym_null] = STATE(5024),
    [sym__empty_declaration] = STATE(83),
    [sym_placeholder_type_specifier] = STATE(3085),
    [sym_decltype_auto] = STATE(3091),
    [sym_decltype] = STATE(3050),
    [sym_class_specifier] = STATE(3085),
    [sym__class_name] = STATE(9352),
    [sym_virtual] = STATE(3159),
    [sym_alignas_specifier] = STATE(3159),
    [sym_explicit_function_specifier] = STATE(2511),
    [sym_dependent_type] = STATE(3085),
    [sym_template_declaration] = STATE(83),
    [sym_template_instantiation] = STATE(83),
    [sym_operator_cast] = STATE(8035),
    [sym__constructor_specifiers] = STATE(2511),
    [sym_operator_cast_definition] = STATE(83),
    [sym_operator_cast_declaration] = STATE(83),
    [sym_constructor_or_destructor_definition] = STATE(83),
    [sym_reference_declarator] = STATE(7680),
    [sym_structured_binding_declarator] = STATE(7680),
    [sym_template_type] = STATE(3129),
    [sym_template_function] = STATE(5703),
    [sym_namespace_definition] = STATE(83),
    [sym_namespace_alias_definition] = STATE(83),
    [sym_using_declaration] = STATE(83),
    [sym_alias_declaration] = STATE(83),
    [sym_static_assert_declaration] = STATE(83),
    [sym_concept_definition] = STATE(83),
    [sym_for_range_loop] = STATE(83),
    [sym_co_return_statement] = STATE(83),
    [sym_co_yield_statement] = STATE(83),
    [sym_throw_statement] = STATE(83),
    [sym_try_statement] = STATE(83),
    [sym_raw_string_literal] = STATE(4217),
    [sym_co_await_expression] = STATE(5024),
    [sym_new_expression] = STATE(5024),
    [sym_delete_expression] = STATE(5024),
    [sym_requires_clause] = STATE(5024),
    [sym_requires_expression] = STATE(5024),
    [sym_lambda_expression] = STATE(5024),
    [sym_lambda_capture_specifier] = STATE(7184),
    [sym_fold_expression] = STATE(5024),
    [sym_parameter_pack_expansion] = STATE(5024),
    [sym_destructor_name] = STATE(7680),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6764),
    [sym_qualified_identifier] = STATE(4502),
    [sym_qualified_type_identifier] = STATE(3127),
    [sym_qualified_operator_cast_identifier] = STATE(8035),
    [sym_operator_name] = STATE(7680),
    [sym_user_defined_literal] = STATE(4507),
    [sym_discard_statement] = STATE(83),
    [sym_qualifiers] = STATE(3159),
    [sym_cbuffer_specifier] = STATE(83),
    [sym_hlsl_attribute] = STATE(1858),
    [aux_sym_preproc_if_repeat1] = STATE(83),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2673),
    [aux_sym_attributed_declarator_repeat1] = STATE(1339),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3021),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2511),
    [sym_identifier] = ACTIONS(828),
    [aux_sym_preproc_include_token1] = ACTIONS(165),
    [aux_sym_preproc_def_token1] = ACTIONS(167),
    [aux_sym_preproc_if_token1] = ACTIONS(171),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(173),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(173),
    [sym_preproc_directive] = ACTIONS(175),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(177),
    [anon_sym___extension__] = ACTIONS(179),
    [anon_sym_typedef] = ACTIONS(181),
    [anon_sym_in] = ACTIONS(37),
    [anon_sym_out] = ACTIONS(37),
    [anon_sym_inout] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(183),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(45),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym___cdecl] = ACTIONS(51),
    [anon_sym___clrcall] = ACTIONS(51),
    [anon_sym___stdcall] = ACTIONS(51),
    [anon_sym___fastcall] = ACTIONS(51),
    [anon_sym___thiscall] = ACTIONS(51),
    [anon_sym___vectorcall] = ACTIONS(51),
    [anon_sym_LBRACE] = ACTIONS(830),
    [anon_sym_RBRACE] = ACTIONS(832),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(191),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(65),
    [anon_sym_enum] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(69),
    [anon_sym_struct] = ACTIONS(71),
    [anon_sym_union] = ACTIONS(73),
    [anon_sym_if] = ACTIONS(193),
    [anon_sym_switch] = ACTIONS(195),
    [anon_sym_case] = ACTIONS(197),
    [anon_sym_default] = ACTIONS(199),
    [anon_sym_while] = ACTIONS(201),
    [anon_sym_do] = ACTIONS(203),
    [anon_sym_for] = ACTIONS(205),
    [anon_sym_return] = ACTIONS(207),
    [anon_sym_break] = ACTIONS(209),
    [anon_sym_continue] = ACTIONS(211),
    [anon_sym_goto] = ACTIONS(213),
    [anon_sym___try] = ACTIONS(215),
    [anon_sym___leave] = ACTIONS(217),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [anon_sym_virtual] = ACTIONS(123),
    [anon_sym_alignas] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(223),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_try] = ACTIONS(225),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(227),
    [anon_sym_namespace] = ACTIONS(229),
    [anon_sym_using] = ACTIONS(231),
    [anon_sym_static_assert] = ACTIONS(233),
    [anon_sym_concept] = ACTIONS(235),
    [anon_sym_co_return] = ACTIONS(237),
    [anon_sym_co_yield] = ACTIONS(239),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
    [anon_sym_discard] = ACTIONS(241),
    [anon_sym_precise] = ACTIONS(161),
    [anon_sym_shared] = ACTIONS(161),
    [anon_sym_groupshared] = ACTIONS(161),
    [anon_sym_uniform] = ACTIONS(161),
    [anon_sym_row_major] = ACTIONS(161),
    [anon_sym_column_major] = ACTIONS(161),
    [anon_sym_globallycoherent] = ACTIONS(161),
    [anon_sym_centroid] = ACTIONS(161),
    [anon_sym_noperspective] = ACTIONS(161),
    [anon_sym_nointerpolation] = ACTIONS(161),
    [anon_sym_sample] = ACTIONS(161),
    [anon_sym_linear] = ACTIONS(161),
    [anon_sym_snorm] = ACTIONS(161),
    [anon_sym_unorm] = ACTIONS(161),
    [anon_sym_point] = ACTIONS(161),
    [anon_sym_line] = ACTIONS(161),
    [anon_sym_triangleadj] = ACTIONS(161),
    [anon_sym_lineadj] = ACTIONS(161),
    [anon_sym_triangle] = ACTIONS(161),
    [anon_sym_cbuffer] = ACTIONS(243),
  },
  [43] = {
    [sym_preproc_include] = STATE(56),
    [sym_preproc_def] = STATE(56),
    [sym_preproc_function_def] = STATE(56),
    [sym_preproc_call] = STATE(56),
    [sym_preproc_if] = STATE(56),
    [sym_preproc_ifdef] = STATE(56),
    [sym_function_definition] = STATE(56),
    [sym_declaration] = STATE(56),
    [sym_type_definition] = STATE(56),
    [sym__declaration_modifiers] = STATE(3159),
    [sym__declaration_specifiers] = STATE(5906),
    [sym_linkage_specification] = STATE(56),
    [sym_attribute_specifier] = STATE(3159),
    [sym_attribute_declaration] = STATE(1464),
    [sym_ms_declspec_modifier] = STATE(3159),
    [sym_ms_based_modifier] = STATE(10332),
    [sym_ms_call_modifier] = STATE(2574),
    [sym__declarator] = STATE(7978),
    [sym_parenthesized_declarator] = STATE(7680),
    [sym_attributed_declarator] = STATE(7680),
    [sym_pointer_declarator] = STATE(7680),
    [sym_function_declarator] = STATE(7611),
    [sym_array_declarator] = STATE(7680),
    [sym_compound_statement] = STATE(56),
    [sym_storage_class_specifier] = STATE(3159),
    [sym_type_qualifier] = STATE(3159),
    [sym__type_specifier] = STATE(3039),
    [sym_sized_type_specifier] = STATE(3085),
    [sym_enum_specifier] = STATE(3085),
    [sym_struct_specifier] = STATE(3085),
    [sym_union_specifier] = STATE(3085),
    [sym_attributed_statement] = STATE(56),
    [sym_labeled_statement] = STATE(56),
    [sym_expression_statement] = STATE(56),
    [sym_if_statement] = STATE(56),
    [sym_switch_statement] = STATE(56),
    [sym_case_statement] = STATE(56),
    [sym_while_statement] = STATE(56),
    [sym_do_statement] = STATE(56),
    [sym_for_statement] = STATE(56),
    [sym_return_statement] = STATE(56),
    [sym_break_statement] = STATE(56),
    [sym_continue_statement] = STATE(56),
    [sym_goto_statement] = STATE(56),
    [sym_seh_try_statement] = STATE(56),
    [sym_seh_leave_statement] = STATE(56),
    [sym__expression] = STATE(5674),
    [sym__expression_not_binary] = STATE(5024),
    [sym__string] = STATE(5024),
    [sym_comma_expression] = STATE(10272),
    [sym_conditional_expression] = STATE(5024),
    [sym_assignment_expression] = STATE(5024),
    [sym_pointer_expression] = STATE(4507),
    [sym_unary_expression] = STATE(5024),
    [sym_binary_expression] = STATE(5024),
    [sym_update_expression] = STATE(5024),
    [sym_cast_expression] = STATE(5024),
    [sym_sizeof_expression] = STATE(5024),
    [sym_alignof_expression] = STATE(5024),
    [sym_offsetof_expression] = STATE(5024),
    [sym_generic_expression] = STATE(5024),
    [sym_subscript_expression] = STATE(4507),
    [sym_call_expression] = STATE(4507),
    [sym_gnu_asm_expression] = STATE(5024),
    [sym_field_expression] = STATE(4507),
    [sym_compound_literal_expression] = STATE(5024),
    [sym_parenthesized_expression] = STATE(4507),
    [sym_char_literal] = STATE(5374),
    [sym_concatenated_string] = STATE(5377),
    [sym_string_literal] = STATE(4206),
    [sym_null] = STATE(5024),
    [sym__empty_declaration] = STATE(56),
    [sym_placeholder_type_specifier] = STATE(3085),
    [sym_decltype_auto] = STATE(3091),
    [sym_decltype] = STATE(3050),
    [sym_class_specifier] = STATE(3085),
    [sym__class_name] = STATE(9352),
    [sym_virtual] = STATE(3159),
    [sym_alignas_specifier] = STATE(3159),
    [sym_explicit_function_specifier] = STATE(2511),
    [sym_dependent_type] = STATE(3085),
    [sym_template_declaration] = STATE(56),
    [sym_template_instantiation] = STATE(56),
    [sym_operator_cast] = STATE(8035),
    [sym__constructor_specifiers] = STATE(2511),
    [sym_operator_cast_definition] = STATE(56),
    [sym_operator_cast_declaration] = STATE(56),
    [sym_constructor_or_destructor_definition] = STATE(56),
    [sym_reference_declarator] = STATE(7680),
    [sym_structured_binding_declarator] = STATE(7680),
    [sym_template_type] = STATE(3129),
    [sym_template_function] = STATE(5703),
    [sym_namespace_definition] = STATE(56),
    [sym_namespace_alias_definition] = STATE(56),
    [sym_using_declaration] = STATE(56),
    [sym_alias_declaration] = STATE(56),
    [sym_static_assert_declaration] = STATE(56),
    [sym_concept_definition] = STATE(56),
    [sym_for_range_loop] = STATE(56),
    [sym_co_return_statement] = STATE(56),
    [sym_co_yield_statement] = STATE(56),
    [sym_throw_statement] = STATE(56),
    [sym_try_statement] = STATE(56),
    [sym_raw_string_literal] = STATE(4217),
    [sym_co_await_expression] = STATE(5024),
    [sym_new_expression] = STATE(5024),
    [sym_delete_expression] = STATE(5024),
    [sym_requires_clause] = STATE(5024),
    [sym_requires_expression] = STATE(5024),
    [sym_lambda_expression] = STATE(5024),
    [sym_lambda_capture_specifier] = STATE(7184),
    [sym_fold_expression] = STATE(5024),
    [sym_parameter_pack_expansion] = STATE(5024),
    [sym_destructor_name] = STATE(7680),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6764),
    [sym_qualified_identifier] = STATE(4502),
    [sym_qualified_type_identifier] = STATE(3127),
    [sym_qualified_operator_cast_identifier] = STATE(8035),
    [sym_operator_name] = STATE(7680),
    [sym_user_defined_literal] = STATE(4507),
    [sym_discard_statement] = STATE(56),
    [sym_qualifiers] = STATE(3159),
    [sym_cbuffer_specifier] = STATE(56),
    [sym_hlsl_attribute] = STATE(1858),
    [aux_sym_preproc_if_repeat1] = STATE(56),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2673),
    [aux_sym_attributed_declarator_repeat1] = STATE(1339),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3021),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2511),
    [sym_identifier] = ACTIONS(828),
    [aux_sym_preproc_include_token1] = ACTIONS(165),
    [aux_sym_preproc_def_token1] = ACTIONS(167),
    [aux_sym_preproc_if_token1] = ACTIONS(171),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(173),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(173),
    [sym_preproc_directive] = ACTIONS(175),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(177),
    [anon_sym___extension__] = ACTIONS(179),
    [anon_sym_typedef] = ACTIONS(181),
    [anon_sym_in] = ACTIONS(37),
    [anon_sym_out] = ACTIONS(37),
    [anon_sym_inout] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(183),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(45),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym___cdecl] = ACTIONS(51),
    [anon_sym___clrcall] = ACTIONS(51),
    [anon_sym___stdcall] = ACTIONS(51),
    [anon_sym___fastcall] = ACTIONS(51),
    [anon_sym___thiscall] = ACTIONS(51),
    [anon_sym___vectorcall] = ACTIONS(51),
    [anon_sym_LBRACE] = ACTIONS(830),
    [anon_sym_RBRACE] = ACTIONS(834),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(191),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(65),
    [anon_sym_enum] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(69),
    [anon_sym_struct] = ACTIONS(71),
    [anon_sym_union] = ACTIONS(73),
    [anon_sym_if] = ACTIONS(193),
    [anon_sym_switch] = ACTIONS(195),
    [anon_sym_case] = ACTIONS(197),
    [anon_sym_default] = ACTIONS(199),
    [anon_sym_while] = ACTIONS(201),
    [anon_sym_do] = ACTIONS(203),
    [anon_sym_for] = ACTIONS(205),
    [anon_sym_return] = ACTIONS(207),
    [anon_sym_break] = ACTIONS(209),
    [anon_sym_continue] = ACTIONS(211),
    [anon_sym_goto] = ACTIONS(213),
    [anon_sym___try] = ACTIONS(215),
    [anon_sym___leave] = ACTIONS(217),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [anon_sym_virtual] = ACTIONS(123),
    [anon_sym_alignas] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(223),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_try] = ACTIONS(225),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(227),
    [anon_sym_namespace] = ACTIONS(229),
    [anon_sym_using] = ACTIONS(231),
    [anon_sym_static_assert] = ACTIONS(233),
    [anon_sym_concept] = ACTIONS(235),
    [anon_sym_co_return] = ACTIONS(237),
    [anon_sym_co_yield] = ACTIONS(239),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
    [anon_sym_discard] = ACTIONS(241),
    [anon_sym_precise] = ACTIONS(161),
    [anon_sym_shared] = ACTIONS(161),
    [anon_sym_groupshared] = ACTIONS(161),
    [anon_sym_uniform] = ACTIONS(161),
    [anon_sym_row_major] = ACTIONS(161),
    [anon_sym_column_major] = ACTIONS(161),
    [anon_sym_globallycoherent] = ACTIONS(161),
    [anon_sym_centroid] = ACTIONS(161),
    [anon_sym_noperspective] = ACTIONS(161),
    [anon_sym_nointerpolation] = ACTIONS(161),
    [anon_sym_sample] = ACTIONS(161),
    [anon_sym_linear] = ACTIONS(161),
    [anon_sym_snorm] = ACTIONS(161),
    [anon_sym_unorm] = ACTIONS(161),
    [anon_sym_point] = ACTIONS(161),
    [anon_sym_line] = ACTIONS(161),
    [anon_sym_triangleadj] = ACTIONS(161),
    [anon_sym_lineadj] = ACTIONS(161),
    [anon_sym_triangle] = ACTIONS(161),
    [anon_sym_cbuffer] = ACTIONS(243),
  },
  [44] = {
    [sym_preproc_include] = STATE(56),
    [sym_preproc_def] = STATE(56),
    [sym_preproc_function_def] = STATE(56),
    [sym_preproc_call] = STATE(56),
    [sym_preproc_if] = STATE(56),
    [sym_preproc_ifdef] = STATE(56),
    [sym_function_definition] = STATE(56),
    [sym_declaration] = STATE(56),
    [sym_type_definition] = STATE(56),
    [sym__declaration_modifiers] = STATE(3159),
    [sym__declaration_specifiers] = STATE(5906),
    [sym_linkage_specification] = STATE(56),
    [sym_attribute_specifier] = STATE(3159),
    [sym_attribute_declaration] = STATE(1464),
    [sym_ms_declspec_modifier] = STATE(3159),
    [sym_ms_based_modifier] = STATE(10332),
    [sym_ms_call_modifier] = STATE(2574),
    [sym__declarator] = STATE(7978),
    [sym_parenthesized_declarator] = STATE(7680),
    [sym_attributed_declarator] = STATE(7680),
    [sym_pointer_declarator] = STATE(7680),
    [sym_function_declarator] = STATE(7611),
    [sym_array_declarator] = STATE(7680),
    [sym_compound_statement] = STATE(56),
    [sym_storage_class_specifier] = STATE(3159),
    [sym_type_qualifier] = STATE(3159),
    [sym__type_specifier] = STATE(3039),
    [sym_sized_type_specifier] = STATE(3085),
    [sym_enum_specifier] = STATE(3085),
    [sym_struct_specifier] = STATE(3085),
    [sym_union_specifier] = STATE(3085),
    [sym_attributed_statement] = STATE(56),
    [sym_labeled_statement] = STATE(56),
    [sym_expression_statement] = STATE(56),
    [sym_if_statement] = STATE(56),
    [sym_switch_statement] = STATE(56),
    [sym_case_statement] = STATE(56),
    [sym_while_statement] = STATE(56),
    [sym_do_statement] = STATE(56),
    [sym_for_statement] = STATE(56),
    [sym_return_statement] = STATE(56),
    [sym_break_statement] = STATE(56),
    [sym_continue_statement] = STATE(56),
    [sym_goto_statement] = STATE(56),
    [sym_seh_try_statement] = STATE(56),
    [sym_seh_leave_statement] = STATE(56),
    [sym__expression] = STATE(5674),
    [sym__expression_not_binary] = STATE(5024),
    [sym__string] = STATE(5024),
    [sym_comma_expression] = STATE(10272),
    [sym_conditional_expression] = STATE(5024),
    [sym_assignment_expression] = STATE(5024),
    [sym_pointer_expression] = STATE(4507),
    [sym_unary_expression] = STATE(5024),
    [sym_binary_expression] = STATE(5024),
    [sym_update_expression] = STATE(5024),
    [sym_cast_expression] = STATE(5024),
    [sym_sizeof_expression] = STATE(5024),
    [sym_alignof_expression] = STATE(5024),
    [sym_offsetof_expression] = STATE(5024),
    [sym_generic_expression] = STATE(5024),
    [sym_subscript_expression] = STATE(4507),
    [sym_call_expression] = STATE(4507),
    [sym_gnu_asm_expression] = STATE(5024),
    [sym_field_expression] = STATE(4507),
    [sym_compound_literal_expression] = STATE(5024),
    [sym_parenthesized_expression] = STATE(4507),
    [sym_char_literal] = STATE(5374),
    [sym_concatenated_string] = STATE(5377),
    [sym_string_literal] = STATE(4206),
    [sym_null] = STATE(5024),
    [sym__empty_declaration] = STATE(56),
    [sym_placeholder_type_specifier] = STATE(3085),
    [sym_decltype_auto] = STATE(3091),
    [sym_decltype] = STATE(3050),
    [sym_class_specifier] = STATE(3085),
    [sym__class_name] = STATE(9352),
    [sym_virtual] = STATE(3159),
    [sym_alignas_specifier] = STATE(3159),
    [sym_explicit_function_specifier] = STATE(2511),
    [sym_dependent_type] = STATE(3085),
    [sym_template_declaration] = STATE(56),
    [sym_template_instantiation] = STATE(56),
    [sym_operator_cast] = STATE(8035),
    [sym__constructor_specifiers] = STATE(2511),
    [sym_operator_cast_definition] = STATE(56),
    [sym_operator_cast_declaration] = STATE(56),
    [sym_constructor_or_destructor_definition] = STATE(56),
    [sym_reference_declarator] = STATE(7680),
    [sym_structured_binding_declarator] = STATE(7680),
    [sym_template_type] = STATE(3129),
    [sym_template_function] = STATE(5703),
    [sym_namespace_definition] = STATE(56),
    [sym_namespace_alias_definition] = STATE(56),
    [sym_using_declaration] = STATE(56),
    [sym_alias_declaration] = STATE(56),
    [sym_static_assert_declaration] = STATE(56),
    [sym_concept_definition] = STATE(56),
    [sym_for_range_loop] = STATE(56),
    [sym_co_return_statement] = STATE(56),
    [sym_co_yield_statement] = STATE(56),
    [sym_throw_statement] = STATE(56),
    [sym_try_statement] = STATE(56),
    [sym_raw_string_literal] = STATE(4217),
    [sym_co_await_expression] = STATE(5024),
    [sym_new_expression] = STATE(5024),
    [sym_delete_expression] = STATE(5024),
    [sym_requires_clause] = STATE(5024),
    [sym_requires_expression] = STATE(5024),
    [sym_lambda_expression] = STATE(5024),
    [sym_lambda_capture_specifier] = STATE(7184),
    [sym_fold_expression] = STATE(5024),
    [sym_parameter_pack_expansion] = STATE(5024),
    [sym_destructor_name] = STATE(7680),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6764),
    [sym_qualified_identifier] = STATE(4502),
    [sym_qualified_type_identifier] = STATE(3127),
    [sym_qualified_operator_cast_identifier] = STATE(8035),
    [sym_operator_name] = STATE(7680),
    [sym_user_defined_literal] = STATE(4507),
    [sym_discard_statement] = STATE(56),
    [sym_qualifiers] = STATE(3159),
    [sym_cbuffer_specifier] = STATE(56),
    [sym_hlsl_attribute] = STATE(1858),
    [aux_sym_preproc_if_repeat1] = STATE(56),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2673),
    [aux_sym_attributed_declarator_repeat1] = STATE(1339),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3021),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2511),
    [sym_identifier] = ACTIONS(828),
    [aux_sym_preproc_include_token1] = ACTIONS(165),
    [aux_sym_preproc_def_token1] = ACTIONS(167),
    [aux_sym_preproc_if_token1] = ACTIONS(171),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(173),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(173),
    [sym_preproc_directive] = ACTIONS(175),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(177),
    [anon_sym___extension__] = ACTIONS(179),
    [anon_sym_typedef] = ACTIONS(181),
    [anon_sym_in] = ACTIONS(37),
    [anon_sym_out] = ACTIONS(37),
    [anon_sym_inout] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(183),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(45),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym___cdecl] = ACTIONS(51),
    [anon_sym___clrcall] = ACTIONS(51),
    [anon_sym___stdcall] = ACTIONS(51),
    [anon_sym___fastcall] = ACTIONS(51),
    [anon_sym___thiscall] = ACTIONS(51),
    [anon_sym___vectorcall] = ACTIONS(51),
    [anon_sym_LBRACE] = ACTIONS(830),
    [anon_sym_RBRACE] = ACTIONS(836),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(191),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(65),
    [anon_sym_enum] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(69),
    [anon_sym_struct] = ACTIONS(71),
    [anon_sym_union] = ACTIONS(73),
    [anon_sym_if] = ACTIONS(193),
    [anon_sym_switch] = ACTIONS(195),
    [anon_sym_case] = ACTIONS(197),
    [anon_sym_default] = ACTIONS(199),
    [anon_sym_while] = ACTIONS(201),
    [anon_sym_do] = ACTIONS(203),
    [anon_sym_for] = ACTIONS(205),
    [anon_sym_return] = ACTIONS(207),
    [anon_sym_break] = ACTIONS(209),
    [anon_sym_continue] = ACTIONS(211),
    [anon_sym_goto] = ACTIONS(213),
    [anon_sym___try] = ACTIONS(215),
    [anon_sym___leave] = ACTIONS(217),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [anon_sym_virtual] = ACTIONS(123),
    [anon_sym_alignas] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(223),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_try] = ACTIONS(225),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(227),
    [anon_sym_namespace] = ACTIONS(229),
    [anon_sym_using] = ACTIONS(231),
    [anon_sym_static_assert] = ACTIONS(233),
    [anon_sym_concept] = ACTIONS(235),
    [anon_sym_co_return] = ACTIONS(237),
    [anon_sym_co_yield] = ACTIONS(239),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
    [anon_sym_discard] = ACTIONS(241),
    [anon_sym_precise] = ACTIONS(161),
    [anon_sym_shared] = ACTIONS(161),
    [anon_sym_groupshared] = ACTIONS(161),
    [anon_sym_uniform] = ACTIONS(161),
    [anon_sym_row_major] = ACTIONS(161),
    [anon_sym_column_major] = ACTIONS(161),
    [anon_sym_globallycoherent] = ACTIONS(161),
    [anon_sym_centroid] = ACTIONS(161),
    [anon_sym_noperspective] = ACTIONS(161),
    [anon_sym_nointerpolation] = ACTIONS(161),
    [anon_sym_sample] = ACTIONS(161),
    [anon_sym_linear] = ACTIONS(161),
    [anon_sym_snorm] = ACTIONS(161),
    [anon_sym_unorm] = ACTIONS(161),
    [anon_sym_point] = ACTIONS(161),
    [anon_sym_line] = ACTIONS(161),
    [anon_sym_triangleadj] = ACTIONS(161),
    [anon_sym_lineadj] = ACTIONS(161),
    [anon_sym_triangle] = ACTIONS(161),
    [anon_sym_cbuffer] = ACTIONS(243),
  },
  [45] = {
    [sym_preproc_include] = STATE(92),
    [sym_preproc_def] = STATE(92),
    [sym_preproc_function_def] = STATE(92),
    [sym_preproc_call] = STATE(92),
    [sym_preproc_if] = STATE(92),
    [sym_preproc_ifdef] = STATE(92),
    [sym_function_definition] = STATE(92),
    [sym_declaration] = STATE(92),
    [sym_type_definition] = STATE(92),
    [sym__declaration_modifiers] = STATE(3159),
    [sym__declaration_specifiers] = STATE(5906),
    [sym_linkage_specification] = STATE(92),
    [sym_attribute_specifier] = STATE(3159),
    [sym_attribute_declaration] = STATE(1464),
    [sym_ms_declspec_modifier] = STATE(3159),
    [sym_ms_based_modifier] = STATE(10332),
    [sym_ms_call_modifier] = STATE(2574),
    [sym__declarator] = STATE(7978),
    [sym_parenthesized_declarator] = STATE(7680),
    [sym_attributed_declarator] = STATE(7680),
    [sym_pointer_declarator] = STATE(7680),
    [sym_function_declarator] = STATE(7611),
    [sym_array_declarator] = STATE(7680),
    [sym_compound_statement] = STATE(92),
    [sym_storage_class_specifier] = STATE(3159),
    [sym_type_qualifier] = STATE(3159),
    [sym__type_specifier] = STATE(3039),
    [sym_sized_type_specifier] = STATE(3085),
    [sym_enum_specifier] = STATE(3085),
    [sym_struct_specifier] = STATE(3085),
    [sym_union_specifier] = STATE(3085),
    [sym_attributed_statement] = STATE(92),
    [sym_labeled_statement] = STATE(92),
    [sym_expression_statement] = STATE(92),
    [sym_if_statement] = STATE(92),
    [sym_switch_statement] = STATE(92),
    [sym_case_statement] = STATE(92),
    [sym_while_statement] = STATE(92),
    [sym_do_statement] = STATE(92),
    [sym_for_statement] = STATE(92),
    [sym_return_statement] = STATE(92),
    [sym_break_statement] = STATE(92),
    [sym_continue_statement] = STATE(92),
    [sym_goto_statement] = STATE(92),
    [sym_seh_try_statement] = STATE(92),
    [sym_seh_leave_statement] = STATE(92),
    [sym__expression] = STATE(5674),
    [sym__expression_not_binary] = STATE(5024),
    [sym__string] = STATE(5024),
    [sym_comma_expression] = STATE(10272),
    [sym_conditional_expression] = STATE(5024),
    [sym_assignment_expression] = STATE(5024),
    [sym_pointer_expression] = STATE(4507),
    [sym_unary_expression] = STATE(5024),
    [sym_binary_expression] = STATE(5024),
    [sym_update_expression] = STATE(5024),
    [sym_cast_expression] = STATE(5024),
    [sym_sizeof_expression] = STATE(5024),
    [sym_alignof_expression] = STATE(5024),
    [sym_offsetof_expression] = STATE(5024),
    [sym_generic_expression] = STATE(5024),
    [sym_subscript_expression] = STATE(4507),
    [sym_call_expression] = STATE(4507),
    [sym_gnu_asm_expression] = STATE(5024),
    [sym_field_expression] = STATE(4507),
    [sym_compound_literal_expression] = STATE(5024),
    [sym_parenthesized_expression] = STATE(4507),
    [sym_char_literal] = STATE(5374),
    [sym_concatenated_string] = STATE(5377),
    [sym_string_literal] = STATE(4206),
    [sym_null] = STATE(5024),
    [sym__empty_declaration] = STATE(92),
    [sym_placeholder_type_specifier] = STATE(3085),
    [sym_decltype_auto] = STATE(3091),
    [sym_decltype] = STATE(3050),
    [sym_class_specifier] = STATE(3085),
    [sym__class_name] = STATE(9352),
    [sym_virtual] = STATE(3159),
    [sym_alignas_specifier] = STATE(3159),
    [sym_explicit_function_specifier] = STATE(2511),
    [sym_dependent_type] = STATE(3085),
    [sym_template_declaration] = STATE(92),
    [sym_template_instantiation] = STATE(92),
    [sym_operator_cast] = STATE(8035),
    [sym__constructor_specifiers] = STATE(2511),
    [sym_operator_cast_definition] = STATE(92),
    [sym_operator_cast_declaration] = STATE(92),
    [sym_constructor_or_destructor_definition] = STATE(92),
    [sym_reference_declarator] = STATE(7680),
    [sym_structured_binding_declarator] = STATE(7680),
    [sym_template_type] = STATE(3129),
    [sym_template_function] = STATE(5703),
    [sym_namespace_definition] = STATE(92),
    [sym_namespace_alias_definition] = STATE(92),
    [sym_using_declaration] = STATE(92),
    [sym_alias_declaration] = STATE(92),
    [sym_static_assert_declaration] = STATE(92),
    [sym_concept_definition] = STATE(92),
    [sym_for_range_loop] = STATE(92),
    [sym_co_return_statement] = STATE(92),
    [sym_co_yield_statement] = STATE(92),
    [sym_throw_statement] = STATE(92),
    [sym_try_statement] = STATE(92),
    [sym_raw_string_literal] = STATE(4217),
    [sym_co_await_expression] = STATE(5024),
    [sym_new_expression] = STATE(5024),
    [sym_delete_expression] = STATE(5024),
    [sym_requires_clause] = STATE(5024),
    [sym_requires_expression] = STATE(5024),
    [sym_lambda_expression] = STATE(5024),
    [sym_lambda_capture_specifier] = STATE(7184),
    [sym_fold_expression] = STATE(5024),
    [sym_parameter_pack_expansion] = STATE(5024),
    [sym_destructor_name] = STATE(7680),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6764),
    [sym_qualified_identifier] = STATE(4502),
    [sym_qualified_type_identifier] = STATE(3127),
    [sym_qualified_operator_cast_identifier] = STATE(8035),
    [sym_operator_name] = STATE(7680),
    [sym_user_defined_literal] = STATE(4507),
    [sym_discard_statement] = STATE(92),
    [sym_qualifiers] = STATE(3159),
    [sym_cbuffer_specifier] = STATE(92),
    [sym_hlsl_attribute] = STATE(1858),
    [aux_sym_preproc_if_repeat1] = STATE(92),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2673),
    [aux_sym_attributed_declarator_repeat1] = STATE(1339),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3021),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2511),
    [sym_identifier] = ACTIONS(828),
    [aux_sym_preproc_include_token1] = ACTIONS(165),
    [aux_sym_preproc_def_token1] = ACTIONS(167),
    [aux_sym_preproc_if_token1] = ACTIONS(171),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(173),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(173),
    [sym_preproc_directive] = ACTIONS(175),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(177),
    [anon_sym___extension__] = ACTIONS(179),
    [anon_sym_typedef] = ACTIONS(181),
    [anon_sym_in] = ACTIONS(37),
    [anon_sym_out] = ACTIONS(37),
    [anon_sym_inout] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(183),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(45),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym___cdecl] = ACTIONS(51),
    [anon_sym___clrcall] = ACTIONS(51),
    [anon_sym___stdcall] = ACTIONS(51),
    [anon_sym___fastcall] = ACTIONS(51),
    [anon_sym___thiscall] = ACTIONS(51),
    [anon_sym___vectorcall] = ACTIONS(51),
    [anon_sym_LBRACE] = ACTIONS(830),
    [anon_sym_RBRACE] = ACTIONS(838),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(191),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(65),
    [anon_sym_enum] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(69),
    [anon_sym_struct] = ACTIONS(71),
    [anon_sym_union] = ACTIONS(73),
    [anon_sym_if] = ACTIONS(193),
    [anon_sym_switch] = ACTIONS(195),
    [anon_sym_case] = ACTIONS(197),
    [anon_sym_default] = ACTIONS(199),
    [anon_sym_while] = ACTIONS(201),
    [anon_sym_do] = ACTIONS(203),
    [anon_sym_for] = ACTIONS(205),
    [anon_sym_return] = ACTIONS(207),
    [anon_sym_break] = ACTIONS(209),
    [anon_sym_continue] = ACTIONS(211),
    [anon_sym_goto] = ACTIONS(213),
    [anon_sym___try] = ACTIONS(215),
    [anon_sym___leave] = ACTIONS(217),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [anon_sym_virtual] = ACTIONS(123),
    [anon_sym_alignas] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(223),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_try] = ACTIONS(225),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(227),
    [anon_sym_namespace] = ACTIONS(229),
    [anon_sym_using] = ACTIONS(231),
    [anon_sym_static_assert] = ACTIONS(233),
    [anon_sym_concept] = ACTIONS(235),
    [anon_sym_co_return] = ACTIONS(237),
    [anon_sym_co_yield] = ACTIONS(239),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
    [anon_sym_discard] = ACTIONS(241),
    [anon_sym_precise] = ACTIONS(161),
    [anon_sym_shared] = ACTIONS(161),
    [anon_sym_groupshared] = ACTIONS(161),
    [anon_sym_uniform] = ACTIONS(161),
    [anon_sym_row_major] = ACTIONS(161),
    [anon_sym_column_major] = ACTIONS(161),
    [anon_sym_globallycoherent] = ACTIONS(161),
    [anon_sym_centroid] = ACTIONS(161),
    [anon_sym_noperspective] = ACTIONS(161),
    [anon_sym_nointerpolation] = ACTIONS(161),
    [anon_sym_sample] = ACTIONS(161),
    [anon_sym_linear] = ACTIONS(161),
    [anon_sym_snorm] = ACTIONS(161),
    [anon_sym_unorm] = ACTIONS(161),
    [anon_sym_point] = ACTIONS(161),
    [anon_sym_line] = ACTIONS(161),
    [anon_sym_triangleadj] = ACTIONS(161),
    [anon_sym_lineadj] = ACTIONS(161),
    [anon_sym_triangle] = ACTIONS(161),
    [anon_sym_cbuffer] = ACTIONS(243),
  },
  [46] = {
    [sym_preproc_include] = STATE(56),
    [sym_preproc_def] = STATE(56),
    [sym_preproc_function_def] = STATE(56),
    [sym_preproc_call] = STATE(56),
    [sym_preproc_if] = STATE(56),
    [sym_preproc_ifdef] = STATE(56),
    [sym_function_definition] = STATE(56),
    [sym_declaration] = STATE(56),
    [sym_type_definition] = STATE(56),
    [sym__declaration_modifiers] = STATE(3159),
    [sym__declaration_specifiers] = STATE(5906),
    [sym_linkage_specification] = STATE(56),
    [sym_attribute_specifier] = STATE(3159),
    [sym_attribute_declaration] = STATE(1464),
    [sym_ms_declspec_modifier] = STATE(3159),
    [sym_ms_based_modifier] = STATE(10332),
    [sym_ms_call_modifier] = STATE(2574),
    [sym__declarator] = STATE(7978),
    [sym_parenthesized_declarator] = STATE(7680),
    [sym_attributed_declarator] = STATE(7680),
    [sym_pointer_declarator] = STATE(7680),
    [sym_function_declarator] = STATE(7611),
    [sym_array_declarator] = STATE(7680),
    [sym_compound_statement] = STATE(56),
    [sym_storage_class_specifier] = STATE(3159),
    [sym_type_qualifier] = STATE(3159),
    [sym__type_specifier] = STATE(3039),
    [sym_sized_type_specifier] = STATE(3085),
    [sym_enum_specifier] = STATE(3085),
    [sym_struct_specifier] = STATE(3085),
    [sym_union_specifier] = STATE(3085),
    [sym_attributed_statement] = STATE(56),
    [sym_labeled_statement] = STATE(56),
    [sym_expression_statement] = STATE(56),
    [sym_if_statement] = STATE(56),
    [sym_switch_statement] = STATE(56),
    [sym_case_statement] = STATE(56),
    [sym_while_statement] = STATE(56),
    [sym_do_statement] = STATE(56),
    [sym_for_statement] = STATE(56),
    [sym_return_statement] = STATE(56),
    [sym_break_statement] = STATE(56),
    [sym_continue_statement] = STATE(56),
    [sym_goto_statement] = STATE(56),
    [sym_seh_try_statement] = STATE(56),
    [sym_seh_leave_statement] = STATE(56),
    [sym__expression] = STATE(5674),
    [sym__expression_not_binary] = STATE(5024),
    [sym__string] = STATE(5024),
    [sym_comma_expression] = STATE(10272),
    [sym_conditional_expression] = STATE(5024),
    [sym_assignment_expression] = STATE(5024),
    [sym_pointer_expression] = STATE(4507),
    [sym_unary_expression] = STATE(5024),
    [sym_binary_expression] = STATE(5024),
    [sym_update_expression] = STATE(5024),
    [sym_cast_expression] = STATE(5024),
    [sym_sizeof_expression] = STATE(5024),
    [sym_alignof_expression] = STATE(5024),
    [sym_offsetof_expression] = STATE(5024),
    [sym_generic_expression] = STATE(5024),
    [sym_subscript_expression] = STATE(4507),
    [sym_call_expression] = STATE(4507),
    [sym_gnu_asm_expression] = STATE(5024),
    [sym_field_expression] = STATE(4507),
    [sym_compound_literal_expression] = STATE(5024),
    [sym_parenthesized_expression] = STATE(4507),
    [sym_char_literal] = STATE(5374),
    [sym_concatenated_string] = STATE(5377),
    [sym_string_literal] = STATE(4206),
    [sym_null] = STATE(5024),
    [sym__empty_declaration] = STATE(56),
    [sym_placeholder_type_specifier] = STATE(3085),
    [sym_decltype_auto] = STATE(3091),
    [sym_decltype] = STATE(3050),
    [sym_class_specifier] = STATE(3085),
    [sym__class_name] = STATE(9352),
    [sym_virtual] = STATE(3159),
    [sym_alignas_specifier] = STATE(3159),
    [sym_explicit_function_specifier] = STATE(2511),
    [sym_dependent_type] = STATE(3085),
    [sym_template_declaration] = STATE(56),
    [sym_template_instantiation] = STATE(56),
    [sym_operator_cast] = STATE(8035),
    [sym__constructor_specifiers] = STATE(2511),
    [sym_operator_cast_definition] = STATE(56),
    [sym_operator_cast_declaration] = STATE(56),
    [sym_constructor_or_destructor_definition] = STATE(56),
    [sym_reference_declarator] = STATE(7680),
    [sym_structured_binding_declarator] = STATE(7680),
    [sym_template_type] = STATE(3129),
    [sym_template_function] = STATE(5703),
    [sym_namespace_definition] = STATE(56),
    [sym_namespace_alias_definition] = STATE(56),
    [sym_using_declaration] = STATE(56),
    [sym_alias_declaration] = STATE(56),
    [sym_static_assert_declaration] = STATE(56),
    [sym_concept_definition] = STATE(56),
    [sym_for_range_loop] = STATE(56),
    [sym_co_return_statement] = STATE(56),
    [sym_co_yield_statement] = STATE(56),
    [sym_throw_statement] = STATE(56),
    [sym_try_statement] = STATE(56),
    [sym_raw_string_literal] = STATE(4217),
    [sym_co_await_expression] = STATE(5024),
    [sym_new_expression] = STATE(5024),
    [sym_delete_expression] = STATE(5024),
    [sym_requires_clause] = STATE(5024),
    [sym_requires_expression] = STATE(5024),
    [sym_lambda_expression] = STATE(5024),
    [sym_lambda_capture_specifier] = STATE(7184),
    [sym_fold_expression] = STATE(5024),
    [sym_parameter_pack_expansion] = STATE(5024),
    [sym_destructor_name] = STATE(7680),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6764),
    [sym_qualified_identifier] = STATE(4502),
    [sym_qualified_type_identifier] = STATE(3127),
    [sym_qualified_operator_cast_identifier] = STATE(8035),
    [sym_operator_name] = STATE(7680),
    [sym_user_defined_literal] = STATE(4507),
    [sym_discard_statement] = STATE(56),
    [sym_qualifiers] = STATE(3159),
    [sym_cbuffer_specifier] = STATE(56),
    [sym_hlsl_attribute] = STATE(1858),
    [aux_sym_preproc_if_repeat1] = STATE(56),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2673),
    [aux_sym_attributed_declarator_repeat1] = STATE(1339),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3021),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2511),
    [sym_identifier] = ACTIONS(828),
    [aux_sym_preproc_include_token1] = ACTIONS(165),
    [aux_sym_preproc_def_token1] = ACTIONS(167),
    [aux_sym_preproc_if_token1] = ACTIONS(171),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(173),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(173),
    [sym_preproc_directive] = ACTIONS(175),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(177),
    [anon_sym___extension__] = ACTIONS(179),
    [anon_sym_typedef] = ACTIONS(181),
    [anon_sym_in] = ACTIONS(37),
    [anon_sym_out] = ACTIONS(37),
    [anon_sym_inout] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(183),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(45),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym___cdecl] = ACTIONS(51),
    [anon_sym___clrcall] = ACTIONS(51),
    [anon_sym___stdcall] = ACTIONS(51),
    [anon_sym___fastcall] = ACTIONS(51),
    [anon_sym___thiscall] = ACTIONS(51),
    [anon_sym___vectorcall] = ACTIONS(51),
    [anon_sym_LBRACE] = ACTIONS(830),
    [anon_sym_RBRACE] = ACTIONS(840),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(191),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(65),
    [anon_sym_enum] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(69),
    [anon_sym_struct] = ACTIONS(71),
    [anon_sym_union] = ACTIONS(73),
    [anon_sym_if] = ACTIONS(193),
    [anon_sym_switch] = ACTIONS(195),
    [anon_sym_case] = ACTIONS(197),
    [anon_sym_default] = ACTIONS(199),
    [anon_sym_while] = ACTIONS(201),
    [anon_sym_do] = ACTIONS(203),
    [anon_sym_for] = ACTIONS(205),
    [anon_sym_return] = ACTIONS(207),
    [anon_sym_break] = ACTIONS(209),
    [anon_sym_continue] = ACTIONS(211),
    [anon_sym_goto] = ACTIONS(213),
    [anon_sym___try] = ACTIONS(215),
    [anon_sym___leave] = ACTIONS(217),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [anon_sym_virtual] = ACTIONS(123),
    [anon_sym_alignas] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(223),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_try] = ACTIONS(225),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(227),
    [anon_sym_namespace] = ACTIONS(229),
    [anon_sym_using] = ACTIONS(231),
    [anon_sym_static_assert] = ACTIONS(233),
    [anon_sym_concept] = ACTIONS(235),
    [anon_sym_co_return] = ACTIONS(237),
    [anon_sym_co_yield] = ACTIONS(239),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
    [anon_sym_discard] = ACTIONS(241),
    [anon_sym_precise] = ACTIONS(161),
    [anon_sym_shared] = ACTIONS(161),
    [anon_sym_groupshared] = ACTIONS(161),
    [anon_sym_uniform] = ACTIONS(161),
    [anon_sym_row_major] = ACTIONS(161),
    [anon_sym_column_major] = ACTIONS(161),
    [anon_sym_globallycoherent] = ACTIONS(161),
    [anon_sym_centroid] = ACTIONS(161),
    [anon_sym_noperspective] = ACTIONS(161),
    [anon_sym_nointerpolation] = ACTIONS(161),
    [anon_sym_sample] = ACTIONS(161),
    [anon_sym_linear] = ACTIONS(161),
    [anon_sym_snorm] = ACTIONS(161),
    [anon_sym_unorm] = ACTIONS(161),
    [anon_sym_point] = ACTIONS(161),
    [anon_sym_line] = ACTIONS(161),
    [anon_sym_triangleadj] = ACTIONS(161),
    [anon_sym_lineadj] = ACTIONS(161),
    [anon_sym_triangle] = ACTIONS(161),
    [anon_sym_cbuffer] = ACTIONS(243),
  },
  [47] = {
    [sym_preproc_include] = STATE(56),
    [sym_preproc_def] = STATE(56),
    [sym_preproc_function_def] = STATE(56),
    [sym_preproc_call] = STATE(56),
    [sym_preproc_if] = STATE(56),
    [sym_preproc_ifdef] = STATE(56),
    [sym_function_definition] = STATE(56),
    [sym_declaration] = STATE(56),
    [sym_type_definition] = STATE(56),
    [sym__declaration_modifiers] = STATE(3159),
    [sym__declaration_specifiers] = STATE(5906),
    [sym_linkage_specification] = STATE(56),
    [sym_attribute_specifier] = STATE(3159),
    [sym_attribute_declaration] = STATE(1464),
    [sym_ms_declspec_modifier] = STATE(3159),
    [sym_ms_based_modifier] = STATE(10332),
    [sym_ms_call_modifier] = STATE(2574),
    [sym__declarator] = STATE(7978),
    [sym_parenthesized_declarator] = STATE(7680),
    [sym_attributed_declarator] = STATE(7680),
    [sym_pointer_declarator] = STATE(7680),
    [sym_function_declarator] = STATE(7611),
    [sym_array_declarator] = STATE(7680),
    [sym_compound_statement] = STATE(56),
    [sym_storage_class_specifier] = STATE(3159),
    [sym_type_qualifier] = STATE(3159),
    [sym__type_specifier] = STATE(3039),
    [sym_sized_type_specifier] = STATE(3085),
    [sym_enum_specifier] = STATE(3085),
    [sym_struct_specifier] = STATE(3085),
    [sym_union_specifier] = STATE(3085),
    [sym_attributed_statement] = STATE(56),
    [sym_labeled_statement] = STATE(56),
    [sym_expression_statement] = STATE(56),
    [sym_if_statement] = STATE(56),
    [sym_switch_statement] = STATE(56),
    [sym_case_statement] = STATE(56),
    [sym_while_statement] = STATE(56),
    [sym_do_statement] = STATE(56),
    [sym_for_statement] = STATE(56),
    [sym_return_statement] = STATE(56),
    [sym_break_statement] = STATE(56),
    [sym_continue_statement] = STATE(56),
    [sym_goto_statement] = STATE(56),
    [sym_seh_try_statement] = STATE(56),
    [sym_seh_leave_statement] = STATE(56),
    [sym__expression] = STATE(5674),
    [sym__expression_not_binary] = STATE(5024),
    [sym__string] = STATE(5024),
    [sym_comma_expression] = STATE(10272),
    [sym_conditional_expression] = STATE(5024),
    [sym_assignment_expression] = STATE(5024),
    [sym_pointer_expression] = STATE(4507),
    [sym_unary_expression] = STATE(5024),
    [sym_binary_expression] = STATE(5024),
    [sym_update_expression] = STATE(5024),
    [sym_cast_expression] = STATE(5024),
    [sym_sizeof_expression] = STATE(5024),
    [sym_alignof_expression] = STATE(5024),
    [sym_offsetof_expression] = STATE(5024),
    [sym_generic_expression] = STATE(5024),
    [sym_subscript_expression] = STATE(4507),
    [sym_call_expression] = STATE(4507),
    [sym_gnu_asm_expression] = STATE(5024),
    [sym_field_expression] = STATE(4507),
    [sym_compound_literal_expression] = STATE(5024),
    [sym_parenthesized_expression] = STATE(4507),
    [sym_char_literal] = STATE(5374),
    [sym_concatenated_string] = STATE(5377),
    [sym_string_literal] = STATE(4206),
    [sym_null] = STATE(5024),
    [sym__empty_declaration] = STATE(56),
    [sym_placeholder_type_specifier] = STATE(3085),
    [sym_decltype_auto] = STATE(3091),
    [sym_decltype] = STATE(3050),
    [sym_class_specifier] = STATE(3085),
    [sym__class_name] = STATE(9352),
    [sym_virtual] = STATE(3159),
    [sym_alignas_specifier] = STATE(3159),
    [sym_explicit_function_specifier] = STATE(2511),
    [sym_dependent_type] = STATE(3085),
    [sym_template_declaration] = STATE(56),
    [sym_template_instantiation] = STATE(56),
    [sym_operator_cast] = STATE(8035),
    [sym__constructor_specifiers] = STATE(2511),
    [sym_operator_cast_definition] = STATE(56),
    [sym_operator_cast_declaration] = STATE(56),
    [sym_constructor_or_destructor_definition] = STATE(56),
    [sym_reference_declarator] = STATE(7680),
    [sym_structured_binding_declarator] = STATE(7680),
    [sym_template_type] = STATE(3129),
    [sym_template_function] = STATE(5703),
    [sym_namespace_definition] = STATE(56),
    [sym_namespace_alias_definition] = STATE(56),
    [sym_using_declaration] = STATE(56),
    [sym_alias_declaration] = STATE(56),
    [sym_static_assert_declaration] = STATE(56),
    [sym_concept_definition] = STATE(56),
    [sym_for_range_loop] = STATE(56),
    [sym_co_return_statement] = STATE(56),
    [sym_co_yield_statement] = STATE(56),
    [sym_throw_statement] = STATE(56),
    [sym_try_statement] = STATE(56),
    [sym_raw_string_literal] = STATE(4217),
    [sym_co_await_expression] = STATE(5024),
    [sym_new_expression] = STATE(5024),
    [sym_delete_expression] = STATE(5024),
    [sym_requires_clause] = STATE(5024),
    [sym_requires_expression] = STATE(5024),
    [sym_lambda_expression] = STATE(5024),
    [sym_lambda_capture_specifier] = STATE(7184),
    [sym_fold_expression] = STATE(5024),
    [sym_parameter_pack_expansion] = STATE(5024),
    [sym_destructor_name] = STATE(7680),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6764),
    [sym_qualified_identifier] = STATE(4502),
    [sym_qualified_type_identifier] = STATE(3127),
    [sym_qualified_operator_cast_identifier] = STATE(8035),
    [sym_operator_name] = STATE(7680),
    [sym_user_defined_literal] = STATE(4507),
    [sym_discard_statement] = STATE(56),
    [sym_qualifiers] = STATE(3159),
    [sym_cbuffer_specifier] = STATE(56),
    [sym_hlsl_attribute] = STATE(1858),
    [aux_sym_preproc_if_repeat1] = STATE(56),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2673),
    [aux_sym_attributed_declarator_repeat1] = STATE(1339),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3021),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2511),
    [sym_identifier] = ACTIONS(828),
    [aux_sym_preproc_include_token1] = ACTIONS(165),
    [aux_sym_preproc_def_token1] = ACTIONS(167),
    [aux_sym_preproc_if_token1] = ACTIONS(171),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(173),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(173),
    [sym_preproc_directive] = ACTIONS(175),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(177),
    [anon_sym___extension__] = ACTIONS(179),
    [anon_sym_typedef] = ACTIONS(181),
    [anon_sym_in] = ACTIONS(37),
    [anon_sym_out] = ACTIONS(37),
    [anon_sym_inout] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(183),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(45),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym___cdecl] = ACTIONS(51),
    [anon_sym___clrcall] = ACTIONS(51),
    [anon_sym___stdcall] = ACTIONS(51),
    [anon_sym___fastcall] = ACTIONS(51),
    [anon_sym___thiscall] = ACTIONS(51),
    [anon_sym___vectorcall] = ACTIONS(51),
    [anon_sym_LBRACE] = ACTIONS(830),
    [anon_sym_RBRACE] = ACTIONS(842),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(191),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(65),
    [anon_sym_enum] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(69),
    [anon_sym_struct] = ACTIONS(71),
    [anon_sym_union] = ACTIONS(73),
    [anon_sym_if] = ACTIONS(193),
    [anon_sym_switch] = ACTIONS(195),
    [anon_sym_case] = ACTIONS(197),
    [anon_sym_default] = ACTIONS(199),
    [anon_sym_while] = ACTIONS(201),
    [anon_sym_do] = ACTIONS(203),
    [anon_sym_for] = ACTIONS(205),
    [anon_sym_return] = ACTIONS(207),
    [anon_sym_break] = ACTIONS(209),
    [anon_sym_continue] = ACTIONS(211),
    [anon_sym_goto] = ACTIONS(213),
    [anon_sym___try] = ACTIONS(215),
    [anon_sym___leave] = ACTIONS(217),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [anon_sym_virtual] = ACTIONS(123),
    [anon_sym_alignas] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(223),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_try] = ACTIONS(225),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(227),
    [anon_sym_namespace] = ACTIONS(229),
    [anon_sym_using] = ACTIONS(231),
    [anon_sym_static_assert] = ACTIONS(233),
    [anon_sym_concept] = ACTIONS(235),
    [anon_sym_co_return] = ACTIONS(237),
    [anon_sym_co_yield] = ACTIONS(239),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
    [anon_sym_discard] = ACTIONS(241),
    [anon_sym_precise] = ACTIONS(161),
    [anon_sym_shared] = ACTIONS(161),
    [anon_sym_groupshared] = ACTIONS(161),
    [anon_sym_uniform] = ACTIONS(161),
    [anon_sym_row_major] = ACTIONS(161),
    [anon_sym_column_major] = ACTIONS(161),
    [anon_sym_globallycoherent] = ACTIONS(161),
    [anon_sym_centroid] = ACTIONS(161),
    [anon_sym_noperspective] = ACTIONS(161),
    [anon_sym_nointerpolation] = ACTIONS(161),
    [anon_sym_sample] = ACTIONS(161),
    [anon_sym_linear] = ACTIONS(161),
    [anon_sym_snorm] = ACTIONS(161),
    [anon_sym_unorm] = ACTIONS(161),
    [anon_sym_point] = ACTIONS(161),
    [anon_sym_line] = ACTIONS(161),
    [anon_sym_triangleadj] = ACTIONS(161),
    [anon_sym_lineadj] = ACTIONS(161),
    [anon_sym_triangle] = ACTIONS(161),
    [anon_sym_cbuffer] = ACTIONS(243),
  },
  [48] = {
    [sym_preproc_include] = STATE(71),
    [sym_preproc_def] = STATE(71),
    [sym_preproc_function_def] = STATE(71),
    [sym_preproc_call] = STATE(71),
    [sym_preproc_if] = STATE(71),
    [sym_preproc_ifdef] = STATE(71),
    [sym_function_definition] = STATE(71),
    [sym_declaration] = STATE(71),
    [sym_type_definition] = STATE(71),
    [sym__declaration_modifiers] = STATE(3159),
    [sym__declaration_specifiers] = STATE(5906),
    [sym_linkage_specification] = STATE(71),
    [sym_attribute_specifier] = STATE(3159),
    [sym_attribute_declaration] = STATE(1464),
    [sym_ms_declspec_modifier] = STATE(3159),
    [sym_ms_based_modifier] = STATE(10332),
    [sym_ms_call_modifier] = STATE(2574),
    [sym__declarator] = STATE(7978),
    [sym_parenthesized_declarator] = STATE(7680),
    [sym_attributed_declarator] = STATE(7680),
    [sym_pointer_declarator] = STATE(7680),
    [sym_function_declarator] = STATE(7611),
    [sym_array_declarator] = STATE(7680),
    [sym_compound_statement] = STATE(71),
    [sym_storage_class_specifier] = STATE(3159),
    [sym_type_qualifier] = STATE(3159),
    [sym__type_specifier] = STATE(3039),
    [sym_sized_type_specifier] = STATE(3085),
    [sym_enum_specifier] = STATE(3085),
    [sym_struct_specifier] = STATE(3085),
    [sym_union_specifier] = STATE(3085),
    [sym_attributed_statement] = STATE(71),
    [sym_labeled_statement] = STATE(71),
    [sym_expression_statement] = STATE(71),
    [sym_if_statement] = STATE(71),
    [sym_switch_statement] = STATE(71),
    [sym_case_statement] = STATE(71),
    [sym_while_statement] = STATE(71),
    [sym_do_statement] = STATE(71),
    [sym_for_statement] = STATE(71),
    [sym_return_statement] = STATE(71),
    [sym_break_statement] = STATE(71),
    [sym_continue_statement] = STATE(71),
    [sym_goto_statement] = STATE(71),
    [sym_seh_try_statement] = STATE(71),
    [sym_seh_leave_statement] = STATE(71),
    [sym__expression] = STATE(5674),
    [sym__expression_not_binary] = STATE(5024),
    [sym__string] = STATE(5024),
    [sym_comma_expression] = STATE(10272),
    [sym_conditional_expression] = STATE(5024),
    [sym_assignment_expression] = STATE(5024),
    [sym_pointer_expression] = STATE(4507),
    [sym_unary_expression] = STATE(5024),
    [sym_binary_expression] = STATE(5024),
    [sym_update_expression] = STATE(5024),
    [sym_cast_expression] = STATE(5024),
    [sym_sizeof_expression] = STATE(5024),
    [sym_alignof_expression] = STATE(5024),
    [sym_offsetof_expression] = STATE(5024),
    [sym_generic_expression] = STATE(5024),
    [sym_subscript_expression] = STATE(4507),
    [sym_call_expression] = STATE(4507),
    [sym_gnu_asm_expression] = STATE(5024),
    [sym_field_expression] = STATE(4507),
    [sym_compound_literal_expression] = STATE(5024),
    [sym_parenthesized_expression] = STATE(4507),
    [sym_char_literal] = STATE(5374),
    [sym_concatenated_string] = STATE(5377),
    [sym_string_literal] = STATE(4206),
    [sym_null] = STATE(5024),
    [sym__empty_declaration] = STATE(71),
    [sym_placeholder_type_specifier] = STATE(3085),
    [sym_decltype_auto] = STATE(3091),
    [sym_decltype] = STATE(3050),
    [sym_class_specifier] = STATE(3085),
    [sym__class_name] = STATE(9352),
    [sym_virtual] = STATE(3159),
    [sym_alignas_specifier] = STATE(3159),
    [sym_explicit_function_specifier] = STATE(2511),
    [sym_dependent_type] = STATE(3085),
    [sym_template_declaration] = STATE(71),
    [sym_template_instantiation] = STATE(71),
    [sym_operator_cast] = STATE(8035),
    [sym__constructor_specifiers] = STATE(2511),
    [sym_operator_cast_definition] = STATE(71),
    [sym_operator_cast_declaration] = STATE(71),
    [sym_constructor_or_destructor_definition] = STATE(71),
    [sym_reference_declarator] = STATE(7680),
    [sym_structured_binding_declarator] = STATE(7680),
    [sym_template_type] = STATE(3129),
    [sym_template_function] = STATE(5703),
    [sym_namespace_definition] = STATE(71),
    [sym_namespace_alias_definition] = STATE(71),
    [sym_using_declaration] = STATE(71),
    [sym_alias_declaration] = STATE(71),
    [sym_static_assert_declaration] = STATE(71),
    [sym_concept_definition] = STATE(71),
    [sym_for_range_loop] = STATE(71),
    [sym_co_return_statement] = STATE(71),
    [sym_co_yield_statement] = STATE(71),
    [sym_throw_statement] = STATE(71),
    [sym_try_statement] = STATE(71),
    [sym_raw_string_literal] = STATE(4217),
    [sym_co_await_expression] = STATE(5024),
    [sym_new_expression] = STATE(5024),
    [sym_delete_expression] = STATE(5024),
    [sym_requires_clause] = STATE(5024),
    [sym_requires_expression] = STATE(5024),
    [sym_lambda_expression] = STATE(5024),
    [sym_lambda_capture_specifier] = STATE(7184),
    [sym_fold_expression] = STATE(5024),
    [sym_parameter_pack_expansion] = STATE(5024),
    [sym_destructor_name] = STATE(7680),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6764),
    [sym_qualified_identifier] = STATE(4502),
    [sym_qualified_type_identifier] = STATE(3127),
    [sym_qualified_operator_cast_identifier] = STATE(8035),
    [sym_operator_name] = STATE(7680),
    [sym_user_defined_literal] = STATE(4507),
    [sym_discard_statement] = STATE(71),
    [sym_qualifiers] = STATE(3159),
    [sym_cbuffer_specifier] = STATE(71),
    [sym_hlsl_attribute] = STATE(1858),
    [aux_sym_preproc_if_repeat1] = STATE(71),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2673),
    [aux_sym_attributed_declarator_repeat1] = STATE(1339),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3021),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2511),
    [sym_identifier] = ACTIONS(828),
    [aux_sym_preproc_include_token1] = ACTIONS(165),
    [aux_sym_preproc_def_token1] = ACTIONS(167),
    [aux_sym_preproc_if_token1] = ACTIONS(171),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(173),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(173),
    [sym_preproc_directive] = ACTIONS(175),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(177),
    [anon_sym___extension__] = ACTIONS(179),
    [anon_sym_typedef] = ACTIONS(181),
    [anon_sym_in] = ACTIONS(37),
    [anon_sym_out] = ACTIONS(37),
    [anon_sym_inout] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(183),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(45),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym___cdecl] = ACTIONS(51),
    [anon_sym___clrcall] = ACTIONS(51),
    [anon_sym___stdcall] = ACTIONS(51),
    [anon_sym___fastcall] = ACTIONS(51),
    [anon_sym___thiscall] = ACTIONS(51),
    [anon_sym___vectorcall] = ACTIONS(51),
    [anon_sym_LBRACE] = ACTIONS(830),
    [anon_sym_RBRACE] = ACTIONS(844),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(191),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(65),
    [anon_sym_enum] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(69),
    [anon_sym_struct] = ACTIONS(71),
    [anon_sym_union] = ACTIONS(73),
    [anon_sym_if] = ACTIONS(193),
    [anon_sym_switch] = ACTIONS(195),
    [anon_sym_case] = ACTIONS(197),
    [anon_sym_default] = ACTIONS(199),
    [anon_sym_while] = ACTIONS(201),
    [anon_sym_do] = ACTIONS(203),
    [anon_sym_for] = ACTIONS(205),
    [anon_sym_return] = ACTIONS(207),
    [anon_sym_break] = ACTIONS(209),
    [anon_sym_continue] = ACTIONS(211),
    [anon_sym_goto] = ACTIONS(213),
    [anon_sym___try] = ACTIONS(215),
    [anon_sym___leave] = ACTIONS(217),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [anon_sym_virtual] = ACTIONS(123),
    [anon_sym_alignas] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(223),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_try] = ACTIONS(225),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(227),
    [anon_sym_namespace] = ACTIONS(229),
    [anon_sym_using] = ACTIONS(231),
    [anon_sym_static_assert] = ACTIONS(233),
    [anon_sym_concept] = ACTIONS(235),
    [anon_sym_co_return] = ACTIONS(237),
    [anon_sym_co_yield] = ACTIONS(239),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
    [anon_sym_discard] = ACTIONS(241),
    [anon_sym_precise] = ACTIONS(161),
    [anon_sym_shared] = ACTIONS(161),
    [anon_sym_groupshared] = ACTIONS(161),
    [anon_sym_uniform] = ACTIONS(161),
    [anon_sym_row_major] = ACTIONS(161),
    [anon_sym_column_major] = ACTIONS(161),
    [anon_sym_globallycoherent] = ACTIONS(161),
    [anon_sym_centroid] = ACTIONS(161),
    [anon_sym_noperspective] = ACTIONS(161),
    [anon_sym_nointerpolation] = ACTIONS(161),
    [anon_sym_sample] = ACTIONS(161),
    [anon_sym_linear] = ACTIONS(161),
    [anon_sym_snorm] = ACTIONS(161),
    [anon_sym_unorm] = ACTIONS(161),
    [anon_sym_point] = ACTIONS(161),
    [anon_sym_line] = ACTIONS(161),
    [anon_sym_triangleadj] = ACTIONS(161),
    [anon_sym_lineadj] = ACTIONS(161),
    [anon_sym_triangle] = ACTIONS(161),
    [anon_sym_cbuffer] = ACTIONS(243),
  },
  [49] = {
    [sym_preproc_include] = STATE(56),
    [sym_preproc_def] = STATE(56),
    [sym_preproc_function_def] = STATE(56),
    [sym_preproc_call] = STATE(56),
    [sym_preproc_if] = STATE(56),
    [sym_preproc_ifdef] = STATE(56),
    [sym_function_definition] = STATE(56),
    [sym_declaration] = STATE(56),
    [sym_type_definition] = STATE(56),
    [sym__declaration_modifiers] = STATE(3159),
    [sym__declaration_specifiers] = STATE(5906),
    [sym_linkage_specification] = STATE(56),
    [sym_attribute_specifier] = STATE(3159),
    [sym_attribute_declaration] = STATE(1464),
    [sym_ms_declspec_modifier] = STATE(3159),
    [sym_ms_based_modifier] = STATE(10332),
    [sym_ms_call_modifier] = STATE(2574),
    [sym__declarator] = STATE(7978),
    [sym_parenthesized_declarator] = STATE(7680),
    [sym_attributed_declarator] = STATE(7680),
    [sym_pointer_declarator] = STATE(7680),
    [sym_function_declarator] = STATE(7611),
    [sym_array_declarator] = STATE(7680),
    [sym_compound_statement] = STATE(56),
    [sym_storage_class_specifier] = STATE(3159),
    [sym_type_qualifier] = STATE(3159),
    [sym__type_specifier] = STATE(3039),
    [sym_sized_type_specifier] = STATE(3085),
    [sym_enum_specifier] = STATE(3085),
    [sym_struct_specifier] = STATE(3085),
    [sym_union_specifier] = STATE(3085),
    [sym_attributed_statement] = STATE(56),
    [sym_labeled_statement] = STATE(56),
    [sym_expression_statement] = STATE(56),
    [sym_if_statement] = STATE(56),
    [sym_switch_statement] = STATE(56),
    [sym_case_statement] = STATE(56),
    [sym_while_statement] = STATE(56),
    [sym_do_statement] = STATE(56),
    [sym_for_statement] = STATE(56),
    [sym_return_statement] = STATE(56),
    [sym_break_statement] = STATE(56),
    [sym_continue_statement] = STATE(56),
    [sym_goto_statement] = STATE(56),
    [sym_seh_try_statement] = STATE(56),
    [sym_seh_leave_statement] = STATE(56),
    [sym__expression] = STATE(5674),
    [sym__expression_not_binary] = STATE(5024),
    [sym__string] = STATE(5024),
    [sym_comma_expression] = STATE(10272),
    [sym_conditional_expression] = STATE(5024),
    [sym_assignment_expression] = STATE(5024),
    [sym_pointer_expression] = STATE(4507),
    [sym_unary_expression] = STATE(5024),
    [sym_binary_expression] = STATE(5024),
    [sym_update_expression] = STATE(5024),
    [sym_cast_expression] = STATE(5024),
    [sym_sizeof_expression] = STATE(5024),
    [sym_alignof_expression] = STATE(5024),
    [sym_offsetof_expression] = STATE(5024),
    [sym_generic_expression] = STATE(5024),
    [sym_subscript_expression] = STATE(4507),
    [sym_call_expression] = STATE(4507),
    [sym_gnu_asm_expression] = STATE(5024),
    [sym_field_expression] = STATE(4507),
    [sym_compound_literal_expression] = STATE(5024),
    [sym_parenthesized_expression] = STATE(4507),
    [sym_char_literal] = STATE(5374),
    [sym_concatenated_string] = STATE(5377),
    [sym_string_literal] = STATE(4206),
    [sym_null] = STATE(5024),
    [sym__empty_declaration] = STATE(56),
    [sym_placeholder_type_specifier] = STATE(3085),
    [sym_decltype_auto] = STATE(3091),
    [sym_decltype] = STATE(3050),
    [sym_class_specifier] = STATE(3085),
    [sym__class_name] = STATE(9352),
    [sym_virtual] = STATE(3159),
    [sym_alignas_specifier] = STATE(3159),
    [sym_explicit_function_specifier] = STATE(2511),
    [sym_dependent_type] = STATE(3085),
    [sym_template_declaration] = STATE(56),
    [sym_template_instantiation] = STATE(56),
    [sym_operator_cast] = STATE(8035),
    [sym__constructor_specifiers] = STATE(2511),
    [sym_operator_cast_definition] = STATE(56),
    [sym_operator_cast_declaration] = STATE(56),
    [sym_constructor_or_destructor_definition] = STATE(56),
    [sym_reference_declarator] = STATE(7680),
    [sym_structured_binding_declarator] = STATE(7680),
    [sym_template_type] = STATE(3129),
    [sym_template_function] = STATE(5703),
    [sym_namespace_definition] = STATE(56),
    [sym_namespace_alias_definition] = STATE(56),
    [sym_using_declaration] = STATE(56),
    [sym_alias_declaration] = STATE(56),
    [sym_static_assert_declaration] = STATE(56),
    [sym_concept_definition] = STATE(56),
    [sym_for_range_loop] = STATE(56),
    [sym_co_return_statement] = STATE(56),
    [sym_co_yield_statement] = STATE(56),
    [sym_throw_statement] = STATE(56),
    [sym_try_statement] = STATE(56),
    [sym_raw_string_literal] = STATE(4217),
    [sym_co_await_expression] = STATE(5024),
    [sym_new_expression] = STATE(5024),
    [sym_delete_expression] = STATE(5024),
    [sym_requires_clause] = STATE(5024),
    [sym_requires_expression] = STATE(5024),
    [sym_lambda_expression] = STATE(5024),
    [sym_lambda_capture_specifier] = STATE(7184),
    [sym_fold_expression] = STATE(5024),
    [sym_parameter_pack_expansion] = STATE(5024),
    [sym_destructor_name] = STATE(7680),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6764),
    [sym_qualified_identifier] = STATE(4502),
    [sym_qualified_type_identifier] = STATE(3127),
    [sym_qualified_operator_cast_identifier] = STATE(8035),
    [sym_operator_name] = STATE(7680),
    [sym_user_defined_literal] = STATE(4507),
    [sym_discard_statement] = STATE(56),
    [sym_qualifiers] = STATE(3159),
    [sym_cbuffer_specifier] = STATE(56),
    [sym_hlsl_attribute] = STATE(1858),
    [aux_sym_preproc_if_repeat1] = STATE(56),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2673),
    [aux_sym_attributed_declarator_repeat1] = STATE(1339),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3021),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2511),
    [sym_identifier] = ACTIONS(828),
    [aux_sym_preproc_include_token1] = ACTIONS(165),
    [aux_sym_preproc_def_token1] = ACTIONS(167),
    [aux_sym_preproc_if_token1] = ACTIONS(171),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(173),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(173),
    [sym_preproc_directive] = ACTIONS(175),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(177),
    [anon_sym___extension__] = ACTIONS(179),
    [anon_sym_typedef] = ACTIONS(181),
    [anon_sym_in] = ACTIONS(37),
    [anon_sym_out] = ACTIONS(37),
    [anon_sym_inout] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(183),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(45),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym___cdecl] = ACTIONS(51),
    [anon_sym___clrcall] = ACTIONS(51),
    [anon_sym___stdcall] = ACTIONS(51),
    [anon_sym___fastcall] = ACTIONS(51),
    [anon_sym___thiscall] = ACTIONS(51),
    [anon_sym___vectorcall] = ACTIONS(51),
    [anon_sym_LBRACE] = ACTIONS(830),
    [anon_sym_RBRACE] = ACTIONS(846),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(191),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(65),
    [anon_sym_enum] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(69),
    [anon_sym_struct] = ACTIONS(71),
    [anon_sym_union] = ACTIONS(73),
    [anon_sym_if] = ACTIONS(193),
    [anon_sym_switch] = ACTIONS(195),
    [anon_sym_case] = ACTIONS(197),
    [anon_sym_default] = ACTIONS(199),
    [anon_sym_while] = ACTIONS(201),
    [anon_sym_do] = ACTIONS(203),
    [anon_sym_for] = ACTIONS(205),
    [anon_sym_return] = ACTIONS(207),
    [anon_sym_break] = ACTIONS(209),
    [anon_sym_continue] = ACTIONS(211),
    [anon_sym_goto] = ACTIONS(213),
    [anon_sym___try] = ACTIONS(215),
    [anon_sym___leave] = ACTIONS(217),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [anon_sym_virtual] = ACTIONS(123),
    [anon_sym_alignas] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(223),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_try] = ACTIONS(225),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(227),
    [anon_sym_namespace] = ACTIONS(229),
    [anon_sym_using] = ACTIONS(231),
    [anon_sym_static_assert] = ACTIONS(233),
    [anon_sym_concept] = ACTIONS(235),
    [anon_sym_co_return] = ACTIONS(237),
    [anon_sym_co_yield] = ACTIONS(239),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
    [anon_sym_discard] = ACTIONS(241),
    [anon_sym_precise] = ACTIONS(161),
    [anon_sym_shared] = ACTIONS(161),
    [anon_sym_groupshared] = ACTIONS(161),
    [anon_sym_uniform] = ACTIONS(161),
    [anon_sym_row_major] = ACTIONS(161),
    [anon_sym_column_major] = ACTIONS(161),
    [anon_sym_globallycoherent] = ACTIONS(161),
    [anon_sym_centroid] = ACTIONS(161),
    [anon_sym_noperspective] = ACTIONS(161),
    [anon_sym_nointerpolation] = ACTIONS(161),
    [anon_sym_sample] = ACTIONS(161),
    [anon_sym_linear] = ACTIONS(161),
    [anon_sym_snorm] = ACTIONS(161),
    [anon_sym_unorm] = ACTIONS(161),
    [anon_sym_point] = ACTIONS(161),
    [anon_sym_line] = ACTIONS(161),
    [anon_sym_triangleadj] = ACTIONS(161),
    [anon_sym_lineadj] = ACTIONS(161),
    [anon_sym_triangle] = ACTIONS(161),
    [anon_sym_cbuffer] = ACTIONS(243),
  },
  [50] = {
    [sym_preproc_include] = STATE(58),
    [sym_preproc_def] = STATE(58),
    [sym_preproc_function_def] = STATE(58),
    [sym_preproc_call] = STATE(58),
    [sym_preproc_if] = STATE(58),
    [sym_preproc_ifdef] = STATE(58),
    [sym_function_definition] = STATE(58),
    [sym_declaration] = STATE(58),
    [sym_type_definition] = STATE(58),
    [sym__declaration_modifiers] = STATE(3159),
    [sym__declaration_specifiers] = STATE(5906),
    [sym_linkage_specification] = STATE(58),
    [sym_attribute_specifier] = STATE(3159),
    [sym_attribute_declaration] = STATE(1464),
    [sym_ms_declspec_modifier] = STATE(3159),
    [sym_ms_based_modifier] = STATE(10332),
    [sym_ms_call_modifier] = STATE(2574),
    [sym__declarator] = STATE(7978),
    [sym_parenthesized_declarator] = STATE(7680),
    [sym_attributed_declarator] = STATE(7680),
    [sym_pointer_declarator] = STATE(7680),
    [sym_function_declarator] = STATE(7611),
    [sym_array_declarator] = STATE(7680),
    [sym_compound_statement] = STATE(58),
    [sym_storage_class_specifier] = STATE(3159),
    [sym_type_qualifier] = STATE(3159),
    [sym__type_specifier] = STATE(3039),
    [sym_sized_type_specifier] = STATE(3085),
    [sym_enum_specifier] = STATE(3085),
    [sym_struct_specifier] = STATE(3085),
    [sym_union_specifier] = STATE(3085),
    [sym_attributed_statement] = STATE(58),
    [sym_labeled_statement] = STATE(58),
    [sym_expression_statement] = STATE(58),
    [sym_if_statement] = STATE(58),
    [sym_switch_statement] = STATE(58),
    [sym_case_statement] = STATE(58),
    [sym_while_statement] = STATE(58),
    [sym_do_statement] = STATE(58),
    [sym_for_statement] = STATE(58),
    [sym_return_statement] = STATE(58),
    [sym_break_statement] = STATE(58),
    [sym_continue_statement] = STATE(58),
    [sym_goto_statement] = STATE(58),
    [sym_seh_try_statement] = STATE(58),
    [sym_seh_leave_statement] = STATE(58),
    [sym__expression] = STATE(5674),
    [sym__expression_not_binary] = STATE(5024),
    [sym__string] = STATE(5024),
    [sym_comma_expression] = STATE(10272),
    [sym_conditional_expression] = STATE(5024),
    [sym_assignment_expression] = STATE(5024),
    [sym_pointer_expression] = STATE(4507),
    [sym_unary_expression] = STATE(5024),
    [sym_binary_expression] = STATE(5024),
    [sym_update_expression] = STATE(5024),
    [sym_cast_expression] = STATE(5024),
    [sym_sizeof_expression] = STATE(5024),
    [sym_alignof_expression] = STATE(5024),
    [sym_offsetof_expression] = STATE(5024),
    [sym_generic_expression] = STATE(5024),
    [sym_subscript_expression] = STATE(4507),
    [sym_call_expression] = STATE(4507),
    [sym_gnu_asm_expression] = STATE(5024),
    [sym_field_expression] = STATE(4507),
    [sym_compound_literal_expression] = STATE(5024),
    [sym_parenthesized_expression] = STATE(4507),
    [sym_char_literal] = STATE(5374),
    [sym_concatenated_string] = STATE(5377),
    [sym_string_literal] = STATE(4206),
    [sym_null] = STATE(5024),
    [sym__empty_declaration] = STATE(58),
    [sym_placeholder_type_specifier] = STATE(3085),
    [sym_decltype_auto] = STATE(3091),
    [sym_decltype] = STATE(3050),
    [sym_class_specifier] = STATE(3085),
    [sym__class_name] = STATE(9352),
    [sym_virtual] = STATE(3159),
    [sym_alignas_specifier] = STATE(3159),
    [sym_explicit_function_specifier] = STATE(2511),
    [sym_dependent_type] = STATE(3085),
    [sym_template_declaration] = STATE(58),
    [sym_template_instantiation] = STATE(58),
    [sym_operator_cast] = STATE(8035),
    [sym__constructor_specifiers] = STATE(2511),
    [sym_operator_cast_definition] = STATE(58),
    [sym_operator_cast_declaration] = STATE(58),
    [sym_constructor_or_destructor_definition] = STATE(58),
    [sym_reference_declarator] = STATE(7680),
    [sym_structured_binding_declarator] = STATE(7680),
    [sym_template_type] = STATE(3129),
    [sym_template_function] = STATE(5703),
    [sym_namespace_definition] = STATE(58),
    [sym_namespace_alias_definition] = STATE(58),
    [sym_using_declaration] = STATE(58),
    [sym_alias_declaration] = STATE(58),
    [sym_static_assert_declaration] = STATE(58),
    [sym_concept_definition] = STATE(58),
    [sym_for_range_loop] = STATE(58),
    [sym_co_return_statement] = STATE(58),
    [sym_co_yield_statement] = STATE(58),
    [sym_throw_statement] = STATE(58),
    [sym_try_statement] = STATE(58),
    [sym_raw_string_literal] = STATE(4217),
    [sym_co_await_expression] = STATE(5024),
    [sym_new_expression] = STATE(5024),
    [sym_delete_expression] = STATE(5024),
    [sym_requires_clause] = STATE(5024),
    [sym_requires_expression] = STATE(5024),
    [sym_lambda_expression] = STATE(5024),
    [sym_lambda_capture_specifier] = STATE(7184),
    [sym_fold_expression] = STATE(5024),
    [sym_parameter_pack_expansion] = STATE(5024),
    [sym_destructor_name] = STATE(7680),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6764),
    [sym_qualified_identifier] = STATE(4502),
    [sym_qualified_type_identifier] = STATE(3127),
    [sym_qualified_operator_cast_identifier] = STATE(8035),
    [sym_operator_name] = STATE(7680),
    [sym_user_defined_literal] = STATE(4507),
    [sym_discard_statement] = STATE(58),
    [sym_qualifiers] = STATE(3159),
    [sym_cbuffer_specifier] = STATE(58),
    [sym_hlsl_attribute] = STATE(1858),
    [aux_sym_preproc_if_repeat1] = STATE(58),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2673),
    [aux_sym_attributed_declarator_repeat1] = STATE(1339),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3021),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2511),
    [sym_identifier] = ACTIONS(828),
    [aux_sym_preproc_include_token1] = ACTIONS(165),
    [aux_sym_preproc_def_token1] = ACTIONS(167),
    [aux_sym_preproc_if_token1] = ACTIONS(171),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(173),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(173),
    [sym_preproc_directive] = ACTIONS(175),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(177),
    [anon_sym___extension__] = ACTIONS(179),
    [anon_sym_typedef] = ACTIONS(181),
    [anon_sym_in] = ACTIONS(37),
    [anon_sym_out] = ACTIONS(37),
    [anon_sym_inout] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(183),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(45),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym___cdecl] = ACTIONS(51),
    [anon_sym___clrcall] = ACTIONS(51),
    [anon_sym___stdcall] = ACTIONS(51),
    [anon_sym___fastcall] = ACTIONS(51),
    [anon_sym___thiscall] = ACTIONS(51),
    [anon_sym___vectorcall] = ACTIONS(51),
    [anon_sym_LBRACE] = ACTIONS(830),
    [anon_sym_RBRACE] = ACTIONS(848),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(191),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(65),
    [anon_sym_enum] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(69),
    [anon_sym_struct] = ACTIONS(71),
    [anon_sym_union] = ACTIONS(73),
    [anon_sym_if] = ACTIONS(193),
    [anon_sym_switch] = ACTIONS(195),
    [anon_sym_case] = ACTIONS(197),
    [anon_sym_default] = ACTIONS(199),
    [anon_sym_while] = ACTIONS(201),
    [anon_sym_do] = ACTIONS(203),
    [anon_sym_for] = ACTIONS(205),
    [anon_sym_return] = ACTIONS(207),
    [anon_sym_break] = ACTIONS(209),
    [anon_sym_continue] = ACTIONS(211),
    [anon_sym_goto] = ACTIONS(213),
    [anon_sym___try] = ACTIONS(215),
    [anon_sym___leave] = ACTIONS(217),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [anon_sym_virtual] = ACTIONS(123),
    [anon_sym_alignas] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(223),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_try] = ACTIONS(225),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(227),
    [anon_sym_namespace] = ACTIONS(229),
    [anon_sym_using] = ACTIONS(231),
    [anon_sym_static_assert] = ACTIONS(233),
    [anon_sym_concept] = ACTIONS(235),
    [anon_sym_co_return] = ACTIONS(237),
    [anon_sym_co_yield] = ACTIONS(239),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
    [anon_sym_discard] = ACTIONS(241),
    [anon_sym_precise] = ACTIONS(161),
    [anon_sym_shared] = ACTIONS(161),
    [anon_sym_groupshared] = ACTIONS(161),
    [anon_sym_uniform] = ACTIONS(161),
    [anon_sym_row_major] = ACTIONS(161),
    [anon_sym_column_major] = ACTIONS(161),
    [anon_sym_globallycoherent] = ACTIONS(161),
    [anon_sym_centroid] = ACTIONS(161),
    [anon_sym_noperspective] = ACTIONS(161),
    [anon_sym_nointerpolation] = ACTIONS(161),
    [anon_sym_sample] = ACTIONS(161),
    [anon_sym_linear] = ACTIONS(161),
    [anon_sym_snorm] = ACTIONS(161),
    [anon_sym_unorm] = ACTIONS(161),
    [anon_sym_point] = ACTIONS(161),
    [anon_sym_line] = ACTIONS(161),
    [anon_sym_triangleadj] = ACTIONS(161),
    [anon_sym_lineadj] = ACTIONS(161),
    [anon_sym_triangle] = ACTIONS(161),
    [anon_sym_cbuffer] = ACTIONS(243),
  },
  [51] = {
    [sym_preproc_include] = STATE(56),
    [sym_preproc_def] = STATE(56),
    [sym_preproc_function_def] = STATE(56),
    [sym_preproc_call] = STATE(56),
    [sym_preproc_if] = STATE(56),
    [sym_preproc_ifdef] = STATE(56),
    [sym_function_definition] = STATE(56),
    [sym_declaration] = STATE(56),
    [sym_type_definition] = STATE(56),
    [sym__declaration_modifiers] = STATE(3159),
    [sym__declaration_specifiers] = STATE(5906),
    [sym_linkage_specification] = STATE(56),
    [sym_attribute_specifier] = STATE(3159),
    [sym_attribute_declaration] = STATE(1464),
    [sym_ms_declspec_modifier] = STATE(3159),
    [sym_ms_based_modifier] = STATE(10332),
    [sym_ms_call_modifier] = STATE(2574),
    [sym__declarator] = STATE(7978),
    [sym_parenthesized_declarator] = STATE(7680),
    [sym_attributed_declarator] = STATE(7680),
    [sym_pointer_declarator] = STATE(7680),
    [sym_function_declarator] = STATE(7611),
    [sym_array_declarator] = STATE(7680),
    [sym_compound_statement] = STATE(56),
    [sym_storage_class_specifier] = STATE(3159),
    [sym_type_qualifier] = STATE(3159),
    [sym__type_specifier] = STATE(3039),
    [sym_sized_type_specifier] = STATE(3085),
    [sym_enum_specifier] = STATE(3085),
    [sym_struct_specifier] = STATE(3085),
    [sym_union_specifier] = STATE(3085),
    [sym_attributed_statement] = STATE(56),
    [sym_labeled_statement] = STATE(56),
    [sym_expression_statement] = STATE(56),
    [sym_if_statement] = STATE(56),
    [sym_switch_statement] = STATE(56),
    [sym_case_statement] = STATE(56),
    [sym_while_statement] = STATE(56),
    [sym_do_statement] = STATE(56),
    [sym_for_statement] = STATE(56),
    [sym_return_statement] = STATE(56),
    [sym_break_statement] = STATE(56),
    [sym_continue_statement] = STATE(56),
    [sym_goto_statement] = STATE(56),
    [sym_seh_try_statement] = STATE(56),
    [sym_seh_leave_statement] = STATE(56),
    [sym__expression] = STATE(5674),
    [sym__expression_not_binary] = STATE(5024),
    [sym__string] = STATE(5024),
    [sym_comma_expression] = STATE(10272),
    [sym_conditional_expression] = STATE(5024),
    [sym_assignment_expression] = STATE(5024),
    [sym_pointer_expression] = STATE(4507),
    [sym_unary_expression] = STATE(5024),
    [sym_binary_expression] = STATE(5024),
    [sym_update_expression] = STATE(5024),
    [sym_cast_expression] = STATE(5024),
    [sym_sizeof_expression] = STATE(5024),
    [sym_alignof_expression] = STATE(5024),
    [sym_offsetof_expression] = STATE(5024),
    [sym_generic_expression] = STATE(5024),
    [sym_subscript_expression] = STATE(4507),
    [sym_call_expression] = STATE(4507),
    [sym_gnu_asm_expression] = STATE(5024),
    [sym_field_expression] = STATE(4507),
    [sym_compound_literal_expression] = STATE(5024),
    [sym_parenthesized_expression] = STATE(4507),
    [sym_char_literal] = STATE(5374),
    [sym_concatenated_string] = STATE(5377),
    [sym_string_literal] = STATE(4206),
    [sym_null] = STATE(5024),
    [sym__empty_declaration] = STATE(56),
    [sym_placeholder_type_specifier] = STATE(3085),
    [sym_decltype_auto] = STATE(3091),
    [sym_decltype] = STATE(3050),
    [sym_class_specifier] = STATE(3085),
    [sym__class_name] = STATE(9352),
    [sym_virtual] = STATE(3159),
    [sym_alignas_specifier] = STATE(3159),
    [sym_explicit_function_specifier] = STATE(2511),
    [sym_dependent_type] = STATE(3085),
    [sym_template_declaration] = STATE(56),
    [sym_template_instantiation] = STATE(56),
    [sym_operator_cast] = STATE(8035),
    [sym__constructor_specifiers] = STATE(2511),
    [sym_operator_cast_definition] = STATE(56),
    [sym_operator_cast_declaration] = STATE(56),
    [sym_constructor_or_destructor_definition] = STATE(56),
    [sym_reference_declarator] = STATE(7680),
    [sym_structured_binding_declarator] = STATE(7680),
    [sym_template_type] = STATE(3129),
    [sym_template_function] = STATE(5703),
    [sym_namespace_definition] = STATE(56),
    [sym_namespace_alias_definition] = STATE(56),
    [sym_using_declaration] = STATE(56),
    [sym_alias_declaration] = STATE(56),
    [sym_static_assert_declaration] = STATE(56),
    [sym_concept_definition] = STATE(56),
    [sym_for_range_loop] = STATE(56),
    [sym_co_return_statement] = STATE(56),
    [sym_co_yield_statement] = STATE(56),
    [sym_throw_statement] = STATE(56),
    [sym_try_statement] = STATE(56),
    [sym_raw_string_literal] = STATE(4217),
    [sym_co_await_expression] = STATE(5024),
    [sym_new_expression] = STATE(5024),
    [sym_delete_expression] = STATE(5024),
    [sym_requires_clause] = STATE(5024),
    [sym_requires_expression] = STATE(5024),
    [sym_lambda_expression] = STATE(5024),
    [sym_lambda_capture_specifier] = STATE(7184),
    [sym_fold_expression] = STATE(5024),
    [sym_parameter_pack_expansion] = STATE(5024),
    [sym_destructor_name] = STATE(7680),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6764),
    [sym_qualified_identifier] = STATE(4502),
    [sym_qualified_type_identifier] = STATE(3127),
    [sym_qualified_operator_cast_identifier] = STATE(8035),
    [sym_operator_name] = STATE(7680),
    [sym_user_defined_literal] = STATE(4507),
    [sym_discard_statement] = STATE(56),
    [sym_qualifiers] = STATE(3159),
    [sym_cbuffer_specifier] = STATE(56),
    [sym_hlsl_attribute] = STATE(1858),
    [aux_sym_preproc_if_repeat1] = STATE(56),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2673),
    [aux_sym_attributed_declarator_repeat1] = STATE(1339),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3021),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2511),
    [sym_identifier] = ACTIONS(828),
    [aux_sym_preproc_include_token1] = ACTIONS(165),
    [aux_sym_preproc_def_token1] = ACTIONS(167),
    [aux_sym_preproc_if_token1] = ACTIONS(171),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(173),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(173),
    [sym_preproc_directive] = ACTIONS(175),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(177),
    [anon_sym___extension__] = ACTIONS(179),
    [anon_sym_typedef] = ACTIONS(181),
    [anon_sym_in] = ACTIONS(37),
    [anon_sym_out] = ACTIONS(37),
    [anon_sym_inout] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(183),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(45),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym___cdecl] = ACTIONS(51),
    [anon_sym___clrcall] = ACTIONS(51),
    [anon_sym___stdcall] = ACTIONS(51),
    [anon_sym___fastcall] = ACTIONS(51),
    [anon_sym___thiscall] = ACTIONS(51),
    [anon_sym___vectorcall] = ACTIONS(51),
    [anon_sym_LBRACE] = ACTIONS(830),
    [anon_sym_RBRACE] = ACTIONS(850),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(191),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(65),
    [anon_sym_enum] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(69),
    [anon_sym_struct] = ACTIONS(71),
    [anon_sym_union] = ACTIONS(73),
    [anon_sym_if] = ACTIONS(193),
    [anon_sym_switch] = ACTIONS(195),
    [anon_sym_case] = ACTIONS(197),
    [anon_sym_default] = ACTIONS(199),
    [anon_sym_while] = ACTIONS(201),
    [anon_sym_do] = ACTIONS(203),
    [anon_sym_for] = ACTIONS(205),
    [anon_sym_return] = ACTIONS(207),
    [anon_sym_break] = ACTIONS(209),
    [anon_sym_continue] = ACTIONS(211),
    [anon_sym_goto] = ACTIONS(213),
    [anon_sym___try] = ACTIONS(215),
    [anon_sym___leave] = ACTIONS(217),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [anon_sym_virtual] = ACTIONS(123),
    [anon_sym_alignas] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(223),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_try] = ACTIONS(225),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(227),
    [anon_sym_namespace] = ACTIONS(229),
    [anon_sym_using] = ACTIONS(231),
    [anon_sym_static_assert] = ACTIONS(233),
    [anon_sym_concept] = ACTIONS(235),
    [anon_sym_co_return] = ACTIONS(237),
    [anon_sym_co_yield] = ACTIONS(239),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
    [anon_sym_discard] = ACTIONS(241),
    [anon_sym_precise] = ACTIONS(161),
    [anon_sym_shared] = ACTIONS(161),
    [anon_sym_groupshared] = ACTIONS(161),
    [anon_sym_uniform] = ACTIONS(161),
    [anon_sym_row_major] = ACTIONS(161),
    [anon_sym_column_major] = ACTIONS(161),
    [anon_sym_globallycoherent] = ACTIONS(161),
    [anon_sym_centroid] = ACTIONS(161),
    [anon_sym_noperspective] = ACTIONS(161),
    [anon_sym_nointerpolation] = ACTIONS(161),
    [anon_sym_sample] = ACTIONS(161),
    [anon_sym_linear] = ACTIONS(161),
    [anon_sym_snorm] = ACTIONS(161),
    [anon_sym_unorm] = ACTIONS(161),
    [anon_sym_point] = ACTIONS(161),
    [anon_sym_line] = ACTIONS(161),
    [anon_sym_triangleadj] = ACTIONS(161),
    [anon_sym_lineadj] = ACTIONS(161),
    [anon_sym_triangle] = ACTIONS(161),
    [anon_sym_cbuffer] = ACTIONS(243),
  },
  [52] = {
    [sym_preproc_include] = STATE(93),
    [sym_preproc_def] = STATE(93),
    [sym_preproc_function_def] = STATE(93),
    [sym_preproc_call] = STATE(93),
    [sym_preproc_if] = STATE(93),
    [sym_preproc_ifdef] = STATE(93),
    [sym_function_definition] = STATE(93),
    [sym_declaration] = STATE(93),
    [sym_type_definition] = STATE(93),
    [sym__declaration_modifiers] = STATE(3159),
    [sym__declaration_specifiers] = STATE(5906),
    [sym_linkage_specification] = STATE(93),
    [sym_attribute_specifier] = STATE(3159),
    [sym_attribute_declaration] = STATE(1464),
    [sym_ms_declspec_modifier] = STATE(3159),
    [sym_ms_based_modifier] = STATE(10332),
    [sym_ms_call_modifier] = STATE(2574),
    [sym__declarator] = STATE(7978),
    [sym_parenthesized_declarator] = STATE(7680),
    [sym_attributed_declarator] = STATE(7680),
    [sym_pointer_declarator] = STATE(7680),
    [sym_function_declarator] = STATE(7611),
    [sym_array_declarator] = STATE(7680),
    [sym_compound_statement] = STATE(93),
    [sym_storage_class_specifier] = STATE(3159),
    [sym_type_qualifier] = STATE(3159),
    [sym__type_specifier] = STATE(3039),
    [sym_sized_type_specifier] = STATE(3085),
    [sym_enum_specifier] = STATE(3085),
    [sym_struct_specifier] = STATE(3085),
    [sym_union_specifier] = STATE(3085),
    [sym_attributed_statement] = STATE(93),
    [sym_labeled_statement] = STATE(93),
    [sym_expression_statement] = STATE(93),
    [sym_if_statement] = STATE(93),
    [sym_switch_statement] = STATE(93),
    [sym_case_statement] = STATE(93),
    [sym_while_statement] = STATE(93),
    [sym_do_statement] = STATE(93),
    [sym_for_statement] = STATE(93),
    [sym_return_statement] = STATE(93),
    [sym_break_statement] = STATE(93),
    [sym_continue_statement] = STATE(93),
    [sym_goto_statement] = STATE(93),
    [sym_seh_try_statement] = STATE(93),
    [sym_seh_leave_statement] = STATE(93),
    [sym__expression] = STATE(5674),
    [sym__expression_not_binary] = STATE(5024),
    [sym__string] = STATE(5024),
    [sym_comma_expression] = STATE(10272),
    [sym_conditional_expression] = STATE(5024),
    [sym_assignment_expression] = STATE(5024),
    [sym_pointer_expression] = STATE(4507),
    [sym_unary_expression] = STATE(5024),
    [sym_binary_expression] = STATE(5024),
    [sym_update_expression] = STATE(5024),
    [sym_cast_expression] = STATE(5024),
    [sym_sizeof_expression] = STATE(5024),
    [sym_alignof_expression] = STATE(5024),
    [sym_offsetof_expression] = STATE(5024),
    [sym_generic_expression] = STATE(5024),
    [sym_subscript_expression] = STATE(4507),
    [sym_call_expression] = STATE(4507),
    [sym_gnu_asm_expression] = STATE(5024),
    [sym_field_expression] = STATE(4507),
    [sym_compound_literal_expression] = STATE(5024),
    [sym_parenthesized_expression] = STATE(4507),
    [sym_char_literal] = STATE(5374),
    [sym_concatenated_string] = STATE(5377),
    [sym_string_literal] = STATE(4206),
    [sym_null] = STATE(5024),
    [sym__empty_declaration] = STATE(93),
    [sym_placeholder_type_specifier] = STATE(3085),
    [sym_decltype_auto] = STATE(3091),
    [sym_decltype] = STATE(3050),
    [sym_class_specifier] = STATE(3085),
    [sym__class_name] = STATE(9352),
    [sym_virtual] = STATE(3159),
    [sym_alignas_specifier] = STATE(3159),
    [sym_explicit_function_specifier] = STATE(2511),
    [sym_dependent_type] = STATE(3085),
    [sym_template_declaration] = STATE(93),
    [sym_template_instantiation] = STATE(93),
    [sym_operator_cast] = STATE(8035),
    [sym__constructor_specifiers] = STATE(2511),
    [sym_operator_cast_definition] = STATE(93),
    [sym_operator_cast_declaration] = STATE(93),
    [sym_constructor_or_destructor_definition] = STATE(93),
    [sym_reference_declarator] = STATE(7680),
    [sym_structured_binding_declarator] = STATE(7680),
    [sym_template_type] = STATE(3129),
    [sym_template_function] = STATE(5703),
    [sym_namespace_definition] = STATE(93),
    [sym_namespace_alias_definition] = STATE(93),
    [sym_using_declaration] = STATE(93),
    [sym_alias_declaration] = STATE(93),
    [sym_static_assert_declaration] = STATE(93),
    [sym_concept_definition] = STATE(93),
    [sym_for_range_loop] = STATE(93),
    [sym_co_return_statement] = STATE(93),
    [sym_co_yield_statement] = STATE(93),
    [sym_throw_statement] = STATE(93),
    [sym_try_statement] = STATE(93),
    [sym_raw_string_literal] = STATE(4217),
    [sym_co_await_expression] = STATE(5024),
    [sym_new_expression] = STATE(5024),
    [sym_delete_expression] = STATE(5024),
    [sym_requires_clause] = STATE(5024),
    [sym_requires_expression] = STATE(5024),
    [sym_lambda_expression] = STATE(5024),
    [sym_lambda_capture_specifier] = STATE(7184),
    [sym_fold_expression] = STATE(5024),
    [sym_parameter_pack_expansion] = STATE(5024),
    [sym_destructor_name] = STATE(7680),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6764),
    [sym_qualified_identifier] = STATE(4502),
    [sym_qualified_type_identifier] = STATE(3127),
    [sym_qualified_operator_cast_identifier] = STATE(8035),
    [sym_operator_name] = STATE(7680),
    [sym_user_defined_literal] = STATE(4507),
    [sym_discard_statement] = STATE(93),
    [sym_qualifiers] = STATE(3159),
    [sym_cbuffer_specifier] = STATE(93),
    [sym_hlsl_attribute] = STATE(1858),
    [aux_sym_preproc_if_repeat1] = STATE(93),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2673),
    [aux_sym_attributed_declarator_repeat1] = STATE(1339),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3021),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2511),
    [sym_identifier] = ACTIONS(828),
    [aux_sym_preproc_include_token1] = ACTIONS(165),
    [aux_sym_preproc_def_token1] = ACTIONS(167),
    [aux_sym_preproc_if_token1] = ACTIONS(171),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(173),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(173),
    [sym_preproc_directive] = ACTIONS(175),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(177),
    [anon_sym___extension__] = ACTIONS(179),
    [anon_sym_typedef] = ACTIONS(181),
    [anon_sym_in] = ACTIONS(37),
    [anon_sym_out] = ACTIONS(37),
    [anon_sym_inout] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(183),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(45),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym___cdecl] = ACTIONS(51),
    [anon_sym___clrcall] = ACTIONS(51),
    [anon_sym___stdcall] = ACTIONS(51),
    [anon_sym___fastcall] = ACTIONS(51),
    [anon_sym___thiscall] = ACTIONS(51),
    [anon_sym___vectorcall] = ACTIONS(51),
    [anon_sym_LBRACE] = ACTIONS(830),
    [anon_sym_RBRACE] = ACTIONS(852),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(191),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(65),
    [anon_sym_enum] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(69),
    [anon_sym_struct] = ACTIONS(71),
    [anon_sym_union] = ACTIONS(73),
    [anon_sym_if] = ACTIONS(193),
    [anon_sym_switch] = ACTIONS(195),
    [anon_sym_case] = ACTIONS(197),
    [anon_sym_default] = ACTIONS(199),
    [anon_sym_while] = ACTIONS(201),
    [anon_sym_do] = ACTIONS(203),
    [anon_sym_for] = ACTIONS(205),
    [anon_sym_return] = ACTIONS(207),
    [anon_sym_break] = ACTIONS(209),
    [anon_sym_continue] = ACTIONS(211),
    [anon_sym_goto] = ACTIONS(213),
    [anon_sym___try] = ACTIONS(215),
    [anon_sym___leave] = ACTIONS(217),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [anon_sym_virtual] = ACTIONS(123),
    [anon_sym_alignas] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(223),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_try] = ACTIONS(225),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(227),
    [anon_sym_namespace] = ACTIONS(229),
    [anon_sym_using] = ACTIONS(231),
    [anon_sym_static_assert] = ACTIONS(233),
    [anon_sym_concept] = ACTIONS(235),
    [anon_sym_co_return] = ACTIONS(237),
    [anon_sym_co_yield] = ACTIONS(239),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
    [anon_sym_discard] = ACTIONS(241),
    [anon_sym_precise] = ACTIONS(161),
    [anon_sym_shared] = ACTIONS(161),
    [anon_sym_groupshared] = ACTIONS(161),
    [anon_sym_uniform] = ACTIONS(161),
    [anon_sym_row_major] = ACTIONS(161),
    [anon_sym_column_major] = ACTIONS(161),
    [anon_sym_globallycoherent] = ACTIONS(161),
    [anon_sym_centroid] = ACTIONS(161),
    [anon_sym_noperspective] = ACTIONS(161),
    [anon_sym_nointerpolation] = ACTIONS(161),
    [anon_sym_sample] = ACTIONS(161),
    [anon_sym_linear] = ACTIONS(161),
    [anon_sym_snorm] = ACTIONS(161),
    [anon_sym_unorm] = ACTIONS(161),
    [anon_sym_point] = ACTIONS(161),
    [anon_sym_line] = ACTIONS(161),
    [anon_sym_triangleadj] = ACTIONS(161),
    [anon_sym_lineadj] = ACTIONS(161),
    [anon_sym_triangle] = ACTIONS(161),
    [anon_sym_cbuffer] = ACTIONS(243),
  },
  [53] = {
    [sym_preproc_include] = STATE(46),
    [sym_preproc_def] = STATE(46),
    [sym_preproc_function_def] = STATE(46),
    [sym_preproc_call] = STATE(46),
    [sym_preproc_if] = STATE(46),
    [sym_preproc_ifdef] = STATE(46),
    [sym_function_definition] = STATE(46),
    [sym_declaration] = STATE(46),
    [sym_type_definition] = STATE(46),
    [sym__declaration_modifiers] = STATE(3159),
    [sym__declaration_specifiers] = STATE(5906),
    [sym_linkage_specification] = STATE(46),
    [sym_attribute_specifier] = STATE(3159),
    [sym_attribute_declaration] = STATE(1464),
    [sym_ms_declspec_modifier] = STATE(3159),
    [sym_ms_based_modifier] = STATE(10332),
    [sym_ms_call_modifier] = STATE(2574),
    [sym__declarator] = STATE(7978),
    [sym_parenthesized_declarator] = STATE(7680),
    [sym_attributed_declarator] = STATE(7680),
    [sym_pointer_declarator] = STATE(7680),
    [sym_function_declarator] = STATE(7611),
    [sym_array_declarator] = STATE(7680),
    [sym_compound_statement] = STATE(46),
    [sym_storage_class_specifier] = STATE(3159),
    [sym_type_qualifier] = STATE(3159),
    [sym__type_specifier] = STATE(3039),
    [sym_sized_type_specifier] = STATE(3085),
    [sym_enum_specifier] = STATE(3085),
    [sym_struct_specifier] = STATE(3085),
    [sym_union_specifier] = STATE(3085),
    [sym_attributed_statement] = STATE(46),
    [sym_labeled_statement] = STATE(46),
    [sym_expression_statement] = STATE(46),
    [sym_if_statement] = STATE(46),
    [sym_switch_statement] = STATE(46),
    [sym_case_statement] = STATE(46),
    [sym_while_statement] = STATE(46),
    [sym_do_statement] = STATE(46),
    [sym_for_statement] = STATE(46),
    [sym_return_statement] = STATE(46),
    [sym_break_statement] = STATE(46),
    [sym_continue_statement] = STATE(46),
    [sym_goto_statement] = STATE(46),
    [sym_seh_try_statement] = STATE(46),
    [sym_seh_leave_statement] = STATE(46),
    [sym__expression] = STATE(5674),
    [sym__expression_not_binary] = STATE(5024),
    [sym__string] = STATE(5024),
    [sym_comma_expression] = STATE(10272),
    [sym_conditional_expression] = STATE(5024),
    [sym_assignment_expression] = STATE(5024),
    [sym_pointer_expression] = STATE(4507),
    [sym_unary_expression] = STATE(5024),
    [sym_binary_expression] = STATE(5024),
    [sym_update_expression] = STATE(5024),
    [sym_cast_expression] = STATE(5024),
    [sym_sizeof_expression] = STATE(5024),
    [sym_alignof_expression] = STATE(5024),
    [sym_offsetof_expression] = STATE(5024),
    [sym_generic_expression] = STATE(5024),
    [sym_subscript_expression] = STATE(4507),
    [sym_call_expression] = STATE(4507),
    [sym_gnu_asm_expression] = STATE(5024),
    [sym_field_expression] = STATE(4507),
    [sym_compound_literal_expression] = STATE(5024),
    [sym_parenthesized_expression] = STATE(4507),
    [sym_char_literal] = STATE(5374),
    [sym_concatenated_string] = STATE(5377),
    [sym_string_literal] = STATE(4206),
    [sym_null] = STATE(5024),
    [sym__empty_declaration] = STATE(46),
    [sym_placeholder_type_specifier] = STATE(3085),
    [sym_decltype_auto] = STATE(3091),
    [sym_decltype] = STATE(3050),
    [sym_class_specifier] = STATE(3085),
    [sym__class_name] = STATE(9352),
    [sym_virtual] = STATE(3159),
    [sym_alignas_specifier] = STATE(3159),
    [sym_explicit_function_specifier] = STATE(2511),
    [sym_dependent_type] = STATE(3085),
    [sym_template_declaration] = STATE(46),
    [sym_template_instantiation] = STATE(46),
    [sym_operator_cast] = STATE(8035),
    [sym__constructor_specifiers] = STATE(2511),
    [sym_operator_cast_definition] = STATE(46),
    [sym_operator_cast_declaration] = STATE(46),
    [sym_constructor_or_destructor_definition] = STATE(46),
    [sym_reference_declarator] = STATE(7680),
    [sym_structured_binding_declarator] = STATE(7680),
    [sym_template_type] = STATE(3129),
    [sym_template_function] = STATE(5703),
    [sym_namespace_definition] = STATE(46),
    [sym_namespace_alias_definition] = STATE(46),
    [sym_using_declaration] = STATE(46),
    [sym_alias_declaration] = STATE(46),
    [sym_static_assert_declaration] = STATE(46),
    [sym_concept_definition] = STATE(46),
    [sym_for_range_loop] = STATE(46),
    [sym_co_return_statement] = STATE(46),
    [sym_co_yield_statement] = STATE(46),
    [sym_throw_statement] = STATE(46),
    [sym_try_statement] = STATE(46),
    [sym_raw_string_literal] = STATE(4217),
    [sym_co_await_expression] = STATE(5024),
    [sym_new_expression] = STATE(5024),
    [sym_delete_expression] = STATE(5024),
    [sym_requires_clause] = STATE(5024),
    [sym_requires_expression] = STATE(5024),
    [sym_lambda_expression] = STATE(5024),
    [sym_lambda_capture_specifier] = STATE(7184),
    [sym_fold_expression] = STATE(5024),
    [sym_parameter_pack_expansion] = STATE(5024),
    [sym_destructor_name] = STATE(7680),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6764),
    [sym_qualified_identifier] = STATE(4502),
    [sym_qualified_type_identifier] = STATE(3127),
    [sym_qualified_operator_cast_identifier] = STATE(8035),
    [sym_operator_name] = STATE(7680),
    [sym_user_defined_literal] = STATE(4507),
    [sym_discard_statement] = STATE(46),
    [sym_qualifiers] = STATE(3159),
    [sym_cbuffer_specifier] = STATE(46),
    [sym_hlsl_attribute] = STATE(1858),
    [aux_sym_preproc_if_repeat1] = STATE(46),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2673),
    [aux_sym_attributed_declarator_repeat1] = STATE(1339),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3021),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2511),
    [sym_identifier] = ACTIONS(828),
    [aux_sym_preproc_include_token1] = ACTIONS(165),
    [aux_sym_preproc_def_token1] = ACTIONS(167),
    [aux_sym_preproc_if_token1] = ACTIONS(171),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(173),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(173),
    [sym_preproc_directive] = ACTIONS(175),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(177),
    [anon_sym___extension__] = ACTIONS(179),
    [anon_sym_typedef] = ACTIONS(181),
    [anon_sym_in] = ACTIONS(37),
    [anon_sym_out] = ACTIONS(37),
    [anon_sym_inout] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(183),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(45),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym___cdecl] = ACTIONS(51),
    [anon_sym___clrcall] = ACTIONS(51),
    [anon_sym___stdcall] = ACTIONS(51),
    [anon_sym___fastcall] = ACTIONS(51),
    [anon_sym___thiscall] = ACTIONS(51),
    [anon_sym___vectorcall] = ACTIONS(51),
    [anon_sym_LBRACE] = ACTIONS(830),
    [anon_sym_RBRACE] = ACTIONS(854),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(191),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(65),
    [anon_sym_enum] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(69),
    [anon_sym_struct] = ACTIONS(71),
    [anon_sym_union] = ACTIONS(73),
    [anon_sym_if] = ACTIONS(193),
    [anon_sym_switch] = ACTIONS(195),
    [anon_sym_case] = ACTIONS(197),
    [anon_sym_default] = ACTIONS(199),
    [anon_sym_while] = ACTIONS(201),
    [anon_sym_do] = ACTIONS(203),
    [anon_sym_for] = ACTIONS(205),
    [anon_sym_return] = ACTIONS(207),
    [anon_sym_break] = ACTIONS(209),
    [anon_sym_continue] = ACTIONS(211),
    [anon_sym_goto] = ACTIONS(213),
    [anon_sym___try] = ACTIONS(215),
    [anon_sym___leave] = ACTIONS(217),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [anon_sym_virtual] = ACTIONS(123),
    [anon_sym_alignas] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(223),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_try] = ACTIONS(225),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(227),
    [anon_sym_namespace] = ACTIONS(229),
    [anon_sym_using] = ACTIONS(231),
    [anon_sym_static_assert] = ACTIONS(233),
    [anon_sym_concept] = ACTIONS(235),
    [anon_sym_co_return] = ACTIONS(237),
    [anon_sym_co_yield] = ACTIONS(239),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
    [anon_sym_discard] = ACTIONS(241),
    [anon_sym_precise] = ACTIONS(161),
    [anon_sym_shared] = ACTIONS(161),
    [anon_sym_groupshared] = ACTIONS(161),
    [anon_sym_uniform] = ACTIONS(161),
    [anon_sym_row_major] = ACTIONS(161),
    [anon_sym_column_major] = ACTIONS(161),
    [anon_sym_globallycoherent] = ACTIONS(161),
    [anon_sym_centroid] = ACTIONS(161),
    [anon_sym_noperspective] = ACTIONS(161),
    [anon_sym_nointerpolation] = ACTIONS(161),
    [anon_sym_sample] = ACTIONS(161),
    [anon_sym_linear] = ACTIONS(161),
    [anon_sym_snorm] = ACTIONS(161),
    [anon_sym_unorm] = ACTIONS(161),
    [anon_sym_point] = ACTIONS(161),
    [anon_sym_line] = ACTIONS(161),
    [anon_sym_triangleadj] = ACTIONS(161),
    [anon_sym_lineadj] = ACTIONS(161),
    [anon_sym_triangle] = ACTIONS(161),
    [anon_sym_cbuffer] = ACTIONS(243),
  },
  [54] = {
    [sym_preproc_include] = STATE(80),
    [sym_preproc_def] = STATE(80),
    [sym_preproc_function_def] = STATE(80),
    [sym_preproc_call] = STATE(80),
    [sym_preproc_if] = STATE(80),
    [sym_preproc_ifdef] = STATE(80),
    [sym_function_definition] = STATE(80),
    [sym_declaration] = STATE(80),
    [sym_type_definition] = STATE(80),
    [sym__declaration_modifiers] = STATE(3159),
    [sym__declaration_specifiers] = STATE(5906),
    [sym_linkage_specification] = STATE(80),
    [sym_attribute_specifier] = STATE(3159),
    [sym_attribute_declaration] = STATE(1464),
    [sym_ms_declspec_modifier] = STATE(3159),
    [sym_ms_based_modifier] = STATE(10332),
    [sym_ms_call_modifier] = STATE(2574),
    [sym__declarator] = STATE(7978),
    [sym_parenthesized_declarator] = STATE(7680),
    [sym_attributed_declarator] = STATE(7680),
    [sym_pointer_declarator] = STATE(7680),
    [sym_function_declarator] = STATE(7611),
    [sym_array_declarator] = STATE(7680),
    [sym_compound_statement] = STATE(80),
    [sym_storage_class_specifier] = STATE(3159),
    [sym_type_qualifier] = STATE(3159),
    [sym__type_specifier] = STATE(3039),
    [sym_sized_type_specifier] = STATE(3085),
    [sym_enum_specifier] = STATE(3085),
    [sym_struct_specifier] = STATE(3085),
    [sym_union_specifier] = STATE(3085),
    [sym_attributed_statement] = STATE(80),
    [sym_labeled_statement] = STATE(80),
    [sym_expression_statement] = STATE(80),
    [sym_if_statement] = STATE(80),
    [sym_switch_statement] = STATE(80),
    [sym_case_statement] = STATE(80),
    [sym_while_statement] = STATE(80),
    [sym_do_statement] = STATE(80),
    [sym_for_statement] = STATE(80),
    [sym_return_statement] = STATE(80),
    [sym_break_statement] = STATE(80),
    [sym_continue_statement] = STATE(80),
    [sym_goto_statement] = STATE(80),
    [sym_seh_try_statement] = STATE(80),
    [sym_seh_leave_statement] = STATE(80),
    [sym__expression] = STATE(5674),
    [sym__expression_not_binary] = STATE(5024),
    [sym__string] = STATE(5024),
    [sym_comma_expression] = STATE(10272),
    [sym_conditional_expression] = STATE(5024),
    [sym_assignment_expression] = STATE(5024),
    [sym_pointer_expression] = STATE(4507),
    [sym_unary_expression] = STATE(5024),
    [sym_binary_expression] = STATE(5024),
    [sym_update_expression] = STATE(5024),
    [sym_cast_expression] = STATE(5024),
    [sym_sizeof_expression] = STATE(5024),
    [sym_alignof_expression] = STATE(5024),
    [sym_offsetof_expression] = STATE(5024),
    [sym_generic_expression] = STATE(5024),
    [sym_subscript_expression] = STATE(4507),
    [sym_call_expression] = STATE(4507),
    [sym_gnu_asm_expression] = STATE(5024),
    [sym_field_expression] = STATE(4507),
    [sym_compound_literal_expression] = STATE(5024),
    [sym_parenthesized_expression] = STATE(4507),
    [sym_char_literal] = STATE(5374),
    [sym_concatenated_string] = STATE(5377),
    [sym_string_literal] = STATE(4206),
    [sym_null] = STATE(5024),
    [sym__empty_declaration] = STATE(80),
    [sym_placeholder_type_specifier] = STATE(3085),
    [sym_decltype_auto] = STATE(3091),
    [sym_decltype] = STATE(3050),
    [sym_class_specifier] = STATE(3085),
    [sym__class_name] = STATE(9352),
    [sym_virtual] = STATE(3159),
    [sym_alignas_specifier] = STATE(3159),
    [sym_explicit_function_specifier] = STATE(2511),
    [sym_dependent_type] = STATE(3085),
    [sym_template_declaration] = STATE(80),
    [sym_template_instantiation] = STATE(80),
    [sym_operator_cast] = STATE(8035),
    [sym__constructor_specifiers] = STATE(2511),
    [sym_operator_cast_definition] = STATE(80),
    [sym_operator_cast_declaration] = STATE(80),
    [sym_constructor_or_destructor_definition] = STATE(80),
    [sym_reference_declarator] = STATE(7680),
    [sym_structured_binding_declarator] = STATE(7680),
    [sym_template_type] = STATE(3129),
    [sym_template_function] = STATE(5703),
    [sym_namespace_definition] = STATE(80),
    [sym_namespace_alias_definition] = STATE(80),
    [sym_using_declaration] = STATE(80),
    [sym_alias_declaration] = STATE(80),
    [sym_static_assert_declaration] = STATE(80),
    [sym_concept_definition] = STATE(80),
    [sym_for_range_loop] = STATE(80),
    [sym_co_return_statement] = STATE(80),
    [sym_co_yield_statement] = STATE(80),
    [sym_throw_statement] = STATE(80),
    [sym_try_statement] = STATE(80),
    [sym_raw_string_literal] = STATE(4217),
    [sym_co_await_expression] = STATE(5024),
    [sym_new_expression] = STATE(5024),
    [sym_delete_expression] = STATE(5024),
    [sym_requires_clause] = STATE(5024),
    [sym_requires_expression] = STATE(5024),
    [sym_lambda_expression] = STATE(5024),
    [sym_lambda_capture_specifier] = STATE(7184),
    [sym_fold_expression] = STATE(5024),
    [sym_parameter_pack_expansion] = STATE(5024),
    [sym_destructor_name] = STATE(7680),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6764),
    [sym_qualified_identifier] = STATE(4502),
    [sym_qualified_type_identifier] = STATE(3127),
    [sym_qualified_operator_cast_identifier] = STATE(8035),
    [sym_operator_name] = STATE(7680),
    [sym_user_defined_literal] = STATE(4507),
    [sym_discard_statement] = STATE(80),
    [sym_qualifiers] = STATE(3159),
    [sym_cbuffer_specifier] = STATE(80),
    [sym_hlsl_attribute] = STATE(1858),
    [aux_sym_preproc_if_repeat1] = STATE(80),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2673),
    [aux_sym_attributed_declarator_repeat1] = STATE(1339),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3021),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2511),
    [sym_identifier] = ACTIONS(828),
    [aux_sym_preproc_include_token1] = ACTIONS(165),
    [aux_sym_preproc_def_token1] = ACTIONS(167),
    [aux_sym_preproc_if_token1] = ACTIONS(171),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(173),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(173),
    [sym_preproc_directive] = ACTIONS(175),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(177),
    [anon_sym___extension__] = ACTIONS(179),
    [anon_sym_typedef] = ACTIONS(181),
    [anon_sym_in] = ACTIONS(37),
    [anon_sym_out] = ACTIONS(37),
    [anon_sym_inout] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(183),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(45),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym___cdecl] = ACTIONS(51),
    [anon_sym___clrcall] = ACTIONS(51),
    [anon_sym___stdcall] = ACTIONS(51),
    [anon_sym___fastcall] = ACTIONS(51),
    [anon_sym___thiscall] = ACTIONS(51),
    [anon_sym___vectorcall] = ACTIONS(51),
    [anon_sym_LBRACE] = ACTIONS(830),
    [anon_sym_RBRACE] = ACTIONS(856),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(191),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(65),
    [anon_sym_enum] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(69),
    [anon_sym_struct] = ACTIONS(71),
    [anon_sym_union] = ACTIONS(73),
    [anon_sym_if] = ACTIONS(193),
    [anon_sym_switch] = ACTIONS(195),
    [anon_sym_case] = ACTIONS(197),
    [anon_sym_default] = ACTIONS(199),
    [anon_sym_while] = ACTIONS(201),
    [anon_sym_do] = ACTIONS(203),
    [anon_sym_for] = ACTIONS(205),
    [anon_sym_return] = ACTIONS(207),
    [anon_sym_break] = ACTIONS(209),
    [anon_sym_continue] = ACTIONS(211),
    [anon_sym_goto] = ACTIONS(213),
    [anon_sym___try] = ACTIONS(215),
    [anon_sym___leave] = ACTIONS(217),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [anon_sym_virtual] = ACTIONS(123),
    [anon_sym_alignas] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(223),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_try] = ACTIONS(225),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(227),
    [anon_sym_namespace] = ACTIONS(229),
    [anon_sym_using] = ACTIONS(231),
    [anon_sym_static_assert] = ACTIONS(233),
    [anon_sym_concept] = ACTIONS(235),
    [anon_sym_co_return] = ACTIONS(237),
    [anon_sym_co_yield] = ACTIONS(239),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
    [anon_sym_discard] = ACTIONS(241),
    [anon_sym_precise] = ACTIONS(161),
    [anon_sym_shared] = ACTIONS(161),
    [anon_sym_groupshared] = ACTIONS(161),
    [anon_sym_uniform] = ACTIONS(161),
    [anon_sym_row_major] = ACTIONS(161),
    [anon_sym_column_major] = ACTIONS(161),
    [anon_sym_globallycoherent] = ACTIONS(161),
    [anon_sym_centroid] = ACTIONS(161),
    [anon_sym_noperspective] = ACTIONS(161),
    [anon_sym_nointerpolation] = ACTIONS(161),
    [anon_sym_sample] = ACTIONS(161),
    [anon_sym_linear] = ACTIONS(161),
    [anon_sym_snorm] = ACTIONS(161),
    [anon_sym_unorm] = ACTIONS(161),
    [anon_sym_point] = ACTIONS(161),
    [anon_sym_line] = ACTIONS(161),
    [anon_sym_triangleadj] = ACTIONS(161),
    [anon_sym_lineadj] = ACTIONS(161),
    [anon_sym_triangle] = ACTIONS(161),
    [anon_sym_cbuffer] = ACTIONS(243),
  },
  [55] = {
    [sym_preproc_include] = STATE(66),
    [sym_preproc_def] = STATE(66),
    [sym_preproc_function_def] = STATE(66),
    [sym_preproc_call] = STATE(66),
    [sym_preproc_if] = STATE(66),
    [sym_preproc_ifdef] = STATE(66),
    [sym_function_definition] = STATE(66),
    [sym_declaration] = STATE(66),
    [sym_type_definition] = STATE(66),
    [sym__declaration_modifiers] = STATE(3159),
    [sym__declaration_specifiers] = STATE(5906),
    [sym_linkage_specification] = STATE(66),
    [sym_attribute_specifier] = STATE(3159),
    [sym_attribute_declaration] = STATE(1464),
    [sym_ms_declspec_modifier] = STATE(3159),
    [sym_ms_based_modifier] = STATE(10332),
    [sym_ms_call_modifier] = STATE(2574),
    [sym__declarator] = STATE(7978),
    [sym_parenthesized_declarator] = STATE(7680),
    [sym_attributed_declarator] = STATE(7680),
    [sym_pointer_declarator] = STATE(7680),
    [sym_function_declarator] = STATE(7611),
    [sym_array_declarator] = STATE(7680),
    [sym_compound_statement] = STATE(66),
    [sym_storage_class_specifier] = STATE(3159),
    [sym_type_qualifier] = STATE(3159),
    [sym__type_specifier] = STATE(3039),
    [sym_sized_type_specifier] = STATE(3085),
    [sym_enum_specifier] = STATE(3085),
    [sym_struct_specifier] = STATE(3085),
    [sym_union_specifier] = STATE(3085),
    [sym_attributed_statement] = STATE(66),
    [sym_labeled_statement] = STATE(66),
    [sym_expression_statement] = STATE(66),
    [sym_if_statement] = STATE(66),
    [sym_switch_statement] = STATE(66),
    [sym_case_statement] = STATE(66),
    [sym_while_statement] = STATE(66),
    [sym_do_statement] = STATE(66),
    [sym_for_statement] = STATE(66),
    [sym_return_statement] = STATE(66),
    [sym_break_statement] = STATE(66),
    [sym_continue_statement] = STATE(66),
    [sym_goto_statement] = STATE(66),
    [sym_seh_try_statement] = STATE(66),
    [sym_seh_leave_statement] = STATE(66),
    [sym__expression] = STATE(5674),
    [sym__expression_not_binary] = STATE(5024),
    [sym__string] = STATE(5024),
    [sym_comma_expression] = STATE(10272),
    [sym_conditional_expression] = STATE(5024),
    [sym_assignment_expression] = STATE(5024),
    [sym_pointer_expression] = STATE(4507),
    [sym_unary_expression] = STATE(5024),
    [sym_binary_expression] = STATE(5024),
    [sym_update_expression] = STATE(5024),
    [sym_cast_expression] = STATE(5024),
    [sym_sizeof_expression] = STATE(5024),
    [sym_alignof_expression] = STATE(5024),
    [sym_offsetof_expression] = STATE(5024),
    [sym_generic_expression] = STATE(5024),
    [sym_subscript_expression] = STATE(4507),
    [sym_call_expression] = STATE(4507),
    [sym_gnu_asm_expression] = STATE(5024),
    [sym_field_expression] = STATE(4507),
    [sym_compound_literal_expression] = STATE(5024),
    [sym_parenthesized_expression] = STATE(4507),
    [sym_char_literal] = STATE(5374),
    [sym_concatenated_string] = STATE(5377),
    [sym_string_literal] = STATE(4206),
    [sym_null] = STATE(5024),
    [sym__empty_declaration] = STATE(66),
    [sym_placeholder_type_specifier] = STATE(3085),
    [sym_decltype_auto] = STATE(3091),
    [sym_decltype] = STATE(3050),
    [sym_class_specifier] = STATE(3085),
    [sym__class_name] = STATE(9352),
    [sym_virtual] = STATE(3159),
    [sym_alignas_specifier] = STATE(3159),
    [sym_explicit_function_specifier] = STATE(2511),
    [sym_dependent_type] = STATE(3085),
    [sym_template_declaration] = STATE(66),
    [sym_template_instantiation] = STATE(66),
    [sym_operator_cast] = STATE(8035),
    [sym__constructor_specifiers] = STATE(2511),
    [sym_operator_cast_definition] = STATE(66),
    [sym_operator_cast_declaration] = STATE(66),
    [sym_constructor_or_destructor_definition] = STATE(66),
    [sym_reference_declarator] = STATE(7680),
    [sym_structured_binding_declarator] = STATE(7680),
    [sym_template_type] = STATE(3129),
    [sym_template_function] = STATE(5703),
    [sym_namespace_definition] = STATE(66),
    [sym_namespace_alias_definition] = STATE(66),
    [sym_using_declaration] = STATE(66),
    [sym_alias_declaration] = STATE(66),
    [sym_static_assert_declaration] = STATE(66),
    [sym_concept_definition] = STATE(66),
    [sym_for_range_loop] = STATE(66),
    [sym_co_return_statement] = STATE(66),
    [sym_co_yield_statement] = STATE(66),
    [sym_throw_statement] = STATE(66),
    [sym_try_statement] = STATE(66),
    [sym_raw_string_literal] = STATE(4217),
    [sym_co_await_expression] = STATE(5024),
    [sym_new_expression] = STATE(5024),
    [sym_delete_expression] = STATE(5024),
    [sym_requires_clause] = STATE(5024),
    [sym_requires_expression] = STATE(5024),
    [sym_lambda_expression] = STATE(5024),
    [sym_lambda_capture_specifier] = STATE(7184),
    [sym_fold_expression] = STATE(5024),
    [sym_parameter_pack_expansion] = STATE(5024),
    [sym_destructor_name] = STATE(7680),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6764),
    [sym_qualified_identifier] = STATE(4502),
    [sym_qualified_type_identifier] = STATE(3127),
    [sym_qualified_operator_cast_identifier] = STATE(8035),
    [sym_operator_name] = STATE(7680),
    [sym_user_defined_literal] = STATE(4507),
    [sym_discard_statement] = STATE(66),
    [sym_qualifiers] = STATE(3159),
    [sym_cbuffer_specifier] = STATE(66),
    [sym_hlsl_attribute] = STATE(1858),
    [aux_sym_preproc_if_repeat1] = STATE(66),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2673),
    [aux_sym_attributed_declarator_repeat1] = STATE(1339),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3021),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2511),
    [sym_identifier] = ACTIONS(828),
    [aux_sym_preproc_include_token1] = ACTIONS(165),
    [aux_sym_preproc_def_token1] = ACTIONS(167),
    [aux_sym_preproc_if_token1] = ACTIONS(171),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(173),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(173),
    [sym_preproc_directive] = ACTIONS(175),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(177),
    [anon_sym___extension__] = ACTIONS(179),
    [anon_sym_typedef] = ACTIONS(181),
    [anon_sym_in] = ACTIONS(37),
    [anon_sym_out] = ACTIONS(37),
    [anon_sym_inout] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(183),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(45),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym___cdecl] = ACTIONS(51),
    [anon_sym___clrcall] = ACTIONS(51),
    [anon_sym___stdcall] = ACTIONS(51),
    [anon_sym___fastcall] = ACTIONS(51),
    [anon_sym___thiscall] = ACTIONS(51),
    [anon_sym___vectorcall] = ACTIONS(51),
    [anon_sym_LBRACE] = ACTIONS(830),
    [anon_sym_RBRACE] = ACTIONS(858),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(191),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(65),
    [anon_sym_enum] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(69),
    [anon_sym_struct] = ACTIONS(71),
    [anon_sym_union] = ACTIONS(73),
    [anon_sym_if] = ACTIONS(193),
    [anon_sym_switch] = ACTIONS(195),
    [anon_sym_case] = ACTIONS(197),
    [anon_sym_default] = ACTIONS(199),
    [anon_sym_while] = ACTIONS(201),
    [anon_sym_do] = ACTIONS(203),
    [anon_sym_for] = ACTIONS(205),
    [anon_sym_return] = ACTIONS(207),
    [anon_sym_break] = ACTIONS(209),
    [anon_sym_continue] = ACTIONS(211),
    [anon_sym_goto] = ACTIONS(213),
    [anon_sym___try] = ACTIONS(215),
    [anon_sym___leave] = ACTIONS(217),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [anon_sym_virtual] = ACTIONS(123),
    [anon_sym_alignas] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(223),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_try] = ACTIONS(225),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(227),
    [anon_sym_namespace] = ACTIONS(229),
    [anon_sym_using] = ACTIONS(231),
    [anon_sym_static_assert] = ACTIONS(233),
    [anon_sym_concept] = ACTIONS(235),
    [anon_sym_co_return] = ACTIONS(237),
    [anon_sym_co_yield] = ACTIONS(239),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
    [anon_sym_discard] = ACTIONS(241),
    [anon_sym_precise] = ACTIONS(161),
    [anon_sym_shared] = ACTIONS(161),
    [anon_sym_groupshared] = ACTIONS(161),
    [anon_sym_uniform] = ACTIONS(161),
    [anon_sym_row_major] = ACTIONS(161),
    [anon_sym_column_major] = ACTIONS(161),
    [anon_sym_globallycoherent] = ACTIONS(161),
    [anon_sym_centroid] = ACTIONS(161),
    [anon_sym_noperspective] = ACTIONS(161),
    [anon_sym_nointerpolation] = ACTIONS(161),
    [anon_sym_sample] = ACTIONS(161),
    [anon_sym_linear] = ACTIONS(161),
    [anon_sym_snorm] = ACTIONS(161),
    [anon_sym_unorm] = ACTIONS(161),
    [anon_sym_point] = ACTIONS(161),
    [anon_sym_line] = ACTIONS(161),
    [anon_sym_triangleadj] = ACTIONS(161),
    [anon_sym_lineadj] = ACTIONS(161),
    [anon_sym_triangle] = ACTIONS(161),
    [anon_sym_cbuffer] = ACTIONS(243),
  },
  [56] = {
    [sym_preproc_include] = STATE(56),
    [sym_preproc_def] = STATE(56),
    [sym_preproc_function_def] = STATE(56),
    [sym_preproc_call] = STATE(56),
    [sym_preproc_if] = STATE(56),
    [sym_preproc_ifdef] = STATE(56),
    [sym_function_definition] = STATE(56),
    [sym_declaration] = STATE(56),
    [sym_type_definition] = STATE(56),
    [sym__declaration_modifiers] = STATE(3159),
    [sym__declaration_specifiers] = STATE(5906),
    [sym_linkage_specification] = STATE(56),
    [sym_attribute_specifier] = STATE(3159),
    [sym_attribute_declaration] = STATE(1464),
    [sym_ms_declspec_modifier] = STATE(3159),
    [sym_ms_based_modifier] = STATE(10332),
    [sym_ms_call_modifier] = STATE(2574),
    [sym__declarator] = STATE(7978),
    [sym_parenthesized_declarator] = STATE(7680),
    [sym_attributed_declarator] = STATE(7680),
    [sym_pointer_declarator] = STATE(7680),
    [sym_function_declarator] = STATE(7611),
    [sym_array_declarator] = STATE(7680),
    [sym_compound_statement] = STATE(56),
    [sym_storage_class_specifier] = STATE(3159),
    [sym_type_qualifier] = STATE(3159),
    [sym__type_specifier] = STATE(3039),
    [sym_sized_type_specifier] = STATE(3085),
    [sym_enum_specifier] = STATE(3085),
    [sym_struct_specifier] = STATE(3085),
    [sym_union_specifier] = STATE(3085),
    [sym_attributed_statement] = STATE(56),
    [sym_labeled_statement] = STATE(56),
    [sym_expression_statement] = STATE(56),
    [sym_if_statement] = STATE(56),
    [sym_switch_statement] = STATE(56),
    [sym_case_statement] = STATE(56),
    [sym_while_statement] = STATE(56),
    [sym_do_statement] = STATE(56),
    [sym_for_statement] = STATE(56),
    [sym_return_statement] = STATE(56),
    [sym_break_statement] = STATE(56),
    [sym_continue_statement] = STATE(56),
    [sym_goto_statement] = STATE(56),
    [sym_seh_try_statement] = STATE(56),
    [sym_seh_leave_statement] = STATE(56),
    [sym__expression] = STATE(5674),
    [sym__expression_not_binary] = STATE(5024),
    [sym__string] = STATE(5024),
    [sym_comma_expression] = STATE(10272),
    [sym_conditional_expression] = STATE(5024),
    [sym_assignment_expression] = STATE(5024),
    [sym_pointer_expression] = STATE(4507),
    [sym_unary_expression] = STATE(5024),
    [sym_binary_expression] = STATE(5024),
    [sym_update_expression] = STATE(5024),
    [sym_cast_expression] = STATE(5024),
    [sym_sizeof_expression] = STATE(5024),
    [sym_alignof_expression] = STATE(5024),
    [sym_offsetof_expression] = STATE(5024),
    [sym_generic_expression] = STATE(5024),
    [sym_subscript_expression] = STATE(4507),
    [sym_call_expression] = STATE(4507),
    [sym_gnu_asm_expression] = STATE(5024),
    [sym_field_expression] = STATE(4507),
    [sym_compound_literal_expression] = STATE(5024),
    [sym_parenthesized_expression] = STATE(4507),
    [sym_char_literal] = STATE(5374),
    [sym_concatenated_string] = STATE(5377),
    [sym_string_literal] = STATE(4206),
    [sym_null] = STATE(5024),
    [sym__empty_declaration] = STATE(56),
    [sym_placeholder_type_specifier] = STATE(3085),
    [sym_decltype_auto] = STATE(3091),
    [sym_decltype] = STATE(3050),
    [sym_class_specifier] = STATE(3085),
    [sym__class_name] = STATE(9352),
    [sym_virtual] = STATE(3159),
    [sym_alignas_specifier] = STATE(3159),
    [sym_explicit_function_specifier] = STATE(2511),
    [sym_dependent_type] = STATE(3085),
    [sym_template_declaration] = STATE(56),
    [sym_template_instantiation] = STATE(56),
    [sym_operator_cast] = STATE(8035),
    [sym__constructor_specifiers] = STATE(2511),
    [sym_operator_cast_definition] = STATE(56),
    [sym_operator_cast_declaration] = STATE(56),
    [sym_constructor_or_destructor_definition] = STATE(56),
    [sym_reference_declarator] = STATE(7680),
    [sym_structured_binding_declarator] = STATE(7680),
    [sym_template_type] = STATE(3129),
    [sym_template_function] = STATE(5703),
    [sym_namespace_definition] = STATE(56),
    [sym_namespace_alias_definition] = STATE(56),
    [sym_using_declaration] = STATE(56),
    [sym_alias_declaration] = STATE(56),
    [sym_static_assert_declaration] = STATE(56),
    [sym_concept_definition] = STATE(56),
    [sym_for_range_loop] = STATE(56),
    [sym_co_return_statement] = STATE(56),
    [sym_co_yield_statement] = STATE(56),
    [sym_throw_statement] = STATE(56),
    [sym_try_statement] = STATE(56),
    [sym_raw_string_literal] = STATE(4217),
    [sym_co_await_expression] = STATE(5024),
    [sym_new_expression] = STATE(5024),
    [sym_delete_expression] = STATE(5024),
    [sym_requires_clause] = STATE(5024),
    [sym_requires_expression] = STATE(5024),
    [sym_lambda_expression] = STATE(5024),
    [sym_lambda_capture_specifier] = STATE(7184),
    [sym_fold_expression] = STATE(5024),
    [sym_parameter_pack_expansion] = STATE(5024),
    [sym_destructor_name] = STATE(7680),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6764),
    [sym_qualified_identifier] = STATE(4502),
    [sym_qualified_type_identifier] = STATE(3127),
    [sym_qualified_operator_cast_identifier] = STATE(8035),
    [sym_operator_name] = STATE(7680),
    [sym_user_defined_literal] = STATE(4507),
    [sym_discard_statement] = STATE(56),
    [sym_qualifiers] = STATE(3159),
    [sym_cbuffer_specifier] = STATE(56),
    [sym_hlsl_attribute] = STATE(1858),
    [aux_sym_preproc_if_repeat1] = STATE(56),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2673),
    [aux_sym_attributed_declarator_repeat1] = STATE(1339),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3021),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2511),
    [sym_identifier] = ACTIONS(860),
    [aux_sym_preproc_include_token1] = ACTIONS(863),
    [aux_sym_preproc_def_token1] = ACTIONS(866),
    [aux_sym_preproc_if_token1] = ACTIONS(869),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(872),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(872),
    [sym_preproc_directive] = ACTIONS(875),
    [anon_sym_LPAREN2] = ACTIONS(465),
    [anon_sym_BANG] = ACTIONS(468),
    [anon_sym_TILDE] = ACTIONS(471),
    [anon_sym_DASH] = ACTIONS(474),
    [anon_sym_PLUS] = ACTIONS(474),
    [anon_sym_STAR] = ACTIONS(477),
    [anon_sym_AMP_AMP] = ACTIONS(480),
    [anon_sym_AMP] = ACTIONS(483),
    [anon_sym_SEMI] = ACTIONS(878),
    [anon_sym___extension__] = ACTIONS(881),
    [anon_sym_typedef] = ACTIONS(884),
    [anon_sym_in] = ACTIONS(495),
    [anon_sym_out] = ACTIONS(495),
    [anon_sym_inout] = ACTIONS(495),
    [anon_sym_extern] = ACTIONS(887),
    [anon_sym___attribute__] = ACTIONS(501),
    [anon_sym_COLON_COLON] = ACTIONS(504),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(507),
    [anon_sym___declspec] = ACTIONS(510),
    [anon_sym___based] = ACTIONS(513),
    [anon_sym___cdecl] = ACTIONS(516),
    [anon_sym___clrcall] = ACTIONS(516),
    [anon_sym___stdcall] = ACTIONS(516),
    [anon_sym___fastcall] = ACTIONS(516),
    [anon_sym___thiscall] = ACTIONS(516),
    [anon_sym___vectorcall] = ACTIONS(516),
    [anon_sym_LBRACE] = ACTIONS(890),
    [anon_sym_RBRACE] = ACTIONS(893),
    [anon_sym_signed] = ACTIONS(522),
    [anon_sym_unsigned] = ACTIONS(522),
    [anon_sym_long] = ACTIONS(522),
    [anon_sym_short] = ACTIONS(522),
    [anon_sym_LBRACK] = ACTIONS(525),
    [anon_sym_static] = ACTIONS(528),
    [anon_sym_register] = ACTIONS(528),
    [anon_sym_inline] = ACTIONS(895),
    [anon_sym___inline] = ACTIONS(528),
    [anon_sym___inline__] = ACTIONS(528),
    [anon_sym___forceinline] = ACTIONS(528),
    [anon_sym_thread_local] = ACTIONS(528),
    [anon_sym___thread] = ACTIONS(528),
    [anon_sym_const] = ACTIONS(534),
    [anon_sym_constexpr] = ACTIONS(534),
    [anon_sym_volatile] = ACTIONS(534),
    [anon_sym_restrict] = ACTIONS(534),
    [anon_sym___restrict__] = ACTIONS(534),
    [anon_sym__Atomic] = ACTIONS(534),
    [anon_sym__Noreturn] = ACTIONS(534),
    [anon_sym_noreturn] = ACTIONS(534),
    [anon_sym_mutable] = ACTIONS(534),
    [anon_sym_constinit] = ACTIONS(534),
    [anon_sym_consteval] = ACTIONS(534),
    [sym_primitive_type] = ACTIONS(537),
    [anon_sym_enum] = ACTIONS(540),
    [anon_sym_class] = ACTIONS(543),
    [anon_sym_struct] = ACTIONS(546),
    [anon_sym_union] = ACTIONS(549),
    [anon_sym_if] = ACTIONS(898),
    [anon_sym_switch] = ACTIONS(901),
    [anon_sym_case] = ACTIONS(904),
    [anon_sym_default] = ACTIONS(907),
    [anon_sym_while] = ACTIONS(910),
    [anon_sym_do] = ACTIONS(913),
    [anon_sym_for] = ACTIONS(916),
    [anon_sym_return] = ACTIONS(919),
    [anon_sym_break] = ACTIONS(922),
    [anon_sym_continue] = ACTIONS(925),
    [anon_sym_goto] = ACTIONS(928),
    [anon_sym___try] = ACTIONS(931),
    [anon_sym___leave] = ACTIONS(934),
    [anon_sym_not] = ACTIONS(474),
    [anon_sym_compl] = ACTIONS(474),
    [anon_sym_DASH_DASH] = ACTIONS(591),
    [anon_sym_PLUS_PLUS] = ACTIONS(591),
    [anon_sym_sizeof] = ACTIONS(594),
    [anon_sym___alignof__] = ACTIONS(597),
    [anon_sym___alignof] = ACTIONS(597),
    [anon_sym__alignof] = ACTIONS(597),
    [anon_sym_alignof] = ACTIONS(597),
    [anon_sym__Alignof] = ACTIONS(597),
    [anon_sym_offsetof] = ACTIONS(600),
    [anon_sym__Generic] = ACTIONS(603),
    [anon_sym_asm] = ACTIONS(606),
    [anon_sym___asm__] = ACTIONS(606),
    [sym_number_literal] = ACTIONS(609),
    [anon_sym_L_SQUOTE] = ACTIONS(612),
    [anon_sym_u_SQUOTE] = ACTIONS(612),
    [anon_sym_U_SQUOTE] = ACTIONS(612),
    [anon_sym_u8_SQUOTE] = ACTIONS(612),
    [anon_sym_SQUOTE] = ACTIONS(612),
    [anon_sym_L_DQUOTE] = ACTIONS(615),
    [anon_sym_u_DQUOTE] = ACTIONS(615),
    [anon_sym_U_DQUOTE] = ACTIONS(615),
    [anon_sym_u8_DQUOTE] = ACTIONS(615),
    [anon_sym_DQUOTE] = ACTIONS(615),
    [sym_true] = ACTIONS(618),
    [sym_false] = ACTIONS(618),
    [anon_sym_NULL] = ACTIONS(621),
    [anon_sym_nullptr] = ACTIONS(621),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(624),
    [anon_sym_decltype] = ACTIONS(627),
    [anon_sym_virtual] = ACTIONS(630),
    [anon_sym_alignas] = ACTIONS(633),
    [anon_sym_explicit] = ACTIONS(636),
    [anon_sym_typename] = ACTIONS(639),
    [anon_sym_template] = ACTIONS(937),
    [anon_sym_operator] = ACTIONS(645),
    [anon_sym_try] = ACTIONS(940),
    [anon_sym_delete] = ACTIONS(651),
    [anon_sym_throw] = ACTIONS(943),
    [anon_sym_namespace] = ACTIONS(946),
    [anon_sym_using] = ACTIONS(949),
    [anon_sym_static_assert] = ACTIONS(952),
    [anon_sym_concept] = ACTIONS(955),
    [anon_sym_co_return] = ACTIONS(958),
    [anon_sym_co_yield] = ACTIONS(961),
    [anon_sym_R_DQUOTE] = ACTIONS(675),
    [anon_sym_LR_DQUOTE] = ACTIONS(675),
    [anon_sym_uR_DQUOTE] = ACTIONS(675),
    [anon_sym_UR_DQUOTE] = ACTIONS(675),
    [anon_sym_u8R_DQUOTE] = ACTIONS(675),
    [anon_sym_co_await] = ACTIONS(678),
    [anon_sym_new] = ACTIONS(681),
    [anon_sym_requires] = ACTIONS(684),
    [sym_this] = ACTIONS(618),
    [anon_sym_discard] = ACTIONS(964),
    [anon_sym_precise] = ACTIONS(690),
    [anon_sym_shared] = ACTIONS(690),
    [anon_sym_groupshared] = ACTIONS(690),
    [anon_sym_uniform] = ACTIONS(690),
    [anon_sym_row_major] = ACTIONS(690),
    [anon_sym_column_major] = ACTIONS(690),
    [anon_sym_globallycoherent] = ACTIONS(690),
    [anon_sym_centroid] = ACTIONS(690),
    [anon_sym_noperspective] = ACTIONS(690),
    [anon_sym_nointerpolation] = ACTIONS(690),
    [anon_sym_sample] = ACTIONS(690),
    [anon_sym_linear] = ACTIONS(690),
    [anon_sym_snorm] = ACTIONS(690),
    [anon_sym_unorm] = ACTIONS(690),
    [anon_sym_point] = ACTIONS(690),
    [anon_sym_line] = ACTIONS(690),
    [anon_sym_triangleadj] = ACTIONS(690),
    [anon_sym_lineadj] = ACTIONS(690),
    [anon_sym_triangle] = ACTIONS(690),
    [anon_sym_cbuffer] = ACTIONS(967),
  },
  [57] = {
    [sym_preproc_include] = STATE(59),
    [sym_preproc_def] = STATE(59),
    [sym_preproc_function_def] = STATE(59),
    [sym_preproc_call] = STATE(59),
    [sym_preproc_if] = STATE(59),
    [sym_preproc_ifdef] = STATE(59),
    [sym_function_definition] = STATE(59),
    [sym_declaration] = STATE(59),
    [sym_type_definition] = STATE(59),
    [sym__declaration_modifiers] = STATE(3159),
    [sym__declaration_specifiers] = STATE(5906),
    [sym_linkage_specification] = STATE(59),
    [sym_attribute_specifier] = STATE(3159),
    [sym_attribute_declaration] = STATE(1464),
    [sym_ms_declspec_modifier] = STATE(3159),
    [sym_ms_based_modifier] = STATE(10332),
    [sym_ms_call_modifier] = STATE(2574),
    [sym__declarator] = STATE(7978),
    [sym_parenthesized_declarator] = STATE(7680),
    [sym_attributed_declarator] = STATE(7680),
    [sym_pointer_declarator] = STATE(7680),
    [sym_function_declarator] = STATE(7611),
    [sym_array_declarator] = STATE(7680),
    [sym_compound_statement] = STATE(59),
    [sym_storage_class_specifier] = STATE(3159),
    [sym_type_qualifier] = STATE(3159),
    [sym__type_specifier] = STATE(3039),
    [sym_sized_type_specifier] = STATE(3085),
    [sym_enum_specifier] = STATE(3085),
    [sym_struct_specifier] = STATE(3085),
    [sym_union_specifier] = STATE(3085),
    [sym_attributed_statement] = STATE(59),
    [sym_labeled_statement] = STATE(59),
    [sym_expression_statement] = STATE(59),
    [sym_if_statement] = STATE(59),
    [sym_switch_statement] = STATE(59),
    [sym_case_statement] = STATE(59),
    [sym_while_statement] = STATE(59),
    [sym_do_statement] = STATE(59),
    [sym_for_statement] = STATE(59),
    [sym_return_statement] = STATE(59),
    [sym_break_statement] = STATE(59),
    [sym_continue_statement] = STATE(59),
    [sym_goto_statement] = STATE(59),
    [sym_seh_try_statement] = STATE(59),
    [sym_seh_leave_statement] = STATE(59),
    [sym__expression] = STATE(5674),
    [sym__expression_not_binary] = STATE(5024),
    [sym__string] = STATE(5024),
    [sym_comma_expression] = STATE(10272),
    [sym_conditional_expression] = STATE(5024),
    [sym_assignment_expression] = STATE(5024),
    [sym_pointer_expression] = STATE(4507),
    [sym_unary_expression] = STATE(5024),
    [sym_binary_expression] = STATE(5024),
    [sym_update_expression] = STATE(5024),
    [sym_cast_expression] = STATE(5024),
    [sym_sizeof_expression] = STATE(5024),
    [sym_alignof_expression] = STATE(5024),
    [sym_offsetof_expression] = STATE(5024),
    [sym_generic_expression] = STATE(5024),
    [sym_subscript_expression] = STATE(4507),
    [sym_call_expression] = STATE(4507),
    [sym_gnu_asm_expression] = STATE(5024),
    [sym_field_expression] = STATE(4507),
    [sym_compound_literal_expression] = STATE(5024),
    [sym_parenthesized_expression] = STATE(4507),
    [sym_char_literal] = STATE(5374),
    [sym_concatenated_string] = STATE(5377),
    [sym_string_literal] = STATE(4206),
    [sym_null] = STATE(5024),
    [sym__empty_declaration] = STATE(59),
    [sym_placeholder_type_specifier] = STATE(3085),
    [sym_decltype_auto] = STATE(3091),
    [sym_decltype] = STATE(3050),
    [sym_class_specifier] = STATE(3085),
    [sym__class_name] = STATE(9352),
    [sym_virtual] = STATE(3159),
    [sym_alignas_specifier] = STATE(3159),
    [sym_explicit_function_specifier] = STATE(2511),
    [sym_dependent_type] = STATE(3085),
    [sym_template_declaration] = STATE(59),
    [sym_template_instantiation] = STATE(59),
    [sym_operator_cast] = STATE(8035),
    [sym__constructor_specifiers] = STATE(2511),
    [sym_operator_cast_definition] = STATE(59),
    [sym_operator_cast_declaration] = STATE(59),
    [sym_constructor_or_destructor_definition] = STATE(59),
    [sym_reference_declarator] = STATE(7680),
    [sym_structured_binding_declarator] = STATE(7680),
    [sym_template_type] = STATE(3129),
    [sym_template_function] = STATE(5703),
    [sym_namespace_definition] = STATE(59),
    [sym_namespace_alias_definition] = STATE(59),
    [sym_using_declaration] = STATE(59),
    [sym_alias_declaration] = STATE(59),
    [sym_static_assert_declaration] = STATE(59),
    [sym_concept_definition] = STATE(59),
    [sym_for_range_loop] = STATE(59),
    [sym_co_return_statement] = STATE(59),
    [sym_co_yield_statement] = STATE(59),
    [sym_throw_statement] = STATE(59),
    [sym_try_statement] = STATE(59),
    [sym_raw_string_literal] = STATE(4217),
    [sym_co_await_expression] = STATE(5024),
    [sym_new_expression] = STATE(5024),
    [sym_delete_expression] = STATE(5024),
    [sym_requires_clause] = STATE(5024),
    [sym_requires_expression] = STATE(5024),
    [sym_lambda_expression] = STATE(5024),
    [sym_lambda_capture_specifier] = STATE(7184),
    [sym_fold_expression] = STATE(5024),
    [sym_parameter_pack_expansion] = STATE(5024),
    [sym_destructor_name] = STATE(7680),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6764),
    [sym_qualified_identifier] = STATE(4502),
    [sym_qualified_type_identifier] = STATE(3127),
    [sym_qualified_operator_cast_identifier] = STATE(8035),
    [sym_operator_name] = STATE(7680),
    [sym_user_defined_literal] = STATE(4507),
    [sym_discard_statement] = STATE(59),
    [sym_qualifiers] = STATE(3159),
    [sym_cbuffer_specifier] = STATE(59),
    [sym_hlsl_attribute] = STATE(1858),
    [aux_sym_preproc_if_repeat1] = STATE(59),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2673),
    [aux_sym_attributed_declarator_repeat1] = STATE(1339),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3021),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2511),
    [sym_identifier] = ACTIONS(828),
    [aux_sym_preproc_include_token1] = ACTIONS(165),
    [aux_sym_preproc_def_token1] = ACTIONS(167),
    [aux_sym_preproc_if_token1] = ACTIONS(171),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(173),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(173),
    [sym_preproc_directive] = ACTIONS(175),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(177),
    [anon_sym___extension__] = ACTIONS(179),
    [anon_sym_typedef] = ACTIONS(181),
    [anon_sym_in] = ACTIONS(37),
    [anon_sym_out] = ACTIONS(37),
    [anon_sym_inout] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(183),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(45),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym___cdecl] = ACTIONS(51),
    [anon_sym___clrcall] = ACTIONS(51),
    [anon_sym___stdcall] = ACTIONS(51),
    [anon_sym___fastcall] = ACTIONS(51),
    [anon_sym___thiscall] = ACTIONS(51),
    [anon_sym___vectorcall] = ACTIONS(51),
    [anon_sym_LBRACE] = ACTIONS(830),
    [anon_sym_RBRACE] = ACTIONS(970),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(191),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(65),
    [anon_sym_enum] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(69),
    [anon_sym_struct] = ACTIONS(71),
    [anon_sym_union] = ACTIONS(73),
    [anon_sym_if] = ACTIONS(193),
    [anon_sym_switch] = ACTIONS(195),
    [anon_sym_case] = ACTIONS(197),
    [anon_sym_default] = ACTIONS(199),
    [anon_sym_while] = ACTIONS(201),
    [anon_sym_do] = ACTIONS(203),
    [anon_sym_for] = ACTIONS(205),
    [anon_sym_return] = ACTIONS(207),
    [anon_sym_break] = ACTIONS(209),
    [anon_sym_continue] = ACTIONS(211),
    [anon_sym_goto] = ACTIONS(213),
    [anon_sym___try] = ACTIONS(215),
    [anon_sym___leave] = ACTIONS(217),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [anon_sym_virtual] = ACTIONS(123),
    [anon_sym_alignas] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(223),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_try] = ACTIONS(225),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(227),
    [anon_sym_namespace] = ACTIONS(229),
    [anon_sym_using] = ACTIONS(231),
    [anon_sym_static_assert] = ACTIONS(233),
    [anon_sym_concept] = ACTIONS(235),
    [anon_sym_co_return] = ACTIONS(237),
    [anon_sym_co_yield] = ACTIONS(239),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
    [anon_sym_discard] = ACTIONS(241),
    [anon_sym_precise] = ACTIONS(161),
    [anon_sym_shared] = ACTIONS(161),
    [anon_sym_groupshared] = ACTIONS(161),
    [anon_sym_uniform] = ACTIONS(161),
    [anon_sym_row_major] = ACTIONS(161),
    [anon_sym_column_major] = ACTIONS(161),
    [anon_sym_globallycoherent] = ACTIONS(161),
    [anon_sym_centroid] = ACTIONS(161),
    [anon_sym_noperspective] = ACTIONS(161),
    [anon_sym_nointerpolation] = ACTIONS(161),
    [anon_sym_sample] = ACTIONS(161),
    [anon_sym_linear] = ACTIONS(161),
    [anon_sym_snorm] = ACTIONS(161),
    [anon_sym_unorm] = ACTIONS(161),
    [anon_sym_point] = ACTIONS(161),
    [anon_sym_line] = ACTIONS(161),
    [anon_sym_triangleadj] = ACTIONS(161),
    [anon_sym_lineadj] = ACTIONS(161),
    [anon_sym_triangle] = ACTIONS(161),
    [anon_sym_cbuffer] = ACTIONS(243),
  },
  [58] = {
    [sym_preproc_include] = STATE(56),
    [sym_preproc_def] = STATE(56),
    [sym_preproc_function_def] = STATE(56),
    [sym_preproc_call] = STATE(56),
    [sym_preproc_if] = STATE(56),
    [sym_preproc_ifdef] = STATE(56),
    [sym_function_definition] = STATE(56),
    [sym_declaration] = STATE(56),
    [sym_type_definition] = STATE(56),
    [sym__declaration_modifiers] = STATE(3159),
    [sym__declaration_specifiers] = STATE(5906),
    [sym_linkage_specification] = STATE(56),
    [sym_attribute_specifier] = STATE(3159),
    [sym_attribute_declaration] = STATE(1464),
    [sym_ms_declspec_modifier] = STATE(3159),
    [sym_ms_based_modifier] = STATE(10332),
    [sym_ms_call_modifier] = STATE(2574),
    [sym__declarator] = STATE(7978),
    [sym_parenthesized_declarator] = STATE(7680),
    [sym_attributed_declarator] = STATE(7680),
    [sym_pointer_declarator] = STATE(7680),
    [sym_function_declarator] = STATE(7611),
    [sym_array_declarator] = STATE(7680),
    [sym_compound_statement] = STATE(56),
    [sym_storage_class_specifier] = STATE(3159),
    [sym_type_qualifier] = STATE(3159),
    [sym__type_specifier] = STATE(3039),
    [sym_sized_type_specifier] = STATE(3085),
    [sym_enum_specifier] = STATE(3085),
    [sym_struct_specifier] = STATE(3085),
    [sym_union_specifier] = STATE(3085),
    [sym_attributed_statement] = STATE(56),
    [sym_labeled_statement] = STATE(56),
    [sym_expression_statement] = STATE(56),
    [sym_if_statement] = STATE(56),
    [sym_switch_statement] = STATE(56),
    [sym_case_statement] = STATE(56),
    [sym_while_statement] = STATE(56),
    [sym_do_statement] = STATE(56),
    [sym_for_statement] = STATE(56),
    [sym_return_statement] = STATE(56),
    [sym_break_statement] = STATE(56),
    [sym_continue_statement] = STATE(56),
    [sym_goto_statement] = STATE(56),
    [sym_seh_try_statement] = STATE(56),
    [sym_seh_leave_statement] = STATE(56),
    [sym__expression] = STATE(5674),
    [sym__expression_not_binary] = STATE(5024),
    [sym__string] = STATE(5024),
    [sym_comma_expression] = STATE(10272),
    [sym_conditional_expression] = STATE(5024),
    [sym_assignment_expression] = STATE(5024),
    [sym_pointer_expression] = STATE(4507),
    [sym_unary_expression] = STATE(5024),
    [sym_binary_expression] = STATE(5024),
    [sym_update_expression] = STATE(5024),
    [sym_cast_expression] = STATE(5024),
    [sym_sizeof_expression] = STATE(5024),
    [sym_alignof_expression] = STATE(5024),
    [sym_offsetof_expression] = STATE(5024),
    [sym_generic_expression] = STATE(5024),
    [sym_subscript_expression] = STATE(4507),
    [sym_call_expression] = STATE(4507),
    [sym_gnu_asm_expression] = STATE(5024),
    [sym_field_expression] = STATE(4507),
    [sym_compound_literal_expression] = STATE(5024),
    [sym_parenthesized_expression] = STATE(4507),
    [sym_char_literal] = STATE(5374),
    [sym_concatenated_string] = STATE(5377),
    [sym_string_literal] = STATE(4206),
    [sym_null] = STATE(5024),
    [sym__empty_declaration] = STATE(56),
    [sym_placeholder_type_specifier] = STATE(3085),
    [sym_decltype_auto] = STATE(3091),
    [sym_decltype] = STATE(3050),
    [sym_class_specifier] = STATE(3085),
    [sym__class_name] = STATE(9352),
    [sym_virtual] = STATE(3159),
    [sym_alignas_specifier] = STATE(3159),
    [sym_explicit_function_specifier] = STATE(2511),
    [sym_dependent_type] = STATE(3085),
    [sym_template_declaration] = STATE(56),
    [sym_template_instantiation] = STATE(56),
    [sym_operator_cast] = STATE(8035),
    [sym__constructor_specifiers] = STATE(2511),
    [sym_operator_cast_definition] = STATE(56),
    [sym_operator_cast_declaration] = STATE(56),
    [sym_constructor_or_destructor_definition] = STATE(56),
    [sym_reference_declarator] = STATE(7680),
    [sym_structured_binding_declarator] = STATE(7680),
    [sym_template_type] = STATE(3129),
    [sym_template_function] = STATE(5703),
    [sym_namespace_definition] = STATE(56),
    [sym_namespace_alias_definition] = STATE(56),
    [sym_using_declaration] = STATE(56),
    [sym_alias_declaration] = STATE(56),
    [sym_static_assert_declaration] = STATE(56),
    [sym_concept_definition] = STATE(56),
    [sym_for_range_loop] = STATE(56),
    [sym_co_return_statement] = STATE(56),
    [sym_co_yield_statement] = STATE(56),
    [sym_throw_statement] = STATE(56),
    [sym_try_statement] = STATE(56),
    [sym_raw_string_literal] = STATE(4217),
    [sym_co_await_expression] = STATE(5024),
    [sym_new_expression] = STATE(5024),
    [sym_delete_expression] = STATE(5024),
    [sym_requires_clause] = STATE(5024),
    [sym_requires_expression] = STATE(5024),
    [sym_lambda_expression] = STATE(5024),
    [sym_lambda_capture_specifier] = STATE(7184),
    [sym_fold_expression] = STATE(5024),
    [sym_parameter_pack_expansion] = STATE(5024),
    [sym_destructor_name] = STATE(7680),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6764),
    [sym_qualified_identifier] = STATE(4502),
    [sym_qualified_type_identifier] = STATE(3127),
    [sym_qualified_operator_cast_identifier] = STATE(8035),
    [sym_operator_name] = STATE(7680),
    [sym_user_defined_literal] = STATE(4507),
    [sym_discard_statement] = STATE(56),
    [sym_qualifiers] = STATE(3159),
    [sym_cbuffer_specifier] = STATE(56),
    [sym_hlsl_attribute] = STATE(1858),
    [aux_sym_preproc_if_repeat1] = STATE(56),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2673),
    [aux_sym_attributed_declarator_repeat1] = STATE(1339),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3021),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2511),
    [sym_identifier] = ACTIONS(828),
    [aux_sym_preproc_include_token1] = ACTIONS(165),
    [aux_sym_preproc_def_token1] = ACTIONS(167),
    [aux_sym_preproc_if_token1] = ACTIONS(171),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(173),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(173),
    [sym_preproc_directive] = ACTIONS(175),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(177),
    [anon_sym___extension__] = ACTIONS(179),
    [anon_sym_typedef] = ACTIONS(181),
    [anon_sym_in] = ACTIONS(37),
    [anon_sym_out] = ACTIONS(37),
    [anon_sym_inout] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(183),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(45),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym___cdecl] = ACTIONS(51),
    [anon_sym___clrcall] = ACTIONS(51),
    [anon_sym___stdcall] = ACTIONS(51),
    [anon_sym___fastcall] = ACTIONS(51),
    [anon_sym___thiscall] = ACTIONS(51),
    [anon_sym___vectorcall] = ACTIONS(51),
    [anon_sym_LBRACE] = ACTIONS(830),
    [anon_sym_RBRACE] = ACTIONS(972),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(191),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(65),
    [anon_sym_enum] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(69),
    [anon_sym_struct] = ACTIONS(71),
    [anon_sym_union] = ACTIONS(73),
    [anon_sym_if] = ACTIONS(193),
    [anon_sym_switch] = ACTIONS(195),
    [anon_sym_case] = ACTIONS(197),
    [anon_sym_default] = ACTIONS(199),
    [anon_sym_while] = ACTIONS(201),
    [anon_sym_do] = ACTIONS(203),
    [anon_sym_for] = ACTIONS(205),
    [anon_sym_return] = ACTIONS(207),
    [anon_sym_break] = ACTIONS(209),
    [anon_sym_continue] = ACTIONS(211),
    [anon_sym_goto] = ACTIONS(213),
    [anon_sym___try] = ACTIONS(215),
    [anon_sym___leave] = ACTIONS(217),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [anon_sym_virtual] = ACTIONS(123),
    [anon_sym_alignas] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(223),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_try] = ACTIONS(225),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(227),
    [anon_sym_namespace] = ACTIONS(229),
    [anon_sym_using] = ACTIONS(231),
    [anon_sym_static_assert] = ACTIONS(233),
    [anon_sym_concept] = ACTIONS(235),
    [anon_sym_co_return] = ACTIONS(237),
    [anon_sym_co_yield] = ACTIONS(239),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
    [anon_sym_discard] = ACTIONS(241),
    [anon_sym_precise] = ACTIONS(161),
    [anon_sym_shared] = ACTIONS(161),
    [anon_sym_groupshared] = ACTIONS(161),
    [anon_sym_uniform] = ACTIONS(161),
    [anon_sym_row_major] = ACTIONS(161),
    [anon_sym_column_major] = ACTIONS(161),
    [anon_sym_globallycoherent] = ACTIONS(161),
    [anon_sym_centroid] = ACTIONS(161),
    [anon_sym_noperspective] = ACTIONS(161),
    [anon_sym_nointerpolation] = ACTIONS(161),
    [anon_sym_sample] = ACTIONS(161),
    [anon_sym_linear] = ACTIONS(161),
    [anon_sym_snorm] = ACTIONS(161),
    [anon_sym_unorm] = ACTIONS(161),
    [anon_sym_point] = ACTIONS(161),
    [anon_sym_line] = ACTIONS(161),
    [anon_sym_triangleadj] = ACTIONS(161),
    [anon_sym_lineadj] = ACTIONS(161),
    [anon_sym_triangle] = ACTIONS(161),
    [anon_sym_cbuffer] = ACTIONS(243),
  },
  [59] = {
    [sym_preproc_include] = STATE(56),
    [sym_preproc_def] = STATE(56),
    [sym_preproc_function_def] = STATE(56),
    [sym_preproc_call] = STATE(56),
    [sym_preproc_if] = STATE(56),
    [sym_preproc_ifdef] = STATE(56),
    [sym_function_definition] = STATE(56),
    [sym_declaration] = STATE(56),
    [sym_type_definition] = STATE(56),
    [sym__declaration_modifiers] = STATE(3159),
    [sym__declaration_specifiers] = STATE(5906),
    [sym_linkage_specification] = STATE(56),
    [sym_attribute_specifier] = STATE(3159),
    [sym_attribute_declaration] = STATE(1464),
    [sym_ms_declspec_modifier] = STATE(3159),
    [sym_ms_based_modifier] = STATE(10332),
    [sym_ms_call_modifier] = STATE(2574),
    [sym__declarator] = STATE(7978),
    [sym_parenthesized_declarator] = STATE(7680),
    [sym_attributed_declarator] = STATE(7680),
    [sym_pointer_declarator] = STATE(7680),
    [sym_function_declarator] = STATE(7611),
    [sym_array_declarator] = STATE(7680),
    [sym_compound_statement] = STATE(56),
    [sym_storage_class_specifier] = STATE(3159),
    [sym_type_qualifier] = STATE(3159),
    [sym__type_specifier] = STATE(3039),
    [sym_sized_type_specifier] = STATE(3085),
    [sym_enum_specifier] = STATE(3085),
    [sym_struct_specifier] = STATE(3085),
    [sym_union_specifier] = STATE(3085),
    [sym_attributed_statement] = STATE(56),
    [sym_labeled_statement] = STATE(56),
    [sym_expression_statement] = STATE(56),
    [sym_if_statement] = STATE(56),
    [sym_switch_statement] = STATE(56),
    [sym_case_statement] = STATE(56),
    [sym_while_statement] = STATE(56),
    [sym_do_statement] = STATE(56),
    [sym_for_statement] = STATE(56),
    [sym_return_statement] = STATE(56),
    [sym_break_statement] = STATE(56),
    [sym_continue_statement] = STATE(56),
    [sym_goto_statement] = STATE(56),
    [sym_seh_try_statement] = STATE(56),
    [sym_seh_leave_statement] = STATE(56),
    [sym__expression] = STATE(5674),
    [sym__expression_not_binary] = STATE(5024),
    [sym__string] = STATE(5024),
    [sym_comma_expression] = STATE(10272),
    [sym_conditional_expression] = STATE(5024),
    [sym_assignment_expression] = STATE(5024),
    [sym_pointer_expression] = STATE(4507),
    [sym_unary_expression] = STATE(5024),
    [sym_binary_expression] = STATE(5024),
    [sym_update_expression] = STATE(5024),
    [sym_cast_expression] = STATE(5024),
    [sym_sizeof_expression] = STATE(5024),
    [sym_alignof_expression] = STATE(5024),
    [sym_offsetof_expression] = STATE(5024),
    [sym_generic_expression] = STATE(5024),
    [sym_subscript_expression] = STATE(4507),
    [sym_call_expression] = STATE(4507),
    [sym_gnu_asm_expression] = STATE(5024),
    [sym_field_expression] = STATE(4507),
    [sym_compound_literal_expression] = STATE(5024),
    [sym_parenthesized_expression] = STATE(4507),
    [sym_char_literal] = STATE(5374),
    [sym_concatenated_string] = STATE(5377),
    [sym_string_literal] = STATE(4206),
    [sym_null] = STATE(5024),
    [sym__empty_declaration] = STATE(56),
    [sym_placeholder_type_specifier] = STATE(3085),
    [sym_decltype_auto] = STATE(3091),
    [sym_decltype] = STATE(3050),
    [sym_class_specifier] = STATE(3085),
    [sym__class_name] = STATE(9352),
    [sym_virtual] = STATE(3159),
    [sym_alignas_specifier] = STATE(3159),
    [sym_explicit_function_specifier] = STATE(2511),
    [sym_dependent_type] = STATE(3085),
    [sym_template_declaration] = STATE(56),
    [sym_template_instantiation] = STATE(56),
    [sym_operator_cast] = STATE(8035),
    [sym__constructor_specifiers] = STATE(2511),
    [sym_operator_cast_definition] = STATE(56),
    [sym_operator_cast_declaration] = STATE(56),
    [sym_constructor_or_destructor_definition] = STATE(56),
    [sym_reference_declarator] = STATE(7680),
    [sym_structured_binding_declarator] = STATE(7680),
    [sym_template_type] = STATE(3129),
    [sym_template_function] = STATE(5703),
    [sym_namespace_definition] = STATE(56),
    [sym_namespace_alias_definition] = STATE(56),
    [sym_using_declaration] = STATE(56),
    [sym_alias_declaration] = STATE(56),
    [sym_static_assert_declaration] = STATE(56),
    [sym_concept_definition] = STATE(56),
    [sym_for_range_loop] = STATE(56),
    [sym_co_return_statement] = STATE(56),
    [sym_co_yield_statement] = STATE(56),
    [sym_throw_statement] = STATE(56),
    [sym_try_statement] = STATE(56),
    [sym_raw_string_literal] = STATE(4217),
    [sym_co_await_expression] = STATE(5024),
    [sym_new_expression] = STATE(5024),
    [sym_delete_expression] = STATE(5024),
    [sym_requires_clause] = STATE(5024),
    [sym_requires_expression] = STATE(5024),
    [sym_lambda_expression] = STATE(5024),
    [sym_lambda_capture_specifier] = STATE(7184),
    [sym_fold_expression] = STATE(5024),
    [sym_parameter_pack_expansion] = STATE(5024),
    [sym_destructor_name] = STATE(7680),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6764),
    [sym_qualified_identifier] = STATE(4502),
    [sym_qualified_type_identifier] = STATE(3127),
    [sym_qualified_operator_cast_identifier] = STATE(8035),
    [sym_operator_name] = STATE(7680),
    [sym_user_defined_literal] = STATE(4507),
    [sym_discard_statement] = STATE(56),
    [sym_qualifiers] = STATE(3159),
    [sym_cbuffer_specifier] = STATE(56),
    [sym_hlsl_attribute] = STATE(1858),
    [aux_sym_preproc_if_repeat1] = STATE(56),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2673),
    [aux_sym_attributed_declarator_repeat1] = STATE(1339),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3021),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2511),
    [sym_identifier] = ACTIONS(828),
    [aux_sym_preproc_include_token1] = ACTIONS(165),
    [aux_sym_preproc_def_token1] = ACTIONS(167),
    [aux_sym_preproc_if_token1] = ACTIONS(171),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(173),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(173),
    [sym_preproc_directive] = ACTIONS(175),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(177),
    [anon_sym___extension__] = ACTIONS(179),
    [anon_sym_typedef] = ACTIONS(181),
    [anon_sym_in] = ACTIONS(37),
    [anon_sym_out] = ACTIONS(37),
    [anon_sym_inout] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(183),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(45),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym___cdecl] = ACTIONS(51),
    [anon_sym___clrcall] = ACTIONS(51),
    [anon_sym___stdcall] = ACTIONS(51),
    [anon_sym___fastcall] = ACTIONS(51),
    [anon_sym___thiscall] = ACTIONS(51),
    [anon_sym___vectorcall] = ACTIONS(51),
    [anon_sym_LBRACE] = ACTIONS(830),
    [anon_sym_RBRACE] = ACTIONS(974),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(191),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(65),
    [anon_sym_enum] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(69),
    [anon_sym_struct] = ACTIONS(71),
    [anon_sym_union] = ACTIONS(73),
    [anon_sym_if] = ACTIONS(193),
    [anon_sym_switch] = ACTIONS(195),
    [anon_sym_case] = ACTIONS(197),
    [anon_sym_default] = ACTIONS(199),
    [anon_sym_while] = ACTIONS(201),
    [anon_sym_do] = ACTIONS(203),
    [anon_sym_for] = ACTIONS(205),
    [anon_sym_return] = ACTIONS(207),
    [anon_sym_break] = ACTIONS(209),
    [anon_sym_continue] = ACTIONS(211),
    [anon_sym_goto] = ACTIONS(213),
    [anon_sym___try] = ACTIONS(215),
    [anon_sym___leave] = ACTIONS(217),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [anon_sym_virtual] = ACTIONS(123),
    [anon_sym_alignas] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(223),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_try] = ACTIONS(225),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(227),
    [anon_sym_namespace] = ACTIONS(229),
    [anon_sym_using] = ACTIONS(231),
    [anon_sym_static_assert] = ACTIONS(233),
    [anon_sym_concept] = ACTIONS(235),
    [anon_sym_co_return] = ACTIONS(237),
    [anon_sym_co_yield] = ACTIONS(239),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
    [anon_sym_discard] = ACTIONS(241),
    [anon_sym_precise] = ACTIONS(161),
    [anon_sym_shared] = ACTIONS(161),
    [anon_sym_groupshared] = ACTIONS(161),
    [anon_sym_uniform] = ACTIONS(161),
    [anon_sym_row_major] = ACTIONS(161),
    [anon_sym_column_major] = ACTIONS(161),
    [anon_sym_globallycoherent] = ACTIONS(161),
    [anon_sym_centroid] = ACTIONS(161),
    [anon_sym_noperspective] = ACTIONS(161),
    [anon_sym_nointerpolation] = ACTIONS(161),
    [anon_sym_sample] = ACTIONS(161),
    [anon_sym_linear] = ACTIONS(161),
    [anon_sym_snorm] = ACTIONS(161),
    [anon_sym_unorm] = ACTIONS(161),
    [anon_sym_point] = ACTIONS(161),
    [anon_sym_line] = ACTIONS(161),
    [anon_sym_triangleadj] = ACTIONS(161),
    [anon_sym_lineadj] = ACTIONS(161),
    [anon_sym_triangle] = ACTIONS(161),
    [anon_sym_cbuffer] = ACTIONS(243),
  },
  [60] = {
    [sym_preproc_include] = STATE(56),
    [sym_preproc_def] = STATE(56),
    [sym_preproc_function_def] = STATE(56),
    [sym_preproc_call] = STATE(56),
    [sym_preproc_if] = STATE(56),
    [sym_preproc_ifdef] = STATE(56),
    [sym_function_definition] = STATE(56),
    [sym_declaration] = STATE(56),
    [sym_type_definition] = STATE(56),
    [sym__declaration_modifiers] = STATE(3159),
    [sym__declaration_specifiers] = STATE(5906),
    [sym_linkage_specification] = STATE(56),
    [sym_attribute_specifier] = STATE(3159),
    [sym_attribute_declaration] = STATE(1464),
    [sym_ms_declspec_modifier] = STATE(3159),
    [sym_ms_based_modifier] = STATE(10332),
    [sym_ms_call_modifier] = STATE(2574),
    [sym__declarator] = STATE(7978),
    [sym_parenthesized_declarator] = STATE(7680),
    [sym_attributed_declarator] = STATE(7680),
    [sym_pointer_declarator] = STATE(7680),
    [sym_function_declarator] = STATE(7611),
    [sym_array_declarator] = STATE(7680),
    [sym_compound_statement] = STATE(56),
    [sym_storage_class_specifier] = STATE(3159),
    [sym_type_qualifier] = STATE(3159),
    [sym__type_specifier] = STATE(3039),
    [sym_sized_type_specifier] = STATE(3085),
    [sym_enum_specifier] = STATE(3085),
    [sym_struct_specifier] = STATE(3085),
    [sym_union_specifier] = STATE(3085),
    [sym_attributed_statement] = STATE(56),
    [sym_labeled_statement] = STATE(56),
    [sym_expression_statement] = STATE(56),
    [sym_if_statement] = STATE(56),
    [sym_switch_statement] = STATE(56),
    [sym_case_statement] = STATE(56),
    [sym_while_statement] = STATE(56),
    [sym_do_statement] = STATE(56),
    [sym_for_statement] = STATE(56),
    [sym_return_statement] = STATE(56),
    [sym_break_statement] = STATE(56),
    [sym_continue_statement] = STATE(56),
    [sym_goto_statement] = STATE(56),
    [sym_seh_try_statement] = STATE(56),
    [sym_seh_leave_statement] = STATE(56),
    [sym__expression] = STATE(5674),
    [sym__expression_not_binary] = STATE(5024),
    [sym__string] = STATE(5024),
    [sym_comma_expression] = STATE(10272),
    [sym_conditional_expression] = STATE(5024),
    [sym_assignment_expression] = STATE(5024),
    [sym_pointer_expression] = STATE(4507),
    [sym_unary_expression] = STATE(5024),
    [sym_binary_expression] = STATE(5024),
    [sym_update_expression] = STATE(5024),
    [sym_cast_expression] = STATE(5024),
    [sym_sizeof_expression] = STATE(5024),
    [sym_alignof_expression] = STATE(5024),
    [sym_offsetof_expression] = STATE(5024),
    [sym_generic_expression] = STATE(5024),
    [sym_subscript_expression] = STATE(4507),
    [sym_call_expression] = STATE(4507),
    [sym_gnu_asm_expression] = STATE(5024),
    [sym_field_expression] = STATE(4507),
    [sym_compound_literal_expression] = STATE(5024),
    [sym_parenthesized_expression] = STATE(4507),
    [sym_char_literal] = STATE(5374),
    [sym_concatenated_string] = STATE(5377),
    [sym_string_literal] = STATE(4206),
    [sym_null] = STATE(5024),
    [sym__empty_declaration] = STATE(56),
    [sym_placeholder_type_specifier] = STATE(3085),
    [sym_decltype_auto] = STATE(3091),
    [sym_decltype] = STATE(3050),
    [sym_class_specifier] = STATE(3085),
    [sym__class_name] = STATE(9352),
    [sym_virtual] = STATE(3159),
    [sym_alignas_specifier] = STATE(3159),
    [sym_explicit_function_specifier] = STATE(2511),
    [sym_dependent_type] = STATE(3085),
    [sym_template_declaration] = STATE(56),
    [sym_template_instantiation] = STATE(56),
    [sym_operator_cast] = STATE(8035),
    [sym__constructor_specifiers] = STATE(2511),
    [sym_operator_cast_definition] = STATE(56),
    [sym_operator_cast_declaration] = STATE(56),
    [sym_constructor_or_destructor_definition] = STATE(56),
    [sym_reference_declarator] = STATE(7680),
    [sym_structured_binding_declarator] = STATE(7680),
    [sym_template_type] = STATE(3129),
    [sym_template_function] = STATE(5703),
    [sym_namespace_definition] = STATE(56),
    [sym_namespace_alias_definition] = STATE(56),
    [sym_using_declaration] = STATE(56),
    [sym_alias_declaration] = STATE(56),
    [sym_static_assert_declaration] = STATE(56),
    [sym_concept_definition] = STATE(56),
    [sym_for_range_loop] = STATE(56),
    [sym_co_return_statement] = STATE(56),
    [sym_co_yield_statement] = STATE(56),
    [sym_throw_statement] = STATE(56),
    [sym_try_statement] = STATE(56),
    [sym_raw_string_literal] = STATE(4217),
    [sym_co_await_expression] = STATE(5024),
    [sym_new_expression] = STATE(5024),
    [sym_delete_expression] = STATE(5024),
    [sym_requires_clause] = STATE(5024),
    [sym_requires_expression] = STATE(5024),
    [sym_lambda_expression] = STATE(5024),
    [sym_lambda_capture_specifier] = STATE(7184),
    [sym_fold_expression] = STATE(5024),
    [sym_parameter_pack_expansion] = STATE(5024),
    [sym_destructor_name] = STATE(7680),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6764),
    [sym_qualified_identifier] = STATE(4502),
    [sym_qualified_type_identifier] = STATE(3127),
    [sym_qualified_operator_cast_identifier] = STATE(8035),
    [sym_operator_name] = STATE(7680),
    [sym_user_defined_literal] = STATE(4507),
    [sym_discard_statement] = STATE(56),
    [sym_qualifiers] = STATE(3159),
    [sym_cbuffer_specifier] = STATE(56),
    [sym_hlsl_attribute] = STATE(1858),
    [aux_sym_preproc_if_repeat1] = STATE(56),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2673),
    [aux_sym_attributed_declarator_repeat1] = STATE(1339),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3021),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2511),
    [sym_identifier] = ACTIONS(828),
    [aux_sym_preproc_include_token1] = ACTIONS(165),
    [aux_sym_preproc_def_token1] = ACTIONS(167),
    [aux_sym_preproc_if_token1] = ACTIONS(171),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(173),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(173),
    [sym_preproc_directive] = ACTIONS(175),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(177),
    [anon_sym___extension__] = ACTIONS(179),
    [anon_sym_typedef] = ACTIONS(181),
    [anon_sym_in] = ACTIONS(37),
    [anon_sym_out] = ACTIONS(37),
    [anon_sym_inout] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(183),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(45),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym___cdecl] = ACTIONS(51),
    [anon_sym___clrcall] = ACTIONS(51),
    [anon_sym___stdcall] = ACTIONS(51),
    [anon_sym___fastcall] = ACTIONS(51),
    [anon_sym___thiscall] = ACTIONS(51),
    [anon_sym___vectorcall] = ACTIONS(51),
    [anon_sym_LBRACE] = ACTIONS(830),
    [anon_sym_RBRACE] = ACTIONS(976),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(191),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(65),
    [anon_sym_enum] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(69),
    [anon_sym_struct] = ACTIONS(71),
    [anon_sym_union] = ACTIONS(73),
    [anon_sym_if] = ACTIONS(193),
    [anon_sym_switch] = ACTIONS(195),
    [anon_sym_case] = ACTIONS(197),
    [anon_sym_default] = ACTIONS(199),
    [anon_sym_while] = ACTIONS(201),
    [anon_sym_do] = ACTIONS(203),
    [anon_sym_for] = ACTIONS(205),
    [anon_sym_return] = ACTIONS(207),
    [anon_sym_break] = ACTIONS(209),
    [anon_sym_continue] = ACTIONS(211),
    [anon_sym_goto] = ACTIONS(213),
    [anon_sym___try] = ACTIONS(215),
    [anon_sym___leave] = ACTIONS(217),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [anon_sym_virtual] = ACTIONS(123),
    [anon_sym_alignas] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(223),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_try] = ACTIONS(225),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(227),
    [anon_sym_namespace] = ACTIONS(229),
    [anon_sym_using] = ACTIONS(231),
    [anon_sym_static_assert] = ACTIONS(233),
    [anon_sym_concept] = ACTIONS(235),
    [anon_sym_co_return] = ACTIONS(237),
    [anon_sym_co_yield] = ACTIONS(239),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
    [anon_sym_discard] = ACTIONS(241),
    [anon_sym_precise] = ACTIONS(161),
    [anon_sym_shared] = ACTIONS(161),
    [anon_sym_groupshared] = ACTIONS(161),
    [anon_sym_uniform] = ACTIONS(161),
    [anon_sym_row_major] = ACTIONS(161),
    [anon_sym_column_major] = ACTIONS(161),
    [anon_sym_globallycoherent] = ACTIONS(161),
    [anon_sym_centroid] = ACTIONS(161),
    [anon_sym_noperspective] = ACTIONS(161),
    [anon_sym_nointerpolation] = ACTIONS(161),
    [anon_sym_sample] = ACTIONS(161),
    [anon_sym_linear] = ACTIONS(161),
    [anon_sym_snorm] = ACTIONS(161),
    [anon_sym_unorm] = ACTIONS(161),
    [anon_sym_point] = ACTIONS(161),
    [anon_sym_line] = ACTIONS(161),
    [anon_sym_triangleadj] = ACTIONS(161),
    [anon_sym_lineadj] = ACTIONS(161),
    [anon_sym_triangle] = ACTIONS(161),
    [anon_sym_cbuffer] = ACTIONS(243),
  },
  [61] = {
    [sym_preproc_include] = STATE(60),
    [sym_preproc_def] = STATE(60),
    [sym_preproc_function_def] = STATE(60),
    [sym_preproc_call] = STATE(60),
    [sym_preproc_if] = STATE(60),
    [sym_preproc_ifdef] = STATE(60),
    [sym_function_definition] = STATE(60),
    [sym_declaration] = STATE(60),
    [sym_type_definition] = STATE(60),
    [sym__declaration_modifiers] = STATE(3159),
    [sym__declaration_specifiers] = STATE(5906),
    [sym_linkage_specification] = STATE(60),
    [sym_attribute_specifier] = STATE(3159),
    [sym_attribute_declaration] = STATE(1464),
    [sym_ms_declspec_modifier] = STATE(3159),
    [sym_ms_based_modifier] = STATE(10332),
    [sym_ms_call_modifier] = STATE(2574),
    [sym__declarator] = STATE(7978),
    [sym_parenthesized_declarator] = STATE(7680),
    [sym_attributed_declarator] = STATE(7680),
    [sym_pointer_declarator] = STATE(7680),
    [sym_function_declarator] = STATE(7611),
    [sym_array_declarator] = STATE(7680),
    [sym_compound_statement] = STATE(60),
    [sym_storage_class_specifier] = STATE(3159),
    [sym_type_qualifier] = STATE(3159),
    [sym__type_specifier] = STATE(3039),
    [sym_sized_type_specifier] = STATE(3085),
    [sym_enum_specifier] = STATE(3085),
    [sym_struct_specifier] = STATE(3085),
    [sym_union_specifier] = STATE(3085),
    [sym_attributed_statement] = STATE(60),
    [sym_labeled_statement] = STATE(60),
    [sym_expression_statement] = STATE(60),
    [sym_if_statement] = STATE(60),
    [sym_switch_statement] = STATE(60),
    [sym_case_statement] = STATE(60),
    [sym_while_statement] = STATE(60),
    [sym_do_statement] = STATE(60),
    [sym_for_statement] = STATE(60),
    [sym_return_statement] = STATE(60),
    [sym_break_statement] = STATE(60),
    [sym_continue_statement] = STATE(60),
    [sym_goto_statement] = STATE(60),
    [sym_seh_try_statement] = STATE(60),
    [sym_seh_leave_statement] = STATE(60),
    [sym__expression] = STATE(5674),
    [sym__expression_not_binary] = STATE(5024),
    [sym__string] = STATE(5024),
    [sym_comma_expression] = STATE(10272),
    [sym_conditional_expression] = STATE(5024),
    [sym_assignment_expression] = STATE(5024),
    [sym_pointer_expression] = STATE(4507),
    [sym_unary_expression] = STATE(5024),
    [sym_binary_expression] = STATE(5024),
    [sym_update_expression] = STATE(5024),
    [sym_cast_expression] = STATE(5024),
    [sym_sizeof_expression] = STATE(5024),
    [sym_alignof_expression] = STATE(5024),
    [sym_offsetof_expression] = STATE(5024),
    [sym_generic_expression] = STATE(5024),
    [sym_subscript_expression] = STATE(4507),
    [sym_call_expression] = STATE(4507),
    [sym_gnu_asm_expression] = STATE(5024),
    [sym_field_expression] = STATE(4507),
    [sym_compound_literal_expression] = STATE(5024),
    [sym_parenthesized_expression] = STATE(4507),
    [sym_char_literal] = STATE(5374),
    [sym_concatenated_string] = STATE(5377),
    [sym_string_literal] = STATE(4206),
    [sym_null] = STATE(5024),
    [sym__empty_declaration] = STATE(60),
    [sym_placeholder_type_specifier] = STATE(3085),
    [sym_decltype_auto] = STATE(3091),
    [sym_decltype] = STATE(3050),
    [sym_class_specifier] = STATE(3085),
    [sym__class_name] = STATE(9352),
    [sym_virtual] = STATE(3159),
    [sym_alignas_specifier] = STATE(3159),
    [sym_explicit_function_specifier] = STATE(2511),
    [sym_dependent_type] = STATE(3085),
    [sym_template_declaration] = STATE(60),
    [sym_template_instantiation] = STATE(60),
    [sym_operator_cast] = STATE(8035),
    [sym__constructor_specifiers] = STATE(2511),
    [sym_operator_cast_definition] = STATE(60),
    [sym_operator_cast_declaration] = STATE(60),
    [sym_constructor_or_destructor_definition] = STATE(60),
    [sym_reference_declarator] = STATE(7680),
    [sym_structured_binding_declarator] = STATE(7680),
    [sym_template_type] = STATE(3129),
    [sym_template_function] = STATE(5703),
    [sym_namespace_definition] = STATE(60),
    [sym_namespace_alias_definition] = STATE(60),
    [sym_using_declaration] = STATE(60),
    [sym_alias_declaration] = STATE(60),
    [sym_static_assert_declaration] = STATE(60),
    [sym_concept_definition] = STATE(60),
    [sym_for_range_loop] = STATE(60),
    [sym_co_return_statement] = STATE(60),
    [sym_co_yield_statement] = STATE(60),
    [sym_throw_statement] = STATE(60),
    [sym_try_statement] = STATE(60),
    [sym_raw_string_literal] = STATE(4217),
    [sym_co_await_expression] = STATE(5024),
    [sym_new_expression] = STATE(5024),
    [sym_delete_expression] = STATE(5024),
    [sym_requires_clause] = STATE(5024),
    [sym_requires_expression] = STATE(5024),
    [sym_lambda_expression] = STATE(5024),
    [sym_lambda_capture_specifier] = STATE(7184),
    [sym_fold_expression] = STATE(5024),
    [sym_parameter_pack_expansion] = STATE(5024),
    [sym_destructor_name] = STATE(7680),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6764),
    [sym_qualified_identifier] = STATE(4502),
    [sym_qualified_type_identifier] = STATE(3127),
    [sym_qualified_operator_cast_identifier] = STATE(8035),
    [sym_operator_name] = STATE(7680),
    [sym_user_defined_literal] = STATE(4507),
    [sym_discard_statement] = STATE(60),
    [sym_qualifiers] = STATE(3159),
    [sym_cbuffer_specifier] = STATE(60),
    [sym_hlsl_attribute] = STATE(1858),
    [aux_sym_preproc_if_repeat1] = STATE(60),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2673),
    [aux_sym_attributed_declarator_repeat1] = STATE(1339),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3021),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2511),
    [sym_identifier] = ACTIONS(828),
    [aux_sym_preproc_include_token1] = ACTIONS(165),
    [aux_sym_preproc_def_token1] = ACTIONS(167),
    [aux_sym_preproc_if_token1] = ACTIONS(171),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(173),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(173),
    [sym_preproc_directive] = ACTIONS(175),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(177),
    [anon_sym___extension__] = ACTIONS(179),
    [anon_sym_typedef] = ACTIONS(181),
    [anon_sym_in] = ACTIONS(37),
    [anon_sym_out] = ACTIONS(37),
    [anon_sym_inout] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(183),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(45),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym___cdecl] = ACTIONS(51),
    [anon_sym___clrcall] = ACTIONS(51),
    [anon_sym___stdcall] = ACTIONS(51),
    [anon_sym___fastcall] = ACTIONS(51),
    [anon_sym___thiscall] = ACTIONS(51),
    [anon_sym___vectorcall] = ACTIONS(51),
    [anon_sym_LBRACE] = ACTIONS(830),
    [anon_sym_RBRACE] = ACTIONS(978),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(191),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(65),
    [anon_sym_enum] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(69),
    [anon_sym_struct] = ACTIONS(71),
    [anon_sym_union] = ACTIONS(73),
    [anon_sym_if] = ACTIONS(193),
    [anon_sym_switch] = ACTIONS(195),
    [anon_sym_case] = ACTIONS(197),
    [anon_sym_default] = ACTIONS(199),
    [anon_sym_while] = ACTIONS(201),
    [anon_sym_do] = ACTIONS(203),
    [anon_sym_for] = ACTIONS(205),
    [anon_sym_return] = ACTIONS(207),
    [anon_sym_break] = ACTIONS(209),
    [anon_sym_continue] = ACTIONS(211),
    [anon_sym_goto] = ACTIONS(213),
    [anon_sym___try] = ACTIONS(215),
    [anon_sym___leave] = ACTIONS(217),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [anon_sym_virtual] = ACTIONS(123),
    [anon_sym_alignas] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(223),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_try] = ACTIONS(225),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(227),
    [anon_sym_namespace] = ACTIONS(229),
    [anon_sym_using] = ACTIONS(231),
    [anon_sym_static_assert] = ACTIONS(233),
    [anon_sym_concept] = ACTIONS(235),
    [anon_sym_co_return] = ACTIONS(237),
    [anon_sym_co_yield] = ACTIONS(239),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
    [anon_sym_discard] = ACTIONS(241),
    [anon_sym_precise] = ACTIONS(161),
    [anon_sym_shared] = ACTIONS(161),
    [anon_sym_groupshared] = ACTIONS(161),
    [anon_sym_uniform] = ACTIONS(161),
    [anon_sym_row_major] = ACTIONS(161),
    [anon_sym_column_major] = ACTIONS(161),
    [anon_sym_globallycoherent] = ACTIONS(161),
    [anon_sym_centroid] = ACTIONS(161),
    [anon_sym_noperspective] = ACTIONS(161),
    [anon_sym_nointerpolation] = ACTIONS(161),
    [anon_sym_sample] = ACTIONS(161),
    [anon_sym_linear] = ACTIONS(161),
    [anon_sym_snorm] = ACTIONS(161),
    [anon_sym_unorm] = ACTIONS(161),
    [anon_sym_point] = ACTIONS(161),
    [anon_sym_line] = ACTIONS(161),
    [anon_sym_triangleadj] = ACTIONS(161),
    [anon_sym_lineadj] = ACTIONS(161),
    [anon_sym_triangle] = ACTIONS(161),
    [anon_sym_cbuffer] = ACTIONS(243),
  },
  [62] = {
    [sym_preproc_include] = STATE(62),
    [sym_preproc_def] = STATE(62),
    [sym_preproc_function_def] = STATE(62),
    [sym_preproc_call] = STATE(62),
    [sym_preproc_if] = STATE(62),
    [sym_preproc_ifdef] = STATE(62),
    [sym_function_definition] = STATE(62),
    [sym_declaration] = STATE(62),
    [sym_type_definition] = STATE(62),
    [sym__declaration_modifiers] = STATE(3159),
    [sym__declaration_specifiers] = STATE(5936),
    [sym_linkage_specification] = STATE(62),
    [sym_attribute_specifier] = STATE(3159),
    [sym_attribute_declaration] = STATE(1464),
    [sym_ms_declspec_modifier] = STATE(3159),
    [sym_ms_based_modifier] = STATE(10332),
    [sym_ms_call_modifier] = STATE(2627),
    [sym__declarator] = STATE(7978),
    [sym_parenthesized_declarator] = STATE(7680),
    [sym_attributed_declarator] = STATE(7680),
    [sym_pointer_declarator] = STATE(7680),
    [sym_function_declarator] = STATE(7603),
    [sym_array_declarator] = STATE(7680),
    [sym_compound_statement] = STATE(62),
    [sym_storage_class_specifier] = STATE(3159),
    [sym_type_qualifier] = STATE(3159),
    [sym__type_specifier] = STATE(3040),
    [sym_sized_type_specifier] = STATE(3085),
    [sym_enum_specifier] = STATE(3085),
    [sym_struct_specifier] = STATE(3085),
    [sym_union_specifier] = STATE(3085),
    [sym_attributed_statement] = STATE(62),
    [sym_labeled_statement] = STATE(62),
    [sym_expression_statement] = STATE(62),
    [sym_if_statement] = STATE(62),
    [sym_switch_statement] = STATE(62),
    [sym_case_statement] = STATE(62),
    [sym_while_statement] = STATE(62),
    [sym_do_statement] = STATE(62),
    [sym_for_statement] = STATE(62),
    [sym_return_statement] = STATE(62),
    [sym_break_statement] = STATE(62),
    [sym_continue_statement] = STATE(62),
    [sym_goto_statement] = STATE(62),
    [sym_seh_try_statement] = STATE(62),
    [sym_seh_leave_statement] = STATE(62),
    [sym__expression] = STATE(5768),
    [sym__expression_not_binary] = STATE(5024),
    [sym__string] = STATE(5024),
    [sym_comma_expression] = STATE(9694),
    [sym_conditional_expression] = STATE(5024),
    [sym_assignment_expression] = STATE(5024),
    [sym_pointer_expression] = STATE(4507),
    [sym_unary_expression] = STATE(5024),
    [sym_binary_expression] = STATE(5024),
    [sym_update_expression] = STATE(5024),
    [sym_cast_expression] = STATE(5024),
    [sym_sizeof_expression] = STATE(5024),
    [sym_alignof_expression] = STATE(5024),
    [sym_offsetof_expression] = STATE(5024),
    [sym_generic_expression] = STATE(5024),
    [sym_subscript_expression] = STATE(4507),
    [sym_call_expression] = STATE(4507),
    [sym_gnu_asm_expression] = STATE(5024),
    [sym_field_expression] = STATE(4507),
    [sym_compound_literal_expression] = STATE(5024),
    [sym_parenthesized_expression] = STATE(4507),
    [sym_char_literal] = STATE(5374),
    [sym_concatenated_string] = STATE(5377),
    [sym_string_literal] = STATE(4206),
    [sym_null] = STATE(5024),
    [sym__empty_declaration] = STATE(62),
    [sym_placeholder_type_specifier] = STATE(3085),
    [sym_decltype_auto] = STATE(3091),
    [sym_decltype] = STATE(3050),
    [sym_class_specifier] = STATE(3085),
    [sym__class_name] = STATE(9352),
    [sym_virtual] = STATE(3159),
    [sym_alignas_specifier] = STATE(3159),
    [sym_explicit_function_specifier] = STATE(2507),
    [sym_dependent_type] = STATE(3085),
    [sym_template_declaration] = STATE(62),
    [sym_template_instantiation] = STATE(62),
    [sym_operator_cast] = STATE(8046),
    [sym__constructor_specifiers] = STATE(2507),
    [sym_operator_cast_definition] = STATE(62),
    [sym_operator_cast_declaration] = STATE(62),
    [sym_constructor_or_destructor_definition] = STATE(62),
    [sym_reference_declarator] = STATE(7680),
    [sym_structured_binding_declarator] = STATE(7680),
    [sym_template_type] = STATE(3129),
    [sym_template_function] = STATE(5703),
    [sym_namespace_definition] = STATE(62),
    [sym_namespace_alias_definition] = STATE(62),
    [sym_using_declaration] = STATE(62),
    [sym_alias_declaration] = STATE(62),
    [sym_static_assert_declaration] = STATE(62),
    [sym_concept_definition] = STATE(62),
    [sym_for_range_loop] = STATE(62),
    [sym_co_return_statement] = STATE(62),
    [sym_co_yield_statement] = STATE(62),
    [sym_throw_statement] = STATE(62),
    [sym_try_statement] = STATE(62),
    [sym_raw_string_literal] = STATE(4217),
    [sym_co_await_expression] = STATE(5024),
    [sym_new_expression] = STATE(5024),
    [sym_delete_expression] = STATE(5024),
    [sym_requires_clause] = STATE(5024),
    [sym_requires_expression] = STATE(5024),
    [sym_lambda_expression] = STATE(5024),
    [sym_lambda_capture_specifier] = STATE(7184),
    [sym_fold_expression] = STATE(5024),
    [sym_parameter_pack_expansion] = STATE(5024),
    [sym_destructor_name] = STATE(7680),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6764),
    [sym_qualified_identifier] = STATE(4502),
    [sym_qualified_type_identifier] = STATE(3127),
    [sym_qualified_operator_cast_identifier] = STATE(8046),
    [sym_operator_name] = STATE(7680),
    [sym_user_defined_literal] = STATE(4507),
    [sym_discard_statement] = STATE(62),
    [sym_qualifiers] = STATE(3159),
    [sym_cbuffer_specifier] = STATE(62),
    [sym_hlsl_attribute] = STATE(1907),
    [aux_sym_preproc_if_repeat1] = STATE(62),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2673),
    [aux_sym_attributed_declarator_repeat1] = STATE(1367),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3021),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2507),
    [sym_identifier] = ACTIONS(980),
    [aux_sym_preproc_include_token1] = ACTIONS(983),
    [aux_sym_preproc_def_token1] = ACTIONS(986),
    [aux_sym_preproc_if_token1] = ACTIONS(989),
    [aux_sym_preproc_if_token2] = ACTIONS(457),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(992),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(992),
    [sym_preproc_directive] = ACTIONS(995),
    [anon_sym_LPAREN2] = ACTIONS(465),
    [anon_sym_BANG] = ACTIONS(468),
    [anon_sym_TILDE] = ACTIONS(471),
    [anon_sym_DASH] = ACTIONS(474),
    [anon_sym_PLUS] = ACTIONS(474),
    [anon_sym_STAR] = ACTIONS(477),
    [anon_sym_AMP_AMP] = ACTIONS(480),
    [anon_sym_AMP] = ACTIONS(483),
    [anon_sym_SEMI] = ACTIONS(998),
    [anon_sym___extension__] = ACTIONS(1001),
    [anon_sym_typedef] = ACTIONS(1004),
    [anon_sym_in] = ACTIONS(495),
    [anon_sym_out] = ACTIONS(495),
    [anon_sym_inout] = ACTIONS(495),
    [anon_sym_extern] = ACTIONS(1007),
    [anon_sym___attribute__] = ACTIONS(501),
    [anon_sym_COLON_COLON] = ACTIONS(504),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(507),
    [anon_sym___declspec] = ACTIONS(510),
    [anon_sym___based] = ACTIONS(513),
    [anon_sym___cdecl] = ACTIONS(516),
    [anon_sym___clrcall] = ACTIONS(516),
    [anon_sym___stdcall] = ACTIONS(516),
    [anon_sym___fastcall] = ACTIONS(516),
    [anon_sym___thiscall] = ACTIONS(516),
    [anon_sym___vectorcall] = ACTIONS(516),
    [anon_sym_LBRACE] = ACTIONS(1010),
    [anon_sym_signed] = ACTIONS(522),
    [anon_sym_unsigned] = ACTIONS(522),
    [anon_sym_long] = ACTIONS(522),
    [anon_sym_short] = ACTIONS(522),
    [anon_sym_LBRACK] = ACTIONS(525),
    [anon_sym_static] = ACTIONS(528),
    [anon_sym_register] = ACTIONS(528),
    [anon_sym_inline] = ACTIONS(1013),
    [anon_sym___inline] = ACTIONS(528),
    [anon_sym___inline__] = ACTIONS(528),
    [anon_sym___forceinline] = ACTIONS(528),
    [anon_sym_thread_local] = ACTIONS(528),
    [anon_sym___thread] = ACTIONS(528),
    [anon_sym_const] = ACTIONS(534),
    [anon_sym_constexpr] = ACTIONS(534),
    [anon_sym_volatile] = ACTIONS(534),
    [anon_sym_restrict] = ACTIONS(534),
    [anon_sym___restrict__] = ACTIONS(534),
    [anon_sym__Atomic] = ACTIONS(534),
    [anon_sym__Noreturn] = ACTIONS(534),
    [anon_sym_noreturn] = ACTIONS(534),
    [anon_sym_mutable] = ACTIONS(534),
    [anon_sym_constinit] = ACTIONS(534),
    [anon_sym_consteval] = ACTIONS(534),
    [sym_primitive_type] = ACTIONS(537),
    [anon_sym_enum] = ACTIONS(540),
    [anon_sym_class] = ACTIONS(543),
    [anon_sym_struct] = ACTIONS(546),
    [anon_sym_union] = ACTIONS(549),
    [anon_sym_if] = ACTIONS(1016),
    [anon_sym_switch] = ACTIONS(1019),
    [anon_sym_case] = ACTIONS(1022),
    [anon_sym_default] = ACTIONS(1025),
    [anon_sym_while] = ACTIONS(1028),
    [anon_sym_do] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1034),
    [anon_sym_return] = ACTIONS(1037),
    [anon_sym_break] = ACTIONS(1040),
    [anon_sym_continue] = ACTIONS(1043),
    [anon_sym_goto] = ACTIONS(1046),
    [anon_sym___try] = ACTIONS(1049),
    [anon_sym___leave] = ACTIONS(1052),
    [anon_sym_not] = ACTIONS(474),
    [anon_sym_compl] = ACTIONS(474),
    [anon_sym_DASH_DASH] = ACTIONS(591),
    [anon_sym_PLUS_PLUS] = ACTIONS(591),
    [anon_sym_sizeof] = ACTIONS(594),
    [anon_sym___alignof__] = ACTIONS(597),
    [anon_sym___alignof] = ACTIONS(597),
    [anon_sym__alignof] = ACTIONS(597),
    [anon_sym_alignof] = ACTIONS(597),
    [anon_sym__Alignof] = ACTIONS(597),
    [anon_sym_offsetof] = ACTIONS(600),
    [anon_sym__Generic] = ACTIONS(603),
    [anon_sym_asm] = ACTIONS(606),
    [anon_sym___asm__] = ACTIONS(606),
    [sym_number_literal] = ACTIONS(609),
    [anon_sym_L_SQUOTE] = ACTIONS(612),
    [anon_sym_u_SQUOTE] = ACTIONS(612),
    [anon_sym_U_SQUOTE] = ACTIONS(612),
    [anon_sym_u8_SQUOTE] = ACTIONS(612),
    [anon_sym_SQUOTE] = ACTIONS(612),
    [anon_sym_L_DQUOTE] = ACTIONS(615),
    [anon_sym_u_DQUOTE] = ACTIONS(615),
    [anon_sym_U_DQUOTE] = ACTIONS(615),
    [anon_sym_u8_DQUOTE] = ACTIONS(615),
    [anon_sym_DQUOTE] = ACTIONS(615),
    [sym_true] = ACTIONS(618),
    [sym_false] = ACTIONS(618),
    [anon_sym_NULL] = ACTIONS(621),
    [anon_sym_nullptr] = ACTIONS(621),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(624),
    [anon_sym_decltype] = ACTIONS(627),
    [anon_sym_virtual] = ACTIONS(630),
    [anon_sym_alignas] = ACTIONS(633),
    [anon_sym_explicit] = ACTIONS(636),
    [anon_sym_typename] = ACTIONS(639),
    [anon_sym_template] = ACTIONS(1055),
    [anon_sym_operator] = ACTIONS(645),
    [anon_sym_try] = ACTIONS(1058),
    [anon_sym_delete] = ACTIONS(651),
    [anon_sym_throw] = ACTIONS(1061),
    [anon_sym_namespace] = ACTIONS(1064),
    [anon_sym_using] = ACTIONS(1067),
    [anon_sym_static_assert] = ACTIONS(1070),
    [anon_sym_concept] = ACTIONS(1073),
    [anon_sym_co_return] = ACTIONS(1076),
    [anon_sym_co_yield] = ACTIONS(1079),
    [anon_sym_R_DQUOTE] = ACTIONS(675),
    [anon_sym_LR_DQUOTE] = ACTIONS(675),
    [anon_sym_uR_DQUOTE] = ACTIONS(675),
    [anon_sym_UR_DQUOTE] = ACTIONS(675),
    [anon_sym_u8R_DQUOTE] = ACTIONS(675),
    [anon_sym_co_await] = ACTIONS(678),
    [anon_sym_new] = ACTIONS(681),
    [anon_sym_requires] = ACTIONS(684),
    [sym_this] = ACTIONS(618),
    [anon_sym_discard] = ACTIONS(1082),
    [anon_sym_precise] = ACTIONS(690),
    [anon_sym_shared] = ACTIONS(690),
    [anon_sym_groupshared] = ACTIONS(690),
    [anon_sym_uniform] = ACTIONS(690),
    [anon_sym_row_major] = ACTIONS(690),
    [anon_sym_column_major] = ACTIONS(690),
    [anon_sym_globallycoherent] = ACTIONS(690),
    [anon_sym_centroid] = ACTIONS(690),
    [anon_sym_noperspective] = ACTIONS(690),
    [anon_sym_nointerpolation] = ACTIONS(690),
    [anon_sym_sample] = ACTIONS(690),
    [anon_sym_linear] = ACTIONS(690),
    [anon_sym_snorm] = ACTIONS(690),
    [anon_sym_unorm] = ACTIONS(690),
    [anon_sym_point] = ACTIONS(690),
    [anon_sym_line] = ACTIONS(690),
    [anon_sym_triangleadj] = ACTIONS(690),
    [anon_sym_lineadj] = ACTIONS(690),
    [anon_sym_triangle] = ACTIONS(690),
    [anon_sym_cbuffer] = ACTIONS(1085),
  },
  [63] = {
    [sym_preproc_include] = STATE(56),
    [sym_preproc_def] = STATE(56),
    [sym_preproc_function_def] = STATE(56),
    [sym_preproc_call] = STATE(56),
    [sym_preproc_if] = STATE(56),
    [sym_preproc_ifdef] = STATE(56),
    [sym_function_definition] = STATE(56),
    [sym_declaration] = STATE(56),
    [sym_type_definition] = STATE(56),
    [sym__declaration_modifiers] = STATE(3159),
    [sym__declaration_specifiers] = STATE(5906),
    [sym_linkage_specification] = STATE(56),
    [sym_attribute_specifier] = STATE(3159),
    [sym_attribute_declaration] = STATE(1464),
    [sym_ms_declspec_modifier] = STATE(3159),
    [sym_ms_based_modifier] = STATE(10332),
    [sym_ms_call_modifier] = STATE(2574),
    [sym__declarator] = STATE(7978),
    [sym_parenthesized_declarator] = STATE(7680),
    [sym_attributed_declarator] = STATE(7680),
    [sym_pointer_declarator] = STATE(7680),
    [sym_function_declarator] = STATE(7611),
    [sym_array_declarator] = STATE(7680),
    [sym_compound_statement] = STATE(56),
    [sym_storage_class_specifier] = STATE(3159),
    [sym_type_qualifier] = STATE(3159),
    [sym__type_specifier] = STATE(3039),
    [sym_sized_type_specifier] = STATE(3085),
    [sym_enum_specifier] = STATE(3085),
    [sym_struct_specifier] = STATE(3085),
    [sym_union_specifier] = STATE(3085),
    [sym_attributed_statement] = STATE(56),
    [sym_labeled_statement] = STATE(56),
    [sym_expression_statement] = STATE(56),
    [sym_if_statement] = STATE(56),
    [sym_switch_statement] = STATE(56),
    [sym_case_statement] = STATE(56),
    [sym_while_statement] = STATE(56),
    [sym_do_statement] = STATE(56),
    [sym_for_statement] = STATE(56),
    [sym_return_statement] = STATE(56),
    [sym_break_statement] = STATE(56),
    [sym_continue_statement] = STATE(56),
    [sym_goto_statement] = STATE(56),
    [sym_seh_try_statement] = STATE(56),
    [sym_seh_leave_statement] = STATE(56),
    [sym__expression] = STATE(5674),
    [sym__expression_not_binary] = STATE(5024),
    [sym__string] = STATE(5024),
    [sym_comma_expression] = STATE(10272),
    [sym_conditional_expression] = STATE(5024),
    [sym_assignment_expression] = STATE(5024),
    [sym_pointer_expression] = STATE(4507),
    [sym_unary_expression] = STATE(5024),
    [sym_binary_expression] = STATE(5024),
    [sym_update_expression] = STATE(5024),
    [sym_cast_expression] = STATE(5024),
    [sym_sizeof_expression] = STATE(5024),
    [sym_alignof_expression] = STATE(5024),
    [sym_offsetof_expression] = STATE(5024),
    [sym_generic_expression] = STATE(5024),
    [sym_subscript_expression] = STATE(4507),
    [sym_call_expression] = STATE(4507),
    [sym_gnu_asm_expression] = STATE(5024),
    [sym_field_expression] = STATE(4507),
    [sym_compound_literal_expression] = STATE(5024),
    [sym_parenthesized_expression] = STATE(4507),
    [sym_char_literal] = STATE(5374),
    [sym_concatenated_string] = STATE(5377),
    [sym_string_literal] = STATE(4206),
    [sym_null] = STATE(5024),
    [sym__empty_declaration] = STATE(56),
    [sym_placeholder_type_specifier] = STATE(3085),
    [sym_decltype_auto] = STATE(3091),
    [sym_decltype] = STATE(3050),
    [sym_class_specifier] = STATE(3085),
    [sym__class_name] = STATE(9352),
    [sym_virtual] = STATE(3159),
    [sym_alignas_specifier] = STATE(3159),
    [sym_explicit_function_specifier] = STATE(2511),
    [sym_dependent_type] = STATE(3085),
    [sym_template_declaration] = STATE(56),
    [sym_template_instantiation] = STATE(56),
    [sym_operator_cast] = STATE(8035),
    [sym__constructor_specifiers] = STATE(2511),
    [sym_operator_cast_definition] = STATE(56),
    [sym_operator_cast_declaration] = STATE(56),
    [sym_constructor_or_destructor_definition] = STATE(56),
    [sym_reference_declarator] = STATE(7680),
    [sym_structured_binding_declarator] = STATE(7680),
    [sym_template_type] = STATE(3129),
    [sym_template_function] = STATE(5703),
    [sym_namespace_definition] = STATE(56),
    [sym_namespace_alias_definition] = STATE(56),
    [sym_using_declaration] = STATE(56),
    [sym_alias_declaration] = STATE(56),
    [sym_static_assert_declaration] = STATE(56),
    [sym_concept_definition] = STATE(56),
    [sym_for_range_loop] = STATE(56),
    [sym_co_return_statement] = STATE(56),
    [sym_co_yield_statement] = STATE(56),
    [sym_throw_statement] = STATE(56),
    [sym_try_statement] = STATE(56),
    [sym_raw_string_literal] = STATE(4217),
    [sym_co_await_expression] = STATE(5024),
    [sym_new_expression] = STATE(5024),
    [sym_delete_expression] = STATE(5024),
    [sym_requires_clause] = STATE(5024),
    [sym_requires_expression] = STATE(5024),
    [sym_lambda_expression] = STATE(5024),
    [sym_lambda_capture_specifier] = STATE(7184),
    [sym_fold_expression] = STATE(5024),
    [sym_parameter_pack_expansion] = STATE(5024),
    [sym_destructor_name] = STATE(7680),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6764),
    [sym_qualified_identifier] = STATE(4502),
    [sym_qualified_type_identifier] = STATE(3127),
    [sym_qualified_operator_cast_identifier] = STATE(8035),
    [sym_operator_name] = STATE(7680),
    [sym_user_defined_literal] = STATE(4507),
    [sym_discard_statement] = STATE(56),
    [sym_qualifiers] = STATE(3159),
    [sym_cbuffer_specifier] = STATE(56),
    [sym_hlsl_attribute] = STATE(1858),
    [aux_sym_preproc_if_repeat1] = STATE(56),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2673),
    [aux_sym_attributed_declarator_repeat1] = STATE(1339),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3021),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2511),
    [sym_identifier] = ACTIONS(828),
    [aux_sym_preproc_include_token1] = ACTIONS(165),
    [aux_sym_preproc_def_token1] = ACTIONS(167),
    [aux_sym_preproc_if_token1] = ACTIONS(171),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(173),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(173),
    [sym_preproc_directive] = ACTIONS(175),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(177),
    [anon_sym___extension__] = ACTIONS(179),
    [anon_sym_typedef] = ACTIONS(181),
    [anon_sym_in] = ACTIONS(37),
    [anon_sym_out] = ACTIONS(37),
    [anon_sym_inout] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(183),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(45),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym___cdecl] = ACTIONS(51),
    [anon_sym___clrcall] = ACTIONS(51),
    [anon_sym___stdcall] = ACTIONS(51),
    [anon_sym___fastcall] = ACTIONS(51),
    [anon_sym___thiscall] = ACTIONS(51),
    [anon_sym___vectorcall] = ACTIONS(51),
    [anon_sym_LBRACE] = ACTIONS(830),
    [anon_sym_RBRACE] = ACTIONS(1088),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(191),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(65),
    [anon_sym_enum] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(69),
    [anon_sym_struct] = ACTIONS(71),
    [anon_sym_union] = ACTIONS(73),
    [anon_sym_if] = ACTIONS(193),
    [anon_sym_switch] = ACTIONS(195),
    [anon_sym_case] = ACTIONS(197),
    [anon_sym_default] = ACTIONS(199),
    [anon_sym_while] = ACTIONS(201),
    [anon_sym_do] = ACTIONS(203),
    [anon_sym_for] = ACTIONS(205),
    [anon_sym_return] = ACTIONS(207),
    [anon_sym_break] = ACTIONS(209),
    [anon_sym_continue] = ACTIONS(211),
    [anon_sym_goto] = ACTIONS(213),
    [anon_sym___try] = ACTIONS(215),
    [anon_sym___leave] = ACTIONS(217),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [anon_sym_virtual] = ACTIONS(123),
    [anon_sym_alignas] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(223),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_try] = ACTIONS(225),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(227),
    [anon_sym_namespace] = ACTIONS(229),
    [anon_sym_using] = ACTIONS(231),
    [anon_sym_static_assert] = ACTIONS(233),
    [anon_sym_concept] = ACTIONS(235),
    [anon_sym_co_return] = ACTIONS(237),
    [anon_sym_co_yield] = ACTIONS(239),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
    [anon_sym_discard] = ACTIONS(241),
    [anon_sym_precise] = ACTIONS(161),
    [anon_sym_shared] = ACTIONS(161),
    [anon_sym_groupshared] = ACTIONS(161),
    [anon_sym_uniform] = ACTIONS(161),
    [anon_sym_row_major] = ACTIONS(161),
    [anon_sym_column_major] = ACTIONS(161),
    [anon_sym_globallycoherent] = ACTIONS(161),
    [anon_sym_centroid] = ACTIONS(161),
    [anon_sym_noperspective] = ACTIONS(161),
    [anon_sym_nointerpolation] = ACTIONS(161),
    [anon_sym_sample] = ACTIONS(161),
    [anon_sym_linear] = ACTIONS(161),
    [anon_sym_snorm] = ACTIONS(161),
    [anon_sym_unorm] = ACTIONS(161),
    [anon_sym_point] = ACTIONS(161),
    [anon_sym_line] = ACTIONS(161),
    [anon_sym_triangleadj] = ACTIONS(161),
    [anon_sym_lineadj] = ACTIONS(161),
    [anon_sym_triangle] = ACTIONS(161),
    [anon_sym_cbuffer] = ACTIONS(243),
  },
  [64] = {
    [sym_preproc_include] = STATE(63),
    [sym_preproc_def] = STATE(63),
    [sym_preproc_function_def] = STATE(63),
    [sym_preproc_call] = STATE(63),
    [sym_preproc_if] = STATE(63),
    [sym_preproc_ifdef] = STATE(63),
    [sym_function_definition] = STATE(63),
    [sym_declaration] = STATE(63),
    [sym_type_definition] = STATE(63),
    [sym__declaration_modifiers] = STATE(3159),
    [sym__declaration_specifiers] = STATE(5906),
    [sym_linkage_specification] = STATE(63),
    [sym_attribute_specifier] = STATE(3159),
    [sym_attribute_declaration] = STATE(1464),
    [sym_ms_declspec_modifier] = STATE(3159),
    [sym_ms_based_modifier] = STATE(10332),
    [sym_ms_call_modifier] = STATE(2574),
    [sym__declarator] = STATE(7978),
    [sym_parenthesized_declarator] = STATE(7680),
    [sym_attributed_declarator] = STATE(7680),
    [sym_pointer_declarator] = STATE(7680),
    [sym_function_declarator] = STATE(7611),
    [sym_array_declarator] = STATE(7680),
    [sym_compound_statement] = STATE(63),
    [sym_storage_class_specifier] = STATE(3159),
    [sym_type_qualifier] = STATE(3159),
    [sym__type_specifier] = STATE(3039),
    [sym_sized_type_specifier] = STATE(3085),
    [sym_enum_specifier] = STATE(3085),
    [sym_struct_specifier] = STATE(3085),
    [sym_union_specifier] = STATE(3085),
    [sym_attributed_statement] = STATE(63),
    [sym_labeled_statement] = STATE(63),
    [sym_expression_statement] = STATE(63),
    [sym_if_statement] = STATE(63),
    [sym_switch_statement] = STATE(63),
    [sym_case_statement] = STATE(63),
    [sym_while_statement] = STATE(63),
    [sym_do_statement] = STATE(63),
    [sym_for_statement] = STATE(63),
    [sym_return_statement] = STATE(63),
    [sym_break_statement] = STATE(63),
    [sym_continue_statement] = STATE(63),
    [sym_goto_statement] = STATE(63),
    [sym_seh_try_statement] = STATE(63),
    [sym_seh_leave_statement] = STATE(63),
    [sym__expression] = STATE(5674),
    [sym__expression_not_binary] = STATE(5024),
    [sym__string] = STATE(5024),
    [sym_comma_expression] = STATE(10272),
    [sym_conditional_expression] = STATE(5024),
    [sym_assignment_expression] = STATE(5024),
    [sym_pointer_expression] = STATE(4507),
    [sym_unary_expression] = STATE(5024),
    [sym_binary_expression] = STATE(5024),
    [sym_update_expression] = STATE(5024),
    [sym_cast_expression] = STATE(5024),
    [sym_sizeof_expression] = STATE(5024),
    [sym_alignof_expression] = STATE(5024),
    [sym_offsetof_expression] = STATE(5024),
    [sym_generic_expression] = STATE(5024),
    [sym_subscript_expression] = STATE(4507),
    [sym_call_expression] = STATE(4507),
    [sym_gnu_asm_expression] = STATE(5024),
    [sym_field_expression] = STATE(4507),
    [sym_compound_literal_expression] = STATE(5024),
    [sym_parenthesized_expression] = STATE(4507),
    [sym_char_literal] = STATE(5374),
    [sym_concatenated_string] = STATE(5377),
    [sym_string_literal] = STATE(4206),
    [sym_null] = STATE(5024),
    [sym__empty_declaration] = STATE(63),
    [sym_placeholder_type_specifier] = STATE(3085),
    [sym_decltype_auto] = STATE(3091),
    [sym_decltype] = STATE(3050),
    [sym_class_specifier] = STATE(3085),
    [sym__class_name] = STATE(9352),
    [sym_virtual] = STATE(3159),
    [sym_alignas_specifier] = STATE(3159),
    [sym_explicit_function_specifier] = STATE(2511),
    [sym_dependent_type] = STATE(3085),
    [sym_template_declaration] = STATE(63),
    [sym_template_instantiation] = STATE(63),
    [sym_operator_cast] = STATE(8035),
    [sym__constructor_specifiers] = STATE(2511),
    [sym_operator_cast_definition] = STATE(63),
    [sym_operator_cast_declaration] = STATE(63),
    [sym_constructor_or_destructor_definition] = STATE(63),
    [sym_reference_declarator] = STATE(7680),
    [sym_structured_binding_declarator] = STATE(7680),
    [sym_template_type] = STATE(3129),
    [sym_template_function] = STATE(5703),
    [sym_namespace_definition] = STATE(63),
    [sym_namespace_alias_definition] = STATE(63),
    [sym_using_declaration] = STATE(63),
    [sym_alias_declaration] = STATE(63),
    [sym_static_assert_declaration] = STATE(63),
    [sym_concept_definition] = STATE(63),
    [sym_for_range_loop] = STATE(63),
    [sym_co_return_statement] = STATE(63),
    [sym_co_yield_statement] = STATE(63),
    [sym_throw_statement] = STATE(63),
    [sym_try_statement] = STATE(63),
    [sym_raw_string_literal] = STATE(4217),
    [sym_co_await_expression] = STATE(5024),
    [sym_new_expression] = STATE(5024),
    [sym_delete_expression] = STATE(5024),
    [sym_requires_clause] = STATE(5024),
    [sym_requires_expression] = STATE(5024),
    [sym_lambda_expression] = STATE(5024),
    [sym_lambda_capture_specifier] = STATE(7184),
    [sym_fold_expression] = STATE(5024),
    [sym_parameter_pack_expansion] = STATE(5024),
    [sym_destructor_name] = STATE(7680),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6764),
    [sym_qualified_identifier] = STATE(4502),
    [sym_qualified_type_identifier] = STATE(3127),
    [sym_qualified_operator_cast_identifier] = STATE(8035),
    [sym_operator_name] = STATE(7680),
    [sym_user_defined_literal] = STATE(4507),
    [sym_discard_statement] = STATE(63),
    [sym_qualifiers] = STATE(3159),
    [sym_cbuffer_specifier] = STATE(63),
    [sym_hlsl_attribute] = STATE(1858),
    [aux_sym_preproc_if_repeat1] = STATE(63),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2673),
    [aux_sym_attributed_declarator_repeat1] = STATE(1339),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3021),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2511),
    [sym_identifier] = ACTIONS(828),
    [aux_sym_preproc_include_token1] = ACTIONS(165),
    [aux_sym_preproc_def_token1] = ACTIONS(167),
    [aux_sym_preproc_if_token1] = ACTIONS(171),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(173),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(173),
    [sym_preproc_directive] = ACTIONS(175),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(177),
    [anon_sym___extension__] = ACTIONS(179),
    [anon_sym_typedef] = ACTIONS(181),
    [anon_sym_in] = ACTIONS(37),
    [anon_sym_out] = ACTIONS(37),
    [anon_sym_inout] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(183),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(45),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym___cdecl] = ACTIONS(51),
    [anon_sym___clrcall] = ACTIONS(51),
    [anon_sym___stdcall] = ACTIONS(51),
    [anon_sym___fastcall] = ACTIONS(51),
    [anon_sym___thiscall] = ACTIONS(51),
    [anon_sym___vectorcall] = ACTIONS(51),
    [anon_sym_LBRACE] = ACTIONS(830),
    [anon_sym_RBRACE] = ACTIONS(1090),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(191),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(65),
    [anon_sym_enum] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(69),
    [anon_sym_struct] = ACTIONS(71),
    [anon_sym_union] = ACTIONS(73),
    [anon_sym_if] = ACTIONS(193),
    [anon_sym_switch] = ACTIONS(195),
    [anon_sym_case] = ACTIONS(197),
    [anon_sym_default] = ACTIONS(199),
    [anon_sym_while] = ACTIONS(201),
    [anon_sym_do] = ACTIONS(203),
    [anon_sym_for] = ACTIONS(205),
    [anon_sym_return] = ACTIONS(207),
    [anon_sym_break] = ACTIONS(209),
    [anon_sym_continue] = ACTIONS(211),
    [anon_sym_goto] = ACTIONS(213),
    [anon_sym___try] = ACTIONS(215),
    [anon_sym___leave] = ACTIONS(217),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [anon_sym_virtual] = ACTIONS(123),
    [anon_sym_alignas] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(223),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_try] = ACTIONS(225),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(227),
    [anon_sym_namespace] = ACTIONS(229),
    [anon_sym_using] = ACTIONS(231),
    [anon_sym_static_assert] = ACTIONS(233),
    [anon_sym_concept] = ACTIONS(235),
    [anon_sym_co_return] = ACTIONS(237),
    [anon_sym_co_yield] = ACTIONS(239),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
    [anon_sym_discard] = ACTIONS(241),
    [anon_sym_precise] = ACTIONS(161),
    [anon_sym_shared] = ACTIONS(161),
    [anon_sym_groupshared] = ACTIONS(161),
    [anon_sym_uniform] = ACTIONS(161),
    [anon_sym_row_major] = ACTIONS(161),
    [anon_sym_column_major] = ACTIONS(161),
    [anon_sym_globallycoherent] = ACTIONS(161),
    [anon_sym_centroid] = ACTIONS(161),
    [anon_sym_noperspective] = ACTIONS(161),
    [anon_sym_nointerpolation] = ACTIONS(161),
    [anon_sym_sample] = ACTIONS(161),
    [anon_sym_linear] = ACTIONS(161),
    [anon_sym_snorm] = ACTIONS(161),
    [anon_sym_unorm] = ACTIONS(161),
    [anon_sym_point] = ACTIONS(161),
    [anon_sym_line] = ACTIONS(161),
    [anon_sym_triangleadj] = ACTIONS(161),
    [anon_sym_lineadj] = ACTIONS(161),
    [anon_sym_triangle] = ACTIONS(161),
    [anon_sym_cbuffer] = ACTIONS(243),
  },
  [65] = {
    [sym_preproc_include] = STATE(56),
    [sym_preproc_def] = STATE(56),
    [sym_preproc_function_def] = STATE(56),
    [sym_preproc_call] = STATE(56),
    [sym_preproc_if] = STATE(56),
    [sym_preproc_ifdef] = STATE(56),
    [sym_function_definition] = STATE(56),
    [sym_declaration] = STATE(56),
    [sym_type_definition] = STATE(56),
    [sym__declaration_modifiers] = STATE(3159),
    [sym__declaration_specifiers] = STATE(5906),
    [sym_linkage_specification] = STATE(56),
    [sym_attribute_specifier] = STATE(3159),
    [sym_attribute_declaration] = STATE(1464),
    [sym_ms_declspec_modifier] = STATE(3159),
    [sym_ms_based_modifier] = STATE(10332),
    [sym_ms_call_modifier] = STATE(2574),
    [sym__declarator] = STATE(7978),
    [sym_parenthesized_declarator] = STATE(7680),
    [sym_attributed_declarator] = STATE(7680),
    [sym_pointer_declarator] = STATE(7680),
    [sym_function_declarator] = STATE(7611),
    [sym_array_declarator] = STATE(7680),
    [sym_compound_statement] = STATE(56),
    [sym_storage_class_specifier] = STATE(3159),
    [sym_type_qualifier] = STATE(3159),
    [sym__type_specifier] = STATE(3039),
    [sym_sized_type_specifier] = STATE(3085),
    [sym_enum_specifier] = STATE(3085),
    [sym_struct_specifier] = STATE(3085),
    [sym_union_specifier] = STATE(3085),
    [sym_attributed_statement] = STATE(56),
    [sym_labeled_statement] = STATE(56),
    [sym_expression_statement] = STATE(56),
    [sym_if_statement] = STATE(56),
    [sym_switch_statement] = STATE(56),
    [sym_case_statement] = STATE(56),
    [sym_while_statement] = STATE(56),
    [sym_do_statement] = STATE(56),
    [sym_for_statement] = STATE(56),
    [sym_return_statement] = STATE(56),
    [sym_break_statement] = STATE(56),
    [sym_continue_statement] = STATE(56),
    [sym_goto_statement] = STATE(56),
    [sym_seh_try_statement] = STATE(56),
    [sym_seh_leave_statement] = STATE(56),
    [sym__expression] = STATE(5674),
    [sym__expression_not_binary] = STATE(5024),
    [sym__string] = STATE(5024),
    [sym_comma_expression] = STATE(10272),
    [sym_conditional_expression] = STATE(5024),
    [sym_assignment_expression] = STATE(5024),
    [sym_pointer_expression] = STATE(4507),
    [sym_unary_expression] = STATE(5024),
    [sym_binary_expression] = STATE(5024),
    [sym_update_expression] = STATE(5024),
    [sym_cast_expression] = STATE(5024),
    [sym_sizeof_expression] = STATE(5024),
    [sym_alignof_expression] = STATE(5024),
    [sym_offsetof_expression] = STATE(5024),
    [sym_generic_expression] = STATE(5024),
    [sym_subscript_expression] = STATE(4507),
    [sym_call_expression] = STATE(4507),
    [sym_gnu_asm_expression] = STATE(5024),
    [sym_field_expression] = STATE(4507),
    [sym_compound_literal_expression] = STATE(5024),
    [sym_parenthesized_expression] = STATE(4507),
    [sym_char_literal] = STATE(5374),
    [sym_concatenated_string] = STATE(5377),
    [sym_string_literal] = STATE(4206),
    [sym_null] = STATE(5024),
    [sym__empty_declaration] = STATE(56),
    [sym_placeholder_type_specifier] = STATE(3085),
    [sym_decltype_auto] = STATE(3091),
    [sym_decltype] = STATE(3050),
    [sym_class_specifier] = STATE(3085),
    [sym__class_name] = STATE(9352),
    [sym_virtual] = STATE(3159),
    [sym_alignas_specifier] = STATE(3159),
    [sym_explicit_function_specifier] = STATE(2511),
    [sym_dependent_type] = STATE(3085),
    [sym_template_declaration] = STATE(56),
    [sym_template_instantiation] = STATE(56),
    [sym_operator_cast] = STATE(8035),
    [sym__constructor_specifiers] = STATE(2511),
    [sym_operator_cast_definition] = STATE(56),
    [sym_operator_cast_declaration] = STATE(56),
    [sym_constructor_or_destructor_definition] = STATE(56),
    [sym_reference_declarator] = STATE(7680),
    [sym_structured_binding_declarator] = STATE(7680),
    [sym_template_type] = STATE(3129),
    [sym_template_function] = STATE(5703),
    [sym_namespace_definition] = STATE(56),
    [sym_namespace_alias_definition] = STATE(56),
    [sym_using_declaration] = STATE(56),
    [sym_alias_declaration] = STATE(56),
    [sym_static_assert_declaration] = STATE(56),
    [sym_concept_definition] = STATE(56),
    [sym_for_range_loop] = STATE(56),
    [sym_co_return_statement] = STATE(56),
    [sym_co_yield_statement] = STATE(56),
    [sym_throw_statement] = STATE(56),
    [sym_try_statement] = STATE(56),
    [sym_raw_string_literal] = STATE(4217),
    [sym_co_await_expression] = STATE(5024),
    [sym_new_expression] = STATE(5024),
    [sym_delete_expression] = STATE(5024),
    [sym_requires_clause] = STATE(5024),
    [sym_requires_expression] = STATE(5024),
    [sym_lambda_expression] = STATE(5024),
    [sym_lambda_capture_specifier] = STATE(7184),
    [sym_fold_expression] = STATE(5024),
    [sym_parameter_pack_expansion] = STATE(5024),
    [sym_destructor_name] = STATE(7680),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6764),
    [sym_qualified_identifier] = STATE(4502),
    [sym_qualified_type_identifier] = STATE(3127),
    [sym_qualified_operator_cast_identifier] = STATE(8035),
    [sym_operator_name] = STATE(7680),
    [sym_user_defined_literal] = STATE(4507),
    [sym_discard_statement] = STATE(56),
    [sym_qualifiers] = STATE(3159),
    [sym_cbuffer_specifier] = STATE(56),
    [sym_hlsl_attribute] = STATE(1858),
    [aux_sym_preproc_if_repeat1] = STATE(56),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2673),
    [aux_sym_attributed_declarator_repeat1] = STATE(1339),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3021),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2511),
    [sym_identifier] = ACTIONS(828),
    [aux_sym_preproc_include_token1] = ACTIONS(165),
    [aux_sym_preproc_def_token1] = ACTIONS(167),
    [aux_sym_preproc_if_token1] = ACTIONS(171),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(173),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(173),
    [sym_preproc_directive] = ACTIONS(175),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(177),
    [anon_sym___extension__] = ACTIONS(179),
    [anon_sym_typedef] = ACTIONS(181),
    [anon_sym_in] = ACTIONS(37),
    [anon_sym_out] = ACTIONS(37),
    [anon_sym_inout] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(183),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(45),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym___cdecl] = ACTIONS(51),
    [anon_sym___clrcall] = ACTIONS(51),
    [anon_sym___stdcall] = ACTIONS(51),
    [anon_sym___fastcall] = ACTIONS(51),
    [anon_sym___thiscall] = ACTIONS(51),
    [anon_sym___vectorcall] = ACTIONS(51),
    [anon_sym_LBRACE] = ACTIONS(830),
    [anon_sym_RBRACE] = ACTIONS(1092),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(191),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(65),
    [anon_sym_enum] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(69),
    [anon_sym_struct] = ACTIONS(71),
    [anon_sym_union] = ACTIONS(73),
    [anon_sym_if] = ACTIONS(193),
    [anon_sym_switch] = ACTIONS(195),
    [anon_sym_case] = ACTIONS(197),
    [anon_sym_default] = ACTIONS(199),
    [anon_sym_while] = ACTIONS(201),
    [anon_sym_do] = ACTIONS(203),
    [anon_sym_for] = ACTIONS(205),
    [anon_sym_return] = ACTIONS(207),
    [anon_sym_break] = ACTIONS(209),
    [anon_sym_continue] = ACTIONS(211),
    [anon_sym_goto] = ACTIONS(213),
    [anon_sym___try] = ACTIONS(215),
    [anon_sym___leave] = ACTIONS(217),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [anon_sym_virtual] = ACTIONS(123),
    [anon_sym_alignas] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(223),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_try] = ACTIONS(225),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(227),
    [anon_sym_namespace] = ACTIONS(229),
    [anon_sym_using] = ACTIONS(231),
    [anon_sym_static_assert] = ACTIONS(233),
    [anon_sym_concept] = ACTIONS(235),
    [anon_sym_co_return] = ACTIONS(237),
    [anon_sym_co_yield] = ACTIONS(239),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
    [anon_sym_discard] = ACTIONS(241),
    [anon_sym_precise] = ACTIONS(161),
    [anon_sym_shared] = ACTIONS(161),
    [anon_sym_groupshared] = ACTIONS(161),
    [anon_sym_uniform] = ACTIONS(161),
    [anon_sym_row_major] = ACTIONS(161),
    [anon_sym_column_major] = ACTIONS(161),
    [anon_sym_globallycoherent] = ACTIONS(161),
    [anon_sym_centroid] = ACTIONS(161),
    [anon_sym_noperspective] = ACTIONS(161),
    [anon_sym_nointerpolation] = ACTIONS(161),
    [anon_sym_sample] = ACTIONS(161),
    [anon_sym_linear] = ACTIONS(161),
    [anon_sym_snorm] = ACTIONS(161),
    [anon_sym_unorm] = ACTIONS(161),
    [anon_sym_point] = ACTIONS(161),
    [anon_sym_line] = ACTIONS(161),
    [anon_sym_triangleadj] = ACTIONS(161),
    [anon_sym_lineadj] = ACTIONS(161),
    [anon_sym_triangle] = ACTIONS(161),
    [anon_sym_cbuffer] = ACTIONS(243),
  },
  [66] = {
    [sym_preproc_include] = STATE(56),
    [sym_preproc_def] = STATE(56),
    [sym_preproc_function_def] = STATE(56),
    [sym_preproc_call] = STATE(56),
    [sym_preproc_if] = STATE(56),
    [sym_preproc_ifdef] = STATE(56),
    [sym_function_definition] = STATE(56),
    [sym_declaration] = STATE(56),
    [sym_type_definition] = STATE(56),
    [sym__declaration_modifiers] = STATE(3159),
    [sym__declaration_specifiers] = STATE(5906),
    [sym_linkage_specification] = STATE(56),
    [sym_attribute_specifier] = STATE(3159),
    [sym_attribute_declaration] = STATE(1464),
    [sym_ms_declspec_modifier] = STATE(3159),
    [sym_ms_based_modifier] = STATE(10332),
    [sym_ms_call_modifier] = STATE(2574),
    [sym__declarator] = STATE(7978),
    [sym_parenthesized_declarator] = STATE(7680),
    [sym_attributed_declarator] = STATE(7680),
    [sym_pointer_declarator] = STATE(7680),
    [sym_function_declarator] = STATE(7611),
    [sym_array_declarator] = STATE(7680),
    [sym_compound_statement] = STATE(56),
    [sym_storage_class_specifier] = STATE(3159),
    [sym_type_qualifier] = STATE(3159),
    [sym__type_specifier] = STATE(3039),
    [sym_sized_type_specifier] = STATE(3085),
    [sym_enum_specifier] = STATE(3085),
    [sym_struct_specifier] = STATE(3085),
    [sym_union_specifier] = STATE(3085),
    [sym_attributed_statement] = STATE(56),
    [sym_labeled_statement] = STATE(56),
    [sym_expression_statement] = STATE(56),
    [sym_if_statement] = STATE(56),
    [sym_switch_statement] = STATE(56),
    [sym_case_statement] = STATE(56),
    [sym_while_statement] = STATE(56),
    [sym_do_statement] = STATE(56),
    [sym_for_statement] = STATE(56),
    [sym_return_statement] = STATE(56),
    [sym_break_statement] = STATE(56),
    [sym_continue_statement] = STATE(56),
    [sym_goto_statement] = STATE(56),
    [sym_seh_try_statement] = STATE(56),
    [sym_seh_leave_statement] = STATE(56),
    [sym__expression] = STATE(5674),
    [sym__expression_not_binary] = STATE(5024),
    [sym__string] = STATE(5024),
    [sym_comma_expression] = STATE(10272),
    [sym_conditional_expression] = STATE(5024),
    [sym_assignment_expression] = STATE(5024),
    [sym_pointer_expression] = STATE(4507),
    [sym_unary_expression] = STATE(5024),
    [sym_binary_expression] = STATE(5024),
    [sym_update_expression] = STATE(5024),
    [sym_cast_expression] = STATE(5024),
    [sym_sizeof_expression] = STATE(5024),
    [sym_alignof_expression] = STATE(5024),
    [sym_offsetof_expression] = STATE(5024),
    [sym_generic_expression] = STATE(5024),
    [sym_subscript_expression] = STATE(4507),
    [sym_call_expression] = STATE(4507),
    [sym_gnu_asm_expression] = STATE(5024),
    [sym_field_expression] = STATE(4507),
    [sym_compound_literal_expression] = STATE(5024),
    [sym_parenthesized_expression] = STATE(4507),
    [sym_char_literal] = STATE(5374),
    [sym_concatenated_string] = STATE(5377),
    [sym_string_literal] = STATE(4206),
    [sym_null] = STATE(5024),
    [sym__empty_declaration] = STATE(56),
    [sym_placeholder_type_specifier] = STATE(3085),
    [sym_decltype_auto] = STATE(3091),
    [sym_decltype] = STATE(3050),
    [sym_class_specifier] = STATE(3085),
    [sym__class_name] = STATE(9352),
    [sym_virtual] = STATE(3159),
    [sym_alignas_specifier] = STATE(3159),
    [sym_explicit_function_specifier] = STATE(2511),
    [sym_dependent_type] = STATE(3085),
    [sym_template_declaration] = STATE(56),
    [sym_template_instantiation] = STATE(56),
    [sym_operator_cast] = STATE(8035),
    [sym__constructor_specifiers] = STATE(2511),
    [sym_operator_cast_definition] = STATE(56),
    [sym_operator_cast_declaration] = STATE(56),
    [sym_constructor_or_destructor_definition] = STATE(56),
    [sym_reference_declarator] = STATE(7680),
    [sym_structured_binding_declarator] = STATE(7680),
    [sym_template_type] = STATE(3129),
    [sym_template_function] = STATE(5703),
    [sym_namespace_definition] = STATE(56),
    [sym_namespace_alias_definition] = STATE(56),
    [sym_using_declaration] = STATE(56),
    [sym_alias_declaration] = STATE(56),
    [sym_static_assert_declaration] = STATE(56),
    [sym_concept_definition] = STATE(56),
    [sym_for_range_loop] = STATE(56),
    [sym_co_return_statement] = STATE(56),
    [sym_co_yield_statement] = STATE(56),
    [sym_throw_statement] = STATE(56),
    [sym_try_statement] = STATE(56),
    [sym_raw_string_literal] = STATE(4217),
    [sym_co_await_expression] = STATE(5024),
    [sym_new_expression] = STATE(5024),
    [sym_delete_expression] = STATE(5024),
    [sym_requires_clause] = STATE(5024),
    [sym_requires_expression] = STATE(5024),
    [sym_lambda_expression] = STATE(5024),
    [sym_lambda_capture_specifier] = STATE(7184),
    [sym_fold_expression] = STATE(5024),
    [sym_parameter_pack_expansion] = STATE(5024),
    [sym_destructor_name] = STATE(7680),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6764),
    [sym_qualified_identifier] = STATE(4502),
    [sym_qualified_type_identifier] = STATE(3127),
    [sym_qualified_operator_cast_identifier] = STATE(8035),
    [sym_operator_name] = STATE(7680),
    [sym_user_defined_literal] = STATE(4507),
    [sym_discard_statement] = STATE(56),
    [sym_qualifiers] = STATE(3159),
    [sym_cbuffer_specifier] = STATE(56),
    [sym_hlsl_attribute] = STATE(1858),
    [aux_sym_preproc_if_repeat1] = STATE(56),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2673),
    [aux_sym_attributed_declarator_repeat1] = STATE(1339),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3021),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2511),
    [sym_identifier] = ACTIONS(828),
    [aux_sym_preproc_include_token1] = ACTIONS(165),
    [aux_sym_preproc_def_token1] = ACTIONS(167),
    [aux_sym_preproc_if_token1] = ACTIONS(171),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(173),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(173),
    [sym_preproc_directive] = ACTIONS(175),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(177),
    [anon_sym___extension__] = ACTIONS(179),
    [anon_sym_typedef] = ACTIONS(181),
    [anon_sym_in] = ACTIONS(37),
    [anon_sym_out] = ACTIONS(37),
    [anon_sym_inout] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(183),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(45),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym___cdecl] = ACTIONS(51),
    [anon_sym___clrcall] = ACTIONS(51),
    [anon_sym___stdcall] = ACTIONS(51),
    [anon_sym___fastcall] = ACTIONS(51),
    [anon_sym___thiscall] = ACTIONS(51),
    [anon_sym___vectorcall] = ACTIONS(51),
    [anon_sym_LBRACE] = ACTIONS(830),
    [anon_sym_RBRACE] = ACTIONS(1094),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(191),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(65),
    [anon_sym_enum] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(69),
    [anon_sym_struct] = ACTIONS(71),
    [anon_sym_union] = ACTIONS(73),
    [anon_sym_if] = ACTIONS(193),
    [anon_sym_switch] = ACTIONS(195),
    [anon_sym_case] = ACTIONS(197),
    [anon_sym_default] = ACTIONS(199),
    [anon_sym_while] = ACTIONS(201),
    [anon_sym_do] = ACTIONS(203),
    [anon_sym_for] = ACTIONS(205),
    [anon_sym_return] = ACTIONS(207),
    [anon_sym_break] = ACTIONS(209),
    [anon_sym_continue] = ACTIONS(211),
    [anon_sym_goto] = ACTIONS(213),
    [anon_sym___try] = ACTIONS(215),
    [anon_sym___leave] = ACTIONS(217),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [anon_sym_virtual] = ACTIONS(123),
    [anon_sym_alignas] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(223),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_try] = ACTIONS(225),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(227),
    [anon_sym_namespace] = ACTIONS(229),
    [anon_sym_using] = ACTIONS(231),
    [anon_sym_static_assert] = ACTIONS(233),
    [anon_sym_concept] = ACTIONS(235),
    [anon_sym_co_return] = ACTIONS(237),
    [anon_sym_co_yield] = ACTIONS(239),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
    [anon_sym_discard] = ACTIONS(241),
    [anon_sym_precise] = ACTIONS(161),
    [anon_sym_shared] = ACTIONS(161),
    [anon_sym_groupshared] = ACTIONS(161),
    [anon_sym_uniform] = ACTIONS(161),
    [anon_sym_row_major] = ACTIONS(161),
    [anon_sym_column_major] = ACTIONS(161),
    [anon_sym_globallycoherent] = ACTIONS(161),
    [anon_sym_centroid] = ACTIONS(161),
    [anon_sym_noperspective] = ACTIONS(161),
    [anon_sym_nointerpolation] = ACTIONS(161),
    [anon_sym_sample] = ACTIONS(161),
    [anon_sym_linear] = ACTIONS(161),
    [anon_sym_snorm] = ACTIONS(161),
    [anon_sym_unorm] = ACTIONS(161),
    [anon_sym_point] = ACTIONS(161),
    [anon_sym_line] = ACTIONS(161),
    [anon_sym_triangleadj] = ACTIONS(161),
    [anon_sym_lineadj] = ACTIONS(161),
    [anon_sym_triangle] = ACTIONS(161),
    [anon_sym_cbuffer] = ACTIONS(243),
  },
  [67] = {
    [sym_preproc_include] = STATE(56),
    [sym_preproc_def] = STATE(56),
    [sym_preproc_function_def] = STATE(56),
    [sym_preproc_call] = STATE(56),
    [sym_preproc_if] = STATE(56),
    [sym_preproc_ifdef] = STATE(56),
    [sym_function_definition] = STATE(56),
    [sym_declaration] = STATE(56),
    [sym_type_definition] = STATE(56),
    [sym__declaration_modifiers] = STATE(3159),
    [sym__declaration_specifiers] = STATE(5906),
    [sym_linkage_specification] = STATE(56),
    [sym_attribute_specifier] = STATE(3159),
    [sym_attribute_declaration] = STATE(1464),
    [sym_ms_declspec_modifier] = STATE(3159),
    [sym_ms_based_modifier] = STATE(10332),
    [sym_ms_call_modifier] = STATE(2574),
    [sym__declarator] = STATE(7978),
    [sym_parenthesized_declarator] = STATE(7680),
    [sym_attributed_declarator] = STATE(7680),
    [sym_pointer_declarator] = STATE(7680),
    [sym_function_declarator] = STATE(7611),
    [sym_array_declarator] = STATE(7680),
    [sym_compound_statement] = STATE(56),
    [sym_storage_class_specifier] = STATE(3159),
    [sym_type_qualifier] = STATE(3159),
    [sym__type_specifier] = STATE(3039),
    [sym_sized_type_specifier] = STATE(3085),
    [sym_enum_specifier] = STATE(3085),
    [sym_struct_specifier] = STATE(3085),
    [sym_union_specifier] = STATE(3085),
    [sym_attributed_statement] = STATE(56),
    [sym_labeled_statement] = STATE(56),
    [sym_expression_statement] = STATE(56),
    [sym_if_statement] = STATE(56),
    [sym_switch_statement] = STATE(56),
    [sym_case_statement] = STATE(56),
    [sym_while_statement] = STATE(56),
    [sym_do_statement] = STATE(56),
    [sym_for_statement] = STATE(56),
    [sym_return_statement] = STATE(56),
    [sym_break_statement] = STATE(56),
    [sym_continue_statement] = STATE(56),
    [sym_goto_statement] = STATE(56),
    [sym_seh_try_statement] = STATE(56),
    [sym_seh_leave_statement] = STATE(56),
    [sym__expression] = STATE(5674),
    [sym__expression_not_binary] = STATE(5024),
    [sym__string] = STATE(5024),
    [sym_comma_expression] = STATE(10272),
    [sym_conditional_expression] = STATE(5024),
    [sym_assignment_expression] = STATE(5024),
    [sym_pointer_expression] = STATE(4507),
    [sym_unary_expression] = STATE(5024),
    [sym_binary_expression] = STATE(5024),
    [sym_update_expression] = STATE(5024),
    [sym_cast_expression] = STATE(5024),
    [sym_sizeof_expression] = STATE(5024),
    [sym_alignof_expression] = STATE(5024),
    [sym_offsetof_expression] = STATE(5024),
    [sym_generic_expression] = STATE(5024),
    [sym_subscript_expression] = STATE(4507),
    [sym_call_expression] = STATE(4507),
    [sym_gnu_asm_expression] = STATE(5024),
    [sym_field_expression] = STATE(4507),
    [sym_compound_literal_expression] = STATE(5024),
    [sym_parenthesized_expression] = STATE(4507),
    [sym_char_literal] = STATE(5374),
    [sym_concatenated_string] = STATE(5377),
    [sym_string_literal] = STATE(4206),
    [sym_null] = STATE(5024),
    [sym__empty_declaration] = STATE(56),
    [sym_placeholder_type_specifier] = STATE(3085),
    [sym_decltype_auto] = STATE(3091),
    [sym_decltype] = STATE(3050),
    [sym_class_specifier] = STATE(3085),
    [sym__class_name] = STATE(9352),
    [sym_virtual] = STATE(3159),
    [sym_alignas_specifier] = STATE(3159),
    [sym_explicit_function_specifier] = STATE(2511),
    [sym_dependent_type] = STATE(3085),
    [sym_template_declaration] = STATE(56),
    [sym_template_instantiation] = STATE(56),
    [sym_operator_cast] = STATE(8035),
    [sym__constructor_specifiers] = STATE(2511),
    [sym_operator_cast_definition] = STATE(56),
    [sym_operator_cast_declaration] = STATE(56),
    [sym_constructor_or_destructor_definition] = STATE(56),
    [sym_reference_declarator] = STATE(7680),
    [sym_structured_binding_declarator] = STATE(7680),
    [sym_template_type] = STATE(3129),
    [sym_template_function] = STATE(5703),
    [sym_namespace_definition] = STATE(56),
    [sym_namespace_alias_definition] = STATE(56),
    [sym_using_declaration] = STATE(56),
    [sym_alias_declaration] = STATE(56),
    [sym_static_assert_declaration] = STATE(56),
    [sym_concept_definition] = STATE(56),
    [sym_for_range_loop] = STATE(56),
    [sym_co_return_statement] = STATE(56),
    [sym_co_yield_statement] = STATE(56),
    [sym_throw_statement] = STATE(56),
    [sym_try_statement] = STATE(56),
    [sym_raw_string_literal] = STATE(4217),
    [sym_co_await_expression] = STATE(5024),
    [sym_new_expression] = STATE(5024),
    [sym_delete_expression] = STATE(5024),
    [sym_requires_clause] = STATE(5024),
    [sym_requires_expression] = STATE(5024),
    [sym_lambda_expression] = STATE(5024),
    [sym_lambda_capture_specifier] = STATE(7184),
    [sym_fold_expression] = STATE(5024),
    [sym_parameter_pack_expansion] = STATE(5024),
    [sym_destructor_name] = STATE(7680),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6764),
    [sym_qualified_identifier] = STATE(4502),
    [sym_qualified_type_identifier] = STATE(3127),
    [sym_qualified_operator_cast_identifier] = STATE(8035),
    [sym_operator_name] = STATE(7680),
    [sym_user_defined_literal] = STATE(4507),
    [sym_discard_statement] = STATE(56),
    [sym_qualifiers] = STATE(3159),
    [sym_cbuffer_specifier] = STATE(56),
    [sym_hlsl_attribute] = STATE(1858),
    [aux_sym_preproc_if_repeat1] = STATE(56),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2673),
    [aux_sym_attributed_declarator_repeat1] = STATE(1339),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3021),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2511),
    [sym_identifier] = ACTIONS(828),
    [aux_sym_preproc_include_token1] = ACTIONS(165),
    [aux_sym_preproc_def_token1] = ACTIONS(167),
    [aux_sym_preproc_if_token1] = ACTIONS(171),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(173),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(173),
    [sym_preproc_directive] = ACTIONS(175),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(177),
    [anon_sym___extension__] = ACTIONS(179),
    [anon_sym_typedef] = ACTIONS(181),
    [anon_sym_in] = ACTIONS(37),
    [anon_sym_out] = ACTIONS(37),
    [anon_sym_inout] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(183),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(45),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym___cdecl] = ACTIONS(51),
    [anon_sym___clrcall] = ACTIONS(51),
    [anon_sym___stdcall] = ACTIONS(51),
    [anon_sym___fastcall] = ACTIONS(51),
    [anon_sym___thiscall] = ACTIONS(51),
    [anon_sym___vectorcall] = ACTIONS(51),
    [anon_sym_LBRACE] = ACTIONS(830),
    [anon_sym_RBRACE] = ACTIONS(1096),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(191),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(65),
    [anon_sym_enum] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(69),
    [anon_sym_struct] = ACTIONS(71),
    [anon_sym_union] = ACTIONS(73),
    [anon_sym_if] = ACTIONS(193),
    [anon_sym_switch] = ACTIONS(195),
    [anon_sym_case] = ACTIONS(197),
    [anon_sym_default] = ACTIONS(199),
    [anon_sym_while] = ACTIONS(201),
    [anon_sym_do] = ACTIONS(203),
    [anon_sym_for] = ACTIONS(205),
    [anon_sym_return] = ACTIONS(207),
    [anon_sym_break] = ACTIONS(209),
    [anon_sym_continue] = ACTIONS(211),
    [anon_sym_goto] = ACTIONS(213),
    [anon_sym___try] = ACTIONS(215),
    [anon_sym___leave] = ACTIONS(217),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [anon_sym_virtual] = ACTIONS(123),
    [anon_sym_alignas] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(223),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_try] = ACTIONS(225),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(227),
    [anon_sym_namespace] = ACTIONS(229),
    [anon_sym_using] = ACTIONS(231),
    [anon_sym_static_assert] = ACTIONS(233),
    [anon_sym_concept] = ACTIONS(235),
    [anon_sym_co_return] = ACTIONS(237),
    [anon_sym_co_yield] = ACTIONS(239),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
    [anon_sym_discard] = ACTIONS(241),
    [anon_sym_precise] = ACTIONS(161),
    [anon_sym_shared] = ACTIONS(161),
    [anon_sym_groupshared] = ACTIONS(161),
    [anon_sym_uniform] = ACTIONS(161),
    [anon_sym_row_major] = ACTIONS(161),
    [anon_sym_column_major] = ACTIONS(161),
    [anon_sym_globallycoherent] = ACTIONS(161),
    [anon_sym_centroid] = ACTIONS(161),
    [anon_sym_noperspective] = ACTIONS(161),
    [anon_sym_nointerpolation] = ACTIONS(161),
    [anon_sym_sample] = ACTIONS(161),
    [anon_sym_linear] = ACTIONS(161),
    [anon_sym_snorm] = ACTIONS(161),
    [anon_sym_unorm] = ACTIONS(161),
    [anon_sym_point] = ACTIONS(161),
    [anon_sym_line] = ACTIONS(161),
    [anon_sym_triangleadj] = ACTIONS(161),
    [anon_sym_lineadj] = ACTIONS(161),
    [anon_sym_triangle] = ACTIONS(161),
    [anon_sym_cbuffer] = ACTIONS(243),
  },
  [68] = {
    [sym_preproc_include] = STATE(67),
    [sym_preproc_def] = STATE(67),
    [sym_preproc_function_def] = STATE(67),
    [sym_preproc_call] = STATE(67),
    [sym_preproc_if] = STATE(67),
    [sym_preproc_ifdef] = STATE(67),
    [sym_function_definition] = STATE(67),
    [sym_declaration] = STATE(67),
    [sym_type_definition] = STATE(67),
    [sym__declaration_modifiers] = STATE(3159),
    [sym__declaration_specifiers] = STATE(5906),
    [sym_linkage_specification] = STATE(67),
    [sym_attribute_specifier] = STATE(3159),
    [sym_attribute_declaration] = STATE(1464),
    [sym_ms_declspec_modifier] = STATE(3159),
    [sym_ms_based_modifier] = STATE(10332),
    [sym_ms_call_modifier] = STATE(2574),
    [sym__declarator] = STATE(7978),
    [sym_parenthesized_declarator] = STATE(7680),
    [sym_attributed_declarator] = STATE(7680),
    [sym_pointer_declarator] = STATE(7680),
    [sym_function_declarator] = STATE(7611),
    [sym_array_declarator] = STATE(7680),
    [sym_compound_statement] = STATE(67),
    [sym_storage_class_specifier] = STATE(3159),
    [sym_type_qualifier] = STATE(3159),
    [sym__type_specifier] = STATE(3039),
    [sym_sized_type_specifier] = STATE(3085),
    [sym_enum_specifier] = STATE(3085),
    [sym_struct_specifier] = STATE(3085),
    [sym_union_specifier] = STATE(3085),
    [sym_attributed_statement] = STATE(67),
    [sym_labeled_statement] = STATE(67),
    [sym_expression_statement] = STATE(67),
    [sym_if_statement] = STATE(67),
    [sym_switch_statement] = STATE(67),
    [sym_case_statement] = STATE(67),
    [sym_while_statement] = STATE(67),
    [sym_do_statement] = STATE(67),
    [sym_for_statement] = STATE(67),
    [sym_return_statement] = STATE(67),
    [sym_break_statement] = STATE(67),
    [sym_continue_statement] = STATE(67),
    [sym_goto_statement] = STATE(67),
    [sym_seh_try_statement] = STATE(67),
    [sym_seh_leave_statement] = STATE(67),
    [sym__expression] = STATE(5674),
    [sym__expression_not_binary] = STATE(5024),
    [sym__string] = STATE(5024),
    [sym_comma_expression] = STATE(10272),
    [sym_conditional_expression] = STATE(5024),
    [sym_assignment_expression] = STATE(5024),
    [sym_pointer_expression] = STATE(4507),
    [sym_unary_expression] = STATE(5024),
    [sym_binary_expression] = STATE(5024),
    [sym_update_expression] = STATE(5024),
    [sym_cast_expression] = STATE(5024),
    [sym_sizeof_expression] = STATE(5024),
    [sym_alignof_expression] = STATE(5024),
    [sym_offsetof_expression] = STATE(5024),
    [sym_generic_expression] = STATE(5024),
    [sym_subscript_expression] = STATE(4507),
    [sym_call_expression] = STATE(4507),
    [sym_gnu_asm_expression] = STATE(5024),
    [sym_field_expression] = STATE(4507),
    [sym_compound_literal_expression] = STATE(5024),
    [sym_parenthesized_expression] = STATE(4507),
    [sym_char_literal] = STATE(5374),
    [sym_concatenated_string] = STATE(5377),
    [sym_string_literal] = STATE(4206),
    [sym_null] = STATE(5024),
    [sym__empty_declaration] = STATE(67),
    [sym_placeholder_type_specifier] = STATE(3085),
    [sym_decltype_auto] = STATE(3091),
    [sym_decltype] = STATE(3050),
    [sym_class_specifier] = STATE(3085),
    [sym__class_name] = STATE(9352),
    [sym_virtual] = STATE(3159),
    [sym_alignas_specifier] = STATE(3159),
    [sym_explicit_function_specifier] = STATE(2511),
    [sym_dependent_type] = STATE(3085),
    [sym_template_declaration] = STATE(67),
    [sym_template_instantiation] = STATE(67),
    [sym_operator_cast] = STATE(8035),
    [sym__constructor_specifiers] = STATE(2511),
    [sym_operator_cast_definition] = STATE(67),
    [sym_operator_cast_declaration] = STATE(67),
    [sym_constructor_or_destructor_definition] = STATE(67),
    [sym_reference_declarator] = STATE(7680),
    [sym_structured_binding_declarator] = STATE(7680),
    [sym_template_type] = STATE(3129),
    [sym_template_function] = STATE(5703),
    [sym_namespace_definition] = STATE(67),
    [sym_namespace_alias_definition] = STATE(67),
    [sym_using_declaration] = STATE(67),
    [sym_alias_declaration] = STATE(67),
    [sym_static_assert_declaration] = STATE(67),
    [sym_concept_definition] = STATE(67),
    [sym_for_range_loop] = STATE(67),
    [sym_co_return_statement] = STATE(67),
    [sym_co_yield_statement] = STATE(67),
    [sym_throw_statement] = STATE(67),
    [sym_try_statement] = STATE(67),
    [sym_raw_string_literal] = STATE(4217),
    [sym_co_await_expression] = STATE(5024),
    [sym_new_expression] = STATE(5024),
    [sym_delete_expression] = STATE(5024),
    [sym_requires_clause] = STATE(5024),
    [sym_requires_expression] = STATE(5024),
    [sym_lambda_expression] = STATE(5024),
    [sym_lambda_capture_specifier] = STATE(7184),
    [sym_fold_expression] = STATE(5024),
    [sym_parameter_pack_expansion] = STATE(5024),
    [sym_destructor_name] = STATE(7680),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6764),
    [sym_qualified_identifier] = STATE(4502),
    [sym_qualified_type_identifier] = STATE(3127),
    [sym_qualified_operator_cast_identifier] = STATE(8035),
    [sym_operator_name] = STATE(7680),
    [sym_user_defined_literal] = STATE(4507),
    [sym_discard_statement] = STATE(67),
    [sym_qualifiers] = STATE(3159),
    [sym_cbuffer_specifier] = STATE(67),
    [sym_hlsl_attribute] = STATE(1858),
    [aux_sym_preproc_if_repeat1] = STATE(67),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2673),
    [aux_sym_attributed_declarator_repeat1] = STATE(1339),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3021),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2511),
    [sym_identifier] = ACTIONS(828),
    [aux_sym_preproc_include_token1] = ACTIONS(165),
    [aux_sym_preproc_def_token1] = ACTIONS(167),
    [aux_sym_preproc_if_token1] = ACTIONS(171),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(173),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(173),
    [sym_preproc_directive] = ACTIONS(175),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(177),
    [anon_sym___extension__] = ACTIONS(179),
    [anon_sym_typedef] = ACTIONS(181),
    [anon_sym_in] = ACTIONS(37),
    [anon_sym_out] = ACTIONS(37),
    [anon_sym_inout] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(183),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(45),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym___cdecl] = ACTIONS(51),
    [anon_sym___clrcall] = ACTIONS(51),
    [anon_sym___stdcall] = ACTIONS(51),
    [anon_sym___fastcall] = ACTIONS(51),
    [anon_sym___thiscall] = ACTIONS(51),
    [anon_sym___vectorcall] = ACTIONS(51),
    [anon_sym_LBRACE] = ACTIONS(830),
    [anon_sym_RBRACE] = ACTIONS(1098),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(191),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(65),
    [anon_sym_enum] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(69),
    [anon_sym_struct] = ACTIONS(71),
    [anon_sym_union] = ACTIONS(73),
    [anon_sym_if] = ACTIONS(193),
    [anon_sym_switch] = ACTIONS(195),
    [anon_sym_case] = ACTIONS(197),
    [anon_sym_default] = ACTIONS(199),
    [anon_sym_while] = ACTIONS(201),
    [anon_sym_do] = ACTIONS(203),
    [anon_sym_for] = ACTIONS(205),
    [anon_sym_return] = ACTIONS(207),
    [anon_sym_break] = ACTIONS(209),
    [anon_sym_continue] = ACTIONS(211),
    [anon_sym_goto] = ACTIONS(213),
    [anon_sym___try] = ACTIONS(215),
    [anon_sym___leave] = ACTIONS(217),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [anon_sym_virtual] = ACTIONS(123),
    [anon_sym_alignas] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(223),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_try] = ACTIONS(225),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(227),
    [anon_sym_namespace] = ACTIONS(229),
    [anon_sym_using] = ACTIONS(231),
    [anon_sym_static_assert] = ACTIONS(233),
    [anon_sym_concept] = ACTIONS(235),
    [anon_sym_co_return] = ACTIONS(237),
    [anon_sym_co_yield] = ACTIONS(239),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
    [anon_sym_discard] = ACTIONS(241),
    [anon_sym_precise] = ACTIONS(161),
    [anon_sym_shared] = ACTIONS(161),
    [anon_sym_groupshared] = ACTIONS(161),
    [anon_sym_uniform] = ACTIONS(161),
    [anon_sym_row_major] = ACTIONS(161),
    [anon_sym_column_major] = ACTIONS(161),
    [anon_sym_globallycoherent] = ACTIONS(161),
    [anon_sym_centroid] = ACTIONS(161),
    [anon_sym_noperspective] = ACTIONS(161),
    [anon_sym_nointerpolation] = ACTIONS(161),
    [anon_sym_sample] = ACTIONS(161),
    [anon_sym_linear] = ACTIONS(161),
    [anon_sym_snorm] = ACTIONS(161),
    [anon_sym_unorm] = ACTIONS(161),
    [anon_sym_point] = ACTIONS(161),
    [anon_sym_line] = ACTIONS(161),
    [anon_sym_triangleadj] = ACTIONS(161),
    [anon_sym_lineadj] = ACTIONS(161),
    [anon_sym_triangle] = ACTIONS(161),
    [anon_sym_cbuffer] = ACTIONS(243),
  },
  [69] = {
    [sym_preproc_include] = STATE(56),
    [sym_preproc_def] = STATE(56),
    [sym_preproc_function_def] = STATE(56),
    [sym_preproc_call] = STATE(56),
    [sym_preproc_if] = STATE(56),
    [sym_preproc_ifdef] = STATE(56),
    [sym_function_definition] = STATE(56),
    [sym_declaration] = STATE(56),
    [sym_type_definition] = STATE(56),
    [sym__declaration_modifiers] = STATE(3159),
    [sym__declaration_specifiers] = STATE(5906),
    [sym_linkage_specification] = STATE(56),
    [sym_attribute_specifier] = STATE(3159),
    [sym_attribute_declaration] = STATE(1464),
    [sym_ms_declspec_modifier] = STATE(3159),
    [sym_ms_based_modifier] = STATE(10332),
    [sym_ms_call_modifier] = STATE(2574),
    [sym__declarator] = STATE(7978),
    [sym_parenthesized_declarator] = STATE(7680),
    [sym_attributed_declarator] = STATE(7680),
    [sym_pointer_declarator] = STATE(7680),
    [sym_function_declarator] = STATE(7611),
    [sym_array_declarator] = STATE(7680),
    [sym_compound_statement] = STATE(56),
    [sym_storage_class_specifier] = STATE(3159),
    [sym_type_qualifier] = STATE(3159),
    [sym__type_specifier] = STATE(3039),
    [sym_sized_type_specifier] = STATE(3085),
    [sym_enum_specifier] = STATE(3085),
    [sym_struct_specifier] = STATE(3085),
    [sym_union_specifier] = STATE(3085),
    [sym_attributed_statement] = STATE(56),
    [sym_labeled_statement] = STATE(56),
    [sym_expression_statement] = STATE(56),
    [sym_if_statement] = STATE(56),
    [sym_switch_statement] = STATE(56),
    [sym_case_statement] = STATE(56),
    [sym_while_statement] = STATE(56),
    [sym_do_statement] = STATE(56),
    [sym_for_statement] = STATE(56),
    [sym_return_statement] = STATE(56),
    [sym_break_statement] = STATE(56),
    [sym_continue_statement] = STATE(56),
    [sym_goto_statement] = STATE(56),
    [sym_seh_try_statement] = STATE(56),
    [sym_seh_leave_statement] = STATE(56),
    [sym__expression] = STATE(5674),
    [sym__expression_not_binary] = STATE(5024),
    [sym__string] = STATE(5024),
    [sym_comma_expression] = STATE(10272),
    [sym_conditional_expression] = STATE(5024),
    [sym_assignment_expression] = STATE(5024),
    [sym_pointer_expression] = STATE(4507),
    [sym_unary_expression] = STATE(5024),
    [sym_binary_expression] = STATE(5024),
    [sym_update_expression] = STATE(5024),
    [sym_cast_expression] = STATE(5024),
    [sym_sizeof_expression] = STATE(5024),
    [sym_alignof_expression] = STATE(5024),
    [sym_offsetof_expression] = STATE(5024),
    [sym_generic_expression] = STATE(5024),
    [sym_subscript_expression] = STATE(4507),
    [sym_call_expression] = STATE(4507),
    [sym_gnu_asm_expression] = STATE(5024),
    [sym_field_expression] = STATE(4507),
    [sym_compound_literal_expression] = STATE(5024),
    [sym_parenthesized_expression] = STATE(4507),
    [sym_char_literal] = STATE(5374),
    [sym_concatenated_string] = STATE(5377),
    [sym_string_literal] = STATE(4206),
    [sym_null] = STATE(5024),
    [sym__empty_declaration] = STATE(56),
    [sym_placeholder_type_specifier] = STATE(3085),
    [sym_decltype_auto] = STATE(3091),
    [sym_decltype] = STATE(3050),
    [sym_class_specifier] = STATE(3085),
    [sym__class_name] = STATE(9352),
    [sym_virtual] = STATE(3159),
    [sym_alignas_specifier] = STATE(3159),
    [sym_explicit_function_specifier] = STATE(2511),
    [sym_dependent_type] = STATE(3085),
    [sym_template_declaration] = STATE(56),
    [sym_template_instantiation] = STATE(56),
    [sym_operator_cast] = STATE(8035),
    [sym__constructor_specifiers] = STATE(2511),
    [sym_operator_cast_definition] = STATE(56),
    [sym_operator_cast_declaration] = STATE(56),
    [sym_constructor_or_destructor_definition] = STATE(56),
    [sym_reference_declarator] = STATE(7680),
    [sym_structured_binding_declarator] = STATE(7680),
    [sym_template_type] = STATE(3129),
    [sym_template_function] = STATE(5703),
    [sym_namespace_definition] = STATE(56),
    [sym_namespace_alias_definition] = STATE(56),
    [sym_using_declaration] = STATE(56),
    [sym_alias_declaration] = STATE(56),
    [sym_static_assert_declaration] = STATE(56),
    [sym_concept_definition] = STATE(56),
    [sym_for_range_loop] = STATE(56),
    [sym_co_return_statement] = STATE(56),
    [sym_co_yield_statement] = STATE(56),
    [sym_throw_statement] = STATE(56),
    [sym_try_statement] = STATE(56),
    [sym_raw_string_literal] = STATE(4217),
    [sym_co_await_expression] = STATE(5024),
    [sym_new_expression] = STATE(5024),
    [sym_delete_expression] = STATE(5024),
    [sym_requires_clause] = STATE(5024),
    [sym_requires_expression] = STATE(5024),
    [sym_lambda_expression] = STATE(5024),
    [sym_lambda_capture_specifier] = STATE(7184),
    [sym_fold_expression] = STATE(5024),
    [sym_parameter_pack_expansion] = STATE(5024),
    [sym_destructor_name] = STATE(7680),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6764),
    [sym_qualified_identifier] = STATE(4502),
    [sym_qualified_type_identifier] = STATE(3127),
    [sym_qualified_operator_cast_identifier] = STATE(8035),
    [sym_operator_name] = STATE(7680),
    [sym_user_defined_literal] = STATE(4507),
    [sym_discard_statement] = STATE(56),
    [sym_qualifiers] = STATE(3159),
    [sym_cbuffer_specifier] = STATE(56),
    [sym_hlsl_attribute] = STATE(1858),
    [aux_sym_preproc_if_repeat1] = STATE(56),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2673),
    [aux_sym_attributed_declarator_repeat1] = STATE(1339),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3021),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2511),
    [sym_identifier] = ACTIONS(828),
    [aux_sym_preproc_include_token1] = ACTIONS(165),
    [aux_sym_preproc_def_token1] = ACTIONS(167),
    [aux_sym_preproc_if_token1] = ACTIONS(171),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(173),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(173),
    [sym_preproc_directive] = ACTIONS(175),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(177),
    [anon_sym___extension__] = ACTIONS(179),
    [anon_sym_typedef] = ACTIONS(181),
    [anon_sym_in] = ACTIONS(37),
    [anon_sym_out] = ACTIONS(37),
    [anon_sym_inout] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(183),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(45),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym___cdecl] = ACTIONS(51),
    [anon_sym___clrcall] = ACTIONS(51),
    [anon_sym___stdcall] = ACTIONS(51),
    [anon_sym___fastcall] = ACTIONS(51),
    [anon_sym___thiscall] = ACTIONS(51),
    [anon_sym___vectorcall] = ACTIONS(51),
    [anon_sym_LBRACE] = ACTIONS(830),
    [anon_sym_RBRACE] = ACTIONS(1100),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(191),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(65),
    [anon_sym_enum] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(69),
    [anon_sym_struct] = ACTIONS(71),
    [anon_sym_union] = ACTIONS(73),
    [anon_sym_if] = ACTIONS(193),
    [anon_sym_switch] = ACTIONS(195),
    [anon_sym_case] = ACTIONS(197),
    [anon_sym_default] = ACTIONS(199),
    [anon_sym_while] = ACTIONS(201),
    [anon_sym_do] = ACTIONS(203),
    [anon_sym_for] = ACTIONS(205),
    [anon_sym_return] = ACTIONS(207),
    [anon_sym_break] = ACTIONS(209),
    [anon_sym_continue] = ACTIONS(211),
    [anon_sym_goto] = ACTIONS(213),
    [anon_sym___try] = ACTIONS(215),
    [anon_sym___leave] = ACTIONS(217),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [anon_sym_virtual] = ACTIONS(123),
    [anon_sym_alignas] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(223),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_try] = ACTIONS(225),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(227),
    [anon_sym_namespace] = ACTIONS(229),
    [anon_sym_using] = ACTIONS(231),
    [anon_sym_static_assert] = ACTIONS(233),
    [anon_sym_concept] = ACTIONS(235),
    [anon_sym_co_return] = ACTIONS(237),
    [anon_sym_co_yield] = ACTIONS(239),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
    [anon_sym_discard] = ACTIONS(241),
    [anon_sym_precise] = ACTIONS(161),
    [anon_sym_shared] = ACTIONS(161),
    [anon_sym_groupshared] = ACTIONS(161),
    [anon_sym_uniform] = ACTIONS(161),
    [anon_sym_row_major] = ACTIONS(161),
    [anon_sym_column_major] = ACTIONS(161),
    [anon_sym_globallycoherent] = ACTIONS(161),
    [anon_sym_centroid] = ACTIONS(161),
    [anon_sym_noperspective] = ACTIONS(161),
    [anon_sym_nointerpolation] = ACTIONS(161),
    [anon_sym_sample] = ACTIONS(161),
    [anon_sym_linear] = ACTIONS(161),
    [anon_sym_snorm] = ACTIONS(161),
    [anon_sym_unorm] = ACTIONS(161),
    [anon_sym_point] = ACTIONS(161),
    [anon_sym_line] = ACTIONS(161),
    [anon_sym_triangleadj] = ACTIONS(161),
    [anon_sym_lineadj] = ACTIONS(161),
    [anon_sym_triangle] = ACTIONS(161),
    [anon_sym_cbuffer] = ACTIONS(243),
  },
  [70] = {
    [sym_preproc_include] = STATE(65),
    [sym_preproc_def] = STATE(65),
    [sym_preproc_function_def] = STATE(65),
    [sym_preproc_call] = STATE(65),
    [sym_preproc_if] = STATE(65),
    [sym_preproc_ifdef] = STATE(65),
    [sym_function_definition] = STATE(65),
    [sym_declaration] = STATE(65),
    [sym_type_definition] = STATE(65),
    [sym__declaration_modifiers] = STATE(3159),
    [sym__declaration_specifiers] = STATE(5906),
    [sym_linkage_specification] = STATE(65),
    [sym_attribute_specifier] = STATE(3159),
    [sym_attribute_declaration] = STATE(1464),
    [sym_ms_declspec_modifier] = STATE(3159),
    [sym_ms_based_modifier] = STATE(10332),
    [sym_ms_call_modifier] = STATE(2574),
    [sym__declarator] = STATE(7978),
    [sym_parenthesized_declarator] = STATE(7680),
    [sym_attributed_declarator] = STATE(7680),
    [sym_pointer_declarator] = STATE(7680),
    [sym_function_declarator] = STATE(7611),
    [sym_array_declarator] = STATE(7680),
    [sym_compound_statement] = STATE(65),
    [sym_storage_class_specifier] = STATE(3159),
    [sym_type_qualifier] = STATE(3159),
    [sym__type_specifier] = STATE(3039),
    [sym_sized_type_specifier] = STATE(3085),
    [sym_enum_specifier] = STATE(3085),
    [sym_struct_specifier] = STATE(3085),
    [sym_union_specifier] = STATE(3085),
    [sym_attributed_statement] = STATE(65),
    [sym_labeled_statement] = STATE(65),
    [sym_expression_statement] = STATE(65),
    [sym_if_statement] = STATE(65),
    [sym_switch_statement] = STATE(65),
    [sym_case_statement] = STATE(65),
    [sym_while_statement] = STATE(65),
    [sym_do_statement] = STATE(65),
    [sym_for_statement] = STATE(65),
    [sym_return_statement] = STATE(65),
    [sym_break_statement] = STATE(65),
    [sym_continue_statement] = STATE(65),
    [sym_goto_statement] = STATE(65),
    [sym_seh_try_statement] = STATE(65),
    [sym_seh_leave_statement] = STATE(65),
    [sym__expression] = STATE(5674),
    [sym__expression_not_binary] = STATE(5024),
    [sym__string] = STATE(5024),
    [sym_comma_expression] = STATE(10272),
    [sym_conditional_expression] = STATE(5024),
    [sym_assignment_expression] = STATE(5024),
    [sym_pointer_expression] = STATE(4507),
    [sym_unary_expression] = STATE(5024),
    [sym_binary_expression] = STATE(5024),
    [sym_update_expression] = STATE(5024),
    [sym_cast_expression] = STATE(5024),
    [sym_sizeof_expression] = STATE(5024),
    [sym_alignof_expression] = STATE(5024),
    [sym_offsetof_expression] = STATE(5024),
    [sym_generic_expression] = STATE(5024),
    [sym_subscript_expression] = STATE(4507),
    [sym_call_expression] = STATE(4507),
    [sym_gnu_asm_expression] = STATE(5024),
    [sym_field_expression] = STATE(4507),
    [sym_compound_literal_expression] = STATE(5024),
    [sym_parenthesized_expression] = STATE(4507),
    [sym_char_literal] = STATE(5374),
    [sym_concatenated_string] = STATE(5377),
    [sym_string_literal] = STATE(4206),
    [sym_null] = STATE(5024),
    [sym__empty_declaration] = STATE(65),
    [sym_placeholder_type_specifier] = STATE(3085),
    [sym_decltype_auto] = STATE(3091),
    [sym_decltype] = STATE(3050),
    [sym_class_specifier] = STATE(3085),
    [sym__class_name] = STATE(9352),
    [sym_virtual] = STATE(3159),
    [sym_alignas_specifier] = STATE(3159),
    [sym_explicit_function_specifier] = STATE(2511),
    [sym_dependent_type] = STATE(3085),
    [sym_template_declaration] = STATE(65),
    [sym_template_instantiation] = STATE(65),
    [sym_operator_cast] = STATE(8035),
    [sym__constructor_specifiers] = STATE(2511),
    [sym_operator_cast_definition] = STATE(65),
    [sym_operator_cast_declaration] = STATE(65),
    [sym_constructor_or_destructor_definition] = STATE(65),
    [sym_reference_declarator] = STATE(7680),
    [sym_structured_binding_declarator] = STATE(7680),
    [sym_template_type] = STATE(3129),
    [sym_template_function] = STATE(5703),
    [sym_namespace_definition] = STATE(65),
    [sym_namespace_alias_definition] = STATE(65),
    [sym_using_declaration] = STATE(65),
    [sym_alias_declaration] = STATE(65),
    [sym_static_assert_declaration] = STATE(65),
    [sym_concept_definition] = STATE(65),
    [sym_for_range_loop] = STATE(65),
    [sym_co_return_statement] = STATE(65),
    [sym_co_yield_statement] = STATE(65),
    [sym_throw_statement] = STATE(65),
    [sym_try_statement] = STATE(65),
    [sym_raw_string_literal] = STATE(4217),
    [sym_co_await_expression] = STATE(5024),
    [sym_new_expression] = STATE(5024),
    [sym_delete_expression] = STATE(5024),
    [sym_requires_clause] = STATE(5024),
    [sym_requires_expression] = STATE(5024),
    [sym_lambda_expression] = STATE(5024),
    [sym_lambda_capture_specifier] = STATE(7184),
    [sym_fold_expression] = STATE(5024),
    [sym_parameter_pack_expansion] = STATE(5024),
    [sym_destructor_name] = STATE(7680),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6764),
    [sym_qualified_identifier] = STATE(4502),
    [sym_qualified_type_identifier] = STATE(3127),
    [sym_qualified_operator_cast_identifier] = STATE(8035),
    [sym_operator_name] = STATE(7680),
    [sym_user_defined_literal] = STATE(4507),
    [sym_discard_statement] = STATE(65),
    [sym_qualifiers] = STATE(3159),
    [sym_cbuffer_specifier] = STATE(65),
    [sym_hlsl_attribute] = STATE(1858),
    [aux_sym_preproc_if_repeat1] = STATE(65),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2673),
    [aux_sym_attributed_declarator_repeat1] = STATE(1339),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3021),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2511),
    [sym_identifier] = ACTIONS(828),
    [aux_sym_preproc_include_token1] = ACTIONS(165),
    [aux_sym_preproc_def_token1] = ACTIONS(167),
    [aux_sym_preproc_if_token1] = ACTIONS(171),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(173),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(173),
    [sym_preproc_directive] = ACTIONS(175),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(177),
    [anon_sym___extension__] = ACTIONS(179),
    [anon_sym_typedef] = ACTIONS(181),
    [anon_sym_in] = ACTIONS(37),
    [anon_sym_out] = ACTIONS(37),
    [anon_sym_inout] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(183),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(45),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym___cdecl] = ACTIONS(51),
    [anon_sym___clrcall] = ACTIONS(51),
    [anon_sym___stdcall] = ACTIONS(51),
    [anon_sym___fastcall] = ACTIONS(51),
    [anon_sym___thiscall] = ACTIONS(51),
    [anon_sym___vectorcall] = ACTIONS(51),
    [anon_sym_LBRACE] = ACTIONS(830),
    [anon_sym_RBRACE] = ACTIONS(1102),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(191),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(65),
    [anon_sym_enum] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(69),
    [anon_sym_struct] = ACTIONS(71),
    [anon_sym_union] = ACTIONS(73),
    [anon_sym_if] = ACTIONS(193),
    [anon_sym_switch] = ACTIONS(195),
    [anon_sym_case] = ACTIONS(197),
    [anon_sym_default] = ACTIONS(199),
    [anon_sym_while] = ACTIONS(201),
    [anon_sym_do] = ACTIONS(203),
    [anon_sym_for] = ACTIONS(205),
    [anon_sym_return] = ACTIONS(207),
    [anon_sym_break] = ACTIONS(209),
    [anon_sym_continue] = ACTIONS(211),
    [anon_sym_goto] = ACTIONS(213),
    [anon_sym___try] = ACTIONS(215),
    [anon_sym___leave] = ACTIONS(217),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [anon_sym_virtual] = ACTIONS(123),
    [anon_sym_alignas] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(223),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_try] = ACTIONS(225),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(227),
    [anon_sym_namespace] = ACTIONS(229),
    [anon_sym_using] = ACTIONS(231),
    [anon_sym_static_assert] = ACTIONS(233),
    [anon_sym_concept] = ACTIONS(235),
    [anon_sym_co_return] = ACTIONS(237),
    [anon_sym_co_yield] = ACTIONS(239),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
    [anon_sym_discard] = ACTIONS(241),
    [anon_sym_precise] = ACTIONS(161),
    [anon_sym_shared] = ACTIONS(161),
    [anon_sym_groupshared] = ACTIONS(161),
    [anon_sym_uniform] = ACTIONS(161),
    [anon_sym_row_major] = ACTIONS(161),
    [anon_sym_column_major] = ACTIONS(161),
    [anon_sym_globallycoherent] = ACTIONS(161),
    [anon_sym_centroid] = ACTIONS(161),
    [anon_sym_noperspective] = ACTIONS(161),
    [anon_sym_nointerpolation] = ACTIONS(161),
    [anon_sym_sample] = ACTIONS(161),
    [anon_sym_linear] = ACTIONS(161),
    [anon_sym_snorm] = ACTIONS(161),
    [anon_sym_unorm] = ACTIONS(161),
    [anon_sym_point] = ACTIONS(161),
    [anon_sym_line] = ACTIONS(161),
    [anon_sym_triangleadj] = ACTIONS(161),
    [anon_sym_lineadj] = ACTIONS(161),
    [anon_sym_triangle] = ACTIONS(161),
    [anon_sym_cbuffer] = ACTIONS(243),
  },
  [71] = {
    [sym_preproc_include] = STATE(56),
    [sym_preproc_def] = STATE(56),
    [sym_preproc_function_def] = STATE(56),
    [sym_preproc_call] = STATE(56),
    [sym_preproc_if] = STATE(56),
    [sym_preproc_ifdef] = STATE(56),
    [sym_function_definition] = STATE(56),
    [sym_declaration] = STATE(56),
    [sym_type_definition] = STATE(56),
    [sym__declaration_modifiers] = STATE(3159),
    [sym__declaration_specifiers] = STATE(5906),
    [sym_linkage_specification] = STATE(56),
    [sym_attribute_specifier] = STATE(3159),
    [sym_attribute_declaration] = STATE(1464),
    [sym_ms_declspec_modifier] = STATE(3159),
    [sym_ms_based_modifier] = STATE(10332),
    [sym_ms_call_modifier] = STATE(2574),
    [sym__declarator] = STATE(7978),
    [sym_parenthesized_declarator] = STATE(7680),
    [sym_attributed_declarator] = STATE(7680),
    [sym_pointer_declarator] = STATE(7680),
    [sym_function_declarator] = STATE(7611),
    [sym_array_declarator] = STATE(7680),
    [sym_compound_statement] = STATE(56),
    [sym_storage_class_specifier] = STATE(3159),
    [sym_type_qualifier] = STATE(3159),
    [sym__type_specifier] = STATE(3039),
    [sym_sized_type_specifier] = STATE(3085),
    [sym_enum_specifier] = STATE(3085),
    [sym_struct_specifier] = STATE(3085),
    [sym_union_specifier] = STATE(3085),
    [sym_attributed_statement] = STATE(56),
    [sym_labeled_statement] = STATE(56),
    [sym_expression_statement] = STATE(56),
    [sym_if_statement] = STATE(56),
    [sym_switch_statement] = STATE(56),
    [sym_case_statement] = STATE(56),
    [sym_while_statement] = STATE(56),
    [sym_do_statement] = STATE(56),
    [sym_for_statement] = STATE(56),
    [sym_return_statement] = STATE(56),
    [sym_break_statement] = STATE(56),
    [sym_continue_statement] = STATE(56),
    [sym_goto_statement] = STATE(56),
    [sym_seh_try_statement] = STATE(56),
    [sym_seh_leave_statement] = STATE(56),
    [sym__expression] = STATE(5674),
    [sym__expression_not_binary] = STATE(5024),
    [sym__string] = STATE(5024),
    [sym_comma_expression] = STATE(10272),
    [sym_conditional_expression] = STATE(5024),
    [sym_assignment_expression] = STATE(5024),
    [sym_pointer_expression] = STATE(4507),
    [sym_unary_expression] = STATE(5024),
    [sym_binary_expression] = STATE(5024),
    [sym_update_expression] = STATE(5024),
    [sym_cast_expression] = STATE(5024),
    [sym_sizeof_expression] = STATE(5024),
    [sym_alignof_expression] = STATE(5024),
    [sym_offsetof_expression] = STATE(5024),
    [sym_generic_expression] = STATE(5024),
    [sym_subscript_expression] = STATE(4507),
    [sym_call_expression] = STATE(4507),
    [sym_gnu_asm_expression] = STATE(5024),
    [sym_field_expression] = STATE(4507),
    [sym_compound_literal_expression] = STATE(5024),
    [sym_parenthesized_expression] = STATE(4507),
    [sym_char_literal] = STATE(5374),
    [sym_concatenated_string] = STATE(5377),
    [sym_string_literal] = STATE(4206),
    [sym_null] = STATE(5024),
    [sym__empty_declaration] = STATE(56),
    [sym_placeholder_type_specifier] = STATE(3085),
    [sym_decltype_auto] = STATE(3091),
    [sym_decltype] = STATE(3050),
    [sym_class_specifier] = STATE(3085),
    [sym__class_name] = STATE(9352),
    [sym_virtual] = STATE(3159),
    [sym_alignas_specifier] = STATE(3159),
    [sym_explicit_function_specifier] = STATE(2511),
    [sym_dependent_type] = STATE(3085),
    [sym_template_declaration] = STATE(56),
    [sym_template_instantiation] = STATE(56),
    [sym_operator_cast] = STATE(8035),
    [sym__constructor_specifiers] = STATE(2511),
    [sym_operator_cast_definition] = STATE(56),
    [sym_operator_cast_declaration] = STATE(56),
    [sym_constructor_or_destructor_definition] = STATE(56),
    [sym_reference_declarator] = STATE(7680),
    [sym_structured_binding_declarator] = STATE(7680),
    [sym_template_type] = STATE(3129),
    [sym_template_function] = STATE(5703),
    [sym_namespace_definition] = STATE(56),
    [sym_namespace_alias_definition] = STATE(56),
    [sym_using_declaration] = STATE(56),
    [sym_alias_declaration] = STATE(56),
    [sym_static_assert_declaration] = STATE(56),
    [sym_concept_definition] = STATE(56),
    [sym_for_range_loop] = STATE(56),
    [sym_co_return_statement] = STATE(56),
    [sym_co_yield_statement] = STATE(56),
    [sym_throw_statement] = STATE(56),
    [sym_try_statement] = STATE(56),
    [sym_raw_string_literal] = STATE(4217),
    [sym_co_await_expression] = STATE(5024),
    [sym_new_expression] = STATE(5024),
    [sym_delete_expression] = STATE(5024),
    [sym_requires_clause] = STATE(5024),
    [sym_requires_expression] = STATE(5024),
    [sym_lambda_expression] = STATE(5024),
    [sym_lambda_capture_specifier] = STATE(7184),
    [sym_fold_expression] = STATE(5024),
    [sym_parameter_pack_expansion] = STATE(5024),
    [sym_destructor_name] = STATE(7680),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6764),
    [sym_qualified_identifier] = STATE(4502),
    [sym_qualified_type_identifier] = STATE(3127),
    [sym_qualified_operator_cast_identifier] = STATE(8035),
    [sym_operator_name] = STATE(7680),
    [sym_user_defined_literal] = STATE(4507),
    [sym_discard_statement] = STATE(56),
    [sym_qualifiers] = STATE(3159),
    [sym_cbuffer_specifier] = STATE(56),
    [sym_hlsl_attribute] = STATE(1858),
    [aux_sym_preproc_if_repeat1] = STATE(56),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2673),
    [aux_sym_attributed_declarator_repeat1] = STATE(1339),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3021),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2511),
    [sym_identifier] = ACTIONS(828),
    [aux_sym_preproc_include_token1] = ACTIONS(165),
    [aux_sym_preproc_def_token1] = ACTIONS(167),
    [aux_sym_preproc_if_token1] = ACTIONS(171),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(173),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(173),
    [sym_preproc_directive] = ACTIONS(175),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(177),
    [anon_sym___extension__] = ACTIONS(179),
    [anon_sym_typedef] = ACTIONS(181),
    [anon_sym_in] = ACTIONS(37),
    [anon_sym_out] = ACTIONS(37),
    [anon_sym_inout] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(183),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(45),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym___cdecl] = ACTIONS(51),
    [anon_sym___clrcall] = ACTIONS(51),
    [anon_sym___stdcall] = ACTIONS(51),
    [anon_sym___fastcall] = ACTIONS(51),
    [anon_sym___thiscall] = ACTIONS(51),
    [anon_sym___vectorcall] = ACTIONS(51),
    [anon_sym_LBRACE] = ACTIONS(830),
    [anon_sym_RBRACE] = ACTIONS(1104),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(191),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(65),
    [anon_sym_enum] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(69),
    [anon_sym_struct] = ACTIONS(71),
    [anon_sym_union] = ACTIONS(73),
    [anon_sym_if] = ACTIONS(193),
    [anon_sym_switch] = ACTIONS(195),
    [anon_sym_case] = ACTIONS(197),
    [anon_sym_default] = ACTIONS(199),
    [anon_sym_while] = ACTIONS(201),
    [anon_sym_do] = ACTIONS(203),
    [anon_sym_for] = ACTIONS(205),
    [anon_sym_return] = ACTIONS(207),
    [anon_sym_break] = ACTIONS(209),
    [anon_sym_continue] = ACTIONS(211),
    [anon_sym_goto] = ACTIONS(213),
    [anon_sym___try] = ACTIONS(215),
    [anon_sym___leave] = ACTIONS(217),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [anon_sym_virtual] = ACTIONS(123),
    [anon_sym_alignas] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(223),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_try] = ACTIONS(225),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(227),
    [anon_sym_namespace] = ACTIONS(229),
    [anon_sym_using] = ACTIONS(231),
    [anon_sym_static_assert] = ACTIONS(233),
    [anon_sym_concept] = ACTIONS(235),
    [anon_sym_co_return] = ACTIONS(237),
    [anon_sym_co_yield] = ACTIONS(239),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
    [anon_sym_discard] = ACTIONS(241),
    [anon_sym_precise] = ACTIONS(161),
    [anon_sym_shared] = ACTIONS(161),
    [anon_sym_groupshared] = ACTIONS(161),
    [anon_sym_uniform] = ACTIONS(161),
    [anon_sym_row_major] = ACTIONS(161),
    [anon_sym_column_major] = ACTIONS(161),
    [anon_sym_globallycoherent] = ACTIONS(161),
    [anon_sym_centroid] = ACTIONS(161),
    [anon_sym_noperspective] = ACTIONS(161),
    [anon_sym_nointerpolation] = ACTIONS(161),
    [anon_sym_sample] = ACTIONS(161),
    [anon_sym_linear] = ACTIONS(161),
    [anon_sym_snorm] = ACTIONS(161),
    [anon_sym_unorm] = ACTIONS(161),
    [anon_sym_point] = ACTIONS(161),
    [anon_sym_line] = ACTIONS(161),
    [anon_sym_triangleadj] = ACTIONS(161),
    [anon_sym_lineadj] = ACTIONS(161),
    [anon_sym_triangle] = ACTIONS(161),
    [anon_sym_cbuffer] = ACTIONS(243),
  },
  [72] = {
    [sym_preproc_include] = STATE(56),
    [sym_preproc_def] = STATE(56),
    [sym_preproc_function_def] = STATE(56),
    [sym_preproc_call] = STATE(56),
    [sym_preproc_if] = STATE(56),
    [sym_preproc_ifdef] = STATE(56),
    [sym_function_definition] = STATE(56),
    [sym_declaration] = STATE(56),
    [sym_type_definition] = STATE(56),
    [sym__declaration_modifiers] = STATE(3159),
    [sym__declaration_specifiers] = STATE(5906),
    [sym_linkage_specification] = STATE(56),
    [sym_attribute_specifier] = STATE(3159),
    [sym_attribute_declaration] = STATE(1464),
    [sym_ms_declspec_modifier] = STATE(3159),
    [sym_ms_based_modifier] = STATE(10332),
    [sym_ms_call_modifier] = STATE(2574),
    [sym__declarator] = STATE(7978),
    [sym_parenthesized_declarator] = STATE(7680),
    [sym_attributed_declarator] = STATE(7680),
    [sym_pointer_declarator] = STATE(7680),
    [sym_function_declarator] = STATE(7611),
    [sym_array_declarator] = STATE(7680),
    [sym_compound_statement] = STATE(56),
    [sym_storage_class_specifier] = STATE(3159),
    [sym_type_qualifier] = STATE(3159),
    [sym__type_specifier] = STATE(3039),
    [sym_sized_type_specifier] = STATE(3085),
    [sym_enum_specifier] = STATE(3085),
    [sym_struct_specifier] = STATE(3085),
    [sym_union_specifier] = STATE(3085),
    [sym_attributed_statement] = STATE(56),
    [sym_labeled_statement] = STATE(56),
    [sym_expression_statement] = STATE(56),
    [sym_if_statement] = STATE(56),
    [sym_switch_statement] = STATE(56),
    [sym_case_statement] = STATE(56),
    [sym_while_statement] = STATE(56),
    [sym_do_statement] = STATE(56),
    [sym_for_statement] = STATE(56),
    [sym_return_statement] = STATE(56),
    [sym_break_statement] = STATE(56),
    [sym_continue_statement] = STATE(56),
    [sym_goto_statement] = STATE(56),
    [sym_seh_try_statement] = STATE(56),
    [sym_seh_leave_statement] = STATE(56),
    [sym__expression] = STATE(5674),
    [sym__expression_not_binary] = STATE(5024),
    [sym__string] = STATE(5024),
    [sym_comma_expression] = STATE(10272),
    [sym_conditional_expression] = STATE(5024),
    [sym_assignment_expression] = STATE(5024),
    [sym_pointer_expression] = STATE(4507),
    [sym_unary_expression] = STATE(5024),
    [sym_binary_expression] = STATE(5024),
    [sym_update_expression] = STATE(5024),
    [sym_cast_expression] = STATE(5024),
    [sym_sizeof_expression] = STATE(5024),
    [sym_alignof_expression] = STATE(5024),
    [sym_offsetof_expression] = STATE(5024),
    [sym_generic_expression] = STATE(5024),
    [sym_subscript_expression] = STATE(4507),
    [sym_call_expression] = STATE(4507),
    [sym_gnu_asm_expression] = STATE(5024),
    [sym_field_expression] = STATE(4507),
    [sym_compound_literal_expression] = STATE(5024),
    [sym_parenthesized_expression] = STATE(4507),
    [sym_char_literal] = STATE(5374),
    [sym_concatenated_string] = STATE(5377),
    [sym_string_literal] = STATE(4206),
    [sym_null] = STATE(5024),
    [sym__empty_declaration] = STATE(56),
    [sym_placeholder_type_specifier] = STATE(3085),
    [sym_decltype_auto] = STATE(3091),
    [sym_decltype] = STATE(3050),
    [sym_class_specifier] = STATE(3085),
    [sym__class_name] = STATE(9352),
    [sym_virtual] = STATE(3159),
    [sym_alignas_specifier] = STATE(3159),
    [sym_explicit_function_specifier] = STATE(2511),
    [sym_dependent_type] = STATE(3085),
    [sym_template_declaration] = STATE(56),
    [sym_template_instantiation] = STATE(56),
    [sym_operator_cast] = STATE(8035),
    [sym__constructor_specifiers] = STATE(2511),
    [sym_operator_cast_definition] = STATE(56),
    [sym_operator_cast_declaration] = STATE(56),
    [sym_constructor_or_destructor_definition] = STATE(56),
    [sym_reference_declarator] = STATE(7680),
    [sym_structured_binding_declarator] = STATE(7680),
    [sym_template_type] = STATE(3129),
    [sym_template_function] = STATE(5703),
    [sym_namespace_definition] = STATE(56),
    [sym_namespace_alias_definition] = STATE(56),
    [sym_using_declaration] = STATE(56),
    [sym_alias_declaration] = STATE(56),
    [sym_static_assert_declaration] = STATE(56),
    [sym_concept_definition] = STATE(56),
    [sym_for_range_loop] = STATE(56),
    [sym_co_return_statement] = STATE(56),
    [sym_co_yield_statement] = STATE(56),
    [sym_throw_statement] = STATE(56),
    [sym_try_statement] = STATE(56),
    [sym_raw_string_literal] = STATE(4217),
    [sym_co_await_expression] = STATE(5024),
    [sym_new_expression] = STATE(5024),
    [sym_delete_expression] = STATE(5024),
    [sym_requires_clause] = STATE(5024),
    [sym_requires_expression] = STATE(5024),
    [sym_lambda_expression] = STATE(5024),
    [sym_lambda_capture_specifier] = STATE(7184),
    [sym_fold_expression] = STATE(5024),
    [sym_parameter_pack_expansion] = STATE(5024),
    [sym_destructor_name] = STATE(7680),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6764),
    [sym_qualified_identifier] = STATE(4502),
    [sym_qualified_type_identifier] = STATE(3127),
    [sym_qualified_operator_cast_identifier] = STATE(8035),
    [sym_operator_name] = STATE(7680),
    [sym_user_defined_literal] = STATE(4507),
    [sym_discard_statement] = STATE(56),
    [sym_qualifiers] = STATE(3159),
    [sym_cbuffer_specifier] = STATE(56),
    [sym_hlsl_attribute] = STATE(1858),
    [aux_sym_preproc_if_repeat1] = STATE(56),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2673),
    [aux_sym_attributed_declarator_repeat1] = STATE(1339),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3021),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2511),
    [sym_identifier] = ACTIONS(828),
    [aux_sym_preproc_include_token1] = ACTIONS(165),
    [aux_sym_preproc_def_token1] = ACTIONS(167),
    [aux_sym_preproc_if_token1] = ACTIONS(171),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(173),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(173),
    [sym_preproc_directive] = ACTIONS(175),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(177),
    [anon_sym___extension__] = ACTIONS(179),
    [anon_sym_typedef] = ACTIONS(181),
    [anon_sym_in] = ACTIONS(37),
    [anon_sym_out] = ACTIONS(37),
    [anon_sym_inout] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(183),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(45),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym___cdecl] = ACTIONS(51),
    [anon_sym___clrcall] = ACTIONS(51),
    [anon_sym___stdcall] = ACTIONS(51),
    [anon_sym___fastcall] = ACTIONS(51),
    [anon_sym___thiscall] = ACTIONS(51),
    [anon_sym___vectorcall] = ACTIONS(51),
    [anon_sym_LBRACE] = ACTIONS(830),
    [anon_sym_RBRACE] = ACTIONS(1106),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(191),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(65),
    [anon_sym_enum] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(69),
    [anon_sym_struct] = ACTIONS(71),
    [anon_sym_union] = ACTIONS(73),
    [anon_sym_if] = ACTIONS(193),
    [anon_sym_switch] = ACTIONS(195),
    [anon_sym_case] = ACTIONS(197),
    [anon_sym_default] = ACTIONS(199),
    [anon_sym_while] = ACTIONS(201),
    [anon_sym_do] = ACTIONS(203),
    [anon_sym_for] = ACTIONS(205),
    [anon_sym_return] = ACTIONS(207),
    [anon_sym_break] = ACTIONS(209),
    [anon_sym_continue] = ACTIONS(211),
    [anon_sym_goto] = ACTIONS(213),
    [anon_sym___try] = ACTIONS(215),
    [anon_sym___leave] = ACTIONS(217),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [anon_sym_virtual] = ACTIONS(123),
    [anon_sym_alignas] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(223),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_try] = ACTIONS(225),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(227),
    [anon_sym_namespace] = ACTIONS(229),
    [anon_sym_using] = ACTIONS(231),
    [anon_sym_static_assert] = ACTIONS(233),
    [anon_sym_concept] = ACTIONS(235),
    [anon_sym_co_return] = ACTIONS(237),
    [anon_sym_co_yield] = ACTIONS(239),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
    [anon_sym_discard] = ACTIONS(241),
    [anon_sym_precise] = ACTIONS(161),
    [anon_sym_shared] = ACTIONS(161),
    [anon_sym_groupshared] = ACTIONS(161),
    [anon_sym_uniform] = ACTIONS(161),
    [anon_sym_row_major] = ACTIONS(161),
    [anon_sym_column_major] = ACTIONS(161),
    [anon_sym_globallycoherent] = ACTIONS(161),
    [anon_sym_centroid] = ACTIONS(161),
    [anon_sym_noperspective] = ACTIONS(161),
    [anon_sym_nointerpolation] = ACTIONS(161),
    [anon_sym_sample] = ACTIONS(161),
    [anon_sym_linear] = ACTIONS(161),
    [anon_sym_snorm] = ACTIONS(161),
    [anon_sym_unorm] = ACTIONS(161),
    [anon_sym_point] = ACTIONS(161),
    [anon_sym_line] = ACTIONS(161),
    [anon_sym_triangleadj] = ACTIONS(161),
    [anon_sym_lineadj] = ACTIONS(161),
    [anon_sym_triangle] = ACTIONS(161),
    [anon_sym_cbuffer] = ACTIONS(243),
  },
  [73] = {
    [sym_preproc_include] = STATE(51),
    [sym_preproc_def] = STATE(51),
    [sym_preproc_function_def] = STATE(51),
    [sym_preproc_call] = STATE(51),
    [sym_preproc_if] = STATE(51),
    [sym_preproc_ifdef] = STATE(51),
    [sym_function_definition] = STATE(51),
    [sym_declaration] = STATE(51),
    [sym_type_definition] = STATE(51),
    [sym__declaration_modifiers] = STATE(3159),
    [sym__declaration_specifiers] = STATE(5906),
    [sym_linkage_specification] = STATE(51),
    [sym_attribute_specifier] = STATE(3159),
    [sym_attribute_declaration] = STATE(1464),
    [sym_ms_declspec_modifier] = STATE(3159),
    [sym_ms_based_modifier] = STATE(10332),
    [sym_ms_call_modifier] = STATE(2574),
    [sym__declarator] = STATE(7978),
    [sym_parenthesized_declarator] = STATE(7680),
    [sym_attributed_declarator] = STATE(7680),
    [sym_pointer_declarator] = STATE(7680),
    [sym_function_declarator] = STATE(7611),
    [sym_array_declarator] = STATE(7680),
    [sym_compound_statement] = STATE(51),
    [sym_storage_class_specifier] = STATE(3159),
    [sym_type_qualifier] = STATE(3159),
    [sym__type_specifier] = STATE(3039),
    [sym_sized_type_specifier] = STATE(3085),
    [sym_enum_specifier] = STATE(3085),
    [sym_struct_specifier] = STATE(3085),
    [sym_union_specifier] = STATE(3085),
    [sym_attributed_statement] = STATE(51),
    [sym_labeled_statement] = STATE(51),
    [sym_expression_statement] = STATE(51),
    [sym_if_statement] = STATE(51),
    [sym_switch_statement] = STATE(51),
    [sym_case_statement] = STATE(51),
    [sym_while_statement] = STATE(51),
    [sym_do_statement] = STATE(51),
    [sym_for_statement] = STATE(51),
    [sym_return_statement] = STATE(51),
    [sym_break_statement] = STATE(51),
    [sym_continue_statement] = STATE(51),
    [sym_goto_statement] = STATE(51),
    [sym_seh_try_statement] = STATE(51),
    [sym_seh_leave_statement] = STATE(51),
    [sym__expression] = STATE(5674),
    [sym__expression_not_binary] = STATE(5024),
    [sym__string] = STATE(5024),
    [sym_comma_expression] = STATE(10272),
    [sym_conditional_expression] = STATE(5024),
    [sym_assignment_expression] = STATE(5024),
    [sym_pointer_expression] = STATE(4507),
    [sym_unary_expression] = STATE(5024),
    [sym_binary_expression] = STATE(5024),
    [sym_update_expression] = STATE(5024),
    [sym_cast_expression] = STATE(5024),
    [sym_sizeof_expression] = STATE(5024),
    [sym_alignof_expression] = STATE(5024),
    [sym_offsetof_expression] = STATE(5024),
    [sym_generic_expression] = STATE(5024),
    [sym_subscript_expression] = STATE(4507),
    [sym_call_expression] = STATE(4507),
    [sym_gnu_asm_expression] = STATE(5024),
    [sym_field_expression] = STATE(4507),
    [sym_compound_literal_expression] = STATE(5024),
    [sym_parenthesized_expression] = STATE(4507),
    [sym_char_literal] = STATE(5374),
    [sym_concatenated_string] = STATE(5377),
    [sym_string_literal] = STATE(4206),
    [sym_null] = STATE(5024),
    [sym__empty_declaration] = STATE(51),
    [sym_placeholder_type_specifier] = STATE(3085),
    [sym_decltype_auto] = STATE(3091),
    [sym_decltype] = STATE(3050),
    [sym_class_specifier] = STATE(3085),
    [sym__class_name] = STATE(9352),
    [sym_virtual] = STATE(3159),
    [sym_alignas_specifier] = STATE(3159),
    [sym_explicit_function_specifier] = STATE(2511),
    [sym_dependent_type] = STATE(3085),
    [sym_template_declaration] = STATE(51),
    [sym_template_instantiation] = STATE(51),
    [sym_operator_cast] = STATE(8035),
    [sym__constructor_specifiers] = STATE(2511),
    [sym_operator_cast_definition] = STATE(51),
    [sym_operator_cast_declaration] = STATE(51),
    [sym_constructor_or_destructor_definition] = STATE(51),
    [sym_reference_declarator] = STATE(7680),
    [sym_structured_binding_declarator] = STATE(7680),
    [sym_template_type] = STATE(3129),
    [sym_template_function] = STATE(5703),
    [sym_namespace_definition] = STATE(51),
    [sym_namespace_alias_definition] = STATE(51),
    [sym_using_declaration] = STATE(51),
    [sym_alias_declaration] = STATE(51),
    [sym_static_assert_declaration] = STATE(51),
    [sym_concept_definition] = STATE(51),
    [sym_for_range_loop] = STATE(51),
    [sym_co_return_statement] = STATE(51),
    [sym_co_yield_statement] = STATE(51),
    [sym_throw_statement] = STATE(51),
    [sym_try_statement] = STATE(51),
    [sym_raw_string_literal] = STATE(4217),
    [sym_co_await_expression] = STATE(5024),
    [sym_new_expression] = STATE(5024),
    [sym_delete_expression] = STATE(5024),
    [sym_requires_clause] = STATE(5024),
    [sym_requires_expression] = STATE(5024),
    [sym_lambda_expression] = STATE(5024),
    [sym_lambda_capture_specifier] = STATE(7184),
    [sym_fold_expression] = STATE(5024),
    [sym_parameter_pack_expansion] = STATE(5024),
    [sym_destructor_name] = STATE(7680),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6764),
    [sym_qualified_identifier] = STATE(4502),
    [sym_qualified_type_identifier] = STATE(3127),
    [sym_qualified_operator_cast_identifier] = STATE(8035),
    [sym_operator_name] = STATE(7680),
    [sym_user_defined_literal] = STATE(4507),
    [sym_discard_statement] = STATE(51),
    [sym_qualifiers] = STATE(3159),
    [sym_cbuffer_specifier] = STATE(51),
    [sym_hlsl_attribute] = STATE(1858),
    [aux_sym_preproc_if_repeat1] = STATE(51),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2673),
    [aux_sym_attributed_declarator_repeat1] = STATE(1339),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3021),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2511),
    [sym_identifier] = ACTIONS(828),
    [aux_sym_preproc_include_token1] = ACTIONS(165),
    [aux_sym_preproc_def_token1] = ACTIONS(167),
    [aux_sym_preproc_if_token1] = ACTIONS(171),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(173),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(173),
    [sym_preproc_directive] = ACTIONS(175),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(177),
    [anon_sym___extension__] = ACTIONS(179),
    [anon_sym_typedef] = ACTIONS(181),
    [anon_sym_in] = ACTIONS(37),
    [anon_sym_out] = ACTIONS(37),
    [anon_sym_inout] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(183),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(45),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym___cdecl] = ACTIONS(51),
    [anon_sym___clrcall] = ACTIONS(51),
    [anon_sym___stdcall] = ACTIONS(51),
    [anon_sym___fastcall] = ACTIONS(51),
    [anon_sym___thiscall] = ACTIONS(51),
    [anon_sym___vectorcall] = ACTIONS(51),
    [anon_sym_LBRACE] = ACTIONS(830),
    [anon_sym_RBRACE] = ACTIONS(1108),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(191),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(65),
    [anon_sym_enum] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(69),
    [anon_sym_struct] = ACTIONS(71),
    [anon_sym_union] = ACTIONS(73),
    [anon_sym_if] = ACTIONS(193),
    [anon_sym_switch] = ACTIONS(195),
    [anon_sym_case] = ACTIONS(197),
    [anon_sym_default] = ACTIONS(199),
    [anon_sym_while] = ACTIONS(201),
    [anon_sym_do] = ACTIONS(203),
    [anon_sym_for] = ACTIONS(205),
    [anon_sym_return] = ACTIONS(207),
    [anon_sym_break] = ACTIONS(209),
    [anon_sym_continue] = ACTIONS(211),
    [anon_sym_goto] = ACTIONS(213),
    [anon_sym___try] = ACTIONS(215),
    [anon_sym___leave] = ACTIONS(217),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [anon_sym_virtual] = ACTIONS(123),
    [anon_sym_alignas] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(223),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_try] = ACTIONS(225),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(227),
    [anon_sym_namespace] = ACTIONS(229),
    [anon_sym_using] = ACTIONS(231),
    [anon_sym_static_assert] = ACTIONS(233),
    [anon_sym_concept] = ACTIONS(235),
    [anon_sym_co_return] = ACTIONS(237),
    [anon_sym_co_yield] = ACTIONS(239),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
    [anon_sym_discard] = ACTIONS(241),
    [anon_sym_precise] = ACTIONS(161),
    [anon_sym_shared] = ACTIONS(161),
    [anon_sym_groupshared] = ACTIONS(161),
    [anon_sym_uniform] = ACTIONS(161),
    [anon_sym_row_major] = ACTIONS(161),
    [anon_sym_column_major] = ACTIONS(161),
    [anon_sym_globallycoherent] = ACTIONS(161),
    [anon_sym_centroid] = ACTIONS(161),
    [anon_sym_noperspective] = ACTIONS(161),
    [anon_sym_nointerpolation] = ACTIONS(161),
    [anon_sym_sample] = ACTIONS(161),
    [anon_sym_linear] = ACTIONS(161),
    [anon_sym_snorm] = ACTIONS(161),
    [anon_sym_unorm] = ACTIONS(161),
    [anon_sym_point] = ACTIONS(161),
    [anon_sym_line] = ACTIONS(161),
    [anon_sym_triangleadj] = ACTIONS(161),
    [anon_sym_lineadj] = ACTIONS(161),
    [anon_sym_triangle] = ACTIONS(161),
    [anon_sym_cbuffer] = ACTIONS(243),
  },
  [74] = {
    [sym_preproc_include] = STATE(56),
    [sym_preproc_def] = STATE(56),
    [sym_preproc_function_def] = STATE(56),
    [sym_preproc_call] = STATE(56),
    [sym_preproc_if] = STATE(56),
    [sym_preproc_ifdef] = STATE(56),
    [sym_function_definition] = STATE(56),
    [sym_declaration] = STATE(56),
    [sym_type_definition] = STATE(56),
    [sym__declaration_modifiers] = STATE(3159),
    [sym__declaration_specifiers] = STATE(5906),
    [sym_linkage_specification] = STATE(56),
    [sym_attribute_specifier] = STATE(3159),
    [sym_attribute_declaration] = STATE(1464),
    [sym_ms_declspec_modifier] = STATE(3159),
    [sym_ms_based_modifier] = STATE(10332),
    [sym_ms_call_modifier] = STATE(2574),
    [sym__declarator] = STATE(7978),
    [sym_parenthesized_declarator] = STATE(7680),
    [sym_attributed_declarator] = STATE(7680),
    [sym_pointer_declarator] = STATE(7680),
    [sym_function_declarator] = STATE(7611),
    [sym_array_declarator] = STATE(7680),
    [sym_compound_statement] = STATE(56),
    [sym_storage_class_specifier] = STATE(3159),
    [sym_type_qualifier] = STATE(3159),
    [sym__type_specifier] = STATE(3039),
    [sym_sized_type_specifier] = STATE(3085),
    [sym_enum_specifier] = STATE(3085),
    [sym_struct_specifier] = STATE(3085),
    [sym_union_specifier] = STATE(3085),
    [sym_attributed_statement] = STATE(56),
    [sym_labeled_statement] = STATE(56),
    [sym_expression_statement] = STATE(56),
    [sym_if_statement] = STATE(56),
    [sym_switch_statement] = STATE(56),
    [sym_case_statement] = STATE(56),
    [sym_while_statement] = STATE(56),
    [sym_do_statement] = STATE(56),
    [sym_for_statement] = STATE(56),
    [sym_return_statement] = STATE(56),
    [sym_break_statement] = STATE(56),
    [sym_continue_statement] = STATE(56),
    [sym_goto_statement] = STATE(56),
    [sym_seh_try_statement] = STATE(56),
    [sym_seh_leave_statement] = STATE(56),
    [sym__expression] = STATE(5674),
    [sym__expression_not_binary] = STATE(5024),
    [sym__string] = STATE(5024),
    [sym_comma_expression] = STATE(10272),
    [sym_conditional_expression] = STATE(5024),
    [sym_assignment_expression] = STATE(5024),
    [sym_pointer_expression] = STATE(4507),
    [sym_unary_expression] = STATE(5024),
    [sym_binary_expression] = STATE(5024),
    [sym_update_expression] = STATE(5024),
    [sym_cast_expression] = STATE(5024),
    [sym_sizeof_expression] = STATE(5024),
    [sym_alignof_expression] = STATE(5024),
    [sym_offsetof_expression] = STATE(5024),
    [sym_generic_expression] = STATE(5024),
    [sym_subscript_expression] = STATE(4507),
    [sym_call_expression] = STATE(4507),
    [sym_gnu_asm_expression] = STATE(5024),
    [sym_field_expression] = STATE(4507),
    [sym_compound_literal_expression] = STATE(5024),
    [sym_parenthesized_expression] = STATE(4507),
    [sym_char_literal] = STATE(5374),
    [sym_concatenated_string] = STATE(5377),
    [sym_string_literal] = STATE(4206),
    [sym_null] = STATE(5024),
    [sym__empty_declaration] = STATE(56),
    [sym_placeholder_type_specifier] = STATE(3085),
    [sym_decltype_auto] = STATE(3091),
    [sym_decltype] = STATE(3050),
    [sym_class_specifier] = STATE(3085),
    [sym__class_name] = STATE(9352),
    [sym_virtual] = STATE(3159),
    [sym_alignas_specifier] = STATE(3159),
    [sym_explicit_function_specifier] = STATE(2511),
    [sym_dependent_type] = STATE(3085),
    [sym_template_declaration] = STATE(56),
    [sym_template_instantiation] = STATE(56),
    [sym_operator_cast] = STATE(8035),
    [sym__constructor_specifiers] = STATE(2511),
    [sym_operator_cast_definition] = STATE(56),
    [sym_operator_cast_declaration] = STATE(56),
    [sym_constructor_or_destructor_definition] = STATE(56),
    [sym_reference_declarator] = STATE(7680),
    [sym_structured_binding_declarator] = STATE(7680),
    [sym_template_type] = STATE(3129),
    [sym_template_function] = STATE(5703),
    [sym_namespace_definition] = STATE(56),
    [sym_namespace_alias_definition] = STATE(56),
    [sym_using_declaration] = STATE(56),
    [sym_alias_declaration] = STATE(56),
    [sym_static_assert_declaration] = STATE(56),
    [sym_concept_definition] = STATE(56),
    [sym_for_range_loop] = STATE(56),
    [sym_co_return_statement] = STATE(56),
    [sym_co_yield_statement] = STATE(56),
    [sym_throw_statement] = STATE(56),
    [sym_try_statement] = STATE(56),
    [sym_raw_string_literal] = STATE(4217),
    [sym_co_await_expression] = STATE(5024),
    [sym_new_expression] = STATE(5024),
    [sym_delete_expression] = STATE(5024),
    [sym_requires_clause] = STATE(5024),
    [sym_requires_expression] = STATE(5024),
    [sym_lambda_expression] = STATE(5024),
    [sym_lambda_capture_specifier] = STATE(7184),
    [sym_fold_expression] = STATE(5024),
    [sym_parameter_pack_expansion] = STATE(5024),
    [sym_destructor_name] = STATE(7680),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6764),
    [sym_qualified_identifier] = STATE(4502),
    [sym_qualified_type_identifier] = STATE(3127),
    [sym_qualified_operator_cast_identifier] = STATE(8035),
    [sym_operator_name] = STATE(7680),
    [sym_user_defined_literal] = STATE(4507),
    [sym_discard_statement] = STATE(56),
    [sym_qualifiers] = STATE(3159),
    [sym_cbuffer_specifier] = STATE(56),
    [sym_hlsl_attribute] = STATE(1858),
    [aux_sym_preproc_if_repeat1] = STATE(56),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2673),
    [aux_sym_attributed_declarator_repeat1] = STATE(1339),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3021),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2511),
    [sym_identifier] = ACTIONS(828),
    [aux_sym_preproc_include_token1] = ACTIONS(165),
    [aux_sym_preproc_def_token1] = ACTIONS(167),
    [aux_sym_preproc_if_token1] = ACTIONS(171),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(173),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(173),
    [sym_preproc_directive] = ACTIONS(175),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(177),
    [anon_sym___extension__] = ACTIONS(179),
    [anon_sym_typedef] = ACTIONS(181),
    [anon_sym_in] = ACTIONS(37),
    [anon_sym_out] = ACTIONS(37),
    [anon_sym_inout] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(183),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(45),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym___cdecl] = ACTIONS(51),
    [anon_sym___clrcall] = ACTIONS(51),
    [anon_sym___stdcall] = ACTIONS(51),
    [anon_sym___fastcall] = ACTIONS(51),
    [anon_sym___thiscall] = ACTIONS(51),
    [anon_sym___vectorcall] = ACTIONS(51),
    [anon_sym_LBRACE] = ACTIONS(830),
    [anon_sym_RBRACE] = ACTIONS(1110),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(191),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(65),
    [anon_sym_enum] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(69),
    [anon_sym_struct] = ACTIONS(71),
    [anon_sym_union] = ACTIONS(73),
    [anon_sym_if] = ACTIONS(193),
    [anon_sym_switch] = ACTIONS(195),
    [anon_sym_case] = ACTIONS(197),
    [anon_sym_default] = ACTIONS(199),
    [anon_sym_while] = ACTIONS(201),
    [anon_sym_do] = ACTIONS(203),
    [anon_sym_for] = ACTIONS(205),
    [anon_sym_return] = ACTIONS(207),
    [anon_sym_break] = ACTIONS(209),
    [anon_sym_continue] = ACTIONS(211),
    [anon_sym_goto] = ACTIONS(213),
    [anon_sym___try] = ACTIONS(215),
    [anon_sym___leave] = ACTIONS(217),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [anon_sym_virtual] = ACTIONS(123),
    [anon_sym_alignas] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(223),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_try] = ACTIONS(225),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(227),
    [anon_sym_namespace] = ACTIONS(229),
    [anon_sym_using] = ACTIONS(231),
    [anon_sym_static_assert] = ACTIONS(233),
    [anon_sym_concept] = ACTIONS(235),
    [anon_sym_co_return] = ACTIONS(237),
    [anon_sym_co_yield] = ACTIONS(239),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
    [anon_sym_discard] = ACTIONS(241),
    [anon_sym_precise] = ACTIONS(161),
    [anon_sym_shared] = ACTIONS(161),
    [anon_sym_groupshared] = ACTIONS(161),
    [anon_sym_uniform] = ACTIONS(161),
    [anon_sym_row_major] = ACTIONS(161),
    [anon_sym_column_major] = ACTIONS(161),
    [anon_sym_globallycoherent] = ACTIONS(161),
    [anon_sym_centroid] = ACTIONS(161),
    [anon_sym_noperspective] = ACTIONS(161),
    [anon_sym_nointerpolation] = ACTIONS(161),
    [anon_sym_sample] = ACTIONS(161),
    [anon_sym_linear] = ACTIONS(161),
    [anon_sym_snorm] = ACTIONS(161),
    [anon_sym_unorm] = ACTIONS(161),
    [anon_sym_point] = ACTIONS(161),
    [anon_sym_line] = ACTIONS(161),
    [anon_sym_triangleadj] = ACTIONS(161),
    [anon_sym_lineadj] = ACTIONS(161),
    [anon_sym_triangle] = ACTIONS(161),
    [anon_sym_cbuffer] = ACTIONS(243),
  },
  [75] = {
    [sym_preproc_include] = STATE(69),
    [sym_preproc_def] = STATE(69),
    [sym_preproc_function_def] = STATE(69),
    [sym_preproc_call] = STATE(69),
    [sym_preproc_if] = STATE(69),
    [sym_preproc_ifdef] = STATE(69),
    [sym_function_definition] = STATE(69),
    [sym_declaration] = STATE(69),
    [sym_type_definition] = STATE(69),
    [sym__declaration_modifiers] = STATE(3159),
    [sym__declaration_specifiers] = STATE(5906),
    [sym_linkage_specification] = STATE(69),
    [sym_attribute_specifier] = STATE(3159),
    [sym_attribute_declaration] = STATE(1464),
    [sym_ms_declspec_modifier] = STATE(3159),
    [sym_ms_based_modifier] = STATE(10332),
    [sym_ms_call_modifier] = STATE(2574),
    [sym__declarator] = STATE(7978),
    [sym_parenthesized_declarator] = STATE(7680),
    [sym_attributed_declarator] = STATE(7680),
    [sym_pointer_declarator] = STATE(7680),
    [sym_function_declarator] = STATE(7611),
    [sym_array_declarator] = STATE(7680),
    [sym_compound_statement] = STATE(69),
    [sym_storage_class_specifier] = STATE(3159),
    [sym_type_qualifier] = STATE(3159),
    [sym__type_specifier] = STATE(3039),
    [sym_sized_type_specifier] = STATE(3085),
    [sym_enum_specifier] = STATE(3085),
    [sym_struct_specifier] = STATE(3085),
    [sym_union_specifier] = STATE(3085),
    [sym_attributed_statement] = STATE(69),
    [sym_labeled_statement] = STATE(69),
    [sym_expression_statement] = STATE(69),
    [sym_if_statement] = STATE(69),
    [sym_switch_statement] = STATE(69),
    [sym_case_statement] = STATE(69),
    [sym_while_statement] = STATE(69),
    [sym_do_statement] = STATE(69),
    [sym_for_statement] = STATE(69),
    [sym_return_statement] = STATE(69),
    [sym_break_statement] = STATE(69),
    [sym_continue_statement] = STATE(69),
    [sym_goto_statement] = STATE(69),
    [sym_seh_try_statement] = STATE(69),
    [sym_seh_leave_statement] = STATE(69),
    [sym__expression] = STATE(5674),
    [sym__expression_not_binary] = STATE(5024),
    [sym__string] = STATE(5024),
    [sym_comma_expression] = STATE(10272),
    [sym_conditional_expression] = STATE(5024),
    [sym_assignment_expression] = STATE(5024),
    [sym_pointer_expression] = STATE(4507),
    [sym_unary_expression] = STATE(5024),
    [sym_binary_expression] = STATE(5024),
    [sym_update_expression] = STATE(5024),
    [sym_cast_expression] = STATE(5024),
    [sym_sizeof_expression] = STATE(5024),
    [sym_alignof_expression] = STATE(5024),
    [sym_offsetof_expression] = STATE(5024),
    [sym_generic_expression] = STATE(5024),
    [sym_subscript_expression] = STATE(4507),
    [sym_call_expression] = STATE(4507),
    [sym_gnu_asm_expression] = STATE(5024),
    [sym_field_expression] = STATE(4507),
    [sym_compound_literal_expression] = STATE(5024),
    [sym_parenthesized_expression] = STATE(4507),
    [sym_char_literal] = STATE(5374),
    [sym_concatenated_string] = STATE(5377),
    [sym_string_literal] = STATE(4206),
    [sym_null] = STATE(5024),
    [sym__empty_declaration] = STATE(69),
    [sym_placeholder_type_specifier] = STATE(3085),
    [sym_decltype_auto] = STATE(3091),
    [sym_decltype] = STATE(3050),
    [sym_class_specifier] = STATE(3085),
    [sym__class_name] = STATE(9352),
    [sym_virtual] = STATE(3159),
    [sym_alignas_specifier] = STATE(3159),
    [sym_explicit_function_specifier] = STATE(2511),
    [sym_dependent_type] = STATE(3085),
    [sym_template_declaration] = STATE(69),
    [sym_template_instantiation] = STATE(69),
    [sym_operator_cast] = STATE(8035),
    [sym__constructor_specifiers] = STATE(2511),
    [sym_operator_cast_definition] = STATE(69),
    [sym_operator_cast_declaration] = STATE(69),
    [sym_constructor_or_destructor_definition] = STATE(69),
    [sym_reference_declarator] = STATE(7680),
    [sym_structured_binding_declarator] = STATE(7680),
    [sym_template_type] = STATE(3129),
    [sym_template_function] = STATE(5703),
    [sym_namespace_definition] = STATE(69),
    [sym_namespace_alias_definition] = STATE(69),
    [sym_using_declaration] = STATE(69),
    [sym_alias_declaration] = STATE(69),
    [sym_static_assert_declaration] = STATE(69),
    [sym_concept_definition] = STATE(69),
    [sym_for_range_loop] = STATE(69),
    [sym_co_return_statement] = STATE(69),
    [sym_co_yield_statement] = STATE(69),
    [sym_throw_statement] = STATE(69),
    [sym_try_statement] = STATE(69),
    [sym_raw_string_literal] = STATE(4217),
    [sym_co_await_expression] = STATE(5024),
    [sym_new_expression] = STATE(5024),
    [sym_delete_expression] = STATE(5024),
    [sym_requires_clause] = STATE(5024),
    [sym_requires_expression] = STATE(5024),
    [sym_lambda_expression] = STATE(5024),
    [sym_lambda_capture_specifier] = STATE(7184),
    [sym_fold_expression] = STATE(5024),
    [sym_parameter_pack_expansion] = STATE(5024),
    [sym_destructor_name] = STATE(7680),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6764),
    [sym_qualified_identifier] = STATE(4502),
    [sym_qualified_type_identifier] = STATE(3127),
    [sym_qualified_operator_cast_identifier] = STATE(8035),
    [sym_operator_name] = STATE(7680),
    [sym_user_defined_literal] = STATE(4507),
    [sym_discard_statement] = STATE(69),
    [sym_qualifiers] = STATE(3159),
    [sym_cbuffer_specifier] = STATE(69),
    [sym_hlsl_attribute] = STATE(1858),
    [aux_sym_preproc_if_repeat1] = STATE(69),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2673),
    [aux_sym_attributed_declarator_repeat1] = STATE(1339),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3021),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2511),
    [sym_identifier] = ACTIONS(828),
    [aux_sym_preproc_include_token1] = ACTIONS(165),
    [aux_sym_preproc_def_token1] = ACTIONS(167),
    [aux_sym_preproc_if_token1] = ACTIONS(171),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(173),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(173),
    [sym_preproc_directive] = ACTIONS(175),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(177),
    [anon_sym___extension__] = ACTIONS(179),
    [anon_sym_typedef] = ACTIONS(181),
    [anon_sym_in] = ACTIONS(37),
    [anon_sym_out] = ACTIONS(37),
    [anon_sym_inout] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(183),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(45),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym___cdecl] = ACTIONS(51),
    [anon_sym___clrcall] = ACTIONS(51),
    [anon_sym___stdcall] = ACTIONS(51),
    [anon_sym___fastcall] = ACTIONS(51),
    [anon_sym___thiscall] = ACTIONS(51),
    [anon_sym___vectorcall] = ACTIONS(51),
    [anon_sym_LBRACE] = ACTIONS(830),
    [anon_sym_RBRACE] = ACTIONS(1112),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(191),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(65),
    [anon_sym_enum] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(69),
    [anon_sym_struct] = ACTIONS(71),
    [anon_sym_union] = ACTIONS(73),
    [anon_sym_if] = ACTIONS(193),
    [anon_sym_switch] = ACTIONS(195),
    [anon_sym_case] = ACTIONS(197),
    [anon_sym_default] = ACTIONS(199),
    [anon_sym_while] = ACTIONS(201),
    [anon_sym_do] = ACTIONS(203),
    [anon_sym_for] = ACTIONS(205),
    [anon_sym_return] = ACTIONS(207),
    [anon_sym_break] = ACTIONS(209),
    [anon_sym_continue] = ACTIONS(211),
    [anon_sym_goto] = ACTIONS(213),
    [anon_sym___try] = ACTIONS(215),
    [anon_sym___leave] = ACTIONS(217),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [anon_sym_virtual] = ACTIONS(123),
    [anon_sym_alignas] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(223),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_try] = ACTIONS(225),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(227),
    [anon_sym_namespace] = ACTIONS(229),
    [anon_sym_using] = ACTIONS(231),
    [anon_sym_static_assert] = ACTIONS(233),
    [anon_sym_concept] = ACTIONS(235),
    [anon_sym_co_return] = ACTIONS(237),
    [anon_sym_co_yield] = ACTIONS(239),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
    [anon_sym_discard] = ACTIONS(241),
    [anon_sym_precise] = ACTIONS(161),
    [anon_sym_shared] = ACTIONS(161),
    [anon_sym_groupshared] = ACTIONS(161),
    [anon_sym_uniform] = ACTIONS(161),
    [anon_sym_row_major] = ACTIONS(161),
    [anon_sym_column_major] = ACTIONS(161),
    [anon_sym_globallycoherent] = ACTIONS(161),
    [anon_sym_centroid] = ACTIONS(161),
    [anon_sym_noperspective] = ACTIONS(161),
    [anon_sym_nointerpolation] = ACTIONS(161),
    [anon_sym_sample] = ACTIONS(161),
    [anon_sym_linear] = ACTIONS(161),
    [anon_sym_snorm] = ACTIONS(161),
    [anon_sym_unorm] = ACTIONS(161),
    [anon_sym_point] = ACTIONS(161),
    [anon_sym_line] = ACTIONS(161),
    [anon_sym_triangleadj] = ACTIONS(161),
    [anon_sym_lineadj] = ACTIONS(161),
    [anon_sym_triangle] = ACTIONS(161),
    [anon_sym_cbuffer] = ACTIONS(243),
  },
  [76] = {
    [sym_preproc_include] = STATE(87),
    [sym_preproc_def] = STATE(87),
    [sym_preproc_function_def] = STATE(87),
    [sym_preproc_call] = STATE(87),
    [sym_preproc_if] = STATE(87),
    [sym_preproc_ifdef] = STATE(87),
    [sym_function_definition] = STATE(87),
    [sym_declaration] = STATE(87),
    [sym_type_definition] = STATE(87),
    [sym__declaration_modifiers] = STATE(3159),
    [sym__declaration_specifiers] = STATE(5936),
    [sym_linkage_specification] = STATE(87),
    [sym_attribute_specifier] = STATE(3159),
    [sym_attribute_declaration] = STATE(1464),
    [sym_ms_declspec_modifier] = STATE(3159),
    [sym_ms_based_modifier] = STATE(10332),
    [sym_ms_call_modifier] = STATE(2627),
    [sym__declarator] = STATE(7978),
    [sym_parenthesized_declarator] = STATE(7680),
    [sym_attributed_declarator] = STATE(7680),
    [sym_pointer_declarator] = STATE(7680),
    [sym_function_declarator] = STATE(7603),
    [sym_array_declarator] = STATE(7680),
    [sym_compound_statement] = STATE(87),
    [sym_storage_class_specifier] = STATE(3159),
    [sym_type_qualifier] = STATE(3159),
    [sym__type_specifier] = STATE(3040),
    [sym_sized_type_specifier] = STATE(3085),
    [sym_enum_specifier] = STATE(3085),
    [sym_struct_specifier] = STATE(3085),
    [sym_union_specifier] = STATE(3085),
    [sym_attributed_statement] = STATE(87),
    [sym_labeled_statement] = STATE(87),
    [sym_expression_statement] = STATE(87),
    [sym_if_statement] = STATE(87),
    [sym_switch_statement] = STATE(87),
    [sym_case_statement] = STATE(87),
    [sym_while_statement] = STATE(87),
    [sym_do_statement] = STATE(87),
    [sym_for_statement] = STATE(87),
    [sym_return_statement] = STATE(87),
    [sym_break_statement] = STATE(87),
    [sym_continue_statement] = STATE(87),
    [sym_goto_statement] = STATE(87),
    [sym_seh_try_statement] = STATE(87),
    [sym_seh_leave_statement] = STATE(87),
    [sym__expression] = STATE(5768),
    [sym__expression_not_binary] = STATE(5024),
    [sym__string] = STATE(5024),
    [sym_comma_expression] = STATE(9694),
    [sym_conditional_expression] = STATE(5024),
    [sym_assignment_expression] = STATE(5024),
    [sym_pointer_expression] = STATE(4507),
    [sym_unary_expression] = STATE(5024),
    [sym_binary_expression] = STATE(5024),
    [sym_update_expression] = STATE(5024),
    [sym_cast_expression] = STATE(5024),
    [sym_sizeof_expression] = STATE(5024),
    [sym_alignof_expression] = STATE(5024),
    [sym_offsetof_expression] = STATE(5024),
    [sym_generic_expression] = STATE(5024),
    [sym_subscript_expression] = STATE(4507),
    [sym_call_expression] = STATE(4507),
    [sym_gnu_asm_expression] = STATE(5024),
    [sym_field_expression] = STATE(4507),
    [sym_compound_literal_expression] = STATE(5024),
    [sym_parenthesized_expression] = STATE(4507),
    [sym_char_literal] = STATE(5374),
    [sym_concatenated_string] = STATE(5377),
    [sym_string_literal] = STATE(4206),
    [sym_null] = STATE(5024),
    [sym__empty_declaration] = STATE(87),
    [sym_placeholder_type_specifier] = STATE(3085),
    [sym_decltype_auto] = STATE(3091),
    [sym_decltype] = STATE(3050),
    [sym_class_specifier] = STATE(3085),
    [sym__class_name] = STATE(9352),
    [sym_virtual] = STATE(3159),
    [sym_alignas_specifier] = STATE(3159),
    [sym_explicit_function_specifier] = STATE(2507),
    [sym_dependent_type] = STATE(3085),
    [sym_template_declaration] = STATE(87),
    [sym_template_instantiation] = STATE(87),
    [sym_operator_cast] = STATE(8046),
    [sym__constructor_specifiers] = STATE(2507),
    [sym_operator_cast_definition] = STATE(87),
    [sym_operator_cast_declaration] = STATE(87),
    [sym_constructor_or_destructor_definition] = STATE(87),
    [sym_reference_declarator] = STATE(7680),
    [sym_structured_binding_declarator] = STATE(7680),
    [sym_template_type] = STATE(3129),
    [sym_template_function] = STATE(5703),
    [sym_namespace_definition] = STATE(87),
    [sym_namespace_alias_definition] = STATE(87),
    [sym_using_declaration] = STATE(87),
    [sym_alias_declaration] = STATE(87),
    [sym_static_assert_declaration] = STATE(87),
    [sym_concept_definition] = STATE(87),
    [sym_for_range_loop] = STATE(87),
    [sym_co_return_statement] = STATE(87),
    [sym_co_yield_statement] = STATE(87),
    [sym_throw_statement] = STATE(87),
    [sym_try_statement] = STATE(87),
    [sym_raw_string_literal] = STATE(4217),
    [sym_co_await_expression] = STATE(5024),
    [sym_new_expression] = STATE(5024),
    [sym_delete_expression] = STATE(5024),
    [sym_requires_clause] = STATE(5024),
    [sym_requires_expression] = STATE(5024),
    [sym_lambda_expression] = STATE(5024),
    [sym_lambda_capture_specifier] = STATE(7184),
    [sym_fold_expression] = STATE(5024),
    [sym_parameter_pack_expansion] = STATE(5024),
    [sym_destructor_name] = STATE(7680),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6764),
    [sym_qualified_identifier] = STATE(4502),
    [sym_qualified_type_identifier] = STATE(3127),
    [sym_qualified_operator_cast_identifier] = STATE(8046),
    [sym_operator_name] = STATE(7680),
    [sym_user_defined_literal] = STATE(4507),
    [sym_discard_statement] = STATE(87),
    [sym_qualifiers] = STATE(3159),
    [sym_cbuffer_specifier] = STATE(87),
    [sym_hlsl_attribute] = STATE(1907),
    [aux_sym_preproc_if_repeat1] = STATE(87),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2673),
    [aux_sym_attributed_declarator_repeat1] = STATE(1367),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3021),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2507),
    [sym_identifier] = ACTIONS(1114),
    [aux_sym_preproc_include_token1] = ACTIONS(1116),
    [aux_sym_preproc_def_token1] = ACTIONS(1118),
    [aux_sym_preproc_if_token1] = ACTIONS(1120),
    [aux_sym_preproc_if_token2] = ACTIONS(1122),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1124),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1124),
    [sym_preproc_directive] = ACTIONS(1126),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(1128),
    [anon_sym___extension__] = ACTIONS(1130),
    [anon_sym_typedef] = ACTIONS(1132),
    [anon_sym_in] = ACTIONS(37),
    [anon_sym_out] = ACTIONS(37),
    [anon_sym_inout] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(1134),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(45),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym___cdecl] = ACTIONS(51),
    [anon_sym___clrcall] = ACTIONS(51),
    [anon_sym___stdcall] = ACTIONS(51),
    [anon_sym___fastcall] = ACTIONS(51),
    [anon_sym___thiscall] = ACTIONS(51),
    [anon_sym___vectorcall] = ACTIONS(51),
    [anon_sym_LBRACE] = ACTIONS(1136),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(1138),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(65),
    [anon_sym_enum] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(69),
    [anon_sym_struct] = ACTIONS(71),
    [anon_sym_union] = ACTIONS(73),
    [anon_sym_if] = ACTIONS(1140),
    [anon_sym_switch] = ACTIONS(1142),
    [anon_sym_case] = ACTIONS(1144),
    [anon_sym_default] = ACTIONS(1146),
    [anon_sym_while] = ACTIONS(1148),
    [anon_sym_do] = ACTIONS(1150),
    [anon_sym_for] = ACTIONS(1152),
    [anon_sym_return] = ACTIONS(1154),
    [anon_sym_break] = ACTIONS(1156),
    [anon_sym_continue] = ACTIONS(1158),
    [anon_sym_goto] = ACTIONS(1160),
    [anon_sym___try] = ACTIONS(1162),
    [anon_sym___leave] = ACTIONS(1164),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [anon_sym_virtual] = ACTIONS(123),
    [anon_sym_alignas] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(1166),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_try] = ACTIONS(1168),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(1170),
    [anon_sym_namespace] = ACTIONS(1172),
    [anon_sym_using] = ACTIONS(1174),
    [anon_sym_static_assert] = ACTIONS(1176),
    [anon_sym_concept] = ACTIONS(1178),
    [anon_sym_co_return] = ACTIONS(1180),
    [anon_sym_co_yield] = ACTIONS(1182),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
    [anon_sym_discard] = ACTIONS(1184),
    [anon_sym_precise] = ACTIONS(161),
    [anon_sym_shared] = ACTIONS(161),
    [anon_sym_groupshared] = ACTIONS(161),
    [anon_sym_uniform] = ACTIONS(161),
    [anon_sym_row_major] = ACTIONS(161),
    [anon_sym_column_major] = ACTIONS(161),
    [anon_sym_globallycoherent] = ACTIONS(161),
    [anon_sym_centroid] = ACTIONS(161),
    [anon_sym_noperspective] = ACTIONS(161),
    [anon_sym_nointerpolation] = ACTIONS(161),
    [anon_sym_sample] = ACTIONS(161),
    [anon_sym_linear] = ACTIONS(161),
    [anon_sym_snorm] = ACTIONS(161),
    [anon_sym_unorm] = ACTIONS(161),
    [anon_sym_point] = ACTIONS(161),
    [anon_sym_line] = ACTIONS(161),
    [anon_sym_triangleadj] = ACTIONS(161),
    [anon_sym_lineadj] = ACTIONS(161),
    [anon_sym_triangle] = ACTIONS(161),
    [anon_sym_cbuffer] = ACTIONS(1186),
  },
  [77] = {
    [sym_preproc_include] = STATE(81),
    [sym_preproc_def] = STATE(81),
    [sym_preproc_function_def] = STATE(81),
    [sym_preproc_call] = STATE(81),
    [sym_preproc_if] = STATE(81),
    [sym_preproc_ifdef] = STATE(81),
    [sym_function_definition] = STATE(81),
    [sym_declaration] = STATE(81),
    [sym_type_definition] = STATE(81),
    [sym__declaration_modifiers] = STATE(3159),
    [sym__declaration_specifiers] = STATE(5906),
    [sym_linkage_specification] = STATE(81),
    [sym_attribute_specifier] = STATE(3159),
    [sym_attribute_declaration] = STATE(1464),
    [sym_ms_declspec_modifier] = STATE(3159),
    [sym_ms_based_modifier] = STATE(10332),
    [sym_ms_call_modifier] = STATE(2574),
    [sym__declarator] = STATE(7978),
    [sym_parenthesized_declarator] = STATE(7680),
    [sym_attributed_declarator] = STATE(7680),
    [sym_pointer_declarator] = STATE(7680),
    [sym_function_declarator] = STATE(7611),
    [sym_array_declarator] = STATE(7680),
    [sym_compound_statement] = STATE(81),
    [sym_storage_class_specifier] = STATE(3159),
    [sym_type_qualifier] = STATE(3159),
    [sym__type_specifier] = STATE(3039),
    [sym_sized_type_specifier] = STATE(3085),
    [sym_enum_specifier] = STATE(3085),
    [sym_struct_specifier] = STATE(3085),
    [sym_union_specifier] = STATE(3085),
    [sym_attributed_statement] = STATE(81),
    [sym_labeled_statement] = STATE(81),
    [sym_expression_statement] = STATE(81),
    [sym_if_statement] = STATE(81),
    [sym_switch_statement] = STATE(81),
    [sym_case_statement] = STATE(81),
    [sym_while_statement] = STATE(81),
    [sym_do_statement] = STATE(81),
    [sym_for_statement] = STATE(81),
    [sym_return_statement] = STATE(81),
    [sym_break_statement] = STATE(81),
    [sym_continue_statement] = STATE(81),
    [sym_goto_statement] = STATE(81),
    [sym_seh_try_statement] = STATE(81),
    [sym_seh_leave_statement] = STATE(81),
    [sym__expression] = STATE(5674),
    [sym__expression_not_binary] = STATE(5024),
    [sym__string] = STATE(5024),
    [sym_comma_expression] = STATE(10272),
    [sym_conditional_expression] = STATE(5024),
    [sym_assignment_expression] = STATE(5024),
    [sym_pointer_expression] = STATE(4507),
    [sym_unary_expression] = STATE(5024),
    [sym_binary_expression] = STATE(5024),
    [sym_update_expression] = STATE(5024),
    [sym_cast_expression] = STATE(5024),
    [sym_sizeof_expression] = STATE(5024),
    [sym_alignof_expression] = STATE(5024),
    [sym_offsetof_expression] = STATE(5024),
    [sym_generic_expression] = STATE(5024),
    [sym_subscript_expression] = STATE(4507),
    [sym_call_expression] = STATE(4507),
    [sym_gnu_asm_expression] = STATE(5024),
    [sym_field_expression] = STATE(4507),
    [sym_compound_literal_expression] = STATE(5024),
    [sym_parenthesized_expression] = STATE(4507),
    [sym_char_literal] = STATE(5374),
    [sym_concatenated_string] = STATE(5377),
    [sym_string_literal] = STATE(4206),
    [sym_null] = STATE(5024),
    [sym__empty_declaration] = STATE(81),
    [sym_placeholder_type_specifier] = STATE(3085),
    [sym_decltype_auto] = STATE(3091),
    [sym_decltype] = STATE(3050),
    [sym_class_specifier] = STATE(3085),
    [sym__class_name] = STATE(9352),
    [sym_virtual] = STATE(3159),
    [sym_alignas_specifier] = STATE(3159),
    [sym_explicit_function_specifier] = STATE(2511),
    [sym_dependent_type] = STATE(3085),
    [sym_template_declaration] = STATE(81),
    [sym_template_instantiation] = STATE(81),
    [sym_operator_cast] = STATE(8035),
    [sym__constructor_specifiers] = STATE(2511),
    [sym_operator_cast_definition] = STATE(81),
    [sym_operator_cast_declaration] = STATE(81),
    [sym_constructor_or_destructor_definition] = STATE(81),
    [sym_reference_declarator] = STATE(7680),
    [sym_structured_binding_declarator] = STATE(7680),
    [sym_template_type] = STATE(3129),
    [sym_template_function] = STATE(5703),
    [sym_namespace_definition] = STATE(81),
    [sym_namespace_alias_definition] = STATE(81),
    [sym_using_declaration] = STATE(81),
    [sym_alias_declaration] = STATE(81),
    [sym_static_assert_declaration] = STATE(81),
    [sym_concept_definition] = STATE(81),
    [sym_for_range_loop] = STATE(81),
    [sym_co_return_statement] = STATE(81),
    [sym_co_yield_statement] = STATE(81),
    [sym_throw_statement] = STATE(81),
    [sym_try_statement] = STATE(81),
    [sym_raw_string_literal] = STATE(4217),
    [sym_co_await_expression] = STATE(5024),
    [sym_new_expression] = STATE(5024),
    [sym_delete_expression] = STATE(5024),
    [sym_requires_clause] = STATE(5024),
    [sym_requires_expression] = STATE(5024),
    [sym_lambda_expression] = STATE(5024),
    [sym_lambda_capture_specifier] = STATE(7184),
    [sym_fold_expression] = STATE(5024),
    [sym_parameter_pack_expansion] = STATE(5024),
    [sym_destructor_name] = STATE(7680),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6764),
    [sym_qualified_identifier] = STATE(4502),
    [sym_qualified_type_identifier] = STATE(3127),
    [sym_qualified_operator_cast_identifier] = STATE(8035),
    [sym_operator_name] = STATE(7680),
    [sym_user_defined_literal] = STATE(4507),
    [sym_discard_statement] = STATE(81),
    [sym_qualifiers] = STATE(3159),
    [sym_cbuffer_specifier] = STATE(81),
    [sym_hlsl_attribute] = STATE(1858),
    [aux_sym_preproc_if_repeat1] = STATE(81),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2673),
    [aux_sym_attributed_declarator_repeat1] = STATE(1339),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3021),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2511),
    [sym_identifier] = ACTIONS(828),
    [aux_sym_preproc_include_token1] = ACTIONS(165),
    [aux_sym_preproc_def_token1] = ACTIONS(167),
    [aux_sym_preproc_if_token1] = ACTIONS(171),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(173),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(173),
    [sym_preproc_directive] = ACTIONS(175),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(177),
    [anon_sym___extension__] = ACTIONS(179),
    [anon_sym_typedef] = ACTIONS(181),
    [anon_sym_in] = ACTIONS(37),
    [anon_sym_out] = ACTIONS(37),
    [anon_sym_inout] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(183),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(45),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym___cdecl] = ACTIONS(51),
    [anon_sym___clrcall] = ACTIONS(51),
    [anon_sym___stdcall] = ACTIONS(51),
    [anon_sym___fastcall] = ACTIONS(51),
    [anon_sym___thiscall] = ACTIONS(51),
    [anon_sym___vectorcall] = ACTIONS(51),
    [anon_sym_LBRACE] = ACTIONS(830),
    [anon_sym_RBRACE] = ACTIONS(1188),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(191),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(65),
    [anon_sym_enum] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(69),
    [anon_sym_struct] = ACTIONS(71),
    [anon_sym_union] = ACTIONS(73),
    [anon_sym_if] = ACTIONS(193),
    [anon_sym_switch] = ACTIONS(195),
    [anon_sym_case] = ACTIONS(197),
    [anon_sym_default] = ACTIONS(199),
    [anon_sym_while] = ACTIONS(201),
    [anon_sym_do] = ACTIONS(203),
    [anon_sym_for] = ACTIONS(205),
    [anon_sym_return] = ACTIONS(207),
    [anon_sym_break] = ACTIONS(209),
    [anon_sym_continue] = ACTIONS(211),
    [anon_sym_goto] = ACTIONS(213),
    [anon_sym___try] = ACTIONS(215),
    [anon_sym___leave] = ACTIONS(217),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [anon_sym_virtual] = ACTIONS(123),
    [anon_sym_alignas] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(223),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_try] = ACTIONS(225),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(227),
    [anon_sym_namespace] = ACTIONS(229),
    [anon_sym_using] = ACTIONS(231),
    [anon_sym_static_assert] = ACTIONS(233),
    [anon_sym_concept] = ACTIONS(235),
    [anon_sym_co_return] = ACTIONS(237),
    [anon_sym_co_yield] = ACTIONS(239),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
    [anon_sym_discard] = ACTIONS(241),
    [anon_sym_precise] = ACTIONS(161),
    [anon_sym_shared] = ACTIONS(161),
    [anon_sym_groupshared] = ACTIONS(161),
    [anon_sym_uniform] = ACTIONS(161),
    [anon_sym_row_major] = ACTIONS(161),
    [anon_sym_column_major] = ACTIONS(161),
    [anon_sym_globallycoherent] = ACTIONS(161),
    [anon_sym_centroid] = ACTIONS(161),
    [anon_sym_noperspective] = ACTIONS(161),
    [anon_sym_nointerpolation] = ACTIONS(161),
    [anon_sym_sample] = ACTIONS(161),
    [anon_sym_linear] = ACTIONS(161),
    [anon_sym_snorm] = ACTIONS(161),
    [anon_sym_unorm] = ACTIONS(161),
    [anon_sym_point] = ACTIONS(161),
    [anon_sym_line] = ACTIONS(161),
    [anon_sym_triangleadj] = ACTIONS(161),
    [anon_sym_lineadj] = ACTIONS(161),
    [anon_sym_triangle] = ACTIONS(161),
    [anon_sym_cbuffer] = ACTIONS(243),
  },
  [78] = {
    [sym_preproc_include] = STATE(94),
    [sym_preproc_def] = STATE(94),
    [sym_preproc_function_def] = STATE(94),
    [sym_preproc_call] = STATE(94),
    [sym_preproc_if] = STATE(94),
    [sym_preproc_ifdef] = STATE(94),
    [sym_function_definition] = STATE(94),
    [sym_declaration] = STATE(94),
    [sym_type_definition] = STATE(94),
    [sym__declaration_modifiers] = STATE(3159),
    [sym__declaration_specifiers] = STATE(5906),
    [sym_linkage_specification] = STATE(94),
    [sym_attribute_specifier] = STATE(3159),
    [sym_attribute_declaration] = STATE(1464),
    [sym_ms_declspec_modifier] = STATE(3159),
    [sym_ms_based_modifier] = STATE(10332),
    [sym_ms_call_modifier] = STATE(2574),
    [sym__declarator] = STATE(7978),
    [sym_parenthesized_declarator] = STATE(7680),
    [sym_attributed_declarator] = STATE(7680),
    [sym_pointer_declarator] = STATE(7680),
    [sym_function_declarator] = STATE(7611),
    [sym_array_declarator] = STATE(7680),
    [sym_compound_statement] = STATE(94),
    [sym_storage_class_specifier] = STATE(3159),
    [sym_type_qualifier] = STATE(3159),
    [sym__type_specifier] = STATE(3039),
    [sym_sized_type_specifier] = STATE(3085),
    [sym_enum_specifier] = STATE(3085),
    [sym_struct_specifier] = STATE(3085),
    [sym_union_specifier] = STATE(3085),
    [sym_attributed_statement] = STATE(94),
    [sym_labeled_statement] = STATE(94),
    [sym_expression_statement] = STATE(94),
    [sym_if_statement] = STATE(94),
    [sym_switch_statement] = STATE(94),
    [sym_case_statement] = STATE(94),
    [sym_while_statement] = STATE(94),
    [sym_do_statement] = STATE(94),
    [sym_for_statement] = STATE(94),
    [sym_return_statement] = STATE(94),
    [sym_break_statement] = STATE(94),
    [sym_continue_statement] = STATE(94),
    [sym_goto_statement] = STATE(94),
    [sym_seh_try_statement] = STATE(94),
    [sym_seh_leave_statement] = STATE(94),
    [sym__expression] = STATE(5674),
    [sym__expression_not_binary] = STATE(5024),
    [sym__string] = STATE(5024),
    [sym_comma_expression] = STATE(10272),
    [sym_conditional_expression] = STATE(5024),
    [sym_assignment_expression] = STATE(5024),
    [sym_pointer_expression] = STATE(4507),
    [sym_unary_expression] = STATE(5024),
    [sym_binary_expression] = STATE(5024),
    [sym_update_expression] = STATE(5024),
    [sym_cast_expression] = STATE(5024),
    [sym_sizeof_expression] = STATE(5024),
    [sym_alignof_expression] = STATE(5024),
    [sym_offsetof_expression] = STATE(5024),
    [sym_generic_expression] = STATE(5024),
    [sym_subscript_expression] = STATE(4507),
    [sym_call_expression] = STATE(4507),
    [sym_gnu_asm_expression] = STATE(5024),
    [sym_field_expression] = STATE(4507),
    [sym_compound_literal_expression] = STATE(5024),
    [sym_parenthesized_expression] = STATE(4507),
    [sym_char_literal] = STATE(5374),
    [sym_concatenated_string] = STATE(5377),
    [sym_string_literal] = STATE(4206),
    [sym_null] = STATE(5024),
    [sym__empty_declaration] = STATE(94),
    [sym_placeholder_type_specifier] = STATE(3085),
    [sym_decltype_auto] = STATE(3091),
    [sym_decltype] = STATE(3050),
    [sym_class_specifier] = STATE(3085),
    [sym__class_name] = STATE(9352),
    [sym_virtual] = STATE(3159),
    [sym_alignas_specifier] = STATE(3159),
    [sym_explicit_function_specifier] = STATE(2511),
    [sym_dependent_type] = STATE(3085),
    [sym_template_declaration] = STATE(94),
    [sym_template_instantiation] = STATE(94),
    [sym_operator_cast] = STATE(8035),
    [sym__constructor_specifiers] = STATE(2511),
    [sym_operator_cast_definition] = STATE(94),
    [sym_operator_cast_declaration] = STATE(94),
    [sym_constructor_or_destructor_definition] = STATE(94),
    [sym_reference_declarator] = STATE(7680),
    [sym_structured_binding_declarator] = STATE(7680),
    [sym_template_type] = STATE(3129),
    [sym_template_function] = STATE(5703),
    [sym_namespace_definition] = STATE(94),
    [sym_namespace_alias_definition] = STATE(94),
    [sym_using_declaration] = STATE(94),
    [sym_alias_declaration] = STATE(94),
    [sym_static_assert_declaration] = STATE(94),
    [sym_concept_definition] = STATE(94),
    [sym_for_range_loop] = STATE(94),
    [sym_co_return_statement] = STATE(94),
    [sym_co_yield_statement] = STATE(94),
    [sym_throw_statement] = STATE(94),
    [sym_try_statement] = STATE(94),
    [sym_raw_string_literal] = STATE(4217),
    [sym_co_await_expression] = STATE(5024),
    [sym_new_expression] = STATE(5024),
    [sym_delete_expression] = STATE(5024),
    [sym_requires_clause] = STATE(5024),
    [sym_requires_expression] = STATE(5024),
    [sym_lambda_expression] = STATE(5024),
    [sym_lambda_capture_specifier] = STATE(7184),
    [sym_fold_expression] = STATE(5024),
    [sym_parameter_pack_expansion] = STATE(5024),
    [sym_destructor_name] = STATE(7680),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6764),
    [sym_qualified_identifier] = STATE(4502),
    [sym_qualified_type_identifier] = STATE(3127),
    [sym_qualified_operator_cast_identifier] = STATE(8035),
    [sym_operator_name] = STATE(7680),
    [sym_user_defined_literal] = STATE(4507),
    [sym_discard_statement] = STATE(94),
    [sym_qualifiers] = STATE(3159),
    [sym_cbuffer_specifier] = STATE(94),
    [sym_hlsl_attribute] = STATE(1858),
    [aux_sym_preproc_if_repeat1] = STATE(94),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2673),
    [aux_sym_attributed_declarator_repeat1] = STATE(1339),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3021),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2511),
    [sym_identifier] = ACTIONS(828),
    [aux_sym_preproc_include_token1] = ACTIONS(165),
    [aux_sym_preproc_def_token1] = ACTIONS(167),
    [aux_sym_preproc_if_token1] = ACTIONS(171),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(173),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(173),
    [sym_preproc_directive] = ACTIONS(175),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(177),
    [anon_sym___extension__] = ACTIONS(179),
    [anon_sym_typedef] = ACTIONS(181),
    [anon_sym_in] = ACTIONS(37),
    [anon_sym_out] = ACTIONS(37),
    [anon_sym_inout] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(183),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(45),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym___cdecl] = ACTIONS(51),
    [anon_sym___clrcall] = ACTIONS(51),
    [anon_sym___stdcall] = ACTIONS(51),
    [anon_sym___fastcall] = ACTIONS(51),
    [anon_sym___thiscall] = ACTIONS(51),
    [anon_sym___vectorcall] = ACTIONS(51),
    [anon_sym_LBRACE] = ACTIONS(830),
    [anon_sym_RBRACE] = ACTIONS(1190),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(191),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(65),
    [anon_sym_enum] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(69),
    [anon_sym_struct] = ACTIONS(71),
    [anon_sym_union] = ACTIONS(73),
    [anon_sym_if] = ACTIONS(193),
    [anon_sym_switch] = ACTIONS(195),
    [anon_sym_case] = ACTIONS(197),
    [anon_sym_default] = ACTIONS(199),
    [anon_sym_while] = ACTIONS(201),
    [anon_sym_do] = ACTIONS(203),
    [anon_sym_for] = ACTIONS(205),
    [anon_sym_return] = ACTIONS(207),
    [anon_sym_break] = ACTIONS(209),
    [anon_sym_continue] = ACTIONS(211),
    [anon_sym_goto] = ACTIONS(213),
    [anon_sym___try] = ACTIONS(215),
    [anon_sym___leave] = ACTIONS(217),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [anon_sym_virtual] = ACTIONS(123),
    [anon_sym_alignas] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(223),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_try] = ACTIONS(225),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(227),
    [anon_sym_namespace] = ACTIONS(229),
    [anon_sym_using] = ACTIONS(231),
    [anon_sym_static_assert] = ACTIONS(233),
    [anon_sym_concept] = ACTIONS(235),
    [anon_sym_co_return] = ACTIONS(237),
    [anon_sym_co_yield] = ACTIONS(239),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
    [anon_sym_discard] = ACTIONS(241),
    [anon_sym_precise] = ACTIONS(161),
    [anon_sym_shared] = ACTIONS(161),
    [anon_sym_groupshared] = ACTIONS(161),
    [anon_sym_uniform] = ACTIONS(161),
    [anon_sym_row_major] = ACTIONS(161),
    [anon_sym_column_major] = ACTIONS(161),
    [anon_sym_globallycoherent] = ACTIONS(161),
    [anon_sym_centroid] = ACTIONS(161),
    [anon_sym_noperspective] = ACTIONS(161),
    [anon_sym_nointerpolation] = ACTIONS(161),
    [anon_sym_sample] = ACTIONS(161),
    [anon_sym_linear] = ACTIONS(161),
    [anon_sym_snorm] = ACTIONS(161),
    [anon_sym_unorm] = ACTIONS(161),
    [anon_sym_point] = ACTIONS(161),
    [anon_sym_line] = ACTIONS(161),
    [anon_sym_triangleadj] = ACTIONS(161),
    [anon_sym_lineadj] = ACTIONS(161),
    [anon_sym_triangle] = ACTIONS(161),
    [anon_sym_cbuffer] = ACTIONS(243),
  },
  [79] = {
    [sym_preproc_include] = STATE(49),
    [sym_preproc_def] = STATE(49),
    [sym_preproc_function_def] = STATE(49),
    [sym_preproc_call] = STATE(49),
    [sym_preproc_if] = STATE(49),
    [sym_preproc_ifdef] = STATE(49),
    [sym_function_definition] = STATE(49),
    [sym_declaration] = STATE(49),
    [sym_type_definition] = STATE(49),
    [sym__declaration_modifiers] = STATE(3159),
    [sym__declaration_specifiers] = STATE(5906),
    [sym_linkage_specification] = STATE(49),
    [sym_attribute_specifier] = STATE(3159),
    [sym_attribute_declaration] = STATE(1464),
    [sym_ms_declspec_modifier] = STATE(3159),
    [sym_ms_based_modifier] = STATE(10332),
    [sym_ms_call_modifier] = STATE(2574),
    [sym__declarator] = STATE(7978),
    [sym_parenthesized_declarator] = STATE(7680),
    [sym_attributed_declarator] = STATE(7680),
    [sym_pointer_declarator] = STATE(7680),
    [sym_function_declarator] = STATE(7611),
    [sym_array_declarator] = STATE(7680),
    [sym_compound_statement] = STATE(49),
    [sym_storage_class_specifier] = STATE(3159),
    [sym_type_qualifier] = STATE(3159),
    [sym__type_specifier] = STATE(3039),
    [sym_sized_type_specifier] = STATE(3085),
    [sym_enum_specifier] = STATE(3085),
    [sym_struct_specifier] = STATE(3085),
    [sym_union_specifier] = STATE(3085),
    [sym_attributed_statement] = STATE(49),
    [sym_labeled_statement] = STATE(49),
    [sym_expression_statement] = STATE(49),
    [sym_if_statement] = STATE(49),
    [sym_switch_statement] = STATE(49),
    [sym_case_statement] = STATE(49),
    [sym_while_statement] = STATE(49),
    [sym_do_statement] = STATE(49),
    [sym_for_statement] = STATE(49),
    [sym_return_statement] = STATE(49),
    [sym_break_statement] = STATE(49),
    [sym_continue_statement] = STATE(49),
    [sym_goto_statement] = STATE(49),
    [sym_seh_try_statement] = STATE(49),
    [sym_seh_leave_statement] = STATE(49),
    [sym__expression] = STATE(5674),
    [sym__expression_not_binary] = STATE(5024),
    [sym__string] = STATE(5024),
    [sym_comma_expression] = STATE(10272),
    [sym_conditional_expression] = STATE(5024),
    [sym_assignment_expression] = STATE(5024),
    [sym_pointer_expression] = STATE(4507),
    [sym_unary_expression] = STATE(5024),
    [sym_binary_expression] = STATE(5024),
    [sym_update_expression] = STATE(5024),
    [sym_cast_expression] = STATE(5024),
    [sym_sizeof_expression] = STATE(5024),
    [sym_alignof_expression] = STATE(5024),
    [sym_offsetof_expression] = STATE(5024),
    [sym_generic_expression] = STATE(5024),
    [sym_subscript_expression] = STATE(4507),
    [sym_call_expression] = STATE(4507),
    [sym_gnu_asm_expression] = STATE(5024),
    [sym_field_expression] = STATE(4507),
    [sym_compound_literal_expression] = STATE(5024),
    [sym_parenthesized_expression] = STATE(4507),
    [sym_char_literal] = STATE(5374),
    [sym_concatenated_string] = STATE(5377),
    [sym_string_literal] = STATE(4206),
    [sym_null] = STATE(5024),
    [sym__empty_declaration] = STATE(49),
    [sym_placeholder_type_specifier] = STATE(3085),
    [sym_decltype_auto] = STATE(3091),
    [sym_decltype] = STATE(3050),
    [sym_class_specifier] = STATE(3085),
    [sym__class_name] = STATE(9352),
    [sym_virtual] = STATE(3159),
    [sym_alignas_specifier] = STATE(3159),
    [sym_explicit_function_specifier] = STATE(2511),
    [sym_dependent_type] = STATE(3085),
    [sym_template_declaration] = STATE(49),
    [sym_template_instantiation] = STATE(49),
    [sym_operator_cast] = STATE(8035),
    [sym__constructor_specifiers] = STATE(2511),
    [sym_operator_cast_definition] = STATE(49),
    [sym_operator_cast_declaration] = STATE(49),
    [sym_constructor_or_destructor_definition] = STATE(49),
    [sym_reference_declarator] = STATE(7680),
    [sym_structured_binding_declarator] = STATE(7680),
    [sym_template_type] = STATE(3129),
    [sym_template_function] = STATE(5703),
    [sym_namespace_definition] = STATE(49),
    [sym_namespace_alias_definition] = STATE(49),
    [sym_using_declaration] = STATE(49),
    [sym_alias_declaration] = STATE(49),
    [sym_static_assert_declaration] = STATE(49),
    [sym_concept_definition] = STATE(49),
    [sym_for_range_loop] = STATE(49),
    [sym_co_return_statement] = STATE(49),
    [sym_co_yield_statement] = STATE(49),
    [sym_throw_statement] = STATE(49),
    [sym_try_statement] = STATE(49),
    [sym_raw_string_literal] = STATE(4217),
    [sym_co_await_expression] = STATE(5024),
    [sym_new_expression] = STATE(5024),
    [sym_delete_expression] = STATE(5024),
    [sym_requires_clause] = STATE(5024),
    [sym_requires_expression] = STATE(5024),
    [sym_lambda_expression] = STATE(5024),
    [sym_lambda_capture_specifier] = STATE(7184),
    [sym_fold_expression] = STATE(5024),
    [sym_parameter_pack_expansion] = STATE(5024),
    [sym_destructor_name] = STATE(7680),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6764),
    [sym_qualified_identifier] = STATE(4502),
    [sym_qualified_type_identifier] = STATE(3127),
    [sym_qualified_operator_cast_identifier] = STATE(8035),
    [sym_operator_name] = STATE(7680),
    [sym_user_defined_literal] = STATE(4507),
    [sym_discard_statement] = STATE(49),
    [sym_qualifiers] = STATE(3159),
    [sym_cbuffer_specifier] = STATE(49),
    [sym_hlsl_attribute] = STATE(1858),
    [aux_sym_preproc_if_repeat1] = STATE(49),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2673),
    [aux_sym_attributed_declarator_repeat1] = STATE(1339),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3021),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2511),
    [sym_identifier] = ACTIONS(828),
    [aux_sym_preproc_include_token1] = ACTIONS(165),
    [aux_sym_preproc_def_token1] = ACTIONS(167),
    [aux_sym_preproc_if_token1] = ACTIONS(171),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(173),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(173),
    [sym_preproc_directive] = ACTIONS(175),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(177),
    [anon_sym___extension__] = ACTIONS(179),
    [anon_sym_typedef] = ACTIONS(181),
    [anon_sym_in] = ACTIONS(37),
    [anon_sym_out] = ACTIONS(37),
    [anon_sym_inout] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(183),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(45),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym___cdecl] = ACTIONS(51),
    [anon_sym___clrcall] = ACTIONS(51),
    [anon_sym___stdcall] = ACTIONS(51),
    [anon_sym___fastcall] = ACTIONS(51),
    [anon_sym___thiscall] = ACTIONS(51),
    [anon_sym___vectorcall] = ACTIONS(51),
    [anon_sym_LBRACE] = ACTIONS(830),
    [anon_sym_RBRACE] = ACTIONS(1192),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(191),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(65),
    [anon_sym_enum] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(69),
    [anon_sym_struct] = ACTIONS(71),
    [anon_sym_union] = ACTIONS(73),
    [anon_sym_if] = ACTIONS(193),
    [anon_sym_switch] = ACTIONS(195),
    [anon_sym_case] = ACTIONS(197),
    [anon_sym_default] = ACTIONS(199),
    [anon_sym_while] = ACTIONS(201),
    [anon_sym_do] = ACTIONS(203),
    [anon_sym_for] = ACTIONS(205),
    [anon_sym_return] = ACTIONS(207),
    [anon_sym_break] = ACTIONS(209),
    [anon_sym_continue] = ACTIONS(211),
    [anon_sym_goto] = ACTIONS(213),
    [anon_sym___try] = ACTIONS(215),
    [anon_sym___leave] = ACTIONS(217),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [anon_sym_virtual] = ACTIONS(123),
    [anon_sym_alignas] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(223),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_try] = ACTIONS(225),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(227),
    [anon_sym_namespace] = ACTIONS(229),
    [anon_sym_using] = ACTIONS(231),
    [anon_sym_static_assert] = ACTIONS(233),
    [anon_sym_concept] = ACTIONS(235),
    [anon_sym_co_return] = ACTIONS(237),
    [anon_sym_co_yield] = ACTIONS(239),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
    [anon_sym_discard] = ACTIONS(241),
    [anon_sym_precise] = ACTIONS(161),
    [anon_sym_shared] = ACTIONS(161),
    [anon_sym_groupshared] = ACTIONS(161),
    [anon_sym_uniform] = ACTIONS(161),
    [anon_sym_row_major] = ACTIONS(161),
    [anon_sym_column_major] = ACTIONS(161),
    [anon_sym_globallycoherent] = ACTIONS(161),
    [anon_sym_centroid] = ACTIONS(161),
    [anon_sym_noperspective] = ACTIONS(161),
    [anon_sym_nointerpolation] = ACTIONS(161),
    [anon_sym_sample] = ACTIONS(161),
    [anon_sym_linear] = ACTIONS(161),
    [anon_sym_snorm] = ACTIONS(161),
    [anon_sym_unorm] = ACTIONS(161),
    [anon_sym_point] = ACTIONS(161),
    [anon_sym_line] = ACTIONS(161),
    [anon_sym_triangleadj] = ACTIONS(161),
    [anon_sym_lineadj] = ACTIONS(161),
    [anon_sym_triangle] = ACTIONS(161),
    [anon_sym_cbuffer] = ACTIONS(243),
  },
  [80] = {
    [sym_preproc_include] = STATE(56),
    [sym_preproc_def] = STATE(56),
    [sym_preproc_function_def] = STATE(56),
    [sym_preproc_call] = STATE(56),
    [sym_preproc_if] = STATE(56),
    [sym_preproc_ifdef] = STATE(56),
    [sym_function_definition] = STATE(56),
    [sym_declaration] = STATE(56),
    [sym_type_definition] = STATE(56),
    [sym__declaration_modifiers] = STATE(3159),
    [sym__declaration_specifiers] = STATE(5906),
    [sym_linkage_specification] = STATE(56),
    [sym_attribute_specifier] = STATE(3159),
    [sym_attribute_declaration] = STATE(1464),
    [sym_ms_declspec_modifier] = STATE(3159),
    [sym_ms_based_modifier] = STATE(10332),
    [sym_ms_call_modifier] = STATE(2574),
    [sym__declarator] = STATE(7978),
    [sym_parenthesized_declarator] = STATE(7680),
    [sym_attributed_declarator] = STATE(7680),
    [sym_pointer_declarator] = STATE(7680),
    [sym_function_declarator] = STATE(7611),
    [sym_array_declarator] = STATE(7680),
    [sym_compound_statement] = STATE(56),
    [sym_storage_class_specifier] = STATE(3159),
    [sym_type_qualifier] = STATE(3159),
    [sym__type_specifier] = STATE(3039),
    [sym_sized_type_specifier] = STATE(3085),
    [sym_enum_specifier] = STATE(3085),
    [sym_struct_specifier] = STATE(3085),
    [sym_union_specifier] = STATE(3085),
    [sym_attributed_statement] = STATE(56),
    [sym_labeled_statement] = STATE(56),
    [sym_expression_statement] = STATE(56),
    [sym_if_statement] = STATE(56),
    [sym_switch_statement] = STATE(56),
    [sym_case_statement] = STATE(56),
    [sym_while_statement] = STATE(56),
    [sym_do_statement] = STATE(56),
    [sym_for_statement] = STATE(56),
    [sym_return_statement] = STATE(56),
    [sym_break_statement] = STATE(56),
    [sym_continue_statement] = STATE(56),
    [sym_goto_statement] = STATE(56),
    [sym_seh_try_statement] = STATE(56),
    [sym_seh_leave_statement] = STATE(56),
    [sym__expression] = STATE(5674),
    [sym__expression_not_binary] = STATE(5024),
    [sym__string] = STATE(5024),
    [sym_comma_expression] = STATE(10272),
    [sym_conditional_expression] = STATE(5024),
    [sym_assignment_expression] = STATE(5024),
    [sym_pointer_expression] = STATE(4507),
    [sym_unary_expression] = STATE(5024),
    [sym_binary_expression] = STATE(5024),
    [sym_update_expression] = STATE(5024),
    [sym_cast_expression] = STATE(5024),
    [sym_sizeof_expression] = STATE(5024),
    [sym_alignof_expression] = STATE(5024),
    [sym_offsetof_expression] = STATE(5024),
    [sym_generic_expression] = STATE(5024),
    [sym_subscript_expression] = STATE(4507),
    [sym_call_expression] = STATE(4507),
    [sym_gnu_asm_expression] = STATE(5024),
    [sym_field_expression] = STATE(4507),
    [sym_compound_literal_expression] = STATE(5024),
    [sym_parenthesized_expression] = STATE(4507),
    [sym_char_literal] = STATE(5374),
    [sym_concatenated_string] = STATE(5377),
    [sym_string_literal] = STATE(4206),
    [sym_null] = STATE(5024),
    [sym__empty_declaration] = STATE(56),
    [sym_placeholder_type_specifier] = STATE(3085),
    [sym_decltype_auto] = STATE(3091),
    [sym_decltype] = STATE(3050),
    [sym_class_specifier] = STATE(3085),
    [sym__class_name] = STATE(9352),
    [sym_virtual] = STATE(3159),
    [sym_alignas_specifier] = STATE(3159),
    [sym_explicit_function_specifier] = STATE(2511),
    [sym_dependent_type] = STATE(3085),
    [sym_template_declaration] = STATE(56),
    [sym_template_instantiation] = STATE(56),
    [sym_operator_cast] = STATE(8035),
    [sym__constructor_specifiers] = STATE(2511),
    [sym_operator_cast_definition] = STATE(56),
    [sym_operator_cast_declaration] = STATE(56),
    [sym_constructor_or_destructor_definition] = STATE(56),
    [sym_reference_declarator] = STATE(7680),
    [sym_structured_binding_declarator] = STATE(7680),
    [sym_template_type] = STATE(3129),
    [sym_template_function] = STATE(5703),
    [sym_namespace_definition] = STATE(56),
    [sym_namespace_alias_definition] = STATE(56),
    [sym_using_declaration] = STATE(56),
    [sym_alias_declaration] = STATE(56),
    [sym_static_assert_declaration] = STATE(56),
    [sym_concept_definition] = STATE(56),
    [sym_for_range_loop] = STATE(56),
    [sym_co_return_statement] = STATE(56),
    [sym_co_yield_statement] = STATE(56),
    [sym_throw_statement] = STATE(56),
    [sym_try_statement] = STATE(56),
    [sym_raw_string_literal] = STATE(4217),
    [sym_co_await_expression] = STATE(5024),
    [sym_new_expression] = STATE(5024),
    [sym_delete_expression] = STATE(5024),
    [sym_requires_clause] = STATE(5024),
    [sym_requires_expression] = STATE(5024),
    [sym_lambda_expression] = STATE(5024),
    [sym_lambda_capture_specifier] = STATE(7184),
    [sym_fold_expression] = STATE(5024),
    [sym_parameter_pack_expansion] = STATE(5024),
    [sym_destructor_name] = STATE(7680),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6764),
    [sym_qualified_identifier] = STATE(4502),
    [sym_qualified_type_identifier] = STATE(3127),
    [sym_qualified_operator_cast_identifier] = STATE(8035),
    [sym_operator_name] = STATE(7680),
    [sym_user_defined_literal] = STATE(4507),
    [sym_discard_statement] = STATE(56),
    [sym_qualifiers] = STATE(3159),
    [sym_cbuffer_specifier] = STATE(56),
    [sym_hlsl_attribute] = STATE(1858),
    [aux_sym_preproc_if_repeat1] = STATE(56),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2673),
    [aux_sym_attributed_declarator_repeat1] = STATE(1339),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3021),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2511),
    [sym_identifier] = ACTIONS(828),
    [aux_sym_preproc_include_token1] = ACTIONS(165),
    [aux_sym_preproc_def_token1] = ACTIONS(167),
    [aux_sym_preproc_if_token1] = ACTIONS(171),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(173),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(173),
    [sym_preproc_directive] = ACTIONS(175),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(177),
    [anon_sym___extension__] = ACTIONS(179),
    [anon_sym_typedef] = ACTIONS(181),
    [anon_sym_in] = ACTIONS(37),
    [anon_sym_out] = ACTIONS(37),
    [anon_sym_inout] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(183),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(45),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym___cdecl] = ACTIONS(51),
    [anon_sym___clrcall] = ACTIONS(51),
    [anon_sym___stdcall] = ACTIONS(51),
    [anon_sym___fastcall] = ACTIONS(51),
    [anon_sym___thiscall] = ACTIONS(51),
    [anon_sym___vectorcall] = ACTIONS(51),
    [anon_sym_LBRACE] = ACTIONS(830),
    [anon_sym_RBRACE] = ACTIONS(1194),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(191),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(65),
    [anon_sym_enum] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(69),
    [anon_sym_struct] = ACTIONS(71),
    [anon_sym_union] = ACTIONS(73),
    [anon_sym_if] = ACTIONS(193),
    [anon_sym_switch] = ACTIONS(195),
    [anon_sym_case] = ACTIONS(197),
    [anon_sym_default] = ACTIONS(199),
    [anon_sym_while] = ACTIONS(201),
    [anon_sym_do] = ACTIONS(203),
    [anon_sym_for] = ACTIONS(205),
    [anon_sym_return] = ACTIONS(207),
    [anon_sym_break] = ACTIONS(209),
    [anon_sym_continue] = ACTIONS(211),
    [anon_sym_goto] = ACTIONS(213),
    [anon_sym___try] = ACTIONS(215),
    [anon_sym___leave] = ACTIONS(217),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [anon_sym_virtual] = ACTIONS(123),
    [anon_sym_alignas] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(223),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_try] = ACTIONS(225),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(227),
    [anon_sym_namespace] = ACTIONS(229),
    [anon_sym_using] = ACTIONS(231),
    [anon_sym_static_assert] = ACTIONS(233),
    [anon_sym_concept] = ACTIONS(235),
    [anon_sym_co_return] = ACTIONS(237),
    [anon_sym_co_yield] = ACTIONS(239),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
    [anon_sym_discard] = ACTIONS(241),
    [anon_sym_precise] = ACTIONS(161),
    [anon_sym_shared] = ACTIONS(161),
    [anon_sym_groupshared] = ACTIONS(161),
    [anon_sym_uniform] = ACTIONS(161),
    [anon_sym_row_major] = ACTIONS(161),
    [anon_sym_column_major] = ACTIONS(161),
    [anon_sym_globallycoherent] = ACTIONS(161),
    [anon_sym_centroid] = ACTIONS(161),
    [anon_sym_noperspective] = ACTIONS(161),
    [anon_sym_nointerpolation] = ACTIONS(161),
    [anon_sym_sample] = ACTIONS(161),
    [anon_sym_linear] = ACTIONS(161),
    [anon_sym_snorm] = ACTIONS(161),
    [anon_sym_unorm] = ACTIONS(161),
    [anon_sym_point] = ACTIONS(161),
    [anon_sym_line] = ACTIONS(161),
    [anon_sym_triangleadj] = ACTIONS(161),
    [anon_sym_lineadj] = ACTIONS(161),
    [anon_sym_triangle] = ACTIONS(161),
    [anon_sym_cbuffer] = ACTIONS(243),
  },
  [81] = {
    [sym_preproc_include] = STATE(56),
    [sym_preproc_def] = STATE(56),
    [sym_preproc_function_def] = STATE(56),
    [sym_preproc_call] = STATE(56),
    [sym_preproc_if] = STATE(56),
    [sym_preproc_ifdef] = STATE(56),
    [sym_function_definition] = STATE(56),
    [sym_declaration] = STATE(56),
    [sym_type_definition] = STATE(56),
    [sym__declaration_modifiers] = STATE(3159),
    [sym__declaration_specifiers] = STATE(5906),
    [sym_linkage_specification] = STATE(56),
    [sym_attribute_specifier] = STATE(3159),
    [sym_attribute_declaration] = STATE(1464),
    [sym_ms_declspec_modifier] = STATE(3159),
    [sym_ms_based_modifier] = STATE(10332),
    [sym_ms_call_modifier] = STATE(2574),
    [sym__declarator] = STATE(7978),
    [sym_parenthesized_declarator] = STATE(7680),
    [sym_attributed_declarator] = STATE(7680),
    [sym_pointer_declarator] = STATE(7680),
    [sym_function_declarator] = STATE(7611),
    [sym_array_declarator] = STATE(7680),
    [sym_compound_statement] = STATE(56),
    [sym_storage_class_specifier] = STATE(3159),
    [sym_type_qualifier] = STATE(3159),
    [sym__type_specifier] = STATE(3039),
    [sym_sized_type_specifier] = STATE(3085),
    [sym_enum_specifier] = STATE(3085),
    [sym_struct_specifier] = STATE(3085),
    [sym_union_specifier] = STATE(3085),
    [sym_attributed_statement] = STATE(56),
    [sym_labeled_statement] = STATE(56),
    [sym_expression_statement] = STATE(56),
    [sym_if_statement] = STATE(56),
    [sym_switch_statement] = STATE(56),
    [sym_case_statement] = STATE(56),
    [sym_while_statement] = STATE(56),
    [sym_do_statement] = STATE(56),
    [sym_for_statement] = STATE(56),
    [sym_return_statement] = STATE(56),
    [sym_break_statement] = STATE(56),
    [sym_continue_statement] = STATE(56),
    [sym_goto_statement] = STATE(56),
    [sym_seh_try_statement] = STATE(56),
    [sym_seh_leave_statement] = STATE(56),
    [sym__expression] = STATE(5674),
    [sym__expression_not_binary] = STATE(5024),
    [sym__string] = STATE(5024),
    [sym_comma_expression] = STATE(10272),
    [sym_conditional_expression] = STATE(5024),
    [sym_assignment_expression] = STATE(5024),
    [sym_pointer_expression] = STATE(4507),
    [sym_unary_expression] = STATE(5024),
    [sym_binary_expression] = STATE(5024),
    [sym_update_expression] = STATE(5024),
    [sym_cast_expression] = STATE(5024),
    [sym_sizeof_expression] = STATE(5024),
    [sym_alignof_expression] = STATE(5024),
    [sym_offsetof_expression] = STATE(5024),
    [sym_generic_expression] = STATE(5024),
    [sym_subscript_expression] = STATE(4507),
    [sym_call_expression] = STATE(4507),
    [sym_gnu_asm_expression] = STATE(5024),
    [sym_field_expression] = STATE(4507),
    [sym_compound_literal_expression] = STATE(5024),
    [sym_parenthesized_expression] = STATE(4507),
    [sym_char_literal] = STATE(5374),
    [sym_concatenated_string] = STATE(5377),
    [sym_string_literal] = STATE(4206),
    [sym_null] = STATE(5024),
    [sym__empty_declaration] = STATE(56),
    [sym_placeholder_type_specifier] = STATE(3085),
    [sym_decltype_auto] = STATE(3091),
    [sym_decltype] = STATE(3050),
    [sym_class_specifier] = STATE(3085),
    [sym__class_name] = STATE(9352),
    [sym_virtual] = STATE(3159),
    [sym_alignas_specifier] = STATE(3159),
    [sym_explicit_function_specifier] = STATE(2511),
    [sym_dependent_type] = STATE(3085),
    [sym_template_declaration] = STATE(56),
    [sym_template_instantiation] = STATE(56),
    [sym_operator_cast] = STATE(8035),
    [sym__constructor_specifiers] = STATE(2511),
    [sym_operator_cast_definition] = STATE(56),
    [sym_operator_cast_declaration] = STATE(56),
    [sym_constructor_or_destructor_definition] = STATE(56),
    [sym_reference_declarator] = STATE(7680),
    [sym_structured_binding_declarator] = STATE(7680),
    [sym_template_type] = STATE(3129),
    [sym_template_function] = STATE(5703),
    [sym_namespace_definition] = STATE(56),
    [sym_namespace_alias_definition] = STATE(56),
    [sym_using_declaration] = STATE(56),
    [sym_alias_declaration] = STATE(56),
    [sym_static_assert_declaration] = STATE(56),
    [sym_concept_definition] = STATE(56),
    [sym_for_range_loop] = STATE(56),
    [sym_co_return_statement] = STATE(56),
    [sym_co_yield_statement] = STATE(56),
    [sym_throw_statement] = STATE(56),
    [sym_try_statement] = STATE(56),
    [sym_raw_string_literal] = STATE(4217),
    [sym_co_await_expression] = STATE(5024),
    [sym_new_expression] = STATE(5024),
    [sym_delete_expression] = STATE(5024),
    [sym_requires_clause] = STATE(5024),
    [sym_requires_expression] = STATE(5024),
    [sym_lambda_expression] = STATE(5024),
    [sym_lambda_capture_specifier] = STATE(7184),
    [sym_fold_expression] = STATE(5024),
    [sym_parameter_pack_expansion] = STATE(5024),
    [sym_destructor_name] = STATE(7680),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6764),
    [sym_qualified_identifier] = STATE(4502),
    [sym_qualified_type_identifier] = STATE(3127),
    [sym_qualified_operator_cast_identifier] = STATE(8035),
    [sym_operator_name] = STATE(7680),
    [sym_user_defined_literal] = STATE(4507),
    [sym_discard_statement] = STATE(56),
    [sym_qualifiers] = STATE(3159),
    [sym_cbuffer_specifier] = STATE(56),
    [sym_hlsl_attribute] = STATE(1858),
    [aux_sym_preproc_if_repeat1] = STATE(56),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2673),
    [aux_sym_attributed_declarator_repeat1] = STATE(1339),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3021),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2511),
    [sym_identifier] = ACTIONS(828),
    [aux_sym_preproc_include_token1] = ACTIONS(165),
    [aux_sym_preproc_def_token1] = ACTIONS(167),
    [aux_sym_preproc_if_token1] = ACTIONS(171),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(173),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(173),
    [sym_preproc_directive] = ACTIONS(175),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(177),
    [anon_sym___extension__] = ACTIONS(179),
    [anon_sym_typedef] = ACTIONS(181),
    [anon_sym_in] = ACTIONS(37),
    [anon_sym_out] = ACTIONS(37),
    [anon_sym_inout] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(183),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(45),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym___cdecl] = ACTIONS(51),
    [anon_sym___clrcall] = ACTIONS(51),
    [anon_sym___stdcall] = ACTIONS(51),
    [anon_sym___fastcall] = ACTIONS(51),
    [anon_sym___thiscall] = ACTIONS(51),
    [anon_sym___vectorcall] = ACTIONS(51),
    [anon_sym_LBRACE] = ACTIONS(830),
    [anon_sym_RBRACE] = ACTIONS(1196),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(191),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(65),
    [anon_sym_enum] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(69),
    [anon_sym_struct] = ACTIONS(71),
    [anon_sym_union] = ACTIONS(73),
    [anon_sym_if] = ACTIONS(193),
    [anon_sym_switch] = ACTIONS(195),
    [anon_sym_case] = ACTIONS(197),
    [anon_sym_default] = ACTIONS(199),
    [anon_sym_while] = ACTIONS(201),
    [anon_sym_do] = ACTIONS(203),
    [anon_sym_for] = ACTIONS(205),
    [anon_sym_return] = ACTIONS(207),
    [anon_sym_break] = ACTIONS(209),
    [anon_sym_continue] = ACTIONS(211),
    [anon_sym_goto] = ACTIONS(213),
    [anon_sym___try] = ACTIONS(215),
    [anon_sym___leave] = ACTIONS(217),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [anon_sym_virtual] = ACTIONS(123),
    [anon_sym_alignas] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(223),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_try] = ACTIONS(225),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(227),
    [anon_sym_namespace] = ACTIONS(229),
    [anon_sym_using] = ACTIONS(231),
    [anon_sym_static_assert] = ACTIONS(233),
    [anon_sym_concept] = ACTIONS(235),
    [anon_sym_co_return] = ACTIONS(237),
    [anon_sym_co_yield] = ACTIONS(239),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
    [anon_sym_discard] = ACTIONS(241),
    [anon_sym_precise] = ACTIONS(161),
    [anon_sym_shared] = ACTIONS(161),
    [anon_sym_groupshared] = ACTIONS(161),
    [anon_sym_uniform] = ACTIONS(161),
    [anon_sym_row_major] = ACTIONS(161),
    [anon_sym_column_major] = ACTIONS(161),
    [anon_sym_globallycoherent] = ACTIONS(161),
    [anon_sym_centroid] = ACTIONS(161),
    [anon_sym_noperspective] = ACTIONS(161),
    [anon_sym_nointerpolation] = ACTIONS(161),
    [anon_sym_sample] = ACTIONS(161),
    [anon_sym_linear] = ACTIONS(161),
    [anon_sym_snorm] = ACTIONS(161),
    [anon_sym_unorm] = ACTIONS(161),
    [anon_sym_point] = ACTIONS(161),
    [anon_sym_line] = ACTIONS(161),
    [anon_sym_triangleadj] = ACTIONS(161),
    [anon_sym_lineadj] = ACTIONS(161),
    [anon_sym_triangle] = ACTIONS(161),
    [anon_sym_cbuffer] = ACTIONS(243),
  },
  [82] = {
    [sym_preproc_include] = STATE(72),
    [sym_preproc_def] = STATE(72),
    [sym_preproc_function_def] = STATE(72),
    [sym_preproc_call] = STATE(72),
    [sym_preproc_if] = STATE(72),
    [sym_preproc_ifdef] = STATE(72),
    [sym_function_definition] = STATE(72),
    [sym_declaration] = STATE(72),
    [sym_type_definition] = STATE(72),
    [sym__declaration_modifiers] = STATE(3159),
    [sym__declaration_specifiers] = STATE(5906),
    [sym_linkage_specification] = STATE(72),
    [sym_attribute_specifier] = STATE(3159),
    [sym_attribute_declaration] = STATE(1464),
    [sym_ms_declspec_modifier] = STATE(3159),
    [sym_ms_based_modifier] = STATE(10332),
    [sym_ms_call_modifier] = STATE(2574),
    [sym__declarator] = STATE(7978),
    [sym_parenthesized_declarator] = STATE(7680),
    [sym_attributed_declarator] = STATE(7680),
    [sym_pointer_declarator] = STATE(7680),
    [sym_function_declarator] = STATE(7611),
    [sym_array_declarator] = STATE(7680),
    [sym_compound_statement] = STATE(72),
    [sym_storage_class_specifier] = STATE(3159),
    [sym_type_qualifier] = STATE(3159),
    [sym__type_specifier] = STATE(3039),
    [sym_sized_type_specifier] = STATE(3085),
    [sym_enum_specifier] = STATE(3085),
    [sym_struct_specifier] = STATE(3085),
    [sym_union_specifier] = STATE(3085),
    [sym_attributed_statement] = STATE(72),
    [sym_labeled_statement] = STATE(72),
    [sym_expression_statement] = STATE(72),
    [sym_if_statement] = STATE(72),
    [sym_switch_statement] = STATE(72),
    [sym_case_statement] = STATE(72),
    [sym_while_statement] = STATE(72),
    [sym_do_statement] = STATE(72),
    [sym_for_statement] = STATE(72),
    [sym_return_statement] = STATE(72),
    [sym_break_statement] = STATE(72),
    [sym_continue_statement] = STATE(72),
    [sym_goto_statement] = STATE(72),
    [sym_seh_try_statement] = STATE(72),
    [sym_seh_leave_statement] = STATE(72),
    [sym__expression] = STATE(5674),
    [sym__expression_not_binary] = STATE(5024),
    [sym__string] = STATE(5024),
    [sym_comma_expression] = STATE(10272),
    [sym_conditional_expression] = STATE(5024),
    [sym_assignment_expression] = STATE(5024),
    [sym_pointer_expression] = STATE(4507),
    [sym_unary_expression] = STATE(5024),
    [sym_binary_expression] = STATE(5024),
    [sym_update_expression] = STATE(5024),
    [sym_cast_expression] = STATE(5024),
    [sym_sizeof_expression] = STATE(5024),
    [sym_alignof_expression] = STATE(5024),
    [sym_offsetof_expression] = STATE(5024),
    [sym_generic_expression] = STATE(5024),
    [sym_subscript_expression] = STATE(4507),
    [sym_call_expression] = STATE(4507),
    [sym_gnu_asm_expression] = STATE(5024),
    [sym_field_expression] = STATE(4507),
    [sym_compound_literal_expression] = STATE(5024),
    [sym_parenthesized_expression] = STATE(4507),
    [sym_char_literal] = STATE(5374),
    [sym_concatenated_string] = STATE(5377),
    [sym_string_literal] = STATE(4206),
    [sym_null] = STATE(5024),
    [sym__empty_declaration] = STATE(72),
    [sym_placeholder_type_specifier] = STATE(3085),
    [sym_decltype_auto] = STATE(3091),
    [sym_decltype] = STATE(3050),
    [sym_class_specifier] = STATE(3085),
    [sym__class_name] = STATE(9352),
    [sym_virtual] = STATE(3159),
    [sym_alignas_specifier] = STATE(3159),
    [sym_explicit_function_specifier] = STATE(2511),
    [sym_dependent_type] = STATE(3085),
    [sym_template_declaration] = STATE(72),
    [sym_template_instantiation] = STATE(72),
    [sym_operator_cast] = STATE(8035),
    [sym__constructor_specifiers] = STATE(2511),
    [sym_operator_cast_definition] = STATE(72),
    [sym_operator_cast_declaration] = STATE(72),
    [sym_constructor_or_destructor_definition] = STATE(72),
    [sym_reference_declarator] = STATE(7680),
    [sym_structured_binding_declarator] = STATE(7680),
    [sym_template_type] = STATE(3129),
    [sym_template_function] = STATE(5703),
    [sym_namespace_definition] = STATE(72),
    [sym_namespace_alias_definition] = STATE(72),
    [sym_using_declaration] = STATE(72),
    [sym_alias_declaration] = STATE(72),
    [sym_static_assert_declaration] = STATE(72),
    [sym_concept_definition] = STATE(72),
    [sym_for_range_loop] = STATE(72),
    [sym_co_return_statement] = STATE(72),
    [sym_co_yield_statement] = STATE(72),
    [sym_throw_statement] = STATE(72),
    [sym_try_statement] = STATE(72),
    [sym_raw_string_literal] = STATE(4217),
    [sym_co_await_expression] = STATE(5024),
    [sym_new_expression] = STATE(5024),
    [sym_delete_expression] = STATE(5024),
    [sym_requires_clause] = STATE(5024),
    [sym_requires_expression] = STATE(5024),
    [sym_lambda_expression] = STATE(5024),
    [sym_lambda_capture_specifier] = STATE(7184),
    [sym_fold_expression] = STATE(5024),
    [sym_parameter_pack_expansion] = STATE(5024),
    [sym_destructor_name] = STATE(7680),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6764),
    [sym_qualified_identifier] = STATE(4502),
    [sym_qualified_type_identifier] = STATE(3127),
    [sym_qualified_operator_cast_identifier] = STATE(8035),
    [sym_operator_name] = STATE(7680),
    [sym_user_defined_literal] = STATE(4507),
    [sym_discard_statement] = STATE(72),
    [sym_qualifiers] = STATE(3159),
    [sym_cbuffer_specifier] = STATE(72),
    [sym_hlsl_attribute] = STATE(1858),
    [aux_sym_preproc_if_repeat1] = STATE(72),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2673),
    [aux_sym_attributed_declarator_repeat1] = STATE(1339),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3021),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2511),
    [sym_identifier] = ACTIONS(828),
    [aux_sym_preproc_include_token1] = ACTIONS(165),
    [aux_sym_preproc_def_token1] = ACTIONS(167),
    [aux_sym_preproc_if_token1] = ACTIONS(171),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(173),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(173),
    [sym_preproc_directive] = ACTIONS(175),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(177),
    [anon_sym___extension__] = ACTIONS(179),
    [anon_sym_typedef] = ACTIONS(181),
    [anon_sym_in] = ACTIONS(37),
    [anon_sym_out] = ACTIONS(37),
    [anon_sym_inout] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(183),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(45),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym___cdecl] = ACTIONS(51),
    [anon_sym___clrcall] = ACTIONS(51),
    [anon_sym___stdcall] = ACTIONS(51),
    [anon_sym___fastcall] = ACTIONS(51),
    [anon_sym___thiscall] = ACTIONS(51),
    [anon_sym___vectorcall] = ACTIONS(51),
    [anon_sym_LBRACE] = ACTIONS(830),
    [anon_sym_RBRACE] = ACTIONS(1198),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(191),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(65),
    [anon_sym_enum] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(69),
    [anon_sym_struct] = ACTIONS(71),
    [anon_sym_union] = ACTIONS(73),
    [anon_sym_if] = ACTIONS(193),
    [anon_sym_switch] = ACTIONS(195),
    [anon_sym_case] = ACTIONS(197),
    [anon_sym_default] = ACTIONS(199),
    [anon_sym_while] = ACTIONS(201),
    [anon_sym_do] = ACTIONS(203),
    [anon_sym_for] = ACTIONS(205),
    [anon_sym_return] = ACTIONS(207),
    [anon_sym_break] = ACTIONS(209),
    [anon_sym_continue] = ACTIONS(211),
    [anon_sym_goto] = ACTIONS(213),
    [anon_sym___try] = ACTIONS(215),
    [anon_sym___leave] = ACTIONS(217),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [anon_sym_virtual] = ACTIONS(123),
    [anon_sym_alignas] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(223),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_try] = ACTIONS(225),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(227),
    [anon_sym_namespace] = ACTIONS(229),
    [anon_sym_using] = ACTIONS(231),
    [anon_sym_static_assert] = ACTIONS(233),
    [anon_sym_concept] = ACTIONS(235),
    [anon_sym_co_return] = ACTIONS(237),
    [anon_sym_co_yield] = ACTIONS(239),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
    [anon_sym_discard] = ACTIONS(241),
    [anon_sym_precise] = ACTIONS(161),
    [anon_sym_shared] = ACTIONS(161),
    [anon_sym_groupshared] = ACTIONS(161),
    [anon_sym_uniform] = ACTIONS(161),
    [anon_sym_row_major] = ACTIONS(161),
    [anon_sym_column_major] = ACTIONS(161),
    [anon_sym_globallycoherent] = ACTIONS(161),
    [anon_sym_centroid] = ACTIONS(161),
    [anon_sym_noperspective] = ACTIONS(161),
    [anon_sym_nointerpolation] = ACTIONS(161),
    [anon_sym_sample] = ACTIONS(161),
    [anon_sym_linear] = ACTIONS(161),
    [anon_sym_snorm] = ACTIONS(161),
    [anon_sym_unorm] = ACTIONS(161),
    [anon_sym_point] = ACTIONS(161),
    [anon_sym_line] = ACTIONS(161),
    [anon_sym_triangleadj] = ACTIONS(161),
    [anon_sym_lineadj] = ACTIONS(161),
    [anon_sym_triangle] = ACTIONS(161),
    [anon_sym_cbuffer] = ACTIONS(243),
  },
  [83] = {
    [sym_preproc_include] = STATE(56),
    [sym_preproc_def] = STATE(56),
    [sym_preproc_function_def] = STATE(56),
    [sym_preproc_call] = STATE(56),
    [sym_preproc_if] = STATE(56),
    [sym_preproc_ifdef] = STATE(56),
    [sym_function_definition] = STATE(56),
    [sym_declaration] = STATE(56),
    [sym_type_definition] = STATE(56),
    [sym__declaration_modifiers] = STATE(3159),
    [sym__declaration_specifiers] = STATE(5906),
    [sym_linkage_specification] = STATE(56),
    [sym_attribute_specifier] = STATE(3159),
    [sym_attribute_declaration] = STATE(1464),
    [sym_ms_declspec_modifier] = STATE(3159),
    [sym_ms_based_modifier] = STATE(10332),
    [sym_ms_call_modifier] = STATE(2574),
    [sym__declarator] = STATE(7978),
    [sym_parenthesized_declarator] = STATE(7680),
    [sym_attributed_declarator] = STATE(7680),
    [sym_pointer_declarator] = STATE(7680),
    [sym_function_declarator] = STATE(7611),
    [sym_array_declarator] = STATE(7680),
    [sym_compound_statement] = STATE(56),
    [sym_storage_class_specifier] = STATE(3159),
    [sym_type_qualifier] = STATE(3159),
    [sym__type_specifier] = STATE(3039),
    [sym_sized_type_specifier] = STATE(3085),
    [sym_enum_specifier] = STATE(3085),
    [sym_struct_specifier] = STATE(3085),
    [sym_union_specifier] = STATE(3085),
    [sym_attributed_statement] = STATE(56),
    [sym_labeled_statement] = STATE(56),
    [sym_expression_statement] = STATE(56),
    [sym_if_statement] = STATE(56),
    [sym_switch_statement] = STATE(56),
    [sym_case_statement] = STATE(56),
    [sym_while_statement] = STATE(56),
    [sym_do_statement] = STATE(56),
    [sym_for_statement] = STATE(56),
    [sym_return_statement] = STATE(56),
    [sym_break_statement] = STATE(56),
    [sym_continue_statement] = STATE(56),
    [sym_goto_statement] = STATE(56),
    [sym_seh_try_statement] = STATE(56),
    [sym_seh_leave_statement] = STATE(56),
    [sym__expression] = STATE(5674),
    [sym__expression_not_binary] = STATE(5024),
    [sym__string] = STATE(5024),
    [sym_comma_expression] = STATE(10272),
    [sym_conditional_expression] = STATE(5024),
    [sym_assignment_expression] = STATE(5024),
    [sym_pointer_expression] = STATE(4507),
    [sym_unary_expression] = STATE(5024),
    [sym_binary_expression] = STATE(5024),
    [sym_update_expression] = STATE(5024),
    [sym_cast_expression] = STATE(5024),
    [sym_sizeof_expression] = STATE(5024),
    [sym_alignof_expression] = STATE(5024),
    [sym_offsetof_expression] = STATE(5024),
    [sym_generic_expression] = STATE(5024),
    [sym_subscript_expression] = STATE(4507),
    [sym_call_expression] = STATE(4507),
    [sym_gnu_asm_expression] = STATE(5024),
    [sym_field_expression] = STATE(4507),
    [sym_compound_literal_expression] = STATE(5024),
    [sym_parenthesized_expression] = STATE(4507),
    [sym_char_literal] = STATE(5374),
    [sym_concatenated_string] = STATE(5377),
    [sym_string_literal] = STATE(4206),
    [sym_null] = STATE(5024),
    [sym__empty_declaration] = STATE(56),
    [sym_placeholder_type_specifier] = STATE(3085),
    [sym_decltype_auto] = STATE(3091),
    [sym_decltype] = STATE(3050),
    [sym_class_specifier] = STATE(3085),
    [sym__class_name] = STATE(9352),
    [sym_virtual] = STATE(3159),
    [sym_alignas_specifier] = STATE(3159),
    [sym_explicit_function_specifier] = STATE(2511),
    [sym_dependent_type] = STATE(3085),
    [sym_template_declaration] = STATE(56),
    [sym_template_instantiation] = STATE(56),
    [sym_operator_cast] = STATE(8035),
    [sym__constructor_specifiers] = STATE(2511),
    [sym_operator_cast_definition] = STATE(56),
    [sym_operator_cast_declaration] = STATE(56),
    [sym_constructor_or_destructor_definition] = STATE(56),
    [sym_reference_declarator] = STATE(7680),
    [sym_structured_binding_declarator] = STATE(7680),
    [sym_template_type] = STATE(3129),
    [sym_template_function] = STATE(5703),
    [sym_namespace_definition] = STATE(56),
    [sym_namespace_alias_definition] = STATE(56),
    [sym_using_declaration] = STATE(56),
    [sym_alias_declaration] = STATE(56),
    [sym_static_assert_declaration] = STATE(56),
    [sym_concept_definition] = STATE(56),
    [sym_for_range_loop] = STATE(56),
    [sym_co_return_statement] = STATE(56),
    [sym_co_yield_statement] = STATE(56),
    [sym_throw_statement] = STATE(56),
    [sym_try_statement] = STATE(56),
    [sym_raw_string_literal] = STATE(4217),
    [sym_co_await_expression] = STATE(5024),
    [sym_new_expression] = STATE(5024),
    [sym_delete_expression] = STATE(5024),
    [sym_requires_clause] = STATE(5024),
    [sym_requires_expression] = STATE(5024),
    [sym_lambda_expression] = STATE(5024),
    [sym_lambda_capture_specifier] = STATE(7184),
    [sym_fold_expression] = STATE(5024),
    [sym_parameter_pack_expansion] = STATE(5024),
    [sym_destructor_name] = STATE(7680),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6764),
    [sym_qualified_identifier] = STATE(4502),
    [sym_qualified_type_identifier] = STATE(3127),
    [sym_qualified_operator_cast_identifier] = STATE(8035),
    [sym_operator_name] = STATE(7680),
    [sym_user_defined_literal] = STATE(4507),
    [sym_discard_statement] = STATE(56),
    [sym_qualifiers] = STATE(3159),
    [sym_cbuffer_specifier] = STATE(56),
    [sym_hlsl_attribute] = STATE(1858),
    [aux_sym_preproc_if_repeat1] = STATE(56),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2673),
    [aux_sym_attributed_declarator_repeat1] = STATE(1339),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3021),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2511),
    [sym_identifier] = ACTIONS(828),
    [aux_sym_preproc_include_token1] = ACTIONS(165),
    [aux_sym_preproc_def_token1] = ACTIONS(167),
    [aux_sym_preproc_if_token1] = ACTIONS(171),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(173),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(173),
    [sym_preproc_directive] = ACTIONS(175),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(177),
    [anon_sym___extension__] = ACTIONS(179),
    [anon_sym_typedef] = ACTIONS(181),
    [anon_sym_in] = ACTIONS(37),
    [anon_sym_out] = ACTIONS(37),
    [anon_sym_inout] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(183),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(45),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym___cdecl] = ACTIONS(51),
    [anon_sym___clrcall] = ACTIONS(51),
    [anon_sym___stdcall] = ACTIONS(51),
    [anon_sym___fastcall] = ACTIONS(51),
    [anon_sym___thiscall] = ACTIONS(51),
    [anon_sym___vectorcall] = ACTIONS(51),
    [anon_sym_LBRACE] = ACTIONS(830),
    [anon_sym_RBRACE] = ACTIONS(1200),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(191),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(65),
    [anon_sym_enum] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(69),
    [anon_sym_struct] = ACTIONS(71),
    [anon_sym_union] = ACTIONS(73),
    [anon_sym_if] = ACTIONS(193),
    [anon_sym_switch] = ACTIONS(195),
    [anon_sym_case] = ACTIONS(197),
    [anon_sym_default] = ACTIONS(199),
    [anon_sym_while] = ACTIONS(201),
    [anon_sym_do] = ACTIONS(203),
    [anon_sym_for] = ACTIONS(205),
    [anon_sym_return] = ACTIONS(207),
    [anon_sym_break] = ACTIONS(209),
    [anon_sym_continue] = ACTIONS(211),
    [anon_sym_goto] = ACTIONS(213),
    [anon_sym___try] = ACTIONS(215),
    [anon_sym___leave] = ACTIONS(217),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [anon_sym_virtual] = ACTIONS(123),
    [anon_sym_alignas] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(223),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_try] = ACTIONS(225),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(227),
    [anon_sym_namespace] = ACTIONS(229),
    [anon_sym_using] = ACTIONS(231),
    [anon_sym_static_assert] = ACTIONS(233),
    [anon_sym_concept] = ACTIONS(235),
    [anon_sym_co_return] = ACTIONS(237),
    [anon_sym_co_yield] = ACTIONS(239),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
    [anon_sym_discard] = ACTIONS(241),
    [anon_sym_precise] = ACTIONS(161),
    [anon_sym_shared] = ACTIONS(161),
    [anon_sym_groupshared] = ACTIONS(161),
    [anon_sym_uniform] = ACTIONS(161),
    [anon_sym_row_major] = ACTIONS(161),
    [anon_sym_column_major] = ACTIONS(161),
    [anon_sym_globallycoherent] = ACTIONS(161),
    [anon_sym_centroid] = ACTIONS(161),
    [anon_sym_noperspective] = ACTIONS(161),
    [anon_sym_nointerpolation] = ACTIONS(161),
    [anon_sym_sample] = ACTIONS(161),
    [anon_sym_linear] = ACTIONS(161),
    [anon_sym_snorm] = ACTIONS(161),
    [anon_sym_unorm] = ACTIONS(161),
    [anon_sym_point] = ACTIONS(161),
    [anon_sym_line] = ACTIONS(161),
    [anon_sym_triangleadj] = ACTIONS(161),
    [anon_sym_lineadj] = ACTIONS(161),
    [anon_sym_triangle] = ACTIONS(161),
    [anon_sym_cbuffer] = ACTIONS(243),
  },
  [84] = {
    [sym_preproc_include] = STATE(47),
    [sym_preproc_def] = STATE(47),
    [sym_preproc_function_def] = STATE(47),
    [sym_preproc_call] = STATE(47),
    [sym_preproc_if] = STATE(47),
    [sym_preproc_ifdef] = STATE(47),
    [sym_function_definition] = STATE(47),
    [sym_declaration] = STATE(47),
    [sym_type_definition] = STATE(47),
    [sym__declaration_modifiers] = STATE(3159),
    [sym__declaration_specifiers] = STATE(5906),
    [sym_linkage_specification] = STATE(47),
    [sym_attribute_specifier] = STATE(3159),
    [sym_attribute_declaration] = STATE(1464),
    [sym_ms_declspec_modifier] = STATE(3159),
    [sym_ms_based_modifier] = STATE(10332),
    [sym_ms_call_modifier] = STATE(2574),
    [sym__declarator] = STATE(7978),
    [sym_parenthesized_declarator] = STATE(7680),
    [sym_attributed_declarator] = STATE(7680),
    [sym_pointer_declarator] = STATE(7680),
    [sym_function_declarator] = STATE(7611),
    [sym_array_declarator] = STATE(7680),
    [sym_compound_statement] = STATE(47),
    [sym_storage_class_specifier] = STATE(3159),
    [sym_type_qualifier] = STATE(3159),
    [sym__type_specifier] = STATE(3039),
    [sym_sized_type_specifier] = STATE(3085),
    [sym_enum_specifier] = STATE(3085),
    [sym_struct_specifier] = STATE(3085),
    [sym_union_specifier] = STATE(3085),
    [sym_attributed_statement] = STATE(47),
    [sym_labeled_statement] = STATE(47),
    [sym_expression_statement] = STATE(47),
    [sym_if_statement] = STATE(47),
    [sym_switch_statement] = STATE(47),
    [sym_case_statement] = STATE(47),
    [sym_while_statement] = STATE(47),
    [sym_do_statement] = STATE(47),
    [sym_for_statement] = STATE(47),
    [sym_return_statement] = STATE(47),
    [sym_break_statement] = STATE(47),
    [sym_continue_statement] = STATE(47),
    [sym_goto_statement] = STATE(47),
    [sym_seh_try_statement] = STATE(47),
    [sym_seh_leave_statement] = STATE(47),
    [sym__expression] = STATE(5674),
    [sym__expression_not_binary] = STATE(5024),
    [sym__string] = STATE(5024),
    [sym_comma_expression] = STATE(10272),
    [sym_conditional_expression] = STATE(5024),
    [sym_assignment_expression] = STATE(5024),
    [sym_pointer_expression] = STATE(4507),
    [sym_unary_expression] = STATE(5024),
    [sym_binary_expression] = STATE(5024),
    [sym_update_expression] = STATE(5024),
    [sym_cast_expression] = STATE(5024),
    [sym_sizeof_expression] = STATE(5024),
    [sym_alignof_expression] = STATE(5024),
    [sym_offsetof_expression] = STATE(5024),
    [sym_generic_expression] = STATE(5024),
    [sym_subscript_expression] = STATE(4507),
    [sym_call_expression] = STATE(4507),
    [sym_gnu_asm_expression] = STATE(5024),
    [sym_field_expression] = STATE(4507),
    [sym_compound_literal_expression] = STATE(5024),
    [sym_parenthesized_expression] = STATE(4507),
    [sym_char_literal] = STATE(5374),
    [sym_concatenated_string] = STATE(5377),
    [sym_string_literal] = STATE(4206),
    [sym_null] = STATE(5024),
    [sym__empty_declaration] = STATE(47),
    [sym_placeholder_type_specifier] = STATE(3085),
    [sym_decltype_auto] = STATE(3091),
    [sym_decltype] = STATE(3050),
    [sym_class_specifier] = STATE(3085),
    [sym__class_name] = STATE(9352),
    [sym_virtual] = STATE(3159),
    [sym_alignas_specifier] = STATE(3159),
    [sym_explicit_function_specifier] = STATE(2511),
    [sym_dependent_type] = STATE(3085),
    [sym_template_declaration] = STATE(47),
    [sym_template_instantiation] = STATE(47),
    [sym_operator_cast] = STATE(8035),
    [sym__constructor_specifiers] = STATE(2511),
    [sym_operator_cast_definition] = STATE(47),
    [sym_operator_cast_declaration] = STATE(47),
    [sym_constructor_or_destructor_definition] = STATE(47),
    [sym_reference_declarator] = STATE(7680),
    [sym_structured_binding_declarator] = STATE(7680),
    [sym_template_type] = STATE(3129),
    [sym_template_function] = STATE(5703),
    [sym_namespace_definition] = STATE(47),
    [sym_namespace_alias_definition] = STATE(47),
    [sym_using_declaration] = STATE(47),
    [sym_alias_declaration] = STATE(47),
    [sym_static_assert_declaration] = STATE(47),
    [sym_concept_definition] = STATE(47),
    [sym_for_range_loop] = STATE(47),
    [sym_co_return_statement] = STATE(47),
    [sym_co_yield_statement] = STATE(47),
    [sym_throw_statement] = STATE(47),
    [sym_try_statement] = STATE(47),
    [sym_raw_string_literal] = STATE(4217),
    [sym_co_await_expression] = STATE(5024),
    [sym_new_expression] = STATE(5024),
    [sym_delete_expression] = STATE(5024),
    [sym_requires_clause] = STATE(5024),
    [sym_requires_expression] = STATE(5024),
    [sym_lambda_expression] = STATE(5024),
    [sym_lambda_capture_specifier] = STATE(7184),
    [sym_fold_expression] = STATE(5024),
    [sym_parameter_pack_expansion] = STATE(5024),
    [sym_destructor_name] = STATE(7680),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6764),
    [sym_qualified_identifier] = STATE(4502),
    [sym_qualified_type_identifier] = STATE(3127),
    [sym_qualified_operator_cast_identifier] = STATE(8035),
    [sym_operator_name] = STATE(7680),
    [sym_user_defined_literal] = STATE(4507),
    [sym_discard_statement] = STATE(47),
    [sym_qualifiers] = STATE(3159),
    [sym_cbuffer_specifier] = STATE(47),
    [sym_hlsl_attribute] = STATE(1858),
    [aux_sym_preproc_if_repeat1] = STATE(47),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2673),
    [aux_sym_attributed_declarator_repeat1] = STATE(1339),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3021),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2511),
    [sym_identifier] = ACTIONS(828),
    [aux_sym_preproc_include_token1] = ACTIONS(165),
    [aux_sym_preproc_def_token1] = ACTIONS(167),
    [aux_sym_preproc_if_token1] = ACTIONS(171),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(173),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(173),
    [sym_preproc_directive] = ACTIONS(175),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(177),
    [anon_sym___extension__] = ACTIONS(179),
    [anon_sym_typedef] = ACTIONS(181),
    [anon_sym_in] = ACTIONS(37),
    [anon_sym_out] = ACTIONS(37),
    [anon_sym_inout] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(183),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(45),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym___cdecl] = ACTIONS(51),
    [anon_sym___clrcall] = ACTIONS(51),
    [anon_sym___stdcall] = ACTIONS(51),
    [anon_sym___fastcall] = ACTIONS(51),
    [anon_sym___thiscall] = ACTIONS(51),
    [anon_sym___vectorcall] = ACTIONS(51),
    [anon_sym_LBRACE] = ACTIONS(830),
    [anon_sym_RBRACE] = ACTIONS(1202),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(191),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(65),
    [anon_sym_enum] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(69),
    [anon_sym_struct] = ACTIONS(71),
    [anon_sym_union] = ACTIONS(73),
    [anon_sym_if] = ACTIONS(193),
    [anon_sym_switch] = ACTIONS(195),
    [anon_sym_case] = ACTIONS(197),
    [anon_sym_default] = ACTIONS(199),
    [anon_sym_while] = ACTIONS(201),
    [anon_sym_do] = ACTIONS(203),
    [anon_sym_for] = ACTIONS(205),
    [anon_sym_return] = ACTIONS(207),
    [anon_sym_break] = ACTIONS(209),
    [anon_sym_continue] = ACTIONS(211),
    [anon_sym_goto] = ACTIONS(213),
    [anon_sym___try] = ACTIONS(215),
    [anon_sym___leave] = ACTIONS(217),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [anon_sym_virtual] = ACTIONS(123),
    [anon_sym_alignas] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(223),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_try] = ACTIONS(225),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(227),
    [anon_sym_namespace] = ACTIONS(229),
    [anon_sym_using] = ACTIONS(231),
    [anon_sym_static_assert] = ACTIONS(233),
    [anon_sym_concept] = ACTIONS(235),
    [anon_sym_co_return] = ACTIONS(237),
    [anon_sym_co_yield] = ACTIONS(239),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
    [anon_sym_discard] = ACTIONS(241),
    [anon_sym_precise] = ACTIONS(161),
    [anon_sym_shared] = ACTIONS(161),
    [anon_sym_groupshared] = ACTIONS(161),
    [anon_sym_uniform] = ACTIONS(161),
    [anon_sym_row_major] = ACTIONS(161),
    [anon_sym_column_major] = ACTIONS(161),
    [anon_sym_globallycoherent] = ACTIONS(161),
    [anon_sym_centroid] = ACTIONS(161),
    [anon_sym_noperspective] = ACTIONS(161),
    [anon_sym_nointerpolation] = ACTIONS(161),
    [anon_sym_sample] = ACTIONS(161),
    [anon_sym_linear] = ACTIONS(161),
    [anon_sym_snorm] = ACTIONS(161),
    [anon_sym_unorm] = ACTIONS(161),
    [anon_sym_point] = ACTIONS(161),
    [anon_sym_line] = ACTIONS(161),
    [anon_sym_triangleadj] = ACTIONS(161),
    [anon_sym_lineadj] = ACTIONS(161),
    [anon_sym_triangle] = ACTIONS(161),
    [anon_sym_cbuffer] = ACTIONS(243),
  },
  [85] = {
    [sym_preproc_include] = STATE(43),
    [sym_preproc_def] = STATE(43),
    [sym_preproc_function_def] = STATE(43),
    [sym_preproc_call] = STATE(43),
    [sym_preproc_if] = STATE(43),
    [sym_preproc_ifdef] = STATE(43),
    [sym_function_definition] = STATE(43),
    [sym_declaration] = STATE(43),
    [sym_type_definition] = STATE(43),
    [sym__declaration_modifiers] = STATE(3159),
    [sym__declaration_specifiers] = STATE(5906),
    [sym_linkage_specification] = STATE(43),
    [sym_attribute_specifier] = STATE(3159),
    [sym_attribute_declaration] = STATE(1464),
    [sym_ms_declspec_modifier] = STATE(3159),
    [sym_ms_based_modifier] = STATE(10332),
    [sym_ms_call_modifier] = STATE(2574),
    [sym__declarator] = STATE(7978),
    [sym_parenthesized_declarator] = STATE(7680),
    [sym_attributed_declarator] = STATE(7680),
    [sym_pointer_declarator] = STATE(7680),
    [sym_function_declarator] = STATE(7611),
    [sym_array_declarator] = STATE(7680),
    [sym_compound_statement] = STATE(43),
    [sym_storage_class_specifier] = STATE(3159),
    [sym_type_qualifier] = STATE(3159),
    [sym__type_specifier] = STATE(3039),
    [sym_sized_type_specifier] = STATE(3085),
    [sym_enum_specifier] = STATE(3085),
    [sym_struct_specifier] = STATE(3085),
    [sym_union_specifier] = STATE(3085),
    [sym_attributed_statement] = STATE(43),
    [sym_labeled_statement] = STATE(43),
    [sym_expression_statement] = STATE(43),
    [sym_if_statement] = STATE(43),
    [sym_switch_statement] = STATE(43),
    [sym_case_statement] = STATE(43),
    [sym_while_statement] = STATE(43),
    [sym_do_statement] = STATE(43),
    [sym_for_statement] = STATE(43),
    [sym_return_statement] = STATE(43),
    [sym_break_statement] = STATE(43),
    [sym_continue_statement] = STATE(43),
    [sym_goto_statement] = STATE(43),
    [sym_seh_try_statement] = STATE(43),
    [sym_seh_leave_statement] = STATE(43),
    [sym__expression] = STATE(5674),
    [sym__expression_not_binary] = STATE(5024),
    [sym__string] = STATE(5024),
    [sym_comma_expression] = STATE(10272),
    [sym_conditional_expression] = STATE(5024),
    [sym_assignment_expression] = STATE(5024),
    [sym_pointer_expression] = STATE(4507),
    [sym_unary_expression] = STATE(5024),
    [sym_binary_expression] = STATE(5024),
    [sym_update_expression] = STATE(5024),
    [sym_cast_expression] = STATE(5024),
    [sym_sizeof_expression] = STATE(5024),
    [sym_alignof_expression] = STATE(5024),
    [sym_offsetof_expression] = STATE(5024),
    [sym_generic_expression] = STATE(5024),
    [sym_subscript_expression] = STATE(4507),
    [sym_call_expression] = STATE(4507),
    [sym_gnu_asm_expression] = STATE(5024),
    [sym_field_expression] = STATE(4507),
    [sym_compound_literal_expression] = STATE(5024),
    [sym_parenthesized_expression] = STATE(4507),
    [sym_char_literal] = STATE(5374),
    [sym_concatenated_string] = STATE(5377),
    [sym_string_literal] = STATE(4206),
    [sym_null] = STATE(5024),
    [sym__empty_declaration] = STATE(43),
    [sym_placeholder_type_specifier] = STATE(3085),
    [sym_decltype_auto] = STATE(3091),
    [sym_decltype] = STATE(3050),
    [sym_class_specifier] = STATE(3085),
    [sym__class_name] = STATE(9352),
    [sym_virtual] = STATE(3159),
    [sym_alignas_specifier] = STATE(3159),
    [sym_explicit_function_specifier] = STATE(2511),
    [sym_dependent_type] = STATE(3085),
    [sym_template_declaration] = STATE(43),
    [sym_template_instantiation] = STATE(43),
    [sym_operator_cast] = STATE(8035),
    [sym__constructor_specifiers] = STATE(2511),
    [sym_operator_cast_definition] = STATE(43),
    [sym_operator_cast_declaration] = STATE(43),
    [sym_constructor_or_destructor_definition] = STATE(43),
    [sym_reference_declarator] = STATE(7680),
    [sym_structured_binding_declarator] = STATE(7680),
    [sym_template_type] = STATE(3129),
    [sym_template_function] = STATE(5703),
    [sym_namespace_definition] = STATE(43),
    [sym_namespace_alias_definition] = STATE(43),
    [sym_using_declaration] = STATE(43),
    [sym_alias_declaration] = STATE(43),
    [sym_static_assert_declaration] = STATE(43),
    [sym_concept_definition] = STATE(43),
    [sym_for_range_loop] = STATE(43),
    [sym_co_return_statement] = STATE(43),
    [sym_co_yield_statement] = STATE(43),
    [sym_throw_statement] = STATE(43),
    [sym_try_statement] = STATE(43),
    [sym_raw_string_literal] = STATE(4217),
    [sym_co_await_expression] = STATE(5024),
    [sym_new_expression] = STATE(5024),
    [sym_delete_expression] = STATE(5024),
    [sym_requires_clause] = STATE(5024),
    [sym_requires_expression] = STATE(5024),
    [sym_lambda_expression] = STATE(5024),
    [sym_lambda_capture_specifier] = STATE(7184),
    [sym_fold_expression] = STATE(5024),
    [sym_parameter_pack_expansion] = STATE(5024),
    [sym_destructor_name] = STATE(7680),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6764),
    [sym_qualified_identifier] = STATE(4502),
    [sym_qualified_type_identifier] = STATE(3127),
    [sym_qualified_operator_cast_identifier] = STATE(8035),
    [sym_operator_name] = STATE(7680),
    [sym_user_defined_literal] = STATE(4507),
    [sym_discard_statement] = STATE(43),
    [sym_qualifiers] = STATE(3159),
    [sym_cbuffer_specifier] = STATE(43),
    [sym_hlsl_attribute] = STATE(1858),
    [aux_sym_preproc_if_repeat1] = STATE(43),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2673),
    [aux_sym_attributed_declarator_repeat1] = STATE(1339),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3021),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2511),
    [sym_identifier] = ACTIONS(828),
    [aux_sym_preproc_include_token1] = ACTIONS(165),
    [aux_sym_preproc_def_token1] = ACTIONS(167),
    [aux_sym_preproc_if_token1] = ACTIONS(171),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(173),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(173),
    [sym_preproc_directive] = ACTIONS(175),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(177),
    [anon_sym___extension__] = ACTIONS(179),
    [anon_sym_typedef] = ACTIONS(181),
    [anon_sym_in] = ACTIONS(37),
    [anon_sym_out] = ACTIONS(37),
    [anon_sym_inout] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(183),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(45),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym___cdecl] = ACTIONS(51),
    [anon_sym___clrcall] = ACTIONS(51),
    [anon_sym___stdcall] = ACTIONS(51),
    [anon_sym___fastcall] = ACTIONS(51),
    [anon_sym___thiscall] = ACTIONS(51),
    [anon_sym___vectorcall] = ACTIONS(51),
    [anon_sym_LBRACE] = ACTIONS(830),
    [anon_sym_RBRACE] = ACTIONS(1204),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(191),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(65),
    [anon_sym_enum] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(69),
    [anon_sym_struct] = ACTIONS(71),
    [anon_sym_union] = ACTIONS(73),
    [anon_sym_if] = ACTIONS(193),
    [anon_sym_switch] = ACTIONS(195),
    [anon_sym_case] = ACTIONS(197),
    [anon_sym_default] = ACTIONS(199),
    [anon_sym_while] = ACTIONS(201),
    [anon_sym_do] = ACTIONS(203),
    [anon_sym_for] = ACTIONS(205),
    [anon_sym_return] = ACTIONS(207),
    [anon_sym_break] = ACTIONS(209),
    [anon_sym_continue] = ACTIONS(211),
    [anon_sym_goto] = ACTIONS(213),
    [anon_sym___try] = ACTIONS(215),
    [anon_sym___leave] = ACTIONS(217),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [anon_sym_virtual] = ACTIONS(123),
    [anon_sym_alignas] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(223),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_try] = ACTIONS(225),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(227),
    [anon_sym_namespace] = ACTIONS(229),
    [anon_sym_using] = ACTIONS(231),
    [anon_sym_static_assert] = ACTIONS(233),
    [anon_sym_concept] = ACTIONS(235),
    [anon_sym_co_return] = ACTIONS(237),
    [anon_sym_co_yield] = ACTIONS(239),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
    [anon_sym_discard] = ACTIONS(241),
    [anon_sym_precise] = ACTIONS(161),
    [anon_sym_shared] = ACTIONS(161),
    [anon_sym_groupshared] = ACTIONS(161),
    [anon_sym_uniform] = ACTIONS(161),
    [anon_sym_row_major] = ACTIONS(161),
    [anon_sym_column_major] = ACTIONS(161),
    [anon_sym_globallycoherent] = ACTIONS(161),
    [anon_sym_centroid] = ACTIONS(161),
    [anon_sym_noperspective] = ACTIONS(161),
    [anon_sym_nointerpolation] = ACTIONS(161),
    [anon_sym_sample] = ACTIONS(161),
    [anon_sym_linear] = ACTIONS(161),
    [anon_sym_snorm] = ACTIONS(161),
    [anon_sym_unorm] = ACTIONS(161),
    [anon_sym_point] = ACTIONS(161),
    [anon_sym_line] = ACTIONS(161),
    [anon_sym_triangleadj] = ACTIONS(161),
    [anon_sym_lineadj] = ACTIONS(161),
    [anon_sym_triangle] = ACTIONS(161),
    [anon_sym_cbuffer] = ACTIONS(243),
  },
  [86] = {
    [sym_preproc_include] = STATE(95),
    [sym_preproc_def] = STATE(95),
    [sym_preproc_function_def] = STATE(95),
    [sym_preproc_call] = STATE(95),
    [sym_preproc_if] = STATE(95),
    [sym_preproc_ifdef] = STATE(95),
    [sym_function_definition] = STATE(95),
    [sym_declaration] = STATE(95),
    [sym_type_definition] = STATE(95),
    [sym__declaration_modifiers] = STATE(3159),
    [sym__declaration_specifiers] = STATE(5906),
    [sym_linkage_specification] = STATE(95),
    [sym_attribute_specifier] = STATE(3159),
    [sym_attribute_declaration] = STATE(1464),
    [sym_ms_declspec_modifier] = STATE(3159),
    [sym_ms_based_modifier] = STATE(10332),
    [sym_ms_call_modifier] = STATE(2574),
    [sym__declarator] = STATE(7978),
    [sym_parenthesized_declarator] = STATE(7680),
    [sym_attributed_declarator] = STATE(7680),
    [sym_pointer_declarator] = STATE(7680),
    [sym_function_declarator] = STATE(7611),
    [sym_array_declarator] = STATE(7680),
    [sym_compound_statement] = STATE(95),
    [sym_storage_class_specifier] = STATE(3159),
    [sym_type_qualifier] = STATE(3159),
    [sym__type_specifier] = STATE(3039),
    [sym_sized_type_specifier] = STATE(3085),
    [sym_enum_specifier] = STATE(3085),
    [sym_struct_specifier] = STATE(3085),
    [sym_union_specifier] = STATE(3085),
    [sym_attributed_statement] = STATE(95),
    [sym_labeled_statement] = STATE(95),
    [sym_expression_statement] = STATE(95),
    [sym_if_statement] = STATE(95),
    [sym_switch_statement] = STATE(95),
    [sym_case_statement] = STATE(95),
    [sym_while_statement] = STATE(95),
    [sym_do_statement] = STATE(95),
    [sym_for_statement] = STATE(95),
    [sym_return_statement] = STATE(95),
    [sym_break_statement] = STATE(95),
    [sym_continue_statement] = STATE(95),
    [sym_goto_statement] = STATE(95),
    [sym_seh_try_statement] = STATE(95),
    [sym_seh_leave_statement] = STATE(95),
    [sym__expression] = STATE(5674),
    [sym__expression_not_binary] = STATE(5024),
    [sym__string] = STATE(5024),
    [sym_comma_expression] = STATE(10272),
    [sym_conditional_expression] = STATE(5024),
    [sym_assignment_expression] = STATE(5024),
    [sym_pointer_expression] = STATE(4507),
    [sym_unary_expression] = STATE(5024),
    [sym_binary_expression] = STATE(5024),
    [sym_update_expression] = STATE(5024),
    [sym_cast_expression] = STATE(5024),
    [sym_sizeof_expression] = STATE(5024),
    [sym_alignof_expression] = STATE(5024),
    [sym_offsetof_expression] = STATE(5024),
    [sym_generic_expression] = STATE(5024),
    [sym_subscript_expression] = STATE(4507),
    [sym_call_expression] = STATE(4507),
    [sym_gnu_asm_expression] = STATE(5024),
    [sym_field_expression] = STATE(4507),
    [sym_compound_literal_expression] = STATE(5024),
    [sym_parenthesized_expression] = STATE(4507),
    [sym_char_literal] = STATE(5374),
    [sym_concatenated_string] = STATE(5377),
    [sym_string_literal] = STATE(4206),
    [sym_null] = STATE(5024),
    [sym__empty_declaration] = STATE(95),
    [sym_placeholder_type_specifier] = STATE(3085),
    [sym_decltype_auto] = STATE(3091),
    [sym_decltype] = STATE(3050),
    [sym_class_specifier] = STATE(3085),
    [sym__class_name] = STATE(9352),
    [sym_virtual] = STATE(3159),
    [sym_alignas_specifier] = STATE(3159),
    [sym_explicit_function_specifier] = STATE(2511),
    [sym_dependent_type] = STATE(3085),
    [sym_template_declaration] = STATE(95),
    [sym_template_instantiation] = STATE(95),
    [sym_operator_cast] = STATE(8035),
    [sym__constructor_specifiers] = STATE(2511),
    [sym_operator_cast_definition] = STATE(95),
    [sym_operator_cast_declaration] = STATE(95),
    [sym_constructor_or_destructor_definition] = STATE(95),
    [sym_reference_declarator] = STATE(7680),
    [sym_structured_binding_declarator] = STATE(7680),
    [sym_template_type] = STATE(3129),
    [sym_template_function] = STATE(5703),
    [sym_namespace_definition] = STATE(95),
    [sym_namespace_alias_definition] = STATE(95),
    [sym_using_declaration] = STATE(95),
    [sym_alias_declaration] = STATE(95),
    [sym_static_assert_declaration] = STATE(95),
    [sym_concept_definition] = STATE(95),
    [sym_for_range_loop] = STATE(95),
    [sym_co_return_statement] = STATE(95),
    [sym_co_yield_statement] = STATE(95),
    [sym_throw_statement] = STATE(95),
    [sym_try_statement] = STATE(95),
    [sym_raw_string_literal] = STATE(4217),
    [sym_co_await_expression] = STATE(5024),
    [sym_new_expression] = STATE(5024),
    [sym_delete_expression] = STATE(5024),
    [sym_requires_clause] = STATE(5024),
    [sym_requires_expression] = STATE(5024),
    [sym_lambda_expression] = STATE(5024),
    [sym_lambda_capture_specifier] = STATE(7184),
    [sym_fold_expression] = STATE(5024),
    [sym_parameter_pack_expansion] = STATE(5024),
    [sym_destructor_name] = STATE(7680),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6764),
    [sym_qualified_identifier] = STATE(4502),
    [sym_qualified_type_identifier] = STATE(3127),
    [sym_qualified_operator_cast_identifier] = STATE(8035),
    [sym_operator_name] = STATE(7680),
    [sym_user_defined_literal] = STATE(4507),
    [sym_discard_statement] = STATE(95),
    [sym_qualifiers] = STATE(3159),
    [sym_cbuffer_specifier] = STATE(95),
    [sym_hlsl_attribute] = STATE(1858),
    [aux_sym_preproc_if_repeat1] = STATE(95),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2673),
    [aux_sym_attributed_declarator_repeat1] = STATE(1339),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3021),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2511),
    [sym_identifier] = ACTIONS(828),
    [aux_sym_preproc_include_token1] = ACTIONS(165),
    [aux_sym_preproc_def_token1] = ACTIONS(167),
    [aux_sym_preproc_if_token1] = ACTIONS(171),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(173),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(173),
    [sym_preproc_directive] = ACTIONS(175),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(177),
    [anon_sym___extension__] = ACTIONS(179),
    [anon_sym_typedef] = ACTIONS(181),
    [anon_sym_in] = ACTIONS(37),
    [anon_sym_out] = ACTIONS(37),
    [anon_sym_inout] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(183),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(45),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym___cdecl] = ACTIONS(51),
    [anon_sym___clrcall] = ACTIONS(51),
    [anon_sym___stdcall] = ACTIONS(51),
    [anon_sym___fastcall] = ACTIONS(51),
    [anon_sym___thiscall] = ACTIONS(51),
    [anon_sym___vectorcall] = ACTIONS(51),
    [anon_sym_LBRACE] = ACTIONS(830),
    [anon_sym_RBRACE] = ACTIONS(1206),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(191),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(65),
    [anon_sym_enum] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(69),
    [anon_sym_struct] = ACTIONS(71),
    [anon_sym_union] = ACTIONS(73),
    [anon_sym_if] = ACTIONS(193),
    [anon_sym_switch] = ACTIONS(195),
    [anon_sym_case] = ACTIONS(197),
    [anon_sym_default] = ACTIONS(199),
    [anon_sym_while] = ACTIONS(201),
    [anon_sym_do] = ACTIONS(203),
    [anon_sym_for] = ACTIONS(205),
    [anon_sym_return] = ACTIONS(207),
    [anon_sym_break] = ACTIONS(209),
    [anon_sym_continue] = ACTIONS(211),
    [anon_sym_goto] = ACTIONS(213),
    [anon_sym___try] = ACTIONS(215),
    [anon_sym___leave] = ACTIONS(217),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [anon_sym_virtual] = ACTIONS(123),
    [anon_sym_alignas] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(223),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_try] = ACTIONS(225),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(227),
    [anon_sym_namespace] = ACTIONS(229),
    [anon_sym_using] = ACTIONS(231),
    [anon_sym_static_assert] = ACTIONS(233),
    [anon_sym_concept] = ACTIONS(235),
    [anon_sym_co_return] = ACTIONS(237),
    [anon_sym_co_yield] = ACTIONS(239),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
    [anon_sym_discard] = ACTIONS(241),
    [anon_sym_precise] = ACTIONS(161),
    [anon_sym_shared] = ACTIONS(161),
    [anon_sym_groupshared] = ACTIONS(161),
    [anon_sym_uniform] = ACTIONS(161),
    [anon_sym_row_major] = ACTIONS(161),
    [anon_sym_column_major] = ACTIONS(161),
    [anon_sym_globallycoherent] = ACTIONS(161),
    [anon_sym_centroid] = ACTIONS(161),
    [anon_sym_noperspective] = ACTIONS(161),
    [anon_sym_nointerpolation] = ACTIONS(161),
    [anon_sym_sample] = ACTIONS(161),
    [anon_sym_linear] = ACTIONS(161),
    [anon_sym_snorm] = ACTIONS(161),
    [anon_sym_unorm] = ACTIONS(161),
    [anon_sym_point] = ACTIONS(161),
    [anon_sym_line] = ACTIONS(161),
    [anon_sym_triangleadj] = ACTIONS(161),
    [anon_sym_lineadj] = ACTIONS(161),
    [anon_sym_triangle] = ACTIONS(161),
    [anon_sym_cbuffer] = ACTIONS(243),
  },
  [87] = {
    [sym_preproc_include] = STATE(62),
    [sym_preproc_def] = STATE(62),
    [sym_preproc_function_def] = STATE(62),
    [sym_preproc_call] = STATE(62),
    [sym_preproc_if] = STATE(62),
    [sym_preproc_ifdef] = STATE(62),
    [sym_function_definition] = STATE(62),
    [sym_declaration] = STATE(62),
    [sym_type_definition] = STATE(62),
    [sym__declaration_modifiers] = STATE(3159),
    [sym__declaration_specifiers] = STATE(5936),
    [sym_linkage_specification] = STATE(62),
    [sym_attribute_specifier] = STATE(3159),
    [sym_attribute_declaration] = STATE(1464),
    [sym_ms_declspec_modifier] = STATE(3159),
    [sym_ms_based_modifier] = STATE(10332),
    [sym_ms_call_modifier] = STATE(2627),
    [sym__declarator] = STATE(7978),
    [sym_parenthesized_declarator] = STATE(7680),
    [sym_attributed_declarator] = STATE(7680),
    [sym_pointer_declarator] = STATE(7680),
    [sym_function_declarator] = STATE(7603),
    [sym_array_declarator] = STATE(7680),
    [sym_compound_statement] = STATE(62),
    [sym_storage_class_specifier] = STATE(3159),
    [sym_type_qualifier] = STATE(3159),
    [sym__type_specifier] = STATE(3040),
    [sym_sized_type_specifier] = STATE(3085),
    [sym_enum_specifier] = STATE(3085),
    [sym_struct_specifier] = STATE(3085),
    [sym_union_specifier] = STATE(3085),
    [sym_attributed_statement] = STATE(62),
    [sym_labeled_statement] = STATE(62),
    [sym_expression_statement] = STATE(62),
    [sym_if_statement] = STATE(62),
    [sym_switch_statement] = STATE(62),
    [sym_case_statement] = STATE(62),
    [sym_while_statement] = STATE(62),
    [sym_do_statement] = STATE(62),
    [sym_for_statement] = STATE(62),
    [sym_return_statement] = STATE(62),
    [sym_break_statement] = STATE(62),
    [sym_continue_statement] = STATE(62),
    [sym_goto_statement] = STATE(62),
    [sym_seh_try_statement] = STATE(62),
    [sym_seh_leave_statement] = STATE(62),
    [sym__expression] = STATE(5768),
    [sym__expression_not_binary] = STATE(5024),
    [sym__string] = STATE(5024),
    [sym_comma_expression] = STATE(9694),
    [sym_conditional_expression] = STATE(5024),
    [sym_assignment_expression] = STATE(5024),
    [sym_pointer_expression] = STATE(4507),
    [sym_unary_expression] = STATE(5024),
    [sym_binary_expression] = STATE(5024),
    [sym_update_expression] = STATE(5024),
    [sym_cast_expression] = STATE(5024),
    [sym_sizeof_expression] = STATE(5024),
    [sym_alignof_expression] = STATE(5024),
    [sym_offsetof_expression] = STATE(5024),
    [sym_generic_expression] = STATE(5024),
    [sym_subscript_expression] = STATE(4507),
    [sym_call_expression] = STATE(4507),
    [sym_gnu_asm_expression] = STATE(5024),
    [sym_field_expression] = STATE(4507),
    [sym_compound_literal_expression] = STATE(5024),
    [sym_parenthesized_expression] = STATE(4507),
    [sym_char_literal] = STATE(5374),
    [sym_concatenated_string] = STATE(5377),
    [sym_string_literal] = STATE(4206),
    [sym_null] = STATE(5024),
    [sym__empty_declaration] = STATE(62),
    [sym_placeholder_type_specifier] = STATE(3085),
    [sym_decltype_auto] = STATE(3091),
    [sym_decltype] = STATE(3050),
    [sym_class_specifier] = STATE(3085),
    [sym__class_name] = STATE(9352),
    [sym_virtual] = STATE(3159),
    [sym_alignas_specifier] = STATE(3159),
    [sym_explicit_function_specifier] = STATE(2507),
    [sym_dependent_type] = STATE(3085),
    [sym_template_declaration] = STATE(62),
    [sym_template_instantiation] = STATE(62),
    [sym_operator_cast] = STATE(8046),
    [sym__constructor_specifiers] = STATE(2507),
    [sym_operator_cast_definition] = STATE(62),
    [sym_operator_cast_declaration] = STATE(62),
    [sym_constructor_or_destructor_definition] = STATE(62),
    [sym_reference_declarator] = STATE(7680),
    [sym_structured_binding_declarator] = STATE(7680),
    [sym_template_type] = STATE(3129),
    [sym_template_function] = STATE(5703),
    [sym_namespace_definition] = STATE(62),
    [sym_namespace_alias_definition] = STATE(62),
    [sym_using_declaration] = STATE(62),
    [sym_alias_declaration] = STATE(62),
    [sym_static_assert_declaration] = STATE(62),
    [sym_concept_definition] = STATE(62),
    [sym_for_range_loop] = STATE(62),
    [sym_co_return_statement] = STATE(62),
    [sym_co_yield_statement] = STATE(62),
    [sym_throw_statement] = STATE(62),
    [sym_try_statement] = STATE(62),
    [sym_raw_string_literal] = STATE(4217),
    [sym_co_await_expression] = STATE(5024),
    [sym_new_expression] = STATE(5024),
    [sym_delete_expression] = STATE(5024),
    [sym_requires_clause] = STATE(5024),
    [sym_requires_expression] = STATE(5024),
    [sym_lambda_expression] = STATE(5024),
    [sym_lambda_capture_specifier] = STATE(7184),
    [sym_fold_expression] = STATE(5024),
    [sym_parameter_pack_expansion] = STATE(5024),
    [sym_destructor_name] = STATE(7680),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6764),
    [sym_qualified_identifier] = STATE(4502),
    [sym_qualified_type_identifier] = STATE(3127),
    [sym_qualified_operator_cast_identifier] = STATE(8046),
    [sym_operator_name] = STATE(7680),
    [sym_user_defined_literal] = STATE(4507),
    [sym_discard_statement] = STATE(62),
    [sym_qualifiers] = STATE(3159),
    [sym_cbuffer_specifier] = STATE(62),
    [sym_hlsl_attribute] = STATE(1907),
    [aux_sym_preproc_if_repeat1] = STATE(62),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2673),
    [aux_sym_attributed_declarator_repeat1] = STATE(1367),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3021),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2507),
    [sym_identifier] = ACTIONS(1114),
    [aux_sym_preproc_include_token1] = ACTIONS(1116),
    [aux_sym_preproc_def_token1] = ACTIONS(1118),
    [aux_sym_preproc_if_token1] = ACTIONS(1120),
    [aux_sym_preproc_if_token2] = ACTIONS(1208),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1124),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1124),
    [sym_preproc_directive] = ACTIONS(1126),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(1128),
    [anon_sym___extension__] = ACTIONS(1130),
    [anon_sym_typedef] = ACTIONS(1132),
    [anon_sym_in] = ACTIONS(37),
    [anon_sym_out] = ACTIONS(37),
    [anon_sym_inout] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(1134),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(45),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym___cdecl] = ACTIONS(51),
    [anon_sym___clrcall] = ACTIONS(51),
    [anon_sym___stdcall] = ACTIONS(51),
    [anon_sym___fastcall] = ACTIONS(51),
    [anon_sym___thiscall] = ACTIONS(51),
    [anon_sym___vectorcall] = ACTIONS(51),
    [anon_sym_LBRACE] = ACTIONS(1136),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(1138),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(65),
    [anon_sym_enum] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(69),
    [anon_sym_struct] = ACTIONS(71),
    [anon_sym_union] = ACTIONS(73),
    [anon_sym_if] = ACTIONS(1140),
    [anon_sym_switch] = ACTIONS(1142),
    [anon_sym_case] = ACTIONS(1144),
    [anon_sym_default] = ACTIONS(1146),
    [anon_sym_while] = ACTIONS(1148),
    [anon_sym_do] = ACTIONS(1150),
    [anon_sym_for] = ACTIONS(1152),
    [anon_sym_return] = ACTIONS(1154),
    [anon_sym_break] = ACTIONS(1156),
    [anon_sym_continue] = ACTIONS(1158),
    [anon_sym_goto] = ACTIONS(1160),
    [anon_sym___try] = ACTIONS(1162),
    [anon_sym___leave] = ACTIONS(1164),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [anon_sym_virtual] = ACTIONS(123),
    [anon_sym_alignas] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(1166),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_try] = ACTIONS(1168),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(1170),
    [anon_sym_namespace] = ACTIONS(1172),
    [anon_sym_using] = ACTIONS(1174),
    [anon_sym_static_assert] = ACTIONS(1176),
    [anon_sym_concept] = ACTIONS(1178),
    [anon_sym_co_return] = ACTIONS(1180),
    [anon_sym_co_yield] = ACTIONS(1182),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
    [anon_sym_discard] = ACTIONS(1184),
    [anon_sym_precise] = ACTIONS(161),
    [anon_sym_shared] = ACTIONS(161),
    [anon_sym_groupshared] = ACTIONS(161),
    [anon_sym_uniform] = ACTIONS(161),
    [anon_sym_row_major] = ACTIONS(161),
    [anon_sym_column_major] = ACTIONS(161),
    [anon_sym_globallycoherent] = ACTIONS(161),
    [anon_sym_centroid] = ACTIONS(161),
    [anon_sym_noperspective] = ACTIONS(161),
    [anon_sym_nointerpolation] = ACTIONS(161),
    [anon_sym_sample] = ACTIONS(161),
    [anon_sym_linear] = ACTIONS(161),
    [anon_sym_snorm] = ACTIONS(161),
    [anon_sym_unorm] = ACTIONS(161),
    [anon_sym_point] = ACTIONS(161),
    [anon_sym_line] = ACTIONS(161),
    [anon_sym_triangleadj] = ACTIONS(161),
    [anon_sym_lineadj] = ACTIONS(161),
    [anon_sym_triangle] = ACTIONS(161),
    [anon_sym_cbuffer] = ACTIONS(1186),
  },
  [88] = {
    [sym_preproc_include] = STATE(56),
    [sym_preproc_def] = STATE(56),
    [sym_preproc_function_def] = STATE(56),
    [sym_preproc_call] = STATE(56),
    [sym_preproc_if] = STATE(56),
    [sym_preproc_ifdef] = STATE(56),
    [sym_function_definition] = STATE(56),
    [sym_declaration] = STATE(56),
    [sym_type_definition] = STATE(56),
    [sym__declaration_modifiers] = STATE(3159),
    [sym__declaration_specifiers] = STATE(5906),
    [sym_linkage_specification] = STATE(56),
    [sym_attribute_specifier] = STATE(3159),
    [sym_attribute_declaration] = STATE(1464),
    [sym_ms_declspec_modifier] = STATE(3159),
    [sym_ms_based_modifier] = STATE(10332),
    [sym_ms_call_modifier] = STATE(2574),
    [sym__declarator] = STATE(7978),
    [sym_parenthesized_declarator] = STATE(7680),
    [sym_attributed_declarator] = STATE(7680),
    [sym_pointer_declarator] = STATE(7680),
    [sym_function_declarator] = STATE(7611),
    [sym_array_declarator] = STATE(7680),
    [sym_compound_statement] = STATE(56),
    [sym_storage_class_specifier] = STATE(3159),
    [sym_type_qualifier] = STATE(3159),
    [sym__type_specifier] = STATE(3039),
    [sym_sized_type_specifier] = STATE(3085),
    [sym_enum_specifier] = STATE(3085),
    [sym_struct_specifier] = STATE(3085),
    [sym_union_specifier] = STATE(3085),
    [sym_attributed_statement] = STATE(56),
    [sym_labeled_statement] = STATE(56),
    [sym_expression_statement] = STATE(56),
    [sym_if_statement] = STATE(56),
    [sym_switch_statement] = STATE(56),
    [sym_case_statement] = STATE(56),
    [sym_while_statement] = STATE(56),
    [sym_do_statement] = STATE(56),
    [sym_for_statement] = STATE(56),
    [sym_return_statement] = STATE(56),
    [sym_break_statement] = STATE(56),
    [sym_continue_statement] = STATE(56),
    [sym_goto_statement] = STATE(56),
    [sym_seh_try_statement] = STATE(56),
    [sym_seh_leave_statement] = STATE(56),
    [sym__expression] = STATE(5674),
    [sym__expression_not_binary] = STATE(5024),
    [sym__string] = STATE(5024),
    [sym_comma_expression] = STATE(10272),
    [sym_conditional_expression] = STATE(5024),
    [sym_assignment_expression] = STATE(5024),
    [sym_pointer_expression] = STATE(4507),
    [sym_unary_expression] = STATE(5024),
    [sym_binary_expression] = STATE(5024),
    [sym_update_expression] = STATE(5024),
    [sym_cast_expression] = STATE(5024),
    [sym_sizeof_expression] = STATE(5024),
    [sym_alignof_expression] = STATE(5024),
    [sym_offsetof_expression] = STATE(5024),
    [sym_generic_expression] = STATE(5024),
    [sym_subscript_expression] = STATE(4507),
    [sym_call_expression] = STATE(4507),
    [sym_gnu_asm_expression] = STATE(5024),
    [sym_field_expression] = STATE(4507),
    [sym_compound_literal_expression] = STATE(5024),
    [sym_parenthesized_expression] = STATE(4507),
    [sym_char_literal] = STATE(5374),
    [sym_concatenated_string] = STATE(5377),
    [sym_string_literal] = STATE(4206),
    [sym_null] = STATE(5024),
    [sym__empty_declaration] = STATE(56),
    [sym_placeholder_type_specifier] = STATE(3085),
    [sym_decltype_auto] = STATE(3091),
    [sym_decltype] = STATE(3050),
    [sym_class_specifier] = STATE(3085),
    [sym__class_name] = STATE(9352),
    [sym_virtual] = STATE(3159),
    [sym_alignas_specifier] = STATE(3159),
    [sym_explicit_function_specifier] = STATE(2511),
    [sym_dependent_type] = STATE(3085),
    [sym_template_declaration] = STATE(56),
    [sym_template_instantiation] = STATE(56),
    [sym_operator_cast] = STATE(8035),
    [sym__constructor_specifiers] = STATE(2511),
    [sym_operator_cast_definition] = STATE(56),
    [sym_operator_cast_declaration] = STATE(56),
    [sym_constructor_or_destructor_definition] = STATE(56),
    [sym_reference_declarator] = STATE(7680),
    [sym_structured_binding_declarator] = STATE(7680),
    [sym_template_type] = STATE(3129),
    [sym_template_function] = STATE(5703),
    [sym_namespace_definition] = STATE(56),
    [sym_namespace_alias_definition] = STATE(56),
    [sym_using_declaration] = STATE(56),
    [sym_alias_declaration] = STATE(56),
    [sym_static_assert_declaration] = STATE(56),
    [sym_concept_definition] = STATE(56),
    [sym_for_range_loop] = STATE(56),
    [sym_co_return_statement] = STATE(56),
    [sym_co_yield_statement] = STATE(56),
    [sym_throw_statement] = STATE(56),
    [sym_try_statement] = STATE(56),
    [sym_raw_string_literal] = STATE(4217),
    [sym_co_await_expression] = STATE(5024),
    [sym_new_expression] = STATE(5024),
    [sym_delete_expression] = STATE(5024),
    [sym_requires_clause] = STATE(5024),
    [sym_requires_expression] = STATE(5024),
    [sym_lambda_expression] = STATE(5024),
    [sym_lambda_capture_specifier] = STATE(7184),
    [sym_fold_expression] = STATE(5024),
    [sym_parameter_pack_expansion] = STATE(5024),
    [sym_destructor_name] = STATE(7680),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6764),
    [sym_qualified_identifier] = STATE(4502),
    [sym_qualified_type_identifier] = STATE(3127),
    [sym_qualified_operator_cast_identifier] = STATE(8035),
    [sym_operator_name] = STATE(7680),
    [sym_user_defined_literal] = STATE(4507),
    [sym_discard_statement] = STATE(56),
    [sym_qualifiers] = STATE(3159),
    [sym_cbuffer_specifier] = STATE(56),
    [sym_hlsl_attribute] = STATE(1858),
    [aux_sym_preproc_if_repeat1] = STATE(56),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2673),
    [aux_sym_attributed_declarator_repeat1] = STATE(1339),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3021),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2511),
    [sym_identifier] = ACTIONS(828),
    [aux_sym_preproc_include_token1] = ACTIONS(165),
    [aux_sym_preproc_def_token1] = ACTIONS(167),
    [aux_sym_preproc_if_token1] = ACTIONS(171),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(173),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(173),
    [sym_preproc_directive] = ACTIONS(175),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(177),
    [anon_sym___extension__] = ACTIONS(179),
    [anon_sym_typedef] = ACTIONS(181),
    [anon_sym_in] = ACTIONS(37),
    [anon_sym_out] = ACTIONS(37),
    [anon_sym_inout] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(183),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(45),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym___cdecl] = ACTIONS(51),
    [anon_sym___clrcall] = ACTIONS(51),
    [anon_sym___stdcall] = ACTIONS(51),
    [anon_sym___fastcall] = ACTIONS(51),
    [anon_sym___thiscall] = ACTIONS(51),
    [anon_sym___vectorcall] = ACTIONS(51),
    [anon_sym_LBRACE] = ACTIONS(830),
    [anon_sym_RBRACE] = ACTIONS(1210),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(191),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(65),
    [anon_sym_enum] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(69),
    [anon_sym_struct] = ACTIONS(71),
    [anon_sym_union] = ACTIONS(73),
    [anon_sym_if] = ACTIONS(193),
    [anon_sym_switch] = ACTIONS(195),
    [anon_sym_case] = ACTIONS(197),
    [anon_sym_default] = ACTIONS(199),
    [anon_sym_while] = ACTIONS(201),
    [anon_sym_do] = ACTIONS(203),
    [anon_sym_for] = ACTIONS(205),
    [anon_sym_return] = ACTIONS(207),
    [anon_sym_break] = ACTIONS(209),
    [anon_sym_continue] = ACTIONS(211),
    [anon_sym_goto] = ACTIONS(213),
    [anon_sym___try] = ACTIONS(215),
    [anon_sym___leave] = ACTIONS(217),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [anon_sym_virtual] = ACTIONS(123),
    [anon_sym_alignas] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(223),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_try] = ACTIONS(225),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(227),
    [anon_sym_namespace] = ACTIONS(229),
    [anon_sym_using] = ACTIONS(231),
    [anon_sym_static_assert] = ACTIONS(233),
    [anon_sym_concept] = ACTIONS(235),
    [anon_sym_co_return] = ACTIONS(237),
    [anon_sym_co_yield] = ACTIONS(239),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
    [anon_sym_discard] = ACTIONS(241),
    [anon_sym_precise] = ACTIONS(161),
    [anon_sym_shared] = ACTIONS(161),
    [anon_sym_groupshared] = ACTIONS(161),
    [anon_sym_uniform] = ACTIONS(161),
    [anon_sym_row_major] = ACTIONS(161),
    [anon_sym_column_major] = ACTIONS(161),
    [anon_sym_globallycoherent] = ACTIONS(161),
    [anon_sym_centroid] = ACTIONS(161),
    [anon_sym_noperspective] = ACTIONS(161),
    [anon_sym_nointerpolation] = ACTIONS(161),
    [anon_sym_sample] = ACTIONS(161),
    [anon_sym_linear] = ACTIONS(161),
    [anon_sym_snorm] = ACTIONS(161),
    [anon_sym_unorm] = ACTIONS(161),
    [anon_sym_point] = ACTIONS(161),
    [anon_sym_line] = ACTIONS(161),
    [anon_sym_triangleadj] = ACTIONS(161),
    [anon_sym_lineadj] = ACTIONS(161),
    [anon_sym_triangle] = ACTIONS(161),
    [anon_sym_cbuffer] = ACTIONS(243),
  },
  [89] = {
    [sym_preproc_include] = STATE(56),
    [sym_preproc_def] = STATE(56),
    [sym_preproc_function_def] = STATE(56),
    [sym_preproc_call] = STATE(56),
    [sym_preproc_if] = STATE(56),
    [sym_preproc_ifdef] = STATE(56),
    [sym_function_definition] = STATE(56),
    [sym_declaration] = STATE(56),
    [sym_type_definition] = STATE(56),
    [sym__declaration_modifiers] = STATE(3159),
    [sym__declaration_specifiers] = STATE(5906),
    [sym_linkage_specification] = STATE(56),
    [sym_attribute_specifier] = STATE(3159),
    [sym_attribute_declaration] = STATE(1464),
    [sym_ms_declspec_modifier] = STATE(3159),
    [sym_ms_based_modifier] = STATE(10332),
    [sym_ms_call_modifier] = STATE(2574),
    [sym__declarator] = STATE(7978),
    [sym_parenthesized_declarator] = STATE(7680),
    [sym_attributed_declarator] = STATE(7680),
    [sym_pointer_declarator] = STATE(7680),
    [sym_function_declarator] = STATE(7611),
    [sym_array_declarator] = STATE(7680),
    [sym_compound_statement] = STATE(56),
    [sym_storage_class_specifier] = STATE(3159),
    [sym_type_qualifier] = STATE(3159),
    [sym__type_specifier] = STATE(3039),
    [sym_sized_type_specifier] = STATE(3085),
    [sym_enum_specifier] = STATE(3085),
    [sym_struct_specifier] = STATE(3085),
    [sym_union_specifier] = STATE(3085),
    [sym_attributed_statement] = STATE(56),
    [sym_labeled_statement] = STATE(56),
    [sym_expression_statement] = STATE(56),
    [sym_if_statement] = STATE(56),
    [sym_switch_statement] = STATE(56),
    [sym_case_statement] = STATE(56),
    [sym_while_statement] = STATE(56),
    [sym_do_statement] = STATE(56),
    [sym_for_statement] = STATE(56),
    [sym_return_statement] = STATE(56),
    [sym_break_statement] = STATE(56),
    [sym_continue_statement] = STATE(56),
    [sym_goto_statement] = STATE(56),
    [sym_seh_try_statement] = STATE(56),
    [sym_seh_leave_statement] = STATE(56),
    [sym__expression] = STATE(5674),
    [sym__expression_not_binary] = STATE(5024),
    [sym__string] = STATE(5024),
    [sym_comma_expression] = STATE(10272),
    [sym_conditional_expression] = STATE(5024),
    [sym_assignment_expression] = STATE(5024),
    [sym_pointer_expression] = STATE(4507),
    [sym_unary_expression] = STATE(5024),
    [sym_binary_expression] = STATE(5024),
    [sym_update_expression] = STATE(5024),
    [sym_cast_expression] = STATE(5024),
    [sym_sizeof_expression] = STATE(5024),
    [sym_alignof_expression] = STATE(5024),
    [sym_offsetof_expression] = STATE(5024),
    [sym_generic_expression] = STATE(5024),
    [sym_subscript_expression] = STATE(4507),
    [sym_call_expression] = STATE(4507),
    [sym_gnu_asm_expression] = STATE(5024),
    [sym_field_expression] = STATE(4507),
    [sym_compound_literal_expression] = STATE(5024),
    [sym_parenthesized_expression] = STATE(4507),
    [sym_char_literal] = STATE(5374),
    [sym_concatenated_string] = STATE(5377),
    [sym_string_literal] = STATE(4206),
    [sym_null] = STATE(5024),
    [sym__empty_declaration] = STATE(56),
    [sym_placeholder_type_specifier] = STATE(3085),
    [sym_decltype_auto] = STATE(3091),
    [sym_decltype] = STATE(3050),
    [sym_class_specifier] = STATE(3085),
    [sym__class_name] = STATE(9352),
    [sym_virtual] = STATE(3159),
    [sym_alignas_specifier] = STATE(3159),
    [sym_explicit_function_specifier] = STATE(2511),
    [sym_dependent_type] = STATE(3085),
    [sym_template_declaration] = STATE(56),
    [sym_template_instantiation] = STATE(56),
    [sym_operator_cast] = STATE(8035),
    [sym__constructor_specifiers] = STATE(2511),
    [sym_operator_cast_definition] = STATE(56),
    [sym_operator_cast_declaration] = STATE(56),
    [sym_constructor_or_destructor_definition] = STATE(56),
    [sym_reference_declarator] = STATE(7680),
    [sym_structured_binding_declarator] = STATE(7680),
    [sym_template_type] = STATE(3129),
    [sym_template_function] = STATE(5703),
    [sym_namespace_definition] = STATE(56),
    [sym_namespace_alias_definition] = STATE(56),
    [sym_using_declaration] = STATE(56),
    [sym_alias_declaration] = STATE(56),
    [sym_static_assert_declaration] = STATE(56),
    [sym_concept_definition] = STATE(56),
    [sym_for_range_loop] = STATE(56),
    [sym_co_return_statement] = STATE(56),
    [sym_co_yield_statement] = STATE(56),
    [sym_throw_statement] = STATE(56),
    [sym_try_statement] = STATE(56),
    [sym_raw_string_literal] = STATE(4217),
    [sym_co_await_expression] = STATE(5024),
    [sym_new_expression] = STATE(5024),
    [sym_delete_expression] = STATE(5024),
    [sym_requires_clause] = STATE(5024),
    [sym_requires_expression] = STATE(5024),
    [sym_lambda_expression] = STATE(5024),
    [sym_lambda_capture_specifier] = STATE(7184),
    [sym_fold_expression] = STATE(5024),
    [sym_parameter_pack_expansion] = STATE(5024),
    [sym_destructor_name] = STATE(7680),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6764),
    [sym_qualified_identifier] = STATE(4502),
    [sym_qualified_type_identifier] = STATE(3127),
    [sym_qualified_operator_cast_identifier] = STATE(8035),
    [sym_operator_name] = STATE(7680),
    [sym_user_defined_literal] = STATE(4507),
    [sym_discard_statement] = STATE(56),
    [sym_qualifiers] = STATE(3159),
    [sym_cbuffer_specifier] = STATE(56),
    [sym_hlsl_attribute] = STATE(1858),
    [aux_sym_preproc_if_repeat1] = STATE(56),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2673),
    [aux_sym_attributed_declarator_repeat1] = STATE(1339),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3021),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2511),
    [sym_identifier] = ACTIONS(828),
    [aux_sym_preproc_include_token1] = ACTIONS(165),
    [aux_sym_preproc_def_token1] = ACTIONS(167),
    [aux_sym_preproc_if_token1] = ACTIONS(171),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(173),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(173),
    [sym_preproc_directive] = ACTIONS(175),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(177),
    [anon_sym___extension__] = ACTIONS(179),
    [anon_sym_typedef] = ACTIONS(181),
    [anon_sym_in] = ACTIONS(37),
    [anon_sym_out] = ACTIONS(37),
    [anon_sym_inout] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(183),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(45),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym___cdecl] = ACTIONS(51),
    [anon_sym___clrcall] = ACTIONS(51),
    [anon_sym___stdcall] = ACTIONS(51),
    [anon_sym___fastcall] = ACTIONS(51),
    [anon_sym___thiscall] = ACTIONS(51),
    [anon_sym___vectorcall] = ACTIONS(51),
    [anon_sym_LBRACE] = ACTIONS(830),
    [anon_sym_RBRACE] = ACTIONS(1212),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(191),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(65),
    [anon_sym_enum] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(69),
    [anon_sym_struct] = ACTIONS(71),
    [anon_sym_union] = ACTIONS(73),
    [anon_sym_if] = ACTIONS(193),
    [anon_sym_switch] = ACTIONS(195),
    [anon_sym_case] = ACTIONS(197),
    [anon_sym_default] = ACTIONS(199),
    [anon_sym_while] = ACTIONS(201),
    [anon_sym_do] = ACTIONS(203),
    [anon_sym_for] = ACTIONS(205),
    [anon_sym_return] = ACTIONS(207),
    [anon_sym_break] = ACTIONS(209),
    [anon_sym_continue] = ACTIONS(211),
    [anon_sym_goto] = ACTIONS(213),
    [anon_sym___try] = ACTIONS(215),
    [anon_sym___leave] = ACTIONS(217),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [anon_sym_virtual] = ACTIONS(123),
    [anon_sym_alignas] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(223),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_try] = ACTIONS(225),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(227),
    [anon_sym_namespace] = ACTIONS(229),
    [anon_sym_using] = ACTIONS(231),
    [anon_sym_static_assert] = ACTIONS(233),
    [anon_sym_concept] = ACTIONS(235),
    [anon_sym_co_return] = ACTIONS(237),
    [anon_sym_co_yield] = ACTIONS(239),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
    [anon_sym_discard] = ACTIONS(241),
    [anon_sym_precise] = ACTIONS(161),
    [anon_sym_shared] = ACTIONS(161),
    [anon_sym_groupshared] = ACTIONS(161),
    [anon_sym_uniform] = ACTIONS(161),
    [anon_sym_row_major] = ACTIONS(161),
    [anon_sym_column_major] = ACTIONS(161),
    [anon_sym_globallycoherent] = ACTIONS(161),
    [anon_sym_centroid] = ACTIONS(161),
    [anon_sym_noperspective] = ACTIONS(161),
    [anon_sym_nointerpolation] = ACTIONS(161),
    [anon_sym_sample] = ACTIONS(161),
    [anon_sym_linear] = ACTIONS(161),
    [anon_sym_snorm] = ACTIONS(161),
    [anon_sym_unorm] = ACTIONS(161),
    [anon_sym_point] = ACTIONS(161),
    [anon_sym_line] = ACTIONS(161),
    [anon_sym_triangleadj] = ACTIONS(161),
    [anon_sym_lineadj] = ACTIONS(161),
    [anon_sym_triangle] = ACTIONS(161),
    [anon_sym_cbuffer] = ACTIONS(243),
  },
  [90] = {
    [sym_preproc_include] = STATE(88),
    [sym_preproc_def] = STATE(88),
    [sym_preproc_function_def] = STATE(88),
    [sym_preproc_call] = STATE(88),
    [sym_preproc_if] = STATE(88),
    [sym_preproc_ifdef] = STATE(88),
    [sym_function_definition] = STATE(88),
    [sym_declaration] = STATE(88),
    [sym_type_definition] = STATE(88),
    [sym__declaration_modifiers] = STATE(3159),
    [sym__declaration_specifiers] = STATE(5906),
    [sym_linkage_specification] = STATE(88),
    [sym_attribute_specifier] = STATE(3159),
    [sym_attribute_declaration] = STATE(1464),
    [sym_ms_declspec_modifier] = STATE(3159),
    [sym_ms_based_modifier] = STATE(10332),
    [sym_ms_call_modifier] = STATE(2574),
    [sym__declarator] = STATE(7978),
    [sym_parenthesized_declarator] = STATE(7680),
    [sym_attributed_declarator] = STATE(7680),
    [sym_pointer_declarator] = STATE(7680),
    [sym_function_declarator] = STATE(7611),
    [sym_array_declarator] = STATE(7680),
    [sym_compound_statement] = STATE(88),
    [sym_storage_class_specifier] = STATE(3159),
    [sym_type_qualifier] = STATE(3159),
    [sym__type_specifier] = STATE(3039),
    [sym_sized_type_specifier] = STATE(3085),
    [sym_enum_specifier] = STATE(3085),
    [sym_struct_specifier] = STATE(3085),
    [sym_union_specifier] = STATE(3085),
    [sym_attributed_statement] = STATE(88),
    [sym_labeled_statement] = STATE(88),
    [sym_expression_statement] = STATE(88),
    [sym_if_statement] = STATE(88),
    [sym_switch_statement] = STATE(88),
    [sym_case_statement] = STATE(88),
    [sym_while_statement] = STATE(88),
    [sym_do_statement] = STATE(88),
    [sym_for_statement] = STATE(88),
    [sym_return_statement] = STATE(88),
    [sym_break_statement] = STATE(88),
    [sym_continue_statement] = STATE(88),
    [sym_goto_statement] = STATE(88),
    [sym_seh_try_statement] = STATE(88),
    [sym_seh_leave_statement] = STATE(88),
    [sym__expression] = STATE(5674),
    [sym__expression_not_binary] = STATE(5024),
    [sym__string] = STATE(5024),
    [sym_comma_expression] = STATE(10272),
    [sym_conditional_expression] = STATE(5024),
    [sym_assignment_expression] = STATE(5024),
    [sym_pointer_expression] = STATE(4507),
    [sym_unary_expression] = STATE(5024),
    [sym_binary_expression] = STATE(5024),
    [sym_update_expression] = STATE(5024),
    [sym_cast_expression] = STATE(5024),
    [sym_sizeof_expression] = STATE(5024),
    [sym_alignof_expression] = STATE(5024),
    [sym_offsetof_expression] = STATE(5024),
    [sym_generic_expression] = STATE(5024),
    [sym_subscript_expression] = STATE(4507),
    [sym_call_expression] = STATE(4507),
    [sym_gnu_asm_expression] = STATE(5024),
    [sym_field_expression] = STATE(4507),
    [sym_compound_literal_expression] = STATE(5024),
    [sym_parenthesized_expression] = STATE(4507),
    [sym_char_literal] = STATE(5374),
    [sym_concatenated_string] = STATE(5377),
    [sym_string_literal] = STATE(4206),
    [sym_null] = STATE(5024),
    [sym__empty_declaration] = STATE(88),
    [sym_placeholder_type_specifier] = STATE(3085),
    [sym_decltype_auto] = STATE(3091),
    [sym_decltype] = STATE(3050),
    [sym_class_specifier] = STATE(3085),
    [sym__class_name] = STATE(9352),
    [sym_virtual] = STATE(3159),
    [sym_alignas_specifier] = STATE(3159),
    [sym_explicit_function_specifier] = STATE(2511),
    [sym_dependent_type] = STATE(3085),
    [sym_template_declaration] = STATE(88),
    [sym_template_instantiation] = STATE(88),
    [sym_operator_cast] = STATE(8035),
    [sym__constructor_specifiers] = STATE(2511),
    [sym_operator_cast_definition] = STATE(88),
    [sym_operator_cast_declaration] = STATE(88),
    [sym_constructor_or_destructor_definition] = STATE(88),
    [sym_reference_declarator] = STATE(7680),
    [sym_structured_binding_declarator] = STATE(7680),
    [sym_template_type] = STATE(3129),
    [sym_template_function] = STATE(5703),
    [sym_namespace_definition] = STATE(88),
    [sym_namespace_alias_definition] = STATE(88),
    [sym_using_declaration] = STATE(88),
    [sym_alias_declaration] = STATE(88),
    [sym_static_assert_declaration] = STATE(88),
    [sym_concept_definition] = STATE(88),
    [sym_for_range_loop] = STATE(88),
    [sym_co_return_statement] = STATE(88),
    [sym_co_yield_statement] = STATE(88),
    [sym_throw_statement] = STATE(88),
    [sym_try_statement] = STATE(88),
    [sym_raw_string_literal] = STATE(4217),
    [sym_co_await_expression] = STATE(5024),
    [sym_new_expression] = STATE(5024),
    [sym_delete_expression] = STATE(5024),
    [sym_requires_clause] = STATE(5024),
    [sym_requires_expression] = STATE(5024),
    [sym_lambda_expression] = STATE(5024),
    [sym_lambda_capture_specifier] = STATE(7184),
    [sym_fold_expression] = STATE(5024),
    [sym_parameter_pack_expansion] = STATE(5024),
    [sym_destructor_name] = STATE(7680),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6764),
    [sym_qualified_identifier] = STATE(4502),
    [sym_qualified_type_identifier] = STATE(3127),
    [sym_qualified_operator_cast_identifier] = STATE(8035),
    [sym_operator_name] = STATE(7680),
    [sym_user_defined_literal] = STATE(4507),
    [sym_discard_statement] = STATE(88),
    [sym_qualifiers] = STATE(3159),
    [sym_cbuffer_specifier] = STATE(88),
    [sym_hlsl_attribute] = STATE(1858),
    [aux_sym_preproc_if_repeat1] = STATE(88),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2673),
    [aux_sym_attributed_declarator_repeat1] = STATE(1339),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3021),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2511),
    [sym_identifier] = ACTIONS(828),
    [aux_sym_preproc_include_token1] = ACTIONS(165),
    [aux_sym_preproc_def_token1] = ACTIONS(167),
    [aux_sym_preproc_if_token1] = ACTIONS(171),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(173),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(173),
    [sym_preproc_directive] = ACTIONS(175),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(177),
    [anon_sym___extension__] = ACTIONS(179),
    [anon_sym_typedef] = ACTIONS(181),
    [anon_sym_in] = ACTIONS(37),
    [anon_sym_out] = ACTIONS(37),
    [anon_sym_inout] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(183),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(45),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym___cdecl] = ACTIONS(51),
    [anon_sym___clrcall] = ACTIONS(51),
    [anon_sym___stdcall] = ACTIONS(51),
    [anon_sym___fastcall] = ACTIONS(51),
    [anon_sym___thiscall] = ACTIONS(51),
    [anon_sym___vectorcall] = ACTIONS(51),
    [anon_sym_LBRACE] = ACTIONS(830),
    [anon_sym_RBRACE] = ACTIONS(1214),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(191),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(65),
    [anon_sym_enum] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(69),
    [anon_sym_struct] = ACTIONS(71),
    [anon_sym_union] = ACTIONS(73),
    [anon_sym_if] = ACTIONS(193),
    [anon_sym_switch] = ACTIONS(195),
    [anon_sym_case] = ACTIONS(197),
    [anon_sym_default] = ACTIONS(199),
    [anon_sym_while] = ACTIONS(201),
    [anon_sym_do] = ACTIONS(203),
    [anon_sym_for] = ACTIONS(205),
    [anon_sym_return] = ACTIONS(207),
    [anon_sym_break] = ACTIONS(209),
    [anon_sym_continue] = ACTIONS(211),
    [anon_sym_goto] = ACTIONS(213),
    [anon_sym___try] = ACTIONS(215),
    [anon_sym___leave] = ACTIONS(217),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [anon_sym_virtual] = ACTIONS(123),
    [anon_sym_alignas] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(223),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_try] = ACTIONS(225),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(227),
    [anon_sym_namespace] = ACTIONS(229),
    [anon_sym_using] = ACTIONS(231),
    [anon_sym_static_assert] = ACTIONS(233),
    [anon_sym_concept] = ACTIONS(235),
    [anon_sym_co_return] = ACTIONS(237),
    [anon_sym_co_yield] = ACTIONS(239),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
    [anon_sym_discard] = ACTIONS(241),
    [anon_sym_precise] = ACTIONS(161),
    [anon_sym_shared] = ACTIONS(161),
    [anon_sym_groupshared] = ACTIONS(161),
    [anon_sym_uniform] = ACTIONS(161),
    [anon_sym_row_major] = ACTIONS(161),
    [anon_sym_column_major] = ACTIONS(161),
    [anon_sym_globallycoherent] = ACTIONS(161),
    [anon_sym_centroid] = ACTIONS(161),
    [anon_sym_noperspective] = ACTIONS(161),
    [anon_sym_nointerpolation] = ACTIONS(161),
    [anon_sym_sample] = ACTIONS(161),
    [anon_sym_linear] = ACTIONS(161),
    [anon_sym_snorm] = ACTIONS(161),
    [anon_sym_unorm] = ACTIONS(161),
    [anon_sym_point] = ACTIONS(161),
    [anon_sym_line] = ACTIONS(161),
    [anon_sym_triangleadj] = ACTIONS(161),
    [anon_sym_lineadj] = ACTIONS(161),
    [anon_sym_triangle] = ACTIONS(161),
    [anon_sym_cbuffer] = ACTIONS(243),
  },
  [91] = {
    [sym_preproc_include] = STATE(74),
    [sym_preproc_def] = STATE(74),
    [sym_preproc_function_def] = STATE(74),
    [sym_preproc_call] = STATE(74),
    [sym_preproc_if] = STATE(74),
    [sym_preproc_ifdef] = STATE(74),
    [sym_function_definition] = STATE(74),
    [sym_declaration] = STATE(74),
    [sym_type_definition] = STATE(74),
    [sym__declaration_modifiers] = STATE(3159),
    [sym__declaration_specifiers] = STATE(5906),
    [sym_linkage_specification] = STATE(74),
    [sym_attribute_specifier] = STATE(3159),
    [sym_attribute_declaration] = STATE(1464),
    [sym_ms_declspec_modifier] = STATE(3159),
    [sym_ms_based_modifier] = STATE(10332),
    [sym_ms_call_modifier] = STATE(2574),
    [sym__declarator] = STATE(7978),
    [sym_parenthesized_declarator] = STATE(7680),
    [sym_attributed_declarator] = STATE(7680),
    [sym_pointer_declarator] = STATE(7680),
    [sym_function_declarator] = STATE(7611),
    [sym_array_declarator] = STATE(7680),
    [sym_compound_statement] = STATE(74),
    [sym_storage_class_specifier] = STATE(3159),
    [sym_type_qualifier] = STATE(3159),
    [sym__type_specifier] = STATE(3039),
    [sym_sized_type_specifier] = STATE(3085),
    [sym_enum_specifier] = STATE(3085),
    [sym_struct_specifier] = STATE(3085),
    [sym_union_specifier] = STATE(3085),
    [sym_attributed_statement] = STATE(74),
    [sym_labeled_statement] = STATE(74),
    [sym_expression_statement] = STATE(74),
    [sym_if_statement] = STATE(74),
    [sym_switch_statement] = STATE(74),
    [sym_case_statement] = STATE(74),
    [sym_while_statement] = STATE(74),
    [sym_do_statement] = STATE(74),
    [sym_for_statement] = STATE(74),
    [sym_return_statement] = STATE(74),
    [sym_break_statement] = STATE(74),
    [sym_continue_statement] = STATE(74),
    [sym_goto_statement] = STATE(74),
    [sym_seh_try_statement] = STATE(74),
    [sym_seh_leave_statement] = STATE(74),
    [sym__expression] = STATE(5674),
    [sym__expression_not_binary] = STATE(5024),
    [sym__string] = STATE(5024),
    [sym_comma_expression] = STATE(10272),
    [sym_conditional_expression] = STATE(5024),
    [sym_assignment_expression] = STATE(5024),
    [sym_pointer_expression] = STATE(4507),
    [sym_unary_expression] = STATE(5024),
    [sym_binary_expression] = STATE(5024),
    [sym_update_expression] = STATE(5024),
    [sym_cast_expression] = STATE(5024),
    [sym_sizeof_expression] = STATE(5024),
    [sym_alignof_expression] = STATE(5024),
    [sym_offsetof_expression] = STATE(5024),
    [sym_generic_expression] = STATE(5024),
    [sym_subscript_expression] = STATE(4507),
    [sym_call_expression] = STATE(4507),
    [sym_gnu_asm_expression] = STATE(5024),
    [sym_field_expression] = STATE(4507),
    [sym_compound_literal_expression] = STATE(5024),
    [sym_parenthesized_expression] = STATE(4507),
    [sym_char_literal] = STATE(5374),
    [sym_concatenated_string] = STATE(5377),
    [sym_string_literal] = STATE(4206),
    [sym_null] = STATE(5024),
    [sym__empty_declaration] = STATE(74),
    [sym_placeholder_type_specifier] = STATE(3085),
    [sym_decltype_auto] = STATE(3091),
    [sym_decltype] = STATE(3050),
    [sym_class_specifier] = STATE(3085),
    [sym__class_name] = STATE(9352),
    [sym_virtual] = STATE(3159),
    [sym_alignas_specifier] = STATE(3159),
    [sym_explicit_function_specifier] = STATE(2511),
    [sym_dependent_type] = STATE(3085),
    [sym_template_declaration] = STATE(74),
    [sym_template_instantiation] = STATE(74),
    [sym_operator_cast] = STATE(8035),
    [sym__constructor_specifiers] = STATE(2511),
    [sym_operator_cast_definition] = STATE(74),
    [sym_operator_cast_declaration] = STATE(74),
    [sym_constructor_or_destructor_definition] = STATE(74),
    [sym_reference_declarator] = STATE(7680),
    [sym_structured_binding_declarator] = STATE(7680),
    [sym_template_type] = STATE(3129),
    [sym_template_function] = STATE(5703),
    [sym_namespace_definition] = STATE(74),
    [sym_namespace_alias_definition] = STATE(74),
    [sym_using_declaration] = STATE(74),
    [sym_alias_declaration] = STATE(74),
    [sym_static_assert_declaration] = STATE(74),
    [sym_concept_definition] = STATE(74),
    [sym_for_range_loop] = STATE(74),
    [sym_co_return_statement] = STATE(74),
    [sym_co_yield_statement] = STATE(74),
    [sym_throw_statement] = STATE(74),
    [sym_try_statement] = STATE(74),
    [sym_raw_string_literal] = STATE(4217),
    [sym_co_await_expression] = STATE(5024),
    [sym_new_expression] = STATE(5024),
    [sym_delete_expression] = STATE(5024),
    [sym_requires_clause] = STATE(5024),
    [sym_requires_expression] = STATE(5024),
    [sym_lambda_expression] = STATE(5024),
    [sym_lambda_capture_specifier] = STATE(7184),
    [sym_fold_expression] = STATE(5024),
    [sym_parameter_pack_expansion] = STATE(5024),
    [sym_destructor_name] = STATE(7680),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6764),
    [sym_qualified_identifier] = STATE(4502),
    [sym_qualified_type_identifier] = STATE(3127),
    [sym_qualified_operator_cast_identifier] = STATE(8035),
    [sym_operator_name] = STATE(7680),
    [sym_user_defined_literal] = STATE(4507),
    [sym_discard_statement] = STATE(74),
    [sym_qualifiers] = STATE(3159),
    [sym_cbuffer_specifier] = STATE(74),
    [sym_hlsl_attribute] = STATE(1858),
    [aux_sym_preproc_if_repeat1] = STATE(74),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2673),
    [aux_sym_attributed_declarator_repeat1] = STATE(1339),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3021),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2511),
    [sym_identifier] = ACTIONS(828),
    [aux_sym_preproc_include_token1] = ACTIONS(165),
    [aux_sym_preproc_def_token1] = ACTIONS(167),
    [aux_sym_preproc_if_token1] = ACTIONS(171),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(173),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(173),
    [sym_preproc_directive] = ACTIONS(175),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(177),
    [anon_sym___extension__] = ACTIONS(179),
    [anon_sym_typedef] = ACTIONS(181),
    [anon_sym_in] = ACTIONS(37),
    [anon_sym_out] = ACTIONS(37),
    [anon_sym_inout] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(183),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(45),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym___cdecl] = ACTIONS(51),
    [anon_sym___clrcall] = ACTIONS(51),
    [anon_sym___stdcall] = ACTIONS(51),
    [anon_sym___fastcall] = ACTIONS(51),
    [anon_sym___thiscall] = ACTIONS(51),
    [anon_sym___vectorcall] = ACTIONS(51),
    [anon_sym_LBRACE] = ACTIONS(830),
    [anon_sym_RBRACE] = ACTIONS(1216),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(191),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(65),
    [anon_sym_enum] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(69),
    [anon_sym_struct] = ACTIONS(71),
    [anon_sym_union] = ACTIONS(73),
    [anon_sym_if] = ACTIONS(193),
    [anon_sym_switch] = ACTIONS(195),
    [anon_sym_case] = ACTIONS(197),
    [anon_sym_default] = ACTIONS(199),
    [anon_sym_while] = ACTIONS(201),
    [anon_sym_do] = ACTIONS(203),
    [anon_sym_for] = ACTIONS(205),
    [anon_sym_return] = ACTIONS(207),
    [anon_sym_break] = ACTIONS(209),
    [anon_sym_continue] = ACTIONS(211),
    [anon_sym_goto] = ACTIONS(213),
    [anon_sym___try] = ACTIONS(215),
    [anon_sym___leave] = ACTIONS(217),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [anon_sym_virtual] = ACTIONS(123),
    [anon_sym_alignas] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(223),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_try] = ACTIONS(225),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(227),
    [anon_sym_namespace] = ACTIONS(229),
    [anon_sym_using] = ACTIONS(231),
    [anon_sym_static_assert] = ACTIONS(233),
    [anon_sym_concept] = ACTIONS(235),
    [anon_sym_co_return] = ACTIONS(237),
    [anon_sym_co_yield] = ACTIONS(239),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
    [anon_sym_discard] = ACTIONS(241),
    [anon_sym_precise] = ACTIONS(161),
    [anon_sym_shared] = ACTIONS(161),
    [anon_sym_groupshared] = ACTIONS(161),
    [anon_sym_uniform] = ACTIONS(161),
    [anon_sym_row_major] = ACTIONS(161),
    [anon_sym_column_major] = ACTIONS(161),
    [anon_sym_globallycoherent] = ACTIONS(161),
    [anon_sym_centroid] = ACTIONS(161),
    [anon_sym_noperspective] = ACTIONS(161),
    [anon_sym_nointerpolation] = ACTIONS(161),
    [anon_sym_sample] = ACTIONS(161),
    [anon_sym_linear] = ACTIONS(161),
    [anon_sym_snorm] = ACTIONS(161),
    [anon_sym_unorm] = ACTIONS(161),
    [anon_sym_point] = ACTIONS(161),
    [anon_sym_line] = ACTIONS(161),
    [anon_sym_triangleadj] = ACTIONS(161),
    [anon_sym_lineadj] = ACTIONS(161),
    [anon_sym_triangle] = ACTIONS(161),
    [anon_sym_cbuffer] = ACTIONS(243),
  },
  [92] = {
    [sym_preproc_include] = STATE(56),
    [sym_preproc_def] = STATE(56),
    [sym_preproc_function_def] = STATE(56),
    [sym_preproc_call] = STATE(56),
    [sym_preproc_if] = STATE(56),
    [sym_preproc_ifdef] = STATE(56),
    [sym_function_definition] = STATE(56),
    [sym_declaration] = STATE(56),
    [sym_type_definition] = STATE(56),
    [sym__declaration_modifiers] = STATE(3159),
    [sym__declaration_specifiers] = STATE(5906),
    [sym_linkage_specification] = STATE(56),
    [sym_attribute_specifier] = STATE(3159),
    [sym_attribute_declaration] = STATE(1464),
    [sym_ms_declspec_modifier] = STATE(3159),
    [sym_ms_based_modifier] = STATE(10332),
    [sym_ms_call_modifier] = STATE(2574),
    [sym__declarator] = STATE(7978),
    [sym_parenthesized_declarator] = STATE(7680),
    [sym_attributed_declarator] = STATE(7680),
    [sym_pointer_declarator] = STATE(7680),
    [sym_function_declarator] = STATE(7611),
    [sym_array_declarator] = STATE(7680),
    [sym_compound_statement] = STATE(56),
    [sym_storage_class_specifier] = STATE(3159),
    [sym_type_qualifier] = STATE(3159),
    [sym__type_specifier] = STATE(3039),
    [sym_sized_type_specifier] = STATE(3085),
    [sym_enum_specifier] = STATE(3085),
    [sym_struct_specifier] = STATE(3085),
    [sym_union_specifier] = STATE(3085),
    [sym_attributed_statement] = STATE(56),
    [sym_labeled_statement] = STATE(56),
    [sym_expression_statement] = STATE(56),
    [sym_if_statement] = STATE(56),
    [sym_switch_statement] = STATE(56),
    [sym_case_statement] = STATE(56),
    [sym_while_statement] = STATE(56),
    [sym_do_statement] = STATE(56),
    [sym_for_statement] = STATE(56),
    [sym_return_statement] = STATE(56),
    [sym_break_statement] = STATE(56),
    [sym_continue_statement] = STATE(56),
    [sym_goto_statement] = STATE(56),
    [sym_seh_try_statement] = STATE(56),
    [sym_seh_leave_statement] = STATE(56),
    [sym__expression] = STATE(5674),
    [sym__expression_not_binary] = STATE(5024),
    [sym__string] = STATE(5024),
    [sym_comma_expression] = STATE(10272),
    [sym_conditional_expression] = STATE(5024),
    [sym_assignment_expression] = STATE(5024),
    [sym_pointer_expression] = STATE(4507),
    [sym_unary_expression] = STATE(5024),
    [sym_binary_expression] = STATE(5024),
    [sym_update_expression] = STATE(5024),
    [sym_cast_expression] = STATE(5024),
    [sym_sizeof_expression] = STATE(5024),
    [sym_alignof_expression] = STATE(5024),
    [sym_offsetof_expression] = STATE(5024),
    [sym_generic_expression] = STATE(5024),
    [sym_subscript_expression] = STATE(4507),
    [sym_call_expression] = STATE(4507),
    [sym_gnu_asm_expression] = STATE(5024),
    [sym_field_expression] = STATE(4507),
    [sym_compound_literal_expression] = STATE(5024),
    [sym_parenthesized_expression] = STATE(4507),
    [sym_char_literal] = STATE(5374),
    [sym_concatenated_string] = STATE(5377),
    [sym_string_literal] = STATE(4206),
    [sym_null] = STATE(5024),
    [sym__empty_declaration] = STATE(56),
    [sym_placeholder_type_specifier] = STATE(3085),
    [sym_decltype_auto] = STATE(3091),
    [sym_decltype] = STATE(3050),
    [sym_class_specifier] = STATE(3085),
    [sym__class_name] = STATE(9352),
    [sym_virtual] = STATE(3159),
    [sym_alignas_specifier] = STATE(3159),
    [sym_explicit_function_specifier] = STATE(2511),
    [sym_dependent_type] = STATE(3085),
    [sym_template_declaration] = STATE(56),
    [sym_template_instantiation] = STATE(56),
    [sym_operator_cast] = STATE(8035),
    [sym__constructor_specifiers] = STATE(2511),
    [sym_operator_cast_definition] = STATE(56),
    [sym_operator_cast_declaration] = STATE(56),
    [sym_constructor_or_destructor_definition] = STATE(56),
    [sym_reference_declarator] = STATE(7680),
    [sym_structured_binding_declarator] = STATE(7680),
    [sym_template_type] = STATE(3129),
    [sym_template_function] = STATE(5703),
    [sym_namespace_definition] = STATE(56),
    [sym_namespace_alias_definition] = STATE(56),
    [sym_using_declaration] = STATE(56),
    [sym_alias_declaration] = STATE(56),
    [sym_static_assert_declaration] = STATE(56),
    [sym_concept_definition] = STATE(56),
    [sym_for_range_loop] = STATE(56),
    [sym_co_return_statement] = STATE(56),
    [sym_co_yield_statement] = STATE(56),
    [sym_throw_statement] = STATE(56),
    [sym_try_statement] = STATE(56),
    [sym_raw_string_literal] = STATE(4217),
    [sym_co_await_expression] = STATE(5024),
    [sym_new_expression] = STATE(5024),
    [sym_delete_expression] = STATE(5024),
    [sym_requires_clause] = STATE(5024),
    [sym_requires_expression] = STATE(5024),
    [sym_lambda_expression] = STATE(5024),
    [sym_lambda_capture_specifier] = STATE(7184),
    [sym_fold_expression] = STATE(5024),
    [sym_parameter_pack_expansion] = STATE(5024),
    [sym_destructor_name] = STATE(7680),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6764),
    [sym_qualified_identifier] = STATE(4502),
    [sym_qualified_type_identifier] = STATE(3127),
    [sym_qualified_operator_cast_identifier] = STATE(8035),
    [sym_operator_name] = STATE(7680),
    [sym_user_defined_literal] = STATE(4507),
    [sym_discard_statement] = STATE(56),
    [sym_qualifiers] = STATE(3159),
    [sym_cbuffer_specifier] = STATE(56),
    [sym_hlsl_attribute] = STATE(1858),
    [aux_sym_preproc_if_repeat1] = STATE(56),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2673),
    [aux_sym_attributed_declarator_repeat1] = STATE(1339),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3021),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2511),
    [sym_identifier] = ACTIONS(828),
    [aux_sym_preproc_include_token1] = ACTIONS(165),
    [aux_sym_preproc_def_token1] = ACTIONS(167),
    [aux_sym_preproc_if_token1] = ACTIONS(171),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(173),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(173),
    [sym_preproc_directive] = ACTIONS(175),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(177),
    [anon_sym___extension__] = ACTIONS(179),
    [anon_sym_typedef] = ACTIONS(181),
    [anon_sym_in] = ACTIONS(37),
    [anon_sym_out] = ACTIONS(37),
    [anon_sym_inout] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(183),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(45),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym___cdecl] = ACTIONS(51),
    [anon_sym___clrcall] = ACTIONS(51),
    [anon_sym___stdcall] = ACTIONS(51),
    [anon_sym___fastcall] = ACTIONS(51),
    [anon_sym___thiscall] = ACTIONS(51),
    [anon_sym___vectorcall] = ACTIONS(51),
    [anon_sym_LBRACE] = ACTIONS(830),
    [anon_sym_RBRACE] = ACTIONS(1218),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(191),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(65),
    [anon_sym_enum] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(69),
    [anon_sym_struct] = ACTIONS(71),
    [anon_sym_union] = ACTIONS(73),
    [anon_sym_if] = ACTIONS(193),
    [anon_sym_switch] = ACTIONS(195),
    [anon_sym_case] = ACTIONS(197),
    [anon_sym_default] = ACTIONS(199),
    [anon_sym_while] = ACTIONS(201),
    [anon_sym_do] = ACTIONS(203),
    [anon_sym_for] = ACTIONS(205),
    [anon_sym_return] = ACTIONS(207),
    [anon_sym_break] = ACTIONS(209),
    [anon_sym_continue] = ACTIONS(211),
    [anon_sym_goto] = ACTIONS(213),
    [anon_sym___try] = ACTIONS(215),
    [anon_sym___leave] = ACTIONS(217),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [anon_sym_virtual] = ACTIONS(123),
    [anon_sym_alignas] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(223),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_try] = ACTIONS(225),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(227),
    [anon_sym_namespace] = ACTIONS(229),
    [anon_sym_using] = ACTIONS(231),
    [anon_sym_static_assert] = ACTIONS(233),
    [anon_sym_concept] = ACTIONS(235),
    [anon_sym_co_return] = ACTIONS(237),
    [anon_sym_co_yield] = ACTIONS(239),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
    [anon_sym_discard] = ACTIONS(241),
    [anon_sym_precise] = ACTIONS(161),
    [anon_sym_shared] = ACTIONS(161),
    [anon_sym_groupshared] = ACTIONS(161),
    [anon_sym_uniform] = ACTIONS(161),
    [anon_sym_row_major] = ACTIONS(161),
    [anon_sym_column_major] = ACTIONS(161),
    [anon_sym_globallycoherent] = ACTIONS(161),
    [anon_sym_centroid] = ACTIONS(161),
    [anon_sym_noperspective] = ACTIONS(161),
    [anon_sym_nointerpolation] = ACTIONS(161),
    [anon_sym_sample] = ACTIONS(161),
    [anon_sym_linear] = ACTIONS(161),
    [anon_sym_snorm] = ACTIONS(161),
    [anon_sym_unorm] = ACTIONS(161),
    [anon_sym_point] = ACTIONS(161),
    [anon_sym_line] = ACTIONS(161),
    [anon_sym_triangleadj] = ACTIONS(161),
    [anon_sym_lineadj] = ACTIONS(161),
    [anon_sym_triangle] = ACTIONS(161),
    [anon_sym_cbuffer] = ACTIONS(243),
  },
  [93] = {
    [sym_preproc_include] = STATE(56),
    [sym_preproc_def] = STATE(56),
    [sym_preproc_function_def] = STATE(56),
    [sym_preproc_call] = STATE(56),
    [sym_preproc_if] = STATE(56),
    [sym_preproc_ifdef] = STATE(56),
    [sym_function_definition] = STATE(56),
    [sym_declaration] = STATE(56),
    [sym_type_definition] = STATE(56),
    [sym__declaration_modifiers] = STATE(3159),
    [sym__declaration_specifiers] = STATE(5906),
    [sym_linkage_specification] = STATE(56),
    [sym_attribute_specifier] = STATE(3159),
    [sym_attribute_declaration] = STATE(1464),
    [sym_ms_declspec_modifier] = STATE(3159),
    [sym_ms_based_modifier] = STATE(10332),
    [sym_ms_call_modifier] = STATE(2574),
    [sym__declarator] = STATE(7978),
    [sym_parenthesized_declarator] = STATE(7680),
    [sym_attributed_declarator] = STATE(7680),
    [sym_pointer_declarator] = STATE(7680),
    [sym_function_declarator] = STATE(7611),
    [sym_array_declarator] = STATE(7680),
    [sym_compound_statement] = STATE(56),
    [sym_storage_class_specifier] = STATE(3159),
    [sym_type_qualifier] = STATE(3159),
    [sym__type_specifier] = STATE(3039),
    [sym_sized_type_specifier] = STATE(3085),
    [sym_enum_specifier] = STATE(3085),
    [sym_struct_specifier] = STATE(3085),
    [sym_union_specifier] = STATE(3085),
    [sym_attributed_statement] = STATE(56),
    [sym_labeled_statement] = STATE(56),
    [sym_expression_statement] = STATE(56),
    [sym_if_statement] = STATE(56),
    [sym_switch_statement] = STATE(56),
    [sym_case_statement] = STATE(56),
    [sym_while_statement] = STATE(56),
    [sym_do_statement] = STATE(56),
    [sym_for_statement] = STATE(56),
    [sym_return_statement] = STATE(56),
    [sym_break_statement] = STATE(56),
    [sym_continue_statement] = STATE(56),
    [sym_goto_statement] = STATE(56),
    [sym_seh_try_statement] = STATE(56),
    [sym_seh_leave_statement] = STATE(56),
    [sym__expression] = STATE(5674),
    [sym__expression_not_binary] = STATE(5024),
    [sym__string] = STATE(5024),
    [sym_comma_expression] = STATE(10272),
    [sym_conditional_expression] = STATE(5024),
    [sym_assignment_expression] = STATE(5024),
    [sym_pointer_expression] = STATE(4507),
    [sym_unary_expression] = STATE(5024),
    [sym_binary_expression] = STATE(5024),
    [sym_update_expression] = STATE(5024),
    [sym_cast_expression] = STATE(5024),
    [sym_sizeof_expression] = STATE(5024),
    [sym_alignof_expression] = STATE(5024),
    [sym_offsetof_expression] = STATE(5024),
    [sym_generic_expression] = STATE(5024),
    [sym_subscript_expression] = STATE(4507),
    [sym_call_expression] = STATE(4507),
    [sym_gnu_asm_expression] = STATE(5024),
    [sym_field_expression] = STATE(4507),
    [sym_compound_literal_expression] = STATE(5024),
    [sym_parenthesized_expression] = STATE(4507),
    [sym_char_literal] = STATE(5374),
    [sym_concatenated_string] = STATE(5377),
    [sym_string_literal] = STATE(4206),
    [sym_null] = STATE(5024),
    [sym__empty_declaration] = STATE(56),
    [sym_placeholder_type_specifier] = STATE(3085),
    [sym_decltype_auto] = STATE(3091),
    [sym_decltype] = STATE(3050),
    [sym_class_specifier] = STATE(3085),
    [sym__class_name] = STATE(9352),
    [sym_virtual] = STATE(3159),
    [sym_alignas_specifier] = STATE(3159),
    [sym_explicit_function_specifier] = STATE(2511),
    [sym_dependent_type] = STATE(3085),
    [sym_template_declaration] = STATE(56),
    [sym_template_instantiation] = STATE(56),
    [sym_operator_cast] = STATE(8035),
    [sym__constructor_specifiers] = STATE(2511),
    [sym_operator_cast_definition] = STATE(56),
    [sym_operator_cast_declaration] = STATE(56),
    [sym_constructor_or_destructor_definition] = STATE(56),
    [sym_reference_declarator] = STATE(7680),
    [sym_structured_binding_declarator] = STATE(7680),
    [sym_template_type] = STATE(3129),
    [sym_template_function] = STATE(5703),
    [sym_namespace_definition] = STATE(56),
    [sym_namespace_alias_definition] = STATE(56),
    [sym_using_declaration] = STATE(56),
    [sym_alias_declaration] = STATE(56),
    [sym_static_assert_declaration] = STATE(56),
    [sym_concept_definition] = STATE(56),
    [sym_for_range_loop] = STATE(56),
    [sym_co_return_statement] = STATE(56),
    [sym_co_yield_statement] = STATE(56),
    [sym_throw_statement] = STATE(56),
    [sym_try_statement] = STATE(56),
    [sym_raw_string_literal] = STATE(4217),
    [sym_co_await_expression] = STATE(5024),
    [sym_new_expression] = STATE(5024),
    [sym_delete_expression] = STATE(5024),
    [sym_requires_clause] = STATE(5024),
    [sym_requires_expression] = STATE(5024),
    [sym_lambda_expression] = STATE(5024),
    [sym_lambda_capture_specifier] = STATE(7184),
    [sym_fold_expression] = STATE(5024),
    [sym_parameter_pack_expansion] = STATE(5024),
    [sym_destructor_name] = STATE(7680),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6764),
    [sym_qualified_identifier] = STATE(4502),
    [sym_qualified_type_identifier] = STATE(3127),
    [sym_qualified_operator_cast_identifier] = STATE(8035),
    [sym_operator_name] = STATE(7680),
    [sym_user_defined_literal] = STATE(4507),
    [sym_discard_statement] = STATE(56),
    [sym_qualifiers] = STATE(3159),
    [sym_cbuffer_specifier] = STATE(56),
    [sym_hlsl_attribute] = STATE(1858),
    [aux_sym_preproc_if_repeat1] = STATE(56),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2673),
    [aux_sym_attributed_declarator_repeat1] = STATE(1339),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3021),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2511),
    [sym_identifier] = ACTIONS(828),
    [aux_sym_preproc_include_token1] = ACTIONS(165),
    [aux_sym_preproc_def_token1] = ACTIONS(167),
    [aux_sym_preproc_if_token1] = ACTIONS(171),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(173),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(173),
    [sym_preproc_directive] = ACTIONS(175),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(177),
    [anon_sym___extension__] = ACTIONS(179),
    [anon_sym_typedef] = ACTIONS(181),
    [anon_sym_in] = ACTIONS(37),
    [anon_sym_out] = ACTIONS(37),
    [anon_sym_inout] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(183),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(45),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym___cdecl] = ACTIONS(51),
    [anon_sym___clrcall] = ACTIONS(51),
    [anon_sym___stdcall] = ACTIONS(51),
    [anon_sym___fastcall] = ACTIONS(51),
    [anon_sym___thiscall] = ACTIONS(51),
    [anon_sym___vectorcall] = ACTIONS(51),
    [anon_sym_LBRACE] = ACTIONS(830),
    [anon_sym_RBRACE] = ACTIONS(1220),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(191),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(65),
    [anon_sym_enum] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(69),
    [anon_sym_struct] = ACTIONS(71),
    [anon_sym_union] = ACTIONS(73),
    [anon_sym_if] = ACTIONS(193),
    [anon_sym_switch] = ACTIONS(195),
    [anon_sym_case] = ACTIONS(197),
    [anon_sym_default] = ACTIONS(199),
    [anon_sym_while] = ACTIONS(201),
    [anon_sym_do] = ACTIONS(203),
    [anon_sym_for] = ACTIONS(205),
    [anon_sym_return] = ACTIONS(207),
    [anon_sym_break] = ACTIONS(209),
    [anon_sym_continue] = ACTIONS(211),
    [anon_sym_goto] = ACTIONS(213),
    [anon_sym___try] = ACTIONS(215),
    [anon_sym___leave] = ACTIONS(217),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [anon_sym_virtual] = ACTIONS(123),
    [anon_sym_alignas] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(223),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_try] = ACTIONS(225),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(227),
    [anon_sym_namespace] = ACTIONS(229),
    [anon_sym_using] = ACTIONS(231),
    [anon_sym_static_assert] = ACTIONS(233),
    [anon_sym_concept] = ACTIONS(235),
    [anon_sym_co_return] = ACTIONS(237),
    [anon_sym_co_yield] = ACTIONS(239),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
    [anon_sym_discard] = ACTIONS(241),
    [anon_sym_precise] = ACTIONS(161),
    [anon_sym_shared] = ACTIONS(161),
    [anon_sym_groupshared] = ACTIONS(161),
    [anon_sym_uniform] = ACTIONS(161),
    [anon_sym_row_major] = ACTIONS(161),
    [anon_sym_column_major] = ACTIONS(161),
    [anon_sym_globallycoherent] = ACTIONS(161),
    [anon_sym_centroid] = ACTIONS(161),
    [anon_sym_noperspective] = ACTIONS(161),
    [anon_sym_nointerpolation] = ACTIONS(161),
    [anon_sym_sample] = ACTIONS(161),
    [anon_sym_linear] = ACTIONS(161),
    [anon_sym_snorm] = ACTIONS(161),
    [anon_sym_unorm] = ACTIONS(161),
    [anon_sym_point] = ACTIONS(161),
    [anon_sym_line] = ACTIONS(161),
    [anon_sym_triangleadj] = ACTIONS(161),
    [anon_sym_lineadj] = ACTIONS(161),
    [anon_sym_triangle] = ACTIONS(161),
    [anon_sym_cbuffer] = ACTIONS(243),
  },
  [94] = {
    [sym_preproc_include] = STATE(56),
    [sym_preproc_def] = STATE(56),
    [sym_preproc_function_def] = STATE(56),
    [sym_preproc_call] = STATE(56),
    [sym_preproc_if] = STATE(56),
    [sym_preproc_ifdef] = STATE(56),
    [sym_function_definition] = STATE(56),
    [sym_declaration] = STATE(56),
    [sym_type_definition] = STATE(56),
    [sym__declaration_modifiers] = STATE(3159),
    [sym__declaration_specifiers] = STATE(5906),
    [sym_linkage_specification] = STATE(56),
    [sym_attribute_specifier] = STATE(3159),
    [sym_attribute_declaration] = STATE(1464),
    [sym_ms_declspec_modifier] = STATE(3159),
    [sym_ms_based_modifier] = STATE(10332),
    [sym_ms_call_modifier] = STATE(2574),
    [sym__declarator] = STATE(7978),
    [sym_parenthesized_declarator] = STATE(7680),
    [sym_attributed_declarator] = STATE(7680),
    [sym_pointer_declarator] = STATE(7680),
    [sym_function_declarator] = STATE(7611),
    [sym_array_declarator] = STATE(7680),
    [sym_compound_statement] = STATE(56),
    [sym_storage_class_specifier] = STATE(3159),
    [sym_type_qualifier] = STATE(3159),
    [sym__type_specifier] = STATE(3039),
    [sym_sized_type_specifier] = STATE(3085),
    [sym_enum_specifier] = STATE(3085),
    [sym_struct_specifier] = STATE(3085),
    [sym_union_specifier] = STATE(3085),
    [sym_attributed_statement] = STATE(56),
    [sym_labeled_statement] = STATE(56),
    [sym_expression_statement] = STATE(56),
    [sym_if_statement] = STATE(56),
    [sym_switch_statement] = STATE(56),
    [sym_case_statement] = STATE(56),
    [sym_while_statement] = STATE(56),
    [sym_do_statement] = STATE(56),
    [sym_for_statement] = STATE(56),
    [sym_return_statement] = STATE(56),
    [sym_break_statement] = STATE(56),
    [sym_continue_statement] = STATE(56),
    [sym_goto_statement] = STATE(56),
    [sym_seh_try_statement] = STATE(56),
    [sym_seh_leave_statement] = STATE(56),
    [sym__expression] = STATE(5674),
    [sym__expression_not_binary] = STATE(5024),
    [sym__string] = STATE(5024),
    [sym_comma_expression] = STATE(10272),
    [sym_conditional_expression] = STATE(5024),
    [sym_assignment_expression] = STATE(5024),
    [sym_pointer_expression] = STATE(4507),
    [sym_unary_expression] = STATE(5024),
    [sym_binary_expression] = STATE(5024),
    [sym_update_expression] = STATE(5024),
    [sym_cast_expression] = STATE(5024),
    [sym_sizeof_expression] = STATE(5024),
    [sym_alignof_expression] = STATE(5024),
    [sym_offsetof_expression] = STATE(5024),
    [sym_generic_expression] = STATE(5024),
    [sym_subscript_expression] = STATE(4507),
    [sym_call_expression] = STATE(4507),
    [sym_gnu_asm_expression] = STATE(5024),
    [sym_field_expression] = STATE(4507),
    [sym_compound_literal_expression] = STATE(5024),
    [sym_parenthesized_expression] = STATE(4507),
    [sym_char_literal] = STATE(5374),
    [sym_concatenated_string] = STATE(5377),
    [sym_string_literal] = STATE(4206),
    [sym_null] = STATE(5024),
    [sym__empty_declaration] = STATE(56),
    [sym_placeholder_type_specifier] = STATE(3085),
    [sym_decltype_auto] = STATE(3091),
    [sym_decltype] = STATE(3050),
    [sym_class_specifier] = STATE(3085),
    [sym__class_name] = STATE(9352),
    [sym_virtual] = STATE(3159),
    [sym_alignas_specifier] = STATE(3159),
    [sym_explicit_function_specifier] = STATE(2511),
    [sym_dependent_type] = STATE(3085),
    [sym_template_declaration] = STATE(56),
    [sym_template_instantiation] = STATE(56),
    [sym_operator_cast] = STATE(8035),
    [sym__constructor_specifiers] = STATE(2511),
    [sym_operator_cast_definition] = STATE(56),
    [sym_operator_cast_declaration] = STATE(56),
    [sym_constructor_or_destructor_definition] = STATE(56),
    [sym_reference_declarator] = STATE(7680),
    [sym_structured_binding_declarator] = STATE(7680),
    [sym_template_type] = STATE(3129),
    [sym_template_function] = STATE(5703),
    [sym_namespace_definition] = STATE(56),
    [sym_namespace_alias_definition] = STATE(56),
    [sym_using_declaration] = STATE(56),
    [sym_alias_declaration] = STATE(56),
    [sym_static_assert_declaration] = STATE(56),
    [sym_concept_definition] = STATE(56),
    [sym_for_range_loop] = STATE(56),
    [sym_co_return_statement] = STATE(56),
    [sym_co_yield_statement] = STATE(56),
    [sym_throw_statement] = STATE(56),
    [sym_try_statement] = STATE(56),
    [sym_raw_string_literal] = STATE(4217),
    [sym_co_await_expression] = STATE(5024),
    [sym_new_expression] = STATE(5024),
    [sym_delete_expression] = STATE(5024),
    [sym_requires_clause] = STATE(5024),
    [sym_requires_expression] = STATE(5024),
    [sym_lambda_expression] = STATE(5024),
    [sym_lambda_capture_specifier] = STATE(7184),
    [sym_fold_expression] = STATE(5024),
    [sym_parameter_pack_expansion] = STATE(5024),
    [sym_destructor_name] = STATE(7680),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6764),
    [sym_qualified_identifier] = STATE(4502),
    [sym_qualified_type_identifier] = STATE(3127),
    [sym_qualified_operator_cast_identifier] = STATE(8035),
    [sym_operator_name] = STATE(7680),
    [sym_user_defined_literal] = STATE(4507),
    [sym_discard_statement] = STATE(56),
    [sym_qualifiers] = STATE(3159),
    [sym_cbuffer_specifier] = STATE(56),
    [sym_hlsl_attribute] = STATE(1858),
    [aux_sym_preproc_if_repeat1] = STATE(56),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2673),
    [aux_sym_attributed_declarator_repeat1] = STATE(1339),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3021),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2511),
    [sym_identifier] = ACTIONS(828),
    [aux_sym_preproc_include_token1] = ACTIONS(165),
    [aux_sym_preproc_def_token1] = ACTIONS(167),
    [aux_sym_preproc_if_token1] = ACTIONS(171),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(173),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(173),
    [sym_preproc_directive] = ACTIONS(175),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(177),
    [anon_sym___extension__] = ACTIONS(179),
    [anon_sym_typedef] = ACTIONS(181),
    [anon_sym_in] = ACTIONS(37),
    [anon_sym_out] = ACTIONS(37),
    [anon_sym_inout] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(183),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(45),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym___cdecl] = ACTIONS(51),
    [anon_sym___clrcall] = ACTIONS(51),
    [anon_sym___stdcall] = ACTIONS(51),
    [anon_sym___fastcall] = ACTIONS(51),
    [anon_sym___thiscall] = ACTIONS(51),
    [anon_sym___vectorcall] = ACTIONS(51),
    [anon_sym_LBRACE] = ACTIONS(830),
    [anon_sym_RBRACE] = ACTIONS(1222),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(191),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(65),
    [anon_sym_enum] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(69),
    [anon_sym_struct] = ACTIONS(71),
    [anon_sym_union] = ACTIONS(73),
    [anon_sym_if] = ACTIONS(193),
    [anon_sym_switch] = ACTIONS(195),
    [anon_sym_case] = ACTIONS(197),
    [anon_sym_default] = ACTIONS(199),
    [anon_sym_while] = ACTIONS(201),
    [anon_sym_do] = ACTIONS(203),
    [anon_sym_for] = ACTIONS(205),
    [anon_sym_return] = ACTIONS(207),
    [anon_sym_break] = ACTIONS(209),
    [anon_sym_continue] = ACTIONS(211),
    [anon_sym_goto] = ACTIONS(213),
    [anon_sym___try] = ACTIONS(215),
    [anon_sym___leave] = ACTIONS(217),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [anon_sym_virtual] = ACTIONS(123),
    [anon_sym_alignas] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(223),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_try] = ACTIONS(225),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(227),
    [anon_sym_namespace] = ACTIONS(229),
    [anon_sym_using] = ACTIONS(231),
    [anon_sym_static_assert] = ACTIONS(233),
    [anon_sym_concept] = ACTIONS(235),
    [anon_sym_co_return] = ACTIONS(237),
    [anon_sym_co_yield] = ACTIONS(239),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
    [anon_sym_discard] = ACTIONS(241),
    [anon_sym_precise] = ACTIONS(161),
    [anon_sym_shared] = ACTIONS(161),
    [anon_sym_groupshared] = ACTIONS(161),
    [anon_sym_uniform] = ACTIONS(161),
    [anon_sym_row_major] = ACTIONS(161),
    [anon_sym_column_major] = ACTIONS(161),
    [anon_sym_globallycoherent] = ACTIONS(161),
    [anon_sym_centroid] = ACTIONS(161),
    [anon_sym_noperspective] = ACTIONS(161),
    [anon_sym_nointerpolation] = ACTIONS(161),
    [anon_sym_sample] = ACTIONS(161),
    [anon_sym_linear] = ACTIONS(161),
    [anon_sym_snorm] = ACTIONS(161),
    [anon_sym_unorm] = ACTIONS(161),
    [anon_sym_point] = ACTIONS(161),
    [anon_sym_line] = ACTIONS(161),
    [anon_sym_triangleadj] = ACTIONS(161),
    [anon_sym_lineadj] = ACTIONS(161),
    [anon_sym_triangle] = ACTIONS(161),
    [anon_sym_cbuffer] = ACTIONS(243),
  },
  [95] = {
    [sym_preproc_include] = STATE(56),
    [sym_preproc_def] = STATE(56),
    [sym_preproc_function_def] = STATE(56),
    [sym_preproc_call] = STATE(56),
    [sym_preproc_if] = STATE(56),
    [sym_preproc_ifdef] = STATE(56),
    [sym_function_definition] = STATE(56),
    [sym_declaration] = STATE(56),
    [sym_type_definition] = STATE(56),
    [sym__declaration_modifiers] = STATE(3159),
    [sym__declaration_specifiers] = STATE(5906),
    [sym_linkage_specification] = STATE(56),
    [sym_attribute_specifier] = STATE(3159),
    [sym_attribute_declaration] = STATE(1464),
    [sym_ms_declspec_modifier] = STATE(3159),
    [sym_ms_based_modifier] = STATE(10332),
    [sym_ms_call_modifier] = STATE(2574),
    [sym__declarator] = STATE(7978),
    [sym_parenthesized_declarator] = STATE(7680),
    [sym_attributed_declarator] = STATE(7680),
    [sym_pointer_declarator] = STATE(7680),
    [sym_function_declarator] = STATE(7611),
    [sym_array_declarator] = STATE(7680),
    [sym_compound_statement] = STATE(56),
    [sym_storage_class_specifier] = STATE(3159),
    [sym_type_qualifier] = STATE(3159),
    [sym__type_specifier] = STATE(3039),
    [sym_sized_type_specifier] = STATE(3085),
    [sym_enum_specifier] = STATE(3085),
    [sym_struct_specifier] = STATE(3085),
    [sym_union_specifier] = STATE(3085),
    [sym_attributed_statement] = STATE(56),
    [sym_labeled_statement] = STATE(56),
    [sym_expression_statement] = STATE(56),
    [sym_if_statement] = STATE(56),
    [sym_switch_statement] = STATE(56),
    [sym_case_statement] = STATE(56),
    [sym_while_statement] = STATE(56),
    [sym_do_statement] = STATE(56),
    [sym_for_statement] = STATE(56),
    [sym_return_statement] = STATE(56),
    [sym_break_statement] = STATE(56),
    [sym_continue_statement] = STATE(56),
    [sym_goto_statement] = STATE(56),
    [sym_seh_try_statement] = STATE(56),
    [sym_seh_leave_statement] = STATE(56),
    [sym__expression] = STATE(5674),
    [sym__expression_not_binary] = STATE(5024),
    [sym__string] = STATE(5024),
    [sym_comma_expression] = STATE(10272),
    [sym_conditional_expression] = STATE(5024),
    [sym_assignment_expression] = STATE(5024),
    [sym_pointer_expression] = STATE(4507),
    [sym_unary_expression] = STATE(5024),
    [sym_binary_expression] = STATE(5024),
    [sym_update_expression] = STATE(5024),
    [sym_cast_expression] = STATE(5024),
    [sym_sizeof_expression] = STATE(5024),
    [sym_alignof_expression] = STATE(5024),
    [sym_offsetof_expression] = STATE(5024),
    [sym_generic_expression] = STATE(5024),
    [sym_subscript_expression] = STATE(4507),
    [sym_call_expression] = STATE(4507),
    [sym_gnu_asm_expression] = STATE(5024),
    [sym_field_expression] = STATE(4507),
    [sym_compound_literal_expression] = STATE(5024),
    [sym_parenthesized_expression] = STATE(4507),
    [sym_char_literal] = STATE(5374),
    [sym_concatenated_string] = STATE(5377),
    [sym_string_literal] = STATE(4206),
    [sym_null] = STATE(5024),
    [sym__empty_declaration] = STATE(56),
    [sym_placeholder_type_specifier] = STATE(3085),
    [sym_decltype_auto] = STATE(3091),
    [sym_decltype] = STATE(3050),
    [sym_class_specifier] = STATE(3085),
    [sym__class_name] = STATE(9352),
    [sym_virtual] = STATE(3159),
    [sym_alignas_specifier] = STATE(3159),
    [sym_explicit_function_specifier] = STATE(2511),
    [sym_dependent_type] = STATE(3085),
    [sym_template_declaration] = STATE(56),
    [sym_template_instantiation] = STATE(56),
    [sym_operator_cast] = STATE(8035),
    [sym__constructor_specifiers] = STATE(2511),
    [sym_operator_cast_definition] = STATE(56),
    [sym_operator_cast_declaration] = STATE(56),
    [sym_constructor_or_destructor_definition] = STATE(56),
    [sym_reference_declarator] = STATE(7680),
    [sym_structured_binding_declarator] = STATE(7680),
    [sym_template_type] = STATE(3129),
    [sym_template_function] = STATE(5703),
    [sym_namespace_definition] = STATE(56),
    [sym_namespace_alias_definition] = STATE(56),
    [sym_using_declaration] = STATE(56),
    [sym_alias_declaration] = STATE(56),
    [sym_static_assert_declaration] = STATE(56),
    [sym_concept_definition] = STATE(56),
    [sym_for_range_loop] = STATE(56),
    [sym_co_return_statement] = STATE(56),
    [sym_co_yield_statement] = STATE(56),
    [sym_throw_statement] = STATE(56),
    [sym_try_statement] = STATE(56),
    [sym_raw_string_literal] = STATE(4217),
    [sym_co_await_expression] = STATE(5024),
    [sym_new_expression] = STATE(5024),
    [sym_delete_expression] = STATE(5024),
    [sym_requires_clause] = STATE(5024),
    [sym_requires_expression] = STATE(5024),
    [sym_lambda_expression] = STATE(5024),
    [sym_lambda_capture_specifier] = STATE(7184),
    [sym_fold_expression] = STATE(5024),
    [sym_parameter_pack_expansion] = STATE(5024),
    [sym_destructor_name] = STATE(7680),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6764),
    [sym_qualified_identifier] = STATE(4502),
    [sym_qualified_type_identifier] = STATE(3127),
    [sym_qualified_operator_cast_identifier] = STATE(8035),
    [sym_operator_name] = STATE(7680),
    [sym_user_defined_literal] = STATE(4507),
    [sym_discard_statement] = STATE(56),
    [sym_qualifiers] = STATE(3159),
    [sym_cbuffer_specifier] = STATE(56),
    [sym_hlsl_attribute] = STATE(1858),
    [aux_sym_preproc_if_repeat1] = STATE(56),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2673),
    [aux_sym_attributed_declarator_repeat1] = STATE(1339),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3021),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2511),
    [sym_identifier] = ACTIONS(828),
    [aux_sym_preproc_include_token1] = ACTIONS(165),
    [aux_sym_preproc_def_token1] = ACTIONS(167),
    [aux_sym_preproc_if_token1] = ACTIONS(171),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(173),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(173),
    [sym_preproc_directive] = ACTIONS(175),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(177),
    [anon_sym___extension__] = ACTIONS(179),
    [anon_sym_typedef] = ACTIONS(181),
    [anon_sym_in] = ACTIONS(37),
    [anon_sym_out] = ACTIONS(37),
    [anon_sym_inout] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(183),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(45),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym___cdecl] = ACTIONS(51),
    [anon_sym___clrcall] = ACTIONS(51),
    [anon_sym___stdcall] = ACTIONS(51),
    [anon_sym___fastcall] = ACTIONS(51),
    [anon_sym___thiscall] = ACTIONS(51),
    [anon_sym___vectorcall] = ACTIONS(51),
    [anon_sym_LBRACE] = ACTIONS(830),
    [anon_sym_RBRACE] = ACTIONS(1224),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(191),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(65),
    [anon_sym_enum] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(69),
    [anon_sym_struct] = ACTIONS(71),
    [anon_sym_union] = ACTIONS(73),
    [anon_sym_if] = ACTIONS(193),
    [anon_sym_switch] = ACTIONS(195),
    [anon_sym_case] = ACTIONS(197),
    [anon_sym_default] = ACTIONS(199),
    [anon_sym_while] = ACTIONS(201),
    [anon_sym_do] = ACTIONS(203),
    [anon_sym_for] = ACTIONS(205),
    [anon_sym_return] = ACTIONS(207),
    [anon_sym_break] = ACTIONS(209),
    [anon_sym_continue] = ACTIONS(211),
    [anon_sym_goto] = ACTIONS(213),
    [anon_sym___try] = ACTIONS(215),
    [anon_sym___leave] = ACTIONS(217),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [anon_sym_virtual] = ACTIONS(123),
    [anon_sym_alignas] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(223),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_try] = ACTIONS(225),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(227),
    [anon_sym_namespace] = ACTIONS(229),
    [anon_sym_using] = ACTIONS(231),
    [anon_sym_static_assert] = ACTIONS(233),
    [anon_sym_concept] = ACTIONS(235),
    [anon_sym_co_return] = ACTIONS(237),
    [anon_sym_co_yield] = ACTIONS(239),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
    [anon_sym_discard] = ACTIONS(241),
    [anon_sym_precise] = ACTIONS(161),
    [anon_sym_shared] = ACTIONS(161),
    [anon_sym_groupshared] = ACTIONS(161),
    [anon_sym_uniform] = ACTIONS(161),
    [anon_sym_row_major] = ACTIONS(161),
    [anon_sym_column_major] = ACTIONS(161),
    [anon_sym_globallycoherent] = ACTIONS(161),
    [anon_sym_centroid] = ACTIONS(161),
    [anon_sym_noperspective] = ACTIONS(161),
    [anon_sym_nointerpolation] = ACTIONS(161),
    [anon_sym_sample] = ACTIONS(161),
    [anon_sym_linear] = ACTIONS(161),
    [anon_sym_snorm] = ACTIONS(161),
    [anon_sym_unorm] = ACTIONS(161),
    [anon_sym_point] = ACTIONS(161),
    [anon_sym_line] = ACTIONS(161),
    [anon_sym_triangleadj] = ACTIONS(161),
    [anon_sym_lineadj] = ACTIONS(161),
    [anon_sym_triangle] = ACTIONS(161),
    [anon_sym_cbuffer] = ACTIONS(243),
  },
  [96] = {
    [sym_preproc_include] = STATE(89),
    [sym_preproc_def] = STATE(89),
    [sym_preproc_function_def] = STATE(89),
    [sym_preproc_call] = STATE(89),
    [sym_preproc_if] = STATE(89),
    [sym_preproc_ifdef] = STATE(89),
    [sym_function_definition] = STATE(89),
    [sym_declaration] = STATE(89),
    [sym_type_definition] = STATE(89),
    [sym__declaration_modifiers] = STATE(3159),
    [sym__declaration_specifiers] = STATE(5906),
    [sym_linkage_specification] = STATE(89),
    [sym_attribute_specifier] = STATE(3159),
    [sym_attribute_declaration] = STATE(1464),
    [sym_ms_declspec_modifier] = STATE(3159),
    [sym_ms_based_modifier] = STATE(10332),
    [sym_ms_call_modifier] = STATE(2574),
    [sym__declarator] = STATE(7978),
    [sym_parenthesized_declarator] = STATE(7680),
    [sym_attributed_declarator] = STATE(7680),
    [sym_pointer_declarator] = STATE(7680),
    [sym_function_declarator] = STATE(7611),
    [sym_array_declarator] = STATE(7680),
    [sym_compound_statement] = STATE(89),
    [sym_storage_class_specifier] = STATE(3159),
    [sym_type_qualifier] = STATE(3159),
    [sym__type_specifier] = STATE(3039),
    [sym_sized_type_specifier] = STATE(3085),
    [sym_enum_specifier] = STATE(3085),
    [sym_struct_specifier] = STATE(3085),
    [sym_union_specifier] = STATE(3085),
    [sym_attributed_statement] = STATE(89),
    [sym_labeled_statement] = STATE(89),
    [sym_expression_statement] = STATE(89),
    [sym_if_statement] = STATE(89),
    [sym_switch_statement] = STATE(89),
    [sym_case_statement] = STATE(89),
    [sym_while_statement] = STATE(89),
    [sym_do_statement] = STATE(89),
    [sym_for_statement] = STATE(89),
    [sym_return_statement] = STATE(89),
    [sym_break_statement] = STATE(89),
    [sym_continue_statement] = STATE(89),
    [sym_goto_statement] = STATE(89),
    [sym_seh_try_statement] = STATE(89),
    [sym_seh_leave_statement] = STATE(89),
    [sym__expression] = STATE(5674),
    [sym__expression_not_binary] = STATE(5024),
    [sym__string] = STATE(5024),
    [sym_comma_expression] = STATE(10272),
    [sym_conditional_expression] = STATE(5024),
    [sym_assignment_expression] = STATE(5024),
    [sym_pointer_expression] = STATE(4507),
    [sym_unary_expression] = STATE(5024),
    [sym_binary_expression] = STATE(5024),
    [sym_update_expression] = STATE(5024),
    [sym_cast_expression] = STATE(5024),
    [sym_sizeof_expression] = STATE(5024),
    [sym_alignof_expression] = STATE(5024),
    [sym_offsetof_expression] = STATE(5024),
    [sym_generic_expression] = STATE(5024),
    [sym_subscript_expression] = STATE(4507),
    [sym_call_expression] = STATE(4507),
    [sym_gnu_asm_expression] = STATE(5024),
    [sym_field_expression] = STATE(4507),
    [sym_compound_literal_expression] = STATE(5024),
    [sym_parenthesized_expression] = STATE(4507),
    [sym_char_literal] = STATE(5374),
    [sym_concatenated_string] = STATE(5377),
    [sym_string_literal] = STATE(4206),
    [sym_null] = STATE(5024),
    [sym__empty_declaration] = STATE(89),
    [sym_placeholder_type_specifier] = STATE(3085),
    [sym_decltype_auto] = STATE(3091),
    [sym_decltype] = STATE(3050),
    [sym_class_specifier] = STATE(3085),
    [sym__class_name] = STATE(9352),
    [sym_virtual] = STATE(3159),
    [sym_alignas_specifier] = STATE(3159),
    [sym_explicit_function_specifier] = STATE(2511),
    [sym_dependent_type] = STATE(3085),
    [sym_template_declaration] = STATE(89),
    [sym_template_instantiation] = STATE(89),
    [sym_operator_cast] = STATE(8035),
    [sym__constructor_specifiers] = STATE(2511),
    [sym_operator_cast_definition] = STATE(89),
    [sym_operator_cast_declaration] = STATE(89),
    [sym_constructor_or_destructor_definition] = STATE(89),
    [sym_reference_declarator] = STATE(7680),
    [sym_structured_binding_declarator] = STATE(7680),
    [sym_template_type] = STATE(3129),
    [sym_template_function] = STATE(5703),
    [sym_namespace_definition] = STATE(89),
    [sym_namespace_alias_definition] = STATE(89),
    [sym_using_declaration] = STATE(89),
    [sym_alias_declaration] = STATE(89),
    [sym_static_assert_declaration] = STATE(89),
    [sym_concept_definition] = STATE(89),
    [sym_for_range_loop] = STATE(89),
    [sym_co_return_statement] = STATE(89),
    [sym_co_yield_statement] = STATE(89),
    [sym_throw_statement] = STATE(89),
    [sym_try_statement] = STATE(89),
    [sym_raw_string_literal] = STATE(4217),
    [sym_co_await_expression] = STATE(5024),
    [sym_new_expression] = STATE(5024),
    [sym_delete_expression] = STATE(5024),
    [sym_requires_clause] = STATE(5024),
    [sym_requires_expression] = STATE(5024),
    [sym_lambda_expression] = STATE(5024),
    [sym_lambda_capture_specifier] = STATE(7184),
    [sym_fold_expression] = STATE(5024),
    [sym_parameter_pack_expansion] = STATE(5024),
    [sym_destructor_name] = STATE(7680),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6764),
    [sym_qualified_identifier] = STATE(4502),
    [sym_qualified_type_identifier] = STATE(3127),
    [sym_qualified_operator_cast_identifier] = STATE(8035),
    [sym_operator_name] = STATE(7680),
    [sym_user_defined_literal] = STATE(4507),
    [sym_discard_statement] = STATE(89),
    [sym_qualifiers] = STATE(3159),
    [sym_cbuffer_specifier] = STATE(89),
    [sym_hlsl_attribute] = STATE(1858),
    [aux_sym_preproc_if_repeat1] = STATE(89),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2673),
    [aux_sym_attributed_declarator_repeat1] = STATE(1339),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3021),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2511),
    [sym_identifier] = ACTIONS(828),
    [aux_sym_preproc_include_token1] = ACTIONS(165),
    [aux_sym_preproc_def_token1] = ACTIONS(167),
    [aux_sym_preproc_if_token1] = ACTIONS(171),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(173),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(173),
    [sym_preproc_directive] = ACTIONS(175),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(177),
    [anon_sym___extension__] = ACTIONS(179),
    [anon_sym_typedef] = ACTIONS(181),
    [anon_sym_in] = ACTIONS(37),
    [anon_sym_out] = ACTIONS(37),
    [anon_sym_inout] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(183),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(45),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym___cdecl] = ACTIONS(51),
    [anon_sym___clrcall] = ACTIONS(51),
    [anon_sym___stdcall] = ACTIONS(51),
    [anon_sym___fastcall] = ACTIONS(51),
    [anon_sym___thiscall] = ACTIONS(51),
    [anon_sym___vectorcall] = ACTIONS(51),
    [anon_sym_LBRACE] = ACTIONS(830),
    [anon_sym_RBRACE] = ACTIONS(1226),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(191),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(65),
    [anon_sym_enum] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(69),
    [anon_sym_struct] = ACTIONS(71),
    [anon_sym_union] = ACTIONS(73),
    [anon_sym_if] = ACTIONS(193),
    [anon_sym_switch] = ACTIONS(195),
    [anon_sym_case] = ACTIONS(197),
    [anon_sym_default] = ACTIONS(199),
    [anon_sym_while] = ACTIONS(201),
    [anon_sym_do] = ACTIONS(203),
    [anon_sym_for] = ACTIONS(205),
    [anon_sym_return] = ACTIONS(207),
    [anon_sym_break] = ACTIONS(209),
    [anon_sym_continue] = ACTIONS(211),
    [anon_sym_goto] = ACTIONS(213),
    [anon_sym___try] = ACTIONS(215),
    [anon_sym___leave] = ACTIONS(217),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [anon_sym_virtual] = ACTIONS(123),
    [anon_sym_alignas] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(223),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_try] = ACTIONS(225),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(227),
    [anon_sym_namespace] = ACTIONS(229),
    [anon_sym_using] = ACTIONS(231),
    [anon_sym_static_assert] = ACTIONS(233),
    [anon_sym_concept] = ACTIONS(235),
    [anon_sym_co_return] = ACTIONS(237),
    [anon_sym_co_yield] = ACTIONS(239),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
    [anon_sym_discard] = ACTIONS(241),
    [anon_sym_precise] = ACTIONS(161),
    [anon_sym_shared] = ACTIONS(161),
    [anon_sym_groupshared] = ACTIONS(161),
    [anon_sym_uniform] = ACTIONS(161),
    [anon_sym_row_major] = ACTIONS(161),
    [anon_sym_column_major] = ACTIONS(161),
    [anon_sym_globallycoherent] = ACTIONS(161),
    [anon_sym_centroid] = ACTIONS(161),
    [anon_sym_noperspective] = ACTIONS(161),
    [anon_sym_nointerpolation] = ACTIONS(161),
    [anon_sym_sample] = ACTIONS(161),
    [anon_sym_linear] = ACTIONS(161),
    [anon_sym_snorm] = ACTIONS(161),
    [anon_sym_unorm] = ACTIONS(161),
    [anon_sym_point] = ACTIONS(161),
    [anon_sym_line] = ACTIONS(161),
    [anon_sym_triangleadj] = ACTIONS(161),
    [anon_sym_lineadj] = ACTIONS(161),
    [anon_sym_triangle] = ACTIONS(161),
    [anon_sym_cbuffer] = ACTIONS(243),
  },
  [97] = {
    [sym_preproc_include] = STATE(44),
    [sym_preproc_def] = STATE(44),
    [sym_preproc_function_def] = STATE(44),
    [sym_preproc_call] = STATE(44),
    [sym_preproc_if] = STATE(44),
    [sym_preproc_ifdef] = STATE(44),
    [sym_function_definition] = STATE(44),
    [sym_declaration] = STATE(44),
    [sym_type_definition] = STATE(44),
    [sym__declaration_modifiers] = STATE(3159),
    [sym__declaration_specifiers] = STATE(5906),
    [sym_linkage_specification] = STATE(44),
    [sym_attribute_specifier] = STATE(3159),
    [sym_attribute_declaration] = STATE(1464),
    [sym_ms_declspec_modifier] = STATE(3159),
    [sym_ms_based_modifier] = STATE(10332),
    [sym_ms_call_modifier] = STATE(2574),
    [sym__declarator] = STATE(7978),
    [sym_parenthesized_declarator] = STATE(7680),
    [sym_attributed_declarator] = STATE(7680),
    [sym_pointer_declarator] = STATE(7680),
    [sym_function_declarator] = STATE(7611),
    [sym_array_declarator] = STATE(7680),
    [sym_compound_statement] = STATE(44),
    [sym_storage_class_specifier] = STATE(3159),
    [sym_type_qualifier] = STATE(3159),
    [sym__type_specifier] = STATE(3039),
    [sym_sized_type_specifier] = STATE(3085),
    [sym_enum_specifier] = STATE(3085),
    [sym_struct_specifier] = STATE(3085),
    [sym_union_specifier] = STATE(3085),
    [sym_attributed_statement] = STATE(44),
    [sym_labeled_statement] = STATE(44),
    [sym_expression_statement] = STATE(44),
    [sym_if_statement] = STATE(44),
    [sym_switch_statement] = STATE(44),
    [sym_case_statement] = STATE(44),
    [sym_while_statement] = STATE(44),
    [sym_do_statement] = STATE(44),
    [sym_for_statement] = STATE(44),
    [sym_return_statement] = STATE(44),
    [sym_break_statement] = STATE(44),
    [sym_continue_statement] = STATE(44),
    [sym_goto_statement] = STATE(44),
    [sym_seh_try_statement] = STATE(44),
    [sym_seh_leave_statement] = STATE(44),
    [sym__expression] = STATE(5674),
    [sym__expression_not_binary] = STATE(5024),
    [sym__string] = STATE(5024),
    [sym_comma_expression] = STATE(10272),
    [sym_conditional_expression] = STATE(5024),
    [sym_assignment_expression] = STATE(5024),
    [sym_pointer_expression] = STATE(4507),
    [sym_unary_expression] = STATE(5024),
    [sym_binary_expression] = STATE(5024),
    [sym_update_expression] = STATE(5024),
    [sym_cast_expression] = STATE(5024),
    [sym_sizeof_expression] = STATE(5024),
    [sym_alignof_expression] = STATE(5024),
    [sym_offsetof_expression] = STATE(5024),
    [sym_generic_expression] = STATE(5024),
    [sym_subscript_expression] = STATE(4507),
    [sym_call_expression] = STATE(4507),
    [sym_gnu_asm_expression] = STATE(5024),
    [sym_field_expression] = STATE(4507),
    [sym_compound_literal_expression] = STATE(5024),
    [sym_parenthesized_expression] = STATE(4507),
    [sym_char_literal] = STATE(5374),
    [sym_concatenated_string] = STATE(5377),
    [sym_string_literal] = STATE(4206),
    [sym_null] = STATE(5024),
    [sym__empty_declaration] = STATE(44),
    [sym_placeholder_type_specifier] = STATE(3085),
    [sym_decltype_auto] = STATE(3091),
    [sym_decltype] = STATE(3050),
    [sym_class_specifier] = STATE(3085),
    [sym__class_name] = STATE(9352),
    [sym_virtual] = STATE(3159),
    [sym_alignas_specifier] = STATE(3159),
    [sym_explicit_function_specifier] = STATE(2511),
    [sym_dependent_type] = STATE(3085),
    [sym_template_declaration] = STATE(44),
    [sym_template_instantiation] = STATE(44),
    [sym_operator_cast] = STATE(8035),
    [sym__constructor_specifiers] = STATE(2511),
    [sym_operator_cast_definition] = STATE(44),
    [sym_operator_cast_declaration] = STATE(44),
    [sym_constructor_or_destructor_definition] = STATE(44),
    [sym_reference_declarator] = STATE(7680),
    [sym_structured_binding_declarator] = STATE(7680),
    [sym_template_type] = STATE(3129),
    [sym_template_function] = STATE(5703),
    [sym_namespace_definition] = STATE(44),
    [sym_namespace_alias_definition] = STATE(44),
    [sym_using_declaration] = STATE(44),
    [sym_alias_declaration] = STATE(44),
    [sym_static_assert_declaration] = STATE(44),
    [sym_concept_definition] = STATE(44),
    [sym_for_range_loop] = STATE(44),
    [sym_co_return_statement] = STATE(44),
    [sym_co_yield_statement] = STATE(44),
    [sym_throw_statement] = STATE(44),
    [sym_try_statement] = STATE(44),
    [sym_raw_string_literal] = STATE(4217),
    [sym_co_await_expression] = STATE(5024),
    [sym_new_expression] = STATE(5024),
    [sym_delete_expression] = STATE(5024),
    [sym_requires_clause] = STATE(5024),
    [sym_requires_expression] = STATE(5024),
    [sym_lambda_expression] = STATE(5024),
    [sym_lambda_capture_specifier] = STATE(7184),
    [sym_fold_expression] = STATE(5024),
    [sym_parameter_pack_expansion] = STATE(5024),
    [sym_destructor_name] = STATE(7680),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6764),
    [sym_qualified_identifier] = STATE(4502),
    [sym_qualified_type_identifier] = STATE(3127),
    [sym_qualified_operator_cast_identifier] = STATE(8035),
    [sym_operator_name] = STATE(7680),
    [sym_user_defined_literal] = STATE(4507),
    [sym_discard_statement] = STATE(44),
    [sym_qualifiers] = STATE(3159),
    [sym_cbuffer_specifier] = STATE(44),
    [sym_hlsl_attribute] = STATE(1858),
    [aux_sym_preproc_if_repeat1] = STATE(44),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2673),
    [aux_sym_attributed_declarator_repeat1] = STATE(1339),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3021),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2511),
    [sym_identifier] = ACTIONS(828),
    [aux_sym_preproc_include_token1] = ACTIONS(165),
    [aux_sym_preproc_def_token1] = ACTIONS(167),
    [aux_sym_preproc_if_token1] = ACTIONS(171),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(173),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(173),
    [sym_preproc_directive] = ACTIONS(175),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(177),
    [anon_sym___extension__] = ACTIONS(179),
    [anon_sym_typedef] = ACTIONS(181),
    [anon_sym_in] = ACTIONS(37),
    [anon_sym_out] = ACTIONS(37),
    [anon_sym_inout] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(183),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(45),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym___cdecl] = ACTIONS(51),
    [anon_sym___clrcall] = ACTIONS(51),
    [anon_sym___stdcall] = ACTIONS(51),
    [anon_sym___fastcall] = ACTIONS(51),
    [anon_sym___thiscall] = ACTIONS(51),
    [anon_sym___vectorcall] = ACTIONS(51),
    [anon_sym_LBRACE] = ACTIONS(830),
    [anon_sym_RBRACE] = ACTIONS(1228),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(191),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(65),
    [anon_sym_enum] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(69),
    [anon_sym_struct] = ACTIONS(71),
    [anon_sym_union] = ACTIONS(73),
    [anon_sym_if] = ACTIONS(193),
    [anon_sym_switch] = ACTIONS(195),
    [anon_sym_case] = ACTIONS(197),
    [anon_sym_default] = ACTIONS(199),
    [anon_sym_while] = ACTIONS(201),
    [anon_sym_do] = ACTIONS(203),
    [anon_sym_for] = ACTIONS(205),
    [anon_sym_return] = ACTIONS(207),
    [anon_sym_break] = ACTIONS(209),
    [anon_sym_continue] = ACTIONS(211),
    [anon_sym_goto] = ACTIONS(213),
    [anon_sym___try] = ACTIONS(215),
    [anon_sym___leave] = ACTIONS(217),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [anon_sym_virtual] = ACTIONS(123),
    [anon_sym_alignas] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(223),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_try] = ACTIONS(225),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(227),
    [anon_sym_namespace] = ACTIONS(229),
    [anon_sym_using] = ACTIONS(231),
    [anon_sym_static_assert] = ACTIONS(233),
    [anon_sym_concept] = ACTIONS(235),
    [anon_sym_co_return] = ACTIONS(237),
    [anon_sym_co_yield] = ACTIONS(239),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
    [anon_sym_discard] = ACTIONS(241),
    [anon_sym_precise] = ACTIONS(161),
    [anon_sym_shared] = ACTIONS(161),
    [anon_sym_groupshared] = ACTIONS(161),
    [anon_sym_uniform] = ACTIONS(161),
    [anon_sym_row_major] = ACTIONS(161),
    [anon_sym_column_major] = ACTIONS(161),
    [anon_sym_globallycoherent] = ACTIONS(161),
    [anon_sym_centroid] = ACTIONS(161),
    [anon_sym_noperspective] = ACTIONS(161),
    [anon_sym_nointerpolation] = ACTIONS(161),
    [anon_sym_sample] = ACTIONS(161),
    [anon_sym_linear] = ACTIONS(161),
    [anon_sym_snorm] = ACTIONS(161),
    [anon_sym_unorm] = ACTIONS(161),
    [anon_sym_point] = ACTIONS(161),
    [anon_sym_line] = ACTIONS(161),
    [anon_sym_triangleadj] = ACTIONS(161),
    [anon_sym_lineadj] = ACTIONS(161),
    [anon_sym_triangle] = ACTIONS(161),
    [anon_sym_cbuffer] = ACTIONS(243),
  },
  [98] = {
    [sym_preproc_include] = STATE(99),
    [sym_preproc_def] = STATE(99),
    [sym_preproc_function_def] = STATE(99),
    [sym_preproc_call] = STATE(99),
    [sym_preproc_if] = STATE(99),
    [sym_preproc_ifdef] = STATE(99),
    [sym_function_definition] = STATE(99),
    [sym_declaration] = STATE(99),
    [sym_type_definition] = STATE(99),
    [sym__declaration_modifiers] = STATE(3159),
    [sym__declaration_specifiers] = STATE(5893),
    [sym_linkage_specification] = STATE(99),
    [sym_attribute_specifier] = STATE(3159),
    [sym_attribute_declaration] = STATE(1464),
    [sym_ms_declspec_modifier] = STATE(3159),
    [sym_ms_based_modifier] = STATE(10332),
    [sym_ms_call_modifier] = STATE(2630),
    [sym__declarator] = STATE(7978),
    [sym_parenthesized_declarator] = STATE(7680),
    [sym_attributed_declarator] = STATE(7680),
    [sym_pointer_declarator] = STATE(7680),
    [sym_function_declarator] = STATE(7583),
    [sym_array_declarator] = STATE(7680),
    [sym_compound_statement] = STATE(99),
    [sym_storage_class_specifier] = STATE(3159),
    [sym_type_qualifier] = STATE(3159),
    [sym__type_specifier] = STATE(3041),
    [sym_sized_type_specifier] = STATE(3085),
    [sym_enum_specifier] = STATE(3085),
    [sym_struct_specifier] = STATE(3085),
    [sym_union_specifier] = STATE(3085),
    [sym_attributed_statement] = STATE(99),
    [sym_labeled_statement] = STATE(99),
    [sym__top_level_expression_statement] = STATE(99),
    [sym_if_statement] = STATE(99),
    [sym_switch_statement] = STATE(99),
    [sym_case_statement] = STATE(99),
    [sym_while_statement] = STATE(99),
    [sym_do_statement] = STATE(99),
    [sym_for_statement] = STATE(99),
    [sym_return_statement] = STATE(99),
    [sym_break_statement] = STATE(99),
    [sym_continue_statement] = STATE(99),
    [sym_goto_statement] = STATE(99),
    [sym__expression] = STATE(6048),
    [sym__expression_not_binary] = STATE(6057),
    [sym__string] = STATE(6057),
    [sym_conditional_expression] = STATE(6057),
    [sym_assignment_expression] = STATE(6057),
    [sym_pointer_expression] = STATE(4507),
    [sym_unary_expression] = STATE(6057),
    [sym_binary_expression] = STATE(5024),
    [sym_update_expression] = STATE(6057),
    [sym_cast_expression] = STATE(6057),
    [sym_sizeof_expression] = STATE(6057),
    [sym_alignof_expression] = STATE(6057),
    [sym_offsetof_expression] = STATE(6057),
    [sym_generic_expression] = STATE(6057),
    [sym_subscript_expression] = STATE(4507),
    [sym_call_expression] = STATE(4507),
    [sym_gnu_asm_expression] = STATE(6057),
    [sym_field_expression] = STATE(4507),
    [sym_compound_literal_expression] = STATE(6057),
    [sym_parenthesized_expression] = STATE(4507),
    [sym_char_literal] = STATE(5374),
    [sym_concatenated_string] = STATE(5377),
    [sym_string_literal] = STATE(4206),
    [sym_null] = STATE(6057),
    [sym__empty_declaration] = STATE(99),
    [sym_placeholder_type_specifier] = STATE(3085),
    [sym_decltype_auto] = STATE(3091),
    [sym_decltype] = STATE(3050),
    [sym_class_specifier] = STATE(3085),
    [sym__class_name] = STATE(9352),
    [sym_virtual] = STATE(3159),
    [sym_alignas_specifier] = STATE(3159),
    [sym_explicit_function_specifier] = STATE(2518),
    [sym_dependent_type] = STATE(3085),
    [sym_template_declaration] = STATE(99),
    [sym_template_instantiation] = STATE(99),
    [sym_operator_cast] = STATE(8078),
    [sym__constructor_specifiers] = STATE(2518),
    [sym_operator_cast_definition] = STATE(99),
    [sym_operator_cast_declaration] = STATE(99),
    [sym_constructor_or_destructor_definition] = STATE(99),
    [sym_reference_declarator] = STATE(7680),
    [sym_structured_binding_declarator] = STATE(7680),
    [sym_template_type] = STATE(3129),
    [sym_template_function] = STATE(5703),
    [sym_namespace_definition] = STATE(99),
    [sym_namespace_alias_definition] = STATE(99),
    [sym_using_declaration] = STATE(99),
    [sym_alias_declaration] = STATE(99),
    [sym_static_assert_declaration] = STATE(99),
    [sym_concept_definition] = STATE(99),
    [sym_for_range_loop] = STATE(99),
    [sym_co_return_statement] = STATE(99),
    [sym_co_yield_statement] = STATE(99),
    [sym_throw_statement] = STATE(99),
    [sym_try_statement] = STATE(99),
    [sym_raw_string_literal] = STATE(4217),
    [sym_co_await_expression] = STATE(6057),
    [sym_new_expression] = STATE(6057),
    [sym_delete_expression] = STATE(6057),
    [sym_requires_clause] = STATE(6057),
    [sym_requires_expression] = STATE(6057),
    [sym_lambda_expression] = STATE(6057),
    [sym_lambda_capture_specifier] = STATE(7184),
    [sym_fold_expression] = STATE(6057),
    [sym_parameter_pack_expansion] = STATE(6057),
    [sym_destructor_name] = STATE(7680),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6764),
    [sym_qualified_identifier] = STATE(4502),
    [sym_qualified_type_identifier] = STATE(3127),
    [sym_qualified_operator_cast_identifier] = STATE(8078),
    [sym_operator_name] = STATE(7680),
    [sym_user_defined_literal] = STATE(4507),
    [sym_qualifiers] = STATE(3159),
    [sym_hlsl_attribute] = STATE(1848),
    [aux_sym_translation_unit_repeat1] = STATE(99),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2673),
    [aux_sym_attributed_declarator_repeat1] = STATE(1342),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3021),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2518),
    [ts_builtin_sym_end] = ACTIONS(1230),
    [sym_identifier] = ACTIONS(7),
    [aux_sym_preproc_include_token1] = ACTIONS(9),
    [aux_sym_preproc_def_token1] = ACTIONS(11),
    [aux_sym_preproc_if_token1] = ACTIONS(13),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(15),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(15),
    [sym_preproc_directive] = ACTIONS(17),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym___extension__] = ACTIONS(33),
    [anon_sym_typedef] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(37),
    [anon_sym_out] = ACTIONS(37),
    [anon_sym_inout] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(39),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(45),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym___cdecl] = ACTIONS(51),
    [anon_sym___clrcall] = ACTIONS(51),
    [anon_sym___stdcall] = ACTIONS(51),
    [anon_sym___fastcall] = ACTIONS(51),
    [anon_sym___thiscall] = ACTIONS(51),
    [anon_sym___vectorcall] = ACTIONS(51),
    [anon_sym_LBRACE] = ACTIONS(53),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(61),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(65),
    [anon_sym_enum] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(69),
    [anon_sym_struct] = ACTIONS(71),
    [anon_sym_union] = ACTIONS(73),
    [anon_sym_if] = ACTIONS(75),
    [anon_sym_switch] = ACTIONS(77),
    [anon_sym_case] = ACTIONS(79),
    [anon_sym_default] = ACTIONS(81),
    [anon_sym_while] = ACTIONS(83),
    [anon_sym_do] = ACTIONS(85),
    [anon_sym_for] = ACTIONS(87),
    [anon_sym_return] = ACTIONS(89),
    [anon_sym_break] = ACTIONS(91),
    [anon_sym_continue] = ACTIONS(93),
    [anon_sym_goto] = ACTIONS(95),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(115),
    [sym_false] = ACTIONS(115),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [anon_sym_virtual] = ACTIONS(123),
    [anon_sym_alignas] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(131),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_try] = ACTIONS(135),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(139),
    [anon_sym_namespace] = ACTIONS(141),
    [anon_sym_using] = ACTIONS(143),
    [anon_sym_static_assert] = ACTIONS(145),
    [anon_sym_concept] = ACTIONS(147),
    [anon_sym_co_return] = ACTIONS(149),
    [anon_sym_co_yield] = ACTIONS(151),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(115),
    [anon_sym_precise] = ACTIONS(161),
    [anon_sym_shared] = ACTIONS(161),
    [anon_sym_groupshared] = ACTIONS(161),
    [anon_sym_uniform] = ACTIONS(161),
    [anon_sym_row_major] = ACTIONS(161),
    [anon_sym_column_major] = ACTIONS(161),
    [anon_sym_globallycoherent] = ACTIONS(161),
    [anon_sym_centroid] = ACTIONS(161),
    [anon_sym_noperspective] = ACTIONS(161),
    [anon_sym_nointerpolation] = ACTIONS(161),
    [anon_sym_sample] = ACTIONS(161),
    [anon_sym_linear] = ACTIONS(161),
    [anon_sym_snorm] = ACTIONS(161),
    [anon_sym_unorm] = ACTIONS(161),
    [anon_sym_point] = ACTIONS(161),
    [anon_sym_line] = ACTIONS(161),
    [anon_sym_triangleadj] = ACTIONS(161),
    [anon_sym_lineadj] = ACTIONS(161),
    [anon_sym_triangle] = ACTIONS(161),
  },
  [99] = {
    [sym_preproc_include] = STATE(99),
    [sym_preproc_def] = STATE(99),
    [sym_preproc_function_def] = STATE(99),
    [sym_preproc_call] = STATE(99),
    [sym_preproc_if] = STATE(99),
    [sym_preproc_ifdef] = STATE(99),
    [sym_function_definition] = STATE(99),
    [sym_declaration] = STATE(99),
    [sym_type_definition] = STATE(99),
    [sym__declaration_modifiers] = STATE(3159),
    [sym__declaration_specifiers] = STATE(5893),
    [sym_linkage_specification] = STATE(99),
    [sym_attribute_specifier] = STATE(3159),
    [sym_attribute_declaration] = STATE(1464),
    [sym_ms_declspec_modifier] = STATE(3159),
    [sym_ms_based_modifier] = STATE(10332),
    [sym_ms_call_modifier] = STATE(2630),
    [sym__declarator] = STATE(7978),
    [sym_parenthesized_declarator] = STATE(7680),
    [sym_attributed_declarator] = STATE(7680),
    [sym_pointer_declarator] = STATE(7680),
    [sym_function_declarator] = STATE(7583),
    [sym_array_declarator] = STATE(7680),
    [sym_compound_statement] = STATE(99),
    [sym_storage_class_specifier] = STATE(3159),
    [sym_type_qualifier] = STATE(3159),
    [sym__type_specifier] = STATE(3041),
    [sym_sized_type_specifier] = STATE(3085),
    [sym_enum_specifier] = STATE(3085),
    [sym_struct_specifier] = STATE(3085),
    [sym_union_specifier] = STATE(3085),
    [sym_attributed_statement] = STATE(99),
    [sym_labeled_statement] = STATE(99),
    [sym__top_level_expression_statement] = STATE(99),
    [sym_if_statement] = STATE(99),
    [sym_switch_statement] = STATE(99),
    [sym_case_statement] = STATE(99),
    [sym_while_statement] = STATE(99),
    [sym_do_statement] = STATE(99),
    [sym_for_statement] = STATE(99),
    [sym_return_statement] = STATE(99),
    [sym_break_statement] = STATE(99),
    [sym_continue_statement] = STATE(99),
    [sym_goto_statement] = STATE(99),
    [sym__expression] = STATE(6048),
    [sym__expression_not_binary] = STATE(6057),
    [sym__string] = STATE(6057),
    [sym_conditional_expression] = STATE(6057),
    [sym_assignment_expression] = STATE(6057),
    [sym_pointer_expression] = STATE(4507),
    [sym_unary_expression] = STATE(6057),
    [sym_binary_expression] = STATE(5024),
    [sym_update_expression] = STATE(6057),
    [sym_cast_expression] = STATE(6057),
    [sym_sizeof_expression] = STATE(6057),
    [sym_alignof_expression] = STATE(6057),
    [sym_offsetof_expression] = STATE(6057),
    [sym_generic_expression] = STATE(6057),
    [sym_subscript_expression] = STATE(4507),
    [sym_call_expression] = STATE(4507),
    [sym_gnu_asm_expression] = STATE(6057),
    [sym_field_expression] = STATE(4507),
    [sym_compound_literal_expression] = STATE(6057),
    [sym_parenthesized_expression] = STATE(4507),
    [sym_char_literal] = STATE(5374),
    [sym_concatenated_string] = STATE(5377),
    [sym_string_literal] = STATE(4206),
    [sym_null] = STATE(6057),
    [sym__empty_declaration] = STATE(99),
    [sym_placeholder_type_specifier] = STATE(3085),
    [sym_decltype_auto] = STATE(3091),
    [sym_decltype] = STATE(3050),
    [sym_class_specifier] = STATE(3085),
    [sym__class_name] = STATE(9352),
    [sym_virtual] = STATE(3159),
    [sym_alignas_specifier] = STATE(3159),
    [sym_explicit_function_specifier] = STATE(2518),
    [sym_dependent_type] = STATE(3085),
    [sym_template_declaration] = STATE(99),
    [sym_template_instantiation] = STATE(99),
    [sym_operator_cast] = STATE(8078),
    [sym__constructor_specifiers] = STATE(2518),
    [sym_operator_cast_definition] = STATE(99),
    [sym_operator_cast_declaration] = STATE(99),
    [sym_constructor_or_destructor_definition] = STATE(99),
    [sym_reference_declarator] = STATE(7680),
    [sym_structured_binding_declarator] = STATE(7680),
    [sym_template_type] = STATE(3129),
    [sym_template_function] = STATE(5703),
    [sym_namespace_definition] = STATE(99),
    [sym_namespace_alias_definition] = STATE(99),
    [sym_using_declaration] = STATE(99),
    [sym_alias_declaration] = STATE(99),
    [sym_static_assert_declaration] = STATE(99),
    [sym_concept_definition] = STATE(99),
    [sym_for_range_loop] = STATE(99),
    [sym_co_return_statement] = STATE(99),
    [sym_co_yield_statement] = STATE(99),
    [sym_throw_statement] = STATE(99),
    [sym_try_statement] = STATE(99),
    [sym_raw_string_literal] = STATE(4217),
    [sym_co_await_expression] = STATE(6057),
    [sym_new_expression] = STATE(6057),
    [sym_delete_expression] = STATE(6057),
    [sym_requires_clause] = STATE(6057),
    [sym_requires_expression] = STATE(6057),
    [sym_lambda_expression] = STATE(6057),
    [sym_lambda_capture_specifier] = STATE(7184),
    [sym_fold_expression] = STATE(6057),
    [sym_parameter_pack_expansion] = STATE(6057),
    [sym_destructor_name] = STATE(7680),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6764),
    [sym_qualified_identifier] = STATE(4502),
    [sym_qualified_type_identifier] = STATE(3127),
    [sym_qualified_operator_cast_identifier] = STATE(8078),
    [sym_operator_name] = STATE(7680),
    [sym_user_defined_literal] = STATE(4507),
    [sym_qualifiers] = STATE(3159),
    [sym_hlsl_attribute] = STATE(1848),
    [aux_sym_translation_unit_repeat1] = STATE(99),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2673),
    [aux_sym_attributed_declarator_repeat1] = STATE(1342),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3021),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2518),
    [ts_builtin_sym_end] = ACTIONS(1232),
    [sym_identifier] = ACTIONS(1234),
    [aux_sym_preproc_include_token1] = ACTIONS(1237),
    [aux_sym_preproc_def_token1] = ACTIONS(1240),
    [aux_sym_preproc_if_token1] = ACTIONS(1243),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1246),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1246),
    [sym_preproc_directive] = ACTIONS(1249),
    [anon_sym_LPAREN2] = ACTIONS(1252),
    [anon_sym_BANG] = ACTIONS(1255),
    [anon_sym_TILDE] = ACTIONS(1258),
    [anon_sym_DASH] = ACTIONS(1261),
    [anon_sym_PLUS] = ACTIONS(1261),
    [anon_sym_STAR] = ACTIONS(1264),
    [anon_sym_AMP_AMP] = ACTIONS(1267),
    [anon_sym_AMP] = ACTIONS(1270),
    [anon_sym___extension__] = ACTIONS(1273),
    [anon_sym_typedef] = ACTIONS(1276),
    [anon_sym_in] = ACTIONS(1279),
    [anon_sym_out] = ACTIONS(1279),
    [anon_sym_inout] = ACTIONS(1279),
    [anon_sym_extern] = ACTIONS(1282),
    [anon_sym___attribute__] = ACTIONS(1285),
    [anon_sym_COLON_COLON] = ACTIONS(1288),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1291),
    [anon_sym___declspec] = ACTIONS(1294),
    [anon_sym___based] = ACTIONS(1297),
    [anon_sym___cdecl] = ACTIONS(1300),
    [anon_sym___clrcall] = ACTIONS(1300),
    [anon_sym___stdcall] = ACTIONS(1300),
    [anon_sym___fastcall] = ACTIONS(1300),
    [anon_sym___thiscall] = ACTIONS(1300),
    [anon_sym___vectorcall] = ACTIONS(1300),
    [anon_sym_LBRACE] = ACTIONS(1303),
    [anon_sym_signed] = ACTIONS(1306),
    [anon_sym_unsigned] = ACTIONS(1306),
    [anon_sym_long] = ACTIONS(1306),
    [anon_sym_short] = ACTIONS(1306),
    [anon_sym_LBRACK] = ACTIONS(1309),
    [anon_sym_static] = ACTIONS(1312),
    [anon_sym_register] = ACTIONS(1312),
    [anon_sym_inline] = ACTIONS(1315),
    [anon_sym___inline] = ACTIONS(1312),
    [anon_sym___inline__] = ACTIONS(1312),
    [anon_sym___forceinline] = ACTIONS(1312),
    [anon_sym_thread_local] = ACTIONS(1312),
    [anon_sym___thread] = ACTIONS(1312),
    [anon_sym_const] = ACTIONS(1318),
    [anon_sym_constexpr] = ACTIONS(1318),
    [anon_sym_volatile] = ACTIONS(1318),
    [anon_sym_restrict] = ACTIONS(1318),
    [anon_sym___restrict__] = ACTIONS(1318),
    [anon_sym__Atomic] = ACTIONS(1318),
    [anon_sym__Noreturn] = ACTIONS(1318),
    [anon_sym_noreturn] = ACTIONS(1318),
    [anon_sym_mutable] = ACTIONS(1318),
    [anon_sym_constinit] = ACTIONS(1318),
    [anon_sym_consteval] = ACTIONS(1318),
    [sym_primitive_type] = ACTIONS(1321),
    [anon_sym_enum] = ACTIONS(1324),
    [anon_sym_class] = ACTIONS(1327),
    [anon_sym_struct] = ACTIONS(1330),
    [anon_sym_union] = ACTIONS(1333),
    [anon_sym_if] = ACTIONS(1336),
    [anon_sym_switch] = ACTIONS(1339),
    [anon_sym_case] = ACTIONS(1342),
    [anon_sym_default] = ACTIONS(1345),
    [anon_sym_while] = ACTIONS(1348),
    [anon_sym_do] = ACTIONS(1351),
    [anon_sym_for] = ACTIONS(1354),
    [anon_sym_return] = ACTIONS(1357),
    [anon_sym_break] = ACTIONS(1360),
    [anon_sym_continue] = ACTIONS(1363),
    [anon_sym_goto] = ACTIONS(1366),
    [anon_sym_not] = ACTIONS(1261),
    [anon_sym_compl] = ACTIONS(1261),
    [anon_sym_DASH_DASH] = ACTIONS(1369),
    [anon_sym_PLUS_PLUS] = ACTIONS(1369),
    [anon_sym_sizeof] = ACTIONS(1372),
    [anon_sym___alignof__] = ACTIONS(1375),
    [anon_sym___alignof] = ACTIONS(1375),
    [anon_sym__alignof] = ACTIONS(1375),
    [anon_sym_alignof] = ACTIONS(1375),
    [anon_sym__Alignof] = ACTIONS(1375),
    [anon_sym_offsetof] = ACTIONS(1378),
    [anon_sym__Generic] = ACTIONS(1381),
    [anon_sym_asm] = ACTIONS(1384),
    [anon_sym___asm__] = ACTIONS(1384),
    [sym_number_literal] = ACTIONS(1387),
    [anon_sym_L_SQUOTE] = ACTIONS(1390),
    [anon_sym_u_SQUOTE] = ACTIONS(1390),
    [anon_sym_U_SQUOTE] = ACTIONS(1390),
    [anon_sym_u8_SQUOTE] = ACTIONS(1390),
    [anon_sym_SQUOTE] = ACTIONS(1390),
    [anon_sym_L_DQUOTE] = ACTIONS(1393),
    [anon_sym_u_DQUOTE] = ACTIONS(1393),
    [anon_sym_U_DQUOTE] = ACTIONS(1393),
    [anon_sym_u8_DQUOTE] = ACTIONS(1393),
    [anon_sym_DQUOTE] = ACTIONS(1393),
    [sym_true] = ACTIONS(1396),
    [sym_false] = ACTIONS(1396),
    [anon_sym_NULL] = ACTIONS(1399),
    [anon_sym_nullptr] = ACTIONS(1399),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1402),
    [anon_sym_decltype] = ACTIONS(1405),
    [anon_sym_virtual] = ACTIONS(1408),
    [anon_sym_alignas] = ACTIONS(1411),
    [anon_sym_explicit] = ACTIONS(1414),
    [anon_sym_typename] = ACTIONS(1417),
    [anon_sym_template] = ACTIONS(1420),
    [anon_sym_operator] = ACTIONS(1423),
    [anon_sym_try] = ACTIONS(1426),
    [anon_sym_delete] = ACTIONS(1429),
    [anon_sym_throw] = ACTIONS(1432),
    [anon_sym_namespace] = ACTIONS(1435),
    [anon_sym_using] = ACTIONS(1438),
    [anon_sym_static_assert] = ACTIONS(1441),
    [anon_sym_concept] = ACTIONS(1444),
    [anon_sym_co_return] = ACTIONS(1447),
    [anon_sym_co_yield] = ACTIONS(1450),
    [anon_sym_R_DQUOTE] = ACTIONS(1453),
    [anon_sym_LR_DQUOTE] = ACTIONS(1453),
    [anon_sym_uR_DQUOTE] = ACTIONS(1453),
    [anon_sym_UR_DQUOTE] = ACTIONS(1453),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1453),
    [anon_sym_co_await] = ACTIONS(1456),
    [anon_sym_new] = ACTIONS(1459),
    [anon_sym_requires] = ACTIONS(1462),
    [sym_this] = ACTIONS(1396),
    [anon_sym_precise] = ACTIONS(1465),
    [anon_sym_shared] = ACTIONS(1465),
    [anon_sym_groupshared] = ACTIONS(1465),
    [anon_sym_uniform] = ACTIONS(1465),
    [anon_sym_row_major] = ACTIONS(1465),
    [anon_sym_column_major] = ACTIONS(1465),
    [anon_sym_globallycoherent] = ACTIONS(1465),
    [anon_sym_centroid] = ACTIONS(1465),
    [anon_sym_noperspective] = ACTIONS(1465),
    [anon_sym_nointerpolation] = ACTIONS(1465),
    [anon_sym_sample] = ACTIONS(1465),
    [anon_sym_linear] = ACTIONS(1465),
    [anon_sym_snorm] = ACTIONS(1465),
    [anon_sym_unorm] = ACTIONS(1465),
    [anon_sym_point] = ACTIONS(1465),
    [anon_sym_line] = ACTIONS(1465),
    [anon_sym_triangleadj] = ACTIONS(1465),
    [anon_sym_lineadj] = ACTIONS(1465),
    [anon_sym_triangle] = ACTIONS(1465),
  },
  [100] = {
    [sym_declaration] = STATE(102),
    [sym_type_definition] = STATE(102),
    [sym__declaration_modifiers] = STATE(2673),
    [sym__declaration_specifiers] = STATE(6337),
    [sym_attribute_specifier] = STATE(2673),
    [sym_attribute_declaration] = STATE(1556),
    [sym_ms_declspec_modifier] = STATE(2673),
    [sym_compound_statement] = STATE(102),
    [sym_storage_class_specifier] = STATE(2673),
    [sym_type_qualifier] = STATE(2673),
    [sym__type_specifier] = STATE(2827),
    [sym_sized_type_specifier] = STATE(3085),
    [sym_enum_specifier] = STATE(3085),
    [sym_struct_specifier] = STATE(3085),
    [sym_union_specifier] = STATE(3085),
    [sym_attributed_statement] = STATE(102),
    [sym_labeled_statement] = STATE(102),
    [sym_expression_statement] = STATE(102),
    [sym_if_statement] = STATE(102),
    [sym_switch_statement] = STATE(102),
    [sym_while_statement] = STATE(102),
    [sym_do_statement] = STATE(102),
    [sym_for_statement] = STATE(102),
    [sym_return_statement] = STATE(102),
    [sym_break_statement] = STATE(102),
    [sym_continue_statement] = STATE(102),
    [sym_goto_statement] = STATE(102),
    [sym_seh_try_statement] = STATE(102),
    [sym_seh_leave_statement] = STATE(102),
    [sym__expression] = STATE(5650),
    [sym__expression_not_binary] = STATE(5024),
    [sym__string] = STATE(5024),
    [sym_comma_expression] = STATE(10263),
    [sym_conditional_expression] = STATE(5024),
    [sym_assignment_expression] = STATE(5024),
    [sym_pointer_expression] = STATE(4507),
    [sym_unary_expression] = STATE(5024),
    [sym_binary_expression] = STATE(5024),
    [sym_update_expression] = STATE(5024),
    [sym_cast_expression] = STATE(5024),
    [sym_sizeof_expression] = STATE(5024),
    [sym_alignof_expression] = STATE(5024),
    [sym_offsetof_expression] = STATE(5024),
    [sym_generic_expression] = STATE(5024),
    [sym_subscript_expression] = STATE(4507),
    [sym_call_expression] = STATE(4507),
    [sym_gnu_asm_expression] = STATE(5024),
    [sym_field_expression] = STATE(4507),
    [sym_compound_literal_expression] = STATE(5024),
    [sym_parenthesized_expression] = STATE(4507),
    [sym_char_literal] = STATE(5374),
    [sym_concatenated_string] = STATE(5377),
    [sym_string_literal] = STATE(4206),
    [sym_null] = STATE(5024),
    [sym_placeholder_type_specifier] = STATE(3085),
    [sym_decltype_auto] = STATE(3091),
    [sym_decltype] = STATE(3050),
    [sym_class_specifier] = STATE(3085),
    [sym__class_name] = STATE(9352),
    [sym_virtual] = STATE(2673),
    [sym_alignas_specifier] = STATE(2673),
    [sym_dependent_type] = STATE(3085),
    [sym_template_type] = STATE(3129),
    [sym_template_function] = STATE(5024),
    [sym_for_range_loop] = STATE(102),
    [sym_co_return_statement] = STATE(102),
    [sym_co_yield_statement] = STATE(102),
    [sym_throw_statement] = STATE(102),
    [sym_try_statement] = STATE(102),
    [sym_raw_string_literal] = STATE(4217),
    [sym_co_await_expression] = STATE(5024),
    [sym_new_expression] = STATE(5024),
    [sym_delete_expression] = STATE(5024),
    [sym_requires_clause] = STATE(5024),
    [sym_requires_expression] = STATE(5024),
    [sym_lambda_expression] = STATE(5024),
    [sym_lambda_capture_specifier] = STATE(7184),
    [sym_fold_expression] = STATE(5024),
    [sym_parameter_pack_expansion] = STATE(5024),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6970),
    [sym_qualified_identifier] = STATE(4507),
    [sym_qualified_type_identifier] = STATE(3127),
    [sym_user_defined_literal] = STATE(4507),
    [sym_discard_statement] = STATE(102),
    [sym_qualifiers] = STATE(2673),
    [sym_cbuffer_specifier] = STATE(102),
    [sym_hlsl_attribute] = STATE(9442),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2673),
    [aux_sym_attributed_declarator_repeat1] = STATE(1334),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3021),
    [aux_sym_case_statement_repeat1] = STATE(102),
    [sym_identifier] = ACTIONS(1468),
    [aux_sym_preproc_include_token1] = ACTIONS(1470),
    [aux_sym_preproc_def_token1] = ACTIONS(1470),
    [aux_sym_preproc_if_token1] = ACTIONS(1470),
    [aux_sym_preproc_if_token2] = ACTIONS(1470),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1470),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1470),
    [aux_sym_preproc_else_token1] = ACTIONS(1470),
    [aux_sym_preproc_elif_token1] = ACTIONS(1470),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1470),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1470),
    [sym_preproc_directive] = ACTIONS(1470),
    [anon_sym_LPAREN2] = ACTIONS(1472),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1474),
    [anon_sym_AMP_AMP] = ACTIONS(1476),
    [anon_sym_AMP] = ACTIONS(1478),
    [anon_sym_SEMI] = ACTIONS(291),
    [anon_sym___extension__] = ACTIONS(293),
    [anon_sym_typedef] = ACTIONS(295),
    [anon_sym_in] = ACTIONS(1480),
    [anon_sym_out] = ACTIONS(1480),
    [anon_sym_inout] = ACTIONS(1480),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1482),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(1470),
    [anon_sym___cdecl] = ACTIONS(1470),
    [anon_sym___clrcall] = ACTIONS(1470),
    [anon_sym___stdcall] = ACTIONS(1470),
    [anon_sym___fastcall] = ACTIONS(1470),
    [anon_sym___thiscall] = ACTIONS(1470),
    [anon_sym___vectorcall] = ACTIONS(1470),
    [anon_sym_LBRACE] = ACTIONS(299),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(1484),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(65),
    [anon_sym_enum] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(69),
    [anon_sym_struct] = ACTIONS(71),
    [anon_sym_union] = ACTIONS(73),
    [anon_sym_if] = ACTIONS(303),
    [anon_sym_else] = ACTIONS(1470),
    [anon_sym_switch] = ACTIONS(305),
    [anon_sym_case] = ACTIONS(1470),
    [anon_sym_default] = ACTIONS(1470),
    [anon_sym_while] = ACTIONS(311),
    [anon_sym_do] = ACTIONS(313),
    [anon_sym_for] = ACTIONS(315),
    [anon_sym_return] = ACTIONS(317),
    [anon_sym_break] = ACTIONS(319),
    [anon_sym_continue] = ACTIONS(321),
    [anon_sym_goto] = ACTIONS(323),
    [anon_sym___try] = ACTIONS(325),
    [anon_sym___leave] = ACTIONS(327),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [anon_sym_virtual] = ACTIONS(123),
    [anon_sym_alignas] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(1470),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_operator] = ACTIONS(1470),
    [anon_sym_try] = ACTIONS(331),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(333),
    [anon_sym_namespace] = ACTIONS(1470),
    [anon_sym_using] = ACTIONS(1470),
    [anon_sym_static_assert] = ACTIONS(1470),
    [anon_sym_concept] = ACTIONS(1470),
    [anon_sym_co_return] = ACTIONS(343),
    [anon_sym_co_yield] = ACTIONS(345),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
    [anon_sym_discard] = ACTIONS(347),
    [anon_sym_precise] = ACTIONS(161),
    [anon_sym_shared] = ACTIONS(161),
    [anon_sym_groupshared] = ACTIONS(161),
    [anon_sym_uniform] = ACTIONS(161),
    [anon_sym_row_major] = ACTIONS(161),
    [anon_sym_column_major] = ACTIONS(161),
    [anon_sym_globallycoherent] = ACTIONS(161),
    [anon_sym_centroid] = ACTIONS(161),
    [anon_sym_noperspective] = ACTIONS(161),
    [anon_sym_nointerpolation] = ACTIONS(161),
    [anon_sym_sample] = ACTIONS(161),
    [anon_sym_linear] = ACTIONS(161),
    [anon_sym_snorm] = ACTIONS(161),
    [anon_sym_unorm] = ACTIONS(161),
    [anon_sym_point] = ACTIONS(161),
    [anon_sym_line] = ACTIONS(161),
    [anon_sym_triangleadj] = ACTIONS(161),
    [anon_sym_lineadj] = ACTIONS(161),
    [anon_sym_triangle] = ACTIONS(161),
    [anon_sym_cbuffer] = ACTIONS(349),
  },
  [101] = {
    [sym_declaration] = STATE(104),
    [sym_type_definition] = STATE(104),
    [sym__declaration_modifiers] = STATE(2673),
    [sym__declaration_specifiers] = STATE(6337),
    [sym_attribute_specifier] = STATE(2673),
    [sym_attribute_declaration] = STATE(1556),
    [sym_ms_declspec_modifier] = STATE(2673),
    [sym_compound_statement] = STATE(104),
    [sym_storage_class_specifier] = STATE(2673),
    [sym_type_qualifier] = STATE(2673),
    [sym__type_specifier] = STATE(2827),
    [sym_sized_type_specifier] = STATE(3085),
    [sym_enum_specifier] = STATE(3085),
    [sym_struct_specifier] = STATE(3085),
    [sym_union_specifier] = STATE(3085),
    [sym_attributed_statement] = STATE(104),
    [sym_labeled_statement] = STATE(104),
    [sym_expression_statement] = STATE(104),
    [sym_if_statement] = STATE(104),
    [sym_switch_statement] = STATE(104),
    [sym_while_statement] = STATE(104),
    [sym_do_statement] = STATE(104),
    [sym_for_statement] = STATE(104),
    [sym_return_statement] = STATE(104),
    [sym_break_statement] = STATE(104),
    [sym_continue_statement] = STATE(104),
    [sym_goto_statement] = STATE(104),
    [sym_seh_try_statement] = STATE(104),
    [sym_seh_leave_statement] = STATE(104),
    [sym__expression] = STATE(5650),
    [sym__expression_not_binary] = STATE(5024),
    [sym__string] = STATE(5024),
    [sym_comma_expression] = STATE(10263),
    [sym_conditional_expression] = STATE(5024),
    [sym_assignment_expression] = STATE(5024),
    [sym_pointer_expression] = STATE(4507),
    [sym_unary_expression] = STATE(5024),
    [sym_binary_expression] = STATE(5024),
    [sym_update_expression] = STATE(5024),
    [sym_cast_expression] = STATE(5024),
    [sym_sizeof_expression] = STATE(5024),
    [sym_alignof_expression] = STATE(5024),
    [sym_offsetof_expression] = STATE(5024),
    [sym_generic_expression] = STATE(5024),
    [sym_subscript_expression] = STATE(4507),
    [sym_call_expression] = STATE(4507),
    [sym_gnu_asm_expression] = STATE(5024),
    [sym_field_expression] = STATE(4507),
    [sym_compound_literal_expression] = STATE(5024),
    [sym_parenthesized_expression] = STATE(4507),
    [sym_char_literal] = STATE(5374),
    [sym_concatenated_string] = STATE(5377),
    [sym_string_literal] = STATE(4206),
    [sym_null] = STATE(5024),
    [sym_placeholder_type_specifier] = STATE(3085),
    [sym_decltype_auto] = STATE(3091),
    [sym_decltype] = STATE(3050),
    [sym_class_specifier] = STATE(3085),
    [sym__class_name] = STATE(9352),
    [sym_virtual] = STATE(2673),
    [sym_alignas_specifier] = STATE(2673),
    [sym_dependent_type] = STATE(3085),
    [sym_template_type] = STATE(3129),
    [sym_template_function] = STATE(5024),
    [sym_for_range_loop] = STATE(104),
    [sym_co_return_statement] = STATE(104),
    [sym_co_yield_statement] = STATE(104),
    [sym_throw_statement] = STATE(104),
    [sym_try_statement] = STATE(104),
    [sym_raw_string_literal] = STATE(4217),
    [sym_co_await_expression] = STATE(5024),
    [sym_new_expression] = STATE(5024),
    [sym_delete_expression] = STATE(5024),
    [sym_requires_clause] = STATE(5024),
    [sym_requires_expression] = STATE(5024),
    [sym_lambda_expression] = STATE(5024),
    [sym_lambda_capture_specifier] = STATE(7184),
    [sym_fold_expression] = STATE(5024),
    [sym_parameter_pack_expansion] = STATE(5024),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6970),
    [sym_qualified_identifier] = STATE(4507),
    [sym_qualified_type_identifier] = STATE(3127),
    [sym_user_defined_literal] = STATE(4507),
    [sym_discard_statement] = STATE(104),
    [sym_qualifiers] = STATE(2673),
    [sym_cbuffer_specifier] = STATE(104),
    [sym_hlsl_attribute] = STATE(9442),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2673),
    [aux_sym_attributed_declarator_repeat1] = STATE(1334),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3021),
    [aux_sym_case_statement_repeat1] = STATE(104),
    [sym_identifier] = ACTIONS(1468),
    [aux_sym_preproc_include_token1] = ACTIONS(1488),
    [aux_sym_preproc_def_token1] = ACTIONS(1488),
    [aux_sym_preproc_if_token1] = ACTIONS(1488),
    [aux_sym_preproc_if_token2] = ACTIONS(1488),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1488),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1488),
    [aux_sym_preproc_else_token1] = ACTIONS(1488),
    [aux_sym_preproc_elif_token1] = ACTIONS(1488),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1488),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1488),
    [sym_preproc_directive] = ACTIONS(1488),
    [anon_sym_LPAREN2] = ACTIONS(1472),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1474),
    [anon_sym_AMP_AMP] = ACTIONS(1490),
    [anon_sym_AMP] = ACTIONS(1478),
    [anon_sym_SEMI] = ACTIONS(291),
    [anon_sym___extension__] = ACTIONS(293),
    [anon_sym_typedef] = ACTIONS(295),
    [anon_sym_in] = ACTIONS(1480),
    [anon_sym_out] = ACTIONS(1480),
    [anon_sym_inout] = ACTIONS(1480),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1482),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(1488),
    [anon_sym___cdecl] = ACTIONS(1488),
    [anon_sym___clrcall] = ACTIONS(1488),
    [anon_sym___stdcall] = ACTIONS(1488),
    [anon_sym___fastcall] = ACTIONS(1488),
    [anon_sym___thiscall] = ACTIONS(1488),
    [anon_sym___vectorcall] = ACTIONS(1488),
    [anon_sym_LBRACE] = ACTIONS(299),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(1484),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(65),
    [anon_sym_enum] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(69),
    [anon_sym_struct] = ACTIONS(71),
    [anon_sym_union] = ACTIONS(73),
    [anon_sym_if] = ACTIONS(303),
    [anon_sym_else] = ACTIONS(1488),
    [anon_sym_switch] = ACTIONS(305),
    [anon_sym_case] = ACTIONS(1488),
    [anon_sym_default] = ACTIONS(1488),
    [anon_sym_while] = ACTIONS(311),
    [anon_sym_do] = ACTIONS(313),
    [anon_sym_for] = ACTIONS(315),
    [anon_sym_return] = ACTIONS(317),
    [anon_sym_break] = ACTIONS(319),
    [anon_sym_continue] = ACTIONS(321),
    [anon_sym_goto] = ACTIONS(323),
    [anon_sym___try] = ACTIONS(325),
    [anon_sym___leave] = ACTIONS(327),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [anon_sym_virtual] = ACTIONS(123),
    [anon_sym_alignas] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(1488),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_operator] = ACTIONS(1488),
    [anon_sym_try] = ACTIONS(331),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(333),
    [anon_sym_namespace] = ACTIONS(1488),
    [anon_sym_using] = ACTIONS(1488),
    [anon_sym_static_assert] = ACTIONS(1488),
    [anon_sym_concept] = ACTIONS(1488),
    [anon_sym_co_return] = ACTIONS(343),
    [anon_sym_co_yield] = ACTIONS(345),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
    [anon_sym_discard] = ACTIONS(347),
    [anon_sym_precise] = ACTIONS(161),
    [anon_sym_shared] = ACTIONS(161),
    [anon_sym_groupshared] = ACTIONS(161),
    [anon_sym_uniform] = ACTIONS(161),
    [anon_sym_row_major] = ACTIONS(161),
    [anon_sym_column_major] = ACTIONS(161),
    [anon_sym_globallycoherent] = ACTIONS(161),
    [anon_sym_centroid] = ACTIONS(161),
    [anon_sym_noperspective] = ACTIONS(161),
    [anon_sym_nointerpolation] = ACTIONS(161),
    [anon_sym_sample] = ACTIONS(161),
    [anon_sym_linear] = ACTIONS(161),
    [anon_sym_snorm] = ACTIONS(161),
    [anon_sym_unorm] = ACTIONS(161),
    [anon_sym_point] = ACTIONS(161),
    [anon_sym_line] = ACTIONS(161),
    [anon_sym_triangleadj] = ACTIONS(161),
    [anon_sym_lineadj] = ACTIONS(161),
    [anon_sym_triangle] = ACTIONS(161),
    [anon_sym_cbuffer] = ACTIONS(349),
  },
  [102] = {
    [sym_declaration] = STATE(104),
    [sym_type_definition] = STATE(104),
    [sym__declaration_modifiers] = STATE(2673),
    [sym__declaration_specifiers] = STATE(6337),
    [sym_attribute_specifier] = STATE(2673),
    [sym_attribute_declaration] = STATE(1556),
    [sym_ms_declspec_modifier] = STATE(2673),
    [sym_compound_statement] = STATE(104),
    [sym_storage_class_specifier] = STATE(2673),
    [sym_type_qualifier] = STATE(2673),
    [sym__type_specifier] = STATE(2827),
    [sym_sized_type_specifier] = STATE(3085),
    [sym_enum_specifier] = STATE(3085),
    [sym_struct_specifier] = STATE(3085),
    [sym_union_specifier] = STATE(3085),
    [sym_attributed_statement] = STATE(104),
    [sym_labeled_statement] = STATE(104),
    [sym_expression_statement] = STATE(104),
    [sym_if_statement] = STATE(104),
    [sym_switch_statement] = STATE(104),
    [sym_while_statement] = STATE(104),
    [sym_do_statement] = STATE(104),
    [sym_for_statement] = STATE(104),
    [sym_return_statement] = STATE(104),
    [sym_break_statement] = STATE(104),
    [sym_continue_statement] = STATE(104),
    [sym_goto_statement] = STATE(104),
    [sym_seh_try_statement] = STATE(104),
    [sym_seh_leave_statement] = STATE(104),
    [sym__expression] = STATE(5650),
    [sym__expression_not_binary] = STATE(5024),
    [sym__string] = STATE(5024),
    [sym_comma_expression] = STATE(10263),
    [sym_conditional_expression] = STATE(5024),
    [sym_assignment_expression] = STATE(5024),
    [sym_pointer_expression] = STATE(4507),
    [sym_unary_expression] = STATE(5024),
    [sym_binary_expression] = STATE(5024),
    [sym_update_expression] = STATE(5024),
    [sym_cast_expression] = STATE(5024),
    [sym_sizeof_expression] = STATE(5024),
    [sym_alignof_expression] = STATE(5024),
    [sym_offsetof_expression] = STATE(5024),
    [sym_generic_expression] = STATE(5024),
    [sym_subscript_expression] = STATE(4507),
    [sym_call_expression] = STATE(4507),
    [sym_gnu_asm_expression] = STATE(5024),
    [sym_field_expression] = STATE(4507),
    [sym_compound_literal_expression] = STATE(5024),
    [sym_parenthesized_expression] = STATE(4507),
    [sym_char_literal] = STATE(5374),
    [sym_concatenated_string] = STATE(5377),
    [sym_string_literal] = STATE(4206),
    [sym_null] = STATE(5024),
    [sym_placeholder_type_specifier] = STATE(3085),
    [sym_decltype_auto] = STATE(3091),
    [sym_decltype] = STATE(3050),
    [sym_class_specifier] = STATE(3085),
    [sym__class_name] = STATE(9352),
    [sym_virtual] = STATE(2673),
    [sym_alignas_specifier] = STATE(2673),
    [sym_dependent_type] = STATE(3085),
    [sym_template_type] = STATE(3129),
    [sym_template_function] = STATE(5024),
    [sym_for_range_loop] = STATE(104),
    [sym_co_return_statement] = STATE(104),
    [sym_co_yield_statement] = STATE(104),
    [sym_throw_statement] = STATE(104),
    [sym_try_statement] = STATE(104),
    [sym_raw_string_literal] = STATE(4217),
    [sym_co_await_expression] = STATE(5024),
    [sym_new_expression] = STATE(5024),
    [sym_delete_expression] = STATE(5024),
    [sym_requires_clause] = STATE(5024),
    [sym_requires_expression] = STATE(5024),
    [sym_lambda_expression] = STATE(5024),
    [sym_lambda_capture_specifier] = STATE(7184),
    [sym_fold_expression] = STATE(5024),
    [sym_parameter_pack_expansion] = STATE(5024),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6970),
    [sym_qualified_identifier] = STATE(4507),
    [sym_qualified_type_identifier] = STATE(3127),
    [sym_user_defined_literal] = STATE(4507),
    [sym_discard_statement] = STATE(104),
    [sym_qualifiers] = STATE(2673),
    [sym_cbuffer_specifier] = STATE(104),
    [sym_hlsl_attribute] = STATE(9442),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2673),
    [aux_sym_attributed_declarator_repeat1] = STATE(1334),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3021),
    [aux_sym_case_statement_repeat1] = STATE(104),
    [sym_identifier] = ACTIONS(1468),
    [aux_sym_preproc_include_token1] = ACTIONS(1492),
    [aux_sym_preproc_def_token1] = ACTIONS(1492),
    [aux_sym_preproc_if_token1] = ACTIONS(1492),
    [aux_sym_preproc_if_token2] = ACTIONS(1492),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1492),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1492),
    [aux_sym_preproc_else_token1] = ACTIONS(1492),
    [aux_sym_preproc_elif_token1] = ACTIONS(1492),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1492),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1492),
    [sym_preproc_directive] = ACTIONS(1492),
    [anon_sym_LPAREN2] = ACTIONS(1472),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1474),
    [anon_sym_AMP_AMP] = ACTIONS(1494),
    [anon_sym_AMP] = ACTIONS(1478),
    [anon_sym_SEMI] = ACTIONS(291),
    [anon_sym___extension__] = ACTIONS(293),
    [anon_sym_typedef] = ACTIONS(295),
    [anon_sym_in] = ACTIONS(1480),
    [anon_sym_out] = ACTIONS(1480),
    [anon_sym_inout] = ACTIONS(1480),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1482),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(1492),
    [anon_sym___cdecl] = ACTIONS(1492),
    [anon_sym___clrcall] = ACTIONS(1492),
    [anon_sym___stdcall] = ACTIONS(1492),
    [anon_sym___fastcall] = ACTIONS(1492),
    [anon_sym___thiscall] = ACTIONS(1492),
    [anon_sym___vectorcall] = ACTIONS(1492),
    [anon_sym_LBRACE] = ACTIONS(299),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(1484),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(65),
    [anon_sym_enum] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(69),
    [anon_sym_struct] = ACTIONS(71),
    [anon_sym_union] = ACTIONS(73),
    [anon_sym_if] = ACTIONS(303),
    [anon_sym_else] = ACTIONS(1492),
    [anon_sym_switch] = ACTIONS(305),
    [anon_sym_case] = ACTIONS(1492),
    [anon_sym_default] = ACTIONS(1492),
    [anon_sym_while] = ACTIONS(311),
    [anon_sym_do] = ACTIONS(313),
    [anon_sym_for] = ACTIONS(315),
    [anon_sym_return] = ACTIONS(317),
    [anon_sym_break] = ACTIONS(319),
    [anon_sym_continue] = ACTIONS(321),
    [anon_sym_goto] = ACTIONS(323),
    [anon_sym___try] = ACTIONS(325),
    [anon_sym___leave] = ACTIONS(327),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [anon_sym_virtual] = ACTIONS(123),
    [anon_sym_alignas] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(1492),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_operator] = ACTIONS(1492),
    [anon_sym_try] = ACTIONS(331),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(333),
    [anon_sym_namespace] = ACTIONS(1492),
    [anon_sym_using] = ACTIONS(1492),
    [anon_sym_static_assert] = ACTIONS(1492),
    [anon_sym_concept] = ACTIONS(1492),
    [anon_sym_co_return] = ACTIONS(343),
    [anon_sym_co_yield] = ACTIONS(345),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
    [anon_sym_discard] = ACTIONS(347),
    [anon_sym_precise] = ACTIONS(161),
    [anon_sym_shared] = ACTIONS(161),
    [anon_sym_groupshared] = ACTIONS(161),
    [anon_sym_uniform] = ACTIONS(161),
    [anon_sym_row_major] = ACTIONS(161),
    [anon_sym_column_major] = ACTIONS(161),
    [anon_sym_globallycoherent] = ACTIONS(161),
    [anon_sym_centroid] = ACTIONS(161),
    [anon_sym_noperspective] = ACTIONS(161),
    [anon_sym_nointerpolation] = ACTIONS(161),
    [anon_sym_sample] = ACTIONS(161),
    [anon_sym_linear] = ACTIONS(161),
    [anon_sym_snorm] = ACTIONS(161),
    [anon_sym_unorm] = ACTIONS(161),
    [anon_sym_point] = ACTIONS(161),
    [anon_sym_line] = ACTIONS(161),
    [anon_sym_triangleadj] = ACTIONS(161),
    [anon_sym_lineadj] = ACTIONS(161),
    [anon_sym_triangle] = ACTIONS(161),
    [anon_sym_cbuffer] = ACTIONS(349),
  },
  [103] = {
    [sym_declaration] = STATE(101),
    [sym_type_definition] = STATE(101),
    [sym__declaration_modifiers] = STATE(2673),
    [sym__declaration_specifiers] = STATE(6337),
    [sym_attribute_specifier] = STATE(2673),
    [sym_attribute_declaration] = STATE(1556),
    [sym_ms_declspec_modifier] = STATE(2673),
    [sym_compound_statement] = STATE(101),
    [sym_storage_class_specifier] = STATE(2673),
    [sym_type_qualifier] = STATE(2673),
    [sym__type_specifier] = STATE(2827),
    [sym_sized_type_specifier] = STATE(3085),
    [sym_enum_specifier] = STATE(3085),
    [sym_struct_specifier] = STATE(3085),
    [sym_union_specifier] = STATE(3085),
    [sym_attributed_statement] = STATE(101),
    [sym_labeled_statement] = STATE(101),
    [sym_expression_statement] = STATE(101),
    [sym_if_statement] = STATE(101),
    [sym_switch_statement] = STATE(101),
    [sym_while_statement] = STATE(101),
    [sym_do_statement] = STATE(101),
    [sym_for_statement] = STATE(101),
    [sym_return_statement] = STATE(101),
    [sym_break_statement] = STATE(101),
    [sym_continue_statement] = STATE(101),
    [sym_goto_statement] = STATE(101),
    [sym_seh_try_statement] = STATE(101),
    [sym_seh_leave_statement] = STATE(101),
    [sym__expression] = STATE(5650),
    [sym__expression_not_binary] = STATE(5024),
    [sym__string] = STATE(5024),
    [sym_comma_expression] = STATE(10263),
    [sym_conditional_expression] = STATE(5024),
    [sym_assignment_expression] = STATE(5024),
    [sym_pointer_expression] = STATE(4507),
    [sym_unary_expression] = STATE(5024),
    [sym_binary_expression] = STATE(5024),
    [sym_update_expression] = STATE(5024),
    [sym_cast_expression] = STATE(5024),
    [sym_sizeof_expression] = STATE(5024),
    [sym_alignof_expression] = STATE(5024),
    [sym_offsetof_expression] = STATE(5024),
    [sym_generic_expression] = STATE(5024),
    [sym_subscript_expression] = STATE(4507),
    [sym_call_expression] = STATE(4507),
    [sym_gnu_asm_expression] = STATE(5024),
    [sym_field_expression] = STATE(4507),
    [sym_compound_literal_expression] = STATE(5024),
    [sym_parenthesized_expression] = STATE(4507),
    [sym_char_literal] = STATE(5374),
    [sym_concatenated_string] = STATE(5377),
    [sym_string_literal] = STATE(4206),
    [sym_null] = STATE(5024),
    [sym_placeholder_type_specifier] = STATE(3085),
    [sym_decltype_auto] = STATE(3091),
    [sym_decltype] = STATE(3050),
    [sym_class_specifier] = STATE(3085),
    [sym__class_name] = STATE(9352),
    [sym_virtual] = STATE(2673),
    [sym_alignas_specifier] = STATE(2673),
    [sym_dependent_type] = STATE(3085),
    [sym_template_type] = STATE(3129),
    [sym_template_function] = STATE(5024),
    [sym_for_range_loop] = STATE(101),
    [sym_co_return_statement] = STATE(101),
    [sym_co_yield_statement] = STATE(101),
    [sym_throw_statement] = STATE(101),
    [sym_try_statement] = STATE(101),
    [sym_raw_string_literal] = STATE(4217),
    [sym_co_await_expression] = STATE(5024),
    [sym_new_expression] = STATE(5024),
    [sym_delete_expression] = STATE(5024),
    [sym_requires_clause] = STATE(5024),
    [sym_requires_expression] = STATE(5024),
    [sym_lambda_expression] = STATE(5024),
    [sym_lambda_capture_specifier] = STATE(7184),
    [sym_fold_expression] = STATE(5024),
    [sym_parameter_pack_expansion] = STATE(5024),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6970),
    [sym_qualified_identifier] = STATE(4507),
    [sym_qualified_type_identifier] = STATE(3127),
    [sym_user_defined_literal] = STATE(4507),
    [sym_discard_statement] = STATE(101),
    [sym_qualifiers] = STATE(2673),
    [sym_cbuffer_specifier] = STATE(101),
    [sym_hlsl_attribute] = STATE(9442),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2673),
    [aux_sym_attributed_declarator_repeat1] = STATE(1334),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3021),
    [aux_sym_case_statement_repeat1] = STATE(101),
    [sym_identifier] = ACTIONS(1468),
    [aux_sym_preproc_include_token1] = ACTIONS(1496),
    [aux_sym_preproc_def_token1] = ACTIONS(1496),
    [aux_sym_preproc_if_token1] = ACTIONS(1496),
    [aux_sym_preproc_if_token2] = ACTIONS(1496),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1496),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1496),
    [aux_sym_preproc_else_token1] = ACTIONS(1496),
    [aux_sym_preproc_elif_token1] = ACTIONS(1496),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1496),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1496),
    [sym_preproc_directive] = ACTIONS(1496),
    [anon_sym_LPAREN2] = ACTIONS(1472),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1474),
    [anon_sym_AMP_AMP] = ACTIONS(1498),
    [anon_sym_AMP] = ACTIONS(1478),
    [anon_sym_SEMI] = ACTIONS(291),
    [anon_sym___extension__] = ACTIONS(293),
    [anon_sym_typedef] = ACTIONS(295),
    [anon_sym_in] = ACTIONS(1480),
    [anon_sym_out] = ACTIONS(1480),
    [anon_sym_inout] = ACTIONS(1480),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1482),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(1496),
    [anon_sym___cdecl] = ACTIONS(1496),
    [anon_sym___clrcall] = ACTIONS(1496),
    [anon_sym___stdcall] = ACTIONS(1496),
    [anon_sym___fastcall] = ACTIONS(1496),
    [anon_sym___thiscall] = ACTIONS(1496),
    [anon_sym___vectorcall] = ACTIONS(1496),
    [anon_sym_LBRACE] = ACTIONS(299),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(1484),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(65),
    [anon_sym_enum] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(69),
    [anon_sym_struct] = ACTIONS(71),
    [anon_sym_union] = ACTIONS(73),
    [anon_sym_if] = ACTIONS(303),
    [anon_sym_else] = ACTIONS(1496),
    [anon_sym_switch] = ACTIONS(305),
    [anon_sym_case] = ACTIONS(1496),
    [anon_sym_default] = ACTIONS(1496),
    [anon_sym_while] = ACTIONS(311),
    [anon_sym_do] = ACTIONS(313),
    [anon_sym_for] = ACTIONS(315),
    [anon_sym_return] = ACTIONS(317),
    [anon_sym_break] = ACTIONS(319),
    [anon_sym_continue] = ACTIONS(321),
    [anon_sym_goto] = ACTIONS(323),
    [anon_sym___try] = ACTIONS(325),
    [anon_sym___leave] = ACTIONS(327),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [anon_sym_virtual] = ACTIONS(123),
    [anon_sym_alignas] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(1496),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_operator] = ACTIONS(1496),
    [anon_sym_try] = ACTIONS(331),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(333),
    [anon_sym_namespace] = ACTIONS(1496),
    [anon_sym_using] = ACTIONS(1496),
    [anon_sym_static_assert] = ACTIONS(1496),
    [anon_sym_concept] = ACTIONS(1496),
    [anon_sym_co_return] = ACTIONS(343),
    [anon_sym_co_yield] = ACTIONS(345),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
    [anon_sym_discard] = ACTIONS(347),
    [anon_sym_precise] = ACTIONS(161),
    [anon_sym_shared] = ACTIONS(161),
    [anon_sym_groupshared] = ACTIONS(161),
    [anon_sym_uniform] = ACTIONS(161),
    [anon_sym_row_major] = ACTIONS(161),
    [anon_sym_column_major] = ACTIONS(161),
    [anon_sym_globallycoherent] = ACTIONS(161),
    [anon_sym_centroid] = ACTIONS(161),
    [anon_sym_noperspective] = ACTIONS(161),
    [anon_sym_nointerpolation] = ACTIONS(161),
    [anon_sym_sample] = ACTIONS(161),
    [anon_sym_linear] = ACTIONS(161),
    [anon_sym_snorm] = ACTIONS(161),
    [anon_sym_unorm] = ACTIONS(161),
    [anon_sym_point] = ACTIONS(161),
    [anon_sym_line] = ACTIONS(161),
    [anon_sym_triangleadj] = ACTIONS(161),
    [anon_sym_lineadj] = ACTIONS(161),
    [anon_sym_triangle] = ACTIONS(161),
    [anon_sym_cbuffer] = ACTIONS(349),
  },
  [104] = {
    [sym_declaration] = STATE(104),
    [sym_type_definition] = STATE(104),
    [sym__declaration_modifiers] = STATE(2673),
    [sym__declaration_specifiers] = STATE(6337),
    [sym_attribute_specifier] = STATE(2673),
    [sym_attribute_declaration] = STATE(1556),
    [sym_ms_declspec_modifier] = STATE(2673),
    [sym_compound_statement] = STATE(104),
    [sym_storage_class_specifier] = STATE(2673),
    [sym_type_qualifier] = STATE(2673),
    [sym__type_specifier] = STATE(2827),
    [sym_sized_type_specifier] = STATE(3085),
    [sym_enum_specifier] = STATE(3085),
    [sym_struct_specifier] = STATE(3085),
    [sym_union_specifier] = STATE(3085),
    [sym_attributed_statement] = STATE(104),
    [sym_labeled_statement] = STATE(104),
    [sym_expression_statement] = STATE(104),
    [sym_if_statement] = STATE(104),
    [sym_switch_statement] = STATE(104),
    [sym_while_statement] = STATE(104),
    [sym_do_statement] = STATE(104),
    [sym_for_statement] = STATE(104),
    [sym_return_statement] = STATE(104),
    [sym_break_statement] = STATE(104),
    [sym_continue_statement] = STATE(104),
    [sym_goto_statement] = STATE(104),
    [sym_seh_try_statement] = STATE(104),
    [sym_seh_leave_statement] = STATE(104),
    [sym__expression] = STATE(5650),
    [sym__expression_not_binary] = STATE(5024),
    [sym__string] = STATE(5024),
    [sym_comma_expression] = STATE(10263),
    [sym_conditional_expression] = STATE(5024),
    [sym_assignment_expression] = STATE(5024),
    [sym_pointer_expression] = STATE(4507),
    [sym_unary_expression] = STATE(5024),
    [sym_binary_expression] = STATE(5024),
    [sym_update_expression] = STATE(5024),
    [sym_cast_expression] = STATE(5024),
    [sym_sizeof_expression] = STATE(5024),
    [sym_alignof_expression] = STATE(5024),
    [sym_offsetof_expression] = STATE(5024),
    [sym_generic_expression] = STATE(5024),
    [sym_subscript_expression] = STATE(4507),
    [sym_call_expression] = STATE(4507),
    [sym_gnu_asm_expression] = STATE(5024),
    [sym_field_expression] = STATE(4507),
    [sym_compound_literal_expression] = STATE(5024),
    [sym_parenthesized_expression] = STATE(4507),
    [sym_char_literal] = STATE(5374),
    [sym_concatenated_string] = STATE(5377),
    [sym_string_literal] = STATE(4206),
    [sym_null] = STATE(5024),
    [sym_placeholder_type_specifier] = STATE(3085),
    [sym_decltype_auto] = STATE(3091),
    [sym_decltype] = STATE(3050),
    [sym_class_specifier] = STATE(3085),
    [sym__class_name] = STATE(9352),
    [sym_virtual] = STATE(2673),
    [sym_alignas_specifier] = STATE(2673),
    [sym_dependent_type] = STATE(3085),
    [sym_template_type] = STATE(3129),
    [sym_template_function] = STATE(5024),
    [sym_for_range_loop] = STATE(104),
    [sym_co_return_statement] = STATE(104),
    [sym_co_yield_statement] = STATE(104),
    [sym_throw_statement] = STATE(104),
    [sym_try_statement] = STATE(104),
    [sym_raw_string_literal] = STATE(4217),
    [sym_co_await_expression] = STATE(5024),
    [sym_new_expression] = STATE(5024),
    [sym_delete_expression] = STATE(5024),
    [sym_requires_clause] = STATE(5024),
    [sym_requires_expression] = STATE(5024),
    [sym_lambda_expression] = STATE(5024),
    [sym_lambda_capture_specifier] = STATE(7184),
    [sym_fold_expression] = STATE(5024),
    [sym_parameter_pack_expansion] = STATE(5024),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6970),
    [sym_qualified_identifier] = STATE(4507),
    [sym_qualified_type_identifier] = STATE(3127),
    [sym_user_defined_literal] = STATE(4507),
    [sym_discard_statement] = STATE(104),
    [sym_qualifiers] = STATE(2673),
    [sym_cbuffer_specifier] = STATE(104),
    [sym_hlsl_attribute] = STATE(9442),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2673),
    [aux_sym_attributed_declarator_repeat1] = STATE(1334),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3021),
    [aux_sym_case_statement_repeat1] = STATE(104),
    [sym_identifier] = ACTIONS(1500),
    [aux_sym_preproc_include_token1] = ACTIONS(1503),
    [aux_sym_preproc_def_token1] = ACTIONS(1503),
    [aux_sym_preproc_if_token1] = ACTIONS(1503),
    [aux_sym_preproc_if_token2] = ACTIONS(1503),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1503),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1503),
    [aux_sym_preproc_else_token1] = ACTIONS(1503),
    [aux_sym_preproc_elif_token1] = ACTIONS(1503),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1503),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1503),
    [sym_preproc_directive] = ACTIONS(1503),
    [anon_sym_LPAREN2] = ACTIONS(1505),
    [anon_sym_BANG] = ACTIONS(1508),
    [anon_sym_TILDE] = ACTIONS(1508),
    [anon_sym_DASH] = ACTIONS(1511),
    [anon_sym_PLUS] = ACTIONS(1511),
    [anon_sym_STAR] = ACTIONS(1514),
    [anon_sym_AMP_AMP] = ACTIONS(1517),
    [anon_sym_AMP] = ACTIONS(1519),
    [anon_sym_SEMI] = ACTIONS(1522),
    [anon_sym___extension__] = ACTIONS(1525),
    [anon_sym_typedef] = ACTIONS(1528),
    [anon_sym_in] = ACTIONS(1531),
    [anon_sym_out] = ACTIONS(1531),
    [anon_sym_inout] = ACTIONS(1531),
    [anon_sym_extern] = ACTIONS(1534),
    [anon_sym___attribute__] = ACTIONS(1537),
    [anon_sym_COLON_COLON] = ACTIONS(1540),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1543),
    [anon_sym___declspec] = ACTIONS(1546),
    [anon_sym___based] = ACTIONS(1503),
    [anon_sym___cdecl] = ACTIONS(1503),
    [anon_sym___clrcall] = ACTIONS(1503),
    [anon_sym___stdcall] = ACTIONS(1503),
    [anon_sym___fastcall] = ACTIONS(1503),
    [anon_sym___thiscall] = ACTIONS(1503),
    [anon_sym___vectorcall] = ACTIONS(1503),
    [anon_sym_LBRACE] = ACTIONS(1549),
    [anon_sym_signed] = ACTIONS(1552),
    [anon_sym_unsigned] = ACTIONS(1552),
    [anon_sym_long] = ACTIONS(1552),
    [anon_sym_short] = ACTIONS(1552),
    [anon_sym_LBRACK] = ACTIONS(1555),
    [anon_sym_static] = ACTIONS(1534),
    [anon_sym_register] = ACTIONS(1534),
    [anon_sym_inline] = ACTIONS(1534),
    [anon_sym___inline] = ACTIONS(1534),
    [anon_sym___inline__] = ACTIONS(1534),
    [anon_sym___forceinline] = ACTIONS(1534),
    [anon_sym_thread_local] = ACTIONS(1534),
    [anon_sym___thread] = ACTIONS(1534),
    [anon_sym_const] = ACTIONS(1558),
    [anon_sym_constexpr] = ACTIONS(1558),
    [anon_sym_volatile] = ACTIONS(1558),
    [anon_sym_restrict] = ACTIONS(1558),
    [anon_sym___restrict__] = ACTIONS(1558),
    [anon_sym__Atomic] = ACTIONS(1558),
    [anon_sym__Noreturn] = ACTIONS(1558),
    [anon_sym_noreturn] = ACTIONS(1558),
    [anon_sym_mutable] = ACTIONS(1558),
    [anon_sym_constinit] = ACTIONS(1558),
    [anon_sym_consteval] = ACTIONS(1558),
    [sym_primitive_type] = ACTIONS(1561),
    [anon_sym_enum] = ACTIONS(1564),
    [anon_sym_class] = ACTIONS(1567),
    [anon_sym_struct] = ACTIONS(1570),
    [anon_sym_union] = ACTIONS(1573),
    [anon_sym_if] = ACTIONS(1576),
    [anon_sym_else] = ACTIONS(1503),
    [anon_sym_switch] = ACTIONS(1579),
    [anon_sym_case] = ACTIONS(1503),
    [anon_sym_default] = ACTIONS(1503),
    [anon_sym_while] = ACTIONS(1582),
    [anon_sym_do] = ACTIONS(1585),
    [anon_sym_for] = ACTIONS(1588),
    [anon_sym_return] = ACTIONS(1591),
    [anon_sym_break] = ACTIONS(1594),
    [anon_sym_continue] = ACTIONS(1597),
    [anon_sym_goto] = ACTIONS(1600),
    [anon_sym___try] = ACTIONS(1603),
    [anon_sym___leave] = ACTIONS(1606),
    [anon_sym_not] = ACTIONS(1511),
    [anon_sym_compl] = ACTIONS(1511),
    [anon_sym_DASH_DASH] = ACTIONS(1609),
    [anon_sym_PLUS_PLUS] = ACTIONS(1609),
    [anon_sym_sizeof] = ACTIONS(1612),
    [anon_sym___alignof__] = ACTIONS(1615),
    [anon_sym___alignof] = ACTIONS(1615),
    [anon_sym__alignof] = ACTIONS(1615),
    [anon_sym_alignof] = ACTIONS(1615),
    [anon_sym__Alignof] = ACTIONS(1615),
    [anon_sym_offsetof] = ACTIONS(1618),
    [anon_sym__Generic] = ACTIONS(1621),
    [anon_sym_asm] = ACTIONS(1624),
    [anon_sym___asm__] = ACTIONS(1624),
    [sym_number_literal] = ACTIONS(1627),
    [anon_sym_L_SQUOTE] = ACTIONS(1630),
    [anon_sym_u_SQUOTE] = ACTIONS(1630),
    [anon_sym_U_SQUOTE] = ACTIONS(1630),
    [anon_sym_u8_SQUOTE] = ACTIONS(1630),
    [anon_sym_SQUOTE] = ACTIONS(1630),
    [anon_sym_L_DQUOTE] = ACTIONS(1633),
    [anon_sym_u_DQUOTE] = ACTIONS(1633),
    [anon_sym_U_DQUOTE] = ACTIONS(1633),
    [anon_sym_u8_DQUOTE] = ACTIONS(1633),
    [anon_sym_DQUOTE] = ACTIONS(1633),
    [sym_true] = ACTIONS(1636),
    [sym_false] = ACTIONS(1636),
    [anon_sym_NULL] = ACTIONS(1639),
    [anon_sym_nullptr] = ACTIONS(1639),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1642),
    [anon_sym_decltype] = ACTIONS(1645),
    [anon_sym_virtual] = ACTIONS(1648),
    [anon_sym_alignas] = ACTIONS(1651),
    [anon_sym_explicit] = ACTIONS(1503),
    [anon_sym_typename] = ACTIONS(1654),
    [anon_sym_template] = ACTIONS(1657),
    [anon_sym_operator] = ACTIONS(1503),
    [anon_sym_try] = ACTIONS(1660),
    [anon_sym_delete] = ACTIONS(1663),
    [anon_sym_throw] = ACTIONS(1666),
    [anon_sym_namespace] = ACTIONS(1503),
    [anon_sym_using] = ACTIONS(1503),
    [anon_sym_static_assert] = ACTIONS(1503),
    [anon_sym_concept] = ACTIONS(1503),
    [anon_sym_co_return] = ACTIONS(1669),
    [anon_sym_co_yield] = ACTIONS(1672),
    [anon_sym_R_DQUOTE] = ACTIONS(1675),
    [anon_sym_LR_DQUOTE] = ACTIONS(1675),
    [anon_sym_uR_DQUOTE] = ACTIONS(1675),
    [anon_sym_UR_DQUOTE] = ACTIONS(1675),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1675),
    [anon_sym_co_await] = ACTIONS(1678),
    [anon_sym_new] = ACTIONS(1681),
    [anon_sym_requires] = ACTIONS(1684),
    [sym_this] = ACTIONS(1636),
    [anon_sym_discard] = ACTIONS(1687),
    [anon_sym_precise] = ACTIONS(1690),
    [anon_sym_shared] = ACTIONS(1690),
    [anon_sym_groupshared] = ACTIONS(1690),
    [anon_sym_uniform] = ACTIONS(1690),
    [anon_sym_row_major] = ACTIONS(1690),
    [anon_sym_column_major] = ACTIONS(1690),
    [anon_sym_globallycoherent] = ACTIONS(1690),
    [anon_sym_centroid] = ACTIONS(1690),
    [anon_sym_noperspective] = ACTIONS(1690),
    [anon_sym_nointerpolation] = ACTIONS(1690),
    [anon_sym_sample] = ACTIONS(1690),
    [anon_sym_linear] = ACTIONS(1690),
    [anon_sym_snorm] = ACTIONS(1690),
    [anon_sym_unorm] = ACTIONS(1690),
    [anon_sym_point] = ACTIONS(1690),
    [anon_sym_line] = ACTIONS(1690),
    [anon_sym_triangleadj] = ACTIONS(1690),
    [anon_sym_lineadj] = ACTIONS(1690),
    [anon_sym_triangle] = ACTIONS(1690),
    [anon_sym_cbuffer] = ACTIONS(1693),
  },
  [105] = {
    [sym_declaration] = STATE(108),
    [sym_type_definition] = STATE(108),
    [sym__declaration_modifiers] = STATE(2673),
    [sym__declaration_specifiers] = STATE(6286),
    [sym_attribute_specifier] = STATE(2673),
    [sym_attribute_declaration] = STATE(1556),
    [sym_ms_declspec_modifier] = STATE(2673),
    [sym_compound_statement] = STATE(108),
    [sym_storage_class_specifier] = STATE(2673),
    [sym_type_qualifier] = STATE(2673),
    [sym__type_specifier] = STATE(2827),
    [sym_sized_type_specifier] = STATE(3085),
    [sym_enum_specifier] = STATE(3085),
    [sym_struct_specifier] = STATE(3085),
    [sym_union_specifier] = STATE(3085),
    [sym_attributed_statement] = STATE(108),
    [sym_labeled_statement] = STATE(108),
    [sym_expression_statement] = STATE(108),
    [sym_if_statement] = STATE(108),
    [sym_switch_statement] = STATE(108),
    [sym_while_statement] = STATE(108),
    [sym_do_statement] = STATE(108),
    [sym_for_statement] = STATE(108),
    [sym_return_statement] = STATE(108),
    [sym_break_statement] = STATE(108),
    [sym_continue_statement] = STATE(108),
    [sym_goto_statement] = STATE(108),
    [sym_seh_try_statement] = STATE(108),
    [sym_seh_leave_statement] = STATE(108),
    [sym__expression] = STATE(5802),
    [sym__expression_not_binary] = STATE(5024),
    [sym__string] = STATE(5024),
    [sym_comma_expression] = STATE(9525),
    [sym_conditional_expression] = STATE(5024),
    [sym_assignment_expression] = STATE(5024),
    [sym_pointer_expression] = STATE(4507),
    [sym_unary_expression] = STATE(5024),
    [sym_binary_expression] = STATE(5024),
    [sym_update_expression] = STATE(5024),
    [sym_cast_expression] = STATE(5024),
    [sym_sizeof_expression] = STATE(5024),
    [sym_alignof_expression] = STATE(5024),
    [sym_offsetof_expression] = STATE(5024),
    [sym_generic_expression] = STATE(5024),
    [sym_subscript_expression] = STATE(4507),
    [sym_call_expression] = STATE(4507),
    [sym_gnu_asm_expression] = STATE(5024),
    [sym_field_expression] = STATE(4507),
    [sym_compound_literal_expression] = STATE(5024),
    [sym_parenthesized_expression] = STATE(4507),
    [sym_char_literal] = STATE(5374),
    [sym_concatenated_string] = STATE(5377),
    [sym_string_literal] = STATE(4206),
    [sym_null] = STATE(5024),
    [sym_placeholder_type_specifier] = STATE(3085),
    [sym_decltype_auto] = STATE(3091),
    [sym_decltype] = STATE(3050),
    [sym_class_specifier] = STATE(3085),
    [sym__class_name] = STATE(9352),
    [sym_virtual] = STATE(2673),
    [sym_alignas_specifier] = STATE(2673),
    [sym_dependent_type] = STATE(3085),
    [sym_template_type] = STATE(3129),
    [sym_template_function] = STATE(5024),
    [sym_for_range_loop] = STATE(108),
    [sym_co_return_statement] = STATE(108),
    [sym_co_yield_statement] = STATE(108),
    [sym_throw_statement] = STATE(108),
    [sym_try_statement] = STATE(108),
    [sym_raw_string_literal] = STATE(4217),
    [sym_co_await_expression] = STATE(5024),
    [sym_new_expression] = STATE(5024),
    [sym_delete_expression] = STATE(5024),
    [sym_requires_clause] = STATE(5024),
    [sym_requires_expression] = STATE(5024),
    [sym_lambda_expression] = STATE(5024),
    [sym_lambda_capture_specifier] = STATE(7184),
    [sym_fold_expression] = STATE(5024),
    [sym_parameter_pack_expansion] = STATE(5024),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6970),
    [sym_qualified_identifier] = STATE(4507),
    [sym_qualified_type_identifier] = STATE(3127),
    [sym_user_defined_literal] = STATE(4507),
    [sym_discard_statement] = STATE(108),
    [sym_qualifiers] = STATE(2673),
    [sym_cbuffer_specifier] = STATE(108),
    [sym_hlsl_attribute] = STATE(9266),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2673),
    [aux_sym_attributed_declarator_repeat1] = STATE(1337),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3021),
    [aux_sym_case_statement_repeat1] = STATE(108),
    [sym_identifier] = ACTIONS(1696),
    [aux_sym_preproc_include_token1] = ACTIONS(1496),
    [aux_sym_preproc_def_token1] = ACTIONS(1496),
    [aux_sym_preproc_if_token1] = ACTIONS(1496),
    [aux_sym_preproc_if_token2] = ACTIONS(1496),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1496),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1496),
    [aux_sym_preproc_else_token1] = ACTIONS(1496),
    [aux_sym_preproc_elif_token1] = ACTIONS(1496),
    [sym_preproc_directive] = ACTIONS(1496),
    [anon_sym_LPAREN2] = ACTIONS(1472),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1474),
    [anon_sym_AMP_AMP] = ACTIONS(1498),
    [anon_sym_AMP] = ACTIONS(1478),
    [anon_sym_SEMI] = ACTIONS(383),
    [anon_sym___extension__] = ACTIONS(385),
    [anon_sym_typedef] = ACTIONS(387),
    [anon_sym_in] = ACTIONS(1480),
    [anon_sym_out] = ACTIONS(1480),
    [anon_sym_inout] = ACTIONS(1480),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1482),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(1496),
    [anon_sym___cdecl] = ACTIONS(1496),
    [anon_sym___clrcall] = ACTIONS(1496),
    [anon_sym___stdcall] = ACTIONS(1496),
    [anon_sym___fastcall] = ACTIONS(1496),
    [anon_sym___thiscall] = ACTIONS(1496),
    [anon_sym___vectorcall] = ACTIONS(1496),
    [anon_sym_LBRACE] = ACTIONS(391),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(1484),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(65),
    [anon_sym_enum] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(69),
    [anon_sym_struct] = ACTIONS(71),
    [anon_sym_union] = ACTIONS(73),
    [anon_sym_if] = ACTIONS(395),
    [anon_sym_else] = ACTIONS(1496),
    [anon_sym_switch] = ACTIONS(397),
    [anon_sym_case] = ACTIONS(1496),
    [anon_sym_default] = ACTIONS(1496),
    [anon_sym_while] = ACTIONS(403),
    [anon_sym_do] = ACTIONS(405),
    [anon_sym_for] = ACTIONS(407),
    [anon_sym_return] = ACTIONS(409),
    [anon_sym_break] = ACTIONS(411),
    [anon_sym_continue] = ACTIONS(413),
    [anon_sym_goto] = ACTIONS(415),
    [anon_sym___try] = ACTIONS(417),
    [anon_sym___leave] = ACTIONS(419),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [anon_sym_virtual] = ACTIONS(123),
    [anon_sym_alignas] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(1496),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_operator] = ACTIONS(1496),
    [anon_sym_try] = ACTIONS(423),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(425),
    [anon_sym_namespace] = ACTIONS(1496),
    [anon_sym_using] = ACTIONS(1496),
    [anon_sym_static_assert] = ACTIONS(1496),
    [anon_sym_concept] = ACTIONS(1496),
    [anon_sym_co_return] = ACTIONS(435),
    [anon_sym_co_yield] = ACTIONS(437),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
    [anon_sym_discard] = ACTIONS(439),
    [anon_sym_precise] = ACTIONS(161),
    [anon_sym_shared] = ACTIONS(161),
    [anon_sym_groupshared] = ACTIONS(161),
    [anon_sym_uniform] = ACTIONS(161),
    [anon_sym_row_major] = ACTIONS(161),
    [anon_sym_column_major] = ACTIONS(161),
    [anon_sym_globallycoherent] = ACTIONS(161),
    [anon_sym_centroid] = ACTIONS(161),
    [anon_sym_noperspective] = ACTIONS(161),
    [anon_sym_nointerpolation] = ACTIONS(161),
    [anon_sym_sample] = ACTIONS(161),
    [anon_sym_linear] = ACTIONS(161),
    [anon_sym_snorm] = ACTIONS(161),
    [anon_sym_unorm] = ACTIONS(161),
    [anon_sym_point] = ACTIONS(161),
    [anon_sym_line] = ACTIONS(161),
    [anon_sym_triangleadj] = ACTIONS(161),
    [anon_sym_lineadj] = ACTIONS(161),
    [anon_sym_triangle] = ACTIONS(161),
    [anon_sym_cbuffer] = ACTIONS(441),
  },
  [106] = {
    [sym_declaration] = STATE(109),
    [sym_type_definition] = STATE(109),
    [sym__declaration_modifiers] = STATE(2673),
    [sym__declaration_specifiers] = STATE(6286),
    [sym_attribute_specifier] = STATE(2673),
    [sym_attribute_declaration] = STATE(1556),
    [sym_ms_declspec_modifier] = STATE(2673),
    [sym_compound_statement] = STATE(109),
    [sym_storage_class_specifier] = STATE(2673),
    [sym_type_qualifier] = STATE(2673),
    [sym__type_specifier] = STATE(2827),
    [sym_sized_type_specifier] = STATE(3085),
    [sym_enum_specifier] = STATE(3085),
    [sym_struct_specifier] = STATE(3085),
    [sym_union_specifier] = STATE(3085),
    [sym_attributed_statement] = STATE(109),
    [sym_labeled_statement] = STATE(109),
    [sym_expression_statement] = STATE(109),
    [sym_if_statement] = STATE(109),
    [sym_switch_statement] = STATE(109),
    [sym_while_statement] = STATE(109),
    [sym_do_statement] = STATE(109),
    [sym_for_statement] = STATE(109),
    [sym_return_statement] = STATE(109),
    [sym_break_statement] = STATE(109),
    [sym_continue_statement] = STATE(109),
    [sym_goto_statement] = STATE(109),
    [sym_seh_try_statement] = STATE(109),
    [sym_seh_leave_statement] = STATE(109),
    [sym__expression] = STATE(5802),
    [sym__expression_not_binary] = STATE(5024),
    [sym__string] = STATE(5024),
    [sym_comma_expression] = STATE(9525),
    [sym_conditional_expression] = STATE(5024),
    [sym_assignment_expression] = STATE(5024),
    [sym_pointer_expression] = STATE(4507),
    [sym_unary_expression] = STATE(5024),
    [sym_binary_expression] = STATE(5024),
    [sym_update_expression] = STATE(5024),
    [sym_cast_expression] = STATE(5024),
    [sym_sizeof_expression] = STATE(5024),
    [sym_alignof_expression] = STATE(5024),
    [sym_offsetof_expression] = STATE(5024),
    [sym_generic_expression] = STATE(5024),
    [sym_subscript_expression] = STATE(4507),
    [sym_call_expression] = STATE(4507),
    [sym_gnu_asm_expression] = STATE(5024),
    [sym_field_expression] = STATE(4507),
    [sym_compound_literal_expression] = STATE(5024),
    [sym_parenthesized_expression] = STATE(4507),
    [sym_char_literal] = STATE(5374),
    [sym_concatenated_string] = STATE(5377),
    [sym_string_literal] = STATE(4206),
    [sym_null] = STATE(5024),
    [sym_placeholder_type_specifier] = STATE(3085),
    [sym_decltype_auto] = STATE(3091),
    [sym_decltype] = STATE(3050),
    [sym_class_specifier] = STATE(3085),
    [sym__class_name] = STATE(9352),
    [sym_virtual] = STATE(2673),
    [sym_alignas_specifier] = STATE(2673),
    [sym_dependent_type] = STATE(3085),
    [sym_template_type] = STATE(3129),
    [sym_template_function] = STATE(5024),
    [sym_for_range_loop] = STATE(109),
    [sym_co_return_statement] = STATE(109),
    [sym_co_yield_statement] = STATE(109),
    [sym_throw_statement] = STATE(109),
    [sym_try_statement] = STATE(109),
    [sym_raw_string_literal] = STATE(4217),
    [sym_co_await_expression] = STATE(5024),
    [sym_new_expression] = STATE(5024),
    [sym_delete_expression] = STATE(5024),
    [sym_requires_clause] = STATE(5024),
    [sym_requires_expression] = STATE(5024),
    [sym_lambda_expression] = STATE(5024),
    [sym_lambda_capture_specifier] = STATE(7184),
    [sym_fold_expression] = STATE(5024),
    [sym_parameter_pack_expansion] = STATE(5024),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6970),
    [sym_qualified_identifier] = STATE(4507),
    [sym_qualified_type_identifier] = STATE(3127),
    [sym_user_defined_literal] = STATE(4507),
    [sym_discard_statement] = STATE(109),
    [sym_qualifiers] = STATE(2673),
    [sym_cbuffer_specifier] = STATE(109),
    [sym_hlsl_attribute] = STATE(9266),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2673),
    [aux_sym_attributed_declarator_repeat1] = STATE(1337),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3021),
    [aux_sym_case_statement_repeat1] = STATE(109),
    [sym_identifier] = ACTIONS(1696),
    [aux_sym_preproc_include_token1] = ACTIONS(1470),
    [aux_sym_preproc_def_token1] = ACTIONS(1470),
    [aux_sym_preproc_if_token1] = ACTIONS(1470),
    [aux_sym_preproc_if_token2] = ACTIONS(1470),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1470),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1470),
    [aux_sym_preproc_else_token1] = ACTIONS(1470),
    [aux_sym_preproc_elif_token1] = ACTIONS(1470),
    [sym_preproc_directive] = ACTIONS(1470),
    [anon_sym_LPAREN2] = ACTIONS(1472),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1474),
    [anon_sym_AMP_AMP] = ACTIONS(1476),
    [anon_sym_AMP] = ACTIONS(1478),
    [anon_sym_SEMI] = ACTIONS(383),
    [anon_sym___extension__] = ACTIONS(385),
    [anon_sym_typedef] = ACTIONS(387),
    [anon_sym_in] = ACTIONS(1480),
    [anon_sym_out] = ACTIONS(1480),
    [anon_sym_inout] = ACTIONS(1480),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1482),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(1470),
    [anon_sym___cdecl] = ACTIONS(1470),
    [anon_sym___clrcall] = ACTIONS(1470),
    [anon_sym___stdcall] = ACTIONS(1470),
    [anon_sym___fastcall] = ACTIONS(1470),
    [anon_sym___thiscall] = ACTIONS(1470),
    [anon_sym___vectorcall] = ACTIONS(1470),
    [anon_sym_LBRACE] = ACTIONS(391),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(1484),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(65),
    [anon_sym_enum] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(69),
    [anon_sym_struct] = ACTIONS(71),
    [anon_sym_union] = ACTIONS(73),
    [anon_sym_if] = ACTIONS(395),
    [anon_sym_else] = ACTIONS(1470),
    [anon_sym_switch] = ACTIONS(397),
    [anon_sym_case] = ACTIONS(1470),
    [anon_sym_default] = ACTIONS(1470),
    [anon_sym_while] = ACTIONS(403),
    [anon_sym_do] = ACTIONS(405),
    [anon_sym_for] = ACTIONS(407),
    [anon_sym_return] = ACTIONS(409),
    [anon_sym_break] = ACTIONS(411),
    [anon_sym_continue] = ACTIONS(413),
    [anon_sym_goto] = ACTIONS(415),
    [anon_sym___try] = ACTIONS(417),
    [anon_sym___leave] = ACTIONS(419),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [anon_sym_virtual] = ACTIONS(123),
    [anon_sym_alignas] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(1470),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_operator] = ACTIONS(1470),
    [anon_sym_try] = ACTIONS(423),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(425),
    [anon_sym_namespace] = ACTIONS(1470),
    [anon_sym_using] = ACTIONS(1470),
    [anon_sym_static_assert] = ACTIONS(1470),
    [anon_sym_concept] = ACTIONS(1470),
    [anon_sym_co_return] = ACTIONS(435),
    [anon_sym_co_yield] = ACTIONS(437),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
    [anon_sym_discard] = ACTIONS(439),
    [anon_sym_precise] = ACTIONS(161),
    [anon_sym_shared] = ACTIONS(161),
    [anon_sym_groupshared] = ACTIONS(161),
    [anon_sym_uniform] = ACTIONS(161),
    [anon_sym_row_major] = ACTIONS(161),
    [anon_sym_column_major] = ACTIONS(161),
    [anon_sym_globallycoherent] = ACTIONS(161),
    [anon_sym_centroid] = ACTIONS(161),
    [anon_sym_noperspective] = ACTIONS(161),
    [anon_sym_nointerpolation] = ACTIONS(161),
    [anon_sym_sample] = ACTIONS(161),
    [anon_sym_linear] = ACTIONS(161),
    [anon_sym_snorm] = ACTIONS(161),
    [anon_sym_unorm] = ACTIONS(161),
    [anon_sym_point] = ACTIONS(161),
    [anon_sym_line] = ACTIONS(161),
    [anon_sym_triangleadj] = ACTIONS(161),
    [anon_sym_lineadj] = ACTIONS(161),
    [anon_sym_triangle] = ACTIONS(161),
    [anon_sym_cbuffer] = ACTIONS(441),
  },
  [107] = {
    [sym_declaration] = STATE(107),
    [sym_type_definition] = STATE(107),
    [sym__declaration_modifiers] = STATE(2673),
    [sym__declaration_specifiers] = STATE(6286),
    [sym_attribute_specifier] = STATE(2673),
    [sym_attribute_declaration] = STATE(1556),
    [sym_ms_declspec_modifier] = STATE(2673),
    [sym_compound_statement] = STATE(107),
    [sym_storage_class_specifier] = STATE(2673),
    [sym_type_qualifier] = STATE(2673),
    [sym__type_specifier] = STATE(2827),
    [sym_sized_type_specifier] = STATE(3085),
    [sym_enum_specifier] = STATE(3085),
    [sym_struct_specifier] = STATE(3085),
    [sym_union_specifier] = STATE(3085),
    [sym_attributed_statement] = STATE(107),
    [sym_labeled_statement] = STATE(107),
    [sym_expression_statement] = STATE(107),
    [sym_if_statement] = STATE(107),
    [sym_switch_statement] = STATE(107),
    [sym_while_statement] = STATE(107),
    [sym_do_statement] = STATE(107),
    [sym_for_statement] = STATE(107),
    [sym_return_statement] = STATE(107),
    [sym_break_statement] = STATE(107),
    [sym_continue_statement] = STATE(107),
    [sym_goto_statement] = STATE(107),
    [sym_seh_try_statement] = STATE(107),
    [sym_seh_leave_statement] = STATE(107),
    [sym__expression] = STATE(5802),
    [sym__expression_not_binary] = STATE(5024),
    [sym__string] = STATE(5024),
    [sym_comma_expression] = STATE(9525),
    [sym_conditional_expression] = STATE(5024),
    [sym_assignment_expression] = STATE(5024),
    [sym_pointer_expression] = STATE(4507),
    [sym_unary_expression] = STATE(5024),
    [sym_binary_expression] = STATE(5024),
    [sym_update_expression] = STATE(5024),
    [sym_cast_expression] = STATE(5024),
    [sym_sizeof_expression] = STATE(5024),
    [sym_alignof_expression] = STATE(5024),
    [sym_offsetof_expression] = STATE(5024),
    [sym_generic_expression] = STATE(5024),
    [sym_subscript_expression] = STATE(4507),
    [sym_call_expression] = STATE(4507),
    [sym_gnu_asm_expression] = STATE(5024),
    [sym_field_expression] = STATE(4507),
    [sym_compound_literal_expression] = STATE(5024),
    [sym_parenthesized_expression] = STATE(4507),
    [sym_char_literal] = STATE(5374),
    [sym_concatenated_string] = STATE(5377),
    [sym_string_literal] = STATE(4206),
    [sym_null] = STATE(5024),
    [sym_placeholder_type_specifier] = STATE(3085),
    [sym_decltype_auto] = STATE(3091),
    [sym_decltype] = STATE(3050),
    [sym_class_specifier] = STATE(3085),
    [sym__class_name] = STATE(9352),
    [sym_virtual] = STATE(2673),
    [sym_alignas_specifier] = STATE(2673),
    [sym_dependent_type] = STATE(3085),
    [sym_template_type] = STATE(3129),
    [sym_template_function] = STATE(5024),
    [sym_for_range_loop] = STATE(107),
    [sym_co_return_statement] = STATE(107),
    [sym_co_yield_statement] = STATE(107),
    [sym_throw_statement] = STATE(107),
    [sym_try_statement] = STATE(107),
    [sym_raw_string_literal] = STATE(4217),
    [sym_co_await_expression] = STATE(5024),
    [sym_new_expression] = STATE(5024),
    [sym_delete_expression] = STATE(5024),
    [sym_requires_clause] = STATE(5024),
    [sym_requires_expression] = STATE(5024),
    [sym_lambda_expression] = STATE(5024),
    [sym_lambda_capture_specifier] = STATE(7184),
    [sym_fold_expression] = STATE(5024),
    [sym_parameter_pack_expansion] = STATE(5024),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6970),
    [sym_qualified_identifier] = STATE(4507),
    [sym_qualified_type_identifier] = STATE(3127),
    [sym_user_defined_literal] = STATE(4507),
    [sym_discard_statement] = STATE(107),
    [sym_qualifiers] = STATE(2673),
    [sym_cbuffer_specifier] = STATE(107),
    [sym_hlsl_attribute] = STATE(9266),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2673),
    [aux_sym_attributed_declarator_repeat1] = STATE(1337),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3021),
    [aux_sym_case_statement_repeat1] = STATE(107),
    [sym_identifier] = ACTIONS(1698),
    [aux_sym_preproc_include_token1] = ACTIONS(1503),
    [aux_sym_preproc_def_token1] = ACTIONS(1503),
    [aux_sym_preproc_if_token1] = ACTIONS(1503),
    [aux_sym_preproc_if_token2] = ACTIONS(1503),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1503),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1503),
    [aux_sym_preproc_else_token1] = ACTIONS(1503),
    [aux_sym_preproc_elif_token1] = ACTIONS(1503),
    [sym_preproc_directive] = ACTIONS(1503),
    [anon_sym_LPAREN2] = ACTIONS(1505),
    [anon_sym_BANG] = ACTIONS(1508),
    [anon_sym_TILDE] = ACTIONS(1508),
    [anon_sym_DASH] = ACTIONS(1511),
    [anon_sym_PLUS] = ACTIONS(1511),
    [anon_sym_STAR] = ACTIONS(1514),
    [anon_sym_AMP_AMP] = ACTIONS(1517),
    [anon_sym_AMP] = ACTIONS(1519),
    [anon_sym_SEMI] = ACTIONS(1701),
    [anon_sym___extension__] = ACTIONS(1704),
    [anon_sym_typedef] = ACTIONS(1707),
    [anon_sym_in] = ACTIONS(1531),
    [anon_sym_out] = ACTIONS(1531),
    [anon_sym_inout] = ACTIONS(1531),
    [anon_sym_extern] = ACTIONS(1534),
    [anon_sym___attribute__] = ACTIONS(1537),
    [anon_sym_COLON_COLON] = ACTIONS(1540),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1543),
    [anon_sym___declspec] = ACTIONS(1546),
    [anon_sym___based] = ACTIONS(1503),
    [anon_sym___cdecl] = ACTIONS(1503),
    [anon_sym___clrcall] = ACTIONS(1503),
    [anon_sym___stdcall] = ACTIONS(1503),
    [anon_sym___fastcall] = ACTIONS(1503),
    [anon_sym___thiscall] = ACTIONS(1503),
    [anon_sym___vectorcall] = ACTIONS(1503),
    [anon_sym_LBRACE] = ACTIONS(1710),
    [anon_sym_signed] = ACTIONS(1552),
    [anon_sym_unsigned] = ACTIONS(1552),
    [anon_sym_long] = ACTIONS(1552),
    [anon_sym_short] = ACTIONS(1552),
    [anon_sym_LBRACK] = ACTIONS(1555),
    [anon_sym_static] = ACTIONS(1534),
    [anon_sym_register] = ACTIONS(1534),
    [anon_sym_inline] = ACTIONS(1534),
    [anon_sym___inline] = ACTIONS(1534),
    [anon_sym___inline__] = ACTIONS(1534),
    [anon_sym___forceinline] = ACTIONS(1534),
    [anon_sym_thread_local] = ACTIONS(1534),
    [anon_sym___thread] = ACTIONS(1534),
    [anon_sym_const] = ACTIONS(1558),
    [anon_sym_constexpr] = ACTIONS(1558),
    [anon_sym_volatile] = ACTIONS(1558),
    [anon_sym_restrict] = ACTIONS(1558),
    [anon_sym___restrict__] = ACTIONS(1558),
    [anon_sym__Atomic] = ACTIONS(1558),
    [anon_sym__Noreturn] = ACTIONS(1558),
    [anon_sym_noreturn] = ACTIONS(1558),
    [anon_sym_mutable] = ACTIONS(1558),
    [anon_sym_constinit] = ACTIONS(1558),
    [anon_sym_consteval] = ACTIONS(1558),
    [sym_primitive_type] = ACTIONS(1561),
    [anon_sym_enum] = ACTIONS(1564),
    [anon_sym_class] = ACTIONS(1567),
    [anon_sym_struct] = ACTIONS(1570),
    [anon_sym_union] = ACTIONS(1573),
    [anon_sym_if] = ACTIONS(1713),
    [anon_sym_else] = ACTIONS(1503),
    [anon_sym_switch] = ACTIONS(1716),
    [anon_sym_case] = ACTIONS(1503),
    [anon_sym_default] = ACTIONS(1503),
    [anon_sym_while] = ACTIONS(1719),
    [anon_sym_do] = ACTIONS(1722),
    [anon_sym_for] = ACTIONS(1725),
    [anon_sym_return] = ACTIONS(1728),
    [anon_sym_break] = ACTIONS(1731),
    [anon_sym_continue] = ACTIONS(1734),
    [anon_sym_goto] = ACTIONS(1737),
    [anon_sym___try] = ACTIONS(1740),
    [anon_sym___leave] = ACTIONS(1743),
    [anon_sym_not] = ACTIONS(1511),
    [anon_sym_compl] = ACTIONS(1511),
    [anon_sym_DASH_DASH] = ACTIONS(1609),
    [anon_sym_PLUS_PLUS] = ACTIONS(1609),
    [anon_sym_sizeof] = ACTIONS(1612),
    [anon_sym___alignof__] = ACTIONS(1615),
    [anon_sym___alignof] = ACTIONS(1615),
    [anon_sym__alignof] = ACTIONS(1615),
    [anon_sym_alignof] = ACTIONS(1615),
    [anon_sym__Alignof] = ACTIONS(1615),
    [anon_sym_offsetof] = ACTIONS(1618),
    [anon_sym__Generic] = ACTIONS(1621),
    [anon_sym_asm] = ACTIONS(1624),
    [anon_sym___asm__] = ACTIONS(1624),
    [sym_number_literal] = ACTIONS(1627),
    [anon_sym_L_SQUOTE] = ACTIONS(1630),
    [anon_sym_u_SQUOTE] = ACTIONS(1630),
    [anon_sym_U_SQUOTE] = ACTIONS(1630),
    [anon_sym_u8_SQUOTE] = ACTIONS(1630),
    [anon_sym_SQUOTE] = ACTIONS(1630),
    [anon_sym_L_DQUOTE] = ACTIONS(1633),
    [anon_sym_u_DQUOTE] = ACTIONS(1633),
    [anon_sym_U_DQUOTE] = ACTIONS(1633),
    [anon_sym_u8_DQUOTE] = ACTIONS(1633),
    [anon_sym_DQUOTE] = ACTIONS(1633),
    [sym_true] = ACTIONS(1636),
    [sym_false] = ACTIONS(1636),
    [anon_sym_NULL] = ACTIONS(1639),
    [anon_sym_nullptr] = ACTIONS(1639),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1642),
    [anon_sym_decltype] = ACTIONS(1645),
    [anon_sym_virtual] = ACTIONS(1648),
    [anon_sym_alignas] = ACTIONS(1651),
    [anon_sym_explicit] = ACTIONS(1503),
    [anon_sym_typename] = ACTIONS(1654),
    [anon_sym_template] = ACTIONS(1657),
    [anon_sym_operator] = ACTIONS(1503),
    [anon_sym_try] = ACTIONS(1746),
    [anon_sym_delete] = ACTIONS(1663),
    [anon_sym_throw] = ACTIONS(1749),
    [anon_sym_namespace] = ACTIONS(1503),
    [anon_sym_using] = ACTIONS(1503),
    [anon_sym_static_assert] = ACTIONS(1503),
    [anon_sym_concept] = ACTIONS(1503),
    [anon_sym_co_return] = ACTIONS(1752),
    [anon_sym_co_yield] = ACTIONS(1755),
    [anon_sym_R_DQUOTE] = ACTIONS(1675),
    [anon_sym_LR_DQUOTE] = ACTIONS(1675),
    [anon_sym_uR_DQUOTE] = ACTIONS(1675),
    [anon_sym_UR_DQUOTE] = ACTIONS(1675),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1675),
    [anon_sym_co_await] = ACTIONS(1678),
    [anon_sym_new] = ACTIONS(1681),
    [anon_sym_requires] = ACTIONS(1684),
    [sym_this] = ACTIONS(1636),
    [anon_sym_discard] = ACTIONS(1758),
    [anon_sym_precise] = ACTIONS(1690),
    [anon_sym_shared] = ACTIONS(1690),
    [anon_sym_groupshared] = ACTIONS(1690),
    [anon_sym_uniform] = ACTIONS(1690),
    [anon_sym_row_major] = ACTIONS(1690),
    [anon_sym_column_major] = ACTIONS(1690),
    [anon_sym_globallycoherent] = ACTIONS(1690),
    [anon_sym_centroid] = ACTIONS(1690),
    [anon_sym_noperspective] = ACTIONS(1690),
    [anon_sym_nointerpolation] = ACTIONS(1690),
    [anon_sym_sample] = ACTIONS(1690),
    [anon_sym_linear] = ACTIONS(1690),
    [anon_sym_snorm] = ACTIONS(1690),
    [anon_sym_unorm] = ACTIONS(1690),
    [anon_sym_point] = ACTIONS(1690),
    [anon_sym_line] = ACTIONS(1690),
    [anon_sym_triangleadj] = ACTIONS(1690),
    [anon_sym_lineadj] = ACTIONS(1690),
    [anon_sym_triangle] = ACTIONS(1690),
    [anon_sym_cbuffer] = ACTIONS(1761),
  },
  [108] = {
    [sym_declaration] = STATE(107),
    [sym_type_definition] = STATE(107),
    [sym__declaration_modifiers] = STATE(2673),
    [sym__declaration_specifiers] = STATE(6286),
    [sym_attribute_specifier] = STATE(2673),
    [sym_attribute_declaration] = STATE(1556),
    [sym_ms_declspec_modifier] = STATE(2673),
    [sym_compound_statement] = STATE(107),
    [sym_storage_class_specifier] = STATE(2673),
    [sym_type_qualifier] = STATE(2673),
    [sym__type_specifier] = STATE(2827),
    [sym_sized_type_specifier] = STATE(3085),
    [sym_enum_specifier] = STATE(3085),
    [sym_struct_specifier] = STATE(3085),
    [sym_union_specifier] = STATE(3085),
    [sym_attributed_statement] = STATE(107),
    [sym_labeled_statement] = STATE(107),
    [sym_expression_statement] = STATE(107),
    [sym_if_statement] = STATE(107),
    [sym_switch_statement] = STATE(107),
    [sym_while_statement] = STATE(107),
    [sym_do_statement] = STATE(107),
    [sym_for_statement] = STATE(107),
    [sym_return_statement] = STATE(107),
    [sym_break_statement] = STATE(107),
    [sym_continue_statement] = STATE(107),
    [sym_goto_statement] = STATE(107),
    [sym_seh_try_statement] = STATE(107),
    [sym_seh_leave_statement] = STATE(107),
    [sym__expression] = STATE(5802),
    [sym__expression_not_binary] = STATE(5024),
    [sym__string] = STATE(5024),
    [sym_comma_expression] = STATE(9525),
    [sym_conditional_expression] = STATE(5024),
    [sym_assignment_expression] = STATE(5024),
    [sym_pointer_expression] = STATE(4507),
    [sym_unary_expression] = STATE(5024),
    [sym_binary_expression] = STATE(5024),
    [sym_update_expression] = STATE(5024),
    [sym_cast_expression] = STATE(5024),
    [sym_sizeof_expression] = STATE(5024),
    [sym_alignof_expression] = STATE(5024),
    [sym_offsetof_expression] = STATE(5024),
    [sym_generic_expression] = STATE(5024),
    [sym_subscript_expression] = STATE(4507),
    [sym_call_expression] = STATE(4507),
    [sym_gnu_asm_expression] = STATE(5024),
    [sym_field_expression] = STATE(4507),
    [sym_compound_literal_expression] = STATE(5024),
    [sym_parenthesized_expression] = STATE(4507),
    [sym_char_literal] = STATE(5374),
    [sym_concatenated_string] = STATE(5377),
    [sym_string_literal] = STATE(4206),
    [sym_null] = STATE(5024),
    [sym_placeholder_type_specifier] = STATE(3085),
    [sym_decltype_auto] = STATE(3091),
    [sym_decltype] = STATE(3050),
    [sym_class_specifier] = STATE(3085),
    [sym__class_name] = STATE(9352),
    [sym_virtual] = STATE(2673),
    [sym_alignas_specifier] = STATE(2673),
    [sym_dependent_type] = STATE(3085),
    [sym_template_type] = STATE(3129),
    [sym_template_function] = STATE(5024),
    [sym_for_range_loop] = STATE(107),
    [sym_co_return_statement] = STATE(107),
    [sym_co_yield_statement] = STATE(107),
    [sym_throw_statement] = STATE(107),
    [sym_try_statement] = STATE(107),
    [sym_raw_string_literal] = STATE(4217),
    [sym_co_await_expression] = STATE(5024),
    [sym_new_expression] = STATE(5024),
    [sym_delete_expression] = STATE(5024),
    [sym_requires_clause] = STATE(5024),
    [sym_requires_expression] = STATE(5024),
    [sym_lambda_expression] = STATE(5024),
    [sym_lambda_capture_specifier] = STATE(7184),
    [sym_fold_expression] = STATE(5024),
    [sym_parameter_pack_expansion] = STATE(5024),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6970),
    [sym_qualified_identifier] = STATE(4507),
    [sym_qualified_type_identifier] = STATE(3127),
    [sym_user_defined_literal] = STATE(4507),
    [sym_discard_statement] = STATE(107),
    [sym_qualifiers] = STATE(2673),
    [sym_cbuffer_specifier] = STATE(107),
    [sym_hlsl_attribute] = STATE(9266),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2673),
    [aux_sym_attributed_declarator_repeat1] = STATE(1337),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3021),
    [aux_sym_case_statement_repeat1] = STATE(107),
    [sym_identifier] = ACTIONS(1696),
    [aux_sym_preproc_include_token1] = ACTIONS(1488),
    [aux_sym_preproc_def_token1] = ACTIONS(1488),
    [aux_sym_preproc_if_token1] = ACTIONS(1488),
    [aux_sym_preproc_if_token2] = ACTIONS(1488),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1488),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1488),
    [aux_sym_preproc_else_token1] = ACTIONS(1488),
    [aux_sym_preproc_elif_token1] = ACTIONS(1488),
    [sym_preproc_directive] = ACTIONS(1488),
    [anon_sym_LPAREN2] = ACTIONS(1472),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1474),
    [anon_sym_AMP_AMP] = ACTIONS(1490),
    [anon_sym_AMP] = ACTIONS(1478),
    [anon_sym_SEMI] = ACTIONS(383),
    [anon_sym___extension__] = ACTIONS(385),
    [anon_sym_typedef] = ACTIONS(387),
    [anon_sym_in] = ACTIONS(1480),
    [anon_sym_out] = ACTIONS(1480),
    [anon_sym_inout] = ACTIONS(1480),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1482),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(1488),
    [anon_sym___cdecl] = ACTIONS(1488),
    [anon_sym___clrcall] = ACTIONS(1488),
    [anon_sym___stdcall] = ACTIONS(1488),
    [anon_sym___fastcall] = ACTIONS(1488),
    [anon_sym___thiscall] = ACTIONS(1488),
    [anon_sym___vectorcall] = ACTIONS(1488),
    [anon_sym_LBRACE] = ACTIONS(391),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(1484),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(65),
    [anon_sym_enum] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(69),
    [anon_sym_struct] = ACTIONS(71),
    [anon_sym_union] = ACTIONS(73),
    [anon_sym_if] = ACTIONS(395),
    [anon_sym_else] = ACTIONS(1488),
    [anon_sym_switch] = ACTIONS(397),
    [anon_sym_case] = ACTIONS(1488),
    [anon_sym_default] = ACTIONS(1488),
    [anon_sym_while] = ACTIONS(403),
    [anon_sym_do] = ACTIONS(405),
    [anon_sym_for] = ACTIONS(407),
    [anon_sym_return] = ACTIONS(409),
    [anon_sym_break] = ACTIONS(411),
    [anon_sym_continue] = ACTIONS(413),
    [anon_sym_goto] = ACTIONS(415),
    [anon_sym___try] = ACTIONS(417),
    [anon_sym___leave] = ACTIONS(419),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [anon_sym_virtual] = ACTIONS(123),
    [anon_sym_alignas] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(1488),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_operator] = ACTIONS(1488),
    [anon_sym_try] = ACTIONS(423),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(425),
    [anon_sym_namespace] = ACTIONS(1488),
    [anon_sym_using] = ACTIONS(1488),
    [anon_sym_static_assert] = ACTIONS(1488),
    [anon_sym_concept] = ACTIONS(1488),
    [anon_sym_co_return] = ACTIONS(435),
    [anon_sym_co_yield] = ACTIONS(437),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
    [anon_sym_discard] = ACTIONS(439),
    [anon_sym_precise] = ACTIONS(161),
    [anon_sym_shared] = ACTIONS(161),
    [anon_sym_groupshared] = ACTIONS(161),
    [anon_sym_uniform] = ACTIONS(161),
    [anon_sym_row_major] = ACTIONS(161),
    [anon_sym_column_major] = ACTIONS(161),
    [anon_sym_globallycoherent] = ACTIONS(161),
    [anon_sym_centroid] = ACTIONS(161),
    [anon_sym_noperspective] = ACTIONS(161),
    [anon_sym_nointerpolation] = ACTIONS(161),
    [anon_sym_sample] = ACTIONS(161),
    [anon_sym_linear] = ACTIONS(161),
    [anon_sym_snorm] = ACTIONS(161),
    [anon_sym_unorm] = ACTIONS(161),
    [anon_sym_point] = ACTIONS(161),
    [anon_sym_line] = ACTIONS(161),
    [anon_sym_triangleadj] = ACTIONS(161),
    [anon_sym_lineadj] = ACTIONS(161),
    [anon_sym_triangle] = ACTIONS(161),
    [anon_sym_cbuffer] = ACTIONS(441),
  },
  [109] = {
    [sym_declaration] = STATE(107),
    [sym_type_definition] = STATE(107),
    [sym__declaration_modifiers] = STATE(2673),
    [sym__declaration_specifiers] = STATE(6286),
    [sym_attribute_specifier] = STATE(2673),
    [sym_attribute_declaration] = STATE(1556),
    [sym_ms_declspec_modifier] = STATE(2673),
    [sym_compound_statement] = STATE(107),
    [sym_storage_class_specifier] = STATE(2673),
    [sym_type_qualifier] = STATE(2673),
    [sym__type_specifier] = STATE(2827),
    [sym_sized_type_specifier] = STATE(3085),
    [sym_enum_specifier] = STATE(3085),
    [sym_struct_specifier] = STATE(3085),
    [sym_union_specifier] = STATE(3085),
    [sym_attributed_statement] = STATE(107),
    [sym_labeled_statement] = STATE(107),
    [sym_expression_statement] = STATE(107),
    [sym_if_statement] = STATE(107),
    [sym_switch_statement] = STATE(107),
    [sym_while_statement] = STATE(107),
    [sym_do_statement] = STATE(107),
    [sym_for_statement] = STATE(107),
    [sym_return_statement] = STATE(107),
    [sym_break_statement] = STATE(107),
    [sym_continue_statement] = STATE(107),
    [sym_goto_statement] = STATE(107),
    [sym_seh_try_statement] = STATE(107),
    [sym_seh_leave_statement] = STATE(107),
    [sym__expression] = STATE(5802),
    [sym__expression_not_binary] = STATE(5024),
    [sym__string] = STATE(5024),
    [sym_comma_expression] = STATE(9525),
    [sym_conditional_expression] = STATE(5024),
    [sym_assignment_expression] = STATE(5024),
    [sym_pointer_expression] = STATE(4507),
    [sym_unary_expression] = STATE(5024),
    [sym_binary_expression] = STATE(5024),
    [sym_update_expression] = STATE(5024),
    [sym_cast_expression] = STATE(5024),
    [sym_sizeof_expression] = STATE(5024),
    [sym_alignof_expression] = STATE(5024),
    [sym_offsetof_expression] = STATE(5024),
    [sym_generic_expression] = STATE(5024),
    [sym_subscript_expression] = STATE(4507),
    [sym_call_expression] = STATE(4507),
    [sym_gnu_asm_expression] = STATE(5024),
    [sym_field_expression] = STATE(4507),
    [sym_compound_literal_expression] = STATE(5024),
    [sym_parenthesized_expression] = STATE(4507),
    [sym_char_literal] = STATE(5374),
    [sym_concatenated_string] = STATE(5377),
    [sym_string_literal] = STATE(4206),
    [sym_null] = STATE(5024),
    [sym_placeholder_type_specifier] = STATE(3085),
    [sym_decltype_auto] = STATE(3091),
    [sym_decltype] = STATE(3050),
    [sym_class_specifier] = STATE(3085),
    [sym__class_name] = STATE(9352),
    [sym_virtual] = STATE(2673),
    [sym_alignas_specifier] = STATE(2673),
    [sym_dependent_type] = STATE(3085),
    [sym_template_type] = STATE(3129),
    [sym_template_function] = STATE(5024),
    [sym_for_range_loop] = STATE(107),
    [sym_co_return_statement] = STATE(107),
    [sym_co_yield_statement] = STATE(107),
    [sym_throw_statement] = STATE(107),
    [sym_try_statement] = STATE(107),
    [sym_raw_string_literal] = STATE(4217),
    [sym_co_await_expression] = STATE(5024),
    [sym_new_expression] = STATE(5024),
    [sym_delete_expression] = STATE(5024),
    [sym_requires_clause] = STATE(5024),
    [sym_requires_expression] = STATE(5024),
    [sym_lambda_expression] = STATE(5024),
    [sym_lambda_capture_specifier] = STATE(7184),
    [sym_fold_expression] = STATE(5024),
    [sym_parameter_pack_expansion] = STATE(5024),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6970),
    [sym_qualified_identifier] = STATE(4507),
    [sym_qualified_type_identifier] = STATE(3127),
    [sym_user_defined_literal] = STATE(4507),
    [sym_discard_statement] = STATE(107),
    [sym_qualifiers] = STATE(2673),
    [sym_cbuffer_specifier] = STATE(107),
    [sym_hlsl_attribute] = STATE(9266),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2673),
    [aux_sym_attributed_declarator_repeat1] = STATE(1337),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3021),
    [aux_sym_case_statement_repeat1] = STATE(107),
    [sym_identifier] = ACTIONS(1696),
    [aux_sym_preproc_include_token1] = ACTIONS(1492),
    [aux_sym_preproc_def_token1] = ACTIONS(1492),
    [aux_sym_preproc_if_token1] = ACTIONS(1492),
    [aux_sym_preproc_if_token2] = ACTIONS(1492),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1492),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1492),
    [aux_sym_preproc_else_token1] = ACTIONS(1492),
    [aux_sym_preproc_elif_token1] = ACTIONS(1492),
    [sym_preproc_directive] = ACTIONS(1492),
    [anon_sym_LPAREN2] = ACTIONS(1472),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1474),
    [anon_sym_AMP_AMP] = ACTIONS(1494),
    [anon_sym_AMP] = ACTIONS(1478),
    [anon_sym_SEMI] = ACTIONS(383),
    [anon_sym___extension__] = ACTIONS(385),
    [anon_sym_typedef] = ACTIONS(387),
    [anon_sym_in] = ACTIONS(1480),
    [anon_sym_out] = ACTIONS(1480),
    [anon_sym_inout] = ACTIONS(1480),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1482),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(1492),
    [anon_sym___cdecl] = ACTIONS(1492),
    [anon_sym___clrcall] = ACTIONS(1492),
    [anon_sym___stdcall] = ACTIONS(1492),
    [anon_sym___fastcall] = ACTIONS(1492),
    [anon_sym___thiscall] = ACTIONS(1492),
    [anon_sym___vectorcall] = ACTIONS(1492),
    [anon_sym_LBRACE] = ACTIONS(391),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(1484),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(65),
    [anon_sym_enum] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(69),
    [anon_sym_struct] = ACTIONS(71),
    [anon_sym_union] = ACTIONS(73),
    [anon_sym_if] = ACTIONS(395),
    [anon_sym_else] = ACTIONS(1492),
    [anon_sym_switch] = ACTIONS(397),
    [anon_sym_case] = ACTIONS(1492),
    [anon_sym_default] = ACTIONS(1492),
    [anon_sym_while] = ACTIONS(403),
    [anon_sym_do] = ACTIONS(405),
    [anon_sym_for] = ACTIONS(407),
    [anon_sym_return] = ACTIONS(409),
    [anon_sym_break] = ACTIONS(411),
    [anon_sym_continue] = ACTIONS(413),
    [anon_sym_goto] = ACTIONS(415),
    [anon_sym___try] = ACTIONS(417),
    [anon_sym___leave] = ACTIONS(419),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [anon_sym_virtual] = ACTIONS(123),
    [anon_sym_alignas] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(1492),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_operator] = ACTIONS(1492),
    [anon_sym_try] = ACTIONS(423),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(425),
    [anon_sym_namespace] = ACTIONS(1492),
    [anon_sym_using] = ACTIONS(1492),
    [anon_sym_static_assert] = ACTIONS(1492),
    [anon_sym_concept] = ACTIONS(1492),
    [anon_sym_co_return] = ACTIONS(435),
    [anon_sym_co_yield] = ACTIONS(437),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
    [anon_sym_discard] = ACTIONS(439),
    [anon_sym_precise] = ACTIONS(161),
    [anon_sym_shared] = ACTIONS(161),
    [anon_sym_groupshared] = ACTIONS(161),
    [anon_sym_uniform] = ACTIONS(161),
    [anon_sym_row_major] = ACTIONS(161),
    [anon_sym_column_major] = ACTIONS(161),
    [anon_sym_globallycoherent] = ACTIONS(161),
    [anon_sym_centroid] = ACTIONS(161),
    [anon_sym_noperspective] = ACTIONS(161),
    [anon_sym_nointerpolation] = ACTIONS(161),
    [anon_sym_sample] = ACTIONS(161),
    [anon_sym_linear] = ACTIONS(161),
    [anon_sym_snorm] = ACTIONS(161),
    [anon_sym_unorm] = ACTIONS(161),
    [anon_sym_point] = ACTIONS(161),
    [anon_sym_line] = ACTIONS(161),
    [anon_sym_triangleadj] = ACTIONS(161),
    [anon_sym_lineadj] = ACTIONS(161),
    [anon_sym_triangle] = ACTIONS(161),
    [anon_sym_cbuffer] = ACTIONS(441),
  },
  [110] = {
    [sym_declaration] = STATE(110),
    [sym_type_definition] = STATE(110),
    [sym__declaration_modifiers] = STATE(2673),
    [sym__declaration_specifiers] = STATE(6416),
    [sym_attribute_specifier] = STATE(2673),
    [sym_attribute_declaration] = STATE(1556),
    [sym_ms_declspec_modifier] = STATE(2673),
    [sym_compound_statement] = STATE(110),
    [sym_storage_class_specifier] = STATE(2673),
    [sym_type_qualifier] = STATE(2673),
    [sym__type_specifier] = STATE(2827),
    [sym_sized_type_specifier] = STATE(3085),
    [sym_enum_specifier] = STATE(3085),
    [sym_struct_specifier] = STATE(3085),
    [sym_union_specifier] = STATE(3085),
    [sym_attributed_statement] = STATE(110),
    [sym_labeled_statement] = STATE(110),
    [sym_expression_statement] = STATE(110),
    [sym_if_statement] = STATE(110),
    [sym_switch_statement] = STATE(110),
    [sym_while_statement] = STATE(110),
    [sym_do_statement] = STATE(110),
    [sym_for_statement] = STATE(110),
    [sym_return_statement] = STATE(110),
    [sym_break_statement] = STATE(110),
    [sym_continue_statement] = STATE(110),
    [sym_goto_statement] = STATE(110),
    [sym_seh_try_statement] = STATE(110),
    [sym_seh_leave_statement] = STATE(110),
    [sym__expression] = STATE(5798),
    [sym__expression_not_binary] = STATE(5024),
    [sym__string] = STATE(5024),
    [sym_comma_expression] = STATE(9706),
    [sym_conditional_expression] = STATE(5024),
    [sym_assignment_expression] = STATE(5024),
    [sym_pointer_expression] = STATE(4507),
    [sym_unary_expression] = STATE(5024),
    [sym_binary_expression] = STATE(5024),
    [sym_update_expression] = STATE(5024),
    [sym_cast_expression] = STATE(5024),
    [sym_sizeof_expression] = STATE(5024),
    [sym_alignof_expression] = STATE(5024),
    [sym_offsetof_expression] = STATE(5024),
    [sym_generic_expression] = STATE(5024),
    [sym_subscript_expression] = STATE(4507),
    [sym_call_expression] = STATE(4507),
    [sym_gnu_asm_expression] = STATE(5024),
    [sym_field_expression] = STATE(4507),
    [sym_compound_literal_expression] = STATE(5024),
    [sym_parenthesized_expression] = STATE(4507),
    [sym_char_literal] = STATE(5374),
    [sym_concatenated_string] = STATE(5377),
    [sym_string_literal] = STATE(4206),
    [sym_null] = STATE(5024),
    [sym_placeholder_type_specifier] = STATE(3085),
    [sym_decltype_auto] = STATE(3091),
    [sym_decltype] = STATE(3050),
    [sym_class_specifier] = STATE(3085),
    [sym__class_name] = STATE(9352),
    [sym_virtual] = STATE(2673),
    [sym_alignas_specifier] = STATE(2673),
    [sym_dependent_type] = STATE(3085),
    [sym_template_type] = STATE(3129),
    [sym_template_function] = STATE(5024),
    [sym_for_range_loop] = STATE(110),
    [sym_co_return_statement] = STATE(110),
    [sym_co_yield_statement] = STATE(110),
    [sym_throw_statement] = STATE(110),
    [sym_try_statement] = STATE(110),
    [sym_raw_string_literal] = STATE(4217),
    [sym_co_await_expression] = STATE(5024),
    [sym_new_expression] = STATE(5024),
    [sym_delete_expression] = STATE(5024),
    [sym_requires_clause] = STATE(5024),
    [sym_requires_expression] = STATE(5024),
    [sym_lambda_expression] = STATE(5024),
    [sym_lambda_capture_specifier] = STATE(7184),
    [sym_fold_expression] = STATE(5024),
    [sym_parameter_pack_expansion] = STATE(5024),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6970),
    [sym_qualified_identifier] = STATE(4507),
    [sym_qualified_type_identifier] = STATE(3127),
    [sym_user_defined_literal] = STATE(4507),
    [sym_discard_statement] = STATE(110),
    [sym_qualifiers] = STATE(2673),
    [sym_cbuffer_specifier] = STATE(110),
    [sym_hlsl_attribute] = STATE(9024),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2673),
    [aux_sym_attributed_declarator_repeat1] = STATE(1342),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3021),
    [aux_sym_case_statement_repeat1] = STATE(110),
    [ts_builtin_sym_end] = ACTIONS(1517),
    [sym_identifier] = ACTIONS(1764),
    [aux_sym_preproc_include_token1] = ACTIONS(1503),
    [aux_sym_preproc_def_token1] = ACTIONS(1503),
    [aux_sym_preproc_if_token1] = ACTIONS(1503),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1503),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1503),
    [sym_preproc_directive] = ACTIONS(1503),
    [anon_sym_LPAREN2] = ACTIONS(1505),
    [anon_sym_BANG] = ACTIONS(1508),
    [anon_sym_TILDE] = ACTIONS(1508),
    [anon_sym_DASH] = ACTIONS(1511),
    [anon_sym_PLUS] = ACTIONS(1511),
    [anon_sym_STAR] = ACTIONS(1514),
    [anon_sym_AMP_AMP] = ACTIONS(1517),
    [anon_sym_AMP] = ACTIONS(1519),
    [anon_sym_SEMI] = ACTIONS(1767),
    [anon_sym___extension__] = ACTIONS(1770),
    [anon_sym_typedef] = ACTIONS(1773),
    [anon_sym_in] = ACTIONS(1531),
    [anon_sym_out] = ACTIONS(1531),
    [anon_sym_inout] = ACTIONS(1531),
    [anon_sym_extern] = ACTIONS(1534),
    [anon_sym___attribute__] = ACTIONS(1537),
    [anon_sym_COLON_COLON] = ACTIONS(1540),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1543),
    [anon_sym___declspec] = ACTIONS(1546),
    [anon_sym___based] = ACTIONS(1503),
    [anon_sym___cdecl] = ACTIONS(1503),
    [anon_sym___clrcall] = ACTIONS(1503),
    [anon_sym___stdcall] = ACTIONS(1503),
    [anon_sym___fastcall] = ACTIONS(1503),
    [anon_sym___thiscall] = ACTIONS(1503),
    [anon_sym___vectorcall] = ACTIONS(1503),
    [anon_sym_LBRACE] = ACTIONS(1776),
    [anon_sym_signed] = ACTIONS(1552),
    [anon_sym_unsigned] = ACTIONS(1552),
    [anon_sym_long] = ACTIONS(1552),
    [anon_sym_short] = ACTIONS(1552),
    [anon_sym_LBRACK] = ACTIONS(1555),
    [anon_sym_static] = ACTIONS(1534),
    [anon_sym_register] = ACTIONS(1534),
    [anon_sym_inline] = ACTIONS(1534),
    [anon_sym___inline] = ACTIONS(1534),
    [anon_sym___inline__] = ACTIONS(1534),
    [anon_sym___forceinline] = ACTIONS(1534),
    [anon_sym_thread_local] = ACTIONS(1534),
    [anon_sym___thread] = ACTIONS(1534),
    [anon_sym_const] = ACTIONS(1558),
    [anon_sym_constexpr] = ACTIONS(1558),
    [anon_sym_volatile] = ACTIONS(1558),
    [anon_sym_restrict] = ACTIONS(1558),
    [anon_sym___restrict__] = ACTIONS(1558),
    [anon_sym__Atomic] = ACTIONS(1558),
    [anon_sym__Noreturn] = ACTIONS(1558),
    [anon_sym_noreturn] = ACTIONS(1558),
    [anon_sym_mutable] = ACTIONS(1558),
    [anon_sym_constinit] = ACTIONS(1558),
    [anon_sym_consteval] = ACTIONS(1558),
    [sym_primitive_type] = ACTIONS(1561),
    [anon_sym_enum] = ACTIONS(1564),
    [anon_sym_class] = ACTIONS(1567),
    [anon_sym_struct] = ACTIONS(1570),
    [anon_sym_union] = ACTIONS(1573),
    [anon_sym_if] = ACTIONS(1779),
    [anon_sym_else] = ACTIONS(1503),
    [anon_sym_switch] = ACTIONS(1782),
    [anon_sym_case] = ACTIONS(1503),
    [anon_sym_default] = ACTIONS(1503),
    [anon_sym_while] = ACTIONS(1785),
    [anon_sym_do] = ACTIONS(1788),
    [anon_sym_for] = ACTIONS(1791),
    [anon_sym_return] = ACTIONS(1794),
    [anon_sym_break] = ACTIONS(1797),
    [anon_sym_continue] = ACTIONS(1800),
    [anon_sym_goto] = ACTIONS(1803),
    [anon_sym___try] = ACTIONS(1806),
    [anon_sym___leave] = ACTIONS(1809),
    [anon_sym_not] = ACTIONS(1511),
    [anon_sym_compl] = ACTIONS(1511),
    [anon_sym_DASH_DASH] = ACTIONS(1609),
    [anon_sym_PLUS_PLUS] = ACTIONS(1609),
    [anon_sym_sizeof] = ACTIONS(1612),
    [anon_sym___alignof__] = ACTIONS(1615),
    [anon_sym___alignof] = ACTIONS(1615),
    [anon_sym__alignof] = ACTIONS(1615),
    [anon_sym_alignof] = ACTIONS(1615),
    [anon_sym__Alignof] = ACTIONS(1615),
    [anon_sym_offsetof] = ACTIONS(1618),
    [anon_sym__Generic] = ACTIONS(1621),
    [anon_sym_asm] = ACTIONS(1624),
    [anon_sym___asm__] = ACTIONS(1624),
    [sym_number_literal] = ACTIONS(1627),
    [anon_sym_L_SQUOTE] = ACTIONS(1630),
    [anon_sym_u_SQUOTE] = ACTIONS(1630),
    [anon_sym_U_SQUOTE] = ACTIONS(1630),
    [anon_sym_u8_SQUOTE] = ACTIONS(1630),
    [anon_sym_SQUOTE] = ACTIONS(1630),
    [anon_sym_L_DQUOTE] = ACTIONS(1633),
    [anon_sym_u_DQUOTE] = ACTIONS(1633),
    [anon_sym_U_DQUOTE] = ACTIONS(1633),
    [anon_sym_u8_DQUOTE] = ACTIONS(1633),
    [anon_sym_DQUOTE] = ACTIONS(1633),
    [sym_true] = ACTIONS(1636),
    [sym_false] = ACTIONS(1636),
    [anon_sym_NULL] = ACTIONS(1639),
    [anon_sym_nullptr] = ACTIONS(1639),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1642),
    [anon_sym_decltype] = ACTIONS(1645),
    [anon_sym_virtual] = ACTIONS(1648),
    [anon_sym_alignas] = ACTIONS(1651),
    [anon_sym_explicit] = ACTIONS(1503),
    [anon_sym_typename] = ACTIONS(1654),
    [anon_sym_template] = ACTIONS(1657),
    [anon_sym_operator] = ACTIONS(1503),
    [anon_sym_try] = ACTIONS(1812),
    [anon_sym_delete] = ACTIONS(1663),
    [anon_sym_throw] = ACTIONS(1815),
    [anon_sym_namespace] = ACTIONS(1503),
    [anon_sym_using] = ACTIONS(1503),
    [anon_sym_static_assert] = ACTIONS(1503),
    [anon_sym_concept] = ACTIONS(1503),
    [anon_sym_co_return] = ACTIONS(1818),
    [anon_sym_co_yield] = ACTIONS(1821),
    [anon_sym_R_DQUOTE] = ACTIONS(1675),
    [anon_sym_LR_DQUOTE] = ACTIONS(1675),
    [anon_sym_uR_DQUOTE] = ACTIONS(1675),
    [anon_sym_UR_DQUOTE] = ACTIONS(1675),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1675),
    [anon_sym_co_await] = ACTIONS(1678),
    [anon_sym_new] = ACTIONS(1681),
    [anon_sym_requires] = ACTIONS(1684),
    [sym_this] = ACTIONS(1636),
    [anon_sym_discard] = ACTIONS(1824),
    [anon_sym_precise] = ACTIONS(1690),
    [anon_sym_shared] = ACTIONS(1690),
    [anon_sym_groupshared] = ACTIONS(1690),
    [anon_sym_uniform] = ACTIONS(1690),
    [anon_sym_row_major] = ACTIONS(1690),
    [anon_sym_column_major] = ACTIONS(1690),
    [anon_sym_globallycoherent] = ACTIONS(1690),
    [anon_sym_centroid] = ACTIONS(1690),
    [anon_sym_noperspective] = ACTIONS(1690),
    [anon_sym_nointerpolation] = ACTIONS(1690),
    [anon_sym_sample] = ACTIONS(1690),
    [anon_sym_linear] = ACTIONS(1690),
    [anon_sym_snorm] = ACTIONS(1690),
    [anon_sym_unorm] = ACTIONS(1690),
    [anon_sym_point] = ACTIONS(1690),
    [anon_sym_line] = ACTIONS(1690),
    [anon_sym_triangleadj] = ACTIONS(1690),
    [anon_sym_lineadj] = ACTIONS(1690),
    [anon_sym_triangle] = ACTIONS(1690),
    [anon_sym_cbuffer] = ACTIONS(1827),
  },
  [111] = {
    [sym_declaration] = STATE(114),
    [sym_type_definition] = STATE(114),
    [sym__declaration_modifiers] = STATE(2673),
    [sym__declaration_specifiers] = STATE(6281),
    [sym_attribute_specifier] = STATE(2673),
    [sym_attribute_declaration] = STATE(1556),
    [sym_ms_declspec_modifier] = STATE(2673),
    [sym_compound_statement] = STATE(114),
    [sym_storage_class_specifier] = STATE(2673),
    [sym_type_qualifier] = STATE(2673),
    [sym__type_specifier] = STATE(2827),
    [sym_sized_type_specifier] = STATE(3085),
    [sym_enum_specifier] = STATE(3085),
    [sym_struct_specifier] = STATE(3085),
    [sym_union_specifier] = STATE(3085),
    [sym_attributed_statement] = STATE(114),
    [sym_labeled_statement] = STATE(114),
    [sym_expression_statement] = STATE(114),
    [sym_if_statement] = STATE(114),
    [sym_switch_statement] = STATE(114),
    [sym_while_statement] = STATE(114),
    [sym_do_statement] = STATE(114),
    [sym_for_statement] = STATE(114),
    [sym_return_statement] = STATE(114),
    [sym_break_statement] = STATE(114),
    [sym_continue_statement] = STATE(114),
    [sym_goto_statement] = STATE(114),
    [sym_seh_try_statement] = STATE(114),
    [sym_seh_leave_statement] = STATE(114),
    [sym__expression] = STATE(5768),
    [sym__expression_not_binary] = STATE(5024),
    [sym__string] = STATE(5024),
    [sym_comma_expression] = STATE(9694),
    [sym_conditional_expression] = STATE(5024),
    [sym_assignment_expression] = STATE(5024),
    [sym_pointer_expression] = STATE(4507),
    [sym_unary_expression] = STATE(5024),
    [sym_binary_expression] = STATE(5024),
    [sym_update_expression] = STATE(5024),
    [sym_cast_expression] = STATE(5024),
    [sym_sizeof_expression] = STATE(5024),
    [sym_alignof_expression] = STATE(5024),
    [sym_offsetof_expression] = STATE(5024),
    [sym_generic_expression] = STATE(5024),
    [sym_subscript_expression] = STATE(4507),
    [sym_call_expression] = STATE(4507),
    [sym_gnu_asm_expression] = STATE(5024),
    [sym_field_expression] = STATE(4507),
    [sym_compound_literal_expression] = STATE(5024),
    [sym_parenthesized_expression] = STATE(4507),
    [sym_char_literal] = STATE(5374),
    [sym_concatenated_string] = STATE(5377),
    [sym_string_literal] = STATE(4206),
    [sym_null] = STATE(5024),
    [sym_placeholder_type_specifier] = STATE(3085),
    [sym_decltype_auto] = STATE(3091),
    [sym_decltype] = STATE(3050),
    [sym_class_specifier] = STATE(3085),
    [sym__class_name] = STATE(9352),
    [sym_virtual] = STATE(2673),
    [sym_alignas_specifier] = STATE(2673),
    [sym_dependent_type] = STATE(3085),
    [sym_template_type] = STATE(3129),
    [sym_template_function] = STATE(5024),
    [sym_for_range_loop] = STATE(114),
    [sym_co_return_statement] = STATE(114),
    [sym_co_yield_statement] = STATE(114),
    [sym_throw_statement] = STATE(114),
    [sym_try_statement] = STATE(114),
    [sym_raw_string_literal] = STATE(4217),
    [sym_co_await_expression] = STATE(5024),
    [sym_new_expression] = STATE(5024),
    [sym_delete_expression] = STATE(5024),
    [sym_requires_clause] = STATE(5024),
    [sym_requires_expression] = STATE(5024),
    [sym_lambda_expression] = STATE(5024),
    [sym_lambda_capture_specifier] = STATE(7184),
    [sym_fold_expression] = STATE(5024),
    [sym_parameter_pack_expansion] = STATE(5024),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6970),
    [sym_qualified_identifier] = STATE(4507),
    [sym_qualified_type_identifier] = STATE(3127),
    [sym_user_defined_literal] = STATE(4507),
    [sym_discard_statement] = STATE(114),
    [sym_qualifiers] = STATE(2673),
    [sym_cbuffer_specifier] = STATE(114),
    [sym_hlsl_attribute] = STATE(9208),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2673),
    [aux_sym_attributed_declarator_repeat1] = STATE(1367),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3021),
    [aux_sym_case_statement_repeat1] = STATE(114),
    [sym_identifier] = ACTIONS(1830),
    [aux_sym_preproc_include_token1] = ACTIONS(1492),
    [aux_sym_preproc_def_token1] = ACTIONS(1492),
    [aux_sym_preproc_if_token1] = ACTIONS(1492),
    [aux_sym_preproc_if_token2] = ACTIONS(1492),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1492),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1492),
    [sym_preproc_directive] = ACTIONS(1492),
    [anon_sym_LPAREN2] = ACTIONS(1472),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1474),
    [anon_sym_AMP_AMP] = ACTIONS(1494),
    [anon_sym_AMP] = ACTIONS(1478),
    [anon_sym_SEMI] = ACTIONS(1128),
    [anon_sym___extension__] = ACTIONS(1130),
    [anon_sym_typedef] = ACTIONS(1132),
    [anon_sym_in] = ACTIONS(1480),
    [anon_sym_out] = ACTIONS(1480),
    [anon_sym_inout] = ACTIONS(1480),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1482),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(1492),
    [anon_sym___cdecl] = ACTIONS(1492),
    [anon_sym___clrcall] = ACTIONS(1492),
    [anon_sym___stdcall] = ACTIONS(1492),
    [anon_sym___fastcall] = ACTIONS(1492),
    [anon_sym___thiscall] = ACTIONS(1492),
    [anon_sym___vectorcall] = ACTIONS(1492),
    [anon_sym_LBRACE] = ACTIONS(1136),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(1484),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(65),
    [anon_sym_enum] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(69),
    [anon_sym_struct] = ACTIONS(71),
    [anon_sym_union] = ACTIONS(73),
    [anon_sym_if] = ACTIONS(1140),
    [anon_sym_else] = ACTIONS(1492),
    [anon_sym_switch] = ACTIONS(1142),
    [anon_sym_case] = ACTIONS(1492),
    [anon_sym_default] = ACTIONS(1492),
    [anon_sym_while] = ACTIONS(1148),
    [anon_sym_do] = ACTIONS(1150),
    [anon_sym_for] = ACTIONS(1152),
    [anon_sym_return] = ACTIONS(1154),
    [anon_sym_break] = ACTIONS(1156),
    [anon_sym_continue] = ACTIONS(1158),
    [anon_sym_goto] = ACTIONS(1160),
    [anon_sym___try] = ACTIONS(1162),
    [anon_sym___leave] = ACTIONS(1164),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [anon_sym_virtual] = ACTIONS(123),
    [anon_sym_alignas] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(1492),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_operator] = ACTIONS(1492),
    [anon_sym_try] = ACTIONS(1168),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(1170),
    [anon_sym_namespace] = ACTIONS(1492),
    [anon_sym_using] = ACTIONS(1492),
    [anon_sym_static_assert] = ACTIONS(1492),
    [anon_sym_concept] = ACTIONS(1492),
    [anon_sym_co_return] = ACTIONS(1180),
    [anon_sym_co_yield] = ACTIONS(1182),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
    [anon_sym_discard] = ACTIONS(1184),
    [anon_sym_precise] = ACTIONS(161),
    [anon_sym_shared] = ACTIONS(161),
    [anon_sym_groupshared] = ACTIONS(161),
    [anon_sym_uniform] = ACTIONS(161),
    [anon_sym_row_major] = ACTIONS(161),
    [anon_sym_column_major] = ACTIONS(161),
    [anon_sym_globallycoherent] = ACTIONS(161),
    [anon_sym_centroid] = ACTIONS(161),
    [anon_sym_noperspective] = ACTIONS(161),
    [anon_sym_nointerpolation] = ACTIONS(161),
    [anon_sym_sample] = ACTIONS(161),
    [anon_sym_linear] = ACTIONS(161),
    [anon_sym_snorm] = ACTIONS(161),
    [anon_sym_unorm] = ACTIONS(161),
    [anon_sym_point] = ACTIONS(161),
    [anon_sym_line] = ACTIONS(161),
    [anon_sym_triangleadj] = ACTIONS(161),
    [anon_sym_lineadj] = ACTIONS(161),
    [anon_sym_triangle] = ACTIONS(161),
    [anon_sym_cbuffer] = ACTIONS(1186),
  },
  [112] = {
    [sym_declaration] = STATE(112),
    [sym_type_definition] = STATE(112),
    [sym__declaration_modifiers] = STATE(2673),
    [sym__declaration_specifiers] = STATE(6297),
    [sym_attribute_specifier] = STATE(2673),
    [sym_attribute_declaration] = STATE(1556),
    [sym_ms_declspec_modifier] = STATE(2673),
    [sym_compound_statement] = STATE(112),
    [sym_storage_class_specifier] = STATE(2673),
    [sym_type_qualifier] = STATE(2673),
    [sym__type_specifier] = STATE(2827),
    [sym_sized_type_specifier] = STATE(3085),
    [sym_enum_specifier] = STATE(3085),
    [sym_struct_specifier] = STATE(3085),
    [sym_union_specifier] = STATE(3085),
    [sym_attributed_statement] = STATE(112),
    [sym_labeled_statement] = STATE(112),
    [sym_expression_statement] = STATE(112),
    [sym_if_statement] = STATE(112),
    [sym_switch_statement] = STATE(112),
    [sym_while_statement] = STATE(112),
    [sym_do_statement] = STATE(112),
    [sym_for_statement] = STATE(112),
    [sym_return_statement] = STATE(112),
    [sym_break_statement] = STATE(112),
    [sym_continue_statement] = STATE(112),
    [sym_goto_statement] = STATE(112),
    [sym_seh_try_statement] = STATE(112),
    [sym_seh_leave_statement] = STATE(112),
    [sym__expression] = STATE(5674),
    [sym__expression_not_binary] = STATE(5024),
    [sym__string] = STATE(5024),
    [sym_comma_expression] = STATE(10272),
    [sym_conditional_expression] = STATE(5024),
    [sym_assignment_expression] = STATE(5024),
    [sym_pointer_expression] = STATE(4507),
    [sym_unary_expression] = STATE(5024),
    [sym_binary_expression] = STATE(5024),
    [sym_update_expression] = STATE(5024),
    [sym_cast_expression] = STATE(5024),
    [sym_sizeof_expression] = STATE(5024),
    [sym_alignof_expression] = STATE(5024),
    [sym_offsetof_expression] = STATE(5024),
    [sym_generic_expression] = STATE(5024),
    [sym_subscript_expression] = STATE(4507),
    [sym_call_expression] = STATE(4507),
    [sym_gnu_asm_expression] = STATE(5024),
    [sym_field_expression] = STATE(4507),
    [sym_compound_literal_expression] = STATE(5024),
    [sym_parenthesized_expression] = STATE(4507),
    [sym_char_literal] = STATE(5374),
    [sym_concatenated_string] = STATE(5377),
    [sym_string_literal] = STATE(4206),
    [sym_null] = STATE(5024),
    [sym_placeholder_type_specifier] = STATE(3085),
    [sym_decltype_auto] = STATE(3091),
    [sym_decltype] = STATE(3050),
    [sym_class_specifier] = STATE(3085),
    [sym__class_name] = STATE(9352),
    [sym_virtual] = STATE(2673),
    [sym_alignas_specifier] = STATE(2673),
    [sym_dependent_type] = STATE(3085),
    [sym_template_type] = STATE(3129),
    [sym_template_function] = STATE(5024),
    [sym_for_range_loop] = STATE(112),
    [sym_co_return_statement] = STATE(112),
    [sym_co_yield_statement] = STATE(112),
    [sym_throw_statement] = STATE(112),
    [sym_try_statement] = STATE(112),
    [sym_raw_string_literal] = STATE(4217),
    [sym_co_await_expression] = STATE(5024),
    [sym_new_expression] = STATE(5024),
    [sym_delete_expression] = STATE(5024),
    [sym_requires_clause] = STATE(5024),
    [sym_requires_expression] = STATE(5024),
    [sym_lambda_expression] = STATE(5024),
    [sym_lambda_capture_specifier] = STATE(7184),
    [sym_fold_expression] = STATE(5024),
    [sym_parameter_pack_expansion] = STATE(5024),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6970),
    [sym_qualified_identifier] = STATE(4507),
    [sym_qualified_type_identifier] = STATE(3127),
    [sym_user_defined_literal] = STATE(4507),
    [sym_discard_statement] = STATE(112),
    [sym_qualifiers] = STATE(2673),
    [sym_cbuffer_specifier] = STATE(112),
    [sym_hlsl_attribute] = STATE(9351),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2673),
    [aux_sym_attributed_declarator_repeat1] = STATE(1339),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3021),
    [aux_sym_case_statement_repeat1] = STATE(112),
    [sym_identifier] = ACTIONS(1832),
    [aux_sym_preproc_include_token1] = ACTIONS(1503),
    [aux_sym_preproc_def_token1] = ACTIONS(1503),
    [aux_sym_preproc_if_token1] = ACTIONS(1503),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1503),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1503),
    [sym_preproc_directive] = ACTIONS(1503),
    [anon_sym_LPAREN2] = ACTIONS(1505),
    [anon_sym_BANG] = ACTIONS(1508),
    [anon_sym_TILDE] = ACTIONS(1508),
    [anon_sym_DASH] = ACTIONS(1511),
    [anon_sym_PLUS] = ACTIONS(1511),
    [anon_sym_STAR] = ACTIONS(1514),
    [anon_sym_AMP_AMP] = ACTIONS(1517),
    [anon_sym_AMP] = ACTIONS(1519),
    [anon_sym_SEMI] = ACTIONS(1835),
    [anon_sym___extension__] = ACTIONS(1838),
    [anon_sym_typedef] = ACTIONS(1841),
    [anon_sym_in] = ACTIONS(1531),
    [anon_sym_out] = ACTIONS(1531),
    [anon_sym_inout] = ACTIONS(1531),
    [anon_sym_extern] = ACTIONS(1534),
    [anon_sym___attribute__] = ACTIONS(1537),
    [anon_sym_COLON_COLON] = ACTIONS(1540),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1543),
    [anon_sym___declspec] = ACTIONS(1546),
    [anon_sym___based] = ACTIONS(1503),
    [anon_sym___cdecl] = ACTIONS(1503),
    [anon_sym___clrcall] = ACTIONS(1503),
    [anon_sym___stdcall] = ACTIONS(1503),
    [anon_sym___fastcall] = ACTIONS(1503),
    [anon_sym___thiscall] = ACTIONS(1503),
    [anon_sym___vectorcall] = ACTIONS(1503),
    [anon_sym_LBRACE] = ACTIONS(1844),
    [anon_sym_RBRACE] = ACTIONS(1517),
    [anon_sym_signed] = ACTIONS(1552),
    [anon_sym_unsigned] = ACTIONS(1552),
    [anon_sym_long] = ACTIONS(1552),
    [anon_sym_short] = ACTIONS(1552),
    [anon_sym_LBRACK] = ACTIONS(1555),
    [anon_sym_static] = ACTIONS(1534),
    [anon_sym_register] = ACTIONS(1534),
    [anon_sym_inline] = ACTIONS(1534),
    [anon_sym___inline] = ACTIONS(1534),
    [anon_sym___inline__] = ACTIONS(1534),
    [anon_sym___forceinline] = ACTIONS(1534),
    [anon_sym_thread_local] = ACTIONS(1534),
    [anon_sym___thread] = ACTIONS(1534),
    [anon_sym_const] = ACTIONS(1558),
    [anon_sym_constexpr] = ACTIONS(1558),
    [anon_sym_volatile] = ACTIONS(1558),
    [anon_sym_restrict] = ACTIONS(1558),
    [anon_sym___restrict__] = ACTIONS(1558),
    [anon_sym__Atomic] = ACTIONS(1558),
    [anon_sym__Noreturn] = ACTIONS(1558),
    [anon_sym_noreturn] = ACTIONS(1558),
    [anon_sym_mutable] = ACTIONS(1558),
    [anon_sym_constinit] = ACTIONS(1558),
    [anon_sym_consteval] = ACTIONS(1558),
    [sym_primitive_type] = ACTIONS(1561),
    [anon_sym_enum] = ACTIONS(1564),
    [anon_sym_class] = ACTIONS(1567),
    [anon_sym_struct] = ACTIONS(1570),
    [anon_sym_union] = ACTIONS(1573),
    [anon_sym_if] = ACTIONS(1847),
    [anon_sym_else] = ACTIONS(1503),
    [anon_sym_switch] = ACTIONS(1850),
    [anon_sym_case] = ACTIONS(1503),
    [anon_sym_default] = ACTIONS(1503),
    [anon_sym_while] = ACTIONS(1853),
    [anon_sym_do] = ACTIONS(1856),
    [anon_sym_for] = ACTIONS(1859),
    [anon_sym_return] = ACTIONS(1862),
    [anon_sym_break] = ACTIONS(1865),
    [anon_sym_continue] = ACTIONS(1868),
    [anon_sym_goto] = ACTIONS(1871),
    [anon_sym___try] = ACTIONS(1874),
    [anon_sym___leave] = ACTIONS(1877),
    [anon_sym_not] = ACTIONS(1511),
    [anon_sym_compl] = ACTIONS(1511),
    [anon_sym_DASH_DASH] = ACTIONS(1609),
    [anon_sym_PLUS_PLUS] = ACTIONS(1609),
    [anon_sym_sizeof] = ACTIONS(1612),
    [anon_sym___alignof__] = ACTIONS(1615),
    [anon_sym___alignof] = ACTIONS(1615),
    [anon_sym__alignof] = ACTIONS(1615),
    [anon_sym_alignof] = ACTIONS(1615),
    [anon_sym__Alignof] = ACTIONS(1615),
    [anon_sym_offsetof] = ACTIONS(1618),
    [anon_sym__Generic] = ACTIONS(1621),
    [anon_sym_asm] = ACTIONS(1624),
    [anon_sym___asm__] = ACTIONS(1624),
    [sym_number_literal] = ACTIONS(1627),
    [anon_sym_L_SQUOTE] = ACTIONS(1630),
    [anon_sym_u_SQUOTE] = ACTIONS(1630),
    [anon_sym_U_SQUOTE] = ACTIONS(1630),
    [anon_sym_u8_SQUOTE] = ACTIONS(1630),
    [anon_sym_SQUOTE] = ACTIONS(1630),
    [anon_sym_L_DQUOTE] = ACTIONS(1633),
    [anon_sym_u_DQUOTE] = ACTIONS(1633),
    [anon_sym_U_DQUOTE] = ACTIONS(1633),
    [anon_sym_u8_DQUOTE] = ACTIONS(1633),
    [anon_sym_DQUOTE] = ACTIONS(1633),
    [sym_true] = ACTIONS(1636),
    [sym_false] = ACTIONS(1636),
    [anon_sym_NULL] = ACTIONS(1639),
    [anon_sym_nullptr] = ACTIONS(1639),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1642),
    [anon_sym_decltype] = ACTIONS(1645),
    [anon_sym_virtual] = ACTIONS(1648),
    [anon_sym_alignas] = ACTIONS(1651),
    [anon_sym_explicit] = ACTIONS(1503),
    [anon_sym_typename] = ACTIONS(1654),
    [anon_sym_template] = ACTIONS(1657),
    [anon_sym_operator] = ACTIONS(1503),
    [anon_sym_try] = ACTIONS(1880),
    [anon_sym_delete] = ACTIONS(1663),
    [anon_sym_throw] = ACTIONS(1883),
    [anon_sym_namespace] = ACTIONS(1503),
    [anon_sym_using] = ACTIONS(1503),
    [anon_sym_static_assert] = ACTIONS(1503),
    [anon_sym_concept] = ACTIONS(1503),
    [anon_sym_co_return] = ACTIONS(1886),
    [anon_sym_co_yield] = ACTIONS(1889),
    [anon_sym_R_DQUOTE] = ACTIONS(1675),
    [anon_sym_LR_DQUOTE] = ACTIONS(1675),
    [anon_sym_uR_DQUOTE] = ACTIONS(1675),
    [anon_sym_UR_DQUOTE] = ACTIONS(1675),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1675),
    [anon_sym_co_await] = ACTIONS(1678),
    [anon_sym_new] = ACTIONS(1681),
    [anon_sym_requires] = ACTIONS(1684),
    [sym_this] = ACTIONS(1636),
    [anon_sym_discard] = ACTIONS(1892),
    [anon_sym_precise] = ACTIONS(1690),
    [anon_sym_shared] = ACTIONS(1690),
    [anon_sym_groupshared] = ACTIONS(1690),
    [anon_sym_uniform] = ACTIONS(1690),
    [anon_sym_row_major] = ACTIONS(1690),
    [anon_sym_column_major] = ACTIONS(1690),
    [anon_sym_globallycoherent] = ACTIONS(1690),
    [anon_sym_centroid] = ACTIONS(1690),
    [anon_sym_noperspective] = ACTIONS(1690),
    [anon_sym_nointerpolation] = ACTIONS(1690),
    [anon_sym_sample] = ACTIONS(1690),
    [anon_sym_linear] = ACTIONS(1690),
    [anon_sym_snorm] = ACTIONS(1690),
    [anon_sym_unorm] = ACTIONS(1690),
    [anon_sym_point] = ACTIONS(1690),
    [anon_sym_line] = ACTIONS(1690),
    [anon_sym_triangleadj] = ACTIONS(1690),
    [anon_sym_lineadj] = ACTIONS(1690),
    [anon_sym_triangle] = ACTIONS(1690),
    [anon_sym_cbuffer] = ACTIONS(1895),
  },
  [113] = {
    [sym_declaration] = STATE(112),
    [sym_type_definition] = STATE(112),
    [sym__declaration_modifiers] = STATE(2673),
    [sym__declaration_specifiers] = STATE(6297),
    [sym_attribute_specifier] = STATE(2673),
    [sym_attribute_declaration] = STATE(1556),
    [sym_ms_declspec_modifier] = STATE(2673),
    [sym_compound_statement] = STATE(112),
    [sym_storage_class_specifier] = STATE(2673),
    [sym_type_qualifier] = STATE(2673),
    [sym__type_specifier] = STATE(2827),
    [sym_sized_type_specifier] = STATE(3085),
    [sym_enum_specifier] = STATE(3085),
    [sym_struct_specifier] = STATE(3085),
    [sym_union_specifier] = STATE(3085),
    [sym_attributed_statement] = STATE(112),
    [sym_labeled_statement] = STATE(112),
    [sym_expression_statement] = STATE(112),
    [sym_if_statement] = STATE(112),
    [sym_switch_statement] = STATE(112),
    [sym_while_statement] = STATE(112),
    [sym_do_statement] = STATE(112),
    [sym_for_statement] = STATE(112),
    [sym_return_statement] = STATE(112),
    [sym_break_statement] = STATE(112),
    [sym_continue_statement] = STATE(112),
    [sym_goto_statement] = STATE(112),
    [sym_seh_try_statement] = STATE(112),
    [sym_seh_leave_statement] = STATE(112),
    [sym__expression] = STATE(5674),
    [sym__expression_not_binary] = STATE(5024),
    [sym__string] = STATE(5024),
    [sym_comma_expression] = STATE(10272),
    [sym_conditional_expression] = STATE(5024),
    [sym_assignment_expression] = STATE(5024),
    [sym_pointer_expression] = STATE(4507),
    [sym_unary_expression] = STATE(5024),
    [sym_binary_expression] = STATE(5024),
    [sym_update_expression] = STATE(5024),
    [sym_cast_expression] = STATE(5024),
    [sym_sizeof_expression] = STATE(5024),
    [sym_alignof_expression] = STATE(5024),
    [sym_offsetof_expression] = STATE(5024),
    [sym_generic_expression] = STATE(5024),
    [sym_subscript_expression] = STATE(4507),
    [sym_call_expression] = STATE(4507),
    [sym_gnu_asm_expression] = STATE(5024),
    [sym_field_expression] = STATE(4507),
    [sym_compound_literal_expression] = STATE(5024),
    [sym_parenthesized_expression] = STATE(4507),
    [sym_char_literal] = STATE(5374),
    [sym_concatenated_string] = STATE(5377),
    [sym_string_literal] = STATE(4206),
    [sym_null] = STATE(5024),
    [sym_placeholder_type_specifier] = STATE(3085),
    [sym_decltype_auto] = STATE(3091),
    [sym_decltype] = STATE(3050),
    [sym_class_specifier] = STATE(3085),
    [sym__class_name] = STATE(9352),
    [sym_virtual] = STATE(2673),
    [sym_alignas_specifier] = STATE(2673),
    [sym_dependent_type] = STATE(3085),
    [sym_template_type] = STATE(3129),
    [sym_template_function] = STATE(5024),
    [sym_for_range_loop] = STATE(112),
    [sym_co_return_statement] = STATE(112),
    [sym_co_yield_statement] = STATE(112),
    [sym_throw_statement] = STATE(112),
    [sym_try_statement] = STATE(112),
    [sym_raw_string_literal] = STATE(4217),
    [sym_co_await_expression] = STATE(5024),
    [sym_new_expression] = STATE(5024),
    [sym_delete_expression] = STATE(5024),
    [sym_requires_clause] = STATE(5024),
    [sym_requires_expression] = STATE(5024),
    [sym_lambda_expression] = STATE(5024),
    [sym_lambda_capture_specifier] = STATE(7184),
    [sym_fold_expression] = STATE(5024),
    [sym_parameter_pack_expansion] = STATE(5024),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6970),
    [sym_qualified_identifier] = STATE(4507),
    [sym_qualified_type_identifier] = STATE(3127),
    [sym_user_defined_literal] = STATE(4507),
    [sym_discard_statement] = STATE(112),
    [sym_qualifiers] = STATE(2673),
    [sym_cbuffer_specifier] = STATE(112),
    [sym_hlsl_attribute] = STATE(9351),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2673),
    [aux_sym_attributed_declarator_repeat1] = STATE(1339),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3021),
    [aux_sym_case_statement_repeat1] = STATE(112),
    [sym_identifier] = ACTIONS(1898),
    [aux_sym_preproc_include_token1] = ACTIONS(1488),
    [aux_sym_preproc_def_token1] = ACTIONS(1488),
    [aux_sym_preproc_if_token1] = ACTIONS(1488),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1488),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1488),
    [sym_preproc_directive] = ACTIONS(1488),
    [anon_sym_LPAREN2] = ACTIONS(1472),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1474),
    [anon_sym_AMP_AMP] = ACTIONS(1490),
    [anon_sym_AMP] = ACTIONS(1478),
    [anon_sym_SEMI] = ACTIONS(177),
    [anon_sym___extension__] = ACTIONS(179),
    [anon_sym_typedef] = ACTIONS(181),
    [anon_sym_in] = ACTIONS(1480),
    [anon_sym_out] = ACTIONS(1480),
    [anon_sym_inout] = ACTIONS(1480),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1482),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(1488),
    [anon_sym___cdecl] = ACTIONS(1488),
    [anon_sym___clrcall] = ACTIONS(1488),
    [anon_sym___stdcall] = ACTIONS(1488),
    [anon_sym___fastcall] = ACTIONS(1488),
    [anon_sym___thiscall] = ACTIONS(1488),
    [anon_sym___vectorcall] = ACTIONS(1488),
    [anon_sym_LBRACE] = ACTIONS(830),
    [anon_sym_RBRACE] = ACTIONS(1490),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(1484),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(65),
    [anon_sym_enum] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(69),
    [anon_sym_struct] = ACTIONS(71),
    [anon_sym_union] = ACTIONS(73),
    [anon_sym_if] = ACTIONS(193),
    [anon_sym_else] = ACTIONS(1488),
    [anon_sym_switch] = ACTIONS(195),
    [anon_sym_case] = ACTIONS(1488),
    [anon_sym_default] = ACTIONS(1488),
    [anon_sym_while] = ACTIONS(201),
    [anon_sym_do] = ACTIONS(203),
    [anon_sym_for] = ACTIONS(205),
    [anon_sym_return] = ACTIONS(207),
    [anon_sym_break] = ACTIONS(209),
    [anon_sym_continue] = ACTIONS(211),
    [anon_sym_goto] = ACTIONS(213),
    [anon_sym___try] = ACTIONS(215),
    [anon_sym___leave] = ACTIONS(217),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [anon_sym_virtual] = ACTIONS(123),
    [anon_sym_alignas] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(1488),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_operator] = ACTIONS(1488),
    [anon_sym_try] = ACTIONS(225),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(227),
    [anon_sym_namespace] = ACTIONS(1488),
    [anon_sym_using] = ACTIONS(1488),
    [anon_sym_static_assert] = ACTIONS(1488),
    [anon_sym_concept] = ACTIONS(1488),
    [anon_sym_co_return] = ACTIONS(237),
    [anon_sym_co_yield] = ACTIONS(239),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
    [anon_sym_discard] = ACTIONS(241),
    [anon_sym_precise] = ACTIONS(161),
    [anon_sym_shared] = ACTIONS(161),
    [anon_sym_groupshared] = ACTIONS(161),
    [anon_sym_uniform] = ACTIONS(161),
    [anon_sym_row_major] = ACTIONS(161),
    [anon_sym_column_major] = ACTIONS(161),
    [anon_sym_globallycoherent] = ACTIONS(161),
    [anon_sym_centroid] = ACTIONS(161),
    [anon_sym_noperspective] = ACTIONS(161),
    [anon_sym_nointerpolation] = ACTIONS(161),
    [anon_sym_sample] = ACTIONS(161),
    [anon_sym_linear] = ACTIONS(161),
    [anon_sym_snorm] = ACTIONS(161),
    [anon_sym_unorm] = ACTIONS(161),
    [anon_sym_point] = ACTIONS(161),
    [anon_sym_line] = ACTIONS(161),
    [anon_sym_triangleadj] = ACTIONS(161),
    [anon_sym_lineadj] = ACTIONS(161),
    [anon_sym_triangle] = ACTIONS(161),
    [anon_sym_cbuffer] = ACTIONS(243),
  },
  [114] = {
    [sym_declaration] = STATE(114),
    [sym_type_definition] = STATE(114),
    [sym__declaration_modifiers] = STATE(2673),
    [sym__declaration_specifiers] = STATE(6281),
    [sym_attribute_specifier] = STATE(2673),
    [sym_attribute_declaration] = STATE(1556),
    [sym_ms_declspec_modifier] = STATE(2673),
    [sym_compound_statement] = STATE(114),
    [sym_storage_class_specifier] = STATE(2673),
    [sym_type_qualifier] = STATE(2673),
    [sym__type_specifier] = STATE(2827),
    [sym_sized_type_specifier] = STATE(3085),
    [sym_enum_specifier] = STATE(3085),
    [sym_struct_specifier] = STATE(3085),
    [sym_union_specifier] = STATE(3085),
    [sym_attributed_statement] = STATE(114),
    [sym_labeled_statement] = STATE(114),
    [sym_expression_statement] = STATE(114),
    [sym_if_statement] = STATE(114),
    [sym_switch_statement] = STATE(114),
    [sym_while_statement] = STATE(114),
    [sym_do_statement] = STATE(114),
    [sym_for_statement] = STATE(114),
    [sym_return_statement] = STATE(114),
    [sym_break_statement] = STATE(114),
    [sym_continue_statement] = STATE(114),
    [sym_goto_statement] = STATE(114),
    [sym_seh_try_statement] = STATE(114),
    [sym_seh_leave_statement] = STATE(114),
    [sym__expression] = STATE(5768),
    [sym__expression_not_binary] = STATE(5024),
    [sym__string] = STATE(5024),
    [sym_comma_expression] = STATE(9694),
    [sym_conditional_expression] = STATE(5024),
    [sym_assignment_expression] = STATE(5024),
    [sym_pointer_expression] = STATE(4507),
    [sym_unary_expression] = STATE(5024),
    [sym_binary_expression] = STATE(5024),
    [sym_update_expression] = STATE(5024),
    [sym_cast_expression] = STATE(5024),
    [sym_sizeof_expression] = STATE(5024),
    [sym_alignof_expression] = STATE(5024),
    [sym_offsetof_expression] = STATE(5024),
    [sym_generic_expression] = STATE(5024),
    [sym_subscript_expression] = STATE(4507),
    [sym_call_expression] = STATE(4507),
    [sym_gnu_asm_expression] = STATE(5024),
    [sym_field_expression] = STATE(4507),
    [sym_compound_literal_expression] = STATE(5024),
    [sym_parenthesized_expression] = STATE(4507),
    [sym_char_literal] = STATE(5374),
    [sym_concatenated_string] = STATE(5377),
    [sym_string_literal] = STATE(4206),
    [sym_null] = STATE(5024),
    [sym_placeholder_type_specifier] = STATE(3085),
    [sym_decltype_auto] = STATE(3091),
    [sym_decltype] = STATE(3050),
    [sym_class_specifier] = STATE(3085),
    [sym__class_name] = STATE(9352),
    [sym_virtual] = STATE(2673),
    [sym_alignas_specifier] = STATE(2673),
    [sym_dependent_type] = STATE(3085),
    [sym_template_type] = STATE(3129),
    [sym_template_function] = STATE(5024),
    [sym_for_range_loop] = STATE(114),
    [sym_co_return_statement] = STATE(114),
    [sym_co_yield_statement] = STATE(114),
    [sym_throw_statement] = STATE(114),
    [sym_try_statement] = STATE(114),
    [sym_raw_string_literal] = STATE(4217),
    [sym_co_await_expression] = STATE(5024),
    [sym_new_expression] = STATE(5024),
    [sym_delete_expression] = STATE(5024),
    [sym_requires_clause] = STATE(5024),
    [sym_requires_expression] = STATE(5024),
    [sym_lambda_expression] = STATE(5024),
    [sym_lambda_capture_specifier] = STATE(7184),
    [sym_fold_expression] = STATE(5024),
    [sym_parameter_pack_expansion] = STATE(5024),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6970),
    [sym_qualified_identifier] = STATE(4507),
    [sym_qualified_type_identifier] = STATE(3127),
    [sym_user_defined_literal] = STATE(4507),
    [sym_discard_statement] = STATE(114),
    [sym_qualifiers] = STATE(2673),
    [sym_cbuffer_specifier] = STATE(114),
    [sym_hlsl_attribute] = STATE(9208),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2673),
    [aux_sym_attributed_declarator_repeat1] = STATE(1367),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3021),
    [aux_sym_case_statement_repeat1] = STATE(114),
    [sym_identifier] = ACTIONS(1900),
    [aux_sym_preproc_include_token1] = ACTIONS(1503),
    [aux_sym_preproc_def_token1] = ACTIONS(1503),
    [aux_sym_preproc_if_token1] = ACTIONS(1503),
    [aux_sym_preproc_if_token2] = ACTIONS(1503),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1503),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1503),
    [sym_preproc_directive] = ACTIONS(1503),
    [anon_sym_LPAREN2] = ACTIONS(1505),
    [anon_sym_BANG] = ACTIONS(1508),
    [anon_sym_TILDE] = ACTIONS(1508),
    [anon_sym_DASH] = ACTIONS(1511),
    [anon_sym_PLUS] = ACTIONS(1511),
    [anon_sym_STAR] = ACTIONS(1514),
    [anon_sym_AMP_AMP] = ACTIONS(1517),
    [anon_sym_AMP] = ACTIONS(1519),
    [anon_sym_SEMI] = ACTIONS(1903),
    [anon_sym___extension__] = ACTIONS(1906),
    [anon_sym_typedef] = ACTIONS(1909),
    [anon_sym_in] = ACTIONS(1531),
    [anon_sym_out] = ACTIONS(1531),
    [anon_sym_inout] = ACTIONS(1531),
    [anon_sym_extern] = ACTIONS(1534),
    [anon_sym___attribute__] = ACTIONS(1537),
    [anon_sym_COLON_COLON] = ACTIONS(1540),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1543),
    [anon_sym___declspec] = ACTIONS(1546),
    [anon_sym___based] = ACTIONS(1503),
    [anon_sym___cdecl] = ACTIONS(1503),
    [anon_sym___clrcall] = ACTIONS(1503),
    [anon_sym___stdcall] = ACTIONS(1503),
    [anon_sym___fastcall] = ACTIONS(1503),
    [anon_sym___thiscall] = ACTIONS(1503),
    [anon_sym___vectorcall] = ACTIONS(1503),
    [anon_sym_LBRACE] = ACTIONS(1912),
    [anon_sym_signed] = ACTIONS(1552),
    [anon_sym_unsigned] = ACTIONS(1552),
    [anon_sym_long] = ACTIONS(1552),
    [anon_sym_short] = ACTIONS(1552),
    [anon_sym_LBRACK] = ACTIONS(1555),
    [anon_sym_static] = ACTIONS(1534),
    [anon_sym_register] = ACTIONS(1534),
    [anon_sym_inline] = ACTIONS(1534),
    [anon_sym___inline] = ACTIONS(1534),
    [anon_sym___inline__] = ACTIONS(1534),
    [anon_sym___forceinline] = ACTIONS(1534),
    [anon_sym_thread_local] = ACTIONS(1534),
    [anon_sym___thread] = ACTIONS(1534),
    [anon_sym_const] = ACTIONS(1558),
    [anon_sym_constexpr] = ACTIONS(1558),
    [anon_sym_volatile] = ACTIONS(1558),
    [anon_sym_restrict] = ACTIONS(1558),
    [anon_sym___restrict__] = ACTIONS(1558),
    [anon_sym__Atomic] = ACTIONS(1558),
    [anon_sym__Noreturn] = ACTIONS(1558),
    [anon_sym_noreturn] = ACTIONS(1558),
    [anon_sym_mutable] = ACTIONS(1558),
    [anon_sym_constinit] = ACTIONS(1558),
    [anon_sym_consteval] = ACTIONS(1558),
    [sym_primitive_type] = ACTIONS(1561),
    [anon_sym_enum] = ACTIONS(1564),
    [anon_sym_class] = ACTIONS(1567),
    [anon_sym_struct] = ACTIONS(1570),
    [anon_sym_union] = ACTIONS(1573),
    [anon_sym_if] = ACTIONS(1915),
    [anon_sym_else] = ACTIONS(1503),
    [anon_sym_switch] = ACTIONS(1918),
    [anon_sym_case] = ACTIONS(1503),
    [anon_sym_default] = ACTIONS(1503),
    [anon_sym_while] = ACTIONS(1921),
    [anon_sym_do] = ACTIONS(1924),
    [anon_sym_for] = ACTIONS(1927),
    [anon_sym_return] = ACTIONS(1930),
    [anon_sym_break] = ACTIONS(1933),
    [anon_sym_continue] = ACTIONS(1936),
    [anon_sym_goto] = ACTIONS(1939),
    [anon_sym___try] = ACTIONS(1942),
    [anon_sym___leave] = ACTIONS(1945),
    [anon_sym_not] = ACTIONS(1511),
    [anon_sym_compl] = ACTIONS(1511),
    [anon_sym_DASH_DASH] = ACTIONS(1609),
    [anon_sym_PLUS_PLUS] = ACTIONS(1609),
    [anon_sym_sizeof] = ACTIONS(1612),
    [anon_sym___alignof__] = ACTIONS(1615),
    [anon_sym___alignof] = ACTIONS(1615),
    [anon_sym__alignof] = ACTIONS(1615),
    [anon_sym_alignof] = ACTIONS(1615),
    [anon_sym__Alignof] = ACTIONS(1615),
    [anon_sym_offsetof] = ACTIONS(1618),
    [anon_sym__Generic] = ACTIONS(1621),
    [anon_sym_asm] = ACTIONS(1624),
    [anon_sym___asm__] = ACTIONS(1624),
    [sym_number_literal] = ACTIONS(1627),
    [anon_sym_L_SQUOTE] = ACTIONS(1630),
    [anon_sym_u_SQUOTE] = ACTIONS(1630),
    [anon_sym_U_SQUOTE] = ACTIONS(1630),
    [anon_sym_u8_SQUOTE] = ACTIONS(1630),
    [anon_sym_SQUOTE] = ACTIONS(1630),
    [anon_sym_L_DQUOTE] = ACTIONS(1633),
    [anon_sym_u_DQUOTE] = ACTIONS(1633),
    [anon_sym_U_DQUOTE] = ACTIONS(1633),
    [anon_sym_u8_DQUOTE] = ACTIONS(1633),
    [anon_sym_DQUOTE] = ACTIONS(1633),
    [sym_true] = ACTIONS(1636),
    [sym_false] = ACTIONS(1636),
    [anon_sym_NULL] = ACTIONS(1639),
    [anon_sym_nullptr] = ACTIONS(1639),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1642),
    [anon_sym_decltype] = ACTIONS(1645),
    [anon_sym_virtual] = ACTIONS(1648),
    [anon_sym_alignas] = ACTIONS(1651),
    [anon_sym_explicit] = ACTIONS(1503),
    [anon_sym_typename] = ACTIONS(1654),
    [anon_sym_template] = ACTIONS(1657),
    [anon_sym_operator] = ACTIONS(1503),
    [anon_sym_try] = ACTIONS(1948),
    [anon_sym_delete] = ACTIONS(1663),
    [anon_sym_throw] = ACTIONS(1951),
    [anon_sym_namespace] = ACTIONS(1503),
    [anon_sym_using] = ACTIONS(1503),
    [anon_sym_static_assert] = ACTIONS(1503),
    [anon_sym_concept] = ACTIONS(1503),
    [anon_sym_co_return] = ACTIONS(1954),
    [anon_sym_co_yield] = ACTIONS(1957),
    [anon_sym_R_DQUOTE] = ACTIONS(1675),
    [anon_sym_LR_DQUOTE] = ACTIONS(1675),
    [anon_sym_uR_DQUOTE] = ACTIONS(1675),
    [anon_sym_UR_DQUOTE] = ACTIONS(1675),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1675),
    [anon_sym_co_await] = ACTIONS(1678),
    [anon_sym_new] = ACTIONS(1681),
    [anon_sym_requires] = ACTIONS(1684),
    [sym_this] = ACTIONS(1636),
    [anon_sym_discard] = ACTIONS(1960),
    [anon_sym_precise] = ACTIONS(1690),
    [anon_sym_shared] = ACTIONS(1690),
    [anon_sym_groupshared] = ACTIONS(1690),
    [anon_sym_uniform] = ACTIONS(1690),
    [anon_sym_row_major] = ACTIONS(1690),
    [anon_sym_column_major] = ACTIONS(1690),
    [anon_sym_globallycoherent] = ACTIONS(1690),
    [anon_sym_centroid] = ACTIONS(1690),
    [anon_sym_noperspective] = ACTIONS(1690),
    [anon_sym_nointerpolation] = ACTIONS(1690),
    [anon_sym_sample] = ACTIONS(1690),
    [anon_sym_linear] = ACTIONS(1690),
    [anon_sym_snorm] = ACTIONS(1690),
    [anon_sym_unorm] = ACTIONS(1690),
    [anon_sym_point] = ACTIONS(1690),
    [anon_sym_line] = ACTIONS(1690),
    [anon_sym_triangleadj] = ACTIONS(1690),
    [anon_sym_lineadj] = ACTIONS(1690),
    [anon_sym_triangle] = ACTIONS(1690),
    [anon_sym_cbuffer] = ACTIONS(1963),
  },
  [115] = {
    [sym_declaration] = STATE(124),
    [sym_type_definition] = STATE(124),
    [sym__declaration_modifiers] = STATE(2673),
    [sym__declaration_specifiers] = STATE(6416),
    [sym_attribute_specifier] = STATE(2673),
    [sym_attribute_declaration] = STATE(1556),
    [sym_ms_declspec_modifier] = STATE(2673),
    [sym_compound_statement] = STATE(124),
    [sym_storage_class_specifier] = STATE(2673),
    [sym_type_qualifier] = STATE(2673),
    [sym__type_specifier] = STATE(2827),
    [sym_sized_type_specifier] = STATE(3085),
    [sym_enum_specifier] = STATE(3085),
    [sym_struct_specifier] = STATE(3085),
    [sym_union_specifier] = STATE(3085),
    [sym_attributed_statement] = STATE(124),
    [sym_labeled_statement] = STATE(124),
    [sym_expression_statement] = STATE(124),
    [sym_if_statement] = STATE(124),
    [sym_switch_statement] = STATE(124),
    [sym_while_statement] = STATE(124),
    [sym_do_statement] = STATE(124),
    [sym_for_statement] = STATE(124),
    [sym_return_statement] = STATE(124),
    [sym_break_statement] = STATE(124),
    [sym_continue_statement] = STATE(124),
    [sym_goto_statement] = STATE(124),
    [sym_seh_try_statement] = STATE(124),
    [sym_seh_leave_statement] = STATE(124),
    [sym__expression] = STATE(5798),
    [sym__expression_not_binary] = STATE(5024),
    [sym__string] = STATE(5024),
    [sym_comma_expression] = STATE(9706),
    [sym_conditional_expression] = STATE(5024),
    [sym_assignment_expression] = STATE(5024),
    [sym_pointer_expression] = STATE(4507),
    [sym_unary_expression] = STATE(5024),
    [sym_binary_expression] = STATE(5024),
    [sym_update_expression] = STATE(5024),
    [sym_cast_expression] = STATE(5024),
    [sym_sizeof_expression] = STATE(5024),
    [sym_alignof_expression] = STATE(5024),
    [sym_offsetof_expression] = STATE(5024),
    [sym_generic_expression] = STATE(5024),
    [sym_subscript_expression] = STATE(4507),
    [sym_call_expression] = STATE(4507),
    [sym_gnu_asm_expression] = STATE(5024),
    [sym_field_expression] = STATE(4507),
    [sym_compound_literal_expression] = STATE(5024),
    [sym_parenthesized_expression] = STATE(4507),
    [sym_char_literal] = STATE(5374),
    [sym_concatenated_string] = STATE(5377),
    [sym_string_literal] = STATE(4206),
    [sym_null] = STATE(5024),
    [sym_placeholder_type_specifier] = STATE(3085),
    [sym_decltype_auto] = STATE(3091),
    [sym_decltype] = STATE(3050),
    [sym_class_specifier] = STATE(3085),
    [sym__class_name] = STATE(9352),
    [sym_virtual] = STATE(2673),
    [sym_alignas_specifier] = STATE(2673),
    [sym_dependent_type] = STATE(3085),
    [sym_template_type] = STATE(3129),
    [sym_template_function] = STATE(5024),
    [sym_for_range_loop] = STATE(124),
    [sym_co_return_statement] = STATE(124),
    [sym_co_yield_statement] = STATE(124),
    [sym_throw_statement] = STATE(124),
    [sym_try_statement] = STATE(124),
    [sym_raw_string_literal] = STATE(4217),
    [sym_co_await_expression] = STATE(5024),
    [sym_new_expression] = STATE(5024),
    [sym_delete_expression] = STATE(5024),
    [sym_requires_clause] = STATE(5024),
    [sym_requires_expression] = STATE(5024),
    [sym_lambda_expression] = STATE(5024),
    [sym_lambda_capture_specifier] = STATE(7184),
    [sym_fold_expression] = STATE(5024),
    [sym_parameter_pack_expansion] = STATE(5024),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6970),
    [sym_qualified_identifier] = STATE(4507),
    [sym_qualified_type_identifier] = STATE(3127),
    [sym_user_defined_literal] = STATE(4507),
    [sym_discard_statement] = STATE(124),
    [sym_qualifiers] = STATE(2673),
    [sym_cbuffer_specifier] = STATE(124),
    [sym_hlsl_attribute] = STATE(9024),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2673),
    [aux_sym_attributed_declarator_repeat1] = STATE(1342),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3021),
    [aux_sym_case_statement_repeat1] = STATE(124),
    [ts_builtin_sym_end] = ACTIONS(1498),
    [sym_identifier] = ACTIONS(1966),
    [aux_sym_preproc_include_token1] = ACTIONS(1496),
    [aux_sym_preproc_def_token1] = ACTIONS(1496),
    [aux_sym_preproc_if_token1] = ACTIONS(1496),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1496),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1496),
    [sym_preproc_directive] = ACTIONS(1496),
    [anon_sym_LPAREN2] = ACTIONS(1472),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1474),
    [anon_sym_AMP_AMP] = ACTIONS(1498),
    [anon_sym_AMP] = ACTIONS(1478),
    [anon_sym_SEMI] = ACTIONS(1968),
    [anon_sym___extension__] = ACTIONS(33),
    [anon_sym_typedef] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(1480),
    [anon_sym_out] = ACTIONS(1480),
    [anon_sym_inout] = ACTIONS(1480),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1482),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(1496),
    [anon_sym___cdecl] = ACTIONS(1496),
    [anon_sym___clrcall] = ACTIONS(1496),
    [anon_sym___stdcall] = ACTIONS(1496),
    [anon_sym___fastcall] = ACTIONS(1496),
    [anon_sym___thiscall] = ACTIONS(1496),
    [anon_sym___vectorcall] = ACTIONS(1496),
    [anon_sym_LBRACE] = ACTIONS(53),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(1484),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(65),
    [anon_sym_enum] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(69),
    [anon_sym_struct] = ACTIONS(71),
    [anon_sym_union] = ACTIONS(73),
    [anon_sym_if] = ACTIONS(75),
    [anon_sym_else] = ACTIONS(1496),
    [anon_sym_switch] = ACTIONS(77),
    [anon_sym_case] = ACTIONS(1496),
    [anon_sym_default] = ACTIONS(1496),
    [anon_sym_while] = ACTIONS(83),
    [anon_sym_do] = ACTIONS(85),
    [anon_sym_for] = ACTIONS(87),
    [anon_sym_return] = ACTIONS(89),
    [anon_sym_break] = ACTIONS(91),
    [anon_sym_continue] = ACTIONS(93),
    [anon_sym_goto] = ACTIONS(95),
    [anon_sym___try] = ACTIONS(1970),
    [anon_sym___leave] = ACTIONS(1972),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [anon_sym_virtual] = ACTIONS(123),
    [anon_sym_alignas] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(1496),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_operator] = ACTIONS(1496),
    [anon_sym_try] = ACTIONS(135),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(139),
    [anon_sym_namespace] = ACTIONS(1496),
    [anon_sym_using] = ACTIONS(1496),
    [anon_sym_static_assert] = ACTIONS(1496),
    [anon_sym_concept] = ACTIONS(1496),
    [anon_sym_co_return] = ACTIONS(149),
    [anon_sym_co_yield] = ACTIONS(151),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
    [anon_sym_discard] = ACTIONS(1974),
    [anon_sym_precise] = ACTIONS(161),
    [anon_sym_shared] = ACTIONS(161),
    [anon_sym_groupshared] = ACTIONS(161),
    [anon_sym_uniform] = ACTIONS(161),
    [anon_sym_row_major] = ACTIONS(161),
    [anon_sym_column_major] = ACTIONS(161),
    [anon_sym_globallycoherent] = ACTIONS(161),
    [anon_sym_centroid] = ACTIONS(161),
    [anon_sym_noperspective] = ACTIONS(161),
    [anon_sym_nointerpolation] = ACTIONS(161),
    [anon_sym_sample] = ACTIONS(161),
    [anon_sym_linear] = ACTIONS(161),
    [anon_sym_snorm] = ACTIONS(161),
    [anon_sym_unorm] = ACTIONS(161),
    [anon_sym_point] = ACTIONS(161),
    [anon_sym_line] = ACTIONS(161),
    [anon_sym_triangleadj] = ACTIONS(161),
    [anon_sym_lineadj] = ACTIONS(161),
    [anon_sym_triangle] = ACTIONS(161),
    [anon_sym_cbuffer] = ACTIONS(1976),
  },
  [116] = {
    [sym_declaration] = STATE(117),
    [sym_type_definition] = STATE(117),
    [sym__declaration_modifiers] = STATE(2673),
    [sym__declaration_specifiers] = STATE(6416),
    [sym_attribute_specifier] = STATE(2673),
    [sym_attribute_declaration] = STATE(1556),
    [sym_ms_declspec_modifier] = STATE(2673),
    [sym_compound_statement] = STATE(117),
    [sym_storage_class_specifier] = STATE(2673),
    [sym_type_qualifier] = STATE(2673),
    [sym__type_specifier] = STATE(2827),
    [sym_sized_type_specifier] = STATE(3085),
    [sym_enum_specifier] = STATE(3085),
    [sym_struct_specifier] = STATE(3085),
    [sym_union_specifier] = STATE(3085),
    [sym_attributed_statement] = STATE(117),
    [sym_labeled_statement] = STATE(117),
    [sym_expression_statement] = STATE(117),
    [sym_if_statement] = STATE(117),
    [sym_switch_statement] = STATE(117),
    [sym_while_statement] = STATE(117),
    [sym_do_statement] = STATE(117),
    [sym_for_statement] = STATE(117),
    [sym_return_statement] = STATE(117),
    [sym_break_statement] = STATE(117),
    [sym_continue_statement] = STATE(117),
    [sym_goto_statement] = STATE(117),
    [sym_seh_try_statement] = STATE(117),
    [sym_seh_leave_statement] = STATE(117),
    [sym__expression] = STATE(5798),
    [sym__expression_not_binary] = STATE(5024),
    [sym__string] = STATE(5024),
    [sym_comma_expression] = STATE(9706),
    [sym_conditional_expression] = STATE(5024),
    [sym_assignment_expression] = STATE(5024),
    [sym_pointer_expression] = STATE(4507),
    [sym_unary_expression] = STATE(5024),
    [sym_binary_expression] = STATE(5024),
    [sym_update_expression] = STATE(5024),
    [sym_cast_expression] = STATE(5024),
    [sym_sizeof_expression] = STATE(5024),
    [sym_alignof_expression] = STATE(5024),
    [sym_offsetof_expression] = STATE(5024),
    [sym_generic_expression] = STATE(5024),
    [sym_subscript_expression] = STATE(4507),
    [sym_call_expression] = STATE(4507),
    [sym_gnu_asm_expression] = STATE(5024),
    [sym_field_expression] = STATE(4507),
    [sym_compound_literal_expression] = STATE(5024),
    [sym_parenthesized_expression] = STATE(4507),
    [sym_char_literal] = STATE(5374),
    [sym_concatenated_string] = STATE(5377),
    [sym_string_literal] = STATE(4206),
    [sym_null] = STATE(5024),
    [sym_placeholder_type_specifier] = STATE(3085),
    [sym_decltype_auto] = STATE(3091),
    [sym_decltype] = STATE(3050),
    [sym_class_specifier] = STATE(3085),
    [sym__class_name] = STATE(9352),
    [sym_virtual] = STATE(2673),
    [sym_alignas_specifier] = STATE(2673),
    [sym_dependent_type] = STATE(3085),
    [sym_template_type] = STATE(3129),
    [sym_template_function] = STATE(5024),
    [sym_for_range_loop] = STATE(117),
    [sym_co_return_statement] = STATE(117),
    [sym_co_yield_statement] = STATE(117),
    [sym_throw_statement] = STATE(117),
    [sym_try_statement] = STATE(117),
    [sym_raw_string_literal] = STATE(4217),
    [sym_co_await_expression] = STATE(5024),
    [sym_new_expression] = STATE(5024),
    [sym_delete_expression] = STATE(5024),
    [sym_requires_clause] = STATE(5024),
    [sym_requires_expression] = STATE(5024),
    [sym_lambda_expression] = STATE(5024),
    [sym_lambda_capture_specifier] = STATE(7184),
    [sym_fold_expression] = STATE(5024),
    [sym_parameter_pack_expansion] = STATE(5024),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6970),
    [sym_qualified_identifier] = STATE(4507),
    [sym_qualified_type_identifier] = STATE(3127),
    [sym_user_defined_literal] = STATE(4507),
    [sym_discard_statement] = STATE(117),
    [sym_qualifiers] = STATE(2673),
    [sym_cbuffer_specifier] = STATE(117),
    [sym_hlsl_attribute] = STATE(9024),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2673),
    [aux_sym_attributed_declarator_repeat1] = STATE(1342),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3021),
    [aux_sym_case_statement_repeat1] = STATE(117),
    [ts_builtin_sym_end] = ACTIONS(1476),
    [sym_identifier] = ACTIONS(1966),
    [aux_sym_preproc_include_token1] = ACTIONS(1470),
    [aux_sym_preproc_def_token1] = ACTIONS(1470),
    [aux_sym_preproc_if_token1] = ACTIONS(1470),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1470),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1470),
    [sym_preproc_directive] = ACTIONS(1470),
    [anon_sym_LPAREN2] = ACTIONS(1472),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1474),
    [anon_sym_AMP_AMP] = ACTIONS(1476),
    [anon_sym_AMP] = ACTIONS(1478),
    [anon_sym_SEMI] = ACTIONS(1968),
    [anon_sym___extension__] = ACTIONS(33),
    [anon_sym_typedef] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(1480),
    [anon_sym_out] = ACTIONS(1480),
    [anon_sym_inout] = ACTIONS(1480),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1482),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(1470),
    [anon_sym___cdecl] = ACTIONS(1470),
    [anon_sym___clrcall] = ACTIONS(1470),
    [anon_sym___stdcall] = ACTIONS(1470),
    [anon_sym___fastcall] = ACTIONS(1470),
    [anon_sym___thiscall] = ACTIONS(1470),
    [anon_sym___vectorcall] = ACTIONS(1470),
    [anon_sym_LBRACE] = ACTIONS(53),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(1484),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(65),
    [anon_sym_enum] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(69),
    [anon_sym_struct] = ACTIONS(71),
    [anon_sym_union] = ACTIONS(73),
    [anon_sym_if] = ACTIONS(75),
    [anon_sym_else] = ACTIONS(1470),
    [anon_sym_switch] = ACTIONS(77),
    [anon_sym_case] = ACTIONS(1470),
    [anon_sym_default] = ACTIONS(1470),
    [anon_sym_while] = ACTIONS(83),
    [anon_sym_do] = ACTIONS(85),
    [anon_sym_for] = ACTIONS(87),
    [anon_sym_return] = ACTIONS(89),
    [anon_sym_break] = ACTIONS(91),
    [anon_sym_continue] = ACTIONS(93),
    [anon_sym_goto] = ACTIONS(95),
    [anon_sym___try] = ACTIONS(1970),
    [anon_sym___leave] = ACTIONS(1972),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [anon_sym_virtual] = ACTIONS(123),
    [anon_sym_alignas] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(1470),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_operator] = ACTIONS(1470),
    [anon_sym_try] = ACTIONS(135),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(139),
    [anon_sym_namespace] = ACTIONS(1470),
    [anon_sym_using] = ACTIONS(1470),
    [anon_sym_static_assert] = ACTIONS(1470),
    [anon_sym_concept] = ACTIONS(1470),
    [anon_sym_co_return] = ACTIONS(149),
    [anon_sym_co_yield] = ACTIONS(151),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
    [anon_sym_discard] = ACTIONS(1974),
    [anon_sym_precise] = ACTIONS(161),
    [anon_sym_shared] = ACTIONS(161),
    [anon_sym_groupshared] = ACTIONS(161),
    [anon_sym_uniform] = ACTIONS(161),
    [anon_sym_row_major] = ACTIONS(161),
    [anon_sym_column_major] = ACTIONS(161),
    [anon_sym_globallycoherent] = ACTIONS(161),
    [anon_sym_centroid] = ACTIONS(161),
    [anon_sym_noperspective] = ACTIONS(161),
    [anon_sym_nointerpolation] = ACTIONS(161),
    [anon_sym_sample] = ACTIONS(161),
    [anon_sym_linear] = ACTIONS(161),
    [anon_sym_snorm] = ACTIONS(161),
    [anon_sym_unorm] = ACTIONS(161),
    [anon_sym_point] = ACTIONS(161),
    [anon_sym_line] = ACTIONS(161),
    [anon_sym_triangleadj] = ACTIONS(161),
    [anon_sym_lineadj] = ACTIONS(161),
    [anon_sym_triangle] = ACTIONS(161),
    [anon_sym_cbuffer] = ACTIONS(1976),
  },
  [117] = {
    [sym_declaration] = STATE(110),
    [sym_type_definition] = STATE(110),
    [sym__declaration_modifiers] = STATE(2673),
    [sym__declaration_specifiers] = STATE(6416),
    [sym_attribute_specifier] = STATE(2673),
    [sym_attribute_declaration] = STATE(1556),
    [sym_ms_declspec_modifier] = STATE(2673),
    [sym_compound_statement] = STATE(110),
    [sym_storage_class_specifier] = STATE(2673),
    [sym_type_qualifier] = STATE(2673),
    [sym__type_specifier] = STATE(2827),
    [sym_sized_type_specifier] = STATE(3085),
    [sym_enum_specifier] = STATE(3085),
    [sym_struct_specifier] = STATE(3085),
    [sym_union_specifier] = STATE(3085),
    [sym_attributed_statement] = STATE(110),
    [sym_labeled_statement] = STATE(110),
    [sym_expression_statement] = STATE(110),
    [sym_if_statement] = STATE(110),
    [sym_switch_statement] = STATE(110),
    [sym_while_statement] = STATE(110),
    [sym_do_statement] = STATE(110),
    [sym_for_statement] = STATE(110),
    [sym_return_statement] = STATE(110),
    [sym_break_statement] = STATE(110),
    [sym_continue_statement] = STATE(110),
    [sym_goto_statement] = STATE(110),
    [sym_seh_try_statement] = STATE(110),
    [sym_seh_leave_statement] = STATE(110),
    [sym__expression] = STATE(5798),
    [sym__expression_not_binary] = STATE(5024),
    [sym__string] = STATE(5024),
    [sym_comma_expression] = STATE(9706),
    [sym_conditional_expression] = STATE(5024),
    [sym_assignment_expression] = STATE(5024),
    [sym_pointer_expression] = STATE(4507),
    [sym_unary_expression] = STATE(5024),
    [sym_binary_expression] = STATE(5024),
    [sym_update_expression] = STATE(5024),
    [sym_cast_expression] = STATE(5024),
    [sym_sizeof_expression] = STATE(5024),
    [sym_alignof_expression] = STATE(5024),
    [sym_offsetof_expression] = STATE(5024),
    [sym_generic_expression] = STATE(5024),
    [sym_subscript_expression] = STATE(4507),
    [sym_call_expression] = STATE(4507),
    [sym_gnu_asm_expression] = STATE(5024),
    [sym_field_expression] = STATE(4507),
    [sym_compound_literal_expression] = STATE(5024),
    [sym_parenthesized_expression] = STATE(4507),
    [sym_char_literal] = STATE(5374),
    [sym_concatenated_string] = STATE(5377),
    [sym_string_literal] = STATE(4206),
    [sym_null] = STATE(5024),
    [sym_placeholder_type_specifier] = STATE(3085),
    [sym_decltype_auto] = STATE(3091),
    [sym_decltype] = STATE(3050),
    [sym_class_specifier] = STATE(3085),
    [sym__class_name] = STATE(9352),
    [sym_virtual] = STATE(2673),
    [sym_alignas_specifier] = STATE(2673),
    [sym_dependent_type] = STATE(3085),
    [sym_template_type] = STATE(3129),
    [sym_template_function] = STATE(5024),
    [sym_for_range_loop] = STATE(110),
    [sym_co_return_statement] = STATE(110),
    [sym_co_yield_statement] = STATE(110),
    [sym_throw_statement] = STATE(110),
    [sym_try_statement] = STATE(110),
    [sym_raw_string_literal] = STATE(4217),
    [sym_co_await_expression] = STATE(5024),
    [sym_new_expression] = STATE(5024),
    [sym_delete_expression] = STATE(5024),
    [sym_requires_clause] = STATE(5024),
    [sym_requires_expression] = STATE(5024),
    [sym_lambda_expression] = STATE(5024),
    [sym_lambda_capture_specifier] = STATE(7184),
    [sym_fold_expression] = STATE(5024),
    [sym_parameter_pack_expansion] = STATE(5024),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6970),
    [sym_qualified_identifier] = STATE(4507),
    [sym_qualified_type_identifier] = STATE(3127),
    [sym_user_defined_literal] = STATE(4507),
    [sym_discard_statement] = STATE(110),
    [sym_qualifiers] = STATE(2673),
    [sym_cbuffer_specifier] = STATE(110),
    [sym_hlsl_attribute] = STATE(9024),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2673),
    [aux_sym_attributed_declarator_repeat1] = STATE(1342),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3021),
    [aux_sym_case_statement_repeat1] = STATE(110),
    [ts_builtin_sym_end] = ACTIONS(1494),
    [sym_identifier] = ACTIONS(1966),
    [aux_sym_preproc_include_token1] = ACTIONS(1492),
    [aux_sym_preproc_def_token1] = ACTIONS(1492),
    [aux_sym_preproc_if_token1] = ACTIONS(1492),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1492),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1492),
    [sym_preproc_directive] = ACTIONS(1492),
    [anon_sym_LPAREN2] = ACTIONS(1472),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1474),
    [anon_sym_AMP_AMP] = ACTIONS(1494),
    [anon_sym_AMP] = ACTIONS(1478),
    [anon_sym_SEMI] = ACTIONS(1968),
    [anon_sym___extension__] = ACTIONS(33),
    [anon_sym_typedef] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(1480),
    [anon_sym_out] = ACTIONS(1480),
    [anon_sym_inout] = ACTIONS(1480),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1482),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(1492),
    [anon_sym___cdecl] = ACTIONS(1492),
    [anon_sym___clrcall] = ACTIONS(1492),
    [anon_sym___stdcall] = ACTIONS(1492),
    [anon_sym___fastcall] = ACTIONS(1492),
    [anon_sym___thiscall] = ACTIONS(1492),
    [anon_sym___vectorcall] = ACTIONS(1492),
    [anon_sym_LBRACE] = ACTIONS(53),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(1484),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(65),
    [anon_sym_enum] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(69),
    [anon_sym_struct] = ACTIONS(71),
    [anon_sym_union] = ACTIONS(73),
    [anon_sym_if] = ACTIONS(75),
    [anon_sym_else] = ACTIONS(1492),
    [anon_sym_switch] = ACTIONS(77),
    [anon_sym_case] = ACTIONS(1492),
    [anon_sym_default] = ACTIONS(1492),
    [anon_sym_while] = ACTIONS(83),
    [anon_sym_do] = ACTIONS(85),
    [anon_sym_for] = ACTIONS(87),
    [anon_sym_return] = ACTIONS(89),
    [anon_sym_break] = ACTIONS(91),
    [anon_sym_continue] = ACTIONS(93),
    [anon_sym_goto] = ACTIONS(95),
    [anon_sym___try] = ACTIONS(1970),
    [anon_sym___leave] = ACTIONS(1972),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [anon_sym_virtual] = ACTIONS(123),
    [anon_sym_alignas] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(1492),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_operator] = ACTIONS(1492),
    [anon_sym_try] = ACTIONS(135),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(139),
    [anon_sym_namespace] = ACTIONS(1492),
    [anon_sym_using] = ACTIONS(1492),
    [anon_sym_static_assert] = ACTIONS(1492),
    [anon_sym_concept] = ACTIONS(1492),
    [anon_sym_co_return] = ACTIONS(149),
    [anon_sym_co_yield] = ACTIONS(151),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
    [anon_sym_discard] = ACTIONS(1974),
    [anon_sym_precise] = ACTIONS(161),
    [anon_sym_shared] = ACTIONS(161),
    [anon_sym_groupshared] = ACTIONS(161),
    [anon_sym_uniform] = ACTIONS(161),
    [anon_sym_row_major] = ACTIONS(161),
    [anon_sym_column_major] = ACTIONS(161),
    [anon_sym_globallycoherent] = ACTIONS(161),
    [anon_sym_centroid] = ACTIONS(161),
    [anon_sym_noperspective] = ACTIONS(161),
    [anon_sym_nointerpolation] = ACTIONS(161),
    [anon_sym_sample] = ACTIONS(161),
    [anon_sym_linear] = ACTIONS(161),
    [anon_sym_snorm] = ACTIONS(161),
    [anon_sym_unorm] = ACTIONS(161),
    [anon_sym_point] = ACTIONS(161),
    [anon_sym_line] = ACTIONS(161),
    [anon_sym_triangleadj] = ACTIONS(161),
    [anon_sym_lineadj] = ACTIONS(161),
    [anon_sym_triangle] = ACTIONS(161),
    [anon_sym_cbuffer] = ACTIONS(1976),
  },
  [118] = {
    [sym_declaration] = STATE(113),
    [sym_type_definition] = STATE(113),
    [sym__declaration_modifiers] = STATE(2673),
    [sym__declaration_specifiers] = STATE(6297),
    [sym_attribute_specifier] = STATE(2673),
    [sym_attribute_declaration] = STATE(1556),
    [sym_ms_declspec_modifier] = STATE(2673),
    [sym_compound_statement] = STATE(113),
    [sym_storage_class_specifier] = STATE(2673),
    [sym_type_qualifier] = STATE(2673),
    [sym__type_specifier] = STATE(2827),
    [sym_sized_type_specifier] = STATE(3085),
    [sym_enum_specifier] = STATE(3085),
    [sym_struct_specifier] = STATE(3085),
    [sym_union_specifier] = STATE(3085),
    [sym_attributed_statement] = STATE(113),
    [sym_labeled_statement] = STATE(113),
    [sym_expression_statement] = STATE(113),
    [sym_if_statement] = STATE(113),
    [sym_switch_statement] = STATE(113),
    [sym_while_statement] = STATE(113),
    [sym_do_statement] = STATE(113),
    [sym_for_statement] = STATE(113),
    [sym_return_statement] = STATE(113),
    [sym_break_statement] = STATE(113),
    [sym_continue_statement] = STATE(113),
    [sym_goto_statement] = STATE(113),
    [sym_seh_try_statement] = STATE(113),
    [sym_seh_leave_statement] = STATE(113),
    [sym__expression] = STATE(5674),
    [sym__expression_not_binary] = STATE(5024),
    [sym__string] = STATE(5024),
    [sym_comma_expression] = STATE(10272),
    [sym_conditional_expression] = STATE(5024),
    [sym_assignment_expression] = STATE(5024),
    [sym_pointer_expression] = STATE(4507),
    [sym_unary_expression] = STATE(5024),
    [sym_binary_expression] = STATE(5024),
    [sym_update_expression] = STATE(5024),
    [sym_cast_expression] = STATE(5024),
    [sym_sizeof_expression] = STATE(5024),
    [sym_alignof_expression] = STATE(5024),
    [sym_offsetof_expression] = STATE(5024),
    [sym_generic_expression] = STATE(5024),
    [sym_subscript_expression] = STATE(4507),
    [sym_call_expression] = STATE(4507),
    [sym_gnu_asm_expression] = STATE(5024),
    [sym_field_expression] = STATE(4507),
    [sym_compound_literal_expression] = STATE(5024),
    [sym_parenthesized_expression] = STATE(4507),
    [sym_char_literal] = STATE(5374),
    [sym_concatenated_string] = STATE(5377),
    [sym_string_literal] = STATE(4206),
    [sym_null] = STATE(5024),
    [sym_placeholder_type_specifier] = STATE(3085),
    [sym_decltype_auto] = STATE(3091),
    [sym_decltype] = STATE(3050),
    [sym_class_specifier] = STATE(3085),
    [sym__class_name] = STATE(9352),
    [sym_virtual] = STATE(2673),
    [sym_alignas_specifier] = STATE(2673),
    [sym_dependent_type] = STATE(3085),
    [sym_template_type] = STATE(3129),
    [sym_template_function] = STATE(5024),
    [sym_for_range_loop] = STATE(113),
    [sym_co_return_statement] = STATE(113),
    [sym_co_yield_statement] = STATE(113),
    [sym_throw_statement] = STATE(113),
    [sym_try_statement] = STATE(113),
    [sym_raw_string_literal] = STATE(4217),
    [sym_co_await_expression] = STATE(5024),
    [sym_new_expression] = STATE(5024),
    [sym_delete_expression] = STATE(5024),
    [sym_requires_clause] = STATE(5024),
    [sym_requires_expression] = STATE(5024),
    [sym_lambda_expression] = STATE(5024),
    [sym_lambda_capture_specifier] = STATE(7184),
    [sym_fold_expression] = STATE(5024),
    [sym_parameter_pack_expansion] = STATE(5024),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6970),
    [sym_qualified_identifier] = STATE(4507),
    [sym_qualified_type_identifier] = STATE(3127),
    [sym_user_defined_literal] = STATE(4507),
    [sym_discard_statement] = STATE(113),
    [sym_qualifiers] = STATE(2673),
    [sym_cbuffer_specifier] = STATE(113),
    [sym_hlsl_attribute] = STATE(9351),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2673),
    [aux_sym_attributed_declarator_repeat1] = STATE(1339),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3021),
    [aux_sym_case_statement_repeat1] = STATE(113),
    [sym_identifier] = ACTIONS(1898),
    [aux_sym_preproc_include_token1] = ACTIONS(1496),
    [aux_sym_preproc_def_token1] = ACTIONS(1496),
    [aux_sym_preproc_if_token1] = ACTIONS(1496),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1496),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1496),
    [sym_preproc_directive] = ACTIONS(1496),
    [anon_sym_LPAREN2] = ACTIONS(1472),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1474),
    [anon_sym_AMP_AMP] = ACTIONS(1498),
    [anon_sym_AMP] = ACTIONS(1478),
    [anon_sym_SEMI] = ACTIONS(177),
    [anon_sym___extension__] = ACTIONS(179),
    [anon_sym_typedef] = ACTIONS(181),
    [anon_sym_in] = ACTIONS(1480),
    [anon_sym_out] = ACTIONS(1480),
    [anon_sym_inout] = ACTIONS(1480),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1482),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(1496),
    [anon_sym___cdecl] = ACTIONS(1496),
    [anon_sym___clrcall] = ACTIONS(1496),
    [anon_sym___stdcall] = ACTIONS(1496),
    [anon_sym___fastcall] = ACTIONS(1496),
    [anon_sym___thiscall] = ACTIONS(1496),
    [anon_sym___vectorcall] = ACTIONS(1496),
    [anon_sym_LBRACE] = ACTIONS(830),
    [anon_sym_RBRACE] = ACTIONS(1498),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(1484),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(65),
    [anon_sym_enum] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(69),
    [anon_sym_struct] = ACTIONS(71),
    [anon_sym_union] = ACTIONS(73),
    [anon_sym_if] = ACTIONS(193),
    [anon_sym_else] = ACTIONS(1496),
    [anon_sym_switch] = ACTIONS(195),
    [anon_sym_case] = ACTIONS(1496),
    [anon_sym_default] = ACTIONS(1496),
    [anon_sym_while] = ACTIONS(201),
    [anon_sym_do] = ACTIONS(203),
    [anon_sym_for] = ACTIONS(205),
    [anon_sym_return] = ACTIONS(207),
    [anon_sym_break] = ACTIONS(209),
    [anon_sym_continue] = ACTIONS(211),
    [anon_sym_goto] = ACTIONS(213),
    [anon_sym___try] = ACTIONS(215),
    [anon_sym___leave] = ACTIONS(217),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [anon_sym_virtual] = ACTIONS(123),
    [anon_sym_alignas] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(1496),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_operator] = ACTIONS(1496),
    [anon_sym_try] = ACTIONS(225),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(227),
    [anon_sym_namespace] = ACTIONS(1496),
    [anon_sym_using] = ACTIONS(1496),
    [anon_sym_static_assert] = ACTIONS(1496),
    [anon_sym_concept] = ACTIONS(1496),
    [anon_sym_co_return] = ACTIONS(237),
    [anon_sym_co_yield] = ACTIONS(239),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
    [anon_sym_discard] = ACTIONS(241),
    [anon_sym_precise] = ACTIONS(161),
    [anon_sym_shared] = ACTIONS(161),
    [anon_sym_groupshared] = ACTIONS(161),
    [anon_sym_uniform] = ACTIONS(161),
    [anon_sym_row_major] = ACTIONS(161),
    [anon_sym_column_major] = ACTIONS(161),
    [anon_sym_globallycoherent] = ACTIONS(161),
    [anon_sym_centroid] = ACTIONS(161),
    [anon_sym_noperspective] = ACTIONS(161),
    [anon_sym_nointerpolation] = ACTIONS(161),
    [anon_sym_sample] = ACTIONS(161),
    [anon_sym_linear] = ACTIONS(161),
    [anon_sym_snorm] = ACTIONS(161),
    [anon_sym_unorm] = ACTIONS(161),
    [anon_sym_point] = ACTIONS(161),
    [anon_sym_line] = ACTIONS(161),
    [anon_sym_triangleadj] = ACTIONS(161),
    [anon_sym_lineadj] = ACTIONS(161),
    [anon_sym_triangle] = ACTIONS(161),
    [anon_sym_cbuffer] = ACTIONS(243),
  },
  [119] = {
    [sym_declaration] = STATE(120),
    [sym_type_definition] = STATE(120),
    [sym__declaration_modifiers] = STATE(2673),
    [sym__declaration_specifiers] = STATE(6281),
    [sym_attribute_specifier] = STATE(2673),
    [sym_attribute_declaration] = STATE(1556),
    [sym_ms_declspec_modifier] = STATE(2673),
    [sym_compound_statement] = STATE(120),
    [sym_storage_class_specifier] = STATE(2673),
    [sym_type_qualifier] = STATE(2673),
    [sym__type_specifier] = STATE(2827),
    [sym_sized_type_specifier] = STATE(3085),
    [sym_enum_specifier] = STATE(3085),
    [sym_struct_specifier] = STATE(3085),
    [sym_union_specifier] = STATE(3085),
    [sym_attributed_statement] = STATE(120),
    [sym_labeled_statement] = STATE(120),
    [sym_expression_statement] = STATE(120),
    [sym_if_statement] = STATE(120),
    [sym_switch_statement] = STATE(120),
    [sym_while_statement] = STATE(120),
    [sym_do_statement] = STATE(120),
    [sym_for_statement] = STATE(120),
    [sym_return_statement] = STATE(120),
    [sym_break_statement] = STATE(120),
    [sym_continue_statement] = STATE(120),
    [sym_goto_statement] = STATE(120),
    [sym_seh_try_statement] = STATE(120),
    [sym_seh_leave_statement] = STATE(120),
    [sym__expression] = STATE(5768),
    [sym__expression_not_binary] = STATE(5024),
    [sym__string] = STATE(5024),
    [sym_comma_expression] = STATE(9694),
    [sym_conditional_expression] = STATE(5024),
    [sym_assignment_expression] = STATE(5024),
    [sym_pointer_expression] = STATE(4507),
    [sym_unary_expression] = STATE(5024),
    [sym_binary_expression] = STATE(5024),
    [sym_update_expression] = STATE(5024),
    [sym_cast_expression] = STATE(5024),
    [sym_sizeof_expression] = STATE(5024),
    [sym_alignof_expression] = STATE(5024),
    [sym_offsetof_expression] = STATE(5024),
    [sym_generic_expression] = STATE(5024),
    [sym_subscript_expression] = STATE(4507),
    [sym_call_expression] = STATE(4507),
    [sym_gnu_asm_expression] = STATE(5024),
    [sym_field_expression] = STATE(4507),
    [sym_compound_literal_expression] = STATE(5024),
    [sym_parenthesized_expression] = STATE(4507),
    [sym_char_literal] = STATE(5374),
    [sym_concatenated_string] = STATE(5377),
    [sym_string_literal] = STATE(4206),
    [sym_null] = STATE(5024),
    [sym_placeholder_type_specifier] = STATE(3085),
    [sym_decltype_auto] = STATE(3091),
    [sym_decltype] = STATE(3050),
    [sym_class_specifier] = STATE(3085),
    [sym__class_name] = STATE(9352),
    [sym_virtual] = STATE(2673),
    [sym_alignas_specifier] = STATE(2673),
    [sym_dependent_type] = STATE(3085),
    [sym_template_type] = STATE(3129),
    [sym_template_function] = STATE(5024),
    [sym_for_range_loop] = STATE(120),
    [sym_co_return_statement] = STATE(120),
    [sym_co_yield_statement] = STATE(120),
    [sym_throw_statement] = STATE(120),
    [sym_try_statement] = STATE(120),
    [sym_raw_string_literal] = STATE(4217),
    [sym_co_await_expression] = STATE(5024),
    [sym_new_expression] = STATE(5024),
    [sym_delete_expression] = STATE(5024),
    [sym_requires_clause] = STATE(5024),
    [sym_requires_expression] = STATE(5024),
    [sym_lambda_expression] = STATE(5024),
    [sym_lambda_capture_specifier] = STATE(7184),
    [sym_fold_expression] = STATE(5024),
    [sym_parameter_pack_expansion] = STATE(5024),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6970),
    [sym_qualified_identifier] = STATE(4507),
    [sym_qualified_type_identifier] = STATE(3127),
    [sym_user_defined_literal] = STATE(4507),
    [sym_discard_statement] = STATE(120),
    [sym_qualifiers] = STATE(2673),
    [sym_cbuffer_specifier] = STATE(120),
    [sym_hlsl_attribute] = STATE(9208),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2673),
    [aux_sym_attributed_declarator_repeat1] = STATE(1367),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3021),
    [aux_sym_case_statement_repeat1] = STATE(120),
    [sym_identifier] = ACTIONS(1830),
    [aux_sym_preproc_include_token1] = ACTIONS(1496),
    [aux_sym_preproc_def_token1] = ACTIONS(1496),
    [aux_sym_preproc_if_token1] = ACTIONS(1496),
    [aux_sym_preproc_if_token2] = ACTIONS(1496),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1496),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1496),
    [sym_preproc_directive] = ACTIONS(1496),
    [anon_sym_LPAREN2] = ACTIONS(1472),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1474),
    [anon_sym_AMP_AMP] = ACTIONS(1498),
    [anon_sym_AMP] = ACTIONS(1478),
    [anon_sym_SEMI] = ACTIONS(1128),
    [anon_sym___extension__] = ACTIONS(1130),
    [anon_sym_typedef] = ACTIONS(1132),
    [anon_sym_in] = ACTIONS(1480),
    [anon_sym_out] = ACTIONS(1480),
    [anon_sym_inout] = ACTIONS(1480),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1482),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(1496),
    [anon_sym___cdecl] = ACTIONS(1496),
    [anon_sym___clrcall] = ACTIONS(1496),
    [anon_sym___stdcall] = ACTIONS(1496),
    [anon_sym___fastcall] = ACTIONS(1496),
    [anon_sym___thiscall] = ACTIONS(1496),
    [anon_sym___vectorcall] = ACTIONS(1496),
    [anon_sym_LBRACE] = ACTIONS(1136),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(1484),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(65),
    [anon_sym_enum] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(69),
    [anon_sym_struct] = ACTIONS(71),
    [anon_sym_union] = ACTIONS(73),
    [anon_sym_if] = ACTIONS(1140),
    [anon_sym_else] = ACTIONS(1496),
    [anon_sym_switch] = ACTIONS(1142),
    [anon_sym_case] = ACTIONS(1496),
    [anon_sym_default] = ACTIONS(1496),
    [anon_sym_while] = ACTIONS(1148),
    [anon_sym_do] = ACTIONS(1150),
    [anon_sym_for] = ACTIONS(1152),
    [anon_sym_return] = ACTIONS(1154),
    [anon_sym_break] = ACTIONS(1156),
    [anon_sym_continue] = ACTIONS(1158),
    [anon_sym_goto] = ACTIONS(1160),
    [anon_sym___try] = ACTIONS(1162),
    [anon_sym___leave] = ACTIONS(1164),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [anon_sym_virtual] = ACTIONS(123),
    [anon_sym_alignas] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(1496),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_operator] = ACTIONS(1496),
    [anon_sym_try] = ACTIONS(1168),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(1170),
    [anon_sym_namespace] = ACTIONS(1496),
    [anon_sym_using] = ACTIONS(1496),
    [anon_sym_static_assert] = ACTIONS(1496),
    [anon_sym_concept] = ACTIONS(1496),
    [anon_sym_co_return] = ACTIONS(1180),
    [anon_sym_co_yield] = ACTIONS(1182),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
    [anon_sym_discard] = ACTIONS(1184),
    [anon_sym_precise] = ACTIONS(161),
    [anon_sym_shared] = ACTIONS(161),
    [anon_sym_groupshared] = ACTIONS(161),
    [anon_sym_uniform] = ACTIONS(161),
    [anon_sym_row_major] = ACTIONS(161),
    [anon_sym_column_major] = ACTIONS(161),
    [anon_sym_globallycoherent] = ACTIONS(161),
    [anon_sym_centroid] = ACTIONS(161),
    [anon_sym_noperspective] = ACTIONS(161),
    [anon_sym_nointerpolation] = ACTIONS(161),
    [anon_sym_sample] = ACTIONS(161),
    [anon_sym_linear] = ACTIONS(161),
    [anon_sym_snorm] = ACTIONS(161),
    [anon_sym_unorm] = ACTIONS(161),
    [anon_sym_point] = ACTIONS(161),
    [anon_sym_line] = ACTIONS(161),
    [anon_sym_triangleadj] = ACTIONS(161),
    [anon_sym_lineadj] = ACTIONS(161),
    [anon_sym_triangle] = ACTIONS(161),
    [anon_sym_cbuffer] = ACTIONS(1186),
  },
  [120] = {
    [sym_declaration] = STATE(114),
    [sym_type_definition] = STATE(114),
    [sym__declaration_modifiers] = STATE(2673),
    [sym__declaration_specifiers] = STATE(6281),
    [sym_attribute_specifier] = STATE(2673),
    [sym_attribute_declaration] = STATE(1556),
    [sym_ms_declspec_modifier] = STATE(2673),
    [sym_compound_statement] = STATE(114),
    [sym_storage_class_specifier] = STATE(2673),
    [sym_type_qualifier] = STATE(2673),
    [sym__type_specifier] = STATE(2827),
    [sym_sized_type_specifier] = STATE(3085),
    [sym_enum_specifier] = STATE(3085),
    [sym_struct_specifier] = STATE(3085),
    [sym_union_specifier] = STATE(3085),
    [sym_attributed_statement] = STATE(114),
    [sym_labeled_statement] = STATE(114),
    [sym_expression_statement] = STATE(114),
    [sym_if_statement] = STATE(114),
    [sym_switch_statement] = STATE(114),
    [sym_while_statement] = STATE(114),
    [sym_do_statement] = STATE(114),
    [sym_for_statement] = STATE(114),
    [sym_return_statement] = STATE(114),
    [sym_break_statement] = STATE(114),
    [sym_continue_statement] = STATE(114),
    [sym_goto_statement] = STATE(114),
    [sym_seh_try_statement] = STATE(114),
    [sym_seh_leave_statement] = STATE(114),
    [sym__expression] = STATE(5768),
    [sym__expression_not_binary] = STATE(5024),
    [sym__string] = STATE(5024),
    [sym_comma_expression] = STATE(9694),
    [sym_conditional_expression] = STATE(5024),
    [sym_assignment_expression] = STATE(5024),
    [sym_pointer_expression] = STATE(4507),
    [sym_unary_expression] = STATE(5024),
    [sym_binary_expression] = STATE(5024),
    [sym_update_expression] = STATE(5024),
    [sym_cast_expression] = STATE(5024),
    [sym_sizeof_expression] = STATE(5024),
    [sym_alignof_expression] = STATE(5024),
    [sym_offsetof_expression] = STATE(5024),
    [sym_generic_expression] = STATE(5024),
    [sym_subscript_expression] = STATE(4507),
    [sym_call_expression] = STATE(4507),
    [sym_gnu_asm_expression] = STATE(5024),
    [sym_field_expression] = STATE(4507),
    [sym_compound_literal_expression] = STATE(5024),
    [sym_parenthesized_expression] = STATE(4507),
    [sym_char_literal] = STATE(5374),
    [sym_concatenated_string] = STATE(5377),
    [sym_string_literal] = STATE(4206),
    [sym_null] = STATE(5024),
    [sym_placeholder_type_specifier] = STATE(3085),
    [sym_decltype_auto] = STATE(3091),
    [sym_decltype] = STATE(3050),
    [sym_class_specifier] = STATE(3085),
    [sym__class_name] = STATE(9352),
    [sym_virtual] = STATE(2673),
    [sym_alignas_specifier] = STATE(2673),
    [sym_dependent_type] = STATE(3085),
    [sym_template_type] = STATE(3129),
    [sym_template_function] = STATE(5024),
    [sym_for_range_loop] = STATE(114),
    [sym_co_return_statement] = STATE(114),
    [sym_co_yield_statement] = STATE(114),
    [sym_throw_statement] = STATE(114),
    [sym_try_statement] = STATE(114),
    [sym_raw_string_literal] = STATE(4217),
    [sym_co_await_expression] = STATE(5024),
    [sym_new_expression] = STATE(5024),
    [sym_delete_expression] = STATE(5024),
    [sym_requires_clause] = STATE(5024),
    [sym_requires_expression] = STATE(5024),
    [sym_lambda_expression] = STATE(5024),
    [sym_lambda_capture_specifier] = STATE(7184),
    [sym_fold_expression] = STATE(5024),
    [sym_parameter_pack_expansion] = STATE(5024),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6970),
    [sym_qualified_identifier] = STATE(4507),
    [sym_qualified_type_identifier] = STATE(3127),
    [sym_user_defined_literal] = STATE(4507),
    [sym_discard_statement] = STATE(114),
    [sym_qualifiers] = STATE(2673),
    [sym_cbuffer_specifier] = STATE(114),
    [sym_hlsl_attribute] = STATE(9208),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2673),
    [aux_sym_attributed_declarator_repeat1] = STATE(1367),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3021),
    [aux_sym_case_statement_repeat1] = STATE(114),
    [sym_identifier] = ACTIONS(1830),
    [aux_sym_preproc_include_token1] = ACTIONS(1488),
    [aux_sym_preproc_def_token1] = ACTIONS(1488),
    [aux_sym_preproc_if_token1] = ACTIONS(1488),
    [aux_sym_preproc_if_token2] = ACTIONS(1488),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1488),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1488),
    [sym_preproc_directive] = ACTIONS(1488),
    [anon_sym_LPAREN2] = ACTIONS(1472),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1474),
    [anon_sym_AMP_AMP] = ACTIONS(1490),
    [anon_sym_AMP] = ACTIONS(1478),
    [anon_sym_SEMI] = ACTIONS(1128),
    [anon_sym___extension__] = ACTIONS(1130),
    [anon_sym_typedef] = ACTIONS(1132),
    [anon_sym_in] = ACTIONS(1480),
    [anon_sym_out] = ACTIONS(1480),
    [anon_sym_inout] = ACTIONS(1480),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1482),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(1488),
    [anon_sym___cdecl] = ACTIONS(1488),
    [anon_sym___clrcall] = ACTIONS(1488),
    [anon_sym___stdcall] = ACTIONS(1488),
    [anon_sym___fastcall] = ACTIONS(1488),
    [anon_sym___thiscall] = ACTIONS(1488),
    [anon_sym___vectorcall] = ACTIONS(1488),
    [anon_sym_LBRACE] = ACTIONS(1136),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(1484),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(65),
    [anon_sym_enum] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(69),
    [anon_sym_struct] = ACTIONS(71),
    [anon_sym_union] = ACTIONS(73),
    [anon_sym_if] = ACTIONS(1140),
    [anon_sym_else] = ACTIONS(1488),
    [anon_sym_switch] = ACTIONS(1142),
    [anon_sym_case] = ACTIONS(1488),
    [anon_sym_default] = ACTIONS(1488),
    [anon_sym_while] = ACTIONS(1148),
    [anon_sym_do] = ACTIONS(1150),
    [anon_sym_for] = ACTIONS(1152),
    [anon_sym_return] = ACTIONS(1154),
    [anon_sym_break] = ACTIONS(1156),
    [anon_sym_continue] = ACTIONS(1158),
    [anon_sym_goto] = ACTIONS(1160),
    [anon_sym___try] = ACTIONS(1162),
    [anon_sym___leave] = ACTIONS(1164),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [anon_sym_virtual] = ACTIONS(123),
    [anon_sym_alignas] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(1488),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_operator] = ACTIONS(1488),
    [anon_sym_try] = ACTIONS(1168),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(1170),
    [anon_sym_namespace] = ACTIONS(1488),
    [anon_sym_using] = ACTIONS(1488),
    [anon_sym_static_assert] = ACTIONS(1488),
    [anon_sym_concept] = ACTIONS(1488),
    [anon_sym_co_return] = ACTIONS(1180),
    [anon_sym_co_yield] = ACTIONS(1182),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
    [anon_sym_discard] = ACTIONS(1184),
    [anon_sym_precise] = ACTIONS(161),
    [anon_sym_shared] = ACTIONS(161),
    [anon_sym_groupshared] = ACTIONS(161),
    [anon_sym_uniform] = ACTIONS(161),
    [anon_sym_row_major] = ACTIONS(161),
    [anon_sym_column_major] = ACTIONS(161),
    [anon_sym_globallycoherent] = ACTIONS(161),
    [anon_sym_centroid] = ACTIONS(161),
    [anon_sym_noperspective] = ACTIONS(161),
    [anon_sym_nointerpolation] = ACTIONS(161),
    [anon_sym_sample] = ACTIONS(161),
    [anon_sym_linear] = ACTIONS(161),
    [anon_sym_snorm] = ACTIONS(161),
    [anon_sym_unorm] = ACTIONS(161),
    [anon_sym_point] = ACTIONS(161),
    [anon_sym_line] = ACTIONS(161),
    [anon_sym_triangleadj] = ACTIONS(161),
    [anon_sym_lineadj] = ACTIONS(161),
    [anon_sym_triangle] = ACTIONS(161),
    [anon_sym_cbuffer] = ACTIONS(1186),
  },
  [121] = {
    [sym_declaration] = STATE(112),
    [sym_type_definition] = STATE(112),
    [sym__declaration_modifiers] = STATE(2673),
    [sym__declaration_specifiers] = STATE(6297),
    [sym_attribute_specifier] = STATE(2673),
    [sym_attribute_declaration] = STATE(1556),
    [sym_ms_declspec_modifier] = STATE(2673),
    [sym_compound_statement] = STATE(112),
    [sym_storage_class_specifier] = STATE(2673),
    [sym_type_qualifier] = STATE(2673),
    [sym__type_specifier] = STATE(2827),
    [sym_sized_type_specifier] = STATE(3085),
    [sym_enum_specifier] = STATE(3085),
    [sym_struct_specifier] = STATE(3085),
    [sym_union_specifier] = STATE(3085),
    [sym_attributed_statement] = STATE(112),
    [sym_labeled_statement] = STATE(112),
    [sym_expression_statement] = STATE(112),
    [sym_if_statement] = STATE(112),
    [sym_switch_statement] = STATE(112),
    [sym_while_statement] = STATE(112),
    [sym_do_statement] = STATE(112),
    [sym_for_statement] = STATE(112),
    [sym_return_statement] = STATE(112),
    [sym_break_statement] = STATE(112),
    [sym_continue_statement] = STATE(112),
    [sym_goto_statement] = STATE(112),
    [sym_seh_try_statement] = STATE(112),
    [sym_seh_leave_statement] = STATE(112),
    [sym__expression] = STATE(5674),
    [sym__expression_not_binary] = STATE(5024),
    [sym__string] = STATE(5024),
    [sym_comma_expression] = STATE(10272),
    [sym_conditional_expression] = STATE(5024),
    [sym_assignment_expression] = STATE(5024),
    [sym_pointer_expression] = STATE(4507),
    [sym_unary_expression] = STATE(5024),
    [sym_binary_expression] = STATE(5024),
    [sym_update_expression] = STATE(5024),
    [sym_cast_expression] = STATE(5024),
    [sym_sizeof_expression] = STATE(5024),
    [sym_alignof_expression] = STATE(5024),
    [sym_offsetof_expression] = STATE(5024),
    [sym_generic_expression] = STATE(5024),
    [sym_subscript_expression] = STATE(4507),
    [sym_call_expression] = STATE(4507),
    [sym_gnu_asm_expression] = STATE(5024),
    [sym_field_expression] = STATE(4507),
    [sym_compound_literal_expression] = STATE(5024),
    [sym_parenthesized_expression] = STATE(4507),
    [sym_char_literal] = STATE(5374),
    [sym_concatenated_string] = STATE(5377),
    [sym_string_literal] = STATE(4206),
    [sym_null] = STATE(5024),
    [sym_placeholder_type_specifier] = STATE(3085),
    [sym_decltype_auto] = STATE(3091),
    [sym_decltype] = STATE(3050),
    [sym_class_specifier] = STATE(3085),
    [sym__class_name] = STATE(9352),
    [sym_virtual] = STATE(2673),
    [sym_alignas_specifier] = STATE(2673),
    [sym_dependent_type] = STATE(3085),
    [sym_template_type] = STATE(3129),
    [sym_template_function] = STATE(5024),
    [sym_for_range_loop] = STATE(112),
    [sym_co_return_statement] = STATE(112),
    [sym_co_yield_statement] = STATE(112),
    [sym_throw_statement] = STATE(112),
    [sym_try_statement] = STATE(112),
    [sym_raw_string_literal] = STATE(4217),
    [sym_co_await_expression] = STATE(5024),
    [sym_new_expression] = STATE(5024),
    [sym_delete_expression] = STATE(5024),
    [sym_requires_clause] = STATE(5024),
    [sym_requires_expression] = STATE(5024),
    [sym_lambda_expression] = STATE(5024),
    [sym_lambda_capture_specifier] = STATE(7184),
    [sym_fold_expression] = STATE(5024),
    [sym_parameter_pack_expansion] = STATE(5024),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6970),
    [sym_qualified_identifier] = STATE(4507),
    [sym_qualified_type_identifier] = STATE(3127),
    [sym_user_defined_literal] = STATE(4507),
    [sym_discard_statement] = STATE(112),
    [sym_qualifiers] = STATE(2673),
    [sym_cbuffer_specifier] = STATE(112),
    [sym_hlsl_attribute] = STATE(9351),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2673),
    [aux_sym_attributed_declarator_repeat1] = STATE(1339),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3021),
    [aux_sym_case_statement_repeat1] = STATE(112),
    [sym_identifier] = ACTIONS(1898),
    [aux_sym_preproc_include_token1] = ACTIONS(1492),
    [aux_sym_preproc_def_token1] = ACTIONS(1492),
    [aux_sym_preproc_if_token1] = ACTIONS(1492),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1492),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1492),
    [sym_preproc_directive] = ACTIONS(1492),
    [anon_sym_LPAREN2] = ACTIONS(1472),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1474),
    [anon_sym_AMP_AMP] = ACTIONS(1494),
    [anon_sym_AMP] = ACTIONS(1478),
    [anon_sym_SEMI] = ACTIONS(177),
    [anon_sym___extension__] = ACTIONS(179),
    [anon_sym_typedef] = ACTIONS(181),
    [anon_sym_in] = ACTIONS(1480),
    [anon_sym_out] = ACTIONS(1480),
    [anon_sym_inout] = ACTIONS(1480),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1482),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(1492),
    [anon_sym___cdecl] = ACTIONS(1492),
    [anon_sym___clrcall] = ACTIONS(1492),
    [anon_sym___stdcall] = ACTIONS(1492),
    [anon_sym___fastcall] = ACTIONS(1492),
    [anon_sym___thiscall] = ACTIONS(1492),
    [anon_sym___vectorcall] = ACTIONS(1492),
    [anon_sym_LBRACE] = ACTIONS(830),
    [anon_sym_RBRACE] = ACTIONS(1494),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(1484),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(65),
    [anon_sym_enum] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(69),
    [anon_sym_struct] = ACTIONS(71),
    [anon_sym_union] = ACTIONS(73),
    [anon_sym_if] = ACTIONS(193),
    [anon_sym_else] = ACTIONS(1492),
    [anon_sym_switch] = ACTIONS(195),
    [anon_sym_case] = ACTIONS(1492),
    [anon_sym_default] = ACTIONS(1492),
    [anon_sym_while] = ACTIONS(201),
    [anon_sym_do] = ACTIONS(203),
    [anon_sym_for] = ACTIONS(205),
    [anon_sym_return] = ACTIONS(207),
    [anon_sym_break] = ACTIONS(209),
    [anon_sym_continue] = ACTIONS(211),
    [anon_sym_goto] = ACTIONS(213),
    [anon_sym___try] = ACTIONS(215),
    [anon_sym___leave] = ACTIONS(217),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [anon_sym_virtual] = ACTIONS(123),
    [anon_sym_alignas] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(1492),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_operator] = ACTIONS(1492),
    [anon_sym_try] = ACTIONS(225),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(227),
    [anon_sym_namespace] = ACTIONS(1492),
    [anon_sym_using] = ACTIONS(1492),
    [anon_sym_static_assert] = ACTIONS(1492),
    [anon_sym_concept] = ACTIONS(1492),
    [anon_sym_co_return] = ACTIONS(237),
    [anon_sym_co_yield] = ACTIONS(239),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
    [anon_sym_discard] = ACTIONS(241),
    [anon_sym_precise] = ACTIONS(161),
    [anon_sym_shared] = ACTIONS(161),
    [anon_sym_groupshared] = ACTIONS(161),
    [anon_sym_uniform] = ACTIONS(161),
    [anon_sym_row_major] = ACTIONS(161),
    [anon_sym_column_major] = ACTIONS(161),
    [anon_sym_globallycoherent] = ACTIONS(161),
    [anon_sym_centroid] = ACTIONS(161),
    [anon_sym_noperspective] = ACTIONS(161),
    [anon_sym_nointerpolation] = ACTIONS(161),
    [anon_sym_sample] = ACTIONS(161),
    [anon_sym_linear] = ACTIONS(161),
    [anon_sym_snorm] = ACTIONS(161),
    [anon_sym_unorm] = ACTIONS(161),
    [anon_sym_point] = ACTIONS(161),
    [anon_sym_line] = ACTIONS(161),
    [anon_sym_triangleadj] = ACTIONS(161),
    [anon_sym_lineadj] = ACTIONS(161),
    [anon_sym_triangle] = ACTIONS(161),
    [anon_sym_cbuffer] = ACTIONS(243),
  },
  [122] = {
    [sym_declaration] = STATE(121),
    [sym_type_definition] = STATE(121),
    [sym__declaration_modifiers] = STATE(2673),
    [sym__declaration_specifiers] = STATE(6297),
    [sym_attribute_specifier] = STATE(2673),
    [sym_attribute_declaration] = STATE(1556),
    [sym_ms_declspec_modifier] = STATE(2673),
    [sym_compound_statement] = STATE(121),
    [sym_storage_class_specifier] = STATE(2673),
    [sym_type_qualifier] = STATE(2673),
    [sym__type_specifier] = STATE(2827),
    [sym_sized_type_specifier] = STATE(3085),
    [sym_enum_specifier] = STATE(3085),
    [sym_struct_specifier] = STATE(3085),
    [sym_union_specifier] = STATE(3085),
    [sym_attributed_statement] = STATE(121),
    [sym_labeled_statement] = STATE(121),
    [sym_expression_statement] = STATE(121),
    [sym_if_statement] = STATE(121),
    [sym_switch_statement] = STATE(121),
    [sym_while_statement] = STATE(121),
    [sym_do_statement] = STATE(121),
    [sym_for_statement] = STATE(121),
    [sym_return_statement] = STATE(121),
    [sym_break_statement] = STATE(121),
    [sym_continue_statement] = STATE(121),
    [sym_goto_statement] = STATE(121),
    [sym_seh_try_statement] = STATE(121),
    [sym_seh_leave_statement] = STATE(121),
    [sym__expression] = STATE(5674),
    [sym__expression_not_binary] = STATE(5024),
    [sym__string] = STATE(5024),
    [sym_comma_expression] = STATE(10272),
    [sym_conditional_expression] = STATE(5024),
    [sym_assignment_expression] = STATE(5024),
    [sym_pointer_expression] = STATE(4507),
    [sym_unary_expression] = STATE(5024),
    [sym_binary_expression] = STATE(5024),
    [sym_update_expression] = STATE(5024),
    [sym_cast_expression] = STATE(5024),
    [sym_sizeof_expression] = STATE(5024),
    [sym_alignof_expression] = STATE(5024),
    [sym_offsetof_expression] = STATE(5024),
    [sym_generic_expression] = STATE(5024),
    [sym_subscript_expression] = STATE(4507),
    [sym_call_expression] = STATE(4507),
    [sym_gnu_asm_expression] = STATE(5024),
    [sym_field_expression] = STATE(4507),
    [sym_compound_literal_expression] = STATE(5024),
    [sym_parenthesized_expression] = STATE(4507),
    [sym_char_literal] = STATE(5374),
    [sym_concatenated_string] = STATE(5377),
    [sym_string_literal] = STATE(4206),
    [sym_null] = STATE(5024),
    [sym_placeholder_type_specifier] = STATE(3085),
    [sym_decltype_auto] = STATE(3091),
    [sym_decltype] = STATE(3050),
    [sym_class_specifier] = STATE(3085),
    [sym__class_name] = STATE(9352),
    [sym_virtual] = STATE(2673),
    [sym_alignas_specifier] = STATE(2673),
    [sym_dependent_type] = STATE(3085),
    [sym_template_type] = STATE(3129),
    [sym_template_function] = STATE(5024),
    [sym_for_range_loop] = STATE(121),
    [sym_co_return_statement] = STATE(121),
    [sym_co_yield_statement] = STATE(121),
    [sym_throw_statement] = STATE(121),
    [sym_try_statement] = STATE(121),
    [sym_raw_string_literal] = STATE(4217),
    [sym_co_await_expression] = STATE(5024),
    [sym_new_expression] = STATE(5024),
    [sym_delete_expression] = STATE(5024),
    [sym_requires_clause] = STATE(5024),
    [sym_requires_expression] = STATE(5024),
    [sym_lambda_expression] = STATE(5024),
    [sym_lambda_capture_specifier] = STATE(7184),
    [sym_fold_expression] = STATE(5024),
    [sym_parameter_pack_expansion] = STATE(5024),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6970),
    [sym_qualified_identifier] = STATE(4507),
    [sym_qualified_type_identifier] = STATE(3127),
    [sym_user_defined_literal] = STATE(4507),
    [sym_discard_statement] = STATE(121),
    [sym_qualifiers] = STATE(2673),
    [sym_cbuffer_specifier] = STATE(121),
    [sym_hlsl_attribute] = STATE(9351),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2673),
    [aux_sym_attributed_declarator_repeat1] = STATE(1339),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3021),
    [aux_sym_case_statement_repeat1] = STATE(121),
    [sym_identifier] = ACTIONS(1898),
    [aux_sym_preproc_include_token1] = ACTIONS(1470),
    [aux_sym_preproc_def_token1] = ACTIONS(1470),
    [aux_sym_preproc_if_token1] = ACTIONS(1470),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1470),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1470),
    [sym_preproc_directive] = ACTIONS(1470),
    [anon_sym_LPAREN2] = ACTIONS(1472),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1474),
    [anon_sym_AMP_AMP] = ACTIONS(1476),
    [anon_sym_AMP] = ACTIONS(1478),
    [anon_sym_SEMI] = ACTIONS(177),
    [anon_sym___extension__] = ACTIONS(179),
    [anon_sym_typedef] = ACTIONS(181),
    [anon_sym_in] = ACTIONS(1480),
    [anon_sym_out] = ACTIONS(1480),
    [anon_sym_inout] = ACTIONS(1480),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1482),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(1470),
    [anon_sym___cdecl] = ACTIONS(1470),
    [anon_sym___clrcall] = ACTIONS(1470),
    [anon_sym___stdcall] = ACTIONS(1470),
    [anon_sym___fastcall] = ACTIONS(1470),
    [anon_sym___thiscall] = ACTIONS(1470),
    [anon_sym___vectorcall] = ACTIONS(1470),
    [anon_sym_LBRACE] = ACTIONS(830),
    [anon_sym_RBRACE] = ACTIONS(1476),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(1484),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(65),
    [anon_sym_enum] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(69),
    [anon_sym_struct] = ACTIONS(71),
    [anon_sym_union] = ACTIONS(73),
    [anon_sym_if] = ACTIONS(193),
    [anon_sym_else] = ACTIONS(1470),
    [anon_sym_switch] = ACTIONS(195),
    [anon_sym_case] = ACTIONS(1470),
    [anon_sym_default] = ACTIONS(1470),
    [anon_sym_while] = ACTIONS(201),
    [anon_sym_do] = ACTIONS(203),
    [anon_sym_for] = ACTIONS(205),
    [anon_sym_return] = ACTIONS(207),
    [anon_sym_break] = ACTIONS(209),
    [anon_sym_continue] = ACTIONS(211),
    [anon_sym_goto] = ACTIONS(213),
    [anon_sym___try] = ACTIONS(215),
    [anon_sym___leave] = ACTIONS(217),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [anon_sym_virtual] = ACTIONS(123),
    [anon_sym_alignas] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(1470),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_operator] = ACTIONS(1470),
    [anon_sym_try] = ACTIONS(225),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(227),
    [anon_sym_namespace] = ACTIONS(1470),
    [anon_sym_using] = ACTIONS(1470),
    [anon_sym_static_assert] = ACTIONS(1470),
    [anon_sym_concept] = ACTIONS(1470),
    [anon_sym_co_return] = ACTIONS(237),
    [anon_sym_co_yield] = ACTIONS(239),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
    [anon_sym_discard] = ACTIONS(241),
    [anon_sym_precise] = ACTIONS(161),
    [anon_sym_shared] = ACTIONS(161),
    [anon_sym_groupshared] = ACTIONS(161),
    [anon_sym_uniform] = ACTIONS(161),
    [anon_sym_row_major] = ACTIONS(161),
    [anon_sym_column_major] = ACTIONS(161),
    [anon_sym_globallycoherent] = ACTIONS(161),
    [anon_sym_centroid] = ACTIONS(161),
    [anon_sym_noperspective] = ACTIONS(161),
    [anon_sym_nointerpolation] = ACTIONS(161),
    [anon_sym_sample] = ACTIONS(161),
    [anon_sym_linear] = ACTIONS(161),
    [anon_sym_snorm] = ACTIONS(161),
    [anon_sym_unorm] = ACTIONS(161),
    [anon_sym_point] = ACTIONS(161),
    [anon_sym_line] = ACTIONS(161),
    [anon_sym_triangleadj] = ACTIONS(161),
    [anon_sym_lineadj] = ACTIONS(161),
    [anon_sym_triangle] = ACTIONS(161),
    [anon_sym_cbuffer] = ACTIONS(243),
  },
  [123] = {
    [sym_declaration] = STATE(111),
    [sym_type_definition] = STATE(111),
    [sym__declaration_modifiers] = STATE(2673),
    [sym__declaration_specifiers] = STATE(6281),
    [sym_attribute_specifier] = STATE(2673),
    [sym_attribute_declaration] = STATE(1556),
    [sym_ms_declspec_modifier] = STATE(2673),
    [sym_compound_statement] = STATE(111),
    [sym_storage_class_specifier] = STATE(2673),
    [sym_type_qualifier] = STATE(2673),
    [sym__type_specifier] = STATE(2827),
    [sym_sized_type_specifier] = STATE(3085),
    [sym_enum_specifier] = STATE(3085),
    [sym_struct_specifier] = STATE(3085),
    [sym_union_specifier] = STATE(3085),
    [sym_attributed_statement] = STATE(111),
    [sym_labeled_statement] = STATE(111),
    [sym_expression_statement] = STATE(111),
    [sym_if_statement] = STATE(111),
    [sym_switch_statement] = STATE(111),
    [sym_while_statement] = STATE(111),
    [sym_do_statement] = STATE(111),
    [sym_for_statement] = STATE(111),
    [sym_return_statement] = STATE(111),
    [sym_break_statement] = STATE(111),
    [sym_continue_statement] = STATE(111),
    [sym_goto_statement] = STATE(111),
    [sym_seh_try_statement] = STATE(111),
    [sym_seh_leave_statement] = STATE(111),
    [sym__expression] = STATE(5768),
    [sym__expression_not_binary] = STATE(5024),
    [sym__string] = STATE(5024),
    [sym_comma_expression] = STATE(9694),
    [sym_conditional_expression] = STATE(5024),
    [sym_assignment_expression] = STATE(5024),
    [sym_pointer_expression] = STATE(4507),
    [sym_unary_expression] = STATE(5024),
    [sym_binary_expression] = STATE(5024),
    [sym_update_expression] = STATE(5024),
    [sym_cast_expression] = STATE(5024),
    [sym_sizeof_expression] = STATE(5024),
    [sym_alignof_expression] = STATE(5024),
    [sym_offsetof_expression] = STATE(5024),
    [sym_generic_expression] = STATE(5024),
    [sym_subscript_expression] = STATE(4507),
    [sym_call_expression] = STATE(4507),
    [sym_gnu_asm_expression] = STATE(5024),
    [sym_field_expression] = STATE(4507),
    [sym_compound_literal_expression] = STATE(5024),
    [sym_parenthesized_expression] = STATE(4507),
    [sym_char_literal] = STATE(5374),
    [sym_concatenated_string] = STATE(5377),
    [sym_string_literal] = STATE(4206),
    [sym_null] = STATE(5024),
    [sym_placeholder_type_specifier] = STATE(3085),
    [sym_decltype_auto] = STATE(3091),
    [sym_decltype] = STATE(3050),
    [sym_class_specifier] = STATE(3085),
    [sym__class_name] = STATE(9352),
    [sym_virtual] = STATE(2673),
    [sym_alignas_specifier] = STATE(2673),
    [sym_dependent_type] = STATE(3085),
    [sym_template_type] = STATE(3129),
    [sym_template_function] = STATE(5024),
    [sym_for_range_loop] = STATE(111),
    [sym_co_return_statement] = STATE(111),
    [sym_co_yield_statement] = STATE(111),
    [sym_throw_statement] = STATE(111),
    [sym_try_statement] = STATE(111),
    [sym_raw_string_literal] = STATE(4217),
    [sym_co_await_expression] = STATE(5024),
    [sym_new_expression] = STATE(5024),
    [sym_delete_expression] = STATE(5024),
    [sym_requires_clause] = STATE(5024),
    [sym_requires_expression] = STATE(5024),
    [sym_lambda_expression] = STATE(5024),
    [sym_lambda_capture_specifier] = STATE(7184),
    [sym_fold_expression] = STATE(5024),
    [sym_parameter_pack_expansion] = STATE(5024),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6970),
    [sym_qualified_identifier] = STATE(4507),
    [sym_qualified_type_identifier] = STATE(3127),
    [sym_user_defined_literal] = STATE(4507),
    [sym_discard_statement] = STATE(111),
    [sym_qualifiers] = STATE(2673),
    [sym_cbuffer_specifier] = STATE(111),
    [sym_hlsl_attribute] = STATE(9208),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2673),
    [aux_sym_attributed_declarator_repeat1] = STATE(1367),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3021),
    [aux_sym_case_statement_repeat1] = STATE(111),
    [sym_identifier] = ACTIONS(1830),
    [aux_sym_preproc_include_token1] = ACTIONS(1470),
    [aux_sym_preproc_def_token1] = ACTIONS(1470),
    [aux_sym_preproc_if_token1] = ACTIONS(1470),
    [aux_sym_preproc_if_token2] = ACTIONS(1470),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1470),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1470),
    [sym_preproc_directive] = ACTIONS(1470),
    [anon_sym_LPAREN2] = ACTIONS(1472),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1474),
    [anon_sym_AMP_AMP] = ACTIONS(1476),
    [anon_sym_AMP] = ACTIONS(1478),
    [anon_sym_SEMI] = ACTIONS(1128),
    [anon_sym___extension__] = ACTIONS(1130),
    [anon_sym_typedef] = ACTIONS(1132),
    [anon_sym_in] = ACTIONS(1480),
    [anon_sym_out] = ACTIONS(1480),
    [anon_sym_inout] = ACTIONS(1480),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1482),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(1470),
    [anon_sym___cdecl] = ACTIONS(1470),
    [anon_sym___clrcall] = ACTIONS(1470),
    [anon_sym___stdcall] = ACTIONS(1470),
    [anon_sym___fastcall] = ACTIONS(1470),
    [anon_sym___thiscall] = ACTIONS(1470),
    [anon_sym___vectorcall] = ACTIONS(1470),
    [anon_sym_LBRACE] = ACTIONS(1136),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(1484),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(65),
    [anon_sym_enum] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(69),
    [anon_sym_struct] = ACTIONS(71),
    [anon_sym_union] = ACTIONS(73),
    [anon_sym_if] = ACTIONS(1140),
    [anon_sym_else] = ACTIONS(1470),
    [anon_sym_switch] = ACTIONS(1142),
    [anon_sym_case] = ACTIONS(1470),
    [anon_sym_default] = ACTIONS(1470),
    [anon_sym_while] = ACTIONS(1148),
    [anon_sym_do] = ACTIONS(1150),
    [anon_sym_for] = ACTIONS(1152),
    [anon_sym_return] = ACTIONS(1154),
    [anon_sym_break] = ACTIONS(1156),
    [anon_sym_continue] = ACTIONS(1158),
    [anon_sym_goto] = ACTIONS(1160),
    [anon_sym___try] = ACTIONS(1162),
    [anon_sym___leave] = ACTIONS(1164),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [anon_sym_virtual] = ACTIONS(123),
    [anon_sym_alignas] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(1470),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_operator] = ACTIONS(1470),
    [anon_sym_try] = ACTIONS(1168),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(1170),
    [anon_sym_namespace] = ACTIONS(1470),
    [anon_sym_using] = ACTIONS(1470),
    [anon_sym_static_assert] = ACTIONS(1470),
    [anon_sym_concept] = ACTIONS(1470),
    [anon_sym_co_return] = ACTIONS(1180),
    [anon_sym_co_yield] = ACTIONS(1182),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
    [anon_sym_discard] = ACTIONS(1184),
    [anon_sym_precise] = ACTIONS(161),
    [anon_sym_shared] = ACTIONS(161),
    [anon_sym_groupshared] = ACTIONS(161),
    [anon_sym_uniform] = ACTIONS(161),
    [anon_sym_row_major] = ACTIONS(161),
    [anon_sym_column_major] = ACTIONS(161),
    [anon_sym_globallycoherent] = ACTIONS(161),
    [anon_sym_centroid] = ACTIONS(161),
    [anon_sym_noperspective] = ACTIONS(161),
    [anon_sym_nointerpolation] = ACTIONS(161),
    [anon_sym_sample] = ACTIONS(161),
    [anon_sym_linear] = ACTIONS(161),
    [anon_sym_snorm] = ACTIONS(161),
    [anon_sym_unorm] = ACTIONS(161),
    [anon_sym_point] = ACTIONS(161),
    [anon_sym_line] = ACTIONS(161),
    [anon_sym_triangleadj] = ACTIONS(161),
    [anon_sym_lineadj] = ACTIONS(161),
    [anon_sym_triangle] = ACTIONS(161),
    [anon_sym_cbuffer] = ACTIONS(1186),
  },
  [124] = {
    [sym_declaration] = STATE(110),
    [sym_type_definition] = STATE(110),
    [sym__declaration_modifiers] = STATE(2673),
    [sym__declaration_specifiers] = STATE(6416),
    [sym_attribute_specifier] = STATE(2673),
    [sym_attribute_declaration] = STATE(1556),
    [sym_ms_declspec_modifier] = STATE(2673),
    [sym_compound_statement] = STATE(110),
    [sym_storage_class_specifier] = STATE(2673),
    [sym_type_qualifier] = STATE(2673),
    [sym__type_specifier] = STATE(2827),
    [sym_sized_type_specifier] = STATE(3085),
    [sym_enum_specifier] = STATE(3085),
    [sym_struct_specifier] = STATE(3085),
    [sym_union_specifier] = STATE(3085),
    [sym_attributed_statement] = STATE(110),
    [sym_labeled_statement] = STATE(110),
    [sym_expression_statement] = STATE(110),
    [sym_if_statement] = STATE(110),
    [sym_switch_statement] = STATE(110),
    [sym_while_statement] = STATE(110),
    [sym_do_statement] = STATE(110),
    [sym_for_statement] = STATE(110),
    [sym_return_statement] = STATE(110),
    [sym_break_statement] = STATE(110),
    [sym_continue_statement] = STATE(110),
    [sym_goto_statement] = STATE(110),
    [sym_seh_try_statement] = STATE(110),
    [sym_seh_leave_statement] = STATE(110),
    [sym__expression] = STATE(5798),
    [sym__expression_not_binary] = STATE(5024),
    [sym__string] = STATE(5024),
    [sym_comma_expression] = STATE(9706),
    [sym_conditional_expression] = STATE(5024),
    [sym_assignment_expression] = STATE(5024),
    [sym_pointer_expression] = STATE(4507),
    [sym_unary_expression] = STATE(5024),
    [sym_binary_expression] = STATE(5024),
    [sym_update_expression] = STATE(5024),
    [sym_cast_expression] = STATE(5024),
    [sym_sizeof_expression] = STATE(5024),
    [sym_alignof_expression] = STATE(5024),
    [sym_offsetof_expression] = STATE(5024),
    [sym_generic_expression] = STATE(5024),
    [sym_subscript_expression] = STATE(4507),
    [sym_call_expression] = STATE(4507),
    [sym_gnu_asm_expression] = STATE(5024),
    [sym_field_expression] = STATE(4507),
    [sym_compound_literal_expression] = STATE(5024),
    [sym_parenthesized_expression] = STATE(4507),
    [sym_char_literal] = STATE(5374),
    [sym_concatenated_string] = STATE(5377),
    [sym_string_literal] = STATE(4206),
    [sym_null] = STATE(5024),
    [sym_placeholder_type_specifier] = STATE(3085),
    [sym_decltype_auto] = STATE(3091),
    [sym_decltype] = STATE(3050),
    [sym_class_specifier] = STATE(3085),
    [sym__class_name] = STATE(9352),
    [sym_virtual] = STATE(2673),
    [sym_alignas_specifier] = STATE(2673),
    [sym_dependent_type] = STATE(3085),
    [sym_template_type] = STATE(3129),
    [sym_template_function] = STATE(5024),
    [sym_for_range_loop] = STATE(110),
    [sym_co_return_statement] = STATE(110),
    [sym_co_yield_statement] = STATE(110),
    [sym_throw_statement] = STATE(110),
    [sym_try_statement] = STATE(110),
    [sym_raw_string_literal] = STATE(4217),
    [sym_co_await_expression] = STATE(5024),
    [sym_new_expression] = STATE(5024),
    [sym_delete_expression] = STATE(5024),
    [sym_requires_clause] = STATE(5024),
    [sym_requires_expression] = STATE(5024),
    [sym_lambda_expression] = STATE(5024),
    [sym_lambda_capture_specifier] = STATE(7184),
    [sym_fold_expression] = STATE(5024),
    [sym_parameter_pack_expansion] = STATE(5024),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6970),
    [sym_qualified_identifier] = STATE(4507),
    [sym_qualified_type_identifier] = STATE(3127),
    [sym_user_defined_literal] = STATE(4507),
    [sym_discard_statement] = STATE(110),
    [sym_qualifiers] = STATE(2673),
    [sym_cbuffer_specifier] = STATE(110),
    [sym_hlsl_attribute] = STATE(9024),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2673),
    [aux_sym_attributed_declarator_repeat1] = STATE(1342),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3021),
    [aux_sym_case_statement_repeat1] = STATE(110),
    [ts_builtin_sym_end] = ACTIONS(1490),
    [sym_identifier] = ACTIONS(1966),
    [aux_sym_preproc_include_token1] = ACTIONS(1488),
    [aux_sym_preproc_def_token1] = ACTIONS(1488),
    [aux_sym_preproc_if_token1] = ACTIONS(1488),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1488),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1488),
    [sym_preproc_directive] = ACTIONS(1488),
    [anon_sym_LPAREN2] = ACTIONS(1472),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1474),
    [anon_sym_AMP_AMP] = ACTIONS(1490),
    [anon_sym_AMP] = ACTIONS(1478),
    [anon_sym_SEMI] = ACTIONS(1968),
    [anon_sym___extension__] = ACTIONS(33),
    [anon_sym_typedef] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(1480),
    [anon_sym_out] = ACTIONS(1480),
    [anon_sym_inout] = ACTIONS(1480),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1482),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(1488),
    [anon_sym___cdecl] = ACTIONS(1488),
    [anon_sym___clrcall] = ACTIONS(1488),
    [anon_sym___stdcall] = ACTIONS(1488),
    [anon_sym___fastcall] = ACTIONS(1488),
    [anon_sym___thiscall] = ACTIONS(1488),
    [anon_sym___vectorcall] = ACTIONS(1488),
    [anon_sym_LBRACE] = ACTIONS(53),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(1484),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(65),
    [anon_sym_enum] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(69),
    [anon_sym_struct] = ACTIONS(71),
    [anon_sym_union] = ACTIONS(73),
    [anon_sym_if] = ACTIONS(75),
    [anon_sym_else] = ACTIONS(1488),
    [anon_sym_switch] = ACTIONS(77),
    [anon_sym_case] = ACTIONS(1488),
    [anon_sym_default] = ACTIONS(1488),
    [anon_sym_while] = ACTIONS(83),
    [anon_sym_do] = ACTIONS(85),
    [anon_sym_for] = ACTIONS(87),
    [anon_sym_return] = ACTIONS(89),
    [anon_sym_break] = ACTIONS(91),
    [anon_sym_continue] = ACTIONS(93),
    [anon_sym_goto] = ACTIONS(95),
    [anon_sym___try] = ACTIONS(1970),
    [anon_sym___leave] = ACTIONS(1972),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [anon_sym_virtual] = ACTIONS(123),
    [anon_sym_alignas] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(1488),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_operator] = ACTIONS(1488),
    [anon_sym_try] = ACTIONS(135),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(139),
    [anon_sym_namespace] = ACTIONS(1488),
    [anon_sym_using] = ACTIONS(1488),
    [anon_sym_static_assert] = ACTIONS(1488),
    [anon_sym_concept] = ACTIONS(1488),
    [anon_sym_co_return] = ACTIONS(149),
    [anon_sym_co_yield] = ACTIONS(151),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
    [anon_sym_discard] = ACTIONS(1974),
    [anon_sym_precise] = ACTIONS(161),
    [anon_sym_shared] = ACTIONS(161),
    [anon_sym_groupshared] = ACTIONS(161),
    [anon_sym_uniform] = ACTIONS(161),
    [anon_sym_row_major] = ACTIONS(161),
    [anon_sym_column_major] = ACTIONS(161),
    [anon_sym_globallycoherent] = ACTIONS(161),
    [anon_sym_centroid] = ACTIONS(161),
    [anon_sym_noperspective] = ACTIONS(161),
    [anon_sym_nointerpolation] = ACTIONS(161),
    [anon_sym_sample] = ACTIONS(161),
    [anon_sym_linear] = ACTIONS(161),
    [anon_sym_snorm] = ACTIONS(161),
    [anon_sym_unorm] = ACTIONS(161),
    [anon_sym_point] = ACTIONS(161),
    [anon_sym_line] = ACTIONS(161),
    [anon_sym_triangleadj] = ACTIONS(161),
    [anon_sym_lineadj] = ACTIONS(161),
    [anon_sym_triangle] = ACTIONS(161),
    [anon_sym_cbuffer] = ACTIONS(1976),
  },
  [125] = {
    [sym_declaration] = STATE(128),
    [sym_type_definition] = STATE(128),
    [sym__declaration_modifiers] = STATE(2673),
    [sym__declaration_specifiers] = STATE(6414),
    [sym_attribute_specifier] = STATE(2673),
    [sym_attribute_declaration] = STATE(1556),
    [sym_ms_declspec_modifier] = STATE(2673),
    [sym_compound_statement] = STATE(128),
    [sym_storage_class_specifier] = STATE(2673),
    [sym_type_qualifier] = STATE(2673),
    [sym__type_specifier] = STATE(2827),
    [sym_sized_type_specifier] = STATE(3085),
    [sym_enum_specifier] = STATE(3085),
    [sym_struct_specifier] = STATE(3085),
    [sym_union_specifier] = STATE(3085),
    [sym_attributed_statement] = STATE(128),
    [sym_labeled_statement] = STATE(128),
    [sym_expression_statement] = STATE(128),
    [sym_if_statement] = STATE(128),
    [sym_switch_statement] = STATE(128),
    [sym_while_statement] = STATE(128),
    [sym_do_statement] = STATE(128),
    [sym_for_statement] = STATE(128),
    [sym_return_statement] = STATE(128),
    [sym_break_statement] = STATE(128),
    [sym_continue_statement] = STATE(128),
    [sym_goto_statement] = STATE(128),
    [sym_seh_try_statement] = STATE(128),
    [sym_seh_leave_statement] = STATE(128),
    [sym__expression] = STATE(5719),
    [sym__expression_not_binary] = STATE(5024),
    [sym__string] = STATE(5024),
    [sym_comma_expression] = STATE(9810),
    [sym_conditional_expression] = STATE(5024),
    [sym_assignment_expression] = STATE(5024),
    [sym_pointer_expression] = STATE(4507),
    [sym_unary_expression] = STATE(5024),
    [sym_binary_expression] = STATE(5024),
    [sym_update_expression] = STATE(5024),
    [sym_cast_expression] = STATE(5024),
    [sym_sizeof_expression] = STATE(5024),
    [sym_alignof_expression] = STATE(5024),
    [sym_offsetof_expression] = STATE(5024),
    [sym_generic_expression] = STATE(5024),
    [sym_subscript_expression] = STATE(4507),
    [sym_call_expression] = STATE(4507),
    [sym_gnu_asm_expression] = STATE(5024),
    [sym_field_expression] = STATE(4507),
    [sym_compound_literal_expression] = STATE(5024),
    [sym_parenthesized_expression] = STATE(4507),
    [sym_char_literal] = STATE(5374),
    [sym_concatenated_string] = STATE(5377),
    [sym_string_literal] = STATE(4206),
    [sym_null] = STATE(5024),
    [sym_placeholder_type_specifier] = STATE(3085),
    [sym_decltype_auto] = STATE(3091),
    [sym_decltype] = STATE(3050),
    [sym_class_specifier] = STATE(3085),
    [sym__class_name] = STATE(9352),
    [sym_virtual] = STATE(2673),
    [sym_alignas_specifier] = STATE(2673),
    [sym_dependent_type] = STATE(3085),
    [sym_template_type] = STATE(3129),
    [sym_template_function] = STATE(5024),
    [sym_for_range_loop] = STATE(128),
    [sym_co_return_statement] = STATE(128),
    [sym_co_yield_statement] = STATE(128),
    [sym_throw_statement] = STATE(128),
    [sym_try_statement] = STATE(128),
    [sym_raw_string_literal] = STATE(4217),
    [sym_co_await_expression] = STATE(5024),
    [sym_new_expression] = STATE(5024),
    [sym_delete_expression] = STATE(5024),
    [sym_requires_clause] = STATE(5024),
    [sym_requires_expression] = STATE(5024),
    [sym_lambda_expression] = STATE(5024),
    [sym_lambda_capture_specifier] = STATE(7184),
    [sym_fold_expression] = STATE(5024),
    [sym_parameter_pack_expansion] = STATE(5024),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6970),
    [sym_qualified_identifier] = STATE(4507),
    [sym_qualified_type_identifier] = STATE(3127),
    [sym_user_defined_literal] = STATE(4507),
    [sym_discard_statement] = STATE(128),
    [sym_qualifiers] = STATE(2673),
    [sym_cbuffer_specifier] = STATE(128),
    [sym_hlsl_attribute] = STATE(9343),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2673),
    [aux_sym_attributed_declarator_repeat1] = STATE(1370),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3021),
    [aux_sym_case_statement_repeat1] = STATE(128),
    [sym_identifier] = ACTIONS(1978),
    [anon_sym_LPAREN2] = ACTIONS(1472),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1474),
    [anon_sym_AMP] = ACTIONS(1474),
    [anon_sym_SEMI] = ACTIONS(1980),
    [anon_sym___extension__] = ACTIONS(1982),
    [anon_sym_typedef] = ACTIONS(1984),
    [anon_sym_in] = ACTIONS(1480),
    [anon_sym_out] = ACTIONS(1480),
    [anon_sym_inout] = ACTIONS(1480),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1482),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym_LBRACE] = ACTIONS(1986),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(1484),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(65),
    [anon_sym_enum] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(69),
    [anon_sym_struct] = ACTIONS(71),
    [anon_sym_union] = ACTIONS(73),
    [anon_sym_if] = ACTIONS(1988),
    [anon_sym_else] = ACTIONS(1470),
    [anon_sym_switch] = ACTIONS(1990),
    [anon_sym_while] = ACTIONS(1992),
    [anon_sym_do] = ACTIONS(1994),
    [anon_sym_for] = ACTIONS(1996),
    [anon_sym_return] = ACTIONS(1998),
    [anon_sym_break] = ACTIONS(2000),
    [anon_sym_continue] = ACTIONS(2002),
    [anon_sym_goto] = ACTIONS(2004),
    [anon_sym___try] = ACTIONS(2006),
    [anon_sym___leave] = ACTIONS(2008),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [anon_sym_virtual] = ACTIONS(123),
    [anon_sym_alignas] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_try] = ACTIONS(2010),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(2012),
    [anon_sym_co_return] = ACTIONS(2014),
    [anon_sym_co_yield] = ACTIONS(2016),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
    [anon_sym_discard] = ACTIONS(2018),
    [anon_sym_precise] = ACTIONS(161),
    [anon_sym_shared] = ACTIONS(161),
    [anon_sym_groupshared] = ACTIONS(161),
    [anon_sym_uniform] = ACTIONS(161),
    [anon_sym_row_major] = ACTIONS(161),
    [anon_sym_column_major] = ACTIONS(161),
    [anon_sym_globallycoherent] = ACTIONS(161),
    [anon_sym_centroid] = ACTIONS(161),
    [anon_sym_noperspective] = ACTIONS(161),
    [anon_sym_nointerpolation] = ACTIONS(161),
    [anon_sym_sample] = ACTIONS(161),
    [anon_sym_linear] = ACTIONS(161),
    [anon_sym_snorm] = ACTIONS(161),
    [anon_sym_unorm] = ACTIONS(161),
    [anon_sym_point] = ACTIONS(161),
    [anon_sym_line] = ACTIONS(161),
    [anon_sym_triangleadj] = ACTIONS(161),
    [anon_sym_lineadj] = ACTIONS(161),
    [anon_sym_triangle] = ACTIONS(161),
    [anon_sym_cbuffer] = ACTIONS(2020),
  },
  [126] = {
    [sym_declaration] = STATE(126),
    [sym_type_definition] = STATE(126),
    [sym__declaration_modifiers] = STATE(2673),
    [sym__declaration_specifiers] = STATE(6414),
    [sym_attribute_specifier] = STATE(2673),
    [sym_attribute_declaration] = STATE(1556),
    [sym_ms_declspec_modifier] = STATE(2673),
    [sym_compound_statement] = STATE(126),
    [sym_storage_class_specifier] = STATE(2673),
    [sym_type_qualifier] = STATE(2673),
    [sym__type_specifier] = STATE(2827),
    [sym_sized_type_specifier] = STATE(3085),
    [sym_enum_specifier] = STATE(3085),
    [sym_struct_specifier] = STATE(3085),
    [sym_union_specifier] = STATE(3085),
    [sym_attributed_statement] = STATE(126),
    [sym_labeled_statement] = STATE(126),
    [sym_expression_statement] = STATE(126),
    [sym_if_statement] = STATE(126),
    [sym_switch_statement] = STATE(126),
    [sym_while_statement] = STATE(126),
    [sym_do_statement] = STATE(126),
    [sym_for_statement] = STATE(126),
    [sym_return_statement] = STATE(126),
    [sym_break_statement] = STATE(126),
    [sym_continue_statement] = STATE(126),
    [sym_goto_statement] = STATE(126),
    [sym_seh_try_statement] = STATE(126),
    [sym_seh_leave_statement] = STATE(126),
    [sym__expression] = STATE(5719),
    [sym__expression_not_binary] = STATE(5024),
    [sym__string] = STATE(5024),
    [sym_comma_expression] = STATE(9810),
    [sym_conditional_expression] = STATE(5024),
    [sym_assignment_expression] = STATE(5024),
    [sym_pointer_expression] = STATE(4507),
    [sym_unary_expression] = STATE(5024),
    [sym_binary_expression] = STATE(5024),
    [sym_update_expression] = STATE(5024),
    [sym_cast_expression] = STATE(5024),
    [sym_sizeof_expression] = STATE(5024),
    [sym_alignof_expression] = STATE(5024),
    [sym_offsetof_expression] = STATE(5024),
    [sym_generic_expression] = STATE(5024),
    [sym_subscript_expression] = STATE(4507),
    [sym_call_expression] = STATE(4507),
    [sym_gnu_asm_expression] = STATE(5024),
    [sym_field_expression] = STATE(4507),
    [sym_compound_literal_expression] = STATE(5024),
    [sym_parenthesized_expression] = STATE(4507),
    [sym_char_literal] = STATE(5374),
    [sym_concatenated_string] = STATE(5377),
    [sym_string_literal] = STATE(4206),
    [sym_null] = STATE(5024),
    [sym_placeholder_type_specifier] = STATE(3085),
    [sym_decltype_auto] = STATE(3091),
    [sym_decltype] = STATE(3050),
    [sym_class_specifier] = STATE(3085),
    [sym__class_name] = STATE(9352),
    [sym_virtual] = STATE(2673),
    [sym_alignas_specifier] = STATE(2673),
    [sym_dependent_type] = STATE(3085),
    [sym_template_type] = STATE(3129),
    [sym_template_function] = STATE(5024),
    [sym_for_range_loop] = STATE(126),
    [sym_co_return_statement] = STATE(126),
    [sym_co_yield_statement] = STATE(126),
    [sym_throw_statement] = STATE(126),
    [sym_try_statement] = STATE(126),
    [sym_raw_string_literal] = STATE(4217),
    [sym_co_await_expression] = STATE(5024),
    [sym_new_expression] = STATE(5024),
    [sym_delete_expression] = STATE(5024),
    [sym_requires_clause] = STATE(5024),
    [sym_requires_expression] = STATE(5024),
    [sym_lambda_expression] = STATE(5024),
    [sym_lambda_capture_specifier] = STATE(7184),
    [sym_fold_expression] = STATE(5024),
    [sym_parameter_pack_expansion] = STATE(5024),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6970),
    [sym_qualified_identifier] = STATE(4507),
    [sym_qualified_type_identifier] = STATE(3127),
    [sym_user_defined_literal] = STATE(4507),
    [sym_discard_statement] = STATE(126),
    [sym_qualifiers] = STATE(2673),
    [sym_cbuffer_specifier] = STATE(126),
    [sym_hlsl_attribute] = STATE(9343),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2673),
    [aux_sym_attributed_declarator_repeat1] = STATE(1370),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3021),
    [aux_sym_case_statement_repeat1] = STATE(126),
    [sym_identifier] = ACTIONS(2022),
    [anon_sym_LPAREN2] = ACTIONS(1505),
    [anon_sym_BANG] = ACTIONS(1508),
    [anon_sym_TILDE] = ACTIONS(1508),
    [anon_sym_DASH] = ACTIONS(1511),
    [anon_sym_PLUS] = ACTIONS(1511),
    [anon_sym_STAR] = ACTIONS(1514),
    [anon_sym_AMP] = ACTIONS(1514),
    [anon_sym_SEMI] = ACTIONS(2025),
    [anon_sym___extension__] = ACTIONS(2028),
    [anon_sym_typedef] = ACTIONS(2031),
    [anon_sym_in] = ACTIONS(1531),
    [anon_sym_out] = ACTIONS(1531),
    [anon_sym_inout] = ACTIONS(1531),
    [anon_sym_extern] = ACTIONS(1534),
    [anon_sym___attribute__] = ACTIONS(1537),
    [anon_sym_COLON_COLON] = ACTIONS(1540),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1543),
    [anon_sym___declspec] = ACTIONS(1546),
    [anon_sym_LBRACE] = ACTIONS(2034),
    [anon_sym_signed] = ACTIONS(1552),
    [anon_sym_unsigned] = ACTIONS(1552),
    [anon_sym_long] = ACTIONS(1552),
    [anon_sym_short] = ACTIONS(1552),
    [anon_sym_LBRACK] = ACTIONS(1555),
    [anon_sym_static] = ACTIONS(1534),
    [anon_sym_register] = ACTIONS(1534),
    [anon_sym_inline] = ACTIONS(1534),
    [anon_sym___inline] = ACTIONS(1534),
    [anon_sym___inline__] = ACTIONS(1534),
    [anon_sym___forceinline] = ACTIONS(1534),
    [anon_sym_thread_local] = ACTIONS(1534),
    [anon_sym___thread] = ACTIONS(1534),
    [anon_sym_const] = ACTIONS(1558),
    [anon_sym_constexpr] = ACTIONS(1558),
    [anon_sym_volatile] = ACTIONS(1558),
    [anon_sym_restrict] = ACTIONS(1558),
    [anon_sym___restrict__] = ACTIONS(1558),
    [anon_sym__Atomic] = ACTIONS(1558),
    [anon_sym__Noreturn] = ACTIONS(1558),
    [anon_sym_noreturn] = ACTIONS(1558),
    [anon_sym_mutable] = ACTIONS(1558),
    [anon_sym_constinit] = ACTIONS(1558),
    [anon_sym_consteval] = ACTIONS(1558),
    [sym_primitive_type] = ACTIONS(1561),
    [anon_sym_enum] = ACTIONS(1564),
    [anon_sym_class] = ACTIONS(1567),
    [anon_sym_struct] = ACTIONS(1570),
    [anon_sym_union] = ACTIONS(1573),
    [anon_sym_if] = ACTIONS(2037),
    [anon_sym_else] = ACTIONS(1503),
    [anon_sym_switch] = ACTIONS(2040),
    [anon_sym_while] = ACTIONS(2043),
    [anon_sym_do] = ACTIONS(2046),
    [anon_sym_for] = ACTIONS(2049),
    [anon_sym_return] = ACTIONS(2052),
    [anon_sym_break] = ACTIONS(2055),
    [anon_sym_continue] = ACTIONS(2058),
    [anon_sym_goto] = ACTIONS(2061),
    [anon_sym___try] = ACTIONS(2064),
    [anon_sym___leave] = ACTIONS(2067),
    [anon_sym_not] = ACTIONS(1511),
    [anon_sym_compl] = ACTIONS(1511),
    [anon_sym_DASH_DASH] = ACTIONS(1609),
    [anon_sym_PLUS_PLUS] = ACTIONS(1609),
    [anon_sym_sizeof] = ACTIONS(1612),
    [anon_sym___alignof__] = ACTIONS(1615),
    [anon_sym___alignof] = ACTIONS(1615),
    [anon_sym__alignof] = ACTIONS(1615),
    [anon_sym_alignof] = ACTIONS(1615),
    [anon_sym__Alignof] = ACTIONS(1615),
    [anon_sym_offsetof] = ACTIONS(1618),
    [anon_sym__Generic] = ACTIONS(1621),
    [anon_sym_asm] = ACTIONS(1624),
    [anon_sym___asm__] = ACTIONS(1624),
    [sym_number_literal] = ACTIONS(1627),
    [anon_sym_L_SQUOTE] = ACTIONS(1630),
    [anon_sym_u_SQUOTE] = ACTIONS(1630),
    [anon_sym_U_SQUOTE] = ACTIONS(1630),
    [anon_sym_u8_SQUOTE] = ACTIONS(1630),
    [anon_sym_SQUOTE] = ACTIONS(1630),
    [anon_sym_L_DQUOTE] = ACTIONS(1633),
    [anon_sym_u_DQUOTE] = ACTIONS(1633),
    [anon_sym_U_DQUOTE] = ACTIONS(1633),
    [anon_sym_u8_DQUOTE] = ACTIONS(1633),
    [anon_sym_DQUOTE] = ACTIONS(1633),
    [sym_true] = ACTIONS(1636),
    [sym_false] = ACTIONS(1636),
    [anon_sym_NULL] = ACTIONS(1639),
    [anon_sym_nullptr] = ACTIONS(1639),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1642),
    [anon_sym_decltype] = ACTIONS(1645),
    [anon_sym_virtual] = ACTIONS(1648),
    [anon_sym_alignas] = ACTIONS(1651),
    [anon_sym_typename] = ACTIONS(1654),
    [anon_sym_template] = ACTIONS(1657),
    [anon_sym_try] = ACTIONS(2070),
    [anon_sym_delete] = ACTIONS(1663),
    [anon_sym_throw] = ACTIONS(2073),
    [anon_sym_co_return] = ACTIONS(2076),
    [anon_sym_co_yield] = ACTIONS(2079),
    [anon_sym_R_DQUOTE] = ACTIONS(1675),
    [anon_sym_LR_DQUOTE] = ACTIONS(1675),
    [anon_sym_uR_DQUOTE] = ACTIONS(1675),
    [anon_sym_UR_DQUOTE] = ACTIONS(1675),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1675),
    [anon_sym_co_await] = ACTIONS(1678),
    [anon_sym_new] = ACTIONS(1681),
    [anon_sym_requires] = ACTIONS(1684),
    [sym_this] = ACTIONS(1636),
    [anon_sym_discard] = ACTIONS(2082),
    [anon_sym_precise] = ACTIONS(1690),
    [anon_sym_shared] = ACTIONS(1690),
    [anon_sym_groupshared] = ACTIONS(1690),
    [anon_sym_uniform] = ACTIONS(1690),
    [anon_sym_row_major] = ACTIONS(1690),
    [anon_sym_column_major] = ACTIONS(1690),
    [anon_sym_globallycoherent] = ACTIONS(1690),
    [anon_sym_centroid] = ACTIONS(1690),
    [anon_sym_noperspective] = ACTIONS(1690),
    [anon_sym_nointerpolation] = ACTIONS(1690),
    [anon_sym_sample] = ACTIONS(1690),
    [anon_sym_linear] = ACTIONS(1690),
    [anon_sym_snorm] = ACTIONS(1690),
    [anon_sym_unorm] = ACTIONS(1690),
    [anon_sym_point] = ACTIONS(1690),
    [anon_sym_line] = ACTIONS(1690),
    [anon_sym_triangleadj] = ACTIONS(1690),
    [anon_sym_lineadj] = ACTIONS(1690),
    [anon_sym_triangle] = ACTIONS(1690),
    [anon_sym_cbuffer] = ACTIONS(2085),
  },
  [127] = {
    [sym_declaration] = STATE(126),
    [sym_type_definition] = STATE(126),
    [sym__declaration_modifiers] = STATE(2673),
    [sym__declaration_specifiers] = STATE(6414),
    [sym_attribute_specifier] = STATE(2673),
    [sym_attribute_declaration] = STATE(1556),
    [sym_ms_declspec_modifier] = STATE(2673),
    [sym_compound_statement] = STATE(126),
    [sym_storage_class_specifier] = STATE(2673),
    [sym_type_qualifier] = STATE(2673),
    [sym__type_specifier] = STATE(2827),
    [sym_sized_type_specifier] = STATE(3085),
    [sym_enum_specifier] = STATE(3085),
    [sym_struct_specifier] = STATE(3085),
    [sym_union_specifier] = STATE(3085),
    [sym_attributed_statement] = STATE(126),
    [sym_labeled_statement] = STATE(126),
    [sym_expression_statement] = STATE(126),
    [sym_if_statement] = STATE(126),
    [sym_switch_statement] = STATE(126),
    [sym_while_statement] = STATE(126),
    [sym_do_statement] = STATE(126),
    [sym_for_statement] = STATE(126),
    [sym_return_statement] = STATE(126),
    [sym_break_statement] = STATE(126),
    [sym_continue_statement] = STATE(126),
    [sym_goto_statement] = STATE(126),
    [sym_seh_try_statement] = STATE(126),
    [sym_seh_leave_statement] = STATE(126),
    [sym__expression] = STATE(5719),
    [sym__expression_not_binary] = STATE(5024),
    [sym__string] = STATE(5024),
    [sym_comma_expression] = STATE(9810),
    [sym_conditional_expression] = STATE(5024),
    [sym_assignment_expression] = STATE(5024),
    [sym_pointer_expression] = STATE(4507),
    [sym_unary_expression] = STATE(5024),
    [sym_binary_expression] = STATE(5024),
    [sym_update_expression] = STATE(5024),
    [sym_cast_expression] = STATE(5024),
    [sym_sizeof_expression] = STATE(5024),
    [sym_alignof_expression] = STATE(5024),
    [sym_offsetof_expression] = STATE(5024),
    [sym_generic_expression] = STATE(5024),
    [sym_subscript_expression] = STATE(4507),
    [sym_call_expression] = STATE(4507),
    [sym_gnu_asm_expression] = STATE(5024),
    [sym_field_expression] = STATE(4507),
    [sym_compound_literal_expression] = STATE(5024),
    [sym_parenthesized_expression] = STATE(4507),
    [sym_char_literal] = STATE(5374),
    [sym_concatenated_string] = STATE(5377),
    [sym_string_literal] = STATE(4206),
    [sym_null] = STATE(5024),
    [sym_placeholder_type_specifier] = STATE(3085),
    [sym_decltype_auto] = STATE(3091),
    [sym_decltype] = STATE(3050),
    [sym_class_specifier] = STATE(3085),
    [sym__class_name] = STATE(9352),
    [sym_virtual] = STATE(2673),
    [sym_alignas_specifier] = STATE(2673),
    [sym_dependent_type] = STATE(3085),
    [sym_template_type] = STATE(3129),
    [sym_template_function] = STATE(5024),
    [sym_for_range_loop] = STATE(126),
    [sym_co_return_statement] = STATE(126),
    [sym_co_yield_statement] = STATE(126),
    [sym_throw_statement] = STATE(126),
    [sym_try_statement] = STATE(126),
    [sym_raw_string_literal] = STATE(4217),
    [sym_co_await_expression] = STATE(5024),
    [sym_new_expression] = STATE(5024),
    [sym_delete_expression] = STATE(5024),
    [sym_requires_clause] = STATE(5024),
    [sym_requires_expression] = STATE(5024),
    [sym_lambda_expression] = STATE(5024),
    [sym_lambda_capture_specifier] = STATE(7184),
    [sym_fold_expression] = STATE(5024),
    [sym_parameter_pack_expansion] = STATE(5024),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6970),
    [sym_qualified_identifier] = STATE(4507),
    [sym_qualified_type_identifier] = STATE(3127),
    [sym_user_defined_literal] = STATE(4507),
    [sym_discard_statement] = STATE(126),
    [sym_qualifiers] = STATE(2673),
    [sym_cbuffer_specifier] = STATE(126),
    [sym_hlsl_attribute] = STATE(9343),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2673),
    [aux_sym_attributed_declarator_repeat1] = STATE(1370),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3021),
    [aux_sym_case_statement_repeat1] = STATE(126),
    [sym_identifier] = ACTIONS(1978),
    [anon_sym_LPAREN2] = ACTIONS(1472),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1474),
    [anon_sym_AMP] = ACTIONS(1474),
    [anon_sym_SEMI] = ACTIONS(1980),
    [anon_sym___extension__] = ACTIONS(1982),
    [anon_sym_typedef] = ACTIONS(1984),
    [anon_sym_in] = ACTIONS(1480),
    [anon_sym_out] = ACTIONS(1480),
    [anon_sym_inout] = ACTIONS(1480),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1482),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym_LBRACE] = ACTIONS(1986),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(1484),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(65),
    [anon_sym_enum] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(69),
    [anon_sym_struct] = ACTIONS(71),
    [anon_sym_union] = ACTIONS(73),
    [anon_sym_if] = ACTIONS(1988),
    [anon_sym_else] = ACTIONS(1488),
    [anon_sym_switch] = ACTIONS(1990),
    [anon_sym_while] = ACTIONS(1992),
    [anon_sym_do] = ACTIONS(1994),
    [anon_sym_for] = ACTIONS(1996),
    [anon_sym_return] = ACTIONS(1998),
    [anon_sym_break] = ACTIONS(2000),
    [anon_sym_continue] = ACTIONS(2002),
    [anon_sym_goto] = ACTIONS(2004),
    [anon_sym___try] = ACTIONS(2006),
    [anon_sym___leave] = ACTIONS(2008),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [anon_sym_virtual] = ACTIONS(123),
    [anon_sym_alignas] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_try] = ACTIONS(2010),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(2012),
    [anon_sym_co_return] = ACTIONS(2014),
    [anon_sym_co_yield] = ACTIONS(2016),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
    [anon_sym_discard] = ACTIONS(2018),
    [anon_sym_precise] = ACTIONS(161),
    [anon_sym_shared] = ACTIONS(161),
    [anon_sym_groupshared] = ACTIONS(161),
    [anon_sym_uniform] = ACTIONS(161),
    [anon_sym_row_major] = ACTIONS(161),
    [anon_sym_column_major] = ACTIONS(161),
    [anon_sym_globallycoherent] = ACTIONS(161),
    [anon_sym_centroid] = ACTIONS(161),
    [anon_sym_noperspective] = ACTIONS(161),
    [anon_sym_nointerpolation] = ACTIONS(161),
    [anon_sym_sample] = ACTIONS(161),
    [anon_sym_linear] = ACTIONS(161),
    [anon_sym_snorm] = ACTIONS(161),
    [anon_sym_unorm] = ACTIONS(161),
    [anon_sym_point] = ACTIONS(161),
    [anon_sym_line] = ACTIONS(161),
    [anon_sym_triangleadj] = ACTIONS(161),
    [anon_sym_lineadj] = ACTIONS(161),
    [anon_sym_triangle] = ACTIONS(161),
    [anon_sym_cbuffer] = ACTIONS(2020),
  },
  [128] = {
    [sym_declaration] = STATE(126),
    [sym_type_definition] = STATE(126),
    [sym__declaration_modifiers] = STATE(2673),
    [sym__declaration_specifiers] = STATE(6414),
    [sym_attribute_specifier] = STATE(2673),
    [sym_attribute_declaration] = STATE(1556),
    [sym_ms_declspec_modifier] = STATE(2673),
    [sym_compound_statement] = STATE(126),
    [sym_storage_class_specifier] = STATE(2673),
    [sym_type_qualifier] = STATE(2673),
    [sym__type_specifier] = STATE(2827),
    [sym_sized_type_specifier] = STATE(3085),
    [sym_enum_specifier] = STATE(3085),
    [sym_struct_specifier] = STATE(3085),
    [sym_union_specifier] = STATE(3085),
    [sym_attributed_statement] = STATE(126),
    [sym_labeled_statement] = STATE(126),
    [sym_expression_statement] = STATE(126),
    [sym_if_statement] = STATE(126),
    [sym_switch_statement] = STATE(126),
    [sym_while_statement] = STATE(126),
    [sym_do_statement] = STATE(126),
    [sym_for_statement] = STATE(126),
    [sym_return_statement] = STATE(126),
    [sym_break_statement] = STATE(126),
    [sym_continue_statement] = STATE(126),
    [sym_goto_statement] = STATE(126),
    [sym_seh_try_statement] = STATE(126),
    [sym_seh_leave_statement] = STATE(126),
    [sym__expression] = STATE(5719),
    [sym__expression_not_binary] = STATE(5024),
    [sym__string] = STATE(5024),
    [sym_comma_expression] = STATE(9810),
    [sym_conditional_expression] = STATE(5024),
    [sym_assignment_expression] = STATE(5024),
    [sym_pointer_expression] = STATE(4507),
    [sym_unary_expression] = STATE(5024),
    [sym_binary_expression] = STATE(5024),
    [sym_update_expression] = STATE(5024),
    [sym_cast_expression] = STATE(5024),
    [sym_sizeof_expression] = STATE(5024),
    [sym_alignof_expression] = STATE(5024),
    [sym_offsetof_expression] = STATE(5024),
    [sym_generic_expression] = STATE(5024),
    [sym_subscript_expression] = STATE(4507),
    [sym_call_expression] = STATE(4507),
    [sym_gnu_asm_expression] = STATE(5024),
    [sym_field_expression] = STATE(4507),
    [sym_compound_literal_expression] = STATE(5024),
    [sym_parenthesized_expression] = STATE(4507),
    [sym_char_literal] = STATE(5374),
    [sym_concatenated_string] = STATE(5377),
    [sym_string_literal] = STATE(4206),
    [sym_null] = STATE(5024),
    [sym_placeholder_type_specifier] = STATE(3085),
    [sym_decltype_auto] = STATE(3091),
    [sym_decltype] = STATE(3050),
    [sym_class_specifier] = STATE(3085),
    [sym__class_name] = STATE(9352),
    [sym_virtual] = STATE(2673),
    [sym_alignas_specifier] = STATE(2673),
    [sym_dependent_type] = STATE(3085),
    [sym_template_type] = STATE(3129),
    [sym_template_function] = STATE(5024),
    [sym_for_range_loop] = STATE(126),
    [sym_co_return_statement] = STATE(126),
    [sym_co_yield_statement] = STATE(126),
    [sym_throw_statement] = STATE(126),
    [sym_try_statement] = STATE(126),
    [sym_raw_string_literal] = STATE(4217),
    [sym_co_await_expression] = STATE(5024),
    [sym_new_expression] = STATE(5024),
    [sym_delete_expression] = STATE(5024),
    [sym_requires_clause] = STATE(5024),
    [sym_requires_expression] = STATE(5024),
    [sym_lambda_expression] = STATE(5024),
    [sym_lambda_capture_specifier] = STATE(7184),
    [sym_fold_expression] = STATE(5024),
    [sym_parameter_pack_expansion] = STATE(5024),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6970),
    [sym_qualified_identifier] = STATE(4507),
    [sym_qualified_type_identifier] = STATE(3127),
    [sym_user_defined_literal] = STATE(4507),
    [sym_discard_statement] = STATE(126),
    [sym_qualifiers] = STATE(2673),
    [sym_cbuffer_specifier] = STATE(126),
    [sym_hlsl_attribute] = STATE(9343),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2673),
    [aux_sym_attributed_declarator_repeat1] = STATE(1370),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3021),
    [aux_sym_case_statement_repeat1] = STATE(126),
    [sym_identifier] = ACTIONS(1978),
    [anon_sym_LPAREN2] = ACTIONS(1472),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1474),
    [anon_sym_AMP] = ACTIONS(1474),
    [anon_sym_SEMI] = ACTIONS(1980),
    [anon_sym___extension__] = ACTIONS(1982),
    [anon_sym_typedef] = ACTIONS(1984),
    [anon_sym_in] = ACTIONS(1480),
    [anon_sym_out] = ACTIONS(1480),
    [anon_sym_inout] = ACTIONS(1480),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1482),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym_LBRACE] = ACTIONS(1986),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(1484),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(65),
    [anon_sym_enum] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(69),
    [anon_sym_struct] = ACTIONS(71),
    [anon_sym_union] = ACTIONS(73),
    [anon_sym_if] = ACTIONS(1988),
    [anon_sym_else] = ACTIONS(1492),
    [anon_sym_switch] = ACTIONS(1990),
    [anon_sym_while] = ACTIONS(1992),
    [anon_sym_do] = ACTIONS(1994),
    [anon_sym_for] = ACTIONS(1996),
    [anon_sym_return] = ACTIONS(1998),
    [anon_sym_break] = ACTIONS(2000),
    [anon_sym_continue] = ACTIONS(2002),
    [anon_sym_goto] = ACTIONS(2004),
    [anon_sym___try] = ACTIONS(2006),
    [anon_sym___leave] = ACTIONS(2008),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [anon_sym_virtual] = ACTIONS(123),
    [anon_sym_alignas] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_try] = ACTIONS(2010),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(2012),
    [anon_sym_co_return] = ACTIONS(2014),
    [anon_sym_co_yield] = ACTIONS(2016),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
    [anon_sym_discard] = ACTIONS(2018),
    [anon_sym_precise] = ACTIONS(161),
    [anon_sym_shared] = ACTIONS(161),
    [anon_sym_groupshared] = ACTIONS(161),
    [anon_sym_uniform] = ACTIONS(161),
    [anon_sym_row_major] = ACTIONS(161),
    [anon_sym_column_major] = ACTIONS(161),
    [anon_sym_globallycoherent] = ACTIONS(161),
    [anon_sym_centroid] = ACTIONS(161),
    [anon_sym_noperspective] = ACTIONS(161),
    [anon_sym_nointerpolation] = ACTIONS(161),
    [anon_sym_sample] = ACTIONS(161),
    [anon_sym_linear] = ACTIONS(161),
    [anon_sym_snorm] = ACTIONS(161),
    [anon_sym_unorm] = ACTIONS(161),
    [anon_sym_point] = ACTIONS(161),
    [anon_sym_line] = ACTIONS(161),
    [anon_sym_triangleadj] = ACTIONS(161),
    [anon_sym_lineadj] = ACTIONS(161),
    [anon_sym_triangle] = ACTIONS(161),
    [anon_sym_cbuffer] = ACTIONS(2020),
  },
  [129] = {
    [sym_declaration] = STATE(127),
    [sym_type_definition] = STATE(127),
    [sym__declaration_modifiers] = STATE(2673),
    [sym__declaration_specifiers] = STATE(6414),
    [sym_attribute_specifier] = STATE(2673),
    [sym_attribute_declaration] = STATE(1556),
    [sym_ms_declspec_modifier] = STATE(2673),
    [sym_compound_statement] = STATE(127),
    [sym_storage_class_specifier] = STATE(2673),
    [sym_type_qualifier] = STATE(2673),
    [sym__type_specifier] = STATE(2827),
    [sym_sized_type_specifier] = STATE(3085),
    [sym_enum_specifier] = STATE(3085),
    [sym_struct_specifier] = STATE(3085),
    [sym_union_specifier] = STATE(3085),
    [sym_attributed_statement] = STATE(127),
    [sym_labeled_statement] = STATE(127),
    [sym_expression_statement] = STATE(127),
    [sym_if_statement] = STATE(127),
    [sym_switch_statement] = STATE(127),
    [sym_while_statement] = STATE(127),
    [sym_do_statement] = STATE(127),
    [sym_for_statement] = STATE(127),
    [sym_return_statement] = STATE(127),
    [sym_break_statement] = STATE(127),
    [sym_continue_statement] = STATE(127),
    [sym_goto_statement] = STATE(127),
    [sym_seh_try_statement] = STATE(127),
    [sym_seh_leave_statement] = STATE(127),
    [sym__expression] = STATE(5719),
    [sym__expression_not_binary] = STATE(5024),
    [sym__string] = STATE(5024),
    [sym_comma_expression] = STATE(9810),
    [sym_conditional_expression] = STATE(5024),
    [sym_assignment_expression] = STATE(5024),
    [sym_pointer_expression] = STATE(4507),
    [sym_unary_expression] = STATE(5024),
    [sym_binary_expression] = STATE(5024),
    [sym_update_expression] = STATE(5024),
    [sym_cast_expression] = STATE(5024),
    [sym_sizeof_expression] = STATE(5024),
    [sym_alignof_expression] = STATE(5024),
    [sym_offsetof_expression] = STATE(5024),
    [sym_generic_expression] = STATE(5024),
    [sym_subscript_expression] = STATE(4507),
    [sym_call_expression] = STATE(4507),
    [sym_gnu_asm_expression] = STATE(5024),
    [sym_field_expression] = STATE(4507),
    [sym_compound_literal_expression] = STATE(5024),
    [sym_parenthesized_expression] = STATE(4507),
    [sym_char_literal] = STATE(5374),
    [sym_concatenated_string] = STATE(5377),
    [sym_string_literal] = STATE(4206),
    [sym_null] = STATE(5024),
    [sym_placeholder_type_specifier] = STATE(3085),
    [sym_decltype_auto] = STATE(3091),
    [sym_decltype] = STATE(3050),
    [sym_class_specifier] = STATE(3085),
    [sym__class_name] = STATE(9352),
    [sym_virtual] = STATE(2673),
    [sym_alignas_specifier] = STATE(2673),
    [sym_dependent_type] = STATE(3085),
    [sym_template_type] = STATE(3129),
    [sym_template_function] = STATE(5024),
    [sym_for_range_loop] = STATE(127),
    [sym_co_return_statement] = STATE(127),
    [sym_co_yield_statement] = STATE(127),
    [sym_throw_statement] = STATE(127),
    [sym_try_statement] = STATE(127),
    [sym_raw_string_literal] = STATE(4217),
    [sym_co_await_expression] = STATE(5024),
    [sym_new_expression] = STATE(5024),
    [sym_delete_expression] = STATE(5024),
    [sym_requires_clause] = STATE(5024),
    [sym_requires_expression] = STATE(5024),
    [sym_lambda_expression] = STATE(5024),
    [sym_lambda_capture_specifier] = STATE(7184),
    [sym_fold_expression] = STATE(5024),
    [sym_parameter_pack_expansion] = STATE(5024),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6970),
    [sym_qualified_identifier] = STATE(4507),
    [sym_qualified_type_identifier] = STATE(3127),
    [sym_user_defined_literal] = STATE(4507),
    [sym_discard_statement] = STATE(127),
    [sym_qualifiers] = STATE(2673),
    [sym_cbuffer_specifier] = STATE(127),
    [sym_hlsl_attribute] = STATE(9343),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2673),
    [aux_sym_attributed_declarator_repeat1] = STATE(1370),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3021),
    [aux_sym_case_statement_repeat1] = STATE(127),
    [sym_identifier] = ACTIONS(1978),
    [anon_sym_LPAREN2] = ACTIONS(1472),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1474),
    [anon_sym_AMP] = ACTIONS(1474),
    [anon_sym_SEMI] = ACTIONS(1980),
    [anon_sym___extension__] = ACTIONS(1982),
    [anon_sym_typedef] = ACTIONS(1984),
    [anon_sym_in] = ACTIONS(1480),
    [anon_sym_out] = ACTIONS(1480),
    [anon_sym_inout] = ACTIONS(1480),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1482),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym_LBRACE] = ACTIONS(1986),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(1484),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(65),
    [anon_sym_enum] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(69),
    [anon_sym_struct] = ACTIONS(71),
    [anon_sym_union] = ACTIONS(73),
    [anon_sym_if] = ACTIONS(1988),
    [anon_sym_else] = ACTIONS(1496),
    [anon_sym_switch] = ACTIONS(1990),
    [anon_sym_while] = ACTIONS(1992),
    [anon_sym_do] = ACTIONS(1994),
    [anon_sym_for] = ACTIONS(1996),
    [anon_sym_return] = ACTIONS(1998),
    [anon_sym_break] = ACTIONS(2000),
    [anon_sym_continue] = ACTIONS(2002),
    [anon_sym_goto] = ACTIONS(2004),
    [anon_sym___try] = ACTIONS(2006),
    [anon_sym___leave] = ACTIONS(2008),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [anon_sym_virtual] = ACTIONS(123),
    [anon_sym_alignas] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_try] = ACTIONS(2010),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(2012),
    [anon_sym_co_return] = ACTIONS(2014),
    [anon_sym_co_yield] = ACTIONS(2016),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
    [anon_sym_discard] = ACTIONS(2018),
    [anon_sym_precise] = ACTIONS(161),
    [anon_sym_shared] = ACTIONS(161),
    [anon_sym_groupshared] = ACTIONS(161),
    [anon_sym_uniform] = ACTIONS(161),
    [anon_sym_row_major] = ACTIONS(161),
    [anon_sym_column_major] = ACTIONS(161),
    [anon_sym_globallycoherent] = ACTIONS(161),
    [anon_sym_centroid] = ACTIONS(161),
    [anon_sym_noperspective] = ACTIONS(161),
    [anon_sym_nointerpolation] = ACTIONS(161),
    [anon_sym_sample] = ACTIONS(161),
    [anon_sym_linear] = ACTIONS(161),
    [anon_sym_snorm] = ACTIONS(161),
    [anon_sym_unorm] = ACTIONS(161),
    [anon_sym_point] = ACTIONS(161),
    [anon_sym_line] = ACTIONS(161),
    [anon_sym_triangleadj] = ACTIONS(161),
    [anon_sym_lineadj] = ACTIONS(161),
    [anon_sym_triangle] = ACTIONS(161),
    [anon_sym_cbuffer] = ACTIONS(2020),
  },
  [130] = {
    [sym_declaration] = STATE(633),
    [sym_type_definition] = STATE(3471),
    [sym__declaration_modifiers] = STATE(2673),
    [sym__declaration_specifiers] = STATE(6417),
    [sym_attribute_specifier] = STATE(2673),
    [sym_attribute_declaration] = STATE(2673),
    [sym_ms_declspec_modifier] = STATE(2673),
    [sym_storage_class_specifier] = STATE(2673),
    [sym_type_qualifier] = STATE(2673),
    [sym__type_specifier] = STATE(2827),
    [sym_sized_type_specifier] = STATE(3085),
    [sym_enum_specifier] = STATE(3085),
    [sym_struct_specifier] = STATE(3085),
    [sym_union_specifier] = STATE(3085),
    [sym_expression_statement] = STATE(3471),
    [sym__for_statement_body] = STATE(9891),
    [sym__expression] = STATE(5693),
    [sym__expression_not_binary] = STATE(5024),
    [sym__string] = STATE(5024),
    [sym_comma_expression] = STATE(9887),
    [sym_conditional_expression] = STATE(5024),
    [sym_assignment_expression] = STATE(5024),
    [sym_pointer_expression] = STATE(4507),
    [sym_unary_expression] = STATE(5024),
    [sym_binary_expression] = STATE(5024),
    [sym_update_expression] = STATE(5024),
    [sym_cast_expression] = STATE(5024),
    [sym_sizeof_expression] = STATE(5024),
    [sym_alignof_expression] = STATE(5024),
    [sym_offsetof_expression] = STATE(5024),
    [sym_generic_expression] = STATE(5024),
    [sym_subscript_expression] = STATE(4507),
    [sym_call_expression] = STATE(4507),
    [sym_gnu_asm_expression] = STATE(5024),
    [sym_field_expression] = STATE(4507),
    [sym_compound_literal_expression] = STATE(5024),
    [sym_parenthesized_expression] = STATE(4507),
    [sym_char_literal] = STATE(5374),
    [sym_concatenated_string] = STATE(5377),
    [sym_string_literal] = STATE(4206),
    [sym_null] = STATE(5024),
    [sym_placeholder_type_specifier] = STATE(3085),
    [sym_decltype_auto] = STATE(3091),
    [sym_decltype] = STATE(3050),
    [sym_class_specifier] = STATE(3085),
    [sym__class_name] = STATE(9352),
    [sym_virtual] = STATE(2673),
    [sym_alignas_specifier] = STATE(2673),
    [sym_dependent_type] = STATE(3085),
    [sym_template_type] = STATE(3129),
    [sym_template_function] = STATE(5024),
    [sym_alias_declaration] = STATE(3471),
    [sym__for_range_loop_body] = STATE(9899),
    [sym_init_statement] = STATE(2573),
    [sym_raw_string_literal] = STATE(4217),
    [sym_co_await_expression] = STATE(5024),
    [sym_new_expression] = STATE(5024),
    [sym_delete_expression] = STATE(5024),
    [sym_requires_clause] = STATE(5024),
    [sym_requires_expression] = STATE(5024),
    [sym_lambda_expression] = STATE(5024),
    [sym_lambda_capture_specifier] = STATE(7184),
    [sym_fold_expression] = STATE(5024),
    [sym_parameter_pack_expansion] = STATE(5024),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6970),
    [sym_qualified_identifier] = STATE(4507),
    [sym_qualified_type_identifier] = STATE(3127),
    [sym_user_defined_literal] = STATE(4507),
    [sym_qualifiers] = STATE(2673),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2673),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3021),
    [sym_identifier] = ACTIONS(2088),
    [anon_sym_LPAREN2] = ACTIONS(1472),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1474),
    [anon_sym_AMP] = ACTIONS(1474),
    [anon_sym_SEMI] = ACTIONS(2090),
    [anon_sym___extension__] = ACTIONS(2092),
    [anon_sym_typedef] = ACTIONS(2094),
    [anon_sym_in] = ACTIONS(1480),
    [anon_sym_out] = ACTIONS(1480),
    [anon_sym_inout] = ACTIONS(1480),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2096),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(2098),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(65),
    [anon_sym_enum] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(69),
    [anon_sym_struct] = ACTIONS(71),
    [anon_sym_union] = ACTIONS(73),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [anon_sym_virtual] = ACTIONS(123),
    [anon_sym_alignas] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_using] = ACTIONS(2100),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
    [anon_sym_precise] = ACTIONS(161),
    [anon_sym_shared] = ACTIONS(161),
    [anon_sym_groupshared] = ACTIONS(161),
    [anon_sym_uniform] = ACTIONS(161),
    [anon_sym_row_major] = ACTIONS(161),
    [anon_sym_column_major] = ACTIONS(161),
    [anon_sym_globallycoherent] = ACTIONS(161),
    [anon_sym_centroid] = ACTIONS(161),
    [anon_sym_noperspective] = ACTIONS(161),
    [anon_sym_nointerpolation] = ACTIONS(161),
    [anon_sym_sample] = ACTIONS(161),
    [anon_sym_linear] = ACTIONS(161),
    [anon_sym_snorm] = ACTIONS(161),
    [anon_sym_unorm] = ACTIONS(161),
    [anon_sym_point] = ACTIONS(161),
    [anon_sym_line] = ACTIONS(161),
    [anon_sym_triangleadj] = ACTIONS(161),
    [anon_sym_lineadj] = ACTIONS(161),
    [anon_sym_triangle] = ACTIONS(161),
  },
  [131] = {
    [sym_declaration] = STATE(633),
    [sym_type_definition] = STATE(3471),
    [sym__declaration_modifiers] = STATE(2673),
    [sym__declaration_specifiers] = STATE(6417),
    [sym_attribute_specifier] = STATE(2673),
    [sym_attribute_declaration] = STATE(2673),
    [sym_ms_declspec_modifier] = STATE(2673),
    [sym_storage_class_specifier] = STATE(2673),
    [sym_type_qualifier] = STATE(2673),
    [sym__type_specifier] = STATE(2827),
    [sym_sized_type_specifier] = STATE(3085),
    [sym_enum_specifier] = STATE(3085),
    [sym_struct_specifier] = STATE(3085),
    [sym_union_specifier] = STATE(3085),
    [sym_expression_statement] = STATE(3471),
    [sym__for_statement_body] = STATE(9488),
    [sym__expression] = STATE(5693),
    [sym__expression_not_binary] = STATE(5024),
    [sym__string] = STATE(5024),
    [sym_comma_expression] = STATE(9887),
    [sym_conditional_expression] = STATE(5024),
    [sym_assignment_expression] = STATE(5024),
    [sym_pointer_expression] = STATE(4507),
    [sym_unary_expression] = STATE(5024),
    [sym_binary_expression] = STATE(5024),
    [sym_update_expression] = STATE(5024),
    [sym_cast_expression] = STATE(5024),
    [sym_sizeof_expression] = STATE(5024),
    [sym_alignof_expression] = STATE(5024),
    [sym_offsetof_expression] = STATE(5024),
    [sym_generic_expression] = STATE(5024),
    [sym_subscript_expression] = STATE(4507),
    [sym_call_expression] = STATE(4507),
    [sym_gnu_asm_expression] = STATE(5024),
    [sym_field_expression] = STATE(4507),
    [sym_compound_literal_expression] = STATE(5024),
    [sym_parenthesized_expression] = STATE(4507),
    [sym_char_literal] = STATE(5374),
    [sym_concatenated_string] = STATE(5377),
    [sym_string_literal] = STATE(4206),
    [sym_null] = STATE(5024),
    [sym_placeholder_type_specifier] = STATE(3085),
    [sym_decltype_auto] = STATE(3091),
    [sym_decltype] = STATE(3050),
    [sym_class_specifier] = STATE(3085),
    [sym__class_name] = STATE(9352),
    [sym_virtual] = STATE(2673),
    [sym_alignas_specifier] = STATE(2673),
    [sym_dependent_type] = STATE(3085),
    [sym_template_type] = STATE(3129),
    [sym_template_function] = STATE(5024),
    [sym_alias_declaration] = STATE(3471),
    [sym__for_range_loop_body] = STATE(9489),
    [sym_init_statement] = STATE(2573),
    [sym_raw_string_literal] = STATE(4217),
    [sym_co_await_expression] = STATE(5024),
    [sym_new_expression] = STATE(5024),
    [sym_delete_expression] = STATE(5024),
    [sym_requires_clause] = STATE(5024),
    [sym_requires_expression] = STATE(5024),
    [sym_lambda_expression] = STATE(5024),
    [sym_lambda_capture_specifier] = STATE(7184),
    [sym_fold_expression] = STATE(5024),
    [sym_parameter_pack_expansion] = STATE(5024),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6970),
    [sym_qualified_identifier] = STATE(4507),
    [sym_qualified_type_identifier] = STATE(3127),
    [sym_user_defined_literal] = STATE(4507),
    [sym_qualifiers] = STATE(2673),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2673),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3021),
    [sym_identifier] = ACTIONS(2088),
    [anon_sym_LPAREN2] = ACTIONS(1472),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1474),
    [anon_sym_AMP] = ACTIONS(1474),
    [anon_sym_SEMI] = ACTIONS(2090),
    [anon_sym___extension__] = ACTIONS(2092),
    [anon_sym_typedef] = ACTIONS(2094),
    [anon_sym_in] = ACTIONS(1480),
    [anon_sym_out] = ACTIONS(1480),
    [anon_sym_inout] = ACTIONS(1480),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2096),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(2098),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(65),
    [anon_sym_enum] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(69),
    [anon_sym_struct] = ACTIONS(71),
    [anon_sym_union] = ACTIONS(73),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [anon_sym_virtual] = ACTIONS(123),
    [anon_sym_alignas] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_using] = ACTIONS(2100),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
    [anon_sym_precise] = ACTIONS(161),
    [anon_sym_shared] = ACTIONS(161),
    [anon_sym_groupshared] = ACTIONS(161),
    [anon_sym_uniform] = ACTIONS(161),
    [anon_sym_row_major] = ACTIONS(161),
    [anon_sym_column_major] = ACTIONS(161),
    [anon_sym_globallycoherent] = ACTIONS(161),
    [anon_sym_centroid] = ACTIONS(161),
    [anon_sym_noperspective] = ACTIONS(161),
    [anon_sym_nointerpolation] = ACTIONS(161),
    [anon_sym_sample] = ACTIONS(161),
    [anon_sym_linear] = ACTIONS(161),
    [anon_sym_snorm] = ACTIONS(161),
    [anon_sym_unorm] = ACTIONS(161),
    [anon_sym_point] = ACTIONS(161),
    [anon_sym_line] = ACTIONS(161),
    [anon_sym_triangleadj] = ACTIONS(161),
    [anon_sym_lineadj] = ACTIONS(161),
    [anon_sym_triangle] = ACTIONS(161),
  },
  [132] = {
    [sym_declaration] = STATE(633),
    [sym_type_definition] = STATE(3471),
    [sym__declaration_modifiers] = STATE(2673),
    [sym__declaration_specifiers] = STATE(6417),
    [sym_attribute_specifier] = STATE(2673),
    [sym_attribute_declaration] = STATE(2673),
    [sym_ms_declspec_modifier] = STATE(2673),
    [sym_storage_class_specifier] = STATE(2673),
    [sym_type_qualifier] = STATE(2673),
    [sym__type_specifier] = STATE(2827),
    [sym_sized_type_specifier] = STATE(3085),
    [sym_enum_specifier] = STATE(3085),
    [sym_struct_specifier] = STATE(3085),
    [sym_union_specifier] = STATE(3085),
    [sym_expression_statement] = STATE(3471),
    [sym__for_statement_body] = STATE(9888),
    [sym__expression] = STATE(5693),
    [sym__expression_not_binary] = STATE(5024),
    [sym__string] = STATE(5024),
    [sym_comma_expression] = STATE(9887),
    [sym_conditional_expression] = STATE(5024),
    [sym_assignment_expression] = STATE(5024),
    [sym_pointer_expression] = STATE(4507),
    [sym_unary_expression] = STATE(5024),
    [sym_binary_expression] = STATE(5024),
    [sym_update_expression] = STATE(5024),
    [sym_cast_expression] = STATE(5024),
    [sym_sizeof_expression] = STATE(5024),
    [sym_alignof_expression] = STATE(5024),
    [sym_offsetof_expression] = STATE(5024),
    [sym_generic_expression] = STATE(5024),
    [sym_subscript_expression] = STATE(4507),
    [sym_call_expression] = STATE(4507),
    [sym_gnu_asm_expression] = STATE(5024),
    [sym_field_expression] = STATE(4507),
    [sym_compound_literal_expression] = STATE(5024),
    [sym_parenthesized_expression] = STATE(4507),
    [sym_char_literal] = STATE(5374),
    [sym_concatenated_string] = STATE(5377),
    [sym_string_literal] = STATE(4206),
    [sym_null] = STATE(5024),
    [sym_placeholder_type_specifier] = STATE(3085),
    [sym_decltype_auto] = STATE(3091),
    [sym_decltype] = STATE(3050),
    [sym_class_specifier] = STATE(3085),
    [sym__class_name] = STATE(9352),
    [sym_virtual] = STATE(2673),
    [sym_alignas_specifier] = STATE(2673),
    [sym_dependent_type] = STATE(3085),
    [sym_template_type] = STATE(3129),
    [sym_template_function] = STATE(5024),
    [sym_alias_declaration] = STATE(3471),
    [sym__for_range_loop_body] = STATE(9886),
    [sym_init_statement] = STATE(2573),
    [sym_raw_string_literal] = STATE(4217),
    [sym_co_await_expression] = STATE(5024),
    [sym_new_expression] = STATE(5024),
    [sym_delete_expression] = STATE(5024),
    [sym_requires_clause] = STATE(5024),
    [sym_requires_expression] = STATE(5024),
    [sym_lambda_expression] = STATE(5024),
    [sym_lambda_capture_specifier] = STATE(7184),
    [sym_fold_expression] = STATE(5024),
    [sym_parameter_pack_expansion] = STATE(5024),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6970),
    [sym_qualified_identifier] = STATE(4507),
    [sym_qualified_type_identifier] = STATE(3127),
    [sym_user_defined_literal] = STATE(4507),
    [sym_qualifiers] = STATE(2673),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2673),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3021),
    [sym_identifier] = ACTIONS(2088),
    [anon_sym_LPAREN2] = ACTIONS(1472),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1474),
    [anon_sym_AMP] = ACTIONS(1474),
    [anon_sym_SEMI] = ACTIONS(2090),
    [anon_sym___extension__] = ACTIONS(2092),
    [anon_sym_typedef] = ACTIONS(2094),
    [anon_sym_in] = ACTIONS(1480),
    [anon_sym_out] = ACTIONS(1480),
    [anon_sym_inout] = ACTIONS(1480),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2096),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(2098),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(65),
    [anon_sym_enum] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(69),
    [anon_sym_struct] = ACTIONS(71),
    [anon_sym_union] = ACTIONS(73),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [anon_sym_virtual] = ACTIONS(123),
    [anon_sym_alignas] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_using] = ACTIONS(2100),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
    [anon_sym_precise] = ACTIONS(161),
    [anon_sym_shared] = ACTIONS(161),
    [anon_sym_groupshared] = ACTIONS(161),
    [anon_sym_uniform] = ACTIONS(161),
    [anon_sym_row_major] = ACTIONS(161),
    [anon_sym_column_major] = ACTIONS(161),
    [anon_sym_globallycoherent] = ACTIONS(161),
    [anon_sym_centroid] = ACTIONS(161),
    [anon_sym_noperspective] = ACTIONS(161),
    [anon_sym_nointerpolation] = ACTIONS(161),
    [anon_sym_sample] = ACTIONS(161),
    [anon_sym_linear] = ACTIONS(161),
    [anon_sym_snorm] = ACTIONS(161),
    [anon_sym_unorm] = ACTIONS(161),
    [anon_sym_point] = ACTIONS(161),
    [anon_sym_line] = ACTIONS(161),
    [anon_sym_triangleadj] = ACTIONS(161),
    [anon_sym_lineadj] = ACTIONS(161),
    [anon_sym_triangle] = ACTIONS(161),
  },
  [133] = {
    [sym_declaration] = STATE(633),
    [sym_type_definition] = STATE(3471),
    [sym__declaration_modifiers] = STATE(2673),
    [sym__declaration_specifiers] = STATE(6417),
    [sym_attribute_specifier] = STATE(2673),
    [sym_attribute_declaration] = STATE(2673),
    [sym_ms_declspec_modifier] = STATE(2673),
    [sym_storage_class_specifier] = STATE(2673),
    [sym_type_qualifier] = STATE(2673),
    [sym__type_specifier] = STATE(2827),
    [sym_sized_type_specifier] = STATE(3085),
    [sym_enum_specifier] = STATE(3085),
    [sym_struct_specifier] = STATE(3085),
    [sym_union_specifier] = STATE(3085),
    [sym_expression_statement] = STATE(3471),
    [sym__for_statement_body] = STATE(10109),
    [sym__expression] = STATE(5693),
    [sym__expression_not_binary] = STATE(5024),
    [sym__string] = STATE(5024),
    [sym_comma_expression] = STATE(9887),
    [sym_conditional_expression] = STATE(5024),
    [sym_assignment_expression] = STATE(5024),
    [sym_pointer_expression] = STATE(4507),
    [sym_unary_expression] = STATE(5024),
    [sym_binary_expression] = STATE(5024),
    [sym_update_expression] = STATE(5024),
    [sym_cast_expression] = STATE(5024),
    [sym_sizeof_expression] = STATE(5024),
    [sym_alignof_expression] = STATE(5024),
    [sym_offsetof_expression] = STATE(5024),
    [sym_generic_expression] = STATE(5024),
    [sym_subscript_expression] = STATE(4507),
    [sym_call_expression] = STATE(4507),
    [sym_gnu_asm_expression] = STATE(5024),
    [sym_field_expression] = STATE(4507),
    [sym_compound_literal_expression] = STATE(5024),
    [sym_parenthesized_expression] = STATE(4507),
    [sym_char_literal] = STATE(5374),
    [sym_concatenated_string] = STATE(5377),
    [sym_string_literal] = STATE(4206),
    [sym_null] = STATE(5024),
    [sym_placeholder_type_specifier] = STATE(3085),
    [sym_decltype_auto] = STATE(3091),
    [sym_decltype] = STATE(3050),
    [sym_class_specifier] = STATE(3085),
    [sym__class_name] = STATE(9352),
    [sym_virtual] = STATE(2673),
    [sym_alignas_specifier] = STATE(2673),
    [sym_dependent_type] = STATE(3085),
    [sym_template_type] = STATE(3129),
    [sym_template_function] = STATE(5024),
    [sym_alias_declaration] = STATE(3471),
    [sym__for_range_loop_body] = STATE(10105),
    [sym_init_statement] = STATE(2573),
    [sym_raw_string_literal] = STATE(4217),
    [sym_co_await_expression] = STATE(5024),
    [sym_new_expression] = STATE(5024),
    [sym_delete_expression] = STATE(5024),
    [sym_requires_clause] = STATE(5024),
    [sym_requires_expression] = STATE(5024),
    [sym_lambda_expression] = STATE(5024),
    [sym_lambda_capture_specifier] = STATE(7184),
    [sym_fold_expression] = STATE(5024),
    [sym_parameter_pack_expansion] = STATE(5024),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6970),
    [sym_qualified_identifier] = STATE(4507),
    [sym_qualified_type_identifier] = STATE(3127),
    [sym_user_defined_literal] = STATE(4507),
    [sym_qualifiers] = STATE(2673),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2673),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3021),
    [sym_identifier] = ACTIONS(2088),
    [anon_sym_LPAREN2] = ACTIONS(1472),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1474),
    [anon_sym_AMP] = ACTIONS(1474),
    [anon_sym_SEMI] = ACTIONS(2090),
    [anon_sym___extension__] = ACTIONS(2092),
    [anon_sym_typedef] = ACTIONS(2094),
    [anon_sym_in] = ACTIONS(1480),
    [anon_sym_out] = ACTIONS(1480),
    [anon_sym_inout] = ACTIONS(1480),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2096),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(2098),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(65),
    [anon_sym_enum] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(69),
    [anon_sym_struct] = ACTIONS(71),
    [anon_sym_union] = ACTIONS(73),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [anon_sym_virtual] = ACTIONS(123),
    [anon_sym_alignas] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_using] = ACTIONS(2100),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
    [anon_sym_precise] = ACTIONS(161),
    [anon_sym_shared] = ACTIONS(161),
    [anon_sym_groupshared] = ACTIONS(161),
    [anon_sym_uniform] = ACTIONS(161),
    [anon_sym_row_major] = ACTIONS(161),
    [anon_sym_column_major] = ACTIONS(161),
    [anon_sym_globallycoherent] = ACTIONS(161),
    [anon_sym_centroid] = ACTIONS(161),
    [anon_sym_noperspective] = ACTIONS(161),
    [anon_sym_nointerpolation] = ACTIONS(161),
    [anon_sym_sample] = ACTIONS(161),
    [anon_sym_linear] = ACTIONS(161),
    [anon_sym_snorm] = ACTIONS(161),
    [anon_sym_unorm] = ACTIONS(161),
    [anon_sym_point] = ACTIONS(161),
    [anon_sym_line] = ACTIONS(161),
    [anon_sym_triangleadj] = ACTIONS(161),
    [anon_sym_lineadj] = ACTIONS(161),
    [anon_sym_triangle] = ACTIONS(161),
  },
  [134] = {
    [sym_declaration] = STATE(633),
    [sym_type_definition] = STATE(3471),
    [sym__declaration_modifiers] = STATE(2673),
    [sym__declaration_specifiers] = STATE(6417),
    [sym_attribute_specifier] = STATE(2673),
    [sym_attribute_declaration] = STATE(2673),
    [sym_ms_declspec_modifier] = STATE(2673),
    [sym_storage_class_specifier] = STATE(2673),
    [sym_type_qualifier] = STATE(2673),
    [sym__type_specifier] = STATE(2827),
    [sym_sized_type_specifier] = STATE(3085),
    [sym_enum_specifier] = STATE(3085),
    [sym_struct_specifier] = STATE(3085),
    [sym_union_specifier] = STATE(3085),
    [sym_expression_statement] = STATE(3471),
    [sym__for_statement_body] = STATE(9569),
    [sym__expression] = STATE(5693),
    [sym__expression_not_binary] = STATE(5024),
    [sym__string] = STATE(5024),
    [sym_comma_expression] = STATE(9887),
    [sym_conditional_expression] = STATE(5024),
    [sym_assignment_expression] = STATE(5024),
    [sym_pointer_expression] = STATE(4507),
    [sym_unary_expression] = STATE(5024),
    [sym_binary_expression] = STATE(5024),
    [sym_update_expression] = STATE(5024),
    [sym_cast_expression] = STATE(5024),
    [sym_sizeof_expression] = STATE(5024),
    [sym_alignof_expression] = STATE(5024),
    [sym_offsetof_expression] = STATE(5024),
    [sym_generic_expression] = STATE(5024),
    [sym_subscript_expression] = STATE(4507),
    [sym_call_expression] = STATE(4507),
    [sym_gnu_asm_expression] = STATE(5024),
    [sym_field_expression] = STATE(4507),
    [sym_compound_literal_expression] = STATE(5024),
    [sym_parenthesized_expression] = STATE(4507),
    [sym_char_literal] = STATE(5374),
    [sym_concatenated_string] = STATE(5377),
    [sym_string_literal] = STATE(4206),
    [sym_null] = STATE(5024),
    [sym_placeholder_type_specifier] = STATE(3085),
    [sym_decltype_auto] = STATE(3091),
    [sym_decltype] = STATE(3050),
    [sym_class_specifier] = STATE(3085),
    [sym__class_name] = STATE(9352),
    [sym_virtual] = STATE(2673),
    [sym_alignas_specifier] = STATE(2673),
    [sym_dependent_type] = STATE(3085),
    [sym_template_type] = STATE(3129),
    [sym_template_function] = STATE(5024),
    [sym_alias_declaration] = STATE(3471),
    [sym__for_range_loop_body] = STATE(9570),
    [sym_init_statement] = STATE(2573),
    [sym_raw_string_literal] = STATE(4217),
    [sym_co_await_expression] = STATE(5024),
    [sym_new_expression] = STATE(5024),
    [sym_delete_expression] = STATE(5024),
    [sym_requires_clause] = STATE(5024),
    [sym_requires_expression] = STATE(5024),
    [sym_lambda_expression] = STATE(5024),
    [sym_lambda_capture_specifier] = STATE(7184),
    [sym_fold_expression] = STATE(5024),
    [sym_parameter_pack_expansion] = STATE(5024),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6970),
    [sym_qualified_identifier] = STATE(4507),
    [sym_qualified_type_identifier] = STATE(3127),
    [sym_user_defined_literal] = STATE(4507),
    [sym_qualifiers] = STATE(2673),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2673),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3021),
    [sym_identifier] = ACTIONS(2088),
    [anon_sym_LPAREN2] = ACTIONS(1472),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1474),
    [anon_sym_AMP] = ACTIONS(1474),
    [anon_sym_SEMI] = ACTIONS(2090),
    [anon_sym___extension__] = ACTIONS(2092),
    [anon_sym_typedef] = ACTIONS(2094),
    [anon_sym_in] = ACTIONS(1480),
    [anon_sym_out] = ACTIONS(1480),
    [anon_sym_inout] = ACTIONS(1480),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2096),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(2098),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(65),
    [anon_sym_enum] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(69),
    [anon_sym_struct] = ACTIONS(71),
    [anon_sym_union] = ACTIONS(73),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [anon_sym_virtual] = ACTIONS(123),
    [anon_sym_alignas] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_using] = ACTIONS(2100),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
    [anon_sym_precise] = ACTIONS(161),
    [anon_sym_shared] = ACTIONS(161),
    [anon_sym_groupshared] = ACTIONS(161),
    [anon_sym_uniform] = ACTIONS(161),
    [anon_sym_row_major] = ACTIONS(161),
    [anon_sym_column_major] = ACTIONS(161),
    [anon_sym_globallycoherent] = ACTIONS(161),
    [anon_sym_centroid] = ACTIONS(161),
    [anon_sym_noperspective] = ACTIONS(161),
    [anon_sym_nointerpolation] = ACTIONS(161),
    [anon_sym_sample] = ACTIONS(161),
    [anon_sym_linear] = ACTIONS(161),
    [anon_sym_snorm] = ACTIONS(161),
    [anon_sym_unorm] = ACTIONS(161),
    [anon_sym_point] = ACTIONS(161),
    [anon_sym_line] = ACTIONS(161),
    [anon_sym_triangleadj] = ACTIONS(161),
    [anon_sym_lineadj] = ACTIONS(161),
    [anon_sym_triangle] = ACTIONS(161),
  },
  [135] = {
    [sym_declaration] = STATE(633),
    [sym_type_definition] = STATE(3471),
    [sym__declaration_modifiers] = STATE(2673),
    [sym__declaration_specifiers] = STATE(6417),
    [sym_attribute_specifier] = STATE(2673),
    [sym_attribute_declaration] = STATE(2673),
    [sym_ms_declspec_modifier] = STATE(2673),
    [sym_storage_class_specifier] = STATE(2673),
    [sym_type_qualifier] = STATE(2673),
    [sym__type_specifier] = STATE(2827),
    [sym_sized_type_specifier] = STATE(3085),
    [sym_enum_specifier] = STATE(3085),
    [sym_struct_specifier] = STATE(3085),
    [sym_union_specifier] = STATE(3085),
    [sym_expression_statement] = STATE(3471),
    [sym__for_statement_body] = STATE(9779),
    [sym__expression] = STATE(5693),
    [sym__expression_not_binary] = STATE(5024),
    [sym__string] = STATE(5024),
    [sym_comma_expression] = STATE(9887),
    [sym_conditional_expression] = STATE(5024),
    [sym_assignment_expression] = STATE(5024),
    [sym_pointer_expression] = STATE(4507),
    [sym_unary_expression] = STATE(5024),
    [sym_binary_expression] = STATE(5024),
    [sym_update_expression] = STATE(5024),
    [sym_cast_expression] = STATE(5024),
    [sym_sizeof_expression] = STATE(5024),
    [sym_alignof_expression] = STATE(5024),
    [sym_offsetof_expression] = STATE(5024),
    [sym_generic_expression] = STATE(5024),
    [sym_subscript_expression] = STATE(4507),
    [sym_call_expression] = STATE(4507),
    [sym_gnu_asm_expression] = STATE(5024),
    [sym_field_expression] = STATE(4507),
    [sym_compound_literal_expression] = STATE(5024),
    [sym_parenthesized_expression] = STATE(4507),
    [sym_char_literal] = STATE(5374),
    [sym_concatenated_string] = STATE(5377),
    [sym_string_literal] = STATE(4206),
    [sym_null] = STATE(5024),
    [sym_placeholder_type_specifier] = STATE(3085),
    [sym_decltype_auto] = STATE(3091),
    [sym_decltype] = STATE(3050),
    [sym_class_specifier] = STATE(3085),
    [sym__class_name] = STATE(9352),
    [sym_virtual] = STATE(2673),
    [sym_alignas_specifier] = STATE(2673),
    [sym_dependent_type] = STATE(3085),
    [sym_template_type] = STATE(3129),
    [sym_template_function] = STATE(5024),
    [sym_alias_declaration] = STATE(3471),
    [sym__for_range_loop_body] = STATE(9776),
    [sym_init_statement] = STATE(2573),
    [sym_raw_string_literal] = STATE(4217),
    [sym_co_await_expression] = STATE(5024),
    [sym_new_expression] = STATE(5024),
    [sym_delete_expression] = STATE(5024),
    [sym_requires_clause] = STATE(5024),
    [sym_requires_expression] = STATE(5024),
    [sym_lambda_expression] = STATE(5024),
    [sym_lambda_capture_specifier] = STATE(7184),
    [sym_fold_expression] = STATE(5024),
    [sym_parameter_pack_expansion] = STATE(5024),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6970),
    [sym_qualified_identifier] = STATE(4507),
    [sym_qualified_type_identifier] = STATE(3127),
    [sym_user_defined_literal] = STATE(4507),
    [sym_qualifiers] = STATE(2673),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2673),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3021),
    [sym_identifier] = ACTIONS(2088),
    [anon_sym_LPAREN2] = ACTIONS(1472),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1474),
    [anon_sym_AMP] = ACTIONS(1474),
    [anon_sym_SEMI] = ACTIONS(2090),
    [anon_sym___extension__] = ACTIONS(2092),
    [anon_sym_typedef] = ACTIONS(2094),
    [anon_sym_in] = ACTIONS(1480),
    [anon_sym_out] = ACTIONS(1480),
    [anon_sym_inout] = ACTIONS(1480),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2096),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(2098),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(65),
    [anon_sym_enum] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(69),
    [anon_sym_struct] = ACTIONS(71),
    [anon_sym_union] = ACTIONS(73),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [anon_sym_virtual] = ACTIONS(123),
    [anon_sym_alignas] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_using] = ACTIONS(2100),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
    [anon_sym_precise] = ACTIONS(161),
    [anon_sym_shared] = ACTIONS(161),
    [anon_sym_groupshared] = ACTIONS(161),
    [anon_sym_uniform] = ACTIONS(161),
    [anon_sym_row_major] = ACTIONS(161),
    [anon_sym_column_major] = ACTIONS(161),
    [anon_sym_globallycoherent] = ACTIONS(161),
    [anon_sym_centroid] = ACTIONS(161),
    [anon_sym_noperspective] = ACTIONS(161),
    [anon_sym_nointerpolation] = ACTIONS(161),
    [anon_sym_sample] = ACTIONS(161),
    [anon_sym_linear] = ACTIONS(161),
    [anon_sym_snorm] = ACTIONS(161),
    [anon_sym_unorm] = ACTIONS(161),
    [anon_sym_point] = ACTIONS(161),
    [anon_sym_line] = ACTIONS(161),
    [anon_sym_triangleadj] = ACTIONS(161),
    [anon_sym_lineadj] = ACTIONS(161),
    [anon_sym_triangle] = ACTIONS(161),
  },
  [136] = {
    [sym_declaration] = STATE(633),
    [sym_type_definition] = STATE(3471),
    [sym__declaration_modifiers] = STATE(2673),
    [sym__declaration_specifiers] = STATE(6417),
    [sym_attribute_specifier] = STATE(2673),
    [sym_attribute_declaration] = STATE(2673),
    [sym_ms_declspec_modifier] = STATE(2673),
    [sym_storage_class_specifier] = STATE(2673),
    [sym_type_qualifier] = STATE(2673),
    [sym__type_specifier] = STATE(2827),
    [sym_sized_type_specifier] = STATE(3085),
    [sym_enum_specifier] = STATE(3085),
    [sym_struct_specifier] = STATE(3085),
    [sym_union_specifier] = STATE(3085),
    [sym_expression_statement] = STATE(3471),
    [sym__for_statement_body] = STATE(9521),
    [sym__expression] = STATE(5693),
    [sym__expression_not_binary] = STATE(5024),
    [sym__string] = STATE(5024),
    [sym_comma_expression] = STATE(9887),
    [sym_conditional_expression] = STATE(5024),
    [sym_assignment_expression] = STATE(5024),
    [sym_pointer_expression] = STATE(4507),
    [sym_unary_expression] = STATE(5024),
    [sym_binary_expression] = STATE(5024),
    [sym_update_expression] = STATE(5024),
    [sym_cast_expression] = STATE(5024),
    [sym_sizeof_expression] = STATE(5024),
    [sym_alignof_expression] = STATE(5024),
    [sym_offsetof_expression] = STATE(5024),
    [sym_generic_expression] = STATE(5024),
    [sym_subscript_expression] = STATE(4507),
    [sym_call_expression] = STATE(4507),
    [sym_gnu_asm_expression] = STATE(5024),
    [sym_field_expression] = STATE(4507),
    [sym_compound_literal_expression] = STATE(5024),
    [sym_parenthesized_expression] = STATE(4507),
    [sym_char_literal] = STATE(5374),
    [sym_concatenated_string] = STATE(5377),
    [sym_string_literal] = STATE(4206),
    [sym_null] = STATE(5024),
    [sym_placeholder_type_specifier] = STATE(3085),
    [sym_decltype_auto] = STATE(3091),
    [sym_decltype] = STATE(3050),
    [sym_class_specifier] = STATE(3085),
    [sym__class_name] = STATE(9352),
    [sym_virtual] = STATE(2673),
    [sym_alignas_specifier] = STATE(2673),
    [sym_dependent_type] = STATE(3085),
    [sym_template_type] = STATE(3129),
    [sym_template_function] = STATE(5024),
    [sym_alias_declaration] = STATE(3471),
    [sym__for_range_loop_body] = STATE(9516),
    [sym_init_statement] = STATE(2573),
    [sym_raw_string_literal] = STATE(4217),
    [sym_co_await_expression] = STATE(5024),
    [sym_new_expression] = STATE(5024),
    [sym_delete_expression] = STATE(5024),
    [sym_requires_clause] = STATE(5024),
    [sym_requires_expression] = STATE(5024),
    [sym_lambda_expression] = STATE(5024),
    [sym_lambda_capture_specifier] = STATE(7184),
    [sym_fold_expression] = STATE(5024),
    [sym_parameter_pack_expansion] = STATE(5024),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6970),
    [sym_qualified_identifier] = STATE(4507),
    [sym_qualified_type_identifier] = STATE(3127),
    [sym_user_defined_literal] = STATE(4507),
    [sym_qualifiers] = STATE(2673),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2673),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3021),
    [sym_identifier] = ACTIONS(2088),
    [anon_sym_LPAREN2] = ACTIONS(1472),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1474),
    [anon_sym_AMP] = ACTIONS(1474),
    [anon_sym_SEMI] = ACTIONS(2090),
    [anon_sym___extension__] = ACTIONS(2092),
    [anon_sym_typedef] = ACTIONS(2094),
    [anon_sym_in] = ACTIONS(1480),
    [anon_sym_out] = ACTIONS(1480),
    [anon_sym_inout] = ACTIONS(1480),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2096),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(2098),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(65),
    [anon_sym_enum] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(69),
    [anon_sym_struct] = ACTIONS(71),
    [anon_sym_union] = ACTIONS(73),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [anon_sym_virtual] = ACTIONS(123),
    [anon_sym_alignas] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_using] = ACTIONS(2100),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
    [anon_sym_precise] = ACTIONS(161),
    [anon_sym_shared] = ACTIONS(161),
    [anon_sym_groupshared] = ACTIONS(161),
    [anon_sym_uniform] = ACTIONS(161),
    [anon_sym_row_major] = ACTIONS(161),
    [anon_sym_column_major] = ACTIONS(161),
    [anon_sym_globallycoherent] = ACTIONS(161),
    [anon_sym_centroid] = ACTIONS(161),
    [anon_sym_noperspective] = ACTIONS(161),
    [anon_sym_nointerpolation] = ACTIONS(161),
    [anon_sym_sample] = ACTIONS(161),
    [anon_sym_linear] = ACTIONS(161),
    [anon_sym_snorm] = ACTIONS(161),
    [anon_sym_unorm] = ACTIONS(161),
    [anon_sym_point] = ACTIONS(161),
    [anon_sym_line] = ACTIONS(161),
    [anon_sym_triangleadj] = ACTIONS(161),
    [anon_sym_lineadj] = ACTIONS(161),
    [anon_sym_triangle] = ACTIONS(161),
  },
  [137] = {
    [sym_declaration] = STATE(1696),
    [sym_type_definition] = STATE(1696),
    [sym__declaration_modifiers] = STATE(2673),
    [sym__declaration_specifiers] = STATE(6407),
    [sym_attribute_specifier] = STATE(2673),
    [sym_attribute_declaration] = STATE(2673),
    [sym_ms_declspec_modifier] = STATE(2673),
    [sym_storage_class_specifier] = STATE(2673),
    [sym_type_qualifier] = STATE(2673),
    [sym__type_specifier] = STATE(2827),
    [sym_sized_type_specifier] = STATE(3085),
    [sym_enum_specifier] = STATE(3085),
    [sym_struct_specifier] = STATE(3085),
    [sym_union_specifier] = STATE(3085),
    [sym_expression_statement] = STATE(1696),
    [sym__expression] = STATE(5567),
    [sym__expression_not_binary] = STATE(5024),
    [sym__string] = STATE(5024),
    [sym_comma_expression] = STATE(8985),
    [sym_conditional_expression] = STATE(5024),
    [sym_assignment_expression] = STATE(5024),
    [sym_pointer_expression] = STATE(4507),
    [sym_unary_expression] = STATE(5024),
    [sym_binary_expression] = STATE(5024),
    [sym_update_expression] = STATE(5024),
    [sym_cast_expression] = STATE(5024),
    [sym_sizeof_expression] = STATE(5024),
    [sym_alignof_expression] = STATE(5024),
    [sym_offsetof_expression] = STATE(5024),
    [sym_generic_expression] = STATE(5024),
    [sym_subscript_expression] = STATE(4507),
    [sym_call_expression] = STATE(4507),
    [sym_gnu_asm_expression] = STATE(5024),
    [sym_field_expression] = STATE(4507),
    [sym_compound_literal_expression] = STATE(5024),
    [sym_parenthesized_expression] = STATE(4507),
    [sym_char_literal] = STATE(5374),
    [sym_concatenated_string] = STATE(5377),
    [sym_string_literal] = STATE(4206),
    [sym_null] = STATE(5024),
    [sym_placeholder_type_specifier] = STATE(3085),
    [sym_decltype_auto] = STATE(3091),
    [sym_decltype] = STATE(3050),
    [sym_class_specifier] = STATE(3085),
    [sym__class_name] = STATE(9352),
    [sym_virtual] = STATE(2673),
    [sym_alignas_specifier] = STATE(2673),
    [sym_dependent_type] = STATE(3085),
    [sym_template_type] = STATE(3129),
    [sym_template_function] = STATE(5024),
    [sym_alias_declaration] = STATE(1696),
    [sym_init_statement] = STATE(154),
    [sym_condition_declaration] = STATE(9890),
    [sym_raw_string_literal] = STATE(4217),
    [sym_co_await_expression] = STATE(5024),
    [sym_new_expression] = STATE(5024),
    [sym_delete_expression] = STATE(5024),
    [sym_requires_clause] = STATE(5024),
    [sym_requires_expression] = STATE(5024),
    [sym_lambda_expression] = STATE(5024),
    [sym_lambda_capture_specifier] = STATE(7184),
    [sym_fold_expression] = STATE(5024),
    [sym_parameter_pack_expansion] = STATE(5024),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6970),
    [sym_qualified_identifier] = STATE(4507),
    [sym_qualified_type_identifier] = STATE(3127),
    [sym_user_defined_literal] = STATE(4507),
    [sym_qualifiers] = STATE(2673),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2673),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3021),
    [sym_identifier] = ACTIONS(2088),
    [anon_sym_LPAREN2] = ACTIONS(1472),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1474),
    [anon_sym_AMP] = ACTIONS(1474),
    [anon_sym_SEMI] = ACTIONS(1980),
    [anon_sym___extension__] = ACTIONS(1982),
    [anon_sym_typedef] = ACTIONS(1984),
    [anon_sym_in] = ACTIONS(1480),
    [anon_sym_out] = ACTIONS(1480),
    [anon_sym_inout] = ACTIONS(1480),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2096),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(2098),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(65),
    [anon_sym_enum] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(69),
    [anon_sym_struct] = ACTIONS(71),
    [anon_sym_union] = ACTIONS(73),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [anon_sym_virtual] = ACTIONS(123),
    [anon_sym_alignas] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_using] = ACTIONS(2102),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
    [anon_sym_precise] = ACTIONS(161),
    [anon_sym_shared] = ACTIONS(161),
    [anon_sym_groupshared] = ACTIONS(161),
    [anon_sym_uniform] = ACTIONS(161),
    [anon_sym_row_major] = ACTIONS(161),
    [anon_sym_column_major] = ACTIONS(161),
    [anon_sym_globallycoherent] = ACTIONS(161),
    [anon_sym_centroid] = ACTIONS(161),
    [anon_sym_noperspective] = ACTIONS(161),
    [anon_sym_nointerpolation] = ACTIONS(161),
    [anon_sym_sample] = ACTIONS(161),
    [anon_sym_linear] = ACTIONS(161),
    [anon_sym_snorm] = ACTIONS(161),
    [anon_sym_unorm] = ACTIONS(161),
    [anon_sym_point] = ACTIONS(161),
    [anon_sym_line] = ACTIONS(161),
    [anon_sym_triangleadj] = ACTIONS(161),
    [anon_sym_lineadj] = ACTIONS(161),
    [anon_sym_triangle] = ACTIONS(161),
  },
  [138] = {
    [sym__declaration_modifiers] = STATE(2652),
    [sym__declaration_specifiers] = STATE(5141),
    [sym_attribute_specifier] = STATE(2652),
    [sym_attribute_declaration] = STATE(2652),
    [sym_ms_declspec_modifier] = STATE(2652),
    [sym_storage_class_specifier] = STATE(2652),
    [sym_type_qualifier] = STATE(2652),
    [sym__type_specifier] = STATE(2827),
    [sym_sized_type_specifier] = STATE(3085),
    [sym_enum_specifier] = STATE(3085),
    [sym_struct_specifier] = STATE(3085),
    [sym_union_specifier] = STATE(3085),
    [sym_parameter_declaration] = STATE(8849),
    [sym__expression] = STATE(4384),
    [sym__expression_not_binary] = STATE(4939),
    [sym__string] = STATE(4939),
    [sym_conditional_expression] = STATE(4939),
    [sym_assignment_expression] = STATE(4939),
    [sym_pointer_expression] = STATE(4521),
    [sym_unary_expression] = STATE(4939),
    [sym_binary_expression] = STATE(4939),
    [sym_update_expression] = STATE(4939),
    [sym_cast_expression] = STATE(4939),
    [sym_sizeof_expression] = STATE(4939),
    [sym_alignof_expression] = STATE(4939),
    [sym_offsetof_expression] = STATE(4939),
    [sym_generic_expression] = STATE(4939),
    [sym_subscript_expression] = STATE(4521),
    [sym_call_expression] = STATE(4521),
    [sym_gnu_asm_expression] = STATE(4939),
    [sym_field_expression] = STATE(4521),
    [sym_compound_literal_expression] = STATE(4939),
    [sym_parenthesized_expression] = STATE(4521),
    [sym_char_literal] = STATE(4856),
    [sym_concatenated_string] = STATE(4876),
    [sym_string_literal] = STATE(3630),
    [sym_null] = STATE(4939),
    [sym_placeholder_type_specifier] = STATE(3085),
    [sym_decltype_auto] = STATE(3091),
    [sym_decltype] = STATE(3050),
    [sym_class_specifier] = STATE(3085),
    [sym__class_name] = STATE(9415),
    [sym_virtual] = STATE(2652),
    [sym_alignas_specifier] = STATE(2652),
    [sym_dependent_type] = STATE(3085),
    [sym_optional_parameter_declaration] = STATE(8849),
    [sym_variadic_parameter_declaration] = STATE(8849),
    [sym_template_type] = STATE(3129),
    [sym_template_function] = STATE(4939),
    [sym_raw_string_literal] = STATE(3632),
    [sym_co_await_expression] = STATE(4939),
    [sym_new_expression] = STATE(4939),
    [sym_delete_expression] = STATE(4939),
    [sym_requires_clause] = STATE(4939),
    [sym_requires_expression] = STATE(4939),
    [sym_lambda_expression] = STATE(4939),
    [sym_lambda_capture_specifier] = STATE(7190),
    [sym__unary_left_fold] = STATE(9676),
    [sym__unary_right_fold] = STATE(9677),
    [sym__binary_fold] = STATE(9613),
    [sym_fold_expression] = STATE(4939),
    [sym_parameter_pack_expansion] = STATE(4939),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6967),
    [sym_qualified_identifier] = STATE(4521),
    [sym_qualified_type_identifier] = STATE(3127),
    [sym_user_defined_literal] = STATE(4521),
    [sym_qualifiers] = STATE(2652),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2652),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3021),
    [sym_identifier] = ACTIONS(2104),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2106),
    [anon_sym_RPAREN] = ACTIONS(2108),
    [anon_sym_LPAREN2] = ACTIONS(2110),
    [anon_sym_BANG] = ACTIONS(2112),
    [anon_sym_TILDE] = ACTIONS(2112),
    [anon_sym_DASH] = ACTIONS(2114),
    [anon_sym_PLUS] = ACTIONS(2114),
    [anon_sym_STAR] = ACTIONS(2116),
    [anon_sym_AMP] = ACTIONS(2116),
    [anon_sym___extension__] = ACTIONS(63),
    [anon_sym_in] = ACTIONS(2118),
    [anon_sym_out] = ACTIONS(2118),
    [anon_sym_inout] = ACTIONS(2118),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(2120),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2096),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(2098),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(2122),
    [anon_sym_enum] = ACTIONS(2124),
    [anon_sym_class] = ACTIONS(2126),
    [anon_sym_struct] = ACTIONS(2128),
    [anon_sym_union] = ACTIONS(2130),
    [anon_sym_not] = ACTIONS(2114),
    [anon_sym_compl] = ACTIONS(2114),
    [anon_sym_DASH_DASH] = ACTIONS(2132),
    [anon_sym_PLUS_PLUS] = ACTIONS(2132),
    [anon_sym_sizeof] = ACTIONS(2134),
    [anon_sym___alignof__] = ACTIONS(2136),
    [anon_sym___alignof] = ACTIONS(2136),
    [anon_sym__alignof] = ACTIONS(2136),
    [anon_sym_alignof] = ACTIONS(2136),
    [anon_sym__Alignof] = ACTIONS(2136),
    [anon_sym_offsetof] = ACTIONS(2138),
    [anon_sym__Generic] = ACTIONS(2140),
    [anon_sym_asm] = ACTIONS(2142),
    [anon_sym___asm__] = ACTIONS(2142),
    [sym_number_literal] = ACTIONS(2144),
    [anon_sym_L_SQUOTE] = ACTIONS(2146),
    [anon_sym_u_SQUOTE] = ACTIONS(2146),
    [anon_sym_U_SQUOTE] = ACTIONS(2146),
    [anon_sym_u8_SQUOTE] = ACTIONS(2146),
    [anon_sym_SQUOTE] = ACTIONS(2146),
    [anon_sym_L_DQUOTE] = ACTIONS(2148),
    [anon_sym_u_DQUOTE] = ACTIONS(2148),
    [anon_sym_U_DQUOTE] = ACTIONS(2148),
    [anon_sym_u8_DQUOTE] = ACTIONS(2148),
    [anon_sym_DQUOTE] = ACTIONS(2148),
    [sym_true] = ACTIONS(2150),
    [sym_false] = ACTIONS(2150),
    [anon_sym_NULL] = ACTIONS(2152),
    [anon_sym_nullptr] = ACTIONS(2152),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [anon_sym_virtual] = ACTIONS(123),
    [anon_sym_alignas] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(2154),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(2156),
    [anon_sym_R_DQUOTE] = ACTIONS(2158),
    [anon_sym_LR_DQUOTE] = ACTIONS(2158),
    [anon_sym_uR_DQUOTE] = ACTIONS(2158),
    [anon_sym_UR_DQUOTE] = ACTIONS(2158),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2158),
    [anon_sym_co_await] = ACTIONS(2160),
    [anon_sym_new] = ACTIONS(2162),
    [anon_sym_requires] = ACTIONS(2164),
    [sym_this] = ACTIONS(2150),
    [anon_sym_precise] = ACTIONS(161),
    [anon_sym_shared] = ACTIONS(161),
    [anon_sym_groupshared] = ACTIONS(161),
    [anon_sym_uniform] = ACTIONS(161),
    [anon_sym_row_major] = ACTIONS(161),
    [anon_sym_column_major] = ACTIONS(161),
    [anon_sym_globallycoherent] = ACTIONS(161),
    [anon_sym_centroid] = ACTIONS(161),
    [anon_sym_noperspective] = ACTIONS(161),
    [anon_sym_nointerpolation] = ACTIONS(161),
    [anon_sym_sample] = ACTIONS(161),
    [anon_sym_linear] = ACTIONS(161),
    [anon_sym_snorm] = ACTIONS(161),
    [anon_sym_unorm] = ACTIONS(161),
    [anon_sym_point] = ACTIONS(161),
    [anon_sym_line] = ACTIONS(161),
    [anon_sym_triangleadj] = ACTIONS(161),
    [anon_sym_lineadj] = ACTIONS(161),
    [anon_sym_triangle] = ACTIONS(161),
  },
  [139] = {
    [sym__declaration_modifiers] = STATE(2652),
    [sym__declaration_specifiers] = STATE(5141),
    [sym_attribute_specifier] = STATE(2652),
    [sym_attribute_declaration] = STATE(2652),
    [sym_ms_declspec_modifier] = STATE(2652),
    [sym_storage_class_specifier] = STATE(2652),
    [sym_type_qualifier] = STATE(2652),
    [sym__type_specifier] = STATE(2827),
    [sym_sized_type_specifier] = STATE(3085),
    [sym_enum_specifier] = STATE(3085),
    [sym_struct_specifier] = STATE(3085),
    [sym_union_specifier] = STATE(3085),
    [sym_parameter_declaration] = STATE(8849),
    [sym__expression] = STATE(4445),
    [sym__expression_not_binary] = STATE(4939),
    [sym__string] = STATE(4939),
    [sym_conditional_expression] = STATE(4939),
    [sym_assignment_expression] = STATE(4939),
    [sym_pointer_expression] = STATE(4521),
    [sym_unary_expression] = STATE(4939),
    [sym_binary_expression] = STATE(4939),
    [sym_update_expression] = STATE(4939),
    [sym_cast_expression] = STATE(4939),
    [sym_sizeof_expression] = STATE(4939),
    [sym_alignof_expression] = STATE(4939),
    [sym_offsetof_expression] = STATE(4939),
    [sym_generic_expression] = STATE(4939),
    [sym_subscript_expression] = STATE(4521),
    [sym_call_expression] = STATE(4521),
    [sym_gnu_asm_expression] = STATE(4939),
    [sym_field_expression] = STATE(4521),
    [sym_compound_literal_expression] = STATE(4939),
    [sym_parenthesized_expression] = STATE(4521),
    [sym_char_literal] = STATE(4856),
    [sym_concatenated_string] = STATE(4876),
    [sym_string_literal] = STATE(3630),
    [sym_null] = STATE(4939),
    [sym_placeholder_type_specifier] = STATE(3085),
    [sym_decltype_auto] = STATE(3091),
    [sym_decltype] = STATE(3050),
    [sym_class_specifier] = STATE(3085),
    [sym__class_name] = STATE(9415),
    [sym_virtual] = STATE(2652),
    [sym_alignas_specifier] = STATE(2652),
    [sym_dependent_type] = STATE(3085),
    [sym_optional_parameter_declaration] = STATE(8849),
    [sym_variadic_parameter_declaration] = STATE(8849),
    [sym_template_type] = STATE(3129),
    [sym_template_function] = STATE(4939),
    [sym_raw_string_literal] = STATE(3632),
    [sym_co_await_expression] = STATE(4939),
    [sym_new_expression] = STATE(4939),
    [sym_delete_expression] = STATE(4939),
    [sym_requires_clause] = STATE(4939),
    [sym_requires_expression] = STATE(4939),
    [sym_lambda_expression] = STATE(4939),
    [sym_lambda_capture_specifier] = STATE(7190),
    [sym__unary_left_fold] = STATE(10301),
    [sym__unary_right_fold] = STATE(10300),
    [sym__binary_fold] = STATE(10299),
    [sym_fold_expression] = STATE(4939),
    [sym_parameter_pack_expansion] = STATE(4939),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6967),
    [sym_qualified_identifier] = STATE(4521),
    [sym_qualified_type_identifier] = STATE(3127),
    [sym_user_defined_literal] = STATE(4521),
    [sym_qualifiers] = STATE(2652),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2652),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3021),
    [sym_identifier] = ACTIONS(2104),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2106),
    [anon_sym_RPAREN] = ACTIONS(2108),
    [anon_sym_LPAREN2] = ACTIONS(2110),
    [anon_sym_BANG] = ACTIONS(2112),
    [anon_sym_TILDE] = ACTIONS(2112),
    [anon_sym_DASH] = ACTIONS(2114),
    [anon_sym_PLUS] = ACTIONS(2114),
    [anon_sym_STAR] = ACTIONS(2116),
    [anon_sym_AMP] = ACTIONS(2116),
    [anon_sym___extension__] = ACTIONS(63),
    [anon_sym_in] = ACTIONS(2118),
    [anon_sym_out] = ACTIONS(2118),
    [anon_sym_inout] = ACTIONS(2118),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(2120),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2096),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(2098),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(2122),
    [anon_sym_enum] = ACTIONS(2124),
    [anon_sym_class] = ACTIONS(2126),
    [anon_sym_struct] = ACTIONS(2128),
    [anon_sym_union] = ACTIONS(2130),
    [anon_sym_not] = ACTIONS(2114),
    [anon_sym_compl] = ACTIONS(2114),
    [anon_sym_DASH_DASH] = ACTIONS(2132),
    [anon_sym_PLUS_PLUS] = ACTIONS(2132),
    [anon_sym_sizeof] = ACTIONS(2134),
    [anon_sym___alignof__] = ACTIONS(2136),
    [anon_sym___alignof] = ACTIONS(2136),
    [anon_sym__alignof] = ACTIONS(2136),
    [anon_sym_alignof] = ACTIONS(2136),
    [anon_sym__Alignof] = ACTIONS(2136),
    [anon_sym_offsetof] = ACTIONS(2138),
    [anon_sym__Generic] = ACTIONS(2140),
    [anon_sym_asm] = ACTIONS(2142),
    [anon_sym___asm__] = ACTIONS(2142),
    [sym_number_literal] = ACTIONS(2144),
    [anon_sym_L_SQUOTE] = ACTIONS(2146),
    [anon_sym_u_SQUOTE] = ACTIONS(2146),
    [anon_sym_U_SQUOTE] = ACTIONS(2146),
    [anon_sym_u8_SQUOTE] = ACTIONS(2146),
    [anon_sym_SQUOTE] = ACTIONS(2146),
    [anon_sym_L_DQUOTE] = ACTIONS(2148),
    [anon_sym_u_DQUOTE] = ACTIONS(2148),
    [anon_sym_U_DQUOTE] = ACTIONS(2148),
    [anon_sym_u8_DQUOTE] = ACTIONS(2148),
    [anon_sym_DQUOTE] = ACTIONS(2148),
    [sym_true] = ACTIONS(2150),
    [sym_false] = ACTIONS(2150),
    [anon_sym_NULL] = ACTIONS(2152),
    [anon_sym_nullptr] = ACTIONS(2152),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [anon_sym_virtual] = ACTIONS(123),
    [anon_sym_alignas] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(2154),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(2156),
    [anon_sym_R_DQUOTE] = ACTIONS(2158),
    [anon_sym_LR_DQUOTE] = ACTIONS(2158),
    [anon_sym_uR_DQUOTE] = ACTIONS(2158),
    [anon_sym_UR_DQUOTE] = ACTIONS(2158),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2158),
    [anon_sym_co_await] = ACTIONS(2160),
    [anon_sym_new] = ACTIONS(2162),
    [anon_sym_requires] = ACTIONS(2164),
    [sym_this] = ACTIONS(2150),
    [anon_sym_precise] = ACTIONS(161),
    [anon_sym_shared] = ACTIONS(161),
    [anon_sym_groupshared] = ACTIONS(161),
    [anon_sym_uniform] = ACTIONS(161),
    [anon_sym_row_major] = ACTIONS(161),
    [anon_sym_column_major] = ACTIONS(161),
    [anon_sym_globallycoherent] = ACTIONS(161),
    [anon_sym_centroid] = ACTIONS(161),
    [anon_sym_noperspective] = ACTIONS(161),
    [anon_sym_nointerpolation] = ACTIONS(161),
    [anon_sym_sample] = ACTIONS(161),
    [anon_sym_linear] = ACTIONS(161),
    [anon_sym_snorm] = ACTIONS(161),
    [anon_sym_unorm] = ACTIONS(161),
    [anon_sym_point] = ACTIONS(161),
    [anon_sym_line] = ACTIONS(161),
    [anon_sym_triangleadj] = ACTIONS(161),
    [anon_sym_lineadj] = ACTIONS(161),
    [anon_sym_triangle] = ACTIONS(161),
  },
  [140] = {
    [sym__declaration_modifiers] = STATE(2652),
    [sym__declaration_specifiers] = STATE(5141),
    [sym_attribute_specifier] = STATE(2652),
    [sym_attribute_declaration] = STATE(2652),
    [sym_ms_declspec_modifier] = STATE(2652),
    [sym_storage_class_specifier] = STATE(2652),
    [sym_type_qualifier] = STATE(2652),
    [sym__type_specifier] = STATE(2827),
    [sym_sized_type_specifier] = STATE(3085),
    [sym_enum_specifier] = STATE(3085),
    [sym_struct_specifier] = STATE(3085),
    [sym_union_specifier] = STATE(3085),
    [sym_parameter_declaration] = STATE(8849),
    [sym__expression] = STATE(4430),
    [sym__expression_not_binary] = STATE(4939),
    [sym__string] = STATE(4939),
    [sym_conditional_expression] = STATE(4939),
    [sym_assignment_expression] = STATE(4939),
    [sym_pointer_expression] = STATE(4521),
    [sym_unary_expression] = STATE(4939),
    [sym_binary_expression] = STATE(4939),
    [sym_update_expression] = STATE(4939),
    [sym_cast_expression] = STATE(4939),
    [sym_sizeof_expression] = STATE(4939),
    [sym_alignof_expression] = STATE(4939),
    [sym_offsetof_expression] = STATE(4939),
    [sym_generic_expression] = STATE(4939),
    [sym_subscript_expression] = STATE(4521),
    [sym_call_expression] = STATE(4521),
    [sym_gnu_asm_expression] = STATE(4939),
    [sym_field_expression] = STATE(4521),
    [sym_compound_literal_expression] = STATE(4939),
    [sym_parenthesized_expression] = STATE(4521),
    [sym_char_literal] = STATE(4856),
    [sym_concatenated_string] = STATE(4876),
    [sym_string_literal] = STATE(3630),
    [sym_null] = STATE(4939),
    [sym_placeholder_type_specifier] = STATE(3085),
    [sym_decltype_auto] = STATE(3091),
    [sym_decltype] = STATE(3050),
    [sym_class_specifier] = STATE(3085),
    [sym__class_name] = STATE(9415),
    [sym_virtual] = STATE(2652),
    [sym_alignas_specifier] = STATE(2652),
    [sym_dependent_type] = STATE(3085),
    [sym_optional_parameter_declaration] = STATE(8849),
    [sym_variadic_parameter_declaration] = STATE(8849),
    [sym_template_type] = STATE(3129),
    [sym_template_function] = STATE(4939),
    [sym_raw_string_literal] = STATE(3632),
    [sym_co_await_expression] = STATE(4939),
    [sym_new_expression] = STATE(4939),
    [sym_delete_expression] = STATE(4939),
    [sym_requires_clause] = STATE(4939),
    [sym_requires_expression] = STATE(4939),
    [sym_lambda_expression] = STATE(4939),
    [sym_lambda_capture_specifier] = STATE(7190),
    [sym__unary_left_fold] = STATE(9502),
    [sym__unary_right_fold] = STATE(9504),
    [sym__binary_fold] = STATE(9474),
    [sym_fold_expression] = STATE(4939),
    [sym_parameter_pack_expansion] = STATE(4939),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6967),
    [sym_qualified_identifier] = STATE(4521),
    [sym_qualified_type_identifier] = STATE(3127),
    [sym_user_defined_literal] = STATE(4521),
    [sym_qualifiers] = STATE(2652),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2652),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3021),
    [sym_identifier] = ACTIONS(2104),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2106),
    [anon_sym_RPAREN] = ACTIONS(2108),
    [anon_sym_LPAREN2] = ACTIONS(2110),
    [anon_sym_BANG] = ACTIONS(2112),
    [anon_sym_TILDE] = ACTIONS(2112),
    [anon_sym_DASH] = ACTIONS(2114),
    [anon_sym_PLUS] = ACTIONS(2114),
    [anon_sym_STAR] = ACTIONS(2116),
    [anon_sym_AMP] = ACTIONS(2116),
    [anon_sym___extension__] = ACTIONS(63),
    [anon_sym_in] = ACTIONS(2118),
    [anon_sym_out] = ACTIONS(2118),
    [anon_sym_inout] = ACTIONS(2118),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(2120),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2096),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(2098),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(2122),
    [anon_sym_enum] = ACTIONS(2124),
    [anon_sym_class] = ACTIONS(2126),
    [anon_sym_struct] = ACTIONS(2128),
    [anon_sym_union] = ACTIONS(2130),
    [anon_sym_not] = ACTIONS(2114),
    [anon_sym_compl] = ACTIONS(2114),
    [anon_sym_DASH_DASH] = ACTIONS(2132),
    [anon_sym_PLUS_PLUS] = ACTIONS(2132),
    [anon_sym_sizeof] = ACTIONS(2134),
    [anon_sym___alignof__] = ACTIONS(2136),
    [anon_sym___alignof] = ACTIONS(2136),
    [anon_sym__alignof] = ACTIONS(2136),
    [anon_sym_alignof] = ACTIONS(2136),
    [anon_sym__Alignof] = ACTIONS(2136),
    [anon_sym_offsetof] = ACTIONS(2138),
    [anon_sym__Generic] = ACTIONS(2140),
    [anon_sym_asm] = ACTIONS(2142),
    [anon_sym___asm__] = ACTIONS(2142),
    [sym_number_literal] = ACTIONS(2144),
    [anon_sym_L_SQUOTE] = ACTIONS(2146),
    [anon_sym_u_SQUOTE] = ACTIONS(2146),
    [anon_sym_U_SQUOTE] = ACTIONS(2146),
    [anon_sym_u8_SQUOTE] = ACTIONS(2146),
    [anon_sym_SQUOTE] = ACTIONS(2146),
    [anon_sym_L_DQUOTE] = ACTIONS(2148),
    [anon_sym_u_DQUOTE] = ACTIONS(2148),
    [anon_sym_U_DQUOTE] = ACTIONS(2148),
    [anon_sym_u8_DQUOTE] = ACTIONS(2148),
    [anon_sym_DQUOTE] = ACTIONS(2148),
    [sym_true] = ACTIONS(2150),
    [sym_false] = ACTIONS(2150),
    [anon_sym_NULL] = ACTIONS(2152),
    [anon_sym_nullptr] = ACTIONS(2152),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [anon_sym_virtual] = ACTIONS(123),
    [anon_sym_alignas] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(2154),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(2156),
    [anon_sym_R_DQUOTE] = ACTIONS(2158),
    [anon_sym_LR_DQUOTE] = ACTIONS(2158),
    [anon_sym_uR_DQUOTE] = ACTIONS(2158),
    [anon_sym_UR_DQUOTE] = ACTIONS(2158),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2158),
    [anon_sym_co_await] = ACTIONS(2160),
    [anon_sym_new] = ACTIONS(2162),
    [anon_sym_requires] = ACTIONS(2164),
    [sym_this] = ACTIONS(2150),
    [anon_sym_precise] = ACTIONS(161),
    [anon_sym_shared] = ACTIONS(161),
    [anon_sym_groupshared] = ACTIONS(161),
    [anon_sym_uniform] = ACTIONS(161),
    [anon_sym_row_major] = ACTIONS(161),
    [anon_sym_column_major] = ACTIONS(161),
    [anon_sym_globallycoherent] = ACTIONS(161),
    [anon_sym_centroid] = ACTIONS(161),
    [anon_sym_noperspective] = ACTIONS(161),
    [anon_sym_nointerpolation] = ACTIONS(161),
    [anon_sym_sample] = ACTIONS(161),
    [anon_sym_linear] = ACTIONS(161),
    [anon_sym_snorm] = ACTIONS(161),
    [anon_sym_unorm] = ACTIONS(161),
    [anon_sym_point] = ACTIONS(161),
    [anon_sym_line] = ACTIONS(161),
    [anon_sym_triangleadj] = ACTIONS(161),
    [anon_sym_lineadj] = ACTIONS(161),
    [anon_sym_triangle] = ACTIONS(161),
  },
  [141] = {
    [sym__declaration_modifiers] = STATE(2652),
    [sym__declaration_specifiers] = STATE(5141),
    [sym_attribute_specifier] = STATE(2652),
    [sym_attribute_declaration] = STATE(2652),
    [sym_ms_declspec_modifier] = STATE(2652),
    [sym_storage_class_specifier] = STATE(2652),
    [sym_type_qualifier] = STATE(2652),
    [sym__type_specifier] = STATE(2827),
    [sym_sized_type_specifier] = STATE(3085),
    [sym_enum_specifier] = STATE(3085),
    [sym_struct_specifier] = STATE(3085),
    [sym_union_specifier] = STATE(3085),
    [sym_parameter_declaration] = STATE(8849),
    [sym__expression] = STATE(4433),
    [sym__expression_not_binary] = STATE(4939),
    [sym__string] = STATE(4939),
    [sym_conditional_expression] = STATE(4939),
    [sym_assignment_expression] = STATE(4939),
    [sym_pointer_expression] = STATE(4521),
    [sym_unary_expression] = STATE(4939),
    [sym_binary_expression] = STATE(4939),
    [sym_update_expression] = STATE(4939),
    [sym_cast_expression] = STATE(4939),
    [sym_sizeof_expression] = STATE(4939),
    [sym_alignof_expression] = STATE(4939),
    [sym_offsetof_expression] = STATE(4939),
    [sym_generic_expression] = STATE(4939),
    [sym_subscript_expression] = STATE(4521),
    [sym_call_expression] = STATE(4521),
    [sym_gnu_asm_expression] = STATE(4939),
    [sym_field_expression] = STATE(4521),
    [sym_compound_literal_expression] = STATE(4939),
    [sym_parenthesized_expression] = STATE(4521),
    [sym_char_literal] = STATE(4856),
    [sym_concatenated_string] = STATE(4876),
    [sym_string_literal] = STATE(3630),
    [sym_null] = STATE(4939),
    [sym_placeholder_type_specifier] = STATE(3085),
    [sym_decltype_auto] = STATE(3091),
    [sym_decltype] = STATE(3050),
    [sym_class_specifier] = STATE(3085),
    [sym__class_name] = STATE(9415),
    [sym_virtual] = STATE(2652),
    [sym_alignas_specifier] = STATE(2652),
    [sym_dependent_type] = STATE(3085),
    [sym_optional_parameter_declaration] = STATE(8849),
    [sym_variadic_parameter_declaration] = STATE(8849),
    [sym_template_type] = STATE(3129),
    [sym_template_function] = STATE(4939),
    [sym_raw_string_literal] = STATE(3632),
    [sym_co_await_expression] = STATE(4939),
    [sym_new_expression] = STATE(4939),
    [sym_delete_expression] = STATE(4939),
    [sym_requires_clause] = STATE(4939),
    [sym_requires_expression] = STATE(4939),
    [sym_lambda_expression] = STATE(4939),
    [sym_lambda_capture_specifier] = STATE(7190),
    [sym__unary_left_fold] = STATE(9500),
    [sym__unary_right_fold] = STATE(9511),
    [sym__binary_fold] = STATE(9517),
    [sym_fold_expression] = STATE(4939),
    [sym_parameter_pack_expansion] = STATE(4939),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6967),
    [sym_qualified_identifier] = STATE(4521),
    [sym_qualified_type_identifier] = STATE(3127),
    [sym_user_defined_literal] = STATE(4521),
    [sym_qualifiers] = STATE(2652),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2652),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3021),
    [sym_identifier] = ACTIONS(2104),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2106),
    [anon_sym_RPAREN] = ACTIONS(2108),
    [anon_sym_LPAREN2] = ACTIONS(2110),
    [anon_sym_BANG] = ACTIONS(2112),
    [anon_sym_TILDE] = ACTIONS(2112),
    [anon_sym_DASH] = ACTIONS(2114),
    [anon_sym_PLUS] = ACTIONS(2114),
    [anon_sym_STAR] = ACTIONS(2116),
    [anon_sym_AMP] = ACTIONS(2116),
    [anon_sym___extension__] = ACTIONS(63),
    [anon_sym_in] = ACTIONS(2118),
    [anon_sym_out] = ACTIONS(2118),
    [anon_sym_inout] = ACTIONS(2118),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(2120),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2096),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(2098),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(2122),
    [anon_sym_enum] = ACTIONS(2124),
    [anon_sym_class] = ACTIONS(2126),
    [anon_sym_struct] = ACTIONS(2128),
    [anon_sym_union] = ACTIONS(2130),
    [anon_sym_not] = ACTIONS(2114),
    [anon_sym_compl] = ACTIONS(2114),
    [anon_sym_DASH_DASH] = ACTIONS(2132),
    [anon_sym_PLUS_PLUS] = ACTIONS(2132),
    [anon_sym_sizeof] = ACTIONS(2134),
    [anon_sym___alignof__] = ACTIONS(2136),
    [anon_sym___alignof] = ACTIONS(2136),
    [anon_sym__alignof] = ACTIONS(2136),
    [anon_sym_alignof] = ACTIONS(2136),
    [anon_sym__Alignof] = ACTIONS(2136),
    [anon_sym_offsetof] = ACTIONS(2138),
    [anon_sym__Generic] = ACTIONS(2140),
    [anon_sym_asm] = ACTIONS(2142),
    [anon_sym___asm__] = ACTIONS(2142),
    [sym_number_literal] = ACTIONS(2144),
    [anon_sym_L_SQUOTE] = ACTIONS(2146),
    [anon_sym_u_SQUOTE] = ACTIONS(2146),
    [anon_sym_U_SQUOTE] = ACTIONS(2146),
    [anon_sym_u8_SQUOTE] = ACTIONS(2146),
    [anon_sym_SQUOTE] = ACTIONS(2146),
    [anon_sym_L_DQUOTE] = ACTIONS(2148),
    [anon_sym_u_DQUOTE] = ACTIONS(2148),
    [anon_sym_U_DQUOTE] = ACTIONS(2148),
    [anon_sym_u8_DQUOTE] = ACTIONS(2148),
    [anon_sym_DQUOTE] = ACTIONS(2148),
    [sym_true] = ACTIONS(2150),
    [sym_false] = ACTIONS(2150),
    [anon_sym_NULL] = ACTIONS(2152),
    [anon_sym_nullptr] = ACTIONS(2152),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [anon_sym_virtual] = ACTIONS(123),
    [anon_sym_alignas] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(2154),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(2156),
    [anon_sym_R_DQUOTE] = ACTIONS(2158),
    [anon_sym_LR_DQUOTE] = ACTIONS(2158),
    [anon_sym_uR_DQUOTE] = ACTIONS(2158),
    [anon_sym_UR_DQUOTE] = ACTIONS(2158),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2158),
    [anon_sym_co_await] = ACTIONS(2160),
    [anon_sym_new] = ACTIONS(2162),
    [anon_sym_requires] = ACTIONS(2164),
    [sym_this] = ACTIONS(2150),
    [anon_sym_precise] = ACTIONS(161),
    [anon_sym_shared] = ACTIONS(161),
    [anon_sym_groupshared] = ACTIONS(161),
    [anon_sym_uniform] = ACTIONS(161),
    [anon_sym_row_major] = ACTIONS(161),
    [anon_sym_column_major] = ACTIONS(161),
    [anon_sym_globallycoherent] = ACTIONS(161),
    [anon_sym_centroid] = ACTIONS(161),
    [anon_sym_noperspective] = ACTIONS(161),
    [anon_sym_nointerpolation] = ACTIONS(161),
    [anon_sym_sample] = ACTIONS(161),
    [anon_sym_linear] = ACTIONS(161),
    [anon_sym_snorm] = ACTIONS(161),
    [anon_sym_unorm] = ACTIONS(161),
    [anon_sym_point] = ACTIONS(161),
    [anon_sym_line] = ACTIONS(161),
    [anon_sym_triangleadj] = ACTIONS(161),
    [anon_sym_lineadj] = ACTIONS(161),
    [anon_sym_triangle] = ACTIONS(161),
  },
  [142] = {
    [sym__declaration_modifiers] = STATE(2652),
    [sym__declaration_specifiers] = STATE(5141),
    [sym_attribute_specifier] = STATE(2652),
    [sym_attribute_declaration] = STATE(2652),
    [sym_ms_declspec_modifier] = STATE(2652),
    [sym_storage_class_specifier] = STATE(2652),
    [sym_type_qualifier] = STATE(2652),
    [sym__type_specifier] = STATE(2827),
    [sym_sized_type_specifier] = STATE(3085),
    [sym_enum_specifier] = STATE(3085),
    [sym_struct_specifier] = STATE(3085),
    [sym_union_specifier] = STATE(3085),
    [sym_parameter_declaration] = STATE(8849),
    [sym__expression] = STATE(4457),
    [sym__expression_not_binary] = STATE(4939),
    [sym__string] = STATE(4939),
    [sym_conditional_expression] = STATE(4939),
    [sym_assignment_expression] = STATE(4939),
    [sym_pointer_expression] = STATE(4521),
    [sym_unary_expression] = STATE(4939),
    [sym_binary_expression] = STATE(4939),
    [sym_update_expression] = STATE(4939),
    [sym_cast_expression] = STATE(4939),
    [sym_sizeof_expression] = STATE(4939),
    [sym_alignof_expression] = STATE(4939),
    [sym_offsetof_expression] = STATE(4939),
    [sym_generic_expression] = STATE(4939),
    [sym_subscript_expression] = STATE(4521),
    [sym_call_expression] = STATE(4521),
    [sym_gnu_asm_expression] = STATE(4939),
    [sym_field_expression] = STATE(4521),
    [sym_compound_literal_expression] = STATE(4939),
    [sym_parenthesized_expression] = STATE(4521),
    [sym_char_literal] = STATE(4856),
    [sym_concatenated_string] = STATE(4876),
    [sym_string_literal] = STATE(3630),
    [sym_null] = STATE(4939),
    [sym_placeholder_type_specifier] = STATE(3085),
    [sym_decltype_auto] = STATE(3091),
    [sym_decltype] = STATE(3050),
    [sym_class_specifier] = STATE(3085),
    [sym__class_name] = STATE(9415),
    [sym_virtual] = STATE(2652),
    [sym_alignas_specifier] = STATE(2652),
    [sym_dependent_type] = STATE(3085),
    [sym_optional_parameter_declaration] = STATE(8849),
    [sym_variadic_parameter_declaration] = STATE(8849),
    [sym_template_type] = STATE(3129),
    [sym_template_function] = STATE(4939),
    [sym_raw_string_literal] = STATE(3632),
    [sym_co_await_expression] = STATE(4939),
    [sym_new_expression] = STATE(4939),
    [sym_delete_expression] = STATE(4939),
    [sym_requires_clause] = STATE(4939),
    [sym_requires_expression] = STATE(4939),
    [sym_lambda_expression] = STATE(4939),
    [sym_lambda_capture_specifier] = STATE(7190),
    [sym__unary_left_fold] = STATE(9858),
    [sym__unary_right_fold] = STATE(9856),
    [sym__binary_fold] = STATE(9853),
    [sym_fold_expression] = STATE(4939),
    [sym_parameter_pack_expansion] = STATE(4939),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6967),
    [sym_qualified_identifier] = STATE(4521),
    [sym_qualified_type_identifier] = STATE(3127),
    [sym_user_defined_literal] = STATE(4521),
    [sym_qualifiers] = STATE(2652),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2652),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3021),
    [sym_identifier] = ACTIONS(2104),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2106),
    [anon_sym_RPAREN] = ACTIONS(2108),
    [anon_sym_LPAREN2] = ACTIONS(2110),
    [anon_sym_BANG] = ACTIONS(2112),
    [anon_sym_TILDE] = ACTIONS(2112),
    [anon_sym_DASH] = ACTIONS(2114),
    [anon_sym_PLUS] = ACTIONS(2114),
    [anon_sym_STAR] = ACTIONS(2116),
    [anon_sym_AMP] = ACTIONS(2116),
    [anon_sym___extension__] = ACTIONS(63),
    [anon_sym_in] = ACTIONS(2118),
    [anon_sym_out] = ACTIONS(2118),
    [anon_sym_inout] = ACTIONS(2118),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(2120),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2096),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(2098),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(2122),
    [anon_sym_enum] = ACTIONS(2124),
    [anon_sym_class] = ACTIONS(2126),
    [anon_sym_struct] = ACTIONS(2128),
    [anon_sym_union] = ACTIONS(2130),
    [anon_sym_not] = ACTIONS(2114),
    [anon_sym_compl] = ACTIONS(2114),
    [anon_sym_DASH_DASH] = ACTIONS(2132),
    [anon_sym_PLUS_PLUS] = ACTIONS(2132),
    [anon_sym_sizeof] = ACTIONS(2134),
    [anon_sym___alignof__] = ACTIONS(2136),
    [anon_sym___alignof] = ACTIONS(2136),
    [anon_sym__alignof] = ACTIONS(2136),
    [anon_sym_alignof] = ACTIONS(2136),
    [anon_sym__Alignof] = ACTIONS(2136),
    [anon_sym_offsetof] = ACTIONS(2138),
    [anon_sym__Generic] = ACTIONS(2140),
    [anon_sym_asm] = ACTIONS(2142),
    [anon_sym___asm__] = ACTIONS(2142),
    [sym_number_literal] = ACTIONS(2144),
    [anon_sym_L_SQUOTE] = ACTIONS(2146),
    [anon_sym_u_SQUOTE] = ACTIONS(2146),
    [anon_sym_U_SQUOTE] = ACTIONS(2146),
    [anon_sym_u8_SQUOTE] = ACTIONS(2146),
    [anon_sym_SQUOTE] = ACTIONS(2146),
    [anon_sym_L_DQUOTE] = ACTIONS(2148),
    [anon_sym_u_DQUOTE] = ACTIONS(2148),
    [anon_sym_U_DQUOTE] = ACTIONS(2148),
    [anon_sym_u8_DQUOTE] = ACTIONS(2148),
    [anon_sym_DQUOTE] = ACTIONS(2148),
    [sym_true] = ACTIONS(2150),
    [sym_false] = ACTIONS(2150),
    [anon_sym_NULL] = ACTIONS(2152),
    [anon_sym_nullptr] = ACTIONS(2152),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [anon_sym_virtual] = ACTIONS(123),
    [anon_sym_alignas] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(2154),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(2156),
    [anon_sym_R_DQUOTE] = ACTIONS(2158),
    [anon_sym_LR_DQUOTE] = ACTIONS(2158),
    [anon_sym_uR_DQUOTE] = ACTIONS(2158),
    [anon_sym_UR_DQUOTE] = ACTIONS(2158),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2158),
    [anon_sym_co_await] = ACTIONS(2160),
    [anon_sym_new] = ACTIONS(2162),
    [anon_sym_requires] = ACTIONS(2164),
    [sym_this] = ACTIONS(2150),
    [anon_sym_precise] = ACTIONS(161),
    [anon_sym_shared] = ACTIONS(161),
    [anon_sym_groupshared] = ACTIONS(161),
    [anon_sym_uniform] = ACTIONS(161),
    [anon_sym_row_major] = ACTIONS(161),
    [anon_sym_column_major] = ACTIONS(161),
    [anon_sym_globallycoherent] = ACTIONS(161),
    [anon_sym_centroid] = ACTIONS(161),
    [anon_sym_noperspective] = ACTIONS(161),
    [anon_sym_nointerpolation] = ACTIONS(161),
    [anon_sym_sample] = ACTIONS(161),
    [anon_sym_linear] = ACTIONS(161),
    [anon_sym_snorm] = ACTIONS(161),
    [anon_sym_unorm] = ACTIONS(161),
    [anon_sym_point] = ACTIONS(161),
    [anon_sym_line] = ACTIONS(161),
    [anon_sym_triangleadj] = ACTIONS(161),
    [anon_sym_lineadj] = ACTIONS(161),
    [anon_sym_triangle] = ACTIONS(161),
  },
  [143] = {
    [sym__declaration_modifiers] = STATE(2652),
    [sym__declaration_specifiers] = STATE(5141),
    [sym_attribute_specifier] = STATE(2652),
    [sym_attribute_declaration] = STATE(2652),
    [sym_ms_declspec_modifier] = STATE(2652),
    [sym_compound_statement] = STATE(8840),
    [sym_storage_class_specifier] = STATE(2652),
    [sym_type_qualifier] = STATE(2652),
    [sym__type_specifier] = STATE(2827),
    [sym_sized_type_specifier] = STATE(3085),
    [sym_enum_specifier] = STATE(3085),
    [sym_struct_specifier] = STATE(3085),
    [sym_union_specifier] = STATE(3085),
    [sym_parameter_declaration] = STATE(8829),
    [sym__expression] = STATE(5588),
    [sym__expression_not_binary] = STATE(5024),
    [sym__string] = STATE(5024),
    [sym_conditional_expression] = STATE(5024),
    [sym_assignment_expression] = STATE(5024),
    [sym_pointer_expression] = STATE(4507),
    [sym_unary_expression] = STATE(5024),
    [sym_binary_expression] = STATE(5024),
    [sym_update_expression] = STATE(5024),
    [sym_cast_expression] = STATE(5024),
    [sym_sizeof_expression] = STATE(5024),
    [sym_alignof_expression] = STATE(5024),
    [sym_offsetof_expression] = STATE(5024),
    [sym_generic_expression] = STATE(5024),
    [sym_subscript_expression] = STATE(4507),
    [sym_call_expression] = STATE(4507),
    [sym_gnu_asm_expression] = STATE(5024),
    [sym_field_expression] = STATE(4507),
    [sym_compound_literal_expression] = STATE(5024),
    [sym_parenthesized_expression] = STATE(4507),
    [sym_initializer_list] = STATE(8840),
    [sym_char_literal] = STATE(5374),
    [sym_concatenated_string] = STATE(5377),
    [sym_string_literal] = STATE(4206),
    [sym_null] = STATE(5024),
    [sym_placeholder_type_specifier] = STATE(3085),
    [sym_decltype_auto] = STATE(3091),
    [sym_decltype] = STATE(3050),
    [sym_class_specifier] = STATE(3085),
    [sym__class_name] = STATE(9352),
    [sym_virtual] = STATE(2652),
    [sym_alignas_specifier] = STATE(2652),
    [sym_dependent_type] = STATE(3085),
    [sym_optional_parameter_declaration] = STATE(8829),
    [sym_variadic_parameter_declaration] = STATE(8829),
    [sym_template_type] = STATE(3129),
    [sym_template_function] = STATE(5024),
    [sym_raw_string_literal] = STATE(4217),
    [sym_co_await_expression] = STATE(5024),
    [sym_new_expression] = STATE(5024),
    [sym_delete_expression] = STATE(5024),
    [sym_requires_clause] = STATE(5024),
    [sym_requires_expression] = STATE(5024),
    [sym_lambda_expression] = STATE(5024),
    [sym_lambda_capture_specifier] = STATE(7184),
    [sym_fold_expression] = STATE(5024),
    [sym_parameter_pack_expansion] = STATE(5024),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6887),
    [sym_qualified_identifier] = STATE(4507),
    [sym_qualified_type_identifier] = STATE(3127),
    [sym_user_defined_literal] = STATE(4507),
    [sym_qualifiers] = STATE(2652),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2652),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3021),
    [sym_identifier] = ACTIONS(2166),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2168),
    [anon_sym_RPAREN] = ACTIONS(2170),
    [anon_sym_LPAREN2] = ACTIONS(1472),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1474),
    [anon_sym_AMP] = ACTIONS(1474),
    [anon_sym___extension__] = ACTIONS(2172),
    [anon_sym_in] = ACTIONS(2118),
    [anon_sym_out] = ACTIONS(2118),
    [anon_sym_inout] = ACTIONS(2118),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2096),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym_LBRACE] = ACTIONS(2174),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(2098),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(65),
    [anon_sym_enum] = ACTIONS(2124),
    [anon_sym_class] = ACTIONS(2126),
    [anon_sym_struct] = ACTIONS(2128),
    [anon_sym_union] = ACTIONS(2130),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [anon_sym_virtual] = ACTIONS(123),
    [anon_sym_alignas] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(2154),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
    [anon_sym_precise] = ACTIONS(161),
    [anon_sym_shared] = ACTIONS(161),
    [anon_sym_groupshared] = ACTIONS(161),
    [anon_sym_uniform] = ACTIONS(161),
    [anon_sym_row_major] = ACTIONS(161),
    [anon_sym_column_major] = ACTIONS(161),
    [anon_sym_globallycoherent] = ACTIONS(161),
    [anon_sym_centroid] = ACTIONS(161),
    [anon_sym_noperspective] = ACTIONS(161),
    [anon_sym_nointerpolation] = ACTIONS(161),
    [anon_sym_sample] = ACTIONS(161),
    [anon_sym_linear] = ACTIONS(161),
    [anon_sym_snorm] = ACTIONS(161),
    [anon_sym_unorm] = ACTIONS(161),
    [anon_sym_point] = ACTIONS(161),
    [anon_sym_line] = ACTIONS(161),
    [anon_sym_triangleadj] = ACTIONS(161),
    [anon_sym_lineadj] = ACTIONS(161),
    [anon_sym_triangle] = ACTIONS(161),
  },
  [144] = {
    [sym__declaration_modifiers] = STATE(2652),
    [sym__declaration_specifiers] = STATE(5141),
    [sym_attribute_specifier] = STATE(2652),
    [sym_attribute_declaration] = STATE(2652),
    [sym_ms_declspec_modifier] = STATE(2652),
    [sym_storage_class_specifier] = STATE(2652),
    [sym_type_qualifier] = STATE(2652),
    [sym__type_specifier] = STATE(2827),
    [sym_sized_type_specifier] = STATE(3085),
    [sym_enum_specifier] = STATE(3085),
    [sym_struct_specifier] = STATE(3085),
    [sym_union_specifier] = STATE(3085),
    [sym_parameter_declaration] = STATE(8849),
    [sym__expression] = STATE(4435),
    [sym__expression_not_binary] = STATE(4939),
    [sym__string] = STATE(4939),
    [sym_conditional_expression] = STATE(4939),
    [sym_assignment_expression] = STATE(4939),
    [sym_pointer_expression] = STATE(4521),
    [sym_unary_expression] = STATE(4939),
    [sym_binary_expression] = STATE(4939),
    [sym_update_expression] = STATE(4939),
    [sym_cast_expression] = STATE(4939),
    [sym_sizeof_expression] = STATE(4939),
    [sym_alignof_expression] = STATE(4939),
    [sym_offsetof_expression] = STATE(4939),
    [sym_generic_expression] = STATE(4939),
    [sym_subscript_expression] = STATE(4521),
    [sym_call_expression] = STATE(4521),
    [sym_gnu_asm_expression] = STATE(4939),
    [sym_field_expression] = STATE(4521),
    [sym_compound_literal_expression] = STATE(4939),
    [sym_parenthesized_expression] = STATE(4521),
    [sym_char_literal] = STATE(4856),
    [sym_concatenated_string] = STATE(4876),
    [sym_string_literal] = STATE(3630),
    [sym_null] = STATE(4939),
    [sym_placeholder_type_specifier] = STATE(3085),
    [sym_decltype_auto] = STATE(3091),
    [sym_decltype] = STATE(3050),
    [sym_class_specifier] = STATE(3085),
    [sym__class_name] = STATE(9415),
    [sym_virtual] = STATE(2652),
    [sym_alignas_specifier] = STATE(2652),
    [sym_dependent_type] = STATE(3085),
    [sym_optional_parameter_declaration] = STATE(8849),
    [sym_variadic_parameter_declaration] = STATE(8849),
    [sym_template_type] = STATE(3129),
    [sym_template_function] = STATE(4939),
    [sym_raw_string_literal] = STATE(3632),
    [sym_co_await_expression] = STATE(4939),
    [sym_new_expression] = STATE(4939),
    [sym_delete_expression] = STATE(4939),
    [sym_requires_clause] = STATE(4939),
    [sym_requires_expression] = STATE(4939),
    [sym_lambda_expression] = STATE(4939),
    [sym_lambda_capture_specifier] = STATE(7190),
    [sym__unary_left_fold] = STATE(10396),
    [sym__unary_right_fold] = STATE(10394),
    [sym__binary_fold] = STATE(10392),
    [sym_fold_expression] = STATE(4939),
    [sym_parameter_pack_expansion] = STATE(4939),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6967),
    [sym_qualified_identifier] = STATE(4521),
    [sym_qualified_type_identifier] = STATE(3127),
    [sym_user_defined_literal] = STATE(4521),
    [sym_qualifiers] = STATE(2652),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2652),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3021),
    [sym_identifier] = ACTIONS(2104),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2106),
    [anon_sym_RPAREN] = ACTIONS(2108),
    [anon_sym_LPAREN2] = ACTIONS(2110),
    [anon_sym_BANG] = ACTIONS(2112),
    [anon_sym_TILDE] = ACTIONS(2112),
    [anon_sym_DASH] = ACTIONS(2114),
    [anon_sym_PLUS] = ACTIONS(2114),
    [anon_sym_STAR] = ACTIONS(2116),
    [anon_sym_AMP] = ACTIONS(2116),
    [anon_sym___extension__] = ACTIONS(63),
    [anon_sym_in] = ACTIONS(2118),
    [anon_sym_out] = ACTIONS(2118),
    [anon_sym_inout] = ACTIONS(2118),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(2120),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2096),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(2098),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(2122),
    [anon_sym_enum] = ACTIONS(2124),
    [anon_sym_class] = ACTIONS(2126),
    [anon_sym_struct] = ACTIONS(2128),
    [anon_sym_union] = ACTIONS(2130),
    [anon_sym_not] = ACTIONS(2114),
    [anon_sym_compl] = ACTIONS(2114),
    [anon_sym_DASH_DASH] = ACTIONS(2132),
    [anon_sym_PLUS_PLUS] = ACTIONS(2132),
    [anon_sym_sizeof] = ACTIONS(2134),
    [anon_sym___alignof__] = ACTIONS(2136),
    [anon_sym___alignof] = ACTIONS(2136),
    [anon_sym__alignof] = ACTIONS(2136),
    [anon_sym_alignof] = ACTIONS(2136),
    [anon_sym__Alignof] = ACTIONS(2136),
    [anon_sym_offsetof] = ACTIONS(2138),
    [anon_sym__Generic] = ACTIONS(2140),
    [anon_sym_asm] = ACTIONS(2142),
    [anon_sym___asm__] = ACTIONS(2142),
    [sym_number_literal] = ACTIONS(2144),
    [anon_sym_L_SQUOTE] = ACTIONS(2146),
    [anon_sym_u_SQUOTE] = ACTIONS(2146),
    [anon_sym_U_SQUOTE] = ACTIONS(2146),
    [anon_sym_u8_SQUOTE] = ACTIONS(2146),
    [anon_sym_SQUOTE] = ACTIONS(2146),
    [anon_sym_L_DQUOTE] = ACTIONS(2148),
    [anon_sym_u_DQUOTE] = ACTIONS(2148),
    [anon_sym_U_DQUOTE] = ACTIONS(2148),
    [anon_sym_u8_DQUOTE] = ACTIONS(2148),
    [anon_sym_DQUOTE] = ACTIONS(2148),
    [sym_true] = ACTIONS(2150),
    [sym_false] = ACTIONS(2150),
    [anon_sym_NULL] = ACTIONS(2152),
    [anon_sym_nullptr] = ACTIONS(2152),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [anon_sym_virtual] = ACTIONS(123),
    [anon_sym_alignas] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(2154),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(2156),
    [anon_sym_R_DQUOTE] = ACTIONS(2158),
    [anon_sym_LR_DQUOTE] = ACTIONS(2158),
    [anon_sym_uR_DQUOTE] = ACTIONS(2158),
    [anon_sym_UR_DQUOTE] = ACTIONS(2158),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2158),
    [anon_sym_co_await] = ACTIONS(2160),
    [anon_sym_new] = ACTIONS(2162),
    [anon_sym_requires] = ACTIONS(2164),
    [sym_this] = ACTIONS(2150),
    [anon_sym_precise] = ACTIONS(161),
    [anon_sym_shared] = ACTIONS(161),
    [anon_sym_groupshared] = ACTIONS(161),
    [anon_sym_uniform] = ACTIONS(161),
    [anon_sym_row_major] = ACTIONS(161),
    [anon_sym_column_major] = ACTIONS(161),
    [anon_sym_globallycoherent] = ACTIONS(161),
    [anon_sym_centroid] = ACTIONS(161),
    [anon_sym_noperspective] = ACTIONS(161),
    [anon_sym_nointerpolation] = ACTIONS(161),
    [anon_sym_sample] = ACTIONS(161),
    [anon_sym_linear] = ACTIONS(161),
    [anon_sym_snorm] = ACTIONS(161),
    [anon_sym_unorm] = ACTIONS(161),
    [anon_sym_point] = ACTIONS(161),
    [anon_sym_line] = ACTIONS(161),
    [anon_sym_triangleadj] = ACTIONS(161),
    [anon_sym_lineadj] = ACTIONS(161),
    [anon_sym_triangle] = ACTIONS(161),
  },
  [145] = {
    [sym__declaration_modifiers] = STATE(2652),
    [sym__declaration_specifiers] = STATE(5141),
    [sym_attribute_specifier] = STATE(2652),
    [sym_attribute_declaration] = STATE(2652),
    [sym_ms_declspec_modifier] = STATE(2652),
    [sym_storage_class_specifier] = STATE(2652),
    [sym_type_qualifier] = STATE(2652),
    [sym__type_specifier] = STATE(2827),
    [sym_sized_type_specifier] = STATE(3085),
    [sym_enum_specifier] = STATE(3085),
    [sym_struct_specifier] = STATE(3085),
    [sym_union_specifier] = STATE(3085),
    [sym_parameter_declaration] = STATE(8849),
    [sym__expression] = STATE(4440),
    [sym__expression_not_binary] = STATE(4939),
    [sym__string] = STATE(4939),
    [sym_conditional_expression] = STATE(4939),
    [sym_assignment_expression] = STATE(4939),
    [sym_pointer_expression] = STATE(4521),
    [sym_unary_expression] = STATE(4939),
    [sym_binary_expression] = STATE(4939),
    [sym_update_expression] = STATE(4939),
    [sym_cast_expression] = STATE(4939),
    [sym_sizeof_expression] = STATE(4939),
    [sym_alignof_expression] = STATE(4939),
    [sym_offsetof_expression] = STATE(4939),
    [sym_generic_expression] = STATE(4939),
    [sym_subscript_expression] = STATE(4521),
    [sym_call_expression] = STATE(4521),
    [sym_gnu_asm_expression] = STATE(4939),
    [sym_field_expression] = STATE(4521),
    [sym_compound_literal_expression] = STATE(4939),
    [sym_parenthesized_expression] = STATE(4521),
    [sym_char_literal] = STATE(4856),
    [sym_concatenated_string] = STATE(4876),
    [sym_string_literal] = STATE(3630),
    [sym_null] = STATE(4939),
    [sym_placeholder_type_specifier] = STATE(3085),
    [sym_decltype_auto] = STATE(3091),
    [sym_decltype] = STATE(3050),
    [sym_class_specifier] = STATE(3085),
    [sym__class_name] = STATE(9415),
    [sym_virtual] = STATE(2652),
    [sym_alignas_specifier] = STATE(2652),
    [sym_dependent_type] = STATE(3085),
    [sym_optional_parameter_declaration] = STATE(8849),
    [sym_variadic_parameter_declaration] = STATE(8849),
    [sym_template_type] = STATE(3129),
    [sym_template_function] = STATE(4939),
    [sym_raw_string_literal] = STATE(3632),
    [sym_co_await_expression] = STATE(4939),
    [sym_new_expression] = STATE(4939),
    [sym_delete_expression] = STATE(4939),
    [sym_requires_clause] = STATE(4939),
    [sym_requires_expression] = STATE(4939),
    [sym_lambda_expression] = STATE(4939),
    [sym_lambda_capture_specifier] = STATE(7190),
    [sym__unary_left_fold] = STATE(10247),
    [sym__unary_right_fold] = STATE(10246),
    [sym__binary_fold] = STATE(10245),
    [sym_fold_expression] = STATE(4939),
    [sym_parameter_pack_expansion] = STATE(4939),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6967),
    [sym_qualified_identifier] = STATE(4521),
    [sym_qualified_type_identifier] = STATE(3127),
    [sym_user_defined_literal] = STATE(4521),
    [sym_qualifiers] = STATE(2652),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2652),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3021),
    [sym_identifier] = ACTIONS(2104),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2106),
    [anon_sym_RPAREN] = ACTIONS(2108),
    [anon_sym_LPAREN2] = ACTIONS(2110),
    [anon_sym_BANG] = ACTIONS(2112),
    [anon_sym_TILDE] = ACTIONS(2112),
    [anon_sym_DASH] = ACTIONS(2114),
    [anon_sym_PLUS] = ACTIONS(2114),
    [anon_sym_STAR] = ACTIONS(2116),
    [anon_sym_AMP] = ACTIONS(2116),
    [anon_sym___extension__] = ACTIONS(63),
    [anon_sym_in] = ACTIONS(2118),
    [anon_sym_out] = ACTIONS(2118),
    [anon_sym_inout] = ACTIONS(2118),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(2120),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2096),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(2098),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(2122),
    [anon_sym_enum] = ACTIONS(2124),
    [anon_sym_class] = ACTIONS(2126),
    [anon_sym_struct] = ACTIONS(2128),
    [anon_sym_union] = ACTIONS(2130),
    [anon_sym_not] = ACTIONS(2114),
    [anon_sym_compl] = ACTIONS(2114),
    [anon_sym_DASH_DASH] = ACTIONS(2132),
    [anon_sym_PLUS_PLUS] = ACTIONS(2132),
    [anon_sym_sizeof] = ACTIONS(2134),
    [anon_sym___alignof__] = ACTIONS(2136),
    [anon_sym___alignof] = ACTIONS(2136),
    [anon_sym__alignof] = ACTIONS(2136),
    [anon_sym_alignof] = ACTIONS(2136),
    [anon_sym__Alignof] = ACTIONS(2136),
    [anon_sym_offsetof] = ACTIONS(2138),
    [anon_sym__Generic] = ACTIONS(2140),
    [anon_sym_asm] = ACTIONS(2142),
    [anon_sym___asm__] = ACTIONS(2142),
    [sym_number_literal] = ACTIONS(2144),
    [anon_sym_L_SQUOTE] = ACTIONS(2146),
    [anon_sym_u_SQUOTE] = ACTIONS(2146),
    [anon_sym_U_SQUOTE] = ACTIONS(2146),
    [anon_sym_u8_SQUOTE] = ACTIONS(2146),
    [anon_sym_SQUOTE] = ACTIONS(2146),
    [anon_sym_L_DQUOTE] = ACTIONS(2148),
    [anon_sym_u_DQUOTE] = ACTIONS(2148),
    [anon_sym_U_DQUOTE] = ACTIONS(2148),
    [anon_sym_u8_DQUOTE] = ACTIONS(2148),
    [anon_sym_DQUOTE] = ACTIONS(2148),
    [sym_true] = ACTIONS(2150),
    [sym_false] = ACTIONS(2150),
    [anon_sym_NULL] = ACTIONS(2152),
    [anon_sym_nullptr] = ACTIONS(2152),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [anon_sym_virtual] = ACTIONS(123),
    [anon_sym_alignas] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(2154),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(2156),
    [anon_sym_R_DQUOTE] = ACTIONS(2158),
    [anon_sym_LR_DQUOTE] = ACTIONS(2158),
    [anon_sym_uR_DQUOTE] = ACTIONS(2158),
    [anon_sym_UR_DQUOTE] = ACTIONS(2158),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2158),
    [anon_sym_co_await] = ACTIONS(2160),
    [anon_sym_new] = ACTIONS(2162),
    [anon_sym_requires] = ACTIONS(2164),
    [sym_this] = ACTIONS(2150),
    [anon_sym_precise] = ACTIONS(161),
    [anon_sym_shared] = ACTIONS(161),
    [anon_sym_groupshared] = ACTIONS(161),
    [anon_sym_uniform] = ACTIONS(161),
    [anon_sym_row_major] = ACTIONS(161),
    [anon_sym_column_major] = ACTIONS(161),
    [anon_sym_globallycoherent] = ACTIONS(161),
    [anon_sym_centroid] = ACTIONS(161),
    [anon_sym_noperspective] = ACTIONS(161),
    [anon_sym_nointerpolation] = ACTIONS(161),
    [anon_sym_sample] = ACTIONS(161),
    [anon_sym_linear] = ACTIONS(161),
    [anon_sym_snorm] = ACTIONS(161),
    [anon_sym_unorm] = ACTIONS(161),
    [anon_sym_point] = ACTIONS(161),
    [anon_sym_line] = ACTIONS(161),
    [anon_sym_triangleadj] = ACTIONS(161),
    [anon_sym_lineadj] = ACTIONS(161),
    [anon_sym_triangle] = ACTIONS(161),
  },
  [146] = {
    [sym__declaration_modifiers] = STATE(2652),
    [sym__declaration_specifiers] = STATE(5141),
    [sym_attribute_specifier] = STATE(2652),
    [sym_attribute_declaration] = STATE(2652),
    [sym_ms_declspec_modifier] = STATE(2652),
    [sym_storage_class_specifier] = STATE(2652),
    [sym_type_qualifier] = STATE(2652),
    [sym__type_specifier] = STATE(2827),
    [sym_sized_type_specifier] = STATE(3085),
    [sym_enum_specifier] = STATE(3085),
    [sym_struct_specifier] = STATE(3085),
    [sym_union_specifier] = STATE(3085),
    [sym_parameter_declaration] = STATE(8849),
    [sym__expression] = STATE(4446),
    [sym__expression_not_binary] = STATE(4939),
    [sym__string] = STATE(4939),
    [sym_conditional_expression] = STATE(4939),
    [sym_assignment_expression] = STATE(4939),
    [sym_pointer_expression] = STATE(4521),
    [sym_unary_expression] = STATE(4939),
    [sym_binary_expression] = STATE(4939),
    [sym_update_expression] = STATE(4939),
    [sym_cast_expression] = STATE(4939),
    [sym_sizeof_expression] = STATE(4939),
    [sym_alignof_expression] = STATE(4939),
    [sym_offsetof_expression] = STATE(4939),
    [sym_generic_expression] = STATE(4939),
    [sym_subscript_expression] = STATE(4521),
    [sym_call_expression] = STATE(4521),
    [sym_gnu_asm_expression] = STATE(4939),
    [sym_field_expression] = STATE(4521),
    [sym_compound_literal_expression] = STATE(4939),
    [sym_parenthesized_expression] = STATE(4521),
    [sym_char_literal] = STATE(4856),
    [sym_concatenated_string] = STATE(4876),
    [sym_string_literal] = STATE(3630),
    [sym_null] = STATE(4939),
    [sym_placeholder_type_specifier] = STATE(3085),
    [sym_decltype_auto] = STATE(3091),
    [sym_decltype] = STATE(3050),
    [sym_class_specifier] = STATE(3085),
    [sym__class_name] = STATE(9415),
    [sym_virtual] = STATE(2652),
    [sym_alignas_specifier] = STATE(2652),
    [sym_dependent_type] = STATE(3085),
    [sym_optional_parameter_declaration] = STATE(8849),
    [sym_variadic_parameter_declaration] = STATE(8849),
    [sym_template_type] = STATE(3129),
    [sym_template_function] = STATE(4939),
    [sym_raw_string_literal] = STATE(3632),
    [sym_co_await_expression] = STATE(4939),
    [sym_new_expression] = STATE(4939),
    [sym_delete_expression] = STATE(4939),
    [sym_requires_clause] = STATE(4939),
    [sym_requires_expression] = STATE(4939),
    [sym_lambda_expression] = STATE(4939),
    [sym_lambda_capture_specifier] = STATE(7190),
    [sym__unary_left_fold] = STATE(10289),
    [sym__unary_right_fold] = STATE(10288),
    [sym__binary_fold] = STATE(10287),
    [sym_fold_expression] = STATE(4939),
    [sym_parameter_pack_expansion] = STATE(4939),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6967),
    [sym_qualified_identifier] = STATE(4521),
    [sym_qualified_type_identifier] = STATE(3127),
    [sym_user_defined_literal] = STATE(4521),
    [sym_qualifiers] = STATE(2652),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2652),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3021),
    [sym_identifier] = ACTIONS(2104),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2106),
    [anon_sym_RPAREN] = ACTIONS(2108),
    [anon_sym_LPAREN2] = ACTIONS(2110),
    [anon_sym_BANG] = ACTIONS(2112),
    [anon_sym_TILDE] = ACTIONS(2112),
    [anon_sym_DASH] = ACTIONS(2114),
    [anon_sym_PLUS] = ACTIONS(2114),
    [anon_sym_STAR] = ACTIONS(2116),
    [anon_sym_AMP] = ACTIONS(2116),
    [anon_sym___extension__] = ACTIONS(63),
    [anon_sym_in] = ACTIONS(2118),
    [anon_sym_out] = ACTIONS(2118),
    [anon_sym_inout] = ACTIONS(2118),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(2120),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2096),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(2098),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(2122),
    [anon_sym_enum] = ACTIONS(2124),
    [anon_sym_class] = ACTIONS(2126),
    [anon_sym_struct] = ACTIONS(2128),
    [anon_sym_union] = ACTIONS(2130),
    [anon_sym_not] = ACTIONS(2114),
    [anon_sym_compl] = ACTIONS(2114),
    [anon_sym_DASH_DASH] = ACTIONS(2132),
    [anon_sym_PLUS_PLUS] = ACTIONS(2132),
    [anon_sym_sizeof] = ACTIONS(2134),
    [anon_sym___alignof__] = ACTIONS(2136),
    [anon_sym___alignof] = ACTIONS(2136),
    [anon_sym__alignof] = ACTIONS(2136),
    [anon_sym_alignof] = ACTIONS(2136),
    [anon_sym__Alignof] = ACTIONS(2136),
    [anon_sym_offsetof] = ACTIONS(2138),
    [anon_sym__Generic] = ACTIONS(2140),
    [anon_sym_asm] = ACTIONS(2142),
    [anon_sym___asm__] = ACTIONS(2142),
    [sym_number_literal] = ACTIONS(2144),
    [anon_sym_L_SQUOTE] = ACTIONS(2146),
    [anon_sym_u_SQUOTE] = ACTIONS(2146),
    [anon_sym_U_SQUOTE] = ACTIONS(2146),
    [anon_sym_u8_SQUOTE] = ACTIONS(2146),
    [anon_sym_SQUOTE] = ACTIONS(2146),
    [anon_sym_L_DQUOTE] = ACTIONS(2148),
    [anon_sym_u_DQUOTE] = ACTIONS(2148),
    [anon_sym_U_DQUOTE] = ACTIONS(2148),
    [anon_sym_u8_DQUOTE] = ACTIONS(2148),
    [anon_sym_DQUOTE] = ACTIONS(2148),
    [sym_true] = ACTIONS(2150),
    [sym_false] = ACTIONS(2150),
    [anon_sym_NULL] = ACTIONS(2152),
    [anon_sym_nullptr] = ACTIONS(2152),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [anon_sym_virtual] = ACTIONS(123),
    [anon_sym_alignas] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(2154),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(2156),
    [anon_sym_R_DQUOTE] = ACTIONS(2158),
    [anon_sym_LR_DQUOTE] = ACTIONS(2158),
    [anon_sym_uR_DQUOTE] = ACTIONS(2158),
    [anon_sym_UR_DQUOTE] = ACTIONS(2158),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2158),
    [anon_sym_co_await] = ACTIONS(2160),
    [anon_sym_new] = ACTIONS(2162),
    [anon_sym_requires] = ACTIONS(2164),
    [sym_this] = ACTIONS(2150),
    [anon_sym_precise] = ACTIONS(161),
    [anon_sym_shared] = ACTIONS(161),
    [anon_sym_groupshared] = ACTIONS(161),
    [anon_sym_uniform] = ACTIONS(161),
    [anon_sym_row_major] = ACTIONS(161),
    [anon_sym_column_major] = ACTIONS(161),
    [anon_sym_globallycoherent] = ACTIONS(161),
    [anon_sym_centroid] = ACTIONS(161),
    [anon_sym_noperspective] = ACTIONS(161),
    [anon_sym_nointerpolation] = ACTIONS(161),
    [anon_sym_sample] = ACTIONS(161),
    [anon_sym_linear] = ACTIONS(161),
    [anon_sym_snorm] = ACTIONS(161),
    [anon_sym_unorm] = ACTIONS(161),
    [anon_sym_point] = ACTIONS(161),
    [anon_sym_line] = ACTIONS(161),
    [anon_sym_triangleadj] = ACTIONS(161),
    [anon_sym_lineadj] = ACTIONS(161),
    [anon_sym_triangle] = ACTIONS(161),
  },
  [147] = {
    [sym_declaration] = STATE(1931),
    [sym__declaration_modifiers] = STATE(2673),
    [sym__declaration_specifiers] = STATE(6291),
    [sym_attribute_specifier] = STATE(2673),
    [sym_attribute_declaration] = STATE(2673),
    [sym_ms_declspec_modifier] = STATE(2673),
    [sym_storage_class_specifier] = STATE(2673),
    [sym_type_qualifier] = STATE(2673),
    [sym__type_specifier] = STATE(2827),
    [sym_sized_type_specifier] = STATE(3085),
    [sym_enum_specifier] = STATE(3085),
    [sym_struct_specifier] = STATE(3085),
    [sym_union_specifier] = STATE(3085),
    [sym__for_statement_body] = STATE(9492),
    [sym__expression] = STATE(5792),
    [sym__expression_not_binary] = STATE(5024),
    [sym__string] = STATE(5024),
    [sym_comma_expression] = STATE(9618),
    [sym_conditional_expression] = STATE(5024),
    [sym_assignment_expression] = STATE(5024),
    [sym_pointer_expression] = STATE(4507),
    [sym_unary_expression] = STATE(5024),
    [sym_binary_expression] = STATE(5024),
    [sym_update_expression] = STATE(5024),
    [sym_cast_expression] = STATE(5024),
    [sym_sizeof_expression] = STATE(5024),
    [sym_alignof_expression] = STATE(5024),
    [sym_offsetof_expression] = STATE(5024),
    [sym_generic_expression] = STATE(5024),
    [sym_subscript_expression] = STATE(4507),
    [sym_call_expression] = STATE(4507),
    [sym_gnu_asm_expression] = STATE(5024),
    [sym_field_expression] = STATE(4507),
    [sym_compound_literal_expression] = STATE(5024),
    [sym_parenthesized_expression] = STATE(4507),
    [sym_char_literal] = STATE(5374),
    [sym_concatenated_string] = STATE(5377),
    [sym_string_literal] = STATE(4206),
    [sym_null] = STATE(5024),
    [sym_placeholder_type_specifier] = STATE(3085),
    [sym_decltype_auto] = STATE(3091),
    [sym_decltype] = STATE(3050),
    [sym_class_specifier] = STATE(3085),
    [sym__class_name] = STATE(9352),
    [sym_virtual] = STATE(2673),
    [sym_alignas_specifier] = STATE(2673),
    [sym_dependent_type] = STATE(3085),
    [sym_template_type] = STATE(3129),
    [sym_template_function] = STATE(5024),
    [sym_raw_string_literal] = STATE(4217),
    [sym_co_await_expression] = STATE(5024),
    [sym_new_expression] = STATE(5024),
    [sym_delete_expression] = STATE(5024),
    [sym_requires_clause] = STATE(5024),
    [sym_requires_expression] = STATE(5024),
    [sym_lambda_expression] = STATE(5024),
    [sym_lambda_capture_specifier] = STATE(7184),
    [sym_fold_expression] = STATE(5024),
    [sym_parameter_pack_expansion] = STATE(5024),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6970),
    [sym_qualified_identifier] = STATE(4507),
    [sym_qualified_type_identifier] = STATE(3127),
    [sym_user_defined_literal] = STATE(4507),
    [sym_qualifiers] = STATE(2673),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2673),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3021),
    [sym_identifier] = ACTIONS(2088),
    [anon_sym_LPAREN2] = ACTIONS(1472),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1474),
    [anon_sym_AMP] = ACTIONS(1474),
    [anon_sym_SEMI] = ACTIONS(2176),
    [anon_sym___extension__] = ACTIONS(63),
    [anon_sym_in] = ACTIONS(1480),
    [anon_sym_out] = ACTIONS(1480),
    [anon_sym_inout] = ACTIONS(1480),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2096),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(2098),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(65),
    [anon_sym_enum] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(69),
    [anon_sym_struct] = ACTIONS(71),
    [anon_sym_union] = ACTIONS(73),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [anon_sym_virtual] = ACTIONS(123),
    [anon_sym_alignas] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
    [anon_sym_precise] = ACTIONS(161),
    [anon_sym_shared] = ACTIONS(161),
    [anon_sym_groupshared] = ACTIONS(161),
    [anon_sym_uniform] = ACTIONS(161),
    [anon_sym_row_major] = ACTIONS(161),
    [anon_sym_column_major] = ACTIONS(161),
    [anon_sym_globallycoherent] = ACTIONS(161),
    [anon_sym_centroid] = ACTIONS(161),
    [anon_sym_noperspective] = ACTIONS(161),
    [anon_sym_nointerpolation] = ACTIONS(161),
    [anon_sym_sample] = ACTIONS(161),
    [anon_sym_linear] = ACTIONS(161),
    [anon_sym_snorm] = ACTIONS(161),
    [anon_sym_unorm] = ACTIONS(161),
    [anon_sym_point] = ACTIONS(161),
    [anon_sym_line] = ACTIONS(161),
    [anon_sym_triangleadj] = ACTIONS(161),
    [anon_sym_lineadj] = ACTIONS(161),
    [anon_sym_triangle] = ACTIONS(161),
  },
  [148] = {
    [sym_declaration] = STATE(1931),
    [sym__declaration_modifiers] = STATE(2673),
    [sym__declaration_specifiers] = STATE(6291),
    [sym_attribute_specifier] = STATE(2673),
    [sym_attribute_declaration] = STATE(2673),
    [sym_ms_declspec_modifier] = STATE(2673),
    [sym_storage_class_specifier] = STATE(2673),
    [sym_type_qualifier] = STATE(2673),
    [sym__type_specifier] = STATE(2827),
    [sym_sized_type_specifier] = STATE(3085),
    [sym_enum_specifier] = STATE(3085),
    [sym_struct_specifier] = STATE(3085),
    [sym_union_specifier] = STATE(3085),
    [sym__for_statement_body] = STATE(9595),
    [sym__expression] = STATE(5792),
    [sym__expression_not_binary] = STATE(5024),
    [sym__string] = STATE(5024),
    [sym_comma_expression] = STATE(9618),
    [sym_conditional_expression] = STATE(5024),
    [sym_assignment_expression] = STATE(5024),
    [sym_pointer_expression] = STATE(4507),
    [sym_unary_expression] = STATE(5024),
    [sym_binary_expression] = STATE(5024),
    [sym_update_expression] = STATE(5024),
    [sym_cast_expression] = STATE(5024),
    [sym_sizeof_expression] = STATE(5024),
    [sym_alignof_expression] = STATE(5024),
    [sym_offsetof_expression] = STATE(5024),
    [sym_generic_expression] = STATE(5024),
    [sym_subscript_expression] = STATE(4507),
    [sym_call_expression] = STATE(4507),
    [sym_gnu_asm_expression] = STATE(5024),
    [sym_field_expression] = STATE(4507),
    [sym_compound_literal_expression] = STATE(5024),
    [sym_parenthesized_expression] = STATE(4507),
    [sym_char_literal] = STATE(5374),
    [sym_concatenated_string] = STATE(5377),
    [sym_string_literal] = STATE(4206),
    [sym_null] = STATE(5024),
    [sym_placeholder_type_specifier] = STATE(3085),
    [sym_decltype_auto] = STATE(3091),
    [sym_decltype] = STATE(3050),
    [sym_class_specifier] = STATE(3085),
    [sym__class_name] = STATE(9352),
    [sym_virtual] = STATE(2673),
    [sym_alignas_specifier] = STATE(2673),
    [sym_dependent_type] = STATE(3085),
    [sym_template_type] = STATE(3129),
    [sym_template_function] = STATE(5024),
    [sym_raw_string_literal] = STATE(4217),
    [sym_co_await_expression] = STATE(5024),
    [sym_new_expression] = STATE(5024),
    [sym_delete_expression] = STATE(5024),
    [sym_requires_clause] = STATE(5024),
    [sym_requires_expression] = STATE(5024),
    [sym_lambda_expression] = STATE(5024),
    [sym_lambda_capture_specifier] = STATE(7184),
    [sym_fold_expression] = STATE(5024),
    [sym_parameter_pack_expansion] = STATE(5024),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6970),
    [sym_qualified_identifier] = STATE(4507),
    [sym_qualified_type_identifier] = STATE(3127),
    [sym_user_defined_literal] = STATE(4507),
    [sym_qualifiers] = STATE(2673),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2673),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3021),
    [sym_identifier] = ACTIONS(2088),
    [anon_sym_LPAREN2] = ACTIONS(1472),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1474),
    [anon_sym_AMP] = ACTIONS(1474),
    [anon_sym_SEMI] = ACTIONS(2176),
    [anon_sym___extension__] = ACTIONS(63),
    [anon_sym_in] = ACTIONS(1480),
    [anon_sym_out] = ACTIONS(1480),
    [anon_sym_inout] = ACTIONS(1480),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2096),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(2098),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(65),
    [anon_sym_enum] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(69),
    [anon_sym_struct] = ACTIONS(71),
    [anon_sym_union] = ACTIONS(73),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [anon_sym_virtual] = ACTIONS(123),
    [anon_sym_alignas] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
    [anon_sym_precise] = ACTIONS(161),
    [anon_sym_shared] = ACTIONS(161),
    [anon_sym_groupshared] = ACTIONS(161),
    [anon_sym_uniform] = ACTIONS(161),
    [anon_sym_row_major] = ACTIONS(161),
    [anon_sym_column_major] = ACTIONS(161),
    [anon_sym_globallycoherent] = ACTIONS(161),
    [anon_sym_centroid] = ACTIONS(161),
    [anon_sym_noperspective] = ACTIONS(161),
    [anon_sym_nointerpolation] = ACTIONS(161),
    [anon_sym_sample] = ACTIONS(161),
    [anon_sym_linear] = ACTIONS(161),
    [anon_sym_snorm] = ACTIONS(161),
    [anon_sym_unorm] = ACTIONS(161),
    [anon_sym_point] = ACTIONS(161),
    [anon_sym_line] = ACTIONS(161),
    [anon_sym_triangleadj] = ACTIONS(161),
    [anon_sym_lineadj] = ACTIONS(161),
    [anon_sym_triangle] = ACTIONS(161),
  },
  [149] = {
    [sym_declaration] = STATE(1931),
    [sym__declaration_modifiers] = STATE(2673),
    [sym__declaration_specifiers] = STATE(6291),
    [sym_attribute_specifier] = STATE(2673),
    [sym_attribute_declaration] = STATE(2673),
    [sym_ms_declspec_modifier] = STATE(2673),
    [sym_storage_class_specifier] = STATE(2673),
    [sym_type_qualifier] = STATE(2673),
    [sym__type_specifier] = STATE(2827),
    [sym_sized_type_specifier] = STATE(3085),
    [sym_enum_specifier] = STATE(3085),
    [sym_struct_specifier] = STATE(3085),
    [sym_union_specifier] = STATE(3085),
    [sym__for_statement_body] = STATE(9726),
    [sym__expression] = STATE(5792),
    [sym__expression_not_binary] = STATE(5024),
    [sym__string] = STATE(5024),
    [sym_comma_expression] = STATE(9618),
    [sym_conditional_expression] = STATE(5024),
    [sym_assignment_expression] = STATE(5024),
    [sym_pointer_expression] = STATE(4507),
    [sym_unary_expression] = STATE(5024),
    [sym_binary_expression] = STATE(5024),
    [sym_update_expression] = STATE(5024),
    [sym_cast_expression] = STATE(5024),
    [sym_sizeof_expression] = STATE(5024),
    [sym_alignof_expression] = STATE(5024),
    [sym_offsetof_expression] = STATE(5024),
    [sym_generic_expression] = STATE(5024),
    [sym_subscript_expression] = STATE(4507),
    [sym_call_expression] = STATE(4507),
    [sym_gnu_asm_expression] = STATE(5024),
    [sym_field_expression] = STATE(4507),
    [sym_compound_literal_expression] = STATE(5024),
    [sym_parenthesized_expression] = STATE(4507),
    [sym_char_literal] = STATE(5374),
    [sym_concatenated_string] = STATE(5377),
    [sym_string_literal] = STATE(4206),
    [sym_null] = STATE(5024),
    [sym_placeholder_type_specifier] = STATE(3085),
    [sym_decltype_auto] = STATE(3091),
    [sym_decltype] = STATE(3050),
    [sym_class_specifier] = STATE(3085),
    [sym__class_name] = STATE(9352),
    [sym_virtual] = STATE(2673),
    [sym_alignas_specifier] = STATE(2673),
    [sym_dependent_type] = STATE(3085),
    [sym_template_type] = STATE(3129),
    [sym_template_function] = STATE(5024),
    [sym_raw_string_literal] = STATE(4217),
    [sym_co_await_expression] = STATE(5024),
    [sym_new_expression] = STATE(5024),
    [sym_delete_expression] = STATE(5024),
    [sym_requires_clause] = STATE(5024),
    [sym_requires_expression] = STATE(5024),
    [sym_lambda_expression] = STATE(5024),
    [sym_lambda_capture_specifier] = STATE(7184),
    [sym_fold_expression] = STATE(5024),
    [sym_parameter_pack_expansion] = STATE(5024),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6970),
    [sym_qualified_identifier] = STATE(4507),
    [sym_qualified_type_identifier] = STATE(3127),
    [sym_user_defined_literal] = STATE(4507),
    [sym_qualifiers] = STATE(2673),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2673),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3021),
    [sym_identifier] = ACTIONS(2088),
    [anon_sym_LPAREN2] = ACTIONS(1472),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1474),
    [anon_sym_AMP] = ACTIONS(1474),
    [anon_sym_SEMI] = ACTIONS(2176),
    [anon_sym___extension__] = ACTIONS(63),
    [anon_sym_in] = ACTIONS(1480),
    [anon_sym_out] = ACTIONS(1480),
    [anon_sym_inout] = ACTIONS(1480),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2096),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(2098),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(65),
    [anon_sym_enum] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(69),
    [anon_sym_struct] = ACTIONS(71),
    [anon_sym_union] = ACTIONS(73),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [anon_sym_virtual] = ACTIONS(123),
    [anon_sym_alignas] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
    [anon_sym_precise] = ACTIONS(161),
    [anon_sym_shared] = ACTIONS(161),
    [anon_sym_groupshared] = ACTIONS(161),
    [anon_sym_uniform] = ACTIONS(161),
    [anon_sym_row_major] = ACTIONS(161),
    [anon_sym_column_major] = ACTIONS(161),
    [anon_sym_globallycoherent] = ACTIONS(161),
    [anon_sym_centroid] = ACTIONS(161),
    [anon_sym_noperspective] = ACTIONS(161),
    [anon_sym_nointerpolation] = ACTIONS(161),
    [anon_sym_sample] = ACTIONS(161),
    [anon_sym_linear] = ACTIONS(161),
    [anon_sym_snorm] = ACTIONS(161),
    [anon_sym_unorm] = ACTIONS(161),
    [anon_sym_point] = ACTIONS(161),
    [anon_sym_line] = ACTIONS(161),
    [anon_sym_triangleadj] = ACTIONS(161),
    [anon_sym_lineadj] = ACTIONS(161),
    [anon_sym_triangle] = ACTIONS(161),
  },
  [150] = {
    [sym_declaration] = STATE(1931),
    [sym__declaration_modifiers] = STATE(2673),
    [sym__declaration_specifiers] = STATE(6291),
    [sym_attribute_specifier] = STATE(2673),
    [sym_attribute_declaration] = STATE(2673),
    [sym_ms_declspec_modifier] = STATE(2673),
    [sym_storage_class_specifier] = STATE(2673),
    [sym_type_qualifier] = STATE(2673),
    [sym__type_specifier] = STATE(2827),
    [sym_sized_type_specifier] = STATE(3085),
    [sym_enum_specifier] = STATE(3085),
    [sym_struct_specifier] = STATE(3085),
    [sym_union_specifier] = STATE(3085),
    [sym__for_statement_body] = STATE(9616),
    [sym__expression] = STATE(5792),
    [sym__expression_not_binary] = STATE(5024),
    [sym__string] = STATE(5024),
    [sym_comma_expression] = STATE(9618),
    [sym_conditional_expression] = STATE(5024),
    [sym_assignment_expression] = STATE(5024),
    [sym_pointer_expression] = STATE(4507),
    [sym_unary_expression] = STATE(5024),
    [sym_binary_expression] = STATE(5024),
    [sym_update_expression] = STATE(5024),
    [sym_cast_expression] = STATE(5024),
    [sym_sizeof_expression] = STATE(5024),
    [sym_alignof_expression] = STATE(5024),
    [sym_offsetof_expression] = STATE(5024),
    [sym_generic_expression] = STATE(5024),
    [sym_subscript_expression] = STATE(4507),
    [sym_call_expression] = STATE(4507),
    [sym_gnu_asm_expression] = STATE(5024),
    [sym_field_expression] = STATE(4507),
    [sym_compound_literal_expression] = STATE(5024),
    [sym_parenthesized_expression] = STATE(4507),
    [sym_char_literal] = STATE(5374),
    [sym_concatenated_string] = STATE(5377),
    [sym_string_literal] = STATE(4206),
    [sym_null] = STATE(5024),
    [sym_placeholder_type_specifier] = STATE(3085),
    [sym_decltype_auto] = STATE(3091),
    [sym_decltype] = STATE(3050),
    [sym_class_specifier] = STATE(3085),
    [sym__class_name] = STATE(9352),
    [sym_virtual] = STATE(2673),
    [sym_alignas_specifier] = STATE(2673),
    [sym_dependent_type] = STATE(3085),
    [sym_template_type] = STATE(3129),
    [sym_template_function] = STATE(5024),
    [sym_raw_string_literal] = STATE(4217),
    [sym_co_await_expression] = STATE(5024),
    [sym_new_expression] = STATE(5024),
    [sym_delete_expression] = STATE(5024),
    [sym_requires_clause] = STATE(5024),
    [sym_requires_expression] = STATE(5024),
    [sym_lambda_expression] = STATE(5024),
    [sym_lambda_capture_specifier] = STATE(7184),
    [sym_fold_expression] = STATE(5024),
    [sym_parameter_pack_expansion] = STATE(5024),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6970),
    [sym_qualified_identifier] = STATE(4507),
    [sym_qualified_type_identifier] = STATE(3127),
    [sym_user_defined_literal] = STATE(4507),
    [sym_qualifiers] = STATE(2673),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2673),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3021),
    [sym_identifier] = ACTIONS(2088),
    [anon_sym_LPAREN2] = ACTIONS(1472),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1474),
    [anon_sym_AMP] = ACTIONS(1474),
    [anon_sym_SEMI] = ACTIONS(2176),
    [anon_sym___extension__] = ACTIONS(63),
    [anon_sym_in] = ACTIONS(1480),
    [anon_sym_out] = ACTIONS(1480),
    [anon_sym_inout] = ACTIONS(1480),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2096),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(2098),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(65),
    [anon_sym_enum] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(69),
    [anon_sym_struct] = ACTIONS(71),
    [anon_sym_union] = ACTIONS(73),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [anon_sym_virtual] = ACTIONS(123),
    [anon_sym_alignas] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
    [anon_sym_precise] = ACTIONS(161),
    [anon_sym_shared] = ACTIONS(161),
    [anon_sym_groupshared] = ACTIONS(161),
    [anon_sym_uniform] = ACTIONS(161),
    [anon_sym_row_major] = ACTIONS(161),
    [anon_sym_column_major] = ACTIONS(161),
    [anon_sym_globallycoherent] = ACTIONS(161),
    [anon_sym_centroid] = ACTIONS(161),
    [anon_sym_noperspective] = ACTIONS(161),
    [anon_sym_nointerpolation] = ACTIONS(161),
    [anon_sym_sample] = ACTIONS(161),
    [anon_sym_linear] = ACTIONS(161),
    [anon_sym_snorm] = ACTIONS(161),
    [anon_sym_unorm] = ACTIONS(161),
    [anon_sym_point] = ACTIONS(161),
    [anon_sym_line] = ACTIONS(161),
    [anon_sym_triangleadj] = ACTIONS(161),
    [anon_sym_lineadj] = ACTIONS(161),
    [anon_sym_triangle] = ACTIONS(161),
  },
  [151] = {
    [sym_declaration] = STATE(1931),
    [sym__declaration_modifiers] = STATE(2673),
    [sym__declaration_specifiers] = STATE(6291),
    [sym_attribute_specifier] = STATE(2673),
    [sym_attribute_declaration] = STATE(2673),
    [sym_ms_declspec_modifier] = STATE(2673),
    [sym_storage_class_specifier] = STATE(2673),
    [sym_type_qualifier] = STATE(2673),
    [sym__type_specifier] = STATE(2827),
    [sym_sized_type_specifier] = STATE(3085),
    [sym_enum_specifier] = STATE(3085),
    [sym_struct_specifier] = STATE(3085),
    [sym_union_specifier] = STATE(3085),
    [sym__for_statement_body] = STATE(9515),
    [sym__expression] = STATE(5792),
    [sym__expression_not_binary] = STATE(5024),
    [sym__string] = STATE(5024),
    [sym_comma_expression] = STATE(9618),
    [sym_conditional_expression] = STATE(5024),
    [sym_assignment_expression] = STATE(5024),
    [sym_pointer_expression] = STATE(4507),
    [sym_unary_expression] = STATE(5024),
    [sym_binary_expression] = STATE(5024),
    [sym_update_expression] = STATE(5024),
    [sym_cast_expression] = STATE(5024),
    [sym_sizeof_expression] = STATE(5024),
    [sym_alignof_expression] = STATE(5024),
    [sym_offsetof_expression] = STATE(5024),
    [sym_generic_expression] = STATE(5024),
    [sym_subscript_expression] = STATE(4507),
    [sym_call_expression] = STATE(4507),
    [sym_gnu_asm_expression] = STATE(5024),
    [sym_field_expression] = STATE(4507),
    [sym_compound_literal_expression] = STATE(5024),
    [sym_parenthesized_expression] = STATE(4507),
    [sym_char_literal] = STATE(5374),
    [sym_concatenated_string] = STATE(5377),
    [sym_string_literal] = STATE(4206),
    [sym_null] = STATE(5024),
    [sym_placeholder_type_specifier] = STATE(3085),
    [sym_decltype_auto] = STATE(3091),
    [sym_decltype] = STATE(3050),
    [sym_class_specifier] = STATE(3085),
    [sym__class_name] = STATE(9352),
    [sym_virtual] = STATE(2673),
    [sym_alignas_specifier] = STATE(2673),
    [sym_dependent_type] = STATE(3085),
    [sym_template_type] = STATE(3129),
    [sym_template_function] = STATE(5024),
    [sym_raw_string_literal] = STATE(4217),
    [sym_co_await_expression] = STATE(5024),
    [sym_new_expression] = STATE(5024),
    [sym_delete_expression] = STATE(5024),
    [sym_requires_clause] = STATE(5024),
    [sym_requires_expression] = STATE(5024),
    [sym_lambda_expression] = STATE(5024),
    [sym_lambda_capture_specifier] = STATE(7184),
    [sym_fold_expression] = STATE(5024),
    [sym_parameter_pack_expansion] = STATE(5024),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6970),
    [sym_qualified_identifier] = STATE(4507),
    [sym_qualified_type_identifier] = STATE(3127),
    [sym_user_defined_literal] = STATE(4507),
    [sym_qualifiers] = STATE(2673),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2673),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3021),
    [sym_identifier] = ACTIONS(2088),
    [anon_sym_LPAREN2] = ACTIONS(1472),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1474),
    [anon_sym_AMP] = ACTIONS(1474),
    [anon_sym_SEMI] = ACTIONS(2176),
    [anon_sym___extension__] = ACTIONS(63),
    [anon_sym_in] = ACTIONS(1480),
    [anon_sym_out] = ACTIONS(1480),
    [anon_sym_inout] = ACTIONS(1480),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2096),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(2098),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(65),
    [anon_sym_enum] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(69),
    [anon_sym_struct] = ACTIONS(71),
    [anon_sym_union] = ACTIONS(73),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [anon_sym_virtual] = ACTIONS(123),
    [anon_sym_alignas] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
    [anon_sym_precise] = ACTIONS(161),
    [anon_sym_shared] = ACTIONS(161),
    [anon_sym_groupshared] = ACTIONS(161),
    [anon_sym_uniform] = ACTIONS(161),
    [anon_sym_row_major] = ACTIONS(161),
    [anon_sym_column_major] = ACTIONS(161),
    [anon_sym_globallycoherent] = ACTIONS(161),
    [anon_sym_centroid] = ACTIONS(161),
    [anon_sym_noperspective] = ACTIONS(161),
    [anon_sym_nointerpolation] = ACTIONS(161),
    [anon_sym_sample] = ACTIONS(161),
    [anon_sym_linear] = ACTIONS(161),
    [anon_sym_snorm] = ACTIONS(161),
    [anon_sym_unorm] = ACTIONS(161),
    [anon_sym_point] = ACTIONS(161),
    [anon_sym_line] = ACTIONS(161),
    [anon_sym_triangleadj] = ACTIONS(161),
    [anon_sym_lineadj] = ACTIONS(161),
    [anon_sym_triangle] = ACTIONS(161),
  },
  [152] = {
    [sym_declaration] = STATE(1931),
    [sym__declaration_modifiers] = STATE(2673),
    [sym__declaration_specifiers] = STATE(6291),
    [sym_attribute_specifier] = STATE(2673),
    [sym_attribute_declaration] = STATE(2673),
    [sym_ms_declspec_modifier] = STATE(2673),
    [sym_storage_class_specifier] = STATE(2673),
    [sym_type_qualifier] = STATE(2673),
    [sym__type_specifier] = STATE(2827),
    [sym_sized_type_specifier] = STATE(3085),
    [sym_enum_specifier] = STATE(3085),
    [sym_struct_specifier] = STATE(3085),
    [sym_union_specifier] = STATE(3085),
    [sym__for_statement_body] = STATE(9989),
    [sym__expression] = STATE(5792),
    [sym__expression_not_binary] = STATE(5024),
    [sym__string] = STATE(5024),
    [sym_comma_expression] = STATE(9618),
    [sym_conditional_expression] = STATE(5024),
    [sym_assignment_expression] = STATE(5024),
    [sym_pointer_expression] = STATE(4507),
    [sym_unary_expression] = STATE(5024),
    [sym_binary_expression] = STATE(5024),
    [sym_update_expression] = STATE(5024),
    [sym_cast_expression] = STATE(5024),
    [sym_sizeof_expression] = STATE(5024),
    [sym_alignof_expression] = STATE(5024),
    [sym_offsetof_expression] = STATE(5024),
    [sym_generic_expression] = STATE(5024),
    [sym_subscript_expression] = STATE(4507),
    [sym_call_expression] = STATE(4507),
    [sym_gnu_asm_expression] = STATE(5024),
    [sym_field_expression] = STATE(4507),
    [sym_compound_literal_expression] = STATE(5024),
    [sym_parenthesized_expression] = STATE(4507),
    [sym_char_literal] = STATE(5374),
    [sym_concatenated_string] = STATE(5377),
    [sym_string_literal] = STATE(4206),
    [sym_null] = STATE(5024),
    [sym_placeholder_type_specifier] = STATE(3085),
    [sym_decltype_auto] = STATE(3091),
    [sym_decltype] = STATE(3050),
    [sym_class_specifier] = STATE(3085),
    [sym__class_name] = STATE(9352),
    [sym_virtual] = STATE(2673),
    [sym_alignas_specifier] = STATE(2673),
    [sym_dependent_type] = STATE(3085),
    [sym_template_type] = STATE(3129),
    [sym_template_function] = STATE(5024),
    [sym_raw_string_literal] = STATE(4217),
    [sym_co_await_expression] = STATE(5024),
    [sym_new_expression] = STATE(5024),
    [sym_delete_expression] = STATE(5024),
    [sym_requires_clause] = STATE(5024),
    [sym_requires_expression] = STATE(5024),
    [sym_lambda_expression] = STATE(5024),
    [sym_lambda_capture_specifier] = STATE(7184),
    [sym_fold_expression] = STATE(5024),
    [sym_parameter_pack_expansion] = STATE(5024),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6970),
    [sym_qualified_identifier] = STATE(4507),
    [sym_qualified_type_identifier] = STATE(3127),
    [sym_user_defined_literal] = STATE(4507),
    [sym_qualifiers] = STATE(2673),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2673),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3021),
    [sym_identifier] = ACTIONS(2088),
    [anon_sym_LPAREN2] = ACTIONS(1472),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1474),
    [anon_sym_AMP] = ACTIONS(1474),
    [anon_sym_SEMI] = ACTIONS(2176),
    [anon_sym___extension__] = ACTIONS(63),
    [anon_sym_in] = ACTIONS(1480),
    [anon_sym_out] = ACTIONS(1480),
    [anon_sym_inout] = ACTIONS(1480),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2096),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(2098),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(65),
    [anon_sym_enum] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(69),
    [anon_sym_struct] = ACTIONS(71),
    [anon_sym_union] = ACTIONS(73),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [anon_sym_virtual] = ACTIONS(123),
    [anon_sym_alignas] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
    [anon_sym_precise] = ACTIONS(161),
    [anon_sym_shared] = ACTIONS(161),
    [anon_sym_groupshared] = ACTIONS(161),
    [anon_sym_uniform] = ACTIONS(161),
    [anon_sym_row_major] = ACTIONS(161),
    [anon_sym_column_major] = ACTIONS(161),
    [anon_sym_globallycoherent] = ACTIONS(161),
    [anon_sym_centroid] = ACTIONS(161),
    [anon_sym_noperspective] = ACTIONS(161),
    [anon_sym_nointerpolation] = ACTIONS(161),
    [anon_sym_sample] = ACTIONS(161),
    [anon_sym_linear] = ACTIONS(161),
    [anon_sym_snorm] = ACTIONS(161),
    [anon_sym_unorm] = ACTIONS(161),
    [anon_sym_point] = ACTIONS(161),
    [anon_sym_line] = ACTIONS(161),
    [anon_sym_triangleadj] = ACTIONS(161),
    [anon_sym_lineadj] = ACTIONS(161),
    [anon_sym_triangle] = ACTIONS(161),
  },
  [153] = {
    [sym_declaration] = STATE(1931),
    [sym__declaration_modifiers] = STATE(2673),
    [sym__declaration_specifiers] = STATE(6291),
    [sym_attribute_specifier] = STATE(2673),
    [sym_attribute_declaration] = STATE(2673),
    [sym_ms_declspec_modifier] = STATE(2673),
    [sym_storage_class_specifier] = STATE(2673),
    [sym_type_qualifier] = STATE(2673),
    [sym__type_specifier] = STATE(2827),
    [sym_sized_type_specifier] = STATE(3085),
    [sym_enum_specifier] = STATE(3085),
    [sym_struct_specifier] = STATE(3085),
    [sym_union_specifier] = STATE(3085),
    [sym__for_statement_body] = STATE(10156),
    [sym__expression] = STATE(5792),
    [sym__expression_not_binary] = STATE(5024),
    [sym__string] = STATE(5024),
    [sym_comma_expression] = STATE(9618),
    [sym_conditional_expression] = STATE(5024),
    [sym_assignment_expression] = STATE(5024),
    [sym_pointer_expression] = STATE(4507),
    [sym_unary_expression] = STATE(5024),
    [sym_binary_expression] = STATE(5024),
    [sym_update_expression] = STATE(5024),
    [sym_cast_expression] = STATE(5024),
    [sym_sizeof_expression] = STATE(5024),
    [sym_alignof_expression] = STATE(5024),
    [sym_offsetof_expression] = STATE(5024),
    [sym_generic_expression] = STATE(5024),
    [sym_subscript_expression] = STATE(4507),
    [sym_call_expression] = STATE(4507),
    [sym_gnu_asm_expression] = STATE(5024),
    [sym_field_expression] = STATE(4507),
    [sym_compound_literal_expression] = STATE(5024),
    [sym_parenthesized_expression] = STATE(4507),
    [sym_char_literal] = STATE(5374),
    [sym_concatenated_string] = STATE(5377),
    [sym_string_literal] = STATE(4206),
    [sym_null] = STATE(5024),
    [sym_placeholder_type_specifier] = STATE(3085),
    [sym_decltype_auto] = STATE(3091),
    [sym_decltype] = STATE(3050),
    [sym_class_specifier] = STATE(3085),
    [sym__class_name] = STATE(9352),
    [sym_virtual] = STATE(2673),
    [sym_alignas_specifier] = STATE(2673),
    [sym_dependent_type] = STATE(3085),
    [sym_template_type] = STATE(3129),
    [sym_template_function] = STATE(5024),
    [sym_raw_string_literal] = STATE(4217),
    [sym_co_await_expression] = STATE(5024),
    [sym_new_expression] = STATE(5024),
    [sym_delete_expression] = STATE(5024),
    [sym_requires_clause] = STATE(5024),
    [sym_requires_expression] = STATE(5024),
    [sym_lambda_expression] = STATE(5024),
    [sym_lambda_capture_specifier] = STATE(7184),
    [sym_fold_expression] = STATE(5024),
    [sym_parameter_pack_expansion] = STATE(5024),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6970),
    [sym_qualified_identifier] = STATE(4507),
    [sym_qualified_type_identifier] = STATE(3127),
    [sym_user_defined_literal] = STATE(4507),
    [sym_qualifiers] = STATE(2673),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2673),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3021),
    [sym_identifier] = ACTIONS(2088),
    [anon_sym_LPAREN2] = ACTIONS(1472),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1474),
    [anon_sym_AMP] = ACTIONS(1474),
    [anon_sym_SEMI] = ACTIONS(2176),
    [anon_sym___extension__] = ACTIONS(63),
    [anon_sym_in] = ACTIONS(1480),
    [anon_sym_out] = ACTIONS(1480),
    [anon_sym_inout] = ACTIONS(1480),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2096),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(2098),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(65),
    [anon_sym_enum] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(69),
    [anon_sym_struct] = ACTIONS(71),
    [anon_sym_union] = ACTIONS(73),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [anon_sym_virtual] = ACTIONS(123),
    [anon_sym_alignas] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
    [anon_sym_precise] = ACTIONS(161),
    [anon_sym_shared] = ACTIONS(161),
    [anon_sym_groupshared] = ACTIONS(161),
    [anon_sym_uniform] = ACTIONS(161),
    [anon_sym_row_major] = ACTIONS(161),
    [anon_sym_column_major] = ACTIONS(161),
    [anon_sym_globallycoherent] = ACTIONS(161),
    [anon_sym_centroid] = ACTIONS(161),
    [anon_sym_noperspective] = ACTIONS(161),
    [anon_sym_nointerpolation] = ACTIONS(161),
    [anon_sym_sample] = ACTIONS(161),
    [anon_sym_linear] = ACTIONS(161),
    [anon_sym_snorm] = ACTIONS(161),
    [anon_sym_unorm] = ACTIONS(161),
    [anon_sym_point] = ACTIONS(161),
    [anon_sym_line] = ACTIONS(161),
    [anon_sym_triangleadj] = ACTIONS(161),
    [anon_sym_lineadj] = ACTIONS(161),
    [anon_sym_triangle] = ACTIONS(161),
  },
  [154] = {
    [sym__declaration_modifiers] = STATE(2673),
    [sym__declaration_specifiers] = STATE(6560),
    [sym_attribute_specifier] = STATE(2673),
    [sym_attribute_declaration] = STATE(2673),
    [sym_ms_declspec_modifier] = STATE(2673),
    [sym_storage_class_specifier] = STATE(2673),
    [sym_type_qualifier] = STATE(2673),
    [sym__type_specifier] = STATE(2827),
    [sym_sized_type_specifier] = STATE(3085),
    [sym_enum_specifier] = STATE(3085),
    [sym_struct_specifier] = STATE(3085),
    [sym_union_specifier] = STATE(3085),
    [sym__expression] = STATE(5688),
    [sym__expression_not_binary] = STATE(5024),
    [sym__string] = STATE(5024),
    [sym_comma_expression] = STATE(9446),
    [sym_conditional_expression] = STATE(5024),
    [sym_assignment_expression] = STATE(5024),
    [sym_pointer_expression] = STATE(4507),
    [sym_unary_expression] = STATE(5024),
    [sym_binary_expression] = STATE(5024),
    [sym_update_expression] = STATE(5024),
    [sym_cast_expression] = STATE(5024),
    [sym_sizeof_expression] = STATE(5024),
    [sym_alignof_expression] = STATE(5024),
    [sym_offsetof_expression] = STATE(5024),
    [sym_generic_expression] = STATE(5024),
    [sym_subscript_expression] = STATE(4507),
    [sym_call_expression] = STATE(4507),
    [sym_gnu_asm_expression] = STATE(5024),
    [sym_field_expression] = STATE(4507),
    [sym_compound_literal_expression] = STATE(5024),
    [sym_parenthesized_expression] = STATE(4507),
    [sym_char_literal] = STATE(5374),
    [sym_concatenated_string] = STATE(5377),
    [sym_string_literal] = STATE(4206),
    [sym_null] = STATE(5024),
    [sym_placeholder_type_specifier] = STATE(3085),
    [sym_decltype_auto] = STATE(3091),
    [sym_decltype] = STATE(3050),
    [sym_class_specifier] = STATE(3085),
    [sym__class_name] = STATE(9352),
    [sym_virtual] = STATE(2673),
    [sym_alignas_specifier] = STATE(2673),
    [sym_dependent_type] = STATE(3085),
    [sym_template_type] = STATE(3129),
    [sym_template_function] = STATE(5024),
    [sym_condition_declaration] = STATE(9446),
    [sym_raw_string_literal] = STATE(4217),
    [sym_co_await_expression] = STATE(5024),
    [sym_new_expression] = STATE(5024),
    [sym_delete_expression] = STATE(5024),
    [sym_requires_clause] = STATE(5024),
    [sym_requires_expression] = STATE(5024),
    [sym_lambda_expression] = STATE(5024),
    [sym_lambda_capture_specifier] = STATE(7184),
    [sym_fold_expression] = STATE(5024),
    [sym_parameter_pack_expansion] = STATE(5024),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6970),
    [sym_qualified_identifier] = STATE(4507),
    [sym_qualified_type_identifier] = STATE(3127),
    [sym_user_defined_literal] = STATE(4507),
    [sym_qualifiers] = STATE(2673),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2673),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3021),
    [sym_identifier] = ACTIONS(2088),
    [anon_sym_LPAREN2] = ACTIONS(1472),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1474),
    [anon_sym_AMP] = ACTIONS(1474),
    [anon_sym___extension__] = ACTIONS(63),
    [anon_sym_in] = ACTIONS(1480),
    [anon_sym_out] = ACTIONS(1480),
    [anon_sym_inout] = ACTIONS(1480),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2096),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(2098),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(65),
    [anon_sym_enum] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(69),
    [anon_sym_struct] = ACTIONS(71),
    [anon_sym_union] = ACTIONS(73),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [anon_sym_virtual] = ACTIONS(123),
    [anon_sym_alignas] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
    [anon_sym_precise] = ACTIONS(161),
    [anon_sym_shared] = ACTIONS(161),
    [anon_sym_groupshared] = ACTIONS(161),
    [anon_sym_uniform] = ACTIONS(161),
    [anon_sym_row_major] = ACTIONS(161),
    [anon_sym_column_major] = ACTIONS(161),
    [anon_sym_globallycoherent] = ACTIONS(161),
    [anon_sym_centroid] = ACTIONS(161),
    [anon_sym_noperspective] = ACTIONS(161),
    [anon_sym_nointerpolation] = ACTIONS(161),
    [anon_sym_sample] = ACTIONS(161),
    [anon_sym_linear] = ACTIONS(161),
    [anon_sym_snorm] = ACTIONS(161),
    [anon_sym_unorm] = ACTIONS(161),
    [anon_sym_point] = ACTIONS(161),
    [anon_sym_line] = ACTIONS(161),
    [anon_sym_triangleadj] = ACTIONS(161),
    [anon_sym_lineadj] = ACTIONS(161),
    [anon_sym_triangle] = ACTIONS(161),
  },
  [155] = {
    [sym_identifier] = ACTIONS(2178),
    [aux_sym_preproc_include_token1] = ACTIONS(2178),
    [aux_sym_preproc_def_token1] = ACTIONS(2178),
    [anon_sym_COMMA] = ACTIONS(2180),
    [anon_sym_RPAREN] = ACTIONS(2180),
    [aux_sym_preproc_if_token1] = ACTIONS(2178),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2178),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2178),
    [sym_preproc_directive] = ACTIONS(2178),
    [anon_sym_LPAREN2] = ACTIONS(2180),
    [anon_sym_BANG] = ACTIONS(2180),
    [anon_sym_TILDE] = ACTIONS(2180),
    [anon_sym_DASH] = ACTIONS(2178),
    [anon_sym_PLUS] = ACTIONS(2178),
    [anon_sym_STAR] = ACTIONS(2180),
    [anon_sym_PIPE_PIPE] = ACTIONS(2180),
    [anon_sym_AMP_AMP] = ACTIONS(2180),
    [anon_sym_AMP] = ACTIONS(2178),
    [anon_sym_COLON] = ACTIONS(2178),
    [anon_sym_SEMI] = ACTIONS(2180),
    [anon_sym___extension__] = ACTIONS(2178),
    [anon_sym_typedef] = ACTIONS(2178),
    [anon_sym_in] = ACTIONS(2178),
    [anon_sym_out] = ACTIONS(2178),
    [anon_sym_inout] = ACTIONS(2178),
    [anon_sym_extern] = ACTIONS(2178),
    [anon_sym___attribute__] = ACTIONS(2178),
    [anon_sym_COLON_COLON] = ACTIONS(2180),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2180),
    [anon_sym___declspec] = ACTIONS(2178),
    [anon_sym___based] = ACTIONS(2178),
    [anon_sym___cdecl] = ACTIONS(2178),
    [anon_sym___clrcall] = ACTIONS(2178),
    [anon_sym___stdcall] = ACTIONS(2178),
    [anon_sym___fastcall] = ACTIONS(2178),
    [anon_sym___thiscall] = ACTIONS(2178),
    [anon_sym___vectorcall] = ACTIONS(2178),
    [anon_sym_LBRACE] = ACTIONS(2180),
    [anon_sym_RBRACE] = ACTIONS(2180),
    [anon_sym_signed] = ACTIONS(2178),
    [anon_sym_unsigned] = ACTIONS(2178),
    [anon_sym_long] = ACTIONS(2178),
    [anon_sym_short] = ACTIONS(2178),
    [anon_sym_LBRACK] = ACTIONS(2178),
    [anon_sym_EQ] = ACTIONS(2180),
    [anon_sym_static] = ACTIONS(2178),
    [anon_sym_register] = ACTIONS(2178),
    [anon_sym_inline] = ACTIONS(2178),
    [anon_sym___inline] = ACTIONS(2178),
    [anon_sym___inline__] = ACTIONS(2178),
    [anon_sym___forceinline] = ACTIONS(2178),
    [anon_sym_thread_local] = ACTIONS(2178),
    [anon_sym___thread] = ACTIONS(2178),
    [anon_sym_const] = ACTIONS(2178),
    [anon_sym_constexpr] = ACTIONS(2178),
    [anon_sym_volatile] = ACTIONS(2178),
    [anon_sym_restrict] = ACTIONS(2178),
    [anon_sym___restrict__] = ACTIONS(2178),
    [anon_sym__Atomic] = ACTIONS(2178),
    [anon_sym__Noreturn] = ACTIONS(2178),
    [anon_sym_noreturn] = ACTIONS(2178),
    [anon_sym_mutable] = ACTIONS(2178),
    [anon_sym_constinit] = ACTIONS(2178),
    [anon_sym_consteval] = ACTIONS(2178),
    [sym_primitive_type] = ACTIONS(2178),
    [anon_sym_enum] = ACTIONS(2178),
    [anon_sym_class] = ACTIONS(2178),
    [anon_sym_struct] = ACTIONS(2178),
    [anon_sym_union] = ACTIONS(2178),
    [anon_sym_if] = ACTIONS(2178),
    [anon_sym_else] = ACTIONS(2178),
    [anon_sym_switch] = ACTIONS(2178),
    [anon_sym_case] = ACTIONS(2178),
    [anon_sym_default] = ACTIONS(2178),
    [anon_sym_while] = ACTIONS(2178),
    [anon_sym_do] = ACTIONS(2178),
    [anon_sym_for] = ACTIONS(2178),
    [anon_sym_return] = ACTIONS(2178),
    [anon_sym_break] = ACTIONS(2178),
    [anon_sym_continue] = ACTIONS(2178),
    [anon_sym_goto] = ACTIONS(2178),
    [anon_sym___try] = ACTIONS(2178),
    [anon_sym___leave] = ACTIONS(2178),
    [anon_sym_not] = ACTIONS(2178),
    [anon_sym_compl] = ACTIONS(2178),
    [anon_sym_or] = ACTIONS(2178),
    [anon_sym_and] = ACTIONS(2178),
    [anon_sym_DASH_DASH] = ACTIONS(2180),
    [anon_sym_PLUS_PLUS] = ACTIONS(2180),
    [anon_sym_sizeof] = ACTIONS(2178),
    [anon_sym___alignof__] = ACTIONS(2178),
    [anon_sym___alignof] = ACTIONS(2178),
    [anon_sym__alignof] = ACTIONS(2178),
    [anon_sym_alignof] = ACTIONS(2178),
    [anon_sym__Alignof] = ACTIONS(2178),
    [anon_sym_offsetof] = ACTIONS(2178),
    [anon_sym__Generic] = ACTIONS(2178),
    [anon_sym_asm] = ACTIONS(2178),
    [anon_sym___asm__] = ACTIONS(2178),
    [sym_number_literal] = ACTIONS(2180),
    [anon_sym_L_SQUOTE] = ACTIONS(2180),
    [anon_sym_u_SQUOTE] = ACTIONS(2180),
    [anon_sym_U_SQUOTE] = ACTIONS(2180),
    [anon_sym_u8_SQUOTE] = ACTIONS(2180),
    [anon_sym_SQUOTE] = ACTIONS(2180),
    [anon_sym_L_DQUOTE] = ACTIONS(2180),
    [anon_sym_u_DQUOTE] = ACTIONS(2180),
    [anon_sym_U_DQUOTE] = ACTIONS(2180),
    [anon_sym_u8_DQUOTE] = ACTIONS(2180),
    [anon_sym_DQUOTE] = ACTIONS(2180),
    [sym_true] = ACTIONS(2178),
    [sym_false] = ACTIONS(2178),
    [anon_sym_NULL] = ACTIONS(2178),
    [anon_sym_nullptr] = ACTIONS(2178),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2178),
    [anon_sym_decltype] = ACTIONS(2178),
    [anon_sym_final] = ACTIONS(2178),
    [anon_sym_override] = ACTIONS(2178),
    [anon_sym_virtual] = ACTIONS(2178),
    [anon_sym_alignas] = ACTIONS(2178),
    [anon_sym_explicit] = ACTIONS(2178),
    [anon_sym_typename] = ACTIONS(2178),
    [anon_sym_template] = ACTIONS(2178),
    [anon_sym_GT2] = ACTIONS(2180),
    [anon_sym_operator] = ACTIONS(2178),
    [anon_sym_try] = ACTIONS(2178),
    [anon_sym_delete] = ACTIONS(2178),
    [anon_sym_throw] = ACTIONS(2178),
    [anon_sym_namespace] = ACTIONS(2178),
    [anon_sym_using] = ACTIONS(2178),
    [anon_sym_static_assert] = ACTIONS(2178),
    [anon_sym_concept] = ACTIONS(2178),
    [anon_sym_co_return] = ACTIONS(2178),
    [anon_sym_co_yield] = ACTIONS(2178),
    [anon_sym_R_DQUOTE] = ACTIONS(2180),
    [anon_sym_LR_DQUOTE] = ACTIONS(2180),
    [anon_sym_uR_DQUOTE] = ACTIONS(2180),
    [anon_sym_UR_DQUOTE] = ACTIONS(2180),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2180),
    [anon_sym_co_await] = ACTIONS(2178),
    [anon_sym_new] = ACTIONS(2178),
    [anon_sym_requires] = ACTIONS(2178),
    [sym_this] = ACTIONS(2178),
    [anon_sym_discard] = ACTIONS(2178),
    [anon_sym_precise] = ACTIONS(2178),
    [anon_sym_shared] = ACTIONS(2178),
    [anon_sym_groupshared] = ACTIONS(2178),
    [anon_sym_uniform] = ACTIONS(2178),
    [anon_sym_row_major] = ACTIONS(2178),
    [anon_sym_column_major] = ACTIONS(2178),
    [anon_sym_globallycoherent] = ACTIONS(2178),
    [anon_sym_centroid] = ACTIONS(2178),
    [anon_sym_noperspective] = ACTIONS(2178),
    [anon_sym_nointerpolation] = ACTIONS(2178),
    [anon_sym_sample] = ACTIONS(2178),
    [anon_sym_linear] = ACTIONS(2178),
    [anon_sym_snorm] = ACTIONS(2178),
    [anon_sym_unorm] = ACTIONS(2178),
    [anon_sym_point] = ACTIONS(2178),
    [anon_sym_line] = ACTIONS(2178),
    [anon_sym_triangleadj] = ACTIONS(2178),
    [anon_sym_lineadj] = ACTIONS(2178),
    [anon_sym_triangle] = ACTIONS(2178),
    [anon_sym_cbuffer] = ACTIONS(2178),
  },
  [156] = {
    [sym_identifier] = ACTIONS(2182),
    [aux_sym_preproc_include_token1] = ACTIONS(2182),
    [aux_sym_preproc_def_token1] = ACTIONS(2182),
    [anon_sym_COMMA] = ACTIONS(2184),
    [anon_sym_RPAREN] = ACTIONS(2184),
    [aux_sym_preproc_if_token1] = ACTIONS(2182),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2182),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2182),
    [sym_preproc_directive] = ACTIONS(2182),
    [anon_sym_LPAREN2] = ACTIONS(2184),
    [anon_sym_BANG] = ACTIONS(2184),
    [anon_sym_TILDE] = ACTIONS(2184),
    [anon_sym_DASH] = ACTIONS(2182),
    [anon_sym_PLUS] = ACTIONS(2182),
    [anon_sym_STAR] = ACTIONS(2184),
    [anon_sym_PIPE_PIPE] = ACTIONS(2184),
    [anon_sym_AMP_AMP] = ACTIONS(2184),
    [anon_sym_AMP] = ACTIONS(2182),
    [anon_sym_COLON] = ACTIONS(2182),
    [anon_sym_SEMI] = ACTIONS(2184),
    [anon_sym___extension__] = ACTIONS(2182),
    [anon_sym_typedef] = ACTIONS(2182),
    [anon_sym_in] = ACTIONS(2182),
    [anon_sym_out] = ACTIONS(2182),
    [anon_sym_inout] = ACTIONS(2182),
    [anon_sym_extern] = ACTIONS(2182),
    [anon_sym___attribute__] = ACTIONS(2182),
    [anon_sym_COLON_COLON] = ACTIONS(2184),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2184),
    [anon_sym___declspec] = ACTIONS(2182),
    [anon_sym___based] = ACTIONS(2182),
    [anon_sym___cdecl] = ACTIONS(2182),
    [anon_sym___clrcall] = ACTIONS(2182),
    [anon_sym___stdcall] = ACTIONS(2182),
    [anon_sym___fastcall] = ACTIONS(2182),
    [anon_sym___thiscall] = ACTIONS(2182),
    [anon_sym___vectorcall] = ACTIONS(2182),
    [anon_sym_LBRACE] = ACTIONS(2184),
    [anon_sym_RBRACE] = ACTIONS(2184),
    [anon_sym_signed] = ACTIONS(2182),
    [anon_sym_unsigned] = ACTIONS(2182),
    [anon_sym_long] = ACTIONS(2182),
    [anon_sym_short] = ACTIONS(2182),
    [anon_sym_LBRACK] = ACTIONS(2182),
    [anon_sym_EQ] = ACTIONS(2184),
    [anon_sym_static] = ACTIONS(2182),
    [anon_sym_register] = ACTIONS(2182),
    [anon_sym_inline] = ACTIONS(2182),
    [anon_sym___inline] = ACTIONS(2182),
    [anon_sym___inline__] = ACTIONS(2182),
    [anon_sym___forceinline] = ACTIONS(2182),
    [anon_sym_thread_local] = ACTIONS(2182),
    [anon_sym___thread] = ACTIONS(2182),
    [anon_sym_const] = ACTIONS(2182),
    [anon_sym_constexpr] = ACTIONS(2182),
    [anon_sym_volatile] = ACTIONS(2182),
    [anon_sym_restrict] = ACTIONS(2182),
    [anon_sym___restrict__] = ACTIONS(2182),
    [anon_sym__Atomic] = ACTIONS(2182),
    [anon_sym__Noreturn] = ACTIONS(2182),
    [anon_sym_noreturn] = ACTIONS(2182),
    [anon_sym_mutable] = ACTIONS(2182),
    [anon_sym_constinit] = ACTIONS(2182),
    [anon_sym_consteval] = ACTIONS(2182),
    [sym_primitive_type] = ACTIONS(2182),
    [anon_sym_enum] = ACTIONS(2182),
    [anon_sym_class] = ACTIONS(2182),
    [anon_sym_struct] = ACTIONS(2182),
    [anon_sym_union] = ACTIONS(2182),
    [anon_sym_if] = ACTIONS(2182),
    [anon_sym_else] = ACTIONS(2182),
    [anon_sym_switch] = ACTIONS(2182),
    [anon_sym_case] = ACTIONS(2182),
    [anon_sym_default] = ACTIONS(2182),
    [anon_sym_while] = ACTIONS(2182),
    [anon_sym_do] = ACTIONS(2182),
    [anon_sym_for] = ACTIONS(2182),
    [anon_sym_return] = ACTIONS(2182),
    [anon_sym_break] = ACTIONS(2182),
    [anon_sym_continue] = ACTIONS(2182),
    [anon_sym_goto] = ACTIONS(2182),
    [anon_sym___try] = ACTIONS(2182),
    [anon_sym___leave] = ACTIONS(2182),
    [anon_sym_not] = ACTIONS(2182),
    [anon_sym_compl] = ACTIONS(2182),
    [anon_sym_or] = ACTIONS(2182),
    [anon_sym_and] = ACTIONS(2182),
    [anon_sym_DASH_DASH] = ACTIONS(2184),
    [anon_sym_PLUS_PLUS] = ACTIONS(2184),
    [anon_sym_sizeof] = ACTIONS(2182),
    [anon_sym___alignof__] = ACTIONS(2182),
    [anon_sym___alignof] = ACTIONS(2182),
    [anon_sym__alignof] = ACTIONS(2182),
    [anon_sym_alignof] = ACTIONS(2182),
    [anon_sym__Alignof] = ACTIONS(2182),
    [anon_sym_offsetof] = ACTIONS(2182),
    [anon_sym__Generic] = ACTIONS(2182),
    [anon_sym_asm] = ACTIONS(2182),
    [anon_sym___asm__] = ACTIONS(2182),
    [sym_number_literal] = ACTIONS(2184),
    [anon_sym_L_SQUOTE] = ACTIONS(2184),
    [anon_sym_u_SQUOTE] = ACTIONS(2184),
    [anon_sym_U_SQUOTE] = ACTIONS(2184),
    [anon_sym_u8_SQUOTE] = ACTIONS(2184),
    [anon_sym_SQUOTE] = ACTIONS(2184),
    [anon_sym_L_DQUOTE] = ACTIONS(2184),
    [anon_sym_u_DQUOTE] = ACTIONS(2184),
    [anon_sym_U_DQUOTE] = ACTIONS(2184),
    [anon_sym_u8_DQUOTE] = ACTIONS(2184),
    [anon_sym_DQUOTE] = ACTIONS(2184),
    [sym_true] = ACTIONS(2182),
    [sym_false] = ACTIONS(2182),
    [anon_sym_NULL] = ACTIONS(2182),
    [anon_sym_nullptr] = ACTIONS(2182),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2182),
    [anon_sym_decltype] = ACTIONS(2182),
    [anon_sym_final] = ACTIONS(2182),
    [anon_sym_override] = ACTIONS(2182),
    [anon_sym_virtual] = ACTIONS(2182),
    [anon_sym_alignas] = ACTIONS(2182),
    [anon_sym_explicit] = ACTIONS(2182),
    [anon_sym_typename] = ACTIONS(2182),
    [anon_sym_template] = ACTIONS(2182),
    [anon_sym_GT2] = ACTIONS(2184),
    [anon_sym_operator] = ACTIONS(2182),
    [anon_sym_try] = ACTIONS(2182),
    [anon_sym_delete] = ACTIONS(2182),
    [anon_sym_throw] = ACTIONS(2182),
    [anon_sym_namespace] = ACTIONS(2182),
    [anon_sym_using] = ACTIONS(2182),
    [anon_sym_static_assert] = ACTIONS(2182),
    [anon_sym_concept] = ACTIONS(2182),
    [anon_sym_co_return] = ACTIONS(2182),
    [anon_sym_co_yield] = ACTIONS(2182),
    [anon_sym_R_DQUOTE] = ACTIONS(2184),
    [anon_sym_LR_DQUOTE] = ACTIONS(2184),
    [anon_sym_uR_DQUOTE] = ACTIONS(2184),
    [anon_sym_UR_DQUOTE] = ACTIONS(2184),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2184),
    [anon_sym_co_await] = ACTIONS(2182),
    [anon_sym_new] = ACTIONS(2182),
    [anon_sym_requires] = ACTIONS(2182),
    [sym_this] = ACTIONS(2182),
    [anon_sym_discard] = ACTIONS(2182),
    [anon_sym_precise] = ACTIONS(2182),
    [anon_sym_shared] = ACTIONS(2182),
    [anon_sym_groupshared] = ACTIONS(2182),
    [anon_sym_uniform] = ACTIONS(2182),
    [anon_sym_row_major] = ACTIONS(2182),
    [anon_sym_column_major] = ACTIONS(2182),
    [anon_sym_globallycoherent] = ACTIONS(2182),
    [anon_sym_centroid] = ACTIONS(2182),
    [anon_sym_noperspective] = ACTIONS(2182),
    [anon_sym_nointerpolation] = ACTIONS(2182),
    [anon_sym_sample] = ACTIONS(2182),
    [anon_sym_linear] = ACTIONS(2182),
    [anon_sym_snorm] = ACTIONS(2182),
    [anon_sym_unorm] = ACTIONS(2182),
    [anon_sym_point] = ACTIONS(2182),
    [anon_sym_line] = ACTIONS(2182),
    [anon_sym_triangleadj] = ACTIONS(2182),
    [anon_sym_lineadj] = ACTIONS(2182),
    [anon_sym_triangle] = ACTIONS(2182),
    [anon_sym_cbuffer] = ACTIONS(2182),
  },
  [157] = {
    [sym_identifier] = ACTIONS(2186),
    [aux_sym_preproc_include_token1] = ACTIONS(2186),
    [aux_sym_preproc_def_token1] = ACTIONS(2186),
    [anon_sym_COMMA] = ACTIONS(2188),
    [anon_sym_RPAREN] = ACTIONS(2188),
    [aux_sym_preproc_if_token1] = ACTIONS(2186),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2186),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2186),
    [sym_preproc_directive] = ACTIONS(2186),
    [anon_sym_LPAREN2] = ACTIONS(2188),
    [anon_sym_BANG] = ACTIONS(2188),
    [anon_sym_TILDE] = ACTIONS(2188),
    [anon_sym_DASH] = ACTIONS(2186),
    [anon_sym_PLUS] = ACTIONS(2186),
    [anon_sym_STAR] = ACTIONS(2188),
    [anon_sym_PIPE_PIPE] = ACTIONS(2188),
    [anon_sym_AMP_AMP] = ACTIONS(2188),
    [anon_sym_AMP] = ACTIONS(2186),
    [anon_sym_COLON] = ACTIONS(2186),
    [anon_sym_SEMI] = ACTIONS(2188),
    [anon_sym___extension__] = ACTIONS(2186),
    [anon_sym_typedef] = ACTIONS(2186),
    [anon_sym_in] = ACTIONS(2186),
    [anon_sym_out] = ACTIONS(2186),
    [anon_sym_inout] = ACTIONS(2186),
    [anon_sym_extern] = ACTIONS(2186),
    [anon_sym___attribute__] = ACTIONS(2186),
    [anon_sym_COLON_COLON] = ACTIONS(2188),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2188),
    [anon_sym___declspec] = ACTIONS(2186),
    [anon_sym___based] = ACTIONS(2186),
    [anon_sym___cdecl] = ACTIONS(2186),
    [anon_sym___clrcall] = ACTIONS(2186),
    [anon_sym___stdcall] = ACTIONS(2186),
    [anon_sym___fastcall] = ACTIONS(2186),
    [anon_sym___thiscall] = ACTIONS(2186),
    [anon_sym___vectorcall] = ACTIONS(2186),
    [anon_sym_LBRACE] = ACTIONS(2188),
    [anon_sym_RBRACE] = ACTIONS(2188),
    [anon_sym_signed] = ACTIONS(2186),
    [anon_sym_unsigned] = ACTIONS(2186),
    [anon_sym_long] = ACTIONS(2186),
    [anon_sym_short] = ACTIONS(2186),
    [anon_sym_LBRACK] = ACTIONS(2186),
    [anon_sym_EQ] = ACTIONS(2188),
    [anon_sym_static] = ACTIONS(2186),
    [anon_sym_register] = ACTIONS(2186),
    [anon_sym_inline] = ACTIONS(2186),
    [anon_sym___inline] = ACTIONS(2186),
    [anon_sym___inline__] = ACTIONS(2186),
    [anon_sym___forceinline] = ACTIONS(2186),
    [anon_sym_thread_local] = ACTIONS(2186),
    [anon_sym___thread] = ACTIONS(2186),
    [anon_sym_const] = ACTIONS(2186),
    [anon_sym_constexpr] = ACTIONS(2186),
    [anon_sym_volatile] = ACTIONS(2186),
    [anon_sym_restrict] = ACTIONS(2186),
    [anon_sym___restrict__] = ACTIONS(2186),
    [anon_sym__Atomic] = ACTIONS(2186),
    [anon_sym__Noreturn] = ACTIONS(2186),
    [anon_sym_noreturn] = ACTIONS(2186),
    [anon_sym_mutable] = ACTIONS(2186),
    [anon_sym_constinit] = ACTIONS(2186),
    [anon_sym_consteval] = ACTIONS(2186),
    [sym_primitive_type] = ACTIONS(2186),
    [anon_sym_enum] = ACTIONS(2186),
    [anon_sym_class] = ACTIONS(2186),
    [anon_sym_struct] = ACTIONS(2186),
    [anon_sym_union] = ACTIONS(2186),
    [anon_sym_if] = ACTIONS(2186),
    [anon_sym_else] = ACTIONS(2186),
    [anon_sym_switch] = ACTIONS(2186),
    [anon_sym_case] = ACTIONS(2186),
    [anon_sym_default] = ACTIONS(2186),
    [anon_sym_while] = ACTIONS(2186),
    [anon_sym_do] = ACTIONS(2186),
    [anon_sym_for] = ACTIONS(2186),
    [anon_sym_return] = ACTIONS(2186),
    [anon_sym_break] = ACTIONS(2186),
    [anon_sym_continue] = ACTIONS(2186),
    [anon_sym_goto] = ACTIONS(2186),
    [anon_sym___try] = ACTIONS(2186),
    [anon_sym___leave] = ACTIONS(2186),
    [anon_sym_not] = ACTIONS(2186),
    [anon_sym_compl] = ACTIONS(2186),
    [anon_sym_or] = ACTIONS(2186),
    [anon_sym_and] = ACTIONS(2186),
    [anon_sym_DASH_DASH] = ACTIONS(2188),
    [anon_sym_PLUS_PLUS] = ACTIONS(2188),
    [anon_sym_sizeof] = ACTIONS(2186),
    [anon_sym___alignof__] = ACTIONS(2186),
    [anon_sym___alignof] = ACTIONS(2186),
    [anon_sym__alignof] = ACTIONS(2186),
    [anon_sym_alignof] = ACTIONS(2186),
    [anon_sym__Alignof] = ACTIONS(2186),
    [anon_sym_offsetof] = ACTIONS(2186),
    [anon_sym__Generic] = ACTIONS(2186),
    [anon_sym_asm] = ACTIONS(2186),
    [anon_sym___asm__] = ACTIONS(2186),
    [sym_number_literal] = ACTIONS(2188),
    [anon_sym_L_SQUOTE] = ACTIONS(2188),
    [anon_sym_u_SQUOTE] = ACTIONS(2188),
    [anon_sym_U_SQUOTE] = ACTIONS(2188),
    [anon_sym_u8_SQUOTE] = ACTIONS(2188),
    [anon_sym_SQUOTE] = ACTIONS(2188),
    [anon_sym_L_DQUOTE] = ACTIONS(2188),
    [anon_sym_u_DQUOTE] = ACTIONS(2188),
    [anon_sym_U_DQUOTE] = ACTIONS(2188),
    [anon_sym_u8_DQUOTE] = ACTIONS(2188),
    [anon_sym_DQUOTE] = ACTIONS(2188),
    [sym_true] = ACTIONS(2186),
    [sym_false] = ACTIONS(2186),
    [anon_sym_NULL] = ACTIONS(2186),
    [anon_sym_nullptr] = ACTIONS(2186),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2186),
    [anon_sym_decltype] = ACTIONS(2186),
    [anon_sym_final] = ACTIONS(2186),
    [anon_sym_override] = ACTIONS(2186),
    [anon_sym_virtual] = ACTIONS(2186),
    [anon_sym_alignas] = ACTIONS(2186),
    [anon_sym_explicit] = ACTIONS(2186),
    [anon_sym_typename] = ACTIONS(2186),
    [anon_sym_template] = ACTIONS(2186),
    [anon_sym_GT2] = ACTIONS(2188),
    [anon_sym_operator] = ACTIONS(2186),
    [anon_sym_try] = ACTIONS(2186),
    [anon_sym_delete] = ACTIONS(2186),
    [anon_sym_throw] = ACTIONS(2186),
    [anon_sym_namespace] = ACTIONS(2186),
    [anon_sym_using] = ACTIONS(2186),
    [anon_sym_static_assert] = ACTIONS(2186),
    [anon_sym_concept] = ACTIONS(2186),
    [anon_sym_co_return] = ACTIONS(2186),
    [anon_sym_co_yield] = ACTIONS(2186),
    [anon_sym_R_DQUOTE] = ACTIONS(2188),
    [anon_sym_LR_DQUOTE] = ACTIONS(2188),
    [anon_sym_uR_DQUOTE] = ACTIONS(2188),
    [anon_sym_UR_DQUOTE] = ACTIONS(2188),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2188),
    [anon_sym_co_await] = ACTIONS(2186),
    [anon_sym_new] = ACTIONS(2186),
    [anon_sym_requires] = ACTIONS(2186),
    [sym_this] = ACTIONS(2186),
    [anon_sym_discard] = ACTIONS(2186),
    [anon_sym_precise] = ACTIONS(2186),
    [anon_sym_shared] = ACTIONS(2186),
    [anon_sym_groupshared] = ACTIONS(2186),
    [anon_sym_uniform] = ACTIONS(2186),
    [anon_sym_row_major] = ACTIONS(2186),
    [anon_sym_column_major] = ACTIONS(2186),
    [anon_sym_globallycoherent] = ACTIONS(2186),
    [anon_sym_centroid] = ACTIONS(2186),
    [anon_sym_noperspective] = ACTIONS(2186),
    [anon_sym_nointerpolation] = ACTIONS(2186),
    [anon_sym_sample] = ACTIONS(2186),
    [anon_sym_linear] = ACTIONS(2186),
    [anon_sym_snorm] = ACTIONS(2186),
    [anon_sym_unorm] = ACTIONS(2186),
    [anon_sym_point] = ACTIONS(2186),
    [anon_sym_line] = ACTIONS(2186),
    [anon_sym_triangleadj] = ACTIONS(2186),
    [anon_sym_lineadj] = ACTIONS(2186),
    [anon_sym_triangle] = ACTIONS(2186),
    [anon_sym_cbuffer] = ACTIONS(2186),
  },
  [158] = {
    [sym_field_declaration_list] = STATE(313),
    [sym_virtual_specifier] = STATE(8340),
    [sym_base_class_clause] = STATE(9383),
    [sym_identifier] = ACTIONS(2190),
    [aux_sym_preproc_include_token1] = ACTIONS(2190),
    [aux_sym_preproc_def_token1] = ACTIONS(2190),
    [aux_sym_preproc_if_token1] = ACTIONS(2190),
    [aux_sym_preproc_if_token2] = ACTIONS(2190),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2190),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2190),
    [aux_sym_preproc_else_token1] = ACTIONS(2190),
    [aux_sym_preproc_elif_token1] = ACTIONS(2190),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2190),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2190),
    [sym_preproc_directive] = ACTIONS(2190),
    [anon_sym_LPAREN2] = ACTIONS(2192),
    [anon_sym_BANG] = ACTIONS(2192),
    [anon_sym_TILDE] = ACTIONS(2192),
    [anon_sym_DASH] = ACTIONS(2190),
    [anon_sym_PLUS] = ACTIONS(2190),
    [anon_sym_STAR] = ACTIONS(2192),
    [anon_sym_AMP_AMP] = ACTIONS(2192),
    [anon_sym_AMP] = ACTIONS(2190),
    [anon_sym_COLON] = ACTIONS(2194),
    [anon_sym_SEMI] = ACTIONS(2192),
    [anon_sym___extension__] = ACTIONS(2190),
    [anon_sym_typedef] = ACTIONS(2190),
    [anon_sym_in] = ACTIONS(2190),
    [anon_sym_out] = ACTIONS(2190),
    [anon_sym_inout] = ACTIONS(2190),
    [anon_sym_extern] = ACTIONS(2190),
    [anon_sym___attribute__] = ACTIONS(2190),
    [anon_sym_COLON_COLON] = ACTIONS(2192),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2192),
    [anon_sym___declspec] = ACTIONS(2190),
    [anon_sym___based] = ACTIONS(2190),
    [anon_sym___cdecl] = ACTIONS(2190),
    [anon_sym___clrcall] = ACTIONS(2190),
    [anon_sym___stdcall] = ACTIONS(2190),
    [anon_sym___fastcall] = ACTIONS(2190),
    [anon_sym___thiscall] = ACTIONS(2190),
    [anon_sym___vectorcall] = ACTIONS(2190),
    [anon_sym_LBRACE] = ACTIONS(2196),
    [anon_sym_signed] = ACTIONS(2190),
    [anon_sym_unsigned] = ACTIONS(2190),
    [anon_sym_long] = ACTIONS(2190),
    [anon_sym_short] = ACTIONS(2190),
    [anon_sym_LBRACK] = ACTIONS(2190),
    [anon_sym_static] = ACTIONS(2190),
    [anon_sym_register] = ACTIONS(2190),
    [anon_sym_inline] = ACTIONS(2190),
    [anon_sym___inline] = ACTIONS(2190),
    [anon_sym___inline__] = ACTIONS(2190),
    [anon_sym___forceinline] = ACTIONS(2190),
    [anon_sym_thread_local] = ACTIONS(2190),
    [anon_sym___thread] = ACTIONS(2190),
    [anon_sym_const] = ACTIONS(2190),
    [anon_sym_constexpr] = ACTIONS(2190),
    [anon_sym_volatile] = ACTIONS(2190),
    [anon_sym_restrict] = ACTIONS(2190),
    [anon_sym___restrict__] = ACTIONS(2190),
    [anon_sym__Atomic] = ACTIONS(2190),
    [anon_sym__Noreturn] = ACTIONS(2190),
    [anon_sym_noreturn] = ACTIONS(2190),
    [anon_sym_mutable] = ACTIONS(2190),
    [anon_sym_constinit] = ACTIONS(2190),
    [anon_sym_consteval] = ACTIONS(2190),
    [sym_primitive_type] = ACTIONS(2190),
    [anon_sym_enum] = ACTIONS(2190),
    [anon_sym_class] = ACTIONS(2190),
    [anon_sym_struct] = ACTIONS(2190),
    [anon_sym_union] = ACTIONS(2190),
    [anon_sym_if] = ACTIONS(2190),
    [anon_sym_else] = ACTIONS(2190),
    [anon_sym_switch] = ACTIONS(2190),
    [anon_sym_case] = ACTIONS(2190),
    [anon_sym_default] = ACTIONS(2190),
    [anon_sym_while] = ACTIONS(2190),
    [anon_sym_do] = ACTIONS(2190),
    [anon_sym_for] = ACTIONS(2190),
    [anon_sym_return] = ACTIONS(2190),
    [anon_sym_break] = ACTIONS(2190),
    [anon_sym_continue] = ACTIONS(2190),
    [anon_sym_goto] = ACTIONS(2190),
    [anon_sym___try] = ACTIONS(2190),
    [anon_sym___leave] = ACTIONS(2190),
    [anon_sym_not] = ACTIONS(2190),
    [anon_sym_compl] = ACTIONS(2190),
    [anon_sym_DASH_DASH] = ACTIONS(2192),
    [anon_sym_PLUS_PLUS] = ACTIONS(2192),
    [anon_sym_sizeof] = ACTIONS(2190),
    [anon_sym___alignof__] = ACTIONS(2190),
    [anon_sym___alignof] = ACTIONS(2190),
    [anon_sym__alignof] = ACTIONS(2190),
    [anon_sym_alignof] = ACTIONS(2190),
    [anon_sym__Alignof] = ACTIONS(2190),
    [anon_sym_offsetof] = ACTIONS(2190),
    [anon_sym__Generic] = ACTIONS(2190),
    [anon_sym_asm] = ACTIONS(2190),
    [anon_sym___asm__] = ACTIONS(2190),
    [sym_number_literal] = ACTIONS(2192),
    [anon_sym_L_SQUOTE] = ACTIONS(2192),
    [anon_sym_u_SQUOTE] = ACTIONS(2192),
    [anon_sym_U_SQUOTE] = ACTIONS(2192),
    [anon_sym_u8_SQUOTE] = ACTIONS(2192),
    [anon_sym_SQUOTE] = ACTIONS(2192),
    [anon_sym_L_DQUOTE] = ACTIONS(2192),
    [anon_sym_u_DQUOTE] = ACTIONS(2192),
    [anon_sym_U_DQUOTE] = ACTIONS(2192),
    [anon_sym_u8_DQUOTE] = ACTIONS(2192),
    [anon_sym_DQUOTE] = ACTIONS(2192),
    [sym_true] = ACTIONS(2190),
    [sym_false] = ACTIONS(2190),
    [anon_sym_NULL] = ACTIONS(2190),
    [anon_sym_nullptr] = ACTIONS(2190),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2190),
    [anon_sym_decltype] = ACTIONS(2190),
    [anon_sym_final] = ACTIONS(2198),
    [anon_sym_override] = ACTIONS(2198),
    [anon_sym_virtual] = ACTIONS(2190),
    [anon_sym_alignas] = ACTIONS(2190),
    [anon_sym_explicit] = ACTIONS(2190),
    [anon_sym_typename] = ACTIONS(2190),
    [anon_sym_template] = ACTIONS(2190),
    [anon_sym_operator] = ACTIONS(2190),
    [anon_sym_try] = ACTIONS(2190),
    [anon_sym_delete] = ACTIONS(2190),
    [anon_sym_throw] = ACTIONS(2190),
    [anon_sym_namespace] = ACTIONS(2190),
    [anon_sym_using] = ACTIONS(2190),
    [anon_sym_static_assert] = ACTIONS(2190),
    [anon_sym_concept] = ACTIONS(2190),
    [anon_sym_co_return] = ACTIONS(2190),
    [anon_sym_co_yield] = ACTIONS(2190),
    [anon_sym_R_DQUOTE] = ACTIONS(2192),
    [anon_sym_LR_DQUOTE] = ACTIONS(2192),
    [anon_sym_uR_DQUOTE] = ACTIONS(2192),
    [anon_sym_UR_DQUOTE] = ACTIONS(2192),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2192),
    [anon_sym_co_await] = ACTIONS(2190),
    [anon_sym_new] = ACTIONS(2190),
    [anon_sym_requires] = ACTIONS(2190),
    [sym_this] = ACTIONS(2190),
    [anon_sym_discard] = ACTIONS(2190),
    [anon_sym_precise] = ACTIONS(2190),
    [anon_sym_shared] = ACTIONS(2190),
    [anon_sym_groupshared] = ACTIONS(2190),
    [anon_sym_uniform] = ACTIONS(2190),
    [anon_sym_row_major] = ACTIONS(2190),
    [anon_sym_column_major] = ACTIONS(2190),
    [anon_sym_globallycoherent] = ACTIONS(2190),
    [anon_sym_centroid] = ACTIONS(2190),
    [anon_sym_noperspective] = ACTIONS(2190),
    [anon_sym_nointerpolation] = ACTIONS(2190),
    [anon_sym_sample] = ACTIONS(2190),
    [anon_sym_linear] = ACTIONS(2190),
    [anon_sym_snorm] = ACTIONS(2190),
    [anon_sym_unorm] = ACTIONS(2190),
    [anon_sym_point] = ACTIONS(2190),
    [anon_sym_line] = ACTIONS(2190),
    [anon_sym_triangleadj] = ACTIONS(2190),
    [anon_sym_lineadj] = ACTIONS(2190),
    [anon_sym_triangle] = ACTIONS(2190),
    [anon_sym_cbuffer] = ACTIONS(2190),
  },
  [159] = {
    [sym_identifier] = ACTIONS(2200),
    [aux_sym_preproc_include_token1] = ACTIONS(2200),
    [aux_sym_preproc_def_token1] = ACTIONS(2200),
    [anon_sym_COMMA] = ACTIONS(2202),
    [anon_sym_RPAREN] = ACTIONS(2202),
    [aux_sym_preproc_if_token1] = ACTIONS(2200),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2200),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2200),
    [sym_preproc_directive] = ACTIONS(2200),
    [anon_sym_LPAREN2] = ACTIONS(2202),
    [anon_sym_BANG] = ACTIONS(2202),
    [anon_sym_TILDE] = ACTIONS(2202),
    [anon_sym_DASH] = ACTIONS(2200),
    [anon_sym_PLUS] = ACTIONS(2200),
    [anon_sym_STAR] = ACTIONS(2202),
    [anon_sym_PIPE_PIPE] = ACTIONS(2202),
    [anon_sym_AMP_AMP] = ACTIONS(2202),
    [anon_sym_AMP] = ACTIONS(2200),
    [anon_sym_COLON] = ACTIONS(2200),
    [anon_sym_SEMI] = ACTIONS(2202),
    [anon_sym___extension__] = ACTIONS(2200),
    [anon_sym_typedef] = ACTIONS(2200),
    [anon_sym_in] = ACTIONS(2200),
    [anon_sym_out] = ACTIONS(2200),
    [anon_sym_inout] = ACTIONS(2200),
    [anon_sym_extern] = ACTIONS(2200),
    [anon_sym___attribute__] = ACTIONS(2200),
    [anon_sym_COLON_COLON] = ACTIONS(2202),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2202),
    [anon_sym___declspec] = ACTIONS(2200),
    [anon_sym___based] = ACTIONS(2200),
    [anon_sym___cdecl] = ACTIONS(2200),
    [anon_sym___clrcall] = ACTIONS(2200),
    [anon_sym___stdcall] = ACTIONS(2200),
    [anon_sym___fastcall] = ACTIONS(2200),
    [anon_sym___thiscall] = ACTIONS(2200),
    [anon_sym___vectorcall] = ACTIONS(2200),
    [anon_sym_LBRACE] = ACTIONS(2202),
    [anon_sym_RBRACE] = ACTIONS(2202),
    [anon_sym_signed] = ACTIONS(2200),
    [anon_sym_unsigned] = ACTIONS(2200),
    [anon_sym_long] = ACTIONS(2200),
    [anon_sym_short] = ACTIONS(2200),
    [anon_sym_LBRACK] = ACTIONS(2200),
    [anon_sym_EQ] = ACTIONS(2202),
    [anon_sym_static] = ACTIONS(2200),
    [anon_sym_register] = ACTIONS(2200),
    [anon_sym_inline] = ACTIONS(2200),
    [anon_sym___inline] = ACTIONS(2200),
    [anon_sym___inline__] = ACTIONS(2200),
    [anon_sym___forceinline] = ACTIONS(2200),
    [anon_sym_thread_local] = ACTIONS(2200),
    [anon_sym___thread] = ACTIONS(2200),
    [anon_sym_const] = ACTIONS(2200),
    [anon_sym_constexpr] = ACTIONS(2200),
    [anon_sym_volatile] = ACTIONS(2200),
    [anon_sym_restrict] = ACTIONS(2200),
    [anon_sym___restrict__] = ACTIONS(2200),
    [anon_sym__Atomic] = ACTIONS(2200),
    [anon_sym__Noreturn] = ACTIONS(2200),
    [anon_sym_noreturn] = ACTIONS(2200),
    [anon_sym_mutable] = ACTIONS(2200),
    [anon_sym_constinit] = ACTIONS(2200),
    [anon_sym_consteval] = ACTIONS(2200),
    [sym_primitive_type] = ACTIONS(2200),
    [anon_sym_enum] = ACTIONS(2200),
    [anon_sym_class] = ACTIONS(2200),
    [anon_sym_struct] = ACTIONS(2200),
    [anon_sym_union] = ACTIONS(2200),
    [anon_sym_if] = ACTIONS(2200),
    [anon_sym_else] = ACTIONS(2200),
    [anon_sym_switch] = ACTIONS(2200),
    [anon_sym_case] = ACTIONS(2200),
    [anon_sym_default] = ACTIONS(2200),
    [anon_sym_while] = ACTIONS(2200),
    [anon_sym_do] = ACTIONS(2200),
    [anon_sym_for] = ACTIONS(2200),
    [anon_sym_return] = ACTIONS(2200),
    [anon_sym_break] = ACTIONS(2200),
    [anon_sym_continue] = ACTIONS(2200),
    [anon_sym_goto] = ACTIONS(2200),
    [anon_sym___try] = ACTIONS(2200),
    [anon_sym___leave] = ACTIONS(2200),
    [anon_sym_not] = ACTIONS(2200),
    [anon_sym_compl] = ACTIONS(2200),
    [anon_sym_or] = ACTIONS(2200),
    [anon_sym_and] = ACTIONS(2200),
    [anon_sym_DASH_DASH] = ACTIONS(2202),
    [anon_sym_PLUS_PLUS] = ACTIONS(2202),
    [anon_sym_sizeof] = ACTIONS(2200),
    [anon_sym___alignof__] = ACTIONS(2200),
    [anon_sym___alignof] = ACTIONS(2200),
    [anon_sym__alignof] = ACTIONS(2200),
    [anon_sym_alignof] = ACTIONS(2200),
    [anon_sym__Alignof] = ACTIONS(2200),
    [anon_sym_offsetof] = ACTIONS(2200),
    [anon_sym__Generic] = ACTIONS(2200),
    [anon_sym_asm] = ACTIONS(2200),
    [anon_sym___asm__] = ACTIONS(2200),
    [sym_number_literal] = ACTIONS(2202),
    [anon_sym_L_SQUOTE] = ACTIONS(2202),
    [anon_sym_u_SQUOTE] = ACTIONS(2202),
    [anon_sym_U_SQUOTE] = ACTIONS(2202),
    [anon_sym_u8_SQUOTE] = ACTIONS(2202),
    [anon_sym_SQUOTE] = ACTIONS(2202),
    [anon_sym_L_DQUOTE] = ACTIONS(2202),
    [anon_sym_u_DQUOTE] = ACTIONS(2202),
    [anon_sym_U_DQUOTE] = ACTIONS(2202),
    [anon_sym_u8_DQUOTE] = ACTIONS(2202),
    [anon_sym_DQUOTE] = ACTIONS(2202),
    [sym_true] = ACTIONS(2200),
    [sym_false] = ACTIONS(2200),
    [anon_sym_NULL] = ACTIONS(2200),
    [anon_sym_nullptr] = ACTIONS(2200),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2200),
    [anon_sym_decltype] = ACTIONS(2200),
    [anon_sym_final] = ACTIONS(2200),
    [anon_sym_override] = ACTIONS(2200),
    [anon_sym_virtual] = ACTIONS(2200),
    [anon_sym_alignas] = ACTIONS(2200),
    [anon_sym_explicit] = ACTIONS(2200),
    [anon_sym_typename] = ACTIONS(2200),
    [anon_sym_template] = ACTIONS(2200),
    [anon_sym_GT2] = ACTIONS(2202),
    [anon_sym_operator] = ACTIONS(2200),
    [anon_sym_try] = ACTIONS(2200),
    [anon_sym_delete] = ACTIONS(2200),
    [anon_sym_throw] = ACTIONS(2200),
    [anon_sym_namespace] = ACTIONS(2200),
    [anon_sym_using] = ACTIONS(2200),
    [anon_sym_static_assert] = ACTIONS(2200),
    [anon_sym_concept] = ACTIONS(2200),
    [anon_sym_co_return] = ACTIONS(2200),
    [anon_sym_co_yield] = ACTIONS(2200),
    [anon_sym_R_DQUOTE] = ACTIONS(2202),
    [anon_sym_LR_DQUOTE] = ACTIONS(2202),
    [anon_sym_uR_DQUOTE] = ACTIONS(2202),
    [anon_sym_UR_DQUOTE] = ACTIONS(2202),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2202),
    [anon_sym_co_await] = ACTIONS(2200),
    [anon_sym_new] = ACTIONS(2200),
    [anon_sym_requires] = ACTIONS(2200),
    [sym_this] = ACTIONS(2200),
    [anon_sym_discard] = ACTIONS(2200),
    [anon_sym_precise] = ACTIONS(2200),
    [anon_sym_shared] = ACTIONS(2200),
    [anon_sym_groupshared] = ACTIONS(2200),
    [anon_sym_uniform] = ACTIONS(2200),
    [anon_sym_row_major] = ACTIONS(2200),
    [anon_sym_column_major] = ACTIONS(2200),
    [anon_sym_globallycoherent] = ACTIONS(2200),
    [anon_sym_centroid] = ACTIONS(2200),
    [anon_sym_noperspective] = ACTIONS(2200),
    [anon_sym_nointerpolation] = ACTIONS(2200),
    [anon_sym_sample] = ACTIONS(2200),
    [anon_sym_linear] = ACTIONS(2200),
    [anon_sym_snorm] = ACTIONS(2200),
    [anon_sym_unorm] = ACTIONS(2200),
    [anon_sym_point] = ACTIONS(2200),
    [anon_sym_line] = ACTIONS(2200),
    [anon_sym_triangleadj] = ACTIONS(2200),
    [anon_sym_lineadj] = ACTIONS(2200),
    [anon_sym_triangle] = ACTIONS(2200),
    [anon_sym_cbuffer] = ACTIONS(2200),
  },
  [160] = {
    [ts_builtin_sym_end] = ACTIONS(2204),
    [sym_identifier] = ACTIONS(2206),
    [aux_sym_preproc_include_token1] = ACTIONS(2206),
    [aux_sym_preproc_def_token1] = ACTIONS(2206),
    [anon_sym_COMMA] = ACTIONS(2204),
    [anon_sym_RPAREN] = ACTIONS(2204),
    [aux_sym_preproc_if_token1] = ACTIONS(2206),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2206),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2206),
    [sym_preproc_directive] = ACTIONS(2206),
    [anon_sym_LPAREN2] = ACTIONS(2204),
    [anon_sym_BANG] = ACTIONS(2204),
    [anon_sym_TILDE] = ACTIONS(2204),
    [anon_sym_DASH] = ACTIONS(2206),
    [anon_sym_PLUS] = ACTIONS(2206),
    [anon_sym_STAR] = ACTIONS(2204),
    [anon_sym_PIPE_PIPE] = ACTIONS(2204),
    [anon_sym_AMP_AMP] = ACTIONS(2204),
    [anon_sym_AMP] = ACTIONS(2206),
    [anon_sym_SEMI] = ACTIONS(2204),
    [anon_sym___extension__] = ACTIONS(2206),
    [anon_sym_typedef] = ACTIONS(2206),
    [anon_sym_in] = ACTIONS(2206),
    [anon_sym_out] = ACTIONS(2206),
    [anon_sym_inout] = ACTIONS(2206),
    [anon_sym_extern] = ACTIONS(2206),
    [anon_sym___attribute__] = ACTIONS(2206),
    [anon_sym_COLON_COLON] = ACTIONS(2204),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2204),
    [anon_sym___declspec] = ACTIONS(2206),
    [anon_sym___based] = ACTIONS(2206),
    [anon_sym___cdecl] = ACTIONS(2206),
    [anon_sym___clrcall] = ACTIONS(2206),
    [anon_sym___stdcall] = ACTIONS(2206),
    [anon_sym___fastcall] = ACTIONS(2206),
    [anon_sym___thiscall] = ACTIONS(2206),
    [anon_sym___vectorcall] = ACTIONS(2206),
    [anon_sym_LBRACE] = ACTIONS(2204),
    [anon_sym_signed] = ACTIONS(2206),
    [anon_sym_unsigned] = ACTIONS(2206),
    [anon_sym_long] = ACTIONS(2206),
    [anon_sym_short] = ACTIONS(2206),
    [anon_sym_LBRACK] = ACTIONS(2206),
    [anon_sym_static] = ACTIONS(2206),
    [anon_sym_register] = ACTIONS(2206),
    [anon_sym_inline] = ACTIONS(2206),
    [anon_sym___inline] = ACTIONS(2206),
    [anon_sym___inline__] = ACTIONS(2206),
    [anon_sym___forceinline] = ACTIONS(2206),
    [anon_sym_thread_local] = ACTIONS(2206),
    [anon_sym___thread] = ACTIONS(2206),
    [anon_sym_const] = ACTIONS(2206),
    [anon_sym_constexpr] = ACTIONS(2206),
    [anon_sym_volatile] = ACTIONS(2206),
    [anon_sym_restrict] = ACTIONS(2206),
    [anon_sym___restrict__] = ACTIONS(2206),
    [anon_sym__Atomic] = ACTIONS(2206),
    [anon_sym__Noreturn] = ACTIONS(2206),
    [anon_sym_noreturn] = ACTIONS(2206),
    [anon_sym_mutable] = ACTIONS(2206),
    [anon_sym_constinit] = ACTIONS(2206),
    [anon_sym_consteval] = ACTIONS(2206),
    [sym_primitive_type] = ACTIONS(2206),
    [anon_sym_enum] = ACTIONS(2206),
    [anon_sym_class] = ACTIONS(2206),
    [anon_sym_struct] = ACTIONS(2206),
    [anon_sym_union] = ACTIONS(2206),
    [anon_sym_if] = ACTIONS(2206),
    [anon_sym_else] = ACTIONS(2206),
    [anon_sym_switch] = ACTIONS(2206),
    [anon_sym_case] = ACTIONS(2206),
    [anon_sym_default] = ACTIONS(2206),
    [anon_sym_while] = ACTIONS(2206),
    [anon_sym_do] = ACTIONS(2206),
    [anon_sym_for] = ACTIONS(2206),
    [anon_sym_return] = ACTIONS(2206),
    [anon_sym_break] = ACTIONS(2206),
    [anon_sym_continue] = ACTIONS(2206),
    [anon_sym_goto] = ACTIONS(2206),
    [anon_sym___try] = ACTIONS(2206),
    [anon_sym___except] = ACTIONS(2206),
    [anon_sym___finally] = ACTIONS(2206),
    [anon_sym___leave] = ACTIONS(2206),
    [anon_sym_not] = ACTIONS(2206),
    [anon_sym_compl] = ACTIONS(2206),
    [anon_sym_or] = ACTIONS(2206),
    [anon_sym_and] = ACTIONS(2206),
    [anon_sym_DASH_DASH] = ACTIONS(2204),
    [anon_sym_PLUS_PLUS] = ACTIONS(2204),
    [anon_sym_sizeof] = ACTIONS(2206),
    [anon_sym___alignof__] = ACTIONS(2206),
    [anon_sym___alignof] = ACTIONS(2206),
    [anon_sym__alignof] = ACTIONS(2206),
    [anon_sym_alignof] = ACTIONS(2206),
    [anon_sym__Alignof] = ACTIONS(2206),
    [anon_sym_offsetof] = ACTIONS(2206),
    [anon_sym__Generic] = ACTIONS(2206),
    [anon_sym_asm] = ACTIONS(2206),
    [anon_sym___asm__] = ACTIONS(2206),
    [sym_number_literal] = ACTIONS(2204),
    [anon_sym_L_SQUOTE] = ACTIONS(2204),
    [anon_sym_u_SQUOTE] = ACTIONS(2204),
    [anon_sym_U_SQUOTE] = ACTIONS(2204),
    [anon_sym_u8_SQUOTE] = ACTIONS(2204),
    [anon_sym_SQUOTE] = ACTIONS(2204),
    [anon_sym_L_DQUOTE] = ACTIONS(2204),
    [anon_sym_u_DQUOTE] = ACTIONS(2204),
    [anon_sym_U_DQUOTE] = ACTIONS(2204),
    [anon_sym_u8_DQUOTE] = ACTIONS(2204),
    [anon_sym_DQUOTE] = ACTIONS(2204),
    [sym_true] = ACTIONS(2206),
    [sym_false] = ACTIONS(2206),
    [anon_sym_NULL] = ACTIONS(2206),
    [anon_sym_nullptr] = ACTIONS(2206),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2206),
    [anon_sym_decltype] = ACTIONS(2206),
    [anon_sym_final] = ACTIONS(2206),
    [anon_sym_override] = ACTIONS(2206),
    [anon_sym_virtual] = ACTIONS(2206),
    [anon_sym_alignas] = ACTIONS(2206),
    [anon_sym_explicit] = ACTIONS(2206),
    [anon_sym_typename] = ACTIONS(2206),
    [anon_sym_template] = ACTIONS(2206),
    [anon_sym_operator] = ACTIONS(2206),
    [anon_sym_try] = ACTIONS(2206),
    [anon_sym_delete] = ACTIONS(2206),
    [anon_sym_throw] = ACTIONS(2206),
    [anon_sym_namespace] = ACTIONS(2206),
    [anon_sym_using] = ACTIONS(2206),
    [anon_sym_static_assert] = ACTIONS(2206),
    [anon_sym_concept] = ACTIONS(2206),
    [anon_sym_co_return] = ACTIONS(2206),
    [anon_sym_co_yield] = ACTIONS(2206),
    [anon_sym_catch] = ACTIONS(2206),
    [anon_sym_R_DQUOTE] = ACTIONS(2204),
    [anon_sym_LR_DQUOTE] = ACTIONS(2204),
    [anon_sym_uR_DQUOTE] = ACTIONS(2204),
    [anon_sym_UR_DQUOTE] = ACTIONS(2204),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2204),
    [anon_sym_co_await] = ACTIONS(2206),
    [anon_sym_new] = ACTIONS(2206),
    [anon_sym_requires] = ACTIONS(2206),
    [sym_this] = ACTIONS(2206),
    [anon_sym_discard] = ACTIONS(2206),
    [anon_sym_precise] = ACTIONS(2206),
    [anon_sym_shared] = ACTIONS(2206),
    [anon_sym_groupshared] = ACTIONS(2206),
    [anon_sym_uniform] = ACTIONS(2206),
    [anon_sym_row_major] = ACTIONS(2206),
    [anon_sym_column_major] = ACTIONS(2206),
    [anon_sym_globallycoherent] = ACTIONS(2206),
    [anon_sym_centroid] = ACTIONS(2206),
    [anon_sym_noperspective] = ACTIONS(2206),
    [anon_sym_nointerpolation] = ACTIONS(2206),
    [anon_sym_sample] = ACTIONS(2206),
    [anon_sym_linear] = ACTIONS(2206),
    [anon_sym_snorm] = ACTIONS(2206),
    [anon_sym_unorm] = ACTIONS(2206),
    [anon_sym_point] = ACTIONS(2206),
    [anon_sym_line] = ACTIONS(2206),
    [anon_sym_triangleadj] = ACTIONS(2206),
    [anon_sym_lineadj] = ACTIONS(2206),
    [anon_sym_triangle] = ACTIONS(2206),
    [anon_sym_cbuffer] = ACTIONS(2206),
  },
  [161] = {
    [sym_identifier] = ACTIONS(2208),
    [aux_sym_preproc_include_token1] = ACTIONS(2208),
    [aux_sym_preproc_def_token1] = ACTIONS(2208),
    [anon_sym_COMMA] = ACTIONS(2210),
    [anon_sym_RPAREN] = ACTIONS(2210),
    [aux_sym_preproc_if_token1] = ACTIONS(2208),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2208),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2208),
    [sym_preproc_directive] = ACTIONS(2208),
    [anon_sym_LPAREN2] = ACTIONS(2210),
    [anon_sym_BANG] = ACTIONS(2210),
    [anon_sym_TILDE] = ACTIONS(2210),
    [anon_sym_DASH] = ACTIONS(2208),
    [anon_sym_PLUS] = ACTIONS(2208),
    [anon_sym_STAR] = ACTIONS(2210),
    [anon_sym_PIPE_PIPE] = ACTIONS(2210),
    [anon_sym_AMP_AMP] = ACTIONS(2210),
    [anon_sym_AMP] = ACTIONS(2208),
    [anon_sym_COLON] = ACTIONS(2208),
    [anon_sym_SEMI] = ACTIONS(2210),
    [anon_sym___extension__] = ACTIONS(2208),
    [anon_sym_typedef] = ACTIONS(2208),
    [anon_sym_in] = ACTIONS(2208),
    [anon_sym_out] = ACTIONS(2208),
    [anon_sym_inout] = ACTIONS(2208),
    [anon_sym_extern] = ACTIONS(2208),
    [anon_sym___attribute__] = ACTIONS(2208),
    [anon_sym_COLON_COLON] = ACTIONS(2210),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2210),
    [anon_sym___declspec] = ACTIONS(2208),
    [anon_sym___based] = ACTIONS(2208),
    [anon_sym___cdecl] = ACTIONS(2208),
    [anon_sym___clrcall] = ACTIONS(2208),
    [anon_sym___stdcall] = ACTIONS(2208),
    [anon_sym___fastcall] = ACTIONS(2208),
    [anon_sym___thiscall] = ACTIONS(2208),
    [anon_sym___vectorcall] = ACTIONS(2208),
    [anon_sym_LBRACE] = ACTIONS(2210),
    [anon_sym_RBRACE] = ACTIONS(2210),
    [anon_sym_signed] = ACTIONS(2208),
    [anon_sym_unsigned] = ACTIONS(2208),
    [anon_sym_long] = ACTIONS(2208),
    [anon_sym_short] = ACTIONS(2208),
    [anon_sym_LBRACK] = ACTIONS(2208),
    [anon_sym_EQ] = ACTIONS(2210),
    [anon_sym_static] = ACTIONS(2208),
    [anon_sym_register] = ACTIONS(2208),
    [anon_sym_inline] = ACTIONS(2208),
    [anon_sym___inline] = ACTIONS(2208),
    [anon_sym___inline__] = ACTIONS(2208),
    [anon_sym___forceinline] = ACTIONS(2208),
    [anon_sym_thread_local] = ACTIONS(2208),
    [anon_sym___thread] = ACTIONS(2208),
    [anon_sym_const] = ACTIONS(2208),
    [anon_sym_constexpr] = ACTIONS(2208),
    [anon_sym_volatile] = ACTIONS(2208),
    [anon_sym_restrict] = ACTIONS(2208),
    [anon_sym___restrict__] = ACTIONS(2208),
    [anon_sym__Atomic] = ACTIONS(2208),
    [anon_sym__Noreturn] = ACTIONS(2208),
    [anon_sym_noreturn] = ACTIONS(2208),
    [anon_sym_mutable] = ACTIONS(2208),
    [anon_sym_constinit] = ACTIONS(2208),
    [anon_sym_consteval] = ACTIONS(2208),
    [sym_primitive_type] = ACTIONS(2208),
    [anon_sym_enum] = ACTIONS(2208),
    [anon_sym_class] = ACTIONS(2208),
    [anon_sym_struct] = ACTIONS(2208),
    [anon_sym_union] = ACTIONS(2208),
    [anon_sym_if] = ACTIONS(2208),
    [anon_sym_else] = ACTIONS(2208),
    [anon_sym_switch] = ACTIONS(2208),
    [anon_sym_case] = ACTIONS(2208),
    [anon_sym_default] = ACTIONS(2208),
    [anon_sym_while] = ACTIONS(2208),
    [anon_sym_do] = ACTIONS(2208),
    [anon_sym_for] = ACTIONS(2208),
    [anon_sym_return] = ACTIONS(2208),
    [anon_sym_break] = ACTIONS(2208),
    [anon_sym_continue] = ACTIONS(2208),
    [anon_sym_goto] = ACTIONS(2208),
    [anon_sym___try] = ACTIONS(2208),
    [anon_sym___leave] = ACTIONS(2208),
    [anon_sym_not] = ACTIONS(2208),
    [anon_sym_compl] = ACTIONS(2208),
    [anon_sym_or] = ACTIONS(2208),
    [anon_sym_and] = ACTIONS(2208),
    [anon_sym_DASH_DASH] = ACTIONS(2210),
    [anon_sym_PLUS_PLUS] = ACTIONS(2210),
    [anon_sym_sizeof] = ACTIONS(2208),
    [anon_sym___alignof__] = ACTIONS(2208),
    [anon_sym___alignof] = ACTIONS(2208),
    [anon_sym__alignof] = ACTIONS(2208),
    [anon_sym_alignof] = ACTIONS(2208),
    [anon_sym__Alignof] = ACTIONS(2208),
    [anon_sym_offsetof] = ACTIONS(2208),
    [anon_sym__Generic] = ACTIONS(2208),
    [anon_sym_asm] = ACTIONS(2208),
    [anon_sym___asm__] = ACTIONS(2208),
    [sym_number_literal] = ACTIONS(2210),
    [anon_sym_L_SQUOTE] = ACTIONS(2210),
    [anon_sym_u_SQUOTE] = ACTIONS(2210),
    [anon_sym_U_SQUOTE] = ACTIONS(2210),
    [anon_sym_u8_SQUOTE] = ACTIONS(2210),
    [anon_sym_SQUOTE] = ACTIONS(2210),
    [anon_sym_L_DQUOTE] = ACTIONS(2210),
    [anon_sym_u_DQUOTE] = ACTIONS(2210),
    [anon_sym_U_DQUOTE] = ACTIONS(2210),
    [anon_sym_u8_DQUOTE] = ACTIONS(2210),
    [anon_sym_DQUOTE] = ACTIONS(2210),
    [sym_true] = ACTIONS(2208),
    [sym_false] = ACTIONS(2208),
    [anon_sym_NULL] = ACTIONS(2208),
    [anon_sym_nullptr] = ACTIONS(2208),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2208),
    [anon_sym_decltype] = ACTIONS(2208),
    [anon_sym_final] = ACTIONS(2208),
    [anon_sym_override] = ACTIONS(2208),
    [anon_sym_virtual] = ACTIONS(2208),
    [anon_sym_alignas] = ACTIONS(2208),
    [anon_sym_explicit] = ACTIONS(2208),
    [anon_sym_typename] = ACTIONS(2208),
    [anon_sym_template] = ACTIONS(2208),
    [anon_sym_GT2] = ACTIONS(2210),
    [anon_sym_operator] = ACTIONS(2208),
    [anon_sym_try] = ACTIONS(2208),
    [anon_sym_delete] = ACTIONS(2208),
    [anon_sym_throw] = ACTIONS(2208),
    [anon_sym_namespace] = ACTIONS(2208),
    [anon_sym_using] = ACTIONS(2208),
    [anon_sym_static_assert] = ACTIONS(2208),
    [anon_sym_concept] = ACTIONS(2208),
    [anon_sym_co_return] = ACTIONS(2208),
    [anon_sym_co_yield] = ACTIONS(2208),
    [anon_sym_R_DQUOTE] = ACTIONS(2210),
    [anon_sym_LR_DQUOTE] = ACTIONS(2210),
    [anon_sym_uR_DQUOTE] = ACTIONS(2210),
    [anon_sym_UR_DQUOTE] = ACTIONS(2210),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2210),
    [anon_sym_co_await] = ACTIONS(2208),
    [anon_sym_new] = ACTIONS(2208),
    [anon_sym_requires] = ACTIONS(2208),
    [sym_this] = ACTIONS(2208),
    [anon_sym_discard] = ACTIONS(2208),
    [anon_sym_precise] = ACTIONS(2208),
    [anon_sym_shared] = ACTIONS(2208),
    [anon_sym_groupshared] = ACTIONS(2208),
    [anon_sym_uniform] = ACTIONS(2208),
    [anon_sym_row_major] = ACTIONS(2208),
    [anon_sym_column_major] = ACTIONS(2208),
    [anon_sym_globallycoherent] = ACTIONS(2208),
    [anon_sym_centroid] = ACTIONS(2208),
    [anon_sym_noperspective] = ACTIONS(2208),
    [anon_sym_nointerpolation] = ACTIONS(2208),
    [anon_sym_sample] = ACTIONS(2208),
    [anon_sym_linear] = ACTIONS(2208),
    [anon_sym_snorm] = ACTIONS(2208),
    [anon_sym_unorm] = ACTIONS(2208),
    [anon_sym_point] = ACTIONS(2208),
    [anon_sym_line] = ACTIONS(2208),
    [anon_sym_triangleadj] = ACTIONS(2208),
    [anon_sym_lineadj] = ACTIONS(2208),
    [anon_sym_triangle] = ACTIONS(2208),
    [anon_sym_cbuffer] = ACTIONS(2208),
  },
  [162] = {
    [sym_identifier] = ACTIONS(2212),
    [aux_sym_preproc_include_token1] = ACTIONS(2212),
    [aux_sym_preproc_def_token1] = ACTIONS(2212),
    [anon_sym_COMMA] = ACTIONS(2214),
    [anon_sym_RPAREN] = ACTIONS(2214),
    [aux_sym_preproc_if_token1] = ACTIONS(2212),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2212),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2212),
    [sym_preproc_directive] = ACTIONS(2212),
    [anon_sym_LPAREN2] = ACTIONS(2214),
    [anon_sym_BANG] = ACTIONS(2214),
    [anon_sym_TILDE] = ACTIONS(2214),
    [anon_sym_DASH] = ACTIONS(2212),
    [anon_sym_PLUS] = ACTIONS(2212),
    [anon_sym_STAR] = ACTIONS(2214),
    [anon_sym_PIPE_PIPE] = ACTIONS(2214),
    [anon_sym_AMP_AMP] = ACTIONS(2214),
    [anon_sym_AMP] = ACTIONS(2212),
    [anon_sym_COLON] = ACTIONS(2212),
    [anon_sym_SEMI] = ACTIONS(2214),
    [anon_sym___extension__] = ACTIONS(2212),
    [anon_sym_typedef] = ACTIONS(2212),
    [anon_sym_in] = ACTIONS(2212),
    [anon_sym_out] = ACTIONS(2212),
    [anon_sym_inout] = ACTIONS(2212),
    [anon_sym_extern] = ACTIONS(2212),
    [anon_sym___attribute__] = ACTIONS(2212),
    [anon_sym_COLON_COLON] = ACTIONS(2214),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2214),
    [anon_sym___declspec] = ACTIONS(2212),
    [anon_sym___based] = ACTIONS(2212),
    [anon_sym___cdecl] = ACTIONS(2212),
    [anon_sym___clrcall] = ACTIONS(2212),
    [anon_sym___stdcall] = ACTIONS(2212),
    [anon_sym___fastcall] = ACTIONS(2212),
    [anon_sym___thiscall] = ACTIONS(2212),
    [anon_sym___vectorcall] = ACTIONS(2212),
    [anon_sym_LBRACE] = ACTIONS(2214),
    [anon_sym_RBRACE] = ACTIONS(2214),
    [anon_sym_signed] = ACTIONS(2212),
    [anon_sym_unsigned] = ACTIONS(2212),
    [anon_sym_long] = ACTIONS(2212),
    [anon_sym_short] = ACTIONS(2212),
    [anon_sym_LBRACK] = ACTIONS(2212),
    [anon_sym_EQ] = ACTIONS(2214),
    [anon_sym_static] = ACTIONS(2212),
    [anon_sym_register] = ACTIONS(2212),
    [anon_sym_inline] = ACTIONS(2212),
    [anon_sym___inline] = ACTIONS(2212),
    [anon_sym___inline__] = ACTIONS(2212),
    [anon_sym___forceinline] = ACTIONS(2212),
    [anon_sym_thread_local] = ACTIONS(2212),
    [anon_sym___thread] = ACTIONS(2212),
    [anon_sym_const] = ACTIONS(2212),
    [anon_sym_constexpr] = ACTIONS(2212),
    [anon_sym_volatile] = ACTIONS(2212),
    [anon_sym_restrict] = ACTIONS(2212),
    [anon_sym___restrict__] = ACTIONS(2212),
    [anon_sym__Atomic] = ACTIONS(2212),
    [anon_sym__Noreturn] = ACTIONS(2212),
    [anon_sym_noreturn] = ACTIONS(2212),
    [anon_sym_mutable] = ACTIONS(2212),
    [anon_sym_constinit] = ACTIONS(2212),
    [anon_sym_consteval] = ACTIONS(2212),
    [sym_primitive_type] = ACTIONS(2212),
    [anon_sym_enum] = ACTIONS(2212),
    [anon_sym_class] = ACTIONS(2212),
    [anon_sym_struct] = ACTIONS(2212),
    [anon_sym_union] = ACTIONS(2212),
    [anon_sym_if] = ACTIONS(2212),
    [anon_sym_else] = ACTIONS(2212),
    [anon_sym_switch] = ACTIONS(2212),
    [anon_sym_case] = ACTIONS(2212),
    [anon_sym_default] = ACTIONS(2212),
    [anon_sym_while] = ACTIONS(2212),
    [anon_sym_do] = ACTIONS(2212),
    [anon_sym_for] = ACTIONS(2212),
    [anon_sym_return] = ACTIONS(2212),
    [anon_sym_break] = ACTIONS(2212),
    [anon_sym_continue] = ACTIONS(2212),
    [anon_sym_goto] = ACTIONS(2212),
    [anon_sym___try] = ACTIONS(2212),
    [anon_sym___leave] = ACTIONS(2212),
    [anon_sym_not] = ACTIONS(2212),
    [anon_sym_compl] = ACTIONS(2212),
    [anon_sym_or] = ACTIONS(2212),
    [anon_sym_and] = ACTIONS(2212),
    [anon_sym_DASH_DASH] = ACTIONS(2214),
    [anon_sym_PLUS_PLUS] = ACTIONS(2214),
    [anon_sym_sizeof] = ACTIONS(2212),
    [anon_sym___alignof__] = ACTIONS(2212),
    [anon_sym___alignof] = ACTIONS(2212),
    [anon_sym__alignof] = ACTIONS(2212),
    [anon_sym_alignof] = ACTIONS(2212),
    [anon_sym__Alignof] = ACTIONS(2212),
    [anon_sym_offsetof] = ACTIONS(2212),
    [anon_sym__Generic] = ACTIONS(2212),
    [anon_sym_asm] = ACTIONS(2212),
    [anon_sym___asm__] = ACTIONS(2212),
    [sym_number_literal] = ACTIONS(2214),
    [anon_sym_L_SQUOTE] = ACTIONS(2214),
    [anon_sym_u_SQUOTE] = ACTIONS(2214),
    [anon_sym_U_SQUOTE] = ACTIONS(2214),
    [anon_sym_u8_SQUOTE] = ACTIONS(2214),
    [anon_sym_SQUOTE] = ACTIONS(2214),
    [anon_sym_L_DQUOTE] = ACTIONS(2214),
    [anon_sym_u_DQUOTE] = ACTIONS(2214),
    [anon_sym_U_DQUOTE] = ACTIONS(2214),
    [anon_sym_u8_DQUOTE] = ACTIONS(2214),
    [anon_sym_DQUOTE] = ACTIONS(2214),
    [sym_true] = ACTIONS(2212),
    [sym_false] = ACTIONS(2212),
    [anon_sym_NULL] = ACTIONS(2212),
    [anon_sym_nullptr] = ACTIONS(2212),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2212),
    [anon_sym_decltype] = ACTIONS(2212),
    [anon_sym_final] = ACTIONS(2212),
    [anon_sym_override] = ACTIONS(2212),
    [anon_sym_virtual] = ACTIONS(2212),
    [anon_sym_alignas] = ACTIONS(2212),
    [anon_sym_explicit] = ACTIONS(2212),
    [anon_sym_typename] = ACTIONS(2212),
    [anon_sym_template] = ACTIONS(2212),
    [anon_sym_GT2] = ACTIONS(2214),
    [anon_sym_operator] = ACTIONS(2212),
    [anon_sym_try] = ACTIONS(2212),
    [anon_sym_delete] = ACTIONS(2212),
    [anon_sym_throw] = ACTIONS(2212),
    [anon_sym_namespace] = ACTIONS(2212),
    [anon_sym_using] = ACTIONS(2212),
    [anon_sym_static_assert] = ACTIONS(2212),
    [anon_sym_concept] = ACTIONS(2212),
    [anon_sym_co_return] = ACTIONS(2212),
    [anon_sym_co_yield] = ACTIONS(2212),
    [anon_sym_R_DQUOTE] = ACTIONS(2214),
    [anon_sym_LR_DQUOTE] = ACTIONS(2214),
    [anon_sym_uR_DQUOTE] = ACTIONS(2214),
    [anon_sym_UR_DQUOTE] = ACTIONS(2214),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2214),
    [anon_sym_co_await] = ACTIONS(2212),
    [anon_sym_new] = ACTIONS(2212),
    [anon_sym_requires] = ACTIONS(2212),
    [sym_this] = ACTIONS(2212),
    [anon_sym_discard] = ACTIONS(2212),
    [anon_sym_precise] = ACTIONS(2212),
    [anon_sym_shared] = ACTIONS(2212),
    [anon_sym_groupshared] = ACTIONS(2212),
    [anon_sym_uniform] = ACTIONS(2212),
    [anon_sym_row_major] = ACTIONS(2212),
    [anon_sym_column_major] = ACTIONS(2212),
    [anon_sym_globallycoherent] = ACTIONS(2212),
    [anon_sym_centroid] = ACTIONS(2212),
    [anon_sym_noperspective] = ACTIONS(2212),
    [anon_sym_nointerpolation] = ACTIONS(2212),
    [anon_sym_sample] = ACTIONS(2212),
    [anon_sym_linear] = ACTIONS(2212),
    [anon_sym_snorm] = ACTIONS(2212),
    [anon_sym_unorm] = ACTIONS(2212),
    [anon_sym_point] = ACTIONS(2212),
    [anon_sym_line] = ACTIONS(2212),
    [anon_sym_triangleadj] = ACTIONS(2212),
    [anon_sym_lineadj] = ACTIONS(2212),
    [anon_sym_triangle] = ACTIONS(2212),
    [anon_sym_cbuffer] = ACTIONS(2212),
  },
  [163] = {
    [sym_identifier] = ACTIONS(2216),
    [aux_sym_preproc_include_token1] = ACTIONS(2216),
    [aux_sym_preproc_def_token1] = ACTIONS(2216),
    [anon_sym_COMMA] = ACTIONS(2218),
    [anon_sym_RPAREN] = ACTIONS(2218),
    [aux_sym_preproc_if_token1] = ACTIONS(2216),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2216),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2216),
    [sym_preproc_directive] = ACTIONS(2216),
    [anon_sym_LPAREN2] = ACTIONS(2218),
    [anon_sym_BANG] = ACTIONS(2218),
    [anon_sym_TILDE] = ACTIONS(2218),
    [anon_sym_DASH] = ACTIONS(2216),
    [anon_sym_PLUS] = ACTIONS(2216),
    [anon_sym_STAR] = ACTIONS(2218),
    [anon_sym_PIPE_PIPE] = ACTIONS(2218),
    [anon_sym_AMP_AMP] = ACTIONS(2218),
    [anon_sym_AMP] = ACTIONS(2216),
    [anon_sym_COLON] = ACTIONS(2216),
    [anon_sym_SEMI] = ACTIONS(2218),
    [anon_sym___extension__] = ACTIONS(2216),
    [anon_sym_typedef] = ACTIONS(2216),
    [anon_sym_in] = ACTIONS(2216),
    [anon_sym_out] = ACTIONS(2216),
    [anon_sym_inout] = ACTIONS(2216),
    [anon_sym_extern] = ACTIONS(2216),
    [anon_sym___attribute__] = ACTIONS(2216),
    [anon_sym_COLON_COLON] = ACTIONS(2218),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2218),
    [anon_sym___declspec] = ACTIONS(2216),
    [anon_sym___based] = ACTIONS(2216),
    [anon_sym___cdecl] = ACTIONS(2216),
    [anon_sym___clrcall] = ACTIONS(2216),
    [anon_sym___stdcall] = ACTIONS(2216),
    [anon_sym___fastcall] = ACTIONS(2216),
    [anon_sym___thiscall] = ACTIONS(2216),
    [anon_sym___vectorcall] = ACTIONS(2216),
    [anon_sym_LBRACE] = ACTIONS(2218),
    [anon_sym_RBRACE] = ACTIONS(2218),
    [anon_sym_signed] = ACTIONS(2216),
    [anon_sym_unsigned] = ACTIONS(2216),
    [anon_sym_long] = ACTIONS(2216),
    [anon_sym_short] = ACTIONS(2216),
    [anon_sym_LBRACK] = ACTIONS(2216),
    [anon_sym_EQ] = ACTIONS(2218),
    [anon_sym_static] = ACTIONS(2216),
    [anon_sym_register] = ACTIONS(2216),
    [anon_sym_inline] = ACTIONS(2216),
    [anon_sym___inline] = ACTIONS(2216),
    [anon_sym___inline__] = ACTIONS(2216),
    [anon_sym___forceinline] = ACTIONS(2216),
    [anon_sym_thread_local] = ACTIONS(2216),
    [anon_sym___thread] = ACTIONS(2216),
    [anon_sym_const] = ACTIONS(2216),
    [anon_sym_constexpr] = ACTIONS(2216),
    [anon_sym_volatile] = ACTIONS(2216),
    [anon_sym_restrict] = ACTIONS(2216),
    [anon_sym___restrict__] = ACTIONS(2216),
    [anon_sym__Atomic] = ACTIONS(2216),
    [anon_sym__Noreturn] = ACTIONS(2216),
    [anon_sym_noreturn] = ACTIONS(2216),
    [anon_sym_mutable] = ACTIONS(2216),
    [anon_sym_constinit] = ACTIONS(2216),
    [anon_sym_consteval] = ACTIONS(2216),
    [sym_primitive_type] = ACTIONS(2216),
    [anon_sym_enum] = ACTIONS(2216),
    [anon_sym_class] = ACTIONS(2216),
    [anon_sym_struct] = ACTIONS(2216),
    [anon_sym_union] = ACTIONS(2216),
    [anon_sym_if] = ACTIONS(2216),
    [anon_sym_else] = ACTIONS(2216),
    [anon_sym_switch] = ACTIONS(2216),
    [anon_sym_case] = ACTIONS(2216),
    [anon_sym_default] = ACTIONS(2216),
    [anon_sym_while] = ACTIONS(2216),
    [anon_sym_do] = ACTIONS(2216),
    [anon_sym_for] = ACTIONS(2216),
    [anon_sym_return] = ACTIONS(2216),
    [anon_sym_break] = ACTIONS(2216),
    [anon_sym_continue] = ACTIONS(2216),
    [anon_sym_goto] = ACTIONS(2216),
    [anon_sym___try] = ACTIONS(2216),
    [anon_sym___leave] = ACTIONS(2216),
    [anon_sym_not] = ACTIONS(2216),
    [anon_sym_compl] = ACTIONS(2216),
    [anon_sym_or] = ACTIONS(2216),
    [anon_sym_and] = ACTIONS(2216),
    [anon_sym_DASH_DASH] = ACTIONS(2218),
    [anon_sym_PLUS_PLUS] = ACTIONS(2218),
    [anon_sym_sizeof] = ACTIONS(2216),
    [anon_sym___alignof__] = ACTIONS(2216),
    [anon_sym___alignof] = ACTIONS(2216),
    [anon_sym__alignof] = ACTIONS(2216),
    [anon_sym_alignof] = ACTIONS(2216),
    [anon_sym__Alignof] = ACTIONS(2216),
    [anon_sym_offsetof] = ACTIONS(2216),
    [anon_sym__Generic] = ACTIONS(2216),
    [anon_sym_asm] = ACTIONS(2216),
    [anon_sym___asm__] = ACTIONS(2216),
    [sym_number_literal] = ACTIONS(2218),
    [anon_sym_L_SQUOTE] = ACTIONS(2218),
    [anon_sym_u_SQUOTE] = ACTIONS(2218),
    [anon_sym_U_SQUOTE] = ACTIONS(2218),
    [anon_sym_u8_SQUOTE] = ACTIONS(2218),
    [anon_sym_SQUOTE] = ACTIONS(2218),
    [anon_sym_L_DQUOTE] = ACTIONS(2218),
    [anon_sym_u_DQUOTE] = ACTIONS(2218),
    [anon_sym_U_DQUOTE] = ACTIONS(2218),
    [anon_sym_u8_DQUOTE] = ACTIONS(2218),
    [anon_sym_DQUOTE] = ACTIONS(2218),
    [sym_true] = ACTIONS(2216),
    [sym_false] = ACTIONS(2216),
    [anon_sym_NULL] = ACTIONS(2216),
    [anon_sym_nullptr] = ACTIONS(2216),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2216),
    [anon_sym_decltype] = ACTIONS(2216),
    [anon_sym_final] = ACTIONS(2216),
    [anon_sym_override] = ACTIONS(2216),
    [anon_sym_virtual] = ACTIONS(2216),
    [anon_sym_alignas] = ACTIONS(2216),
    [anon_sym_explicit] = ACTIONS(2216),
    [anon_sym_typename] = ACTIONS(2216),
    [anon_sym_template] = ACTIONS(2216),
    [anon_sym_GT2] = ACTIONS(2218),
    [anon_sym_operator] = ACTIONS(2216),
    [anon_sym_try] = ACTIONS(2216),
    [anon_sym_delete] = ACTIONS(2216),
    [anon_sym_throw] = ACTIONS(2216),
    [anon_sym_namespace] = ACTIONS(2216),
    [anon_sym_using] = ACTIONS(2216),
    [anon_sym_static_assert] = ACTIONS(2216),
    [anon_sym_concept] = ACTIONS(2216),
    [anon_sym_co_return] = ACTIONS(2216),
    [anon_sym_co_yield] = ACTIONS(2216),
    [anon_sym_R_DQUOTE] = ACTIONS(2218),
    [anon_sym_LR_DQUOTE] = ACTIONS(2218),
    [anon_sym_uR_DQUOTE] = ACTIONS(2218),
    [anon_sym_UR_DQUOTE] = ACTIONS(2218),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2218),
    [anon_sym_co_await] = ACTIONS(2216),
    [anon_sym_new] = ACTIONS(2216),
    [anon_sym_requires] = ACTIONS(2216),
    [sym_this] = ACTIONS(2216),
    [anon_sym_discard] = ACTIONS(2216),
    [anon_sym_precise] = ACTIONS(2216),
    [anon_sym_shared] = ACTIONS(2216),
    [anon_sym_groupshared] = ACTIONS(2216),
    [anon_sym_uniform] = ACTIONS(2216),
    [anon_sym_row_major] = ACTIONS(2216),
    [anon_sym_column_major] = ACTIONS(2216),
    [anon_sym_globallycoherent] = ACTIONS(2216),
    [anon_sym_centroid] = ACTIONS(2216),
    [anon_sym_noperspective] = ACTIONS(2216),
    [anon_sym_nointerpolation] = ACTIONS(2216),
    [anon_sym_sample] = ACTIONS(2216),
    [anon_sym_linear] = ACTIONS(2216),
    [anon_sym_snorm] = ACTIONS(2216),
    [anon_sym_unorm] = ACTIONS(2216),
    [anon_sym_point] = ACTIONS(2216),
    [anon_sym_line] = ACTIONS(2216),
    [anon_sym_triangleadj] = ACTIONS(2216),
    [anon_sym_lineadj] = ACTIONS(2216),
    [anon_sym_triangle] = ACTIONS(2216),
    [anon_sym_cbuffer] = ACTIONS(2216),
  },
  [164] = {
    [sym_field_declaration_list] = STATE(336),
    [sym_virtual_specifier] = STATE(8379),
    [sym_base_class_clause] = STATE(9287),
    [sym_identifier] = ACTIONS(2220),
    [aux_sym_preproc_include_token1] = ACTIONS(2220),
    [aux_sym_preproc_def_token1] = ACTIONS(2220),
    [aux_sym_preproc_if_token1] = ACTIONS(2220),
    [aux_sym_preproc_if_token2] = ACTIONS(2220),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2220),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2220),
    [aux_sym_preproc_else_token1] = ACTIONS(2220),
    [aux_sym_preproc_elif_token1] = ACTIONS(2220),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2220),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2220),
    [sym_preproc_directive] = ACTIONS(2220),
    [anon_sym_LPAREN2] = ACTIONS(2222),
    [anon_sym_BANG] = ACTIONS(2222),
    [anon_sym_TILDE] = ACTIONS(2222),
    [anon_sym_DASH] = ACTIONS(2220),
    [anon_sym_PLUS] = ACTIONS(2220),
    [anon_sym_STAR] = ACTIONS(2222),
    [anon_sym_AMP_AMP] = ACTIONS(2222),
    [anon_sym_AMP] = ACTIONS(2220),
    [anon_sym_COLON] = ACTIONS(2194),
    [anon_sym_SEMI] = ACTIONS(2222),
    [anon_sym___extension__] = ACTIONS(2220),
    [anon_sym_typedef] = ACTIONS(2220),
    [anon_sym_in] = ACTIONS(2220),
    [anon_sym_out] = ACTIONS(2220),
    [anon_sym_inout] = ACTIONS(2220),
    [anon_sym_extern] = ACTIONS(2220),
    [anon_sym___attribute__] = ACTIONS(2220),
    [anon_sym_COLON_COLON] = ACTIONS(2222),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2222),
    [anon_sym___declspec] = ACTIONS(2220),
    [anon_sym___based] = ACTIONS(2220),
    [anon_sym___cdecl] = ACTIONS(2220),
    [anon_sym___clrcall] = ACTIONS(2220),
    [anon_sym___stdcall] = ACTIONS(2220),
    [anon_sym___fastcall] = ACTIONS(2220),
    [anon_sym___thiscall] = ACTIONS(2220),
    [anon_sym___vectorcall] = ACTIONS(2220),
    [anon_sym_LBRACE] = ACTIONS(2196),
    [anon_sym_signed] = ACTIONS(2220),
    [anon_sym_unsigned] = ACTIONS(2220),
    [anon_sym_long] = ACTIONS(2220),
    [anon_sym_short] = ACTIONS(2220),
    [anon_sym_LBRACK] = ACTIONS(2220),
    [anon_sym_static] = ACTIONS(2220),
    [anon_sym_register] = ACTIONS(2220),
    [anon_sym_inline] = ACTIONS(2220),
    [anon_sym___inline] = ACTIONS(2220),
    [anon_sym___inline__] = ACTIONS(2220),
    [anon_sym___forceinline] = ACTIONS(2220),
    [anon_sym_thread_local] = ACTIONS(2220),
    [anon_sym___thread] = ACTIONS(2220),
    [anon_sym_const] = ACTIONS(2220),
    [anon_sym_constexpr] = ACTIONS(2220),
    [anon_sym_volatile] = ACTIONS(2220),
    [anon_sym_restrict] = ACTIONS(2220),
    [anon_sym___restrict__] = ACTIONS(2220),
    [anon_sym__Atomic] = ACTIONS(2220),
    [anon_sym__Noreturn] = ACTIONS(2220),
    [anon_sym_noreturn] = ACTIONS(2220),
    [anon_sym_mutable] = ACTIONS(2220),
    [anon_sym_constinit] = ACTIONS(2220),
    [anon_sym_consteval] = ACTIONS(2220),
    [sym_primitive_type] = ACTIONS(2220),
    [anon_sym_enum] = ACTIONS(2220),
    [anon_sym_class] = ACTIONS(2220),
    [anon_sym_struct] = ACTIONS(2220),
    [anon_sym_union] = ACTIONS(2220),
    [anon_sym_if] = ACTIONS(2220),
    [anon_sym_else] = ACTIONS(2220),
    [anon_sym_switch] = ACTIONS(2220),
    [anon_sym_case] = ACTIONS(2220),
    [anon_sym_default] = ACTIONS(2220),
    [anon_sym_while] = ACTIONS(2220),
    [anon_sym_do] = ACTIONS(2220),
    [anon_sym_for] = ACTIONS(2220),
    [anon_sym_return] = ACTIONS(2220),
    [anon_sym_break] = ACTIONS(2220),
    [anon_sym_continue] = ACTIONS(2220),
    [anon_sym_goto] = ACTIONS(2220),
    [anon_sym___try] = ACTIONS(2220),
    [anon_sym___leave] = ACTIONS(2220),
    [anon_sym_not] = ACTIONS(2220),
    [anon_sym_compl] = ACTIONS(2220),
    [anon_sym_DASH_DASH] = ACTIONS(2222),
    [anon_sym_PLUS_PLUS] = ACTIONS(2222),
    [anon_sym_sizeof] = ACTIONS(2220),
    [anon_sym___alignof__] = ACTIONS(2220),
    [anon_sym___alignof] = ACTIONS(2220),
    [anon_sym__alignof] = ACTIONS(2220),
    [anon_sym_alignof] = ACTIONS(2220),
    [anon_sym__Alignof] = ACTIONS(2220),
    [anon_sym_offsetof] = ACTIONS(2220),
    [anon_sym__Generic] = ACTIONS(2220),
    [anon_sym_asm] = ACTIONS(2220),
    [anon_sym___asm__] = ACTIONS(2220),
    [sym_number_literal] = ACTIONS(2222),
    [anon_sym_L_SQUOTE] = ACTIONS(2222),
    [anon_sym_u_SQUOTE] = ACTIONS(2222),
    [anon_sym_U_SQUOTE] = ACTIONS(2222),
    [anon_sym_u8_SQUOTE] = ACTIONS(2222),
    [anon_sym_SQUOTE] = ACTIONS(2222),
    [anon_sym_L_DQUOTE] = ACTIONS(2222),
    [anon_sym_u_DQUOTE] = ACTIONS(2222),
    [anon_sym_U_DQUOTE] = ACTIONS(2222),
    [anon_sym_u8_DQUOTE] = ACTIONS(2222),
    [anon_sym_DQUOTE] = ACTIONS(2222),
    [sym_true] = ACTIONS(2220),
    [sym_false] = ACTIONS(2220),
    [anon_sym_NULL] = ACTIONS(2220),
    [anon_sym_nullptr] = ACTIONS(2220),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2220),
    [anon_sym_decltype] = ACTIONS(2220),
    [anon_sym_final] = ACTIONS(2198),
    [anon_sym_override] = ACTIONS(2198),
    [anon_sym_virtual] = ACTIONS(2220),
    [anon_sym_alignas] = ACTIONS(2220),
    [anon_sym_explicit] = ACTIONS(2220),
    [anon_sym_typename] = ACTIONS(2220),
    [anon_sym_template] = ACTIONS(2220),
    [anon_sym_operator] = ACTIONS(2220),
    [anon_sym_try] = ACTIONS(2220),
    [anon_sym_delete] = ACTIONS(2220),
    [anon_sym_throw] = ACTIONS(2220),
    [anon_sym_namespace] = ACTIONS(2220),
    [anon_sym_using] = ACTIONS(2220),
    [anon_sym_static_assert] = ACTIONS(2220),
    [anon_sym_concept] = ACTIONS(2220),
    [anon_sym_co_return] = ACTIONS(2220),
    [anon_sym_co_yield] = ACTIONS(2220),
    [anon_sym_R_DQUOTE] = ACTIONS(2222),
    [anon_sym_LR_DQUOTE] = ACTIONS(2222),
    [anon_sym_uR_DQUOTE] = ACTIONS(2222),
    [anon_sym_UR_DQUOTE] = ACTIONS(2222),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2222),
    [anon_sym_co_await] = ACTIONS(2220),
    [anon_sym_new] = ACTIONS(2220),
    [anon_sym_requires] = ACTIONS(2220),
    [sym_this] = ACTIONS(2220),
    [anon_sym_discard] = ACTIONS(2220),
    [anon_sym_precise] = ACTIONS(2220),
    [anon_sym_shared] = ACTIONS(2220),
    [anon_sym_groupshared] = ACTIONS(2220),
    [anon_sym_uniform] = ACTIONS(2220),
    [anon_sym_row_major] = ACTIONS(2220),
    [anon_sym_column_major] = ACTIONS(2220),
    [anon_sym_globallycoherent] = ACTIONS(2220),
    [anon_sym_centroid] = ACTIONS(2220),
    [anon_sym_noperspective] = ACTIONS(2220),
    [anon_sym_nointerpolation] = ACTIONS(2220),
    [anon_sym_sample] = ACTIONS(2220),
    [anon_sym_linear] = ACTIONS(2220),
    [anon_sym_snorm] = ACTIONS(2220),
    [anon_sym_unorm] = ACTIONS(2220),
    [anon_sym_point] = ACTIONS(2220),
    [anon_sym_line] = ACTIONS(2220),
    [anon_sym_triangleadj] = ACTIONS(2220),
    [anon_sym_lineadj] = ACTIONS(2220),
    [anon_sym_triangle] = ACTIONS(2220),
    [anon_sym_cbuffer] = ACTIONS(2220),
  },
  [165] = {
    [sym_template_argument_list] = STATE(175),
    [sym_identifier] = ACTIONS(2224),
    [aux_sym_preproc_include_token1] = ACTIONS(2224),
    [aux_sym_preproc_def_token1] = ACTIONS(2224),
    [aux_sym_preproc_if_token1] = ACTIONS(2224),
    [aux_sym_preproc_if_token2] = ACTIONS(2224),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2224),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2224),
    [aux_sym_preproc_else_token1] = ACTIONS(2224),
    [aux_sym_preproc_elif_token1] = ACTIONS(2224),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2224),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2224),
    [sym_preproc_directive] = ACTIONS(2224),
    [anon_sym_LPAREN2] = ACTIONS(2226),
    [anon_sym_BANG] = ACTIONS(2226),
    [anon_sym_TILDE] = ACTIONS(2226),
    [anon_sym_DASH] = ACTIONS(2224),
    [anon_sym_PLUS] = ACTIONS(2224),
    [anon_sym_STAR] = ACTIONS(2226),
    [anon_sym_AMP_AMP] = ACTIONS(2226),
    [anon_sym_AMP] = ACTIONS(2224),
    [anon_sym_LT] = ACTIONS(2228),
    [anon_sym_COLON] = ACTIONS(2224),
    [anon_sym_SEMI] = ACTIONS(2226),
    [anon_sym___extension__] = ACTIONS(2224),
    [anon_sym_typedef] = ACTIONS(2224),
    [anon_sym_in] = ACTIONS(2224),
    [anon_sym_out] = ACTIONS(2224),
    [anon_sym_inout] = ACTIONS(2224),
    [anon_sym_extern] = ACTIONS(2224),
    [anon_sym___attribute__] = ACTIONS(2224),
    [anon_sym_COLON_COLON] = ACTIONS(2230),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2226),
    [anon_sym___declspec] = ACTIONS(2224),
    [anon_sym___based] = ACTIONS(2224),
    [anon_sym___cdecl] = ACTIONS(2224),
    [anon_sym___clrcall] = ACTIONS(2224),
    [anon_sym___stdcall] = ACTIONS(2224),
    [anon_sym___fastcall] = ACTIONS(2224),
    [anon_sym___thiscall] = ACTIONS(2224),
    [anon_sym___vectorcall] = ACTIONS(2224),
    [anon_sym_LBRACE] = ACTIONS(2226),
    [anon_sym_signed] = ACTIONS(2224),
    [anon_sym_unsigned] = ACTIONS(2224),
    [anon_sym_long] = ACTIONS(2224),
    [anon_sym_short] = ACTIONS(2224),
    [anon_sym_LBRACK] = ACTIONS(2224),
    [anon_sym_static] = ACTIONS(2224),
    [anon_sym_register] = ACTIONS(2224),
    [anon_sym_inline] = ACTIONS(2224),
    [anon_sym___inline] = ACTIONS(2224),
    [anon_sym___inline__] = ACTIONS(2224),
    [anon_sym___forceinline] = ACTIONS(2224),
    [anon_sym_thread_local] = ACTIONS(2224),
    [anon_sym___thread] = ACTIONS(2224),
    [anon_sym_const] = ACTIONS(2224),
    [anon_sym_constexpr] = ACTIONS(2224),
    [anon_sym_volatile] = ACTIONS(2224),
    [anon_sym_restrict] = ACTIONS(2224),
    [anon_sym___restrict__] = ACTIONS(2224),
    [anon_sym__Atomic] = ACTIONS(2224),
    [anon_sym__Noreturn] = ACTIONS(2224),
    [anon_sym_noreturn] = ACTIONS(2224),
    [anon_sym_mutable] = ACTIONS(2224),
    [anon_sym_constinit] = ACTIONS(2224),
    [anon_sym_consteval] = ACTIONS(2224),
    [sym_primitive_type] = ACTIONS(2224),
    [anon_sym_enum] = ACTIONS(2224),
    [anon_sym_class] = ACTIONS(2224),
    [anon_sym_struct] = ACTIONS(2224),
    [anon_sym_union] = ACTIONS(2224),
    [anon_sym_if] = ACTIONS(2224),
    [anon_sym_else] = ACTIONS(2224),
    [anon_sym_switch] = ACTIONS(2224),
    [anon_sym_case] = ACTIONS(2224),
    [anon_sym_default] = ACTIONS(2224),
    [anon_sym_while] = ACTIONS(2224),
    [anon_sym_do] = ACTIONS(2224),
    [anon_sym_for] = ACTIONS(2224),
    [anon_sym_return] = ACTIONS(2224),
    [anon_sym_break] = ACTIONS(2224),
    [anon_sym_continue] = ACTIONS(2224),
    [anon_sym_goto] = ACTIONS(2224),
    [anon_sym___try] = ACTIONS(2224),
    [anon_sym___leave] = ACTIONS(2224),
    [anon_sym_not] = ACTIONS(2224),
    [anon_sym_compl] = ACTIONS(2224),
    [anon_sym_DASH_DASH] = ACTIONS(2226),
    [anon_sym_PLUS_PLUS] = ACTIONS(2226),
    [anon_sym_sizeof] = ACTIONS(2224),
    [anon_sym___alignof__] = ACTIONS(2224),
    [anon_sym___alignof] = ACTIONS(2224),
    [anon_sym__alignof] = ACTIONS(2224),
    [anon_sym_alignof] = ACTIONS(2224),
    [anon_sym__Alignof] = ACTIONS(2224),
    [anon_sym_offsetof] = ACTIONS(2224),
    [anon_sym__Generic] = ACTIONS(2224),
    [anon_sym_asm] = ACTIONS(2224),
    [anon_sym___asm__] = ACTIONS(2224),
    [sym_number_literal] = ACTIONS(2226),
    [anon_sym_L_SQUOTE] = ACTIONS(2226),
    [anon_sym_u_SQUOTE] = ACTIONS(2226),
    [anon_sym_U_SQUOTE] = ACTIONS(2226),
    [anon_sym_u8_SQUOTE] = ACTIONS(2226),
    [anon_sym_SQUOTE] = ACTIONS(2226),
    [anon_sym_L_DQUOTE] = ACTIONS(2226),
    [anon_sym_u_DQUOTE] = ACTIONS(2226),
    [anon_sym_U_DQUOTE] = ACTIONS(2226),
    [anon_sym_u8_DQUOTE] = ACTIONS(2226),
    [anon_sym_DQUOTE] = ACTIONS(2226),
    [sym_true] = ACTIONS(2224),
    [sym_false] = ACTIONS(2224),
    [anon_sym_NULL] = ACTIONS(2224),
    [anon_sym_nullptr] = ACTIONS(2224),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2224),
    [anon_sym_decltype] = ACTIONS(2224),
    [anon_sym_final] = ACTIONS(2224),
    [anon_sym_override] = ACTIONS(2224),
    [anon_sym_virtual] = ACTIONS(2224),
    [anon_sym_alignas] = ACTIONS(2224),
    [anon_sym_explicit] = ACTIONS(2224),
    [anon_sym_typename] = ACTIONS(2224),
    [anon_sym_template] = ACTIONS(2224),
    [anon_sym_operator] = ACTIONS(2224),
    [anon_sym_try] = ACTIONS(2224),
    [anon_sym_delete] = ACTIONS(2224),
    [anon_sym_throw] = ACTIONS(2224),
    [anon_sym_namespace] = ACTIONS(2224),
    [anon_sym_using] = ACTIONS(2224),
    [anon_sym_static_assert] = ACTIONS(2224),
    [anon_sym_concept] = ACTIONS(2224),
    [anon_sym_co_return] = ACTIONS(2224),
    [anon_sym_co_yield] = ACTIONS(2224),
    [anon_sym_R_DQUOTE] = ACTIONS(2226),
    [anon_sym_LR_DQUOTE] = ACTIONS(2226),
    [anon_sym_uR_DQUOTE] = ACTIONS(2226),
    [anon_sym_UR_DQUOTE] = ACTIONS(2226),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2226),
    [anon_sym_co_await] = ACTIONS(2224),
    [anon_sym_new] = ACTIONS(2224),
    [anon_sym_requires] = ACTIONS(2224),
    [sym_this] = ACTIONS(2224),
    [anon_sym_discard] = ACTIONS(2224),
    [anon_sym_precise] = ACTIONS(2224),
    [anon_sym_shared] = ACTIONS(2224),
    [anon_sym_groupshared] = ACTIONS(2224),
    [anon_sym_uniform] = ACTIONS(2224),
    [anon_sym_row_major] = ACTIONS(2224),
    [anon_sym_column_major] = ACTIONS(2224),
    [anon_sym_globallycoherent] = ACTIONS(2224),
    [anon_sym_centroid] = ACTIONS(2224),
    [anon_sym_noperspective] = ACTIONS(2224),
    [anon_sym_nointerpolation] = ACTIONS(2224),
    [anon_sym_sample] = ACTIONS(2224),
    [anon_sym_linear] = ACTIONS(2224),
    [anon_sym_snorm] = ACTIONS(2224),
    [anon_sym_unorm] = ACTIONS(2224),
    [anon_sym_point] = ACTIONS(2224),
    [anon_sym_line] = ACTIONS(2224),
    [anon_sym_triangleadj] = ACTIONS(2224),
    [anon_sym_lineadj] = ACTIONS(2224),
    [anon_sym_triangle] = ACTIONS(2224),
    [anon_sym_cbuffer] = ACTIONS(2224),
  },
  [166] = {
    [sym_template_argument_list] = STATE(175),
    [sym_identifier] = ACTIONS(2232),
    [aux_sym_preproc_include_token1] = ACTIONS(2232),
    [aux_sym_preproc_def_token1] = ACTIONS(2232),
    [aux_sym_preproc_if_token1] = ACTIONS(2232),
    [aux_sym_preproc_if_token2] = ACTIONS(2232),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2232),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2232),
    [aux_sym_preproc_else_token1] = ACTIONS(2232),
    [aux_sym_preproc_elif_token1] = ACTIONS(2232),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2232),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2232),
    [sym_preproc_directive] = ACTIONS(2232),
    [anon_sym_LPAREN2] = ACTIONS(2234),
    [anon_sym_BANG] = ACTIONS(2234),
    [anon_sym_TILDE] = ACTIONS(2234),
    [anon_sym_DASH] = ACTIONS(2232),
    [anon_sym_PLUS] = ACTIONS(2232),
    [anon_sym_STAR] = ACTIONS(2234),
    [anon_sym_AMP_AMP] = ACTIONS(2234),
    [anon_sym_AMP] = ACTIONS(2232),
    [anon_sym_LT] = ACTIONS(2228),
    [anon_sym_COLON] = ACTIONS(2232),
    [anon_sym_SEMI] = ACTIONS(2234),
    [anon_sym___extension__] = ACTIONS(2232),
    [anon_sym_typedef] = ACTIONS(2232),
    [anon_sym_in] = ACTIONS(2232),
    [anon_sym_out] = ACTIONS(2232),
    [anon_sym_inout] = ACTIONS(2232),
    [anon_sym_extern] = ACTIONS(2232),
    [anon_sym___attribute__] = ACTIONS(2232),
    [anon_sym_COLON_COLON] = ACTIONS(2230),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2234),
    [anon_sym___declspec] = ACTIONS(2232),
    [anon_sym___based] = ACTIONS(2232),
    [anon_sym___cdecl] = ACTIONS(2232),
    [anon_sym___clrcall] = ACTIONS(2232),
    [anon_sym___stdcall] = ACTIONS(2232),
    [anon_sym___fastcall] = ACTIONS(2232),
    [anon_sym___thiscall] = ACTIONS(2232),
    [anon_sym___vectorcall] = ACTIONS(2232),
    [anon_sym_LBRACE] = ACTIONS(2234),
    [anon_sym_signed] = ACTIONS(2232),
    [anon_sym_unsigned] = ACTIONS(2232),
    [anon_sym_long] = ACTIONS(2232),
    [anon_sym_short] = ACTIONS(2232),
    [anon_sym_LBRACK] = ACTIONS(2232),
    [anon_sym_static] = ACTIONS(2232),
    [anon_sym_register] = ACTIONS(2232),
    [anon_sym_inline] = ACTIONS(2232),
    [anon_sym___inline] = ACTIONS(2232),
    [anon_sym___inline__] = ACTIONS(2232),
    [anon_sym___forceinline] = ACTIONS(2232),
    [anon_sym_thread_local] = ACTIONS(2232),
    [anon_sym___thread] = ACTIONS(2232),
    [anon_sym_const] = ACTIONS(2232),
    [anon_sym_constexpr] = ACTIONS(2232),
    [anon_sym_volatile] = ACTIONS(2232),
    [anon_sym_restrict] = ACTIONS(2232),
    [anon_sym___restrict__] = ACTIONS(2232),
    [anon_sym__Atomic] = ACTIONS(2232),
    [anon_sym__Noreturn] = ACTIONS(2232),
    [anon_sym_noreturn] = ACTIONS(2232),
    [anon_sym_mutable] = ACTIONS(2232),
    [anon_sym_constinit] = ACTIONS(2232),
    [anon_sym_consteval] = ACTIONS(2232),
    [sym_primitive_type] = ACTIONS(2232),
    [anon_sym_enum] = ACTIONS(2232),
    [anon_sym_class] = ACTIONS(2232),
    [anon_sym_struct] = ACTIONS(2232),
    [anon_sym_union] = ACTIONS(2232),
    [anon_sym_if] = ACTIONS(2232),
    [anon_sym_else] = ACTIONS(2232),
    [anon_sym_switch] = ACTIONS(2232),
    [anon_sym_case] = ACTIONS(2232),
    [anon_sym_default] = ACTIONS(2232),
    [anon_sym_while] = ACTIONS(2232),
    [anon_sym_do] = ACTIONS(2232),
    [anon_sym_for] = ACTIONS(2232),
    [anon_sym_return] = ACTIONS(2232),
    [anon_sym_break] = ACTIONS(2232),
    [anon_sym_continue] = ACTIONS(2232),
    [anon_sym_goto] = ACTIONS(2232),
    [anon_sym___try] = ACTIONS(2232),
    [anon_sym___leave] = ACTIONS(2232),
    [anon_sym_not] = ACTIONS(2232),
    [anon_sym_compl] = ACTIONS(2232),
    [anon_sym_DASH_DASH] = ACTIONS(2234),
    [anon_sym_PLUS_PLUS] = ACTIONS(2234),
    [anon_sym_sizeof] = ACTIONS(2232),
    [anon_sym___alignof__] = ACTIONS(2232),
    [anon_sym___alignof] = ACTIONS(2232),
    [anon_sym__alignof] = ACTIONS(2232),
    [anon_sym_alignof] = ACTIONS(2232),
    [anon_sym__Alignof] = ACTIONS(2232),
    [anon_sym_offsetof] = ACTIONS(2232),
    [anon_sym__Generic] = ACTIONS(2232),
    [anon_sym_asm] = ACTIONS(2232),
    [anon_sym___asm__] = ACTIONS(2232),
    [sym_number_literal] = ACTIONS(2234),
    [anon_sym_L_SQUOTE] = ACTIONS(2234),
    [anon_sym_u_SQUOTE] = ACTIONS(2234),
    [anon_sym_U_SQUOTE] = ACTIONS(2234),
    [anon_sym_u8_SQUOTE] = ACTIONS(2234),
    [anon_sym_SQUOTE] = ACTIONS(2234),
    [anon_sym_L_DQUOTE] = ACTIONS(2234),
    [anon_sym_u_DQUOTE] = ACTIONS(2234),
    [anon_sym_U_DQUOTE] = ACTIONS(2234),
    [anon_sym_u8_DQUOTE] = ACTIONS(2234),
    [anon_sym_DQUOTE] = ACTIONS(2234),
    [sym_true] = ACTIONS(2232),
    [sym_false] = ACTIONS(2232),
    [anon_sym_NULL] = ACTIONS(2232),
    [anon_sym_nullptr] = ACTIONS(2232),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2232),
    [anon_sym_decltype] = ACTIONS(2232),
    [anon_sym_final] = ACTIONS(2232),
    [anon_sym_override] = ACTIONS(2232),
    [anon_sym_virtual] = ACTIONS(2232),
    [anon_sym_alignas] = ACTIONS(2232),
    [anon_sym_explicit] = ACTIONS(2232),
    [anon_sym_typename] = ACTIONS(2232),
    [anon_sym_template] = ACTIONS(2232),
    [anon_sym_operator] = ACTIONS(2232),
    [anon_sym_try] = ACTIONS(2232),
    [anon_sym_delete] = ACTIONS(2232),
    [anon_sym_throw] = ACTIONS(2232),
    [anon_sym_namespace] = ACTIONS(2232),
    [anon_sym_using] = ACTIONS(2232),
    [anon_sym_static_assert] = ACTIONS(2232),
    [anon_sym_concept] = ACTIONS(2232),
    [anon_sym_co_return] = ACTIONS(2232),
    [anon_sym_co_yield] = ACTIONS(2232),
    [anon_sym_R_DQUOTE] = ACTIONS(2234),
    [anon_sym_LR_DQUOTE] = ACTIONS(2234),
    [anon_sym_uR_DQUOTE] = ACTIONS(2234),
    [anon_sym_UR_DQUOTE] = ACTIONS(2234),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2234),
    [anon_sym_co_await] = ACTIONS(2232),
    [anon_sym_new] = ACTIONS(2232),
    [anon_sym_requires] = ACTIONS(2232),
    [sym_this] = ACTIONS(2232),
    [anon_sym_discard] = ACTIONS(2232),
    [anon_sym_precise] = ACTIONS(2232),
    [anon_sym_shared] = ACTIONS(2232),
    [anon_sym_groupshared] = ACTIONS(2232),
    [anon_sym_uniform] = ACTIONS(2232),
    [anon_sym_row_major] = ACTIONS(2232),
    [anon_sym_column_major] = ACTIONS(2232),
    [anon_sym_globallycoherent] = ACTIONS(2232),
    [anon_sym_centroid] = ACTIONS(2232),
    [anon_sym_noperspective] = ACTIONS(2232),
    [anon_sym_nointerpolation] = ACTIONS(2232),
    [anon_sym_sample] = ACTIONS(2232),
    [anon_sym_linear] = ACTIONS(2232),
    [anon_sym_snorm] = ACTIONS(2232),
    [anon_sym_unorm] = ACTIONS(2232),
    [anon_sym_point] = ACTIONS(2232),
    [anon_sym_line] = ACTIONS(2232),
    [anon_sym_triangleadj] = ACTIONS(2232),
    [anon_sym_lineadj] = ACTIONS(2232),
    [anon_sym_triangle] = ACTIONS(2232),
    [anon_sym_cbuffer] = ACTIONS(2232),
  },
  [167] = {
    [ts_builtin_sym_end] = ACTIONS(2236),
    [sym_identifier] = ACTIONS(2238),
    [aux_sym_preproc_include_token1] = ACTIONS(2238),
    [aux_sym_preproc_def_token1] = ACTIONS(2238),
    [anon_sym_RPAREN] = ACTIONS(2236),
    [aux_sym_preproc_if_token1] = ACTIONS(2238),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2238),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2238),
    [sym_preproc_directive] = ACTIONS(2238),
    [anon_sym_LPAREN2] = ACTIONS(2236),
    [anon_sym_BANG] = ACTIONS(2236),
    [anon_sym_TILDE] = ACTIONS(2236),
    [anon_sym_DASH] = ACTIONS(2238),
    [anon_sym_PLUS] = ACTIONS(2238),
    [anon_sym_STAR] = ACTIONS(2236),
    [anon_sym_PIPE_PIPE] = ACTIONS(2236),
    [anon_sym_AMP_AMP] = ACTIONS(2236),
    [anon_sym_AMP] = ACTIONS(2238),
    [anon_sym_SEMI] = ACTIONS(2236),
    [anon_sym___extension__] = ACTIONS(2238),
    [anon_sym_typedef] = ACTIONS(2238),
    [anon_sym_in] = ACTIONS(2238),
    [anon_sym_out] = ACTIONS(2238),
    [anon_sym_inout] = ACTIONS(2238),
    [anon_sym_extern] = ACTIONS(2238),
    [anon_sym___attribute__] = ACTIONS(2238),
    [anon_sym_COLON_COLON] = ACTIONS(2236),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2236),
    [anon_sym___declspec] = ACTIONS(2238),
    [anon_sym___based] = ACTIONS(2238),
    [anon_sym___cdecl] = ACTIONS(2238),
    [anon_sym___clrcall] = ACTIONS(2238),
    [anon_sym___stdcall] = ACTIONS(2238),
    [anon_sym___fastcall] = ACTIONS(2238),
    [anon_sym___thiscall] = ACTIONS(2238),
    [anon_sym___vectorcall] = ACTIONS(2238),
    [anon_sym_LBRACE] = ACTIONS(2236),
    [anon_sym_signed] = ACTIONS(2238),
    [anon_sym_unsigned] = ACTIONS(2238),
    [anon_sym_long] = ACTIONS(2238),
    [anon_sym_short] = ACTIONS(2238),
    [anon_sym_LBRACK] = ACTIONS(2238),
    [anon_sym_static] = ACTIONS(2238),
    [anon_sym_register] = ACTIONS(2238),
    [anon_sym_inline] = ACTIONS(2238),
    [anon_sym___inline] = ACTIONS(2238),
    [anon_sym___inline__] = ACTIONS(2238),
    [anon_sym___forceinline] = ACTIONS(2238),
    [anon_sym_thread_local] = ACTIONS(2238),
    [anon_sym___thread] = ACTIONS(2238),
    [anon_sym_const] = ACTIONS(2238),
    [anon_sym_constexpr] = ACTIONS(2238),
    [anon_sym_volatile] = ACTIONS(2238),
    [anon_sym_restrict] = ACTIONS(2238),
    [anon_sym___restrict__] = ACTIONS(2238),
    [anon_sym__Atomic] = ACTIONS(2238),
    [anon_sym__Noreturn] = ACTIONS(2238),
    [anon_sym_noreturn] = ACTIONS(2238),
    [anon_sym_mutable] = ACTIONS(2238),
    [anon_sym_constinit] = ACTIONS(2238),
    [anon_sym_consteval] = ACTIONS(2238),
    [sym_primitive_type] = ACTIONS(2238),
    [anon_sym_enum] = ACTIONS(2238),
    [anon_sym_class] = ACTIONS(2238),
    [anon_sym_struct] = ACTIONS(2238),
    [anon_sym_union] = ACTIONS(2238),
    [anon_sym_if] = ACTIONS(2238),
    [anon_sym_else] = ACTIONS(2238),
    [anon_sym_switch] = ACTIONS(2238),
    [anon_sym_case] = ACTIONS(2238),
    [anon_sym_default] = ACTIONS(2238),
    [anon_sym_while] = ACTIONS(2238),
    [anon_sym_do] = ACTIONS(2238),
    [anon_sym_for] = ACTIONS(2238),
    [anon_sym_return] = ACTIONS(2238),
    [anon_sym_break] = ACTIONS(2238),
    [anon_sym_continue] = ACTIONS(2238),
    [anon_sym_goto] = ACTIONS(2238),
    [anon_sym___try] = ACTIONS(2238),
    [anon_sym___except] = ACTIONS(2238),
    [anon_sym___finally] = ACTIONS(2238),
    [anon_sym___leave] = ACTIONS(2238),
    [anon_sym_not] = ACTIONS(2238),
    [anon_sym_compl] = ACTIONS(2238),
    [anon_sym_or] = ACTIONS(2238),
    [anon_sym_and] = ACTIONS(2238),
    [anon_sym_DASH_DASH] = ACTIONS(2236),
    [anon_sym_PLUS_PLUS] = ACTIONS(2236),
    [anon_sym_sizeof] = ACTIONS(2238),
    [anon_sym___alignof__] = ACTIONS(2238),
    [anon_sym___alignof] = ACTIONS(2238),
    [anon_sym__alignof] = ACTIONS(2238),
    [anon_sym_alignof] = ACTIONS(2238),
    [anon_sym__Alignof] = ACTIONS(2238),
    [anon_sym_offsetof] = ACTIONS(2238),
    [anon_sym__Generic] = ACTIONS(2238),
    [anon_sym_asm] = ACTIONS(2238),
    [anon_sym___asm__] = ACTIONS(2238),
    [sym_number_literal] = ACTIONS(2236),
    [anon_sym_L_SQUOTE] = ACTIONS(2236),
    [anon_sym_u_SQUOTE] = ACTIONS(2236),
    [anon_sym_U_SQUOTE] = ACTIONS(2236),
    [anon_sym_u8_SQUOTE] = ACTIONS(2236),
    [anon_sym_SQUOTE] = ACTIONS(2236),
    [anon_sym_L_DQUOTE] = ACTIONS(2236),
    [anon_sym_u_DQUOTE] = ACTIONS(2236),
    [anon_sym_U_DQUOTE] = ACTIONS(2236),
    [anon_sym_u8_DQUOTE] = ACTIONS(2236),
    [anon_sym_DQUOTE] = ACTIONS(2236),
    [sym_true] = ACTIONS(2238),
    [sym_false] = ACTIONS(2238),
    [anon_sym_NULL] = ACTIONS(2238),
    [anon_sym_nullptr] = ACTIONS(2238),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2238),
    [anon_sym_decltype] = ACTIONS(2238),
    [anon_sym_final] = ACTIONS(2238),
    [anon_sym_override] = ACTIONS(2238),
    [anon_sym_virtual] = ACTIONS(2238),
    [anon_sym_alignas] = ACTIONS(2238),
    [anon_sym_explicit] = ACTIONS(2238),
    [anon_sym_typename] = ACTIONS(2238),
    [anon_sym_template] = ACTIONS(2238),
    [anon_sym_operator] = ACTIONS(2238),
    [anon_sym_try] = ACTIONS(2238),
    [anon_sym_delete] = ACTIONS(2238),
    [anon_sym_throw] = ACTIONS(2238),
    [anon_sym_namespace] = ACTIONS(2238),
    [anon_sym_using] = ACTIONS(2238),
    [anon_sym_static_assert] = ACTIONS(2238),
    [anon_sym_concept] = ACTIONS(2238),
    [anon_sym_co_return] = ACTIONS(2238),
    [anon_sym_co_yield] = ACTIONS(2238),
    [anon_sym_catch] = ACTIONS(2238),
    [anon_sym_R_DQUOTE] = ACTIONS(2236),
    [anon_sym_LR_DQUOTE] = ACTIONS(2236),
    [anon_sym_uR_DQUOTE] = ACTIONS(2236),
    [anon_sym_UR_DQUOTE] = ACTIONS(2236),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2236),
    [anon_sym_co_await] = ACTIONS(2238),
    [anon_sym_new] = ACTIONS(2238),
    [anon_sym_requires] = ACTIONS(2238),
    [sym_this] = ACTIONS(2238),
    [anon_sym_discard] = ACTIONS(2238),
    [anon_sym_precise] = ACTIONS(2238),
    [anon_sym_shared] = ACTIONS(2238),
    [anon_sym_groupshared] = ACTIONS(2238),
    [anon_sym_uniform] = ACTIONS(2238),
    [anon_sym_row_major] = ACTIONS(2238),
    [anon_sym_column_major] = ACTIONS(2238),
    [anon_sym_globallycoherent] = ACTIONS(2238),
    [anon_sym_centroid] = ACTIONS(2238),
    [anon_sym_noperspective] = ACTIONS(2238),
    [anon_sym_nointerpolation] = ACTIONS(2238),
    [anon_sym_sample] = ACTIONS(2238),
    [anon_sym_linear] = ACTIONS(2238),
    [anon_sym_snorm] = ACTIONS(2238),
    [anon_sym_unorm] = ACTIONS(2238),
    [anon_sym_point] = ACTIONS(2238),
    [anon_sym_line] = ACTIONS(2238),
    [anon_sym_triangleadj] = ACTIONS(2238),
    [anon_sym_lineadj] = ACTIONS(2238),
    [anon_sym_triangle] = ACTIONS(2238),
    [anon_sym_cbuffer] = ACTIONS(2238),
  },
  [168] = {
    [sym_field_declaration_list] = STATE(536),
    [sym_virtual_specifier] = STATE(8290),
    [sym_base_class_clause] = STATE(9236),
    [sym_identifier] = ACTIONS(2190),
    [aux_sym_preproc_include_token1] = ACTIONS(2190),
    [aux_sym_preproc_def_token1] = ACTIONS(2190),
    [aux_sym_preproc_if_token1] = ACTIONS(2190),
    [aux_sym_preproc_if_token2] = ACTIONS(2190),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2190),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2190),
    [aux_sym_preproc_else_token1] = ACTIONS(2190),
    [aux_sym_preproc_elif_token1] = ACTIONS(2190),
    [sym_preproc_directive] = ACTIONS(2190),
    [anon_sym_LPAREN2] = ACTIONS(2192),
    [anon_sym_BANG] = ACTIONS(2192),
    [anon_sym_TILDE] = ACTIONS(2192),
    [anon_sym_DASH] = ACTIONS(2190),
    [anon_sym_PLUS] = ACTIONS(2190),
    [anon_sym_STAR] = ACTIONS(2192),
    [anon_sym_AMP_AMP] = ACTIONS(2192),
    [anon_sym_AMP] = ACTIONS(2190),
    [anon_sym_COLON] = ACTIONS(2194),
    [anon_sym_SEMI] = ACTIONS(2192),
    [anon_sym___extension__] = ACTIONS(2190),
    [anon_sym_typedef] = ACTIONS(2190),
    [anon_sym_in] = ACTIONS(2190),
    [anon_sym_out] = ACTIONS(2190),
    [anon_sym_inout] = ACTIONS(2190),
    [anon_sym_extern] = ACTIONS(2190),
    [anon_sym___attribute__] = ACTIONS(2190),
    [anon_sym_COLON_COLON] = ACTIONS(2192),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2192),
    [anon_sym___declspec] = ACTIONS(2190),
    [anon_sym___based] = ACTIONS(2190),
    [anon_sym___cdecl] = ACTIONS(2190),
    [anon_sym___clrcall] = ACTIONS(2190),
    [anon_sym___stdcall] = ACTIONS(2190),
    [anon_sym___fastcall] = ACTIONS(2190),
    [anon_sym___thiscall] = ACTIONS(2190),
    [anon_sym___vectorcall] = ACTIONS(2190),
    [anon_sym_LBRACE] = ACTIONS(2240),
    [anon_sym_signed] = ACTIONS(2190),
    [anon_sym_unsigned] = ACTIONS(2190),
    [anon_sym_long] = ACTIONS(2190),
    [anon_sym_short] = ACTIONS(2190),
    [anon_sym_LBRACK] = ACTIONS(2190),
    [anon_sym_static] = ACTIONS(2190),
    [anon_sym_register] = ACTIONS(2190),
    [anon_sym_inline] = ACTIONS(2190),
    [anon_sym___inline] = ACTIONS(2190),
    [anon_sym___inline__] = ACTIONS(2190),
    [anon_sym___forceinline] = ACTIONS(2190),
    [anon_sym_thread_local] = ACTIONS(2190),
    [anon_sym___thread] = ACTIONS(2190),
    [anon_sym_const] = ACTIONS(2190),
    [anon_sym_constexpr] = ACTIONS(2190),
    [anon_sym_volatile] = ACTIONS(2190),
    [anon_sym_restrict] = ACTIONS(2190),
    [anon_sym___restrict__] = ACTIONS(2190),
    [anon_sym__Atomic] = ACTIONS(2190),
    [anon_sym__Noreturn] = ACTIONS(2190),
    [anon_sym_noreturn] = ACTIONS(2190),
    [anon_sym_mutable] = ACTIONS(2190),
    [anon_sym_constinit] = ACTIONS(2190),
    [anon_sym_consteval] = ACTIONS(2190),
    [sym_primitive_type] = ACTIONS(2190),
    [anon_sym_enum] = ACTIONS(2190),
    [anon_sym_class] = ACTIONS(2190),
    [anon_sym_struct] = ACTIONS(2190),
    [anon_sym_union] = ACTIONS(2190),
    [anon_sym_if] = ACTIONS(2190),
    [anon_sym_else] = ACTIONS(2190),
    [anon_sym_switch] = ACTIONS(2190),
    [anon_sym_case] = ACTIONS(2190),
    [anon_sym_default] = ACTIONS(2190),
    [anon_sym_while] = ACTIONS(2190),
    [anon_sym_do] = ACTIONS(2190),
    [anon_sym_for] = ACTIONS(2190),
    [anon_sym_return] = ACTIONS(2190),
    [anon_sym_break] = ACTIONS(2190),
    [anon_sym_continue] = ACTIONS(2190),
    [anon_sym_goto] = ACTIONS(2190),
    [anon_sym___try] = ACTIONS(2190),
    [anon_sym___leave] = ACTIONS(2190),
    [anon_sym_not] = ACTIONS(2190),
    [anon_sym_compl] = ACTIONS(2190),
    [anon_sym_DASH_DASH] = ACTIONS(2192),
    [anon_sym_PLUS_PLUS] = ACTIONS(2192),
    [anon_sym_sizeof] = ACTIONS(2190),
    [anon_sym___alignof__] = ACTIONS(2190),
    [anon_sym___alignof] = ACTIONS(2190),
    [anon_sym__alignof] = ACTIONS(2190),
    [anon_sym_alignof] = ACTIONS(2190),
    [anon_sym__Alignof] = ACTIONS(2190),
    [anon_sym_offsetof] = ACTIONS(2190),
    [anon_sym__Generic] = ACTIONS(2190),
    [anon_sym_asm] = ACTIONS(2190),
    [anon_sym___asm__] = ACTIONS(2190),
    [sym_number_literal] = ACTIONS(2192),
    [anon_sym_L_SQUOTE] = ACTIONS(2192),
    [anon_sym_u_SQUOTE] = ACTIONS(2192),
    [anon_sym_U_SQUOTE] = ACTIONS(2192),
    [anon_sym_u8_SQUOTE] = ACTIONS(2192),
    [anon_sym_SQUOTE] = ACTIONS(2192),
    [anon_sym_L_DQUOTE] = ACTIONS(2192),
    [anon_sym_u_DQUOTE] = ACTIONS(2192),
    [anon_sym_U_DQUOTE] = ACTIONS(2192),
    [anon_sym_u8_DQUOTE] = ACTIONS(2192),
    [anon_sym_DQUOTE] = ACTIONS(2192),
    [sym_true] = ACTIONS(2190),
    [sym_false] = ACTIONS(2190),
    [anon_sym_NULL] = ACTIONS(2190),
    [anon_sym_nullptr] = ACTIONS(2190),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2190),
    [anon_sym_decltype] = ACTIONS(2190),
    [anon_sym_final] = ACTIONS(2198),
    [anon_sym_override] = ACTIONS(2198),
    [anon_sym_virtual] = ACTIONS(2190),
    [anon_sym_alignas] = ACTIONS(2190),
    [anon_sym_explicit] = ACTIONS(2190),
    [anon_sym_typename] = ACTIONS(2190),
    [anon_sym_template] = ACTIONS(2190),
    [anon_sym_operator] = ACTIONS(2190),
    [anon_sym_try] = ACTIONS(2190),
    [anon_sym_delete] = ACTIONS(2190),
    [anon_sym_throw] = ACTIONS(2190),
    [anon_sym_namespace] = ACTIONS(2190),
    [anon_sym_using] = ACTIONS(2190),
    [anon_sym_static_assert] = ACTIONS(2190),
    [anon_sym_concept] = ACTIONS(2190),
    [anon_sym_co_return] = ACTIONS(2190),
    [anon_sym_co_yield] = ACTIONS(2190),
    [anon_sym_R_DQUOTE] = ACTIONS(2192),
    [anon_sym_LR_DQUOTE] = ACTIONS(2192),
    [anon_sym_uR_DQUOTE] = ACTIONS(2192),
    [anon_sym_UR_DQUOTE] = ACTIONS(2192),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2192),
    [anon_sym_co_await] = ACTIONS(2190),
    [anon_sym_new] = ACTIONS(2190),
    [anon_sym_requires] = ACTIONS(2190),
    [sym_this] = ACTIONS(2190),
    [anon_sym_discard] = ACTIONS(2190),
    [anon_sym_precise] = ACTIONS(2190),
    [anon_sym_shared] = ACTIONS(2190),
    [anon_sym_groupshared] = ACTIONS(2190),
    [anon_sym_uniform] = ACTIONS(2190),
    [anon_sym_row_major] = ACTIONS(2190),
    [anon_sym_column_major] = ACTIONS(2190),
    [anon_sym_globallycoherent] = ACTIONS(2190),
    [anon_sym_centroid] = ACTIONS(2190),
    [anon_sym_noperspective] = ACTIONS(2190),
    [anon_sym_nointerpolation] = ACTIONS(2190),
    [anon_sym_sample] = ACTIONS(2190),
    [anon_sym_linear] = ACTIONS(2190),
    [anon_sym_snorm] = ACTIONS(2190),
    [anon_sym_unorm] = ACTIONS(2190),
    [anon_sym_point] = ACTIONS(2190),
    [anon_sym_line] = ACTIONS(2190),
    [anon_sym_triangleadj] = ACTIONS(2190),
    [anon_sym_lineadj] = ACTIONS(2190),
    [anon_sym_triangle] = ACTIONS(2190),
    [anon_sym_cbuffer] = ACTIONS(2190),
  },
  [169] = {
    [sym_field_declaration_list] = STATE(566),
    [sym_virtual_specifier] = STATE(8309),
    [sym_base_class_clause] = STATE(9278),
    [sym_identifier] = ACTIONS(2220),
    [aux_sym_preproc_include_token1] = ACTIONS(2220),
    [aux_sym_preproc_def_token1] = ACTIONS(2220),
    [aux_sym_preproc_if_token1] = ACTIONS(2220),
    [aux_sym_preproc_if_token2] = ACTIONS(2220),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2220),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2220),
    [aux_sym_preproc_else_token1] = ACTIONS(2220),
    [aux_sym_preproc_elif_token1] = ACTIONS(2220),
    [sym_preproc_directive] = ACTIONS(2220),
    [anon_sym_LPAREN2] = ACTIONS(2222),
    [anon_sym_BANG] = ACTIONS(2222),
    [anon_sym_TILDE] = ACTIONS(2222),
    [anon_sym_DASH] = ACTIONS(2220),
    [anon_sym_PLUS] = ACTIONS(2220),
    [anon_sym_STAR] = ACTIONS(2222),
    [anon_sym_AMP_AMP] = ACTIONS(2222),
    [anon_sym_AMP] = ACTIONS(2220),
    [anon_sym_COLON] = ACTIONS(2194),
    [anon_sym_SEMI] = ACTIONS(2222),
    [anon_sym___extension__] = ACTIONS(2220),
    [anon_sym_typedef] = ACTIONS(2220),
    [anon_sym_in] = ACTIONS(2220),
    [anon_sym_out] = ACTIONS(2220),
    [anon_sym_inout] = ACTIONS(2220),
    [anon_sym_extern] = ACTIONS(2220),
    [anon_sym___attribute__] = ACTIONS(2220),
    [anon_sym_COLON_COLON] = ACTIONS(2222),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2222),
    [anon_sym___declspec] = ACTIONS(2220),
    [anon_sym___based] = ACTIONS(2220),
    [anon_sym___cdecl] = ACTIONS(2220),
    [anon_sym___clrcall] = ACTIONS(2220),
    [anon_sym___stdcall] = ACTIONS(2220),
    [anon_sym___fastcall] = ACTIONS(2220),
    [anon_sym___thiscall] = ACTIONS(2220),
    [anon_sym___vectorcall] = ACTIONS(2220),
    [anon_sym_LBRACE] = ACTIONS(2240),
    [anon_sym_signed] = ACTIONS(2220),
    [anon_sym_unsigned] = ACTIONS(2220),
    [anon_sym_long] = ACTIONS(2220),
    [anon_sym_short] = ACTIONS(2220),
    [anon_sym_LBRACK] = ACTIONS(2220),
    [anon_sym_static] = ACTIONS(2220),
    [anon_sym_register] = ACTIONS(2220),
    [anon_sym_inline] = ACTIONS(2220),
    [anon_sym___inline] = ACTIONS(2220),
    [anon_sym___inline__] = ACTIONS(2220),
    [anon_sym___forceinline] = ACTIONS(2220),
    [anon_sym_thread_local] = ACTIONS(2220),
    [anon_sym___thread] = ACTIONS(2220),
    [anon_sym_const] = ACTIONS(2220),
    [anon_sym_constexpr] = ACTIONS(2220),
    [anon_sym_volatile] = ACTIONS(2220),
    [anon_sym_restrict] = ACTIONS(2220),
    [anon_sym___restrict__] = ACTIONS(2220),
    [anon_sym__Atomic] = ACTIONS(2220),
    [anon_sym__Noreturn] = ACTIONS(2220),
    [anon_sym_noreturn] = ACTIONS(2220),
    [anon_sym_mutable] = ACTIONS(2220),
    [anon_sym_constinit] = ACTIONS(2220),
    [anon_sym_consteval] = ACTIONS(2220),
    [sym_primitive_type] = ACTIONS(2220),
    [anon_sym_enum] = ACTIONS(2220),
    [anon_sym_class] = ACTIONS(2220),
    [anon_sym_struct] = ACTIONS(2220),
    [anon_sym_union] = ACTIONS(2220),
    [anon_sym_if] = ACTIONS(2220),
    [anon_sym_else] = ACTIONS(2220),
    [anon_sym_switch] = ACTIONS(2220),
    [anon_sym_case] = ACTIONS(2220),
    [anon_sym_default] = ACTIONS(2220),
    [anon_sym_while] = ACTIONS(2220),
    [anon_sym_do] = ACTIONS(2220),
    [anon_sym_for] = ACTIONS(2220),
    [anon_sym_return] = ACTIONS(2220),
    [anon_sym_break] = ACTIONS(2220),
    [anon_sym_continue] = ACTIONS(2220),
    [anon_sym_goto] = ACTIONS(2220),
    [anon_sym___try] = ACTIONS(2220),
    [anon_sym___leave] = ACTIONS(2220),
    [anon_sym_not] = ACTIONS(2220),
    [anon_sym_compl] = ACTIONS(2220),
    [anon_sym_DASH_DASH] = ACTIONS(2222),
    [anon_sym_PLUS_PLUS] = ACTIONS(2222),
    [anon_sym_sizeof] = ACTIONS(2220),
    [anon_sym___alignof__] = ACTIONS(2220),
    [anon_sym___alignof] = ACTIONS(2220),
    [anon_sym__alignof] = ACTIONS(2220),
    [anon_sym_alignof] = ACTIONS(2220),
    [anon_sym__Alignof] = ACTIONS(2220),
    [anon_sym_offsetof] = ACTIONS(2220),
    [anon_sym__Generic] = ACTIONS(2220),
    [anon_sym_asm] = ACTIONS(2220),
    [anon_sym___asm__] = ACTIONS(2220),
    [sym_number_literal] = ACTIONS(2222),
    [anon_sym_L_SQUOTE] = ACTIONS(2222),
    [anon_sym_u_SQUOTE] = ACTIONS(2222),
    [anon_sym_U_SQUOTE] = ACTIONS(2222),
    [anon_sym_u8_SQUOTE] = ACTIONS(2222),
    [anon_sym_SQUOTE] = ACTIONS(2222),
    [anon_sym_L_DQUOTE] = ACTIONS(2222),
    [anon_sym_u_DQUOTE] = ACTIONS(2222),
    [anon_sym_U_DQUOTE] = ACTIONS(2222),
    [anon_sym_u8_DQUOTE] = ACTIONS(2222),
    [anon_sym_DQUOTE] = ACTIONS(2222),
    [sym_true] = ACTIONS(2220),
    [sym_false] = ACTIONS(2220),
    [anon_sym_NULL] = ACTIONS(2220),
    [anon_sym_nullptr] = ACTIONS(2220),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2220),
    [anon_sym_decltype] = ACTIONS(2220),
    [anon_sym_final] = ACTIONS(2198),
    [anon_sym_override] = ACTIONS(2198),
    [anon_sym_virtual] = ACTIONS(2220),
    [anon_sym_alignas] = ACTIONS(2220),
    [anon_sym_explicit] = ACTIONS(2220),
    [anon_sym_typename] = ACTIONS(2220),
    [anon_sym_template] = ACTIONS(2220),
    [anon_sym_operator] = ACTIONS(2220),
    [anon_sym_try] = ACTIONS(2220),
    [anon_sym_delete] = ACTIONS(2220),
    [anon_sym_throw] = ACTIONS(2220),
    [anon_sym_namespace] = ACTIONS(2220),
    [anon_sym_using] = ACTIONS(2220),
    [anon_sym_static_assert] = ACTIONS(2220),
    [anon_sym_concept] = ACTIONS(2220),
    [anon_sym_co_return] = ACTIONS(2220),
    [anon_sym_co_yield] = ACTIONS(2220),
    [anon_sym_R_DQUOTE] = ACTIONS(2222),
    [anon_sym_LR_DQUOTE] = ACTIONS(2222),
    [anon_sym_uR_DQUOTE] = ACTIONS(2222),
    [anon_sym_UR_DQUOTE] = ACTIONS(2222),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2222),
    [anon_sym_co_await] = ACTIONS(2220),
    [anon_sym_new] = ACTIONS(2220),
    [anon_sym_requires] = ACTIONS(2220),
    [sym_this] = ACTIONS(2220),
    [anon_sym_discard] = ACTIONS(2220),
    [anon_sym_precise] = ACTIONS(2220),
    [anon_sym_shared] = ACTIONS(2220),
    [anon_sym_groupshared] = ACTIONS(2220),
    [anon_sym_uniform] = ACTIONS(2220),
    [anon_sym_row_major] = ACTIONS(2220),
    [anon_sym_column_major] = ACTIONS(2220),
    [anon_sym_globallycoherent] = ACTIONS(2220),
    [anon_sym_centroid] = ACTIONS(2220),
    [anon_sym_noperspective] = ACTIONS(2220),
    [anon_sym_nointerpolation] = ACTIONS(2220),
    [anon_sym_sample] = ACTIONS(2220),
    [anon_sym_linear] = ACTIONS(2220),
    [anon_sym_snorm] = ACTIONS(2220),
    [anon_sym_unorm] = ACTIONS(2220),
    [anon_sym_point] = ACTIONS(2220),
    [anon_sym_line] = ACTIONS(2220),
    [anon_sym_triangleadj] = ACTIONS(2220),
    [anon_sym_lineadj] = ACTIONS(2220),
    [anon_sym_triangle] = ACTIONS(2220),
    [anon_sym_cbuffer] = ACTIONS(2220),
  },
  [170] = {
    [sym_catch_clause] = STATE(181),
    [aux_sym_constructor_try_statement_repeat1] = STATE(181),
    [sym_identifier] = ACTIONS(2242),
    [aux_sym_preproc_include_token1] = ACTIONS(2242),
    [aux_sym_preproc_def_token1] = ACTIONS(2242),
    [aux_sym_preproc_if_token1] = ACTIONS(2242),
    [aux_sym_preproc_if_token2] = ACTIONS(2242),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2242),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2242),
    [aux_sym_preproc_else_token1] = ACTIONS(2242),
    [aux_sym_preproc_elif_token1] = ACTIONS(2242),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2242),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2242),
    [sym_preproc_directive] = ACTIONS(2242),
    [anon_sym_LPAREN2] = ACTIONS(2244),
    [anon_sym_BANG] = ACTIONS(2244),
    [anon_sym_TILDE] = ACTIONS(2244),
    [anon_sym_DASH] = ACTIONS(2242),
    [anon_sym_PLUS] = ACTIONS(2242),
    [anon_sym_STAR] = ACTIONS(2244),
    [anon_sym_AMP_AMP] = ACTIONS(2244),
    [anon_sym_AMP] = ACTIONS(2242),
    [anon_sym_SEMI] = ACTIONS(2244),
    [anon_sym___extension__] = ACTIONS(2242),
    [anon_sym_typedef] = ACTIONS(2242),
    [anon_sym_in] = ACTIONS(2242),
    [anon_sym_out] = ACTIONS(2242),
    [anon_sym_inout] = ACTIONS(2242),
    [anon_sym_extern] = ACTIONS(2242),
    [anon_sym___attribute__] = ACTIONS(2242),
    [anon_sym_COLON_COLON] = ACTIONS(2244),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2244),
    [anon_sym___declspec] = ACTIONS(2242),
    [anon_sym___based] = ACTIONS(2242),
    [anon_sym___cdecl] = ACTIONS(2242),
    [anon_sym___clrcall] = ACTIONS(2242),
    [anon_sym___stdcall] = ACTIONS(2242),
    [anon_sym___fastcall] = ACTIONS(2242),
    [anon_sym___thiscall] = ACTIONS(2242),
    [anon_sym___vectorcall] = ACTIONS(2242),
    [anon_sym_LBRACE] = ACTIONS(2244),
    [anon_sym_signed] = ACTIONS(2242),
    [anon_sym_unsigned] = ACTIONS(2242),
    [anon_sym_long] = ACTIONS(2242),
    [anon_sym_short] = ACTIONS(2242),
    [anon_sym_LBRACK] = ACTIONS(2242),
    [anon_sym_static] = ACTIONS(2242),
    [anon_sym_register] = ACTIONS(2242),
    [anon_sym_inline] = ACTIONS(2242),
    [anon_sym___inline] = ACTIONS(2242),
    [anon_sym___inline__] = ACTIONS(2242),
    [anon_sym___forceinline] = ACTIONS(2242),
    [anon_sym_thread_local] = ACTIONS(2242),
    [anon_sym___thread] = ACTIONS(2242),
    [anon_sym_const] = ACTIONS(2242),
    [anon_sym_constexpr] = ACTIONS(2242),
    [anon_sym_volatile] = ACTIONS(2242),
    [anon_sym_restrict] = ACTIONS(2242),
    [anon_sym___restrict__] = ACTIONS(2242),
    [anon_sym__Atomic] = ACTIONS(2242),
    [anon_sym__Noreturn] = ACTIONS(2242),
    [anon_sym_noreturn] = ACTIONS(2242),
    [anon_sym_mutable] = ACTIONS(2242),
    [anon_sym_constinit] = ACTIONS(2242),
    [anon_sym_consteval] = ACTIONS(2242),
    [sym_primitive_type] = ACTIONS(2242),
    [anon_sym_enum] = ACTIONS(2242),
    [anon_sym_class] = ACTIONS(2242),
    [anon_sym_struct] = ACTIONS(2242),
    [anon_sym_union] = ACTIONS(2242),
    [anon_sym_if] = ACTIONS(2242),
    [anon_sym_else] = ACTIONS(2242),
    [anon_sym_switch] = ACTIONS(2242),
    [anon_sym_case] = ACTIONS(2242),
    [anon_sym_default] = ACTIONS(2242),
    [anon_sym_while] = ACTIONS(2242),
    [anon_sym_do] = ACTIONS(2242),
    [anon_sym_for] = ACTIONS(2242),
    [anon_sym_return] = ACTIONS(2242),
    [anon_sym_break] = ACTIONS(2242),
    [anon_sym_continue] = ACTIONS(2242),
    [anon_sym_goto] = ACTIONS(2242),
    [anon_sym___try] = ACTIONS(2242),
    [anon_sym___leave] = ACTIONS(2242),
    [anon_sym_not] = ACTIONS(2242),
    [anon_sym_compl] = ACTIONS(2242),
    [anon_sym_DASH_DASH] = ACTIONS(2244),
    [anon_sym_PLUS_PLUS] = ACTIONS(2244),
    [anon_sym_sizeof] = ACTIONS(2242),
    [anon_sym___alignof__] = ACTIONS(2242),
    [anon_sym___alignof] = ACTIONS(2242),
    [anon_sym__alignof] = ACTIONS(2242),
    [anon_sym_alignof] = ACTIONS(2242),
    [anon_sym__Alignof] = ACTIONS(2242),
    [anon_sym_offsetof] = ACTIONS(2242),
    [anon_sym__Generic] = ACTIONS(2242),
    [anon_sym_asm] = ACTIONS(2242),
    [anon_sym___asm__] = ACTIONS(2242),
    [sym_number_literal] = ACTIONS(2244),
    [anon_sym_L_SQUOTE] = ACTIONS(2244),
    [anon_sym_u_SQUOTE] = ACTIONS(2244),
    [anon_sym_U_SQUOTE] = ACTIONS(2244),
    [anon_sym_u8_SQUOTE] = ACTIONS(2244),
    [anon_sym_SQUOTE] = ACTIONS(2244),
    [anon_sym_L_DQUOTE] = ACTIONS(2244),
    [anon_sym_u_DQUOTE] = ACTIONS(2244),
    [anon_sym_U_DQUOTE] = ACTIONS(2244),
    [anon_sym_u8_DQUOTE] = ACTIONS(2244),
    [anon_sym_DQUOTE] = ACTIONS(2244),
    [sym_true] = ACTIONS(2242),
    [sym_false] = ACTIONS(2242),
    [anon_sym_NULL] = ACTIONS(2242),
    [anon_sym_nullptr] = ACTIONS(2242),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2242),
    [anon_sym_decltype] = ACTIONS(2242),
    [anon_sym_virtual] = ACTIONS(2242),
    [anon_sym_alignas] = ACTIONS(2242),
    [anon_sym_explicit] = ACTIONS(2242),
    [anon_sym_typename] = ACTIONS(2242),
    [anon_sym_template] = ACTIONS(2242),
    [anon_sym_operator] = ACTIONS(2242),
    [anon_sym_try] = ACTIONS(2242),
    [anon_sym_delete] = ACTIONS(2242),
    [anon_sym_throw] = ACTIONS(2242),
    [anon_sym_namespace] = ACTIONS(2242),
    [anon_sym_using] = ACTIONS(2242),
    [anon_sym_static_assert] = ACTIONS(2242),
    [anon_sym_concept] = ACTIONS(2242),
    [anon_sym_co_return] = ACTIONS(2242),
    [anon_sym_co_yield] = ACTIONS(2242),
    [anon_sym_catch] = ACTIONS(2246),
    [anon_sym_R_DQUOTE] = ACTIONS(2244),
    [anon_sym_LR_DQUOTE] = ACTIONS(2244),
    [anon_sym_uR_DQUOTE] = ACTIONS(2244),
    [anon_sym_UR_DQUOTE] = ACTIONS(2244),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2244),
    [anon_sym_co_await] = ACTIONS(2242),
    [anon_sym_new] = ACTIONS(2242),
    [anon_sym_requires] = ACTIONS(2242),
    [sym_this] = ACTIONS(2242),
    [anon_sym_discard] = ACTIONS(2242),
    [anon_sym_precise] = ACTIONS(2242),
    [anon_sym_shared] = ACTIONS(2242),
    [anon_sym_groupshared] = ACTIONS(2242),
    [anon_sym_uniform] = ACTIONS(2242),
    [anon_sym_row_major] = ACTIONS(2242),
    [anon_sym_column_major] = ACTIONS(2242),
    [anon_sym_globallycoherent] = ACTIONS(2242),
    [anon_sym_centroid] = ACTIONS(2242),
    [anon_sym_noperspective] = ACTIONS(2242),
    [anon_sym_nointerpolation] = ACTIONS(2242),
    [anon_sym_sample] = ACTIONS(2242),
    [anon_sym_linear] = ACTIONS(2242),
    [anon_sym_snorm] = ACTIONS(2242),
    [anon_sym_unorm] = ACTIONS(2242),
    [anon_sym_point] = ACTIONS(2242),
    [anon_sym_line] = ACTIONS(2242),
    [anon_sym_triangleadj] = ACTIONS(2242),
    [anon_sym_lineadj] = ACTIONS(2242),
    [anon_sym_triangle] = ACTIONS(2242),
    [anon_sym_cbuffer] = ACTIONS(2242),
  },
  [171] = {
    [sym_template_argument_list] = STATE(200),
    [sym_identifier] = ACTIONS(2224),
    [aux_sym_preproc_include_token1] = ACTIONS(2224),
    [aux_sym_preproc_def_token1] = ACTIONS(2224),
    [aux_sym_preproc_if_token1] = ACTIONS(2224),
    [aux_sym_preproc_if_token2] = ACTIONS(2224),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2224),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2224),
    [aux_sym_preproc_else_token1] = ACTIONS(2224),
    [aux_sym_preproc_elif_token1] = ACTIONS(2224),
    [sym_preproc_directive] = ACTIONS(2224),
    [anon_sym_LPAREN2] = ACTIONS(2226),
    [anon_sym_BANG] = ACTIONS(2226),
    [anon_sym_TILDE] = ACTIONS(2226),
    [anon_sym_DASH] = ACTIONS(2224),
    [anon_sym_PLUS] = ACTIONS(2224),
    [anon_sym_STAR] = ACTIONS(2226),
    [anon_sym_AMP_AMP] = ACTIONS(2226),
    [anon_sym_AMP] = ACTIONS(2224),
    [anon_sym_LT] = ACTIONS(2248),
    [anon_sym_COLON] = ACTIONS(2224),
    [anon_sym_SEMI] = ACTIONS(2226),
    [anon_sym___extension__] = ACTIONS(2224),
    [anon_sym_typedef] = ACTIONS(2224),
    [anon_sym_in] = ACTIONS(2224),
    [anon_sym_out] = ACTIONS(2224),
    [anon_sym_inout] = ACTIONS(2224),
    [anon_sym_extern] = ACTIONS(2224),
    [anon_sym___attribute__] = ACTIONS(2224),
    [anon_sym_COLON_COLON] = ACTIONS(2230),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2226),
    [anon_sym___declspec] = ACTIONS(2224),
    [anon_sym___based] = ACTIONS(2224),
    [anon_sym___cdecl] = ACTIONS(2224),
    [anon_sym___clrcall] = ACTIONS(2224),
    [anon_sym___stdcall] = ACTIONS(2224),
    [anon_sym___fastcall] = ACTIONS(2224),
    [anon_sym___thiscall] = ACTIONS(2224),
    [anon_sym___vectorcall] = ACTIONS(2224),
    [anon_sym_LBRACE] = ACTIONS(2226),
    [anon_sym_signed] = ACTIONS(2224),
    [anon_sym_unsigned] = ACTIONS(2224),
    [anon_sym_long] = ACTIONS(2224),
    [anon_sym_short] = ACTIONS(2224),
    [anon_sym_LBRACK] = ACTIONS(2224),
    [anon_sym_static] = ACTIONS(2224),
    [anon_sym_register] = ACTIONS(2224),
    [anon_sym_inline] = ACTIONS(2224),
    [anon_sym___inline] = ACTIONS(2224),
    [anon_sym___inline__] = ACTIONS(2224),
    [anon_sym___forceinline] = ACTIONS(2224),
    [anon_sym_thread_local] = ACTIONS(2224),
    [anon_sym___thread] = ACTIONS(2224),
    [anon_sym_const] = ACTIONS(2224),
    [anon_sym_constexpr] = ACTIONS(2224),
    [anon_sym_volatile] = ACTIONS(2224),
    [anon_sym_restrict] = ACTIONS(2224),
    [anon_sym___restrict__] = ACTIONS(2224),
    [anon_sym__Atomic] = ACTIONS(2224),
    [anon_sym__Noreturn] = ACTIONS(2224),
    [anon_sym_noreturn] = ACTIONS(2224),
    [anon_sym_mutable] = ACTIONS(2224),
    [anon_sym_constinit] = ACTIONS(2224),
    [anon_sym_consteval] = ACTIONS(2224),
    [sym_primitive_type] = ACTIONS(2224),
    [anon_sym_enum] = ACTIONS(2224),
    [anon_sym_class] = ACTIONS(2224),
    [anon_sym_struct] = ACTIONS(2224),
    [anon_sym_union] = ACTIONS(2224),
    [anon_sym_if] = ACTIONS(2224),
    [anon_sym_else] = ACTIONS(2224),
    [anon_sym_switch] = ACTIONS(2224),
    [anon_sym_case] = ACTIONS(2224),
    [anon_sym_default] = ACTIONS(2224),
    [anon_sym_while] = ACTIONS(2224),
    [anon_sym_do] = ACTIONS(2224),
    [anon_sym_for] = ACTIONS(2224),
    [anon_sym_return] = ACTIONS(2224),
    [anon_sym_break] = ACTIONS(2224),
    [anon_sym_continue] = ACTIONS(2224),
    [anon_sym_goto] = ACTIONS(2224),
    [anon_sym___try] = ACTIONS(2224),
    [anon_sym___leave] = ACTIONS(2224),
    [anon_sym_not] = ACTIONS(2224),
    [anon_sym_compl] = ACTIONS(2224),
    [anon_sym_DASH_DASH] = ACTIONS(2226),
    [anon_sym_PLUS_PLUS] = ACTIONS(2226),
    [anon_sym_sizeof] = ACTIONS(2224),
    [anon_sym___alignof__] = ACTIONS(2224),
    [anon_sym___alignof] = ACTIONS(2224),
    [anon_sym__alignof] = ACTIONS(2224),
    [anon_sym_alignof] = ACTIONS(2224),
    [anon_sym__Alignof] = ACTIONS(2224),
    [anon_sym_offsetof] = ACTIONS(2224),
    [anon_sym__Generic] = ACTIONS(2224),
    [anon_sym_asm] = ACTIONS(2224),
    [anon_sym___asm__] = ACTIONS(2224),
    [sym_number_literal] = ACTIONS(2226),
    [anon_sym_L_SQUOTE] = ACTIONS(2226),
    [anon_sym_u_SQUOTE] = ACTIONS(2226),
    [anon_sym_U_SQUOTE] = ACTIONS(2226),
    [anon_sym_u8_SQUOTE] = ACTIONS(2226),
    [anon_sym_SQUOTE] = ACTIONS(2226),
    [anon_sym_L_DQUOTE] = ACTIONS(2226),
    [anon_sym_u_DQUOTE] = ACTIONS(2226),
    [anon_sym_U_DQUOTE] = ACTIONS(2226),
    [anon_sym_u8_DQUOTE] = ACTIONS(2226),
    [anon_sym_DQUOTE] = ACTIONS(2226),
    [sym_true] = ACTIONS(2224),
    [sym_false] = ACTIONS(2224),
    [anon_sym_NULL] = ACTIONS(2224),
    [anon_sym_nullptr] = ACTIONS(2224),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2224),
    [anon_sym_decltype] = ACTIONS(2224),
    [anon_sym_final] = ACTIONS(2224),
    [anon_sym_override] = ACTIONS(2224),
    [anon_sym_virtual] = ACTIONS(2224),
    [anon_sym_alignas] = ACTIONS(2224),
    [anon_sym_explicit] = ACTIONS(2224),
    [anon_sym_typename] = ACTIONS(2224),
    [anon_sym_template] = ACTIONS(2224),
    [anon_sym_operator] = ACTIONS(2224),
    [anon_sym_try] = ACTIONS(2224),
    [anon_sym_delete] = ACTIONS(2224),
    [anon_sym_throw] = ACTIONS(2224),
    [anon_sym_namespace] = ACTIONS(2224),
    [anon_sym_using] = ACTIONS(2224),
    [anon_sym_static_assert] = ACTIONS(2224),
    [anon_sym_concept] = ACTIONS(2224),
    [anon_sym_co_return] = ACTIONS(2224),
    [anon_sym_co_yield] = ACTIONS(2224),
    [anon_sym_R_DQUOTE] = ACTIONS(2226),
    [anon_sym_LR_DQUOTE] = ACTIONS(2226),
    [anon_sym_uR_DQUOTE] = ACTIONS(2226),
    [anon_sym_UR_DQUOTE] = ACTIONS(2226),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2226),
    [anon_sym_co_await] = ACTIONS(2224),
    [anon_sym_new] = ACTIONS(2224),
    [anon_sym_requires] = ACTIONS(2224),
    [sym_this] = ACTIONS(2224),
    [anon_sym_discard] = ACTIONS(2224),
    [anon_sym_precise] = ACTIONS(2224),
    [anon_sym_shared] = ACTIONS(2224),
    [anon_sym_groupshared] = ACTIONS(2224),
    [anon_sym_uniform] = ACTIONS(2224),
    [anon_sym_row_major] = ACTIONS(2224),
    [anon_sym_column_major] = ACTIONS(2224),
    [anon_sym_globallycoherent] = ACTIONS(2224),
    [anon_sym_centroid] = ACTIONS(2224),
    [anon_sym_noperspective] = ACTIONS(2224),
    [anon_sym_nointerpolation] = ACTIONS(2224),
    [anon_sym_sample] = ACTIONS(2224),
    [anon_sym_linear] = ACTIONS(2224),
    [anon_sym_snorm] = ACTIONS(2224),
    [anon_sym_unorm] = ACTIONS(2224),
    [anon_sym_point] = ACTIONS(2224),
    [anon_sym_line] = ACTIONS(2224),
    [anon_sym_triangleadj] = ACTIONS(2224),
    [anon_sym_lineadj] = ACTIONS(2224),
    [anon_sym_triangle] = ACTIONS(2224),
    [anon_sym_cbuffer] = ACTIONS(2224),
  },
  [172] = {
    [sym_identifier] = ACTIONS(2208),
    [aux_sym_preproc_include_token1] = ACTIONS(2208),
    [aux_sym_preproc_def_token1] = ACTIONS(2208),
    [aux_sym_preproc_if_token1] = ACTIONS(2208),
    [aux_sym_preproc_if_token2] = ACTIONS(2208),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2208),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2208),
    [aux_sym_preproc_else_token1] = ACTIONS(2208),
    [aux_sym_preproc_elif_token1] = ACTIONS(2208),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2208),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2208),
    [sym_preproc_directive] = ACTIONS(2208),
    [anon_sym_LPAREN2] = ACTIONS(2210),
    [anon_sym_BANG] = ACTIONS(2210),
    [anon_sym_TILDE] = ACTIONS(2210),
    [anon_sym_DASH] = ACTIONS(2208),
    [anon_sym_PLUS] = ACTIONS(2208),
    [anon_sym_STAR] = ACTIONS(2210),
    [anon_sym_AMP_AMP] = ACTIONS(2210),
    [anon_sym_AMP] = ACTIONS(2208),
    [anon_sym_COLON] = ACTIONS(2208),
    [anon_sym_SEMI] = ACTIONS(2210),
    [anon_sym___extension__] = ACTIONS(2208),
    [anon_sym_typedef] = ACTIONS(2208),
    [anon_sym_in] = ACTIONS(2208),
    [anon_sym_out] = ACTIONS(2208),
    [anon_sym_inout] = ACTIONS(2208),
    [anon_sym_extern] = ACTIONS(2208),
    [anon_sym___attribute__] = ACTIONS(2208),
    [anon_sym_COLON_COLON] = ACTIONS(2210),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2210),
    [anon_sym___declspec] = ACTIONS(2208),
    [anon_sym___based] = ACTIONS(2208),
    [anon_sym___cdecl] = ACTIONS(2208),
    [anon_sym___clrcall] = ACTIONS(2208),
    [anon_sym___stdcall] = ACTIONS(2208),
    [anon_sym___fastcall] = ACTIONS(2208),
    [anon_sym___thiscall] = ACTIONS(2208),
    [anon_sym___vectorcall] = ACTIONS(2208),
    [anon_sym_LBRACE] = ACTIONS(2210),
    [anon_sym_signed] = ACTIONS(2208),
    [anon_sym_unsigned] = ACTIONS(2208),
    [anon_sym_long] = ACTIONS(2208),
    [anon_sym_short] = ACTIONS(2208),
    [anon_sym_LBRACK] = ACTIONS(2208),
    [anon_sym_static] = ACTIONS(2208),
    [anon_sym_register] = ACTIONS(2208),
    [anon_sym_inline] = ACTIONS(2208),
    [anon_sym___inline] = ACTIONS(2208),
    [anon_sym___inline__] = ACTIONS(2208),
    [anon_sym___forceinline] = ACTIONS(2208),
    [anon_sym_thread_local] = ACTIONS(2208),
    [anon_sym___thread] = ACTIONS(2208),
    [anon_sym_const] = ACTIONS(2208),
    [anon_sym_constexpr] = ACTIONS(2208),
    [anon_sym_volatile] = ACTIONS(2208),
    [anon_sym_restrict] = ACTIONS(2208),
    [anon_sym___restrict__] = ACTIONS(2208),
    [anon_sym__Atomic] = ACTIONS(2208),
    [anon_sym__Noreturn] = ACTIONS(2208),
    [anon_sym_noreturn] = ACTIONS(2208),
    [anon_sym_mutable] = ACTIONS(2208),
    [anon_sym_constinit] = ACTIONS(2208),
    [anon_sym_consteval] = ACTIONS(2208),
    [sym_primitive_type] = ACTIONS(2208),
    [anon_sym_enum] = ACTIONS(2208),
    [anon_sym_class] = ACTIONS(2208),
    [anon_sym_struct] = ACTIONS(2208),
    [anon_sym_union] = ACTIONS(2208),
    [anon_sym_if] = ACTIONS(2208),
    [anon_sym_else] = ACTIONS(2208),
    [anon_sym_switch] = ACTIONS(2208),
    [anon_sym_case] = ACTIONS(2208),
    [anon_sym_default] = ACTIONS(2208),
    [anon_sym_while] = ACTIONS(2208),
    [anon_sym_do] = ACTIONS(2208),
    [anon_sym_for] = ACTIONS(2208),
    [anon_sym_return] = ACTIONS(2208),
    [anon_sym_break] = ACTIONS(2208),
    [anon_sym_continue] = ACTIONS(2208),
    [anon_sym_goto] = ACTIONS(2208),
    [anon_sym___try] = ACTIONS(2208),
    [anon_sym___leave] = ACTIONS(2208),
    [anon_sym_not] = ACTIONS(2208),
    [anon_sym_compl] = ACTIONS(2208),
    [anon_sym_DASH_DASH] = ACTIONS(2210),
    [anon_sym_PLUS_PLUS] = ACTIONS(2210),
    [anon_sym_sizeof] = ACTIONS(2208),
    [anon_sym___alignof__] = ACTIONS(2208),
    [anon_sym___alignof] = ACTIONS(2208),
    [anon_sym__alignof] = ACTIONS(2208),
    [anon_sym_alignof] = ACTIONS(2208),
    [anon_sym__Alignof] = ACTIONS(2208),
    [anon_sym_offsetof] = ACTIONS(2208),
    [anon_sym__Generic] = ACTIONS(2208),
    [anon_sym_asm] = ACTIONS(2208),
    [anon_sym___asm__] = ACTIONS(2208),
    [sym_number_literal] = ACTIONS(2210),
    [anon_sym_L_SQUOTE] = ACTIONS(2210),
    [anon_sym_u_SQUOTE] = ACTIONS(2210),
    [anon_sym_U_SQUOTE] = ACTIONS(2210),
    [anon_sym_u8_SQUOTE] = ACTIONS(2210),
    [anon_sym_SQUOTE] = ACTIONS(2210),
    [anon_sym_L_DQUOTE] = ACTIONS(2210),
    [anon_sym_u_DQUOTE] = ACTIONS(2210),
    [anon_sym_U_DQUOTE] = ACTIONS(2210),
    [anon_sym_u8_DQUOTE] = ACTIONS(2210),
    [anon_sym_DQUOTE] = ACTIONS(2210),
    [sym_true] = ACTIONS(2208),
    [sym_false] = ACTIONS(2208),
    [anon_sym_NULL] = ACTIONS(2208),
    [anon_sym_nullptr] = ACTIONS(2208),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2208),
    [anon_sym_decltype] = ACTIONS(2208),
    [anon_sym_final] = ACTIONS(2208),
    [anon_sym_override] = ACTIONS(2208),
    [anon_sym_virtual] = ACTIONS(2208),
    [anon_sym_alignas] = ACTIONS(2208),
    [anon_sym_explicit] = ACTIONS(2208),
    [anon_sym_typename] = ACTIONS(2208),
    [anon_sym_template] = ACTIONS(2208),
    [anon_sym_operator] = ACTIONS(2208),
    [anon_sym_try] = ACTIONS(2208),
    [anon_sym_delete] = ACTIONS(2208),
    [anon_sym_throw] = ACTIONS(2208),
    [anon_sym_namespace] = ACTIONS(2208),
    [anon_sym_using] = ACTIONS(2208),
    [anon_sym_static_assert] = ACTIONS(2208),
    [anon_sym_concept] = ACTIONS(2208),
    [anon_sym_co_return] = ACTIONS(2208),
    [anon_sym_co_yield] = ACTIONS(2208),
    [anon_sym_R_DQUOTE] = ACTIONS(2210),
    [anon_sym_LR_DQUOTE] = ACTIONS(2210),
    [anon_sym_uR_DQUOTE] = ACTIONS(2210),
    [anon_sym_UR_DQUOTE] = ACTIONS(2210),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2210),
    [anon_sym_co_await] = ACTIONS(2208),
    [anon_sym_new] = ACTIONS(2208),
    [anon_sym_requires] = ACTIONS(2208),
    [sym_this] = ACTIONS(2208),
    [anon_sym_discard] = ACTIONS(2208),
    [anon_sym_precise] = ACTIONS(2208),
    [anon_sym_shared] = ACTIONS(2208),
    [anon_sym_groupshared] = ACTIONS(2208),
    [anon_sym_uniform] = ACTIONS(2208),
    [anon_sym_row_major] = ACTIONS(2208),
    [anon_sym_column_major] = ACTIONS(2208),
    [anon_sym_globallycoherent] = ACTIONS(2208),
    [anon_sym_centroid] = ACTIONS(2208),
    [anon_sym_noperspective] = ACTIONS(2208),
    [anon_sym_nointerpolation] = ACTIONS(2208),
    [anon_sym_sample] = ACTIONS(2208),
    [anon_sym_linear] = ACTIONS(2208),
    [anon_sym_snorm] = ACTIONS(2208),
    [anon_sym_unorm] = ACTIONS(2208),
    [anon_sym_point] = ACTIONS(2208),
    [anon_sym_line] = ACTIONS(2208),
    [anon_sym_triangleadj] = ACTIONS(2208),
    [anon_sym_lineadj] = ACTIONS(2208),
    [anon_sym_triangle] = ACTIONS(2208),
    [anon_sym_cbuffer] = ACTIONS(2208),
  },
  [173] = {
    [sym_identifier] = ACTIONS(2186),
    [aux_sym_preproc_include_token1] = ACTIONS(2186),
    [aux_sym_preproc_def_token1] = ACTIONS(2186),
    [aux_sym_preproc_if_token1] = ACTIONS(2186),
    [aux_sym_preproc_if_token2] = ACTIONS(2186),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2186),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2186),
    [aux_sym_preproc_else_token1] = ACTIONS(2186),
    [aux_sym_preproc_elif_token1] = ACTIONS(2186),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2186),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2186),
    [sym_preproc_directive] = ACTIONS(2186),
    [anon_sym_LPAREN2] = ACTIONS(2188),
    [anon_sym_BANG] = ACTIONS(2188),
    [anon_sym_TILDE] = ACTIONS(2188),
    [anon_sym_DASH] = ACTIONS(2186),
    [anon_sym_PLUS] = ACTIONS(2186),
    [anon_sym_STAR] = ACTIONS(2188),
    [anon_sym_AMP_AMP] = ACTIONS(2188),
    [anon_sym_AMP] = ACTIONS(2186),
    [anon_sym_COLON] = ACTIONS(2186),
    [anon_sym_SEMI] = ACTIONS(2188),
    [anon_sym___extension__] = ACTIONS(2186),
    [anon_sym_typedef] = ACTIONS(2186),
    [anon_sym_in] = ACTIONS(2186),
    [anon_sym_out] = ACTIONS(2186),
    [anon_sym_inout] = ACTIONS(2186),
    [anon_sym_extern] = ACTIONS(2186),
    [anon_sym___attribute__] = ACTIONS(2186),
    [anon_sym_COLON_COLON] = ACTIONS(2188),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2188),
    [anon_sym___declspec] = ACTIONS(2186),
    [anon_sym___based] = ACTIONS(2186),
    [anon_sym___cdecl] = ACTIONS(2186),
    [anon_sym___clrcall] = ACTIONS(2186),
    [anon_sym___stdcall] = ACTIONS(2186),
    [anon_sym___fastcall] = ACTIONS(2186),
    [anon_sym___thiscall] = ACTIONS(2186),
    [anon_sym___vectorcall] = ACTIONS(2186),
    [anon_sym_LBRACE] = ACTIONS(2188),
    [anon_sym_signed] = ACTIONS(2186),
    [anon_sym_unsigned] = ACTIONS(2186),
    [anon_sym_long] = ACTIONS(2186),
    [anon_sym_short] = ACTIONS(2186),
    [anon_sym_LBRACK] = ACTIONS(2186),
    [anon_sym_static] = ACTIONS(2186),
    [anon_sym_register] = ACTIONS(2186),
    [anon_sym_inline] = ACTIONS(2186),
    [anon_sym___inline] = ACTIONS(2186),
    [anon_sym___inline__] = ACTIONS(2186),
    [anon_sym___forceinline] = ACTIONS(2186),
    [anon_sym_thread_local] = ACTIONS(2186),
    [anon_sym___thread] = ACTIONS(2186),
    [anon_sym_const] = ACTIONS(2186),
    [anon_sym_constexpr] = ACTIONS(2186),
    [anon_sym_volatile] = ACTIONS(2186),
    [anon_sym_restrict] = ACTIONS(2186),
    [anon_sym___restrict__] = ACTIONS(2186),
    [anon_sym__Atomic] = ACTIONS(2186),
    [anon_sym__Noreturn] = ACTIONS(2186),
    [anon_sym_noreturn] = ACTIONS(2186),
    [anon_sym_mutable] = ACTIONS(2186),
    [anon_sym_constinit] = ACTIONS(2186),
    [anon_sym_consteval] = ACTIONS(2186),
    [sym_primitive_type] = ACTIONS(2186),
    [anon_sym_enum] = ACTIONS(2186),
    [anon_sym_class] = ACTIONS(2186),
    [anon_sym_struct] = ACTIONS(2186),
    [anon_sym_union] = ACTIONS(2186),
    [anon_sym_if] = ACTIONS(2186),
    [anon_sym_else] = ACTIONS(2186),
    [anon_sym_switch] = ACTIONS(2186),
    [anon_sym_case] = ACTIONS(2186),
    [anon_sym_default] = ACTIONS(2186),
    [anon_sym_while] = ACTIONS(2186),
    [anon_sym_do] = ACTIONS(2186),
    [anon_sym_for] = ACTIONS(2186),
    [anon_sym_return] = ACTIONS(2186),
    [anon_sym_break] = ACTIONS(2186),
    [anon_sym_continue] = ACTIONS(2186),
    [anon_sym_goto] = ACTIONS(2186),
    [anon_sym___try] = ACTIONS(2186),
    [anon_sym___leave] = ACTIONS(2186),
    [anon_sym_not] = ACTIONS(2186),
    [anon_sym_compl] = ACTIONS(2186),
    [anon_sym_DASH_DASH] = ACTIONS(2188),
    [anon_sym_PLUS_PLUS] = ACTIONS(2188),
    [anon_sym_sizeof] = ACTIONS(2186),
    [anon_sym___alignof__] = ACTIONS(2186),
    [anon_sym___alignof] = ACTIONS(2186),
    [anon_sym__alignof] = ACTIONS(2186),
    [anon_sym_alignof] = ACTIONS(2186),
    [anon_sym__Alignof] = ACTIONS(2186),
    [anon_sym_offsetof] = ACTIONS(2186),
    [anon_sym__Generic] = ACTIONS(2186),
    [anon_sym_asm] = ACTIONS(2186),
    [anon_sym___asm__] = ACTIONS(2186),
    [sym_number_literal] = ACTIONS(2188),
    [anon_sym_L_SQUOTE] = ACTIONS(2188),
    [anon_sym_u_SQUOTE] = ACTIONS(2188),
    [anon_sym_U_SQUOTE] = ACTIONS(2188),
    [anon_sym_u8_SQUOTE] = ACTIONS(2188),
    [anon_sym_SQUOTE] = ACTIONS(2188),
    [anon_sym_L_DQUOTE] = ACTIONS(2188),
    [anon_sym_u_DQUOTE] = ACTIONS(2188),
    [anon_sym_U_DQUOTE] = ACTIONS(2188),
    [anon_sym_u8_DQUOTE] = ACTIONS(2188),
    [anon_sym_DQUOTE] = ACTIONS(2188),
    [sym_true] = ACTIONS(2186),
    [sym_false] = ACTIONS(2186),
    [anon_sym_NULL] = ACTIONS(2186),
    [anon_sym_nullptr] = ACTIONS(2186),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2186),
    [anon_sym_decltype] = ACTIONS(2186),
    [anon_sym_final] = ACTIONS(2186),
    [anon_sym_override] = ACTIONS(2186),
    [anon_sym_virtual] = ACTIONS(2186),
    [anon_sym_alignas] = ACTIONS(2186),
    [anon_sym_explicit] = ACTIONS(2186),
    [anon_sym_typename] = ACTIONS(2186),
    [anon_sym_template] = ACTIONS(2186),
    [anon_sym_operator] = ACTIONS(2186),
    [anon_sym_try] = ACTIONS(2186),
    [anon_sym_delete] = ACTIONS(2186),
    [anon_sym_throw] = ACTIONS(2186),
    [anon_sym_namespace] = ACTIONS(2186),
    [anon_sym_using] = ACTIONS(2186),
    [anon_sym_static_assert] = ACTIONS(2186),
    [anon_sym_concept] = ACTIONS(2186),
    [anon_sym_co_return] = ACTIONS(2186),
    [anon_sym_co_yield] = ACTIONS(2186),
    [anon_sym_R_DQUOTE] = ACTIONS(2188),
    [anon_sym_LR_DQUOTE] = ACTIONS(2188),
    [anon_sym_uR_DQUOTE] = ACTIONS(2188),
    [anon_sym_UR_DQUOTE] = ACTIONS(2188),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2188),
    [anon_sym_co_await] = ACTIONS(2186),
    [anon_sym_new] = ACTIONS(2186),
    [anon_sym_requires] = ACTIONS(2186),
    [sym_this] = ACTIONS(2186),
    [anon_sym_discard] = ACTIONS(2186),
    [anon_sym_precise] = ACTIONS(2186),
    [anon_sym_shared] = ACTIONS(2186),
    [anon_sym_groupshared] = ACTIONS(2186),
    [anon_sym_uniform] = ACTIONS(2186),
    [anon_sym_row_major] = ACTIONS(2186),
    [anon_sym_column_major] = ACTIONS(2186),
    [anon_sym_globallycoherent] = ACTIONS(2186),
    [anon_sym_centroid] = ACTIONS(2186),
    [anon_sym_noperspective] = ACTIONS(2186),
    [anon_sym_nointerpolation] = ACTIONS(2186),
    [anon_sym_sample] = ACTIONS(2186),
    [anon_sym_linear] = ACTIONS(2186),
    [anon_sym_snorm] = ACTIONS(2186),
    [anon_sym_unorm] = ACTIONS(2186),
    [anon_sym_point] = ACTIONS(2186),
    [anon_sym_line] = ACTIONS(2186),
    [anon_sym_triangleadj] = ACTIONS(2186),
    [anon_sym_lineadj] = ACTIONS(2186),
    [anon_sym_triangle] = ACTIONS(2186),
    [anon_sym_cbuffer] = ACTIONS(2186),
  },
  [174] = {
    [sym_identifier] = ACTIONS(2250),
    [aux_sym_preproc_include_token1] = ACTIONS(2250),
    [aux_sym_preproc_def_token1] = ACTIONS(2250),
    [aux_sym_preproc_if_token1] = ACTIONS(2250),
    [aux_sym_preproc_if_token2] = ACTIONS(2250),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2250),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2250),
    [aux_sym_preproc_else_token1] = ACTIONS(2250),
    [aux_sym_preproc_elif_token1] = ACTIONS(2250),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2250),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2250),
    [sym_preproc_directive] = ACTIONS(2250),
    [anon_sym_LPAREN2] = ACTIONS(2252),
    [anon_sym_BANG] = ACTIONS(2252),
    [anon_sym_TILDE] = ACTIONS(2252),
    [anon_sym_DASH] = ACTIONS(2250),
    [anon_sym_PLUS] = ACTIONS(2250),
    [anon_sym_STAR] = ACTIONS(2252),
    [anon_sym_AMP_AMP] = ACTIONS(2252),
    [anon_sym_AMP] = ACTIONS(2250),
    [anon_sym_COLON] = ACTIONS(2250),
    [anon_sym_SEMI] = ACTIONS(2252),
    [anon_sym___extension__] = ACTIONS(2250),
    [anon_sym_typedef] = ACTIONS(2250),
    [anon_sym_in] = ACTIONS(2250),
    [anon_sym_out] = ACTIONS(2250),
    [anon_sym_inout] = ACTIONS(2250),
    [anon_sym_extern] = ACTIONS(2250),
    [anon_sym___attribute__] = ACTIONS(2250),
    [anon_sym_COLON_COLON] = ACTIONS(2252),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2252),
    [anon_sym___declspec] = ACTIONS(2250),
    [anon_sym___based] = ACTIONS(2250),
    [anon_sym___cdecl] = ACTIONS(2250),
    [anon_sym___clrcall] = ACTIONS(2250),
    [anon_sym___stdcall] = ACTIONS(2250),
    [anon_sym___fastcall] = ACTIONS(2250),
    [anon_sym___thiscall] = ACTIONS(2250),
    [anon_sym___vectorcall] = ACTIONS(2250),
    [anon_sym_LBRACE] = ACTIONS(2252),
    [anon_sym_signed] = ACTIONS(2250),
    [anon_sym_unsigned] = ACTIONS(2250),
    [anon_sym_long] = ACTIONS(2250),
    [anon_sym_short] = ACTIONS(2250),
    [anon_sym_LBRACK] = ACTIONS(2250),
    [anon_sym_static] = ACTIONS(2250),
    [anon_sym_register] = ACTIONS(2250),
    [anon_sym_inline] = ACTIONS(2250),
    [anon_sym___inline] = ACTIONS(2250),
    [anon_sym___inline__] = ACTIONS(2250),
    [anon_sym___forceinline] = ACTIONS(2250),
    [anon_sym_thread_local] = ACTIONS(2250),
    [anon_sym___thread] = ACTIONS(2250),
    [anon_sym_const] = ACTIONS(2250),
    [anon_sym_constexpr] = ACTIONS(2250),
    [anon_sym_volatile] = ACTIONS(2250),
    [anon_sym_restrict] = ACTIONS(2250),
    [anon_sym___restrict__] = ACTIONS(2250),
    [anon_sym__Atomic] = ACTIONS(2250),
    [anon_sym__Noreturn] = ACTIONS(2250),
    [anon_sym_noreturn] = ACTIONS(2250),
    [anon_sym_mutable] = ACTIONS(2250),
    [anon_sym_constinit] = ACTIONS(2250),
    [anon_sym_consteval] = ACTIONS(2250),
    [sym_primitive_type] = ACTIONS(2250),
    [anon_sym_enum] = ACTIONS(2250),
    [anon_sym_class] = ACTIONS(2250),
    [anon_sym_struct] = ACTIONS(2250),
    [anon_sym_union] = ACTIONS(2250),
    [anon_sym_if] = ACTIONS(2250),
    [anon_sym_else] = ACTIONS(2250),
    [anon_sym_switch] = ACTIONS(2250),
    [anon_sym_case] = ACTIONS(2250),
    [anon_sym_default] = ACTIONS(2250),
    [anon_sym_while] = ACTIONS(2250),
    [anon_sym_do] = ACTIONS(2250),
    [anon_sym_for] = ACTIONS(2250),
    [anon_sym_return] = ACTIONS(2250),
    [anon_sym_break] = ACTIONS(2250),
    [anon_sym_continue] = ACTIONS(2250),
    [anon_sym_goto] = ACTIONS(2250),
    [anon_sym___try] = ACTIONS(2250),
    [anon_sym___leave] = ACTIONS(2250),
    [anon_sym_not] = ACTIONS(2250),
    [anon_sym_compl] = ACTIONS(2250),
    [anon_sym_DASH_DASH] = ACTIONS(2252),
    [anon_sym_PLUS_PLUS] = ACTIONS(2252),
    [anon_sym_sizeof] = ACTIONS(2250),
    [anon_sym___alignof__] = ACTIONS(2250),
    [anon_sym___alignof] = ACTIONS(2250),
    [anon_sym__alignof] = ACTIONS(2250),
    [anon_sym_alignof] = ACTIONS(2250),
    [anon_sym__Alignof] = ACTIONS(2250),
    [anon_sym_offsetof] = ACTIONS(2250),
    [anon_sym__Generic] = ACTIONS(2250),
    [anon_sym_asm] = ACTIONS(2250),
    [anon_sym___asm__] = ACTIONS(2250),
    [sym_number_literal] = ACTIONS(2252),
    [anon_sym_L_SQUOTE] = ACTIONS(2252),
    [anon_sym_u_SQUOTE] = ACTIONS(2252),
    [anon_sym_U_SQUOTE] = ACTIONS(2252),
    [anon_sym_u8_SQUOTE] = ACTIONS(2252),
    [anon_sym_SQUOTE] = ACTIONS(2252),
    [anon_sym_L_DQUOTE] = ACTIONS(2252),
    [anon_sym_u_DQUOTE] = ACTIONS(2252),
    [anon_sym_U_DQUOTE] = ACTIONS(2252),
    [anon_sym_u8_DQUOTE] = ACTIONS(2252),
    [anon_sym_DQUOTE] = ACTIONS(2252),
    [sym_true] = ACTIONS(2250),
    [sym_false] = ACTIONS(2250),
    [anon_sym_NULL] = ACTIONS(2250),
    [anon_sym_nullptr] = ACTIONS(2250),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2250),
    [anon_sym_decltype] = ACTIONS(2250),
    [anon_sym_final] = ACTIONS(2250),
    [anon_sym_override] = ACTIONS(2250),
    [anon_sym_virtual] = ACTIONS(2250),
    [anon_sym_alignas] = ACTIONS(2250),
    [anon_sym_explicit] = ACTIONS(2250),
    [anon_sym_typename] = ACTIONS(2250),
    [anon_sym_template] = ACTIONS(2250),
    [anon_sym_operator] = ACTIONS(2250),
    [anon_sym_try] = ACTIONS(2250),
    [anon_sym_delete] = ACTIONS(2250),
    [anon_sym_throw] = ACTIONS(2250),
    [anon_sym_namespace] = ACTIONS(2250),
    [anon_sym_using] = ACTIONS(2250),
    [anon_sym_static_assert] = ACTIONS(2250),
    [anon_sym_concept] = ACTIONS(2250),
    [anon_sym_co_return] = ACTIONS(2250),
    [anon_sym_co_yield] = ACTIONS(2250),
    [anon_sym_R_DQUOTE] = ACTIONS(2252),
    [anon_sym_LR_DQUOTE] = ACTIONS(2252),
    [anon_sym_uR_DQUOTE] = ACTIONS(2252),
    [anon_sym_UR_DQUOTE] = ACTIONS(2252),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2252),
    [anon_sym_co_await] = ACTIONS(2250),
    [anon_sym_new] = ACTIONS(2250),
    [anon_sym_requires] = ACTIONS(2250),
    [sym_this] = ACTIONS(2250),
    [anon_sym_discard] = ACTIONS(2250),
    [anon_sym_precise] = ACTIONS(2250),
    [anon_sym_shared] = ACTIONS(2250),
    [anon_sym_groupshared] = ACTIONS(2250),
    [anon_sym_uniform] = ACTIONS(2250),
    [anon_sym_row_major] = ACTIONS(2250),
    [anon_sym_column_major] = ACTIONS(2250),
    [anon_sym_globallycoherent] = ACTIONS(2250),
    [anon_sym_centroid] = ACTIONS(2250),
    [anon_sym_noperspective] = ACTIONS(2250),
    [anon_sym_nointerpolation] = ACTIONS(2250),
    [anon_sym_sample] = ACTIONS(2250),
    [anon_sym_linear] = ACTIONS(2250),
    [anon_sym_snorm] = ACTIONS(2250),
    [anon_sym_unorm] = ACTIONS(2250),
    [anon_sym_point] = ACTIONS(2250),
    [anon_sym_line] = ACTIONS(2250),
    [anon_sym_triangleadj] = ACTIONS(2250),
    [anon_sym_lineadj] = ACTIONS(2250),
    [anon_sym_triangle] = ACTIONS(2250),
    [anon_sym_cbuffer] = ACTIONS(2250),
  },
  [175] = {
    [sym_identifier] = ACTIONS(2254),
    [aux_sym_preproc_include_token1] = ACTIONS(2254),
    [aux_sym_preproc_def_token1] = ACTIONS(2254),
    [aux_sym_preproc_if_token1] = ACTIONS(2254),
    [aux_sym_preproc_if_token2] = ACTIONS(2254),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2254),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2254),
    [aux_sym_preproc_else_token1] = ACTIONS(2254),
    [aux_sym_preproc_elif_token1] = ACTIONS(2254),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2254),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2254),
    [sym_preproc_directive] = ACTIONS(2254),
    [anon_sym_LPAREN2] = ACTIONS(2256),
    [anon_sym_BANG] = ACTIONS(2256),
    [anon_sym_TILDE] = ACTIONS(2256),
    [anon_sym_DASH] = ACTIONS(2254),
    [anon_sym_PLUS] = ACTIONS(2254),
    [anon_sym_STAR] = ACTIONS(2256),
    [anon_sym_AMP_AMP] = ACTIONS(2256),
    [anon_sym_AMP] = ACTIONS(2254),
    [anon_sym_COLON] = ACTIONS(2254),
    [anon_sym_SEMI] = ACTIONS(2256),
    [anon_sym___extension__] = ACTIONS(2254),
    [anon_sym_typedef] = ACTIONS(2254),
    [anon_sym_in] = ACTIONS(2254),
    [anon_sym_out] = ACTIONS(2254),
    [anon_sym_inout] = ACTIONS(2254),
    [anon_sym_extern] = ACTIONS(2254),
    [anon_sym___attribute__] = ACTIONS(2254),
    [anon_sym_COLON_COLON] = ACTIONS(2256),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2256),
    [anon_sym___declspec] = ACTIONS(2254),
    [anon_sym___based] = ACTIONS(2254),
    [anon_sym___cdecl] = ACTIONS(2254),
    [anon_sym___clrcall] = ACTIONS(2254),
    [anon_sym___stdcall] = ACTIONS(2254),
    [anon_sym___fastcall] = ACTIONS(2254),
    [anon_sym___thiscall] = ACTIONS(2254),
    [anon_sym___vectorcall] = ACTIONS(2254),
    [anon_sym_LBRACE] = ACTIONS(2256),
    [anon_sym_signed] = ACTIONS(2254),
    [anon_sym_unsigned] = ACTIONS(2254),
    [anon_sym_long] = ACTIONS(2254),
    [anon_sym_short] = ACTIONS(2254),
    [anon_sym_LBRACK] = ACTIONS(2254),
    [anon_sym_static] = ACTIONS(2254),
    [anon_sym_register] = ACTIONS(2254),
    [anon_sym_inline] = ACTIONS(2254),
    [anon_sym___inline] = ACTIONS(2254),
    [anon_sym___inline__] = ACTIONS(2254),
    [anon_sym___forceinline] = ACTIONS(2254),
    [anon_sym_thread_local] = ACTIONS(2254),
    [anon_sym___thread] = ACTIONS(2254),
    [anon_sym_const] = ACTIONS(2254),
    [anon_sym_constexpr] = ACTIONS(2254),
    [anon_sym_volatile] = ACTIONS(2254),
    [anon_sym_restrict] = ACTIONS(2254),
    [anon_sym___restrict__] = ACTIONS(2254),
    [anon_sym__Atomic] = ACTIONS(2254),
    [anon_sym__Noreturn] = ACTIONS(2254),
    [anon_sym_noreturn] = ACTIONS(2254),
    [anon_sym_mutable] = ACTIONS(2254),
    [anon_sym_constinit] = ACTIONS(2254),
    [anon_sym_consteval] = ACTIONS(2254),
    [sym_primitive_type] = ACTIONS(2254),
    [anon_sym_enum] = ACTIONS(2254),
    [anon_sym_class] = ACTIONS(2254),
    [anon_sym_struct] = ACTIONS(2254),
    [anon_sym_union] = ACTIONS(2254),
    [anon_sym_if] = ACTIONS(2254),
    [anon_sym_else] = ACTIONS(2254),
    [anon_sym_switch] = ACTIONS(2254),
    [anon_sym_case] = ACTIONS(2254),
    [anon_sym_default] = ACTIONS(2254),
    [anon_sym_while] = ACTIONS(2254),
    [anon_sym_do] = ACTIONS(2254),
    [anon_sym_for] = ACTIONS(2254),
    [anon_sym_return] = ACTIONS(2254),
    [anon_sym_break] = ACTIONS(2254),
    [anon_sym_continue] = ACTIONS(2254),
    [anon_sym_goto] = ACTIONS(2254),
    [anon_sym___try] = ACTIONS(2254),
    [anon_sym___leave] = ACTIONS(2254),
    [anon_sym_not] = ACTIONS(2254),
    [anon_sym_compl] = ACTIONS(2254),
    [anon_sym_DASH_DASH] = ACTIONS(2256),
    [anon_sym_PLUS_PLUS] = ACTIONS(2256),
    [anon_sym_sizeof] = ACTIONS(2254),
    [anon_sym___alignof__] = ACTIONS(2254),
    [anon_sym___alignof] = ACTIONS(2254),
    [anon_sym__alignof] = ACTIONS(2254),
    [anon_sym_alignof] = ACTIONS(2254),
    [anon_sym__Alignof] = ACTIONS(2254),
    [anon_sym_offsetof] = ACTIONS(2254),
    [anon_sym__Generic] = ACTIONS(2254),
    [anon_sym_asm] = ACTIONS(2254),
    [anon_sym___asm__] = ACTIONS(2254),
    [sym_number_literal] = ACTIONS(2256),
    [anon_sym_L_SQUOTE] = ACTIONS(2256),
    [anon_sym_u_SQUOTE] = ACTIONS(2256),
    [anon_sym_U_SQUOTE] = ACTIONS(2256),
    [anon_sym_u8_SQUOTE] = ACTIONS(2256),
    [anon_sym_SQUOTE] = ACTIONS(2256),
    [anon_sym_L_DQUOTE] = ACTIONS(2256),
    [anon_sym_u_DQUOTE] = ACTIONS(2256),
    [anon_sym_U_DQUOTE] = ACTIONS(2256),
    [anon_sym_u8_DQUOTE] = ACTIONS(2256),
    [anon_sym_DQUOTE] = ACTIONS(2256),
    [sym_true] = ACTIONS(2254),
    [sym_false] = ACTIONS(2254),
    [anon_sym_NULL] = ACTIONS(2254),
    [anon_sym_nullptr] = ACTIONS(2254),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2254),
    [anon_sym_decltype] = ACTIONS(2254),
    [anon_sym_final] = ACTIONS(2254),
    [anon_sym_override] = ACTIONS(2254),
    [anon_sym_virtual] = ACTIONS(2254),
    [anon_sym_alignas] = ACTIONS(2254),
    [anon_sym_explicit] = ACTIONS(2254),
    [anon_sym_typename] = ACTIONS(2254),
    [anon_sym_template] = ACTIONS(2254),
    [anon_sym_operator] = ACTIONS(2254),
    [anon_sym_try] = ACTIONS(2254),
    [anon_sym_delete] = ACTIONS(2254),
    [anon_sym_throw] = ACTIONS(2254),
    [anon_sym_namespace] = ACTIONS(2254),
    [anon_sym_using] = ACTIONS(2254),
    [anon_sym_static_assert] = ACTIONS(2254),
    [anon_sym_concept] = ACTIONS(2254),
    [anon_sym_co_return] = ACTIONS(2254),
    [anon_sym_co_yield] = ACTIONS(2254),
    [anon_sym_R_DQUOTE] = ACTIONS(2256),
    [anon_sym_LR_DQUOTE] = ACTIONS(2256),
    [anon_sym_uR_DQUOTE] = ACTIONS(2256),
    [anon_sym_UR_DQUOTE] = ACTIONS(2256),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2256),
    [anon_sym_co_await] = ACTIONS(2254),
    [anon_sym_new] = ACTIONS(2254),
    [anon_sym_requires] = ACTIONS(2254),
    [sym_this] = ACTIONS(2254),
    [anon_sym_discard] = ACTIONS(2254),
    [anon_sym_precise] = ACTIONS(2254),
    [anon_sym_shared] = ACTIONS(2254),
    [anon_sym_groupshared] = ACTIONS(2254),
    [anon_sym_uniform] = ACTIONS(2254),
    [anon_sym_row_major] = ACTIONS(2254),
    [anon_sym_column_major] = ACTIONS(2254),
    [anon_sym_globallycoherent] = ACTIONS(2254),
    [anon_sym_centroid] = ACTIONS(2254),
    [anon_sym_noperspective] = ACTIONS(2254),
    [anon_sym_nointerpolation] = ACTIONS(2254),
    [anon_sym_sample] = ACTIONS(2254),
    [anon_sym_linear] = ACTIONS(2254),
    [anon_sym_snorm] = ACTIONS(2254),
    [anon_sym_unorm] = ACTIONS(2254),
    [anon_sym_point] = ACTIONS(2254),
    [anon_sym_line] = ACTIONS(2254),
    [anon_sym_triangleadj] = ACTIONS(2254),
    [anon_sym_lineadj] = ACTIONS(2254),
    [anon_sym_triangle] = ACTIONS(2254),
    [anon_sym_cbuffer] = ACTIONS(2254),
  },
  [176] = {
    [sym_identifier] = ACTIONS(2212),
    [aux_sym_preproc_include_token1] = ACTIONS(2212),
    [aux_sym_preproc_def_token1] = ACTIONS(2212),
    [aux_sym_preproc_if_token1] = ACTIONS(2212),
    [aux_sym_preproc_if_token2] = ACTIONS(2212),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2212),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2212),
    [aux_sym_preproc_else_token1] = ACTIONS(2212),
    [aux_sym_preproc_elif_token1] = ACTIONS(2212),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2212),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2212),
    [sym_preproc_directive] = ACTIONS(2212),
    [anon_sym_LPAREN2] = ACTIONS(2214),
    [anon_sym_BANG] = ACTIONS(2214),
    [anon_sym_TILDE] = ACTIONS(2214),
    [anon_sym_DASH] = ACTIONS(2212),
    [anon_sym_PLUS] = ACTIONS(2212),
    [anon_sym_STAR] = ACTIONS(2214),
    [anon_sym_AMP_AMP] = ACTIONS(2214),
    [anon_sym_AMP] = ACTIONS(2212),
    [anon_sym_COLON] = ACTIONS(2212),
    [anon_sym_SEMI] = ACTIONS(2214),
    [anon_sym___extension__] = ACTIONS(2212),
    [anon_sym_typedef] = ACTIONS(2212),
    [anon_sym_in] = ACTIONS(2212),
    [anon_sym_out] = ACTIONS(2212),
    [anon_sym_inout] = ACTIONS(2212),
    [anon_sym_extern] = ACTIONS(2212),
    [anon_sym___attribute__] = ACTIONS(2212),
    [anon_sym_COLON_COLON] = ACTIONS(2214),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2214),
    [anon_sym___declspec] = ACTIONS(2212),
    [anon_sym___based] = ACTIONS(2212),
    [anon_sym___cdecl] = ACTIONS(2212),
    [anon_sym___clrcall] = ACTIONS(2212),
    [anon_sym___stdcall] = ACTIONS(2212),
    [anon_sym___fastcall] = ACTIONS(2212),
    [anon_sym___thiscall] = ACTIONS(2212),
    [anon_sym___vectorcall] = ACTIONS(2212),
    [anon_sym_LBRACE] = ACTIONS(2214),
    [anon_sym_signed] = ACTIONS(2212),
    [anon_sym_unsigned] = ACTIONS(2212),
    [anon_sym_long] = ACTIONS(2212),
    [anon_sym_short] = ACTIONS(2212),
    [anon_sym_LBRACK] = ACTIONS(2212),
    [anon_sym_static] = ACTIONS(2212),
    [anon_sym_register] = ACTIONS(2212),
    [anon_sym_inline] = ACTIONS(2212),
    [anon_sym___inline] = ACTIONS(2212),
    [anon_sym___inline__] = ACTIONS(2212),
    [anon_sym___forceinline] = ACTIONS(2212),
    [anon_sym_thread_local] = ACTIONS(2212),
    [anon_sym___thread] = ACTIONS(2212),
    [anon_sym_const] = ACTIONS(2212),
    [anon_sym_constexpr] = ACTIONS(2212),
    [anon_sym_volatile] = ACTIONS(2212),
    [anon_sym_restrict] = ACTIONS(2212),
    [anon_sym___restrict__] = ACTIONS(2212),
    [anon_sym__Atomic] = ACTIONS(2212),
    [anon_sym__Noreturn] = ACTIONS(2212),
    [anon_sym_noreturn] = ACTIONS(2212),
    [anon_sym_mutable] = ACTIONS(2212),
    [anon_sym_constinit] = ACTIONS(2212),
    [anon_sym_consteval] = ACTIONS(2212),
    [sym_primitive_type] = ACTIONS(2212),
    [anon_sym_enum] = ACTIONS(2212),
    [anon_sym_class] = ACTIONS(2212),
    [anon_sym_struct] = ACTIONS(2212),
    [anon_sym_union] = ACTIONS(2212),
    [anon_sym_if] = ACTIONS(2212),
    [anon_sym_else] = ACTIONS(2212),
    [anon_sym_switch] = ACTIONS(2212),
    [anon_sym_case] = ACTIONS(2212),
    [anon_sym_default] = ACTIONS(2212),
    [anon_sym_while] = ACTIONS(2212),
    [anon_sym_do] = ACTIONS(2212),
    [anon_sym_for] = ACTIONS(2212),
    [anon_sym_return] = ACTIONS(2212),
    [anon_sym_break] = ACTIONS(2212),
    [anon_sym_continue] = ACTIONS(2212),
    [anon_sym_goto] = ACTIONS(2212),
    [anon_sym___try] = ACTIONS(2212),
    [anon_sym___leave] = ACTIONS(2212),
    [anon_sym_not] = ACTIONS(2212),
    [anon_sym_compl] = ACTIONS(2212),
    [anon_sym_DASH_DASH] = ACTIONS(2214),
    [anon_sym_PLUS_PLUS] = ACTIONS(2214),
    [anon_sym_sizeof] = ACTIONS(2212),
    [anon_sym___alignof__] = ACTIONS(2212),
    [anon_sym___alignof] = ACTIONS(2212),
    [anon_sym__alignof] = ACTIONS(2212),
    [anon_sym_alignof] = ACTIONS(2212),
    [anon_sym__Alignof] = ACTIONS(2212),
    [anon_sym_offsetof] = ACTIONS(2212),
    [anon_sym__Generic] = ACTIONS(2212),
    [anon_sym_asm] = ACTIONS(2212),
    [anon_sym___asm__] = ACTIONS(2212),
    [sym_number_literal] = ACTIONS(2214),
    [anon_sym_L_SQUOTE] = ACTIONS(2214),
    [anon_sym_u_SQUOTE] = ACTIONS(2214),
    [anon_sym_U_SQUOTE] = ACTIONS(2214),
    [anon_sym_u8_SQUOTE] = ACTIONS(2214),
    [anon_sym_SQUOTE] = ACTIONS(2214),
    [anon_sym_L_DQUOTE] = ACTIONS(2214),
    [anon_sym_u_DQUOTE] = ACTIONS(2214),
    [anon_sym_U_DQUOTE] = ACTIONS(2214),
    [anon_sym_u8_DQUOTE] = ACTIONS(2214),
    [anon_sym_DQUOTE] = ACTIONS(2214),
    [sym_true] = ACTIONS(2212),
    [sym_false] = ACTIONS(2212),
    [anon_sym_NULL] = ACTIONS(2212),
    [anon_sym_nullptr] = ACTIONS(2212),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2212),
    [anon_sym_decltype] = ACTIONS(2212),
    [anon_sym_final] = ACTIONS(2212),
    [anon_sym_override] = ACTIONS(2212),
    [anon_sym_virtual] = ACTIONS(2212),
    [anon_sym_alignas] = ACTIONS(2212),
    [anon_sym_explicit] = ACTIONS(2212),
    [anon_sym_typename] = ACTIONS(2212),
    [anon_sym_template] = ACTIONS(2212),
    [anon_sym_operator] = ACTIONS(2212),
    [anon_sym_try] = ACTIONS(2212),
    [anon_sym_delete] = ACTIONS(2212),
    [anon_sym_throw] = ACTIONS(2212),
    [anon_sym_namespace] = ACTIONS(2212),
    [anon_sym_using] = ACTIONS(2212),
    [anon_sym_static_assert] = ACTIONS(2212),
    [anon_sym_concept] = ACTIONS(2212),
    [anon_sym_co_return] = ACTIONS(2212),
    [anon_sym_co_yield] = ACTIONS(2212),
    [anon_sym_R_DQUOTE] = ACTIONS(2214),
    [anon_sym_LR_DQUOTE] = ACTIONS(2214),
    [anon_sym_uR_DQUOTE] = ACTIONS(2214),
    [anon_sym_UR_DQUOTE] = ACTIONS(2214),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2214),
    [anon_sym_co_await] = ACTIONS(2212),
    [anon_sym_new] = ACTIONS(2212),
    [anon_sym_requires] = ACTIONS(2212),
    [sym_this] = ACTIONS(2212),
    [anon_sym_discard] = ACTIONS(2212),
    [anon_sym_precise] = ACTIONS(2212),
    [anon_sym_shared] = ACTIONS(2212),
    [anon_sym_groupshared] = ACTIONS(2212),
    [anon_sym_uniform] = ACTIONS(2212),
    [anon_sym_row_major] = ACTIONS(2212),
    [anon_sym_column_major] = ACTIONS(2212),
    [anon_sym_globallycoherent] = ACTIONS(2212),
    [anon_sym_centroid] = ACTIONS(2212),
    [anon_sym_noperspective] = ACTIONS(2212),
    [anon_sym_nointerpolation] = ACTIONS(2212),
    [anon_sym_sample] = ACTIONS(2212),
    [anon_sym_linear] = ACTIONS(2212),
    [anon_sym_snorm] = ACTIONS(2212),
    [anon_sym_unorm] = ACTIONS(2212),
    [anon_sym_point] = ACTIONS(2212),
    [anon_sym_line] = ACTIONS(2212),
    [anon_sym_triangleadj] = ACTIONS(2212),
    [anon_sym_lineadj] = ACTIONS(2212),
    [anon_sym_triangle] = ACTIONS(2212),
    [anon_sym_cbuffer] = ACTIONS(2212),
  },
  [177] = {
    [sym_identifier] = ACTIONS(2182),
    [aux_sym_preproc_include_token1] = ACTIONS(2182),
    [aux_sym_preproc_def_token1] = ACTIONS(2182),
    [aux_sym_preproc_if_token1] = ACTIONS(2182),
    [aux_sym_preproc_if_token2] = ACTIONS(2182),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2182),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2182),
    [aux_sym_preproc_else_token1] = ACTIONS(2182),
    [aux_sym_preproc_elif_token1] = ACTIONS(2182),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2182),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2182),
    [sym_preproc_directive] = ACTIONS(2182),
    [anon_sym_LPAREN2] = ACTIONS(2184),
    [anon_sym_BANG] = ACTIONS(2184),
    [anon_sym_TILDE] = ACTIONS(2184),
    [anon_sym_DASH] = ACTIONS(2182),
    [anon_sym_PLUS] = ACTIONS(2182),
    [anon_sym_STAR] = ACTIONS(2184),
    [anon_sym_AMP_AMP] = ACTIONS(2184),
    [anon_sym_AMP] = ACTIONS(2182),
    [anon_sym_COLON] = ACTIONS(2182),
    [anon_sym_SEMI] = ACTIONS(2184),
    [anon_sym___extension__] = ACTIONS(2182),
    [anon_sym_typedef] = ACTIONS(2182),
    [anon_sym_in] = ACTIONS(2182),
    [anon_sym_out] = ACTIONS(2182),
    [anon_sym_inout] = ACTIONS(2182),
    [anon_sym_extern] = ACTIONS(2182),
    [anon_sym___attribute__] = ACTIONS(2182),
    [anon_sym_COLON_COLON] = ACTIONS(2184),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2184),
    [anon_sym___declspec] = ACTIONS(2182),
    [anon_sym___based] = ACTIONS(2182),
    [anon_sym___cdecl] = ACTIONS(2182),
    [anon_sym___clrcall] = ACTIONS(2182),
    [anon_sym___stdcall] = ACTIONS(2182),
    [anon_sym___fastcall] = ACTIONS(2182),
    [anon_sym___thiscall] = ACTIONS(2182),
    [anon_sym___vectorcall] = ACTIONS(2182),
    [anon_sym_LBRACE] = ACTIONS(2184),
    [anon_sym_signed] = ACTIONS(2182),
    [anon_sym_unsigned] = ACTIONS(2182),
    [anon_sym_long] = ACTIONS(2182),
    [anon_sym_short] = ACTIONS(2182),
    [anon_sym_LBRACK] = ACTIONS(2182),
    [anon_sym_static] = ACTIONS(2182),
    [anon_sym_register] = ACTIONS(2182),
    [anon_sym_inline] = ACTIONS(2182),
    [anon_sym___inline] = ACTIONS(2182),
    [anon_sym___inline__] = ACTIONS(2182),
    [anon_sym___forceinline] = ACTIONS(2182),
    [anon_sym_thread_local] = ACTIONS(2182),
    [anon_sym___thread] = ACTIONS(2182),
    [anon_sym_const] = ACTIONS(2182),
    [anon_sym_constexpr] = ACTIONS(2182),
    [anon_sym_volatile] = ACTIONS(2182),
    [anon_sym_restrict] = ACTIONS(2182),
    [anon_sym___restrict__] = ACTIONS(2182),
    [anon_sym__Atomic] = ACTIONS(2182),
    [anon_sym__Noreturn] = ACTIONS(2182),
    [anon_sym_noreturn] = ACTIONS(2182),
    [anon_sym_mutable] = ACTIONS(2182),
    [anon_sym_constinit] = ACTIONS(2182),
    [anon_sym_consteval] = ACTIONS(2182),
    [sym_primitive_type] = ACTIONS(2182),
    [anon_sym_enum] = ACTIONS(2182),
    [anon_sym_class] = ACTIONS(2182),
    [anon_sym_struct] = ACTIONS(2182),
    [anon_sym_union] = ACTIONS(2182),
    [anon_sym_if] = ACTIONS(2182),
    [anon_sym_else] = ACTIONS(2182),
    [anon_sym_switch] = ACTIONS(2182),
    [anon_sym_case] = ACTIONS(2182),
    [anon_sym_default] = ACTIONS(2182),
    [anon_sym_while] = ACTIONS(2182),
    [anon_sym_do] = ACTIONS(2182),
    [anon_sym_for] = ACTIONS(2182),
    [anon_sym_return] = ACTIONS(2182),
    [anon_sym_break] = ACTIONS(2182),
    [anon_sym_continue] = ACTIONS(2182),
    [anon_sym_goto] = ACTIONS(2182),
    [anon_sym___try] = ACTIONS(2182),
    [anon_sym___leave] = ACTIONS(2182),
    [anon_sym_not] = ACTIONS(2182),
    [anon_sym_compl] = ACTIONS(2182),
    [anon_sym_DASH_DASH] = ACTIONS(2184),
    [anon_sym_PLUS_PLUS] = ACTIONS(2184),
    [anon_sym_sizeof] = ACTIONS(2182),
    [anon_sym___alignof__] = ACTIONS(2182),
    [anon_sym___alignof] = ACTIONS(2182),
    [anon_sym__alignof] = ACTIONS(2182),
    [anon_sym_alignof] = ACTIONS(2182),
    [anon_sym__Alignof] = ACTIONS(2182),
    [anon_sym_offsetof] = ACTIONS(2182),
    [anon_sym__Generic] = ACTIONS(2182),
    [anon_sym_asm] = ACTIONS(2182),
    [anon_sym___asm__] = ACTIONS(2182),
    [sym_number_literal] = ACTIONS(2184),
    [anon_sym_L_SQUOTE] = ACTIONS(2184),
    [anon_sym_u_SQUOTE] = ACTIONS(2184),
    [anon_sym_U_SQUOTE] = ACTIONS(2184),
    [anon_sym_u8_SQUOTE] = ACTIONS(2184),
    [anon_sym_SQUOTE] = ACTIONS(2184),
    [anon_sym_L_DQUOTE] = ACTIONS(2184),
    [anon_sym_u_DQUOTE] = ACTIONS(2184),
    [anon_sym_U_DQUOTE] = ACTIONS(2184),
    [anon_sym_u8_DQUOTE] = ACTIONS(2184),
    [anon_sym_DQUOTE] = ACTIONS(2184),
    [sym_true] = ACTIONS(2182),
    [sym_false] = ACTIONS(2182),
    [anon_sym_NULL] = ACTIONS(2182),
    [anon_sym_nullptr] = ACTIONS(2182),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2182),
    [anon_sym_decltype] = ACTIONS(2182),
    [anon_sym_final] = ACTIONS(2182),
    [anon_sym_override] = ACTIONS(2182),
    [anon_sym_virtual] = ACTIONS(2182),
    [anon_sym_alignas] = ACTIONS(2182),
    [anon_sym_explicit] = ACTIONS(2182),
    [anon_sym_typename] = ACTIONS(2182),
    [anon_sym_template] = ACTIONS(2182),
    [anon_sym_operator] = ACTIONS(2182),
    [anon_sym_try] = ACTIONS(2182),
    [anon_sym_delete] = ACTIONS(2182),
    [anon_sym_throw] = ACTIONS(2182),
    [anon_sym_namespace] = ACTIONS(2182),
    [anon_sym_using] = ACTIONS(2182),
    [anon_sym_static_assert] = ACTIONS(2182),
    [anon_sym_concept] = ACTIONS(2182),
    [anon_sym_co_return] = ACTIONS(2182),
    [anon_sym_co_yield] = ACTIONS(2182),
    [anon_sym_R_DQUOTE] = ACTIONS(2184),
    [anon_sym_LR_DQUOTE] = ACTIONS(2184),
    [anon_sym_uR_DQUOTE] = ACTIONS(2184),
    [anon_sym_UR_DQUOTE] = ACTIONS(2184),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2184),
    [anon_sym_co_await] = ACTIONS(2182),
    [anon_sym_new] = ACTIONS(2182),
    [anon_sym_requires] = ACTIONS(2182),
    [sym_this] = ACTIONS(2182),
    [anon_sym_discard] = ACTIONS(2182),
    [anon_sym_precise] = ACTIONS(2182),
    [anon_sym_shared] = ACTIONS(2182),
    [anon_sym_groupshared] = ACTIONS(2182),
    [anon_sym_uniform] = ACTIONS(2182),
    [anon_sym_row_major] = ACTIONS(2182),
    [anon_sym_column_major] = ACTIONS(2182),
    [anon_sym_globallycoherent] = ACTIONS(2182),
    [anon_sym_centroid] = ACTIONS(2182),
    [anon_sym_noperspective] = ACTIONS(2182),
    [anon_sym_nointerpolation] = ACTIONS(2182),
    [anon_sym_sample] = ACTIONS(2182),
    [anon_sym_linear] = ACTIONS(2182),
    [anon_sym_snorm] = ACTIONS(2182),
    [anon_sym_unorm] = ACTIONS(2182),
    [anon_sym_point] = ACTIONS(2182),
    [anon_sym_line] = ACTIONS(2182),
    [anon_sym_triangleadj] = ACTIONS(2182),
    [anon_sym_lineadj] = ACTIONS(2182),
    [anon_sym_triangle] = ACTIONS(2182),
    [anon_sym_cbuffer] = ACTIONS(2182),
  },
  [178] = {
    [sym_identifier] = ACTIONS(2258),
    [aux_sym_preproc_include_token1] = ACTIONS(2258),
    [aux_sym_preproc_def_token1] = ACTIONS(2258),
    [aux_sym_preproc_if_token1] = ACTIONS(2258),
    [aux_sym_preproc_if_token2] = ACTIONS(2258),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2258),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2258),
    [aux_sym_preproc_else_token1] = ACTIONS(2258),
    [aux_sym_preproc_elif_token1] = ACTIONS(2258),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2258),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2258),
    [sym_preproc_directive] = ACTIONS(2258),
    [anon_sym_LPAREN2] = ACTIONS(2260),
    [anon_sym_BANG] = ACTIONS(2260),
    [anon_sym_TILDE] = ACTIONS(2260),
    [anon_sym_DASH] = ACTIONS(2258),
    [anon_sym_PLUS] = ACTIONS(2258),
    [anon_sym_STAR] = ACTIONS(2260),
    [anon_sym_AMP_AMP] = ACTIONS(2260),
    [anon_sym_AMP] = ACTIONS(2258),
    [anon_sym_COLON] = ACTIONS(2258),
    [anon_sym_SEMI] = ACTIONS(2260),
    [anon_sym___extension__] = ACTIONS(2258),
    [anon_sym_typedef] = ACTIONS(2258),
    [anon_sym_in] = ACTIONS(2258),
    [anon_sym_out] = ACTIONS(2258),
    [anon_sym_inout] = ACTIONS(2258),
    [anon_sym_extern] = ACTIONS(2258),
    [anon_sym___attribute__] = ACTIONS(2258),
    [anon_sym_COLON_COLON] = ACTIONS(2262),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2260),
    [anon_sym___declspec] = ACTIONS(2258),
    [anon_sym___based] = ACTIONS(2258),
    [anon_sym___cdecl] = ACTIONS(2258),
    [anon_sym___clrcall] = ACTIONS(2258),
    [anon_sym___stdcall] = ACTIONS(2258),
    [anon_sym___fastcall] = ACTIONS(2258),
    [anon_sym___thiscall] = ACTIONS(2258),
    [anon_sym___vectorcall] = ACTIONS(2258),
    [anon_sym_LBRACE] = ACTIONS(2260),
    [anon_sym_signed] = ACTIONS(2258),
    [anon_sym_unsigned] = ACTIONS(2258),
    [anon_sym_long] = ACTIONS(2258),
    [anon_sym_short] = ACTIONS(2258),
    [anon_sym_LBRACK] = ACTIONS(2258),
    [anon_sym_static] = ACTIONS(2258),
    [anon_sym_register] = ACTIONS(2258),
    [anon_sym_inline] = ACTIONS(2258),
    [anon_sym___inline] = ACTIONS(2258),
    [anon_sym___inline__] = ACTIONS(2258),
    [anon_sym___forceinline] = ACTIONS(2258),
    [anon_sym_thread_local] = ACTIONS(2258),
    [anon_sym___thread] = ACTIONS(2258),
    [anon_sym_const] = ACTIONS(2258),
    [anon_sym_constexpr] = ACTIONS(2258),
    [anon_sym_volatile] = ACTIONS(2258),
    [anon_sym_restrict] = ACTIONS(2258),
    [anon_sym___restrict__] = ACTIONS(2258),
    [anon_sym__Atomic] = ACTIONS(2258),
    [anon_sym__Noreturn] = ACTIONS(2258),
    [anon_sym_noreturn] = ACTIONS(2258),
    [anon_sym_mutable] = ACTIONS(2258),
    [anon_sym_constinit] = ACTIONS(2258),
    [anon_sym_consteval] = ACTIONS(2258),
    [sym_primitive_type] = ACTIONS(2258),
    [anon_sym_enum] = ACTIONS(2258),
    [anon_sym_class] = ACTIONS(2258),
    [anon_sym_struct] = ACTIONS(2258),
    [anon_sym_union] = ACTIONS(2258),
    [anon_sym_if] = ACTIONS(2258),
    [anon_sym_else] = ACTIONS(2258),
    [anon_sym_switch] = ACTIONS(2258),
    [anon_sym_case] = ACTIONS(2258),
    [anon_sym_default] = ACTIONS(2258),
    [anon_sym_while] = ACTIONS(2258),
    [anon_sym_do] = ACTIONS(2258),
    [anon_sym_for] = ACTIONS(2258),
    [anon_sym_return] = ACTIONS(2258),
    [anon_sym_break] = ACTIONS(2258),
    [anon_sym_continue] = ACTIONS(2258),
    [anon_sym_goto] = ACTIONS(2258),
    [anon_sym___try] = ACTIONS(2258),
    [anon_sym___leave] = ACTIONS(2258),
    [anon_sym_not] = ACTIONS(2258),
    [anon_sym_compl] = ACTIONS(2258),
    [anon_sym_DASH_DASH] = ACTIONS(2260),
    [anon_sym_PLUS_PLUS] = ACTIONS(2260),
    [anon_sym_sizeof] = ACTIONS(2258),
    [anon_sym___alignof__] = ACTIONS(2258),
    [anon_sym___alignof] = ACTIONS(2258),
    [anon_sym__alignof] = ACTIONS(2258),
    [anon_sym_alignof] = ACTIONS(2258),
    [anon_sym__Alignof] = ACTIONS(2258),
    [anon_sym_offsetof] = ACTIONS(2258),
    [anon_sym__Generic] = ACTIONS(2258),
    [anon_sym_asm] = ACTIONS(2258),
    [anon_sym___asm__] = ACTIONS(2258),
    [sym_number_literal] = ACTIONS(2260),
    [anon_sym_L_SQUOTE] = ACTIONS(2260),
    [anon_sym_u_SQUOTE] = ACTIONS(2260),
    [anon_sym_U_SQUOTE] = ACTIONS(2260),
    [anon_sym_u8_SQUOTE] = ACTIONS(2260),
    [anon_sym_SQUOTE] = ACTIONS(2260),
    [anon_sym_L_DQUOTE] = ACTIONS(2260),
    [anon_sym_u_DQUOTE] = ACTIONS(2260),
    [anon_sym_U_DQUOTE] = ACTIONS(2260),
    [anon_sym_u8_DQUOTE] = ACTIONS(2260),
    [anon_sym_DQUOTE] = ACTIONS(2260),
    [sym_true] = ACTIONS(2258),
    [sym_false] = ACTIONS(2258),
    [anon_sym_NULL] = ACTIONS(2258),
    [anon_sym_nullptr] = ACTIONS(2258),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2258),
    [anon_sym_decltype] = ACTIONS(2258),
    [anon_sym_final] = ACTIONS(2258),
    [anon_sym_override] = ACTIONS(2258),
    [anon_sym_virtual] = ACTIONS(2258),
    [anon_sym_alignas] = ACTIONS(2258),
    [anon_sym_explicit] = ACTIONS(2258),
    [anon_sym_typename] = ACTIONS(2258),
    [anon_sym_template] = ACTIONS(2258),
    [anon_sym_operator] = ACTIONS(2258),
    [anon_sym_try] = ACTIONS(2258),
    [anon_sym_delete] = ACTIONS(2258),
    [anon_sym_throw] = ACTIONS(2258),
    [anon_sym_namespace] = ACTIONS(2258),
    [anon_sym_using] = ACTIONS(2258),
    [anon_sym_static_assert] = ACTIONS(2258),
    [anon_sym_concept] = ACTIONS(2258),
    [anon_sym_co_return] = ACTIONS(2258),
    [anon_sym_co_yield] = ACTIONS(2258),
    [anon_sym_R_DQUOTE] = ACTIONS(2260),
    [anon_sym_LR_DQUOTE] = ACTIONS(2260),
    [anon_sym_uR_DQUOTE] = ACTIONS(2260),
    [anon_sym_UR_DQUOTE] = ACTIONS(2260),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2260),
    [anon_sym_co_await] = ACTIONS(2258),
    [anon_sym_new] = ACTIONS(2258),
    [anon_sym_requires] = ACTIONS(2258),
    [sym_this] = ACTIONS(2258),
    [anon_sym_discard] = ACTIONS(2258),
    [anon_sym_precise] = ACTIONS(2258),
    [anon_sym_shared] = ACTIONS(2258),
    [anon_sym_groupshared] = ACTIONS(2258),
    [anon_sym_uniform] = ACTIONS(2258),
    [anon_sym_row_major] = ACTIONS(2258),
    [anon_sym_column_major] = ACTIONS(2258),
    [anon_sym_globallycoherent] = ACTIONS(2258),
    [anon_sym_centroid] = ACTIONS(2258),
    [anon_sym_noperspective] = ACTIONS(2258),
    [anon_sym_nointerpolation] = ACTIONS(2258),
    [anon_sym_sample] = ACTIONS(2258),
    [anon_sym_linear] = ACTIONS(2258),
    [anon_sym_snorm] = ACTIONS(2258),
    [anon_sym_unorm] = ACTIONS(2258),
    [anon_sym_point] = ACTIONS(2258),
    [anon_sym_line] = ACTIONS(2258),
    [anon_sym_triangleadj] = ACTIONS(2258),
    [anon_sym_lineadj] = ACTIONS(2258),
    [anon_sym_triangle] = ACTIONS(2258),
    [anon_sym_cbuffer] = ACTIONS(2258),
  },
  [179] = {
    [sym_identifier] = ACTIONS(2264),
    [aux_sym_preproc_include_token1] = ACTIONS(2264),
    [aux_sym_preproc_def_token1] = ACTIONS(2264),
    [aux_sym_preproc_if_token1] = ACTIONS(2264),
    [aux_sym_preproc_if_token2] = ACTIONS(2264),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2264),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2264),
    [aux_sym_preproc_else_token1] = ACTIONS(2264),
    [aux_sym_preproc_elif_token1] = ACTIONS(2264),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2264),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2264),
    [sym_preproc_directive] = ACTIONS(2264),
    [anon_sym_LPAREN2] = ACTIONS(2266),
    [anon_sym_BANG] = ACTIONS(2266),
    [anon_sym_TILDE] = ACTIONS(2266),
    [anon_sym_DASH] = ACTIONS(2264),
    [anon_sym_PLUS] = ACTIONS(2264),
    [anon_sym_STAR] = ACTIONS(2266),
    [anon_sym_AMP_AMP] = ACTIONS(2266),
    [anon_sym_AMP] = ACTIONS(2264),
    [anon_sym_COLON] = ACTIONS(2264),
    [anon_sym_SEMI] = ACTIONS(2266),
    [anon_sym___extension__] = ACTIONS(2264),
    [anon_sym_typedef] = ACTIONS(2264),
    [anon_sym_in] = ACTIONS(2264),
    [anon_sym_out] = ACTIONS(2264),
    [anon_sym_inout] = ACTIONS(2264),
    [anon_sym_extern] = ACTIONS(2264),
    [anon_sym___attribute__] = ACTIONS(2264),
    [anon_sym_COLON_COLON] = ACTIONS(2266),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2266),
    [anon_sym___declspec] = ACTIONS(2264),
    [anon_sym___based] = ACTIONS(2264),
    [anon_sym___cdecl] = ACTIONS(2264),
    [anon_sym___clrcall] = ACTIONS(2264),
    [anon_sym___stdcall] = ACTIONS(2264),
    [anon_sym___fastcall] = ACTIONS(2264),
    [anon_sym___thiscall] = ACTIONS(2264),
    [anon_sym___vectorcall] = ACTIONS(2264),
    [anon_sym_LBRACE] = ACTIONS(2266),
    [anon_sym_signed] = ACTIONS(2264),
    [anon_sym_unsigned] = ACTIONS(2264),
    [anon_sym_long] = ACTIONS(2264),
    [anon_sym_short] = ACTIONS(2264),
    [anon_sym_LBRACK] = ACTIONS(2264),
    [anon_sym_static] = ACTIONS(2264),
    [anon_sym_register] = ACTIONS(2264),
    [anon_sym_inline] = ACTIONS(2264),
    [anon_sym___inline] = ACTIONS(2264),
    [anon_sym___inline__] = ACTIONS(2264),
    [anon_sym___forceinline] = ACTIONS(2264),
    [anon_sym_thread_local] = ACTIONS(2264),
    [anon_sym___thread] = ACTIONS(2264),
    [anon_sym_const] = ACTIONS(2264),
    [anon_sym_constexpr] = ACTIONS(2264),
    [anon_sym_volatile] = ACTIONS(2264),
    [anon_sym_restrict] = ACTIONS(2264),
    [anon_sym___restrict__] = ACTIONS(2264),
    [anon_sym__Atomic] = ACTIONS(2264),
    [anon_sym__Noreturn] = ACTIONS(2264),
    [anon_sym_noreturn] = ACTIONS(2264),
    [anon_sym_mutable] = ACTIONS(2264),
    [anon_sym_constinit] = ACTIONS(2264),
    [anon_sym_consteval] = ACTIONS(2264),
    [sym_primitive_type] = ACTIONS(2264),
    [anon_sym_enum] = ACTIONS(2264),
    [anon_sym_class] = ACTIONS(2264),
    [anon_sym_struct] = ACTIONS(2264),
    [anon_sym_union] = ACTIONS(2264),
    [anon_sym_if] = ACTIONS(2264),
    [anon_sym_else] = ACTIONS(2264),
    [anon_sym_switch] = ACTIONS(2264),
    [anon_sym_case] = ACTIONS(2264),
    [anon_sym_default] = ACTIONS(2264),
    [anon_sym_while] = ACTIONS(2264),
    [anon_sym_do] = ACTIONS(2264),
    [anon_sym_for] = ACTIONS(2264),
    [anon_sym_return] = ACTIONS(2264),
    [anon_sym_break] = ACTIONS(2264),
    [anon_sym_continue] = ACTIONS(2264),
    [anon_sym_goto] = ACTIONS(2264),
    [anon_sym___try] = ACTIONS(2264),
    [anon_sym___leave] = ACTIONS(2264),
    [anon_sym_not] = ACTIONS(2264),
    [anon_sym_compl] = ACTIONS(2264),
    [anon_sym_DASH_DASH] = ACTIONS(2266),
    [anon_sym_PLUS_PLUS] = ACTIONS(2266),
    [anon_sym_sizeof] = ACTIONS(2264),
    [anon_sym___alignof__] = ACTIONS(2264),
    [anon_sym___alignof] = ACTIONS(2264),
    [anon_sym__alignof] = ACTIONS(2264),
    [anon_sym_alignof] = ACTIONS(2264),
    [anon_sym__Alignof] = ACTIONS(2264),
    [anon_sym_offsetof] = ACTIONS(2264),
    [anon_sym__Generic] = ACTIONS(2264),
    [anon_sym_asm] = ACTIONS(2264),
    [anon_sym___asm__] = ACTIONS(2264),
    [sym_number_literal] = ACTIONS(2266),
    [anon_sym_L_SQUOTE] = ACTIONS(2266),
    [anon_sym_u_SQUOTE] = ACTIONS(2266),
    [anon_sym_U_SQUOTE] = ACTIONS(2266),
    [anon_sym_u8_SQUOTE] = ACTIONS(2266),
    [anon_sym_SQUOTE] = ACTIONS(2266),
    [anon_sym_L_DQUOTE] = ACTIONS(2266),
    [anon_sym_u_DQUOTE] = ACTIONS(2266),
    [anon_sym_U_DQUOTE] = ACTIONS(2266),
    [anon_sym_u8_DQUOTE] = ACTIONS(2266),
    [anon_sym_DQUOTE] = ACTIONS(2266),
    [sym_true] = ACTIONS(2264),
    [sym_false] = ACTIONS(2264),
    [anon_sym_NULL] = ACTIONS(2264),
    [anon_sym_nullptr] = ACTIONS(2264),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2264),
    [anon_sym_decltype] = ACTIONS(2264),
    [anon_sym_final] = ACTIONS(2264),
    [anon_sym_override] = ACTIONS(2264),
    [anon_sym_virtual] = ACTIONS(2264),
    [anon_sym_alignas] = ACTIONS(2264),
    [anon_sym_explicit] = ACTIONS(2264),
    [anon_sym_typename] = ACTIONS(2264),
    [anon_sym_template] = ACTIONS(2264),
    [anon_sym_operator] = ACTIONS(2264),
    [anon_sym_try] = ACTIONS(2264),
    [anon_sym_delete] = ACTIONS(2264),
    [anon_sym_throw] = ACTIONS(2264),
    [anon_sym_namespace] = ACTIONS(2264),
    [anon_sym_using] = ACTIONS(2264),
    [anon_sym_static_assert] = ACTIONS(2264),
    [anon_sym_concept] = ACTIONS(2264),
    [anon_sym_co_return] = ACTIONS(2264),
    [anon_sym_co_yield] = ACTIONS(2264),
    [anon_sym_R_DQUOTE] = ACTIONS(2266),
    [anon_sym_LR_DQUOTE] = ACTIONS(2266),
    [anon_sym_uR_DQUOTE] = ACTIONS(2266),
    [anon_sym_UR_DQUOTE] = ACTIONS(2266),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2266),
    [anon_sym_co_await] = ACTIONS(2264),
    [anon_sym_new] = ACTIONS(2264),
    [anon_sym_requires] = ACTIONS(2264),
    [sym_this] = ACTIONS(2264),
    [anon_sym_discard] = ACTIONS(2264),
    [anon_sym_precise] = ACTIONS(2264),
    [anon_sym_shared] = ACTIONS(2264),
    [anon_sym_groupshared] = ACTIONS(2264),
    [anon_sym_uniform] = ACTIONS(2264),
    [anon_sym_row_major] = ACTIONS(2264),
    [anon_sym_column_major] = ACTIONS(2264),
    [anon_sym_globallycoherent] = ACTIONS(2264),
    [anon_sym_centroid] = ACTIONS(2264),
    [anon_sym_noperspective] = ACTIONS(2264),
    [anon_sym_nointerpolation] = ACTIONS(2264),
    [anon_sym_sample] = ACTIONS(2264),
    [anon_sym_linear] = ACTIONS(2264),
    [anon_sym_snorm] = ACTIONS(2264),
    [anon_sym_unorm] = ACTIONS(2264),
    [anon_sym_point] = ACTIONS(2264),
    [anon_sym_line] = ACTIONS(2264),
    [anon_sym_triangleadj] = ACTIONS(2264),
    [anon_sym_lineadj] = ACTIONS(2264),
    [anon_sym_triangle] = ACTIONS(2264),
    [anon_sym_cbuffer] = ACTIONS(2264),
  },
  [180] = {
    [sym_identifier] = ACTIONS(2200),
    [aux_sym_preproc_include_token1] = ACTIONS(2200),
    [aux_sym_preproc_def_token1] = ACTIONS(2200),
    [aux_sym_preproc_if_token1] = ACTIONS(2200),
    [aux_sym_preproc_if_token2] = ACTIONS(2200),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2200),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2200),
    [aux_sym_preproc_else_token1] = ACTIONS(2200),
    [aux_sym_preproc_elif_token1] = ACTIONS(2200),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2200),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2200),
    [sym_preproc_directive] = ACTIONS(2200),
    [anon_sym_LPAREN2] = ACTIONS(2202),
    [anon_sym_BANG] = ACTIONS(2202),
    [anon_sym_TILDE] = ACTIONS(2202),
    [anon_sym_DASH] = ACTIONS(2200),
    [anon_sym_PLUS] = ACTIONS(2200),
    [anon_sym_STAR] = ACTIONS(2202),
    [anon_sym_AMP_AMP] = ACTIONS(2202),
    [anon_sym_AMP] = ACTIONS(2200),
    [anon_sym_COLON] = ACTIONS(2200),
    [anon_sym_SEMI] = ACTIONS(2202),
    [anon_sym___extension__] = ACTIONS(2200),
    [anon_sym_typedef] = ACTIONS(2200),
    [anon_sym_in] = ACTIONS(2200),
    [anon_sym_out] = ACTIONS(2200),
    [anon_sym_inout] = ACTIONS(2200),
    [anon_sym_extern] = ACTIONS(2200),
    [anon_sym___attribute__] = ACTIONS(2200),
    [anon_sym_COLON_COLON] = ACTIONS(2202),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2202),
    [anon_sym___declspec] = ACTIONS(2200),
    [anon_sym___based] = ACTIONS(2200),
    [anon_sym___cdecl] = ACTIONS(2200),
    [anon_sym___clrcall] = ACTIONS(2200),
    [anon_sym___stdcall] = ACTIONS(2200),
    [anon_sym___fastcall] = ACTIONS(2200),
    [anon_sym___thiscall] = ACTIONS(2200),
    [anon_sym___vectorcall] = ACTIONS(2200),
    [anon_sym_LBRACE] = ACTIONS(2202),
    [anon_sym_signed] = ACTIONS(2200),
    [anon_sym_unsigned] = ACTIONS(2200),
    [anon_sym_long] = ACTIONS(2200),
    [anon_sym_short] = ACTIONS(2200),
    [anon_sym_LBRACK] = ACTIONS(2200),
    [anon_sym_static] = ACTIONS(2200),
    [anon_sym_register] = ACTIONS(2200),
    [anon_sym_inline] = ACTIONS(2200),
    [anon_sym___inline] = ACTIONS(2200),
    [anon_sym___inline__] = ACTIONS(2200),
    [anon_sym___forceinline] = ACTIONS(2200),
    [anon_sym_thread_local] = ACTIONS(2200),
    [anon_sym___thread] = ACTIONS(2200),
    [anon_sym_const] = ACTIONS(2200),
    [anon_sym_constexpr] = ACTIONS(2200),
    [anon_sym_volatile] = ACTIONS(2200),
    [anon_sym_restrict] = ACTIONS(2200),
    [anon_sym___restrict__] = ACTIONS(2200),
    [anon_sym__Atomic] = ACTIONS(2200),
    [anon_sym__Noreturn] = ACTIONS(2200),
    [anon_sym_noreturn] = ACTIONS(2200),
    [anon_sym_mutable] = ACTIONS(2200),
    [anon_sym_constinit] = ACTIONS(2200),
    [anon_sym_consteval] = ACTIONS(2200),
    [sym_primitive_type] = ACTIONS(2200),
    [anon_sym_enum] = ACTIONS(2200),
    [anon_sym_class] = ACTIONS(2200),
    [anon_sym_struct] = ACTIONS(2200),
    [anon_sym_union] = ACTIONS(2200),
    [anon_sym_if] = ACTIONS(2200),
    [anon_sym_else] = ACTIONS(2200),
    [anon_sym_switch] = ACTIONS(2200),
    [anon_sym_case] = ACTIONS(2200),
    [anon_sym_default] = ACTIONS(2200),
    [anon_sym_while] = ACTIONS(2200),
    [anon_sym_do] = ACTIONS(2200),
    [anon_sym_for] = ACTIONS(2200),
    [anon_sym_return] = ACTIONS(2200),
    [anon_sym_break] = ACTIONS(2200),
    [anon_sym_continue] = ACTIONS(2200),
    [anon_sym_goto] = ACTIONS(2200),
    [anon_sym___try] = ACTIONS(2200),
    [anon_sym___leave] = ACTIONS(2200),
    [anon_sym_not] = ACTIONS(2200),
    [anon_sym_compl] = ACTIONS(2200),
    [anon_sym_DASH_DASH] = ACTIONS(2202),
    [anon_sym_PLUS_PLUS] = ACTIONS(2202),
    [anon_sym_sizeof] = ACTIONS(2200),
    [anon_sym___alignof__] = ACTIONS(2200),
    [anon_sym___alignof] = ACTIONS(2200),
    [anon_sym__alignof] = ACTIONS(2200),
    [anon_sym_alignof] = ACTIONS(2200),
    [anon_sym__Alignof] = ACTIONS(2200),
    [anon_sym_offsetof] = ACTIONS(2200),
    [anon_sym__Generic] = ACTIONS(2200),
    [anon_sym_asm] = ACTIONS(2200),
    [anon_sym___asm__] = ACTIONS(2200),
    [sym_number_literal] = ACTIONS(2202),
    [anon_sym_L_SQUOTE] = ACTIONS(2202),
    [anon_sym_u_SQUOTE] = ACTIONS(2202),
    [anon_sym_U_SQUOTE] = ACTIONS(2202),
    [anon_sym_u8_SQUOTE] = ACTIONS(2202),
    [anon_sym_SQUOTE] = ACTIONS(2202),
    [anon_sym_L_DQUOTE] = ACTIONS(2202),
    [anon_sym_u_DQUOTE] = ACTIONS(2202),
    [anon_sym_U_DQUOTE] = ACTIONS(2202),
    [anon_sym_u8_DQUOTE] = ACTIONS(2202),
    [anon_sym_DQUOTE] = ACTIONS(2202),
    [sym_true] = ACTIONS(2200),
    [sym_false] = ACTIONS(2200),
    [anon_sym_NULL] = ACTIONS(2200),
    [anon_sym_nullptr] = ACTIONS(2200),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2200),
    [anon_sym_decltype] = ACTIONS(2200),
    [anon_sym_final] = ACTIONS(2200),
    [anon_sym_override] = ACTIONS(2200),
    [anon_sym_virtual] = ACTIONS(2200),
    [anon_sym_alignas] = ACTIONS(2200),
    [anon_sym_explicit] = ACTIONS(2200),
    [anon_sym_typename] = ACTIONS(2200),
    [anon_sym_template] = ACTIONS(2200),
    [anon_sym_operator] = ACTIONS(2200),
    [anon_sym_try] = ACTIONS(2200),
    [anon_sym_delete] = ACTIONS(2200),
    [anon_sym_throw] = ACTIONS(2200),
    [anon_sym_namespace] = ACTIONS(2200),
    [anon_sym_using] = ACTIONS(2200),
    [anon_sym_static_assert] = ACTIONS(2200),
    [anon_sym_concept] = ACTIONS(2200),
    [anon_sym_co_return] = ACTIONS(2200),
    [anon_sym_co_yield] = ACTIONS(2200),
    [anon_sym_R_DQUOTE] = ACTIONS(2202),
    [anon_sym_LR_DQUOTE] = ACTIONS(2202),
    [anon_sym_uR_DQUOTE] = ACTIONS(2202),
    [anon_sym_UR_DQUOTE] = ACTIONS(2202),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2202),
    [anon_sym_co_await] = ACTIONS(2200),
    [anon_sym_new] = ACTIONS(2200),
    [anon_sym_requires] = ACTIONS(2200),
    [sym_this] = ACTIONS(2200),
    [anon_sym_discard] = ACTIONS(2200),
    [anon_sym_precise] = ACTIONS(2200),
    [anon_sym_shared] = ACTIONS(2200),
    [anon_sym_groupshared] = ACTIONS(2200),
    [anon_sym_uniform] = ACTIONS(2200),
    [anon_sym_row_major] = ACTIONS(2200),
    [anon_sym_column_major] = ACTIONS(2200),
    [anon_sym_globallycoherent] = ACTIONS(2200),
    [anon_sym_centroid] = ACTIONS(2200),
    [anon_sym_noperspective] = ACTIONS(2200),
    [anon_sym_nointerpolation] = ACTIONS(2200),
    [anon_sym_sample] = ACTIONS(2200),
    [anon_sym_linear] = ACTIONS(2200),
    [anon_sym_snorm] = ACTIONS(2200),
    [anon_sym_unorm] = ACTIONS(2200),
    [anon_sym_point] = ACTIONS(2200),
    [anon_sym_line] = ACTIONS(2200),
    [anon_sym_triangleadj] = ACTIONS(2200),
    [anon_sym_lineadj] = ACTIONS(2200),
    [anon_sym_triangle] = ACTIONS(2200),
    [anon_sym_cbuffer] = ACTIONS(2200),
  },
  [181] = {
    [sym_catch_clause] = STATE(181),
    [aux_sym_constructor_try_statement_repeat1] = STATE(181),
    [sym_identifier] = ACTIONS(2268),
    [aux_sym_preproc_include_token1] = ACTIONS(2268),
    [aux_sym_preproc_def_token1] = ACTIONS(2268),
    [aux_sym_preproc_if_token1] = ACTIONS(2268),
    [aux_sym_preproc_if_token2] = ACTIONS(2268),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2268),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2268),
    [aux_sym_preproc_else_token1] = ACTIONS(2268),
    [aux_sym_preproc_elif_token1] = ACTIONS(2268),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2268),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2268),
    [sym_preproc_directive] = ACTIONS(2268),
    [anon_sym_LPAREN2] = ACTIONS(2270),
    [anon_sym_BANG] = ACTIONS(2270),
    [anon_sym_TILDE] = ACTIONS(2270),
    [anon_sym_DASH] = ACTIONS(2268),
    [anon_sym_PLUS] = ACTIONS(2268),
    [anon_sym_STAR] = ACTIONS(2270),
    [anon_sym_AMP_AMP] = ACTIONS(2270),
    [anon_sym_AMP] = ACTIONS(2268),
    [anon_sym_SEMI] = ACTIONS(2270),
    [anon_sym___extension__] = ACTIONS(2268),
    [anon_sym_typedef] = ACTIONS(2268),
    [anon_sym_in] = ACTIONS(2268),
    [anon_sym_out] = ACTIONS(2268),
    [anon_sym_inout] = ACTIONS(2268),
    [anon_sym_extern] = ACTIONS(2268),
    [anon_sym___attribute__] = ACTIONS(2268),
    [anon_sym_COLON_COLON] = ACTIONS(2270),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2270),
    [anon_sym___declspec] = ACTIONS(2268),
    [anon_sym___based] = ACTIONS(2268),
    [anon_sym___cdecl] = ACTIONS(2268),
    [anon_sym___clrcall] = ACTIONS(2268),
    [anon_sym___stdcall] = ACTIONS(2268),
    [anon_sym___fastcall] = ACTIONS(2268),
    [anon_sym___thiscall] = ACTIONS(2268),
    [anon_sym___vectorcall] = ACTIONS(2268),
    [anon_sym_LBRACE] = ACTIONS(2270),
    [anon_sym_signed] = ACTIONS(2268),
    [anon_sym_unsigned] = ACTIONS(2268),
    [anon_sym_long] = ACTIONS(2268),
    [anon_sym_short] = ACTIONS(2268),
    [anon_sym_LBRACK] = ACTIONS(2268),
    [anon_sym_static] = ACTIONS(2268),
    [anon_sym_register] = ACTIONS(2268),
    [anon_sym_inline] = ACTIONS(2268),
    [anon_sym___inline] = ACTIONS(2268),
    [anon_sym___inline__] = ACTIONS(2268),
    [anon_sym___forceinline] = ACTIONS(2268),
    [anon_sym_thread_local] = ACTIONS(2268),
    [anon_sym___thread] = ACTIONS(2268),
    [anon_sym_const] = ACTIONS(2268),
    [anon_sym_constexpr] = ACTIONS(2268),
    [anon_sym_volatile] = ACTIONS(2268),
    [anon_sym_restrict] = ACTIONS(2268),
    [anon_sym___restrict__] = ACTIONS(2268),
    [anon_sym__Atomic] = ACTIONS(2268),
    [anon_sym__Noreturn] = ACTIONS(2268),
    [anon_sym_noreturn] = ACTIONS(2268),
    [anon_sym_mutable] = ACTIONS(2268),
    [anon_sym_constinit] = ACTIONS(2268),
    [anon_sym_consteval] = ACTIONS(2268),
    [sym_primitive_type] = ACTIONS(2268),
    [anon_sym_enum] = ACTIONS(2268),
    [anon_sym_class] = ACTIONS(2268),
    [anon_sym_struct] = ACTIONS(2268),
    [anon_sym_union] = ACTIONS(2268),
    [anon_sym_if] = ACTIONS(2268),
    [anon_sym_else] = ACTIONS(2268),
    [anon_sym_switch] = ACTIONS(2268),
    [anon_sym_case] = ACTIONS(2268),
    [anon_sym_default] = ACTIONS(2268),
    [anon_sym_while] = ACTIONS(2268),
    [anon_sym_do] = ACTIONS(2268),
    [anon_sym_for] = ACTIONS(2268),
    [anon_sym_return] = ACTIONS(2268),
    [anon_sym_break] = ACTIONS(2268),
    [anon_sym_continue] = ACTIONS(2268),
    [anon_sym_goto] = ACTIONS(2268),
    [anon_sym___try] = ACTIONS(2268),
    [anon_sym___leave] = ACTIONS(2268),
    [anon_sym_not] = ACTIONS(2268),
    [anon_sym_compl] = ACTIONS(2268),
    [anon_sym_DASH_DASH] = ACTIONS(2270),
    [anon_sym_PLUS_PLUS] = ACTIONS(2270),
    [anon_sym_sizeof] = ACTIONS(2268),
    [anon_sym___alignof__] = ACTIONS(2268),
    [anon_sym___alignof] = ACTIONS(2268),
    [anon_sym__alignof] = ACTIONS(2268),
    [anon_sym_alignof] = ACTIONS(2268),
    [anon_sym__Alignof] = ACTIONS(2268),
    [anon_sym_offsetof] = ACTIONS(2268),
    [anon_sym__Generic] = ACTIONS(2268),
    [anon_sym_asm] = ACTIONS(2268),
    [anon_sym___asm__] = ACTIONS(2268),
    [sym_number_literal] = ACTIONS(2270),
    [anon_sym_L_SQUOTE] = ACTIONS(2270),
    [anon_sym_u_SQUOTE] = ACTIONS(2270),
    [anon_sym_U_SQUOTE] = ACTIONS(2270),
    [anon_sym_u8_SQUOTE] = ACTIONS(2270),
    [anon_sym_SQUOTE] = ACTIONS(2270),
    [anon_sym_L_DQUOTE] = ACTIONS(2270),
    [anon_sym_u_DQUOTE] = ACTIONS(2270),
    [anon_sym_U_DQUOTE] = ACTIONS(2270),
    [anon_sym_u8_DQUOTE] = ACTIONS(2270),
    [anon_sym_DQUOTE] = ACTIONS(2270),
    [sym_true] = ACTIONS(2268),
    [sym_false] = ACTIONS(2268),
    [anon_sym_NULL] = ACTIONS(2268),
    [anon_sym_nullptr] = ACTIONS(2268),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2268),
    [anon_sym_decltype] = ACTIONS(2268),
    [anon_sym_virtual] = ACTIONS(2268),
    [anon_sym_alignas] = ACTIONS(2268),
    [anon_sym_explicit] = ACTIONS(2268),
    [anon_sym_typename] = ACTIONS(2268),
    [anon_sym_template] = ACTIONS(2268),
    [anon_sym_operator] = ACTIONS(2268),
    [anon_sym_try] = ACTIONS(2268),
    [anon_sym_delete] = ACTIONS(2268),
    [anon_sym_throw] = ACTIONS(2268),
    [anon_sym_namespace] = ACTIONS(2268),
    [anon_sym_using] = ACTIONS(2268),
    [anon_sym_static_assert] = ACTIONS(2268),
    [anon_sym_concept] = ACTIONS(2268),
    [anon_sym_co_return] = ACTIONS(2268),
    [anon_sym_co_yield] = ACTIONS(2268),
    [anon_sym_catch] = ACTIONS(2272),
    [anon_sym_R_DQUOTE] = ACTIONS(2270),
    [anon_sym_LR_DQUOTE] = ACTIONS(2270),
    [anon_sym_uR_DQUOTE] = ACTIONS(2270),
    [anon_sym_UR_DQUOTE] = ACTIONS(2270),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2270),
    [anon_sym_co_await] = ACTIONS(2268),
    [anon_sym_new] = ACTIONS(2268),
    [anon_sym_requires] = ACTIONS(2268),
    [sym_this] = ACTIONS(2268),
    [anon_sym_discard] = ACTIONS(2268),
    [anon_sym_precise] = ACTIONS(2268),
    [anon_sym_shared] = ACTIONS(2268),
    [anon_sym_groupshared] = ACTIONS(2268),
    [anon_sym_uniform] = ACTIONS(2268),
    [anon_sym_row_major] = ACTIONS(2268),
    [anon_sym_column_major] = ACTIONS(2268),
    [anon_sym_globallycoherent] = ACTIONS(2268),
    [anon_sym_centroid] = ACTIONS(2268),
    [anon_sym_noperspective] = ACTIONS(2268),
    [anon_sym_nointerpolation] = ACTIONS(2268),
    [anon_sym_sample] = ACTIONS(2268),
    [anon_sym_linear] = ACTIONS(2268),
    [anon_sym_snorm] = ACTIONS(2268),
    [anon_sym_unorm] = ACTIONS(2268),
    [anon_sym_point] = ACTIONS(2268),
    [anon_sym_line] = ACTIONS(2268),
    [anon_sym_triangleadj] = ACTIONS(2268),
    [anon_sym_lineadj] = ACTIONS(2268),
    [anon_sym_triangle] = ACTIONS(2268),
    [anon_sym_cbuffer] = ACTIONS(2268),
  },
  [182] = {
    [sym_template_argument_list] = STATE(200),
    [sym_identifier] = ACTIONS(2232),
    [aux_sym_preproc_include_token1] = ACTIONS(2232),
    [aux_sym_preproc_def_token1] = ACTIONS(2232),
    [aux_sym_preproc_if_token1] = ACTIONS(2232),
    [aux_sym_preproc_if_token2] = ACTIONS(2232),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2232),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2232),
    [aux_sym_preproc_else_token1] = ACTIONS(2232),
    [aux_sym_preproc_elif_token1] = ACTIONS(2232),
    [sym_preproc_directive] = ACTIONS(2232),
    [anon_sym_LPAREN2] = ACTIONS(2234),
    [anon_sym_BANG] = ACTIONS(2234),
    [anon_sym_TILDE] = ACTIONS(2234),
    [anon_sym_DASH] = ACTIONS(2232),
    [anon_sym_PLUS] = ACTIONS(2232),
    [anon_sym_STAR] = ACTIONS(2234),
    [anon_sym_AMP_AMP] = ACTIONS(2234),
    [anon_sym_AMP] = ACTIONS(2232),
    [anon_sym_LT] = ACTIONS(2248),
    [anon_sym_COLON] = ACTIONS(2232),
    [anon_sym_SEMI] = ACTIONS(2234),
    [anon_sym___extension__] = ACTIONS(2232),
    [anon_sym_typedef] = ACTIONS(2232),
    [anon_sym_in] = ACTIONS(2232),
    [anon_sym_out] = ACTIONS(2232),
    [anon_sym_inout] = ACTIONS(2232),
    [anon_sym_extern] = ACTIONS(2232),
    [anon_sym___attribute__] = ACTIONS(2232),
    [anon_sym_COLON_COLON] = ACTIONS(2230),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2234),
    [anon_sym___declspec] = ACTIONS(2232),
    [anon_sym___based] = ACTIONS(2232),
    [anon_sym___cdecl] = ACTIONS(2232),
    [anon_sym___clrcall] = ACTIONS(2232),
    [anon_sym___stdcall] = ACTIONS(2232),
    [anon_sym___fastcall] = ACTIONS(2232),
    [anon_sym___thiscall] = ACTIONS(2232),
    [anon_sym___vectorcall] = ACTIONS(2232),
    [anon_sym_LBRACE] = ACTIONS(2234),
    [anon_sym_signed] = ACTIONS(2232),
    [anon_sym_unsigned] = ACTIONS(2232),
    [anon_sym_long] = ACTIONS(2232),
    [anon_sym_short] = ACTIONS(2232),
    [anon_sym_LBRACK] = ACTIONS(2232),
    [anon_sym_static] = ACTIONS(2232),
    [anon_sym_register] = ACTIONS(2232),
    [anon_sym_inline] = ACTIONS(2232),
    [anon_sym___inline] = ACTIONS(2232),
    [anon_sym___inline__] = ACTIONS(2232),
    [anon_sym___forceinline] = ACTIONS(2232),
    [anon_sym_thread_local] = ACTIONS(2232),
    [anon_sym___thread] = ACTIONS(2232),
    [anon_sym_const] = ACTIONS(2232),
    [anon_sym_constexpr] = ACTIONS(2232),
    [anon_sym_volatile] = ACTIONS(2232),
    [anon_sym_restrict] = ACTIONS(2232),
    [anon_sym___restrict__] = ACTIONS(2232),
    [anon_sym__Atomic] = ACTIONS(2232),
    [anon_sym__Noreturn] = ACTIONS(2232),
    [anon_sym_noreturn] = ACTIONS(2232),
    [anon_sym_mutable] = ACTIONS(2232),
    [anon_sym_constinit] = ACTIONS(2232),
    [anon_sym_consteval] = ACTIONS(2232),
    [sym_primitive_type] = ACTIONS(2232),
    [anon_sym_enum] = ACTIONS(2232),
    [anon_sym_class] = ACTIONS(2232),
    [anon_sym_struct] = ACTIONS(2232),
    [anon_sym_union] = ACTIONS(2232),
    [anon_sym_if] = ACTIONS(2232),
    [anon_sym_else] = ACTIONS(2232),
    [anon_sym_switch] = ACTIONS(2232),
    [anon_sym_case] = ACTIONS(2232),
    [anon_sym_default] = ACTIONS(2232),
    [anon_sym_while] = ACTIONS(2232),
    [anon_sym_do] = ACTIONS(2232),
    [anon_sym_for] = ACTIONS(2232),
    [anon_sym_return] = ACTIONS(2232),
    [anon_sym_break] = ACTIONS(2232),
    [anon_sym_continue] = ACTIONS(2232),
    [anon_sym_goto] = ACTIONS(2232),
    [anon_sym___try] = ACTIONS(2232),
    [anon_sym___leave] = ACTIONS(2232),
    [anon_sym_not] = ACTIONS(2232),
    [anon_sym_compl] = ACTIONS(2232),
    [anon_sym_DASH_DASH] = ACTIONS(2234),
    [anon_sym_PLUS_PLUS] = ACTIONS(2234),
    [anon_sym_sizeof] = ACTIONS(2232),
    [anon_sym___alignof__] = ACTIONS(2232),
    [anon_sym___alignof] = ACTIONS(2232),
    [anon_sym__alignof] = ACTIONS(2232),
    [anon_sym_alignof] = ACTIONS(2232),
    [anon_sym__Alignof] = ACTIONS(2232),
    [anon_sym_offsetof] = ACTIONS(2232),
    [anon_sym__Generic] = ACTIONS(2232),
    [anon_sym_asm] = ACTIONS(2232),
    [anon_sym___asm__] = ACTIONS(2232),
    [sym_number_literal] = ACTIONS(2234),
    [anon_sym_L_SQUOTE] = ACTIONS(2234),
    [anon_sym_u_SQUOTE] = ACTIONS(2234),
    [anon_sym_U_SQUOTE] = ACTIONS(2234),
    [anon_sym_u8_SQUOTE] = ACTIONS(2234),
    [anon_sym_SQUOTE] = ACTIONS(2234),
    [anon_sym_L_DQUOTE] = ACTIONS(2234),
    [anon_sym_u_DQUOTE] = ACTIONS(2234),
    [anon_sym_U_DQUOTE] = ACTIONS(2234),
    [anon_sym_u8_DQUOTE] = ACTIONS(2234),
    [anon_sym_DQUOTE] = ACTIONS(2234),
    [sym_true] = ACTIONS(2232),
    [sym_false] = ACTIONS(2232),
    [anon_sym_NULL] = ACTIONS(2232),
    [anon_sym_nullptr] = ACTIONS(2232),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2232),
    [anon_sym_decltype] = ACTIONS(2232),
    [anon_sym_final] = ACTIONS(2232),
    [anon_sym_override] = ACTIONS(2232),
    [anon_sym_virtual] = ACTIONS(2232),
    [anon_sym_alignas] = ACTIONS(2232),
    [anon_sym_explicit] = ACTIONS(2232),
    [anon_sym_typename] = ACTIONS(2232),
    [anon_sym_template] = ACTIONS(2232),
    [anon_sym_operator] = ACTIONS(2232),
    [anon_sym_try] = ACTIONS(2232),
    [anon_sym_delete] = ACTIONS(2232),
    [anon_sym_throw] = ACTIONS(2232),
    [anon_sym_namespace] = ACTIONS(2232),
    [anon_sym_using] = ACTIONS(2232),
    [anon_sym_static_assert] = ACTIONS(2232),
    [anon_sym_concept] = ACTIONS(2232),
    [anon_sym_co_return] = ACTIONS(2232),
    [anon_sym_co_yield] = ACTIONS(2232),
    [anon_sym_R_DQUOTE] = ACTIONS(2234),
    [anon_sym_LR_DQUOTE] = ACTIONS(2234),
    [anon_sym_uR_DQUOTE] = ACTIONS(2234),
    [anon_sym_UR_DQUOTE] = ACTIONS(2234),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2234),
    [anon_sym_co_await] = ACTIONS(2232),
    [anon_sym_new] = ACTIONS(2232),
    [anon_sym_requires] = ACTIONS(2232),
    [sym_this] = ACTIONS(2232),
    [anon_sym_discard] = ACTIONS(2232),
    [anon_sym_precise] = ACTIONS(2232),
    [anon_sym_shared] = ACTIONS(2232),
    [anon_sym_groupshared] = ACTIONS(2232),
    [anon_sym_uniform] = ACTIONS(2232),
    [anon_sym_row_major] = ACTIONS(2232),
    [anon_sym_column_major] = ACTIONS(2232),
    [anon_sym_globallycoherent] = ACTIONS(2232),
    [anon_sym_centroid] = ACTIONS(2232),
    [anon_sym_noperspective] = ACTIONS(2232),
    [anon_sym_nointerpolation] = ACTIONS(2232),
    [anon_sym_sample] = ACTIONS(2232),
    [anon_sym_linear] = ACTIONS(2232),
    [anon_sym_snorm] = ACTIONS(2232),
    [anon_sym_unorm] = ACTIONS(2232),
    [anon_sym_point] = ACTIONS(2232),
    [anon_sym_line] = ACTIONS(2232),
    [anon_sym_triangleadj] = ACTIONS(2232),
    [anon_sym_lineadj] = ACTIONS(2232),
    [anon_sym_triangle] = ACTIONS(2232),
    [anon_sym_cbuffer] = ACTIONS(2232),
  },
  [183] = {
    [sym_identifier] = ACTIONS(2264),
    [aux_sym_preproc_include_token1] = ACTIONS(2264),
    [aux_sym_preproc_def_token1] = ACTIONS(2264),
    [aux_sym_preproc_if_token1] = ACTIONS(2264),
    [aux_sym_preproc_if_token2] = ACTIONS(2264),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2264),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2264),
    [aux_sym_preproc_else_token1] = ACTIONS(2264),
    [aux_sym_preproc_elif_token1] = ACTIONS(2264),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2264),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2264),
    [sym_preproc_directive] = ACTIONS(2264),
    [anon_sym_LPAREN2] = ACTIONS(2266),
    [anon_sym_BANG] = ACTIONS(2266),
    [anon_sym_TILDE] = ACTIONS(2266),
    [anon_sym_DASH] = ACTIONS(2264),
    [anon_sym_PLUS] = ACTIONS(2264),
    [anon_sym_STAR] = ACTIONS(2266),
    [anon_sym_AMP_AMP] = ACTIONS(2266),
    [anon_sym_AMP] = ACTIONS(2264),
    [anon_sym_COLON] = ACTIONS(2264),
    [anon_sym_SEMI] = ACTIONS(2266),
    [anon_sym___extension__] = ACTIONS(2264),
    [anon_sym_typedef] = ACTIONS(2264),
    [anon_sym_in] = ACTIONS(2264),
    [anon_sym_out] = ACTIONS(2264),
    [anon_sym_inout] = ACTIONS(2264),
    [anon_sym_extern] = ACTIONS(2264),
    [anon_sym___attribute__] = ACTIONS(2264),
    [anon_sym_COLON_COLON] = ACTIONS(2262),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2266),
    [anon_sym___declspec] = ACTIONS(2264),
    [anon_sym___based] = ACTIONS(2264),
    [anon_sym___cdecl] = ACTIONS(2264),
    [anon_sym___clrcall] = ACTIONS(2264),
    [anon_sym___stdcall] = ACTIONS(2264),
    [anon_sym___fastcall] = ACTIONS(2264),
    [anon_sym___thiscall] = ACTIONS(2264),
    [anon_sym___vectorcall] = ACTIONS(2264),
    [anon_sym_LBRACE] = ACTIONS(2266),
    [anon_sym_signed] = ACTIONS(2264),
    [anon_sym_unsigned] = ACTIONS(2264),
    [anon_sym_long] = ACTIONS(2264),
    [anon_sym_short] = ACTIONS(2264),
    [anon_sym_LBRACK] = ACTIONS(2264),
    [anon_sym_static] = ACTIONS(2264),
    [anon_sym_register] = ACTIONS(2264),
    [anon_sym_inline] = ACTIONS(2264),
    [anon_sym___inline] = ACTIONS(2264),
    [anon_sym___inline__] = ACTIONS(2264),
    [anon_sym___forceinline] = ACTIONS(2264),
    [anon_sym_thread_local] = ACTIONS(2264),
    [anon_sym___thread] = ACTIONS(2264),
    [anon_sym_const] = ACTIONS(2264),
    [anon_sym_constexpr] = ACTIONS(2264),
    [anon_sym_volatile] = ACTIONS(2264),
    [anon_sym_restrict] = ACTIONS(2264),
    [anon_sym___restrict__] = ACTIONS(2264),
    [anon_sym__Atomic] = ACTIONS(2264),
    [anon_sym__Noreturn] = ACTIONS(2264),
    [anon_sym_noreturn] = ACTIONS(2264),
    [anon_sym_mutable] = ACTIONS(2264),
    [anon_sym_constinit] = ACTIONS(2264),
    [anon_sym_consteval] = ACTIONS(2264),
    [sym_primitive_type] = ACTIONS(2264),
    [anon_sym_enum] = ACTIONS(2264),
    [anon_sym_class] = ACTIONS(2264),
    [anon_sym_struct] = ACTIONS(2264),
    [anon_sym_union] = ACTIONS(2264),
    [anon_sym_if] = ACTIONS(2264),
    [anon_sym_else] = ACTIONS(2264),
    [anon_sym_switch] = ACTIONS(2264),
    [anon_sym_case] = ACTIONS(2264),
    [anon_sym_default] = ACTIONS(2264),
    [anon_sym_while] = ACTIONS(2264),
    [anon_sym_do] = ACTIONS(2264),
    [anon_sym_for] = ACTIONS(2264),
    [anon_sym_return] = ACTIONS(2264),
    [anon_sym_break] = ACTIONS(2264),
    [anon_sym_continue] = ACTIONS(2264),
    [anon_sym_goto] = ACTIONS(2264),
    [anon_sym___try] = ACTIONS(2264),
    [anon_sym___leave] = ACTIONS(2264),
    [anon_sym_not] = ACTIONS(2264),
    [anon_sym_compl] = ACTIONS(2264),
    [anon_sym_DASH_DASH] = ACTIONS(2266),
    [anon_sym_PLUS_PLUS] = ACTIONS(2266),
    [anon_sym_sizeof] = ACTIONS(2264),
    [anon_sym___alignof__] = ACTIONS(2264),
    [anon_sym___alignof] = ACTIONS(2264),
    [anon_sym__alignof] = ACTIONS(2264),
    [anon_sym_alignof] = ACTIONS(2264),
    [anon_sym__Alignof] = ACTIONS(2264),
    [anon_sym_offsetof] = ACTIONS(2264),
    [anon_sym__Generic] = ACTIONS(2264),
    [anon_sym_asm] = ACTIONS(2264),
    [anon_sym___asm__] = ACTIONS(2264),
    [sym_number_literal] = ACTIONS(2266),
    [anon_sym_L_SQUOTE] = ACTIONS(2266),
    [anon_sym_u_SQUOTE] = ACTIONS(2266),
    [anon_sym_U_SQUOTE] = ACTIONS(2266),
    [anon_sym_u8_SQUOTE] = ACTIONS(2266),
    [anon_sym_SQUOTE] = ACTIONS(2266),
    [anon_sym_L_DQUOTE] = ACTIONS(2266),
    [anon_sym_u_DQUOTE] = ACTIONS(2266),
    [anon_sym_U_DQUOTE] = ACTIONS(2266),
    [anon_sym_u8_DQUOTE] = ACTIONS(2266),
    [anon_sym_DQUOTE] = ACTIONS(2266),
    [sym_true] = ACTIONS(2264),
    [sym_false] = ACTIONS(2264),
    [anon_sym_NULL] = ACTIONS(2264),
    [anon_sym_nullptr] = ACTIONS(2264),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2264),
    [anon_sym_decltype] = ACTIONS(2264),
    [anon_sym_final] = ACTIONS(2264),
    [anon_sym_override] = ACTIONS(2264),
    [anon_sym_virtual] = ACTIONS(2264),
    [anon_sym_alignas] = ACTIONS(2264),
    [anon_sym_explicit] = ACTIONS(2264),
    [anon_sym_typename] = ACTIONS(2264),
    [anon_sym_template] = ACTIONS(2264),
    [anon_sym_operator] = ACTIONS(2264),
    [anon_sym_try] = ACTIONS(2264),
    [anon_sym_delete] = ACTIONS(2264),
    [anon_sym_throw] = ACTIONS(2264),
    [anon_sym_namespace] = ACTIONS(2264),
    [anon_sym_using] = ACTIONS(2264),
    [anon_sym_static_assert] = ACTIONS(2264),
    [anon_sym_concept] = ACTIONS(2264),
    [anon_sym_co_return] = ACTIONS(2264),
    [anon_sym_co_yield] = ACTIONS(2264),
    [anon_sym_R_DQUOTE] = ACTIONS(2266),
    [anon_sym_LR_DQUOTE] = ACTIONS(2266),
    [anon_sym_uR_DQUOTE] = ACTIONS(2266),
    [anon_sym_UR_DQUOTE] = ACTIONS(2266),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2266),
    [anon_sym_co_await] = ACTIONS(2264),
    [anon_sym_new] = ACTIONS(2264),
    [anon_sym_requires] = ACTIONS(2264),
    [sym_this] = ACTIONS(2264),
    [anon_sym_discard] = ACTIONS(2264),
    [anon_sym_precise] = ACTIONS(2264),
    [anon_sym_shared] = ACTIONS(2264),
    [anon_sym_groupshared] = ACTIONS(2264),
    [anon_sym_uniform] = ACTIONS(2264),
    [anon_sym_row_major] = ACTIONS(2264),
    [anon_sym_column_major] = ACTIONS(2264),
    [anon_sym_globallycoherent] = ACTIONS(2264),
    [anon_sym_centroid] = ACTIONS(2264),
    [anon_sym_noperspective] = ACTIONS(2264),
    [anon_sym_nointerpolation] = ACTIONS(2264),
    [anon_sym_sample] = ACTIONS(2264),
    [anon_sym_linear] = ACTIONS(2264),
    [anon_sym_snorm] = ACTIONS(2264),
    [anon_sym_unorm] = ACTIONS(2264),
    [anon_sym_point] = ACTIONS(2264),
    [anon_sym_line] = ACTIONS(2264),
    [anon_sym_triangleadj] = ACTIONS(2264),
    [anon_sym_lineadj] = ACTIONS(2264),
    [anon_sym_triangle] = ACTIONS(2264),
    [anon_sym_cbuffer] = ACTIONS(2264),
  },
  [184] = {
    [sym_identifier] = ACTIONS(2264),
    [aux_sym_preproc_include_token1] = ACTIONS(2264),
    [aux_sym_preproc_def_token1] = ACTIONS(2264),
    [aux_sym_preproc_if_token1] = ACTIONS(2264),
    [aux_sym_preproc_if_token2] = ACTIONS(2264),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2264),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2264),
    [aux_sym_preproc_else_token1] = ACTIONS(2264),
    [aux_sym_preproc_elif_token1] = ACTIONS(2264),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2264),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2264),
    [sym_preproc_directive] = ACTIONS(2264),
    [anon_sym_LPAREN2] = ACTIONS(2266),
    [anon_sym_BANG] = ACTIONS(2266),
    [anon_sym_TILDE] = ACTIONS(2266),
    [anon_sym_DASH] = ACTIONS(2264),
    [anon_sym_PLUS] = ACTIONS(2264),
    [anon_sym_STAR] = ACTIONS(2266),
    [anon_sym_AMP_AMP] = ACTIONS(2266),
    [anon_sym_AMP] = ACTIONS(2264),
    [anon_sym_COLON] = ACTIONS(2264),
    [anon_sym_SEMI] = ACTIONS(2266),
    [anon_sym___extension__] = ACTIONS(2264),
    [anon_sym_typedef] = ACTIONS(2264),
    [anon_sym_in] = ACTIONS(2264),
    [anon_sym_out] = ACTIONS(2264),
    [anon_sym_inout] = ACTIONS(2264),
    [anon_sym_extern] = ACTIONS(2264),
    [anon_sym___attribute__] = ACTIONS(2264),
    [anon_sym_COLON_COLON] = ACTIONS(2262),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2266),
    [anon_sym___declspec] = ACTIONS(2264),
    [anon_sym___based] = ACTIONS(2264),
    [anon_sym___cdecl] = ACTIONS(2264),
    [anon_sym___clrcall] = ACTIONS(2264),
    [anon_sym___stdcall] = ACTIONS(2264),
    [anon_sym___fastcall] = ACTIONS(2264),
    [anon_sym___thiscall] = ACTIONS(2264),
    [anon_sym___vectorcall] = ACTIONS(2264),
    [anon_sym_LBRACE] = ACTIONS(2266),
    [anon_sym_signed] = ACTIONS(2264),
    [anon_sym_unsigned] = ACTIONS(2264),
    [anon_sym_long] = ACTIONS(2264),
    [anon_sym_short] = ACTIONS(2264),
    [anon_sym_LBRACK] = ACTIONS(2264),
    [anon_sym_static] = ACTIONS(2264),
    [anon_sym_register] = ACTIONS(2264),
    [anon_sym_inline] = ACTIONS(2264),
    [anon_sym___inline] = ACTIONS(2264),
    [anon_sym___inline__] = ACTIONS(2264),
    [anon_sym___forceinline] = ACTIONS(2264),
    [anon_sym_thread_local] = ACTIONS(2264),
    [anon_sym___thread] = ACTIONS(2264),
    [anon_sym_const] = ACTIONS(2264),
    [anon_sym_constexpr] = ACTIONS(2264),
    [anon_sym_volatile] = ACTIONS(2264),
    [anon_sym_restrict] = ACTIONS(2264),
    [anon_sym___restrict__] = ACTIONS(2264),
    [anon_sym__Atomic] = ACTIONS(2264),
    [anon_sym__Noreturn] = ACTIONS(2264),
    [anon_sym_noreturn] = ACTIONS(2264),
    [anon_sym_mutable] = ACTIONS(2264),
    [anon_sym_constinit] = ACTIONS(2264),
    [anon_sym_consteval] = ACTIONS(2264),
    [sym_primitive_type] = ACTIONS(2264),
    [anon_sym_enum] = ACTIONS(2264),
    [anon_sym_class] = ACTIONS(2264),
    [anon_sym_struct] = ACTIONS(2264),
    [anon_sym_union] = ACTIONS(2264),
    [anon_sym_if] = ACTIONS(2264),
    [anon_sym_else] = ACTIONS(2264),
    [anon_sym_switch] = ACTIONS(2264),
    [anon_sym_case] = ACTIONS(2264),
    [anon_sym_default] = ACTIONS(2264),
    [anon_sym_while] = ACTIONS(2264),
    [anon_sym_do] = ACTIONS(2264),
    [anon_sym_for] = ACTIONS(2264),
    [anon_sym_return] = ACTIONS(2264),
    [anon_sym_break] = ACTIONS(2264),
    [anon_sym_continue] = ACTIONS(2264),
    [anon_sym_goto] = ACTIONS(2264),
    [anon_sym___try] = ACTIONS(2264),
    [anon_sym___leave] = ACTIONS(2264),
    [anon_sym_not] = ACTIONS(2264),
    [anon_sym_compl] = ACTIONS(2264),
    [anon_sym_DASH_DASH] = ACTIONS(2266),
    [anon_sym_PLUS_PLUS] = ACTIONS(2266),
    [anon_sym_sizeof] = ACTIONS(2264),
    [anon_sym___alignof__] = ACTIONS(2264),
    [anon_sym___alignof] = ACTIONS(2264),
    [anon_sym__alignof] = ACTIONS(2264),
    [anon_sym_alignof] = ACTIONS(2264),
    [anon_sym__Alignof] = ACTIONS(2264),
    [anon_sym_offsetof] = ACTIONS(2264),
    [anon_sym__Generic] = ACTIONS(2264),
    [anon_sym_asm] = ACTIONS(2264),
    [anon_sym___asm__] = ACTIONS(2264),
    [sym_number_literal] = ACTIONS(2266),
    [anon_sym_L_SQUOTE] = ACTIONS(2266),
    [anon_sym_u_SQUOTE] = ACTIONS(2266),
    [anon_sym_U_SQUOTE] = ACTIONS(2266),
    [anon_sym_u8_SQUOTE] = ACTIONS(2266),
    [anon_sym_SQUOTE] = ACTIONS(2266),
    [anon_sym_L_DQUOTE] = ACTIONS(2266),
    [anon_sym_u_DQUOTE] = ACTIONS(2266),
    [anon_sym_U_DQUOTE] = ACTIONS(2266),
    [anon_sym_u8_DQUOTE] = ACTIONS(2266),
    [anon_sym_DQUOTE] = ACTIONS(2266),
    [sym_true] = ACTIONS(2264),
    [sym_false] = ACTIONS(2264),
    [anon_sym_NULL] = ACTIONS(2264),
    [anon_sym_nullptr] = ACTIONS(2264),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2264),
    [anon_sym_decltype] = ACTIONS(2264),
    [anon_sym_final] = ACTIONS(2264),
    [anon_sym_override] = ACTIONS(2264),
    [anon_sym_virtual] = ACTIONS(2264),
    [anon_sym_alignas] = ACTIONS(2264),
    [anon_sym_explicit] = ACTIONS(2264),
    [anon_sym_typename] = ACTIONS(2264),
    [anon_sym_template] = ACTIONS(2264),
    [anon_sym_operator] = ACTIONS(2264),
    [anon_sym_try] = ACTIONS(2264),
    [anon_sym_delete] = ACTIONS(2264),
    [anon_sym_throw] = ACTIONS(2264),
    [anon_sym_namespace] = ACTIONS(2264),
    [anon_sym_using] = ACTIONS(2264),
    [anon_sym_static_assert] = ACTIONS(2264),
    [anon_sym_concept] = ACTIONS(2264),
    [anon_sym_co_return] = ACTIONS(2264),
    [anon_sym_co_yield] = ACTIONS(2264),
    [anon_sym_R_DQUOTE] = ACTIONS(2266),
    [anon_sym_LR_DQUOTE] = ACTIONS(2266),
    [anon_sym_uR_DQUOTE] = ACTIONS(2266),
    [anon_sym_UR_DQUOTE] = ACTIONS(2266),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2266),
    [anon_sym_co_await] = ACTIONS(2264),
    [anon_sym_new] = ACTIONS(2264),
    [anon_sym_requires] = ACTIONS(2264),
    [sym_this] = ACTIONS(2264),
    [anon_sym_discard] = ACTIONS(2264),
    [anon_sym_precise] = ACTIONS(2264),
    [anon_sym_shared] = ACTIONS(2264),
    [anon_sym_groupshared] = ACTIONS(2264),
    [anon_sym_uniform] = ACTIONS(2264),
    [anon_sym_row_major] = ACTIONS(2264),
    [anon_sym_column_major] = ACTIONS(2264),
    [anon_sym_globallycoherent] = ACTIONS(2264),
    [anon_sym_centroid] = ACTIONS(2264),
    [anon_sym_noperspective] = ACTIONS(2264),
    [anon_sym_nointerpolation] = ACTIONS(2264),
    [anon_sym_sample] = ACTIONS(2264),
    [anon_sym_linear] = ACTIONS(2264),
    [anon_sym_snorm] = ACTIONS(2264),
    [anon_sym_unorm] = ACTIONS(2264),
    [anon_sym_point] = ACTIONS(2264),
    [anon_sym_line] = ACTIONS(2264),
    [anon_sym_triangleadj] = ACTIONS(2264),
    [anon_sym_lineadj] = ACTIONS(2264),
    [anon_sym_triangle] = ACTIONS(2264),
    [anon_sym_cbuffer] = ACTIONS(2264),
  },
  [185] = {
    [sym_identifier] = ACTIONS(2216),
    [aux_sym_preproc_include_token1] = ACTIONS(2216),
    [aux_sym_preproc_def_token1] = ACTIONS(2216),
    [aux_sym_preproc_if_token1] = ACTIONS(2216),
    [aux_sym_preproc_if_token2] = ACTIONS(2216),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2216),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2216),
    [aux_sym_preproc_else_token1] = ACTIONS(2216),
    [aux_sym_preproc_elif_token1] = ACTIONS(2216),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2216),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2216),
    [sym_preproc_directive] = ACTIONS(2216),
    [anon_sym_LPAREN2] = ACTIONS(2218),
    [anon_sym_BANG] = ACTIONS(2218),
    [anon_sym_TILDE] = ACTIONS(2218),
    [anon_sym_DASH] = ACTIONS(2216),
    [anon_sym_PLUS] = ACTIONS(2216),
    [anon_sym_STAR] = ACTIONS(2218),
    [anon_sym_AMP_AMP] = ACTIONS(2218),
    [anon_sym_AMP] = ACTIONS(2216),
    [anon_sym_COLON] = ACTIONS(2216),
    [anon_sym_SEMI] = ACTIONS(2218),
    [anon_sym___extension__] = ACTIONS(2216),
    [anon_sym_typedef] = ACTIONS(2216),
    [anon_sym_in] = ACTIONS(2216),
    [anon_sym_out] = ACTIONS(2216),
    [anon_sym_inout] = ACTIONS(2216),
    [anon_sym_extern] = ACTIONS(2216),
    [anon_sym___attribute__] = ACTIONS(2216),
    [anon_sym_COLON_COLON] = ACTIONS(2218),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2218),
    [anon_sym___declspec] = ACTIONS(2216),
    [anon_sym___based] = ACTIONS(2216),
    [anon_sym___cdecl] = ACTIONS(2216),
    [anon_sym___clrcall] = ACTIONS(2216),
    [anon_sym___stdcall] = ACTIONS(2216),
    [anon_sym___fastcall] = ACTIONS(2216),
    [anon_sym___thiscall] = ACTIONS(2216),
    [anon_sym___vectorcall] = ACTIONS(2216),
    [anon_sym_LBRACE] = ACTIONS(2218),
    [anon_sym_signed] = ACTIONS(2216),
    [anon_sym_unsigned] = ACTIONS(2216),
    [anon_sym_long] = ACTIONS(2216),
    [anon_sym_short] = ACTIONS(2216),
    [anon_sym_LBRACK] = ACTIONS(2216),
    [anon_sym_static] = ACTIONS(2216),
    [anon_sym_register] = ACTIONS(2216),
    [anon_sym_inline] = ACTIONS(2216),
    [anon_sym___inline] = ACTIONS(2216),
    [anon_sym___inline__] = ACTIONS(2216),
    [anon_sym___forceinline] = ACTIONS(2216),
    [anon_sym_thread_local] = ACTIONS(2216),
    [anon_sym___thread] = ACTIONS(2216),
    [anon_sym_const] = ACTIONS(2216),
    [anon_sym_constexpr] = ACTIONS(2216),
    [anon_sym_volatile] = ACTIONS(2216),
    [anon_sym_restrict] = ACTIONS(2216),
    [anon_sym___restrict__] = ACTIONS(2216),
    [anon_sym__Atomic] = ACTIONS(2216),
    [anon_sym__Noreturn] = ACTIONS(2216),
    [anon_sym_noreturn] = ACTIONS(2216),
    [anon_sym_mutable] = ACTIONS(2216),
    [anon_sym_constinit] = ACTIONS(2216),
    [anon_sym_consteval] = ACTIONS(2216),
    [sym_primitive_type] = ACTIONS(2216),
    [anon_sym_enum] = ACTIONS(2216),
    [anon_sym_class] = ACTIONS(2216),
    [anon_sym_struct] = ACTIONS(2216),
    [anon_sym_union] = ACTIONS(2216),
    [anon_sym_if] = ACTIONS(2216),
    [anon_sym_else] = ACTIONS(2216),
    [anon_sym_switch] = ACTIONS(2216),
    [anon_sym_case] = ACTIONS(2216),
    [anon_sym_default] = ACTIONS(2216),
    [anon_sym_while] = ACTIONS(2216),
    [anon_sym_do] = ACTIONS(2216),
    [anon_sym_for] = ACTIONS(2216),
    [anon_sym_return] = ACTIONS(2216),
    [anon_sym_break] = ACTIONS(2216),
    [anon_sym_continue] = ACTIONS(2216),
    [anon_sym_goto] = ACTIONS(2216),
    [anon_sym___try] = ACTIONS(2216),
    [anon_sym___leave] = ACTIONS(2216),
    [anon_sym_not] = ACTIONS(2216),
    [anon_sym_compl] = ACTIONS(2216),
    [anon_sym_DASH_DASH] = ACTIONS(2218),
    [anon_sym_PLUS_PLUS] = ACTIONS(2218),
    [anon_sym_sizeof] = ACTIONS(2216),
    [anon_sym___alignof__] = ACTIONS(2216),
    [anon_sym___alignof] = ACTIONS(2216),
    [anon_sym__alignof] = ACTIONS(2216),
    [anon_sym_alignof] = ACTIONS(2216),
    [anon_sym__Alignof] = ACTIONS(2216),
    [anon_sym_offsetof] = ACTIONS(2216),
    [anon_sym__Generic] = ACTIONS(2216),
    [anon_sym_asm] = ACTIONS(2216),
    [anon_sym___asm__] = ACTIONS(2216),
    [sym_number_literal] = ACTIONS(2218),
    [anon_sym_L_SQUOTE] = ACTIONS(2218),
    [anon_sym_u_SQUOTE] = ACTIONS(2218),
    [anon_sym_U_SQUOTE] = ACTIONS(2218),
    [anon_sym_u8_SQUOTE] = ACTIONS(2218),
    [anon_sym_SQUOTE] = ACTIONS(2218),
    [anon_sym_L_DQUOTE] = ACTIONS(2218),
    [anon_sym_u_DQUOTE] = ACTIONS(2218),
    [anon_sym_U_DQUOTE] = ACTIONS(2218),
    [anon_sym_u8_DQUOTE] = ACTIONS(2218),
    [anon_sym_DQUOTE] = ACTIONS(2218),
    [sym_true] = ACTIONS(2216),
    [sym_false] = ACTIONS(2216),
    [anon_sym_NULL] = ACTIONS(2216),
    [anon_sym_nullptr] = ACTIONS(2216),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2216),
    [anon_sym_decltype] = ACTIONS(2216),
    [anon_sym_final] = ACTIONS(2216),
    [anon_sym_override] = ACTIONS(2216),
    [anon_sym_virtual] = ACTIONS(2216),
    [anon_sym_alignas] = ACTIONS(2216),
    [anon_sym_explicit] = ACTIONS(2216),
    [anon_sym_typename] = ACTIONS(2216),
    [anon_sym_template] = ACTIONS(2216),
    [anon_sym_operator] = ACTIONS(2216),
    [anon_sym_try] = ACTIONS(2216),
    [anon_sym_delete] = ACTIONS(2216),
    [anon_sym_throw] = ACTIONS(2216),
    [anon_sym_namespace] = ACTIONS(2216),
    [anon_sym_using] = ACTIONS(2216),
    [anon_sym_static_assert] = ACTIONS(2216),
    [anon_sym_concept] = ACTIONS(2216),
    [anon_sym_co_return] = ACTIONS(2216),
    [anon_sym_co_yield] = ACTIONS(2216),
    [anon_sym_R_DQUOTE] = ACTIONS(2218),
    [anon_sym_LR_DQUOTE] = ACTIONS(2218),
    [anon_sym_uR_DQUOTE] = ACTIONS(2218),
    [anon_sym_UR_DQUOTE] = ACTIONS(2218),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2218),
    [anon_sym_co_await] = ACTIONS(2216),
    [anon_sym_new] = ACTIONS(2216),
    [anon_sym_requires] = ACTIONS(2216),
    [sym_this] = ACTIONS(2216),
    [anon_sym_discard] = ACTIONS(2216),
    [anon_sym_precise] = ACTIONS(2216),
    [anon_sym_shared] = ACTIONS(2216),
    [anon_sym_groupshared] = ACTIONS(2216),
    [anon_sym_uniform] = ACTIONS(2216),
    [anon_sym_row_major] = ACTIONS(2216),
    [anon_sym_column_major] = ACTIONS(2216),
    [anon_sym_globallycoherent] = ACTIONS(2216),
    [anon_sym_centroid] = ACTIONS(2216),
    [anon_sym_noperspective] = ACTIONS(2216),
    [anon_sym_nointerpolation] = ACTIONS(2216),
    [anon_sym_sample] = ACTIONS(2216),
    [anon_sym_linear] = ACTIONS(2216),
    [anon_sym_snorm] = ACTIONS(2216),
    [anon_sym_unorm] = ACTIONS(2216),
    [anon_sym_point] = ACTIONS(2216),
    [anon_sym_line] = ACTIONS(2216),
    [anon_sym_triangleadj] = ACTIONS(2216),
    [anon_sym_lineadj] = ACTIONS(2216),
    [anon_sym_triangle] = ACTIONS(2216),
    [anon_sym_cbuffer] = ACTIONS(2216),
  },
  [186] = {
    [sym_identifier] = ACTIONS(2178),
    [aux_sym_preproc_include_token1] = ACTIONS(2178),
    [aux_sym_preproc_def_token1] = ACTIONS(2178),
    [aux_sym_preproc_if_token1] = ACTIONS(2178),
    [aux_sym_preproc_if_token2] = ACTIONS(2178),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2178),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2178),
    [aux_sym_preproc_else_token1] = ACTIONS(2178),
    [aux_sym_preproc_elif_token1] = ACTIONS(2178),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2178),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2178),
    [sym_preproc_directive] = ACTIONS(2178),
    [anon_sym_LPAREN2] = ACTIONS(2180),
    [anon_sym_BANG] = ACTIONS(2180),
    [anon_sym_TILDE] = ACTIONS(2180),
    [anon_sym_DASH] = ACTIONS(2178),
    [anon_sym_PLUS] = ACTIONS(2178),
    [anon_sym_STAR] = ACTIONS(2180),
    [anon_sym_AMP_AMP] = ACTIONS(2180),
    [anon_sym_AMP] = ACTIONS(2178),
    [anon_sym_COLON] = ACTIONS(2178),
    [anon_sym_SEMI] = ACTIONS(2180),
    [anon_sym___extension__] = ACTIONS(2178),
    [anon_sym_typedef] = ACTIONS(2178),
    [anon_sym_in] = ACTIONS(2178),
    [anon_sym_out] = ACTIONS(2178),
    [anon_sym_inout] = ACTIONS(2178),
    [anon_sym_extern] = ACTIONS(2178),
    [anon_sym___attribute__] = ACTIONS(2178),
    [anon_sym_COLON_COLON] = ACTIONS(2180),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2180),
    [anon_sym___declspec] = ACTIONS(2178),
    [anon_sym___based] = ACTIONS(2178),
    [anon_sym___cdecl] = ACTIONS(2178),
    [anon_sym___clrcall] = ACTIONS(2178),
    [anon_sym___stdcall] = ACTIONS(2178),
    [anon_sym___fastcall] = ACTIONS(2178),
    [anon_sym___thiscall] = ACTIONS(2178),
    [anon_sym___vectorcall] = ACTIONS(2178),
    [anon_sym_LBRACE] = ACTIONS(2180),
    [anon_sym_signed] = ACTIONS(2178),
    [anon_sym_unsigned] = ACTIONS(2178),
    [anon_sym_long] = ACTIONS(2178),
    [anon_sym_short] = ACTIONS(2178),
    [anon_sym_LBRACK] = ACTIONS(2178),
    [anon_sym_static] = ACTIONS(2178),
    [anon_sym_register] = ACTIONS(2178),
    [anon_sym_inline] = ACTIONS(2178),
    [anon_sym___inline] = ACTIONS(2178),
    [anon_sym___inline__] = ACTIONS(2178),
    [anon_sym___forceinline] = ACTIONS(2178),
    [anon_sym_thread_local] = ACTIONS(2178),
    [anon_sym___thread] = ACTIONS(2178),
    [anon_sym_const] = ACTIONS(2178),
    [anon_sym_constexpr] = ACTIONS(2178),
    [anon_sym_volatile] = ACTIONS(2178),
    [anon_sym_restrict] = ACTIONS(2178),
    [anon_sym___restrict__] = ACTIONS(2178),
    [anon_sym__Atomic] = ACTIONS(2178),
    [anon_sym__Noreturn] = ACTIONS(2178),
    [anon_sym_noreturn] = ACTIONS(2178),
    [anon_sym_mutable] = ACTIONS(2178),
    [anon_sym_constinit] = ACTIONS(2178),
    [anon_sym_consteval] = ACTIONS(2178),
    [sym_primitive_type] = ACTIONS(2178),
    [anon_sym_enum] = ACTIONS(2178),
    [anon_sym_class] = ACTIONS(2178),
    [anon_sym_struct] = ACTIONS(2178),
    [anon_sym_union] = ACTIONS(2178),
    [anon_sym_if] = ACTIONS(2178),
    [anon_sym_else] = ACTIONS(2178),
    [anon_sym_switch] = ACTIONS(2178),
    [anon_sym_case] = ACTIONS(2178),
    [anon_sym_default] = ACTIONS(2178),
    [anon_sym_while] = ACTIONS(2178),
    [anon_sym_do] = ACTIONS(2178),
    [anon_sym_for] = ACTIONS(2178),
    [anon_sym_return] = ACTIONS(2178),
    [anon_sym_break] = ACTIONS(2178),
    [anon_sym_continue] = ACTIONS(2178),
    [anon_sym_goto] = ACTIONS(2178),
    [anon_sym___try] = ACTIONS(2178),
    [anon_sym___leave] = ACTIONS(2178),
    [anon_sym_not] = ACTIONS(2178),
    [anon_sym_compl] = ACTIONS(2178),
    [anon_sym_DASH_DASH] = ACTIONS(2180),
    [anon_sym_PLUS_PLUS] = ACTIONS(2180),
    [anon_sym_sizeof] = ACTIONS(2178),
    [anon_sym___alignof__] = ACTIONS(2178),
    [anon_sym___alignof] = ACTIONS(2178),
    [anon_sym__alignof] = ACTIONS(2178),
    [anon_sym_alignof] = ACTIONS(2178),
    [anon_sym__Alignof] = ACTIONS(2178),
    [anon_sym_offsetof] = ACTIONS(2178),
    [anon_sym__Generic] = ACTIONS(2178),
    [anon_sym_asm] = ACTIONS(2178),
    [anon_sym___asm__] = ACTIONS(2178),
    [sym_number_literal] = ACTIONS(2180),
    [anon_sym_L_SQUOTE] = ACTIONS(2180),
    [anon_sym_u_SQUOTE] = ACTIONS(2180),
    [anon_sym_U_SQUOTE] = ACTIONS(2180),
    [anon_sym_u8_SQUOTE] = ACTIONS(2180),
    [anon_sym_SQUOTE] = ACTIONS(2180),
    [anon_sym_L_DQUOTE] = ACTIONS(2180),
    [anon_sym_u_DQUOTE] = ACTIONS(2180),
    [anon_sym_U_DQUOTE] = ACTIONS(2180),
    [anon_sym_u8_DQUOTE] = ACTIONS(2180),
    [anon_sym_DQUOTE] = ACTIONS(2180),
    [sym_true] = ACTIONS(2178),
    [sym_false] = ACTIONS(2178),
    [anon_sym_NULL] = ACTIONS(2178),
    [anon_sym_nullptr] = ACTIONS(2178),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2178),
    [anon_sym_decltype] = ACTIONS(2178),
    [anon_sym_final] = ACTIONS(2178),
    [anon_sym_override] = ACTIONS(2178),
    [anon_sym_virtual] = ACTIONS(2178),
    [anon_sym_alignas] = ACTIONS(2178),
    [anon_sym_explicit] = ACTIONS(2178),
    [anon_sym_typename] = ACTIONS(2178),
    [anon_sym_template] = ACTIONS(2178),
    [anon_sym_operator] = ACTIONS(2178),
    [anon_sym_try] = ACTIONS(2178),
    [anon_sym_delete] = ACTIONS(2178),
    [anon_sym_throw] = ACTIONS(2178),
    [anon_sym_namespace] = ACTIONS(2178),
    [anon_sym_using] = ACTIONS(2178),
    [anon_sym_static_assert] = ACTIONS(2178),
    [anon_sym_concept] = ACTIONS(2178),
    [anon_sym_co_return] = ACTIONS(2178),
    [anon_sym_co_yield] = ACTIONS(2178),
    [anon_sym_R_DQUOTE] = ACTIONS(2180),
    [anon_sym_LR_DQUOTE] = ACTIONS(2180),
    [anon_sym_uR_DQUOTE] = ACTIONS(2180),
    [anon_sym_UR_DQUOTE] = ACTIONS(2180),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2180),
    [anon_sym_co_await] = ACTIONS(2178),
    [anon_sym_new] = ACTIONS(2178),
    [anon_sym_requires] = ACTIONS(2178),
    [sym_this] = ACTIONS(2178),
    [anon_sym_discard] = ACTIONS(2178),
    [anon_sym_precise] = ACTIONS(2178),
    [anon_sym_shared] = ACTIONS(2178),
    [anon_sym_groupshared] = ACTIONS(2178),
    [anon_sym_uniform] = ACTIONS(2178),
    [anon_sym_row_major] = ACTIONS(2178),
    [anon_sym_column_major] = ACTIONS(2178),
    [anon_sym_globallycoherent] = ACTIONS(2178),
    [anon_sym_centroid] = ACTIONS(2178),
    [anon_sym_noperspective] = ACTIONS(2178),
    [anon_sym_nointerpolation] = ACTIONS(2178),
    [anon_sym_sample] = ACTIONS(2178),
    [anon_sym_linear] = ACTIONS(2178),
    [anon_sym_snorm] = ACTIONS(2178),
    [anon_sym_unorm] = ACTIONS(2178),
    [anon_sym_point] = ACTIONS(2178),
    [anon_sym_line] = ACTIONS(2178),
    [anon_sym_triangleadj] = ACTIONS(2178),
    [anon_sym_lineadj] = ACTIONS(2178),
    [anon_sym_triangle] = ACTIONS(2178),
    [anon_sym_cbuffer] = ACTIONS(2178),
  },
  [187] = {
    [sym_catch_clause] = STATE(181),
    [aux_sym_constructor_try_statement_repeat1] = STATE(181),
    [sym_identifier] = ACTIONS(2275),
    [aux_sym_preproc_include_token1] = ACTIONS(2275),
    [aux_sym_preproc_def_token1] = ACTIONS(2275),
    [aux_sym_preproc_if_token1] = ACTIONS(2275),
    [aux_sym_preproc_if_token2] = ACTIONS(2275),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2275),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2275),
    [aux_sym_preproc_else_token1] = ACTIONS(2275),
    [aux_sym_preproc_elif_token1] = ACTIONS(2275),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2275),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2275),
    [sym_preproc_directive] = ACTIONS(2275),
    [anon_sym_LPAREN2] = ACTIONS(2277),
    [anon_sym_BANG] = ACTIONS(2277),
    [anon_sym_TILDE] = ACTIONS(2277),
    [anon_sym_DASH] = ACTIONS(2275),
    [anon_sym_PLUS] = ACTIONS(2275),
    [anon_sym_STAR] = ACTIONS(2277),
    [anon_sym_AMP_AMP] = ACTIONS(2277),
    [anon_sym_AMP] = ACTIONS(2275),
    [anon_sym_SEMI] = ACTIONS(2277),
    [anon_sym___extension__] = ACTIONS(2275),
    [anon_sym_typedef] = ACTIONS(2275),
    [anon_sym_in] = ACTIONS(2275),
    [anon_sym_out] = ACTIONS(2275),
    [anon_sym_inout] = ACTIONS(2275),
    [anon_sym_extern] = ACTIONS(2275),
    [anon_sym___attribute__] = ACTIONS(2275),
    [anon_sym_COLON_COLON] = ACTIONS(2277),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2277),
    [anon_sym___declspec] = ACTIONS(2275),
    [anon_sym___based] = ACTIONS(2275),
    [anon_sym___cdecl] = ACTIONS(2275),
    [anon_sym___clrcall] = ACTIONS(2275),
    [anon_sym___stdcall] = ACTIONS(2275),
    [anon_sym___fastcall] = ACTIONS(2275),
    [anon_sym___thiscall] = ACTIONS(2275),
    [anon_sym___vectorcall] = ACTIONS(2275),
    [anon_sym_LBRACE] = ACTIONS(2277),
    [anon_sym_signed] = ACTIONS(2275),
    [anon_sym_unsigned] = ACTIONS(2275),
    [anon_sym_long] = ACTIONS(2275),
    [anon_sym_short] = ACTIONS(2275),
    [anon_sym_LBRACK] = ACTIONS(2275),
    [anon_sym_static] = ACTIONS(2275),
    [anon_sym_register] = ACTIONS(2275),
    [anon_sym_inline] = ACTIONS(2275),
    [anon_sym___inline] = ACTIONS(2275),
    [anon_sym___inline__] = ACTIONS(2275),
    [anon_sym___forceinline] = ACTIONS(2275),
    [anon_sym_thread_local] = ACTIONS(2275),
    [anon_sym___thread] = ACTIONS(2275),
    [anon_sym_const] = ACTIONS(2275),
    [anon_sym_constexpr] = ACTIONS(2275),
    [anon_sym_volatile] = ACTIONS(2275),
    [anon_sym_restrict] = ACTIONS(2275),
    [anon_sym___restrict__] = ACTIONS(2275),
    [anon_sym__Atomic] = ACTIONS(2275),
    [anon_sym__Noreturn] = ACTIONS(2275),
    [anon_sym_noreturn] = ACTIONS(2275),
    [anon_sym_mutable] = ACTIONS(2275),
    [anon_sym_constinit] = ACTIONS(2275),
    [anon_sym_consteval] = ACTIONS(2275),
    [sym_primitive_type] = ACTIONS(2275),
    [anon_sym_enum] = ACTIONS(2275),
    [anon_sym_class] = ACTIONS(2275),
    [anon_sym_struct] = ACTIONS(2275),
    [anon_sym_union] = ACTIONS(2275),
    [anon_sym_if] = ACTIONS(2275),
    [anon_sym_switch] = ACTIONS(2275),
    [anon_sym_case] = ACTIONS(2275),
    [anon_sym_default] = ACTIONS(2275),
    [anon_sym_while] = ACTIONS(2275),
    [anon_sym_do] = ACTIONS(2275),
    [anon_sym_for] = ACTIONS(2275),
    [anon_sym_return] = ACTIONS(2275),
    [anon_sym_break] = ACTIONS(2275),
    [anon_sym_continue] = ACTIONS(2275),
    [anon_sym_goto] = ACTIONS(2275),
    [anon_sym___try] = ACTIONS(2275),
    [anon_sym___leave] = ACTIONS(2275),
    [anon_sym_not] = ACTIONS(2275),
    [anon_sym_compl] = ACTIONS(2275),
    [anon_sym_DASH_DASH] = ACTIONS(2277),
    [anon_sym_PLUS_PLUS] = ACTIONS(2277),
    [anon_sym_sizeof] = ACTIONS(2275),
    [anon_sym___alignof__] = ACTIONS(2275),
    [anon_sym___alignof] = ACTIONS(2275),
    [anon_sym__alignof] = ACTIONS(2275),
    [anon_sym_alignof] = ACTIONS(2275),
    [anon_sym__Alignof] = ACTIONS(2275),
    [anon_sym_offsetof] = ACTIONS(2275),
    [anon_sym__Generic] = ACTIONS(2275),
    [anon_sym_asm] = ACTIONS(2275),
    [anon_sym___asm__] = ACTIONS(2275),
    [sym_number_literal] = ACTIONS(2277),
    [anon_sym_L_SQUOTE] = ACTIONS(2277),
    [anon_sym_u_SQUOTE] = ACTIONS(2277),
    [anon_sym_U_SQUOTE] = ACTIONS(2277),
    [anon_sym_u8_SQUOTE] = ACTIONS(2277),
    [anon_sym_SQUOTE] = ACTIONS(2277),
    [anon_sym_L_DQUOTE] = ACTIONS(2277),
    [anon_sym_u_DQUOTE] = ACTIONS(2277),
    [anon_sym_U_DQUOTE] = ACTIONS(2277),
    [anon_sym_u8_DQUOTE] = ACTIONS(2277),
    [anon_sym_DQUOTE] = ACTIONS(2277),
    [sym_true] = ACTIONS(2275),
    [sym_false] = ACTIONS(2275),
    [anon_sym_NULL] = ACTIONS(2275),
    [anon_sym_nullptr] = ACTIONS(2275),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2275),
    [anon_sym_decltype] = ACTIONS(2275),
    [anon_sym_virtual] = ACTIONS(2275),
    [anon_sym_alignas] = ACTIONS(2275),
    [anon_sym_explicit] = ACTIONS(2275),
    [anon_sym_typename] = ACTIONS(2275),
    [anon_sym_template] = ACTIONS(2275),
    [anon_sym_operator] = ACTIONS(2275),
    [anon_sym_try] = ACTIONS(2275),
    [anon_sym_delete] = ACTIONS(2275),
    [anon_sym_throw] = ACTIONS(2275),
    [anon_sym_namespace] = ACTIONS(2275),
    [anon_sym_using] = ACTIONS(2275),
    [anon_sym_static_assert] = ACTIONS(2275),
    [anon_sym_concept] = ACTIONS(2275),
    [anon_sym_co_return] = ACTIONS(2275),
    [anon_sym_co_yield] = ACTIONS(2275),
    [anon_sym_catch] = ACTIONS(2246),
    [anon_sym_R_DQUOTE] = ACTIONS(2277),
    [anon_sym_LR_DQUOTE] = ACTIONS(2277),
    [anon_sym_uR_DQUOTE] = ACTIONS(2277),
    [anon_sym_UR_DQUOTE] = ACTIONS(2277),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2277),
    [anon_sym_co_await] = ACTIONS(2275),
    [anon_sym_new] = ACTIONS(2275),
    [anon_sym_requires] = ACTIONS(2275),
    [sym_this] = ACTIONS(2275),
    [anon_sym_discard] = ACTIONS(2275),
    [anon_sym_precise] = ACTIONS(2275),
    [anon_sym_shared] = ACTIONS(2275),
    [anon_sym_groupshared] = ACTIONS(2275),
    [anon_sym_uniform] = ACTIONS(2275),
    [anon_sym_row_major] = ACTIONS(2275),
    [anon_sym_column_major] = ACTIONS(2275),
    [anon_sym_globallycoherent] = ACTIONS(2275),
    [anon_sym_centroid] = ACTIONS(2275),
    [anon_sym_noperspective] = ACTIONS(2275),
    [anon_sym_nointerpolation] = ACTIONS(2275),
    [anon_sym_sample] = ACTIONS(2275),
    [anon_sym_linear] = ACTIONS(2275),
    [anon_sym_snorm] = ACTIONS(2275),
    [anon_sym_unorm] = ACTIONS(2275),
    [anon_sym_point] = ACTIONS(2275),
    [anon_sym_line] = ACTIONS(2275),
    [anon_sym_triangleadj] = ACTIONS(2275),
    [anon_sym_lineadj] = ACTIONS(2275),
    [anon_sym_triangle] = ACTIONS(2275),
    [anon_sym_cbuffer] = ACTIONS(2275),
  },
  [188] = {
    [sym_field_declaration_list] = STATE(799),
    [sym_virtual_specifier] = STATE(8475),
    [sym_base_class_clause] = STATE(9131),
    [ts_builtin_sym_end] = ACTIONS(2222),
    [sym_identifier] = ACTIONS(2220),
    [aux_sym_preproc_include_token1] = ACTIONS(2220),
    [aux_sym_preproc_def_token1] = ACTIONS(2220),
    [aux_sym_preproc_if_token1] = ACTIONS(2220),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2220),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2220),
    [sym_preproc_directive] = ACTIONS(2220),
    [anon_sym_LPAREN2] = ACTIONS(2222),
    [anon_sym_BANG] = ACTIONS(2222),
    [anon_sym_TILDE] = ACTIONS(2222),
    [anon_sym_DASH] = ACTIONS(2220),
    [anon_sym_PLUS] = ACTIONS(2220),
    [anon_sym_STAR] = ACTIONS(2222),
    [anon_sym_AMP_AMP] = ACTIONS(2222),
    [anon_sym_AMP] = ACTIONS(2220),
    [anon_sym_COLON] = ACTIONS(2194),
    [anon_sym_SEMI] = ACTIONS(2222),
    [anon_sym___extension__] = ACTIONS(2220),
    [anon_sym_typedef] = ACTIONS(2220),
    [anon_sym_in] = ACTIONS(2220),
    [anon_sym_out] = ACTIONS(2220),
    [anon_sym_inout] = ACTIONS(2220),
    [anon_sym_extern] = ACTIONS(2220),
    [anon_sym___attribute__] = ACTIONS(2220),
    [anon_sym_COLON_COLON] = ACTIONS(2222),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2222),
    [anon_sym___declspec] = ACTIONS(2220),
    [anon_sym___based] = ACTIONS(2220),
    [anon_sym___cdecl] = ACTIONS(2220),
    [anon_sym___clrcall] = ACTIONS(2220),
    [anon_sym___stdcall] = ACTIONS(2220),
    [anon_sym___fastcall] = ACTIONS(2220),
    [anon_sym___thiscall] = ACTIONS(2220),
    [anon_sym___vectorcall] = ACTIONS(2220),
    [anon_sym_LBRACE] = ACTIONS(2279),
    [anon_sym_signed] = ACTIONS(2220),
    [anon_sym_unsigned] = ACTIONS(2220),
    [anon_sym_long] = ACTIONS(2220),
    [anon_sym_short] = ACTIONS(2220),
    [anon_sym_LBRACK] = ACTIONS(2220),
    [anon_sym_static] = ACTIONS(2220),
    [anon_sym_register] = ACTIONS(2220),
    [anon_sym_inline] = ACTIONS(2220),
    [anon_sym___inline] = ACTIONS(2220),
    [anon_sym___inline__] = ACTIONS(2220),
    [anon_sym___forceinline] = ACTIONS(2220),
    [anon_sym_thread_local] = ACTIONS(2220),
    [anon_sym___thread] = ACTIONS(2220),
    [anon_sym_const] = ACTIONS(2220),
    [anon_sym_constexpr] = ACTIONS(2220),
    [anon_sym_volatile] = ACTIONS(2220),
    [anon_sym_restrict] = ACTIONS(2220),
    [anon_sym___restrict__] = ACTIONS(2220),
    [anon_sym__Atomic] = ACTIONS(2220),
    [anon_sym__Noreturn] = ACTIONS(2220),
    [anon_sym_noreturn] = ACTIONS(2220),
    [anon_sym_mutable] = ACTIONS(2220),
    [anon_sym_constinit] = ACTIONS(2220),
    [anon_sym_consteval] = ACTIONS(2220),
    [sym_primitive_type] = ACTIONS(2220),
    [anon_sym_enum] = ACTIONS(2220),
    [anon_sym_class] = ACTIONS(2220),
    [anon_sym_struct] = ACTIONS(2220),
    [anon_sym_union] = ACTIONS(2220),
    [anon_sym_if] = ACTIONS(2220),
    [anon_sym_else] = ACTIONS(2220),
    [anon_sym_switch] = ACTIONS(2220),
    [anon_sym_case] = ACTIONS(2220),
    [anon_sym_default] = ACTIONS(2220),
    [anon_sym_while] = ACTIONS(2220),
    [anon_sym_do] = ACTIONS(2220),
    [anon_sym_for] = ACTIONS(2220),
    [anon_sym_return] = ACTIONS(2220),
    [anon_sym_break] = ACTIONS(2220),
    [anon_sym_continue] = ACTIONS(2220),
    [anon_sym_goto] = ACTIONS(2220),
    [anon_sym___try] = ACTIONS(2220),
    [anon_sym___leave] = ACTIONS(2220),
    [anon_sym_not] = ACTIONS(2220),
    [anon_sym_compl] = ACTIONS(2220),
    [anon_sym_DASH_DASH] = ACTIONS(2222),
    [anon_sym_PLUS_PLUS] = ACTIONS(2222),
    [anon_sym_sizeof] = ACTIONS(2220),
    [anon_sym___alignof__] = ACTIONS(2220),
    [anon_sym___alignof] = ACTIONS(2220),
    [anon_sym__alignof] = ACTIONS(2220),
    [anon_sym_alignof] = ACTIONS(2220),
    [anon_sym__Alignof] = ACTIONS(2220),
    [anon_sym_offsetof] = ACTIONS(2220),
    [anon_sym__Generic] = ACTIONS(2220),
    [anon_sym_asm] = ACTIONS(2220),
    [anon_sym___asm__] = ACTIONS(2220),
    [sym_number_literal] = ACTIONS(2222),
    [anon_sym_L_SQUOTE] = ACTIONS(2222),
    [anon_sym_u_SQUOTE] = ACTIONS(2222),
    [anon_sym_U_SQUOTE] = ACTIONS(2222),
    [anon_sym_u8_SQUOTE] = ACTIONS(2222),
    [anon_sym_SQUOTE] = ACTIONS(2222),
    [anon_sym_L_DQUOTE] = ACTIONS(2222),
    [anon_sym_u_DQUOTE] = ACTIONS(2222),
    [anon_sym_U_DQUOTE] = ACTIONS(2222),
    [anon_sym_u8_DQUOTE] = ACTIONS(2222),
    [anon_sym_DQUOTE] = ACTIONS(2222),
    [sym_true] = ACTIONS(2220),
    [sym_false] = ACTIONS(2220),
    [anon_sym_NULL] = ACTIONS(2220),
    [anon_sym_nullptr] = ACTIONS(2220),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2220),
    [anon_sym_decltype] = ACTIONS(2220),
    [anon_sym_final] = ACTIONS(2198),
    [anon_sym_override] = ACTIONS(2198),
    [anon_sym_virtual] = ACTIONS(2220),
    [anon_sym_alignas] = ACTIONS(2220),
    [anon_sym_explicit] = ACTIONS(2220),
    [anon_sym_typename] = ACTIONS(2220),
    [anon_sym_template] = ACTIONS(2220),
    [anon_sym_operator] = ACTIONS(2220),
    [anon_sym_try] = ACTIONS(2220),
    [anon_sym_delete] = ACTIONS(2220),
    [anon_sym_throw] = ACTIONS(2220),
    [anon_sym_namespace] = ACTIONS(2220),
    [anon_sym_using] = ACTIONS(2220),
    [anon_sym_static_assert] = ACTIONS(2220),
    [anon_sym_concept] = ACTIONS(2220),
    [anon_sym_co_return] = ACTIONS(2220),
    [anon_sym_co_yield] = ACTIONS(2220),
    [anon_sym_R_DQUOTE] = ACTIONS(2222),
    [anon_sym_LR_DQUOTE] = ACTIONS(2222),
    [anon_sym_uR_DQUOTE] = ACTIONS(2222),
    [anon_sym_UR_DQUOTE] = ACTIONS(2222),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2222),
    [anon_sym_co_await] = ACTIONS(2220),
    [anon_sym_new] = ACTIONS(2220),
    [anon_sym_requires] = ACTIONS(2220),
    [sym_this] = ACTIONS(2220),
    [anon_sym_discard] = ACTIONS(2220),
    [anon_sym_precise] = ACTIONS(2220),
    [anon_sym_shared] = ACTIONS(2220),
    [anon_sym_groupshared] = ACTIONS(2220),
    [anon_sym_uniform] = ACTIONS(2220),
    [anon_sym_row_major] = ACTIONS(2220),
    [anon_sym_column_major] = ACTIONS(2220),
    [anon_sym_globallycoherent] = ACTIONS(2220),
    [anon_sym_centroid] = ACTIONS(2220),
    [anon_sym_noperspective] = ACTIONS(2220),
    [anon_sym_nointerpolation] = ACTIONS(2220),
    [anon_sym_sample] = ACTIONS(2220),
    [anon_sym_linear] = ACTIONS(2220),
    [anon_sym_snorm] = ACTIONS(2220),
    [anon_sym_unorm] = ACTIONS(2220),
    [anon_sym_point] = ACTIONS(2220),
    [anon_sym_line] = ACTIONS(2220),
    [anon_sym_triangleadj] = ACTIONS(2220),
    [anon_sym_lineadj] = ACTIONS(2220),
    [anon_sym_triangle] = ACTIONS(2220),
    [anon_sym_cbuffer] = ACTIONS(2220),
  },
  [189] = {
    [sym_field_declaration_list] = STATE(816),
    [sym_virtual_specifier] = STATE(8289),
    [sym_base_class_clause] = STATE(9226),
    [sym_identifier] = ACTIONS(2190),
    [aux_sym_preproc_include_token1] = ACTIONS(2190),
    [aux_sym_preproc_def_token1] = ACTIONS(2190),
    [aux_sym_preproc_if_token1] = ACTIONS(2190),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2190),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2190),
    [sym_preproc_directive] = ACTIONS(2190),
    [anon_sym_LPAREN2] = ACTIONS(2192),
    [anon_sym_BANG] = ACTIONS(2192),
    [anon_sym_TILDE] = ACTIONS(2192),
    [anon_sym_DASH] = ACTIONS(2190),
    [anon_sym_PLUS] = ACTIONS(2190),
    [anon_sym_STAR] = ACTIONS(2192),
    [anon_sym_AMP_AMP] = ACTIONS(2192),
    [anon_sym_AMP] = ACTIONS(2190),
    [anon_sym_COLON] = ACTIONS(2194),
    [anon_sym_SEMI] = ACTIONS(2192),
    [anon_sym___extension__] = ACTIONS(2190),
    [anon_sym_typedef] = ACTIONS(2190),
    [anon_sym_in] = ACTIONS(2190),
    [anon_sym_out] = ACTIONS(2190),
    [anon_sym_inout] = ACTIONS(2190),
    [anon_sym_extern] = ACTIONS(2190),
    [anon_sym___attribute__] = ACTIONS(2190),
    [anon_sym_COLON_COLON] = ACTIONS(2192),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2192),
    [anon_sym___declspec] = ACTIONS(2190),
    [anon_sym___based] = ACTIONS(2190),
    [anon_sym___cdecl] = ACTIONS(2190),
    [anon_sym___clrcall] = ACTIONS(2190),
    [anon_sym___stdcall] = ACTIONS(2190),
    [anon_sym___fastcall] = ACTIONS(2190),
    [anon_sym___thiscall] = ACTIONS(2190),
    [anon_sym___vectorcall] = ACTIONS(2190),
    [anon_sym_LBRACE] = ACTIONS(2281),
    [anon_sym_RBRACE] = ACTIONS(2192),
    [anon_sym_signed] = ACTIONS(2190),
    [anon_sym_unsigned] = ACTIONS(2190),
    [anon_sym_long] = ACTIONS(2190),
    [anon_sym_short] = ACTIONS(2190),
    [anon_sym_LBRACK] = ACTIONS(2190),
    [anon_sym_static] = ACTIONS(2190),
    [anon_sym_register] = ACTIONS(2190),
    [anon_sym_inline] = ACTIONS(2190),
    [anon_sym___inline] = ACTIONS(2190),
    [anon_sym___inline__] = ACTIONS(2190),
    [anon_sym___forceinline] = ACTIONS(2190),
    [anon_sym_thread_local] = ACTIONS(2190),
    [anon_sym___thread] = ACTIONS(2190),
    [anon_sym_const] = ACTIONS(2190),
    [anon_sym_constexpr] = ACTIONS(2190),
    [anon_sym_volatile] = ACTIONS(2190),
    [anon_sym_restrict] = ACTIONS(2190),
    [anon_sym___restrict__] = ACTIONS(2190),
    [anon_sym__Atomic] = ACTIONS(2190),
    [anon_sym__Noreturn] = ACTIONS(2190),
    [anon_sym_noreturn] = ACTIONS(2190),
    [anon_sym_mutable] = ACTIONS(2190),
    [anon_sym_constinit] = ACTIONS(2190),
    [anon_sym_consteval] = ACTIONS(2190),
    [sym_primitive_type] = ACTIONS(2190),
    [anon_sym_enum] = ACTIONS(2190),
    [anon_sym_class] = ACTIONS(2190),
    [anon_sym_struct] = ACTIONS(2190),
    [anon_sym_union] = ACTIONS(2190),
    [anon_sym_if] = ACTIONS(2190),
    [anon_sym_else] = ACTIONS(2190),
    [anon_sym_switch] = ACTIONS(2190),
    [anon_sym_case] = ACTIONS(2190),
    [anon_sym_default] = ACTIONS(2190),
    [anon_sym_while] = ACTIONS(2190),
    [anon_sym_do] = ACTIONS(2190),
    [anon_sym_for] = ACTIONS(2190),
    [anon_sym_return] = ACTIONS(2190),
    [anon_sym_break] = ACTIONS(2190),
    [anon_sym_continue] = ACTIONS(2190),
    [anon_sym_goto] = ACTIONS(2190),
    [anon_sym___try] = ACTIONS(2190),
    [anon_sym___leave] = ACTIONS(2190),
    [anon_sym_not] = ACTIONS(2190),
    [anon_sym_compl] = ACTIONS(2190),
    [anon_sym_DASH_DASH] = ACTIONS(2192),
    [anon_sym_PLUS_PLUS] = ACTIONS(2192),
    [anon_sym_sizeof] = ACTIONS(2190),
    [anon_sym___alignof__] = ACTIONS(2190),
    [anon_sym___alignof] = ACTIONS(2190),
    [anon_sym__alignof] = ACTIONS(2190),
    [anon_sym_alignof] = ACTIONS(2190),
    [anon_sym__Alignof] = ACTIONS(2190),
    [anon_sym_offsetof] = ACTIONS(2190),
    [anon_sym__Generic] = ACTIONS(2190),
    [anon_sym_asm] = ACTIONS(2190),
    [anon_sym___asm__] = ACTIONS(2190),
    [sym_number_literal] = ACTIONS(2192),
    [anon_sym_L_SQUOTE] = ACTIONS(2192),
    [anon_sym_u_SQUOTE] = ACTIONS(2192),
    [anon_sym_U_SQUOTE] = ACTIONS(2192),
    [anon_sym_u8_SQUOTE] = ACTIONS(2192),
    [anon_sym_SQUOTE] = ACTIONS(2192),
    [anon_sym_L_DQUOTE] = ACTIONS(2192),
    [anon_sym_u_DQUOTE] = ACTIONS(2192),
    [anon_sym_U_DQUOTE] = ACTIONS(2192),
    [anon_sym_u8_DQUOTE] = ACTIONS(2192),
    [anon_sym_DQUOTE] = ACTIONS(2192),
    [sym_true] = ACTIONS(2190),
    [sym_false] = ACTIONS(2190),
    [anon_sym_NULL] = ACTIONS(2190),
    [anon_sym_nullptr] = ACTIONS(2190),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2190),
    [anon_sym_decltype] = ACTIONS(2190),
    [anon_sym_final] = ACTIONS(2198),
    [anon_sym_override] = ACTIONS(2198),
    [anon_sym_virtual] = ACTIONS(2190),
    [anon_sym_alignas] = ACTIONS(2190),
    [anon_sym_explicit] = ACTIONS(2190),
    [anon_sym_typename] = ACTIONS(2190),
    [anon_sym_template] = ACTIONS(2190),
    [anon_sym_operator] = ACTIONS(2190),
    [anon_sym_try] = ACTIONS(2190),
    [anon_sym_delete] = ACTIONS(2190),
    [anon_sym_throw] = ACTIONS(2190),
    [anon_sym_namespace] = ACTIONS(2190),
    [anon_sym_using] = ACTIONS(2190),
    [anon_sym_static_assert] = ACTIONS(2190),
    [anon_sym_concept] = ACTIONS(2190),
    [anon_sym_co_return] = ACTIONS(2190),
    [anon_sym_co_yield] = ACTIONS(2190),
    [anon_sym_R_DQUOTE] = ACTIONS(2192),
    [anon_sym_LR_DQUOTE] = ACTIONS(2192),
    [anon_sym_uR_DQUOTE] = ACTIONS(2192),
    [anon_sym_UR_DQUOTE] = ACTIONS(2192),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2192),
    [anon_sym_co_await] = ACTIONS(2190),
    [anon_sym_new] = ACTIONS(2190),
    [anon_sym_requires] = ACTIONS(2190),
    [sym_this] = ACTIONS(2190),
    [anon_sym_discard] = ACTIONS(2190),
    [anon_sym_precise] = ACTIONS(2190),
    [anon_sym_shared] = ACTIONS(2190),
    [anon_sym_groupshared] = ACTIONS(2190),
    [anon_sym_uniform] = ACTIONS(2190),
    [anon_sym_row_major] = ACTIONS(2190),
    [anon_sym_column_major] = ACTIONS(2190),
    [anon_sym_globallycoherent] = ACTIONS(2190),
    [anon_sym_centroid] = ACTIONS(2190),
    [anon_sym_noperspective] = ACTIONS(2190),
    [anon_sym_nointerpolation] = ACTIONS(2190),
    [anon_sym_sample] = ACTIONS(2190),
    [anon_sym_linear] = ACTIONS(2190),
    [anon_sym_snorm] = ACTIONS(2190),
    [anon_sym_unorm] = ACTIONS(2190),
    [anon_sym_point] = ACTIONS(2190),
    [anon_sym_line] = ACTIONS(2190),
    [anon_sym_triangleadj] = ACTIONS(2190),
    [anon_sym_lineadj] = ACTIONS(2190),
    [anon_sym_triangle] = ACTIONS(2190),
    [anon_sym_cbuffer] = ACTIONS(2190),
  },
  [190] = {
    [sym_field_declaration_list] = STATE(787),
    [sym_virtual_specifier] = STATE(8236),
    [sym_base_class_clause] = STATE(9127),
    [sym_identifier] = ACTIONS(2220),
    [aux_sym_preproc_include_token1] = ACTIONS(2220),
    [aux_sym_preproc_def_token1] = ACTIONS(2220),
    [aux_sym_preproc_if_token1] = ACTIONS(2220),
    [aux_sym_preproc_if_token2] = ACTIONS(2220),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2220),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2220),
    [sym_preproc_directive] = ACTIONS(2220),
    [anon_sym_LPAREN2] = ACTIONS(2222),
    [anon_sym_BANG] = ACTIONS(2222),
    [anon_sym_TILDE] = ACTIONS(2222),
    [anon_sym_DASH] = ACTIONS(2220),
    [anon_sym_PLUS] = ACTIONS(2220),
    [anon_sym_STAR] = ACTIONS(2222),
    [anon_sym_AMP_AMP] = ACTIONS(2222),
    [anon_sym_AMP] = ACTIONS(2220),
    [anon_sym_COLON] = ACTIONS(2194),
    [anon_sym_SEMI] = ACTIONS(2222),
    [anon_sym___extension__] = ACTIONS(2220),
    [anon_sym_typedef] = ACTIONS(2220),
    [anon_sym_in] = ACTIONS(2220),
    [anon_sym_out] = ACTIONS(2220),
    [anon_sym_inout] = ACTIONS(2220),
    [anon_sym_extern] = ACTIONS(2220),
    [anon_sym___attribute__] = ACTIONS(2220),
    [anon_sym_COLON_COLON] = ACTIONS(2222),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2222),
    [anon_sym___declspec] = ACTIONS(2220),
    [anon_sym___based] = ACTIONS(2220),
    [anon_sym___cdecl] = ACTIONS(2220),
    [anon_sym___clrcall] = ACTIONS(2220),
    [anon_sym___stdcall] = ACTIONS(2220),
    [anon_sym___fastcall] = ACTIONS(2220),
    [anon_sym___thiscall] = ACTIONS(2220),
    [anon_sym___vectorcall] = ACTIONS(2220),
    [anon_sym_LBRACE] = ACTIONS(2283),
    [anon_sym_signed] = ACTIONS(2220),
    [anon_sym_unsigned] = ACTIONS(2220),
    [anon_sym_long] = ACTIONS(2220),
    [anon_sym_short] = ACTIONS(2220),
    [anon_sym_LBRACK] = ACTIONS(2220),
    [anon_sym_static] = ACTIONS(2220),
    [anon_sym_register] = ACTIONS(2220),
    [anon_sym_inline] = ACTIONS(2220),
    [anon_sym___inline] = ACTIONS(2220),
    [anon_sym___inline__] = ACTIONS(2220),
    [anon_sym___forceinline] = ACTIONS(2220),
    [anon_sym_thread_local] = ACTIONS(2220),
    [anon_sym___thread] = ACTIONS(2220),
    [anon_sym_const] = ACTIONS(2220),
    [anon_sym_constexpr] = ACTIONS(2220),
    [anon_sym_volatile] = ACTIONS(2220),
    [anon_sym_restrict] = ACTIONS(2220),
    [anon_sym___restrict__] = ACTIONS(2220),
    [anon_sym__Atomic] = ACTIONS(2220),
    [anon_sym__Noreturn] = ACTIONS(2220),
    [anon_sym_noreturn] = ACTIONS(2220),
    [anon_sym_mutable] = ACTIONS(2220),
    [anon_sym_constinit] = ACTIONS(2220),
    [anon_sym_consteval] = ACTIONS(2220),
    [sym_primitive_type] = ACTIONS(2220),
    [anon_sym_enum] = ACTIONS(2220),
    [anon_sym_class] = ACTIONS(2220),
    [anon_sym_struct] = ACTIONS(2220),
    [anon_sym_union] = ACTIONS(2220),
    [anon_sym_if] = ACTIONS(2220),
    [anon_sym_else] = ACTIONS(2220),
    [anon_sym_switch] = ACTIONS(2220),
    [anon_sym_case] = ACTIONS(2220),
    [anon_sym_default] = ACTIONS(2220),
    [anon_sym_while] = ACTIONS(2220),
    [anon_sym_do] = ACTIONS(2220),
    [anon_sym_for] = ACTIONS(2220),
    [anon_sym_return] = ACTIONS(2220),
    [anon_sym_break] = ACTIONS(2220),
    [anon_sym_continue] = ACTIONS(2220),
    [anon_sym_goto] = ACTIONS(2220),
    [anon_sym___try] = ACTIONS(2220),
    [anon_sym___leave] = ACTIONS(2220),
    [anon_sym_not] = ACTIONS(2220),
    [anon_sym_compl] = ACTIONS(2220),
    [anon_sym_DASH_DASH] = ACTIONS(2222),
    [anon_sym_PLUS_PLUS] = ACTIONS(2222),
    [anon_sym_sizeof] = ACTIONS(2220),
    [anon_sym___alignof__] = ACTIONS(2220),
    [anon_sym___alignof] = ACTIONS(2220),
    [anon_sym__alignof] = ACTIONS(2220),
    [anon_sym_alignof] = ACTIONS(2220),
    [anon_sym__Alignof] = ACTIONS(2220),
    [anon_sym_offsetof] = ACTIONS(2220),
    [anon_sym__Generic] = ACTIONS(2220),
    [anon_sym_asm] = ACTIONS(2220),
    [anon_sym___asm__] = ACTIONS(2220),
    [sym_number_literal] = ACTIONS(2222),
    [anon_sym_L_SQUOTE] = ACTIONS(2222),
    [anon_sym_u_SQUOTE] = ACTIONS(2222),
    [anon_sym_U_SQUOTE] = ACTIONS(2222),
    [anon_sym_u8_SQUOTE] = ACTIONS(2222),
    [anon_sym_SQUOTE] = ACTIONS(2222),
    [anon_sym_L_DQUOTE] = ACTIONS(2222),
    [anon_sym_u_DQUOTE] = ACTIONS(2222),
    [anon_sym_U_DQUOTE] = ACTIONS(2222),
    [anon_sym_u8_DQUOTE] = ACTIONS(2222),
    [anon_sym_DQUOTE] = ACTIONS(2222),
    [sym_true] = ACTIONS(2220),
    [sym_false] = ACTIONS(2220),
    [anon_sym_NULL] = ACTIONS(2220),
    [anon_sym_nullptr] = ACTIONS(2220),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2220),
    [anon_sym_decltype] = ACTIONS(2220),
    [anon_sym_final] = ACTIONS(2198),
    [anon_sym_override] = ACTIONS(2198),
    [anon_sym_virtual] = ACTIONS(2220),
    [anon_sym_alignas] = ACTIONS(2220),
    [anon_sym_explicit] = ACTIONS(2220),
    [anon_sym_typename] = ACTIONS(2220),
    [anon_sym_template] = ACTIONS(2220),
    [anon_sym_operator] = ACTIONS(2220),
    [anon_sym_try] = ACTIONS(2220),
    [anon_sym_delete] = ACTIONS(2220),
    [anon_sym_throw] = ACTIONS(2220),
    [anon_sym_namespace] = ACTIONS(2220),
    [anon_sym_using] = ACTIONS(2220),
    [anon_sym_static_assert] = ACTIONS(2220),
    [anon_sym_concept] = ACTIONS(2220),
    [anon_sym_co_return] = ACTIONS(2220),
    [anon_sym_co_yield] = ACTIONS(2220),
    [anon_sym_R_DQUOTE] = ACTIONS(2222),
    [anon_sym_LR_DQUOTE] = ACTIONS(2222),
    [anon_sym_uR_DQUOTE] = ACTIONS(2222),
    [anon_sym_UR_DQUOTE] = ACTIONS(2222),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2222),
    [anon_sym_co_await] = ACTIONS(2220),
    [anon_sym_new] = ACTIONS(2220),
    [anon_sym_requires] = ACTIONS(2220),
    [sym_this] = ACTIONS(2220),
    [anon_sym_discard] = ACTIONS(2220),
    [anon_sym_precise] = ACTIONS(2220),
    [anon_sym_shared] = ACTIONS(2220),
    [anon_sym_groupshared] = ACTIONS(2220),
    [anon_sym_uniform] = ACTIONS(2220),
    [anon_sym_row_major] = ACTIONS(2220),
    [anon_sym_column_major] = ACTIONS(2220),
    [anon_sym_globallycoherent] = ACTIONS(2220),
    [anon_sym_centroid] = ACTIONS(2220),
    [anon_sym_noperspective] = ACTIONS(2220),
    [anon_sym_nointerpolation] = ACTIONS(2220),
    [anon_sym_sample] = ACTIONS(2220),
    [anon_sym_linear] = ACTIONS(2220),
    [anon_sym_snorm] = ACTIONS(2220),
    [anon_sym_unorm] = ACTIONS(2220),
    [anon_sym_point] = ACTIONS(2220),
    [anon_sym_line] = ACTIONS(2220),
    [anon_sym_triangleadj] = ACTIONS(2220),
    [anon_sym_lineadj] = ACTIONS(2220),
    [anon_sym_triangle] = ACTIONS(2220),
    [anon_sym_cbuffer] = ACTIONS(2220),
  },
  [191] = {
    [sym_field_declaration_list] = STATE(989),
    [sym_virtual_specifier] = STATE(8485),
    [sym_base_class_clause] = STATE(9063),
    [ts_builtin_sym_end] = ACTIONS(2192),
    [sym_identifier] = ACTIONS(2190),
    [aux_sym_preproc_include_token1] = ACTIONS(2190),
    [aux_sym_preproc_def_token1] = ACTIONS(2190),
    [aux_sym_preproc_if_token1] = ACTIONS(2190),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2190),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2190),
    [sym_preproc_directive] = ACTIONS(2190),
    [anon_sym_LPAREN2] = ACTIONS(2192),
    [anon_sym_BANG] = ACTIONS(2192),
    [anon_sym_TILDE] = ACTIONS(2192),
    [anon_sym_DASH] = ACTIONS(2190),
    [anon_sym_PLUS] = ACTIONS(2190),
    [anon_sym_STAR] = ACTIONS(2192),
    [anon_sym_AMP_AMP] = ACTIONS(2192),
    [anon_sym_AMP] = ACTIONS(2190),
    [anon_sym_COLON] = ACTIONS(2194),
    [anon_sym_SEMI] = ACTIONS(2192),
    [anon_sym___extension__] = ACTIONS(2190),
    [anon_sym_typedef] = ACTIONS(2190),
    [anon_sym_in] = ACTIONS(2190),
    [anon_sym_out] = ACTIONS(2190),
    [anon_sym_inout] = ACTIONS(2190),
    [anon_sym_extern] = ACTIONS(2190),
    [anon_sym___attribute__] = ACTIONS(2190),
    [anon_sym_COLON_COLON] = ACTIONS(2192),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2192),
    [anon_sym___declspec] = ACTIONS(2190),
    [anon_sym___based] = ACTIONS(2190),
    [anon_sym___cdecl] = ACTIONS(2190),
    [anon_sym___clrcall] = ACTIONS(2190),
    [anon_sym___stdcall] = ACTIONS(2190),
    [anon_sym___fastcall] = ACTIONS(2190),
    [anon_sym___thiscall] = ACTIONS(2190),
    [anon_sym___vectorcall] = ACTIONS(2190),
    [anon_sym_LBRACE] = ACTIONS(2279),
    [anon_sym_signed] = ACTIONS(2190),
    [anon_sym_unsigned] = ACTIONS(2190),
    [anon_sym_long] = ACTIONS(2190),
    [anon_sym_short] = ACTIONS(2190),
    [anon_sym_LBRACK] = ACTIONS(2190),
    [anon_sym_static] = ACTIONS(2190),
    [anon_sym_register] = ACTIONS(2190),
    [anon_sym_inline] = ACTIONS(2190),
    [anon_sym___inline] = ACTIONS(2190),
    [anon_sym___inline__] = ACTIONS(2190),
    [anon_sym___forceinline] = ACTIONS(2190),
    [anon_sym_thread_local] = ACTIONS(2190),
    [anon_sym___thread] = ACTIONS(2190),
    [anon_sym_const] = ACTIONS(2190),
    [anon_sym_constexpr] = ACTIONS(2190),
    [anon_sym_volatile] = ACTIONS(2190),
    [anon_sym_restrict] = ACTIONS(2190),
    [anon_sym___restrict__] = ACTIONS(2190),
    [anon_sym__Atomic] = ACTIONS(2190),
    [anon_sym__Noreturn] = ACTIONS(2190),
    [anon_sym_noreturn] = ACTIONS(2190),
    [anon_sym_mutable] = ACTIONS(2190),
    [anon_sym_constinit] = ACTIONS(2190),
    [anon_sym_consteval] = ACTIONS(2190),
    [sym_primitive_type] = ACTIONS(2190),
    [anon_sym_enum] = ACTIONS(2190),
    [anon_sym_class] = ACTIONS(2190),
    [anon_sym_struct] = ACTIONS(2190),
    [anon_sym_union] = ACTIONS(2190),
    [anon_sym_if] = ACTIONS(2190),
    [anon_sym_else] = ACTIONS(2190),
    [anon_sym_switch] = ACTIONS(2190),
    [anon_sym_case] = ACTIONS(2190),
    [anon_sym_default] = ACTIONS(2190),
    [anon_sym_while] = ACTIONS(2190),
    [anon_sym_do] = ACTIONS(2190),
    [anon_sym_for] = ACTIONS(2190),
    [anon_sym_return] = ACTIONS(2190),
    [anon_sym_break] = ACTIONS(2190),
    [anon_sym_continue] = ACTIONS(2190),
    [anon_sym_goto] = ACTIONS(2190),
    [anon_sym___try] = ACTIONS(2190),
    [anon_sym___leave] = ACTIONS(2190),
    [anon_sym_not] = ACTIONS(2190),
    [anon_sym_compl] = ACTIONS(2190),
    [anon_sym_DASH_DASH] = ACTIONS(2192),
    [anon_sym_PLUS_PLUS] = ACTIONS(2192),
    [anon_sym_sizeof] = ACTIONS(2190),
    [anon_sym___alignof__] = ACTIONS(2190),
    [anon_sym___alignof] = ACTIONS(2190),
    [anon_sym__alignof] = ACTIONS(2190),
    [anon_sym_alignof] = ACTIONS(2190),
    [anon_sym__Alignof] = ACTIONS(2190),
    [anon_sym_offsetof] = ACTIONS(2190),
    [anon_sym__Generic] = ACTIONS(2190),
    [anon_sym_asm] = ACTIONS(2190),
    [anon_sym___asm__] = ACTIONS(2190),
    [sym_number_literal] = ACTIONS(2192),
    [anon_sym_L_SQUOTE] = ACTIONS(2192),
    [anon_sym_u_SQUOTE] = ACTIONS(2192),
    [anon_sym_U_SQUOTE] = ACTIONS(2192),
    [anon_sym_u8_SQUOTE] = ACTIONS(2192),
    [anon_sym_SQUOTE] = ACTIONS(2192),
    [anon_sym_L_DQUOTE] = ACTIONS(2192),
    [anon_sym_u_DQUOTE] = ACTIONS(2192),
    [anon_sym_U_DQUOTE] = ACTIONS(2192),
    [anon_sym_u8_DQUOTE] = ACTIONS(2192),
    [anon_sym_DQUOTE] = ACTIONS(2192),
    [sym_true] = ACTIONS(2190),
    [sym_false] = ACTIONS(2190),
    [anon_sym_NULL] = ACTIONS(2190),
    [anon_sym_nullptr] = ACTIONS(2190),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2190),
    [anon_sym_decltype] = ACTIONS(2190),
    [anon_sym_final] = ACTIONS(2198),
    [anon_sym_override] = ACTIONS(2198),
    [anon_sym_virtual] = ACTIONS(2190),
    [anon_sym_alignas] = ACTIONS(2190),
    [anon_sym_explicit] = ACTIONS(2190),
    [anon_sym_typename] = ACTIONS(2190),
    [anon_sym_template] = ACTIONS(2190),
    [anon_sym_operator] = ACTIONS(2190),
    [anon_sym_try] = ACTIONS(2190),
    [anon_sym_delete] = ACTIONS(2190),
    [anon_sym_throw] = ACTIONS(2190),
    [anon_sym_namespace] = ACTIONS(2190),
    [anon_sym_using] = ACTIONS(2190),
    [anon_sym_static_assert] = ACTIONS(2190),
    [anon_sym_concept] = ACTIONS(2190),
    [anon_sym_co_return] = ACTIONS(2190),
    [anon_sym_co_yield] = ACTIONS(2190),
    [anon_sym_R_DQUOTE] = ACTIONS(2192),
    [anon_sym_LR_DQUOTE] = ACTIONS(2192),
    [anon_sym_uR_DQUOTE] = ACTIONS(2192),
    [anon_sym_UR_DQUOTE] = ACTIONS(2192),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2192),
    [anon_sym_co_await] = ACTIONS(2190),
    [anon_sym_new] = ACTIONS(2190),
    [anon_sym_requires] = ACTIONS(2190),
    [sym_this] = ACTIONS(2190),
    [anon_sym_discard] = ACTIONS(2190),
    [anon_sym_precise] = ACTIONS(2190),
    [anon_sym_shared] = ACTIONS(2190),
    [anon_sym_groupshared] = ACTIONS(2190),
    [anon_sym_uniform] = ACTIONS(2190),
    [anon_sym_row_major] = ACTIONS(2190),
    [anon_sym_column_major] = ACTIONS(2190),
    [anon_sym_globallycoherent] = ACTIONS(2190),
    [anon_sym_centroid] = ACTIONS(2190),
    [anon_sym_noperspective] = ACTIONS(2190),
    [anon_sym_nointerpolation] = ACTIONS(2190),
    [anon_sym_sample] = ACTIONS(2190),
    [anon_sym_linear] = ACTIONS(2190),
    [anon_sym_snorm] = ACTIONS(2190),
    [anon_sym_unorm] = ACTIONS(2190),
    [anon_sym_point] = ACTIONS(2190),
    [anon_sym_line] = ACTIONS(2190),
    [anon_sym_triangleadj] = ACTIONS(2190),
    [anon_sym_lineadj] = ACTIONS(2190),
    [anon_sym_triangle] = ACTIONS(2190),
    [anon_sym_cbuffer] = ACTIONS(2190),
  },
  [192] = {
    [sym_catch_clause] = STATE(181),
    [aux_sym_constructor_try_statement_repeat1] = STATE(181),
    [sym_identifier] = ACTIONS(2285),
    [aux_sym_preproc_include_token1] = ACTIONS(2285),
    [aux_sym_preproc_def_token1] = ACTIONS(2285),
    [aux_sym_preproc_if_token1] = ACTIONS(2285),
    [aux_sym_preproc_if_token2] = ACTIONS(2285),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2285),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2285),
    [aux_sym_preproc_else_token1] = ACTIONS(2285),
    [aux_sym_preproc_elif_token1] = ACTIONS(2285),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2285),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2285),
    [sym_preproc_directive] = ACTIONS(2285),
    [anon_sym_LPAREN2] = ACTIONS(2287),
    [anon_sym_BANG] = ACTIONS(2287),
    [anon_sym_TILDE] = ACTIONS(2287),
    [anon_sym_DASH] = ACTIONS(2285),
    [anon_sym_PLUS] = ACTIONS(2285),
    [anon_sym_STAR] = ACTIONS(2287),
    [anon_sym_AMP_AMP] = ACTIONS(2287),
    [anon_sym_AMP] = ACTIONS(2285),
    [anon_sym_SEMI] = ACTIONS(2287),
    [anon_sym___extension__] = ACTIONS(2285),
    [anon_sym_typedef] = ACTIONS(2285),
    [anon_sym_in] = ACTIONS(2285),
    [anon_sym_out] = ACTIONS(2285),
    [anon_sym_inout] = ACTIONS(2285),
    [anon_sym_extern] = ACTIONS(2285),
    [anon_sym___attribute__] = ACTIONS(2285),
    [anon_sym_COLON_COLON] = ACTIONS(2287),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2287),
    [anon_sym___declspec] = ACTIONS(2285),
    [anon_sym___based] = ACTIONS(2285),
    [anon_sym___cdecl] = ACTIONS(2285),
    [anon_sym___clrcall] = ACTIONS(2285),
    [anon_sym___stdcall] = ACTIONS(2285),
    [anon_sym___fastcall] = ACTIONS(2285),
    [anon_sym___thiscall] = ACTIONS(2285),
    [anon_sym___vectorcall] = ACTIONS(2285),
    [anon_sym_LBRACE] = ACTIONS(2287),
    [anon_sym_signed] = ACTIONS(2285),
    [anon_sym_unsigned] = ACTIONS(2285),
    [anon_sym_long] = ACTIONS(2285),
    [anon_sym_short] = ACTIONS(2285),
    [anon_sym_LBRACK] = ACTIONS(2285),
    [anon_sym_static] = ACTIONS(2285),
    [anon_sym_register] = ACTIONS(2285),
    [anon_sym_inline] = ACTIONS(2285),
    [anon_sym___inline] = ACTIONS(2285),
    [anon_sym___inline__] = ACTIONS(2285),
    [anon_sym___forceinline] = ACTIONS(2285),
    [anon_sym_thread_local] = ACTIONS(2285),
    [anon_sym___thread] = ACTIONS(2285),
    [anon_sym_const] = ACTIONS(2285),
    [anon_sym_constexpr] = ACTIONS(2285),
    [anon_sym_volatile] = ACTIONS(2285),
    [anon_sym_restrict] = ACTIONS(2285),
    [anon_sym___restrict__] = ACTIONS(2285),
    [anon_sym__Atomic] = ACTIONS(2285),
    [anon_sym__Noreturn] = ACTIONS(2285),
    [anon_sym_noreturn] = ACTIONS(2285),
    [anon_sym_mutable] = ACTIONS(2285),
    [anon_sym_constinit] = ACTIONS(2285),
    [anon_sym_consteval] = ACTIONS(2285),
    [sym_primitive_type] = ACTIONS(2285),
    [anon_sym_enum] = ACTIONS(2285),
    [anon_sym_class] = ACTIONS(2285),
    [anon_sym_struct] = ACTIONS(2285),
    [anon_sym_union] = ACTIONS(2285),
    [anon_sym_if] = ACTIONS(2285),
    [anon_sym_switch] = ACTIONS(2285),
    [anon_sym_case] = ACTIONS(2285),
    [anon_sym_default] = ACTIONS(2285),
    [anon_sym_while] = ACTIONS(2285),
    [anon_sym_do] = ACTIONS(2285),
    [anon_sym_for] = ACTIONS(2285),
    [anon_sym_return] = ACTIONS(2285),
    [anon_sym_break] = ACTIONS(2285),
    [anon_sym_continue] = ACTIONS(2285),
    [anon_sym_goto] = ACTIONS(2285),
    [anon_sym___try] = ACTIONS(2285),
    [anon_sym___leave] = ACTIONS(2285),
    [anon_sym_not] = ACTIONS(2285),
    [anon_sym_compl] = ACTIONS(2285),
    [anon_sym_DASH_DASH] = ACTIONS(2287),
    [anon_sym_PLUS_PLUS] = ACTIONS(2287),
    [anon_sym_sizeof] = ACTIONS(2285),
    [anon_sym___alignof__] = ACTIONS(2285),
    [anon_sym___alignof] = ACTIONS(2285),
    [anon_sym__alignof] = ACTIONS(2285),
    [anon_sym_alignof] = ACTIONS(2285),
    [anon_sym__Alignof] = ACTIONS(2285),
    [anon_sym_offsetof] = ACTIONS(2285),
    [anon_sym__Generic] = ACTIONS(2285),
    [anon_sym_asm] = ACTIONS(2285),
    [anon_sym___asm__] = ACTIONS(2285),
    [sym_number_literal] = ACTIONS(2287),
    [anon_sym_L_SQUOTE] = ACTIONS(2287),
    [anon_sym_u_SQUOTE] = ACTIONS(2287),
    [anon_sym_U_SQUOTE] = ACTIONS(2287),
    [anon_sym_u8_SQUOTE] = ACTIONS(2287),
    [anon_sym_SQUOTE] = ACTIONS(2287),
    [anon_sym_L_DQUOTE] = ACTIONS(2287),
    [anon_sym_u_DQUOTE] = ACTIONS(2287),
    [anon_sym_U_DQUOTE] = ACTIONS(2287),
    [anon_sym_u8_DQUOTE] = ACTIONS(2287),
    [anon_sym_DQUOTE] = ACTIONS(2287),
    [sym_true] = ACTIONS(2285),
    [sym_false] = ACTIONS(2285),
    [anon_sym_NULL] = ACTIONS(2285),
    [anon_sym_nullptr] = ACTIONS(2285),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2285),
    [anon_sym_decltype] = ACTIONS(2285),
    [anon_sym_virtual] = ACTIONS(2285),
    [anon_sym_alignas] = ACTIONS(2285),
    [anon_sym_explicit] = ACTIONS(2285),
    [anon_sym_typename] = ACTIONS(2285),
    [anon_sym_template] = ACTIONS(2285),
    [anon_sym_operator] = ACTIONS(2285),
    [anon_sym_try] = ACTIONS(2285),
    [anon_sym_delete] = ACTIONS(2285),
    [anon_sym_throw] = ACTIONS(2285),
    [anon_sym_namespace] = ACTIONS(2285),
    [anon_sym_using] = ACTIONS(2285),
    [anon_sym_static_assert] = ACTIONS(2285),
    [anon_sym_concept] = ACTIONS(2285),
    [anon_sym_co_return] = ACTIONS(2285),
    [anon_sym_co_yield] = ACTIONS(2285),
    [anon_sym_catch] = ACTIONS(2246),
    [anon_sym_R_DQUOTE] = ACTIONS(2287),
    [anon_sym_LR_DQUOTE] = ACTIONS(2287),
    [anon_sym_uR_DQUOTE] = ACTIONS(2287),
    [anon_sym_UR_DQUOTE] = ACTIONS(2287),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2287),
    [anon_sym_co_await] = ACTIONS(2285),
    [anon_sym_new] = ACTIONS(2285),
    [anon_sym_requires] = ACTIONS(2285),
    [sym_this] = ACTIONS(2285),
    [anon_sym_discard] = ACTIONS(2285),
    [anon_sym_precise] = ACTIONS(2285),
    [anon_sym_shared] = ACTIONS(2285),
    [anon_sym_groupshared] = ACTIONS(2285),
    [anon_sym_uniform] = ACTIONS(2285),
    [anon_sym_row_major] = ACTIONS(2285),
    [anon_sym_column_major] = ACTIONS(2285),
    [anon_sym_globallycoherent] = ACTIONS(2285),
    [anon_sym_centroid] = ACTIONS(2285),
    [anon_sym_noperspective] = ACTIONS(2285),
    [anon_sym_nointerpolation] = ACTIONS(2285),
    [anon_sym_sample] = ACTIONS(2285),
    [anon_sym_linear] = ACTIONS(2285),
    [anon_sym_snorm] = ACTIONS(2285),
    [anon_sym_unorm] = ACTIONS(2285),
    [anon_sym_point] = ACTIONS(2285),
    [anon_sym_line] = ACTIONS(2285),
    [anon_sym_triangleadj] = ACTIONS(2285),
    [anon_sym_lineadj] = ACTIONS(2285),
    [anon_sym_triangle] = ACTIONS(2285),
    [anon_sym_cbuffer] = ACTIONS(2285),
  },
  [193] = {
    [sym_field_declaration_list] = STATE(917),
    [sym_virtual_specifier] = STATE(8362),
    [sym_base_class_clause] = STATE(9369),
    [sym_identifier] = ACTIONS(2220),
    [aux_sym_preproc_include_token1] = ACTIONS(2220),
    [aux_sym_preproc_def_token1] = ACTIONS(2220),
    [aux_sym_preproc_if_token1] = ACTIONS(2220),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2220),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2220),
    [sym_preproc_directive] = ACTIONS(2220),
    [anon_sym_LPAREN2] = ACTIONS(2222),
    [anon_sym_BANG] = ACTIONS(2222),
    [anon_sym_TILDE] = ACTIONS(2222),
    [anon_sym_DASH] = ACTIONS(2220),
    [anon_sym_PLUS] = ACTIONS(2220),
    [anon_sym_STAR] = ACTIONS(2222),
    [anon_sym_AMP_AMP] = ACTIONS(2222),
    [anon_sym_AMP] = ACTIONS(2220),
    [anon_sym_COLON] = ACTIONS(2194),
    [anon_sym_SEMI] = ACTIONS(2222),
    [anon_sym___extension__] = ACTIONS(2220),
    [anon_sym_typedef] = ACTIONS(2220),
    [anon_sym_in] = ACTIONS(2220),
    [anon_sym_out] = ACTIONS(2220),
    [anon_sym_inout] = ACTIONS(2220),
    [anon_sym_extern] = ACTIONS(2220),
    [anon_sym___attribute__] = ACTIONS(2220),
    [anon_sym_COLON_COLON] = ACTIONS(2222),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2222),
    [anon_sym___declspec] = ACTIONS(2220),
    [anon_sym___based] = ACTIONS(2220),
    [anon_sym___cdecl] = ACTIONS(2220),
    [anon_sym___clrcall] = ACTIONS(2220),
    [anon_sym___stdcall] = ACTIONS(2220),
    [anon_sym___fastcall] = ACTIONS(2220),
    [anon_sym___thiscall] = ACTIONS(2220),
    [anon_sym___vectorcall] = ACTIONS(2220),
    [anon_sym_LBRACE] = ACTIONS(2281),
    [anon_sym_RBRACE] = ACTIONS(2222),
    [anon_sym_signed] = ACTIONS(2220),
    [anon_sym_unsigned] = ACTIONS(2220),
    [anon_sym_long] = ACTIONS(2220),
    [anon_sym_short] = ACTIONS(2220),
    [anon_sym_LBRACK] = ACTIONS(2220),
    [anon_sym_static] = ACTIONS(2220),
    [anon_sym_register] = ACTIONS(2220),
    [anon_sym_inline] = ACTIONS(2220),
    [anon_sym___inline] = ACTIONS(2220),
    [anon_sym___inline__] = ACTIONS(2220),
    [anon_sym___forceinline] = ACTIONS(2220),
    [anon_sym_thread_local] = ACTIONS(2220),
    [anon_sym___thread] = ACTIONS(2220),
    [anon_sym_const] = ACTIONS(2220),
    [anon_sym_constexpr] = ACTIONS(2220),
    [anon_sym_volatile] = ACTIONS(2220),
    [anon_sym_restrict] = ACTIONS(2220),
    [anon_sym___restrict__] = ACTIONS(2220),
    [anon_sym__Atomic] = ACTIONS(2220),
    [anon_sym__Noreturn] = ACTIONS(2220),
    [anon_sym_noreturn] = ACTIONS(2220),
    [anon_sym_mutable] = ACTIONS(2220),
    [anon_sym_constinit] = ACTIONS(2220),
    [anon_sym_consteval] = ACTIONS(2220),
    [sym_primitive_type] = ACTIONS(2220),
    [anon_sym_enum] = ACTIONS(2220),
    [anon_sym_class] = ACTIONS(2220),
    [anon_sym_struct] = ACTIONS(2220),
    [anon_sym_union] = ACTIONS(2220),
    [anon_sym_if] = ACTIONS(2220),
    [anon_sym_else] = ACTIONS(2220),
    [anon_sym_switch] = ACTIONS(2220),
    [anon_sym_case] = ACTIONS(2220),
    [anon_sym_default] = ACTIONS(2220),
    [anon_sym_while] = ACTIONS(2220),
    [anon_sym_do] = ACTIONS(2220),
    [anon_sym_for] = ACTIONS(2220),
    [anon_sym_return] = ACTIONS(2220),
    [anon_sym_break] = ACTIONS(2220),
    [anon_sym_continue] = ACTIONS(2220),
    [anon_sym_goto] = ACTIONS(2220),
    [anon_sym___try] = ACTIONS(2220),
    [anon_sym___leave] = ACTIONS(2220),
    [anon_sym_not] = ACTIONS(2220),
    [anon_sym_compl] = ACTIONS(2220),
    [anon_sym_DASH_DASH] = ACTIONS(2222),
    [anon_sym_PLUS_PLUS] = ACTIONS(2222),
    [anon_sym_sizeof] = ACTIONS(2220),
    [anon_sym___alignof__] = ACTIONS(2220),
    [anon_sym___alignof] = ACTIONS(2220),
    [anon_sym__alignof] = ACTIONS(2220),
    [anon_sym_alignof] = ACTIONS(2220),
    [anon_sym__Alignof] = ACTIONS(2220),
    [anon_sym_offsetof] = ACTIONS(2220),
    [anon_sym__Generic] = ACTIONS(2220),
    [anon_sym_asm] = ACTIONS(2220),
    [anon_sym___asm__] = ACTIONS(2220),
    [sym_number_literal] = ACTIONS(2222),
    [anon_sym_L_SQUOTE] = ACTIONS(2222),
    [anon_sym_u_SQUOTE] = ACTIONS(2222),
    [anon_sym_U_SQUOTE] = ACTIONS(2222),
    [anon_sym_u8_SQUOTE] = ACTIONS(2222),
    [anon_sym_SQUOTE] = ACTIONS(2222),
    [anon_sym_L_DQUOTE] = ACTIONS(2222),
    [anon_sym_u_DQUOTE] = ACTIONS(2222),
    [anon_sym_U_DQUOTE] = ACTIONS(2222),
    [anon_sym_u8_DQUOTE] = ACTIONS(2222),
    [anon_sym_DQUOTE] = ACTIONS(2222),
    [sym_true] = ACTIONS(2220),
    [sym_false] = ACTIONS(2220),
    [anon_sym_NULL] = ACTIONS(2220),
    [anon_sym_nullptr] = ACTIONS(2220),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2220),
    [anon_sym_decltype] = ACTIONS(2220),
    [anon_sym_final] = ACTIONS(2198),
    [anon_sym_override] = ACTIONS(2198),
    [anon_sym_virtual] = ACTIONS(2220),
    [anon_sym_alignas] = ACTIONS(2220),
    [anon_sym_explicit] = ACTIONS(2220),
    [anon_sym_typename] = ACTIONS(2220),
    [anon_sym_template] = ACTIONS(2220),
    [anon_sym_operator] = ACTIONS(2220),
    [anon_sym_try] = ACTIONS(2220),
    [anon_sym_delete] = ACTIONS(2220),
    [anon_sym_throw] = ACTIONS(2220),
    [anon_sym_namespace] = ACTIONS(2220),
    [anon_sym_using] = ACTIONS(2220),
    [anon_sym_static_assert] = ACTIONS(2220),
    [anon_sym_concept] = ACTIONS(2220),
    [anon_sym_co_return] = ACTIONS(2220),
    [anon_sym_co_yield] = ACTIONS(2220),
    [anon_sym_R_DQUOTE] = ACTIONS(2222),
    [anon_sym_LR_DQUOTE] = ACTIONS(2222),
    [anon_sym_uR_DQUOTE] = ACTIONS(2222),
    [anon_sym_UR_DQUOTE] = ACTIONS(2222),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2222),
    [anon_sym_co_await] = ACTIONS(2220),
    [anon_sym_new] = ACTIONS(2220),
    [anon_sym_requires] = ACTIONS(2220),
    [sym_this] = ACTIONS(2220),
    [anon_sym_discard] = ACTIONS(2220),
    [anon_sym_precise] = ACTIONS(2220),
    [anon_sym_shared] = ACTIONS(2220),
    [anon_sym_groupshared] = ACTIONS(2220),
    [anon_sym_uniform] = ACTIONS(2220),
    [anon_sym_row_major] = ACTIONS(2220),
    [anon_sym_column_major] = ACTIONS(2220),
    [anon_sym_globallycoherent] = ACTIONS(2220),
    [anon_sym_centroid] = ACTIONS(2220),
    [anon_sym_noperspective] = ACTIONS(2220),
    [anon_sym_nointerpolation] = ACTIONS(2220),
    [anon_sym_sample] = ACTIONS(2220),
    [anon_sym_linear] = ACTIONS(2220),
    [anon_sym_snorm] = ACTIONS(2220),
    [anon_sym_unorm] = ACTIONS(2220),
    [anon_sym_point] = ACTIONS(2220),
    [anon_sym_line] = ACTIONS(2220),
    [anon_sym_triangleadj] = ACTIONS(2220),
    [anon_sym_lineadj] = ACTIONS(2220),
    [anon_sym_triangle] = ACTIONS(2220),
    [anon_sym_cbuffer] = ACTIONS(2220),
  },
  [194] = {
    [sym_field_declaration_list] = STATE(992),
    [sym_virtual_specifier] = STATE(8228),
    [sym_base_class_clause] = STATE(9094),
    [sym_identifier] = ACTIONS(2190),
    [aux_sym_preproc_include_token1] = ACTIONS(2190),
    [aux_sym_preproc_def_token1] = ACTIONS(2190),
    [aux_sym_preproc_if_token1] = ACTIONS(2190),
    [aux_sym_preproc_if_token2] = ACTIONS(2190),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2190),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2190),
    [sym_preproc_directive] = ACTIONS(2190),
    [anon_sym_LPAREN2] = ACTIONS(2192),
    [anon_sym_BANG] = ACTIONS(2192),
    [anon_sym_TILDE] = ACTIONS(2192),
    [anon_sym_DASH] = ACTIONS(2190),
    [anon_sym_PLUS] = ACTIONS(2190),
    [anon_sym_STAR] = ACTIONS(2192),
    [anon_sym_AMP_AMP] = ACTIONS(2192),
    [anon_sym_AMP] = ACTIONS(2190),
    [anon_sym_COLON] = ACTIONS(2194),
    [anon_sym_SEMI] = ACTIONS(2192),
    [anon_sym___extension__] = ACTIONS(2190),
    [anon_sym_typedef] = ACTIONS(2190),
    [anon_sym_in] = ACTIONS(2190),
    [anon_sym_out] = ACTIONS(2190),
    [anon_sym_inout] = ACTIONS(2190),
    [anon_sym_extern] = ACTIONS(2190),
    [anon_sym___attribute__] = ACTIONS(2190),
    [anon_sym_COLON_COLON] = ACTIONS(2192),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2192),
    [anon_sym___declspec] = ACTIONS(2190),
    [anon_sym___based] = ACTIONS(2190),
    [anon_sym___cdecl] = ACTIONS(2190),
    [anon_sym___clrcall] = ACTIONS(2190),
    [anon_sym___stdcall] = ACTIONS(2190),
    [anon_sym___fastcall] = ACTIONS(2190),
    [anon_sym___thiscall] = ACTIONS(2190),
    [anon_sym___vectorcall] = ACTIONS(2190),
    [anon_sym_LBRACE] = ACTIONS(2283),
    [anon_sym_signed] = ACTIONS(2190),
    [anon_sym_unsigned] = ACTIONS(2190),
    [anon_sym_long] = ACTIONS(2190),
    [anon_sym_short] = ACTIONS(2190),
    [anon_sym_LBRACK] = ACTIONS(2190),
    [anon_sym_static] = ACTIONS(2190),
    [anon_sym_register] = ACTIONS(2190),
    [anon_sym_inline] = ACTIONS(2190),
    [anon_sym___inline] = ACTIONS(2190),
    [anon_sym___inline__] = ACTIONS(2190),
    [anon_sym___forceinline] = ACTIONS(2190),
    [anon_sym_thread_local] = ACTIONS(2190),
    [anon_sym___thread] = ACTIONS(2190),
    [anon_sym_const] = ACTIONS(2190),
    [anon_sym_constexpr] = ACTIONS(2190),
    [anon_sym_volatile] = ACTIONS(2190),
    [anon_sym_restrict] = ACTIONS(2190),
    [anon_sym___restrict__] = ACTIONS(2190),
    [anon_sym__Atomic] = ACTIONS(2190),
    [anon_sym__Noreturn] = ACTIONS(2190),
    [anon_sym_noreturn] = ACTIONS(2190),
    [anon_sym_mutable] = ACTIONS(2190),
    [anon_sym_constinit] = ACTIONS(2190),
    [anon_sym_consteval] = ACTIONS(2190),
    [sym_primitive_type] = ACTIONS(2190),
    [anon_sym_enum] = ACTIONS(2190),
    [anon_sym_class] = ACTIONS(2190),
    [anon_sym_struct] = ACTIONS(2190),
    [anon_sym_union] = ACTIONS(2190),
    [anon_sym_if] = ACTIONS(2190),
    [anon_sym_else] = ACTIONS(2190),
    [anon_sym_switch] = ACTIONS(2190),
    [anon_sym_case] = ACTIONS(2190),
    [anon_sym_default] = ACTIONS(2190),
    [anon_sym_while] = ACTIONS(2190),
    [anon_sym_do] = ACTIONS(2190),
    [anon_sym_for] = ACTIONS(2190),
    [anon_sym_return] = ACTIONS(2190),
    [anon_sym_break] = ACTIONS(2190),
    [anon_sym_continue] = ACTIONS(2190),
    [anon_sym_goto] = ACTIONS(2190),
    [anon_sym___try] = ACTIONS(2190),
    [anon_sym___leave] = ACTIONS(2190),
    [anon_sym_not] = ACTIONS(2190),
    [anon_sym_compl] = ACTIONS(2190),
    [anon_sym_DASH_DASH] = ACTIONS(2192),
    [anon_sym_PLUS_PLUS] = ACTIONS(2192),
    [anon_sym_sizeof] = ACTIONS(2190),
    [anon_sym___alignof__] = ACTIONS(2190),
    [anon_sym___alignof] = ACTIONS(2190),
    [anon_sym__alignof] = ACTIONS(2190),
    [anon_sym_alignof] = ACTIONS(2190),
    [anon_sym__Alignof] = ACTIONS(2190),
    [anon_sym_offsetof] = ACTIONS(2190),
    [anon_sym__Generic] = ACTIONS(2190),
    [anon_sym_asm] = ACTIONS(2190),
    [anon_sym___asm__] = ACTIONS(2190),
    [sym_number_literal] = ACTIONS(2192),
    [anon_sym_L_SQUOTE] = ACTIONS(2192),
    [anon_sym_u_SQUOTE] = ACTIONS(2192),
    [anon_sym_U_SQUOTE] = ACTIONS(2192),
    [anon_sym_u8_SQUOTE] = ACTIONS(2192),
    [anon_sym_SQUOTE] = ACTIONS(2192),
    [anon_sym_L_DQUOTE] = ACTIONS(2192),
    [anon_sym_u_DQUOTE] = ACTIONS(2192),
    [anon_sym_U_DQUOTE] = ACTIONS(2192),
    [anon_sym_u8_DQUOTE] = ACTIONS(2192),
    [anon_sym_DQUOTE] = ACTIONS(2192),
    [sym_true] = ACTIONS(2190),
    [sym_false] = ACTIONS(2190),
    [anon_sym_NULL] = ACTIONS(2190),
    [anon_sym_nullptr] = ACTIONS(2190),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2190),
    [anon_sym_decltype] = ACTIONS(2190),
    [anon_sym_final] = ACTIONS(2198),
    [anon_sym_override] = ACTIONS(2198),
    [anon_sym_virtual] = ACTIONS(2190),
    [anon_sym_alignas] = ACTIONS(2190),
    [anon_sym_explicit] = ACTIONS(2190),
    [anon_sym_typename] = ACTIONS(2190),
    [anon_sym_template] = ACTIONS(2190),
    [anon_sym_operator] = ACTIONS(2190),
    [anon_sym_try] = ACTIONS(2190),
    [anon_sym_delete] = ACTIONS(2190),
    [anon_sym_throw] = ACTIONS(2190),
    [anon_sym_namespace] = ACTIONS(2190),
    [anon_sym_using] = ACTIONS(2190),
    [anon_sym_static_assert] = ACTIONS(2190),
    [anon_sym_concept] = ACTIONS(2190),
    [anon_sym_co_return] = ACTIONS(2190),
    [anon_sym_co_yield] = ACTIONS(2190),
    [anon_sym_R_DQUOTE] = ACTIONS(2192),
    [anon_sym_LR_DQUOTE] = ACTIONS(2192),
    [anon_sym_uR_DQUOTE] = ACTIONS(2192),
    [anon_sym_UR_DQUOTE] = ACTIONS(2192),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2192),
    [anon_sym_co_await] = ACTIONS(2190),
    [anon_sym_new] = ACTIONS(2190),
    [anon_sym_requires] = ACTIONS(2190),
    [sym_this] = ACTIONS(2190),
    [anon_sym_discard] = ACTIONS(2190),
    [anon_sym_precise] = ACTIONS(2190),
    [anon_sym_shared] = ACTIONS(2190),
    [anon_sym_groupshared] = ACTIONS(2190),
    [anon_sym_uniform] = ACTIONS(2190),
    [anon_sym_row_major] = ACTIONS(2190),
    [anon_sym_column_major] = ACTIONS(2190),
    [anon_sym_globallycoherent] = ACTIONS(2190),
    [anon_sym_centroid] = ACTIONS(2190),
    [anon_sym_noperspective] = ACTIONS(2190),
    [anon_sym_nointerpolation] = ACTIONS(2190),
    [anon_sym_sample] = ACTIONS(2190),
    [anon_sym_linear] = ACTIONS(2190),
    [anon_sym_snorm] = ACTIONS(2190),
    [anon_sym_unorm] = ACTIONS(2190),
    [anon_sym_point] = ACTIONS(2190),
    [anon_sym_line] = ACTIONS(2190),
    [anon_sym_triangleadj] = ACTIONS(2190),
    [anon_sym_lineadj] = ACTIONS(2190),
    [anon_sym_triangle] = ACTIONS(2190),
    [anon_sym_cbuffer] = ACTIONS(2190),
  },
  [195] = {
    [sym_identifier] = ACTIONS(2250),
    [aux_sym_preproc_include_token1] = ACTIONS(2250),
    [aux_sym_preproc_def_token1] = ACTIONS(2250),
    [aux_sym_preproc_if_token1] = ACTIONS(2250),
    [aux_sym_preproc_if_token2] = ACTIONS(2250),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2250),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2250),
    [aux_sym_preproc_else_token1] = ACTIONS(2250),
    [aux_sym_preproc_elif_token1] = ACTIONS(2250),
    [sym_preproc_directive] = ACTIONS(2250),
    [anon_sym_LPAREN2] = ACTIONS(2252),
    [anon_sym_BANG] = ACTIONS(2252),
    [anon_sym_TILDE] = ACTIONS(2252),
    [anon_sym_DASH] = ACTIONS(2250),
    [anon_sym_PLUS] = ACTIONS(2250),
    [anon_sym_STAR] = ACTIONS(2252),
    [anon_sym_AMP_AMP] = ACTIONS(2252),
    [anon_sym_AMP] = ACTIONS(2250),
    [anon_sym_COLON] = ACTIONS(2250),
    [anon_sym_SEMI] = ACTIONS(2252),
    [anon_sym___extension__] = ACTIONS(2250),
    [anon_sym_typedef] = ACTIONS(2250),
    [anon_sym_in] = ACTIONS(2250),
    [anon_sym_out] = ACTIONS(2250),
    [anon_sym_inout] = ACTIONS(2250),
    [anon_sym_extern] = ACTIONS(2250),
    [anon_sym___attribute__] = ACTIONS(2250),
    [anon_sym_COLON_COLON] = ACTIONS(2252),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2252),
    [anon_sym___declspec] = ACTIONS(2250),
    [anon_sym___based] = ACTIONS(2250),
    [anon_sym___cdecl] = ACTIONS(2250),
    [anon_sym___clrcall] = ACTIONS(2250),
    [anon_sym___stdcall] = ACTIONS(2250),
    [anon_sym___fastcall] = ACTIONS(2250),
    [anon_sym___thiscall] = ACTIONS(2250),
    [anon_sym___vectorcall] = ACTIONS(2250),
    [anon_sym_LBRACE] = ACTIONS(2252),
    [anon_sym_signed] = ACTIONS(2250),
    [anon_sym_unsigned] = ACTIONS(2250),
    [anon_sym_long] = ACTIONS(2250),
    [anon_sym_short] = ACTIONS(2250),
    [anon_sym_LBRACK] = ACTIONS(2250),
    [anon_sym_static] = ACTIONS(2250),
    [anon_sym_register] = ACTIONS(2250),
    [anon_sym_inline] = ACTIONS(2250),
    [anon_sym___inline] = ACTIONS(2250),
    [anon_sym___inline__] = ACTIONS(2250),
    [anon_sym___forceinline] = ACTIONS(2250),
    [anon_sym_thread_local] = ACTIONS(2250),
    [anon_sym___thread] = ACTIONS(2250),
    [anon_sym_const] = ACTIONS(2250),
    [anon_sym_constexpr] = ACTIONS(2250),
    [anon_sym_volatile] = ACTIONS(2250),
    [anon_sym_restrict] = ACTIONS(2250),
    [anon_sym___restrict__] = ACTIONS(2250),
    [anon_sym__Atomic] = ACTIONS(2250),
    [anon_sym__Noreturn] = ACTIONS(2250),
    [anon_sym_noreturn] = ACTIONS(2250),
    [anon_sym_mutable] = ACTIONS(2250),
    [anon_sym_constinit] = ACTIONS(2250),
    [anon_sym_consteval] = ACTIONS(2250),
    [sym_primitive_type] = ACTIONS(2250),
    [anon_sym_enum] = ACTIONS(2250),
    [anon_sym_class] = ACTIONS(2250),
    [anon_sym_struct] = ACTIONS(2250),
    [anon_sym_union] = ACTIONS(2250),
    [anon_sym_if] = ACTIONS(2250),
    [anon_sym_else] = ACTIONS(2250),
    [anon_sym_switch] = ACTIONS(2250),
    [anon_sym_case] = ACTIONS(2250),
    [anon_sym_default] = ACTIONS(2250),
    [anon_sym_while] = ACTIONS(2250),
    [anon_sym_do] = ACTIONS(2250),
    [anon_sym_for] = ACTIONS(2250),
    [anon_sym_return] = ACTIONS(2250),
    [anon_sym_break] = ACTIONS(2250),
    [anon_sym_continue] = ACTIONS(2250),
    [anon_sym_goto] = ACTIONS(2250),
    [anon_sym___try] = ACTIONS(2250),
    [anon_sym___leave] = ACTIONS(2250),
    [anon_sym_not] = ACTIONS(2250),
    [anon_sym_compl] = ACTIONS(2250),
    [anon_sym_DASH_DASH] = ACTIONS(2252),
    [anon_sym_PLUS_PLUS] = ACTIONS(2252),
    [anon_sym_sizeof] = ACTIONS(2250),
    [anon_sym___alignof__] = ACTIONS(2250),
    [anon_sym___alignof] = ACTIONS(2250),
    [anon_sym__alignof] = ACTIONS(2250),
    [anon_sym_alignof] = ACTIONS(2250),
    [anon_sym__Alignof] = ACTIONS(2250),
    [anon_sym_offsetof] = ACTIONS(2250),
    [anon_sym__Generic] = ACTIONS(2250),
    [anon_sym_asm] = ACTIONS(2250),
    [anon_sym___asm__] = ACTIONS(2250),
    [sym_number_literal] = ACTIONS(2252),
    [anon_sym_L_SQUOTE] = ACTIONS(2252),
    [anon_sym_u_SQUOTE] = ACTIONS(2252),
    [anon_sym_U_SQUOTE] = ACTIONS(2252),
    [anon_sym_u8_SQUOTE] = ACTIONS(2252),
    [anon_sym_SQUOTE] = ACTIONS(2252),
    [anon_sym_L_DQUOTE] = ACTIONS(2252),
    [anon_sym_u_DQUOTE] = ACTIONS(2252),
    [anon_sym_U_DQUOTE] = ACTIONS(2252),
    [anon_sym_u8_DQUOTE] = ACTIONS(2252),
    [anon_sym_DQUOTE] = ACTIONS(2252),
    [sym_true] = ACTIONS(2250),
    [sym_false] = ACTIONS(2250),
    [anon_sym_NULL] = ACTIONS(2250),
    [anon_sym_nullptr] = ACTIONS(2250),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2250),
    [anon_sym_decltype] = ACTIONS(2250),
    [anon_sym_final] = ACTIONS(2250),
    [anon_sym_override] = ACTIONS(2250),
    [anon_sym_virtual] = ACTIONS(2250),
    [anon_sym_alignas] = ACTIONS(2250),
    [anon_sym_explicit] = ACTIONS(2250),
    [anon_sym_typename] = ACTIONS(2250),
    [anon_sym_template] = ACTIONS(2250),
    [anon_sym_operator] = ACTIONS(2250),
    [anon_sym_try] = ACTIONS(2250),
    [anon_sym_delete] = ACTIONS(2250),
    [anon_sym_throw] = ACTIONS(2250),
    [anon_sym_namespace] = ACTIONS(2250),
    [anon_sym_using] = ACTIONS(2250),
    [anon_sym_static_assert] = ACTIONS(2250),
    [anon_sym_concept] = ACTIONS(2250),
    [anon_sym_co_return] = ACTIONS(2250),
    [anon_sym_co_yield] = ACTIONS(2250),
    [anon_sym_R_DQUOTE] = ACTIONS(2252),
    [anon_sym_LR_DQUOTE] = ACTIONS(2252),
    [anon_sym_uR_DQUOTE] = ACTIONS(2252),
    [anon_sym_UR_DQUOTE] = ACTIONS(2252),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2252),
    [anon_sym_co_await] = ACTIONS(2250),
    [anon_sym_new] = ACTIONS(2250),
    [anon_sym_requires] = ACTIONS(2250),
    [sym_this] = ACTIONS(2250),
    [anon_sym_discard] = ACTIONS(2250),
    [anon_sym_precise] = ACTIONS(2250),
    [anon_sym_shared] = ACTIONS(2250),
    [anon_sym_groupshared] = ACTIONS(2250),
    [anon_sym_uniform] = ACTIONS(2250),
    [anon_sym_row_major] = ACTIONS(2250),
    [anon_sym_column_major] = ACTIONS(2250),
    [anon_sym_globallycoherent] = ACTIONS(2250),
    [anon_sym_centroid] = ACTIONS(2250),
    [anon_sym_noperspective] = ACTIONS(2250),
    [anon_sym_nointerpolation] = ACTIONS(2250),
    [anon_sym_sample] = ACTIONS(2250),
    [anon_sym_linear] = ACTIONS(2250),
    [anon_sym_snorm] = ACTIONS(2250),
    [anon_sym_unorm] = ACTIONS(2250),
    [anon_sym_point] = ACTIONS(2250),
    [anon_sym_line] = ACTIONS(2250),
    [anon_sym_triangleadj] = ACTIONS(2250),
    [anon_sym_lineadj] = ACTIONS(2250),
    [anon_sym_triangle] = ACTIONS(2250),
    [anon_sym_cbuffer] = ACTIONS(2250),
  },
  [196] = {
    [sym_template_argument_list] = STATE(460),
    [ts_builtin_sym_end] = ACTIONS(2234),
    [sym_identifier] = ACTIONS(2232),
    [aux_sym_preproc_include_token1] = ACTIONS(2232),
    [aux_sym_preproc_def_token1] = ACTIONS(2232),
    [aux_sym_preproc_if_token1] = ACTIONS(2232),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2232),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2232),
    [sym_preproc_directive] = ACTIONS(2232),
    [anon_sym_LPAREN2] = ACTIONS(2234),
    [anon_sym_BANG] = ACTIONS(2234),
    [anon_sym_TILDE] = ACTIONS(2234),
    [anon_sym_DASH] = ACTIONS(2232),
    [anon_sym_PLUS] = ACTIONS(2232),
    [anon_sym_STAR] = ACTIONS(2234),
    [anon_sym_AMP_AMP] = ACTIONS(2234),
    [anon_sym_AMP] = ACTIONS(2232),
    [anon_sym_LT] = ACTIONS(2289),
    [anon_sym_COLON] = ACTIONS(2232),
    [anon_sym_SEMI] = ACTIONS(2234),
    [anon_sym___extension__] = ACTIONS(2232),
    [anon_sym_typedef] = ACTIONS(2232),
    [anon_sym_in] = ACTIONS(2232),
    [anon_sym_out] = ACTIONS(2232),
    [anon_sym_inout] = ACTIONS(2232),
    [anon_sym_extern] = ACTIONS(2232),
    [anon_sym___attribute__] = ACTIONS(2232),
    [anon_sym_COLON_COLON] = ACTIONS(2230),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2234),
    [anon_sym___declspec] = ACTIONS(2232),
    [anon_sym___based] = ACTIONS(2232),
    [anon_sym___cdecl] = ACTIONS(2232),
    [anon_sym___clrcall] = ACTIONS(2232),
    [anon_sym___stdcall] = ACTIONS(2232),
    [anon_sym___fastcall] = ACTIONS(2232),
    [anon_sym___thiscall] = ACTIONS(2232),
    [anon_sym___vectorcall] = ACTIONS(2232),
    [anon_sym_LBRACE] = ACTIONS(2234),
    [anon_sym_signed] = ACTIONS(2232),
    [anon_sym_unsigned] = ACTIONS(2232),
    [anon_sym_long] = ACTIONS(2232),
    [anon_sym_short] = ACTIONS(2232),
    [anon_sym_LBRACK] = ACTIONS(2232),
    [anon_sym_static] = ACTIONS(2232),
    [anon_sym_register] = ACTIONS(2232),
    [anon_sym_inline] = ACTIONS(2232),
    [anon_sym___inline] = ACTIONS(2232),
    [anon_sym___inline__] = ACTIONS(2232),
    [anon_sym___forceinline] = ACTIONS(2232),
    [anon_sym_thread_local] = ACTIONS(2232),
    [anon_sym___thread] = ACTIONS(2232),
    [anon_sym_const] = ACTIONS(2232),
    [anon_sym_constexpr] = ACTIONS(2232),
    [anon_sym_volatile] = ACTIONS(2232),
    [anon_sym_restrict] = ACTIONS(2232),
    [anon_sym___restrict__] = ACTIONS(2232),
    [anon_sym__Atomic] = ACTIONS(2232),
    [anon_sym__Noreturn] = ACTIONS(2232),
    [anon_sym_noreturn] = ACTIONS(2232),
    [anon_sym_mutable] = ACTIONS(2232),
    [anon_sym_constinit] = ACTIONS(2232),
    [anon_sym_consteval] = ACTIONS(2232),
    [sym_primitive_type] = ACTIONS(2232),
    [anon_sym_enum] = ACTIONS(2232),
    [anon_sym_class] = ACTIONS(2232),
    [anon_sym_struct] = ACTIONS(2232),
    [anon_sym_union] = ACTIONS(2232),
    [anon_sym_if] = ACTIONS(2232),
    [anon_sym_else] = ACTIONS(2232),
    [anon_sym_switch] = ACTIONS(2232),
    [anon_sym_case] = ACTIONS(2232),
    [anon_sym_default] = ACTIONS(2232),
    [anon_sym_while] = ACTIONS(2232),
    [anon_sym_do] = ACTIONS(2232),
    [anon_sym_for] = ACTIONS(2232),
    [anon_sym_return] = ACTIONS(2232),
    [anon_sym_break] = ACTIONS(2232),
    [anon_sym_continue] = ACTIONS(2232),
    [anon_sym_goto] = ACTIONS(2232),
    [anon_sym___try] = ACTIONS(2232),
    [anon_sym___leave] = ACTIONS(2232),
    [anon_sym_not] = ACTIONS(2232),
    [anon_sym_compl] = ACTIONS(2232),
    [anon_sym_DASH_DASH] = ACTIONS(2234),
    [anon_sym_PLUS_PLUS] = ACTIONS(2234),
    [anon_sym_sizeof] = ACTIONS(2232),
    [anon_sym___alignof__] = ACTIONS(2232),
    [anon_sym___alignof] = ACTIONS(2232),
    [anon_sym__alignof] = ACTIONS(2232),
    [anon_sym_alignof] = ACTIONS(2232),
    [anon_sym__Alignof] = ACTIONS(2232),
    [anon_sym_offsetof] = ACTIONS(2232),
    [anon_sym__Generic] = ACTIONS(2232),
    [anon_sym_asm] = ACTIONS(2232),
    [anon_sym___asm__] = ACTIONS(2232),
    [sym_number_literal] = ACTIONS(2234),
    [anon_sym_L_SQUOTE] = ACTIONS(2234),
    [anon_sym_u_SQUOTE] = ACTIONS(2234),
    [anon_sym_U_SQUOTE] = ACTIONS(2234),
    [anon_sym_u8_SQUOTE] = ACTIONS(2234),
    [anon_sym_SQUOTE] = ACTIONS(2234),
    [anon_sym_L_DQUOTE] = ACTIONS(2234),
    [anon_sym_u_DQUOTE] = ACTIONS(2234),
    [anon_sym_U_DQUOTE] = ACTIONS(2234),
    [anon_sym_u8_DQUOTE] = ACTIONS(2234),
    [anon_sym_DQUOTE] = ACTIONS(2234),
    [sym_true] = ACTIONS(2232),
    [sym_false] = ACTIONS(2232),
    [anon_sym_NULL] = ACTIONS(2232),
    [anon_sym_nullptr] = ACTIONS(2232),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2232),
    [anon_sym_decltype] = ACTIONS(2232),
    [anon_sym_final] = ACTIONS(2232),
    [anon_sym_override] = ACTIONS(2232),
    [anon_sym_virtual] = ACTIONS(2232),
    [anon_sym_alignas] = ACTIONS(2232),
    [anon_sym_explicit] = ACTIONS(2232),
    [anon_sym_typename] = ACTIONS(2232),
    [anon_sym_template] = ACTIONS(2232),
    [anon_sym_operator] = ACTIONS(2232),
    [anon_sym_try] = ACTIONS(2232),
    [anon_sym_delete] = ACTIONS(2232),
    [anon_sym_throw] = ACTIONS(2232),
    [anon_sym_namespace] = ACTIONS(2232),
    [anon_sym_using] = ACTIONS(2232),
    [anon_sym_static_assert] = ACTIONS(2232),
    [anon_sym_concept] = ACTIONS(2232),
    [anon_sym_co_return] = ACTIONS(2232),
    [anon_sym_co_yield] = ACTIONS(2232),
    [anon_sym_R_DQUOTE] = ACTIONS(2234),
    [anon_sym_LR_DQUOTE] = ACTIONS(2234),
    [anon_sym_uR_DQUOTE] = ACTIONS(2234),
    [anon_sym_UR_DQUOTE] = ACTIONS(2234),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2234),
    [anon_sym_co_await] = ACTIONS(2232),
    [anon_sym_new] = ACTIONS(2232),
    [anon_sym_requires] = ACTIONS(2232),
    [sym_this] = ACTIONS(2232),
    [anon_sym_discard] = ACTIONS(2232),
    [anon_sym_precise] = ACTIONS(2232),
    [anon_sym_shared] = ACTIONS(2232),
    [anon_sym_groupshared] = ACTIONS(2232),
    [anon_sym_uniform] = ACTIONS(2232),
    [anon_sym_row_major] = ACTIONS(2232),
    [anon_sym_column_major] = ACTIONS(2232),
    [anon_sym_globallycoherent] = ACTIONS(2232),
    [anon_sym_centroid] = ACTIONS(2232),
    [anon_sym_noperspective] = ACTIONS(2232),
    [anon_sym_nointerpolation] = ACTIONS(2232),
    [anon_sym_sample] = ACTIONS(2232),
    [anon_sym_linear] = ACTIONS(2232),
    [anon_sym_snorm] = ACTIONS(2232),
    [anon_sym_unorm] = ACTIONS(2232),
    [anon_sym_point] = ACTIONS(2232),
    [anon_sym_line] = ACTIONS(2232),
    [anon_sym_triangleadj] = ACTIONS(2232),
    [anon_sym_lineadj] = ACTIONS(2232),
    [anon_sym_triangle] = ACTIONS(2232),
    [anon_sym_cbuffer] = ACTIONS(2232),
  },
  [197] = {
    [sym_identifier] = ACTIONS(2264),
    [aux_sym_preproc_include_token1] = ACTIONS(2264),
    [aux_sym_preproc_def_token1] = ACTIONS(2264),
    [aux_sym_preproc_if_token1] = ACTIONS(2264),
    [aux_sym_preproc_if_token2] = ACTIONS(2264),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2264),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2264),
    [aux_sym_preproc_else_token1] = ACTIONS(2264),
    [aux_sym_preproc_elif_token1] = ACTIONS(2264),
    [sym_preproc_directive] = ACTIONS(2264),
    [anon_sym_LPAREN2] = ACTIONS(2266),
    [anon_sym_BANG] = ACTIONS(2266),
    [anon_sym_TILDE] = ACTIONS(2266),
    [anon_sym_DASH] = ACTIONS(2264),
    [anon_sym_PLUS] = ACTIONS(2264),
    [anon_sym_STAR] = ACTIONS(2266),
    [anon_sym_AMP_AMP] = ACTIONS(2266),
    [anon_sym_AMP] = ACTIONS(2264),
    [anon_sym_COLON] = ACTIONS(2264),
    [anon_sym_SEMI] = ACTIONS(2266),
    [anon_sym___extension__] = ACTIONS(2264),
    [anon_sym_typedef] = ACTIONS(2264),
    [anon_sym_in] = ACTIONS(2264),
    [anon_sym_out] = ACTIONS(2264),
    [anon_sym_inout] = ACTIONS(2264),
    [anon_sym_extern] = ACTIONS(2264),
    [anon_sym___attribute__] = ACTIONS(2264),
    [anon_sym_COLON_COLON] = ACTIONS(2262),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2266),
    [anon_sym___declspec] = ACTIONS(2264),
    [anon_sym___based] = ACTIONS(2264),
    [anon_sym___cdecl] = ACTIONS(2264),
    [anon_sym___clrcall] = ACTIONS(2264),
    [anon_sym___stdcall] = ACTIONS(2264),
    [anon_sym___fastcall] = ACTIONS(2264),
    [anon_sym___thiscall] = ACTIONS(2264),
    [anon_sym___vectorcall] = ACTIONS(2264),
    [anon_sym_LBRACE] = ACTIONS(2266),
    [anon_sym_signed] = ACTIONS(2264),
    [anon_sym_unsigned] = ACTIONS(2264),
    [anon_sym_long] = ACTIONS(2264),
    [anon_sym_short] = ACTIONS(2264),
    [anon_sym_LBRACK] = ACTIONS(2264),
    [anon_sym_static] = ACTIONS(2264),
    [anon_sym_register] = ACTIONS(2264),
    [anon_sym_inline] = ACTIONS(2264),
    [anon_sym___inline] = ACTIONS(2264),
    [anon_sym___inline__] = ACTIONS(2264),
    [anon_sym___forceinline] = ACTIONS(2264),
    [anon_sym_thread_local] = ACTIONS(2264),
    [anon_sym___thread] = ACTIONS(2264),
    [anon_sym_const] = ACTIONS(2264),
    [anon_sym_constexpr] = ACTIONS(2264),
    [anon_sym_volatile] = ACTIONS(2264),
    [anon_sym_restrict] = ACTIONS(2264),
    [anon_sym___restrict__] = ACTIONS(2264),
    [anon_sym__Atomic] = ACTIONS(2264),
    [anon_sym__Noreturn] = ACTIONS(2264),
    [anon_sym_noreturn] = ACTIONS(2264),
    [anon_sym_mutable] = ACTIONS(2264),
    [anon_sym_constinit] = ACTIONS(2264),
    [anon_sym_consteval] = ACTIONS(2264),
    [sym_primitive_type] = ACTIONS(2264),
    [anon_sym_enum] = ACTIONS(2264),
    [anon_sym_class] = ACTIONS(2264),
    [anon_sym_struct] = ACTIONS(2264),
    [anon_sym_union] = ACTIONS(2264),
    [anon_sym_if] = ACTIONS(2264),
    [anon_sym_else] = ACTIONS(2264),
    [anon_sym_switch] = ACTIONS(2264),
    [anon_sym_case] = ACTIONS(2264),
    [anon_sym_default] = ACTIONS(2264),
    [anon_sym_while] = ACTIONS(2264),
    [anon_sym_do] = ACTIONS(2264),
    [anon_sym_for] = ACTIONS(2264),
    [anon_sym_return] = ACTIONS(2264),
    [anon_sym_break] = ACTIONS(2264),
    [anon_sym_continue] = ACTIONS(2264),
    [anon_sym_goto] = ACTIONS(2264),
    [anon_sym___try] = ACTIONS(2264),
    [anon_sym___leave] = ACTIONS(2264),
    [anon_sym_not] = ACTIONS(2264),
    [anon_sym_compl] = ACTIONS(2264),
    [anon_sym_DASH_DASH] = ACTIONS(2266),
    [anon_sym_PLUS_PLUS] = ACTIONS(2266),
    [anon_sym_sizeof] = ACTIONS(2264),
    [anon_sym___alignof__] = ACTIONS(2264),
    [anon_sym___alignof] = ACTIONS(2264),
    [anon_sym__alignof] = ACTIONS(2264),
    [anon_sym_alignof] = ACTIONS(2264),
    [anon_sym__Alignof] = ACTIONS(2264),
    [anon_sym_offsetof] = ACTIONS(2264),
    [anon_sym__Generic] = ACTIONS(2264),
    [anon_sym_asm] = ACTIONS(2264),
    [anon_sym___asm__] = ACTIONS(2264),
    [sym_number_literal] = ACTIONS(2266),
    [anon_sym_L_SQUOTE] = ACTIONS(2266),
    [anon_sym_u_SQUOTE] = ACTIONS(2266),
    [anon_sym_U_SQUOTE] = ACTIONS(2266),
    [anon_sym_u8_SQUOTE] = ACTIONS(2266),
    [anon_sym_SQUOTE] = ACTIONS(2266),
    [anon_sym_L_DQUOTE] = ACTIONS(2266),
    [anon_sym_u_DQUOTE] = ACTIONS(2266),
    [anon_sym_U_DQUOTE] = ACTIONS(2266),
    [anon_sym_u8_DQUOTE] = ACTIONS(2266),
    [anon_sym_DQUOTE] = ACTIONS(2266),
    [sym_true] = ACTIONS(2264),
    [sym_false] = ACTIONS(2264),
    [anon_sym_NULL] = ACTIONS(2264),
    [anon_sym_nullptr] = ACTIONS(2264),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2264),
    [anon_sym_decltype] = ACTIONS(2264),
    [anon_sym_final] = ACTIONS(2264),
    [anon_sym_override] = ACTIONS(2264),
    [anon_sym_virtual] = ACTIONS(2264),
    [anon_sym_alignas] = ACTIONS(2264),
    [anon_sym_explicit] = ACTIONS(2264),
    [anon_sym_typename] = ACTIONS(2264),
    [anon_sym_template] = ACTIONS(2264),
    [anon_sym_operator] = ACTIONS(2264),
    [anon_sym_try] = ACTIONS(2264),
    [anon_sym_delete] = ACTIONS(2264),
    [anon_sym_throw] = ACTIONS(2264),
    [anon_sym_namespace] = ACTIONS(2264),
    [anon_sym_using] = ACTIONS(2264),
    [anon_sym_static_assert] = ACTIONS(2264),
    [anon_sym_concept] = ACTIONS(2264),
    [anon_sym_co_return] = ACTIONS(2264),
    [anon_sym_co_yield] = ACTIONS(2264),
    [anon_sym_R_DQUOTE] = ACTIONS(2266),
    [anon_sym_LR_DQUOTE] = ACTIONS(2266),
    [anon_sym_uR_DQUOTE] = ACTIONS(2266),
    [anon_sym_UR_DQUOTE] = ACTIONS(2266),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2266),
    [anon_sym_co_await] = ACTIONS(2264),
    [anon_sym_new] = ACTIONS(2264),
    [anon_sym_requires] = ACTIONS(2264),
    [sym_this] = ACTIONS(2264),
    [anon_sym_discard] = ACTIONS(2264),
    [anon_sym_precise] = ACTIONS(2264),
    [anon_sym_shared] = ACTIONS(2264),
    [anon_sym_groupshared] = ACTIONS(2264),
    [anon_sym_uniform] = ACTIONS(2264),
    [anon_sym_row_major] = ACTIONS(2264),
    [anon_sym_column_major] = ACTIONS(2264),
    [anon_sym_globallycoherent] = ACTIONS(2264),
    [anon_sym_centroid] = ACTIONS(2264),
    [anon_sym_noperspective] = ACTIONS(2264),
    [anon_sym_nointerpolation] = ACTIONS(2264),
    [anon_sym_sample] = ACTIONS(2264),
    [anon_sym_linear] = ACTIONS(2264),
    [anon_sym_snorm] = ACTIONS(2264),
    [anon_sym_unorm] = ACTIONS(2264),
    [anon_sym_point] = ACTIONS(2264),
    [anon_sym_line] = ACTIONS(2264),
    [anon_sym_triangleadj] = ACTIONS(2264),
    [anon_sym_lineadj] = ACTIONS(2264),
    [anon_sym_triangle] = ACTIONS(2264),
    [anon_sym_cbuffer] = ACTIONS(2264),
  },
  [198] = {
    [sym_else_clause] = STATE(289),
    [sym_identifier] = ACTIONS(2291),
    [aux_sym_preproc_include_token1] = ACTIONS(2291),
    [aux_sym_preproc_def_token1] = ACTIONS(2291),
    [aux_sym_preproc_if_token1] = ACTIONS(2291),
    [aux_sym_preproc_if_token2] = ACTIONS(2291),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2291),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2291),
    [aux_sym_preproc_else_token1] = ACTIONS(2291),
    [aux_sym_preproc_elif_token1] = ACTIONS(2291),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2291),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2291),
    [sym_preproc_directive] = ACTIONS(2291),
    [anon_sym_LPAREN2] = ACTIONS(2293),
    [anon_sym_BANG] = ACTIONS(2293),
    [anon_sym_TILDE] = ACTIONS(2293),
    [anon_sym_DASH] = ACTIONS(2291),
    [anon_sym_PLUS] = ACTIONS(2291),
    [anon_sym_STAR] = ACTIONS(2293),
    [anon_sym_AMP_AMP] = ACTIONS(2293),
    [anon_sym_AMP] = ACTIONS(2291),
    [anon_sym_SEMI] = ACTIONS(2293),
    [anon_sym___extension__] = ACTIONS(2291),
    [anon_sym_typedef] = ACTIONS(2291),
    [anon_sym_in] = ACTIONS(2291),
    [anon_sym_out] = ACTIONS(2291),
    [anon_sym_inout] = ACTIONS(2291),
    [anon_sym_extern] = ACTIONS(2291),
    [anon_sym___attribute__] = ACTIONS(2291),
    [anon_sym_COLON_COLON] = ACTIONS(2293),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2293),
    [anon_sym___declspec] = ACTIONS(2291),
    [anon_sym___based] = ACTIONS(2291),
    [anon_sym___cdecl] = ACTIONS(2291),
    [anon_sym___clrcall] = ACTIONS(2291),
    [anon_sym___stdcall] = ACTIONS(2291),
    [anon_sym___fastcall] = ACTIONS(2291),
    [anon_sym___thiscall] = ACTIONS(2291),
    [anon_sym___vectorcall] = ACTIONS(2291),
    [anon_sym_LBRACE] = ACTIONS(2293),
    [anon_sym_signed] = ACTIONS(2291),
    [anon_sym_unsigned] = ACTIONS(2291),
    [anon_sym_long] = ACTIONS(2291),
    [anon_sym_short] = ACTIONS(2291),
    [anon_sym_LBRACK] = ACTIONS(2291),
    [anon_sym_static] = ACTIONS(2291),
    [anon_sym_register] = ACTIONS(2291),
    [anon_sym_inline] = ACTIONS(2291),
    [anon_sym___inline] = ACTIONS(2291),
    [anon_sym___inline__] = ACTIONS(2291),
    [anon_sym___forceinline] = ACTIONS(2291),
    [anon_sym_thread_local] = ACTIONS(2291),
    [anon_sym___thread] = ACTIONS(2291),
    [anon_sym_const] = ACTIONS(2291),
    [anon_sym_constexpr] = ACTIONS(2291),
    [anon_sym_volatile] = ACTIONS(2291),
    [anon_sym_restrict] = ACTIONS(2291),
    [anon_sym___restrict__] = ACTIONS(2291),
    [anon_sym__Atomic] = ACTIONS(2291),
    [anon_sym__Noreturn] = ACTIONS(2291),
    [anon_sym_noreturn] = ACTIONS(2291),
    [anon_sym_mutable] = ACTIONS(2291),
    [anon_sym_constinit] = ACTIONS(2291),
    [anon_sym_consteval] = ACTIONS(2291),
    [sym_primitive_type] = ACTIONS(2291),
    [anon_sym_enum] = ACTIONS(2291),
    [anon_sym_class] = ACTIONS(2291),
    [anon_sym_struct] = ACTIONS(2291),
    [anon_sym_union] = ACTIONS(2291),
    [anon_sym_if] = ACTIONS(2291),
    [anon_sym_else] = ACTIONS(2295),
    [anon_sym_switch] = ACTIONS(2291),
    [anon_sym_case] = ACTIONS(2291),
    [anon_sym_default] = ACTIONS(2291),
    [anon_sym_while] = ACTIONS(2291),
    [anon_sym_do] = ACTIONS(2291),
    [anon_sym_for] = ACTIONS(2291),
    [anon_sym_return] = ACTIONS(2291),
    [anon_sym_break] = ACTIONS(2291),
    [anon_sym_continue] = ACTIONS(2291),
    [anon_sym_goto] = ACTIONS(2291),
    [anon_sym___try] = ACTIONS(2291),
    [anon_sym___leave] = ACTIONS(2291),
    [anon_sym_not] = ACTIONS(2291),
    [anon_sym_compl] = ACTIONS(2291),
    [anon_sym_DASH_DASH] = ACTIONS(2293),
    [anon_sym_PLUS_PLUS] = ACTIONS(2293),
    [anon_sym_sizeof] = ACTIONS(2291),
    [anon_sym___alignof__] = ACTIONS(2291),
    [anon_sym___alignof] = ACTIONS(2291),
    [anon_sym__alignof] = ACTIONS(2291),
    [anon_sym_alignof] = ACTIONS(2291),
    [anon_sym__Alignof] = ACTIONS(2291),
    [anon_sym_offsetof] = ACTIONS(2291),
    [anon_sym__Generic] = ACTIONS(2291),
    [anon_sym_asm] = ACTIONS(2291),
    [anon_sym___asm__] = ACTIONS(2291),
    [sym_number_literal] = ACTIONS(2293),
    [anon_sym_L_SQUOTE] = ACTIONS(2293),
    [anon_sym_u_SQUOTE] = ACTIONS(2293),
    [anon_sym_U_SQUOTE] = ACTIONS(2293),
    [anon_sym_u8_SQUOTE] = ACTIONS(2293),
    [anon_sym_SQUOTE] = ACTIONS(2293),
    [anon_sym_L_DQUOTE] = ACTIONS(2293),
    [anon_sym_u_DQUOTE] = ACTIONS(2293),
    [anon_sym_U_DQUOTE] = ACTIONS(2293),
    [anon_sym_u8_DQUOTE] = ACTIONS(2293),
    [anon_sym_DQUOTE] = ACTIONS(2293),
    [sym_true] = ACTIONS(2291),
    [sym_false] = ACTIONS(2291),
    [anon_sym_NULL] = ACTIONS(2291),
    [anon_sym_nullptr] = ACTIONS(2291),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2291),
    [anon_sym_decltype] = ACTIONS(2291),
    [anon_sym_virtual] = ACTIONS(2291),
    [anon_sym_alignas] = ACTIONS(2291),
    [anon_sym_explicit] = ACTIONS(2291),
    [anon_sym_typename] = ACTIONS(2291),
    [anon_sym_template] = ACTIONS(2291),
    [anon_sym_operator] = ACTIONS(2291),
    [anon_sym_try] = ACTIONS(2291),
    [anon_sym_delete] = ACTIONS(2291),
    [anon_sym_throw] = ACTIONS(2291),
    [anon_sym_namespace] = ACTIONS(2291),
    [anon_sym_using] = ACTIONS(2291),
    [anon_sym_static_assert] = ACTIONS(2291),
    [anon_sym_concept] = ACTIONS(2291),
    [anon_sym_co_return] = ACTIONS(2291),
    [anon_sym_co_yield] = ACTIONS(2291),
    [anon_sym_R_DQUOTE] = ACTIONS(2293),
    [anon_sym_LR_DQUOTE] = ACTIONS(2293),
    [anon_sym_uR_DQUOTE] = ACTIONS(2293),
    [anon_sym_UR_DQUOTE] = ACTIONS(2293),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2293),
    [anon_sym_co_await] = ACTIONS(2291),
    [anon_sym_new] = ACTIONS(2291),
    [anon_sym_requires] = ACTIONS(2291),
    [sym_this] = ACTIONS(2291),
    [anon_sym_discard] = ACTIONS(2291),
    [anon_sym_precise] = ACTIONS(2291),
    [anon_sym_shared] = ACTIONS(2291),
    [anon_sym_groupshared] = ACTIONS(2291),
    [anon_sym_uniform] = ACTIONS(2291),
    [anon_sym_row_major] = ACTIONS(2291),
    [anon_sym_column_major] = ACTIONS(2291),
    [anon_sym_globallycoherent] = ACTIONS(2291),
    [anon_sym_centroid] = ACTIONS(2291),
    [anon_sym_noperspective] = ACTIONS(2291),
    [anon_sym_nointerpolation] = ACTIONS(2291),
    [anon_sym_sample] = ACTIONS(2291),
    [anon_sym_linear] = ACTIONS(2291),
    [anon_sym_snorm] = ACTIONS(2291),
    [anon_sym_unorm] = ACTIONS(2291),
    [anon_sym_point] = ACTIONS(2291),
    [anon_sym_line] = ACTIONS(2291),
    [anon_sym_triangleadj] = ACTIONS(2291),
    [anon_sym_lineadj] = ACTIONS(2291),
    [anon_sym_triangle] = ACTIONS(2291),
    [anon_sym_cbuffer] = ACTIONS(2291),
  },
  [199] = {
    [sym_identifier] = ACTIONS(2208),
    [aux_sym_preproc_include_token1] = ACTIONS(2208),
    [aux_sym_preproc_def_token1] = ACTIONS(2208),
    [aux_sym_preproc_if_token1] = ACTIONS(2208),
    [aux_sym_preproc_if_token2] = ACTIONS(2208),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2208),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2208),
    [aux_sym_preproc_else_token1] = ACTIONS(2208),
    [aux_sym_preproc_elif_token1] = ACTIONS(2208),
    [sym_preproc_directive] = ACTIONS(2208),
    [anon_sym_LPAREN2] = ACTIONS(2210),
    [anon_sym_BANG] = ACTIONS(2210),
    [anon_sym_TILDE] = ACTIONS(2210),
    [anon_sym_DASH] = ACTIONS(2208),
    [anon_sym_PLUS] = ACTIONS(2208),
    [anon_sym_STAR] = ACTIONS(2210),
    [anon_sym_AMP_AMP] = ACTIONS(2210),
    [anon_sym_AMP] = ACTIONS(2208),
    [anon_sym_COLON] = ACTIONS(2208),
    [anon_sym_SEMI] = ACTIONS(2210),
    [anon_sym___extension__] = ACTIONS(2208),
    [anon_sym_typedef] = ACTIONS(2208),
    [anon_sym_in] = ACTIONS(2208),
    [anon_sym_out] = ACTIONS(2208),
    [anon_sym_inout] = ACTIONS(2208),
    [anon_sym_extern] = ACTIONS(2208),
    [anon_sym___attribute__] = ACTIONS(2208),
    [anon_sym_COLON_COLON] = ACTIONS(2210),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2210),
    [anon_sym___declspec] = ACTIONS(2208),
    [anon_sym___based] = ACTIONS(2208),
    [anon_sym___cdecl] = ACTIONS(2208),
    [anon_sym___clrcall] = ACTIONS(2208),
    [anon_sym___stdcall] = ACTIONS(2208),
    [anon_sym___fastcall] = ACTIONS(2208),
    [anon_sym___thiscall] = ACTIONS(2208),
    [anon_sym___vectorcall] = ACTIONS(2208),
    [anon_sym_LBRACE] = ACTIONS(2210),
    [anon_sym_signed] = ACTIONS(2208),
    [anon_sym_unsigned] = ACTIONS(2208),
    [anon_sym_long] = ACTIONS(2208),
    [anon_sym_short] = ACTIONS(2208),
    [anon_sym_LBRACK] = ACTIONS(2208),
    [anon_sym_static] = ACTIONS(2208),
    [anon_sym_register] = ACTIONS(2208),
    [anon_sym_inline] = ACTIONS(2208),
    [anon_sym___inline] = ACTIONS(2208),
    [anon_sym___inline__] = ACTIONS(2208),
    [anon_sym___forceinline] = ACTIONS(2208),
    [anon_sym_thread_local] = ACTIONS(2208),
    [anon_sym___thread] = ACTIONS(2208),
    [anon_sym_const] = ACTIONS(2208),
    [anon_sym_constexpr] = ACTIONS(2208),
    [anon_sym_volatile] = ACTIONS(2208),
    [anon_sym_restrict] = ACTIONS(2208),
    [anon_sym___restrict__] = ACTIONS(2208),
    [anon_sym__Atomic] = ACTIONS(2208),
    [anon_sym__Noreturn] = ACTIONS(2208),
    [anon_sym_noreturn] = ACTIONS(2208),
    [anon_sym_mutable] = ACTIONS(2208),
    [anon_sym_constinit] = ACTIONS(2208),
    [anon_sym_consteval] = ACTIONS(2208),
    [sym_primitive_type] = ACTIONS(2208),
    [anon_sym_enum] = ACTIONS(2208),
    [anon_sym_class] = ACTIONS(2208),
    [anon_sym_struct] = ACTIONS(2208),
    [anon_sym_union] = ACTIONS(2208),
    [anon_sym_if] = ACTIONS(2208),
    [anon_sym_else] = ACTIONS(2208),
    [anon_sym_switch] = ACTIONS(2208),
    [anon_sym_case] = ACTIONS(2208),
    [anon_sym_default] = ACTIONS(2208),
    [anon_sym_while] = ACTIONS(2208),
    [anon_sym_do] = ACTIONS(2208),
    [anon_sym_for] = ACTIONS(2208),
    [anon_sym_return] = ACTIONS(2208),
    [anon_sym_break] = ACTIONS(2208),
    [anon_sym_continue] = ACTIONS(2208),
    [anon_sym_goto] = ACTIONS(2208),
    [anon_sym___try] = ACTIONS(2208),
    [anon_sym___leave] = ACTIONS(2208),
    [anon_sym_not] = ACTIONS(2208),
    [anon_sym_compl] = ACTIONS(2208),
    [anon_sym_DASH_DASH] = ACTIONS(2210),
    [anon_sym_PLUS_PLUS] = ACTIONS(2210),
    [anon_sym_sizeof] = ACTIONS(2208),
    [anon_sym___alignof__] = ACTIONS(2208),
    [anon_sym___alignof] = ACTIONS(2208),
    [anon_sym__alignof] = ACTIONS(2208),
    [anon_sym_alignof] = ACTIONS(2208),
    [anon_sym__Alignof] = ACTIONS(2208),
    [anon_sym_offsetof] = ACTIONS(2208),
    [anon_sym__Generic] = ACTIONS(2208),
    [anon_sym_asm] = ACTIONS(2208),
    [anon_sym___asm__] = ACTIONS(2208),
    [sym_number_literal] = ACTIONS(2210),
    [anon_sym_L_SQUOTE] = ACTIONS(2210),
    [anon_sym_u_SQUOTE] = ACTIONS(2210),
    [anon_sym_U_SQUOTE] = ACTIONS(2210),
    [anon_sym_u8_SQUOTE] = ACTIONS(2210),
    [anon_sym_SQUOTE] = ACTIONS(2210),
    [anon_sym_L_DQUOTE] = ACTIONS(2210),
    [anon_sym_u_DQUOTE] = ACTIONS(2210),
    [anon_sym_U_DQUOTE] = ACTIONS(2210),
    [anon_sym_u8_DQUOTE] = ACTIONS(2210),
    [anon_sym_DQUOTE] = ACTIONS(2210),
    [sym_true] = ACTIONS(2208),
    [sym_false] = ACTIONS(2208),
    [anon_sym_NULL] = ACTIONS(2208),
    [anon_sym_nullptr] = ACTIONS(2208),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2208),
    [anon_sym_decltype] = ACTIONS(2208),
    [anon_sym_final] = ACTIONS(2208),
    [anon_sym_override] = ACTIONS(2208),
    [anon_sym_virtual] = ACTIONS(2208),
    [anon_sym_alignas] = ACTIONS(2208),
    [anon_sym_explicit] = ACTIONS(2208),
    [anon_sym_typename] = ACTIONS(2208),
    [anon_sym_template] = ACTIONS(2208),
    [anon_sym_operator] = ACTIONS(2208),
    [anon_sym_try] = ACTIONS(2208),
    [anon_sym_delete] = ACTIONS(2208),
    [anon_sym_throw] = ACTIONS(2208),
    [anon_sym_namespace] = ACTIONS(2208),
    [anon_sym_using] = ACTIONS(2208),
    [anon_sym_static_assert] = ACTIONS(2208),
    [anon_sym_concept] = ACTIONS(2208),
    [anon_sym_co_return] = ACTIONS(2208),
    [anon_sym_co_yield] = ACTIONS(2208),
    [anon_sym_R_DQUOTE] = ACTIONS(2210),
    [anon_sym_LR_DQUOTE] = ACTIONS(2210),
    [anon_sym_uR_DQUOTE] = ACTIONS(2210),
    [anon_sym_UR_DQUOTE] = ACTIONS(2210),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2210),
    [anon_sym_co_await] = ACTIONS(2208),
    [anon_sym_new] = ACTIONS(2208),
    [anon_sym_requires] = ACTIONS(2208),
    [sym_this] = ACTIONS(2208),
    [anon_sym_discard] = ACTIONS(2208),
    [anon_sym_precise] = ACTIONS(2208),
    [anon_sym_shared] = ACTIONS(2208),
    [anon_sym_groupshared] = ACTIONS(2208),
    [anon_sym_uniform] = ACTIONS(2208),
    [anon_sym_row_major] = ACTIONS(2208),
    [anon_sym_column_major] = ACTIONS(2208),
    [anon_sym_globallycoherent] = ACTIONS(2208),
    [anon_sym_centroid] = ACTIONS(2208),
    [anon_sym_noperspective] = ACTIONS(2208),
    [anon_sym_nointerpolation] = ACTIONS(2208),
    [anon_sym_sample] = ACTIONS(2208),
    [anon_sym_linear] = ACTIONS(2208),
    [anon_sym_snorm] = ACTIONS(2208),
    [anon_sym_unorm] = ACTIONS(2208),
    [anon_sym_point] = ACTIONS(2208),
    [anon_sym_line] = ACTIONS(2208),
    [anon_sym_triangleadj] = ACTIONS(2208),
    [anon_sym_lineadj] = ACTIONS(2208),
    [anon_sym_triangle] = ACTIONS(2208),
    [anon_sym_cbuffer] = ACTIONS(2208),
  },
  [200] = {
    [sym_identifier] = ACTIONS(2254),
    [aux_sym_preproc_include_token1] = ACTIONS(2254),
    [aux_sym_preproc_def_token1] = ACTIONS(2254),
    [aux_sym_preproc_if_token1] = ACTIONS(2254),
    [aux_sym_preproc_if_token2] = ACTIONS(2254),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2254),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2254),
    [aux_sym_preproc_else_token1] = ACTIONS(2254),
    [aux_sym_preproc_elif_token1] = ACTIONS(2254),
    [sym_preproc_directive] = ACTIONS(2254),
    [anon_sym_LPAREN2] = ACTIONS(2256),
    [anon_sym_BANG] = ACTIONS(2256),
    [anon_sym_TILDE] = ACTIONS(2256),
    [anon_sym_DASH] = ACTIONS(2254),
    [anon_sym_PLUS] = ACTIONS(2254),
    [anon_sym_STAR] = ACTIONS(2256),
    [anon_sym_AMP_AMP] = ACTIONS(2256),
    [anon_sym_AMP] = ACTIONS(2254),
    [anon_sym_COLON] = ACTIONS(2254),
    [anon_sym_SEMI] = ACTIONS(2256),
    [anon_sym___extension__] = ACTIONS(2254),
    [anon_sym_typedef] = ACTIONS(2254),
    [anon_sym_in] = ACTIONS(2254),
    [anon_sym_out] = ACTIONS(2254),
    [anon_sym_inout] = ACTIONS(2254),
    [anon_sym_extern] = ACTIONS(2254),
    [anon_sym___attribute__] = ACTIONS(2254),
    [anon_sym_COLON_COLON] = ACTIONS(2256),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2256),
    [anon_sym___declspec] = ACTIONS(2254),
    [anon_sym___based] = ACTIONS(2254),
    [anon_sym___cdecl] = ACTIONS(2254),
    [anon_sym___clrcall] = ACTIONS(2254),
    [anon_sym___stdcall] = ACTIONS(2254),
    [anon_sym___fastcall] = ACTIONS(2254),
    [anon_sym___thiscall] = ACTIONS(2254),
    [anon_sym___vectorcall] = ACTIONS(2254),
    [anon_sym_LBRACE] = ACTIONS(2256),
    [anon_sym_signed] = ACTIONS(2254),
    [anon_sym_unsigned] = ACTIONS(2254),
    [anon_sym_long] = ACTIONS(2254),
    [anon_sym_short] = ACTIONS(2254),
    [anon_sym_LBRACK] = ACTIONS(2254),
    [anon_sym_static] = ACTIONS(2254),
    [anon_sym_register] = ACTIONS(2254),
    [anon_sym_inline] = ACTIONS(2254),
    [anon_sym___inline] = ACTIONS(2254),
    [anon_sym___inline__] = ACTIONS(2254),
    [anon_sym___forceinline] = ACTIONS(2254),
    [anon_sym_thread_local] = ACTIONS(2254),
    [anon_sym___thread] = ACTIONS(2254),
    [anon_sym_const] = ACTIONS(2254),
    [anon_sym_constexpr] = ACTIONS(2254),
    [anon_sym_volatile] = ACTIONS(2254),
    [anon_sym_restrict] = ACTIONS(2254),
    [anon_sym___restrict__] = ACTIONS(2254),
    [anon_sym__Atomic] = ACTIONS(2254),
    [anon_sym__Noreturn] = ACTIONS(2254),
    [anon_sym_noreturn] = ACTIONS(2254),
    [anon_sym_mutable] = ACTIONS(2254),
    [anon_sym_constinit] = ACTIONS(2254),
    [anon_sym_consteval] = ACTIONS(2254),
    [sym_primitive_type] = ACTIONS(2254),
    [anon_sym_enum] = ACTIONS(2254),
    [anon_sym_class] = ACTIONS(2254),
    [anon_sym_struct] = ACTIONS(2254),
    [anon_sym_union] = ACTIONS(2254),
    [anon_sym_if] = ACTIONS(2254),
    [anon_sym_else] = ACTIONS(2254),
    [anon_sym_switch] = ACTIONS(2254),
    [anon_sym_case] = ACTIONS(2254),
    [anon_sym_default] = ACTIONS(2254),
    [anon_sym_while] = ACTIONS(2254),
    [anon_sym_do] = ACTIONS(2254),
    [anon_sym_for] = ACTIONS(2254),
    [anon_sym_return] = ACTIONS(2254),
    [anon_sym_break] = ACTIONS(2254),
    [anon_sym_continue] = ACTIONS(2254),
    [anon_sym_goto] = ACTIONS(2254),
    [anon_sym___try] = ACTIONS(2254),
    [anon_sym___leave] = ACTIONS(2254),
    [anon_sym_not] = ACTIONS(2254),
    [anon_sym_compl] = ACTIONS(2254),
    [anon_sym_DASH_DASH] = ACTIONS(2256),
    [anon_sym_PLUS_PLUS] = ACTIONS(2256),
    [anon_sym_sizeof] = ACTIONS(2254),
    [anon_sym___alignof__] = ACTIONS(2254),
    [anon_sym___alignof] = ACTIONS(2254),
    [anon_sym__alignof] = ACTIONS(2254),
    [anon_sym_alignof] = ACTIONS(2254),
    [anon_sym__Alignof] = ACTIONS(2254),
    [anon_sym_offsetof] = ACTIONS(2254),
    [anon_sym__Generic] = ACTIONS(2254),
    [anon_sym_asm] = ACTIONS(2254),
    [anon_sym___asm__] = ACTIONS(2254),
    [sym_number_literal] = ACTIONS(2256),
    [anon_sym_L_SQUOTE] = ACTIONS(2256),
    [anon_sym_u_SQUOTE] = ACTIONS(2256),
    [anon_sym_U_SQUOTE] = ACTIONS(2256),
    [anon_sym_u8_SQUOTE] = ACTIONS(2256),
    [anon_sym_SQUOTE] = ACTIONS(2256),
    [anon_sym_L_DQUOTE] = ACTIONS(2256),
    [anon_sym_u_DQUOTE] = ACTIONS(2256),
    [anon_sym_U_DQUOTE] = ACTIONS(2256),
    [anon_sym_u8_DQUOTE] = ACTIONS(2256),
    [anon_sym_DQUOTE] = ACTIONS(2256),
    [sym_true] = ACTIONS(2254),
    [sym_false] = ACTIONS(2254),
    [anon_sym_NULL] = ACTIONS(2254),
    [anon_sym_nullptr] = ACTIONS(2254),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2254),
    [anon_sym_decltype] = ACTIONS(2254),
    [anon_sym_final] = ACTIONS(2254),
    [anon_sym_override] = ACTIONS(2254),
    [anon_sym_virtual] = ACTIONS(2254),
    [anon_sym_alignas] = ACTIONS(2254),
    [anon_sym_explicit] = ACTIONS(2254),
    [anon_sym_typename] = ACTIONS(2254),
    [anon_sym_template] = ACTIONS(2254),
    [anon_sym_operator] = ACTIONS(2254),
    [anon_sym_try] = ACTIONS(2254),
    [anon_sym_delete] = ACTIONS(2254),
    [anon_sym_throw] = ACTIONS(2254),
    [anon_sym_namespace] = ACTIONS(2254),
    [anon_sym_using] = ACTIONS(2254),
    [anon_sym_static_assert] = ACTIONS(2254),
    [anon_sym_concept] = ACTIONS(2254),
    [anon_sym_co_return] = ACTIONS(2254),
    [anon_sym_co_yield] = ACTIONS(2254),
    [anon_sym_R_DQUOTE] = ACTIONS(2256),
    [anon_sym_LR_DQUOTE] = ACTIONS(2256),
    [anon_sym_uR_DQUOTE] = ACTIONS(2256),
    [anon_sym_UR_DQUOTE] = ACTIONS(2256),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2256),
    [anon_sym_co_await] = ACTIONS(2254),
    [anon_sym_new] = ACTIONS(2254),
    [anon_sym_requires] = ACTIONS(2254),
    [sym_this] = ACTIONS(2254),
    [anon_sym_discard] = ACTIONS(2254),
    [anon_sym_precise] = ACTIONS(2254),
    [anon_sym_shared] = ACTIONS(2254),
    [anon_sym_groupshared] = ACTIONS(2254),
    [anon_sym_uniform] = ACTIONS(2254),
    [anon_sym_row_major] = ACTIONS(2254),
    [anon_sym_column_major] = ACTIONS(2254),
    [anon_sym_globallycoherent] = ACTIONS(2254),
    [anon_sym_centroid] = ACTIONS(2254),
    [anon_sym_noperspective] = ACTIONS(2254),
    [anon_sym_nointerpolation] = ACTIONS(2254),
    [anon_sym_sample] = ACTIONS(2254),
    [anon_sym_linear] = ACTIONS(2254),
    [anon_sym_snorm] = ACTIONS(2254),
    [anon_sym_unorm] = ACTIONS(2254),
    [anon_sym_point] = ACTIONS(2254),
    [anon_sym_line] = ACTIONS(2254),
    [anon_sym_triangleadj] = ACTIONS(2254),
    [anon_sym_lineadj] = ACTIONS(2254),
    [anon_sym_triangle] = ACTIONS(2254),
    [anon_sym_cbuffer] = ACTIONS(2254),
  },
  [201] = {
    [sym_identifier] = ACTIONS(2212),
    [aux_sym_preproc_include_token1] = ACTIONS(2212),
    [aux_sym_preproc_def_token1] = ACTIONS(2212),
    [aux_sym_preproc_if_token1] = ACTIONS(2212),
    [aux_sym_preproc_if_token2] = ACTIONS(2212),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2212),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2212),
    [aux_sym_preproc_else_token1] = ACTIONS(2212),
    [aux_sym_preproc_elif_token1] = ACTIONS(2212),
    [sym_preproc_directive] = ACTIONS(2212),
    [anon_sym_LPAREN2] = ACTIONS(2214),
    [anon_sym_BANG] = ACTIONS(2214),
    [anon_sym_TILDE] = ACTIONS(2214),
    [anon_sym_DASH] = ACTIONS(2212),
    [anon_sym_PLUS] = ACTIONS(2212),
    [anon_sym_STAR] = ACTIONS(2214),
    [anon_sym_AMP_AMP] = ACTIONS(2214),
    [anon_sym_AMP] = ACTIONS(2212),
    [anon_sym_COLON] = ACTIONS(2212),
    [anon_sym_SEMI] = ACTIONS(2214),
    [anon_sym___extension__] = ACTIONS(2212),
    [anon_sym_typedef] = ACTIONS(2212),
    [anon_sym_in] = ACTIONS(2212),
    [anon_sym_out] = ACTIONS(2212),
    [anon_sym_inout] = ACTIONS(2212),
    [anon_sym_extern] = ACTIONS(2212),
    [anon_sym___attribute__] = ACTIONS(2212),
    [anon_sym_COLON_COLON] = ACTIONS(2214),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2214),
    [anon_sym___declspec] = ACTIONS(2212),
    [anon_sym___based] = ACTIONS(2212),
    [anon_sym___cdecl] = ACTIONS(2212),
    [anon_sym___clrcall] = ACTIONS(2212),
    [anon_sym___stdcall] = ACTIONS(2212),
    [anon_sym___fastcall] = ACTIONS(2212),
    [anon_sym___thiscall] = ACTIONS(2212),
    [anon_sym___vectorcall] = ACTIONS(2212),
    [anon_sym_LBRACE] = ACTIONS(2214),
    [anon_sym_signed] = ACTIONS(2212),
    [anon_sym_unsigned] = ACTIONS(2212),
    [anon_sym_long] = ACTIONS(2212),
    [anon_sym_short] = ACTIONS(2212),
    [anon_sym_LBRACK] = ACTIONS(2212),
    [anon_sym_static] = ACTIONS(2212),
    [anon_sym_register] = ACTIONS(2212),
    [anon_sym_inline] = ACTIONS(2212),
    [anon_sym___inline] = ACTIONS(2212),
    [anon_sym___inline__] = ACTIONS(2212),
    [anon_sym___forceinline] = ACTIONS(2212),
    [anon_sym_thread_local] = ACTIONS(2212),
    [anon_sym___thread] = ACTIONS(2212),
    [anon_sym_const] = ACTIONS(2212),
    [anon_sym_constexpr] = ACTIONS(2212),
    [anon_sym_volatile] = ACTIONS(2212),
    [anon_sym_restrict] = ACTIONS(2212),
    [anon_sym___restrict__] = ACTIONS(2212),
    [anon_sym__Atomic] = ACTIONS(2212),
    [anon_sym__Noreturn] = ACTIONS(2212),
    [anon_sym_noreturn] = ACTIONS(2212),
    [anon_sym_mutable] = ACTIONS(2212),
    [anon_sym_constinit] = ACTIONS(2212),
    [anon_sym_consteval] = ACTIONS(2212),
    [sym_primitive_type] = ACTIONS(2212),
    [anon_sym_enum] = ACTIONS(2212),
    [anon_sym_class] = ACTIONS(2212),
    [anon_sym_struct] = ACTIONS(2212),
    [anon_sym_union] = ACTIONS(2212),
    [anon_sym_if] = ACTIONS(2212),
    [anon_sym_else] = ACTIONS(2212),
    [anon_sym_switch] = ACTIONS(2212),
    [anon_sym_case] = ACTIONS(2212),
    [anon_sym_default] = ACTIONS(2212),
    [anon_sym_while] = ACTIONS(2212),
    [anon_sym_do] = ACTIONS(2212),
    [anon_sym_for] = ACTIONS(2212),
    [anon_sym_return] = ACTIONS(2212),
    [anon_sym_break] = ACTIONS(2212),
    [anon_sym_continue] = ACTIONS(2212),
    [anon_sym_goto] = ACTIONS(2212),
    [anon_sym___try] = ACTIONS(2212),
    [anon_sym___leave] = ACTIONS(2212),
    [anon_sym_not] = ACTIONS(2212),
    [anon_sym_compl] = ACTIONS(2212),
    [anon_sym_DASH_DASH] = ACTIONS(2214),
    [anon_sym_PLUS_PLUS] = ACTIONS(2214),
    [anon_sym_sizeof] = ACTIONS(2212),
    [anon_sym___alignof__] = ACTIONS(2212),
    [anon_sym___alignof] = ACTIONS(2212),
    [anon_sym__alignof] = ACTIONS(2212),
    [anon_sym_alignof] = ACTIONS(2212),
    [anon_sym__Alignof] = ACTIONS(2212),
    [anon_sym_offsetof] = ACTIONS(2212),
    [anon_sym__Generic] = ACTIONS(2212),
    [anon_sym_asm] = ACTIONS(2212),
    [anon_sym___asm__] = ACTIONS(2212),
    [sym_number_literal] = ACTIONS(2214),
    [anon_sym_L_SQUOTE] = ACTIONS(2214),
    [anon_sym_u_SQUOTE] = ACTIONS(2214),
    [anon_sym_U_SQUOTE] = ACTIONS(2214),
    [anon_sym_u8_SQUOTE] = ACTIONS(2214),
    [anon_sym_SQUOTE] = ACTIONS(2214),
    [anon_sym_L_DQUOTE] = ACTIONS(2214),
    [anon_sym_u_DQUOTE] = ACTIONS(2214),
    [anon_sym_U_DQUOTE] = ACTIONS(2214),
    [anon_sym_u8_DQUOTE] = ACTIONS(2214),
    [anon_sym_DQUOTE] = ACTIONS(2214),
    [sym_true] = ACTIONS(2212),
    [sym_false] = ACTIONS(2212),
    [anon_sym_NULL] = ACTIONS(2212),
    [anon_sym_nullptr] = ACTIONS(2212),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2212),
    [anon_sym_decltype] = ACTIONS(2212),
    [anon_sym_final] = ACTIONS(2212),
    [anon_sym_override] = ACTIONS(2212),
    [anon_sym_virtual] = ACTIONS(2212),
    [anon_sym_alignas] = ACTIONS(2212),
    [anon_sym_explicit] = ACTIONS(2212),
    [anon_sym_typename] = ACTIONS(2212),
    [anon_sym_template] = ACTIONS(2212),
    [anon_sym_operator] = ACTIONS(2212),
    [anon_sym_try] = ACTIONS(2212),
    [anon_sym_delete] = ACTIONS(2212),
    [anon_sym_throw] = ACTIONS(2212),
    [anon_sym_namespace] = ACTIONS(2212),
    [anon_sym_using] = ACTIONS(2212),
    [anon_sym_static_assert] = ACTIONS(2212),
    [anon_sym_concept] = ACTIONS(2212),
    [anon_sym_co_return] = ACTIONS(2212),
    [anon_sym_co_yield] = ACTIONS(2212),
    [anon_sym_R_DQUOTE] = ACTIONS(2214),
    [anon_sym_LR_DQUOTE] = ACTIONS(2214),
    [anon_sym_uR_DQUOTE] = ACTIONS(2214),
    [anon_sym_UR_DQUOTE] = ACTIONS(2214),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2214),
    [anon_sym_co_await] = ACTIONS(2212),
    [anon_sym_new] = ACTIONS(2212),
    [anon_sym_requires] = ACTIONS(2212),
    [sym_this] = ACTIONS(2212),
    [anon_sym_discard] = ACTIONS(2212),
    [anon_sym_precise] = ACTIONS(2212),
    [anon_sym_shared] = ACTIONS(2212),
    [anon_sym_groupshared] = ACTIONS(2212),
    [anon_sym_uniform] = ACTIONS(2212),
    [anon_sym_row_major] = ACTIONS(2212),
    [anon_sym_column_major] = ACTIONS(2212),
    [anon_sym_globallycoherent] = ACTIONS(2212),
    [anon_sym_centroid] = ACTIONS(2212),
    [anon_sym_noperspective] = ACTIONS(2212),
    [anon_sym_nointerpolation] = ACTIONS(2212),
    [anon_sym_sample] = ACTIONS(2212),
    [anon_sym_linear] = ACTIONS(2212),
    [anon_sym_snorm] = ACTIONS(2212),
    [anon_sym_unorm] = ACTIONS(2212),
    [anon_sym_point] = ACTIONS(2212),
    [anon_sym_line] = ACTIONS(2212),
    [anon_sym_triangleadj] = ACTIONS(2212),
    [anon_sym_lineadj] = ACTIONS(2212),
    [anon_sym_triangle] = ACTIONS(2212),
    [anon_sym_cbuffer] = ACTIONS(2212),
  },
  [202] = {
    [sym_identifier] = ACTIONS(2216),
    [aux_sym_preproc_include_token1] = ACTIONS(2216),
    [aux_sym_preproc_def_token1] = ACTIONS(2216),
    [aux_sym_preproc_if_token1] = ACTIONS(2216),
    [aux_sym_preproc_if_token2] = ACTIONS(2216),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2216),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2216),
    [aux_sym_preproc_else_token1] = ACTIONS(2216),
    [aux_sym_preproc_elif_token1] = ACTIONS(2216),
    [sym_preproc_directive] = ACTIONS(2216),
    [anon_sym_LPAREN2] = ACTIONS(2218),
    [anon_sym_BANG] = ACTIONS(2218),
    [anon_sym_TILDE] = ACTIONS(2218),
    [anon_sym_DASH] = ACTIONS(2216),
    [anon_sym_PLUS] = ACTIONS(2216),
    [anon_sym_STAR] = ACTIONS(2218),
    [anon_sym_AMP_AMP] = ACTIONS(2218),
    [anon_sym_AMP] = ACTIONS(2216),
    [anon_sym_COLON] = ACTIONS(2216),
    [anon_sym_SEMI] = ACTIONS(2218),
    [anon_sym___extension__] = ACTIONS(2216),
    [anon_sym_typedef] = ACTIONS(2216),
    [anon_sym_in] = ACTIONS(2216),
    [anon_sym_out] = ACTIONS(2216),
    [anon_sym_inout] = ACTIONS(2216),
    [anon_sym_extern] = ACTIONS(2216),
    [anon_sym___attribute__] = ACTIONS(2216),
    [anon_sym_COLON_COLON] = ACTIONS(2218),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2218),
    [anon_sym___declspec] = ACTIONS(2216),
    [anon_sym___based] = ACTIONS(2216),
    [anon_sym___cdecl] = ACTIONS(2216),
    [anon_sym___clrcall] = ACTIONS(2216),
    [anon_sym___stdcall] = ACTIONS(2216),
    [anon_sym___fastcall] = ACTIONS(2216),
    [anon_sym___thiscall] = ACTIONS(2216),
    [anon_sym___vectorcall] = ACTIONS(2216),
    [anon_sym_LBRACE] = ACTIONS(2218),
    [anon_sym_signed] = ACTIONS(2216),
    [anon_sym_unsigned] = ACTIONS(2216),
    [anon_sym_long] = ACTIONS(2216),
    [anon_sym_short] = ACTIONS(2216),
    [anon_sym_LBRACK] = ACTIONS(2216),
    [anon_sym_static] = ACTIONS(2216),
    [anon_sym_register] = ACTIONS(2216),
    [anon_sym_inline] = ACTIONS(2216),
    [anon_sym___inline] = ACTIONS(2216),
    [anon_sym___inline__] = ACTIONS(2216),
    [anon_sym___forceinline] = ACTIONS(2216),
    [anon_sym_thread_local] = ACTIONS(2216),
    [anon_sym___thread] = ACTIONS(2216),
    [anon_sym_const] = ACTIONS(2216),
    [anon_sym_constexpr] = ACTIONS(2216),
    [anon_sym_volatile] = ACTIONS(2216),
    [anon_sym_restrict] = ACTIONS(2216),
    [anon_sym___restrict__] = ACTIONS(2216),
    [anon_sym__Atomic] = ACTIONS(2216),
    [anon_sym__Noreturn] = ACTIONS(2216),
    [anon_sym_noreturn] = ACTIONS(2216),
    [anon_sym_mutable] = ACTIONS(2216),
    [anon_sym_constinit] = ACTIONS(2216),
    [anon_sym_consteval] = ACTIONS(2216),
    [sym_primitive_type] = ACTIONS(2216),
    [anon_sym_enum] = ACTIONS(2216),
    [anon_sym_class] = ACTIONS(2216),
    [anon_sym_struct] = ACTIONS(2216),
    [anon_sym_union] = ACTIONS(2216),
    [anon_sym_if] = ACTIONS(2216),
    [anon_sym_else] = ACTIONS(2216),
    [anon_sym_switch] = ACTIONS(2216),
    [anon_sym_case] = ACTIONS(2216),
    [anon_sym_default] = ACTIONS(2216),
    [anon_sym_while] = ACTIONS(2216),
    [anon_sym_do] = ACTIONS(2216),
    [anon_sym_for] = ACTIONS(2216),
    [anon_sym_return] = ACTIONS(2216),
    [anon_sym_break] = ACTIONS(2216),
    [anon_sym_continue] = ACTIONS(2216),
    [anon_sym_goto] = ACTIONS(2216),
    [anon_sym___try] = ACTIONS(2216),
    [anon_sym___leave] = ACTIONS(2216),
    [anon_sym_not] = ACTIONS(2216),
    [anon_sym_compl] = ACTIONS(2216),
    [anon_sym_DASH_DASH] = ACTIONS(2218),
    [anon_sym_PLUS_PLUS] = ACTIONS(2218),
    [anon_sym_sizeof] = ACTIONS(2216),
    [anon_sym___alignof__] = ACTIONS(2216),
    [anon_sym___alignof] = ACTIONS(2216),
    [anon_sym__alignof] = ACTIONS(2216),
    [anon_sym_alignof] = ACTIONS(2216),
    [anon_sym__Alignof] = ACTIONS(2216),
    [anon_sym_offsetof] = ACTIONS(2216),
    [anon_sym__Generic] = ACTIONS(2216),
    [anon_sym_asm] = ACTIONS(2216),
    [anon_sym___asm__] = ACTIONS(2216),
    [sym_number_literal] = ACTIONS(2218),
    [anon_sym_L_SQUOTE] = ACTIONS(2218),
    [anon_sym_u_SQUOTE] = ACTIONS(2218),
    [anon_sym_U_SQUOTE] = ACTIONS(2218),
    [anon_sym_u8_SQUOTE] = ACTIONS(2218),
    [anon_sym_SQUOTE] = ACTIONS(2218),
    [anon_sym_L_DQUOTE] = ACTIONS(2218),
    [anon_sym_u_DQUOTE] = ACTIONS(2218),
    [anon_sym_U_DQUOTE] = ACTIONS(2218),
    [anon_sym_u8_DQUOTE] = ACTIONS(2218),
    [anon_sym_DQUOTE] = ACTIONS(2218),
    [sym_true] = ACTIONS(2216),
    [sym_false] = ACTIONS(2216),
    [anon_sym_NULL] = ACTIONS(2216),
    [anon_sym_nullptr] = ACTIONS(2216),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2216),
    [anon_sym_decltype] = ACTIONS(2216),
    [anon_sym_final] = ACTIONS(2216),
    [anon_sym_override] = ACTIONS(2216),
    [anon_sym_virtual] = ACTIONS(2216),
    [anon_sym_alignas] = ACTIONS(2216),
    [anon_sym_explicit] = ACTIONS(2216),
    [anon_sym_typename] = ACTIONS(2216),
    [anon_sym_template] = ACTIONS(2216),
    [anon_sym_operator] = ACTIONS(2216),
    [anon_sym_try] = ACTIONS(2216),
    [anon_sym_delete] = ACTIONS(2216),
    [anon_sym_throw] = ACTIONS(2216),
    [anon_sym_namespace] = ACTIONS(2216),
    [anon_sym_using] = ACTIONS(2216),
    [anon_sym_static_assert] = ACTIONS(2216),
    [anon_sym_concept] = ACTIONS(2216),
    [anon_sym_co_return] = ACTIONS(2216),
    [anon_sym_co_yield] = ACTIONS(2216),
    [anon_sym_R_DQUOTE] = ACTIONS(2218),
    [anon_sym_LR_DQUOTE] = ACTIONS(2218),
    [anon_sym_uR_DQUOTE] = ACTIONS(2218),
    [anon_sym_UR_DQUOTE] = ACTIONS(2218),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2218),
    [anon_sym_co_await] = ACTIONS(2216),
    [anon_sym_new] = ACTIONS(2216),
    [anon_sym_requires] = ACTIONS(2216),
    [sym_this] = ACTIONS(2216),
    [anon_sym_discard] = ACTIONS(2216),
    [anon_sym_precise] = ACTIONS(2216),
    [anon_sym_shared] = ACTIONS(2216),
    [anon_sym_groupshared] = ACTIONS(2216),
    [anon_sym_uniform] = ACTIONS(2216),
    [anon_sym_row_major] = ACTIONS(2216),
    [anon_sym_column_major] = ACTIONS(2216),
    [anon_sym_globallycoherent] = ACTIONS(2216),
    [anon_sym_centroid] = ACTIONS(2216),
    [anon_sym_noperspective] = ACTIONS(2216),
    [anon_sym_nointerpolation] = ACTIONS(2216),
    [anon_sym_sample] = ACTIONS(2216),
    [anon_sym_linear] = ACTIONS(2216),
    [anon_sym_snorm] = ACTIONS(2216),
    [anon_sym_unorm] = ACTIONS(2216),
    [anon_sym_point] = ACTIONS(2216),
    [anon_sym_line] = ACTIONS(2216),
    [anon_sym_triangleadj] = ACTIONS(2216),
    [anon_sym_lineadj] = ACTIONS(2216),
    [anon_sym_triangle] = ACTIONS(2216),
    [anon_sym_cbuffer] = ACTIONS(2216),
  },
  [203] = {
    [sym_identifier] = ACTIONS(2182),
    [aux_sym_preproc_include_token1] = ACTIONS(2182),
    [aux_sym_preproc_def_token1] = ACTIONS(2182),
    [aux_sym_preproc_if_token1] = ACTIONS(2182),
    [aux_sym_preproc_if_token2] = ACTIONS(2182),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2182),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2182),
    [aux_sym_preproc_else_token1] = ACTIONS(2182),
    [aux_sym_preproc_elif_token1] = ACTIONS(2182),
    [sym_preproc_directive] = ACTIONS(2182),
    [anon_sym_LPAREN2] = ACTIONS(2184),
    [anon_sym_BANG] = ACTIONS(2184),
    [anon_sym_TILDE] = ACTIONS(2184),
    [anon_sym_DASH] = ACTIONS(2182),
    [anon_sym_PLUS] = ACTIONS(2182),
    [anon_sym_STAR] = ACTIONS(2184),
    [anon_sym_AMP_AMP] = ACTIONS(2184),
    [anon_sym_AMP] = ACTIONS(2182),
    [anon_sym_COLON] = ACTIONS(2182),
    [anon_sym_SEMI] = ACTIONS(2184),
    [anon_sym___extension__] = ACTIONS(2182),
    [anon_sym_typedef] = ACTIONS(2182),
    [anon_sym_in] = ACTIONS(2182),
    [anon_sym_out] = ACTIONS(2182),
    [anon_sym_inout] = ACTIONS(2182),
    [anon_sym_extern] = ACTIONS(2182),
    [anon_sym___attribute__] = ACTIONS(2182),
    [anon_sym_COLON_COLON] = ACTIONS(2184),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2184),
    [anon_sym___declspec] = ACTIONS(2182),
    [anon_sym___based] = ACTIONS(2182),
    [anon_sym___cdecl] = ACTIONS(2182),
    [anon_sym___clrcall] = ACTIONS(2182),
    [anon_sym___stdcall] = ACTIONS(2182),
    [anon_sym___fastcall] = ACTIONS(2182),
    [anon_sym___thiscall] = ACTIONS(2182),
    [anon_sym___vectorcall] = ACTIONS(2182),
    [anon_sym_LBRACE] = ACTIONS(2184),
    [anon_sym_signed] = ACTIONS(2182),
    [anon_sym_unsigned] = ACTIONS(2182),
    [anon_sym_long] = ACTIONS(2182),
    [anon_sym_short] = ACTIONS(2182),
    [anon_sym_LBRACK] = ACTIONS(2182),
    [anon_sym_static] = ACTIONS(2182),
    [anon_sym_register] = ACTIONS(2182),
    [anon_sym_inline] = ACTIONS(2182),
    [anon_sym___inline] = ACTIONS(2182),
    [anon_sym___inline__] = ACTIONS(2182),
    [anon_sym___forceinline] = ACTIONS(2182),
    [anon_sym_thread_local] = ACTIONS(2182),
    [anon_sym___thread] = ACTIONS(2182),
    [anon_sym_const] = ACTIONS(2182),
    [anon_sym_constexpr] = ACTIONS(2182),
    [anon_sym_volatile] = ACTIONS(2182),
    [anon_sym_restrict] = ACTIONS(2182),
    [anon_sym___restrict__] = ACTIONS(2182),
    [anon_sym__Atomic] = ACTIONS(2182),
    [anon_sym__Noreturn] = ACTIONS(2182),
    [anon_sym_noreturn] = ACTIONS(2182),
    [anon_sym_mutable] = ACTIONS(2182),
    [anon_sym_constinit] = ACTIONS(2182),
    [anon_sym_consteval] = ACTIONS(2182),
    [sym_primitive_type] = ACTIONS(2182),
    [anon_sym_enum] = ACTIONS(2182),
    [anon_sym_class] = ACTIONS(2182),
    [anon_sym_struct] = ACTIONS(2182),
    [anon_sym_union] = ACTIONS(2182),
    [anon_sym_if] = ACTIONS(2182),
    [anon_sym_else] = ACTIONS(2182),
    [anon_sym_switch] = ACTIONS(2182),
    [anon_sym_case] = ACTIONS(2182),
    [anon_sym_default] = ACTIONS(2182),
    [anon_sym_while] = ACTIONS(2182),
    [anon_sym_do] = ACTIONS(2182),
    [anon_sym_for] = ACTIONS(2182),
    [anon_sym_return] = ACTIONS(2182),
    [anon_sym_break] = ACTIONS(2182),
    [anon_sym_continue] = ACTIONS(2182),
    [anon_sym_goto] = ACTIONS(2182),
    [anon_sym___try] = ACTIONS(2182),
    [anon_sym___leave] = ACTIONS(2182),
    [anon_sym_not] = ACTIONS(2182),
    [anon_sym_compl] = ACTIONS(2182),
    [anon_sym_DASH_DASH] = ACTIONS(2184),
    [anon_sym_PLUS_PLUS] = ACTIONS(2184),
    [anon_sym_sizeof] = ACTIONS(2182),
    [anon_sym___alignof__] = ACTIONS(2182),
    [anon_sym___alignof] = ACTIONS(2182),
    [anon_sym__alignof] = ACTIONS(2182),
    [anon_sym_alignof] = ACTIONS(2182),
    [anon_sym__Alignof] = ACTIONS(2182),
    [anon_sym_offsetof] = ACTIONS(2182),
    [anon_sym__Generic] = ACTIONS(2182),
    [anon_sym_asm] = ACTIONS(2182),
    [anon_sym___asm__] = ACTIONS(2182),
    [sym_number_literal] = ACTIONS(2184),
    [anon_sym_L_SQUOTE] = ACTIONS(2184),
    [anon_sym_u_SQUOTE] = ACTIONS(2184),
    [anon_sym_U_SQUOTE] = ACTIONS(2184),
    [anon_sym_u8_SQUOTE] = ACTIONS(2184),
    [anon_sym_SQUOTE] = ACTIONS(2184),
    [anon_sym_L_DQUOTE] = ACTIONS(2184),
    [anon_sym_u_DQUOTE] = ACTIONS(2184),
    [anon_sym_U_DQUOTE] = ACTIONS(2184),
    [anon_sym_u8_DQUOTE] = ACTIONS(2184),
    [anon_sym_DQUOTE] = ACTIONS(2184),
    [sym_true] = ACTIONS(2182),
    [sym_false] = ACTIONS(2182),
    [anon_sym_NULL] = ACTIONS(2182),
    [anon_sym_nullptr] = ACTIONS(2182),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2182),
    [anon_sym_decltype] = ACTIONS(2182),
    [anon_sym_final] = ACTIONS(2182),
    [anon_sym_override] = ACTIONS(2182),
    [anon_sym_virtual] = ACTIONS(2182),
    [anon_sym_alignas] = ACTIONS(2182),
    [anon_sym_explicit] = ACTIONS(2182),
    [anon_sym_typename] = ACTIONS(2182),
    [anon_sym_template] = ACTIONS(2182),
    [anon_sym_operator] = ACTIONS(2182),
    [anon_sym_try] = ACTIONS(2182),
    [anon_sym_delete] = ACTIONS(2182),
    [anon_sym_throw] = ACTIONS(2182),
    [anon_sym_namespace] = ACTIONS(2182),
    [anon_sym_using] = ACTIONS(2182),
    [anon_sym_static_assert] = ACTIONS(2182),
    [anon_sym_concept] = ACTIONS(2182),
    [anon_sym_co_return] = ACTIONS(2182),
    [anon_sym_co_yield] = ACTIONS(2182),
    [anon_sym_R_DQUOTE] = ACTIONS(2184),
    [anon_sym_LR_DQUOTE] = ACTIONS(2184),
    [anon_sym_uR_DQUOTE] = ACTIONS(2184),
    [anon_sym_UR_DQUOTE] = ACTIONS(2184),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2184),
    [anon_sym_co_await] = ACTIONS(2182),
    [anon_sym_new] = ACTIONS(2182),
    [anon_sym_requires] = ACTIONS(2182),
    [sym_this] = ACTIONS(2182),
    [anon_sym_discard] = ACTIONS(2182),
    [anon_sym_precise] = ACTIONS(2182),
    [anon_sym_shared] = ACTIONS(2182),
    [anon_sym_groupshared] = ACTIONS(2182),
    [anon_sym_uniform] = ACTIONS(2182),
    [anon_sym_row_major] = ACTIONS(2182),
    [anon_sym_column_major] = ACTIONS(2182),
    [anon_sym_globallycoherent] = ACTIONS(2182),
    [anon_sym_centroid] = ACTIONS(2182),
    [anon_sym_noperspective] = ACTIONS(2182),
    [anon_sym_nointerpolation] = ACTIONS(2182),
    [anon_sym_sample] = ACTIONS(2182),
    [anon_sym_linear] = ACTIONS(2182),
    [anon_sym_snorm] = ACTIONS(2182),
    [anon_sym_unorm] = ACTIONS(2182),
    [anon_sym_point] = ACTIONS(2182),
    [anon_sym_line] = ACTIONS(2182),
    [anon_sym_triangleadj] = ACTIONS(2182),
    [anon_sym_lineadj] = ACTIONS(2182),
    [anon_sym_triangle] = ACTIONS(2182),
    [anon_sym_cbuffer] = ACTIONS(2182),
  },
  [204] = {
    [sym_template_argument_list] = STATE(435),
    [sym_identifier] = ACTIONS(2224),
    [aux_sym_preproc_include_token1] = ACTIONS(2224),
    [aux_sym_preproc_def_token1] = ACTIONS(2224),
    [aux_sym_preproc_if_token1] = ACTIONS(2224),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2224),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2224),
    [sym_preproc_directive] = ACTIONS(2224),
    [anon_sym_LPAREN2] = ACTIONS(2226),
    [anon_sym_BANG] = ACTIONS(2226),
    [anon_sym_TILDE] = ACTIONS(2226),
    [anon_sym_DASH] = ACTIONS(2224),
    [anon_sym_PLUS] = ACTIONS(2224),
    [anon_sym_STAR] = ACTIONS(2226),
    [anon_sym_AMP_AMP] = ACTIONS(2226),
    [anon_sym_AMP] = ACTIONS(2224),
    [anon_sym_LT] = ACTIONS(2297),
    [anon_sym_COLON] = ACTIONS(2224),
    [anon_sym_SEMI] = ACTIONS(2226),
    [anon_sym___extension__] = ACTIONS(2224),
    [anon_sym_typedef] = ACTIONS(2224),
    [anon_sym_in] = ACTIONS(2224),
    [anon_sym_out] = ACTIONS(2224),
    [anon_sym_inout] = ACTIONS(2224),
    [anon_sym_extern] = ACTIONS(2224),
    [anon_sym___attribute__] = ACTIONS(2224),
    [anon_sym_COLON_COLON] = ACTIONS(2230),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2226),
    [anon_sym___declspec] = ACTIONS(2224),
    [anon_sym___based] = ACTIONS(2224),
    [anon_sym___cdecl] = ACTIONS(2224),
    [anon_sym___clrcall] = ACTIONS(2224),
    [anon_sym___stdcall] = ACTIONS(2224),
    [anon_sym___fastcall] = ACTIONS(2224),
    [anon_sym___thiscall] = ACTIONS(2224),
    [anon_sym___vectorcall] = ACTIONS(2224),
    [anon_sym_LBRACE] = ACTIONS(2226),
    [anon_sym_RBRACE] = ACTIONS(2226),
    [anon_sym_signed] = ACTIONS(2224),
    [anon_sym_unsigned] = ACTIONS(2224),
    [anon_sym_long] = ACTIONS(2224),
    [anon_sym_short] = ACTIONS(2224),
    [anon_sym_LBRACK] = ACTIONS(2224),
    [anon_sym_static] = ACTIONS(2224),
    [anon_sym_register] = ACTIONS(2224),
    [anon_sym_inline] = ACTIONS(2224),
    [anon_sym___inline] = ACTIONS(2224),
    [anon_sym___inline__] = ACTIONS(2224),
    [anon_sym___forceinline] = ACTIONS(2224),
    [anon_sym_thread_local] = ACTIONS(2224),
    [anon_sym___thread] = ACTIONS(2224),
    [anon_sym_const] = ACTIONS(2224),
    [anon_sym_constexpr] = ACTIONS(2224),
    [anon_sym_volatile] = ACTIONS(2224),
    [anon_sym_restrict] = ACTIONS(2224),
    [anon_sym___restrict__] = ACTIONS(2224),
    [anon_sym__Atomic] = ACTIONS(2224),
    [anon_sym__Noreturn] = ACTIONS(2224),
    [anon_sym_noreturn] = ACTIONS(2224),
    [anon_sym_mutable] = ACTIONS(2224),
    [anon_sym_constinit] = ACTIONS(2224),
    [anon_sym_consteval] = ACTIONS(2224),
    [sym_primitive_type] = ACTIONS(2224),
    [anon_sym_enum] = ACTIONS(2224),
    [anon_sym_class] = ACTIONS(2224),
    [anon_sym_struct] = ACTIONS(2224),
    [anon_sym_union] = ACTIONS(2224),
    [anon_sym_if] = ACTIONS(2224),
    [anon_sym_else] = ACTIONS(2224),
    [anon_sym_switch] = ACTIONS(2224),
    [anon_sym_case] = ACTIONS(2224),
    [anon_sym_default] = ACTIONS(2224),
    [anon_sym_while] = ACTIONS(2224),
    [anon_sym_do] = ACTIONS(2224),
    [anon_sym_for] = ACTIONS(2224),
    [anon_sym_return] = ACTIONS(2224),
    [anon_sym_break] = ACTIONS(2224),
    [anon_sym_continue] = ACTIONS(2224),
    [anon_sym_goto] = ACTIONS(2224),
    [anon_sym___try] = ACTIONS(2224),
    [anon_sym___leave] = ACTIONS(2224),
    [anon_sym_not] = ACTIONS(2224),
    [anon_sym_compl] = ACTIONS(2224),
    [anon_sym_DASH_DASH] = ACTIONS(2226),
    [anon_sym_PLUS_PLUS] = ACTIONS(2226),
    [anon_sym_sizeof] = ACTIONS(2224),
    [anon_sym___alignof__] = ACTIONS(2224),
    [anon_sym___alignof] = ACTIONS(2224),
    [anon_sym__alignof] = ACTIONS(2224),
    [anon_sym_alignof] = ACTIONS(2224),
    [anon_sym__Alignof] = ACTIONS(2224),
    [anon_sym_offsetof] = ACTIONS(2224),
    [anon_sym__Generic] = ACTIONS(2224),
    [anon_sym_asm] = ACTIONS(2224),
    [anon_sym___asm__] = ACTIONS(2224),
    [sym_number_literal] = ACTIONS(2226),
    [anon_sym_L_SQUOTE] = ACTIONS(2226),
    [anon_sym_u_SQUOTE] = ACTIONS(2226),
    [anon_sym_U_SQUOTE] = ACTIONS(2226),
    [anon_sym_u8_SQUOTE] = ACTIONS(2226),
    [anon_sym_SQUOTE] = ACTIONS(2226),
    [anon_sym_L_DQUOTE] = ACTIONS(2226),
    [anon_sym_u_DQUOTE] = ACTIONS(2226),
    [anon_sym_U_DQUOTE] = ACTIONS(2226),
    [anon_sym_u8_DQUOTE] = ACTIONS(2226),
    [anon_sym_DQUOTE] = ACTIONS(2226),
    [sym_true] = ACTIONS(2224),
    [sym_false] = ACTIONS(2224),
    [anon_sym_NULL] = ACTIONS(2224),
    [anon_sym_nullptr] = ACTIONS(2224),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2224),
    [anon_sym_decltype] = ACTIONS(2224),
    [anon_sym_final] = ACTIONS(2224),
    [anon_sym_override] = ACTIONS(2224),
    [anon_sym_virtual] = ACTIONS(2224),
    [anon_sym_alignas] = ACTIONS(2224),
    [anon_sym_explicit] = ACTIONS(2224),
    [anon_sym_typename] = ACTIONS(2224),
    [anon_sym_template] = ACTIONS(2224),
    [anon_sym_operator] = ACTIONS(2224),
    [anon_sym_try] = ACTIONS(2224),
    [anon_sym_delete] = ACTIONS(2224),
    [anon_sym_throw] = ACTIONS(2224),
    [anon_sym_namespace] = ACTIONS(2224),
    [anon_sym_using] = ACTIONS(2224),
    [anon_sym_static_assert] = ACTIONS(2224),
    [anon_sym_concept] = ACTIONS(2224),
    [anon_sym_co_return] = ACTIONS(2224),
    [anon_sym_co_yield] = ACTIONS(2224),
    [anon_sym_R_DQUOTE] = ACTIONS(2226),
    [anon_sym_LR_DQUOTE] = ACTIONS(2226),
    [anon_sym_uR_DQUOTE] = ACTIONS(2226),
    [anon_sym_UR_DQUOTE] = ACTIONS(2226),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2226),
    [anon_sym_co_await] = ACTIONS(2224),
    [anon_sym_new] = ACTIONS(2224),
    [anon_sym_requires] = ACTIONS(2224),
    [sym_this] = ACTIONS(2224),
    [anon_sym_discard] = ACTIONS(2224),
    [anon_sym_precise] = ACTIONS(2224),
    [anon_sym_shared] = ACTIONS(2224),
    [anon_sym_groupshared] = ACTIONS(2224),
    [anon_sym_uniform] = ACTIONS(2224),
    [anon_sym_row_major] = ACTIONS(2224),
    [anon_sym_column_major] = ACTIONS(2224),
    [anon_sym_globallycoherent] = ACTIONS(2224),
    [anon_sym_centroid] = ACTIONS(2224),
    [anon_sym_noperspective] = ACTIONS(2224),
    [anon_sym_nointerpolation] = ACTIONS(2224),
    [anon_sym_sample] = ACTIONS(2224),
    [anon_sym_linear] = ACTIONS(2224),
    [anon_sym_snorm] = ACTIONS(2224),
    [anon_sym_unorm] = ACTIONS(2224),
    [anon_sym_point] = ACTIONS(2224),
    [anon_sym_line] = ACTIONS(2224),
    [anon_sym_triangleadj] = ACTIONS(2224),
    [anon_sym_lineadj] = ACTIONS(2224),
    [anon_sym_triangle] = ACTIONS(2224),
    [anon_sym_cbuffer] = ACTIONS(2224),
  },
  [205] = {
    [sym_identifier] = ACTIONS(2186),
    [aux_sym_preproc_include_token1] = ACTIONS(2186),
    [aux_sym_preproc_def_token1] = ACTIONS(2186),
    [aux_sym_preproc_if_token1] = ACTIONS(2186),
    [aux_sym_preproc_if_token2] = ACTIONS(2186),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2186),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2186),
    [aux_sym_preproc_else_token1] = ACTIONS(2186),
    [aux_sym_preproc_elif_token1] = ACTIONS(2186),
    [sym_preproc_directive] = ACTIONS(2186),
    [anon_sym_LPAREN2] = ACTIONS(2188),
    [anon_sym_BANG] = ACTIONS(2188),
    [anon_sym_TILDE] = ACTIONS(2188),
    [anon_sym_DASH] = ACTIONS(2186),
    [anon_sym_PLUS] = ACTIONS(2186),
    [anon_sym_STAR] = ACTIONS(2188),
    [anon_sym_AMP_AMP] = ACTIONS(2188),
    [anon_sym_AMP] = ACTIONS(2186),
    [anon_sym_COLON] = ACTIONS(2186),
    [anon_sym_SEMI] = ACTIONS(2188),
    [anon_sym___extension__] = ACTIONS(2186),
    [anon_sym_typedef] = ACTIONS(2186),
    [anon_sym_in] = ACTIONS(2186),
    [anon_sym_out] = ACTIONS(2186),
    [anon_sym_inout] = ACTIONS(2186),
    [anon_sym_extern] = ACTIONS(2186),
    [anon_sym___attribute__] = ACTIONS(2186),
    [anon_sym_COLON_COLON] = ACTIONS(2188),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2188),
    [anon_sym___declspec] = ACTIONS(2186),
    [anon_sym___based] = ACTIONS(2186),
    [anon_sym___cdecl] = ACTIONS(2186),
    [anon_sym___clrcall] = ACTIONS(2186),
    [anon_sym___stdcall] = ACTIONS(2186),
    [anon_sym___fastcall] = ACTIONS(2186),
    [anon_sym___thiscall] = ACTIONS(2186),
    [anon_sym___vectorcall] = ACTIONS(2186),
    [anon_sym_LBRACE] = ACTIONS(2188),
    [anon_sym_signed] = ACTIONS(2186),
    [anon_sym_unsigned] = ACTIONS(2186),
    [anon_sym_long] = ACTIONS(2186),
    [anon_sym_short] = ACTIONS(2186),
    [anon_sym_LBRACK] = ACTIONS(2186),
    [anon_sym_static] = ACTIONS(2186),
    [anon_sym_register] = ACTIONS(2186),
    [anon_sym_inline] = ACTIONS(2186),
    [anon_sym___inline] = ACTIONS(2186),
    [anon_sym___inline__] = ACTIONS(2186),
    [anon_sym___forceinline] = ACTIONS(2186),
    [anon_sym_thread_local] = ACTIONS(2186),
    [anon_sym___thread] = ACTIONS(2186),
    [anon_sym_const] = ACTIONS(2186),
    [anon_sym_constexpr] = ACTIONS(2186),
    [anon_sym_volatile] = ACTIONS(2186),
    [anon_sym_restrict] = ACTIONS(2186),
    [anon_sym___restrict__] = ACTIONS(2186),
    [anon_sym__Atomic] = ACTIONS(2186),
    [anon_sym__Noreturn] = ACTIONS(2186),
    [anon_sym_noreturn] = ACTIONS(2186),
    [anon_sym_mutable] = ACTIONS(2186),
    [anon_sym_constinit] = ACTIONS(2186),
    [anon_sym_consteval] = ACTIONS(2186),
    [sym_primitive_type] = ACTIONS(2186),
    [anon_sym_enum] = ACTIONS(2186),
    [anon_sym_class] = ACTIONS(2186),
    [anon_sym_struct] = ACTIONS(2186),
    [anon_sym_union] = ACTIONS(2186),
    [anon_sym_if] = ACTIONS(2186),
    [anon_sym_else] = ACTIONS(2186),
    [anon_sym_switch] = ACTIONS(2186),
    [anon_sym_case] = ACTIONS(2186),
    [anon_sym_default] = ACTIONS(2186),
    [anon_sym_while] = ACTIONS(2186),
    [anon_sym_do] = ACTIONS(2186),
    [anon_sym_for] = ACTIONS(2186),
    [anon_sym_return] = ACTIONS(2186),
    [anon_sym_break] = ACTIONS(2186),
    [anon_sym_continue] = ACTIONS(2186),
    [anon_sym_goto] = ACTIONS(2186),
    [anon_sym___try] = ACTIONS(2186),
    [anon_sym___leave] = ACTIONS(2186),
    [anon_sym_not] = ACTIONS(2186),
    [anon_sym_compl] = ACTIONS(2186),
    [anon_sym_DASH_DASH] = ACTIONS(2188),
    [anon_sym_PLUS_PLUS] = ACTIONS(2188),
    [anon_sym_sizeof] = ACTIONS(2186),
    [anon_sym___alignof__] = ACTIONS(2186),
    [anon_sym___alignof] = ACTIONS(2186),
    [anon_sym__alignof] = ACTIONS(2186),
    [anon_sym_alignof] = ACTIONS(2186),
    [anon_sym__Alignof] = ACTIONS(2186),
    [anon_sym_offsetof] = ACTIONS(2186),
    [anon_sym__Generic] = ACTIONS(2186),
    [anon_sym_asm] = ACTIONS(2186),
    [anon_sym___asm__] = ACTIONS(2186),
    [sym_number_literal] = ACTIONS(2188),
    [anon_sym_L_SQUOTE] = ACTIONS(2188),
    [anon_sym_u_SQUOTE] = ACTIONS(2188),
    [anon_sym_U_SQUOTE] = ACTIONS(2188),
    [anon_sym_u8_SQUOTE] = ACTIONS(2188),
    [anon_sym_SQUOTE] = ACTIONS(2188),
    [anon_sym_L_DQUOTE] = ACTIONS(2188),
    [anon_sym_u_DQUOTE] = ACTIONS(2188),
    [anon_sym_U_DQUOTE] = ACTIONS(2188),
    [anon_sym_u8_DQUOTE] = ACTIONS(2188),
    [anon_sym_DQUOTE] = ACTIONS(2188),
    [sym_true] = ACTIONS(2186),
    [sym_false] = ACTIONS(2186),
    [anon_sym_NULL] = ACTIONS(2186),
    [anon_sym_nullptr] = ACTIONS(2186),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2186),
    [anon_sym_decltype] = ACTIONS(2186),
    [anon_sym_final] = ACTIONS(2186),
    [anon_sym_override] = ACTIONS(2186),
    [anon_sym_virtual] = ACTIONS(2186),
    [anon_sym_alignas] = ACTIONS(2186),
    [anon_sym_explicit] = ACTIONS(2186),
    [anon_sym_typename] = ACTIONS(2186),
    [anon_sym_template] = ACTIONS(2186),
    [anon_sym_operator] = ACTIONS(2186),
    [anon_sym_try] = ACTIONS(2186),
    [anon_sym_delete] = ACTIONS(2186),
    [anon_sym_throw] = ACTIONS(2186),
    [anon_sym_namespace] = ACTIONS(2186),
    [anon_sym_using] = ACTIONS(2186),
    [anon_sym_static_assert] = ACTIONS(2186),
    [anon_sym_concept] = ACTIONS(2186),
    [anon_sym_co_return] = ACTIONS(2186),
    [anon_sym_co_yield] = ACTIONS(2186),
    [anon_sym_R_DQUOTE] = ACTIONS(2188),
    [anon_sym_LR_DQUOTE] = ACTIONS(2188),
    [anon_sym_uR_DQUOTE] = ACTIONS(2188),
    [anon_sym_UR_DQUOTE] = ACTIONS(2188),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2188),
    [anon_sym_co_await] = ACTIONS(2186),
    [anon_sym_new] = ACTIONS(2186),
    [anon_sym_requires] = ACTIONS(2186),
    [sym_this] = ACTIONS(2186),
    [anon_sym_discard] = ACTIONS(2186),
    [anon_sym_precise] = ACTIONS(2186),
    [anon_sym_shared] = ACTIONS(2186),
    [anon_sym_groupshared] = ACTIONS(2186),
    [anon_sym_uniform] = ACTIONS(2186),
    [anon_sym_row_major] = ACTIONS(2186),
    [anon_sym_column_major] = ACTIONS(2186),
    [anon_sym_globallycoherent] = ACTIONS(2186),
    [anon_sym_centroid] = ACTIONS(2186),
    [anon_sym_noperspective] = ACTIONS(2186),
    [anon_sym_nointerpolation] = ACTIONS(2186),
    [anon_sym_sample] = ACTIONS(2186),
    [anon_sym_linear] = ACTIONS(2186),
    [anon_sym_snorm] = ACTIONS(2186),
    [anon_sym_unorm] = ACTIONS(2186),
    [anon_sym_point] = ACTIONS(2186),
    [anon_sym_line] = ACTIONS(2186),
    [anon_sym_triangleadj] = ACTIONS(2186),
    [anon_sym_lineadj] = ACTIONS(2186),
    [anon_sym_triangle] = ACTIONS(2186),
    [anon_sym_cbuffer] = ACTIONS(2186),
  },
  [206] = {
    [sym_else_clause] = STATE(256),
    [sym_identifier] = ACTIONS(2299),
    [aux_sym_preproc_include_token1] = ACTIONS(2299),
    [aux_sym_preproc_def_token1] = ACTIONS(2299),
    [aux_sym_preproc_if_token1] = ACTIONS(2299),
    [aux_sym_preproc_if_token2] = ACTIONS(2299),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2299),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2299),
    [aux_sym_preproc_else_token1] = ACTIONS(2299),
    [aux_sym_preproc_elif_token1] = ACTIONS(2299),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2299),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2299),
    [sym_preproc_directive] = ACTIONS(2299),
    [anon_sym_LPAREN2] = ACTIONS(2301),
    [anon_sym_BANG] = ACTIONS(2301),
    [anon_sym_TILDE] = ACTIONS(2301),
    [anon_sym_DASH] = ACTIONS(2299),
    [anon_sym_PLUS] = ACTIONS(2299),
    [anon_sym_STAR] = ACTIONS(2301),
    [anon_sym_AMP_AMP] = ACTIONS(2301),
    [anon_sym_AMP] = ACTIONS(2299),
    [anon_sym_SEMI] = ACTIONS(2301),
    [anon_sym___extension__] = ACTIONS(2299),
    [anon_sym_typedef] = ACTIONS(2299),
    [anon_sym_in] = ACTIONS(2299),
    [anon_sym_out] = ACTIONS(2299),
    [anon_sym_inout] = ACTIONS(2299),
    [anon_sym_extern] = ACTIONS(2299),
    [anon_sym___attribute__] = ACTIONS(2299),
    [anon_sym_COLON_COLON] = ACTIONS(2301),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2301),
    [anon_sym___declspec] = ACTIONS(2299),
    [anon_sym___based] = ACTIONS(2299),
    [anon_sym___cdecl] = ACTIONS(2299),
    [anon_sym___clrcall] = ACTIONS(2299),
    [anon_sym___stdcall] = ACTIONS(2299),
    [anon_sym___fastcall] = ACTIONS(2299),
    [anon_sym___thiscall] = ACTIONS(2299),
    [anon_sym___vectorcall] = ACTIONS(2299),
    [anon_sym_LBRACE] = ACTIONS(2301),
    [anon_sym_signed] = ACTIONS(2299),
    [anon_sym_unsigned] = ACTIONS(2299),
    [anon_sym_long] = ACTIONS(2299),
    [anon_sym_short] = ACTIONS(2299),
    [anon_sym_LBRACK] = ACTIONS(2299),
    [anon_sym_static] = ACTIONS(2299),
    [anon_sym_register] = ACTIONS(2299),
    [anon_sym_inline] = ACTIONS(2299),
    [anon_sym___inline] = ACTIONS(2299),
    [anon_sym___inline__] = ACTIONS(2299),
    [anon_sym___forceinline] = ACTIONS(2299),
    [anon_sym_thread_local] = ACTIONS(2299),
    [anon_sym___thread] = ACTIONS(2299),
    [anon_sym_const] = ACTIONS(2299),
    [anon_sym_constexpr] = ACTIONS(2299),
    [anon_sym_volatile] = ACTIONS(2299),
    [anon_sym_restrict] = ACTIONS(2299),
    [anon_sym___restrict__] = ACTIONS(2299),
    [anon_sym__Atomic] = ACTIONS(2299),
    [anon_sym__Noreturn] = ACTIONS(2299),
    [anon_sym_noreturn] = ACTIONS(2299),
    [anon_sym_mutable] = ACTIONS(2299),
    [anon_sym_constinit] = ACTIONS(2299),
    [anon_sym_consteval] = ACTIONS(2299),
    [sym_primitive_type] = ACTIONS(2299),
    [anon_sym_enum] = ACTIONS(2299),
    [anon_sym_class] = ACTIONS(2299),
    [anon_sym_struct] = ACTIONS(2299),
    [anon_sym_union] = ACTIONS(2299),
    [anon_sym_if] = ACTIONS(2299),
    [anon_sym_else] = ACTIONS(2295),
    [anon_sym_switch] = ACTIONS(2299),
    [anon_sym_case] = ACTIONS(2299),
    [anon_sym_default] = ACTIONS(2299),
    [anon_sym_while] = ACTIONS(2299),
    [anon_sym_do] = ACTIONS(2299),
    [anon_sym_for] = ACTIONS(2299),
    [anon_sym_return] = ACTIONS(2299),
    [anon_sym_break] = ACTIONS(2299),
    [anon_sym_continue] = ACTIONS(2299),
    [anon_sym_goto] = ACTIONS(2299),
    [anon_sym___try] = ACTIONS(2299),
    [anon_sym___leave] = ACTIONS(2299),
    [anon_sym_not] = ACTIONS(2299),
    [anon_sym_compl] = ACTIONS(2299),
    [anon_sym_DASH_DASH] = ACTIONS(2301),
    [anon_sym_PLUS_PLUS] = ACTIONS(2301),
    [anon_sym_sizeof] = ACTIONS(2299),
    [anon_sym___alignof__] = ACTIONS(2299),
    [anon_sym___alignof] = ACTIONS(2299),
    [anon_sym__alignof] = ACTIONS(2299),
    [anon_sym_alignof] = ACTIONS(2299),
    [anon_sym__Alignof] = ACTIONS(2299),
    [anon_sym_offsetof] = ACTIONS(2299),
    [anon_sym__Generic] = ACTIONS(2299),
    [anon_sym_asm] = ACTIONS(2299),
    [anon_sym___asm__] = ACTIONS(2299),
    [sym_number_literal] = ACTIONS(2301),
    [anon_sym_L_SQUOTE] = ACTIONS(2301),
    [anon_sym_u_SQUOTE] = ACTIONS(2301),
    [anon_sym_U_SQUOTE] = ACTIONS(2301),
    [anon_sym_u8_SQUOTE] = ACTIONS(2301),
    [anon_sym_SQUOTE] = ACTIONS(2301),
    [anon_sym_L_DQUOTE] = ACTIONS(2301),
    [anon_sym_u_DQUOTE] = ACTIONS(2301),
    [anon_sym_U_DQUOTE] = ACTIONS(2301),
    [anon_sym_u8_DQUOTE] = ACTIONS(2301),
    [anon_sym_DQUOTE] = ACTIONS(2301),
    [sym_true] = ACTIONS(2299),
    [sym_false] = ACTIONS(2299),
    [anon_sym_NULL] = ACTIONS(2299),
    [anon_sym_nullptr] = ACTIONS(2299),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2299),
    [anon_sym_decltype] = ACTIONS(2299),
    [anon_sym_virtual] = ACTIONS(2299),
    [anon_sym_alignas] = ACTIONS(2299),
    [anon_sym_explicit] = ACTIONS(2299),
    [anon_sym_typename] = ACTIONS(2299),
    [anon_sym_template] = ACTIONS(2299),
    [anon_sym_operator] = ACTIONS(2299),
    [anon_sym_try] = ACTIONS(2299),
    [anon_sym_delete] = ACTIONS(2299),
    [anon_sym_throw] = ACTIONS(2299),
    [anon_sym_namespace] = ACTIONS(2299),
    [anon_sym_using] = ACTIONS(2299),
    [anon_sym_static_assert] = ACTIONS(2299),
    [anon_sym_concept] = ACTIONS(2299),
    [anon_sym_co_return] = ACTIONS(2299),
    [anon_sym_co_yield] = ACTIONS(2299),
    [anon_sym_R_DQUOTE] = ACTIONS(2301),
    [anon_sym_LR_DQUOTE] = ACTIONS(2301),
    [anon_sym_uR_DQUOTE] = ACTIONS(2301),
    [anon_sym_UR_DQUOTE] = ACTIONS(2301),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2301),
    [anon_sym_co_await] = ACTIONS(2299),
    [anon_sym_new] = ACTIONS(2299),
    [anon_sym_requires] = ACTIONS(2299),
    [sym_this] = ACTIONS(2299),
    [anon_sym_discard] = ACTIONS(2299),
    [anon_sym_precise] = ACTIONS(2299),
    [anon_sym_shared] = ACTIONS(2299),
    [anon_sym_groupshared] = ACTIONS(2299),
    [anon_sym_uniform] = ACTIONS(2299),
    [anon_sym_row_major] = ACTIONS(2299),
    [anon_sym_column_major] = ACTIONS(2299),
    [anon_sym_globallycoherent] = ACTIONS(2299),
    [anon_sym_centroid] = ACTIONS(2299),
    [anon_sym_noperspective] = ACTIONS(2299),
    [anon_sym_nointerpolation] = ACTIONS(2299),
    [anon_sym_sample] = ACTIONS(2299),
    [anon_sym_linear] = ACTIONS(2299),
    [anon_sym_snorm] = ACTIONS(2299),
    [anon_sym_unorm] = ACTIONS(2299),
    [anon_sym_point] = ACTIONS(2299),
    [anon_sym_line] = ACTIONS(2299),
    [anon_sym_triangleadj] = ACTIONS(2299),
    [anon_sym_lineadj] = ACTIONS(2299),
    [anon_sym_triangle] = ACTIONS(2299),
    [anon_sym_cbuffer] = ACTIONS(2299),
  },
  [207] = {
    [sym_identifier] = ACTIONS(2178),
    [aux_sym_preproc_include_token1] = ACTIONS(2178),
    [aux_sym_preproc_def_token1] = ACTIONS(2178),
    [aux_sym_preproc_if_token1] = ACTIONS(2178),
    [aux_sym_preproc_if_token2] = ACTIONS(2178),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2178),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2178),
    [aux_sym_preproc_else_token1] = ACTIONS(2178),
    [aux_sym_preproc_elif_token1] = ACTIONS(2178),
    [sym_preproc_directive] = ACTIONS(2178),
    [anon_sym_LPAREN2] = ACTIONS(2180),
    [anon_sym_BANG] = ACTIONS(2180),
    [anon_sym_TILDE] = ACTIONS(2180),
    [anon_sym_DASH] = ACTIONS(2178),
    [anon_sym_PLUS] = ACTIONS(2178),
    [anon_sym_STAR] = ACTIONS(2180),
    [anon_sym_AMP_AMP] = ACTIONS(2180),
    [anon_sym_AMP] = ACTIONS(2178),
    [anon_sym_COLON] = ACTIONS(2178),
    [anon_sym_SEMI] = ACTIONS(2180),
    [anon_sym___extension__] = ACTIONS(2178),
    [anon_sym_typedef] = ACTIONS(2178),
    [anon_sym_in] = ACTIONS(2178),
    [anon_sym_out] = ACTIONS(2178),
    [anon_sym_inout] = ACTIONS(2178),
    [anon_sym_extern] = ACTIONS(2178),
    [anon_sym___attribute__] = ACTIONS(2178),
    [anon_sym_COLON_COLON] = ACTIONS(2180),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2180),
    [anon_sym___declspec] = ACTIONS(2178),
    [anon_sym___based] = ACTIONS(2178),
    [anon_sym___cdecl] = ACTIONS(2178),
    [anon_sym___clrcall] = ACTIONS(2178),
    [anon_sym___stdcall] = ACTIONS(2178),
    [anon_sym___fastcall] = ACTIONS(2178),
    [anon_sym___thiscall] = ACTIONS(2178),
    [anon_sym___vectorcall] = ACTIONS(2178),
    [anon_sym_LBRACE] = ACTIONS(2180),
    [anon_sym_signed] = ACTIONS(2178),
    [anon_sym_unsigned] = ACTIONS(2178),
    [anon_sym_long] = ACTIONS(2178),
    [anon_sym_short] = ACTIONS(2178),
    [anon_sym_LBRACK] = ACTIONS(2178),
    [anon_sym_static] = ACTIONS(2178),
    [anon_sym_register] = ACTIONS(2178),
    [anon_sym_inline] = ACTIONS(2178),
    [anon_sym___inline] = ACTIONS(2178),
    [anon_sym___inline__] = ACTIONS(2178),
    [anon_sym___forceinline] = ACTIONS(2178),
    [anon_sym_thread_local] = ACTIONS(2178),
    [anon_sym___thread] = ACTIONS(2178),
    [anon_sym_const] = ACTIONS(2178),
    [anon_sym_constexpr] = ACTIONS(2178),
    [anon_sym_volatile] = ACTIONS(2178),
    [anon_sym_restrict] = ACTIONS(2178),
    [anon_sym___restrict__] = ACTIONS(2178),
    [anon_sym__Atomic] = ACTIONS(2178),
    [anon_sym__Noreturn] = ACTIONS(2178),
    [anon_sym_noreturn] = ACTIONS(2178),
    [anon_sym_mutable] = ACTIONS(2178),
    [anon_sym_constinit] = ACTIONS(2178),
    [anon_sym_consteval] = ACTIONS(2178),
    [sym_primitive_type] = ACTIONS(2178),
    [anon_sym_enum] = ACTIONS(2178),
    [anon_sym_class] = ACTIONS(2178),
    [anon_sym_struct] = ACTIONS(2178),
    [anon_sym_union] = ACTIONS(2178),
    [anon_sym_if] = ACTIONS(2178),
    [anon_sym_else] = ACTIONS(2178),
    [anon_sym_switch] = ACTIONS(2178),
    [anon_sym_case] = ACTIONS(2178),
    [anon_sym_default] = ACTIONS(2178),
    [anon_sym_while] = ACTIONS(2178),
    [anon_sym_do] = ACTIONS(2178),
    [anon_sym_for] = ACTIONS(2178),
    [anon_sym_return] = ACTIONS(2178),
    [anon_sym_break] = ACTIONS(2178),
    [anon_sym_continue] = ACTIONS(2178),
    [anon_sym_goto] = ACTIONS(2178),
    [anon_sym___try] = ACTIONS(2178),
    [anon_sym___leave] = ACTIONS(2178),
    [anon_sym_not] = ACTIONS(2178),
    [anon_sym_compl] = ACTIONS(2178),
    [anon_sym_DASH_DASH] = ACTIONS(2180),
    [anon_sym_PLUS_PLUS] = ACTIONS(2180),
    [anon_sym_sizeof] = ACTIONS(2178),
    [anon_sym___alignof__] = ACTIONS(2178),
    [anon_sym___alignof] = ACTIONS(2178),
    [anon_sym__alignof] = ACTIONS(2178),
    [anon_sym_alignof] = ACTIONS(2178),
    [anon_sym__Alignof] = ACTIONS(2178),
    [anon_sym_offsetof] = ACTIONS(2178),
    [anon_sym__Generic] = ACTIONS(2178),
    [anon_sym_asm] = ACTIONS(2178),
    [anon_sym___asm__] = ACTIONS(2178),
    [sym_number_literal] = ACTIONS(2180),
    [anon_sym_L_SQUOTE] = ACTIONS(2180),
    [anon_sym_u_SQUOTE] = ACTIONS(2180),
    [anon_sym_U_SQUOTE] = ACTIONS(2180),
    [anon_sym_u8_SQUOTE] = ACTIONS(2180),
    [anon_sym_SQUOTE] = ACTIONS(2180),
    [anon_sym_L_DQUOTE] = ACTIONS(2180),
    [anon_sym_u_DQUOTE] = ACTIONS(2180),
    [anon_sym_U_DQUOTE] = ACTIONS(2180),
    [anon_sym_u8_DQUOTE] = ACTIONS(2180),
    [anon_sym_DQUOTE] = ACTIONS(2180),
    [sym_true] = ACTIONS(2178),
    [sym_false] = ACTIONS(2178),
    [anon_sym_NULL] = ACTIONS(2178),
    [anon_sym_nullptr] = ACTIONS(2178),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2178),
    [anon_sym_decltype] = ACTIONS(2178),
    [anon_sym_final] = ACTIONS(2178),
    [anon_sym_override] = ACTIONS(2178),
    [anon_sym_virtual] = ACTIONS(2178),
    [anon_sym_alignas] = ACTIONS(2178),
    [anon_sym_explicit] = ACTIONS(2178),
    [anon_sym_typename] = ACTIONS(2178),
    [anon_sym_template] = ACTIONS(2178),
    [anon_sym_operator] = ACTIONS(2178),
    [anon_sym_try] = ACTIONS(2178),
    [anon_sym_delete] = ACTIONS(2178),
    [anon_sym_throw] = ACTIONS(2178),
    [anon_sym_namespace] = ACTIONS(2178),
    [anon_sym_using] = ACTIONS(2178),
    [anon_sym_static_assert] = ACTIONS(2178),
    [anon_sym_concept] = ACTIONS(2178),
    [anon_sym_co_return] = ACTIONS(2178),
    [anon_sym_co_yield] = ACTIONS(2178),
    [anon_sym_R_DQUOTE] = ACTIONS(2180),
    [anon_sym_LR_DQUOTE] = ACTIONS(2180),
    [anon_sym_uR_DQUOTE] = ACTIONS(2180),
    [anon_sym_UR_DQUOTE] = ACTIONS(2180),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2180),
    [anon_sym_co_await] = ACTIONS(2178),
    [anon_sym_new] = ACTIONS(2178),
    [anon_sym_requires] = ACTIONS(2178),
    [sym_this] = ACTIONS(2178),
    [anon_sym_discard] = ACTIONS(2178),
    [anon_sym_precise] = ACTIONS(2178),
    [anon_sym_shared] = ACTIONS(2178),
    [anon_sym_groupshared] = ACTIONS(2178),
    [anon_sym_uniform] = ACTIONS(2178),
    [anon_sym_row_major] = ACTIONS(2178),
    [anon_sym_column_major] = ACTIONS(2178),
    [anon_sym_globallycoherent] = ACTIONS(2178),
    [anon_sym_centroid] = ACTIONS(2178),
    [anon_sym_noperspective] = ACTIONS(2178),
    [anon_sym_nointerpolation] = ACTIONS(2178),
    [anon_sym_sample] = ACTIONS(2178),
    [anon_sym_linear] = ACTIONS(2178),
    [anon_sym_snorm] = ACTIONS(2178),
    [anon_sym_unorm] = ACTIONS(2178),
    [anon_sym_point] = ACTIONS(2178),
    [anon_sym_line] = ACTIONS(2178),
    [anon_sym_triangleadj] = ACTIONS(2178),
    [anon_sym_lineadj] = ACTIONS(2178),
    [anon_sym_triangle] = ACTIONS(2178),
    [anon_sym_cbuffer] = ACTIONS(2178),
  },
  [208] = {
    [sym_catch_clause] = STATE(213),
    [aux_sym_constructor_try_statement_repeat1] = STATE(213),
    [sym_identifier] = ACTIONS(2242),
    [aux_sym_preproc_include_token1] = ACTIONS(2242),
    [aux_sym_preproc_def_token1] = ACTIONS(2242),
    [aux_sym_preproc_if_token1] = ACTIONS(2242),
    [aux_sym_preproc_if_token2] = ACTIONS(2242),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2242),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2242),
    [aux_sym_preproc_else_token1] = ACTIONS(2242),
    [aux_sym_preproc_elif_token1] = ACTIONS(2242),
    [sym_preproc_directive] = ACTIONS(2242),
    [anon_sym_LPAREN2] = ACTIONS(2244),
    [anon_sym_BANG] = ACTIONS(2244),
    [anon_sym_TILDE] = ACTIONS(2244),
    [anon_sym_DASH] = ACTIONS(2242),
    [anon_sym_PLUS] = ACTIONS(2242),
    [anon_sym_STAR] = ACTIONS(2244),
    [anon_sym_AMP_AMP] = ACTIONS(2244),
    [anon_sym_AMP] = ACTIONS(2242),
    [anon_sym_SEMI] = ACTIONS(2244),
    [anon_sym___extension__] = ACTIONS(2242),
    [anon_sym_typedef] = ACTIONS(2242),
    [anon_sym_in] = ACTIONS(2242),
    [anon_sym_out] = ACTIONS(2242),
    [anon_sym_inout] = ACTIONS(2242),
    [anon_sym_extern] = ACTIONS(2242),
    [anon_sym___attribute__] = ACTIONS(2242),
    [anon_sym_COLON_COLON] = ACTIONS(2244),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2244),
    [anon_sym___declspec] = ACTIONS(2242),
    [anon_sym___based] = ACTIONS(2242),
    [anon_sym___cdecl] = ACTIONS(2242),
    [anon_sym___clrcall] = ACTIONS(2242),
    [anon_sym___stdcall] = ACTIONS(2242),
    [anon_sym___fastcall] = ACTIONS(2242),
    [anon_sym___thiscall] = ACTIONS(2242),
    [anon_sym___vectorcall] = ACTIONS(2242),
    [anon_sym_LBRACE] = ACTIONS(2244),
    [anon_sym_signed] = ACTIONS(2242),
    [anon_sym_unsigned] = ACTIONS(2242),
    [anon_sym_long] = ACTIONS(2242),
    [anon_sym_short] = ACTIONS(2242),
    [anon_sym_LBRACK] = ACTIONS(2242),
    [anon_sym_static] = ACTIONS(2242),
    [anon_sym_register] = ACTIONS(2242),
    [anon_sym_inline] = ACTIONS(2242),
    [anon_sym___inline] = ACTIONS(2242),
    [anon_sym___inline__] = ACTIONS(2242),
    [anon_sym___forceinline] = ACTIONS(2242),
    [anon_sym_thread_local] = ACTIONS(2242),
    [anon_sym___thread] = ACTIONS(2242),
    [anon_sym_const] = ACTIONS(2242),
    [anon_sym_constexpr] = ACTIONS(2242),
    [anon_sym_volatile] = ACTIONS(2242),
    [anon_sym_restrict] = ACTIONS(2242),
    [anon_sym___restrict__] = ACTIONS(2242),
    [anon_sym__Atomic] = ACTIONS(2242),
    [anon_sym__Noreturn] = ACTIONS(2242),
    [anon_sym_noreturn] = ACTIONS(2242),
    [anon_sym_mutable] = ACTIONS(2242),
    [anon_sym_constinit] = ACTIONS(2242),
    [anon_sym_consteval] = ACTIONS(2242),
    [sym_primitive_type] = ACTIONS(2242),
    [anon_sym_enum] = ACTIONS(2242),
    [anon_sym_class] = ACTIONS(2242),
    [anon_sym_struct] = ACTIONS(2242),
    [anon_sym_union] = ACTIONS(2242),
    [anon_sym_if] = ACTIONS(2242),
    [anon_sym_else] = ACTIONS(2242),
    [anon_sym_switch] = ACTIONS(2242),
    [anon_sym_case] = ACTIONS(2242),
    [anon_sym_default] = ACTIONS(2242),
    [anon_sym_while] = ACTIONS(2242),
    [anon_sym_do] = ACTIONS(2242),
    [anon_sym_for] = ACTIONS(2242),
    [anon_sym_return] = ACTIONS(2242),
    [anon_sym_break] = ACTIONS(2242),
    [anon_sym_continue] = ACTIONS(2242),
    [anon_sym_goto] = ACTIONS(2242),
    [anon_sym___try] = ACTIONS(2242),
    [anon_sym___leave] = ACTIONS(2242),
    [anon_sym_not] = ACTIONS(2242),
    [anon_sym_compl] = ACTIONS(2242),
    [anon_sym_DASH_DASH] = ACTIONS(2244),
    [anon_sym_PLUS_PLUS] = ACTIONS(2244),
    [anon_sym_sizeof] = ACTIONS(2242),
    [anon_sym___alignof__] = ACTIONS(2242),
    [anon_sym___alignof] = ACTIONS(2242),
    [anon_sym__alignof] = ACTIONS(2242),
    [anon_sym_alignof] = ACTIONS(2242),
    [anon_sym__Alignof] = ACTIONS(2242),
    [anon_sym_offsetof] = ACTIONS(2242),
    [anon_sym__Generic] = ACTIONS(2242),
    [anon_sym_asm] = ACTIONS(2242),
    [anon_sym___asm__] = ACTIONS(2242),
    [sym_number_literal] = ACTIONS(2244),
    [anon_sym_L_SQUOTE] = ACTIONS(2244),
    [anon_sym_u_SQUOTE] = ACTIONS(2244),
    [anon_sym_U_SQUOTE] = ACTIONS(2244),
    [anon_sym_u8_SQUOTE] = ACTIONS(2244),
    [anon_sym_SQUOTE] = ACTIONS(2244),
    [anon_sym_L_DQUOTE] = ACTIONS(2244),
    [anon_sym_u_DQUOTE] = ACTIONS(2244),
    [anon_sym_U_DQUOTE] = ACTIONS(2244),
    [anon_sym_u8_DQUOTE] = ACTIONS(2244),
    [anon_sym_DQUOTE] = ACTIONS(2244),
    [sym_true] = ACTIONS(2242),
    [sym_false] = ACTIONS(2242),
    [anon_sym_NULL] = ACTIONS(2242),
    [anon_sym_nullptr] = ACTIONS(2242),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2242),
    [anon_sym_decltype] = ACTIONS(2242),
    [anon_sym_virtual] = ACTIONS(2242),
    [anon_sym_alignas] = ACTIONS(2242),
    [anon_sym_explicit] = ACTIONS(2242),
    [anon_sym_typename] = ACTIONS(2242),
    [anon_sym_template] = ACTIONS(2242),
    [anon_sym_operator] = ACTIONS(2242),
    [anon_sym_try] = ACTIONS(2242),
    [anon_sym_delete] = ACTIONS(2242),
    [anon_sym_throw] = ACTIONS(2242),
    [anon_sym_namespace] = ACTIONS(2242),
    [anon_sym_using] = ACTIONS(2242),
    [anon_sym_static_assert] = ACTIONS(2242),
    [anon_sym_concept] = ACTIONS(2242),
    [anon_sym_co_return] = ACTIONS(2242),
    [anon_sym_co_yield] = ACTIONS(2242),
    [anon_sym_catch] = ACTIONS(2303),
    [anon_sym_R_DQUOTE] = ACTIONS(2244),
    [anon_sym_LR_DQUOTE] = ACTIONS(2244),
    [anon_sym_uR_DQUOTE] = ACTIONS(2244),
    [anon_sym_UR_DQUOTE] = ACTIONS(2244),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2244),
    [anon_sym_co_await] = ACTIONS(2242),
    [anon_sym_new] = ACTIONS(2242),
    [anon_sym_requires] = ACTIONS(2242),
    [sym_this] = ACTIONS(2242),
    [anon_sym_discard] = ACTIONS(2242),
    [anon_sym_precise] = ACTIONS(2242),
    [anon_sym_shared] = ACTIONS(2242),
    [anon_sym_groupshared] = ACTIONS(2242),
    [anon_sym_uniform] = ACTIONS(2242),
    [anon_sym_row_major] = ACTIONS(2242),
    [anon_sym_column_major] = ACTIONS(2242),
    [anon_sym_globallycoherent] = ACTIONS(2242),
    [anon_sym_centroid] = ACTIONS(2242),
    [anon_sym_noperspective] = ACTIONS(2242),
    [anon_sym_nointerpolation] = ACTIONS(2242),
    [anon_sym_sample] = ACTIONS(2242),
    [anon_sym_linear] = ACTIONS(2242),
    [anon_sym_snorm] = ACTIONS(2242),
    [anon_sym_unorm] = ACTIONS(2242),
    [anon_sym_point] = ACTIONS(2242),
    [anon_sym_line] = ACTIONS(2242),
    [anon_sym_triangleadj] = ACTIONS(2242),
    [anon_sym_lineadj] = ACTIONS(2242),
    [anon_sym_triangle] = ACTIONS(2242),
    [anon_sym_cbuffer] = ACTIONS(2242),
  },
  [209] = {
    [sym_identifier] = ACTIONS(2200),
    [aux_sym_preproc_include_token1] = ACTIONS(2200),
    [aux_sym_preproc_def_token1] = ACTIONS(2200),
    [aux_sym_preproc_if_token1] = ACTIONS(2200),
    [aux_sym_preproc_if_token2] = ACTIONS(2200),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2200),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2200),
    [aux_sym_preproc_else_token1] = ACTIONS(2200),
    [aux_sym_preproc_elif_token1] = ACTIONS(2200),
    [sym_preproc_directive] = ACTIONS(2200),
    [anon_sym_LPAREN2] = ACTIONS(2202),
    [anon_sym_BANG] = ACTIONS(2202),
    [anon_sym_TILDE] = ACTIONS(2202),
    [anon_sym_DASH] = ACTIONS(2200),
    [anon_sym_PLUS] = ACTIONS(2200),
    [anon_sym_STAR] = ACTIONS(2202),
    [anon_sym_AMP_AMP] = ACTIONS(2202),
    [anon_sym_AMP] = ACTIONS(2200),
    [anon_sym_COLON] = ACTIONS(2200),
    [anon_sym_SEMI] = ACTIONS(2202),
    [anon_sym___extension__] = ACTIONS(2200),
    [anon_sym_typedef] = ACTIONS(2200),
    [anon_sym_in] = ACTIONS(2200),
    [anon_sym_out] = ACTIONS(2200),
    [anon_sym_inout] = ACTIONS(2200),
    [anon_sym_extern] = ACTIONS(2200),
    [anon_sym___attribute__] = ACTIONS(2200),
    [anon_sym_COLON_COLON] = ACTIONS(2202),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2202),
    [anon_sym___declspec] = ACTIONS(2200),
    [anon_sym___based] = ACTIONS(2200),
    [anon_sym___cdecl] = ACTIONS(2200),
    [anon_sym___clrcall] = ACTIONS(2200),
    [anon_sym___stdcall] = ACTIONS(2200),
    [anon_sym___fastcall] = ACTIONS(2200),
    [anon_sym___thiscall] = ACTIONS(2200),
    [anon_sym___vectorcall] = ACTIONS(2200),
    [anon_sym_LBRACE] = ACTIONS(2202),
    [anon_sym_signed] = ACTIONS(2200),
    [anon_sym_unsigned] = ACTIONS(2200),
    [anon_sym_long] = ACTIONS(2200),
    [anon_sym_short] = ACTIONS(2200),
    [anon_sym_LBRACK] = ACTIONS(2200),
    [anon_sym_static] = ACTIONS(2200),
    [anon_sym_register] = ACTIONS(2200),
    [anon_sym_inline] = ACTIONS(2200),
    [anon_sym___inline] = ACTIONS(2200),
    [anon_sym___inline__] = ACTIONS(2200),
    [anon_sym___forceinline] = ACTIONS(2200),
    [anon_sym_thread_local] = ACTIONS(2200),
    [anon_sym___thread] = ACTIONS(2200),
    [anon_sym_const] = ACTIONS(2200),
    [anon_sym_constexpr] = ACTIONS(2200),
    [anon_sym_volatile] = ACTIONS(2200),
    [anon_sym_restrict] = ACTIONS(2200),
    [anon_sym___restrict__] = ACTIONS(2200),
    [anon_sym__Atomic] = ACTIONS(2200),
    [anon_sym__Noreturn] = ACTIONS(2200),
    [anon_sym_noreturn] = ACTIONS(2200),
    [anon_sym_mutable] = ACTIONS(2200),
    [anon_sym_constinit] = ACTIONS(2200),
    [anon_sym_consteval] = ACTIONS(2200),
    [sym_primitive_type] = ACTIONS(2200),
    [anon_sym_enum] = ACTIONS(2200),
    [anon_sym_class] = ACTIONS(2200),
    [anon_sym_struct] = ACTIONS(2200),
    [anon_sym_union] = ACTIONS(2200),
    [anon_sym_if] = ACTIONS(2200),
    [anon_sym_else] = ACTIONS(2200),
    [anon_sym_switch] = ACTIONS(2200),
    [anon_sym_case] = ACTIONS(2200),
    [anon_sym_default] = ACTIONS(2200),
    [anon_sym_while] = ACTIONS(2200),
    [anon_sym_do] = ACTIONS(2200),
    [anon_sym_for] = ACTIONS(2200),
    [anon_sym_return] = ACTIONS(2200),
    [anon_sym_break] = ACTIONS(2200),
    [anon_sym_continue] = ACTIONS(2200),
    [anon_sym_goto] = ACTIONS(2200),
    [anon_sym___try] = ACTIONS(2200),
    [anon_sym___leave] = ACTIONS(2200),
    [anon_sym_not] = ACTIONS(2200),
    [anon_sym_compl] = ACTIONS(2200),
    [anon_sym_DASH_DASH] = ACTIONS(2202),
    [anon_sym_PLUS_PLUS] = ACTIONS(2202),
    [anon_sym_sizeof] = ACTIONS(2200),
    [anon_sym___alignof__] = ACTIONS(2200),
    [anon_sym___alignof] = ACTIONS(2200),
    [anon_sym__alignof] = ACTIONS(2200),
    [anon_sym_alignof] = ACTIONS(2200),
    [anon_sym__Alignof] = ACTIONS(2200),
    [anon_sym_offsetof] = ACTIONS(2200),
    [anon_sym__Generic] = ACTIONS(2200),
    [anon_sym_asm] = ACTIONS(2200),
    [anon_sym___asm__] = ACTIONS(2200),
    [sym_number_literal] = ACTIONS(2202),
    [anon_sym_L_SQUOTE] = ACTIONS(2202),
    [anon_sym_u_SQUOTE] = ACTIONS(2202),
    [anon_sym_U_SQUOTE] = ACTIONS(2202),
    [anon_sym_u8_SQUOTE] = ACTIONS(2202),
    [anon_sym_SQUOTE] = ACTIONS(2202),
    [anon_sym_L_DQUOTE] = ACTIONS(2202),
    [anon_sym_u_DQUOTE] = ACTIONS(2202),
    [anon_sym_U_DQUOTE] = ACTIONS(2202),
    [anon_sym_u8_DQUOTE] = ACTIONS(2202),
    [anon_sym_DQUOTE] = ACTIONS(2202),
    [sym_true] = ACTIONS(2200),
    [sym_false] = ACTIONS(2200),
    [anon_sym_NULL] = ACTIONS(2200),
    [anon_sym_nullptr] = ACTIONS(2200),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2200),
    [anon_sym_decltype] = ACTIONS(2200),
    [anon_sym_final] = ACTIONS(2200),
    [anon_sym_override] = ACTIONS(2200),
    [anon_sym_virtual] = ACTIONS(2200),
    [anon_sym_alignas] = ACTIONS(2200),
    [anon_sym_explicit] = ACTIONS(2200),
    [anon_sym_typename] = ACTIONS(2200),
    [anon_sym_template] = ACTIONS(2200),
    [anon_sym_operator] = ACTIONS(2200),
    [anon_sym_try] = ACTIONS(2200),
    [anon_sym_delete] = ACTIONS(2200),
    [anon_sym_throw] = ACTIONS(2200),
    [anon_sym_namespace] = ACTIONS(2200),
    [anon_sym_using] = ACTIONS(2200),
    [anon_sym_static_assert] = ACTIONS(2200),
    [anon_sym_concept] = ACTIONS(2200),
    [anon_sym_co_return] = ACTIONS(2200),
    [anon_sym_co_yield] = ACTIONS(2200),
    [anon_sym_R_DQUOTE] = ACTIONS(2202),
    [anon_sym_LR_DQUOTE] = ACTIONS(2202),
    [anon_sym_uR_DQUOTE] = ACTIONS(2202),
    [anon_sym_UR_DQUOTE] = ACTIONS(2202),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2202),
    [anon_sym_co_await] = ACTIONS(2200),
    [anon_sym_new] = ACTIONS(2200),
    [anon_sym_requires] = ACTIONS(2200),
    [sym_this] = ACTIONS(2200),
    [anon_sym_discard] = ACTIONS(2200),
    [anon_sym_precise] = ACTIONS(2200),
    [anon_sym_shared] = ACTIONS(2200),
    [anon_sym_groupshared] = ACTIONS(2200),
    [anon_sym_uniform] = ACTIONS(2200),
    [anon_sym_row_major] = ACTIONS(2200),
    [anon_sym_column_major] = ACTIONS(2200),
    [anon_sym_globallycoherent] = ACTIONS(2200),
    [anon_sym_centroid] = ACTIONS(2200),
    [anon_sym_noperspective] = ACTIONS(2200),
    [anon_sym_nointerpolation] = ACTIONS(2200),
    [anon_sym_sample] = ACTIONS(2200),
    [anon_sym_linear] = ACTIONS(2200),
    [anon_sym_snorm] = ACTIONS(2200),
    [anon_sym_unorm] = ACTIONS(2200),
    [anon_sym_point] = ACTIONS(2200),
    [anon_sym_line] = ACTIONS(2200),
    [anon_sym_triangleadj] = ACTIONS(2200),
    [anon_sym_lineadj] = ACTIONS(2200),
    [anon_sym_triangle] = ACTIONS(2200),
    [anon_sym_cbuffer] = ACTIONS(2200),
  },
  [210] = {
    [sym_template_argument_list] = STATE(435),
    [sym_identifier] = ACTIONS(2232),
    [aux_sym_preproc_include_token1] = ACTIONS(2232),
    [aux_sym_preproc_def_token1] = ACTIONS(2232),
    [aux_sym_preproc_if_token1] = ACTIONS(2232),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2232),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2232),
    [sym_preproc_directive] = ACTIONS(2232),
    [anon_sym_LPAREN2] = ACTIONS(2234),
    [anon_sym_BANG] = ACTIONS(2234),
    [anon_sym_TILDE] = ACTIONS(2234),
    [anon_sym_DASH] = ACTIONS(2232),
    [anon_sym_PLUS] = ACTIONS(2232),
    [anon_sym_STAR] = ACTIONS(2234),
    [anon_sym_AMP_AMP] = ACTIONS(2234),
    [anon_sym_AMP] = ACTIONS(2232),
    [anon_sym_LT] = ACTIONS(2297),
    [anon_sym_COLON] = ACTIONS(2232),
    [anon_sym_SEMI] = ACTIONS(2234),
    [anon_sym___extension__] = ACTIONS(2232),
    [anon_sym_typedef] = ACTIONS(2232),
    [anon_sym_in] = ACTIONS(2232),
    [anon_sym_out] = ACTIONS(2232),
    [anon_sym_inout] = ACTIONS(2232),
    [anon_sym_extern] = ACTIONS(2232),
    [anon_sym___attribute__] = ACTIONS(2232),
    [anon_sym_COLON_COLON] = ACTIONS(2230),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2234),
    [anon_sym___declspec] = ACTIONS(2232),
    [anon_sym___based] = ACTIONS(2232),
    [anon_sym___cdecl] = ACTIONS(2232),
    [anon_sym___clrcall] = ACTIONS(2232),
    [anon_sym___stdcall] = ACTIONS(2232),
    [anon_sym___fastcall] = ACTIONS(2232),
    [anon_sym___thiscall] = ACTIONS(2232),
    [anon_sym___vectorcall] = ACTIONS(2232),
    [anon_sym_LBRACE] = ACTIONS(2234),
    [anon_sym_RBRACE] = ACTIONS(2234),
    [anon_sym_signed] = ACTIONS(2232),
    [anon_sym_unsigned] = ACTIONS(2232),
    [anon_sym_long] = ACTIONS(2232),
    [anon_sym_short] = ACTIONS(2232),
    [anon_sym_LBRACK] = ACTIONS(2232),
    [anon_sym_static] = ACTIONS(2232),
    [anon_sym_register] = ACTIONS(2232),
    [anon_sym_inline] = ACTIONS(2232),
    [anon_sym___inline] = ACTIONS(2232),
    [anon_sym___inline__] = ACTIONS(2232),
    [anon_sym___forceinline] = ACTIONS(2232),
    [anon_sym_thread_local] = ACTIONS(2232),
    [anon_sym___thread] = ACTIONS(2232),
    [anon_sym_const] = ACTIONS(2232),
    [anon_sym_constexpr] = ACTIONS(2232),
    [anon_sym_volatile] = ACTIONS(2232),
    [anon_sym_restrict] = ACTIONS(2232),
    [anon_sym___restrict__] = ACTIONS(2232),
    [anon_sym__Atomic] = ACTIONS(2232),
    [anon_sym__Noreturn] = ACTIONS(2232),
    [anon_sym_noreturn] = ACTIONS(2232),
    [anon_sym_mutable] = ACTIONS(2232),
    [anon_sym_constinit] = ACTIONS(2232),
    [anon_sym_consteval] = ACTIONS(2232),
    [sym_primitive_type] = ACTIONS(2232),
    [anon_sym_enum] = ACTIONS(2232),
    [anon_sym_class] = ACTIONS(2232),
    [anon_sym_struct] = ACTIONS(2232),
    [anon_sym_union] = ACTIONS(2232),
    [anon_sym_if] = ACTIONS(2232),
    [anon_sym_else] = ACTIONS(2232),
    [anon_sym_switch] = ACTIONS(2232),
    [anon_sym_case] = ACTIONS(2232),
    [anon_sym_default] = ACTIONS(2232),
    [anon_sym_while] = ACTIONS(2232),
    [anon_sym_do] = ACTIONS(2232),
    [anon_sym_for] = ACTIONS(2232),
    [anon_sym_return] = ACTIONS(2232),
    [anon_sym_break] = ACTIONS(2232),
    [anon_sym_continue] = ACTIONS(2232),
    [anon_sym_goto] = ACTIONS(2232),
    [anon_sym___try] = ACTIONS(2232),
    [anon_sym___leave] = ACTIONS(2232),
    [anon_sym_not] = ACTIONS(2232),
    [anon_sym_compl] = ACTIONS(2232),
    [anon_sym_DASH_DASH] = ACTIONS(2234),
    [anon_sym_PLUS_PLUS] = ACTIONS(2234),
    [anon_sym_sizeof] = ACTIONS(2232),
    [anon_sym___alignof__] = ACTIONS(2232),
    [anon_sym___alignof] = ACTIONS(2232),
    [anon_sym__alignof] = ACTIONS(2232),
    [anon_sym_alignof] = ACTIONS(2232),
    [anon_sym__Alignof] = ACTIONS(2232),
    [anon_sym_offsetof] = ACTIONS(2232),
    [anon_sym__Generic] = ACTIONS(2232),
    [anon_sym_asm] = ACTIONS(2232),
    [anon_sym___asm__] = ACTIONS(2232),
    [sym_number_literal] = ACTIONS(2234),
    [anon_sym_L_SQUOTE] = ACTIONS(2234),
    [anon_sym_u_SQUOTE] = ACTIONS(2234),
    [anon_sym_U_SQUOTE] = ACTIONS(2234),
    [anon_sym_u8_SQUOTE] = ACTIONS(2234),
    [anon_sym_SQUOTE] = ACTIONS(2234),
    [anon_sym_L_DQUOTE] = ACTIONS(2234),
    [anon_sym_u_DQUOTE] = ACTIONS(2234),
    [anon_sym_U_DQUOTE] = ACTIONS(2234),
    [anon_sym_u8_DQUOTE] = ACTIONS(2234),
    [anon_sym_DQUOTE] = ACTIONS(2234),
    [sym_true] = ACTIONS(2232),
    [sym_false] = ACTIONS(2232),
    [anon_sym_NULL] = ACTIONS(2232),
    [anon_sym_nullptr] = ACTIONS(2232),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2232),
    [anon_sym_decltype] = ACTIONS(2232),
    [anon_sym_final] = ACTIONS(2232),
    [anon_sym_override] = ACTIONS(2232),
    [anon_sym_virtual] = ACTIONS(2232),
    [anon_sym_alignas] = ACTIONS(2232),
    [anon_sym_explicit] = ACTIONS(2232),
    [anon_sym_typename] = ACTIONS(2232),
    [anon_sym_template] = ACTIONS(2232),
    [anon_sym_operator] = ACTIONS(2232),
    [anon_sym_try] = ACTIONS(2232),
    [anon_sym_delete] = ACTIONS(2232),
    [anon_sym_throw] = ACTIONS(2232),
    [anon_sym_namespace] = ACTIONS(2232),
    [anon_sym_using] = ACTIONS(2232),
    [anon_sym_static_assert] = ACTIONS(2232),
    [anon_sym_concept] = ACTIONS(2232),
    [anon_sym_co_return] = ACTIONS(2232),
    [anon_sym_co_yield] = ACTIONS(2232),
    [anon_sym_R_DQUOTE] = ACTIONS(2234),
    [anon_sym_LR_DQUOTE] = ACTIONS(2234),
    [anon_sym_uR_DQUOTE] = ACTIONS(2234),
    [anon_sym_UR_DQUOTE] = ACTIONS(2234),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2234),
    [anon_sym_co_await] = ACTIONS(2232),
    [anon_sym_new] = ACTIONS(2232),
    [anon_sym_requires] = ACTIONS(2232),
    [sym_this] = ACTIONS(2232),
    [anon_sym_discard] = ACTIONS(2232),
    [anon_sym_precise] = ACTIONS(2232),
    [anon_sym_shared] = ACTIONS(2232),
    [anon_sym_groupshared] = ACTIONS(2232),
    [anon_sym_uniform] = ACTIONS(2232),
    [anon_sym_row_major] = ACTIONS(2232),
    [anon_sym_column_major] = ACTIONS(2232),
    [anon_sym_globallycoherent] = ACTIONS(2232),
    [anon_sym_centroid] = ACTIONS(2232),
    [anon_sym_noperspective] = ACTIONS(2232),
    [anon_sym_nointerpolation] = ACTIONS(2232),
    [anon_sym_sample] = ACTIONS(2232),
    [anon_sym_linear] = ACTIONS(2232),
    [anon_sym_snorm] = ACTIONS(2232),
    [anon_sym_unorm] = ACTIONS(2232),
    [anon_sym_point] = ACTIONS(2232),
    [anon_sym_line] = ACTIONS(2232),
    [anon_sym_triangleadj] = ACTIONS(2232),
    [anon_sym_lineadj] = ACTIONS(2232),
    [anon_sym_triangle] = ACTIONS(2232),
    [anon_sym_cbuffer] = ACTIONS(2232),
  },
  [211] = {
    [sym_identifier] = ACTIONS(2258),
    [aux_sym_preproc_include_token1] = ACTIONS(2258),
    [aux_sym_preproc_def_token1] = ACTIONS(2258),
    [aux_sym_preproc_if_token1] = ACTIONS(2258),
    [aux_sym_preproc_if_token2] = ACTIONS(2258),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2258),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2258),
    [aux_sym_preproc_else_token1] = ACTIONS(2258),
    [aux_sym_preproc_elif_token1] = ACTIONS(2258),
    [sym_preproc_directive] = ACTIONS(2258),
    [anon_sym_LPAREN2] = ACTIONS(2260),
    [anon_sym_BANG] = ACTIONS(2260),
    [anon_sym_TILDE] = ACTIONS(2260),
    [anon_sym_DASH] = ACTIONS(2258),
    [anon_sym_PLUS] = ACTIONS(2258),
    [anon_sym_STAR] = ACTIONS(2260),
    [anon_sym_AMP_AMP] = ACTIONS(2260),
    [anon_sym_AMP] = ACTIONS(2258),
    [anon_sym_COLON] = ACTIONS(2258),
    [anon_sym_SEMI] = ACTIONS(2260),
    [anon_sym___extension__] = ACTIONS(2258),
    [anon_sym_typedef] = ACTIONS(2258),
    [anon_sym_in] = ACTIONS(2258),
    [anon_sym_out] = ACTIONS(2258),
    [anon_sym_inout] = ACTIONS(2258),
    [anon_sym_extern] = ACTIONS(2258),
    [anon_sym___attribute__] = ACTIONS(2258),
    [anon_sym_COLON_COLON] = ACTIONS(2262),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2260),
    [anon_sym___declspec] = ACTIONS(2258),
    [anon_sym___based] = ACTIONS(2258),
    [anon_sym___cdecl] = ACTIONS(2258),
    [anon_sym___clrcall] = ACTIONS(2258),
    [anon_sym___stdcall] = ACTIONS(2258),
    [anon_sym___fastcall] = ACTIONS(2258),
    [anon_sym___thiscall] = ACTIONS(2258),
    [anon_sym___vectorcall] = ACTIONS(2258),
    [anon_sym_LBRACE] = ACTIONS(2260),
    [anon_sym_signed] = ACTIONS(2258),
    [anon_sym_unsigned] = ACTIONS(2258),
    [anon_sym_long] = ACTIONS(2258),
    [anon_sym_short] = ACTIONS(2258),
    [anon_sym_LBRACK] = ACTIONS(2258),
    [anon_sym_static] = ACTIONS(2258),
    [anon_sym_register] = ACTIONS(2258),
    [anon_sym_inline] = ACTIONS(2258),
    [anon_sym___inline] = ACTIONS(2258),
    [anon_sym___inline__] = ACTIONS(2258),
    [anon_sym___forceinline] = ACTIONS(2258),
    [anon_sym_thread_local] = ACTIONS(2258),
    [anon_sym___thread] = ACTIONS(2258),
    [anon_sym_const] = ACTIONS(2258),
    [anon_sym_constexpr] = ACTIONS(2258),
    [anon_sym_volatile] = ACTIONS(2258),
    [anon_sym_restrict] = ACTIONS(2258),
    [anon_sym___restrict__] = ACTIONS(2258),
    [anon_sym__Atomic] = ACTIONS(2258),
    [anon_sym__Noreturn] = ACTIONS(2258),
    [anon_sym_noreturn] = ACTIONS(2258),
    [anon_sym_mutable] = ACTIONS(2258),
    [anon_sym_constinit] = ACTIONS(2258),
    [anon_sym_consteval] = ACTIONS(2258),
    [sym_primitive_type] = ACTIONS(2258),
    [anon_sym_enum] = ACTIONS(2258),
    [anon_sym_class] = ACTIONS(2258),
    [anon_sym_struct] = ACTIONS(2258),
    [anon_sym_union] = ACTIONS(2258),
    [anon_sym_if] = ACTIONS(2258),
    [anon_sym_else] = ACTIONS(2258),
    [anon_sym_switch] = ACTIONS(2258),
    [anon_sym_case] = ACTIONS(2258),
    [anon_sym_default] = ACTIONS(2258),
    [anon_sym_while] = ACTIONS(2258),
    [anon_sym_do] = ACTIONS(2258),
    [anon_sym_for] = ACTIONS(2258),
    [anon_sym_return] = ACTIONS(2258),
    [anon_sym_break] = ACTIONS(2258),
    [anon_sym_continue] = ACTIONS(2258),
    [anon_sym_goto] = ACTIONS(2258),
    [anon_sym___try] = ACTIONS(2258),
    [anon_sym___leave] = ACTIONS(2258),
    [anon_sym_not] = ACTIONS(2258),
    [anon_sym_compl] = ACTIONS(2258),
    [anon_sym_DASH_DASH] = ACTIONS(2260),
    [anon_sym_PLUS_PLUS] = ACTIONS(2260),
    [anon_sym_sizeof] = ACTIONS(2258),
    [anon_sym___alignof__] = ACTIONS(2258),
    [anon_sym___alignof] = ACTIONS(2258),
    [anon_sym__alignof] = ACTIONS(2258),
    [anon_sym_alignof] = ACTIONS(2258),
    [anon_sym__Alignof] = ACTIONS(2258),
    [anon_sym_offsetof] = ACTIONS(2258),
    [anon_sym__Generic] = ACTIONS(2258),
    [anon_sym_asm] = ACTIONS(2258),
    [anon_sym___asm__] = ACTIONS(2258),
    [sym_number_literal] = ACTIONS(2260),
    [anon_sym_L_SQUOTE] = ACTIONS(2260),
    [anon_sym_u_SQUOTE] = ACTIONS(2260),
    [anon_sym_U_SQUOTE] = ACTIONS(2260),
    [anon_sym_u8_SQUOTE] = ACTIONS(2260),
    [anon_sym_SQUOTE] = ACTIONS(2260),
    [anon_sym_L_DQUOTE] = ACTIONS(2260),
    [anon_sym_u_DQUOTE] = ACTIONS(2260),
    [anon_sym_U_DQUOTE] = ACTIONS(2260),
    [anon_sym_u8_DQUOTE] = ACTIONS(2260),
    [anon_sym_DQUOTE] = ACTIONS(2260),
    [sym_true] = ACTIONS(2258),
    [sym_false] = ACTIONS(2258),
    [anon_sym_NULL] = ACTIONS(2258),
    [anon_sym_nullptr] = ACTIONS(2258),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2258),
    [anon_sym_decltype] = ACTIONS(2258),
    [anon_sym_final] = ACTIONS(2258),
    [anon_sym_override] = ACTIONS(2258),
    [anon_sym_virtual] = ACTIONS(2258),
    [anon_sym_alignas] = ACTIONS(2258),
    [anon_sym_explicit] = ACTIONS(2258),
    [anon_sym_typename] = ACTIONS(2258),
    [anon_sym_template] = ACTIONS(2258),
    [anon_sym_operator] = ACTIONS(2258),
    [anon_sym_try] = ACTIONS(2258),
    [anon_sym_delete] = ACTIONS(2258),
    [anon_sym_throw] = ACTIONS(2258),
    [anon_sym_namespace] = ACTIONS(2258),
    [anon_sym_using] = ACTIONS(2258),
    [anon_sym_static_assert] = ACTIONS(2258),
    [anon_sym_concept] = ACTIONS(2258),
    [anon_sym_co_return] = ACTIONS(2258),
    [anon_sym_co_yield] = ACTIONS(2258),
    [anon_sym_R_DQUOTE] = ACTIONS(2260),
    [anon_sym_LR_DQUOTE] = ACTIONS(2260),
    [anon_sym_uR_DQUOTE] = ACTIONS(2260),
    [anon_sym_UR_DQUOTE] = ACTIONS(2260),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2260),
    [anon_sym_co_await] = ACTIONS(2258),
    [anon_sym_new] = ACTIONS(2258),
    [anon_sym_requires] = ACTIONS(2258),
    [sym_this] = ACTIONS(2258),
    [anon_sym_discard] = ACTIONS(2258),
    [anon_sym_precise] = ACTIONS(2258),
    [anon_sym_shared] = ACTIONS(2258),
    [anon_sym_groupshared] = ACTIONS(2258),
    [anon_sym_uniform] = ACTIONS(2258),
    [anon_sym_row_major] = ACTIONS(2258),
    [anon_sym_column_major] = ACTIONS(2258),
    [anon_sym_globallycoherent] = ACTIONS(2258),
    [anon_sym_centroid] = ACTIONS(2258),
    [anon_sym_noperspective] = ACTIONS(2258),
    [anon_sym_nointerpolation] = ACTIONS(2258),
    [anon_sym_sample] = ACTIONS(2258),
    [anon_sym_linear] = ACTIONS(2258),
    [anon_sym_snorm] = ACTIONS(2258),
    [anon_sym_unorm] = ACTIONS(2258),
    [anon_sym_point] = ACTIONS(2258),
    [anon_sym_line] = ACTIONS(2258),
    [anon_sym_triangleadj] = ACTIONS(2258),
    [anon_sym_lineadj] = ACTIONS(2258),
    [anon_sym_triangle] = ACTIONS(2258),
    [anon_sym_cbuffer] = ACTIONS(2258),
  },
  [212] = {
    [sym_template_argument_list] = STATE(364),
    [sym_identifier] = ACTIONS(2232),
    [aux_sym_preproc_include_token1] = ACTIONS(2232),
    [aux_sym_preproc_def_token1] = ACTIONS(2232),
    [aux_sym_preproc_if_token1] = ACTIONS(2232),
    [aux_sym_preproc_if_token2] = ACTIONS(2232),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2232),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2232),
    [sym_preproc_directive] = ACTIONS(2232),
    [anon_sym_LPAREN2] = ACTIONS(2234),
    [anon_sym_BANG] = ACTIONS(2234),
    [anon_sym_TILDE] = ACTIONS(2234),
    [anon_sym_DASH] = ACTIONS(2232),
    [anon_sym_PLUS] = ACTIONS(2232),
    [anon_sym_STAR] = ACTIONS(2234),
    [anon_sym_AMP_AMP] = ACTIONS(2234),
    [anon_sym_AMP] = ACTIONS(2232),
    [anon_sym_LT] = ACTIONS(2305),
    [anon_sym_COLON] = ACTIONS(2232),
    [anon_sym_SEMI] = ACTIONS(2234),
    [anon_sym___extension__] = ACTIONS(2232),
    [anon_sym_typedef] = ACTIONS(2232),
    [anon_sym_in] = ACTIONS(2232),
    [anon_sym_out] = ACTIONS(2232),
    [anon_sym_inout] = ACTIONS(2232),
    [anon_sym_extern] = ACTIONS(2232),
    [anon_sym___attribute__] = ACTIONS(2232),
    [anon_sym_COLON_COLON] = ACTIONS(2230),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2234),
    [anon_sym___declspec] = ACTIONS(2232),
    [anon_sym___based] = ACTIONS(2232),
    [anon_sym___cdecl] = ACTIONS(2232),
    [anon_sym___clrcall] = ACTIONS(2232),
    [anon_sym___stdcall] = ACTIONS(2232),
    [anon_sym___fastcall] = ACTIONS(2232),
    [anon_sym___thiscall] = ACTIONS(2232),
    [anon_sym___vectorcall] = ACTIONS(2232),
    [anon_sym_LBRACE] = ACTIONS(2234),
    [anon_sym_signed] = ACTIONS(2232),
    [anon_sym_unsigned] = ACTIONS(2232),
    [anon_sym_long] = ACTIONS(2232),
    [anon_sym_short] = ACTIONS(2232),
    [anon_sym_LBRACK] = ACTIONS(2232),
    [anon_sym_static] = ACTIONS(2232),
    [anon_sym_register] = ACTIONS(2232),
    [anon_sym_inline] = ACTIONS(2232),
    [anon_sym___inline] = ACTIONS(2232),
    [anon_sym___inline__] = ACTIONS(2232),
    [anon_sym___forceinline] = ACTIONS(2232),
    [anon_sym_thread_local] = ACTIONS(2232),
    [anon_sym___thread] = ACTIONS(2232),
    [anon_sym_const] = ACTIONS(2232),
    [anon_sym_constexpr] = ACTIONS(2232),
    [anon_sym_volatile] = ACTIONS(2232),
    [anon_sym_restrict] = ACTIONS(2232),
    [anon_sym___restrict__] = ACTIONS(2232),
    [anon_sym__Atomic] = ACTIONS(2232),
    [anon_sym__Noreturn] = ACTIONS(2232),
    [anon_sym_noreturn] = ACTIONS(2232),
    [anon_sym_mutable] = ACTIONS(2232),
    [anon_sym_constinit] = ACTIONS(2232),
    [anon_sym_consteval] = ACTIONS(2232),
    [sym_primitive_type] = ACTIONS(2232),
    [anon_sym_enum] = ACTIONS(2232),
    [anon_sym_class] = ACTIONS(2232),
    [anon_sym_struct] = ACTIONS(2232),
    [anon_sym_union] = ACTIONS(2232),
    [anon_sym_if] = ACTIONS(2232),
    [anon_sym_else] = ACTIONS(2232),
    [anon_sym_switch] = ACTIONS(2232),
    [anon_sym_case] = ACTIONS(2232),
    [anon_sym_default] = ACTIONS(2232),
    [anon_sym_while] = ACTIONS(2232),
    [anon_sym_do] = ACTIONS(2232),
    [anon_sym_for] = ACTIONS(2232),
    [anon_sym_return] = ACTIONS(2232),
    [anon_sym_break] = ACTIONS(2232),
    [anon_sym_continue] = ACTIONS(2232),
    [anon_sym_goto] = ACTIONS(2232),
    [anon_sym___try] = ACTIONS(2232),
    [anon_sym___leave] = ACTIONS(2232),
    [anon_sym_not] = ACTIONS(2232),
    [anon_sym_compl] = ACTIONS(2232),
    [anon_sym_DASH_DASH] = ACTIONS(2234),
    [anon_sym_PLUS_PLUS] = ACTIONS(2234),
    [anon_sym_sizeof] = ACTIONS(2232),
    [anon_sym___alignof__] = ACTIONS(2232),
    [anon_sym___alignof] = ACTIONS(2232),
    [anon_sym__alignof] = ACTIONS(2232),
    [anon_sym_alignof] = ACTIONS(2232),
    [anon_sym__Alignof] = ACTIONS(2232),
    [anon_sym_offsetof] = ACTIONS(2232),
    [anon_sym__Generic] = ACTIONS(2232),
    [anon_sym_asm] = ACTIONS(2232),
    [anon_sym___asm__] = ACTIONS(2232),
    [sym_number_literal] = ACTIONS(2234),
    [anon_sym_L_SQUOTE] = ACTIONS(2234),
    [anon_sym_u_SQUOTE] = ACTIONS(2234),
    [anon_sym_U_SQUOTE] = ACTIONS(2234),
    [anon_sym_u8_SQUOTE] = ACTIONS(2234),
    [anon_sym_SQUOTE] = ACTIONS(2234),
    [anon_sym_L_DQUOTE] = ACTIONS(2234),
    [anon_sym_u_DQUOTE] = ACTIONS(2234),
    [anon_sym_U_DQUOTE] = ACTIONS(2234),
    [anon_sym_u8_DQUOTE] = ACTIONS(2234),
    [anon_sym_DQUOTE] = ACTIONS(2234),
    [sym_true] = ACTIONS(2232),
    [sym_false] = ACTIONS(2232),
    [anon_sym_NULL] = ACTIONS(2232),
    [anon_sym_nullptr] = ACTIONS(2232),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2232),
    [anon_sym_decltype] = ACTIONS(2232),
    [anon_sym_final] = ACTIONS(2232),
    [anon_sym_override] = ACTIONS(2232),
    [anon_sym_virtual] = ACTIONS(2232),
    [anon_sym_alignas] = ACTIONS(2232),
    [anon_sym_explicit] = ACTIONS(2232),
    [anon_sym_typename] = ACTIONS(2232),
    [anon_sym_template] = ACTIONS(2232),
    [anon_sym_operator] = ACTIONS(2232),
    [anon_sym_try] = ACTIONS(2232),
    [anon_sym_delete] = ACTIONS(2232),
    [anon_sym_throw] = ACTIONS(2232),
    [anon_sym_namespace] = ACTIONS(2232),
    [anon_sym_using] = ACTIONS(2232),
    [anon_sym_static_assert] = ACTIONS(2232),
    [anon_sym_concept] = ACTIONS(2232),
    [anon_sym_co_return] = ACTIONS(2232),
    [anon_sym_co_yield] = ACTIONS(2232),
    [anon_sym_R_DQUOTE] = ACTIONS(2234),
    [anon_sym_LR_DQUOTE] = ACTIONS(2234),
    [anon_sym_uR_DQUOTE] = ACTIONS(2234),
    [anon_sym_UR_DQUOTE] = ACTIONS(2234),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2234),
    [anon_sym_co_await] = ACTIONS(2232),
    [anon_sym_new] = ACTIONS(2232),
    [anon_sym_requires] = ACTIONS(2232),
    [sym_this] = ACTIONS(2232),
    [anon_sym_discard] = ACTIONS(2232),
    [anon_sym_precise] = ACTIONS(2232),
    [anon_sym_shared] = ACTIONS(2232),
    [anon_sym_groupshared] = ACTIONS(2232),
    [anon_sym_uniform] = ACTIONS(2232),
    [anon_sym_row_major] = ACTIONS(2232),
    [anon_sym_column_major] = ACTIONS(2232),
    [anon_sym_globallycoherent] = ACTIONS(2232),
    [anon_sym_centroid] = ACTIONS(2232),
    [anon_sym_noperspective] = ACTIONS(2232),
    [anon_sym_nointerpolation] = ACTIONS(2232),
    [anon_sym_sample] = ACTIONS(2232),
    [anon_sym_linear] = ACTIONS(2232),
    [anon_sym_snorm] = ACTIONS(2232),
    [anon_sym_unorm] = ACTIONS(2232),
    [anon_sym_point] = ACTIONS(2232),
    [anon_sym_line] = ACTIONS(2232),
    [anon_sym_triangleadj] = ACTIONS(2232),
    [anon_sym_lineadj] = ACTIONS(2232),
    [anon_sym_triangle] = ACTIONS(2232),
    [anon_sym_cbuffer] = ACTIONS(2232),
  },
  [213] = {
    [sym_catch_clause] = STATE(213),
    [aux_sym_constructor_try_statement_repeat1] = STATE(213),
    [sym_identifier] = ACTIONS(2268),
    [aux_sym_preproc_include_token1] = ACTIONS(2268),
    [aux_sym_preproc_def_token1] = ACTIONS(2268),
    [aux_sym_preproc_if_token1] = ACTIONS(2268),
    [aux_sym_preproc_if_token2] = ACTIONS(2268),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2268),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2268),
    [aux_sym_preproc_else_token1] = ACTIONS(2268),
    [aux_sym_preproc_elif_token1] = ACTIONS(2268),
    [sym_preproc_directive] = ACTIONS(2268),
    [anon_sym_LPAREN2] = ACTIONS(2270),
    [anon_sym_BANG] = ACTIONS(2270),
    [anon_sym_TILDE] = ACTIONS(2270),
    [anon_sym_DASH] = ACTIONS(2268),
    [anon_sym_PLUS] = ACTIONS(2268),
    [anon_sym_STAR] = ACTIONS(2270),
    [anon_sym_AMP_AMP] = ACTIONS(2270),
    [anon_sym_AMP] = ACTIONS(2268),
    [anon_sym_SEMI] = ACTIONS(2270),
    [anon_sym___extension__] = ACTIONS(2268),
    [anon_sym_typedef] = ACTIONS(2268),
    [anon_sym_in] = ACTIONS(2268),
    [anon_sym_out] = ACTIONS(2268),
    [anon_sym_inout] = ACTIONS(2268),
    [anon_sym_extern] = ACTIONS(2268),
    [anon_sym___attribute__] = ACTIONS(2268),
    [anon_sym_COLON_COLON] = ACTIONS(2270),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2270),
    [anon_sym___declspec] = ACTIONS(2268),
    [anon_sym___based] = ACTIONS(2268),
    [anon_sym___cdecl] = ACTIONS(2268),
    [anon_sym___clrcall] = ACTIONS(2268),
    [anon_sym___stdcall] = ACTIONS(2268),
    [anon_sym___fastcall] = ACTIONS(2268),
    [anon_sym___thiscall] = ACTIONS(2268),
    [anon_sym___vectorcall] = ACTIONS(2268),
    [anon_sym_LBRACE] = ACTIONS(2270),
    [anon_sym_signed] = ACTIONS(2268),
    [anon_sym_unsigned] = ACTIONS(2268),
    [anon_sym_long] = ACTIONS(2268),
    [anon_sym_short] = ACTIONS(2268),
    [anon_sym_LBRACK] = ACTIONS(2268),
    [anon_sym_static] = ACTIONS(2268),
    [anon_sym_register] = ACTIONS(2268),
    [anon_sym_inline] = ACTIONS(2268),
    [anon_sym___inline] = ACTIONS(2268),
    [anon_sym___inline__] = ACTIONS(2268),
    [anon_sym___forceinline] = ACTIONS(2268),
    [anon_sym_thread_local] = ACTIONS(2268),
    [anon_sym___thread] = ACTIONS(2268),
    [anon_sym_const] = ACTIONS(2268),
    [anon_sym_constexpr] = ACTIONS(2268),
    [anon_sym_volatile] = ACTIONS(2268),
    [anon_sym_restrict] = ACTIONS(2268),
    [anon_sym___restrict__] = ACTIONS(2268),
    [anon_sym__Atomic] = ACTIONS(2268),
    [anon_sym__Noreturn] = ACTIONS(2268),
    [anon_sym_noreturn] = ACTIONS(2268),
    [anon_sym_mutable] = ACTIONS(2268),
    [anon_sym_constinit] = ACTIONS(2268),
    [anon_sym_consteval] = ACTIONS(2268),
    [sym_primitive_type] = ACTIONS(2268),
    [anon_sym_enum] = ACTIONS(2268),
    [anon_sym_class] = ACTIONS(2268),
    [anon_sym_struct] = ACTIONS(2268),
    [anon_sym_union] = ACTIONS(2268),
    [anon_sym_if] = ACTIONS(2268),
    [anon_sym_else] = ACTIONS(2268),
    [anon_sym_switch] = ACTIONS(2268),
    [anon_sym_case] = ACTIONS(2268),
    [anon_sym_default] = ACTIONS(2268),
    [anon_sym_while] = ACTIONS(2268),
    [anon_sym_do] = ACTIONS(2268),
    [anon_sym_for] = ACTIONS(2268),
    [anon_sym_return] = ACTIONS(2268),
    [anon_sym_break] = ACTIONS(2268),
    [anon_sym_continue] = ACTIONS(2268),
    [anon_sym_goto] = ACTIONS(2268),
    [anon_sym___try] = ACTIONS(2268),
    [anon_sym___leave] = ACTIONS(2268),
    [anon_sym_not] = ACTIONS(2268),
    [anon_sym_compl] = ACTIONS(2268),
    [anon_sym_DASH_DASH] = ACTIONS(2270),
    [anon_sym_PLUS_PLUS] = ACTIONS(2270),
    [anon_sym_sizeof] = ACTIONS(2268),
    [anon_sym___alignof__] = ACTIONS(2268),
    [anon_sym___alignof] = ACTIONS(2268),
    [anon_sym__alignof] = ACTIONS(2268),
    [anon_sym_alignof] = ACTIONS(2268),
    [anon_sym__Alignof] = ACTIONS(2268),
    [anon_sym_offsetof] = ACTIONS(2268),
    [anon_sym__Generic] = ACTIONS(2268),
    [anon_sym_asm] = ACTIONS(2268),
    [anon_sym___asm__] = ACTIONS(2268),
    [sym_number_literal] = ACTIONS(2270),
    [anon_sym_L_SQUOTE] = ACTIONS(2270),
    [anon_sym_u_SQUOTE] = ACTIONS(2270),
    [anon_sym_U_SQUOTE] = ACTIONS(2270),
    [anon_sym_u8_SQUOTE] = ACTIONS(2270),
    [anon_sym_SQUOTE] = ACTIONS(2270),
    [anon_sym_L_DQUOTE] = ACTIONS(2270),
    [anon_sym_u_DQUOTE] = ACTIONS(2270),
    [anon_sym_U_DQUOTE] = ACTIONS(2270),
    [anon_sym_u8_DQUOTE] = ACTIONS(2270),
    [anon_sym_DQUOTE] = ACTIONS(2270),
    [sym_true] = ACTIONS(2268),
    [sym_false] = ACTIONS(2268),
    [anon_sym_NULL] = ACTIONS(2268),
    [anon_sym_nullptr] = ACTIONS(2268),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2268),
    [anon_sym_decltype] = ACTIONS(2268),
    [anon_sym_virtual] = ACTIONS(2268),
    [anon_sym_alignas] = ACTIONS(2268),
    [anon_sym_explicit] = ACTIONS(2268),
    [anon_sym_typename] = ACTIONS(2268),
    [anon_sym_template] = ACTIONS(2268),
    [anon_sym_operator] = ACTIONS(2268),
    [anon_sym_try] = ACTIONS(2268),
    [anon_sym_delete] = ACTIONS(2268),
    [anon_sym_throw] = ACTIONS(2268),
    [anon_sym_namespace] = ACTIONS(2268),
    [anon_sym_using] = ACTIONS(2268),
    [anon_sym_static_assert] = ACTIONS(2268),
    [anon_sym_concept] = ACTIONS(2268),
    [anon_sym_co_return] = ACTIONS(2268),
    [anon_sym_co_yield] = ACTIONS(2268),
    [anon_sym_catch] = ACTIONS(2307),
    [anon_sym_R_DQUOTE] = ACTIONS(2270),
    [anon_sym_LR_DQUOTE] = ACTIONS(2270),
    [anon_sym_uR_DQUOTE] = ACTIONS(2270),
    [anon_sym_UR_DQUOTE] = ACTIONS(2270),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2270),
    [anon_sym_co_await] = ACTIONS(2268),
    [anon_sym_new] = ACTIONS(2268),
    [anon_sym_requires] = ACTIONS(2268),
    [sym_this] = ACTIONS(2268),
    [anon_sym_discard] = ACTIONS(2268),
    [anon_sym_precise] = ACTIONS(2268),
    [anon_sym_shared] = ACTIONS(2268),
    [anon_sym_groupshared] = ACTIONS(2268),
    [anon_sym_uniform] = ACTIONS(2268),
    [anon_sym_row_major] = ACTIONS(2268),
    [anon_sym_column_major] = ACTIONS(2268),
    [anon_sym_globallycoherent] = ACTIONS(2268),
    [anon_sym_centroid] = ACTIONS(2268),
    [anon_sym_noperspective] = ACTIONS(2268),
    [anon_sym_nointerpolation] = ACTIONS(2268),
    [anon_sym_sample] = ACTIONS(2268),
    [anon_sym_linear] = ACTIONS(2268),
    [anon_sym_snorm] = ACTIONS(2268),
    [anon_sym_unorm] = ACTIONS(2268),
    [anon_sym_point] = ACTIONS(2268),
    [anon_sym_line] = ACTIONS(2268),
    [anon_sym_triangleadj] = ACTIONS(2268),
    [anon_sym_lineadj] = ACTIONS(2268),
    [anon_sym_triangle] = ACTIONS(2268),
    [anon_sym_cbuffer] = ACTIONS(2268),
  },
  [214] = {
    [sym_else_clause] = STATE(341),
    [sym_identifier] = ACTIONS(2310),
    [aux_sym_preproc_include_token1] = ACTIONS(2310),
    [aux_sym_preproc_def_token1] = ACTIONS(2310),
    [aux_sym_preproc_if_token1] = ACTIONS(2310),
    [aux_sym_preproc_if_token2] = ACTIONS(2310),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2310),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2310),
    [aux_sym_preproc_else_token1] = ACTIONS(2310),
    [aux_sym_preproc_elif_token1] = ACTIONS(2310),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2310),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2310),
    [sym_preproc_directive] = ACTIONS(2310),
    [anon_sym_LPAREN2] = ACTIONS(2312),
    [anon_sym_BANG] = ACTIONS(2312),
    [anon_sym_TILDE] = ACTIONS(2312),
    [anon_sym_DASH] = ACTIONS(2310),
    [anon_sym_PLUS] = ACTIONS(2310),
    [anon_sym_STAR] = ACTIONS(2312),
    [anon_sym_AMP_AMP] = ACTIONS(2312),
    [anon_sym_AMP] = ACTIONS(2310),
    [anon_sym_SEMI] = ACTIONS(2312),
    [anon_sym___extension__] = ACTIONS(2310),
    [anon_sym_typedef] = ACTIONS(2310),
    [anon_sym_in] = ACTIONS(2310),
    [anon_sym_out] = ACTIONS(2310),
    [anon_sym_inout] = ACTIONS(2310),
    [anon_sym_extern] = ACTIONS(2310),
    [anon_sym___attribute__] = ACTIONS(2310),
    [anon_sym_COLON_COLON] = ACTIONS(2312),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2312),
    [anon_sym___declspec] = ACTIONS(2310),
    [anon_sym___based] = ACTIONS(2310),
    [anon_sym___cdecl] = ACTIONS(2310),
    [anon_sym___clrcall] = ACTIONS(2310),
    [anon_sym___stdcall] = ACTIONS(2310),
    [anon_sym___fastcall] = ACTIONS(2310),
    [anon_sym___thiscall] = ACTIONS(2310),
    [anon_sym___vectorcall] = ACTIONS(2310),
    [anon_sym_LBRACE] = ACTIONS(2312),
    [anon_sym_signed] = ACTIONS(2310),
    [anon_sym_unsigned] = ACTIONS(2310),
    [anon_sym_long] = ACTIONS(2310),
    [anon_sym_short] = ACTIONS(2310),
    [anon_sym_LBRACK] = ACTIONS(2310),
    [anon_sym_static] = ACTIONS(2310),
    [anon_sym_register] = ACTIONS(2310),
    [anon_sym_inline] = ACTIONS(2310),
    [anon_sym___inline] = ACTIONS(2310),
    [anon_sym___inline__] = ACTIONS(2310),
    [anon_sym___forceinline] = ACTIONS(2310),
    [anon_sym_thread_local] = ACTIONS(2310),
    [anon_sym___thread] = ACTIONS(2310),
    [anon_sym_const] = ACTIONS(2310),
    [anon_sym_constexpr] = ACTIONS(2310),
    [anon_sym_volatile] = ACTIONS(2310),
    [anon_sym_restrict] = ACTIONS(2310),
    [anon_sym___restrict__] = ACTIONS(2310),
    [anon_sym__Atomic] = ACTIONS(2310),
    [anon_sym__Noreturn] = ACTIONS(2310),
    [anon_sym_noreturn] = ACTIONS(2310),
    [anon_sym_mutable] = ACTIONS(2310),
    [anon_sym_constinit] = ACTIONS(2310),
    [anon_sym_consteval] = ACTIONS(2310),
    [sym_primitive_type] = ACTIONS(2310),
    [anon_sym_enum] = ACTIONS(2310),
    [anon_sym_class] = ACTIONS(2310),
    [anon_sym_struct] = ACTIONS(2310),
    [anon_sym_union] = ACTIONS(2310),
    [anon_sym_if] = ACTIONS(2310),
    [anon_sym_else] = ACTIONS(2295),
    [anon_sym_switch] = ACTIONS(2310),
    [anon_sym_case] = ACTIONS(2310),
    [anon_sym_default] = ACTIONS(2310),
    [anon_sym_while] = ACTIONS(2310),
    [anon_sym_do] = ACTIONS(2310),
    [anon_sym_for] = ACTIONS(2310),
    [anon_sym_return] = ACTIONS(2310),
    [anon_sym_break] = ACTIONS(2310),
    [anon_sym_continue] = ACTIONS(2310),
    [anon_sym_goto] = ACTIONS(2310),
    [anon_sym___try] = ACTIONS(2310),
    [anon_sym___leave] = ACTIONS(2310),
    [anon_sym_not] = ACTIONS(2310),
    [anon_sym_compl] = ACTIONS(2310),
    [anon_sym_DASH_DASH] = ACTIONS(2312),
    [anon_sym_PLUS_PLUS] = ACTIONS(2312),
    [anon_sym_sizeof] = ACTIONS(2310),
    [anon_sym___alignof__] = ACTIONS(2310),
    [anon_sym___alignof] = ACTIONS(2310),
    [anon_sym__alignof] = ACTIONS(2310),
    [anon_sym_alignof] = ACTIONS(2310),
    [anon_sym__Alignof] = ACTIONS(2310),
    [anon_sym_offsetof] = ACTIONS(2310),
    [anon_sym__Generic] = ACTIONS(2310),
    [anon_sym_asm] = ACTIONS(2310),
    [anon_sym___asm__] = ACTIONS(2310),
    [sym_number_literal] = ACTIONS(2312),
    [anon_sym_L_SQUOTE] = ACTIONS(2312),
    [anon_sym_u_SQUOTE] = ACTIONS(2312),
    [anon_sym_U_SQUOTE] = ACTIONS(2312),
    [anon_sym_u8_SQUOTE] = ACTIONS(2312),
    [anon_sym_SQUOTE] = ACTIONS(2312),
    [anon_sym_L_DQUOTE] = ACTIONS(2312),
    [anon_sym_u_DQUOTE] = ACTIONS(2312),
    [anon_sym_U_DQUOTE] = ACTIONS(2312),
    [anon_sym_u8_DQUOTE] = ACTIONS(2312),
    [anon_sym_DQUOTE] = ACTIONS(2312),
    [sym_true] = ACTIONS(2310),
    [sym_false] = ACTIONS(2310),
    [anon_sym_NULL] = ACTIONS(2310),
    [anon_sym_nullptr] = ACTIONS(2310),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2310),
    [anon_sym_decltype] = ACTIONS(2310),
    [anon_sym_virtual] = ACTIONS(2310),
    [anon_sym_alignas] = ACTIONS(2310),
    [anon_sym_explicit] = ACTIONS(2310),
    [anon_sym_typename] = ACTIONS(2310),
    [anon_sym_template] = ACTIONS(2310),
    [anon_sym_operator] = ACTIONS(2310),
    [anon_sym_try] = ACTIONS(2310),
    [anon_sym_delete] = ACTIONS(2310),
    [anon_sym_throw] = ACTIONS(2310),
    [anon_sym_namespace] = ACTIONS(2310),
    [anon_sym_using] = ACTIONS(2310),
    [anon_sym_static_assert] = ACTIONS(2310),
    [anon_sym_concept] = ACTIONS(2310),
    [anon_sym_co_return] = ACTIONS(2310),
    [anon_sym_co_yield] = ACTIONS(2310),
    [anon_sym_R_DQUOTE] = ACTIONS(2312),
    [anon_sym_LR_DQUOTE] = ACTIONS(2312),
    [anon_sym_uR_DQUOTE] = ACTIONS(2312),
    [anon_sym_UR_DQUOTE] = ACTIONS(2312),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2312),
    [anon_sym_co_await] = ACTIONS(2310),
    [anon_sym_new] = ACTIONS(2310),
    [anon_sym_requires] = ACTIONS(2310),
    [sym_this] = ACTIONS(2310),
    [anon_sym_discard] = ACTIONS(2310),
    [anon_sym_precise] = ACTIONS(2310),
    [anon_sym_shared] = ACTIONS(2310),
    [anon_sym_groupshared] = ACTIONS(2310),
    [anon_sym_uniform] = ACTIONS(2310),
    [anon_sym_row_major] = ACTIONS(2310),
    [anon_sym_column_major] = ACTIONS(2310),
    [anon_sym_globallycoherent] = ACTIONS(2310),
    [anon_sym_centroid] = ACTIONS(2310),
    [anon_sym_noperspective] = ACTIONS(2310),
    [anon_sym_nointerpolation] = ACTIONS(2310),
    [anon_sym_sample] = ACTIONS(2310),
    [anon_sym_linear] = ACTIONS(2310),
    [anon_sym_snorm] = ACTIONS(2310),
    [anon_sym_unorm] = ACTIONS(2310),
    [anon_sym_point] = ACTIONS(2310),
    [anon_sym_line] = ACTIONS(2310),
    [anon_sym_triangleadj] = ACTIONS(2310),
    [anon_sym_lineadj] = ACTIONS(2310),
    [anon_sym_triangle] = ACTIONS(2310),
    [anon_sym_cbuffer] = ACTIONS(2310),
  },
  [215] = {
    [sym_template_argument_list] = STATE(460),
    [ts_builtin_sym_end] = ACTIONS(2226),
    [sym_identifier] = ACTIONS(2224),
    [aux_sym_preproc_include_token1] = ACTIONS(2224),
    [aux_sym_preproc_def_token1] = ACTIONS(2224),
    [aux_sym_preproc_if_token1] = ACTIONS(2224),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2224),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2224),
    [sym_preproc_directive] = ACTIONS(2224),
    [anon_sym_LPAREN2] = ACTIONS(2226),
    [anon_sym_BANG] = ACTIONS(2226),
    [anon_sym_TILDE] = ACTIONS(2226),
    [anon_sym_DASH] = ACTIONS(2224),
    [anon_sym_PLUS] = ACTIONS(2224),
    [anon_sym_STAR] = ACTIONS(2226),
    [anon_sym_AMP_AMP] = ACTIONS(2226),
    [anon_sym_AMP] = ACTIONS(2224),
    [anon_sym_LT] = ACTIONS(2289),
    [anon_sym_COLON] = ACTIONS(2224),
    [anon_sym_SEMI] = ACTIONS(2226),
    [anon_sym___extension__] = ACTIONS(2224),
    [anon_sym_typedef] = ACTIONS(2224),
    [anon_sym_in] = ACTIONS(2224),
    [anon_sym_out] = ACTIONS(2224),
    [anon_sym_inout] = ACTIONS(2224),
    [anon_sym_extern] = ACTIONS(2224),
    [anon_sym___attribute__] = ACTIONS(2224),
    [anon_sym_COLON_COLON] = ACTIONS(2230),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2226),
    [anon_sym___declspec] = ACTIONS(2224),
    [anon_sym___based] = ACTIONS(2224),
    [anon_sym___cdecl] = ACTIONS(2224),
    [anon_sym___clrcall] = ACTIONS(2224),
    [anon_sym___stdcall] = ACTIONS(2224),
    [anon_sym___fastcall] = ACTIONS(2224),
    [anon_sym___thiscall] = ACTIONS(2224),
    [anon_sym___vectorcall] = ACTIONS(2224),
    [anon_sym_LBRACE] = ACTIONS(2226),
    [anon_sym_signed] = ACTIONS(2224),
    [anon_sym_unsigned] = ACTIONS(2224),
    [anon_sym_long] = ACTIONS(2224),
    [anon_sym_short] = ACTIONS(2224),
    [anon_sym_LBRACK] = ACTIONS(2224),
    [anon_sym_static] = ACTIONS(2224),
    [anon_sym_register] = ACTIONS(2224),
    [anon_sym_inline] = ACTIONS(2224),
    [anon_sym___inline] = ACTIONS(2224),
    [anon_sym___inline__] = ACTIONS(2224),
    [anon_sym___forceinline] = ACTIONS(2224),
    [anon_sym_thread_local] = ACTIONS(2224),
    [anon_sym___thread] = ACTIONS(2224),
    [anon_sym_const] = ACTIONS(2224),
    [anon_sym_constexpr] = ACTIONS(2224),
    [anon_sym_volatile] = ACTIONS(2224),
    [anon_sym_restrict] = ACTIONS(2224),
    [anon_sym___restrict__] = ACTIONS(2224),
    [anon_sym__Atomic] = ACTIONS(2224),
    [anon_sym__Noreturn] = ACTIONS(2224),
    [anon_sym_noreturn] = ACTIONS(2224),
    [anon_sym_mutable] = ACTIONS(2224),
    [anon_sym_constinit] = ACTIONS(2224),
    [anon_sym_consteval] = ACTIONS(2224),
    [sym_primitive_type] = ACTIONS(2224),
    [anon_sym_enum] = ACTIONS(2224),
    [anon_sym_class] = ACTIONS(2224),
    [anon_sym_struct] = ACTIONS(2224),
    [anon_sym_union] = ACTIONS(2224),
    [anon_sym_if] = ACTIONS(2224),
    [anon_sym_else] = ACTIONS(2224),
    [anon_sym_switch] = ACTIONS(2224),
    [anon_sym_case] = ACTIONS(2224),
    [anon_sym_default] = ACTIONS(2224),
    [anon_sym_while] = ACTIONS(2224),
    [anon_sym_do] = ACTIONS(2224),
    [anon_sym_for] = ACTIONS(2224),
    [anon_sym_return] = ACTIONS(2224),
    [anon_sym_break] = ACTIONS(2224),
    [anon_sym_continue] = ACTIONS(2224),
    [anon_sym_goto] = ACTIONS(2224),
    [anon_sym___try] = ACTIONS(2224),
    [anon_sym___leave] = ACTIONS(2224),
    [anon_sym_not] = ACTIONS(2224),
    [anon_sym_compl] = ACTIONS(2224),
    [anon_sym_DASH_DASH] = ACTIONS(2226),
    [anon_sym_PLUS_PLUS] = ACTIONS(2226),
    [anon_sym_sizeof] = ACTIONS(2224),
    [anon_sym___alignof__] = ACTIONS(2224),
    [anon_sym___alignof] = ACTIONS(2224),
    [anon_sym__alignof] = ACTIONS(2224),
    [anon_sym_alignof] = ACTIONS(2224),
    [anon_sym__Alignof] = ACTIONS(2224),
    [anon_sym_offsetof] = ACTIONS(2224),
    [anon_sym__Generic] = ACTIONS(2224),
    [anon_sym_asm] = ACTIONS(2224),
    [anon_sym___asm__] = ACTIONS(2224),
    [sym_number_literal] = ACTIONS(2226),
    [anon_sym_L_SQUOTE] = ACTIONS(2226),
    [anon_sym_u_SQUOTE] = ACTIONS(2226),
    [anon_sym_U_SQUOTE] = ACTIONS(2226),
    [anon_sym_u8_SQUOTE] = ACTIONS(2226),
    [anon_sym_SQUOTE] = ACTIONS(2226),
    [anon_sym_L_DQUOTE] = ACTIONS(2226),
    [anon_sym_u_DQUOTE] = ACTIONS(2226),
    [anon_sym_U_DQUOTE] = ACTIONS(2226),
    [anon_sym_u8_DQUOTE] = ACTIONS(2226),
    [anon_sym_DQUOTE] = ACTIONS(2226),
    [sym_true] = ACTIONS(2224),
    [sym_false] = ACTIONS(2224),
    [anon_sym_NULL] = ACTIONS(2224),
    [anon_sym_nullptr] = ACTIONS(2224),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2224),
    [anon_sym_decltype] = ACTIONS(2224),
    [anon_sym_final] = ACTIONS(2224),
    [anon_sym_override] = ACTIONS(2224),
    [anon_sym_virtual] = ACTIONS(2224),
    [anon_sym_alignas] = ACTIONS(2224),
    [anon_sym_explicit] = ACTIONS(2224),
    [anon_sym_typename] = ACTIONS(2224),
    [anon_sym_template] = ACTIONS(2224),
    [anon_sym_operator] = ACTIONS(2224),
    [anon_sym_try] = ACTIONS(2224),
    [anon_sym_delete] = ACTIONS(2224),
    [anon_sym_throw] = ACTIONS(2224),
    [anon_sym_namespace] = ACTIONS(2224),
    [anon_sym_using] = ACTIONS(2224),
    [anon_sym_static_assert] = ACTIONS(2224),
    [anon_sym_concept] = ACTIONS(2224),
    [anon_sym_co_return] = ACTIONS(2224),
    [anon_sym_co_yield] = ACTIONS(2224),
    [anon_sym_R_DQUOTE] = ACTIONS(2226),
    [anon_sym_LR_DQUOTE] = ACTIONS(2226),
    [anon_sym_uR_DQUOTE] = ACTIONS(2226),
    [anon_sym_UR_DQUOTE] = ACTIONS(2226),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2226),
    [anon_sym_co_await] = ACTIONS(2224),
    [anon_sym_new] = ACTIONS(2224),
    [anon_sym_requires] = ACTIONS(2224),
    [sym_this] = ACTIONS(2224),
    [anon_sym_discard] = ACTIONS(2224),
    [anon_sym_precise] = ACTIONS(2224),
    [anon_sym_shared] = ACTIONS(2224),
    [anon_sym_groupshared] = ACTIONS(2224),
    [anon_sym_uniform] = ACTIONS(2224),
    [anon_sym_row_major] = ACTIONS(2224),
    [anon_sym_column_major] = ACTIONS(2224),
    [anon_sym_globallycoherent] = ACTIONS(2224),
    [anon_sym_centroid] = ACTIONS(2224),
    [anon_sym_noperspective] = ACTIONS(2224),
    [anon_sym_nointerpolation] = ACTIONS(2224),
    [anon_sym_sample] = ACTIONS(2224),
    [anon_sym_linear] = ACTIONS(2224),
    [anon_sym_snorm] = ACTIONS(2224),
    [anon_sym_unorm] = ACTIONS(2224),
    [anon_sym_point] = ACTIONS(2224),
    [anon_sym_line] = ACTIONS(2224),
    [anon_sym_triangleadj] = ACTIONS(2224),
    [anon_sym_lineadj] = ACTIONS(2224),
    [anon_sym_triangle] = ACTIONS(2224),
    [anon_sym_cbuffer] = ACTIONS(2224),
  },
  [216] = {
    [sym_identifier] = ACTIONS(2314),
    [aux_sym_preproc_include_token1] = ACTIONS(2314),
    [aux_sym_preproc_def_token1] = ACTIONS(2314),
    [aux_sym_preproc_if_token1] = ACTIONS(2314),
    [aux_sym_preproc_if_token2] = ACTIONS(2314),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2314),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2314),
    [aux_sym_preproc_else_token1] = ACTIONS(2314),
    [aux_sym_preproc_elif_token1] = ACTIONS(2314),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2314),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2314),
    [sym_preproc_directive] = ACTIONS(2314),
    [anon_sym_LPAREN2] = ACTIONS(2316),
    [anon_sym_BANG] = ACTIONS(2316),
    [anon_sym_TILDE] = ACTIONS(2316),
    [anon_sym_DASH] = ACTIONS(2314),
    [anon_sym_PLUS] = ACTIONS(2314),
    [anon_sym_STAR] = ACTIONS(2316),
    [anon_sym_AMP_AMP] = ACTIONS(2316),
    [anon_sym_AMP] = ACTIONS(2314),
    [anon_sym_SEMI] = ACTIONS(2316),
    [anon_sym___extension__] = ACTIONS(2314),
    [anon_sym_typedef] = ACTIONS(2314),
    [anon_sym_in] = ACTIONS(2314),
    [anon_sym_out] = ACTIONS(2314),
    [anon_sym_inout] = ACTIONS(2314),
    [anon_sym_extern] = ACTIONS(2314),
    [anon_sym___attribute__] = ACTIONS(2314),
    [anon_sym_COLON_COLON] = ACTIONS(2316),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2316),
    [anon_sym___declspec] = ACTIONS(2314),
    [anon_sym___based] = ACTIONS(2314),
    [anon_sym___cdecl] = ACTIONS(2314),
    [anon_sym___clrcall] = ACTIONS(2314),
    [anon_sym___stdcall] = ACTIONS(2314),
    [anon_sym___fastcall] = ACTIONS(2314),
    [anon_sym___thiscall] = ACTIONS(2314),
    [anon_sym___vectorcall] = ACTIONS(2314),
    [anon_sym_LBRACE] = ACTIONS(2316),
    [anon_sym_signed] = ACTIONS(2314),
    [anon_sym_unsigned] = ACTIONS(2314),
    [anon_sym_long] = ACTIONS(2314),
    [anon_sym_short] = ACTIONS(2314),
    [anon_sym_LBRACK] = ACTIONS(2314),
    [anon_sym_static] = ACTIONS(2314),
    [anon_sym_register] = ACTIONS(2314),
    [anon_sym_inline] = ACTIONS(2314),
    [anon_sym___inline] = ACTIONS(2314),
    [anon_sym___inline__] = ACTIONS(2314),
    [anon_sym___forceinline] = ACTIONS(2314),
    [anon_sym_thread_local] = ACTIONS(2314),
    [anon_sym___thread] = ACTIONS(2314),
    [anon_sym_const] = ACTIONS(2314),
    [anon_sym_constexpr] = ACTIONS(2314),
    [anon_sym_volatile] = ACTIONS(2314),
    [anon_sym_restrict] = ACTIONS(2314),
    [anon_sym___restrict__] = ACTIONS(2314),
    [anon_sym__Atomic] = ACTIONS(2314),
    [anon_sym__Noreturn] = ACTIONS(2314),
    [anon_sym_noreturn] = ACTIONS(2314),
    [anon_sym_mutable] = ACTIONS(2314),
    [anon_sym_constinit] = ACTIONS(2314),
    [anon_sym_consteval] = ACTIONS(2314),
    [sym_primitive_type] = ACTIONS(2314),
    [anon_sym_enum] = ACTIONS(2314),
    [anon_sym_class] = ACTIONS(2314),
    [anon_sym_struct] = ACTIONS(2314),
    [anon_sym_union] = ACTIONS(2314),
    [anon_sym_if] = ACTIONS(2314),
    [anon_sym_else] = ACTIONS(2314),
    [anon_sym_switch] = ACTIONS(2314),
    [anon_sym_case] = ACTIONS(2314),
    [anon_sym_default] = ACTIONS(2314),
    [anon_sym_while] = ACTIONS(2314),
    [anon_sym_do] = ACTIONS(2314),
    [anon_sym_for] = ACTIONS(2314),
    [anon_sym_return] = ACTIONS(2314),
    [anon_sym_break] = ACTIONS(2314),
    [anon_sym_continue] = ACTIONS(2314),
    [anon_sym_goto] = ACTIONS(2314),
    [anon_sym___try] = ACTIONS(2314),
    [anon_sym___leave] = ACTIONS(2314),
    [anon_sym_not] = ACTIONS(2314),
    [anon_sym_compl] = ACTIONS(2314),
    [anon_sym_DASH_DASH] = ACTIONS(2316),
    [anon_sym_PLUS_PLUS] = ACTIONS(2316),
    [anon_sym_sizeof] = ACTIONS(2314),
    [anon_sym___alignof__] = ACTIONS(2314),
    [anon_sym___alignof] = ACTIONS(2314),
    [anon_sym__alignof] = ACTIONS(2314),
    [anon_sym_alignof] = ACTIONS(2314),
    [anon_sym__Alignof] = ACTIONS(2314),
    [anon_sym_offsetof] = ACTIONS(2314),
    [anon_sym__Generic] = ACTIONS(2314),
    [anon_sym_asm] = ACTIONS(2314),
    [anon_sym___asm__] = ACTIONS(2314),
    [sym_number_literal] = ACTIONS(2316),
    [anon_sym_L_SQUOTE] = ACTIONS(2316),
    [anon_sym_u_SQUOTE] = ACTIONS(2316),
    [anon_sym_U_SQUOTE] = ACTIONS(2316),
    [anon_sym_u8_SQUOTE] = ACTIONS(2316),
    [anon_sym_SQUOTE] = ACTIONS(2316),
    [anon_sym_L_DQUOTE] = ACTIONS(2316),
    [anon_sym_u_DQUOTE] = ACTIONS(2316),
    [anon_sym_U_DQUOTE] = ACTIONS(2316),
    [anon_sym_u8_DQUOTE] = ACTIONS(2316),
    [anon_sym_DQUOTE] = ACTIONS(2316),
    [sym_true] = ACTIONS(2314),
    [sym_false] = ACTIONS(2314),
    [anon_sym_NULL] = ACTIONS(2314),
    [anon_sym_nullptr] = ACTIONS(2314),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2314),
    [anon_sym_decltype] = ACTIONS(2314),
    [anon_sym_virtual] = ACTIONS(2314),
    [anon_sym_alignas] = ACTIONS(2314),
    [anon_sym_explicit] = ACTIONS(2314),
    [anon_sym_typename] = ACTIONS(2314),
    [anon_sym_template] = ACTIONS(2314),
    [anon_sym_operator] = ACTIONS(2314),
    [anon_sym_try] = ACTIONS(2314),
    [anon_sym_delete] = ACTIONS(2314),
    [anon_sym_throw] = ACTIONS(2314),
    [anon_sym_namespace] = ACTIONS(2314),
    [anon_sym_using] = ACTIONS(2314),
    [anon_sym_static_assert] = ACTIONS(2314),
    [anon_sym_concept] = ACTIONS(2314),
    [anon_sym_co_return] = ACTIONS(2314),
    [anon_sym_co_yield] = ACTIONS(2314),
    [anon_sym_catch] = ACTIONS(2314),
    [anon_sym_R_DQUOTE] = ACTIONS(2316),
    [anon_sym_LR_DQUOTE] = ACTIONS(2316),
    [anon_sym_uR_DQUOTE] = ACTIONS(2316),
    [anon_sym_UR_DQUOTE] = ACTIONS(2316),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2316),
    [anon_sym_co_await] = ACTIONS(2314),
    [anon_sym_new] = ACTIONS(2314),
    [anon_sym_requires] = ACTIONS(2314),
    [sym_this] = ACTIONS(2314),
    [anon_sym_discard] = ACTIONS(2314),
    [anon_sym_precise] = ACTIONS(2314),
    [anon_sym_shared] = ACTIONS(2314),
    [anon_sym_groupshared] = ACTIONS(2314),
    [anon_sym_uniform] = ACTIONS(2314),
    [anon_sym_row_major] = ACTIONS(2314),
    [anon_sym_column_major] = ACTIONS(2314),
    [anon_sym_globallycoherent] = ACTIONS(2314),
    [anon_sym_centroid] = ACTIONS(2314),
    [anon_sym_noperspective] = ACTIONS(2314),
    [anon_sym_nointerpolation] = ACTIONS(2314),
    [anon_sym_sample] = ACTIONS(2314),
    [anon_sym_linear] = ACTIONS(2314),
    [anon_sym_snorm] = ACTIONS(2314),
    [anon_sym_unorm] = ACTIONS(2314),
    [anon_sym_point] = ACTIONS(2314),
    [anon_sym_line] = ACTIONS(2314),
    [anon_sym_triangleadj] = ACTIONS(2314),
    [anon_sym_lineadj] = ACTIONS(2314),
    [anon_sym_triangle] = ACTIONS(2314),
    [anon_sym_cbuffer] = ACTIONS(2314),
  },
  [217] = {
    [sym_identifier] = ACTIONS(2264),
    [aux_sym_preproc_include_token1] = ACTIONS(2264),
    [aux_sym_preproc_def_token1] = ACTIONS(2264),
    [aux_sym_preproc_if_token1] = ACTIONS(2264),
    [aux_sym_preproc_if_token2] = ACTIONS(2264),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2264),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2264),
    [aux_sym_preproc_else_token1] = ACTIONS(2264),
    [aux_sym_preproc_elif_token1] = ACTIONS(2264),
    [sym_preproc_directive] = ACTIONS(2264),
    [anon_sym_LPAREN2] = ACTIONS(2266),
    [anon_sym_BANG] = ACTIONS(2266),
    [anon_sym_TILDE] = ACTIONS(2266),
    [anon_sym_DASH] = ACTIONS(2264),
    [anon_sym_PLUS] = ACTIONS(2264),
    [anon_sym_STAR] = ACTIONS(2266),
    [anon_sym_AMP_AMP] = ACTIONS(2266),
    [anon_sym_AMP] = ACTIONS(2264),
    [anon_sym_COLON] = ACTIONS(2264),
    [anon_sym_SEMI] = ACTIONS(2266),
    [anon_sym___extension__] = ACTIONS(2264),
    [anon_sym_typedef] = ACTIONS(2264),
    [anon_sym_in] = ACTIONS(2264),
    [anon_sym_out] = ACTIONS(2264),
    [anon_sym_inout] = ACTIONS(2264),
    [anon_sym_extern] = ACTIONS(2264),
    [anon_sym___attribute__] = ACTIONS(2264),
    [anon_sym_COLON_COLON] = ACTIONS(2266),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2266),
    [anon_sym___declspec] = ACTIONS(2264),
    [anon_sym___based] = ACTIONS(2264),
    [anon_sym___cdecl] = ACTIONS(2264),
    [anon_sym___clrcall] = ACTIONS(2264),
    [anon_sym___stdcall] = ACTIONS(2264),
    [anon_sym___fastcall] = ACTIONS(2264),
    [anon_sym___thiscall] = ACTIONS(2264),
    [anon_sym___vectorcall] = ACTIONS(2264),
    [anon_sym_LBRACE] = ACTIONS(2266),
    [anon_sym_signed] = ACTIONS(2264),
    [anon_sym_unsigned] = ACTIONS(2264),
    [anon_sym_long] = ACTIONS(2264),
    [anon_sym_short] = ACTIONS(2264),
    [anon_sym_LBRACK] = ACTIONS(2264),
    [anon_sym_static] = ACTIONS(2264),
    [anon_sym_register] = ACTIONS(2264),
    [anon_sym_inline] = ACTIONS(2264),
    [anon_sym___inline] = ACTIONS(2264),
    [anon_sym___inline__] = ACTIONS(2264),
    [anon_sym___forceinline] = ACTIONS(2264),
    [anon_sym_thread_local] = ACTIONS(2264),
    [anon_sym___thread] = ACTIONS(2264),
    [anon_sym_const] = ACTIONS(2264),
    [anon_sym_constexpr] = ACTIONS(2264),
    [anon_sym_volatile] = ACTIONS(2264),
    [anon_sym_restrict] = ACTIONS(2264),
    [anon_sym___restrict__] = ACTIONS(2264),
    [anon_sym__Atomic] = ACTIONS(2264),
    [anon_sym__Noreturn] = ACTIONS(2264),
    [anon_sym_noreturn] = ACTIONS(2264),
    [anon_sym_mutable] = ACTIONS(2264),
    [anon_sym_constinit] = ACTIONS(2264),
    [anon_sym_consteval] = ACTIONS(2264),
    [sym_primitive_type] = ACTIONS(2264),
    [anon_sym_enum] = ACTIONS(2264),
    [anon_sym_class] = ACTIONS(2264),
    [anon_sym_struct] = ACTIONS(2264),
    [anon_sym_union] = ACTIONS(2264),
    [anon_sym_if] = ACTIONS(2264),
    [anon_sym_else] = ACTIONS(2264),
    [anon_sym_switch] = ACTIONS(2264),
    [anon_sym_case] = ACTIONS(2264),
    [anon_sym_default] = ACTIONS(2264),
    [anon_sym_while] = ACTIONS(2264),
    [anon_sym_do] = ACTIONS(2264),
    [anon_sym_for] = ACTIONS(2264),
    [anon_sym_return] = ACTIONS(2264),
    [anon_sym_break] = ACTIONS(2264),
    [anon_sym_continue] = ACTIONS(2264),
    [anon_sym_goto] = ACTIONS(2264),
    [anon_sym___try] = ACTIONS(2264),
    [anon_sym___leave] = ACTIONS(2264),
    [anon_sym_not] = ACTIONS(2264),
    [anon_sym_compl] = ACTIONS(2264),
    [anon_sym_DASH_DASH] = ACTIONS(2266),
    [anon_sym_PLUS_PLUS] = ACTIONS(2266),
    [anon_sym_sizeof] = ACTIONS(2264),
    [anon_sym___alignof__] = ACTIONS(2264),
    [anon_sym___alignof] = ACTIONS(2264),
    [anon_sym__alignof] = ACTIONS(2264),
    [anon_sym_alignof] = ACTIONS(2264),
    [anon_sym__Alignof] = ACTIONS(2264),
    [anon_sym_offsetof] = ACTIONS(2264),
    [anon_sym__Generic] = ACTIONS(2264),
    [anon_sym_asm] = ACTIONS(2264),
    [anon_sym___asm__] = ACTIONS(2264),
    [sym_number_literal] = ACTIONS(2266),
    [anon_sym_L_SQUOTE] = ACTIONS(2266),
    [anon_sym_u_SQUOTE] = ACTIONS(2266),
    [anon_sym_U_SQUOTE] = ACTIONS(2266),
    [anon_sym_u8_SQUOTE] = ACTIONS(2266),
    [anon_sym_SQUOTE] = ACTIONS(2266),
    [anon_sym_L_DQUOTE] = ACTIONS(2266),
    [anon_sym_u_DQUOTE] = ACTIONS(2266),
    [anon_sym_U_DQUOTE] = ACTIONS(2266),
    [anon_sym_u8_DQUOTE] = ACTIONS(2266),
    [anon_sym_DQUOTE] = ACTIONS(2266),
    [sym_true] = ACTIONS(2264),
    [sym_false] = ACTIONS(2264),
    [anon_sym_NULL] = ACTIONS(2264),
    [anon_sym_nullptr] = ACTIONS(2264),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2264),
    [anon_sym_decltype] = ACTIONS(2264),
    [anon_sym_final] = ACTIONS(2264),
    [anon_sym_override] = ACTIONS(2264),
    [anon_sym_virtual] = ACTIONS(2264),
    [anon_sym_alignas] = ACTIONS(2264),
    [anon_sym_explicit] = ACTIONS(2264),
    [anon_sym_typename] = ACTIONS(2264),
    [anon_sym_template] = ACTIONS(2264),
    [anon_sym_operator] = ACTIONS(2264),
    [anon_sym_try] = ACTIONS(2264),
    [anon_sym_delete] = ACTIONS(2264),
    [anon_sym_throw] = ACTIONS(2264),
    [anon_sym_namespace] = ACTIONS(2264),
    [anon_sym_using] = ACTIONS(2264),
    [anon_sym_static_assert] = ACTIONS(2264),
    [anon_sym_concept] = ACTIONS(2264),
    [anon_sym_co_return] = ACTIONS(2264),
    [anon_sym_co_yield] = ACTIONS(2264),
    [anon_sym_R_DQUOTE] = ACTIONS(2266),
    [anon_sym_LR_DQUOTE] = ACTIONS(2266),
    [anon_sym_uR_DQUOTE] = ACTIONS(2266),
    [anon_sym_UR_DQUOTE] = ACTIONS(2266),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2266),
    [anon_sym_co_await] = ACTIONS(2264),
    [anon_sym_new] = ACTIONS(2264),
    [anon_sym_requires] = ACTIONS(2264),
    [sym_this] = ACTIONS(2264),
    [anon_sym_discard] = ACTIONS(2264),
    [anon_sym_precise] = ACTIONS(2264),
    [anon_sym_shared] = ACTIONS(2264),
    [anon_sym_groupshared] = ACTIONS(2264),
    [anon_sym_uniform] = ACTIONS(2264),
    [anon_sym_row_major] = ACTIONS(2264),
    [anon_sym_column_major] = ACTIONS(2264),
    [anon_sym_globallycoherent] = ACTIONS(2264),
    [anon_sym_centroid] = ACTIONS(2264),
    [anon_sym_noperspective] = ACTIONS(2264),
    [anon_sym_nointerpolation] = ACTIONS(2264),
    [anon_sym_sample] = ACTIONS(2264),
    [anon_sym_linear] = ACTIONS(2264),
    [anon_sym_snorm] = ACTIONS(2264),
    [anon_sym_unorm] = ACTIONS(2264),
    [anon_sym_point] = ACTIONS(2264),
    [anon_sym_line] = ACTIONS(2264),
    [anon_sym_triangleadj] = ACTIONS(2264),
    [anon_sym_lineadj] = ACTIONS(2264),
    [anon_sym_triangle] = ACTIONS(2264),
    [anon_sym_cbuffer] = ACTIONS(2264),
  },
  [218] = {
    [sym_identifier] = ACTIONS(2238),
    [aux_sym_preproc_include_token1] = ACTIONS(2238),
    [aux_sym_preproc_def_token1] = ACTIONS(2238),
    [aux_sym_preproc_if_token1] = ACTIONS(2238),
    [aux_sym_preproc_if_token2] = ACTIONS(2238),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2238),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2238),
    [aux_sym_preproc_else_token1] = ACTIONS(2238),
    [aux_sym_preproc_elif_token1] = ACTIONS(2238),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2238),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2238),
    [sym_preproc_directive] = ACTIONS(2238),
    [anon_sym_LPAREN2] = ACTIONS(2236),
    [anon_sym_BANG] = ACTIONS(2236),
    [anon_sym_TILDE] = ACTIONS(2236),
    [anon_sym_DASH] = ACTIONS(2238),
    [anon_sym_PLUS] = ACTIONS(2238),
    [anon_sym_STAR] = ACTIONS(2236),
    [anon_sym_AMP_AMP] = ACTIONS(2236),
    [anon_sym_AMP] = ACTIONS(2238),
    [anon_sym_SEMI] = ACTIONS(2236),
    [anon_sym___extension__] = ACTIONS(2238),
    [anon_sym_typedef] = ACTIONS(2238),
    [anon_sym_in] = ACTIONS(2238),
    [anon_sym_out] = ACTIONS(2238),
    [anon_sym_inout] = ACTIONS(2238),
    [anon_sym_extern] = ACTIONS(2238),
    [anon_sym___attribute__] = ACTIONS(2238),
    [anon_sym_COLON_COLON] = ACTIONS(2236),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2236),
    [anon_sym___declspec] = ACTIONS(2238),
    [anon_sym___based] = ACTIONS(2238),
    [anon_sym___cdecl] = ACTIONS(2238),
    [anon_sym___clrcall] = ACTIONS(2238),
    [anon_sym___stdcall] = ACTIONS(2238),
    [anon_sym___fastcall] = ACTIONS(2238),
    [anon_sym___thiscall] = ACTIONS(2238),
    [anon_sym___vectorcall] = ACTIONS(2238),
    [anon_sym_LBRACE] = ACTIONS(2236),
    [anon_sym_signed] = ACTIONS(2238),
    [anon_sym_unsigned] = ACTIONS(2238),
    [anon_sym_long] = ACTIONS(2238),
    [anon_sym_short] = ACTIONS(2238),
    [anon_sym_LBRACK] = ACTIONS(2238),
    [anon_sym_static] = ACTIONS(2238),
    [anon_sym_register] = ACTIONS(2238),
    [anon_sym_inline] = ACTIONS(2238),
    [anon_sym___inline] = ACTIONS(2238),
    [anon_sym___inline__] = ACTIONS(2238),
    [anon_sym___forceinline] = ACTIONS(2238),
    [anon_sym_thread_local] = ACTIONS(2238),
    [anon_sym___thread] = ACTIONS(2238),
    [anon_sym_const] = ACTIONS(2238),
    [anon_sym_constexpr] = ACTIONS(2238),
    [anon_sym_volatile] = ACTIONS(2238),
    [anon_sym_restrict] = ACTIONS(2238),
    [anon_sym___restrict__] = ACTIONS(2238),
    [anon_sym__Atomic] = ACTIONS(2238),
    [anon_sym__Noreturn] = ACTIONS(2238),
    [anon_sym_noreturn] = ACTIONS(2238),
    [anon_sym_mutable] = ACTIONS(2238),
    [anon_sym_constinit] = ACTIONS(2238),
    [anon_sym_consteval] = ACTIONS(2238),
    [sym_primitive_type] = ACTIONS(2238),
    [anon_sym_enum] = ACTIONS(2238),
    [anon_sym_class] = ACTIONS(2238),
    [anon_sym_struct] = ACTIONS(2238),
    [anon_sym_union] = ACTIONS(2238),
    [anon_sym_if] = ACTIONS(2238),
    [anon_sym_else] = ACTIONS(2238),
    [anon_sym_switch] = ACTIONS(2238),
    [anon_sym_case] = ACTIONS(2238),
    [anon_sym_default] = ACTIONS(2238),
    [anon_sym_while] = ACTIONS(2238),
    [anon_sym_do] = ACTIONS(2238),
    [anon_sym_for] = ACTIONS(2238),
    [anon_sym_return] = ACTIONS(2238),
    [anon_sym_break] = ACTIONS(2238),
    [anon_sym_continue] = ACTIONS(2238),
    [anon_sym_goto] = ACTIONS(2238),
    [anon_sym___try] = ACTIONS(2238),
    [anon_sym___leave] = ACTIONS(2238),
    [anon_sym_not] = ACTIONS(2238),
    [anon_sym_compl] = ACTIONS(2238),
    [anon_sym_DASH_DASH] = ACTIONS(2236),
    [anon_sym_PLUS_PLUS] = ACTIONS(2236),
    [anon_sym_sizeof] = ACTIONS(2238),
    [anon_sym___alignof__] = ACTIONS(2238),
    [anon_sym___alignof] = ACTIONS(2238),
    [anon_sym__alignof] = ACTIONS(2238),
    [anon_sym_alignof] = ACTIONS(2238),
    [anon_sym__Alignof] = ACTIONS(2238),
    [anon_sym_offsetof] = ACTIONS(2238),
    [anon_sym__Generic] = ACTIONS(2238),
    [anon_sym_asm] = ACTIONS(2238),
    [anon_sym___asm__] = ACTIONS(2238),
    [sym_number_literal] = ACTIONS(2236),
    [anon_sym_L_SQUOTE] = ACTIONS(2236),
    [anon_sym_u_SQUOTE] = ACTIONS(2236),
    [anon_sym_U_SQUOTE] = ACTIONS(2236),
    [anon_sym_u8_SQUOTE] = ACTIONS(2236),
    [anon_sym_SQUOTE] = ACTIONS(2236),
    [anon_sym_L_DQUOTE] = ACTIONS(2236),
    [anon_sym_u_DQUOTE] = ACTIONS(2236),
    [anon_sym_U_DQUOTE] = ACTIONS(2236),
    [anon_sym_u8_DQUOTE] = ACTIONS(2236),
    [anon_sym_DQUOTE] = ACTIONS(2236),
    [sym_true] = ACTIONS(2238),
    [sym_false] = ACTIONS(2238),
    [anon_sym_NULL] = ACTIONS(2238),
    [anon_sym_nullptr] = ACTIONS(2238),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2238),
    [anon_sym_decltype] = ACTIONS(2238),
    [anon_sym_virtual] = ACTIONS(2238),
    [anon_sym_alignas] = ACTIONS(2238),
    [anon_sym_explicit] = ACTIONS(2238),
    [anon_sym_typename] = ACTIONS(2238),
    [anon_sym_template] = ACTIONS(2238),
    [anon_sym_operator] = ACTIONS(2238),
    [anon_sym_try] = ACTIONS(2238),
    [anon_sym_delete] = ACTIONS(2238),
    [anon_sym_throw] = ACTIONS(2238),
    [anon_sym_namespace] = ACTIONS(2238),
    [anon_sym_using] = ACTIONS(2238),
    [anon_sym_static_assert] = ACTIONS(2238),
    [anon_sym_concept] = ACTIONS(2238),
    [anon_sym_co_return] = ACTIONS(2238),
    [anon_sym_co_yield] = ACTIONS(2238),
    [anon_sym_catch] = ACTIONS(2238),
    [anon_sym_R_DQUOTE] = ACTIONS(2236),
    [anon_sym_LR_DQUOTE] = ACTIONS(2236),
    [anon_sym_uR_DQUOTE] = ACTIONS(2236),
    [anon_sym_UR_DQUOTE] = ACTIONS(2236),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2236),
    [anon_sym_co_await] = ACTIONS(2238),
    [anon_sym_new] = ACTIONS(2238),
    [anon_sym_requires] = ACTIONS(2238),
    [sym_this] = ACTIONS(2238),
    [anon_sym_discard] = ACTIONS(2238),
    [anon_sym_precise] = ACTIONS(2238),
    [anon_sym_shared] = ACTIONS(2238),
    [anon_sym_groupshared] = ACTIONS(2238),
    [anon_sym_uniform] = ACTIONS(2238),
    [anon_sym_row_major] = ACTIONS(2238),
    [anon_sym_column_major] = ACTIONS(2238),
    [anon_sym_globallycoherent] = ACTIONS(2238),
    [anon_sym_centroid] = ACTIONS(2238),
    [anon_sym_noperspective] = ACTIONS(2238),
    [anon_sym_nointerpolation] = ACTIONS(2238),
    [anon_sym_sample] = ACTIONS(2238),
    [anon_sym_linear] = ACTIONS(2238),
    [anon_sym_snorm] = ACTIONS(2238),
    [anon_sym_unorm] = ACTIONS(2238),
    [anon_sym_point] = ACTIONS(2238),
    [anon_sym_line] = ACTIONS(2238),
    [anon_sym_triangleadj] = ACTIONS(2238),
    [anon_sym_lineadj] = ACTIONS(2238),
    [anon_sym_triangle] = ACTIONS(2238),
    [anon_sym_cbuffer] = ACTIONS(2238),
  },
  [219] = {
    [sym_identifier] = ACTIONS(2206),
    [aux_sym_preproc_include_token1] = ACTIONS(2206),
    [aux_sym_preproc_def_token1] = ACTIONS(2206),
    [aux_sym_preproc_if_token1] = ACTIONS(2206),
    [aux_sym_preproc_if_token2] = ACTIONS(2206),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2206),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2206),
    [aux_sym_preproc_else_token1] = ACTIONS(2206),
    [aux_sym_preproc_elif_token1] = ACTIONS(2206),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2206),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2206),
    [sym_preproc_directive] = ACTIONS(2206),
    [anon_sym_LPAREN2] = ACTIONS(2204),
    [anon_sym_BANG] = ACTIONS(2204),
    [anon_sym_TILDE] = ACTIONS(2204),
    [anon_sym_DASH] = ACTIONS(2206),
    [anon_sym_PLUS] = ACTIONS(2206),
    [anon_sym_STAR] = ACTIONS(2204),
    [anon_sym_AMP_AMP] = ACTIONS(2204),
    [anon_sym_AMP] = ACTIONS(2206),
    [anon_sym_SEMI] = ACTIONS(2204),
    [anon_sym___extension__] = ACTIONS(2206),
    [anon_sym_typedef] = ACTIONS(2206),
    [anon_sym_in] = ACTIONS(2206),
    [anon_sym_out] = ACTIONS(2206),
    [anon_sym_inout] = ACTIONS(2206),
    [anon_sym_extern] = ACTIONS(2206),
    [anon_sym___attribute__] = ACTIONS(2206),
    [anon_sym_COLON_COLON] = ACTIONS(2204),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2204),
    [anon_sym___declspec] = ACTIONS(2206),
    [anon_sym___based] = ACTIONS(2206),
    [anon_sym___cdecl] = ACTIONS(2206),
    [anon_sym___clrcall] = ACTIONS(2206),
    [anon_sym___stdcall] = ACTIONS(2206),
    [anon_sym___fastcall] = ACTIONS(2206),
    [anon_sym___thiscall] = ACTIONS(2206),
    [anon_sym___vectorcall] = ACTIONS(2206),
    [anon_sym_LBRACE] = ACTIONS(2204),
    [anon_sym_signed] = ACTIONS(2206),
    [anon_sym_unsigned] = ACTIONS(2206),
    [anon_sym_long] = ACTIONS(2206),
    [anon_sym_short] = ACTIONS(2206),
    [anon_sym_LBRACK] = ACTIONS(2206),
    [anon_sym_static] = ACTIONS(2206),
    [anon_sym_register] = ACTIONS(2206),
    [anon_sym_inline] = ACTIONS(2206),
    [anon_sym___inline] = ACTIONS(2206),
    [anon_sym___inline__] = ACTIONS(2206),
    [anon_sym___forceinline] = ACTIONS(2206),
    [anon_sym_thread_local] = ACTIONS(2206),
    [anon_sym___thread] = ACTIONS(2206),
    [anon_sym_const] = ACTIONS(2206),
    [anon_sym_constexpr] = ACTIONS(2206),
    [anon_sym_volatile] = ACTIONS(2206),
    [anon_sym_restrict] = ACTIONS(2206),
    [anon_sym___restrict__] = ACTIONS(2206),
    [anon_sym__Atomic] = ACTIONS(2206),
    [anon_sym__Noreturn] = ACTIONS(2206),
    [anon_sym_noreturn] = ACTIONS(2206),
    [anon_sym_mutable] = ACTIONS(2206),
    [anon_sym_constinit] = ACTIONS(2206),
    [anon_sym_consteval] = ACTIONS(2206),
    [sym_primitive_type] = ACTIONS(2206),
    [anon_sym_enum] = ACTIONS(2206),
    [anon_sym_class] = ACTIONS(2206),
    [anon_sym_struct] = ACTIONS(2206),
    [anon_sym_union] = ACTIONS(2206),
    [anon_sym_if] = ACTIONS(2206),
    [anon_sym_else] = ACTIONS(2206),
    [anon_sym_switch] = ACTIONS(2206),
    [anon_sym_case] = ACTIONS(2206),
    [anon_sym_default] = ACTIONS(2206),
    [anon_sym_while] = ACTIONS(2206),
    [anon_sym_do] = ACTIONS(2206),
    [anon_sym_for] = ACTIONS(2206),
    [anon_sym_return] = ACTIONS(2206),
    [anon_sym_break] = ACTIONS(2206),
    [anon_sym_continue] = ACTIONS(2206),
    [anon_sym_goto] = ACTIONS(2206),
    [anon_sym___try] = ACTIONS(2206),
    [anon_sym___leave] = ACTIONS(2206),
    [anon_sym_not] = ACTIONS(2206),
    [anon_sym_compl] = ACTIONS(2206),
    [anon_sym_DASH_DASH] = ACTIONS(2204),
    [anon_sym_PLUS_PLUS] = ACTIONS(2204),
    [anon_sym_sizeof] = ACTIONS(2206),
    [anon_sym___alignof__] = ACTIONS(2206),
    [anon_sym___alignof] = ACTIONS(2206),
    [anon_sym__alignof] = ACTIONS(2206),
    [anon_sym_alignof] = ACTIONS(2206),
    [anon_sym__Alignof] = ACTIONS(2206),
    [anon_sym_offsetof] = ACTIONS(2206),
    [anon_sym__Generic] = ACTIONS(2206),
    [anon_sym_asm] = ACTIONS(2206),
    [anon_sym___asm__] = ACTIONS(2206),
    [sym_number_literal] = ACTIONS(2204),
    [anon_sym_L_SQUOTE] = ACTIONS(2204),
    [anon_sym_u_SQUOTE] = ACTIONS(2204),
    [anon_sym_U_SQUOTE] = ACTIONS(2204),
    [anon_sym_u8_SQUOTE] = ACTIONS(2204),
    [anon_sym_SQUOTE] = ACTIONS(2204),
    [anon_sym_L_DQUOTE] = ACTIONS(2204),
    [anon_sym_u_DQUOTE] = ACTIONS(2204),
    [anon_sym_U_DQUOTE] = ACTIONS(2204),
    [anon_sym_u8_DQUOTE] = ACTIONS(2204),
    [anon_sym_DQUOTE] = ACTIONS(2204),
    [sym_true] = ACTIONS(2206),
    [sym_false] = ACTIONS(2206),
    [anon_sym_NULL] = ACTIONS(2206),
    [anon_sym_nullptr] = ACTIONS(2206),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2206),
    [anon_sym_decltype] = ACTIONS(2206),
    [anon_sym_virtual] = ACTIONS(2206),
    [anon_sym_alignas] = ACTIONS(2206),
    [anon_sym_explicit] = ACTIONS(2206),
    [anon_sym_typename] = ACTIONS(2206),
    [anon_sym_template] = ACTIONS(2206),
    [anon_sym_operator] = ACTIONS(2206),
    [anon_sym_try] = ACTIONS(2206),
    [anon_sym_delete] = ACTIONS(2206),
    [anon_sym_throw] = ACTIONS(2206),
    [anon_sym_namespace] = ACTIONS(2206),
    [anon_sym_using] = ACTIONS(2206),
    [anon_sym_static_assert] = ACTIONS(2206),
    [anon_sym_concept] = ACTIONS(2206),
    [anon_sym_co_return] = ACTIONS(2206),
    [anon_sym_co_yield] = ACTIONS(2206),
    [anon_sym_catch] = ACTIONS(2206),
    [anon_sym_R_DQUOTE] = ACTIONS(2204),
    [anon_sym_LR_DQUOTE] = ACTIONS(2204),
    [anon_sym_uR_DQUOTE] = ACTIONS(2204),
    [anon_sym_UR_DQUOTE] = ACTIONS(2204),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2204),
    [anon_sym_co_await] = ACTIONS(2206),
    [anon_sym_new] = ACTIONS(2206),
    [anon_sym_requires] = ACTIONS(2206),
    [sym_this] = ACTIONS(2206),
    [anon_sym_discard] = ACTIONS(2206),
    [anon_sym_precise] = ACTIONS(2206),
    [anon_sym_shared] = ACTIONS(2206),
    [anon_sym_groupshared] = ACTIONS(2206),
    [anon_sym_uniform] = ACTIONS(2206),
    [anon_sym_row_major] = ACTIONS(2206),
    [anon_sym_column_major] = ACTIONS(2206),
    [anon_sym_globallycoherent] = ACTIONS(2206),
    [anon_sym_centroid] = ACTIONS(2206),
    [anon_sym_noperspective] = ACTIONS(2206),
    [anon_sym_nointerpolation] = ACTIONS(2206),
    [anon_sym_sample] = ACTIONS(2206),
    [anon_sym_linear] = ACTIONS(2206),
    [anon_sym_snorm] = ACTIONS(2206),
    [anon_sym_unorm] = ACTIONS(2206),
    [anon_sym_point] = ACTIONS(2206),
    [anon_sym_line] = ACTIONS(2206),
    [anon_sym_triangleadj] = ACTIONS(2206),
    [anon_sym_lineadj] = ACTIONS(2206),
    [anon_sym_triangle] = ACTIONS(2206),
    [anon_sym_cbuffer] = ACTIONS(2206),
  },
  [220] = {
    [sym_template_argument_list] = STATE(364),
    [sym_identifier] = ACTIONS(2224),
    [aux_sym_preproc_include_token1] = ACTIONS(2224),
    [aux_sym_preproc_def_token1] = ACTIONS(2224),
    [aux_sym_preproc_if_token1] = ACTIONS(2224),
    [aux_sym_preproc_if_token2] = ACTIONS(2224),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2224),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2224),
    [sym_preproc_directive] = ACTIONS(2224),
    [anon_sym_LPAREN2] = ACTIONS(2226),
    [anon_sym_BANG] = ACTIONS(2226),
    [anon_sym_TILDE] = ACTIONS(2226),
    [anon_sym_DASH] = ACTIONS(2224),
    [anon_sym_PLUS] = ACTIONS(2224),
    [anon_sym_STAR] = ACTIONS(2226),
    [anon_sym_AMP_AMP] = ACTIONS(2226),
    [anon_sym_AMP] = ACTIONS(2224),
    [anon_sym_LT] = ACTIONS(2305),
    [anon_sym_COLON] = ACTIONS(2224),
    [anon_sym_SEMI] = ACTIONS(2226),
    [anon_sym___extension__] = ACTIONS(2224),
    [anon_sym_typedef] = ACTIONS(2224),
    [anon_sym_in] = ACTIONS(2224),
    [anon_sym_out] = ACTIONS(2224),
    [anon_sym_inout] = ACTIONS(2224),
    [anon_sym_extern] = ACTIONS(2224),
    [anon_sym___attribute__] = ACTIONS(2224),
    [anon_sym_COLON_COLON] = ACTIONS(2230),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2226),
    [anon_sym___declspec] = ACTIONS(2224),
    [anon_sym___based] = ACTIONS(2224),
    [anon_sym___cdecl] = ACTIONS(2224),
    [anon_sym___clrcall] = ACTIONS(2224),
    [anon_sym___stdcall] = ACTIONS(2224),
    [anon_sym___fastcall] = ACTIONS(2224),
    [anon_sym___thiscall] = ACTIONS(2224),
    [anon_sym___vectorcall] = ACTIONS(2224),
    [anon_sym_LBRACE] = ACTIONS(2226),
    [anon_sym_signed] = ACTIONS(2224),
    [anon_sym_unsigned] = ACTIONS(2224),
    [anon_sym_long] = ACTIONS(2224),
    [anon_sym_short] = ACTIONS(2224),
    [anon_sym_LBRACK] = ACTIONS(2224),
    [anon_sym_static] = ACTIONS(2224),
    [anon_sym_register] = ACTIONS(2224),
    [anon_sym_inline] = ACTIONS(2224),
    [anon_sym___inline] = ACTIONS(2224),
    [anon_sym___inline__] = ACTIONS(2224),
    [anon_sym___forceinline] = ACTIONS(2224),
    [anon_sym_thread_local] = ACTIONS(2224),
    [anon_sym___thread] = ACTIONS(2224),
    [anon_sym_const] = ACTIONS(2224),
    [anon_sym_constexpr] = ACTIONS(2224),
    [anon_sym_volatile] = ACTIONS(2224),
    [anon_sym_restrict] = ACTIONS(2224),
    [anon_sym___restrict__] = ACTIONS(2224),
    [anon_sym__Atomic] = ACTIONS(2224),
    [anon_sym__Noreturn] = ACTIONS(2224),
    [anon_sym_noreturn] = ACTIONS(2224),
    [anon_sym_mutable] = ACTIONS(2224),
    [anon_sym_constinit] = ACTIONS(2224),
    [anon_sym_consteval] = ACTIONS(2224),
    [sym_primitive_type] = ACTIONS(2224),
    [anon_sym_enum] = ACTIONS(2224),
    [anon_sym_class] = ACTIONS(2224),
    [anon_sym_struct] = ACTIONS(2224),
    [anon_sym_union] = ACTIONS(2224),
    [anon_sym_if] = ACTIONS(2224),
    [anon_sym_else] = ACTIONS(2224),
    [anon_sym_switch] = ACTIONS(2224),
    [anon_sym_case] = ACTIONS(2224),
    [anon_sym_default] = ACTIONS(2224),
    [anon_sym_while] = ACTIONS(2224),
    [anon_sym_do] = ACTIONS(2224),
    [anon_sym_for] = ACTIONS(2224),
    [anon_sym_return] = ACTIONS(2224),
    [anon_sym_break] = ACTIONS(2224),
    [anon_sym_continue] = ACTIONS(2224),
    [anon_sym_goto] = ACTIONS(2224),
    [anon_sym___try] = ACTIONS(2224),
    [anon_sym___leave] = ACTIONS(2224),
    [anon_sym_not] = ACTIONS(2224),
    [anon_sym_compl] = ACTIONS(2224),
    [anon_sym_DASH_DASH] = ACTIONS(2226),
    [anon_sym_PLUS_PLUS] = ACTIONS(2226),
    [anon_sym_sizeof] = ACTIONS(2224),
    [anon_sym___alignof__] = ACTIONS(2224),
    [anon_sym___alignof] = ACTIONS(2224),
    [anon_sym__alignof] = ACTIONS(2224),
    [anon_sym_alignof] = ACTIONS(2224),
    [anon_sym__Alignof] = ACTIONS(2224),
    [anon_sym_offsetof] = ACTIONS(2224),
    [anon_sym__Generic] = ACTIONS(2224),
    [anon_sym_asm] = ACTIONS(2224),
    [anon_sym___asm__] = ACTIONS(2224),
    [sym_number_literal] = ACTIONS(2226),
    [anon_sym_L_SQUOTE] = ACTIONS(2226),
    [anon_sym_u_SQUOTE] = ACTIONS(2226),
    [anon_sym_U_SQUOTE] = ACTIONS(2226),
    [anon_sym_u8_SQUOTE] = ACTIONS(2226),
    [anon_sym_SQUOTE] = ACTIONS(2226),
    [anon_sym_L_DQUOTE] = ACTIONS(2226),
    [anon_sym_u_DQUOTE] = ACTIONS(2226),
    [anon_sym_U_DQUOTE] = ACTIONS(2226),
    [anon_sym_u8_DQUOTE] = ACTIONS(2226),
    [anon_sym_DQUOTE] = ACTIONS(2226),
    [sym_true] = ACTIONS(2224),
    [sym_false] = ACTIONS(2224),
    [anon_sym_NULL] = ACTIONS(2224),
    [anon_sym_nullptr] = ACTIONS(2224),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2224),
    [anon_sym_decltype] = ACTIONS(2224),
    [anon_sym_final] = ACTIONS(2224),
    [anon_sym_override] = ACTIONS(2224),
    [anon_sym_virtual] = ACTIONS(2224),
    [anon_sym_alignas] = ACTIONS(2224),
    [anon_sym_explicit] = ACTIONS(2224),
    [anon_sym_typename] = ACTIONS(2224),
    [anon_sym_template] = ACTIONS(2224),
    [anon_sym_operator] = ACTIONS(2224),
    [anon_sym_try] = ACTIONS(2224),
    [anon_sym_delete] = ACTIONS(2224),
    [anon_sym_throw] = ACTIONS(2224),
    [anon_sym_namespace] = ACTIONS(2224),
    [anon_sym_using] = ACTIONS(2224),
    [anon_sym_static_assert] = ACTIONS(2224),
    [anon_sym_concept] = ACTIONS(2224),
    [anon_sym_co_return] = ACTIONS(2224),
    [anon_sym_co_yield] = ACTIONS(2224),
    [anon_sym_R_DQUOTE] = ACTIONS(2226),
    [anon_sym_LR_DQUOTE] = ACTIONS(2226),
    [anon_sym_uR_DQUOTE] = ACTIONS(2226),
    [anon_sym_UR_DQUOTE] = ACTIONS(2226),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2226),
    [anon_sym_co_await] = ACTIONS(2224),
    [anon_sym_new] = ACTIONS(2224),
    [anon_sym_requires] = ACTIONS(2224),
    [sym_this] = ACTIONS(2224),
    [anon_sym_discard] = ACTIONS(2224),
    [anon_sym_precise] = ACTIONS(2224),
    [anon_sym_shared] = ACTIONS(2224),
    [anon_sym_groupshared] = ACTIONS(2224),
    [anon_sym_uniform] = ACTIONS(2224),
    [anon_sym_row_major] = ACTIONS(2224),
    [anon_sym_column_major] = ACTIONS(2224),
    [anon_sym_globallycoherent] = ACTIONS(2224),
    [anon_sym_centroid] = ACTIONS(2224),
    [anon_sym_noperspective] = ACTIONS(2224),
    [anon_sym_nointerpolation] = ACTIONS(2224),
    [anon_sym_sample] = ACTIONS(2224),
    [anon_sym_linear] = ACTIONS(2224),
    [anon_sym_snorm] = ACTIONS(2224),
    [anon_sym_unorm] = ACTIONS(2224),
    [anon_sym_point] = ACTIONS(2224),
    [anon_sym_line] = ACTIONS(2224),
    [anon_sym_triangleadj] = ACTIONS(2224),
    [anon_sym_lineadj] = ACTIONS(2224),
    [anon_sym_triangle] = ACTIONS(2224),
    [anon_sym_cbuffer] = ACTIONS(2224),
  },
  [221] = {
    [sym_identifier] = ACTIONS(2264),
    [aux_sym_preproc_include_token1] = ACTIONS(2264),
    [aux_sym_preproc_def_token1] = ACTIONS(2264),
    [aux_sym_preproc_if_token1] = ACTIONS(2264),
    [aux_sym_preproc_if_token2] = ACTIONS(2264),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2264),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2264),
    [aux_sym_preproc_else_token1] = ACTIONS(2264),
    [aux_sym_preproc_elif_token1] = ACTIONS(2264),
    [sym_preproc_directive] = ACTIONS(2264),
    [anon_sym_LPAREN2] = ACTIONS(2266),
    [anon_sym_BANG] = ACTIONS(2266),
    [anon_sym_TILDE] = ACTIONS(2266),
    [anon_sym_DASH] = ACTIONS(2264),
    [anon_sym_PLUS] = ACTIONS(2264),
    [anon_sym_STAR] = ACTIONS(2266),
    [anon_sym_AMP_AMP] = ACTIONS(2266),
    [anon_sym_AMP] = ACTIONS(2264),
    [anon_sym_COLON] = ACTIONS(2264),
    [anon_sym_SEMI] = ACTIONS(2266),
    [anon_sym___extension__] = ACTIONS(2264),
    [anon_sym_typedef] = ACTIONS(2264),
    [anon_sym_in] = ACTIONS(2264),
    [anon_sym_out] = ACTIONS(2264),
    [anon_sym_inout] = ACTIONS(2264),
    [anon_sym_extern] = ACTIONS(2264),
    [anon_sym___attribute__] = ACTIONS(2264),
    [anon_sym_COLON_COLON] = ACTIONS(2262),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2266),
    [anon_sym___declspec] = ACTIONS(2264),
    [anon_sym___based] = ACTIONS(2264),
    [anon_sym___cdecl] = ACTIONS(2264),
    [anon_sym___clrcall] = ACTIONS(2264),
    [anon_sym___stdcall] = ACTIONS(2264),
    [anon_sym___fastcall] = ACTIONS(2264),
    [anon_sym___thiscall] = ACTIONS(2264),
    [anon_sym___vectorcall] = ACTIONS(2264),
    [anon_sym_LBRACE] = ACTIONS(2266),
    [anon_sym_signed] = ACTIONS(2264),
    [anon_sym_unsigned] = ACTIONS(2264),
    [anon_sym_long] = ACTIONS(2264),
    [anon_sym_short] = ACTIONS(2264),
    [anon_sym_LBRACK] = ACTIONS(2264),
    [anon_sym_static] = ACTIONS(2264),
    [anon_sym_register] = ACTIONS(2264),
    [anon_sym_inline] = ACTIONS(2264),
    [anon_sym___inline] = ACTIONS(2264),
    [anon_sym___inline__] = ACTIONS(2264),
    [anon_sym___forceinline] = ACTIONS(2264),
    [anon_sym_thread_local] = ACTIONS(2264),
    [anon_sym___thread] = ACTIONS(2264),
    [anon_sym_const] = ACTIONS(2264),
    [anon_sym_constexpr] = ACTIONS(2264),
    [anon_sym_volatile] = ACTIONS(2264),
    [anon_sym_restrict] = ACTIONS(2264),
    [anon_sym___restrict__] = ACTIONS(2264),
    [anon_sym__Atomic] = ACTIONS(2264),
    [anon_sym__Noreturn] = ACTIONS(2264),
    [anon_sym_noreturn] = ACTIONS(2264),
    [anon_sym_mutable] = ACTIONS(2264),
    [anon_sym_constinit] = ACTIONS(2264),
    [anon_sym_consteval] = ACTIONS(2264),
    [sym_primitive_type] = ACTIONS(2264),
    [anon_sym_enum] = ACTIONS(2264),
    [anon_sym_class] = ACTIONS(2264),
    [anon_sym_struct] = ACTIONS(2264),
    [anon_sym_union] = ACTIONS(2264),
    [anon_sym_if] = ACTIONS(2264),
    [anon_sym_else] = ACTIONS(2264),
    [anon_sym_switch] = ACTIONS(2264),
    [anon_sym_case] = ACTIONS(2264),
    [anon_sym_default] = ACTIONS(2264),
    [anon_sym_while] = ACTIONS(2264),
    [anon_sym_do] = ACTIONS(2264),
    [anon_sym_for] = ACTIONS(2264),
    [anon_sym_return] = ACTIONS(2264),
    [anon_sym_break] = ACTIONS(2264),
    [anon_sym_continue] = ACTIONS(2264),
    [anon_sym_goto] = ACTIONS(2264),
    [anon_sym___try] = ACTIONS(2264),
    [anon_sym___leave] = ACTIONS(2264),
    [anon_sym_not] = ACTIONS(2264),
    [anon_sym_compl] = ACTIONS(2264),
    [anon_sym_DASH_DASH] = ACTIONS(2266),
    [anon_sym_PLUS_PLUS] = ACTIONS(2266),
    [anon_sym_sizeof] = ACTIONS(2264),
    [anon_sym___alignof__] = ACTIONS(2264),
    [anon_sym___alignof] = ACTIONS(2264),
    [anon_sym__alignof] = ACTIONS(2264),
    [anon_sym_alignof] = ACTIONS(2264),
    [anon_sym__Alignof] = ACTIONS(2264),
    [anon_sym_offsetof] = ACTIONS(2264),
    [anon_sym__Generic] = ACTIONS(2264),
    [anon_sym_asm] = ACTIONS(2264),
    [anon_sym___asm__] = ACTIONS(2264),
    [sym_number_literal] = ACTIONS(2266),
    [anon_sym_L_SQUOTE] = ACTIONS(2266),
    [anon_sym_u_SQUOTE] = ACTIONS(2266),
    [anon_sym_U_SQUOTE] = ACTIONS(2266),
    [anon_sym_u8_SQUOTE] = ACTIONS(2266),
    [anon_sym_SQUOTE] = ACTIONS(2266),
    [anon_sym_L_DQUOTE] = ACTIONS(2266),
    [anon_sym_u_DQUOTE] = ACTIONS(2266),
    [anon_sym_U_DQUOTE] = ACTIONS(2266),
    [anon_sym_u8_DQUOTE] = ACTIONS(2266),
    [anon_sym_DQUOTE] = ACTIONS(2266),
    [sym_true] = ACTIONS(2264),
    [sym_false] = ACTIONS(2264),
    [anon_sym_NULL] = ACTIONS(2264),
    [anon_sym_nullptr] = ACTIONS(2264),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2264),
    [anon_sym_decltype] = ACTIONS(2264),
    [anon_sym_final] = ACTIONS(2264),
    [anon_sym_override] = ACTIONS(2264),
    [anon_sym_virtual] = ACTIONS(2264),
    [anon_sym_alignas] = ACTIONS(2264),
    [anon_sym_explicit] = ACTIONS(2264),
    [anon_sym_typename] = ACTIONS(2264),
    [anon_sym_template] = ACTIONS(2264),
    [anon_sym_operator] = ACTIONS(2264),
    [anon_sym_try] = ACTIONS(2264),
    [anon_sym_delete] = ACTIONS(2264),
    [anon_sym_throw] = ACTIONS(2264),
    [anon_sym_namespace] = ACTIONS(2264),
    [anon_sym_using] = ACTIONS(2264),
    [anon_sym_static_assert] = ACTIONS(2264),
    [anon_sym_concept] = ACTIONS(2264),
    [anon_sym_co_return] = ACTIONS(2264),
    [anon_sym_co_yield] = ACTIONS(2264),
    [anon_sym_R_DQUOTE] = ACTIONS(2266),
    [anon_sym_LR_DQUOTE] = ACTIONS(2266),
    [anon_sym_uR_DQUOTE] = ACTIONS(2266),
    [anon_sym_UR_DQUOTE] = ACTIONS(2266),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2266),
    [anon_sym_co_await] = ACTIONS(2264),
    [anon_sym_new] = ACTIONS(2264),
    [anon_sym_requires] = ACTIONS(2264),
    [sym_this] = ACTIONS(2264),
    [anon_sym_discard] = ACTIONS(2264),
    [anon_sym_precise] = ACTIONS(2264),
    [anon_sym_shared] = ACTIONS(2264),
    [anon_sym_groupshared] = ACTIONS(2264),
    [anon_sym_uniform] = ACTIONS(2264),
    [anon_sym_row_major] = ACTIONS(2264),
    [anon_sym_column_major] = ACTIONS(2264),
    [anon_sym_globallycoherent] = ACTIONS(2264),
    [anon_sym_centroid] = ACTIONS(2264),
    [anon_sym_noperspective] = ACTIONS(2264),
    [anon_sym_nointerpolation] = ACTIONS(2264),
    [anon_sym_sample] = ACTIONS(2264),
    [anon_sym_linear] = ACTIONS(2264),
    [anon_sym_snorm] = ACTIONS(2264),
    [anon_sym_unorm] = ACTIONS(2264),
    [anon_sym_point] = ACTIONS(2264),
    [anon_sym_line] = ACTIONS(2264),
    [anon_sym_triangleadj] = ACTIONS(2264),
    [anon_sym_lineadj] = ACTIONS(2264),
    [anon_sym_triangle] = ACTIONS(2264),
    [anon_sym_cbuffer] = ACTIONS(2264),
  },
  [222] = {
    [sym_identifier] = ACTIONS(2318),
    [aux_sym_preproc_include_token1] = ACTIONS(2318),
    [aux_sym_preproc_def_token1] = ACTIONS(2318),
    [aux_sym_preproc_if_token1] = ACTIONS(2318),
    [aux_sym_preproc_if_token2] = ACTIONS(2318),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2318),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2318),
    [aux_sym_preproc_else_token1] = ACTIONS(2318),
    [aux_sym_preproc_elif_token1] = ACTIONS(2318),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2318),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2318),
    [sym_preproc_directive] = ACTIONS(2318),
    [anon_sym_LPAREN2] = ACTIONS(2320),
    [anon_sym_BANG] = ACTIONS(2320),
    [anon_sym_TILDE] = ACTIONS(2320),
    [anon_sym_DASH] = ACTIONS(2318),
    [anon_sym_PLUS] = ACTIONS(2318),
    [anon_sym_STAR] = ACTIONS(2320),
    [anon_sym_AMP_AMP] = ACTIONS(2320),
    [anon_sym_AMP] = ACTIONS(2318),
    [anon_sym_SEMI] = ACTIONS(2320),
    [anon_sym___extension__] = ACTIONS(2318),
    [anon_sym_typedef] = ACTIONS(2318),
    [anon_sym_in] = ACTIONS(2318),
    [anon_sym_out] = ACTIONS(2318),
    [anon_sym_inout] = ACTIONS(2318),
    [anon_sym_extern] = ACTIONS(2318),
    [anon_sym___attribute__] = ACTIONS(2318),
    [anon_sym_COLON_COLON] = ACTIONS(2320),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2320),
    [anon_sym___declspec] = ACTIONS(2318),
    [anon_sym___based] = ACTIONS(2318),
    [anon_sym___cdecl] = ACTIONS(2318),
    [anon_sym___clrcall] = ACTIONS(2318),
    [anon_sym___stdcall] = ACTIONS(2318),
    [anon_sym___fastcall] = ACTIONS(2318),
    [anon_sym___thiscall] = ACTIONS(2318),
    [anon_sym___vectorcall] = ACTIONS(2318),
    [anon_sym_LBRACE] = ACTIONS(2320),
    [anon_sym_signed] = ACTIONS(2318),
    [anon_sym_unsigned] = ACTIONS(2318),
    [anon_sym_long] = ACTIONS(2318),
    [anon_sym_short] = ACTIONS(2318),
    [anon_sym_LBRACK] = ACTIONS(2318),
    [anon_sym_static] = ACTIONS(2318),
    [anon_sym_register] = ACTIONS(2318),
    [anon_sym_inline] = ACTIONS(2318),
    [anon_sym___inline] = ACTIONS(2318),
    [anon_sym___inline__] = ACTIONS(2318),
    [anon_sym___forceinline] = ACTIONS(2318),
    [anon_sym_thread_local] = ACTIONS(2318),
    [anon_sym___thread] = ACTIONS(2318),
    [anon_sym_const] = ACTIONS(2318),
    [anon_sym_constexpr] = ACTIONS(2318),
    [anon_sym_volatile] = ACTIONS(2318),
    [anon_sym_restrict] = ACTIONS(2318),
    [anon_sym___restrict__] = ACTIONS(2318),
    [anon_sym__Atomic] = ACTIONS(2318),
    [anon_sym__Noreturn] = ACTIONS(2318),
    [anon_sym_noreturn] = ACTIONS(2318),
    [anon_sym_mutable] = ACTIONS(2318),
    [anon_sym_constinit] = ACTIONS(2318),
    [anon_sym_consteval] = ACTIONS(2318),
    [sym_primitive_type] = ACTIONS(2318),
    [anon_sym_enum] = ACTIONS(2318),
    [anon_sym_class] = ACTIONS(2318),
    [anon_sym_struct] = ACTIONS(2318),
    [anon_sym_union] = ACTIONS(2318),
    [anon_sym_if] = ACTIONS(2318),
    [anon_sym_else] = ACTIONS(2318),
    [anon_sym_switch] = ACTIONS(2318),
    [anon_sym_case] = ACTIONS(2318),
    [anon_sym_default] = ACTIONS(2318),
    [anon_sym_while] = ACTIONS(2318),
    [anon_sym_do] = ACTIONS(2318),
    [anon_sym_for] = ACTIONS(2318),
    [anon_sym_return] = ACTIONS(2318),
    [anon_sym_break] = ACTIONS(2318),
    [anon_sym_continue] = ACTIONS(2318),
    [anon_sym_goto] = ACTIONS(2318),
    [anon_sym___try] = ACTIONS(2318),
    [anon_sym___leave] = ACTIONS(2318),
    [anon_sym_not] = ACTIONS(2318),
    [anon_sym_compl] = ACTIONS(2318),
    [anon_sym_DASH_DASH] = ACTIONS(2320),
    [anon_sym_PLUS_PLUS] = ACTIONS(2320),
    [anon_sym_sizeof] = ACTIONS(2318),
    [anon_sym___alignof__] = ACTIONS(2318),
    [anon_sym___alignof] = ACTIONS(2318),
    [anon_sym__alignof] = ACTIONS(2318),
    [anon_sym_alignof] = ACTIONS(2318),
    [anon_sym__Alignof] = ACTIONS(2318),
    [anon_sym_offsetof] = ACTIONS(2318),
    [anon_sym__Generic] = ACTIONS(2318),
    [anon_sym_asm] = ACTIONS(2318),
    [anon_sym___asm__] = ACTIONS(2318),
    [sym_number_literal] = ACTIONS(2320),
    [anon_sym_L_SQUOTE] = ACTIONS(2320),
    [anon_sym_u_SQUOTE] = ACTIONS(2320),
    [anon_sym_U_SQUOTE] = ACTIONS(2320),
    [anon_sym_u8_SQUOTE] = ACTIONS(2320),
    [anon_sym_SQUOTE] = ACTIONS(2320),
    [anon_sym_L_DQUOTE] = ACTIONS(2320),
    [anon_sym_u_DQUOTE] = ACTIONS(2320),
    [anon_sym_U_DQUOTE] = ACTIONS(2320),
    [anon_sym_u8_DQUOTE] = ACTIONS(2320),
    [anon_sym_DQUOTE] = ACTIONS(2320),
    [sym_true] = ACTIONS(2318),
    [sym_false] = ACTIONS(2318),
    [anon_sym_NULL] = ACTIONS(2318),
    [anon_sym_nullptr] = ACTIONS(2318),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2318),
    [anon_sym_decltype] = ACTIONS(2318),
    [anon_sym_virtual] = ACTIONS(2318),
    [anon_sym_alignas] = ACTIONS(2318),
    [anon_sym_explicit] = ACTIONS(2318),
    [anon_sym_typename] = ACTIONS(2318),
    [anon_sym_template] = ACTIONS(2318),
    [anon_sym_operator] = ACTIONS(2318),
    [anon_sym_try] = ACTIONS(2318),
    [anon_sym_delete] = ACTIONS(2318),
    [anon_sym_throw] = ACTIONS(2318),
    [anon_sym_namespace] = ACTIONS(2318),
    [anon_sym_using] = ACTIONS(2318),
    [anon_sym_static_assert] = ACTIONS(2318),
    [anon_sym_concept] = ACTIONS(2318),
    [anon_sym_co_return] = ACTIONS(2318),
    [anon_sym_co_yield] = ACTIONS(2318),
    [anon_sym_R_DQUOTE] = ACTIONS(2320),
    [anon_sym_LR_DQUOTE] = ACTIONS(2320),
    [anon_sym_uR_DQUOTE] = ACTIONS(2320),
    [anon_sym_UR_DQUOTE] = ACTIONS(2320),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2320),
    [anon_sym_co_await] = ACTIONS(2318),
    [anon_sym_new] = ACTIONS(2318),
    [anon_sym_requires] = ACTIONS(2318),
    [sym_this] = ACTIONS(2318),
    [anon_sym_discard] = ACTIONS(2318),
    [anon_sym_precise] = ACTIONS(2318),
    [anon_sym_shared] = ACTIONS(2318),
    [anon_sym_groupshared] = ACTIONS(2318),
    [anon_sym_uniform] = ACTIONS(2318),
    [anon_sym_row_major] = ACTIONS(2318),
    [anon_sym_column_major] = ACTIONS(2318),
    [anon_sym_globallycoherent] = ACTIONS(2318),
    [anon_sym_centroid] = ACTIONS(2318),
    [anon_sym_noperspective] = ACTIONS(2318),
    [anon_sym_nointerpolation] = ACTIONS(2318),
    [anon_sym_sample] = ACTIONS(2318),
    [anon_sym_linear] = ACTIONS(2318),
    [anon_sym_snorm] = ACTIONS(2318),
    [anon_sym_unorm] = ACTIONS(2318),
    [anon_sym_point] = ACTIONS(2318),
    [anon_sym_line] = ACTIONS(2318),
    [anon_sym_triangleadj] = ACTIONS(2318),
    [anon_sym_lineadj] = ACTIONS(2318),
    [anon_sym_triangle] = ACTIONS(2318),
    [anon_sym_cbuffer] = ACTIONS(2318),
  },
  [223] = {
    [sym_identifier] = ACTIONS(2322),
    [aux_sym_preproc_include_token1] = ACTIONS(2322),
    [aux_sym_preproc_def_token1] = ACTIONS(2322),
    [aux_sym_preproc_if_token1] = ACTIONS(2322),
    [aux_sym_preproc_if_token2] = ACTIONS(2322),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2322),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2322),
    [aux_sym_preproc_else_token1] = ACTIONS(2322),
    [aux_sym_preproc_elif_token1] = ACTIONS(2322),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2322),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2322),
    [sym_preproc_directive] = ACTIONS(2322),
    [anon_sym_LPAREN2] = ACTIONS(2324),
    [anon_sym_BANG] = ACTIONS(2324),
    [anon_sym_TILDE] = ACTIONS(2324),
    [anon_sym_DASH] = ACTIONS(2322),
    [anon_sym_PLUS] = ACTIONS(2322),
    [anon_sym_STAR] = ACTIONS(2324),
    [anon_sym_AMP_AMP] = ACTIONS(2324),
    [anon_sym_AMP] = ACTIONS(2322),
    [anon_sym_SEMI] = ACTIONS(2324),
    [anon_sym___extension__] = ACTIONS(2322),
    [anon_sym_typedef] = ACTIONS(2322),
    [anon_sym_in] = ACTIONS(2322),
    [anon_sym_out] = ACTIONS(2322),
    [anon_sym_inout] = ACTIONS(2322),
    [anon_sym_extern] = ACTIONS(2322),
    [anon_sym___attribute__] = ACTIONS(2322),
    [anon_sym_COLON_COLON] = ACTIONS(2324),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2324),
    [anon_sym___declspec] = ACTIONS(2322),
    [anon_sym___based] = ACTIONS(2322),
    [anon_sym___cdecl] = ACTIONS(2322),
    [anon_sym___clrcall] = ACTIONS(2322),
    [anon_sym___stdcall] = ACTIONS(2322),
    [anon_sym___fastcall] = ACTIONS(2322),
    [anon_sym___thiscall] = ACTIONS(2322),
    [anon_sym___vectorcall] = ACTIONS(2322),
    [anon_sym_LBRACE] = ACTIONS(2324),
    [anon_sym_signed] = ACTIONS(2322),
    [anon_sym_unsigned] = ACTIONS(2322),
    [anon_sym_long] = ACTIONS(2322),
    [anon_sym_short] = ACTIONS(2322),
    [anon_sym_LBRACK] = ACTIONS(2322),
    [anon_sym_static] = ACTIONS(2322),
    [anon_sym_register] = ACTIONS(2322),
    [anon_sym_inline] = ACTIONS(2322),
    [anon_sym___inline] = ACTIONS(2322),
    [anon_sym___inline__] = ACTIONS(2322),
    [anon_sym___forceinline] = ACTIONS(2322),
    [anon_sym_thread_local] = ACTIONS(2322),
    [anon_sym___thread] = ACTIONS(2322),
    [anon_sym_const] = ACTIONS(2322),
    [anon_sym_constexpr] = ACTIONS(2322),
    [anon_sym_volatile] = ACTIONS(2322),
    [anon_sym_restrict] = ACTIONS(2322),
    [anon_sym___restrict__] = ACTIONS(2322),
    [anon_sym__Atomic] = ACTIONS(2322),
    [anon_sym__Noreturn] = ACTIONS(2322),
    [anon_sym_noreturn] = ACTIONS(2322),
    [anon_sym_mutable] = ACTIONS(2322),
    [anon_sym_constinit] = ACTIONS(2322),
    [anon_sym_consteval] = ACTIONS(2322),
    [sym_primitive_type] = ACTIONS(2322),
    [anon_sym_enum] = ACTIONS(2322),
    [anon_sym_class] = ACTIONS(2322),
    [anon_sym_struct] = ACTIONS(2322),
    [anon_sym_union] = ACTIONS(2322),
    [anon_sym_if] = ACTIONS(2322),
    [anon_sym_else] = ACTIONS(2322),
    [anon_sym_switch] = ACTIONS(2322),
    [anon_sym_case] = ACTIONS(2322),
    [anon_sym_default] = ACTIONS(2322),
    [anon_sym_while] = ACTIONS(2322),
    [anon_sym_do] = ACTIONS(2322),
    [anon_sym_for] = ACTIONS(2322),
    [anon_sym_return] = ACTIONS(2322),
    [anon_sym_break] = ACTIONS(2322),
    [anon_sym_continue] = ACTIONS(2322),
    [anon_sym_goto] = ACTIONS(2322),
    [anon_sym___try] = ACTIONS(2322),
    [anon_sym___leave] = ACTIONS(2322),
    [anon_sym_not] = ACTIONS(2322),
    [anon_sym_compl] = ACTIONS(2322),
    [anon_sym_DASH_DASH] = ACTIONS(2324),
    [anon_sym_PLUS_PLUS] = ACTIONS(2324),
    [anon_sym_sizeof] = ACTIONS(2322),
    [anon_sym___alignof__] = ACTIONS(2322),
    [anon_sym___alignof] = ACTIONS(2322),
    [anon_sym__alignof] = ACTIONS(2322),
    [anon_sym_alignof] = ACTIONS(2322),
    [anon_sym__Alignof] = ACTIONS(2322),
    [anon_sym_offsetof] = ACTIONS(2322),
    [anon_sym__Generic] = ACTIONS(2322),
    [anon_sym_asm] = ACTIONS(2322),
    [anon_sym___asm__] = ACTIONS(2322),
    [sym_number_literal] = ACTIONS(2324),
    [anon_sym_L_SQUOTE] = ACTIONS(2324),
    [anon_sym_u_SQUOTE] = ACTIONS(2324),
    [anon_sym_U_SQUOTE] = ACTIONS(2324),
    [anon_sym_u8_SQUOTE] = ACTIONS(2324),
    [anon_sym_SQUOTE] = ACTIONS(2324),
    [anon_sym_L_DQUOTE] = ACTIONS(2324),
    [anon_sym_u_DQUOTE] = ACTIONS(2324),
    [anon_sym_U_DQUOTE] = ACTIONS(2324),
    [anon_sym_u8_DQUOTE] = ACTIONS(2324),
    [anon_sym_DQUOTE] = ACTIONS(2324),
    [sym_true] = ACTIONS(2322),
    [sym_false] = ACTIONS(2322),
    [anon_sym_NULL] = ACTIONS(2322),
    [anon_sym_nullptr] = ACTIONS(2322),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2322),
    [anon_sym_decltype] = ACTIONS(2322),
    [anon_sym_virtual] = ACTIONS(2322),
    [anon_sym_alignas] = ACTIONS(2322),
    [anon_sym_explicit] = ACTIONS(2322),
    [anon_sym_typename] = ACTIONS(2322),
    [anon_sym_template] = ACTIONS(2322),
    [anon_sym_operator] = ACTIONS(2322),
    [anon_sym_try] = ACTIONS(2322),
    [anon_sym_delete] = ACTIONS(2322),
    [anon_sym_throw] = ACTIONS(2322),
    [anon_sym_namespace] = ACTIONS(2322),
    [anon_sym_using] = ACTIONS(2322),
    [anon_sym_static_assert] = ACTIONS(2322),
    [anon_sym_concept] = ACTIONS(2322),
    [anon_sym_co_return] = ACTIONS(2322),
    [anon_sym_co_yield] = ACTIONS(2322),
    [anon_sym_R_DQUOTE] = ACTIONS(2324),
    [anon_sym_LR_DQUOTE] = ACTIONS(2324),
    [anon_sym_uR_DQUOTE] = ACTIONS(2324),
    [anon_sym_UR_DQUOTE] = ACTIONS(2324),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2324),
    [anon_sym_co_await] = ACTIONS(2322),
    [anon_sym_new] = ACTIONS(2322),
    [anon_sym_requires] = ACTIONS(2322),
    [sym_this] = ACTIONS(2322),
    [anon_sym_discard] = ACTIONS(2322),
    [anon_sym_precise] = ACTIONS(2322),
    [anon_sym_shared] = ACTIONS(2322),
    [anon_sym_groupshared] = ACTIONS(2322),
    [anon_sym_uniform] = ACTIONS(2322),
    [anon_sym_row_major] = ACTIONS(2322),
    [anon_sym_column_major] = ACTIONS(2322),
    [anon_sym_globallycoherent] = ACTIONS(2322),
    [anon_sym_centroid] = ACTIONS(2322),
    [anon_sym_noperspective] = ACTIONS(2322),
    [anon_sym_nointerpolation] = ACTIONS(2322),
    [anon_sym_sample] = ACTIONS(2322),
    [anon_sym_linear] = ACTIONS(2322),
    [anon_sym_snorm] = ACTIONS(2322),
    [anon_sym_unorm] = ACTIONS(2322),
    [anon_sym_point] = ACTIONS(2322),
    [anon_sym_line] = ACTIONS(2322),
    [anon_sym_triangleadj] = ACTIONS(2322),
    [anon_sym_lineadj] = ACTIONS(2322),
    [anon_sym_triangle] = ACTIONS(2322),
    [anon_sym_cbuffer] = ACTIONS(2322),
  },
  [224] = {
    [sym_identifier] = ACTIONS(2326),
    [aux_sym_preproc_include_token1] = ACTIONS(2326),
    [aux_sym_preproc_def_token1] = ACTIONS(2326),
    [aux_sym_preproc_if_token1] = ACTIONS(2326),
    [aux_sym_preproc_if_token2] = ACTIONS(2326),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2326),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2326),
    [aux_sym_preproc_else_token1] = ACTIONS(2326),
    [aux_sym_preproc_elif_token1] = ACTIONS(2326),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2326),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2326),
    [sym_preproc_directive] = ACTIONS(2326),
    [anon_sym_LPAREN2] = ACTIONS(2328),
    [anon_sym_BANG] = ACTIONS(2328),
    [anon_sym_TILDE] = ACTIONS(2328),
    [anon_sym_DASH] = ACTIONS(2326),
    [anon_sym_PLUS] = ACTIONS(2326),
    [anon_sym_STAR] = ACTIONS(2328),
    [anon_sym_AMP_AMP] = ACTIONS(2328),
    [anon_sym_AMP] = ACTIONS(2326),
    [anon_sym_SEMI] = ACTIONS(2328),
    [anon_sym___extension__] = ACTIONS(2326),
    [anon_sym_typedef] = ACTIONS(2326),
    [anon_sym_in] = ACTIONS(2326),
    [anon_sym_out] = ACTIONS(2326),
    [anon_sym_inout] = ACTIONS(2326),
    [anon_sym_extern] = ACTIONS(2326),
    [anon_sym___attribute__] = ACTIONS(2326),
    [anon_sym_COLON_COLON] = ACTIONS(2328),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2328),
    [anon_sym___declspec] = ACTIONS(2326),
    [anon_sym___based] = ACTIONS(2326),
    [anon_sym___cdecl] = ACTIONS(2326),
    [anon_sym___clrcall] = ACTIONS(2326),
    [anon_sym___stdcall] = ACTIONS(2326),
    [anon_sym___fastcall] = ACTIONS(2326),
    [anon_sym___thiscall] = ACTIONS(2326),
    [anon_sym___vectorcall] = ACTIONS(2326),
    [anon_sym_LBRACE] = ACTIONS(2328),
    [anon_sym_signed] = ACTIONS(2326),
    [anon_sym_unsigned] = ACTIONS(2326),
    [anon_sym_long] = ACTIONS(2326),
    [anon_sym_short] = ACTIONS(2326),
    [anon_sym_LBRACK] = ACTIONS(2326),
    [anon_sym_static] = ACTIONS(2326),
    [anon_sym_register] = ACTIONS(2326),
    [anon_sym_inline] = ACTIONS(2326),
    [anon_sym___inline] = ACTIONS(2326),
    [anon_sym___inline__] = ACTIONS(2326),
    [anon_sym___forceinline] = ACTIONS(2326),
    [anon_sym_thread_local] = ACTIONS(2326),
    [anon_sym___thread] = ACTIONS(2326),
    [anon_sym_const] = ACTIONS(2326),
    [anon_sym_constexpr] = ACTIONS(2326),
    [anon_sym_volatile] = ACTIONS(2326),
    [anon_sym_restrict] = ACTIONS(2326),
    [anon_sym___restrict__] = ACTIONS(2326),
    [anon_sym__Atomic] = ACTIONS(2326),
    [anon_sym__Noreturn] = ACTIONS(2326),
    [anon_sym_noreturn] = ACTIONS(2326),
    [anon_sym_mutable] = ACTIONS(2326),
    [anon_sym_constinit] = ACTIONS(2326),
    [anon_sym_consteval] = ACTIONS(2326),
    [sym_primitive_type] = ACTIONS(2326),
    [anon_sym_enum] = ACTIONS(2326),
    [anon_sym_class] = ACTIONS(2326),
    [anon_sym_struct] = ACTIONS(2326),
    [anon_sym_union] = ACTIONS(2326),
    [anon_sym_if] = ACTIONS(2326),
    [anon_sym_else] = ACTIONS(2326),
    [anon_sym_switch] = ACTIONS(2326),
    [anon_sym_case] = ACTIONS(2326),
    [anon_sym_default] = ACTIONS(2326),
    [anon_sym_while] = ACTIONS(2326),
    [anon_sym_do] = ACTIONS(2326),
    [anon_sym_for] = ACTIONS(2326),
    [anon_sym_return] = ACTIONS(2326),
    [anon_sym_break] = ACTIONS(2326),
    [anon_sym_continue] = ACTIONS(2326),
    [anon_sym_goto] = ACTIONS(2326),
    [anon_sym___try] = ACTIONS(2326),
    [anon_sym___leave] = ACTIONS(2326),
    [anon_sym_not] = ACTIONS(2326),
    [anon_sym_compl] = ACTIONS(2326),
    [anon_sym_DASH_DASH] = ACTIONS(2328),
    [anon_sym_PLUS_PLUS] = ACTIONS(2328),
    [anon_sym_sizeof] = ACTIONS(2326),
    [anon_sym___alignof__] = ACTIONS(2326),
    [anon_sym___alignof] = ACTIONS(2326),
    [anon_sym__alignof] = ACTIONS(2326),
    [anon_sym_alignof] = ACTIONS(2326),
    [anon_sym__Alignof] = ACTIONS(2326),
    [anon_sym_offsetof] = ACTIONS(2326),
    [anon_sym__Generic] = ACTIONS(2326),
    [anon_sym_asm] = ACTIONS(2326),
    [anon_sym___asm__] = ACTIONS(2326),
    [sym_number_literal] = ACTIONS(2328),
    [anon_sym_L_SQUOTE] = ACTIONS(2328),
    [anon_sym_u_SQUOTE] = ACTIONS(2328),
    [anon_sym_U_SQUOTE] = ACTIONS(2328),
    [anon_sym_u8_SQUOTE] = ACTIONS(2328),
    [anon_sym_SQUOTE] = ACTIONS(2328),
    [anon_sym_L_DQUOTE] = ACTIONS(2328),
    [anon_sym_u_DQUOTE] = ACTIONS(2328),
    [anon_sym_U_DQUOTE] = ACTIONS(2328),
    [anon_sym_u8_DQUOTE] = ACTIONS(2328),
    [anon_sym_DQUOTE] = ACTIONS(2328),
    [sym_true] = ACTIONS(2326),
    [sym_false] = ACTIONS(2326),
    [anon_sym_NULL] = ACTIONS(2326),
    [anon_sym_nullptr] = ACTIONS(2326),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2326),
    [anon_sym_decltype] = ACTIONS(2326),
    [anon_sym_virtual] = ACTIONS(2326),
    [anon_sym_alignas] = ACTIONS(2326),
    [anon_sym_explicit] = ACTIONS(2326),
    [anon_sym_typename] = ACTIONS(2326),
    [anon_sym_template] = ACTIONS(2326),
    [anon_sym_operator] = ACTIONS(2326),
    [anon_sym_try] = ACTIONS(2326),
    [anon_sym_delete] = ACTIONS(2326),
    [anon_sym_throw] = ACTIONS(2326),
    [anon_sym_namespace] = ACTIONS(2326),
    [anon_sym_using] = ACTIONS(2326),
    [anon_sym_static_assert] = ACTIONS(2326),
    [anon_sym_concept] = ACTIONS(2326),
    [anon_sym_co_return] = ACTIONS(2326),
    [anon_sym_co_yield] = ACTIONS(2326),
    [anon_sym_R_DQUOTE] = ACTIONS(2328),
    [anon_sym_LR_DQUOTE] = ACTIONS(2328),
    [anon_sym_uR_DQUOTE] = ACTIONS(2328),
    [anon_sym_UR_DQUOTE] = ACTIONS(2328),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2328),
    [anon_sym_co_await] = ACTIONS(2326),
    [anon_sym_new] = ACTIONS(2326),
    [anon_sym_requires] = ACTIONS(2326),
    [sym_this] = ACTIONS(2326),
    [anon_sym_discard] = ACTIONS(2326),
    [anon_sym_precise] = ACTIONS(2326),
    [anon_sym_shared] = ACTIONS(2326),
    [anon_sym_groupshared] = ACTIONS(2326),
    [anon_sym_uniform] = ACTIONS(2326),
    [anon_sym_row_major] = ACTIONS(2326),
    [anon_sym_column_major] = ACTIONS(2326),
    [anon_sym_globallycoherent] = ACTIONS(2326),
    [anon_sym_centroid] = ACTIONS(2326),
    [anon_sym_noperspective] = ACTIONS(2326),
    [anon_sym_nointerpolation] = ACTIONS(2326),
    [anon_sym_sample] = ACTIONS(2326),
    [anon_sym_linear] = ACTIONS(2326),
    [anon_sym_snorm] = ACTIONS(2326),
    [anon_sym_unorm] = ACTIONS(2326),
    [anon_sym_point] = ACTIONS(2326),
    [anon_sym_line] = ACTIONS(2326),
    [anon_sym_triangleadj] = ACTIONS(2326),
    [anon_sym_lineadj] = ACTIONS(2326),
    [anon_sym_triangle] = ACTIONS(2326),
    [anon_sym_cbuffer] = ACTIONS(2326),
  },
  [225] = {
    [sym_identifier] = ACTIONS(2330),
    [aux_sym_preproc_include_token1] = ACTIONS(2330),
    [aux_sym_preproc_def_token1] = ACTIONS(2330),
    [aux_sym_preproc_if_token1] = ACTIONS(2330),
    [aux_sym_preproc_if_token2] = ACTIONS(2330),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2330),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2330),
    [aux_sym_preproc_else_token1] = ACTIONS(2330),
    [aux_sym_preproc_elif_token1] = ACTIONS(2330),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2330),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2330),
    [sym_preproc_directive] = ACTIONS(2330),
    [anon_sym_LPAREN2] = ACTIONS(2332),
    [anon_sym_BANG] = ACTIONS(2332),
    [anon_sym_TILDE] = ACTIONS(2332),
    [anon_sym_DASH] = ACTIONS(2330),
    [anon_sym_PLUS] = ACTIONS(2330),
    [anon_sym_STAR] = ACTIONS(2332),
    [anon_sym_AMP_AMP] = ACTIONS(2332),
    [anon_sym_AMP] = ACTIONS(2330),
    [anon_sym_SEMI] = ACTIONS(2332),
    [anon_sym___extension__] = ACTIONS(2330),
    [anon_sym_typedef] = ACTIONS(2330),
    [anon_sym_in] = ACTIONS(2330),
    [anon_sym_out] = ACTIONS(2330),
    [anon_sym_inout] = ACTIONS(2330),
    [anon_sym_extern] = ACTIONS(2330),
    [anon_sym___attribute__] = ACTIONS(2330),
    [anon_sym_COLON_COLON] = ACTIONS(2332),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2332),
    [anon_sym___declspec] = ACTIONS(2330),
    [anon_sym___based] = ACTIONS(2330),
    [anon_sym___cdecl] = ACTIONS(2330),
    [anon_sym___clrcall] = ACTIONS(2330),
    [anon_sym___stdcall] = ACTIONS(2330),
    [anon_sym___fastcall] = ACTIONS(2330),
    [anon_sym___thiscall] = ACTIONS(2330),
    [anon_sym___vectorcall] = ACTIONS(2330),
    [anon_sym_LBRACE] = ACTIONS(2332),
    [anon_sym_signed] = ACTIONS(2330),
    [anon_sym_unsigned] = ACTIONS(2330),
    [anon_sym_long] = ACTIONS(2330),
    [anon_sym_short] = ACTIONS(2330),
    [anon_sym_LBRACK] = ACTIONS(2330),
    [anon_sym_static] = ACTIONS(2330),
    [anon_sym_register] = ACTIONS(2330),
    [anon_sym_inline] = ACTIONS(2330),
    [anon_sym___inline] = ACTIONS(2330),
    [anon_sym___inline__] = ACTIONS(2330),
    [anon_sym___forceinline] = ACTIONS(2330),
    [anon_sym_thread_local] = ACTIONS(2330),
    [anon_sym___thread] = ACTIONS(2330),
    [anon_sym_const] = ACTIONS(2330),
    [anon_sym_constexpr] = ACTIONS(2330),
    [anon_sym_volatile] = ACTIONS(2330),
    [anon_sym_restrict] = ACTIONS(2330),
    [anon_sym___restrict__] = ACTIONS(2330),
    [anon_sym__Atomic] = ACTIONS(2330),
    [anon_sym__Noreturn] = ACTIONS(2330),
    [anon_sym_noreturn] = ACTIONS(2330),
    [anon_sym_mutable] = ACTIONS(2330),
    [anon_sym_constinit] = ACTIONS(2330),
    [anon_sym_consteval] = ACTIONS(2330),
    [sym_primitive_type] = ACTIONS(2330),
    [anon_sym_enum] = ACTIONS(2330),
    [anon_sym_class] = ACTIONS(2330),
    [anon_sym_struct] = ACTIONS(2330),
    [anon_sym_union] = ACTIONS(2330),
    [anon_sym_if] = ACTIONS(2330),
    [anon_sym_else] = ACTIONS(2330),
    [anon_sym_switch] = ACTIONS(2330),
    [anon_sym_case] = ACTIONS(2330),
    [anon_sym_default] = ACTIONS(2330),
    [anon_sym_while] = ACTIONS(2330),
    [anon_sym_do] = ACTIONS(2330),
    [anon_sym_for] = ACTIONS(2330),
    [anon_sym_return] = ACTIONS(2330),
    [anon_sym_break] = ACTIONS(2330),
    [anon_sym_continue] = ACTIONS(2330),
    [anon_sym_goto] = ACTIONS(2330),
    [anon_sym___try] = ACTIONS(2330),
    [anon_sym___leave] = ACTIONS(2330),
    [anon_sym_not] = ACTIONS(2330),
    [anon_sym_compl] = ACTIONS(2330),
    [anon_sym_DASH_DASH] = ACTIONS(2332),
    [anon_sym_PLUS_PLUS] = ACTIONS(2332),
    [anon_sym_sizeof] = ACTIONS(2330),
    [anon_sym___alignof__] = ACTIONS(2330),
    [anon_sym___alignof] = ACTIONS(2330),
    [anon_sym__alignof] = ACTIONS(2330),
    [anon_sym_alignof] = ACTIONS(2330),
    [anon_sym__Alignof] = ACTIONS(2330),
    [anon_sym_offsetof] = ACTIONS(2330),
    [anon_sym__Generic] = ACTIONS(2330),
    [anon_sym_asm] = ACTIONS(2330),
    [anon_sym___asm__] = ACTIONS(2330),
    [sym_number_literal] = ACTIONS(2332),
    [anon_sym_L_SQUOTE] = ACTIONS(2332),
    [anon_sym_u_SQUOTE] = ACTIONS(2332),
    [anon_sym_U_SQUOTE] = ACTIONS(2332),
    [anon_sym_u8_SQUOTE] = ACTIONS(2332),
    [anon_sym_SQUOTE] = ACTIONS(2332),
    [anon_sym_L_DQUOTE] = ACTIONS(2332),
    [anon_sym_u_DQUOTE] = ACTIONS(2332),
    [anon_sym_U_DQUOTE] = ACTIONS(2332),
    [anon_sym_u8_DQUOTE] = ACTIONS(2332),
    [anon_sym_DQUOTE] = ACTIONS(2332),
    [sym_true] = ACTIONS(2330),
    [sym_false] = ACTIONS(2330),
    [anon_sym_NULL] = ACTIONS(2330),
    [anon_sym_nullptr] = ACTIONS(2330),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2330),
    [anon_sym_decltype] = ACTIONS(2330),
    [anon_sym_virtual] = ACTIONS(2330),
    [anon_sym_alignas] = ACTIONS(2330),
    [anon_sym_explicit] = ACTIONS(2330),
    [anon_sym_typename] = ACTIONS(2330),
    [anon_sym_template] = ACTIONS(2330),
    [anon_sym_operator] = ACTIONS(2330),
    [anon_sym_try] = ACTIONS(2330),
    [anon_sym_delete] = ACTIONS(2330),
    [anon_sym_throw] = ACTIONS(2330),
    [anon_sym_namespace] = ACTIONS(2330),
    [anon_sym_using] = ACTIONS(2330),
    [anon_sym_static_assert] = ACTIONS(2330),
    [anon_sym_concept] = ACTIONS(2330),
    [anon_sym_co_return] = ACTIONS(2330),
    [anon_sym_co_yield] = ACTIONS(2330),
    [anon_sym_R_DQUOTE] = ACTIONS(2332),
    [anon_sym_LR_DQUOTE] = ACTIONS(2332),
    [anon_sym_uR_DQUOTE] = ACTIONS(2332),
    [anon_sym_UR_DQUOTE] = ACTIONS(2332),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2332),
    [anon_sym_co_await] = ACTIONS(2330),
    [anon_sym_new] = ACTIONS(2330),
    [anon_sym_requires] = ACTIONS(2330),
    [sym_this] = ACTIONS(2330),
    [anon_sym_discard] = ACTIONS(2330),
    [anon_sym_precise] = ACTIONS(2330),
    [anon_sym_shared] = ACTIONS(2330),
    [anon_sym_groupshared] = ACTIONS(2330),
    [anon_sym_uniform] = ACTIONS(2330),
    [anon_sym_row_major] = ACTIONS(2330),
    [anon_sym_column_major] = ACTIONS(2330),
    [anon_sym_globallycoherent] = ACTIONS(2330),
    [anon_sym_centroid] = ACTIONS(2330),
    [anon_sym_noperspective] = ACTIONS(2330),
    [anon_sym_nointerpolation] = ACTIONS(2330),
    [anon_sym_sample] = ACTIONS(2330),
    [anon_sym_linear] = ACTIONS(2330),
    [anon_sym_snorm] = ACTIONS(2330),
    [anon_sym_unorm] = ACTIONS(2330),
    [anon_sym_point] = ACTIONS(2330),
    [anon_sym_line] = ACTIONS(2330),
    [anon_sym_triangleadj] = ACTIONS(2330),
    [anon_sym_lineadj] = ACTIONS(2330),
    [anon_sym_triangle] = ACTIONS(2330),
    [anon_sym_cbuffer] = ACTIONS(2330),
  },
  [226] = {
    [sym_identifier] = ACTIONS(2334),
    [aux_sym_preproc_include_token1] = ACTIONS(2334),
    [aux_sym_preproc_def_token1] = ACTIONS(2334),
    [aux_sym_preproc_if_token1] = ACTIONS(2334),
    [aux_sym_preproc_if_token2] = ACTIONS(2334),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2334),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2334),
    [aux_sym_preproc_else_token1] = ACTIONS(2334),
    [aux_sym_preproc_elif_token1] = ACTIONS(2334),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2334),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2334),
    [sym_preproc_directive] = ACTIONS(2334),
    [anon_sym_LPAREN2] = ACTIONS(2336),
    [anon_sym_BANG] = ACTIONS(2336),
    [anon_sym_TILDE] = ACTIONS(2336),
    [anon_sym_DASH] = ACTIONS(2334),
    [anon_sym_PLUS] = ACTIONS(2334),
    [anon_sym_STAR] = ACTIONS(2336),
    [anon_sym_AMP_AMP] = ACTIONS(2336),
    [anon_sym_AMP] = ACTIONS(2334),
    [anon_sym_SEMI] = ACTIONS(2336),
    [anon_sym___extension__] = ACTIONS(2334),
    [anon_sym_typedef] = ACTIONS(2334),
    [anon_sym_in] = ACTIONS(2334),
    [anon_sym_out] = ACTIONS(2334),
    [anon_sym_inout] = ACTIONS(2334),
    [anon_sym_extern] = ACTIONS(2334),
    [anon_sym___attribute__] = ACTIONS(2334),
    [anon_sym_COLON_COLON] = ACTIONS(2336),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2336),
    [anon_sym___declspec] = ACTIONS(2334),
    [anon_sym___based] = ACTIONS(2334),
    [anon_sym___cdecl] = ACTIONS(2334),
    [anon_sym___clrcall] = ACTIONS(2334),
    [anon_sym___stdcall] = ACTIONS(2334),
    [anon_sym___fastcall] = ACTIONS(2334),
    [anon_sym___thiscall] = ACTIONS(2334),
    [anon_sym___vectorcall] = ACTIONS(2334),
    [anon_sym_LBRACE] = ACTIONS(2336),
    [anon_sym_signed] = ACTIONS(2334),
    [anon_sym_unsigned] = ACTIONS(2334),
    [anon_sym_long] = ACTIONS(2334),
    [anon_sym_short] = ACTIONS(2334),
    [anon_sym_LBRACK] = ACTIONS(2334),
    [anon_sym_static] = ACTIONS(2334),
    [anon_sym_register] = ACTIONS(2334),
    [anon_sym_inline] = ACTIONS(2334),
    [anon_sym___inline] = ACTIONS(2334),
    [anon_sym___inline__] = ACTIONS(2334),
    [anon_sym___forceinline] = ACTIONS(2334),
    [anon_sym_thread_local] = ACTIONS(2334),
    [anon_sym___thread] = ACTIONS(2334),
    [anon_sym_const] = ACTIONS(2334),
    [anon_sym_constexpr] = ACTIONS(2334),
    [anon_sym_volatile] = ACTIONS(2334),
    [anon_sym_restrict] = ACTIONS(2334),
    [anon_sym___restrict__] = ACTIONS(2334),
    [anon_sym__Atomic] = ACTIONS(2334),
    [anon_sym__Noreturn] = ACTIONS(2334),
    [anon_sym_noreturn] = ACTIONS(2334),
    [anon_sym_mutable] = ACTIONS(2334),
    [anon_sym_constinit] = ACTIONS(2334),
    [anon_sym_consteval] = ACTIONS(2334),
    [sym_primitive_type] = ACTIONS(2334),
    [anon_sym_enum] = ACTIONS(2334),
    [anon_sym_class] = ACTIONS(2334),
    [anon_sym_struct] = ACTIONS(2334),
    [anon_sym_union] = ACTIONS(2334),
    [anon_sym_if] = ACTIONS(2334),
    [anon_sym_else] = ACTIONS(2334),
    [anon_sym_switch] = ACTIONS(2334),
    [anon_sym_case] = ACTIONS(2334),
    [anon_sym_default] = ACTIONS(2334),
    [anon_sym_while] = ACTIONS(2334),
    [anon_sym_do] = ACTIONS(2334),
    [anon_sym_for] = ACTIONS(2334),
    [anon_sym_return] = ACTIONS(2334),
    [anon_sym_break] = ACTIONS(2334),
    [anon_sym_continue] = ACTIONS(2334),
    [anon_sym_goto] = ACTIONS(2334),
    [anon_sym___try] = ACTIONS(2334),
    [anon_sym___leave] = ACTIONS(2334),
    [anon_sym_not] = ACTIONS(2334),
    [anon_sym_compl] = ACTIONS(2334),
    [anon_sym_DASH_DASH] = ACTIONS(2336),
    [anon_sym_PLUS_PLUS] = ACTIONS(2336),
    [anon_sym_sizeof] = ACTIONS(2334),
    [anon_sym___alignof__] = ACTIONS(2334),
    [anon_sym___alignof] = ACTIONS(2334),
    [anon_sym__alignof] = ACTIONS(2334),
    [anon_sym_alignof] = ACTIONS(2334),
    [anon_sym__Alignof] = ACTIONS(2334),
    [anon_sym_offsetof] = ACTIONS(2334),
    [anon_sym__Generic] = ACTIONS(2334),
    [anon_sym_asm] = ACTIONS(2334),
    [anon_sym___asm__] = ACTIONS(2334),
    [sym_number_literal] = ACTIONS(2336),
    [anon_sym_L_SQUOTE] = ACTIONS(2336),
    [anon_sym_u_SQUOTE] = ACTIONS(2336),
    [anon_sym_U_SQUOTE] = ACTIONS(2336),
    [anon_sym_u8_SQUOTE] = ACTIONS(2336),
    [anon_sym_SQUOTE] = ACTIONS(2336),
    [anon_sym_L_DQUOTE] = ACTIONS(2336),
    [anon_sym_u_DQUOTE] = ACTIONS(2336),
    [anon_sym_U_DQUOTE] = ACTIONS(2336),
    [anon_sym_u8_DQUOTE] = ACTIONS(2336),
    [anon_sym_DQUOTE] = ACTIONS(2336),
    [sym_true] = ACTIONS(2334),
    [sym_false] = ACTIONS(2334),
    [anon_sym_NULL] = ACTIONS(2334),
    [anon_sym_nullptr] = ACTIONS(2334),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2334),
    [anon_sym_decltype] = ACTIONS(2334),
    [anon_sym_virtual] = ACTIONS(2334),
    [anon_sym_alignas] = ACTIONS(2334),
    [anon_sym_explicit] = ACTIONS(2334),
    [anon_sym_typename] = ACTIONS(2334),
    [anon_sym_template] = ACTIONS(2334),
    [anon_sym_operator] = ACTIONS(2334),
    [anon_sym_try] = ACTIONS(2334),
    [anon_sym_delete] = ACTIONS(2334),
    [anon_sym_throw] = ACTIONS(2334),
    [anon_sym_namespace] = ACTIONS(2334),
    [anon_sym_using] = ACTIONS(2334),
    [anon_sym_static_assert] = ACTIONS(2334),
    [anon_sym_concept] = ACTIONS(2334),
    [anon_sym_co_return] = ACTIONS(2334),
    [anon_sym_co_yield] = ACTIONS(2334),
    [anon_sym_R_DQUOTE] = ACTIONS(2336),
    [anon_sym_LR_DQUOTE] = ACTIONS(2336),
    [anon_sym_uR_DQUOTE] = ACTIONS(2336),
    [anon_sym_UR_DQUOTE] = ACTIONS(2336),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2336),
    [anon_sym_co_await] = ACTIONS(2334),
    [anon_sym_new] = ACTIONS(2334),
    [anon_sym_requires] = ACTIONS(2334),
    [sym_this] = ACTIONS(2334),
    [anon_sym_discard] = ACTIONS(2334),
    [anon_sym_precise] = ACTIONS(2334),
    [anon_sym_shared] = ACTIONS(2334),
    [anon_sym_groupshared] = ACTIONS(2334),
    [anon_sym_uniform] = ACTIONS(2334),
    [anon_sym_row_major] = ACTIONS(2334),
    [anon_sym_column_major] = ACTIONS(2334),
    [anon_sym_globallycoherent] = ACTIONS(2334),
    [anon_sym_centroid] = ACTIONS(2334),
    [anon_sym_noperspective] = ACTIONS(2334),
    [anon_sym_nointerpolation] = ACTIONS(2334),
    [anon_sym_sample] = ACTIONS(2334),
    [anon_sym_linear] = ACTIONS(2334),
    [anon_sym_snorm] = ACTIONS(2334),
    [anon_sym_unorm] = ACTIONS(2334),
    [anon_sym_point] = ACTIONS(2334),
    [anon_sym_line] = ACTIONS(2334),
    [anon_sym_triangleadj] = ACTIONS(2334),
    [anon_sym_lineadj] = ACTIONS(2334),
    [anon_sym_triangle] = ACTIONS(2334),
    [anon_sym_cbuffer] = ACTIONS(2334),
  },
  [227] = {
    [sym_identifier] = ACTIONS(2330),
    [aux_sym_preproc_include_token1] = ACTIONS(2330),
    [aux_sym_preproc_def_token1] = ACTIONS(2330),
    [aux_sym_preproc_if_token1] = ACTIONS(2330),
    [aux_sym_preproc_if_token2] = ACTIONS(2330),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2330),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2330),
    [aux_sym_preproc_else_token1] = ACTIONS(2330),
    [aux_sym_preproc_elif_token1] = ACTIONS(2330),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2330),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2330),
    [sym_preproc_directive] = ACTIONS(2330),
    [anon_sym_LPAREN2] = ACTIONS(2332),
    [anon_sym_BANG] = ACTIONS(2332),
    [anon_sym_TILDE] = ACTIONS(2332),
    [anon_sym_DASH] = ACTIONS(2330),
    [anon_sym_PLUS] = ACTIONS(2330),
    [anon_sym_STAR] = ACTIONS(2332),
    [anon_sym_AMP_AMP] = ACTIONS(2332),
    [anon_sym_AMP] = ACTIONS(2330),
    [anon_sym_SEMI] = ACTIONS(2332),
    [anon_sym___extension__] = ACTIONS(2330),
    [anon_sym_typedef] = ACTIONS(2330),
    [anon_sym_in] = ACTIONS(2330),
    [anon_sym_out] = ACTIONS(2330),
    [anon_sym_inout] = ACTIONS(2330),
    [anon_sym_extern] = ACTIONS(2330),
    [anon_sym___attribute__] = ACTIONS(2330),
    [anon_sym_COLON_COLON] = ACTIONS(2332),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2332),
    [anon_sym___declspec] = ACTIONS(2330),
    [anon_sym___based] = ACTIONS(2330),
    [anon_sym___cdecl] = ACTIONS(2330),
    [anon_sym___clrcall] = ACTIONS(2330),
    [anon_sym___stdcall] = ACTIONS(2330),
    [anon_sym___fastcall] = ACTIONS(2330),
    [anon_sym___thiscall] = ACTIONS(2330),
    [anon_sym___vectorcall] = ACTIONS(2330),
    [anon_sym_LBRACE] = ACTIONS(2332),
    [anon_sym_signed] = ACTIONS(2330),
    [anon_sym_unsigned] = ACTIONS(2330),
    [anon_sym_long] = ACTIONS(2330),
    [anon_sym_short] = ACTIONS(2330),
    [anon_sym_LBRACK] = ACTIONS(2330),
    [anon_sym_static] = ACTIONS(2330),
    [anon_sym_register] = ACTIONS(2330),
    [anon_sym_inline] = ACTIONS(2330),
    [anon_sym___inline] = ACTIONS(2330),
    [anon_sym___inline__] = ACTIONS(2330),
    [anon_sym___forceinline] = ACTIONS(2330),
    [anon_sym_thread_local] = ACTIONS(2330),
    [anon_sym___thread] = ACTIONS(2330),
    [anon_sym_const] = ACTIONS(2330),
    [anon_sym_constexpr] = ACTIONS(2330),
    [anon_sym_volatile] = ACTIONS(2330),
    [anon_sym_restrict] = ACTIONS(2330),
    [anon_sym___restrict__] = ACTIONS(2330),
    [anon_sym__Atomic] = ACTIONS(2330),
    [anon_sym__Noreturn] = ACTIONS(2330),
    [anon_sym_noreturn] = ACTIONS(2330),
    [anon_sym_mutable] = ACTIONS(2330),
    [anon_sym_constinit] = ACTIONS(2330),
    [anon_sym_consteval] = ACTIONS(2330),
    [sym_primitive_type] = ACTIONS(2330),
    [anon_sym_enum] = ACTIONS(2330),
    [anon_sym_class] = ACTIONS(2330),
    [anon_sym_struct] = ACTIONS(2330),
    [anon_sym_union] = ACTIONS(2330),
    [anon_sym_if] = ACTIONS(2330),
    [anon_sym_else] = ACTIONS(2330),
    [anon_sym_switch] = ACTIONS(2330),
    [anon_sym_case] = ACTIONS(2330),
    [anon_sym_default] = ACTIONS(2330),
    [anon_sym_while] = ACTIONS(2330),
    [anon_sym_do] = ACTIONS(2330),
    [anon_sym_for] = ACTIONS(2330),
    [anon_sym_return] = ACTIONS(2330),
    [anon_sym_break] = ACTIONS(2330),
    [anon_sym_continue] = ACTIONS(2330),
    [anon_sym_goto] = ACTIONS(2330),
    [anon_sym___try] = ACTIONS(2330),
    [anon_sym___leave] = ACTIONS(2330),
    [anon_sym_not] = ACTIONS(2330),
    [anon_sym_compl] = ACTIONS(2330),
    [anon_sym_DASH_DASH] = ACTIONS(2332),
    [anon_sym_PLUS_PLUS] = ACTIONS(2332),
    [anon_sym_sizeof] = ACTIONS(2330),
    [anon_sym___alignof__] = ACTIONS(2330),
    [anon_sym___alignof] = ACTIONS(2330),
    [anon_sym__alignof] = ACTIONS(2330),
    [anon_sym_alignof] = ACTIONS(2330),
    [anon_sym__Alignof] = ACTIONS(2330),
    [anon_sym_offsetof] = ACTIONS(2330),
    [anon_sym__Generic] = ACTIONS(2330),
    [anon_sym_asm] = ACTIONS(2330),
    [anon_sym___asm__] = ACTIONS(2330),
    [sym_number_literal] = ACTIONS(2332),
    [anon_sym_L_SQUOTE] = ACTIONS(2332),
    [anon_sym_u_SQUOTE] = ACTIONS(2332),
    [anon_sym_U_SQUOTE] = ACTIONS(2332),
    [anon_sym_u8_SQUOTE] = ACTIONS(2332),
    [anon_sym_SQUOTE] = ACTIONS(2332),
    [anon_sym_L_DQUOTE] = ACTIONS(2332),
    [anon_sym_u_DQUOTE] = ACTIONS(2332),
    [anon_sym_U_DQUOTE] = ACTIONS(2332),
    [anon_sym_u8_DQUOTE] = ACTIONS(2332),
    [anon_sym_DQUOTE] = ACTIONS(2332),
    [sym_true] = ACTIONS(2330),
    [sym_false] = ACTIONS(2330),
    [anon_sym_NULL] = ACTIONS(2330),
    [anon_sym_nullptr] = ACTIONS(2330),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2330),
    [anon_sym_decltype] = ACTIONS(2330),
    [anon_sym_virtual] = ACTIONS(2330),
    [anon_sym_alignas] = ACTIONS(2330),
    [anon_sym_explicit] = ACTIONS(2330),
    [anon_sym_typename] = ACTIONS(2330),
    [anon_sym_template] = ACTIONS(2330),
    [anon_sym_operator] = ACTIONS(2330),
    [anon_sym_try] = ACTIONS(2330),
    [anon_sym_delete] = ACTIONS(2330),
    [anon_sym_throw] = ACTIONS(2330),
    [anon_sym_namespace] = ACTIONS(2330),
    [anon_sym_using] = ACTIONS(2330),
    [anon_sym_static_assert] = ACTIONS(2330),
    [anon_sym_concept] = ACTIONS(2330),
    [anon_sym_co_return] = ACTIONS(2330),
    [anon_sym_co_yield] = ACTIONS(2330),
    [anon_sym_R_DQUOTE] = ACTIONS(2332),
    [anon_sym_LR_DQUOTE] = ACTIONS(2332),
    [anon_sym_uR_DQUOTE] = ACTIONS(2332),
    [anon_sym_UR_DQUOTE] = ACTIONS(2332),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2332),
    [anon_sym_co_await] = ACTIONS(2330),
    [anon_sym_new] = ACTIONS(2330),
    [anon_sym_requires] = ACTIONS(2330),
    [sym_this] = ACTIONS(2330),
    [anon_sym_discard] = ACTIONS(2330),
    [anon_sym_precise] = ACTIONS(2330),
    [anon_sym_shared] = ACTIONS(2330),
    [anon_sym_groupshared] = ACTIONS(2330),
    [anon_sym_uniform] = ACTIONS(2330),
    [anon_sym_row_major] = ACTIONS(2330),
    [anon_sym_column_major] = ACTIONS(2330),
    [anon_sym_globallycoherent] = ACTIONS(2330),
    [anon_sym_centroid] = ACTIONS(2330),
    [anon_sym_noperspective] = ACTIONS(2330),
    [anon_sym_nointerpolation] = ACTIONS(2330),
    [anon_sym_sample] = ACTIONS(2330),
    [anon_sym_linear] = ACTIONS(2330),
    [anon_sym_snorm] = ACTIONS(2330),
    [anon_sym_unorm] = ACTIONS(2330),
    [anon_sym_point] = ACTIONS(2330),
    [anon_sym_line] = ACTIONS(2330),
    [anon_sym_triangleadj] = ACTIONS(2330),
    [anon_sym_lineadj] = ACTIONS(2330),
    [anon_sym_triangle] = ACTIONS(2330),
    [anon_sym_cbuffer] = ACTIONS(2330),
  },
  [228] = {
    [sym_identifier] = ACTIONS(2330),
    [aux_sym_preproc_include_token1] = ACTIONS(2330),
    [aux_sym_preproc_def_token1] = ACTIONS(2330),
    [aux_sym_preproc_if_token1] = ACTIONS(2330),
    [aux_sym_preproc_if_token2] = ACTIONS(2330),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2330),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2330),
    [aux_sym_preproc_else_token1] = ACTIONS(2330),
    [aux_sym_preproc_elif_token1] = ACTIONS(2330),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2330),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2330),
    [sym_preproc_directive] = ACTIONS(2330),
    [anon_sym_LPAREN2] = ACTIONS(2332),
    [anon_sym_BANG] = ACTIONS(2332),
    [anon_sym_TILDE] = ACTIONS(2332),
    [anon_sym_DASH] = ACTIONS(2330),
    [anon_sym_PLUS] = ACTIONS(2330),
    [anon_sym_STAR] = ACTIONS(2332),
    [anon_sym_AMP_AMP] = ACTIONS(2332),
    [anon_sym_AMP] = ACTIONS(2330),
    [anon_sym_SEMI] = ACTIONS(2332),
    [anon_sym___extension__] = ACTIONS(2330),
    [anon_sym_typedef] = ACTIONS(2330),
    [anon_sym_in] = ACTIONS(2330),
    [anon_sym_out] = ACTIONS(2330),
    [anon_sym_inout] = ACTIONS(2330),
    [anon_sym_extern] = ACTIONS(2330),
    [anon_sym___attribute__] = ACTIONS(2330),
    [anon_sym_COLON_COLON] = ACTIONS(2332),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2332),
    [anon_sym___declspec] = ACTIONS(2330),
    [anon_sym___based] = ACTIONS(2330),
    [anon_sym___cdecl] = ACTIONS(2330),
    [anon_sym___clrcall] = ACTIONS(2330),
    [anon_sym___stdcall] = ACTIONS(2330),
    [anon_sym___fastcall] = ACTIONS(2330),
    [anon_sym___thiscall] = ACTIONS(2330),
    [anon_sym___vectorcall] = ACTIONS(2330),
    [anon_sym_LBRACE] = ACTIONS(2332),
    [anon_sym_signed] = ACTIONS(2330),
    [anon_sym_unsigned] = ACTIONS(2330),
    [anon_sym_long] = ACTIONS(2330),
    [anon_sym_short] = ACTIONS(2330),
    [anon_sym_LBRACK] = ACTIONS(2330),
    [anon_sym_static] = ACTIONS(2330),
    [anon_sym_register] = ACTIONS(2330),
    [anon_sym_inline] = ACTIONS(2330),
    [anon_sym___inline] = ACTIONS(2330),
    [anon_sym___inline__] = ACTIONS(2330),
    [anon_sym___forceinline] = ACTIONS(2330),
    [anon_sym_thread_local] = ACTIONS(2330),
    [anon_sym___thread] = ACTIONS(2330),
    [anon_sym_const] = ACTIONS(2330),
    [anon_sym_constexpr] = ACTIONS(2330),
    [anon_sym_volatile] = ACTIONS(2330),
    [anon_sym_restrict] = ACTIONS(2330),
    [anon_sym___restrict__] = ACTIONS(2330),
    [anon_sym__Atomic] = ACTIONS(2330),
    [anon_sym__Noreturn] = ACTIONS(2330),
    [anon_sym_noreturn] = ACTIONS(2330),
    [anon_sym_mutable] = ACTIONS(2330),
    [anon_sym_constinit] = ACTIONS(2330),
    [anon_sym_consteval] = ACTIONS(2330),
    [sym_primitive_type] = ACTIONS(2330),
    [anon_sym_enum] = ACTIONS(2330),
    [anon_sym_class] = ACTIONS(2330),
    [anon_sym_struct] = ACTIONS(2330),
    [anon_sym_union] = ACTIONS(2330),
    [anon_sym_if] = ACTIONS(2330),
    [anon_sym_else] = ACTIONS(2330),
    [anon_sym_switch] = ACTIONS(2330),
    [anon_sym_case] = ACTIONS(2330),
    [anon_sym_default] = ACTIONS(2330),
    [anon_sym_while] = ACTIONS(2330),
    [anon_sym_do] = ACTIONS(2330),
    [anon_sym_for] = ACTIONS(2330),
    [anon_sym_return] = ACTIONS(2330),
    [anon_sym_break] = ACTIONS(2330),
    [anon_sym_continue] = ACTIONS(2330),
    [anon_sym_goto] = ACTIONS(2330),
    [anon_sym___try] = ACTIONS(2330),
    [anon_sym___leave] = ACTIONS(2330),
    [anon_sym_not] = ACTIONS(2330),
    [anon_sym_compl] = ACTIONS(2330),
    [anon_sym_DASH_DASH] = ACTIONS(2332),
    [anon_sym_PLUS_PLUS] = ACTIONS(2332),
    [anon_sym_sizeof] = ACTIONS(2330),
    [anon_sym___alignof__] = ACTIONS(2330),
    [anon_sym___alignof] = ACTIONS(2330),
    [anon_sym__alignof] = ACTIONS(2330),
    [anon_sym_alignof] = ACTIONS(2330),
    [anon_sym__Alignof] = ACTIONS(2330),
    [anon_sym_offsetof] = ACTIONS(2330),
    [anon_sym__Generic] = ACTIONS(2330),
    [anon_sym_asm] = ACTIONS(2330),
    [anon_sym___asm__] = ACTIONS(2330),
    [sym_number_literal] = ACTIONS(2332),
    [anon_sym_L_SQUOTE] = ACTIONS(2332),
    [anon_sym_u_SQUOTE] = ACTIONS(2332),
    [anon_sym_U_SQUOTE] = ACTIONS(2332),
    [anon_sym_u8_SQUOTE] = ACTIONS(2332),
    [anon_sym_SQUOTE] = ACTIONS(2332),
    [anon_sym_L_DQUOTE] = ACTIONS(2332),
    [anon_sym_u_DQUOTE] = ACTIONS(2332),
    [anon_sym_U_DQUOTE] = ACTIONS(2332),
    [anon_sym_u8_DQUOTE] = ACTIONS(2332),
    [anon_sym_DQUOTE] = ACTIONS(2332),
    [sym_true] = ACTIONS(2330),
    [sym_false] = ACTIONS(2330),
    [anon_sym_NULL] = ACTIONS(2330),
    [anon_sym_nullptr] = ACTIONS(2330),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2330),
    [anon_sym_decltype] = ACTIONS(2330),
    [anon_sym_virtual] = ACTIONS(2330),
    [anon_sym_alignas] = ACTIONS(2330),
    [anon_sym_explicit] = ACTIONS(2330),
    [anon_sym_typename] = ACTIONS(2330),
    [anon_sym_template] = ACTIONS(2330),
    [anon_sym_operator] = ACTIONS(2330),
    [anon_sym_try] = ACTIONS(2330),
    [anon_sym_delete] = ACTIONS(2330),
    [anon_sym_throw] = ACTIONS(2330),
    [anon_sym_namespace] = ACTIONS(2330),
    [anon_sym_using] = ACTIONS(2330),
    [anon_sym_static_assert] = ACTIONS(2330),
    [anon_sym_concept] = ACTIONS(2330),
    [anon_sym_co_return] = ACTIONS(2330),
    [anon_sym_co_yield] = ACTIONS(2330),
    [anon_sym_R_DQUOTE] = ACTIONS(2332),
    [anon_sym_LR_DQUOTE] = ACTIONS(2332),
    [anon_sym_uR_DQUOTE] = ACTIONS(2332),
    [anon_sym_UR_DQUOTE] = ACTIONS(2332),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2332),
    [anon_sym_co_await] = ACTIONS(2330),
    [anon_sym_new] = ACTIONS(2330),
    [anon_sym_requires] = ACTIONS(2330),
    [sym_this] = ACTIONS(2330),
    [anon_sym_discard] = ACTIONS(2330),
    [anon_sym_precise] = ACTIONS(2330),
    [anon_sym_shared] = ACTIONS(2330),
    [anon_sym_groupshared] = ACTIONS(2330),
    [anon_sym_uniform] = ACTIONS(2330),
    [anon_sym_row_major] = ACTIONS(2330),
    [anon_sym_column_major] = ACTIONS(2330),
    [anon_sym_globallycoherent] = ACTIONS(2330),
    [anon_sym_centroid] = ACTIONS(2330),
    [anon_sym_noperspective] = ACTIONS(2330),
    [anon_sym_nointerpolation] = ACTIONS(2330),
    [anon_sym_sample] = ACTIONS(2330),
    [anon_sym_linear] = ACTIONS(2330),
    [anon_sym_snorm] = ACTIONS(2330),
    [anon_sym_unorm] = ACTIONS(2330),
    [anon_sym_point] = ACTIONS(2330),
    [anon_sym_line] = ACTIONS(2330),
    [anon_sym_triangleadj] = ACTIONS(2330),
    [anon_sym_lineadj] = ACTIONS(2330),
    [anon_sym_triangle] = ACTIONS(2330),
    [anon_sym_cbuffer] = ACTIONS(2330),
  },
  [229] = {
    [sym_identifier] = ACTIONS(2338),
    [aux_sym_preproc_include_token1] = ACTIONS(2338),
    [aux_sym_preproc_def_token1] = ACTIONS(2338),
    [aux_sym_preproc_if_token1] = ACTIONS(2338),
    [aux_sym_preproc_if_token2] = ACTIONS(2338),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2338),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2338),
    [aux_sym_preproc_else_token1] = ACTIONS(2338),
    [aux_sym_preproc_elif_token1] = ACTIONS(2338),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2338),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2338),
    [sym_preproc_directive] = ACTIONS(2338),
    [anon_sym_LPAREN2] = ACTIONS(2340),
    [anon_sym_BANG] = ACTIONS(2340),
    [anon_sym_TILDE] = ACTIONS(2340),
    [anon_sym_DASH] = ACTIONS(2338),
    [anon_sym_PLUS] = ACTIONS(2338),
    [anon_sym_STAR] = ACTIONS(2340),
    [anon_sym_AMP_AMP] = ACTIONS(2340),
    [anon_sym_AMP] = ACTIONS(2338),
    [anon_sym_SEMI] = ACTIONS(2340),
    [anon_sym___extension__] = ACTIONS(2338),
    [anon_sym_typedef] = ACTIONS(2338),
    [anon_sym_in] = ACTIONS(2338),
    [anon_sym_out] = ACTIONS(2338),
    [anon_sym_inout] = ACTIONS(2338),
    [anon_sym_extern] = ACTIONS(2338),
    [anon_sym___attribute__] = ACTIONS(2338),
    [anon_sym_COLON_COLON] = ACTIONS(2340),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2340),
    [anon_sym___declspec] = ACTIONS(2338),
    [anon_sym___based] = ACTIONS(2338),
    [anon_sym___cdecl] = ACTIONS(2338),
    [anon_sym___clrcall] = ACTIONS(2338),
    [anon_sym___stdcall] = ACTIONS(2338),
    [anon_sym___fastcall] = ACTIONS(2338),
    [anon_sym___thiscall] = ACTIONS(2338),
    [anon_sym___vectorcall] = ACTIONS(2338),
    [anon_sym_LBRACE] = ACTIONS(2340),
    [anon_sym_signed] = ACTIONS(2338),
    [anon_sym_unsigned] = ACTIONS(2338),
    [anon_sym_long] = ACTIONS(2338),
    [anon_sym_short] = ACTIONS(2338),
    [anon_sym_LBRACK] = ACTIONS(2338),
    [anon_sym_static] = ACTIONS(2338),
    [anon_sym_register] = ACTIONS(2338),
    [anon_sym_inline] = ACTIONS(2338),
    [anon_sym___inline] = ACTIONS(2338),
    [anon_sym___inline__] = ACTIONS(2338),
    [anon_sym___forceinline] = ACTIONS(2338),
    [anon_sym_thread_local] = ACTIONS(2338),
    [anon_sym___thread] = ACTIONS(2338),
    [anon_sym_const] = ACTIONS(2338),
    [anon_sym_constexpr] = ACTIONS(2338),
    [anon_sym_volatile] = ACTIONS(2338),
    [anon_sym_restrict] = ACTIONS(2338),
    [anon_sym___restrict__] = ACTIONS(2338),
    [anon_sym__Atomic] = ACTIONS(2338),
    [anon_sym__Noreturn] = ACTIONS(2338),
    [anon_sym_noreturn] = ACTIONS(2338),
    [anon_sym_mutable] = ACTIONS(2338),
    [anon_sym_constinit] = ACTIONS(2338),
    [anon_sym_consteval] = ACTIONS(2338),
    [sym_primitive_type] = ACTIONS(2338),
    [anon_sym_enum] = ACTIONS(2338),
    [anon_sym_class] = ACTIONS(2338),
    [anon_sym_struct] = ACTIONS(2338),
    [anon_sym_union] = ACTIONS(2338),
    [anon_sym_if] = ACTIONS(2338),
    [anon_sym_else] = ACTIONS(2338),
    [anon_sym_switch] = ACTIONS(2338),
    [anon_sym_case] = ACTIONS(2338),
    [anon_sym_default] = ACTIONS(2338),
    [anon_sym_while] = ACTIONS(2338),
    [anon_sym_do] = ACTIONS(2338),
    [anon_sym_for] = ACTIONS(2338),
    [anon_sym_return] = ACTIONS(2338),
    [anon_sym_break] = ACTIONS(2338),
    [anon_sym_continue] = ACTIONS(2338),
    [anon_sym_goto] = ACTIONS(2338),
    [anon_sym___try] = ACTIONS(2338),
    [anon_sym___leave] = ACTIONS(2338),
    [anon_sym_not] = ACTIONS(2338),
    [anon_sym_compl] = ACTIONS(2338),
    [anon_sym_DASH_DASH] = ACTIONS(2340),
    [anon_sym_PLUS_PLUS] = ACTIONS(2340),
    [anon_sym_sizeof] = ACTIONS(2338),
    [anon_sym___alignof__] = ACTIONS(2338),
    [anon_sym___alignof] = ACTIONS(2338),
    [anon_sym__alignof] = ACTIONS(2338),
    [anon_sym_alignof] = ACTIONS(2338),
    [anon_sym__Alignof] = ACTIONS(2338),
    [anon_sym_offsetof] = ACTIONS(2338),
    [anon_sym__Generic] = ACTIONS(2338),
    [anon_sym_asm] = ACTIONS(2338),
    [anon_sym___asm__] = ACTIONS(2338),
    [sym_number_literal] = ACTIONS(2340),
    [anon_sym_L_SQUOTE] = ACTIONS(2340),
    [anon_sym_u_SQUOTE] = ACTIONS(2340),
    [anon_sym_U_SQUOTE] = ACTIONS(2340),
    [anon_sym_u8_SQUOTE] = ACTIONS(2340),
    [anon_sym_SQUOTE] = ACTIONS(2340),
    [anon_sym_L_DQUOTE] = ACTIONS(2340),
    [anon_sym_u_DQUOTE] = ACTIONS(2340),
    [anon_sym_U_DQUOTE] = ACTIONS(2340),
    [anon_sym_u8_DQUOTE] = ACTIONS(2340),
    [anon_sym_DQUOTE] = ACTIONS(2340),
    [sym_true] = ACTIONS(2338),
    [sym_false] = ACTIONS(2338),
    [anon_sym_NULL] = ACTIONS(2338),
    [anon_sym_nullptr] = ACTIONS(2338),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2338),
    [anon_sym_decltype] = ACTIONS(2338),
    [anon_sym_virtual] = ACTIONS(2338),
    [anon_sym_alignas] = ACTIONS(2338),
    [anon_sym_explicit] = ACTIONS(2338),
    [anon_sym_typename] = ACTIONS(2338),
    [anon_sym_template] = ACTIONS(2338),
    [anon_sym_operator] = ACTIONS(2338),
    [anon_sym_try] = ACTIONS(2338),
    [anon_sym_delete] = ACTIONS(2338),
    [anon_sym_throw] = ACTIONS(2338),
    [anon_sym_namespace] = ACTIONS(2338),
    [anon_sym_using] = ACTIONS(2338),
    [anon_sym_static_assert] = ACTIONS(2338),
    [anon_sym_concept] = ACTIONS(2338),
    [anon_sym_co_return] = ACTIONS(2338),
    [anon_sym_co_yield] = ACTIONS(2338),
    [anon_sym_R_DQUOTE] = ACTIONS(2340),
    [anon_sym_LR_DQUOTE] = ACTIONS(2340),
    [anon_sym_uR_DQUOTE] = ACTIONS(2340),
    [anon_sym_UR_DQUOTE] = ACTIONS(2340),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2340),
    [anon_sym_co_await] = ACTIONS(2338),
    [anon_sym_new] = ACTIONS(2338),
    [anon_sym_requires] = ACTIONS(2338),
    [sym_this] = ACTIONS(2338),
    [anon_sym_discard] = ACTIONS(2338),
    [anon_sym_precise] = ACTIONS(2338),
    [anon_sym_shared] = ACTIONS(2338),
    [anon_sym_groupshared] = ACTIONS(2338),
    [anon_sym_uniform] = ACTIONS(2338),
    [anon_sym_row_major] = ACTIONS(2338),
    [anon_sym_column_major] = ACTIONS(2338),
    [anon_sym_globallycoherent] = ACTIONS(2338),
    [anon_sym_centroid] = ACTIONS(2338),
    [anon_sym_noperspective] = ACTIONS(2338),
    [anon_sym_nointerpolation] = ACTIONS(2338),
    [anon_sym_sample] = ACTIONS(2338),
    [anon_sym_linear] = ACTIONS(2338),
    [anon_sym_snorm] = ACTIONS(2338),
    [anon_sym_unorm] = ACTIONS(2338),
    [anon_sym_point] = ACTIONS(2338),
    [anon_sym_line] = ACTIONS(2338),
    [anon_sym_triangleadj] = ACTIONS(2338),
    [anon_sym_lineadj] = ACTIONS(2338),
    [anon_sym_triangle] = ACTIONS(2338),
    [anon_sym_cbuffer] = ACTIONS(2338),
  },
  [230] = {
    [sym_identifier] = ACTIONS(2330),
    [aux_sym_preproc_include_token1] = ACTIONS(2330),
    [aux_sym_preproc_def_token1] = ACTIONS(2330),
    [aux_sym_preproc_if_token1] = ACTIONS(2330),
    [aux_sym_preproc_if_token2] = ACTIONS(2330),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2330),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2330),
    [aux_sym_preproc_else_token1] = ACTIONS(2330),
    [aux_sym_preproc_elif_token1] = ACTIONS(2330),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2330),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2330),
    [sym_preproc_directive] = ACTIONS(2330),
    [anon_sym_LPAREN2] = ACTIONS(2332),
    [anon_sym_BANG] = ACTIONS(2332),
    [anon_sym_TILDE] = ACTIONS(2332),
    [anon_sym_DASH] = ACTIONS(2330),
    [anon_sym_PLUS] = ACTIONS(2330),
    [anon_sym_STAR] = ACTIONS(2332),
    [anon_sym_AMP_AMP] = ACTIONS(2332),
    [anon_sym_AMP] = ACTIONS(2330),
    [anon_sym_SEMI] = ACTIONS(2332),
    [anon_sym___extension__] = ACTIONS(2330),
    [anon_sym_typedef] = ACTIONS(2330),
    [anon_sym_in] = ACTIONS(2330),
    [anon_sym_out] = ACTIONS(2330),
    [anon_sym_inout] = ACTIONS(2330),
    [anon_sym_extern] = ACTIONS(2330),
    [anon_sym___attribute__] = ACTIONS(2330),
    [anon_sym_COLON_COLON] = ACTIONS(2332),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2332),
    [anon_sym___declspec] = ACTIONS(2330),
    [anon_sym___based] = ACTIONS(2330),
    [anon_sym___cdecl] = ACTIONS(2330),
    [anon_sym___clrcall] = ACTIONS(2330),
    [anon_sym___stdcall] = ACTIONS(2330),
    [anon_sym___fastcall] = ACTIONS(2330),
    [anon_sym___thiscall] = ACTIONS(2330),
    [anon_sym___vectorcall] = ACTIONS(2330),
    [anon_sym_LBRACE] = ACTIONS(2332),
    [anon_sym_signed] = ACTIONS(2330),
    [anon_sym_unsigned] = ACTIONS(2330),
    [anon_sym_long] = ACTIONS(2330),
    [anon_sym_short] = ACTIONS(2330),
    [anon_sym_LBRACK] = ACTIONS(2330),
    [anon_sym_static] = ACTIONS(2330),
    [anon_sym_register] = ACTIONS(2330),
    [anon_sym_inline] = ACTIONS(2330),
    [anon_sym___inline] = ACTIONS(2330),
    [anon_sym___inline__] = ACTIONS(2330),
    [anon_sym___forceinline] = ACTIONS(2330),
    [anon_sym_thread_local] = ACTIONS(2330),
    [anon_sym___thread] = ACTIONS(2330),
    [anon_sym_const] = ACTIONS(2330),
    [anon_sym_constexpr] = ACTIONS(2330),
    [anon_sym_volatile] = ACTIONS(2330),
    [anon_sym_restrict] = ACTIONS(2330),
    [anon_sym___restrict__] = ACTIONS(2330),
    [anon_sym__Atomic] = ACTIONS(2330),
    [anon_sym__Noreturn] = ACTIONS(2330),
    [anon_sym_noreturn] = ACTIONS(2330),
    [anon_sym_mutable] = ACTIONS(2330),
    [anon_sym_constinit] = ACTIONS(2330),
    [anon_sym_consteval] = ACTIONS(2330),
    [sym_primitive_type] = ACTIONS(2330),
    [anon_sym_enum] = ACTIONS(2330),
    [anon_sym_class] = ACTIONS(2330),
    [anon_sym_struct] = ACTIONS(2330),
    [anon_sym_union] = ACTIONS(2330),
    [anon_sym_if] = ACTIONS(2330),
    [anon_sym_else] = ACTIONS(2330),
    [anon_sym_switch] = ACTIONS(2330),
    [anon_sym_case] = ACTIONS(2330),
    [anon_sym_default] = ACTIONS(2330),
    [anon_sym_while] = ACTIONS(2330),
    [anon_sym_do] = ACTIONS(2330),
    [anon_sym_for] = ACTIONS(2330),
    [anon_sym_return] = ACTIONS(2330),
    [anon_sym_break] = ACTIONS(2330),
    [anon_sym_continue] = ACTIONS(2330),
    [anon_sym_goto] = ACTIONS(2330),
    [anon_sym___try] = ACTIONS(2330),
    [anon_sym___leave] = ACTIONS(2330),
    [anon_sym_not] = ACTIONS(2330),
    [anon_sym_compl] = ACTIONS(2330),
    [anon_sym_DASH_DASH] = ACTIONS(2332),
    [anon_sym_PLUS_PLUS] = ACTIONS(2332),
    [anon_sym_sizeof] = ACTIONS(2330),
    [anon_sym___alignof__] = ACTIONS(2330),
    [anon_sym___alignof] = ACTIONS(2330),
    [anon_sym__alignof] = ACTIONS(2330),
    [anon_sym_alignof] = ACTIONS(2330),
    [anon_sym__Alignof] = ACTIONS(2330),
    [anon_sym_offsetof] = ACTIONS(2330),
    [anon_sym__Generic] = ACTIONS(2330),
    [anon_sym_asm] = ACTIONS(2330),
    [anon_sym___asm__] = ACTIONS(2330),
    [sym_number_literal] = ACTIONS(2332),
    [anon_sym_L_SQUOTE] = ACTIONS(2332),
    [anon_sym_u_SQUOTE] = ACTIONS(2332),
    [anon_sym_U_SQUOTE] = ACTIONS(2332),
    [anon_sym_u8_SQUOTE] = ACTIONS(2332),
    [anon_sym_SQUOTE] = ACTIONS(2332),
    [anon_sym_L_DQUOTE] = ACTIONS(2332),
    [anon_sym_u_DQUOTE] = ACTIONS(2332),
    [anon_sym_U_DQUOTE] = ACTIONS(2332),
    [anon_sym_u8_DQUOTE] = ACTIONS(2332),
    [anon_sym_DQUOTE] = ACTIONS(2332),
    [sym_true] = ACTIONS(2330),
    [sym_false] = ACTIONS(2330),
    [anon_sym_NULL] = ACTIONS(2330),
    [anon_sym_nullptr] = ACTIONS(2330),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2330),
    [anon_sym_decltype] = ACTIONS(2330),
    [anon_sym_virtual] = ACTIONS(2330),
    [anon_sym_alignas] = ACTIONS(2330),
    [anon_sym_explicit] = ACTIONS(2330),
    [anon_sym_typename] = ACTIONS(2330),
    [anon_sym_template] = ACTIONS(2330),
    [anon_sym_operator] = ACTIONS(2330),
    [anon_sym_try] = ACTIONS(2330),
    [anon_sym_delete] = ACTIONS(2330),
    [anon_sym_throw] = ACTIONS(2330),
    [anon_sym_namespace] = ACTIONS(2330),
    [anon_sym_using] = ACTIONS(2330),
    [anon_sym_static_assert] = ACTIONS(2330),
    [anon_sym_concept] = ACTIONS(2330),
    [anon_sym_co_return] = ACTIONS(2330),
    [anon_sym_co_yield] = ACTIONS(2330),
    [anon_sym_R_DQUOTE] = ACTIONS(2332),
    [anon_sym_LR_DQUOTE] = ACTIONS(2332),
    [anon_sym_uR_DQUOTE] = ACTIONS(2332),
    [anon_sym_UR_DQUOTE] = ACTIONS(2332),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2332),
    [anon_sym_co_await] = ACTIONS(2330),
    [anon_sym_new] = ACTIONS(2330),
    [anon_sym_requires] = ACTIONS(2330),
    [sym_this] = ACTIONS(2330),
    [anon_sym_discard] = ACTIONS(2330),
    [anon_sym_precise] = ACTIONS(2330),
    [anon_sym_shared] = ACTIONS(2330),
    [anon_sym_groupshared] = ACTIONS(2330),
    [anon_sym_uniform] = ACTIONS(2330),
    [anon_sym_row_major] = ACTIONS(2330),
    [anon_sym_column_major] = ACTIONS(2330),
    [anon_sym_globallycoherent] = ACTIONS(2330),
    [anon_sym_centroid] = ACTIONS(2330),
    [anon_sym_noperspective] = ACTIONS(2330),
    [anon_sym_nointerpolation] = ACTIONS(2330),
    [anon_sym_sample] = ACTIONS(2330),
    [anon_sym_linear] = ACTIONS(2330),
    [anon_sym_snorm] = ACTIONS(2330),
    [anon_sym_unorm] = ACTIONS(2330),
    [anon_sym_point] = ACTIONS(2330),
    [anon_sym_line] = ACTIONS(2330),
    [anon_sym_triangleadj] = ACTIONS(2330),
    [anon_sym_lineadj] = ACTIONS(2330),
    [anon_sym_triangle] = ACTIONS(2330),
    [anon_sym_cbuffer] = ACTIONS(2330),
  },
  [231] = {
    [sym_identifier] = ACTIONS(2330),
    [aux_sym_preproc_include_token1] = ACTIONS(2330),
    [aux_sym_preproc_def_token1] = ACTIONS(2330),
    [aux_sym_preproc_if_token1] = ACTIONS(2330),
    [aux_sym_preproc_if_token2] = ACTIONS(2330),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2330),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2330),
    [aux_sym_preproc_else_token1] = ACTIONS(2330),
    [aux_sym_preproc_elif_token1] = ACTIONS(2330),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2330),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2330),
    [sym_preproc_directive] = ACTIONS(2330),
    [anon_sym_LPAREN2] = ACTIONS(2332),
    [anon_sym_BANG] = ACTIONS(2332),
    [anon_sym_TILDE] = ACTIONS(2332),
    [anon_sym_DASH] = ACTIONS(2330),
    [anon_sym_PLUS] = ACTIONS(2330),
    [anon_sym_STAR] = ACTIONS(2332),
    [anon_sym_AMP_AMP] = ACTIONS(2332),
    [anon_sym_AMP] = ACTIONS(2330),
    [anon_sym_SEMI] = ACTIONS(2332),
    [anon_sym___extension__] = ACTIONS(2330),
    [anon_sym_typedef] = ACTIONS(2330),
    [anon_sym_in] = ACTIONS(2330),
    [anon_sym_out] = ACTIONS(2330),
    [anon_sym_inout] = ACTIONS(2330),
    [anon_sym_extern] = ACTIONS(2330),
    [anon_sym___attribute__] = ACTIONS(2330),
    [anon_sym_COLON_COLON] = ACTIONS(2332),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2332),
    [anon_sym___declspec] = ACTIONS(2330),
    [anon_sym___based] = ACTIONS(2330),
    [anon_sym___cdecl] = ACTIONS(2330),
    [anon_sym___clrcall] = ACTIONS(2330),
    [anon_sym___stdcall] = ACTIONS(2330),
    [anon_sym___fastcall] = ACTIONS(2330),
    [anon_sym___thiscall] = ACTIONS(2330),
    [anon_sym___vectorcall] = ACTIONS(2330),
    [anon_sym_LBRACE] = ACTIONS(2332),
    [anon_sym_signed] = ACTIONS(2330),
    [anon_sym_unsigned] = ACTIONS(2330),
    [anon_sym_long] = ACTIONS(2330),
    [anon_sym_short] = ACTIONS(2330),
    [anon_sym_LBRACK] = ACTIONS(2330),
    [anon_sym_static] = ACTIONS(2330),
    [anon_sym_register] = ACTIONS(2330),
    [anon_sym_inline] = ACTIONS(2330),
    [anon_sym___inline] = ACTIONS(2330),
    [anon_sym___inline__] = ACTIONS(2330),
    [anon_sym___forceinline] = ACTIONS(2330),
    [anon_sym_thread_local] = ACTIONS(2330),
    [anon_sym___thread] = ACTIONS(2330),
    [anon_sym_const] = ACTIONS(2330),
    [anon_sym_constexpr] = ACTIONS(2330),
    [anon_sym_volatile] = ACTIONS(2330),
    [anon_sym_restrict] = ACTIONS(2330),
    [anon_sym___restrict__] = ACTIONS(2330),
    [anon_sym__Atomic] = ACTIONS(2330),
    [anon_sym__Noreturn] = ACTIONS(2330),
    [anon_sym_noreturn] = ACTIONS(2330),
    [anon_sym_mutable] = ACTIONS(2330),
    [anon_sym_constinit] = ACTIONS(2330),
    [anon_sym_consteval] = ACTIONS(2330),
    [sym_primitive_type] = ACTIONS(2330),
    [anon_sym_enum] = ACTIONS(2330),
    [anon_sym_class] = ACTIONS(2330),
    [anon_sym_struct] = ACTIONS(2330),
    [anon_sym_union] = ACTIONS(2330),
    [anon_sym_if] = ACTIONS(2330),
    [anon_sym_else] = ACTIONS(2330),
    [anon_sym_switch] = ACTIONS(2330),
    [anon_sym_case] = ACTIONS(2330),
    [anon_sym_default] = ACTIONS(2330),
    [anon_sym_while] = ACTIONS(2330),
    [anon_sym_do] = ACTIONS(2330),
    [anon_sym_for] = ACTIONS(2330),
    [anon_sym_return] = ACTIONS(2330),
    [anon_sym_break] = ACTIONS(2330),
    [anon_sym_continue] = ACTIONS(2330),
    [anon_sym_goto] = ACTIONS(2330),
    [anon_sym___try] = ACTIONS(2330),
    [anon_sym___leave] = ACTIONS(2330),
    [anon_sym_not] = ACTIONS(2330),
    [anon_sym_compl] = ACTIONS(2330),
    [anon_sym_DASH_DASH] = ACTIONS(2332),
    [anon_sym_PLUS_PLUS] = ACTIONS(2332),
    [anon_sym_sizeof] = ACTIONS(2330),
    [anon_sym___alignof__] = ACTIONS(2330),
    [anon_sym___alignof] = ACTIONS(2330),
    [anon_sym__alignof] = ACTIONS(2330),
    [anon_sym_alignof] = ACTIONS(2330),
    [anon_sym__Alignof] = ACTIONS(2330),
    [anon_sym_offsetof] = ACTIONS(2330),
    [anon_sym__Generic] = ACTIONS(2330),
    [anon_sym_asm] = ACTIONS(2330),
    [anon_sym___asm__] = ACTIONS(2330),
    [sym_number_literal] = ACTIONS(2332),
    [anon_sym_L_SQUOTE] = ACTIONS(2332),
    [anon_sym_u_SQUOTE] = ACTIONS(2332),
    [anon_sym_U_SQUOTE] = ACTIONS(2332),
    [anon_sym_u8_SQUOTE] = ACTIONS(2332),
    [anon_sym_SQUOTE] = ACTIONS(2332),
    [anon_sym_L_DQUOTE] = ACTIONS(2332),
    [anon_sym_u_DQUOTE] = ACTIONS(2332),
    [anon_sym_U_DQUOTE] = ACTIONS(2332),
    [anon_sym_u8_DQUOTE] = ACTIONS(2332),
    [anon_sym_DQUOTE] = ACTIONS(2332),
    [sym_true] = ACTIONS(2330),
    [sym_false] = ACTIONS(2330),
    [anon_sym_NULL] = ACTIONS(2330),
    [anon_sym_nullptr] = ACTIONS(2330),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2330),
    [anon_sym_decltype] = ACTIONS(2330),
    [anon_sym_virtual] = ACTIONS(2330),
    [anon_sym_alignas] = ACTIONS(2330),
    [anon_sym_explicit] = ACTIONS(2330),
    [anon_sym_typename] = ACTIONS(2330),
    [anon_sym_template] = ACTIONS(2330),
    [anon_sym_operator] = ACTIONS(2330),
    [anon_sym_try] = ACTIONS(2330),
    [anon_sym_delete] = ACTIONS(2330),
    [anon_sym_throw] = ACTIONS(2330),
    [anon_sym_namespace] = ACTIONS(2330),
    [anon_sym_using] = ACTIONS(2330),
    [anon_sym_static_assert] = ACTIONS(2330),
    [anon_sym_concept] = ACTIONS(2330),
    [anon_sym_co_return] = ACTIONS(2330),
    [anon_sym_co_yield] = ACTIONS(2330),
    [anon_sym_R_DQUOTE] = ACTIONS(2332),
    [anon_sym_LR_DQUOTE] = ACTIONS(2332),
    [anon_sym_uR_DQUOTE] = ACTIONS(2332),
    [anon_sym_UR_DQUOTE] = ACTIONS(2332),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2332),
    [anon_sym_co_await] = ACTIONS(2330),
    [anon_sym_new] = ACTIONS(2330),
    [anon_sym_requires] = ACTIONS(2330),
    [sym_this] = ACTIONS(2330),
    [anon_sym_discard] = ACTIONS(2330),
    [anon_sym_precise] = ACTIONS(2330),
    [anon_sym_shared] = ACTIONS(2330),
    [anon_sym_groupshared] = ACTIONS(2330),
    [anon_sym_uniform] = ACTIONS(2330),
    [anon_sym_row_major] = ACTIONS(2330),
    [anon_sym_column_major] = ACTIONS(2330),
    [anon_sym_globallycoherent] = ACTIONS(2330),
    [anon_sym_centroid] = ACTIONS(2330),
    [anon_sym_noperspective] = ACTIONS(2330),
    [anon_sym_nointerpolation] = ACTIONS(2330),
    [anon_sym_sample] = ACTIONS(2330),
    [anon_sym_linear] = ACTIONS(2330),
    [anon_sym_snorm] = ACTIONS(2330),
    [anon_sym_unorm] = ACTIONS(2330),
    [anon_sym_point] = ACTIONS(2330),
    [anon_sym_line] = ACTIONS(2330),
    [anon_sym_triangleadj] = ACTIONS(2330),
    [anon_sym_lineadj] = ACTIONS(2330),
    [anon_sym_triangle] = ACTIONS(2330),
    [anon_sym_cbuffer] = ACTIONS(2330),
  },
  [232] = {
    [sym_identifier] = ACTIONS(2342),
    [aux_sym_preproc_include_token1] = ACTIONS(2342),
    [aux_sym_preproc_def_token1] = ACTIONS(2342),
    [aux_sym_preproc_if_token1] = ACTIONS(2342),
    [aux_sym_preproc_if_token2] = ACTIONS(2342),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2342),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2342),
    [aux_sym_preproc_else_token1] = ACTIONS(2342),
    [aux_sym_preproc_elif_token1] = ACTIONS(2342),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2342),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2342),
    [sym_preproc_directive] = ACTIONS(2342),
    [anon_sym_LPAREN2] = ACTIONS(2344),
    [anon_sym_BANG] = ACTIONS(2344),
    [anon_sym_TILDE] = ACTIONS(2344),
    [anon_sym_DASH] = ACTIONS(2342),
    [anon_sym_PLUS] = ACTIONS(2342),
    [anon_sym_STAR] = ACTIONS(2344),
    [anon_sym_AMP_AMP] = ACTIONS(2344),
    [anon_sym_AMP] = ACTIONS(2342),
    [anon_sym_SEMI] = ACTIONS(2344),
    [anon_sym___extension__] = ACTIONS(2342),
    [anon_sym_typedef] = ACTIONS(2342),
    [anon_sym_in] = ACTIONS(2342),
    [anon_sym_out] = ACTIONS(2342),
    [anon_sym_inout] = ACTIONS(2342),
    [anon_sym_extern] = ACTIONS(2342),
    [anon_sym___attribute__] = ACTIONS(2342),
    [anon_sym_COLON_COLON] = ACTIONS(2344),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2344),
    [anon_sym___declspec] = ACTIONS(2342),
    [anon_sym___based] = ACTIONS(2342),
    [anon_sym___cdecl] = ACTIONS(2342),
    [anon_sym___clrcall] = ACTIONS(2342),
    [anon_sym___stdcall] = ACTIONS(2342),
    [anon_sym___fastcall] = ACTIONS(2342),
    [anon_sym___thiscall] = ACTIONS(2342),
    [anon_sym___vectorcall] = ACTIONS(2342),
    [anon_sym_LBRACE] = ACTIONS(2344),
    [anon_sym_signed] = ACTIONS(2342),
    [anon_sym_unsigned] = ACTIONS(2342),
    [anon_sym_long] = ACTIONS(2342),
    [anon_sym_short] = ACTIONS(2342),
    [anon_sym_LBRACK] = ACTIONS(2342),
    [anon_sym_static] = ACTIONS(2342),
    [anon_sym_register] = ACTIONS(2342),
    [anon_sym_inline] = ACTIONS(2342),
    [anon_sym___inline] = ACTIONS(2342),
    [anon_sym___inline__] = ACTIONS(2342),
    [anon_sym___forceinline] = ACTIONS(2342),
    [anon_sym_thread_local] = ACTIONS(2342),
    [anon_sym___thread] = ACTIONS(2342),
    [anon_sym_const] = ACTIONS(2342),
    [anon_sym_constexpr] = ACTIONS(2342),
    [anon_sym_volatile] = ACTIONS(2342),
    [anon_sym_restrict] = ACTIONS(2342),
    [anon_sym___restrict__] = ACTIONS(2342),
    [anon_sym__Atomic] = ACTIONS(2342),
    [anon_sym__Noreturn] = ACTIONS(2342),
    [anon_sym_noreturn] = ACTIONS(2342),
    [anon_sym_mutable] = ACTIONS(2342),
    [anon_sym_constinit] = ACTIONS(2342),
    [anon_sym_consteval] = ACTIONS(2342),
    [sym_primitive_type] = ACTIONS(2342),
    [anon_sym_enum] = ACTIONS(2342),
    [anon_sym_class] = ACTIONS(2342),
    [anon_sym_struct] = ACTIONS(2342),
    [anon_sym_union] = ACTIONS(2342),
    [anon_sym_if] = ACTIONS(2342),
    [anon_sym_else] = ACTIONS(2342),
    [anon_sym_switch] = ACTIONS(2342),
    [anon_sym_case] = ACTIONS(2342),
    [anon_sym_default] = ACTIONS(2342),
    [anon_sym_while] = ACTIONS(2342),
    [anon_sym_do] = ACTIONS(2342),
    [anon_sym_for] = ACTIONS(2342),
    [anon_sym_return] = ACTIONS(2342),
    [anon_sym_break] = ACTIONS(2342),
    [anon_sym_continue] = ACTIONS(2342),
    [anon_sym_goto] = ACTIONS(2342),
    [anon_sym___try] = ACTIONS(2342),
    [anon_sym___leave] = ACTIONS(2342),
    [anon_sym_not] = ACTIONS(2342),
    [anon_sym_compl] = ACTIONS(2342),
    [anon_sym_DASH_DASH] = ACTIONS(2344),
    [anon_sym_PLUS_PLUS] = ACTIONS(2344),
    [anon_sym_sizeof] = ACTIONS(2342),
    [anon_sym___alignof__] = ACTIONS(2342),
    [anon_sym___alignof] = ACTIONS(2342),
    [anon_sym__alignof] = ACTIONS(2342),
    [anon_sym_alignof] = ACTIONS(2342),
    [anon_sym__Alignof] = ACTIONS(2342),
    [anon_sym_offsetof] = ACTIONS(2342),
    [anon_sym__Generic] = ACTIONS(2342),
    [anon_sym_asm] = ACTIONS(2342),
    [anon_sym___asm__] = ACTIONS(2342),
    [sym_number_literal] = ACTIONS(2344),
    [anon_sym_L_SQUOTE] = ACTIONS(2344),
    [anon_sym_u_SQUOTE] = ACTIONS(2344),
    [anon_sym_U_SQUOTE] = ACTIONS(2344),
    [anon_sym_u8_SQUOTE] = ACTIONS(2344),
    [anon_sym_SQUOTE] = ACTIONS(2344),
    [anon_sym_L_DQUOTE] = ACTIONS(2344),
    [anon_sym_u_DQUOTE] = ACTIONS(2344),
    [anon_sym_U_DQUOTE] = ACTIONS(2344),
    [anon_sym_u8_DQUOTE] = ACTIONS(2344),
    [anon_sym_DQUOTE] = ACTIONS(2344),
    [sym_true] = ACTIONS(2342),
    [sym_false] = ACTIONS(2342),
    [anon_sym_NULL] = ACTIONS(2342),
    [anon_sym_nullptr] = ACTIONS(2342),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2342),
    [anon_sym_decltype] = ACTIONS(2342),
    [anon_sym_virtual] = ACTIONS(2342),
    [anon_sym_alignas] = ACTIONS(2342),
    [anon_sym_explicit] = ACTIONS(2342),
    [anon_sym_typename] = ACTIONS(2342),
    [anon_sym_template] = ACTIONS(2342),
    [anon_sym_operator] = ACTIONS(2342),
    [anon_sym_try] = ACTIONS(2342),
    [anon_sym_delete] = ACTIONS(2342),
    [anon_sym_throw] = ACTIONS(2342),
    [anon_sym_namespace] = ACTIONS(2342),
    [anon_sym_using] = ACTIONS(2342),
    [anon_sym_static_assert] = ACTIONS(2342),
    [anon_sym_concept] = ACTIONS(2342),
    [anon_sym_co_return] = ACTIONS(2342),
    [anon_sym_co_yield] = ACTIONS(2342),
    [anon_sym_R_DQUOTE] = ACTIONS(2344),
    [anon_sym_LR_DQUOTE] = ACTIONS(2344),
    [anon_sym_uR_DQUOTE] = ACTIONS(2344),
    [anon_sym_UR_DQUOTE] = ACTIONS(2344),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2344),
    [anon_sym_co_await] = ACTIONS(2342),
    [anon_sym_new] = ACTIONS(2342),
    [anon_sym_requires] = ACTIONS(2342),
    [sym_this] = ACTIONS(2342),
    [anon_sym_discard] = ACTIONS(2342),
    [anon_sym_precise] = ACTIONS(2342),
    [anon_sym_shared] = ACTIONS(2342),
    [anon_sym_groupshared] = ACTIONS(2342),
    [anon_sym_uniform] = ACTIONS(2342),
    [anon_sym_row_major] = ACTIONS(2342),
    [anon_sym_column_major] = ACTIONS(2342),
    [anon_sym_globallycoherent] = ACTIONS(2342),
    [anon_sym_centroid] = ACTIONS(2342),
    [anon_sym_noperspective] = ACTIONS(2342),
    [anon_sym_nointerpolation] = ACTIONS(2342),
    [anon_sym_sample] = ACTIONS(2342),
    [anon_sym_linear] = ACTIONS(2342),
    [anon_sym_snorm] = ACTIONS(2342),
    [anon_sym_unorm] = ACTIONS(2342),
    [anon_sym_point] = ACTIONS(2342),
    [anon_sym_line] = ACTIONS(2342),
    [anon_sym_triangleadj] = ACTIONS(2342),
    [anon_sym_lineadj] = ACTIONS(2342),
    [anon_sym_triangle] = ACTIONS(2342),
    [anon_sym_cbuffer] = ACTIONS(2342),
  },
  [233] = {
    [sym_identifier] = ACTIONS(2346),
    [aux_sym_preproc_include_token1] = ACTIONS(2346),
    [aux_sym_preproc_def_token1] = ACTIONS(2346),
    [aux_sym_preproc_if_token1] = ACTIONS(2346),
    [aux_sym_preproc_if_token2] = ACTIONS(2346),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2346),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2346),
    [aux_sym_preproc_else_token1] = ACTIONS(2346),
    [aux_sym_preproc_elif_token1] = ACTIONS(2346),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2346),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2346),
    [sym_preproc_directive] = ACTIONS(2346),
    [anon_sym_LPAREN2] = ACTIONS(2348),
    [anon_sym_BANG] = ACTIONS(2348),
    [anon_sym_TILDE] = ACTIONS(2348),
    [anon_sym_DASH] = ACTIONS(2346),
    [anon_sym_PLUS] = ACTIONS(2346),
    [anon_sym_STAR] = ACTIONS(2348),
    [anon_sym_AMP_AMP] = ACTIONS(2348),
    [anon_sym_AMP] = ACTIONS(2346),
    [anon_sym_SEMI] = ACTIONS(2348),
    [anon_sym___extension__] = ACTIONS(2346),
    [anon_sym_typedef] = ACTIONS(2346),
    [anon_sym_in] = ACTIONS(2346),
    [anon_sym_out] = ACTIONS(2346),
    [anon_sym_inout] = ACTIONS(2346),
    [anon_sym_extern] = ACTIONS(2346),
    [anon_sym___attribute__] = ACTIONS(2346),
    [anon_sym_COLON_COLON] = ACTIONS(2348),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2348),
    [anon_sym___declspec] = ACTIONS(2346),
    [anon_sym___based] = ACTIONS(2346),
    [anon_sym___cdecl] = ACTIONS(2346),
    [anon_sym___clrcall] = ACTIONS(2346),
    [anon_sym___stdcall] = ACTIONS(2346),
    [anon_sym___fastcall] = ACTIONS(2346),
    [anon_sym___thiscall] = ACTIONS(2346),
    [anon_sym___vectorcall] = ACTIONS(2346),
    [anon_sym_LBRACE] = ACTIONS(2348),
    [anon_sym_signed] = ACTIONS(2346),
    [anon_sym_unsigned] = ACTIONS(2346),
    [anon_sym_long] = ACTIONS(2346),
    [anon_sym_short] = ACTIONS(2346),
    [anon_sym_LBRACK] = ACTIONS(2346),
    [anon_sym_static] = ACTIONS(2346),
    [anon_sym_register] = ACTIONS(2346),
    [anon_sym_inline] = ACTIONS(2346),
    [anon_sym___inline] = ACTIONS(2346),
    [anon_sym___inline__] = ACTIONS(2346),
    [anon_sym___forceinline] = ACTIONS(2346),
    [anon_sym_thread_local] = ACTIONS(2346),
    [anon_sym___thread] = ACTIONS(2346),
    [anon_sym_const] = ACTIONS(2346),
    [anon_sym_constexpr] = ACTIONS(2346),
    [anon_sym_volatile] = ACTIONS(2346),
    [anon_sym_restrict] = ACTIONS(2346),
    [anon_sym___restrict__] = ACTIONS(2346),
    [anon_sym__Atomic] = ACTIONS(2346),
    [anon_sym__Noreturn] = ACTIONS(2346),
    [anon_sym_noreturn] = ACTIONS(2346),
    [anon_sym_mutable] = ACTIONS(2346),
    [anon_sym_constinit] = ACTIONS(2346),
    [anon_sym_consteval] = ACTIONS(2346),
    [sym_primitive_type] = ACTIONS(2346),
    [anon_sym_enum] = ACTIONS(2346),
    [anon_sym_class] = ACTIONS(2346),
    [anon_sym_struct] = ACTIONS(2346),
    [anon_sym_union] = ACTIONS(2346),
    [anon_sym_if] = ACTIONS(2346),
    [anon_sym_else] = ACTIONS(2346),
    [anon_sym_switch] = ACTIONS(2346),
    [anon_sym_case] = ACTIONS(2346),
    [anon_sym_default] = ACTIONS(2346),
    [anon_sym_while] = ACTIONS(2346),
    [anon_sym_do] = ACTIONS(2346),
    [anon_sym_for] = ACTIONS(2346),
    [anon_sym_return] = ACTIONS(2346),
    [anon_sym_break] = ACTIONS(2346),
    [anon_sym_continue] = ACTIONS(2346),
    [anon_sym_goto] = ACTIONS(2346),
    [anon_sym___try] = ACTIONS(2346),
    [anon_sym___leave] = ACTIONS(2346),
    [anon_sym_not] = ACTIONS(2346),
    [anon_sym_compl] = ACTIONS(2346),
    [anon_sym_DASH_DASH] = ACTIONS(2348),
    [anon_sym_PLUS_PLUS] = ACTIONS(2348),
    [anon_sym_sizeof] = ACTIONS(2346),
    [anon_sym___alignof__] = ACTIONS(2346),
    [anon_sym___alignof] = ACTIONS(2346),
    [anon_sym__alignof] = ACTIONS(2346),
    [anon_sym_alignof] = ACTIONS(2346),
    [anon_sym__Alignof] = ACTIONS(2346),
    [anon_sym_offsetof] = ACTIONS(2346),
    [anon_sym__Generic] = ACTIONS(2346),
    [anon_sym_asm] = ACTIONS(2346),
    [anon_sym___asm__] = ACTIONS(2346),
    [sym_number_literal] = ACTIONS(2348),
    [anon_sym_L_SQUOTE] = ACTIONS(2348),
    [anon_sym_u_SQUOTE] = ACTIONS(2348),
    [anon_sym_U_SQUOTE] = ACTIONS(2348),
    [anon_sym_u8_SQUOTE] = ACTIONS(2348),
    [anon_sym_SQUOTE] = ACTIONS(2348),
    [anon_sym_L_DQUOTE] = ACTIONS(2348),
    [anon_sym_u_DQUOTE] = ACTIONS(2348),
    [anon_sym_U_DQUOTE] = ACTIONS(2348),
    [anon_sym_u8_DQUOTE] = ACTIONS(2348),
    [anon_sym_DQUOTE] = ACTIONS(2348),
    [sym_true] = ACTIONS(2346),
    [sym_false] = ACTIONS(2346),
    [anon_sym_NULL] = ACTIONS(2346),
    [anon_sym_nullptr] = ACTIONS(2346),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2346),
    [anon_sym_decltype] = ACTIONS(2346),
    [anon_sym_virtual] = ACTIONS(2346),
    [anon_sym_alignas] = ACTIONS(2346),
    [anon_sym_explicit] = ACTIONS(2346),
    [anon_sym_typename] = ACTIONS(2346),
    [anon_sym_template] = ACTIONS(2346),
    [anon_sym_operator] = ACTIONS(2346),
    [anon_sym_try] = ACTIONS(2346),
    [anon_sym_delete] = ACTIONS(2346),
    [anon_sym_throw] = ACTIONS(2346),
    [anon_sym_namespace] = ACTIONS(2346),
    [anon_sym_using] = ACTIONS(2346),
    [anon_sym_static_assert] = ACTIONS(2346),
    [anon_sym_concept] = ACTIONS(2346),
    [anon_sym_co_return] = ACTIONS(2346),
    [anon_sym_co_yield] = ACTIONS(2346),
    [anon_sym_R_DQUOTE] = ACTIONS(2348),
    [anon_sym_LR_DQUOTE] = ACTIONS(2348),
    [anon_sym_uR_DQUOTE] = ACTIONS(2348),
    [anon_sym_UR_DQUOTE] = ACTIONS(2348),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2348),
    [anon_sym_co_await] = ACTIONS(2346),
    [anon_sym_new] = ACTIONS(2346),
    [anon_sym_requires] = ACTIONS(2346),
    [sym_this] = ACTIONS(2346),
    [anon_sym_discard] = ACTIONS(2346),
    [anon_sym_precise] = ACTIONS(2346),
    [anon_sym_shared] = ACTIONS(2346),
    [anon_sym_groupshared] = ACTIONS(2346),
    [anon_sym_uniform] = ACTIONS(2346),
    [anon_sym_row_major] = ACTIONS(2346),
    [anon_sym_column_major] = ACTIONS(2346),
    [anon_sym_globallycoherent] = ACTIONS(2346),
    [anon_sym_centroid] = ACTIONS(2346),
    [anon_sym_noperspective] = ACTIONS(2346),
    [anon_sym_nointerpolation] = ACTIONS(2346),
    [anon_sym_sample] = ACTIONS(2346),
    [anon_sym_linear] = ACTIONS(2346),
    [anon_sym_snorm] = ACTIONS(2346),
    [anon_sym_unorm] = ACTIONS(2346),
    [anon_sym_point] = ACTIONS(2346),
    [anon_sym_line] = ACTIONS(2346),
    [anon_sym_triangleadj] = ACTIONS(2346),
    [anon_sym_lineadj] = ACTIONS(2346),
    [anon_sym_triangle] = ACTIONS(2346),
    [anon_sym_cbuffer] = ACTIONS(2346),
  },
  [234] = {
    [sym_identifier] = ACTIONS(2330),
    [aux_sym_preproc_include_token1] = ACTIONS(2330),
    [aux_sym_preproc_def_token1] = ACTIONS(2330),
    [aux_sym_preproc_if_token1] = ACTIONS(2330),
    [aux_sym_preproc_if_token2] = ACTIONS(2330),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2330),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2330),
    [aux_sym_preproc_else_token1] = ACTIONS(2330),
    [aux_sym_preproc_elif_token1] = ACTIONS(2330),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2330),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2330),
    [sym_preproc_directive] = ACTIONS(2330),
    [anon_sym_LPAREN2] = ACTIONS(2332),
    [anon_sym_BANG] = ACTIONS(2332),
    [anon_sym_TILDE] = ACTIONS(2332),
    [anon_sym_DASH] = ACTIONS(2330),
    [anon_sym_PLUS] = ACTIONS(2330),
    [anon_sym_STAR] = ACTIONS(2332),
    [anon_sym_AMP_AMP] = ACTIONS(2332),
    [anon_sym_AMP] = ACTIONS(2330),
    [anon_sym_SEMI] = ACTIONS(2332),
    [anon_sym___extension__] = ACTIONS(2330),
    [anon_sym_typedef] = ACTIONS(2330),
    [anon_sym_in] = ACTIONS(2330),
    [anon_sym_out] = ACTIONS(2330),
    [anon_sym_inout] = ACTIONS(2330),
    [anon_sym_extern] = ACTIONS(2330),
    [anon_sym___attribute__] = ACTIONS(2330),
    [anon_sym_COLON_COLON] = ACTIONS(2332),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2332),
    [anon_sym___declspec] = ACTIONS(2330),
    [anon_sym___based] = ACTIONS(2330),
    [anon_sym___cdecl] = ACTIONS(2330),
    [anon_sym___clrcall] = ACTIONS(2330),
    [anon_sym___stdcall] = ACTIONS(2330),
    [anon_sym___fastcall] = ACTIONS(2330),
    [anon_sym___thiscall] = ACTIONS(2330),
    [anon_sym___vectorcall] = ACTIONS(2330),
    [anon_sym_LBRACE] = ACTIONS(2332),
    [anon_sym_signed] = ACTIONS(2330),
    [anon_sym_unsigned] = ACTIONS(2330),
    [anon_sym_long] = ACTIONS(2330),
    [anon_sym_short] = ACTIONS(2330),
    [anon_sym_LBRACK] = ACTIONS(2330),
    [anon_sym_static] = ACTIONS(2330),
    [anon_sym_register] = ACTIONS(2330),
    [anon_sym_inline] = ACTIONS(2330),
    [anon_sym___inline] = ACTIONS(2330),
    [anon_sym___inline__] = ACTIONS(2330),
    [anon_sym___forceinline] = ACTIONS(2330),
    [anon_sym_thread_local] = ACTIONS(2330),
    [anon_sym___thread] = ACTIONS(2330),
    [anon_sym_const] = ACTIONS(2330),
    [anon_sym_constexpr] = ACTIONS(2330),
    [anon_sym_volatile] = ACTIONS(2330),
    [anon_sym_restrict] = ACTIONS(2330),
    [anon_sym___restrict__] = ACTIONS(2330),
    [anon_sym__Atomic] = ACTIONS(2330),
    [anon_sym__Noreturn] = ACTIONS(2330),
    [anon_sym_noreturn] = ACTIONS(2330),
    [anon_sym_mutable] = ACTIONS(2330),
    [anon_sym_constinit] = ACTIONS(2330),
    [anon_sym_consteval] = ACTIONS(2330),
    [sym_primitive_type] = ACTIONS(2330),
    [anon_sym_enum] = ACTIONS(2330),
    [anon_sym_class] = ACTIONS(2330),
    [anon_sym_struct] = ACTIONS(2330),
    [anon_sym_union] = ACTIONS(2330),
    [anon_sym_if] = ACTIONS(2330),
    [anon_sym_else] = ACTIONS(2330),
    [anon_sym_switch] = ACTIONS(2330),
    [anon_sym_case] = ACTIONS(2330),
    [anon_sym_default] = ACTIONS(2330),
    [anon_sym_while] = ACTIONS(2330),
    [anon_sym_do] = ACTIONS(2330),
    [anon_sym_for] = ACTIONS(2330),
    [anon_sym_return] = ACTIONS(2330),
    [anon_sym_break] = ACTIONS(2330),
    [anon_sym_continue] = ACTIONS(2330),
    [anon_sym_goto] = ACTIONS(2330),
    [anon_sym___try] = ACTIONS(2330),
    [anon_sym___leave] = ACTIONS(2330),
    [anon_sym_not] = ACTIONS(2330),
    [anon_sym_compl] = ACTIONS(2330),
    [anon_sym_DASH_DASH] = ACTIONS(2332),
    [anon_sym_PLUS_PLUS] = ACTIONS(2332),
    [anon_sym_sizeof] = ACTIONS(2330),
    [anon_sym___alignof__] = ACTIONS(2330),
    [anon_sym___alignof] = ACTIONS(2330),
    [anon_sym__alignof] = ACTIONS(2330),
    [anon_sym_alignof] = ACTIONS(2330),
    [anon_sym__Alignof] = ACTIONS(2330),
    [anon_sym_offsetof] = ACTIONS(2330),
    [anon_sym__Generic] = ACTIONS(2330),
    [anon_sym_asm] = ACTIONS(2330),
    [anon_sym___asm__] = ACTIONS(2330),
    [sym_number_literal] = ACTIONS(2332),
    [anon_sym_L_SQUOTE] = ACTIONS(2332),
    [anon_sym_u_SQUOTE] = ACTIONS(2332),
    [anon_sym_U_SQUOTE] = ACTIONS(2332),
    [anon_sym_u8_SQUOTE] = ACTIONS(2332),
    [anon_sym_SQUOTE] = ACTIONS(2332),
    [anon_sym_L_DQUOTE] = ACTIONS(2332),
    [anon_sym_u_DQUOTE] = ACTIONS(2332),
    [anon_sym_U_DQUOTE] = ACTIONS(2332),
    [anon_sym_u8_DQUOTE] = ACTIONS(2332),
    [anon_sym_DQUOTE] = ACTIONS(2332),
    [sym_true] = ACTIONS(2330),
    [sym_false] = ACTIONS(2330),
    [anon_sym_NULL] = ACTIONS(2330),
    [anon_sym_nullptr] = ACTIONS(2330),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2330),
    [anon_sym_decltype] = ACTIONS(2330),
    [anon_sym_virtual] = ACTIONS(2330),
    [anon_sym_alignas] = ACTIONS(2330),
    [anon_sym_explicit] = ACTIONS(2330),
    [anon_sym_typename] = ACTIONS(2330),
    [anon_sym_template] = ACTIONS(2330),
    [anon_sym_operator] = ACTIONS(2330),
    [anon_sym_try] = ACTIONS(2330),
    [anon_sym_delete] = ACTIONS(2330),
    [anon_sym_throw] = ACTIONS(2330),
    [anon_sym_namespace] = ACTIONS(2330),
    [anon_sym_using] = ACTIONS(2330),
    [anon_sym_static_assert] = ACTIONS(2330),
    [anon_sym_concept] = ACTIONS(2330),
    [anon_sym_co_return] = ACTIONS(2330),
    [anon_sym_co_yield] = ACTIONS(2330),
    [anon_sym_R_DQUOTE] = ACTIONS(2332),
    [anon_sym_LR_DQUOTE] = ACTIONS(2332),
    [anon_sym_uR_DQUOTE] = ACTIONS(2332),
    [anon_sym_UR_DQUOTE] = ACTIONS(2332),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2332),
    [anon_sym_co_await] = ACTIONS(2330),
    [anon_sym_new] = ACTIONS(2330),
    [anon_sym_requires] = ACTIONS(2330),
    [sym_this] = ACTIONS(2330),
    [anon_sym_discard] = ACTIONS(2330),
    [anon_sym_precise] = ACTIONS(2330),
    [anon_sym_shared] = ACTIONS(2330),
    [anon_sym_groupshared] = ACTIONS(2330),
    [anon_sym_uniform] = ACTIONS(2330),
    [anon_sym_row_major] = ACTIONS(2330),
    [anon_sym_column_major] = ACTIONS(2330),
    [anon_sym_globallycoherent] = ACTIONS(2330),
    [anon_sym_centroid] = ACTIONS(2330),
    [anon_sym_noperspective] = ACTIONS(2330),
    [anon_sym_nointerpolation] = ACTIONS(2330),
    [anon_sym_sample] = ACTIONS(2330),
    [anon_sym_linear] = ACTIONS(2330),
    [anon_sym_snorm] = ACTIONS(2330),
    [anon_sym_unorm] = ACTIONS(2330),
    [anon_sym_point] = ACTIONS(2330),
    [anon_sym_line] = ACTIONS(2330),
    [anon_sym_triangleadj] = ACTIONS(2330),
    [anon_sym_lineadj] = ACTIONS(2330),
    [anon_sym_triangle] = ACTIONS(2330),
    [anon_sym_cbuffer] = ACTIONS(2330),
  },
  [235] = {
    [sym_identifier] = ACTIONS(2350),
    [aux_sym_preproc_include_token1] = ACTIONS(2350),
    [aux_sym_preproc_def_token1] = ACTIONS(2350),
    [aux_sym_preproc_if_token1] = ACTIONS(2350),
    [aux_sym_preproc_if_token2] = ACTIONS(2350),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2350),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2350),
    [aux_sym_preproc_else_token1] = ACTIONS(2350),
    [aux_sym_preproc_elif_token1] = ACTIONS(2350),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2350),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2350),
    [sym_preproc_directive] = ACTIONS(2350),
    [anon_sym_LPAREN2] = ACTIONS(2352),
    [anon_sym_BANG] = ACTIONS(2352),
    [anon_sym_TILDE] = ACTIONS(2352),
    [anon_sym_DASH] = ACTIONS(2350),
    [anon_sym_PLUS] = ACTIONS(2350),
    [anon_sym_STAR] = ACTIONS(2352),
    [anon_sym_AMP_AMP] = ACTIONS(2352),
    [anon_sym_AMP] = ACTIONS(2350),
    [anon_sym_SEMI] = ACTIONS(2352),
    [anon_sym___extension__] = ACTIONS(2350),
    [anon_sym_typedef] = ACTIONS(2350),
    [anon_sym_in] = ACTIONS(2350),
    [anon_sym_out] = ACTIONS(2350),
    [anon_sym_inout] = ACTIONS(2350),
    [anon_sym_extern] = ACTIONS(2350),
    [anon_sym___attribute__] = ACTIONS(2350),
    [anon_sym_COLON_COLON] = ACTIONS(2352),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2352),
    [anon_sym___declspec] = ACTIONS(2350),
    [anon_sym___based] = ACTIONS(2350),
    [anon_sym___cdecl] = ACTIONS(2350),
    [anon_sym___clrcall] = ACTIONS(2350),
    [anon_sym___stdcall] = ACTIONS(2350),
    [anon_sym___fastcall] = ACTIONS(2350),
    [anon_sym___thiscall] = ACTIONS(2350),
    [anon_sym___vectorcall] = ACTIONS(2350),
    [anon_sym_LBRACE] = ACTIONS(2352),
    [anon_sym_signed] = ACTIONS(2350),
    [anon_sym_unsigned] = ACTIONS(2350),
    [anon_sym_long] = ACTIONS(2350),
    [anon_sym_short] = ACTIONS(2350),
    [anon_sym_LBRACK] = ACTIONS(2350),
    [anon_sym_static] = ACTIONS(2350),
    [anon_sym_register] = ACTIONS(2350),
    [anon_sym_inline] = ACTIONS(2350),
    [anon_sym___inline] = ACTIONS(2350),
    [anon_sym___inline__] = ACTIONS(2350),
    [anon_sym___forceinline] = ACTIONS(2350),
    [anon_sym_thread_local] = ACTIONS(2350),
    [anon_sym___thread] = ACTIONS(2350),
    [anon_sym_const] = ACTIONS(2350),
    [anon_sym_constexpr] = ACTIONS(2350),
    [anon_sym_volatile] = ACTIONS(2350),
    [anon_sym_restrict] = ACTIONS(2350),
    [anon_sym___restrict__] = ACTIONS(2350),
    [anon_sym__Atomic] = ACTIONS(2350),
    [anon_sym__Noreturn] = ACTIONS(2350),
    [anon_sym_noreturn] = ACTIONS(2350),
    [anon_sym_mutable] = ACTIONS(2350),
    [anon_sym_constinit] = ACTIONS(2350),
    [anon_sym_consteval] = ACTIONS(2350),
    [sym_primitive_type] = ACTIONS(2350),
    [anon_sym_enum] = ACTIONS(2350),
    [anon_sym_class] = ACTIONS(2350),
    [anon_sym_struct] = ACTIONS(2350),
    [anon_sym_union] = ACTIONS(2350),
    [anon_sym_if] = ACTIONS(2350),
    [anon_sym_else] = ACTIONS(2350),
    [anon_sym_switch] = ACTIONS(2350),
    [anon_sym_case] = ACTIONS(2350),
    [anon_sym_default] = ACTIONS(2350),
    [anon_sym_while] = ACTIONS(2350),
    [anon_sym_do] = ACTIONS(2350),
    [anon_sym_for] = ACTIONS(2350),
    [anon_sym_return] = ACTIONS(2350),
    [anon_sym_break] = ACTIONS(2350),
    [anon_sym_continue] = ACTIONS(2350),
    [anon_sym_goto] = ACTIONS(2350),
    [anon_sym___try] = ACTIONS(2350),
    [anon_sym___leave] = ACTIONS(2350),
    [anon_sym_not] = ACTIONS(2350),
    [anon_sym_compl] = ACTIONS(2350),
    [anon_sym_DASH_DASH] = ACTIONS(2352),
    [anon_sym_PLUS_PLUS] = ACTIONS(2352),
    [anon_sym_sizeof] = ACTIONS(2350),
    [anon_sym___alignof__] = ACTIONS(2350),
    [anon_sym___alignof] = ACTIONS(2350),
    [anon_sym__alignof] = ACTIONS(2350),
    [anon_sym_alignof] = ACTIONS(2350),
    [anon_sym__Alignof] = ACTIONS(2350),
    [anon_sym_offsetof] = ACTIONS(2350),
    [anon_sym__Generic] = ACTIONS(2350),
    [anon_sym_asm] = ACTIONS(2350),
    [anon_sym___asm__] = ACTIONS(2350),
    [sym_number_literal] = ACTIONS(2352),
    [anon_sym_L_SQUOTE] = ACTIONS(2352),
    [anon_sym_u_SQUOTE] = ACTIONS(2352),
    [anon_sym_U_SQUOTE] = ACTIONS(2352),
    [anon_sym_u8_SQUOTE] = ACTIONS(2352),
    [anon_sym_SQUOTE] = ACTIONS(2352),
    [anon_sym_L_DQUOTE] = ACTIONS(2352),
    [anon_sym_u_DQUOTE] = ACTIONS(2352),
    [anon_sym_U_DQUOTE] = ACTIONS(2352),
    [anon_sym_u8_DQUOTE] = ACTIONS(2352),
    [anon_sym_DQUOTE] = ACTIONS(2352),
    [sym_true] = ACTIONS(2350),
    [sym_false] = ACTIONS(2350),
    [anon_sym_NULL] = ACTIONS(2350),
    [anon_sym_nullptr] = ACTIONS(2350),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2350),
    [anon_sym_decltype] = ACTIONS(2350),
    [anon_sym_virtual] = ACTIONS(2350),
    [anon_sym_alignas] = ACTIONS(2350),
    [anon_sym_explicit] = ACTIONS(2350),
    [anon_sym_typename] = ACTIONS(2350),
    [anon_sym_template] = ACTIONS(2350),
    [anon_sym_operator] = ACTIONS(2350),
    [anon_sym_try] = ACTIONS(2350),
    [anon_sym_delete] = ACTIONS(2350),
    [anon_sym_throw] = ACTIONS(2350),
    [anon_sym_namespace] = ACTIONS(2350),
    [anon_sym_using] = ACTIONS(2350),
    [anon_sym_static_assert] = ACTIONS(2350),
    [anon_sym_concept] = ACTIONS(2350),
    [anon_sym_co_return] = ACTIONS(2350),
    [anon_sym_co_yield] = ACTIONS(2350),
    [anon_sym_R_DQUOTE] = ACTIONS(2352),
    [anon_sym_LR_DQUOTE] = ACTIONS(2352),
    [anon_sym_uR_DQUOTE] = ACTIONS(2352),
    [anon_sym_UR_DQUOTE] = ACTIONS(2352),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2352),
    [anon_sym_co_await] = ACTIONS(2350),
    [anon_sym_new] = ACTIONS(2350),
    [anon_sym_requires] = ACTIONS(2350),
    [sym_this] = ACTIONS(2350),
    [anon_sym_discard] = ACTIONS(2350),
    [anon_sym_precise] = ACTIONS(2350),
    [anon_sym_shared] = ACTIONS(2350),
    [anon_sym_groupshared] = ACTIONS(2350),
    [anon_sym_uniform] = ACTIONS(2350),
    [anon_sym_row_major] = ACTIONS(2350),
    [anon_sym_column_major] = ACTIONS(2350),
    [anon_sym_globallycoherent] = ACTIONS(2350),
    [anon_sym_centroid] = ACTIONS(2350),
    [anon_sym_noperspective] = ACTIONS(2350),
    [anon_sym_nointerpolation] = ACTIONS(2350),
    [anon_sym_sample] = ACTIONS(2350),
    [anon_sym_linear] = ACTIONS(2350),
    [anon_sym_snorm] = ACTIONS(2350),
    [anon_sym_unorm] = ACTIONS(2350),
    [anon_sym_point] = ACTIONS(2350),
    [anon_sym_line] = ACTIONS(2350),
    [anon_sym_triangleadj] = ACTIONS(2350),
    [anon_sym_lineadj] = ACTIONS(2350),
    [anon_sym_triangle] = ACTIONS(2350),
    [anon_sym_cbuffer] = ACTIONS(2350),
  },
  [236] = {
    [sym_identifier] = ACTIONS(2354),
    [aux_sym_preproc_include_token1] = ACTIONS(2354),
    [aux_sym_preproc_def_token1] = ACTIONS(2354),
    [aux_sym_preproc_if_token1] = ACTIONS(2354),
    [aux_sym_preproc_if_token2] = ACTIONS(2354),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2354),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2354),
    [aux_sym_preproc_else_token1] = ACTIONS(2354),
    [aux_sym_preproc_elif_token1] = ACTIONS(2354),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2354),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2354),
    [sym_preproc_directive] = ACTIONS(2354),
    [anon_sym_LPAREN2] = ACTIONS(2356),
    [anon_sym_BANG] = ACTIONS(2356),
    [anon_sym_TILDE] = ACTIONS(2356),
    [anon_sym_DASH] = ACTIONS(2354),
    [anon_sym_PLUS] = ACTIONS(2354),
    [anon_sym_STAR] = ACTIONS(2356),
    [anon_sym_AMP_AMP] = ACTIONS(2356),
    [anon_sym_AMP] = ACTIONS(2354),
    [anon_sym_SEMI] = ACTIONS(2356),
    [anon_sym___extension__] = ACTIONS(2354),
    [anon_sym_typedef] = ACTIONS(2354),
    [anon_sym_in] = ACTIONS(2354),
    [anon_sym_out] = ACTIONS(2354),
    [anon_sym_inout] = ACTIONS(2354),
    [anon_sym_extern] = ACTIONS(2354),
    [anon_sym___attribute__] = ACTIONS(2354),
    [anon_sym_COLON_COLON] = ACTIONS(2356),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2356),
    [anon_sym___declspec] = ACTIONS(2354),
    [anon_sym___based] = ACTIONS(2354),
    [anon_sym___cdecl] = ACTIONS(2354),
    [anon_sym___clrcall] = ACTIONS(2354),
    [anon_sym___stdcall] = ACTIONS(2354),
    [anon_sym___fastcall] = ACTIONS(2354),
    [anon_sym___thiscall] = ACTIONS(2354),
    [anon_sym___vectorcall] = ACTIONS(2354),
    [anon_sym_LBRACE] = ACTIONS(2356),
    [anon_sym_signed] = ACTIONS(2354),
    [anon_sym_unsigned] = ACTIONS(2354),
    [anon_sym_long] = ACTIONS(2354),
    [anon_sym_short] = ACTIONS(2354),
    [anon_sym_LBRACK] = ACTIONS(2354),
    [anon_sym_static] = ACTIONS(2354),
    [anon_sym_register] = ACTIONS(2354),
    [anon_sym_inline] = ACTIONS(2354),
    [anon_sym___inline] = ACTIONS(2354),
    [anon_sym___inline__] = ACTIONS(2354),
    [anon_sym___forceinline] = ACTIONS(2354),
    [anon_sym_thread_local] = ACTIONS(2354),
    [anon_sym___thread] = ACTIONS(2354),
    [anon_sym_const] = ACTIONS(2354),
    [anon_sym_constexpr] = ACTIONS(2354),
    [anon_sym_volatile] = ACTIONS(2354),
    [anon_sym_restrict] = ACTIONS(2354),
    [anon_sym___restrict__] = ACTIONS(2354),
    [anon_sym__Atomic] = ACTIONS(2354),
    [anon_sym__Noreturn] = ACTIONS(2354),
    [anon_sym_noreturn] = ACTIONS(2354),
    [anon_sym_mutable] = ACTIONS(2354),
    [anon_sym_constinit] = ACTIONS(2354),
    [anon_sym_consteval] = ACTIONS(2354),
    [sym_primitive_type] = ACTIONS(2354),
    [anon_sym_enum] = ACTIONS(2354),
    [anon_sym_class] = ACTIONS(2354),
    [anon_sym_struct] = ACTIONS(2354),
    [anon_sym_union] = ACTIONS(2354),
    [anon_sym_if] = ACTIONS(2354),
    [anon_sym_else] = ACTIONS(2354),
    [anon_sym_switch] = ACTIONS(2354),
    [anon_sym_case] = ACTIONS(2354),
    [anon_sym_default] = ACTIONS(2354),
    [anon_sym_while] = ACTIONS(2354),
    [anon_sym_do] = ACTIONS(2354),
    [anon_sym_for] = ACTIONS(2354),
    [anon_sym_return] = ACTIONS(2354),
    [anon_sym_break] = ACTIONS(2354),
    [anon_sym_continue] = ACTIONS(2354),
    [anon_sym_goto] = ACTIONS(2354),
    [anon_sym___try] = ACTIONS(2354),
    [anon_sym___leave] = ACTIONS(2354),
    [anon_sym_not] = ACTIONS(2354),
    [anon_sym_compl] = ACTIONS(2354),
    [anon_sym_DASH_DASH] = ACTIONS(2356),
    [anon_sym_PLUS_PLUS] = ACTIONS(2356),
    [anon_sym_sizeof] = ACTIONS(2354),
    [anon_sym___alignof__] = ACTIONS(2354),
    [anon_sym___alignof] = ACTIONS(2354),
    [anon_sym__alignof] = ACTIONS(2354),
    [anon_sym_alignof] = ACTIONS(2354),
    [anon_sym__Alignof] = ACTIONS(2354),
    [anon_sym_offsetof] = ACTIONS(2354),
    [anon_sym__Generic] = ACTIONS(2354),
    [anon_sym_asm] = ACTIONS(2354),
    [anon_sym___asm__] = ACTIONS(2354),
    [sym_number_literal] = ACTIONS(2356),
    [anon_sym_L_SQUOTE] = ACTIONS(2356),
    [anon_sym_u_SQUOTE] = ACTIONS(2356),
    [anon_sym_U_SQUOTE] = ACTIONS(2356),
    [anon_sym_u8_SQUOTE] = ACTIONS(2356),
    [anon_sym_SQUOTE] = ACTIONS(2356),
    [anon_sym_L_DQUOTE] = ACTIONS(2356),
    [anon_sym_u_DQUOTE] = ACTIONS(2356),
    [anon_sym_U_DQUOTE] = ACTIONS(2356),
    [anon_sym_u8_DQUOTE] = ACTIONS(2356),
    [anon_sym_DQUOTE] = ACTIONS(2356),
    [sym_true] = ACTIONS(2354),
    [sym_false] = ACTIONS(2354),
    [anon_sym_NULL] = ACTIONS(2354),
    [anon_sym_nullptr] = ACTIONS(2354),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2354),
    [anon_sym_decltype] = ACTIONS(2354),
    [anon_sym_virtual] = ACTIONS(2354),
    [anon_sym_alignas] = ACTIONS(2354),
    [anon_sym_explicit] = ACTIONS(2354),
    [anon_sym_typename] = ACTIONS(2354),
    [anon_sym_template] = ACTIONS(2354),
    [anon_sym_operator] = ACTIONS(2354),
    [anon_sym_try] = ACTIONS(2354),
    [anon_sym_delete] = ACTIONS(2354),
    [anon_sym_throw] = ACTIONS(2354),
    [anon_sym_namespace] = ACTIONS(2354),
    [anon_sym_using] = ACTIONS(2354),
    [anon_sym_static_assert] = ACTIONS(2354),
    [anon_sym_concept] = ACTIONS(2354),
    [anon_sym_co_return] = ACTIONS(2354),
    [anon_sym_co_yield] = ACTIONS(2354),
    [anon_sym_R_DQUOTE] = ACTIONS(2356),
    [anon_sym_LR_DQUOTE] = ACTIONS(2356),
    [anon_sym_uR_DQUOTE] = ACTIONS(2356),
    [anon_sym_UR_DQUOTE] = ACTIONS(2356),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2356),
    [anon_sym_co_await] = ACTIONS(2354),
    [anon_sym_new] = ACTIONS(2354),
    [anon_sym_requires] = ACTIONS(2354),
    [sym_this] = ACTIONS(2354),
    [anon_sym_discard] = ACTIONS(2354),
    [anon_sym_precise] = ACTIONS(2354),
    [anon_sym_shared] = ACTIONS(2354),
    [anon_sym_groupshared] = ACTIONS(2354),
    [anon_sym_uniform] = ACTIONS(2354),
    [anon_sym_row_major] = ACTIONS(2354),
    [anon_sym_column_major] = ACTIONS(2354),
    [anon_sym_globallycoherent] = ACTIONS(2354),
    [anon_sym_centroid] = ACTIONS(2354),
    [anon_sym_noperspective] = ACTIONS(2354),
    [anon_sym_nointerpolation] = ACTIONS(2354),
    [anon_sym_sample] = ACTIONS(2354),
    [anon_sym_linear] = ACTIONS(2354),
    [anon_sym_snorm] = ACTIONS(2354),
    [anon_sym_unorm] = ACTIONS(2354),
    [anon_sym_point] = ACTIONS(2354),
    [anon_sym_line] = ACTIONS(2354),
    [anon_sym_triangleadj] = ACTIONS(2354),
    [anon_sym_lineadj] = ACTIONS(2354),
    [anon_sym_triangle] = ACTIONS(2354),
    [anon_sym_cbuffer] = ACTIONS(2354),
  },
  [237] = {
    [sym_identifier] = ACTIONS(2330),
    [aux_sym_preproc_include_token1] = ACTIONS(2330),
    [aux_sym_preproc_def_token1] = ACTIONS(2330),
    [aux_sym_preproc_if_token1] = ACTIONS(2330),
    [aux_sym_preproc_if_token2] = ACTIONS(2330),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2330),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2330),
    [aux_sym_preproc_else_token1] = ACTIONS(2330),
    [aux_sym_preproc_elif_token1] = ACTIONS(2330),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2330),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2330),
    [sym_preproc_directive] = ACTIONS(2330),
    [anon_sym_LPAREN2] = ACTIONS(2332),
    [anon_sym_BANG] = ACTIONS(2332),
    [anon_sym_TILDE] = ACTIONS(2332),
    [anon_sym_DASH] = ACTIONS(2330),
    [anon_sym_PLUS] = ACTIONS(2330),
    [anon_sym_STAR] = ACTIONS(2332),
    [anon_sym_AMP_AMP] = ACTIONS(2332),
    [anon_sym_AMP] = ACTIONS(2330),
    [anon_sym_SEMI] = ACTIONS(2332),
    [anon_sym___extension__] = ACTIONS(2330),
    [anon_sym_typedef] = ACTIONS(2330),
    [anon_sym_in] = ACTIONS(2330),
    [anon_sym_out] = ACTIONS(2330),
    [anon_sym_inout] = ACTIONS(2330),
    [anon_sym_extern] = ACTIONS(2330),
    [anon_sym___attribute__] = ACTIONS(2330),
    [anon_sym_COLON_COLON] = ACTIONS(2332),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2332),
    [anon_sym___declspec] = ACTIONS(2330),
    [anon_sym___based] = ACTIONS(2330),
    [anon_sym___cdecl] = ACTIONS(2330),
    [anon_sym___clrcall] = ACTIONS(2330),
    [anon_sym___stdcall] = ACTIONS(2330),
    [anon_sym___fastcall] = ACTIONS(2330),
    [anon_sym___thiscall] = ACTIONS(2330),
    [anon_sym___vectorcall] = ACTIONS(2330),
    [anon_sym_LBRACE] = ACTIONS(2332),
    [anon_sym_signed] = ACTIONS(2330),
    [anon_sym_unsigned] = ACTIONS(2330),
    [anon_sym_long] = ACTIONS(2330),
    [anon_sym_short] = ACTIONS(2330),
    [anon_sym_LBRACK] = ACTIONS(2330),
    [anon_sym_static] = ACTIONS(2330),
    [anon_sym_register] = ACTIONS(2330),
    [anon_sym_inline] = ACTIONS(2330),
    [anon_sym___inline] = ACTIONS(2330),
    [anon_sym___inline__] = ACTIONS(2330),
    [anon_sym___forceinline] = ACTIONS(2330),
    [anon_sym_thread_local] = ACTIONS(2330),
    [anon_sym___thread] = ACTIONS(2330),
    [anon_sym_const] = ACTIONS(2330),
    [anon_sym_constexpr] = ACTIONS(2330),
    [anon_sym_volatile] = ACTIONS(2330),
    [anon_sym_restrict] = ACTIONS(2330),
    [anon_sym___restrict__] = ACTIONS(2330),
    [anon_sym__Atomic] = ACTIONS(2330),
    [anon_sym__Noreturn] = ACTIONS(2330),
    [anon_sym_noreturn] = ACTIONS(2330),
    [anon_sym_mutable] = ACTIONS(2330),
    [anon_sym_constinit] = ACTIONS(2330),
    [anon_sym_consteval] = ACTIONS(2330),
    [sym_primitive_type] = ACTIONS(2330),
    [anon_sym_enum] = ACTIONS(2330),
    [anon_sym_class] = ACTIONS(2330),
    [anon_sym_struct] = ACTIONS(2330),
    [anon_sym_union] = ACTIONS(2330),
    [anon_sym_if] = ACTIONS(2330),
    [anon_sym_else] = ACTIONS(2330),
    [anon_sym_switch] = ACTIONS(2330),
    [anon_sym_case] = ACTIONS(2330),
    [anon_sym_default] = ACTIONS(2330),
    [anon_sym_while] = ACTIONS(2330),
    [anon_sym_do] = ACTIONS(2330),
    [anon_sym_for] = ACTIONS(2330),
    [anon_sym_return] = ACTIONS(2330),
    [anon_sym_break] = ACTIONS(2330),
    [anon_sym_continue] = ACTIONS(2330),
    [anon_sym_goto] = ACTIONS(2330),
    [anon_sym___try] = ACTIONS(2330),
    [anon_sym___leave] = ACTIONS(2330),
    [anon_sym_not] = ACTIONS(2330),
    [anon_sym_compl] = ACTIONS(2330),
    [anon_sym_DASH_DASH] = ACTIONS(2332),
    [anon_sym_PLUS_PLUS] = ACTIONS(2332),
    [anon_sym_sizeof] = ACTIONS(2330),
    [anon_sym___alignof__] = ACTIONS(2330),
    [anon_sym___alignof] = ACTIONS(2330),
    [anon_sym__alignof] = ACTIONS(2330),
    [anon_sym_alignof] = ACTIONS(2330),
    [anon_sym__Alignof] = ACTIONS(2330),
    [anon_sym_offsetof] = ACTIONS(2330),
    [anon_sym__Generic] = ACTIONS(2330),
    [anon_sym_asm] = ACTIONS(2330),
    [anon_sym___asm__] = ACTIONS(2330),
    [sym_number_literal] = ACTIONS(2332),
    [anon_sym_L_SQUOTE] = ACTIONS(2332),
    [anon_sym_u_SQUOTE] = ACTIONS(2332),
    [anon_sym_U_SQUOTE] = ACTIONS(2332),
    [anon_sym_u8_SQUOTE] = ACTIONS(2332),
    [anon_sym_SQUOTE] = ACTIONS(2332),
    [anon_sym_L_DQUOTE] = ACTIONS(2332),
    [anon_sym_u_DQUOTE] = ACTIONS(2332),
    [anon_sym_U_DQUOTE] = ACTIONS(2332),
    [anon_sym_u8_DQUOTE] = ACTIONS(2332),
    [anon_sym_DQUOTE] = ACTIONS(2332),
    [sym_true] = ACTIONS(2330),
    [sym_false] = ACTIONS(2330),
    [anon_sym_NULL] = ACTIONS(2330),
    [anon_sym_nullptr] = ACTIONS(2330),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2330),
    [anon_sym_decltype] = ACTIONS(2330),
    [anon_sym_virtual] = ACTIONS(2330),
    [anon_sym_alignas] = ACTIONS(2330),
    [anon_sym_explicit] = ACTIONS(2330),
    [anon_sym_typename] = ACTIONS(2330),
    [anon_sym_template] = ACTIONS(2330),
    [anon_sym_operator] = ACTIONS(2330),
    [anon_sym_try] = ACTIONS(2330),
    [anon_sym_delete] = ACTIONS(2330),
    [anon_sym_throw] = ACTIONS(2330),
    [anon_sym_namespace] = ACTIONS(2330),
    [anon_sym_using] = ACTIONS(2330),
    [anon_sym_static_assert] = ACTIONS(2330),
    [anon_sym_concept] = ACTIONS(2330),
    [anon_sym_co_return] = ACTIONS(2330),
    [anon_sym_co_yield] = ACTIONS(2330),
    [anon_sym_R_DQUOTE] = ACTIONS(2332),
    [anon_sym_LR_DQUOTE] = ACTIONS(2332),
    [anon_sym_uR_DQUOTE] = ACTIONS(2332),
    [anon_sym_UR_DQUOTE] = ACTIONS(2332),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2332),
    [anon_sym_co_await] = ACTIONS(2330),
    [anon_sym_new] = ACTIONS(2330),
    [anon_sym_requires] = ACTIONS(2330),
    [sym_this] = ACTIONS(2330),
    [anon_sym_discard] = ACTIONS(2330),
    [anon_sym_precise] = ACTIONS(2330),
    [anon_sym_shared] = ACTIONS(2330),
    [anon_sym_groupshared] = ACTIONS(2330),
    [anon_sym_uniform] = ACTIONS(2330),
    [anon_sym_row_major] = ACTIONS(2330),
    [anon_sym_column_major] = ACTIONS(2330),
    [anon_sym_globallycoherent] = ACTIONS(2330),
    [anon_sym_centroid] = ACTIONS(2330),
    [anon_sym_noperspective] = ACTIONS(2330),
    [anon_sym_nointerpolation] = ACTIONS(2330),
    [anon_sym_sample] = ACTIONS(2330),
    [anon_sym_linear] = ACTIONS(2330),
    [anon_sym_snorm] = ACTIONS(2330),
    [anon_sym_unorm] = ACTIONS(2330),
    [anon_sym_point] = ACTIONS(2330),
    [anon_sym_line] = ACTIONS(2330),
    [anon_sym_triangleadj] = ACTIONS(2330),
    [anon_sym_lineadj] = ACTIONS(2330),
    [anon_sym_triangle] = ACTIONS(2330),
    [anon_sym_cbuffer] = ACTIONS(2330),
  },
  [238] = {
    [sym_identifier] = ACTIONS(2354),
    [aux_sym_preproc_include_token1] = ACTIONS(2354),
    [aux_sym_preproc_def_token1] = ACTIONS(2354),
    [aux_sym_preproc_if_token1] = ACTIONS(2354),
    [aux_sym_preproc_if_token2] = ACTIONS(2354),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2354),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2354),
    [aux_sym_preproc_else_token1] = ACTIONS(2354),
    [aux_sym_preproc_elif_token1] = ACTIONS(2354),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2354),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2354),
    [sym_preproc_directive] = ACTIONS(2354),
    [anon_sym_LPAREN2] = ACTIONS(2356),
    [anon_sym_BANG] = ACTIONS(2356),
    [anon_sym_TILDE] = ACTIONS(2356),
    [anon_sym_DASH] = ACTIONS(2354),
    [anon_sym_PLUS] = ACTIONS(2354),
    [anon_sym_STAR] = ACTIONS(2356),
    [anon_sym_AMP_AMP] = ACTIONS(2356),
    [anon_sym_AMP] = ACTIONS(2354),
    [anon_sym_SEMI] = ACTIONS(2356),
    [anon_sym___extension__] = ACTIONS(2354),
    [anon_sym_typedef] = ACTIONS(2354),
    [anon_sym_in] = ACTIONS(2354),
    [anon_sym_out] = ACTIONS(2354),
    [anon_sym_inout] = ACTIONS(2354),
    [anon_sym_extern] = ACTIONS(2354),
    [anon_sym___attribute__] = ACTIONS(2354),
    [anon_sym_COLON_COLON] = ACTIONS(2356),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2356),
    [anon_sym___declspec] = ACTIONS(2354),
    [anon_sym___based] = ACTIONS(2354),
    [anon_sym___cdecl] = ACTIONS(2354),
    [anon_sym___clrcall] = ACTIONS(2354),
    [anon_sym___stdcall] = ACTIONS(2354),
    [anon_sym___fastcall] = ACTIONS(2354),
    [anon_sym___thiscall] = ACTIONS(2354),
    [anon_sym___vectorcall] = ACTIONS(2354),
    [anon_sym_LBRACE] = ACTIONS(2356),
    [anon_sym_signed] = ACTIONS(2354),
    [anon_sym_unsigned] = ACTIONS(2354),
    [anon_sym_long] = ACTIONS(2354),
    [anon_sym_short] = ACTIONS(2354),
    [anon_sym_LBRACK] = ACTIONS(2354),
    [anon_sym_static] = ACTIONS(2354),
    [anon_sym_register] = ACTIONS(2354),
    [anon_sym_inline] = ACTIONS(2354),
    [anon_sym___inline] = ACTIONS(2354),
    [anon_sym___inline__] = ACTIONS(2354),
    [anon_sym___forceinline] = ACTIONS(2354),
    [anon_sym_thread_local] = ACTIONS(2354),
    [anon_sym___thread] = ACTIONS(2354),
    [anon_sym_const] = ACTIONS(2354),
    [anon_sym_constexpr] = ACTIONS(2354),
    [anon_sym_volatile] = ACTIONS(2354),
    [anon_sym_restrict] = ACTIONS(2354),
    [anon_sym___restrict__] = ACTIONS(2354),
    [anon_sym__Atomic] = ACTIONS(2354),
    [anon_sym__Noreturn] = ACTIONS(2354),
    [anon_sym_noreturn] = ACTIONS(2354),
    [anon_sym_mutable] = ACTIONS(2354),
    [anon_sym_constinit] = ACTIONS(2354),
    [anon_sym_consteval] = ACTIONS(2354),
    [sym_primitive_type] = ACTIONS(2354),
    [anon_sym_enum] = ACTIONS(2354),
    [anon_sym_class] = ACTIONS(2354),
    [anon_sym_struct] = ACTIONS(2354),
    [anon_sym_union] = ACTIONS(2354),
    [anon_sym_if] = ACTIONS(2354),
    [anon_sym_else] = ACTIONS(2354),
    [anon_sym_switch] = ACTIONS(2354),
    [anon_sym_case] = ACTIONS(2354),
    [anon_sym_default] = ACTIONS(2354),
    [anon_sym_while] = ACTIONS(2354),
    [anon_sym_do] = ACTIONS(2354),
    [anon_sym_for] = ACTIONS(2354),
    [anon_sym_return] = ACTIONS(2354),
    [anon_sym_break] = ACTIONS(2354),
    [anon_sym_continue] = ACTIONS(2354),
    [anon_sym_goto] = ACTIONS(2354),
    [anon_sym___try] = ACTIONS(2354),
    [anon_sym___leave] = ACTIONS(2354),
    [anon_sym_not] = ACTIONS(2354),
    [anon_sym_compl] = ACTIONS(2354),
    [anon_sym_DASH_DASH] = ACTIONS(2356),
    [anon_sym_PLUS_PLUS] = ACTIONS(2356),
    [anon_sym_sizeof] = ACTIONS(2354),
    [anon_sym___alignof__] = ACTIONS(2354),
    [anon_sym___alignof] = ACTIONS(2354),
    [anon_sym__alignof] = ACTIONS(2354),
    [anon_sym_alignof] = ACTIONS(2354),
    [anon_sym__Alignof] = ACTIONS(2354),
    [anon_sym_offsetof] = ACTIONS(2354),
    [anon_sym__Generic] = ACTIONS(2354),
    [anon_sym_asm] = ACTIONS(2354),
    [anon_sym___asm__] = ACTIONS(2354),
    [sym_number_literal] = ACTIONS(2356),
    [anon_sym_L_SQUOTE] = ACTIONS(2356),
    [anon_sym_u_SQUOTE] = ACTIONS(2356),
    [anon_sym_U_SQUOTE] = ACTIONS(2356),
    [anon_sym_u8_SQUOTE] = ACTIONS(2356),
    [anon_sym_SQUOTE] = ACTIONS(2356),
    [anon_sym_L_DQUOTE] = ACTIONS(2356),
    [anon_sym_u_DQUOTE] = ACTIONS(2356),
    [anon_sym_U_DQUOTE] = ACTIONS(2356),
    [anon_sym_u8_DQUOTE] = ACTIONS(2356),
    [anon_sym_DQUOTE] = ACTIONS(2356),
    [sym_true] = ACTIONS(2354),
    [sym_false] = ACTIONS(2354),
    [anon_sym_NULL] = ACTIONS(2354),
    [anon_sym_nullptr] = ACTIONS(2354),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2354),
    [anon_sym_decltype] = ACTIONS(2354),
    [anon_sym_virtual] = ACTIONS(2354),
    [anon_sym_alignas] = ACTIONS(2354),
    [anon_sym_explicit] = ACTIONS(2354),
    [anon_sym_typename] = ACTIONS(2354),
    [anon_sym_template] = ACTIONS(2354),
    [anon_sym_operator] = ACTIONS(2354),
    [anon_sym_try] = ACTIONS(2354),
    [anon_sym_delete] = ACTIONS(2354),
    [anon_sym_throw] = ACTIONS(2354),
    [anon_sym_namespace] = ACTIONS(2354),
    [anon_sym_using] = ACTIONS(2354),
    [anon_sym_static_assert] = ACTIONS(2354),
    [anon_sym_concept] = ACTIONS(2354),
    [anon_sym_co_return] = ACTIONS(2354),
    [anon_sym_co_yield] = ACTIONS(2354),
    [anon_sym_R_DQUOTE] = ACTIONS(2356),
    [anon_sym_LR_DQUOTE] = ACTIONS(2356),
    [anon_sym_uR_DQUOTE] = ACTIONS(2356),
    [anon_sym_UR_DQUOTE] = ACTIONS(2356),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2356),
    [anon_sym_co_await] = ACTIONS(2354),
    [anon_sym_new] = ACTIONS(2354),
    [anon_sym_requires] = ACTIONS(2354),
    [sym_this] = ACTIONS(2354),
    [anon_sym_discard] = ACTIONS(2354),
    [anon_sym_precise] = ACTIONS(2354),
    [anon_sym_shared] = ACTIONS(2354),
    [anon_sym_groupshared] = ACTIONS(2354),
    [anon_sym_uniform] = ACTIONS(2354),
    [anon_sym_row_major] = ACTIONS(2354),
    [anon_sym_column_major] = ACTIONS(2354),
    [anon_sym_globallycoherent] = ACTIONS(2354),
    [anon_sym_centroid] = ACTIONS(2354),
    [anon_sym_noperspective] = ACTIONS(2354),
    [anon_sym_nointerpolation] = ACTIONS(2354),
    [anon_sym_sample] = ACTIONS(2354),
    [anon_sym_linear] = ACTIONS(2354),
    [anon_sym_snorm] = ACTIONS(2354),
    [anon_sym_unorm] = ACTIONS(2354),
    [anon_sym_point] = ACTIONS(2354),
    [anon_sym_line] = ACTIONS(2354),
    [anon_sym_triangleadj] = ACTIONS(2354),
    [anon_sym_lineadj] = ACTIONS(2354),
    [anon_sym_triangle] = ACTIONS(2354),
    [anon_sym_cbuffer] = ACTIONS(2354),
  },
  [239] = {
    [sym_identifier] = ACTIONS(2330),
    [aux_sym_preproc_include_token1] = ACTIONS(2330),
    [aux_sym_preproc_def_token1] = ACTIONS(2330),
    [aux_sym_preproc_if_token1] = ACTIONS(2330),
    [aux_sym_preproc_if_token2] = ACTIONS(2330),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2330),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2330),
    [aux_sym_preproc_else_token1] = ACTIONS(2330),
    [aux_sym_preproc_elif_token1] = ACTIONS(2330),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2330),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2330),
    [sym_preproc_directive] = ACTIONS(2330),
    [anon_sym_LPAREN2] = ACTIONS(2332),
    [anon_sym_BANG] = ACTIONS(2332),
    [anon_sym_TILDE] = ACTIONS(2332),
    [anon_sym_DASH] = ACTIONS(2330),
    [anon_sym_PLUS] = ACTIONS(2330),
    [anon_sym_STAR] = ACTIONS(2332),
    [anon_sym_AMP_AMP] = ACTIONS(2332),
    [anon_sym_AMP] = ACTIONS(2330),
    [anon_sym_SEMI] = ACTIONS(2332),
    [anon_sym___extension__] = ACTIONS(2330),
    [anon_sym_typedef] = ACTIONS(2330),
    [anon_sym_in] = ACTIONS(2330),
    [anon_sym_out] = ACTIONS(2330),
    [anon_sym_inout] = ACTIONS(2330),
    [anon_sym_extern] = ACTIONS(2330),
    [anon_sym___attribute__] = ACTIONS(2330),
    [anon_sym_COLON_COLON] = ACTIONS(2332),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2332),
    [anon_sym___declspec] = ACTIONS(2330),
    [anon_sym___based] = ACTIONS(2330),
    [anon_sym___cdecl] = ACTIONS(2330),
    [anon_sym___clrcall] = ACTIONS(2330),
    [anon_sym___stdcall] = ACTIONS(2330),
    [anon_sym___fastcall] = ACTIONS(2330),
    [anon_sym___thiscall] = ACTIONS(2330),
    [anon_sym___vectorcall] = ACTIONS(2330),
    [anon_sym_LBRACE] = ACTIONS(2332),
    [anon_sym_signed] = ACTIONS(2330),
    [anon_sym_unsigned] = ACTIONS(2330),
    [anon_sym_long] = ACTIONS(2330),
    [anon_sym_short] = ACTIONS(2330),
    [anon_sym_LBRACK] = ACTIONS(2330),
    [anon_sym_static] = ACTIONS(2330),
    [anon_sym_register] = ACTIONS(2330),
    [anon_sym_inline] = ACTIONS(2330),
    [anon_sym___inline] = ACTIONS(2330),
    [anon_sym___inline__] = ACTIONS(2330),
    [anon_sym___forceinline] = ACTIONS(2330),
    [anon_sym_thread_local] = ACTIONS(2330),
    [anon_sym___thread] = ACTIONS(2330),
    [anon_sym_const] = ACTIONS(2330),
    [anon_sym_constexpr] = ACTIONS(2330),
    [anon_sym_volatile] = ACTIONS(2330),
    [anon_sym_restrict] = ACTIONS(2330),
    [anon_sym___restrict__] = ACTIONS(2330),
    [anon_sym__Atomic] = ACTIONS(2330),
    [anon_sym__Noreturn] = ACTIONS(2330),
    [anon_sym_noreturn] = ACTIONS(2330),
    [anon_sym_mutable] = ACTIONS(2330),
    [anon_sym_constinit] = ACTIONS(2330),
    [anon_sym_consteval] = ACTIONS(2330),
    [sym_primitive_type] = ACTIONS(2330),
    [anon_sym_enum] = ACTIONS(2330),
    [anon_sym_class] = ACTIONS(2330),
    [anon_sym_struct] = ACTIONS(2330),
    [anon_sym_union] = ACTIONS(2330),
    [anon_sym_if] = ACTIONS(2330),
    [anon_sym_else] = ACTIONS(2330),
    [anon_sym_switch] = ACTIONS(2330),
    [anon_sym_case] = ACTIONS(2330),
    [anon_sym_default] = ACTIONS(2330),
    [anon_sym_while] = ACTIONS(2330),
    [anon_sym_do] = ACTIONS(2330),
    [anon_sym_for] = ACTIONS(2330),
    [anon_sym_return] = ACTIONS(2330),
    [anon_sym_break] = ACTIONS(2330),
    [anon_sym_continue] = ACTIONS(2330),
    [anon_sym_goto] = ACTIONS(2330),
    [anon_sym___try] = ACTIONS(2330),
    [anon_sym___leave] = ACTIONS(2330),
    [anon_sym_not] = ACTIONS(2330),
    [anon_sym_compl] = ACTIONS(2330),
    [anon_sym_DASH_DASH] = ACTIONS(2332),
    [anon_sym_PLUS_PLUS] = ACTIONS(2332),
    [anon_sym_sizeof] = ACTIONS(2330),
    [anon_sym___alignof__] = ACTIONS(2330),
    [anon_sym___alignof] = ACTIONS(2330),
    [anon_sym__alignof] = ACTIONS(2330),
    [anon_sym_alignof] = ACTIONS(2330),
    [anon_sym__Alignof] = ACTIONS(2330),
    [anon_sym_offsetof] = ACTIONS(2330),
    [anon_sym__Generic] = ACTIONS(2330),
    [anon_sym_asm] = ACTIONS(2330),
    [anon_sym___asm__] = ACTIONS(2330),
    [sym_number_literal] = ACTIONS(2332),
    [anon_sym_L_SQUOTE] = ACTIONS(2332),
    [anon_sym_u_SQUOTE] = ACTIONS(2332),
    [anon_sym_U_SQUOTE] = ACTIONS(2332),
    [anon_sym_u8_SQUOTE] = ACTIONS(2332),
    [anon_sym_SQUOTE] = ACTIONS(2332),
    [anon_sym_L_DQUOTE] = ACTIONS(2332),
    [anon_sym_u_DQUOTE] = ACTIONS(2332),
    [anon_sym_U_DQUOTE] = ACTIONS(2332),
    [anon_sym_u8_DQUOTE] = ACTIONS(2332),
    [anon_sym_DQUOTE] = ACTIONS(2332),
    [sym_true] = ACTIONS(2330),
    [sym_false] = ACTIONS(2330),
    [anon_sym_NULL] = ACTIONS(2330),
    [anon_sym_nullptr] = ACTIONS(2330),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2330),
    [anon_sym_decltype] = ACTIONS(2330),
    [anon_sym_virtual] = ACTIONS(2330),
    [anon_sym_alignas] = ACTIONS(2330),
    [anon_sym_explicit] = ACTIONS(2330),
    [anon_sym_typename] = ACTIONS(2330),
    [anon_sym_template] = ACTIONS(2330),
    [anon_sym_operator] = ACTIONS(2330),
    [anon_sym_try] = ACTIONS(2330),
    [anon_sym_delete] = ACTIONS(2330),
    [anon_sym_throw] = ACTIONS(2330),
    [anon_sym_namespace] = ACTIONS(2330),
    [anon_sym_using] = ACTIONS(2330),
    [anon_sym_static_assert] = ACTIONS(2330),
    [anon_sym_concept] = ACTIONS(2330),
    [anon_sym_co_return] = ACTIONS(2330),
    [anon_sym_co_yield] = ACTIONS(2330),
    [anon_sym_R_DQUOTE] = ACTIONS(2332),
    [anon_sym_LR_DQUOTE] = ACTIONS(2332),
    [anon_sym_uR_DQUOTE] = ACTIONS(2332),
    [anon_sym_UR_DQUOTE] = ACTIONS(2332),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2332),
    [anon_sym_co_await] = ACTIONS(2330),
    [anon_sym_new] = ACTIONS(2330),
    [anon_sym_requires] = ACTIONS(2330),
    [sym_this] = ACTIONS(2330),
    [anon_sym_discard] = ACTIONS(2330),
    [anon_sym_precise] = ACTIONS(2330),
    [anon_sym_shared] = ACTIONS(2330),
    [anon_sym_groupshared] = ACTIONS(2330),
    [anon_sym_uniform] = ACTIONS(2330),
    [anon_sym_row_major] = ACTIONS(2330),
    [anon_sym_column_major] = ACTIONS(2330),
    [anon_sym_globallycoherent] = ACTIONS(2330),
    [anon_sym_centroid] = ACTIONS(2330),
    [anon_sym_noperspective] = ACTIONS(2330),
    [anon_sym_nointerpolation] = ACTIONS(2330),
    [anon_sym_sample] = ACTIONS(2330),
    [anon_sym_linear] = ACTIONS(2330),
    [anon_sym_snorm] = ACTIONS(2330),
    [anon_sym_unorm] = ACTIONS(2330),
    [anon_sym_point] = ACTIONS(2330),
    [anon_sym_line] = ACTIONS(2330),
    [anon_sym_triangleadj] = ACTIONS(2330),
    [anon_sym_lineadj] = ACTIONS(2330),
    [anon_sym_triangle] = ACTIONS(2330),
    [anon_sym_cbuffer] = ACTIONS(2330),
  },
  [240] = {
    [sym_identifier] = ACTIONS(2238),
    [aux_sym_preproc_include_token1] = ACTIONS(2238),
    [aux_sym_preproc_def_token1] = ACTIONS(2238),
    [anon_sym_COMMA] = ACTIONS(2358),
    [aux_sym_preproc_if_token1] = ACTIONS(2238),
    [aux_sym_preproc_if_token2] = ACTIONS(2238),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2238),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2238),
    [aux_sym_preproc_else_token1] = ACTIONS(2238),
    [aux_sym_preproc_elif_token1] = ACTIONS(2238),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2238),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2238),
    [sym_preproc_directive] = ACTIONS(2238),
    [anon_sym_LPAREN2] = ACTIONS(2236),
    [anon_sym_BANG] = ACTIONS(2236),
    [anon_sym_TILDE] = ACTIONS(2236),
    [anon_sym_DASH] = ACTIONS(2238),
    [anon_sym_PLUS] = ACTIONS(2238),
    [anon_sym_STAR] = ACTIONS(2236),
    [anon_sym_AMP_AMP] = ACTIONS(2236),
    [anon_sym_AMP] = ACTIONS(2238),
    [anon_sym_SEMI] = ACTIONS(2358),
    [anon_sym___extension__] = ACTIONS(2238),
    [anon_sym_typedef] = ACTIONS(2238),
    [anon_sym_in] = ACTIONS(2238),
    [anon_sym_out] = ACTIONS(2238),
    [anon_sym_inout] = ACTIONS(2238),
    [anon_sym_extern] = ACTIONS(2238),
    [anon_sym___attribute__] = ACTIONS(2238),
    [anon_sym_COLON_COLON] = ACTIONS(2236),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2236),
    [anon_sym___declspec] = ACTIONS(2238),
    [anon_sym___based] = ACTIONS(2238),
    [anon_sym___cdecl] = ACTIONS(2238),
    [anon_sym___clrcall] = ACTIONS(2238),
    [anon_sym___stdcall] = ACTIONS(2238),
    [anon_sym___fastcall] = ACTIONS(2238),
    [anon_sym___thiscall] = ACTIONS(2238),
    [anon_sym___vectorcall] = ACTIONS(2238),
    [anon_sym_LBRACE] = ACTIONS(2236),
    [anon_sym_signed] = ACTIONS(2238),
    [anon_sym_unsigned] = ACTIONS(2238),
    [anon_sym_long] = ACTIONS(2238),
    [anon_sym_short] = ACTIONS(2238),
    [anon_sym_LBRACK] = ACTIONS(2238),
    [anon_sym_static] = ACTIONS(2238),
    [anon_sym_register] = ACTIONS(2238),
    [anon_sym_inline] = ACTIONS(2238),
    [anon_sym___inline] = ACTIONS(2238),
    [anon_sym___inline__] = ACTIONS(2238),
    [anon_sym___forceinline] = ACTIONS(2238),
    [anon_sym_thread_local] = ACTIONS(2238),
    [anon_sym___thread] = ACTIONS(2238),
    [anon_sym_const] = ACTIONS(2238),
    [anon_sym_constexpr] = ACTIONS(2238),
    [anon_sym_volatile] = ACTIONS(2238),
    [anon_sym_restrict] = ACTIONS(2238),
    [anon_sym___restrict__] = ACTIONS(2238),
    [anon_sym__Atomic] = ACTIONS(2238),
    [anon_sym__Noreturn] = ACTIONS(2238),
    [anon_sym_noreturn] = ACTIONS(2238),
    [anon_sym_mutable] = ACTIONS(2238),
    [anon_sym_constinit] = ACTIONS(2238),
    [anon_sym_consteval] = ACTIONS(2238),
    [sym_primitive_type] = ACTIONS(2238),
    [anon_sym_enum] = ACTIONS(2238),
    [anon_sym_class] = ACTIONS(2238),
    [anon_sym_struct] = ACTIONS(2238),
    [anon_sym_union] = ACTIONS(2238),
    [anon_sym_if] = ACTIONS(2238),
    [anon_sym_switch] = ACTIONS(2238),
    [anon_sym_case] = ACTIONS(2238),
    [anon_sym_default] = ACTIONS(2238),
    [anon_sym_while] = ACTIONS(2238),
    [anon_sym_do] = ACTIONS(2238),
    [anon_sym_for] = ACTIONS(2238),
    [anon_sym_return] = ACTIONS(2238),
    [anon_sym_break] = ACTIONS(2238),
    [anon_sym_continue] = ACTIONS(2238),
    [anon_sym_goto] = ACTIONS(2238),
    [anon_sym___try] = ACTIONS(2238),
    [anon_sym___leave] = ACTIONS(2238),
    [anon_sym_not] = ACTIONS(2238),
    [anon_sym_compl] = ACTIONS(2238),
    [anon_sym_DASH_DASH] = ACTIONS(2236),
    [anon_sym_PLUS_PLUS] = ACTIONS(2236),
    [anon_sym_sizeof] = ACTIONS(2238),
    [anon_sym___alignof__] = ACTIONS(2238),
    [anon_sym___alignof] = ACTIONS(2238),
    [anon_sym__alignof] = ACTIONS(2238),
    [anon_sym_alignof] = ACTIONS(2238),
    [anon_sym__Alignof] = ACTIONS(2238),
    [anon_sym_offsetof] = ACTIONS(2238),
    [anon_sym__Generic] = ACTIONS(2238),
    [anon_sym_asm] = ACTIONS(2238),
    [anon_sym___asm__] = ACTIONS(2238),
    [sym_number_literal] = ACTIONS(2236),
    [anon_sym_L_SQUOTE] = ACTIONS(2236),
    [anon_sym_u_SQUOTE] = ACTIONS(2236),
    [anon_sym_U_SQUOTE] = ACTIONS(2236),
    [anon_sym_u8_SQUOTE] = ACTIONS(2236),
    [anon_sym_SQUOTE] = ACTIONS(2236),
    [anon_sym_L_DQUOTE] = ACTIONS(2236),
    [anon_sym_u_DQUOTE] = ACTIONS(2236),
    [anon_sym_U_DQUOTE] = ACTIONS(2236),
    [anon_sym_u8_DQUOTE] = ACTIONS(2236),
    [anon_sym_DQUOTE] = ACTIONS(2236),
    [sym_true] = ACTIONS(2238),
    [sym_false] = ACTIONS(2238),
    [anon_sym_NULL] = ACTIONS(2238),
    [anon_sym_nullptr] = ACTIONS(2238),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2238),
    [anon_sym_decltype] = ACTIONS(2238),
    [anon_sym_virtual] = ACTIONS(2238),
    [anon_sym_alignas] = ACTIONS(2238),
    [anon_sym_explicit] = ACTIONS(2238),
    [anon_sym_typename] = ACTIONS(2238),
    [anon_sym_template] = ACTIONS(2238),
    [anon_sym_operator] = ACTIONS(2238),
    [anon_sym_try] = ACTIONS(2238),
    [anon_sym_delete] = ACTIONS(2238),
    [anon_sym_throw] = ACTIONS(2238),
    [anon_sym_namespace] = ACTIONS(2238),
    [anon_sym_using] = ACTIONS(2238),
    [anon_sym_static_assert] = ACTIONS(2238),
    [anon_sym_concept] = ACTIONS(2238),
    [anon_sym_co_return] = ACTIONS(2238),
    [anon_sym_co_yield] = ACTIONS(2238),
    [anon_sym_R_DQUOTE] = ACTIONS(2236),
    [anon_sym_LR_DQUOTE] = ACTIONS(2236),
    [anon_sym_uR_DQUOTE] = ACTIONS(2236),
    [anon_sym_UR_DQUOTE] = ACTIONS(2236),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2236),
    [anon_sym_co_await] = ACTIONS(2238),
    [anon_sym_new] = ACTIONS(2238),
    [anon_sym_requires] = ACTIONS(2238),
    [sym_this] = ACTIONS(2238),
    [anon_sym_discard] = ACTIONS(2238),
    [anon_sym_precise] = ACTIONS(2238),
    [anon_sym_shared] = ACTIONS(2238),
    [anon_sym_groupshared] = ACTIONS(2238),
    [anon_sym_uniform] = ACTIONS(2238),
    [anon_sym_row_major] = ACTIONS(2238),
    [anon_sym_column_major] = ACTIONS(2238),
    [anon_sym_globallycoherent] = ACTIONS(2238),
    [anon_sym_centroid] = ACTIONS(2238),
    [anon_sym_noperspective] = ACTIONS(2238),
    [anon_sym_nointerpolation] = ACTIONS(2238),
    [anon_sym_sample] = ACTIONS(2238),
    [anon_sym_linear] = ACTIONS(2238),
    [anon_sym_snorm] = ACTIONS(2238),
    [anon_sym_unorm] = ACTIONS(2238),
    [anon_sym_point] = ACTIONS(2238),
    [anon_sym_line] = ACTIONS(2238),
    [anon_sym_triangleadj] = ACTIONS(2238),
    [anon_sym_lineadj] = ACTIONS(2238),
    [anon_sym_triangle] = ACTIONS(2238),
    [anon_sym_cbuffer] = ACTIONS(2238),
  },
  [241] = {
    [sym_identifier] = ACTIONS(2330),
    [aux_sym_preproc_include_token1] = ACTIONS(2330),
    [aux_sym_preproc_def_token1] = ACTIONS(2330),
    [aux_sym_preproc_if_token1] = ACTIONS(2330),
    [aux_sym_preproc_if_token2] = ACTIONS(2330),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2330),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2330),
    [aux_sym_preproc_else_token1] = ACTIONS(2330),
    [aux_sym_preproc_elif_token1] = ACTIONS(2330),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2330),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2330),
    [sym_preproc_directive] = ACTIONS(2330),
    [anon_sym_LPAREN2] = ACTIONS(2332),
    [anon_sym_BANG] = ACTIONS(2332),
    [anon_sym_TILDE] = ACTIONS(2332),
    [anon_sym_DASH] = ACTIONS(2330),
    [anon_sym_PLUS] = ACTIONS(2330),
    [anon_sym_STAR] = ACTIONS(2332),
    [anon_sym_AMP_AMP] = ACTIONS(2332),
    [anon_sym_AMP] = ACTIONS(2330),
    [anon_sym_SEMI] = ACTIONS(2332),
    [anon_sym___extension__] = ACTIONS(2330),
    [anon_sym_typedef] = ACTIONS(2330),
    [anon_sym_in] = ACTIONS(2330),
    [anon_sym_out] = ACTIONS(2330),
    [anon_sym_inout] = ACTIONS(2330),
    [anon_sym_extern] = ACTIONS(2330),
    [anon_sym___attribute__] = ACTIONS(2330),
    [anon_sym_COLON_COLON] = ACTIONS(2332),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2332),
    [anon_sym___declspec] = ACTIONS(2330),
    [anon_sym___based] = ACTIONS(2330),
    [anon_sym___cdecl] = ACTIONS(2330),
    [anon_sym___clrcall] = ACTIONS(2330),
    [anon_sym___stdcall] = ACTIONS(2330),
    [anon_sym___fastcall] = ACTIONS(2330),
    [anon_sym___thiscall] = ACTIONS(2330),
    [anon_sym___vectorcall] = ACTIONS(2330),
    [anon_sym_LBRACE] = ACTIONS(2332),
    [anon_sym_signed] = ACTIONS(2330),
    [anon_sym_unsigned] = ACTIONS(2330),
    [anon_sym_long] = ACTIONS(2330),
    [anon_sym_short] = ACTIONS(2330),
    [anon_sym_LBRACK] = ACTIONS(2330),
    [anon_sym_static] = ACTIONS(2330),
    [anon_sym_register] = ACTIONS(2330),
    [anon_sym_inline] = ACTIONS(2330),
    [anon_sym___inline] = ACTIONS(2330),
    [anon_sym___inline__] = ACTIONS(2330),
    [anon_sym___forceinline] = ACTIONS(2330),
    [anon_sym_thread_local] = ACTIONS(2330),
    [anon_sym___thread] = ACTIONS(2330),
    [anon_sym_const] = ACTIONS(2330),
    [anon_sym_constexpr] = ACTIONS(2330),
    [anon_sym_volatile] = ACTIONS(2330),
    [anon_sym_restrict] = ACTIONS(2330),
    [anon_sym___restrict__] = ACTIONS(2330),
    [anon_sym__Atomic] = ACTIONS(2330),
    [anon_sym__Noreturn] = ACTIONS(2330),
    [anon_sym_noreturn] = ACTIONS(2330),
    [anon_sym_mutable] = ACTIONS(2330),
    [anon_sym_constinit] = ACTIONS(2330),
    [anon_sym_consteval] = ACTIONS(2330),
    [sym_primitive_type] = ACTIONS(2330),
    [anon_sym_enum] = ACTIONS(2330),
    [anon_sym_class] = ACTIONS(2330),
    [anon_sym_struct] = ACTIONS(2330),
    [anon_sym_union] = ACTIONS(2330),
    [anon_sym_if] = ACTIONS(2330),
    [anon_sym_else] = ACTIONS(2330),
    [anon_sym_switch] = ACTIONS(2330),
    [anon_sym_case] = ACTIONS(2330),
    [anon_sym_default] = ACTIONS(2330),
    [anon_sym_while] = ACTIONS(2330),
    [anon_sym_do] = ACTIONS(2330),
    [anon_sym_for] = ACTIONS(2330),
    [anon_sym_return] = ACTIONS(2330),
    [anon_sym_break] = ACTIONS(2330),
    [anon_sym_continue] = ACTIONS(2330),
    [anon_sym_goto] = ACTIONS(2330),
    [anon_sym___try] = ACTIONS(2330),
    [anon_sym___leave] = ACTIONS(2330),
    [anon_sym_not] = ACTIONS(2330),
    [anon_sym_compl] = ACTIONS(2330),
    [anon_sym_DASH_DASH] = ACTIONS(2332),
    [anon_sym_PLUS_PLUS] = ACTIONS(2332),
    [anon_sym_sizeof] = ACTIONS(2330),
    [anon_sym___alignof__] = ACTIONS(2330),
    [anon_sym___alignof] = ACTIONS(2330),
    [anon_sym__alignof] = ACTIONS(2330),
    [anon_sym_alignof] = ACTIONS(2330),
    [anon_sym__Alignof] = ACTIONS(2330),
    [anon_sym_offsetof] = ACTIONS(2330),
    [anon_sym__Generic] = ACTIONS(2330),
    [anon_sym_asm] = ACTIONS(2330),
    [anon_sym___asm__] = ACTIONS(2330),
    [sym_number_literal] = ACTIONS(2332),
    [anon_sym_L_SQUOTE] = ACTIONS(2332),
    [anon_sym_u_SQUOTE] = ACTIONS(2332),
    [anon_sym_U_SQUOTE] = ACTIONS(2332),
    [anon_sym_u8_SQUOTE] = ACTIONS(2332),
    [anon_sym_SQUOTE] = ACTIONS(2332),
    [anon_sym_L_DQUOTE] = ACTIONS(2332),
    [anon_sym_u_DQUOTE] = ACTIONS(2332),
    [anon_sym_U_DQUOTE] = ACTIONS(2332),
    [anon_sym_u8_DQUOTE] = ACTIONS(2332),
    [anon_sym_DQUOTE] = ACTIONS(2332),
    [sym_true] = ACTIONS(2330),
    [sym_false] = ACTIONS(2330),
    [anon_sym_NULL] = ACTIONS(2330),
    [anon_sym_nullptr] = ACTIONS(2330),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2330),
    [anon_sym_decltype] = ACTIONS(2330),
    [anon_sym_virtual] = ACTIONS(2330),
    [anon_sym_alignas] = ACTIONS(2330),
    [anon_sym_explicit] = ACTIONS(2330),
    [anon_sym_typename] = ACTIONS(2330),
    [anon_sym_template] = ACTIONS(2330),
    [anon_sym_operator] = ACTIONS(2330),
    [anon_sym_try] = ACTIONS(2330),
    [anon_sym_delete] = ACTIONS(2330),
    [anon_sym_throw] = ACTIONS(2330),
    [anon_sym_namespace] = ACTIONS(2330),
    [anon_sym_using] = ACTIONS(2330),
    [anon_sym_static_assert] = ACTIONS(2330),
    [anon_sym_concept] = ACTIONS(2330),
    [anon_sym_co_return] = ACTIONS(2330),
    [anon_sym_co_yield] = ACTIONS(2330),
    [anon_sym_R_DQUOTE] = ACTIONS(2332),
    [anon_sym_LR_DQUOTE] = ACTIONS(2332),
    [anon_sym_uR_DQUOTE] = ACTIONS(2332),
    [anon_sym_UR_DQUOTE] = ACTIONS(2332),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2332),
    [anon_sym_co_await] = ACTIONS(2330),
    [anon_sym_new] = ACTIONS(2330),
    [anon_sym_requires] = ACTIONS(2330),
    [sym_this] = ACTIONS(2330),
    [anon_sym_discard] = ACTIONS(2330),
    [anon_sym_precise] = ACTIONS(2330),
    [anon_sym_shared] = ACTIONS(2330),
    [anon_sym_groupshared] = ACTIONS(2330),
    [anon_sym_uniform] = ACTIONS(2330),
    [anon_sym_row_major] = ACTIONS(2330),
    [anon_sym_column_major] = ACTIONS(2330),
    [anon_sym_globallycoherent] = ACTIONS(2330),
    [anon_sym_centroid] = ACTIONS(2330),
    [anon_sym_noperspective] = ACTIONS(2330),
    [anon_sym_nointerpolation] = ACTIONS(2330),
    [anon_sym_sample] = ACTIONS(2330),
    [anon_sym_linear] = ACTIONS(2330),
    [anon_sym_snorm] = ACTIONS(2330),
    [anon_sym_unorm] = ACTIONS(2330),
    [anon_sym_point] = ACTIONS(2330),
    [anon_sym_line] = ACTIONS(2330),
    [anon_sym_triangleadj] = ACTIONS(2330),
    [anon_sym_lineadj] = ACTIONS(2330),
    [anon_sym_triangle] = ACTIONS(2330),
    [anon_sym_cbuffer] = ACTIONS(2330),
  },
  [242] = {
    [sym_identifier] = ACTIONS(2330),
    [aux_sym_preproc_include_token1] = ACTIONS(2330),
    [aux_sym_preproc_def_token1] = ACTIONS(2330),
    [aux_sym_preproc_if_token1] = ACTIONS(2330),
    [aux_sym_preproc_if_token2] = ACTIONS(2330),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2330),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2330),
    [aux_sym_preproc_else_token1] = ACTIONS(2330),
    [aux_sym_preproc_elif_token1] = ACTIONS(2330),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2330),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2330),
    [sym_preproc_directive] = ACTIONS(2330),
    [anon_sym_LPAREN2] = ACTIONS(2332),
    [anon_sym_BANG] = ACTIONS(2332),
    [anon_sym_TILDE] = ACTIONS(2332),
    [anon_sym_DASH] = ACTIONS(2330),
    [anon_sym_PLUS] = ACTIONS(2330),
    [anon_sym_STAR] = ACTIONS(2332),
    [anon_sym_AMP_AMP] = ACTIONS(2332),
    [anon_sym_AMP] = ACTIONS(2330),
    [anon_sym_SEMI] = ACTIONS(2332),
    [anon_sym___extension__] = ACTIONS(2330),
    [anon_sym_typedef] = ACTIONS(2330),
    [anon_sym_in] = ACTIONS(2330),
    [anon_sym_out] = ACTIONS(2330),
    [anon_sym_inout] = ACTIONS(2330),
    [anon_sym_extern] = ACTIONS(2330),
    [anon_sym___attribute__] = ACTIONS(2330),
    [anon_sym_COLON_COLON] = ACTIONS(2332),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2332),
    [anon_sym___declspec] = ACTIONS(2330),
    [anon_sym___based] = ACTIONS(2330),
    [anon_sym___cdecl] = ACTIONS(2330),
    [anon_sym___clrcall] = ACTIONS(2330),
    [anon_sym___stdcall] = ACTIONS(2330),
    [anon_sym___fastcall] = ACTIONS(2330),
    [anon_sym___thiscall] = ACTIONS(2330),
    [anon_sym___vectorcall] = ACTIONS(2330),
    [anon_sym_LBRACE] = ACTIONS(2332),
    [anon_sym_signed] = ACTIONS(2330),
    [anon_sym_unsigned] = ACTIONS(2330),
    [anon_sym_long] = ACTIONS(2330),
    [anon_sym_short] = ACTIONS(2330),
    [anon_sym_LBRACK] = ACTIONS(2330),
    [anon_sym_static] = ACTIONS(2330),
    [anon_sym_register] = ACTIONS(2330),
    [anon_sym_inline] = ACTIONS(2330),
    [anon_sym___inline] = ACTIONS(2330),
    [anon_sym___inline__] = ACTIONS(2330),
    [anon_sym___forceinline] = ACTIONS(2330),
    [anon_sym_thread_local] = ACTIONS(2330),
    [anon_sym___thread] = ACTIONS(2330),
    [anon_sym_const] = ACTIONS(2330),
    [anon_sym_constexpr] = ACTIONS(2330),
    [anon_sym_volatile] = ACTIONS(2330),
    [anon_sym_restrict] = ACTIONS(2330),
    [anon_sym___restrict__] = ACTIONS(2330),
    [anon_sym__Atomic] = ACTIONS(2330),
    [anon_sym__Noreturn] = ACTIONS(2330),
    [anon_sym_noreturn] = ACTIONS(2330),
    [anon_sym_mutable] = ACTIONS(2330),
    [anon_sym_constinit] = ACTIONS(2330),
    [anon_sym_consteval] = ACTIONS(2330),
    [sym_primitive_type] = ACTIONS(2330),
    [anon_sym_enum] = ACTIONS(2330),
    [anon_sym_class] = ACTIONS(2330),
    [anon_sym_struct] = ACTIONS(2330),
    [anon_sym_union] = ACTIONS(2330),
    [anon_sym_if] = ACTIONS(2330),
    [anon_sym_else] = ACTIONS(2330),
    [anon_sym_switch] = ACTIONS(2330),
    [anon_sym_case] = ACTIONS(2330),
    [anon_sym_default] = ACTIONS(2330),
    [anon_sym_while] = ACTIONS(2330),
    [anon_sym_do] = ACTIONS(2330),
    [anon_sym_for] = ACTIONS(2330),
    [anon_sym_return] = ACTIONS(2330),
    [anon_sym_break] = ACTIONS(2330),
    [anon_sym_continue] = ACTIONS(2330),
    [anon_sym_goto] = ACTIONS(2330),
    [anon_sym___try] = ACTIONS(2330),
    [anon_sym___leave] = ACTIONS(2330),
    [anon_sym_not] = ACTIONS(2330),
    [anon_sym_compl] = ACTIONS(2330),
    [anon_sym_DASH_DASH] = ACTIONS(2332),
    [anon_sym_PLUS_PLUS] = ACTIONS(2332),
    [anon_sym_sizeof] = ACTIONS(2330),
    [anon_sym___alignof__] = ACTIONS(2330),
    [anon_sym___alignof] = ACTIONS(2330),
    [anon_sym__alignof] = ACTIONS(2330),
    [anon_sym_alignof] = ACTIONS(2330),
    [anon_sym__Alignof] = ACTIONS(2330),
    [anon_sym_offsetof] = ACTIONS(2330),
    [anon_sym__Generic] = ACTIONS(2330),
    [anon_sym_asm] = ACTIONS(2330),
    [anon_sym___asm__] = ACTIONS(2330),
    [sym_number_literal] = ACTIONS(2332),
    [anon_sym_L_SQUOTE] = ACTIONS(2332),
    [anon_sym_u_SQUOTE] = ACTIONS(2332),
    [anon_sym_U_SQUOTE] = ACTIONS(2332),
    [anon_sym_u8_SQUOTE] = ACTIONS(2332),
    [anon_sym_SQUOTE] = ACTIONS(2332),
    [anon_sym_L_DQUOTE] = ACTIONS(2332),
    [anon_sym_u_DQUOTE] = ACTIONS(2332),
    [anon_sym_U_DQUOTE] = ACTIONS(2332),
    [anon_sym_u8_DQUOTE] = ACTIONS(2332),
    [anon_sym_DQUOTE] = ACTIONS(2332),
    [sym_true] = ACTIONS(2330),
    [sym_false] = ACTIONS(2330),
    [anon_sym_NULL] = ACTIONS(2330),
    [anon_sym_nullptr] = ACTIONS(2330),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2330),
    [anon_sym_decltype] = ACTIONS(2330),
    [anon_sym_virtual] = ACTIONS(2330),
    [anon_sym_alignas] = ACTIONS(2330),
    [anon_sym_explicit] = ACTIONS(2330),
    [anon_sym_typename] = ACTIONS(2330),
    [anon_sym_template] = ACTIONS(2330),
    [anon_sym_operator] = ACTIONS(2330),
    [anon_sym_try] = ACTIONS(2330),
    [anon_sym_delete] = ACTIONS(2330),
    [anon_sym_throw] = ACTIONS(2330),
    [anon_sym_namespace] = ACTIONS(2330),
    [anon_sym_using] = ACTIONS(2330),
    [anon_sym_static_assert] = ACTIONS(2330),
    [anon_sym_concept] = ACTIONS(2330),
    [anon_sym_co_return] = ACTIONS(2330),
    [anon_sym_co_yield] = ACTIONS(2330),
    [anon_sym_R_DQUOTE] = ACTIONS(2332),
    [anon_sym_LR_DQUOTE] = ACTIONS(2332),
    [anon_sym_uR_DQUOTE] = ACTIONS(2332),
    [anon_sym_UR_DQUOTE] = ACTIONS(2332),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2332),
    [anon_sym_co_await] = ACTIONS(2330),
    [anon_sym_new] = ACTIONS(2330),
    [anon_sym_requires] = ACTIONS(2330),
    [sym_this] = ACTIONS(2330),
    [anon_sym_discard] = ACTIONS(2330),
    [anon_sym_precise] = ACTIONS(2330),
    [anon_sym_shared] = ACTIONS(2330),
    [anon_sym_groupshared] = ACTIONS(2330),
    [anon_sym_uniform] = ACTIONS(2330),
    [anon_sym_row_major] = ACTIONS(2330),
    [anon_sym_column_major] = ACTIONS(2330),
    [anon_sym_globallycoherent] = ACTIONS(2330),
    [anon_sym_centroid] = ACTIONS(2330),
    [anon_sym_noperspective] = ACTIONS(2330),
    [anon_sym_nointerpolation] = ACTIONS(2330),
    [anon_sym_sample] = ACTIONS(2330),
    [anon_sym_linear] = ACTIONS(2330),
    [anon_sym_snorm] = ACTIONS(2330),
    [anon_sym_unorm] = ACTIONS(2330),
    [anon_sym_point] = ACTIONS(2330),
    [anon_sym_line] = ACTIONS(2330),
    [anon_sym_triangleadj] = ACTIONS(2330),
    [anon_sym_lineadj] = ACTIONS(2330),
    [anon_sym_triangle] = ACTIONS(2330),
    [anon_sym_cbuffer] = ACTIONS(2330),
  },
  [243] = {
    [sym_identifier] = ACTIONS(2330),
    [aux_sym_preproc_include_token1] = ACTIONS(2330),
    [aux_sym_preproc_def_token1] = ACTIONS(2330),
    [aux_sym_preproc_if_token1] = ACTIONS(2330),
    [aux_sym_preproc_if_token2] = ACTIONS(2330),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2330),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2330),
    [aux_sym_preproc_else_token1] = ACTIONS(2330),
    [aux_sym_preproc_elif_token1] = ACTIONS(2330),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2330),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2330),
    [sym_preproc_directive] = ACTIONS(2330),
    [anon_sym_LPAREN2] = ACTIONS(2332),
    [anon_sym_BANG] = ACTIONS(2332),
    [anon_sym_TILDE] = ACTIONS(2332),
    [anon_sym_DASH] = ACTIONS(2330),
    [anon_sym_PLUS] = ACTIONS(2330),
    [anon_sym_STAR] = ACTIONS(2332),
    [anon_sym_AMP_AMP] = ACTIONS(2332),
    [anon_sym_AMP] = ACTIONS(2330),
    [anon_sym_SEMI] = ACTIONS(2332),
    [anon_sym___extension__] = ACTIONS(2330),
    [anon_sym_typedef] = ACTIONS(2330),
    [anon_sym_in] = ACTIONS(2330),
    [anon_sym_out] = ACTIONS(2330),
    [anon_sym_inout] = ACTIONS(2330),
    [anon_sym_extern] = ACTIONS(2330),
    [anon_sym___attribute__] = ACTIONS(2330),
    [anon_sym_COLON_COLON] = ACTIONS(2332),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2332),
    [anon_sym___declspec] = ACTIONS(2330),
    [anon_sym___based] = ACTIONS(2330),
    [anon_sym___cdecl] = ACTIONS(2330),
    [anon_sym___clrcall] = ACTIONS(2330),
    [anon_sym___stdcall] = ACTIONS(2330),
    [anon_sym___fastcall] = ACTIONS(2330),
    [anon_sym___thiscall] = ACTIONS(2330),
    [anon_sym___vectorcall] = ACTIONS(2330),
    [anon_sym_LBRACE] = ACTIONS(2332),
    [anon_sym_signed] = ACTIONS(2330),
    [anon_sym_unsigned] = ACTIONS(2330),
    [anon_sym_long] = ACTIONS(2330),
    [anon_sym_short] = ACTIONS(2330),
    [anon_sym_LBRACK] = ACTIONS(2330),
    [anon_sym_static] = ACTIONS(2330),
    [anon_sym_register] = ACTIONS(2330),
    [anon_sym_inline] = ACTIONS(2330),
    [anon_sym___inline] = ACTIONS(2330),
    [anon_sym___inline__] = ACTIONS(2330),
    [anon_sym___forceinline] = ACTIONS(2330),
    [anon_sym_thread_local] = ACTIONS(2330),
    [anon_sym___thread] = ACTIONS(2330),
    [anon_sym_const] = ACTIONS(2330),
    [anon_sym_constexpr] = ACTIONS(2330),
    [anon_sym_volatile] = ACTIONS(2330),
    [anon_sym_restrict] = ACTIONS(2330),
    [anon_sym___restrict__] = ACTIONS(2330),
    [anon_sym__Atomic] = ACTIONS(2330),
    [anon_sym__Noreturn] = ACTIONS(2330),
    [anon_sym_noreturn] = ACTIONS(2330),
    [anon_sym_mutable] = ACTIONS(2330),
    [anon_sym_constinit] = ACTIONS(2330),
    [anon_sym_consteval] = ACTIONS(2330),
    [sym_primitive_type] = ACTIONS(2330),
    [anon_sym_enum] = ACTIONS(2330),
    [anon_sym_class] = ACTIONS(2330),
    [anon_sym_struct] = ACTIONS(2330),
    [anon_sym_union] = ACTIONS(2330),
    [anon_sym_if] = ACTIONS(2330),
    [anon_sym_else] = ACTIONS(2330),
    [anon_sym_switch] = ACTIONS(2330),
    [anon_sym_case] = ACTIONS(2330),
    [anon_sym_default] = ACTIONS(2330),
    [anon_sym_while] = ACTIONS(2330),
    [anon_sym_do] = ACTIONS(2330),
    [anon_sym_for] = ACTIONS(2330),
    [anon_sym_return] = ACTIONS(2330),
    [anon_sym_break] = ACTIONS(2330),
    [anon_sym_continue] = ACTIONS(2330),
    [anon_sym_goto] = ACTIONS(2330),
    [anon_sym___try] = ACTIONS(2330),
    [anon_sym___leave] = ACTIONS(2330),
    [anon_sym_not] = ACTIONS(2330),
    [anon_sym_compl] = ACTIONS(2330),
    [anon_sym_DASH_DASH] = ACTIONS(2332),
    [anon_sym_PLUS_PLUS] = ACTIONS(2332),
    [anon_sym_sizeof] = ACTIONS(2330),
    [anon_sym___alignof__] = ACTIONS(2330),
    [anon_sym___alignof] = ACTIONS(2330),
    [anon_sym__alignof] = ACTIONS(2330),
    [anon_sym_alignof] = ACTIONS(2330),
    [anon_sym__Alignof] = ACTIONS(2330),
    [anon_sym_offsetof] = ACTIONS(2330),
    [anon_sym__Generic] = ACTIONS(2330),
    [anon_sym_asm] = ACTIONS(2330),
    [anon_sym___asm__] = ACTIONS(2330),
    [sym_number_literal] = ACTIONS(2332),
    [anon_sym_L_SQUOTE] = ACTIONS(2332),
    [anon_sym_u_SQUOTE] = ACTIONS(2332),
    [anon_sym_U_SQUOTE] = ACTIONS(2332),
    [anon_sym_u8_SQUOTE] = ACTIONS(2332),
    [anon_sym_SQUOTE] = ACTIONS(2332),
    [anon_sym_L_DQUOTE] = ACTIONS(2332),
    [anon_sym_u_DQUOTE] = ACTIONS(2332),
    [anon_sym_U_DQUOTE] = ACTIONS(2332),
    [anon_sym_u8_DQUOTE] = ACTIONS(2332),
    [anon_sym_DQUOTE] = ACTIONS(2332),
    [sym_true] = ACTIONS(2330),
    [sym_false] = ACTIONS(2330),
    [anon_sym_NULL] = ACTIONS(2330),
    [anon_sym_nullptr] = ACTIONS(2330),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2330),
    [anon_sym_decltype] = ACTIONS(2330),
    [anon_sym_virtual] = ACTIONS(2330),
    [anon_sym_alignas] = ACTIONS(2330),
    [anon_sym_explicit] = ACTIONS(2330),
    [anon_sym_typename] = ACTIONS(2330),
    [anon_sym_template] = ACTIONS(2330),
    [anon_sym_operator] = ACTIONS(2330),
    [anon_sym_try] = ACTIONS(2330),
    [anon_sym_delete] = ACTIONS(2330),
    [anon_sym_throw] = ACTIONS(2330),
    [anon_sym_namespace] = ACTIONS(2330),
    [anon_sym_using] = ACTIONS(2330),
    [anon_sym_static_assert] = ACTIONS(2330),
    [anon_sym_concept] = ACTIONS(2330),
    [anon_sym_co_return] = ACTIONS(2330),
    [anon_sym_co_yield] = ACTIONS(2330),
    [anon_sym_R_DQUOTE] = ACTIONS(2332),
    [anon_sym_LR_DQUOTE] = ACTIONS(2332),
    [anon_sym_uR_DQUOTE] = ACTIONS(2332),
    [anon_sym_UR_DQUOTE] = ACTIONS(2332),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2332),
    [anon_sym_co_await] = ACTIONS(2330),
    [anon_sym_new] = ACTIONS(2330),
    [anon_sym_requires] = ACTIONS(2330),
    [sym_this] = ACTIONS(2330),
    [anon_sym_discard] = ACTIONS(2330),
    [anon_sym_precise] = ACTIONS(2330),
    [anon_sym_shared] = ACTIONS(2330),
    [anon_sym_groupshared] = ACTIONS(2330),
    [anon_sym_uniform] = ACTIONS(2330),
    [anon_sym_row_major] = ACTIONS(2330),
    [anon_sym_column_major] = ACTIONS(2330),
    [anon_sym_globallycoherent] = ACTIONS(2330),
    [anon_sym_centroid] = ACTIONS(2330),
    [anon_sym_noperspective] = ACTIONS(2330),
    [anon_sym_nointerpolation] = ACTIONS(2330),
    [anon_sym_sample] = ACTIONS(2330),
    [anon_sym_linear] = ACTIONS(2330),
    [anon_sym_snorm] = ACTIONS(2330),
    [anon_sym_unorm] = ACTIONS(2330),
    [anon_sym_point] = ACTIONS(2330),
    [anon_sym_line] = ACTIONS(2330),
    [anon_sym_triangleadj] = ACTIONS(2330),
    [anon_sym_lineadj] = ACTIONS(2330),
    [anon_sym_triangle] = ACTIONS(2330),
    [anon_sym_cbuffer] = ACTIONS(2330),
  },
  [244] = {
    [sym_identifier] = ACTIONS(2330),
    [aux_sym_preproc_include_token1] = ACTIONS(2330),
    [aux_sym_preproc_def_token1] = ACTIONS(2330),
    [aux_sym_preproc_if_token1] = ACTIONS(2330),
    [aux_sym_preproc_if_token2] = ACTIONS(2330),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2330),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2330),
    [aux_sym_preproc_else_token1] = ACTIONS(2330),
    [aux_sym_preproc_elif_token1] = ACTIONS(2330),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2330),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2330),
    [sym_preproc_directive] = ACTIONS(2330),
    [anon_sym_LPAREN2] = ACTIONS(2332),
    [anon_sym_BANG] = ACTIONS(2332),
    [anon_sym_TILDE] = ACTIONS(2332),
    [anon_sym_DASH] = ACTIONS(2330),
    [anon_sym_PLUS] = ACTIONS(2330),
    [anon_sym_STAR] = ACTIONS(2332),
    [anon_sym_AMP_AMP] = ACTIONS(2332),
    [anon_sym_AMP] = ACTIONS(2330),
    [anon_sym_SEMI] = ACTIONS(2332),
    [anon_sym___extension__] = ACTIONS(2330),
    [anon_sym_typedef] = ACTIONS(2330),
    [anon_sym_in] = ACTIONS(2330),
    [anon_sym_out] = ACTIONS(2330),
    [anon_sym_inout] = ACTIONS(2330),
    [anon_sym_extern] = ACTIONS(2330),
    [anon_sym___attribute__] = ACTIONS(2330),
    [anon_sym_COLON_COLON] = ACTIONS(2332),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2332),
    [anon_sym___declspec] = ACTIONS(2330),
    [anon_sym___based] = ACTIONS(2330),
    [anon_sym___cdecl] = ACTIONS(2330),
    [anon_sym___clrcall] = ACTIONS(2330),
    [anon_sym___stdcall] = ACTIONS(2330),
    [anon_sym___fastcall] = ACTIONS(2330),
    [anon_sym___thiscall] = ACTIONS(2330),
    [anon_sym___vectorcall] = ACTIONS(2330),
    [anon_sym_LBRACE] = ACTIONS(2332),
    [anon_sym_signed] = ACTIONS(2330),
    [anon_sym_unsigned] = ACTIONS(2330),
    [anon_sym_long] = ACTIONS(2330),
    [anon_sym_short] = ACTIONS(2330),
    [anon_sym_LBRACK] = ACTIONS(2330),
    [anon_sym_static] = ACTIONS(2330),
    [anon_sym_register] = ACTIONS(2330),
    [anon_sym_inline] = ACTIONS(2330),
    [anon_sym___inline] = ACTIONS(2330),
    [anon_sym___inline__] = ACTIONS(2330),
    [anon_sym___forceinline] = ACTIONS(2330),
    [anon_sym_thread_local] = ACTIONS(2330),
    [anon_sym___thread] = ACTIONS(2330),
    [anon_sym_const] = ACTIONS(2330),
    [anon_sym_constexpr] = ACTIONS(2330),
    [anon_sym_volatile] = ACTIONS(2330),
    [anon_sym_restrict] = ACTIONS(2330),
    [anon_sym___restrict__] = ACTIONS(2330),
    [anon_sym__Atomic] = ACTIONS(2330),
    [anon_sym__Noreturn] = ACTIONS(2330),
    [anon_sym_noreturn] = ACTIONS(2330),
    [anon_sym_mutable] = ACTIONS(2330),
    [anon_sym_constinit] = ACTIONS(2330),
    [anon_sym_consteval] = ACTIONS(2330),
    [sym_primitive_type] = ACTIONS(2330),
    [anon_sym_enum] = ACTIONS(2330),
    [anon_sym_class] = ACTIONS(2330),
    [anon_sym_struct] = ACTIONS(2330),
    [anon_sym_union] = ACTIONS(2330),
    [anon_sym_if] = ACTIONS(2330),
    [anon_sym_else] = ACTIONS(2330),
    [anon_sym_switch] = ACTIONS(2330),
    [anon_sym_case] = ACTIONS(2330),
    [anon_sym_default] = ACTIONS(2330),
    [anon_sym_while] = ACTIONS(2330),
    [anon_sym_do] = ACTIONS(2330),
    [anon_sym_for] = ACTIONS(2330),
    [anon_sym_return] = ACTIONS(2330),
    [anon_sym_break] = ACTIONS(2330),
    [anon_sym_continue] = ACTIONS(2330),
    [anon_sym_goto] = ACTIONS(2330),
    [anon_sym___try] = ACTIONS(2330),
    [anon_sym___leave] = ACTIONS(2330),
    [anon_sym_not] = ACTIONS(2330),
    [anon_sym_compl] = ACTIONS(2330),
    [anon_sym_DASH_DASH] = ACTIONS(2332),
    [anon_sym_PLUS_PLUS] = ACTIONS(2332),
    [anon_sym_sizeof] = ACTIONS(2330),
    [anon_sym___alignof__] = ACTIONS(2330),
    [anon_sym___alignof] = ACTIONS(2330),
    [anon_sym__alignof] = ACTIONS(2330),
    [anon_sym_alignof] = ACTIONS(2330),
    [anon_sym__Alignof] = ACTIONS(2330),
    [anon_sym_offsetof] = ACTIONS(2330),
    [anon_sym__Generic] = ACTIONS(2330),
    [anon_sym_asm] = ACTIONS(2330),
    [anon_sym___asm__] = ACTIONS(2330),
    [sym_number_literal] = ACTIONS(2332),
    [anon_sym_L_SQUOTE] = ACTIONS(2332),
    [anon_sym_u_SQUOTE] = ACTIONS(2332),
    [anon_sym_U_SQUOTE] = ACTIONS(2332),
    [anon_sym_u8_SQUOTE] = ACTIONS(2332),
    [anon_sym_SQUOTE] = ACTIONS(2332),
    [anon_sym_L_DQUOTE] = ACTIONS(2332),
    [anon_sym_u_DQUOTE] = ACTIONS(2332),
    [anon_sym_U_DQUOTE] = ACTIONS(2332),
    [anon_sym_u8_DQUOTE] = ACTIONS(2332),
    [anon_sym_DQUOTE] = ACTIONS(2332),
    [sym_true] = ACTIONS(2330),
    [sym_false] = ACTIONS(2330),
    [anon_sym_NULL] = ACTIONS(2330),
    [anon_sym_nullptr] = ACTIONS(2330),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2330),
    [anon_sym_decltype] = ACTIONS(2330),
    [anon_sym_virtual] = ACTIONS(2330),
    [anon_sym_alignas] = ACTIONS(2330),
    [anon_sym_explicit] = ACTIONS(2330),
    [anon_sym_typename] = ACTIONS(2330),
    [anon_sym_template] = ACTIONS(2330),
    [anon_sym_operator] = ACTIONS(2330),
    [anon_sym_try] = ACTIONS(2330),
    [anon_sym_delete] = ACTIONS(2330),
    [anon_sym_throw] = ACTIONS(2330),
    [anon_sym_namespace] = ACTIONS(2330),
    [anon_sym_using] = ACTIONS(2330),
    [anon_sym_static_assert] = ACTIONS(2330),
    [anon_sym_concept] = ACTIONS(2330),
    [anon_sym_co_return] = ACTIONS(2330),
    [anon_sym_co_yield] = ACTIONS(2330),
    [anon_sym_R_DQUOTE] = ACTIONS(2332),
    [anon_sym_LR_DQUOTE] = ACTIONS(2332),
    [anon_sym_uR_DQUOTE] = ACTIONS(2332),
    [anon_sym_UR_DQUOTE] = ACTIONS(2332),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2332),
    [anon_sym_co_await] = ACTIONS(2330),
    [anon_sym_new] = ACTIONS(2330),
    [anon_sym_requires] = ACTIONS(2330),
    [sym_this] = ACTIONS(2330),
    [anon_sym_discard] = ACTIONS(2330),
    [anon_sym_precise] = ACTIONS(2330),
    [anon_sym_shared] = ACTIONS(2330),
    [anon_sym_groupshared] = ACTIONS(2330),
    [anon_sym_uniform] = ACTIONS(2330),
    [anon_sym_row_major] = ACTIONS(2330),
    [anon_sym_column_major] = ACTIONS(2330),
    [anon_sym_globallycoherent] = ACTIONS(2330),
    [anon_sym_centroid] = ACTIONS(2330),
    [anon_sym_noperspective] = ACTIONS(2330),
    [anon_sym_nointerpolation] = ACTIONS(2330),
    [anon_sym_sample] = ACTIONS(2330),
    [anon_sym_linear] = ACTIONS(2330),
    [anon_sym_snorm] = ACTIONS(2330),
    [anon_sym_unorm] = ACTIONS(2330),
    [anon_sym_point] = ACTIONS(2330),
    [anon_sym_line] = ACTIONS(2330),
    [anon_sym_triangleadj] = ACTIONS(2330),
    [anon_sym_lineadj] = ACTIONS(2330),
    [anon_sym_triangle] = ACTIONS(2330),
    [anon_sym_cbuffer] = ACTIONS(2330),
  },
  [245] = {
    [sym_identifier] = ACTIONS(2360),
    [aux_sym_preproc_include_token1] = ACTIONS(2360),
    [aux_sym_preproc_def_token1] = ACTIONS(2360),
    [aux_sym_preproc_if_token1] = ACTIONS(2360),
    [aux_sym_preproc_if_token2] = ACTIONS(2360),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2360),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2360),
    [aux_sym_preproc_else_token1] = ACTIONS(2360),
    [aux_sym_preproc_elif_token1] = ACTIONS(2360),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2360),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2360),
    [sym_preproc_directive] = ACTIONS(2360),
    [anon_sym_LPAREN2] = ACTIONS(2362),
    [anon_sym_BANG] = ACTIONS(2362),
    [anon_sym_TILDE] = ACTIONS(2362),
    [anon_sym_DASH] = ACTIONS(2360),
    [anon_sym_PLUS] = ACTIONS(2360),
    [anon_sym_STAR] = ACTIONS(2362),
    [anon_sym_AMP_AMP] = ACTIONS(2362),
    [anon_sym_AMP] = ACTIONS(2360),
    [anon_sym_SEMI] = ACTIONS(2362),
    [anon_sym___extension__] = ACTIONS(2360),
    [anon_sym_typedef] = ACTIONS(2360),
    [anon_sym_in] = ACTIONS(2360),
    [anon_sym_out] = ACTIONS(2360),
    [anon_sym_inout] = ACTIONS(2360),
    [anon_sym_extern] = ACTIONS(2360),
    [anon_sym___attribute__] = ACTIONS(2360),
    [anon_sym_COLON_COLON] = ACTIONS(2362),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2362),
    [anon_sym___declspec] = ACTIONS(2360),
    [anon_sym___based] = ACTIONS(2360),
    [anon_sym___cdecl] = ACTIONS(2360),
    [anon_sym___clrcall] = ACTIONS(2360),
    [anon_sym___stdcall] = ACTIONS(2360),
    [anon_sym___fastcall] = ACTIONS(2360),
    [anon_sym___thiscall] = ACTIONS(2360),
    [anon_sym___vectorcall] = ACTIONS(2360),
    [anon_sym_LBRACE] = ACTIONS(2362),
    [anon_sym_signed] = ACTIONS(2360),
    [anon_sym_unsigned] = ACTIONS(2360),
    [anon_sym_long] = ACTIONS(2360),
    [anon_sym_short] = ACTIONS(2360),
    [anon_sym_LBRACK] = ACTIONS(2360),
    [anon_sym_static] = ACTIONS(2360),
    [anon_sym_register] = ACTIONS(2360),
    [anon_sym_inline] = ACTIONS(2360),
    [anon_sym___inline] = ACTIONS(2360),
    [anon_sym___inline__] = ACTIONS(2360),
    [anon_sym___forceinline] = ACTIONS(2360),
    [anon_sym_thread_local] = ACTIONS(2360),
    [anon_sym___thread] = ACTIONS(2360),
    [anon_sym_const] = ACTIONS(2360),
    [anon_sym_constexpr] = ACTIONS(2360),
    [anon_sym_volatile] = ACTIONS(2360),
    [anon_sym_restrict] = ACTIONS(2360),
    [anon_sym___restrict__] = ACTIONS(2360),
    [anon_sym__Atomic] = ACTIONS(2360),
    [anon_sym__Noreturn] = ACTIONS(2360),
    [anon_sym_noreturn] = ACTIONS(2360),
    [anon_sym_mutable] = ACTIONS(2360),
    [anon_sym_constinit] = ACTIONS(2360),
    [anon_sym_consteval] = ACTIONS(2360),
    [sym_primitive_type] = ACTIONS(2360),
    [anon_sym_enum] = ACTIONS(2360),
    [anon_sym_class] = ACTIONS(2360),
    [anon_sym_struct] = ACTIONS(2360),
    [anon_sym_union] = ACTIONS(2360),
    [anon_sym_if] = ACTIONS(2360),
    [anon_sym_else] = ACTIONS(2360),
    [anon_sym_switch] = ACTIONS(2360),
    [anon_sym_case] = ACTIONS(2360),
    [anon_sym_default] = ACTIONS(2360),
    [anon_sym_while] = ACTIONS(2360),
    [anon_sym_do] = ACTIONS(2360),
    [anon_sym_for] = ACTIONS(2360),
    [anon_sym_return] = ACTIONS(2360),
    [anon_sym_break] = ACTIONS(2360),
    [anon_sym_continue] = ACTIONS(2360),
    [anon_sym_goto] = ACTIONS(2360),
    [anon_sym___try] = ACTIONS(2360),
    [anon_sym___leave] = ACTIONS(2360),
    [anon_sym_not] = ACTIONS(2360),
    [anon_sym_compl] = ACTIONS(2360),
    [anon_sym_DASH_DASH] = ACTIONS(2362),
    [anon_sym_PLUS_PLUS] = ACTIONS(2362),
    [anon_sym_sizeof] = ACTIONS(2360),
    [anon_sym___alignof__] = ACTIONS(2360),
    [anon_sym___alignof] = ACTIONS(2360),
    [anon_sym__alignof] = ACTIONS(2360),
    [anon_sym_alignof] = ACTIONS(2360),
    [anon_sym__Alignof] = ACTIONS(2360),
    [anon_sym_offsetof] = ACTIONS(2360),
    [anon_sym__Generic] = ACTIONS(2360),
    [anon_sym_asm] = ACTIONS(2360),
    [anon_sym___asm__] = ACTIONS(2360),
    [sym_number_literal] = ACTIONS(2362),
    [anon_sym_L_SQUOTE] = ACTIONS(2362),
    [anon_sym_u_SQUOTE] = ACTIONS(2362),
    [anon_sym_U_SQUOTE] = ACTIONS(2362),
    [anon_sym_u8_SQUOTE] = ACTIONS(2362),
    [anon_sym_SQUOTE] = ACTIONS(2362),
    [anon_sym_L_DQUOTE] = ACTIONS(2362),
    [anon_sym_u_DQUOTE] = ACTIONS(2362),
    [anon_sym_U_DQUOTE] = ACTIONS(2362),
    [anon_sym_u8_DQUOTE] = ACTIONS(2362),
    [anon_sym_DQUOTE] = ACTIONS(2362),
    [sym_true] = ACTIONS(2360),
    [sym_false] = ACTIONS(2360),
    [anon_sym_NULL] = ACTIONS(2360),
    [anon_sym_nullptr] = ACTIONS(2360),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2360),
    [anon_sym_decltype] = ACTIONS(2360),
    [anon_sym_virtual] = ACTIONS(2360),
    [anon_sym_alignas] = ACTIONS(2360),
    [anon_sym_explicit] = ACTIONS(2360),
    [anon_sym_typename] = ACTIONS(2360),
    [anon_sym_template] = ACTIONS(2360),
    [anon_sym_operator] = ACTIONS(2360),
    [anon_sym_try] = ACTIONS(2360),
    [anon_sym_delete] = ACTIONS(2360),
    [anon_sym_throw] = ACTIONS(2360),
    [anon_sym_namespace] = ACTIONS(2360),
    [anon_sym_using] = ACTIONS(2360),
    [anon_sym_static_assert] = ACTIONS(2360),
    [anon_sym_concept] = ACTIONS(2360),
    [anon_sym_co_return] = ACTIONS(2360),
    [anon_sym_co_yield] = ACTIONS(2360),
    [anon_sym_R_DQUOTE] = ACTIONS(2362),
    [anon_sym_LR_DQUOTE] = ACTIONS(2362),
    [anon_sym_uR_DQUOTE] = ACTIONS(2362),
    [anon_sym_UR_DQUOTE] = ACTIONS(2362),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2362),
    [anon_sym_co_await] = ACTIONS(2360),
    [anon_sym_new] = ACTIONS(2360),
    [anon_sym_requires] = ACTIONS(2360),
    [sym_this] = ACTIONS(2360),
    [anon_sym_discard] = ACTIONS(2360),
    [anon_sym_precise] = ACTIONS(2360),
    [anon_sym_shared] = ACTIONS(2360),
    [anon_sym_groupshared] = ACTIONS(2360),
    [anon_sym_uniform] = ACTIONS(2360),
    [anon_sym_row_major] = ACTIONS(2360),
    [anon_sym_column_major] = ACTIONS(2360),
    [anon_sym_globallycoherent] = ACTIONS(2360),
    [anon_sym_centroid] = ACTIONS(2360),
    [anon_sym_noperspective] = ACTIONS(2360),
    [anon_sym_nointerpolation] = ACTIONS(2360),
    [anon_sym_sample] = ACTIONS(2360),
    [anon_sym_linear] = ACTIONS(2360),
    [anon_sym_snorm] = ACTIONS(2360),
    [anon_sym_unorm] = ACTIONS(2360),
    [anon_sym_point] = ACTIONS(2360),
    [anon_sym_line] = ACTIONS(2360),
    [anon_sym_triangleadj] = ACTIONS(2360),
    [anon_sym_lineadj] = ACTIONS(2360),
    [anon_sym_triangle] = ACTIONS(2360),
    [anon_sym_cbuffer] = ACTIONS(2360),
  },
  [246] = {
    [sym_identifier] = ACTIONS(2364),
    [aux_sym_preproc_include_token1] = ACTIONS(2364),
    [aux_sym_preproc_def_token1] = ACTIONS(2364),
    [aux_sym_preproc_if_token1] = ACTIONS(2364),
    [aux_sym_preproc_if_token2] = ACTIONS(2364),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2364),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2364),
    [aux_sym_preproc_else_token1] = ACTIONS(2364),
    [aux_sym_preproc_elif_token1] = ACTIONS(2364),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2364),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2364),
    [sym_preproc_directive] = ACTIONS(2364),
    [anon_sym_LPAREN2] = ACTIONS(2366),
    [anon_sym_BANG] = ACTIONS(2366),
    [anon_sym_TILDE] = ACTIONS(2366),
    [anon_sym_DASH] = ACTIONS(2364),
    [anon_sym_PLUS] = ACTIONS(2364),
    [anon_sym_STAR] = ACTIONS(2366),
    [anon_sym_AMP_AMP] = ACTIONS(2366),
    [anon_sym_AMP] = ACTIONS(2364),
    [anon_sym_SEMI] = ACTIONS(2366),
    [anon_sym___extension__] = ACTIONS(2364),
    [anon_sym_typedef] = ACTIONS(2364),
    [anon_sym_in] = ACTIONS(2364),
    [anon_sym_out] = ACTIONS(2364),
    [anon_sym_inout] = ACTIONS(2364),
    [anon_sym_extern] = ACTIONS(2364),
    [anon_sym___attribute__] = ACTIONS(2364),
    [anon_sym_COLON_COLON] = ACTIONS(2366),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2366),
    [anon_sym___declspec] = ACTIONS(2364),
    [anon_sym___based] = ACTIONS(2364),
    [anon_sym___cdecl] = ACTIONS(2364),
    [anon_sym___clrcall] = ACTIONS(2364),
    [anon_sym___stdcall] = ACTIONS(2364),
    [anon_sym___fastcall] = ACTIONS(2364),
    [anon_sym___thiscall] = ACTIONS(2364),
    [anon_sym___vectorcall] = ACTIONS(2364),
    [anon_sym_LBRACE] = ACTIONS(2366),
    [anon_sym_signed] = ACTIONS(2364),
    [anon_sym_unsigned] = ACTIONS(2364),
    [anon_sym_long] = ACTIONS(2364),
    [anon_sym_short] = ACTIONS(2364),
    [anon_sym_LBRACK] = ACTIONS(2364),
    [anon_sym_static] = ACTIONS(2364),
    [anon_sym_register] = ACTIONS(2364),
    [anon_sym_inline] = ACTIONS(2364),
    [anon_sym___inline] = ACTIONS(2364),
    [anon_sym___inline__] = ACTIONS(2364),
    [anon_sym___forceinline] = ACTIONS(2364),
    [anon_sym_thread_local] = ACTIONS(2364),
    [anon_sym___thread] = ACTIONS(2364),
    [anon_sym_const] = ACTIONS(2364),
    [anon_sym_constexpr] = ACTIONS(2364),
    [anon_sym_volatile] = ACTIONS(2364),
    [anon_sym_restrict] = ACTIONS(2364),
    [anon_sym___restrict__] = ACTIONS(2364),
    [anon_sym__Atomic] = ACTIONS(2364),
    [anon_sym__Noreturn] = ACTIONS(2364),
    [anon_sym_noreturn] = ACTIONS(2364),
    [anon_sym_mutable] = ACTIONS(2364),
    [anon_sym_constinit] = ACTIONS(2364),
    [anon_sym_consteval] = ACTIONS(2364),
    [sym_primitive_type] = ACTIONS(2364),
    [anon_sym_enum] = ACTIONS(2364),
    [anon_sym_class] = ACTIONS(2364),
    [anon_sym_struct] = ACTIONS(2364),
    [anon_sym_union] = ACTIONS(2364),
    [anon_sym_if] = ACTIONS(2364),
    [anon_sym_else] = ACTIONS(2364),
    [anon_sym_switch] = ACTIONS(2364),
    [anon_sym_case] = ACTIONS(2364),
    [anon_sym_default] = ACTIONS(2364),
    [anon_sym_while] = ACTIONS(2364),
    [anon_sym_do] = ACTIONS(2364),
    [anon_sym_for] = ACTIONS(2364),
    [anon_sym_return] = ACTIONS(2364),
    [anon_sym_break] = ACTIONS(2364),
    [anon_sym_continue] = ACTIONS(2364),
    [anon_sym_goto] = ACTIONS(2364),
    [anon_sym___try] = ACTIONS(2364),
    [anon_sym___leave] = ACTIONS(2364),
    [anon_sym_not] = ACTIONS(2364),
    [anon_sym_compl] = ACTIONS(2364),
    [anon_sym_DASH_DASH] = ACTIONS(2366),
    [anon_sym_PLUS_PLUS] = ACTIONS(2366),
    [anon_sym_sizeof] = ACTIONS(2364),
    [anon_sym___alignof__] = ACTIONS(2364),
    [anon_sym___alignof] = ACTIONS(2364),
    [anon_sym__alignof] = ACTIONS(2364),
    [anon_sym_alignof] = ACTIONS(2364),
    [anon_sym__Alignof] = ACTIONS(2364),
    [anon_sym_offsetof] = ACTIONS(2364),
    [anon_sym__Generic] = ACTIONS(2364),
    [anon_sym_asm] = ACTIONS(2364),
    [anon_sym___asm__] = ACTIONS(2364),
    [sym_number_literal] = ACTIONS(2366),
    [anon_sym_L_SQUOTE] = ACTIONS(2366),
    [anon_sym_u_SQUOTE] = ACTIONS(2366),
    [anon_sym_U_SQUOTE] = ACTIONS(2366),
    [anon_sym_u8_SQUOTE] = ACTIONS(2366),
    [anon_sym_SQUOTE] = ACTIONS(2366),
    [anon_sym_L_DQUOTE] = ACTIONS(2366),
    [anon_sym_u_DQUOTE] = ACTIONS(2366),
    [anon_sym_U_DQUOTE] = ACTIONS(2366),
    [anon_sym_u8_DQUOTE] = ACTIONS(2366),
    [anon_sym_DQUOTE] = ACTIONS(2366),
    [sym_true] = ACTIONS(2364),
    [sym_false] = ACTIONS(2364),
    [anon_sym_NULL] = ACTIONS(2364),
    [anon_sym_nullptr] = ACTIONS(2364),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2364),
    [anon_sym_decltype] = ACTIONS(2364),
    [anon_sym_virtual] = ACTIONS(2364),
    [anon_sym_alignas] = ACTIONS(2364),
    [anon_sym_explicit] = ACTIONS(2364),
    [anon_sym_typename] = ACTIONS(2364),
    [anon_sym_template] = ACTIONS(2364),
    [anon_sym_operator] = ACTIONS(2364),
    [anon_sym_try] = ACTIONS(2364),
    [anon_sym_delete] = ACTIONS(2364),
    [anon_sym_throw] = ACTIONS(2364),
    [anon_sym_namespace] = ACTIONS(2364),
    [anon_sym_using] = ACTIONS(2364),
    [anon_sym_static_assert] = ACTIONS(2364),
    [anon_sym_concept] = ACTIONS(2364),
    [anon_sym_co_return] = ACTIONS(2364),
    [anon_sym_co_yield] = ACTIONS(2364),
    [anon_sym_R_DQUOTE] = ACTIONS(2366),
    [anon_sym_LR_DQUOTE] = ACTIONS(2366),
    [anon_sym_uR_DQUOTE] = ACTIONS(2366),
    [anon_sym_UR_DQUOTE] = ACTIONS(2366),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2366),
    [anon_sym_co_await] = ACTIONS(2364),
    [anon_sym_new] = ACTIONS(2364),
    [anon_sym_requires] = ACTIONS(2364),
    [sym_this] = ACTIONS(2364),
    [anon_sym_discard] = ACTIONS(2364),
    [anon_sym_precise] = ACTIONS(2364),
    [anon_sym_shared] = ACTIONS(2364),
    [anon_sym_groupshared] = ACTIONS(2364),
    [anon_sym_uniform] = ACTIONS(2364),
    [anon_sym_row_major] = ACTIONS(2364),
    [anon_sym_column_major] = ACTIONS(2364),
    [anon_sym_globallycoherent] = ACTIONS(2364),
    [anon_sym_centroid] = ACTIONS(2364),
    [anon_sym_noperspective] = ACTIONS(2364),
    [anon_sym_nointerpolation] = ACTIONS(2364),
    [anon_sym_sample] = ACTIONS(2364),
    [anon_sym_linear] = ACTIONS(2364),
    [anon_sym_snorm] = ACTIONS(2364),
    [anon_sym_unorm] = ACTIONS(2364),
    [anon_sym_point] = ACTIONS(2364),
    [anon_sym_line] = ACTIONS(2364),
    [anon_sym_triangleadj] = ACTIONS(2364),
    [anon_sym_lineadj] = ACTIONS(2364),
    [anon_sym_triangle] = ACTIONS(2364),
    [anon_sym_cbuffer] = ACTIONS(2364),
  },
  [247] = {
    [sym_identifier] = ACTIONS(2364),
    [aux_sym_preproc_include_token1] = ACTIONS(2364),
    [aux_sym_preproc_def_token1] = ACTIONS(2364),
    [aux_sym_preproc_if_token1] = ACTIONS(2364),
    [aux_sym_preproc_if_token2] = ACTIONS(2364),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2364),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2364),
    [aux_sym_preproc_else_token1] = ACTIONS(2364),
    [aux_sym_preproc_elif_token1] = ACTIONS(2364),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2364),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2364),
    [sym_preproc_directive] = ACTIONS(2364),
    [anon_sym_LPAREN2] = ACTIONS(2366),
    [anon_sym_BANG] = ACTIONS(2366),
    [anon_sym_TILDE] = ACTIONS(2366),
    [anon_sym_DASH] = ACTIONS(2364),
    [anon_sym_PLUS] = ACTIONS(2364),
    [anon_sym_STAR] = ACTIONS(2366),
    [anon_sym_AMP_AMP] = ACTIONS(2366),
    [anon_sym_AMP] = ACTIONS(2364),
    [anon_sym_SEMI] = ACTIONS(2366),
    [anon_sym___extension__] = ACTIONS(2364),
    [anon_sym_typedef] = ACTIONS(2364),
    [anon_sym_in] = ACTIONS(2364),
    [anon_sym_out] = ACTIONS(2364),
    [anon_sym_inout] = ACTIONS(2364),
    [anon_sym_extern] = ACTIONS(2364),
    [anon_sym___attribute__] = ACTIONS(2364),
    [anon_sym_COLON_COLON] = ACTIONS(2366),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2366),
    [anon_sym___declspec] = ACTIONS(2364),
    [anon_sym___based] = ACTIONS(2364),
    [anon_sym___cdecl] = ACTIONS(2364),
    [anon_sym___clrcall] = ACTIONS(2364),
    [anon_sym___stdcall] = ACTIONS(2364),
    [anon_sym___fastcall] = ACTIONS(2364),
    [anon_sym___thiscall] = ACTIONS(2364),
    [anon_sym___vectorcall] = ACTIONS(2364),
    [anon_sym_LBRACE] = ACTIONS(2366),
    [anon_sym_signed] = ACTIONS(2364),
    [anon_sym_unsigned] = ACTIONS(2364),
    [anon_sym_long] = ACTIONS(2364),
    [anon_sym_short] = ACTIONS(2364),
    [anon_sym_LBRACK] = ACTIONS(2364),
    [anon_sym_static] = ACTIONS(2364),
    [anon_sym_register] = ACTIONS(2364),
    [anon_sym_inline] = ACTIONS(2364),
    [anon_sym___inline] = ACTIONS(2364),
    [anon_sym___inline__] = ACTIONS(2364),
    [anon_sym___forceinline] = ACTIONS(2364),
    [anon_sym_thread_local] = ACTIONS(2364),
    [anon_sym___thread] = ACTIONS(2364),
    [anon_sym_const] = ACTIONS(2364),
    [anon_sym_constexpr] = ACTIONS(2364),
    [anon_sym_volatile] = ACTIONS(2364),
    [anon_sym_restrict] = ACTIONS(2364),
    [anon_sym___restrict__] = ACTIONS(2364),
    [anon_sym__Atomic] = ACTIONS(2364),
    [anon_sym__Noreturn] = ACTIONS(2364),
    [anon_sym_noreturn] = ACTIONS(2364),
    [anon_sym_mutable] = ACTIONS(2364),
    [anon_sym_constinit] = ACTIONS(2364),
    [anon_sym_consteval] = ACTIONS(2364),
    [sym_primitive_type] = ACTIONS(2364),
    [anon_sym_enum] = ACTIONS(2364),
    [anon_sym_class] = ACTIONS(2364),
    [anon_sym_struct] = ACTIONS(2364),
    [anon_sym_union] = ACTIONS(2364),
    [anon_sym_if] = ACTIONS(2364),
    [anon_sym_else] = ACTIONS(2364),
    [anon_sym_switch] = ACTIONS(2364),
    [anon_sym_case] = ACTIONS(2364),
    [anon_sym_default] = ACTIONS(2364),
    [anon_sym_while] = ACTIONS(2364),
    [anon_sym_do] = ACTIONS(2364),
    [anon_sym_for] = ACTIONS(2364),
    [anon_sym_return] = ACTIONS(2364),
    [anon_sym_break] = ACTIONS(2364),
    [anon_sym_continue] = ACTIONS(2364),
    [anon_sym_goto] = ACTIONS(2364),
    [anon_sym___try] = ACTIONS(2364),
    [anon_sym___leave] = ACTIONS(2364),
    [anon_sym_not] = ACTIONS(2364),
    [anon_sym_compl] = ACTIONS(2364),
    [anon_sym_DASH_DASH] = ACTIONS(2366),
    [anon_sym_PLUS_PLUS] = ACTIONS(2366),
    [anon_sym_sizeof] = ACTIONS(2364),
    [anon_sym___alignof__] = ACTIONS(2364),
    [anon_sym___alignof] = ACTIONS(2364),
    [anon_sym__alignof] = ACTIONS(2364),
    [anon_sym_alignof] = ACTIONS(2364),
    [anon_sym__Alignof] = ACTIONS(2364),
    [anon_sym_offsetof] = ACTIONS(2364),
    [anon_sym__Generic] = ACTIONS(2364),
    [anon_sym_asm] = ACTIONS(2364),
    [anon_sym___asm__] = ACTIONS(2364),
    [sym_number_literal] = ACTIONS(2366),
    [anon_sym_L_SQUOTE] = ACTIONS(2366),
    [anon_sym_u_SQUOTE] = ACTIONS(2366),
    [anon_sym_U_SQUOTE] = ACTIONS(2366),
    [anon_sym_u8_SQUOTE] = ACTIONS(2366),
    [anon_sym_SQUOTE] = ACTIONS(2366),
    [anon_sym_L_DQUOTE] = ACTIONS(2366),
    [anon_sym_u_DQUOTE] = ACTIONS(2366),
    [anon_sym_U_DQUOTE] = ACTIONS(2366),
    [anon_sym_u8_DQUOTE] = ACTIONS(2366),
    [anon_sym_DQUOTE] = ACTIONS(2366),
    [sym_true] = ACTIONS(2364),
    [sym_false] = ACTIONS(2364),
    [anon_sym_NULL] = ACTIONS(2364),
    [anon_sym_nullptr] = ACTIONS(2364),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2364),
    [anon_sym_decltype] = ACTIONS(2364),
    [anon_sym_virtual] = ACTIONS(2364),
    [anon_sym_alignas] = ACTIONS(2364),
    [anon_sym_explicit] = ACTIONS(2364),
    [anon_sym_typename] = ACTIONS(2364),
    [anon_sym_template] = ACTIONS(2364),
    [anon_sym_operator] = ACTIONS(2364),
    [anon_sym_try] = ACTIONS(2364),
    [anon_sym_delete] = ACTIONS(2364),
    [anon_sym_throw] = ACTIONS(2364),
    [anon_sym_namespace] = ACTIONS(2364),
    [anon_sym_using] = ACTIONS(2364),
    [anon_sym_static_assert] = ACTIONS(2364),
    [anon_sym_concept] = ACTIONS(2364),
    [anon_sym_co_return] = ACTIONS(2364),
    [anon_sym_co_yield] = ACTIONS(2364),
    [anon_sym_R_DQUOTE] = ACTIONS(2366),
    [anon_sym_LR_DQUOTE] = ACTIONS(2366),
    [anon_sym_uR_DQUOTE] = ACTIONS(2366),
    [anon_sym_UR_DQUOTE] = ACTIONS(2366),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2366),
    [anon_sym_co_await] = ACTIONS(2364),
    [anon_sym_new] = ACTIONS(2364),
    [anon_sym_requires] = ACTIONS(2364),
    [sym_this] = ACTIONS(2364),
    [anon_sym_discard] = ACTIONS(2364),
    [anon_sym_precise] = ACTIONS(2364),
    [anon_sym_shared] = ACTIONS(2364),
    [anon_sym_groupshared] = ACTIONS(2364),
    [anon_sym_uniform] = ACTIONS(2364),
    [anon_sym_row_major] = ACTIONS(2364),
    [anon_sym_column_major] = ACTIONS(2364),
    [anon_sym_globallycoherent] = ACTIONS(2364),
    [anon_sym_centroid] = ACTIONS(2364),
    [anon_sym_noperspective] = ACTIONS(2364),
    [anon_sym_nointerpolation] = ACTIONS(2364),
    [anon_sym_sample] = ACTIONS(2364),
    [anon_sym_linear] = ACTIONS(2364),
    [anon_sym_snorm] = ACTIONS(2364),
    [anon_sym_unorm] = ACTIONS(2364),
    [anon_sym_point] = ACTIONS(2364),
    [anon_sym_line] = ACTIONS(2364),
    [anon_sym_triangleadj] = ACTIONS(2364),
    [anon_sym_lineadj] = ACTIONS(2364),
    [anon_sym_triangle] = ACTIONS(2364),
    [anon_sym_cbuffer] = ACTIONS(2364),
  },
  [248] = {
    [sym_identifier] = ACTIONS(2364),
    [aux_sym_preproc_include_token1] = ACTIONS(2364),
    [aux_sym_preproc_def_token1] = ACTIONS(2364),
    [aux_sym_preproc_if_token1] = ACTIONS(2364),
    [aux_sym_preproc_if_token2] = ACTIONS(2364),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2364),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2364),
    [aux_sym_preproc_else_token1] = ACTIONS(2364),
    [aux_sym_preproc_elif_token1] = ACTIONS(2364),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2364),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2364),
    [sym_preproc_directive] = ACTIONS(2364),
    [anon_sym_LPAREN2] = ACTIONS(2366),
    [anon_sym_BANG] = ACTIONS(2366),
    [anon_sym_TILDE] = ACTIONS(2366),
    [anon_sym_DASH] = ACTIONS(2364),
    [anon_sym_PLUS] = ACTIONS(2364),
    [anon_sym_STAR] = ACTIONS(2366),
    [anon_sym_AMP_AMP] = ACTIONS(2366),
    [anon_sym_AMP] = ACTIONS(2364),
    [anon_sym_SEMI] = ACTIONS(2366),
    [anon_sym___extension__] = ACTIONS(2364),
    [anon_sym_typedef] = ACTIONS(2364),
    [anon_sym_in] = ACTIONS(2364),
    [anon_sym_out] = ACTIONS(2364),
    [anon_sym_inout] = ACTIONS(2364),
    [anon_sym_extern] = ACTIONS(2364),
    [anon_sym___attribute__] = ACTIONS(2364),
    [anon_sym_COLON_COLON] = ACTIONS(2366),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2366),
    [anon_sym___declspec] = ACTIONS(2364),
    [anon_sym___based] = ACTIONS(2364),
    [anon_sym___cdecl] = ACTIONS(2364),
    [anon_sym___clrcall] = ACTIONS(2364),
    [anon_sym___stdcall] = ACTIONS(2364),
    [anon_sym___fastcall] = ACTIONS(2364),
    [anon_sym___thiscall] = ACTIONS(2364),
    [anon_sym___vectorcall] = ACTIONS(2364),
    [anon_sym_LBRACE] = ACTIONS(2366),
    [anon_sym_signed] = ACTIONS(2364),
    [anon_sym_unsigned] = ACTIONS(2364),
    [anon_sym_long] = ACTIONS(2364),
    [anon_sym_short] = ACTIONS(2364),
    [anon_sym_LBRACK] = ACTIONS(2364),
    [anon_sym_static] = ACTIONS(2364),
    [anon_sym_register] = ACTIONS(2364),
    [anon_sym_inline] = ACTIONS(2364),
    [anon_sym___inline] = ACTIONS(2364),
    [anon_sym___inline__] = ACTIONS(2364),
    [anon_sym___forceinline] = ACTIONS(2364),
    [anon_sym_thread_local] = ACTIONS(2364),
    [anon_sym___thread] = ACTIONS(2364),
    [anon_sym_const] = ACTIONS(2364),
    [anon_sym_constexpr] = ACTIONS(2364),
    [anon_sym_volatile] = ACTIONS(2364),
    [anon_sym_restrict] = ACTIONS(2364),
    [anon_sym___restrict__] = ACTIONS(2364),
    [anon_sym__Atomic] = ACTIONS(2364),
    [anon_sym__Noreturn] = ACTIONS(2364),
    [anon_sym_noreturn] = ACTIONS(2364),
    [anon_sym_mutable] = ACTIONS(2364),
    [anon_sym_constinit] = ACTIONS(2364),
    [anon_sym_consteval] = ACTIONS(2364),
    [sym_primitive_type] = ACTIONS(2364),
    [anon_sym_enum] = ACTIONS(2364),
    [anon_sym_class] = ACTIONS(2364),
    [anon_sym_struct] = ACTIONS(2364),
    [anon_sym_union] = ACTIONS(2364),
    [anon_sym_if] = ACTIONS(2364),
    [anon_sym_else] = ACTIONS(2364),
    [anon_sym_switch] = ACTIONS(2364),
    [anon_sym_case] = ACTIONS(2364),
    [anon_sym_default] = ACTIONS(2364),
    [anon_sym_while] = ACTIONS(2364),
    [anon_sym_do] = ACTIONS(2364),
    [anon_sym_for] = ACTIONS(2364),
    [anon_sym_return] = ACTIONS(2364),
    [anon_sym_break] = ACTIONS(2364),
    [anon_sym_continue] = ACTIONS(2364),
    [anon_sym_goto] = ACTIONS(2364),
    [anon_sym___try] = ACTIONS(2364),
    [anon_sym___leave] = ACTIONS(2364),
    [anon_sym_not] = ACTIONS(2364),
    [anon_sym_compl] = ACTIONS(2364),
    [anon_sym_DASH_DASH] = ACTIONS(2366),
    [anon_sym_PLUS_PLUS] = ACTIONS(2366),
    [anon_sym_sizeof] = ACTIONS(2364),
    [anon_sym___alignof__] = ACTIONS(2364),
    [anon_sym___alignof] = ACTIONS(2364),
    [anon_sym__alignof] = ACTIONS(2364),
    [anon_sym_alignof] = ACTIONS(2364),
    [anon_sym__Alignof] = ACTIONS(2364),
    [anon_sym_offsetof] = ACTIONS(2364),
    [anon_sym__Generic] = ACTIONS(2364),
    [anon_sym_asm] = ACTIONS(2364),
    [anon_sym___asm__] = ACTIONS(2364),
    [sym_number_literal] = ACTIONS(2366),
    [anon_sym_L_SQUOTE] = ACTIONS(2366),
    [anon_sym_u_SQUOTE] = ACTIONS(2366),
    [anon_sym_U_SQUOTE] = ACTIONS(2366),
    [anon_sym_u8_SQUOTE] = ACTIONS(2366),
    [anon_sym_SQUOTE] = ACTIONS(2366),
    [anon_sym_L_DQUOTE] = ACTIONS(2366),
    [anon_sym_u_DQUOTE] = ACTIONS(2366),
    [anon_sym_U_DQUOTE] = ACTIONS(2366),
    [anon_sym_u8_DQUOTE] = ACTIONS(2366),
    [anon_sym_DQUOTE] = ACTIONS(2366),
    [sym_true] = ACTIONS(2364),
    [sym_false] = ACTIONS(2364),
    [anon_sym_NULL] = ACTIONS(2364),
    [anon_sym_nullptr] = ACTIONS(2364),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2364),
    [anon_sym_decltype] = ACTIONS(2364),
    [anon_sym_virtual] = ACTIONS(2364),
    [anon_sym_alignas] = ACTIONS(2364),
    [anon_sym_explicit] = ACTIONS(2364),
    [anon_sym_typename] = ACTIONS(2364),
    [anon_sym_template] = ACTIONS(2364),
    [anon_sym_operator] = ACTIONS(2364),
    [anon_sym_try] = ACTIONS(2364),
    [anon_sym_delete] = ACTIONS(2364),
    [anon_sym_throw] = ACTIONS(2364),
    [anon_sym_namespace] = ACTIONS(2364),
    [anon_sym_using] = ACTIONS(2364),
    [anon_sym_static_assert] = ACTIONS(2364),
    [anon_sym_concept] = ACTIONS(2364),
    [anon_sym_co_return] = ACTIONS(2364),
    [anon_sym_co_yield] = ACTIONS(2364),
    [anon_sym_R_DQUOTE] = ACTIONS(2366),
    [anon_sym_LR_DQUOTE] = ACTIONS(2366),
    [anon_sym_uR_DQUOTE] = ACTIONS(2366),
    [anon_sym_UR_DQUOTE] = ACTIONS(2366),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2366),
    [anon_sym_co_await] = ACTIONS(2364),
    [anon_sym_new] = ACTIONS(2364),
    [anon_sym_requires] = ACTIONS(2364),
    [sym_this] = ACTIONS(2364),
    [anon_sym_discard] = ACTIONS(2364),
    [anon_sym_precise] = ACTIONS(2364),
    [anon_sym_shared] = ACTIONS(2364),
    [anon_sym_groupshared] = ACTIONS(2364),
    [anon_sym_uniform] = ACTIONS(2364),
    [anon_sym_row_major] = ACTIONS(2364),
    [anon_sym_column_major] = ACTIONS(2364),
    [anon_sym_globallycoherent] = ACTIONS(2364),
    [anon_sym_centroid] = ACTIONS(2364),
    [anon_sym_noperspective] = ACTIONS(2364),
    [anon_sym_nointerpolation] = ACTIONS(2364),
    [anon_sym_sample] = ACTIONS(2364),
    [anon_sym_linear] = ACTIONS(2364),
    [anon_sym_snorm] = ACTIONS(2364),
    [anon_sym_unorm] = ACTIONS(2364),
    [anon_sym_point] = ACTIONS(2364),
    [anon_sym_line] = ACTIONS(2364),
    [anon_sym_triangleadj] = ACTIONS(2364),
    [anon_sym_lineadj] = ACTIONS(2364),
    [anon_sym_triangle] = ACTIONS(2364),
    [anon_sym_cbuffer] = ACTIONS(2364),
  },
  [249] = {
    [sym_identifier] = ACTIONS(2364),
    [aux_sym_preproc_include_token1] = ACTIONS(2364),
    [aux_sym_preproc_def_token1] = ACTIONS(2364),
    [aux_sym_preproc_if_token1] = ACTIONS(2364),
    [aux_sym_preproc_if_token2] = ACTIONS(2364),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2364),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2364),
    [aux_sym_preproc_else_token1] = ACTIONS(2364),
    [aux_sym_preproc_elif_token1] = ACTIONS(2364),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2364),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2364),
    [sym_preproc_directive] = ACTIONS(2364),
    [anon_sym_LPAREN2] = ACTIONS(2366),
    [anon_sym_BANG] = ACTIONS(2366),
    [anon_sym_TILDE] = ACTIONS(2366),
    [anon_sym_DASH] = ACTIONS(2364),
    [anon_sym_PLUS] = ACTIONS(2364),
    [anon_sym_STAR] = ACTIONS(2366),
    [anon_sym_AMP_AMP] = ACTIONS(2366),
    [anon_sym_AMP] = ACTIONS(2364),
    [anon_sym_SEMI] = ACTIONS(2366),
    [anon_sym___extension__] = ACTIONS(2364),
    [anon_sym_typedef] = ACTIONS(2364),
    [anon_sym_in] = ACTIONS(2364),
    [anon_sym_out] = ACTIONS(2364),
    [anon_sym_inout] = ACTIONS(2364),
    [anon_sym_extern] = ACTIONS(2364),
    [anon_sym___attribute__] = ACTIONS(2364),
    [anon_sym_COLON_COLON] = ACTIONS(2366),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2366),
    [anon_sym___declspec] = ACTIONS(2364),
    [anon_sym___based] = ACTIONS(2364),
    [anon_sym___cdecl] = ACTIONS(2364),
    [anon_sym___clrcall] = ACTIONS(2364),
    [anon_sym___stdcall] = ACTIONS(2364),
    [anon_sym___fastcall] = ACTIONS(2364),
    [anon_sym___thiscall] = ACTIONS(2364),
    [anon_sym___vectorcall] = ACTIONS(2364),
    [anon_sym_LBRACE] = ACTIONS(2366),
    [anon_sym_signed] = ACTIONS(2364),
    [anon_sym_unsigned] = ACTIONS(2364),
    [anon_sym_long] = ACTIONS(2364),
    [anon_sym_short] = ACTIONS(2364),
    [anon_sym_LBRACK] = ACTIONS(2364),
    [anon_sym_static] = ACTIONS(2364),
    [anon_sym_register] = ACTIONS(2364),
    [anon_sym_inline] = ACTIONS(2364),
    [anon_sym___inline] = ACTIONS(2364),
    [anon_sym___inline__] = ACTIONS(2364),
    [anon_sym___forceinline] = ACTIONS(2364),
    [anon_sym_thread_local] = ACTIONS(2364),
    [anon_sym___thread] = ACTIONS(2364),
    [anon_sym_const] = ACTIONS(2364),
    [anon_sym_constexpr] = ACTIONS(2364),
    [anon_sym_volatile] = ACTIONS(2364),
    [anon_sym_restrict] = ACTIONS(2364),
    [anon_sym___restrict__] = ACTIONS(2364),
    [anon_sym__Atomic] = ACTIONS(2364),
    [anon_sym__Noreturn] = ACTIONS(2364),
    [anon_sym_noreturn] = ACTIONS(2364),
    [anon_sym_mutable] = ACTIONS(2364),
    [anon_sym_constinit] = ACTIONS(2364),
    [anon_sym_consteval] = ACTIONS(2364),
    [sym_primitive_type] = ACTIONS(2364),
    [anon_sym_enum] = ACTIONS(2364),
    [anon_sym_class] = ACTIONS(2364),
    [anon_sym_struct] = ACTIONS(2364),
    [anon_sym_union] = ACTIONS(2364),
    [anon_sym_if] = ACTIONS(2364),
    [anon_sym_else] = ACTIONS(2364),
    [anon_sym_switch] = ACTIONS(2364),
    [anon_sym_case] = ACTIONS(2364),
    [anon_sym_default] = ACTIONS(2364),
    [anon_sym_while] = ACTIONS(2364),
    [anon_sym_do] = ACTIONS(2364),
    [anon_sym_for] = ACTIONS(2364),
    [anon_sym_return] = ACTIONS(2364),
    [anon_sym_break] = ACTIONS(2364),
    [anon_sym_continue] = ACTIONS(2364),
    [anon_sym_goto] = ACTIONS(2364),
    [anon_sym___try] = ACTIONS(2364),
    [anon_sym___leave] = ACTIONS(2364),
    [anon_sym_not] = ACTIONS(2364),
    [anon_sym_compl] = ACTIONS(2364),
    [anon_sym_DASH_DASH] = ACTIONS(2366),
    [anon_sym_PLUS_PLUS] = ACTIONS(2366),
    [anon_sym_sizeof] = ACTIONS(2364),
    [anon_sym___alignof__] = ACTIONS(2364),
    [anon_sym___alignof] = ACTIONS(2364),
    [anon_sym__alignof] = ACTIONS(2364),
    [anon_sym_alignof] = ACTIONS(2364),
    [anon_sym__Alignof] = ACTIONS(2364),
    [anon_sym_offsetof] = ACTIONS(2364),
    [anon_sym__Generic] = ACTIONS(2364),
    [anon_sym_asm] = ACTIONS(2364),
    [anon_sym___asm__] = ACTIONS(2364),
    [sym_number_literal] = ACTIONS(2366),
    [anon_sym_L_SQUOTE] = ACTIONS(2366),
    [anon_sym_u_SQUOTE] = ACTIONS(2366),
    [anon_sym_U_SQUOTE] = ACTIONS(2366),
    [anon_sym_u8_SQUOTE] = ACTIONS(2366),
    [anon_sym_SQUOTE] = ACTIONS(2366),
    [anon_sym_L_DQUOTE] = ACTIONS(2366),
    [anon_sym_u_DQUOTE] = ACTIONS(2366),
    [anon_sym_U_DQUOTE] = ACTIONS(2366),
    [anon_sym_u8_DQUOTE] = ACTIONS(2366),
    [anon_sym_DQUOTE] = ACTIONS(2366),
    [sym_true] = ACTIONS(2364),
    [sym_false] = ACTIONS(2364),
    [anon_sym_NULL] = ACTIONS(2364),
    [anon_sym_nullptr] = ACTIONS(2364),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2364),
    [anon_sym_decltype] = ACTIONS(2364),
    [anon_sym_virtual] = ACTIONS(2364),
    [anon_sym_alignas] = ACTIONS(2364),
    [anon_sym_explicit] = ACTIONS(2364),
    [anon_sym_typename] = ACTIONS(2364),
    [anon_sym_template] = ACTIONS(2364),
    [anon_sym_operator] = ACTIONS(2364),
    [anon_sym_try] = ACTIONS(2364),
    [anon_sym_delete] = ACTIONS(2364),
    [anon_sym_throw] = ACTIONS(2364),
    [anon_sym_namespace] = ACTIONS(2364),
    [anon_sym_using] = ACTIONS(2364),
    [anon_sym_static_assert] = ACTIONS(2364),
    [anon_sym_concept] = ACTIONS(2364),
    [anon_sym_co_return] = ACTIONS(2364),
    [anon_sym_co_yield] = ACTIONS(2364),
    [anon_sym_R_DQUOTE] = ACTIONS(2366),
    [anon_sym_LR_DQUOTE] = ACTIONS(2366),
    [anon_sym_uR_DQUOTE] = ACTIONS(2366),
    [anon_sym_UR_DQUOTE] = ACTIONS(2366),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2366),
    [anon_sym_co_await] = ACTIONS(2364),
    [anon_sym_new] = ACTIONS(2364),
    [anon_sym_requires] = ACTIONS(2364),
    [sym_this] = ACTIONS(2364),
    [anon_sym_discard] = ACTIONS(2364),
    [anon_sym_precise] = ACTIONS(2364),
    [anon_sym_shared] = ACTIONS(2364),
    [anon_sym_groupshared] = ACTIONS(2364),
    [anon_sym_uniform] = ACTIONS(2364),
    [anon_sym_row_major] = ACTIONS(2364),
    [anon_sym_column_major] = ACTIONS(2364),
    [anon_sym_globallycoherent] = ACTIONS(2364),
    [anon_sym_centroid] = ACTIONS(2364),
    [anon_sym_noperspective] = ACTIONS(2364),
    [anon_sym_nointerpolation] = ACTIONS(2364),
    [anon_sym_sample] = ACTIONS(2364),
    [anon_sym_linear] = ACTIONS(2364),
    [anon_sym_snorm] = ACTIONS(2364),
    [anon_sym_unorm] = ACTIONS(2364),
    [anon_sym_point] = ACTIONS(2364),
    [anon_sym_line] = ACTIONS(2364),
    [anon_sym_triangleadj] = ACTIONS(2364),
    [anon_sym_lineadj] = ACTIONS(2364),
    [anon_sym_triangle] = ACTIONS(2364),
    [anon_sym_cbuffer] = ACTIONS(2364),
  },
  [250] = {
    [sym_identifier] = ACTIONS(2364),
    [aux_sym_preproc_include_token1] = ACTIONS(2364),
    [aux_sym_preproc_def_token1] = ACTIONS(2364),
    [aux_sym_preproc_if_token1] = ACTIONS(2364),
    [aux_sym_preproc_if_token2] = ACTIONS(2364),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2364),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2364),
    [aux_sym_preproc_else_token1] = ACTIONS(2364),
    [aux_sym_preproc_elif_token1] = ACTIONS(2364),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2364),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2364),
    [sym_preproc_directive] = ACTIONS(2364),
    [anon_sym_LPAREN2] = ACTIONS(2366),
    [anon_sym_BANG] = ACTIONS(2366),
    [anon_sym_TILDE] = ACTIONS(2366),
    [anon_sym_DASH] = ACTIONS(2364),
    [anon_sym_PLUS] = ACTIONS(2364),
    [anon_sym_STAR] = ACTIONS(2366),
    [anon_sym_AMP_AMP] = ACTIONS(2366),
    [anon_sym_AMP] = ACTIONS(2364),
    [anon_sym_SEMI] = ACTIONS(2366),
    [anon_sym___extension__] = ACTIONS(2364),
    [anon_sym_typedef] = ACTIONS(2364),
    [anon_sym_in] = ACTIONS(2364),
    [anon_sym_out] = ACTIONS(2364),
    [anon_sym_inout] = ACTIONS(2364),
    [anon_sym_extern] = ACTIONS(2364),
    [anon_sym___attribute__] = ACTIONS(2364),
    [anon_sym_COLON_COLON] = ACTIONS(2366),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2366),
    [anon_sym___declspec] = ACTIONS(2364),
    [anon_sym___based] = ACTIONS(2364),
    [anon_sym___cdecl] = ACTIONS(2364),
    [anon_sym___clrcall] = ACTIONS(2364),
    [anon_sym___stdcall] = ACTIONS(2364),
    [anon_sym___fastcall] = ACTIONS(2364),
    [anon_sym___thiscall] = ACTIONS(2364),
    [anon_sym___vectorcall] = ACTIONS(2364),
    [anon_sym_LBRACE] = ACTIONS(2366),
    [anon_sym_signed] = ACTIONS(2364),
    [anon_sym_unsigned] = ACTIONS(2364),
    [anon_sym_long] = ACTIONS(2364),
    [anon_sym_short] = ACTIONS(2364),
    [anon_sym_LBRACK] = ACTIONS(2364),
    [anon_sym_static] = ACTIONS(2364),
    [anon_sym_register] = ACTIONS(2364),
    [anon_sym_inline] = ACTIONS(2364),
    [anon_sym___inline] = ACTIONS(2364),
    [anon_sym___inline__] = ACTIONS(2364),
    [anon_sym___forceinline] = ACTIONS(2364),
    [anon_sym_thread_local] = ACTIONS(2364),
    [anon_sym___thread] = ACTIONS(2364),
    [anon_sym_const] = ACTIONS(2364),
    [anon_sym_constexpr] = ACTIONS(2364),
    [anon_sym_volatile] = ACTIONS(2364),
    [anon_sym_restrict] = ACTIONS(2364),
    [anon_sym___restrict__] = ACTIONS(2364),
    [anon_sym__Atomic] = ACTIONS(2364),
    [anon_sym__Noreturn] = ACTIONS(2364),
    [anon_sym_noreturn] = ACTIONS(2364),
    [anon_sym_mutable] = ACTIONS(2364),
    [anon_sym_constinit] = ACTIONS(2364),
    [anon_sym_consteval] = ACTIONS(2364),
    [sym_primitive_type] = ACTIONS(2364),
    [anon_sym_enum] = ACTIONS(2364),
    [anon_sym_class] = ACTIONS(2364),
    [anon_sym_struct] = ACTIONS(2364),
    [anon_sym_union] = ACTIONS(2364),
    [anon_sym_if] = ACTIONS(2364),
    [anon_sym_else] = ACTIONS(2364),
    [anon_sym_switch] = ACTIONS(2364),
    [anon_sym_case] = ACTIONS(2364),
    [anon_sym_default] = ACTIONS(2364),
    [anon_sym_while] = ACTIONS(2364),
    [anon_sym_do] = ACTIONS(2364),
    [anon_sym_for] = ACTIONS(2364),
    [anon_sym_return] = ACTIONS(2364),
    [anon_sym_break] = ACTIONS(2364),
    [anon_sym_continue] = ACTIONS(2364),
    [anon_sym_goto] = ACTIONS(2364),
    [anon_sym___try] = ACTIONS(2364),
    [anon_sym___leave] = ACTIONS(2364),
    [anon_sym_not] = ACTIONS(2364),
    [anon_sym_compl] = ACTIONS(2364),
    [anon_sym_DASH_DASH] = ACTIONS(2366),
    [anon_sym_PLUS_PLUS] = ACTIONS(2366),
    [anon_sym_sizeof] = ACTIONS(2364),
    [anon_sym___alignof__] = ACTIONS(2364),
    [anon_sym___alignof] = ACTIONS(2364),
    [anon_sym__alignof] = ACTIONS(2364),
    [anon_sym_alignof] = ACTIONS(2364),
    [anon_sym__Alignof] = ACTIONS(2364),
    [anon_sym_offsetof] = ACTIONS(2364),
    [anon_sym__Generic] = ACTIONS(2364),
    [anon_sym_asm] = ACTIONS(2364),
    [anon_sym___asm__] = ACTIONS(2364),
    [sym_number_literal] = ACTIONS(2366),
    [anon_sym_L_SQUOTE] = ACTIONS(2366),
    [anon_sym_u_SQUOTE] = ACTIONS(2366),
    [anon_sym_U_SQUOTE] = ACTIONS(2366),
    [anon_sym_u8_SQUOTE] = ACTIONS(2366),
    [anon_sym_SQUOTE] = ACTIONS(2366),
    [anon_sym_L_DQUOTE] = ACTIONS(2366),
    [anon_sym_u_DQUOTE] = ACTIONS(2366),
    [anon_sym_U_DQUOTE] = ACTIONS(2366),
    [anon_sym_u8_DQUOTE] = ACTIONS(2366),
    [anon_sym_DQUOTE] = ACTIONS(2366),
    [sym_true] = ACTIONS(2364),
    [sym_false] = ACTIONS(2364),
    [anon_sym_NULL] = ACTIONS(2364),
    [anon_sym_nullptr] = ACTIONS(2364),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2364),
    [anon_sym_decltype] = ACTIONS(2364),
    [anon_sym_virtual] = ACTIONS(2364),
    [anon_sym_alignas] = ACTIONS(2364),
    [anon_sym_explicit] = ACTIONS(2364),
    [anon_sym_typename] = ACTIONS(2364),
    [anon_sym_template] = ACTIONS(2364),
    [anon_sym_operator] = ACTIONS(2364),
    [anon_sym_try] = ACTIONS(2364),
    [anon_sym_delete] = ACTIONS(2364),
    [anon_sym_throw] = ACTIONS(2364),
    [anon_sym_namespace] = ACTIONS(2364),
    [anon_sym_using] = ACTIONS(2364),
    [anon_sym_static_assert] = ACTIONS(2364),
    [anon_sym_concept] = ACTIONS(2364),
    [anon_sym_co_return] = ACTIONS(2364),
    [anon_sym_co_yield] = ACTIONS(2364),
    [anon_sym_R_DQUOTE] = ACTIONS(2366),
    [anon_sym_LR_DQUOTE] = ACTIONS(2366),
    [anon_sym_uR_DQUOTE] = ACTIONS(2366),
    [anon_sym_UR_DQUOTE] = ACTIONS(2366),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2366),
    [anon_sym_co_await] = ACTIONS(2364),
    [anon_sym_new] = ACTIONS(2364),
    [anon_sym_requires] = ACTIONS(2364),
    [sym_this] = ACTIONS(2364),
    [anon_sym_discard] = ACTIONS(2364),
    [anon_sym_precise] = ACTIONS(2364),
    [anon_sym_shared] = ACTIONS(2364),
    [anon_sym_groupshared] = ACTIONS(2364),
    [anon_sym_uniform] = ACTIONS(2364),
    [anon_sym_row_major] = ACTIONS(2364),
    [anon_sym_column_major] = ACTIONS(2364),
    [anon_sym_globallycoherent] = ACTIONS(2364),
    [anon_sym_centroid] = ACTIONS(2364),
    [anon_sym_noperspective] = ACTIONS(2364),
    [anon_sym_nointerpolation] = ACTIONS(2364),
    [anon_sym_sample] = ACTIONS(2364),
    [anon_sym_linear] = ACTIONS(2364),
    [anon_sym_snorm] = ACTIONS(2364),
    [anon_sym_unorm] = ACTIONS(2364),
    [anon_sym_point] = ACTIONS(2364),
    [anon_sym_line] = ACTIONS(2364),
    [anon_sym_triangleadj] = ACTIONS(2364),
    [anon_sym_lineadj] = ACTIONS(2364),
    [anon_sym_triangle] = ACTIONS(2364),
    [anon_sym_cbuffer] = ACTIONS(2364),
  },
  [251] = {
    [sym_identifier] = ACTIONS(2364),
    [aux_sym_preproc_include_token1] = ACTIONS(2364),
    [aux_sym_preproc_def_token1] = ACTIONS(2364),
    [aux_sym_preproc_if_token1] = ACTIONS(2364),
    [aux_sym_preproc_if_token2] = ACTIONS(2364),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2364),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2364),
    [aux_sym_preproc_else_token1] = ACTIONS(2364),
    [aux_sym_preproc_elif_token1] = ACTIONS(2364),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2364),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2364),
    [sym_preproc_directive] = ACTIONS(2364),
    [anon_sym_LPAREN2] = ACTIONS(2366),
    [anon_sym_BANG] = ACTIONS(2366),
    [anon_sym_TILDE] = ACTIONS(2366),
    [anon_sym_DASH] = ACTIONS(2364),
    [anon_sym_PLUS] = ACTIONS(2364),
    [anon_sym_STAR] = ACTIONS(2366),
    [anon_sym_AMP_AMP] = ACTIONS(2366),
    [anon_sym_AMP] = ACTIONS(2364),
    [anon_sym_SEMI] = ACTIONS(2366),
    [anon_sym___extension__] = ACTIONS(2364),
    [anon_sym_typedef] = ACTIONS(2364),
    [anon_sym_in] = ACTIONS(2364),
    [anon_sym_out] = ACTIONS(2364),
    [anon_sym_inout] = ACTIONS(2364),
    [anon_sym_extern] = ACTIONS(2364),
    [anon_sym___attribute__] = ACTIONS(2364),
    [anon_sym_COLON_COLON] = ACTIONS(2366),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2366),
    [anon_sym___declspec] = ACTIONS(2364),
    [anon_sym___based] = ACTIONS(2364),
    [anon_sym___cdecl] = ACTIONS(2364),
    [anon_sym___clrcall] = ACTIONS(2364),
    [anon_sym___stdcall] = ACTIONS(2364),
    [anon_sym___fastcall] = ACTIONS(2364),
    [anon_sym___thiscall] = ACTIONS(2364),
    [anon_sym___vectorcall] = ACTIONS(2364),
    [anon_sym_LBRACE] = ACTIONS(2366),
    [anon_sym_signed] = ACTIONS(2364),
    [anon_sym_unsigned] = ACTIONS(2364),
    [anon_sym_long] = ACTIONS(2364),
    [anon_sym_short] = ACTIONS(2364),
    [anon_sym_LBRACK] = ACTIONS(2364),
    [anon_sym_static] = ACTIONS(2364),
    [anon_sym_register] = ACTIONS(2364),
    [anon_sym_inline] = ACTIONS(2364),
    [anon_sym___inline] = ACTIONS(2364),
    [anon_sym___inline__] = ACTIONS(2364),
    [anon_sym___forceinline] = ACTIONS(2364),
    [anon_sym_thread_local] = ACTIONS(2364),
    [anon_sym___thread] = ACTIONS(2364),
    [anon_sym_const] = ACTIONS(2364),
    [anon_sym_constexpr] = ACTIONS(2364),
    [anon_sym_volatile] = ACTIONS(2364),
    [anon_sym_restrict] = ACTIONS(2364),
    [anon_sym___restrict__] = ACTIONS(2364),
    [anon_sym__Atomic] = ACTIONS(2364),
    [anon_sym__Noreturn] = ACTIONS(2364),
    [anon_sym_noreturn] = ACTIONS(2364),
    [anon_sym_mutable] = ACTIONS(2364),
    [anon_sym_constinit] = ACTIONS(2364),
    [anon_sym_consteval] = ACTIONS(2364),
    [sym_primitive_type] = ACTIONS(2364),
    [anon_sym_enum] = ACTIONS(2364),
    [anon_sym_class] = ACTIONS(2364),
    [anon_sym_struct] = ACTIONS(2364),
    [anon_sym_union] = ACTIONS(2364),
    [anon_sym_if] = ACTIONS(2364),
    [anon_sym_else] = ACTIONS(2364),
    [anon_sym_switch] = ACTIONS(2364),
    [anon_sym_case] = ACTIONS(2364),
    [anon_sym_default] = ACTIONS(2364),
    [anon_sym_while] = ACTIONS(2364),
    [anon_sym_do] = ACTIONS(2364),
    [anon_sym_for] = ACTIONS(2364),
    [anon_sym_return] = ACTIONS(2364),
    [anon_sym_break] = ACTIONS(2364),
    [anon_sym_continue] = ACTIONS(2364),
    [anon_sym_goto] = ACTIONS(2364),
    [anon_sym___try] = ACTIONS(2364),
    [anon_sym___leave] = ACTIONS(2364),
    [anon_sym_not] = ACTIONS(2364),
    [anon_sym_compl] = ACTIONS(2364),
    [anon_sym_DASH_DASH] = ACTIONS(2366),
    [anon_sym_PLUS_PLUS] = ACTIONS(2366),
    [anon_sym_sizeof] = ACTIONS(2364),
    [anon_sym___alignof__] = ACTIONS(2364),
    [anon_sym___alignof] = ACTIONS(2364),
    [anon_sym__alignof] = ACTIONS(2364),
    [anon_sym_alignof] = ACTIONS(2364),
    [anon_sym__Alignof] = ACTIONS(2364),
    [anon_sym_offsetof] = ACTIONS(2364),
    [anon_sym__Generic] = ACTIONS(2364),
    [anon_sym_asm] = ACTIONS(2364),
    [anon_sym___asm__] = ACTIONS(2364),
    [sym_number_literal] = ACTIONS(2366),
    [anon_sym_L_SQUOTE] = ACTIONS(2366),
    [anon_sym_u_SQUOTE] = ACTIONS(2366),
    [anon_sym_U_SQUOTE] = ACTIONS(2366),
    [anon_sym_u8_SQUOTE] = ACTIONS(2366),
    [anon_sym_SQUOTE] = ACTIONS(2366),
    [anon_sym_L_DQUOTE] = ACTIONS(2366),
    [anon_sym_u_DQUOTE] = ACTIONS(2366),
    [anon_sym_U_DQUOTE] = ACTIONS(2366),
    [anon_sym_u8_DQUOTE] = ACTIONS(2366),
    [anon_sym_DQUOTE] = ACTIONS(2366),
    [sym_true] = ACTIONS(2364),
    [sym_false] = ACTIONS(2364),
    [anon_sym_NULL] = ACTIONS(2364),
    [anon_sym_nullptr] = ACTIONS(2364),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2364),
    [anon_sym_decltype] = ACTIONS(2364),
    [anon_sym_virtual] = ACTIONS(2364),
    [anon_sym_alignas] = ACTIONS(2364),
    [anon_sym_explicit] = ACTIONS(2364),
    [anon_sym_typename] = ACTIONS(2364),
    [anon_sym_template] = ACTIONS(2364),
    [anon_sym_operator] = ACTIONS(2364),
    [anon_sym_try] = ACTIONS(2364),
    [anon_sym_delete] = ACTIONS(2364),
    [anon_sym_throw] = ACTIONS(2364),
    [anon_sym_namespace] = ACTIONS(2364),
    [anon_sym_using] = ACTIONS(2364),
    [anon_sym_static_assert] = ACTIONS(2364),
    [anon_sym_concept] = ACTIONS(2364),
    [anon_sym_co_return] = ACTIONS(2364),
    [anon_sym_co_yield] = ACTIONS(2364),
    [anon_sym_R_DQUOTE] = ACTIONS(2366),
    [anon_sym_LR_DQUOTE] = ACTIONS(2366),
    [anon_sym_uR_DQUOTE] = ACTIONS(2366),
    [anon_sym_UR_DQUOTE] = ACTIONS(2366),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2366),
    [anon_sym_co_await] = ACTIONS(2364),
    [anon_sym_new] = ACTIONS(2364),
    [anon_sym_requires] = ACTIONS(2364),
    [sym_this] = ACTIONS(2364),
    [anon_sym_discard] = ACTIONS(2364),
    [anon_sym_precise] = ACTIONS(2364),
    [anon_sym_shared] = ACTIONS(2364),
    [anon_sym_groupshared] = ACTIONS(2364),
    [anon_sym_uniform] = ACTIONS(2364),
    [anon_sym_row_major] = ACTIONS(2364),
    [anon_sym_column_major] = ACTIONS(2364),
    [anon_sym_globallycoherent] = ACTIONS(2364),
    [anon_sym_centroid] = ACTIONS(2364),
    [anon_sym_noperspective] = ACTIONS(2364),
    [anon_sym_nointerpolation] = ACTIONS(2364),
    [anon_sym_sample] = ACTIONS(2364),
    [anon_sym_linear] = ACTIONS(2364),
    [anon_sym_snorm] = ACTIONS(2364),
    [anon_sym_unorm] = ACTIONS(2364),
    [anon_sym_point] = ACTIONS(2364),
    [anon_sym_line] = ACTIONS(2364),
    [anon_sym_triangleadj] = ACTIONS(2364),
    [anon_sym_lineadj] = ACTIONS(2364),
    [anon_sym_triangle] = ACTIONS(2364),
    [anon_sym_cbuffer] = ACTIONS(2364),
  },
  [252] = {
    [sym_identifier] = ACTIONS(2364),
    [aux_sym_preproc_include_token1] = ACTIONS(2364),
    [aux_sym_preproc_def_token1] = ACTIONS(2364),
    [aux_sym_preproc_if_token1] = ACTIONS(2364),
    [aux_sym_preproc_if_token2] = ACTIONS(2364),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2364),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2364),
    [aux_sym_preproc_else_token1] = ACTIONS(2364),
    [aux_sym_preproc_elif_token1] = ACTIONS(2364),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2364),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2364),
    [sym_preproc_directive] = ACTIONS(2364),
    [anon_sym_LPAREN2] = ACTIONS(2366),
    [anon_sym_BANG] = ACTIONS(2366),
    [anon_sym_TILDE] = ACTIONS(2366),
    [anon_sym_DASH] = ACTIONS(2364),
    [anon_sym_PLUS] = ACTIONS(2364),
    [anon_sym_STAR] = ACTIONS(2366),
    [anon_sym_AMP_AMP] = ACTIONS(2366),
    [anon_sym_AMP] = ACTIONS(2364),
    [anon_sym_SEMI] = ACTIONS(2366),
    [anon_sym___extension__] = ACTIONS(2364),
    [anon_sym_typedef] = ACTIONS(2364),
    [anon_sym_in] = ACTIONS(2364),
    [anon_sym_out] = ACTIONS(2364),
    [anon_sym_inout] = ACTIONS(2364),
    [anon_sym_extern] = ACTIONS(2364),
    [anon_sym___attribute__] = ACTIONS(2364),
    [anon_sym_COLON_COLON] = ACTIONS(2366),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2366),
    [anon_sym___declspec] = ACTIONS(2364),
    [anon_sym___based] = ACTIONS(2364),
    [anon_sym___cdecl] = ACTIONS(2364),
    [anon_sym___clrcall] = ACTIONS(2364),
    [anon_sym___stdcall] = ACTIONS(2364),
    [anon_sym___fastcall] = ACTIONS(2364),
    [anon_sym___thiscall] = ACTIONS(2364),
    [anon_sym___vectorcall] = ACTIONS(2364),
    [anon_sym_LBRACE] = ACTIONS(2366),
    [anon_sym_signed] = ACTIONS(2364),
    [anon_sym_unsigned] = ACTIONS(2364),
    [anon_sym_long] = ACTIONS(2364),
    [anon_sym_short] = ACTIONS(2364),
    [anon_sym_LBRACK] = ACTIONS(2364),
    [anon_sym_static] = ACTIONS(2364),
    [anon_sym_register] = ACTIONS(2364),
    [anon_sym_inline] = ACTIONS(2364),
    [anon_sym___inline] = ACTIONS(2364),
    [anon_sym___inline__] = ACTIONS(2364),
    [anon_sym___forceinline] = ACTIONS(2364),
    [anon_sym_thread_local] = ACTIONS(2364),
    [anon_sym___thread] = ACTIONS(2364),
    [anon_sym_const] = ACTIONS(2364),
    [anon_sym_constexpr] = ACTIONS(2364),
    [anon_sym_volatile] = ACTIONS(2364),
    [anon_sym_restrict] = ACTIONS(2364),
    [anon_sym___restrict__] = ACTIONS(2364),
    [anon_sym__Atomic] = ACTIONS(2364),
    [anon_sym__Noreturn] = ACTIONS(2364),
    [anon_sym_noreturn] = ACTIONS(2364),
    [anon_sym_mutable] = ACTIONS(2364),
    [anon_sym_constinit] = ACTIONS(2364),
    [anon_sym_consteval] = ACTIONS(2364),
    [sym_primitive_type] = ACTIONS(2364),
    [anon_sym_enum] = ACTIONS(2364),
    [anon_sym_class] = ACTIONS(2364),
    [anon_sym_struct] = ACTIONS(2364),
    [anon_sym_union] = ACTIONS(2364),
    [anon_sym_if] = ACTIONS(2364),
    [anon_sym_else] = ACTIONS(2364),
    [anon_sym_switch] = ACTIONS(2364),
    [anon_sym_case] = ACTIONS(2364),
    [anon_sym_default] = ACTIONS(2364),
    [anon_sym_while] = ACTIONS(2364),
    [anon_sym_do] = ACTIONS(2364),
    [anon_sym_for] = ACTIONS(2364),
    [anon_sym_return] = ACTIONS(2364),
    [anon_sym_break] = ACTIONS(2364),
    [anon_sym_continue] = ACTIONS(2364),
    [anon_sym_goto] = ACTIONS(2364),
    [anon_sym___try] = ACTIONS(2364),
    [anon_sym___leave] = ACTIONS(2364),
    [anon_sym_not] = ACTIONS(2364),
    [anon_sym_compl] = ACTIONS(2364),
    [anon_sym_DASH_DASH] = ACTIONS(2366),
    [anon_sym_PLUS_PLUS] = ACTIONS(2366),
    [anon_sym_sizeof] = ACTIONS(2364),
    [anon_sym___alignof__] = ACTIONS(2364),
    [anon_sym___alignof] = ACTIONS(2364),
    [anon_sym__alignof] = ACTIONS(2364),
    [anon_sym_alignof] = ACTIONS(2364),
    [anon_sym__Alignof] = ACTIONS(2364),
    [anon_sym_offsetof] = ACTIONS(2364),
    [anon_sym__Generic] = ACTIONS(2364),
    [anon_sym_asm] = ACTIONS(2364),
    [anon_sym___asm__] = ACTIONS(2364),
    [sym_number_literal] = ACTIONS(2366),
    [anon_sym_L_SQUOTE] = ACTIONS(2366),
    [anon_sym_u_SQUOTE] = ACTIONS(2366),
    [anon_sym_U_SQUOTE] = ACTIONS(2366),
    [anon_sym_u8_SQUOTE] = ACTIONS(2366),
    [anon_sym_SQUOTE] = ACTIONS(2366),
    [anon_sym_L_DQUOTE] = ACTIONS(2366),
    [anon_sym_u_DQUOTE] = ACTIONS(2366),
    [anon_sym_U_DQUOTE] = ACTIONS(2366),
    [anon_sym_u8_DQUOTE] = ACTIONS(2366),
    [anon_sym_DQUOTE] = ACTIONS(2366),
    [sym_true] = ACTIONS(2364),
    [sym_false] = ACTIONS(2364),
    [anon_sym_NULL] = ACTIONS(2364),
    [anon_sym_nullptr] = ACTIONS(2364),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2364),
    [anon_sym_decltype] = ACTIONS(2364),
    [anon_sym_virtual] = ACTIONS(2364),
    [anon_sym_alignas] = ACTIONS(2364),
    [anon_sym_explicit] = ACTIONS(2364),
    [anon_sym_typename] = ACTIONS(2364),
    [anon_sym_template] = ACTIONS(2364),
    [anon_sym_operator] = ACTIONS(2364),
    [anon_sym_try] = ACTIONS(2364),
    [anon_sym_delete] = ACTIONS(2364),
    [anon_sym_throw] = ACTIONS(2364),
    [anon_sym_namespace] = ACTIONS(2364),
    [anon_sym_using] = ACTIONS(2364),
    [anon_sym_static_assert] = ACTIONS(2364),
    [anon_sym_concept] = ACTIONS(2364),
    [anon_sym_co_return] = ACTIONS(2364),
    [anon_sym_co_yield] = ACTIONS(2364),
    [anon_sym_R_DQUOTE] = ACTIONS(2366),
    [anon_sym_LR_DQUOTE] = ACTIONS(2366),
    [anon_sym_uR_DQUOTE] = ACTIONS(2366),
    [anon_sym_UR_DQUOTE] = ACTIONS(2366),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2366),
    [anon_sym_co_await] = ACTIONS(2364),
    [anon_sym_new] = ACTIONS(2364),
    [anon_sym_requires] = ACTIONS(2364),
    [sym_this] = ACTIONS(2364),
    [anon_sym_discard] = ACTIONS(2364),
    [anon_sym_precise] = ACTIONS(2364),
    [anon_sym_shared] = ACTIONS(2364),
    [anon_sym_groupshared] = ACTIONS(2364),
    [anon_sym_uniform] = ACTIONS(2364),
    [anon_sym_row_major] = ACTIONS(2364),
    [anon_sym_column_major] = ACTIONS(2364),
    [anon_sym_globallycoherent] = ACTIONS(2364),
    [anon_sym_centroid] = ACTIONS(2364),
    [anon_sym_noperspective] = ACTIONS(2364),
    [anon_sym_nointerpolation] = ACTIONS(2364),
    [anon_sym_sample] = ACTIONS(2364),
    [anon_sym_linear] = ACTIONS(2364),
    [anon_sym_snorm] = ACTIONS(2364),
    [anon_sym_unorm] = ACTIONS(2364),
    [anon_sym_point] = ACTIONS(2364),
    [anon_sym_line] = ACTIONS(2364),
    [anon_sym_triangleadj] = ACTIONS(2364),
    [anon_sym_lineadj] = ACTIONS(2364),
    [anon_sym_triangle] = ACTIONS(2364),
    [anon_sym_cbuffer] = ACTIONS(2364),
  },
  [253] = {
    [sym_identifier] = ACTIONS(2364),
    [aux_sym_preproc_include_token1] = ACTIONS(2364),
    [aux_sym_preproc_def_token1] = ACTIONS(2364),
    [aux_sym_preproc_if_token1] = ACTIONS(2364),
    [aux_sym_preproc_if_token2] = ACTIONS(2364),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2364),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2364),
    [aux_sym_preproc_else_token1] = ACTIONS(2364),
    [aux_sym_preproc_elif_token1] = ACTIONS(2364),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2364),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2364),
    [sym_preproc_directive] = ACTIONS(2364),
    [anon_sym_LPAREN2] = ACTIONS(2366),
    [anon_sym_BANG] = ACTIONS(2366),
    [anon_sym_TILDE] = ACTIONS(2366),
    [anon_sym_DASH] = ACTIONS(2364),
    [anon_sym_PLUS] = ACTIONS(2364),
    [anon_sym_STAR] = ACTIONS(2366),
    [anon_sym_AMP_AMP] = ACTIONS(2366),
    [anon_sym_AMP] = ACTIONS(2364),
    [anon_sym_SEMI] = ACTIONS(2366),
    [anon_sym___extension__] = ACTIONS(2364),
    [anon_sym_typedef] = ACTIONS(2364),
    [anon_sym_in] = ACTIONS(2364),
    [anon_sym_out] = ACTIONS(2364),
    [anon_sym_inout] = ACTIONS(2364),
    [anon_sym_extern] = ACTIONS(2364),
    [anon_sym___attribute__] = ACTIONS(2364),
    [anon_sym_COLON_COLON] = ACTIONS(2366),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2366),
    [anon_sym___declspec] = ACTIONS(2364),
    [anon_sym___based] = ACTIONS(2364),
    [anon_sym___cdecl] = ACTIONS(2364),
    [anon_sym___clrcall] = ACTIONS(2364),
    [anon_sym___stdcall] = ACTIONS(2364),
    [anon_sym___fastcall] = ACTIONS(2364),
    [anon_sym___thiscall] = ACTIONS(2364),
    [anon_sym___vectorcall] = ACTIONS(2364),
    [anon_sym_LBRACE] = ACTIONS(2366),
    [anon_sym_signed] = ACTIONS(2364),
    [anon_sym_unsigned] = ACTIONS(2364),
    [anon_sym_long] = ACTIONS(2364),
    [anon_sym_short] = ACTIONS(2364),
    [anon_sym_LBRACK] = ACTIONS(2364),
    [anon_sym_static] = ACTIONS(2364),
    [anon_sym_register] = ACTIONS(2364),
    [anon_sym_inline] = ACTIONS(2364),
    [anon_sym___inline] = ACTIONS(2364),
    [anon_sym___inline__] = ACTIONS(2364),
    [anon_sym___forceinline] = ACTIONS(2364),
    [anon_sym_thread_local] = ACTIONS(2364),
    [anon_sym___thread] = ACTIONS(2364),
    [anon_sym_const] = ACTIONS(2364),
    [anon_sym_constexpr] = ACTIONS(2364),
    [anon_sym_volatile] = ACTIONS(2364),
    [anon_sym_restrict] = ACTIONS(2364),
    [anon_sym___restrict__] = ACTIONS(2364),
    [anon_sym__Atomic] = ACTIONS(2364),
    [anon_sym__Noreturn] = ACTIONS(2364),
    [anon_sym_noreturn] = ACTIONS(2364),
    [anon_sym_mutable] = ACTIONS(2364),
    [anon_sym_constinit] = ACTIONS(2364),
    [anon_sym_consteval] = ACTIONS(2364),
    [sym_primitive_type] = ACTIONS(2364),
    [anon_sym_enum] = ACTIONS(2364),
    [anon_sym_class] = ACTIONS(2364),
    [anon_sym_struct] = ACTIONS(2364),
    [anon_sym_union] = ACTIONS(2364),
    [anon_sym_if] = ACTIONS(2364),
    [anon_sym_else] = ACTIONS(2364),
    [anon_sym_switch] = ACTIONS(2364),
    [anon_sym_case] = ACTIONS(2364),
    [anon_sym_default] = ACTIONS(2364),
    [anon_sym_while] = ACTIONS(2364),
    [anon_sym_do] = ACTIONS(2364),
    [anon_sym_for] = ACTIONS(2364),
    [anon_sym_return] = ACTIONS(2364),
    [anon_sym_break] = ACTIONS(2364),
    [anon_sym_continue] = ACTIONS(2364),
    [anon_sym_goto] = ACTIONS(2364),
    [anon_sym___try] = ACTIONS(2364),
    [anon_sym___leave] = ACTIONS(2364),
    [anon_sym_not] = ACTIONS(2364),
    [anon_sym_compl] = ACTIONS(2364),
    [anon_sym_DASH_DASH] = ACTIONS(2366),
    [anon_sym_PLUS_PLUS] = ACTIONS(2366),
    [anon_sym_sizeof] = ACTIONS(2364),
    [anon_sym___alignof__] = ACTIONS(2364),
    [anon_sym___alignof] = ACTIONS(2364),
    [anon_sym__alignof] = ACTIONS(2364),
    [anon_sym_alignof] = ACTIONS(2364),
    [anon_sym__Alignof] = ACTIONS(2364),
    [anon_sym_offsetof] = ACTIONS(2364),
    [anon_sym__Generic] = ACTIONS(2364),
    [anon_sym_asm] = ACTIONS(2364),
    [anon_sym___asm__] = ACTIONS(2364),
    [sym_number_literal] = ACTIONS(2366),
    [anon_sym_L_SQUOTE] = ACTIONS(2366),
    [anon_sym_u_SQUOTE] = ACTIONS(2366),
    [anon_sym_U_SQUOTE] = ACTIONS(2366),
    [anon_sym_u8_SQUOTE] = ACTIONS(2366),
    [anon_sym_SQUOTE] = ACTIONS(2366),
    [anon_sym_L_DQUOTE] = ACTIONS(2366),
    [anon_sym_u_DQUOTE] = ACTIONS(2366),
    [anon_sym_U_DQUOTE] = ACTIONS(2366),
    [anon_sym_u8_DQUOTE] = ACTIONS(2366),
    [anon_sym_DQUOTE] = ACTIONS(2366),
    [sym_true] = ACTIONS(2364),
    [sym_false] = ACTIONS(2364),
    [anon_sym_NULL] = ACTIONS(2364),
    [anon_sym_nullptr] = ACTIONS(2364),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2364),
    [anon_sym_decltype] = ACTIONS(2364),
    [anon_sym_virtual] = ACTIONS(2364),
    [anon_sym_alignas] = ACTIONS(2364),
    [anon_sym_explicit] = ACTIONS(2364),
    [anon_sym_typename] = ACTIONS(2364),
    [anon_sym_template] = ACTIONS(2364),
    [anon_sym_operator] = ACTIONS(2364),
    [anon_sym_try] = ACTIONS(2364),
    [anon_sym_delete] = ACTIONS(2364),
    [anon_sym_throw] = ACTIONS(2364),
    [anon_sym_namespace] = ACTIONS(2364),
    [anon_sym_using] = ACTIONS(2364),
    [anon_sym_static_assert] = ACTIONS(2364),
    [anon_sym_concept] = ACTIONS(2364),
    [anon_sym_co_return] = ACTIONS(2364),
    [anon_sym_co_yield] = ACTIONS(2364),
    [anon_sym_R_DQUOTE] = ACTIONS(2366),
    [anon_sym_LR_DQUOTE] = ACTIONS(2366),
    [anon_sym_uR_DQUOTE] = ACTIONS(2366),
    [anon_sym_UR_DQUOTE] = ACTIONS(2366),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2366),
    [anon_sym_co_await] = ACTIONS(2364),
    [anon_sym_new] = ACTIONS(2364),
    [anon_sym_requires] = ACTIONS(2364),
    [sym_this] = ACTIONS(2364),
    [anon_sym_discard] = ACTIONS(2364),
    [anon_sym_precise] = ACTIONS(2364),
    [anon_sym_shared] = ACTIONS(2364),
    [anon_sym_groupshared] = ACTIONS(2364),
    [anon_sym_uniform] = ACTIONS(2364),
    [anon_sym_row_major] = ACTIONS(2364),
    [anon_sym_column_major] = ACTIONS(2364),
    [anon_sym_globallycoherent] = ACTIONS(2364),
    [anon_sym_centroid] = ACTIONS(2364),
    [anon_sym_noperspective] = ACTIONS(2364),
    [anon_sym_nointerpolation] = ACTIONS(2364),
    [anon_sym_sample] = ACTIONS(2364),
    [anon_sym_linear] = ACTIONS(2364),
    [anon_sym_snorm] = ACTIONS(2364),
    [anon_sym_unorm] = ACTIONS(2364),
    [anon_sym_point] = ACTIONS(2364),
    [anon_sym_line] = ACTIONS(2364),
    [anon_sym_triangleadj] = ACTIONS(2364),
    [anon_sym_lineadj] = ACTIONS(2364),
    [anon_sym_triangle] = ACTIONS(2364),
    [anon_sym_cbuffer] = ACTIONS(2364),
  },
  [254] = {
    [sym_identifier] = ACTIONS(2364),
    [aux_sym_preproc_include_token1] = ACTIONS(2364),
    [aux_sym_preproc_def_token1] = ACTIONS(2364),
    [aux_sym_preproc_if_token1] = ACTIONS(2364),
    [aux_sym_preproc_if_token2] = ACTIONS(2364),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2364),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2364),
    [aux_sym_preproc_else_token1] = ACTIONS(2364),
    [aux_sym_preproc_elif_token1] = ACTIONS(2364),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2364),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2364),
    [sym_preproc_directive] = ACTIONS(2364),
    [anon_sym_LPAREN2] = ACTIONS(2366),
    [anon_sym_BANG] = ACTIONS(2366),
    [anon_sym_TILDE] = ACTIONS(2366),
    [anon_sym_DASH] = ACTIONS(2364),
    [anon_sym_PLUS] = ACTIONS(2364),
    [anon_sym_STAR] = ACTIONS(2366),
    [anon_sym_AMP_AMP] = ACTIONS(2366),
    [anon_sym_AMP] = ACTIONS(2364),
    [anon_sym_SEMI] = ACTIONS(2366),
    [anon_sym___extension__] = ACTIONS(2364),
    [anon_sym_typedef] = ACTIONS(2364),
    [anon_sym_in] = ACTIONS(2364),
    [anon_sym_out] = ACTIONS(2364),
    [anon_sym_inout] = ACTIONS(2364),
    [anon_sym_extern] = ACTIONS(2364),
    [anon_sym___attribute__] = ACTIONS(2364),
    [anon_sym_COLON_COLON] = ACTIONS(2366),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2366),
    [anon_sym___declspec] = ACTIONS(2364),
    [anon_sym___based] = ACTIONS(2364),
    [anon_sym___cdecl] = ACTIONS(2364),
    [anon_sym___clrcall] = ACTIONS(2364),
    [anon_sym___stdcall] = ACTIONS(2364),
    [anon_sym___fastcall] = ACTIONS(2364),
    [anon_sym___thiscall] = ACTIONS(2364),
    [anon_sym___vectorcall] = ACTIONS(2364),
    [anon_sym_LBRACE] = ACTIONS(2366),
    [anon_sym_signed] = ACTIONS(2364),
    [anon_sym_unsigned] = ACTIONS(2364),
    [anon_sym_long] = ACTIONS(2364),
    [anon_sym_short] = ACTIONS(2364),
    [anon_sym_LBRACK] = ACTIONS(2364),
    [anon_sym_static] = ACTIONS(2364),
    [anon_sym_register] = ACTIONS(2364),
    [anon_sym_inline] = ACTIONS(2364),
    [anon_sym___inline] = ACTIONS(2364),
    [anon_sym___inline__] = ACTIONS(2364),
    [anon_sym___forceinline] = ACTIONS(2364),
    [anon_sym_thread_local] = ACTIONS(2364),
    [anon_sym___thread] = ACTIONS(2364),
    [anon_sym_const] = ACTIONS(2364),
    [anon_sym_constexpr] = ACTIONS(2364),
    [anon_sym_volatile] = ACTIONS(2364),
    [anon_sym_restrict] = ACTIONS(2364),
    [anon_sym___restrict__] = ACTIONS(2364),
    [anon_sym__Atomic] = ACTIONS(2364),
    [anon_sym__Noreturn] = ACTIONS(2364),
    [anon_sym_noreturn] = ACTIONS(2364),
    [anon_sym_mutable] = ACTIONS(2364),
    [anon_sym_constinit] = ACTIONS(2364),
    [anon_sym_consteval] = ACTIONS(2364),
    [sym_primitive_type] = ACTIONS(2364),
    [anon_sym_enum] = ACTIONS(2364),
    [anon_sym_class] = ACTIONS(2364),
    [anon_sym_struct] = ACTIONS(2364),
    [anon_sym_union] = ACTIONS(2364),
    [anon_sym_if] = ACTIONS(2364),
    [anon_sym_else] = ACTIONS(2364),
    [anon_sym_switch] = ACTIONS(2364),
    [anon_sym_case] = ACTIONS(2364),
    [anon_sym_default] = ACTIONS(2364),
    [anon_sym_while] = ACTIONS(2364),
    [anon_sym_do] = ACTIONS(2364),
    [anon_sym_for] = ACTIONS(2364),
    [anon_sym_return] = ACTIONS(2364),
    [anon_sym_break] = ACTIONS(2364),
    [anon_sym_continue] = ACTIONS(2364),
    [anon_sym_goto] = ACTIONS(2364),
    [anon_sym___try] = ACTIONS(2364),
    [anon_sym___leave] = ACTIONS(2364),
    [anon_sym_not] = ACTIONS(2364),
    [anon_sym_compl] = ACTIONS(2364),
    [anon_sym_DASH_DASH] = ACTIONS(2366),
    [anon_sym_PLUS_PLUS] = ACTIONS(2366),
    [anon_sym_sizeof] = ACTIONS(2364),
    [anon_sym___alignof__] = ACTIONS(2364),
    [anon_sym___alignof] = ACTIONS(2364),
    [anon_sym__alignof] = ACTIONS(2364),
    [anon_sym_alignof] = ACTIONS(2364),
    [anon_sym__Alignof] = ACTIONS(2364),
    [anon_sym_offsetof] = ACTIONS(2364),
    [anon_sym__Generic] = ACTIONS(2364),
    [anon_sym_asm] = ACTIONS(2364),
    [anon_sym___asm__] = ACTIONS(2364),
    [sym_number_literal] = ACTIONS(2366),
    [anon_sym_L_SQUOTE] = ACTIONS(2366),
    [anon_sym_u_SQUOTE] = ACTIONS(2366),
    [anon_sym_U_SQUOTE] = ACTIONS(2366),
    [anon_sym_u8_SQUOTE] = ACTIONS(2366),
    [anon_sym_SQUOTE] = ACTIONS(2366),
    [anon_sym_L_DQUOTE] = ACTIONS(2366),
    [anon_sym_u_DQUOTE] = ACTIONS(2366),
    [anon_sym_U_DQUOTE] = ACTIONS(2366),
    [anon_sym_u8_DQUOTE] = ACTIONS(2366),
    [anon_sym_DQUOTE] = ACTIONS(2366),
    [sym_true] = ACTIONS(2364),
    [sym_false] = ACTIONS(2364),
    [anon_sym_NULL] = ACTIONS(2364),
    [anon_sym_nullptr] = ACTIONS(2364),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2364),
    [anon_sym_decltype] = ACTIONS(2364),
    [anon_sym_virtual] = ACTIONS(2364),
    [anon_sym_alignas] = ACTIONS(2364),
    [anon_sym_explicit] = ACTIONS(2364),
    [anon_sym_typename] = ACTIONS(2364),
    [anon_sym_template] = ACTIONS(2364),
    [anon_sym_operator] = ACTIONS(2364),
    [anon_sym_try] = ACTIONS(2364),
    [anon_sym_delete] = ACTIONS(2364),
    [anon_sym_throw] = ACTIONS(2364),
    [anon_sym_namespace] = ACTIONS(2364),
    [anon_sym_using] = ACTIONS(2364),
    [anon_sym_static_assert] = ACTIONS(2364),
    [anon_sym_concept] = ACTIONS(2364),
    [anon_sym_co_return] = ACTIONS(2364),
    [anon_sym_co_yield] = ACTIONS(2364),
    [anon_sym_R_DQUOTE] = ACTIONS(2366),
    [anon_sym_LR_DQUOTE] = ACTIONS(2366),
    [anon_sym_uR_DQUOTE] = ACTIONS(2366),
    [anon_sym_UR_DQUOTE] = ACTIONS(2366),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2366),
    [anon_sym_co_await] = ACTIONS(2364),
    [anon_sym_new] = ACTIONS(2364),
    [anon_sym_requires] = ACTIONS(2364),
    [sym_this] = ACTIONS(2364),
    [anon_sym_discard] = ACTIONS(2364),
    [anon_sym_precise] = ACTIONS(2364),
    [anon_sym_shared] = ACTIONS(2364),
    [anon_sym_groupshared] = ACTIONS(2364),
    [anon_sym_uniform] = ACTIONS(2364),
    [anon_sym_row_major] = ACTIONS(2364),
    [anon_sym_column_major] = ACTIONS(2364),
    [anon_sym_globallycoherent] = ACTIONS(2364),
    [anon_sym_centroid] = ACTIONS(2364),
    [anon_sym_noperspective] = ACTIONS(2364),
    [anon_sym_nointerpolation] = ACTIONS(2364),
    [anon_sym_sample] = ACTIONS(2364),
    [anon_sym_linear] = ACTIONS(2364),
    [anon_sym_snorm] = ACTIONS(2364),
    [anon_sym_unorm] = ACTIONS(2364),
    [anon_sym_point] = ACTIONS(2364),
    [anon_sym_line] = ACTIONS(2364),
    [anon_sym_triangleadj] = ACTIONS(2364),
    [anon_sym_lineadj] = ACTIONS(2364),
    [anon_sym_triangle] = ACTIONS(2364),
    [anon_sym_cbuffer] = ACTIONS(2364),
  },
  [255] = {
    [sym_identifier] = ACTIONS(2364),
    [aux_sym_preproc_include_token1] = ACTIONS(2364),
    [aux_sym_preproc_def_token1] = ACTIONS(2364),
    [aux_sym_preproc_if_token1] = ACTIONS(2364),
    [aux_sym_preproc_if_token2] = ACTIONS(2364),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2364),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2364),
    [aux_sym_preproc_else_token1] = ACTIONS(2364),
    [aux_sym_preproc_elif_token1] = ACTIONS(2364),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2364),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2364),
    [sym_preproc_directive] = ACTIONS(2364),
    [anon_sym_LPAREN2] = ACTIONS(2366),
    [anon_sym_BANG] = ACTIONS(2366),
    [anon_sym_TILDE] = ACTIONS(2366),
    [anon_sym_DASH] = ACTIONS(2364),
    [anon_sym_PLUS] = ACTIONS(2364),
    [anon_sym_STAR] = ACTIONS(2366),
    [anon_sym_AMP_AMP] = ACTIONS(2366),
    [anon_sym_AMP] = ACTIONS(2364),
    [anon_sym_SEMI] = ACTIONS(2366),
    [anon_sym___extension__] = ACTIONS(2364),
    [anon_sym_typedef] = ACTIONS(2364),
    [anon_sym_in] = ACTIONS(2364),
    [anon_sym_out] = ACTIONS(2364),
    [anon_sym_inout] = ACTIONS(2364),
    [anon_sym_extern] = ACTIONS(2364),
    [anon_sym___attribute__] = ACTIONS(2364),
    [anon_sym_COLON_COLON] = ACTIONS(2366),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2366),
    [anon_sym___declspec] = ACTIONS(2364),
    [anon_sym___based] = ACTIONS(2364),
    [anon_sym___cdecl] = ACTIONS(2364),
    [anon_sym___clrcall] = ACTIONS(2364),
    [anon_sym___stdcall] = ACTIONS(2364),
    [anon_sym___fastcall] = ACTIONS(2364),
    [anon_sym___thiscall] = ACTIONS(2364),
    [anon_sym___vectorcall] = ACTIONS(2364),
    [anon_sym_LBRACE] = ACTIONS(2366),
    [anon_sym_signed] = ACTIONS(2364),
    [anon_sym_unsigned] = ACTIONS(2364),
    [anon_sym_long] = ACTIONS(2364),
    [anon_sym_short] = ACTIONS(2364),
    [anon_sym_LBRACK] = ACTIONS(2364),
    [anon_sym_static] = ACTIONS(2364),
    [anon_sym_register] = ACTIONS(2364),
    [anon_sym_inline] = ACTIONS(2364),
    [anon_sym___inline] = ACTIONS(2364),
    [anon_sym___inline__] = ACTIONS(2364),
    [anon_sym___forceinline] = ACTIONS(2364),
    [anon_sym_thread_local] = ACTIONS(2364),
    [anon_sym___thread] = ACTIONS(2364),
    [anon_sym_const] = ACTIONS(2364),
    [anon_sym_constexpr] = ACTIONS(2364),
    [anon_sym_volatile] = ACTIONS(2364),
    [anon_sym_restrict] = ACTIONS(2364),
    [anon_sym___restrict__] = ACTIONS(2364),
    [anon_sym__Atomic] = ACTIONS(2364),
    [anon_sym__Noreturn] = ACTIONS(2364),
    [anon_sym_noreturn] = ACTIONS(2364),
    [anon_sym_mutable] = ACTIONS(2364),
    [anon_sym_constinit] = ACTIONS(2364),
    [anon_sym_consteval] = ACTIONS(2364),
    [sym_primitive_type] = ACTIONS(2364),
    [anon_sym_enum] = ACTIONS(2364),
    [anon_sym_class] = ACTIONS(2364),
    [anon_sym_struct] = ACTIONS(2364),
    [anon_sym_union] = ACTIONS(2364),
    [anon_sym_if] = ACTIONS(2364),
    [anon_sym_else] = ACTIONS(2364),
    [anon_sym_switch] = ACTIONS(2364),
    [anon_sym_case] = ACTIONS(2364),
    [anon_sym_default] = ACTIONS(2364),
    [anon_sym_while] = ACTIONS(2364),
    [anon_sym_do] = ACTIONS(2364),
    [anon_sym_for] = ACTIONS(2364),
    [anon_sym_return] = ACTIONS(2364),
    [anon_sym_break] = ACTIONS(2364),
    [anon_sym_continue] = ACTIONS(2364),
    [anon_sym_goto] = ACTIONS(2364),
    [anon_sym___try] = ACTIONS(2364),
    [anon_sym___leave] = ACTIONS(2364),
    [anon_sym_not] = ACTIONS(2364),
    [anon_sym_compl] = ACTIONS(2364),
    [anon_sym_DASH_DASH] = ACTIONS(2366),
    [anon_sym_PLUS_PLUS] = ACTIONS(2366),
    [anon_sym_sizeof] = ACTIONS(2364),
    [anon_sym___alignof__] = ACTIONS(2364),
    [anon_sym___alignof] = ACTIONS(2364),
    [anon_sym__alignof] = ACTIONS(2364),
    [anon_sym_alignof] = ACTIONS(2364),
    [anon_sym__Alignof] = ACTIONS(2364),
    [anon_sym_offsetof] = ACTIONS(2364),
    [anon_sym__Generic] = ACTIONS(2364),
    [anon_sym_asm] = ACTIONS(2364),
    [anon_sym___asm__] = ACTIONS(2364),
    [sym_number_literal] = ACTIONS(2366),
    [anon_sym_L_SQUOTE] = ACTIONS(2366),
    [anon_sym_u_SQUOTE] = ACTIONS(2366),
    [anon_sym_U_SQUOTE] = ACTIONS(2366),
    [anon_sym_u8_SQUOTE] = ACTIONS(2366),
    [anon_sym_SQUOTE] = ACTIONS(2366),
    [anon_sym_L_DQUOTE] = ACTIONS(2366),
    [anon_sym_u_DQUOTE] = ACTIONS(2366),
    [anon_sym_U_DQUOTE] = ACTIONS(2366),
    [anon_sym_u8_DQUOTE] = ACTIONS(2366),
    [anon_sym_DQUOTE] = ACTIONS(2366),
    [sym_true] = ACTIONS(2364),
    [sym_false] = ACTIONS(2364),
    [anon_sym_NULL] = ACTIONS(2364),
    [anon_sym_nullptr] = ACTIONS(2364),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2364),
    [anon_sym_decltype] = ACTIONS(2364),
    [anon_sym_virtual] = ACTIONS(2364),
    [anon_sym_alignas] = ACTIONS(2364),
    [anon_sym_explicit] = ACTIONS(2364),
    [anon_sym_typename] = ACTIONS(2364),
    [anon_sym_template] = ACTIONS(2364),
    [anon_sym_operator] = ACTIONS(2364),
    [anon_sym_try] = ACTIONS(2364),
    [anon_sym_delete] = ACTIONS(2364),
    [anon_sym_throw] = ACTIONS(2364),
    [anon_sym_namespace] = ACTIONS(2364),
    [anon_sym_using] = ACTIONS(2364),
    [anon_sym_static_assert] = ACTIONS(2364),
    [anon_sym_concept] = ACTIONS(2364),
    [anon_sym_co_return] = ACTIONS(2364),
    [anon_sym_co_yield] = ACTIONS(2364),
    [anon_sym_R_DQUOTE] = ACTIONS(2366),
    [anon_sym_LR_DQUOTE] = ACTIONS(2366),
    [anon_sym_uR_DQUOTE] = ACTIONS(2366),
    [anon_sym_UR_DQUOTE] = ACTIONS(2366),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2366),
    [anon_sym_co_await] = ACTIONS(2364),
    [anon_sym_new] = ACTIONS(2364),
    [anon_sym_requires] = ACTIONS(2364),
    [sym_this] = ACTIONS(2364),
    [anon_sym_discard] = ACTIONS(2364),
    [anon_sym_precise] = ACTIONS(2364),
    [anon_sym_shared] = ACTIONS(2364),
    [anon_sym_groupshared] = ACTIONS(2364),
    [anon_sym_uniform] = ACTIONS(2364),
    [anon_sym_row_major] = ACTIONS(2364),
    [anon_sym_column_major] = ACTIONS(2364),
    [anon_sym_globallycoherent] = ACTIONS(2364),
    [anon_sym_centroid] = ACTIONS(2364),
    [anon_sym_noperspective] = ACTIONS(2364),
    [anon_sym_nointerpolation] = ACTIONS(2364),
    [anon_sym_sample] = ACTIONS(2364),
    [anon_sym_linear] = ACTIONS(2364),
    [anon_sym_snorm] = ACTIONS(2364),
    [anon_sym_unorm] = ACTIONS(2364),
    [anon_sym_point] = ACTIONS(2364),
    [anon_sym_line] = ACTIONS(2364),
    [anon_sym_triangleadj] = ACTIONS(2364),
    [anon_sym_lineadj] = ACTIONS(2364),
    [anon_sym_triangle] = ACTIONS(2364),
    [anon_sym_cbuffer] = ACTIONS(2364),
  },
  [256] = {
    [sym_identifier] = ACTIONS(2368),
    [aux_sym_preproc_include_token1] = ACTIONS(2368),
    [aux_sym_preproc_def_token1] = ACTIONS(2368),
    [aux_sym_preproc_if_token1] = ACTIONS(2368),
    [aux_sym_preproc_if_token2] = ACTIONS(2368),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2368),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2368),
    [aux_sym_preproc_else_token1] = ACTIONS(2368),
    [aux_sym_preproc_elif_token1] = ACTIONS(2368),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2368),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2368),
    [sym_preproc_directive] = ACTIONS(2368),
    [anon_sym_LPAREN2] = ACTIONS(2370),
    [anon_sym_BANG] = ACTIONS(2370),
    [anon_sym_TILDE] = ACTIONS(2370),
    [anon_sym_DASH] = ACTIONS(2368),
    [anon_sym_PLUS] = ACTIONS(2368),
    [anon_sym_STAR] = ACTIONS(2370),
    [anon_sym_AMP_AMP] = ACTIONS(2370),
    [anon_sym_AMP] = ACTIONS(2368),
    [anon_sym_SEMI] = ACTIONS(2370),
    [anon_sym___extension__] = ACTIONS(2368),
    [anon_sym_typedef] = ACTIONS(2368),
    [anon_sym_in] = ACTIONS(2368),
    [anon_sym_out] = ACTIONS(2368),
    [anon_sym_inout] = ACTIONS(2368),
    [anon_sym_extern] = ACTIONS(2368),
    [anon_sym___attribute__] = ACTIONS(2368),
    [anon_sym_COLON_COLON] = ACTIONS(2370),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2370),
    [anon_sym___declspec] = ACTIONS(2368),
    [anon_sym___based] = ACTIONS(2368),
    [anon_sym___cdecl] = ACTIONS(2368),
    [anon_sym___clrcall] = ACTIONS(2368),
    [anon_sym___stdcall] = ACTIONS(2368),
    [anon_sym___fastcall] = ACTIONS(2368),
    [anon_sym___thiscall] = ACTIONS(2368),
    [anon_sym___vectorcall] = ACTIONS(2368),
    [anon_sym_LBRACE] = ACTIONS(2370),
    [anon_sym_signed] = ACTIONS(2368),
    [anon_sym_unsigned] = ACTIONS(2368),
    [anon_sym_long] = ACTIONS(2368),
    [anon_sym_short] = ACTIONS(2368),
    [anon_sym_LBRACK] = ACTIONS(2368),
    [anon_sym_static] = ACTIONS(2368),
    [anon_sym_register] = ACTIONS(2368),
    [anon_sym_inline] = ACTIONS(2368),
    [anon_sym___inline] = ACTIONS(2368),
    [anon_sym___inline__] = ACTIONS(2368),
    [anon_sym___forceinline] = ACTIONS(2368),
    [anon_sym_thread_local] = ACTIONS(2368),
    [anon_sym___thread] = ACTIONS(2368),
    [anon_sym_const] = ACTIONS(2368),
    [anon_sym_constexpr] = ACTIONS(2368),
    [anon_sym_volatile] = ACTIONS(2368),
    [anon_sym_restrict] = ACTIONS(2368),
    [anon_sym___restrict__] = ACTIONS(2368),
    [anon_sym__Atomic] = ACTIONS(2368),
    [anon_sym__Noreturn] = ACTIONS(2368),
    [anon_sym_noreturn] = ACTIONS(2368),
    [anon_sym_mutable] = ACTIONS(2368),
    [anon_sym_constinit] = ACTIONS(2368),
    [anon_sym_consteval] = ACTIONS(2368),
    [sym_primitive_type] = ACTIONS(2368),
    [anon_sym_enum] = ACTIONS(2368),
    [anon_sym_class] = ACTIONS(2368),
    [anon_sym_struct] = ACTIONS(2368),
    [anon_sym_union] = ACTIONS(2368),
    [anon_sym_if] = ACTIONS(2368),
    [anon_sym_else] = ACTIONS(2368),
    [anon_sym_switch] = ACTIONS(2368),
    [anon_sym_case] = ACTIONS(2368),
    [anon_sym_default] = ACTIONS(2368),
    [anon_sym_while] = ACTIONS(2368),
    [anon_sym_do] = ACTIONS(2368),
    [anon_sym_for] = ACTIONS(2368),
    [anon_sym_return] = ACTIONS(2368),
    [anon_sym_break] = ACTIONS(2368),
    [anon_sym_continue] = ACTIONS(2368),
    [anon_sym_goto] = ACTIONS(2368),
    [anon_sym___try] = ACTIONS(2368),
    [anon_sym___leave] = ACTIONS(2368),
    [anon_sym_not] = ACTIONS(2368),
    [anon_sym_compl] = ACTIONS(2368),
    [anon_sym_DASH_DASH] = ACTIONS(2370),
    [anon_sym_PLUS_PLUS] = ACTIONS(2370),
    [anon_sym_sizeof] = ACTIONS(2368),
    [anon_sym___alignof__] = ACTIONS(2368),
    [anon_sym___alignof] = ACTIONS(2368),
    [anon_sym__alignof] = ACTIONS(2368),
    [anon_sym_alignof] = ACTIONS(2368),
    [anon_sym__Alignof] = ACTIONS(2368),
    [anon_sym_offsetof] = ACTIONS(2368),
    [anon_sym__Generic] = ACTIONS(2368),
    [anon_sym_asm] = ACTIONS(2368),
    [anon_sym___asm__] = ACTIONS(2368),
    [sym_number_literal] = ACTIONS(2370),
    [anon_sym_L_SQUOTE] = ACTIONS(2370),
    [anon_sym_u_SQUOTE] = ACTIONS(2370),
    [anon_sym_U_SQUOTE] = ACTIONS(2370),
    [anon_sym_u8_SQUOTE] = ACTIONS(2370),
    [anon_sym_SQUOTE] = ACTIONS(2370),
    [anon_sym_L_DQUOTE] = ACTIONS(2370),
    [anon_sym_u_DQUOTE] = ACTIONS(2370),
    [anon_sym_U_DQUOTE] = ACTIONS(2370),
    [anon_sym_u8_DQUOTE] = ACTIONS(2370),
    [anon_sym_DQUOTE] = ACTIONS(2370),
    [sym_true] = ACTIONS(2368),
    [sym_false] = ACTIONS(2368),
    [anon_sym_NULL] = ACTIONS(2368),
    [anon_sym_nullptr] = ACTIONS(2368),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2368),
    [anon_sym_decltype] = ACTIONS(2368),
    [anon_sym_virtual] = ACTIONS(2368),
    [anon_sym_alignas] = ACTIONS(2368),
    [anon_sym_explicit] = ACTIONS(2368),
    [anon_sym_typename] = ACTIONS(2368),
    [anon_sym_template] = ACTIONS(2368),
    [anon_sym_operator] = ACTIONS(2368),
    [anon_sym_try] = ACTIONS(2368),
    [anon_sym_delete] = ACTIONS(2368),
    [anon_sym_throw] = ACTIONS(2368),
    [anon_sym_namespace] = ACTIONS(2368),
    [anon_sym_using] = ACTIONS(2368),
    [anon_sym_static_assert] = ACTIONS(2368),
    [anon_sym_concept] = ACTIONS(2368),
    [anon_sym_co_return] = ACTIONS(2368),
    [anon_sym_co_yield] = ACTIONS(2368),
    [anon_sym_R_DQUOTE] = ACTIONS(2370),
    [anon_sym_LR_DQUOTE] = ACTIONS(2370),
    [anon_sym_uR_DQUOTE] = ACTIONS(2370),
    [anon_sym_UR_DQUOTE] = ACTIONS(2370),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2370),
    [anon_sym_co_await] = ACTIONS(2368),
    [anon_sym_new] = ACTIONS(2368),
    [anon_sym_requires] = ACTIONS(2368),
    [sym_this] = ACTIONS(2368),
    [anon_sym_discard] = ACTIONS(2368),
    [anon_sym_precise] = ACTIONS(2368),
    [anon_sym_shared] = ACTIONS(2368),
    [anon_sym_groupshared] = ACTIONS(2368),
    [anon_sym_uniform] = ACTIONS(2368),
    [anon_sym_row_major] = ACTIONS(2368),
    [anon_sym_column_major] = ACTIONS(2368),
    [anon_sym_globallycoherent] = ACTIONS(2368),
    [anon_sym_centroid] = ACTIONS(2368),
    [anon_sym_noperspective] = ACTIONS(2368),
    [anon_sym_nointerpolation] = ACTIONS(2368),
    [anon_sym_sample] = ACTIONS(2368),
    [anon_sym_linear] = ACTIONS(2368),
    [anon_sym_snorm] = ACTIONS(2368),
    [anon_sym_unorm] = ACTIONS(2368),
    [anon_sym_point] = ACTIONS(2368),
    [anon_sym_line] = ACTIONS(2368),
    [anon_sym_triangleadj] = ACTIONS(2368),
    [anon_sym_lineadj] = ACTIONS(2368),
    [anon_sym_triangle] = ACTIONS(2368),
    [anon_sym_cbuffer] = ACTIONS(2368),
  },
  [257] = {
    [sym_identifier] = ACTIONS(2372),
    [aux_sym_preproc_include_token1] = ACTIONS(2372),
    [aux_sym_preproc_def_token1] = ACTIONS(2372),
    [aux_sym_preproc_if_token1] = ACTIONS(2372),
    [aux_sym_preproc_if_token2] = ACTIONS(2372),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2372),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2372),
    [aux_sym_preproc_else_token1] = ACTIONS(2372),
    [aux_sym_preproc_elif_token1] = ACTIONS(2372),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2372),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2372),
    [sym_preproc_directive] = ACTIONS(2372),
    [anon_sym_LPAREN2] = ACTIONS(2374),
    [anon_sym_BANG] = ACTIONS(2374),
    [anon_sym_TILDE] = ACTIONS(2374),
    [anon_sym_DASH] = ACTIONS(2372),
    [anon_sym_PLUS] = ACTIONS(2372),
    [anon_sym_STAR] = ACTIONS(2374),
    [anon_sym_AMP_AMP] = ACTIONS(2374),
    [anon_sym_AMP] = ACTIONS(2372),
    [anon_sym_SEMI] = ACTIONS(2374),
    [anon_sym___extension__] = ACTIONS(2372),
    [anon_sym_typedef] = ACTIONS(2372),
    [anon_sym_in] = ACTIONS(2372),
    [anon_sym_out] = ACTIONS(2372),
    [anon_sym_inout] = ACTIONS(2372),
    [anon_sym_extern] = ACTIONS(2372),
    [anon_sym___attribute__] = ACTIONS(2372),
    [anon_sym_COLON_COLON] = ACTIONS(2374),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2374),
    [anon_sym___declspec] = ACTIONS(2372),
    [anon_sym___based] = ACTIONS(2372),
    [anon_sym___cdecl] = ACTIONS(2372),
    [anon_sym___clrcall] = ACTIONS(2372),
    [anon_sym___stdcall] = ACTIONS(2372),
    [anon_sym___fastcall] = ACTIONS(2372),
    [anon_sym___thiscall] = ACTIONS(2372),
    [anon_sym___vectorcall] = ACTIONS(2372),
    [anon_sym_LBRACE] = ACTIONS(2374),
    [anon_sym_signed] = ACTIONS(2372),
    [anon_sym_unsigned] = ACTIONS(2372),
    [anon_sym_long] = ACTIONS(2372),
    [anon_sym_short] = ACTIONS(2372),
    [anon_sym_LBRACK] = ACTIONS(2372),
    [anon_sym_static] = ACTIONS(2372),
    [anon_sym_register] = ACTIONS(2372),
    [anon_sym_inline] = ACTIONS(2372),
    [anon_sym___inline] = ACTIONS(2372),
    [anon_sym___inline__] = ACTIONS(2372),
    [anon_sym___forceinline] = ACTIONS(2372),
    [anon_sym_thread_local] = ACTIONS(2372),
    [anon_sym___thread] = ACTIONS(2372),
    [anon_sym_const] = ACTIONS(2372),
    [anon_sym_constexpr] = ACTIONS(2372),
    [anon_sym_volatile] = ACTIONS(2372),
    [anon_sym_restrict] = ACTIONS(2372),
    [anon_sym___restrict__] = ACTIONS(2372),
    [anon_sym__Atomic] = ACTIONS(2372),
    [anon_sym__Noreturn] = ACTIONS(2372),
    [anon_sym_noreturn] = ACTIONS(2372),
    [anon_sym_mutable] = ACTIONS(2372),
    [anon_sym_constinit] = ACTIONS(2372),
    [anon_sym_consteval] = ACTIONS(2372),
    [sym_primitive_type] = ACTIONS(2372),
    [anon_sym_enum] = ACTIONS(2372),
    [anon_sym_class] = ACTIONS(2372),
    [anon_sym_struct] = ACTIONS(2372),
    [anon_sym_union] = ACTIONS(2372),
    [anon_sym_if] = ACTIONS(2372),
    [anon_sym_else] = ACTIONS(2372),
    [anon_sym_switch] = ACTIONS(2372),
    [anon_sym_case] = ACTIONS(2372),
    [anon_sym_default] = ACTIONS(2372),
    [anon_sym_while] = ACTIONS(2372),
    [anon_sym_do] = ACTIONS(2372),
    [anon_sym_for] = ACTIONS(2372),
    [anon_sym_return] = ACTIONS(2372),
    [anon_sym_break] = ACTIONS(2372),
    [anon_sym_continue] = ACTIONS(2372),
    [anon_sym_goto] = ACTIONS(2372),
    [anon_sym___try] = ACTIONS(2372),
    [anon_sym___leave] = ACTIONS(2372),
    [anon_sym_not] = ACTIONS(2372),
    [anon_sym_compl] = ACTIONS(2372),
    [anon_sym_DASH_DASH] = ACTIONS(2374),
    [anon_sym_PLUS_PLUS] = ACTIONS(2374),
    [anon_sym_sizeof] = ACTIONS(2372),
    [anon_sym___alignof__] = ACTIONS(2372),
    [anon_sym___alignof] = ACTIONS(2372),
    [anon_sym__alignof] = ACTIONS(2372),
    [anon_sym_alignof] = ACTIONS(2372),
    [anon_sym__Alignof] = ACTIONS(2372),
    [anon_sym_offsetof] = ACTIONS(2372),
    [anon_sym__Generic] = ACTIONS(2372),
    [anon_sym_asm] = ACTIONS(2372),
    [anon_sym___asm__] = ACTIONS(2372),
    [sym_number_literal] = ACTIONS(2374),
    [anon_sym_L_SQUOTE] = ACTIONS(2374),
    [anon_sym_u_SQUOTE] = ACTIONS(2374),
    [anon_sym_U_SQUOTE] = ACTIONS(2374),
    [anon_sym_u8_SQUOTE] = ACTIONS(2374),
    [anon_sym_SQUOTE] = ACTIONS(2374),
    [anon_sym_L_DQUOTE] = ACTIONS(2374),
    [anon_sym_u_DQUOTE] = ACTIONS(2374),
    [anon_sym_U_DQUOTE] = ACTIONS(2374),
    [anon_sym_u8_DQUOTE] = ACTIONS(2374),
    [anon_sym_DQUOTE] = ACTIONS(2374),
    [sym_true] = ACTIONS(2372),
    [sym_false] = ACTIONS(2372),
    [anon_sym_NULL] = ACTIONS(2372),
    [anon_sym_nullptr] = ACTIONS(2372),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2372),
    [anon_sym_decltype] = ACTIONS(2372),
    [anon_sym_virtual] = ACTIONS(2372),
    [anon_sym_alignas] = ACTIONS(2372),
    [anon_sym_explicit] = ACTIONS(2372),
    [anon_sym_typename] = ACTIONS(2372),
    [anon_sym_template] = ACTIONS(2372),
    [anon_sym_operator] = ACTIONS(2372),
    [anon_sym_try] = ACTIONS(2372),
    [anon_sym_delete] = ACTIONS(2372),
    [anon_sym_throw] = ACTIONS(2372),
    [anon_sym_namespace] = ACTIONS(2372),
    [anon_sym_using] = ACTIONS(2372),
    [anon_sym_static_assert] = ACTIONS(2372),
    [anon_sym_concept] = ACTIONS(2372),
    [anon_sym_co_return] = ACTIONS(2372),
    [anon_sym_co_yield] = ACTIONS(2372),
    [anon_sym_R_DQUOTE] = ACTIONS(2374),
    [anon_sym_LR_DQUOTE] = ACTIONS(2374),
    [anon_sym_uR_DQUOTE] = ACTIONS(2374),
    [anon_sym_UR_DQUOTE] = ACTIONS(2374),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2374),
    [anon_sym_co_await] = ACTIONS(2372),
    [anon_sym_new] = ACTIONS(2372),
    [anon_sym_requires] = ACTIONS(2372),
    [sym_this] = ACTIONS(2372),
    [anon_sym_discard] = ACTIONS(2372),
    [anon_sym_precise] = ACTIONS(2372),
    [anon_sym_shared] = ACTIONS(2372),
    [anon_sym_groupshared] = ACTIONS(2372),
    [anon_sym_uniform] = ACTIONS(2372),
    [anon_sym_row_major] = ACTIONS(2372),
    [anon_sym_column_major] = ACTIONS(2372),
    [anon_sym_globallycoherent] = ACTIONS(2372),
    [anon_sym_centroid] = ACTIONS(2372),
    [anon_sym_noperspective] = ACTIONS(2372),
    [anon_sym_nointerpolation] = ACTIONS(2372),
    [anon_sym_sample] = ACTIONS(2372),
    [anon_sym_linear] = ACTIONS(2372),
    [anon_sym_snorm] = ACTIONS(2372),
    [anon_sym_unorm] = ACTIONS(2372),
    [anon_sym_point] = ACTIONS(2372),
    [anon_sym_line] = ACTIONS(2372),
    [anon_sym_triangleadj] = ACTIONS(2372),
    [anon_sym_lineadj] = ACTIONS(2372),
    [anon_sym_triangle] = ACTIONS(2372),
    [anon_sym_cbuffer] = ACTIONS(2372),
  },
  [258] = {
    [sym_identifier] = ACTIONS(2364),
    [aux_sym_preproc_include_token1] = ACTIONS(2364),
    [aux_sym_preproc_def_token1] = ACTIONS(2364),
    [aux_sym_preproc_if_token1] = ACTIONS(2364),
    [aux_sym_preproc_if_token2] = ACTIONS(2364),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2364),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2364),
    [aux_sym_preproc_else_token1] = ACTIONS(2364),
    [aux_sym_preproc_elif_token1] = ACTIONS(2364),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2364),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2364),
    [sym_preproc_directive] = ACTIONS(2364),
    [anon_sym_LPAREN2] = ACTIONS(2366),
    [anon_sym_BANG] = ACTIONS(2366),
    [anon_sym_TILDE] = ACTIONS(2366),
    [anon_sym_DASH] = ACTIONS(2364),
    [anon_sym_PLUS] = ACTIONS(2364),
    [anon_sym_STAR] = ACTIONS(2366),
    [anon_sym_AMP_AMP] = ACTIONS(2366),
    [anon_sym_AMP] = ACTIONS(2364),
    [anon_sym_SEMI] = ACTIONS(2366),
    [anon_sym___extension__] = ACTIONS(2364),
    [anon_sym_typedef] = ACTIONS(2364),
    [anon_sym_in] = ACTIONS(2364),
    [anon_sym_out] = ACTIONS(2364),
    [anon_sym_inout] = ACTIONS(2364),
    [anon_sym_extern] = ACTIONS(2364),
    [anon_sym___attribute__] = ACTIONS(2364),
    [anon_sym_COLON_COLON] = ACTIONS(2366),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2366),
    [anon_sym___declspec] = ACTIONS(2364),
    [anon_sym___based] = ACTIONS(2364),
    [anon_sym___cdecl] = ACTIONS(2364),
    [anon_sym___clrcall] = ACTIONS(2364),
    [anon_sym___stdcall] = ACTIONS(2364),
    [anon_sym___fastcall] = ACTIONS(2364),
    [anon_sym___thiscall] = ACTIONS(2364),
    [anon_sym___vectorcall] = ACTIONS(2364),
    [anon_sym_LBRACE] = ACTIONS(2366),
    [anon_sym_signed] = ACTIONS(2364),
    [anon_sym_unsigned] = ACTIONS(2364),
    [anon_sym_long] = ACTIONS(2364),
    [anon_sym_short] = ACTIONS(2364),
    [anon_sym_LBRACK] = ACTIONS(2364),
    [anon_sym_static] = ACTIONS(2364),
    [anon_sym_register] = ACTIONS(2364),
    [anon_sym_inline] = ACTIONS(2364),
    [anon_sym___inline] = ACTIONS(2364),
    [anon_sym___inline__] = ACTIONS(2364),
    [anon_sym___forceinline] = ACTIONS(2364),
    [anon_sym_thread_local] = ACTIONS(2364),
    [anon_sym___thread] = ACTIONS(2364),
    [anon_sym_const] = ACTIONS(2364),
    [anon_sym_constexpr] = ACTIONS(2364),
    [anon_sym_volatile] = ACTIONS(2364),
    [anon_sym_restrict] = ACTIONS(2364),
    [anon_sym___restrict__] = ACTIONS(2364),
    [anon_sym__Atomic] = ACTIONS(2364),
    [anon_sym__Noreturn] = ACTIONS(2364),
    [anon_sym_noreturn] = ACTIONS(2364),
    [anon_sym_mutable] = ACTIONS(2364),
    [anon_sym_constinit] = ACTIONS(2364),
    [anon_sym_consteval] = ACTIONS(2364),
    [sym_primitive_type] = ACTIONS(2364),
    [anon_sym_enum] = ACTIONS(2364),
    [anon_sym_class] = ACTIONS(2364),
    [anon_sym_struct] = ACTIONS(2364),
    [anon_sym_union] = ACTIONS(2364),
    [anon_sym_if] = ACTIONS(2364),
    [anon_sym_else] = ACTIONS(2364),
    [anon_sym_switch] = ACTIONS(2364),
    [anon_sym_case] = ACTIONS(2364),
    [anon_sym_default] = ACTIONS(2364),
    [anon_sym_while] = ACTIONS(2364),
    [anon_sym_do] = ACTIONS(2364),
    [anon_sym_for] = ACTIONS(2364),
    [anon_sym_return] = ACTIONS(2364),
    [anon_sym_break] = ACTIONS(2364),
    [anon_sym_continue] = ACTIONS(2364),
    [anon_sym_goto] = ACTIONS(2364),
    [anon_sym___try] = ACTIONS(2364),
    [anon_sym___leave] = ACTIONS(2364),
    [anon_sym_not] = ACTIONS(2364),
    [anon_sym_compl] = ACTIONS(2364),
    [anon_sym_DASH_DASH] = ACTIONS(2366),
    [anon_sym_PLUS_PLUS] = ACTIONS(2366),
    [anon_sym_sizeof] = ACTIONS(2364),
    [anon_sym___alignof__] = ACTIONS(2364),
    [anon_sym___alignof] = ACTIONS(2364),
    [anon_sym__alignof] = ACTIONS(2364),
    [anon_sym_alignof] = ACTIONS(2364),
    [anon_sym__Alignof] = ACTIONS(2364),
    [anon_sym_offsetof] = ACTIONS(2364),
    [anon_sym__Generic] = ACTIONS(2364),
    [anon_sym_asm] = ACTIONS(2364),
    [anon_sym___asm__] = ACTIONS(2364),
    [sym_number_literal] = ACTIONS(2366),
    [anon_sym_L_SQUOTE] = ACTIONS(2366),
    [anon_sym_u_SQUOTE] = ACTIONS(2366),
    [anon_sym_U_SQUOTE] = ACTIONS(2366),
    [anon_sym_u8_SQUOTE] = ACTIONS(2366),
    [anon_sym_SQUOTE] = ACTIONS(2366),
    [anon_sym_L_DQUOTE] = ACTIONS(2366),
    [anon_sym_u_DQUOTE] = ACTIONS(2366),
    [anon_sym_U_DQUOTE] = ACTIONS(2366),
    [anon_sym_u8_DQUOTE] = ACTIONS(2366),
    [anon_sym_DQUOTE] = ACTIONS(2366),
    [sym_true] = ACTIONS(2364),
    [sym_false] = ACTIONS(2364),
    [anon_sym_NULL] = ACTIONS(2364),
    [anon_sym_nullptr] = ACTIONS(2364),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2364),
    [anon_sym_decltype] = ACTIONS(2364),
    [anon_sym_virtual] = ACTIONS(2364),
    [anon_sym_alignas] = ACTIONS(2364),
    [anon_sym_explicit] = ACTIONS(2364),
    [anon_sym_typename] = ACTIONS(2364),
    [anon_sym_template] = ACTIONS(2364),
    [anon_sym_operator] = ACTIONS(2364),
    [anon_sym_try] = ACTIONS(2364),
    [anon_sym_delete] = ACTIONS(2364),
    [anon_sym_throw] = ACTIONS(2364),
    [anon_sym_namespace] = ACTIONS(2364),
    [anon_sym_using] = ACTIONS(2364),
    [anon_sym_static_assert] = ACTIONS(2364),
    [anon_sym_concept] = ACTIONS(2364),
    [anon_sym_co_return] = ACTIONS(2364),
    [anon_sym_co_yield] = ACTIONS(2364),
    [anon_sym_R_DQUOTE] = ACTIONS(2366),
    [anon_sym_LR_DQUOTE] = ACTIONS(2366),
    [anon_sym_uR_DQUOTE] = ACTIONS(2366),
    [anon_sym_UR_DQUOTE] = ACTIONS(2366),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2366),
    [anon_sym_co_await] = ACTIONS(2364),
    [anon_sym_new] = ACTIONS(2364),
    [anon_sym_requires] = ACTIONS(2364),
    [sym_this] = ACTIONS(2364),
    [anon_sym_discard] = ACTIONS(2364),
    [anon_sym_precise] = ACTIONS(2364),
    [anon_sym_shared] = ACTIONS(2364),
    [anon_sym_groupshared] = ACTIONS(2364),
    [anon_sym_uniform] = ACTIONS(2364),
    [anon_sym_row_major] = ACTIONS(2364),
    [anon_sym_column_major] = ACTIONS(2364),
    [anon_sym_globallycoherent] = ACTIONS(2364),
    [anon_sym_centroid] = ACTIONS(2364),
    [anon_sym_noperspective] = ACTIONS(2364),
    [anon_sym_nointerpolation] = ACTIONS(2364),
    [anon_sym_sample] = ACTIONS(2364),
    [anon_sym_linear] = ACTIONS(2364),
    [anon_sym_snorm] = ACTIONS(2364),
    [anon_sym_unorm] = ACTIONS(2364),
    [anon_sym_point] = ACTIONS(2364),
    [anon_sym_line] = ACTIONS(2364),
    [anon_sym_triangleadj] = ACTIONS(2364),
    [anon_sym_lineadj] = ACTIONS(2364),
    [anon_sym_triangle] = ACTIONS(2364),
    [anon_sym_cbuffer] = ACTIONS(2364),
  },
  [259] = {
    [sym_identifier] = ACTIONS(2364),
    [aux_sym_preproc_include_token1] = ACTIONS(2364),
    [aux_sym_preproc_def_token1] = ACTIONS(2364),
    [aux_sym_preproc_if_token1] = ACTIONS(2364),
    [aux_sym_preproc_if_token2] = ACTIONS(2364),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2364),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2364),
    [aux_sym_preproc_else_token1] = ACTIONS(2364),
    [aux_sym_preproc_elif_token1] = ACTIONS(2364),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2364),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2364),
    [sym_preproc_directive] = ACTIONS(2364),
    [anon_sym_LPAREN2] = ACTIONS(2366),
    [anon_sym_BANG] = ACTIONS(2366),
    [anon_sym_TILDE] = ACTIONS(2366),
    [anon_sym_DASH] = ACTIONS(2364),
    [anon_sym_PLUS] = ACTIONS(2364),
    [anon_sym_STAR] = ACTIONS(2366),
    [anon_sym_AMP_AMP] = ACTIONS(2366),
    [anon_sym_AMP] = ACTIONS(2364),
    [anon_sym_SEMI] = ACTIONS(2366),
    [anon_sym___extension__] = ACTIONS(2364),
    [anon_sym_typedef] = ACTIONS(2364),
    [anon_sym_in] = ACTIONS(2364),
    [anon_sym_out] = ACTIONS(2364),
    [anon_sym_inout] = ACTIONS(2364),
    [anon_sym_extern] = ACTIONS(2364),
    [anon_sym___attribute__] = ACTIONS(2364),
    [anon_sym_COLON_COLON] = ACTIONS(2366),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2366),
    [anon_sym___declspec] = ACTIONS(2364),
    [anon_sym___based] = ACTIONS(2364),
    [anon_sym___cdecl] = ACTIONS(2364),
    [anon_sym___clrcall] = ACTIONS(2364),
    [anon_sym___stdcall] = ACTIONS(2364),
    [anon_sym___fastcall] = ACTIONS(2364),
    [anon_sym___thiscall] = ACTIONS(2364),
    [anon_sym___vectorcall] = ACTIONS(2364),
    [anon_sym_LBRACE] = ACTIONS(2366),
    [anon_sym_signed] = ACTIONS(2364),
    [anon_sym_unsigned] = ACTIONS(2364),
    [anon_sym_long] = ACTIONS(2364),
    [anon_sym_short] = ACTIONS(2364),
    [anon_sym_LBRACK] = ACTIONS(2364),
    [anon_sym_static] = ACTIONS(2364),
    [anon_sym_register] = ACTIONS(2364),
    [anon_sym_inline] = ACTIONS(2364),
    [anon_sym___inline] = ACTIONS(2364),
    [anon_sym___inline__] = ACTIONS(2364),
    [anon_sym___forceinline] = ACTIONS(2364),
    [anon_sym_thread_local] = ACTIONS(2364),
    [anon_sym___thread] = ACTIONS(2364),
    [anon_sym_const] = ACTIONS(2364),
    [anon_sym_constexpr] = ACTIONS(2364),
    [anon_sym_volatile] = ACTIONS(2364),
    [anon_sym_restrict] = ACTIONS(2364),
    [anon_sym___restrict__] = ACTIONS(2364),
    [anon_sym__Atomic] = ACTIONS(2364),
    [anon_sym__Noreturn] = ACTIONS(2364),
    [anon_sym_noreturn] = ACTIONS(2364),
    [anon_sym_mutable] = ACTIONS(2364),
    [anon_sym_constinit] = ACTIONS(2364),
    [anon_sym_consteval] = ACTIONS(2364),
    [sym_primitive_type] = ACTIONS(2364),
    [anon_sym_enum] = ACTIONS(2364),
    [anon_sym_class] = ACTIONS(2364),
    [anon_sym_struct] = ACTIONS(2364),
    [anon_sym_union] = ACTIONS(2364),
    [anon_sym_if] = ACTIONS(2364),
    [anon_sym_else] = ACTIONS(2364),
    [anon_sym_switch] = ACTIONS(2364),
    [anon_sym_case] = ACTIONS(2364),
    [anon_sym_default] = ACTIONS(2364),
    [anon_sym_while] = ACTIONS(2364),
    [anon_sym_do] = ACTIONS(2364),
    [anon_sym_for] = ACTIONS(2364),
    [anon_sym_return] = ACTIONS(2364),
    [anon_sym_break] = ACTIONS(2364),
    [anon_sym_continue] = ACTIONS(2364),
    [anon_sym_goto] = ACTIONS(2364),
    [anon_sym___try] = ACTIONS(2364),
    [anon_sym___leave] = ACTIONS(2364),
    [anon_sym_not] = ACTIONS(2364),
    [anon_sym_compl] = ACTIONS(2364),
    [anon_sym_DASH_DASH] = ACTIONS(2366),
    [anon_sym_PLUS_PLUS] = ACTIONS(2366),
    [anon_sym_sizeof] = ACTIONS(2364),
    [anon_sym___alignof__] = ACTIONS(2364),
    [anon_sym___alignof] = ACTIONS(2364),
    [anon_sym__alignof] = ACTIONS(2364),
    [anon_sym_alignof] = ACTIONS(2364),
    [anon_sym__Alignof] = ACTIONS(2364),
    [anon_sym_offsetof] = ACTIONS(2364),
    [anon_sym__Generic] = ACTIONS(2364),
    [anon_sym_asm] = ACTIONS(2364),
    [anon_sym___asm__] = ACTIONS(2364),
    [sym_number_literal] = ACTIONS(2366),
    [anon_sym_L_SQUOTE] = ACTIONS(2366),
    [anon_sym_u_SQUOTE] = ACTIONS(2366),
    [anon_sym_U_SQUOTE] = ACTIONS(2366),
    [anon_sym_u8_SQUOTE] = ACTIONS(2366),
    [anon_sym_SQUOTE] = ACTIONS(2366),
    [anon_sym_L_DQUOTE] = ACTIONS(2366),
    [anon_sym_u_DQUOTE] = ACTIONS(2366),
    [anon_sym_U_DQUOTE] = ACTIONS(2366),
    [anon_sym_u8_DQUOTE] = ACTIONS(2366),
    [anon_sym_DQUOTE] = ACTIONS(2366),
    [sym_true] = ACTIONS(2364),
    [sym_false] = ACTIONS(2364),
    [anon_sym_NULL] = ACTIONS(2364),
    [anon_sym_nullptr] = ACTIONS(2364),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2364),
    [anon_sym_decltype] = ACTIONS(2364),
    [anon_sym_virtual] = ACTIONS(2364),
    [anon_sym_alignas] = ACTIONS(2364),
    [anon_sym_explicit] = ACTIONS(2364),
    [anon_sym_typename] = ACTIONS(2364),
    [anon_sym_template] = ACTIONS(2364),
    [anon_sym_operator] = ACTIONS(2364),
    [anon_sym_try] = ACTIONS(2364),
    [anon_sym_delete] = ACTIONS(2364),
    [anon_sym_throw] = ACTIONS(2364),
    [anon_sym_namespace] = ACTIONS(2364),
    [anon_sym_using] = ACTIONS(2364),
    [anon_sym_static_assert] = ACTIONS(2364),
    [anon_sym_concept] = ACTIONS(2364),
    [anon_sym_co_return] = ACTIONS(2364),
    [anon_sym_co_yield] = ACTIONS(2364),
    [anon_sym_R_DQUOTE] = ACTIONS(2366),
    [anon_sym_LR_DQUOTE] = ACTIONS(2366),
    [anon_sym_uR_DQUOTE] = ACTIONS(2366),
    [anon_sym_UR_DQUOTE] = ACTIONS(2366),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2366),
    [anon_sym_co_await] = ACTIONS(2364),
    [anon_sym_new] = ACTIONS(2364),
    [anon_sym_requires] = ACTIONS(2364),
    [sym_this] = ACTIONS(2364),
    [anon_sym_discard] = ACTIONS(2364),
    [anon_sym_precise] = ACTIONS(2364),
    [anon_sym_shared] = ACTIONS(2364),
    [anon_sym_groupshared] = ACTIONS(2364),
    [anon_sym_uniform] = ACTIONS(2364),
    [anon_sym_row_major] = ACTIONS(2364),
    [anon_sym_column_major] = ACTIONS(2364),
    [anon_sym_globallycoherent] = ACTIONS(2364),
    [anon_sym_centroid] = ACTIONS(2364),
    [anon_sym_noperspective] = ACTIONS(2364),
    [anon_sym_nointerpolation] = ACTIONS(2364),
    [anon_sym_sample] = ACTIONS(2364),
    [anon_sym_linear] = ACTIONS(2364),
    [anon_sym_snorm] = ACTIONS(2364),
    [anon_sym_unorm] = ACTIONS(2364),
    [anon_sym_point] = ACTIONS(2364),
    [anon_sym_line] = ACTIONS(2364),
    [anon_sym_triangleadj] = ACTIONS(2364),
    [anon_sym_lineadj] = ACTIONS(2364),
    [anon_sym_triangle] = ACTIONS(2364),
    [anon_sym_cbuffer] = ACTIONS(2364),
  },
  [260] = {
    [sym_identifier] = ACTIONS(2376),
    [aux_sym_preproc_include_token1] = ACTIONS(2376),
    [aux_sym_preproc_def_token1] = ACTIONS(2376),
    [aux_sym_preproc_if_token1] = ACTIONS(2376),
    [aux_sym_preproc_if_token2] = ACTIONS(2376),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2376),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2376),
    [aux_sym_preproc_else_token1] = ACTIONS(2376),
    [aux_sym_preproc_elif_token1] = ACTIONS(2376),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2376),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2376),
    [sym_preproc_directive] = ACTIONS(2376),
    [anon_sym_LPAREN2] = ACTIONS(2378),
    [anon_sym_BANG] = ACTIONS(2378),
    [anon_sym_TILDE] = ACTIONS(2378),
    [anon_sym_DASH] = ACTIONS(2376),
    [anon_sym_PLUS] = ACTIONS(2376),
    [anon_sym_STAR] = ACTIONS(2378),
    [anon_sym_AMP_AMP] = ACTIONS(2378),
    [anon_sym_AMP] = ACTIONS(2376),
    [anon_sym_SEMI] = ACTIONS(2378),
    [anon_sym___extension__] = ACTIONS(2376),
    [anon_sym_typedef] = ACTIONS(2376),
    [anon_sym_in] = ACTIONS(2376),
    [anon_sym_out] = ACTIONS(2376),
    [anon_sym_inout] = ACTIONS(2376),
    [anon_sym_extern] = ACTIONS(2376),
    [anon_sym___attribute__] = ACTIONS(2376),
    [anon_sym_COLON_COLON] = ACTIONS(2378),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2378),
    [anon_sym___declspec] = ACTIONS(2376),
    [anon_sym___based] = ACTIONS(2376),
    [anon_sym___cdecl] = ACTIONS(2376),
    [anon_sym___clrcall] = ACTIONS(2376),
    [anon_sym___stdcall] = ACTIONS(2376),
    [anon_sym___fastcall] = ACTIONS(2376),
    [anon_sym___thiscall] = ACTIONS(2376),
    [anon_sym___vectorcall] = ACTIONS(2376),
    [anon_sym_LBRACE] = ACTIONS(2378),
    [anon_sym_signed] = ACTIONS(2376),
    [anon_sym_unsigned] = ACTIONS(2376),
    [anon_sym_long] = ACTIONS(2376),
    [anon_sym_short] = ACTIONS(2376),
    [anon_sym_LBRACK] = ACTIONS(2376),
    [anon_sym_static] = ACTIONS(2376),
    [anon_sym_register] = ACTIONS(2376),
    [anon_sym_inline] = ACTIONS(2376),
    [anon_sym___inline] = ACTIONS(2376),
    [anon_sym___inline__] = ACTIONS(2376),
    [anon_sym___forceinline] = ACTIONS(2376),
    [anon_sym_thread_local] = ACTIONS(2376),
    [anon_sym___thread] = ACTIONS(2376),
    [anon_sym_const] = ACTIONS(2376),
    [anon_sym_constexpr] = ACTIONS(2376),
    [anon_sym_volatile] = ACTIONS(2376),
    [anon_sym_restrict] = ACTIONS(2376),
    [anon_sym___restrict__] = ACTIONS(2376),
    [anon_sym__Atomic] = ACTIONS(2376),
    [anon_sym__Noreturn] = ACTIONS(2376),
    [anon_sym_noreturn] = ACTIONS(2376),
    [anon_sym_mutable] = ACTIONS(2376),
    [anon_sym_constinit] = ACTIONS(2376),
    [anon_sym_consteval] = ACTIONS(2376),
    [sym_primitive_type] = ACTIONS(2376),
    [anon_sym_enum] = ACTIONS(2376),
    [anon_sym_class] = ACTIONS(2376),
    [anon_sym_struct] = ACTIONS(2376),
    [anon_sym_union] = ACTIONS(2376),
    [anon_sym_if] = ACTIONS(2376),
    [anon_sym_else] = ACTIONS(2376),
    [anon_sym_switch] = ACTIONS(2376),
    [anon_sym_case] = ACTIONS(2376),
    [anon_sym_default] = ACTIONS(2376),
    [anon_sym_while] = ACTIONS(2376),
    [anon_sym_do] = ACTIONS(2376),
    [anon_sym_for] = ACTIONS(2376),
    [anon_sym_return] = ACTIONS(2376),
    [anon_sym_break] = ACTIONS(2376),
    [anon_sym_continue] = ACTIONS(2376),
    [anon_sym_goto] = ACTIONS(2376),
    [anon_sym___try] = ACTIONS(2376),
    [anon_sym___leave] = ACTIONS(2376),
    [anon_sym_not] = ACTIONS(2376),
    [anon_sym_compl] = ACTIONS(2376),
    [anon_sym_DASH_DASH] = ACTIONS(2378),
    [anon_sym_PLUS_PLUS] = ACTIONS(2378),
    [anon_sym_sizeof] = ACTIONS(2376),
    [anon_sym___alignof__] = ACTIONS(2376),
    [anon_sym___alignof] = ACTIONS(2376),
    [anon_sym__alignof] = ACTIONS(2376),
    [anon_sym_alignof] = ACTIONS(2376),
    [anon_sym__Alignof] = ACTIONS(2376),
    [anon_sym_offsetof] = ACTIONS(2376),
    [anon_sym__Generic] = ACTIONS(2376),
    [anon_sym_asm] = ACTIONS(2376),
    [anon_sym___asm__] = ACTIONS(2376),
    [sym_number_literal] = ACTIONS(2378),
    [anon_sym_L_SQUOTE] = ACTIONS(2378),
    [anon_sym_u_SQUOTE] = ACTIONS(2378),
    [anon_sym_U_SQUOTE] = ACTIONS(2378),
    [anon_sym_u8_SQUOTE] = ACTIONS(2378),
    [anon_sym_SQUOTE] = ACTIONS(2378),
    [anon_sym_L_DQUOTE] = ACTIONS(2378),
    [anon_sym_u_DQUOTE] = ACTIONS(2378),
    [anon_sym_U_DQUOTE] = ACTIONS(2378),
    [anon_sym_u8_DQUOTE] = ACTIONS(2378),
    [anon_sym_DQUOTE] = ACTIONS(2378),
    [sym_true] = ACTIONS(2376),
    [sym_false] = ACTIONS(2376),
    [anon_sym_NULL] = ACTIONS(2376),
    [anon_sym_nullptr] = ACTIONS(2376),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2376),
    [anon_sym_decltype] = ACTIONS(2376),
    [anon_sym_virtual] = ACTIONS(2376),
    [anon_sym_alignas] = ACTIONS(2376),
    [anon_sym_explicit] = ACTIONS(2376),
    [anon_sym_typename] = ACTIONS(2376),
    [anon_sym_template] = ACTIONS(2376),
    [anon_sym_operator] = ACTIONS(2376),
    [anon_sym_try] = ACTIONS(2376),
    [anon_sym_delete] = ACTIONS(2376),
    [anon_sym_throw] = ACTIONS(2376),
    [anon_sym_namespace] = ACTIONS(2376),
    [anon_sym_using] = ACTIONS(2376),
    [anon_sym_static_assert] = ACTIONS(2376),
    [anon_sym_concept] = ACTIONS(2376),
    [anon_sym_co_return] = ACTIONS(2376),
    [anon_sym_co_yield] = ACTIONS(2376),
    [anon_sym_R_DQUOTE] = ACTIONS(2378),
    [anon_sym_LR_DQUOTE] = ACTIONS(2378),
    [anon_sym_uR_DQUOTE] = ACTIONS(2378),
    [anon_sym_UR_DQUOTE] = ACTIONS(2378),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2378),
    [anon_sym_co_await] = ACTIONS(2376),
    [anon_sym_new] = ACTIONS(2376),
    [anon_sym_requires] = ACTIONS(2376),
    [sym_this] = ACTIONS(2376),
    [anon_sym_discard] = ACTIONS(2376),
    [anon_sym_precise] = ACTIONS(2376),
    [anon_sym_shared] = ACTIONS(2376),
    [anon_sym_groupshared] = ACTIONS(2376),
    [anon_sym_uniform] = ACTIONS(2376),
    [anon_sym_row_major] = ACTIONS(2376),
    [anon_sym_column_major] = ACTIONS(2376),
    [anon_sym_globallycoherent] = ACTIONS(2376),
    [anon_sym_centroid] = ACTIONS(2376),
    [anon_sym_noperspective] = ACTIONS(2376),
    [anon_sym_nointerpolation] = ACTIONS(2376),
    [anon_sym_sample] = ACTIONS(2376),
    [anon_sym_linear] = ACTIONS(2376),
    [anon_sym_snorm] = ACTIONS(2376),
    [anon_sym_unorm] = ACTIONS(2376),
    [anon_sym_point] = ACTIONS(2376),
    [anon_sym_line] = ACTIONS(2376),
    [anon_sym_triangleadj] = ACTIONS(2376),
    [anon_sym_lineadj] = ACTIONS(2376),
    [anon_sym_triangle] = ACTIONS(2376),
    [anon_sym_cbuffer] = ACTIONS(2376),
  },
  [261] = {
    [sym_identifier] = ACTIONS(2380),
    [aux_sym_preproc_include_token1] = ACTIONS(2380),
    [aux_sym_preproc_def_token1] = ACTIONS(2380),
    [aux_sym_preproc_if_token1] = ACTIONS(2380),
    [aux_sym_preproc_if_token2] = ACTIONS(2380),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2380),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2380),
    [aux_sym_preproc_else_token1] = ACTIONS(2380),
    [aux_sym_preproc_elif_token1] = ACTIONS(2380),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2380),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2380),
    [sym_preproc_directive] = ACTIONS(2380),
    [anon_sym_LPAREN2] = ACTIONS(2382),
    [anon_sym_BANG] = ACTIONS(2382),
    [anon_sym_TILDE] = ACTIONS(2382),
    [anon_sym_DASH] = ACTIONS(2380),
    [anon_sym_PLUS] = ACTIONS(2380),
    [anon_sym_STAR] = ACTIONS(2382),
    [anon_sym_AMP_AMP] = ACTIONS(2382),
    [anon_sym_AMP] = ACTIONS(2380),
    [anon_sym_SEMI] = ACTIONS(2382),
    [anon_sym___extension__] = ACTIONS(2380),
    [anon_sym_typedef] = ACTIONS(2380),
    [anon_sym_in] = ACTIONS(2380),
    [anon_sym_out] = ACTIONS(2380),
    [anon_sym_inout] = ACTIONS(2380),
    [anon_sym_extern] = ACTIONS(2380),
    [anon_sym___attribute__] = ACTIONS(2380),
    [anon_sym_COLON_COLON] = ACTIONS(2382),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2382),
    [anon_sym___declspec] = ACTIONS(2380),
    [anon_sym___based] = ACTIONS(2380),
    [anon_sym___cdecl] = ACTIONS(2380),
    [anon_sym___clrcall] = ACTIONS(2380),
    [anon_sym___stdcall] = ACTIONS(2380),
    [anon_sym___fastcall] = ACTIONS(2380),
    [anon_sym___thiscall] = ACTIONS(2380),
    [anon_sym___vectorcall] = ACTIONS(2380),
    [anon_sym_LBRACE] = ACTIONS(2382),
    [anon_sym_signed] = ACTIONS(2380),
    [anon_sym_unsigned] = ACTIONS(2380),
    [anon_sym_long] = ACTIONS(2380),
    [anon_sym_short] = ACTIONS(2380),
    [anon_sym_LBRACK] = ACTIONS(2380),
    [anon_sym_static] = ACTIONS(2380),
    [anon_sym_register] = ACTIONS(2380),
    [anon_sym_inline] = ACTIONS(2380),
    [anon_sym___inline] = ACTIONS(2380),
    [anon_sym___inline__] = ACTIONS(2380),
    [anon_sym___forceinline] = ACTIONS(2380),
    [anon_sym_thread_local] = ACTIONS(2380),
    [anon_sym___thread] = ACTIONS(2380),
    [anon_sym_const] = ACTIONS(2380),
    [anon_sym_constexpr] = ACTIONS(2380),
    [anon_sym_volatile] = ACTIONS(2380),
    [anon_sym_restrict] = ACTIONS(2380),
    [anon_sym___restrict__] = ACTIONS(2380),
    [anon_sym__Atomic] = ACTIONS(2380),
    [anon_sym__Noreturn] = ACTIONS(2380),
    [anon_sym_noreturn] = ACTIONS(2380),
    [anon_sym_mutable] = ACTIONS(2380),
    [anon_sym_constinit] = ACTIONS(2380),
    [anon_sym_consteval] = ACTIONS(2380),
    [sym_primitive_type] = ACTIONS(2380),
    [anon_sym_enum] = ACTIONS(2380),
    [anon_sym_class] = ACTIONS(2380),
    [anon_sym_struct] = ACTIONS(2380),
    [anon_sym_union] = ACTIONS(2380),
    [anon_sym_if] = ACTIONS(2380),
    [anon_sym_else] = ACTIONS(2380),
    [anon_sym_switch] = ACTIONS(2380),
    [anon_sym_case] = ACTIONS(2380),
    [anon_sym_default] = ACTIONS(2380),
    [anon_sym_while] = ACTIONS(2380),
    [anon_sym_do] = ACTIONS(2380),
    [anon_sym_for] = ACTIONS(2380),
    [anon_sym_return] = ACTIONS(2380),
    [anon_sym_break] = ACTIONS(2380),
    [anon_sym_continue] = ACTIONS(2380),
    [anon_sym_goto] = ACTIONS(2380),
    [anon_sym___try] = ACTIONS(2380),
    [anon_sym___leave] = ACTIONS(2380),
    [anon_sym_not] = ACTIONS(2380),
    [anon_sym_compl] = ACTIONS(2380),
    [anon_sym_DASH_DASH] = ACTIONS(2382),
    [anon_sym_PLUS_PLUS] = ACTIONS(2382),
    [anon_sym_sizeof] = ACTIONS(2380),
    [anon_sym___alignof__] = ACTIONS(2380),
    [anon_sym___alignof] = ACTIONS(2380),
    [anon_sym__alignof] = ACTIONS(2380),
    [anon_sym_alignof] = ACTIONS(2380),
    [anon_sym__Alignof] = ACTIONS(2380),
    [anon_sym_offsetof] = ACTIONS(2380),
    [anon_sym__Generic] = ACTIONS(2380),
    [anon_sym_asm] = ACTIONS(2380),
    [anon_sym___asm__] = ACTIONS(2380),
    [sym_number_literal] = ACTIONS(2382),
    [anon_sym_L_SQUOTE] = ACTIONS(2382),
    [anon_sym_u_SQUOTE] = ACTIONS(2382),
    [anon_sym_U_SQUOTE] = ACTIONS(2382),
    [anon_sym_u8_SQUOTE] = ACTIONS(2382),
    [anon_sym_SQUOTE] = ACTIONS(2382),
    [anon_sym_L_DQUOTE] = ACTIONS(2382),
    [anon_sym_u_DQUOTE] = ACTIONS(2382),
    [anon_sym_U_DQUOTE] = ACTIONS(2382),
    [anon_sym_u8_DQUOTE] = ACTIONS(2382),
    [anon_sym_DQUOTE] = ACTIONS(2382),
    [sym_true] = ACTIONS(2380),
    [sym_false] = ACTIONS(2380),
    [anon_sym_NULL] = ACTIONS(2380),
    [anon_sym_nullptr] = ACTIONS(2380),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2380),
    [anon_sym_decltype] = ACTIONS(2380),
    [anon_sym_virtual] = ACTIONS(2380),
    [anon_sym_alignas] = ACTIONS(2380),
    [anon_sym_explicit] = ACTIONS(2380),
    [anon_sym_typename] = ACTIONS(2380),
    [anon_sym_template] = ACTIONS(2380),
    [anon_sym_operator] = ACTIONS(2380),
    [anon_sym_try] = ACTIONS(2380),
    [anon_sym_delete] = ACTIONS(2380),
    [anon_sym_throw] = ACTIONS(2380),
    [anon_sym_namespace] = ACTIONS(2380),
    [anon_sym_using] = ACTIONS(2380),
    [anon_sym_static_assert] = ACTIONS(2380),
    [anon_sym_concept] = ACTIONS(2380),
    [anon_sym_co_return] = ACTIONS(2380),
    [anon_sym_co_yield] = ACTIONS(2380),
    [anon_sym_R_DQUOTE] = ACTIONS(2382),
    [anon_sym_LR_DQUOTE] = ACTIONS(2382),
    [anon_sym_uR_DQUOTE] = ACTIONS(2382),
    [anon_sym_UR_DQUOTE] = ACTIONS(2382),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2382),
    [anon_sym_co_await] = ACTIONS(2380),
    [anon_sym_new] = ACTIONS(2380),
    [anon_sym_requires] = ACTIONS(2380),
    [sym_this] = ACTIONS(2380),
    [anon_sym_discard] = ACTIONS(2380),
    [anon_sym_precise] = ACTIONS(2380),
    [anon_sym_shared] = ACTIONS(2380),
    [anon_sym_groupshared] = ACTIONS(2380),
    [anon_sym_uniform] = ACTIONS(2380),
    [anon_sym_row_major] = ACTIONS(2380),
    [anon_sym_column_major] = ACTIONS(2380),
    [anon_sym_globallycoherent] = ACTIONS(2380),
    [anon_sym_centroid] = ACTIONS(2380),
    [anon_sym_noperspective] = ACTIONS(2380),
    [anon_sym_nointerpolation] = ACTIONS(2380),
    [anon_sym_sample] = ACTIONS(2380),
    [anon_sym_linear] = ACTIONS(2380),
    [anon_sym_snorm] = ACTIONS(2380),
    [anon_sym_unorm] = ACTIONS(2380),
    [anon_sym_point] = ACTIONS(2380),
    [anon_sym_line] = ACTIONS(2380),
    [anon_sym_triangleadj] = ACTIONS(2380),
    [anon_sym_lineadj] = ACTIONS(2380),
    [anon_sym_triangle] = ACTIONS(2380),
    [anon_sym_cbuffer] = ACTIONS(2380),
  },
  [262] = {
    [sym_identifier] = ACTIONS(2364),
    [aux_sym_preproc_include_token1] = ACTIONS(2364),
    [aux_sym_preproc_def_token1] = ACTIONS(2364),
    [aux_sym_preproc_if_token1] = ACTIONS(2364),
    [aux_sym_preproc_if_token2] = ACTIONS(2364),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2364),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2364),
    [aux_sym_preproc_else_token1] = ACTIONS(2364),
    [aux_sym_preproc_elif_token1] = ACTIONS(2364),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2364),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2364),
    [sym_preproc_directive] = ACTIONS(2364),
    [anon_sym_LPAREN2] = ACTIONS(2366),
    [anon_sym_BANG] = ACTIONS(2366),
    [anon_sym_TILDE] = ACTIONS(2366),
    [anon_sym_DASH] = ACTIONS(2364),
    [anon_sym_PLUS] = ACTIONS(2364),
    [anon_sym_STAR] = ACTIONS(2366),
    [anon_sym_AMP_AMP] = ACTIONS(2366),
    [anon_sym_AMP] = ACTIONS(2364),
    [anon_sym_SEMI] = ACTIONS(2366),
    [anon_sym___extension__] = ACTIONS(2364),
    [anon_sym_typedef] = ACTIONS(2364),
    [anon_sym_in] = ACTIONS(2364),
    [anon_sym_out] = ACTIONS(2364),
    [anon_sym_inout] = ACTIONS(2364),
    [anon_sym_extern] = ACTIONS(2364),
    [anon_sym___attribute__] = ACTIONS(2364),
    [anon_sym_COLON_COLON] = ACTIONS(2366),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2366),
    [anon_sym___declspec] = ACTIONS(2364),
    [anon_sym___based] = ACTIONS(2364),
    [anon_sym___cdecl] = ACTIONS(2364),
    [anon_sym___clrcall] = ACTIONS(2364),
    [anon_sym___stdcall] = ACTIONS(2364),
    [anon_sym___fastcall] = ACTIONS(2364),
    [anon_sym___thiscall] = ACTIONS(2364),
    [anon_sym___vectorcall] = ACTIONS(2364),
    [anon_sym_LBRACE] = ACTIONS(2366),
    [anon_sym_signed] = ACTIONS(2364),
    [anon_sym_unsigned] = ACTIONS(2364),
    [anon_sym_long] = ACTIONS(2364),
    [anon_sym_short] = ACTIONS(2364),
    [anon_sym_LBRACK] = ACTIONS(2364),
    [anon_sym_static] = ACTIONS(2364),
    [anon_sym_register] = ACTIONS(2364),
    [anon_sym_inline] = ACTIONS(2364),
    [anon_sym___inline] = ACTIONS(2364),
    [anon_sym___inline__] = ACTIONS(2364),
    [anon_sym___forceinline] = ACTIONS(2364),
    [anon_sym_thread_local] = ACTIONS(2364),
    [anon_sym___thread] = ACTIONS(2364),
    [anon_sym_const] = ACTIONS(2364),
    [anon_sym_constexpr] = ACTIONS(2364),
    [anon_sym_volatile] = ACTIONS(2364),
    [anon_sym_restrict] = ACTIONS(2364),
    [anon_sym___restrict__] = ACTIONS(2364),
    [anon_sym__Atomic] = ACTIONS(2364),
    [anon_sym__Noreturn] = ACTIONS(2364),
    [anon_sym_noreturn] = ACTIONS(2364),
    [anon_sym_mutable] = ACTIONS(2364),
    [anon_sym_constinit] = ACTIONS(2364),
    [anon_sym_consteval] = ACTIONS(2364),
    [sym_primitive_type] = ACTIONS(2364),
    [anon_sym_enum] = ACTIONS(2364),
    [anon_sym_class] = ACTIONS(2364),
    [anon_sym_struct] = ACTIONS(2364),
    [anon_sym_union] = ACTIONS(2364),
    [anon_sym_if] = ACTIONS(2364),
    [anon_sym_else] = ACTIONS(2364),
    [anon_sym_switch] = ACTIONS(2364),
    [anon_sym_case] = ACTIONS(2364),
    [anon_sym_default] = ACTIONS(2364),
    [anon_sym_while] = ACTIONS(2364),
    [anon_sym_do] = ACTIONS(2364),
    [anon_sym_for] = ACTIONS(2364),
    [anon_sym_return] = ACTIONS(2364),
    [anon_sym_break] = ACTIONS(2364),
    [anon_sym_continue] = ACTIONS(2364),
    [anon_sym_goto] = ACTIONS(2364),
    [anon_sym___try] = ACTIONS(2364),
    [anon_sym___leave] = ACTIONS(2364),
    [anon_sym_not] = ACTIONS(2364),
    [anon_sym_compl] = ACTIONS(2364),
    [anon_sym_DASH_DASH] = ACTIONS(2366),
    [anon_sym_PLUS_PLUS] = ACTIONS(2366),
    [anon_sym_sizeof] = ACTIONS(2364),
    [anon_sym___alignof__] = ACTIONS(2364),
    [anon_sym___alignof] = ACTIONS(2364),
    [anon_sym__alignof] = ACTIONS(2364),
    [anon_sym_alignof] = ACTIONS(2364),
    [anon_sym__Alignof] = ACTIONS(2364),
    [anon_sym_offsetof] = ACTIONS(2364),
    [anon_sym__Generic] = ACTIONS(2364),
    [anon_sym_asm] = ACTIONS(2364),
    [anon_sym___asm__] = ACTIONS(2364),
    [sym_number_literal] = ACTIONS(2366),
    [anon_sym_L_SQUOTE] = ACTIONS(2366),
    [anon_sym_u_SQUOTE] = ACTIONS(2366),
    [anon_sym_U_SQUOTE] = ACTIONS(2366),
    [anon_sym_u8_SQUOTE] = ACTIONS(2366),
    [anon_sym_SQUOTE] = ACTIONS(2366),
    [anon_sym_L_DQUOTE] = ACTIONS(2366),
    [anon_sym_u_DQUOTE] = ACTIONS(2366),
    [anon_sym_U_DQUOTE] = ACTIONS(2366),
    [anon_sym_u8_DQUOTE] = ACTIONS(2366),
    [anon_sym_DQUOTE] = ACTIONS(2366),
    [sym_true] = ACTIONS(2364),
    [sym_false] = ACTIONS(2364),
    [anon_sym_NULL] = ACTIONS(2364),
    [anon_sym_nullptr] = ACTIONS(2364),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2364),
    [anon_sym_decltype] = ACTIONS(2364),
    [anon_sym_virtual] = ACTIONS(2364),
    [anon_sym_alignas] = ACTIONS(2364),
    [anon_sym_explicit] = ACTIONS(2364),
    [anon_sym_typename] = ACTIONS(2364),
    [anon_sym_template] = ACTIONS(2364),
    [anon_sym_operator] = ACTIONS(2364),
    [anon_sym_try] = ACTIONS(2364),
    [anon_sym_delete] = ACTIONS(2364),
    [anon_sym_throw] = ACTIONS(2364),
    [anon_sym_namespace] = ACTIONS(2364),
    [anon_sym_using] = ACTIONS(2364),
    [anon_sym_static_assert] = ACTIONS(2364),
    [anon_sym_concept] = ACTIONS(2364),
    [anon_sym_co_return] = ACTIONS(2364),
    [anon_sym_co_yield] = ACTIONS(2364),
    [anon_sym_R_DQUOTE] = ACTIONS(2366),
    [anon_sym_LR_DQUOTE] = ACTIONS(2366),
    [anon_sym_uR_DQUOTE] = ACTIONS(2366),
    [anon_sym_UR_DQUOTE] = ACTIONS(2366),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2366),
    [anon_sym_co_await] = ACTIONS(2364),
    [anon_sym_new] = ACTIONS(2364),
    [anon_sym_requires] = ACTIONS(2364),
    [sym_this] = ACTIONS(2364),
    [anon_sym_discard] = ACTIONS(2364),
    [anon_sym_precise] = ACTIONS(2364),
    [anon_sym_shared] = ACTIONS(2364),
    [anon_sym_groupshared] = ACTIONS(2364),
    [anon_sym_uniform] = ACTIONS(2364),
    [anon_sym_row_major] = ACTIONS(2364),
    [anon_sym_column_major] = ACTIONS(2364),
    [anon_sym_globallycoherent] = ACTIONS(2364),
    [anon_sym_centroid] = ACTIONS(2364),
    [anon_sym_noperspective] = ACTIONS(2364),
    [anon_sym_nointerpolation] = ACTIONS(2364),
    [anon_sym_sample] = ACTIONS(2364),
    [anon_sym_linear] = ACTIONS(2364),
    [anon_sym_snorm] = ACTIONS(2364),
    [anon_sym_unorm] = ACTIONS(2364),
    [anon_sym_point] = ACTIONS(2364),
    [anon_sym_line] = ACTIONS(2364),
    [anon_sym_triangleadj] = ACTIONS(2364),
    [anon_sym_lineadj] = ACTIONS(2364),
    [anon_sym_triangle] = ACTIONS(2364),
    [anon_sym_cbuffer] = ACTIONS(2364),
  },
  [263] = {
    [sym_identifier] = ACTIONS(2364),
    [aux_sym_preproc_include_token1] = ACTIONS(2364),
    [aux_sym_preproc_def_token1] = ACTIONS(2364),
    [aux_sym_preproc_if_token1] = ACTIONS(2364),
    [aux_sym_preproc_if_token2] = ACTIONS(2364),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2364),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2364),
    [aux_sym_preproc_else_token1] = ACTIONS(2364),
    [aux_sym_preproc_elif_token1] = ACTIONS(2364),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2364),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2364),
    [sym_preproc_directive] = ACTIONS(2364),
    [anon_sym_LPAREN2] = ACTIONS(2366),
    [anon_sym_BANG] = ACTIONS(2366),
    [anon_sym_TILDE] = ACTIONS(2366),
    [anon_sym_DASH] = ACTIONS(2364),
    [anon_sym_PLUS] = ACTIONS(2364),
    [anon_sym_STAR] = ACTIONS(2366),
    [anon_sym_AMP_AMP] = ACTIONS(2366),
    [anon_sym_AMP] = ACTIONS(2364),
    [anon_sym_SEMI] = ACTIONS(2366),
    [anon_sym___extension__] = ACTIONS(2364),
    [anon_sym_typedef] = ACTIONS(2364),
    [anon_sym_in] = ACTIONS(2364),
    [anon_sym_out] = ACTIONS(2364),
    [anon_sym_inout] = ACTIONS(2364),
    [anon_sym_extern] = ACTIONS(2364),
    [anon_sym___attribute__] = ACTIONS(2364),
    [anon_sym_COLON_COLON] = ACTIONS(2366),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2366),
    [anon_sym___declspec] = ACTIONS(2364),
    [anon_sym___based] = ACTIONS(2364),
    [anon_sym___cdecl] = ACTIONS(2364),
    [anon_sym___clrcall] = ACTIONS(2364),
    [anon_sym___stdcall] = ACTIONS(2364),
    [anon_sym___fastcall] = ACTIONS(2364),
    [anon_sym___thiscall] = ACTIONS(2364),
    [anon_sym___vectorcall] = ACTIONS(2364),
    [anon_sym_LBRACE] = ACTIONS(2366),
    [anon_sym_signed] = ACTIONS(2364),
    [anon_sym_unsigned] = ACTIONS(2364),
    [anon_sym_long] = ACTIONS(2364),
    [anon_sym_short] = ACTIONS(2364),
    [anon_sym_LBRACK] = ACTIONS(2364),
    [anon_sym_static] = ACTIONS(2364),
    [anon_sym_register] = ACTIONS(2364),
    [anon_sym_inline] = ACTIONS(2364),
    [anon_sym___inline] = ACTIONS(2364),
    [anon_sym___inline__] = ACTIONS(2364),
    [anon_sym___forceinline] = ACTIONS(2364),
    [anon_sym_thread_local] = ACTIONS(2364),
    [anon_sym___thread] = ACTIONS(2364),
    [anon_sym_const] = ACTIONS(2364),
    [anon_sym_constexpr] = ACTIONS(2364),
    [anon_sym_volatile] = ACTIONS(2364),
    [anon_sym_restrict] = ACTIONS(2364),
    [anon_sym___restrict__] = ACTIONS(2364),
    [anon_sym__Atomic] = ACTIONS(2364),
    [anon_sym__Noreturn] = ACTIONS(2364),
    [anon_sym_noreturn] = ACTIONS(2364),
    [anon_sym_mutable] = ACTIONS(2364),
    [anon_sym_constinit] = ACTIONS(2364),
    [anon_sym_consteval] = ACTIONS(2364),
    [sym_primitive_type] = ACTIONS(2364),
    [anon_sym_enum] = ACTIONS(2364),
    [anon_sym_class] = ACTIONS(2364),
    [anon_sym_struct] = ACTIONS(2364),
    [anon_sym_union] = ACTIONS(2364),
    [anon_sym_if] = ACTIONS(2364),
    [anon_sym_else] = ACTIONS(2364),
    [anon_sym_switch] = ACTIONS(2364),
    [anon_sym_case] = ACTIONS(2364),
    [anon_sym_default] = ACTIONS(2364),
    [anon_sym_while] = ACTIONS(2364),
    [anon_sym_do] = ACTIONS(2364),
    [anon_sym_for] = ACTIONS(2364),
    [anon_sym_return] = ACTIONS(2364),
    [anon_sym_break] = ACTIONS(2364),
    [anon_sym_continue] = ACTIONS(2364),
    [anon_sym_goto] = ACTIONS(2364),
    [anon_sym___try] = ACTIONS(2364),
    [anon_sym___leave] = ACTIONS(2364),
    [anon_sym_not] = ACTIONS(2364),
    [anon_sym_compl] = ACTIONS(2364),
    [anon_sym_DASH_DASH] = ACTIONS(2366),
    [anon_sym_PLUS_PLUS] = ACTIONS(2366),
    [anon_sym_sizeof] = ACTIONS(2364),
    [anon_sym___alignof__] = ACTIONS(2364),
    [anon_sym___alignof] = ACTIONS(2364),
    [anon_sym__alignof] = ACTIONS(2364),
    [anon_sym_alignof] = ACTIONS(2364),
    [anon_sym__Alignof] = ACTIONS(2364),
    [anon_sym_offsetof] = ACTIONS(2364),
    [anon_sym__Generic] = ACTIONS(2364),
    [anon_sym_asm] = ACTIONS(2364),
    [anon_sym___asm__] = ACTIONS(2364),
    [sym_number_literal] = ACTIONS(2366),
    [anon_sym_L_SQUOTE] = ACTIONS(2366),
    [anon_sym_u_SQUOTE] = ACTIONS(2366),
    [anon_sym_U_SQUOTE] = ACTIONS(2366),
    [anon_sym_u8_SQUOTE] = ACTIONS(2366),
    [anon_sym_SQUOTE] = ACTIONS(2366),
    [anon_sym_L_DQUOTE] = ACTIONS(2366),
    [anon_sym_u_DQUOTE] = ACTIONS(2366),
    [anon_sym_U_DQUOTE] = ACTIONS(2366),
    [anon_sym_u8_DQUOTE] = ACTIONS(2366),
    [anon_sym_DQUOTE] = ACTIONS(2366),
    [sym_true] = ACTIONS(2364),
    [sym_false] = ACTIONS(2364),
    [anon_sym_NULL] = ACTIONS(2364),
    [anon_sym_nullptr] = ACTIONS(2364),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2364),
    [anon_sym_decltype] = ACTIONS(2364),
    [anon_sym_virtual] = ACTIONS(2364),
    [anon_sym_alignas] = ACTIONS(2364),
    [anon_sym_explicit] = ACTIONS(2364),
    [anon_sym_typename] = ACTIONS(2364),
    [anon_sym_template] = ACTIONS(2364),
    [anon_sym_operator] = ACTIONS(2364),
    [anon_sym_try] = ACTIONS(2364),
    [anon_sym_delete] = ACTIONS(2364),
    [anon_sym_throw] = ACTIONS(2364),
    [anon_sym_namespace] = ACTIONS(2364),
    [anon_sym_using] = ACTIONS(2364),
    [anon_sym_static_assert] = ACTIONS(2364),
    [anon_sym_concept] = ACTIONS(2364),
    [anon_sym_co_return] = ACTIONS(2364),
    [anon_sym_co_yield] = ACTIONS(2364),
    [anon_sym_R_DQUOTE] = ACTIONS(2366),
    [anon_sym_LR_DQUOTE] = ACTIONS(2366),
    [anon_sym_uR_DQUOTE] = ACTIONS(2366),
    [anon_sym_UR_DQUOTE] = ACTIONS(2366),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2366),
    [anon_sym_co_await] = ACTIONS(2364),
    [anon_sym_new] = ACTIONS(2364),
    [anon_sym_requires] = ACTIONS(2364),
    [sym_this] = ACTIONS(2364),
    [anon_sym_discard] = ACTIONS(2364),
    [anon_sym_precise] = ACTIONS(2364),
    [anon_sym_shared] = ACTIONS(2364),
    [anon_sym_groupshared] = ACTIONS(2364),
    [anon_sym_uniform] = ACTIONS(2364),
    [anon_sym_row_major] = ACTIONS(2364),
    [anon_sym_column_major] = ACTIONS(2364),
    [anon_sym_globallycoherent] = ACTIONS(2364),
    [anon_sym_centroid] = ACTIONS(2364),
    [anon_sym_noperspective] = ACTIONS(2364),
    [anon_sym_nointerpolation] = ACTIONS(2364),
    [anon_sym_sample] = ACTIONS(2364),
    [anon_sym_linear] = ACTIONS(2364),
    [anon_sym_snorm] = ACTIONS(2364),
    [anon_sym_unorm] = ACTIONS(2364),
    [anon_sym_point] = ACTIONS(2364),
    [anon_sym_line] = ACTIONS(2364),
    [anon_sym_triangleadj] = ACTIONS(2364),
    [anon_sym_lineadj] = ACTIONS(2364),
    [anon_sym_triangle] = ACTIONS(2364),
    [anon_sym_cbuffer] = ACTIONS(2364),
  },
  [264] = {
    [sym_identifier] = ACTIONS(2384),
    [aux_sym_preproc_include_token1] = ACTIONS(2384),
    [aux_sym_preproc_def_token1] = ACTIONS(2384),
    [aux_sym_preproc_if_token1] = ACTIONS(2384),
    [aux_sym_preproc_if_token2] = ACTIONS(2384),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2384),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2384),
    [aux_sym_preproc_else_token1] = ACTIONS(2384),
    [aux_sym_preproc_elif_token1] = ACTIONS(2384),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2384),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2384),
    [sym_preproc_directive] = ACTIONS(2384),
    [anon_sym_LPAREN2] = ACTIONS(2386),
    [anon_sym_BANG] = ACTIONS(2386),
    [anon_sym_TILDE] = ACTIONS(2386),
    [anon_sym_DASH] = ACTIONS(2384),
    [anon_sym_PLUS] = ACTIONS(2384),
    [anon_sym_STAR] = ACTIONS(2386),
    [anon_sym_AMP_AMP] = ACTIONS(2386),
    [anon_sym_AMP] = ACTIONS(2384),
    [anon_sym_SEMI] = ACTIONS(2386),
    [anon_sym___extension__] = ACTIONS(2384),
    [anon_sym_typedef] = ACTIONS(2384),
    [anon_sym_in] = ACTIONS(2384),
    [anon_sym_out] = ACTIONS(2384),
    [anon_sym_inout] = ACTIONS(2384),
    [anon_sym_extern] = ACTIONS(2384),
    [anon_sym___attribute__] = ACTIONS(2384),
    [anon_sym_COLON_COLON] = ACTIONS(2386),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2386),
    [anon_sym___declspec] = ACTIONS(2384),
    [anon_sym___based] = ACTIONS(2384),
    [anon_sym___cdecl] = ACTIONS(2384),
    [anon_sym___clrcall] = ACTIONS(2384),
    [anon_sym___stdcall] = ACTIONS(2384),
    [anon_sym___fastcall] = ACTIONS(2384),
    [anon_sym___thiscall] = ACTIONS(2384),
    [anon_sym___vectorcall] = ACTIONS(2384),
    [anon_sym_LBRACE] = ACTIONS(2386),
    [anon_sym_signed] = ACTIONS(2384),
    [anon_sym_unsigned] = ACTIONS(2384),
    [anon_sym_long] = ACTIONS(2384),
    [anon_sym_short] = ACTIONS(2384),
    [anon_sym_LBRACK] = ACTIONS(2384),
    [anon_sym_static] = ACTIONS(2384),
    [anon_sym_register] = ACTIONS(2384),
    [anon_sym_inline] = ACTIONS(2384),
    [anon_sym___inline] = ACTIONS(2384),
    [anon_sym___inline__] = ACTIONS(2384),
    [anon_sym___forceinline] = ACTIONS(2384),
    [anon_sym_thread_local] = ACTIONS(2384),
    [anon_sym___thread] = ACTIONS(2384),
    [anon_sym_const] = ACTIONS(2384),
    [anon_sym_constexpr] = ACTIONS(2384),
    [anon_sym_volatile] = ACTIONS(2384),
    [anon_sym_restrict] = ACTIONS(2384),
    [anon_sym___restrict__] = ACTIONS(2384),
    [anon_sym__Atomic] = ACTIONS(2384),
    [anon_sym__Noreturn] = ACTIONS(2384),
    [anon_sym_noreturn] = ACTIONS(2384),
    [anon_sym_mutable] = ACTIONS(2384),
    [anon_sym_constinit] = ACTIONS(2384),
    [anon_sym_consteval] = ACTIONS(2384),
    [sym_primitive_type] = ACTIONS(2384),
    [anon_sym_enum] = ACTIONS(2384),
    [anon_sym_class] = ACTIONS(2384),
    [anon_sym_struct] = ACTIONS(2384),
    [anon_sym_union] = ACTIONS(2384),
    [anon_sym_if] = ACTIONS(2384),
    [anon_sym_else] = ACTIONS(2384),
    [anon_sym_switch] = ACTIONS(2384),
    [anon_sym_case] = ACTIONS(2384),
    [anon_sym_default] = ACTIONS(2384),
    [anon_sym_while] = ACTIONS(2384),
    [anon_sym_do] = ACTIONS(2384),
    [anon_sym_for] = ACTIONS(2384),
    [anon_sym_return] = ACTIONS(2384),
    [anon_sym_break] = ACTIONS(2384),
    [anon_sym_continue] = ACTIONS(2384),
    [anon_sym_goto] = ACTIONS(2384),
    [anon_sym___try] = ACTIONS(2384),
    [anon_sym___leave] = ACTIONS(2384),
    [anon_sym_not] = ACTIONS(2384),
    [anon_sym_compl] = ACTIONS(2384),
    [anon_sym_DASH_DASH] = ACTIONS(2386),
    [anon_sym_PLUS_PLUS] = ACTIONS(2386),
    [anon_sym_sizeof] = ACTIONS(2384),
    [anon_sym___alignof__] = ACTIONS(2384),
    [anon_sym___alignof] = ACTIONS(2384),
    [anon_sym__alignof] = ACTIONS(2384),
    [anon_sym_alignof] = ACTIONS(2384),
    [anon_sym__Alignof] = ACTIONS(2384),
    [anon_sym_offsetof] = ACTIONS(2384),
    [anon_sym__Generic] = ACTIONS(2384),
    [anon_sym_asm] = ACTIONS(2384),
    [anon_sym___asm__] = ACTIONS(2384),
    [sym_number_literal] = ACTIONS(2386),
    [anon_sym_L_SQUOTE] = ACTIONS(2386),
    [anon_sym_u_SQUOTE] = ACTIONS(2386),
    [anon_sym_U_SQUOTE] = ACTIONS(2386),
    [anon_sym_u8_SQUOTE] = ACTIONS(2386),
    [anon_sym_SQUOTE] = ACTIONS(2386),
    [anon_sym_L_DQUOTE] = ACTIONS(2386),
    [anon_sym_u_DQUOTE] = ACTIONS(2386),
    [anon_sym_U_DQUOTE] = ACTIONS(2386),
    [anon_sym_u8_DQUOTE] = ACTIONS(2386),
    [anon_sym_DQUOTE] = ACTIONS(2386),
    [sym_true] = ACTIONS(2384),
    [sym_false] = ACTIONS(2384),
    [anon_sym_NULL] = ACTIONS(2384),
    [anon_sym_nullptr] = ACTIONS(2384),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2384),
    [anon_sym_decltype] = ACTIONS(2384),
    [anon_sym_virtual] = ACTIONS(2384),
    [anon_sym_alignas] = ACTIONS(2384),
    [anon_sym_explicit] = ACTIONS(2384),
    [anon_sym_typename] = ACTIONS(2384),
    [anon_sym_template] = ACTIONS(2384),
    [anon_sym_operator] = ACTIONS(2384),
    [anon_sym_try] = ACTIONS(2384),
    [anon_sym_delete] = ACTIONS(2384),
    [anon_sym_throw] = ACTIONS(2384),
    [anon_sym_namespace] = ACTIONS(2384),
    [anon_sym_using] = ACTIONS(2384),
    [anon_sym_static_assert] = ACTIONS(2384),
    [anon_sym_concept] = ACTIONS(2384),
    [anon_sym_co_return] = ACTIONS(2384),
    [anon_sym_co_yield] = ACTIONS(2384),
    [anon_sym_R_DQUOTE] = ACTIONS(2386),
    [anon_sym_LR_DQUOTE] = ACTIONS(2386),
    [anon_sym_uR_DQUOTE] = ACTIONS(2386),
    [anon_sym_UR_DQUOTE] = ACTIONS(2386),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2386),
    [anon_sym_co_await] = ACTIONS(2384),
    [anon_sym_new] = ACTIONS(2384),
    [anon_sym_requires] = ACTIONS(2384),
    [sym_this] = ACTIONS(2384),
    [anon_sym_discard] = ACTIONS(2384),
    [anon_sym_precise] = ACTIONS(2384),
    [anon_sym_shared] = ACTIONS(2384),
    [anon_sym_groupshared] = ACTIONS(2384),
    [anon_sym_uniform] = ACTIONS(2384),
    [anon_sym_row_major] = ACTIONS(2384),
    [anon_sym_column_major] = ACTIONS(2384),
    [anon_sym_globallycoherent] = ACTIONS(2384),
    [anon_sym_centroid] = ACTIONS(2384),
    [anon_sym_noperspective] = ACTIONS(2384),
    [anon_sym_nointerpolation] = ACTIONS(2384),
    [anon_sym_sample] = ACTIONS(2384),
    [anon_sym_linear] = ACTIONS(2384),
    [anon_sym_snorm] = ACTIONS(2384),
    [anon_sym_unorm] = ACTIONS(2384),
    [anon_sym_point] = ACTIONS(2384),
    [anon_sym_line] = ACTIONS(2384),
    [anon_sym_triangleadj] = ACTIONS(2384),
    [anon_sym_lineadj] = ACTIONS(2384),
    [anon_sym_triangle] = ACTIONS(2384),
    [anon_sym_cbuffer] = ACTIONS(2384),
  },
  [265] = {
    [sym_identifier] = ACTIONS(2364),
    [aux_sym_preproc_include_token1] = ACTIONS(2364),
    [aux_sym_preproc_def_token1] = ACTIONS(2364),
    [aux_sym_preproc_if_token1] = ACTIONS(2364),
    [aux_sym_preproc_if_token2] = ACTIONS(2364),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2364),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2364),
    [aux_sym_preproc_else_token1] = ACTIONS(2364),
    [aux_sym_preproc_elif_token1] = ACTIONS(2364),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2364),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2364),
    [sym_preproc_directive] = ACTIONS(2364),
    [anon_sym_LPAREN2] = ACTIONS(2366),
    [anon_sym_BANG] = ACTIONS(2366),
    [anon_sym_TILDE] = ACTIONS(2366),
    [anon_sym_DASH] = ACTIONS(2364),
    [anon_sym_PLUS] = ACTIONS(2364),
    [anon_sym_STAR] = ACTIONS(2366),
    [anon_sym_AMP_AMP] = ACTIONS(2366),
    [anon_sym_AMP] = ACTIONS(2364),
    [anon_sym_SEMI] = ACTIONS(2366),
    [anon_sym___extension__] = ACTIONS(2364),
    [anon_sym_typedef] = ACTIONS(2364),
    [anon_sym_in] = ACTIONS(2364),
    [anon_sym_out] = ACTIONS(2364),
    [anon_sym_inout] = ACTIONS(2364),
    [anon_sym_extern] = ACTIONS(2364),
    [anon_sym___attribute__] = ACTIONS(2364),
    [anon_sym_COLON_COLON] = ACTIONS(2366),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2366),
    [anon_sym___declspec] = ACTIONS(2364),
    [anon_sym___based] = ACTIONS(2364),
    [anon_sym___cdecl] = ACTIONS(2364),
    [anon_sym___clrcall] = ACTIONS(2364),
    [anon_sym___stdcall] = ACTIONS(2364),
    [anon_sym___fastcall] = ACTIONS(2364),
    [anon_sym___thiscall] = ACTIONS(2364),
    [anon_sym___vectorcall] = ACTIONS(2364),
    [anon_sym_LBRACE] = ACTIONS(2366),
    [anon_sym_signed] = ACTIONS(2364),
    [anon_sym_unsigned] = ACTIONS(2364),
    [anon_sym_long] = ACTIONS(2364),
    [anon_sym_short] = ACTIONS(2364),
    [anon_sym_LBRACK] = ACTIONS(2364),
    [anon_sym_static] = ACTIONS(2364),
    [anon_sym_register] = ACTIONS(2364),
    [anon_sym_inline] = ACTIONS(2364),
    [anon_sym___inline] = ACTIONS(2364),
    [anon_sym___inline__] = ACTIONS(2364),
    [anon_sym___forceinline] = ACTIONS(2364),
    [anon_sym_thread_local] = ACTIONS(2364),
    [anon_sym___thread] = ACTIONS(2364),
    [anon_sym_const] = ACTIONS(2364),
    [anon_sym_constexpr] = ACTIONS(2364),
    [anon_sym_volatile] = ACTIONS(2364),
    [anon_sym_restrict] = ACTIONS(2364),
    [anon_sym___restrict__] = ACTIONS(2364),
    [anon_sym__Atomic] = ACTIONS(2364),
    [anon_sym__Noreturn] = ACTIONS(2364),
    [anon_sym_noreturn] = ACTIONS(2364),
    [anon_sym_mutable] = ACTIONS(2364),
    [anon_sym_constinit] = ACTIONS(2364),
    [anon_sym_consteval] = ACTIONS(2364),
    [sym_primitive_type] = ACTIONS(2364),
    [anon_sym_enum] = ACTIONS(2364),
    [anon_sym_class] = ACTIONS(2364),
    [anon_sym_struct] = ACTIONS(2364),
    [anon_sym_union] = ACTIONS(2364),
    [anon_sym_if] = ACTIONS(2364),
    [anon_sym_else] = ACTIONS(2364),
    [anon_sym_switch] = ACTIONS(2364),
    [anon_sym_case] = ACTIONS(2364),
    [anon_sym_default] = ACTIONS(2364),
    [anon_sym_while] = ACTIONS(2364),
    [anon_sym_do] = ACTIONS(2364),
    [anon_sym_for] = ACTIONS(2364),
    [anon_sym_return] = ACTIONS(2364),
    [anon_sym_break] = ACTIONS(2364),
    [anon_sym_continue] = ACTIONS(2364),
    [anon_sym_goto] = ACTIONS(2364),
    [anon_sym___try] = ACTIONS(2364),
    [anon_sym___leave] = ACTIONS(2364),
    [anon_sym_not] = ACTIONS(2364),
    [anon_sym_compl] = ACTIONS(2364),
    [anon_sym_DASH_DASH] = ACTIONS(2366),
    [anon_sym_PLUS_PLUS] = ACTIONS(2366),
    [anon_sym_sizeof] = ACTIONS(2364),
    [anon_sym___alignof__] = ACTIONS(2364),
    [anon_sym___alignof] = ACTIONS(2364),
    [anon_sym__alignof] = ACTIONS(2364),
    [anon_sym_alignof] = ACTIONS(2364),
    [anon_sym__Alignof] = ACTIONS(2364),
    [anon_sym_offsetof] = ACTIONS(2364),
    [anon_sym__Generic] = ACTIONS(2364),
    [anon_sym_asm] = ACTIONS(2364),
    [anon_sym___asm__] = ACTIONS(2364),
    [sym_number_literal] = ACTIONS(2366),
    [anon_sym_L_SQUOTE] = ACTIONS(2366),
    [anon_sym_u_SQUOTE] = ACTIONS(2366),
    [anon_sym_U_SQUOTE] = ACTIONS(2366),
    [anon_sym_u8_SQUOTE] = ACTIONS(2366),
    [anon_sym_SQUOTE] = ACTIONS(2366),
    [anon_sym_L_DQUOTE] = ACTIONS(2366),
    [anon_sym_u_DQUOTE] = ACTIONS(2366),
    [anon_sym_U_DQUOTE] = ACTIONS(2366),
    [anon_sym_u8_DQUOTE] = ACTIONS(2366),
    [anon_sym_DQUOTE] = ACTIONS(2366),
    [sym_true] = ACTIONS(2364),
    [sym_false] = ACTIONS(2364),
    [anon_sym_NULL] = ACTIONS(2364),
    [anon_sym_nullptr] = ACTIONS(2364),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2364),
    [anon_sym_decltype] = ACTIONS(2364),
    [anon_sym_virtual] = ACTIONS(2364),
    [anon_sym_alignas] = ACTIONS(2364),
    [anon_sym_explicit] = ACTIONS(2364),
    [anon_sym_typename] = ACTIONS(2364),
    [anon_sym_template] = ACTIONS(2364),
    [anon_sym_operator] = ACTIONS(2364),
    [anon_sym_try] = ACTIONS(2364),
    [anon_sym_delete] = ACTIONS(2364),
    [anon_sym_throw] = ACTIONS(2364),
    [anon_sym_namespace] = ACTIONS(2364),
    [anon_sym_using] = ACTIONS(2364),
    [anon_sym_static_assert] = ACTIONS(2364),
    [anon_sym_concept] = ACTIONS(2364),
    [anon_sym_co_return] = ACTIONS(2364),
    [anon_sym_co_yield] = ACTIONS(2364),
    [anon_sym_R_DQUOTE] = ACTIONS(2366),
    [anon_sym_LR_DQUOTE] = ACTIONS(2366),
    [anon_sym_uR_DQUOTE] = ACTIONS(2366),
    [anon_sym_UR_DQUOTE] = ACTIONS(2366),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2366),
    [anon_sym_co_await] = ACTIONS(2364),
    [anon_sym_new] = ACTIONS(2364),
    [anon_sym_requires] = ACTIONS(2364),
    [sym_this] = ACTIONS(2364),
    [anon_sym_discard] = ACTIONS(2364),
    [anon_sym_precise] = ACTIONS(2364),
    [anon_sym_shared] = ACTIONS(2364),
    [anon_sym_groupshared] = ACTIONS(2364),
    [anon_sym_uniform] = ACTIONS(2364),
    [anon_sym_row_major] = ACTIONS(2364),
    [anon_sym_column_major] = ACTIONS(2364),
    [anon_sym_globallycoherent] = ACTIONS(2364),
    [anon_sym_centroid] = ACTIONS(2364),
    [anon_sym_noperspective] = ACTIONS(2364),
    [anon_sym_nointerpolation] = ACTIONS(2364),
    [anon_sym_sample] = ACTIONS(2364),
    [anon_sym_linear] = ACTIONS(2364),
    [anon_sym_snorm] = ACTIONS(2364),
    [anon_sym_unorm] = ACTIONS(2364),
    [anon_sym_point] = ACTIONS(2364),
    [anon_sym_line] = ACTIONS(2364),
    [anon_sym_triangleadj] = ACTIONS(2364),
    [anon_sym_lineadj] = ACTIONS(2364),
    [anon_sym_triangle] = ACTIONS(2364),
    [anon_sym_cbuffer] = ACTIONS(2364),
  },
  [266] = {
    [sym_identifier] = ACTIONS(2364),
    [aux_sym_preproc_include_token1] = ACTIONS(2364),
    [aux_sym_preproc_def_token1] = ACTIONS(2364),
    [aux_sym_preproc_if_token1] = ACTIONS(2364),
    [aux_sym_preproc_if_token2] = ACTIONS(2364),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2364),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2364),
    [aux_sym_preproc_else_token1] = ACTIONS(2364),
    [aux_sym_preproc_elif_token1] = ACTIONS(2364),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2364),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2364),
    [sym_preproc_directive] = ACTIONS(2364),
    [anon_sym_LPAREN2] = ACTIONS(2366),
    [anon_sym_BANG] = ACTIONS(2366),
    [anon_sym_TILDE] = ACTIONS(2366),
    [anon_sym_DASH] = ACTIONS(2364),
    [anon_sym_PLUS] = ACTIONS(2364),
    [anon_sym_STAR] = ACTIONS(2366),
    [anon_sym_AMP_AMP] = ACTIONS(2366),
    [anon_sym_AMP] = ACTIONS(2364),
    [anon_sym_SEMI] = ACTIONS(2366),
    [anon_sym___extension__] = ACTIONS(2364),
    [anon_sym_typedef] = ACTIONS(2364),
    [anon_sym_in] = ACTIONS(2364),
    [anon_sym_out] = ACTIONS(2364),
    [anon_sym_inout] = ACTIONS(2364),
    [anon_sym_extern] = ACTIONS(2364),
    [anon_sym___attribute__] = ACTIONS(2364),
    [anon_sym_COLON_COLON] = ACTIONS(2366),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2366),
    [anon_sym___declspec] = ACTIONS(2364),
    [anon_sym___based] = ACTIONS(2364),
    [anon_sym___cdecl] = ACTIONS(2364),
    [anon_sym___clrcall] = ACTIONS(2364),
    [anon_sym___stdcall] = ACTIONS(2364),
    [anon_sym___fastcall] = ACTIONS(2364),
    [anon_sym___thiscall] = ACTIONS(2364),
    [anon_sym___vectorcall] = ACTIONS(2364),
    [anon_sym_LBRACE] = ACTIONS(2366),
    [anon_sym_signed] = ACTIONS(2364),
    [anon_sym_unsigned] = ACTIONS(2364),
    [anon_sym_long] = ACTIONS(2364),
    [anon_sym_short] = ACTIONS(2364),
    [anon_sym_LBRACK] = ACTIONS(2364),
    [anon_sym_static] = ACTIONS(2364),
    [anon_sym_register] = ACTIONS(2364),
    [anon_sym_inline] = ACTIONS(2364),
    [anon_sym___inline] = ACTIONS(2364),
    [anon_sym___inline__] = ACTIONS(2364),
    [anon_sym___forceinline] = ACTIONS(2364),
    [anon_sym_thread_local] = ACTIONS(2364),
    [anon_sym___thread] = ACTIONS(2364),
    [anon_sym_const] = ACTIONS(2364),
    [anon_sym_constexpr] = ACTIONS(2364),
    [anon_sym_volatile] = ACTIONS(2364),
    [anon_sym_restrict] = ACTIONS(2364),
    [anon_sym___restrict__] = ACTIONS(2364),
    [anon_sym__Atomic] = ACTIONS(2364),
    [anon_sym__Noreturn] = ACTIONS(2364),
    [anon_sym_noreturn] = ACTIONS(2364),
    [anon_sym_mutable] = ACTIONS(2364),
    [anon_sym_constinit] = ACTIONS(2364),
    [anon_sym_consteval] = ACTIONS(2364),
    [sym_primitive_type] = ACTIONS(2364),
    [anon_sym_enum] = ACTIONS(2364),
    [anon_sym_class] = ACTIONS(2364),
    [anon_sym_struct] = ACTIONS(2364),
    [anon_sym_union] = ACTIONS(2364),
    [anon_sym_if] = ACTIONS(2364),
    [anon_sym_else] = ACTIONS(2364),
    [anon_sym_switch] = ACTIONS(2364),
    [anon_sym_case] = ACTIONS(2364),
    [anon_sym_default] = ACTIONS(2364),
    [anon_sym_while] = ACTIONS(2364),
    [anon_sym_do] = ACTIONS(2364),
    [anon_sym_for] = ACTIONS(2364),
    [anon_sym_return] = ACTIONS(2364),
    [anon_sym_break] = ACTIONS(2364),
    [anon_sym_continue] = ACTIONS(2364),
    [anon_sym_goto] = ACTIONS(2364),
    [anon_sym___try] = ACTIONS(2364),
    [anon_sym___leave] = ACTIONS(2364),
    [anon_sym_not] = ACTIONS(2364),
    [anon_sym_compl] = ACTIONS(2364),
    [anon_sym_DASH_DASH] = ACTIONS(2366),
    [anon_sym_PLUS_PLUS] = ACTIONS(2366),
    [anon_sym_sizeof] = ACTIONS(2364),
    [anon_sym___alignof__] = ACTIONS(2364),
    [anon_sym___alignof] = ACTIONS(2364),
    [anon_sym__alignof] = ACTIONS(2364),
    [anon_sym_alignof] = ACTIONS(2364),
    [anon_sym__Alignof] = ACTIONS(2364),
    [anon_sym_offsetof] = ACTIONS(2364),
    [anon_sym__Generic] = ACTIONS(2364),
    [anon_sym_asm] = ACTIONS(2364),
    [anon_sym___asm__] = ACTIONS(2364),
    [sym_number_literal] = ACTIONS(2366),
    [anon_sym_L_SQUOTE] = ACTIONS(2366),
    [anon_sym_u_SQUOTE] = ACTIONS(2366),
    [anon_sym_U_SQUOTE] = ACTIONS(2366),
    [anon_sym_u8_SQUOTE] = ACTIONS(2366),
    [anon_sym_SQUOTE] = ACTIONS(2366),
    [anon_sym_L_DQUOTE] = ACTIONS(2366),
    [anon_sym_u_DQUOTE] = ACTIONS(2366),
    [anon_sym_U_DQUOTE] = ACTIONS(2366),
    [anon_sym_u8_DQUOTE] = ACTIONS(2366),
    [anon_sym_DQUOTE] = ACTIONS(2366),
    [sym_true] = ACTIONS(2364),
    [sym_false] = ACTIONS(2364),
    [anon_sym_NULL] = ACTIONS(2364),
    [anon_sym_nullptr] = ACTIONS(2364),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2364),
    [anon_sym_decltype] = ACTIONS(2364),
    [anon_sym_virtual] = ACTIONS(2364),
    [anon_sym_alignas] = ACTIONS(2364),
    [anon_sym_explicit] = ACTIONS(2364),
    [anon_sym_typename] = ACTIONS(2364),
    [anon_sym_template] = ACTIONS(2364),
    [anon_sym_operator] = ACTIONS(2364),
    [anon_sym_try] = ACTIONS(2364),
    [anon_sym_delete] = ACTIONS(2364),
    [anon_sym_throw] = ACTIONS(2364),
    [anon_sym_namespace] = ACTIONS(2364),
    [anon_sym_using] = ACTIONS(2364),
    [anon_sym_static_assert] = ACTIONS(2364),
    [anon_sym_concept] = ACTIONS(2364),
    [anon_sym_co_return] = ACTIONS(2364),
    [anon_sym_co_yield] = ACTIONS(2364),
    [anon_sym_R_DQUOTE] = ACTIONS(2366),
    [anon_sym_LR_DQUOTE] = ACTIONS(2366),
    [anon_sym_uR_DQUOTE] = ACTIONS(2366),
    [anon_sym_UR_DQUOTE] = ACTIONS(2366),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2366),
    [anon_sym_co_await] = ACTIONS(2364),
    [anon_sym_new] = ACTIONS(2364),
    [anon_sym_requires] = ACTIONS(2364),
    [sym_this] = ACTIONS(2364),
    [anon_sym_discard] = ACTIONS(2364),
    [anon_sym_precise] = ACTIONS(2364),
    [anon_sym_shared] = ACTIONS(2364),
    [anon_sym_groupshared] = ACTIONS(2364),
    [anon_sym_uniform] = ACTIONS(2364),
    [anon_sym_row_major] = ACTIONS(2364),
    [anon_sym_column_major] = ACTIONS(2364),
    [anon_sym_globallycoherent] = ACTIONS(2364),
    [anon_sym_centroid] = ACTIONS(2364),
    [anon_sym_noperspective] = ACTIONS(2364),
    [anon_sym_nointerpolation] = ACTIONS(2364),
    [anon_sym_sample] = ACTIONS(2364),
    [anon_sym_linear] = ACTIONS(2364),
    [anon_sym_snorm] = ACTIONS(2364),
    [anon_sym_unorm] = ACTIONS(2364),
    [anon_sym_point] = ACTIONS(2364),
    [anon_sym_line] = ACTIONS(2364),
    [anon_sym_triangleadj] = ACTIONS(2364),
    [anon_sym_lineadj] = ACTIONS(2364),
    [anon_sym_triangle] = ACTIONS(2364),
    [anon_sym_cbuffer] = ACTIONS(2364),
  },
  [267] = {
    [sym_identifier] = ACTIONS(2364),
    [aux_sym_preproc_include_token1] = ACTIONS(2364),
    [aux_sym_preproc_def_token1] = ACTIONS(2364),
    [aux_sym_preproc_if_token1] = ACTIONS(2364),
    [aux_sym_preproc_if_token2] = ACTIONS(2364),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2364),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2364),
    [aux_sym_preproc_else_token1] = ACTIONS(2364),
    [aux_sym_preproc_elif_token1] = ACTIONS(2364),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2364),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2364),
    [sym_preproc_directive] = ACTIONS(2364),
    [anon_sym_LPAREN2] = ACTIONS(2366),
    [anon_sym_BANG] = ACTIONS(2366),
    [anon_sym_TILDE] = ACTIONS(2366),
    [anon_sym_DASH] = ACTIONS(2364),
    [anon_sym_PLUS] = ACTIONS(2364),
    [anon_sym_STAR] = ACTIONS(2366),
    [anon_sym_AMP_AMP] = ACTIONS(2366),
    [anon_sym_AMP] = ACTIONS(2364),
    [anon_sym_SEMI] = ACTIONS(2366),
    [anon_sym___extension__] = ACTIONS(2364),
    [anon_sym_typedef] = ACTIONS(2364),
    [anon_sym_in] = ACTIONS(2364),
    [anon_sym_out] = ACTIONS(2364),
    [anon_sym_inout] = ACTIONS(2364),
    [anon_sym_extern] = ACTIONS(2364),
    [anon_sym___attribute__] = ACTIONS(2364),
    [anon_sym_COLON_COLON] = ACTIONS(2366),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2366),
    [anon_sym___declspec] = ACTIONS(2364),
    [anon_sym___based] = ACTIONS(2364),
    [anon_sym___cdecl] = ACTIONS(2364),
    [anon_sym___clrcall] = ACTIONS(2364),
    [anon_sym___stdcall] = ACTIONS(2364),
    [anon_sym___fastcall] = ACTIONS(2364),
    [anon_sym___thiscall] = ACTIONS(2364),
    [anon_sym___vectorcall] = ACTIONS(2364),
    [anon_sym_LBRACE] = ACTIONS(2366),
    [anon_sym_signed] = ACTIONS(2364),
    [anon_sym_unsigned] = ACTIONS(2364),
    [anon_sym_long] = ACTIONS(2364),
    [anon_sym_short] = ACTIONS(2364),
    [anon_sym_LBRACK] = ACTIONS(2364),
    [anon_sym_static] = ACTIONS(2364),
    [anon_sym_register] = ACTIONS(2364),
    [anon_sym_inline] = ACTIONS(2364),
    [anon_sym___inline] = ACTIONS(2364),
    [anon_sym___inline__] = ACTIONS(2364),
    [anon_sym___forceinline] = ACTIONS(2364),
    [anon_sym_thread_local] = ACTIONS(2364),
    [anon_sym___thread] = ACTIONS(2364),
    [anon_sym_const] = ACTIONS(2364),
    [anon_sym_constexpr] = ACTIONS(2364),
    [anon_sym_volatile] = ACTIONS(2364),
    [anon_sym_restrict] = ACTIONS(2364),
    [anon_sym___restrict__] = ACTIONS(2364),
    [anon_sym__Atomic] = ACTIONS(2364),
    [anon_sym__Noreturn] = ACTIONS(2364),
    [anon_sym_noreturn] = ACTIONS(2364),
    [anon_sym_mutable] = ACTIONS(2364),
    [anon_sym_constinit] = ACTIONS(2364),
    [anon_sym_consteval] = ACTIONS(2364),
    [sym_primitive_type] = ACTIONS(2364),
    [anon_sym_enum] = ACTIONS(2364),
    [anon_sym_class] = ACTIONS(2364),
    [anon_sym_struct] = ACTIONS(2364),
    [anon_sym_union] = ACTIONS(2364),
    [anon_sym_if] = ACTIONS(2364),
    [anon_sym_else] = ACTIONS(2364),
    [anon_sym_switch] = ACTIONS(2364),
    [anon_sym_case] = ACTIONS(2364),
    [anon_sym_default] = ACTIONS(2364),
    [anon_sym_while] = ACTIONS(2364),
    [anon_sym_do] = ACTIONS(2364),
    [anon_sym_for] = ACTIONS(2364),
    [anon_sym_return] = ACTIONS(2364),
    [anon_sym_break] = ACTIONS(2364),
    [anon_sym_continue] = ACTIONS(2364),
    [anon_sym_goto] = ACTIONS(2364),
    [anon_sym___try] = ACTIONS(2364),
    [anon_sym___leave] = ACTIONS(2364),
    [anon_sym_not] = ACTIONS(2364),
    [anon_sym_compl] = ACTIONS(2364),
    [anon_sym_DASH_DASH] = ACTIONS(2366),
    [anon_sym_PLUS_PLUS] = ACTIONS(2366),
    [anon_sym_sizeof] = ACTIONS(2364),
    [anon_sym___alignof__] = ACTIONS(2364),
    [anon_sym___alignof] = ACTIONS(2364),
    [anon_sym__alignof] = ACTIONS(2364),
    [anon_sym_alignof] = ACTIONS(2364),
    [anon_sym__Alignof] = ACTIONS(2364),
    [anon_sym_offsetof] = ACTIONS(2364),
    [anon_sym__Generic] = ACTIONS(2364),
    [anon_sym_asm] = ACTIONS(2364),
    [anon_sym___asm__] = ACTIONS(2364),
    [sym_number_literal] = ACTIONS(2366),
    [anon_sym_L_SQUOTE] = ACTIONS(2366),
    [anon_sym_u_SQUOTE] = ACTIONS(2366),
    [anon_sym_U_SQUOTE] = ACTIONS(2366),
    [anon_sym_u8_SQUOTE] = ACTIONS(2366),
    [anon_sym_SQUOTE] = ACTIONS(2366),
    [anon_sym_L_DQUOTE] = ACTIONS(2366),
    [anon_sym_u_DQUOTE] = ACTIONS(2366),
    [anon_sym_U_DQUOTE] = ACTIONS(2366),
    [anon_sym_u8_DQUOTE] = ACTIONS(2366),
    [anon_sym_DQUOTE] = ACTIONS(2366),
    [sym_true] = ACTIONS(2364),
    [sym_false] = ACTIONS(2364),
    [anon_sym_NULL] = ACTIONS(2364),
    [anon_sym_nullptr] = ACTIONS(2364),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2364),
    [anon_sym_decltype] = ACTIONS(2364),
    [anon_sym_virtual] = ACTIONS(2364),
    [anon_sym_alignas] = ACTIONS(2364),
    [anon_sym_explicit] = ACTIONS(2364),
    [anon_sym_typename] = ACTIONS(2364),
    [anon_sym_template] = ACTIONS(2364),
    [anon_sym_operator] = ACTIONS(2364),
    [anon_sym_try] = ACTIONS(2364),
    [anon_sym_delete] = ACTIONS(2364),
    [anon_sym_throw] = ACTIONS(2364),
    [anon_sym_namespace] = ACTIONS(2364),
    [anon_sym_using] = ACTIONS(2364),
    [anon_sym_static_assert] = ACTIONS(2364),
    [anon_sym_concept] = ACTIONS(2364),
    [anon_sym_co_return] = ACTIONS(2364),
    [anon_sym_co_yield] = ACTIONS(2364),
    [anon_sym_R_DQUOTE] = ACTIONS(2366),
    [anon_sym_LR_DQUOTE] = ACTIONS(2366),
    [anon_sym_uR_DQUOTE] = ACTIONS(2366),
    [anon_sym_UR_DQUOTE] = ACTIONS(2366),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2366),
    [anon_sym_co_await] = ACTIONS(2364),
    [anon_sym_new] = ACTIONS(2364),
    [anon_sym_requires] = ACTIONS(2364),
    [sym_this] = ACTIONS(2364),
    [anon_sym_discard] = ACTIONS(2364),
    [anon_sym_precise] = ACTIONS(2364),
    [anon_sym_shared] = ACTIONS(2364),
    [anon_sym_groupshared] = ACTIONS(2364),
    [anon_sym_uniform] = ACTIONS(2364),
    [anon_sym_row_major] = ACTIONS(2364),
    [anon_sym_column_major] = ACTIONS(2364),
    [anon_sym_globallycoherent] = ACTIONS(2364),
    [anon_sym_centroid] = ACTIONS(2364),
    [anon_sym_noperspective] = ACTIONS(2364),
    [anon_sym_nointerpolation] = ACTIONS(2364),
    [anon_sym_sample] = ACTIONS(2364),
    [anon_sym_linear] = ACTIONS(2364),
    [anon_sym_snorm] = ACTIONS(2364),
    [anon_sym_unorm] = ACTIONS(2364),
    [anon_sym_point] = ACTIONS(2364),
    [anon_sym_line] = ACTIONS(2364),
    [anon_sym_triangleadj] = ACTIONS(2364),
    [anon_sym_lineadj] = ACTIONS(2364),
    [anon_sym_triangle] = ACTIONS(2364),
    [anon_sym_cbuffer] = ACTIONS(2364),
  },
  [268] = {
    [sym_identifier] = ACTIONS(2364),
    [aux_sym_preproc_include_token1] = ACTIONS(2364),
    [aux_sym_preproc_def_token1] = ACTIONS(2364),
    [aux_sym_preproc_if_token1] = ACTIONS(2364),
    [aux_sym_preproc_if_token2] = ACTIONS(2364),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2364),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2364),
    [aux_sym_preproc_else_token1] = ACTIONS(2364),
    [aux_sym_preproc_elif_token1] = ACTIONS(2364),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2364),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2364),
    [sym_preproc_directive] = ACTIONS(2364),
    [anon_sym_LPAREN2] = ACTIONS(2366),
    [anon_sym_BANG] = ACTIONS(2366),
    [anon_sym_TILDE] = ACTIONS(2366),
    [anon_sym_DASH] = ACTIONS(2364),
    [anon_sym_PLUS] = ACTIONS(2364),
    [anon_sym_STAR] = ACTIONS(2366),
    [anon_sym_AMP_AMP] = ACTIONS(2366),
    [anon_sym_AMP] = ACTIONS(2364),
    [anon_sym_SEMI] = ACTIONS(2366),
    [anon_sym___extension__] = ACTIONS(2364),
    [anon_sym_typedef] = ACTIONS(2364),
    [anon_sym_in] = ACTIONS(2364),
    [anon_sym_out] = ACTIONS(2364),
    [anon_sym_inout] = ACTIONS(2364),
    [anon_sym_extern] = ACTIONS(2364),
    [anon_sym___attribute__] = ACTIONS(2364),
    [anon_sym_COLON_COLON] = ACTIONS(2366),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2366),
    [anon_sym___declspec] = ACTIONS(2364),
    [anon_sym___based] = ACTIONS(2364),
    [anon_sym___cdecl] = ACTIONS(2364),
    [anon_sym___clrcall] = ACTIONS(2364),
    [anon_sym___stdcall] = ACTIONS(2364),
    [anon_sym___fastcall] = ACTIONS(2364),
    [anon_sym___thiscall] = ACTIONS(2364),
    [anon_sym___vectorcall] = ACTIONS(2364),
    [anon_sym_LBRACE] = ACTIONS(2366),
    [anon_sym_signed] = ACTIONS(2364),
    [anon_sym_unsigned] = ACTIONS(2364),
    [anon_sym_long] = ACTIONS(2364),
    [anon_sym_short] = ACTIONS(2364),
    [anon_sym_LBRACK] = ACTIONS(2364),
    [anon_sym_static] = ACTIONS(2364),
    [anon_sym_register] = ACTIONS(2364),
    [anon_sym_inline] = ACTIONS(2364),
    [anon_sym___inline] = ACTIONS(2364),
    [anon_sym___inline__] = ACTIONS(2364),
    [anon_sym___forceinline] = ACTIONS(2364),
    [anon_sym_thread_local] = ACTIONS(2364),
    [anon_sym___thread] = ACTIONS(2364),
    [anon_sym_const] = ACTIONS(2364),
    [anon_sym_constexpr] = ACTIONS(2364),
    [anon_sym_volatile] = ACTIONS(2364),
    [anon_sym_restrict] = ACTIONS(2364),
    [anon_sym___restrict__] = ACTIONS(2364),
    [anon_sym__Atomic] = ACTIONS(2364),
    [anon_sym__Noreturn] = ACTIONS(2364),
    [anon_sym_noreturn] = ACTIONS(2364),
    [anon_sym_mutable] = ACTIONS(2364),
    [anon_sym_constinit] = ACTIONS(2364),
    [anon_sym_consteval] = ACTIONS(2364),
    [sym_primitive_type] = ACTIONS(2364),
    [anon_sym_enum] = ACTIONS(2364),
    [anon_sym_class] = ACTIONS(2364),
    [anon_sym_struct] = ACTIONS(2364),
    [anon_sym_union] = ACTIONS(2364),
    [anon_sym_if] = ACTIONS(2364),
    [anon_sym_else] = ACTIONS(2364),
    [anon_sym_switch] = ACTIONS(2364),
    [anon_sym_case] = ACTIONS(2364),
    [anon_sym_default] = ACTIONS(2364),
    [anon_sym_while] = ACTIONS(2364),
    [anon_sym_do] = ACTIONS(2364),
    [anon_sym_for] = ACTIONS(2364),
    [anon_sym_return] = ACTIONS(2364),
    [anon_sym_break] = ACTIONS(2364),
    [anon_sym_continue] = ACTIONS(2364),
    [anon_sym_goto] = ACTIONS(2364),
    [anon_sym___try] = ACTIONS(2364),
    [anon_sym___leave] = ACTIONS(2364),
    [anon_sym_not] = ACTIONS(2364),
    [anon_sym_compl] = ACTIONS(2364),
    [anon_sym_DASH_DASH] = ACTIONS(2366),
    [anon_sym_PLUS_PLUS] = ACTIONS(2366),
    [anon_sym_sizeof] = ACTIONS(2364),
    [anon_sym___alignof__] = ACTIONS(2364),
    [anon_sym___alignof] = ACTIONS(2364),
    [anon_sym__alignof] = ACTIONS(2364),
    [anon_sym_alignof] = ACTIONS(2364),
    [anon_sym__Alignof] = ACTIONS(2364),
    [anon_sym_offsetof] = ACTIONS(2364),
    [anon_sym__Generic] = ACTIONS(2364),
    [anon_sym_asm] = ACTIONS(2364),
    [anon_sym___asm__] = ACTIONS(2364),
    [sym_number_literal] = ACTIONS(2366),
    [anon_sym_L_SQUOTE] = ACTIONS(2366),
    [anon_sym_u_SQUOTE] = ACTIONS(2366),
    [anon_sym_U_SQUOTE] = ACTIONS(2366),
    [anon_sym_u8_SQUOTE] = ACTIONS(2366),
    [anon_sym_SQUOTE] = ACTIONS(2366),
    [anon_sym_L_DQUOTE] = ACTIONS(2366),
    [anon_sym_u_DQUOTE] = ACTIONS(2366),
    [anon_sym_U_DQUOTE] = ACTIONS(2366),
    [anon_sym_u8_DQUOTE] = ACTIONS(2366),
    [anon_sym_DQUOTE] = ACTIONS(2366),
    [sym_true] = ACTIONS(2364),
    [sym_false] = ACTIONS(2364),
    [anon_sym_NULL] = ACTIONS(2364),
    [anon_sym_nullptr] = ACTIONS(2364),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2364),
    [anon_sym_decltype] = ACTIONS(2364),
    [anon_sym_virtual] = ACTIONS(2364),
    [anon_sym_alignas] = ACTIONS(2364),
    [anon_sym_explicit] = ACTIONS(2364),
    [anon_sym_typename] = ACTIONS(2364),
    [anon_sym_template] = ACTIONS(2364),
    [anon_sym_operator] = ACTIONS(2364),
    [anon_sym_try] = ACTIONS(2364),
    [anon_sym_delete] = ACTIONS(2364),
    [anon_sym_throw] = ACTIONS(2364),
    [anon_sym_namespace] = ACTIONS(2364),
    [anon_sym_using] = ACTIONS(2364),
    [anon_sym_static_assert] = ACTIONS(2364),
    [anon_sym_concept] = ACTIONS(2364),
    [anon_sym_co_return] = ACTIONS(2364),
    [anon_sym_co_yield] = ACTIONS(2364),
    [anon_sym_R_DQUOTE] = ACTIONS(2366),
    [anon_sym_LR_DQUOTE] = ACTIONS(2366),
    [anon_sym_uR_DQUOTE] = ACTIONS(2366),
    [anon_sym_UR_DQUOTE] = ACTIONS(2366),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2366),
    [anon_sym_co_await] = ACTIONS(2364),
    [anon_sym_new] = ACTIONS(2364),
    [anon_sym_requires] = ACTIONS(2364),
    [sym_this] = ACTIONS(2364),
    [anon_sym_discard] = ACTIONS(2364),
    [anon_sym_precise] = ACTIONS(2364),
    [anon_sym_shared] = ACTIONS(2364),
    [anon_sym_groupshared] = ACTIONS(2364),
    [anon_sym_uniform] = ACTIONS(2364),
    [anon_sym_row_major] = ACTIONS(2364),
    [anon_sym_column_major] = ACTIONS(2364),
    [anon_sym_globallycoherent] = ACTIONS(2364),
    [anon_sym_centroid] = ACTIONS(2364),
    [anon_sym_noperspective] = ACTIONS(2364),
    [anon_sym_nointerpolation] = ACTIONS(2364),
    [anon_sym_sample] = ACTIONS(2364),
    [anon_sym_linear] = ACTIONS(2364),
    [anon_sym_snorm] = ACTIONS(2364),
    [anon_sym_unorm] = ACTIONS(2364),
    [anon_sym_point] = ACTIONS(2364),
    [anon_sym_line] = ACTIONS(2364),
    [anon_sym_triangleadj] = ACTIONS(2364),
    [anon_sym_lineadj] = ACTIONS(2364),
    [anon_sym_triangle] = ACTIONS(2364),
    [anon_sym_cbuffer] = ACTIONS(2364),
  },
  [269] = {
    [sym_identifier] = ACTIONS(2364),
    [aux_sym_preproc_include_token1] = ACTIONS(2364),
    [aux_sym_preproc_def_token1] = ACTIONS(2364),
    [aux_sym_preproc_if_token1] = ACTIONS(2364),
    [aux_sym_preproc_if_token2] = ACTIONS(2364),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2364),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2364),
    [aux_sym_preproc_else_token1] = ACTIONS(2364),
    [aux_sym_preproc_elif_token1] = ACTIONS(2364),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2364),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2364),
    [sym_preproc_directive] = ACTIONS(2364),
    [anon_sym_LPAREN2] = ACTIONS(2366),
    [anon_sym_BANG] = ACTIONS(2366),
    [anon_sym_TILDE] = ACTIONS(2366),
    [anon_sym_DASH] = ACTIONS(2364),
    [anon_sym_PLUS] = ACTIONS(2364),
    [anon_sym_STAR] = ACTIONS(2366),
    [anon_sym_AMP_AMP] = ACTIONS(2366),
    [anon_sym_AMP] = ACTIONS(2364),
    [anon_sym_SEMI] = ACTIONS(2366),
    [anon_sym___extension__] = ACTIONS(2364),
    [anon_sym_typedef] = ACTIONS(2364),
    [anon_sym_in] = ACTIONS(2364),
    [anon_sym_out] = ACTIONS(2364),
    [anon_sym_inout] = ACTIONS(2364),
    [anon_sym_extern] = ACTIONS(2364),
    [anon_sym___attribute__] = ACTIONS(2364),
    [anon_sym_COLON_COLON] = ACTIONS(2366),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2366),
    [anon_sym___declspec] = ACTIONS(2364),
    [anon_sym___based] = ACTIONS(2364),
    [anon_sym___cdecl] = ACTIONS(2364),
    [anon_sym___clrcall] = ACTIONS(2364),
    [anon_sym___stdcall] = ACTIONS(2364),
    [anon_sym___fastcall] = ACTIONS(2364),
    [anon_sym___thiscall] = ACTIONS(2364),
    [anon_sym___vectorcall] = ACTIONS(2364),
    [anon_sym_LBRACE] = ACTIONS(2366),
    [anon_sym_signed] = ACTIONS(2364),
    [anon_sym_unsigned] = ACTIONS(2364),
    [anon_sym_long] = ACTIONS(2364),
    [anon_sym_short] = ACTIONS(2364),
    [anon_sym_LBRACK] = ACTIONS(2364),
    [anon_sym_static] = ACTIONS(2364),
    [anon_sym_register] = ACTIONS(2364),
    [anon_sym_inline] = ACTIONS(2364),
    [anon_sym___inline] = ACTIONS(2364),
    [anon_sym___inline__] = ACTIONS(2364),
    [anon_sym___forceinline] = ACTIONS(2364),
    [anon_sym_thread_local] = ACTIONS(2364),
    [anon_sym___thread] = ACTIONS(2364),
    [anon_sym_const] = ACTIONS(2364),
    [anon_sym_constexpr] = ACTIONS(2364),
    [anon_sym_volatile] = ACTIONS(2364),
    [anon_sym_restrict] = ACTIONS(2364),
    [anon_sym___restrict__] = ACTIONS(2364),
    [anon_sym__Atomic] = ACTIONS(2364),
    [anon_sym__Noreturn] = ACTIONS(2364),
    [anon_sym_noreturn] = ACTIONS(2364),
    [anon_sym_mutable] = ACTIONS(2364),
    [anon_sym_constinit] = ACTIONS(2364),
    [anon_sym_consteval] = ACTIONS(2364),
    [sym_primitive_type] = ACTIONS(2364),
    [anon_sym_enum] = ACTIONS(2364),
    [anon_sym_class] = ACTIONS(2364),
    [anon_sym_struct] = ACTIONS(2364),
    [anon_sym_union] = ACTIONS(2364),
    [anon_sym_if] = ACTIONS(2364),
    [anon_sym_else] = ACTIONS(2364),
    [anon_sym_switch] = ACTIONS(2364),
    [anon_sym_case] = ACTIONS(2364),
    [anon_sym_default] = ACTIONS(2364),
    [anon_sym_while] = ACTIONS(2364),
    [anon_sym_do] = ACTIONS(2364),
    [anon_sym_for] = ACTIONS(2364),
    [anon_sym_return] = ACTIONS(2364),
    [anon_sym_break] = ACTIONS(2364),
    [anon_sym_continue] = ACTIONS(2364),
    [anon_sym_goto] = ACTIONS(2364),
    [anon_sym___try] = ACTIONS(2364),
    [anon_sym___leave] = ACTIONS(2364),
    [anon_sym_not] = ACTIONS(2364),
    [anon_sym_compl] = ACTIONS(2364),
    [anon_sym_DASH_DASH] = ACTIONS(2366),
    [anon_sym_PLUS_PLUS] = ACTIONS(2366),
    [anon_sym_sizeof] = ACTIONS(2364),
    [anon_sym___alignof__] = ACTIONS(2364),
    [anon_sym___alignof] = ACTIONS(2364),
    [anon_sym__alignof] = ACTIONS(2364),
    [anon_sym_alignof] = ACTIONS(2364),
    [anon_sym__Alignof] = ACTIONS(2364),
    [anon_sym_offsetof] = ACTIONS(2364),
    [anon_sym__Generic] = ACTIONS(2364),
    [anon_sym_asm] = ACTIONS(2364),
    [anon_sym___asm__] = ACTIONS(2364),
    [sym_number_literal] = ACTIONS(2366),
    [anon_sym_L_SQUOTE] = ACTIONS(2366),
    [anon_sym_u_SQUOTE] = ACTIONS(2366),
    [anon_sym_U_SQUOTE] = ACTIONS(2366),
    [anon_sym_u8_SQUOTE] = ACTIONS(2366),
    [anon_sym_SQUOTE] = ACTIONS(2366),
    [anon_sym_L_DQUOTE] = ACTIONS(2366),
    [anon_sym_u_DQUOTE] = ACTIONS(2366),
    [anon_sym_U_DQUOTE] = ACTIONS(2366),
    [anon_sym_u8_DQUOTE] = ACTIONS(2366),
    [anon_sym_DQUOTE] = ACTIONS(2366),
    [sym_true] = ACTIONS(2364),
    [sym_false] = ACTIONS(2364),
    [anon_sym_NULL] = ACTIONS(2364),
    [anon_sym_nullptr] = ACTIONS(2364),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2364),
    [anon_sym_decltype] = ACTIONS(2364),
    [anon_sym_virtual] = ACTIONS(2364),
    [anon_sym_alignas] = ACTIONS(2364),
    [anon_sym_explicit] = ACTIONS(2364),
    [anon_sym_typename] = ACTIONS(2364),
    [anon_sym_template] = ACTIONS(2364),
    [anon_sym_operator] = ACTIONS(2364),
    [anon_sym_try] = ACTIONS(2364),
    [anon_sym_delete] = ACTIONS(2364),
    [anon_sym_throw] = ACTIONS(2364),
    [anon_sym_namespace] = ACTIONS(2364),
    [anon_sym_using] = ACTIONS(2364),
    [anon_sym_static_assert] = ACTIONS(2364),
    [anon_sym_concept] = ACTIONS(2364),
    [anon_sym_co_return] = ACTIONS(2364),
    [anon_sym_co_yield] = ACTIONS(2364),
    [anon_sym_R_DQUOTE] = ACTIONS(2366),
    [anon_sym_LR_DQUOTE] = ACTIONS(2366),
    [anon_sym_uR_DQUOTE] = ACTIONS(2366),
    [anon_sym_UR_DQUOTE] = ACTIONS(2366),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2366),
    [anon_sym_co_await] = ACTIONS(2364),
    [anon_sym_new] = ACTIONS(2364),
    [anon_sym_requires] = ACTIONS(2364),
    [sym_this] = ACTIONS(2364),
    [anon_sym_discard] = ACTIONS(2364),
    [anon_sym_precise] = ACTIONS(2364),
    [anon_sym_shared] = ACTIONS(2364),
    [anon_sym_groupshared] = ACTIONS(2364),
    [anon_sym_uniform] = ACTIONS(2364),
    [anon_sym_row_major] = ACTIONS(2364),
    [anon_sym_column_major] = ACTIONS(2364),
    [anon_sym_globallycoherent] = ACTIONS(2364),
    [anon_sym_centroid] = ACTIONS(2364),
    [anon_sym_noperspective] = ACTIONS(2364),
    [anon_sym_nointerpolation] = ACTIONS(2364),
    [anon_sym_sample] = ACTIONS(2364),
    [anon_sym_linear] = ACTIONS(2364),
    [anon_sym_snorm] = ACTIONS(2364),
    [anon_sym_unorm] = ACTIONS(2364),
    [anon_sym_point] = ACTIONS(2364),
    [anon_sym_line] = ACTIONS(2364),
    [anon_sym_triangleadj] = ACTIONS(2364),
    [anon_sym_lineadj] = ACTIONS(2364),
    [anon_sym_triangle] = ACTIONS(2364),
    [anon_sym_cbuffer] = ACTIONS(2364),
  },
  [270] = {
    [sym_identifier] = ACTIONS(2364),
    [aux_sym_preproc_include_token1] = ACTIONS(2364),
    [aux_sym_preproc_def_token1] = ACTIONS(2364),
    [aux_sym_preproc_if_token1] = ACTIONS(2364),
    [aux_sym_preproc_if_token2] = ACTIONS(2364),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2364),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2364),
    [aux_sym_preproc_else_token1] = ACTIONS(2364),
    [aux_sym_preproc_elif_token1] = ACTIONS(2364),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2364),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2364),
    [sym_preproc_directive] = ACTIONS(2364),
    [anon_sym_LPAREN2] = ACTIONS(2366),
    [anon_sym_BANG] = ACTIONS(2366),
    [anon_sym_TILDE] = ACTIONS(2366),
    [anon_sym_DASH] = ACTIONS(2364),
    [anon_sym_PLUS] = ACTIONS(2364),
    [anon_sym_STAR] = ACTIONS(2366),
    [anon_sym_AMP_AMP] = ACTIONS(2366),
    [anon_sym_AMP] = ACTIONS(2364),
    [anon_sym_SEMI] = ACTIONS(2366),
    [anon_sym___extension__] = ACTIONS(2364),
    [anon_sym_typedef] = ACTIONS(2364),
    [anon_sym_in] = ACTIONS(2364),
    [anon_sym_out] = ACTIONS(2364),
    [anon_sym_inout] = ACTIONS(2364),
    [anon_sym_extern] = ACTIONS(2364),
    [anon_sym___attribute__] = ACTIONS(2364),
    [anon_sym_COLON_COLON] = ACTIONS(2366),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2366),
    [anon_sym___declspec] = ACTIONS(2364),
    [anon_sym___based] = ACTIONS(2364),
    [anon_sym___cdecl] = ACTIONS(2364),
    [anon_sym___clrcall] = ACTIONS(2364),
    [anon_sym___stdcall] = ACTIONS(2364),
    [anon_sym___fastcall] = ACTIONS(2364),
    [anon_sym___thiscall] = ACTIONS(2364),
    [anon_sym___vectorcall] = ACTIONS(2364),
    [anon_sym_LBRACE] = ACTIONS(2366),
    [anon_sym_signed] = ACTIONS(2364),
    [anon_sym_unsigned] = ACTIONS(2364),
    [anon_sym_long] = ACTIONS(2364),
    [anon_sym_short] = ACTIONS(2364),
    [anon_sym_LBRACK] = ACTIONS(2364),
    [anon_sym_static] = ACTIONS(2364),
    [anon_sym_register] = ACTIONS(2364),
    [anon_sym_inline] = ACTIONS(2364),
    [anon_sym___inline] = ACTIONS(2364),
    [anon_sym___inline__] = ACTIONS(2364),
    [anon_sym___forceinline] = ACTIONS(2364),
    [anon_sym_thread_local] = ACTIONS(2364),
    [anon_sym___thread] = ACTIONS(2364),
    [anon_sym_const] = ACTIONS(2364),
    [anon_sym_constexpr] = ACTIONS(2364),
    [anon_sym_volatile] = ACTIONS(2364),
    [anon_sym_restrict] = ACTIONS(2364),
    [anon_sym___restrict__] = ACTIONS(2364),
    [anon_sym__Atomic] = ACTIONS(2364),
    [anon_sym__Noreturn] = ACTIONS(2364),
    [anon_sym_noreturn] = ACTIONS(2364),
    [anon_sym_mutable] = ACTIONS(2364),
    [anon_sym_constinit] = ACTIONS(2364),
    [anon_sym_consteval] = ACTIONS(2364),
    [sym_primitive_type] = ACTIONS(2364),
    [anon_sym_enum] = ACTIONS(2364),
    [anon_sym_class] = ACTIONS(2364),
    [anon_sym_struct] = ACTIONS(2364),
    [anon_sym_union] = ACTIONS(2364),
    [anon_sym_if] = ACTIONS(2364),
    [anon_sym_else] = ACTIONS(2364),
    [anon_sym_switch] = ACTIONS(2364),
    [anon_sym_case] = ACTIONS(2364),
    [anon_sym_default] = ACTIONS(2364),
    [anon_sym_while] = ACTIONS(2364),
    [anon_sym_do] = ACTIONS(2364),
    [anon_sym_for] = ACTIONS(2364),
    [anon_sym_return] = ACTIONS(2364),
    [anon_sym_break] = ACTIONS(2364),
    [anon_sym_continue] = ACTIONS(2364),
    [anon_sym_goto] = ACTIONS(2364),
    [anon_sym___try] = ACTIONS(2364),
    [anon_sym___leave] = ACTIONS(2364),
    [anon_sym_not] = ACTIONS(2364),
    [anon_sym_compl] = ACTIONS(2364),
    [anon_sym_DASH_DASH] = ACTIONS(2366),
    [anon_sym_PLUS_PLUS] = ACTIONS(2366),
    [anon_sym_sizeof] = ACTIONS(2364),
    [anon_sym___alignof__] = ACTIONS(2364),
    [anon_sym___alignof] = ACTIONS(2364),
    [anon_sym__alignof] = ACTIONS(2364),
    [anon_sym_alignof] = ACTIONS(2364),
    [anon_sym__Alignof] = ACTIONS(2364),
    [anon_sym_offsetof] = ACTIONS(2364),
    [anon_sym__Generic] = ACTIONS(2364),
    [anon_sym_asm] = ACTIONS(2364),
    [anon_sym___asm__] = ACTIONS(2364),
    [sym_number_literal] = ACTIONS(2366),
    [anon_sym_L_SQUOTE] = ACTIONS(2366),
    [anon_sym_u_SQUOTE] = ACTIONS(2366),
    [anon_sym_U_SQUOTE] = ACTIONS(2366),
    [anon_sym_u8_SQUOTE] = ACTIONS(2366),
    [anon_sym_SQUOTE] = ACTIONS(2366),
    [anon_sym_L_DQUOTE] = ACTIONS(2366),
    [anon_sym_u_DQUOTE] = ACTIONS(2366),
    [anon_sym_U_DQUOTE] = ACTIONS(2366),
    [anon_sym_u8_DQUOTE] = ACTIONS(2366),
    [anon_sym_DQUOTE] = ACTIONS(2366),
    [sym_true] = ACTIONS(2364),
    [sym_false] = ACTIONS(2364),
    [anon_sym_NULL] = ACTIONS(2364),
    [anon_sym_nullptr] = ACTIONS(2364),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2364),
    [anon_sym_decltype] = ACTIONS(2364),
    [anon_sym_virtual] = ACTIONS(2364),
    [anon_sym_alignas] = ACTIONS(2364),
    [anon_sym_explicit] = ACTIONS(2364),
    [anon_sym_typename] = ACTIONS(2364),
    [anon_sym_template] = ACTIONS(2364),
    [anon_sym_operator] = ACTIONS(2364),
    [anon_sym_try] = ACTIONS(2364),
    [anon_sym_delete] = ACTIONS(2364),
    [anon_sym_throw] = ACTIONS(2364),
    [anon_sym_namespace] = ACTIONS(2364),
    [anon_sym_using] = ACTIONS(2364),
    [anon_sym_static_assert] = ACTIONS(2364),
    [anon_sym_concept] = ACTIONS(2364),
    [anon_sym_co_return] = ACTIONS(2364),
    [anon_sym_co_yield] = ACTIONS(2364),
    [anon_sym_R_DQUOTE] = ACTIONS(2366),
    [anon_sym_LR_DQUOTE] = ACTIONS(2366),
    [anon_sym_uR_DQUOTE] = ACTIONS(2366),
    [anon_sym_UR_DQUOTE] = ACTIONS(2366),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2366),
    [anon_sym_co_await] = ACTIONS(2364),
    [anon_sym_new] = ACTIONS(2364),
    [anon_sym_requires] = ACTIONS(2364),
    [sym_this] = ACTIONS(2364),
    [anon_sym_discard] = ACTIONS(2364),
    [anon_sym_precise] = ACTIONS(2364),
    [anon_sym_shared] = ACTIONS(2364),
    [anon_sym_groupshared] = ACTIONS(2364),
    [anon_sym_uniform] = ACTIONS(2364),
    [anon_sym_row_major] = ACTIONS(2364),
    [anon_sym_column_major] = ACTIONS(2364),
    [anon_sym_globallycoherent] = ACTIONS(2364),
    [anon_sym_centroid] = ACTIONS(2364),
    [anon_sym_noperspective] = ACTIONS(2364),
    [anon_sym_nointerpolation] = ACTIONS(2364),
    [anon_sym_sample] = ACTIONS(2364),
    [anon_sym_linear] = ACTIONS(2364),
    [anon_sym_snorm] = ACTIONS(2364),
    [anon_sym_unorm] = ACTIONS(2364),
    [anon_sym_point] = ACTIONS(2364),
    [anon_sym_line] = ACTIONS(2364),
    [anon_sym_triangleadj] = ACTIONS(2364),
    [anon_sym_lineadj] = ACTIONS(2364),
    [anon_sym_triangle] = ACTIONS(2364),
    [anon_sym_cbuffer] = ACTIONS(2364),
  },
  [271] = {
    [sym_identifier] = ACTIONS(2364),
    [aux_sym_preproc_include_token1] = ACTIONS(2364),
    [aux_sym_preproc_def_token1] = ACTIONS(2364),
    [aux_sym_preproc_if_token1] = ACTIONS(2364),
    [aux_sym_preproc_if_token2] = ACTIONS(2364),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2364),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2364),
    [aux_sym_preproc_else_token1] = ACTIONS(2364),
    [aux_sym_preproc_elif_token1] = ACTIONS(2364),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2364),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2364),
    [sym_preproc_directive] = ACTIONS(2364),
    [anon_sym_LPAREN2] = ACTIONS(2366),
    [anon_sym_BANG] = ACTIONS(2366),
    [anon_sym_TILDE] = ACTIONS(2366),
    [anon_sym_DASH] = ACTIONS(2364),
    [anon_sym_PLUS] = ACTIONS(2364),
    [anon_sym_STAR] = ACTIONS(2366),
    [anon_sym_AMP_AMP] = ACTIONS(2366),
    [anon_sym_AMP] = ACTIONS(2364),
    [anon_sym_SEMI] = ACTIONS(2366),
    [anon_sym___extension__] = ACTIONS(2364),
    [anon_sym_typedef] = ACTIONS(2364),
    [anon_sym_in] = ACTIONS(2364),
    [anon_sym_out] = ACTIONS(2364),
    [anon_sym_inout] = ACTIONS(2364),
    [anon_sym_extern] = ACTIONS(2364),
    [anon_sym___attribute__] = ACTIONS(2364),
    [anon_sym_COLON_COLON] = ACTIONS(2366),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2366),
    [anon_sym___declspec] = ACTIONS(2364),
    [anon_sym___based] = ACTIONS(2364),
    [anon_sym___cdecl] = ACTIONS(2364),
    [anon_sym___clrcall] = ACTIONS(2364),
    [anon_sym___stdcall] = ACTIONS(2364),
    [anon_sym___fastcall] = ACTIONS(2364),
    [anon_sym___thiscall] = ACTIONS(2364),
    [anon_sym___vectorcall] = ACTIONS(2364),
    [anon_sym_LBRACE] = ACTIONS(2366),
    [anon_sym_signed] = ACTIONS(2364),
    [anon_sym_unsigned] = ACTIONS(2364),
    [anon_sym_long] = ACTIONS(2364),
    [anon_sym_short] = ACTIONS(2364),
    [anon_sym_LBRACK] = ACTIONS(2364),
    [anon_sym_static] = ACTIONS(2364),
    [anon_sym_register] = ACTIONS(2364),
    [anon_sym_inline] = ACTIONS(2364),
    [anon_sym___inline] = ACTIONS(2364),
    [anon_sym___inline__] = ACTIONS(2364),
    [anon_sym___forceinline] = ACTIONS(2364),
    [anon_sym_thread_local] = ACTIONS(2364),
    [anon_sym___thread] = ACTIONS(2364),
    [anon_sym_const] = ACTIONS(2364),
    [anon_sym_constexpr] = ACTIONS(2364),
    [anon_sym_volatile] = ACTIONS(2364),
    [anon_sym_restrict] = ACTIONS(2364),
    [anon_sym___restrict__] = ACTIONS(2364),
    [anon_sym__Atomic] = ACTIONS(2364),
    [anon_sym__Noreturn] = ACTIONS(2364),
    [anon_sym_noreturn] = ACTIONS(2364),
    [anon_sym_mutable] = ACTIONS(2364),
    [anon_sym_constinit] = ACTIONS(2364),
    [anon_sym_consteval] = ACTIONS(2364),
    [sym_primitive_type] = ACTIONS(2364),
    [anon_sym_enum] = ACTIONS(2364),
    [anon_sym_class] = ACTIONS(2364),
    [anon_sym_struct] = ACTIONS(2364),
    [anon_sym_union] = ACTIONS(2364),
    [anon_sym_if] = ACTIONS(2364),
    [anon_sym_else] = ACTIONS(2364),
    [anon_sym_switch] = ACTIONS(2364),
    [anon_sym_case] = ACTIONS(2364),
    [anon_sym_default] = ACTIONS(2364),
    [anon_sym_while] = ACTIONS(2364),
    [anon_sym_do] = ACTIONS(2364),
    [anon_sym_for] = ACTIONS(2364),
    [anon_sym_return] = ACTIONS(2364),
    [anon_sym_break] = ACTIONS(2364),
    [anon_sym_continue] = ACTIONS(2364),
    [anon_sym_goto] = ACTIONS(2364),
    [anon_sym___try] = ACTIONS(2364),
    [anon_sym___leave] = ACTIONS(2364),
    [anon_sym_not] = ACTIONS(2364),
    [anon_sym_compl] = ACTIONS(2364),
    [anon_sym_DASH_DASH] = ACTIONS(2366),
    [anon_sym_PLUS_PLUS] = ACTIONS(2366),
    [anon_sym_sizeof] = ACTIONS(2364),
    [anon_sym___alignof__] = ACTIONS(2364),
    [anon_sym___alignof] = ACTIONS(2364),
    [anon_sym__alignof] = ACTIONS(2364),
    [anon_sym_alignof] = ACTIONS(2364),
    [anon_sym__Alignof] = ACTIONS(2364),
    [anon_sym_offsetof] = ACTIONS(2364),
    [anon_sym__Generic] = ACTIONS(2364),
    [anon_sym_asm] = ACTIONS(2364),
    [anon_sym___asm__] = ACTIONS(2364),
    [sym_number_literal] = ACTIONS(2366),
    [anon_sym_L_SQUOTE] = ACTIONS(2366),
    [anon_sym_u_SQUOTE] = ACTIONS(2366),
    [anon_sym_U_SQUOTE] = ACTIONS(2366),
    [anon_sym_u8_SQUOTE] = ACTIONS(2366),
    [anon_sym_SQUOTE] = ACTIONS(2366),
    [anon_sym_L_DQUOTE] = ACTIONS(2366),
    [anon_sym_u_DQUOTE] = ACTIONS(2366),
    [anon_sym_U_DQUOTE] = ACTIONS(2366),
    [anon_sym_u8_DQUOTE] = ACTIONS(2366),
    [anon_sym_DQUOTE] = ACTIONS(2366),
    [sym_true] = ACTIONS(2364),
    [sym_false] = ACTIONS(2364),
    [anon_sym_NULL] = ACTIONS(2364),
    [anon_sym_nullptr] = ACTIONS(2364),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2364),
    [anon_sym_decltype] = ACTIONS(2364),
    [anon_sym_virtual] = ACTIONS(2364),
    [anon_sym_alignas] = ACTIONS(2364),
    [anon_sym_explicit] = ACTIONS(2364),
    [anon_sym_typename] = ACTIONS(2364),
    [anon_sym_template] = ACTIONS(2364),
    [anon_sym_operator] = ACTIONS(2364),
    [anon_sym_try] = ACTIONS(2364),
    [anon_sym_delete] = ACTIONS(2364),
    [anon_sym_throw] = ACTIONS(2364),
    [anon_sym_namespace] = ACTIONS(2364),
    [anon_sym_using] = ACTIONS(2364),
    [anon_sym_static_assert] = ACTIONS(2364),
    [anon_sym_concept] = ACTIONS(2364),
    [anon_sym_co_return] = ACTIONS(2364),
    [anon_sym_co_yield] = ACTIONS(2364),
    [anon_sym_R_DQUOTE] = ACTIONS(2366),
    [anon_sym_LR_DQUOTE] = ACTIONS(2366),
    [anon_sym_uR_DQUOTE] = ACTIONS(2366),
    [anon_sym_UR_DQUOTE] = ACTIONS(2366),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2366),
    [anon_sym_co_await] = ACTIONS(2364),
    [anon_sym_new] = ACTIONS(2364),
    [anon_sym_requires] = ACTIONS(2364),
    [sym_this] = ACTIONS(2364),
    [anon_sym_discard] = ACTIONS(2364),
    [anon_sym_precise] = ACTIONS(2364),
    [anon_sym_shared] = ACTIONS(2364),
    [anon_sym_groupshared] = ACTIONS(2364),
    [anon_sym_uniform] = ACTIONS(2364),
    [anon_sym_row_major] = ACTIONS(2364),
    [anon_sym_column_major] = ACTIONS(2364),
    [anon_sym_globallycoherent] = ACTIONS(2364),
    [anon_sym_centroid] = ACTIONS(2364),
    [anon_sym_noperspective] = ACTIONS(2364),
    [anon_sym_nointerpolation] = ACTIONS(2364),
    [anon_sym_sample] = ACTIONS(2364),
    [anon_sym_linear] = ACTIONS(2364),
    [anon_sym_snorm] = ACTIONS(2364),
    [anon_sym_unorm] = ACTIONS(2364),
    [anon_sym_point] = ACTIONS(2364),
    [anon_sym_line] = ACTIONS(2364),
    [anon_sym_triangleadj] = ACTIONS(2364),
    [anon_sym_lineadj] = ACTIONS(2364),
    [anon_sym_triangle] = ACTIONS(2364),
    [anon_sym_cbuffer] = ACTIONS(2364),
  },
  [272] = {
    [sym_identifier] = ACTIONS(2364),
    [aux_sym_preproc_include_token1] = ACTIONS(2364),
    [aux_sym_preproc_def_token1] = ACTIONS(2364),
    [aux_sym_preproc_if_token1] = ACTIONS(2364),
    [aux_sym_preproc_if_token2] = ACTIONS(2364),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2364),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2364),
    [aux_sym_preproc_else_token1] = ACTIONS(2364),
    [aux_sym_preproc_elif_token1] = ACTIONS(2364),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2364),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2364),
    [sym_preproc_directive] = ACTIONS(2364),
    [anon_sym_LPAREN2] = ACTIONS(2366),
    [anon_sym_BANG] = ACTIONS(2366),
    [anon_sym_TILDE] = ACTIONS(2366),
    [anon_sym_DASH] = ACTIONS(2364),
    [anon_sym_PLUS] = ACTIONS(2364),
    [anon_sym_STAR] = ACTIONS(2366),
    [anon_sym_AMP_AMP] = ACTIONS(2366),
    [anon_sym_AMP] = ACTIONS(2364),
    [anon_sym_SEMI] = ACTIONS(2366),
    [anon_sym___extension__] = ACTIONS(2364),
    [anon_sym_typedef] = ACTIONS(2364),
    [anon_sym_in] = ACTIONS(2364),
    [anon_sym_out] = ACTIONS(2364),
    [anon_sym_inout] = ACTIONS(2364),
    [anon_sym_extern] = ACTIONS(2364),
    [anon_sym___attribute__] = ACTIONS(2364),
    [anon_sym_COLON_COLON] = ACTIONS(2366),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2366),
    [anon_sym___declspec] = ACTIONS(2364),
    [anon_sym___based] = ACTIONS(2364),
    [anon_sym___cdecl] = ACTIONS(2364),
    [anon_sym___clrcall] = ACTIONS(2364),
    [anon_sym___stdcall] = ACTIONS(2364),
    [anon_sym___fastcall] = ACTIONS(2364),
    [anon_sym___thiscall] = ACTIONS(2364),
    [anon_sym___vectorcall] = ACTIONS(2364),
    [anon_sym_LBRACE] = ACTIONS(2366),
    [anon_sym_signed] = ACTIONS(2364),
    [anon_sym_unsigned] = ACTIONS(2364),
    [anon_sym_long] = ACTIONS(2364),
    [anon_sym_short] = ACTIONS(2364),
    [anon_sym_LBRACK] = ACTIONS(2364),
    [anon_sym_static] = ACTIONS(2364),
    [anon_sym_register] = ACTIONS(2364),
    [anon_sym_inline] = ACTIONS(2364),
    [anon_sym___inline] = ACTIONS(2364),
    [anon_sym___inline__] = ACTIONS(2364),
    [anon_sym___forceinline] = ACTIONS(2364),
    [anon_sym_thread_local] = ACTIONS(2364),
    [anon_sym___thread] = ACTIONS(2364),
    [anon_sym_const] = ACTIONS(2364),
    [anon_sym_constexpr] = ACTIONS(2364),
    [anon_sym_volatile] = ACTIONS(2364),
    [anon_sym_restrict] = ACTIONS(2364),
    [anon_sym___restrict__] = ACTIONS(2364),
    [anon_sym__Atomic] = ACTIONS(2364),
    [anon_sym__Noreturn] = ACTIONS(2364),
    [anon_sym_noreturn] = ACTIONS(2364),
    [anon_sym_mutable] = ACTIONS(2364),
    [anon_sym_constinit] = ACTIONS(2364),
    [anon_sym_consteval] = ACTIONS(2364),
    [sym_primitive_type] = ACTIONS(2364),
    [anon_sym_enum] = ACTIONS(2364),
    [anon_sym_class] = ACTIONS(2364),
    [anon_sym_struct] = ACTIONS(2364),
    [anon_sym_union] = ACTIONS(2364),
    [anon_sym_if] = ACTIONS(2364),
    [anon_sym_else] = ACTIONS(2364),
    [anon_sym_switch] = ACTIONS(2364),
    [anon_sym_case] = ACTIONS(2364),
    [anon_sym_default] = ACTIONS(2364),
    [anon_sym_while] = ACTIONS(2364),
    [anon_sym_do] = ACTIONS(2364),
    [anon_sym_for] = ACTIONS(2364),
    [anon_sym_return] = ACTIONS(2364),
    [anon_sym_break] = ACTIONS(2364),
    [anon_sym_continue] = ACTIONS(2364),
    [anon_sym_goto] = ACTIONS(2364),
    [anon_sym___try] = ACTIONS(2364),
    [anon_sym___leave] = ACTIONS(2364),
    [anon_sym_not] = ACTIONS(2364),
    [anon_sym_compl] = ACTIONS(2364),
    [anon_sym_DASH_DASH] = ACTIONS(2366),
    [anon_sym_PLUS_PLUS] = ACTIONS(2366),
    [anon_sym_sizeof] = ACTIONS(2364),
    [anon_sym___alignof__] = ACTIONS(2364),
    [anon_sym___alignof] = ACTIONS(2364),
    [anon_sym__alignof] = ACTIONS(2364),
    [anon_sym_alignof] = ACTIONS(2364),
    [anon_sym__Alignof] = ACTIONS(2364),
    [anon_sym_offsetof] = ACTIONS(2364),
    [anon_sym__Generic] = ACTIONS(2364),
    [anon_sym_asm] = ACTIONS(2364),
    [anon_sym___asm__] = ACTIONS(2364),
    [sym_number_literal] = ACTIONS(2366),
    [anon_sym_L_SQUOTE] = ACTIONS(2366),
    [anon_sym_u_SQUOTE] = ACTIONS(2366),
    [anon_sym_U_SQUOTE] = ACTIONS(2366),
    [anon_sym_u8_SQUOTE] = ACTIONS(2366),
    [anon_sym_SQUOTE] = ACTIONS(2366),
    [anon_sym_L_DQUOTE] = ACTIONS(2366),
    [anon_sym_u_DQUOTE] = ACTIONS(2366),
    [anon_sym_U_DQUOTE] = ACTIONS(2366),
    [anon_sym_u8_DQUOTE] = ACTIONS(2366),
    [anon_sym_DQUOTE] = ACTIONS(2366),
    [sym_true] = ACTIONS(2364),
    [sym_false] = ACTIONS(2364),
    [anon_sym_NULL] = ACTIONS(2364),
    [anon_sym_nullptr] = ACTIONS(2364),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2364),
    [anon_sym_decltype] = ACTIONS(2364),
    [anon_sym_virtual] = ACTIONS(2364),
    [anon_sym_alignas] = ACTIONS(2364),
    [anon_sym_explicit] = ACTIONS(2364),
    [anon_sym_typename] = ACTIONS(2364),
    [anon_sym_template] = ACTIONS(2364),
    [anon_sym_operator] = ACTIONS(2364),
    [anon_sym_try] = ACTIONS(2364),
    [anon_sym_delete] = ACTIONS(2364),
    [anon_sym_throw] = ACTIONS(2364),
    [anon_sym_namespace] = ACTIONS(2364),
    [anon_sym_using] = ACTIONS(2364),
    [anon_sym_static_assert] = ACTIONS(2364),
    [anon_sym_concept] = ACTIONS(2364),
    [anon_sym_co_return] = ACTIONS(2364),
    [anon_sym_co_yield] = ACTIONS(2364),
    [anon_sym_R_DQUOTE] = ACTIONS(2366),
    [anon_sym_LR_DQUOTE] = ACTIONS(2366),
    [anon_sym_uR_DQUOTE] = ACTIONS(2366),
    [anon_sym_UR_DQUOTE] = ACTIONS(2366),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2366),
    [anon_sym_co_await] = ACTIONS(2364),
    [anon_sym_new] = ACTIONS(2364),
    [anon_sym_requires] = ACTIONS(2364),
    [sym_this] = ACTIONS(2364),
    [anon_sym_discard] = ACTIONS(2364),
    [anon_sym_precise] = ACTIONS(2364),
    [anon_sym_shared] = ACTIONS(2364),
    [anon_sym_groupshared] = ACTIONS(2364),
    [anon_sym_uniform] = ACTIONS(2364),
    [anon_sym_row_major] = ACTIONS(2364),
    [anon_sym_column_major] = ACTIONS(2364),
    [anon_sym_globallycoherent] = ACTIONS(2364),
    [anon_sym_centroid] = ACTIONS(2364),
    [anon_sym_noperspective] = ACTIONS(2364),
    [anon_sym_nointerpolation] = ACTIONS(2364),
    [anon_sym_sample] = ACTIONS(2364),
    [anon_sym_linear] = ACTIONS(2364),
    [anon_sym_snorm] = ACTIONS(2364),
    [anon_sym_unorm] = ACTIONS(2364),
    [anon_sym_point] = ACTIONS(2364),
    [anon_sym_line] = ACTIONS(2364),
    [anon_sym_triangleadj] = ACTIONS(2364),
    [anon_sym_lineadj] = ACTIONS(2364),
    [anon_sym_triangle] = ACTIONS(2364),
    [anon_sym_cbuffer] = ACTIONS(2364),
  },
  [273] = {
    [sym_identifier] = ACTIONS(2364),
    [aux_sym_preproc_include_token1] = ACTIONS(2364),
    [aux_sym_preproc_def_token1] = ACTIONS(2364),
    [aux_sym_preproc_if_token1] = ACTIONS(2364),
    [aux_sym_preproc_if_token2] = ACTIONS(2364),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2364),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2364),
    [aux_sym_preproc_else_token1] = ACTIONS(2364),
    [aux_sym_preproc_elif_token1] = ACTIONS(2364),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2364),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2364),
    [sym_preproc_directive] = ACTIONS(2364),
    [anon_sym_LPAREN2] = ACTIONS(2366),
    [anon_sym_BANG] = ACTIONS(2366),
    [anon_sym_TILDE] = ACTIONS(2366),
    [anon_sym_DASH] = ACTIONS(2364),
    [anon_sym_PLUS] = ACTIONS(2364),
    [anon_sym_STAR] = ACTIONS(2366),
    [anon_sym_AMP_AMP] = ACTIONS(2366),
    [anon_sym_AMP] = ACTIONS(2364),
    [anon_sym_SEMI] = ACTIONS(2366),
    [anon_sym___extension__] = ACTIONS(2364),
    [anon_sym_typedef] = ACTIONS(2364),
    [anon_sym_in] = ACTIONS(2364),
    [anon_sym_out] = ACTIONS(2364),
    [anon_sym_inout] = ACTIONS(2364),
    [anon_sym_extern] = ACTIONS(2364),
    [anon_sym___attribute__] = ACTIONS(2364),
    [anon_sym_COLON_COLON] = ACTIONS(2366),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2366),
    [anon_sym___declspec] = ACTIONS(2364),
    [anon_sym___based] = ACTIONS(2364),
    [anon_sym___cdecl] = ACTIONS(2364),
    [anon_sym___clrcall] = ACTIONS(2364),
    [anon_sym___stdcall] = ACTIONS(2364),
    [anon_sym___fastcall] = ACTIONS(2364),
    [anon_sym___thiscall] = ACTIONS(2364),
    [anon_sym___vectorcall] = ACTIONS(2364),
    [anon_sym_LBRACE] = ACTIONS(2366),
    [anon_sym_signed] = ACTIONS(2364),
    [anon_sym_unsigned] = ACTIONS(2364),
    [anon_sym_long] = ACTIONS(2364),
    [anon_sym_short] = ACTIONS(2364),
    [anon_sym_LBRACK] = ACTIONS(2364),
    [anon_sym_static] = ACTIONS(2364),
    [anon_sym_register] = ACTIONS(2364),
    [anon_sym_inline] = ACTIONS(2364),
    [anon_sym___inline] = ACTIONS(2364),
    [anon_sym___inline__] = ACTIONS(2364),
    [anon_sym___forceinline] = ACTIONS(2364),
    [anon_sym_thread_local] = ACTIONS(2364),
    [anon_sym___thread] = ACTIONS(2364),
    [anon_sym_const] = ACTIONS(2364),
    [anon_sym_constexpr] = ACTIONS(2364),
    [anon_sym_volatile] = ACTIONS(2364),
    [anon_sym_restrict] = ACTIONS(2364),
    [anon_sym___restrict__] = ACTIONS(2364),
    [anon_sym__Atomic] = ACTIONS(2364),
    [anon_sym__Noreturn] = ACTIONS(2364),
    [anon_sym_noreturn] = ACTIONS(2364),
    [anon_sym_mutable] = ACTIONS(2364),
    [anon_sym_constinit] = ACTIONS(2364),
    [anon_sym_consteval] = ACTIONS(2364),
    [sym_primitive_type] = ACTIONS(2364),
    [anon_sym_enum] = ACTIONS(2364),
    [anon_sym_class] = ACTIONS(2364),
    [anon_sym_struct] = ACTIONS(2364),
    [anon_sym_union] = ACTIONS(2364),
    [anon_sym_if] = ACTIONS(2364),
    [anon_sym_else] = ACTIONS(2364),
    [anon_sym_switch] = ACTIONS(2364),
    [anon_sym_case] = ACTIONS(2364),
    [anon_sym_default] = ACTIONS(2364),
    [anon_sym_while] = ACTIONS(2364),
    [anon_sym_do] = ACTIONS(2364),
    [anon_sym_for] = ACTIONS(2364),
    [anon_sym_return] = ACTIONS(2364),
    [anon_sym_break] = ACTIONS(2364),
    [anon_sym_continue] = ACTIONS(2364),
    [anon_sym_goto] = ACTIONS(2364),
    [anon_sym___try] = ACTIONS(2364),
    [anon_sym___leave] = ACTIONS(2364),
    [anon_sym_not] = ACTIONS(2364),
    [anon_sym_compl] = ACTIONS(2364),
    [anon_sym_DASH_DASH] = ACTIONS(2366),
    [anon_sym_PLUS_PLUS] = ACTIONS(2366),
    [anon_sym_sizeof] = ACTIONS(2364),
    [anon_sym___alignof__] = ACTIONS(2364),
    [anon_sym___alignof] = ACTIONS(2364),
    [anon_sym__alignof] = ACTIONS(2364),
    [anon_sym_alignof] = ACTIONS(2364),
    [anon_sym__Alignof] = ACTIONS(2364),
    [anon_sym_offsetof] = ACTIONS(2364),
    [anon_sym__Generic] = ACTIONS(2364),
    [anon_sym_asm] = ACTIONS(2364),
    [anon_sym___asm__] = ACTIONS(2364),
    [sym_number_literal] = ACTIONS(2366),
    [anon_sym_L_SQUOTE] = ACTIONS(2366),
    [anon_sym_u_SQUOTE] = ACTIONS(2366),
    [anon_sym_U_SQUOTE] = ACTIONS(2366),
    [anon_sym_u8_SQUOTE] = ACTIONS(2366),
    [anon_sym_SQUOTE] = ACTIONS(2366),
    [anon_sym_L_DQUOTE] = ACTIONS(2366),
    [anon_sym_u_DQUOTE] = ACTIONS(2366),
    [anon_sym_U_DQUOTE] = ACTIONS(2366),
    [anon_sym_u8_DQUOTE] = ACTIONS(2366),
    [anon_sym_DQUOTE] = ACTIONS(2366),
    [sym_true] = ACTIONS(2364),
    [sym_false] = ACTIONS(2364),
    [anon_sym_NULL] = ACTIONS(2364),
    [anon_sym_nullptr] = ACTIONS(2364),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2364),
    [anon_sym_decltype] = ACTIONS(2364),
    [anon_sym_virtual] = ACTIONS(2364),
    [anon_sym_alignas] = ACTIONS(2364),
    [anon_sym_explicit] = ACTIONS(2364),
    [anon_sym_typename] = ACTIONS(2364),
    [anon_sym_template] = ACTIONS(2364),
    [anon_sym_operator] = ACTIONS(2364),
    [anon_sym_try] = ACTIONS(2364),
    [anon_sym_delete] = ACTIONS(2364),
    [anon_sym_throw] = ACTIONS(2364),
    [anon_sym_namespace] = ACTIONS(2364),
    [anon_sym_using] = ACTIONS(2364),
    [anon_sym_static_assert] = ACTIONS(2364),
    [anon_sym_concept] = ACTIONS(2364),
    [anon_sym_co_return] = ACTIONS(2364),
    [anon_sym_co_yield] = ACTIONS(2364),
    [anon_sym_R_DQUOTE] = ACTIONS(2366),
    [anon_sym_LR_DQUOTE] = ACTIONS(2366),
    [anon_sym_uR_DQUOTE] = ACTIONS(2366),
    [anon_sym_UR_DQUOTE] = ACTIONS(2366),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2366),
    [anon_sym_co_await] = ACTIONS(2364),
    [anon_sym_new] = ACTIONS(2364),
    [anon_sym_requires] = ACTIONS(2364),
    [sym_this] = ACTIONS(2364),
    [anon_sym_discard] = ACTIONS(2364),
    [anon_sym_precise] = ACTIONS(2364),
    [anon_sym_shared] = ACTIONS(2364),
    [anon_sym_groupshared] = ACTIONS(2364),
    [anon_sym_uniform] = ACTIONS(2364),
    [anon_sym_row_major] = ACTIONS(2364),
    [anon_sym_column_major] = ACTIONS(2364),
    [anon_sym_globallycoherent] = ACTIONS(2364),
    [anon_sym_centroid] = ACTIONS(2364),
    [anon_sym_noperspective] = ACTIONS(2364),
    [anon_sym_nointerpolation] = ACTIONS(2364),
    [anon_sym_sample] = ACTIONS(2364),
    [anon_sym_linear] = ACTIONS(2364),
    [anon_sym_snorm] = ACTIONS(2364),
    [anon_sym_unorm] = ACTIONS(2364),
    [anon_sym_point] = ACTIONS(2364),
    [anon_sym_line] = ACTIONS(2364),
    [anon_sym_triangleadj] = ACTIONS(2364),
    [anon_sym_lineadj] = ACTIONS(2364),
    [anon_sym_triangle] = ACTIONS(2364),
    [anon_sym_cbuffer] = ACTIONS(2364),
  },
  [274] = {
    [sym_identifier] = ACTIONS(2388),
    [aux_sym_preproc_include_token1] = ACTIONS(2388),
    [aux_sym_preproc_def_token1] = ACTIONS(2388),
    [aux_sym_preproc_if_token1] = ACTIONS(2388),
    [aux_sym_preproc_if_token2] = ACTIONS(2388),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2388),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2388),
    [aux_sym_preproc_else_token1] = ACTIONS(2388),
    [aux_sym_preproc_elif_token1] = ACTIONS(2388),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2388),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2388),
    [sym_preproc_directive] = ACTIONS(2388),
    [anon_sym_LPAREN2] = ACTIONS(2390),
    [anon_sym_BANG] = ACTIONS(2390),
    [anon_sym_TILDE] = ACTIONS(2390),
    [anon_sym_DASH] = ACTIONS(2388),
    [anon_sym_PLUS] = ACTIONS(2388),
    [anon_sym_STAR] = ACTIONS(2390),
    [anon_sym_AMP_AMP] = ACTIONS(2390),
    [anon_sym_AMP] = ACTIONS(2388),
    [anon_sym_SEMI] = ACTIONS(2390),
    [anon_sym___extension__] = ACTIONS(2388),
    [anon_sym_typedef] = ACTIONS(2388),
    [anon_sym_in] = ACTIONS(2388),
    [anon_sym_out] = ACTIONS(2388),
    [anon_sym_inout] = ACTIONS(2388),
    [anon_sym_extern] = ACTIONS(2388),
    [anon_sym___attribute__] = ACTIONS(2388),
    [anon_sym_COLON_COLON] = ACTIONS(2390),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2390),
    [anon_sym___declspec] = ACTIONS(2388),
    [anon_sym___based] = ACTIONS(2388),
    [anon_sym___cdecl] = ACTIONS(2388),
    [anon_sym___clrcall] = ACTIONS(2388),
    [anon_sym___stdcall] = ACTIONS(2388),
    [anon_sym___fastcall] = ACTIONS(2388),
    [anon_sym___thiscall] = ACTIONS(2388),
    [anon_sym___vectorcall] = ACTIONS(2388),
    [anon_sym_LBRACE] = ACTIONS(2390),
    [anon_sym_signed] = ACTIONS(2388),
    [anon_sym_unsigned] = ACTIONS(2388),
    [anon_sym_long] = ACTIONS(2388),
    [anon_sym_short] = ACTIONS(2388),
    [anon_sym_LBRACK] = ACTIONS(2388),
    [anon_sym_static] = ACTIONS(2388),
    [anon_sym_register] = ACTIONS(2388),
    [anon_sym_inline] = ACTIONS(2388),
    [anon_sym___inline] = ACTIONS(2388),
    [anon_sym___inline__] = ACTIONS(2388),
    [anon_sym___forceinline] = ACTIONS(2388),
    [anon_sym_thread_local] = ACTIONS(2388),
    [anon_sym___thread] = ACTIONS(2388),
    [anon_sym_const] = ACTIONS(2388),
    [anon_sym_constexpr] = ACTIONS(2388),
    [anon_sym_volatile] = ACTIONS(2388),
    [anon_sym_restrict] = ACTIONS(2388),
    [anon_sym___restrict__] = ACTIONS(2388),
    [anon_sym__Atomic] = ACTIONS(2388),
    [anon_sym__Noreturn] = ACTIONS(2388),
    [anon_sym_noreturn] = ACTIONS(2388),
    [anon_sym_mutable] = ACTIONS(2388),
    [anon_sym_constinit] = ACTIONS(2388),
    [anon_sym_consteval] = ACTIONS(2388),
    [sym_primitive_type] = ACTIONS(2388),
    [anon_sym_enum] = ACTIONS(2388),
    [anon_sym_class] = ACTIONS(2388),
    [anon_sym_struct] = ACTIONS(2388),
    [anon_sym_union] = ACTIONS(2388),
    [anon_sym_if] = ACTIONS(2388),
    [anon_sym_else] = ACTIONS(2388),
    [anon_sym_switch] = ACTIONS(2388),
    [anon_sym_case] = ACTIONS(2388),
    [anon_sym_default] = ACTIONS(2388),
    [anon_sym_while] = ACTIONS(2388),
    [anon_sym_do] = ACTIONS(2388),
    [anon_sym_for] = ACTIONS(2388),
    [anon_sym_return] = ACTIONS(2388),
    [anon_sym_break] = ACTIONS(2388),
    [anon_sym_continue] = ACTIONS(2388),
    [anon_sym_goto] = ACTIONS(2388),
    [anon_sym___try] = ACTIONS(2388),
    [anon_sym___leave] = ACTIONS(2388),
    [anon_sym_not] = ACTIONS(2388),
    [anon_sym_compl] = ACTIONS(2388),
    [anon_sym_DASH_DASH] = ACTIONS(2390),
    [anon_sym_PLUS_PLUS] = ACTIONS(2390),
    [anon_sym_sizeof] = ACTIONS(2388),
    [anon_sym___alignof__] = ACTIONS(2388),
    [anon_sym___alignof] = ACTIONS(2388),
    [anon_sym__alignof] = ACTIONS(2388),
    [anon_sym_alignof] = ACTIONS(2388),
    [anon_sym__Alignof] = ACTIONS(2388),
    [anon_sym_offsetof] = ACTIONS(2388),
    [anon_sym__Generic] = ACTIONS(2388),
    [anon_sym_asm] = ACTIONS(2388),
    [anon_sym___asm__] = ACTIONS(2388),
    [sym_number_literal] = ACTIONS(2390),
    [anon_sym_L_SQUOTE] = ACTIONS(2390),
    [anon_sym_u_SQUOTE] = ACTIONS(2390),
    [anon_sym_U_SQUOTE] = ACTIONS(2390),
    [anon_sym_u8_SQUOTE] = ACTIONS(2390),
    [anon_sym_SQUOTE] = ACTIONS(2390),
    [anon_sym_L_DQUOTE] = ACTIONS(2390),
    [anon_sym_u_DQUOTE] = ACTIONS(2390),
    [anon_sym_U_DQUOTE] = ACTIONS(2390),
    [anon_sym_u8_DQUOTE] = ACTIONS(2390),
    [anon_sym_DQUOTE] = ACTIONS(2390),
    [sym_true] = ACTIONS(2388),
    [sym_false] = ACTIONS(2388),
    [anon_sym_NULL] = ACTIONS(2388),
    [anon_sym_nullptr] = ACTIONS(2388),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2388),
    [anon_sym_decltype] = ACTIONS(2388),
    [anon_sym_virtual] = ACTIONS(2388),
    [anon_sym_alignas] = ACTIONS(2388),
    [anon_sym_explicit] = ACTIONS(2388),
    [anon_sym_typename] = ACTIONS(2388),
    [anon_sym_template] = ACTIONS(2388),
    [anon_sym_operator] = ACTIONS(2388),
    [anon_sym_try] = ACTIONS(2388),
    [anon_sym_delete] = ACTIONS(2388),
    [anon_sym_throw] = ACTIONS(2388),
    [anon_sym_namespace] = ACTIONS(2388),
    [anon_sym_using] = ACTIONS(2388),
    [anon_sym_static_assert] = ACTIONS(2388),
    [anon_sym_concept] = ACTIONS(2388),
    [anon_sym_co_return] = ACTIONS(2388),
    [anon_sym_co_yield] = ACTIONS(2388),
    [anon_sym_R_DQUOTE] = ACTIONS(2390),
    [anon_sym_LR_DQUOTE] = ACTIONS(2390),
    [anon_sym_uR_DQUOTE] = ACTIONS(2390),
    [anon_sym_UR_DQUOTE] = ACTIONS(2390),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2390),
    [anon_sym_co_await] = ACTIONS(2388),
    [anon_sym_new] = ACTIONS(2388),
    [anon_sym_requires] = ACTIONS(2388),
    [sym_this] = ACTIONS(2388),
    [anon_sym_discard] = ACTIONS(2388),
    [anon_sym_precise] = ACTIONS(2388),
    [anon_sym_shared] = ACTIONS(2388),
    [anon_sym_groupshared] = ACTIONS(2388),
    [anon_sym_uniform] = ACTIONS(2388),
    [anon_sym_row_major] = ACTIONS(2388),
    [anon_sym_column_major] = ACTIONS(2388),
    [anon_sym_globallycoherent] = ACTIONS(2388),
    [anon_sym_centroid] = ACTIONS(2388),
    [anon_sym_noperspective] = ACTIONS(2388),
    [anon_sym_nointerpolation] = ACTIONS(2388),
    [anon_sym_sample] = ACTIONS(2388),
    [anon_sym_linear] = ACTIONS(2388),
    [anon_sym_snorm] = ACTIONS(2388),
    [anon_sym_unorm] = ACTIONS(2388),
    [anon_sym_point] = ACTIONS(2388),
    [anon_sym_line] = ACTIONS(2388),
    [anon_sym_triangleadj] = ACTIONS(2388),
    [anon_sym_lineadj] = ACTIONS(2388),
    [anon_sym_triangle] = ACTIONS(2388),
    [anon_sym_cbuffer] = ACTIONS(2388),
  },
  [275] = {
    [sym_identifier] = ACTIONS(2392),
    [aux_sym_preproc_include_token1] = ACTIONS(2392),
    [aux_sym_preproc_def_token1] = ACTIONS(2392),
    [aux_sym_preproc_if_token1] = ACTIONS(2392),
    [aux_sym_preproc_if_token2] = ACTIONS(2392),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2392),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2392),
    [aux_sym_preproc_else_token1] = ACTIONS(2392),
    [aux_sym_preproc_elif_token1] = ACTIONS(2392),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2392),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2392),
    [sym_preproc_directive] = ACTIONS(2392),
    [anon_sym_LPAREN2] = ACTIONS(2394),
    [anon_sym_BANG] = ACTIONS(2394),
    [anon_sym_TILDE] = ACTIONS(2394),
    [anon_sym_DASH] = ACTIONS(2392),
    [anon_sym_PLUS] = ACTIONS(2392),
    [anon_sym_STAR] = ACTIONS(2394),
    [anon_sym_AMP_AMP] = ACTIONS(2394),
    [anon_sym_AMP] = ACTIONS(2392),
    [anon_sym_SEMI] = ACTIONS(2394),
    [anon_sym___extension__] = ACTIONS(2392),
    [anon_sym_typedef] = ACTIONS(2392),
    [anon_sym_in] = ACTIONS(2392),
    [anon_sym_out] = ACTIONS(2392),
    [anon_sym_inout] = ACTIONS(2392),
    [anon_sym_extern] = ACTIONS(2392),
    [anon_sym___attribute__] = ACTIONS(2392),
    [anon_sym_COLON_COLON] = ACTIONS(2394),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2394),
    [anon_sym___declspec] = ACTIONS(2392),
    [anon_sym___based] = ACTIONS(2392),
    [anon_sym___cdecl] = ACTIONS(2392),
    [anon_sym___clrcall] = ACTIONS(2392),
    [anon_sym___stdcall] = ACTIONS(2392),
    [anon_sym___fastcall] = ACTIONS(2392),
    [anon_sym___thiscall] = ACTIONS(2392),
    [anon_sym___vectorcall] = ACTIONS(2392),
    [anon_sym_LBRACE] = ACTIONS(2394),
    [anon_sym_signed] = ACTIONS(2392),
    [anon_sym_unsigned] = ACTIONS(2392),
    [anon_sym_long] = ACTIONS(2392),
    [anon_sym_short] = ACTIONS(2392),
    [anon_sym_LBRACK] = ACTIONS(2392),
    [anon_sym_static] = ACTIONS(2392),
    [anon_sym_register] = ACTIONS(2392),
    [anon_sym_inline] = ACTIONS(2392),
    [anon_sym___inline] = ACTIONS(2392),
    [anon_sym___inline__] = ACTIONS(2392),
    [anon_sym___forceinline] = ACTIONS(2392),
    [anon_sym_thread_local] = ACTIONS(2392),
    [anon_sym___thread] = ACTIONS(2392),
    [anon_sym_const] = ACTIONS(2392),
    [anon_sym_constexpr] = ACTIONS(2392),
    [anon_sym_volatile] = ACTIONS(2392),
    [anon_sym_restrict] = ACTIONS(2392),
    [anon_sym___restrict__] = ACTIONS(2392),
    [anon_sym__Atomic] = ACTIONS(2392),
    [anon_sym__Noreturn] = ACTIONS(2392),
    [anon_sym_noreturn] = ACTIONS(2392),
    [anon_sym_mutable] = ACTIONS(2392),
    [anon_sym_constinit] = ACTIONS(2392),
    [anon_sym_consteval] = ACTIONS(2392),
    [sym_primitive_type] = ACTIONS(2392),
    [anon_sym_enum] = ACTIONS(2392),
    [anon_sym_class] = ACTIONS(2392),
    [anon_sym_struct] = ACTIONS(2392),
    [anon_sym_union] = ACTIONS(2392),
    [anon_sym_if] = ACTIONS(2392),
    [anon_sym_else] = ACTIONS(2392),
    [anon_sym_switch] = ACTIONS(2392),
    [anon_sym_case] = ACTIONS(2392),
    [anon_sym_default] = ACTIONS(2392),
    [anon_sym_while] = ACTIONS(2392),
    [anon_sym_do] = ACTIONS(2392),
    [anon_sym_for] = ACTIONS(2392),
    [anon_sym_return] = ACTIONS(2392),
    [anon_sym_break] = ACTIONS(2392),
    [anon_sym_continue] = ACTIONS(2392),
    [anon_sym_goto] = ACTIONS(2392),
    [anon_sym___try] = ACTIONS(2392),
    [anon_sym___leave] = ACTIONS(2392),
    [anon_sym_not] = ACTIONS(2392),
    [anon_sym_compl] = ACTIONS(2392),
    [anon_sym_DASH_DASH] = ACTIONS(2394),
    [anon_sym_PLUS_PLUS] = ACTIONS(2394),
    [anon_sym_sizeof] = ACTIONS(2392),
    [anon_sym___alignof__] = ACTIONS(2392),
    [anon_sym___alignof] = ACTIONS(2392),
    [anon_sym__alignof] = ACTIONS(2392),
    [anon_sym_alignof] = ACTIONS(2392),
    [anon_sym__Alignof] = ACTIONS(2392),
    [anon_sym_offsetof] = ACTIONS(2392),
    [anon_sym__Generic] = ACTIONS(2392),
    [anon_sym_asm] = ACTIONS(2392),
    [anon_sym___asm__] = ACTIONS(2392),
    [sym_number_literal] = ACTIONS(2394),
    [anon_sym_L_SQUOTE] = ACTIONS(2394),
    [anon_sym_u_SQUOTE] = ACTIONS(2394),
    [anon_sym_U_SQUOTE] = ACTIONS(2394),
    [anon_sym_u8_SQUOTE] = ACTIONS(2394),
    [anon_sym_SQUOTE] = ACTIONS(2394),
    [anon_sym_L_DQUOTE] = ACTIONS(2394),
    [anon_sym_u_DQUOTE] = ACTIONS(2394),
    [anon_sym_U_DQUOTE] = ACTIONS(2394),
    [anon_sym_u8_DQUOTE] = ACTIONS(2394),
    [anon_sym_DQUOTE] = ACTIONS(2394),
    [sym_true] = ACTIONS(2392),
    [sym_false] = ACTIONS(2392),
    [anon_sym_NULL] = ACTIONS(2392),
    [anon_sym_nullptr] = ACTIONS(2392),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2392),
    [anon_sym_decltype] = ACTIONS(2392),
    [anon_sym_virtual] = ACTIONS(2392),
    [anon_sym_alignas] = ACTIONS(2392),
    [anon_sym_explicit] = ACTIONS(2392),
    [anon_sym_typename] = ACTIONS(2392),
    [anon_sym_template] = ACTIONS(2392),
    [anon_sym_operator] = ACTIONS(2392),
    [anon_sym_try] = ACTIONS(2392),
    [anon_sym_delete] = ACTIONS(2392),
    [anon_sym_throw] = ACTIONS(2392),
    [anon_sym_namespace] = ACTIONS(2392),
    [anon_sym_using] = ACTIONS(2392),
    [anon_sym_static_assert] = ACTIONS(2392),
    [anon_sym_concept] = ACTIONS(2392),
    [anon_sym_co_return] = ACTIONS(2392),
    [anon_sym_co_yield] = ACTIONS(2392),
    [anon_sym_R_DQUOTE] = ACTIONS(2394),
    [anon_sym_LR_DQUOTE] = ACTIONS(2394),
    [anon_sym_uR_DQUOTE] = ACTIONS(2394),
    [anon_sym_UR_DQUOTE] = ACTIONS(2394),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2394),
    [anon_sym_co_await] = ACTIONS(2392),
    [anon_sym_new] = ACTIONS(2392),
    [anon_sym_requires] = ACTIONS(2392),
    [sym_this] = ACTIONS(2392),
    [anon_sym_discard] = ACTIONS(2392),
    [anon_sym_precise] = ACTIONS(2392),
    [anon_sym_shared] = ACTIONS(2392),
    [anon_sym_groupshared] = ACTIONS(2392),
    [anon_sym_uniform] = ACTIONS(2392),
    [anon_sym_row_major] = ACTIONS(2392),
    [anon_sym_column_major] = ACTIONS(2392),
    [anon_sym_globallycoherent] = ACTIONS(2392),
    [anon_sym_centroid] = ACTIONS(2392),
    [anon_sym_noperspective] = ACTIONS(2392),
    [anon_sym_nointerpolation] = ACTIONS(2392),
    [anon_sym_sample] = ACTIONS(2392),
    [anon_sym_linear] = ACTIONS(2392),
    [anon_sym_snorm] = ACTIONS(2392),
    [anon_sym_unorm] = ACTIONS(2392),
    [anon_sym_point] = ACTIONS(2392),
    [anon_sym_line] = ACTIONS(2392),
    [anon_sym_triangleadj] = ACTIONS(2392),
    [anon_sym_lineadj] = ACTIONS(2392),
    [anon_sym_triangle] = ACTIONS(2392),
    [anon_sym_cbuffer] = ACTIONS(2392),
  },
  [276] = {
    [sym_identifier] = ACTIONS(2396),
    [aux_sym_preproc_include_token1] = ACTIONS(2396),
    [aux_sym_preproc_def_token1] = ACTIONS(2396),
    [aux_sym_preproc_if_token1] = ACTIONS(2396),
    [aux_sym_preproc_if_token2] = ACTIONS(2396),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2396),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2396),
    [aux_sym_preproc_else_token1] = ACTIONS(2396),
    [aux_sym_preproc_elif_token1] = ACTIONS(2396),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2396),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2396),
    [sym_preproc_directive] = ACTIONS(2396),
    [anon_sym_LPAREN2] = ACTIONS(2398),
    [anon_sym_BANG] = ACTIONS(2398),
    [anon_sym_TILDE] = ACTIONS(2398),
    [anon_sym_DASH] = ACTIONS(2396),
    [anon_sym_PLUS] = ACTIONS(2396),
    [anon_sym_STAR] = ACTIONS(2398),
    [anon_sym_AMP_AMP] = ACTIONS(2398),
    [anon_sym_AMP] = ACTIONS(2396),
    [anon_sym_SEMI] = ACTIONS(2398),
    [anon_sym___extension__] = ACTIONS(2396),
    [anon_sym_typedef] = ACTIONS(2396),
    [anon_sym_in] = ACTIONS(2396),
    [anon_sym_out] = ACTIONS(2396),
    [anon_sym_inout] = ACTIONS(2396),
    [anon_sym_extern] = ACTIONS(2396),
    [anon_sym___attribute__] = ACTIONS(2396),
    [anon_sym_COLON_COLON] = ACTIONS(2398),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2398),
    [anon_sym___declspec] = ACTIONS(2396),
    [anon_sym___based] = ACTIONS(2396),
    [anon_sym___cdecl] = ACTIONS(2396),
    [anon_sym___clrcall] = ACTIONS(2396),
    [anon_sym___stdcall] = ACTIONS(2396),
    [anon_sym___fastcall] = ACTIONS(2396),
    [anon_sym___thiscall] = ACTIONS(2396),
    [anon_sym___vectorcall] = ACTIONS(2396),
    [anon_sym_LBRACE] = ACTIONS(2398),
    [anon_sym_signed] = ACTIONS(2396),
    [anon_sym_unsigned] = ACTIONS(2396),
    [anon_sym_long] = ACTIONS(2396),
    [anon_sym_short] = ACTIONS(2396),
    [anon_sym_LBRACK] = ACTIONS(2396),
    [anon_sym_static] = ACTIONS(2396),
    [anon_sym_register] = ACTIONS(2396),
    [anon_sym_inline] = ACTIONS(2396),
    [anon_sym___inline] = ACTIONS(2396),
    [anon_sym___inline__] = ACTIONS(2396),
    [anon_sym___forceinline] = ACTIONS(2396),
    [anon_sym_thread_local] = ACTIONS(2396),
    [anon_sym___thread] = ACTIONS(2396),
    [anon_sym_const] = ACTIONS(2396),
    [anon_sym_constexpr] = ACTIONS(2396),
    [anon_sym_volatile] = ACTIONS(2396),
    [anon_sym_restrict] = ACTIONS(2396),
    [anon_sym___restrict__] = ACTIONS(2396),
    [anon_sym__Atomic] = ACTIONS(2396),
    [anon_sym__Noreturn] = ACTIONS(2396),
    [anon_sym_noreturn] = ACTIONS(2396),
    [anon_sym_mutable] = ACTIONS(2396),
    [anon_sym_constinit] = ACTIONS(2396),
    [anon_sym_consteval] = ACTIONS(2396),
    [sym_primitive_type] = ACTIONS(2396),
    [anon_sym_enum] = ACTIONS(2396),
    [anon_sym_class] = ACTIONS(2396),
    [anon_sym_struct] = ACTIONS(2396),
    [anon_sym_union] = ACTIONS(2396),
    [anon_sym_if] = ACTIONS(2396),
    [anon_sym_else] = ACTIONS(2396),
    [anon_sym_switch] = ACTIONS(2396),
    [anon_sym_case] = ACTIONS(2396),
    [anon_sym_default] = ACTIONS(2396),
    [anon_sym_while] = ACTIONS(2396),
    [anon_sym_do] = ACTIONS(2396),
    [anon_sym_for] = ACTIONS(2396),
    [anon_sym_return] = ACTIONS(2396),
    [anon_sym_break] = ACTIONS(2396),
    [anon_sym_continue] = ACTIONS(2396),
    [anon_sym_goto] = ACTIONS(2396),
    [anon_sym___try] = ACTIONS(2396),
    [anon_sym___leave] = ACTIONS(2396),
    [anon_sym_not] = ACTIONS(2396),
    [anon_sym_compl] = ACTIONS(2396),
    [anon_sym_DASH_DASH] = ACTIONS(2398),
    [anon_sym_PLUS_PLUS] = ACTIONS(2398),
    [anon_sym_sizeof] = ACTIONS(2396),
    [anon_sym___alignof__] = ACTIONS(2396),
    [anon_sym___alignof] = ACTIONS(2396),
    [anon_sym__alignof] = ACTIONS(2396),
    [anon_sym_alignof] = ACTIONS(2396),
    [anon_sym__Alignof] = ACTIONS(2396),
    [anon_sym_offsetof] = ACTIONS(2396),
    [anon_sym__Generic] = ACTIONS(2396),
    [anon_sym_asm] = ACTIONS(2396),
    [anon_sym___asm__] = ACTIONS(2396),
    [sym_number_literal] = ACTIONS(2398),
    [anon_sym_L_SQUOTE] = ACTIONS(2398),
    [anon_sym_u_SQUOTE] = ACTIONS(2398),
    [anon_sym_U_SQUOTE] = ACTIONS(2398),
    [anon_sym_u8_SQUOTE] = ACTIONS(2398),
    [anon_sym_SQUOTE] = ACTIONS(2398),
    [anon_sym_L_DQUOTE] = ACTIONS(2398),
    [anon_sym_u_DQUOTE] = ACTIONS(2398),
    [anon_sym_U_DQUOTE] = ACTIONS(2398),
    [anon_sym_u8_DQUOTE] = ACTIONS(2398),
    [anon_sym_DQUOTE] = ACTIONS(2398),
    [sym_true] = ACTIONS(2396),
    [sym_false] = ACTIONS(2396),
    [anon_sym_NULL] = ACTIONS(2396),
    [anon_sym_nullptr] = ACTIONS(2396),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2396),
    [anon_sym_decltype] = ACTIONS(2396),
    [anon_sym_virtual] = ACTIONS(2396),
    [anon_sym_alignas] = ACTIONS(2396),
    [anon_sym_explicit] = ACTIONS(2396),
    [anon_sym_typename] = ACTIONS(2396),
    [anon_sym_template] = ACTIONS(2396),
    [anon_sym_operator] = ACTIONS(2396),
    [anon_sym_try] = ACTIONS(2396),
    [anon_sym_delete] = ACTIONS(2396),
    [anon_sym_throw] = ACTIONS(2396),
    [anon_sym_namespace] = ACTIONS(2396),
    [anon_sym_using] = ACTIONS(2396),
    [anon_sym_static_assert] = ACTIONS(2396),
    [anon_sym_concept] = ACTIONS(2396),
    [anon_sym_co_return] = ACTIONS(2396),
    [anon_sym_co_yield] = ACTIONS(2396),
    [anon_sym_R_DQUOTE] = ACTIONS(2398),
    [anon_sym_LR_DQUOTE] = ACTIONS(2398),
    [anon_sym_uR_DQUOTE] = ACTIONS(2398),
    [anon_sym_UR_DQUOTE] = ACTIONS(2398),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2398),
    [anon_sym_co_await] = ACTIONS(2396),
    [anon_sym_new] = ACTIONS(2396),
    [anon_sym_requires] = ACTIONS(2396),
    [sym_this] = ACTIONS(2396),
    [anon_sym_discard] = ACTIONS(2396),
    [anon_sym_precise] = ACTIONS(2396),
    [anon_sym_shared] = ACTIONS(2396),
    [anon_sym_groupshared] = ACTIONS(2396),
    [anon_sym_uniform] = ACTIONS(2396),
    [anon_sym_row_major] = ACTIONS(2396),
    [anon_sym_column_major] = ACTIONS(2396),
    [anon_sym_globallycoherent] = ACTIONS(2396),
    [anon_sym_centroid] = ACTIONS(2396),
    [anon_sym_noperspective] = ACTIONS(2396),
    [anon_sym_nointerpolation] = ACTIONS(2396),
    [anon_sym_sample] = ACTIONS(2396),
    [anon_sym_linear] = ACTIONS(2396),
    [anon_sym_snorm] = ACTIONS(2396),
    [anon_sym_unorm] = ACTIONS(2396),
    [anon_sym_point] = ACTIONS(2396),
    [anon_sym_line] = ACTIONS(2396),
    [anon_sym_triangleadj] = ACTIONS(2396),
    [anon_sym_lineadj] = ACTIONS(2396),
    [anon_sym_triangle] = ACTIONS(2396),
    [anon_sym_cbuffer] = ACTIONS(2396),
  },
  [277] = {
    [sym_identifier] = ACTIONS(2400),
    [aux_sym_preproc_include_token1] = ACTIONS(2400),
    [aux_sym_preproc_def_token1] = ACTIONS(2400),
    [aux_sym_preproc_if_token1] = ACTIONS(2400),
    [aux_sym_preproc_if_token2] = ACTIONS(2400),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2400),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2400),
    [aux_sym_preproc_else_token1] = ACTIONS(2400),
    [aux_sym_preproc_elif_token1] = ACTIONS(2400),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2400),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2400),
    [sym_preproc_directive] = ACTIONS(2400),
    [anon_sym_LPAREN2] = ACTIONS(2402),
    [anon_sym_BANG] = ACTIONS(2402),
    [anon_sym_TILDE] = ACTIONS(2402),
    [anon_sym_DASH] = ACTIONS(2400),
    [anon_sym_PLUS] = ACTIONS(2400),
    [anon_sym_STAR] = ACTIONS(2402),
    [anon_sym_AMP_AMP] = ACTIONS(2402),
    [anon_sym_AMP] = ACTIONS(2400),
    [anon_sym_SEMI] = ACTIONS(2402),
    [anon_sym___extension__] = ACTIONS(2400),
    [anon_sym_typedef] = ACTIONS(2400),
    [anon_sym_in] = ACTIONS(2400),
    [anon_sym_out] = ACTIONS(2400),
    [anon_sym_inout] = ACTIONS(2400),
    [anon_sym_extern] = ACTIONS(2400),
    [anon_sym___attribute__] = ACTIONS(2400),
    [anon_sym_COLON_COLON] = ACTIONS(2402),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2402),
    [anon_sym___declspec] = ACTIONS(2400),
    [anon_sym___based] = ACTIONS(2400),
    [anon_sym___cdecl] = ACTIONS(2400),
    [anon_sym___clrcall] = ACTIONS(2400),
    [anon_sym___stdcall] = ACTIONS(2400),
    [anon_sym___fastcall] = ACTIONS(2400),
    [anon_sym___thiscall] = ACTIONS(2400),
    [anon_sym___vectorcall] = ACTIONS(2400),
    [anon_sym_LBRACE] = ACTIONS(2402),
    [anon_sym_signed] = ACTIONS(2400),
    [anon_sym_unsigned] = ACTIONS(2400),
    [anon_sym_long] = ACTIONS(2400),
    [anon_sym_short] = ACTIONS(2400),
    [anon_sym_LBRACK] = ACTIONS(2400),
    [anon_sym_static] = ACTIONS(2400),
    [anon_sym_register] = ACTIONS(2400),
    [anon_sym_inline] = ACTIONS(2400),
    [anon_sym___inline] = ACTIONS(2400),
    [anon_sym___inline__] = ACTIONS(2400),
    [anon_sym___forceinline] = ACTIONS(2400),
    [anon_sym_thread_local] = ACTIONS(2400),
    [anon_sym___thread] = ACTIONS(2400),
    [anon_sym_const] = ACTIONS(2400),
    [anon_sym_constexpr] = ACTIONS(2400),
    [anon_sym_volatile] = ACTIONS(2400),
    [anon_sym_restrict] = ACTIONS(2400),
    [anon_sym___restrict__] = ACTIONS(2400),
    [anon_sym__Atomic] = ACTIONS(2400),
    [anon_sym__Noreturn] = ACTIONS(2400),
    [anon_sym_noreturn] = ACTIONS(2400),
    [anon_sym_mutable] = ACTIONS(2400),
    [anon_sym_constinit] = ACTIONS(2400),
    [anon_sym_consteval] = ACTIONS(2400),
    [sym_primitive_type] = ACTIONS(2400),
    [anon_sym_enum] = ACTIONS(2400),
    [anon_sym_class] = ACTIONS(2400),
    [anon_sym_struct] = ACTIONS(2400),
    [anon_sym_union] = ACTIONS(2400),
    [anon_sym_if] = ACTIONS(2400),
    [anon_sym_else] = ACTIONS(2400),
    [anon_sym_switch] = ACTIONS(2400),
    [anon_sym_case] = ACTIONS(2400),
    [anon_sym_default] = ACTIONS(2400),
    [anon_sym_while] = ACTIONS(2400),
    [anon_sym_do] = ACTIONS(2400),
    [anon_sym_for] = ACTIONS(2400),
    [anon_sym_return] = ACTIONS(2400),
    [anon_sym_break] = ACTIONS(2400),
    [anon_sym_continue] = ACTIONS(2400),
    [anon_sym_goto] = ACTIONS(2400),
    [anon_sym___try] = ACTIONS(2400),
    [anon_sym___leave] = ACTIONS(2400),
    [anon_sym_not] = ACTIONS(2400),
    [anon_sym_compl] = ACTIONS(2400),
    [anon_sym_DASH_DASH] = ACTIONS(2402),
    [anon_sym_PLUS_PLUS] = ACTIONS(2402),
    [anon_sym_sizeof] = ACTIONS(2400),
    [anon_sym___alignof__] = ACTIONS(2400),
    [anon_sym___alignof] = ACTIONS(2400),
    [anon_sym__alignof] = ACTIONS(2400),
    [anon_sym_alignof] = ACTIONS(2400),
    [anon_sym__Alignof] = ACTIONS(2400),
    [anon_sym_offsetof] = ACTIONS(2400),
    [anon_sym__Generic] = ACTIONS(2400),
    [anon_sym_asm] = ACTIONS(2400),
    [anon_sym___asm__] = ACTIONS(2400),
    [sym_number_literal] = ACTIONS(2402),
    [anon_sym_L_SQUOTE] = ACTIONS(2402),
    [anon_sym_u_SQUOTE] = ACTIONS(2402),
    [anon_sym_U_SQUOTE] = ACTIONS(2402),
    [anon_sym_u8_SQUOTE] = ACTIONS(2402),
    [anon_sym_SQUOTE] = ACTIONS(2402),
    [anon_sym_L_DQUOTE] = ACTIONS(2402),
    [anon_sym_u_DQUOTE] = ACTIONS(2402),
    [anon_sym_U_DQUOTE] = ACTIONS(2402),
    [anon_sym_u8_DQUOTE] = ACTIONS(2402),
    [anon_sym_DQUOTE] = ACTIONS(2402),
    [sym_true] = ACTIONS(2400),
    [sym_false] = ACTIONS(2400),
    [anon_sym_NULL] = ACTIONS(2400),
    [anon_sym_nullptr] = ACTIONS(2400),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2400),
    [anon_sym_decltype] = ACTIONS(2400),
    [anon_sym_virtual] = ACTIONS(2400),
    [anon_sym_alignas] = ACTIONS(2400),
    [anon_sym_explicit] = ACTIONS(2400),
    [anon_sym_typename] = ACTIONS(2400),
    [anon_sym_template] = ACTIONS(2400),
    [anon_sym_operator] = ACTIONS(2400),
    [anon_sym_try] = ACTIONS(2400),
    [anon_sym_delete] = ACTIONS(2400),
    [anon_sym_throw] = ACTIONS(2400),
    [anon_sym_namespace] = ACTIONS(2400),
    [anon_sym_using] = ACTIONS(2400),
    [anon_sym_static_assert] = ACTIONS(2400),
    [anon_sym_concept] = ACTIONS(2400),
    [anon_sym_co_return] = ACTIONS(2400),
    [anon_sym_co_yield] = ACTIONS(2400),
    [anon_sym_R_DQUOTE] = ACTIONS(2402),
    [anon_sym_LR_DQUOTE] = ACTIONS(2402),
    [anon_sym_uR_DQUOTE] = ACTIONS(2402),
    [anon_sym_UR_DQUOTE] = ACTIONS(2402),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2402),
    [anon_sym_co_await] = ACTIONS(2400),
    [anon_sym_new] = ACTIONS(2400),
    [anon_sym_requires] = ACTIONS(2400),
    [sym_this] = ACTIONS(2400),
    [anon_sym_discard] = ACTIONS(2400),
    [anon_sym_precise] = ACTIONS(2400),
    [anon_sym_shared] = ACTIONS(2400),
    [anon_sym_groupshared] = ACTIONS(2400),
    [anon_sym_uniform] = ACTIONS(2400),
    [anon_sym_row_major] = ACTIONS(2400),
    [anon_sym_column_major] = ACTIONS(2400),
    [anon_sym_globallycoherent] = ACTIONS(2400),
    [anon_sym_centroid] = ACTIONS(2400),
    [anon_sym_noperspective] = ACTIONS(2400),
    [anon_sym_nointerpolation] = ACTIONS(2400),
    [anon_sym_sample] = ACTIONS(2400),
    [anon_sym_linear] = ACTIONS(2400),
    [anon_sym_snorm] = ACTIONS(2400),
    [anon_sym_unorm] = ACTIONS(2400),
    [anon_sym_point] = ACTIONS(2400),
    [anon_sym_line] = ACTIONS(2400),
    [anon_sym_triangleadj] = ACTIONS(2400),
    [anon_sym_lineadj] = ACTIONS(2400),
    [anon_sym_triangle] = ACTIONS(2400),
    [anon_sym_cbuffer] = ACTIONS(2400),
  },
  [278] = {
    [sym_identifier] = ACTIONS(2404),
    [aux_sym_preproc_include_token1] = ACTIONS(2404),
    [aux_sym_preproc_def_token1] = ACTIONS(2404),
    [aux_sym_preproc_if_token1] = ACTIONS(2404),
    [aux_sym_preproc_if_token2] = ACTIONS(2404),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2404),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2404),
    [aux_sym_preproc_else_token1] = ACTIONS(2404),
    [aux_sym_preproc_elif_token1] = ACTIONS(2404),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2404),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2404),
    [sym_preproc_directive] = ACTIONS(2404),
    [anon_sym_LPAREN2] = ACTIONS(2406),
    [anon_sym_BANG] = ACTIONS(2406),
    [anon_sym_TILDE] = ACTIONS(2406),
    [anon_sym_DASH] = ACTIONS(2404),
    [anon_sym_PLUS] = ACTIONS(2404),
    [anon_sym_STAR] = ACTIONS(2406),
    [anon_sym_AMP_AMP] = ACTIONS(2406),
    [anon_sym_AMP] = ACTIONS(2404),
    [anon_sym_SEMI] = ACTIONS(2406),
    [anon_sym___extension__] = ACTIONS(2404),
    [anon_sym_typedef] = ACTIONS(2404),
    [anon_sym_in] = ACTIONS(2404),
    [anon_sym_out] = ACTIONS(2404),
    [anon_sym_inout] = ACTIONS(2404),
    [anon_sym_extern] = ACTIONS(2404),
    [anon_sym___attribute__] = ACTIONS(2404),
    [anon_sym_COLON_COLON] = ACTIONS(2406),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2406),
    [anon_sym___declspec] = ACTIONS(2404),
    [anon_sym___based] = ACTIONS(2404),
    [anon_sym___cdecl] = ACTIONS(2404),
    [anon_sym___clrcall] = ACTIONS(2404),
    [anon_sym___stdcall] = ACTIONS(2404),
    [anon_sym___fastcall] = ACTIONS(2404),
    [anon_sym___thiscall] = ACTIONS(2404),
    [anon_sym___vectorcall] = ACTIONS(2404),
    [anon_sym_LBRACE] = ACTIONS(2406),
    [anon_sym_signed] = ACTIONS(2404),
    [anon_sym_unsigned] = ACTIONS(2404),
    [anon_sym_long] = ACTIONS(2404),
    [anon_sym_short] = ACTIONS(2404),
    [anon_sym_LBRACK] = ACTIONS(2404),
    [anon_sym_static] = ACTIONS(2404),
    [anon_sym_register] = ACTIONS(2404),
    [anon_sym_inline] = ACTIONS(2404),
    [anon_sym___inline] = ACTIONS(2404),
    [anon_sym___inline__] = ACTIONS(2404),
    [anon_sym___forceinline] = ACTIONS(2404),
    [anon_sym_thread_local] = ACTIONS(2404),
    [anon_sym___thread] = ACTIONS(2404),
    [anon_sym_const] = ACTIONS(2404),
    [anon_sym_constexpr] = ACTIONS(2404),
    [anon_sym_volatile] = ACTIONS(2404),
    [anon_sym_restrict] = ACTIONS(2404),
    [anon_sym___restrict__] = ACTIONS(2404),
    [anon_sym__Atomic] = ACTIONS(2404),
    [anon_sym__Noreturn] = ACTIONS(2404),
    [anon_sym_noreturn] = ACTIONS(2404),
    [anon_sym_mutable] = ACTIONS(2404),
    [anon_sym_constinit] = ACTIONS(2404),
    [anon_sym_consteval] = ACTIONS(2404),
    [sym_primitive_type] = ACTIONS(2404),
    [anon_sym_enum] = ACTIONS(2404),
    [anon_sym_class] = ACTIONS(2404),
    [anon_sym_struct] = ACTIONS(2404),
    [anon_sym_union] = ACTIONS(2404),
    [anon_sym_if] = ACTIONS(2404),
    [anon_sym_else] = ACTIONS(2404),
    [anon_sym_switch] = ACTIONS(2404),
    [anon_sym_case] = ACTIONS(2404),
    [anon_sym_default] = ACTIONS(2404),
    [anon_sym_while] = ACTIONS(2404),
    [anon_sym_do] = ACTIONS(2404),
    [anon_sym_for] = ACTIONS(2404),
    [anon_sym_return] = ACTIONS(2404),
    [anon_sym_break] = ACTIONS(2404),
    [anon_sym_continue] = ACTIONS(2404),
    [anon_sym_goto] = ACTIONS(2404),
    [anon_sym___try] = ACTIONS(2404),
    [anon_sym___leave] = ACTIONS(2404),
    [anon_sym_not] = ACTIONS(2404),
    [anon_sym_compl] = ACTIONS(2404),
    [anon_sym_DASH_DASH] = ACTIONS(2406),
    [anon_sym_PLUS_PLUS] = ACTIONS(2406),
    [anon_sym_sizeof] = ACTIONS(2404),
    [anon_sym___alignof__] = ACTIONS(2404),
    [anon_sym___alignof] = ACTIONS(2404),
    [anon_sym__alignof] = ACTIONS(2404),
    [anon_sym_alignof] = ACTIONS(2404),
    [anon_sym__Alignof] = ACTIONS(2404),
    [anon_sym_offsetof] = ACTIONS(2404),
    [anon_sym__Generic] = ACTIONS(2404),
    [anon_sym_asm] = ACTIONS(2404),
    [anon_sym___asm__] = ACTIONS(2404),
    [sym_number_literal] = ACTIONS(2406),
    [anon_sym_L_SQUOTE] = ACTIONS(2406),
    [anon_sym_u_SQUOTE] = ACTIONS(2406),
    [anon_sym_U_SQUOTE] = ACTIONS(2406),
    [anon_sym_u8_SQUOTE] = ACTIONS(2406),
    [anon_sym_SQUOTE] = ACTIONS(2406),
    [anon_sym_L_DQUOTE] = ACTIONS(2406),
    [anon_sym_u_DQUOTE] = ACTIONS(2406),
    [anon_sym_U_DQUOTE] = ACTIONS(2406),
    [anon_sym_u8_DQUOTE] = ACTIONS(2406),
    [anon_sym_DQUOTE] = ACTIONS(2406),
    [sym_true] = ACTIONS(2404),
    [sym_false] = ACTIONS(2404),
    [anon_sym_NULL] = ACTIONS(2404),
    [anon_sym_nullptr] = ACTIONS(2404),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2404),
    [anon_sym_decltype] = ACTIONS(2404),
    [anon_sym_virtual] = ACTIONS(2404),
    [anon_sym_alignas] = ACTIONS(2404),
    [anon_sym_explicit] = ACTIONS(2404),
    [anon_sym_typename] = ACTIONS(2404),
    [anon_sym_template] = ACTIONS(2404),
    [anon_sym_operator] = ACTIONS(2404),
    [anon_sym_try] = ACTIONS(2404),
    [anon_sym_delete] = ACTIONS(2404),
    [anon_sym_throw] = ACTIONS(2404),
    [anon_sym_namespace] = ACTIONS(2404),
    [anon_sym_using] = ACTIONS(2404),
    [anon_sym_static_assert] = ACTIONS(2404),
    [anon_sym_concept] = ACTIONS(2404),
    [anon_sym_co_return] = ACTIONS(2404),
    [anon_sym_co_yield] = ACTIONS(2404),
    [anon_sym_R_DQUOTE] = ACTIONS(2406),
    [anon_sym_LR_DQUOTE] = ACTIONS(2406),
    [anon_sym_uR_DQUOTE] = ACTIONS(2406),
    [anon_sym_UR_DQUOTE] = ACTIONS(2406),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2406),
    [anon_sym_co_await] = ACTIONS(2404),
    [anon_sym_new] = ACTIONS(2404),
    [anon_sym_requires] = ACTIONS(2404),
    [sym_this] = ACTIONS(2404),
    [anon_sym_discard] = ACTIONS(2404),
    [anon_sym_precise] = ACTIONS(2404),
    [anon_sym_shared] = ACTIONS(2404),
    [anon_sym_groupshared] = ACTIONS(2404),
    [anon_sym_uniform] = ACTIONS(2404),
    [anon_sym_row_major] = ACTIONS(2404),
    [anon_sym_column_major] = ACTIONS(2404),
    [anon_sym_globallycoherent] = ACTIONS(2404),
    [anon_sym_centroid] = ACTIONS(2404),
    [anon_sym_noperspective] = ACTIONS(2404),
    [anon_sym_nointerpolation] = ACTIONS(2404),
    [anon_sym_sample] = ACTIONS(2404),
    [anon_sym_linear] = ACTIONS(2404),
    [anon_sym_snorm] = ACTIONS(2404),
    [anon_sym_unorm] = ACTIONS(2404),
    [anon_sym_point] = ACTIONS(2404),
    [anon_sym_line] = ACTIONS(2404),
    [anon_sym_triangleadj] = ACTIONS(2404),
    [anon_sym_lineadj] = ACTIONS(2404),
    [anon_sym_triangle] = ACTIONS(2404),
    [anon_sym_cbuffer] = ACTIONS(2404),
  },
  [279] = {
    [sym_identifier] = ACTIONS(2408),
    [aux_sym_preproc_include_token1] = ACTIONS(2408),
    [aux_sym_preproc_def_token1] = ACTIONS(2408),
    [aux_sym_preproc_if_token1] = ACTIONS(2408),
    [aux_sym_preproc_if_token2] = ACTIONS(2408),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2408),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2408),
    [aux_sym_preproc_else_token1] = ACTIONS(2408),
    [aux_sym_preproc_elif_token1] = ACTIONS(2408),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2408),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2408),
    [sym_preproc_directive] = ACTIONS(2408),
    [anon_sym_LPAREN2] = ACTIONS(2410),
    [anon_sym_BANG] = ACTIONS(2410),
    [anon_sym_TILDE] = ACTIONS(2410),
    [anon_sym_DASH] = ACTIONS(2408),
    [anon_sym_PLUS] = ACTIONS(2408),
    [anon_sym_STAR] = ACTIONS(2410),
    [anon_sym_AMP_AMP] = ACTIONS(2410),
    [anon_sym_AMP] = ACTIONS(2408),
    [anon_sym_SEMI] = ACTIONS(2410),
    [anon_sym___extension__] = ACTIONS(2408),
    [anon_sym_typedef] = ACTIONS(2408),
    [anon_sym_in] = ACTIONS(2408),
    [anon_sym_out] = ACTIONS(2408),
    [anon_sym_inout] = ACTIONS(2408),
    [anon_sym_extern] = ACTIONS(2408),
    [anon_sym___attribute__] = ACTIONS(2408),
    [anon_sym_COLON_COLON] = ACTIONS(2410),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2410),
    [anon_sym___declspec] = ACTIONS(2408),
    [anon_sym___based] = ACTIONS(2408),
    [anon_sym___cdecl] = ACTIONS(2408),
    [anon_sym___clrcall] = ACTIONS(2408),
    [anon_sym___stdcall] = ACTIONS(2408),
    [anon_sym___fastcall] = ACTIONS(2408),
    [anon_sym___thiscall] = ACTIONS(2408),
    [anon_sym___vectorcall] = ACTIONS(2408),
    [anon_sym_LBRACE] = ACTIONS(2410),
    [anon_sym_signed] = ACTIONS(2408),
    [anon_sym_unsigned] = ACTIONS(2408),
    [anon_sym_long] = ACTIONS(2408),
    [anon_sym_short] = ACTIONS(2408),
    [anon_sym_LBRACK] = ACTIONS(2408),
    [anon_sym_static] = ACTIONS(2408),
    [anon_sym_register] = ACTIONS(2408),
    [anon_sym_inline] = ACTIONS(2408),
    [anon_sym___inline] = ACTIONS(2408),
    [anon_sym___inline__] = ACTIONS(2408),
    [anon_sym___forceinline] = ACTIONS(2408),
    [anon_sym_thread_local] = ACTIONS(2408),
    [anon_sym___thread] = ACTIONS(2408),
    [anon_sym_const] = ACTIONS(2408),
    [anon_sym_constexpr] = ACTIONS(2408),
    [anon_sym_volatile] = ACTIONS(2408),
    [anon_sym_restrict] = ACTIONS(2408),
    [anon_sym___restrict__] = ACTIONS(2408),
    [anon_sym__Atomic] = ACTIONS(2408),
    [anon_sym__Noreturn] = ACTIONS(2408),
    [anon_sym_noreturn] = ACTIONS(2408),
    [anon_sym_mutable] = ACTIONS(2408),
    [anon_sym_constinit] = ACTIONS(2408),
    [anon_sym_consteval] = ACTIONS(2408),
    [sym_primitive_type] = ACTIONS(2408),
    [anon_sym_enum] = ACTIONS(2408),
    [anon_sym_class] = ACTIONS(2408),
    [anon_sym_struct] = ACTIONS(2408),
    [anon_sym_union] = ACTIONS(2408),
    [anon_sym_if] = ACTIONS(2408),
    [anon_sym_else] = ACTIONS(2408),
    [anon_sym_switch] = ACTIONS(2408),
    [anon_sym_case] = ACTIONS(2408),
    [anon_sym_default] = ACTIONS(2408),
    [anon_sym_while] = ACTIONS(2408),
    [anon_sym_do] = ACTIONS(2408),
    [anon_sym_for] = ACTIONS(2408),
    [anon_sym_return] = ACTIONS(2408),
    [anon_sym_break] = ACTIONS(2408),
    [anon_sym_continue] = ACTIONS(2408),
    [anon_sym_goto] = ACTIONS(2408),
    [anon_sym___try] = ACTIONS(2408),
    [anon_sym___leave] = ACTIONS(2408),
    [anon_sym_not] = ACTIONS(2408),
    [anon_sym_compl] = ACTIONS(2408),
    [anon_sym_DASH_DASH] = ACTIONS(2410),
    [anon_sym_PLUS_PLUS] = ACTIONS(2410),
    [anon_sym_sizeof] = ACTIONS(2408),
    [anon_sym___alignof__] = ACTIONS(2408),
    [anon_sym___alignof] = ACTIONS(2408),
    [anon_sym__alignof] = ACTIONS(2408),
    [anon_sym_alignof] = ACTIONS(2408),
    [anon_sym__Alignof] = ACTIONS(2408),
    [anon_sym_offsetof] = ACTIONS(2408),
    [anon_sym__Generic] = ACTIONS(2408),
    [anon_sym_asm] = ACTIONS(2408),
    [anon_sym___asm__] = ACTIONS(2408),
    [sym_number_literal] = ACTIONS(2410),
    [anon_sym_L_SQUOTE] = ACTIONS(2410),
    [anon_sym_u_SQUOTE] = ACTIONS(2410),
    [anon_sym_U_SQUOTE] = ACTIONS(2410),
    [anon_sym_u8_SQUOTE] = ACTIONS(2410),
    [anon_sym_SQUOTE] = ACTIONS(2410),
    [anon_sym_L_DQUOTE] = ACTIONS(2410),
    [anon_sym_u_DQUOTE] = ACTIONS(2410),
    [anon_sym_U_DQUOTE] = ACTIONS(2410),
    [anon_sym_u8_DQUOTE] = ACTIONS(2410),
    [anon_sym_DQUOTE] = ACTIONS(2410),
    [sym_true] = ACTIONS(2408),
    [sym_false] = ACTIONS(2408),
    [anon_sym_NULL] = ACTIONS(2408),
    [anon_sym_nullptr] = ACTIONS(2408),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2408),
    [anon_sym_decltype] = ACTIONS(2408),
    [anon_sym_virtual] = ACTIONS(2408),
    [anon_sym_alignas] = ACTIONS(2408),
    [anon_sym_explicit] = ACTIONS(2408),
    [anon_sym_typename] = ACTIONS(2408),
    [anon_sym_template] = ACTIONS(2408),
    [anon_sym_operator] = ACTIONS(2408),
    [anon_sym_try] = ACTIONS(2408),
    [anon_sym_delete] = ACTIONS(2408),
    [anon_sym_throw] = ACTIONS(2408),
    [anon_sym_namespace] = ACTIONS(2408),
    [anon_sym_using] = ACTIONS(2408),
    [anon_sym_static_assert] = ACTIONS(2408),
    [anon_sym_concept] = ACTIONS(2408),
    [anon_sym_co_return] = ACTIONS(2408),
    [anon_sym_co_yield] = ACTIONS(2408),
    [anon_sym_R_DQUOTE] = ACTIONS(2410),
    [anon_sym_LR_DQUOTE] = ACTIONS(2410),
    [anon_sym_uR_DQUOTE] = ACTIONS(2410),
    [anon_sym_UR_DQUOTE] = ACTIONS(2410),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2410),
    [anon_sym_co_await] = ACTIONS(2408),
    [anon_sym_new] = ACTIONS(2408),
    [anon_sym_requires] = ACTIONS(2408),
    [sym_this] = ACTIONS(2408),
    [anon_sym_discard] = ACTIONS(2408),
    [anon_sym_precise] = ACTIONS(2408),
    [anon_sym_shared] = ACTIONS(2408),
    [anon_sym_groupshared] = ACTIONS(2408),
    [anon_sym_uniform] = ACTIONS(2408),
    [anon_sym_row_major] = ACTIONS(2408),
    [anon_sym_column_major] = ACTIONS(2408),
    [anon_sym_globallycoherent] = ACTIONS(2408),
    [anon_sym_centroid] = ACTIONS(2408),
    [anon_sym_noperspective] = ACTIONS(2408),
    [anon_sym_nointerpolation] = ACTIONS(2408),
    [anon_sym_sample] = ACTIONS(2408),
    [anon_sym_linear] = ACTIONS(2408),
    [anon_sym_snorm] = ACTIONS(2408),
    [anon_sym_unorm] = ACTIONS(2408),
    [anon_sym_point] = ACTIONS(2408),
    [anon_sym_line] = ACTIONS(2408),
    [anon_sym_triangleadj] = ACTIONS(2408),
    [anon_sym_lineadj] = ACTIONS(2408),
    [anon_sym_triangle] = ACTIONS(2408),
    [anon_sym_cbuffer] = ACTIONS(2408),
  },
  [280] = {
    [sym_identifier] = ACTIONS(2412),
    [aux_sym_preproc_include_token1] = ACTIONS(2412),
    [aux_sym_preproc_def_token1] = ACTIONS(2412),
    [aux_sym_preproc_if_token1] = ACTIONS(2412),
    [aux_sym_preproc_if_token2] = ACTIONS(2412),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2412),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2412),
    [aux_sym_preproc_else_token1] = ACTIONS(2412),
    [aux_sym_preproc_elif_token1] = ACTIONS(2412),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2412),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2412),
    [sym_preproc_directive] = ACTIONS(2412),
    [anon_sym_LPAREN2] = ACTIONS(2414),
    [anon_sym_BANG] = ACTIONS(2414),
    [anon_sym_TILDE] = ACTIONS(2414),
    [anon_sym_DASH] = ACTIONS(2412),
    [anon_sym_PLUS] = ACTIONS(2412),
    [anon_sym_STAR] = ACTIONS(2414),
    [anon_sym_AMP_AMP] = ACTIONS(2414),
    [anon_sym_AMP] = ACTIONS(2412),
    [anon_sym_SEMI] = ACTIONS(2414),
    [anon_sym___extension__] = ACTIONS(2412),
    [anon_sym_typedef] = ACTIONS(2412),
    [anon_sym_in] = ACTIONS(2412),
    [anon_sym_out] = ACTIONS(2412),
    [anon_sym_inout] = ACTIONS(2412),
    [anon_sym_extern] = ACTIONS(2412),
    [anon_sym___attribute__] = ACTIONS(2412),
    [anon_sym_COLON_COLON] = ACTIONS(2414),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2414),
    [anon_sym___declspec] = ACTIONS(2412),
    [anon_sym___based] = ACTIONS(2412),
    [anon_sym___cdecl] = ACTIONS(2412),
    [anon_sym___clrcall] = ACTIONS(2412),
    [anon_sym___stdcall] = ACTIONS(2412),
    [anon_sym___fastcall] = ACTIONS(2412),
    [anon_sym___thiscall] = ACTIONS(2412),
    [anon_sym___vectorcall] = ACTIONS(2412),
    [anon_sym_LBRACE] = ACTIONS(2414),
    [anon_sym_signed] = ACTIONS(2412),
    [anon_sym_unsigned] = ACTIONS(2412),
    [anon_sym_long] = ACTIONS(2412),
    [anon_sym_short] = ACTIONS(2412),
    [anon_sym_LBRACK] = ACTIONS(2412),
    [anon_sym_static] = ACTIONS(2412),
    [anon_sym_register] = ACTIONS(2412),
    [anon_sym_inline] = ACTIONS(2412),
    [anon_sym___inline] = ACTIONS(2412),
    [anon_sym___inline__] = ACTIONS(2412),
    [anon_sym___forceinline] = ACTIONS(2412),
    [anon_sym_thread_local] = ACTIONS(2412),
    [anon_sym___thread] = ACTIONS(2412),
    [anon_sym_const] = ACTIONS(2412),
    [anon_sym_constexpr] = ACTIONS(2412),
    [anon_sym_volatile] = ACTIONS(2412),
    [anon_sym_restrict] = ACTIONS(2412),
    [anon_sym___restrict__] = ACTIONS(2412),
    [anon_sym__Atomic] = ACTIONS(2412),
    [anon_sym__Noreturn] = ACTIONS(2412),
    [anon_sym_noreturn] = ACTIONS(2412),
    [anon_sym_mutable] = ACTIONS(2412),
    [anon_sym_constinit] = ACTIONS(2412),
    [anon_sym_consteval] = ACTIONS(2412),
    [sym_primitive_type] = ACTIONS(2412),
    [anon_sym_enum] = ACTIONS(2412),
    [anon_sym_class] = ACTIONS(2412),
    [anon_sym_struct] = ACTIONS(2412),
    [anon_sym_union] = ACTIONS(2412),
    [anon_sym_if] = ACTIONS(2412),
    [anon_sym_else] = ACTIONS(2412),
    [anon_sym_switch] = ACTIONS(2412),
    [anon_sym_case] = ACTIONS(2412),
    [anon_sym_default] = ACTIONS(2412),
    [anon_sym_while] = ACTIONS(2412),
    [anon_sym_do] = ACTIONS(2412),
    [anon_sym_for] = ACTIONS(2412),
    [anon_sym_return] = ACTIONS(2412),
    [anon_sym_break] = ACTIONS(2412),
    [anon_sym_continue] = ACTIONS(2412),
    [anon_sym_goto] = ACTIONS(2412),
    [anon_sym___try] = ACTIONS(2412),
    [anon_sym___leave] = ACTIONS(2412),
    [anon_sym_not] = ACTIONS(2412),
    [anon_sym_compl] = ACTIONS(2412),
    [anon_sym_DASH_DASH] = ACTIONS(2414),
    [anon_sym_PLUS_PLUS] = ACTIONS(2414),
    [anon_sym_sizeof] = ACTIONS(2412),
    [anon_sym___alignof__] = ACTIONS(2412),
    [anon_sym___alignof] = ACTIONS(2412),
    [anon_sym__alignof] = ACTIONS(2412),
    [anon_sym_alignof] = ACTIONS(2412),
    [anon_sym__Alignof] = ACTIONS(2412),
    [anon_sym_offsetof] = ACTIONS(2412),
    [anon_sym__Generic] = ACTIONS(2412),
    [anon_sym_asm] = ACTIONS(2412),
    [anon_sym___asm__] = ACTIONS(2412),
    [sym_number_literal] = ACTIONS(2414),
    [anon_sym_L_SQUOTE] = ACTIONS(2414),
    [anon_sym_u_SQUOTE] = ACTIONS(2414),
    [anon_sym_U_SQUOTE] = ACTIONS(2414),
    [anon_sym_u8_SQUOTE] = ACTIONS(2414),
    [anon_sym_SQUOTE] = ACTIONS(2414),
    [anon_sym_L_DQUOTE] = ACTIONS(2414),
    [anon_sym_u_DQUOTE] = ACTIONS(2414),
    [anon_sym_U_DQUOTE] = ACTIONS(2414),
    [anon_sym_u8_DQUOTE] = ACTIONS(2414),
    [anon_sym_DQUOTE] = ACTIONS(2414),
    [sym_true] = ACTIONS(2412),
    [sym_false] = ACTIONS(2412),
    [anon_sym_NULL] = ACTIONS(2412),
    [anon_sym_nullptr] = ACTIONS(2412),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2412),
    [anon_sym_decltype] = ACTIONS(2412),
    [anon_sym_virtual] = ACTIONS(2412),
    [anon_sym_alignas] = ACTIONS(2412),
    [anon_sym_explicit] = ACTIONS(2412),
    [anon_sym_typename] = ACTIONS(2412),
    [anon_sym_template] = ACTIONS(2412),
    [anon_sym_operator] = ACTIONS(2412),
    [anon_sym_try] = ACTIONS(2412),
    [anon_sym_delete] = ACTIONS(2412),
    [anon_sym_throw] = ACTIONS(2412),
    [anon_sym_namespace] = ACTIONS(2412),
    [anon_sym_using] = ACTIONS(2412),
    [anon_sym_static_assert] = ACTIONS(2412),
    [anon_sym_concept] = ACTIONS(2412),
    [anon_sym_co_return] = ACTIONS(2412),
    [anon_sym_co_yield] = ACTIONS(2412),
    [anon_sym_R_DQUOTE] = ACTIONS(2414),
    [anon_sym_LR_DQUOTE] = ACTIONS(2414),
    [anon_sym_uR_DQUOTE] = ACTIONS(2414),
    [anon_sym_UR_DQUOTE] = ACTIONS(2414),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2414),
    [anon_sym_co_await] = ACTIONS(2412),
    [anon_sym_new] = ACTIONS(2412),
    [anon_sym_requires] = ACTIONS(2412),
    [sym_this] = ACTIONS(2412),
    [anon_sym_discard] = ACTIONS(2412),
    [anon_sym_precise] = ACTIONS(2412),
    [anon_sym_shared] = ACTIONS(2412),
    [anon_sym_groupshared] = ACTIONS(2412),
    [anon_sym_uniform] = ACTIONS(2412),
    [anon_sym_row_major] = ACTIONS(2412),
    [anon_sym_column_major] = ACTIONS(2412),
    [anon_sym_globallycoherent] = ACTIONS(2412),
    [anon_sym_centroid] = ACTIONS(2412),
    [anon_sym_noperspective] = ACTIONS(2412),
    [anon_sym_nointerpolation] = ACTIONS(2412),
    [anon_sym_sample] = ACTIONS(2412),
    [anon_sym_linear] = ACTIONS(2412),
    [anon_sym_snorm] = ACTIONS(2412),
    [anon_sym_unorm] = ACTIONS(2412),
    [anon_sym_point] = ACTIONS(2412),
    [anon_sym_line] = ACTIONS(2412),
    [anon_sym_triangleadj] = ACTIONS(2412),
    [anon_sym_lineadj] = ACTIONS(2412),
    [anon_sym_triangle] = ACTIONS(2412),
    [anon_sym_cbuffer] = ACTIONS(2412),
  },
  [281] = {
    [sym_identifier] = ACTIONS(2416),
    [aux_sym_preproc_include_token1] = ACTIONS(2416),
    [aux_sym_preproc_def_token1] = ACTIONS(2416),
    [aux_sym_preproc_if_token1] = ACTIONS(2416),
    [aux_sym_preproc_if_token2] = ACTIONS(2416),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2416),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2416),
    [aux_sym_preproc_else_token1] = ACTIONS(2416),
    [aux_sym_preproc_elif_token1] = ACTIONS(2416),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2416),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2416),
    [sym_preproc_directive] = ACTIONS(2416),
    [anon_sym_LPAREN2] = ACTIONS(2418),
    [anon_sym_BANG] = ACTIONS(2418),
    [anon_sym_TILDE] = ACTIONS(2418),
    [anon_sym_DASH] = ACTIONS(2416),
    [anon_sym_PLUS] = ACTIONS(2416),
    [anon_sym_STAR] = ACTIONS(2418),
    [anon_sym_AMP_AMP] = ACTIONS(2418),
    [anon_sym_AMP] = ACTIONS(2416),
    [anon_sym_SEMI] = ACTIONS(2418),
    [anon_sym___extension__] = ACTIONS(2416),
    [anon_sym_typedef] = ACTIONS(2416),
    [anon_sym_in] = ACTIONS(2416),
    [anon_sym_out] = ACTIONS(2416),
    [anon_sym_inout] = ACTIONS(2416),
    [anon_sym_extern] = ACTIONS(2416),
    [anon_sym___attribute__] = ACTIONS(2416),
    [anon_sym_COLON_COLON] = ACTIONS(2418),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2418),
    [anon_sym___declspec] = ACTIONS(2416),
    [anon_sym___based] = ACTIONS(2416),
    [anon_sym___cdecl] = ACTIONS(2416),
    [anon_sym___clrcall] = ACTIONS(2416),
    [anon_sym___stdcall] = ACTIONS(2416),
    [anon_sym___fastcall] = ACTIONS(2416),
    [anon_sym___thiscall] = ACTIONS(2416),
    [anon_sym___vectorcall] = ACTIONS(2416),
    [anon_sym_LBRACE] = ACTIONS(2418),
    [anon_sym_signed] = ACTIONS(2416),
    [anon_sym_unsigned] = ACTIONS(2416),
    [anon_sym_long] = ACTIONS(2416),
    [anon_sym_short] = ACTIONS(2416),
    [anon_sym_LBRACK] = ACTIONS(2416),
    [anon_sym_static] = ACTIONS(2416),
    [anon_sym_register] = ACTIONS(2416),
    [anon_sym_inline] = ACTIONS(2416),
    [anon_sym___inline] = ACTIONS(2416),
    [anon_sym___inline__] = ACTIONS(2416),
    [anon_sym___forceinline] = ACTIONS(2416),
    [anon_sym_thread_local] = ACTIONS(2416),
    [anon_sym___thread] = ACTIONS(2416),
    [anon_sym_const] = ACTIONS(2416),
    [anon_sym_constexpr] = ACTIONS(2416),
    [anon_sym_volatile] = ACTIONS(2416),
    [anon_sym_restrict] = ACTIONS(2416),
    [anon_sym___restrict__] = ACTIONS(2416),
    [anon_sym__Atomic] = ACTIONS(2416),
    [anon_sym__Noreturn] = ACTIONS(2416),
    [anon_sym_noreturn] = ACTIONS(2416),
    [anon_sym_mutable] = ACTIONS(2416),
    [anon_sym_constinit] = ACTIONS(2416),
    [anon_sym_consteval] = ACTIONS(2416),
    [sym_primitive_type] = ACTIONS(2416),
    [anon_sym_enum] = ACTIONS(2416),
    [anon_sym_class] = ACTIONS(2416),
    [anon_sym_struct] = ACTIONS(2416),
    [anon_sym_union] = ACTIONS(2416),
    [anon_sym_if] = ACTIONS(2416),
    [anon_sym_else] = ACTIONS(2416),
    [anon_sym_switch] = ACTIONS(2416),
    [anon_sym_case] = ACTIONS(2416),
    [anon_sym_default] = ACTIONS(2416),
    [anon_sym_while] = ACTIONS(2416),
    [anon_sym_do] = ACTIONS(2416),
    [anon_sym_for] = ACTIONS(2416),
    [anon_sym_return] = ACTIONS(2416),
    [anon_sym_break] = ACTIONS(2416),
    [anon_sym_continue] = ACTIONS(2416),
    [anon_sym_goto] = ACTIONS(2416),
    [anon_sym___try] = ACTIONS(2416),
    [anon_sym___leave] = ACTIONS(2416),
    [anon_sym_not] = ACTIONS(2416),
    [anon_sym_compl] = ACTIONS(2416),
    [anon_sym_DASH_DASH] = ACTIONS(2418),
    [anon_sym_PLUS_PLUS] = ACTIONS(2418),
    [anon_sym_sizeof] = ACTIONS(2416),
    [anon_sym___alignof__] = ACTIONS(2416),
    [anon_sym___alignof] = ACTIONS(2416),
    [anon_sym__alignof] = ACTIONS(2416),
    [anon_sym_alignof] = ACTIONS(2416),
    [anon_sym__Alignof] = ACTIONS(2416),
    [anon_sym_offsetof] = ACTIONS(2416),
    [anon_sym__Generic] = ACTIONS(2416),
    [anon_sym_asm] = ACTIONS(2416),
    [anon_sym___asm__] = ACTIONS(2416),
    [sym_number_literal] = ACTIONS(2418),
    [anon_sym_L_SQUOTE] = ACTIONS(2418),
    [anon_sym_u_SQUOTE] = ACTIONS(2418),
    [anon_sym_U_SQUOTE] = ACTIONS(2418),
    [anon_sym_u8_SQUOTE] = ACTIONS(2418),
    [anon_sym_SQUOTE] = ACTIONS(2418),
    [anon_sym_L_DQUOTE] = ACTIONS(2418),
    [anon_sym_u_DQUOTE] = ACTIONS(2418),
    [anon_sym_U_DQUOTE] = ACTIONS(2418),
    [anon_sym_u8_DQUOTE] = ACTIONS(2418),
    [anon_sym_DQUOTE] = ACTIONS(2418),
    [sym_true] = ACTIONS(2416),
    [sym_false] = ACTIONS(2416),
    [anon_sym_NULL] = ACTIONS(2416),
    [anon_sym_nullptr] = ACTIONS(2416),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2416),
    [anon_sym_decltype] = ACTIONS(2416),
    [anon_sym_virtual] = ACTIONS(2416),
    [anon_sym_alignas] = ACTIONS(2416),
    [anon_sym_explicit] = ACTIONS(2416),
    [anon_sym_typename] = ACTIONS(2416),
    [anon_sym_template] = ACTIONS(2416),
    [anon_sym_operator] = ACTIONS(2416),
    [anon_sym_try] = ACTIONS(2416),
    [anon_sym_delete] = ACTIONS(2416),
    [anon_sym_throw] = ACTIONS(2416),
    [anon_sym_namespace] = ACTIONS(2416),
    [anon_sym_using] = ACTIONS(2416),
    [anon_sym_static_assert] = ACTIONS(2416),
    [anon_sym_concept] = ACTIONS(2416),
    [anon_sym_co_return] = ACTIONS(2416),
    [anon_sym_co_yield] = ACTIONS(2416),
    [anon_sym_R_DQUOTE] = ACTIONS(2418),
    [anon_sym_LR_DQUOTE] = ACTIONS(2418),
    [anon_sym_uR_DQUOTE] = ACTIONS(2418),
    [anon_sym_UR_DQUOTE] = ACTIONS(2418),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2418),
    [anon_sym_co_await] = ACTIONS(2416),
    [anon_sym_new] = ACTIONS(2416),
    [anon_sym_requires] = ACTIONS(2416),
    [sym_this] = ACTIONS(2416),
    [anon_sym_discard] = ACTIONS(2416),
    [anon_sym_precise] = ACTIONS(2416),
    [anon_sym_shared] = ACTIONS(2416),
    [anon_sym_groupshared] = ACTIONS(2416),
    [anon_sym_uniform] = ACTIONS(2416),
    [anon_sym_row_major] = ACTIONS(2416),
    [anon_sym_column_major] = ACTIONS(2416),
    [anon_sym_globallycoherent] = ACTIONS(2416),
    [anon_sym_centroid] = ACTIONS(2416),
    [anon_sym_noperspective] = ACTIONS(2416),
    [anon_sym_nointerpolation] = ACTIONS(2416),
    [anon_sym_sample] = ACTIONS(2416),
    [anon_sym_linear] = ACTIONS(2416),
    [anon_sym_snorm] = ACTIONS(2416),
    [anon_sym_unorm] = ACTIONS(2416),
    [anon_sym_point] = ACTIONS(2416),
    [anon_sym_line] = ACTIONS(2416),
    [anon_sym_triangleadj] = ACTIONS(2416),
    [anon_sym_lineadj] = ACTIONS(2416),
    [anon_sym_triangle] = ACTIONS(2416),
    [anon_sym_cbuffer] = ACTIONS(2416),
  },
  [282] = {
    [sym_identifier] = ACTIONS(2420),
    [aux_sym_preproc_include_token1] = ACTIONS(2420),
    [aux_sym_preproc_def_token1] = ACTIONS(2420),
    [aux_sym_preproc_if_token1] = ACTIONS(2420),
    [aux_sym_preproc_if_token2] = ACTIONS(2420),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2420),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2420),
    [aux_sym_preproc_else_token1] = ACTIONS(2420),
    [aux_sym_preproc_elif_token1] = ACTIONS(2420),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2420),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2420),
    [sym_preproc_directive] = ACTIONS(2420),
    [anon_sym_LPAREN2] = ACTIONS(2422),
    [anon_sym_BANG] = ACTIONS(2422),
    [anon_sym_TILDE] = ACTIONS(2422),
    [anon_sym_DASH] = ACTIONS(2420),
    [anon_sym_PLUS] = ACTIONS(2420),
    [anon_sym_STAR] = ACTIONS(2422),
    [anon_sym_AMP_AMP] = ACTIONS(2422),
    [anon_sym_AMP] = ACTIONS(2420),
    [anon_sym_SEMI] = ACTIONS(2422),
    [anon_sym___extension__] = ACTIONS(2420),
    [anon_sym_typedef] = ACTIONS(2420),
    [anon_sym_in] = ACTIONS(2420),
    [anon_sym_out] = ACTIONS(2420),
    [anon_sym_inout] = ACTIONS(2420),
    [anon_sym_extern] = ACTIONS(2420),
    [anon_sym___attribute__] = ACTIONS(2420),
    [anon_sym_COLON_COLON] = ACTIONS(2422),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2422),
    [anon_sym___declspec] = ACTIONS(2420),
    [anon_sym___based] = ACTIONS(2420),
    [anon_sym___cdecl] = ACTIONS(2420),
    [anon_sym___clrcall] = ACTIONS(2420),
    [anon_sym___stdcall] = ACTIONS(2420),
    [anon_sym___fastcall] = ACTIONS(2420),
    [anon_sym___thiscall] = ACTIONS(2420),
    [anon_sym___vectorcall] = ACTIONS(2420),
    [anon_sym_LBRACE] = ACTIONS(2422),
    [anon_sym_signed] = ACTIONS(2420),
    [anon_sym_unsigned] = ACTIONS(2420),
    [anon_sym_long] = ACTIONS(2420),
    [anon_sym_short] = ACTIONS(2420),
    [anon_sym_LBRACK] = ACTIONS(2420),
    [anon_sym_static] = ACTIONS(2420),
    [anon_sym_register] = ACTIONS(2420),
    [anon_sym_inline] = ACTIONS(2420),
    [anon_sym___inline] = ACTIONS(2420),
    [anon_sym___inline__] = ACTIONS(2420),
    [anon_sym___forceinline] = ACTIONS(2420),
    [anon_sym_thread_local] = ACTIONS(2420),
    [anon_sym___thread] = ACTIONS(2420),
    [anon_sym_const] = ACTIONS(2420),
    [anon_sym_constexpr] = ACTIONS(2420),
    [anon_sym_volatile] = ACTIONS(2420),
    [anon_sym_restrict] = ACTIONS(2420),
    [anon_sym___restrict__] = ACTIONS(2420),
    [anon_sym__Atomic] = ACTIONS(2420),
    [anon_sym__Noreturn] = ACTIONS(2420),
    [anon_sym_noreturn] = ACTIONS(2420),
    [anon_sym_mutable] = ACTIONS(2420),
    [anon_sym_constinit] = ACTIONS(2420),
    [anon_sym_consteval] = ACTIONS(2420),
    [sym_primitive_type] = ACTIONS(2420),
    [anon_sym_enum] = ACTIONS(2420),
    [anon_sym_class] = ACTIONS(2420),
    [anon_sym_struct] = ACTIONS(2420),
    [anon_sym_union] = ACTIONS(2420),
    [anon_sym_if] = ACTIONS(2420),
    [anon_sym_else] = ACTIONS(2420),
    [anon_sym_switch] = ACTIONS(2420),
    [anon_sym_case] = ACTIONS(2420),
    [anon_sym_default] = ACTIONS(2420),
    [anon_sym_while] = ACTIONS(2420),
    [anon_sym_do] = ACTIONS(2420),
    [anon_sym_for] = ACTIONS(2420),
    [anon_sym_return] = ACTIONS(2420),
    [anon_sym_break] = ACTIONS(2420),
    [anon_sym_continue] = ACTIONS(2420),
    [anon_sym_goto] = ACTIONS(2420),
    [anon_sym___try] = ACTIONS(2420),
    [anon_sym___leave] = ACTIONS(2420),
    [anon_sym_not] = ACTIONS(2420),
    [anon_sym_compl] = ACTIONS(2420),
    [anon_sym_DASH_DASH] = ACTIONS(2422),
    [anon_sym_PLUS_PLUS] = ACTIONS(2422),
    [anon_sym_sizeof] = ACTIONS(2420),
    [anon_sym___alignof__] = ACTIONS(2420),
    [anon_sym___alignof] = ACTIONS(2420),
    [anon_sym__alignof] = ACTIONS(2420),
    [anon_sym_alignof] = ACTIONS(2420),
    [anon_sym__Alignof] = ACTIONS(2420),
    [anon_sym_offsetof] = ACTIONS(2420),
    [anon_sym__Generic] = ACTIONS(2420),
    [anon_sym_asm] = ACTIONS(2420),
    [anon_sym___asm__] = ACTIONS(2420),
    [sym_number_literal] = ACTIONS(2422),
    [anon_sym_L_SQUOTE] = ACTIONS(2422),
    [anon_sym_u_SQUOTE] = ACTIONS(2422),
    [anon_sym_U_SQUOTE] = ACTIONS(2422),
    [anon_sym_u8_SQUOTE] = ACTIONS(2422),
    [anon_sym_SQUOTE] = ACTIONS(2422),
    [anon_sym_L_DQUOTE] = ACTIONS(2422),
    [anon_sym_u_DQUOTE] = ACTIONS(2422),
    [anon_sym_U_DQUOTE] = ACTIONS(2422),
    [anon_sym_u8_DQUOTE] = ACTIONS(2422),
    [anon_sym_DQUOTE] = ACTIONS(2422),
    [sym_true] = ACTIONS(2420),
    [sym_false] = ACTIONS(2420),
    [anon_sym_NULL] = ACTIONS(2420),
    [anon_sym_nullptr] = ACTIONS(2420),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2420),
    [anon_sym_decltype] = ACTIONS(2420),
    [anon_sym_virtual] = ACTIONS(2420),
    [anon_sym_alignas] = ACTIONS(2420),
    [anon_sym_explicit] = ACTIONS(2420),
    [anon_sym_typename] = ACTIONS(2420),
    [anon_sym_template] = ACTIONS(2420),
    [anon_sym_operator] = ACTIONS(2420),
    [anon_sym_try] = ACTIONS(2420),
    [anon_sym_delete] = ACTIONS(2420),
    [anon_sym_throw] = ACTIONS(2420),
    [anon_sym_namespace] = ACTIONS(2420),
    [anon_sym_using] = ACTIONS(2420),
    [anon_sym_static_assert] = ACTIONS(2420),
    [anon_sym_concept] = ACTIONS(2420),
    [anon_sym_co_return] = ACTIONS(2420),
    [anon_sym_co_yield] = ACTIONS(2420),
    [anon_sym_R_DQUOTE] = ACTIONS(2422),
    [anon_sym_LR_DQUOTE] = ACTIONS(2422),
    [anon_sym_uR_DQUOTE] = ACTIONS(2422),
    [anon_sym_UR_DQUOTE] = ACTIONS(2422),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2422),
    [anon_sym_co_await] = ACTIONS(2420),
    [anon_sym_new] = ACTIONS(2420),
    [anon_sym_requires] = ACTIONS(2420),
    [sym_this] = ACTIONS(2420),
    [anon_sym_discard] = ACTIONS(2420),
    [anon_sym_precise] = ACTIONS(2420),
    [anon_sym_shared] = ACTIONS(2420),
    [anon_sym_groupshared] = ACTIONS(2420),
    [anon_sym_uniform] = ACTIONS(2420),
    [anon_sym_row_major] = ACTIONS(2420),
    [anon_sym_column_major] = ACTIONS(2420),
    [anon_sym_globallycoherent] = ACTIONS(2420),
    [anon_sym_centroid] = ACTIONS(2420),
    [anon_sym_noperspective] = ACTIONS(2420),
    [anon_sym_nointerpolation] = ACTIONS(2420),
    [anon_sym_sample] = ACTIONS(2420),
    [anon_sym_linear] = ACTIONS(2420),
    [anon_sym_snorm] = ACTIONS(2420),
    [anon_sym_unorm] = ACTIONS(2420),
    [anon_sym_point] = ACTIONS(2420),
    [anon_sym_line] = ACTIONS(2420),
    [anon_sym_triangleadj] = ACTIONS(2420),
    [anon_sym_lineadj] = ACTIONS(2420),
    [anon_sym_triangle] = ACTIONS(2420),
    [anon_sym_cbuffer] = ACTIONS(2420),
  },
  [283] = {
    [sym_identifier] = ACTIONS(2330),
    [aux_sym_preproc_include_token1] = ACTIONS(2330),
    [aux_sym_preproc_def_token1] = ACTIONS(2330),
    [aux_sym_preproc_if_token1] = ACTIONS(2330),
    [aux_sym_preproc_if_token2] = ACTIONS(2330),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2330),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2330),
    [aux_sym_preproc_else_token1] = ACTIONS(2330),
    [aux_sym_preproc_elif_token1] = ACTIONS(2330),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2330),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2330),
    [sym_preproc_directive] = ACTIONS(2330),
    [anon_sym_LPAREN2] = ACTIONS(2332),
    [anon_sym_BANG] = ACTIONS(2332),
    [anon_sym_TILDE] = ACTIONS(2332),
    [anon_sym_DASH] = ACTIONS(2330),
    [anon_sym_PLUS] = ACTIONS(2330),
    [anon_sym_STAR] = ACTIONS(2332),
    [anon_sym_AMP_AMP] = ACTIONS(2332),
    [anon_sym_AMP] = ACTIONS(2330),
    [anon_sym_SEMI] = ACTIONS(2332),
    [anon_sym___extension__] = ACTIONS(2330),
    [anon_sym_typedef] = ACTIONS(2330),
    [anon_sym_in] = ACTIONS(2330),
    [anon_sym_out] = ACTIONS(2330),
    [anon_sym_inout] = ACTIONS(2330),
    [anon_sym_extern] = ACTIONS(2330),
    [anon_sym___attribute__] = ACTIONS(2330),
    [anon_sym_COLON_COLON] = ACTIONS(2332),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2332),
    [anon_sym___declspec] = ACTIONS(2330),
    [anon_sym___based] = ACTIONS(2330),
    [anon_sym___cdecl] = ACTIONS(2330),
    [anon_sym___clrcall] = ACTIONS(2330),
    [anon_sym___stdcall] = ACTIONS(2330),
    [anon_sym___fastcall] = ACTIONS(2330),
    [anon_sym___thiscall] = ACTIONS(2330),
    [anon_sym___vectorcall] = ACTIONS(2330),
    [anon_sym_LBRACE] = ACTIONS(2332),
    [anon_sym_signed] = ACTIONS(2330),
    [anon_sym_unsigned] = ACTIONS(2330),
    [anon_sym_long] = ACTIONS(2330),
    [anon_sym_short] = ACTIONS(2330),
    [anon_sym_LBRACK] = ACTIONS(2330),
    [anon_sym_static] = ACTIONS(2330),
    [anon_sym_register] = ACTIONS(2330),
    [anon_sym_inline] = ACTIONS(2330),
    [anon_sym___inline] = ACTIONS(2330),
    [anon_sym___inline__] = ACTIONS(2330),
    [anon_sym___forceinline] = ACTIONS(2330),
    [anon_sym_thread_local] = ACTIONS(2330),
    [anon_sym___thread] = ACTIONS(2330),
    [anon_sym_const] = ACTIONS(2330),
    [anon_sym_constexpr] = ACTIONS(2330),
    [anon_sym_volatile] = ACTIONS(2330),
    [anon_sym_restrict] = ACTIONS(2330),
    [anon_sym___restrict__] = ACTIONS(2330),
    [anon_sym__Atomic] = ACTIONS(2330),
    [anon_sym__Noreturn] = ACTIONS(2330),
    [anon_sym_noreturn] = ACTIONS(2330),
    [anon_sym_mutable] = ACTIONS(2330),
    [anon_sym_constinit] = ACTIONS(2330),
    [anon_sym_consteval] = ACTIONS(2330),
    [sym_primitive_type] = ACTIONS(2330),
    [anon_sym_enum] = ACTIONS(2330),
    [anon_sym_class] = ACTIONS(2330),
    [anon_sym_struct] = ACTIONS(2330),
    [anon_sym_union] = ACTIONS(2330),
    [anon_sym_if] = ACTIONS(2330),
    [anon_sym_else] = ACTIONS(2330),
    [anon_sym_switch] = ACTIONS(2330),
    [anon_sym_case] = ACTIONS(2330),
    [anon_sym_default] = ACTIONS(2330),
    [anon_sym_while] = ACTIONS(2330),
    [anon_sym_do] = ACTIONS(2330),
    [anon_sym_for] = ACTIONS(2330),
    [anon_sym_return] = ACTIONS(2330),
    [anon_sym_break] = ACTIONS(2330),
    [anon_sym_continue] = ACTIONS(2330),
    [anon_sym_goto] = ACTIONS(2330),
    [anon_sym___try] = ACTIONS(2330),
    [anon_sym___leave] = ACTIONS(2330),
    [anon_sym_not] = ACTIONS(2330),
    [anon_sym_compl] = ACTIONS(2330),
    [anon_sym_DASH_DASH] = ACTIONS(2332),
    [anon_sym_PLUS_PLUS] = ACTIONS(2332),
    [anon_sym_sizeof] = ACTIONS(2330),
    [anon_sym___alignof__] = ACTIONS(2330),
    [anon_sym___alignof] = ACTIONS(2330),
    [anon_sym__alignof] = ACTIONS(2330),
    [anon_sym_alignof] = ACTIONS(2330),
    [anon_sym__Alignof] = ACTIONS(2330),
    [anon_sym_offsetof] = ACTIONS(2330),
    [anon_sym__Generic] = ACTIONS(2330),
    [anon_sym_asm] = ACTIONS(2330),
    [anon_sym___asm__] = ACTIONS(2330),
    [sym_number_literal] = ACTIONS(2332),
    [anon_sym_L_SQUOTE] = ACTIONS(2332),
    [anon_sym_u_SQUOTE] = ACTIONS(2332),
    [anon_sym_U_SQUOTE] = ACTIONS(2332),
    [anon_sym_u8_SQUOTE] = ACTIONS(2332),
    [anon_sym_SQUOTE] = ACTIONS(2332),
    [anon_sym_L_DQUOTE] = ACTIONS(2332),
    [anon_sym_u_DQUOTE] = ACTIONS(2332),
    [anon_sym_U_DQUOTE] = ACTIONS(2332),
    [anon_sym_u8_DQUOTE] = ACTIONS(2332),
    [anon_sym_DQUOTE] = ACTIONS(2332),
    [sym_true] = ACTIONS(2330),
    [sym_false] = ACTIONS(2330),
    [anon_sym_NULL] = ACTIONS(2330),
    [anon_sym_nullptr] = ACTIONS(2330),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2330),
    [anon_sym_decltype] = ACTIONS(2330),
    [anon_sym_virtual] = ACTIONS(2330),
    [anon_sym_alignas] = ACTIONS(2330),
    [anon_sym_explicit] = ACTIONS(2330),
    [anon_sym_typename] = ACTIONS(2330),
    [anon_sym_template] = ACTIONS(2330),
    [anon_sym_operator] = ACTIONS(2330),
    [anon_sym_try] = ACTIONS(2330),
    [anon_sym_delete] = ACTIONS(2330),
    [anon_sym_throw] = ACTIONS(2330),
    [anon_sym_namespace] = ACTIONS(2330),
    [anon_sym_using] = ACTIONS(2330),
    [anon_sym_static_assert] = ACTIONS(2330),
    [anon_sym_concept] = ACTIONS(2330),
    [anon_sym_co_return] = ACTIONS(2330),
    [anon_sym_co_yield] = ACTIONS(2330),
    [anon_sym_R_DQUOTE] = ACTIONS(2332),
    [anon_sym_LR_DQUOTE] = ACTIONS(2332),
    [anon_sym_uR_DQUOTE] = ACTIONS(2332),
    [anon_sym_UR_DQUOTE] = ACTIONS(2332),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2332),
    [anon_sym_co_await] = ACTIONS(2330),
    [anon_sym_new] = ACTIONS(2330),
    [anon_sym_requires] = ACTIONS(2330),
    [sym_this] = ACTIONS(2330),
    [anon_sym_discard] = ACTIONS(2330),
    [anon_sym_precise] = ACTIONS(2330),
    [anon_sym_shared] = ACTIONS(2330),
    [anon_sym_groupshared] = ACTIONS(2330),
    [anon_sym_uniform] = ACTIONS(2330),
    [anon_sym_row_major] = ACTIONS(2330),
    [anon_sym_column_major] = ACTIONS(2330),
    [anon_sym_globallycoherent] = ACTIONS(2330),
    [anon_sym_centroid] = ACTIONS(2330),
    [anon_sym_noperspective] = ACTIONS(2330),
    [anon_sym_nointerpolation] = ACTIONS(2330),
    [anon_sym_sample] = ACTIONS(2330),
    [anon_sym_linear] = ACTIONS(2330),
    [anon_sym_snorm] = ACTIONS(2330),
    [anon_sym_unorm] = ACTIONS(2330),
    [anon_sym_point] = ACTIONS(2330),
    [anon_sym_line] = ACTIONS(2330),
    [anon_sym_triangleadj] = ACTIONS(2330),
    [anon_sym_lineadj] = ACTIONS(2330),
    [anon_sym_triangle] = ACTIONS(2330),
    [anon_sym_cbuffer] = ACTIONS(2330),
  },
  [284] = {
    [sym_identifier] = ACTIONS(2424),
    [aux_sym_preproc_include_token1] = ACTIONS(2424),
    [aux_sym_preproc_def_token1] = ACTIONS(2424),
    [aux_sym_preproc_if_token1] = ACTIONS(2424),
    [aux_sym_preproc_if_token2] = ACTIONS(2424),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2424),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2424),
    [aux_sym_preproc_else_token1] = ACTIONS(2424),
    [aux_sym_preproc_elif_token1] = ACTIONS(2424),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2424),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2424),
    [sym_preproc_directive] = ACTIONS(2424),
    [anon_sym_LPAREN2] = ACTIONS(2426),
    [anon_sym_BANG] = ACTIONS(2426),
    [anon_sym_TILDE] = ACTIONS(2426),
    [anon_sym_DASH] = ACTIONS(2424),
    [anon_sym_PLUS] = ACTIONS(2424),
    [anon_sym_STAR] = ACTIONS(2426),
    [anon_sym_AMP_AMP] = ACTIONS(2426),
    [anon_sym_AMP] = ACTIONS(2424),
    [anon_sym_SEMI] = ACTIONS(2426),
    [anon_sym___extension__] = ACTIONS(2424),
    [anon_sym_typedef] = ACTIONS(2424),
    [anon_sym_in] = ACTIONS(2424),
    [anon_sym_out] = ACTIONS(2424),
    [anon_sym_inout] = ACTIONS(2424),
    [anon_sym_extern] = ACTIONS(2424),
    [anon_sym___attribute__] = ACTIONS(2424),
    [anon_sym_COLON_COLON] = ACTIONS(2426),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2426),
    [anon_sym___declspec] = ACTIONS(2424),
    [anon_sym___based] = ACTIONS(2424),
    [anon_sym___cdecl] = ACTIONS(2424),
    [anon_sym___clrcall] = ACTIONS(2424),
    [anon_sym___stdcall] = ACTIONS(2424),
    [anon_sym___fastcall] = ACTIONS(2424),
    [anon_sym___thiscall] = ACTIONS(2424),
    [anon_sym___vectorcall] = ACTIONS(2424),
    [anon_sym_LBRACE] = ACTIONS(2426),
    [anon_sym_signed] = ACTIONS(2424),
    [anon_sym_unsigned] = ACTIONS(2424),
    [anon_sym_long] = ACTIONS(2424),
    [anon_sym_short] = ACTIONS(2424),
    [anon_sym_LBRACK] = ACTIONS(2424),
    [anon_sym_static] = ACTIONS(2424),
    [anon_sym_register] = ACTIONS(2424),
    [anon_sym_inline] = ACTIONS(2424),
    [anon_sym___inline] = ACTIONS(2424),
    [anon_sym___inline__] = ACTIONS(2424),
    [anon_sym___forceinline] = ACTIONS(2424),
    [anon_sym_thread_local] = ACTIONS(2424),
    [anon_sym___thread] = ACTIONS(2424),
    [anon_sym_const] = ACTIONS(2424),
    [anon_sym_constexpr] = ACTIONS(2424),
    [anon_sym_volatile] = ACTIONS(2424),
    [anon_sym_restrict] = ACTIONS(2424),
    [anon_sym___restrict__] = ACTIONS(2424),
    [anon_sym__Atomic] = ACTIONS(2424),
    [anon_sym__Noreturn] = ACTIONS(2424),
    [anon_sym_noreturn] = ACTIONS(2424),
    [anon_sym_mutable] = ACTIONS(2424),
    [anon_sym_constinit] = ACTIONS(2424),
    [anon_sym_consteval] = ACTIONS(2424),
    [sym_primitive_type] = ACTIONS(2424),
    [anon_sym_enum] = ACTIONS(2424),
    [anon_sym_class] = ACTIONS(2424),
    [anon_sym_struct] = ACTIONS(2424),
    [anon_sym_union] = ACTIONS(2424),
    [anon_sym_if] = ACTIONS(2424),
    [anon_sym_else] = ACTIONS(2424),
    [anon_sym_switch] = ACTIONS(2424),
    [anon_sym_case] = ACTIONS(2424),
    [anon_sym_default] = ACTIONS(2424),
    [anon_sym_while] = ACTIONS(2424),
    [anon_sym_do] = ACTIONS(2424),
    [anon_sym_for] = ACTIONS(2424),
    [anon_sym_return] = ACTIONS(2424),
    [anon_sym_break] = ACTIONS(2424),
    [anon_sym_continue] = ACTIONS(2424),
    [anon_sym_goto] = ACTIONS(2424),
    [anon_sym___try] = ACTIONS(2424),
    [anon_sym___leave] = ACTIONS(2424),
    [anon_sym_not] = ACTIONS(2424),
    [anon_sym_compl] = ACTIONS(2424),
    [anon_sym_DASH_DASH] = ACTIONS(2426),
    [anon_sym_PLUS_PLUS] = ACTIONS(2426),
    [anon_sym_sizeof] = ACTIONS(2424),
    [anon_sym___alignof__] = ACTIONS(2424),
    [anon_sym___alignof] = ACTIONS(2424),
    [anon_sym__alignof] = ACTIONS(2424),
    [anon_sym_alignof] = ACTIONS(2424),
    [anon_sym__Alignof] = ACTIONS(2424),
    [anon_sym_offsetof] = ACTIONS(2424),
    [anon_sym__Generic] = ACTIONS(2424),
    [anon_sym_asm] = ACTIONS(2424),
    [anon_sym___asm__] = ACTIONS(2424),
    [sym_number_literal] = ACTIONS(2426),
    [anon_sym_L_SQUOTE] = ACTIONS(2426),
    [anon_sym_u_SQUOTE] = ACTIONS(2426),
    [anon_sym_U_SQUOTE] = ACTIONS(2426),
    [anon_sym_u8_SQUOTE] = ACTIONS(2426),
    [anon_sym_SQUOTE] = ACTIONS(2426),
    [anon_sym_L_DQUOTE] = ACTIONS(2426),
    [anon_sym_u_DQUOTE] = ACTIONS(2426),
    [anon_sym_U_DQUOTE] = ACTIONS(2426),
    [anon_sym_u8_DQUOTE] = ACTIONS(2426),
    [anon_sym_DQUOTE] = ACTIONS(2426),
    [sym_true] = ACTIONS(2424),
    [sym_false] = ACTIONS(2424),
    [anon_sym_NULL] = ACTIONS(2424),
    [anon_sym_nullptr] = ACTIONS(2424),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2424),
    [anon_sym_decltype] = ACTIONS(2424),
    [anon_sym_virtual] = ACTIONS(2424),
    [anon_sym_alignas] = ACTIONS(2424),
    [anon_sym_explicit] = ACTIONS(2424),
    [anon_sym_typename] = ACTIONS(2424),
    [anon_sym_template] = ACTIONS(2424),
    [anon_sym_operator] = ACTIONS(2424),
    [anon_sym_try] = ACTIONS(2424),
    [anon_sym_delete] = ACTIONS(2424),
    [anon_sym_throw] = ACTIONS(2424),
    [anon_sym_namespace] = ACTIONS(2424),
    [anon_sym_using] = ACTIONS(2424),
    [anon_sym_static_assert] = ACTIONS(2424),
    [anon_sym_concept] = ACTIONS(2424),
    [anon_sym_co_return] = ACTIONS(2424),
    [anon_sym_co_yield] = ACTIONS(2424),
    [anon_sym_R_DQUOTE] = ACTIONS(2426),
    [anon_sym_LR_DQUOTE] = ACTIONS(2426),
    [anon_sym_uR_DQUOTE] = ACTIONS(2426),
    [anon_sym_UR_DQUOTE] = ACTIONS(2426),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2426),
    [anon_sym_co_await] = ACTIONS(2424),
    [anon_sym_new] = ACTIONS(2424),
    [anon_sym_requires] = ACTIONS(2424),
    [sym_this] = ACTIONS(2424),
    [anon_sym_discard] = ACTIONS(2424),
    [anon_sym_precise] = ACTIONS(2424),
    [anon_sym_shared] = ACTIONS(2424),
    [anon_sym_groupshared] = ACTIONS(2424),
    [anon_sym_uniform] = ACTIONS(2424),
    [anon_sym_row_major] = ACTIONS(2424),
    [anon_sym_column_major] = ACTIONS(2424),
    [anon_sym_globallycoherent] = ACTIONS(2424),
    [anon_sym_centroid] = ACTIONS(2424),
    [anon_sym_noperspective] = ACTIONS(2424),
    [anon_sym_nointerpolation] = ACTIONS(2424),
    [anon_sym_sample] = ACTIONS(2424),
    [anon_sym_linear] = ACTIONS(2424),
    [anon_sym_snorm] = ACTIONS(2424),
    [anon_sym_unorm] = ACTIONS(2424),
    [anon_sym_point] = ACTIONS(2424),
    [anon_sym_line] = ACTIONS(2424),
    [anon_sym_triangleadj] = ACTIONS(2424),
    [anon_sym_lineadj] = ACTIONS(2424),
    [anon_sym_triangle] = ACTIONS(2424),
    [anon_sym_cbuffer] = ACTIONS(2424),
  },
  [285] = {
    [sym_identifier] = ACTIONS(2428),
    [aux_sym_preproc_include_token1] = ACTIONS(2428),
    [aux_sym_preproc_def_token1] = ACTIONS(2428),
    [aux_sym_preproc_if_token1] = ACTIONS(2428),
    [aux_sym_preproc_if_token2] = ACTIONS(2428),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2428),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2428),
    [aux_sym_preproc_else_token1] = ACTIONS(2428),
    [aux_sym_preproc_elif_token1] = ACTIONS(2428),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2428),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2428),
    [sym_preproc_directive] = ACTIONS(2428),
    [anon_sym_LPAREN2] = ACTIONS(2430),
    [anon_sym_BANG] = ACTIONS(2430),
    [anon_sym_TILDE] = ACTIONS(2430),
    [anon_sym_DASH] = ACTIONS(2428),
    [anon_sym_PLUS] = ACTIONS(2428),
    [anon_sym_STAR] = ACTIONS(2430),
    [anon_sym_AMP_AMP] = ACTIONS(2430),
    [anon_sym_AMP] = ACTIONS(2428),
    [anon_sym_SEMI] = ACTIONS(2430),
    [anon_sym___extension__] = ACTIONS(2428),
    [anon_sym_typedef] = ACTIONS(2428),
    [anon_sym_in] = ACTIONS(2428),
    [anon_sym_out] = ACTIONS(2428),
    [anon_sym_inout] = ACTIONS(2428),
    [anon_sym_extern] = ACTIONS(2428),
    [anon_sym___attribute__] = ACTIONS(2428),
    [anon_sym_COLON_COLON] = ACTIONS(2430),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2430),
    [anon_sym___declspec] = ACTIONS(2428),
    [anon_sym___based] = ACTIONS(2428),
    [anon_sym___cdecl] = ACTIONS(2428),
    [anon_sym___clrcall] = ACTIONS(2428),
    [anon_sym___stdcall] = ACTIONS(2428),
    [anon_sym___fastcall] = ACTIONS(2428),
    [anon_sym___thiscall] = ACTIONS(2428),
    [anon_sym___vectorcall] = ACTIONS(2428),
    [anon_sym_LBRACE] = ACTIONS(2430),
    [anon_sym_signed] = ACTIONS(2428),
    [anon_sym_unsigned] = ACTIONS(2428),
    [anon_sym_long] = ACTIONS(2428),
    [anon_sym_short] = ACTIONS(2428),
    [anon_sym_LBRACK] = ACTIONS(2428),
    [anon_sym_static] = ACTIONS(2428),
    [anon_sym_register] = ACTIONS(2428),
    [anon_sym_inline] = ACTIONS(2428),
    [anon_sym___inline] = ACTIONS(2428),
    [anon_sym___inline__] = ACTIONS(2428),
    [anon_sym___forceinline] = ACTIONS(2428),
    [anon_sym_thread_local] = ACTIONS(2428),
    [anon_sym___thread] = ACTIONS(2428),
    [anon_sym_const] = ACTIONS(2428),
    [anon_sym_constexpr] = ACTIONS(2428),
    [anon_sym_volatile] = ACTIONS(2428),
    [anon_sym_restrict] = ACTIONS(2428),
    [anon_sym___restrict__] = ACTIONS(2428),
    [anon_sym__Atomic] = ACTIONS(2428),
    [anon_sym__Noreturn] = ACTIONS(2428),
    [anon_sym_noreturn] = ACTIONS(2428),
    [anon_sym_mutable] = ACTIONS(2428),
    [anon_sym_constinit] = ACTIONS(2428),
    [anon_sym_consteval] = ACTIONS(2428),
    [sym_primitive_type] = ACTIONS(2428),
    [anon_sym_enum] = ACTIONS(2428),
    [anon_sym_class] = ACTIONS(2428),
    [anon_sym_struct] = ACTIONS(2428),
    [anon_sym_union] = ACTIONS(2428),
    [anon_sym_if] = ACTIONS(2428),
    [anon_sym_else] = ACTIONS(2428),
    [anon_sym_switch] = ACTIONS(2428),
    [anon_sym_case] = ACTIONS(2428),
    [anon_sym_default] = ACTIONS(2428),
    [anon_sym_while] = ACTIONS(2428),
    [anon_sym_do] = ACTIONS(2428),
    [anon_sym_for] = ACTIONS(2428),
    [anon_sym_return] = ACTIONS(2428),
    [anon_sym_break] = ACTIONS(2428),
    [anon_sym_continue] = ACTIONS(2428),
    [anon_sym_goto] = ACTIONS(2428),
    [anon_sym___try] = ACTIONS(2428),
    [anon_sym___leave] = ACTIONS(2428),
    [anon_sym_not] = ACTIONS(2428),
    [anon_sym_compl] = ACTIONS(2428),
    [anon_sym_DASH_DASH] = ACTIONS(2430),
    [anon_sym_PLUS_PLUS] = ACTIONS(2430),
    [anon_sym_sizeof] = ACTIONS(2428),
    [anon_sym___alignof__] = ACTIONS(2428),
    [anon_sym___alignof] = ACTIONS(2428),
    [anon_sym__alignof] = ACTIONS(2428),
    [anon_sym_alignof] = ACTIONS(2428),
    [anon_sym__Alignof] = ACTIONS(2428),
    [anon_sym_offsetof] = ACTIONS(2428),
    [anon_sym__Generic] = ACTIONS(2428),
    [anon_sym_asm] = ACTIONS(2428),
    [anon_sym___asm__] = ACTIONS(2428),
    [sym_number_literal] = ACTIONS(2430),
    [anon_sym_L_SQUOTE] = ACTIONS(2430),
    [anon_sym_u_SQUOTE] = ACTIONS(2430),
    [anon_sym_U_SQUOTE] = ACTIONS(2430),
    [anon_sym_u8_SQUOTE] = ACTIONS(2430),
    [anon_sym_SQUOTE] = ACTIONS(2430),
    [anon_sym_L_DQUOTE] = ACTIONS(2430),
    [anon_sym_u_DQUOTE] = ACTIONS(2430),
    [anon_sym_U_DQUOTE] = ACTIONS(2430),
    [anon_sym_u8_DQUOTE] = ACTIONS(2430),
    [anon_sym_DQUOTE] = ACTIONS(2430),
    [sym_true] = ACTIONS(2428),
    [sym_false] = ACTIONS(2428),
    [anon_sym_NULL] = ACTIONS(2428),
    [anon_sym_nullptr] = ACTIONS(2428),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2428),
    [anon_sym_decltype] = ACTIONS(2428),
    [anon_sym_virtual] = ACTIONS(2428),
    [anon_sym_alignas] = ACTIONS(2428),
    [anon_sym_explicit] = ACTIONS(2428),
    [anon_sym_typename] = ACTIONS(2428),
    [anon_sym_template] = ACTIONS(2428),
    [anon_sym_operator] = ACTIONS(2428),
    [anon_sym_try] = ACTIONS(2428),
    [anon_sym_delete] = ACTIONS(2428),
    [anon_sym_throw] = ACTIONS(2428),
    [anon_sym_namespace] = ACTIONS(2428),
    [anon_sym_using] = ACTIONS(2428),
    [anon_sym_static_assert] = ACTIONS(2428),
    [anon_sym_concept] = ACTIONS(2428),
    [anon_sym_co_return] = ACTIONS(2428),
    [anon_sym_co_yield] = ACTIONS(2428),
    [anon_sym_R_DQUOTE] = ACTIONS(2430),
    [anon_sym_LR_DQUOTE] = ACTIONS(2430),
    [anon_sym_uR_DQUOTE] = ACTIONS(2430),
    [anon_sym_UR_DQUOTE] = ACTIONS(2430),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2430),
    [anon_sym_co_await] = ACTIONS(2428),
    [anon_sym_new] = ACTIONS(2428),
    [anon_sym_requires] = ACTIONS(2428),
    [sym_this] = ACTIONS(2428),
    [anon_sym_discard] = ACTIONS(2428),
    [anon_sym_precise] = ACTIONS(2428),
    [anon_sym_shared] = ACTIONS(2428),
    [anon_sym_groupshared] = ACTIONS(2428),
    [anon_sym_uniform] = ACTIONS(2428),
    [anon_sym_row_major] = ACTIONS(2428),
    [anon_sym_column_major] = ACTIONS(2428),
    [anon_sym_globallycoherent] = ACTIONS(2428),
    [anon_sym_centroid] = ACTIONS(2428),
    [anon_sym_noperspective] = ACTIONS(2428),
    [anon_sym_nointerpolation] = ACTIONS(2428),
    [anon_sym_sample] = ACTIONS(2428),
    [anon_sym_linear] = ACTIONS(2428),
    [anon_sym_snorm] = ACTIONS(2428),
    [anon_sym_unorm] = ACTIONS(2428),
    [anon_sym_point] = ACTIONS(2428),
    [anon_sym_line] = ACTIONS(2428),
    [anon_sym_triangleadj] = ACTIONS(2428),
    [anon_sym_lineadj] = ACTIONS(2428),
    [anon_sym_triangle] = ACTIONS(2428),
    [anon_sym_cbuffer] = ACTIONS(2428),
  },
  [286] = {
    [sym_identifier] = ACTIONS(2432),
    [aux_sym_preproc_include_token1] = ACTIONS(2432),
    [aux_sym_preproc_def_token1] = ACTIONS(2432),
    [aux_sym_preproc_if_token1] = ACTIONS(2432),
    [aux_sym_preproc_if_token2] = ACTIONS(2432),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2432),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2432),
    [aux_sym_preproc_else_token1] = ACTIONS(2432),
    [aux_sym_preproc_elif_token1] = ACTIONS(2432),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2432),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2432),
    [sym_preproc_directive] = ACTIONS(2432),
    [anon_sym_LPAREN2] = ACTIONS(2434),
    [anon_sym_BANG] = ACTIONS(2434),
    [anon_sym_TILDE] = ACTIONS(2434),
    [anon_sym_DASH] = ACTIONS(2432),
    [anon_sym_PLUS] = ACTIONS(2432),
    [anon_sym_STAR] = ACTIONS(2434),
    [anon_sym_AMP_AMP] = ACTIONS(2434),
    [anon_sym_AMP] = ACTIONS(2432),
    [anon_sym_SEMI] = ACTIONS(2434),
    [anon_sym___extension__] = ACTIONS(2432),
    [anon_sym_typedef] = ACTIONS(2432),
    [anon_sym_in] = ACTIONS(2432),
    [anon_sym_out] = ACTIONS(2432),
    [anon_sym_inout] = ACTIONS(2432),
    [anon_sym_extern] = ACTIONS(2432),
    [anon_sym___attribute__] = ACTIONS(2432),
    [anon_sym_COLON_COLON] = ACTIONS(2434),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2434),
    [anon_sym___declspec] = ACTIONS(2432),
    [anon_sym___based] = ACTIONS(2432),
    [anon_sym___cdecl] = ACTIONS(2432),
    [anon_sym___clrcall] = ACTIONS(2432),
    [anon_sym___stdcall] = ACTIONS(2432),
    [anon_sym___fastcall] = ACTIONS(2432),
    [anon_sym___thiscall] = ACTIONS(2432),
    [anon_sym___vectorcall] = ACTIONS(2432),
    [anon_sym_LBRACE] = ACTIONS(2434),
    [anon_sym_signed] = ACTIONS(2432),
    [anon_sym_unsigned] = ACTIONS(2432),
    [anon_sym_long] = ACTIONS(2432),
    [anon_sym_short] = ACTIONS(2432),
    [anon_sym_LBRACK] = ACTIONS(2432),
    [anon_sym_static] = ACTIONS(2432),
    [anon_sym_register] = ACTIONS(2432),
    [anon_sym_inline] = ACTIONS(2432),
    [anon_sym___inline] = ACTIONS(2432),
    [anon_sym___inline__] = ACTIONS(2432),
    [anon_sym___forceinline] = ACTIONS(2432),
    [anon_sym_thread_local] = ACTIONS(2432),
    [anon_sym___thread] = ACTIONS(2432),
    [anon_sym_const] = ACTIONS(2432),
    [anon_sym_constexpr] = ACTIONS(2432),
    [anon_sym_volatile] = ACTIONS(2432),
    [anon_sym_restrict] = ACTIONS(2432),
    [anon_sym___restrict__] = ACTIONS(2432),
    [anon_sym__Atomic] = ACTIONS(2432),
    [anon_sym__Noreturn] = ACTIONS(2432),
    [anon_sym_noreturn] = ACTIONS(2432),
    [anon_sym_mutable] = ACTIONS(2432),
    [anon_sym_constinit] = ACTIONS(2432),
    [anon_sym_consteval] = ACTIONS(2432),
    [sym_primitive_type] = ACTIONS(2432),
    [anon_sym_enum] = ACTIONS(2432),
    [anon_sym_class] = ACTIONS(2432),
    [anon_sym_struct] = ACTIONS(2432),
    [anon_sym_union] = ACTIONS(2432),
    [anon_sym_if] = ACTIONS(2432),
    [anon_sym_else] = ACTIONS(2432),
    [anon_sym_switch] = ACTIONS(2432),
    [anon_sym_case] = ACTIONS(2432),
    [anon_sym_default] = ACTIONS(2432),
    [anon_sym_while] = ACTIONS(2432),
    [anon_sym_do] = ACTIONS(2432),
    [anon_sym_for] = ACTIONS(2432),
    [anon_sym_return] = ACTIONS(2432),
    [anon_sym_break] = ACTIONS(2432),
    [anon_sym_continue] = ACTIONS(2432),
    [anon_sym_goto] = ACTIONS(2432),
    [anon_sym___try] = ACTIONS(2432),
    [anon_sym___leave] = ACTIONS(2432),
    [anon_sym_not] = ACTIONS(2432),
    [anon_sym_compl] = ACTIONS(2432),
    [anon_sym_DASH_DASH] = ACTIONS(2434),
    [anon_sym_PLUS_PLUS] = ACTIONS(2434),
    [anon_sym_sizeof] = ACTIONS(2432),
    [anon_sym___alignof__] = ACTIONS(2432),
    [anon_sym___alignof] = ACTIONS(2432),
    [anon_sym__alignof] = ACTIONS(2432),
    [anon_sym_alignof] = ACTIONS(2432),
    [anon_sym__Alignof] = ACTIONS(2432),
    [anon_sym_offsetof] = ACTIONS(2432),
    [anon_sym__Generic] = ACTIONS(2432),
    [anon_sym_asm] = ACTIONS(2432),
    [anon_sym___asm__] = ACTIONS(2432),
    [sym_number_literal] = ACTIONS(2434),
    [anon_sym_L_SQUOTE] = ACTIONS(2434),
    [anon_sym_u_SQUOTE] = ACTIONS(2434),
    [anon_sym_U_SQUOTE] = ACTIONS(2434),
    [anon_sym_u8_SQUOTE] = ACTIONS(2434),
    [anon_sym_SQUOTE] = ACTIONS(2434),
    [anon_sym_L_DQUOTE] = ACTIONS(2434),
    [anon_sym_u_DQUOTE] = ACTIONS(2434),
    [anon_sym_U_DQUOTE] = ACTIONS(2434),
    [anon_sym_u8_DQUOTE] = ACTIONS(2434),
    [anon_sym_DQUOTE] = ACTIONS(2434),
    [sym_true] = ACTIONS(2432),
    [sym_false] = ACTIONS(2432),
    [anon_sym_NULL] = ACTIONS(2432),
    [anon_sym_nullptr] = ACTIONS(2432),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2432),
    [anon_sym_decltype] = ACTIONS(2432),
    [anon_sym_virtual] = ACTIONS(2432),
    [anon_sym_alignas] = ACTIONS(2432),
    [anon_sym_explicit] = ACTIONS(2432),
    [anon_sym_typename] = ACTIONS(2432),
    [anon_sym_template] = ACTIONS(2432),
    [anon_sym_operator] = ACTIONS(2432),
    [anon_sym_try] = ACTIONS(2432),
    [anon_sym_delete] = ACTIONS(2432),
    [anon_sym_throw] = ACTIONS(2432),
    [anon_sym_namespace] = ACTIONS(2432),
    [anon_sym_using] = ACTIONS(2432),
    [anon_sym_static_assert] = ACTIONS(2432),
    [anon_sym_concept] = ACTIONS(2432),
    [anon_sym_co_return] = ACTIONS(2432),
    [anon_sym_co_yield] = ACTIONS(2432),
    [anon_sym_R_DQUOTE] = ACTIONS(2434),
    [anon_sym_LR_DQUOTE] = ACTIONS(2434),
    [anon_sym_uR_DQUOTE] = ACTIONS(2434),
    [anon_sym_UR_DQUOTE] = ACTIONS(2434),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2434),
    [anon_sym_co_await] = ACTIONS(2432),
    [anon_sym_new] = ACTIONS(2432),
    [anon_sym_requires] = ACTIONS(2432),
    [sym_this] = ACTIONS(2432),
    [anon_sym_discard] = ACTIONS(2432),
    [anon_sym_precise] = ACTIONS(2432),
    [anon_sym_shared] = ACTIONS(2432),
    [anon_sym_groupshared] = ACTIONS(2432),
    [anon_sym_uniform] = ACTIONS(2432),
    [anon_sym_row_major] = ACTIONS(2432),
    [anon_sym_column_major] = ACTIONS(2432),
    [anon_sym_globallycoherent] = ACTIONS(2432),
    [anon_sym_centroid] = ACTIONS(2432),
    [anon_sym_noperspective] = ACTIONS(2432),
    [anon_sym_nointerpolation] = ACTIONS(2432),
    [anon_sym_sample] = ACTIONS(2432),
    [anon_sym_linear] = ACTIONS(2432),
    [anon_sym_snorm] = ACTIONS(2432),
    [anon_sym_unorm] = ACTIONS(2432),
    [anon_sym_point] = ACTIONS(2432),
    [anon_sym_line] = ACTIONS(2432),
    [anon_sym_triangleadj] = ACTIONS(2432),
    [anon_sym_lineadj] = ACTIONS(2432),
    [anon_sym_triangle] = ACTIONS(2432),
    [anon_sym_cbuffer] = ACTIONS(2432),
  },
  [287] = {
    [sym_identifier] = ACTIONS(2436),
    [aux_sym_preproc_include_token1] = ACTIONS(2436),
    [aux_sym_preproc_def_token1] = ACTIONS(2436),
    [aux_sym_preproc_if_token1] = ACTIONS(2436),
    [aux_sym_preproc_if_token2] = ACTIONS(2436),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2436),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2436),
    [aux_sym_preproc_else_token1] = ACTIONS(2436),
    [aux_sym_preproc_elif_token1] = ACTIONS(2436),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2436),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2436),
    [sym_preproc_directive] = ACTIONS(2436),
    [anon_sym_LPAREN2] = ACTIONS(2438),
    [anon_sym_BANG] = ACTIONS(2438),
    [anon_sym_TILDE] = ACTIONS(2438),
    [anon_sym_DASH] = ACTIONS(2436),
    [anon_sym_PLUS] = ACTIONS(2436),
    [anon_sym_STAR] = ACTIONS(2438),
    [anon_sym_AMP_AMP] = ACTIONS(2438),
    [anon_sym_AMP] = ACTIONS(2436),
    [anon_sym_SEMI] = ACTIONS(2438),
    [anon_sym___extension__] = ACTIONS(2436),
    [anon_sym_typedef] = ACTIONS(2436),
    [anon_sym_in] = ACTIONS(2436),
    [anon_sym_out] = ACTIONS(2436),
    [anon_sym_inout] = ACTIONS(2436),
    [anon_sym_extern] = ACTIONS(2436),
    [anon_sym___attribute__] = ACTIONS(2436),
    [anon_sym_COLON_COLON] = ACTIONS(2438),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2438),
    [anon_sym___declspec] = ACTIONS(2436),
    [anon_sym___based] = ACTIONS(2436),
    [anon_sym___cdecl] = ACTIONS(2436),
    [anon_sym___clrcall] = ACTIONS(2436),
    [anon_sym___stdcall] = ACTIONS(2436),
    [anon_sym___fastcall] = ACTIONS(2436),
    [anon_sym___thiscall] = ACTIONS(2436),
    [anon_sym___vectorcall] = ACTIONS(2436),
    [anon_sym_LBRACE] = ACTIONS(2438),
    [anon_sym_signed] = ACTIONS(2436),
    [anon_sym_unsigned] = ACTIONS(2436),
    [anon_sym_long] = ACTIONS(2436),
    [anon_sym_short] = ACTIONS(2436),
    [anon_sym_LBRACK] = ACTIONS(2436),
    [anon_sym_static] = ACTIONS(2436),
    [anon_sym_register] = ACTIONS(2436),
    [anon_sym_inline] = ACTIONS(2436),
    [anon_sym___inline] = ACTIONS(2436),
    [anon_sym___inline__] = ACTIONS(2436),
    [anon_sym___forceinline] = ACTIONS(2436),
    [anon_sym_thread_local] = ACTIONS(2436),
    [anon_sym___thread] = ACTIONS(2436),
    [anon_sym_const] = ACTIONS(2436),
    [anon_sym_constexpr] = ACTIONS(2436),
    [anon_sym_volatile] = ACTIONS(2436),
    [anon_sym_restrict] = ACTIONS(2436),
    [anon_sym___restrict__] = ACTIONS(2436),
    [anon_sym__Atomic] = ACTIONS(2436),
    [anon_sym__Noreturn] = ACTIONS(2436),
    [anon_sym_noreturn] = ACTIONS(2436),
    [anon_sym_mutable] = ACTIONS(2436),
    [anon_sym_constinit] = ACTIONS(2436),
    [anon_sym_consteval] = ACTIONS(2436),
    [sym_primitive_type] = ACTIONS(2436),
    [anon_sym_enum] = ACTIONS(2436),
    [anon_sym_class] = ACTIONS(2436),
    [anon_sym_struct] = ACTIONS(2436),
    [anon_sym_union] = ACTIONS(2436),
    [anon_sym_if] = ACTIONS(2436),
    [anon_sym_else] = ACTIONS(2436),
    [anon_sym_switch] = ACTIONS(2436),
    [anon_sym_case] = ACTIONS(2436),
    [anon_sym_default] = ACTIONS(2436),
    [anon_sym_while] = ACTIONS(2436),
    [anon_sym_do] = ACTIONS(2436),
    [anon_sym_for] = ACTIONS(2436),
    [anon_sym_return] = ACTIONS(2436),
    [anon_sym_break] = ACTIONS(2436),
    [anon_sym_continue] = ACTIONS(2436),
    [anon_sym_goto] = ACTIONS(2436),
    [anon_sym___try] = ACTIONS(2436),
    [anon_sym___leave] = ACTIONS(2436),
    [anon_sym_not] = ACTIONS(2436),
    [anon_sym_compl] = ACTIONS(2436),
    [anon_sym_DASH_DASH] = ACTIONS(2438),
    [anon_sym_PLUS_PLUS] = ACTIONS(2438),
    [anon_sym_sizeof] = ACTIONS(2436),
    [anon_sym___alignof__] = ACTIONS(2436),
    [anon_sym___alignof] = ACTIONS(2436),
    [anon_sym__alignof] = ACTIONS(2436),
    [anon_sym_alignof] = ACTIONS(2436),
    [anon_sym__Alignof] = ACTIONS(2436),
    [anon_sym_offsetof] = ACTIONS(2436),
    [anon_sym__Generic] = ACTIONS(2436),
    [anon_sym_asm] = ACTIONS(2436),
    [anon_sym___asm__] = ACTIONS(2436),
    [sym_number_literal] = ACTIONS(2438),
    [anon_sym_L_SQUOTE] = ACTIONS(2438),
    [anon_sym_u_SQUOTE] = ACTIONS(2438),
    [anon_sym_U_SQUOTE] = ACTIONS(2438),
    [anon_sym_u8_SQUOTE] = ACTIONS(2438),
    [anon_sym_SQUOTE] = ACTIONS(2438),
    [anon_sym_L_DQUOTE] = ACTIONS(2438),
    [anon_sym_u_DQUOTE] = ACTIONS(2438),
    [anon_sym_U_DQUOTE] = ACTIONS(2438),
    [anon_sym_u8_DQUOTE] = ACTIONS(2438),
    [anon_sym_DQUOTE] = ACTIONS(2438),
    [sym_true] = ACTIONS(2436),
    [sym_false] = ACTIONS(2436),
    [anon_sym_NULL] = ACTIONS(2436),
    [anon_sym_nullptr] = ACTIONS(2436),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2436),
    [anon_sym_decltype] = ACTIONS(2436),
    [anon_sym_virtual] = ACTIONS(2436),
    [anon_sym_alignas] = ACTIONS(2436),
    [anon_sym_explicit] = ACTIONS(2436),
    [anon_sym_typename] = ACTIONS(2436),
    [anon_sym_template] = ACTIONS(2436),
    [anon_sym_operator] = ACTIONS(2436),
    [anon_sym_try] = ACTIONS(2436),
    [anon_sym_delete] = ACTIONS(2436),
    [anon_sym_throw] = ACTIONS(2436),
    [anon_sym_namespace] = ACTIONS(2436),
    [anon_sym_using] = ACTIONS(2436),
    [anon_sym_static_assert] = ACTIONS(2436),
    [anon_sym_concept] = ACTIONS(2436),
    [anon_sym_co_return] = ACTIONS(2436),
    [anon_sym_co_yield] = ACTIONS(2436),
    [anon_sym_R_DQUOTE] = ACTIONS(2438),
    [anon_sym_LR_DQUOTE] = ACTIONS(2438),
    [anon_sym_uR_DQUOTE] = ACTIONS(2438),
    [anon_sym_UR_DQUOTE] = ACTIONS(2438),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2438),
    [anon_sym_co_await] = ACTIONS(2436),
    [anon_sym_new] = ACTIONS(2436),
    [anon_sym_requires] = ACTIONS(2436),
    [sym_this] = ACTIONS(2436),
    [anon_sym_discard] = ACTIONS(2436),
    [anon_sym_precise] = ACTIONS(2436),
    [anon_sym_shared] = ACTIONS(2436),
    [anon_sym_groupshared] = ACTIONS(2436),
    [anon_sym_uniform] = ACTIONS(2436),
    [anon_sym_row_major] = ACTIONS(2436),
    [anon_sym_column_major] = ACTIONS(2436),
    [anon_sym_globallycoherent] = ACTIONS(2436),
    [anon_sym_centroid] = ACTIONS(2436),
    [anon_sym_noperspective] = ACTIONS(2436),
    [anon_sym_nointerpolation] = ACTIONS(2436),
    [anon_sym_sample] = ACTIONS(2436),
    [anon_sym_linear] = ACTIONS(2436),
    [anon_sym_snorm] = ACTIONS(2436),
    [anon_sym_unorm] = ACTIONS(2436),
    [anon_sym_point] = ACTIONS(2436),
    [anon_sym_line] = ACTIONS(2436),
    [anon_sym_triangleadj] = ACTIONS(2436),
    [anon_sym_lineadj] = ACTIONS(2436),
    [anon_sym_triangle] = ACTIONS(2436),
    [anon_sym_cbuffer] = ACTIONS(2436),
  },
  [288] = {
    [sym_identifier] = ACTIONS(2330),
    [aux_sym_preproc_include_token1] = ACTIONS(2330),
    [aux_sym_preproc_def_token1] = ACTIONS(2330),
    [aux_sym_preproc_if_token1] = ACTIONS(2330),
    [aux_sym_preproc_if_token2] = ACTIONS(2330),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2330),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2330),
    [aux_sym_preproc_else_token1] = ACTIONS(2330),
    [aux_sym_preproc_elif_token1] = ACTIONS(2330),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2330),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2330),
    [sym_preproc_directive] = ACTIONS(2330),
    [anon_sym_LPAREN2] = ACTIONS(2332),
    [anon_sym_BANG] = ACTIONS(2332),
    [anon_sym_TILDE] = ACTIONS(2332),
    [anon_sym_DASH] = ACTIONS(2330),
    [anon_sym_PLUS] = ACTIONS(2330),
    [anon_sym_STAR] = ACTIONS(2332),
    [anon_sym_AMP_AMP] = ACTIONS(2332),
    [anon_sym_AMP] = ACTIONS(2330),
    [anon_sym_SEMI] = ACTIONS(2332),
    [anon_sym___extension__] = ACTIONS(2330),
    [anon_sym_typedef] = ACTIONS(2330),
    [anon_sym_in] = ACTIONS(2330),
    [anon_sym_out] = ACTIONS(2330),
    [anon_sym_inout] = ACTIONS(2330),
    [anon_sym_extern] = ACTIONS(2330),
    [anon_sym___attribute__] = ACTIONS(2330),
    [anon_sym_COLON_COLON] = ACTIONS(2332),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2332),
    [anon_sym___declspec] = ACTIONS(2330),
    [anon_sym___based] = ACTIONS(2330),
    [anon_sym___cdecl] = ACTIONS(2330),
    [anon_sym___clrcall] = ACTIONS(2330),
    [anon_sym___stdcall] = ACTIONS(2330),
    [anon_sym___fastcall] = ACTIONS(2330),
    [anon_sym___thiscall] = ACTIONS(2330),
    [anon_sym___vectorcall] = ACTIONS(2330),
    [anon_sym_LBRACE] = ACTIONS(2332),
    [anon_sym_signed] = ACTIONS(2330),
    [anon_sym_unsigned] = ACTIONS(2330),
    [anon_sym_long] = ACTIONS(2330),
    [anon_sym_short] = ACTIONS(2330),
    [anon_sym_LBRACK] = ACTIONS(2330),
    [anon_sym_static] = ACTIONS(2330),
    [anon_sym_register] = ACTIONS(2330),
    [anon_sym_inline] = ACTIONS(2330),
    [anon_sym___inline] = ACTIONS(2330),
    [anon_sym___inline__] = ACTIONS(2330),
    [anon_sym___forceinline] = ACTIONS(2330),
    [anon_sym_thread_local] = ACTIONS(2330),
    [anon_sym___thread] = ACTIONS(2330),
    [anon_sym_const] = ACTIONS(2330),
    [anon_sym_constexpr] = ACTIONS(2330),
    [anon_sym_volatile] = ACTIONS(2330),
    [anon_sym_restrict] = ACTIONS(2330),
    [anon_sym___restrict__] = ACTIONS(2330),
    [anon_sym__Atomic] = ACTIONS(2330),
    [anon_sym__Noreturn] = ACTIONS(2330),
    [anon_sym_noreturn] = ACTIONS(2330),
    [anon_sym_mutable] = ACTIONS(2330),
    [anon_sym_constinit] = ACTIONS(2330),
    [anon_sym_consteval] = ACTIONS(2330),
    [sym_primitive_type] = ACTIONS(2330),
    [anon_sym_enum] = ACTIONS(2330),
    [anon_sym_class] = ACTIONS(2330),
    [anon_sym_struct] = ACTIONS(2330),
    [anon_sym_union] = ACTIONS(2330),
    [anon_sym_if] = ACTIONS(2330),
    [anon_sym_else] = ACTIONS(2330),
    [anon_sym_switch] = ACTIONS(2330),
    [anon_sym_case] = ACTIONS(2330),
    [anon_sym_default] = ACTIONS(2330),
    [anon_sym_while] = ACTIONS(2330),
    [anon_sym_do] = ACTIONS(2330),
    [anon_sym_for] = ACTIONS(2330),
    [anon_sym_return] = ACTIONS(2330),
    [anon_sym_break] = ACTIONS(2330),
    [anon_sym_continue] = ACTIONS(2330),
    [anon_sym_goto] = ACTIONS(2330),
    [anon_sym___try] = ACTIONS(2330),
    [anon_sym___leave] = ACTIONS(2330),
    [anon_sym_not] = ACTIONS(2330),
    [anon_sym_compl] = ACTIONS(2330),
    [anon_sym_DASH_DASH] = ACTIONS(2332),
    [anon_sym_PLUS_PLUS] = ACTIONS(2332),
    [anon_sym_sizeof] = ACTIONS(2330),
    [anon_sym___alignof__] = ACTIONS(2330),
    [anon_sym___alignof] = ACTIONS(2330),
    [anon_sym__alignof] = ACTIONS(2330),
    [anon_sym_alignof] = ACTIONS(2330),
    [anon_sym__Alignof] = ACTIONS(2330),
    [anon_sym_offsetof] = ACTIONS(2330),
    [anon_sym__Generic] = ACTIONS(2330),
    [anon_sym_asm] = ACTIONS(2330),
    [anon_sym___asm__] = ACTIONS(2330),
    [sym_number_literal] = ACTIONS(2332),
    [anon_sym_L_SQUOTE] = ACTIONS(2332),
    [anon_sym_u_SQUOTE] = ACTIONS(2332),
    [anon_sym_U_SQUOTE] = ACTIONS(2332),
    [anon_sym_u8_SQUOTE] = ACTIONS(2332),
    [anon_sym_SQUOTE] = ACTIONS(2332),
    [anon_sym_L_DQUOTE] = ACTIONS(2332),
    [anon_sym_u_DQUOTE] = ACTIONS(2332),
    [anon_sym_U_DQUOTE] = ACTIONS(2332),
    [anon_sym_u8_DQUOTE] = ACTIONS(2332),
    [anon_sym_DQUOTE] = ACTIONS(2332),
    [sym_true] = ACTIONS(2330),
    [sym_false] = ACTIONS(2330),
    [anon_sym_NULL] = ACTIONS(2330),
    [anon_sym_nullptr] = ACTIONS(2330),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2330),
    [anon_sym_decltype] = ACTIONS(2330),
    [anon_sym_virtual] = ACTIONS(2330),
    [anon_sym_alignas] = ACTIONS(2330),
    [anon_sym_explicit] = ACTIONS(2330),
    [anon_sym_typename] = ACTIONS(2330),
    [anon_sym_template] = ACTIONS(2330),
    [anon_sym_operator] = ACTIONS(2330),
    [anon_sym_try] = ACTIONS(2330),
    [anon_sym_delete] = ACTIONS(2330),
    [anon_sym_throw] = ACTIONS(2330),
    [anon_sym_namespace] = ACTIONS(2330),
    [anon_sym_using] = ACTIONS(2330),
    [anon_sym_static_assert] = ACTIONS(2330),
    [anon_sym_concept] = ACTIONS(2330),
    [anon_sym_co_return] = ACTIONS(2330),
    [anon_sym_co_yield] = ACTIONS(2330),
    [anon_sym_R_DQUOTE] = ACTIONS(2332),
    [anon_sym_LR_DQUOTE] = ACTIONS(2332),
    [anon_sym_uR_DQUOTE] = ACTIONS(2332),
    [anon_sym_UR_DQUOTE] = ACTIONS(2332),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2332),
    [anon_sym_co_await] = ACTIONS(2330),
    [anon_sym_new] = ACTIONS(2330),
    [anon_sym_requires] = ACTIONS(2330),
    [sym_this] = ACTIONS(2330),
    [anon_sym_discard] = ACTIONS(2330),
    [anon_sym_precise] = ACTIONS(2330),
    [anon_sym_shared] = ACTIONS(2330),
    [anon_sym_groupshared] = ACTIONS(2330),
    [anon_sym_uniform] = ACTIONS(2330),
    [anon_sym_row_major] = ACTIONS(2330),
    [anon_sym_column_major] = ACTIONS(2330),
    [anon_sym_globallycoherent] = ACTIONS(2330),
    [anon_sym_centroid] = ACTIONS(2330),
    [anon_sym_noperspective] = ACTIONS(2330),
    [anon_sym_nointerpolation] = ACTIONS(2330),
    [anon_sym_sample] = ACTIONS(2330),
    [anon_sym_linear] = ACTIONS(2330),
    [anon_sym_snorm] = ACTIONS(2330),
    [anon_sym_unorm] = ACTIONS(2330),
    [anon_sym_point] = ACTIONS(2330),
    [anon_sym_line] = ACTIONS(2330),
    [anon_sym_triangleadj] = ACTIONS(2330),
    [anon_sym_lineadj] = ACTIONS(2330),
    [anon_sym_triangle] = ACTIONS(2330),
    [anon_sym_cbuffer] = ACTIONS(2330),
  },
  [289] = {
    [sym_identifier] = ACTIONS(2440),
    [aux_sym_preproc_include_token1] = ACTIONS(2440),
    [aux_sym_preproc_def_token1] = ACTIONS(2440),
    [aux_sym_preproc_if_token1] = ACTIONS(2440),
    [aux_sym_preproc_if_token2] = ACTIONS(2440),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2440),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2440),
    [aux_sym_preproc_else_token1] = ACTIONS(2440),
    [aux_sym_preproc_elif_token1] = ACTIONS(2440),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2440),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2440),
    [sym_preproc_directive] = ACTIONS(2440),
    [anon_sym_LPAREN2] = ACTIONS(2442),
    [anon_sym_BANG] = ACTIONS(2442),
    [anon_sym_TILDE] = ACTIONS(2442),
    [anon_sym_DASH] = ACTIONS(2440),
    [anon_sym_PLUS] = ACTIONS(2440),
    [anon_sym_STAR] = ACTIONS(2442),
    [anon_sym_AMP_AMP] = ACTIONS(2442),
    [anon_sym_AMP] = ACTIONS(2440),
    [anon_sym_SEMI] = ACTIONS(2442),
    [anon_sym___extension__] = ACTIONS(2440),
    [anon_sym_typedef] = ACTIONS(2440),
    [anon_sym_in] = ACTIONS(2440),
    [anon_sym_out] = ACTIONS(2440),
    [anon_sym_inout] = ACTIONS(2440),
    [anon_sym_extern] = ACTIONS(2440),
    [anon_sym___attribute__] = ACTIONS(2440),
    [anon_sym_COLON_COLON] = ACTIONS(2442),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2442),
    [anon_sym___declspec] = ACTIONS(2440),
    [anon_sym___based] = ACTIONS(2440),
    [anon_sym___cdecl] = ACTIONS(2440),
    [anon_sym___clrcall] = ACTIONS(2440),
    [anon_sym___stdcall] = ACTIONS(2440),
    [anon_sym___fastcall] = ACTIONS(2440),
    [anon_sym___thiscall] = ACTIONS(2440),
    [anon_sym___vectorcall] = ACTIONS(2440),
    [anon_sym_LBRACE] = ACTIONS(2442),
    [anon_sym_signed] = ACTIONS(2440),
    [anon_sym_unsigned] = ACTIONS(2440),
    [anon_sym_long] = ACTIONS(2440),
    [anon_sym_short] = ACTIONS(2440),
    [anon_sym_LBRACK] = ACTIONS(2440),
    [anon_sym_static] = ACTIONS(2440),
    [anon_sym_register] = ACTIONS(2440),
    [anon_sym_inline] = ACTIONS(2440),
    [anon_sym___inline] = ACTIONS(2440),
    [anon_sym___inline__] = ACTIONS(2440),
    [anon_sym___forceinline] = ACTIONS(2440),
    [anon_sym_thread_local] = ACTIONS(2440),
    [anon_sym___thread] = ACTIONS(2440),
    [anon_sym_const] = ACTIONS(2440),
    [anon_sym_constexpr] = ACTIONS(2440),
    [anon_sym_volatile] = ACTIONS(2440),
    [anon_sym_restrict] = ACTIONS(2440),
    [anon_sym___restrict__] = ACTIONS(2440),
    [anon_sym__Atomic] = ACTIONS(2440),
    [anon_sym__Noreturn] = ACTIONS(2440),
    [anon_sym_noreturn] = ACTIONS(2440),
    [anon_sym_mutable] = ACTIONS(2440),
    [anon_sym_constinit] = ACTIONS(2440),
    [anon_sym_consteval] = ACTIONS(2440),
    [sym_primitive_type] = ACTIONS(2440),
    [anon_sym_enum] = ACTIONS(2440),
    [anon_sym_class] = ACTIONS(2440),
    [anon_sym_struct] = ACTIONS(2440),
    [anon_sym_union] = ACTIONS(2440),
    [anon_sym_if] = ACTIONS(2440),
    [anon_sym_else] = ACTIONS(2440),
    [anon_sym_switch] = ACTIONS(2440),
    [anon_sym_case] = ACTIONS(2440),
    [anon_sym_default] = ACTIONS(2440),
    [anon_sym_while] = ACTIONS(2440),
    [anon_sym_do] = ACTIONS(2440),
    [anon_sym_for] = ACTIONS(2440),
    [anon_sym_return] = ACTIONS(2440),
    [anon_sym_break] = ACTIONS(2440),
    [anon_sym_continue] = ACTIONS(2440),
    [anon_sym_goto] = ACTIONS(2440),
    [anon_sym___try] = ACTIONS(2440),
    [anon_sym___leave] = ACTIONS(2440),
    [anon_sym_not] = ACTIONS(2440),
    [anon_sym_compl] = ACTIONS(2440),
    [anon_sym_DASH_DASH] = ACTIONS(2442),
    [anon_sym_PLUS_PLUS] = ACTIONS(2442),
    [anon_sym_sizeof] = ACTIONS(2440),
    [anon_sym___alignof__] = ACTIONS(2440),
    [anon_sym___alignof] = ACTIONS(2440),
    [anon_sym__alignof] = ACTIONS(2440),
    [anon_sym_alignof] = ACTIONS(2440),
    [anon_sym__Alignof] = ACTIONS(2440),
    [anon_sym_offsetof] = ACTIONS(2440),
    [anon_sym__Generic] = ACTIONS(2440),
    [anon_sym_asm] = ACTIONS(2440),
    [anon_sym___asm__] = ACTIONS(2440),
    [sym_number_literal] = ACTIONS(2442),
    [anon_sym_L_SQUOTE] = ACTIONS(2442),
    [anon_sym_u_SQUOTE] = ACTIONS(2442),
    [anon_sym_U_SQUOTE] = ACTIONS(2442),
    [anon_sym_u8_SQUOTE] = ACTIONS(2442),
    [anon_sym_SQUOTE] = ACTIONS(2442),
    [anon_sym_L_DQUOTE] = ACTIONS(2442),
    [anon_sym_u_DQUOTE] = ACTIONS(2442),
    [anon_sym_U_DQUOTE] = ACTIONS(2442),
    [anon_sym_u8_DQUOTE] = ACTIONS(2442),
    [anon_sym_DQUOTE] = ACTIONS(2442),
    [sym_true] = ACTIONS(2440),
    [sym_false] = ACTIONS(2440),
    [anon_sym_NULL] = ACTIONS(2440),
    [anon_sym_nullptr] = ACTIONS(2440),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2440),
    [anon_sym_decltype] = ACTIONS(2440),
    [anon_sym_virtual] = ACTIONS(2440),
    [anon_sym_alignas] = ACTIONS(2440),
    [anon_sym_explicit] = ACTIONS(2440),
    [anon_sym_typename] = ACTIONS(2440),
    [anon_sym_template] = ACTIONS(2440),
    [anon_sym_operator] = ACTIONS(2440),
    [anon_sym_try] = ACTIONS(2440),
    [anon_sym_delete] = ACTIONS(2440),
    [anon_sym_throw] = ACTIONS(2440),
    [anon_sym_namespace] = ACTIONS(2440),
    [anon_sym_using] = ACTIONS(2440),
    [anon_sym_static_assert] = ACTIONS(2440),
    [anon_sym_concept] = ACTIONS(2440),
    [anon_sym_co_return] = ACTIONS(2440),
    [anon_sym_co_yield] = ACTIONS(2440),
    [anon_sym_R_DQUOTE] = ACTIONS(2442),
    [anon_sym_LR_DQUOTE] = ACTIONS(2442),
    [anon_sym_uR_DQUOTE] = ACTIONS(2442),
    [anon_sym_UR_DQUOTE] = ACTIONS(2442),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2442),
    [anon_sym_co_await] = ACTIONS(2440),
    [anon_sym_new] = ACTIONS(2440),
    [anon_sym_requires] = ACTIONS(2440),
    [sym_this] = ACTIONS(2440),
    [anon_sym_discard] = ACTIONS(2440),
    [anon_sym_precise] = ACTIONS(2440),
    [anon_sym_shared] = ACTIONS(2440),
    [anon_sym_groupshared] = ACTIONS(2440),
    [anon_sym_uniform] = ACTIONS(2440),
    [anon_sym_row_major] = ACTIONS(2440),
    [anon_sym_column_major] = ACTIONS(2440),
    [anon_sym_globallycoherent] = ACTIONS(2440),
    [anon_sym_centroid] = ACTIONS(2440),
    [anon_sym_noperspective] = ACTIONS(2440),
    [anon_sym_nointerpolation] = ACTIONS(2440),
    [anon_sym_sample] = ACTIONS(2440),
    [anon_sym_linear] = ACTIONS(2440),
    [anon_sym_snorm] = ACTIONS(2440),
    [anon_sym_unorm] = ACTIONS(2440),
    [anon_sym_point] = ACTIONS(2440),
    [anon_sym_line] = ACTIONS(2440),
    [anon_sym_triangleadj] = ACTIONS(2440),
    [anon_sym_lineadj] = ACTIONS(2440),
    [anon_sym_triangle] = ACTIONS(2440),
    [anon_sym_cbuffer] = ACTIONS(2440),
  },
  [290] = {
    [sym_identifier] = ACTIONS(2444),
    [aux_sym_preproc_include_token1] = ACTIONS(2444),
    [aux_sym_preproc_def_token1] = ACTIONS(2444),
    [aux_sym_preproc_if_token1] = ACTIONS(2444),
    [aux_sym_preproc_if_token2] = ACTIONS(2444),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2444),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2444),
    [aux_sym_preproc_else_token1] = ACTIONS(2444),
    [aux_sym_preproc_elif_token1] = ACTIONS(2444),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2444),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2444),
    [sym_preproc_directive] = ACTIONS(2444),
    [anon_sym_LPAREN2] = ACTIONS(2446),
    [anon_sym_BANG] = ACTIONS(2446),
    [anon_sym_TILDE] = ACTIONS(2446),
    [anon_sym_DASH] = ACTIONS(2444),
    [anon_sym_PLUS] = ACTIONS(2444),
    [anon_sym_STAR] = ACTIONS(2446),
    [anon_sym_AMP_AMP] = ACTIONS(2446),
    [anon_sym_AMP] = ACTIONS(2444),
    [anon_sym_SEMI] = ACTIONS(2446),
    [anon_sym___extension__] = ACTIONS(2444),
    [anon_sym_typedef] = ACTIONS(2444),
    [anon_sym_in] = ACTIONS(2444),
    [anon_sym_out] = ACTIONS(2444),
    [anon_sym_inout] = ACTIONS(2444),
    [anon_sym_extern] = ACTIONS(2444),
    [anon_sym___attribute__] = ACTIONS(2444),
    [anon_sym_COLON_COLON] = ACTIONS(2446),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2446),
    [anon_sym___declspec] = ACTIONS(2444),
    [anon_sym___based] = ACTIONS(2444),
    [anon_sym___cdecl] = ACTIONS(2444),
    [anon_sym___clrcall] = ACTIONS(2444),
    [anon_sym___stdcall] = ACTIONS(2444),
    [anon_sym___fastcall] = ACTIONS(2444),
    [anon_sym___thiscall] = ACTIONS(2444),
    [anon_sym___vectorcall] = ACTIONS(2444),
    [anon_sym_LBRACE] = ACTIONS(2446),
    [anon_sym_signed] = ACTIONS(2444),
    [anon_sym_unsigned] = ACTIONS(2444),
    [anon_sym_long] = ACTIONS(2444),
    [anon_sym_short] = ACTIONS(2444),
    [anon_sym_LBRACK] = ACTIONS(2444),
    [anon_sym_static] = ACTIONS(2444),
    [anon_sym_register] = ACTIONS(2444),
    [anon_sym_inline] = ACTIONS(2444),
    [anon_sym___inline] = ACTIONS(2444),
    [anon_sym___inline__] = ACTIONS(2444),
    [anon_sym___forceinline] = ACTIONS(2444),
    [anon_sym_thread_local] = ACTIONS(2444),
    [anon_sym___thread] = ACTIONS(2444),
    [anon_sym_const] = ACTIONS(2444),
    [anon_sym_constexpr] = ACTIONS(2444),
    [anon_sym_volatile] = ACTIONS(2444),
    [anon_sym_restrict] = ACTIONS(2444),
    [anon_sym___restrict__] = ACTIONS(2444),
    [anon_sym__Atomic] = ACTIONS(2444),
    [anon_sym__Noreturn] = ACTIONS(2444),
    [anon_sym_noreturn] = ACTIONS(2444),
    [anon_sym_mutable] = ACTIONS(2444),
    [anon_sym_constinit] = ACTIONS(2444),
    [anon_sym_consteval] = ACTIONS(2444),
    [sym_primitive_type] = ACTIONS(2444),
    [anon_sym_enum] = ACTIONS(2444),
    [anon_sym_class] = ACTIONS(2444),
    [anon_sym_struct] = ACTIONS(2444),
    [anon_sym_union] = ACTIONS(2444),
    [anon_sym_if] = ACTIONS(2444),
    [anon_sym_else] = ACTIONS(2444),
    [anon_sym_switch] = ACTIONS(2444),
    [anon_sym_case] = ACTIONS(2444),
    [anon_sym_default] = ACTIONS(2444),
    [anon_sym_while] = ACTIONS(2444),
    [anon_sym_do] = ACTIONS(2444),
    [anon_sym_for] = ACTIONS(2444),
    [anon_sym_return] = ACTIONS(2444),
    [anon_sym_break] = ACTIONS(2444),
    [anon_sym_continue] = ACTIONS(2444),
    [anon_sym_goto] = ACTIONS(2444),
    [anon_sym___try] = ACTIONS(2444),
    [anon_sym___leave] = ACTIONS(2444),
    [anon_sym_not] = ACTIONS(2444),
    [anon_sym_compl] = ACTIONS(2444),
    [anon_sym_DASH_DASH] = ACTIONS(2446),
    [anon_sym_PLUS_PLUS] = ACTIONS(2446),
    [anon_sym_sizeof] = ACTIONS(2444),
    [anon_sym___alignof__] = ACTIONS(2444),
    [anon_sym___alignof] = ACTIONS(2444),
    [anon_sym__alignof] = ACTIONS(2444),
    [anon_sym_alignof] = ACTIONS(2444),
    [anon_sym__Alignof] = ACTIONS(2444),
    [anon_sym_offsetof] = ACTIONS(2444),
    [anon_sym__Generic] = ACTIONS(2444),
    [anon_sym_asm] = ACTIONS(2444),
    [anon_sym___asm__] = ACTIONS(2444),
    [sym_number_literal] = ACTIONS(2446),
    [anon_sym_L_SQUOTE] = ACTIONS(2446),
    [anon_sym_u_SQUOTE] = ACTIONS(2446),
    [anon_sym_U_SQUOTE] = ACTIONS(2446),
    [anon_sym_u8_SQUOTE] = ACTIONS(2446),
    [anon_sym_SQUOTE] = ACTIONS(2446),
    [anon_sym_L_DQUOTE] = ACTIONS(2446),
    [anon_sym_u_DQUOTE] = ACTIONS(2446),
    [anon_sym_U_DQUOTE] = ACTIONS(2446),
    [anon_sym_u8_DQUOTE] = ACTIONS(2446),
    [anon_sym_DQUOTE] = ACTIONS(2446),
    [sym_true] = ACTIONS(2444),
    [sym_false] = ACTIONS(2444),
    [anon_sym_NULL] = ACTIONS(2444),
    [anon_sym_nullptr] = ACTIONS(2444),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2444),
    [anon_sym_decltype] = ACTIONS(2444),
    [anon_sym_virtual] = ACTIONS(2444),
    [anon_sym_alignas] = ACTIONS(2444),
    [anon_sym_explicit] = ACTIONS(2444),
    [anon_sym_typename] = ACTIONS(2444),
    [anon_sym_template] = ACTIONS(2444),
    [anon_sym_operator] = ACTIONS(2444),
    [anon_sym_try] = ACTIONS(2444),
    [anon_sym_delete] = ACTIONS(2444),
    [anon_sym_throw] = ACTIONS(2444),
    [anon_sym_namespace] = ACTIONS(2444),
    [anon_sym_using] = ACTIONS(2444),
    [anon_sym_static_assert] = ACTIONS(2444),
    [anon_sym_concept] = ACTIONS(2444),
    [anon_sym_co_return] = ACTIONS(2444),
    [anon_sym_co_yield] = ACTIONS(2444),
    [anon_sym_R_DQUOTE] = ACTIONS(2446),
    [anon_sym_LR_DQUOTE] = ACTIONS(2446),
    [anon_sym_uR_DQUOTE] = ACTIONS(2446),
    [anon_sym_UR_DQUOTE] = ACTIONS(2446),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2446),
    [anon_sym_co_await] = ACTIONS(2444),
    [anon_sym_new] = ACTIONS(2444),
    [anon_sym_requires] = ACTIONS(2444),
    [sym_this] = ACTIONS(2444),
    [anon_sym_discard] = ACTIONS(2444),
    [anon_sym_precise] = ACTIONS(2444),
    [anon_sym_shared] = ACTIONS(2444),
    [anon_sym_groupshared] = ACTIONS(2444),
    [anon_sym_uniform] = ACTIONS(2444),
    [anon_sym_row_major] = ACTIONS(2444),
    [anon_sym_column_major] = ACTIONS(2444),
    [anon_sym_globallycoherent] = ACTIONS(2444),
    [anon_sym_centroid] = ACTIONS(2444),
    [anon_sym_noperspective] = ACTIONS(2444),
    [anon_sym_nointerpolation] = ACTIONS(2444),
    [anon_sym_sample] = ACTIONS(2444),
    [anon_sym_linear] = ACTIONS(2444),
    [anon_sym_snorm] = ACTIONS(2444),
    [anon_sym_unorm] = ACTIONS(2444),
    [anon_sym_point] = ACTIONS(2444),
    [anon_sym_line] = ACTIONS(2444),
    [anon_sym_triangleadj] = ACTIONS(2444),
    [anon_sym_lineadj] = ACTIONS(2444),
    [anon_sym_triangle] = ACTIONS(2444),
    [anon_sym_cbuffer] = ACTIONS(2444),
  },
  [291] = {
    [sym_identifier] = ACTIONS(2444),
    [aux_sym_preproc_include_token1] = ACTIONS(2444),
    [aux_sym_preproc_def_token1] = ACTIONS(2444),
    [aux_sym_preproc_if_token1] = ACTIONS(2444),
    [aux_sym_preproc_if_token2] = ACTIONS(2444),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2444),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2444),
    [aux_sym_preproc_else_token1] = ACTIONS(2444),
    [aux_sym_preproc_elif_token1] = ACTIONS(2444),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2444),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2444),
    [sym_preproc_directive] = ACTIONS(2444),
    [anon_sym_LPAREN2] = ACTIONS(2446),
    [anon_sym_BANG] = ACTIONS(2446),
    [anon_sym_TILDE] = ACTIONS(2446),
    [anon_sym_DASH] = ACTIONS(2444),
    [anon_sym_PLUS] = ACTIONS(2444),
    [anon_sym_STAR] = ACTIONS(2446),
    [anon_sym_AMP_AMP] = ACTIONS(2446),
    [anon_sym_AMP] = ACTIONS(2444),
    [anon_sym_SEMI] = ACTIONS(2446),
    [anon_sym___extension__] = ACTIONS(2444),
    [anon_sym_typedef] = ACTIONS(2444),
    [anon_sym_in] = ACTIONS(2444),
    [anon_sym_out] = ACTIONS(2444),
    [anon_sym_inout] = ACTIONS(2444),
    [anon_sym_extern] = ACTIONS(2444),
    [anon_sym___attribute__] = ACTIONS(2444),
    [anon_sym_COLON_COLON] = ACTIONS(2446),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2446),
    [anon_sym___declspec] = ACTIONS(2444),
    [anon_sym___based] = ACTIONS(2444),
    [anon_sym___cdecl] = ACTIONS(2444),
    [anon_sym___clrcall] = ACTIONS(2444),
    [anon_sym___stdcall] = ACTIONS(2444),
    [anon_sym___fastcall] = ACTIONS(2444),
    [anon_sym___thiscall] = ACTIONS(2444),
    [anon_sym___vectorcall] = ACTIONS(2444),
    [anon_sym_LBRACE] = ACTIONS(2446),
    [anon_sym_signed] = ACTIONS(2444),
    [anon_sym_unsigned] = ACTIONS(2444),
    [anon_sym_long] = ACTIONS(2444),
    [anon_sym_short] = ACTIONS(2444),
    [anon_sym_LBRACK] = ACTIONS(2444),
    [anon_sym_static] = ACTIONS(2444),
    [anon_sym_register] = ACTIONS(2444),
    [anon_sym_inline] = ACTIONS(2444),
    [anon_sym___inline] = ACTIONS(2444),
    [anon_sym___inline__] = ACTIONS(2444),
    [anon_sym___forceinline] = ACTIONS(2444),
    [anon_sym_thread_local] = ACTIONS(2444),
    [anon_sym___thread] = ACTIONS(2444),
    [anon_sym_const] = ACTIONS(2444),
    [anon_sym_constexpr] = ACTIONS(2444),
    [anon_sym_volatile] = ACTIONS(2444),
    [anon_sym_restrict] = ACTIONS(2444),
    [anon_sym___restrict__] = ACTIONS(2444),
    [anon_sym__Atomic] = ACTIONS(2444),
    [anon_sym__Noreturn] = ACTIONS(2444),
    [anon_sym_noreturn] = ACTIONS(2444),
    [anon_sym_mutable] = ACTIONS(2444),
    [anon_sym_constinit] = ACTIONS(2444),
    [anon_sym_consteval] = ACTIONS(2444),
    [sym_primitive_type] = ACTIONS(2444),
    [anon_sym_enum] = ACTIONS(2444),
    [anon_sym_class] = ACTIONS(2444),
    [anon_sym_struct] = ACTIONS(2444),
    [anon_sym_union] = ACTIONS(2444),
    [anon_sym_if] = ACTIONS(2444),
    [anon_sym_else] = ACTIONS(2444),
    [anon_sym_switch] = ACTIONS(2444),
    [anon_sym_case] = ACTIONS(2444),
    [anon_sym_default] = ACTIONS(2444),
    [anon_sym_while] = ACTIONS(2444),
    [anon_sym_do] = ACTIONS(2444),
    [anon_sym_for] = ACTIONS(2444),
    [anon_sym_return] = ACTIONS(2444),
    [anon_sym_break] = ACTIONS(2444),
    [anon_sym_continue] = ACTIONS(2444),
    [anon_sym_goto] = ACTIONS(2444),
    [anon_sym___try] = ACTIONS(2444),
    [anon_sym___leave] = ACTIONS(2444),
    [anon_sym_not] = ACTIONS(2444),
    [anon_sym_compl] = ACTIONS(2444),
    [anon_sym_DASH_DASH] = ACTIONS(2446),
    [anon_sym_PLUS_PLUS] = ACTIONS(2446),
    [anon_sym_sizeof] = ACTIONS(2444),
    [anon_sym___alignof__] = ACTIONS(2444),
    [anon_sym___alignof] = ACTIONS(2444),
    [anon_sym__alignof] = ACTIONS(2444),
    [anon_sym_alignof] = ACTIONS(2444),
    [anon_sym__Alignof] = ACTIONS(2444),
    [anon_sym_offsetof] = ACTIONS(2444),
    [anon_sym__Generic] = ACTIONS(2444),
    [anon_sym_asm] = ACTIONS(2444),
    [anon_sym___asm__] = ACTIONS(2444),
    [sym_number_literal] = ACTIONS(2446),
    [anon_sym_L_SQUOTE] = ACTIONS(2446),
    [anon_sym_u_SQUOTE] = ACTIONS(2446),
    [anon_sym_U_SQUOTE] = ACTIONS(2446),
    [anon_sym_u8_SQUOTE] = ACTIONS(2446),
    [anon_sym_SQUOTE] = ACTIONS(2446),
    [anon_sym_L_DQUOTE] = ACTIONS(2446),
    [anon_sym_u_DQUOTE] = ACTIONS(2446),
    [anon_sym_U_DQUOTE] = ACTIONS(2446),
    [anon_sym_u8_DQUOTE] = ACTIONS(2446),
    [anon_sym_DQUOTE] = ACTIONS(2446),
    [sym_true] = ACTIONS(2444),
    [sym_false] = ACTIONS(2444),
    [anon_sym_NULL] = ACTIONS(2444),
    [anon_sym_nullptr] = ACTIONS(2444),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2444),
    [anon_sym_decltype] = ACTIONS(2444),
    [anon_sym_virtual] = ACTIONS(2444),
    [anon_sym_alignas] = ACTIONS(2444),
    [anon_sym_explicit] = ACTIONS(2444),
    [anon_sym_typename] = ACTIONS(2444),
    [anon_sym_template] = ACTIONS(2444),
    [anon_sym_operator] = ACTIONS(2444),
    [anon_sym_try] = ACTIONS(2444),
    [anon_sym_delete] = ACTIONS(2444),
    [anon_sym_throw] = ACTIONS(2444),
    [anon_sym_namespace] = ACTIONS(2444),
    [anon_sym_using] = ACTIONS(2444),
    [anon_sym_static_assert] = ACTIONS(2444),
    [anon_sym_concept] = ACTIONS(2444),
    [anon_sym_co_return] = ACTIONS(2444),
    [anon_sym_co_yield] = ACTIONS(2444),
    [anon_sym_R_DQUOTE] = ACTIONS(2446),
    [anon_sym_LR_DQUOTE] = ACTIONS(2446),
    [anon_sym_uR_DQUOTE] = ACTIONS(2446),
    [anon_sym_UR_DQUOTE] = ACTIONS(2446),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2446),
    [anon_sym_co_await] = ACTIONS(2444),
    [anon_sym_new] = ACTIONS(2444),
    [anon_sym_requires] = ACTIONS(2444),
    [sym_this] = ACTIONS(2444),
    [anon_sym_discard] = ACTIONS(2444),
    [anon_sym_precise] = ACTIONS(2444),
    [anon_sym_shared] = ACTIONS(2444),
    [anon_sym_groupshared] = ACTIONS(2444),
    [anon_sym_uniform] = ACTIONS(2444),
    [anon_sym_row_major] = ACTIONS(2444),
    [anon_sym_column_major] = ACTIONS(2444),
    [anon_sym_globallycoherent] = ACTIONS(2444),
    [anon_sym_centroid] = ACTIONS(2444),
    [anon_sym_noperspective] = ACTIONS(2444),
    [anon_sym_nointerpolation] = ACTIONS(2444),
    [anon_sym_sample] = ACTIONS(2444),
    [anon_sym_linear] = ACTIONS(2444),
    [anon_sym_snorm] = ACTIONS(2444),
    [anon_sym_unorm] = ACTIONS(2444),
    [anon_sym_point] = ACTIONS(2444),
    [anon_sym_line] = ACTIONS(2444),
    [anon_sym_triangleadj] = ACTIONS(2444),
    [anon_sym_lineadj] = ACTIONS(2444),
    [anon_sym_triangle] = ACTIONS(2444),
    [anon_sym_cbuffer] = ACTIONS(2444),
  },
  [292] = {
    [sym_identifier] = ACTIONS(2444),
    [aux_sym_preproc_include_token1] = ACTIONS(2444),
    [aux_sym_preproc_def_token1] = ACTIONS(2444),
    [aux_sym_preproc_if_token1] = ACTIONS(2444),
    [aux_sym_preproc_if_token2] = ACTIONS(2444),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2444),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2444),
    [aux_sym_preproc_else_token1] = ACTIONS(2444),
    [aux_sym_preproc_elif_token1] = ACTIONS(2444),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2444),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2444),
    [sym_preproc_directive] = ACTIONS(2444),
    [anon_sym_LPAREN2] = ACTIONS(2446),
    [anon_sym_BANG] = ACTIONS(2446),
    [anon_sym_TILDE] = ACTIONS(2446),
    [anon_sym_DASH] = ACTIONS(2444),
    [anon_sym_PLUS] = ACTIONS(2444),
    [anon_sym_STAR] = ACTIONS(2446),
    [anon_sym_AMP_AMP] = ACTIONS(2446),
    [anon_sym_AMP] = ACTIONS(2444),
    [anon_sym_SEMI] = ACTIONS(2446),
    [anon_sym___extension__] = ACTIONS(2444),
    [anon_sym_typedef] = ACTIONS(2444),
    [anon_sym_in] = ACTIONS(2444),
    [anon_sym_out] = ACTIONS(2444),
    [anon_sym_inout] = ACTIONS(2444),
    [anon_sym_extern] = ACTIONS(2444),
    [anon_sym___attribute__] = ACTIONS(2444),
    [anon_sym_COLON_COLON] = ACTIONS(2446),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2446),
    [anon_sym___declspec] = ACTIONS(2444),
    [anon_sym___based] = ACTIONS(2444),
    [anon_sym___cdecl] = ACTIONS(2444),
    [anon_sym___clrcall] = ACTIONS(2444),
    [anon_sym___stdcall] = ACTIONS(2444),
    [anon_sym___fastcall] = ACTIONS(2444),
    [anon_sym___thiscall] = ACTIONS(2444),
    [anon_sym___vectorcall] = ACTIONS(2444),
    [anon_sym_LBRACE] = ACTIONS(2446),
    [anon_sym_signed] = ACTIONS(2444),
    [anon_sym_unsigned] = ACTIONS(2444),
    [anon_sym_long] = ACTIONS(2444),
    [anon_sym_short] = ACTIONS(2444),
    [anon_sym_LBRACK] = ACTIONS(2444),
    [anon_sym_static] = ACTIONS(2444),
    [anon_sym_register] = ACTIONS(2444),
    [anon_sym_inline] = ACTIONS(2444),
    [anon_sym___inline] = ACTIONS(2444),
    [anon_sym___inline__] = ACTIONS(2444),
    [anon_sym___forceinline] = ACTIONS(2444),
    [anon_sym_thread_local] = ACTIONS(2444),
    [anon_sym___thread] = ACTIONS(2444),
    [anon_sym_const] = ACTIONS(2444),
    [anon_sym_constexpr] = ACTIONS(2444),
    [anon_sym_volatile] = ACTIONS(2444),
    [anon_sym_restrict] = ACTIONS(2444),
    [anon_sym___restrict__] = ACTIONS(2444),
    [anon_sym__Atomic] = ACTIONS(2444),
    [anon_sym__Noreturn] = ACTIONS(2444),
    [anon_sym_noreturn] = ACTIONS(2444),
    [anon_sym_mutable] = ACTIONS(2444),
    [anon_sym_constinit] = ACTIONS(2444),
    [anon_sym_consteval] = ACTIONS(2444),
    [sym_primitive_type] = ACTIONS(2444),
    [anon_sym_enum] = ACTIONS(2444),
    [anon_sym_class] = ACTIONS(2444),
    [anon_sym_struct] = ACTIONS(2444),
    [anon_sym_union] = ACTIONS(2444),
    [anon_sym_if] = ACTIONS(2444),
    [anon_sym_else] = ACTIONS(2444),
    [anon_sym_switch] = ACTIONS(2444),
    [anon_sym_case] = ACTIONS(2444),
    [anon_sym_default] = ACTIONS(2444),
    [anon_sym_while] = ACTIONS(2444),
    [anon_sym_do] = ACTIONS(2444),
    [anon_sym_for] = ACTIONS(2444),
    [anon_sym_return] = ACTIONS(2444),
    [anon_sym_break] = ACTIONS(2444),
    [anon_sym_continue] = ACTIONS(2444),
    [anon_sym_goto] = ACTIONS(2444),
    [anon_sym___try] = ACTIONS(2444),
    [anon_sym___leave] = ACTIONS(2444),
    [anon_sym_not] = ACTIONS(2444),
    [anon_sym_compl] = ACTIONS(2444),
    [anon_sym_DASH_DASH] = ACTIONS(2446),
    [anon_sym_PLUS_PLUS] = ACTIONS(2446),
    [anon_sym_sizeof] = ACTIONS(2444),
    [anon_sym___alignof__] = ACTIONS(2444),
    [anon_sym___alignof] = ACTIONS(2444),
    [anon_sym__alignof] = ACTIONS(2444),
    [anon_sym_alignof] = ACTIONS(2444),
    [anon_sym__Alignof] = ACTIONS(2444),
    [anon_sym_offsetof] = ACTIONS(2444),
    [anon_sym__Generic] = ACTIONS(2444),
    [anon_sym_asm] = ACTIONS(2444),
    [anon_sym___asm__] = ACTIONS(2444),
    [sym_number_literal] = ACTIONS(2446),
    [anon_sym_L_SQUOTE] = ACTIONS(2446),
    [anon_sym_u_SQUOTE] = ACTIONS(2446),
    [anon_sym_U_SQUOTE] = ACTIONS(2446),
    [anon_sym_u8_SQUOTE] = ACTIONS(2446),
    [anon_sym_SQUOTE] = ACTIONS(2446),
    [anon_sym_L_DQUOTE] = ACTIONS(2446),
    [anon_sym_u_DQUOTE] = ACTIONS(2446),
    [anon_sym_U_DQUOTE] = ACTIONS(2446),
    [anon_sym_u8_DQUOTE] = ACTIONS(2446),
    [anon_sym_DQUOTE] = ACTIONS(2446),
    [sym_true] = ACTIONS(2444),
    [sym_false] = ACTIONS(2444),
    [anon_sym_NULL] = ACTIONS(2444),
    [anon_sym_nullptr] = ACTIONS(2444),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2444),
    [anon_sym_decltype] = ACTIONS(2444),
    [anon_sym_virtual] = ACTIONS(2444),
    [anon_sym_alignas] = ACTIONS(2444),
    [anon_sym_explicit] = ACTIONS(2444),
    [anon_sym_typename] = ACTIONS(2444),
    [anon_sym_template] = ACTIONS(2444),
    [anon_sym_operator] = ACTIONS(2444),
    [anon_sym_try] = ACTIONS(2444),
    [anon_sym_delete] = ACTIONS(2444),
    [anon_sym_throw] = ACTIONS(2444),
    [anon_sym_namespace] = ACTIONS(2444),
    [anon_sym_using] = ACTIONS(2444),
    [anon_sym_static_assert] = ACTIONS(2444),
    [anon_sym_concept] = ACTIONS(2444),
    [anon_sym_co_return] = ACTIONS(2444),
    [anon_sym_co_yield] = ACTIONS(2444),
    [anon_sym_R_DQUOTE] = ACTIONS(2446),
    [anon_sym_LR_DQUOTE] = ACTIONS(2446),
    [anon_sym_uR_DQUOTE] = ACTIONS(2446),
    [anon_sym_UR_DQUOTE] = ACTIONS(2446),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2446),
    [anon_sym_co_await] = ACTIONS(2444),
    [anon_sym_new] = ACTIONS(2444),
    [anon_sym_requires] = ACTIONS(2444),
    [sym_this] = ACTIONS(2444),
    [anon_sym_discard] = ACTIONS(2444),
    [anon_sym_precise] = ACTIONS(2444),
    [anon_sym_shared] = ACTIONS(2444),
    [anon_sym_groupshared] = ACTIONS(2444),
    [anon_sym_uniform] = ACTIONS(2444),
    [anon_sym_row_major] = ACTIONS(2444),
    [anon_sym_column_major] = ACTIONS(2444),
    [anon_sym_globallycoherent] = ACTIONS(2444),
    [anon_sym_centroid] = ACTIONS(2444),
    [anon_sym_noperspective] = ACTIONS(2444),
    [anon_sym_nointerpolation] = ACTIONS(2444),
    [anon_sym_sample] = ACTIONS(2444),
    [anon_sym_linear] = ACTIONS(2444),
    [anon_sym_snorm] = ACTIONS(2444),
    [anon_sym_unorm] = ACTIONS(2444),
    [anon_sym_point] = ACTIONS(2444),
    [anon_sym_line] = ACTIONS(2444),
    [anon_sym_triangleadj] = ACTIONS(2444),
    [anon_sym_lineadj] = ACTIONS(2444),
    [anon_sym_triangle] = ACTIONS(2444),
    [anon_sym_cbuffer] = ACTIONS(2444),
  },
  [293] = {
    [sym_identifier] = ACTIONS(2448),
    [aux_sym_preproc_include_token1] = ACTIONS(2448),
    [aux_sym_preproc_def_token1] = ACTIONS(2448),
    [aux_sym_preproc_if_token1] = ACTIONS(2448),
    [aux_sym_preproc_if_token2] = ACTIONS(2448),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2448),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2448),
    [aux_sym_preproc_else_token1] = ACTIONS(2448),
    [aux_sym_preproc_elif_token1] = ACTIONS(2448),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2448),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2448),
    [sym_preproc_directive] = ACTIONS(2448),
    [anon_sym_LPAREN2] = ACTIONS(2450),
    [anon_sym_BANG] = ACTIONS(2450),
    [anon_sym_TILDE] = ACTIONS(2450),
    [anon_sym_DASH] = ACTIONS(2448),
    [anon_sym_PLUS] = ACTIONS(2448),
    [anon_sym_STAR] = ACTIONS(2450),
    [anon_sym_AMP_AMP] = ACTIONS(2450),
    [anon_sym_AMP] = ACTIONS(2448),
    [anon_sym_SEMI] = ACTIONS(2450),
    [anon_sym___extension__] = ACTIONS(2448),
    [anon_sym_typedef] = ACTIONS(2448),
    [anon_sym_in] = ACTIONS(2448),
    [anon_sym_out] = ACTIONS(2448),
    [anon_sym_inout] = ACTIONS(2448),
    [anon_sym_extern] = ACTIONS(2448),
    [anon_sym___attribute__] = ACTIONS(2448),
    [anon_sym_COLON_COLON] = ACTIONS(2450),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2450),
    [anon_sym___declspec] = ACTIONS(2448),
    [anon_sym___based] = ACTIONS(2448),
    [anon_sym___cdecl] = ACTIONS(2448),
    [anon_sym___clrcall] = ACTIONS(2448),
    [anon_sym___stdcall] = ACTIONS(2448),
    [anon_sym___fastcall] = ACTIONS(2448),
    [anon_sym___thiscall] = ACTIONS(2448),
    [anon_sym___vectorcall] = ACTIONS(2448),
    [anon_sym_LBRACE] = ACTIONS(2450),
    [anon_sym_signed] = ACTIONS(2448),
    [anon_sym_unsigned] = ACTIONS(2448),
    [anon_sym_long] = ACTIONS(2448),
    [anon_sym_short] = ACTIONS(2448),
    [anon_sym_LBRACK] = ACTIONS(2448),
    [anon_sym_static] = ACTIONS(2448),
    [anon_sym_register] = ACTIONS(2448),
    [anon_sym_inline] = ACTIONS(2448),
    [anon_sym___inline] = ACTIONS(2448),
    [anon_sym___inline__] = ACTIONS(2448),
    [anon_sym___forceinline] = ACTIONS(2448),
    [anon_sym_thread_local] = ACTIONS(2448),
    [anon_sym___thread] = ACTIONS(2448),
    [anon_sym_const] = ACTIONS(2448),
    [anon_sym_constexpr] = ACTIONS(2448),
    [anon_sym_volatile] = ACTIONS(2448),
    [anon_sym_restrict] = ACTIONS(2448),
    [anon_sym___restrict__] = ACTIONS(2448),
    [anon_sym__Atomic] = ACTIONS(2448),
    [anon_sym__Noreturn] = ACTIONS(2448),
    [anon_sym_noreturn] = ACTIONS(2448),
    [anon_sym_mutable] = ACTIONS(2448),
    [anon_sym_constinit] = ACTIONS(2448),
    [anon_sym_consteval] = ACTIONS(2448),
    [sym_primitive_type] = ACTIONS(2448),
    [anon_sym_enum] = ACTIONS(2448),
    [anon_sym_class] = ACTIONS(2448),
    [anon_sym_struct] = ACTIONS(2448),
    [anon_sym_union] = ACTIONS(2448),
    [anon_sym_if] = ACTIONS(2448),
    [anon_sym_else] = ACTIONS(2448),
    [anon_sym_switch] = ACTIONS(2448),
    [anon_sym_case] = ACTIONS(2448),
    [anon_sym_default] = ACTIONS(2448),
    [anon_sym_while] = ACTIONS(2448),
    [anon_sym_do] = ACTIONS(2448),
    [anon_sym_for] = ACTIONS(2448),
    [anon_sym_return] = ACTIONS(2448),
    [anon_sym_break] = ACTIONS(2448),
    [anon_sym_continue] = ACTIONS(2448),
    [anon_sym_goto] = ACTIONS(2448),
    [anon_sym___try] = ACTIONS(2448),
    [anon_sym___leave] = ACTIONS(2448),
    [anon_sym_not] = ACTIONS(2448),
    [anon_sym_compl] = ACTIONS(2448),
    [anon_sym_DASH_DASH] = ACTIONS(2450),
    [anon_sym_PLUS_PLUS] = ACTIONS(2450),
    [anon_sym_sizeof] = ACTIONS(2448),
    [anon_sym___alignof__] = ACTIONS(2448),
    [anon_sym___alignof] = ACTIONS(2448),
    [anon_sym__alignof] = ACTIONS(2448),
    [anon_sym_alignof] = ACTIONS(2448),
    [anon_sym__Alignof] = ACTIONS(2448),
    [anon_sym_offsetof] = ACTIONS(2448),
    [anon_sym__Generic] = ACTIONS(2448),
    [anon_sym_asm] = ACTIONS(2448),
    [anon_sym___asm__] = ACTIONS(2448),
    [sym_number_literal] = ACTIONS(2450),
    [anon_sym_L_SQUOTE] = ACTIONS(2450),
    [anon_sym_u_SQUOTE] = ACTIONS(2450),
    [anon_sym_U_SQUOTE] = ACTIONS(2450),
    [anon_sym_u8_SQUOTE] = ACTIONS(2450),
    [anon_sym_SQUOTE] = ACTIONS(2450),
    [anon_sym_L_DQUOTE] = ACTIONS(2450),
    [anon_sym_u_DQUOTE] = ACTIONS(2450),
    [anon_sym_U_DQUOTE] = ACTIONS(2450),
    [anon_sym_u8_DQUOTE] = ACTIONS(2450),
    [anon_sym_DQUOTE] = ACTIONS(2450),
    [sym_true] = ACTIONS(2448),
    [sym_false] = ACTIONS(2448),
    [anon_sym_NULL] = ACTIONS(2448),
    [anon_sym_nullptr] = ACTIONS(2448),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2448),
    [anon_sym_decltype] = ACTIONS(2448),
    [anon_sym_virtual] = ACTIONS(2448),
    [anon_sym_alignas] = ACTIONS(2448),
    [anon_sym_explicit] = ACTIONS(2448),
    [anon_sym_typename] = ACTIONS(2448),
    [anon_sym_template] = ACTIONS(2448),
    [anon_sym_operator] = ACTIONS(2448),
    [anon_sym_try] = ACTIONS(2448),
    [anon_sym_delete] = ACTIONS(2448),
    [anon_sym_throw] = ACTIONS(2448),
    [anon_sym_namespace] = ACTIONS(2448),
    [anon_sym_using] = ACTIONS(2448),
    [anon_sym_static_assert] = ACTIONS(2448),
    [anon_sym_concept] = ACTIONS(2448),
    [anon_sym_co_return] = ACTIONS(2448),
    [anon_sym_co_yield] = ACTIONS(2448),
    [anon_sym_R_DQUOTE] = ACTIONS(2450),
    [anon_sym_LR_DQUOTE] = ACTIONS(2450),
    [anon_sym_uR_DQUOTE] = ACTIONS(2450),
    [anon_sym_UR_DQUOTE] = ACTIONS(2450),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2450),
    [anon_sym_co_await] = ACTIONS(2448),
    [anon_sym_new] = ACTIONS(2448),
    [anon_sym_requires] = ACTIONS(2448),
    [sym_this] = ACTIONS(2448),
    [anon_sym_discard] = ACTIONS(2448),
    [anon_sym_precise] = ACTIONS(2448),
    [anon_sym_shared] = ACTIONS(2448),
    [anon_sym_groupshared] = ACTIONS(2448),
    [anon_sym_uniform] = ACTIONS(2448),
    [anon_sym_row_major] = ACTIONS(2448),
    [anon_sym_column_major] = ACTIONS(2448),
    [anon_sym_globallycoherent] = ACTIONS(2448),
    [anon_sym_centroid] = ACTIONS(2448),
    [anon_sym_noperspective] = ACTIONS(2448),
    [anon_sym_nointerpolation] = ACTIONS(2448),
    [anon_sym_sample] = ACTIONS(2448),
    [anon_sym_linear] = ACTIONS(2448),
    [anon_sym_snorm] = ACTIONS(2448),
    [anon_sym_unorm] = ACTIONS(2448),
    [anon_sym_point] = ACTIONS(2448),
    [anon_sym_line] = ACTIONS(2448),
    [anon_sym_triangleadj] = ACTIONS(2448),
    [anon_sym_lineadj] = ACTIONS(2448),
    [anon_sym_triangle] = ACTIONS(2448),
    [anon_sym_cbuffer] = ACTIONS(2448),
  },
  [294] = {
    [sym_identifier] = ACTIONS(2452),
    [aux_sym_preproc_include_token1] = ACTIONS(2452),
    [aux_sym_preproc_def_token1] = ACTIONS(2452),
    [aux_sym_preproc_if_token1] = ACTIONS(2452),
    [aux_sym_preproc_if_token2] = ACTIONS(2452),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2452),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2452),
    [aux_sym_preproc_else_token1] = ACTIONS(2452),
    [aux_sym_preproc_elif_token1] = ACTIONS(2452),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2452),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2452),
    [sym_preproc_directive] = ACTIONS(2452),
    [anon_sym_LPAREN2] = ACTIONS(2454),
    [anon_sym_BANG] = ACTIONS(2454),
    [anon_sym_TILDE] = ACTIONS(2454),
    [anon_sym_DASH] = ACTIONS(2452),
    [anon_sym_PLUS] = ACTIONS(2452),
    [anon_sym_STAR] = ACTIONS(2454),
    [anon_sym_AMP_AMP] = ACTIONS(2454),
    [anon_sym_AMP] = ACTIONS(2452),
    [anon_sym_SEMI] = ACTIONS(2454),
    [anon_sym___extension__] = ACTIONS(2452),
    [anon_sym_typedef] = ACTIONS(2452),
    [anon_sym_in] = ACTIONS(2452),
    [anon_sym_out] = ACTIONS(2452),
    [anon_sym_inout] = ACTIONS(2452),
    [anon_sym_extern] = ACTIONS(2452),
    [anon_sym___attribute__] = ACTIONS(2452),
    [anon_sym_COLON_COLON] = ACTIONS(2454),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2454),
    [anon_sym___declspec] = ACTIONS(2452),
    [anon_sym___based] = ACTIONS(2452),
    [anon_sym___cdecl] = ACTIONS(2452),
    [anon_sym___clrcall] = ACTIONS(2452),
    [anon_sym___stdcall] = ACTIONS(2452),
    [anon_sym___fastcall] = ACTIONS(2452),
    [anon_sym___thiscall] = ACTIONS(2452),
    [anon_sym___vectorcall] = ACTIONS(2452),
    [anon_sym_LBRACE] = ACTIONS(2454),
    [anon_sym_signed] = ACTIONS(2452),
    [anon_sym_unsigned] = ACTIONS(2452),
    [anon_sym_long] = ACTIONS(2452),
    [anon_sym_short] = ACTIONS(2452),
    [anon_sym_LBRACK] = ACTIONS(2452),
    [anon_sym_static] = ACTIONS(2452),
    [anon_sym_register] = ACTIONS(2452),
    [anon_sym_inline] = ACTIONS(2452),
    [anon_sym___inline] = ACTIONS(2452),
    [anon_sym___inline__] = ACTIONS(2452),
    [anon_sym___forceinline] = ACTIONS(2452),
    [anon_sym_thread_local] = ACTIONS(2452),
    [anon_sym___thread] = ACTIONS(2452),
    [anon_sym_const] = ACTIONS(2452),
    [anon_sym_constexpr] = ACTIONS(2452),
    [anon_sym_volatile] = ACTIONS(2452),
    [anon_sym_restrict] = ACTIONS(2452),
    [anon_sym___restrict__] = ACTIONS(2452),
    [anon_sym__Atomic] = ACTIONS(2452),
    [anon_sym__Noreturn] = ACTIONS(2452),
    [anon_sym_noreturn] = ACTIONS(2452),
    [anon_sym_mutable] = ACTIONS(2452),
    [anon_sym_constinit] = ACTIONS(2452),
    [anon_sym_consteval] = ACTIONS(2452),
    [sym_primitive_type] = ACTIONS(2452),
    [anon_sym_enum] = ACTIONS(2452),
    [anon_sym_class] = ACTIONS(2452),
    [anon_sym_struct] = ACTIONS(2452),
    [anon_sym_union] = ACTIONS(2452),
    [anon_sym_if] = ACTIONS(2452),
    [anon_sym_else] = ACTIONS(2452),
    [anon_sym_switch] = ACTIONS(2452),
    [anon_sym_case] = ACTIONS(2452),
    [anon_sym_default] = ACTIONS(2452),
    [anon_sym_while] = ACTIONS(2452),
    [anon_sym_do] = ACTIONS(2452),
    [anon_sym_for] = ACTIONS(2452),
    [anon_sym_return] = ACTIONS(2452),
    [anon_sym_break] = ACTIONS(2452),
    [anon_sym_continue] = ACTIONS(2452),
    [anon_sym_goto] = ACTIONS(2452),
    [anon_sym___try] = ACTIONS(2452),
    [anon_sym___leave] = ACTIONS(2452),
    [anon_sym_not] = ACTIONS(2452),
    [anon_sym_compl] = ACTIONS(2452),
    [anon_sym_DASH_DASH] = ACTIONS(2454),
    [anon_sym_PLUS_PLUS] = ACTIONS(2454),
    [anon_sym_sizeof] = ACTIONS(2452),
    [anon_sym___alignof__] = ACTIONS(2452),
    [anon_sym___alignof] = ACTIONS(2452),
    [anon_sym__alignof] = ACTIONS(2452),
    [anon_sym_alignof] = ACTIONS(2452),
    [anon_sym__Alignof] = ACTIONS(2452),
    [anon_sym_offsetof] = ACTIONS(2452),
    [anon_sym__Generic] = ACTIONS(2452),
    [anon_sym_asm] = ACTIONS(2452),
    [anon_sym___asm__] = ACTIONS(2452),
    [sym_number_literal] = ACTIONS(2454),
    [anon_sym_L_SQUOTE] = ACTIONS(2454),
    [anon_sym_u_SQUOTE] = ACTIONS(2454),
    [anon_sym_U_SQUOTE] = ACTIONS(2454),
    [anon_sym_u8_SQUOTE] = ACTIONS(2454),
    [anon_sym_SQUOTE] = ACTIONS(2454),
    [anon_sym_L_DQUOTE] = ACTIONS(2454),
    [anon_sym_u_DQUOTE] = ACTIONS(2454),
    [anon_sym_U_DQUOTE] = ACTIONS(2454),
    [anon_sym_u8_DQUOTE] = ACTIONS(2454),
    [anon_sym_DQUOTE] = ACTIONS(2454),
    [sym_true] = ACTIONS(2452),
    [sym_false] = ACTIONS(2452),
    [anon_sym_NULL] = ACTIONS(2452),
    [anon_sym_nullptr] = ACTIONS(2452),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2452),
    [anon_sym_decltype] = ACTIONS(2452),
    [anon_sym_virtual] = ACTIONS(2452),
    [anon_sym_alignas] = ACTIONS(2452),
    [anon_sym_explicit] = ACTIONS(2452),
    [anon_sym_typename] = ACTIONS(2452),
    [anon_sym_template] = ACTIONS(2452),
    [anon_sym_operator] = ACTIONS(2452),
    [anon_sym_try] = ACTIONS(2452),
    [anon_sym_delete] = ACTIONS(2452),
    [anon_sym_throw] = ACTIONS(2452),
    [anon_sym_namespace] = ACTIONS(2452),
    [anon_sym_using] = ACTIONS(2452),
    [anon_sym_static_assert] = ACTIONS(2452),
    [anon_sym_concept] = ACTIONS(2452),
    [anon_sym_co_return] = ACTIONS(2452),
    [anon_sym_co_yield] = ACTIONS(2452),
    [anon_sym_R_DQUOTE] = ACTIONS(2454),
    [anon_sym_LR_DQUOTE] = ACTIONS(2454),
    [anon_sym_uR_DQUOTE] = ACTIONS(2454),
    [anon_sym_UR_DQUOTE] = ACTIONS(2454),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2454),
    [anon_sym_co_await] = ACTIONS(2452),
    [anon_sym_new] = ACTIONS(2452),
    [anon_sym_requires] = ACTIONS(2452),
    [sym_this] = ACTIONS(2452),
    [anon_sym_discard] = ACTIONS(2452),
    [anon_sym_precise] = ACTIONS(2452),
    [anon_sym_shared] = ACTIONS(2452),
    [anon_sym_groupshared] = ACTIONS(2452),
    [anon_sym_uniform] = ACTIONS(2452),
    [anon_sym_row_major] = ACTIONS(2452),
    [anon_sym_column_major] = ACTIONS(2452),
    [anon_sym_globallycoherent] = ACTIONS(2452),
    [anon_sym_centroid] = ACTIONS(2452),
    [anon_sym_noperspective] = ACTIONS(2452),
    [anon_sym_nointerpolation] = ACTIONS(2452),
    [anon_sym_sample] = ACTIONS(2452),
    [anon_sym_linear] = ACTIONS(2452),
    [anon_sym_snorm] = ACTIONS(2452),
    [anon_sym_unorm] = ACTIONS(2452),
    [anon_sym_point] = ACTIONS(2452),
    [anon_sym_line] = ACTIONS(2452),
    [anon_sym_triangleadj] = ACTIONS(2452),
    [anon_sym_lineadj] = ACTIONS(2452),
    [anon_sym_triangle] = ACTIONS(2452),
    [anon_sym_cbuffer] = ACTIONS(2452),
  },
  [295] = {
    [sym_identifier] = ACTIONS(2444),
    [aux_sym_preproc_include_token1] = ACTIONS(2444),
    [aux_sym_preproc_def_token1] = ACTIONS(2444),
    [aux_sym_preproc_if_token1] = ACTIONS(2444),
    [aux_sym_preproc_if_token2] = ACTIONS(2444),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2444),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2444),
    [aux_sym_preproc_else_token1] = ACTIONS(2444),
    [aux_sym_preproc_elif_token1] = ACTIONS(2444),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2444),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2444),
    [sym_preproc_directive] = ACTIONS(2444),
    [anon_sym_LPAREN2] = ACTIONS(2446),
    [anon_sym_BANG] = ACTIONS(2446),
    [anon_sym_TILDE] = ACTIONS(2446),
    [anon_sym_DASH] = ACTIONS(2444),
    [anon_sym_PLUS] = ACTIONS(2444),
    [anon_sym_STAR] = ACTIONS(2446),
    [anon_sym_AMP_AMP] = ACTIONS(2446),
    [anon_sym_AMP] = ACTIONS(2444),
    [anon_sym_SEMI] = ACTIONS(2446),
    [anon_sym___extension__] = ACTIONS(2444),
    [anon_sym_typedef] = ACTIONS(2444),
    [anon_sym_in] = ACTIONS(2444),
    [anon_sym_out] = ACTIONS(2444),
    [anon_sym_inout] = ACTIONS(2444),
    [anon_sym_extern] = ACTIONS(2444),
    [anon_sym___attribute__] = ACTIONS(2444),
    [anon_sym_COLON_COLON] = ACTIONS(2446),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2446),
    [anon_sym___declspec] = ACTIONS(2444),
    [anon_sym___based] = ACTIONS(2444),
    [anon_sym___cdecl] = ACTIONS(2444),
    [anon_sym___clrcall] = ACTIONS(2444),
    [anon_sym___stdcall] = ACTIONS(2444),
    [anon_sym___fastcall] = ACTIONS(2444),
    [anon_sym___thiscall] = ACTIONS(2444),
    [anon_sym___vectorcall] = ACTIONS(2444),
    [anon_sym_LBRACE] = ACTIONS(2446),
    [anon_sym_signed] = ACTIONS(2444),
    [anon_sym_unsigned] = ACTIONS(2444),
    [anon_sym_long] = ACTIONS(2444),
    [anon_sym_short] = ACTIONS(2444),
    [anon_sym_LBRACK] = ACTIONS(2444),
    [anon_sym_static] = ACTIONS(2444),
    [anon_sym_register] = ACTIONS(2444),
    [anon_sym_inline] = ACTIONS(2444),
    [anon_sym___inline] = ACTIONS(2444),
    [anon_sym___inline__] = ACTIONS(2444),
    [anon_sym___forceinline] = ACTIONS(2444),
    [anon_sym_thread_local] = ACTIONS(2444),
    [anon_sym___thread] = ACTIONS(2444),
    [anon_sym_const] = ACTIONS(2444),
    [anon_sym_constexpr] = ACTIONS(2444),
    [anon_sym_volatile] = ACTIONS(2444),
    [anon_sym_restrict] = ACTIONS(2444),
    [anon_sym___restrict__] = ACTIONS(2444),
    [anon_sym__Atomic] = ACTIONS(2444),
    [anon_sym__Noreturn] = ACTIONS(2444),
    [anon_sym_noreturn] = ACTIONS(2444),
    [anon_sym_mutable] = ACTIONS(2444),
    [anon_sym_constinit] = ACTIONS(2444),
    [anon_sym_consteval] = ACTIONS(2444),
    [sym_primitive_type] = ACTIONS(2444),
    [anon_sym_enum] = ACTIONS(2444),
    [anon_sym_class] = ACTIONS(2444),
    [anon_sym_struct] = ACTIONS(2444),
    [anon_sym_union] = ACTIONS(2444),
    [anon_sym_if] = ACTIONS(2444),
    [anon_sym_else] = ACTIONS(2444),
    [anon_sym_switch] = ACTIONS(2444),
    [anon_sym_case] = ACTIONS(2444),
    [anon_sym_default] = ACTIONS(2444),
    [anon_sym_while] = ACTIONS(2444),
    [anon_sym_do] = ACTIONS(2444),
    [anon_sym_for] = ACTIONS(2444),
    [anon_sym_return] = ACTIONS(2444),
    [anon_sym_break] = ACTIONS(2444),
    [anon_sym_continue] = ACTIONS(2444),
    [anon_sym_goto] = ACTIONS(2444),
    [anon_sym___try] = ACTIONS(2444),
    [anon_sym___leave] = ACTIONS(2444),
    [anon_sym_not] = ACTIONS(2444),
    [anon_sym_compl] = ACTIONS(2444),
    [anon_sym_DASH_DASH] = ACTIONS(2446),
    [anon_sym_PLUS_PLUS] = ACTIONS(2446),
    [anon_sym_sizeof] = ACTIONS(2444),
    [anon_sym___alignof__] = ACTIONS(2444),
    [anon_sym___alignof] = ACTIONS(2444),
    [anon_sym__alignof] = ACTIONS(2444),
    [anon_sym_alignof] = ACTIONS(2444),
    [anon_sym__Alignof] = ACTIONS(2444),
    [anon_sym_offsetof] = ACTIONS(2444),
    [anon_sym__Generic] = ACTIONS(2444),
    [anon_sym_asm] = ACTIONS(2444),
    [anon_sym___asm__] = ACTIONS(2444),
    [sym_number_literal] = ACTIONS(2446),
    [anon_sym_L_SQUOTE] = ACTIONS(2446),
    [anon_sym_u_SQUOTE] = ACTIONS(2446),
    [anon_sym_U_SQUOTE] = ACTIONS(2446),
    [anon_sym_u8_SQUOTE] = ACTIONS(2446),
    [anon_sym_SQUOTE] = ACTIONS(2446),
    [anon_sym_L_DQUOTE] = ACTIONS(2446),
    [anon_sym_u_DQUOTE] = ACTIONS(2446),
    [anon_sym_U_DQUOTE] = ACTIONS(2446),
    [anon_sym_u8_DQUOTE] = ACTIONS(2446),
    [anon_sym_DQUOTE] = ACTIONS(2446),
    [sym_true] = ACTIONS(2444),
    [sym_false] = ACTIONS(2444),
    [anon_sym_NULL] = ACTIONS(2444),
    [anon_sym_nullptr] = ACTIONS(2444),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2444),
    [anon_sym_decltype] = ACTIONS(2444),
    [anon_sym_virtual] = ACTIONS(2444),
    [anon_sym_alignas] = ACTIONS(2444),
    [anon_sym_explicit] = ACTIONS(2444),
    [anon_sym_typename] = ACTIONS(2444),
    [anon_sym_template] = ACTIONS(2444),
    [anon_sym_operator] = ACTIONS(2444),
    [anon_sym_try] = ACTIONS(2444),
    [anon_sym_delete] = ACTIONS(2444),
    [anon_sym_throw] = ACTIONS(2444),
    [anon_sym_namespace] = ACTIONS(2444),
    [anon_sym_using] = ACTIONS(2444),
    [anon_sym_static_assert] = ACTIONS(2444),
    [anon_sym_concept] = ACTIONS(2444),
    [anon_sym_co_return] = ACTIONS(2444),
    [anon_sym_co_yield] = ACTIONS(2444),
    [anon_sym_R_DQUOTE] = ACTIONS(2446),
    [anon_sym_LR_DQUOTE] = ACTIONS(2446),
    [anon_sym_uR_DQUOTE] = ACTIONS(2446),
    [anon_sym_UR_DQUOTE] = ACTIONS(2446),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2446),
    [anon_sym_co_await] = ACTIONS(2444),
    [anon_sym_new] = ACTIONS(2444),
    [anon_sym_requires] = ACTIONS(2444),
    [sym_this] = ACTIONS(2444),
    [anon_sym_discard] = ACTIONS(2444),
    [anon_sym_precise] = ACTIONS(2444),
    [anon_sym_shared] = ACTIONS(2444),
    [anon_sym_groupshared] = ACTIONS(2444),
    [anon_sym_uniform] = ACTIONS(2444),
    [anon_sym_row_major] = ACTIONS(2444),
    [anon_sym_column_major] = ACTIONS(2444),
    [anon_sym_globallycoherent] = ACTIONS(2444),
    [anon_sym_centroid] = ACTIONS(2444),
    [anon_sym_noperspective] = ACTIONS(2444),
    [anon_sym_nointerpolation] = ACTIONS(2444),
    [anon_sym_sample] = ACTIONS(2444),
    [anon_sym_linear] = ACTIONS(2444),
    [anon_sym_snorm] = ACTIONS(2444),
    [anon_sym_unorm] = ACTIONS(2444),
    [anon_sym_point] = ACTIONS(2444),
    [anon_sym_line] = ACTIONS(2444),
    [anon_sym_triangleadj] = ACTIONS(2444),
    [anon_sym_lineadj] = ACTIONS(2444),
    [anon_sym_triangle] = ACTIONS(2444),
    [anon_sym_cbuffer] = ACTIONS(2444),
  },
  [296] = {
    [sym_identifier] = ACTIONS(2444),
    [aux_sym_preproc_include_token1] = ACTIONS(2444),
    [aux_sym_preproc_def_token1] = ACTIONS(2444),
    [aux_sym_preproc_if_token1] = ACTIONS(2444),
    [aux_sym_preproc_if_token2] = ACTIONS(2444),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2444),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2444),
    [aux_sym_preproc_else_token1] = ACTIONS(2444),
    [aux_sym_preproc_elif_token1] = ACTIONS(2444),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2444),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2444),
    [sym_preproc_directive] = ACTIONS(2444),
    [anon_sym_LPAREN2] = ACTIONS(2446),
    [anon_sym_BANG] = ACTIONS(2446),
    [anon_sym_TILDE] = ACTIONS(2446),
    [anon_sym_DASH] = ACTIONS(2444),
    [anon_sym_PLUS] = ACTIONS(2444),
    [anon_sym_STAR] = ACTIONS(2446),
    [anon_sym_AMP_AMP] = ACTIONS(2446),
    [anon_sym_AMP] = ACTIONS(2444),
    [anon_sym_SEMI] = ACTIONS(2446),
    [anon_sym___extension__] = ACTIONS(2444),
    [anon_sym_typedef] = ACTIONS(2444),
    [anon_sym_in] = ACTIONS(2444),
    [anon_sym_out] = ACTIONS(2444),
    [anon_sym_inout] = ACTIONS(2444),
    [anon_sym_extern] = ACTIONS(2444),
    [anon_sym___attribute__] = ACTIONS(2444),
    [anon_sym_COLON_COLON] = ACTIONS(2446),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2446),
    [anon_sym___declspec] = ACTIONS(2444),
    [anon_sym___based] = ACTIONS(2444),
    [anon_sym___cdecl] = ACTIONS(2444),
    [anon_sym___clrcall] = ACTIONS(2444),
    [anon_sym___stdcall] = ACTIONS(2444),
    [anon_sym___fastcall] = ACTIONS(2444),
    [anon_sym___thiscall] = ACTIONS(2444),
    [anon_sym___vectorcall] = ACTIONS(2444),
    [anon_sym_LBRACE] = ACTIONS(2446),
    [anon_sym_signed] = ACTIONS(2444),
    [anon_sym_unsigned] = ACTIONS(2444),
    [anon_sym_long] = ACTIONS(2444),
    [anon_sym_short] = ACTIONS(2444),
    [anon_sym_LBRACK] = ACTIONS(2444),
    [anon_sym_static] = ACTIONS(2444),
    [anon_sym_register] = ACTIONS(2444),
    [anon_sym_inline] = ACTIONS(2444),
    [anon_sym___inline] = ACTIONS(2444),
    [anon_sym___inline__] = ACTIONS(2444),
    [anon_sym___forceinline] = ACTIONS(2444),
    [anon_sym_thread_local] = ACTIONS(2444),
    [anon_sym___thread] = ACTIONS(2444),
    [anon_sym_const] = ACTIONS(2444),
    [anon_sym_constexpr] = ACTIONS(2444),
    [anon_sym_volatile] = ACTIONS(2444),
    [anon_sym_restrict] = ACTIONS(2444),
    [anon_sym___restrict__] = ACTIONS(2444),
    [anon_sym__Atomic] = ACTIONS(2444),
    [anon_sym__Noreturn] = ACTIONS(2444),
    [anon_sym_noreturn] = ACTIONS(2444),
    [anon_sym_mutable] = ACTIONS(2444),
    [anon_sym_constinit] = ACTIONS(2444),
    [anon_sym_consteval] = ACTIONS(2444),
    [sym_primitive_type] = ACTIONS(2444),
    [anon_sym_enum] = ACTIONS(2444),
    [anon_sym_class] = ACTIONS(2444),
    [anon_sym_struct] = ACTIONS(2444),
    [anon_sym_union] = ACTIONS(2444),
    [anon_sym_if] = ACTIONS(2444),
    [anon_sym_else] = ACTIONS(2444),
    [anon_sym_switch] = ACTIONS(2444),
    [anon_sym_case] = ACTIONS(2444),
    [anon_sym_default] = ACTIONS(2444),
    [anon_sym_while] = ACTIONS(2444),
    [anon_sym_do] = ACTIONS(2444),
    [anon_sym_for] = ACTIONS(2444),
    [anon_sym_return] = ACTIONS(2444),
    [anon_sym_break] = ACTIONS(2444),
    [anon_sym_continue] = ACTIONS(2444),
    [anon_sym_goto] = ACTIONS(2444),
    [anon_sym___try] = ACTIONS(2444),
    [anon_sym___leave] = ACTIONS(2444),
    [anon_sym_not] = ACTIONS(2444),
    [anon_sym_compl] = ACTIONS(2444),
    [anon_sym_DASH_DASH] = ACTIONS(2446),
    [anon_sym_PLUS_PLUS] = ACTIONS(2446),
    [anon_sym_sizeof] = ACTIONS(2444),
    [anon_sym___alignof__] = ACTIONS(2444),
    [anon_sym___alignof] = ACTIONS(2444),
    [anon_sym__alignof] = ACTIONS(2444),
    [anon_sym_alignof] = ACTIONS(2444),
    [anon_sym__Alignof] = ACTIONS(2444),
    [anon_sym_offsetof] = ACTIONS(2444),
    [anon_sym__Generic] = ACTIONS(2444),
    [anon_sym_asm] = ACTIONS(2444),
    [anon_sym___asm__] = ACTIONS(2444),
    [sym_number_literal] = ACTIONS(2446),
    [anon_sym_L_SQUOTE] = ACTIONS(2446),
    [anon_sym_u_SQUOTE] = ACTIONS(2446),
    [anon_sym_U_SQUOTE] = ACTIONS(2446),
    [anon_sym_u8_SQUOTE] = ACTIONS(2446),
    [anon_sym_SQUOTE] = ACTIONS(2446),
    [anon_sym_L_DQUOTE] = ACTIONS(2446),
    [anon_sym_u_DQUOTE] = ACTIONS(2446),
    [anon_sym_U_DQUOTE] = ACTIONS(2446),
    [anon_sym_u8_DQUOTE] = ACTIONS(2446),
    [anon_sym_DQUOTE] = ACTIONS(2446),
    [sym_true] = ACTIONS(2444),
    [sym_false] = ACTIONS(2444),
    [anon_sym_NULL] = ACTIONS(2444),
    [anon_sym_nullptr] = ACTIONS(2444),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2444),
    [anon_sym_decltype] = ACTIONS(2444),
    [anon_sym_virtual] = ACTIONS(2444),
    [anon_sym_alignas] = ACTIONS(2444),
    [anon_sym_explicit] = ACTIONS(2444),
    [anon_sym_typename] = ACTIONS(2444),
    [anon_sym_template] = ACTIONS(2444),
    [anon_sym_operator] = ACTIONS(2444),
    [anon_sym_try] = ACTIONS(2444),
    [anon_sym_delete] = ACTIONS(2444),
    [anon_sym_throw] = ACTIONS(2444),
    [anon_sym_namespace] = ACTIONS(2444),
    [anon_sym_using] = ACTIONS(2444),
    [anon_sym_static_assert] = ACTIONS(2444),
    [anon_sym_concept] = ACTIONS(2444),
    [anon_sym_co_return] = ACTIONS(2444),
    [anon_sym_co_yield] = ACTIONS(2444),
    [anon_sym_R_DQUOTE] = ACTIONS(2446),
    [anon_sym_LR_DQUOTE] = ACTIONS(2446),
    [anon_sym_uR_DQUOTE] = ACTIONS(2446),
    [anon_sym_UR_DQUOTE] = ACTIONS(2446),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2446),
    [anon_sym_co_await] = ACTIONS(2444),
    [anon_sym_new] = ACTIONS(2444),
    [anon_sym_requires] = ACTIONS(2444),
    [sym_this] = ACTIONS(2444),
    [anon_sym_discard] = ACTIONS(2444),
    [anon_sym_precise] = ACTIONS(2444),
    [anon_sym_shared] = ACTIONS(2444),
    [anon_sym_groupshared] = ACTIONS(2444),
    [anon_sym_uniform] = ACTIONS(2444),
    [anon_sym_row_major] = ACTIONS(2444),
    [anon_sym_column_major] = ACTIONS(2444),
    [anon_sym_globallycoherent] = ACTIONS(2444),
    [anon_sym_centroid] = ACTIONS(2444),
    [anon_sym_noperspective] = ACTIONS(2444),
    [anon_sym_nointerpolation] = ACTIONS(2444),
    [anon_sym_sample] = ACTIONS(2444),
    [anon_sym_linear] = ACTIONS(2444),
    [anon_sym_snorm] = ACTIONS(2444),
    [anon_sym_unorm] = ACTIONS(2444),
    [anon_sym_point] = ACTIONS(2444),
    [anon_sym_line] = ACTIONS(2444),
    [anon_sym_triangleadj] = ACTIONS(2444),
    [anon_sym_lineadj] = ACTIONS(2444),
    [anon_sym_triangle] = ACTIONS(2444),
    [anon_sym_cbuffer] = ACTIONS(2444),
  },
  [297] = {
    [sym_identifier] = ACTIONS(2456),
    [aux_sym_preproc_include_token1] = ACTIONS(2456),
    [aux_sym_preproc_def_token1] = ACTIONS(2456),
    [aux_sym_preproc_if_token1] = ACTIONS(2456),
    [aux_sym_preproc_if_token2] = ACTIONS(2456),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2456),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2456),
    [aux_sym_preproc_else_token1] = ACTIONS(2456),
    [aux_sym_preproc_elif_token1] = ACTIONS(2456),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2456),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2456),
    [sym_preproc_directive] = ACTIONS(2456),
    [anon_sym_LPAREN2] = ACTIONS(2458),
    [anon_sym_BANG] = ACTIONS(2458),
    [anon_sym_TILDE] = ACTIONS(2458),
    [anon_sym_DASH] = ACTIONS(2456),
    [anon_sym_PLUS] = ACTIONS(2456),
    [anon_sym_STAR] = ACTIONS(2458),
    [anon_sym_AMP_AMP] = ACTIONS(2458),
    [anon_sym_AMP] = ACTIONS(2456),
    [anon_sym_SEMI] = ACTIONS(2458),
    [anon_sym___extension__] = ACTIONS(2456),
    [anon_sym_typedef] = ACTIONS(2456),
    [anon_sym_in] = ACTIONS(2456),
    [anon_sym_out] = ACTIONS(2456),
    [anon_sym_inout] = ACTIONS(2456),
    [anon_sym_extern] = ACTIONS(2456),
    [anon_sym___attribute__] = ACTIONS(2456),
    [anon_sym_COLON_COLON] = ACTIONS(2458),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2458),
    [anon_sym___declspec] = ACTIONS(2456),
    [anon_sym___based] = ACTIONS(2456),
    [anon_sym___cdecl] = ACTIONS(2456),
    [anon_sym___clrcall] = ACTIONS(2456),
    [anon_sym___stdcall] = ACTIONS(2456),
    [anon_sym___fastcall] = ACTIONS(2456),
    [anon_sym___thiscall] = ACTIONS(2456),
    [anon_sym___vectorcall] = ACTIONS(2456),
    [anon_sym_LBRACE] = ACTIONS(2458),
    [anon_sym_signed] = ACTIONS(2456),
    [anon_sym_unsigned] = ACTIONS(2456),
    [anon_sym_long] = ACTIONS(2456),
    [anon_sym_short] = ACTIONS(2456),
    [anon_sym_LBRACK] = ACTIONS(2456),
    [anon_sym_static] = ACTIONS(2456),
    [anon_sym_register] = ACTIONS(2456),
    [anon_sym_inline] = ACTIONS(2456),
    [anon_sym___inline] = ACTIONS(2456),
    [anon_sym___inline__] = ACTIONS(2456),
    [anon_sym___forceinline] = ACTIONS(2456),
    [anon_sym_thread_local] = ACTIONS(2456),
    [anon_sym___thread] = ACTIONS(2456),
    [anon_sym_const] = ACTIONS(2456),
    [anon_sym_constexpr] = ACTIONS(2456),
    [anon_sym_volatile] = ACTIONS(2456),
    [anon_sym_restrict] = ACTIONS(2456),
    [anon_sym___restrict__] = ACTIONS(2456),
    [anon_sym__Atomic] = ACTIONS(2456),
    [anon_sym__Noreturn] = ACTIONS(2456),
    [anon_sym_noreturn] = ACTIONS(2456),
    [anon_sym_mutable] = ACTIONS(2456),
    [anon_sym_constinit] = ACTIONS(2456),
    [anon_sym_consteval] = ACTIONS(2456),
    [sym_primitive_type] = ACTIONS(2456),
    [anon_sym_enum] = ACTIONS(2456),
    [anon_sym_class] = ACTIONS(2456),
    [anon_sym_struct] = ACTIONS(2456),
    [anon_sym_union] = ACTIONS(2456),
    [anon_sym_if] = ACTIONS(2456),
    [anon_sym_else] = ACTIONS(2456),
    [anon_sym_switch] = ACTIONS(2456),
    [anon_sym_case] = ACTIONS(2456),
    [anon_sym_default] = ACTIONS(2456),
    [anon_sym_while] = ACTIONS(2456),
    [anon_sym_do] = ACTIONS(2456),
    [anon_sym_for] = ACTIONS(2456),
    [anon_sym_return] = ACTIONS(2456),
    [anon_sym_break] = ACTIONS(2456),
    [anon_sym_continue] = ACTIONS(2456),
    [anon_sym_goto] = ACTIONS(2456),
    [anon_sym___try] = ACTIONS(2456),
    [anon_sym___leave] = ACTIONS(2456),
    [anon_sym_not] = ACTIONS(2456),
    [anon_sym_compl] = ACTIONS(2456),
    [anon_sym_DASH_DASH] = ACTIONS(2458),
    [anon_sym_PLUS_PLUS] = ACTIONS(2458),
    [anon_sym_sizeof] = ACTIONS(2456),
    [anon_sym___alignof__] = ACTIONS(2456),
    [anon_sym___alignof] = ACTIONS(2456),
    [anon_sym__alignof] = ACTIONS(2456),
    [anon_sym_alignof] = ACTIONS(2456),
    [anon_sym__Alignof] = ACTIONS(2456),
    [anon_sym_offsetof] = ACTIONS(2456),
    [anon_sym__Generic] = ACTIONS(2456),
    [anon_sym_asm] = ACTIONS(2456),
    [anon_sym___asm__] = ACTIONS(2456),
    [sym_number_literal] = ACTIONS(2458),
    [anon_sym_L_SQUOTE] = ACTIONS(2458),
    [anon_sym_u_SQUOTE] = ACTIONS(2458),
    [anon_sym_U_SQUOTE] = ACTIONS(2458),
    [anon_sym_u8_SQUOTE] = ACTIONS(2458),
    [anon_sym_SQUOTE] = ACTIONS(2458),
    [anon_sym_L_DQUOTE] = ACTIONS(2458),
    [anon_sym_u_DQUOTE] = ACTIONS(2458),
    [anon_sym_U_DQUOTE] = ACTIONS(2458),
    [anon_sym_u8_DQUOTE] = ACTIONS(2458),
    [anon_sym_DQUOTE] = ACTIONS(2458),
    [sym_true] = ACTIONS(2456),
    [sym_false] = ACTIONS(2456),
    [anon_sym_NULL] = ACTIONS(2456),
    [anon_sym_nullptr] = ACTIONS(2456),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2456),
    [anon_sym_decltype] = ACTIONS(2456),
    [anon_sym_virtual] = ACTIONS(2456),
    [anon_sym_alignas] = ACTIONS(2456),
    [anon_sym_explicit] = ACTIONS(2456),
    [anon_sym_typename] = ACTIONS(2456),
    [anon_sym_template] = ACTIONS(2456),
    [anon_sym_operator] = ACTIONS(2456),
    [anon_sym_try] = ACTIONS(2456),
    [anon_sym_delete] = ACTIONS(2456),
    [anon_sym_throw] = ACTIONS(2456),
    [anon_sym_namespace] = ACTIONS(2456),
    [anon_sym_using] = ACTIONS(2456),
    [anon_sym_static_assert] = ACTIONS(2456),
    [anon_sym_concept] = ACTIONS(2456),
    [anon_sym_co_return] = ACTIONS(2456),
    [anon_sym_co_yield] = ACTIONS(2456),
    [anon_sym_R_DQUOTE] = ACTIONS(2458),
    [anon_sym_LR_DQUOTE] = ACTIONS(2458),
    [anon_sym_uR_DQUOTE] = ACTIONS(2458),
    [anon_sym_UR_DQUOTE] = ACTIONS(2458),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2458),
    [anon_sym_co_await] = ACTIONS(2456),
    [anon_sym_new] = ACTIONS(2456),
    [anon_sym_requires] = ACTIONS(2456),
    [sym_this] = ACTIONS(2456),
    [anon_sym_discard] = ACTIONS(2456),
    [anon_sym_precise] = ACTIONS(2456),
    [anon_sym_shared] = ACTIONS(2456),
    [anon_sym_groupshared] = ACTIONS(2456),
    [anon_sym_uniform] = ACTIONS(2456),
    [anon_sym_row_major] = ACTIONS(2456),
    [anon_sym_column_major] = ACTIONS(2456),
    [anon_sym_globallycoherent] = ACTIONS(2456),
    [anon_sym_centroid] = ACTIONS(2456),
    [anon_sym_noperspective] = ACTIONS(2456),
    [anon_sym_nointerpolation] = ACTIONS(2456),
    [anon_sym_sample] = ACTIONS(2456),
    [anon_sym_linear] = ACTIONS(2456),
    [anon_sym_snorm] = ACTIONS(2456),
    [anon_sym_unorm] = ACTIONS(2456),
    [anon_sym_point] = ACTIONS(2456),
    [anon_sym_line] = ACTIONS(2456),
    [anon_sym_triangleadj] = ACTIONS(2456),
    [anon_sym_lineadj] = ACTIONS(2456),
    [anon_sym_triangle] = ACTIONS(2456),
    [anon_sym_cbuffer] = ACTIONS(2456),
  },
  [298] = {
    [sym_identifier] = ACTIONS(2444),
    [aux_sym_preproc_include_token1] = ACTIONS(2444),
    [aux_sym_preproc_def_token1] = ACTIONS(2444),
    [aux_sym_preproc_if_token1] = ACTIONS(2444),
    [aux_sym_preproc_if_token2] = ACTIONS(2444),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2444),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2444),
    [aux_sym_preproc_else_token1] = ACTIONS(2444),
    [aux_sym_preproc_elif_token1] = ACTIONS(2444),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2444),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2444),
    [sym_preproc_directive] = ACTIONS(2444),
    [anon_sym_LPAREN2] = ACTIONS(2446),
    [anon_sym_BANG] = ACTIONS(2446),
    [anon_sym_TILDE] = ACTIONS(2446),
    [anon_sym_DASH] = ACTIONS(2444),
    [anon_sym_PLUS] = ACTIONS(2444),
    [anon_sym_STAR] = ACTIONS(2446),
    [anon_sym_AMP_AMP] = ACTIONS(2446),
    [anon_sym_AMP] = ACTIONS(2444),
    [anon_sym_SEMI] = ACTIONS(2446),
    [anon_sym___extension__] = ACTIONS(2444),
    [anon_sym_typedef] = ACTIONS(2444),
    [anon_sym_in] = ACTIONS(2444),
    [anon_sym_out] = ACTIONS(2444),
    [anon_sym_inout] = ACTIONS(2444),
    [anon_sym_extern] = ACTIONS(2444),
    [anon_sym___attribute__] = ACTIONS(2444),
    [anon_sym_COLON_COLON] = ACTIONS(2446),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2446),
    [anon_sym___declspec] = ACTIONS(2444),
    [anon_sym___based] = ACTIONS(2444),
    [anon_sym___cdecl] = ACTIONS(2444),
    [anon_sym___clrcall] = ACTIONS(2444),
    [anon_sym___stdcall] = ACTIONS(2444),
    [anon_sym___fastcall] = ACTIONS(2444),
    [anon_sym___thiscall] = ACTIONS(2444),
    [anon_sym___vectorcall] = ACTIONS(2444),
    [anon_sym_LBRACE] = ACTIONS(2446),
    [anon_sym_signed] = ACTIONS(2444),
    [anon_sym_unsigned] = ACTIONS(2444),
    [anon_sym_long] = ACTIONS(2444),
    [anon_sym_short] = ACTIONS(2444),
    [anon_sym_LBRACK] = ACTIONS(2444),
    [anon_sym_static] = ACTIONS(2444),
    [anon_sym_register] = ACTIONS(2444),
    [anon_sym_inline] = ACTIONS(2444),
    [anon_sym___inline] = ACTIONS(2444),
    [anon_sym___inline__] = ACTIONS(2444),
    [anon_sym___forceinline] = ACTIONS(2444),
    [anon_sym_thread_local] = ACTIONS(2444),
    [anon_sym___thread] = ACTIONS(2444),
    [anon_sym_const] = ACTIONS(2444),
    [anon_sym_constexpr] = ACTIONS(2444),
    [anon_sym_volatile] = ACTIONS(2444),
    [anon_sym_restrict] = ACTIONS(2444),
    [anon_sym___restrict__] = ACTIONS(2444),
    [anon_sym__Atomic] = ACTIONS(2444),
    [anon_sym__Noreturn] = ACTIONS(2444),
    [anon_sym_noreturn] = ACTIONS(2444),
    [anon_sym_mutable] = ACTIONS(2444),
    [anon_sym_constinit] = ACTIONS(2444),
    [anon_sym_consteval] = ACTIONS(2444),
    [sym_primitive_type] = ACTIONS(2444),
    [anon_sym_enum] = ACTIONS(2444),
    [anon_sym_class] = ACTIONS(2444),
    [anon_sym_struct] = ACTIONS(2444),
    [anon_sym_union] = ACTIONS(2444),
    [anon_sym_if] = ACTIONS(2444),
    [anon_sym_else] = ACTIONS(2444),
    [anon_sym_switch] = ACTIONS(2444),
    [anon_sym_case] = ACTIONS(2444),
    [anon_sym_default] = ACTIONS(2444),
    [anon_sym_while] = ACTIONS(2444),
    [anon_sym_do] = ACTIONS(2444),
    [anon_sym_for] = ACTIONS(2444),
    [anon_sym_return] = ACTIONS(2444),
    [anon_sym_break] = ACTIONS(2444),
    [anon_sym_continue] = ACTIONS(2444),
    [anon_sym_goto] = ACTIONS(2444),
    [anon_sym___try] = ACTIONS(2444),
    [anon_sym___leave] = ACTIONS(2444),
    [anon_sym_not] = ACTIONS(2444),
    [anon_sym_compl] = ACTIONS(2444),
    [anon_sym_DASH_DASH] = ACTIONS(2446),
    [anon_sym_PLUS_PLUS] = ACTIONS(2446),
    [anon_sym_sizeof] = ACTIONS(2444),
    [anon_sym___alignof__] = ACTIONS(2444),
    [anon_sym___alignof] = ACTIONS(2444),
    [anon_sym__alignof] = ACTIONS(2444),
    [anon_sym_alignof] = ACTIONS(2444),
    [anon_sym__Alignof] = ACTIONS(2444),
    [anon_sym_offsetof] = ACTIONS(2444),
    [anon_sym__Generic] = ACTIONS(2444),
    [anon_sym_asm] = ACTIONS(2444),
    [anon_sym___asm__] = ACTIONS(2444),
    [sym_number_literal] = ACTIONS(2446),
    [anon_sym_L_SQUOTE] = ACTIONS(2446),
    [anon_sym_u_SQUOTE] = ACTIONS(2446),
    [anon_sym_U_SQUOTE] = ACTIONS(2446),
    [anon_sym_u8_SQUOTE] = ACTIONS(2446),
    [anon_sym_SQUOTE] = ACTIONS(2446),
    [anon_sym_L_DQUOTE] = ACTIONS(2446),
    [anon_sym_u_DQUOTE] = ACTIONS(2446),
    [anon_sym_U_DQUOTE] = ACTIONS(2446),
    [anon_sym_u8_DQUOTE] = ACTIONS(2446),
    [anon_sym_DQUOTE] = ACTIONS(2446),
    [sym_true] = ACTIONS(2444),
    [sym_false] = ACTIONS(2444),
    [anon_sym_NULL] = ACTIONS(2444),
    [anon_sym_nullptr] = ACTIONS(2444),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2444),
    [anon_sym_decltype] = ACTIONS(2444),
    [anon_sym_virtual] = ACTIONS(2444),
    [anon_sym_alignas] = ACTIONS(2444),
    [anon_sym_explicit] = ACTIONS(2444),
    [anon_sym_typename] = ACTIONS(2444),
    [anon_sym_template] = ACTIONS(2444),
    [anon_sym_operator] = ACTIONS(2444),
    [anon_sym_try] = ACTIONS(2444),
    [anon_sym_delete] = ACTIONS(2444),
    [anon_sym_throw] = ACTIONS(2444),
    [anon_sym_namespace] = ACTIONS(2444),
    [anon_sym_using] = ACTIONS(2444),
    [anon_sym_static_assert] = ACTIONS(2444),
    [anon_sym_concept] = ACTIONS(2444),
    [anon_sym_co_return] = ACTIONS(2444),
    [anon_sym_co_yield] = ACTIONS(2444),
    [anon_sym_R_DQUOTE] = ACTIONS(2446),
    [anon_sym_LR_DQUOTE] = ACTIONS(2446),
    [anon_sym_uR_DQUOTE] = ACTIONS(2446),
    [anon_sym_UR_DQUOTE] = ACTIONS(2446),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2446),
    [anon_sym_co_await] = ACTIONS(2444),
    [anon_sym_new] = ACTIONS(2444),
    [anon_sym_requires] = ACTIONS(2444),
    [sym_this] = ACTIONS(2444),
    [anon_sym_discard] = ACTIONS(2444),
    [anon_sym_precise] = ACTIONS(2444),
    [anon_sym_shared] = ACTIONS(2444),
    [anon_sym_groupshared] = ACTIONS(2444),
    [anon_sym_uniform] = ACTIONS(2444),
    [anon_sym_row_major] = ACTIONS(2444),
    [anon_sym_column_major] = ACTIONS(2444),
    [anon_sym_globallycoherent] = ACTIONS(2444),
    [anon_sym_centroid] = ACTIONS(2444),
    [anon_sym_noperspective] = ACTIONS(2444),
    [anon_sym_nointerpolation] = ACTIONS(2444),
    [anon_sym_sample] = ACTIONS(2444),
    [anon_sym_linear] = ACTIONS(2444),
    [anon_sym_snorm] = ACTIONS(2444),
    [anon_sym_unorm] = ACTIONS(2444),
    [anon_sym_point] = ACTIONS(2444),
    [anon_sym_line] = ACTIONS(2444),
    [anon_sym_triangleadj] = ACTIONS(2444),
    [anon_sym_lineadj] = ACTIONS(2444),
    [anon_sym_triangle] = ACTIONS(2444),
    [anon_sym_cbuffer] = ACTIONS(2444),
  },
  [299] = {
    [sym_identifier] = ACTIONS(2444),
    [aux_sym_preproc_include_token1] = ACTIONS(2444),
    [aux_sym_preproc_def_token1] = ACTIONS(2444),
    [aux_sym_preproc_if_token1] = ACTIONS(2444),
    [aux_sym_preproc_if_token2] = ACTIONS(2444),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2444),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2444),
    [aux_sym_preproc_else_token1] = ACTIONS(2444),
    [aux_sym_preproc_elif_token1] = ACTIONS(2444),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2444),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2444),
    [sym_preproc_directive] = ACTIONS(2444),
    [anon_sym_LPAREN2] = ACTIONS(2446),
    [anon_sym_BANG] = ACTIONS(2446),
    [anon_sym_TILDE] = ACTIONS(2446),
    [anon_sym_DASH] = ACTIONS(2444),
    [anon_sym_PLUS] = ACTIONS(2444),
    [anon_sym_STAR] = ACTIONS(2446),
    [anon_sym_AMP_AMP] = ACTIONS(2446),
    [anon_sym_AMP] = ACTIONS(2444),
    [anon_sym_SEMI] = ACTIONS(2446),
    [anon_sym___extension__] = ACTIONS(2444),
    [anon_sym_typedef] = ACTIONS(2444),
    [anon_sym_in] = ACTIONS(2444),
    [anon_sym_out] = ACTIONS(2444),
    [anon_sym_inout] = ACTIONS(2444),
    [anon_sym_extern] = ACTIONS(2444),
    [anon_sym___attribute__] = ACTIONS(2444),
    [anon_sym_COLON_COLON] = ACTIONS(2446),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2446),
    [anon_sym___declspec] = ACTIONS(2444),
    [anon_sym___based] = ACTIONS(2444),
    [anon_sym___cdecl] = ACTIONS(2444),
    [anon_sym___clrcall] = ACTIONS(2444),
    [anon_sym___stdcall] = ACTIONS(2444),
    [anon_sym___fastcall] = ACTIONS(2444),
    [anon_sym___thiscall] = ACTIONS(2444),
    [anon_sym___vectorcall] = ACTIONS(2444),
    [anon_sym_LBRACE] = ACTIONS(2446),
    [anon_sym_signed] = ACTIONS(2444),
    [anon_sym_unsigned] = ACTIONS(2444),
    [anon_sym_long] = ACTIONS(2444),
    [anon_sym_short] = ACTIONS(2444),
    [anon_sym_LBRACK] = ACTIONS(2444),
    [anon_sym_static] = ACTIONS(2444),
    [anon_sym_register] = ACTIONS(2444),
    [anon_sym_inline] = ACTIONS(2444),
    [anon_sym___inline] = ACTIONS(2444),
    [anon_sym___inline__] = ACTIONS(2444),
    [anon_sym___forceinline] = ACTIONS(2444),
    [anon_sym_thread_local] = ACTIONS(2444),
    [anon_sym___thread] = ACTIONS(2444),
    [anon_sym_const] = ACTIONS(2444),
    [anon_sym_constexpr] = ACTIONS(2444),
    [anon_sym_volatile] = ACTIONS(2444),
    [anon_sym_restrict] = ACTIONS(2444),
    [anon_sym___restrict__] = ACTIONS(2444),
    [anon_sym__Atomic] = ACTIONS(2444),
    [anon_sym__Noreturn] = ACTIONS(2444),
    [anon_sym_noreturn] = ACTIONS(2444),
    [anon_sym_mutable] = ACTIONS(2444),
    [anon_sym_constinit] = ACTIONS(2444),
    [anon_sym_consteval] = ACTIONS(2444),
    [sym_primitive_type] = ACTIONS(2444),
    [anon_sym_enum] = ACTIONS(2444),
    [anon_sym_class] = ACTIONS(2444),
    [anon_sym_struct] = ACTIONS(2444),
    [anon_sym_union] = ACTIONS(2444),
    [anon_sym_if] = ACTIONS(2444),
    [anon_sym_else] = ACTIONS(2444),
    [anon_sym_switch] = ACTIONS(2444),
    [anon_sym_case] = ACTIONS(2444),
    [anon_sym_default] = ACTIONS(2444),
    [anon_sym_while] = ACTIONS(2444),
    [anon_sym_do] = ACTIONS(2444),
    [anon_sym_for] = ACTIONS(2444),
    [anon_sym_return] = ACTIONS(2444),
    [anon_sym_break] = ACTIONS(2444),
    [anon_sym_continue] = ACTIONS(2444),
    [anon_sym_goto] = ACTIONS(2444),
    [anon_sym___try] = ACTIONS(2444),
    [anon_sym___leave] = ACTIONS(2444),
    [anon_sym_not] = ACTIONS(2444),
    [anon_sym_compl] = ACTIONS(2444),
    [anon_sym_DASH_DASH] = ACTIONS(2446),
    [anon_sym_PLUS_PLUS] = ACTIONS(2446),
    [anon_sym_sizeof] = ACTIONS(2444),
    [anon_sym___alignof__] = ACTIONS(2444),
    [anon_sym___alignof] = ACTIONS(2444),
    [anon_sym__alignof] = ACTIONS(2444),
    [anon_sym_alignof] = ACTIONS(2444),
    [anon_sym__Alignof] = ACTIONS(2444),
    [anon_sym_offsetof] = ACTIONS(2444),
    [anon_sym__Generic] = ACTIONS(2444),
    [anon_sym_asm] = ACTIONS(2444),
    [anon_sym___asm__] = ACTIONS(2444),
    [sym_number_literal] = ACTIONS(2446),
    [anon_sym_L_SQUOTE] = ACTIONS(2446),
    [anon_sym_u_SQUOTE] = ACTIONS(2446),
    [anon_sym_U_SQUOTE] = ACTIONS(2446),
    [anon_sym_u8_SQUOTE] = ACTIONS(2446),
    [anon_sym_SQUOTE] = ACTIONS(2446),
    [anon_sym_L_DQUOTE] = ACTIONS(2446),
    [anon_sym_u_DQUOTE] = ACTIONS(2446),
    [anon_sym_U_DQUOTE] = ACTIONS(2446),
    [anon_sym_u8_DQUOTE] = ACTIONS(2446),
    [anon_sym_DQUOTE] = ACTIONS(2446),
    [sym_true] = ACTIONS(2444),
    [sym_false] = ACTIONS(2444),
    [anon_sym_NULL] = ACTIONS(2444),
    [anon_sym_nullptr] = ACTIONS(2444),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2444),
    [anon_sym_decltype] = ACTIONS(2444),
    [anon_sym_virtual] = ACTIONS(2444),
    [anon_sym_alignas] = ACTIONS(2444),
    [anon_sym_explicit] = ACTIONS(2444),
    [anon_sym_typename] = ACTIONS(2444),
    [anon_sym_template] = ACTIONS(2444),
    [anon_sym_operator] = ACTIONS(2444),
    [anon_sym_try] = ACTIONS(2444),
    [anon_sym_delete] = ACTIONS(2444),
    [anon_sym_throw] = ACTIONS(2444),
    [anon_sym_namespace] = ACTIONS(2444),
    [anon_sym_using] = ACTIONS(2444),
    [anon_sym_static_assert] = ACTIONS(2444),
    [anon_sym_concept] = ACTIONS(2444),
    [anon_sym_co_return] = ACTIONS(2444),
    [anon_sym_co_yield] = ACTIONS(2444),
    [anon_sym_R_DQUOTE] = ACTIONS(2446),
    [anon_sym_LR_DQUOTE] = ACTIONS(2446),
    [anon_sym_uR_DQUOTE] = ACTIONS(2446),
    [anon_sym_UR_DQUOTE] = ACTIONS(2446),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2446),
    [anon_sym_co_await] = ACTIONS(2444),
    [anon_sym_new] = ACTIONS(2444),
    [anon_sym_requires] = ACTIONS(2444),
    [sym_this] = ACTIONS(2444),
    [anon_sym_discard] = ACTIONS(2444),
    [anon_sym_precise] = ACTIONS(2444),
    [anon_sym_shared] = ACTIONS(2444),
    [anon_sym_groupshared] = ACTIONS(2444),
    [anon_sym_uniform] = ACTIONS(2444),
    [anon_sym_row_major] = ACTIONS(2444),
    [anon_sym_column_major] = ACTIONS(2444),
    [anon_sym_globallycoherent] = ACTIONS(2444),
    [anon_sym_centroid] = ACTIONS(2444),
    [anon_sym_noperspective] = ACTIONS(2444),
    [anon_sym_nointerpolation] = ACTIONS(2444),
    [anon_sym_sample] = ACTIONS(2444),
    [anon_sym_linear] = ACTIONS(2444),
    [anon_sym_snorm] = ACTIONS(2444),
    [anon_sym_unorm] = ACTIONS(2444),
    [anon_sym_point] = ACTIONS(2444),
    [anon_sym_line] = ACTIONS(2444),
    [anon_sym_triangleadj] = ACTIONS(2444),
    [anon_sym_lineadj] = ACTIONS(2444),
    [anon_sym_triangle] = ACTIONS(2444),
    [anon_sym_cbuffer] = ACTIONS(2444),
  },
  [300] = {
    [sym_identifier] = ACTIONS(2330),
    [aux_sym_preproc_include_token1] = ACTIONS(2330),
    [aux_sym_preproc_def_token1] = ACTIONS(2330),
    [aux_sym_preproc_if_token1] = ACTIONS(2330),
    [aux_sym_preproc_if_token2] = ACTIONS(2330),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2330),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2330),
    [aux_sym_preproc_else_token1] = ACTIONS(2330),
    [aux_sym_preproc_elif_token1] = ACTIONS(2330),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2330),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2330),
    [sym_preproc_directive] = ACTIONS(2330),
    [anon_sym_LPAREN2] = ACTIONS(2332),
    [anon_sym_BANG] = ACTIONS(2332),
    [anon_sym_TILDE] = ACTIONS(2332),
    [anon_sym_DASH] = ACTIONS(2330),
    [anon_sym_PLUS] = ACTIONS(2330),
    [anon_sym_STAR] = ACTIONS(2332),
    [anon_sym_AMP_AMP] = ACTIONS(2332),
    [anon_sym_AMP] = ACTIONS(2330),
    [anon_sym_SEMI] = ACTIONS(2332),
    [anon_sym___extension__] = ACTIONS(2330),
    [anon_sym_typedef] = ACTIONS(2330),
    [anon_sym_in] = ACTIONS(2330),
    [anon_sym_out] = ACTIONS(2330),
    [anon_sym_inout] = ACTIONS(2330),
    [anon_sym_extern] = ACTIONS(2330),
    [anon_sym___attribute__] = ACTIONS(2330),
    [anon_sym_COLON_COLON] = ACTIONS(2332),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2332),
    [anon_sym___declspec] = ACTIONS(2330),
    [anon_sym___based] = ACTIONS(2330),
    [anon_sym___cdecl] = ACTIONS(2330),
    [anon_sym___clrcall] = ACTIONS(2330),
    [anon_sym___stdcall] = ACTIONS(2330),
    [anon_sym___fastcall] = ACTIONS(2330),
    [anon_sym___thiscall] = ACTIONS(2330),
    [anon_sym___vectorcall] = ACTIONS(2330),
    [anon_sym_LBRACE] = ACTIONS(2332),
    [anon_sym_signed] = ACTIONS(2330),
    [anon_sym_unsigned] = ACTIONS(2330),
    [anon_sym_long] = ACTIONS(2330),
    [anon_sym_short] = ACTIONS(2330),
    [anon_sym_LBRACK] = ACTIONS(2330),
    [anon_sym_static] = ACTIONS(2330),
    [anon_sym_register] = ACTIONS(2330),
    [anon_sym_inline] = ACTIONS(2330),
    [anon_sym___inline] = ACTIONS(2330),
    [anon_sym___inline__] = ACTIONS(2330),
    [anon_sym___forceinline] = ACTIONS(2330),
    [anon_sym_thread_local] = ACTIONS(2330),
    [anon_sym___thread] = ACTIONS(2330),
    [anon_sym_const] = ACTIONS(2330),
    [anon_sym_constexpr] = ACTIONS(2330),
    [anon_sym_volatile] = ACTIONS(2330),
    [anon_sym_restrict] = ACTIONS(2330),
    [anon_sym___restrict__] = ACTIONS(2330),
    [anon_sym__Atomic] = ACTIONS(2330),
    [anon_sym__Noreturn] = ACTIONS(2330),
    [anon_sym_noreturn] = ACTIONS(2330),
    [anon_sym_mutable] = ACTIONS(2330),
    [anon_sym_constinit] = ACTIONS(2330),
    [anon_sym_consteval] = ACTIONS(2330),
    [sym_primitive_type] = ACTIONS(2330),
    [anon_sym_enum] = ACTIONS(2330),
    [anon_sym_class] = ACTIONS(2330),
    [anon_sym_struct] = ACTIONS(2330),
    [anon_sym_union] = ACTIONS(2330),
    [anon_sym_if] = ACTIONS(2330),
    [anon_sym_else] = ACTIONS(2330),
    [anon_sym_switch] = ACTIONS(2330),
    [anon_sym_case] = ACTIONS(2330),
    [anon_sym_default] = ACTIONS(2330),
    [anon_sym_while] = ACTIONS(2330),
    [anon_sym_do] = ACTIONS(2330),
    [anon_sym_for] = ACTIONS(2330),
    [anon_sym_return] = ACTIONS(2330),
    [anon_sym_break] = ACTIONS(2330),
    [anon_sym_continue] = ACTIONS(2330),
    [anon_sym_goto] = ACTIONS(2330),
    [anon_sym___try] = ACTIONS(2330),
    [anon_sym___leave] = ACTIONS(2330),
    [anon_sym_not] = ACTIONS(2330),
    [anon_sym_compl] = ACTIONS(2330),
    [anon_sym_DASH_DASH] = ACTIONS(2332),
    [anon_sym_PLUS_PLUS] = ACTIONS(2332),
    [anon_sym_sizeof] = ACTIONS(2330),
    [anon_sym___alignof__] = ACTIONS(2330),
    [anon_sym___alignof] = ACTIONS(2330),
    [anon_sym__alignof] = ACTIONS(2330),
    [anon_sym_alignof] = ACTIONS(2330),
    [anon_sym__Alignof] = ACTIONS(2330),
    [anon_sym_offsetof] = ACTIONS(2330),
    [anon_sym__Generic] = ACTIONS(2330),
    [anon_sym_asm] = ACTIONS(2330),
    [anon_sym___asm__] = ACTIONS(2330),
    [sym_number_literal] = ACTIONS(2332),
    [anon_sym_L_SQUOTE] = ACTIONS(2332),
    [anon_sym_u_SQUOTE] = ACTIONS(2332),
    [anon_sym_U_SQUOTE] = ACTIONS(2332),
    [anon_sym_u8_SQUOTE] = ACTIONS(2332),
    [anon_sym_SQUOTE] = ACTIONS(2332),
    [anon_sym_L_DQUOTE] = ACTIONS(2332),
    [anon_sym_u_DQUOTE] = ACTIONS(2332),
    [anon_sym_U_DQUOTE] = ACTIONS(2332),
    [anon_sym_u8_DQUOTE] = ACTIONS(2332),
    [anon_sym_DQUOTE] = ACTIONS(2332),
    [sym_true] = ACTIONS(2330),
    [sym_false] = ACTIONS(2330),
    [anon_sym_NULL] = ACTIONS(2330),
    [anon_sym_nullptr] = ACTIONS(2330),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2330),
    [anon_sym_decltype] = ACTIONS(2330),
    [anon_sym_virtual] = ACTIONS(2330),
    [anon_sym_alignas] = ACTIONS(2330),
    [anon_sym_explicit] = ACTIONS(2330),
    [anon_sym_typename] = ACTIONS(2330),
    [anon_sym_template] = ACTIONS(2330),
    [anon_sym_operator] = ACTIONS(2330),
    [anon_sym_try] = ACTIONS(2330),
    [anon_sym_delete] = ACTIONS(2330),
    [anon_sym_throw] = ACTIONS(2330),
    [anon_sym_namespace] = ACTIONS(2330),
    [anon_sym_using] = ACTIONS(2330),
    [anon_sym_static_assert] = ACTIONS(2330),
    [anon_sym_concept] = ACTIONS(2330),
    [anon_sym_co_return] = ACTIONS(2330),
    [anon_sym_co_yield] = ACTIONS(2330),
    [anon_sym_R_DQUOTE] = ACTIONS(2332),
    [anon_sym_LR_DQUOTE] = ACTIONS(2332),
    [anon_sym_uR_DQUOTE] = ACTIONS(2332),
    [anon_sym_UR_DQUOTE] = ACTIONS(2332),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2332),
    [anon_sym_co_await] = ACTIONS(2330),
    [anon_sym_new] = ACTIONS(2330),
    [anon_sym_requires] = ACTIONS(2330),
    [sym_this] = ACTIONS(2330),
    [anon_sym_discard] = ACTIONS(2330),
    [anon_sym_precise] = ACTIONS(2330),
    [anon_sym_shared] = ACTIONS(2330),
    [anon_sym_groupshared] = ACTIONS(2330),
    [anon_sym_uniform] = ACTIONS(2330),
    [anon_sym_row_major] = ACTIONS(2330),
    [anon_sym_column_major] = ACTIONS(2330),
    [anon_sym_globallycoherent] = ACTIONS(2330),
    [anon_sym_centroid] = ACTIONS(2330),
    [anon_sym_noperspective] = ACTIONS(2330),
    [anon_sym_nointerpolation] = ACTIONS(2330),
    [anon_sym_sample] = ACTIONS(2330),
    [anon_sym_linear] = ACTIONS(2330),
    [anon_sym_snorm] = ACTIONS(2330),
    [anon_sym_unorm] = ACTIONS(2330),
    [anon_sym_point] = ACTIONS(2330),
    [anon_sym_line] = ACTIONS(2330),
    [anon_sym_triangleadj] = ACTIONS(2330),
    [anon_sym_lineadj] = ACTIONS(2330),
    [anon_sym_triangle] = ACTIONS(2330),
    [anon_sym_cbuffer] = ACTIONS(2330),
  },
  [301] = {
    [sym_identifier] = ACTIONS(2444),
    [aux_sym_preproc_include_token1] = ACTIONS(2444),
    [aux_sym_preproc_def_token1] = ACTIONS(2444),
    [aux_sym_preproc_if_token1] = ACTIONS(2444),
    [aux_sym_preproc_if_token2] = ACTIONS(2444),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2444),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2444),
    [aux_sym_preproc_else_token1] = ACTIONS(2444),
    [aux_sym_preproc_elif_token1] = ACTIONS(2444),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2444),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2444),
    [sym_preproc_directive] = ACTIONS(2444),
    [anon_sym_LPAREN2] = ACTIONS(2446),
    [anon_sym_BANG] = ACTIONS(2446),
    [anon_sym_TILDE] = ACTIONS(2446),
    [anon_sym_DASH] = ACTIONS(2444),
    [anon_sym_PLUS] = ACTIONS(2444),
    [anon_sym_STAR] = ACTIONS(2446),
    [anon_sym_AMP_AMP] = ACTIONS(2446),
    [anon_sym_AMP] = ACTIONS(2444),
    [anon_sym_SEMI] = ACTIONS(2446),
    [anon_sym___extension__] = ACTIONS(2444),
    [anon_sym_typedef] = ACTIONS(2444),
    [anon_sym_in] = ACTIONS(2444),
    [anon_sym_out] = ACTIONS(2444),
    [anon_sym_inout] = ACTIONS(2444),
    [anon_sym_extern] = ACTIONS(2444),
    [anon_sym___attribute__] = ACTIONS(2444),
    [anon_sym_COLON_COLON] = ACTIONS(2446),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2446),
    [anon_sym___declspec] = ACTIONS(2444),
    [anon_sym___based] = ACTIONS(2444),
    [anon_sym___cdecl] = ACTIONS(2444),
    [anon_sym___clrcall] = ACTIONS(2444),
    [anon_sym___stdcall] = ACTIONS(2444),
    [anon_sym___fastcall] = ACTIONS(2444),
    [anon_sym___thiscall] = ACTIONS(2444),
    [anon_sym___vectorcall] = ACTIONS(2444),
    [anon_sym_LBRACE] = ACTIONS(2446),
    [anon_sym_signed] = ACTIONS(2444),
    [anon_sym_unsigned] = ACTIONS(2444),
    [anon_sym_long] = ACTIONS(2444),
    [anon_sym_short] = ACTIONS(2444),
    [anon_sym_LBRACK] = ACTIONS(2444),
    [anon_sym_static] = ACTIONS(2444),
    [anon_sym_register] = ACTIONS(2444),
    [anon_sym_inline] = ACTIONS(2444),
    [anon_sym___inline] = ACTIONS(2444),
    [anon_sym___inline__] = ACTIONS(2444),
    [anon_sym___forceinline] = ACTIONS(2444),
    [anon_sym_thread_local] = ACTIONS(2444),
    [anon_sym___thread] = ACTIONS(2444),
    [anon_sym_const] = ACTIONS(2444),
    [anon_sym_constexpr] = ACTIONS(2444),
    [anon_sym_volatile] = ACTIONS(2444),
    [anon_sym_restrict] = ACTIONS(2444),
    [anon_sym___restrict__] = ACTIONS(2444),
    [anon_sym__Atomic] = ACTIONS(2444),
    [anon_sym__Noreturn] = ACTIONS(2444),
    [anon_sym_noreturn] = ACTIONS(2444),
    [anon_sym_mutable] = ACTIONS(2444),
    [anon_sym_constinit] = ACTIONS(2444),
    [anon_sym_consteval] = ACTIONS(2444),
    [sym_primitive_type] = ACTIONS(2444),
    [anon_sym_enum] = ACTIONS(2444),
    [anon_sym_class] = ACTIONS(2444),
    [anon_sym_struct] = ACTIONS(2444),
    [anon_sym_union] = ACTIONS(2444),
    [anon_sym_if] = ACTIONS(2444),
    [anon_sym_else] = ACTIONS(2444),
    [anon_sym_switch] = ACTIONS(2444),
    [anon_sym_case] = ACTIONS(2444),
    [anon_sym_default] = ACTIONS(2444),
    [anon_sym_while] = ACTIONS(2444),
    [anon_sym_do] = ACTIONS(2444),
    [anon_sym_for] = ACTIONS(2444),
    [anon_sym_return] = ACTIONS(2444),
    [anon_sym_break] = ACTIONS(2444),
    [anon_sym_continue] = ACTIONS(2444),
    [anon_sym_goto] = ACTIONS(2444),
    [anon_sym___try] = ACTIONS(2444),
    [anon_sym___leave] = ACTIONS(2444),
    [anon_sym_not] = ACTIONS(2444),
    [anon_sym_compl] = ACTIONS(2444),
    [anon_sym_DASH_DASH] = ACTIONS(2446),
    [anon_sym_PLUS_PLUS] = ACTIONS(2446),
    [anon_sym_sizeof] = ACTIONS(2444),
    [anon_sym___alignof__] = ACTIONS(2444),
    [anon_sym___alignof] = ACTIONS(2444),
    [anon_sym__alignof] = ACTIONS(2444),
    [anon_sym_alignof] = ACTIONS(2444),
    [anon_sym__Alignof] = ACTIONS(2444),
    [anon_sym_offsetof] = ACTIONS(2444),
    [anon_sym__Generic] = ACTIONS(2444),
    [anon_sym_asm] = ACTIONS(2444),
    [anon_sym___asm__] = ACTIONS(2444),
    [sym_number_literal] = ACTIONS(2446),
    [anon_sym_L_SQUOTE] = ACTIONS(2446),
    [anon_sym_u_SQUOTE] = ACTIONS(2446),
    [anon_sym_U_SQUOTE] = ACTIONS(2446),
    [anon_sym_u8_SQUOTE] = ACTIONS(2446),
    [anon_sym_SQUOTE] = ACTIONS(2446),
    [anon_sym_L_DQUOTE] = ACTIONS(2446),
    [anon_sym_u_DQUOTE] = ACTIONS(2446),
    [anon_sym_U_DQUOTE] = ACTIONS(2446),
    [anon_sym_u8_DQUOTE] = ACTIONS(2446),
    [anon_sym_DQUOTE] = ACTIONS(2446),
    [sym_true] = ACTIONS(2444),
    [sym_false] = ACTIONS(2444),
    [anon_sym_NULL] = ACTIONS(2444),
    [anon_sym_nullptr] = ACTIONS(2444),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2444),
    [anon_sym_decltype] = ACTIONS(2444),
    [anon_sym_virtual] = ACTIONS(2444),
    [anon_sym_alignas] = ACTIONS(2444),
    [anon_sym_explicit] = ACTIONS(2444),
    [anon_sym_typename] = ACTIONS(2444),
    [anon_sym_template] = ACTIONS(2444),
    [anon_sym_operator] = ACTIONS(2444),
    [anon_sym_try] = ACTIONS(2444),
    [anon_sym_delete] = ACTIONS(2444),
    [anon_sym_throw] = ACTIONS(2444),
    [anon_sym_namespace] = ACTIONS(2444),
    [anon_sym_using] = ACTIONS(2444),
    [anon_sym_static_assert] = ACTIONS(2444),
    [anon_sym_concept] = ACTIONS(2444),
    [anon_sym_co_return] = ACTIONS(2444),
    [anon_sym_co_yield] = ACTIONS(2444),
    [anon_sym_R_DQUOTE] = ACTIONS(2446),
    [anon_sym_LR_DQUOTE] = ACTIONS(2446),
    [anon_sym_uR_DQUOTE] = ACTIONS(2446),
    [anon_sym_UR_DQUOTE] = ACTIONS(2446),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2446),
    [anon_sym_co_await] = ACTIONS(2444),
    [anon_sym_new] = ACTIONS(2444),
    [anon_sym_requires] = ACTIONS(2444),
    [sym_this] = ACTIONS(2444),
    [anon_sym_discard] = ACTIONS(2444),
    [anon_sym_precise] = ACTIONS(2444),
    [anon_sym_shared] = ACTIONS(2444),
    [anon_sym_groupshared] = ACTIONS(2444),
    [anon_sym_uniform] = ACTIONS(2444),
    [anon_sym_row_major] = ACTIONS(2444),
    [anon_sym_column_major] = ACTIONS(2444),
    [anon_sym_globallycoherent] = ACTIONS(2444),
    [anon_sym_centroid] = ACTIONS(2444),
    [anon_sym_noperspective] = ACTIONS(2444),
    [anon_sym_nointerpolation] = ACTIONS(2444),
    [anon_sym_sample] = ACTIONS(2444),
    [anon_sym_linear] = ACTIONS(2444),
    [anon_sym_snorm] = ACTIONS(2444),
    [anon_sym_unorm] = ACTIONS(2444),
    [anon_sym_point] = ACTIONS(2444),
    [anon_sym_line] = ACTIONS(2444),
    [anon_sym_triangleadj] = ACTIONS(2444),
    [anon_sym_lineadj] = ACTIONS(2444),
    [anon_sym_triangle] = ACTIONS(2444),
    [anon_sym_cbuffer] = ACTIONS(2444),
  },
  [302] = {
    [sym_identifier] = ACTIONS(2444),
    [aux_sym_preproc_include_token1] = ACTIONS(2444),
    [aux_sym_preproc_def_token1] = ACTIONS(2444),
    [aux_sym_preproc_if_token1] = ACTIONS(2444),
    [aux_sym_preproc_if_token2] = ACTIONS(2444),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2444),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2444),
    [aux_sym_preproc_else_token1] = ACTIONS(2444),
    [aux_sym_preproc_elif_token1] = ACTIONS(2444),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2444),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2444),
    [sym_preproc_directive] = ACTIONS(2444),
    [anon_sym_LPAREN2] = ACTIONS(2446),
    [anon_sym_BANG] = ACTIONS(2446),
    [anon_sym_TILDE] = ACTIONS(2446),
    [anon_sym_DASH] = ACTIONS(2444),
    [anon_sym_PLUS] = ACTIONS(2444),
    [anon_sym_STAR] = ACTIONS(2446),
    [anon_sym_AMP_AMP] = ACTIONS(2446),
    [anon_sym_AMP] = ACTIONS(2444),
    [anon_sym_SEMI] = ACTIONS(2446),
    [anon_sym___extension__] = ACTIONS(2444),
    [anon_sym_typedef] = ACTIONS(2444),
    [anon_sym_in] = ACTIONS(2444),
    [anon_sym_out] = ACTIONS(2444),
    [anon_sym_inout] = ACTIONS(2444),
    [anon_sym_extern] = ACTIONS(2444),
    [anon_sym___attribute__] = ACTIONS(2444),
    [anon_sym_COLON_COLON] = ACTIONS(2446),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2446),
    [anon_sym___declspec] = ACTIONS(2444),
    [anon_sym___based] = ACTIONS(2444),
    [anon_sym___cdecl] = ACTIONS(2444),
    [anon_sym___clrcall] = ACTIONS(2444),
    [anon_sym___stdcall] = ACTIONS(2444),
    [anon_sym___fastcall] = ACTIONS(2444),
    [anon_sym___thiscall] = ACTIONS(2444),
    [anon_sym___vectorcall] = ACTIONS(2444),
    [anon_sym_LBRACE] = ACTIONS(2446),
    [anon_sym_signed] = ACTIONS(2444),
    [anon_sym_unsigned] = ACTIONS(2444),
    [anon_sym_long] = ACTIONS(2444),
    [anon_sym_short] = ACTIONS(2444),
    [anon_sym_LBRACK] = ACTIONS(2444),
    [anon_sym_static] = ACTIONS(2444),
    [anon_sym_register] = ACTIONS(2444),
    [anon_sym_inline] = ACTIONS(2444),
    [anon_sym___inline] = ACTIONS(2444),
    [anon_sym___inline__] = ACTIONS(2444),
    [anon_sym___forceinline] = ACTIONS(2444),
    [anon_sym_thread_local] = ACTIONS(2444),
    [anon_sym___thread] = ACTIONS(2444),
    [anon_sym_const] = ACTIONS(2444),
    [anon_sym_constexpr] = ACTIONS(2444),
    [anon_sym_volatile] = ACTIONS(2444),
    [anon_sym_restrict] = ACTIONS(2444),
    [anon_sym___restrict__] = ACTIONS(2444),
    [anon_sym__Atomic] = ACTIONS(2444),
    [anon_sym__Noreturn] = ACTIONS(2444),
    [anon_sym_noreturn] = ACTIONS(2444),
    [anon_sym_mutable] = ACTIONS(2444),
    [anon_sym_constinit] = ACTIONS(2444),
    [anon_sym_consteval] = ACTIONS(2444),
    [sym_primitive_type] = ACTIONS(2444),
    [anon_sym_enum] = ACTIONS(2444),
    [anon_sym_class] = ACTIONS(2444),
    [anon_sym_struct] = ACTIONS(2444),
    [anon_sym_union] = ACTIONS(2444),
    [anon_sym_if] = ACTIONS(2444),
    [anon_sym_else] = ACTIONS(2444),
    [anon_sym_switch] = ACTIONS(2444),
    [anon_sym_case] = ACTIONS(2444),
    [anon_sym_default] = ACTIONS(2444),
    [anon_sym_while] = ACTIONS(2444),
    [anon_sym_do] = ACTIONS(2444),
    [anon_sym_for] = ACTIONS(2444),
    [anon_sym_return] = ACTIONS(2444),
    [anon_sym_break] = ACTIONS(2444),
    [anon_sym_continue] = ACTIONS(2444),
    [anon_sym_goto] = ACTIONS(2444),
    [anon_sym___try] = ACTIONS(2444),
    [anon_sym___leave] = ACTIONS(2444),
    [anon_sym_not] = ACTIONS(2444),
    [anon_sym_compl] = ACTIONS(2444),
    [anon_sym_DASH_DASH] = ACTIONS(2446),
    [anon_sym_PLUS_PLUS] = ACTIONS(2446),
    [anon_sym_sizeof] = ACTIONS(2444),
    [anon_sym___alignof__] = ACTIONS(2444),
    [anon_sym___alignof] = ACTIONS(2444),
    [anon_sym__alignof] = ACTIONS(2444),
    [anon_sym_alignof] = ACTIONS(2444),
    [anon_sym__Alignof] = ACTIONS(2444),
    [anon_sym_offsetof] = ACTIONS(2444),
    [anon_sym__Generic] = ACTIONS(2444),
    [anon_sym_asm] = ACTIONS(2444),
    [anon_sym___asm__] = ACTIONS(2444),
    [sym_number_literal] = ACTIONS(2446),
    [anon_sym_L_SQUOTE] = ACTIONS(2446),
    [anon_sym_u_SQUOTE] = ACTIONS(2446),
    [anon_sym_U_SQUOTE] = ACTIONS(2446),
    [anon_sym_u8_SQUOTE] = ACTIONS(2446),
    [anon_sym_SQUOTE] = ACTIONS(2446),
    [anon_sym_L_DQUOTE] = ACTIONS(2446),
    [anon_sym_u_DQUOTE] = ACTIONS(2446),
    [anon_sym_U_DQUOTE] = ACTIONS(2446),
    [anon_sym_u8_DQUOTE] = ACTIONS(2446),
    [anon_sym_DQUOTE] = ACTIONS(2446),
    [sym_true] = ACTIONS(2444),
    [sym_false] = ACTIONS(2444),
    [anon_sym_NULL] = ACTIONS(2444),
    [anon_sym_nullptr] = ACTIONS(2444),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2444),
    [anon_sym_decltype] = ACTIONS(2444),
    [anon_sym_virtual] = ACTIONS(2444),
    [anon_sym_alignas] = ACTIONS(2444),
    [anon_sym_explicit] = ACTIONS(2444),
    [anon_sym_typename] = ACTIONS(2444),
    [anon_sym_template] = ACTIONS(2444),
    [anon_sym_operator] = ACTIONS(2444),
    [anon_sym_try] = ACTIONS(2444),
    [anon_sym_delete] = ACTIONS(2444),
    [anon_sym_throw] = ACTIONS(2444),
    [anon_sym_namespace] = ACTIONS(2444),
    [anon_sym_using] = ACTIONS(2444),
    [anon_sym_static_assert] = ACTIONS(2444),
    [anon_sym_concept] = ACTIONS(2444),
    [anon_sym_co_return] = ACTIONS(2444),
    [anon_sym_co_yield] = ACTIONS(2444),
    [anon_sym_R_DQUOTE] = ACTIONS(2446),
    [anon_sym_LR_DQUOTE] = ACTIONS(2446),
    [anon_sym_uR_DQUOTE] = ACTIONS(2446),
    [anon_sym_UR_DQUOTE] = ACTIONS(2446),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2446),
    [anon_sym_co_await] = ACTIONS(2444),
    [anon_sym_new] = ACTIONS(2444),
    [anon_sym_requires] = ACTIONS(2444),
    [sym_this] = ACTIONS(2444),
    [anon_sym_discard] = ACTIONS(2444),
    [anon_sym_precise] = ACTIONS(2444),
    [anon_sym_shared] = ACTIONS(2444),
    [anon_sym_groupshared] = ACTIONS(2444),
    [anon_sym_uniform] = ACTIONS(2444),
    [anon_sym_row_major] = ACTIONS(2444),
    [anon_sym_column_major] = ACTIONS(2444),
    [anon_sym_globallycoherent] = ACTIONS(2444),
    [anon_sym_centroid] = ACTIONS(2444),
    [anon_sym_noperspective] = ACTIONS(2444),
    [anon_sym_nointerpolation] = ACTIONS(2444),
    [anon_sym_sample] = ACTIONS(2444),
    [anon_sym_linear] = ACTIONS(2444),
    [anon_sym_snorm] = ACTIONS(2444),
    [anon_sym_unorm] = ACTIONS(2444),
    [anon_sym_point] = ACTIONS(2444),
    [anon_sym_line] = ACTIONS(2444),
    [anon_sym_triangleadj] = ACTIONS(2444),
    [anon_sym_lineadj] = ACTIONS(2444),
    [anon_sym_triangle] = ACTIONS(2444),
    [anon_sym_cbuffer] = ACTIONS(2444),
  },
  [303] = {
    [sym_identifier] = ACTIONS(2444),
    [aux_sym_preproc_include_token1] = ACTIONS(2444),
    [aux_sym_preproc_def_token1] = ACTIONS(2444),
    [aux_sym_preproc_if_token1] = ACTIONS(2444),
    [aux_sym_preproc_if_token2] = ACTIONS(2444),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2444),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2444),
    [aux_sym_preproc_else_token1] = ACTIONS(2444),
    [aux_sym_preproc_elif_token1] = ACTIONS(2444),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2444),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2444),
    [sym_preproc_directive] = ACTIONS(2444),
    [anon_sym_LPAREN2] = ACTIONS(2446),
    [anon_sym_BANG] = ACTIONS(2446),
    [anon_sym_TILDE] = ACTIONS(2446),
    [anon_sym_DASH] = ACTIONS(2444),
    [anon_sym_PLUS] = ACTIONS(2444),
    [anon_sym_STAR] = ACTIONS(2446),
    [anon_sym_AMP_AMP] = ACTIONS(2446),
    [anon_sym_AMP] = ACTIONS(2444),
    [anon_sym_SEMI] = ACTIONS(2446),
    [anon_sym___extension__] = ACTIONS(2444),
    [anon_sym_typedef] = ACTIONS(2444),
    [anon_sym_in] = ACTIONS(2444),
    [anon_sym_out] = ACTIONS(2444),
    [anon_sym_inout] = ACTIONS(2444),
    [anon_sym_extern] = ACTIONS(2444),
    [anon_sym___attribute__] = ACTIONS(2444),
    [anon_sym_COLON_COLON] = ACTIONS(2446),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2446),
    [anon_sym___declspec] = ACTIONS(2444),
    [anon_sym___based] = ACTIONS(2444),
    [anon_sym___cdecl] = ACTIONS(2444),
    [anon_sym___clrcall] = ACTIONS(2444),
    [anon_sym___stdcall] = ACTIONS(2444),
    [anon_sym___fastcall] = ACTIONS(2444),
    [anon_sym___thiscall] = ACTIONS(2444),
    [anon_sym___vectorcall] = ACTIONS(2444),
    [anon_sym_LBRACE] = ACTIONS(2446),
    [anon_sym_signed] = ACTIONS(2444),
    [anon_sym_unsigned] = ACTIONS(2444),
    [anon_sym_long] = ACTIONS(2444),
    [anon_sym_short] = ACTIONS(2444),
    [anon_sym_LBRACK] = ACTIONS(2444),
    [anon_sym_static] = ACTIONS(2444),
    [anon_sym_register] = ACTIONS(2444),
    [anon_sym_inline] = ACTIONS(2444),
    [anon_sym___inline] = ACTIONS(2444),
    [anon_sym___inline__] = ACTIONS(2444),
    [anon_sym___forceinline] = ACTIONS(2444),
    [anon_sym_thread_local] = ACTIONS(2444),
    [anon_sym___thread] = ACTIONS(2444),
    [anon_sym_const] = ACTIONS(2444),
    [anon_sym_constexpr] = ACTIONS(2444),
    [anon_sym_volatile] = ACTIONS(2444),
    [anon_sym_restrict] = ACTIONS(2444),
    [anon_sym___restrict__] = ACTIONS(2444),
    [anon_sym__Atomic] = ACTIONS(2444),
    [anon_sym__Noreturn] = ACTIONS(2444),
    [anon_sym_noreturn] = ACTIONS(2444),
    [anon_sym_mutable] = ACTIONS(2444),
    [anon_sym_constinit] = ACTIONS(2444),
    [anon_sym_consteval] = ACTIONS(2444),
    [sym_primitive_type] = ACTIONS(2444),
    [anon_sym_enum] = ACTIONS(2444),
    [anon_sym_class] = ACTIONS(2444),
    [anon_sym_struct] = ACTIONS(2444),
    [anon_sym_union] = ACTIONS(2444),
    [anon_sym_if] = ACTIONS(2444),
    [anon_sym_else] = ACTIONS(2444),
    [anon_sym_switch] = ACTIONS(2444),
    [anon_sym_case] = ACTIONS(2444),
    [anon_sym_default] = ACTIONS(2444),
    [anon_sym_while] = ACTIONS(2444),
    [anon_sym_do] = ACTIONS(2444),
    [anon_sym_for] = ACTIONS(2444),
    [anon_sym_return] = ACTIONS(2444),
    [anon_sym_break] = ACTIONS(2444),
    [anon_sym_continue] = ACTIONS(2444),
    [anon_sym_goto] = ACTIONS(2444),
    [anon_sym___try] = ACTIONS(2444),
    [anon_sym___leave] = ACTIONS(2444),
    [anon_sym_not] = ACTIONS(2444),
    [anon_sym_compl] = ACTIONS(2444),
    [anon_sym_DASH_DASH] = ACTIONS(2446),
    [anon_sym_PLUS_PLUS] = ACTIONS(2446),
    [anon_sym_sizeof] = ACTIONS(2444),
    [anon_sym___alignof__] = ACTIONS(2444),
    [anon_sym___alignof] = ACTIONS(2444),
    [anon_sym__alignof] = ACTIONS(2444),
    [anon_sym_alignof] = ACTIONS(2444),
    [anon_sym__Alignof] = ACTIONS(2444),
    [anon_sym_offsetof] = ACTIONS(2444),
    [anon_sym__Generic] = ACTIONS(2444),
    [anon_sym_asm] = ACTIONS(2444),
    [anon_sym___asm__] = ACTIONS(2444),
    [sym_number_literal] = ACTIONS(2446),
    [anon_sym_L_SQUOTE] = ACTIONS(2446),
    [anon_sym_u_SQUOTE] = ACTIONS(2446),
    [anon_sym_U_SQUOTE] = ACTIONS(2446),
    [anon_sym_u8_SQUOTE] = ACTIONS(2446),
    [anon_sym_SQUOTE] = ACTIONS(2446),
    [anon_sym_L_DQUOTE] = ACTIONS(2446),
    [anon_sym_u_DQUOTE] = ACTIONS(2446),
    [anon_sym_U_DQUOTE] = ACTIONS(2446),
    [anon_sym_u8_DQUOTE] = ACTIONS(2446),
    [anon_sym_DQUOTE] = ACTIONS(2446),
    [sym_true] = ACTIONS(2444),
    [sym_false] = ACTIONS(2444),
    [anon_sym_NULL] = ACTIONS(2444),
    [anon_sym_nullptr] = ACTIONS(2444),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2444),
    [anon_sym_decltype] = ACTIONS(2444),
    [anon_sym_virtual] = ACTIONS(2444),
    [anon_sym_alignas] = ACTIONS(2444),
    [anon_sym_explicit] = ACTIONS(2444),
    [anon_sym_typename] = ACTIONS(2444),
    [anon_sym_template] = ACTIONS(2444),
    [anon_sym_operator] = ACTIONS(2444),
    [anon_sym_try] = ACTIONS(2444),
    [anon_sym_delete] = ACTIONS(2444),
    [anon_sym_throw] = ACTIONS(2444),
    [anon_sym_namespace] = ACTIONS(2444),
    [anon_sym_using] = ACTIONS(2444),
    [anon_sym_static_assert] = ACTIONS(2444),
    [anon_sym_concept] = ACTIONS(2444),
    [anon_sym_co_return] = ACTIONS(2444),
    [anon_sym_co_yield] = ACTIONS(2444),
    [anon_sym_R_DQUOTE] = ACTIONS(2446),
    [anon_sym_LR_DQUOTE] = ACTIONS(2446),
    [anon_sym_uR_DQUOTE] = ACTIONS(2446),
    [anon_sym_UR_DQUOTE] = ACTIONS(2446),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2446),
    [anon_sym_co_await] = ACTIONS(2444),
    [anon_sym_new] = ACTIONS(2444),
    [anon_sym_requires] = ACTIONS(2444),
    [sym_this] = ACTIONS(2444),
    [anon_sym_discard] = ACTIONS(2444),
    [anon_sym_precise] = ACTIONS(2444),
    [anon_sym_shared] = ACTIONS(2444),
    [anon_sym_groupshared] = ACTIONS(2444),
    [anon_sym_uniform] = ACTIONS(2444),
    [anon_sym_row_major] = ACTIONS(2444),
    [anon_sym_column_major] = ACTIONS(2444),
    [anon_sym_globallycoherent] = ACTIONS(2444),
    [anon_sym_centroid] = ACTIONS(2444),
    [anon_sym_noperspective] = ACTIONS(2444),
    [anon_sym_nointerpolation] = ACTIONS(2444),
    [anon_sym_sample] = ACTIONS(2444),
    [anon_sym_linear] = ACTIONS(2444),
    [anon_sym_snorm] = ACTIONS(2444),
    [anon_sym_unorm] = ACTIONS(2444),
    [anon_sym_point] = ACTIONS(2444),
    [anon_sym_line] = ACTIONS(2444),
    [anon_sym_triangleadj] = ACTIONS(2444),
    [anon_sym_lineadj] = ACTIONS(2444),
    [anon_sym_triangle] = ACTIONS(2444),
    [anon_sym_cbuffer] = ACTIONS(2444),
  },
  [304] = {
    [sym_identifier] = ACTIONS(2444),
    [aux_sym_preproc_include_token1] = ACTIONS(2444),
    [aux_sym_preproc_def_token1] = ACTIONS(2444),
    [aux_sym_preproc_if_token1] = ACTIONS(2444),
    [aux_sym_preproc_if_token2] = ACTIONS(2444),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2444),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2444),
    [aux_sym_preproc_else_token1] = ACTIONS(2444),
    [aux_sym_preproc_elif_token1] = ACTIONS(2444),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2444),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2444),
    [sym_preproc_directive] = ACTIONS(2444),
    [anon_sym_LPAREN2] = ACTIONS(2446),
    [anon_sym_BANG] = ACTIONS(2446),
    [anon_sym_TILDE] = ACTIONS(2446),
    [anon_sym_DASH] = ACTIONS(2444),
    [anon_sym_PLUS] = ACTIONS(2444),
    [anon_sym_STAR] = ACTIONS(2446),
    [anon_sym_AMP_AMP] = ACTIONS(2446),
    [anon_sym_AMP] = ACTIONS(2444),
    [anon_sym_SEMI] = ACTIONS(2446),
    [anon_sym___extension__] = ACTIONS(2444),
    [anon_sym_typedef] = ACTIONS(2444),
    [anon_sym_in] = ACTIONS(2444),
    [anon_sym_out] = ACTIONS(2444),
    [anon_sym_inout] = ACTIONS(2444),
    [anon_sym_extern] = ACTIONS(2444),
    [anon_sym___attribute__] = ACTIONS(2444),
    [anon_sym_COLON_COLON] = ACTIONS(2446),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2446),
    [anon_sym___declspec] = ACTIONS(2444),
    [anon_sym___based] = ACTIONS(2444),
    [anon_sym___cdecl] = ACTIONS(2444),
    [anon_sym___clrcall] = ACTIONS(2444),
    [anon_sym___stdcall] = ACTIONS(2444),
    [anon_sym___fastcall] = ACTIONS(2444),
    [anon_sym___thiscall] = ACTIONS(2444),
    [anon_sym___vectorcall] = ACTIONS(2444),
    [anon_sym_LBRACE] = ACTIONS(2446),
    [anon_sym_signed] = ACTIONS(2444),
    [anon_sym_unsigned] = ACTIONS(2444),
    [anon_sym_long] = ACTIONS(2444),
    [anon_sym_short] = ACTIONS(2444),
    [anon_sym_LBRACK] = ACTIONS(2444),
    [anon_sym_static] = ACTIONS(2444),
    [anon_sym_register] = ACTIONS(2444),
    [anon_sym_inline] = ACTIONS(2444),
    [anon_sym___inline] = ACTIONS(2444),
    [anon_sym___inline__] = ACTIONS(2444),
    [anon_sym___forceinline] = ACTIONS(2444),
    [anon_sym_thread_local] = ACTIONS(2444),
    [anon_sym___thread] = ACTIONS(2444),
    [anon_sym_const] = ACTIONS(2444),
    [anon_sym_constexpr] = ACTIONS(2444),
    [anon_sym_volatile] = ACTIONS(2444),
    [anon_sym_restrict] = ACTIONS(2444),
    [anon_sym___restrict__] = ACTIONS(2444),
    [anon_sym__Atomic] = ACTIONS(2444),
    [anon_sym__Noreturn] = ACTIONS(2444),
    [anon_sym_noreturn] = ACTIONS(2444),
    [anon_sym_mutable] = ACTIONS(2444),
    [anon_sym_constinit] = ACTIONS(2444),
    [anon_sym_consteval] = ACTIONS(2444),
    [sym_primitive_type] = ACTIONS(2444),
    [anon_sym_enum] = ACTIONS(2444),
    [anon_sym_class] = ACTIONS(2444),
    [anon_sym_struct] = ACTIONS(2444),
    [anon_sym_union] = ACTIONS(2444),
    [anon_sym_if] = ACTIONS(2444),
    [anon_sym_else] = ACTIONS(2444),
    [anon_sym_switch] = ACTIONS(2444),
    [anon_sym_case] = ACTIONS(2444),
    [anon_sym_default] = ACTIONS(2444),
    [anon_sym_while] = ACTIONS(2444),
    [anon_sym_do] = ACTIONS(2444),
    [anon_sym_for] = ACTIONS(2444),
    [anon_sym_return] = ACTIONS(2444),
    [anon_sym_break] = ACTIONS(2444),
    [anon_sym_continue] = ACTIONS(2444),
    [anon_sym_goto] = ACTIONS(2444),
    [anon_sym___try] = ACTIONS(2444),
    [anon_sym___leave] = ACTIONS(2444),
    [anon_sym_not] = ACTIONS(2444),
    [anon_sym_compl] = ACTIONS(2444),
    [anon_sym_DASH_DASH] = ACTIONS(2446),
    [anon_sym_PLUS_PLUS] = ACTIONS(2446),
    [anon_sym_sizeof] = ACTIONS(2444),
    [anon_sym___alignof__] = ACTIONS(2444),
    [anon_sym___alignof] = ACTIONS(2444),
    [anon_sym__alignof] = ACTIONS(2444),
    [anon_sym_alignof] = ACTIONS(2444),
    [anon_sym__Alignof] = ACTIONS(2444),
    [anon_sym_offsetof] = ACTIONS(2444),
    [anon_sym__Generic] = ACTIONS(2444),
    [anon_sym_asm] = ACTIONS(2444),
    [anon_sym___asm__] = ACTIONS(2444),
    [sym_number_literal] = ACTIONS(2446),
    [anon_sym_L_SQUOTE] = ACTIONS(2446),
    [anon_sym_u_SQUOTE] = ACTIONS(2446),
    [anon_sym_U_SQUOTE] = ACTIONS(2446),
    [anon_sym_u8_SQUOTE] = ACTIONS(2446),
    [anon_sym_SQUOTE] = ACTIONS(2446),
    [anon_sym_L_DQUOTE] = ACTIONS(2446),
    [anon_sym_u_DQUOTE] = ACTIONS(2446),
    [anon_sym_U_DQUOTE] = ACTIONS(2446),
    [anon_sym_u8_DQUOTE] = ACTIONS(2446),
    [anon_sym_DQUOTE] = ACTIONS(2446),
    [sym_true] = ACTIONS(2444),
    [sym_false] = ACTIONS(2444),
    [anon_sym_NULL] = ACTIONS(2444),
    [anon_sym_nullptr] = ACTIONS(2444),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2444),
    [anon_sym_decltype] = ACTIONS(2444),
    [anon_sym_virtual] = ACTIONS(2444),
    [anon_sym_alignas] = ACTIONS(2444),
    [anon_sym_explicit] = ACTIONS(2444),
    [anon_sym_typename] = ACTIONS(2444),
    [anon_sym_template] = ACTIONS(2444),
    [anon_sym_operator] = ACTIONS(2444),
    [anon_sym_try] = ACTIONS(2444),
    [anon_sym_delete] = ACTIONS(2444),
    [anon_sym_throw] = ACTIONS(2444),
    [anon_sym_namespace] = ACTIONS(2444),
    [anon_sym_using] = ACTIONS(2444),
    [anon_sym_static_assert] = ACTIONS(2444),
    [anon_sym_concept] = ACTIONS(2444),
    [anon_sym_co_return] = ACTIONS(2444),
    [anon_sym_co_yield] = ACTIONS(2444),
    [anon_sym_R_DQUOTE] = ACTIONS(2446),
    [anon_sym_LR_DQUOTE] = ACTIONS(2446),
    [anon_sym_uR_DQUOTE] = ACTIONS(2446),
    [anon_sym_UR_DQUOTE] = ACTIONS(2446),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2446),
    [anon_sym_co_await] = ACTIONS(2444),
    [anon_sym_new] = ACTIONS(2444),
    [anon_sym_requires] = ACTIONS(2444),
    [sym_this] = ACTIONS(2444),
    [anon_sym_discard] = ACTIONS(2444),
    [anon_sym_precise] = ACTIONS(2444),
    [anon_sym_shared] = ACTIONS(2444),
    [anon_sym_groupshared] = ACTIONS(2444),
    [anon_sym_uniform] = ACTIONS(2444),
    [anon_sym_row_major] = ACTIONS(2444),
    [anon_sym_column_major] = ACTIONS(2444),
    [anon_sym_globallycoherent] = ACTIONS(2444),
    [anon_sym_centroid] = ACTIONS(2444),
    [anon_sym_noperspective] = ACTIONS(2444),
    [anon_sym_nointerpolation] = ACTIONS(2444),
    [anon_sym_sample] = ACTIONS(2444),
    [anon_sym_linear] = ACTIONS(2444),
    [anon_sym_snorm] = ACTIONS(2444),
    [anon_sym_unorm] = ACTIONS(2444),
    [anon_sym_point] = ACTIONS(2444),
    [anon_sym_line] = ACTIONS(2444),
    [anon_sym_triangleadj] = ACTIONS(2444),
    [anon_sym_lineadj] = ACTIONS(2444),
    [anon_sym_triangle] = ACTIONS(2444),
    [anon_sym_cbuffer] = ACTIONS(2444),
  },
  [305] = {
    [sym_identifier] = ACTIONS(2460),
    [aux_sym_preproc_include_token1] = ACTIONS(2460),
    [aux_sym_preproc_def_token1] = ACTIONS(2460),
    [aux_sym_preproc_if_token1] = ACTIONS(2460),
    [aux_sym_preproc_if_token2] = ACTIONS(2460),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2460),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2460),
    [aux_sym_preproc_else_token1] = ACTIONS(2460),
    [aux_sym_preproc_elif_token1] = ACTIONS(2460),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2460),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2460),
    [sym_preproc_directive] = ACTIONS(2460),
    [anon_sym_LPAREN2] = ACTIONS(2462),
    [anon_sym_BANG] = ACTIONS(2462),
    [anon_sym_TILDE] = ACTIONS(2462),
    [anon_sym_DASH] = ACTIONS(2460),
    [anon_sym_PLUS] = ACTIONS(2460),
    [anon_sym_STAR] = ACTIONS(2462),
    [anon_sym_AMP_AMP] = ACTIONS(2462),
    [anon_sym_AMP] = ACTIONS(2460),
    [anon_sym_SEMI] = ACTIONS(2462),
    [anon_sym___extension__] = ACTIONS(2460),
    [anon_sym_typedef] = ACTIONS(2460),
    [anon_sym_in] = ACTIONS(2460),
    [anon_sym_out] = ACTIONS(2460),
    [anon_sym_inout] = ACTIONS(2460),
    [anon_sym_extern] = ACTIONS(2460),
    [anon_sym___attribute__] = ACTIONS(2460),
    [anon_sym_COLON_COLON] = ACTIONS(2462),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2462),
    [anon_sym___declspec] = ACTIONS(2460),
    [anon_sym___based] = ACTIONS(2460),
    [anon_sym___cdecl] = ACTIONS(2460),
    [anon_sym___clrcall] = ACTIONS(2460),
    [anon_sym___stdcall] = ACTIONS(2460),
    [anon_sym___fastcall] = ACTIONS(2460),
    [anon_sym___thiscall] = ACTIONS(2460),
    [anon_sym___vectorcall] = ACTIONS(2460),
    [anon_sym_LBRACE] = ACTIONS(2462),
    [anon_sym_signed] = ACTIONS(2460),
    [anon_sym_unsigned] = ACTIONS(2460),
    [anon_sym_long] = ACTIONS(2460),
    [anon_sym_short] = ACTIONS(2460),
    [anon_sym_LBRACK] = ACTIONS(2460),
    [anon_sym_static] = ACTIONS(2460),
    [anon_sym_register] = ACTIONS(2460),
    [anon_sym_inline] = ACTIONS(2460),
    [anon_sym___inline] = ACTIONS(2460),
    [anon_sym___inline__] = ACTIONS(2460),
    [anon_sym___forceinline] = ACTIONS(2460),
    [anon_sym_thread_local] = ACTIONS(2460),
    [anon_sym___thread] = ACTIONS(2460),
    [anon_sym_const] = ACTIONS(2460),
    [anon_sym_constexpr] = ACTIONS(2460),
    [anon_sym_volatile] = ACTIONS(2460),
    [anon_sym_restrict] = ACTIONS(2460),
    [anon_sym___restrict__] = ACTIONS(2460),
    [anon_sym__Atomic] = ACTIONS(2460),
    [anon_sym__Noreturn] = ACTIONS(2460),
    [anon_sym_noreturn] = ACTIONS(2460),
    [anon_sym_mutable] = ACTIONS(2460),
    [anon_sym_constinit] = ACTIONS(2460),
    [anon_sym_consteval] = ACTIONS(2460),
    [sym_primitive_type] = ACTIONS(2460),
    [anon_sym_enum] = ACTIONS(2460),
    [anon_sym_class] = ACTIONS(2460),
    [anon_sym_struct] = ACTIONS(2460),
    [anon_sym_union] = ACTIONS(2460),
    [anon_sym_if] = ACTIONS(2460),
    [anon_sym_else] = ACTIONS(2460),
    [anon_sym_switch] = ACTIONS(2460),
    [anon_sym_case] = ACTIONS(2460),
    [anon_sym_default] = ACTIONS(2460),
    [anon_sym_while] = ACTIONS(2460),
    [anon_sym_do] = ACTIONS(2460),
    [anon_sym_for] = ACTIONS(2460),
    [anon_sym_return] = ACTIONS(2460),
    [anon_sym_break] = ACTIONS(2460),
    [anon_sym_continue] = ACTIONS(2460),
    [anon_sym_goto] = ACTIONS(2460),
    [anon_sym___try] = ACTIONS(2460),
    [anon_sym___leave] = ACTIONS(2460),
    [anon_sym_not] = ACTIONS(2460),
    [anon_sym_compl] = ACTIONS(2460),
    [anon_sym_DASH_DASH] = ACTIONS(2462),
    [anon_sym_PLUS_PLUS] = ACTIONS(2462),
    [anon_sym_sizeof] = ACTIONS(2460),
    [anon_sym___alignof__] = ACTIONS(2460),
    [anon_sym___alignof] = ACTIONS(2460),
    [anon_sym__alignof] = ACTIONS(2460),
    [anon_sym_alignof] = ACTIONS(2460),
    [anon_sym__Alignof] = ACTIONS(2460),
    [anon_sym_offsetof] = ACTIONS(2460),
    [anon_sym__Generic] = ACTIONS(2460),
    [anon_sym_asm] = ACTIONS(2460),
    [anon_sym___asm__] = ACTIONS(2460),
    [sym_number_literal] = ACTIONS(2462),
    [anon_sym_L_SQUOTE] = ACTIONS(2462),
    [anon_sym_u_SQUOTE] = ACTIONS(2462),
    [anon_sym_U_SQUOTE] = ACTIONS(2462),
    [anon_sym_u8_SQUOTE] = ACTIONS(2462),
    [anon_sym_SQUOTE] = ACTIONS(2462),
    [anon_sym_L_DQUOTE] = ACTIONS(2462),
    [anon_sym_u_DQUOTE] = ACTIONS(2462),
    [anon_sym_U_DQUOTE] = ACTIONS(2462),
    [anon_sym_u8_DQUOTE] = ACTIONS(2462),
    [anon_sym_DQUOTE] = ACTIONS(2462),
    [sym_true] = ACTIONS(2460),
    [sym_false] = ACTIONS(2460),
    [anon_sym_NULL] = ACTIONS(2460),
    [anon_sym_nullptr] = ACTIONS(2460),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2460),
    [anon_sym_decltype] = ACTIONS(2460),
    [anon_sym_virtual] = ACTIONS(2460),
    [anon_sym_alignas] = ACTIONS(2460),
    [anon_sym_explicit] = ACTIONS(2460),
    [anon_sym_typename] = ACTIONS(2460),
    [anon_sym_template] = ACTIONS(2460),
    [anon_sym_operator] = ACTIONS(2460),
    [anon_sym_try] = ACTIONS(2460),
    [anon_sym_delete] = ACTIONS(2460),
    [anon_sym_throw] = ACTIONS(2460),
    [anon_sym_namespace] = ACTIONS(2460),
    [anon_sym_using] = ACTIONS(2460),
    [anon_sym_static_assert] = ACTIONS(2460),
    [anon_sym_concept] = ACTIONS(2460),
    [anon_sym_co_return] = ACTIONS(2460),
    [anon_sym_co_yield] = ACTIONS(2460),
    [anon_sym_R_DQUOTE] = ACTIONS(2462),
    [anon_sym_LR_DQUOTE] = ACTIONS(2462),
    [anon_sym_uR_DQUOTE] = ACTIONS(2462),
    [anon_sym_UR_DQUOTE] = ACTIONS(2462),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2462),
    [anon_sym_co_await] = ACTIONS(2460),
    [anon_sym_new] = ACTIONS(2460),
    [anon_sym_requires] = ACTIONS(2460),
    [sym_this] = ACTIONS(2460),
    [anon_sym_discard] = ACTIONS(2460),
    [anon_sym_precise] = ACTIONS(2460),
    [anon_sym_shared] = ACTIONS(2460),
    [anon_sym_groupshared] = ACTIONS(2460),
    [anon_sym_uniform] = ACTIONS(2460),
    [anon_sym_row_major] = ACTIONS(2460),
    [anon_sym_column_major] = ACTIONS(2460),
    [anon_sym_globallycoherent] = ACTIONS(2460),
    [anon_sym_centroid] = ACTIONS(2460),
    [anon_sym_noperspective] = ACTIONS(2460),
    [anon_sym_nointerpolation] = ACTIONS(2460),
    [anon_sym_sample] = ACTIONS(2460),
    [anon_sym_linear] = ACTIONS(2460),
    [anon_sym_snorm] = ACTIONS(2460),
    [anon_sym_unorm] = ACTIONS(2460),
    [anon_sym_point] = ACTIONS(2460),
    [anon_sym_line] = ACTIONS(2460),
    [anon_sym_triangleadj] = ACTIONS(2460),
    [anon_sym_lineadj] = ACTIONS(2460),
    [anon_sym_triangle] = ACTIONS(2460),
    [anon_sym_cbuffer] = ACTIONS(2460),
  },
  [306] = {
    [sym_identifier] = ACTIONS(2444),
    [aux_sym_preproc_include_token1] = ACTIONS(2444),
    [aux_sym_preproc_def_token1] = ACTIONS(2444),
    [aux_sym_preproc_if_token1] = ACTIONS(2444),
    [aux_sym_preproc_if_token2] = ACTIONS(2444),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2444),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2444),
    [aux_sym_preproc_else_token1] = ACTIONS(2444),
    [aux_sym_preproc_elif_token1] = ACTIONS(2444),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2444),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2444),
    [sym_preproc_directive] = ACTIONS(2444),
    [anon_sym_LPAREN2] = ACTIONS(2446),
    [anon_sym_BANG] = ACTIONS(2446),
    [anon_sym_TILDE] = ACTIONS(2446),
    [anon_sym_DASH] = ACTIONS(2444),
    [anon_sym_PLUS] = ACTIONS(2444),
    [anon_sym_STAR] = ACTIONS(2446),
    [anon_sym_AMP_AMP] = ACTIONS(2446),
    [anon_sym_AMP] = ACTIONS(2444),
    [anon_sym_SEMI] = ACTIONS(2446),
    [anon_sym___extension__] = ACTIONS(2444),
    [anon_sym_typedef] = ACTIONS(2444),
    [anon_sym_in] = ACTIONS(2444),
    [anon_sym_out] = ACTIONS(2444),
    [anon_sym_inout] = ACTIONS(2444),
    [anon_sym_extern] = ACTIONS(2444),
    [anon_sym___attribute__] = ACTIONS(2444),
    [anon_sym_COLON_COLON] = ACTIONS(2446),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2446),
    [anon_sym___declspec] = ACTIONS(2444),
    [anon_sym___based] = ACTIONS(2444),
    [anon_sym___cdecl] = ACTIONS(2444),
    [anon_sym___clrcall] = ACTIONS(2444),
    [anon_sym___stdcall] = ACTIONS(2444),
    [anon_sym___fastcall] = ACTIONS(2444),
    [anon_sym___thiscall] = ACTIONS(2444),
    [anon_sym___vectorcall] = ACTIONS(2444),
    [anon_sym_LBRACE] = ACTIONS(2446),
    [anon_sym_signed] = ACTIONS(2444),
    [anon_sym_unsigned] = ACTIONS(2444),
    [anon_sym_long] = ACTIONS(2444),
    [anon_sym_short] = ACTIONS(2444),
    [anon_sym_LBRACK] = ACTIONS(2444),
    [anon_sym_static] = ACTIONS(2444),
    [anon_sym_register] = ACTIONS(2444),
    [anon_sym_inline] = ACTIONS(2444),
    [anon_sym___inline] = ACTIONS(2444),
    [anon_sym___inline__] = ACTIONS(2444),
    [anon_sym___forceinline] = ACTIONS(2444),
    [anon_sym_thread_local] = ACTIONS(2444),
    [anon_sym___thread] = ACTIONS(2444),
    [anon_sym_const] = ACTIONS(2444),
    [anon_sym_constexpr] = ACTIONS(2444),
    [anon_sym_volatile] = ACTIONS(2444),
    [anon_sym_restrict] = ACTIONS(2444),
    [anon_sym___restrict__] = ACTIONS(2444),
    [anon_sym__Atomic] = ACTIONS(2444),
    [anon_sym__Noreturn] = ACTIONS(2444),
    [anon_sym_noreturn] = ACTIONS(2444),
    [anon_sym_mutable] = ACTIONS(2444),
    [anon_sym_constinit] = ACTIONS(2444),
    [anon_sym_consteval] = ACTIONS(2444),
    [sym_primitive_type] = ACTIONS(2444),
    [anon_sym_enum] = ACTIONS(2444),
    [anon_sym_class] = ACTIONS(2444),
    [anon_sym_struct] = ACTIONS(2444),
    [anon_sym_union] = ACTIONS(2444),
    [anon_sym_if] = ACTIONS(2444),
    [anon_sym_else] = ACTIONS(2444),
    [anon_sym_switch] = ACTIONS(2444),
    [anon_sym_case] = ACTIONS(2444),
    [anon_sym_default] = ACTIONS(2444),
    [anon_sym_while] = ACTIONS(2444),
    [anon_sym_do] = ACTIONS(2444),
    [anon_sym_for] = ACTIONS(2444),
    [anon_sym_return] = ACTIONS(2444),
    [anon_sym_break] = ACTIONS(2444),
    [anon_sym_continue] = ACTIONS(2444),
    [anon_sym_goto] = ACTIONS(2444),
    [anon_sym___try] = ACTIONS(2444),
    [anon_sym___leave] = ACTIONS(2444),
    [anon_sym_not] = ACTIONS(2444),
    [anon_sym_compl] = ACTIONS(2444),
    [anon_sym_DASH_DASH] = ACTIONS(2446),
    [anon_sym_PLUS_PLUS] = ACTIONS(2446),
    [anon_sym_sizeof] = ACTIONS(2444),
    [anon_sym___alignof__] = ACTIONS(2444),
    [anon_sym___alignof] = ACTIONS(2444),
    [anon_sym__alignof] = ACTIONS(2444),
    [anon_sym_alignof] = ACTIONS(2444),
    [anon_sym__Alignof] = ACTIONS(2444),
    [anon_sym_offsetof] = ACTIONS(2444),
    [anon_sym__Generic] = ACTIONS(2444),
    [anon_sym_asm] = ACTIONS(2444),
    [anon_sym___asm__] = ACTIONS(2444),
    [sym_number_literal] = ACTIONS(2446),
    [anon_sym_L_SQUOTE] = ACTIONS(2446),
    [anon_sym_u_SQUOTE] = ACTIONS(2446),
    [anon_sym_U_SQUOTE] = ACTIONS(2446),
    [anon_sym_u8_SQUOTE] = ACTIONS(2446),
    [anon_sym_SQUOTE] = ACTIONS(2446),
    [anon_sym_L_DQUOTE] = ACTIONS(2446),
    [anon_sym_u_DQUOTE] = ACTIONS(2446),
    [anon_sym_U_DQUOTE] = ACTIONS(2446),
    [anon_sym_u8_DQUOTE] = ACTIONS(2446),
    [anon_sym_DQUOTE] = ACTIONS(2446),
    [sym_true] = ACTIONS(2444),
    [sym_false] = ACTIONS(2444),
    [anon_sym_NULL] = ACTIONS(2444),
    [anon_sym_nullptr] = ACTIONS(2444),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2444),
    [anon_sym_decltype] = ACTIONS(2444),
    [anon_sym_virtual] = ACTIONS(2444),
    [anon_sym_alignas] = ACTIONS(2444),
    [anon_sym_explicit] = ACTIONS(2444),
    [anon_sym_typename] = ACTIONS(2444),
    [anon_sym_template] = ACTIONS(2444),
    [anon_sym_operator] = ACTIONS(2444),
    [anon_sym_try] = ACTIONS(2444),
    [anon_sym_delete] = ACTIONS(2444),
    [anon_sym_throw] = ACTIONS(2444),
    [anon_sym_namespace] = ACTIONS(2444),
    [anon_sym_using] = ACTIONS(2444),
    [anon_sym_static_assert] = ACTIONS(2444),
    [anon_sym_concept] = ACTIONS(2444),
    [anon_sym_co_return] = ACTIONS(2444),
    [anon_sym_co_yield] = ACTIONS(2444),
    [anon_sym_R_DQUOTE] = ACTIONS(2446),
    [anon_sym_LR_DQUOTE] = ACTIONS(2446),
    [anon_sym_uR_DQUOTE] = ACTIONS(2446),
    [anon_sym_UR_DQUOTE] = ACTIONS(2446),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2446),
    [anon_sym_co_await] = ACTIONS(2444),
    [anon_sym_new] = ACTIONS(2444),
    [anon_sym_requires] = ACTIONS(2444),
    [sym_this] = ACTIONS(2444),
    [anon_sym_discard] = ACTIONS(2444),
    [anon_sym_precise] = ACTIONS(2444),
    [anon_sym_shared] = ACTIONS(2444),
    [anon_sym_groupshared] = ACTIONS(2444),
    [anon_sym_uniform] = ACTIONS(2444),
    [anon_sym_row_major] = ACTIONS(2444),
    [anon_sym_column_major] = ACTIONS(2444),
    [anon_sym_globallycoherent] = ACTIONS(2444),
    [anon_sym_centroid] = ACTIONS(2444),
    [anon_sym_noperspective] = ACTIONS(2444),
    [anon_sym_nointerpolation] = ACTIONS(2444),
    [anon_sym_sample] = ACTIONS(2444),
    [anon_sym_linear] = ACTIONS(2444),
    [anon_sym_snorm] = ACTIONS(2444),
    [anon_sym_unorm] = ACTIONS(2444),
    [anon_sym_point] = ACTIONS(2444),
    [anon_sym_line] = ACTIONS(2444),
    [anon_sym_triangleadj] = ACTIONS(2444),
    [anon_sym_lineadj] = ACTIONS(2444),
    [anon_sym_triangle] = ACTIONS(2444),
    [anon_sym_cbuffer] = ACTIONS(2444),
  },
  [307] = {
    [sym_identifier] = ACTIONS(2444),
    [aux_sym_preproc_include_token1] = ACTIONS(2444),
    [aux_sym_preproc_def_token1] = ACTIONS(2444),
    [aux_sym_preproc_if_token1] = ACTIONS(2444),
    [aux_sym_preproc_if_token2] = ACTIONS(2444),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2444),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2444),
    [aux_sym_preproc_else_token1] = ACTIONS(2444),
    [aux_sym_preproc_elif_token1] = ACTIONS(2444),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2444),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2444),
    [sym_preproc_directive] = ACTIONS(2444),
    [anon_sym_LPAREN2] = ACTIONS(2446),
    [anon_sym_BANG] = ACTIONS(2446),
    [anon_sym_TILDE] = ACTIONS(2446),
    [anon_sym_DASH] = ACTIONS(2444),
    [anon_sym_PLUS] = ACTIONS(2444),
    [anon_sym_STAR] = ACTIONS(2446),
    [anon_sym_AMP_AMP] = ACTIONS(2446),
    [anon_sym_AMP] = ACTIONS(2444),
    [anon_sym_SEMI] = ACTIONS(2446),
    [anon_sym___extension__] = ACTIONS(2444),
    [anon_sym_typedef] = ACTIONS(2444),
    [anon_sym_in] = ACTIONS(2444),
    [anon_sym_out] = ACTIONS(2444),
    [anon_sym_inout] = ACTIONS(2444),
    [anon_sym_extern] = ACTIONS(2444),
    [anon_sym___attribute__] = ACTIONS(2444),
    [anon_sym_COLON_COLON] = ACTIONS(2446),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2446),
    [anon_sym___declspec] = ACTIONS(2444),
    [anon_sym___based] = ACTIONS(2444),
    [anon_sym___cdecl] = ACTIONS(2444),
    [anon_sym___clrcall] = ACTIONS(2444),
    [anon_sym___stdcall] = ACTIONS(2444),
    [anon_sym___fastcall] = ACTIONS(2444),
    [anon_sym___thiscall] = ACTIONS(2444),
    [anon_sym___vectorcall] = ACTIONS(2444),
    [anon_sym_LBRACE] = ACTIONS(2446),
    [anon_sym_signed] = ACTIONS(2444),
    [anon_sym_unsigned] = ACTIONS(2444),
    [anon_sym_long] = ACTIONS(2444),
    [anon_sym_short] = ACTIONS(2444),
    [anon_sym_LBRACK] = ACTIONS(2444),
    [anon_sym_static] = ACTIONS(2444),
    [anon_sym_register] = ACTIONS(2444),
    [anon_sym_inline] = ACTIONS(2444),
    [anon_sym___inline] = ACTIONS(2444),
    [anon_sym___inline__] = ACTIONS(2444),
    [anon_sym___forceinline] = ACTIONS(2444),
    [anon_sym_thread_local] = ACTIONS(2444),
    [anon_sym___thread] = ACTIONS(2444),
    [anon_sym_const] = ACTIONS(2444),
    [anon_sym_constexpr] = ACTIONS(2444),
    [anon_sym_volatile] = ACTIONS(2444),
    [anon_sym_restrict] = ACTIONS(2444),
    [anon_sym___restrict__] = ACTIONS(2444),
    [anon_sym__Atomic] = ACTIONS(2444),
    [anon_sym__Noreturn] = ACTIONS(2444),
    [anon_sym_noreturn] = ACTIONS(2444),
    [anon_sym_mutable] = ACTIONS(2444),
    [anon_sym_constinit] = ACTIONS(2444),
    [anon_sym_consteval] = ACTIONS(2444),
    [sym_primitive_type] = ACTIONS(2444),
    [anon_sym_enum] = ACTIONS(2444),
    [anon_sym_class] = ACTIONS(2444),
    [anon_sym_struct] = ACTIONS(2444),
    [anon_sym_union] = ACTIONS(2444),
    [anon_sym_if] = ACTIONS(2444),
    [anon_sym_else] = ACTIONS(2444),
    [anon_sym_switch] = ACTIONS(2444),
    [anon_sym_case] = ACTIONS(2444),
    [anon_sym_default] = ACTIONS(2444),
    [anon_sym_while] = ACTIONS(2444),
    [anon_sym_do] = ACTIONS(2444),
    [anon_sym_for] = ACTIONS(2444),
    [anon_sym_return] = ACTIONS(2444),
    [anon_sym_break] = ACTIONS(2444),
    [anon_sym_continue] = ACTIONS(2444),
    [anon_sym_goto] = ACTIONS(2444),
    [anon_sym___try] = ACTIONS(2444),
    [anon_sym___leave] = ACTIONS(2444),
    [anon_sym_not] = ACTIONS(2444),
    [anon_sym_compl] = ACTIONS(2444),
    [anon_sym_DASH_DASH] = ACTIONS(2446),
    [anon_sym_PLUS_PLUS] = ACTIONS(2446),
    [anon_sym_sizeof] = ACTIONS(2444),
    [anon_sym___alignof__] = ACTIONS(2444),
    [anon_sym___alignof] = ACTIONS(2444),
    [anon_sym__alignof] = ACTIONS(2444),
    [anon_sym_alignof] = ACTIONS(2444),
    [anon_sym__Alignof] = ACTIONS(2444),
    [anon_sym_offsetof] = ACTIONS(2444),
    [anon_sym__Generic] = ACTIONS(2444),
    [anon_sym_asm] = ACTIONS(2444),
    [anon_sym___asm__] = ACTIONS(2444),
    [sym_number_literal] = ACTIONS(2446),
    [anon_sym_L_SQUOTE] = ACTIONS(2446),
    [anon_sym_u_SQUOTE] = ACTIONS(2446),
    [anon_sym_U_SQUOTE] = ACTIONS(2446),
    [anon_sym_u8_SQUOTE] = ACTIONS(2446),
    [anon_sym_SQUOTE] = ACTIONS(2446),
    [anon_sym_L_DQUOTE] = ACTIONS(2446),
    [anon_sym_u_DQUOTE] = ACTIONS(2446),
    [anon_sym_U_DQUOTE] = ACTIONS(2446),
    [anon_sym_u8_DQUOTE] = ACTIONS(2446),
    [anon_sym_DQUOTE] = ACTIONS(2446),
    [sym_true] = ACTIONS(2444),
    [sym_false] = ACTIONS(2444),
    [anon_sym_NULL] = ACTIONS(2444),
    [anon_sym_nullptr] = ACTIONS(2444),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2444),
    [anon_sym_decltype] = ACTIONS(2444),
    [anon_sym_virtual] = ACTIONS(2444),
    [anon_sym_alignas] = ACTIONS(2444),
    [anon_sym_explicit] = ACTIONS(2444),
    [anon_sym_typename] = ACTIONS(2444),
    [anon_sym_template] = ACTIONS(2444),
    [anon_sym_operator] = ACTIONS(2444),
    [anon_sym_try] = ACTIONS(2444),
    [anon_sym_delete] = ACTIONS(2444),
    [anon_sym_throw] = ACTIONS(2444),
    [anon_sym_namespace] = ACTIONS(2444),
    [anon_sym_using] = ACTIONS(2444),
    [anon_sym_static_assert] = ACTIONS(2444),
    [anon_sym_concept] = ACTIONS(2444),
    [anon_sym_co_return] = ACTIONS(2444),
    [anon_sym_co_yield] = ACTIONS(2444),
    [anon_sym_R_DQUOTE] = ACTIONS(2446),
    [anon_sym_LR_DQUOTE] = ACTIONS(2446),
    [anon_sym_uR_DQUOTE] = ACTIONS(2446),
    [anon_sym_UR_DQUOTE] = ACTIONS(2446),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2446),
    [anon_sym_co_await] = ACTIONS(2444),
    [anon_sym_new] = ACTIONS(2444),
    [anon_sym_requires] = ACTIONS(2444),
    [sym_this] = ACTIONS(2444),
    [anon_sym_discard] = ACTIONS(2444),
    [anon_sym_precise] = ACTIONS(2444),
    [anon_sym_shared] = ACTIONS(2444),
    [anon_sym_groupshared] = ACTIONS(2444),
    [anon_sym_uniform] = ACTIONS(2444),
    [anon_sym_row_major] = ACTIONS(2444),
    [anon_sym_column_major] = ACTIONS(2444),
    [anon_sym_globallycoherent] = ACTIONS(2444),
    [anon_sym_centroid] = ACTIONS(2444),
    [anon_sym_noperspective] = ACTIONS(2444),
    [anon_sym_nointerpolation] = ACTIONS(2444),
    [anon_sym_sample] = ACTIONS(2444),
    [anon_sym_linear] = ACTIONS(2444),
    [anon_sym_snorm] = ACTIONS(2444),
    [anon_sym_unorm] = ACTIONS(2444),
    [anon_sym_point] = ACTIONS(2444),
    [anon_sym_line] = ACTIONS(2444),
    [anon_sym_triangleadj] = ACTIONS(2444),
    [anon_sym_lineadj] = ACTIONS(2444),
    [anon_sym_triangle] = ACTIONS(2444),
    [anon_sym_cbuffer] = ACTIONS(2444),
  },
  [308] = {
    [sym_identifier] = ACTIONS(2444),
    [aux_sym_preproc_include_token1] = ACTIONS(2444),
    [aux_sym_preproc_def_token1] = ACTIONS(2444),
    [aux_sym_preproc_if_token1] = ACTIONS(2444),
    [aux_sym_preproc_if_token2] = ACTIONS(2444),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2444),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2444),
    [aux_sym_preproc_else_token1] = ACTIONS(2444),
    [aux_sym_preproc_elif_token1] = ACTIONS(2444),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2444),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2444),
    [sym_preproc_directive] = ACTIONS(2444),
    [anon_sym_LPAREN2] = ACTIONS(2446),
    [anon_sym_BANG] = ACTIONS(2446),
    [anon_sym_TILDE] = ACTIONS(2446),
    [anon_sym_DASH] = ACTIONS(2444),
    [anon_sym_PLUS] = ACTIONS(2444),
    [anon_sym_STAR] = ACTIONS(2446),
    [anon_sym_AMP_AMP] = ACTIONS(2446),
    [anon_sym_AMP] = ACTIONS(2444),
    [anon_sym_SEMI] = ACTIONS(2446),
    [anon_sym___extension__] = ACTIONS(2444),
    [anon_sym_typedef] = ACTIONS(2444),
    [anon_sym_in] = ACTIONS(2444),
    [anon_sym_out] = ACTIONS(2444),
    [anon_sym_inout] = ACTIONS(2444),
    [anon_sym_extern] = ACTIONS(2444),
    [anon_sym___attribute__] = ACTIONS(2444),
    [anon_sym_COLON_COLON] = ACTIONS(2446),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2446),
    [anon_sym___declspec] = ACTIONS(2444),
    [anon_sym___based] = ACTIONS(2444),
    [anon_sym___cdecl] = ACTIONS(2444),
    [anon_sym___clrcall] = ACTIONS(2444),
    [anon_sym___stdcall] = ACTIONS(2444),
    [anon_sym___fastcall] = ACTIONS(2444),
    [anon_sym___thiscall] = ACTIONS(2444),
    [anon_sym___vectorcall] = ACTIONS(2444),
    [anon_sym_LBRACE] = ACTIONS(2446),
    [anon_sym_signed] = ACTIONS(2444),
    [anon_sym_unsigned] = ACTIONS(2444),
    [anon_sym_long] = ACTIONS(2444),
    [anon_sym_short] = ACTIONS(2444),
    [anon_sym_LBRACK] = ACTIONS(2444),
    [anon_sym_static] = ACTIONS(2444),
    [anon_sym_register] = ACTIONS(2444),
    [anon_sym_inline] = ACTIONS(2444),
    [anon_sym___inline] = ACTIONS(2444),
    [anon_sym___inline__] = ACTIONS(2444),
    [anon_sym___forceinline] = ACTIONS(2444),
    [anon_sym_thread_local] = ACTIONS(2444),
    [anon_sym___thread] = ACTIONS(2444),
    [anon_sym_const] = ACTIONS(2444),
    [anon_sym_constexpr] = ACTIONS(2444),
    [anon_sym_volatile] = ACTIONS(2444),
    [anon_sym_restrict] = ACTIONS(2444),
    [anon_sym___restrict__] = ACTIONS(2444),
    [anon_sym__Atomic] = ACTIONS(2444),
    [anon_sym__Noreturn] = ACTIONS(2444),
    [anon_sym_noreturn] = ACTIONS(2444),
    [anon_sym_mutable] = ACTIONS(2444),
    [anon_sym_constinit] = ACTIONS(2444),
    [anon_sym_consteval] = ACTIONS(2444),
    [sym_primitive_type] = ACTIONS(2444),
    [anon_sym_enum] = ACTIONS(2444),
    [anon_sym_class] = ACTIONS(2444),
    [anon_sym_struct] = ACTIONS(2444),
    [anon_sym_union] = ACTIONS(2444),
    [anon_sym_if] = ACTIONS(2444),
    [anon_sym_else] = ACTIONS(2444),
    [anon_sym_switch] = ACTIONS(2444),
    [anon_sym_case] = ACTIONS(2444),
    [anon_sym_default] = ACTIONS(2444),
    [anon_sym_while] = ACTIONS(2444),
    [anon_sym_do] = ACTIONS(2444),
    [anon_sym_for] = ACTIONS(2444),
    [anon_sym_return] = ACTIONS(2444),
    [anon_sym_break] = ACTIONS(2444),
    [anon_sym_continue] = ACTIONS(2444),
    [anon_sym_goto] = ACTIONS(2444),
    [anon_sym___try] = ACTIONS(2444),
    [anon_sym___leave] = ACTIONS(2444),
    [anon_sym_not] = ACTIONS(2444),
    [anon_sym_compl] = ACTIONS(2444),
    [anon_sym_DASH_DASH] = ACTIONS(2446),
    [anon_sym_PLUS_PLUS] = ACTIONS(2446),
    [anon_sym_sizeof] = ACTIONS(2444),
    [anon_sym___alignof__] = ACTIONS(2444),
    [anon_sym___alignof] = ACTIONS(2444),
    [anon_sym__alignof] = ACTIONS(2444),
    [anon_sym_alignof] = ACTIONS(2444),
    [anon_sym__Alignof] = ACTIONS(2444),
    [anon_sym_offsetof] = ACTIONS(2444),
    [anon_sym__Generic] = ACTIONS(2444),
    [anon_sym_asm] = ACTIONS(2444),
    [anon_sym___asm__] = ACTIONS(2444),
    [sym_number_literal] = ACTIONS(2446),
    [anon_sym_L_SQUOTE] = ACTIONS(2446),
    [anon_sym_u_SQUOTE] = ACTIONS(2446),
    [anon_sym_U_SQUOTE] = ACTIONS(2446),
    [anon_sym_u8_SQUOTE] = ACTIONS(2446),
    [anon_sym_SQUOTE] = ACTIONS(2446),
    [anon_sym_L_DQUOTE] = ACTIONS(2446),
    [anon_sym_u_DQUOTE] = ACTIONS(2446),
    [anon_sym_U_DQUOTE] = ACTIONS(2446),
    [anon_sym_u8_DQUOTE] = ACTIONS(2446),
    [anon_sym_DQUOTE] = ACTIONS(2446),
    [sym_true] = ACTIONS(2444),
    [sym_false] = ACTIONS(2444),
    [anon_sym_NULL] = ACTIONS(2444),
    [anon_sym_nullptr] = ACTIONS(2444),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2444),
    [anon_sym_decltype] = ACTIONS(2444),
    [anon_sym_virtual] = ACTIONS(2444),
    [anon_sym_alignas] = ACTIONS(2444),
    [anon_sym_explicit] = ACTIONS(2444),
    [anon_sym_typename] = ACTIONS(2444),
    [anon_sym_template] = ACTIONS(2444),
    [anon_sym_operator] = ACTIONS(2444),
    [anon_sym_try] = ACTIONS(2444),
    [anon_sym_delete] = ACTIONS(2444),
    [anon_sym_throw] = ACTIONS(2444),
    [anon_sym_namespace] = ACTIONS(2444),
    [anon_sym_using] = ACTIONS(2444),
    [anon_sym_static_assert] = ACTIONS(2444),
    [anon_sym_concept] = ACTIONS(2444),
    [anon_sym_co_return] = ACTIONS(2444),
    [anon_sym_co_yield] = ACTIONS(2444),
    [anon_sym_R_DQUOTE] = ACTIONS(2446),
    [anon_sym_LR_DQUOTE] = ACTIONS(2446),
    [anon_sym_uR_DQUOTE] = ACTIONS(2446),
    [anon_sym_UR_DQUOTE] = ACTIONS(2446),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2446),
    [anon_sym_co_await] = ACTIONS(2444),
    [anon_sym_new] = ACTIONS(2444),
    [anon_sym_requires] = ACTIONS(2444),
    [sym_this] = ACTIONS(2444),
    [anon_sym_discard] = ACTIONS(2444),
    [anon_sym_precise] = ACTIONS(2444),
    [anon_sym_shared] = ACTIONS(2444),
    [anon_sym_groupshared] = ACTIONS(2444),
    [anon_sym_uniform] = ACTIONS(2444),
    [anon_sym_row_major] = ACTIONS(2444),
    [anon_sym_column_major] = ACTIONS(2444),
    [anon_sym_globallycoherent] = ACTIONS(2444),
    [anon_sym_centroid] = ACTIONS(2444),
    [anon_sym_noperspective] = ACTIONS(2444),
    [anon_sym_nointerpolation] = ACTIONS(2444),
    [anon_sym_sample] = ACTIONS(2444),
    [anon_sym_linear] = ACTIONS(2444),
    [anon_sym_snorm] = ACTIONS(2444),
    [anon_sym_unorm] = ACTIONS(2444),
    [anon_sym_point] = ACTIONS(2444),
    [anon_sym_line] = ACTIONS(2444),
    [anon_sym_triangleadj] = ACTIONS(2444),
    [anon_sym_lineadj] = ACTIONS(2444),
    [anon_sym_triangle] = ACTIONS(2444),
    [anon_sym_cbuffer] = ACTIONS(2444),
  },
  [309] = {
    [sym_identifier] = ACTIONS(2464),
    [aux_sym_preproc_include_token1] = ACTIONS(2464),
    [aux_sym_preproc_def_token1] = ACTIONS(2464),
    [aux_sym_preproc_if_token1] = ACTIONS(2464),
    [aux_sym_preproc_if_token2] = ACTIONS(2464),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2464),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2464),
    [aux_sym_preproc_else_token1] = ACTIONS(2464),
    [aux_sym_preproc_elif_token1] = ACTIONS(2464),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2464),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2464),
    [sym_preproc_directive] = ACTIONS(2464),
    [anon_sym_LPAREN2] = ACTIONS(2466),
    [anon_sym_BANG] = ACTIONS(2466),
    [anon_sym_TILDE] = ACTIONS(2466),
    [anon_sym_DASH] = ACTIONS(2464),
    [anon_sym_PLUS] = ACTIONS(2464),
    [anon_sym_STAR] = ACTIONS(2466),
    [anon_sym_AMP_AMP] = ACTIONS(2466),
    [anon_sym_AMP] = ACTIONS(2464),
    [anon_sym_SEMI] = ACTIONS(2466),
    [anon_sym___extension__] = ACTIONS(2464),
    [anon_sym_typedef] = ACTIONS(2464),
    [anon_sym_in] = ACTIONS(2464),
    [anon_sym_out] = ACTIONS(2464),
    [anon_sym_inout] = ACTIONS(2464),
    [anon_sym_extern] = ACTIONS(2464),
    [anon_sym___attribute__] = ACTIONS(2464),
    [anon_sym_COLON_COLON] = ACTIONS(2466),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2466),
    [anon_sym___declspec] = ACTIONS(2464),
    [anon_sym___based] = ACTIONS(2464),
    [anon_sym___cdecl] = ACTIONS(2464),
    [anon_sym___clrcall] = ACTIONS(2464),
    [anon_sym___stdcall] = ACTIONS(2464),
    [anon_sym___fastcall] = ACTIONS(2464),
    [anon_sym___thiscall] = ACTIONS(2464),
    [anon_sym___vectorcall] = ACTIONS(2464),
    [anon_sym_LBRACE] = ACTIONS(2466),
    [anon_sym_signed] = ACTIONS(2464),
    [anon_sym_unsigned] = ACTIONS(2464),
    [anon_sym_long] = ACTIONS(2464),
    [anon_sym_short] = ACTIONS(2464),
    [anon_sym_LBRACK] = ACTIONS(2464),
    [anon_sym_static] = ACTIONS(2464),
    [anon_sym_register] = ACTIONS(2464),
    [anon_sym_inline] = ACTIONS(2464),
    [anon_sym___inline] = ACTIONS(2464),
    [anon_sym___inline__] = ACTIONS(2464),
    [anon_sym___forceinline] = ACTIONS(2464),
    [anon_sym_thread_local] = ACTIONS(2464),
    [anon_sym___thread] = ACTIONS(2464),
    [anon_sym_const] = ACTIONS(2464),
    [anon_sym_constexpr] = ACTIONS(2464),
    [anon_sym_volatile] = ACTIONS(2464),
    [anon_sym_restrict] = ACTIONS(2464),
    [anon_sym___restrict__] = ACTIONS(2464),
    [anon_sym__Atomic] = ACTIONS(2464),
    [anon_sym__Noreturn] = ACTIONS(2464),
    [anon_sym_noreturn] = ACTIONS(2464),
    [anon_sym_mutable] = ACTIONS(2464),
    [anon_sym_constinit] = ACTIONS(2464),
    [anon_sym_consteval] = ACTIONS(2464),
    [sym_primitive_type] = ACTIONS(2464),
    [anon_sym_enum] = ACTIONS(2464),
    [anon_sym_class] = ACTIONS(2464),
    [anon_sym_struct] = ACTIONS(2464),
    [anon_sym_union] = ACTIONS(2464),
    [anon_sym_if] = ACTIONS(2464),
    [anon_sym_else] = ACTIONS(2464),
    [anon_sym_switch] = ACTIONS(2464),
    [anon_sym_case] = ACTIONS(2464),
    [anon_sym_default] = ACTIONS(2464),
    [anon_sym_while] = ACTIONS(2464),
    [anon_sym_do] = ACTIONS(2464),
    [anon_sym_for] = ACTIONS(2464),
    [anon_sym_return] = ACTIONS(2464),
    [anon_sym_break] = ACTIONS(2464),
    [anon_sym_continue] = ACTIONS(2464),
    [anon_sym_goto] = ACTIONS(2464),
    [anon_sym___try] = ACTIONS(2464),
    [anon_sym___leave] = ACTIONS(2464),
    [anon_sym_not] = ACTIONS(2464),
    [anon_sym_compl] = ACTIONS(2464),
    [anon_sym_DASH_DASH] = ACTIONS(2466),
    [anon_sym_PLUS_PLUS] = ACTIONS(2466),
    [anon_sym_sizeof] = ACTIONS(2464),
    [anon_sym___alignof__] = ACTIONS(2464),
    [anon_sym___alignof] = ACTIONS(2464),
    [anon_sym__alignof] = ACTIONS(2464),
    [anon_sym_alignof] = ACTIONS(2464),
    [anon_sym__Alignof] = ACTIONS(2464),
    [anon_sym_offsetof] = ACTIONS(2464),
    [anon_sym__Generic] = ACTIONS(2464),
    [anon_sym_asm] = ACTIONS(2464),
    [anon_sym___asm__] = ACTIONS(2464),
    [sym_number_literal] = ACTIONS(2466),
    [anon_sym_L_SQUOTE] = ACTIONS(2466),
    [anon_sym_u_SQUOTE] = ACTIONS(2466),
    [anon_sym_U_SQUOTE] = ACTIONS(2466),
    [anon_sym_u8_SQUOTE] = ACTIONS(2466),
    [anon_sym_SQUOTE] = ACTIONS(2466),
    [anon_sym_L_DQUOTE] = ACTIONS(2466),
    [anon_sym_u_DQUOTE] = ACTIONS(2466),
    [anon_sym_U_DQUOTE] = ACTIONS(2466),
    [anon_sym_u8_DQUOTE] = ACTIONS(2466),
    [anon_sym_DQUOTE] = ACTIONS(2466),
    [sym_true] = ACTIONS(2464),
    [sym_false] = ACTIONS(2464),
    [anon_sym_NULL] = ACTIONS(2464),
    [anon_sym_nullptr] = ACTIONS(2464),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2464),
    [anon_sym_decltype] = ACTIONS(2464),
    [anon_sym_virtual] = ACTIONS(2464),
    [anon_sym_alignas] = ACTIONS(2464),
    [anon_sym_explicit] = ACTIONS(2464),
    [anon_sym_typename] = ACTIONS(2464),
    [anon_sym_template] = ACTIONS(2464),
    [anon_sym_operator] = ACTIONS(2464),
    [anon_sym_try] = ACTIONS(2464),
    [anon_sym_delete] = ACTIONS(2464),
    [anon_sym_throw] = ACTIONS(2464),
    [anon_sym_namespace] = ACTIONS(2464),
    [anon_sym_using] = ACTIONS(2464),
    [anon_sym_static_assert] = ACTIONS(2464),
    [anon_sym_concept] = ACTIONS(2464),
    [anon_sym_co_return] = ACTIONS(2464),
    [anon_sym_co_yield] = ACTIONS(2464),
    [anon_sym_R_DQUOTE] = ACTIONS(2466),
    [anon_sym_LR_DQUOTE] = ACTIONS(2466),
    [anon_sym_uR_DQUOTE] = ACTIONS(2466),
    [anon_sym_UR_DQUOTE] = ACTIONS(2466),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2466),
    [anon_sym_co_await] = ACTIONS(2464),
    [anon_sym_new] = ACTIONS(2464),
    [anon_sym_requires] = ACTIONS(2464),
    [sym_this] = ACTIONS(2464),
    [anon_sym_discard] = ACTIONS(2464),
    [anon_sym_precise] = ACTIONS(2464),
    [anon_sym_shared] = ACTIONS(2464),
    [anon_sym_groupshared] = ACTIONS(2464),
    [anon_sym_uniform] = ACTIONS(2464),
    [anon_sym_row_major] = ACTIONS(2464),
    [anon_sym_column_major] = ACTIONS(2464),
    [anon_sym_globallycoherent] = ACTIONS(2464),
    [anon_sym_centroid] = ACTIONS(2464),
    [anon_sym_noperspective] = ACTIONS(2464),
    [anon_sym_nointerpolation] = ACTIONS(2464),
    [anon_sym_sample] = ACTIONS(2464),
    [anon_sym_linear] = ACTIONS(2464),
    [anon_sym_snorm] = ACTIONS(2464),
    [anon_sym_unorm] = ACTIONS(2464),
    [anon_sym_point] = ACTIONS(2464),
    [anon_sym_line] = ACTIONS(2464),
    [anon_sym_triangleadj] = ACTIONS(2464),
    [anon_sym_lineadj] = ACTIONS(2464),
    [anon_sym_triangle] = ACTIONS(2464),
    [anon_sym_cbuffer] = ACTIONS(2464),
  },
  [310] = {
    [sym_identifier] = ACTIONS(2444),
    [aux_sym_preproc_include_token1] = ACTIONS(2444),
    [aux_sym_preproc_def_token1] = ACTIONS(2444),
    [aux_sym_preproc_if_token1] = ACTIONS(2444),
    [aux_sym_preproc_if_token2] = ACTIONS(2444),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2444),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2444),
    [aux_sym_preproc_else_token1] = ACTIONS(2444),
    [aux_sym_preproc_elif_token1] = ACTIONS(2444),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2444),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2444),
    [sym_preproc_directive] = ACTIONS(2444),
    [anon_sym_LPAREN2] = ACTIONS(2446),
    [anon_sym_BANG] = ACTIONS(2446),
    [anon_sym_TILDE] = ACTIONS(2446),
    [anon_sym_DASH] = ACTIONS(2444),
    [anon_sym_PLUS] = ACTIONS(2444),
    [anon_sym_STAR] = ACTIONS(2446),
    [anon_sym_AMP_AMP] = ACTIONS(2446),
    [anon_sym_AMP] = ACTIONS(2444),
    [anon_sym_SEMI] = ACTIONS(2446),
    [anon_sym___extension__] = ACTIONS(2444),
    [anon_sym_typedef] = ACTIONS(2444),
    [anon_sym_in] = ACTIONS(2444),
    [anon_sym_out] = ACTIONS(2444),
    [anon_sym_inout] = ACTIONS(2444),
    [anon_sym_extern] = ACTIONS(2444),
    [anon_sym___attribute__] = ACTIONS(2444),
    [anon_sym_COLON_COLON] = ACTIONS(2446),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2446),
    [anon_sym___declspec] = ACTIONS(2444),
    [anon_sym___based] = ACTIONS(2444),
    [anon_sym___cdecl] = ACTIONS(2444),
    [anon_sym___clrcall] = ACTIONS(2444),
    [anon_sym___stdcall] = ACTIONS(2444),
    [anon_sym___fastcall] = ACTIONS(2444),
    [anon_sym___thiscall] = ACTIONS(2444),
    [anon_sym___vectorcall] = ACTIONS(2444),
    [anon_sym_LBRACE] = ACTIONS(2446),
    [anon_sym_signed] = ACTIONS(2444),
    [anon_sym_unsigned] = ACTIONS(2444),
    [anon_sym_long] = ACTIONS(2444),
    [anon_sym_short] = ACTIONS(2444),
    [anon_sym_LBRACK] = ACTIONS(2444),
    [anon_sym_static] = ACTIONS(2444),
    [anon_sym_register] = ACTIONS(2444),
    [anon_sym_inline] = ACTIONS(2444),
    [anon_sym___inline] = ACTIONS(2444),
    [anon_sym___inline__] = ACTIONS(2444),
    [anon_sym___forceinline] = ACTIONS(2444),
    [anon_sym_thread_local] = ACTIONS(2444),
    [anon_sym___thread] = ACTIONS(2444),
    [anon_sym_const] = ACTIONS(2444),
    [anon_sym_constexpr] = ACTIONS(2444),
    [anon_sym_volatile] = ACTIONS(2444),
    [anon_sym_restrict] = ACTIONS(2444),
    [anon_sym___restrict__] = ACTIONS(2444),
    [anon_sym__Atomic] = ACTIONS(2444),
    [anon_sym__Noreturn] = ACTIONS(2444),
    [anon_sym_noreturn] = ACTIONS(2444),
    [anon_sym_mutable] = ACTIONS(2444),
    [anon_sym_constinit] = ACTIONS(2444),
    [anon_sym_consteval] = ACTIONS(2444),
    [sym_primitive_type] = ACTIONS(2444),
    [anon_sym_enum] = ACTIONS(2444),
    [anon_sym_class] = ACTIONS(2444),
    [anon_sym_struct] = ACTIONS(2444),
    [anon_sym_union] = ACTIONS(2444),
    [anon_sym_if] = ACTIONS(2444),
    [anon_sym_else] = ACTIONS(2444),
    [anon_sym_switch] = ACTIONS(2444),
    [anon_sym_case] = ACTIONS(2444),
    [anon_sym_default] = ACTIONS(2444),
    [anon_sym_while] = ACTIONS(2444),
    [anon_sym_do] = ACTIONS(2444),
    [anon_sym_for] = ACTIONS(2444),
    [anon_sym_return] = ACTIONS(2444),
    [anon_sym_break] = ACTIONS(2444),
    [anon_sym_continue] = ACTIONS(2444),
    [anon_sym_goto] = ACTIONS(2444),
    [anon_sym___try] = ACTIONS(2444),
    [anon_sym___leave] = ACTIONS(2444),
    [anon_sym_not] = ACTIONS(2444),
    [anon_sym_compl] = ACTIONS(2444),
    [anon_sym_DASH_DASH] = ACTIONS(2446),
    [anon_sym_PLUS_PLUS] = ACTIONS(2446),
    [anon_sym_sizeof] = ACTIONS(2444),
    [anon_sym___alignof__] = ACTIONS(2444),
    [anon_sym___alignof] = ACTIONS(2444),
    [anon_sym__alignof] = ACTIONS(2444),
    [anon_sym_alignof] = ACTIONS(2444),
    [anon_sym__Alignof] = ACTIONS(2444),
    [anon_sym_offsetof] = ACTIONS(2444),
    [anon_sym__Generic] = ACTIONS(2444),
    [anon_sym_asm] = ACTIONS(2444),
    [anon_sym___asm__] = ACTIONS(2444),
    [sym_number_literal] = ACTIONS(2446),
    [anon_sym_L_SQUOTE] = ACTIONS(2446),
    [anon_sym_u_SQUOTE] = ACTIONS(2446),
    [anon_sym_U_SQUOTE] = ACTIONS(2446),
    [anon_sym_u8_SQUOTE] = ACTIONS(2446),
    [anon_sym_SQUOTE] = ACTIONS(2446),
    [anon_sym_L_DQUOTE] = ACTIONS(2446),
    [anon_sym_u_DQUOTE] = ACTIONS(2446),
    [anon_sym_U_DQUOTE] = ACTIONS(2446),
    [anon_sym_u8_DQUOTE] = ACTIONS(2446),
    [anon_sym_DQUOTE] = ACTIONS(2446),
    [sym_true] = ACTIONS(2444),
    [sym_false] = ACTIONS(2444),
    [anon_sym_NULL] = ACTIONS(2444),
    [anon_sym_nullptr] = ACTIONS(2444),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2444),
    [anon_sym_decltype] = ACTIONS(2444),
    [anon_sym_virtual] = ACTIONS(2444),
    [anon_sym_alignas] = ACTIONS(2444),
    [anon_sym_explicit] = ACTIONS(2444),
    [anon_sym_typename] = ACTIONS(2444),
    [anon_sym_template] = ACTIONS(2444),
    [anon_sym_operator] = ACTIONS(2444),
    [anon_sym_try] = ACTIONS(2444),
    [anon_sym_delete] = ACTIONS(2444),
    [anon_sym_throw] = ACTIONS(2444),
    [anon_sym_namespace] = ACTIONS(2444),
    [anon_sym_using] = ACTIONS(2444),
    [anon_sym_static_assert] = ACTIONS(2444),
    [anon_sym_concept] = ACTIONS(2444),
    [anon_sym_co_return] = ACTIONS(2444),
    [anon_sym_co_yield] = ACTIONS(2444),
    [anon_sym_R_DQUOTE] = ACTIONS(2446),
    [anon_sym_LR_DQUOTE] = ACTIONS(2446),
    [anon_sym_uR_DQUOTE] = ACTIONS(2446),
    [anon_sym_UR_DQUOTE] = ACTIONS(2446),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2446),
    [anon_sym_co_await] = ACTIONS(2444),
    [anon_sym_new] = ACTIONS(2444),
    [anon_sym_requires] = ACTIONS(2444),
    [sym_this] = ACTIONS(2444),
    [anon_sym_discard] = ACTIONS(2444),
    [anon_sym_precise] = ACTIONS(2444),
    [anon_sym_shared] = ACTIONS(2444),
    [anon_sym_groupshared] = ACTIONS(2444),
    [anon_sym_uniform] = ACTIONS(2444),
    [anon_sym_row_major] = ACTIONS(2444),
    [anon_sym_column_major] = ACTIONS(2444),
    [anon_sym_globallycoherent] = ACTIONS(2444),
    [anon_sym_centroid] = ACTIONS(2444),
    [anon_sym_noperspective] = ACTIONS(2444),
    [anon_sym_nointerpolation] = ACTIONS(2444),
    [anon_sym_sample] = ACTIONS(2444),
    [anon_sym_linear] = ACTIONS(2444),
    [anon_sym_snorm] = ACTIONS(2444),
    [anon_sym_unorm] = ACTIONS(2444),
    [anon_sym_point] = ACTIONS(2444),
    [anon_sym_line] = ACTIONS(2444),
    [anon_sym_triangleadj] = ACTIONS(2444),
    [anon_sym_lineadj] = ACTIONS(2444),
    [anon_sym_triangle] = ACTIONS(2444),
    [anon_sym_cbuffer] = ACTIONS(2444),
  },
  [311] = {
    [sym_identifier] = ACTIONS(2468),
    [aux_sym_preproc_include_token1] = ACTIONS(2468),
    [aux_sym_preproc_def_token1] = ACTIONS(2468),
    [aux_sym_preproc_if_token1] = ACTIONS(2468),
    [aux_sym_preproc_if_token2] = ACTIONS(2468),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2468),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2468),
    [aux_sym_preproc_else_token1] = ACTIONS(2468),
    [aux_sym_preproc_elif_token1] = ACTIONS(2468),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2468),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2468),
    [sym_preproc_directive] = ACTIONS(2468),
    [anon_sym_LPAREN2] = ACTIONS(2470),
    [anon_sym_BANG] = ACTIONS(2470),
    [anon_sym_TILDE] = ACTIONS(2470),
    [anon_sym_DASH] = ACTIONS(2468),
    [anon_sym_PLUS] = ACTIONS(2468),
    [anon_sym_STAR] = ACTIONS(2470),
    [anon_sym_AMP_AMP] = ACTIONS(2470),
    [anon_sym_AMP] = ACTIONS(2468),
    [anon_sym_SEMI] = ACTIONS(2470),
    [anon_sym___extension__] = ACTIONS(2468),
    [anon_sym_typedef] = ACTIONS(2468),
    [anon_sym_in] = ACTIONS(2468),
    [anon_sym_out] = ACTIONS(2468),
    [anon_sym_inout] = ACTIONS(2468),
    [anon_sym_extern] = ACTIONS(2468),
    [anon_sym___attribute__] = ACTIONS(2468),
    [anon_sym_COLON_COLON] = ACTIONS(2470),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2470),
    [anon_sym___declspec] = ACTIONS(2468),
    [anon_sym___based] = ACTIONS(2468),
    [anon_sym___cdecl] = ACTIONS(2468),
    [anon_sym___clrcall] = ACTIONS(2468),
    [anon_sym___stdcall] = ACTIONS(2468),
    [anon_sym___fastcall] = ACTIONS(2468),
    [anon_sym___thiscall] = ACTIONS(2468),
    [anon_sym___vectorcall] = ACTIONS(2468),
    [anon_sym_LBRACE] = ACTIONS(2470),
    [anon_sym_signed] = ACTIONS(2468),
    [anon_sym_unsigned] = ACTIONS(2468),
    [anon_sym_long] = ACTIONS(2468),
    [anon_sym_short] = ACTIONS(2468),
    [anon_sym_LBRACK] = ACTIONS(2468),
    [anon_sym_static] = ACTIONS(2468),
    [anon_sym_register] = ACTIONS(2468),
    [anon_sym_inline] = ACTIONS(2468),
    [anon_sym___inline] = ACTIONS(2468),
    [anon_sym___inline__] = ACTIONS(2468),
    [anon_sym___forceinline] = ACTIONS(2468),
    [anon_sym_thread_local] = ACTIONS(2468),
    [anon_sym___thread] = ACTIONS(2468),
    [anon_sym_const] = ACTIONS(2468),
    [anon_sym_constexpr] = ACTIONS(2468),
    [anon_sym_volatile] = ACTIONS(2468),
    [anon_sym_restrict] = ACTIONS(2468),
    [anon_sym___restrict__] = ACTIONS(2468),
    [anon_sym__Atomic] = ACTIONS(2468),
    [anon_sym__Noreturn] = ACTIONS(2468),
    [anon_sym_noreturn] = ACTIONS(2468),
    [anon_sym_mutable] = ACTIONS(2468),
    [anon_sym_constinit] = ACTIONS(2468),
    [anon_sym_consteval] = ACTIONS(2468),
    [sym_primitive_type] = ACTIONS(2468),
    [anon_sym_enum] = ACTIONS(2468),
    [anon_sym_class] = ACTIONS(2468),
    [anon_sym_struct] = ACTIONS(2468),
    [anon_sym_union] = ACTIONS(2468),
    [anon_sym_if] = ACTIONS(2468),
    [anon_sym_else] = ACTIONS(2468),
    [anon_sym_switch] = ACTIONS(2468),
    [anon_sym_case] = ACTIONS(2468),
    [anon_sym_default] = ACTIONS(2468),
    [anon_sym_while] = ACTIONS(2468),
    [anon_sym_do] = ACTIONS(2468),
    [anon_sym_for] = ACTIONS(2468),
    [anon_sym_return] = ACTIONS(2468),
    [anon_sym_break] = ACTIONS(2468),
    [anon_sym_continue] = ACTIONS(2468),
    [anon_sym_goto] = ACTIONS(2468),
    [anon_sym___try] = ACTIONS(2468),
    [anon_sym___leave] = ACTIONS(2468),
    [anon_sym_not] = ACTIONS(2468),
    [anon_sym_compl] = ACTIONS(2468),
    [anon_sym_DASH_DASH] = ACTIONS(2470),
    [anon_sym_PLUS_PLUS] = ACTIONS(2470),
    [anon_sym_sizeof] = ACTIONS(2468),
    [anon_sym___alignof__] = ACTIONS(2468),
    [anon_sym___alignof] = ACTIONS(2468),
    [anon_sym__alignof] = ACTIONS(2468),
    [anon_sym_alignof] = ACTIONS(2468),
    [anon_sym__Alignof] = ACTIONS(2468),
    [anon_sym_offsetof] = ACTIONS(2468),
    [anon_sym__Generic] = ACTIONS(2468),
    [anon_sym_asm] = ACTIONS(2468),
    [anon_sym___asm__] = ACTIONS(2468),
    [sym_number_literal] = ACTIONS(2470),
    [anon_sym_L_SQUOTE] = ACTIONS(2470),
    [anon_sym_u_SQUOTE] = ACTIONS(2470),
    [anon_sym_U_SQUOTE] = ACTIONS(2470),
    [anon_sym_u8_SQUOTE] = ACTIONS(2470),
    [anon_sym_SQUOTE] = ACTIONS(2470),
    [anon_sym_L_DQUOTE] = ACTIONS(2470),
    [anon_sym_u_DQUOTE] = ACTIONS(2470),
    [anon_sym_U_DQUOTE] = ACTIONS(2470),
    [anon_sym_u8_DQUOTE] = ACTIONS(2470),
    [anon_sym_DQUOTE] = ACTIONS(2470),
    [sym_true] = ACTIONS(2468),
    [sym_false] = ACTIONS(2468),
    [anon_sym_NULL] = ACTIONS(2468),
    [anon_sym_nullptr] = ACTIONS(2468),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2468),
    [anon_sym_decltype] = ACTIONS(2468),
    [anon_sym_virtual] = ACTIONS(2468),
    [anon_sym_alignas] = ACTIONS(2468),
    [anon_sym_explicit] = ACTIONS(2468),
    [anon_sym_typename] = ACTIONS(2468),
    [anon_sym_template] = ACTIONS(2468),
    [anon_sym_operator] = ACTIONS(2468),
    [anon_sym_try] = ACTIONS(2468),
    [anon_sym_delete] = ACTIONS(2468),
    [anon_sym_throw] = ACTIONS(2468),
    [anon_sym_namespace] = ACTIONS(2468),
    [anon_sym_using] = ACTIONS(2468),
    [anon_sym_static_assert] = ACTIONS(2468),
    [anon_sym_concept] = ACTIONS(2468),
    [anon_sym_co_return] = ACTIONS(2468),
    [anon_sym_co_yield] = ACTIONS(2468),
    [anon_sym_R_DQUOTE] = ACTIONS(2470),
    [anon_sym_LR_DQUOTE] = ACTIONS(2470),
    [anon_sym_uR_DQUOTE] = ACTIONS(2470),
    [anon_sym_UR_DQUOTE] = ACTIONS(2470),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2470),
    [anon_sym_co_await] = ACTIONS(2468),
    [anon_sym_new] = ACTIONS(2468),
    [anon_sym_requires] = ACTIONS(2468),
    [sym_this] = ACTIONS(2468),
    [anon_sym_discard] = ACTIONS(2468),
    [anon_sym_precise] = ACTIONS(2468),
    [anon_sym_shared] = ACTIONS(2468),
    [anon_sym_groupshared] = ACTIONS(2468),
    [anon_sym_uniform] = ACTIONS(2468),
    [anon_sym_row_major] = ACTIONS(2468),
    [anon_sym_column_major] = ACTIONS(2468),
    [anon_sym_globallycoherent] = ACTIONS(2468),
    [anon_sym_centroid] = ACTIONS(2468),
    [anon_sym_noperspective] = ACTIONS(2468),
    [anon_sym_nointerpolation] = ACTIONS(2468),
    [anon_sym_sample] = ACTIONS(2468),
    [anon_sym_linear] = ACTIONS(2468),
    [anon_sym_snorm] = ACTIONS(2468),
    [anon_sym_unorm] = ACTIONS(2468),
    [anon_sym_point] = ACTIONS(2468),
    [anon_sym_line] = ACTIONS(2468),
    [anon_sym_triangleadj] = ACTIONS(2468),
    [anon_sym_lineadj] = ACTIONS(2468),
    [anon_sym_triangle] = ACTIONS(2468),
    [anon_sym_cbuffer] = ACTIONS(2468),
  },
  [312] = {
    [sym_identifier] = ACTIONS(2472),
    [aux_sym_preproc_include_token1] = ACTIONS(2472),
    [aux_sym_preproc_def_token1] = ACTIONS(2472),
    [aux_sym_preproc_if_token1] = ACTIONS(2472),
    [aux_sym_preproc_if_token2] = ACTIONS(2472),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2472),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2472),
    [aux_sym_preproc_else_token1] = ACTIONS(2472),
    [aux_sym_preproc_elif_token1] = ACTIONS(2472),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2472),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2472),
    [sym_preproc_directive] = ACTIONS(2472),
    [anon_sym_LPAREN2] = ACTIONS(2474),
    [anon_sym_BANG] = ACTIONS(2474),
    [anon_sym_TILDE] = ACTIONS(2474),
    [anon_sym_DASH] = ACTIONS(2472),
    [anon_sym_PLUS] = ACTIONS(2472),
    [anon_sym_STAR] = ACTIONS(2474),
    [anon_sym_AMP_AMP] = ACTIONS(2474),
    [anon_sym_AMP] = ACTIONS(2472),
    [anon_sym_SEMI] = ACTIONS(2474),
    [anon_sym___extension__] = ACTIONS(2472),
    [anon_sym_typedef] = ACTIONS(2472),
    [anon_sym_in] = ACTIONS(2472),
    [anon_sym_out] = ACTIONS(2472),
    [anon_sym_inout] = ACTIONS(2472),
    [anon_sym_extern] = ACTIONS(2472),
    [anon_sym___attribute__] = ACTIONS(2472),
    [anon_sym_COLON_COLON] = ACTIONS(2474),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2474),
    [anon_sym___declspec] = ACTIONS(2472),
    [anon_sym___based] = ACTIONS(2472),
    [anon_sym___cdecl] = ACTIONS(2472),
    [anon_sym___clrcall] = ACTIONS(2472),
    [anon_sym___stdcall] = ACTIONS(2472),
    [anon_sym___fastcall] = ACTIONS(2472),
    [anon_sym___thiscall] = ACTIONS(2472),
    [anon_sym___vectorcall] = ACTIONS(2472),
    [anon_sym_LBRACE] = ACTIONS(2474),
    [anon_sym_signed] = ACTIONS(2472),
    [anon_sym_unsigned] = ACTIONS(2472),
    [anon_sym_long] = ACTIONS(2472),
    [anon_sym_short] = ACTIONS(2472),
    [anon_sym_LBRACK] = ACTIONS(2472),
    [anon_sym_static] = ACTIONS(2472),
    [anon_sym_register] = ACTIONS(2472),
    [anon_sym_inline] = ACTIONS(2472),
    [anon_sym___inline] = ACTIONS(2472),
    [anon_sym___inline__] = ACTIONS(2472),
    [anon_sym___forceinline] = ACTIONS(2472),
    [anon_sym_thread_local] = ACTIONS(2472),
    [anon_sym___thread] = ACTIONS(2472),
    [anon_sym_const] = ACTIONS(2472),
    [anon_sym_constexpr] = ACTIONS(2472),
    [anon_sym_volatile] = ACTIONS(2472),
    [anon_sym_restrict] = ACTIONS(2472),
    [anon_sym___restrict__] = ACTIONS(2472),
    [anon_sym__Atomic] = ACTIONS(2472),
    [anon_sym__Noreturn] = ACTIONS(2472),
    [anon_sym_noreturn] = ACTIONS(2472),
    [anon_sym_mutable] = ACTIONS(2472),
    [anon_sym_constinit] = ACTIONS(2472),
    [anon_sym_consteval] = ACTIONS(2472),
    [sym_primitive_type] = ACTIONS(2472),
    [anon_sym_enum] = ACTIONS(2472),
    [anon_sym_class] = ACTIONS(2472),
    [anon_sym_struct] = ACTIONS(2472),
    [anon_sym_union] = ACTIONS(2472),
    [anon_sym_if] = ACTIONS(2472),
    [anon_sym_else] = ACTIONS(2472),
    [anon_sym_switch] = ACTIONS(2472),
    [anon_sym_case] = ACTIONS(2472),
    [anon_sym_default] = ACTIONS(2472),
    [anon_sym_while] = ACTIONS(2472),
    [anon_sym_do] = ACTIONS(2472),
    [anon_sym_for] = ACTIONS(2472),
    [anon_sym_return] = ACTIONS(2472),
    [anon_sym_break] = ACTIONS(2472),
    [anon_sym_continue] = ACTIONS(2472),
    [anon_sym_goto] = ACTIONS(2472),
    [anon_sym___try] = ACTIONS(2472),
    [anon_sym___leave] = ACTIONS(2472),
    [anon_sym_not] = ACTIONS(2472),
    [anon_sym_compl] = ACTIONS(2472),
    [anon_sym_DASH_DASH] = ACTIONS(2474),
    [anon_sym_PLUS_PLUS] = ACTIONS(2474),
    [anon_sym_sizeof] = ACTIONS(2472),
    [anon_sym___alignof__] = ACTIONS(2472),
    [anon_sym___alignof] = ACTIONS(2472),
    [anon_sym__alignof] = ACTIONS(2472),
    [anon_sym_alignof] = ACTIONS(2472),
    [anon_sym__Alignof] = ACTIONS(2472),
    [anon_sym_offsetof] = ACTIONS(2472),
    [anon_sym__Generic] = ACTIONS(2472),
    [anon_sym_asm] = ACTIONS(2472),
    [anon_sym___asm__] = ACTIONS(2472),
    [sym_number_literal] = ACTIONS(2474),
    [anon_sym_L_SQUOTE] = ACTIONS(2474),
    [anon_sym_u_SQUOTE] = ACTIONS(2474),
    [anon_sym_U_SQUOTE] = ACTIONS(2474),
    [anon_sym_u8_SQUOTE] = ACTIONS(2474),
    [anon_sym_SQUOTE] = ACTIONS(2474),
    [anon_sym_L_DQUOTE] = ACTIONS(2474),
    [anon_sym_u_DQUOTE] = ACTIONS(2474),
    [anon_sym_U_DQUOTE] = ACTIONS(2474),
    [anon_sym_u8_DQUOTE] = ACTIONS(2474),
    [anon_sym_DQUOTE] = ACTIONS(2474),
    [sym_true] = ACTIONS(2472),
    [sym_false] = ACTIONS(2472),
    [anon_sym_NULL] = ACTIONS(2472),
    [anon_sym_nullptr] = ACTIONS(2472),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2472),
    [anon_sym_decltype] = ACTIONS(2472),
    [anon_sym_virtual] = ACTIONS(2472),
    [anon_sym_alignas] = ACTIONS(2472),
    [anon_sym_explicit] = ACTIONS(2472),
    [anon_sym_typename] = ACTIONS(2472),
    [anon_sym_template] = ACTIONS(2472),
    [anon_sym_operator] = ACTIONS(2472),
    [anon_sym_try] = ACTIONS(2472),
    [anon_sym_delete] = ACTIONS(2472),
    [anon_sym_throw] = ACTIONS(2472),
    [anon_sym_namespace] = ACTIONS(2472),
    [anon_sym_using] = ACTIONS(2472),
    [anon_sym_static_assert] = ACTIONS(2472),
    [anon_sym_concept] = ACTIONS(2472),
    [anon_sym_co_return] = ACTIONS(2472),
    [anon_sym_co_yield] = ACTIONS(2472),
    [anon_sym_R_DQUOTE] = ACTIONS(2474),
    [anon_sym_LR_DQUOTE] = ACTIONS(2474),
    [anon_sym_uR_DQUOTE] = ACTIONS(2474),
    [anon_sym_UR_DQUOTE] = ACTIONS(2474),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2474),
    [anon_sym_co_await] = ACTIONS(2472),
    [anon_sym_new] = ACTIONS(2472),
    [anon_sym_requires] = ACTIONS(2472),
    [sym_this] = ACTIONS(2472),
    [anon_sym_discard] = ACTIONS(2472),
    [anon_sym_precise] = ACTIONS(2472),
    [anon_sym_shared] = ACTIONS(2472),
    [anon_sym_groupshared] = ACTIONS(2472),
    [anon_sym_uniform] = ACTIONS(2472),
    [anon_sym_row_major] = ACTIONS(2472),
    [anon_sym_column_major] = ACTIONS(2472),
    [anon_sym_globallycoherent] = ACTIONS(2472),
    [anon_sym_centroid] = ACTIONS(2472),
    [anon_sym_noperspective] = ACTIONS(2472),
    [anon_sym_nointerpolation] = ACTIONS(2472),
    [anon_sym_sample] = ACTIONS(2472),
    [anon_sym_linear] = ACTIONS(2472),
    [anon_sym_snorm] = ACTIONS(2472),
    [anon_sym_unorm] = ACTIONS(2472),
    [anon_sym_point] = ACTIONS(2472),
    [anon_sym_line] = ACTIONS(2472),
    [anon_sym_triangleadj] = ACTIONS(2472),
    [anon_sym_lineadj] = ACTIONS(2472),
    [anon_sym_triangle] = ACTIONS(2472),
    [anon_sym_cbuffer] = ACTIONS(2472),
  },
  [313] = {
    [sym_identifier] = ACTIONS(2476),
    [aux_sym_preproc_include_token1] = ACTIONS(2476),
    [aux_sym_preproc_def_token1] = ACTIONS(2476),
    [aux_sym_preproc_if_token1] = ACTIONS(2476),
    [aux_sym_preproc_if_token2] = ACTIONS(2476),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2476),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2476),
    [aux_sym_preproc_else_token1] = ACTIONS(2476),
    [aux_sym_preproc_elif_token1] = ACTIONS(2476),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2476),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2476),
    [sym_preproc_directive] = ACTIONS(2476),
    [anon_sym_LPAREN2] = ACTIONS(2478),
    [anon_sym_BANG] = ACTIONS(2478),
    [anon_sym_TILDE] = ACTIONS(2478),
    [anon_sym_DASH] = ACTIONS(2476),
    [anon_sym_PLUS] = ACTIONS(2476),
    [anon_sym_STAR] = ACTIONS(2478),
    [anon_sym_AMP_AMP] = ACTIONS(2478),
    [anon_sym_AMP] = ACTIONS(2476),
    [anon_sym_SEMI] = ACTIONS(2478),
    [anon_sym___extension__] = ACTIONS(2476),
    [anon_sym_typedef] = ACTIONS(2476),
    [anon_sym_in] = ACTIONS(2476),
    [anon_sym_out] = ACTIONS(2476),
    [anon_sym_inout] = ACTIONS(2476),
    [anon_sym_extern] = ACTIONS(2476),
    [anon_sym___attribute__] = ACTIONS(2476),
    [anon_sym_COLON_COLON] = ACTIONS(2478),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2478),
    [anon_sym___declspec] = ACTIONS(2476),
    [anon_sym___based] = ACTIONS(2476),
    [anon_sym___cdecl] = ACTIONS(2476),
    [anon_sym___clrcall] = ACTIONS(2476),
    [anon_sym___stdcall] = ACTIONS(2476),
    [anon_sym___fastcall] = ACTIONS(2476),
    [anon_sym___thiscall] = ACTIONS(2476),
    [anon_sym___vectorcall] = ACTIONS(2476),
    [anon_sym_LBRACE] = ACTIONS(2478),
    [anon_sym_signed] = ACTIONS(2476),
    [anon_sym_unsigned] = ACTIONS(2476),
    [anon_sym_long] = ACTIONS(2476),
    [anon_sym_short] = ACTIONS(2476),
    [anon_sym_LBRACK] = ACTIONS(2476),
    [anon_sym_static] = ACTIONS(2476),
    [anon_sym_register] = ACTIONS(2476),
    [anon_sym_inline] = ACTIONS(2476),
    [anon_sym___inline] = ACTIONS(2476),
    [anon_sym___inline__] = ACTIONS(2476),
    [anon_sym___forceinline] = ACTIONS(2476),
    [anon_sym_thread_local] = ACTIONS(2476),
    [anon_sym___thread] = ACTIONS(2476),
    [anon_sym_const] = ACTIONS(2476),
    [anon_sym_constexpr] = ACTIONS(2476),
    [anon_sym_volatile] = ACTIONS(2476),
    [anon_sym_restrict] = ACTIONS(2476),
    [anon_sym___restrict__] = ACTIONS(2476),
    [anon_sym__Atomic] = ACTIONS(2476),
    [anon_sym__Noreturn] = ACTIONS(2476),
    [anon_sym_noreturn] = ACTIONS(2476),
    [anon_sym_mutable] = ACTIONS(2476),
    [anon_sym_constinit] = ACTIONS(2476),
    [anon_sym_consteval] = ACTIONS(2476),
    [sym_primitive_type] = ACTIONS(2476),
    [anon_sym_enum] = ACTIONS(2476),
    [anon_sym_class] = ACTIONS(2476),
    [anon_sym_struct] = ACTIONS(2476),
    [anon_sym_union] = ACTIONS(2476),
    [anon_sym_if] = ACTIONS(2476),
    [anon_sym_else] = ACTIONS(2476),
    [anon_sym_switch] = ACTIONS(2476),
    [anon_sym_case] = ACTIONS(2476),
    [anon_sym_default] = ACTIONS(2476),
    [anon_sym_while] = ACTIONS(2476),
    [anon_sym_do] = ACTIONS(2476),
    [anon_sym_for] = ACTIONS(2476),
    [anon_sym_return] = ACTIONS(2476),
    [anon_sym_break] = ACTIONS(2476),
    [anon_sym_continue] = ACTIONS(2476),
    [anon_sym_goto] = ACTIONS(2476),
    [anon_sym___try] = ACTIONS(2476),
    [anon_sym___leave] = ACTIONS(2476),
    [anon_sym_not] = ACTIONS(2476),
    [anon_sym_compl] = ACTIONS(2476),
    [anon_sym_DASH_DASH] = ACTIONS(2478),
    [anon_sym_PLUS_PLUS] = ACTIONS(2478),
    [anon_sym_sizeof] = ACTIONS(2476),
    [anon_sym___alignof__] = ACTIONS(2476),
    [anon_sym___alignof] = ACTIONS(2476),
    [anon_sym__alignof] = ACTIONS(2476),
    [anon_sym_alignof] = ACTIONS(2476),
    [anon_sym__Alignof] = ACTIONS(2476),
    [anon_sym_offsetof] = ACTIONS(2476),
    [anon_sym__Generic] = ACTIONS(2476),
    [anon_sym_asm] = ACTIONS(2476),
    [anon_sym___asm__] = ACTIONS(2476),
    [sym_number_literal] = ACTIONS(2478),
    [anon_sym_L_SQUOTE] = ACTIONS(2478),
    [anon_sym_u_SQUOTE] = ACTIONS(2478),
    [anon_sym_U_SQUOTE] = ACTIONS(2478),
    [anon_sym_u8_SQUOTE] = ACTIONS(2478),
    [anon_sym_SQUOTE] = ACTIONS(2478),
    [anon_sym_L_DQUOTE] = ACTIONS(2478),
    [anon_sym_u_DQUOTE] = ACTIONS(2478),
    [anon_sym_U_DQUOTE] = ACTIONS(2478),
    [anon_sym_u8_DQUOTE] = ACTIONS(2478),
    [anon_sym_DQUOTE] = ACTIONS(2478),
    [sym_true] = ACTIONS(2476),
    [sym_false] = ACTIONS(2476),
    [anon_sym_NULL] = ACTIONS(2476),
    [anon_sym_nullptr] = ACTIONS(2476),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2476),
    [anon_sym_decltype] = ACTIONS(2476),
    [anon_sym_virtual] = ACTIONS(2476),
    [anon_sym_alignas] = ACTIONS(2476),
    [anon_sym_explicit] = ACTIONS(2476),
    [anon_sym_typename] = ACTIONS(2476),
    [anon_sym_template] = ACTIONS(2476),
    [anon_sym_operator] = ACTIONS(2476),
    [anon_sym_try] = ACTIONS(2476),
    [anon_sym_delete] = ACTIONS(2476),
    [anon_sym_throw] = ACTIONS(2476),
    [anon_sym_namespace] = ACTIONS(2476),
    [anon_sym_using] = ACTIONS(2476),
    [anon_sym_static_assert] = ACTIONS(2476),
    [anon_sym_concept] = ACTIONS(2476),
    [anon_sym_co_return] = ACTIONS(2476),
    [anon_sym_co_yield] = ACTIONS(2476),
    [anon_sym_R_DQUOTE] = ACTIONS(2478),
    [anon_sym_LR_DQUOTE] = ACTIONS(2478),
    [anon_sym_uR_DQUOTE] = ACTIONS(2478),
    [anon_sym_UR_DQUOTE] = ACTIONS(2478),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2478),
    [anon_sym_co_await] = ACTIONS(2476),
    [anon_sym_new] = ACTIONS(2476),
    [anon_sym_requires] = ACTIONS(2476),
    [sym_this] = ACTIONS(2476),
    [anon_sym_discard] = ACTIONS(2476),
    [anon_sym_precise] = ACTIONS(2476),
    [anon_sym_shared] = ACTIONS(2476),
    [anon_sym_groupshared] = ACTIONS(2476),
    [anon_sym_uniform] = ACTIONS(2476),
    [anon_sym_row_major] = ACTIONS(2476),
    [anon_sym_column_major] = ACTIONS(2476),
    [anon_sym_globallycoherent] = ACTIONS(2476),
    [anon_sym_centroid] = ACTIONS(2476),
    [anon_sym_noperspective] = ACTIONS(2476),
    [anon_sym_nointerpolation] = ACTIONS(2476),
    [anon_sym_sample] = ACTIONS(2476),
    [anon_sym_linear] = ACTIONS(2476),
    [anon_sym_snorm] = ACTIONS(2476),
    [anon_sym_unorm] = ACTIONS(2476),
    [anon_sym_point] = ACTIONS(2476),
    [anon_sym_line] = ACTIONS(2476),
    [anon_sym_triangleadj] = ACTIONS(2476),
    [anon_sym_lineadj] = ACTIONS(2476),
    [anon_sym_triangle] = ACTIONS(2476),
    [anon_sym_cbuffer] = ACTIONS(2476),
  },
  [314] = {
    [sym_catch_clause] = STATE(213),
    [aux_sym_constructor_try_statement_repeat1] = STATE(213),
    [sym_identifier] = ACTIONS(2275),
    [aux_sym_preproc_include_token1] = ACTIONS(2275),
    [aux_sym_preproc_def_token1] = ACTIONS(2275),
    [aux_sym_preproc_if_token1] = ACTIONS(2275),
    [aux_sym_preproc_if_token2] = ACTIONS(2275),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2275),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2275),
    [aux_sym_preproc_else_token1] = ACTIONS(2275),
    [aux_sym_preproc_elif_token1] = ACTIONS(2275),
    [sym_preproc_directive] = ACTIONS(2275),
    [anon_sym_LPAREN2] = ACTIONS(2277),
    [anon_sym_BANG] = ACTIONS(2277),
    [anon_sym_TILDE] = ACTIONS(2277),
    [anon_sym_DASH] = ACTIONS(2275),
    [anon_sym_PLUS] = ACTIONS(2275),
    [anon_sym_STAR] = ACTIONS(2277),
    [anon_sym_AMP_AMP] = ACTIONS(2277),
    [anon_sym_AMP] = ACTIONS(2275),
    [anon_sym_SEMI] = ACTIONS(2277),
    [anon_sym___extension__] = ACTIONS(2275),
    [anon_sym_typedef] = ACTIONS(2275),
    [anon_sym_in] = ACTIONS(2275),
    [anon_sym_out] = ACTIONS(2275),
    [anon_sym_inout] = ACTIONS(2275),
    [anon_sym_extern] = ACTIONS(2275),
    [anon_sym___attribute__] = ACTIONS(2275),
    [anon_sym_COLON_COLON] = ACTIONS(2277),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2277),
    [anon_sym___declspec] = ACTIONS(2275),
    [anon_sym___based] = ACTIONS(2275),
    [anon_sym___cdecl] = ACTIONS(2275),
    [anon_sym___clrcall] = ACTIONS(2275),
    [anon_sym___stdcall] = ACTIONS(2275),
    [anon_sym___fastcall] = ACTIONS(2275),
    [anon_sym___thiscall] = ACTIONS(2275),
    [anon_sym___vectorcall] = ACTIONS(2275),
    [anon_sym_LBRACE] = ACTIONS(2277),
    [anon_sym_signed] = ACTIONS(2275),
    [anon_sym_unsigned] = ACTIONS(2275),
    [anon_sym_long] = ACTIONS(2275),
    [anon_sym_short] = ACTIONS(2275),
    [anon_sym_LBRACK] = ACTIONS(2275),
    [anon_sym_static] = ACTIONS(2275),
    [anon_sym_register] = ACTIONS(2275),
    [anon_sym_inline] = ACTIONS(2275),
    [anon_sym___inline] = ACTIONS(2275),
    [anon_sym___inline__] = ACTIONS(2275),
    [anon_sym___forceinline] = ACTIONS(2275),
    [anon_sym_thread_local] = ACTIONS(2275),
    [anon_sym___thread] = ACTIONS(2275),
    [anon_sym_const] = ACTIONS(2275),
    [anon_sym_constexpr] = ACTIONS(2275),
    [anon_sym_volatile] = ACTIONS(2275),
    [anon_sym_restrict] = ACTIONS(2275),
    [anon_sym___restrict__] = ACTIONS(2275),
    [anon_sym__Atomic] = ACTIONS(2275),
    [anon_sym__Noreturn] = ACTIONS(2275),
    [anon_sym_noreturn] = ACTIONS(2275),
    [anon_sym_mutable] = ACTIONS(2275),
    [anon_sym_constinit] = ACTIONS(2275),
    [anon_sym_consteval] = ACTIONS(2275),
    [sym_primitive_type] = ACTIONS(2275),
    [anon_sym_enum] = ACTIONS(2275),
    [anon_sym_class] = ACTIONS(2275),
    [anon_sym_struct] = ACTIONS(2275),
    [anon_sym_union] = ACTIONS(2275),
    [anon_sym_if] = ACTIONS(2275),
    [anon_sym_switch] = ACTIONS(2275),
    [anon_sym_case] = ACTIONS(2275),
    [anon_sym_default] = ACTIONS(2275),
    [anon_sym_while] = ACTIONS(2275),
    [anon_sym_do] = ACTIONS(2275),
    [anon_sym_for] = ACTIONS(2275),
    [anon_sym_return] = ACTIONS(2275),
    [anon_sym_break] = ACTIONS(2275),
    [anon_sym_continue] = ACTIONS(2275),
    [anon_sym_goto] = ACTIONS(2275),
    [anon_sym___try] = ACTIONS(2275),
    [anon_sym___leave] = ACTIONS(2275),
    [anon_sym_not] = ACTIONS(2275),
    [anon_sym_compl] = ACTIONS(2275),
    [anon_sym_DASH_DASH] = ACTIONS(2277),
    [anon_sym_PLUS_PLUS] = ACTIONS(2277),
    [anon_sym_sizeof] = ACTIONS(2275),
    [anon_sym___alignof__] = ACTIONS(2275),
    [anon_sym___alignof] = ACTIONS(2275),
    [anon_sym__alignof] = ACTIONS(2275),
    [anon_sym_alignof] = ACTIONS(2275),
    [anon_sym__Alignof] = ACTIONS(2275),
    [anon_sym_offsetof] = ACTIONS(2275),
    [anon_sym__Generic] = ACTIONS(2275),
    [anon_sym_asm] = ACTIONS(2275),
    [anon_sym___asm__] = ACTIONS(2275),
    [sym_number_literal] = ACTIONS(2277),
    [anon_sym_L_SQUOTE] = ACTIONS(2277),
    [anon_sym_u_SQUOTE] = ACTIONS(2277),
    [anon_sym_U_SQUOTE] = ACTIONS(2277),
    [anon_sym_u8_SQUOTE] = ACTIONS(2277),
    [anon_sym_SQUOTE] = ACTIONS(2277),
    [anon_sym_L_DQUOTE] = ACTIONS(2277),
    [anon_sym_u_DQUOTE] = ACTIONS(2277),
    [anon_sym_U_DQUOTE] = ACTIONS(2277),
    [anon_sym_u8_DQUOTE] = ACTIONS(2277),
    [anon_sym_DQUOTE] = ACTIONS(2277),
    [sym_true] = ACTIONS(2275),
    [sym_false] = ACTIONS(2275),
    [anon_sym_NULL] = ACTIONS(2275),
    [anon_sym_nullptr] = ACTIONS(2275),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2275),
    [anon_sym_decltype] = ACTIONS(2275),
    [anon_sym_virtual] = ACTIONS(2275),
    [anon_sym_alignas] = ACTIONS(2275),
    [anon_sym_explicit] = ACTIONS(2275),
    [anon_sym_typename] = ACTIONS(2275),
    [anon_sym_template] = ACTIONS(2275),
    [anon_sym_operator] = ACTIONS(2275),
    [anon_sym_try] = ACTIONS(2275),
    [anon_sym_delete] = ACTIONS(2275),
    [anon_sym_throw] = ACTIONS(2275),
    [anon_sym_namespace] = ACTIONS(2275),
    [anon_sym_using] = ACTIONS(2275),
    [anon_sym_static_assert] = ACTIONS(2275),
    [anon_sym_concept] = ACTIONS(2275),
    [anon_sym_co_return] = ACTIONS(2275),
    [anon_sym_co_yield] = ACTIONS(2275),
    [anon_sym_catch] = ACTIONS(2303),
    [anon_sym_R_DQUOTE] = ACTIONS(2277),
    [anon_sym_LR_DQUOTE] = ACTIONS(2277),
    [anon_sym_uR_DQUOTE] = ACTIONS(2277),
    [anon_sym_UR_DQUOTE] = ACTIONS(2277),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2277),
    [anon_sym_co_await] = ACTIONS(2275),
    [anon_sym_new] = ACTIONS(2275),
    [anon_sym_requires] = ACTIONS(2275),
    [sym_this] = ACTIONS(2275),
    [anon_sym_discard] = ACTIONS(2275),
    [anon_sym_precise] = ACTIONS(2275),
    [anon_sym_shared] = ACTIONS(2275),
    [anon_sym_groupshared] = ACTIONS(2275),
    [anon_sym_uniform] = ACTIONS(2275),
    [anon_sym_row_major] = ACTIONS(2275),
    [anon_sym_column_major] = ACTIONS(2275),
    [anon_sym_globallycoherent] = ACTIONS(2275),
    [anon_sym_centroid] = ACTIONS(2275),
    [anon_sym_noperspective] = ACTIONS(2275),
    [anon_sym_nointerpolation] = ACTIONS(2275),
    [anon_sym_sample] = ACTIONS(2275),
    [anon_sym_linear] = ACTIONS(2275),
    [anon_sym_snorm] = ACTIONS(2275),
    [anon_sym_unorm] = ACTIONS(2275),
    [anon_sym_point] = ACTIONS(2275),
    [anon_sym_line] = ACTIONS(2275),
    [anon_sym_triangleadj] = ACTIONS(2275),
    [anon_sym_lineadj] = ACTIONS(2275),
    [anon_sym_triangle] = ACTIONS(2275),
    [anon_sym_cbuffer] = ACTIONS(2275),
  },
  [315] = {
    [sym_identifier] = ACTIONS(2444),
    [aux_sym_preproc_include_token1] = ACTIONS(2444),
    [aux_sym_preproc_def_token1] = ACTIONS(2444),
    [aux_sym_preproc_if_token1] = ACTIONS(2444),
    [aux_sym_preproc_if_token2] = ACTIONS(2444),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2444),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2444),
    [aux_sym_preproc_else_token1] = ACTIONS(2444),
    [aux_sym_preproc_elif_token1] = ACTIONS(2444),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2444),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2444),
    [sym_preproc_directive] = ACTIONS(2444),
    [anon_sym_LPAREN2] = ACTIONS(2446),
    [anon_sym_BANG] = ACTIONS(2446),
    [anon_sym_TILDE] = ACTIONS(2446),
    [anon_sym_DASH] = ACTIONS(2444),
    [anon_sym_PLUS] = ACTIONS(2444),
    [anon_sym_STAR] = ACTIONS(2446),
    [anon_sym_AMP_AMP] = ACTIONS(2446),
    [anon_sym_AMP] = ACTIONS(2444),
    [anon_sym_SEMI] = ACTIONS(2446),
    [anon_sym___extension__] = ACTIONS(2444),
    [anon_sym_typedef] = ACTIONS(2444),
    [anon_sym_in] = ACTIONS(2444),
    [anon_sym_out] = ACTIONS(2444),
    [anon_sym_inout] = ACTIONS(2444),
    [anon_sym_extern] = ACTIONS(2444),
    [anon_sym___attribute__] = ACTIONS(2444),
    [anon_sym_COLON_COLON] = ACTIONS(2446),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2446),
    [anon_sym___declspec] = ACTIONS(2444),
    [anon_sym___based] = ACTIONS(2444),
    [anon_sym___cdecl] = ACTIONS(2444),
    [anon_sym___clrcall] = ACTIONS(2444),
    [anon_sym___stdcall] = ACTIONS(2444),
    [anon_sym___fastcall] = ACTIONS(2444),
    [anon_sym___thiscall] = ACTIONS(2444),
    [anon_sym___vectorcall] = ACTIONS(2444),
    [anon_sym_LBRACE] = ACTIONS(2446),
    [anon_sym_signed] = ACTIONS(2444),
    [anon_sym_unsigned] = ACTIONS(2444),
    [anon_sym_long] = ACTIONS(2444),
    [anon_sym_short] = ACTIONS(2444),
    [anon_sym_LBRACK] = ACTIONS(2444),
    [anon_sym_static] = ACTIONS(2444),
    [anon_sym_register] = ACTIONS(2444),
    [anon_sym_inline] = ACTIONS(2444),
    [anon_sym___inline] = ACTIONS(2444),
    [anon_sym___inline__] = ACTIONS(2444),
    [anon_sym___forceinline] = ACTIONS(2444),
    [anon_sym_thread_local] = ACTIONS(2444),
    [anon_sym___thread] = ACTIONS(2444),
    [anon_sym_const] = ACTIONS(2444),
    [anon_sym_constexpr] = ACTIONS(2444),
    [anon_sym_volatile] = ACTIONS(2444),
    [anon_sym_restrict] = ACTIONS(2444),
    [anon_sym___restrict__] = ACTIONS(2444),
    [anon_sym__Atomic] = ACTIONS(2444),
    [anon_sym__Noreturn] = ACTIONS(2444),
    [anon_sym_noreturn] = ACTIONS(2444),
    [anon_sym_mutable] = ACTIONS(2444),
    [anon_sym_constinit] = ACTIONS(2444),
    [anon_sym_consteval] = ACTIONS(2444),
    [sym_primitive_type] = ACTIONS(2444),
    [anon_sym_enum] = ACTIONS(2444),
    [anon_sym_class] = ACTIONS(2444),
    [anon_sym_struct] = ACTIONS(2444),
    [anon_sym_union] = ACTIONS(2444),
    [anon_sym_if] = ACTIONS(2444),
    [anon_sym_else] = ACTIONS(2444),
    [anon_sym_switch] = ACTIONS(2444),
    [anon_sym_case] = ACTIONS(2444),
    [anon_sym_default] = ACTIONS(2444),
    [anon_sym_while] = ACTIONS(2444),
    [anon_sym_do] = ACTIONS(2444),
    [anon_sym_for] = ACTIONS(2444),
    [anon_sym_return] = ACTIONS(2444),
    [anon_sym_break] = ACTIONS(2444),
    [anon_sym_continue] = ACTIONS(2444),
    [anon_sym_goto] = ACTIONS(2444),
    [anon_sym___try] = ACTIONS(2444),
    [anon_sym___leave] = ACTIONS(2444),
    [anon_sym_not] = ACTIONS(2444),
    [anon_sym_compl] = ACTIONS(2444),
    [anon_sym_DASH_DASH] = ACTIONS(2446),
    [anon_sym_PLUS_PLUS] = ACTIONS(2446),
    [anon_sym_sizeof] = ACTIONS(2444),
    [anon_sym___alignof__] = ACTIONS(2444),
    [anon_sym___alignof] = ACTIONS(2444),
    [anon_sym__alignof] = ACTIONS(2444),
    [anon_sym_alignof] = ACTIONS(2444),
    [anon_sym__Alignof] = ACTIONS(2444),
    [anon_sym_offsetof] = ACTIONS(2444),
    [anon_sym__Generic] = ACTIONS(2444),
    [anon_sym_asm] = ACTIONS(2444),
    [anon_sym___asm__] = ACTIONS(2444),
    [sym_number_literal] = ACTIONS(2446),
    [anon_sym_L_SQUOTE] = ACTIONS(2446),
    [anon_sym_u_SQUOTE] = ACTIONS(2446),
    [anon_sym_U_SQUOTE] = ACTIONS(2446),
    [anon_sym_u8_SQUOTE] = ACTIONS(2446),
    [anon_sym_SQUOTE] = ACTIONS(2446),
    [anon_sym_L_DQUOTE] = ACTIONS(2446),
    [anon_sym_u_DQUOTE] = ACTIONS(2446),
    [anon_sym_U_DQUOTE] = ACTIONS(2446),
    [anon_sym_u8_DQUOTE] = ACTIONS(2446),
    [anon_sym_DQUOTE] = ACTIONS(2446),
    [sym_true] = ACTIONS(2444),
    [sym_false] = ACTIONS(2444),
    [anon_sym_NULL] = ACTIONS(2444),
    [anon_sym_nullptr] = ACTIONS(2444),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2444),
    [anon_sym_decltype] = ACTIONS(2444),
    [anon_sym_virtual] = ACTIONS(2444),
    [anon_sym_alignas] = ACTIONS(2444),
    [anon_sym_explicit] = ACTIONS(2444),
    [anon_sym_typename] = ACTIONS(2444),
    [anon_sym_template] = ACTIONS(2444),
    [anon_sym_operator] = ACTIONS(2444),
    [anon_sym_try] = ACTIONS(2444),
    [anon_sym_delete] = ACTIONS(2444),
    [anon_sym_throw] = ACTIONS(2444),
    [anon_sym_namespace] = ACTIONS(2444),
    [anon_sym_using] = ACTIONS(2444),
    [anon_sym_static_assert] = ACTIONS(2444),
    [anon_sym_concept] = ACTIONS(2444),
    [anon_sym_co_return] = ACTIONS(2444),
    [anon_sym_co_yield] = ACTIONS(2444),
    [anon_sym_R_DQUOTE] = ACTIONS(2446),
    [anon_sym_LR_DQUOTE] = ACTIONS(2446),
    [anon_sym_uR_DQUOTE] = ACTIONS(2446),
    [anon_sym_UR_DQUOTE] = ACTIONS(2446),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2446),
    [anon_sym_co_await] = ACTIONS(2444),
    [anon_sym_new] = ACTIONS(2444),
    [anon_sym_requires] = ACTIONS(2444),
    [sym_this] = ACTIONS(2444),
    [anon_sym_discard] = ACTIONS(2444),
    [anon_sym_precise] = ACTIONS(2444),
    [anon_sym_shared] = ACTIONS(2444),
    [anon_sym_groupshared] = ACTIONS(2444),
    [anon_sym_uniform] = ACTIONS(2444),
    [anon_sym_row_major] = ACTIONS(2444),
    [anon_sym_column_major] = ACTIONS(2444),
    [anon_sym_globallycoherent] = ACTIONS(2444),
    [anon_sym_centroid] = ACTIONS(2444),
    [anon_sym_noperspective] = ACTIONS(2444),
    [anon_sym_nointerpolation] = ACTIONS(2444),
    [anon_sym_sample] = ACTIONS(2444),
    [anon_sym_linear] = ACTIONS(2444),
    [anon_sym_snorm] = ACTIONS(2444),
    [anon_sym_unorm] = ACTIONS(2444),
    [anon_sym_point] = ACTIONS(2444),
    [anon_sym_line] = ACTIONS(2444),
    [anon_sym_triangleadj] = ACTIONS(2444),
    [anon_sym_lineadj] = ACTIONS(2444),
    [anon_sym_triangle] = ACTIONS(2444),
    [anon_sym_cbuffer] = ACTIONS(2444),
  },
  [316] = {
    [sym_identifier] = ACTIONS(2480),
    [aux_sym_preproc_include_token1] = ACTIONS(2480),
    [aux_sym_preproc_def_token1] = ACTIONS(2480),
    [aux_sym_preproc_if_token1] = ACTIONS(2480),
    [aux_sym_preproc_if_token2] = ACTIONS(2480),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2480),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2480),
    [aux_sym_preproc_else_token1] = ACTIONS(2480),
    [aux_sym_preproc_elif_token1] = ACTIONS(2480),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2480),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2480),
    [sym_preproc_directive] = ACTIONS(2480),
    [anon_sym_LPAREN2] = ACTIONS(2482),
    [anon_sym_BANG] = ACTIONS(2482),
    [anon_sym_TILDE] = ACTIONS(2482),
    [anon_sym_DASH] = ACTIONS(2480),
    [anon_sym_PLUS] = ACTIONS(2480),
    [anon_sym_STAR] = ACTIONS(2482),
    [anon_sym_AMP_AMP] = ACTIONS(2482),
    [anon_sym_AMP] = ACTIONS(2480),
    [anon_sym_SEMI] = ACTIONS(2482),
    [anon_sym___extension__] = ACTIONS(2480),
    [anon_sym_typedef] = ACTIONS(2480),
    [anon_sym_in] = ACTIONS(2480),
    [anon_sym_out] = ACTIONS(2480),
    [anon_sym_inout] = ACTIONS(2480),
    [anon_sym_extern] = ACTIONS(2480),
    [anon_sym___attribute__] = ACTIONS(2480),
    [anon_sym_COLON_COLON] = ACTIONS(2482),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2482),
    [anon_sym___declspec] = ACTIONS(2480),
    [anon_sym___based] = ACTIONS(2480),
    [anon_sym___cdecl] = ACTIONS(2480),
    [anon_sym___clrcall] = ACTIONS(2480),
    [anon_sym___stdcall] = ACTIONS(2480),
    [anon_sym___fastcall] = ACTIONS(2480),
    [anon_sym___thiscall] = ACTIONS(2480),
    [anon_sym___vectorcall] = ACTIONS(2480),
    [anon_sym_LBRACE] = ACTIONS(2482),
    [anon_sym_signed] = ACTIONS(2480),
    [anon_sym_unsigned] = ACTIONS(2480),
    [anon_sym_long] = ACTIONS(2480),
    [anon_sym_short] = ACTIONS(2480),
    [anon_sym_LBRACK] = ACTIONS(2480),
    [anon_sym_static] = ACTIONS(2480),
    [anon_sym_register] = ACTIONS(2480),
    [anon_sym_inline] = ACTIONS(2480),
    [anon_sym___inline] = ACTIONS(2480),
    [anon_sym___inline__] = ACTIONS(2480),
    [anon_sym___forceinline] = ACTIONS(2480),
    [anon_sym_thread_local] = ACTIONS(2480),
    [anon_sym___thread] = ACTIONS(2480),
    [anon_sym_const] = ACTIONS(2480),
    [anon_sym_constexpr] = ACTIONS(2480),
    [anon_sym_volatile] = ACTIONS(2480),
    [anon_sym_restrict] = ACTIONS(2480),
    [anon_sym___restrict__] = ACTIONS(2480),
    [anon_sym__Atomic] = ACTIONS(2480),
    [anon_sym__Noreturn] = ACTIONS(2480),
    [anon_sym_noreturn] = ACTIONS(2480),
    [anon_sym_mutable] = ACTIONS(2480),
    [anon_sym_constinit] = ACTIONS(2480),
    [anon_sym_consteval] = ACTIONS(2480),
    [sym_primitive_type] = ACTIONS(2480),
    [anon_sym_enum] = ACTIONS(2480),
    [anon_sym_class] = ACTIONS(2480),
    [anon_sym_struct] = ACTIONS(2480),
    [anon_sym_union] = ACTIONS(2480),
    [anon_sym_if] = ACTIONS(2480),
    [anon_sym_else] = ACTIONS(2480),
    [anon_sym_switch] = ACTIONS(2480),
    [anon_sym_case] = ACTIONS(2480),
    [anon_sym_default] = ACTIONS(2480),
    [anon_sym_while] = ACTIONS(2480),
    [anon_sym_do] = ACTIONS(2480),
    [anon_sym_for] = ACTIONS(2480),
    [anon_sym_return] = ACTIONS(2480),
    [anon_sym_break] = ACTIONS(2480),
    [anon_sym_continue] = ACTIONS(2480),
    [anon_sym_goto] = ACTIONS(2480),
    [anon_sym___try] = ACTIONS(2480),
    [anon_sym___leave] = ACTIONS(2480),
    [anon_sym_not] = ACTIONS(2480),
    [anon_sym_compl] = ACTIONS(2480),
    [anon_sym_DASH_DASH] = ACTIONS(2482),
    [anon_sym_PLUS_PLUS] = ACTIONS(2482),
    [anon_sym_sizeof] = ACTIONS(2480),
    [anon_sym___alignof__] = ACTIONS(2480),
    [anon_sym___alignof] = ACTIONS(2480),
    [anon_sym__alignof] = ACTIONS(2480),
    [anon_sym_alignof] = ACTIONS(2480),
    [anon_sym__Alignof] = ACTIONS(2480),
    [anon_sym_offsetof] = ACTIONS(2480),
    [anon_sym__Generic] = ACTIONS(2480),
    [anon_sym_asm] = ACTIONS(2480),
    [anon_sym___asm__] = ACTIONS(2480),
    [sym_number_literal] = ACTIONS(2482),
    [anon_sym_L_SQUOTE] = ACTIONS(2482),
    [anon_sym_u_SQUOTE] = ACTIONS(2482),
    [anon_sym_U_SQUOTE] = ACTIONS(2482),
    [anon_sym_u8_SQUOTE] = ACTIONS(2482),
    [anon_sym_SQUOTE] = ACTIONS(2482),
    [anon_sym_L_DQUOTE] = ACTIONS(2482),
    [anon_sym_u_DQUOTE] = ACTIONS(2482),
    [anon_sym_U_DQUOTE] = ACTIONS(2482),
    [anon_sym_u8_DQUOTE] = ACTIONS(2482),
    [anon_sym_DQUOTE] = ACTIONS(2482),
    [sym_true] = ACTIONS(2480),
    [sym_false] = ACTIONS(2480),
    [anon_sym_NULL] = ACTIONS(2480),
    [anon_sym_nullptr] = ACTIONS(2480),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2480),
    [anon_sym_decltype] = ACTIONS(2480),
    [anon_sym_virtual] = ACTIONS(2480),
    [anon_sym_alignas] = ACTIONS(2480),
    [anon_sym_explicit] = ACTIONS(2480),
    [anon_sym_typename] = ACTIONS(2480),
    [anon_sym_template] = ACTIONS(2480),
    [anon_sym_operator] = ACTIONS(2480),
    [anon_sym_try] = ACTIONS(2480),
    [anon_sym_delete] = ACTIONS(2480),
    [anon_sym_throw] = ACTIONS(2480),
    [anon_sym_namespace] = ACTIONS(2480),
    [anon_sym_using] = ACTIONS(2480),
    [anon_sym_static_assert] = ACTIONS(2480),
    [anon_sym_concept] = ACTIONS(2480),
    [anon_sym_co_return] = ACTIONS(2480),
    [anon_sym_co_yield] = ACTIONS(2480),
    [anon_sym_R_DQUOTE] = ACTIONS(2482),
    [anon_sym_LR_DQUOTE] = ACTIONS(2482),
    [anon_sym_uR_DQUOTE] = ACTIONS(2482),
    [anon_sym_UR_DQUOTE] = ACTIONS(2482),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2482),
    [anon_sym_co_await] = ACTIONS(2480),
    [anon_sym_new] = ACTIONS(2480),
    [anon_sym_requires] = ACTIONS(2480),
    [sym_this] = ACTIONS(2480),
    [anon_sym_discard] = ACTIONS(2480),
    [anon_sym_precise] = ACTIONS(2480),
    [anon_sym_shared] = ACTIONS(2480),
    [anon_sym_groupshared] = ACTIONS(2480),
    [anon_sym_uniform] = ACTIONS(2480),
    [anon_sym_row_major] = ACTIONS(2480),
    [anon_sym_column_major] = ACTIONS(2480),
    [anon_sym_globallycoherent] = ACTIONS(2480),
    [anon_sym_centroid] = ACTIONS(2480),
    [anon_sym_noperspective] = ACTIONS(2480),
    [anon_sym_nointerpolation] = ACTIONS(2480),
    [anon_sym_sample] = ACTIONS(2480),
    [anon_sym_linear] = ACTIONS(2480),
    [anon_sym_snorm] = ACTIONS(2480),
    [anon_sym_unorm] = ACTIONS(2480),
    [anon_sym_point] = ACTIONS(2480),
    [anon_sym_line] = ACTIONS(2480),
    [anon_sym_triangleadj] = ACTIONS(2480),
    [anon_sym_lineadj] = ACTIONS(2480),
    [anon_sym_triangle] = ACTIONS(2480),
    [anon_sym_cbuffer] = ACTIONS(2480),
  },
  [317] = {
    [sym_identifier] = ACTIONS(2444),
    [aux_sym_preproc_include_token1] = ACTIONS(2444),
    [aux_sym_preproc_def_token1] = ACTIONS(2444),
    [aux_sym_preproc_if_token1] = ACTIONS(2444),
    [aux_sym_preproc_if_token2] = ACTIONS(2444),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2444),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2444),
    [aux_sym_preproc_else_token1] = ACTIONS(2444),
    [aux_sym_preproc_elif_token1] = ACTIONS(2444),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2444),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2444),
    [sym_preproc_directive] = ACTIONS(2444),
    [anon_sym_LPAREN2] = ACTIONS(2446),
    [anon_sym_BANG] = ACTIONS(2446),
    [anon_sym_TILDE] = ACTIONS(2446),
    [anon_sym_DASH] = ACTIONS(2444),
    [anon_sym_PLUS] = ACTIONS(2444),
    [anon_sym_STAR] = ACTIONS(2446),
    [anon_sym_AMP_AMP] = ACTIONS(2446),
    [anon_sym_AMP] = ACTIONS(2444),
    [anon_sym_SEMI] = ACTIONS(2446),
    [anon_sym___extension__] = ACTIONS(2444),
    [anon_sym_typedef] = ACTIONS(2444),
    [anon_sym_in] = ACTIONS(2444),
    [anon_sym_out] = ACTIONS(2444),
    [anon_sym_inout] = ACTIONS(2444),
    [anon_sym_extern] = ACTIONS(2444),
    [anon_sym___attribute__] = ACTIONS(2444),
    [anon_sym_COLON_COLON] = ACTIONS(2446),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2446),
    [anon_sym___declspec] = ACTIONS(2444),
    [anon_sym___based] = ACTIONS(2444),
    [anon_sym___cdecl] = ACTIONS(2444),
    [anon_sym___clrcall] = ACTIONS(2444),
    [anon_sym___stdcall] = ACTIONS(2444),
    [anon_sym___fastcall] = ACTIONS(2444),
    [anon_sym___thiscall] = ACTIONS(2444),
    [anon_sym___vectorcall] = ACTIONS(2444),
    [anon_sym_LBRACE] = ACTIONS(2446),
    [anon_sym_signed] = ACTIONS(2444),
    [anon_sym_unsigned] = ACTIONS(2444),
    [anon_sym_long] = ACTIONS(2444),
    [anon_sym_short] = ACTIONS(2444),
    [anon_sym_LBRACK] = ACTIONS(2444),
    [anon_sym_static] = ACTIONS(2444),
    [anon_sym_register] = ACTIONS(2444),
    [anon_sym_inline] = ACTIONS(2444),
    [anon_sym___inline] = ACTIONS(2444),
    [anon_sym___inline__] = ACTIONS(2444),
    [anon_sym___forceinline] = ACTIONS(2444),
    [anon_sym_thread_local] = ACTIONS(2444),
    [anon_sym___thread] = ACTIONS(2444),
    [anon_sym_const] = ACTIONS(2444),
    [anon_sym_constexpr] = ACTIONS(2444),
    [anon_sym_volatile] = ACTIONS(2444),
    [anon_sym_restrict] = ACTIONS(2444),
    [anon_sym___restrict__] = ACTIONS(2444),
    [anon_sym__Atomic] = ACTIONS(2444),
    [anon_sym__Noreturn] = ACTIONS(2444),
    [anon_sym_noreturn] = ACTIONS(2444),
    [anon_sym_mutable] = ACTIONS(2444),
    [anon_sym_constinit] = ACTIONS(2444),
    [anon_sym_consteval] = ACTIONS(2444),
    [sym_primitive_type] = ACTIONS(2444),
    [anon_sym_enum] = ACTIONS(2444),
    [anon_sym_class] = ACTIONS(2444),
    [anon_sym_struct] = ACTIONS(2444),
    [anon_sym_union] = ACTIONS(2444),
    [anon_sym_if] = ACTIONS(2444),
    [anon_sym_else] = ACTIONS(2444),
    [anon_sym_switch] = ACTIONS(2444),
    [anon_sym_case] = ACTIONS(2444),
    [anon_sym_default] = ACTIONS(2444),
    [anon_sym_while] = ACTIONS(2444),
    [anon_sym_do] = ACTIONS(2444),
    [anon_sym_for] = ACTIONS(2444),
    [anon_sym_return] = ACTIONS(2444),
    [anon_sym_break] = ACTIONS(2444),
    [anon_sym_continue] = ACTIONS(2444),
    [anon_sym_goto] = ACTIONS(2444),
    [anon_sym___try] = ACTIONS(2444),
    [anon_sym___leave] = ACTIONS(2444),
    [anon_sym_not] = ACTIONS(2444),
    [anon_sym_compl] = ACTIONS(2444),
    [anon_sym_DASH_DASH] = ACTIONS(2446),
    [anon_sym_PLUS_PLUS] = ACTIONS(2446),
    [anon_sym_sizeof] = ACTIONS(2444),
    [anon_sym___alignof__] = ACTIONS(2444),
    [anon_sym___alignof] = ACTIONS(2444),
    [anon_sym__alignof] = ACTIONS(2444),
    [anon_sym_alignof] = ACTIONS(2444),
    [anon_sym__Alignof] = ACTIONS(2444),
    [anon_sym_offsetof] = ACTIONS(2444),
    [anon_sym__Generic] = ACTIONS(2444),
    [anon_sym_asm] = ACTIONS(2444),
    [anon_sym___asm__] = ACTIONS(2444),
    [sym_number_literal] = ACTIONS(2446),
    [anon_sym_L_SQUOTE] = ACTIONS(2446),
    [anon_sym_u_SQUOTE] = ACTIONS(2446),
    [anon_sym_U_SQUOTE] = ACTIONS(2446),
    [anon_sym_u8_SQUOTE] = ACTIONS(2446),
    [anon_sym_SQUOTE] = ACTIONS(2446),
    [anon_sym_L_DQUOTE] = ACTIONS(2446),
    [anon_sym_u_DQUOTE] = ACTIONS(2446),
    [anon_sym_U_DQUOTE] = ACTIONS(2446),
    [anon_sym_u8_DQUOTE] = ACTIONS(2446),
    [anon_sym_DQUOTE] = ACTIONS(2446),
    [sym_true] = ACTIONS(2444),
    [sym_false] = ACTIONS(2444),
    [anon_sym_NULL] = ACTIONS(2444),
    [anon_sym_nullptr] = ACTIONS(2444),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2444),
    [anon_sym_decltype] = ACTIONS(2444),
    [anon_sym_virtual] = ACTIONS(2444),
    [anon_sym_alignas] = ACTIONS(2444),
    [anon_sym_explicit] = ACTIONS(2444),
    [anon_sym_typename] = ACTIONS(2444),
    [anon_sym_template] = ACTIONS(2444),
    [anon_sym_operator] = ACTIONS(2444),
    [anon_sym_try] = ACTIONS(2444),
    [anon_sym_delete] = ACTIONS(2444),
    [anon_sym_throw] = ACTIONS(2444),
    [anon_sym_namespace] = ACTIONS(2444),
    [anon_sym_using] = ACTIONS(2444),
    [anon_sym_static_assert] = ACTIONS(2444),
    [anon_sym_concept] = ACTIONS(2444),
    [anon_sym_co_return] = ACTIONS(2444),
    [anon_sym_co_yield] = ACTIONS(2444),
    [anon_sym_R_DQUOTE] = ACTIONS(2446),
    [anon_sym_LR_DQUOTE] = ACTIONS(2446),
    [anon_sym_uR_DQUOTE] = ACTIONS(2446),
    [anon_sym_UR_DQUOTE] = ACTIONS(2446),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2446),
    [anon_sym_co_await] = ACTIONS(2444),
    [anon_sym_new] = ACTIONS(2444),
    [anon_sym_requires] = ACTIONS(2444),
    [sym_this] = ACTIONS(2444),
    [anon_sym_discard] = ACTIONS(2444),
    [anon_sym_precise] = ACTIONS(2444),
    [anon_sym_shared] = ACTIONS(2444),
    [anon_sym_groupshared] = ACTIONS(2444),
    [anon_sym_uniform] = ACTIONS(2444),
    [anon_sym_row_major] = ACTIONS(2444),
    [anon_sym_column_major] = ACTIONS(2444),
    [anon_sym_globallycoherent] = ACTIONS(2444),
    [anon_sym_centroid] = ACTIONS(2444),
    [anon_sym_noperspective] = ACTIONS(2444),
    [anon_sym_nointerpolation] = ACTIONS(2444),
    [anon_sym_sample] = ACTIONS(2444),
    [anon_sym_linear] = ACTIONS(2444),
    [anon_sym_snorm] = ACTIONS(2444),
    [anon_sym_unorm] = ACTIONS(2444),
    [anon_sym_point] = ACTIONS(2444),
    [anon_sym_line] = ACTIONS(2444),
    [anon_sym_triangleadj] = ACTIONS(2444),
    [anon_sym_lineadj] = ACTIONS(2444),
    [anon_sym_triangle] = ACTIONS(2444),
    [anon_sym_cbuffer] = ACTIONS(2444),
  },
  [318] = {
    [sym_identifier] = ACTIONS(2318),
    [aux_sym_preproc_include_token1] = ACTIONS(2318),
    [aux_sym_preproc_def_token1] = ACTIONS(2318),
    [aux_sym_preproc_if_token1] = ACTIONS(2318),
    [aux_sym_preproc_if_token2] = ACTIONS(2318),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2318),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2318),
    [aux_sym_preproc_else_token1] = ACTIONS(2318),
    [aux_sym_preproc_elif_token1] = ACTIONS(2318),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2318),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2318),
    [sym_preproc_directive] = ACTIONS(2318),
    [anon_sym_LPAREN2] = ACTIONS(2320),
    [anon_sym_BANG] = ACTIONS(2320),
    [anon_sym_TILDE] = ACTIONS(2320),
    [anon_sym_DASH] = ACTIONS(2318),
    [anon_sym_PLUS] = ACTIONS(2318),
    [anon_sym_STAR] = ACTIONS(2320),
    [anon_sym_AMP_AMP] = ACTIONS(2320),
    [anon_sym_AMP] = ACTIONS(2318),
    [anon_sym_SEMI] = ACTIONS(2320),
    [anon_sym___extension__] = ACTIONS(2318),
    [anon_sym_typedef] = ACTIONS(2318),
    [anon_sym_in] = ACTIONS(2318),
    [anon_sym_out] = ACTIONS(2318),
    [anon_sym_inout] = ACTIONS(2318),
    [anon_sym_extern] = ACTIONS(2318),
    [anon_sym___attribute__] = ACTIONS(2318),
    [anon_sym_COLON_COLON] = ACTIONS(2320),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2320),
    [anon_sym___declspec] = ACTIONS(2318),
    [anon_sym___based] = ACTIONS(2318),
    [anon_sym___cdecl] = ACTIONS(2318),
    [anon_sym___clrcall] = ACTIONS(2318),
    [anon_sym___stdcall] = ACTIONS(2318),
    [anon_sym___fastcall] = ACTIONS(2318),
    [anon_sym___thiscall] = ACTIONS(2318),
    [anon_sym___vectorcall] = ACTIONS(2318),
    [anon_sym_LBRACE] = ACTIONS(2320),
    [anon_sym_signed] = ACTIONS(2318),
    [anon_sym_unsigned] = ACTIONS(2318),
    [anon_sym_long] = ACTIONS(2318),
    [anon_sym_short] = ACTIONS(2318),
    [anon_sym_LBRACK] = ACTIONS(2318),
    [anon_sym_static] = ACTIONS(2318),
    [anon_sym_register] = ACTIONS(2318),
    [anon_sym_inline] = ACTIONS(2318),
    [anon_sym___inline] = ACTIONS(2318),
    [anon_sym___inline__] = ACTIONS(2318),
    [anon_sym___forceinline] = ACTIONS(2318),
    [anon_sym_thread_local] = ACTIONS(2318),
    [anon_sym___thread] = ACTIONS(2318),
    [anon_sym_const] = ACTIONS(2318),
    [anon_sym_constexpr] = ACTIONS(2318),
    [anon_sym_volatile] = ACTIONS(2318),
    [anon_sym_restrict] = ACTIONS(2318),
    [anon_sym___restrict__] = ACTIONS(2318),
    [anon_sym__Atomic] = ACTIONS(2318),
    [anon_sym__Noreturn] = ACTIONS(2318),
    [anon_sym_noreturn] = ACTIONS(2318),
    [anon_sym_mutable] = ACTIONS(2318),
    [anon_sym_constinit] = ACTIONS(2318),
    [anon_sym_consteval] = ACTIONS(2318),
    [sym_primitive_type] = ACTIONS(2318),
    [anon_sym_enum] = ACTIONS(2318),
    [anon_sym_class] = ACTIONS(2318),
    [anon_sym_struct] = ACTIONS(2318),
    [anon_sym_union] = ACTIONS(2318),
    [anon_sym_if] = ACTIONS(2318),
    [anon_sym_else] = ACTIONS(2318),
    [anon_sym_switch] = ACTIONS(2318),
    [anon_sym_case] = ACTIONS(2318),
    [anon_sym_default] = ACTIONS(2318),
    [anon_sym_while] = ACTIONS(2318),
    [anon_sym_do] = ACTIONS(2318),
    [anon_sym_for] = ACTIONS(2318),
    [anon_sym_return] = ACTIONS(2318),
    [anon_sym_break] = ACTIONS(2318),
    [anon_sym_continue] = ACTIONS(2318),
    [anon_sym_goto] = ACTIONS(2318),
    [anon_sym___try] = ACTIONS(2318),
    [anon_sym___leave] = ACTIONS(2318),
    [anon_sym_not] = ACTIONS(2318),
    [anon_sym_compl] = ACTIONS(2318),
    [anon_sym_DASH_DASH] = ACTIONS(2320),
    [anon_sym_PLUS_PLUS] = ACTIONS(2320),
    [anon_sym_sizeof] = ACTIONS(2318),
    [anon_sym___alignof__] = ACTIONS(2318),
    [anon_sym___alignof] = ACTIONS(2318),
    [anon_sym__alignof] = ACTIONS(2318),
    [anon_sym_alignof] = ACTIONS(2318),
    [anon_sym__Alignof] = ACTIONS(2318),
    [anon_sym_offsetof] = ACTIONS(2318),
    [anon_sym__Generic] = ACTIONS(2318),
    [anon_sym_asm] = ACTIONS(2318),
    [anon_sym___asm__] = ACTIONS(2318),
    [sym_number_literal] = ACTIONS(2320),
    [anon_sym_L_SQUOTE] = ACTIONS(2320),
    [anon_sym_u_SQUOTE] = ACTIONS(2320),
    [anon_sym_U_SQUOTE] = ACTIONS(2320),
    [anon_sym_u8_SQUOTE] = ACTIONS(2320),
    [anon_sym_SQUOTE] = ACTIONS(2320),
    [anon_sym_L_DQUOTE] = ACTIONS(2320),
    [anon_sym_u_DQUOTE] = ACTIONS(2320),
    [anon_sym_U_DQUOTE] = ACTIONS(2320),
    [anon_sym_u8_DQUOTE] = ACTIONS(2320),
    [anon_sym_DQUOTE] = ACTIONS(2320),
    [sym_true] = ACTIONS(2318),
    [sym_false] = ACTIONS(2318),
    [anon_sym_NULL] = ACTIONS(2318),
    [anon_sym_nullptr] = ACTIONS(2318),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2318),
    [anon_sym_decltype] = ACTIONS(2318),
    [anon_sym_virtual] = ACTIONS(2318),
    [anon_sym_alignas] = ACTIONS(2318),
    [anon_sym_explicit] = ACTIONS(2318),
    [anon_sym_typename] = ACTIONS(2318),
    [anon_sym_template] = ACTIONS(2318),
    [anon_sym_operator] = ACTIONS(2318),
    [anon_sym_try] = ACTIONS(2318),
    [anon_sym_delete] = ACTIONS(2318),
    [anon_sym_throw] = ACTIONS(2318),
    [anon_sym_namespace] = ACTIONS(2318),
    [anon_sym_using] = ACTIONS(2318),
    [anon_sym_static_assert] = ACTIONS(2318),
    [anon_sym_concept] = ACTIONS(2318),
    [anon_sym_co_return] = ACTIONS(2318),
    [anon_sym_co_yield] = ACTIONS(2318),
    [anon_sym_R_DQUOTE] = ACTIONS(2320),
    [anon_sym_LR_DQUOTE] = ACTIONS(2320),
    [anon_sym_uR_DQUOTE] = ACTIONS(2320),
    [anon_sym_UR_DQUOTE] = ACTIONS(2320),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2320),
    [anon_sym_co_await] = ACTIONS(2318),
    [anon_sym_new] = ACTIONS(2318),
    [anon_sym_requires] = ACTIONS(2318),
    [sym_this] = ACTIONS(2318),
    [anon_sym_discard] = ACTIONS(2318),
    [anon_sym_precise] = ACTIONS(2318),
    [anon_sym_shared] = ACTIONS(2318),
    [anon_sym_groupshared] = ACTIONS(2318),
    [anon_sym_uniform] = ACTIONS(2318),
    [anon_sym_row_major] = ACTIONS(2318),
    [anon_sym_column_major] = ACTIONS(2318),
    [anon_sym_globallycoherent] = ACTIONS(2318),
    [anon_sym_centroid] = ACTIONS(2318),
    [anon_sym_noperspective] = ACTIONS(2318),
    [anon_sym_nointerpolation] = ACTIONS(2318),
    [anon_sym_sample] = ACTIONS(2318),
    [anon_sym_linear] = ACTIONS(2318),
    [anon_sym_snorm] = ACTIONS(2318),
    [anon_sym_unorm] = ACTIONS(2318),
    [anon_sym_point] = ACTIONS(2318),
    [anon_sym_line] = ACTIONS(2318),
    [anon_sym_triangleadj] = ACTIONS(2318),
    [anon_sym_lineadj] = ACTIONS(2318),
    [anon_sym_triangle] = ACTIONS(2318),
    [anon_sym_cbuffer] = ACTIONS(2318),
  },
  [319] = {
    [sym_identifier] = ACTIONS(2330),
    [aux_sym_preproc_include_token1] = ACTIONS(2330),
    [aux_sym_preproc_def_token1] = ACTIONS(2330),
    [aux_sym_preproc_if_token1] = ACTIONS(2330),
    [aux_sym_preproc_if_token2] = ACTIONS(2330),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2330),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2330),
    [aux_sym_preproc_else_token1] = ACTIONS(2330),
    [aux_sym_preproc_elif_token1] = ACTIONS(2330),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2330),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2330),
    [sym_preproc_directive] = ACTIONS(2330),
    [anon_sym_LPAREN2] = ACTIONS(2332),
    [anon_sym_BANG] = ACTIONS(2332),
    [anon_sym_TILDE] = ACTIONS(2332),
    [anon_sym_DASH] = ACTIONS(2330),
    [anon_sym_PLUS] = ACTIONS(2330),
    [anon_sym_STAR] = ACTIONS(2332),
    [anon_sym_AMP_AMP] = ACTIONS(2332),
    [anon_sym_AMP] = ACTIONS(2330),
    [anon_sym_SEMI] = ACTIONS(2332),
    [anon_sym___extension__] = ACTIONS(2330),
    [anon_sym_typedef] = ACTIONS(2330),
    [anon_sym_in] = ACTIONS(2330),
    [anon_sym_out] = ACTIONS(2330),
    [anon_sym_inout] = ACTIONS(2330),
    [anon_sym_extern] = ACTIONS(2330),
    [anon_sym___attribute__] = ACTIONS(2330),
    [anon_sym_COLON_COLON] = ACTIONS(2332),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2332),
    [anon_sym___declspec] = ACTIONS(2330),
    [anon_sym___based] = ACTIONS(2330),
    [anon_sym___cdecl] = ACTIONS(2330),
    [anon_sym___clrcall] = ACTIONS(2330),
    [anon_sym___stdcall] = ACTIONS(2330),
    [anon_sym___fastcall] = ACTIONS(2330),
    [anon_sym___thiscall] = ACTIONS(2330),
    [anon_sym___vectorcall] = ACTIONS(2330),
    [anon_sym_LBRACE] = ACTIONS(2332),
    [anon_sym_signed] = ACTIONS(2330),
    [anon_sym_unsigned] = ACTIONS(2330),
    [anon_sym_long] = ACTIONS(2330),
    [anon_sym_short] = ACTIONS(2330),
    [anon_sym_LBRACK] = ACTIONS(2330),
    [anon_sym_static] = ACTIONS(2330),
    [anon_sym_register] = ACTIONS(2330),
    [anon_sym_inline] = ACTIONS(2330),
    [anon_sym___inline] = ACTIONS(2330),
    [anon_sym___inline__] = ACTIONS(2330),
    [anon_sym___forceinline] = ACTIONS(2330),
    [anon_sym_thread_local] = ACTIONS(2330),
    [anon_sym___thread] = ACTIONS(2330),
    [anon_sym_const] = ACTIONS(2330),
    [anon_sym_constexpr] = ACTIONS(2330),
    [anon_sym_volatile] = ACTIONS(2330),
    [anon_sym_restrict] = ACTIONS(2330),
    [anon_sym___restrict__] = ACTIONS(2330),
    [anon_sym__Atomic] = ACTIONS(2330),
    [anon_sym__Noreturn] = ACTIONS(2330),
    [anon_sym_noreturn] = ACTIONS(2330),
    [anon_sym_mutable] = ACTIONS(2330),
    [anon_sym_constinit] = ACTIONS(2330),
    [anon_sym_consteval] = ACTIONS(2330),
    [sym_primitive_type] = ACTIONS(2330),
    [anon_sym_enum] = ACTIONS(2330),
    [anon_sym_class] = ACTIONS(2330),
    [anon_sym_struct] = ACTIONS(2330),
    [anon_sym_union] = ACTIONS(2330),
    [anon_sym_if] = ACTIONS(2330),
    [anon_sym_else] = ACTIONS(2330),
    [anon_sym_switch] = ACTIONS(2330),
    [anon_sym_case] = ACTIONS(2330),
    [anon_sym_default] = ACTIONS(2330),
    [anon_sym_while] = ACTIONS(2330),
    [anon_sym_do] = ACTIONS(2330),
    [anon_sym_for] = ACTIONS(2330),
    [anon_sym_return] = ACTIONS(2330),
    [anon_sym_break] = ACTIONS(2330),
    [anon_sym_continue] = ACTIONS(2330),
    [anon_sym_goto] = ACTIONS(2330),
    [anon_sym___try] = ACTIONS(2330),
    [anon_sym___leave] = ACTIONS(2330),
    [anon_sym_not] = ACTIONS(2330),
    [anon_sym_compl] = ACTIONS(2330),
    [anon_sym_DASH_DASH] = ACTIONS(2332),
    [anon_sym_PLUS_PLUS] = ACTIONS(2332),
    [anon_sym_sizeof] = ACTIONS(2330),
    [anon_sym___alignof__] = ACTIONS(2330),
    [anon_sym___alignof] = ACTIONS(2330),
    [anon_sym__alignof] = ACTIONS(2330),
    [anon_sym_alignof] = ACTIONS(2330),
    [anon_sym__Alignof] = ACTIONS(2330),
    [anon_sym_offsetof] = ACTIONS(2330),
    [anon_sym__Generic] = ACTIONS(2330),
    [anon_sym_asm] = ACTIONS(2330),
    [anon_sym___asm__] = ACTIONS(2330),
    [sym_number_literal] = ACTIONS(2332),
    [anon_sym_L_SQUOTE] = ACTIONS(2332),
    [anon_sym_u_SQUOTE] = ACTIONS(2332),
    [anon_sym_U_SQUOTE] = ACTIONS(2332),
    [anon_sym_u8_SQUOTE] = ACTIONS(2332),
    [anon_sym_SQUOTE] = ACTIONS(2332),
    [anon_sym_L_DQUOTE] = ACTIONS(2332),
    [anon_sym_u_DQUOTE] = ACTIONS(2332),
    [anon_sym_U_DQUOTE] = ACTIONS(2332),
    [anon_sym_u8_DQUOTE] = ACTIONS(2332),
    [anon_sym_DQUOTE] = ACTIONS(2332),
    [sym_true] = ACTIONS(2330),
    [sym_false] = ACTIONS(2330),
    [anon_sym_NULL] = ACTIONS(2330),
    [anon_sym_nullptr] = ACTIONS(2330),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2330),
    [anon_sym_decltype] = ACTIONS(2330),
    [anon_sym_virtual] = ACTIONS(2330),
    [anon_sym_alignas] = ACTIONS(2330),
    [anon_sym_explicit] = ACTIONS(2330),
    [anon_sym_typename] = ACTIONS(2330),
    [anon_sym_template] = ACTIONS(2330),
    [anon_sym_operator] = ACTIONS(2330),
    [anon_sym_try] = ACTIONS(2330),
    [anon_sym_delete] = ACTIONS(2330),
    [anon_sym_throw] = ACTIONS(2330),
    [anon_sym_namespace] = ACTIONS(2330),
    [anon_sym_using] = ACTIONS(2330),
    [anon_sym_static_assert] = ACTIONS(2330),
    [anon_sym_concept] = ACTIONS(2330),
    [anon_sym_co_return] = ACTIONS(2330),
    [anon_sym_co_yield] = ACTIONS(2330),
    [anon_sym_R_DQUOTE] = ACTIONS(2332),
    [anon_sym_LR_DQUOTE] = ACTIONS(2332),
    [anon_sym_uR_DQUOTE] = ACTIONS(2332),
    [anon_sym_UR_DQUOTE] = ACTIONS(2332),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2332),
    [anon_sym_co_await] = ACTIONS(2330),
    [anon_sym_new] = ACTIONS(2330),
    [anon_sym_requires] = ACTIONS(2330),
    [sym_this] = ACTIONS(2330),
    [anon_sym_discard] = ACTIONS(2330),
    [anon_sym_precise] = ACTIONS(2330),
    [anon_sym_shared] = ACTIONS(2330),
    [anon_sym_groupshared] = ACTIONS(2330),
    [anon_sym_uniform] = ACTIONS(2330),
    [anon_sym_row_major] = ACTIONS(2330),
    [anon_sym_column_major] = ACTIONS(2330),
    [anon_sym_globallycoherent] = ACTIONS(2330),
    [anon_sym_centroid] = ACTIONS(2330),
    [anon_sym_noperspective] = ACTIONS(2330),
    [anon_sym_nointerpolation] = ACTIONS(2330),
    [anon_sym_sample] = ACTIONS(2330),
    [anon_sym_linear] = ACTIONS(2330),
    [anon_sym_snorm] = ACTIONS(2330),
    [anon_sym_unorm] = ACTIONS(2330),
    [anon_sym_point] = ACTIONS(2330),
    [anon_sym_line] = ACTIONS(2330),
    [anon_sym_triangleadj] = ACTIONS(2330),
    [anon_sym_lineadj] = ACTIONS(2330),
    [anon_sym_triangle] = ACTIONS(2330),
    [anon_sym_cbuffer] = ACTIONS(2330),
  },
  [320] = {
    [sym_identifier] = ACTIONS(2444),
    [aux_sym_preproc_include_token1] = ACTIONS(2444),
    [aux_sym_preproc_def_token1] = ACTIONS(2444),
    [aux_sym_preproc_if_token1] = ACTIONS(2444),
    [aux_sym_preproc_if_token2] = ACTIONS(2444),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2444),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2444),
    [aux_sym_preproc_else_token1] = ACTIONS(2444),
    [aux_sym_preproc_elif_token1] = ACTIONS(2444),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2444),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2444),
    [sym_preproc_directive] = ACTIONS(2444),
    [anon_sym_LPAREN2] = ACTIONS(2446),
    [anon_sym_BANG] = ACTIONS(2446),
    [anon_sym_TILDE] = ACTIONS(2446),
    [anon_sym_DASH] = ACTIONS(2444),
    [anon_sym_PLUS] = ACTIONS(2444),
    [anon_sym_STAR] = ACTIONS(2446),
    [anon_sym_AMP_AMP] = ACTIONS(2446),
    [anon_sym_AMP] = ACTIONS(2444),
    [anon_sym_SEMI] = ACTIONS(2446),
    [anon_sym___extension__] = ACTIONS(2444),
    [anon_sym_typedef] = ACTIONS(2444),
    [anon_sym_in] = ACTIONS(2444),
    [anon_sym_out] = ACTIONS(2444),
    [anon_sym_inout] = ACTIONS(2444),
    [anon_sym_extern] = ACTIONS(2444),
    [anon_sym___attribute__] = ACTIONS(2444),
    [anon_sym_COLON_COLON] = ACTIONS(2446),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2446),
    [anon_sym___declspec] = ACTIONS(2444),
    [anon_sym___based] = ACTIONS(2444),
    [anon_sym___cdecl] = ACTIONS(2444),
    [anon_sym___clrcall] = ACTIONS(2444),
    [anon_sym___stdcall] = ACTIONS(2444),
    [anon_sym___fastcall] = ACTIONS(2444),
    [anon_sym___thiscall] = ACTIONS(2444),
    [anon_sym___vectorcall] = ACTIONS(2444),
    [anon_sym_LBRACE] = ACTIONS(2446),
    [anon_sym_signed] = ACTIONS(2444),
    [anon_sym_unsigned] = ACTIONS(2444),
    [anon_sym_long] = ACTIONS(2444),
    [anon_sym_short] = ACTIONS(2444),
    [anon_sym_LBRACK] = ACTIONS(2444),
    [anon_sym_static] = ACTIONS(2444),
    [anon_sym_register] = ACTIONS(2444),
    [anon_sym_inline] = ACTIONS(2444),
    [anon_sym___inline] = ACTIONS(2444),
    [anon_sym___inline__] = ACTIONS(2444),
    [anon_sym___forceinline] = ACTIONS(2444),
    [anon_sym_thread_local] = ACTIONS(2444),
    [anon_sym___thread] = ACTIONS(2444),
    [anon_sym_const] = ACTIONS(2444),
    [anon_sym_constexpr] = ACTIONS(2444),
    [anon_sym_volatile] = ACTIONS(2444),
    [anon_sym_restrict] = ACTIONS(2444),
    [anon_sym___restrict__] = ACTIONS(2444),
    [anon_sym__Atomic] = ACTIONS(2444),
    [anon_sym__Noreturn] = ACTIONS(2444),
    [anon_sym_noreturn] = ACTIONS(2444),
    [anon_sym_mutable] = ACTIONS(2444),
    [anon_sym_constinit] = ACTIONS(2444),
    [anon_sym_consteval] = ACTIONS(2444),
    [sym_primitive_type] = ACTIONS(2444),
    [anon_sym_enum] = ACTIONS(2444),
    [anon_sym_class] = ACTIONS(2444),
    [anon_sym_struct] = ACTIONS(2444),
    [anon_sym_union] = ACTIONS(2444),
    [anon_sym_if] = ACTIONS(2444),
    [anon_sym_else] = ACTIONS(2444),
    [anon_sym_switch] = ACTIONS(2444),
    [anon_sym_case] = ACTIONS(2444),
    [anon_sym_default] = ACTIONS(2444),
    [anon_sym_while] = ACTIONS(2444),
    [anon_sym_do] = ACTIONS(2444),
    [anon_sym_for] = ACTIONS(2444),
    [anon_sym_return] = ACTIONS(2444),
    [anon_sym_break] = ACTIONS(2444),
    [anon_sym_continue] = ACTIONS(2444),
    [anon_sym_goto] = ACTIONS(2444),
    [anon_sym___try] = ACTIONS(2444),
    [anon_sym___leave] = ACTIONS(2444),
    [anon_sym_not] = ACTIONS(2444),
    [anon_sym_compl] = ACTIONS(2444),
    [anon_sym_DASH_DASH] = ACTIONS(2446),
    [anon_sym_PLUS_PLUS] = ACTIONS(2446),
    [anon_sym_sizeof] = ACTIONS(2444),
    [anon_sym___alignof__] = ACTIONS(2444),
    [anon_sym___alignof] = ACTIONS(2444),
    [anon_sym__alignof] = ACTIONS(2444),
    [anon_sym_alignof] = ACTIONS(2444),
    [anon_sym__Alignof] = ACTIONS(2444),
    [anon_sym_offsetof] = ACTIONS(2444),
    [anon_sym__Generic] = ACTIONS(2444),
    [anon_sym_asm] = ACTIONS(2444),
    [anon_sym___asm__] = ACTIONS(2444),
    [sym_number_literal] = ACTIONS(2446),
    [anon_sym_L_SQUOTE] = ACTIONS(2446),
    [anon_sym_u_SQUOTE] = ACTIONS(2446),
    [anon_sym_U_SQUOTE] = ACTIONS(2446),
    [anon_sym_u8_SQUOTE] = ACTIONS(2446),
    [anon_sym_SQUOTE] = ACTIONS(2446),
    [anon_sym_L_DQUOTE] = ACTIONS(2446),
    [anon_sym_u_DQUOTE] = ACTIONS(2446),
    [anon_sym_U_DQUOTE] = ACTIONS(2446),
    [anon_sym_u8_DQUOTE] = ACTIONS(2446),
    [anon_sym_DQUOTE] = ACTIONS(2446),
    [sym_true] = ACTIONS(2444),
    [sym_false] = ACTIONS(2444),
    [anon_sym_NULL] = ACTIONS(2444),
    [anon_sym_nullptr] = ACTIONS(2444),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2444),
    [anon_sym_decltype] = ACTIONS(2444),
    [anon_sym_virtual] = ACTIONS(2444),
    [anon_sym_alignas] = ACTIONS(2444),
    [anon_sym_explicit] = ACTIONS(2444),
    [anon_sym_typename] = ACTIONS(2444),
    [anon_sym_template] = ACTIONS(2444),
    [anon_sym_operator] = ACTIONS(2444),
    [anon_sym_try] = ACTIONS(2444),
    [anon_sym_delete] = ACTIONS(2444),
    [anon_sym_throw] = ACTIONS(2444),
    [anon_sym_namespace] = ACTIONS(2444),
    [anon_sym_using] = ACTIONS(2444),
    [anon_sym_static_assert] = ACTIONS(2444),
    [anon_sym_concept] = ACTIONS(2444),
    [anon_sym_co_return] = ACTIONS(2444),
    [anon_sym_co_yield] = ACTIONS(2444),
    [anon_sym_R_DQUOTE] = ACTIONS(2446),
    [anon_sym_LR_DQUOTE] = ACTIONS(2446),
    [anon_sym_uR_DQUOTE] = ACTIONS(2446),
    [anon_sym_UR_DQUOTE] = ACTIONS(2446),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2446),
    [anon_sym_co_await] = ACTIONS(2444),
    [anon_sym_new] = ACTIONS(2444),
    [anon_sym_requires] = ACTIONS(2444),
    [sym_this] = ACTIONS(2444),
    [anon_sym_discard] = ACTIONS(2444),
    [anon_sym_precise] = ACTIONS(2444),
    [anon_sym_shared] = ACTIONS(2444),
    [anon_sym_groupshared] = ACTIONS(2444),
    [anon_sym_uniform] = ACTIONS(2444),
    [anon_sym_row_major] = ACTIONS(2444),
    [anon_sym_column_major] = ACTIONS(2444),
    [anon_sym_globallycoherent] = ACTIONS(2444),
    [anon_sym_centroid] = ACTIONS(2444),
    [anon_sym_noperspective] = ACTIONS(2444),
    [anon_sym_nointerpolation] = ACTIONS(2444),
    [anon_sym_sample] = ACTIONS(2444),
    [anon_sym_linear] = ACTIONS(2444),
    [anon_sym_snorm] = ACTIONS(2444),
    [anon_sym_unorm] = ACTIONS(2444),
    [anon_sym_point] = ACTIONS(2444),
    [anon_sym_line] = ACTIONS(2444),
    [anon_sym_triangleadj] = ACTIONS(2444),
    [anon_sym_lineadj] = ACTIONS(2444),
    [anon_sym_triangle] = ACTIONS(2444),
    [anon_sym_cbuffer] = ACTIONS(2444),
  },
  [321] = {
    [sym_identifier] = ACTIONS(2444),
    [aux_sym_preproc_include_token1] = ACTIONS(2444),
    [aux_sym_preproc_def_token1] = ACTIONS(2444),
    [aux_sym_preproc_if_token1] = ACTIONS(2444),
    [aux_sym_preproc_if_token2] = ACTIONS(2444),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2444),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2444),
    [aux_sym_preproc_else_token1] = ACTIONS(2444),
    [aux_sym_preproc_elif_token1] = ACTIONS(2444),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2444),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2444),
    [sym_preproc_directive] = ACTIONS(2444),
    [anon_sym_LPAREN2] = ACTIONS(2446),
    [anon_sym_BANG] = ACTIONS(2446),
    [anon_sym_TILDE] = ACTIONS(2446),
    [anon_sym_DASH] = ACTIONS(2444),
    [anon_sym_PLUS] = ACTIONS(2444),
    [anon_sym_STAR] = ACTIONS(2446),
    [anon_sym_AMP_AMP] = ACTIONS(2446),
    [anon_sym_AMP] = ACTIONS(2444),
    [anon_sym_SEMI] = ACTIONS(2446),
    [anon_sym___extension__] = ACTIONS(2444),
    [anon_sym_typedef] = ACTIONS(2444),
    [anon_sym_in] = ACTIONS(2444),
    [anon_sym_out] = ACTIONS(2444),
    [anon_sym_inout] = ACTIONS(2444),
    [anon_sym_extern] = ACTIONS(2444),
    [anon_sym___attribute__] = ACTIONS(2444),
    [anon_sym_COLON_COLON] = ACTIONS(2446),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2446),
    [anon_sym___declspec] = ACTIONS(2444),
    [anon_sym___based] = ACTIONS(2444),
    [anon_sym___cdecl] = ACTIONS(2444),
    [anon_sym___clrcall] = ACTIONS(2444),
    [anon_sym___stdcall] = ACTIONS(2444),
    [anon_sym___fastcall] = ACTIONS(2444),
    [anon_sym___thiscall] = ACTIONS(2444),
    [anon_sym___vectorcall] = ACTIONS(2444),
    [anon_sym_LBRACE] = ACTIONS(2446),
    [anon_sym_signed] = ACTIONS(2444),
    [anon_sym_unsigned] = ACTIONS(2444),
    [anon_sym_long] = ACTIONS(2444),
    [anon_sym_short] = ACTIONS(2444),
    [anon_sym_LBRACK] = ACTIONS(2444),
    [anon_sym_static] = ACTIONS(2444),
    [anon_sym_register] = ACTIONS(2444),
    [anon_sym_inline] = ACTIONS(2444),
    [anon_sym___inline] = ACTIONS(2444),
    [anon_sym___inline__] = ACTIONS(2444),
    [anon_sym___forceinline] = ACTIONS(2444),
    [anon_sym_thread_local] = ACTIONS(2444),
    [anon_sym___thread] = ACTIONS(2444),
    [anon_sym_const] = ACTIONS(2444),
    [anon_sym_constexpr] = ACTIONS(2444),
    [anon_sym_volatile] = ACTIONS(2444),
    [anon_sym_restrict] = ACTIONS(2444),
    [anon_sym___restrict__] = ACTIONS(2444),
    [anon_sym__Atomic] = ACTIONS(2444),
    [anon_sym__Noreturn] = ACTIONS(2444),
    [anon_sym_noreturn] = ACTIONS(2444),
    [anon_sym_mutable] = ACTIONS(2444),
    [anon_sym_constinit] = ACTIONS(2444),
    [anon_sym_consteval] = ACTIONS(2444),
    [sym_primitive_type] = ACTIONS(2444),
    [anon_sym_enum] = ACTIONS(2444),
    [anon_sym_class] = ACTIONS(2444),
    [anon_sym_struct] = ACTIONS(2444),
    [anon_sym_union] = ACTIONS(2444),
    [anon_sym_if] = ACTIONS(2444),
    [anon_sym_else] = ACTIONS(2444),
    [anon_sym_switch] = ACTIONS(2444),
    [anon_sym_case] = ACTIONS(2444),
    [anon_sym_default] = ACTIONS(2444),
    [anon_sym_while] = ACTIONS(2444),
    [anon_sym_do] = ACTIONS(2444),
    [anon_sym_for] = ACTIONS(2444),
    [anon_sym_return] = ACTIONS(2444),
    [anon_sym_break] = ACTIONS(2444),
    [anon_sym_continue] = ACTIONS(2444),
    [anon_sym_goto] = ACTIONS(2444),
    [anon_sym___try] = ACTIONS(2444),
    [anon_sym___leave] = ACTIONS(2444),
    [anon_sym_not] = ACTIONS(2444),
    [anon_sym_compl] = ACTIONS(2444),
    [anon_sym_DASH_DASH] = ACTIONS(2446),
    [anon_sym_PLUS_PLUS] = ACTIONS(2446),
    [anon_sym_sizeof] = ACTIONS(2444),
    [anon_sym___alignof__] = ACTIONS(2444),
    [anon_sym___alignof] = ACTIONS(2444),
    [anon_sym__alignof] = ACTIONS(2444),
    [anon_sym_alignof] = ACTIONS(2444),
    [anon_sym__Alignof] = ACTIONS(2444),
    [anon_sym_offsetof] = ACTIONS(2444),
    [anon_sym__Generic] = ACTIONS(2444),
    [anon_sym_asm] = ACTIONS(2444),
    [anon_sym___asm__] = ACTIONS(2444),
    [sym_number_literal] = ACTIONS(2446),
    [anon_sym_L_SQUOTE] = ACTIONS(2446),
    [anon_sym_u_SQUOTE] = ACTIONS(2446),
    [anon_sym_U_SQUOTE] = ACTIONS(2446),
    [anon_sym_u8_SQUOTE] = ACTIONS(2446),
    [anon_sym_SQUOTE] = ACTIONS(2446),
    [anon_sym_L_DQUOTE] = ACTIONS(2446),
    [anon_sym_u_DQUOTE] = ACTIONS(2446),
    [anon_sym_U_DQUOTE] = ACTIONS(2446),
    [anon_sym_u8_DQUOTE] = ACTIONS(2446),
    [anon_sym_DQUOTE] = ACTIONS(2446),
    [sym_true] = ACTIONS(2444),
    [sym_false] = ACTIONS(2444),
    [anon_sym_NULL] = ACTIONS(2444),
    [anon_sym_nullptr] = ACTIONS(2444),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2444),
    [anon_sym_decltype] = ACTIONS(2444),
    [anon_sym_virtual] = ACTIONS(2444),
    [anon_sym_alignas] = ACTIONS(2444),
    [anon_sym_explicit] = ACTIONS(2444),
    [anon_sym_typename] = ACTIONS(2444),
    [anon_sym_template] = ACTIONS(2444),
    [anon_sym_operator] = ACTIONS(2444),
    [anon_sym_try] = ACTIONS(2444),
    [anon_sym_delete] = ACTIONS(2444),
    [anon_sym_throw] = ACTIONS(2444),
    [anon_sym_namespace] = ACTIONS(2444),
    [anon_sym_using] = ACTIONS(2444),
    [anon_sym_static_assert] = ACTIONS(2444),
    [anon_sym_concept] = ACTIONS(2444),
    [anon_sym_co_return] = ACTIONS(2444),
    [anon_sym_co_yield] = ACTIONS(2444),
    [anon_sym_R_DQUOTE] = ACTIONS(2446),
    [anon_sym_LR_DQUOTE] = ACTIONS(2446),
    [anon_sym_uR_DQUOTE] = ACTIONS(2446),
    [anon_sym_UR_DQUOTE] = ACTIONS(2446),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2446),
    [anon_sym_co_await] = ACTIONS(2444),
    [anon_sym_new] = ACTIONS(2444),
    [anon_sym_requires] = ACTIONS(2444),
    [sym_this] = ACTIONS(2444),
    [anon_sym_discard] = ACTIONS(2444),
    [anon_sym_precise] = ACTIONS(2444),
    [anon_sym_shared] = ACTIONS(2444),
    [anon_sym_groupshared] = ACTIONS(2444),
    [anon_sym_uniform] = ACTIONS(2444),
    [anon_sym_row_major] = ACTIONS(2444),
    [anon_sym_column_major] = ACTIONS(2444),
    [anon_sym_globallycoherent] = ACTIONS(2444),
    [anon_sym_centroid] = ACTIONS(2444),
    [anon_sym_noperspective] = ACTIONS(2444),
    [anon_sym_nointerpolation] = ACTIONS(2444),
    [anon_sym_sample] = ACTIONS(2444),
    [anon_sym_linear] = ACTIONS(2444),
    [anon_sym_snorm] = ACTIONS(2444),
    [anon_sym_unorm] = ACTIONS(2444),
    [anon_sym_point] = ACTIONS(2444),
    [anon_sym_line] = ACTIONS(2444),
    [anon_sym_triangleadj] = ACTIONS(2444),
    [anon_sym_lineadj] = ACTIONS(2444),
    [anon_sym_triangle] = ACTIONS(2444),
    [anon_sym_cbuffer] = ACTIONS(2444),
  },
  [322] = {
    [sym_identifier] = ACTIONS(2484),
    [aux_sym_preproc_include_token1] = ACTIONS(2484),
    [aux_sym_preproc_def_token1] = ACTIONS(2484),
    [aux_sym_preproc_if_token1] = ACTIONS(2484),
    [aux_sym_preproc_if_token2] = ACTIONS(2484),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2484),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2484),
    [aux_sym_preproc_else_token1] = ACTIONS(2484),
    [aux_sym_preproc_elif_token1] = ACTIONS(2484),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2484),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2484),
    [sym_preproc_directive] = ACTIONS(2484),
    [anon_sym_LPAREN2] = ACTIONS(2486),
    [anon_sym_BANG] = ACTIONS(2486),
    [anon_sym_TILDE] = ACTIONS(2486),
    [anon_sym_DASH] = ACTIONS(2484),
    [anon_sym_PLUS] = ACTIONS(2484),
    [anon_sym_STAR] = ACTIONS(2486),
    [anon_sym_AMP_AMP] = ACTIONS(2486),
    [anon_sym_AMP] = ACTIONS(2484),
    [anon_sym_SEMI] = ACTIONS(2486),
    [anon_sym___extension__] = ACTIONS(2484),
    [anon_sym_typedef] = ACTIONS(2484),
    [anon_sym_in] = ACTIONS(2484),
    [anon_sym_out] = ACTIONS(2484),
    [anon_sym_inout] = ACTIONS(2484),
    [anon_sym_extern] = ACTIONS(2484),
    [anon_sym___attribute__] = ACTIONS(2484),
    [anon_sym_COLON_COLON] = ACTIONS(2486),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2486),
    [anon_sym___declspec] = ACTIONS(2484),
    [anon_sym___based] = ACTIONS(2484),
    [anon_sym___cdecl] = ACTIONS(2484),
    [anon_sym___clrcall] = ACTIONS(2484),
    [anon_sym___stdcall] = ACTIONS(2484),
    [anon_sym___fastcall] = ACTIONS(2484),
    [anon_sym___thiscall] = ACTIONS(2484),
    [anon_sym___vectorcall] = ACTIONS(2484),
    [anon_sym_LBRACE] = ACTIONS(2486),
    [anon_sym_signed] = ACTIONS(2484),
    [anon_sym_unsigned] = ACTIONS(2484),
    [anon_sym_long] = ACTIONS(2484),
    [anon_sym_short] = ACTIONS(2484),
    [anon_sym_LBRACK] = ACTIONS(2484),
    [anon_sym_static] = ACTIONS(2484),
    [anon_sym_register] = ACTIONS(2484),
    [anon_sym_inline] = ACTIONS(2484),
    [anon_sym___inline] = ACTIONS(2484),
    [anon_sym___inline__] = ACTIONS(2484),
    [anon_sym___forceinline] = ACTIONS(2484),
    [anon_sym_thread_local] = ACTIONS(2484),
    [anon_sym___thread] = ACTIONS(2484),
    [anon_sym_const] = ACTIONS(2484),
    [anon_sym_constexpr] = ACTIONS(2484),
    [anon_sym_volatile] = ACTIONS(2484),
    [anon_sym_restrict] = ACTIONS(2484),
    [anon_sym___restrict__] = ACTIONS(2484),
    [anon_sym__Atomic] = ACTIONS(2484),
    [anon_sym__Noreturn] = ACTIONS(2484),
    [anon_sym_noreturn] = ACTIONS(2484),
    [anon_sym_mutable] = ACTIONS(2484),
    [anon_sym_constinit] = ACTIONS(2484),
    [anon_sym_consteval] = ACTIONS(2484),
    [sym_primitive_type] = ACTIONS(2484),
    [anon_sym_enum] = ACTIONS(2484),
    [anon_sym_class] = ACTIONS(2484),
    [anon_sym_struct] = ACTIONS(2484),
    [anon_sym_union] = ACTIONS(2484),
    [anon_sym_if] = ACTIONS(2484),
    [anon_sym_else] = ACTIONS(2484),
    [anon_sym_switch] = ACTIONS(2484),
    [anon_sym_case] = ACTIONS(2484),
    [anon_sym_default] = ACTIONS(2484),
    [anon_sym_while] = ACTIONS(2484),
    [anon_sym_do] = ACTIONS(2484),
    [anon_sym_for] = ACTIONS(2484),
    [anon_sym_return] = ACTIONS(2484),
    [anon_sym_break] = ACTIONS(2484),
    [anon_sym_continue] = ACTIONS(2484),
    [anon_sym_goto] = ACTIONS(2484),
    [anon_sym___try] = ACTIONS(2484),
    [anon_sym___leave] = ACTIONS(2484),
    [anon_sym_not] = ACTIONS(2484),
    [anon_sym_compl] = ACTIONS(2484),
    [anon_sym_DASH_DASH] = ACTIONS(2486),
    [anon_sym_PLUS_PLUS] = ACTIONS(2486),
    [anon_sym_sizeof] = ACTIONS(2484),
    [anon_sym___alignof__] = ACTIONS(2484),
    [anon_sym___alignof] = ACTIONS(2484),
    [anon_sym__alignof] = ACTIONS(2484),
    [anon_sym_alignof] = ACTIONS(2484),
    [anon_sym__Alignof] = ACTIONS(2484),
    [anon_sym_offsetof] = ACTIONS(2484),
    [anon_sym__Generic] = ACTIONS(2484),
    [anon_sym_asm] = ACTIONS(2484),
    [anon_sym___asm__] = ACTIONS(2484),
    [sym_number_literal] = ACTIONS(2486),
    [anon_sym_L_SQUOTE] = ACTIONS(2486),
    [anon_sym_u_SQUOTE] = ACTIONS(2486),
    [anon_sym_U_SQUOTE] = ACTIONS(2486),
    [anon_sym_u8_SQUOTE] = ACTIONS(2486),
    [anon_sym_SQUOTE] = ACTIONS(2486),
    [anon_sym_L_DQUOTE] = ACTIONS(2486),
    [anon_sym_u_DQUOTE] = ACTIONS(2486),
    [anon_sym_U_DQUOTE] = ACTIONS(2486),
    [anon_sym_u8_DQUOTE] = ACTIONS(2486),
    [anon_sym_DQUOTE] = ACTIONS(2486),
    [sym_true] = ACTIONS(2484),
    [sym_false] = ACTIONS(2484),
    [anon_sym_NULL] = ACTIONS(2484),
    [anon_sym_nullptr] = ACTIONS(2484),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2484),
    [anon_sym_decltype] = ACTIONS(2484),
    [anon_sym_virtual] = ACTIONS(2484),
    [anon_sym_alignas] = ACTIONS(2484),
    [anon_sym_explicit] = ACTIONS(2484),
    [anon_sym_typename] = ACTIONS(2484),
    [anon_sym_template] = ACTIONS(2484),
    [anon_sym_operator] = ACTIONS(2484),
    [anon_sym_try] = ACTIONS(2484),
    [anon_sym_delete] = ACTIONS(2484),
    [anon_sym_throw] = ACTIONS(2484),
    [anon_sym_namespace] = ACTIONS(2484),
    [anon_sym_using] = ACTIONS(2484),
    [anon_sym_static_assert] = ACTIONS(2484),
    [anon_sym_concept] = ACTIONS(2484),
    [anon_sym_co_return] = ACTIONS(2484),
    [anon_sym_co_yield] = ACTIONS(2484),
    [anon_sym_R_DQUOTE] = ACTIONS(2486),
    [anon_sym_LR_DQUOTE] = ACTIONS(2486),
    [anon_sym_uR_DQUOTE] = ACTIONS(2486),
    [anon_sym_UR_DQUOTE] = ACTIONS(2486),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2486),
    [anon_sym_co_await] = ACTIONS(2484),
    [anon_sym_new] = ACTIONS(2484),
    [anon_sym_requires] = ACTIONS(2484),
    [sym_this] = ACTIONS(2484),
    [anon_sym_discard] = ACTIONS(2484),
    [anon_sym_precise] = ACTIONS(2484),
    [anon_sym_shared] = ACTIONS(2484),
    [anon_sym_groupshared] = ACTIONS(2484),
    [anon_sym_uniform] = ACTIONS(2484),
    [anon_sym_row_major] = ACTIONS(2484),
    [anon_sym_column_major] = ACTIONS(2484),
    [anon_sym_globallycoherent] = ACTIONS(2484),
    [anon_sym_centroid] = ACTIONS(2484),
    [anon_sym_noperspective] = ACTIONS(2484),
    [anon_sym_nointerpolation] = ACTIONS(2484),
    [anon_sym_sample] = ACTIONS(2484),
    [anon_sym_linear] = ACTIONS(2484),
    [anon_sym_snorm] = ACTIONS(2484),
    [anon_sym_unorm] = ACTIONS(2484),
    [anon_sym_point] = ACTIONS(2484),
    [anon_sym_line] = ACTIONS(2484),
    [anon_sym_triangleadj] = ACTIONS(2484),
    [anon_sym_lineadj] = ACTIONS(2484),
    [anon_sym_triangle] = ACTIONS(2484),
    [anon_sym_cbuffer] = ACTIONS(2484),
  },
  [323] = {
    [sym_identifier] = ACTIONS(2444),
    [aux_sym_preproc_include_token1] = ACTIONS(2444),
    [aux_sym_preproc_def_token1] = ACTIONS(2444),
    [aux_sym_preproc_if_token1] = ACTIONS(2444),
    [aux_sym_preproc_if_token2] = ACTIONS(2444),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2444),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2444),
    [aux_sym_preproc_else_token1] = ACTIONS(2444),
    [aux_sym_preproc_elif_token1] = ACTIONS(2444),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2444),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2444),
    [sym_preproc_directive] = ACTIONS(2444),
    [anon_sym_LPAREN2] = ACTIONS(2446),
    [anon_sym_BANG] = ACTIONS(2446),
    [anon_sym_TILDE] = ACTIONS(2446),
    [anon_sym_DASH] = ACTIONS(2444),
    [anon_sym_PLUS] = ACTIONS(2444),
    [anon_sym_STAR] = ACTIONS(2446),
    [anon_sym_AMP_AMP] = ACTIONS(2446),
    [anon_sym_AMP] = ACTIONS(2444),
    [anon_sym_SEMI] = ACTIONS(2446),
    [anon_sym___extension__] = ACTIONS(2444),
    [anon_sym_typedef] = ACTIONS(2444),
    [anon_sym_in] = ACTIONS(2444),
    [anon_sym_out] = ACTIONS(2444),
    [anon_sym_inout] = ACTIONS(2444),
    [anon_sym_extern] = ACTIONS(2444),
    [anon_sym___attribute__] = ACTIONS(2444),
    [anon_sym_COLON_COLON] = ACTIONS(2446),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2446),
    [anon_sym___declspec] = ACTIONS(2444),
    [anon_sym___based] = ACTIONS(2444),
    [anon_sym___cdecl] = ACTIONS(2444),
    [anon_sym___clrcall] = ACTIONS(2444),
    [anon_sym___stdcall] = ACTIONS(2444),
    [anon_sym___fastcall] = ACTIONS(2444),
    [anon_sym___thiscall] = ACTIONS(2444),
    [anon_sym___vectorcall] = ACTIONS(2444),
    [anon_sym_LBRACE] = ACTIONS(2446),
    [anon_sym_signed] = ACTIONS(2444),
    [anon_sym_unsigned] = ACTIONS(2444),
    [anon_sym_long] = ACTIONS(2444),
    [anon_sym_short] = ACTIONS(2444),
    [anon_sym_LBRACK] = ACTIONS(2444),
    [anon_sym_static] = ACTIONS(2444),
    [anon_sym_register] = ACTIONS(2444),
    [anon_sym_inline] = ACTIONS(2444),
    [anon_sym___inline] = ACTIONS(2444),
    [anon_sym___inline__] = ACTIONS(2444),
    [anon_sym___forceinline] = ACTIONS(2444),
    [anon_sym_thread_local] = ACTIONS(2444),
    [anon_sym___thread] = ACTIONS(2444),
    [anon_sym_const] = ACTIONS(2444),
    [anon_sym_constexpr] = ACTIONS(2444),
    [anon_sym_volatile] = ACTIONS(2444),
    [anon_sym_restrict] = ACTIONS(2444),
    [anon_sym___restrict__] = ACTIONS(2444),
    [anon_sym__Atomic] = ACTIONS(2444),
    [anon_sym__Noreturn] = ACTIONS(2444),
    [anon_sym_noreturn] = ACTIONS(2444),
    [anon_sym_mutable] = ACTIONS(2444),
    [anon_sym_constinit] = ACTIONS(2444),
    [anon_sym_consteval] = ACTIONS(2444),
    [sym_primitive_type] = ACTIONS(2444),
    [anon_sym_enum] = ACTIONS(2444),
    [anon_sym_class] = ACTIONS(2444),
    [anon_sym_struct] = ACTIONS(2444),
    [anon_sym_union] = ACTIONS(2444),
    [anon_sym_if] = ACTIONS(2444),
    [anon_sym_else] = ACTIONS(2444),
    [anon_sym_switch] = ACTIONS(2444),
    [anon_sym_case] = ACTIONS(2444),
    [anon_sym_default] = ACTIONS(2444),
    [anon_sym_while] = ACTIONS(2444),
    [anon_sym_do] = ACTIONS(2444),
    [anon_sym_for] = ACTIONS(2444),
    [anon_sym_return] = ACTIONS(2444),
    [anon_sym_break] = ACTIONS(2444),
    [anon_sym_continue] = ACTIONS(2444),
    [anon_sym_goto] = ACTIONS(2444),
    [anon_sym___try] = ACTIONS(2444),
    [anon_sym___leave] = ACTIONS(2444),
    [anon_sym_not] = ACTIONS(2444),
    [anon_sym_compl] = ACTIONS(2444),
    [anon_sym_DASH_DASH] = ACTIONS(2446),
    [anon_sym_PLUS_PLUS] = ACTIONS(2446),
    [anon_sym_sizeof] = ACTIONS(2444),
    [anon_sym___alignof__] = ACTIONS(2444),
    [anon_sym___alignof] = ACTIONS(2444),
    [anon_sym__alignof] = ACTIONS(2444),
    [anon_sym_alignof] = ACTIONS(2444),
    [anon_sym__Alignof] = ACTIONS(2444),
    [anon_sym_offsetof] = ACTIONS(2444),
    [anon_sym__Generic] = ACTIONS(2444),
    [anon_sym_asm] = ACTIONS(2444),
    [anon_sym___asm__] = ACTIONS(2444),
    [sym_number_literal] = ACTIONS(2446),
    [anon_sym_L_SQUOTE] = ACTIONS(2446),
    [anon_sym_u_SQUOTE] = ACTIONS(2446),
    [anon_sym_U_SQUOTE] = ACTIONS(2446),
    [anon_sym_u8_SQUOTE] = ACTIONS(2446),
    [anon_sym_SQUOTE] = ACTIONS(2446),
    [anon_sym_L_DQUOTE] = ACTIONS(2446),
    [anon_sym_u_DQUOTE] = ACTIONS(2446),
    [anon_sym_U_DQUOTE] = ACTIONS(2446),
    [anon_sym_u8_DQUOTE] = ACTIONS(2446),
    [anon_sym_DQUOTE] = ACTIONS(2446),
    [sym_true] = ACTIONS(2444),
    [sym_false] = ACTIONS(2444),
    [anon_sym_NULL] = ACTIONS(2444),
    [anon_sym_nullptr] = ACTIONS(2444),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2444),
    [anon_sym_decltype] = ACTIONS(2444),
    [anon_sym_virtual] = ACTIONS(2444),
    [anon_sym_alignas] = ACTIONS(2444),
    [anon_sym_explicit] = ACTIONS(2444),
    [anon_sym_typename] = ACTIONS(2444),
    [anon_sym_template] = ACTIONS(2444),
    [anon_sym_operator] = ACTIONS(2444),
    [anon_sym_try] = ACTIONS(2444),
    [anon_sym_delete] = ACTIONS(2444),
    [anon_sym_throw] = ACTIONS(2444),
    [anon_sym_namespace] = ACTIONS(2444),
    [anon_sym_using] = ACTIONS(2444),
    [anon_sym_static_assert] = ACTIONS(2444),
    [anon_sym_concept] = ACTIONS(2444),
    [anon_sym_co_return] = ACTIONS(2444),
    [anon_sym_co_yield] = ACTIONS(2444),
    [anon_sym_R_DQUOTE] = ACTIONS(2446),
    [anon_sym_LR_DQUOTE] = ACTIONS(2446),
    [anon_sym_uR_DQUOTE] = ACTIONS(2446),
    [anon_sym_UR_DQUOTE] = ACTIONS(2446),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2446),
    [anon_sym_co_await] = ACTIONS(2444),
    [anon_sym_new] = ACTIONS(2444),
    [anon_sym_requires] = ACTIONS(2444),
    [sym_this] = ACTIONS(2444),
    [anon_sym_discard] = ACTIONS(2444),
    [anon_sym_precise] = ACTIONS(2444),
    [anon_sym_shared] = ACTIONS(2444),
    [anon_sym_groupshared] = ACTIONS(2444),
    [anon_sym_uniform] = ACTIONS(2444),
    [anon_sym_row_major] = ACTIONS(2444),
    [anon_sym_column_major] = ACTIONS(2444),
    [anon_sym_globallycoherent] = ACTIONS(2444),
    [anon_sym_centroid] = ACTIONS(2444),
    [anon_sym_noperspective] = ACTIONS(2444),
    [anon_sym_nointerpolation] = ACTIONS(2444),
    [anon_sym_sample] = ACTIONS(2444),
    [anon_sym_linear] = ACTIONS(2444),
    [anon_sym_snorm] = ACTIONS(2444),
    [anon_sym_unorm] = ACTIONS(2444),
    [anon_sym_point] = ACTIONS(2444),
    [anon_sym_line] = ACTIONS(2444),
    [anon_sym_triangleadj] = ACTIONS(2444),
    [anon_sym_lineadj] = ACTIONS(2444),
    [anon_sym_triangle] = ACTIONS(2444),
    [anon_sym_cbuffer] = ACTIONS(2444),
  },
  [324] = {
    [sym_identifier] = ACTIONS(2444),
    [aux_sym_preproc_include_token1] = ACTIONS(2444),
    [aux_sym_preproc_def_token1] = ACTIONS(2444),
    [aux_sym_preproc_if_token1] = ACTIONS(2444),
    [aux_sym_preproc_if_token2] = ACTIONS(2444),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2444),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2444),
    [aux_sym_preproc_else_token1] = ACTIONS(2444),
    [aux_sym_preproc_elif_token1] = ACTIONS(2444),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2444),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2444),
    [sym_preproc_directive] = ACTIONS(2444),
    [anon_sym_LPAREN2] = ACTIONS(2446),
    [anon_sym_BANG] = ACTIONS(2446),
    [anon_sym_TILDE] = ACTIONS(2446),
    [anon_sym_DASH] = ACTIONS(2444),
    [anon_sym_PLUS] = ACTIONS(2444),
    [anon_sym_STAR] = ACTIONS(2446),
    [anon_sym_AMP_AMP] = ACTIONS(2446),
    [anon_sym_AMP] = ACTIONS(2444),
    [anon_sym_SEMI] = ACTIONS(2446),
    [anon_sym___extension__] = ACTIONS(2444),
    [anon_sym_typedef] = ACTIONS(2444),
    [anon_sym_in] = ACTIONS(2444),
    [anon_sym_out] = ACTIONS(2444),
    [anon_sym_inout] = ACTIONS(2444),
    [anon_sym_extern] = ACTIONS(2444),
    [anon_sym___attribute__] = ACTIONS(2444),
    [anon_sym_COLON_COLON] = ACTIONS(2446),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2446),
    [anon_sym___declspec] = ACTIONS(2444),
    [anon_sym___based] = ACTIONS(2444),
    [anon_sym___cdecl] = ACTIONS(2444),
    [anon_sym___clrcall] = ACTIONS(2444),
    [anon_sym___stdcall] = ACTIONS(2444),
    [anon_sym___fastcall] = ACTIONS(2444),
    [anon_sym___thiscall] = ACTIONS(2444),
    [anon_sym___vectorcall] = ACTIONS(2444),
    [anon_sym_LBRACE] = ACTIONS(2446),
    [anon_sym_signed] = ACTIONS(2444),
    [anon_sym_unsigned] = ACTIONS(2444),
    [anon_sym_long] = ACTIONS(2444),
    [anon_sym_short] = ACTIONS(2444),
    [anon_sym_LBRACK] = ACTIONS(2444),
    [anon_sym_static] = ACTIONS(2444),
    [anon_sym_register] = ACTIONS(2444),
    [anon_sym_inline] = ACTIONS(2444),
    [anon_sym___inline] = ACTIONS(2444),
    [anon_sym___inline__] = ACTIONS(2444),
    [anon_sym___forceinline] = ACTIONS(2444),
    [anon_sym_thread_local] = ACTIONS(2444),
    [anon_sym___thread] = ACTIONS(2444),
    [anon_sym_const] = ACTIONS(2444),
    [anon_sym_constexpr] = ACTIONS(2444),
    [anon_sym_volatile] = ACTIONS(2444),
    [anon_sym_restrict] = ACTIONS(2444),
    [anon_sym___restrict__] = ACTIONS(2444),
    [anon_sym__Atomic] = ACTIONS(2444),
    [anon_sym__Noreturn] = ACTIONS(2444),
    [anon_sym_noreturn] = ACTIONS(2444),
    [anon_sym_mutable] = ACTIONS(2444),
    [anon_sym_constinit] = ACTIONS(2444),
    [anon_sym_consteval] = ACTIONS(2444),
    [sym_primitive_type] = ACTIONS(2444),
    [anon_sym_enum] = ACTIONS(2444),
    [anon_sym_class] = ACTIONS(2444),
    [anon_sym_struct] = ACTIONS(2444),
    [anon_sym_union] = ACTIONS(2444),
    [anon_sym_if] = ACTIONS(2444),
    [anon_sym_else] = ACTIONS(2444),
    [anon_sym_switch] = ACTIONS(2444),
    [anon_sym_case] = ACTIONS(2444),
    [anon_sym_default] = ACTIONS(2444),
    [anon_sym_while] = ACTIONS(2444),
    [anon_sym_do] = ACTIONS(2444),
    [anon_sym_for] = ACTIONS(2444),
    [anon_sym_return] = ACTIONS(2444),
    [anon_sym_break] = ACTIONS(2444),
    [anon_sym_continue] = ACTIONS(2444),
    [anon_sym_goto] = ACTIONS(2444),
    [anon_sym___try] = ACTIONS(2444),
    [anon_sym___leave] = ACTIONS(2444),
    [anon_sym_not] = ACTIONS(2444),
    [anon_sym_compl] = ACTIONS(2444),
    [anon_sym_DASH_DASH] = ACTIONS(2446),
    [anon_sym_PLUS_PLUS] = ACTIONS(2446),
    [anon_sym_sizeof] = ACTIONS(2444),
    [anon_sym___alignof__] = ACTIONS(2444),
    [anon_sym___alignof] = ACTIONS(2444),
    [anon_sym__alignof] = ACTIONS(2444),
    [anon_sym_alignof] = ACTIONS(2444),
    [anon_sym__Alignof] = ACTIONS(2444),
    [anon_sym_offsetof] = ACTIONS(2444),
    [anon_sym__Generic] = ACTIONS(2444),
    [anon_sym_asm] = ACTIONS(2444),
    [anon_sym___asm__] = ACTIONS(2444),
    [sym_number_literal] = ACTIONS(2446),
    [anon_sym_L_SQUOTE] = ACTIONS(2446),
    [anon_sym_u_SQUOTE] = ACTIONS(2446),
    [anon_sym_U_SQUOTE] = ACTIONS(2446),
    [anon_sym_u8_SQUOTE] = ACTIONS(2446),
    [anon_sym_SQUOTE] = ACTIONS(2446),
    [anon_sym_L_DQUOTE] = ACTIONS(2446),
    [anon_sym_u_DQUOTE] = ACTIONS(2446),
    [anon_sym_U_DQUOTE] = ACTIONS(2446),
    [anon_sym_u8_DQUOTE] = ACTIONS(2446),
    [anon_sym_DQUOTE] = ACTIONS(2446),
    [sym_true] = ACTIONS(2444),
    [sym_false] = ACTIONS(2444),
    [anon_sym_NULL] = ACTIONS(2444),
    [anon_sym_nullptr] = ACTIONS(2444),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2444),
    [anon_sym_decltype] = ACTIONS(2444),
    [anon_sym_virtual] = ACTIONS(2444),
    [anon_sym_alignas] = ACTIONS(2444),
    [anon_sym_explicit] = ACTIONS(2444),
    [anon_sym_typename] = ACTIONS(2444),
    [anon_sym_template] = ACTIONS(2444),
    [anon_sym_operator] = ACTIONS(2444),
    [anon_sym_try] = ACTIONS(2444),
    [anon_sym_delete] = ACTIONS(2444),
    [anon_sym_throw] = ACTIONS(2444),
    [anon_sym_namespace] = ACTIONS(2444),
    [anon_sym_using] = ACTIONS(2444),
    [anon_sym_static_assert] = ACTIONS(2444),
    [anon_sym_concept] = ACTIONS(2444),
    [anon_sym_co_return] = ACTIONS(2444),
    [anon_sym_co_yield] = ACTIONS(2444),
    [anon_sym_R_DQUOTE] = ACTIONS(2446),
    [anon_sym_LR_DQUOTE] = ACTIONS(2446),
    [anon_sym_uR_DQUOTE] = ACTIONS(2446),
    [anon_sym_UR_DQUOTE] = ACTIONS(2446),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2446),
    [anon_sym_co_await] = ACTIONS(2444),
    [anon_sym_new] = ACTIONS(2444),
    [anon_sym_requires] = ACTIONS(2444),
    [sym_this] = ACTIONS(2444),
    [anon_sym_discard] = ACTIONS(2444),
    [anon_sym_precise] = ACTIONS(2444),
    [anon_sym_shared] = ACTIONS(2444),
    [anon_sym_groupshared] = ACTIONS(2444),
    [anon_sym_uniform] = ACTIONS(2444),
    [anon_sym_row_major] = ACTIONS(2444),
    [anon_sym_column_major] = ACTIONS(2444),
    [anon_sym_globallycoherent] = ACTIONS(2444),
    [anon_sym_centroid] = ACTIONS(2444),
    [anon_sym_noperspective] = ACTIONS(2444),
    [anon_sym_nointerpolation] = ACTIONS(2444),
    [anon_sym_sample] = ACTIONS(2444),
    [anon_sym_linear] = ACTIONS(2444),
    [anon_sym_snorm] = ACTIONS(2444),
    [anon_sym_unorm] = ACTIONS(2444),
    [anon_sym_point] = ACTIONS(2444),
    [anon_sym_line] = ACTIONS(2444),
    [anon_sym_triangleadj] = ACTIONS(2444),
    [anon_sym_lineadj] = ACTIONS(2444),
    [anon_sym_triangle] = ACTIONS(2444),
    [anon_sym_cbuffer] = ACTIONS(2444),
  },
  [325] = {
    [sym_identifier] = ACTIONS(2444),
    [aux_sym_preproc_include_token1] = ACTIONS(2444),
    [aux_sym_preproc_def_token1] = ACTIONS(2444),
    [aux_sym_preproc_if_token1] = ACTIONS(2444),
    [aux_sym_preproc_if_token2] = ACTIONS(2444),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2444),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2444),
    [aux_sym_preproc_else_token1] = ACTIONS(2444),
    [aux_sym_preproc_elif_token1] = ACTIONS(2444),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2444),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2444),
    [sym_preproc_directive] = ACTIONS(2444),
    [anon_sym_LPAREN2] = ACTIONS(2446),
    [anon_sym_BANG] = ACTIONS(2446),
    [anon_sym_TILDE] = ACTIONS(2446),
    [anon_sym_DASH] = ACTIONS(2444),
    [anon_sym_PLUS] = ACTIONS(2444),
    [anon_sym_STAR] = ACTIONS(2446),
    [anon_sym_AMP_AMP] = ACTIONS(2446),
    [anon_sym_AMP] = ACTIONS(2444),
    [anon_sym_SEMI] = ACTIONS(2446),
    [anon_sym___extension__] = ACTIONS(2444),
    [anon_sym_typedef] = ACTIONS(2444),
    [anon_sym_in] = ACTIONS(2444),
    [anon_sym_out] = ACTIONS(2444),
    [anon_sym_inout] = ACTIONS(2444),
    [anon_sym_extern] = ACTIONS(2444),
    [anon_sym___attribute__] = ACTIONS(2444),
    [anon_sym_COLON_COLON] = ACTIONS(2446),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2446),
    [anon_sym___declspec] = ACTIONS(2444),
    [anon_sym___based] = ACTIONS(2444),
    [anon_sym___cdecl] = ACTIONS(2444),
    [anon_sym___clrcall] = ACTIONS(2444),
    [anon_sym___stdcall] = ACTIONS(2444),
    [anon_sym___fastcall] = ACTIONS(2444),
    [anon_sym___thiscall] = ACTIONS(2444),
    [anon_sym___vectorcall] = ACTIONS(2444),
    [anon_sym_LBRACE] = ACTIONS(2446),
    [anon_sym_signed] = ACTIONS(2444),
    [anon_sym_unsigned] = ACTIONS(2444),
    [anon_sym_long] = ACTIONS(2444),
    [anon_sym_short] = ACTIONS(2444),
    [anon_sym_LBRACK] = ACTIONS(2444),
    [anon_sym_static] = ACTIONS(2444),
    [anon_sym_register] = ACTIONS(2444),
    [anon_sym_inline] = ACTIONS(2444),
    [anon_sym___inline] = ACTIONS(2444),
    [anon_sym___inline__] = ACTIONS(2444),
    [anon_sym___forceinline] = ACTIONS(2444),
    [anon_sym_thread_local] = ACTIONS(2444),
    [anon_sym___thread] = ACTIONS(2444),
    [anon_sym_const] = ACTIONS(2444),
    [anon_sym_constexpr] = ACTIONS(2444),
    [anon_sym_volatile] = ACTIONS(2444),
    [anon_sym_restrict] = ACTIONS(2444),
    [anon_sym___restrict__] = ACTIONS(2444),
    [anon_sym__Atomic] = ACTIONS(2444),
    [anon_sym__Noreturn] = ACTIONS(2444),
    [anon_sym_noreturn] = ACTIONS(2444),
    [anon_sym_mutable] = ACTIONS(2444),
    [anon_sym_constinit] = ACTIONS(2444),
    [anon_sym_consteval] = ACTIONS(2444),
    [sym_primitive_type] = ACTIONS(2444),
    [anon_sym_enum] = ACTIONS(2444),
    [anon_sym_class] = ACTIONS(2444),
    [anon_sym_struct] = ACTIONS(2444),
    [anon_sym_union] = ACTIONS(2444),
    [anon_sym_if] = ACTIONS(2444),
    [anon_sym_else] = ACTIONS(2444),
    [anon_sym_switch] = ACTIONS(2444),
    [anon_sym_case] = ACTIONS(2444),
    [anon_sym_default] = ACTIONS(2444),
    [anon_sym_while] = ACTIONS(2444),
    [anon_sym_do] = ACTIONS(2444),
    [anon_sym_for] = ACTIONS(2444),
    [anon_sym_return] = ACTIONS(2444),
    [anon_sym_break] = ACTIONS(2444),
    [anon_sym_continue] = ACTIONS(2444),
    [anon_sym_goto] = ACTIONS(2444),
    [anon_sym___try] = ACTIONS(2444),
    [anon_sym___leave] = ACTIONS(2444),
    [anon_sym_not] = ACTIONS(2444),
    [anon_sym_compl] = ACTIONS(2444),
    [anon_sym_DASH_DASH] = ACTIONS(2446),
    [anon_sym_PLUS_PLUS] = ACTIONS(2446),
    [anon_sym_sizeof] = ACTIONS(2444),
    [anon_sym___alignof__] = ACTIONS(2444),
    [anon_sym___alignof] = ACTIONS(2444),
    [anon_sym__alignof] = ACTIONS(2444),
    [anon_sym_alignof] = ACTIONS(2444),
    [anon_sym__Alignof] = ACTIONS(2444),
    [anon_sym_offsetof] = ACTIONS(2444),
    [anon_sym__Generic] = ACTIONS(2444),
    [anon_sym_asm] = ACTIONS(2444),
    [anon_sym___asm__] = ACTIONS(2444),
    [sym_number_literal] = ACTIONS(2446),
    [anon_sym_L_SQUOTE] = ACTIONS(2446),
    [anon_sym_u_SQUOTE] = ACTIONS(2446),
    [anon_sym_U_SQUOTE] = ACTIONS(2446),
    [anon_sym_u8_SQUOTE] = ACTIONS(2446),
    [anon_sym_SQUOTE] = ACTIONS(2446),
    [anon_sym_L_DQUOTE] = ACTIONS(2446),
    [anon_sym_u_DQUOTE] = ACTIONS(2446),
    [anon_sym_U_DQUOTE] = ACTIONS(2446),
    [anon_sym_u8_DQUOTE] = ACTIONS(2446),
    [anon_sym_DQUOTE] = ACTIONS(2446),
    [sym_true] = ACTIONS(2444),
    [sym_false] = ACTIONS(2444),
    [anon_sym_NULL] = ACTIONS(2444),
    [anon_sym_nullptr] = ACTIONS(2444),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2444),
    [anon_sym_decltype] = ACTIONS(2444),
    [anon_sym_virtual] = ACTIONS(2444),
    [anon_sym_alignas] = ACTIONS(2444),
    [anon_sym_explicit] = ACTIONS(2444),
    [anon_sym_typename] = ACTIONS(2444),
    [anon_sym_template] = ACTIONS(2444),
    [anon_sym_operator] = ACTIONS(2444),
    [anon_sym_try] = ACTIONS(2444),
    [anon_sym_delete] = ACTIONS(2444),
    [anon_sym_throw] = ACTIONS(2444),
    [anon_sym_namespace] = ACTIONS(2444),
    [anon_sym_using] = ACTIONS(2444),
    [anon_sym_static_assert] = ACTIONS(2444),
    [anon_sym_concept] = ACTIONS(2444),
    [anon_sym_co_return] = ACTIONS(2444),
    [anon_sym_co_yield] = ACTIONS(2444),
    [anon_sym_R_DQUOTE] = ACTIONS(2446),
    [anon_sym_LR_DQUOTE] = ACTIONS(2446),
    [anon_sym_uR_DQUOTE] = ACTIONS(2446),
    [anon_sym_UR_DQUOTE] = ACTIONS(2446),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2446),
    [anon_sym_co_await] = ACTIONS(2444),
    [anon_sym_new] = ACTIONS(2444),
    [anon_sym_requires] = ACTIONS(2444),
    [sym_this] = ACTIONS(2444),
    [anon_sym_discard] = ACTIONS(2444),
    [anon_sym_precise] = ACTIONS(2444),
    [anon_sym_shared] = ACTIONS(2444),
    [anon_sym_groupshared] = ACTIONS(2444),
    [anon_sym_uniform] = ACTIONS(2444),
    [anon_sym_row_major] = ACTIONS(2444),
    [anon_sym_column_major] = ACTIONS(2444),
    [anon_sym_globallycoherent] = ACTIONS(2444),
    [anon_sym_centroid] = ACTIONS(2444),
    [anon_sym_noperspective] = ACTIONS(2444),
    [anon_sym_nointerpolation] = ACTIONS(2444),
    [anon_sym_sample] = ACTIONS(2444),
    [anon_sym_linear] = ACTIONS(2444),
    [anon_sym_snorm] = ACTIONS(2444),
    [anon_sym_unorm] = ACTIONS(2444),
    [anon_sym_point] = ACTIONS(2444),
    [anon_sym_line] = ACTIONS(2444),
    [anon_sym_triangleadj] = ACTIONS(2444),
    [anon_sym_lineadj] = ACTIONS(2444),
    [anon_sym_triangle] = ACTIONS(2444),
    [anon_sym_cbuffer] = ACTIONS(2444),
  },
  [326] = {
    [sym_identifier] = ACTIONS(2488),
    [aux_sym_preproc_include_token1] = ACTIONS(2488),
    [aux_sym_preproc_def_token1] = ACTIONS(2488),
    [aux_sym_preproc_if_token1] = ACTIONS(2488),
    [aux_sym_preproc_if_token2] = ACTIONS(2488),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2488),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2488),
    [aux_sym_preproc_else_token1] = ACTIONS(2488),
    [aux_sym_preproc_elif_token1] = ACTIONS(2488),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2488),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2488),
    [sym_preproc_directive] = ACTIONS(2488),
    [anon_sym_LPAREN2] = ACTIONS(2490),
    [anon_sym_BANG] = ACTIONS(2490),
    [anon_sym_TILDE] = ACTIONS(2490),
    [anon_sym_DASH] = ACTIONS(2488),
    [anon_sym_PLUS] = ACTIONS(2488),
    [anon_sym_STAR] = ACTIONS(2490),
    [anon_sym_AMP_AMP] = ACTIONS(2490),
    [anon_sym_AMP] = ACTIONS(2488),
    [anon_sym_SEMI] = ACTIONS(2490),
    [anon_sym___extension__] = ACTIONS(2488),
    [anon_sym_typedef] = ACTIONS(2488),
    [anon_sym_in] = ACTIONS(2488),
    [anon_sym_out] = ACTIONS(2488),
    [anon_sym_inout] = ACTIONS(2488),
    [anon_sym_extern] = ACTIONS(2488),
    [anon_sym___attribute__] = ACTIONS(2488),
    [anon_sym_COLON_COLON] = ACTIONS(2490),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2490),
    [anon_sym___declspec] = ACTIONS(2488),
    [anon_sym___based] = ACTIONS(2488),
    [anon_sym___cdecl] = ACTIONS(2488),
    [anon_sym___clrcall] = ACTIONS(2488),
    [anon_sym___stdcall] = ACTIONS(2488),
    [anon_sym___fastcall] = ACTIONS(2488),
    [anon_sym___thiscall] = ACTIONS(2488),
    [anon_sym___vectorcall] = ACTIONS(2488),
    [anon_sym_LBRACE] = ACTIONS(2490),
    [anon_sym_signed] = ACTIONS(2488),
    [anon_sym_unsigned] = ACTIONS(2488),
    [anon_sym_long] = ACTIONS(2488),
    [anon_sym_short] = ACTIONS(2488),
    [anon_sym_LBRACK] = ACTIONS(2488),
    [anon_sym_static] = ACTIONS(2488),
    [anon_sym_register] = ACTIONS(2488),
    [anon_sym_inline] = ACTIONS(2488),
    [anon_sym___inline] = ACTIONS(2488),
    [anon_sym___inline__] = ACTIONS(2488),
    [anon_sym___forceinline] = ACTIONS(2488),
    [anon_sym_thread_local] = ACTIONS(2488),
    [anon_sym___thread] = ACTIONS(2488),
    [anon_sym_const] = ACTIONS(2488),
    [anon_sym_constexpr] = ACTIONS(2488),
    [anon_sym_volatile] = ACTIONS(2488),
    [anon_sym_restrict] = ACTIONS(2488),
    [anon_sym___restrict__] = ACTIONS(2488),
    [anon_sym__Atomic] = ACTIONS(2488),
    [anon_sym__Noreturn] = ACTIONS(2488),
    [anon_sym_noreturn] = ACTIONS(2488),
    [anon_sym_mutable] = ACTIONS(2488),
    [anon_sym_constinit] = ACTIONS(2488),
    [anon_sym_consteval] = ACTIONS(2488),
    [sym_primitive_type] = ACTIONS(2488),
    [anon_sym_enum] = ACTIONS(2488),
    [anon_sym_class] = ACTIONS(2488),
    [anon_sym_struct] = ACTIONS(2488),
    [anon_sym_union] = ACTIONS(2488),
    [anon_sym_if] = ACTIONS(2488),
    [anon_sym_else] = ACTIONS(2488),
    [anon_sym_switch] = ACTIONS(2488),
    [anon_sym_case] = ACTIONS(2488),
    [anon_sym_default] = ACTIONS(2488),
    [anon_sym_while] = ACTIONS(2488),
    [anon_sym_do] = ACTIONS(2488),
    [anon_sym_for] = ACTIONS(2488),
    [anon_sym_return] = ACTIONS(2488),
    [anon_sym_break] = ACTIONS(2488),
    [anon_sym_continue] = ACTIONS(2488),
    [anon_sym_goto] = ACTIONS(2488),
    [anon_sym___try] = ACTIONS(2488),
    [anon_sym___leave] = ACTIONS(2488),
    [anon_sym_not] = ACTIONS(2488),
    [anon_sym_compl] = ACTIONS(2488),
    [anon_sym_DASH_DASH] = ACTIONS(2490),
    [anon_sym_PLUS_PLUS] = ACTIONS(2490),
    [anon_sym_sizeof] = ACTIONS(2488),
    [anon_sym___alignof__] = ACTIONS(2488),
    [anon_sym___alignof] = ACTIONS(2488),
    [anon_sym__alignof] = ACTIONS(2488),
    [anon_sym_alignof] = ACTIONS(2488),
    [anon_sym__Alignof] = ACTIONS(2488),
    [anon_sym_offsetof] = ACTIONS(2488),
    [anon_sym__Generic] = ACTIONS(2488),
    [anon_sym_asm] = ACTIONS(2488),
    [anon_sym___asm__] = ACTIONS(2488),
    [sym_number_literal] = ACTIONS(2490),
    [anon_sym_L_SQUOTE] = ACTIONS(2490),
    [anon_sym_u_SQUOTE] = ACTIONS(2490),
    [anon_sym_U_SQUOTE] = ACTIONS(2490),
    [anon_sym_u8_SQUOTE] = ACTIONS(2490),
    [anon_sym_SQUOTE] = ACTIONS(2490),
    [anon_sym_L_DQUOTE] = ACTIONS(2490),
    [anon_sym_u_DQUOTE] = ACTIONS(2490),
    [anon_sym_U_DQUOTE] = ACTIONS(2490),
    [anon_sym_u8_DQUOTE] = ACTIONS(2490),
    [anon_sym_DQUOTE] = ACTIONS(2490),
    [sym_true] = ACTIONS(2488),
    [sym_false] = ACTIONS(2488),
    [anon_sym_NULL] = ACTIONS(2488),
    [anon_sym_nullptr] = ACTIONS(2488),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2488),
    [anon_sym_decltype] = ACTIONS(2488),
    [anon_sym_virtual] = ACTIONS(2488),
    [anon_sym_alignas] = ACTIONS(2488),
    [anon_sym_explicit] = ACTIONS(2488),
    [anon_sym_typename] = ACTIONS(2488),
    [anon_sym_template] = ACTIONS(2488),
    [anon_sym_operator] = ACTIONS(2488),
    [anon_sym_try] = ACTIONS(2488),
    [anon_sym_delete] = ACTIONS(2488),
    [anon_sym_throw] = ACTIONS(2488),
    [anon_sym_namespace] = ACTIONS(2488),
    [anon_sym_using] = ACTIONS(2488),
    [anon_sym_static_assert] = ACTIONS(2488),
    [anon_sym_concept] = ACTIONS(2488),
    [anon_sym_co_return] = ACTIONS(2488),
    [anon_sym_co_yield] = ACTIONS(2488),
    [anon_sym_R_DQUOTE] = ACTIONS(2490),
    [anon_sym_LR_DQUOTE] = ACTIONS(2490),
    [anon_sym_uR_DQUOTE] = ACTIONS(2490),
    [anon_sym_UR_DQUOTE] = ACTIONS(2490),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2490),
    [anon_sym_co_await] = ACTIONS(2488),
    [anon_sym_new] = ACTIONS(2488),
    [anon_sym_requires] = ACTIONS(2488),
    [sym_this] = ACTIONS(2488),
    [anon_sym_discard] = ACTIONS(2488),
    [anon_sym_precise] = ACTIONS(2488),
    [anon_sym_shared] = ACTIONS(2488),
    [anon_sym_groupshared] = ACTIONS(2488),
    [anon_sym_uniform] = ACTIONS(2488),
    [anon_sym_row_major] = ACTIONS(2488),
    [anon_sym_column_major] = ACTIONS(2488),
    [anon_sym_globallycoherent] = ACTIONS(2488),
    [anon_sym_centroid] = ACTIONS(2488),
    [anon_sym_noperspective] = ACTIONS(2488),
    [anon_sym_nointerpolation] = ACTIONS(2488),
    [anon_sym_sample] = ACTIONS(2488),
    [anon_sym_linear] = ACTIONS(2488),
    [anon_sym_snorm] = ACTIONS(2488),
    [anon_sym_unorm] = ACTIONS(2488),
    [anon_sym_point] = ACTIONS(2488),
    [anon_sym_line] = ACTIONS(2488),
    [anon_sym_triangleadj] = ACTIONS(2488),
    [anon_sym_lineadj] = ACTIONS(2488),
    [anon_sym_triangle] = ACTIONS(2488),
    [anon_sym_cbuffer] = ACTIONS(2488),
  },
  [327] = {
    [sym_identifier] = ACTIONS(2330),
    [aux_sym_preproc_include_token1] = ACTIONS(2330),
    [aux_sym_preproc_def_token1] = ACTIONS(2330),
    [aux_sym_preproc_if_token1] = ACTIONS(2330),
    [aux_sym_preproc_if_token2] = ACTIONS(2330),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2330),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2330),
    [aux_sym_preproc_else_token1] = ACTIONS(2330),
    [aux_sym_preproc_elif_token1] = ACTIONS(2330),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2330),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2330),
    [sym_preproc_directive] = ACTIONS(2330),
    [anon_sym_LPAREN2] = ACTIONS(2332),
    [anon_sym_BANG] = ACTIONS(2332),
    [anon_sym_TILDE] = ACTIONS(2332),
    [anon_sym_DASH] = ACTIONS(2330),
    [anon_sym_PLUS] = ACTIONS(2330),
    [anon_sym_STAR] = ACTIONS(2332),
    [anon_sym_AMP_AMP] = ACTIONS(2332),
    [anon_sym_AMP] = ACTIONS(2330),
    [anon_sym_SEMI] = ACTIONS(2332),
    [anon_sym___extension__] = ACTIONS(2330),
    [anon_sym_typedef] = ACTIONS(2330),
    [anon_sym_in] = ACTIONS(2330),
    [anon_sym_out] = ACTIONS(2330),
    [anon_sym_inout] = ACTIONS(2330),
    [anon_sym_extern] = ACTIONS(2330),
    [anon_sym___attribute__] = ACTIONS(2330),
    [anon_sym_COLON_COLON] = ACTIONS(2332),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2332),
    [anon_sym___declspec] = ACTIONS(2330),
    [anon_sym___based] = ACTIONS(2330),
    [anon_sym___cdecl] = ACTIONS(2330),
    [anon_sym___clrcall] = ACTIONS(2330),
    [anon_sym___stdcall] = ACTIONS(2330),
    [anon_sym___fastcall] = ACTIONS(2330),
    [anon_sym___thiscall] = ACTIONS(2330),
    [anon_sym___vectorcall] = ACTIONS(2330),
    [anon_sym_LBRACE] = ACTIONS(2332),
    [anon_sym_signed] = ACTIONS(2330),
    [anon_sym_unsigned] = ACTIONS(2330),
    [anon_sym_long] = ACTIONS(2330),
    [anon_sym_short] = ACTIONS(2330),
    [anon_sym_LBRACK] = ACTIONS(2330),
    [anon_sym_static] = ACTIONS(2330),
    [anon_sym_register] = ACTIONS(2330),
    [anon_sym_inline] = ACTIONS(2330),
    [anon_sym___inline] = ACTIONS(2330),
    [anon_sym___inline__] = ACTIONS(2330),
    [anon_sym___forceinline] = ACTIONS(2330),
    [anon_sym_thread_local] = ACTIONS(2330),
    [anon_sym___thread] = ACTIONS(2330),
    [anon_sym_const] = ACTIONS(2330),
    [anon_sym_constexpr] = ACTIONS(2330),
    [anon_sym_volatile] = ACTIONS(2330),
    [anon_sym_restrict] = ACTIONS(2330),
    [anon_sym___restrict__] = ACTIONS(2330),
    [anon_sym__Atomic] = ACTIONS(2330),
    [anon_sym__Noreturn] = ACTIONS(2330),
    [anon_sym_noreturn] = ACTIONS(2330),
    [anon_sym_mutable] = ACTIONS(2330),
    [anon_sym_constinit] = ACTIONS(2330),
    [anon_sym_consteval] = ACTIONS(2330),
    [sym_primitive_type] = ACTIONS(2330),
    [anon_sym_enum] = ACTIONS(2330),
    [anon_sym_class] = ACTIONS(2330),
    [anon_sym_struct] = ACTIONS(2330),
    [anon_sym_union] = ACTIONS(2330),
    [anon_sym_if] = ACTIONS(2330),
    [anon_sym_else] = ACTIONS(2330),
    [anon_sym_switch] = ACTIONS(2330),
    [anon_sym_case] = ACTIONS(2330),
    [anon_sym_default] = ACTIONS(2330),
    [anon_sym_while] = ACTIONS(2330),
    [anon_sym_do] = ACTIONS(2330),
    [anon_sym_for] = ACTIONS(2330),
    [anon_sym_return] = ACTIONS(2330),
    [anon_sym_break] = ACTIONS(2330),
    [anon_sym_continue] = ACTIONS(2330),
    [anon_sym_goto] = ACTIONS(2330),
    [anon_sym___try] = ACTIONS(2330),
    [anon_sym___leave] = ACTIONS(2330),
    [anon_sym_not] = ACTIONS(2330),
    [anon_sym_compl] = ACTIONS(2330),
    [anon_sym_DASH_DASH] = ACTIONS(2332),
    [anon_sym_PLUS_PLUS] = ACTIONS(2332),
    [anon_sym_sizeof] = ACTIONS(2330),
    [anon_sym___alignof__] = ACTIONS(2330),
    [anon_sym___alignof] = ACTIONS(2330),
    [anon_sym__alignof] = ACTIONS(2330),
    [anon_sym_alignof] = ACTIONS(2330),
    [anon_sym__Alignof] = ACTIONS(2330),
    [anon_sym_offsetof] = ACTIONS(2330),
    [anon_sym__Generic] = ACTIONS(2330),
    [anon_sym_asm] = ACTIONS(2330),
    [anon_sym___asm__] = ACTIONS(2330),
    [sym_number_literal] = ACTIONS(2332),
    [anon_sym_L_SQUOTE] = ACTIONS(2332),
    [anon_sym_u_SQUOTE] = ACTIONS(2332),
    [anon_sym_U_SQUOTE] = ACTIONS(2332),
    [anon_sym_u8_SQUOTE] = ACTIONS(2332),
    [anon_sym_SQUOTE] = ACTIONS(2332),
    [anon_sym_L_DQUOTE] = ACTIONS(2332),
    [anon_sym_u_DQUOTE] = ACTIONS(2332),
    [anon_sym_U_DQUOTE] = ACTIONS(2332),
    [anon_sym_u8_DQUOTE] = ACTIONS(2332),
    [anon_sym_DQUOTE] = ACTIONS(2332),
    [sym_true] = ACTIONS(2330),
    [sym_false] = ACTIONS(2330),
    [anon_sym_NULL] = ACTIONS(2330),
    [anon_sym_nullptr] = ACTIONS(2330),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2330),
    [anon_sym_decltype] = ACTIONS(2330),
    [anon_sym_virtual] = ACTIONS(2330),
    [anon_sym_alignas] = ACTIONS(2330),
    [anon_sym_explicit] = ACTIONS(2330),
    [anon_sym_typename] = ACTIONS(2330),
    [anon_sym_template] = ACTIONS(2330),
    [anon_sym_operator] = ACTIONS(2330),
    [anon_sym_try] = ACTIONS(2330),
    [anon_sym_delete] = ACTIONS(2330),
    [anon_sym_throw] = ACTIONS(2330),
    [anon_sym_namespace] = ACTIONS(2330),
    [anon_sym_using] = ACTIONS(2330),
    [anon_sym_static_assert] = ACTIONS(2330),
    [anon_sym_concept] = ACTIONS(2330),
    [anon_sym_co_return] = ACTIONS(2330),
    [anon_sym_co_yield] = ACTIONS(2330),
    [anon_sym_R_DQUOTE] = ACTIONS(2332),
    [anon_sym_LR_DQUOTE] = ACTIONS(2332),
    [anon_sym_uR_DQUOTE] = ACTIONS(2332),
    [anon_sym_UR_DQUOTE] = ACTIONS(2332),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2332),
    [anon_sym_co_await] = ACTIONS(2330),
    [anon_sym_new] = ACTIONS(2330),
    [anon_sym_requires] = ACTIONS(2330),
    [sym_this] = ACTIONS(2330),
    [anon_sym_discard] = ACTIONS(2330),
    [anon_sym_precise] = ACTIONS(2330),
    [anon_sym_shared] = ACTIONS(2330),
    [anon_sym_groupshared] = ACTIONS(2330),
    [anon_sym_uniform] = ACTIONS(2330),
    [anon_sym_row_major] = ACTIONS(2330),
    [anon_sym_column_major] = ACTIONS(2330),
    [anon_sym_globallycoherent] = ACTIONS(2330),
    [anon_sym_centroid] = ACTIONS(2330),
    [anon_sym_noperspective] = ACTIONS(2330),
    [anon_sym_nointerpolation] = ACTIONS(2330),
    [anon_sym_sample] = ACTIONS(2330),
    [anon_sym_linear] = ACTIONS(2330),
    [anon_sym_snorm] = ACTIONS(2330),
    [anon_sym_unorm] = ACTIONS(2330),
    [anon_sym_point] = ACTIONS(2330),
    [anon_sym_line] = ACTIONS(2330),
    [anon_sym_triangleadj] = ACTIONS(2330),
    [anon_sym_lineadj] = ACTIONS(2330),
    [anon_sym_triangle] = ACTIONS(2330),
    [anon_sym_cbuffer] = ACTIONS(2330),
  },
  [328] = {
    [sym_identifier] = ACTIONS(2444),
    [aux_sym_preproc_include_token1] = ACTIONS(2444),
    [aux_sym_preproc_def_token1] = ACTIONS(2444),
    [aux_sym_preproc_if_token1] = ACTIONS(2444),
    [aux_sym_preproc_if_token2] = ACTIONS(2444),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2444),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2444),
    [aux_sym_preproc_else_token1] = ACTIONS(2444),
    [aux_sym_preproc_elif_token1] = ACTIONS(2444),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2444),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2444),
    [sym_preproc_directive] = ACTIONS(2444),
    [anon_sym_LPAREN2] = ACTIONS(2446),
    [anon_sym_BANG] = ACTIONS(2446),
    [anon_sym_TILDE] = ACTIONS(2446),
    [anon_sym_DASH] = ACTIONS(2444),
    [anon_sym_PLUS] = ACTIONS(2444),
    [anon_sym_STAR] = ACTIONS(2446),
    [anon_sym_AMP_AMP] = ACTIONS(2446),
    [anon_sym_AMP] = ACTIONS(2444),
    [anon_sym_SEMI] = ACTIONS(2446),
    [anon_sym___extension__] = ACTIONS(2444),
    [anon_sym_typedef] = ACTIONS(2444),
    [anon_sym_in] = ACTIONS(2444),
    [anon_sym_out] = ACTIONS(2444),
    [anon_sym_inout] = ACTIONS(2444),
    [anon_sym_extern] = ACTIONS(2444),
    [anon_sym___attribute__] = ACTIONS(2444),
    [anon_sym_COLON_COLON] = ACTIONS(2446),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2446),
    [anon_sym___declspec] = ACTIONS(2444),
    [anon_sym___based] = ACTIONS(2444),
    [anon_sym___cdecl] = ACTIONS(2444),
    [anon_sym___clrcall] = ACTIONS(2444),
    [anon_sym___stdcall] = ACTIONS(2444),
    [anon_sym___fastcall] = ACTIONS(2444),
    [anon_sym___thiscall] = ACTIONS(2444),
    [anon_sym___vectorcall] = ACTIONS(2444),
    [anon_sym_LBRACE] = ACTIONS(2446),
    [anon_sym_signed] = ACTIONS(2444),
    [anon_sym_unsigned] = ACTIONS(2444),
    [anon_sym_long] = ACTIONS(2444),
    [anon_sym_short] = ACTIONS(2444),
    [anon_sym_LBRACK] = ACTIONS(2444),
    [anon_sym_static] = ACTIONS(2444),
    [anon_sym_register] = ACTIONS(2444),
    [anon_sym_inline] = ACTIONS(2444),
    [anon_sym___inline] = ACTIONS(2444),
    [anon_sym___inline__] = ACTIONS(2444),
    [anon_sym___forceinline] = ACTIONS(2444),
    [anon_sym_thread_local] = ACTIONS(2444),
    [anon_sym___thread] = ACTIONS(2444),
    [anon_sym_const] = ACTIONS(2444),
    [anon_sym_constexpr] = ACTIONS(2444),
    [anon_sym_volatile] = ACTIONS(2444),
    [anon_sym_restrict] = ACTIONS(2444),
    [anon_sym___restrict__] = ACTIONS(2444),
    [anon_sym__Atomic] = ACTIONS(2444),
    [anon_sym__Noreturn] = ACTIONS(2444),
    [anon_sym_noreturn] = ACTIONS(2444),
    [anon_sym_mutable] = ACTIONS(2444),
    [anon_sym_constinit] = ACTIONS(2444),
    [anon_sym_consteval] = ACTIONS(2444),
    [sym_primitive_type] = ACTIONS(2444),
    [anon_sym_enum] = ACTIONS(2444),
    [anon_sym_class] = ACTIONS(2444),
    [anon_sym_struct] = ACTIONS(2444),
    [anon_sym_union] = ACTIONS(2444),
    [anon_sym_if] = ACTIONS(2444),
    [anon_sym_else] = ACTIONS(2444),
    [anon_sym_switch] = ACTIONS(2444),
    [anon_sym_case] = ACTIONS(2444),
    [anon_sym_default] = ACTIONS(2444),
    [anon_sym_while] = ACTIONS(2444),
    [anon_sym_do] = ACTIONS(2444),
    [anon_sym_for] = ACTIONS(2444),
    [anon_sym_return] = ACTIONS(2444),
    [anon_sym_break] = ACTIONS(2444),
    [anon_sym_continue] = ACTIONS(2444),
    [anon_sym_goto] = ACTIONS(2444),
    [anon_sym___try] = ACTIONS(2444),
    [anon_sym___leave] = ACTIONS(2444),
    [anon_sym_not] = ACTIONS(2444),
    [anon_sym_compl] = ACTIONS(2444),
    [anon_sym_DASH_DASH] = ACTIONS(2446),
    [anon_sym_PLUS_PLUS] = ACTIONS(2446),
    [anon_sym_sizeof] = ACTIONS(2444),
    [anon_sym___alignof__] = ACTIONS(2444),
    [anon_sym___alignof] = ACTIONS(2444),
    [anon_sym__alignof] = ACTIONS(2444),
    [anon_sym_alignof] = ACTIONS(2444),
    [anon_sym__Alignof] = ACTIONS(2444),
    [anon_sym_offsetof] = ACTIONS(2444),
    [anon_sym__Generic] = ACTIONS(2444),
    [anon_sym_asm] = ACTIONS(2444),
    [anon_sym___asm__] = ACTIONS(2444),
    [sym_number_literal] = ACTIONS(2446),
    [anon_sym_L_SQUOTE] = ACTIONS(2446),
    [anon_sym_u_SQUOTE] = ACTIONS(2446),
    [anon_sym_U_SQUOTE] = ACTIONS(2446),
    [anon_sym_u8_SQUOTE] = ACTIONS(2446),
    [anon_sym_SQUOTE] = ACTIONS(2446),
    [anon_sym_L_DQUOTE] = ACTIONS(2446),
    [anon_sym_u_DQUOTE] = ACTIONS(2446),
    [anon_sym_U_DQUOTE] = ACTIONS(2446),
    [anon_sym_u8_DQUOTE] = ACTIONS(2446),
    [anon_sym_DQUOTE] = ACTIONS(2446),
    [sym_true] = ACTIONS(2444),
    [sym_false] = ACTIONS(2444),
    [anon_sym_NULL] = ACTIONS(2444),
    [anon_sym_nullptr] = ACTIONS(2444),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2444),
    [anon_sym_decltype] = ACTIONS(2444),
    [anon_sym_virtual] = ACTIONS(2444),
    [anon_sym_alignas] = ACTIONS(2444),
    [anon_sym_explicit] = ACTIONS(2444),
    [anon_sym_typename] = ACTIONS(2444),
    [anon_sym_template] = ACTIONS(2444),
    [anon_sym_operator] = ACTIONS(2444),
    [anon_sym_try] = ACTIONS(2444),
    [anon_sym_delete] = ACTIONS(2444),
    [anon_sym_throw] = ACTIONS(2444),
    [anon_sym_namespace] = ACTIONS(2444),
    [anon_sym_using] = ACTIONS(2444),
    [anon_sym_static_assert] = ACTIONS(2444),
    [anon_sym_concept] = ACTIONS(2444),
    [anon_sym_co_return] = ACTIONS(2444),
    [anon_sym_co_yield] = ACTIONS(2444),
    [anon_sym_R_DQUOTE] = ACTIONS(2446),
    [anon_sym_LR_DQUOTE] = ACTIONS(2446),
    [anon_sym_uR_DQUOTE] = ACTIONS(2446),
    [anon_sym_UR_DQUOTE] = ACTIONS(2446),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2446),
    [anon_sym_co_await] = ACTIONS(2444),
    [anon_sym_new] = ACTIONS(2444),
    [anon_sym_requires] = ACTIONS(2444),
    [sym_this] = ACTIONS(2444),
    [anon_sym_discard] = ACTIONS(2444),
    [anon_sym_precise] = ACTIONS(2444),
    [anon_sym_shared] = ACTIONS(2444),
    [anon_sym_groupshared] = ACTIONS(2444),
    [anon_sym_uniform] = ACTIONS(2444),
    [anon_sym_row_major] = ACTIONS(2444),
    [anon_sym_column_major] = ACTIONS(2444),
    [anon_sym_globallycoherent] = ACTIONS(2444),
    [anon_sym_centroid] = ACTIONS(2444),
    [anon_sym_noperspective] = ACTIONS(2444),
    [anon_sym_nointerpolation] = ACTIONS(2444),
    [anon_sym_sample] = ACTIONS(2444),
    [anon_sym_linear] = ACTIONS(2444),
    [anon_sym_snorm] = ACTIONS(2444),
    [anon_sym_unorm] = ACTIONS(2444),
    [anon_sym_point] = ACTIONS(2444),
    [anon_sym_line] = ACTIONS(2444),
    [anon_sym_triangleadj] = ACTIONS(2444),
    [anon_sym_lineadj] = ACTIONS(2444),
    [anon_sym_triangle] = ACTIONS(2444),
    [anon_sym_cbuffer] = ACTIONS(2444),
  },
  [329] = {
    [sym_identifier] = ACTIONS(2330),
    [aux_sym_preproc_include_token1] = ACTIONS(2330),
    [aux_sym_preproc_def_token1] = ACTIONS(2330),
    [aux_sym_preproc_if_token1] = ACTIONS(2330),
    [aux_sym_preproc_if_token2] = ACTIONS(2330),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2330),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2330),
    [aux_sym_preproc_else_token1] = ACTIONS(2330),
    [aux_sym_preproc_elif_token1] = ACTIONS(2330),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2330),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2330),
    [sym_preproc_directive] = ACTIONS(2330),
    [anon_sym_LPAREN2] = ACTIONS(2332),
    [anon_sym_BANG] = ACTIONS(2332),
    [anon_sym_TILDE] = ACTIONS(2332),
    [anon_sym_DASH] = ACTIONS(2330),
    [anon_sym_PLUS] = ACTIONS(2330),
    [anon_sym_STAR] = ACTIONS(2332),
    [anon_sym_AMP_AMP] = ACTIONS(2332),
    [anon_sym_AMP] = ACTIONS(2330),
    [anon_sym_SEMI] = ACTIONS(2332),
    [anon_sym___extension__] = ACTIONS(2330),
    [anon_sym_typedef] = ACTIONS(2330),
    [anon_sym_in] = ACTIONS(2330),
    [anon_sym_out] = ACTIONS(2330),
    [anon_sym_inout] = ACTIONS(2330),
    [anon_sym_extern] = ACTIONS(2330),
    [anon_sym___attribute__] = ACTIONS(2330),
    [anon_sym_COLON_COLON] = ACTIONS(2332),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2332),
    [anon_sym___declspec] = ACTIONS(2330),
    [anon_sym___based] = ACTIONS(2330),
    [anon_sym___cdecl] = ACTIONS(2330),
    [anon_sym___clrcall] = ACTIONS(2330),
    [anon_sym___stdcall] = ACTIONS(2330),
    [anon_sym___fastcall] = ACTIONS(2330),
    [anon_sym___thiscall] = ACTIONS(2330),
    [anon_sym___vectorcall] = ACTIONS(2330),
    [anon_sym_LBRACE] = ACTIONS(2332),
    [anon_sym_signed] = ACTIONS(2330),
    [anon_sym_unsigned] = ACTIONS(2330),
    [anon_sym_long] = ACTIONS(2330),
    [anon_sym_short] = ACTIONS(2330),
    [anon_sym_LBRACK] = ACTIONS(2330),
    [anon_sym_static] = ACTIONS(2330),
    [anon_sym_register] = ACTIONS(2330),
    [anon_sym_inline] = ACTIONS(2330),
    [anon_sym___inline] = ACTIONS(2330),
    [anon_sym___inline__] = ACTIONS(2330),
    [anon_sym___forceinline] = ACTIONS(2330),
    [anon_sym_thread_local] = ACTIONS(2330),
    [anon_sym___thread] = ACTIONS(2330),
    [anon_sym_const] = ACTIONS(2330),
    [anon_sym_constexpr] = ACTIONS(2330),
    [anon_sym_volatile] = ACTIONS(2330),
    [anon_sym_restrict] = ACTIONS(2330),
    [anon_sym___restrict__] = ACTIONS(2330),
    [anon_sym__Atomic] = ACTIONS(2330),
    [anon_sym__Noreturn] = ACTIONS(2330),
    [anon_sym_noreturn] = ACTIONS(2330),
    [anon_sym_mutable] = ACTIONS(2330),
    [anon_sym_constinit] = ACTIONS(2330),
    [anon_sym_consteval] = ACTIONS(2330),
    [sym_primitive_type] = ACTIONS(2330),
    [anon_sym_enum] = ACTIONS(2330),
    [anon_sym_class] = ACTIONS(2330),
    [anon_sym_struct] = ACTIONS(2330),
    [anon_sym_union] = ACTIONS(2330),
    [anon_sym_if] = ACTIONS(2330),
    [anon_sym_else] = ACTIONS(2330),
    [anon_sym_switch] = ACTIONS(2330),
    [anon_sym_case] = ACTIONS(2330),
    [anon_sym_default] = ACTIONS(2330),
    [anon_sym_while] = ACTIONS(2330),
    [anon_sym_do] = ACTIONS(2330),
    [anon_sym_for] = ACTIONS(2330),
    [anon_sym_return] = ACTIONS(2330),
    [anon_sym_break] = ACTIONS(2330),
    [anon_sym_continue] = ACTIONS(2330),
    [anon_sym_goto] = ACTIONS(2330),
    [anon_sym___try] = ACTIONS(2330),
    [anon_sym___leave] = ACTIONS(2330),
    [anon_sym_not] = ACTIONS(2330),
    [anon_sym_compl] = ACTIONS(2330),
    [anon_sym_DASH_DASH] = ACTIONS(2332),
    [anon_sym_PLUS_PLUS] = ACTIONS(2332),
    [anon_sym_sizeof] = ACTIONS(2330),
    [anon_sym___alignof__] = ACTIONS(2330),
    [anon_sym___alignof] = ACTIONS(2330),
    [anon_sym__alignof] = ACTIONS(2330),
    [anon_sym_alignof] = ACTIONS(2330),
    [anon_sym__Alignof] = ACTIONS(2330),
    [anon_sym_offsetof] = ACTIONS(2330),
    [anon_sym__Generic] = ACTIONS(2330),
    [anon_sym_asm] = ACTIONS(2330),
    [anon_sym___asm__] = ACTIONS(2330),
    [sym_number_literal] = ACTIONS(2332),
    [anon_sym_L_SQUOTE] = ACTIONS(2332),
    [anon_sym_u_SQUOTE] = ACTIONS(2332),
    [anon_sym_U_SQUOTE] = ACTIONS(2332),
    [anon_sym_u8_SQUOTE] = ACTIONS(2332),
    [anon_sym_SQUOTE] = ACTIONS(2332),
    [anon_sym_L_DQUOTE] = ACTIONS(2332),
    [anon_sym_u_DQUOTE] = ACTIONS(2332),
    [anon_sym_U_DQUOTE] = ACTIONS(2332),
    [anon_sym_u8_DQUOTE] = ACTIONS(2332),
    [anon_sym_DQUOTE] = ACTIONS(2332),
    [sym_true] = ACTIONS(2330),
    [sym_false] = ACTIONS(2330),
    [anon_sym_NULL] = ACTIONS(2330),
    [anon_sym_nullptr] = ACTIONS(2330),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2330),
    [anon_sym_decltype] = ACTIONS(2330),
    [anon_sym_virtual] = ACTIONS(2330),
    [anon_sym_alignas] = ACTIONS(2330),
    [anon_sym_explicit] = ACTIONS(2330),
    [anon_sym_typename] = ACTIONS(2330),
    [anon_sym_template] = ACTIONS(2330),
    [anon_sym_operator] = ACTIONS(2330),
    [anon_sym_try] = ACTIONS(2330),
    [anon_sym_delete] = ACTIONS(2330),
    [anon_sym_throw] = ACTIONS(2330),
    [anon_sym_namespace] = ACTIONS(2330),
    [anon_sym_using] = ACTIONS(2330),
    [anon_sym_static_assert] = ACTIONS(2330),
    [anon_sym_concept] = ACTIONS(2330),
    [anon_sym_co_return] = ACTIONS(2330),
    [anon_sym_co_yield] = ACTIONS(2330),
    [anon_sym_R_DQUOTE] = ACTIONS(2332),
    [anon_sym_LR_DQUOTE] = ACTIONS(2332),
    [anon_sym_uR_DQUOTE] = ACTIONS(2332),
    [anon_sym_UR_DQUOTE] = ACTIONS(2332),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2332),
    [anon_sym_co_await] = ACTIONS(2330),
    [anon_sym_new] = ACTIONS(2330),
    [anon_sym_requires] = ACTIONS(2330),
    [sym_this] = ACTIONS(2330),
    [anon_sym_discard] = ACTIONS(2330),
    [anon_sym_precise] = ACTIONS(2330),
    [anon_sym_shared] = ACTIONS(2330),
    [anon_sym_groupshared] = ACTIONS(2330),
    [anon_sym_uniform] = ACTIONS(2330),
    [anon_sym_row_major] = ACTIONS(2330),
    [anon_sym_column_major] = ACTIONS(2330),
    [anon_sym_globallycoherent] = ACTIONS(2330),
    [anon_sym_centroid] = ACTIONS(2330),
    [anon_sym_noperspective] = ACTIONS(2330),
    [anon_sym_nointerpolation] = ACTIONS(2330),
    [anon_sym_sample] = ACTIONS(2330),
    [anon_sym_linear] = ACTIONS(2330),
    [anon_sym_snorm] = ACTIONS(2330),
    [anon_sym_unorm] = ACTIONS(2330),
    [anon_sym_point] = ACTIONS(2330),
    [anon_sym_line] = ACTIONS(2330),
    [anon_sym_triangleadj] = ACTIONS(2330),
    [anon_sym_lineadj] = ACTIONS(2330),
    [anon_sym_triangle] = ACTIONS(2330),
    [anon_sym_cbuffer] = ACTIONS(2330),
  },
  [330] = {
    [sym_identifier] = ACTIONS(2330),
    [aux_sym_preproc_include_token1] = ACTIONS(2330),
    [aux_sym_preproc_def_token1] = ACTIONS(2330),
    [aux_sym_preproc_if_token1] = ACTIONS(2330),
    [aux_sym_preproc_if_token2] = ACTIONS(2330),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2330),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2330),
    [aux_sym_preproc_else_token1] = ACTIONS(2330),
    [aux_sym_preproc_elif_token1] = ACTIONS(2330),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2330),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2330),
    [sym_preproc_directive] = ACTIONS(2330),
    [anon_sym_LPAREN2] = ACTIONS(2332),
    [anon_sym_BANG] = ACTIONS(2332),
    [anon_sym_TILDE] = ACTIONS(2332),
    [anon_sym_DASH] = ACTIONS(2330),
    [anon_sym_PLUS] = ACTIONS(2330),
    [anon_sym_STAR] = ACTIONS(2332),
    [anon_sym_AMP_AMP] = ACTIONS(2332),
    [anon_sym_AMP] = ACTIONS(2330),
    [anon_sym_SEMI] = ACTIONS(2332),
    [anon_sym___extension__] = ACTIONS(2330),
    [anon_sym_typedef] = ACTIONS(2330),
    [anon_sym_in] = ACTIONS(2330),
    [anon_sym_out] = ACTIONS(2330),
    [anon_sym_inout] = ACTIONS(2330),
    [anon_sym_extern] = ACTIONS(2330),
    [anon_sym___attribute__] = ACTIONS(2330),
    [anon_sym_COLON_COLON] = ACTIONS(2332),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2332),
    [anon_sym___declspec] = ACTIONS(2330),
    [anon_sym___based] = ACTIONS(2330),
    [anon_sym___cdecl] = ACTIONS(2330),
    [anon_sym___clrcall] = ACTIONS(2330),
    [anon_sym___stdcall] = ACTIONS(2330),
    [anon_sym___fastcall] = ACTIONS(2330),
    [anon_sym___thiscall] = ACTIONS(2330),
    [anon_sym___vectorcall] = ACTIONS(2330),
    [anon_sym_LBRACE] = ACTIONS(2332),
    [anon_sym_signed] = ACTIONS(2330),
    [anon_sym_unsigned] = ACTIONS(2330),
    [anon_sym_long] = ACTIONS(2330),
    [anon_sym_short] = ACTIONS(2330),
    [anon_sym_LBRACK] = ACTIONS(2330),
    [anon_sym_static] = ACTIONS(2330),
    [anon_sym_register] = ACTIONS(2330),
    [anon_sym_inline] = ACTIONS(2330),
    [anon_sym___inline] = ACTIONS(2330),
    [anon_sym___inline__] = ACTIONS(2330),
    [anon_sym___forceinline] = ACTIONS(2330),
    [anon_sym_thread_local] = ACTIONS(2330),
    [anon_sym___thread] = ACTIONS(2330),
    [anon_sym_const] = ACTIONS(2330),
    [anon_sym_constexpr] = ACTIONS(2330),
    [anon_sym_volatile] = ACTIONS(2330),
    [anon_sym_restrict] = ACTIONS(2330),
    [anon_sym___restrict__] = ACTIONS(2330),
    [anon_sym__Atomic] = ACTIONS(2330),
    [anon_sym__Noreturn] = ACTIONS(2330),
    [anon_sym_noreturn] = ACTIONS(2330),
    [anon_sym_mutable] = ACTIONS(2330),
    [anon_sym_constinit] = ACTIONS(2330),
    [anon_sym_consteval] = ACTIONS(2330),
    [sym_primitive_type] = ACTIONS(2330),
    [anon_sym_enum] = ACTIONS(2330),
    [anon_sym_class] = ACTIONS(2330),
    [anon_sym_struct] = ACTIONS(2330),
    [anon_sym_union] = ACTIONS(2330),
    [anon_sym_if] = ACTIONS(2330),
    [anon_sym_else] = ACTIONS(2330),
    [anon_sym_switch] = ACTIONS(2330),
    [anon_sym_case] = ACTIONS(2330),
    [anon_sym_default] = ACTIONS(2330),
    [anon_sym_while] = ACTIONS(2330),
    [anon_sym_do] = ACTIONS(2330),
    [anon_sym_for] = ACTIONS(2330),
    [anon_sym_return] = ACTIONS(2330),
    [anon_sym_break] = ACTIONS(2330),
    [anon_sym_continue] = ACTIONS(2330),
    [anon_sym_goto] = ACTIONS(2330),
    [anon_sym___try] = ACTIONS(2330),
    [anon_sym___leave] = ACTIONS(2330),
    [anon_sym_not] = ACTIONS(2330),
    [anon_sym_compl] = ACTIONS(2330),
    [anon_sym_DASH_DASH] = ACTIONS(2332),
    [anon_sym_PLUS_PLUS] = ACTIONS(2332),
    [anon_sym_sizeof] = ACTIONS(2330),
    [anon_sym___alignof__] = ACTIONS(2330),
    [anon_sym___alignof] = ACTIONS(2330),
    [anon_sym__alignof] = ACTIONS(2330),
    [anon_sym_alignof] = ACTIONS(2330),
    [anon_sym__Alignof] = ACTIONS(2330),
    [anon_sym_offsetof] = ACTIONS(2330),
    [anon_sym__Generic] = ACTIONS(2330),
    [anon_sym_asm] = ACTIONS(2330),
    [anon_sym___asm__] = ACTIONS(2330),
    [sym_number_literal] = ACTIONS(2332),
    [anon_sym_L_SQUOTE] = ACTIONS(2332),
    [anon_sym_u_SQUOTE] = ACTIONS(2332),
    [anon_sym_U_SQUOTE] = ACTIONS(2332),
    [anon_sym_u8_SQUOTE] = ACTIONS(2332),
    [anon_sym_SQUOTE] = ACTIONS(2332),
    [anon_sym_L_DQUOTE] = ACTIONS(2332),
    [anon_sym_u_DQUOTE] = ACTIONS(2332),
    [anon_sym_U_DQUOTE] = ACTIONS(2332),
    [anon_sym_u8_DQUOTE] = ACTIONS(2332),
    [anon_sym_DQUOTE] = ACTIONS(2332),
    [sym_true] = ACTIONS(2330),
    [sym_false] = ACTIONS(2330),
    [anon_sym_NULL] = ACTIONS(2330),
    [anon_sym_nullptr] = ACTIONS(2330),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2330),
    [anon_sym_decltype] = ACTIONS(2330),
    [anon_sym_virtual] = ACTIONS(2330),
    [anon_sym_alignas] = ACTIONS(2330),
    [anon_sym_explicit] = ACTIONS(2330),
    [anon_sym_typename] = ACTIONS(2330),
    [anon_sym_template] = ACTIONS(2330),
    [anon_sym_operator] = ACTIONS(2330),
    [anon_sym_try] = ACTIONS(2330),
    [anon_sym_delete] = ACTIONS(2330),
    [anon_sym_throw] = ACTIONS(2330),
    [anon_sym_namespace] = ACTIONS(2330),
    [anon_sym_using] = ACTIONS(2330),
    [anon_sym_static_assert] = ACTIONS(2330),
    [anon_sym_concept] = ACTIONS(2330),
    [anon_sym_co_return] = ACTIONS(2330),
    [anon_sym_co_yield] = ACTIONS(2330),
    [anon_sym_R_DQUOTE] = ACTIONS(2332),
    [anon_sym_LR_DQUOTE] = ACTIONS(2332),
    [anon_sym_uR_DQUOTE] = ACTIONS(2332),
    [anon_sym_UR_DQUOTE] = ACTIONS(2332),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2332),
    [anon_sym_co_await] = ACTIONS(2330),
    [anon_sym_new] = ACTIONS(2330),
    [anon_sym_requires] = ACTIONS(2330),
    [sym_this] = ACTIONS(2330),
    [anon_sym_discard] = ACTIONS(2330),
    [anon_sym_precise] = ACTIONS(2330),
    [anon_sym_shared] = ACTIONS(2330),
    [anon_sym_groupshared] = ACTIONS(2330),
    [anon_sym_uniform] = ACTIONS(2330),
    [anon_sym_row_major] = ACTIONS(2330),
    [anon_sym_column_major] = ACTIONS(2330),
    [anon_sym_globallycoherent] = ACTIONS(2330),
    [anon_sym_centroid] = ACTIONS(2330),
    [anon_sym_noperspective] = ACTIONS(2330),
    [anon_sym_nointerpolation] = ACTIONS(2330),
    [anon_sym_sample] = ACTIONS(2330),
    [anon_sym_linear] = ACTIONS(2330),
    [anon_sym_snorm] = ACTIONS(2330),
    [anon_sym_unorm] = ACTIONS(2330),
    [anon_sym_point] = ACTIONS(2330),
    [anon_sym_line] = ACTIONS(2330),
    [anon_sym_triangleadj] = ACTIONS(2330),
    [anon_sym_lineadj] = ACTIONS(2330),
    [anon_sym_triangle] = ACTIONS(2330),
    [anon_sym_cbuffer] = ACTIONS(2330),
  },
  [331] = {
    [sym_identifier] = ACTIONS(2492),
    [aux_sym_preproc_include_token1] = ACTIONS(2492),
    [aux_sym_preproc_def_token1] = ACTIONS(2492),
    [aux_sym_preproc_if_token1] = ACTIONS(2492),
    [aux_sym_preproc_if_token2] = ACTIONS(2492),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2492),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2492),
    [aux_sym_preproc_else_token1] = ACTIONS(2492),
    [aux_sym_preproc_elif_token1] = ACTIONS(2492),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2492),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2492),
    [sym_preproc_directive] = ACTIONS(2492),
    [anon_sym_LPAREN2] = ACTIONS(2494),
    [anon_sym_BANG] = ACTIONS(2494),
    [anon_sym_TILDE] = ACTIONS(2494),
    [anon_sym_DASH] = ACTIONS(2492),
    [anon_sym_PLUS] = ACTIONS(2492),
    [anon_sym_STAR] = ACTIONS(2494),
    [anon_sym_AMP_AMP] = ACTIONS(2494),
    [anon_sym_AMP] = ACTIONS(2492),
    [anon_sym_SEMI] = ACTIONS(2494),
    [anon_sym___extension__] = ACTIONS(2492),
    [anon_sym_typedef] = ACTIONS(2492),
    [anon_sym_in] = ACTIONS(2492),
    [anon_sym_out] = ACTIONS(2492),
    [anon_sym_inout] = ACTIONS(2492),
    [anon_sym_extern] = ACTIONS(2492),
    [anon_sym___attribute__] = ACTIONS(2492),
    [anon_sym_COLON_COLON] = ACTIONS(2494),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2494),
    [anon_sym___declspec] = ACTIONS(2492),
    [anon_sym___based] = ACTIONS(2492),
    [anon_sym___cdecl] = ACTIONS(2492),
    [anon_sym___clrcall] = ACTIONS(2492),
    [anon_sym___stdcall] = ACTIONS(2492),
    [anon_sym___fastcall] = ACTIONS(2492),
    [anon_sym___thiscall] = ACTIONS(2492),
    [anon_sym___vectorcall] = ACTIONS(2492),
    [anon_sym_LBRACE] = ACTIONS(2494),
    [anon_sym_signed] = ACTIONS(2492),
    [anon_sym_unsigned] = ACTIONS(2492),
    [anon_sym_long] = ACTIONS(2492),
    [anon_sym_short] = ACTIONS(2492),
    [anon_sym_LBRACK] = ACTIONS(2492),
    [anon_sym_static] = ACTIONS(2492),
    [anon_sym_register] = ACTIONS(2492),
    [anon_sym_inline] = ACTIONS(2492),
    [anon_sym___inline] = ACTIONS(2492),
    [anon_sym___inline__] = ACTIONS(2492),
    [anon_sym___forceinline] = ACTIONS(2492),
    [anon_sym_thread_local] = ACTIONS(2492),
    [anon_sym___thread] = ACTIONS(2492),
    [anon_sym_const] = ACTIONS(2492),
    [anon_sym_constexpr] = ACTIONS(2492),
    [anon_sym_volatile] = ACTIONS(2492),
    [anon_sym_restrict] = ACTIONS(2492),
    [anon_sym___restrict__] = ACTIONS(2492),
    [anon_sym__Atomic] = ACTIONS(2492),
    [anon_sym__Noreturn] = ACTIONS(2492),
    [anon_sym_noreturn] = ACTIONS(2492),
    [anon_sym_mutable] = ACTIONS(2492),
    [anon_sym_constinit] = ACTIONS(2492),
    [anon_sym_consteval] = ACTIONS(2492),
    [sym_primitive_type] = ACTIONS(2492),
    [anon_sym_enum] = ACTIONS(2492),
    [anon_sym_class] = ACTIONS(2492),
    [anon_sym_struct] = ACTIONS(2492),
    [anon_sym_union] = ACTIONS(2492),
    [anon_sym_if] = ACTIONS(2492),
    [anon_sym_else] = ACTIONS(2492),
    [anon_sym_switch] = ACTIONS(2492),
    [anon_sym_case] = ACTIONS(2492),
    [anon_sym_default] = ACTIONS(2492),
    [anon_sym_while] = ACTIONS(2492),
    [anon_sym_do] = ACTIONS(2492),
    [anon_sym_for] = ACTIONS(2492),
    [anon_sym_return] = ACTIONS(2492),
    [anon_sym_break] = ACTIONS(2492),
    [anon_sym_continue] = ACTIONS(2492),
    [anon_sym_goto] = ACTIONS(2492),
    [anon_sym___try] = ACTIONS(2492),
    [anon_sym___leave] = ACTIONS(2492),
    [anon_sym_not] = ACTIONS(2492),
    [anon_sym_compl] = ACTIONS(2492),
    [anon_sym_DASH_DASH] = ACTIONS(2494),
    [anon_sym_PLUS_PLUS] = ACTIONS(2494),
    [anon_sym_sizeof] = ACTIONS(2492),
    [anon_sym___alignof__] = ACTIONS(2492),
    [anon_sym___alignof] = ACTIONS(2492),
    [anon_sym__alignof] = ACTIONS(2492),
    [anon_sym_alignof] = ACTIONS(2492),
    [anon_sym__Alignof] = ACTIONS(2492),
    [anon_sym_offsetof] = ACTIONS(2492),
    [anon_sym__Generic] = ACTIONS(2492),
    [anon_sym_asm] = ACTIONS(2492),
    [anon_sym___asm__] = ACTIONS(2492),
    [sym_number_literal] = ACTIONS(2494),
    [anon_sym_L_SQUOTE] = ACTIONS(2494),
    [anon_sym_u_SQUOTE] = ACTIONS(2494),
    [anon_sym_U_SQUOTE] = ACTIONS(2494),
    [anon_sym_u8_SQUOTE] = ACTIONS(2494),
    [anon_sym_SQUOTE] = ACTIONS(2494),
    [anon_sym_L_DQUOTE] = ACTIONS(2494),
    [anon_sym_u_DQUOTE] = ACTIONS(2494),
    [anon_sym_U_DQUOTE] = ACTIONS(2494),
    [anon_sym_u8_DQUOTE] = ACTIONS(2494),
    [anon_sym_DQUOTE] = ACTIONS(2494),
    [sym_true] = ACTIONS(2492),
    [sym_false] = ACTIONS(2492),
    [anon_sym_NULL] = ACTIONS(2492),
    [anon_sym_nullptr] = ACTIONS(2492),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2492),
    [anon_sym_decltype] = ACTIONS(2492),
    [anon_sym_virtual] = ACTIONS(2492),
    [anon_sym_alignas] = ACTIONS(2492),
    [anon_sym_explicit] = ACTIONS(2492),
    [anon_sym_typename] = ACTIONS(2492),
    [anon_sym_template] = ACTIONS(2492),
    [anon_sym_operator] = ACTIONS(2492),
    [anon_sym_try] = ACTIONS(2492),
    [anon_sym_delete] = ACTIONS(2492),
    [anon_sym_throw] = ACTIONS(2492),
    [anon_sym_namespace] = ACTIONS(2492),
    [anon_sym_using] = ACTIONS(2492),
    [anon_sym_static_assert] = ACTIONS(2492),
    [anon_sym_concept] = ACTIONS(2492),
    [anon_sym_co_return] = ACTIONS(2492),
    [anon_sym_co_yield] = ACTIONS(2492),
    [anon_sym_R_DQUOTE] = ACTIONS(2494),
    [anon_sym_LR_DQUOTE] = ACTIONS(2494),
    [anon_sym_uR_DQUOTE] = ACTIONS(2494),
    [anon_sym_UR_DQUOTE] = ACTIONS(2494),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2494),
    [anon_sym_co_await] = ACTIONS(2492),
    [anon_sym_new] = ACTIONS(2492),
    [anon_sym_requires] = ACTIONS(2492),
    [sym_this] = ACTIONS(2492),
    [anon_sym_discard] = ACTIONS(2492),
    [anon_sym_precise] = ACTIONS(2492),
    [anon_sym_shared] = ACTIONS(2492),
    [anon_sym_groupshared] = ACTIONS(2492),
    [anon_sym_uniform] = ACTIONS(2492),
    [anon_sym_row_major] = ACTIONS(2492),
    [anon_sym_column_major] = ACTIONS(2492),
    [anon_sym_globallycoherent] = ACTIONS(2492),
    [anon_sym_centroid] = ACTIONS(2492),
    [anon_sym_noperspective] = ACTIONS(2492),
    [anon_sym_nointerpolation] = ACTIONS(2492),
    [anon_sym_sample] = ACTIONS(2492),
    [anon_sym_linear] = ACTIONS(2492),
    [anon_sym_snorm] = ACTIONS(2492),
    [anon_sym_unorm] = ACTIONS(2492),
    [anon_sym_point] = ACTIONS(2492),
    [anon_sym_line] = ACTIONS(2492),
    [anon_sym_triangleadj] = ACTIONS(2492),
    [anon_sym_lineadj] = ACTIONS(2492),
    [anon_sym_triangle] = ACTIONS(2492),
    [anon_sym_cbuffer] = ACTIONS(2492),
  },
  [332] = {
    [sym_identifier] = ACTIONS(2330),
    [aux_sym_preproc_include_token1] = ACTIONS(2330),
    [aux_sym_preproc_def_token1] = ACTIONS(2330),
    [aux_sym_preproc_if_token1] = ACTIONS(2330),
    [aux_sym_preproc_if_token2] = ACTIONS(2330),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2330),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2330),
    [aux_sym_preproc_else_token1] = ACTIONS(2330),
    [aux_sym_preproc_elif_token1] = ACTIONS(2330),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2330),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2330),
    [sym_preproc_directive] = ACTIONS(2330),
    [anon_sym_LPAREN2] = ACTIONS(2332),
    [anon_sym_BANG] = ACTIONS(2332),
    [anon_sym_TILDE] = ACTIONS(2332),
    [anon_sym_DASH] = ACTIONS(2330),
    [anon_sym_PLUS] = ACTIONS(2330),
    [anon_sym_STAR] = ACTIONS(2332),
    [anon_sym_AMP_AMP] = ACTIONS(2332),
    [anon_sym_AMP] = ACTIONS(2330),
    [anon_sym_SEMI] = ACTIONS(2332),
    [anon_sym___extension__] = ACTIONS(2330),
    [anon_sym_typedef] = ACTIONS(2330),
    [anon_sym_in] = ACTIONS(2330),
    [anon_sym_out] = ACTIONS(2330),
    [anon_sym_inout] = ACTIONS(2330),
    [anon_sym_extern] = ACTIONS(2330),
    [anon_sym___attribute__] = ACTIONS(2330),
    [anon_sym_COLON_COLON] = ACTIONS(2332),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2332),
    [anon_sym___declspec] = ACTIONS(2330),
    [anon_sym___based] = ACTIONS(2330),
    [anon_sym___cdecl] = ACTIONS(2330),
    [anon_sym___clrcall] = ACTIONS(2330),
    [anon_sym___stdcall] = ACTIONS(2330),
    [anon_sym___fastcall] = ACTIONS(2330),
    [anon_sym___thiscall] = ACTIONS(2330),
    [anon_sym___vectorcall] = ACTIONS(2330),
    [anon_sym_LBRACE] = ACTIONS(2332),
    [anon_sym_signed] = ACTIONS(2330),
    [anon_sym_unsigned] = ACTIONS(2330),
    [anon_sym_long] = ACTIONS(2330),
    [anon_sym_short] = ACTIONS(2330),
    [anon_sym_LBRACK] = ACTIONS(2330),
    [anon_sym_static] = ACTIONS(2330),
    [anon_sym_register] = ACTIONS(2330),
    [anon_sym_inline] = ACTIONS(2330),
    [anon_sym___inline] = ACTIONS(2330),
    [anon_sym___inline__] = ACTIONS(2330),
    [anon_sym___forceinline] = ACTIONS(2330),
    [anon_sym_thread_local] = ACTIONS(2330),
    [anon_sym___thread] = ACTIONS(2330),
    [anon_sym_const] = ACTIONS(2330),
    [anon_sym_constexpr] = ACTIONS(2330),
    [anon_sym_volatile] = ACTIONS(2330),
    [anon_sym_restrict] = ACTIONS(2330),
    [anon_sym___restrict__] = ACTIONS(2330),
    [anon_sym__Atomic] = ACTIONS(2330),
    [anon_sym__Noreturn] = ACTIONS(2330),
    [anon_sym_noreturn] = ACTIONS(2330),
    [anon_sym_mutable] = ACTIONS(2330),
    [anon_sym_constinit] = ACTIONS(2330),
    [anon_sym_consteval] = ACTIONS(2330),
    [sym_primitive_type] = ACTIONS(2330),
    [anon_sym_enum] = ACTIONS(2330),
    [anon_sym_class] = ACTIONS(2330),
    [anon_sym_struct] = ACTIONS(2330),
    [anon_sym_union] = ACTIONS(2330),
    [anon_sym_if] = ACTIONS(2330),
    [anon_sym_else] = ACTIONS(2330),
    [anon_sym_switch] = ACTIONS(2330),
    [anon_sym_case] = ACTIONS(2330),
    [anon_sym_default] = ACTIONS(2330),
    [anon_sym_while] = ACTIONS(2330),
    [anon_sym_do] = ACTIONS(2330),
    [anon_sym_for] = ACTIONS(2330),
    [anon_sym_return] = ACTIONS(2330),
    [anon_sym_break] = ACTIONS(2330),
    [anon_sym_continue] = ACTIONS(2330),
    [anon_sym_goto] = ACTIONS(2330),
    [anon_sym___try] = ACTIONS(2330),
    [anon_sym___leave] = ACTIONS(2330),
    [anon_sym_not] = ACTIONS(2330),
    [anon_sym_compl] = ACTIONS(2330),
    [anon_sym_DASH_DASH] = ACTIONS(2332),
    [anon_sym_PLUS_PLUS] = ACTIONS(2332),
    [anon_sym_sizeof] = ACTIONS(2330),
    [anon_sym___alignof__] = ACTIONS(2330),
    [anon_sym___alignof] = ACTIONS(2330),
    [anon_sym__alignof] = ACTIONS(2330),
    [anon_sym_alignof] = ACTIONS(2330),
    [anon_sym__Alignof] = ACTIONS(2330),
    [anon_sym_offsetof] = ACTIONS(2330),
    [anon_sym__Generic] = ACTIONS(2330),
    [anon_sym_asm] = ACTIONS(2330),
    [anon_sym___asm__] = ACTIONS(2330),
    [sym_number_literal] = ACTIONS(2332),
    [anon_sym_L_SQUOTE] = ACTIONS(2332),
    [anon_sym_u_SQUOTE] = ACTIONS(2332),
    [anon_sym_U_SQUOTE] = ACTIONS(2332),
    [anon_sym_u8_SQUOTE] = ACTIONS(2332),
    [anon_sym_SQUOTE] = ACTIONS(2332),
    [anon_sym_L_DQUOTE] = ACTIONS(2332),
    [anon_sym_u_DQUOTE] = ACTIONS(2332),
    [anon_sym_U_DQUOTE] = ACTIONS(2332),
    [anon_sym_u8_DQUOTE] = ACTIONS(2332),
    [anon_sym_DQUOTE] = ACTIONS(2332),
    [sym_true] = ACTIONS(2330),
    [sym_false] = ACTIONS(2330),
    [anon_sym_NULL] = ACTIONS(2330),
    [anon_sym_nullptr] = ACTIONS(2330),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2330),
    [anon_sym_decltype] = ACTIONS(2330),
    [anon_sym_virtual] = ACTIONS(2330),
    [anon_sym_alignas] = ACTIONS(2330),
    [anon_sym_explicit] = ACTIONS(2330),
    [anon_sym_typename] = ACTIONS(2330),
    [anon_sym_template] = ACTIONS(2330),
    [anon_sym_operator] = ACTIONS(2330),
    [anon_sym_try] = ACTIONS(2330),
    [anon_sym_delete] = ACTIONS(2330),
    [anon_sym_throw] = ACTIONS(2330),
    [anon_sym_namespace] = ACTIONS(2330),
    [anon_sym_using] = ACTIONS(2330),
    [anon_sym_static_assert] = ACTIONS(2330),
    [anon_sym_concept] = ACTIONS(2330),
    [anon_sym_co_return] = ACTIONS(2330),
    [anon_sym_co_yield] = ACTIONS(2330),
    [anon_sym_R_DQUOTE] = ACTIONS(2332),
    [anon_sym_LR_DQUOTE] = ACTIONS(2332),
    [anon_sym_uR_DQUOTE] = ACTIONS(2332),
    [anon_sym_UR_DQUOTE] = ACTIONS(2332),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2332),
    [anon_sym_co_await] = ACTIONS(2330),
    [anon_sym_new] = ACTIONS(2330),
    [anon_sym_requires] = ACTIONS(2330),
    [sym_this] = ACTIONS(2330),
    [anon_sym_discard] = ACTIONS(2330),
    [anon_sym_precise] = ACTIONS(2330),
    [anon_sym_shared] = ACTIONS(2330),
    [anon_sym_groupshared] = ACTIONS(2330),
    [anon_sym_uniform] = ACTIONS(2330),
    [anon_sym_row_major] = ACTIONS(2330),
    [anon_sym_column_major] = ACTIONS(2330),
    [anon_sym_globallycoherent] = ACTIONS(2330),
    [anon_sym_centroid] = ACTIONS(2330),
    [anon_sym_noperspective] = ACTIONS(2330),
    [anon_sym_nointerpolation] = ACTIONS(2330),
    [anon_sym_sample] = ACTIONS(2330),
    [anon_sym_linear] = ACTIONS(2330),
    [anon_sym_snorm] = ACTIONS(2330),
    [anon_sym_unorm] = ACTIONS(2330),
    [anon_sym_point] = ACTIONS(2330),
    [anon_sym_line] = ACTIONS(2330),
    [anon_sym_triangleadj] = ACTIONS(2330),
    [anon_sym_lineadj] = ACTIONS(2330),
    [anon_sym_triangle] = ACTIONS(2330),
    [anon_sym_cbuffer] = ACTIONS(2330),
  },
  [333] = {
    [sym_identifier] = ACTIONS(2330),
    [aux_sym_preproc_include_token1] = ACTIONS(2330),
    [aux_sym_preproc_def_token1] = ACTIONS(2330),
    [aux_sym_preproc_if_token1] = ACTIONS(2330),
    [aux_sym_preproc_if_token2] = ACTIONS(2330),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2330),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2330),
    [aux_sym_preproc_else_token1] = ACTIONS(2330),
    [aux_sym_preproc_elif_token1] = ACTIONS(2330),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2330),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2330),
    [sym_preproc_directive] = ACTIONS(2330),
    [anon_sym_LPAREN2] = ACTIONS(2332),
    [anon_sym_BANG] = ACTIONS(2332),
    [anon_sym_TILDE] = ACTIONS(2332),
    [anon_sym_DASH] = ACTIONS(2330),
    [anon_sym_PLUS] = ACTIONS(2330),
    [anon_sym_STAR] = ACTIONS(2332),
    [anon_sym_AMP_AMP] = ACTIONS(2332),
    [anon_sym_AMP] = ACTIONS(2330),
    [anon_sym_SEMI] = ACTIONS(2332),
    [anon_sym___extension__] = ACTIONS(2330),
    [anon_sym_typedef] = ACTIONS(2330),
    [anon_sym_in] = ACTIONS(2330),
    [anon_sym_out] = ACTIONS(2330),
    [anon_sym_inout] = ACTIONS(2330),
    [anon_sym_extern] = ACTIONS(2330),
    [anon_sym___attribute__] = ACTIONS(2330),
    [anon_sym_COLON_COLON] = ACTIONS(2332),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2332),
    [anon_sym___declspec] = ACTIONS(2330),
    [anon_sym___based] = ACTIONS(2330),
    [anon_sym___cdecl] = ACTIONS(2330),
    [anon_sym___clrcall] = ACTIONS(2330),
    [anon_sym___stdcall] = ACTIONS(2330),
    [anon_sym___fastcall] = ACTIONS(2330),
    [anon_sym___thiscall] = ACTIONS(2330),
    [anon_sym___vectorcall] = ACTIONS(2330),
    [anon_sym_LBRACE] = ACTIONS(2332),
    [anon_sym_signed] = ACTIONS(2330),
    [anon_sym_unsigned] = ACTIONS(2330),
    [anon_sym_long] = ACTIONS(2330),
    [anon_sym_short] = ACTIONS(2330),
    [anon_sym_LBRACK] = ACTIONS(2330),
    [anon_sym_static] = ACTIONS(2330),
    [anon_sym_register] = ACTIONS(2330),
    [anon_sym_inline] = ACTIONS(2330),
    [anon_sym___inline] = ACTIONS(2330),
    [anon_sym___inline__] = ACTIONS(2330),
    [anon_sym___forceinline] = ACTIONS(2330),
    [anon_sym_thread_local] = ACTIONS(2330),
    [anon_sym___thread] = ACTIONS(2330),
    [anon_sym_const] = ACTIONS(2330),
    [anon_sym_constexpr] = ACTIONS(2330),
    [anon_sym_volatile] = ACTIONS(2330),
    [anon_sym_restrict] = ACTIONS(2330),
    [anon_sym___restrict__] = ACTIONS(2330),
    [anon_sym__Atomic] = ACTIONS(2330),
    [anon_sym__Noreturn] = ACTIONS(2330),
    [anon_sym_noreturn] = ACTIONS(2330),
    [anon_sym_mutable] = ACTIONS(2330),
    [anon_sym_constinit] = ACTIONS(2330),
    [anon_sym_consteval] = ACTIONS(2330),
    [sym_primitive_type] = ACTIONS(2330),
    [anon_sym_enum] = ACTIONS(2330),
    [anon_sym_class] = ACTIONS(2330),
    [anon_sym_struct] = ACTIONS(2330),
    [anon_sym_union] = ACTIONS(2330),
    [anon_sym_if] = ACTIONS(2330),
    [anon_sym_else] = ACTIONS(2330),
    [anon_sym_switch] = ACTIONS(2330),
    [anon_sym_case] = ACTIONS(2330),
    [anon_sym_default] = ACTIONS(2330),
    [anon_sym_while] = ACTIONS(2330),
    [anon_sym_do] = ACTIONS(2330),
    [anon_sym_for] = ACTIONS(2330),
    [anon_sym_return] = ACTIONS(2330),
    [anon_sym_break] = ACTIONS(2330),
    [anon_sym_continue] = ACTIONS(2330),
    [anon_sym_goto] = ACTIONS(2330),
    [anon_sym___try] = ACTIONS(2330),
    [anon_sym___leave] = ACTIONS(2330),
    [anon_sym_not] = ACTIONS(2330),
    [anon_sym_compl] = ACTIONS(2330),
    [anon_sym_DASH_DASH] = ACTIONS(2332),
    [anon_sym_PLUS_PLUS] = ACTIONS(2332),
    [anon_sym_sizeof] = ACTIONS(2330),
    [anon_sym___alignof__] = ACTIONS(2330),
    [anon_sym___alignof] = ACTIONS(2330),
    [anon_sym__alignof] = ACTIONS(2330),
    [anon_sym_alignof] = ACTIONS(2330),
    [anon_sym__Alignof] = ACTIONS(2330),
    [anon_sym_offsetof] = ACTIONS(2330),
    [anon_sym__Generic] = ACTIONS(2330),
    [anon_sym_asm] = ACTIONS(2330),
    [anon_sym___asm__] = ACTIONS(2330),
    [sym_number_literal] = ACTIONS(2332),
    [anon_sym_L_SQUOTE] = ACTIONS(2332),
    [anon_sym_u_SQUOTE] = ACTIONS(2332),
    [anon_sym_U_SQUOTE] = ACTIONS(2332),
    [anon_sym_u8_SQUOTE] = ACTIONS(2332),
    [anon_sym_SQUOTE] = ACTIONS(2332),
    [anon_sym_L_DQUOTE] = ACTIONS(2332),
    [anon_sym_u_DQUOTE] = ACTIONS(2332),
    [anon_sym_U_DQUOTE] = ACTIONS(2332),
    [anon_sym_u8_DQUOTE] = ACTIONS(2332),
    [anon_sym_DQUOTE] = ACTIONS(2332),
    [sym_true] = ACTIONS(2330),
    [sym_false] = ACTIONS(2330),
    [anon_sym_NULL] = ACTIONS(2330),
    [anon_sym_nullptr] = ACTIONS(2330),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2330),
    [anon_sym_decltype] = ACTIONS(2330),
    [anon_sym_virtual] = ACTIONS(2330),
    [anon_sym_alignas] = ACTIONS(2330),
    [anon_sym_explicit] = ACTIONS(2330),
    [anon_sym_typename] = ACTIONS(2330),
    [anon_sym_template] = ACTIONS(2330),
    [anon_sym_operator] = ACTIONS(2330),
    [anon_sym_try] = ACTIONS(2330),
    [anon_sym_delete] = ACTIONS(2330),
    [anon_sym_throw] = ACTIONS(2330),
    [anon_sym_namespace] = ACTIONS(2330),
    [anon_sym_using] = ACTIONS(2330),
    [anon_sym_static_assert] = ACTIONS(2330),
    [anon_sym_concept] = ACTIONS(2330),
    [anon_sym_co_return] = ACTIONS(2330),
    [anon_sym_co_yield] = ACTIONS(2330),
    [anon_sym_R_DQUOTE] = ACTIONS(2332),
    [anon_sym_LR_DQUOTE] = ACTIONS(2332),
    [anon_sym_uR_DQUOTE] = ACTIONS(2332),
    [anon_sym_UR_DQUOTE] = ACTIONS(2332),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2332),
    [anon_sym_co_await] = ACTIONS(2330),
    [anon_sym_new] = ACTIONS(2330),
    [anon_sym_requires] = ACTIONS(2330),
    [sym_this] = ACTIONS(2330),
    [anon_sym_discard] = ACTIONS(2330),
    [anon_sym_precise] = ACTIONS(2330),
    [anon_sym_shared] = ACTIONS(2330),
    [anon_sym_groupshared] = ACTIONS(2330),
    [anon_sym_uniform] = ACTIONS(2330),
    [anon_sym_row_major] = ACTIONS(2330),
    [anon_sym_column_major] = ACTIONS(2330),
    [anon_sym_globallycoherent] = ACTIONS(2330),
    [anon_sym_centroid] = ACTIONS(2330),
    [anon_sym_noperspective] = ACTIONS(2330),
    [anon_sym_nointerpolation] = ACTIONS(2330),
    [anon_sym_sample] = ACTIONS(2330),
    [anon_sym_linear] = ACTIONS(2330),
    [anon_sym_snorm] = ACTIONS(2330),
    [anon_sym_unorm] = ACTIONS(2330),
    [anon_sym_point] = ACTIONS(2330),
    [anon_sym_line] = ACTIONS(2330),
    [anon_sym_triangleadj] = ACTIONS(2330),
    [anon_sym_lineadj] = ACTIONS(2330),
    [anon_sym_triangle] = ACTIONS(2330),
    [anon_sym_cbuffer] = ACTIONS(2330),
  },
  [334] = {
    [sym_catch_clause] = STATE(213),
    [aux_sym_constructor_try_statement_repeat1] = STATE(213),
    [sym_identifier] = ACTIONS(2285),
    [aux_sym_preproc_include_token1] = ACTIONS(2285),
    [aux_sym_preproc_def_token1] = ACTIONS(2285),
    [aux_sym_preproc_if_token1] = ACTIONS(2285),
    [aux_sym_preproc_if_token2] = ACTIONS(2285),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2285),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2285),
    [aux_sym_preproc_else_token1] = ACTIONS(2285),
    [aux_sym_preproc_elif_token1] = ACTIONS(2285),
    [sym_preproc_directive] = ACTIONS(2285),
    [anon_sym_LPAREN2] = ACTIONS(2287),
    [anon_sym_BANG] = ACTIONS(2287),
    [anon_sym_TILDE] = ACTIONS(2287),
    [anon_sym_DASH] = ACTIONS(2285),
    [anon_sym_PLUS] = ACTIONS(2285),
    [anon_sym_STAR] = ACTIONS(2287),
    [anon_sym_AMP_AMP] = ACTIONS(2287),
    [anon_sym_AMP] = ACTIONS(2285),
    [anon_sym_SEMI] = ACTIONS(2287),
    [anon_sym___extension__] = ACTIONS(2285),
    [anon_sym_typedef] = ACTIONS(2285),
    [anon_sym_in] = ACTIONS(2285),
    [anon_sym_out] = ACTIONS(2285),
    [anon_sym_inout] = ACTIONS(2285),
    [anon_sym_extern] = ACTIONS(2285),
    [anon_sym___attribute__] = ACTIONS(2285),
    [anon_sym_COLON_COLON] = ACTIONS(2287),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2287),
    [anon_sym___declspec] = ACTIONS(2285),
    [anon_sym___based] = ACTIONS(2285),
    [anon_sym___cdecl] = ACTIONS(2285),
    [anon_sym___clrcall] = ACTIONS(2285),
    [anon_sym___stdcall] = ACTIONS(2285),
    [anon_sym___fastcall] = ACTIONS(2285),
    [anon_sym___thiscall] = ACTIONS(2285),
    [anon_sym___vectorcall] = ACTIONS(2285),
    [anon_sym_LBRACE] = ACTIONS(2287),
    [anon_sym_signed] = ACTIONS(2285),
    [anon_sym_unsigned] = ACTIONS(2285),
    [anon_sym_long] = ACTIONS(2285),
    [anon_sym_short] = ACTIONS(2285),
    [anon_sym_LBRACK] = ACTIONS(2285),
    [anon_sym_static] = ACTIONS(2285),
    [anon_sym_register] = ACTIONS(2285),
    [anon_sym_inline] = ACTIONS(2285),
    [anon_sym___inline] = ACTIONS(2285),
    [anon_sym___inline__] = ACTIONS(2285),
    [anon_sym___forceinline] = ACTIONS(2285),
    [anon_sym_thread_local] = ACTIONS(2285),
    [anon_sym___thread] = ACTIONS(2285),
    [anon_sym_const] = ACTIONS(2285),
    [anon_sym_constexpr] = ACTIONS(2285),
    [anon_sym_volatile] = ACTIONS(2285),
    [anon_sym_restrict] = ACTIONS(2285),
    [anon_sym___restrict__] = ACTIONS(2285),
    [anon_sym__Atomic] = ACTIONS(2285),
    [anon_sym__Noreturn] = ACTIONS(2285),
    [anon_sym_noreturn] = ACTIONS(2285),
    [anon_sym_mutable] = ACTIONS(2285),
    [anon_sym_constinit] = ACTIONS(2285),
    [anon_sym_consteval] = ACTIONS(2285),
    [sym_primitive_type] = ACTIONS(2285),
    [anon_sym_enum] = ACTIONS(2285),
    [anon_sym_class] = ACTIONS(2285),
    [anon_sym_struct] = ACTIONS(2285),
    [anon_sym_union] = ACTIONS(2285),
    [anon_sym_if] = ACTIONS(2285),
    [anon_sym_switch] = ACTIONS(2285),
    [anon_sym_case] = ACTIONS(2285),
    [anon_sym_default] = ACTIONS(2285),
    [anon_sym_while] = ACTIONS(2285),
    [anon_sym_do] = ACTIONS(2285),
    [anon_sym_for] = ACTIONS(2285),
    [anon_sym_return] = ACTIONS(2285),
    [anon_sym_break] = ACTIONS(2285),
    [anon_sym_continue] = ACTIONS(2285),
    [anon_sym_goto] = ACTIONS(2285),
    [anon_sym___try] = ACTIONS(2285),
    [anon_sym___leave] = ACTIONS(2285),
    [anon_sym_not] = ACTIONS(2285),
    [anon_sym_compl] = ACTIONS(2285),
    [anon_sym_DASH_DASH] = ACTIONS(2287),
    [anon_sym_PLUS_PLUS] = ACTIONS(2287),
    [anon_sym_sizeof] = ACTIONS(2285),
    [anon_sym___alignof__] = ACTIONS(2285),
    [anon_sym___alignof] = ACTIONS(2285),
    [anon_sym__alignof] = ACTIONS(2285),
    [anon_sym_alignof] = ACTIONS(2285),
    [anon_sym__Alignof] = ACTIONS(2285),
    [anon_sym_offsetof] = ACTIONS(2285),
    [anon_sym__Generic] = ACTIONS(2285),
    [anon_sym_asm] = ACTIONS(2285),
    [anon_sym___asm__] = ACTIONS(2285),
    [sym_number_literal] = ACTIONS(2287),
    [anon_sym_L_SQUOTE] = ACTIONS(2287),
    [anon_sym_u_SQUOTE] = ACTIONS(2287),
    [anon_sym_U_SQUOTE] = ACTIONS(2287),
    [anon_sym_u8_SQUOTE] = ACTIONS(2287),
    [anon_sym_SQUOTE] = ACTIONS(2287),
    [anon_sym_L_DQUOTE] = ACTIONS(2287),
    [anon_sym_u_DQUOTE] = ACTIONS(2287),
    [anon_sym_U_DQUOTE] = ACTIONS(2287),
    [anon_sym_u8_DQUOTE] = ACTIONS(2287),
    [anon_sym_DQUOTE] = ACTIONS(2287),
    [sym_true] = ACTIONS(2285),
    [sym_false] = ACTIONS(2285),
    [anon_sym_NULL] = ACTIONS(2285),
    [anon_sym_nullptr] = ACTIONS(2285),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2285),
    [anon_sym_decltype] = ACTIONS(2285),
    [anon_sym_virtual] = ACTIONS(2285),
    [anon_sym_alignas] = ACTIONS(2285),
    [anon_sym_explicit] = ACTIONS(2285),
    [anon_sym_typename] = ACTIONS(2285),
    [anon_sym_template] = ACTIONS(2285),
    [anon_sym_operator] = ACTIONS(2285),
    [anon_sym_try] = ACTIONS(2285),
    [anon_sym_delete] = ACTIONS(2285),
    [anon_sym_throw] = ACTIONS(2285),
    [anon_sym_namespace] = ACTIONS(2285),
    [anon_sym_using] = ACTIONS(2285),
    [anon_sym_static_assert] = ACTIONS(2285),
    [anon_sym_concept] = ACTIONS(2285),
    [anon_sym_co_return] = ACTIONS(2285),
    [anon_sym_co_yield] = ACTIONS(2285),
    [anon_sym_catch] = ACTIONS(2303),
    [anon_sym_R_DQUOTE] = ACTIONS(2287),
    [anon_sym_LR_DQUOTE] = ACTIONS(2287),
    [anon_sym_uR_DQUOTE] = ACTIONS(2287),
    [anon_sym_UR_DQUOTE] = ACTIONS(2287),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2287),
    [anon_sym_co_await] = ACTIONS(2285),
    [anon_sym_new] = ACTIONS(2285),
    [anon_sym_requires] = ACTIONS(2285),
    [sym_this] = ACTIONS(2285),
    [anon_sym_discard] = ACTIONS(2285),
    [anon_sym_precise] = ACTIONS(2285),
    [anon_sym_shared] = ACTIONS(2285),
    [anon_sym_groupshared] = ACTIONS(2285),
    [anon_sym_uniform] = ACTIONS(2285),
    [anon_sym_row_major] = ACTIONS(2285),
    [anon_sym_column_major] = ACTIONS(2285),
    [anon_sym_globallycoherent] = ACTIONS(2285),
    [anon_sym_centroid] = ACTIONS(2285),
    [anon_sym_noperspective] = ACTIONS(2285),
    [anon_sym_nointerpolation] = ACTIONS(2285),
    [anon_sym_sample] = ACTIONS(2285),
    [anon_sym_linear] = ACTIONS(2285),
    [anon_sym_snorm] = ACTIONS(2285),
    [anon_sym_unorm] = ACTIONS(2285),
    [anon_sym_point] = ACTIONS(2285),
    [anon_sym_line] = ACTIONS(2285),
    [anon_sym_triangleadj] = ACTIONS(2285),
    [anon_sym_lineadj] = ACTIONS(2285),
    [anon_sym_triangle] = ACTIONS(2285),
    [anon_sym_cbuffer] = ACTIONS(2285),
  },
  [335] = {
    [sym_identifier] = ACTIONS(2496),
    [aux_sym_preproc_include_token1] = ACTIONS(2496),
    [aux_sym_preproc_def_token1] = ACTIONS(2496),
    [aux_sym_preproc_if_token1] = ACTIONS(2496),
    [aux_sym_preproc_if_token2] = ACTIONS(2496),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2496),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2496),
    [aux_sym_preproc_else_token1] = ACTIONS(2496),
    [aux_sym_preproc_elif_token1] = ACTIONS(2496),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2496),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2496),
    [sym_preproc_directive] = ACTIONS(2496),
    [anon_sym_LPAREN2] = ACTIONS(2498),
    [anon_sym_BANG] = ACTIONS(2498),
    [anon_sym_TILDE] = ACTIONS(2498),
    [anon_sym_DASH] = ACTIONS(2496),
    [anon_sym_PLUS] = ACTIONS(2496),
    [anon_sym_STAR] = ACTIONS(2498),
    [anon_sym_AMP_AMP] = ACTIONS(2498),
    [anon_sym_AMP] = ACTIONS(2496),
    [anon_sym_SEMI] = ACTIONS(2498),
    [anon_sym___extension__] = ACTIONS(2496),
    [anon_sym_typedef] = ACTIONS(2496),
    [anon_sym_in] = ACTIONS(2496),
    [anon_sym_out] = ACTIONS(2496),
    [anon_sym_inout] = ACTIONS(2496),
    [anon_sym_extern] = ACTIONS(2496),
    [anon_sym___attribute__] = ACTIONS(2496),
    [anon_sym_COLON_COLON] = ACTIONS(2498),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2498),
    [anon_sym___declspec] = ACTIONS(2496),
    [anon_sym___based] = ACTIONS(2496),
    [anon_sym___cdecl] = ACTIONS(2496),
    [anon_sym___clrcall] = ACTIONS(2496),
    [anon_sym___stdcall] = ACTIONS(2496),
    [anon_sym___fastcall] = ACTIONS(2496),
    [anon_sym___thiscall] = ACTIONS(2496),
    [anon_sym___vectorcall] = ACTIONS(2496),
    [anon_sym_LBRACE] = ACTIONS(2498),
    [anon_sym_signed] = ACTIONS(2496),
    [anon_sym_unsigned] = ACTIONS(2496),
    [anon_sym_long] = ACTIONS(2496),
    [anon_sym_short] = ACTIONS(2496),
    [anon_sym_LBRACK] = ACTIONS(2496),
    [anon_sym_static] = ACTIONS(2496),
    [anon_sym_register] = ACTIONS(2496),
    [anon_sym_inline] = ACTIONS(2496),
    [anon_sym___inline] = ACTIONS(2496),
    [anon_sym___inline__] = ACTIONS(2496),
    [anon_sym___forceinline] = ACTIONS(2496),
    [anon_sym_thread_local] = ACTIONS(2496),
    [anon_sym___thread] = ACTIONS(2496),
    [anon_sym_const] = ACTIONS(2496),
    [anon_sym_constexpr] = ACTIONS(2496),
    [anon_sym_volatile] = ACTIONS(2496),
    [anon_sym_restrict] = ACTIONS(2496),
    [anon_sym___restrict__] = ACTIONS(2496),
    [anon_sym__Atomic] = ACTIONS(2496),
    [anon_sym__Noreturn] = ACTIONS(2496),
    [anon_sym_noreturn] = ACTIONS(2496),
    [anon_sym_mutable] = ACTIONS(2496),
    [anon_sym_constinit] = ACTIONS(2496),
    [anon_sym_consteval] = ACTIONS(2496),
    [sym_primitive_type] = ACTIONS(2496),
    [anon_sym_enum] = ACTIONS(2496),
    [anon_sym_class] = ACTIONS(2496),
    [anon_sym_struct] = ACTIONS(2496),
    [anon_sym_union] = ACTIONS(2496),
    [anon_sym_if] = ACTIONS(2496),
    [anon_sym_else] = ACTIONS(2496),
    [anon_sym_switch] = ACTIONS(2496),
    [anon_sym_case] = ACTIONS(2496),
    [anon_sym_default] = ACTIONS(2496),
    [anon_sym_while] = ACTIONS(2496),
    [anon_sym_do] = ACTIONS(2496),
    [anon_sym_for] = ACTIONS(2496),
    [anon_sym_return] = ACTIONS(2496),
    [anon_sym_break] = ACTIONS(2496),
    [anon_sym_continue] = ACTIONS(2496),
    [anon_sym_goto] = ACTIONS(2496),
    [anon_sym___try] = ACTIONS(2496),
    [anon_sym___leave] = ACTIONS(2496),
    [anon_sym_not] = ACTIONS(2496),
    [anon_sym_compl] = ACTIONS(2496),
    [anon_sym_DASH_DASH] = ACTIONS(2498),
    [anon_sym_PLUS_PLUS] = ACTIONS(2498),
    [anon_sym_sizeof] = ACTIONS(2496),
    [anon_sym___alignof__] = ACTIONS(2496),
    [anon_sym___alignof] = ACTIONS(2496),
    [anon_sym__alignof] = ACTIONS(2496),
    [anon_sym_alignof] = ACTIONS(2496),
    [anon_sym__Alignof] = ACTIONS(2496),
    [anon_sym_offsetof] = ACTIONS(2496),
    [anon_sym__Generic] = ACTIONS(2496),
    [anon_sym_asm] = ACTIONS(2496),
    [anon_sym___asm__] = ACTIONS(2496),
    [sym_number_literal] = ACTIONS(2498),
    [anon_sym_L_SQUOTE] = ACTIONS(2498),
    [anon_sym_u_SQUOTE] = ACTIONS(2498),
    [anon_sym_U_SQUOTE] = ACTIONS(2498),
    [anon_sym_u8_SQUOTE] = ACTIONS(2498),
    [anon_sym_SQUOTE] = ACTIONS(2498),
    [anon_sym_L_DQUOTE] = ACTIONS(2498),
    [anon_sym_u_DQUOTE] = ACTIONS(2498),
    [anon_sym_U_DQUOTE] = ACTIONS(2498),
    [anon_sym_u8_DQUOTE] = ACTIONS(2498),
    [anon_sym_DQUOTE] = ACTIONS(2498),
    [sym_true] = ACTIONS(2496),
    [sym_false] = ACTIONS(2496),
    [anon_sym_NULL] = ACTIONS(2496),
    [anon_sym_nullptr] = ACTIONS(2496),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2496),
    [anon_sym_decltype] = ACTIONS(2496),
    [anon_sym_virtual] = ACTIONS(2496),
    [anon_sym_alignas] = ACTIONS(2496),
    [anon_sym_explicit] = ACTIONS(2496),
    [anon_sym_typename] = ACTIONS(2496),
    [anon_sym_template] = ACTIONS(2496),
    [anon_sym_operator] = ACTIONS(2496),
    [anon_sym_try] = ACTIONS(2496),
    [anon_sym_delete] = ACTIONS(2496),
    [anon_sym_throw] = ACTIONS(2496),
    [anon_sym_namespace] = ACTIONS(2496),
    [anon_sym_using] = ACTIONS(2496),
    [anon_sym_static_assert] = ACTIONS(2496),
    [anon_sym_concept] = ACTIONS(2496),
    [anon_sym_co_return] = ACTIONS(2496),
    [anon_sym_co_yield] = ACTIONS(2496),
    [anon_sym_R_DQUOTE] = ACTIONS(2498),
    [anon_sym_LR_DQUOTE] = ACTIONS(2498),
    [anon_sym_uR_DQUOTE] = ACTIONS(2498),
    [anon_sym_UR_DQUOTE] = ACTIONS(2498),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2498),
    [anon_sym_co_await] = ACTIONS(2496),
    [anon_sym_new] = ACTIONS(2496),
    [anon_sym_requires] = ACTIONS(2496),
    [sym_this] = ACTIONS(2496),
    [anon_sym_discard] = ACTIONS(2496),
    [anon_sym_precise] = ACTIONS(2496),
    [anon_sym_shared] = ACTIONS(2496),
    [anon_sym_groupshared] = ACTIONS(2496),
    [anon_sym_uniform] = ACTIONS(2496),
    [anon_sym_row_major] = ACTIONS(2496),
    [anon_sym_column_major] = ACTIONS(2496),
    [anon_sym_globallycoherent] = ACTIONS(2496),
    [anon_sym_centroid] = ACTIONS(2496),
    [anon_sym_noperspective] = ACTIONS(2496),
    [anon_sym_nointerpolation] = ACTIONS(2496),
    [anon_sym_sample] = ACTIONS(2496),
    [anon_sym_linear] = ACTIONS(2496),
    [anon_sym_snorm] = ACTIONS(2496),
    [anon_sym_unorm] = ACTIONS(2496),
    [anon_sym_point] = ACTIONS(2496),
    [anon_sym_line] = ACTIONS(2496),
    [anon_sym_triangleadj] = ACTIONS(2496),
    [anon_sym_lineadj] = ACTIONS(2496),
    [anon_sym_triangle] = ACTIONS(2496),
    [anon_sym_cbuffer] = ACTIONS(2496),
  },
  [336] = {
    [sym_identifier] = ACTIONS(2500),
    [aux_sym_preproc_include_token1] = ACTIONS(2500),
    [aux_sym_preproc_def_token1] = ACTIONS(2500),
    [aux_sym_preproc_if_token1] = ACTIONS(2500),
    [aux_sym_preproc_if_token2] = ACTIONS(2500),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2500),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2500),
    [aux_sym_preproc_else_token1] = ACTIONS(2500),
    [aux_sym_preproc_elif_token1] = ACTIONS(2500),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2500),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2500),
    [sym_preproc_directive] = ACTIONS(2500),
    [anon_sym_LPAREN2] = ACTIONS(2502),
    [anon_sym_BANG] = ACTIONS(2502),
    [anon_sym_TILDE] = ACTIONS(2502),
    [anon_sym_DASH] = ACTIONS(2500),
    [anon_sym_PLUS] = ACTIONS(2500),
    [anon_sym_STAR] = ACTIONS(2502),
    [anon_sym_AMP_AMP] = ACTIONS(2502),
    [anon_sym_AMP] = ACTIONS(2500),
    [anon_sym_SEMI] = ACTIONS(2502),
    [anon_sym___extension__] = ACTIONS(2500),
    [anon_sym_typedef] = ACTIONS(2500),
    [anon_sym_in] = ACTIONS(2500),
    [anon_sym_out] = ACTIONS(2500),
    [anon_sym_inout] = ACTIONS(2500),
    [anon_sym_extern] = ACTIONS(2500),
    [anon_sym___attribute__] = ACTIONS(2500),
    [anon_sym_COLON_COLON] = ACTIONS(2502),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2502),
    [anon_sym___declspec] = ACTIONS(2500),
    [anon_sym___based] = ACTIONS(2500),
    [anon_sym___cdecl] = ACTIONS(2500),
    [anon_sym___clrcall] = ACTIONS(2500),
    [anon_sym___stdcall] = ACTIONS(2500),
    [anon_sym___fastcall] = ACTIONS(2500),
    [anon_sym___thiscall] = ACTIONS(2500),
    [anon_sym___vectorcall] = ACTIONS(2500),
    [anon_sym_LBRACE] = ACTIONS(2502),
    [anon_sym_signed] = ACTIONS(2500),
    [anon_sym_unsigned] = ACTIONS(2500),
    [anon_sym_long] = ACTIONS(2500),
    [anon_sym_short] = ACTIONS(2500),
    [anon_sym_LBRACK] = ACTIONS(2500),
    [anon_sym_static] = ACTIONS(2500),
    [anon_sym_register] = ACTIONS(2500),
    [anon_sym_inline] = ACTIONS(2500),
    [anon_sym___inline] = ACTIONS(2500),
    [anon_sym___inline__] = ACTIONS(2500),
    [anon_sym___forceinline] = ACTIONS(2500),
    [anon_sym_thread_local] = ACTIONS(2500),
    [anon_sym___thread] = ACTIONS(2500),
    [anon_sym_const] = ACTIONS(2500),
    [anon_sym_constexpr] = ACTIONS(2500),
    [anon_sym_volatile] = ACTIONS(2500),
    [anon_sym_restrict] = ACTIONS(2500),
    [anon_sym___restrict__] = ACTIONS(2500),
    [anon_sym__Atomic] = ACTIONS(2500),
    [anon_sym__Noreturn] = ACTIONS(2500),
    [anon_sym_noreturn] = ACTIONS(2500),
    [anon_sym_mutable] = ACTIONS(2500),
    [anon_sym_constinit] = ACTIONS(2500),
    [anon_sym_consteval] = ACTIONS(2500),
    [sym_primitive_type] = ACTIONS(2500),
    [anon_sym_enum] = ACTIONS(2500),
    [anon_sym_class] = ACTIONS(2500),
    [anon_sym_struct] = ACTIONS(2500),
    [anon_sym_union] = ACTIONS(2500),
    [anon_sym_if] = ACTIONS(2500),
    [anon_sym_else] = ACTIONS(2500),
    [anon_sym_switch] = ACTIONS(2500),
    [anon_sym_case] = ACTIONS(2500),
    [anon_sym_default] = ACTIONS(2500),
    [anon_sym_while] = ACTIONS(2500),
    [anon_sym_do] = ACTIONS(2500),
    [anon_sym_for] = ACTIONS(2500),
    [anon_sym_return] = ACTIONS(2500),
    [anon_sym_break] = ACTIONS(2500),
    [anon_sym_continue] = ACTIONS(2500),
    [anon_sym_goto] = ACTIONS(2500),
    [anon_sym___try] = ACTIONS(2500),
    [anon_sym___leave] = ACTIONS(2500),
    [anon_sym_not] = ACTIONS(2500),
    [anon_sym_compl] = ACTIONS(2500),
    [anon_sym_DASH_DASH] = ACTIONS(2502),
    [anon_sym_PLUS_PLUS] = ACTIONS(2502),
    [anon_sym_sizeof] = ACTIONS(2500),
    [anon_sym___alignof__] = ACTIONS(2500),
    [anon_sym___alignof] = ACTIONS(2500),
    [anon_sym__alignof] = ACTIONS(2500),
    [anon_sym_alignof] = ACTIONS(2500),
    [anon_sym__Alignof] = ACTIONS(2500),
    [anon_sym_offsetof] = ACTIONS(2500),
    [anon_sym__Generic] = ACTIONS(2500),
    [anon_sym_asm] = ACTIONS(2500),
    [anon_sym___asm__] = ACTIONS(2500),
    [sym_number_literal] = ACTIONS(2502),
    [anon_sym_L_SQUOTE] = ACTIONS(2502),
    [anon_sym_u_SQUOTE] = ACTIONS(2502),
    [anon_sym_U_SQUOTE] = ACTIONS(2502),
    [anon_sym_u8_SQUOTE] = ACTIONS(2502),
    [anon_sym_SQUOTE] = ACTIONS(2502),
    [anon_sym_L_DQUOTE] = ACTIONS(2502),
    [anon_sym_u_DQUOTE] = ACTIONS(2502),
    [anon_sym_U_DQUOTE] = ACTIONS(2502),
    [anon_sym_u8_DQUOTE] = ACTIONS(2502),
    [anon_sym_DQUOTE] = ACTIONS(2502),
    [sym_true] = ACTIONS(2500),
    [sym_false] = ACTIONS(2500),
    [anon_sym_NULL] = ACTIONS(2500),
    [anon_sym_nullptr] = ACTIONS(2500),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2500),
    [anon_sym_decltype] = ACTIONS(2500),
    [anon_sym_virtual] = ACTIONS(2500),
    [anon_sym_alignas] = ACTIONS(2500),
    [anon_sym_explicit] = ACTIONS(2500),
    [anon_sym_typename] = ACTIONS(2500),
    [anon_sym_template] = ACTIONS(2500),
    [anon_sym_operator] = ACTIONS(2500),
    [anon_sym_try] = ACTIONS(2500),
    [anon_sym_delete] = ACTIONS(2500),
    [anon_sym_throw] = ACTIONS(2500),
    [anon_sym_namespace] = ACTIONS(2500),
    [anon_sym_using] = ACTIONS(2500),
    [anon_sym_static_assert] = ACTIONS(2500),
    [anon_sym_concept] = ACTIONS(2500),
    [anon_sym_co_return] = ACTIONS(2500),
    [anon_sym_co_yield] = ACTIONS(2500),
    [anon_sym_R_DQUOTE] = ACTIONS(2502),
    [anon_sym_LR_DQUOTE] = ACTIONS(2502),
    [anon_sym_uR_DQUOTE] = ACTIONS(2502),
    [anon_sym_UR_DQUOTE] = ACTIONS(2502),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2502),
    [anon_sym_co_await] = ACTIONS(2500),
    [anon_sym_new] = ACTIONS(2500),
    [anon_sym_requires] = ACTIONS(2500),
    [sym_this] = ACTIONS(2500),
    [anon_sym_discard] = ACTIONS(2500),
    [anon_sym_precise] = ACTIONS(2500),
    [anon_sym_shared] = ACTIONS(2500),
    [anon_sym_groupshared] = ACTIONS(2500),
    [anon_sym_uniform] = ACTIONS(2500),
    [anon_sym_row_major] = ACTIONS(2500),
    [anon_sym_column_major] = ACTIONS(2500),
    [anon_sym_globallycoherent] = ACTIONS(2500),
    [anon_sym_centroid] = ACTIONS(2500),
    [anon_sym_noperspective] = ACTIONS(2500),
    [anon_sym_nointerpolation] = ACTIONS(2500),
    [anon_sym_sample] = ACTIONS(2500),
    [anon_sym_linear] = ACTIONS(2500),
    [anon_sym_snorm] = ACTIONS(2500),
    [anon_sym_unorm] = ACTIONS(2500),
    [anon_sym_point] = ACTIONS(2500),
    [anon_sym_line] = ACTIONS(2500),
    [anon_sym_triangleadj] = ACTIONS(2500),
    [anon_sym_lineadj] = ACTIONS(2500),
    [anon_sym_triangle] = ACTIONS(2500),
    [anon_sym_cbuffer] = ACTIONS(2500),
  },
  [337] = {
    [sym_identifier] = ACTIONS(2330),
    [aux_sym_preproc_include_token1] = ACTIONS(2330),
    [aux_sym_preproc_def_token1] = ACTIONS(2330),
    [aux_sym_preproc_if_token1] = ACTIONS(2330),
    [aux_sym_preproc_if_token2] = ACTIONS(2330),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2330),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2330),
    [aux_sym_preproc_else_token1] = ACTIONS(2330),
    [aux_sym_preproc_elif_token1] = ACTIONS(2330),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2330),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2330),
    [sym_preproc_directive] = ACTIONS(2330),
    [anon_sym_LPAREN2] = ACTIONS(2332),
    [anon_sym_BANG] = ACTIONS(2332),
    [anon_sym_TILDE] = ACTIONS(2332),
    [anon_sym_DASH] = ACTIONS(2330),
    [anon_sym_PLUS] = ACTIONS(2330),
    [anon_sym_STAR] = ACTIONS(2332),
    [anon_sym_AMP_AMP] = ACTIONS(2332),
    [anon_sym_AMP] = ACTIONS(2330),
    [anon_sym_SEMI] = ACTIONS(2332),
    [anon_sym___extension__] = ACTIONS(2330),
    [anon_sym_typedef] = ACTIONS(2330),
    [anon_sym_in] = ACTIONS(2330),
    [anon_sym_out] = ACTIONS(2330),
    [anon_sym_inout] = ACTIONS(2330),
    [anon_sym_extern] = ACTIONS(2330),
    [anon_sym___attribute__] = ACTIONS(2330),
    [anon_sym_COLON_COLON] = ACTIONS(2332),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2332),
    [anon_sym___declspec] = ACTIONS(2330),
    [anon_sym___based] = ACTIONS(2330),
    [anon_sym___cdecl] = ACTIONS(2330),
    [anon_sym___clrcall] = ACTIONS(2330),
    [anon_sym___stdcall] = ACTIONS(2330),
    [anon_sym___fastcall] = ACTIONS(2330),
    [anon_sym___thiscall] = ACTIONS(2330),
    [anon_sym___vectorcall] = ACTIONS(2330),
    [anon_sym_LBRACE] = ACTIONS(2332),
    [anon_sym_signed] = ACTIONS(2330),
    [anon_sym_unsigned] = ACTIONS(2330),
    [anon_sym_long] = ACTIONS(2330),
    [anon_sym_short] = ACTIONS(2330),
    [anon_sym_LBRACK] = ACTIONS(2330),
    [anon_sym_static] = ACTIONS(2330),
    [anon_sym_register] = ACTIONS(2330),
    [anon_sym_inline] = ACTIONS(2330),
    [anon_sym___inline] = ACTIONS(2330),
    [anon_sym___inline__] = ACTIONS(2330),
    [anon_sym___forceinline] = ACTIONS(2330),
    [anon_sym_thread_local] = ACTIONS(2330),
    [anon_sym___thread] = ACTIONS(2330),
    [anon_sym_const] = ACTIONS(2330),
    [anon_sym_constexpr] = ACTIONS(2330),
    [anon_sym_volatile] = ACTIONS(2330),
    [anon_sym_restrict] = ACTIONS(2330),
    [anon_sym___restrict__] = ACTIONS(2330),
    [anon_sym__Atomic] = ACTIONS(2330),
    [anon_sym__Noreturn] = ACTIONS(2330),
    [anon_sym_noreturn] = ACTIONS(2330),
    [anon_sym_mutable] = ACTIONS(2330),
    [anon_sym_constinit] = ACTIONS(2330),
    [anon_sym_consteval] = ACTIONS(2330),
    [sym_primitive_type] = ACTIONS(2330),
    [anon_sym_enum] = ACTIONS(2330),
    [anon_sym_class] = ACTIONS(2330),
    [anon_sym_struct] = ACTIONS(2330),
    [anon_sym_union] = ACTIONS(2330),
    [anon_sym_if] = ACTIONS(2330),
    [anon_sym_else] = ACTIONS(2330),
    [anon_sym_switch] = ACTIONS(2330),
    [anon_sym_case] = ACTIONS(2330),
    [anon_sym_default] = ACTIONS(2330),
    [anon_sym_while] = ACTIONS(2330),
    [anon_sym_do] = ACTIONS(2330),
    [anon_sym_for] = ACTIONS(2330),
    [anon_sym_return] = ACTIONS(2330),
    [anon_sym_break] = ACTIONS(2330),
    [anon_sym_continue] = ACTIONS(2330),
    [anon_sym_goto] = ACTIONS(2330),
    [anon_sym___try] = ACTIONS(2330),
    [anon_sym___leave] = ACTIONS(2330),
    [anon_sym_not] = ACTIONS(2330),
    [anon_sym_compl] = ACTIONS(2330),
    [anon_sym_DASH_DASH] = ACTIONS(2332),
    [anon_sym_PLUS_PLUS] = ACTIONS(2332),
    [anon_sym_sizeof] = ACTIONS(2330),
    [anon_sym___alignof__] = ACTIONS(2330),
    [anon_sym___alignof] = ACTIONS(2330),
    [anon_sym__alignof] = ACTIONS(2330),
    [anon_sym_alignof] = ACTIONS(2330),
    [anon_sym__Alignof] = ACTIONS(2330),
    [anon_sym_offsetof] = ACTIONS(2330),
    [anon_sym__Generic] = ACTIONS(2330),
    [anon_sym_asm] = ACTIONS(2330),
    [anon_sym___asm__] = ACTIONS(2330),
    [sym_number_literal] = ACTIONS(2332),
    [anon_sym_L_SQUOTE] = ACTIONS(2332),
    [anon_sym_u_SQUOTE] = ACTIONS(2332),
    [anon_sym_U_SQUOTE] = ACTIONS(2332),
    [anon_sym_u8_SQUOTE] = ACTIONS(2332),
    [anon_sym_SQUOTE] = ACTIONS(2332),
    [anon_sym_L_DQUOTE] = ACTIONS(2332),
    [anon_sym_u_DQUOTE] = ACTIONS(2332),
    [anon_sym_U_DQUOTE] = ACTIONS(2332),
    [anon_sym_u8_DQUOTE] = ACTIONS(2332),
    [anon_sym_DQUOTE] = ACTIONS(2332),
    [sym_true] = ACTIONS(2330),
    [sym_false] = ACTIONS(2330),
    [anon_sym_NULL] = ACTIONS(2330),
    [anon_sym_nullptr] = ACTIONS(2330),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2330),
    [anon_sym_decltype] = ACTIONS(2330),
    [anon_sym_virtual] = ACTIONS(2330),
    [anon_sym_alignas] = ACTIONS(2330),
    [anon_sym_explicit] = ACTIONS(2330),
    [anon_sym_typename] = ACTIONS(2330),
    [anon_sym_template] = ACTIONS(2330),
    [anon_sym_operator] = ACTIONS(2330),
    [anon_sym_try] = ACTIONS(2330),
    [anon_sym_delete] = ACTIONS(2330),
    [anon_sym_throw] = ACTIONS(2330),
    [anon_sym_namespace] = ACTIONS(2330),
    [anon_sym_using] = ACTIONS(2330),
    [anon_sym_static_assert] = ACTIONS(2330),
    [anon_sym_concept] = ACTIONS(2330),
    [anon_sym_co_return] = ACTIONS(2330),
    [anon_sym_co_yield] = ACTIONS(2330),
    [anon_sym_R_DQUOTE] = ACTIONS(2332),
    [anon_sym_LR_DQUOTE] = ACTIONS(2332),
    [anon_sym_uR_DQUOTE] = ACTIONS(2332),
    [anon_sym_UR_DQUOTE] = ACTIONS(2332),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2332),
    [anon_sym_co_await] = ACTIONS(2330),
    [anon_sym_new] = ACTIONS(2330),
    [anon_sym_requires] = ACTIONS(2330),
    [sym_this] = ACTIONS(2330),
    [anon_sym_discard] = ACTIONS(2330),
    [anon_sym_precise] = ACTIONS(2330),
    [anon_sym_shared] = ACTIONS(2330),
    [anon_sym_groupshared] = ACTIONS(2330),
    [anon_sym_uniform] = ACTIONS(2330),
    [anon_sym_row_major] = ACTIONS(2330),
    [anon_sym_column_major] = ACTIONS(2330),
    [anon_sym_globallycoherent] = ACTIONS(2330),
    [anon_sym_centroid] = ACTIONS(2330),
    [anon_sym_noperspective] = ACTIONS(2330),
    [anon_sym_nointerpolation] = ACTIONS(2330),
    [anon_sym_sample] = ACTIONS(2330),
    [anon_sym_linear] = ACTIONS(2330),
    [anon_sym_snorm] = ACTIONS(2330),
    [anon_sym_unorm] = ACTIONS(2330),
    [anon_sym_point] = ACTIONS(2330),
    [anon_sym_line] = ACTIONS(2330),
    [anon_sym_triangleadj] = ACTIONS(2330),
    [anon_sym_lineadj] = ACTIONS(2330),
    [anon_sym_triangle] = ACTIONS(2330),
    [anon_sym_cbuffer] = ACTIONS(2330),
  },
  [338] = {
    [sym_identifier] = ACTIONS(2504),
    [aux_sym_preproc_include_token1] = ACTIONS(2504),
    [aux_sym_preproc_def_token1] = ACTIONS(2504),
    [aux_sym_preproc_if_token1] = ACTIONS(2504),
    [aux_sym_preproc_if_token2] = ACTIONS(2504),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2504),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2504),
    [aux_sym_preproc_else_token1] = ACTIONS(2504),
    [aux_sym_preproc_elif_token1] = ACTIONS(2504),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2504),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2504),
    [sym_preproc_directive] = ACTIONS(2504),
    [anon_sym_LPAREN2] = ACTIONS(2506),
    [anon_sym_BANG] = ACTIONS(2506),
    [anon_sym_TILDE] = ACTIONS(2506),
    [anon_sym_DASH] = ACTIONS(2504),
    [anon_sym_PLUS] = ACTIONS(2504),
    [anon_sym_STAR] = ACTIONS(2506),
    [anon_sym_AMP_AMP] = ACTIONS(2506),
    [anon_sym_AMP] = ACTIONS(2504),
    [anon_sym_SEMI] = ACTIONS(2506),
    [anon_sym___extension__] = ACTIONS(2504),
    [anon_sym_typedef] = ACTIONS(2504),
    [anon_sym_in] = ACTIONS(2504),
    [anon_sym_out] = ACTIONS(2504),
    [anon_sym_inout] = ACTIONS(2504),
    [anon_sym_extern] = ACTIONS(2504),
    [anon_sym___attribute__] = ACTIONS(2504),
    [anon_sym_COLON_COLON] = ACTIONS(2506),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2506),
    [anon_sym___declspec] = ACTIONS(2504),
    [anon_sym___based] = ACTIONS(2504),
    [anon_sym___cdecl] = ACTIONS(2504),
    [anon_sym___clrcall] = ACTIONS(2504),
    [anon_sym___stdcall] = ACTIONS(2504),
    [anon_sym___fastcall] = ACTIONS(2504),
    [anon_sym___thiscall] = ACTIONS(2504),
    [anon_sym___vectorcall] = ACTIONS(2504),
    [anon_sym_LBRACE] = ACTIONS(2506),
    [anon_sym_signed] = ACTIONS(2504),
    [anon_sym_unsigned] = ACTIONS(2504),
    [anon_sym_long] = ACTIONS(2504),
    [anon_sym_short] = ACTIONS(2504),
    [anon_sym_LBRACK] = ACTIONS(2504),
    [anon_sym_static] = ACTIONS(2504),
    [anon_sym_register] = ACTIONS(2504),
    [anon_sym_inline] = ACTIONS(2504),
    [anon_sym___inline] = ACTIONS(2504),
    [anon_sym___inline__] = ACTIONS(2504),
    [anon_sym___forceinline] = ACTIONS(2504),
    [anon_sym_thread_local] = ACTIONS(2504),
    [anon_sym___thread] = ACTIONS(2504),
    [anon_sym_const] = ACTIONS(2504),
    [anon_sym_constexpr] = ACTIONS(2504),
    [anon_sym_volatile] = ACTIONS(2504),
    [anon_sym_restrict] = ACTIONS(2504),
    [anon_sym___restrict__] = ACTIONS(2504),
    [anon_sym__Atomic] = ACTIONS(2504),
    [anon_sym__Noreturn] = ACTIONS(2504),
    [anon_sym_noreturn] = ACTIONS(2504),
    [anon_sym_mutable] = ACTIONS(2504),
    [anon_sym_constinit] = ACTIONS(2504),
    [anon_sym_consteval] = ACTIONS(2504),
    [sym_primitive_type] = ACTIONS(2504),
    [anon_sym_enum] = ACTIONS(2504),
    [anon_sym_class] = ACTIONS(2504),
    [anon_sym_struct] = ACTIONS(2504),
    [anon_sym_union] = ACTIONS(2504),
    [anon_sym_if] = ACTIONS(2504),
    [anon_sym_else] = ACTIONS(2504),
    [anon_sym_switch] = ACTIONS(2504),
    [anon_sym_case] = ACTIONS(2504),
    [anon_sym_default] = ACTIONS(2504),
    [anon_sym_while] = ACTIONS(2504),
    [anon_sym_do] = ACTIONS(2504),
    [anon_sym_for] = ACTIONS(2504),
    [anon_sym_return] = ACTIONS(2504),
    [anon_sym_break] = ACTIONS(2504),
    [anon_sym_continue] = ACTIONS(2504),
    [anon_sym_goto] = ACTIONS(2504),
    [anon_sym___try] = ACTIONS(2504),
    [anon_sym___leave] = ACTIONS(2504),
    [anon_sym_not] = ACTIONS(2504),
    [anon_sym_compl] = ACTIONS(2504),
    [anon_sym_DASH_DASH] = ACTIONS(2506),
    [anon_sym_PLUS_PLUS] = ACTIONS(2506),
    [anon_sym_sizeof] = ACTIONS(2504),
    [anon_sym___alignof__] = ACTIONS(2504),
    [anon_sym___alignof] = ACTIONS(2504),
    [anon_sym__alignof] = ACTIONS(2504),
    [anon_sym_alignof] = ACTIONS(2504),
    [anon_sym__Alignof] = ACTIONS(2504),
    [anon_sym_offsetof] = ACTIONS(2504),
    [anon_sym__Generic] = ACTIONS(2504),
    [anon_sym_asm] = ACTIONS(2504),
    [anon_sym___asm__] = ACTIONS(2504),
    [sym_number_literal] = ACTIONS(2506),
    [anon_sym_L_SQUOTE] = ACTIONS(2506),
    [anon_sym_u_SQUOTE] = ACTIONS(2506),
    [anon_sym_U_SQUOTE] = ACTIONS(2506),
    [anon_sym_u8_SQUOTE] = ACTIONS(2506),
    [anon_sym_SQUOTE] = ACTIONS(2506),
    [anon_sym_L_DQUOTE] = ACTIONS(2506),
    [anon_sym_u_DQUOTE] = ACTIONS(2506),
    [anon_sym_U_DQUOTE] = ACTIONS(2506),
    [anon_sym_u8_DQUOTE] = ACTIONS(2506),
    [anon_sym_DQUOTE] = ACTIONS(2506),
    [sym_true] = ACTIONS(2504),
    [sym_false] = ACTIONS(2504),
    [anon_sym_NULL] = ACTIONS(2504),
    [anon_sym_nullptr] = ACTIONS(2504),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2504),
    [anon_sym_decltype] = ACTIONS(2504),
    [anon_sym_virtual] = ACTIONS(2504),
    [anon_sym_alignas] = ACTIONS(2504),
    [anon_sym_explicit] = ACTIONS(2504),
    [anon_sym_typename] = ACTIONS(2504),
    [anon_sym_template] = ACTIONS(2504),
    [anon_sym_operator] = ACTIONS(2504),
    [anon_sym_try] = ACTIONS(2504),
    [anon_sym_delete] = ACTIONS(2504),
    [anon_sym_throw] = ACTIONS(2504),
    [anon_sym_namespace] = ACTIONS(2504),
    [anon_sym_using] = ACTIONS(2504),
    [anon_sym_static_assert] = ACTIONS(2504),
    [anon_sym_concept] = ACTIONS(2504),
    [anon_sym_co_return] = ACTIONS(2504),
    [anon_sym_co_yield] = ACTIONS(2504),
    [anon_sym_R_DQUOTE] = ACTIONS(2506),
    [anon_sym_LR_DQUOTE] = ACTIONS(2506),
    [anon_sym_uR_DQUOTE] = ACTIONS(2506),
    [anon_sym_UR_DQUOTE] = ACTIONS(2506),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2506),
    [anon_sym_co_await] = ACTIONS(2504),
    [anon_sym_new] = ACTIONS(2504),
    [anon_sym_requires] = ACTIONS(2504),
    [sym_this] = ACTIONS(2504),
    [anon_sym_discard] = ACTIONS(2504),
    [anon_sym_precise] = ACTIONS(2504),
    [anon_sym_shared] = ACTIONS(2504),
    [anon_sym_groupshared] = ACTIONS(2504),
    [anon_sym_uniform] = ACTIONS(2504),
    [anon_sym_row_major] = ACTIONS(2504),
    [anon_sym_column_major] = ACTIONS(2504),
    [anon_sym_globallycoherent] = ACTIONS(2504),
    [anon_sym_centroid] = ACTIONS(2504),
    [anon_sym_noperspective] = ACTIONS(2504),
    [anon_sym_nointerpolation] = ACTIONS(2504),
    [anon_sym_sample] = ACTIONS(2504),
    [anon_sym_linear] = ACTIONS(2504),
    [anon_sym_snorm] = ACTIONS(2504),
    [anon_sym_unorm] = ACTIONS(2504),
    [anon_sym_point] = ACTIONS(2504),
    [anon_sym_line] = ACTIONS(2504),
    [anon_sym_triangleadj] = ACTIONS(2504),
    [anon_sym_lineadj] = ACTIONS(2504),
    [anon_sym_triangle] = ACTIONS(2504),
    [anon_sym_cbuffer] = ACTIONS(2504),
  },
  [339] = {
    [sym_identifier] = ACTIONS(2508),
    [aux_sym_preproc_include_token1] = ACTIONS(2508),
    [aux_sym_preproc_def_token1] = ACTIONS(2508),
    [aux_sym_preproc_if_token1] = ACTIONS(2508),
    [aux_sym_preproc_if_token2] = ACTIONS(2508),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2508),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2508),
    [aux_sym_preproc_else_token1] = ACTIONS(2508),
    [aux_sym_preproc_elif_token1] = ACTIONS(2508),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2508),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2508),
    [sym_preproc_directive] = ACTIONS(2508),
    [anon_sym_LPAREN2] = ACTIONS(2510),
    [anon_sym_BANG] = ACTIONS(2510),
    [anon_sym_TILDE] = ACTIONS(2510),
    [anon_sym_DASH] = ACTIONS(2508),
    [anon_sym_PLUS] = ACTIONS(2508),
    [anon_sym_STAR] = ACTIONS(2510),
    [anon_sym_AMP_AMP] = ACTIONS(2510),
    [anon_sym_AMP] = ACTIONS(2508),
    [anon_sym_SEMI] = ACTIONS(2510),
    [anon_sym___extension__] = ACTIONS(2508),
    [anon_sym_typedef] = ACTIONS(2508),
    [anon_sym_in] = ACTIONS(2508),
    [anon_sym_out] = ACTIONS(2508),
    [anon_sym_inout] = ACTIONS(2508),
    [anon_sym_extern] = ACTIONS(2508),
    [anon_sym___attribute__] = ACTIONS(2508),
    [anon_sym_COLON_COLON] = ACTIONS(2510),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2510),
    [anon_sym___declspec] = ACTIONS(2508),
    [anon_sym___based] = ACTIONS(2508),
    [anon_sym___cdecl] = ACTIONS(2508),
    [anon_sym___clrcall] = ACTIONS(2508),
    [anon_sym___stdcall] = ACTIONS(2508),
    [anon_sym___fastcall] = ACTIONS(2508),
    [anon_sym___thiscall] = ACTIONS(2508),
    [anon_sym___vectorcall] = ACTIONS(2508),
    [anon_sym_LBRACE] = ACTIONS(2510),
    [anon_sym_signed] = ACTIONS(2508),
    [anon_sym_unsigned] = ACTIONS(2508),
    [anon_sym_long] = ACTIONS(2508),
    [anon_sym_short] = ACTIONS(2508),
    [anon_sym_LBRACK] = ACTIONS(2508),
    [anon_sym_static] = ACTIONS(2508),
    [anon_sym_register] = ACTIONS(2508),
    [anon_sym_inline] = ACTIONS(2508),
    [anon_sym___inline] = ACTIONS(2508),
    [anon_sym___inline__] = ACTIONS(2508),
    [anon_sym___forceinline] = ACTIONS(2508),
    [anon_sym_thread_local] = ACTIONS(2508),
    [anon_sym___thread] = ACTIONS(2508),
    [anon_sym_const] = ACTIONS(2508),
    [anon_sym_constexpr] = ACTIONS(2508),
    [anon_sym_volatile] = ACTIONS(2508),
    [anon_sym_restrict] = ACTIONS(2508),
    [anon_sym___restrict__] = ACTIONS(2508),
    [anon_sym__Atomic] = ACTIONS(2508),
    [anon_sym__Noreturn] = ACTIONS(2508),
    [anon_sym_noreturn] = ACTIONS(2508),
    [anon_sym_mutable] = ACTIONS(2508),
    [anon_sym_constinit] = ACTIONS(2508),
    [anon_sym_consteval] = ACTIONS(2508),
    [sym_primitive_type] = ACTIONS(2508),
    [anon_sym_enum] = ACTIONS(2508),
    [anon_sym_class] = ACTIONS(2508),
    [anon_sym_struct] = ACTIONS(2508),
    [anon_sym_union] = ACTIONS(2508),
    [anon_sym_if] = ACTIONS(2508),
    [anon_sym_else] = ACTIONS(2508),
    [anon_sym_switch] = ACTIONS(2508),
    [anon_sym_case] = ACTIONS(2508),
    [anon_sym_default] = ACTIONS(2508),
    [anon_sym_while] = ACTIONS(2508),
    [anon_sym_do] = ACTIONS(2508),
    [anon_sym_for] = ACTIONS(2508),
    [anon_sym_return] = ACTIONS(2508),
    [anon_sym_break] = ACTIONS(2508),
    [anon_sym_continue] = ACTIONS(2508),
    [anon_sym_goto] = ACTIONS(2508),
    [anon_sym___try] = ACTIONS(2508),
    [anon_sym___leave] = ACTIONS(2508),
    [anon_sym_not] = ACTIONS(2508),
    [anon_sym_compl] = ACTIONS(2508),
    [anon_sym_DASH_DASH] = ACTIONS(2510),
    [anon_sym_PLUS_PLUS] = ACTIONS(2510),
    [anon_sym_sizeof] = ACTIONS(2508),
    [anon_sym___alignof__] = ACTIONS(2508),
    [anon_sym___alignof] = ACTIONS(2508),
    [anon_sym__alignof] = ACTIONS(2508),
    [anon_sym_alignof] = ACTIONS(2508),
    [anon_sym__Alignof] = ACTIONS(2508),
    [anon_sym_offsetof] = ACTIONS(2508),
    [anon_sym__Generic] = ACTIONS(2508),
    [anon_sym_asm] = ACTIONS(2508),
    [anon_sym___asm__] = ACTIONS(2508),
    [sym_number_literal] = ACTIONS(2510),
    [anon_sym_L_SQUOTE] = ACTIONS(2510),
    [anon_sym_u_SQUOTE] = ACTIONS(2510),
    [anon_sym_U_SQUOTE] = ACTIONS(2510),
    [anon_sym_u8_SQUOTE] = ACTIONS(2510),
    [anon_sym_SQUOTE] = ACTIONS(2510),
    [anon_sym_L_DQUOTE] = ACTIONS(2510),
    [anon_sym_u_DQUOTE] = ACTIONS(2510),
    [anon_sym_U_DQUOTE] = ACTIONS(2510),
    [anon_sym_u8_DQUOTE] = ACTIONS(2510),
    [anon_sym_DQUOTE] = ACTIONS(2510),
    [sym_true] = ACTIONS(2508),
    [sym_false] = ACTIONS(2508),
    [anon_sym_NULL] = ACTIONS(2508),
    [anon_sym_nullptr] = ACTIONS(2508),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2508),
    [anon_sym_decltype] = ACTIONS(2508),
    [anon_sym_virtual] = ACTIONS(2508),
    [anon_sym_alignas] = ACTIONS(2508),
    [anon_sym_explicit] = ACTIONS(2508),
    [anon_sym_typename] = ACTIONS(2508),
    [anon_sym_template] = ACTIONS(2508),
    [anon_sym_operator] = ACTIONS(2508),
    [anon_sym_try] = ACTIONS(2508),
    [anon_sym_delete] = ACTIONS(2508),
    [anon_sym_throw] = ACTIONS(2508),
    [anon_sym_namespace] = ACTIONS(2508),
    [anon_sym_using] = ACTIONS(2508),
    [anon_sym_static_assert] = ACTIONS(2508),
    [anon_sym_concept] = ACTIONS(2508),
    [anon_sym_co_return] = ACTIONS(2508),
    [anon_sym_co_yield] = ACTIONS(2508),
    [anon_sym_R_DQUOTE] = ACTIONS(2510),
    [anon_sym_LR_DQUOTE] = ACTIONS(2510),
    [anon_sym_uR_DQUOTE] = ACTIONS(2510),
    [anon_sym_UR_DQUOTE] = ACTIONS(2510),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2510),
    [anon_sym_co_await] = ACTIONS(2508),
    [anon_sym_new] = ACTIONS(2508),
    [anon_sym_requires] = ACTIONS(2508),
    [sym_this] = ACTIONS(2508),
    [anon_sym_discard] = ACTIONS(2508),
    [anon_sym_precise] = ACTIONS(2508),
    [anon_sym_shared] = ACTIONS(2508),
    [anon_sym_groupshared] = ACTIONS(2508),
    [anon_sym_uniform] = ACTIONS(2508),
    [anon_sym_row_major] = ACTIONS(2508),
    [anon_sym_column_major] = ACTIONS(2508),
    [anon_sym_globallycoherent] = ACTIONS(2508),
    [anon_sym_centroid] = ACTIONS(2508),
    [anon_sym_noperspective] = ACTIONS(2508),
    [anon_sym_nointerpolation] = ACTIONS(2508),
    [anon_sym_sample] = ACTIONS(2508),
    [anon_sym_linear] = ACTIONS(2508),
    [anon_sym_snorm] = ACTIONS(2508),
    [anon_sym_unorm] = ACTIONS(2508),
    [anon_sym_point] = ACTIONS(2508),
    [anon_sym_line] = ACTIONS(2508),
    [anon_sym_triangleadj] = ACTIONS(2508),
    [anon_sym_lineadj] = ACTIONS(2508),
    [anon_sym_triangle] = ACTIONS(2508),
    [anon_sym_cbuffer] = ACTIONS(2508),
  },
  [340] = {
    [sym_identifier] = ACTIONS(2330),
    [aux_sym_preproc_include_token1] = ACTIONS(2330),
    [aux_sym_preproc_def_token1] = ACTIONS(2330),
    [aux_sym_preproc_if_token1] = ACTIONS(2330),
    [aux_sym_preproc_if_token2] = ACTIONS(2330),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2330),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2330),
    [aux_sym_preproc_else_token1] = ACTIONS(2330),
    [aux_sym_preproc_elif_token1] = ACTIONS(2330),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2330),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2330),
    [sym_preproc_directive] = ACTIONS(2330),
    [anon_sym_LPAREN2] = ACTIONS(2332),
    [anon_sym_BANG] = ACTIONS(2332),
    [anon_sym_TILDE] = ACTIONS(2332),
    [anon_sym_DASH] = ACTIONS(2330),
    [anon_sym_PLUS] = ACTIONS(2330),
    [anon_sym_STAR] = ACTIONS(2332),
    [anon_sym_AMP_AMP] = ACTIONS(2332),
    [anon_sym_AMP] = ACTIONS(2330),
    [anon_sym_SEMI] = ACTIONS(2332),
    [anon_sym___extension__] = ACTIONS(2330),
    [anon_sym_typedef] = ACTIONS(2330),
    [anon_sym_in] = ACTIONS(2330),
    [anon_sym_out] = ACTIONS(2330),
    [anon_sym_inout] = ACTIONS(2330),
    [anon_sym_extern] = ACTIONS(2330),
    [anon_sym___attribute__] = ACTIONS(2330),
    [anon_sym_COLON_COLON] = ACTIONS(2332),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2332),
    [anon_sym___declspec] = ACTIONS(2330),
    [anon_sym___based] = ACTIONS(2330),
    [anon_sym___cdecl] = ACTIONS(2330),
    [anon_sym___clrcall] = ACTIONS(2330),
    [anon_sym___stdcall] = ACTIONS(2330),
    [anon_sym___fastcall] = ACTIONS(2330),
    [anon_sym___thiscall] = ACTIONS(2330),
    [anon_sym___vectorcall] = ACTIONS(2330),
    [anon_sym_LBRACE] = ACTIONS(2332),
    [anon_sym_signed] = ACTIONS(2330),
    [anon_sym_unsigned] = ACTIONS(2330),
    [anon_sym_long] = ACTIONS(2330),
    [anon_sym_short] = ACTIONS(2330),
    [anon_sym_LBRACK] = ACTIONS(2330),
    [anon_sym_static] = ACTIONS(2330),
    [anon_sym_register] = ACTIONS(2330),
    [anon_sym_inline] = ACTIONS(2330),
    [anon_sym___inline] = ACTIONS(2330),
    [anon_sym___inline__] = ACTIONS(2330),
    [anon_sym___forceinline] = ACTIONS(2330),
    [anon_sym_thread_local] = ACTIONS(2330),
    [anon_sym___thread] = ACTIONS(2330),
    [anon_sym_const] = ACTIONS(2330),
    [anon_sym_constexpr] = ACTIONS(2330),
    [anon_sym_volatile] = ACTIONS(2330),
    [anon_sym_restrict] = ACTIONS(2330),
    [anon_sym___restrict__] = ACTIONS(2330),
    [anon_sym__Atomic] = ACTIONS(2330),
    [anon_sym__Noreturn] = ACTIONS(2330),
    [anon_sym_noreturn] = ACTIONS(2330),
    [anon_sym_mutable] = ACTIONS(2330),
    [anon_sym_constinit] = ACTIONS(2330),
    [anon_sym_consteval] = ACTIONS(2330),
    [sym_primitive_type] = ACTIONS(2330),
    [anon_sym_enum] = ACTIONS(2330),
    [anon_sym_class] = ACTIONS(2330),
    [anon_sym_struct] = ACTIONS(2330),
    [anon_sym_union] = ACTIONS(2330),
    [anon_sym_if] = ACTIONS(2330),
    [anon_sym_else] = ACTIONS(2330),
    [anon_sym_switch] = ACTIONS(2330),
    [anon_sym_case] = ACTIONS(2330),
    [anon_sym_default] = ACTIONS(2330),
    [anon_sym_while] = ACTIONS(2330),
    [anon_sym_do] = ACTIONS(2330),
    [anon_sym_for] = ACTIONS(2330),
    [anon_sym_return] = ACTIONS(2330),
    [anon_sym_break] = ACTIONS(2330),
    [anon_sym_continue] = ACTIONS(2330),
    [anon_sym_goto] = ACTIONS(2330),
    [anon_sym___try] = ACTIONS(2330),
    [anon_sym___leave] = ACTIONS(2330),
    [anon_sym_not] = ACTIONS(2330),
    [anon_sym_compl] = ACTIONS(2330),
    [anon_sym_DASH_DASH] = ACTIONS(2332),
    [anon_sym_PLUS_PLUS] = ACTIONS(2332),
    [anon_sym_sizeof] = ACTIONS(2330),
    [anon_sym___alignof__] = ACTIONS(2330),
    [anon_sym___alignof] = ACTIONS(2330),
    [anon_sym__alignof] = ACTIONS(2330),
    [anon_sym_alignof] = ACTIONS(2330),
    [anon_sym__Alignof] = ACTIONS(2330),
    [anon_sym_offsetof] = ACTIONS(2330),
    [anon_sym__Generic] = ACTIONS(2330),
    [anon_sym_asm] = ACTIONS(2330),
    [anon_sym___asm__] = ACTIONS(2330),
    [sym_number_literal] = ACTIONS(2332),
    [anon_sym_L_SQUOTE] = ACTIONS(2332),
    [anon_sym_u_SQUOTE] = ACTIONS(2332),
    [anon_sym_U_SQUOTE] = ACTIONS(2332),
    [anon_sym_u8_SQUOTE] = ACTIONS(2332),
    [anon_sym_SQUOTE] = ACTIONS(2332),
    [anon_sym_L_DQUOTE] = ACTIONS(2332),
    [anon_sym_u_DQUOTE] = ACTIONS(2332),
    [anon_sym_U_DQUOTE] = ACTIONS(2332),
    [anon_sym_u8_DQUOTE] = ACTIONS(2332),
    [anon_sym_DQUOTE] = ACTIONS(2332),
    [sym_true] = ACTIONS(2330),
    [sym_false] = ACTIONS(2330),
    [anon_sym_NULL] = ACTIONS(2330),
    [anon_sym_nullptr] = ACTIONS(2330),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2330),
    [anon_sym_decltype] = ACTIONS(2330),
    [anon_sym_virtual] = ACTIONS(2330),
    [anon_sym_alignas] = ACTIONS(2330),
    [anon_sym_explicit] = ACTIONS(2330),
    [anon_sym_typename] = ACTIONS(2330),
    [anon_sym_template] = ACTIONS(2330),
    [anon_sym_operator] = ACTIONS(2330),
    [anon_sym_try] = ACTIONS(2330),
    [anon_sym_delete] = ACTIONS(2330),
    [anon_sym_throw] = ACTIONS(2330),
    [anon_sym_namespace] = ACTIONS(2330),
    [anon_sym_using] = ACTIONS(2330),
    [anon_sym_static_assert] = ACTIONS(2330),
    [anon_sym_concept] = ACTIONS(2330),
    [anon_sym_co_return] = ACTIONS(2330),
    [anon_sym_co_yield] = ACTIONS(2330),
    [anon_sym_R_DQUOTE] = ACTIONS(2332),
    [anon_sym_LR_DQUOTE] = ACTIONS(2332),
    [anon_sym_uR_DQUOTE] = ACTIONS(2332),
    [anon_sym_UR_DQUOTE] = ACTIONS(2332),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2332),
    [anon_sym_co_await] = ACTIONS(2330),
    [anon_sym_new] = ACTIONS(2330),
    [anon_sym_requires] = ACTIONS(2330),
    [sym_this] = ACTIONS(2330),
    [anon_sym_discard] = ACTIONS(2330),
    [anon_sym_precise] = ACTIONS(2330),
    [anon_sym_shared] = ACTIONS(2330),
    [anon_sym_groupshared] = ACTIONS(2330),
    [anon_sym_uniform] = ACTIONS(2330),
    [anon_sym_row_major] = ACTIONS(2330),
    [anon_sym_column_major] = ACTIONS(2330),
    [anon_sym_globallycoherent] = ACTIONS(2330),
    [anon_sym_centroid] = ACTIONS(2330),
    [anon_sym_noperspective] = ACTIONS(2330),
    [anon_sym_nointerpolation] = ACTIONS(2330),
    [anon_sym_sample] = ACTIONS(2330),
    [anon_sym_linear] = ACTIONS(2330),
    [anon_sym_snorm] = ACTIONS(2330),
    [anon_sym_unorm] = ACTIONS(2330),
    [anon_sym_point] = ACTIONS(2330),
    [anon_sym_line] = ACTIONS(2330),
    [anon_sym_triangleadj] = ACTIONS(2330),
    [anon_sym_lineadj] = ACTIONS(2330),
    [anon_sym_triangle] = ACTIONS(2330),
    [anon_sym_cbuffer] = ACTIONS(2330),
  },
  [341] = {
    [sym_identifier] = ACTIONS(2512),
    [aux_sym_preproc_include_token1] = ACTIONS(2512),
    [aux_sym_preproc_def_token1] = ACTIONS(2512),
    [aux_sym_preproc_if_token1] = ACTIONS(2512),
    [aux_sym_preproc_if_token2] = ACTIONS(2512),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2512),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2512),
    [aux_sym_preproc_else_token1] = ACTIONS(2512),
    [aux_sym_preproc_elif_token1] = ACTIONS(2512),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2512),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2512),
    [sym_preproc_directive] = ACTIONS(2512),
    [anon_sym_LPAREN2] = ACTIONS(2514),
    [anon_sym_BANG] = ACTIONS(2514),
    [anon_sym_TILDE] = ACTIONS(2514),
    [anon_sym_DASH] = ACTIONS(2512),
    [anon_sym_PLUS] = ACTIONS(2512),
    [anon_sym_STAR] = ACTIONS(2514),
    [anon_sym_AMP_AMP] = ACTIONS(2514),
    [anon_sym_AMP] = ACTIONS(2512),
    [anon_sym_SEMI] = ACTIONS(2514),
    [anon_sym___extension__] = ACTIONS(2512),
    [anon_sym_typedef] = ACTIONS(2512),
    [anon_sym_in] = ACTIONS(2512),
    [anon_sym_out] = ACTIONS(2512),
    [anon_sym_inout] = ACTIONS(2512),
    [anon_sym_extern] = ACTIONS(2512),
    [anon_sym___attribute__] = ACTIONS(2512),
    [anon_sym_COLON_COLON] = ACTIONS(2514),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2514),
    [anon_sym___declspec] = ACTIONS(2512),
    [anon_sym___based] = ACTIONS(2512),
    [anon_sym___cdecl] = ACTIONS(2512),
    [anon_sym___clrcall] = ACTIONS(2512),
    [anon_sym___stdcall] = ACTIONS(2512),
    [anon_sym___fastcall] = ACTIONS(2512),
    [anon_sym___thiscall] = ACTIONS(2512),
    [anon_sym___vectorcall] = ACTIONS(2512),
    [anon_sym_LBRACE] = ACTIONS(2514),
    [anon_sym_signed] = ACTIONS(2512),
    [anon_sym_unsigned] = ACTIONS(2512),
    [anon_sym_long] = ACTIONS(2512),
    [anon_sym_short] = ACTIONS(2512),
    [anon_sym_LBRACK] = ACTIONS(2512),
    [anon_sym_static] = ACTIONS(2512),
    [anon_sym_register] = ACTIONS(2512),
    [anon_sym_inline] = ACTIONS(2512),
    [anon_sym___inline] = ACTIONS(2512),
    [anon_sym___inline__] = ACTIONS(2512),
    [anon_sym___forceinline] = ACTIONS(2512),
    [anon_sym_thread_local] = ACTIONS(2512),
    [anon_sym___thread] = ACTIONS(2512),
    [anon_sym_const] = ACTIONS(2512),
    [anon_sym_constexpr] = ACTIONS(2512),
    [anon_sym_volatile] = ACTIONS(2512),
    [anon_sym_restrict] = ACTIONS(2512),
    [anon_sym___restrict__] = ACTIONS(2512),
    [anon_sym__Atomic] = ACTIONS(2512),
    [anon_sym__Noreturn] = ACTIONS(2512),
    [anon_sym_noreturn] = ACTIONS(2512),
    [anon_sym_mutable] = ACTIONS(2512),
    [anon_sym_constinit] = ACTIONS(2512),
    [anon_sym_consteval] = ACTIONS(2512),
    [sym_primitive_type] = ACTIONS(2512),
    [anon_sym_enum] = ACTIONS(2512),
    [anon_sym_class] = ACTIONS(2512),
    [anon_sym_struct] = ACTIONS(2512),
    [anon_sym_union] = ACTIONS(2512),
    [anon_sym_if] = ACTIONS(2512),
    [anon_sym_else] = ACTIONS(2512),
    [anon_sym_switch] = ACTIONS(2512),
    [anon_sym_case] = ACTIONS(2512),
    [anon_sym_default] = ACTIONS(2512),
    [anon_sym_while] = ACTIONS(2512),
    [anon_sym_do] = ACTIONS(2512),
    [anon_sym_for] = ACTIONS(2512),
    [anon_sym_return] = ACTIONS(2512),
    [anon_sym_break] = ACTIONS(2512),
    [anon_sym_continue] = ACTIONS(2512),
    [anon_sym_goto] = ACTIONS(2512),
    [anon_sym___try] = ACTIONS(2512),
    [anon_sym___leave] = ACTIONS(2512),
    [anon_sym_not] = ACTIONS(2512),
    [anon_sym_compl] = ACTIONS(2512),
    [anon_sym_DASH_DASH] = ACTIONS(2514),
    [anon_sym_PLUS_PLUS] = ACTIONS(2514),
    [anon_sym_sizeof] = ACTIONS(2512),
    [anon_sym___alignof__] = ACTIONS(2512),
    [anon_sym___alignof] = ACTIONS(2512),
    [anon_sym__alignof] = ACTIONS(2512),
    [anon_sym_alignof] = ACTIONS(2512),
    [anon_sym__Alignof] = ACTIONS(2512),
    [anon_sym_offsetof] = ACTIONS(2512),
    [anon_sym__Generic] = ACTIONS(2512),
    [anon_sym_asm] = ACTIONS(2512),
    [anon_sym___asm__] = ACTIONS(2512),
    [sym_number_literal] = ACTIONS(2514),
    [anon_sym_L_SQUOTE] = ACTIONS(2514),
    [anon_sym_u_SQUOTE] = ACTIONS(2514),
    [anon_sym_U_SQUOTE] = ACTIONS(2514),
    [anon_sym_u8_SQUOTE] = ACTIONS(2514),
    [anon_sym_SQUOTE] = ACTIONS(2514),
    [anon_sym_L_DQUOTE] = ACTIONS(2514),
    [anon_sym_u_DQUOTE] = ACTIONS(2514),
    [anon_sym_U_DQUOTE] = ACTIONS(2514),
    [anon_sym_u8_DQUOTE] = ACTIONS(2514),
    [anon_sym_DQUOTE] = ACTIONS(2514),
    [sym_true] = ACTIONS(2512),
    [sym_false] = ACTIONS(2512),
    [anon_sym_NULL] = ACTIONS(2512),
    [anon_sym_nullptr] = ACTIONS(2512),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2512),
    [anon_sym_decltype] = ACTIONS(2512),
    [anon_sym_virtual] = ACTIONS(2512),
    [anon_sym_alignas] = ACTIONS(2512),
    [anon_sym_explicit] = ACTIONS(2512),
    [anon_sym_typename] = ACTIONS(2512),
    [anon_sym_template] = ACTIONS(2512),
    [anon_sym_operator] = ACTIONS(2512),
    [anon_sym_try] = ACTIONS(2512),
    [anon_sym_delete] = ACTIONS(2512),
    [anon_sym_throw] = ACTIONS(2512),
    [anon_sym_namespace] = ACTIONS(2512),
    [anon_sym_using] = ACTIONS(2512),
    [anon_sym_static_assert] = ACTIONS(2512),
    [anon_sym_concept] = ACTIONS(2512),
    [anon_sym_co_return] = ACTIONS(2512),
    [anon_sym_co_yield] = ACTIONS(2512),
    [anon_sym_R_DQUOTE] = ACTIONS(2514),
    [anon_sym_LR_DQUOTE] = ACTIONS(2514),
    [anon_sym_uR_DQUOTE] = ACTIONS(2514),
    [anon_sym_UR_DQUOTE] = ACTIONS(2514),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2514),
    [anon_sym_co_await] = ACTIONS(2512),
    [anon_sym_new] = ACTIONS(2512),
    [anon_sym_requires] = ACTIONS(2512),
    [sym_this] = ACTIONS(2512),
    [anon_sym_discard] = ACTIONS(2512),
    [anon_sym_precise] = ACTIONS(2512),
    [anon_sym_shared] = ACTIONS(2512),
    [anon_sym_groupshared] = ACTIONS(2512),
    [anon_sym_uniform] = ACTIONS(2512),
    [anon_sym_row_major] = ACTIONS(2512),
    [anon_sym_column_major] = ACTIONS(2512),
    [anon_sym_globallycoherent] = ACTIONS(2512),
    [anon_sym_centroid] = ACTIONS(2512),
    [anon_sym_noperspective] = ACTIONS(2512),
    [anon_sym_nointerpolation] = ACTIONS(2512),
    [anon_sym_sample] = ACTIONS(2512),
    [anon_sym_linear] = ACTIONS(2512),
    [anon_sym_snorm] = ACTIONS(2512),
    [anon_sym_unorm] = ACTIONS(2512),
    [anon_sym_point] = ACTIONS(2512),
    [anon_sym_line] = ACTIONS(2512),
    [anon_sym_triangleadj] = ACTIONS(2512),
    [anon_sym_lineadj] = ACTIONS(2512),
    [anon_sym_triangle] = ACTIONS(2512),
    [anon_sym_cbuffer] = ACTIONS(2512),
  },
  [342] = {
    [sym_identifier] = ACTIONS(2264),
    [aux_sym_preproc_include_token1] = ACTIONS(2264),
    [aux_sym_preproc_def_token1] = ACTIONS(2264),
    [aux_sym_preproc_if_token1] = ACTIONS(2264),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2264),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2264),
    [sym_preproc_directive] = ACTIONS(2264),
    [anon_sym_LPAREN2] = ACTIONS(2266),
    [anon_sym_BANG] = ACTIONS(2266),
    [anon_sym_TILDE] = ACTIONS(2266),
    [anon_sym_DASH] = ACTIONS(2264),
    [anon_sym_PLUS] = ACTIONS(2264),
    [anon_sym_STAR] = ACTIONS(2266),
    [anon_sym_AMP_AMP] = ACTIONS(2266),
    [anon_sym_AMP] = ACTIONS(2264),
    [anon_sym_COLON] = ACTIONS(2264),
    [anon_sym_SEMI] = ACTIONS(2266),
    [anon_sym___extension__] = ACTIONS(2264),
    [anon_sym_typedef] = ACTIONS(2264),
    [anon_sym_in] = ACTIONS(2264),
    [anon_sym_out] = ACTIONS(2264),
    [anon_sym_inout] = ACTIONS(2264),
    [anon_sym_extern] = ACTIONS(2264),
    [anon_sym___attribute__] = ACTIONS(2264),
    [anon_sym_COLON_COLON] = ACTIONS(2266),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2266),
    [anon_sym___declspec] = ACTIONS(2264),
    [anon_sym___based] = ACTIONS(2264),
    [anon_sym___cdecl] = ACTIONS(2264),
    [anon_sym___clrcall] = ACTIONS(2264),
    [anon_sym___stdcall] = ACTIONS(2264),
    [anon_sym___fastcall] = ACTIONS(2264),
    [anon_sym___thiscall] = ACTIONS(2264),
    [anon_sym___vectorcall] = ACTIONS(2264),
    [anon_sym_LBRACE] = ACTIONS(2266),
    [anon_sym_RBRACE] = ACTIONS(2266),
    [anon_sym_signed] = ACTIONS(2264),
    [anon_sym_unsigned] = ACTIONS(2264),
    [anon_sym_long] = ACTIONS(2264),
    [anon_sym_short] = ACTIONS(2264),
    [anon_sym_LBRACK] = ACTIONS(2264),
    [anon_sym_static] = ACTIONS(2264),
    [anon_sym_register] = ACTIONS(2264),
    [anon_sym_inline] = ACTIONS(2264),
    [anon_sym___inline] = ACTIONS(2264),
    [anon_sym___inline__] = ACTIONS(2264),
    [anon_sym___forceinline] = ACTIONS(2264),
    [anon_sym_thread_local] = ACTIONS(2264),
    [anon_sym___thread] = ACTIONS(2264),
    [anon_sym_const] = ACTIONS(2264),
    [anon_sym_constexpr] = ACTIONS(2264),
    [anon_sym_volatile] = ACTIONS(2264),
    [anon_sym_restrict] = ACTIONS(2264),
    [anon_sym___restrict__] = ACTIONS(2264),
    [anon_sym__Atomic] = ACTIONS(2264),
    [anon_sym__Noreturn] = ACTIONS(2264),
    [anon_sym_noreturn] = ACTIONS(2264),
    [anon_sym_mutable] = ACTIONS(2264),
    [anon_sym_constinit] = ACTIONS(2264),
    [anon_sym_consteval] = ACTIONS(2264),
    [sym_primitive_type] = ACTIONS(2264),
    [anon_sym_enum] = ACTIONS(2264),
    [anon_sym_class] = ACTIONS(2264),
    [anon_sym_struct] = ACTIONS(2264),
    [anon_sym_union] = ACTIONS(2264),
    [anon_sym_if] = ACTIONS(2264),
    [anon_sym_else] = ACTIONS(2264),
    [anon_sym_switch] = ACTIONS(2264),
    [anon_sym_case] = ACTIONS(2264),
    [anon_sym_default] = ACTIONS(2264),
    [anon_sym_while] = ACTIONS(2264),
    [anon_sym_do] = ACTIONS(2264),
    [anon_sym_for] = ACTIONS(2264),
    [anon_sym_return] = ACTIONS(2264),
    [anon_sym_break] = ACTIONS(2264),
    [anon_sym_continue] = ACTIONS(2264),
    [anon_sym_goto] = ACTIONS(2264),
    [anon_sym___try] = ACTIONS(2264),
    [anon_sym___leave] = ACTIONS(2264),
    [anon_sym_not] = ACTIONS(2264),
    [anon_sym_compl] = ACTIONS(2264),
    [anon_sym_DASH_DASH] = ACTIONS(2266),
    [anon_sym_PLUS_PLUS] = ACTIONS(2266),
    [anon_sym_sizeof] = ACTIONS(2264),
    [anon_sym___alignof__] = ACTIONS(2264),
    [anon_sym___alignof] = ACTIONS(2264),
    [anon_sym__alignof] = ACTIONS(2264),
    [anon_sym_alignof] = ACTIONS(2264),
    [anon_sym__Alignof] = ACTIONS(2264),
    [anon_sym_offsetof] = ACTIONS(2264),
    [anon_sym__Generic] = ACTIONS(2264),
    [anon_sym_asm] = ACTIONS(2264),
    [anon_sym___asm__] = ACTIONS(2264),
    [sym_number_literal] = ACTIONS(2266),
    [anon_sym_L_SQUOTE] = ACTIONS(2266),
    [anon_sym_u_SQUOTE] = ACTIONS(2266),
    [anon_sym_U_SQUOTE] = ACTIONS(2266),
    [anon_sym_u8_SQUOTE] = ACTIONS(2266),
    [anon_sym_SQUOTE] = ACTIONS(2266),
    [anon_sym_L_DQUOTE] = ACTIONS(2266),
    [anon_sym_u_DQUOTE] = ACTIONS(2266),
    [anon_sym_U_DQUOTE] = ACTIONS(2266),
    [anon_sym_u8_DQUOTE] = ACTIONS(2266),
    [anon_sym_DQUOTE] = ACTIONS(2266),
    [sym_true] = ACTIONS(2264),
    [sym_false] = ACTIONS(2264),
    [anon_sym_NULL] = ACTIONS(2264),
    [anon_sym_nullptr] = ACTIONS(2264),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2264),
    [anon_sym_decltype] = ACTIONS(2264),
    [anon_sym_final] = ACTIONS(2264),
    [anon_sym_override] = ACTIONS(2264),
    [anon_sym_virtual] = ACTIONS(2264),
    [anon_sym_alignas] = ACTIONS(2264),
    [anon_sym_explicit] = ACTIONS(2264),
    [anon_sym_typename] = ACTIONS(2264),
    [anon_sym_template] = ACTIONS(2264),
    [anon_sym_operator] = ACTIONS(2264),
    [anon_sym_try] = ACTIONS(2264),
    [anon_sym_delete] = ACTIONS(2264),
    [anon_sym_throw] = ACTIONS(2264),
    [anon_sym_namespace] = ACTIONS(2264),
    [anon_sym_using] = ACTIONS(2264),
    [anon_sym_static_assert] = ACTIONS(2264),
    [anon_sym_concept] = ACTIONS(2264),
    [anon_sym_co_return] = ACTIONS(2264),
    [anon_sym_co_yield] = ACTIONS(2264),
    [anon_sym_R_DQUOTE] = ACTIONS(2266),
    [anon_sym_LR_DQUOTE] = ACTIONS(2266),
    [anon_sym_uR_DQUOTE] = ACTIONS(2266),
    [anon_sym_UR_DQUOTE] = ACTIONS(2266),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2266),
    [anon_sym_co_await] = ACTIONS(2264),
    [anon_sym_new] = ACTIONS(2264),
    [anon_sym_requires] = ACTIONS(2264),
    [sym_this] = ACTIONS(2264),
    [anon_sym_discard] = ACTIONS(2264),
    [anon_sym_precise] = ACTIONS(2264),
    [anon_sym_shared] = ACTIONS(2264),
    [anon_sym_groupshared] = ACTIONS(2264),
    [anon_sym_uniform] = ACTIONS(2264),
    [anon_sym_row_major] = ACTIONS(2264),
    [anon_sym_column_major] = ACTIONS(2264),
    [anon_sym_globallycoherent] = ACTIONS(2264),
    [anon_sym_centroid] = ACTIONS(2264),
    [anon_sym_noperspective] = ACTIONS(2264),
    [anon_sym_nointerpolation] = ACTIONS(2264),
    [anon_sym_sample] = ACTIONS(2264),
    [anon_sym_linear] = ACTIONS(2264),
    [anon_sym_snorm] = ACTIONS(2264),
    [anon_sym_unorm] = ACTIONS(2264),
    [anon_sym_point] = ACTIONS(2264),
    [anon_sym_line] = ACTIONS(2264),
    [anon_sym_triangleadj] = ACTIONS(2264),
    [anon_sym_lineadj] = ACTIONS(2264),
    [anon_sym_triangle] = ACTIONS(2264),
    [anon_sym_cbuffer] = ACTIONS(2264),
  },
  [343] = {
    [sym_identifier] = ACTIONS(2516),
    [aux_sym_preproc_include_token1] = ACTIONS(2516),
    [aux_sym_preproc_def_token1] = ACTIONS(2516),
    [aux_sym_preproc_if_token1] = ACTIONS(2516),
    [aux_sym_preproc_if_token2] = ACTIONS(2516),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2516),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2516),
    [aux_sym_preproc_else_token1] = ACTIONS(2516),
    [aux_sym_preproc_elif_token1] = ACTIONS(2516),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2516),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2516),
    [sym_preproc_directive] = ACTIONS(2516),
    [anon_sym_LPAREN2] = ACTIONS(2518),
    [anon_sym_BANG] = ACTIONS(2518),
    [anon_sym_TILDE] = ACTIONS(2518),
    [anon_sym_DASH] = ACTIONS(2516),
    [anon_sym_PLUS] = ACTIONS(2516),
    [anon_sym_STAR] = ACTIONS(2518),
    [anon_sym_AMP_AMP] = ACTIONS(2518),
    [anon_sym_AMP] = ACTIONS(2516),
    [anon_sym_SEMI] = ACTIONS(2518),
    [anon_sym___extension__] = ACTIONS(2516),
    [anon_sym_typedef] = ACTIONS(2516),
    [anon_sym_in] = ACTIONS(2516),
    [anon_sym_out] = ACTIONS(2516),
    [anon_sym_inout] = ACTIONS(2516),
    [anon_sym_extern] = ACTIONS(2516),
    [anon_sym___attribute__] = ACTIONS(2516),
    [anon_sym_COLON_COLON] = ACTIONS(2518),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2518),
    [anon_sym___declspec] = ACTIONS(2516),
    [anon_sym___based] = ACTIONS(2516),
    [anon_sym___cdecl] = ACTIONS(2516),
    [anon_sym___clrcall] = ACTIONS(2516),
    [anon_sym___stdcall] = ACTIONS(2516),
    [anon_sym___fastcall] = ACTIONS(2516),
    [anon_sym___thiscall] = ACTIONS(2516),
    [anon_sym___vectorcall] = ACTIONS(2516),
    [anon_sym_LBRACE] = ACTIONS(2518),
    [anon_sym_signed] = ACTIONS(2516),
    [anon_sym_unsigned] = ACTIONS(2516),
    [anon_sym_long] = ACTIONS(2516),
    [anon_sym_short] = ACTIONS(2516),
    [anon_sym_LBRACK] = ACTIONS(2516),
    [anon_sym_static] = ACTIONS(2516),
    [anon_sym_register] = ACTIONS(2516),
    [anon_sym_inline] = ACTIONS(2516),
    [anon_sym___inline] = ACTIONS(2516),
    [anon_sym___inline__] = ACTIONS(2516),
    [anon_sym___forceinline] = ACTIONS(2516),
    [anon_sym_thread_local] = ACTIONS(2516),
    [anon_sym___thread] = ACTIONS(2516),
    [anon_sym_const] = ACTIONS(2516),
    [anon_sym_constexpr] = ACTIONS(2516),
    [anon_sym_volatile] = ACTIONS(2516),
    [anon_sym_restrict] = ACTIONS(2516),
    [anon_sym___restrict__] = ACTIONS(2516),
    [anon_sym__Atomic] = ACTIONS(2516),
    [anon_sym__Noreturn] = ACTIONS(2516),
    [anon_sym_noreturn] = ACTIONS(2516),
    [anon_sym_mutable] = ACTIONS(2516),
    [anon_sym_constinit] = ACTIONS(2516),
    [anon_sym_consteval] = ACTIONS(2516),
    [sym_primitive_type] = ACTIONS(2516),
    [anon_sym_enum] = ACTIONS(2516),
    [anon_sym_class] = ACTIONS(2516),
    [anon_sym_struct] = ACTIONS(2516),
    [anon_sym_union] = ACTIONS(2516),
    [anon_sym_if] = ACTIONS(2516),
    [anon_sym_switch] = ACTIONS(2516),
    [anon_sym_case] = ACTIONS(2516),
    [anon_sym_default] = ACTIONS(2516),
    [anon_sym_while] = ACTIONS(2516),
    [anon_sym_do] = ACTIONS(2516),
    [anon_sym_for] = ACTIONS(2516),
    [anon_sym_return] = ACTIONS(2516),
    [anon_sym_break] = ACTIONS(2516),
    [anon_sym_continue] = ACTIONS(2516),
    [anon_sym_goto] = ACTIONS(2516),
    [anon_sym___try] = ACTIONS(2516),
    [anon_sym___leave] = ACTIONS(2516),
    [anon_sym_not] = ACTIONS(2516),
    [anon_sym_compl] = ACTIONS(2516),
    [anon_sym_DASH_DASH] = ACTIONS(2518),
    [anon_sym_PLUS_PLUS] = ACTIONS(2518),
    [anon_sym_sizeof] = ACTIONS(2516),
    [anon_sym___alignof__] = ACTIONS(2516),
    [anon_sym___alignof] = ACTIONS(2516),
    [anon_sym__alignof] = ACTIONS(2516),
    [anon_sym_alignof] = ACTIONS(2516),
    [anon_sym__Alignof] = ACTIONS(2516),
    [anon_sym_offsetof] = ACTIONS(2516),
    [anon_sym__Generic] = ACTIONS(2516),
    [anon_sym_asm] = ACTIONS(2516),
    [anon_sym___asm__] = ACTIONS(2516),
    [sym_number_literal] = ACTIONS(2518),
    [anon_sym_L_SQUOTE] = ACTIONS(2518),
    [anon_sym_u_SQUOTE] = ACTIONS(2518),
    [anon_sym_U_SQUOTE] = ACTIONS(2518),
    [anon_sym_u8_SQUOTE] = ACTIONS(2518),
    [anon_sym_SQUOTE] = ACTIONS(2518),
    [anon_sym_L_DQUOTE] = ACTIONS(2518),
    [anon_sym_u_DQUOTE] = ACTIONS(2518),
    [anon_sym_U_DQUOTE] = ACTIONS(2518),
    [anon_sym_u8_DQUOTE] = ACTIONS(2518),
    [anon_sym_DQUOTE] = ACTIONS(2518),
    [sym_true] = ACTIONS(2516),
    [sym_false] = ACTIONS(2516),
    [anon_sym_NULL] = ACTIONS(2516),
    [anon_sym_nullptr] = ACTIONS(2516),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2516),
    [anon_sym_decltype] = ACTIONS(2516),
    [anon_sym_virtual] = ACTIONS(2516),
    [anon_sym_alignas] = ACTIONS(2516),
    [anon_sym_explicit] = ACTIONS(2516),
    [anon_sym_typename] = ACTIONS(2516),
    [anon_sym_template] = ACTIONS(2516),
    [anon_sym_operator] = ACTIONS(2516),
    [anon_sym_try] = ACTIONS(2516),
    [anon_sym_delete] = ACTIONS(2516),
    [anon_sym_throw] = ACTIONS(2516),
    [anon_sym_namespace] = ACTIONS(2516),
    [anon_sym_using] = ACTIONS(2516),
    [anon_sym_static_assert] = ACTIONS(2516),
    [anon_sym_concept] = ACTIONS(2516),
    [anon_sym_co_return] = ACTIONS(2516),
    [anon_sym_co_yield] = ACTIONS(2516),
    [anon_sym_R_DQUOTE] = ACTIONS(2518),
    [anon_sym_LR_DQUOTE] = ACTIONS(2518),
    [anon_sym_uR_DQUOTE] = ACTIONS(2518),
    [anon_sym_UR_DQUOTE] = ACTIONS(2518),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2518),
    [anon_sym_co_await] = ACTIONS(2516),
    [anon_sym_new] = ACTIONS(2516),
    [anon_sym_requires] = ACTIONS(2516),
    [sym_this] = ACTIONS(2516),
    [anon_sym_discard] = ACTIONS(2516),
    [anon_sym_precise] = ACTIONS(2516),
    [anon_sym_shared] = ACTIONS(2516),
    [anon_sym_groupshared] = ACTIONS(2516),
    [anon_sym_uniform] = ACTIONS(2516),
    [anon_sym_row_major] = ACTIONS(2516),
    [anon_sym_column_major] = ACTIONS(2516),
    [anon_sym_globallycoherent] = ACTIONS(2516),
    [anon_sym_centroid] = ACTIONS(2516),
    [anon_sym_noperspective] = ACTIONS(2516),
    [anon_sym_nointerpolation] = ACTIONS(2516),
    [anon_sym_sample] = ACTIONS(2516),
    [anon_sym_linear] = ACTIONS(2516),
    [anon_sym_snorm] = ACTIONS(2516),
    [anon_sym_unorm] = ACTIONS(2516),
    [anon_sym_point] = ACTIONS(2516),
    [anon_sym_line] = ACTIONS(2516),
    [anon_sym_triangleadj] = ACTIONS(2516),
    [anon_sym_lineadj] = ACTIONS(2516),
    [anon_sym_triangle] = ACTIONS(2516),
    [anon_sym_cbuffer] = ACTIONS(2516),
  },
  [344] = {
    [sym_identifier] = ACTIONS(2520),
    [aux_sym_preproc_include_token1] = ACTIONS(2520),
    [aux_sym_preproc_def_token1] = ACTIONS(2520),
    [aux_sym_preproc_if_token1] = ACTIONS(2520),
    [aux_sym_preproc_if_token2] = ACTIONS(2520),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2520),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2520),
    [aux_sym_preproc_else_token1] = ACTIONS(2520),
    [aux_sym_preproc_elif_token1] = ACTIONS(2520),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2520),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2520),
    [sym_preproc_directive] = ACTIONS(2520),
    [anon_sym_LPAREN2] = ACTIONS(2522),
    [anon_sym_BANG] = ACTIONS(2522),
    [anon_sym_TILDE] = ACTIONS(2522),
    [anon_sym_DASH] = ACTIONS(2520),
    [anon_sym_PLUS] = ACTIONS(2520),
    [anon_sym_STAR] = ACTIONS(2522),
    [anon_sym_AMP_AMP] = ACTIONS(2522),
    [anon_sym_AMP] = ACTIONS(2520),
    [anon_sym_SEMI] = ACTIONS(2522),
    [anon_sym___extension__] = ACTIONS(2520),
    [anon_sym_typedef] = ACTIONS(2520),
    [anon_sym_in] = ACTIONS(2520),
    [anon_sym_out] = ACTIONS(2520),
    [anon_sym_inout] = ACTIONS(2520),
    [anon_sym_extern] = ACTIONS(2520),
    [anon_sym___attribute__] = ACTIONS(2520),
    [anon_sym_COLON_COLON] = ACTIONS(2522),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2522),
    [anon_sym___declspec] = ACTIONS(2520),
    [anon_sym___based] = ACTIONS(2520),
    [anon_sym___cdecl] = ACTIONS(2520),
    [anon_sym___clrcall] = ACTIONS(2520),
    [anon_sym___stdcall] = ACTIONS(2520),
    [anon_sym___fastcall] = ACTIONS(2520),
    [anon_sym___thiscall] = ACTIONS(2520),
    [anon_sym___vectorcall] = ACTIONS(2520),
    [anon_sym_LBRACE] = ACTIONS(2522),
    [anon_sym_signed] = ACTIONS(2520),
    [anon_sym_unsigned] = ACTIONS(2520),
    [anon_sym_long] = ACTIONS(2520),
    [anon_sym_short] = ACTIONS(2520),
    [anon_sym_LBRACK] = ACTIONS(2520),
    [anon_sym_static] = ACTIONS(2520),
    [anon_sym_register] = ACTIONS(2520),
    [anon_sym_inline] = ACTIONS(2520),
    [anon_sym___inline] = ACTIONS(2520),
    [anon_sym___inline__] = ACTIONS(2520),
    [anon_sym___forceinline] = ACTIONS(2520),
    [anon_sym_thread_local] = ACTIONS(2520),
    [anon_sym___thread] = ACTIONS(2520),
    [anon_sym_const] = ACTIONS(2520),
    [anon_sym_constexpr] = ACTIONS(2520),
    [anon_sym_volatile] = ACTIONS(2520),
    [anon_sym_restrict] = ACTIONS(2520),
    [anon_sym___restrict__] = ACTIONS(2520),
    [anon_sym__Atomic] = ACTIONS(2520),
    [anon_sym__Noreturn] = ACTIONS(2520),
    [anon_sym_noreturn] = ACTIONS(2520),
    [anon_sym_mutable] = ACTIONS(2520),
    [anon_sym_constinit] = ACTIONS(2520),
    [anon_sym_consteval] = ACTIONS(2520),
    [sym_primitive_type] = ACTIONS(2520),
    [anon_sym_enum] = ACTIONS(2520),
    [anon_sym_class] = ACTIONS(2520),
    [anon_sym_struct] = ACTIONS(2520),
    [anon_sym_union] = ACTIONS(2520),
    [anon_sym_if] = ACTIONS(2520),
    [anon_sym_switch] = ACTIONS(2520),
    [anon_sym_case] = ACTIONS(2520),
    [anon_sym_default] = ACTIONS(2520),
    [anon_sym_while] = ACTIONS(2520),
    [anon_sym_do] = ACTIONS(2520),
    [anon_sym_for] = ACTIONS(2520),
    [anon_sym_return] = ACTIONS(2520),
    [anon_sym_break] = ACTIONS(2520),
    [anon_sym_continue] = ACTIONS(2520),
    [anon_sym_goto] = ACTIONS(2520),
    [anon_sym___try] = ACTIONS(2520),
    [anon_sym___leave] = ACTIONS(2520),
    [anon_sym_not] = ACTIONS(2520),
    [anon_sym_compl] = ACTIONS(2520),
    [anon_sym_DASH_DASH] = ACTIONS(2522),
    [anon_sym_PLUS_PLUS] = ACTIONS(2522),
    [anon_sym_sizeof] = ACTIONS(2520),
    [anon_sym___alignof__] = ACTIONS(2520),
    [anon_sym___alignof] = ACTIONS(2520),
    [anon_sym__alignof] = ACTIONS(2520),
    [anon_sym_alignof] = ACTIONS(2520),
    [anon_sym__Alignof] = ACTIONS(2520),
    [anon_sym_offsetof] = ACTIONS(2520),
    [anon_sym__Generic] = ACTIONS(2520),
    [anon_sym_asm] = ACTIONS(2520),
    [anon_sym___asm__] = ACTIONS(2520),
    [sym_number_literal] = ACTIONS(2522),
    [anon_sym_L_SQUOTE] = ACTIONS(2522),
    [anon_sym_u_SQUOTE] = ACTIONS(2522),
    [anon_sym_U_SQUOTE] = ACTIONS(2522),
    [anon_sym_u8_SQUOTE] = ACTIONS(2522),
    [anon_sym_SQUOTE] = ACTIONS(2522),
    [anon_sym_L_DQUOTE] = ACTIONS(2522),
    [anon_sym_u_DQUOTE] = ACTIONS(2522),
    [anon_sym_U_DQUOTE] = ACTIONS(2522),
    [anon_sym_u8_DQUOTE] = ACTIONS(2522),
    [anon_sym_DQUOTE] = ACTIONS(2522),
    [sym_true] = ACTIONS(2520),
    [sym_false] = ACTIONS(2520),
    [anon_sym_NULL] = ACTIONS(2520),
    [anon_sym_nullptr] = ACTIONS(2520),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2520),
    [anon_sym_decltype] = ACTIONS(2520),
    [anon_sym_virtual] = ACTIONS(2520),
    [anon_sym_alignas] = ACTIONS(2520),
    [anon_sym_explicit] = ACTIONS(2520),
    [anon_sym_typename] = ACTIONS(2520),
    [anon_sym_template] = ACTIONS(2520),
    [anon_sym_operator] = ACTIONS(2520),
    [anon_sym_try] = ACTIONS(2520),
    [anon_sym_delete] = ACTIONS(2520),
    [anon_sym_throw] = ACTIONS(2520),
    [anon_sym_namespace] = ACTIONS(2520),
    [anon_sym_using] = ACTIONS(2520),
    [anon_sym_static_assert] = ACTIONS(2520),
    [anon_sym_concept] = ACTIONS(2520),
    [anon_sym_co_return] = ACTIONS(2520),
    [anon_sym_co_yield] = ACTIONS(2520),
    [anon_sym_R_DQUOTE] = ACTIONS(2522),
    [anon_sym_LR_DQUOTE] = ACTIONS(2522),
    [anon_sym_uR_DQUOTE] = ACTIONS(2522),
    [anon_sym_UR_DQUOTE] = ACTIONS(2522),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2522),
    [anon_sym_co_await] = ACTIONS(2520),
    [anon_sym_new] = ACTIONS(2520),
    [anon_sym_requires] = ACTIONS(2520),
    [sym_this] = ACTIONS(2520),
    [anon_sym_discard] = ACTIONS(2520),
    [anon_sym_precise] = ACTIONS(2520),
    [anon_sym_shared] = ACTIONS(2520),
    [anon_sym_groupshared] = ACTIONS(2520),
    [anon_sym_uniform] = ACTIONS(2520),
    [anon_sym_row_major] = ACTIONS(2520),
    [anon_sym_column_major] = ACTIONS(2520),
    [anon_sym_globallycoherent] = ACTIONS(2520),
    [anon_sym_centroid] = ACTIONS(2520),
    [anon_sym_noperspective] = ACTIONS(2520),
    [anon_sym_nointerpolation] = ACTIONS(2520),
    [anon_sym_sample] = ACTIONS(2520),
    [anon_sym_linear] = ACTIONS(2520),
    [anon_sym_snorm] = ACTIONS(2520),
    [anon_sym_unorm] = ACTIONS(2520),
    [anon_sym_point] = ACTIONS(2520),
    [anon_sym_line] = ACTIONS(2520),
    [anon_sym_triangleadj] = ACTIONS(2520),
    [anon_sym_lineadj] = ACTIONS(2520),
    [anon_sym_triangle] = ACTIONS(2520),
    [anon_sym_cbuffer] = ACTIONS(2520),
  },
  [345] = {
    [sym_identifier] = ACTIONS(2524),
    [aux_sym_preproc_include_token1] = ACTIONS(2524),
    [aux_sym_preproc_def_token1] = ACTIONS(2524),
    [aux_sym_preproc_if_token1] = ACTIONS(2524),
    [aux_sym_preproc_if_token2] = ACTIONS(2524),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2524),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2524),
    [aux_sym_preproc_else_token1] = ACTIONS(2524),
    [aux_sym_preproc_elif_token1] = ACTIONS(2524),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2524),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2524),
    [sym_preproc_directive] = ACTIONS(2524),
    [anon_sym_LPAREN2] = ACTIONS(2526),
    [anon_sym_BANG] = ACTIONS(2526),
    [anon_sym_TILDE] = ACTIONS(2526),
    [anon_sym_DASH] = ACTIONS(2524),
    [anon_sym_PLUS] = ACTIONS(2524),
    [anon_sym_STAR] = ACTIONS(2526),
    [anon_sym_AMP_AMP] = ACTIONS(2526),
    [anon_sym_AMP] = ACTIONS(2524),
    [anon_sym_SEMI] = ACTIONS(2526),
    [anon_sym___extension__] = ACTIONS(2524),
    [anon_sym_typedef] = ACTIONS(2524),
    [anon_sym_in] = ACTIONS(2524),
    [anon_sym_out] = ACTIONS(2524),
    [anon_sym_inout] = ACTIONS(2524),
    [anon_sym_extern] = ACTIONS(2524),
    [anon_sym___attribute__] = ACTIONS(2524),
    [anon_sym_COLON_COLON] = ACTIONS(2526),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2526),
    [anon_sym___declspec] = ACTIONS(2524),
    [anon_sym___based] = ACTIONS(2524),
    [anon_sym___cdecl] = ACTIONS(2524),
    [anon_sym___clrcall] = ACTIONS(2524),
    [anon_sym___stdcall] = ACTIONS(2524),
    [anon_sym___fastcall] = ACTIONS(2524),
    [anon_sym___thiscall] = ACTIONS(2524),
    [anon_sym___vectorcall] = ACTIONS(2524),
    [anon_sym_LBRACE] = ACTIONS(2526),
    [anon_sym_signed] = ACTIONS(2524),
    [anon_sym_unsigned] = ACTIONS(2524),
    [anon_sym_long] = ACTIONS(2524),
    [anon_sym_short] = ACTIONS(2524),
    [anon_sym_LBRACK] = ACTIONS(2524),
    [anon_sym_static] = ACTIONS(2524),
    [anon_sym_register] = ACTIONS(2524),
    [anon_sym_inline] = ACTIONS(2524),
    [anon_sym___inline] = ACTIONS(2524),
    [anon_sym___inline__] = ACTIONS(2524),
    [anon_sym___forceinline] = ACTIONS(2524),
    [anon_sym_thread_local] = ACTIONS(2524),
    [anon_sym___thread] = ACTIONS(2524),
    [anon_sym_const] = ACTIONS(2524),
    [anon_sym_constexpr] = ACTIONS(2524),
    [anon_sym_volatile] = ACTIONS(2524),
    [anon_sym_restrict] = ACTIONS(2524),
    [anon_sym___restrict__] = ACTIONS(2524),
    [anon_sym__Atomic] = ACTIONS(2524),
    [anon_sym__Noreturn] = ACTIONS(2524),
    [anon_sym_noreturn] = ACTIONS(2524),
    [anon_sym_mutable] = ACTIONS(2524),
    [anon_sym_constinit] = ACTIONS(2524),
    [anon_sym_consteval] = ACTIONS(2524),
    [sym_primitive_type] = ACTIONS(2524),
    [anon_sym_enum] = ACTIONS(2524),
    [anon_sym_class] = ACTIONS(2524),
    [anon_sym_struct] = ACTIONS(2524),
    [anon_sym_union] = ACTIONS(2524),
    [anon_sym_if] = ACTIONS(2524),
    [anon_sym_switch] = ACTIONS(2524),
    [anon_sym_case] = ACTIONS(2524),
    [anon_sym_default] = ACTIONS(2524),
    [anon_sym_while] = ACTIONS(2524),
    [anon_sym_do] = ACTIONS(2524),
    [anon_sym_for] = ACTIONS(2524),
    [anon_sym_return] = ACTIONS(2524),
    [anon_sym_break] = ACTIONS(2524),
    [anon_sym_continue] = ACTIONS(2524),
    [anon_sym_goto] = ACTIONS(2524),
    [anon_sym___try] = ACTIONS(2524),
    [anon_sym___leave] = ACTIONS(2524),
    [anon_sym_not] = ACTIONS(2524),
    [anon_sym_compl] = ACTIONS(2524),
    [anon_sym_DASH_DASH] = ACTIONS(2526),
    [anon_sym_PLUS_PLUS] = ACTIONS(2526),
    [anon_sym_sizeof] = ACTIONS(2524),
    [anon_sym___alignof__] = ACTIONS(2524),
    [anon_sym___alignof] = ACTIONS(2524),
    [anon_sym__alignof] = ACTIONS(2524),
    [anon_sym_alignof] = ACTIONS(2524),
    [anon_sym__Alignof] = ACTIONS(2524),
    [anon_sym_offsetof] = ACTIONS(2524),
    [anon_sym__Generic] = ACTIONS(2524),
    [anon_sym_asm] = ACTIONS(2524),
    [anon_sym___asm__] = ACTIONS(2524),
    [sym_number_literal] = ACTIONS(2526),
    [anon_sym_L_SQUOTE] = ACTIONS(2526),
    [anon_sym_u_SQUOTE] = ACTIONS(2526),
    [anon_sym_U_SQUOTE] = ACTIONS(2526),
    [anon_sym_u8_SQUOTE] = ACTIONS(2526),
    [anon_sym_SQUOTE] = ACTIONS(2526),
    [anon_sym_L_DQUOTE] = ACTIONS(2526),
    [anon_sym_u_DQUOTE] = ACTIONS(2526),
    [anon_sym_U_DQUOTE] = ACTIONS(2526),
    [anon_sym_u8_DQUOTE] = ACTIONS(2526),
    [anon_sym_DQUOTE] = ACTIONS(2526),
    [sym_true] = ACTIONS(2524),
    [sym_false] = ACTIONS(2524),
    [anon_sym_NULL] = ACTIONS(2524),
    [anon_sym_nullptr] = ACTIONS(2524),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2524),
    [anon_sym_decltype] = ACTIONS(2524),
    [anon_sym_virtual] = ACTIONS(2524),
    [anon_sym_alignas] = ACTIONS(2524),
    [anon_sym_explicit] = ACTIONS(2524),
    [anon_sym_typename] = ACTIONS(2524),
    [anon_sym_template] = ACTIONS(2524),
    [anon_sym_operator] = ACTIONS(2524),
    [anon_sym_try] = ACTIONS(2524),
    [anon_sym_delete] = ACTIONS(2524),
    [anon_sym_throw] = ACTIONS(2524),
    [anon_sym_namespace] = ACTIONS(2524),
    [anon_sym_using] = ACTIONS(2524),
    [anon_sym_static_assert] = ACTIONS(2524),
    [anon_sym_concept] = ACTIONS(2524),
    [anon_sym_co_return] = ACTIONS(2524),
    [anon_sym_co_yield] = ACTIONS(2524),
    [anon_sym_R_DQUOTE] = ACTIONS(2526),
    [anon_sym_LR_DQUOTE] = ACTIONS(2526),
    [anon_sym_uR_DQUOTE] = ACTIONS(2526),
    [anon_sym_UR_DQUOTE] = ACTIONS(2526),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2526),
    [anon_sym_co_await] = ACTIONS(2524),
    [anon_sym_new] = ACTIONS(2524),
    [anon_sym_requires] = ACTIONS(2524),
    [sym_this] = ACTIONS(2524),
    [anon_sym_discard] = ACTIONS(2524),
    [anon_sym_precise] = ACTIONS(2524),
    [anon_sym_shared] = ACTIONS(2524),
    [anon_sym_groupshared] = ACTIONS(2524),
    [anon_sym_uniform] = ACTIONS(2524),
    [anon_sym_row_major] = ACTIONS(2524),
    [anon_sym_column_major] = ACTIONS(2524),
    [anon_sym_globallycoherent] = ACTIONS(2524),
    [anon_sym_centroid] = ACTIONS(2524),
    [anon_sym_noperspective] = ACTIONS(2524),
    [anon_sym_nointerpolation] = ACTIONS(2524),
    [anon_sym_sample] = ACTIONS(2524),
    [anon_sym_linear] = ACTIONS(2524),
    [anon_sym_snorm] = ACTIONS(2524),
    [anon_sym_unorm] = ACTIONS(2524),
    [anon_sym_point] = ACTIONS(2524),
    [anon_sym_line] = ACTIONS(2524),
    [anon_sym_triangleadj] = ACTIONS(2524),
    [anon_sym_lineadj] = ACTIONS(2524),
    [anon_sym_triangle] = ACTIONS(2524),
    [anon_sym_cbuffer] = ACTIONS(2524),
  },
  [346] = {
    [sym_identifier] = ACTIONS(2264),
    [aux_sym_preproc_include_token1] = ACTIONS(2264),
    [aux_sym_preproc_def_token1] = ACTIONS(2264),
    [aux_sym_preproc_if_token1] = ACTIONS(2264),
    [aux_sym_preproc_if_token2] = ACTIONS(2264),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2264),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2264),
    [sym_preproc_directive] = ACTIONS(2264),
    [anon_sym_LPAREN2] = ACTIONS(2266),
    [anon_sym_BANG] = ACTIONS(2266),
    [anon_sym_TILDE] = ACTIONS(2266),
    [anon_sym_DASH] = ACTIONS(2264),
    [anon_sym_PLUS] = ACTIONS(2264),
    [anon_sym_STAR] = ACTIONS(2266),
    [anon_sym_AMP_AMP] = ACTIONS(2266),
    [anon_sym_AMP] = ACTIONS(2264),
    [anon_sym_COLON] = ACTIONS(2264),
    [anon_sym_SEMI] = ACTIONS(2266),
    [anon_sym___extension__] = ACTIONS(2264),
    [anon_sym_typedef] = ACTIONS(2264),
    [anon_sym_in] = ACTIONS(2264),
    [anon_sym_out] = ACTIONS(2264),
    [anon_sym_inout] = ACTIONS(2264),
    [anon_sym_extern] = ACTIONS(2264),
    [anon_sym___attribute__] = ACTIONS(2264),
    [anon_sym_COLON_COLON] = ACTIONS(2266),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2266),
    [anon_sym___declspec] = ACTIONS(2264),
    [anon_sym___based] = ACTIONS(2264),
    [anon_sym___cdecl] = ACTIONS(2264),
    [anon_sym___clrcall] = ACTIONS(2264),
    [anon_sym___stdcall] = ACTIONS(2264),
    [anon_sym___fastcall] = ACTIONS(2264),
    [anon_sym___thiscall] = ACTIONS(2264),
    [anon_sym___vectorcall] = ACTIONS(2264),
    [anon_sym_LBRACE] = ACTIONS(2266),
    [anon_sym_signed] = ACTIONS(2264),
    [anon_sym_unsigned] = ACTIONS(2264),
    [anon_sym_long] = ACTIONS(2264),
    [anon_sym_short] = ACTIONS(2264),
    [anon_sym_LBRACK] = ACTIONS(2264),
    [anon_sym_static] = ACTIONS(2264),
    [anon_sym_register] = ACTIONS(2264),
    [anon_sym_inline] = ACTIONS(2264),
    [anon_sym___inline] = ACTIONS(2264),
    [anon_sym___inline__] = ACTIONS(2264),
    [anon_sym___forceinline] = ACTIONS(2264),
    [anon_sym_thread_local] = ACTIONS(2264),
    [anon_sym___thread] = ACTIONS(2264),
    [anon_sym_const] = ACTIONS(2264),
    [anon_sym_constexpr] = ACTIONS(2264),
    [anon_sym_volatile] = ACTIONS(2264),
    [anon_sym_restrict] = ACTIONS(2264),
    [anon_sym___restrict__] = ACTIONS(2264),
    [anon_sym__Atomic] = ACTIONS(2264),
    [anon_sym__Noreturn] = ACTIONS(2264),
    [anon_sym_noreturn] = ACTIONS(2264),
    [anon_sym_mutable] = ACTIONS(2264),
    [anon_sym_constinit] = ACTIONS(2264),
    [anon_sym_consteval] = ACTIONS(2264),
    [sym_primitive_type] = ACTIONS(2264),
    [anon_sym_enum] = ACTIONS(2264),
    [anon_sym_class] = ACTIONS(2264),
    [anon_sym_struct] = ACTIONS(2264),
    [anon_sym_union] = ACTIONS(2264),
    [anon_sym_if] = ACTIONS(2264),
    [anon_sym_else] = ACTIONS(2264),
    [anon_sym_switch] = ACTIONS(2264),
    [anon_sym_case] = ACTIONS(2264),
    [anon_sym_default] = ACTIONS(2264),
    [anon_sym_while] = ACTIONS(2264),
    [anon_sym_do] = ACTIONS(2264),
    [anon_sym_for] = ACTIONS(2264),
    [anon_sym_return] = ACTIONS(2264),
    [anon_sym_break] = ACTIONS(2264),
    [anon_sym_continue] = ACTIONS(2264),
    [anon_sym_goto] = ACTIONS(2264),
    [anon_sym___try] = ACTIONS(2264),
    [anon_sym___leave] = ACTIONS(2264),
    [anon_sym_not] = ACTIONS(2264),
    [anon_sym_compl] = ACTIONS(2264),
    [anon_sym_DASH_DASH] = ACTIONS(2266),
    [anon_sym_PLUS_PLUS] = ACTIONS(2266),
    [anon_sym_sizeof] = ACTIONS(2264),
    [anon_sym___alignof__] = ACTIONS(2264),
    [anon_sym___alignof] = ACTIONS(2264),
    [anon_sym__alignof] = ACTIONS(2264),
    [anon_sym_alignof] = ACTIONS(2264),
    [anon_sym__Alignof] = ACTIONS(2264),
    [anon_sym_offsetof] = ACTIONS(2264),
    [anon_sym__Generic] = ACTIONS(2264),
    [anon_sym_asm] = ACTIONS(2264),
    [anon_sym___asm__] = ACTIONS(2264),
    [sym_number_literal] = ACTIONS(2266),
    [anon_sym_L_SQUOTE] = ACTIONS(2266),
    [anon_sym_u_SQUOTE] = ACTIONS(2266),
    [anon_sym_U_SQUOTE] = ACTIONS(2266),
    [anon_sym_u8_SQUOTE] = ACTIONS(2266),
    [anon_sym_SQUOTE] = ACTIONS(2266),
    [anon_sym_L_DQUOTE] = ACTIONS(2266),
    [anon_sym_u_DQUOTE] = ACTIONS(2266),
    [anon_sym_U_DQUOTE] = ACTIONS(2266),
    [anon_sym_u8_DQUOTE] = ACTIONS(2266),
    [anon_sym_DQUOTE] = ACTIONS(2266),
    [sym_true] = ACTIONS(2264),
    [sym_false] = ACTIONS(2264),
    [anon_sym_NULL] = ACTIONS(2264),
    [anon_sym_nullptr] = ACTIONS(2264),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2264),
    [anon_sym_decltype] = ACTIONS(2264),
    [anon_sym_final] = ACTIONS(2264),
    [anon_sym_override] = ACTIONS(2264),
    [anon_sym_virtual] = ACTIONS(2264),
    [anon_sym_alignas] = ACTIONS(2264),
    [anon_sym_explicit] = ACTIONS(2264),
    [anon_sym_typename] = ACTIONS(2264),
    [anon_sym_template] = ACTIONS(2264),
    [anon_sym_operator] = ACTIONS(2264),
    [anon_sym_try] = ACTIONS(2264),
    [anon_sym_delete] = ACTIONS(2264),
    [anon_sym_throw] = ACTIONS(2264),
    [anon_sym_namespace] = ACTIONS(2264),
    [anon_sym_using] = ACTIONS(2264),
    [anon_sym_static_assert] = ACTIONS(2264),
    [anon_sym_concept] = ACTIONS(2264),
    [anon_sym_co_return] = ACTIONS(2264),
    [anon_sym_co_yield] = ACTIONS(2264),
    [anon_sym_R_DQUOTE] = ACTIONS(2266),
    [anon_sym_LR_DQUOTE] = ACTIONS(2266),
    [anon_sym_uR_DQUOTE] = ACTIONS(2266),
    [anon_sym_UR_DQUOTE] = ACTIONS(2266),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2266),
    [anon_sym_co_await] = ACTIONS(2264),
    [anon_sym_new] = ACTIONS(2264),
    [anon_sym_requires] = ACTIONS(2264),
    [sym_this] = ACTIONS(2264),
    [anon_sym_discard] = ACTIONS(2264),
    [anon_sym_precise] = ACTIONS(2264),
    [anon_sym_shared] = ACTIONS(2264),
    [anon_sym_groupshared] = ACTIONS(2264),
    [anon_sym_uniform] = ACTIONS(2264),
    [anon_sym_row_major] = ACTIONS(2264),
    [anon_sym_column_major] = ACTIONS(2264),
    [anon_sym_globallycoherent] = ACTIONS(2264),
    [anon_sym_centroid] = ACTIONS(2264),
    [anon_sym_noperspective] = ACTIONS(2264),
    [anon_sym_nointerpolation] = ACTIONS(2264),
    [anon_sym_sample] = ACTIONS(2264),
    [anon_sym_linear] = ACTIONS(2264),
    [anon_sym_snorm] = ACTIONS(2264),
    [anon_sym_unorm] = ACTIONS(2264),
    [anon_sym_point] = ACTIONS(2264),
    [anon_sym_line] = ACTIONS(2264),
    [anon_sym_triangleadj] = ACTIONS(2264),
    [anon_sym_lineadj] = ACTIONS(2264),
    [anon_sym_triangle] = ACTIONS(2264),
    [anon_sym_cbuffer] = ACTIONS(2264),
  },
  [347] = {
    [sym_ms_based_modifier] = STATE(10332),
    [sym_ms_call_modifier] = STATE(6530),
    [sym__declarator] = STATE(7943),
    [sym_parenthesized_declarator] = STATE(7680),
    [sym_attributed_declarator] = STATE(7680),
    [sym_pointer_declarator] = STATE(7680),
    [sym_function_declarator] = STATE(7680),
    [sym_array_declarator] = STATE(7680),
    [sym_type_qualifier] = STATE(5191),
    [sym__type_specifier] = STATE(6117),
    [sym_sized_type_specifier] = STATE(3317),
    [sym_enum_specifier] = STATE(3317),
    [sym_struct_specifier] = STATE(3317),
    [sym_union_specifier] = STATE(3317),
    [sym__expression] = STATE(4051),
    [sym__expression_not_binary] = STATE(4695),
    [sym__string] = STATE(4695),
    [sym_comma_expression] = STATE(10195),
    [sym_conditional_expression] = STATE(4695),
    [sym_assignment_expression] = STATE(4695),
    [sym_pointer_expression] = STATE(4695),
    [sym_unary_expression] = STATE(4695),
    [sym_binary_expression] = STATE(4695),
    [sym_update_expression] = STATE(4695),
    [sym_cast_expression] = STATE(4695),
    [sym_type_descriptor] = STATE(10302),
    [sym_sizeof_expression] = STATE(4695),
    [sym_alignof_expression] = STATE(4695),
    [sym_offsetof_expression] = STATE(4695),
    [sym_generic_expression] = STATE(4695),
    [sym_subscript_expression] = STATE(4695),
    [sym_call_expression] = STATE(4695),
    [sym_gnu_asm_expression] = STATE(4695),
    [sym_field_expression] = STATE(4695),
    [sym_compound_literal_expression] = STATE(4695),
    [sym_parenthesized_expression] = STATE(4695),
    [sym_char_literal] = STATE(4427),
    [sym_concatenated_string] = STATE(4424),
    [sym_string_literal] = STATE(3398),
    [sym_null] = STATE(4695),
    [sym_placeholder_type_specifier] = STATE(3317),
    [sym_decltype_auto] = STATE(3318),
    [sym_decltype] = STATE(3247),
    [sym_class_specifier] = STATE(3317),
    [sym__class_name] = STATE(9425),
    [sym_dependent_type] = STATE(3317),
    [sym_reference_declarator] = STATE(7680),
    [sym_structured_binding_declarator] = STATE(7680),
    [sym_template_type] = STATE(6654),
    [sym_template_function] = STATE(4418),
    [sym_raw_string_literal] = STATE(3396),
    [sym_co_await_expression] = STATE(4695),
    [sym_new_expression] = STATE(4695),
    [sym_delete_expression] = STATE(4695),
    [sym_requires_clause] = STATE(4695),
    [sym_requires_expression] = STATE(4695),
    [sym_lambda_expression] = STATE(4695),
    [sym_lambda_capture_specifier] = STATE(7185),
    [sym__unary_left_fold] = STATE(10301),
    [sym__unary_right_fold] = STATE(10300),
    [sym__binary_fold] = STATE(10299),
    [sym_fold_expression] = STATE(4695),
    [sym_parameter_pack_expansion] = STATE(4695),
    [sym_destructor_name] = STATE(7680),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6915),
    [sym_qualified_identifier] = STATE(4416),
    [sym_qualified_type_identifier] = STATE(6699),
    [sym__assignment_expression_lhs] = STATE(10297),
    [sym_operator_name] = STATE(7680),
    [sym_user_defined_literal] = STATE(4695),
    [aux_sym__type_definition_type_repeat1] = STATE(5191),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3316),
    [sym_identifier] = ACTIONS(2528),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2106),
    [anon_sym_LPAREN2] = ACTIONS(2530),
    [anon_sym_BANG] = ACTIONS(2532),
    [anon_sym_TILDE] = ACTIONS(2534),
    [anon_sym_DASH] = ACTIONS(2536),
    [anon_sym_PLUS] = ACTIONS(2536),
    [anon_sym_STAR] = ACTIONS(2538),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(2540),
    [anon_sym___extension__] = ACTIONS(63),
    [anon_sym_COLON_COLON] = ACTIONS(2542),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym___cdecl] = ACTIONS(2544),
    [anon_sym___clrcall] = ACTIONS(2544),
    [anon_sym___stdcall] = ACTIONS(2544),
    [anon_sym___fastcall] = ACTIONS(2544),
    [anon_sym___thiscall] = ACTIONS(2544),
    [anon_sym___vectorcall] = ACTIONS(2544),
    [anon_sym_signed] = ACTIONS(2546),
    [anon_sym_unsigned] = ACTIONS(2546),
    [anon_sym_long] = ACTIONS(2546),
    [anon_sym_short] = ACTIONS(2546),
    [anon_sym_LBRACK] = ACTIONS(2548),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(2550),
    [anon_sym_enum] = ACTIONS(2552),
    [anon_sym_class] = ACTIONS(2554),
    [anon_sym_struct] = ACTIONS(2556),
    [anon_sym_union] = ACTIONS(2558),
    [anon_sym_not] = ACTIONS(2536),
    [anon_sym_compl] = ACTIONS(2536),
    [anon_sym_DASH_DASH] = ACTIONS(2560),
    [anon_sym_PLUS_PLUS] = ACTIONS(2560),
    [anon_sym_sizeof] = ACTIONS(2562),
    [anon_sym___alignof__] = ACTIONS(2564),
    [anon_sym___alignof] = ACTIONS(2564),
    [anon_sym__alignof] = ACTIONS(2564),
    [anon_sym_alignof] = ACTIONS(2564),
    [anon_sym__Alignof] = ACTIONS(2564),
    [anon_sym_offsetof] = ACTIONS(2566),
    [anon_sym__Generic] = ACTIONS(2568),
    [anon_sym_asm] = ACTIONS(2570),
    [anon_sym___asm__] = ACTIONS(2570),
    [sym_number_literal] = ACTIONS(2572),
    [anon_sym_L_SQUOTE] = ACTIONS(2574),
    [anon_sym_u_SQUOTE] = ACTIONS(2574),
    [anon_sym_U_SQUOTE] = ACTIONS(2574),
    [anon_sym_u8_SQUOTE] = ACTIONS(2574),
    [anon_sym_SQUOTE] = ACTIONS(2574),
    [anon_sym_L_DQUOTE] = ACTIONS(2576),
    [anon_sym_u_DQUOTE] = ACTIONS(2576),
    [anon_sym_U_DQUOTE] = ACTIONS(2576),
    [anon_sym_u8_DQUOTE] = ACTIONS(2576),
    [anon_sym_DQUOTE] = ACTIONS(2576),
    [sym_true] = ACTIONS(2578),
    [sym_false] = ACTIONS(2578),
    [anon_sym_NULL] = ACTIONS(2580),
    [anon_sym_nullptr] = ACTIONS(2580),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2582),
    [anon_sym_decltype] = ACTIONS(2584),
    [anon_sym_typename] = ACTIONS(2586),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_operator] = ACTIONS(2588),
    [anon_sym_delete] = ACTIONS(2590),
    [anon_sym_R_DQUOTE] = ACTIONS(2592),
    [anon_sym_LR_DQUOTE] = ACTIONS(2592),
    [anon_sym_uR_DQUOTE] = ACTIONS(2592),
    [anon_sym_UR_DQUOTE] = ACTIONS(2592),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2592),
    [anon_sym_co_await] = ACTIONS(2594),
    [anon_sym_new] = ACTIONS(2596),
    [anon_sym_requires] = ACTIONS(2598),
    [sym_this] = ACTIONS(2578),
  },
  [348] = {
    [sym_identifier] = ACTIONS(2520),
    [aux_sym_preproc_include_token1] = ACTIONS(2520),
    [aux_sym_preproc_def_token1] = ACTIONS(2520),
    [aux_sym_preproc_if_token1] = ACTIONS(2520),
    [aux_sym_preproc_if_token2] = ACTIONS(2520),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2520),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2520),
    [aux_sym_preproc_else_token1] = ACTIONS(2520),
    [aux_sym_preproc_elif_token1] = ACTIONS(2520),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2520),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2520),
    [sym_preproc_directive] = ACTIONS(2520),
    [anon_sym_LPAREN2] = ACTIONS(2522),
    [anon_sym_BANG] = ACTIONS(2522),
    [anon_sym_TILDE] = ACTIONS(2522),
    [anon_sym_DASH] = ACTIONS(2520),
    [anon_sym_PLUS] = ACTIONS(2520),
    [anon_sym_STAR] = ACTIONS(2522),
    [anon_sym_AMP_AMP] = ACTIONS(2522),
    [anon_sym_AMP] = ACTIONS(2520),
    [anon_sym_SEMI] = ACTIONS(2522),
    [anon_sym___extension__] = ACTIONS(2520),
    [anon_sym_typedef] = ACTIONS(2520),
    [anon_sym_in] = ACTIONS(2520),
    [anon_sym_out] = ACTIONS(2520),
    [anon_sym_inout] = ACTIONS(2520),
    [anon_sym_extern] = ACTIONS(2520),
    [anon_sym___attribute__] = ACTIONS(2520),
    [anon_sym_COLON_COLON] = ACTIONS(2522),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2522),
    [anon_sym___declspec] = ACTIONS(2520),
    [anon_sym___based] = ACTIONS(2520),
    [anon_sym___cdecl] = ACTIONS(2520),
    [anon_sym___clrcall] = ACTIONS(2520),
    [anon_sym___stdcall] = ACTIONS(2520),
    [anon_sym___fastcall] = ACTIONS(2520),
    [anon_sym___thiscall] = ACTIONS(2520),
    [anon_sym___vectorcall] = ACTIONS(2520),
    [anon_sym_LBRACE] = ACTIONS(2522),
    [anon_sym_signed] = ACTIONS(2520),
    [anon_sym_unsigned] = ACTIONS(2520),
    [anon_sym_long] = ACTIONS(2520),
    [anon_sym_short] = ACTIONS(2520),
    [anon_sym_LBRACK] = ACTIONS(2520),
    [anon_sym_static] = ACTIONS(2520),
    [anon_sym_register] = ACTIONS(2520),
    [anon_sym_inline] = ACTIONS(2520),
    [anon_sym___inline] = ACTIONS(2520),
    [anon_sym___inline__] = ACTIONS(2520),
    [anon_sym___forceinline] = ACTIONS(2520),
    [anon_sym_thread_local] = ACTIONS(2520),
    [anon_sym___thread] = ACTIONS(2520),
    [anon_sym_const] = ACTIONS(2520),
    [anon_sym_constexpr] = ACTIONS(2520),
    [anon_sym_volatile] = ACTIONS(2520),
    [anon_sym_restrict] = ACTIONS(2520),
    [anon_sym___restrict__] = ACTIONS(2520),
    [anon_sym__Atomic] = ACTIONS(2520),
    [anon_sym__Noreturn] = ACTIONS(2520),
    [anon_sym_noreturn] = ACTIONS(2520),
    [anon_sym_mutable] = ACTIONS(2520),
    [anon_sym_constinit] = ACTIONS(2520),
    [anon_sym_consteval] = ACTIONS(2520),
    [sym_primitive_type] = ACTIONS(2520),
    [anon_sym_enum] = ACTIONS(2520),
    [anon_sym_class] = ACTIONS(2520),
    [anon_sym_struct] = ACTIONS(2520),
    [anon_sym_union] = ACTIONS(2520),
    [anon_sym_if] = ACTIONS(2520),
    [anon_sym_switch] = ACTIONS(2520),
    [anon_sym_case] = ACTIONS(2520),
    [anon_sym_default] = ACTIONS(2520),
    [anon_sym_while] = ACTIONS(2520),
    [anon_sym_do] = ACTIONS(2520),
    [anon_sym_for] = ACTIONS(2520),
    [anon_sym_return] = ACTIONS(2520),
    [anon_sym_break] = ACTIONS(2520),
    [anon_sym_continue] = ACTIONS(2520),
    [anon_sym_goto] = ACTIONS(2520),
    [anon_sym___try] = ACTIONS(2520),
    [anon_sym___leave] = ACTIONS(2520),
    [anon_sym_not] = ACTIONS(2520),
    [anon_sym_compl] = ACTIONS(2520),
    [anon_sym_DASH_DASH] = ACTIONS(2522),
    [anon_sym_PLUS_PLUS] = ACTIONS(2522),
    [anon_sym_sizeof] = ACTIONS(2520),
    [anon_sym___alignof__] = ACTIONS(2520),
    [anon_sym___alignof] = ACTIONS(2520),
    [anon_sym__alignof] = ACTIONS(2520),
    [anon_sym_alignof] = ACTIONS(2520),
    [anon_sym__Alignof] = ACTIONS(2520),
    [anon_sym_offsetof] = ACTIONS(2520),
    [anon_sym__Generic] = ACTIONS(2520),
    [anon_sym_asm] = ACTIONS(2520),
    [anon_sym___asm__] = ACTIONS(2520),
    [sym_number_literal] = ACTIONS(2522),
    [anon_sym_L_SQUOTE] = ACTIONS(2522),
    [anon_sym_u_SQUOTE] = ACTIONS(2522),
    [anon_sym_U_SQUOTE] = ACTIONS(2522),
    [anon_sym_u8_SQUOTE] = ACTIONS(2522),
    [anon_sym_SQUOTE] = ACTIONS(2522),
    [anon_sym_L_DQUOTE] = ACTIONS(2522),
    [anon_sym_u_DQUOTE] = ACTIONS(2522),
    [anon_sym_U_DQUOTE] = ACTIONS(2522),
    [anon_sym_u8_DQUOTE] = ACTIONS(2522),
    [anon_sym_DQUOTE] = ACTIONS(2522),
    [sym_true] = ACTIONS(2520),
    [sym_false] = ACTIONS(2520),
    [anon_sym_NULL] = ACTIONS(2520),
    [anon_sym_nullptr] = ACTIONS(2520),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2520),
    [anon_sym_decltype] = ACTIONS(2520),
    [anon_sym_virtual] = ACTIONS(2520),
    [anon_sym_alignas] = ACTIONS(2520),
    [anon_sym_explicit] = ACTIONS(2520),
    [anon_sym_typename] = ACTIONS(2520),
    [anon_sym_template] = ACTIONS(2520),
    [anon_sym_operator] = ACTIONS(2520),
    [anon_sym_try] = ACTIONS(2520),
    [anon_sym_delete] = ACTIONS(2520),
    [anon_sym_throw] = ACTIONS(2520),
    [anon_sym_namespace] = ACTIONS(2520),
    [anon_sym_using] = ACTIONS(2520),
    [anon_sym_static_assert] = ACTIONS(2520),
    [anon_sym_concept] = ACTIONS(2520),
    [anon_sym_co_return] = ACTIONS(2520),
    [anon_sym_co_yield] = ACTIONS(2520),
    [anon_sym_R_DQUOTE] = ACTIONS(2522),
    [anon_sym_LR_DQUOTE] = ACTIONS(2522),
    [anon_sym_uR_DQUOTE] = ACTIONS(2522),
    [anon_sym_UR_DQUOTE] = ACTIONS(2522),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2522),
    [anon_sym_co_await] = ACTIONS(2520),
    [anon_sym_new] = ACTIONS(2520),
    [anon_sym_requires] = ACTIONS(2520),
    [sym_this] = ACTIONS(2520),
    [anon_sym_discard] = ACTIONS(2520),
    [anon_sym_precise] = ACTIONS(2520),
    [anon_sym_shared] = ACTIONS(2520),
    [anon_sym_groupshared] = ACTIONS(2520),
    [anon_sym_uniform] = ACTIONS(2520),
    [anon_sym_row_major] = ACTIONS(2520),
    [anon_sym_column_major] = ACTIONS(2520),
    [anon_sym_globallycoherent] = ACTIONS(2520),
    [anon_sym_centroid] = ACTIONS(2520),
    [anon_sym_noperspective] = ACTIONS(2520),
    [anon_sym_nointerpolation] = ACTIONS(2520),
    [anon_sym_sample] = ACTIONS(2520),
    [anon_sym_linear] = ACTIONS(2520),
    [anon_sym_snorm] = ACTIONS(2520),
    [anon_sym_unorm] = ACTIONS(2520),
    [anon_sym_point] = ACTIONS(2520),
    [anon_sym_line] = ACTIONS(2520),
    [anon_sym_triangleadj] = ACTIONS(2520),
    [anon_sym_lineadj] = ACTIONS(2520),
    [anon_sym_triangle] = ACTIONS(2520),
    [anon_sym_cbuffer] = ACTIONS(2520),
  },
  [349] = {
    [sym_identifier] = ACTIONS(2600),
    [aux_sym_preproc_include_token1] = ACTIONS(2600),
    [aux_sym_preproc_def_token1] = ACTIONS(2600),
    [aux_sym_preproc_if_token1] = ACTIONS(2600),
    [aux_sym_preproc_if_token2] = ACTIONS(2600),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2600),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2600),
    [aux_sym_preproc_else_token1] = ACTIONS(2600),
    [aux_sym_preproc_elif_token1] = ACTIONS(2600),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2600),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2600),
    [sym_preproc_directive] = ACTIONS(2600),
    [anon_sym_LPAREN2] = ACTIONS(2602),
    [anon_sym_BANG] = ACTIONS(2602),
    [anon_sym_TILDE] = ACTIONS(2602),
    [anon_sym_DASH] = ACTIONS(2600),
    [anon_sym_PLUS] = ACTIONS(2600),
    [anon_sym_STAR] = ACTIONS(2602),
    [anon_sym_AMP_AMP] = ACTIONS(2602),
    [anon_sym_AMP] = ACTIONS(2600),
    [anon_sym_SEMI] = ACTIONS(2602),
    [anon_sym___extension__] = ACTIONS(2600),
    [anon_sym_typedef] = ACTIONS(2600),
    [anon_sym_in] = ACTIONS(2600),
    [anon_sym_out] = ACTIONS(2600),
    [anon_sym_inout] = ACTIONS(2600),
    [anon_sym_extern] = ACTIONS(2600),
    [anon_sym___attribute__] = ACTIONS(2600),
    [anon_sym_COLON_COLON] = ACTIONS(2602),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2602),
    [anon_sym___declspec] = ACTIONS(2600),
    [anon_sym___based] = ACTIONS(2600),
    [anon_sym___cdecl] = ACTIONS(2600),
    [anon_sym___clrcall] = ACTIONS(2600),
    [anon_sym___stdcall] = ACTIONS(2600),
    [anon_sym___fastcall] = ACTIONS(2600),
    [anon_sym___thiscall] = ACTIONS(2600),
    [anon_sym___vectorcall] = ACTIONS(2600),
    [anon_sym_LBRACE] = ACTIONS(2602),
    [anon_sym_signed] = ACTIONS(2600),
    [anon_sym_unsigned] = ACTIONS(2600),
    [anon_sym_long] = ACTIONS(2600),
    [anon_sym_short] = ACTIONS(2600),
    [anon_sym_LBRACK] = ACTIONS(2600),
    [anon_sym_static] = ACTIONS(2600),
    [anon_sym_register] = ACTIONS(2600),
    [anon_sym_inline] = ACTIONS(2600),
    [anon_sym___inline] = ACTIONS(2600),
    [anon_sym___inline__] = ACTIONS(2600),
    [anon_sym___forceinline] = ACTIONS(2600),
    [anon_sym_thread_local] = ACTIONS(2600),
    [anon_sym___thread] = ACTIONS(2600),
    [anon_sym_const] = ACTIONS(2600),
    [anon_sym_constexpr] = ACTIONS(2600),
    [anon_sym_volatile] = ACTIONS(2600),
    [anon_sym_restrict] = ACTIONS(2600),
    [anon_sym___restrict__] = ACTIONS(2600),
    [anon_sym__Atomic] = ACTIONS(2600),
    [anon_sym__Noreturn] = ACTIONS(2600),
    [anon_sym_noreturn] = ACTIONS(2600),
    [anon_sym_mutable] = ACTIONS(2600),
    [anon_sym_constinit] = ACTIONS(2600),
    [anon_sym_consteval] = ACTIONS(2600),
    [sym_primitive_type] = ACTIONS(2600),
    [anon_sym_enum] = ACTIONS(2600),
    [anon_sym_class] = ACTIONS(2600),
    [anon_sym_struct] = ACTIONS(2600),
    [anon_sym_union] = ACTIONS(2600),
    [anon_sym_if] = ACTIONS(2600),
    [anon_sym_switch] = ACTIONS(2600),
    [anon_sym_case] = ACTIONS(2600),
    [anon_sym_default] = ACTIONS(2600),
    [anon_sym_while] = ACTIONS(2600),
    [anon_sym_do] = ACTIONS(2600),
    [anon_sym_for] = ACTIONS(2600),
    [anon_sym_return] = ACTIONS(2600),
    [anon_sym_break] = ACTIONS(2600),
    [anon_sym_continue] = ACTIONS(2600),
    [anon_sym_goto] = ACTIONS(2600),
    [anon_sym___try] = ACTIONS(2600),
    [anon_sym___leave] = ACTIONS(2600),
    [anon_sym_not] = ACTIONS(2600),
    [anon_sym_compl] = ACTIONS(2600),
    [anon_sym_DASH_DASH] = ACTIONS(2602),
    [anon_sym_PLUS_PLUS] = ACTIONS(2602),
    [anon_sym_sizeof] = ACTIONS(2600),
    [anon_sym___alignof__] = ACTIONS(2600),
    [anon_sym___alignof] = ACTIONS(2600),
    [anon_sym__alignof] = ACTIONS(2600),
    [anon_sym_alignof] = ACTIONS(2600),
    [anon_sym__Alignof] = ACTIONS(2600),
    [anon_sym_offsetof] = ACTIONS(2600),
    [anon_sym__Generic] = ACTIONS(2600),
    [anon_sym_asm] = ACTIONS(2600),
    [anon_sym___asm__] = ACTIONS(2600),
    [sym_number_literal] = ACTIONS(2602),
    [anon_sym_L_SQUOTE] = ACTIONS(2602),
    [anon_sym_u_SQUOTE] = ACTIONS(2602),
    [anon_sym_U_SQUOTE] = ACTIONS(2602),
    [anon_sym_u8_SQUOTE] = ACTIONS(2602),
    [anon_sym_SQUOTE] = ACTIONS(2602),
    [anon_sym_L_DQUOTE] = ACTIONS(2602),
    [anon_sym_u_DQUOTE] = ACTIONS(2602),
    [anon_sym_U_DQUOTE] = ACTIONS(2602),
    [anon_sym_u8_DQUOTE] = ACTIONS(2602),
    [anon_sym_DQUOTE] = ACTIONS(2602),
    [sym_true] = ACTIONS(2600),
    [sym_false] = ACTIONS(2600),
    [anon_sym_NULL] = ACTIONS(2600),
    [anon_sym_nullptr] = ACTIONS(2600),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2600),
    [anon_sym_decltype] = ACTIONS(2600),
    [anon_sym_virtual] = ACTIONS(2600),
    [anon_sym_alignas] = ACTIONS(2600),
    [anon_sym_explicit] = ACTIONS(2600),
    [anon_sym_typename] = ACTIONS(2600),
    [anon_sym_template] = ACTIONS(2600),
    [anon_sym_operator] = ACTIONS(2600),
    [anon_sym_try] = ACTIONS(2600),
    [anon_sym_delete] = ACTIONS(2600),
    [anon_sym_throw] = ACTIONS(2600),
    [anon_sym_namespace] = ACTIONS(2600),
    [anon_sym_using] = ACTIONS(2600),
    [anon_sym_static_assert] = ACTIONS(2600),
    [anon_sym_concept] = ACTIONS(2600),
    [anon_sym_co_return] = ACTIONS(2600),
    [anon_sym_co_yield] = ACTIONS(2600),
    [anon_sym_R_DQUOTE] = ACTIONS(2602),
    [anon_sym_LR_DQUOTE] = ACTIONS(2602),
    [anon_sym_uR_DQUOTE] = ACTIONS(2602),
    [anon_sym_UR_DQUOTE] = ACTIONS(2602),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2602),
    [anon_sym_co_await] = ACTIONS(2600),
    [anon_sym_new] = ACTIONS(2600),
    [anon_sym_requires] = ACTIONS(2600),
    [sym_this] = ACTIONS(2600),
    [anon_sym_discard] = ACTIONS(2600),
    [anon_sym_precise] = ACTIONS(2600),
    [anon_sym_shared] = ACTIONS(2600),
    [anon_sym_groupshared] = ACTIONS(2600),
    [anon_sym_uniform] = ACTIONS(2600),
    [anon_sym_row_major] = ACTIONS(2600),
    [anon_sym_column_major] = ACTIONS(2600),
    [anon_sym_globallycoherent] = ACTIONS(2600),
    [anon_sym_centroid] = ACTIONS(2600),
    [anon_sym_noperspective] = ACTIONS(2600),
    [anon_sym_nointerpolation] = ACTIONS(2600),
    [anon_sym_sample] = ACTIONS(2600),
    [anon_sym_linear] = ACTIONS(2600),
    [anon_sym_snorm] = ACTIONS(2600),
    [anon_sym_unorm] = ACTIONS(2600),
    [anon_sym_point] = ACTIONS(2600),
    [anon_sym_line] = ACTIONS(2600),
    [anon_sym_triangleadj] = ACTIONS(2600),
    [anon_sym_lineadj] = ACTIONS(2600),
    [anon_sym_triangle] = ACTIONS(2600),
    [anon_sym_cbuffer] = ACTIONS(2600),
  },
  [350] = {
    [sym_identifier] = ACTIONS(2604),
    [aux_sym_preproc_include_token1] = ACTIONS(2604),
    [aux_sym_preproc_def_token1] = ACTIONS(2604),
    [aux_sym_preproc_if_token1] = ACTIONS(2604),
    [aux_sym_preproc_if_token2] = ACTIONS(2604),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2604),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2604),
    [aux_sym_preproc_else_token1] = ACTIONS(2604),
    [aux_sym_preproc_elif_token1] = ACTIONS(2604),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2604),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2604),
    [sym_preproc_directive] = ACTIONS(2604),
    [anon_sym_LPAREN2] = ACTIONS(2606),
    [anon_sym_BANG] = ACTIONS(2606),
    [anon_sym_TILDE] = ACTIONS(2606),
    [anon_sym_DASH] = ACTIONS(2604),
    [anon_sym_PLUS] = ACTIONS(2604),
    [anon_sym_STAR] = ACTIONS(2606),
    [anon_sym_AMP_AMP] = ACTIONS(2606),
    [anon_sym_AMP] = ACTIONS(2604),
    [anon_sym_SEMI] = ACTIONS(2606),
    [anon_sym___extension__] = ACTIONS(2604),
    [anon_sym_typedef] = ACTIONS(2604),
    [anon_sym_in] = ACTIONS(2604),
    [anon_sym_out] = ACTIONS(2604),
    [anon_sym_inout] = ACTIONS(2604),
    [anon_sym_extern] = ACTIONS(2604),
    [anon_sym___attribute__] = ACTIONS(2604),
    [anon_sym_COLON_COLON] = ACTIONS(2606),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2606),
    [anon_sym___declspec] = ACTIONS(2604),
    [anon_sym___based] = ACTIONS(2604),
    [anon_sym___cdecl] = ACTIONS(2604),
    [anon_sym___clrcall] = ACTIONS(2604),
    [anon_sym___stdcall] = ACTIONS(2604),
    [anon_sym___fastcall] = ACTIONS(2604),
    [anon_sym___thiscall] = ACTIONS(2604),
    [anon_sym___vectorcall] = ACTIONS(2604),
    [anon_sym_LBRACE] = ACTIONS(2606),
    [anon_sym_signed] = ACTIONS(2604),
    [anon_sym_unsigned] = ACTIONS(2604),
    [anon_sym_long] = ACTIONS(2604),
    [anon_sym_short] = ACTIONS(2604),
    [anon_sym_LBRACK] = ACTIONS(2604),
    [anon_sym_static] = ACTIONS(2604),
    [anon_sym_register] = ACTIONS(2604),
    [anon_sym_inline] = ACTIONS(2604),
    [anon_sym___inline] = ACTIONS(2604),
    [anon_sym___inline__] = ACTIONS(2604),
    [anon_sym___forceinline] = ACTIONS(2604),
    [anon_sym_thread_local] = ACTIONS(2604),
    [anon_sym___thread] = ACTIONS(2604),
    [anon_sym_const] = ACTIONS(2604),
    [anon_sym_constexpr] = ACTIONS(2604),
    [anon_sym_volatile] = ACTIONS(2604),
    [anon_sym_restrict] = ACTIONS(2604),
    [anon_sym___restrict__] = ACTIONS(2604),
    [anon_sym__Atomic] = ACTIONS(2604),
    [anon_sym__Noreturn] = ACTIONS(2604),
    [anon_sym_noreturn] = ACTIONS(2604),
    [anon_sym_mutable] = ACTIONS(2604),
    [anon_sym_constinit] = ACTIONS(2604),
    [anon_sym_consteval] = ACTIONS(2604),
    [sym_primitive_type] = ACTIONS(2604),
    [anon_sym_enum] = ACTIONS(2604),
    [anon_sym_class] = ACTIONS(2604),
    [anon_sym_struct] = ACTIONS(2604),
    [anon_sym_union] = ACTIONS(2604),
    [anon_sym_if] = ACTIONS(2604),
    [anon_sym_switch] = ACTIONS(2604),
    [anon_sym_case] = ACTIONS(2604),
    [anon_sym_default] = ACTIONS(2604),
    [anon_sym_while] = ACTIONS(2604),
    [anon_sym_do] = ACTIONS(2604),
    [anon_sym_for] = ACTIONS(2604),
    [anon_sym_return] = ACTIONS(2604),
    [anon_sym_break] = ACTIONS(2604),
    [anon_sym_continue] = ACTIONS(2604),
    [anon_sym_goto] = ACTIONS(2604),
    [anon_sym___try] = ACTIONS(2604),
    [anon_sym___leave] = ACTIONS(2604),
    [anon_sym_not] = ACTIONS(2604),
    [anon_sym_compl] = ACTIONS(2604),
    [anon_sym_DASH_DASH] = ACTIONS(2606),
    [anon_sym_PLUS_PLUS] = ACTIONS(2606),
    [anon_sym_sizeof] = ACTIONS(2604),
    [anon_sym___alignof__] = ACTIONS(2604),
    [anon_sym___alignof] = ACTIONS(2604),
    [anon_sym__alignof] = ACTIONS(2604),
    [anon_sym_alignof] = ACTIONS(2604),
    [anon_sym__Alignof] = ACTIONS(2604),
    [anon_sym_offsetof] = ACTIONS(2604),
    [anon_sym__Generic] = ACTIONS(2604),
    [anon_sym_asm] = ACTIONS(2604),
    [anon_sym___asm__] = ACTIONS(2604),
    [sym_number_literal] = ACTIONS(2606),
    [anon_sym_L_SQUOTE] = ACTIONS(2606),
    [anon_sym_u_SQUOTE] = ACTIONS(2606),
    [anon_sym_U_SQUOTE] = ACTIONS(2606),
    [anon_sym_u8_SQUOTE] = ACTIONS(2606),
    [anon_sym_SQUOTE] = ACTIONS(2606),
    [anon_sym_L_DQUOTE] = ACTIONS(2606),
    [anon_sym_u_DQUOTE] = ACTIONS(2606),
    [anon_sym_U_DQUOTE] = ACTIONS(2606),
    [anon_sym_u8_DQUOTE] = ACTIONS(2606),
    [anon_sym_DQUOTE] = ACTIONS(2606),
    [sym_true] = ACTIONS(2604),
    [sym_false] = ACTIONS(2604),
    [anon_sym_NULL] = ACTIONS(2604),
    [anon_sym_nullptr] = ACTIONS(2604),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2604),
    [anon_sym_decltype] = ACTIONS(2604),
    [anon_sym_virtual] = ACTIONS(2604),
    [anon_sym_alignas] = ACTIONS(2604),
    [anon_sym_explicit] = ACTIONS(2604),
    [anon_sym_typename] = ACTIONS(2604),
    [anon_sym_template] = ACTIONS(2604),
    [anon_sym_operator] = ACTIONS(2604),
    [anon_sym_try] = ACTIONS(2604),
    [anon_sym_delete] = ACTIONS(2604),
    [anon_sym_throw] = ACTIONS(2604),
    [anon_sym_namespace] = ACTIONS(2604),
    [anon_sym_using] = ACTIONS(2604),
    [anon_sym_static_assert] = ACTIONS(2604),
    [anon_sym_concept] = ACTIONS(2604),
    [anon_sym_co_return] = ACTIONS(2604),
    [anon_sym_co_yield] = ACTIONS(2604),
    [anon_sym_R_DQUOTE] = ACTIONS(2606),
    [anon_sym_LR_DQUOTE] = ACTIONS(2606),
    [anon_sym_uR_DQUOTE] = ACTIONS(2606),
    [anon_sym_UR_DQUOTE] = ACTIONS(2606),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2606),
    [anon_sym_co_await] = ACTIONS(2604),
    [anon_sym_new] = ACTIONS(2604),
    [anon_sym_requires] = ACTIONS(2604),
    [sym_this] = ACTIONS(2604),
    [anon_sym_discard] = ACTIONS(2604),
    [anon_sym_precise] = ACTIONS(2604),
    [anon_sym_shared] = ACTIONS(2604),
    [anon_sym_groupshared] = ACTIONS(2604),
    [anon_sym_uniform] = ACTIONS(2604),
    [anon_sym_row_major] = ACTIONS(2604),
    [anon_sym_column_major] = ACTIONS(2604),
    [anon_sym_globallycoherent] = ACTIONS(2604),
    [anon_sym_centroid] = ACTIONS(2604),
    [anon_sym_noperspective] = ACTIONS(2604),
    [anon_sym_nointerpolation] = ACTIONS(2604),
    [anon_sym_sample] = ACTIONS(2604),
    [anon_sym_linear] = ACTIONS(2604),
    [anon_sym_snorm] = ACTIONS(2604),
    [anon_sym_unorm] = ACTIONS(2604),
    [anon_sym_point] = ACTIONS(2604),
    [anon_sym_line] = ACTIONS(2604),
    [anon_sym_triangleadj] = ACTIONS(2604),
    [anon_sym_lineadj] = ACTIONS(2604),
    [anon_sym_triangle] = ACTIONS(2604),
    [anon_sym_cbuffer] = ACTIONS(2604),
  },
  [351] = {
    [ts_builtin_sym_end] = ACTIONS(2266),
    [sym_identifier] = ACTIONS(2264),
    [aux_sym_preproc_include_token1] = ACTIONS(2264),
    [aux_sym_preproc_def_token1] = ACTIONS(2264),
    [aux_sym_preproc_if_token1] = ACTIONS(2264),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2264),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2264),
    [sym_preproc_directive] = ACTIONS(2264),
    [anon_sym_LPAREN2] = ACTIONS(2266),
    [anon_sym_BANG] = ACTIONS(2266),
    [anon_sym_TILDE] = ACTIONS(2266),
    [anon_sym_DASH] = ACTIONS(2264),
    [anon_sym_PLUS] = ACTIONS(2264),
    [anon_sym_STAR] = ACTIONS(2266),
    [anon_sym_AMP_AMP] = ACTIONS(2266),
    [anon_sym_AMP] = ACTIONS(2264),
    [anon_sym_COLON] = ACTIONS(2264),
    [anon_sym_SEMI] = ACTIONS(2266),
    [anon_sym___extension__] = ACTIONS(2264),
    [anon_sym_typedef] = ACTIONS(2264),
    [anon_sym_in] = ACTIONS(2264),
    [anon_sym_out] = ACTIONS(2264),
    [anon_sym_inout] = ACTIONS(2264),
    [anon_sym_extern] = ACTIONS(2264),
    [anon_sym___attribute__] = ACTIONS(2264),
    [anon_sym_COLON_COLON] = ACTIONS(2266),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2266),
    [anon_sym___declspec] = ACTIONS(2264),
    [anon_sym___based] = ACTIONS(2264),
    [anon_sym___cdecl] = ACTIONS(2264),
    [anon_sym___clrcall] = ACTIONS(2264),
    [anon_sym___stdcall] = ACTIONS(2264),
    [anon_sym___fastcall] = ACTIONS(2264),
    [anon_sym___thiscall] = ACTIONS(2264),
    [anon_sym___vectorcall] = ACTIONS(2264),
    [anon_sym_LBRACE] = ACTIONS(2266),
    [anon_sym_signed] = ACTIONS(2264),
    [anon_sym_unsigned] = ACTIONS(2264),
    [anon_sym_long] = ACTIONS(2264),
    [anon_sym_short] = ACTIONS(2264),
    [anon_sym_LBRACK] = ACTIONS(2264),
    [anon_sym_static] = ACTIONS(2264),
    [anon_sym_register] = ACTIONS(2264),
    [anon_sym_inline] = ACTIONS(2264),
    [anon_sym___inline] = ACTIONS(2264),
    [anon_sym___inline__] = ACTIONS(2264),
    [anon_sym___forceinline] = ACTIONS(2264),
    [anon_sym_thread_local] = ACTIONS(2264),
    [anon_sym___thread] = ACTIONS(2264),
    [anon_sym_const] = ACTIONS(2264),
    [anon_sym_constexpr] = ACTIONS(2264),
    [anon_sym_volatile] = ACTIONS(2264),
    [anon_sym_restrict] = ACTIONS(2264),
    [anon_sym___restrict__] = ACTIONS(2264),
    [anon_sym__Atomic] = ACTIONS(2264),
    [anon_sym__Noreturn] = ACTIONS(2264),
    [anon_sym_noreturn] = ACTIONS(2264),
    [anon_sym_mutable] = ACTIONS(2264),
    [anon_sym_constinit] = ACTIONS(2264),
    [anon_sym_consteval] = ACTIONS(2264),
    [sym_primitive_type] = ACTIONS(2264),
    [anon_sym_enum] = ACTIONS(2264),
    [anon_sym_class] = ACTIONS(2264),
    [anon_sym_struct] = ACTIONS(2264),
    [anon_sym_union] = ACTIONS(2264),
    [anon_sym_if] = ACTIONS(2264),
    [anon_sym_else] = ACTIONS(2264),
    [anon_sym_switch] = ACTIONS(2264),
    [anon_sym_case] = ACTIONS(2264),
    [anon_sym_default] = ACTIONS(2264),
    [anon_sym_while] = ACTIONS(2264),
    [anon_sym_do] = ACTIONS(2264),
    [anon_sym_for] = ACTIONS(2264),
    [anon_sym_return] = ACTIONS(2264),
    [anon_sym_break] = ACTIONS(2264),
    [anon_sym_continue] = ACTIONS(2264),
    [anon_sym_goto] = ACTIONS(2264),
    [anon_sym___try] = ACTIONS(2264),
    [anon_sym___leave] = ACTIONS(2264),
    [anon_sym_not] = ACTIONS(2264),
    [anon_sym_compl] = ACTIONS(2264),
    [anon_sym_DASH_DASH] = ACTIONS(2266),
    [anon_sym_PLUS_PLUS] = ACTIONS(2266),
    [anon_sym_sizeof] = ACTIONS(2264),
    [anon_sym___alignof__] = ACTIONS(2264),
    [anon_sym___alignof] = ACTIONS(2264),
    [anon_sym__alignof] = ACTIONS(2264),
    [anon_sym_alignof] = ACTIONS(2264),
    [anon_sym__Alignof] = ACTIONS(2264),
    [anon_sym_offsetof] = ACTIONS(2264),
    [anon_sym__Generic] = ACTIONS(2264),
    [anon_sym_asm] = ACTIONS(2264),
    [anon_sym___asm__] = ACTIONS(2264),
    [sym_number_literal] = ACTIONS(2266),
    [anon_sym_L_SQUOTE] = ACTIONS(2266),
    [anon_sym_u_SQUOTE] = ACTIONS(2266),
    [anon_sym_U_SQUOTE] = ACTIONS(2266),
    [anon_sym_u8_SQUOTE] = ACTIONS(2266),
    [anon_sym_SQUOTE] = ACTIONS(2266),
    [anon_sym_L_DQUOTE] = ACTIONS(2266),
    [anon_sym_u_DQUOTE] = ACTIONS(2266),
    [anon_sym_U_DQUOTE] = ACTIONS(2266),
    [anon_sym_u8_DQUOTE] = ACTIONS(2266),
    [anon_sym_DQUOTE] = ACTIONS(2266),
    [sym_true] = ACTIONS(2264),
    [sym_false] = ACTIONS(2264),
    [anon_sym_NULL] = ACTIONS(2264),
    [anon_sym_nullptr] = ACTIONS(2264),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2264),
    [anon_sym_decltype] = ACTIONS(2264),
    [anon_sym_final] = ACTIONS(2264),
    [anon_sym_override] = ACTIONS(2264),
    [anon_sym_virtual] = ACTIONS(2264),
    [anon_sym_alignas] = ACTIONS(2264),
    [anon_sym_explicit] = ACTIONS(2264),
    [anon_sym_typename] = ACTIONS(2264),
    [anon_sym_template] = ACTIONS(2264),
    [anon_sym_operator] = ACTIONS(2264),
    [anon_sym_try] = ACTIONS(2264),
    [anon_sym_delete] = ACTIONS(2264),
    [anon_sym_throw] = ACTIONS(2264),
    [anon_sym_namespace] = ACTIONS(2264),
    [anon_sym_using] = ACTIONS(2264),
    [anon_sym_static_assert] = ACTIONS(2264),
    [anon_sym_concept] = ACTIONS(2264),
    [anon_sym_co_return] = ACTIONS(2264),
    [anon_sym_co_yield] = ACTIONS(2264),
    [anon_sym_R_DQUOTE] = ACTIONS(2266),
    [anon_sym_LR_DQUOTE] = ACTIONS(2266),
    [anon_sym_uR_DQUOTE] = ACTIONS(2266),
    [anon_sym_UR_DQUOTE] = ACTIONS(2266),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2266),
    [anon_sym_co_await] = ACTIONS(2264),
    [anon_sym_new] = ACTIONS(2264),
    [anon_sym_requires] = ACTIONS(2264),
    [sym_this] = ACTIONS(2264),
    [anon_sym_discard] = ACTIONS(2264),
    [anon_sym_precise] = ACTIONS(2264),
    [anon_sym_shared] = ACTIONS(2264),
    [anon_sym_groupshared] = ACTIONS(2264),
    [anon_sym_uniform] = ACTIONS(2264),
    [anon_sym_row_major] = ACTIONS(2264),
    [anon_sym_column_major] = ACTIONS(2264),
    [anon_sym_globallycoherent] = ACTIONS(2264),
    [anon_sym_centroid] = ACTIONS(2264),
    [anon_sym_noperspective] = ACTIONS(2264),
    [anon_sym_nointerpolation] = ACTIONS(2264),
    [anon_sym_sample] = ACTIONS(2264),
    [anon_sym_linear] = ACTIONS(2264),
    [anon_sym_snorm] = ACTIONS(2264),
    [anon_sym_unorm] = ACTIONS(2264),
    [anon_sym_point] = ACTIONS(2264),
    [anon_sym_line] = ACTIONS(2264),
    [anon_sym_triangleadj] = ACTIONS(2264),
    [anon_sym_lineadj] = ACTIONS(2264),
    [anon_sym_triangle] = ACTIONS(2264),
    [anon_sym_cbuffer] = ACTIONS(2264),
  },
  [352] = {
    [ts_builtin_sym_end] = ACTIONS(2252),
    [sym_identifier] = ACTIONS(2250),
    [aux_sym_preproc_include_token1] = ACTIONS(2250),
    [aux_sym_preproc_def_token1] = ACTIONS(2250),
    [aux_sym_preproc_if_token1] = ACTIONS(2250),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2250),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2250),
    [sym_preproc_directive] = ACTIONS(2250),
    [anon_sym_LPAREN2] = ACTIONS(2252),
    [anon_sym_BANG] = ACTIONS(2252),
    [anon_sym_TILDE] = ACTIONS(2252),
    [anon_sym_DASH] = ACTIONS(2250),
    [anon_sym_PLUS] = ACTIONS(2250),
    [anon_sym_STAR] = ACTIONS(2252),
    [anon_sym_AMP_AMP] = ACTIONS(2252),
    [anon_sym_AMP] = ACTIONS(2250),
    [anon_sym_COLON] = ACTIONS(2250),
    [anon_sym_SEMI] = ACTIONS(2252),
    [anon_sym___extension__] = ACTIONS(2250),
    [anon_sym_typedef] = ACTIONS(2250),
    [anon_sym_in] = ACTIONS(2250),
    [anon_sym_out] = ACTIONS(2250),
    [anon_sym_inout] = ACTIONS(2250),
    [anon_sym_extern] = ACTIONS(2250),
    [anon_sym___attribute__] = ACTIONS(2250),
    [anon_sym_COLON_COLON] = ACTIONS(2252),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2252),
    [anon_sym___declspec] = ACTIONS(2250),
    [anon_sym___based] = ACTIONS(2250),
    [anon_sym___cdecl] = ACTIONS(2250),
    [anon_sym___clrcall] = ACTIONS(2250),
    [anon_sym___stdcall] = ACTIONS(2250),
    [anon_sym___fastcall] = ACTIONS(2250),
    [anon_sym___thiscall] = ACTIONS(2250),
    [anon_sym___vectorcall] = ACTIONS(2250),
    [anon_sym_LBRACE] = ACTIONS(2252),
    [anon_sym_signed] = ACTIONS(2250),
    [anon_sym_unsigned] = ACTIONS(2250),
    [anon_sym_long] = ACTIONS(2250),
    [anon_sym_short] = ACTIONS(2250),
    [anon_sym_LBRACK] = ACTIONS(2250),
    [anon_sym_static] = ACTIONS(2250),
    [anon_sym_register] = ACTIONS(2250),
    [anon_sym_inline] = ACTIONS(2250),
    [anon_sym___inline] = ACTIONS(2250),
    [anon_sym___inline__] = ACTIONS(2250),
    [anon_sym___forceinline] = ACTIONS(2250),
    [anon_sym_thread_local] = ACTIONS(2250),
    [anon_sym___thread] = ACTIONS(2250),
    [anon_sym_const] = ACTIONS(2250),
    [anon_sym_constexpr] = ACTIONS(2250),
    [anon_sym_volatile] = ACTIONS(2250),
    [anon_sym_restrict] = ACTIONS(2250),
    [anon_sym___restrict__] = ACTIONS(2250),
    [anon_sym__Atomic] = ACTIONS(2250),
    [anon_sym__Noreturn] = ACTIONS(2250),
    [anon_sym_noreturn] = ACTIONS(2250),
    [anon_sym_mutable] = ACTIONS(2250),
    [anon_sym_constinit] = ACTIONS(2250),
    [anon_sym_consteval] = ACTIONS(2250),
    [sym_primitive_type] = ACTIONS(2250),
    [anon_sym_enum] = ACTIONS(2250),
    [anon_sym_class] = ACTIONS(2250),
    [anon_sym_struct] = ACTIONS(2250),
    [anon_sym_union] = ACTIONS(2250),
    [anon_sym_if] = ACTIONS(2250),
    [anon_sym_else] = ACTIONS(2250),
    [anon_sym_switch] = ACTIONS(2250),
    [anon_sym_case] = ACTIONS(2250),
    [anon_sym_default] = ACTIONS(2250),
    [anon_sym_while] = ACTIONS(2250),
    [anon_sym_do] = ACTIONS(2250),
    [anon_sym_for] = ACTIONS(2250),
    [anon_sym_return] = ACTIONS(2250),
    [anon_sym_break] = ACTIONS(2250),
    [anon_sym_continue] = ACTIONS(2250),
    [anon_sym_goto] = ACTIONS(2250),
    [anon_sym___try] = ACTIONS(2250),
    [anon_sym___leave] = ACTIONS(2250),
    [anon_sym_not] = ACTIONS(2250),
    [anon_sym_compl] = ACTIONS(2250),
    [anon_sym_DASH_DASH] = ACTIONS(2252),
    [anon_sym_PLUS_PLUS] = ACTIONS(2252),
    [anon_sym_sizeof] = ACTIONS(2250),
    [anon_sym___alignof__] = ACTIONS(2250),
    [anon_sym___alignof] = ACTIONS(2250),
    [anon_sym__alignof] = ACTIONS(2250),
    [anon_sym_alignof] = ACTIONS(2250),
    [anon_sym__Alignof] = ACTIONS(2250),
    [anon_sym_offsetof] = ACTIONS(2250),
    [anon_sym__Generic] = ACTIONS(2250),
    [anon_sym_asm] = ACTIONS(2250),
    [anon_sym___asm__] = ACTIONS(2250),
    [sym_number_literal] = ACTIONS(2252),
    [anon_sym_L_SQUOTE] = ACTIONS(2252),
    [anon_sym_u_SQUOTE] = ACTIONS(2252),
    [anon_sym_U_SQUOTE] = ACTIONS(2252),
    [anon_sym_u8_SQUOTE] = ACTIONS(2252),
    [anon_sym_SQUOTE] = ACTIONS(2252),
    [anon_sym_L_DQUOTE] = ACTIONS(2252),
    [anon_sym_u_DQUOTE] = ACTIONS(2252),
    [anon_sym_U_DQUOTE] = ACTIONS(2252),
    [anon_sym_u8_DQUOTE] = ACTIONS(2252),
    [anon_sym_DQUOTE] = ACTIONS(2252),
    [sym_true] = ACTIONS(2250),
    [sym_false] = ACTIONS(2250),
    [anon_sym_NULL] = ACTIONS(2250),
    [anon_sym_nullptr] = ACTIONS(2250),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2250),
    [anon_sym_decltype] = ACTIONS(2250),
    [anon_sym_final] = ACTIONS(2250),
    [anon_sym_override] = ACTIONS(2250),
    [anon_sym_virtual] = ACTIONS(2250),
    [anon_sym_alignas] = ACTIONS(2250),
    [anon_sym_explicit] = ACTIONS(2250),
    [anon_sym_typename] = ACTIONS(2250),
    [anon_sym_template] = ACTIONS(2250),
    [anon_sym_operator] = ACTIONS(2250),
    [anon_sym_try] = ACTIONS(2250),
    [anon_sym_delete] = ACTIONS(2250),
    [anon_sym_throw] = ACTIONS(2250),
    [anon_sym_namespace] = ACTIONS(2250),
    [anon_sym_using] = ACTIONS(2250),
    [anon_sym_static_assert] = ACTIONS(2250),
    [anon_sym_concept] = ACTIONS(2250),
    [anon_sym_co_return] = ACTIONS(2250),
    [anon_sym_co_yield] = ACTIONS(2250),
    [anon_sym_R_DQUOTE] = ACTIONS(2252),
    [anon_sym_LR_DQUOTE] = ACTIONS(2252),
    [anon_sym_uR_DQUOTE] = ACTIONS(2252),
    [anon_sym_UR_DQUOTE] = ACTIONS(2252),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2252),
    [anon_sym_co_await] = ACTIONS(2250),
    [anon_sym_new] = ACTIONS(2250),
    [anon_sym_requires] = ACTIONS(2250),
    [sym_this] = ACTIONS(2250),
    [anon_sym_discard] = ACTIONS(2250),
    [anon_sym_precise] = ACTIONS(2250),
    [anon_sym_shared] = ACTIONS(2250),
    [anon_sym_groupshared] = ACTIONS(2250),
    [anon_sym_uniform] = ACTIONS(2250),
    [anon_sym_row_major] = ACTIONS(2250),
    [anon_sym_column_major] = ACTIONS(2250),
    [anon_sym_globallycoherent] = ACTIONS(2250),
    [anon_sym_centroid] = ACTIONS(2250),
    [anon_sym_noperspective] = ACTIONS(2250),
    [anon_sym_nointerpolation] = ACTIONS(2250),
    [anon_sym_sample] = ACTIONS(2250),
    [anon_sym_linear] = ACTIONS(2250),
    [anon_sym_snorm] = ACTIONS(2250),
    [anon_sym_unorm] = ACTIONS(2250),
    [anon_sym_point] = ACTIONS(2250),
    [anon_sym_line] = ACTIONS(2250),
    [anon_sym_triangleadj] = ACTIONS(2250),
    [anon_sym_lineadj] = ACTIONS(2250),
    [anon_sym_triangle] = ACTIONS(2250),
    [anon_sym_cbuffer] = ACTIONS(2250),
  },
  [353] = {
    [sym_identifier] = ACTIONS(2608),
    [aux_sym_preproc_include_token1] = ACTIONS(2608),
    [aux_sym_preproc_def_token1] = ACTIONS(2608),
    [aux_sym_preproc_if_token1] = ACTIONS(2608),
    [aux_sym_preproc_if_token2] = ACTIONS(2608),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2608),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2608),
    [aux_sym_preproc_else_token1] = ACTIONS(2608),
    [aux_sym_preproc_elif_token1] = ACTIONS(2608),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2608),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2608),
    [sym_preproc_directive] = ACTIONS(2608),
    [anon_sym_LPAREN2] = ACTIONS(2610),
    [anon_sym_BANG] = ACTIONS(2610),
    [anon_sym_TILDE] = ACTIONS(2610),
    [anon_sym_DASH] = ACTIONS(2608),
    [anon_sym_PLUS] = ACTIONS(2608),
    [anon_sym_STAR] = ACTIONS(2610),
    [anon_sym_AMP_AMP] = ACTIONS(2610),
    [anon_sym_AMP] = ACTIONS(2608),
    [anon_sym_SEMI] = ACTIONS(2610),
    [anon_sym___extension__] = ACTIONS(2608),
    [anon_sym_typedef] = ACTIONS(2608),
    [anon_sym_in] = ACTIONS(2608),
    [anon_sym_out] = ACTIONS(2608),
    [anon_sym_inout] = ACTIONS(2608),
    [anon_sym_extern] = ACTIONS(2608),
    [anon_sym___attribute__] = ACTIONS(2608),
    [anon_sym_COLON_COLON] = ACTIONS(2610),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2610),
    [anon_sym___declspec] = ACTIONS(2608),
    [anon_sym___based] = ACTIONS(2608),
    [anon_sym___cdecl] = ACTIONS(2608),
    [anon_sym___clrcall] = ACTIONS(2608),
    [anon_sym___stdcall] = ACTIONS(2608),
    [anon_sym___fastcall] = ACTIONS(2608),
    [anon_sym___thiscall] = ACTIONS(2608),
    [anon_sym___vectorcall] = ACTIONS(2608),
    [anon_sym_LBRACE] = ACTIONS(2610),
    [anon_sym_signed] = ACTIONS(2608),
    [anon_sym_unsigned] = ACTIONS(2608),
    [anon_sym_long] = ACTIONS(2608),
    [anon_sym_short] = ACTIONS(2608),
    [anon_sym_LBRACK] = ACTIONS(2608),
    [anon_sym_static] = ACTIONS(2608),
    [anon_sym_register] = ACTIONS(2608),
    [anon_sym_inline] = ACTIONS(2608),
    [anon_sym___inline] = ACTIONS(2608),
    [anon_sym___inline__] = ACTIONS(2608),
    [anon_sym___forceinline] = ACTIONS(2608),
    [anon_sym_thread_local] = ACTIONS(2608),
    [anon_sym___thread] = ACTIONS(2608),
    [anon_sym_const] = ACTIONS(2608),
    [anon_sym_constexpr] = ACTIONS(2608),
    [anon_sym_volatile] = ACTIONS(2608),
    [anon_sym_restrict] = ACTIONS(2608),
    [anon_sym___restrict__] = ACTIONS(2608),
    [anon_sym__Atomic] = ACTIONS(2608),
    [anon_sym__Noreturn] = ACTIONS(2608),
    [anon_sym_noreturn] = ACTIONS(2608),
    [anon_sym_mutable] = ACTIONS(2608),
    [anon_sym_constinit] = ACTIONS(2608),
    [anon_sym_consteval] = ACTIONS(2608),
    [sym_primitive_type] = ACTIONS(2608),
    [anon_sym_enum] = ACTIONS(2608),
    [anon_sym_class] = ACTIONS(2608),
    [anon_sym_struct] = ACTIONS(2608),
    [anon_sym_union] = ACTIONS(2608),
    [anon_sym_if] = ACTIONS(2608),
    [anon_sym_switch] = ACTIONS(2608),
    [anon_sym_case] = ACTIONS(2608),
    [anon_sym_default] = ACTIONS(2608),
    [anon_sym_while] = ACTIONS(2608),
    [anon_sym_do] = ACTIONS(2608),
    [anon_sym_for] = ACTIONS(2608),
    [anon_sym_return] = ACTIONS(2608),
    [anon_sym_break] = ACTIONS(2608),
    [anon_sym_continue] = ACTIONS(2608),
    [anon_sym_goto] = ACTIONS(2608),
    [anon_sym___try] = ACTIONS(2608),
    [anon_sym___leave] = ACTIONS(2608),
    [anon_sym_not] = ACTIONS(2608),
    [anon_sym_compl] = ACTIONS(2608),
    [anon_sym_DASH_DASH] = ACTIONS(2610),
    [anon_sym_PLUS_PLUS] = ACTIONS(2610),
    [anon_sym_sizeof] = ACTIONS(2608),
    [anon_sym___alignof__] = ACTIONS(2608),
    [anon_sym___alignof] = ACTIONS(2608),
    [anon_sym__alignof] = ACTIONS(2608),
    [anon_sym_alignof] = ACTIONS(2608),
    [anon_sym__Alignof] = ACTIONS(2608),
    [anon_sym_offsetof] = ACTIONS(2608),
    [anon_sym__Generic] = ACTIONS(2608),
    [anon_sym_asm] = ACTIONS(2608),
    [anon_sym___asm__] = ACTIONS(2608),
    [sym_number_literal] = ACTIONS(2610),
    [anon_sym_L_SQUOTE] = ACTIONS(2610),
    [anon_sym_u_SQUOTE] = ACTIONS(2610),
    [anon_sym_U_SQUOTE] = ACTIONS(2610),
    [anon_sym_u8_SQUOTE] = ACTIONS(2610),
    [anon_sym_SQUOTE] = ACTIONS(2610),
    [anon_sym_L_DQUOTE] = ACTIONS(2610),
    [anon_sym_u_DQUOTE] = ACTIONS(2610),
    [anon_sym_U_DQUOTE] = ACTIONS(2610),
    [anon_sym_u8_DQUOTE] = ACTIONS(2610),
    [anon_sym_DQUOTE] = ACTIONS(2610),
    [sym_true] = ACTIONS(2608),
    [sym_false] = ACTIONS(2608),
    [anon_sym_NULL] = ACTIONS(2608),
    [anon_sym_nullptr] = ACTIONS(2608),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2608),
    [anon_sym_decltype] = ACTIONS(2608),
    [anon_sym_virtual] = ACTIONS(2608),
    [anon_sym_alignas] = ACTIONS(2608),
    [anon_sym_explicit] = ACTIONS(2608),
    [anon_sym_typename] = ACTIONS(2608),
    [anon_sym_template] = ACTIONS(2608),
    [anon_sym_operator] = ACTIONS(2608),
    [anon_sym_try] = ACTIONS(2608),
    [anon_sym_delete] = ACTIONS(2608),
    [anon_sym_throw] = ACTIONS(2608),
    [anon_sym_namespace] = ACTIONS(2608),
    [anon_sym_using] = ACTIONS(2608),
    [anon_sym_static_assert] = ACTIONS(2608),
    [anon_sym_concept] = ACTIONS(2608),
    [anon_sym_co_return] = ACTIONS(2608),
    [anon_sym_co_yield] = ACTIONS(2608),
    [anon_sym_R_DQUOTE] = ACTIONS(2610),
    [anon_sym_LR_DQUOTE] = ACTIONS(2610),
    [anon_sym_uR_DQUOTE] = ACTIONS(2610),
    [anon_sym_UR_DQUOTE] = ACTIONS(2610),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2610),
    [anon_sym_co_await] = ACTIONS(2608),
    [anon_sym_new] = ACTIONS(2608),
    [anon_sym_requires] = ACTIONS(2608),
    [sym_this] = ACTIONS(2608),
    [anon_sym_discard] = ACTIONS(2608),
    [anon_sym_precise] = ACTIONS(2608),
    [anon_sym_shared] = ACTIONS(2608),
    [anon_sym_groupshared] = ACTIONS(2608),
    [anon_sym_uniform] = ACTIONS(2608),
    [anon_sym_row_major] = ACTIONS(2608),
    [anon_sym_column_major] = ACTIONS(2608),
    [anon_sym_globallycoherent] = ACTIONS(2608),
    [anon_sym_centroid] = ACTIONS(2608),
    [anon_sym_noperspective] = ACTIONS(2608),
    [anon_sym_nointerpolation] = ACTIONS(2608),
    [anon_sym_sample] = ACTIONS(2608),
    [anon_sym_linear] = ACTIONS(2608),
    [anon_sym_snorm] = ACTIONS(2608),
    [anon_sym_unorm] = ACTIONS(2608),
    [anon_sym_point] = ACTIONS(2608),
    [anon_sym_line] = ACTIONS(2608),
    [anon_sym_triangleadj] = ACTIONS(2608),
    [anon_sym_lineadj] = ACTIONS(2608),
    [anon_sym_triangle] = ACTIONS(2608),
    [anon_sym_cbuffer] = ACTIONS(2608),
  },
  [354] = {
    [sym_catch_clause] = STATE(354),
    [aux_sym_constructor_try_statement_repeat1] = STATE(354),
    [sym_identifier] = ACTIONS(2268),
    [aux_sym_preproc_include_token1] = ACTIONS(2268),
    [aux_sym_preproc_def_token1] = ACTIONS(2268),
    [aux_sym_preproc_if_token1] = ACTIONS(2268),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2268),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2268),
    [sym_preproc_directive] = ACTIONS(2268),
    [anon_sym_LPAREN2] = ACTIONS(2270),
    [anon_sym_BANG] = ACTIONS(2270),
    [anon_sym_TILDE] = ACTIONS(2270),
    [anon_sym_DASH] = ACTIONS(2268),
    [anon_sym_PLUS] = ACTIONS(2268),
    [anon_sym_STAR] = ACTIONS(2270),
    [anon_sym_AMP_AMP] = ACTIONS(2270),
    [anon_sym_AMP] = ACTIONS(2268),
    [anon_sym_SEMI] = ACTIONS(2270),
    [anon_sym___extension__] = ACTIONS(2268),
    [anon_sym_typedef] = ACTIONS(2268),
    [anon_sym_in] = ACTIONS(2268),
    [anon_sym_out] = ACTIONS(2268),
    [anon_sym_inout] = ACTIONS(2268),
    [anon_sym_extern] = ACTIONS(2268),
    [anon_sym___attribute__] = ACTIONS(2268),
    [anon_sym_COLON_COLON] = ACTIONS(2270),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2270),
    [anon_sym___declspec] = ACTIONS(2268),
    [anon_sym___based] = ACTIONS(2268),
    [anon_sym___cdecl] = ACTIONS(2268),
    [anon_sym___clrcall] = ACTIONS(2268),
    [anon_sym___stdcall] = ACTIONS(2268),
    [anon_sym___fastcall] = ACTIONS(2268),
    [anon_sym___thiscall] = ACTIONS(2268),
    [anon_sym___vectorcall] = ACTIONS(2268),
    [anon_sym_LBRACE] = ACTIONS(2270),
    [anon_sym_RBRACE] = ACTIONS(2270),
    [anon_sym_signed] = ACTIONS(2268),
    [anon_sym_unsigned] = ACTIONS(2268),
    [anon_sym_long] = ACTIONS(2268),
    [anon_sym_short] = ACTIONS(2268),
    [anon_sym_LBRACK] = ACTIONS(2268),
    [anon_sym_static] = ACTIONS(2268),
    [anon_sym_register] = ACTIONS(2268),
    [anon_sym_inline] = ACTIONS(2268),
    [anon_sym___inline] = ACTIONS(2268),
    [anon_sym___inline__] = ACTIONS(2268),
    [anon_sym___forceinline] = ACTIONS(2268),
    [anon_sym_thread_local] = ACTIONS(2268),
    [anon_sym___thread] = ACTIONS(2268),
    [anon_sym_const] = ACTIONS(2268),
    [anon_sym_constexpr] = ACTIONS(2268),
    [anon_sym_volatile] = ACTIONS(2268),
    [anon_sym_restrict] = ACTIONS(2268),
    [anon_sym___restrict__] = ACTIONS(2268),
    [anon_sym__Atomic] = ACTIONS(2268),
    [anon_sym__Noreturn] = ACTIONS(2268),
    [anon_sym_noreturn] = ACTIONS(2268),
    [anon_sym_mutable] = ACTIONS(2268),
    [anon_sym_constinit] = ACTIONS(2268),
    [anon_sym_consteval] = ACTIONS(2268),
    [sym_primitive_type] = ACTIONS(2268),
    [anon_sym_enum] = ACTIONS(2268),
    [anon_sym_class] = ACTIONS(2268),
    [anon_sym_struct] = ACTIONS(2268),
    [anon_sym_union] = ACTIONS(2268),
    [anon_sym_if] = ACTIONS(2268),
    [anon_sym_else] = ACTIONS(2268),
    [anon_sym_switch] = ACTIONS(2268),
    [anon_sym_case] = ACTIONS(2268),
    [anon_sym_default] = ACTIONS(2268),
    [anon_sym_while] = ACTIONS(2268),
    [anon_sym_do] = ACTIONS(2268),
    [anon_sym_for] = ACTIONS(2268),
    [anon_sym_return] = ACTIONS(2268),
    [anon_sym_break] = ACTIONS(2268),
    [anon_sym_continue] = ACTIONS(2268),
    [anon_sym_goto] = ACTIONS(2268),
    [anon_sym___try] = ACTIONS(2268),
    [anon_sym___leave] = ACTIONS(2268),
    [anon_sym_not] = ACTIONS(2268),
    [anon_sym_compl] = ACTIONS(2268),
    [anon_sym_DASH_DASH] = ACTIONS(2270),
    [anon_sym_PLUS_PLUS] = ACTIONS(2270),
    [anon_sym_sizeof] = ACTIONS(2268),
    [anon_sym___alignof__] = ACTIONS(2268),
    [anon_sym___alignof] = ACTIONS(2268),
    [anon_sym__alignof] = ACTIONS(2268),
    [anon_sym_alignof] = ACTIONS(2268),
    [anon_sym__Alignof] = ACTIONS(2268),
    [anon_sym_offsetof] = ACTIONS(2268),
    [anon_sym__Generic] = ACTIONS(2268),
    [anon_sym_asm] = ACTIONS(2268),
    [anon_sym___asm__] = ACTIONS(2268),
    [sym_number_literal] = ACTIONS(2270),
    [anon_sym_L_SQUOTE] = ACTIONS(2270),
    [anon_sym_u_SQUOTE] = ACTIONS(2270),
    [anon_sym_U_SQUOTE] = ACTIONS(2270),
    [anon_sym_u8_SQUOTE] = ACTIONS(2270),
    [anon_sym_SQUOTE] = ACTIONS(2270),
    [anon_sym_L_DQUOTE] = ACTIONS(2270),
    [anon_sym_u_DQUOTE] = ACTIONS(2270),
    [anon_sym_U_DQUOTE] = ACTIONS(2270),
    [anon_sym_u8_DQUOTE] = ACTIONS(2270),
    [anon_sym_DQUOTE] = ACTIONS(2270),
    [sym_true] = ACTIONS(2268),
    [sym_false] = ACTIONS(2268),
    [anon_sym_NULL] = ACTIONS(2268),
    [anon_sym_nullptr] = ACTIONS(2268),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2268),
    [anon_sym_decltype] = ACTIONS(2268),
    [anon_sym_virtual] = ACTIONS(2268),
    [anon_sym_alignas] = ACTIONS(2268),
    [anon_sym_explicit] = ACTIONS(2268),
    [anon_sym_typename] = ACTIONS(2268),
    [anon_sym_template] = ACTIONS(2268),
    [anon_sym_operator] = ACTIONS(2268),
    [anon_sym_try] = ACTIONS(2268),
    [anon_sym_delete] = ACTIONS(2268),
    [anon_sym_throw] = ACTIONS(2268),
    [anon_sym_namespace] = ACTIONS(2268),
    [anon_sym_using] = ACTIONS(2268),
    [anon_sym_static_assert] = ACTIONS(2268),
    [anon_sym_concept] = ACTIONS(2268),
    [anon_sym_co_return] = ACTIONS(2268),
    [anon_sym_co_yield] = ACTIONS(2268),
    [anon_sym_catch] = ACTIONS(2612),
    [anon_sym_R_DQUOTE] = ACTIONS(2270),
    [anon_sym_LR_DQUOTE] = ACTIONS(2270),
    [anon_sym_uR_DQUOTE] = ACTIONS(2270),
    [anon_sym_UR_DQUOTE] = ACTIONS(2270),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2270),
    [anon_sym_co_await] = ACTIONS(2268),
    [anon_sym_new] = ACTIONS(2268),
    [anon_sym_requires] = ACTIONS(2268),
    [sym_this] = ACTIONS(2268),
    [anon_sym_discard] = ACTIONS(2268),
    [anon_sym_precise] = ACTIONS(2268),
    [anon_sym_shared] = ACTIONS(2268),
    [anon_sym_groupshared] = ACTIONS(2268),
    [anon_sym_uniform] = ACTIONS(2268),
    [anon_sym_row_major] = ACTIONS(2268),
    [anon_sym_column_major] = ACTIONS(2268),
    [anon_sym_globallycoherent] = ACTIONS(2268),
    [anon_sym_centroid] = ACTIONS(2268),
    [anon_sym_noperspective] = ACTIONS(2268),
    [anon_sym_nointerpolation] = ACTIONS(2268),
    [anon_sym_sample] = ACTIONS(2268),
    [anon_sym_linear] = ACTIONS(2268),
    [anon_sym_snorm] = ACTIONS(2268),
    [anon_sym_unorm] = ACTIONS(2268),
    [anon_sym_point] = ACTIONS(2268),
    [anon_sym_line] = ACTIONS(2268),
    [anon_sym_triangleadj] = ACTIONS(2268),
    [anon_sym_lineadj] = ACTIONS(2268),
    [anon_sym_triangle] = ACTIONS(2268),
    [anon_sym_cbuffer] = ACTIONS(2268),
  },
  [355] = {
    [sym_identifier] = ACTIONS(2314),
    [aux_sym_preproc_include_token1] = ACTIONS(2314),
    [aux_sym_preproc_def_token1] = ACTIONS(2314),
    [aux_sym_preproc_if_token1] = ACTIONS(2314),
    [aux_sym_preproc_if_token2] = ACTIONS(2314),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2314),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2314),
    [aux_sym_preproc_else_token1] = ACTIONS(2314),
    [aux_sym_preproc_elif_token1] = ACTIONS(2314),
    [sym_preproc_directive] = ACTIONS(2314),
    [anon_sym_LPAREN2] = ACTIONS(2316),
    [anon_sym_BANG] = ACTIONS(2316),
    [anon_sym_TILDE] = ACTIONS(2316),
    [anon_sym_DASH] = ACTIONS(2314),
    [anon_sym_PLUS] = ACTIONS(2314),
    [anon_sym_STAR] = ACTIONS(2316),
    [anon_sym_AMP_AMP] = ACTIONS(2316),
    [anon_sym_AMP] = ACTIONS(2314),
    [anon_sym_SEMI] = ACTIONS(2316),
    [anon_sym___extension__] = ACTIONS(2314),
    [anon_sym_typedef] = ACTIONS(2314),
    [anon_sym_in] = ACTIONS(2314),
    [anon_sym_out] = ACTIONS(2314),
    [anon_sym_inout] = ACTIONS(2314),
    [anon_sym_extern] = ACTIONS(2314),
    [anon_sym___attribute__] = ACTIONS(2314),
    [anon_sym_COLON_COLON] = ACTIONS(2316),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2316),
    [anon_sym___declspec] = ACTIONS(2314),
    [anon_sym___based] = ACTIONS(2314),
    [anon_sym___cdecl] = ACTIONS(2314),
    [anon_sym___clrcall] = ACTIONS(2314),
    [anon_sym___stdcall] = ACTIONS(2314),
    [anon_sym___fastcall] = ACTIONS(2314),
    [anon_sym___thiscall] = ACTIONS(2314),
    [anon_sym___vectorcall] = ACTIONS(2314),
    [anon_sym_LBRACE] = ACTIONS(2316),
    [anon_sym_signed] = ACTIONS(2314),
    [anon_sym_unsigned] = ACTIONS(2314),
    [anon_sym_long] = ACTIONS(2314),
    [anon_sym_short] = ACTIONS(2314),
    [anon_sym_LBRACK] = ACTIONS(2314),
    [anon_sym_static] = ACTIONS(2314),
    [anon_sym_register] = ACTIONS(2314),
    [anon_sym_inline] = ACTIONS(2314),
    [anon_sym___inline] = ACTIONS(2314),
    [anon_sym___inline__] = ACTIONS(2314),
    [anon_sym___forceinline] = ACTIONS(2314),
    [anon_sym_thread_local] = ACTIONS(2314),
    [anon_sym___thread] = ACTIONS(2314),
    [anon_sym_const] = ACTIONS(2314),
    [anon_sym_constexpr] = ACTIONS(2314),
    [anon_sym_volatile] = ACTIONS(2314),
    [anon_sym_restrict] = ACTIONS(2314),
    [anon_sym___restrict__] = ACTIONS(2314),
    [anon_sym__Atomic] = ACTIONS(2314),
    [anon_sym__Noreturn] = ACTIONS(2314),
    [anon_sym_noreturn] = ACTIONS(2314),
    [anon_sym_mutable] = ACTIONS(2314),
    [anon_sym_constinit] = ACTIONS(2314),
    [anon_sym_consteval] = ACTIONS(2314),
    [sym_primitive_type] = ACTIONS(2314),
    [anon_sym_enum] = ACTIONS(2314),
    [anon_sym_class] = ACTIONS(2314),
    [anon_sym_struct] = ACTIONS(2314),
    [anon_sym_union] = ACTIONS(2314),
    [anon_sym_if] = ACTIONS(2314),
    [anon_sym_else] = ACTIONS(2314),
    [anon_sym_switch] = ACTIONS(2314),
    [anon_sym_case] = ACTIONS(2314),
    [anon_sym_default] = ACTIONS(2314),
    [anon_sym_while] = ACTIONS(2314),
    [anon_sym_do] = ACTIONS(2314),
    [anon_sym_for] = ACTIONS(2314),
    [anon_sym_return] = ACTIONS(2314),
    [anon_sym_break] = ACTIONS(2314),
    [anon_sym_continue] = ACTIONS(2314),
    [anon_sym_goto] = ACTIONS(2314),
    [anon_sym___try] = ACTIONS(2314),
    [anon_sym___leave] = ACTIONS(2314),
    [anon_sym_not] = ACTIONS(2314),
    [anon_sym_compl] = ACTIONS(2314),
    [anon_sym_DASH_DASH] = ACTIONS(2316),
    [anon_sym_PLUS_PLUS] = ACTIONS(2316),
    [anon_sym_sizeof] = ACTIONS(2314),
    [anon_sym___alignof__] = ACTIONS(2314),
    [anon_sym___alignof] = ACTIONS(2314),
    [anon_sym__alignof] = ACTIONS(2314),
    [anon_sym_alignof] = ACTIONS(2314),
    [anon_sym__Alignof] = ACTIONS(2314),
    [anon_sym_offsetof] = ACTIONS(2314),
    [anon_sym__Generic] = ACTIONS(2314),
    [anon_sym_asm] = ACTIONS(2314),
    [anon_sym___asm__] = ACTIONS(2314),
    [sym_number_literal] = ACTIONS(2316),
    [anon_sym_L_SQUOTE] = ACTIONS(2316),
    [anon_sym_u_SQUOTE] = ACTIONS(2316),
    [anon_sym_U_SQUOTE] = ACTIONS(2316),
    [anon_sym_u8_SQUOTE] = ACTIONS(2316),
    [anon_sym_SQUOTE] = ACTIONS(2316),
    [anon_sym_L_DQUOTE] = ACTIONS(2316),
    [anon_sym_u_DQUOTE] = ACTIONS(2316),
    [anon_sym_U_DQUOTE] = ACTIONS(2316),
    [anon_sym_u8_DQUOTE] = ACTIONS(2316),
    [anon_sym_DQUOTE] = ACTIONS(2316),
    [sym_true] = ACTIONS(2314),
    [sym_false] = ACTIONS(2314),
    [anon_sym_NULL] = ACTIONS(2314),
    [anon_sym_nullptr] = ACTIONS(2314),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2314),
    [anon_sym_decltype] = ACTIONS(2314),
    [anon_sym_virtual] = ACTIONS(2314),
    [anon_sym_alignas] = ACTIONS(2314),
    [anon_sym_explicit] = ACTIONS(2314),
    [anon_sym_typename] = ACTIONS(2314),
    [anon_sym_template] = ACTIONS(2314),
    [anon_sym_operator] = ACTIONS(2314),
    [anon_sym_try] = ACTIONS(2314),
    [anon_sym_delete] = ACTIONS(2314),
    [anon_sym_throw] = ACTIONS(2314),
    [anon_sym_namespace] = ACTIONS(2314),
    [anon_sym_using] = ACTIONS(2314),
    [anon_sym_static_assert] = ACTIONS(2314),
    [anon_sym_concept] = ACTIONS(2314),
    [anon_sym_co_return] = ACTIONS(2314),
    [anon_sym_co_yield] = ACTIONS(2314),
    [anon_sym_catch] = ACTIONS(2314),
    [anon_sym_R_DQUOTE] = ACTIONS(2316),
    [anon_sym_LR_DQUOTE] = ACTIONS(2316),
    [anon_sym_uR_DQUOTE] = ACTIONS(2316),
    [anon_sym_UR_DQUOTE] = ACTIONS(2316),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2316),
    [anon_sym_co_await] = ACTIONS(2314),
    [anon_sym_new] = ACTIONS(2314),
    [anon_sym_requires] = ACTIONS(2314),
    [sym_this] = ACTIONS(2314),
    [anon_sym_discard] = ACTIONS(2314),
    [anon_sym_precise] = ACTIONS(2314),
    [anon_sym_shared] = ACTIONS(2314),
    [anon_sym_groupshared] = ACTIONS(2314),
    [anon_sym_uniform] = ACTIONS(2314),
    [anon_sym_row_major] = ACTIONS(2314),
    [anon_sym_column_major] = ACTIONS(2314),
    [anon_sym_globallycoherent] = ACTIONS(2314),
    [anon_sym_centroid] = ACTIONS(2314),
    [anon_sym_noperspective] = ACTIONS(2314),
    [anon_sym_nointerpolation] = ACTIONS(2314),
    [anon_sym_sample] = ACTIONS(2314),
    [anon_sym_linear] = ACTIONS(2314),
    [anon_sym_snorm] = ACTIONS(2314),
    [anon_sym_unorm] = ACTIONS(2314),
    [anon_sym_point] = ACTIONS(2314),
    [anon_sym_line] = ACTIONS(2314),
    [anon_sym_triangleadj] = ACTIONS(2314),
    [anon_sym_lineadj] = ACTIONS(2314),
    [anon_sym_triangle] = ACTIONS(2314),
    [anon_sym_cbuffer] = ACTIONS(2314),
  },
  [356] = {
    [sym_identifier] = ACTIONS(2250),
    [aux_sym_preproc_include_token1] = ACTIONS(2250),
    [aux_sym_preproc_def_token1] = ACTIONS(2250),
    [aux_sym_preproc_if_token1] = ACTIONS(2250),
    [aux_sym_preproc_if_token2] = ACTIONS(2250),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2250),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2250),
    [sym_preproc_directive] = ACTIONS(2250),
    [anon_sym_LPAREN2] = ACTIONS(2252),
    [anon_sym_BANG] = ACTIONS(2252),
    [anon_sym_TILDE] = ACTIONS(2252),
    [anon_sym_DASH] = ACTIONS(2250),
    [anon_sym_PLUS] = ACTIONS(2250),
    [anon_sym_STAR] = ACTIONS(2252),
    [anon_sym_AMP_AMP] = ACTIONS(2252),
    [anon_sym_AMP] = ACTIONS(2250),
    [anon_sym_COLON] = ACTIONS(2250),
    [anon_sym_SEMI] = ACTIONS(2252),
    [anon_sym___extension__] = ACTIONS(2250),
    [anon_sym_typedef] = ACTIONS(2250),
    [anon_sym_in] = ACTIONS(2250),
    [anon_sym_out] = ACTIONS(2250),
    [anon_sym_inout] = ACTIONS(2250),
    [anon_sym_extern] = ACTIONS(2250),
    [anon_sym___attribute__] = ACTIONS(2250),
    [anon_sym_COLON_COLON] = ACTIONS(2252),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2252),
    [anon_sym___declspec] = ACTIONS(2250),
    [anon_sym___based] = ACTIONS(2250),
    [anon_sym___cdecl] = ACTIONS(2250),
    [anon_sym___clrcall] = ACTIONS(2250),
    [anon_sym___stdcall] = ACTIONS(2250),
    [anon_sym___fastcall] = ACTIONS(2250),
    [anon_sym___thiscall] = ACTIONS(2250),
    [anon_sym___vectorcall] = ACTIONS(2250),
    [anon_sym_LBRACE] = ACTIONS(2252),
    [anon_sym_signed] = ACTIONS(2250),
    [anon_sym_unsigned] = ACTIONS(2250),
    [anon_sym_long] = ACTIONS(2250),
    [anon_sym_short] = ACTIONS(2250),
    [anon_sym_LBRACK] = ACTIONS(2250),
    [anon_sym_static] = ACTIONS(2250),
    [anon_sym_register] = ACTIONS(2250),
    [anon_sym_inline] = ACTIONS(2250),
    [anon_sym___inline] = ACTIONS(2250),
    [anon_sym___inline__] = ACTIONS(2250),
    [anon_sym___forceinline] = ACTIONS(2250),
    [anon_sym_thread_local] = ACTIONS(2250),
    [anon_sym___thread] = ACTIONS(2250),
    [anon_sym_const] = ACTIONS(2250),
    [anon_sym_constexpr] = ACTIONS(2250),
    [anon_sym_volatile] = ACTIONS(2250),
    [anon_sym_restrict] = ACTIONS(2250),
    [anon_sym___restrict__] = ACTIONS(2250),
    [anon_sym__Atomic] = ACTIONS(2250),
    [anon_sym__Noreturn] = ACTIONS(2250),
    [anon_sym_noreturn] = ACTIONS(2250),
    [anon_sym_mutable] = ACTIONS(2250),
    [anon_sym_constinit] = ACTIONS(2250),
    [anon_sym_consteval] = ACTIONS(2250),
    [sym_primitive_type] = ACTIONS(2250),
    [anon_sym_enum] = ACTIONS(2250),
    [anon_sym_class] = ACTIONS(2250),
    [anon_sym_struct] = ACTIONS(2250),
    [anon_sym_union] = ACTIONS(2250),
    [anon_sym_if] = ACTIONS(2250),
    [anon_sym_else] = ACTIONS(2250),
    [anon_sym_switch] = ACTIONS(2250),
    [anon_sym_case] = ACTIONS(2250),
    [anon_sym_default] = ACTIONS(2250),
    [anon_sym_while] = ACTIONS(2250),
    [anon_sym_do] = ACTIONS(2250),
    [anon_sym_for] = ACTIONS(2250),
    [anon_sym_return] = ACTIONS(2250),
    [anon_sym_break] = ACTIONS(2250),
    [anon_sym_continue] = ACTIONS(2250),
    [anon_sym_goto] = ACTIONS(2250),
    [anon_sym___try] = ACTIONS(2250),
    [anon_sym___leave] = ACTIONS(2250),
    [anon_sym_not] = ACTIONS(2250),
    [anon_sym_compl] = ACTIONS(2250),
    [anon_sym_DASH_DASH] = ACTIONS(2252),
    [anon_sym_PLUS_PLUS] = ACTIONS(2252),
    [anon_sym_sizeof] = ACTIONS(2250),
    [anon_sym___alignof__] = ACTIONS(2250),
    [anon_sym___alignof] = ACTIONS(2250),
    [anon_sym__alignof] = ACTIONS(2250),
    [anon_sym_alignof] = ACTIONS(2250),
    [anon_sym__Alignof] = ACTIONS(2250),
    [anon_sym_offsetof] = ACTIONS(2250),
    [anon_sym__Generic] = ACTIONS(2250),
    [anon_sym_asm] = ACTIONS(2250),
    [anon_sym___asm__] = ACTIONS(2250),
    [sym_number_literal] = ACTIONS(2252),
    [anon_sym_L_SQUOTE] = ACTIONS(2252),
    [anon_sym_u_SQUOTE] = ACTIONS(2252),
    [anon_sym_U_SQUOTE] = ACTIONS(2252),
    [anon_sym_u8_SQUOTE] = ACTIONS(2252),
    [anon_sym_SQUOTE] = ACTIONS(2252),
    [anon_sym_L_DQUOTE] = ACTIONS(2252),
    [anon_sym_u_DQUOTE] = ACTIONS(2252),
    [anon_sym_U_DQUOTE] = ACTIONS(2252),
    [anon_sym_u8_DQUOTE] = ACTIONS(2252),
    [anon_sym_DQUOTE] = ACTIONS(2252),
    [sym_true] = ACTIONS(2250),
    [sym_false] = ACTIONS(2250),
    [anon_sym_NULL] = ACTIONS(2250),
    [anon_sym_nullptr] = ACTIONS(2250),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2250),
    [anon_sym_decltype] = ACTIONS(2250),
    [anon_sym_final] = ACTIONS(2250),
    [anon_sym_override] = ACTIONS(2250),
    [anon_sym_virtual] = ACTIONS(2250),
    [anon_sym_alignas] = ACTIONS(2250),
    [anon_sym_explicit] = ACTIONS(2250),
    [anon_sym_typename] = ACTIONS(2250),
    [anon_sym_template] = ACTIONS(2250),
    [anon_sym_operator] = ACTIONS(2250),
    [anon_sym_try] = ACTIONS(2250),
    [anon_sym_delete] = ACTIONS(2250),
    [anon_sym_throw] = ACTIONS(2250),
    [anon_sym_namespace] = ACTIONS(2250),
    [anon_sym_using] = ACTIONS(2250),
    [anon_sym_static_assert] = ACTIONS(2250),
    [anon_sym_concept] = ACTIONS(2250),
    [anon_sym_co_return] = ACTIONS(2250),
    [anon_sym_co_yield] = ACTIONS(2250),
    [anon_sym_R_DQUOTE] = ACTIONS(2252),
    [anon_sym_LR_DQUOTE] = ACTIONS(2252),
    [anon_sym_uR_DQUOTE] = ACTIONS(2252),
    [anon_sym_UR_DQUOTE] = ACTIONS(2252),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2252),
    [anon_sym_co_await] = ACTIONS(2250),
    [anon_sym_new] = ACTIONS(2250),
    [anon_sym_requires] = ACTIONS(2250),
    [sym_this] = ACTIONS(2250),
    [anon_sym_discard] = ACTIONS(2250),
    [anon_sym_precise] = ACTIONS(2250),
    [anon_sym_shared] = ACTIONS(2250),
    [anon_sym_groupshared] = ACTIONS(2250),
    [anon_sym_uniform] = ACTIONS(2250),
    [anon_sym_row_major] = ACTIONS(2250),
    [anon_sym_column_major] = ACTIONS(2250),
    [anon_sym_globallycoherent] = ACTIONS(2250),
    [anon_sym_centroid] = ACTIONS(2250),
    [anon_sym_noperspective] = ACTIONS(2250),
    [anon_sym_nointerpolation] = ACTIONS(2250),
    [anon_sym_sample] = ACTIONS(2250),
    [anon_sym_linear] = ACTIONS(2250),
    [anon_sym_snorm] = ACTIONS(2250),
    [anon_sym_unorm] = ACTIONS(2250),
    [anon_sym_point] = ACTIONS(2250),
    [anon_sym_line] = ACTIONS(2250),
    [anon_sym_triangleadj] = ACTIONS(2250),
    [anon_sym_lineadj] = ACTIONS(2250),
    [anon_sym_triangle] = ACTIONS(2250),
    [anon_sym_cbuffer] = ACTIONS(2250),
  },
  [357] = {
    [sym_else_clause] = STATE(569),
    [sym_identifier] = ACTIONS(2291),
    [aux_sym_preproc_include_token1] = ACTIONS(2291),
    [aux_sym_preproc_def_token1] = ACTIONS(2291),
    [aux_sym_preproc_if_token1] = ACTIONS(2291),
    [aux_sym_preproc_if_token2] = ACTIONS(2291),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2291),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2291),
    [aux_sym_preproc_else_token1] = ACTIONS(2291),
    [aux_sym_preproc_elif_token1] = ACTIONS(2291),
    [sym_preproc_directive] = ACTIONS(2291),
    [anon_sym_LPAREN2] = ACTIONS(2293),
    [anon_sym_BANG] = ACTIONS(2293),
    [anon_sym_TILDE] = ACTIONS(2293),
    [anon_sym_DASH] = ACTIONS(2291),
    [anon_sym_PLUS] = ACTIONS(2291),
    [anon_sym_STAR] = ACTIONS(2293),
    [anon_sym_AMP_AMP] = ACTIONS(2293),
    [anon_sym_AMP] = ACTIONS(2291),
    [anon_sym_SEMI] = ACTIONS(2293),
    [anon_sym___extension__] = ACTIONS(2291),
    [anon_sym_typedef] = ACTIONS(2291),
    [anon_sym_in] = ACTIONS(2291),
    [anon_sym_out] = ACTIONS(2291),
    [anon_sym_inout] = ACTIONS(2291),
    [anon_sym_extern] = ACTIONS(2291),
    [anon_sym___attribute__] = ACTIONS(2291),
    [anon_sym_COLON_COLON] = ACTIONS(2293),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2293),
    [anon_sym___declspec] = ACTIONS(2291),
    [anon_sym___based] = ACTIONS(2291),
    [anon_sym___cdecl] = ACTIONS(2291),
    [anon_sym___clrcall] = ACTIONS(2291),
    [anon_sym___stdcall] = ACTIONS(2291),
    [anon_sym___fastcall] = ACTIONS(2291),
    [anon_sym___thiscall] = ACTIONS(2291),
    [anon_sym___vectorcall] = ACTIONS(2291),
    [anon_sym_LBRACE] = ACTIONS(2293),
    [anon_sym_signed] = ACTIONS(2291),
    [anon_sym_unsigned] = ACTIONS(2291),
    [anon_sym_long] = ACTIONS(2291),
    [anon_sym_short] = ACTIONS(2291),
    [anon_sym_LBRACK] = ACTIONS(2291),
    [anon_sym_static] = ACTIONS(2291),
    [anon_sym_register] = ACTIONS(2291),
    [anon_sym_inline] = ACTIONS(2291),
    [anon_sym___inline] = ACTIONS(2291),
    [anon_sym___inline__] = ACTIONS(2291),
    [anon_sym___forceinline] = ACTIONS(2291),
    [anon_sym_thread_local] = ACTIONS(2291),
    [anon_sym___thread] = ACTIONS(2291),
    [anon_sym_const] = ACTIONS(2291),
    [anon_sym_constexpr] = ACTIONS(2291),
    [anon_sym_volatile] = ACTIONS(2291),
    [anon_sym_restrict] = ACTIONS(2291),
    [anon_sym___restrict__] = ACTIONS(2291),
    [anon_sym__Atomic] = ACTIONS(2291),
    [anon_sym__Noreturn] = ACTIONS(2291),
    [anon_sym_noreturn] = ACTIONS(2291),
    [anon_sym_mutable] = ACTIONS(2291),
    [anon_sym_constinit] = ACTIONS(2291),
    [anon_sym_consteval] = ACTIONS(2291),
    [sym_primitive_type] = ACTIONS(2291),
    [anon_sym_enum] = ACTIONS(2291),
    [anon_sym_class] = ACTIONS(2291),
    [anon_sym_struct] = ACTIONS(2291),
    [anon_sym_union] = ACTIONS(2291),
    [anon_sym_if] = ACTIONS(2291),
    [anon_sym_else] = ACTIONS(2615),
    [anon_sym_switch] = ACTIONS(2291),
    [anon_sym_case] = ACTIONS(2291),
    [anon_sym_default] = ACTIONS(2291),
    [anon_sym_while] = ACTIONS(2291),
    [anon_sym_do] = ACTIONS(2291),
    [anon_sym_for] = ACTIONS(2291),
    [anon_sym_return] = ACTIONS(2291),
    [anon_sym_break] = ACTIONS(2291),
    [anon_sym_continue] = ACTIONS(2291),
    [anon_sym_goto] = ACTIONS(2291),
    [anon_sym___try] = ACTIONS(2291),
    [anon_sym___leave] = ACTIONS(2291),
    [anon_sym_not] = ACTIONS(2291),
    [anon_sym_compl] = ACTIONS(2291),
    [anon_sym_DASH_DASH] = ACTIONS(2293),
    [anon_sym_PLUS_PLUS] = ACTIONS(2293),
    [anon_sym_sizeof] = ACTIONS(2291),
    [anon_sym___alignof__] = ACTIONS(2291),
    [anon_sym___alignof] = ACTIONS(2291),
    [anon_sym__alignof] = ACTIONS(2291),
    [anon_sym_alignof] = ACTIONS(2291),
    [anon_sym__Alignof] = ACTIONS(2291),
    [anon_sym_offsetof] = ACTIONS(2291),
    [anon_sym__Generic] = ACTIONS(2291),
    [anon_sym_asm] = ACTIONS(2291),
    [anon_sym___asm__] = ACTIONS(2291),
    [sym_number_literal] = ACTIONS(2293),
    [anon_sym_L_SQUOTE] = ACTIONS(2293),
    [anon_sym_u_SQUOTE] = ACTIONS(2293),
    [anon_sym_U_SQUOTE] = ACTIONS(2293),
    [anon_sym_u8_SQUOTE] = ACTIONS(2293),
    [anon_sym_SQUOTE] = ACTIONS(2293),
    [anon_sym_L_DQUOTE] = ACTIONS(2293),
    [anon_sym_u_DQUOTE] = ACTIONS(2293),
    [anon_sym_U_DQUOTE] = ACTIONS(2293),
    [anon_sym_u8_DQUOTE] = ACTIONS(2293),
    [anon_sym_DQUOTE] = ACTIONS(2293),
    [sym_true] = ACTIONS(2291),
    [sym_false] = ACTIONS(2291),
    [anon_sym_NULL] = ACTIONS(2291),
    [anon_sym_nullptr] = ACTIONS(2291),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2291),
    [anon_sym_decltype] = ACTIONS(2291),
    [anon_sym_virtual] = ACTIONS(2291),
    [anon_sym_alignas] = ACTIONS(2291),
    [anon_sym_explicit] = ACTIONS(2291),
    [anon_sym_typename] = ACTIONS(2291),
    [anon_sym_template] = ACTIONS(2291),
    [anon_sym_operator] = ACTIONS(2291),
    [anon_sym_try] = ACTIONS(2291),
    [anon_sym_delete] = ACTIONS(2291),
    [anon_sym_throw] = ACTIONS(2291),
    [anon_sym_namespace] = ACTIONS(2291),
    [anon_sym_using] = ACTIONS(2291),
    [anon_sym_static_assert] = ACTIONS(2291),
    [anon_sym_concept] = ACTIONS(2291),
    [anon_sym_co_return] = ACTIONS(2291),
    [anon_sym_co_yield] = ACTIONS(2291),
    [anon_sym_R_DQUOTE] = ACTIONS(2293),
    [anon_sym_LR_DQUOTE] = ACTIONS(2293),
    [anon_sym_uR_DQUOTE] = ACTIONS(2293),
    [anon_sym_UR_DQUOTE] = ACTIONS(2293),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2293),
    [anon_sym_co_await] = ACTIONS(2291),
    [anon_sym_new] = ACTIONS(2291),
    [anon_sym_requires] = ACTIONS(2291),
    [sym_this] = ACTIONS(2291),
    [anon_sym_discard] = ACTIONS(2291),
    [anon_sym_precise] = ACTIONS(2291),
    [anon_sym_shared] = ACTIONS(2291),
    [anon_sym_groupshared] = ACTIONS(2291),
    [anon_sym_uniform] = ACTIONS(2291),
    [anon_sym_row_major] = ACTIONS(2291),
    [anon_sym_column_major] = ACTIONS(2291),
    [anon_sym_globallycoherent] = ACTIONS(2291),
    [anon_sym_centroid] = ACTIONS(2291),
    [anon_sym_noperspective] = ACTIONS(2291),
    [anon_sym_nointerpolation] = ACTIONS(2291),
    [anon_sym_sample] = ACTIONS(2291),
    [anon_sym_linear] = ACTIONS(2291),
    [anon_sym_snorm] = ACTIONS(2291),
    [anon_sym_unorm] = ACTIONS(2291),
    [anon_sym_point] = ACTIONS(2291),
    [anon_sym_line] = ACTIONS(2291),
    [anon_sym_triangleadj] = ACTIONS(2291),
    [anon_sym_lineadj] = ACTIONS(2291),
    [anon_sym_triangle] = ACTIONS(2291),
    [anon_sym_cbuffer] = ACTIONS(2291),
  },
  [358] = {
    [sym_identifier] = ACTIONS(2520),
    [aux_sym_preproc_include_token1] = ACTIONS(2520),
    [aux_sym_preproc_def_token1] = ACTIONS(2520),
    [aux_sym_preproc_if_token1] = ACTIONS(2520),
    [aux_sym_preproc_if_token2] = ACTIONS(2520),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2520),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2520),
    [aux_sym_preproc_else_token1] = ACTIONS(2520),
    [aux_sym_preproc_elif_token1] = ACTIONS(2520),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2520),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2520),
    [sym_preproc_directive] = ACTIONS(2520),
    [anon_sym_LPAREN2] = ACTIONS(2522),
    [anon_sym_BANG] = ACTIONS(2522),
    [anon_sym_TILDE] = ACTIONS(2522),
    [anon_sym_DASH] = ACTIONS(2520),
    [anon_sym_PLUS] = ACTIONS(2520),
    [anon_sym_STAR] = ACTIONS(2522),
    [anon_sym_AMP_AMP] = ACTIONS(2522),
    [anon_sym_AMP] = ACTIONS(2520),
    [anon_sym_SEMI] = ACTIONS(2522),
    [anon_sym___extension__] = ACTIONS(2520),
    [anon_sym_typedef] = ACTIONS(2520),
    [anon_sym_in] = ACTIONS(2520),
    [anon_sym_out] = ACTIONS(2520),
    [anon_sym_inout] = ACTIONS(2520),
    [anon_sym_extern] = ACTIONS(2520),
    [anon_sym___attribute__] = ACTIONS(2520),
    [anon_sym_COLON_COLON] = ACTIONS(2522),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2522),
    [anon_sym___declspec] = ACTIONS(2520),
    [anon_sym___based] = ACTIONS(2520),
    [anon_sym___cdecl] = ACTIONS(2520),
    [anon_sym___clrcall] = ACTIONS(2520),
    [anon_sym___stdcall] = ACTIONS(2520),
    [anon_sym___fastcall] = ACTIONS(2520),
    [anon_sym___thiscall] = ACTIONS(2520),
    [anon_sym___vectorcall] = ACTIONS(2520),
    [anon_sym_LBRACE] = ACTIONS(2522),
    [anon_sym_signed] = ACTIONS(2520),
    [anon_sym_unsigned] = ACTIONS(2520),
    [anon_sym_long] = ACTIONS(2520),
    [anon_sym_short] = ACTIONS(2520),
    [anon_sym_LBRACK] = ACTIONS(2520),
    [anon_sym_static] = ACTIONS(2520),
    [anon_sym_register] = ACTIONS(2520),
    [anon_sym_inline] = ACTIONS(2520),
    [anon_sym___inline] = ACTIONS(2520),
    [anon_sym___inline__] = ACTIONS(2520),
    [anon_sym___forceinline] = ACTIONS(2520),
    [anon_sym_thread_local] = ACTIONS(2520),
    [anon_sym___thread] = ACTIONS(2520),
    [anon_sym_const] = ACTIONS(2520),
    [anon_sym_constexpr] = ACTIONS(2520),
    [anon_sym_volatile] = ACTIONS(2520),
    [anon_sym_restrict] = ACTIONS(2520),
    [anon_sym___restrict__] = ACTIONS(2520),
    [anon_sym__Atomic] = ACTIONS(2520),
    [anon_sym__Noreturn] = ACTIONS(2520),
    [anon_sym_noreturn] = ACTIONS(2520),
    [anon_sym_mutable] = ACTIONS(2520),
    [anon_sym_constinit] = ACTIONS(2520),
    [anon_sym_consteval] = ACTIONS(2520),
    [sym_primitive_type] = ACTIONS(2520),
    [anon_sym_enum] = ACTIONS(2520),
    [anon_sym_class] = ACTIONS(2520),
    [anon_sym_struct] = ACTIONS(2520),
    [anon_sym_union] = ACTIONS(2520),
    [anon_sym_if] = ACTIONS(2520),
    [anon_sym_switch] = ACTIONS(2520),
    [anon_sym_case] = ACTIONS(2520),
    [anon_sym_default] = ACTIONS(2520),
    [anon_sym_while] = ACTIONS(2520),
    [anon_sym_do] = ACTIONS(2520),
    [anon_sym_for] = ACTIONS(2520),
    [anon_sym_return] = ACTIONS(2520),
    [anon_sym_break] = ACTIONS(2520),
    [anon_sym_continue] = ACTIONS(2520),
    [anon_sym_goto] = ACTIONS(2520),
    [anon_sym___try] = ACTIONS(2520),
    [anon_sym___leave] = ACTIONS(2520),
    [anon_sym_not] = ACTIONS(2520),
    [anon_sym_compl] = ACTIONS(2520),
    [anon_sym_DASH_DASH] = ACTIONS(2522),
    [anon_sym_PLUS_PLUS] = ACTIONS(2522),
    [anon_sym_sizeof] = ACTIONS(2520),
    [anon_sym___alignof__] = ACTIONS(2520),
    [anon_sym___alignof] = ACTIONS(2520),
    [anon_sym__alignof] = ACTIONS(2520),
    [anon_sym_alignof] = ACTIONS(2520),
    [anon_sym__Alignof] = ACTIONS(2520),
    [anon_sym_offsetof] = ACTIONS(2520),
    [anon_sym__Generic] = ACTIONS(2520),
    [anon_sym_asm] = ACTIONS(2520),
    [anon_sym___asm__] = ACTIONS(2520),
    [sym_number_literal] = ACTIONS(2522),
    [anon_sym_L_SQUOTE] = ACTIONS(2522),
    [anon_sym_u_SQUOTE] = ACTIONS(2522),
    [anon_sym_U_SQUOTE] = ACTIONS(2522),
    [anon_sym_u8_SQUOTE] = ACTIONS(2522),
    [anon_sym_SQUOTE] = ACTIONS(2522),
    [anon_sym_L_DQUOTE] = ACTIONS(2522),
    [anon_sym_u_DQUOTE] = ACTIONS(2522),
    [anon_sym_U_DQUOTE] = ACTIONS(2522),
    [anon_sym_u8_DQUOTE] = ACTIONS(2522),
    [anon_sym_DQUOTE] = ACTIONS(2522),
    [sym_true] = ACTIONS(2520),
    [sym_false] = ACTIONS(2520),
    [anon_sym_NULL] = ACTIONS(2520),
    [anon_sym_nullptr] = ACTIONS(2520),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2520),
    [anon_sym_decltype] = ACTIONS(2520),
    [anon_sym_virtual] = ACTIONS(2520),
    [anon_sym_alignas] = ACTIONS(2520),
    [anon_sym_explicit] = ACTIONS(2520),
    [anon_sym_typename] = ACTIONS(2520),
    [anon_sym_template] = ACTIONS(2520),
    [anon_sym_operator] = ACTIONS(2520),
    [anon_sym_try] = ACTIONS(2520),
    [anon_sym_delete] = ACTIONS(2520),
    [anon_sym_throw] = ACTIONS(2520),
    [anon_sym_namespace] = ACTIONS(2520),
    [anon_sym_using] = ACTIONS(2520),
    [anon_sym_static_assert] = ACTIONS(2520),
    [anon_sym_concept] = ACTIONS(2520),
    [anon_sym_co_return] = ACTIONS(2520),
    [anon_sym_co_yield] = ACTIONS(2520),
    [anon_sym_R_DQUOTE] = ACTIONS(2522),
    [anon_sym_LR_DQUOTE] = ACTIONS(2522),
    [anon_sym_uR_DQUOTE] = ACTIONS(2522),
    [anon_sym_UR_DQUOTE] = ACTIONS(2522),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2522),
    [anon_sym_co_await] = ACTIONS(2520),
    [anon_sym_new] = ACTIONS(2520),
    [anon_sym_requires] = ACTIONS(2520),
    [sym_this] = ACTIONS(2520),
    [anon_sym_discard] = ACTIONS(2520),
    [anon_sym_precise] = ACTIONS(2520),
    [anon_sym_shared] = ACTIONS(2520),
    [anon_sym_groupshared] = ACTIONS(2520),
    [anon_sym_uniform] = ACTIONS(2520),
    [anon_sym_row_major] = ACTIONS(2520),
    [anon_sym_column_major] = ACTIONS(2520),
    [anon_sym_globallycoherent] = ACTIONS(2520),
    [anon_sym_centroid] = ACTIONS(2520),
    [anon_sym_noperspective] = ACTIONS(2520),
    [anon_sym_nointerpolation] = ACTIONS(2520),
    [anon_sym_sample] = ACTIONS(2520),
    [anon_sym_linear] = ACTIONS(2520),
    [anon_sym_snorm] = ACTIONS(2520),
    [anon_sym_unorm] = ACTIONS(2520),
    [anon_sym_point] = ACTIONS(2520),
    [anon_sym_line] = ACTIONS(2520),
    [anon_sym_triangleadj] = ACTIONS(2520),
    [anon_sym_lineadj] = ACTIONS(2520),
    [anon_sym_triangle] = ACTIONS(2520),
    [anon_sym_cbuffer] = ACTIONS(2520),
  },
  [359] = {
    [sym_identifier] = ACTIONS(2520),
    [aux_sym_preproc_include_token1] = ACTIONS(2520),
    [aux_sym_preproc_def_token1] = ACTIONS(2520),
    [aux_sym_preproc_if_token1] = ACTIONS(2520),
    [aux_sym_preproc_if_token2] = ACTIONS(2520),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2520),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2520),
    [aux_sym_preproc_else_token1] = ACTIONS(2520),
    [aux_sym_preproc_elif_token1] = ACTIONS(2520),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2520),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2520),
    [sym_preproc_directive] = ACTIONS(2520),
    [anon_sym_LPAREN2] = ACTIONS(2522),
    [anon_sym_BANG] = ACTIONS(2522),
    [anon_sym_TILDE] = ACTIONS(2522),
    [anon_sym_DASH] = ACTIONS(2520),
    [anon_sym_PLUS] = ACTIONS(2520),
    [anon_sym_STAR] = ACTIONS(2522),
    [anon_sym_AMP_AMP] = ACTIONS(2522),
    [anon_sym_AMP] = ACTIONS(2520),
    [anon_sym_SEMI] = ACTIONS(2522),
    [anon_sym___extension__] = ACTIONS(2520),
    [anon_sym_typedef] = ACTIONS(2520),
    [anon_sym_in] = ACTIONS(2520),
    [anon_sym_out] = ACTIONS(2520),
    [anon_sym_inout] = ACTIONS(2520),
    [anon_sym_extern] = ACTIONS(2520),
    [anon_sym___attribute__] = ACTIONS(2520),
    [anon_sym_COLON_COLON] = ACTIONS(2522),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2522),
    [anon_sym___declspec] = ACTIONS(2520),
    [anon_sym___based] = ACTIONS(2520),
    [anon_sym___cdecl] = ACTIONS(2520),
    [anon_sym___clrcall] = ACTIONS(2520),
    [anon_sym___stdcall] = ACTIONS(2520),
    [anon_sym___fastcall] = ACTIONS(2520),
    [anon_sym___thiscall] = ACTIONS(2520),
    [anon_sym___vectorcall] = ACTIONS(2520),
    [anon_sym_LBRACE] = ACTIONS(2522),
    [anon_sym_signed] = ACTIONS(2520),
    [anon_sym_unsigned] = ACTIONS(2520),
    [anon_sym_long] = ACTIONS(2520),
    [anon_sym_short] = ACTIONS(2520),
    [anon_sym_LBRACK] = ACTIONS(2520),
    [anon_sym_static] = ACTIONS(2520),
    [anon_sym_register] = ACTIONS(2520),
    [anon_sym_inline] = ACTIONS(2520),
    [anon_sym___inline] = ACTIONS(2520),
    [anon_sym___inline__] = ACTIONS(2520),
    [anon_sym___forceinline] = ACTIONS(2520),
    [anon_sym_thread_local] = ACTIONS(2520),
    [anon_sym___thread] = ACTIONS(2520),
    [anon_sym_const] = ACTIONS(2520),
    [anon_sym_constexpr] = ACTIONS(2520),
    [anon_sym_volatile] = ACTIONS(2520),
    [anon_sym_restrict] = ACTIONS(2520),
    [anon_sym___restrict__] = ACTIONS(2520),
    [anon_sym__Atomic] = ACTIONS(2520),
    [anon_sym__Noreturn] = ACTIONS(2520),
    [anon_sym_noreturn] = ACTIONS(2520),
    [anon_sym_mutable] = ACTIONS(2520),
    [anon_sym_constinit] = ACTIONS(2520),
    [anon_sym_consteval] = ACTIONS(2520),
    [sym_primitive_type] = ACTIONS(2520),
    [anon_sym_enum] = ACTIONS(2520),
    [anon_sym_class] = ACTIONS(2520),
    [anon_sym_struct] = ACTIONS(2520),
    [anon_sym_union] = ACTIONS(2520),
    [anon_sym_if] = ACTIONS(2520),
    [anon_sym_switch] = ACTIONS(2520),
    [anon_sym_case] = ACTIONS(2520),
    [anon_sym_default] = ACTIONS(2520),
    [anon_sym_while] = ACTIONS(2520),
    [anon_sym_do] = ACTIONS(2520),
    [anon_sym_for] = ACTIONS(2520),
    [anon_sym_return] = ACTIONS(2520),
    [anon_sym_break] = ACTIONS(2520),
    [anon_sym_continue] = ACTIONS(2520),
    [anon_sym_goto] = ACTIONS(2520),
    [anon_sym___try] = ACTIONS(2520),
    [anon_sym___leave] = ACTIONS(2520),
    [anon_sym_not] = ACTIONS(2520),
    [anon_sym_compl] = ACTIONS(2520),
    [anon_sym_DASH_DASH] = ACTIONS(2522),
    [anon_sym_PLUS_PLUS] = ACTIONS(2522),
    [anon_sym_sizeof] = ACTIONS(2520),
    [anon_sym___alignof__] = ACTIONS(2520),
    [anon_sym___alignof] = ACTIONS(2520),
    [anon_sym__alignof] = ACTIONS(2520),
    [anon_sym_alignof] = ACTIONS(2520),
    [anon_sym__Alignof] = ACTIONS(2520),
    [anon_sym_offsetof] = ACTIONS(2520),
    [anon_sym__Generic] = ACTIONS(2520),
    [anon_sym_asm] = ACTIONS(2520),
    [anon_sym___asm__] = ACTIONS(2520),
    [sym_number_literal] = ACTIONS(2522),
    [anon_sym_L_SQUOTE] = ACTIONS(2522),
    [anon_sym_u_SQUOTE] = ACTIONS(2522),
    [anon_sym_U_SQUOTE] = ACTIONS(2522),
    [anon_sym_u8_SQUOTE] = ACTIONS(2522),
    [anon_sym_SQUOTE] = ACTIONS(2522),
    [anon_sym_L_DQUOTE] = ACTIONS(2522),
    [anon_sym_u_DQUOTE] = ACTIONS(2522),
    [anon_sym_U_DQUOTE] = ACTIONS(2522),
    [anon_sym_u8_DQUOTE] = ACTIONS(2522),
    [anon_sym_DQUOTE] = ACTIONS(2522),
    [sym_true] = ACTIONS(2520),
    [sym_false] = ACTIONS(2520),
    [anon_sym_NULL] = ACTIONS(2520),
    [anon_sym_nullptr] = ACTIONS(2520),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2520),
    [anon_sym_decltype] = ACTIONS(2520),
    [anon_sym_virtual] = ACTIONS(2520),
    [anon_sym_alignas] = ACTIONS(2520),
    [anon_sym_explicit] = ACTIONS(2520),
    [anon_sym_typename] = ACTIONS(2520),
    [anon_sym_template] = ACTIONS(2520),
    [anon_sym_operator] = ACTIONS(2520),
    [anon_sym_try] = ACTIONS(2520),
    [anon_sym_delete] = ACTIONS(2520),
    [anon_sym_throw] = ACTIONS(2520),
    [anon_sym_namespace] = ACTIONS(2520),
    [anon_sym_using] = ACTIONS(2520),
    [anon_sym_static_assert] = ACTIONS(2520),
    [anon_sym_concept] = ACTIONS(2520),
    [anon_sym_co_return] = ACTIONS(2520),
    [anon_sym_co_yield] = ACTIONS(2520),
    [anon_sym_R_DQUOTE] = ACTIONS(2522),
    [anon_sym_LR_DQUOTE] = ACTIONS(2522),
    [anon_sym_uR_DQUOTE] = ACTIONS(2522),
    [anon_sym_UR_DQUOTE] = ACTIONS(2522),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2522),
    [anon_sym_co_await] = ACTIONS(2520),
    [anon_sym_new] = ACTIONS(2520),
    [anon_sym_requires] = ACTIONS(2520),
    [sym_this] = ACTIONS(2520),
    [anon_sym_discard] = ACTIONS(2520),
    [anon_sym_precise] = ACTIONS(2520),
    [anon_sym_shared] = ACTIONS(2520),
    [anon_sym_groupshared] = ACTIONS(2520),
    [anon_sym_uniform] = ACTIONS(2520),
    [anon_sym_row_major] = ACTIONS(2520),
    [anon_sym_column_major] = ACTIONS(2520),
    [anon_sym_globallycoherent] = ACTIONS(2520),
    [anon_sym_centroid] = ACTIONS(2520),
    [anon_sym_noperspective] = ACTIONS(2520),
    [anon_sym_nointerpolation] = ACTIONS(2520),
    [anon_sym_sample] = ACTIONS(2520),
    [anon_sym_linear] = ACTIONS(2520),
    [anon_sym_snorm] = ACTIONS(2520),
    [anon_sym_unorm] = ACTIONS(2520),
    [anon_sym_point] = ACTIONS(2520),
    [anon_sym_line] = ACTIONS(2520),
    [anon_sym_triangleadj] = ACTIONS(2520),
    [anon_sym_lineadj] = ACTIONS(2520),
    [anon_sym_triangle] = ACTIONS(2520),
    [anon_sym_cbuffer] = ACTIONS(2520),
  },
  [360] = {
    [sym_identifier] = ACTIONS(2264),
    [aux_sym_preproc_include_token1] = ACTIONS(2264),
    [aux_sym_preproc_def_token1] = ACTIONS(2264),
    [aux_sym_preproc_if_token1] = ACTIONS(2264),
    [aux_sym_preproc_if_token2] = ACTIONS(2264),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2264),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2264),
    [sym_preproc_directive] = ACTIONS(2264),
    [anon_sym_LPAREN2] = ACTIONS(2266),
    [anon_sym_BANG] = ACTIONS(2266),
    [anon_sym_TILDE] = ACTIONS(2266),
    [anon_sym_DASH] = ACTIONS(2264),
    [anon_sym_PLUS] = ACTIONS(2264),
    [anon_sym_STAR] = ACTIONS(2266),
    [anon_sym_AMP_AMP] = ACTIONS(2266),
    [anon_sym_AMP] = ACTIONS(2264),
    [anon_sym_COLON] = ACTIONS(2264),
    [anon_sym_SEMI] = ACTIONS(2266),
    [anon_sym___extension__] = ACTIONS(2264),
    [anon_sym_typedef] = ACTIONS(2264),
    [anon_sym_in] = ACTIONS(2264),
    [anon_sym_out] = ACTIONS(2264),
    [anon_sym_inout] = ACTIONS(2264),
    [anon_sym_extern] = ACTIONS(2264),
    [anon_sym___attribute__] = ACTIONS(2264),
    [anon_sym_COLON_COLON] = ACTIONS(2262),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2266),
    [anon_sym___declspec] = ACTIONS(2264),
    [anon_sym___based] = ACTIONS(2264),
    [anon_sym___cdecl] = ACTIONS(2264),
    [anon_sym___clrcall] = ACTIONS(2264),
    [anon_sym___stdcall] = ACTIONS(2264),
    [anon_sym___fastcall] = ACTIONS(2264),
    [anon_sym___thiscall] = ACTIONS(2264),
    [anon_sym___vectorcall] = ACTIONS(2264),
    [anon_sym_LBRACE] = ACTIONS(2266),
    [anon_sym_signed] = ACTIONS(2264),
    [anon_sym_unsigned] = ACTIONS(2264),
    [anon_sym_long] = ACTIONS(2264),
    [anon_sym_short] = ACTIONS(2264),
    [anon_sym_LBRACK] = ACTIONS(2264),
    [anon_sym_static] = ACTIONS(2264),
    [anon_sym_register] = ACTIONS(2264),
    [anon_sym_inline] = ACTIONS(2264),
    [anon_sym___inline] = ACTIONS(2264),
    [anon_sym___inline__] = ACTIONS(2264),
    [anon_sym___forceinline] = ACTIONS(2264),
    [anon_sym_thread_local] = ACTIONS(2264),
    [anon_sym___thread] = ACTIONS(2264),
    [anon_sym_const] = ACTIONS(2264),
    [anon_sym_constexpr] = ACTIONS(2264),
    [anon_sym_volatile] = ACTIONS(2264),
    [anon_sym_restrict] = ACTIONS(2264),
    [anon_sym___restrict__] = ACTIONS(2264),
    [anon_sym__Atomic] = ACTIONS(2264),
    [anon_sym__Noreturn] = ACTIONS(2264),
    [anon_sym_noreturn] = ACTIONS(2264),
    [anon_sym_mutable] = ACTIONS(2264),
    [anon_sym_constinit] = ACTIONS(2264),
    [anon_sym_consteval] = ACTIONS(2264),
    [sym_primitive_type] = ACTIONS(2264),
    [anon_sym_enum] = ACTIONS(2264),
    [anon_sym_class] = ACTIONS(2264),
    [anon_sym_struct] = ACTIONS(2264),
    [anon_sym_union] = ACTIONS(2264),
    [anon_sym_if] = ACTIONS(2264),
    [anon_sym_else] = ACTIONS(2264),
    [anon_sym_switch] = ACTIONS(2264),
    [anon_sym_case] = ACTIONS(2264),
    [anon_sym_default] = ACTIONS(2264),
    [anon_sym_while] = ACTIONS(2264),
    [anon_sym_do] = ACTIONS(2264),
    [anon_sym_for] = ACTIONS(2264),
    [anon_sym_return] = ACTIONS(2264),
    [anon_sym_break] = ACTIONS(2264),
    [anon_sym_continue] = ACTIONS(2264),
    [anon_sym_goto] = ACTIONS(2264),
    [anon_sym___try] = ACTIONS(2264),
    [anon_sym___leave] = ACTIONS(2264),
    [anon_sym_not] = ACTIONS(2264),
    [anon_sym_compl] = ACTIONS(2264),
    [anon_sym_DASH_DASH] = ACTIONS(2266),
    [anon_sym_PLUS_PLUS] = ACTIONS(2266),
    [anon_sym_sizeof] = ACTIONS(2264),
    [anon_sym___alignof__] = ACTIONS(2264),
    [anon_sym___alignof] = ACTIONS(2264),
    [anon_sym__alignof] = ACTIONS(2264),
    [anon_sym_alignof] = ACTIONS(2264),
    [anon_sym__Alignof] = ACTIONS(2264),
    [anon_sym_offsetof] = ACTIONS(2264),
    [anon_sym__Generic] = ACTIONS(2264),
    [anon_sym_asm] = ACTIONS(2264),
    [anon_sym___asm__] = ACTIONS(2264),
    [sym_number_literal] = ACTIONS(2266),
    [anon_sym_L_SQUOTE] = ACTIONS(2266),
    [anon_sym_u_SQUOTE] = ACTIONS(2266),
    [anon_sym_U_SQUOTE] = ACTIONS(2266),
    [anon_sym_u8_SQUOTE] = ACTIONS(2266),
    [anon_sym_SQUOTE] = ACTIONS(2266),
    [anon_sym_L_DQUOTE] = ACTIONS(2266),
    [anon_sym_u_DQUOTE] = ACTIONS(2266),
    [anon_sym_U_DQUOTE] = ACTIONS(2266),
    [anon_sym_u8_DQUOTE] = ACTIONS(2266),
    [anon_sym_DQUOTE] = ACTIONS(2266),
    [sym_true] = ACTIONS(2264),
    [sym_false] = ACTIONS(2264),
    [anon_sym_NULL] = ACTIONS(2264),
    [anon_sym_nullptr] = ACTIONS(2264),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2264),
    [anon_sym_decltype] = ACTIONS(2264),
    [anon_sym_final] = ACTIONS(2264),
    [anon_sym_override] = ACTIONS(2264),
    [anon_sym_virtual] = ACTIONS(2264),
    [anon_sym_alignas] = ACTIONS(2264),
    [anon_sym_explicit] = ACTIONS(2264),
    [anon_sym_typename] = ACTIONS(2264),
    [anon_sym_template] = ACTIONS(2264),
    [anon_sym_operator] = ACTIONS(2264),
    [anon_sym_try] = ACTIONS(2264),
    [anon_sym_delete] = ACTIONS(2264),
    [anon_sym_throw] = ACTIONS(2264),
    [anon_sym_namespace] = ACTIONS(2264),
    [anon_sym_using] = ACTIONS(2264),
    [anon_sym_static_assert] = ACTIONS(2264),
    [anon_sym_concept] = ACTIONS(2264),
    [anon_sym_co_return] = ACTIONS(2264),
    [anon_sym_co_yield] = ACTIONS(2264),
    [anon_sym_R_DQUOTE] = ACTIONS(2266),
    [anon_sym_LR_DQUOTE] = ACTIONS(2266),
    [anon_sym_uR_DQUOTE] = ACTIONS(2266),
    [anon_sym_UR_DQUOTE] = ACTIONS(2266),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2266),
    [anon_sym_co_await] = ACTIONS(2264),
    [anon_sym_new] = ACTIONS(2264),
    [anon_sym_requires] = ACTIONS(2264),
    [sym_this] = ACTIONS(2264),
    [anon_sym_discard] = ACTIONS(2264),
    [anon_sym_precise] = ACTIONS(2264),
    [anon_sym_shared] = ACTIONS(2264),
    [anon_sym_groupshared] = ACTIONS(2264),
    [anon_sym_uniform] = ACTIONS(2264),
    [anon_sym_row_major] = ACTIONS(2264),
    [anon_sym_column_major] = ACTIONS(2264),
    [anon_sym_globallycoherent] = ACTIONS(2264),
    [anon_sym_centroid] = ACTIONS(2264),
    [anon_sym_noperspective] = ACTIONS(2264),
    [anon_sym_nointerpolation] = ACTIONS(2264),
    [anon_sym_sample] = ACTIONS(2264),
    [anon_sym_linear] = ACTIONS(2264),
    [anon_sym_snorm] = ACTIONS(2264),
    [anon_sym_unorm] = ACTIONS(2264),
    [anon_sym_point] = ACTIONS(2264),
    [anon_sym_line] = ACTIONS(2264),
    [anon_sym_triangleadj] = ACTIONS(2264),
    [anon_sym_lineadj] = ACTIONS(2264),
    [anon_sym_triangle] = ACTIONS(2264),
    [anon_sym_cbuffer] = ACTIONS(2264),
  },
  [361] = {
    [sym_identifier] = ACTIONS(2617),
    [aux_sym_preproc_include_token1] = ACTIONS(2617),
    [aux_sym_preproc_def_token1] = ACTIONS(2617),
    [aux_sym_preproc_if_token1] = ACTIONS(2617),
    [aux_sym_preproc_if_token2] = ACTIONS(2617),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2617),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2617),
    [aux_sym_preproc_else_token1] = ACTIONS(2617),
    [aux_sym_preproc_elif_token1] = ACTIONS(2617),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2617),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2617),
    [sym_preproc_directive] = ACTIONS(2617),
    [anon_sym_LPAREN2] = ACTIONS(2619),
    [anon_sym_BANG] = ACTIONS(2619),
    [anon_sym_TILDE] = ACTIONS(2619),
    [anon_sym_DASH] = ACTIONS(2617),
    [anon_sym_PLUS] = ACTIONS(2617),
    [anon_sym_STAR] = ACTIONS(2619),
    [anon_sym_AMP_AMP] = ACTIONS(2619),
    [anon_sym_AMP] = ACTIONS(2617),
    [anon_sym_SEMI] = ACTIONS(2619),
    [anon_sym___extension__] = ACTIONS(2617),
    [anon_sym_typedef] = ACTIONS(2617),
    [anon_sym_in] = ACTIONS(2617),
    [anon_sym_out] = ACTIONS(2617),
    [anon_sym_inout] = ACTIONS(2617),
    [anon_sym_extern] = ACTIONS(2617),
    [anon_sym___attribute__] = ACTIONS(2617),
    [anon_sym_COLON_COLON] = ACTIONS(2619),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2619),
    [anon_sym___declspec] = ACTIONS(2617),
    [anon_sym___based] = ACTIONS(2617),
    [anon_sym___cdecl] = ACTIONS(2617),
    [anon_sym___clrcall] = ACTIONS(2617),
    [anon_sym___stdcall] = ACTIONS(2617),
    [anon_sym___fastcall] = ACTIONS(2617),
    [anon_sym___thiscall] = ACTIONS(2617),
    [anon_sym___vectorcall] = ACTIONS(2617),
    [anon_sym_LBRACE] = ACTIONS(2619),
    [anon_sym_signed] = ACTIONS(2617),
    [anon_sym_unsigned] = ACTIONS(2617),
    [anon_sym_long] = ACTIONS(2617),
    [anon_sym_short] = ACTIONS(2617),
    [anon_sym_LBRACK] = ACTIONS(2617),
    [anon_sym_static] = ACTIONS(2617),
    [anon_sym_register] = ACTIONS(2617),
    [anon_sym_inline] = ACTIONS(2617),
    [anon_sym___inline] = ACTIONS(2617),
    [anon_sym___inline__] = ACTIONS(2617),
    [anon_sym___forceinline] = ACTIONS(2617),
    [anon_sym_thread_local] = ACTIONS(2617),
    [anon_sym___thread] = ACTIONS(2617),
    [anon_sym_const] = ACTIONS(2617),
    [anon_sym_constexpr] = ACTIONS(2617),
    [anon_sym_volatile] = ACTIONS(2617),
    [anon_sym_restrict] = ACTIONS(2617),
    [anon_sym___restrict__] = ACTIONS(2617),
    [anon_sym__Atomic] = ACTIONS(2617),
    [anon_sym__Noreturn] = ACTIONS(2617),
    [anon_sym_noreturn] = ACTIONS(2617),
    [anon_sym_mutable] = ACTIONS(2617),
    [anon_sym_constinit] = ACTIONS(2617),
    [anon_sym_consteval] = ACTIONS(2617),
    [sym_primitive_type] = ACTIONS(2617),
    [anon_sym_enum] = ACTIONS(2617),
    [anon_sym_class] = ACTIONS(2617),
    [anon_sym_struct] = ACTIONS(2617),
    [anon_sym_union] = ACTIONS(2617),
    [anon_sym_if] = ACTIONS(2617),
    [anon_sym_switch] = ACTIONS(2617),
    [anon_sym_case] = ACTIONS(2617),
    [anon_sym_default] = ACTIONS(2617),
    [anon_sym_while] = ACTIONS(2617),
    [anon_sym_do] = ACTIONS(2617),
    [anon_sym_for] = ACTIONS(2617),
    [anon_sym_return] = ACTIONS(2617),
    [anon_sym_break] = ACTIONS(2617),
    [anon_sym_continue] = ACTIONS(2617),
    [anon_sym_goto] = ACTIONS(2617),
    [anon_sym___try] = ACTIONS(2617),
    [anon_sym___leave] = ACTIONS(2617),
    [anon_sym_not] = ACTIONS(2617),
    [anon_sym_compl] = ACTIONS(2617),
    [anon_sym_DASH_DASH] = ACTIONS(2619),
    [anon_sym_PLUS_PLUS] = ACTIONS(2619),
    [anon_sym_sizeof] = ACTIONS(2617),
    [anon_sym___alignof__] = ACTIONS(2617),
    [anon_sym___alignof] = ACTIONS(2617),
    [anon_sym__alignof] = ACTIONS(2617),
    [anon_sym_alignof] = ACTIONS(2617),
    [anon_sym__Alignof] = ACTIONS(2617),
    [anon_sym_offsetof] = ACTIONS(2617),
    [anon_sym__Generic] = ACTIONS(2617),
    [anon_sym_asm] = ACTIONS(2617),
    [anon_sym___asm__] = ACTIONS(2617),
    [sym_number_literal] = ACTIONS(2619),
    [anon_sym_L_SQUOTE] = ACTIONS(2619),
    [anon_sym_u_SQUOTE] = ACTIONS(2619),
    [anon_sym_U_SQUOTE] = ACTIONS(2619),
    [anon_sym_u8_SQUOTE] = ACTIONS(2619),
    [anon_sym_SQUOTE] = ACTIONS(2619),
    [anon_sym_L_DQUOTE] = ACTIONS(2619),
    [anon_sym_u_DQUOTE] = ACTIONS(2619),
    [anon_sym_U_DQUOTE] = ACTIONS(2619),
    [anon_sym_u8_DQUOTE] = ACTIONS(2619),
    [anon_sym_DQUOTE] = ACTIONS(2619),
    [sym_true] = ACTIONS(2617),
    [sym_false] = ACTIONS(2617),
    [anon_sym_NULL] = ACTIONS(2617),
    [anon_sym_nullptr] = ACTIONS(2617),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2617),
    [anon_sym_decltype] = ACTIONS(2617),
    [anon_sym_virtual] = ACTIONS(2617),
    [anon_sym_alignas] = ACTIONS(2617),
    [anon_sym_explicit] = ACTIONS(2617),
    [anon_sym_typename] = ACTIONS(2617),
    [anon_sym_template] = ACTIONS(2617),
    [anon_sym_operator] = ACTIONS(2617),
    [anon_sym_try] = ACTIONS(2617),
    [anon_sym_delete] = ACTIONS(2617),
    [anon_sym_throw] = ACTIONS(2617),
    [anon_sym_namespace] = ACTIONS(2617),
    [anon_sym_using] = ACTIONS(2617),
    [anon_sym_static_assert] = ACTIONS(2617),
    [anon_sym_concept] = ACTIONS(2617),
    [anon_sym_co_return] = ACTIONS(2617),
    [anon_sym_co_yield] = ACTIONS(2617),
    [anon_sym_R_DQUOTE] = ACTIONS(2619),
    [anon_sym_LR_DQUOTE] = ACTIONS(2619),
    [anon_sym_uR_DQUOTE] = ACTIONS(2619),
    [anon_sym_UR_DQUOTE] = ACTIONS(2619),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2619),
    [anon_sym_co_await] = ACTIONS(2617),
    [anon_sym_new] = ACTIONS(2617),
    [anon_sym_requires] = ACTIONS(2617),
    [sym_this] = ACTIONS(2617),
    [anon_sym_discard] = ACTIONS(2617),
    [anon_sym_precise] = ACTIONS(2617),
    [anon_sym_shared] = ACTIONS(2617),
    [anon_sym_groupshared] = ACTIONS(2617),
    [anon_sym_uniform] = ACTIONS(2617),
    [anon_sym_row_major] = ACTIONS(2617),
    [anon_sym_column_major] = ACTIONS(2617),
    [anon_sym_globallycoherent] = ACTIONS(2617),
    [anon_sym_centroid] = ACTIONS(2617),
    [anon_sym_noperspective] = ACTIONS(2617),
    [anon_sym_nointerpolation] = ACTIONS(2617),
    [anon_sym_sample] = ACTIONS(2617),
    [anon_sym_linear] = ACTIONS(2617),
    [anon_sym_snorm] = ACTIONS(2617),
    [anon_sym_unorm] = ACTIONS(2617),
    [anon_sym_point] = ACTIONS(2617),
    [anon_sym_line] = ACTIONS(2617),
    [anon_sym_triangleadj] = ACTIONS(2617),
    [anon_sym_lineadj] = ACTIONS(2617),
    [anon_sym_triangle] = ACTIONS(2617),
    [anon_sym_cbuffer] = ACTIONS(2617),
  },
  [362] = {
    [ts_builtin_sym_end] = ACTIONS(2266),
    [sym_identifier] = ACTIONS(2264),
    [aux_sym_preproc_include_token1] = ACTIONS(2264),
    [aux_sym_preproc_def_token1] = ACTIONS(2264),
    [aux_sym_preproc_if_token1] = ACTIONS(2264),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2264),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2264),
    [sym_preproc_directive] = ACTIONS(2264),
    [anon_sym_LPAREN2] = ACTIONS(2266),
    [anon_sym_BANG] = ACTIONS(2266),
    [anon_sym_TILDE] = ACTIONS(2266),
    [anon_sym_DASH] = ACTIONS(2264),
    [anon_sym_PLUS] = ACTIONS(2264),
    [anon_sym_STAR] = ACTIONS(2266),
    [anon_sym_AMP_AMP] = ACTIONS(2266),
    [anon_sym_AMP] = ACTIONS(2264),
    [anon_sym_COLON] = ACTIONS(2264),
    [anon_sym_SEMI] = ACTIONS(2266),
    [anon_sym___extension__] = ACTIONS(2264),
    [anon_sym_typedef] = ACTIONS(2264),
    [anon_sym_in] = ACTIONS(2264),
    [anon_sym_out] = ACTIONS(2264),
    [anon_sym_inout] = ACTIONS(2264),
    [anon_sym_extern] = ACTIONS(2264),
    [anon_sym___attribute__] = ACTIONS(2264),
    [anon_sym_COLON_COLON] = ACTIONS(2262),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2266),
    [anon_sym___declspec] = ACTIONS(2264),
    [anon_sym___based] = ACTIONS(2264),
    [anon_sym___cdecl] = ACTIONS(2264),
    [anon_sym___clrcall] = ACTIONS(2264),
    [anon_sym___stdcall] = ACTIONS(2264),
    [anon_sym___fastcall] = ACTIONS(2264),
    [anon_sym___thiscall] = ACTIONS(2264),
    [anon_sym___vectorcall] = ACTIONS(2264),
    [anon_sym_LBRACE] = ACTIONS(2266),
    [anon_sym_signed] = ACTIONS(2264),
    [anon_sym_unsigned] = ACTIONS(2264),
    [anon_sym_long] = ACTIONS(2264),
    [anon_sym_short] = ACTIONS(2264),
    [anon_sym_LBRACK] = ACTIONS(2264),
    [anon_sym_static] = ACTIONS(2264),
    [anon_sym_register] = ACTIONS(2264),
    [anon_sym_inline] = ACTIONS(2264),
    [anon_sym___inline] = ACTIONS(2264),
    [anon_sym___inline__] = ACTIONS(2264),
    [anon_sym___forceinline] = ACTIONS(2264),
    [anon_sym_thread_local] = ACTIONS(2264),
    [anon_sym___thread] = ACTIONS(2264),
    [anon_sym_const] = ACTIONS(2264),
    [anon_sym_constexpr] = ACTIONS(2264),
    [anon_sym_volatile] = ACTIONS(2264),
    [anon_sym_restrict] = ACTIONS(2264),
    [anon_sym___restrict__] = ACTIONS(2264),
    [anon_sym__Atomic] = ACTIONS(2264),
    [anon_sym__Noreturn] = ACTIONS(2264),
    [anon_sym_noreturn] = ACTIONS(2264),
    [anon_sym_mutable] = ACTIONS(2264),
    [anon_sym_constinit] = ACTIONS(2264),
    [anon_sym_consteval] = ACTIONS(2264),
    [sym_primitive_type] = ACTIONS(2264),
    [anon_sym_enum] = ACTIONS(2264),
    [anon_sym_class] = ACTIONS(2264),
    [anon_sym_struct] = ACTIONS(2264),
    [anon_sym_union] = ACTIONS(2264),
    [anon_sym_if] = ACTIONS(2264),
    [anon_sym_else] = ACTIONS(2264),
    [anon_sym_switch] = ACTIONS(2264),
    [anon_sym_case] = ACTIONS(2264),
    [anon_sym_default] = ACTIONS(2264),
    [anon_sym_while] = ACTIONS(2264),
    [anon_sym_do] = ACTIONS(2264),
    [anon_sym_for] = ACTIONS(2264),
    [anon_sym_return] = ACTIONS(2264),
    [anon_sym_break] = ACTIONS(2264),
    [anon_sym_continue] = ACTIONS(2264),
    [anon_sym_goto] = ACTIONS(2264),
    [anon_sym___try] = ACTIONS(2264),
    [anon_sym___leave] = ACTIONS(2264),
    [anon_sym_not] = ACTIONS(2264),
    [anon_sym_compl] = ACTIONS(2264),
    [anon_sym_DASH_DASH] = ACTIONS(2266),
    [anon_sym_PLUS_PLUS] = ACTIONS(2266),
    [anon_sym_sizeof] = ACTIONS(2264),
    [anon_sym___alignof__] = ACTIONS(2264),
    [anon_sym___alignof] = ACTIONS(2264),
    [anon_sym__alignof] = ACTIONS(2264),
    [anon_sym_alignof] = ACTIONS(2264),
    [anon_sym__Alignof] = ACTIONS(2264),
    [anon_sym_offsetof] = ACTIONS(2264),
    [anon_sym__Generic] = ACTIONS(2264),
    [anon_sym_asm] = ACTIONS(2264),
    [anon_sym___asm__] = ACTIONS(2264),
    [sym_number_literal] = ACTIONS(2266),
    [anon_sym_L_SQUOTE] = ACTIONS(2266),
    [anon_sym_u_SQUOTE] = ACTIONS(2266),
    [anon_sym_U_SQUOTE] = ACTIONS(2266),
    [anon_sym_u8_SQUOTE] = ACTIONS(2266),
    [anon_sym_SQUOTE] = ACTIONS(2266),
    [anon_sym_L_DQUOTE] = ACTIONS(2266),
    [anon_sym_u_DQUOTE] = ACTIONS(2266),
    [anon_sym_U_DQUOTE] = ACTIONS(2266),
    [anon_sym_u8_DQUOTE] = ACTIONS(2266),
    [anon_sym_DQUOTE] = ACTIONS(2266),
    [sym_true] = ACTIONS(2264),
    [sym_false] = ACTIONS(2264),
    [anon_sym_NULL] = ACTIONS(2264),
    [anon_sym_nullptr] = ACTIONS(2264),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2264),
    [anon_sym_decltype] = ACTIONS(2264),
    [anon_sym_final] = ACTIONS(2264),
    [anon_sym_override] = ACTIONS(2264),
    [anon_sym_virtual] = ACTIONS(2264),
    [anon_sym_alignas] = ACTIONS(2264),
    [anon_sym_explicit] = ACTIONS(2264),
    [anon_sym_typename] = ACTIONS(2264),
    [anon_sym_template] = ACTIONS(2264),
    [anon_sym_operator] = ACTIONS(2264),
    [anon_sym_try] = ACTIONS(2264),
    [anon_sym_delete] = ACTIONS(2264),
    [anon_sym_throw] = ACTIONS(2264),
    [anon_sym_namespace] = ACTIONS(2264),
    [anon_sym_using] = ACTIONS(2264),
    [anon_sym_static_assert] = ACTIONS(2264),
    [anon_sym_concept] = ACTIONS(2264),
    [anon_sym_co_return] = ACTIONS(2264),
    [anon_sym_co_yield] = ACTIONS(2264),
    [anon_sym_R_DQUOTE] = ACTIONS(2266),
    [anon_sym_LR_DQUOTE] = ACTIONS(2266),
    [anon_sym_uR_DQUOTE] = ACTIONS(2266),
    [anon_sym_UR_DQUOTE] = ACTIONS(2266),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2266),
    [anon_sym_co_await] = ACTIONS(2264),
    [anon_sym_new] = ACTIONS(2264),
    [anon_sym_requires] = ACTIONS(2264),
    [sym_this] = ACTIONS(2264),
    [anon_sym_discard] = ACTIONS(2264),
    [anon_sym_precise] = ACTIONS(2264),
    [anon_sym_shared] = ACTIONS(2264),
    [anon_sym_groupshared] = ACTIONS(2264),
    [anon_sym_uniform] = ACTIONS(2264),
    [anon_sym_row_major] = ACTIONS(2264),
    [anon_sym_column_major] = ACTIONS(2264),
    [anon_sym_globallycoherent] = ACTIONS(2264),
    [anon_sym_centroid] = ACTIONS(2264),
    [anon_sym_noperspective] = ACTIONS(2264),
    [anon_sym_nointerpolation] = ACTIONS(2264),
    [anon_sym_sample] = ACTIONS(2264),
    [anon_sym_linear] = ACTIONS(2264),
    [anon_sym_snorm] = ACTIONS(2264),
    [anon_sym_unorm] = ACTIONS(2264),
    [anon_sym_point] = ACTIONS(2264),
    [anon_sym_line] = ACTIONS(2264),
    [anon_sym_triangleadj] = ACTIONS(2264),
    [anon_sym_lineadj] = ACTIONS(2264),
    [anon_sym_triangle] = ACTIONS(2264),
    [anon_sym_cbuffer] = ACTIONS(2264),
  },
  [363] = {
    [sym_identifier] = ACTIONS(2621),
    [aux_sym_preproc_include_token1] = ACTIONS(2621),
    [aux_sym_preproc_def_token1] = ACTIONS(2621),
    [aux_sym_preproc_if_token1] = ACTIONS(2621),
    [aux_sym_preproc_if_token2] = ACTIONS(2621),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2621),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2621),
    [aux_sym_preproc_else_token1] = ACTIONS(2621),
    [aux_sym_preproc_elif_token1] = ACTIONS(2621),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2621),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2621),
    [sym_preproc_directive] = ACTIONS(2621),
    [anon_sym_LPAREN2] = ACTIONS(2623),
    [anon_sym_BANG] = ACTIONS(2623),
    [anon_sym_TILDE] = ACTIONS(2623),
    [anon_sym_DASH] = ACTIONS(2621),
    [anon_sym_PLUS] = ACTIONS(2621),
    [anon_sym_STAR] = ACTIONS(2623),
    [anon_sym_AMP_AMP] = ACTIONS(2623),
    [anon_sym_AMP] = ACTIONS(2621),
    [anon_sym_SEMI] = ACTIONS(2623),
    [anon_sym___extension__] = ACTIONS(2621),
    [anon_sym_typedef] = ACTIONS(2621),
    [anon_sym_in] = ACTIONS(2621),
    [anon_sym_out] = ACTIONS(2621),
    [anon_sym_inout] = ACTIONS(2621),
    [anon_sym_extern] = ACTIONS(2621),
    [anon_sym___attribute__] = ACTIONS(2621),
    [anon_sym_COLON_COLON] = ACTIONS(2623),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2623),
    [anon_sym___declspec] = ACTIONS(2621),
    [anon_sym___based] = ACTIONS(2621),
    [anon_sym___cdecl] = ACTIONS(2621),
    [anon_sym___clrcall] = ACTIONS(2621),
    [anon_sym___stdcall] = ACTIONS(2621),
    [anon_sym___fastcall] = ACTIONS(2621),
    [anon_sym___thiscall] = ACTIONS(2621),
    [anon_sym___vectorcall] = ACTIONS(2621),
    [anon_sym_LBRACE] = ACTIONS(2623),
    [anon_sym_signed] = ACTIONS(2621),
    [anon_sym_unsigned] = ACTIONS(2621),
    [anon_sym_long] = ACTIONS(2621),
    [anon_sym_short] = ACTIONS(2621),
    [anon_sym_LBRACK] = ACTIONS(2621),
    [anon_sym_static] = ACTIONS(2621),
    [anon_sym_register] = ACTIONS(2621),
    [anon_sym_inline] = ACTIONS(2621),
    [anon_sym___inline] = ACTIONS(2621),
    [anon_sym___inline__] = ACTIONS(2621),
    [anon_sym___forceinline] = ACTIONS(2621),
    [anon_sym_thread_local] = ACTIONS(2621),
    [anon_sym___thread] = ACTIONS(2621),
    [anon_sym_const] = ACTIONS(2621),
    [anon_sym_constexpr] = ACTIONS(2621),
    [anon_sym_volatile] = ACTIONS(2621),
    [anon_sym_restrict] = ACTIONS(2621),
    [anon_sym___restrict__] = ACTIONS(2621),
    [anon_sym__Atomic] = ACTIONS(2621),
    [anon_sym__Noreturn] = ACTIONS(2621),
    [anon_sym_noreturn] = ACTIONS(2621),
    [anon_sym_mutable] = ACTIONS(2621),
    [anon_sym_constinit] = ACTIONS(2621),
    [anon_sym_consteval] = ACTIONS(2621),
    [sym_primitive_type] = ACTIONS(2621),
    [anon_sym_enum] = ACTIONS(2621),
    [anon_sym_class] = ACTIONS(2621),
    [anon_sym_struct] = ACTIONS(2621),
    [anon_sym_union] = ACTIONS(2621),
    [anon_sym_if] = ACTIONS(2621),
    [anon_sym_switch] = ACTIONS(2621),
    [anon_sym_case] = ACTIONS(2621),
    [anon_sym_default] = ACTIONS(2621),
    [anon_sym_while] = ACTIONS(2621),
    [anon_sym_do] = ACTIONS(2621),
    [anon_sym_for] = ACTIONS(2621),
    [anon_sym_return] = ACTIONS(2621),
    [anon_sym_break] = ACTIONS(2621),
    [anon_sym_continue] = ACTIONS(2621),
    [anon_sym_goto] = ACTIONS(2621),
    [anon_sym___try] = ACTIONS(2621),
    [anon_sym___leave] = ACTIONS(2621),
    [anon_sym_not] = ACTIONS(2621),
    [anon_sym_compl] = ACTIONS(2621),
    [anon_sym_DASH_DASH] = ACTIONS(2623),
    [anon_sym_PLUS_PLUS] = ACTIONS(2623),
    [anon_sym_sizeof] = ACTIONS(2621),
    [anon_sym___alignof__] = ACTIONS(2621),
    [anon_sym___alignof] = ACTIONS(2621),
    [anon_sym__alignof] = ACTIONS(2621),
    [anon_sym_alignof] = ACTIONS(2621),
    [anon_sym__Alignof] = ACTIONS(2621),
    [anon_sym_offsetof] = ACTIONS(2621),
    [anon_sym__Generic] = ACTIONS(2621),
    [anon_sym_asm] = ACTIONS(2621),
    [anon_sym___asm__] = ACTIONS(2621),
    [sym_number_literal] = ACTIONS(2623),
    [anon_sym_L_SQUOTE] = ACTIONS(2623),
    [anon_sym_u_SQUOTE] = ACTIONS(2623),
    [anon_sym_U_SQUOTE] = ACTIONS(2623),
    [anon_sym_u8_SQUOTE] = ACTIONS(2623),
    [anon_sym_SQUOTE] = ACTIONS(2623),
    [anon_sym_L_DQUOTE] = ACTIONS(2623),
    [anon_sym_u_DQUOTE] = ACTIONS(2623),
    [anon_sym_U_DQUOTE] = ACTIONS(2623),
    [anon_sym_u8_DQUOTE] = ACTIONS(2623),
    [anon_sym_DQUOTE] = ACTIONS(2623),
    [sym_true] = ACTIONS(2621),
    [sym_false] = ACTIONS(2621),
    [anon_sym_NULL] = ACTIONS(2621),
    [anon_sym_nullptr] = ACTIONS(2621),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2621),
    [anon_sym_decltype] = ACTIONS(2621),
    [anon_sym_virtual] = ACTIONS(2621),
    [anon_sym_alignas] = ACTIONS(2621),
    [anon_sym_explicit] = ACTIONS(2621),
    [anon_sym_typename] = ACTIONS(2621),
    [anon_sym_template] = ACTIONS(2621),
    [anon_sym_operator] = ACTIONS(2621),
    [anon_sym_try] = ACTIONS(2621),
    [anon_sym_delete] = ACTIONS(2621),
    [anon_sym_throw] = ACTIONS(2621),
    [anon_sym_namespace] = ACTIONS(2621),
    [anon_sym_using] = ACTIONS(2621),
    [anon_sym_static_assert] = ACTIONS(2621),
    [anon_sym_concept] = ACTIONS(2621),
    [anon_sym_co_return] = ACTIONS(2621),
    [anon_sym_co_yield] = ACTIONS(2621),
    [anon_sym_R_DQUOTE] = ACTIONS(2623),
    [anon_sym_LR_DQUOTE] = ACTIONS(2623),
    [anon_sym_uR_DQUOTE] = ACTIONS(2623),
    [anon_sym_UR_DQUOTE] = ACTIONS(2623),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2623),
    [anon_sym_co_await] = ACTIONS(2621),
    [anon_sym_new] = ACTIONS(2621),
    [anon_sym_requires] = ACTIONS(2621),
    [sym_this] = ACTIONS(2621),
    [anon_sym_discard] = ACTIONS(2621),
    [anon_sym_precise] = ACTIONS(2621),
    [anon_sym_shared] = ACTIONS(2621),
    [anon_sym_groupshared] = ACTIONS(2621),
    [anon_sym_uniform] = ACTIONS(2621),
    [anon_sym_row_major] = ACTIONS(2621),
    [anon_sym_column_major] = ACTIONS(2621),
    [anon_sym_globallycoherent] = ACTIONS(2621),
    [anon_sym_centroid] = ACTIONS(2621),
    [anon_sym_noperspective] = ACTIONS(2621),
    [anon_sym_nointerpolation] = ACTIONS(2621),
    [anon_sym_sample] = ACTIONS(2621),
    [anon_sym_linear] = ACTIONS(2621),
    [anon_sym_snorm] = ACTIONS(2621),
    [anon_sym_unorm] = ACTIONS(2621),
    [anon_sym_point] = ACTIONS(2621),
    [anon_sym_line] = ACTIONS(2621),
    [anon_sym_triangleadj] = ACTIONS(2621),
    [anon_sym_lineadj] = ACTIONS(2621),
    [anon_sym_triangle] = ACTIONS(2621),
    [anon_sym_cbuffer] = ACTIONS(2621),
  },
  [364] = {
    [sym_identifier] = ACTIONS(2254),
    [aux_sym_preproc_include_token1] = ACTIONS(2254),
    [aux_sym_preproc_def_token1] = ACTIONS(2254),
    [aux_sym_preproc_if_token1] = ACTIONS(2254),
    [aux_sym_preproc_if_token2] = ACTIONS(2254),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2254),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2254),
    [sym_preproc_directive] = ACTIONS(2254),
    [anon_sym_LPAREN2] = ACTIONS(2256),
    [anon_sym_BANG] = ACTIONS(2256),
    [anon_sym_TILDE] = ACTIONS(2256),
    [anon_sym_DASH] = ACTIONS(2254),
    [anon_sym_PLUS] = ACTIONS(2254),
    [anon_sym_STAR] = ACTIONS(2256),
    [anon_sym_AMP_AMP] = ACTIONS(2256),
    [anon_sym_AMP] = ACTIONS(2254),
    [anon_sym_COLON] = ACTIONS(2254),
    [anon_sym_SEMI] = ACTIONS(2256),
    [anon_sym___extension__] = ACTIONS(2254),
    [anon_sym_typedef] = ACTIONS(2254),
    [anon_sym_in] = ACTIONS(2254),
    [anon_sym_out] = ACTIONS(2254),
    [anon_sym_inout] = ACTIONS(2254),
    [anon_sym_extern] = ACTIONS(2254),
    [anon_sym___attribute__] = ACTIONS(2254),
    [anon_sym_COLON_COLON] = ACTIONS(2256),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2256),
    [anon_sym___declspec] = ACTIONS(2254),
    [anon_sym___based] = ACTIONS(2254),
    [anon_sym___cdecl] = ACTIONS(2254),
    [anon_sym___clrcall] = ACTIONS(2254),
    [anon_sym___stdcall] = ACTIONS(2254),
    [anon_sym___fastcall] = ACTIONS(2254),
    [anon_sym___thiscall] = ACTIONS(2254),
    [anon_sym___vectorcall] = ACTIONS(2254),
    [anon_sym_LBRACE] = ACTIONS(2256),
    [anon_sym_signed] = ACTIONS(2254),
    [anon_sym_unsigned] = ACTIONS(2254),
    [anon_sym_long] = ACTIONS(2254),
    [anon_sym_short] = ACTIONS(2254),
    [anon_sym_LBRACK] = ACTIONS(2254),
    [anon_sym_static] = ACTIONS(2254),
    [anon_sym_register] = ACTIONS(2254),
    [anon_sym_inline] = ACTIONS(2254),
    [anon_sym___inline] = ACTIONS(2254),
    [anon_sym___inline__] = ACTIONS(2254),
    [anon_sym___forceinline] = ACTIONS(2254),
    [anon_sym_thread_local] = ACTIONS(2254),
    [anon_sym___thread] = ACTIONS(2254),
    [anon_sym_const] = ACTIONS(2254),
    [anon_sym_constexpr] = ACTIONS(2254),
    [anon_sym_volatile] = ACTIONS(2254),
    [anon_sym_restrict] = ACTIONS(2254),
    [anon_sym___restrict__] = ACTIONS(2254),
    [anon_sym__Atomic] = ACTIONS(2254),
    [anon_sym__Noreturn] = ACTIONS(2254),
    [anon_sym_noreturn] = ACTIONS(2254),
    [anon_sym_mutable] = ACTIONS(2254),
    [anon_sym_constinit] = ACTIONS(2254),
    [anon_sym_consteval] = ACTIONS(2254),
    [sym_primitive_type] = ACTIONS(2254),
    [anon_sym_enum] = ACTIONS(2254),
    [anon_sym_class] = ACTIONS(2254),
    [anon_sym_struct] = ACTIONS(2254),
    [anon_sym_union] = ACTIONS(2254),
    [anon_sym_if] = ACTIONS(2254),
    [anon_sym_else] = ACTIONS(2254),
    [anon_sym_switch] = ACTIONS(2254),
    [anon_sym_case] = ACTIONS(2254),
    [anon_sym_default] = ACTIONS(2254),
    [anon_sym_while] = ACTIONS(2254),
    [anon_sym_do] = ACTIONS(2254),
    [anon_sym_for] = ACTIONS(2254),
    [anon_sym_return] = ACTIONS(2254),
    [anon_sym_break] = ACTIONS(2254),
    [anon_sym_continue] = ACTIONS(2254),
    [anon_sym_goto] = ACTIONS(2254),
    [anon_sym___try] = ACTIONS(2254),
    [anon_sym___leave] = ACTIONS(2254),
    [anon_sym_not] = ACTIONS(2254),
    [anon_sym_compl] = ACTIONS(2254),
    [anon_sym_DASH_DASH] = ACTIONS(2256),
    [anon_sym_PLUS_PLUS] = ACTIONS(2256),
    [anon_sym_sizeof] = ACTIONS(2254),
    [anon_sym___alignof__] = ACTIONS(2254),
    [anon_sym___alignof] = ACTIONS(2254),
    [anon_sym__alignof] = ACTIONS(2254),
    [anon_sym_alignof] = ACTIONS(2254),
    [anon_sym__Alignof] = ACTIONS(2254),
    [anon_sym_offsetof] = ACTIONS(2254),
    [anon_sym__Generic] = ACTIONS(2254),
    [anon_sym_asm] = ACTIONS(2254),
    [anon_sym___asm__] = ACTIONS(2254),
    [sym_number_literal] = ACTIONS(2256),
    [anon_sym_L_SQUOTE] = ACTIONS(2256),
    [anon_sym_u_SQUOTE] = ACTIONS(2256),
    [anon_sym_U_SQUOTE] = ACTIONS(2256),
    [anon_sym_u8_SQUOTE] = ACTIONS(2256),
    [anon_sym_SQUOTE] = ACTIONS(2256),
    [anon_sym_L_DQUOTE] = ACTIONS(2256),
    [anon_sym_u_DQUOTE] = ACTIONS(2256),
    [anon_sym_U_DQUOTE] = ACTIONS(2256),
    [anon_sym_u8_DQUOTE] = ACTIONS(2256),
    [anon_sym_DQUOTE] = ACTIONS(2256),
    [sym_true] = ACTIONS(2254),
    [sym_false] = ACTIONS(2254),
    [anon_sym_NULL] = ACTIONS(2254),
    [anon_sym_nullptr] = ACTIONS(2254),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2254),
    [anon_sym_decltype] = ACTIONS(2254),
    [anon_sym_final] = ACTIONS(2254),
    [anon_sym_override] = ACTIONS(2254),
    [anon_sym_virtual] = ACTIONS(2254),
    [anon_sym_alignas] = ACTIONS(2254),
    [anon_sym_explicit] = ACTIONS(2254),
    [anon_sym_typename] = ACTIONS(2254),
    [anon_sym_template] = ACTIONS(2254),
    [anon_sym_operator] = ACTIONS(2254),
    [anon_sym_try] = ACTIONS(2254),
    [anon_sym_delete] = ACTIONS(2254),
    [anon_sym_throw] = ACTIONS(2254),
    [anon_sym_namespace] = ACTIONS(2254),
    [anon_sym_using] = ACTIONS(2254),
    [anon_sym_static_assert] = ACTIONS(2254),
    [anon_sym_concept] = ACTIONS(2254),
    [anon_sym_co_return] = ACTIONS(2254),
    [anon_sym_co_yield] = ACTIONS(2254),
    [anon_sym_R_DQUOTE] = ACTIONS(2256),
    [anon_sym_LR_DQUOTE] = ACTIONS(2256),
    [anon_sym_uR_DQUOTE] = ACTIONS(2256),
    [anon_sym_UR_DQUOTE] = ACTIONS(2256),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2256),
    [anon_sym_co_await] = ACTIONS(2254),
    [anon_sym_new] = ACTIONS(2254),
    [anon_sym_requires] = ACTIONS(2254),
    [sym_this] = ACTIONS(2254),
    [anon_sym_discard] = ACTIONS(2254),
    [anon_sym_precise] = ACTIONS(2254),
    [anon_sym_shared] = ACTIONS(2254),
    [anon_sym_groupshared] = ACTIONS(2254),
    [anon_sym_uniform] = ACTIONS(2254),
    [anon_sym_row_major] = ACTIONS(2254),
    [anon_sym_column_major] = ACTIONS(2254),
    [anon_sym_globallycoherent] = ACTIONS(2254),
    [anon_sym_centroid] = ACTIONS(2254),
    [anon_sym_noperspective] = ACTIONS(2254),
    [anon_sym_nointerpolation] = ACTIONS(2254),
    [anon_sym_sample] = ACTIONS(2254),
    [anon_sym_linear] = ACTIONS(2254),
    [anon_sym_snorm] = ACTIONS(2254),
    [anon_sym_unorm] = ACTIONS(2254),
    [anon_sym_point] = ACTIONS(2254),
    [anon_sym_line] = ACTIONS(2254),
    [anon_sym_triangleadj] = ACTIONS(2254),
    [anon_sym_lineadj] = ACTIONS(2254),
    [anon_sym_triangle] = ACTIONS(2254),
    [anon_sym_cbuffer] = ACTIONS(2254),
  },
  [365] = {
    [sym_identifier] = ACTIONS(2264),
    [aux_sym_preproc_include_token1] = ACTIONS(2264),
    [aux_sym_preproc_def_token1] = ACTIONS(2264),
    [aux_sym_preproc_if_token1] = ACTIONS(2264),
    [aux_sym_preproc_if_token2] = ACTIONS(2264),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2264),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2264),
    [sym_preproc_directive] = ACTIONS(2264),
    [anon_sym_LPAREN2] = ACTIONS(2266),
    [anon_sym_BANG] = ACTIONS(2266),
    [anon_sym_TILDE] = ACTIONS(2266),
    [anon_sym_DASH] = ACTIONS(2264),
    [anon_sym_PLUS] = ACTIONS(2264),
    [anon_sym_STAR] = ACTIONS(2266),
    [anon_sym_AMP_AMP] = ACTIONS(2266),
    [anon_sym_AMP] = ACTIONS(2264),
    [anon_sym_COLON] = ACTIONS(2264),
    [anon_sym_SEMI] = ACTIONS(2266),
    [anon_sym___extension__] = ACTIONS(2264),
    [anon_sym_typedef] = ACTIONS(2264),
    [anon_sym_in] = ACTIONS(2264),
    [anon_sym_out] = ACTIONS(2264),
    [anon_sym_inout] = ACTIONS(2264),
    [anon_sym_extern] = ACTIONS(2264),
    [anon_sym___attribute__] = ACTIONS(2264),
    [anon_sym_COLON_COLON] = ACTIONS(2262),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2266),
    [anon_sym___declspec] = ACTIONS(2264),
    [anon_sym___based] = ACTIONS(2264),
    [anon_sym___cdecl] = ACTIONS(2264),
    [anon_sym___clrcall] = ACTIONS(2264),
    [anon_sym___stdcall] = ACTIONS(2264),
    [anon_sym___fastcall] = ACTIONS(2264),
    [anon_sym___thiscall] = ACTIONS(2264),
    [anon_sym___vectorcall] = ACTIONS(2264),
    [anon_sym_LBRACE] = ACTIONS(2266),
    [anon_sym_signed] = ACTIONS(2264),
    [anon_sym_unsigned] = ACTIONS(2264),
    [anon_sym_long] = ACTIONS(2264),
    [anon_sym_short] = ACTIONS(2264),
    [anon_sym_LBRACK] = ACTIONS(2264),
    [anon_sym_static] = ACTIONS(2264),
    [anon_sym_register] = ACTIONS(2264),
    [anon_sym_inline] = ACTIONS(2264),
    [anon_sym___inline] = ACTIONS(2264),
    [anon_sym___inline__] = ACTIONS(2264),
    [anon_sym___forceinline] = ACTIONS(2264),
    [anon_sym_thread_local] = ACTIONS(2264),
    [anon_sym___thread] = ACTIONS(2264),
    [anon_sym_const] = ACTIONS(2264),
    [anon_sym_constexpr] = ACTIONS(2264),
    [anon_sym_volatile] = ACTIONS(2264),
    [anon_sym_restrict] = ACTIONS(2264),
    [anon_sym___restrict__] = ACTIONS(2264),
    [anon_sym__Atomic] = ACTIONS(2264),
    [anon_sym__Noreturn] = ACTIONS(2264),
    [anon_sym_noreturn] = ACTIONS(2264),
    [anon_sym_mutable] = ACTIONS(2264),
    [anon_sym_constinit] = ACTIONS(2264),
    [anon_sym_consteval] = ACTIONS(2264),
    [sym_primitive_type] = ACTIONS(2264),
    [anon_sym_enum] = ACTIONS(2264),
    [anon_sym_class] = ACTIONS(2264),
    [anon_sym_struct] = ACTIONS(2264),
    [anon_sym_union] = ACTIONS(2264),
    [anon_sym_if] = ACTIONS(2264),
    [anon_sym_else] = ACTIONS(2264),
    [anon_sym_switch] = ACTIONS(2264),
    [anon_sym_case] = ACTIONS(2264),
    [anon_sym_default] = ACTIONS(2264),
    [anon_sym_while] = ACTIONS(2264),
    [anon_sym_do] = ACTIONS(2264),
    [anon_sym_for] = ACTIONS(2264),
    [anon_sym_return] = ACTIONS(2264),
    [anon_sym_break] = ACTIONS(2264),
    [anon_sym_continue] = ACTIONS(2264),
    [anon_sym_goto] = ACTIONS(2264),
    [anon_sym___try] = ACTIONS(2264),
    [anon_sym___leave] = ACTIONS(2264),
    [anon_sym_not] = ACTIONS(2264),
    [anon_sym_compl] = ACTIONS(2264),
    [anon_sym_DASH_DASH] = ACTIONS(2266),
    [anon_sym_PLUS_PLUS] = ACTIONS(2266),
    [anon_sym_sizeof] = ACTIONS(2264),
    [anon_sym___alignof__] = ACTIONS(2264),
    [anon_sym___alignof] = ACTIONS(2264),
    [anon_sym__alignof] = ACTIONS(2264),
    [anon_sym_alignof] = ACTIONS(2264),
    [anon_sym__Alignof] = ACTIONS(2264),
    [anon_sym_offsetof] = ACTIONS(2264),
    [anon_sym__Generic] = ACTIONS(2264),
    [anon_sym_asm] = ACTIONS(2264),
    [anon_sym___asm__] = ACTIONS(2264),
    [sym_number_literal] = ACTIONS(2266),
    [anon_sym_L_SQUOTE] = ACTIONS(2266),
    [anon_sym_u_SQUOTE] = ACTIONS(2266),
    [anon_sym_U_SQUOTE] = ACTIONS(2266),
    [anon_sym_u8_SQUOTE] = ACTIONS(2266),
    [anon_sym_SQUOTE] = ACTIONS(2266),
    [anon_sym_L_DQUOTE] = ACTIONS(2266),
    [anon_sym_u_DQUOTE] = ACTIONS(2266),
    [anon_sym_U_DQUOTE] = ACTIONS(2266),
    [anon_sym_u8_DQUOTE] = ACTIONS(2266),
    [anon_sym_DQUOTE] = ACTIONS(2266),
    [sym_true] = ACTIONS(2264),
    [sym_false] = ACTIONS(2264),
    [anon_sym_NULL] = ACTIONS(2264),
    [anon_sym_nullptr] = ACTIONS(2264),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2264),
    [anon_sym_decltype] = ACTIONS(2264),
    [anon_sym_final] = ACTIONS(2264),
    [anon_sym_override] = ACTIONS(2264),
    [anon_sym_virtual] = ACTIONS(2264),
    [anon_sym_alignas] = ACTIONS(2264),
    [anon_sym_explicit] = ACTIONS(2264),
    [anon_sym_typename] = ACTIONS(2264),
    [anon_sym_template] = ACTIONS(2264),
    [anon_sym_operator] = ACTIONS(2264),
    [anon_sym_try] = ACTIONS(2264),
    [anon_sym_delete] = ACTIONS(2264),
    [anon_sym_throw] = ACTIONS(2264),
    [anon_sym_namespace] = ACTIONS(2264),
    [anon_sym_using] = ACTIONS(2264),
    [anon_sym_static_assert] = ACTIONS(2264),
    [anon_sym_concept] = ACTIONS(2264),
    [anon_sym_co_return] = ACTIONS(2264),
    [anon_sym_co_yield] = ACTIONS(2264),
    [anon_sym_R_DQUOTE] = ACTIONS(2266),
    [anon_sym_LR_DQUOTE] = ACTIONS(2266),
    [anon_sym_uR_DQUOTE] = ACTIONS(2266),
    [anon_sym_UR_DQUOTE] = ACTIONS(2266),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2266),
    [anon_sym_co_await] = ACTIONS(2264),
    [anon_sym_new] = ACTIONS(2264),
    [anon_sym_requires] = ACTIONS(2264),
    [sym_this] = ACTIONS(2264),
    [anon_sym_discard] = ACTIONS(2264),
    [anon_sym_precise] = ACTIONS(2264),
    [anon_sym_shared] = ACTIONS(2264),
    [anon_sym_groupshared] = ACTIONS(2264),
    [anon_sym_uniform] = ACTIONS(2264),
    [anon_sym_row_major] = ACTIONS(2264),
    [anon_sym_column_major] = ACTIONS(2264),
    [anon_sym_globallycoherent] = ACTIONS(2264),
    [anon_sym_centroid] = ACTIONS(2264),
    [anon_sym_noperspective] = ACTIONS(2264),
    [anon_sym_nointerpolation] = ACTIONS(2264),
    [anon_sym_sample] = ACTIONS(2264),
    [anon_sym_linear] = ACTIONS(2264),
    [anon_sym_snorm] = ACTIONS(2264),
    [anon_sym_unorm] = ACTIONS(2264),
    [anon_sym_point] = ACTIONS(2264),
    [anon_sym_line] = ACTIONS(2264),
    [anon_sym_triangleadj] = ACTIONS(2264),
    [anon_sym_lineadj] = ACTIONS(2264),
    [anon_sym_triangle] = ACTIONS(2264),
    [anon_sym_cbuffer] = ACTIONS(2264),
  },
  [366] = {
    [sym_identifier] = ACTIONS(2625),
    [aux_sym_preproc_include_token1] = ACTIONS(2625),
    [aux_sym_preproc_def_token1] = ACTIONS(2625),
    [aux_sym_preproc_if_token1] = ACTIONS(2625),
    [aux_sym_preproc_if_token2] = ACTIONS(2625),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2625),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2625),
    [aux_sym_preproc_else_token1] = ACTIONS(2625),
    [aux_sym_preproc_elif_token1] = ACTIONS(2625),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2625),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2625),
    [sym_preproc_directive] = ACTIONS(2625),
    [anon_sym_LPAREN2] = ACTIONS(2627),
    [anon_sym_BANG] = ACTIONS(2627),
    [anon_sym_TILDE] = ACTIONS(2627),
    [anon_sym_DASH] = ACTIONS(2625),
    [anon_sym_PLUS] = ACTIONS(2625),
    [anon_sym_STAR] = ACTIONS(2627),
    [anon_sym_AMP_AMP] = ACTIONS(2627),
    [anon_sym_AMP] = ACTIONS(2625),
    [anon_sym_SEMI] = ACTIONS(2627),
    [anon_sym___extension__] = ACTIONS(2625),
    [anon_sym_typedef] = ACTIONS(2625),
    [anon_sym_in] = ACTIONS(2625),
    [anon_sym_out] = ACTIONS(2625),
    [anon_sym_inout] = ACTIONS(2625),
    [anon_sym_extern] = ACTIONS(2625),
    [anon_sym___attribute__] = ACTIONS(2625),
    [anon_sym_COLON_COLON] = ACTIONS(2627),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2627),
    [anon_sym___declspec] = ACTIONS(2625),
    [anon_sym___based] = ACTIONS(2625),
    [anon_sym___cdecl] = ACTIONS(2625),
    [anon_sym___clrcall] = ACTIONS(2625),
    [anon_sym___stdcall] = ACTIONS(2625),
    [anon_sym___fastcall] = ACTIONS(2625),
    [anon_sym___thiscall] = ACTIONS(2625),
    [anon_sym___vectorcall] = ACTIONS(2625),
    [anon_sym_LBRACE] = ACTIONS(2627),
    [anon_sym_signed] = ACTIONS(2625),
    [anon_sym_unsigned] = ACTIONS(2625),
    [anon_sym_long] = ACTIONS(2625),
    [anon_sym_short] = ACTIONS(2625),
    [anon_sym_LBRACK] = ACTIONS(2625),
    [anon_sym_static] = ACTIONS(2625),
    [anon_sym_register] = ACTIONS(2625),
    [anon_sym_inline] = ACTIONS(2625),
    [anon_sym___inline] = ACTIONS(2625),
    [anon_sym___inline__] = ACTIONS(2625),
    [anon_sym___forceinline] = ACTIONS(2625),
    [anon_sym_thread_local] = ACTIONS(2625),
    [anon_sym___thread] = ACTIONS(2625),
    [anon_sym_const] = ACTIONS(2625),
    [anon_sym_constexpr] = ACTIONS(2625),
    [anon_sym_volatile] = ACTIONS(2625),
    [anon_sym_restrict] = ACTIONS(2625),
    [anon_sym___restrict__] = ACTIONS(2625),
    [anon_sym__Atomic] = ACTIONS(2625),
    [anon_sym__Noreturn] = ACTIONS(2625),
    [anon_sym_noreturn] = ACTIONS(2625),
    [anon_sym_mutable] = ACTIONS(2625),
    [anon_sym_constinit] = ACTIONS(2625),
    [anon_sym_consteval] = ACTIONS(2625),
    [sym_primitive_type] = ACTIONS(2625),
    [anon_sym_enum] = ACTIONS(2625),
    [anon_sym_class] = ACTIONS(2625),
    [anon_sym_struct] = ACTIONS(2625),
    [anon_sym_union] = ACTIONS(2625),
    [anon_sym_if] = ACTIONS(2625),
    [anon_sym_switch] = ACTIONS(2625),
    [anon_sym_case] = ACTIONS(2625),
    [anon_sym_default] = ACTIONS(2625),
    [anon_sym_while] = ACTIONS(2625),
    [anon_sym_do] = ACTIONS(2625),
    [anon_sym_for] = ACTIONS(2625),
    [anon_sym_return] = ACTIONS(2625),
    [anon_sym_break] = ACTIONS(2625),
    [anon_sym_continue] = ACTIONS(2625),
    [anon_sym_goto] = ACTIONS(2625),
    [anon_sym___try] = ACTIONS(2625),
    [anon_sym___leave] = ACTIONS(2625),
    [anon_sym_not] = ACTIONS(2625),
    [anon_sym_compl] = ACTIONS(2625),
    [anon_sym_DASH_DASH] = ACTIONS(2627),
    [anon_sym_PLUS_PLUS] = ACTIONS(2627),
    [anon_sym_sizeof] = ACTIONS(2625),
    [anon_sym___alignof__] = ACTIONS(2625),
    [anon_sym___alignof] = ACTIONS(2625),
    [anon_sym__alignof] = ACTIONS(2625),
    [anon_sym_alignof] = ACTIONS(2625),
    [anon_sym__Alignof] = ACTIONS(2625),
    [anon_sym_offsetof] = ACTIONS(2625),
    [anon_sym__Generic] = ACTIONS(2625),
    [anon_sym_asm] = ACTIONS(2625),
    [anon_sym___asm__] = ACTIONS(2625),
    [sym_number_literal] = ACTIONS(2627),
    [anon_sym_L_SQUOTE] = ACTIONS(2627),
    [anon_sym_u_SQUOTE] = ACTIONS(2627),
    [anon_sym_U_SQUOTE] = ACTIONS(2627),
    [anon_sym_u8_SQUOTE] = ACTIONS(2627),
    [anon_sym_SQUOTE] = ACTIONS(2627),
    [anon_sym_L_DQUOTE] = ACTIONS(2627),
    [anon_sym_u_DQUOTE] = ACTIONS(2627),
    [anon_sym_U_DQUOTE] = ACTIONS(2627),
    [anon_sym_u8_DQUOTE] = ACTIONS(2627),
    [anon_sym_DQUOTE] = ACTIONS(2627),
    [sym_true] = ACTIONS(2625),
    [sym_false] = ACTIONS(2625),
    [anon_sym_NULL] = ACTIONS(2625),
    [anon_sym_nullptr] = ACTIONS(2625),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2625),
    [anon_sym_decltype] = ACTIONS(2625),
    [anon_sym_virtual] = ACTIONS(2625),
    [anon_sym_alignas] = ACTIONS(2625),
    [anon_sym_explicit] = ACTIONS(2625),
    [anon_sym_typename] = ACTIONS(2625),
    [anon_sym_template] = ACTIONS(2625),
    [anon_sym_operator] = ACTIONS(2625),
    [anon_sym_try] = ACTIONS(2625),
    [anon_sym_delete] = ACTIONS(2625),
    [anon_sym_throw] = ACTIONS(2625),
    [anon_sym_namespace] = ACTIONS(2625),
    [anon_sym_using] = ACTIONS(2625),
    [anon_sym_static_assert] = ACTIONS(2625),
    [anon_sym_concept] = ACTIONS(2625),
    [anon_sym_co_return] = ACTIONS(2625),
    [anon_sym_co_yield] = ACTIONS(2625),
    [anon_sym_R_DQUOTE] = ACTIONS(2627),
    [anon_sym_LR_DQUOTE] = ACTIONS(2627),
    [anon_sym_uR_DQUOTE] = ACTIONS(2627),
    [anon_sym_UR_DQUOTE] = ACTIONS(2627),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2627),
    [anon_sym_co_await] = ACTIONS(2625),
    [anon_sym_new] = ACTIONS(2625),
    [anon_sym_requires] = ACTIONS(2625),
    [sym_this] = ACTIONS(2625),
    [anon_sym_discard] = ACTIONS(2625),
    [anon_sym_precise] = ACTIONS(2625),
    [anon_sym_shared] = ACTIONS(2625),
    [anon_sym_groupshared] = ACTIONS(2625),
    [anon_sym_uniform] = ACTIONS(2625),
    [anon_sym_row_major] = ACTIONS(2625),
    [anon_sym_column_major] = ACTIONS(2625),
    [anon_sym_globallycoherent] = ACTIONS(2625),
    [anon_sym_centroid] = ACTIONS(2625),
    [anon_sym_noperspective] = ACTIONS(2625),
    [anon_sym_nointerpolation] = ACTIONS(2625),
    [anon_sym_sample] = ACTIONS(2625),
    [anon_sym_linear] = ACTIONS(2625),
    [anon_sym_snorm] = ACTIONS(2625),
    [anon_sym_unorm] = ACTIONS(2625),
    [anon_sym_point] = ACTIONS(2625),
    [anon_sym_line] = ACTIONS(2625),
    [anon_sym_triangleadj] = ACTIONS(2625),
    [anon_sym_lineadj] = ACTIONS(2625),
    [anon_sym_triangle] = ACTIONS(2625),
    [anon_sym_cbuffer] = ACTIONS(2625),
  },
  [367] = {
    [sym_ms_based_modifier] = STATE(10332),
    [sym_ms_call_modifier] = STATE(6530),
    [sym__declarator] = STATE(7943),
    [sym_parenthesized_declarator] = STATE(7680),
    [sym_attributed_declarator] = STATE(7680),
    [sym_pointer_declarator] = STATE(7680),
    [sym_function_declarator] = STATE(7680),
    [sym_array_declarator] = STATE(7680),
    [sym_type_qualifier] = STATE(5191),
    [sym__type_specifier] = STATE(6117),
    [sym_sized_type_specifier] = STATE(3317),
    [sym_enum_specifier] = STATE(3317),
    [sym_struct_specifier] = STATE(3317),
    [sym_union_specifier] = STATE(3317),
    [sym__expression] = STATE(4051),
    [sym__expression_not_binary] = STATE(4695),
    [sym__string] = STATE(4695),
    [sym_comma_expression] = STATE(10195),
    [sym_conditional_expression] = STATE(4695),
    [sym_assignment_expression] = STATE(4695),
    [sym_pointer_expression] = STATE(4695),
    [sym_unary_expression] = STATE(4695),
    [sym_binary_expression] = STATE(4695),
    [sym_update_expression] = STATE(4695),
    [sym_cast_expression] = STATE(4695),
    [sym_type_descriptor] = STATE(10291),
    [sym_sizeof_expression] = STATE(4695),
    [sym_alignof_expression] = STATE(4695),
    [sym_offsetof_expression] = STATE(4695),
    [sym_generic_expression] = STATE(4695),
    [sym_subscript_expression] = STATE(4695),
    [sym_call_expression] = STATE(4695),
    [sym_gnu_asm_expression] = STATE(4695),
    [sym_field_expression] = STATE(4695),
    [sym_compound_literal_expression] = STATE(4695),
    [sym_parenthesized_expression] = STATE(4695),
    [sym_char_literal] = STATE(4427),
    [sym_concatenated_string] = STATE(4424),
    [sym_string_literal] = STATE(3398),
    [sym_null] = STATE(4695),
    [sym_placeholder_type_specifier] = STATE(3317),
    [sym_decltype_auto] = STATE(3318),
    [sym_decltype] = STATE(3247),
    [sym_class_specifier] = STATE(3317),
    [sym__class_name] = STATE(9425),
    [sym_dependent_type] = STATE(3317),
    [sym_reference_declarator] = STATE(7680),
    [sym_structured_binding_declarator] = STATE(7680),
    [sym_template_type] = STATE(6654),
    [sym_template_function] = STATE(4418),
    [sym_raw_string_literal] = STATE(3396),
    [sym_co_await_expression] = STATE(4695),
    [sym_new_expression] = STATE(4695),
    [sym_delete_expression] = STATE(4695),
    [sym_requires_clause] = STATE(4695),
    [sym_requires_expression] = STATE(4695),
    [sym_lambda_expression] = STATE(4695),
    [sym_lambda_capture_specifier] = STATE(7185),
    [sym__unary_left_fold] = STATE(10289),
    [sym__unary_right_fold] = STATE(10288),
    [sym__binary_fold] = STATE(10287),
    [sym_fold_expression] = STATE(4695),
    [sym_parameter_pack_expansion] = STATE(4695),
    [sym_destructor_name] = STATE(7680),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6915),
    [sym_qualified_identifier] = STATE(4416),
    [sym_qualified_type_identifier] = STATE(6699),
    [sym__assignment_expression_lhs] = STATE(10297),
    [sym_operator_name] = STATE(7680),
    [sym_user_defined_literal] = STATE(4695),
    [aux_sym__type_definition_type_repeat1] = STATE(5191),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3316),
    [sym_identifier] = ACTIONS(2528),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2106),
    [anon_sym_LPAREN2] = ACTIONS(2530),
    [anon_sym_BANG] = ACTIONS(2532),
    [anon_sym_TILDE] = ACTIONS(2534),
    [anon_sym_DASH] = ACTIONS(2536),
    [anon_sym_PLUS] = ACTIONS(2536),
    [anon_sym_STAR] = ACTIONS(2538),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(2540),
    [anon_sym___extension__] = ACTIONS(63),
    [anon_sym_COLON_COLON] = ACTIONS(2542),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym___cdecl] = ACTIONS(2544),
    [anon_sym___clrcall] = ACTIONS(2544),
    [anon_sym___stdcall] = ACTIONS(2544),
    [anon_sym___fastcall] = ACTIONS(2544),
    [anon_sym___thiscall] = ACTIONS(2544),
    [anon_sym___vectorcall] = ACTIONS(2544),
    [anon_sym_signed] = ACTIONS(2546),
    [anon_sym_unsigned] = ACTIONS(2546),
    [anon_sym_long] = ACTIONS(2546),
    [anon_sym_short] = ACTIONS(2546),
    [anon_sym_LBRACK] = ACTIONS(2548),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(2550),
    [anon_sym_enum] = ACTIONS(2552),
    [anon_sym_class] = ACTIONS(2554),
    [anon_sym_struct] = ACTIONS(2556),
    [anon_sym_union] = ACTIONS(2558),
    [anon_sym_not] = ACTIONS(2536),
    [anon_sym_compl] = ACTIONS(2536),
    [anon_sym_DASH_DASH] = ACTIONS(2560),
    [anon_sym_PLUS_PLUS] = ACTIONS(2560),
    [anon_sym_sizeof] = ACTIONS(2562),
    [anon_sym___alignof__] = ACTIONS(2564),
    [anon_sym___alignof] = ACTIONS(2564),
    [anon_sym__alignof] = ACTIONS(2564),
    [anon_sym_alignof] = ACTIONS(2564),
    [anon_sym__Alignof] = ACTIONS(2564),
    [anon_sym_offsetof] = ACTIONS(2566),
    [anon_sym__Generic] = ACTIONS(2568),
    [anon_sym_asm] = ACTIONS(2570),
    [anon_sym___asm__] = ACTIONS(2570),
    [sym_number_literal] = ACTIONS(2572),
    [anon_sym_L_SQUOTE] = ACTIONS(2574),
    [anon_sym_u_SQUOTE] = ACTIONS(2574),
    [anon_sym_U_SQUOTE] = ACTIONS(2574),
    [anon_sym_u8_SQUOTE] = ACTIONS(2574),
    [anon_sym_SQUOTE] = ACTIONS(2574),
    [anon_sym_L_DQUOTE] = ACTIONS(2576),
    [anon_sym_u_DQUOTE] = ACTIONS(2576),
    [anon_sym_U_DQUOTE] = ACTIONS(2576),
    [anon_sym_u8_DQUOTE] = ACTIONS(2576),
    [anon_sym_DQUOTE] = ACTIONS(2576),
    [sym_true] = ACTIONS(2578),
    [sym_false] = ACTIONS(2578),
    [anon_sym_NULL] = ACTIONS(2580),
    [anon_sym_nullptr] = ACTIONS(2580),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2582),
    [anon_sym_decltype] = ACTIONS(2584),
    [anon_sym_typename] = ACTIONS(2586),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_operator] = ACTIONS(2588),
    [anon_sym_delete] = ACTIONS(2590),
    [anon_sym_R_DQUOTE] = ACTIONS(2592),
    [anon_sym_LR_DQUOTE] = ACTIONS(2592),
    [anon_sym_uR_DQUOTE] = ACTIONS(2592),
    [anon_sym_UR_DQUOTE] = ACTIONS(2592),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2592),
    [anon_sym_co_await] = ACTIONS(2594),
    [anon_sym_new] = ACTIONS(2596),
    [anon_sym_requires] = ACTIONS(2598),
    [sym_this] = ACTIONS(2578),
  },
  [368] = {
    [sym_identifier] = ACTIONS(2629),
    [aux_sym_preproc_include_token1] = ACTIONS(2629),
    [aux_sym_preproc_def_token1] = ACTIONS(2629),
    [aux_sym_preproc_if_token1] = ACTIONS(2629),
    [aux_sym_preproc_if_token2] = ACTIONS(2629),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2629),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2629),
    [aux_sym_preproc_else_token1] = ACTIONS(2629),
    [aux_sym_preproc_elif_token1] = ACTIONS(2629),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2629),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2629),
    [sym_preproc_directive] = ACTIONS(2629),
    [anon_sym_LPAREN2] = ACTIONS(2631),
    [anon_sym_BANG] = ACTIONS(2631),
    [anon_sym_TILDE] = ACTIONS(2631),
    [anon_sym_DASH] = ACTIONS(2629),
    [anon_sym_PLUS] = ACTIONS(2629),
    [anon_sym_STAR] = ACTIONS(2631),
    [anon_sym_AMP_AMP] = ACTIONS(2631),
    [anon_sym_AMP] = ACTIONS(2629),
    [anon_sym_SEMI] = ACTIONS(2631),
    [anon_sym___extension__] = ACTIONS(2629),
    [anon_sym_typedef] = ACTIONS(2629),
    [anon_sym_in] = ACTIONS(2629),
    [anon_sym_out] = ACTIONS(2629),
    [anon_sym_inout] = ACTIONS(2629),
    [anon_sym_extern] = ACTIONS(2629),
    [anon_sym___attribute__] = ACTIONS(2629),
    [anon_sym_COLON_COLON] = ACTIONS(2631),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2631),
    [anon_sym___declspec] = ACTIONS(2629),
    [anon_sym___based] = ACTIONS(2629),
    [anon_sym___cdecl] = ACTIONS(2629),
    [anon_sym___clrcall] = ACTIONS(2629),
    [anon_sym___stdcall] = ACTIONS(2629),
    [anon_sym___fastcall] = ACTIONS(2629),
    [anon_sym___thiscall] = ACTIONS(2629),
    [anon_sym___vectorcall] = ACTIONS(2629),
    [anon_sym_LBRACE] = ACTIONS(2631),
    [anon_sym_signed] = ACTIONS(2629),
    [anon_sym_unsigned] = ACTIONS(2629),
    [anon_sym_long] = ACTIONS(2629),
    [anon_sym_short] = ACTIONS(2629),
    [anon_sym_LBRACK] = ACTIONS(2629),
    [anon_sym_static] = ACTIONS(2629),
    [anon_sym_register] = ACTIONS(2629),
    [anon_sym_inline] = ACTIONS(2629),
    [anon_sym___inline] = ACTIONS(2629),
    [anon_sym___inline__] = ACTIONS(2629),
    [anon_sym___forceinline] = ACTIONS(2629),
    [anon_sym_thread_local] = ACTIONS(2629),
    [anon_sym___thread] = ACTIONS(2629),
    [anon_sym_const] = ACTIONS(2629),
    [anon_sym_constexpr] = ACTIONS(2629),
    [anon_sym_volatile] = ACTIONS(2629),
    [anon_sym_restrict] = ACTIONS(2629),
    [anon_sym___restrict__] = ACTIONS(2629),
    [anon_sym__Atomic] = ACTIONS(2629),
    [anon_sym__Noreturn] = ACTIONS(2629),
    [anon_sym_noreturn] = ACTIONS(2629),
    [anon_sym_mutable] = ACTIONS(2629),
    [anon_sym_constinit] = ACTIONS(2629),
    [anon_sym_consteval] = ACTIONS(2629),
    [sym_primitive_type] = ACTIONS(2629),
    [anon_sym_enum] = ACTIONS(2629),
    [anon_sym_class] = ACTIONS(2629),
    [anon_sym_struct] = ACTIONS(2629),
    [anon_sym_union] = ACTIONS(2629),
    [anon_sym_if] = ACTIONS(2629),
    [anon_sym_switch] = ACTIONS(2629),
    [anon_sym_case] = ACTIONS(2629),
    [anon_sym_default] = ACTIONS(2629),
    [anon_sym_while] = ACTIONS(2629),
    [anon_sym_do] = ACTIONS(2629),
    [anon_sym_for] = ACTIONS(2629),
    [anon_sym_return] = ACTIONS(2629),
    [anon_sym_break] = ACTIONS(2629),
    [anon_sym_continue] = ACTIONS(2629),
    [anon_sym_goto] = ACTIONS(2629),
    [anon_sym___try] = ACTIONS(2629),
    [anon_sym___leave] = ACTIONS(2629),
    [anon_sym_not] = ACTIONS(2629),
    [anon_sym_compl] = ACTIONS(2629),
    [anon_sym_DASH_DASH] = ACTIONS(2631),
    [anon_sym_PLUS_PLUS] = ACTIONS(2631),
    [anon_sym_sizeof] = ACTIONS(2629),
    [anon_sym___alignof__] = ACTIONS(2629),
    [anon_sym___alignof] = ACTIONS(2629),
    [anon_sym__alignof] = ACTIONS(2629),
    [anon_sym_alignof] = ACTIONS(2629),
    [anon_sym__Alignof] = ACTIONS(2629),
    [anon_sym_offsetof] = ACTIONS(2629),
    [anon_sym__Generic] = ACTIONS(2629),
    [anon_sym_asm] = ACTIONS(2629),
    [anon_sym___asm__] = ACTIONS(2629),
    [sym_number_literal] = ACTIONS(2631),
    [anon_sym_L_SQUOTE] = ACTIONS(2631),
    [anon_sym_u_SQUOTE] = ACTIONS(2631),
    [anon_sym_U_SQUOTE] = ACTIONS(2631),
    [anon_sym_u8_SQUOTE] = ACTIONS(2631),
    [anon_sym_SQUOTE] = ACTIONS(2631),
    [anon_sym_L_DQUOTE] = ACTIONS(2631),
    [anon_sym_u_DQUOTE] = ACTIONS(2631),
    [anon_sym_U_DQUOTE] = ACTIONS(2631),
    [anon_sym_u8_DQUOTE] = ACTIONS(2631),
    [anon_sym_DQUOTE] = ACTIONS(2631),
    [sym_true] = ACTIONS(2629),
    [sym_false] = ACTIONS(2629),
    [anon_sym_NULL] = ACTIONS(2629),
    [anon_sym_nullptr] = ACTIONS(2629),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2629),
    [anon_sym_decltype] = ACTIONS(2629),
    [anon_sym_virtual] = ACTIONS(2629),
    [anon_sym_alignas] = ACTIONS(2629),
    [anon_sym_explicit] = ACTIONS(2629),
    [anon_sym_typename] = ACTIONS(2629),
    [anon_sym_template] = ACTIONS(2629),
    [anon_sym_operator] = ACTIONS(2629),
    [anon_sym_try] = ACTIONS(2629),
    [anon_sym_delete] = ACTIONS(2629),
    [anon_sym_throw] = ACTIONS(2629),
    [anon_sym_namespace] = ACTIONS(2629),
    [anon_sym_using] = ACTIONS(2629),
    [anon_sym_static_assert] = ACTIONS(2629),
    [anon_sym_concept] = ACTIONS(2629),
    [anon_sym_co_return] = ACTIONS(2629),
    [anon_sym_co_yield] = ACTIONS(2629),
    [anon_sym_R_DQUOTE] = ACTIONS(2631),
    [anon_sym_LR_DQUOTE] = ACTIONS(2631),
    [anon_sym_uR_DQUOTE] = ACTIONS(2631),
    [anon_sym_UR_DQUOTE] = ACTIONS(2631),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2631),
    [anon_sym_co_await] = ACTIONS(2629),
    [anon_sym_new] = ACTIONS(2629),
    [anon_sym_requires] = ACTIONS(2629),
    [sym_this] = ACTIONS(2629),
    [anon_sym_discard] = ACTIONS(2629),
    [anon_sym_precise] = ACTIONS(2629),
    [anon_sym_shared] = ACTIONS(2629),
    [anon_sym_groupshared] = ACTIONS(2629),
    [anon_sym_uniform] = ACTIONS(2629),
    [anon_sym_row_major] = ACTIONS(2629),
    [anon_sym_column_major] = ACTIONS(2629),
    [anon_sym_globallycoherent] = ACTIONS(2629),
    [anon_sym_centroid] = ACTIONS(2629),
    [anon_sym_noperspective] = ACTIONS(2629),
    [anon_sym_nointerpolation] = ACTIONS(2629),
    [anon_sym_sample] = ACTIONS(2629),
    [anon_sym_linear] = ACTIONS(2629),
    [anon_sym_snorm] = ACTIONS(2629),
    [anon_sym_unorm] = ACTIONS(2629),
    [anon_sym_point] = ACTIONS(2629),
    [anon_sym_line] = ACTIONS(2629),
    [anon_sym_triangleadj] = ACTIONS(2629),
    [anon_sym_lineadj] = ACTIONS(2629),
    [anon_sym_triangle] = ACTIONS(2629),
    [anon_sym_cbuffer] = ACTIONS(2629),
  },
  [369] = {
    [ts_builtin_sym_end] = ACTIONS(2266),
    [sym_identifier] = ACTIONS(2264),
    [aux_sym_preproc_include_token1] = ACTIONS(2264),
    [aux_sym_preproc_def_token1] = ACTIONS(2264),
    [aux_sym_preproc_if_token1] = ACTIONS(2264),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2264),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2264),
    [sym_preproc_directive] = ACTIONS(2264),
    [anon_sym_LPAREN2] = ACTIONS(2266),
    [anon_sym_BANG] = ACTIONS(2266),
    [anon_sym_TILDE] = ACTIONS(2266),
    [anon_sym_DASH] = ACTIONS(2264),
    [anon_sym_PLUS] = ACTIONS(2264),
    [anon_sym_STAR] = ACTIONS(2266),
    [anon_sym_AMP_AMP] = ACTIONS(2266),
    [anon_sym_AMP] = ACTIONS(2264),
    [anon_sym_COLON] = ACTIONS(2264),
    [anon_sym_SEMI] = ACTIONS(2266),
    [anon_sym___extension__] = ACTIONS(2264),
    [anon_sym_typedef] = ACTIONS(2264),
    [anon_sym_in] = ACTIONS(2264),
    [anon_sym_out] = ACTIONS(2264),
    [anon_sym_inout] = ACTIONS(2264),
    [anon_sym_extern] = ACTIONS(2264),
    [anon_sym___attribute__] = ACTIONS(2264),
    [anon_sym_COLON_COLON] = ACTIONS(2262),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2266),
    [anon_sym___declspec] = ACTIONS(2264),
    [anon_sym___based] = ACTIONS(2264),
    [anon_sym___cdecl] = ACTIONS(2264),
    [anon_sym___clrcall] = ACTIONS(2264),
    [anon_sym___stdcall] = ACTIONS(2264),
    [anon_sym___fastcall] = ACTIONS(2264),
    [anon_sym___thiscall] = ACTIONS(2264),
    [anon_sym___vectorcall] = ACTIONS(2264),
    [anon_sym_LBRACE] = ACTIONS(2266),
    [anon_sym_signed] = ACTIONS(2264),
    [anon_sym_unsigned] = ACTIONS(2264),
    [anon_sym_long] = ACTIONS(2264),
    [anon_sym_short] = ACTIONS(2264),
    [anon_sym_LBRACK] = ACTIONS(2264),
    [anon_sym_static] = ACTIONS(2264),
    [anon_sym_register] = ACTIONS(2264),
    [anon_sym_inline] = ACTIONS(2264),
    [anon_sym___inline] = ACTIONS(2264),
    [anon_sym___inline__] = ACTIONS(2264),
    [anon_sym___forceinline] = ACTIONS(2264),
    [anon_sym_thread_local] = ACTIONS(2264),
    [anon_sym___thread] = ACTIONS(2264),
    [anon_sym_const] = ACTIONS(2264),
    [anon_sym_constexpr] = ACTIONS(2264),
    [anon_sym_volatile] = ACTIONS(2264),
    [anon_sym_restrict] = ACTIONS(2264),
    [anon_sym___restrict__] = ACTIONS(2264),
    [anon_sym__Atomic] = ACTIONS(2264),
    [anon_sym__Noreturn] = ACTIONS(2264),
    [anon_sym_noreturn] = ACTIONS(2264),
    [anon_sym_mutable] = ACTIONS(2264),
    [anon_sym_constinit] = ACTIONS(2264),
    [anon_sym_consteval] = ACTIONS(2264),
    [sym_primitive_type] = ACTIONS(2264),
    [anon_sym_enum] = ACTIONS(2264),
    [anon_sym_class] = ACTIONS(2264),
    [anon_sym_struct] = ACTIONS(2264),
    [anon_sym_union] = ACTIONS(2264),
    [anon_sym_if] = ACTIONS(2264),
    [anon_sym_else] = ACTIONS(2264),
    [anon_sym_switch] = ACTIONS(2264),
    [anon_sym_case] = ACTIONS(2264),
    [anon_sym_default] = ACTIONS(2264),
    [anon_sym_while] = ACTIONS(2264),
    [anon_sym_do] = ACTIONS(2264),
    [anon_sym_for] = ACTIONS(2264),
    [anon_sym_return] = ACTIONS(2264),
    [anon_sym_break] = ACTIONS(2264),
    [anon_sym_continue] = ACTIONS(2264),
    [anon_sym_goto] = ACTIONS(2264),
    [anon_sym___try] = ACTIONS(2264),
    [anon_sym___leave] = ACTIONS(2264),
    [anon_sym_not] = ACTIONS(2264),
    [anon_sym_compl] = ACTIONS(2264),
    [anon_sym_DASH_DASH] = ACTIONS(2266),
    [anon_sym_PLUS_PLUS] = ACTIONS(2266),
    [anon_sym_sizeof] = ACTIONS(2264),
    [anon_sym___alignof__] = ACTIONS(2264),
    [anon_sym___alignof] = ACTIONS(2264),
    [anon_sym__alignof] = ACTIONS(2264),
    [anon_sym_alignof] = ACTIONS(2264),
    [anon_sym__Alignof] = ACTIONS(2264),
    [anon_sym_offsetof] = ACTIONS(2264),
    [anon_sym__Generic] = ACTIONS(2264),
    [anon_sym_asm] = ACTIONS(2264),
    [anon_sym___asm__] = ACTIONS(2264),
    [sym_number_literal] = ACTIONS(2266),
    [anon_sym_L_SQUOTE] = ACTIONS(2266),
    [anon_sym_u_SQUOTE] = ACTIONS(2266),
    [anon_sym_U_SQUOTE] = ACTIONS(2266),
    [anon_sym_u8_SQUOTE] = ACTIONS(2266),
    [anon_sym_SQUOTE] = ACTIONS(2266),
    [anon_sym_L_DQUOTE] = ACTIONS(2266),
    [anon_sym_u_DQUOTE] = ACTIONS(2266),
    [anon_sym_U_DQUOTE] = ACTIONS(2266),
    [anon_sym_u8_DQUOTE] = ACTIONS(2266),
    [anon_sym_DQUOTE] = ACTIONS(2266),
    [sym_true] = ACTIONS(2264),
    [sym_false] = ACTIONS(2264),
    [anon_sym_NULL] = ACTIONS(2264),
    [anon_sym_nullptr] = ACTIONS(2264),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2264),
    [anon_sym_decltype] = ACTIONS(2264),
    [anon_sym_final] = ACTIONS(2264),
    [anon_sym_override] = ACTIONS(2264),
    [anon_sym_virtual] = ACTIONS(2264),
    [anon_sym_alignas] = ACTIONS(2264),
    [anon_sym_explicit] = ACTIONS(2264),
    [anon_sym_typename] = ACTIONS(2264),
    [anon_sym_template] = ACTIONS(2264),
    [anon_sym_operator] = ACTIONS(2264),
    [anon_sym_try] = ACTIONS(2264),
    [anon_sym_delete] = ACTIONS(2264),
    [anon_sym_throw] = ACTIONS(2264),
    [anon_sym_namespace] = ACTIONS(2264),
    [anon_sym_using] = ACTIONS(2264),
    [anon_sym_static_assert] = ACTIONS(2264),
    [anon_sym_concept] = ACTIONS(2264),
    [anon_sym_co_return] = ACTIONS(2264),
    [anon_sym_co_yield] = ACTIONS(2264),
    [anon_sym_R_DQUOTE] = ACTIONS(2266),
    [anon_sym_LR_DQUOTE] = ACTIONS(2266),
    [anon_sym_uR_DQUOTE] = ACTIONS(2266),
    [anon_sym_UR_DQUOTE] = ACTIONS(2266),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2266),
    [anon_sym_co_await] = ACTIONS(2264),
    [anon_sym_new] = ACTIONS(2264),
    [anon_sym_requires] = ACTIONS(2264),
    [sym_this] = ACTIONS(2264),
    [anon_sym_discard] = ACTIONS(2264),
    [anon_sym_precise] = ACTIONS(2264),
    [anon_sym_shared] = ACTIONS(2264),
    [anon_sym_groupshared] = ACTIONS(2264),
    [anon_sym_uniform] = ACTIONS(2264),
    [anon_sym_row_major] = ACTIONS(2264),
    [anon_sym_column_major] = ACTIONS(2264),
    [anon_sym_globallycoherent] = ACTIONS(2264),
    [anon_sym_centroid] = ACTIONS(2264),
    [anon_sym_noperspective] = ACTIONS(2264),
    [anon_sym_nointerpolation] = ACTIONS(2264),
    [anon_sym_sample] = ACTIONS(2264),
    [anon_sym_linear] = ACTIONS(2264),
    [anon_sym_snorm] = ACTIONS(2264),
    [anon_sym_unorm] = ACTIONS(2264),
    [anon_sym_point] = ACTIONS(2264),
    [anon_sym_line] = ACTIONS(2264),
    [anon_sym_triangleadj] = ACTIONS(2264),
    [anon_sym_lineadj] = ACTIONS(2264),
    [anon_sym_triangle] = ACTIONS(2264),
    [anon_sym_cbuffer] = ACTIONS(2264),
  },
  [370] = {
    [sym_identifier] = ACTIONS(2633),
    [aux_sym_preproc_include_token1] = ACTIONS(2633),
    [aux_sym_preproc_def_token1] = ACTIONS(2633),
    [aux_sym_preproc_if_token1] = ACTIONS(2633),
    [aux_sym_preproc_if_token2] = ACTIONS(2633),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2633),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2633),
    [aux_sym_preproc_else_token1] = ACTIONS(2633),
    [aux_sym_preproc_elif_token1] = ACTIONS(2633),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2633),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2633),
    [sym_preproc_directive] = ACTIONS(2633),
    [anon_sym_LPAREN2] = ACTIONS(2635),
    [anon_sym_BANG] = ACTIONS(2635),
    [anon_sym_TILDE] = ACTIONS(2635),
    [anon_sym_DASH] = ACTIONS(2633),
    [anon_sym_PLUS] = ACTIONS(2633),
    [anon_sym_STAR] = ACTIONS(2635),
    [anon_sym_AMP_AMP] = ACTIONS(2635),
    [anon_sym_AMP] = ACTIONS(2633),
    [anon_sym_SEMI] = ACTIONS(2635),
    [anon_sym___extension__] = ACTIONS(2633),
    [anon_sym_typedef] = ACTIONS(2633),
    [anon_sym_in] = ACTIONS(2633),
    [anon_sym_out] = ACTIONS(2633),
    [anon_sym_inout] = ACTIONS(2633),
    [anon_sym_extern] = ACTIONS(2633),
    [anon_sym___attribute__] = ACTIONS(2633),
    [anon_sym_COLON_COLON] = ACTIONS(2635),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2635),
    [anon_sym___declspec] = ACTIONS(2633),
    [anon_sym___based] = ACTIONS(2633),
    [anon_sym___cdecl] = ACTIONS(2633),
    [anon_sym___clrcall] = ACTIONS(2633),
    [anon_sym___stdcall] = ACTIONS(2633),
    [anon_sym___fastcall] = ACTIONS(2633),
    [anon_sym___thiscall] = ACTIONS(2633),
    [anon_sym___vectorcall] = ACTIONS(2633),
    [anon_sym_LBRACE] = ACTIONS(2635),
    [anon_sym_signed] = ACTIONS(2633),
    [anon_sym_unsigned] = ACTIONS(2633),
    [anon_sym_long] = ACTIONS(2633),
    [anon_sym_short] = ACTIONS(2633),
    [anon_sym_LBRACK] = ACTIONS(2633),
    [anon_sym_static] = ACTIONS(2633),
    [anon_sym_register] = ACTIONS(2633),
    [anon_sym_inline] = ACTIONS(2633),
    [anon_sym___inline] = ACTIONS(2633),
    [anon_sym___inline__] = ACTIONS(2633),
    [anon_sym___forceinline] = ACTIONS(2633),
    [anon_sym_thread_local] = ACTIONS(2633),
    [anon_sym___thread] = ACTIONS(2633),
    [anon_sym_const] = ACTIONS(2633),
    [anon_sym_constexpr] = ACTIONS(2633),
    [anon_sym_volatile] = ACTIONS(2633),
    [anon_sym_restrict] = ACTIONS(2633),
    [anon_sym___restrict__] = ACTIONS(2633),
    [anon_sym__Atomic] = ACTIONS(2633),
    [anon_sym__Noreturn] = ACTIONS(2633),
    [anon_sym_noreturn] = ACTIONS(2633),
    [anon_sym_mutable] = ACTIONS(2633),
    [anon_sym_constinit] = ACTIONS(2633),
    [anon_sym_consteval] = ACTIONS(2633),
    [sym_primitive_type] = ACTIONS(2633),
    [anon_sym_enum] = ACTIONS(2633),
    [anon_sym_class] = ACTIONS(2633),
    [anon_sym_struct] = ACTIONS(2633),
    [anon_sym_union] = ACTIONS(2633),
    [anon_sym_if] = ACTIONS(2633),
    [anon_sym_switch] = ACTIONS(2633),
    [anon_sym_case] = ACTIONS(2633),
    [anon_sym_default] = ACTIONS(2633),
    [anon_sym_while] = ACTIONS(2633),
    [anon_sym_do] = ACTIONS(2633),
    [anon_sym_for] = ACTIONS(2633),
    [anon_sym_return] = ACTIONS(2633),
    [anon_sym_break] = ACTIONS(2633),
    [anon_sym_continue] = ACTIONS(2633),
    [anon_sym_goto] = ACTIONS(2633),
    [anon_sym___try] = ACTIONS(2633),
    [anon_sym___leave] = ACTIONS(2633),
    [anon_sym_not] = ACTIONS(2633),
    [anon_sym_compl] = ACTIONS(2633),
    [anon_sym_DASH_DASH] = ACTIONS(2635),
    [anon_sym_PLUS_PLUS] = ACTIONS(2635),
    [anon_sym_sizeof] = ACTIONS(2633),
    [anon_sym___alignof__] = ACTIONS(2633),
    [anon_sym___alignof] = ACTIONS(2633),
    [anon_sym__alignof] = ACTIONS(2633),
    [anon_sym_alignof] = ACTIONS(2633),
    [anon_sym__Alignof] = ACTIONS(2633),
    [anon_sym_offsetof] = ACTIONS(2633),
    [anon_sym__Generic] = ACTIONS(2633),
    [anon_sym_asm] = ACTIONS(2633),
    [anon_sym___asm__] = ACTIONS(2633),
    [sym_number_literal] = ACTIONS(2635),
    [anon_sym_L_SQUOTE] = ACTIONS(2635),
    [anon_sym_u_SQUOTE] = ACTIONS(2635),
    [anon_sym_U_SQUOTE] = ACTIONS(2635),
    [anon_sym_u8_SQUOTE] = ACTIONS(2635),
    [anon_sym_SQUOTE] = ACTIONS(2635),
    [anon_sym_L_DQUOTE] = ACTIONS(2635),
    [anon_sym_u_DQUOTE] = ACTIONS(2635),
    [anon_sym_U_DQUOTE] = ACTIONS(2635),
    [anon_sym_u8_DQUOTE] = ACTIONS(2635),
    [anon_sym_DQUOTE] = ACTIONS(2635),
    [sym_true] = ACTIONS(2633),
    [sym_false] = ACTIONS(2633),
    [anon_sym_NULL] = ACTIONS(2633),
    [anon_sym_nullptr] = ACTIONS(2633),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2633),
    [anon_sym_decltype] = ACTIONS(2633),
    [anon_sym_virtual] = ACTIONS(2633),
    [anon_sym_alignas] = ACTIONS(2633),
    [anon_sym_explicit] = ACTIONS(2633),
    [anon_sym_typename] = ACTIONS(2633),
    [anon_sym_template] = ACTIONS(2633),
    [anon_sym_operator] = ACTIONS(2633),
    [anon_sym_try] = ACTIONS(2633),
    [anon_sym_delete] = ACTIONS(2633),
    [anon_sym_throw] = ACTIONS(2633),
    [anon_sym_namespace] = ACTIONS(2633),
    [anon_sym_using] = ACTIONS(2633),
    [anon_sym_static_assert] = ACTIONS(2633),
    [anon_sym_concept] = ACTIONS(2633),
    [anon_sym_co_return] = ACTIONS(2633),
    [anon_sym_co_yield] = ACTIONS(2633),
    [anon_sym_R_DQUOTE] = ACTIONS(2635),
    [anon_sym_LR_DQUOTE] = ACTIONS(2635),
    [anon_sym_uR_DQUOTE] = ACTIONS(2635),
    [anon_sym_UR_DQUOTE] = ACTIONS(2635),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2635),
    [anon_sym_co_await] = ACTIONS(2633),
    [anon_sym_new] = ACTIONS(2633),
    [anon_sym_requires] = ACTIONS(2633),
    [sym_this] = ACTIONS(2633),
    [anon_sym_discard] = ACTIONS(2633),
    [anon_sym_precise] = ACTIONS(2633),
    [anon_sym_shared] = ACTIONS(2633),
    [anon_sym_groupshared] = ACTIONS(2633),
    [anon_sym_uniform] = ACTIONS(2633),
    [anon_sym_row_major] = ACTIONS(2633),
    [anon_sym_column_major] = ACTIONS(2633),
    [anon_sym_globallycoherent] = ACTIONS(2633),
    [anon_sym_centroid] = ACTIONS(2633),
    [anon_sym_noperspective] = ACTIONS(2633),
    [anon_sym_nointerpolation] = ACTIONS(2633),
    [anon_sym_sample] = ACTIONS(2633),
    [anon_sym_linear] = ACTIONS(2633),
    [anon_sym_snorm] = ACTIONS(2633),
    [anon_sym_unorm] = ACTIONS(2633),
    [anon_sym_point] = ACTIONS(2633),
    [anon_sym_line] = ACTIONS(2633),
    [anon_sym_triangleadj] = ACTIONS(2633),
    [anon_sym_lineadj] = ACTIONS(2633),
    [anon_sym_triangle] = ACTIONS(2633),
    [anon_sym_cbuffer] = ACTIONS(2633),
  },
  [371] = {
    [sym_identifier] = ACTIONS(2637),
    [aux_sym_preproc_include_token1] = ACTIONS(2637),
    [aux_sym_preproc_def_token1] = ACTIONS(2637),
    [aux_sym_preproc_if_token1] = ACTIONS(2637),
    [aux_sym_preproc_if_token2] = ACTIONS(2637),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2637),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2637),
    [aux_sym_preproc_else_token1] = ACTIONS(2637),
    [aux_sym_preproc_elif_token1] = ACTIONS(2637),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2637),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2637),
    [sym_preproc_directive] = ACTIONS(2637),
    [anon_sym_LPAREN2] = ACTIONS(2639),
    [anon_sym_BANG] = ACTIONS(2639),
    [anon_sym_TILDE] = ACTIONS(2639),
    [anon_sym_DASH] = ACTIONS(2637),
    [anon_sym_PLUS] = ACTIONS(2637),
    [anon_sym_STAR] = ACTIONS(2639),
    [anon_sym_AMP_AMP] = ACTIONS(2639),
    [anon_sym_AMP] = ACTIONS(2637),
    [anon_sym_SEMI] = ACTIONS(2639),
    [anon_sym___extension__] = ACTIONS(2637),
    [anon_sym_typedef] = ACTIONS(2637),
    [anon_sym_in] = ACTIONS(2637),
    [anon_sym_out] = ACTIONS(2637),
    [anon_sym_inout] = ACTIONS(2637),
    [anon_sym_extern] = ACTIONS(2637),
    [anon_sym___attribute__] = ACTIONS(2637),
    [anon_sym_COLON_COLON] = ACTIONS(2639),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2639),
    [anon_sym___declspec] = ACTIONS(2637),
    [anon_sym___based] = ACTIONS(2637),
    [anon_sym___cdecl] = ACTIONS(2637),
    [anon_sym___clrcall] = ACTIONS(2637),
    [anon_sym___stdcall] = ACTIONS(2637),
    [anon_sym___fastcall] = ACTIONS(2637),
    [anon_sym___thiscall] = ACTIONS(2637),
    [anon_sym___vectorcall] = ACTIONS(2637),
    [anon_sym_LBRACE] = ACTIONS(2639),
    [anon_sym_signed] = ACTIONS(2637),
    [anon_sym_unsigned] = ACTIONS(2637),
    [anon_sym_long] = ACTIONS(2637),
    [anon_sym_short] = ACTIONS(2637),
    [anon_sym_LBRACK] = ACTIONS(2637),
    [anon_sym_static] = ACTIONS(2637),
    [anon_sym_register] = ACTIONS(2637),
    [anon_sym_inline] = ACTIONS(2637),
    [anon_sym___inline] = ACTIONS(2637),
    [anon_sym___inline__] = ACTIONS(2637),
    [anon_sym___forceinline] = ACTIONS(2637),
    [anon_sym_thread_local] = ACTIONS(2637),
    [anon_sym___thread] = ACTIONS(2637),
    [anon_sym_const] = ACTIONS(2637),
    [anon_sym_constexpr] = ACTIONS(2637),
    [anon_sym_volatile] = ACTIONS(2637),
    [anon_sym_restrict] = ACTIONS(2637),
    [anon_sym___restrict__] = ACTIONS(2637),
    [anon_sym__Atomic] = ACTIONS(2637),
    [anon_sym__Noreturn] = ACTIONS(2637),
    [anon_sym_noreturn] = ACTIONS(2637),
    [anon_sym_mutable] = ACTIONS(2637),
    [anon_sym_constinit] = ACTIONS(2637),
    [anon_sym_consteval] = ACTIONS(2637),
    [sym_primitive_type] = ACTIONS(2637),
    [anon_sym_enum] = ACTIONS(2637),
    [anon_sym_class] = ACTIONS(2637),
    [anon_sym_struct] = ACTIONS(2637),
    [anon_sym_union] = ACTIONS(2637),
    [anon_sym_if] = ACTIONS(2637),
    [anon_sym_switch] = ACTIONS(2637),
    [anon_sym_case] = ACTIONS(2637),
    [anon_sym_default] = ACTIONS(2637),
    [anon_sym_while] = ACTIONS(2637),
    [anon_sym_do] = ACTIONS(2637),
    [anon_sym_for] = ACTIONS(2637),
    [anon_sym_return] = ACTIONS(2637),
    [anon_sym_break] = ACTIONS(2637),
    [anon_sym_continue] = ACTIONS(2637),
    [anon_sym_goto] = ACTIONS(2637),
    [anon_sym___try] = ACTIONS(2637),
    [anon_sym___leave] = ACTIONS(2637),
    [anon_sym_not] = ACTIONS(2637),
    [anon_sym_compl] = ACTIONS(2637),
    [anon_sym_DASH_DASH] = ACTIONS(2639),
    [anon_sym_PLUS_PLUS] = ACTIONS(2639),
    [anon_sym_sizeof] = ACTIONS(2637),
    [anon_sym___alignof__] = ACTIONS(2637),
    [anon_sym___alignof] = ACTIONS(2637),
    [anon_sym__alignof] = ACTIONS(2637),
    [anon_sym_alignof] = ACTIONS(2637),
    [anon_sym__Alignof] = ACTIONS(2637),
    [anon_sym_offsetof] = ACTIONS(2637),
    [anon_sym__Generic] = ACTIONS(2637),
    [anon_sym_asm] = ACTIONS(2637),
    [anon_sym___asm__] = ACTIONS(2637),
    [sym_number_literal] = ACTIONS(2639),
    [anon_sym_L_SQUOTE] = ACTIONS(2639),
    [anon_sym_u_SQUOTE] = ACTIONS(2639),
    [anon_sym_U_SQUOTE] = ACTIONS(2639),
    [anon_sym_u8_SQUOTE] = ACTIONS(2639),
    [anon_sym_SQUOTE] = ACTIONS(2639),
    [anon_sym_L_DQUOTE] = ACTIONS(2639),
    [anon_sym_u_DQUOTE] = ACTIONS(2639),
    [anon_sym_U_DQUOTE] = ACTIONS(2639),
    [anon_sym_u8_DQUOTE] = ACTIONS(2639),
    [anon_sym_DQUOTE] = ACTIONS(2639),
    [sym_true] = ACTIONS(2637),
    [sym_false] = ACTIONS(2637),
    [anon_sym_NULL] = ACTIONS(2637),
    [anon_sym_nullptr] = ACTIONS(2637),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2637),
    [anon_sym_decltype] = ACTIONS(2637),
    [anon_sym_virtual] = ACTIONS(2637),
    [anon_sym_alignas] = ACTIONS(2637),
    [anon_sym_explicit] = ACTIONS(2637),
    [anon_sym_typename] = ACTIONS(2637),
    [anon_sym_template] = ACTIONS(2637),
    [anon_sym_operator] = ACTIONS(2637),
    [anon_sym_try] = ACTIONS(2637),
    [anon_sym_delete] = ACTIONS(2637),
    [anon_sym_throw] = ACTIONS(2637),
    [anon_sym_namespace] = ACTIONS(2637),
    [anon_sym_using] = ACTIONS(2637),
    [anon_sym_static_assert] = ACTIONS(2637),
    [anon_sym_concept] = ACTIONS(2637),
    [anon_sym_co_return] = ACTIONS(2637),
    [anon_sym_co_yield] = ACTIONS(2637),
    [anon_sym_R_DQUOTE] = ACTIONS(2639),
    [anon_sym_LR_DQUOTE] = ACTIONS(2639),
    [anon_sym_uR_DQUOTE] = ACTIONS(2639),
    [anon_sym_UR_DQUOTE] = ACTIONS(2639),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2639),
    [anon_sym_co_await] = ACTIONS(2637),
    [anon_sym_new] = ACTIONS(2637),
    [anon_sym_requires] = ACTIONS(2637),
    [sym_this] = ACTIONS(2637),
    [anon_sym_discard] = ACTIONS(2637),
    [anon_sym_precise] = ACTIONS(2637),
    [anon_sym_shared] = ACTIONS(2637),
    [anon_sym_groupshared] = ACTIONS(2637),
    [anon_sym_uniform] = ACTIONS(2637),
    [anon_sym_row_major] = ACTIONS(2637),
    [anon_sym_column_major] = ACTIONS(2637),
    [anon_sym_globallycoherent] = ACTIONS(2637),
    [anon_sym_centroid] = ACTIONS(2637),
    [anon_sym_noperspective] = ACTIONS(2637),
    [anon_sym_nointerpolation] = ACTIONS(2637),
    [anon_sym_sample] = ACTIONS(2637),
    [anon_sym_linear] = ACTIONS(2637),
    [anon_sym_snorm] = ACTIONS(2637),
    [anon_sym_unorm] = ACTIONS(2637),
    [anon_sym_point] = ACTIONS(2637),
    [anon_sym_line] = ACTIONS(2637),
    [anon_sym_triangleadj] = ACTIONS(2637),
    [anon_sym_lineadj] = ACTIONS(2637),
    [anon_sym_triangle] = ACTIONS(2637),
    [anon_sym_cbuffer] = ACTIONS(2637),
  },
  [372] = {
    [sym_identifier] = ACTIONS(2641),
    [aux_sym_preproc_include_token1] = ACTIONS(2641),
    [aux_sym_preproc_def_token1] = ACTIONS(2641),
    [aux_sym_preproc_if_token1] = ACTIONS(2641),
    [aux_sym_preproc_if_token2] = ACTIONS(2641),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2641),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2641),
    [aux_sym_preproc_else_token1] = ACTIONS(2641),
    [aux_sym_preproc_elif_token1] = ACTIONS(2641),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2641),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2641),
    [sym_preproc_directive] = ACTIONS(2641),
    [anon_sym_LPAREN2] = ACTIONS(2643),
    [anon_sym_BANG] = ACTIONS(2643),
    [anon_sym_TILDE] = ACTIONS(2643),
    [anon_sym_DASH] = ACTIONS(2641),
    [anon_sym_PLUS] = ACTIONS(2641),
    [anon_sym_STAR] = ACTIONS(2643),
    [anon_sym_AMP_AMP] = ACTIONS(2643),
    [anon_sym_AMP] = ACTIONS(2641),
    [anon_sym_SEMI] = ACTIONS(2643),
    [anon_sym___extension__] = ACTIONS(2641),
    [anon_sym_typedef] = ACTIONS(2641),
    [anon_sym_in] = ACTIONS(2641),
    [anon_sym_out] = ACTIONS(2641),
    [anon_sym_inout] = ACTIONS(2641),
    [anon_sym_extern] = ACTIONS(2641),
    [anon_sym___attribute__] = ACTIONS(2641),
    [anon_sym_COLON_COLON] = ACTIONS(2643),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2643),
    [anon_sym___declspec] = ACTIONS(2641),
    [anon_sym___based] = ACTIONS(2641),
    [anon_sym___cdecl] = ACTIONS(2641),
    [anon_sym___clrcall] = ACTIONS(2641),
    [anon_sym___stdcall] = ACTIONS(2641),
    [anon_sym___fastcall] = ACTIONS(2641),
    [anon_sym___thiscall] = ACTIONS(2641),
    [anon_sym___vectorcall] = ACTIONS(2641),
    [anon_sym_LBRACE] = ACTIONS(2643),
    [anon_sym_signed] = ACTIONS(2641),
    [anon_sym_unsigned] = ACTIONS(2641),
    [anon_sym_long] = ACTIONS(2641),
    [anon_sym_short] = ACTIONS(2641),
    [anon_sym_LBRACK] = ACTIONS(2641),
    [anon_sym_static] = ACTIONS(2641),
    [anon_sym_register] = ACTIONS(2641),
    [anon_sym_inline] = ACTIONS(2641),
    [anon_sym___inline] = ACTIONS(2641),
    [anon_sym___inline__] = ACTIONS(2641),
    [anon_sym___forceinline] = ACTIONS(2641),
    [anon_sym_thread_local] = ACTIONS(2641),
    [anon_sym___thread] = ACTIONS(2641),
    [anon_sym_const] = ACTIONS(2641),
    [anon_sym_constexpr] = ACTIONS(2641),
    [anon_sym_volatile] = ACTIONS(2641),
    [anon_sym_restrict] = ACTIONS(2641),
    [anon_sym___restrict__] = ACTIONS(2641),
    [anon_sym__Atomic] = ACTIONS(2641),
    [anon_sym__Noreturn] = ACTIONS(2641),
    [anon_sym_noreturn] = ACTIONS(2641),
    [anon_sym_mutable] = ACTIONS(2641),
    [anon_sym_constinit] = ACTIONS(2641),
    [anon_sym_consteval] = ACTIONS(2641),
    [sym_primitive_type] = ACTIONS(2641),
    [anon_sym_enum] = ACTIONS(2641),
    [anon_sym_class] = ACTIONS(2641),
    [anon_sym_struct] = ACTIONS(2641),
    [anon_sym_union] = ACTIONS(2641),
    [anon_sym_if] = ACTIONS(2641),
    [anon_sym_switch] = ACTIONS(2641),
    [anon_sym_case] = ACTIONS(2641),
    [anon_sym_default] = ACTIONS(2641),
    [anon_sym_while] = ACTIONS(2641),
    [anon_sym_do] = ACTIONS(2641),
    [anon_sym_for] = ACTIONS(2641),
    [anon_sym_return] = ACTIONS(2641),
    [anon_sym_break] = ACTIONS(2641),
    [anon_sym_continue] = ACTIONS(2641),
    [anon_sym_goto] = ACTIONS(2641),
    [anon_sym___try] = ACTIONS(2641),
    [anon_sym___leave] = ACTIONS(2641),
    [anon_sym_not] = ACTIONS(2641),
    [anon_sym_compl] = ACTIONS(2641),
    [anon_sym_DASH_DASH] = ACTIONS(2643),
    [anon_sym_PLUS_PLUS] = ACTIONS(2643),
    [anon_sym_sizeof] = ACTIONS(2641),
    [anon_sym___alignof__] = ACTIONS(2641),
    [anon_sym___alignof] = ACTIONS(2641),
    [anon_sym__alignof] = ACTIONS(2641),
    [anon_sym_alignof] = ACTIONS(2641),
    [anon_sym__Alignof] = ACTIONS(2641),
    [anon_sym_offsetof] = ACTIONS(2641),
    [anon_sym__Generic] = ACTIONS(2641),
    [anon_sym_asm] = ACTIONS(2641),
    [anon_sym___asm__] = ACTIONS(2641),
    [sym_number_literal] = ACTIONS(2643),
    [anon_sym_L_SQUOTE] = ACTIONS(2643),
    [anon_sym_u_SQUOTE] = ACTIONS(2643),
    [anon_sym_U_SQUOTE] = ACTIONS(2643),
    [anon_sym_u8_SQUOTE] = ACTIONS(2643),
    [anon_sym_SQUOTE] = ACTIONS(2643),
    [anon_sym_L_DQUOTE] = ACTIONS(2643),
    [anon_sym_u_DQUOTE] = ACTIONS(2643),
    [anon_sym_U_DQUOTE] = ACTIONS(2643),
    [anon_sym_u8_DQUOTE] = ACTIONS(2643),
    [anon_sym_DQUOTE] = ACTIONS(2643),
    [sym_true] = ACTIONS(2641),
    [sym_false] = ACTIONS(2641),
    [anon_sym_NULL] = ACTIONS(2641),
    [anon_sym_nullptr] = ACTIONS(2641),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2641),
    [anon_sym_decltype] = ACTIONS(2641),
    [anon_sym_virtual] = ACTIONS(2641),
    [anon_sym_alignas] = ACTIONS(2641),
    [anon_sym_explicit] = ACTIONS(2641),
    [anon_sym_typename] = ACTIONS(2641),
    [anon_sym_template] = ACTIONS(2641),
    [anon_sym_operator] = ACTIONS(2641),
    [anon_sym_try] = ACTIONS(2641),
    [anon_sym_delete] = ACTIONS(2641),
    [anon_sym_throw] = ACTIONS(2641),
    [anon_sym_namespace] = ACTIONS(2641),
    [anon_sym_using] = ACTIONS(2641),
    [anon_sym_static_assert] = ACTIONS(2641),
    [anon_sym_concept] = ACTIONS(2641),
    [anon_sym_co_return] = ACTIONS(2641),
    [anon_sym_co_yield] = ACTIONS(2641),
    [anon_sym_R_DQUOTE] = ACTIONS(2643),
    [anon_sym_LR_DQUOTE] = ACTIONS(2643),
    [anon_sym_uR_DQUOTE] = ACTIONS(2643),
    [anon_sym_UR_DQUOTE] = ACTIONS(2643),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2643),
    [anon_sym_co_await] = ACTIONS(2641),
    [anon_sym_new] = ACTIONS(2641),
    [anon_sym_requires] = ACTIONS(2641),
    [sym_this] = ACTIONS(2641),
    [anon_sym_discard] = ACTIONS(2641),
    [anon_sym_precise] = ACTIONS(2641),
    [anon_sym_shared] = ACTIONS(2641),
    [anon_sym_groupshared] = ACTIONS(2641),
    [anon_sym_uniform] = ACTIONS(2641),
    [anon_sym_row_major] = ACTIONS(2641),
    [anon_sym_column_major] = ACTIONS(2641),
    [anon_sym_globallycoherent] = ACTIONS(2641),
    [anon_sym_centroid] = ACTIONS(2641),
    [anon_sym_noperspective] = ACTIONS(2641),
    [anon_sym_nointerpolation] = ACTIONS(2641),
    [anon_sym_sample] = ACTIONS(2641),
    [anon_sym_linear] = ACTIONS(2641),
    [anon_sym_snorm] = ACTIONS(2641),
    [anon_sym_unorm] = ACTIONS(2641),
    [anon_sym_point] = ACTIONS(2641),
    [anon_sym_line] = ACTIONS(2641),
    [anon_sym_triangleadj] = ACTIONS(2641),
    [anon_sym_lineadj] = ACTIONS(2641),
    [anon_sym_triangle] = ACTIONS(2641),
    [anon_sym_cbuffer] = ACTIONS(2641),
  },
  [373] = {
    [sym_identifier] = ACTIONS(2645),
    [aux_sym_preproc_include_token1] = ACTIONS(2645),
    [aux_sym_preproc_def_token1] = ACTIONS(2645),
    [aux_sym_preproc_if_token1] = ACTIONS(2645),
    [aux_sym_preproc_if_token2] = ACTIONS(2645),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2645),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2645),
    [aux_sym_preproc_else_token1] = ACTIONS(2645),
    [aux_sym_preproc_elif_token1] = ACTIONS(2645),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2645),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2645),
    [sym_preproc_directive] = ACTIONS(2645),
    [anon_sym_LPAREN2] = ACTIONS(2647),
    [anon_sym_BANG] = ACTIONS(2647),
    [anon_sym_TILDE] = ACTIONS(2647),
    [anon_sym_DASH] = ACTIONS(2645),
    [anon_sym_PLUS] = ACTIONS(2645),
    [anon_sym_STAR] = ACTIONS(2647),
    [anon_sym_AMP_AMP] = ACTIONS(2647),
    [anon_sym_AMP] = ACTIONS(2645),
    [anon_sym_SEMI] = ACTIONS(2647),
    [anon_sym___extension__] = ACTIONS(2645),
    [anon_sym_typedef] = ACTIONS(2645),
    [anon_sym_in] = ACTIONS(2645),
    [anon_sym_out] = ACTIONS(2645),
    [anon_sym_inout] = ACTIONS(2645),
    [anon_sym_extern] = ACTIONS(2645),
    [anon_sym___attribute__] = ACTIONS(2645),
    [anon_sym_COLON_COLON] = ACTIONS(2647),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2647),
    [anon_sym___declspec] = ACTIONS(2645),
    [anon_sym___based] = ACTIONS(2645),
    [anon_sym___cdecl] = ACTIONS(2645),
    [anon_sym___clrcall] = ACTIONS(2645),
    [anon_sym___stdcall] = ACTIONS(2645),
    [anon_sym___fastcall] = ACTIONS(2645),
    [anon_sym___thiscall] = ACTIONS(2645),
    [anon_sym___vectorcall] = ACTIONS(2645),
    [anon_sym_LBRACE] = ACTIONS(2647),
    [anon_sym_signed] = ACTIONS(2645),
    [anon_sym_unsigned] = ACTIONS(2645),
    [anon_sym_long] = ACTIONS(2645),
    [anon_sym_short] = ACTIONS(2645),
    [anon_sym_LBRACK] = ACTIONS(2645),
    [anon_sym_static] = ACTIONS(2645),
    [anon_sym_register] = ACTIONS(2645),
    [anon_sym_inline] = ACTIONS(2645),
    [anon_sym___inline] = ACTIONS(2645),
    [anon_sym___inline__] = ACTIONS(2645),
    [anon_sym___forceinline] = ACTIONS(2645),
    [anon_sym_thread_local] = ACTIONS(2645),
    [anon_sym___thread] = ACTIONS(2645),
    [anon_sym_const] = ACTIONS(2645),
    [anon_sym_constexpr] = ACTIONS(2645),
    [anon_sym_volatile] = ACTIONS(2645),
    [anon_sym_restrict] = ACTIONS(2645),
    [anon_sym___restrict__] = ACTIONS(2645),
    [anon_sym__Atomic] = ACTIONS(2645),
    [anon_sym__Noreturn] = ACTIONS(2645),
    [anon_sym_noreturn] = ACTIONS(2645),
    [anon_sym_mutable] = ACTIONS(2645),
    [anon_sym_constinit] = ACTIONS(2645),
    [anon_sym_consteval] = ACTIONS(2645),
    [sym_primitive_type] = ACTIONS(2645),
    [anon_sym_enum] = ACTIONS(2645),
    [anon_sym_class] = ACTIONS(2645),
    [anon_sym_struct] = ACTIONS(2645),
    [anon_sym_union] = ACTIONS(2645),
    [anon_sym_if] = ACTIONS(2645),
    [anon_sym_switch] = ACTIONS(2645),
    [anon_sym_case] = ACTIONS(2645),
    [anon_sym_default] = ACTIONS(2645),
    [anon_sym_while] = ACTIONS(2645),
    [anon_sym_do] = ACTIONS(2645),
    [anon_sym_for] = ACTIONS(2645),
    [anon_sym_return] = ACTIONS(2645),
    [anon_sym_break] = ACTIONS(2645),
    [anon_sym_continue] = ACTIONS(2645),
    [anon_sym_goto] = ACTIONS(2645),
    [anon_sym___try] = ACTIONS(2645),
    [anon_sym___leave] = ACTIONS(2645),
    [anon_sym_not] = ACTIONS(2645),
    [anon_sym_compl] = ACTIONS(2645),
    [anon_sym_DASH_DASH] = ACTIONS(2647),
    [anon_sym_PLUS_PLUS] = ACTIONS(2647),
    [anon_sym_sizeof] = ACTIONS(2645),
    [anon_sym___alignof__] = ACTIONS(2645),
    [anon_sym___alignof] = ACTIONS(2645),
    [anon_sym__alignof] = ACTIONS(2645),
    [anon_sym_alignof] = ACTIONS(2645),
    [anon_sym__Alignof] = ACTIONS(2645),
    [anon_sym_offsetof] = ACTIONS(2645),
    [anon_sym__Generic] = ACTIONS(2645),
    [anon_sym_asm] = ACTIONS(2645),
    [anon_sym___asm__] = ACTIONS(2645),
    [sym_number_literal] = ACTIONS(2647),
    [anon_sym_L_SQUOTE] = ACTIONS(2647),
    [anon_sym_u_SQUOTE] = ACTIONS(2647),
    [anon_sym_U_SQUOTE] = ACTIONS(2647),
    [anon_sym_u8_SQUOTE] = ACTIONS(2647),
    [anon_sym_SQUOTE] = ACTIONS(2647),
    [anon_sym_L_DQUOTE] = ACTIONS(2647),
    [anon_sym_u_DQUOTE] = ACTIONS(2647),
    [anon_sym_U_DQUOTE] = ACTIONS(2647),
    [anon_sym_u8_DQUOTE] = ACTIONS(2647),
    [anon_sym_DQUOTE] = ACTIONS(2647),
    [sym_true] = ACTIONS(2645),
    [sym_false] = ACTIONS(2645),
    [anon_sym_NULL] = ACTIONS(2645),
    [anon_sym_nullptr] = ACTIONS(2645),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2645),
    [anon_sym_decltype] = ACTIONS(2645),
    [anon_sym_virtual] = ACTIONS(2645),
    [anon_sym_alignas] = ACTIONS(2645),
    [anon_sym_explicit] = ACTIONS(2645),
    [anon_sym_typename] = ACTIONS(2645),
    [anon_sym_template] = ACTIONS(2645),
    [anon_sym_operator] = ACTIONS(2645),
    [anon_sym_try] = ACTIONS(2645),
    [anon_sym_delete] = ACTIONS(2645),
    [anon_sym_throw] = ACTIONS(2645),
    [anon_sym_namespace] = ACTIONS(2645),
    [anon_sym_using] = ACTIONS(2645),
    [anon_sym_static_assert] = ACTIONS(2645),
    [anon_sym_concept] = ACTIONS(2645),
    [anon_sym_co_return] = ACTIONS(2645),
    [anon_sym_co_yield] = ACTIONS(2645),
    [anon_sym_R_DQUOTE] = ACTIONS(2647),
    [anon_sym_LR_DQUOTE] = ACTIONS(2647),
    [anon_sym_uR_DQUOTE] = ACTIONS(2647),
    [anon_sym_UR_DQUOTE] = ACTIONS(2647),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2647),
    [anon_sym_co_await] = ACTIONS(2645),
    [anon_sym_new] = ACTIONS(2645),
    [anon_sym_requires] = ACTIONS(2645),
    [sym_this] = ACTIONS(2645),
    [anon_sym_discard] = ACTIONS(2645),
    [anon_sym_precise] = ACTIONS(2645),
    [anon_sym_shared] = ACTIONS(2645),
    [anon_sym_groupshared] = ACTIONS(2645),
    [anon_sym_uniform] = ACTIONS(2645),
    [anon_sym_row_major] = ACTIONS(2645),
    [anon_sym_column_major] = ACTIONS(2645),
    [anon_sym_globallycoherent] = ACTIONS(2645),
    [anon_sym_centroid] = ACTIONS(2645),
    [anon_sym_noperspective] = ACTIONS(2645),
    [anon_sym_nointerpolation] = ACTIONS(2645),
    [anon_sym_sample] = ACTIONS(2645),
    [anon_sym_linear] = ACTIONS(2645),
    [anon_sym_snorm] = ACTIONS(2645),
    [anon_sym_unorm] = ACTIONS(2645),
    [anon_sym_point] = ACTIONS(2645),
    [anon_sym_line] = ACTIONS(2645),
    [anon_sym_triangleadj] = ACTIONS(2645),
    [anon_sym_lineadj] = ACTIONS(2645),
    [anon_sym_triangle] = ACTIONS(2645),
    [anon_sym_cbuffer] = ACTIONS(2645),
  },
  [374] = {
    [sym_identifier] = ACTIONS(2649),
    [aux_sym_preproc_include_token1] = ACTIONS(2649),
    [aux_sym_preproc_def_token1] = ACTIONS(2649),
    [aux_sym_preproc_if_token1] = ACTIONS(2649),
    [aux_sym_preproc_if_token2] = ACTIONS(2649),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2649),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2649),
    [aux_sym_preproc_else_token1] = ACTIONS(2649),
    [aux_sym_preproc_elif_token1] = ACTIONS(2649),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2649),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2649),
    [sym_preproc_directive] = ACTIONS(2649),
    [anon_sym_LPAREN2] = ACTIONS(2651),
    [anon_sym_BANG] = ACTIONS(2651),
    [anon_sym_TILDE] = ACTIONS(2651),
    [anon_sym_DASH] = ACTIONS(2649),
    [anon_sym_PLUS] = ACTIONS(2649),
    [anon_sym_STAR] = ACTIONS(2651),
    [anon_sym_AMP_AMP] = ACTIONS(2651),
    [anon_sym_AMP] = ACTIONS(2649),
    [anon_sym_SEMI] = ACTIONS(2651),
    [anon_sym___extension__] = ACTIONS(2649),
    [anon_sym_typedef] = ACTIONS(2649),
    [anon_sym_in] = ACTIONS(2649),
    [anon_sym_out] = ACTIONS(2649),
    [anon_sym_inout] = ACTIONS(2649),
    [anon_sym_extern] = ACTIONS(2649),
    [anon_sym___attribute__] = ACTIONS(2649),
    [anon_sym_COLON_COLON] = ACTIONS(2651),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2651),
    [anon_sym___declspec] = ACTIONS(2649),
    [anon_sym___based] = ACTIONS(2649),
    [anon_sym___cdecl] = ACTIONS(2649),
    [anon_sym___clrcall] = ACTIONS(2649),
    [anon_sym___stdcall] = ACTIONS(2649),
    [anon_sym___fastcall] = ACTIONS(2649),
    [anon_sym___thiscall] = ACTIONS(2649),
    [anon_sym___vectorcall] = ACTIONS(2649),
    [anon_sym_LBRACE] = ACTIONS(2651),
    [anon_sym_signed] = ACTIONS(2649),
    [anon_sym_unsigned] = ACTIONS(2649),
    [anon_sym_long] = ACTIONS(2649),
    [anon_sym_short] = ACTIONS(2649),
    [anon_sym_LBRACK] = ACTIONS(2649),
    [anon_sym_static] = ACTIONS(2649),
    [anon_sym_register] = ACTIONS(2649),
    [anon_sym_inline] = ACTIONS(2649),
    [anon_sym___inline] = ACTIONS(2649),
    [anon_sym___inline__] = ACTIONS(2649),
    [anon_sym___forceinline] = ACTIONS(2649),
    [anon_sym_thread_local] = ACTIONS(2649),
    [anon_sym___thread] = ACTIONS(2649),
    [anon_sym_const] = ACTIONS(2649),
    [anon_sym_constexpr] = ACTIONS(2649),
    [anon_sym_volatile] = ACTIONS(2649),
    [anon_sym_restrict] = ACTIONS(2649),
    [anon_sym___restrict__] = ACTIONS(2649),
    [anon_sym__Atomic] = ACTIONS(2649),
    [anon_sym__Noreturn] = ACTIONS(2649),
    [anon_sym_noreturn] = ACTIONS(2649),
    [anon_sym_mutable] = ACTIONS(2649),
    [anon_sym_constinit] = ACTIONS(2649),
    [anon_sym_consteval] = ACTIONS(2649),
    [sym_primitive_type] = ACTIONS(2649),
    [anon_sym_enum] = ACTIONS(2649),
    [anon_sym_class] = ACTIONS(2649),
    [anon_sym_struct] = ACTIONS(2649),
    [anon_sym_union] = ACTIONS(2649),
    [anon_sym_if] = ACTIONS(2649),
    [anon_sym_switch] = ACTIONS(2649),
    [anon_sym_case] = ACTIONS(2649),
    [anon_sym_default] = ACTIONS(2649),
    [anon_sym_while] = ACTIONS(2649),
    [anon_sym_do] = ACTIONS(2649),
    [anon_sym_for] = ACTIONS(2649),
    [anon_sym_return] = ACTIONS(2649),
    [anon_sym_break] = ACTIONS(2649),
    [anon_sym_continue] = ACTIONS(2649),
    [anon_sym_goto] = ACTIONS(2649),
    [anon_sym___try] = ACTIONS(2649),
    [anon_sym___leave] = ACTIONS(2649),
    [anon_sym_not] = ACTIONS(2649),
    [anon_sym_compl] = ACTIONS(2649),
    [anon_sym_DASH_DASH] = ACTIONS(2651),
    [anon_sym_PLUS_PLUS] = ACTIONS(2651),
    [anon_sym_sizeof] = ACTIONS(2649),
    [anon_sym___alignof__] = ACTIONS(2649),
    [anon_sym___alignof] = ACTIONS(2649),
    [anon_sym__alignof] = ACTIONS(2649),
    [anon_sym_alignof] = ACTIONS(2649),
    [anon_sym__Alignof] = ACTIONS(2649),
    [anon_sym_offsetof] = ACTIONS(2649),
    [anon_sym__Generic] = ACTIONS(2649),
    [anon_sym_asm] = ACTIONS(2649),
    [anon_sym___asm__] = ACTIONS(2649),
    [sym_number_literal] = ACTIONS(2651),
    [anon_sym_L_SQUOTE] = ACTIONS(2651),
    [anon_sym_u_SQUOTE] = ACTIONS(2651),
    [anon_sym_U_SQUOTE] = ACTIONS(2651),
    [anon_sym_u8_SQUOTE] = ACTIONS(2651),
    [anon_sym_SQUOTE] = ACTIONS(2651),
    [anon_sym_L_DQUOTE] = ACTIONS(2651),
    [anon_sym_u_DQUOTE] = ACTIONS(2651),
    [anon_sym_U_DQUOTE] = ACTIONS(2651),
    [anon_sym_u8_DQUOTE] = ACTIONS(2651),
    [anon_sym_DQUOTE] = ACTIONS(2651),
    [sym_true] = ACTIONS(2649),
    [sym_false] = ACTIONS(2649),
    [anon_sym_NULL] = ACTIONS(2649),
    [anon_sym_nullptr] = ACTIONS(2649),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2649),
    [anon_sym_decltype] = ACTIONS(2649),
    [anon_sym_virtual] = ACTIONS(2649),
    [anon_sym_alignas] = ACTIONS(2649),
    [anon_sym_explicit] = ACTIONS(2649),
    [anon_sym_typename] = ACTIONS(2649),
    [anon_sym_template] = ACTIONS(2649),
    [anon_sym_operator] = ACTIONS(2649),
    [anon_sym_try] = ACTIONS(2649),
    [anon_sym_delete] = ACTIONS(2649),
    [anon_sym_throw] = ACTIONS(2649),
    [anon_sym_namespace] = ACTIONS(2649),
    [anon_sym_using] = ACTIONS(2649),
    [anon_sym_static_assert] = ACTIONS(2649),
    [anon_sym_concept] = ACTIONS(2649),
    [anon_sym_co_return] = ACTIONS(2649),
    [anon_sym_co_yield] = ACTIONS(2649),
    [anon_sym_R_DQUOTE] = ACTIONS(2651),
    [anon_sym_LR_DQUOTE] = ACTIONS(2651),
    [anon_sym_uR_DQUOTE] = ACTIONS(2651),
    [anon_sym_UR_DQUOTE] = ACTIONS(2651),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2651),
    [anon_sym_co_await] = ACTIONS(2649),
    [anon_sym_new] = ACTIONS(2649),
    [anon_sym_requires] = ACTIONS(2649),
    [sym_this] = ACTIONS(2649),
    [anon_sym_discard] = ACTIONS(2649),
    [anon_sym_precise] = ACTIONS(2649),
    [anon_sym_shared] = ACTIONS(2649),
    [anon_sym_groupshared] = ACTIONS(2649),
    [anon_sym_uniform] = ACTIONS(2649),
    [anon_sym_row_major] = ACTIONS(2649),
    [anon_sym_column_major] = ACTIONS(2649),
    [anon_sym_globallycoherent] = ACTIONS(2649),
    [anon_sym_centroid] = ACTIONS(2649),
    [anon_sym_noperspective] = ACTIONS(2649),
    [anon_sym_nointerpolation] = ACTIONS(2649),
    [anon_sym_sample] = ACTIONS(2649),
    [anon_sym_linear] = ACTIONS(2649),
    [anon_sym_snorm] = ACTIONS(2649),
    [anon_sym_unorm] = ACTIONS(2649),
    [anon_sym_point] = ACTIONS(2649),
    [anon_sym_line] = ACTIONS(2649),
    [anon_sym_triangleadj] = ACTIONS(2649),
    [anon_sym_lineadj] = ACTIONS(2649),
    [anon_sym_triangle] = ACTIONS(2649),
    [anon_sym_cbuffer] = ACTIONS(2649),
  },
  [375] = {
    [sym_identifier] = ACTIONS(2617),
    [aux_sym_preproc_include_token1] = ACTIONS(2617),
    [aux_sym_preproc_def_token1] = ACTIONS(2617),
    [aux_sym_preproc_if_token1] = ACTIONS(2617),
    [aux_sym_preproc_if_token2] = ACTIONS(2617),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2617),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2617),
    [aux_sym_preproc_else_token1] = ACTIONS(2617),
    [aux_sym_preproc_elif_token1] = ACTIONS(2617),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2617),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2617),
    [sym_preproc_directive] = ACTIONS(2617),
    [anon_sym_LPAREN2] = ACTIONS(2619),
    [anon_sym_BANG] = ACTIONS(2619),
    [anon_sym_TILDE] = ACTIONS(2619),
    [anon_sym_DASH] = ACTIONS(2617),
    [anon_sym_PLUS] = ACTIONS(2617),
    [anon_sym_STAR] = ACTIONS(2619),
    [anon_sym_AMP_AMP] = ACTIONS(2619),
    [anon_sym_AMP] = ACTIONS(2617),
    [anon_sym_SEMI] = ACTIONS(2619),
    [anon_sym___extension__] = ACTIONS(2617),
    [anon_sym_typedef] = ACTIONS(2617),
    [anon_sym_in] = ACTIONS(2617),
    [anon_sym_out] = ACTIONS(2617),
    [anon_sym_inout] = ACTIONS(2617),
    [anon_sym_extern] = ACTIONS(2617),
    [anon_sym___attribute__] = ACTIONS(2617),
    [anon_sym_COLON_COLON] = ACTIONS(2619),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2619),
    [anon_sym___declspec] = ACTIONS(2617),
    [anon_sym___based] = ACTIONS(2617),
    [anon_sym___cdecl] = ACTIONS(2617),
    [anon_sym___clrcall] = ACTIONS(2617),
    [anon_sym___stdcall] = ACTIONS(2617),
    [anon_sym___fastcall] = ACTIONS(2617),
    [anon_sym___thiscall] = ACTIONS(2617),
    [anon_sym___vectorcall] = ACTIONS(2617),
    [anon_sym_LBRACE] = ACTIONS(2619),
    [anon_sym_signed] = ACTIONS(2617),
    [anon_sym_unsigned] = ACTIONS(2617),
    [anon_sym_long] = ACTIONS(2617),
    [anon_sym_short] = ACTIONS(2617),
    [anon_sym_LBRACK] = ACTIONS(2617),
    [anon_sym_static] = ACTIONS(2617),
    [anon_sym_register] = ACTIONS(2617),
    [anon_sym_inline] = ACTIONS(2617),
    [anon_sym___inline] = ACTIONS(2617),
    [anon_sym___inline__] = ACTIONS(2617),
    [anon_sym___forceinline] = ACTIONS(2617),
    [anon_sym_thread_local] = ACTIONS(2617),
    [anon_sym___thread] = ACTIONS(2617),
    [anon_sym_const] = ACTIONS(2617),
    [anon_sym_constexpr] = ACTIONS(2617),
    [anon_sym_volatile] = ACTIONS(2617),
    [anon_sym_restrict] = ACTIONS(2617),
    [anon_sym___restrict__] = ACTIONS(2617),
    [anon_sym__Atomic] = ACTIONS(2617),
    [anon_sym__Noreturn] = ACTIONS(2617),
    [anon_sym_noreturn] = ACTIONS(2617),
    [anon_sym_mutable] = ACTIONS(2617),
    [anon_sym_constinit] = ACTIONS(2617),
    [anon_sym_consteval] = ACTIONS(2617),
    [sym_primitive_type] = ACTIONS(2617),
    [anon_sym_enum] = ACTIONS(2617),
    [anon_sym_class] = ACTIONS(2617),
    [anon_sym_struct] = ACTIONS(2617),
    [anon_sym_union] = ACTIONS(2617),
    [anon_sym_if] = ACTIONS(2617),
    [anon_sym_switch] = ACTIONS(2617),
    [anon_sym_case] = ACTIONS(2617),
    [anon_sym_default] = ACTIONS(2617),
    [anon_sym_while] = ACTIONS(2617),
    [anon_sym_do] = ACTIONS(2617),
    [anon_sym_for] = ACTIONS(2617),
    [anon_sym_return] = ACTIONS(2617),
    [anon_sym_break] = ACTIONS(2617),
    [anon_sym_continue] = ACTIONS(2617),
    [anon_sym_goto] = ACTIONS(2617),
    [anon_sym___try] = ACTIONS(2617),
    [anon_sym___leave] = ACTIONS(2617),
    [anon_sym_not] = ACTIONS(2617),
    [anon_sym_compl] = ACTIONS(2617),
    [anon_sym_DASH_DASH] = ACTIONS(2619),
    [anon_sym_PLUS_PLUS] = ACTIONS(2619),
    [anon_sym_sizeof] = ACTIONS(2617),
    [anon_sym___alignof__] = ACTIONS(2617),
    [anon_sym___alignof] = ACTIONS(2617),
    [anon_sym__alignof] = ACTIONS(2617),
    [anon_sym_alignof] = ACTIONS(2617),
    [anon_sym__Alignof] = ACTIONS(2617),
    [anon_sym_offsetof] = ACTIONS(2617),
    [anon_sym__Generic] = ACTIONS(2617),
    [anon_sym_asm] = ACTIONS(2617),
    [anon_sym___asm__] = ACTIONS(2617),
    [sym_number_literal] = ACTIONS(2619),
    [anon_sym_L_SQUOTE] = ACTIONS(2619),
    [anon_sym_u_SQUOTE] = ACTIONS(2619),
    [anon_sym_U_SQUOTE] = ACTIONS(2619),
    [anon_sym_u8_SQUOTE] = ACTIONS(2619),
    [anon_sym_SQUOTE] = ACTIONS(2619),
    [anon_sym_L_DQUOTE] = ACTIONS(2619),
    [anon_sym_u_DQUOTE] = ACTIONS(2619),
    [anon_sym_U_DQUOTE] = ACTIONS(2619),
    [anon_sym_u8_DQUOTE] = ACTIONS(2619),
    [anon_sym_DQUOTE] = ACTIONS(2619),
    [sym_true] = ACTIONS(2617),
    [sym_false] = ACTIONS(2617),
    [anon_sym_NULL] = ACTIONS(2617),
    [anon_sym_nullptr] = ACTIONS(2617),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2617),
    [anon_sym_decltype] = ACTIONS(2617),
    [anon_sym_virtual] = ACTIONS(2617),
    [anon_sym_alignas] = ACTIONS(2617),
    [anon_sym_explicit] = ACTIONS(2617),
    [anon_sym_typename] = ACTIONS(2617),
    [anon_sym_template] = ACTIONS(2617),
    [anon_sym_operator] = ACTIONS(2617),
    [anon_sym_try] = ACTIONS(2617),
    [anon_sym_delete] = ACTIONS(2617),
    [anon_sym_throw] = ACTIONS(2617),
    [anon_sym_namespace] = ACTIONS(2617),
    [anon_sym_using] = ACTIONS(2617),
    [anon_sym_static_assert] = ACTIONS(2617),
    [anon_sym_concept] = ACTIONS(2617),
    [anon_sym_co_return] = ACTIONS(2617),
    [anon_sym_co_yield] = ACTIONS(2617),
    [anon_sym_R_DQUOTE] = ACTIONS(2619),
    [anon_sym_LR_DQUOTE] = ACTIONS(2619),
    [anon_sym_uR_DQUOTE] = ACTIONS(2619),
    [anon_sym_UR_DQUOTE] = ACTIONS(2619),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2619),
    [anon_sym_co_await] = ACTIONS(2617),
    [anon_sym_new] = ACTIONS(2617),
    [anon_sym_requires] = ACTIONS(2617),
    [sym_this] = ACTIONS(2617),
    [anon_sym_discard] = ACTIONS(2617),
    [anon_sym_precise] = ACTIONS(2617),
    [anon_sym_shared] = ACTIONS(2617),
    [anon_sym_groupshared] = ACTIONS(2617),
    [anon_sym_uniform] = ACTIONS(2617),
    [anon_sym_row_major] = ACTIONS(2617),
    [anon_sym_column_major] = ACTIONS(2617),
    [anon_sym_globallycoherent] = ACTIONS(2617),
    [anon_sym_centroid] = ACTIONS(2617),
    [anon_sym_noperspective] = ACTIONS(2617),
    [anon_sym_nointerpolation] = ACTIONS(2617),
    [anon_sym_sample] = ACTIONS(2617),
    [anon_sym_linear] = ACTIONS(2617),
    [anon_sym_snorm] = ACTIONS(2617),
    [anon_sym_unorm] = ACTIONS(2617),
    [anon_sym_point] = ACTIONS(2617),
    [anon_sym_line] = ACTIONS(2617),
    [anon_sym_triangleadj] = ACTIONS(2617),
    [anon_sym_lineadj] = ACTIONS(2617),
    [anon_sym_triangle] = ACTIONS(2617),
    [anon_sym_cbuffer] = ACTIONS(2617),
  },
  [376] = {
    [sym_else_clause] = STATE(529),
    [sym_identifier] = ACTIONS(2310),
    [aux_sym_preproc_include_token1] = ACTIONS(2310),
    [aux_sym_preproc_def_token1] = ACTIONS(2310),
    [aux_sym_preproc_if_token1] = ACTIONS(2310),
    [aux_sym_preproc_if_token2] = ACTIONS(2310),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2310),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2310),
    [aux_sym_preproc_else_token1] = ACTIONS(2310),
    [aux_sym_preproc_elif_token1] = ACTIONS(2310),
    [sym_preproc_directive] = ACTIONS(2310),
    [anon_sym_LPAREN2] = ACTIONS(2312),
    [anon_sym_BANG] = ACTIONS(2312),
    [anon_sym_TILDE] = ACTIONS(2312),
    [anon_sym_DASH] = ACTIONS(2310),
    [anon_sym_PLUS] = ACTIONS(2310),
    [anon_sym_STAR] = ACTIONS(2312),
    [anon_sym_AMP_AMP] = ACTIONS(2312),
    [anon_sym_AMP] = ACTIONS(2310),
    [anon_sym_SEMI] = ACTIONS(2312),
    [anon_sym___extension__] = ACTIONS(2310),
    [anon_sym_typedef] = ACTIONS(2310),
    [anon_sym_in] = ACTIONS(2310),
    [anon_sym_out] = ACTIONS(2310),
    [anon_sym_inout] = ACTIONS(2310),
    [anon_sym_extern] = ACTIONS(2310),
    [anon_sym___attribute__] = ACTIONS(2310),
    [anon_sym_COLON_COLON] = ACTIONS(2312),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2312),
    [anon_sym___declspec] = ACTIONS(2310),
    [anon_sym___based] = ACTIONS(2310),
    [anon_sym___cdecl] = ACTIONS(2310),
    [anon_sym___clrcall] = ACTIONS(2310),
    [anon_sym___stdcall] = ACTIONS(2310),
    [anon_sym___fastcall] = ACTIONS(2310),
    [anon_sym___thiscall] = ACTIONS(2310),
    [anon_sym___vectorcall] = ACTIONS(2310),
    [anon_sym_LBRACE] = ACTIONS(2312),
    [anon_sym_signed] = ACTIONS(2310),
    [anon_sym_unsigned] = ACTIONS(2310),
    [anon_sym_long] = ACTIONS(2310),
    [anon_sym_short] = ACTIONS(2310),
    [anon_sym_LBRACK] = ACTIONS(2310),
    [anon_sym_static] = ACTIONS(2310),
    [anon_sym_register] = ACTIONS(2310),
    [anon_sym_inline] = ACTIONS(2310),
    [anon_sym___inline] = ACTIONS(2310),
    [anon_sym___inline__] = ACTIONS(2310),
    [anon_sym___forceinline] = ACTIONS(2310),
    [anon_sym_thread_local] = ACTIONS(2310),
    [anon_sym___thread] = ACTIONS(2310),
    [anon_sym_const] = ACTIONS(2310),
    [anon_sym_constexpr] = ACTIONS(2310),
    [anon_sym_volatile] = ACTIONS(2310),
    [anon_sym_restrict] = ACTIONS(2310),
    [anon_sym___restrict__] = ACTIONS(2310),
    [anon_sym__Atomic] = ACTIONS(2310),
    [anon_sym__Noreturn] = ACTIONS(2310),
    [anon_sym_noreturn] = ACTIONS(2310),
    [anon_sym_mutable] = ACTIONS(2310),
    [anon_sym_constinit] = ACTIONS(2310),
    [anon_sym_consteval] = ACTIONS(2310),
    [sym_primitive_type] = ACTIONS(2310),
    [anon_sym_enum] = ACTIONS(2310),
    [anon_sym_class] = ACTIONS(2310),
    [anon_sym_struct] = ACTIONS(2310),
    [anon_sym_union] = ACTIONS(2310),
    [anon_sym_if] = ACTIONS(2310),
    [anon_sym_else] = ACTIONS(2615),
    [anon_sym_switch] = ACTIONS(2310),
    [anon_sym_case] = ACTIONS(2310),
    [anon_sym_default] = ACTIONS(2310),
    [anon_sym_while] = ACTIONS(2310),
    [anon_sym_do] = ACTIONS(2310),
    [anon_sym_for] = ACTIONS(2310),
    [anon_sym_return] = ACTIONS(2310),
    [anon_sym_break] = ACTIONS(2310),
    [anon_sym_continue] = ACTIONS(2310),
    [anon_sym_goto] = ACTIONS(2310),
    [anon_sym___try] = ACTIONS(2310),
    [anon_sym___leave] = ACTIONS(2310),
    [anon_sym_not] = ACTIONS(2310),
    [anon_sym_compl] = ACTIONS(2310),
    [anon_sym_DASH_DASH] = ACTIONS(2312),
    [anon_sym_PLUS_PLUS] = ACTIONS(2312),
    [anon_sym_sizeof] = ACTIONS(2310),
    [anon_sym___alignof__] = ACTIONS(2310),
    [anon_sym___alignof] = ACTIONS(2310),
    [anon_sym__alignof] = ACTIONS(2310),
    [anon_sym_alignof] = ACTIONS(2310),
    [anon_sym__Alignof] = ACTIONS(2310),
    [anon_sym_offsetof] = ACTIONS(2310),
    [anon_sym__Generic] = ACTIONS(2310),
    [anon_sym_asm] = ACTIONS(2310),
    [anon_sym___asm__] = ACTIONS(2310),
    [sym_number_literal] = ACTIONS(2312),
    [anon_sym_L_SQUOTE] = ACTIONS(2312),
    [anon_sym_u_SQUOTE] = ACTIONS(2312),
    [anon_sym_U_SQUOTE] = ACTIONS(2312),
    [anon_sym_u8_SQUOTE] = ACTIONS(2312),
    [anon_sym_SQUOTE] = ACTIONS(2312),
    [anon_sym_L_DQUOTE] = ACTIONS(2312),
    [anon_sym_u_DQUOTE] = ACTIONS(2312),
    [anon_sym_U_DQUOTE] = ACTIONS(2312),
    [anon_sym_u8_DQUOTE] = ACTIONS(2312),
    [anon_sym_DQUOTE] = ACTIONS(2312),
    [sym_true] = ACTIONS(2310),
    [sym_false] = ACTIONS(2310),
    [anon_sym_NULL] = ACTIONS(2310),
    [anon_sym_nullptr] = ACTIONS(2310),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2310),
    [anon_sym_decltype] = ACTIONS(2310),
    [anon_sym_virtual] = ACTIONS(2310),
    [anon_sym_alignas] = ACTIONS(2310),
    [anon_sym_explicit] = ACTIONS(2310),
    [anon_sym_typename] = ACTIONS(2310),
    [anon_sym_template] = ACTIONS(2310),
    [anon_sym_operator] = ACTIONS(2310),
    [anon_sym_try] = ACTIONS(2310),
    [anon_sym_delete] = ACTIONS(2310),
    [anon_sym_throw] = ACTIONS(2310),
    [anon_sym_namespace] = ACTIONS(2310),
    [anon_sym_using] = ACTIONS(2310),
    [anon_sym_static_assert] = ACTIONS(2310),
    [anon_sym_concept] = ACTIONS(2310),
    [anon_sym_co_return] = ACTIONS(2310),
    [anon_sym_co_yield] = ACTIONS(2310),
    [anon_sym_R_DQUOTE] = ACTIONS(2312),
    [anon_sym_LR_DQUOTE] = ACTIONS(2312),
    [anon_sym_uR_DQUOTE] = ACTIONS(2312),
    [anon_sym_UR_DQUOTE] = ACTIONS(2312),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2312),
    [anon_sym_co_await] = ACTIONS(2310),
    [anon_sym_new] = ACTIONS(2310),
    [anon_sym_requires] = ACTIONS(2310),
    [sym_this] = ACTIONS(2310),
    [anon_sym_discard] = ACTIONS(2310),
    [anon_sym_precise] = ACTIONS(2310),
    [anon_sym_shared] = ACTIONS(2310),
    [anon_sym_groupshared] = ACTIONS(2310),
    [anon_sym_uniform] = ACTIONS(2310),
    [anon_sym_row_major] = ACTIONS(2310),
    [anon_sym_column_major] = ACTIONS(2310),
    [anon_sym_globallycoherent] = ACTIONS(2310),
    [anon_sym_centroid] = ACTIONS(2310),
    [anon_sym_noperspective] = ACTIONS(2310),
    [anon_sym_nointerpolation] = ACTIONS(2310),
    [anon_sym_sample] = ACTIONS(2310),
    [anon_sym_linear] = ACTIONS(2310),
    [anon_sym_snorm] = ACTIONS(2310),
    [anon_sym_unorm] = ACTIONS(2310),
    [anon_sym_point] = ACTIONS(2310),
    [anon_sym_line] = ACTIONS(2310),
    [anon_sym_triangleadj] = ACTIONS(2310),
    [anon_sym_lineadj] = ACTIONS(2310),
    [anon_sym_triangle] = ACTIONS(2310),
    [anon_sym_cbuffer] = ACTIONS(2310),
  },
  [377] = {
    [sym_identifier] = ACTIONS(2653),
    [aux_sym_preproc_include_token1] = ACTIONS(2653),
    [aux_sym_preproc_def_token1] = ACTIONS(2653),
    [aux_sym_preproc_if_token1] = ACTIONS(2653),
    [aux_sym_preproc_if_token2] = ACTIONS(2653),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2653),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2653),
    [aux_sym_preproc_else_token1] = ACTIONS(2653),
    [aux_sym_preproc_elif_token1] = ACTIONS(2653),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2653),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2653),
    [sym_preproc_directive] = ACTIONS(2653),
    [anon_sym_LPAREN2] = ACTIONS(2655),
    [anon_sym_BANG] = ACTIONS(2655),
    [anon_sym_TILDE] = ACTIONS(2655),
    [anon_sym_DASH] = ACTIONS(2653),
    [anon_sym_PLUS] = ACTIONS(2653),
    [anon_sym_STAR] = ACTIONS(2655),
    [anon_sym_AMP_AMP] = ACTIONS(2655),
    [anon_sym_AMP] = ACTIONS(2653),
    [anon_sym_SEMI] = ACTIONS(2655),
    [anon_sym___extension__] = ACTIONS(2653),
    [anon_sym_typedef] = ACTIONS(2653),
    [anon_sym_in] = ACTIONS(2653),
    [anon_sym_out] = ACTIONS(2653),
    [anon_sym_inout] = ACTIONS(2653),
    [anon_sym_extern] = ACTIONS(2653),
    [anon_sym___attribute__] = ACTIONS(2653),
    [anon_sym_COLON_COLON] = ACTIONS(2655),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2655),
    [anon_sym___declspec] = ACTIONS(2653),
    [anon_sym___based] = ACTIONS(2653),
    [anon_sym___cdecl] = ACTIONS(2653),
    [anon_sym___clrcall] = ACTIONS(2653),
    [anon_sym___stdcall] = ACTIONS(2653),
    [anon_sym___fastcall] = ACTIONS(2653),
    [anon_sym___thiscall] = ACTIONS(2653),
    [anon_sym___vectorcall] = ACTIONS(2653),
    [anon_sym_LBRACE] = ACTIONS(2655),
    [anon_sym_signed] = ACTIONS(2653),
    [anon_sym_unsigned] = ACTIONS(2653),
    [anon_sym_long] = ACTIONS(2653),
    [anon_sym_short] = ACTIONS(2653),
    [anon_sym_LBRACK] = ACTIONS(2653),
    [anon_sym_static] = ACTIONS(2653),
    [anon_sym_register] = ACTIONS(2653),
    [anon_sym_inline] = ACTIONS(2653),
    [anon_sym___inline] = ACTIONS(2653),
    [anon_sym___inline__] = ACTIONS(2653),
    [anon_sym___forceinline] = ACTIONS(2653),
    [anon_sym_thread_local] = ACTIONS(2653),
    [anon_sym___thread] = ACTIONS(2653),
    [anon_sym_const] = ACTIONS(2653),
    [anon_sym_constexpr] = ACTIONS(2653),
    [anon_sym_volatile] = ACTIONS(2653),
    [anon_sym_restrict] = ACTIONS(2653),
    [anon_sym___restrict__] = ACTIONS(2653),
    [anon_sym__Atomic] = ACTIONS(2653),
    [anon_sym__Noreturn] = ACTIONS(2653),
    [anon_sym_noreturn] = ACTIONS(2653),
    [anon_sym_mutable] = ACTIONS(2653),
    [anon_sym_constinit] = ACTIONS(2653),
    [anon_sym_consteval] = ACTIONS(2653),
    [sym_primitive_type] = ACTIONS(2653),
    [anon_sym_enum] = ACTIONS(2653),
    [anon_sym_class] = ACTIONS(2653),
    [anon_sym_struct] = ACTIONS(2653),
    [anon_sym_union] = ACTIONS(2653),
    [anon_sym_if] = ACTIONS(2653),
    [anon_sym_switch] = ACTIONS(2653),
    [anon_sym_case] = ACTIONS(2653),
    [anon_sym_default] = ACTIONS(2653),
    [anon_sym_while] = ACTIONS(2653),
    [anon_sym_do] = ACTIONS(2653),
    [anon_sym_for] = ACTIONS(2653),
    [anon_sym_return] = ACTIONS(2653),
    [anon_sym_break] = ACTIONS(2653),
    [anon_sym_continue] = ACTIONS(2653),
    [anon_sym_goto] = ACTIONS(2653),
    [anon_sym___try] = ACTIONS(2653),
    [anon_sym___leave] = ACTIONS(2653),
    [anon_sym_not] = ACTIONS(2653),
    [anon_sym_compl] = ACTIONS(2653),
    [anon_sym_DASH_DASH] = ACTIONS(2655),
    [anon_sym_PLUS_PLUS] = ACTIONS(2655),
    [anon_sym_sizeof] = ACTIONS(2653),
    [anon_sym___alignof__] = ACTIONS(2653),
    [anon_sym___alignof] = ACTIONS(2653),
    [anon_sym__alignof] = ACTIONS(2653),
    [anon_sym_alignof] = ACTIONS(2653),
    [anon_sym__Alignof] = ACTIONS(2653),
    [anon_sym_offsetof] = ACTIONS(2653),
    [anon_sym__Generic] = ACTIONS(2653),
    [anon_sym_asm] = ACTIONS(2653),
    [anon_sym___asm__] = ACTIONS(2653),
    [sym_number_literal] = ACTIONS(2655),
    [anon_sym_L_SQUOTE] = ACTIONS(2655),
    [anon_sym_u_SQUOTE] = ACTIONS(2655),
    [anon_sym_U_SQUOTE] = ACTIONS(2655),
    [anon_sym_u8_SQUOTE] = ACTIONS(2655),
    [anon_sym_SQUOTE] = ACTIONS(2655),
    [anon_sym_L_DQUOTE] = ACTIONS(2655),
    [anon_sym_u_DQUOTE] = ACTIONS(2655),
    [anon_sym_U_DQUOTE] = ACTIONS(2655),
    [anon_sym_u8_DQUOTE] = ACTIONS(2655),
    [anon_sym_DQUOTE] = ACTIONS(2655),
    [sym_true] = ACTIONS(2653),
    [sym_false] = ACTIONS(2653),
    [anon_sym_NULL] = ACTIONS(2653),
    [anon_sym_nullptr] = ACTIONS(2653),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2653),
    [anon_sym_decltype] = ACTIONS(2653),
    [anon_sym_virtual] = ACTIONS(2653),
    [anon_sym_alignas] = ACTIONS(2653),
    [anon_sym_explicit] = ACTIONS(2653),
    [anon_sym_typename] = ACTIONS(2653),
    [anon_sym_template] = ACTIONS(2653),
    [anon_sym_operator] = ACTIONS(2653),
    [anon_sym_try] = ACTIONS(2653),
    [anon_sym_delete] = ACTIONS(2653),
    [anon_sym_throw] = ACTIONS(2653),
    [anon_sym_namespace] = ACTIONS(2653),
    [anon_sym_using] = ACTIONS(2653),
    [anon_sym_static_assert] = ACTIONS(2653),
    [anon_sym_concept] = ACTIONS(2653),
    [anon_sym_co_return] = ACTIONS(2653),
    [anon_sym_co_yield] = ACTIONS(2653),
    [anon_sym_R_DQUOTE] = ACTIONS(2655),
    [anon_sym_LR_DQUOTE] = ACTIONS(2655),
    [anon_sym_uR_DQUOTE] = ACTIONS(2655),
    [anon_sym_UR_DQUOTE] = ACTIONS(2655),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2655),
    [anon_sym_co_await] = ACTIONS(2653),
    [anon_sym_new] = ACTIONS(2653),
    [anon_sym_requires] = ACTIONS(2653),
    [sym_this] = ACTIONS(2653),
    [anon_sym_discard] = ACTIONS(2653),
    [anon_sym_precise] = ACTIONS(2653),
    [anon_sym_shared] = ACTIONS(2653),
    [anon_sym_groupshared] = ACTIONS(2653),
    [anon_sym_uniform] = ACTIONS(2653),
    [anon_sym_row_major] = ACTIONS(2653),
    [anon_sym_column_major] = ACTIONS(2653),
    [anon_sym_globallycoherent] = ACTIONS(2653),
    [anon_sym_centroid] = ACTIONS(2653),
    [anon_sym_noperspective] = ACTIONS(2653),
    [anon_sym_nointerpolation] = ACTIONS(2653),
    [anon_sym_sample] = ACTIONS(2653),
    [anon_sym_linear] = ACTIONS(2653),
    [anon_sym_snorm] = ACTIONS(2653),
    [anon_sym_unorm] = ACTIONS(2653),
    [anon_sym_point] = ACTIONS(2653),
    [anon_sym_line] = ACTIONS(2653),
    [anon_sym_triangleadj] = ACTIONS(2653),
    [anon_sym_lineadj] = ACTIONS(2653),
    [anon_sym_triangle] = ACTIONS(2653),
    [anon_sym_cbuffer] = ACTIONS(2653),
  },
  [378] = {
    [sym_identifier] = ACTIONS(2657),
    [aux_sym_preproc_include_token1] = ACTIONS(2657),
    [aux_sym_preproc_def_token1] = ACTIONS(2657),
    [aux_sym_preproc_if_token1] = ACTIONS(2657),
    [aux_sym_preproc_if_token2] = ACTIONS(2657),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2657),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2657),
    [aux_sym_preproc_else_token1] = ACTIONS(2657),
    [aux_sym_preproc_elif_token1] = ACTIONS(2657),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2657),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2657),
    [sym_preproc_directive] = ACTIONS(2657),
    [anon_sym_LPAREN2] = ACTIONS(2659),
    [anon_sym_BANG] = ACTIONS(2659),
    [anon_sym_TILDE] = ACTIONS(2659),
    [anon_sym_DASH] = ACTIONS(2657),
    [anon_sym_PLUS] = ACTIONS(2657),
    [anon_sym_STAR] = ACTIONS(2659),
    [anon_sym_AMP_AMP] = ACTIONS(2659),
    [anon_sym_AMP] = ACTIONS(2657),
    [anon_sym_SEMI] = ACTIONS(2659),
    [anon_sym___extension__] = ACTIONS(2657),
    [anon_sym_typedef] = ACTIONS(2657),
    [anon_sym_in] = ACTIONS(2657),
    [anon_sym_out] = ACTIONS(2657),
    [anon_sym_inout] = ACTIONS(2657),
    [anon_sym_extern] = ACTIONS(2657),
    [anon_sym___attribute__] = ACTIONS(2657),
    [anon_sym_COLON_COLON] = ACTIONS(2659),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2659),
    [anon_sym___declspec] = ACTIONS(2657),
    [anon_sym___based] = ACTIONS(2657),
    [anon_sym___cdecl] = ACTIONS(2657),
    [anon_sym___clrcall] = ACTIONS(2657),
    [anon_sym___stdcall] = ACTIONS(2657),
    [anon_sym___fastcall] = ACTIONS(2657),
    [anon_sym___thiscall] = ACTIONS(2657),
    [anon_sym___vectorcall] = ACTIONS(2657),
    [anon_sym_LBRACE] = ACTIONS(2659),
    [anon_sym_signed] = ACTIONS(2657),
    [anon_sym_unsigned] = ACTIONS(2657),
    [anon_sym_long] = ACTIONS(2657),
    [anon_sym_short] = ACTIONS(2657),
    [anon_sym_LBRACK] = ACTIONS(2657),
    [anon_sym_static] = ACTIONS(2657),
    [anon_sym_register] = ACTIONS(2657),
    [anon_sym_inline] = ACTIONS(2657),
    [anon_sym___inline] = ACTIONS(2657),
    [anon_sym___inline__] = ACTIONS(2657),
    [anon_sym___forceinline] = ACTIONS(2657),
    [anon_sym_thread_local] = ACTIONS(2657),
    [anon_sym___thread] = ACTIONS(2657),
    [anon_sym_const] = ACTIONS(2657),
    [anon_sym_constexpr] = ACTIONS(2657),
    [anon_sym_volatile] = ACTIONS(2657),
    [anon_sym_restrict] = ACTIONS(2657),
    [anon_sym___restrict__] = ACTIONS(2657),
    [anon_sym__Atomic] = ACTIONS(2657),
    [anon_sym__Noreturn] = ACTIONS(2657),
    [anon_sym_noreturn] = ACTIONS(2657),
    [anon_sym_mutable] = ACTIONS(2657),
    [anon_sym_constinit] = ACTIONS(2657),
    [anon_sym_consteval] = ACTIONS(2657),
    [sym_primitive_type] = ACTIONS(2657),
    [anon_sym_enum] = ACTIONS(2657),
    [anon_sym_class] = ACTIONS(2657),
    [anon_sym_struct] = ACTIONS(2657),
    [anon_sym_union] = ACTIONS(2657),
    [anon_sym_if] = ACTIONS(2657),
    [anon_sym_switch] = ACTIONS(2657),
    [anon_sym_case] = ACTIONS(2657),
    [anon_sym_default] = ACTIONS(2657),
    [anon_sym_while] = ACTIONS(2657),
    [anon_sym_do] = ACTIONS(2657),
    [anon_sym_for] = ACTIONS(2657),
    [anon_sym_return] = ACTIONS(2657),
    [anon_sym_break] = ACTIONS(2657),
    [anon_sym_continue] = ACTIONS(2657),
    [anon_sym_goto] = ACTIONS(2657),
    [anon_sym___try] = ACTIONS(2657),
    [anon_sym___leave] = ACTIONS(2657),
    [anon_sym_not] = ACTIONS(2657),
    [anon_sym_compl] = ACTIONS(2657),
    [anon_sym_DASH_DASH] = ACTIONS(2659),
    [anon_sym_PLUS_PLUS] = ACTIONS(2659),
    [anon_sym_sizeof] = ACTIONS(2657),
    [anon_sym___alignof__] = ACTIONS(2657),
    [anon_sym___alignof] = ACTIONS(2657),
    [anon_sym__alignof] = ACTIONS(2657),
    [anon_sym_alignof] = ACTIONS(2657),
    [anon_sym__Alignof] = ACTIONS(2657),
    [anon_sym_offsetof] = ACTIONS(2657),
    [anon_sym__Generic] = ACTIONS(2657),
    [anon_sym_asm] = ACTIONS(2657),
    [anon_sym___asm__] = ACTIONS(2657),
    [sym_number_literal] = ACTIONS(2659),
    [anon_sym_L_SQUOTE] = ACTIONS(2659),
    [anon_sym_u_SQUOTE] = ACTIONS(2659),
    [anon_sym_U_SQUOTE] = ACTIONS(2659),
    [anon_sym_u8_SQUOTE] = ACTIONS(2659),
    [anon_sym_SQUOTE] = ACTIONS(2659),
    [anon_sym_L_DQUOTE] = ACTIONS(2659),
    [anon_sym_u_DQUOTE] = ACTIONS(2659),
    [anon_sym_U_DQUOTE] = ACTIONS(2659),
    [anon_sym_u8_DQUOTE] = ACTIONS(2659),
    [anon_sym_DQUOTE] = ACTIONS(2659),
    [sym_true] = ACTIONS(2657),
    [sym_false] = ACTIONS(2657),
    [anon_sym_NULL] = ACTIONS(2657),
    [anon_sym_nullptr] = ACTIONS(2657),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2657),
    [anon_sym_decltype] = ACTIONS(2657),
    [anon_sym_virtual] = ACTIONS(2657),
    [anon_sym_alignas] = ACTIONS(2657),
    [anon_sym_explicit] = ACTIONS(2657),
    [anon_sym_typename] = ACTIONS(2657),
    [anon_sym_template] = ACTIONS(2657),
    [anon_sym_operator] = ACTIONS(2657),
    [anon_sym_try] = ACTIONS(2657),
    [anon_sym_delete] = ACTIONS(2657),
    [anon_sym_throw] = ACTIONS(2657),
    [anon_sym_namespace] = ACTIONS(2657),
    [anon_sym_using] = ACTIONS(2657),
    [anon_sym_static_assert] = ACTIONS(2657),
    [anon_sym_concept] = ACTIONS(2657),
    [anon_sym_co_return] = ACTIONS(2657),
    [anon_sym_co_yield] = ACTIONS(2657),
    [anon_sym_R_DQUOTE] = ACTIONS(2659),
    [anon_sym_LR_DQUOTE] = ACTIONS(2659),
    [anon_sym_uR_DQUOTE] = ACTIONS(2659),
    [anon_sym_UR_DQUOTE] = ACTIONS(2659),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2659),
    [anon_sym_co_await] = ACTIONS(2657),
    [anon_sym_new] = ACTIONS(2657),
    [anon_sym_requires] = ACTIONS(2657),
    [sym_this] = ACTIONS(2657),
    [anon_sym_discard] = ACTIONS(2657),
    [anon_sym_precise] = ACTIONS(2657),
    [anon_sym_shared] = ACTIONS(2657),
    [anon_sym_groupshared] = ACTIONS(2657),
    [anon_sym_uniform] = ACTIONS(2657),
    [anon_sym_row_major] = ACTIONS(2657),
    [anon_sym_column_major] = ACTIONS(2657),
    [anon_sym_globallycoherent] = ACTIONS(2657),
    [anon_sym_centroid] = ACTIONS(2657),
    [anon_sym_noperspective] = ACTIONS(2657),
    [anon_sym_nointerpolation] = ACTIONS(2657),
    [anon_sym_sample] = ACTIONS(2657),
    [anon_sym_linear] = ACTIONS(2657),
    [anon_sym_snorm] = ACTIONS(2657),
    [anon_sym_unorm] = ACTIONS(2657),
    [anon_sym_point] = ACTIONS(2657),
    [anon_sym_line] = ACTIONS(2657),
    [anon_sym_triangleadj] = ACTIONS(2657),
    [anon_sym_lineadj] = ACTIONS(2657),
    [anon_sym_triangle] = ACTIONS(2657),
    [anon_sym_cbuffer] = ACTIONS(2657),
  },
  [379] = {
    [sym_identifier] = ACTIONS(2661),
    [aux_sym_preproc_include_token1] = ACTIONS(2661),
    [aux_sym_preproc_def_token1] = ACTIONS(2661),
    [aux_sym_preproc_if_token1] = ACTIONS(2661),
    [aux_sym_preproc_if_token2] = ACTIONS(2661),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2661),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2661),
    [aux_sym_preproc_else_token1] = ACTIONS(2661),
    [aux_sym_preproc_elif_token1] = ACTIONS(2661),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2661),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2661),
    [sym_preproc_directive] = ACTIONS(2661),
    [anon_sym_LPAREN2] = ACTIONS(2663),
    [anon_sym_BANG] = ACTIONS(2663),
    [anon_sym_TILDE] = ACTIONS(2663),
    [anon_sym_DASH] = ACTIONS(2661),
    [anon_sym_PLUS] = ACTIONS(2661),
    [anon_sym_STAR] = ACTIONS(2663),
    [anon_sym_AMP_AMP] = ACTIONS(2663),
    [anon_sym_AMP] = ACTIONS(2661),
    [anon_sym_SEMI] = ACTIONS(2663),
    [anon_sym___extension__] = ACTIONS(2661),
    [anon_sym_typedef] = ACTIONS(2661),
    [anon_sym_in] = ACTIONS(2661),
    [anon_sym_out] = ACTIONS(2661),
    [anon_sym_inout] = ACTIONS(2661),
    [anon_sym_extern] = ACTIONS(2661),
    [anon_sym___attribute__] = ACTIONS(2661),
    [anon_sym_COLON_COLON] = ACTIONS(2663),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2663),
    [anon_sym___declspec] = ACTIONS(2661),
    [anon_sym___based] = ACTIONS(2661),
    [anon_sym___cdecl] = ACTIONS(2661),
    [anon_sym___clrcall] = ACTIONS(2661),
    [anon_sym___stdcall] = ACTIONS(2661),
    [anon_sym___fastcall] = ACTIONS(2661),
    [anon_sym___thiscall] = ACTIONS(2661),
    [anon_sym___vectorcall] = ACTIONS(2661),
    [anon_sym_LBRACE] = ACTIONS(2663),
    [anon_sym_signed] = ACTIONS(2661),
    [anon_sym_unsigned] = ACTIONS(2661),
    [anon_sym_long] = ACTIONS(2661),
    [anon_sym_short] = ACTIONS(2661),
    [anon_sym_LBRACK] = ACTIONS(2661),
    [anon_sym_static] = ACTIONS(2661),
    [anon_sym_register] = ACTIONS(2661),
    [anon_sym_inline] = ACTIONS(2661),
    [anon_sym___inline] = ACTIONS(2661),
    [anon_sym___inline__] = ACTIONS(2661),
    [anon_sym___forceinline] = ACTIONS(2661),
    [anon_sym_thread_local] = ACTIONS(2661),
    [anon_sym___thread] = ACTIONS(2661),
    [anon_sym_const] = ACTIONS(2661),
    [anon_sym_constexpr] = ACTIONS(2661),
    [anon_sym_volatile] = ACTIONS(2661),
    [anon_sym_restrict] = ACTIONS(2661),
    [anon_sym___restrict__] = ACTIONS(2661),
    [anon_sym__Atomic] = ACTIONS(2661),
    [anon_sym__Noreturn] = ACTIONS(2661),
    [anon_sym_noreturn] = ACTIONS(2661),
    [anon_sym_mutable] = ACTIONS(2661),
    [anon_sym_constinit] = ACTIONS(2661),
    [anon_sym_consteval] = ACTIONS(2661),
    [sym_primitive_type] = ACTIONS(2661),
    [anon_sym_enum] = ACTIONS(2661),
    [anon_sym_class] = ACTIONS(2661),
    [anon_sym_struct] = ACTIONS(2661),
    [anon_sym_union] = ACTIONS(2661),
    [anon_sym_if] = ACTIONS(2661),
    [anon_sym_switch] = ACTIONS(2661),
    [anon_sym_case] = ACTIONS(2661),
    [anon_sym_default] = ACTIONS(2661),
    [anon_sym_while] = ACTIONS(2661),
    [anon_sym_do] = ACTIONS(2661),
    [anon_sym_for] = ACTIONS(2661),
    [anon_sym_return] = ACTIONS(2661),
    [anon_sym_break] = ACTIONS(2661),
    [anon_sym_continue] = ACTIONS(2661),
    [anon_sym_goto] = ACTIONS(2661),
    [anon_sym___try] = ACTIONS(2661),
    [anon_sym___leave] = ACTIONS(2661),
    [anon_sym_not] = ACTIONS(2661),
    [anon_sym_compl] = ACTIONS(2661),
    [anon_sym_DASH_DASH] = ACTIONS(2663),
    [anon_sym_PLUS_PLUS] = ACTIONS(2663),
    [anon_sym_sizeof] = ACTIONS(2661),
    [anon_sym___alignof__] = ACTIONS(2661),
    [anon_sym___alignof] = ACTIONS(2661),
    [anon_sym__alignof] = ACTIONS(2661),
    [anon_sym_alignof] = ACTIONS(2661),
    [anon_sym__Alignof] = ACTIONS(2661),
    [anon_sym_offsetof] = ACTIONS(2661),
    [anon_sym__Generic] = ACTIONS(2661),
    [anon_sym_asm] = ACTIONS(2661),
    [anon_sym___asm__] = ACTIONS(2661),
    [sym_number_literal] = ACTIONS(2663),
    [anon_sym_L_SQUOTE] = ACTIONS(2663),
    [anon_sym_u_SQUOTE] = ACTIONS(2663),
    [anon_sym_U_SQUOTE] = ACTIONS(2663),
    [anon_sym_u8_SQUOTE] = ACTIONS(2663),
    [anon_sym_SQUOTE] = ACTIONS(2663),
    [anon_sym_L_DQUOTE] = ACTIONS(2663),
    [anon_sym_u_DQUOTE] = ACTIONS(2663),
    [anon_sym_U_DQUOTE] = ACTIONS(2663),
    [anon_sym_u8_DQUOTE] = ACTIONS(2663),
    [anon_sym_DQUOTE] = ACTIONS(2663),
    [sym_true] = ACTIONS(2661),
    [sym_false] = ACTIONS(2661),
    [anon_sym_NULL] = ACTIONS(2661),
    [anon_sym_nullptr] = ACTIONS(2661),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2661),
    [anon_sym_decltype] = ACTIONS(2661),
    [anon_sym_virtual] = ACTIONS(2661),
    [anon_sym_alignas] = ACTIONS(2661),
    [anon_sym_explicit] = ACTIONS(2661),
    [anon_sym_typename] = ACTIONS(2661),
    [anon_sym_template] = ACTIONS(2661),
    [anon_sym_operator] = ACTIONS(2661),
    [anon_sym_try] = ACTIONS(2661),
    [anon_sym_delete] = ACTIONS(2661),
    [anon_sym_throw] = ACTIONS(2661),
    [anon_sym_namespace] = ACTIONS(2661),
    [anon_sym_using] = ACTIONS(2661),
    [anon_sym_static_assert] = ACTIONS(2661),
    [anon_sym_concept] = ACTIONS(2661),
    [anon_sym_co_return] = ACTIONS(2661),
    [anon_sym_co_yield] = ACTIONS(2661),
    [anon_sym_R_DQUOTE] = ACTIONS(2663),
    [anon_sym_LR_DQUOTE] = ACTIONS(2663),
    [anon_sym_uR_DQUOTE] = ACTIONS(2663),
    [anon_sym_UR_DQUOTE] = ACTIONS(2663),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2663),
    [anon_sym_co_await] = ACTIONS(2661),
    [anon_sym_new] = ACTIONS(2661),
    [anon_sym_requires] = ACTIONS(2661),
    [sym_this] = ACTIONS(2661),
    [anon_sym_discard] = ACTIONS(2661),
    [anon_sym_precise] = ACTIONS(2661),
    [anon_sym_shared] = ACTIONS(2661),
    [anon_sym_groupshared] = ACTIONS(2661),
    [anon_sym_uniform] = ACTIONS(2661),
    [anon_sym_row_major] = ACTIONS(2661),
    [anon_sym_column_major] = ACTIONS(2661),
    [anon_sym_globallycoherent] = ACTIONS(2661),
    [anon_sym_centroid] = ACTIONS(2661),
    [anon_sym_noperspective] = ACTIONS(2661),
    [anon_sym_nointerpolation] = ACTIONS(2661),
    [anon_sym_sample] = ACTIONS(2661),
    [anon_sym_linear] = ACTIONS(2661),
    [anon_sym_snorm] = ACTIONS(2661),
    [anon_sym_unorm] = ACTIONS(2661),
    [anon_sym_point] = ACTIONS(2661),
    [anon_sym_line] = ACTIONS(2661),
    [anon_sym_triangleadj] = ACTIONS(2661),
    [anon_sym_lineadj] = ACTIONS(2661),
    [anon_sym_triangle] = ACTIONS(2661),
    [anon_sym_cbuffer] = ACTIONS(2661),
  },
  [380] = {
    [sym_identifier] = ACTIONS(2665),
    [aux_sym_preproc_include_token1] = ACTIONS(2665),
    [aux_sym_preproc_def_token1] = ACTIONS(2665),
    [aux_sym_preproc_if_token1] = ACTIONS(2665),
    [aux_sym_preproc_if_token2] = ACTIONS(2665),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2665),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2665),
    [aux_sym_preproc_else_token1] = ACTIONS(2665),
    [aux_sym_preproc_elif_token1] = ACTIONS(2665),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2665),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2665),
    [sym_preproc_directive] = ACTIONS(2665),
    [anon_sym_LPAREN2] = ACTIONS(2667),
    [anon_sym_BANG] = ACTIONS(2667),
    [anon_sym_TILDE] = ACTIONS(2667),
    [anon_sym_DASH] = ACTIONS(2665),
    [anon_sym_PLUS] = ACTIONS(2665),
    [anon_sym_STAR] = ACTIONS(2667),
    [anon_sym_AMP_AMP] = ACTIONS(2667),
    [anon_sym_AMP] = ACTIONS(2665),
    [anon_sym_SEMI] = ACTIONS(2667),
    [anon_sym___extension__] = ACTIONS(2665),
    [anon_sym_typedef] = ACTIONS(2665),
    [anon_sym_in] = ACTIONS(2665),
    [anon_sym_out] = ACTIONS(2665),
    [anon_sym_inout] = ACTIONS(2665),
    [anon_sym_extern] = ACTIONS(2665),
    [anon_sym___attribute__] = ACTIONS(2665),
    [anon_sym_COLON_COLON] = ACTIONS(2667),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2667),
    [anon_sym___declspec] = ACTIONS(2665),
    [anon_sym___based] = ACTIONS(2665),
    [anon_sym___cdecl] = ACTIONS(2665),
    [anon_sym___clrcall] = ACTIONS(2665),
    [anon_sym___stdcall] = ACTIONS(2665),
    [anon_sym___fastcall] = ACTIONS(2665),
    [anon_sym___thiscall] = ACTIONS(2665),
    [anon_sym___vectorcall] = ACTIONS(2665),
    [anon_sym_LBRACE] = ACTIONS(2667),
    [anon_sym_signed] = ACTIONS(2665),
    [anon_sym_unsigned] = ACTIONS(2665),
    [anon_sym_long] = ACTIONS(2665),
    [anon_sym_short] = ACTIONS(2665),
    [anon_sym_LBRACK] = ACTIONS(2665),
    [anon_sym_static] = ACTIONS(2665),
    [anon_sym_register] = ACTIONS(2665),
    [anon_sym_inline] = ACTIONS(2665),
    [anon_sym___inline] = ACTIONS(2665),
    [anon_sym___inline__] = ACTIONS(2665),
    [anon_sym___forceinline] = ACTIONS(2665),
    [anon_sym_thread_local] = ACTIONS(2665),
    [anon_sym___thread] = ACTIONS(2665),
    [anon_sym_const] = ACTIONS(2665),
    [anon_sym_constexpr] = ACTIONS(2665),
    [anon_sym_volatile] = ACTIONS(2665),
    [anon_sym_restrict] = ACTIONS(2665),
    [anon_sym___restrict__] = ACTIONS(2665),
    [anon_sym__Atomic] = ACTIONS(2665),
    [anon_sym__Noreturn] = ACTIONS(2665),
    [anon_sym_noreturn] = ACTIONS(2665),
    [anon_sym_mutable] = ACTIONS(2665),
    [anon_sym_constinit] = ACTIONS(2665),
    [anon_sym_consteval] = ACTIONS(2665),
    [sym_primitive_type] = ACTIONS(2665),
    [anon_sym_enum] = ACTIONS(2665),
    [anon_sym_class] = ACTIONS(2665),
    [anon_sym_struct] = ACTIONS(2665),
    [anon_sym_union] = ACTIONS(2665),
    [anon_sym_if] = ACTIONS(2665),
    [anon_sym_switch] = ACTIONS(2665),
    [anon_sym_case] = ACTIONS(2665),
    [anon_sym_default] = ACTIONS(2665),
    [anon_sym_while] = ACTIONS(2665),
    [anon_sym_do] = ACTIONS(2665),
    [anon_sym_for] = ACTIONS(2665),
    [anon_sym_return] = ACTIONS(2665),
    [anon_sym_break] = ACTIONS(2665),
    [anon_sym_continue] = ACTIONS(2665),
    [anon_sym_goto] = ACTIONS(2665),
    [anon_sym___try] = ACTIONS(2665),
    [anon_sym___leave] = ACTIONS(2665),
    [anon_sym_not] = ACTIONS(2665),
    [anon_sym_compl] = ACTIONS(2665),
    [anon_sym_DASH_DASH] = ACTIONS(2667),
    [anon_sym_PLUS_PLUS] = ACTIONS(2667),
    [anon_sym_sizeof] = ACTIONS(2665),
    [anon_sym___alignof__] = ACTIONS(2665),
    [anon_sym___alignof] = ACTIONS(2665),
    [anon_sym__alignof] = ACTIONS(2665),
    [anon_sym_alignof] = ACTIONS(2665),
    [anon_sym__Alignof] = ACTIONS(2665),
    [anon_sym_offsetof] = ACTIONS(2665),
    [anon_sym__Generic] = ACTIONS(2665),
    [anon_sym_asm] = ACTIONS(2665),
    [anon_sym___asm__] = ACTIONS(2665),
    [sym_number_literal] = ACTIONS(2667),
    [anon_sym_L_SQUOTE] = ACTIONS(2667),
    [anon_sym_u_SQUOTE] = ACTIONS(2667),
    [anon_sym_U_SQUOTE] = ACTIONS(2667),
    [anon_sym_u8_SQUOTE] = ACTIONS(2667),
    [anon_sym_SQUOTE] = ACTIONS(2667),
    [anon_sym_L_DQUOTE] = ACTIONS(2667),
    [anon_sym_u_DQUOTE] = ACTIONS(2667),
    [anon_sym_U_DQUOTE] = ACTIONS(2667),
    [anon_sym_u8_DQUOTE] = ACTIONS(2667),
    [anon_sym_DQUOTE] = ACTIONS(2667),
    [sym_true] = ACTIONS(2665),
    [sym_false] = ACTIONS(2665),
    [anon_sym_NULL] = ACTIONS(2665),
    [anon_sym_nullptr] = ACTIONS(2665),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2665),
    [anon_sym_decltype] = ACTIONS(2665),
    [anon_sym_virtual] = ACTIONS(2665),
    [anon_sym_alignas] = ACTIONS(2665),
    [anon_sym_explicit] = ACTIONS(2665),
    [anon_sym_typename] = ACTIONS(2665),
    [anon_sym_template] = ACTIONS(2665),
    [anon_sym_operator] = ACTIONS(2665),
    [anon_sym_try] = ACTIONS(2665),
    [anon_sym_delete] = ACTIONS(2665),
    [anon_sym_throw] = ACTIONS(2665),
    [anon_sym_namespace] = ACTIONS(2665),
    [anon_sym_using] = ACTIONS(2665),
    [anon_sym_static_assert] = ACTIONS(2665),
    [anon_sym_concept] = ACTIONS(2665),
    [anon_sym_co_return] = ACTIONS(2665),
    [anon_sym_co_yield] = ACTIONS(2665),
    [anon_sym_R_DQUOTE] = ACTIONS(2667),
    [anon_sym_LR_DQUOTE] = ACTIONS(2667),
    [anon_sym_uR_DQUOTE] = ACTIONS(2667),
    [anon_sym_UR_DQUOTE] = ACTIONS(2667),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2667),
    [anon_sym_co_await] = ACTIONS(2665),
    [anon_sym_new] = ACTIONS(2665),
    [anon_sym_requires] = ACTIONS(2665),
    [sym_this] = ACTIONS(2665),
    [anon_sym_discard] = ACTIONS(2665),
    [anon_sym_precise] = ACTIONS(2665),
    [anon_sym_shared] = ACTIONS(2665),
    [anon_sym_groupshared] = ACTIONS(2665),
    [anon_sym_uniform] = ACTIONS(2665),
    [anon_sym_row_major] = ACTIONS(2665),
    [anon_sym_column_major] = ACTIONS(2665),
    [anon_sym_globallycoherent] = ACTIONS(2665),
    [anon_sym_centroid] = ACTIONS(2665),
    [anon_sym_noperspective] = ACTIONS(2665),
    [anon_sym_nointerpolation] = ACTIONS(2665),
    [anon_sym_sample] = ACTIONS(2665),
    [anon_sym_linear] = ACTIONS(2665),
    [anon_sym_snorm] = ACTIONS(2665),
    [anon_sym_unorm] = ACTIONS(2665),
    [anon_sym_point] = ACTIONS(2665),
    [anon_sym_line] = ACTIONS(2665),
    [anon_sym_triangleadj] = ACTIONS(2665),
    [anon_sym_lineadj] = ACTIONS(2665),
    [anon_sym_triangle] = ACTIONS(2665),
    [anon_sym_cbuffer] = ACTIONS(2665),
  },
  [381] = {
    [sym_identifier] = ACTIONS(2669),
    [aux_sym_preproc_include_token1] = ACTIONS(2669),
    [aux_sym_preproc_def_token1] = ACTIONS(2669),
    [aux_sym_preproc_if_token1] = ACTIONS(2669),
    [aux_sym_preproc_if_token2] = ACTIONS(2669),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2669),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2669),
    [aux_sym_preproc_else_token1] = ACTIONS(2669),
    [aux_sym_preproc_elif_token1] = ACTIONS(2669),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2669),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2669),
    [sym_preproc_directive] = ACTIONS(2669),
    [anon_sym_LPAREN2] = ACTIONS(2671),
    [anon_sym_BANG] = ACTIONS(2671),
    [anon_sym_TILDE] = ACTIONS(2671),
    [anon_sym_DASH] = ACTIONS(2669),
    [anon_sym_PLUS] = ACTIONS(2669),
    [anon_sym_STAR] = ACTIONS(2671),
    [anon_sym_AMP_AMP] = ACTIONS(2671),
    [anon_sym_AMP] = ACTIONS(2669),
    [anon_sym_SEMI] = ACTIONS(2671),
    [anon_sym___extension__] = ACTIONS(2669),
    [anon_sym_typedef] = ACTIONS(2669),
    [anon_sym_in] = ACTIONS(2669),
    [anon_sym_out] = ACTIONS(2669),
    [anon_sym_inout] = ACTIONS(2669),
    [anon_sym_extern] = ACTIONS(2669),
    [anon_sym___attribute__] = ACTIONS(2669),
    [anon_sym_COLON_COLON] = ACTIONS(2671),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2671),
    [anon_sym___declspec] = ACTIONS(2669),
    [anon_sym___based] = ACTIONS(2669),
    [anon_sym___cdecl] = ACTIONS(2669),
    [anon_sym___clrcall] = ACTIONS(2669),
    [anon_sym___stdcall] = ACTIONS(2669),
    [anon_sym___fastcall] = ACTIONS(2669),
    [anon_sym___thiscall] = ACTIONS(2669),
    [anon_sym___vectorcall] = ACTIONS(2669),
    [anon_sym_LBRACE] = ACTIONS(2671),
    [anon_sym_signed] = ACTIONS(2669),
    [anon_sym_unsigned] = ACTIONS(2669),
    [anon_sym_long] = ACTIONS(2669),
    [anon_sym_short] = ACTIONS(2669),
    [anon_sym_LBRACK] = ACTIONS(2669),
    [anon_sym_static] = ACTIONS(2669),
    [anon_sym_register] = ACTIONS(2669),
    [anon_sym_inline] = ACTIONS(2669),
    [anon_sym___inline] = ACTIONS(2669),
    [anon_sym___inline__] = ACTIONS(2669),
    [anon_sym___forceinline] = ACTIONS(2669),
    [anon_sym_thread_local] = ACTIONS(2669),
    [anon_sym___thread] = ACTIONS(2669),
    [anon_sym_const] = ACTIONS(2669),
    [anon_sym_constexpr] = ACTIONS(2669),
    [anon_sym_volatile] = ACTIONS(2669),
    [anon_sym_restrict] = ACTIONS(2669),
    [anon_sym___restrict__] = ACTIONS(2669),
    [anon_sym__Atomic] = ACTIONS(2669),
    [anon_sym__Noreturn] = ACTIONS(2669),
    [anon_sym_noreturn] = ACTIONS(2669),
    [anon_sym_mutable] = ACTIONS(2669),
    [anon_sym_constinit] = ACTIONS(2669),
    [anon_sym_consteval] = ACTIONS(2669),
    [sym_primitive_type] = ACTIONS(2669),
    [anon_sym_enum] = ACTIONS(2669),
    [anon_sym_class] = ACTIONS(2669),
    [anon_sym_struct] = ACTIONS(2669),
    [anon_sym_union] = ACTIONS(2669),
    [anon_sym_if] = ACTIONS(2669),
    [anon_sym_switch] = ACTIONS(2669),
    [anon_sym_case] = ACTIONS(2669),
    [anon_sym_default] = ACTIONS(2669),
    [anon_sym_while] = ACTIONS(2669),
    [anon_sym_do] = ACTIONS(2669),
    [anon_sym_for] = ACTIONS(2669),
    [anon_sym_return] = ACTIONS(2669),
    [anon_sym_break] = ACTIONS(2669),
    [anon_sym_continue] = ACTIONS(2669),
    [anon_sym_goto] = ACTIONS(2669),
    [anon_sym___try] = ACTIONS(2669),
    [anon_sym___leave] = ACTIONS(2669),
    [anon_sym_not] = ACTIONS(2669),
    [anon_sym_compl] = ACTIONS(2669),
    [anon_sym_DASH_DASH] = ACTIONS(2671),
    [anon_sym_PLUS_PLUS] = ACTIONS(2671),
    [anon_sym_sizeof] = ACTIONS(2669),
    [anon_sym___alignof__] = ACTIONS(2669),
    [anon_sym___alignof] = ACTIONS(2669),
    [anon_sym__alignof] = ACTIONS(2669),
    [anon_sym_alignof] = ACTIONS(2669),
    [anon_sym__Alignof] = ACTIONS(2669),
    [anon_sym_offsetof] = ACTIONS(2669),
    [anon_sym__Generic] = ACTIONS(2669),
    [anon_sym_asm] = ACTIONS(2669),
    [anon_sym___asm__] = ACTIONS(2669),
    [sym_number_literal] = ACTIONS(2671),
    [anon_sym_L_SQUOTE] = ACTIONS(2671),
    [anon_sym_u_SQUOTE] = ACTIONS(2671),
    [anon_sym_U_SQUOTE] = ACTIONS(2671),
    [anon_sym_u8_SQUOTE] = ACTIONS(2671),
    [anon_sym_SQUOTE] = ACTIONS(2671),
    [anon_sym_L_DQUOTE] = ACTIONS(2671),
    [anon_sym_u_DQUOTE] = ACTIONS(2671),
    [anon_sym_U_DQUOTE] = ACTIONS(2671),
    [anon_sym_u8_DQUOTE] = ACTIONS(2671),
    [anon_sym_DQUOTE] = ACTIONS(2671),
    [sym_true] = ACTIONS(2669),
    [sym_false] = ACTIONS(2669),
    [anon_sym_NULL] = ACTIONS(2669),
    [anon_sym_nullptr] = ACTIONS(2669),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2669),
    [anon_sym_decltype] = ACTIONS(2669),
    [anon_sym_virtual] = ACTIONS(2669),
    [anon_sym_alignas] = ACTIONS(2669),
    [anon_sym_explicit] = ACTIONS(2669),
    [anon_sym_typename] = ACTIONS(2669),
    [anon_sym_template] = ACTIONS(2669),
    [anon_sym_operator] = ACTIONS(2669),
    [anon_sym_try] = ACTIONS(2669),
    [anon_sym_delete] = ACTIONS(2669),
    [anon_sym_throw] = ACTIONS(2669),
    [anon_sym_namespace] = ACTIONS(2669),
    [anon_sym_using] = ACTIONS(2669),
    [anon_sym_static_assert] = ACTIONS(2669),
    [anon_sym_concept] = ACTIONS(2669),
    [anon_sym_co_return] = ACTIONS(2669),
    [anon_sym_co_yield] = ACTIONS(2669),
    [anon_sym_R_DQUOTE] = ACTIONS(2671),
    [anon_sym_LR_DQUOTE] = ACTIONS(2671),
    [anon_sym_uR_DQUOTE] = ACTIONS(2671),
    [anon_sym_UR_DQUOTE] = ACTIONS(2671),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2671),
    [anon_sym_co_await] = ACTIONS(2669),
    [anon_sym_new] = ACTIONS(2669),
    [anon_sym_requires] = ACTIONS(2669),
    [sym_this] = ACTIONS(2669),
    [anon_sym_discard] = ACTIONS(2669),
    [anon_sym_precise] = ACTIONS(2669),
    [anon_sym_shared] = ACTIONS(2669),
    [anon_sym_groupshared] = ACTIONS(2669),
    [anon_sym_uniform] = ACTIONS(2669),
    [anon_sym_row_major] = ACTIONS(2669),
    [anon_sym_column_major] = ACTIONS(2669),
    [anon_sym_globallycoherent] = ACTIONS(2669),
    [anon_sym_centroid] = ACTIONS(2669),
    [anon_sym_noperspective] = ACTIONS(2669),
    [anon_sym_nointerpolation] = ACTIONS(2669),
    [anon_sym_sample] = ACTIONS(2669),
    [anon_sym_linear] = ACTIONS(2669),
    [anon_sym_snorm] = ACTIONS(2669),
    [anon_sym_unorm] = ACTIONS(2669),
    [anon_sym_point] = ACTIONS(2669),
    [anon_sym_line] = ACTIONS(2669),
    [anon_sym_triangleadj] = ACTIONS(2669),
    [anon_sym_lineadj] = ACTIONS(2669),
    [anon_sym_triangle] = ACTIONS(2669),
    [anon_sym_cbuffer] = ACTIONS(2669),
  },
  [382] = {
    [sym_identifier] = ACTIONS(2673),
    [aux_sym_preproc_include_token1] = ACTIONS(2673),
    [aux_sym_preproc_def_token1] = ACTIONS(2673),
    [aux_sym_preproc_if_token1] = ACTIONS(2673),
    [aux_sym_preproc_if_token2] = ACTIONS(2673),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2673),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2673),
    [aux_sym_preproc_else_token1] = ACTIONS(2673),
    [aux_sym_preproc_elif_token1] = ACTIONS(2673),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2673),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2673),
    [sym_preproc_directive] = ACTIONS(2673),
    [anon_sym_LPAREN2] = ACTIONS(2675),
    [anon_sym_BANG] = ACTIONS(2675),
    [anon_sym_TILDE] = ACTIONS(2675),
    [anon_sym_DASH] = ACTIONS(2673),
    [anon_sym_PLUS] = ACTIONS(2673),
    [anon_sym_STAR] = ACTIONS(2675),
    [anon_sym_AMP_AMP] = ACTIONS(2675),
    [anon_sym_AMP] = ACTIONS(2673),
    [anon_sym_SEMI] = ACTIONS(2675),
    [anon_sym___extension__] = ACTIONS(2673),
    [anon_sym_typedef] = ACTIONS(2673),
    [anon_sym_in] = ACTIONS(2673),
    [anon_sym_out] = ACTIONS(2673),
    [anon_sym_inout] = ACTIONS(2673),
    [anon_sym_extern] = ACTIONS(2673),
    [anon_sym___attribute__] = ACTIONS(2673),
    [anon_sym_COLON_COLON] = ACTIONS(2675),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2675),
    [anon_sym___declspec] = ACTIONS(2673),
    [anon_sym___based] = ACTIONS(2673),
    [anon_sym___cdecl] = ACTIONS(2673),
    [anon_sym___clrcall] = ACTIONS(2673),
    [anon_sym___stdcall] = ACTIONS(2673),
    [anon_sym___fastcall] = ACTIONS(2673),
    [anon_sym___thiscall] = ACTIONS(2673),
    [anon_sym___vectorcall] = ACTIONS(2673),
    [anon_sym_LBRACE] = ACTIONS(2675),
    [anon_sym_signed] = ACTIONS(2673),
    [anon_sym_unsigned] = ACTIONS(2673),
    [anon_sym_long] = ACTIONS(2673),
    [anon_sym_short] = ACTIONS(2673),
    [anon_sym_LBRACK] = ACTIONS(2673),
    [anon_sym_static] = ACTIONS(2673),
    [anon_sym_register] = ACTIONS(2673),
    [anon_sym_inline] = ACTIONS(2673),
    [anon_sym___inline] = ACTIONS(2673),
    [anon_sym___inline__] = ACTIONS(2673),
    [anon_sym___forceinline] = ACTIONS(2673),
    [anon_sym_thread_local] = ACTIONS(2673),
    [anon_sym___thread] = ACTIONS(2673),
    [anon_sym_const] = ACTIONS(2673),
    [anon_sym_constexpr] = ACTIONS(2673),
    [anon_sym_volatile] = ACTIONS(2673),
    [anon_sym_restrict] = ACTIONS(2673),
    [anon_sym___restrict__] = ACTIONS(2673),
    [anon_sym__Atomic] = ACTIONS(2673),
    [anon_sym__Noreturn] = ACTIONS(2673),
    [anon_sym_noreturn] = ACTIONS(2673),
    [anon_sym_mutable] = ACTIONS(2673),
    [anon_sym_constinit] = ACTIONS(2673),
    [anon_sym_consteval] = ACTIONS(2673),
    [sym_primitive_type] = ACTIONS(2673),
    [anon_sym_enum] = ACTIONS(2673),
    [anon_sym_class] = ACTIONS(2673),
    [anon_sym_struct] = ACTIONS(2673),
    [anon_sym_union] = ACTIONS(2673),
    [anon_sym_if] = ACTIONS(2673),
    [anon_sym_switch] = ACTIONS(2673),
    [anon_sym_case] = ACTIONS(2673),
    [anon_sym_default] = ACTIONS(2673),
    [anon_sym_while] = ACTIONS(2673),
    [anon_sym_do] = ACTIONS(2673),
    [anon_sym_for] = ACTIONS(2673),
    [anon_sym_return] = ACTIONS(2673),
    [anon_sym_break] = ACTIONS(2673),
    [anon_sym_continue] = ACTIONS(2673),
    [anon_sym_goto] = ACTIONS(2673),
    [anon_sym___try] = ACTIONS(2673),
    [anon_sym___leave] = ACTIONS(2673),
    [anon_sym_not] = ACTIONS(2673),
    [anon_sym_compl] = ACTIONS(2673),
    [anon_sym_DASH_DASH] = ACTIONS(2675),
    [anon_sym_PLUS_PLUS] = ACTIONS(2675),
    [anon_sym_sizeof] = ACTIONS(2673),
    [anon_sym___alignof__] = ACTIONS(2673),
    [anon_sym___alignof] = ACTIONS(2673),
    [anon_sym__alignof] = ACTIONS(2673),
    [anon_sym_alignof] = ACTIONS(2673),
    [anon_sym__Alignof] = ACTIONS(2673),
    [anon_sym_offsetof] = ACTIONS(2673),
    [anon_sym__Generic] = ACTIONS(2673),
    [anon_sym_asm] = ACTIONS(2673),
    [anon_sym___asm__] = ACTIONS(2673),
    [sym_number_literal] = ACTIONS(2675),
    [anon_sym_L_SQUOTE] = ACTIONS(2675),
    [anon_sym_u_SQUOTE] = ACTIONS(2675),
    [anon_sym_U_SQUOTE] = ACTIONS(2675),
    [anon_sym_u8_SQUOTE] = ACTIONS(2675),
    [anon_sym_SQUOTE] = ACTIONS(2675),
    [anon_sym_L_DQUOTE] = ACTIONS(2675),
    [anon_sym_u_DQUOTE] = ACTIONS(2675),
    [anon_sym_U_DQUOTE] = ACTIONS(2675),
    [anon_sym_u8_DQUOTE] = ACTIONS(2675),
    [anon_sym_DQUOTE] = ACTIONS(2675),
    [sym_true] = ACTIONS(2673),
    [sym_false] = ACTIONS(2673),
    [anon_sym_NULL] = ACTIONS(2673),
    [anon_sym_nullptr] = ACTIONS(2673),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2673),
    [anon_sym_decltype] = ACTIONS(2673),
    [anon_sym_virtual] = ACTIONS(2673),
    [anon_sym_alignas] = ACTIONS(2673),
    [anon_sym_explicit] = ACTIONS(2673),
    [anon_sym_typename] = ACTIONS(2673),
    [anon_sym_template] = ACTIONS(2673),
    [anon_sym_operator] = ACTIONS(2673),
    [anon_sym_try] = ACTIONS(2673),
    [anon_sym_delete] = ACTIONS(2673),
    [anon_sym_throw] = ACTIONS(2673),
    [anon_sym_namespace] = ACTIONS(2673),
    [anon_sym_using] = ACTIONS(2673),
    [anon_sym_static_assert] = ACTIONS(2673),
    [anon_sym_concept] = ACTIONS(2673),
    [anon_sym_co_return] = ACTIONS(2673),
    [anon_sym_co_yield] = ACTIONS(2673),
    [anon_sym_R_DQUOTE] = ACTIONS(2675),
    [anon_sym_LR_DQUOTE] = ACTIONS(2675),
    [anon_sym_uR_DQUOTE] = ACTIONS(2675),
    [anon_sym_UR_DQUOTE] = ACTIONS(2675),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2675),
    [anon_sym_co_await] = ACTIONS(2673),
    [anon_sym_new] = ACTIONS(2673),
    [anon_sym_requires] = ACTIONS(2673),
    [sym_this] = ACTIONS(2673),
    [anon_sym_discard] = ACTIONS(2673),
    [anon_sym_precise] = ACTIONS(2673),
    [anon_sym_shared] = ACTIONS(2673),
    [anon_sym_groupshared] = ACTIONS(2673),
    [anon_sym_uniform] = ACTIONS(2673),
    [anon_sym_row_major] = ACTIONS(2673),
    [anon_sym_column_major] = ACTIONS(2673),
    [anon_sym_globallycoherent] = ACTIONS(2673),
    [anon_sym_centroid] = ACTIONS(2673),
    [anon_sym_noperspective] = ACTIONS(2673),
    [anon_sym_nointerpolation] = ACTIONS(2673),
    [anon_sym_sample] = ACTIONS(2673),
    [anon_sym_linear] = ACTIONS(2673),
    [anon_sym_snorm] = ACTIONS(2673),
    [anon_sym_unorm] = ACTIONS(2673),
    [anon_sym_point] = ACTIONS(2673),
    [anon_sym_line] = ACTIONS(2673),
    [anon_sym_triangleadj] = ACTIONS(2673),
    [anon_sym_lineadj] = ACTIONS(2673),
    [anon_sym_triangle] = ACTIONS(2673),
    [anon_sym_cbuffer] = ACTIONS(2673),
  },
  [383] = {
    [sym_identifier] = ACTIONS(2677),
    [aux_sym_preproc_include_token1] = ACTIONS(2677),
    [aux_sym_preproc_def_token1] = ACTIONS(2677),
    [aux_sym_preproc_if_token1] = ACTIONS(2677),
    [aux_sym_preproc_if_token2] = ACTIONS(2677),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2677),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2677),
    [aux_sym_preproc_else_token1] = ACTIONS(2677),
    [aux_sym_preproc_elif_token1] = ACTIONS(2677),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2677),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2677),
    [sym_preproc_directive] = ACTIONS(2677),
    [anon_sym_LPAREN2] = ACTIONS(2679),
    [anon_sym_BANG] = ACTIONS(2679),
    [anon_sym_TILDE] = ACTIONS(2679),
    [anon_sym_DASH] = ACTIONS(2677),
    [anon_sym_PLUS] = ACTIONS(2677),
    [anon_sym_STAR] = ACTIONS(2679),
    [anon_sym_AMP_AMP] = ACTIONS(2679),
    [anon_sym_AMP] = ACTIONS(2677),
    [anon_sym_SEMI] = ACTIONS(2679),
    [anon_sym___extension__] = ACTIONS(2677),
    [anon_sym_typedef] = ACTIONS(2677),
    [anon_sym_in] = ACTIONS(2677),
    [anon_sym_out] = ACTIONS(2677),
    [anon_sym_inout] = ACTIONS(2677),
    [anon_sym_extern] = ACTIONS(2677),
    [anon_sym___attribute__] = ACTIONS(2677),
    [anon_sym_COLON_COLON] = ACTIONS(2679),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2679),
    [anon_sym___declspec] = ACTIONS(2677),
    [anon_sym___based] = ACTIONS(2677),
    [anon_sym___cdecl] = ACTIONS(2677),
    [anon_sym___clrcall] = ACTIONS(2677),
    [anon_sym___stdcall] = ACTIONS(2677),
    [anon_sym___fastcall] = ACTIONS(2677),
    [anon_sym___thiscall] = ACTIONS(2677),
    [anon_sym___vectorcall] = ACTIONS(2677),
    [anon_sym_LBRACE] = ACTIONS(2679),
    [anon_sym_signed] = ACTIONS(2677),
    [anon_sym_unsigned] = ACTIONS(2677),
    [anon_sym_long] = ACTIONS(2677),
    [anon_sym_short] = ACTIONS(2677),
    [anon_sym_LBRACK] = ACTIONS(2677),
    [anon_sym_static] = ACTIONS(2677),
    [anon_sym_register] = ACTIONS(2677),
    [anon_sym_inline] = ACTIONS(2677),
    [anon_sym___inline] = ACTIONS(2677),
    [anon_sym___inline__] = ACTIONS(2677),
    [anon_sym___forceinline] = ACTIONS(2677),
    [anon_sym_thread_local] = ACTIONS(2677),
    [anon_sym___thread] = ACTIONS(2677),
    [anon_sym_const] = ACTIONS(2677),
    [anon_sym_constexpr] = ACTIONS(2677),
    [anon_sym_volatile] = ACTIONS(2677),
    [anon_sym_restrict] = ACTIONS(2677),
    [anon_sym___restrict__] = ACTIONS(2677),
    [anon_sym__Atomic] = ACTIONS(2677),
    [anon_sym__Noreturn] = ACTIONS(2677),
    [anon_sym_noreturn] = ACTIONS(2677),
    [anon_sym_mutable] = ACTIONS(2677),
    [anon_sym_constinit] = ACTIONS(2677),
    [anon_sym_consteval] = ACTIONS(2677),
    [sym_primitive_type] = ACTIONS(2677),
    [anon_sym_enum] = ACTIONS(2677),
    [anon_sym_class] = ACTIONS(2677),
    [anon_sym_struct] = ACTIONS(2677),
    [anon_sym_union] = ACTIONS(2677),
    [anon_sym_if] = ACTIONS(2677),
    [anon_sym_switch] = ACTIONS(2677),
    [anon_sym_case] = ACTIONS(2677),
    [anon_sym_default] = ACTIONS(2677),
    [anon_sym_while] = ACTIONS(2677),
    [anon_sym_do] = ACTIONS(2677),
    [anon_sym_for] = ACTIONS(2677),
    [anon_sym_return] = ACTIONS(2677),
    [anon_sym_break] = ACTIONS(2677),
    [anon_sym_continue] = ACTIONS(2677),
    [anon_sym_goto] = ACTIONS(2677),
    [anon_sym___try] = ACTIONS(2677),
    [anon_sym___leave] = ACTIONS(2677),
    [anon_sym_not] = ACTIONS(2677),
    [anon_sym_compl] = ACTIONS(2677),
    [anon_sym_DASH_DASH] = ACTIONS(2679),
    [anon_sym_PLUS_PLUS] = ACTIONS(2679),
    [anon_sym_sizeof] = ACTIONS(2677),
    [anon_sym___alignof__] = ACTIONS(2677),
    [anon_sym___alignof] = ACTIONS(2677),
    [anon_sym__alignof] = ACTIONS(2677),
    [anon_sym_alignof] = ACTIONS(2677),
    [anon_sym__Alignof] = ACTIONS(2677),
    [anon_sym_offsetof] = ACTIONS(2677),
    [anon_sym__Generic] = ACTIONS(2677),
    [anon_sym_asm] = ACTIONS(2677),
    [anon_sym___asm__] = ACTIONS(2677),
    [sym_number_literal] = ACTIONS(2679),
    [anon_sym_L_SQUOTE] = ACTIONS(2679),
    [anon_sym_u_SQUOTE] = ACTIONS(2679),
    [anon_sym_U_SQUOTE] = ACTIONS(2679),
    [anon_sym_u8_SQUOTE] = ACTIONS(2679),
    [anon_sym_SQUOTE] = ACTIONS(2679),
    [anon_sym_L_DQUOTE] = ACTIONS(2679),
    [anon_sym_u_DQUOTE] = ACTIONS(2679),
    [anon_sym_U_DQUOTE] = ACTIONS(2679),
    [anon_sym_u8_DQUOTE] = ACTIONS(2679),
    [anon_sym_DQUOTE] = ACTIONS(2679),
    [sym_true] = ACTIONS(2677),
    [sym_false] = ACTIONS(2677),
    [anon_sym_NULL] = ACTIONS(2677),
    [anon_sym_nullptr] = ACTIONS(2677),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2677),
    [anon_sym_decltype] = ACTIONS(2677),
    [anon_sym_virtual] = ACTIONS(2677),
    [anon_sym_alignas] = ACTIONS(2677),
    [anon_sym_explicit] = ACTIONS(2677),
    [anon_sym_typename] = ACTIONS(2677),
    [anon_sym_template] = ACTIONS(2677),
    [anon_sym_operator] = ACTIONS(2677),
    [anon_sym_try] = ACTIONS(2677),
    [anon_sym_delete] = ACTIONS(2677),
    [anon_sym_throw] = ACTIONS(2677),
    [anon_sym_namespace] = ACTIONS(2677),
    [anon_sym_using] = ACTIONS(2677),
    [anon_sym_static_assert] = ACTIONS(2677),
    [anon_sym_concept] = ACTIONS(2677),
    [anon_sym_co_return] = ACTIONS(2677),
    [anon_sym_co_yield] = ACTIONS(2677),
    [anon_sym_R_DQUOTE] = ACTIONS(2679),
    [anon_sym_LR_DQUOTE] = ACTIONS(2679),
    [anon_sym_uR_DQUOTE] = ACTIONS(2679),
    [anon_sym_UR_DQUOTE] = ACTIONS(2679),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2679),
    [anon_sym_co_await] = ACTIONS(2677),
    [anon_sym_new] = ACTIONS(2677),
    [anon_sym_requires] = ACTIONS(2677),
    [sym_this] = ACTIONS(2677),
    [anon_sym_discard] = ACTIONS(2677),
    [anon_sym_precise] = ACTIONS(2677),
    [anon_sym_shared] = ACTIONS(2677),
    [anon_sym_groupshared] = ACTIONS(2677),
    [anon_sym_uniform] = ACTIONS(2677),
    [anon_sym_row_major] = ACTIONS(2677),
    [anon_sym_column_major] = ACTIONS(2677),
    [anon_sym_globallycoherent] = ACTIONS(2677),
    [anon_sym_centroid] = ACTIONS(2677),
    [anon_sym_noperspective] = ACTIONS(2677),
    [anon_sym_nointerpolation] = ACTIONS(2677),
    [anon_sym_sample] = ACTIONS(2677),
    [anon_sym_linear] = ACTIONS(2677),
    [anon_sym_snorm] = ACTIONS(2677),
    [anon_sym_unorm] = ACTIONS(2677),
    [anon_sym_point] = ACTIONS(2677),
    [anon_sym_line] = ACTIONS(2677),
    [anon_sym_triangleadj] = ACTIONS(2677),
    [anon_sym_lineadj] = ACTIONS(2677),
    [anon_sym_triangle] = ACTIONS(2677),
    [anon_sym_cbuffer] = ACTIONS(2677),
  },
  [384] = {
    [sym_identifier] = ACTIONS(2681),
    [aux_sym_preproc_include_token1] = ACTIONS(2681),
    [aux_sym_preproc_def_token1] = ACTIONS(2681),
    [aux_sym_preproc_if_token1] = ACTIONS(2681),
    [aux_sym_preproc_if_token2] = ACTIONS(2681),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2681),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2681),
    [aux_sym_preproc_else_token1] = ACTIONS(2681),
    [aux_sym_preproc_elif_token1] = ACTIONS(2681),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2681),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2681),
    [sym_preproc_directive] = ACTIONS(2681),
    [anon_sym_LPAREN2] = ACTIONS(2683),
    [anon_sym_BANG] = ACTIONS(2683),
    [anon_sym_TILDE] = ACTIONS(2683),
    [anon_sym_DASH] = ACTIONS(2681),
    [anon_sym_PLUS] = ACTIONS(2681),
    [anon_sym_STAR] = ACTIONS(2683),
    [anon_sym_AMP_AMP] = ACTIONS(2683),
    [anon_sym_AMP] = ACTIONS(2681),
    [anon_sym_SEMI] = ACTIONS(2683),
    [anon_sym___extension__] = ACTIONS(2681),
    [anon_sym_typedef] = ACTIONS(2681),
    [anon_sym_in] = ACTIONS(2681),
    [anon_sym_out] = ACTIONS(2681),
    [anon_sym_inout] = ACTIONS(2681),
    [anon_sym_extern] = ACTIONS(2681),
    [anon_sym___attribute__] = ACTIONS(2681),
    [anon_sym_COLON_COLON] = ACTIONS(2683),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2683),
    [anon_sym___declspec] = ACTIONS(2681),
    [anon_sym___based] = ACTIONS(2681),
    [anon_sym___cdecl] = ACTIONS(2681),
    [anon_sym___clrcall] = ACTIONS(2681),
    [anon_sym___stdcall] = ACTIONS(2681),
    [anon_sym___fastcall] = ACTIONS(2681),
    [anon_sym___thiscall] = ACTIONS(2681),
    [anon_sym___vectorcall] = ACTIONS(2681),
    [anon_sym_LBRACE] = ACTIONS(2683),
    [anon_sym_signed] = ACTIONS(2681),
    [anon_sym_unsigned] = ACTIONS(2681),
    [anon_sym_long] = ACTIONS(2681),
    [anon_sym_short] = ACTIONS(2681),
    [anon_sym_LBRACK] = ACTIONS(2681),
    [anon_sym_static] = ACTIONS(2681),
    [anon_sym_register] = ACTIONS(2681),
    [anon_sym_inline] = ACTIONS(2681),
    [anon_sym___inline] = ACTIONS(2681),
    [anon_sym___inline__] = ACTIONS(2681),
    [anon_sym___forceinline] = ACTIONS(2681),
    [anon_sym_thread_local] = ACTIONS(2681),
    [anon_sym___thread] = ACTIONS(2681),
    [anon_sym_const] = ACTIONS(2681),
    [anon_sym_constexpr] = ACTIONS(2681),
    [anon_sym_volatile] = ACTIONS(2681),
    [anon_sym_restrict] = ACTIONS(2681),
    [anon_sym___restrict__] = ACTIONS(2681),
    [anon_sym__Atomic] = ACTIONS(2681),
    [anon_sym__Noreturn] = ACTIONS(2681),
    [anon_sym_noreturn] = ACTIONS(2681),
    [anon_sym_mutable] = ACTIONS(2681),
    [anon_sym_constinit] = ACTIONS(2681),
    [anon_sym_consteval] = ACTIONS(2681),
    [sym_primitive_type] = ACTIONS(2681),
    [anon_sym_enum] = ACTIONS(2681),
    [anon_sym_class] = ACTIONS(2681),
    [anon_sym_struct] = ACTIONS(2681),
    [anon_sym_union] = ACTIONS(2681),
    [anon_sym_if] = ACTIONS(2681),
    [anon_sym_switch] = ACTIONS(2681),
    [anon_sym_case] = ACTIONS(2681),
    [anon_sym_default] = ACTIONS(2681),
    [anon_sym_while] = ACTIONS(2681),
    [anon_sym_do] = ACTIONS(2681),
    [anon_sym_for] = ACTIONS(2681),
    [anon_sym_return] = ACTIONS(2681),
    [anon_sym_break] = ACTIONS(2681),
    [anon_sym_continue] = ACTIONS(2681),
    [anon_sym_goto] = ACTIONS(2681),
    [anon_sym___try] = ACTIONS(2681),
    [anon_sym___leave] = ACTIONS(2681),
    [anon_sym_not] = ACTIONS(2681),
    [anon_sym_compl] = ACTIONS(2681),
    [anon_sym_DASH_DASH] = ACTIONS(2683),
    [anon_sym_PLUS_PLUS] = ACTIONS(2683),
    [anon_sym_sizeof] = ACTIONS(2681),
    [anon_sym___alignof__] = ACTIONS(2681),
    [anon_sym___alignof] = ACTIONS(2681),
    [anon_sym__alignof] = ACTIONS(2681),
    [anon_sym_alignof] = ACTIONS(2681),
    [anon_sym__Alignof] = ACTIONS(2681),
    [anon_sym_offsetof] = ACTIONS(2681),
    [anon_sym__Generic] = ACTIONS(2681),
    [anon_sym_asm] = ACTIONS(2681),
    [anon_sym___asm__] = ACTIONS(2681),
    [sym_number_literal] = ACTIONS(2683),
    [anon_sym_L_SQUOTE] = ACTIONS(2683),
    [anon_sym_u_SQUOTE] = ACTIONS(2683),
    [anon_sym_U_SQUOTE] = ACTIONS(2683),
    [anon_sym_u8_SQUOTE] = ACTIONS(2683),
    [anon_sym_SQUOTE] = ACTIONS(2683),
    [anon_sym_L_DQUOTE] = ACTIONS(2683),
    [anon_sym_u_DQUOTE] = ACTIONS(2683),
    [anon_sym_U_DQUOTE] = ACTIONS(2683),
    [anon_sym_u8_DQUOTE] = ACTIONS(2683),
    [anon_sym_DQUOTE] = ACTIONS(2683),
    [sym_true] = ACTIONS(2681),
    [sym_false] = ACTIONS(2681),
    [anon_sym_NULL] = ACTIONS(2681),
    [anon_sym_nullptr] = ACTIONS(2681),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2681),
    [anon_sym_decltype] = ACTIONS(2681),
    [anon_sym_virtual] = ACTIONS(2681),
    [anon_sym_alignas] = ACTIONS(2681),
    [anon_sym_explicit] = ACTIONS(2681),
    [anon_sym_typename] = ACTIONS(2681),
    [anon_sym_template] = ACTIONS(2681),
    [anon_sym_operator] = ACTIONS(2681),
    [anon_sym_try] = ACTIONS(2681),
    [anon_sym_delete] = ACTIONS(2681),
    [anon_sym_throw] = ACTIONS(2681),
    [anon_sym_namespace] = ACTIONS(2681),
    [anon_sym_using] = ACTIONS(2681),
    [anon_sym_static_assert] = ACTIONS(2681),
    [anon_sym_concept] = ACTIONS(2681),
    [anon_sym_co_return] = ACTIONS(2681),
    [anon_sym_co_yield] = ACTIONS(2681),
    [anon_sym_R_DQUOTE] = ACTIONS(2683),
    [anon_sym_LR_DQUOTE] = ACTIONS(2683),
    [anon_sym_uR_DQUOTE] = ACTIONS(2683),
    [anon_sym_UR_DQUOTE] = ACTIONS(2683),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2683),
    [anon_sym_co_await] = ACTIONS(2681),
    [anon_sym_new] = ACTIONS(2681),
    [anon_sym_requires] = ACTIONS(2681),
    [sym_this] = ACTIONS(2681),
    [anon_sym_discard] = ACTIONS(2681),
    [anon_sym_precise] = ACTIONS(2681),
    [anon_sym_shared] = ACTIONS(2681),
    [anon_sym_groupshared] = ACTIONS(2681),
    [anon_sym_uniform] = ACTIONS(2681),
    [anon_sym_row_major] = ACTIONS(2681),
    [anon_sym_column_major] = ACTIONS(2681),
    [anon_sym_globallycoherent] = ACTIONS(2681),
    [anon_sym_centroid] = ACTIONS(2681),
    [anon_sym_noperspective] = ACTIONS(2681),
    [anon_sym_nointerpolation] = ACTIONS(2681),
    [anon_sym_sample] = ACTIONS(2681),
    [anon_sym_linear] = ACTIONS(2681),
    [anon_sym_snorm] = ACTIONS(2681),
    [anon_sym_unorm] = ACTIONS(2681),
    [anon_sym_point] = ACTIONS(2681),
    [anon_sym_line] = ACTIONS(2681),
    [anon_sym_triangleadj] = ACTIONS(2681),
    [anon_sym_lineadj] = ACTIONS(2681),
    [anon_sym_triangle] = ACTIONS(2681),
    [anon_sym_cbuffer] = ACTIONS(2681),
  },
  [385] = {
    [sym_catch_clause] = STATE(385),
    [aux_sym_constructor_try_statement_repeat1] = STATE(385),
    [sym_identifier] = ACTIONS(2268),
    [aux_sym_preproc_include_token1] = ACTIONS(2268),
    [aux_sym_preproc_def_token1] = ACTIONS(2268),
    [aux_sym_preproc_if_token1] = ACTIONS(2268),
    [aux_sym_preproc_if_token2] = ACTIONS(2268),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2268),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2268),
    [sym_preproc_directive] = ACTIONS(2268),
    [anon_sym_LPAREN2] = ACTIONS(2270),
    [anon_sym_BANG] = ACTIONS(2270),
    [anon_sym_TILDE] = ACTIONS(2270),
    [anon_sym_DASH] = ACTIONS(2268),
    [anon_sym_PLUS] = ACTIONS(2268),
    [anon_sym_STAR] = ACTIONS(2270),
    [anon_sym_AMP_AMP] = ACTIONS(2270),
    [anon_sym_AMP] = ACTIONS(2268),
    [anon_sym_SEMI] = ACTIONS(2270),
    [anon_sym___extension__] = ACTIONS(2268),
    [anon_sym_typedef] = ACTIONS(2268),
    [anon_sym_in] = ACTIONS(2268),
    [anon_sym_out] = ACTIONS(2268),
    [anon_sym_inout] = ACTIONS(2268),
    [anon_sym_extern] = ACTIONS(2268),
    [anon_sym___attribute__] = ACTIONS(2268),
    [anon_sym_COLON_COLON] = ACTIONS(2270),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2270),
    [anon_sym___declspec] = ACTIONS(2268),
    [anon_sym___based] = ACTIONS(2268),
    [anon_sym___cdecl] = ACTIONS(2268),
    [anon_sym___clrcall] = ACTIONS(2268),
    [anon_sym___stdcall] = ACTIONS(2268),
    [anon_sym___fastcall] = ACTIONS(2268),
    [anon_sym___thiscall] = ACTIONS(2268),
    [anon_sym___vectorcall] = ACTIONS(2268),
    [anon_sym_LBRACE] = ACTIONS(2270),
    [anon_sym_signed] = ACTIONS(2268),
    [anon_sym_unsigned] = ACTIONS(2268),
    [anon_sym_long] = ACTIONS(2268),
    [anon_sym_short] = ACTIONS(2268),
    [anon_sym_LBRACK] = ACTIONS(2268),
    [anon_sym_static] = ACTIONS(2268),
    [anon_sym_register] = ACTIONS(2268),
    [anon_sym_inline] = ACTIONS(2268),
    [anon_sym___inline] = ACTIONS(2268),
    [anon_sym___inline__] = ACTIONS(2268),
    [anon_sym___forceinline] = ACTIONS(2268),
    [anon_sym_thread_local] = ACTIONS(2268),
    [anon_sym___thread] = ACTIONS(2268),
    [anon_sym_const] = ACTIONS(2268),
    [anon_sym_constexpr] = ACTIONS(2268),
    [anon_sym_volatile] = ACTIONS(2268),
    [anon_sym_restrict] = ACTIONS(2268),
    [anon_sym___restrict__] = ACTIONS(2268),
    [anon_sym__Atomic] = ACTIONS(2268),
    [anon_sym__Noreturn] = ACTIONS(2268),
    [anon_sym_noreturn] = ACTIONS(2268),
    [anon_sym_mutable] = ACTIONS(2268),
    [anon_sym_constinit] = ACTIONS(2268),
    [anon_sym_consteval] = ACTIONS(2268),
    [sym_primitive_type] = ACTIONS(2268),
    [anon_sym_enum] = ACTIONS(2268),
    [anon_sym_class] = ACTIONS(2268),
    [anon_sym_struct] = ACTIONS(2268),
    [anon_sym_union] = ACTIONS(2268),
    [anon_sym_if] = ACTIONS(2268),
    [anon_sym_else] = ACTIONS(2268),
    [anon_sym_switch] = ACTIONS(2268),
    [anon_sym_case] = ACTIONS(2268),
    [anon_sym_default] = ACTIONS(2268),
    [anon_sym_while] = ACTIONS(2268),
    [anon_sym_do] = ACTIONS(2268),
    [anon_sym_for] = ACTIONS(2268),
    [anon_sym_return] = ACTIONS(2268),
    [anon_sym_break] = ACTIONS(2268),
    [anon_sym_continue] = ACTIONS(2268),
    [anon_sym_goto] = ACTIONS(2268),
    [anon_sym___try] = ACTIONS(2268),
    [anon_sym___leave] = ACTIONS(2268),
    [anon_sym_not] = ACTIONS(2268),
    [anon_sym_compl] = ACTIONS(2268),
    [anon_sym_DASH_DASH] = ACTIONS(2270),
    [anon_sym_PLUS_PLUS] = ACTIONS(2270),
    [anon_sym_sizeof] = ACTIONS(2268),
    [anon_sym___alignof__] = ACTIONS(2268),
    [anon_sym___alignof] = ACTIONS(2268),
    [anon_sym__alignof] = ACTIONS(2268),
    [anon_sym_alignof] = ACTIONS(2268),
    [anon_sym__Alignof] = ACTIONS(2268),
    [anon_sym_offsetof] = ACTIONS(2268),
    [anon_sym__Generic] = ACTIONS(2268),
    [anon_sym_asm] = ACTIONS(2268),
    [anon_sym___asm__] = ACTIONS(2268),
    [sym_number_literal] = ACTIONS(2270),
    [anon_sym_L_SQUOTE] = ACTIONS(2270),
    [anon_sym_u_SQUOTE] = ACTIONS(2270),
    [anon_sym_U_SQUOTE] = ACTIONS(2270),
    [anon_sym_u8_SQUOTE] = ACTIONS(2270),
    [anon_sym_SQUOTE] = ACTIONS(2270),
    [anon_sym_L_DQUOTE] = ACTIONS(2270),
    [anon_sym_u_DQUOTE] = ACTIONS(2270),
    [anon_sym_U_DQUOTE] = ACTIONS(2270),
    [anon_sym_u8_DQUOTE] = ACTIONS(2270),
    [anon_sym_DQUOTE] = ACTIONS(2270),
    [sym_true] = ACTIONS(2268),
    [sym_false] = ACTIONS(2268),
    [anon_sym_NULL] = ACTIONS(2268),
    [anon_sym_nullptr] = ACTIONS(2268),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2268),
    [anon_sym_decltype] = ACTIONS(2268),
    [anon_sym_virtual] = ACTIONS(2268),
    [anon_sym_alignas] = ACTIONS(2268),
    [anon_sym_explicit] = ACTIONS(2268),
    [anon_sym_typename] = ACTIONS(2268),
    [anon_sym_template] = ACTIONS(2268),
    [anon_sym_operator] = ACTIONS(2268),
    [anon_sym_try] = ACTIONS(2268),
    [anon_sym_delete] = ACTIONS(2268),
    [anon_sym_throw] = ACTIONS(2268),
    [anon_sym_namespace] = ACTIONS(2268),
    [anon_sym_using] = ACTIONS(2268),
    [anon_sym_static_assert] = ACTIONS(2268),
    [anon_sym_concept] = ACTIONS(2268),
    [anon_sym_co_return] = ACTIONS(2268),
    [anon_sym_co_yield] = ACTIONS(2268),
    [anon_sym_catch] = ACTIONS(2685),
    [anon_sym_R_DQUOTE] = ACTIONS(2270),
    [anon_sym_LR_DQUOTE] = ACTIONS(2270),
    [anon_sym_uR_DQUOTE] = ACTIONS(2270),
    [anon_sym_UR_DQUOTE] = ACTIONS(2270),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2270),
    [anon_sym_co_await] = ACTIONS(2268),
    [anon_sym_new] = ACTIONS(2268),
    [anon_sym_requires] = ACTIONS(2268),
    [sym_this] = ACTIONS(2268),
    [anon_sym_discard] = ACTIONS(2268),
    [anon_sym_precise] = ACTIONS(2268),
    [anon_sym_shared] = ACTIONS(2268),
    [anon_sym_groupshared] = ACTIONS(2268),
    [anon_sym_uniform] = ACTIONS(2268),
    [anon_sym_row_major] = ACTIONS(2268),
    [anon_sym_column_major] = ACTIONS(2268),
    [anon_sym_globallycoherent] = ACTIONS(2268),
    [anon_sym_centroid] = ACTIONS(2268),
    [anon_sym_noperspective] = ACTIONS(2268),
    [anon_sym_nointerpolation] = ACTIONS(2268),
    [anon_sym_sample] = ACTIONS(2268),
    [anon_sym_linear] = ACTIONS(2268),
    [anon_sym_snorm] = ACTIONS(2268),
    [anon_sym_unorm] = ACTIONS(2268),
    [anon_sym_point] = ACTIONS(2268),
    [anon_sym_line] = ACTIONS(2268),
    [anon_sym_triangleadj] = ACTIONS(2268),
    [anon_sym_lineadj] = ACTIONS(2268),
    [anon_sym_triangle] = ACTIONS(2268),
    [anon_sym_cbuffer] = ACTIONS(2268),
  },
  [386] = {
    [sym_identifier] = ACTIONS(2688),
    [aux_sym_preproc_include_token1] = ACTIONS(2688),
    [aux_sym_preproc_def_token1] = ACTIONS(2688),
    [aux_sym_preproc_if_token1] = ACTIONS(2688),
    [aux_sym_preproc_if_token2] = ACTIONS(2688),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2688),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2688),
    [aux_sym_preproc_else_token1] = ACTIONS(2688),
    [aux_sym_preproc_elif_token1] = ACTIONS(2688),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2688),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2688),
    [sym_preproc_directive] = ACTIONS(2688),
    [anon_sym_LPAREN2] = ACTIONS(2690),
    [anon_sym_BANG] = ACTIONS(2690),
    [anon_sym_TILDE] = ACTIONS(2690),
    [anon_sym_DASH] = ACTIONS(2688),
    [anon_sym_PLUS] = ACTIONS(2688),
    [anon_sym_STAR] = ACTIONS(2690),
    [anon_sym_AMP_AMP] = ACTIONS(2690),
    [anon_sym_AMP] = ACTIONS(2688),
    [anon_sym_SEMI] = ACTIONS(2690),
    [anon_sym___extension__] = ACTIONS(2688),
    [anon_sym_typedef] = ACTIONS(2688),
    [anon_sym_in] = ACTIONS(2688),
    [anon_sym_out] = ACTIONS(2688),
    [anon_sym_inout] = ACTIONS(2688),
    [anon_sym_extern] = ACTIONS(2688),
    [anon_sym___attribute__] = ACTIONS(2688),
    [anon_sym_COLON_COLON] = ACTIONS(2690),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2690),
    [anon_sym___declspec] = ACTIONS(2688),
    [anon_sym___based] = ACTIONS(2688),
    [anon_sym___cdecl] = ACTIONS(2688),
    [anon_sym___clrcall] = ACTIONS(2688),
    [anon_sym___stdcall] = ACTIONS(2688),
    [anon_sym___fastcall] = ACTIONS(2688),
    [anon_sym___thiscall] = ACTIONS(2688),
    [anon_sym___vectorcall] = ACTIONS(2688),
    [anon_sym_LBRACE] = ACTIONS(2690),
    [anon_sym_signed] = ACTIONS(2688),
    [anon_sym_unsigned] = ACTIONS(2688),
    [anon_sym_long] = ACTIONS(2688),
    [anon_sym_short] = ACTIONS(2688),
    [anon_sym_LBRACK] = ACTIONS(2688),
    [anon_sym_static] = ACTIONS(2688),
    [anon_sym_register] = ACTIONS(2688),
    [anon_sym_inline] = ACTIONS(2688),
    [anon_sym___inline] = ACTIONS(2688),
    [anon_sym___inline__] = ACTIONS(2688),
    [anon_sym___forceinline] = ACTIONS(2688),
    [anon_sym_thread_local] = ACTIONS(2688),
    [anon_sym___thread] = ACTIONS(2688),
    [anon_sym_const] = ACTIONS(2688),
    [anon_sym_constexpr] = ACTIONS(2688),
    [anon_sym_volatile] = ACTIONS(2688),
    [anon_sym_restrict] = ACTIONS(2688),
    [anon_sym___restrict__] = ACTIONS(2688),
    [anon_sym__Atomic] = ACTIONS(2688),
    [anon_sym__Noreturn] = ACTIONS(2688),
    [anon_sym_noreturn] = ACTIONS(2688),
    [anon_sym_mutable] = ACTIONS(2688),
    [anon_sym_constinit] = ACTIONS(2688),
    [anon_sym_consteval] = ACTIONS(2688),
    [sym_primitive_type] = ACTIONS(2688),
    [anon_sym_enum] = ACTIONS(2688),
    [anon_sym_class] = ACTIONS(2688),
    [anon_sym_struct] = ACTIONS(2688),
    [anon_sym_union] = ACTIONS(2688),
    [anon_sym_if] = ACTIONS(2688),
    [anon_sym_switch] = ACTIONS(2688),
    [anon_sym_case] = ACTIONS(2688),
    [anon_sym_default] = ACTIONS(2688),
    [anon_sym_while] = ACTIONS(2688),
    [anon_sym_do] = ACTIONS(2688),
    [anon_sym_for] = ACTIONS(2688),
    [anon_sym_return] = ACTIONS(2688),
    [anon_sym_break] = ACTIONS(2688),
    [anon_sym_continue] = ACTIONS(2688),
    [anon_sym_goto] = ACTIONS(2688),
    [anon_sym___try] = ACTIONS(2688),
    [anon_sym___leave] = ACTIONS(2688),
    [anon_sym_not] = ACTIONS(2688),
    [anon_sym_compl] = ACTIONS(2688),
    [anon_sym_DASH_DASH] = ACTIONS(2690),
    [anon_sym_PLUS_PLUS] = ACTIONS(2690),
    [anon_sym_sizeof] = ACTIONS(2688),
    [anon_sym___alignof__] = ACTIONS(2688),
    [anon_sym___alignof] = ACTIONS(2688),
    [anon_sym__alignof] = ACTIONS(2688),
    [anon_sym_alignof] = ACTIONS(2688),
    [anon_sym__Alignof] = ACTIONS(2688),
    [anon_sym_offsetof] = ACTIONS(2688),
    [anon_sym__Generic] = ACTIONS(2688),
    [anon_sym_asm] = ACTIONS(2688),
    [anon_sym___asm__] = ACTIONS(2688),
    [sym_number_literal] = ACTIONS(2690),
    [anon_sym_L_SQUOTE] = ACTIONS(2690),
    [anon_sym_u_SQUOTE] = ACTIONS(2690),
    [anon_sym_U_SQUOTE] = ACTIONS(2690),
    [anon_sym_u8_SQUOTE] = ACTIONS(2690),
    [anon_sym_SQUOTE] = ACTIONS(2690),
    [anon_sym_L_DQUOTE] = ACTIONS(2690),
    [anon_sym_u_DQUOTE] = ACTIONS(2690),
    [anon_sym_U_DQUOTE] = ACTIONS(2690),
    [anon_sym_u8_DQUOTE] = ACTIONS(2690),
    [anon_sym_DQUOTE] = ACTIONS(2690),
    [sym_true] = ACTIONS(2688),
    [sym_false] = ACTIONS(2688),
    [anon_sym_NULL] = ACTIONS(2688),
    [anon_sym_nullptr] = ACTIONS(2688),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2688),
    [anon_sym_decltype] = ACTIONS(2688),
    [anon_sym_virtual] = ACTIONS(2688),
    [anon_sym_alignas] = ACTIONS(2688),
    [anon_sym_explicit] = ACTIONS(2688),
    [anon_sym_typename] = ACTIONS(2688),
    [anon_sym_template] = ACTIONS(2688),
    [anon_sym_operator] = ACTIONS(2688),
    [anon_sym_try] = ACTIONS(2688),
    [anon_sym_delete] = ACTIONS(2688),
    [anon_sym_throw] = ACTIONS(2688),
    [anon_sym_namespace] = ACTIONS(2688),
    [anon_sym_using] = ACTIONS(2688),
    [anon_sym_static_assert] = ACTIONS(2688),
    [anon_sym_concept] = ACTIONS(2688),
    [anon_sym_co_return] = ACTIONS(2688),
    [anon_sym_co_yield] = ACTIONS(2688),
    [anon_sym_R_DQUOTE] = ACTIONS(2690),
    [anon_sym_LR_DQUOTE] = ACTIONS(2690),
    [anon_sym_uR_DQUOTE] = ACTIONS(2690),
    [anon_sym_UR_DQUOTE] = ACTIONS(2690),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2690),
    [anon_sym_co_await] = ACTIONS(2688),
    [anon_sym_new] = ACTIONS(2688),
    [anon_sym_requires] = ACTIONS(2688),
    [sym_this] = ACTIONS(2688),
    [anon_sym_discard] = ACTIONS(2688),
    [anon_sym_precise] = ACTIONS(2688),
    [anon_sym_shared] = ACTIONS(2688),
    [anon_sym_groupshared] = ACTIONS(2688),
    [anon_sym_uniform] = ACTIONS(2688),
    [anon_sym_row_major] = ACTIONS(2688),
    [anon_sym_column_major] = ACTIONS(2688),
    [anon_sym_globallycoherent] = ACTIONS(2688),
    [anon_sym_centroid] = ACTIONS(2688),
    [anon_sym_noperspective] = ACTIONS(2688),
    [anon_sym_nointerpolation] = ACTIONS(2688),
    [anon_sym_sample] = ACTIONS(2688),
    [anon_sym_linear] = ACTIONS(2688),
    [anon_sym_snorm] = ACTIONS(2688),
    [anon_sym_unorm] = ACTIONS(2688),
    [anon_sym_point] = ACTIONS(2688),
    [anon_sym_line] = ACTIONS(2688),
    [anon_sym_triangleadj] = ACTIONS(2688),
    [anon_sym_lineadj] = ACTIONS(2688),
    [anon_sym_triangle] = ACTIONS(2688),
    [anon_sym_cbuffer] = ACTIONS(2688),
  },
  [387] = {
    [sym_catch_clause] = STATE(395),
    [aux_sym_constructor_try_statement_repeat1] = STATE(395),
    [ts_builtin_sym_end] = ACTIONS(2244),
    [sym_identifier] = ACTIONS(2242),
    [aux_sym_preproc_include_token1] = ACTIONS(2242),
    [aux_sym_preproc_def_token1] = ACTIONS(2242),
    [aux_sym_preproc_if_token1] = ACTIONS(2242),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2242),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2242),
    [sym_preproc_directive] = ACTIONS(2242),
    [anon_sym_LPAREN2] = ACTIONS(2244),
    [anon_sym_BANG] = ACTIONS(2244),
    [anon_sym_TILDE] = ACTIONS(2244),
    [anon_sym_DASH] = ACTIONS(2242),
    [anon_sym_PLUS] = ACTIONS(2242),
    [anon_sym_STAR] = ACTIONS(2244),
    [anon_sym_AMP_AMP] = ACTIONS(2244),
    [anon_sym_AMP] = ACTIONS(2242),
    [anon_sym_SEMI] = ACTIONS(2244),
    [anon_sym___extension__] = ACTIONS(2242),
    [anon_sym_typedef] = ACTIONS(2242),
    [anon_sym_in] = ACTIONS(2242),
    [anon_sym_out] = ACTIONS(2242),
    [anon_sym_inout] = ACTIONS(2242),
    [anon_sym_extern] = ACTIONS(2242),
    [anon_sym___attribute__] = ACTIONS(2242),
    [anon_sym_COLON_COLON] = ACTIONS(2244),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2244),
    [anon_sym___declspec] = ACTIONS(2242),
    [anon_sym___based] = ACTIONS(2242),
    [anon_sym___cdecl] = ACTIONS(2242),
    [anon_sym___clrcall] = ACTIONS(2242),
    [anon_sym___stdcall] = ACTIONS(2242),
    [anon_sym___fastcall] = ACTIONS(2242),
    [anon_sym___thiscall] = ACTIONS(2242),
    [anon_sym___vectorcall] = ACTIONS(2242),
    [anon_sym_LBRACE] = ACTIONS(2244),
    [anon_sym_signed] = ACTIONS(2242),
    [anon_sym_unsigned] = ACTIONS(2242),
    [anon_sym_long] = ACTIONS(2242),
    [anon_sym_short] = ACTIONS(2242),
    [anon_sym_LBRACK] = ACTIONS(2242),
    [anon_sym_static] = ACTIONS(2242),
    [anon_sym_register] = ACTIONS(2242),
    [anon_sym_inline] = ACTIONS(2242),
    [anon_sym___inline] = ACTIONS(2242),
    [anon_sym___inline__] = ACTIONS(2242),
    [anon_sym___forceinline] = ACTIONS(2242),
    [anon_sym_thread_local] = ACTIONS(2242),
    [anon_sym___thread] = ACTIONS(2242),
    [anon_sym_const] = ACTIONS(2242),
    [anon_sym_constexpr] = ACTIONS(2242),
    [anon_sym_volatile] = ACTIONS(2242),
    [anon_sym_restrict] = ACTIONS(2242),
    [anon_sym___restrict__] = ACTIONS(2242),
    [anon_sym__Atomic] = ACTIONS(2242),
    [anon_sym__Noreturn] = ACTIONS(2242),
    [anon_sym_noreturn] = ACTIONS(2242),
    [anon_sym_mutable] = ACTIONS(2242),
    [anon_sym_constinit] = ACTIONS(2242),
    [anon_sym_consteval] = ACTIONS(2242),
    [sym_primitive_type] = ACTIONS(2242),
    [anon_sym_enum] = ACTIONS(2242),
    [anon_sym_class] = ACTIONS(2242),
    [anon_sym_struct] = ACTIONS(2242),
    [anon_sym_union] = ACTIONS(2242),
    [anon_sym_if] = ACTIONS(2242),
    [anon_sym_else] = ACTIONS(2242),
    [anon_sym_switch] = ACTIONS(2242),
    [anon_sym_case] = ACTIONS(2242),
    [anon_sym_default] = ACTIONS(2242),
    [anon_sym_while] = ACTIONS(2242),
    [anon_sym_do] = ACTIONS(2242),
    [anon_sym_for] = ACTIONS(2242),
    [anon_sym_return] = ACTIONS(2242),
    [anon_sym_break] = ACTIONS(2242),
    [anon_sym_continue] = ACTIONS(2242),
    [anon_sym_goto] = ACTIONS(2242),
    [anon_sym___try] = ACTIONS(2242),
    [anon_sym___leave] = ACTIONS(2242),
    [anon_sym_not] = ACTIONS(2242),
    [anon_sym_compl] = ACTIONS(2242),
    [anon_sym_DASH_DASH] = ACTIONS(2244),
    [anon_sym_PLUS_PLUS] = ACTIONS(2244),
    [anon_sym_sizeof] = ACTIONS(2242),
    [anon_sym___alignof__] = ACTIONS(2242),
    [anon_sym___alignof] = ACTIONS(2242),
    [anon_sym__alignof] = ACTIONS(2242),
    [anon_sym_alignof] = ACTIONS(2242),
    [anon_sym__Alignof] = ACTIONS(2242),
    [anon_sym_offsetof] = ACTIONS(2242),
    [anon_sym__Generic] = ACTIONS(2242),
    [anon_sym_asm] = ACTIONS(2242),
    [anon_sym___asm__] = ACTIONS(2242),
    [sym_number_literal] = ACTIONS(2244),
    [anon_sym_L_SQUOTE] = ACTIONS(2244),
    [anon_sym_u_SQUOTE] = ACTIONS(2244),
    [anon_sym_U_SQUOTE] = ACTIONS(2244),
    [anon_sym_u8_SQUOTE] = ACTIONS(2244),
    [anon_sym_SQUOTE] = ACTIONS(2244),
    [anon_sym_L_DQUOTE] = ACTIONS(2244),
    [anon_sym_u_DQUOTE] = ACTIONS(2244),
    [anon_sym_U_DQUOTE] = ACTIONS(2244),
    [anon_sym_u8_DQUOTE] = ACTIONS(2244),
    [anon_sym_DQUOTE] = ACTIONS(2244),
    [sym_true] = ACTIONS(2242),
    [sym_false] = ACTIONS(2242),
    [anon_sym_NULL] = ACTIONS(2242),
    [anon_sym_nullptr] = ACTIONS(2242),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2242),
    [anon_sym_decltype] = ACTIONS(2242),
    [anon_sym_virtual] = ACTIONS(2242),
    [anon_sym_alignas] = ACTIONS(2242),
    [anon_sym_explicit] = ACTIONS(2242),
    [anon_sym_typename] = ACTIONS(2242),
    [anon_sym_template] = ACTIONS(2242),
    [anon_sym_operator] = ACTIONS(2242),
    [anon_sym_try] = ACTIONS(2242),
    [anon_sym_delete] = ACTIONS(2242),
    [anon_sym_throw] = ACTIONS(2242),
    [anon_sym_namespace] = ACTIONS(2242),
    [anon_sym_using] = ACTIONS(2242),
    [anon_sym_static_assert] = ACTIONS(2242),
    [anon_sym_concept] = ACTIONS(2242),
    [anon_sym_co_return] = ACTIONS(2242),
    [anon_sym_co_yield] = ACTIONS(2242),
    [anon_sym_catch] = ACTIONS(2692),
    [anon_sym_R_DQUOTE] = ACTIONS(2244),
    [anon_sym_LR_DQUOTE] = ACTIONS(2244),
    [anon_sym_uR_DQUOTE] = ACTIONS(2244),
    [anon_sym_UR_DQUOTE] = ACTIONS(2244),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2244),
    [anon_sym_co_await] = ACTIONS(2242),
    [anon_sym_new] = ACTIONS(2242),
    [anon_sym_requires] = ACTIONS(2242),
    [sym_this] = ACTIONS(2242),
    [anon_sym_discard] = ACTIONS(2242),
    [anon_sym_precise] = ACTIONS(2242),
    [anon_sym_shared] = ACTIONS(2242),
    [anon_sym_groupshared] = ACTIONS(2242),
    [anon_sym_uniform] = ACTIONS(2242),
    [anon_sym_row_major] = ACTIONS(2242),
    [anon_sym_column_major] = ACTIONS(2242),
    [anon_sym_globallycoherent] = ACTIONS(2242),
    [anon_sym_centroid] = ACTIONS(2242),
    [anon_sym_noperspective] = ACTIONS(2242),
    [anon_sym_nointerpolation] = ACTIONS(2242),
    [anon_sym_sample] = ACTIONS(2242),
    [anon_sym_linear] = ACTIONS(2242),
    [anon_sym_snorm] = ACTIONS(2242),
    [anon_sym_unorm] = ACTIONS(2242),
    [anon_sym_point] = ACTIONS(2242),
    [anon_sym_line] = ACTIONS(2242),
    [anon_sym_triangleadj] = ACTIONS(2242),
    [anon_sym_lineadj] = ACTIONS(2242),
    [anon_sym_triangle] = ACTIONS(2242),
    [anon_sym_cbuffer] = ACTIONS(2242),
  },
  [388] = {
    [sym_identifier] = ACTIONS(2694),
    [aux_sym_preproc_include_token1] = ACTIONS(2694),
    [aux_sym_preproc_def_token1] = ACTIONS(2694),
    [aux_sym_preproc_if_token1] = ACTIONS(2694),
    [aux_sym_preproc_if_token2] = ACTIONS(2694),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2694),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2694),
    [aux_sym_preproc_else_token1] = ACTIONS(2694),
    [aux_sym_preproc_elif_token1] = ACTIONS(2694),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2694),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2694),
    [sym_preproc_directive] = ACTIONS(2694),
    [anon_sym_LPAREN2] = ACTIONS(2696),
    [anon_sym_BANG] = ACTIONS(2696),
    [anon_sym_TILDE] = ACTIONS(2696),
    [anon_sym_DASH] = ACTIONS(2694),
    [anon_sym_PLUS] = ACTIONS(2694),
    [anon_sym_STAR] = ACTIONS(2696),
    [anon_sym_AMP_AMP] = ACTIONS(2696),
    [anon_sym_AMP] = ACTIONS(2694),
    [anon_sym_SEMI] = ACTIONS(2696),
    [anon_sym___extension__] = ACTIONS(2694),
    [anon_sym_typedef] = ACTIONS(2694),
    [anon_sym_in] = ACTIONS(2694),
    [anon_sym_out] = ACTIONS(2694),
    [anon_sym_inout] = ACTIONS(2694),
    [anon_sym_extern] = ACTIONS(2694),
    [anon_sym___attribute__] = ACTIONS(2694),
    [anon_sym_COLON_COLON] = ACTIONS(2696),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2696),
    [anon_sym___declspec] = ACTIONS(2694),
    [anon_sym___based] = ACTIONS(2694),
    [anon_sym___cdecl] = ACTIONS(2694),
    [anon_sym___clrcall] = ACTIONS(2694),
    [anon_sym___stdcall] = ACTIONS(2694),
    [anon_sym___fastcall] = ACTIONS(2694),
    [anon_sym___thiscall] = ACTIONS(2694),
    [anon_sym___vectorcall] = ACTIONS(2694),
    [anon_sym_LBRACE] = ACTIONS(2696),
    [anon_sym_signed] = ACTIONS(2694),
    [anon_sym_unsigned] = ACTIONS(2694),
    [anon_sym_long] = ACTIONS(2694),
    [anon_sym_short] = ACTIONS(2694),
    [anon_sym_LBRACK] = ACTIONS(2694),
    [anon_sym_static] = ACTIONS(2694),
    [anon_sym_register] = ACTIONS(2694),
    [anon_sym_inline] = ACTIONS(2694),
    [anon_sym___inline] = ACTIONS(2694),
    [anon_sym___inline__] = ACTIONS(2694),
    [anon_sym___forceinline] = ACTIONS(2694),
    [anon_sym_thread_local] = ACTIONS(2694),
    [anon_sym___thread] = ACTIONS(2694),
    [anon_sym_const] = ACTIONS(2694),
    [anon_sym_constexpr] = ACTIONS(2694),
    [anon_sym_volatile] = ACTIONS(2694),
    [anon_sym_restrict] = ACTIONS(2694),
    [anon_sym___restrict__] = ACTIONS(2694),
    [anon_sym__Atomic] = ACTIONS(2694),
    [anon_sym__Noreturn] = ACTIONS(2694),
    [anon_sym_noreturn] = ACTIONS(2694),
    [anon_sym_mutable] = ACTIONS(2694),
    [anon_sym_constinit] = ACTIONS(2694),
    [anon_sym_consteval] = ACTIONS(2694),
    [sym_primitive_type] = ACTIONS(2694),
    [anon_sym_enum] = ACTIONS(2694),
    [anon_sym_class] = ACTIONS(2694),
    [anon_sym_struct] = ACTIONS(2694),
    [anon_sym_union] = ACTIONS(2694),
    [anon_sym_if] = ACTIONS(2694),
    [anon_sym_switch] = ACTIONS(2694),
    [anon_sym_case] = ACTIONS(2694),
    [anon_sym_default] = ACTIONS(2694),
    [anon_sym_while] = ACTIONS(2694),
    [anon_sym_do] = ACTIONS(2694),
    [anon_sym_for] = ACTIONS(2694),
    [anon_sym_return] = ACTIONS(2694),
    [anon_sym_break] = ACTIONS(2694),
    [anon_sym_continue] = ACTIONS(2694),
    [anon_sym_goto] = ACTIONS(2694),
    [anon_sym___try] = ACTIONS(2694),
    [anon_sym___leave] = ACTIONS(2694),
    [anon_sym_not] = ACTIONS(2694),
    [anon_sym_compl] = ACTIONS(2694),
    [anon_sym_DASH_DASH] = ACTIONS(2696),
    [anon_sym_PLUS_PLUS] = ACTIONS(2696),
    [anon_sym_sizeof] = ACTIONS(2694),
    [anon_sym___alignof__] = ACTIONS(2694),
    [anon_sym___alignof] = ACTIONS(2694),
    [anon_sym__alignof] = ACTIONS(2694),
    [anon_sym_alignof] = ACTIONS(2694),
    [anon_sym__Alignof] = ACTIONS(2694),
    [anon_sym_offsetof] = ACTIONS(2694),
    [anon_sym__Generic] = ACTIONS(2694),
    [anon_sym_asm] = ACTIONS(2694),
    [anon_sym___asm__] = ACTIONS(2694),
    [sym_number_literal] = ACTIONS(2696),
    [anon_sym_L_SQUOTE] = ACTIONS(2696),
    [anon_sym_u_SQUOTE] = ACTIONS(2696),
    [anon_sym_U_SQUOTE] = ACTIONS(2696),
    [anon_sym_u8_SQUOTE] = ACTIONS(2696),
    [anon_sym_SQUOTE] = ACTIONS(2696),
    [anon_sym_L_DQUOTE] = ACTIONS(2696),
    [anon_sym_u_DQUOTE] = ACTIONS(2696),
    [anon_sym_U_DQUOTE] = ACTIONS(2696),
    [anon_sym_u8_DQUOTE] = ACTIONS(2696),
    [anon_sym_DQUOTE] = ACTIONS(2696),
    [sym_true] = ACTIONS(2694),
    [sym_false] = ACTIONS(2694),
    [anon_sym_NULL] = ACTIONS(2694),
    [anon_sym_nullptr] = ACTIONS(2694),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2694),
    [anon_sym_decltype] = ACTIONS(2694),
    [anon_sym_virtual] = ACTIONS(2694),
    [anon_sym_alignas] = ACTIONS(2694),
    [anon_sym_explicit] = ACTIONS(2694),
    [anon_sym_typename] = ACTIONS(2694),
    [anon_sym_template] = ACTIONS(2694),
    [anon_sym_operator] = ACTIONS(2694),
    [anon_sym_try] = ACTIONS(2694),
    [anon_sym_delete] = ACTIONS(2694),
    [anon_sym_throw] = ACTIONS(2694),
    [anon_sym_namespace] = ACTIONS(2694),
    [anon_sym_using] = ACTIONS(2694),
    [anon_sym_static_assert] = ACTIONS(2694),
    [anon_sym_concept] = ACTIONS(2694),
    [anon_sym_co_return] = ACTIONS(2694),
    [anon_sym_co_yield] = ACTIONS(2694),
    [anon_sym_R_DQUOTE] = ACTIONS(2696),
    [anon_sym_LR_DQUOTE] = ACTIONS(2696),
    [anon_sym_uR_DQUOTE] = ACTIONS(2696),
    [anon_sym_UR_DQUOTE] = ACTIONS(2696),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2696),
    [anon_sym_co_await] = ACTIONS(2694),
    [anon_sym_new] = ACTIONS(2694),
    [anon_sym_requires] = ACTIONS(2694),
    [sym_this] = ACTIONS(2694),
    [anon_sym_discard] = ACTIONS(2694),
    [anon_sym_precise] = ACTIONS(2694),
    [anon_sym_shared] = ACTIONS(2694),
    [anon_sym_groupshared] = ACTIONS(2694),
    [anon_sym_uniform] = ACTIONS(2694),
    [anon_sym_row_major] = ACTIONS(2694),
    [anon_sym_column_major] = ACTIONS(2694),
    [anon_sym_globallycoherent] = ACTIONS(2694),
    [anon_sym_centroid] = ACTIONS(2694),
    [anon_sym_noperspective] = ACTIONS(2694),
    [anon_sym_nointerpolation] = ACTIONS(2694),
    [anon_sym_sample] = ACTIONS(2694),
    [anon_sym_linear] = ACTIONS(2694),
    [anon_sym_snorm] = ACTIONS(2694),
    [anon_sym_unorm] = ACTIONS(2694),
    [anon_sym_point] = ACTIONS(2694),
    [anon_sym_line] = ACTIONS(2694),
    [anon_sym_triangleadj] = ACTIONS(2694),
    [anon_sym_lineadj] = ACTIONS(2694),
    [anon_sym_triangle] = ACTIONS(2694),
    [anon_sym_cbuffer] = ACTIONS(2694),
  },
  [389] = {
    [sym_identifier] = ACTIONS(2698),
    [aux_sym_preproc_include_token1] = ACTIONS(2698),
    [aux_sym_preproc_def_token1] = ACTIONS(2698),
    [aux_sym_preproc_if_token1] = ACTIONS(2698),
    [aux_sym_preproc_if_token2] = ACTIONS(2698),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2698),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2698),
    [aux_sym_preproc_else_token1] = ACTIONS(2698),
    [aux_sym_preproc_elif_token1] = ACTIONS(2698),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2698),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2698),
    [sym_preproc_directive] = ACTIONS(2698),
    [anon_sym_LPAREN2] = ACTIONS(2700),
    [anon_sym_BANG] = ACTIONS(2700),
    [anon_sym_TILDE] = ACTIONS(2700),
    [anon_sym_DASH] = ACTIONS(2698),
    [anon_sym_PLUS] = ACTIONS(2698),
    [anon_sym_STAR] = ACTIONS(2700),
    [anon_sym_AMP_AMP] = ACTIONS(2700),
    [anon_sym_AMP] = ACTIONS(2698),
    [anon_sym_SEMI] = ACTIONS(2700),
    [anon_sym___extension__] = ACTIONS(2698),
    [anon_sym_typedef] = ACTIONS(2698),
    [anon_sym_in] = ACTIONS(2698),
    [anon_sym_out] = ACTIONS(2698),
    [anon_sym_inout] = ACTIONS(2698),
    [anon_sym_extern] = ACTIONS(2698),
    [anon_sym___attribute__] = ACTIONS(2698),
    [anon_sym_COLON_COLON] = ACTIONS(2700),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2700),
    [anon_sym___declspec] = ACTIONS(2698),
    [anon_sym___based] = ACTIONS(2698),
    [anon_sym___cdecl] = ACTIONS(2698),
    [anon_sym___clrcall] = ACTIONS(2698),
    [anon_sym___stdcall] = ACTIONS(2698),
    [anon_sym___fastcall] = ACTIONS(2698),
    [anon_sym___thiscall] = ACTIONS(2698),
    [anon_sym___vectorcall] = ACTIONS(2698),
    [anon_sym_LBRACE] = ACTIONS(2700),
    [anon_sym_signed] = ACTIONS(2698),
    [anon_sym_unsigned] = ACTIONS(2698),
    [anon_sym_long] = ACTIONS(2698),
    [anon_sym_short] = ACTIONS(2698),
    [anon_sym_LBRACK] = ACTIONS(2698),
    [anon_sym_static] = ACTIONS(2698),
    [anon_sym_register] = ACTIONS(2698),
    [anon_sym_inline] = ACTIONS(2698),
    [anon_sym___inline] = ACTIONS(2698),
    [anon_sym___inline__] = ACTIONS(2698),
    [anon_sym___forceinline] = ACTIONS(2698),
    [anon_sym_thread_local] = ACTIONS(2698),
    [anon_sym___thread] = ACTIONS(2698),
    [anon_sym_const] = ACTIONS(2698),
    [anon_sym_constexpr] = ACTIONS(2698),
    [anon_sym_volatile] = ACTIONS(2698),
    [anon_sym_restrict] = ACTIONS(2698),
    [anon_sym___restrict__] = ACTIONS(2698),
    [anon_sym__Atomic] = ACTIONS(2698),
    [anon_sym__Noreturn] = ACTIONS(2698),
    [anon_sym_noreturn] = ACTIONS(2698),
    [anon_sym_mutable] = ACTIONS(2698),
    [anon_sym_constinit] = ACTIONS(2698),
    [anon_sym_consteval] = ACTIONS(2698),
    [sym_primitive_type] = ACTIONS(2698),
    [anon_sym_enum] = ACTIONS(2698),
    [anon_sym_class] = ACTIONS(2698),
    [anon_sym_struct] = ACTIONS(2698),
    [anon_sym_union] = ACTIONS(2698),
    [anon_sym_if] = ACTIONS(2698),
    [anon_sym_switch] = ACTIONS(2698),
    [anon_sym_case] = ACTIONS(2698),
    [anon_sym_default] = ACTIONS(2698),
    [anon_sym_while] = ACTIONS(2698),
    [anon_sym_do] = ACTIONS(2698),
    [anon_sym_for] = ACTIONS(2698),
    [anon_sym_return] = ACTIONS(2698),
    [anon_sym_break] = ACTIONS(2698),
    [anon_sym_continue] = ACTIONS(2698),
    [anon_sym_goto] = ACTIONS(2698),
    [anon_sym___try] = ACTIONS(2698),
    [anon_sym___leave] = ACTIONS(2698),
    [anon_sym_not] = ACTIONS(2698),
    [anon_sym_compl] = ACTIONS(2698),
    [anon_sym_DASH_DASH] = ACTIONS(2700),
    [anon_sym_PLUS_PLUS] = ACTIONS(2700),
    [anon_sym_sizeof] = ACTIONS(2698),
    [anon_sym___alignof__] = ACTIONS(2698),
    [anon_sym___alignof] = ACTIONS(2698),
    [anon_sym__alignof] = ACTIONS(2698),
    [anon_sym_alignof] = ACTIONS(2698),
    [anon_sym__Alignof] = ACTIONS(2698),
    [anon_sym_offsetof] = ACTIONS(2698),
    [anon_sym__Generic] = ACTIONS(2698),
    [anon_sym_asm] = ACTIONS(2698),
    [anon_sym___asm__] = ACTIONS(2698),
    [sym_number_literal] = ACTIONS(2700),
    [anon_sym_L_SQUOTE] = ACTIONS(2700),
    [anon_sym_u_SQUOTE] = ACTIONS(2700),
    [anon_sym_U_SQUOTE] = ACTIONS(2700),
    [anon_sym_u8_SQUOTE] = ACTIONS(2700),
    [anon_sym_SQUOTE] = ACTIONS(2700),
    [anon_sym_L_DQUOTE] = ACTIONS(2700),
    [anon_sym_u_DQUOTE] = ACTIONS(2700),
    [anon_sym_U_DQUOTE] = ACTIONS(2700),
    [anon_sym_u8_DQUOTE] = ACTIONS(2700),
    [anon_sym_DQUOTE] = ACTIONS(2700),
    [sym_true] = ACTIONS(2698),
    [sym_false] = ACTIONS(2698),
    [anon_sym_NULL] = ACTIONS(2698),
    [anon_sym_nullptr] = ACTIONS(2698),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2698),
    [anon_sym_decltype] = ACTIONS(2698),
    [anon_sym_virtual] = ACTIONS(2698),
    [anon_sym_alignas] = ACTIONS(2698),
    [anon_sym_explicit] = ACTIONS(2698),
    [anon_sym_typename] = ACTIONS(2698),
    [anon_sym_template] = ACTIONS(2698),
    [anon_sym_operator] = ACTIONS(2698),
    [anon_sym_try] = ACTIONS(2698),
    [anon_sym_delete] = ACTIONS(2698),
    [anon_sym_throw] = ACTIONS(2698),
    [anon_sym_namespace] = ACTIONS(2698),
    [anon_sym_using] = ACTIONS(2698),
    [anon_sym_static_assert] = ACTIONS(2698),
    [anon_sym_concept] = ACTIONS(2698),
    [anon_sym_co_return] = ACTIONS(2698),
    [anon_sym_co_yield] = ACTIONS(2698),
    [anon_sym_R_DQUOTE] = ACTIONS(2700),
    [anon_sym_LR_DQUOTE] = ACTIONS(2700),
    [anon_sym_uR_DQUOTE] = ACTIONS(2700),
    [anon_sym_UR_DQUOTE] = ACTIONS(2700),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2700),
    [anon_sym_co_await] = ACTIONS(2698),
    [anon_sym_new] = ACTIONS(2698),
    [anon_sym_requires] = ACTIONS(2698),
    [sym_this] = ACTIONS(2698),
    [anon_sym_discard] = ACTIONS(2698),
    [anon_sym_precise] = ACTIONS(2698),
    [anon_sym_shared] = ACTIONS(2698),
    [anon_sym_groupshared] = ACTIONS(2698),
    [anon_sym_uniform] = ACTIONS(2698),
    [anon_sym_row_major] = ACTIONS(2698),
    [anon_sym_column_major] = ACTIONS(2698),
    [anon_sym_globallycoherent] = ACTIONS(2698),
    [anon_sym_centroid] = ACTIONS(2698),
    [anon_sym_noperspective] = ACTIONS(2698),
    [anon_sym_nointerpolation] = ACTIONS(2698),
    [anon_sym_sample] = ACTIONS(2698),
    [anon_sym_linear] = ACTIONS(2698),
    [anon_sym_snorm] = ACTIONS(2698),
    [anon_sym_unorm] = ACTIONS(2698),
    [anon_sym_point] = ACTIONS(2698),
    [anon_sym_line] = ACTIONS(2698),
    [anon_sym_triangleadj] = ACTIONS(2698),
    [anon_sym_lineadj] = ACTIONS(2698),
    [anon_sym_triangle] = ACTIONS(2698),
    [anon_sym_cbuffer] = ACTIONS(2698),
  },
  [390] = {
    [sym_identifier] = ACTIONS(2702),
    [aux_sym_preproc_include_token1] = ACTIONS(2702),
    [aux_sym_preproc_def_token1] = ACTIONS(2702),
    [aux_sym_preproc_if_token1] = ACTIONS(2702),
    [aux_sym_preproc_if_token2] = ACTIONS(2702),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2702),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2702),
    [aux_sym_preproc_else_token1] = ACTIONS(2702),
    [aux_sym_preproc_elif_token1] = ACTIONS(2702),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2702),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2702),
    [sym_preproc_directive] = ACTIONS(2702),
    [anon_sym_LPAREN2] = ACTIONS(2704),
    [anon_sym_BANG] = ACTIONS(2704),
    [anon_sym_TILDE] = ACTIONS(2704),
    [anon_sym_DASH] = ACTIONS(2702),
    [anon_sym_PLUS] = ACTIONS(2702),
    [anon_sym_STAR] = ACTIONS(2704),
    [anon_sym_AMP_AMP] = ACTIONS(2704),
    [anon_sym_AMP] = ACTIONS(2702),
    [anon_sym_SEMI] = ACTIONS(2704),
    [anon_sym___extension__] = ACTIONS(2702),
    [anon_sym_typedef] = ACTIONS(2702),
    [anon_sym_in] = ACTIONS(2702),
    [anon_sym_out] = ACTIONS(2702),
    [anon_sym_inout] = ACTIONS(2702),
    [anon_sym_extern] = ACTIONS(2702),
    [anon_sym___attribute__] = ACTIONS(2702),
    [anon_sym_COLON_COLON] = ACTIONS(2704),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2704),
    [anon_sym___declspec] = ACTIONS(2702),
    [anon_sym___based] = ACTIONS(2702),
    [anon_sym___cdecl] = ACTIONS(2702),
    [anon_sym___clrcall] = ACTIONS(2702),
    [anon_sym___stdcall] = ACTIONS(2702),
    [anon_sym___fastcall] = ACTIONS(2702),
    [anon_sym___thiscall] = ACTIONS(2702),
    [anon_sym___vectorcall] = ACTIONS(2702),
    [anon_sym_LBRACE] = ACTIONS(2704),
    [anon_sym_signed] = ACTIONS(2702),
    [anon_sym_unsigned] = ACTIONS(2702),
    [anon_sym_long] = ACTIONS(2702),
    [anon_sym_short] = ACTIONS(2702),
    [anon_sym_LBRACK] = ACTIONS(2702),
    [anon_sym_static] = ACTIONS(2702),
    [anon_sym_register] = ACTIONS(2702),
    [anon_sym_inline] = ACTIONS(2702),
    [anon_sym___inline] = ACTIONS(2702),
    [anon_sym___inline__] = ACTIONS(2702),
    [anon_sym___forceinline] = ACTIONS(2702),
    [anon_sym_thread_local] = ACTIONS(2702),
    [anon_sym___thread] = ACTIONS(2702),
    [anon_sym_const] = ACTIONS(2702),
    [anon_sym_constexpr] = ACTIONS(2702),
    [anon_sym_volatile] = ACTIONS(2702),
    [anon_sym_restrict] = ACTIONS(2702),
    [anon_sym___restrict__] = ACTIONS(2702),
    [anon_sym__Atomic] = ACTIONS(2702),
    [anon_sym__Noreturn] = ACTIONS(2702),
    [anon_sym_noreturn] = ACTIONS(2702),
    [anon_sym_mutable] = ACTIONS(2702),
    [anon_sym_constinit] = ACTIONS(2702),
    [anon_sym_consteval] = ACTIONS(2702),
    [sym_primitive_type] = ACTIONS(2702),
    [anon_sym_enum] = ACTIONS(2702),
    [anon_sym_class] = ACTIONS(2702),
    [anon_sym_struct] = ACTIONS(2702),
    [anon_sym_union] = ACTIONS(2702),
    [anon_sym_if] = ACTIONS(2702),
    [anon_sym_switch] = ACTIONS(2702),
    [anon_sym_case] = ACTIONS(2702),
    [anon_sym_default] = ACTIONS(2702),
    [anon_sym_while] = ACTIONS(2702),
    [anon_sym_do] = ACTIONS(2702),
    [anon_sym_for] = ACTIONS(2702),
    [anon_sym_return] = ACTIONS(2702),
    [anon_sym_break] = ACTIONS(2702),
    [anon_sym_continue] = ACTIONS(2702),
    [anon_sym_goto] = ACTIONS(2702),
    [anon_sym___try] = ACTIONS(2702),
    [anon_sym___leave] = ACTIONS(2702),
    [anon_sym_not] = ACTIONS(2702),
    [anon_sym_compl] = ACTIONS(2702),
    [anon_sym_DASH_DASH] = ACTIONS(2704),
    [anon_sym_PLUS_PLUS] = ACTIONS(2704),
    [anon_sym_sizeof] = ACTIONS(2702),
    [anon_sym___alignof__] = ACTIONS(2702),
    [anon_sym___alignof] = ACTIONS(2702),
    [anon_sym__alignof] = ACTIONS(2702),
    [anon_sym_alignof] = ACTIONS(2702),
    [anon_sym__Alignof] = ACTIONS(2702),
    [anon_sym_offsetof] = ACTIONS(2702),
    [anon_sym__Generic] = ACTIONS(2702),
    [anon_sym_asm] = ACTIONS(2702),
    [anon_sym___asm__] = ACTIONS(2702),
    [sym_number_literal] = ACTIONS(2704),
    [anon_sym_L_SQUOTE] = ACTIONS(2704),
    [anon_sym_u_SQUOTE] = ACTIONS(2704),
    [anon_sym_U_SQUOTE] = ACTIONS(2704),
    [anon_sym_u8_SQUOTE] = ACTIONS(2704),
    [anon_sym_SQUOTE] = ACTIONS(2704),
    [anon_sym_L_DQUOTE] = ACTIONS(2704),
    [anon_sym_u_DQUOTE] = ACTIONS(2704),
    [anon_sym_U_DQUOTE] = ACTIONS(2704),
    [anon_sym_u8_DQUOTE] = ACTIONS(2704),
    [anon_sym_DQUOTE] = ACTIONS(2704),
    [sym_true] = ACTIONS(2702),
    [sym_false] = ACTIONS(2702),
    [anon_sym_NULL] = ACTIONS(2702),
    [anon_sym_nullptr] = ACTIONS(2702),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2702),
    [anon_sym_decltype] = ACTIONS(2702),
    [anon_sym_virtual] = ACTIONS(2702),
    [anon_sym_alignas] = ACTIONS(2702),
    [anon_sym_explicit] = ACTIONS(2702),
    [anon_sym_typename] = ACTIONS(2702),
    [anon_sym_template] = ACTIONS(2702),
    [anon_sym_operator] = ACTIONS(2702),
    [anon_sym_try] = ACTIONS(2702),
    [anon_sym_delete] = ACTIONS(2702),
    [anon_sym_throw] = ACTIONS(2702),
    [anon_sym_namespace] = ACTIONS(2702),
    [anon_sym_using] = ACTIONS(2702),
    [anon_sym_static_assert] = ACTIONS(2702),
    [anon_sym_concept] = ACTIONS(2702),
    [anon_sym_co_return] = ACTIONS(2702),
    [anon_sym_co_yield] = ACTIONS(2702),
    [anon_sym_R_DQUOTE] = ACTIONS(2704),
    [anon_sym_LR_DQUOTE] = ACTIONS(2704),
    [anon_sym_uR_DQUOTE] = ACTIONS(2704),
    [anon_sym_UR_DQUOTE] = ACTIONS(2704),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2704),
    [anon_sym_co_await] = ACTIONS(2702),
    [anon_sym_new] = ACTIONS(2702),
    [anon_sym_requires] = ACTIONS(2702),
    [sym_this] = ACTIONS(2702),
    [anon_sym_discard] = ACTIONS(2702),
    [anon_sym_precise] = ACTIONS(2702),
    [anon_sym_shared] = ACTIONS(2702),
    [anon_sym_groupshared] = ACTIONS(2702),
    [anon_sym_uniform] = ACTIONS(2702),
    [anon_sym_row_major] = ACTIONS(2702),
    [anon_sym_column_major] = ACTIONS(2702),
    [anon_sym_globallycoherent] = ACTIONS(2702),
    [anon_sym_centroid] = ACTIONS(2702),
    [anon_sym_noperspective] = ACTIONS(2702),
    [anon_sym_nointerpolation] = ACTIONS(2702),
    [anon_sym_sample] = ACTIONS(2702),
    [anon_sym_linear] = ACTIONS(2702),
    [anon_sym_snorm] = ACTIONS(2702),
    [anon_sym_unorm] = ACTIONS(2702),
    [anon_sym_point] = ACTIONS(2702),
    [anon_sym_line] = ACTIONS(2702),
    [anon_sym_triangleadj] = ACTIONS(2702),
    [anon_sym_lineadj] = ACTIONS(2702),
    [anon_sym_triangle] = ACTIONS(2702),
    [anon_sym_cbuffer] = ACTIONS(2702),
  },
  [391] = {
    [sym_identifier] = ACTIONS(2706),
    [aux_sym_preproc_include_token1] = ACTIONS(2706),
    [aux_sym_preproc_def_token1] = ACTIONS(2706),
    [aux_sym_preproc_if_token1] = ACTIONS(2706),
    [aux_sym_preproc_if_token2] = ACTIONS(2706),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2706),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2706),
    [aux_sym_preproc_else_token1] = ACTIONS(2706),
    [aux_sym_preproc_elif_token1] = ACTIONS(2706),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2706),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2706),
    [sym_preproc_directive] = ACTIONS(2706),
    [anon_sym_LPAREN2] = ACTIONS(2708),
    [anon_sym_BANG] = ACTIONS(2708),
    [anon_sym_TILDE] = ACTIONS(2708),
    [anon_sym_DASH] = ACTIONS(2706),
    [anon_sym_PLUS] = ACTIONS(2706),
    [anon_sym_STAR] = ACTIONS(2708),
    [anon_sym_AMP_AMP] = ACTIONS(2708),
    [anon_sym_AMP] = ACTIONS(2706),
    [anon_sym_SEMI] = ACTIONS(2708),
    [anon_sym___extension__] = ACTIONS(2706),
    [anon_sym_typedef] = ACTIONS(2706),
    [anon_sym_in] = ACTIONS(2706),
    [anon_sym_out] = ACTIONS(2706),
    [anon_sym_inout] = ACTIONS(2706),
    [anon_sym_extern] = ACTIONS(2706),
    [anon_sym___attribute__] = ACTIONS(2706),
    [anon_sym_COLON_COLON] = ACTIONS(2708),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2708),
    [anon_sym___declspec] = ACTIONS(2706),
    [anon_sym___based] = ACTIONS(2706),
    [anon_sym___cdecl] = ACTIONS(2706),
    [anon_sym___clrcall] = ACTIONS(2706),
    [anon_sym___stdcall] = ACTIONS(2706),
    [anon_sym___fastcall] = ACTIONS(2706),
    [anon_sym___thiscall] = ACTIONS(2706),
    [anon_sym___vectorcall] = ACTIONS(2706),
    [anon_sym_LBRACE] = ACTIONS(2708),
    [anon_sym_signed] = ACTIONS(2706),
    [anon_sym_unsigned] = ACTIONS(2706),
    [anon_sym_long] = ACTIONS(2706),
    [anon_sym_short] = ACTIONS(2706),
    [anon_sym_LBRACK] = ACTIONS(2706),
    [anon_sym_static] = ACTIONS(2706),
    [anon_sym_register] = ACTIONS(2706),
    [anon_sym_inline] = ACTIONS(2706),
    [anon_sym___inline] = ACTIONS(2706),
    [anon_sym___inline__] = ACTIONS(2706),
    [anon_sym___forceinline] = ACTIONS(2706),
    [anon_sym_thread_local] = ACTIONS(2706),
    [anon_sym___thread] = ACTIONS(2706),
    [anon_sym_const] = ACTIONS(2706),
    [anon_sym_constexpr] = ACTIONS(2706),
    [anon_sym_volatile] = ACTIONS(2706),
    [anon_sym_restrict] = ACTIONS(2706),
    [anon_sym___restrict__] = ACTIONS(2706),
    [anon_sym__Atomic] = ACTIONS(2706),
    [anon_sym__Noreturn] = ACTIONS(2706),
    [anon_sym_noreturn] = ACTIONS(2706),
    [anon_sym_mutable] = ACTIONS(2706),
    [anon_sym_constinit] = ACTIONS(2706),
    [anon_sym_consteval] = ACTIONS(2706),
    [sym_primitive_type] = ACTIONS(2706),
    [anon_sym_enum] = ACTIONS(2706),
    [anon_sym_class] = ACTIONS(2706),
    [anon_sym_struct] = ACTIONS(2706),
    [anon_sym_union] = ACTIONS(2706),
    [anon_sym_if] = ACTIONS(2706),
    [anon_sym_switch] = ACTIONS(2706),
    [anon_sym_case] = ACTIONS(2706),
    [anon_sym_default] = ACTIONS(2706),
    [anon_sym_while] = ACTIONS(2706),
    [anon_sym_do] = ACTIONS(2706),
    [anon_sym_for] = ACTIONS(2706),
    [anon_sym_return] = ACTIONS(2706),
    [anon_sym_break] = ACTIONS(2706),
    [anon_sym_continue] = ACTIONS(2706),
    [anon_sym_goto] = ACTIONS(2706),
    [anon_sym___try] = ACTIONS(2706),
    [anon_sym___leave] = ACTIONS(2706),
    [anon_sym_not] = ACTIONS(2706),
    [anon_sym_compl] = ACTIONS(2706),
    [anon_sym_DASH_DASH] = ACTIONS(2708),
    [anon_sym_PLUS_PLUS] = ACTIONS(2708),
    [anon_sym_sizeof] = ACTIONS(2706),
    [anon_sym___alignof__] = ACTIONS(2706),
    [anon_sym___alignof] = ACTIONS(2706),
    [anon_sym__alignof] = ACTIONS(2706),
    [anon_sym_alignof] = ACTIONS(2706),
    [anon_sym__Alignof] = ACTIONS(2706),
    [anon_sym_offsetof] = ACTIONS(2706),
    [anon_sym__Generic] = ACTIONS(2706),
    [anon_sym_asm] = ACTIONS(2706),
    [anon_sym___asm__] = ACTIONS(2706),
    [sym_number_literal] = ACTIONS(2708),
    [anon_sym_L_SQUOTE] = ACTIONS(2708),
    [anon_sym_u_SQUOTE] = ACTIONS(2708),
    [anon_sym_U_SQUOTE] = ACTIONS(2708),
    [anon_sym_u8_SQUOTE] = ACTIONS(2708),
    [anon_sym_SQUOTE] = ACTIONS(2708),
    [anon_sym_L_DQUOTE] = ACTIONS(2708),
    [anon_sym_u_DQUOTE] = ACTIONS(2708),
    [anon_sym_U_DQUOTE] = ACTIONS(2708),
    [anon_sym_u8_DQUOTE] = ACTIONS(2708),
    [anon_sym_DQUOTE] = ACTIONS(2708),
    [sym_true] = ACTIONS(2706),
    [sym_false] = ACTIONS(2706),
    [anon_sym_NULL] = ACTIONS(2706),
    [anon_sym_nullptr] = ACTIONS(2706),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2706),
    [anon_sym_decltype] = ACTIONS(2706),
    [anon_sym_virtual] = ACTIONS(2706),
    [anon_sym_alignas] = ACTIONS(2706),
    [anon_sym_explicit] = ACTIONS(2706),
    [anon_sym_typename] = ACTIONS(2706),
    [anon_sym_template] = ACTIONS(2706),
    [anon_sym_operator] = ACTIONS(2706),
    [anon_sym_try] = ACTIONS(2706),
    [anon_sym_delete] = ACTIONS(2706),
    [anon_sym_throw] = ACTIONS(2706),
    [anon_sym_namespace] = ACTIONS(2706),
    [anon_sym_using] = ACTIONS(2706),
    [anon_sym_static_assert] = ACTIONS(2706),
    [anon_sym_concept] = ACTIONS(2706),
    [anon_sym_co_return] = ACTIONS(2706),
    [anon_sym_co_yield] = ACTIONS(2706),
    [anon_sym_R_DQUOTE] = ACTIONS(2708),
    [anon_sym_LR_DQUOTE] = ACTIONS(2708),
    [anon_sym_uR_DQUOTE] = ACTIONS(2708),
    [anon_sym_UR_DQUOTE] = ACTIONS(2708),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2708),
    [anon_sym_co_await] = ACTIONS(2706),
    [anon_sym_new] = ACTIONS(2706),
    [anon_sym_requires] = ACTIONS(2706),
    [sym_this] = ACTIONS(2706),
    [anon_sym_discard] = ACTIONS(2706),
    [anon_sym_precise] = ACTIONS(2706),
    [anon_sym_shared] = ACTIONS(2706),
    [anon_sym_groupshared] = ACTIONS(2706),
    [anon_sym_uniform] = ACTIONS(2706),
    [anon_sym_row_major] = ACTIONS(2706),
    [anon_sym_column_major] = ACTIONS(2706),
    [anon_sym_globallycoherent] = ACTIONS(2706),
    [anon_sym_centroid] = ACTIONS(2706),
    [anon_sym_noperspective] = ACTIONS(2706),
    [anon_sym_nointerpolation] = ACTIONS(2706),
    [anon_sym_sample] = ACTIONS(2706),
    [anon_sym_linear] = ACTIONS(2706),
    [anon_sym_snorm] = ACTIONS(2706),
    [anon_sym_unorm] = ACTIONS(2706),
    [anon_sym_point] = ACTIONS(2706),
    [anon_sym_line] = ACTIONS(2706),
    [anon_sym_triangleadj] = ACTIONS(2706),
    [anon_sym_lineadj] = ACTIONS(2706),
    [anon_sym_triangle] = ACTIONS(2706),
    [anon_sym_cbuffer] = ACTIONS(2706),
  },
  [392] = {
    [sym_identifier] = ACTIONS(2206),
    [aux_sym_preproc_include_token1] = ACTIONS(2206),
    [aux_sym_preproc_def_token1] = ACTIONS(2206),
    [aux_sym_preproc_if_token1] = ACTIONS(2206),
    [aux_sym_preproc_if_token2] = ACTIONS(2206),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2206),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2206),
    [aux_sym_preproc_else_token1] = ACTIONS(2206),
    [aux_sym_preproc_elif_token1] = ACTIONS(2206),
    [sym_preproc_directive] = ACTIONS(2206),
    [anon_sym_LPAREN2] = ACTIONS(2204),
    [anon_sym_BANG] = ACTIONS(2204),
    [anon_sym_TILDE] = ACTIONS(2204),
    [anon_sym_DASH] = ACTIONS(2206),
    [anon_sym_PLUS] = ACTIONS(2206),
    [anon_sym_STAR] = ACTIONS(2204),
    [anon_sym_AMP_AMP] = ACTIONS(2204),
    [anon_sym_AMP] = ACTIONS(2206),
    [anon_sym_SEMI] = ACTIONS(2204),
    [anon_sym___extension__] = ACTIONS(2206),
    [anon_sym_typedef] = ACTIONS(2206),
    [anon_sym_in] = ACTIONS(2206),
    [anon_sym_out] = ACTIONS(2206),
    [anon_sym_inout] = ACTIONS(2206),
    [anon_sym_extern] = ACTIONS(2206),
    [anon_sym___attribute__] = ACTIONS(2206),
    [anon_sym_COLON_COLON] = ACTIONS(2204),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2204),
    [anon_sym___declspec] = ACTIONS(2206),
    [anon_sym___based] = ACTIONS(2206),
    [anon_sym___cdecl] = ACTIONS(2206),
    [anon_sym___clrcall] = ACTIONS(2206),
    [anon_sym___stdcall] = ACTIONS(2206),
    [anon_sym___fastcall] = ACTIONS(2206),
    [anon_sym___thiscall] = ACTIONS(2206),
    [anon_sym___vectorcall] = ACTIONS(2206),
    [anon_sym_LBRACE] = ACTIONS(2204),
    [anon_sym_signed] = ACTIONS(2206),
    [anon_sym_unsigned] = ACTIONS(2206),
    [anon_sym_long] = ACTIONS(2206),
    [anon_sym_short] = ACTIONS(2206),
    [anon_sym_LBRACK] = ACTIONS(2206),
    [anon_sym_static] = ACTIONS(2206),
    [anon_sym_register] = ACTIONS(2206),
    [anon_sym_inline] = ACTIONS(2206),
    [anon_sym___inline] = ACTIONS(2206),
    [anon_sym___inline__] = ACTIONS(2206),
    [anon_sym___forceinline] = ACTIONS(2206),
    [anon_sym_thread_local] = ACTIONS(2206),
    [anon_sym___thread] = ACTIONS(2206),
    [anon_sym_const] = ACTIONS(2206),
    [anon_sym_constexpr] = ACTIONS(2206),
    [anon_sym_volatile] = ACTIONS(2206),
    [anon_sym_restrict] = ACTIONS(2206),
    [anon_sym___restrict__] = ACTIONS(2206),
    [anon_sym__Atomic] = ACTIONS(2206),
    [anon_sym__Noreturn] = ACTIONS(2206),
    [anon_sym_noreturn] = ACTIONS(2206),
    [anon_sym_mutable] = ACTIONS(2206),
    [anon_sym_constinit] = ACTIONS(2206),
    [anon_sym_consteval] = ACTIONS(2206),
    [sym_primitive_type] = ACTIONS(2206),
    [anon_sym_enum] = ACTIONS(2206),
    [anon_sym_class] = ACTIONS(2206),
    [anon_sym_struct] = ACTIONS(2206),
    [anon_sym_union] = ACTIONS(2206),
    [anon_sym_if] = ACTIONS(2206),
    [anon_sym_else] = ACTIONS(2206),
    [anon_sym_switch] = ACTIONS(2206),
    [anon_sym_case] = ACTIONS(2206),
    [anon_sym_default] = ACTIONS(2206),
    [anon_sym_while] = ACTIONS(2206),
    [anon_sym_do] = ACTIONS(2206),
    [anon_sym_for] = ACTIONS(2206),
    [anon_sym_return] = ACTIONS(2206),
    [anon_sym_break] = ACTIONS(2206),
    [anon_sym_continue] = ACTIONS(2206),
    [anon_sym_goto] = ACTIONS(2206),
    [anon_sym___try] = ACTIONS(2206),
    [anon_sym___leave] = ACTIONS(2206),
    [anon_sym_not] = ACTIONS(2206),
    [anon_sym_compl] = ACTIONS(2206),
    [anon_sym_DASH_DASH] = ACTIONS(2204),
    [anon_sym_PLUS_PLUS] = ACTIONS(2204),
    [anon_sym_sizeof] = ACTIONS(2206),
    [anon_sym___alignof__] = ACTIONS(2206),
    [anon_sym___alignof] = ACTIONS(2206),
    [anon_sym__alignof] = ACTIONS(2206),
    [anon_sym_alignof] = ACTIONS(2206),
    [anon_sym__Alignof] = ACTIONS(2206),
    [anon_sym_offsetof] = ACTIONS(2206),
    [anon_sym__Generic] = ACTIONS(2206),
    [anon_sym_asm] = ACTIONS(2206),
    [anon_sym___asm__] = ACTIONS(2206),
    [sym_number_literal] = ACTIONS(2204),
    [anon_sym_L_SQUOTE] = ACTIONS(2204),
    [anon_sym_u_SQUOTE] = ACTIONS(2204),
    [anon_sym_U_SQUOTE] = ACTIONS(2204),
    [anon_sym_u8_SQUOTE] = ACTIONS(2204),
    [anon_sym_SQUOTE] = ACTIONS(2204),
    [anon_sym_L_DQUOTE] = ACTIONS(2204),
    [anon_sym_u_DQUOTE] = ACTIONS(2204),
    [anon_sym_U_DQUOTE] = ACTIONS(2204),
    [anon_sym_u8_DQUOTE] = ACTIONS(2204),
    [anon_sym_DQUOTE] = ACTIONS(2204),
    [sym_true] = ACTIONS(2206),
    [sym_false] = ACTIONS(2206),
    [anon_sym_NULL] = ACTIONS(2206),
    [anon_sym_nullptr] = ACTIONS(2206),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2206),
    [anon_sym_decltype] = ACTIONS(2206),
    [anon_sym_virtual] = ACTIONS(2206),
    [anon_sym_alignas] = ACTIONS(2206),
    [anon_sym_explicit] = ACTIONS(2206),
    [anon_sym_typename] = ACTIONS(2206),
    [anon_sym_template] = ACTIONS(2206),
    [anon_sym_operator] = ACTIONS(2206),
    [anon_sym_try] = ACTIONS(2206),
    [anon_sym_delete] = ACTIONS(2206),
    [anon_sym_throw] = ACTIONS(2206),
    [anon_sym_namespace] = ACTIONS(2206),
    [anon_sym_using] = ACTIONS(2206),
    [anon_sym_static_assert] = ACTIONS(2206),
    [anon_sym_concept] = ACTIONS(2206),
    [anon_sym_co_return] = ACTIONS(2206),
    [anon_sym_co_yield] = ACTIONS(2206),
    [anon_sym_catch] = ACTIONS(2206),
    [anon_sym_R_DQUOTE] = ACTIONS(2204),
    [anon_sym_LR_DQUOTE] = ACTIONS(2204),
    [anon_sym_uR_DQUOTE] = ACTIONS(2204),
    [anon_sym_UR_DQUOTE] = ACTIONS(2204),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2204),
    [anon_sym_co_await] = ACTIONS(2206),
    [anon_sym_new] = ACTIONS(2206),
    [anon_sym_requires] = ACTIONS(2206),
    [sym_this] = ACTIONS(2206),
    [anon_sym_discard] = ACTIONS(2206),
    [anon_sym_precise] = ACTIONS(2206),
    [anon_sym_shared] = ACTIONS(2206),
    [anon_sym_groupshared] = ACTIONS(2206),
    [anon_sym_uniform] = ACTIONS(2206),
    [anon_sym_row_major] = ACTIONS(2206),
    [anon_sym_column_major] = ACTIONS(2206),
    [anon_sym_globallycoherent] = ACTIONS(2206),
    [anon_sym_centroid] = ACTIONS(2206),
    [anon_sym_noperspective] = ACTIONS(2206),
    [anon_sym_nointerpolation] = ACTIONS(2206),
    [anon_sym_sample] = ACTIONS(2206),
    [anon_sym_linear] = ACTIONS(2206),
    [anon_sym_snorm] = ACTIONS(2206),
    [anon_sym_unorm] = ACTIONS(2206),
    [anon_sym_point] = ACTIONS(2206),
    [anon_sym_line] = ACTIONS(2206),
    [anon_sym_triangleadj] = ACTIONS(2206),
    [anon_sym_lineadj] = ACTIONS(2206),
    [anon_sym_triangle] = ACTIONS(2206),
    [anon_sym_cbuffer] = ACTIONS(2206),
  },
  [393] = {
    [sym_identifier] = ACTIONS(2710),
    [aux_sym_preproc_include_token1] = ACTIONS(2710),
    [aux_sym_preproc_def_token1] = ACTIONS(2710),
    [aux_sym_preproc_if_token1] = ACTIONS(2710),
    [aux_sym_preproc_if_token2] = ACTIONS(2710),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2710),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2710),
    [aux_sym_preproc_else_token1] = ACTIONS(2710),
    [aux_sym_preproc_elif_token1] = ACTIONS(2710),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2710),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2710),
    [sym_preproc_directive] = ACTIONS(2710),
    [anon_sym_LPAREN2] = ACTIONS(2712),
    [anon_sym_BANG] = ACTIONS(2712),
    [anon_sym_TILDE] = ACTIONS(2712),
    [anon_sym_DASH] = ACTIONS(2710),
    [anon_sym_PLUS] = ACTIONS(2710),
    [anon_sym_STAR] = ACTIONS(2712),
    [anon_sym_AMP_AMP] = ACTIONS(2712),
    [anon_sym_AMP] = ACTIONS(2710),
    [anon_sym_SEMI] = ACTIONS(2712),
    [anon_sym___extension__] = ACTIONS(2710),
    [anon_sym_typedef] = ACTIONS(2710),
    [anon_sym_in] = ACTIONS(2710),
    [anon_sym_out] = ACTIONS(2710),
    [anon_sym_inout] = ACTIONS(2710),
    [anon_sym_extern] = ACTIONS(2710),
    [anon_sym___attribute__] = ACTIONS(2710),
    [anon_sym_COLON_COLON] = ACTIONS(2712),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2712),
    [anon_sym___declspec] = ACTIONS(2710),
    [anon_sym___based] = ACTIONS(2710),
    [anon_sym___cdecl] = ACTIONS(2710),
    [anon_sym___clrcall] = ACTIONS(2710),
    [anon_sym___stdcall] = ACTIONS(2710),
    [anon_sym___fastcall] = ACTIONS(2710),
    [anon_sym___thiscall] = ACTIONS(2710),
    [anon_sym___vectorcall] = ACTIONS(2710),
    [anon_sym_LBRACE] = ACTIONS(2712),
    [anon_sym_signed] = ACTIONS(2710),
    [anon_sym_unsigned] = ACTIONS(2710),
    [anon_sym_long] = ACTIONS(2710),
    [anon_sym_short] = ACTIONS(2710),
    [anon_sym_LBRACK] = ACTIONS(2710),
    [anon_sym_static] = ACTIONS(2710),
    [anon_sym_register] = ACTIONS(2710),
    [anon_sym_inline] = ACTIONS(2710),
    [anon_sym___inline] = ACTIONS(2710),
    [anon_sym___inline__] = ACTIONS(2710),
    [anon_sym___forceinline] = ACTIONS(2710),
    [anon_sym_thread_local] = ACTIONS(2710),
    [anon_sym___thread] = ACTIONS(2710),
    [anon_sym_const] = ACTIONS(2710),
    [anon_sym_constexpr] = ACTIONS(2710),
    [anon_sym_volatile] = ACTIONS(2710),
    [anon_sym_restrict] = ACTIONS(2710),
    [anon_sym___restrict__] = ACTIONS(2710),
    [anon_sym__Atomic] = ACTIONS(2710),
    [anon_sym__Noreturn] = ACTIONS(2710),
    [anon_sym_noreturn] = ACTIONS(2710),
    [anon_sym_mutable] = ACTIONS(2710),
    [anon_sym_constinit] = ACTIONS(2710),
    [anon_sym_consteval] = ACTIONS(2710),
    [sym_primitive_type] = ACTIONS(2710),
    [anon_sym_enum] = ACTIONS(2710),
    [anon_sym_class] = ACTIONS(2710),
    [anon_sym_struct] = ACTIONS(2710),
    [anon_sym_union] = ACTIONS(2710),
    [anon_sym_if] = ACTIONS(2710),
    [anon_sym_switch] = ACTIONS(2710),
    [anon_sym_case] = ACTIONS(2710),
    [anon_sym_default] = ACTIONS(2710),
    [anon_sym_while] = ACTIONS(2710),
    [anon_sym_do] = ACTIONS(2710),
    [anon_sym_for] = ACTIONS(2710),
    [anon_sym_return] = ACTIONS(2710),
    [anon_sym_break] = ACTIONS(2710),
    [anon_sym_continue] = ACTIONS(2710),
    [anon_sym_goto] = ACTIONS(2710),
    [anon_sym___try] = ACTIONS(2710),
    [anon_sym___leave] = ACTIONS(2710),
    [anon_sym_not] = ACTIONS(2710),
    [anon_sym_compl] = ACTIONS(2710),
    [anon_sym_DASH_DASH] = ACTIONS(2712),
    [anon_sym_PLUS_PLUS] = ACTIONS(2712),
    [anon_sym_sizeof] = ACTIONS(2710),
    [anon_sym___alignof__] = ACTIONS(2710),
    [anon_sym___alignof] = ACTIONS(2710),
    [anon_sym__alignof] = ACTIONS(2710),
    [anon_sym_alignof] = ACTIONS(2710),
    [anon_sym__Alignof] = ACTIONS(2710),
    [anon_sym_offsetof] = ACTIONS(2710),
    [anon_sym__Generic] = ACTIONS(2710),
    [anon_sym_asm] = ACTIONS(2710),
    [anon_sym___asm__] = ACTIONS(2710),
    [sym_number_literal] = ACTIONS(2712),
    [anon_sym_L_SQUOTE] = ACTIONS(2712),
    [anon_sym_u_SQUOTE] = ACTIONS(2712),
    [anon_sym_U_SQUOTE] = ACTIONS(2712),
    [anon_sym_u8_SQUOTE] = ACTIONS(2712),
    [anon_sym_SQUOTE] = ACTIONS(2712),
    [anon_sym_L_DQUOTE] = ACTIONS(2712),
    [anon_sym_u_DQUOTE] = ACTIONS(2712),
    [anon_sym_U_DQUOTE] = ACTIONS(2712),
    [anon_sym_u8_DQUOTE] = ACTIONS(2712),
    [anon_sym_DQUOTE] = ACTIONS(2712),
    [sym_true] = ACTIONS(2710),
    [sym_false] = ACTIONS(2710),
    [anon_sym_NULL] = ACTIONS(2710),
    [anon_sym_nullptr] = ACTIONS(2710),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2710),
    [anon_sym_decltype] = ACTIONS(2710),
    [anon_sym_virtual] = ACTIONS(2710),
    [anon_sym_alignas] = ACTIONS(2710),
    [anon_sym_explicit] = ACTIONS(2710),
    [anon_sym_typename] = ACTIONS(2710),
    [anon_sym_template] = ACTIONS(2710),
    [anon_sym_operator] = ACTIONS(2710),
    [anon_sym_try] = ACTIONS(2710),
    [anon_sym_delete] = ACTIONS(2710),
    [anon_sym_throw] = ACTIONS(2710),
    [anon_sym_namespace] = ACTIONS(2710),
    [anon_sym_using] = ACTIONS(2710),
    [anon_sym_static_assert] = ACTIONS(2710),
    [anon_sym_concept] = ACTIONS(2710),
    [anon_sym_co_return] = ACTIONS(2710),
    [anon_sym_co_yield] = ACTIONS(2710),
    [anon_sym_R_DQUOTE] = ACTIONS(2712),
    [anon_sym_LR_DQUOTE] = ACTIONS(2712),
    [anon_sym_uR_DQUOTE] = ACTIONS(2712),
    [anon_sym_UR_DQUOTE] = ACTIONS(2712),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2712),
    [anon_sym_co_await] = ACTIONS(2710),
    [anon_sym_new] = ACTIONS(2710),
    [anon_sym_requires] = ACTIONS(2710),
    [sym_this] = ACTIONS(2710),
    [anon_sym_discard] = ACTIONS(2710),
    [anon_sym_precise] = ACTIONS(2710),
    [anon_sym_shared] = ACTIONS(2710),
    [anon_sym_groupshared] = ACTIONS(2710),
    [anon_sym_uniform] = ACTIONS(2710),
    [anon_sym_row_major] = ACTIONS(2710),
    [anon_sym_column_major] = ACTIONS(2710),
    [anon_sym_globallycoherent] = ACTIONS(2710),
    [anon_sym_centroid] = ACTIONS(2710),
    [anon_sym_noperspective] = ACTIONS(2710),
    [anon_sym_nointerpolation] = ACTIONS(2710),
    [anon_sym_sample] = ACTIONS(2710),
    [anon_sym_linear] = ACTIONS(2710),
    [anon_sym_snorm] = ACTIONS(2710),
    [anon_sym_unorm] = ACTIONS(2710),
    [anon_sym_point] = ACTIONS(2710),
    [anon_sym_line] = ACTIONS(2710),
    [anon_sym_triangleadj] = ACTIONS(2710),
    [anon_sym_lineadj] = ACTIONS(2710),
    [anon_sym_triangle] = ACTIONS(2710),
    [anon_sym_cbuffer] = ACTIONS(2710),
  },
  [394] = {
    [sym_ms_based_modifier] = STATE(10332),
    [sym_ms_call_modifier] = STATE(6530),
    [sym__declarator] = STATE(7943),
    [sym_parenthesized_declarator] = STATE(7680),
    [sym_attributed_declarator] = STATE(7680),
    [sym_pointer_declarator] = STATE(7680),
    [sym_function_declarator] = STATE(7680),
    [sym_array_declarator] = STATE(7680),
    [sym_type_qualifier] = STATE(5191),
    [sym__type_specifier] = STATE(6117),
    [sym_sized_type_specifier] = STATE(3317),
    [sym_enum_specifier] = STATE(3317),
    [sym_struct_specifier] = STATE(3317),
    [sym_union_specifier] = STATE(3317),
    [sym__expression] = STATE(4001),
    [sym__expression_not_binary] = STATE(4695),
    [sym__string] = STATE(4695),
    [sym_comma_expression] = STATE(9495),
    [sym_conditional_expression] = STATE(4695),
    [sym_assignment_expression] = STATE(4695),
    [sym_pointer_expression] = STATE(4695),
    [sym_unary_expression] = STATE(4695),
    [sym_binary_expression] = STATE(4695),
    [sym_update_expression] = STATE(4695),
    [sym_cast_expression] = STATE(4695),
    [sym_type_descriptor] = STATE(9498),
    [sym_sizeof_expression] = STATE(4695),
    [sym_alignof_expression] = STATE(4695),
    [sym_offsetof_expression] = STATE(4695),
    [sym_generic_expression] = STATE(4695),
    [sym_subscript_expression] = STATE(4695),
    [sym_call_expression] = STATE(4695),
    [sym_gnu_asm_expression] = STATE(4695),
    [sym_field_expression] = STATE(4695),
    [sym_compound_literal_expression] = STATE(4695),
    [sym_parenthesized_expression] = STATE(4695),
    [sym_char_literal] = STATE(4427),
    [sym_concatenated_string] = STATE(4424),
    [sym_string_literal] = STATE(3398),
    [sym_null] = STATE(4695),
    [sym_placeholder_type_specifier] = STATE(3317),
    [sym_decltype_auto] = STATE(3318),
    [sym_decltype] = STATE(3247),
    [sym_class_specifier] = STATE(3317),
    [sym__class_name] = STATE(9425),
    [sym_dependent_type] = STATE(3317),
    [sym_reference_declarator] = STATE(7680),
    [sym_structured_binding_declarator] = STATE(7680),
    [sym_template_type] = STATE(6654),
    [sym_template_function] = STATE(4418),
    [sym_raw_string_literal] = STATE(3396),
    [sym_co_await_expression] = STATE(4695),
    [sym_new_expression] = STATE(4695),
    [sym_delete_expression] = STATE(4695),
    [sym_requires_clause] = STATE(4695),
    [sym_requires_expression] = STATE(4695),
    [sym_lambda_expression] = STATE(4695),
    [sym_lambda_capture_specifier] = STATE(7185),
    [sym__unary_left_fold] = STATE(9500),
    [sym__unary_right_fold] = STATE(9511),
    [sym__binary_fold] = STATE(9517),
    [sym_fold_expression] = STATE(4695),
    [sym_parameter_pack_expansion] = STATE(4695),
    [sym_destructor_name] = STATE(7680),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6915),
    [sym_qualified_identifier] = STATE(4416),
    [sym_qualified_type_identifier] = STATE(6699),
    [sym__assignment_expression_lhs] = STATE(9522),
    [sym_operator_name] = STATE(7680),
    [sym_user_defined_literal] = STATE(4695),
    [aux_sym__type_definition_type_repeat1] = STATE(5191),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3316),
    [sym_identifier] = ACTIONS(2528),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2106),
    [anon_sym_LPAREN2] = ACTIONS(2530),
    [anon_sym_BANG] = ACTIONS(2532),
    [anon_sym_TILDE] = ACTIONS(2534),
    [anon_sym_DASH] = ACTIONS(2536),
    [anon_sym_PLUS] = ACTIONS(2536),
    [anon_sym_STAR] = ACTIONS(2538),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(2540),
    [anon_sym___extension__] = ACTIONS(63),
    [anon_sym_COLON_COLON] = ACTIONS(2542),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym___cdecl] = ACTIONS(2544),
    [anon_sym___clrcall] = ACTIONS(2544),
    [anon_sym___stdcall] = ACTIONS(2544),
    [anon_sym___fastcall] = ACTIONS(2544),
    [anon_sym___thiscall] = ACTIONS(2544),
    [anon_sym___vectorcall] = ACTIONS(2544),
    [anon_sym_signed] = ACTIONS(2546),
    [anon_sym_unsigned] = ACTIONS(2546),
    [anon_sym_long] = ACTIONS(2546),
    [anon_sym_short] = ACTIONS(2546),
    [anon_sym_LBRACK] = ACTIONS(2548),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(2550),
    [anon_sym_enum] = ACTIONS(2552),
    [anon_sym_class] = ACTIONS(2554),
    [anon_sym_struct] = ACTIONS(2556),
    [anon_sym_union] = ACTIONS(2558),
    [anon_sym_not] = ACTIONS(2536),
    [anon_sym_compl] = ACTIONS(2536),
    [anon_sym_DASH_DASH] = ACTIONS(2560),
    [anon_sym_PLUS_PLUS] = ACTIONS(2560),
    [anon_sym_sizeof] = ACTIONS(2562),
    [anon_sym___alignof__] = ACTIONS(2564),
    [anon_sym___alignof] = ACTIONS(2564),
    [anon_sym__alignof] = ACTIONS(2564),
    [anon_sym_alignof] = ACTIONS(2564),
    [anon_sym__Alignof] = ACTIONS(2564),
    [anon_sym_offsetof] = ACTIONS(2566),
    [anon_sym__Generic] = ACTIONS(2568),
    [anon_sym_asm] = ACTIONS(2570),
    [anon_sym___asm__] = ACTIONS(2570),
    [sym_number_literal] = ACTIONS(2572),
    [anon_sym_L_SQUOTE] = ACTIONS(2574),
    [anon_sym_u_SQUOTE] = ACTIONS(2574),
    [anon_sym_U_SQUOTE] = ACTIONS(2574),
    [anon_sym_u8_SQUOTE] = ACTIONS(2574),
    [anon_sym_SQUOTE] = ACTIONS(2574),
    [anon_sym_L_DQUOTE] = ACTIONS(2576),
    [anon_sym_u_DQUOTE] = ACTIONS(2576),
    [anon_sym_U_DQUOTE] = ACTIONS(2576),
    [anon_sym_u8_DQUOTE] = ACTIONS(2576),
    [anon_sym_DQUOTE] = ACTIONS(2576),
    [sym_true] = ACTIONS(2578),
    [sym_false] = ACTIONS(2578),
    [anon_sym_NULL] = ACTIONS(2580),
    [anon_sym_nullptr] = ACTIONS(2580),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2582),
    [anon_sym_decltype] = ACTIONS(2584),
    [anon_sym_typename] = ACTIONS(2586),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_operator] = ACTIONS(2588),
    [anon_sym_delete] = ACTIONS(2590),
    [anon_sym_R_DQUOTE] = ACTIONS(2592),
    [anon_sym_LR_DQUOTE] = ACTIONS(2592),
    [anon_sym_uR_DQUOTE] = ACTIONS(2592),
    [anon_sym_UR_DQUOTE] = ACTIONS(2592),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2592),
    [anon_sym_co_await] = ACTIONS(2594),
    [anon_sym_new] = ACTIONS(2596),
    [anon_sym_requires] = ACTIONS(2598),
    [sym_this] = ACTIONS(2578),
  },
  [395] = {
    [sym_catch_clause] = STATE(395),
    [aux_sym_constructor_try_statement_repeat1] = STATE(395),
    [ts_builtin_sym_end] = ACTIONS(2270),
    [sym_identifier] = ACTIONS(2268),
    [aux_sym_preproc_include_token1] = ACTIONS(2268),
    [aux_sym_preproc_def_token1] = ACTIONS(2268),
    [aux_sym_preproc_if_token1] = ACTIONS(2268),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2268),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2268),
    [sym_preproc_directive] = ACTIONS(2268),
    [anon_sym_LPAREN2] = ACTIONS(2270),
    [anon_sym_BANG] = ACTIONS(2270),
    [anon_sym_TILDE] = ACTIONS(2270),
    [anon_sym_DASH] = ACTIONS(2268),
    [anon_sym_PLUS] = ACTIONS(2268),
    [anon_sym_STAR] = ACTIONS(2270),
    [anon_sym_AMP_AMP] = ACTIONS(2270),
    [anon_sym_AMP] = ACTIONS(2268),
    [anon_sym_SEMI] = ACTIONS(2270),
    [anon_sym___extension__] = ACTIONS(2268),
    [anon_sym_typedef] = ACTIONS(2268),
    [anon_sym_in] = ACTIONS(2268),
    [anon_sym_out] = ACTIONS(2268),
    [anon_sym_inout] = ACTIONS(2268),
    [anon_sym_extern] = ACTIONS(2268),
    [anon_sym___attribute__] = ACTIONS(2268),
    [anon_sym_COLON_COLON] = ACTIONS(2270),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2270),
    [anon_sym___declspec] = ACTIONS(2268),
    [anon_sym___based] = ACTIONS(2268),
    [anon_sym___cdecl] = ACTIONS(2268),
    [anon_sym___clrcall] = ACTIONS(2268),
    [anon_sym___stdcall] = ACTIONS(2268),
    [anon_sym___fastcall] = ACTIONS(2268),
    [anon_sym___thiscall] = ACTIONS(2268),
    [anon_sym___vectorcall] = ACTIONS(2268),
    [anon_sym_LBRACE] = ACTIONS(2270),
    [anon_sym_signed] = ACTIONS(2268),
    [anon_sym_unsigned] = ACTIONS(2268),
    [anon_sym_long] = ACTIONS(2268),
    [anon_sym_short] = ACTIONS(2268),
    [anon_sym_LBRACK] = ACTIONS(2268),
    [anon_sym_static] = ACTIONS(2268),
    [anon_sym_register] = ACTIONS(2268),
    [anon_sym_inline] = ACTIONS(2268),
    [anon_sym___inline] = ACTIONS(2268),
    [anon_sym___inline__] = ACTIONS(2268),
    [anon_sym___forceinline] = ACTIONS(2268),
    [anon_sym_thread_local] = ACTIONS(2268),
    [anon_sym___thread] = ACTIONS(2268),
    [anon_sym_const] = ACTIONS(2268),
    [anon_sym_constexpr] = ACTIONS(2268),
    [anon_sym_volatile] = ACTIONS(2268),
    [anon_sym_restrict] = ACTIONS(2268),
    [anon_sym___restrict__] = ACTIONS(2268),
    [anon_sym__Atomic] = ACTIONS(2268),
    [anon_sym__Noreturn] = ACTIONS(2268),
    [anon_sym_noreturn] = ACTIONS(2268),
    [anon_sym_mutable] = ACTIONS(2268),
    [anon_sym_constinit] = ACTIONS(2268),
    [anon_sym_consteval] = ACTIONS(2268),
    [sym_primitive_type] = ACTIONS(2268),
    [anon_sym_enum] = ACTIONS(2268),
    [anon_sym_class] = ACTIONS(2268),
    [anon_sym_struct] = ACTIONS(2268),
    [anon_sym_union] = ACTIONS(2268),
    [anon_sym_if] = ACTIONS(2268),
    [anon_sym_else] = ACTIONS(2268),
    [anon_sym_switch] = ACTIONS(2268),
    [anon_sym_case] = ACTIONS(2268),
    [anon_sym_default] = ACTIONS(2268),
    [anon_sym_while] = ACTIONS(2268),
    [anon_sym_do] = ACTIONS(2268),
    [anon_sym_for] = ACTIONS(2268),
    [anon_sym_return] = ACTIONS(2268),
    [anon_sym_break] = ACTIONS(2268),
    [anon_sym_continue] = ACTIONS(2268),
    [anon_sym_goto] = ACTIONS(2268),
    [anon_sym___try] = ACTIONS(2268),
    [anon_sym___leave] = ACTIONS(2268),
    [anon_sym_not] = ACTIONS(2268),
    [anon_sym_compl] = ACTIONS(2268),
    [anon_sym_DASH_DASH] = ACTIONS(2270),
    [anon_sym_PLUS_PLUS] = ACTIONS(2270),
    [anon_sym_sizeof] = ACTIONS(2268),
    [anon_sym___alignof__] = ACTIONS(2268),
    [anon_sym___alignof] = ACTIONS(2268),
    [anon_sym__alignof] = ACTIONS(2268),
    [anon_sym_alignof] = ACTIONS(2268),
    [anon_sym__Alignof] = ACTIONS(2268),
    [anon_sym_offsetof] = ACTIONS(2268),
    [anon_sym__Generic] = ACTIONS(2268),
    [anon_sym_asm] = ACTIONS(2268),
    [anon_sym___asm__] = ACTIONS(2268),
    [sym_number_literal] = ACTIONS(2270),
    [anon_sym_L_SQUOTE] = ACTIONS(2270),
    [anon_sym_u_SQUOTE] = ACTIONS(2270),
    [anon_sym_U_SQUOTE] = ACTIONS(2270),
    [anon_sym_u8_SQUOTE] = ACTIONS(2270),
    [anon_sym_SQUOTE] = ACTIONS(2270),
    [anon_sym_L_DQUOTE] = ACTIONS(2270),
    [anon_sym_u_DQUOTE] = ACTIONS(2270),
    [anon_sym_U_DQUOTE] = ACTIONS(2270),
    [anon_sym_u8_DQUOTE] = ACTIONS(2270),
    [anon_sym_DQUOTE] = ACTIONS(2270),
    [sym_true] = ACTIONS(2268),
    [sym_false] = ACTIONS(2268),
    [anon_sym_NULL] = ACTIONS(2268),
    [anon_sym_nullptr] = ACTIONS(2268),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2268),
    [anon_sym_decltype] = ACTIONS(2268),
    [anon_sym_virtual] = ACTIONS(2268),
    [anon_sym_alignas] = ACTIONS(2268),
    [anon_sym_explicit] = ACTIONS(2268),
    [anon_sym_typename] = ACTIONS(2268),
    [anon_sym_template] = ACTIONS(2268),
    [anon_sym_operator] = ACTIONS(2268),
    [anon_sym_try] = ACTIONS(2268),
    [anon_sym_delete] = ACTIONS(2268),
    [anon_sym_throw] = ACTIONS(2268),
    [anon_sym_namespace] = ACTIONS(2268),
    [anon_sym_using] = ACTIONS(2268),
    [anon_sym_static_assert] = ACTIONS(2268),
    [anon_sym_concept] = ACTIONS(2268),
    [anon_sym_co_return] = ACTIONS(2268),
    [anon_sym_co_yield] = ACTIONS(2268),
    [anon_sym_catch] = ACTIONS(2714),
    [anon_sym_R_DQUOTE] = ACTIONS(2270),
    [anon_sym_LR_DQUOTE] = ACTIONS(2270),
    [anon_sym_uR_DQUOTE] = ACTIONS(2270),
    [anon_sym_UR_DQUOTE] = ACTIONS(2270),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2270),
    [anon_sym_co_await] = ACTIONS(2268),
    [anon_sym_new] = ACTIONS(2268),
    [anon_sym_requires] = ACTIONS(2268),
    [sym_this] = ACTIONS(2268),
    [anon_sym_discard] = ACTIONS(2268),
    [anon_sym_precise] = ACTIONS(2268),
    [anon_sym_shared] = ACTIONS(2268),
    [anon_sym_groupshared] = ACTIONS(2268),
    [anon_sym_uniform] = ACTIONS(2268),
    [anon_sym_row_major] = ACTIONS(2268),
    [anon_sym_column_major] = ACTIONS(2268),
    [anon_sym_globallycoherent] = ACTIONS(2268),
    [anon_sym_centroid] = ACTIONS(2268),
    [anon_sym_noperspective] = ACTIONS(2268),
    [anon_sym_nointerpolation] = ACTIONS(2268),
    [anon_sym_sample] = ACTIONS(2268),
    [anon_sym_linear] = ACTIONS(2268),
    [anon_sym_snorm] = ACTIONS(2268),
    [anon_sym_unorm] = ACTIONS(2268),
    [anon_sym_point] = ACTIONS(2268),
    [anon_sym_line] = ACTIONS(2268),
    [anon_sym_triangleadj] = ACTIONS(2268),
    [anon_sym_lineadj] = ACTIONS(2268),
    [anon_sym_triangle] = ACTIONS(2268),
    [anon_sym_cbuffer] = ACTIONS(2268),
  },
  [396] = {
    [sym_identifier] = ACTIONS(2258),
    [aux_sym_preproc_include_token1] = ACTIONS(2258),
    [aux_sym_preproc_def_token1] = ACTIONS(2258),
    [aux_sym_preproc_if_token1] = ACTIONS(2258),
    [aux_sym_preproc_if_token2] = ACTIONS(2258),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2258),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2258),
    [sym_preproc_directive] = ACTIONS(2258),
    [anon_sym_LPAREN2] = ACTIONS(2260),
    [anon_sym_BANG] = ACTIONS(2260),
    [anon_sym_TILDE] = ACTIONS(2260),
    [anon_sym_DASH] = ACTIONS(2258),
    [anon_sym_PLUS] = ACTIONS(2258),
    [anon_sym_STAR] = ACTIONS(2260),
    [anon_sym_AMP_AMP] = ACTIONS(2260),
    [anon_sym_AMP] = ACTIONS(2258),
    [anon_sym_COLON] = ACTIONS(2258),
    [anon_sym_SEMI] = ACTIONS(2260),
    [anon_sym___extension__] = ACTIONS(2258),
    [anon_sym_typedef] = ACTIONS(2258),
    [anon_sym_in] = ACTIONS(2258),
    [anon_sym_out] = ACTIONS(2258),
    [anon_sym_inout] = ACTIONS(2258),
    [anon_sym_extern] = ACTIONS(2258),
    [anon_sym___attribute__] = ACTIONS(2258),
    [anon_sym_COLON_COLON] = ACTIONS(2262),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2260),
    [anon_sym___declspec] = ACTIONS(2258),
    [anon_sym___based] = ACTIONS(2258),
    [anon_sym___cdecl] = ACTIONS(2258),
    [anon_sym___clrcall] = ACTIONS(2258),
    [anon_sym___stdcall] = ACTIONS(2258),
    [anon_sym___fastcall] = ACTIONS(2258),
    [anon_sym___thiscall] = ACTIONS(2258),
    [anon_sym___vectorcall] = ACTIONS(2258),
    [anon_sym_LBRACE] = ACTIONS(2260),
    [anon_sym_signed] = ACTIONS(2258),
    [anon_sym_unsigned] = ACTIONS(2258),
    [anon_sym_long] = ACTIONS(2258),
    [anon_sym_short] = ACTIONS(2258),
    [anon_sym_LBRACK] = ACTIONS(2258),
    [anon_sym_static] = ACTIONS(2258),
    [anon_sym_register] = ACTIONS(2258),
    [anon_sym_inline] = ACTIONS(2258),
    [anon_sym___inline] = ACTIONS(2258),
    [anon_sym___inline__] = ACTIONS(2258),
    [anon_sym___forceinline] = ACTIONS(2258),
    [anon_sym_thread_local] = ACTIONS(2258),
    [anon_sym___thread] = ACTIONS(2258),
    [anon_sym_const] = ACTIONS(2258),
    [anon_sym_constexpr] = ACTIONS(2258),
    [anon_sym_volatile] = ACTIONS(2258),
    [anon_sym_restrict] = ACTIONS(2258),
    [anon_sym___restrict__] = ACTIONS(2258),
    [anon_sym__Atomic] = ACTIONS(2258),
    [anon_sym__Noreturn] = ACTIONS(2258),
    [anon_sym_noreturn] = ACTIONS(2258),
    [anon_sym_mutable] = ACTIONS(2258),
    [anon_sym_constinit] = ACTIONS(2258),
    [anon_sym_consteval] = ACTIONS(2258),
    [sym_primitive_type] = ACTIONS(2258),
    [anon_sym_enum] = ACTIONS(2258),
    [anon_sym_class] = ACTIONS(2258),
    [anon_sym_struct] = ACTIONS(2258),
    [anon_sym_union] = ACTIONS(2258),
    [anon_sym_if] = ACTIONS(2258),
    [anon_sym_else] = ACTIONS(2258),
    [anon_sym_switch] = ACTIONS(2258),
    [anon_sym_case] = ACTIONS(2258),
    [anon_sym_default] = ACTIONS(2258),
    [anon_sym_while] = ACTIONS(2258),
    [anon_sym_do] = ACTIONS(2258),
    [anon_sym_for] = ACTIONS(2258),
    [anon_sym_return] = ACTIONS(2258),
    [anon_sym_break] = ACTIONS(2258),
    [anon_sym_continue] = ACTIONS(2258),
    [anon_sym_goto] = ACTIONS(2258),
    [anon_sym___try] = ACTIONS(2258),
    [anon_sym___leave] = ACTIONS(2258),
    [anon_sym_not] = ACTIONS(2258),
    [anon_sym_compl] = ACTIONS(2258),
    [anon_sym_DASH_DASH] = ACTIONS(2260),
    [anon_sym_PLUS_PLUS] = ACTIONS(2260),
    [anon_sym_sizeof] = ACTIONS(2258),
    [anon_sym___alignof__] = ACTIONS(2258),
    [anon_sym___alignof] = ACTIONS(2258),
    [anon_sym__alignof] = ACTIONS(2258),
    [anon_sym_alignof] = ACTIONS(2258),
    [anon_sym__Alignof] = ACTIONS(2258),
    [anon_sym_offsetof] = ACTIONS(2258),
    [anon_sym__Generic] = ACTIONS(2258),
    [anon_sym_asm] = ACTIONS(2258),
    [anon_sym___asm__] = ACTIONS(2258),
    [sym_number_literal] = ACTIONS(2260),
    [anon_sym_L_SQUOTE] = ACTIONS(2260),
    [anon_sym_u_SQUOTE] = ACTIONS(2260),
    [anon_sym_U_SQUOTE] = ACTIONS(2260),
    [anon_sym_u8_SQUOTE] = ACTIONS(2260),
    [anon_sym_SQUOTE] = ACTIONS(2260),
    [anon_sym_L_DQUOTE] = ACTIONS(2260),
    [anon_sym_u_DQUOTE] = ACTIONS(2260),
    [anon_sym_U_DQUOTE] = ACTIONS(2260),
    [anon_sym_u8_DQUOTE] = ACTIONS(2260),
    [anon_sym_DQUOTE] = ACTIONS(2260),
    [sym_true] = ACTIONS(2258),
    [sym_false] = ACTIONS(2258),
    [anon_sym_NULL] = ACTIONS(2258),
    [anon_sym_nullptr] = ACTIONS(2258),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2258),
    [anon_sym_decltype] = ACTIONS(2258),
    [anon_sym_final] = ACTIONS(2258),
    [anon_sym_override] = ACTIONS(2258),
    [anon_sym_virtual] = ACTIONS(2258),
    [anon_sym_alignas] = ACTIONS(2258),
    [anon_sym_explicit] = ACTIONS(2258),
    [anon_sym_typename] = ACTIONS(2258),
    [anon_sym_template] = ACTIONS(2258),
    [anon_sym_operator] = ACTIONS(2258),
    [anon_sym_try] = ACTIONS(2258),
    [anon_sym_delete] = ACTIONS(2258),
    [anon_sym_throw] = ACTIONS(2258),
    [anon_sym_namespace] = ACTIONS(2258),
    [anon_sym_using] = ACTIONS(2258),
    [anon_sym_static_assert] = ACTIONS(2258),
    [anon_sym_concept] = ACTIONS(2258),
    [anon_sym_co_return] = ACTIONS(2258),
    [anon_sym_co_yield] = ACTIONS(2258),
    [anon_sym_R_DQUOTE] = ACTIONS(2260),
    [anon_sym_LR_DQUOTE] = ACTIONS(2260),
    [anon_sym_uR_DQUOTE] = ACTIONS(2260),
    [anon_sym_UR_DQUOTE] = ACTIONS(2260),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2260),
    [anon_sym_co_await] = ACTIONS(2258),
    [anon_sym_new] = ACTIONS(2258),
    [anon_sym_requires] = ACTIONS(2258),
    [sym_this] = ACTIONS(2258),
    [anon_sym_discard] = ACTIONS(2258),
    [anon_sym_precise] = ACTIONS(2258),
    [anon_sym_shared] = ACTIONS(2258),
    [anon_sym_groupshared] = ACTIONS(2258),
    [anon_sym_uniform] = ACTIONS(2258),
    [anon_sym_row_major] = ACTIONS(2258),
    [anon_sym_column_major] = ACTIONS(2258),
    [anon_sym_globallycoherent] = ACTIONS(2258),
    [anon_sym_centroid] = ACTIONS(2258),
    [anon_sym_noperspective] = ACTIONS(2258),
    [anon_sym_nointerpolation] = ACTIONS(2258),
    [anon_sym_sample] = ACTIONS(2258),
    [anon_sym_linear] = ACTIONS(2258),
    [anon_sym_snorm] = ACTIONS(2258),
    [anon_sym_unorm] = ACTIONS(2258),
    [anon_sym_point] = ACTIONS(2258),
    [anon_sym_line] = ACTIONS(2258),
    [anon_sym_triangleadj] = ACTIONS(2258),
    [anon_sym_lineadj] = ACTIONS(2258),
    [anon_sym_triangle] = ACTIONS(2258),
    [anon_sym_cbuffer] = ACTIONS(2258),
  },
  [397] = {
    [sym_identifier] = ACTIONS(2717),
    [aux_sym_preproc_include_token1] = ACTIONS(2717),
    [aux_sym_preproc_def_token1] = ACTIONS(2717),
    [aux_sym_preproc_if_token1] = ACTIONS(2717),
    [aux_sym_preproc_if_token2] = ACTIONS(2717),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2717),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2717),
    [aux_sym_preproc_else_token1] = ACTIONS(2717),
    [aux_sym_preproc_elif_token1] = ACTIONS(2717),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2717),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2717),
    [sym_preproc_directive] = ACTIONS(2717),
    [anon_sym_LPAREN2] = ACTIONS(2719),
    [anon_sym_BANG] = ACTIONS(2719),
    [anon_sym_TILDE] = ACTIONS(2719),
    [anon_sym_DASH] = ACTIONS(2717),
    [anon_sym_PLUS] = ACTIONS(2717),
    [anon_sym_STAR] = ACTIONS(2719),
    [anon_sym_AMP_AMP] = ACTIONS(2719),
    [anon_sym_AMP] = ACTIONS(2717),
    [anon_sym_SEMI] = ACTIONS(2719),
    [anon_sym___extension__] = ACTIONS(2717),
    [anon_sym_typedef] = ACTIONS(2717),
    [anon_sym_in] = ACTIONS(2717),
    [anon_sym_out] = ACTIONS(2717),
    [anon_sym_inout] = ACTIONS(2717),
    [anon_sym_extern] = ACTIONS(2717),
    [anon_sym___attribute__] = ACTIONS(2717),
    [anon_sym_COLON_COLON] = ACTIONS(2719),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2719),
    [anon_sym___declspec] = ACTIONS(2717),
    [anon_sym___based] = ACTIONS(2717),
    [anon_sym___cdecl] = ACTIONS(2717),
    [anon_sym___clrcall] = ACTIONS(2717),
    [anon_sym___stdcall] = ACTIONS(2717),
    [anon_sym___fastcall] = ACTIONS(2717),
    [anon_sym___thiscall] = ACTIONS(2717),
    [anon_sym___vectorcall] = ACTIONS(2717),
    [anon_sym_LBRACE] = ACTIONS(2719),
    [anon_sym_signed] = ACTIONS(2717),
    [anon_sym_unsigned] = ACTIONS(2717),
    [anon_sym_long] = ACTIONS(2717),
    [anon_sym_short] = ACTIONS(2717),
    [anon_sym_LBRACK] = ACTIONS(2717),
    [anon_sym_static] = ACTIONS(2717),
    [anon_sym_register] = ACTIONS(2717),
    [anon_sym_inline] = ACTIONS(2717),
    [anon_sym___inline] = ACTIONS(2717),
    [anon_sym___inline__] = ACTIONS(2717),
    [anon_sym___forceinline] = ACTIONS(2717),
    [anon_sym_thread_local] = ACTIONS(2717),
    [anon_sym___thread] = ACTIONS(2717),
    [anon_sym_const] = ACTIONS(2717),
    [anon_sym_constexpr] = ACTIONS(2717),
    [anon_sym_volatile] = ACTIONS(2717),
    [anon_sym_restrict] = ACTIONS(2717),
    [anon_sym___restrict__] = ACTIONS(2717),
    [anon_sym__Atomic] = ACTIONS(2717),
    [anon_sym__Noreturn] = ACTIONS(2717),
    [anon_sym_noreturn] = ACTIONS(2717),
    [anon_sym_mutable] = ACTIONS(2717),
    [anon_sym_constinit] = ACTIONS(2717),
    [anon_sym_consteval] = ACTIONS(2717),
    [sym_primitive_type] = ACTIONS(2717),
    [anon_sym_enum] = ACTIONS(2717),
    [anon_sym_class] = ACTIONS(2717),
    [anon_sym_struct] = ACTIONS(2717),
    [anon_sym_union] = ACTIONS(2717),
    [anon_sym_if] = ACTIONS(2717),
    [anon_sym_switch] = ACTIONS(2717),
    [anon_sym_case] = ACTIONS(2717),
    [anon_sym_default] = ACTIONS(2717),
    [anon_sym_while] = ACTIONS(2717),
    [anon_sym_do] = ACTIONS(2717),
    [anon_sym_for] = ACTIONS(2717),
    [anon_sym_return] = ACTIONS(2717),
    [anon_sym_break] = ACTIONS(2717),
    [anon_sym_continue] = ACTIONS(2717),
    [anon_sym_goto] = ACTIONS(2717),
    [anon_sym___try] = ACTIONS(2717),
    [anon_sym___leave] = ACTIONS(2717),
    [anon_sym_not] = ACTIONS(2717),
    [anon_sym_compl] = ACTIONS(2717),
    [anon_sym_DASH_DASH] = ACTIONS(2719),
    [anon_sym_PLUS_PLUS] = ACTIONS(2719),
    [anon_sym_sizeof] = ACTIONS(2717),
    [anon_sym___alignof__] = ACTIONS(2717),
    [anon_sym___alignof] = ACTIONS(2717),
    [anon_sym__alignof] = ACTIONS(2717),
    [anon_sym_alignof] = ACTIONS(2717),
    [anon_sym__Alignof] = ACTIONS(2717),
    [anon_sym_offsetof] = ACTIONS(2717),
    [anon_sym__Generic] = ACTIONS(2717),
    [anon_sym_asm] = ACTIONS(2717),
    [anon_sym___asm__] = ACTIONS(2717),
    [sym_number_literal] = ACTIONS(2719),
    [anon_sym_L_SQUOTE] = ACTIONS(2719),
    [anon_sym_u_SQUOTE] = ACTIONS(2719),
    [anon_sym_U_SQUOTE] = ACTIONS(2719),
    [anon_sym_u8_SQUOTE] = ACTIONS(2719),
    [anon_sym_SQUOTE] = ACTIONS(2719),
    [anon_sym_L_DQUOTE] = ACTIONS(2719),
    [anon_sym_u_DQUOTE] = ACTIONS(2719),
    [anon_sym_U_DQUOTE] = ACTIONS(2719),
    [anon_sym_u8_DQUOTE] = ACTIONS(2719),
    [anon_sym_DQUOTE] = ACTIONS(2719),
    [sym_true] = ACTIONS(2717),
    [sym_false] = ACTIONS(2717),
    [anon_sym_NULL] = ACTIONS(2717),
    [anon_sym_nullptr] = ACTIONS(2717),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2717),
    [anon_sym_decltype] = ACTIONS(2717),
    [anon_sym_virtual] = ACTIONS(2717),
    [anon_sym_alignas] = ACTIONS(2717),
    [anon_sym_explicit] = ACTIONS(2717),
    [anon_sym_typename] = ACTIONS(2717),
    [anon_sym_template] = ACTIONS(2717),
    [anon_sym_operator] = ACTIONS(2717),
    [anon_sym_try] = ACTIONS(2717),
    [anon_sym_delete] = ACTIONS(2717),
    [anon_sym_throw] = ACTIONS(2717),
    [anon_sym_namespace] = ACTIONS(2717),
    [anon_sym_using] = ACTIONS(2717),
    [anon_sym_static_assert] = ACTIONS(2717),
    [anon_sym_concept] = ACTIONS(2717),
    [anon_sym_co_return] = ACTIONS(2717),
    [anon_sym_co_yield] = ACTIONS(2717),
    [anon_sym_R_DQUOTE] = ACTIONS(2719),
    [anon_sym_LR_DQUOTE] = ACTIONS(2719),
    [anon_sym_uR_DQUOTE] = ACTIONS(2719),
    [anon_sym_UR_DQUOTE] = ACTIONS(2719),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2719),
    [anon_sym_co_await] = ACTIONS(2717),
    [anon_sym_new] = ACTIONS(2717),
    [anon_sym_requires] = ACTIONS(2717),
    [sym_this] = ACTIONS(2717),
    [anon_sym_discard] = ACTIONS(2717),
    [anon_sym_precise] = ACTIONS(2717),
    [anon_sym_shared] = ACTIONS(2717),
    [anon_sym_groupshared] = ACTIONS(2717),
    [anon_sym_uniform] = ACTIONS(2717),
    [anon_sym_row_major] = ACTIONS(2717),
    [anon_sym_column_major] = ACTIONS(2717),
    [anon_sym_globallycoherent] = ACTIONS(2717),
    [anon_sym_centroid] = ACTIONS(2717),
    [anon_sym_noperspective] = ACTIONS(2717),
    [anon_sym_nointerpolation] = ACTIONS(2717),
    [anon_sym_sample] = ACTIONS(2717),
    [anon_sym_linear] = ACTIONS(2717),
    [anon_sym_snorm] = ACTIONS(2717),
    [anon_sym_unorm] = ACTIONS(2717),
    [anon_sym_point] = ACTIONS(2717),
    [anon_sym_line] = ACTIONS(2717),
    [anon_sym_triangleadj] = ACTIONS(2717),
    [anon_sym_lineadj] = ACTIONS(2717),
    [anon_sym_triangle] = ACTIONS(2717),
    [anon_sym_cbuffer] = ACTIONS(2717),
  },
  [398] = {
    [sym_identifier] = ACTIONS(2721),
    [aux_sym_preproc_include_token1] = ACTIONS(2721),
    [aux_sym_preproc_def_token1] = ACTIONS(2721),
    [aux_sym_preproc_if_token1] = ACTIONS(2721),
    [aux_sym_preproc_if_token2] = ACTIONS(2721),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2721),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2721),
    [aux_sym_preproc_else_token1] = ACTIONS(2721),
    [aux_sym_preproc_elif_token1] = ACTIONS(2721),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2721),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2721),
    [sym_preproc_directive] = ACTIONS(2721),
    [anon_sym_LPAREN2] = ACTIONS(2723),
    [anon_sym_BANG] = ACTIONS(2723),
    [anon_sym_TILDE] = ACTIONS(2723),
    [anon_sym_DASH] = ACTIONS(2721),
    [anon_sym_PLUS] = ACTIONS(2721),
    [anon_sym_STAR] = ACTIONS(2723),
    [anon_sym_AMP_AMP] = ACTIONS(2723),
    [anon_sym_AMP] = ACTIONS(2721),
    [anon_sym_SEMI] = ACTIONS(2723),
    [anon_sym___extension__] = ACTIONS(2721),
    [anon_sym_typedef] = ACTIONS(2721),
    [anon_sym_in] = ACTIONS(2721),
    [anon_sym_out] = ACTIONS(2721),
    [anon_sym_inout] = ACTIONS(2721),
    [anon_sym_extern] = ACTIONS(2721),
    [anon_sym___attribute__] = ACTIONS(2721),
    [anon_sym_COLON_COLON] = ACTIONS(2723),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2723),
    [anon_sym___declspec] = ACTIONS(2721),
    [anon_sym___based] = ACTIONS(2721),
    [anon_sym___cdecl] = ACTIONS(2721),
    [anon_sym___clrcall] = ACTIONS(2721),
    [anon_sym___stdcall] = ACTIONS(2721),
    [anon_sym___fastcall] = ACTIONS(2721),
    [anon_sym___thiscall] = ACTIONS(2721),
    [anon_sym___vectorcall] = ACTIONS(2721),
    [anon_sym_LBRACE] = ACTIONS(2723),
    [anon_sym_signed] = ACTIONS(2721),
    [anon_sym_unsigned] = ACTIONS(2721),
    [anon_sym_long] = ACTIONS(2721),
    [anon_sym_short] = ACTIONS(2721),
    [anon_sym_LBRACK] = ACTIONS(2721),
    [anon_sym_static] = ACTIONS(2721),
    [anon_sym_register] = ACTIONS(2721),
    [anon_sym_inline] = ACTIONS(2721),
    [anon_sym___inline] = ACTIONS(2721),
    [anon_sym___inline__] = ACTIONS(2721),
    [anon_sym___forceinline] = ACTIONS(2721),
    [anon_sym_thread_local] = ACTIONS(2721),
    [anon_sym___thread] = ACTIONS(2721),
    [anon_sym_const] = ACTIONS(2721),
    [anon_sym_constexpr] = ACTIONS(2721),
    [anon_sym_volatile] = ACTIONS(2721),
    [anon_sym_restrict] = ACTIONS(2721),
    [anon_sym___restrict__] = ACTIONS(2721),
    [anon_sym__Atomic] = ACTIONS(2721),
    [anon_sym__Noreturn] = ACTIONS(2721),
    [anon_sym_noreturn] = ACTIONS(2721),
    [anon_sym_mutable] = ACTIONS(2721),
    [anon_sym_constinit] = ACTIONS(2721),
    [anon_sym_consteval] = ACTIONS(2721),
    [sym_primitive_type] = ACTIONS(2721),
    [anon_sym_enum] = ACTIONS(2721),
    [anon_sym_class] = ACTIONS(2721),
    [anon_sym_struct] = ACTIONS(2721),
    [anon_sym_union] = ACTIONS(2721),
    [anon_sym_if] = ACTIONS(2721),
    [anon_sym_switch] = ACTIONS(2721),
    [anon_sym_case] = ACTIONS(2721),
    [anon_sym_default] = ACTIONS(2721),
    [anon_sym_while] = ACTIONS(2721),
    [anon_sym_do] = ACTIONS(2721),
    [anon_sym_for] = ACTIONS(2721),
    [anon_sym_return] = ACTIONS(2721),
    [anon_sym_break] = ACTIONS(2721),
    [anon_sym_continue] = ACTIONS(2721),
    [anon_sym_goto] = ACTIONS(2721),
    [anon_sym___try] = ACTIONS(2721),
    [anon_sym___leave] = ACTIONS(2721),
    [anon_sym_not] = ACTIONS(2721),
    [anon_sym_compl] = ACTIONS(2721),
    [anon_sym_DASH_DASH] = ACTIONS(2723),
    [anon_sym_PLUS_PLUS] = ACTIONS(2723),
    [anon_sym_sizeof] = ACTIONS(2721),
    [anon_sym___alignof__] = ACTIONS(2721),
    [anon_sym___alignof] = ACTIONS(2721),
    [anon_sym__alignof] = ACTIONS(2721),
    [anon_sym_alignof] = ACTIONS(2721),
    [anon_sym__Alignof] = ACTIONS(2721),
    [anon_sym_offsetof] = ACTIONS(2721),
    [anon_sym__Generic] = ACTIONS(2721),
    [anon_sym_asm] = ACTIONS(2721),
    [anon_sym___asm__] = ACTIONS(2721),
    [sym_number_literal] = ACTIONS(2723),
    [anon_sym_L_SQUOTE] = ACTIONS(2723),
    [anon_sym_u_SQUOTE] = ACTIONS(2723),
    [anon_sym_U_SQUOTE] = ACTIONS(2723),
    [anon_sym_u8_SQUOTE] = ACTIONS(2723),
    [anon_sym_SQUOTE] = ACTIONS(2723),
    [anon_sym_L_DQUOTE] = ACTIONS(2723),
    [anon_sym_u_DQUOTE] = ACTIONS(2723),
    [anon_sym_U_DQUOTE] = ACTIONS(2723),
    [anon_sym_u8_DQUOTE] = ACTIONS(2723),
    [anon_sym_DQUOTE] = ACTIONS(2723),
    [sym_true] = ACTIONS(2721),
    [sym_false] = ACTIONS(2721),
    [anon_sym_NULL] = ACTIONS(2721),
    [anon_sym_nullptr] = ACTIONS(2721),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2721),
    [anon_sym_decltype] = ACTIONS(2721),
    [anon_sym_virtual] = ACTIONS(2721),
    [anon_sym_alignas] = ACTIONS(2721),
    [anon_sym_explicit] = ACTIONS(2721),
    [anon_sym_typename] = ACTIONS(2721),
    [anon_sym_template] = ACTIONS(2721),
    [anon_sym_operator] = ACTIONS(2721),
    [anon_sym_try] = ACTIONS(2721),
    [anon_sym_delete] = ACTIONS(2721),
    [anon_sym_throw] = ACTIONS(2721),
    [anon_sym_namespace] = ACTIONS(2721),
    [anon_sym_using] = ACTIONS(2721),
    [anon_sym_static_assert] = ACTIONS(2721),
    [anon_sym_concept] = ACTIONS(2721),
    [anon_sym_co_return] = ACTIONS(2721),
    [anon_sym_co_yield] = ACTIONS(2721),
    [anon_sym_R_DQUOTE] = ACTIONS(2723),
    [anon_sym_LR_DQUOTE] = ACTIONS(2723),
    [anon_sym_uR_DQUOTE] = ACTIONS(2723),
    [anon_sym_UR_DQUOTE] = ACTIONS(2723),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2723),
    [anon_sym_co_await] = ACTIONS(2721),
    [anon_sym_new] = ACTIONS(2721),
    [anon_sym_requires] = ACTIONS(2721),
    [sym_this] = ACTIONS(2721),
    [anon_sym_discard] = ACTIONS(2721),
    [anon_sym_precise] = ACTIONS(2721),
    [anon_sym_shared] = ACTIONS(2721),
    [anon_sym_groupshared] = ACTIONS(2721),
    [anon_sym_uniform] = ACTIONS(2721),
    [anon_sym_row_major] = ACTIONS(2721),
    [anon_sym_column_major] = ACTIONS(2721),
    [anon_sym_globallycoherent] = ACTIONS(2721),
    [anon_sym_centroid] = ACTIONS(2721),
    [anon_sym_noperspective] = ACTIONS(2721),
    [anon_sym_nointerpolation] = ACTIONS(2721),
    [anon_sym_sample] = ACTIONS(2721),
    [anon_sym_linear] = ACTIONS(2721),
    [anon_sym_snorm] = ACTIONS(2721),
    [anon_sym_unorm] = ACTIONS(2721),
    [anon_sym_point] = ACTIONS(2721),
    [anon_sym_line] = ACTIONS(2721),
    [anon_sym_triangleadj] = ACTIONS(2721),
    [anon_sym_lineadj] = ACTIONS(2721),
    [anon_sym_triangle] = ACTIONS(2721),
    [anon_sym_cbuffer] = ACTIONS(2721),
  },
  [399] = {
    [sym_identifier] = ACTIONS(2725),
    [aux_sym_preproc_include_token1] = ACTIONS(2725),
    [aux_sym_preproc_def_token1] = ACTIONS(2725),
    [aux_sym_preproc_if_token1] = ACTIONS(2725),
    [aux_sym_preproc_if_token2] = ACTIONS(2725),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2725),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2725),
    [aux_sym_preproc_else_token1] = ACTIONS(2725),
    [aux_sym_preproc_elif_token1] = ACTIONS(2725),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2725),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2725),
    [sym_preproc_directive] = ACTIONS(2725),
    [anon_sym_LPAREN2] = ACTIONS(2727),
    [anon_sym_BANG] = ACTIONS(2727),
    [anon_sym_TILDE] = ACTIONS(2727),
    [anon_sym_DASH] = ACTIONS(2725),
    [anon_sym_PLUS] = ACTIONS(2725),
    [anon_sym_STAR] = ACTIONS(2727),
    [anon_sym_AMP_AMP] = ACTIONS(2727),
    [anon_sym_AMP] = ACTIONS(2725),
    [anon_sym_SEMI] = ACTIONS(2727),
    [anon_sym___extension__] = ACTIONS(2725),
    [anon_sym_typedef] = ACTIONS(2725),
    [anon_sym_in] = ACTIONS(2725),
    [anon_sym_out] = ACTIONS(2725),
    [anon_sym_inout] = ACTIONS(2725),
    [anon_sym_extern] = ACTIONS(2725),
    [anon_sym___attribute__] = ACTIONS(2725),
    [anon_sym_COLON_COLON] = ACTIONS(2727),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2727),
    [anon_sym___declspec] = ACTIONS(2725),
    [anon_sym___based] = ACTIONS(2725),
    [anon_sym___cdecl] = ACTIONS(2725),
    [anon_sym___clrcall] = ACTIONS(2725),
    [anon_sym___stdcall] = ACTIONS(2725),
    [anon_sym___fastcall] = ACTIONS(2725),
    [anon_sym___thiscall] = ACTIONS(2725),
    [anon_sym___vectorcall] = ACTIONS(2725),
    [anon_sym_LBRACE] = ACTIONS(2727),
    [anon_sym_signed] = ACTIONS(2725),
    [anon_sym_unsigned] = ACTIONS(2725),
    [anon_sym_long] = ACTIONS(2725),
    [anon_sym_short] = ACTIONS(2725),
    [anon_sym_LBRACK] = ACTIONS(2725),
    [anon_sym_static] = ACTIONS(2725),
    [anon_sym_register] = ACTIONS(2725),
    [anon_sym_inline] = ACTIONS(2725),
    [anon_sym___inline] = ACTIONS(2725),
    [anon_sym___inline__] = ACTIONS(2725),
    [anon_sym___forceinline] = ACTIONS(2725),
    [anon_sym_thread_local] = ACTIONS(2725),
    [anon_sym___thread] = ACTIONS(2725),
    [anon_sym_const] = ACTIONS(2725),
    [anon_sym_constexpr] = ACTIONS(2725),
    [anon_sym_volatile] = ACTIONS(2725),
    [anon_sym_restrict] = ACTIONS(2725),
    [anon_sym___restrict__] = ACTIONS(2725),
    [anon_sym__Atomic] = ACTIONS(2725),
    [anon_sym__Noreturn] = ACTIONS(2725),
    [anon_sym_noreturn] = ACTIONS(2725),
    [anon_sym_mutable] = ACTIONS(2725),
    [anon_sym_constinit] = ACTIONS(2725),
    [anon_sym_consteval] = ACTIONS(2725),
    [sym_primitive_type] = ACTIONS(2725),
    [anon_sym_enum] = ACTIONS(2725),
    [anon_sym_class] = ACTIONS(2725),
    [anon_sym_struct] = ACTIONS(2725),
    [anon_sym_union] = ACTIONS(2725),
    [anon_sym_if] = ACTIONS(2725),
    [anon_sym_switch] = ACTIONS(2725),
    [anon_sym_case] = ACTIONS(2725),
    [anon_sym_default] = ACTIONS(2725),
    [anon_sym_while] = ACTIONS(2725),
    [anon_sym_do] = ACTIONS(2725),
    [anon_sym_for] = ACTIONS(2725),
    [anon_sym_return] = ACTIONS(2725),
    [anon_sym_break] = ACTIONS(2725),
    [anon_sym_continue] = ACTIONS(2725),
    [anon_sym_goto] = ACTIONS(2725),
    [anon_sym___try] = ACTIONS(2725),
    [anon_sym___leave] = ACTIONS(2725),
    [anon_sym_not] = ACTIONS(2725),
    [anon_sym_compl] = ACTIONS(2725),
    [anon_sym_DASH_DASH] = ACTIONS(2727),
    [anon_sym_PLUS_PLUS] = ACTIONS(2727),
    [anon_sym_sizeof] = ACTIONS(2725),
    [anon_sym___alignof__] = ACTIONS(2725),
    [anon_sym___alignof] = ACTIONS(2725),
    [anon_sym__alignof] = ACTIONS(2725),
    [anon_sym_alignof] = ACTIONS(2725),
    [anon_sym__Alignof] = ACTIONS(2725),
    [anon_sym_offsetof] = ACTIONS(2725),
    [anon_sym__Generic] = ACTIONS(2725),
    [anon_sym_asm] = ACTIONS(2725),
    [anon_sym___asm__] = ACTIONS(2725),
    [sym_number_literal] = ACTIONS(2727),
    [anon_sym_L_SQUOTE] = ACTIONS(2727),
    [anon_sym_u_SQUOTE] = ACTIONS(2727),
    [anon_sym_U_SQUOTE] = ACTIONS(2727),
    [anon_sym_u8_SQUOTE] = ACTIONS(2727),
    [anon_sym_SQUOTE] = ACTIONS(2727),
    [anon_sym_L_DQUOTE] = ACTIONS(2727),
    [anon_sym_u_DQUOTE] = ACTIONS(2727),
    [anon_sym_U_DQUOTE] = ACTIONS(2727),
    [anon_sym_u8_DQUOTE] = ACTIONS(2727),
    [anon_sym_DQUOTE] = ACTIONS(2727),
    [sym_true] = ACTIONS(2725),
    [sym_false] = ACTIONS(2725),
    [anon_sym_NULL] = ACTIONS(2725),
    [anon_sym_nullptr] = ACTIONS(2725),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2725),
    [anon_sym_decltype] = ACTIONS(2725),
    [anon_sym_virtual] = ACTIONS(2725),
    [anon_sym_alignas] = ACTIONS(2725),
    [anon_sym_explicit] = ACTIONS(2725),
    [anon_sym_typename] = ACTIONS(2725),
    [anon_sym_template] = ACTIONS(2725),
    [anon_sym_operator] = ACTIONS(2725),
    [anon_sym_try] = ACTIONS(2725),
    [anon_sym_delete] = ACTIONS(2725),
    [anon_sym_throw] = ACTIONS(2725),
    [anon_sym_namespace] = ACTIONS(2725),
    [anon_sym_using] = ACTIONS(2725),
    [anon_sym_static_assert] = ACTIONS(2725),
    [anon_sym_concept] = ACTIONS(2725),
    [anon_sym_co_return] = ACTIONS(2725),
    [anon_sym_co_yield] = ACTIONS(2725),
    [anon_sym_R_DQUOTE] = ACTIONS(2727),
    [anon_sym_LR_DQUOTE] = ACTIONS(2727),
    [anon_sym_uR_DQUOTE] = ACTIONS(2727),
    [anon_sym_UR_DQUOTE] = ACTIONS(2727),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2727),
    [anon_sym_co_await] = ACTIONS(2725),
    [anon_sym_new] = ACTIONS(2725),
    [anon_sym_requires] = ACTIONS(2725),
    [sym_this] = ACTIONS(2725),
    [anon_sym_discard] = ACTIONS(2725),
    [anon_sym_precise] = ACTIONS(2725),
    [anon_sym_shared] = ACTIONS(2725),
    [anon_sym_groupshared] = ACTIONS(2725),
    [anon_sym_uniform] = ACTIONS(2725),
    [anon_sym_row_major] = ACTIONS(2725),
    [anon_sym_column_major] = ACTIONS(2725),
    [anon_sym_globallycoherent] = ACTIONS(2725),
    [anon_sym_centroid] = ACTIONS(2725),
    [anon_sym_noperspective] = ACTIONS(2725),
    [anon_sym_nointerpolation] = ACTIONS(2725),
    [anon_sym_sample] = ACTIONS(2725),
    [anon_sym_linear] = ACTIONS(2725),
    [anon_sym_snorm] = ACTIONS(2725),
    [anon_sym_unorm] = ACTIONS(2725),
    [anon_sym_point] = ACTIONS(2725),
    [anon_sym_line] = ACTIONS(2725),
    [anon_sym_triangleadj] = ACTIONS(2725),
    [anon_sym_lineadj] = ACTIONS(2725),
    [anon_sym_triangle] = ACTIONS(2725),
    [anon_sym_cbuffer] = ACTIONS(2725),
  },
  [400] = {
    [sym_identifier] = ACTIONS(2729),
    [aux_sym_preproc_include_token1] = ACTIONS(2729),
    [aux_sym_preproc_def_token1] = ACTIONS(2729),
    [aux_sym_preproc_if_token1] = ACTIONS(2729),
    [aux_sym_preproc_if_token2] = ACTIONS(2729),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2729),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2729),
    [aux_sym_preproc_else_token1] = ACTIONS(2729),
    [aux_sym_preproc_elif_token1] = ACTIONS(2729),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2729),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2729),
    [sym_preproc_directive] = ACTIONS(2729),
    [anon_sym_LPAREN2] = ACTIONS(2731),
    [anon_sym_BANG] = ACTIONS(2731),
    [anon_sym_TILDE] = ACTIONS(2731),
    [anon_sym_DASH] = ACTIONS(2729),
    [anon_sym_PLUS] = ACTIONS(2729),
    [anon_sym_STAR] = ACTIONS(2731),
    [anon_sym_AMP_AMP] = ACTIONS(2731),
    [anon_sym_AMP] = ACTIONS(2729),
    [anon_sym_SEMI] = ACTIONS(2731),
    [anon_sym___extension__] = ACTIONS(2729),
    [anon_sym_typedef] = ACTIONS(2729),
    [anon_sym_in] = ACTIONS(2729),
    [anon_sym_out] = ACTIONS(2729),
    [anon_sym_inout] = ACTIONS(2729),
    [anon_sym_extern] = ACTIONS(2729),
    [anon_sym___attribute__] = ACTIONS(2729),
    [anon_sym_COLON_COLON] = ACTIONS(2731),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2731),
    [anon_sym___declspec] = ACTIONS(2729),
    [anon_sym___based] = ACTIONS(2729),
    [anon_sym___cdecl] = ACTIONS(2729),
    [anon_sym___clrcall] = ACTIONS(2729),
    [anon_sym___stdcall] = ACTIONS(2729),
    [anon_sym___fastcall] = ACTIONS(2729),
    [anon_sym___thiscall] = ACTIONS(2729),
    [anon_sym___vectorcall] = ACTIONS(2729),
    [anon_sym_LBRACE] = ACTIONS(2731),
    [anon_sym_signed] = ACTIONS(2729),
    [anon_sym_unsigned] = ACTIONS(2729),
    [anon_sym_long] = ACTIONS(2729),
    [anon_sym_short] = ACTIONS(2729),
    [anon_sym_LBRACK] = ACTIONS(2729),
    [anon_sym_static] = ACTIONS(2729),
    [anon_sym_register] = ACTIONS(2729),
    [anon_sym_inline] = ACTIONS(2729),
    [anon_sym___inline] = ACTIONS(2729),
    [anon_sym___inline__] = ACTIONS(2729),
    [anon_sym___forceinline] = ACTIONS(2729),
    [anon_sym_thread_local] = ACTIONS(2729),
    [anon_sym___thread] = ACTIONS(2729),
    [anon_sym_const] = ACTIONS(2729),
    [anon_sym_constexpr] = ACTIONS(2729),
    [anon_sym_volatile] = ACTIONS(2729),
    [anon_sym_restrict] = ACTIONS(2729),
    [anon_sym___restrict__] = ACTIONS(2729),
    [anon_sym__Atomic] = ACTIONS(2729),
    [anon_sym__Noreturn] = ACTIONS(2729),
    [anon_sym_noreturn] = ACTIONS(2729),
    [anon_sym_mutable] = ACTIONS(2729),
    [anon_sym_constinit] = ACTIONS(2729),
    [anon_sym_consteval] = ACTIONS(2729),
    [sym_primitive_type] = ACTIONS(2729),
    [anon_sym_enum] = ACTIONS(2729),
    [anon_sym_class] = ACTIONS(2729),
    [anon_sym_struct] = ACTIONS(2729),
    [anon_sym_union] = ACTIONS(2729),
    [anon_sym_if] = ACTIONS(2729),
    [anon_sym_switch] = ACTIONS(2729),
    [anon_sym_case] = ACTIONS(2729),
    [anon_sym_default] = ACTIONS(2729),
    [anon_sym_while] = ACTIONS(2729),
    [anon_sym_do] = ACTIONS(2729),
    [anon_sym_for] = ACTIONS(2729),
    [anon_sym_return] = ACTIONS(2729),
    [anon_sym_break] = ACTIONS(2729),
    [anon_sym_continue] = ACTIONS(2729),
    [anon_sym_goto] = ACTIONS(2729),
    [anon_sym___try] = ACTIONS(2729),
    [anon_sym___leave] = ACTIONS(2729),
    [anon_sym_not] = ACTIONS(2729),
    [anon_sym_compl] = ACTIONS(2729),
    [anon_sym_DASH_DASH] = ACTIONS(2731),
    [anon_sym_PLUS_PLUS] = ACTIONS(2731),
    [anon_sym_sizeof] = ACTIONS(2729),
    [anon_sym___alignof__] = ACTIONS(2729),
    [anon_sym___alignof] = ACTIONS(2729),
    [anon_sym__alignof] = ACTIONS(2729),
    [anon_sym_alignof] = ACTIONS(2729),
    [anon_sym__Alignof] = ACTIONS(2729),
    [anon_sym_offsetof] = ACTIONS(2729),
    [anon_sym__Generic] = ACTIONS(2729),
    [anon_sym_asm] = ACTIONS(2729),
    [anon_sym___asm__] = ACTIONS(2729),
    [sym_number_literal] = ACTIONS(2731),
    [anon_sym_L_SQUOTE] = ACTIONS(2731),
    [anon_sym_u_SQUOTE] = ACTIONS(2731),
    [anon_sym_U_SQUOTE] = ACTIONS(2731),
    [anon_sym_u8_SQUOTE] = ACTIONS(2731),
    [anon_sym_SQUOTE] = ACTIONS(2731),
    [anon_sym_L_DQUOTE] = ACTIONS(2731),
    [anon_sym_u_DQUOTE] = ACTIONS(2731),
    [anon_sym_U_DQUOTE] = ACTIONS(2731),
    [anon_sym_u8_DQUOTE] = ACTIONS(2731),
    [anon_sym_DQUOTE] = ACTIONS(2731),
    [sym_true] = ACTIONS(2729),
    [sym_false] = ACTIONS(2729),
    [anon_sym_NULL] = ACTIONS(2729),
    [anon_sym_nullptr] = ACTIONS(2729),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2729),
    [anon_sym_decltype] = ACTIONS(2729),
    [anon_sym_virtual] = ACTIONS(2729),
    [anon_sym_alignas] = ACTIONS(2729),
    [anon_sym_explicit] = ACTIONS(2729),
    [anon_sym_typename] = ACTIONS(2729),
    [anon_sym_template] = ACTIONS(2729),
    [anon_sym_operator] = ACTIONS(2729),
    [anon_sym_try] = ACTIONS(2729),
    [anon_sym_delete] = ACTIONS(2729),
    [anon_sym_throw] = ACTIONS(2729),
    [anon_sym_namespace] = ACTIONS(2729),
    [anon_sym_using] = ACTIONS(2729),
    [anon_sym_static_assert] = ACTIONS(2729),
    [anon_sym_concept] = ACTIONS(2729),
    [anon_sym_co_return] = ACTIONS(2729),
    [anon_sym_co_yield] = ACTIONS(2729),
    [anon_sym_R_DQUOTE] = ACTIONS(2731),
    [anon_sym_LR_DQUOTE] = ACTIONS(2731),
    [anon_sym_uR_DQUOTE] = ACTIONS(2731),
    [anon_sym_UR_DQUOTE] = ACTIONS(2731),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2731),
    [anon_sym_co_await] = ACTIONS(2729),
    [anon_sym_new] = ACTIONS(2729),
    [anon_sym_requires] = ACTIONS(2729),
    [sym_this] = ACTIONS(2729),
    [anon_sym_discard] = ACTIONS(2729),
    [anon_sym_precise] = ACTIONS(2729),
    [anon_sym_shared] = ACTIONS(2729),
    [anon_sym_groupshared] = ACTIONS(2729),
    [anon_sym_uniform] = ACTIONS(2729),
    [anon_sym_row_major] = ACTIONS(2729),
    [anon_sym_column_major] = ACTIONS(2729),
    [anon_sym_globallycoherent] = ACTIONS(2729),
    [anon_sym_centroid] = ACTIONS(2729),
    [anon_sym_noperspective] = ACTIONS(2729),
    [anon_sym_nointerpolation] = ACTIONS(2729),
    [anon_sym_sample] = ACTIONS(2729),
    [anon_sym_linear] = ACTIONS(2729),
    [anon_sym_snorm] = ACTIONS(2729),
    [anon_sym_unorm] = ACTIONS(2729),
    [anon_sym_point] = ACTIONS(2729),
    [anon_sym_line] = ACTIONS(2729),
    [anon_sym_triangleadj] = ACTIONS(2729),
    [anon_sym_lineadj] = ACTIONS(2729),
    [anon_sym_triangle] = ACTIONS(2729),
    [anon_sym_cbuffer] = ACTIONS(2729),
  },
  [401] = {
    [sym_identifier] = ACTIONS(2733),
    [aux_sym_preproc_include_token1] = ACTIONS(2733),
    [aux_sym_preproc_def_token1] = ACTIONS(2733),
    [aux_sym_preproc_if_token1] = ACTIONS(2733),
    [aux_sym_preproc_if_token2] = ACTIONS(2733),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2733),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2733),
    [aux_sym_preproc_else_token1] = ACTIONS(2733),
    [aux_sym_preproc_elif_token1] = ACTIONS(2733),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2733),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2733),
    [sym_preproc_directive] = ACTIONS(2733),
    [anon_sym_LPAREN2] = ACTIONS(2735),
    [anon_sym_BANG] = ACTIONS(2735),
    [anon_sym_TILDE] = ACTIONS(2735),
    [anon_sym_DASH] = ACTIONS(2733),
    [anon_sym_PLUS] = ACTIONS(2733),
    [anon_sym_STAR] = ACTIONS(2735),
    [anon_sym_AMP_AMP] = ACTIONS(2735),
    [anon_sym_AMP] = ACTIONS(2733),
    [anon_sym_SEMI] = ACTIONS(2735),
    [anon_sym___extension__] = ACTIONS(2733),
    [anon_sym_typedef] = ACTIONS(2733),
    [anon_sym_in] = ACTIONS(2733),
    [anon_sym_out] = ACTIONS(2733),
    [anon_sym_inout] = ACTIONS(2733),
    [anon_sym_extern] = ACTIONS(2733),
    [anon_sym___attribute__] = ACTIONS(2733),
    [anon_sym_COLON_COLON] = ACTIONS(2735),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2735),
    [anon_sym___declspec] = ACTIONS(2733),
    [anon_sym___based] = ACTIONS(2733),
    [anon_sym___cdecl] = ACTIONS(2733),
    [anon_sym___clrcall] = ACTIONS(2733),
    [anon_sym___stdcall] = ACTIONS(2733),
    [anon_sym___fastcall] = ACTIONS(2733),
    [anon_sym___thiscall] = ACTIONS(2733),
    [anon_sym___vectorcall] = ACTIONS(2733),
    [anon_sym_LBRACE] = ACTIONS(2735),
    [anon_sym_signed] = ACTIONS(2733),
    [anon_sym_unsigned] = ACTIONS(2733),
    [anon_sym_long] = ACTIONS(2733),
    [anon_sym_short] = ACTIONS(2733),
    [anon_sym_LBRACK] = ACTIONS(2733),
    [anon_sym_static] = ACTIONS(2733),
    [anon_sym_register] = ACTIONS(2733),
    [anon_sym_inline] = ACTIONS(2733),
    [anon_sym___inline] = ACTIONS(2733),
    [anon_sym___inline__] = ACTIONS(2733),
    [anon_sym___forceinline] = ACTIONS(2733),
    [anon_sym_thread_local] = ACTIONS(2733),
    [anon_sym___thread] = ACTIONS(2733),
    [anon_sym_const] = ACTIONS(2733),
    [anon_sym_constexpr] = ACTIONS(2733),
    [anon_sym_volatile] = ACTIONS(2733),
    [anon_sym_restrict] = ACTIONS(2733),
    [anon_sym___restrict__] = ACTIONS(2733),
    [anon_sym__Atomic] = ACTIONS(2733),
    [anon_sym__Noreturn] = ACTIONS(2733),
    [anon_sym_noreturn] = ACTIONS(2733),
    [anon_sym_mutable] = ACTIONS(2733),
    [anon_sym_constinit] = ACTIONS(2733),
    [anon_sym_consteval] = ACTIONS(2733),
    [sym_primitive_type] = ACTIONS(2733),
    [anon_sym_enum] = ACTIONS(2733),
    [anon_sym_class] = ACTIONS(2733),
    [anon_sym_struct] = ACTIONS(2733),
    [anon_sym_union] = ACTIONS(2733),
    [anon_sym_if] = ACTIONS(2733),
    [anon_sym_switch] = ACTIONS(2733),
    [anon_sym_case] = ACTIONS(2733),
    [anon_sym_default] = ACTIONS(2733),
    [anon_sym_while] = ACTIONS(2733),
    [anon_sym_do] = ACTIONS(2733),
    [anon_sym_for] = ACTIONS(2733),
    [anon_sym_return] = ACTIONS(2733),
    [anon_sym_break] = ACTIONS(2733),
    [anon_sym_continue] = ACTIONS(2733),
    [anon_sym_goto] = ACTIONS(2733),
    [anon_sym___try] = ACTIONS(2733),
    [anon_sym___leave] = ACTIONS(2733),
    [anon_sym_not] = ACTIONS(2733),
    [anon_sym_compl] = ACTIONS(2733),
    [anon_sym_DASH_DASH] = ACTIONS(2735),
    [anon_sym_PLUS_PLUS] = ACTIONS(2735),
    [anon_sym_sizeof] = ACTIONS(2733),
    [anon_sym___alignof__] = ACTIONS(2733),
    [anon_sym___alignof] = ACTIONS(2733),
    [anon_sym__alignof] = ACTIONS(2733),
    [anon_sym_alignof] = ACTIONS(2733),
    [anon_sym__Alignof] = ACTIONS(2733),
    [anon_sym_offsetof] = ACTIONS(2733),
    [anon_sym__Generic] = ACTIONS(2733),
    [anon_sym_asm] = ACTIONS(2733),
    [anon_sym___asm__] = ACTIONS(2733),
    [sym_number_literal] = ACTIONS(2735),
    [anon_sym_L_SQUOTE] = ACTIONS(2735),
    [anon_sym_u_SQUOTE] = ACTIONS(2735),
    [anon_sym_U_SQUOTE] = ACTIONS(2735),
    [anon_sym_u8_SQUOTE] = ACTIONS(2735),
    [anon_sym_SQUOTE] = ACTIONS(2735),
    [anon_sym_L_DQUOTE] = ACTIONS(2735),
    [anon_sym_u_DQUOTE] = ACTIONS(2735),
    [anon_sym_U_DQUOTE] = ACTIONS(2735),
    [anon_sym_u8_DQUOTE] = ACTIONS(2735),
    [anon_sym_DQUOTE] = ACTIONS(2735),
    [sym_true] = ACTIONS(2733),
    [sym_false] = ACTIONS(2733),
    [anon_sym_NULL] = ACTIONS(2733),
    [anon_sym_nullptr] = ACTIONS(2733),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2733),
    [anon_sym_decltype] = ACTIONS(2733),
    [anon_sym_virtual] = ACTIONS(2733),
    [anon_sym_alignas] = ACTIONS(2733),
    [anon_sym_explicit] = ACTIONS(2733),
    [anon_sym_typename] = ACTIONS(2733),
    [anon_sym_template] = ACTIONS(2733),
    [anon_sym_operator] = ACTIONS(2733),
    [anon_sym_try] = ACTIONS(2733),
    [anon_sym_delete] = ACTIONS(2733),
    [anon_sym_throw] = ACTIONS(2733),
    [anon_sym_namespace] = ACTIONS(2733),
    [anon_sym_using] = ACTIONS(2733),
    [anon_sym_static_assert] = ACTIONS(2733),
    [anon_sym_concept] = ACTIONS(2733),
    [anon_sym_co_return] = ACTIONS(2733),
    [anon_sym_co_yield] = ACTIONS(2733),
    [anon_sym_R_DQUOTE] = ACTIONS(2735),
    [anon_sym_LR_DQUOTE] = ACTIONS(2735),
    [anon_sym_uR_DQUOTE] = ACTIONS(2735),
    [anon_sym_UR_DQUOTE] = ACTIONS(2735),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2735),
    [anon_sym_co_await] = ACTIONS(2733),
    [anon_sym_new] = ACTIONS(2733),
    [anon_sym_requires] = ACTIONS(2733),
    [sym_this] = ACTIONS(2733),
    [anon_sym_discard] = ACTIONS(2733),
    [anon_sym_precise] = ACTIONS(2733),
    [anon_sym_shared] = ACTIONS(2733),
    [anon_sym_groupshared] = ACTIONS(2733),
    [anon_sym_uniform] = ACTIONS(2733),
    [anon_sym_row_major] = ACTIONS(2733),
    [anon_sym_column_major] = ACTIONS(2733),
    [anon_sym_globallycoherent] = ACTIONS(2733),
    [anon_sym_centroid] = ACTIONS(2733),
    [anon_sym_noperspective] = ACTIONS(2733),
    [anon_sym_nointerpolation] = ACTIONS(2733),
    [anon_sym_sample] = ACTIONS(2733),
    [anon_sym_linear] = ACTIONS(2733),
    [anon_sym_snorm] = ACTIONS(2733),
    [anon_sym_unorm] = ACTIONS(2733),
    [anon_sym_point] = ACTIONS(2733),
    [anon_sym_line] = ACTIONS(2733),
    [anon_sym_triangleadj] = ACTIONS(2733),
    [anon_sym_lineadj] = ACTIONS(2733),
    [anon_sym_triangle] = ACTIONS(2733),
    [anon_sym_cbuffer] = ACTIONS(2733),
  },
  [402] = {
    [sym_catch_clause] = STATE(385),
    [aux_sym_constructor_try_statement_repeat1] = STATE(385),
    [sym_identifier] = ACTIONS(2242),
    [aux_sym_preproc_include_token1] = ACTIONS(2242),
    [aux_sym_preproc_def_token1] = ACTIONS(2242),
    [aux_sym_preproc_if_token1] = ACTIONS(2242),
    [aux_sym_preproc_if_token2] = ACTIONS(2242),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2242),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2242),
    [sym_preproc_directive] = ACTIONS(2242),
    [anon_sym_LPAREN2] = ACTIONS(2244),
    [anon_sym_BANG] = ACTIONS(2244),
    [anon_sym_TILDE] = ACTIONS(2244),
    [anon_sym_DASH] = ACTIONS(2242),
    [anon_sym_PLUS] = ACTIONS(2242),
    [anon_sym_STAR] = ACTIONS(2244),
    [anon_sym_AMP_AMP] = ACTIONS(2244),
    [anon_sym_AMP] = ACTIONS(2242),
    [anon_sym_SEMI] = ACTIONS(2244),
    [anon_sym___extension__] = ACTIONS(2242),
    [anon_sym_typedef] = ACTIONS(2242),
    [anon_sym_in] = ACTIONS(2242),
    [anon_sym_out] = ACTIONS(2242),
    [anon_sym_inout] = ACTIONS(2242),
    [anon_sym_extern] = ACTIONS(2242),
    [anon_sym___attribute__] = ACTIONS(2242),
    [anon_sym_COLON_COLON] = ACTIONS(2244),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2244),
    [anon_sym___declspec] = ACTIONS(2242),
    [anon_sym___based] = ACTIONS(2242),
    [anon_sym___cdecl] = ACTIONS(2242),
    [anon_sym___clrcall] = ACTIONS(2242),
    [anon_sym___stdcall] = ACTIONS(2242),
    [anon_sym___fastcall] = ACTIONS(2242),
    [anon_sym___thiscall] = ACTIONS(2242),
    [anon_sym___vectorcall] = ACTIONS(2242),
    [anon_sym_LBRACE] = ACTIONS(2244),
    [anon_sym_signed] = ACTIONS(2242),
    [anon_sym_unsigned] = ACTIONS(2242),
    [anon_sym_long] = ACTIONS(2242),
    [anon_sym_short] = ACTIONS(2242),
    [anon_sym_LBRACK] = ACTIONS(2242),
    [anon_sym_static] = ACTIONS(2242),
    [anon_sym_register] = ACTIONS(2242),
    [anon_sym_inline] = ACTIONS(2242),
    [anon_sym___inline] = ACTIONS(2242),
    [anon_sym___inline__] = ACTIONS(2242),
    [anon_sym___forceinline] = ACTIONS(2242),
    [anon_sym_thread_local] = ACTIONS(2242),
    [anon_sym___thread] = ACTIONS(2242),
    [anon_sym_const] = ACTIONS(2242),
    [anon_sym_constexpr] = ACTIONS(2242),
    [anon_sym_volatile] = ACTIONS(2242),
    [anon_sym_restrict] = ACTIONS(2242),
    [anon_sym___restrict__] = ACTIONS(2242),
    [anon_sym__Atomic] = ACTIONS(2242),
    [anon_sym__Noreturn] = ACTIONS(2242),
    [anon_sym_noreturn] = ACTIONS(2242),
    [anon_sym_mutable] = ACTIONS(2242),
    [anon_sym_constinit] = ACTIONS(2242),
    [anon_sym_consteval] = ACTIONS(2242),
    [sym_primitive_type] = ACTIONS(2242),
    [anon_sym_enum] = ACTIONS(2242),
    [anon_sym_class] = ACTIONS(2242),
    [anon_sym_struct] = ACTIONS(2242),
    [anon_sym_union] = ACTIONS(2242),
    [anon_sym_if] = ACTIONS(2242),
    [anon_sym_else] = ACTIONS(2242),
    [anon_sym_switch] = ACTIONS(2242),
    [anon_sym_case] = ACTIONS(2242),
    [anon_sym_default] = ACTIONS(2242),
    [anon_sym_while] = ACTIONS(2242),
    [anon_sym_do] = ACTIONS(2242),
    [anon_sym_for] = ACTIONS(2242),
    [anon_sym_return] = ACTIONS(2242),
    [anon_sym_break] = ACTIONS(2242),
    [anon_sym_continue] = ACTIONS(2242),
    [anon_sym_goto] = ACTIONS(2242),
    [anon_sym___try] = ACTIONS(2242),
    [anon_sym___leave] = ACTIONS(2242),
    [anon_sym_not] = ACTIONS(2242),
    [anon_sym_compl] = ACTIONS(2242),
    [anon_sym_DASH_DASH] = ACTIONS(2244),
    [anon_sym_PLUS_PLUS] = ACTIONS(2244),
    [anon_sym_sizeof] = ACTIONS(2242),
    [anon_sym___alignof__] = ACTIONS(2242),
    [anon_sym___alignof] = ACTIONS(2242),
    [anon_sym__alignof] = ACTIONS(2242),
    [anon_sym_alignof] = ACTIONS(2242),
    [anon_sym__Alignof] = ACTIONS(2242),
    [anon_sym_offsetof] = ACTIONS(2242),
    [anon_sym__Generic] = ACTIONS(2242),
    [anon_sym_asm] = ACTIONS(2242),
    [anon_sym___asm__] = ACTIONS(2242),
    [sym_number_literal] = ACTIONS(2244),
    [anon_sym_L_SQUOTE] = ACTIONS(2244),
    [anon_sym_u_SQUOTE] = ACTIONS(2244),
    [anon_sym_U_SQUOTE] = ACTIONS(2244),
    [anon_sym_u8_SQUOTE] = ACTIONS(2244),
    [anon_sym_SQUOTE] = ACTIONS(2244),
    [anon_sym_L_DQUOTE] = ACTIONS(2244),
    [anon_sym_u_DQUOTE] = ACTIONS(2244),
    [anon_sym_U_DQUOTE] = ACTIONS(2244),
    [anon_sym_u8_DQUOTE] = ACTIONS(2244),
    [anon_sym_DQUOTE] = ACTIONS(2244),
    [sym_true] = ACTIONS(2242),
    [sym_false] = ACTIONS(2242),
    [anon_sym_NULL] = ACTIONS(2242),
    [anon_sym_nullptr] = ACTIONS(2242),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2242),
    [anon_sym_decltype] = ACTIONS(2242),
    [anon_sym_virtual] = ACTIONS(2242),
    [anon_sym_alignas] = ACTIONS(2242),
    [anon_sym_explicit] = ACTIONS(2242),
    [anon_sym_typename] = ACTIONS(2242),
    [anon_sym_template] = ACTIONS(2242),
    [anon_sym_operator] = ACTIONS(2242),
    [anon_sym_try] = ACTIONS(2242),
    [anon_sym_delete] = ACTIONS(2242),
    [anon_sym_throw] = ACTIONS(2242),
    [anon_sym_namespace] = ACTIONS(2242),
    [anon_sym_using] = ACTIONS(2242),
    [anon_sym_static_assert] = ACTIONS(2242),
    [anon_sym_concept] = ACTIONS(2242),
    [anon_sym_co_return] = ACTIONS(2242),
    [anon_sym_co_yield] = ACTIONS(2242),
    [anon_sym_catch] = ACTIONS(2737),
    [anon_sym_R_DQUOTE] = ACTIONS(2244),
    [anon_sym_LR_DQUOTE] = ACTIONS(2244),
    [anon_sym_uR_DQUOTE] = ACTIONS(2244),
    [anon_sym_UR_DQUOTE] = ACTIONS(2244),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2244),
    [anon_sym_co_await] = ACTIONS(2242),
    [anon_sym_new] = ACTIONS(2242),
    [anon_sym_requires] = ACTIONS(2242),
    [sym_this] = ACTIONS(2242),
    [anon_sym_discard] = ACTIONS(2242),
    [anon_sym_precise] = ACTIONS(2242),
    [anon_sym_shared] = ACTIONS(2242),
    [anon_sym_groupshared] = ACTIONS(2242),
    [anon_sym_uniform] = ACTIONS(2242),
    [anon_sym_row_major] = ACTIONS(2242),
    [anon_sym_column_major] = ACTIONS(2242),
    [anon_sym_globallycoherent] = ACTIONS(2242),
    [anon_sym_centroid] = ACTIONS(2242),
    [anon_sym_noperspective] = ACTIONS(2242),
    [anon_sym_nointerpolation] = ACTIONS(2242),
    [anon_sym_sample] = ACTIONS(2242),
    [anon_sym_linear] = ACTIONS(2242),
    [anon_sym_snorm] = ACTIONS(2242),
    [anon_sym_unorm] = ACTIONS(2242),
    [anon_sym_point] = ACTIONS(2242),
    [anon_sym_line] = ACTIONS(2242),
    [anon_sym_triangleadj] = ACTIONS(2242),
    [anon_sym_lineadj] = ACTIONS(2242),
    [anon_sym_triangle] = ACTIONS(2242),
    [anon_sym_cbuffer] = ACTIONS(2242),
  },
  [403] = {
    [sym_identifier] = ACTIONS(2739),
    [aux_sym_preproc_include_token1] = ACTIONS(2739),
    [aux_sym_preproc_def_token1] = ACTIONS(2739),
    [aux_sym_preproc_if_token1] = ACTIONS(2739),
    [aux_sym_preproc_if_token2] = ACTIONS(2739),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2739),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2739),
    [aux_sym_preproc_else_token1] = ACTIONS(2739),
    [aux_sym_preproc_elif_token1] = ACTIONS(2739),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2739),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2739),
    [sym_preproc_directive] = ACTIONS(2739),
    [anon_sym_LPAREN2] = ACTIONS(2741),
    [anon_sym_BANG] = ACTIONS(2741),
    [anon_sym_TILDE] = ACTIONS(2741),
    [anon_sym_DASH] = ACTIONS(2739),
    [anon_sym_PLUS] = ACTIONS(2739),
    [anon_sym_STAR] = ACTIONS(2741),
    [anon_sym_AMP_AMP] = ACTIONS(2741),
    [anon_sym_AMP] = ACTIONS(2739),
    [anon_sym_SEMI] = ACTIONS(2741),
    [anon_sym___extension__] = ACTIONS(2739),
    [anon_sym_typedef] = ACTIONS(2739),
    [anon_sym_in] = ACTIONS(2739),
    [anon_sym_out] = ACTIONS(2739),
    [anon_sym_inout] = ACTIONS(2739),
    [anon_sym_extern] = ACTIONS(2739),
    [anon_sym___attribute__] = ACTIONS(2739),
    [anon_sym_COLON_COLON] = ACTIONS(2741),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2741),
    [anon_sym___declspec] = ACTIONS(2739),
    [anon_sym___based] = ACTIONS(2739),
    [anon_sym___cdecl] = ACTIONS(2739),
    [anon_sym___clrcall] = ACTIONS(2739),
    [anon_sym___stdcall] = ACTIONS(2739),
    [anon_sym___fastcall] = ACTIONS(2739),
    [anon_sym___thiscall] = ACTIONS(2739),
    [anon_sym___vectorcall] = ACTIONS(2739),
    [anon_sym_LBRACE] = ACTIONS(2741),
    [anon_sym_signed] = ACTIONS(2739),
    [anon_sym_unsigned] = ACTIONS(2739),
    [anon_sym_long] = ACTIONS(2739),
    [anon_sym_short] = ACTIONS(2739),
    [anon_sym_LBRACK] = ACTIONS(2739),
    [anon_sym_static] = ACTIONS(2739),
    [anon_sym_register] = ACTIONS(2739),
    [anon_sym_inline] = ACTIONS(2739),
    [anon_sym___inline] = ACTIONS(2739),
    [anon_sym___inline__] = ACTIONS(2739),
    [anon_sym___forceinline] = ACTIONS(2739),
    [anon_sym_thread_local] = ACTIONS(2739),
    [anon_sym___thread] = ACTIONS(2739),
    [anon_sym_const] = ACTIONS(2739),
    [anon_sym_constexpr] = ACTIONS(2739),
    [anon_sym_volatile] = ACTIONS(2739),
    [anon_sym_restrict] = ACTIONS(2739),
    [anon_sym___restrict__] = ACTIONS(2739),
    [anon_sym__Atomic] = ACTIONS(2739),
    [anon_sym__Noreturn] = ACTIONS(2739),
    [anon_sym_noreturn] = ACTIONS(2739),
    [anon_sym_mutable] = ACTIONS(2739),
    [anon_sym_constinit] = ACTIONS(2739),
    [anon_sym_consteval] = ACTIONS(2739),
    [sym_primitive_type] = ACTIONS(2739),
    [anon_sym_enum] = ACTIONS(2739),
    [anon_sym_class] = ACTIONS(2739),
    [anon_sym_struct] = ACTIONS(2739),
    [anon_sym_union] = ACTIONS(2739),
    [anon_sym_if] = ACTIONS(2739),
    [anon_sym_switch] = ACTIONS(2739),
    [anon_sym_case] = ACTIONS(2739),
    [anon_sym_default] = ACTIONS(2739),
    [anon_sym_while] = ACTIONS(2739),
    [anon_sym_do] = ACTIONS(2739),
    [anon_sym_for] = ACTIONS(2739),
    [anon_sym_return] = ACTIONS(2739),
    [anon_sym_break] = ACTIONS(2739),
    [anon_sym_continue] = ACTIONS(2739),
    [anon_sym_goto] = ACTIONS(2739),
    [anon_sym___try] = ACTIONS(2739),
    [anon_sym___leave] = ACTIONS(2739),
    [anon_sym_not] = ACTIONS(2739),
    [anon_sym_compl] = ACTIONS(2739),
    [anon_sym_DASH_DASH] = ACTIONS(2741),
    [anon_sym_PLUS_PLUS] = ACTIONS(2741),
    [anon_sym_sizeof] = ACTIONS(2739),
    [anon_sym___alignof__] = ACTIONS(2739),
    [anon_sym___alignof] = ACTIONS(2739),
    [anon_sym__alignof] = ACTIONS(2739),
    [anon_sym_alignof] = ACTIONS(2739),
    [anon_sym__Alignof] = ACTIONS(2739),
    [anon_sym_offsetof] = ACTIONS(2739),
    [anon_sym__Generic] = ACTIONS(2739),
    [anon_sym_asm] = ACTIONS(2739),
    [anon_sym___asm__] = ACTIONS(2739),
    [sym_number_literal] = ACTIONS(2741),
    [anon_sym_L_SQUOTE] = ACTIONS(2741),
    [anon_sym_u_SQUOTE] = ACTIONS(2741),
    [anon_sym_U_SQUOTE] = ACTIONS(2741),
    [anon_sym_u8_SQUOTE] = ACTIONS(2741),
    [anon_sym_SQUOTE] = ACTIONS(2741),
    [anon_sym_L_DQUOTE] = ACTIONS(2741),
    [anon_sym_u_DQUOTE] = ACTIONS(2741),
    [anon_sym_U_DQUOTE] = ACTIONS(2741),
    [anon_sym_u8_DQUOTE] = ACTIONS(2741),
    [anon_sym_DQUOTE] = ACTIONS(2741),
    [sym_true] = ACTIONS(2739),
    [sym_false] = ACTIONS(2739),
    [anon_sym_NULL] = ACTIONS(2739),
    [anon_sym_nullptr] = ACTIONS(2739),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2739),
    [anon_sym_decltype] = ACTIONS(2739),
    [anon_sym_virtual] = ACTIONS(2739),
    [anon_sym_alignas] = ACTIONS(2739),
    [anon_sym_explicit] = ACTIONS(2739),
    [anon_sym_typename] = ACTIONS(2739),
    [anon_sym_template] = ACTIONS(2739),
    [anon_sym_operator] = ACTIONS(2739),
    [anon_sym_try] = ACTIONS(2739),
    [anon_sym_delete] = ACTIONS(2739),
    [anon_sym_throw] = ACTIONS(2739),
    [anon_sym_namespace] = ACTIONS(2739),
    [anon_sym_using] = ACTIONS(2739),
    [anon_sym_static_assert] = ACTIONS(2739),
    [anon_sym_concept] = ACTIONS(2739),
    [anon_sym_co_return] = ACTIONS(2739),
    [anon_sym_co_yield] = ACTIONS(2739),
    [anon_sym_R_DQUOTE] = ACTIONS(2741),
    [anon_sym_LR_DQUOTE] = ACTIONS(2741),
    [anon_sym_uR_DQUOTE] = ACTIONS(2741),
    [anon_sym_UR_DQUOTE] = ACTIONS(2741),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2741),
    [anon_sym_co_await] = ACTIONS(2739),
    [anon_sym_new] = ACTIONS(2739),
    [anon_sym_requires] = ACTIONS(2739),
    [sym_this] = ACTIONS(2739),
    [anon_sym_discard] = ACTIONS(2739),
    [anon_sym_precise] = ACTIONS(2739),
    [anon_sym_shared] = ACTIONS(2739),
    [anon_sym_groupshared] = ACTIONS(2739),
    [anon_sym_uniform] = ACTIONS(2739),
    [anon_sym_row_major] = ACTIONS(2739),
    [anon_sym_column_major] = ACTIONS(2739),
    [anon_sym_globallycoherent] = ACTIONS(2739),
    [anon_sym_centroid] = ACTIONS(2739),
    [anon_sym_noperspective] = ACTIONS(2739),
    [anon_sym_nointerpolation] = ACTIONS(2739),
    [anon_sym_sample] = ACTIONS(2739),
    [anon_sym_linear] = ACTIONS(2739),
    [anon_sym_snorm] = ACTIONS(2739),
    [anon_sym_unorm] = ACTIONS(2739),
    [anon_sym_point] = ACTIONS(2739),
    [anon_sym_line] = ACTIONS(2739),
    [anon_sym_triangleadj] = ACTIONS(2739),
    [anon_sym_lineadj] = ACTIONS(2739),
    [anon_sym_triangle] = ACTIONS(2739),
    [anon_sym_cbuffer] = ACTIONS(2739),
  },
  [404] = {
    [sym_identifier] = ACTIONS(2743),
    [aux_sym_preproc_include_token1] = ACTIONS(2743),
    [aux_sym_preproc_def_token1] = ACTIONS(2743),
    [aux_sym_preproc_if_token1] = ACTIONS(2743),
    [aux_sym_preproc_if_token2] = ACTIONS(2743),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2743),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2743),
    [aux_sym_preproc_else_token1] = ACTIONS(2743),
    [aux_sym_preproc_elif_token1] = ACTIONS(2743),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2743),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2743),
    [sym_preproc_directive] = ACTIONS(2743),
    [anon_sym_LPAREN2] = ACTIONS(2745),
    [anon_sym_BANG] = ACTIONS(2745),
    [anon_sym_TILDE] = ACTIONS(2745),
    [anon_sym_DASH] = ACTIONS(2743),
    [anon_sym_PLUS] = ACTIONS(2743),
    [anon_sym_STAR] = ACTIONS(2745),
    [anon_sym_AMP_AMP] = ACTIONS(2745),
    [anon_sym_AMP] = ACTIONS(2743),
    [anon_sym_SEMI] = ACTIONS(2745),
    [anon_sym___extension__] = ACTIONS(2743),
    [anon_sym_typedef] = ACTIONS(2743),
    [anon_sym_in] = ACTIONS(2743),
    [anon_sym_out] = ACTIONS(2743),
    [anon_sym_inout] = ACTIONS(2743),
    [anon_sym_extern] = ACTIONS(2743),
    [anon_sym___attribute__] = ACTIONS(2743),
    [anon_sym_COLON_COLON] = ACTIONS(2745),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2745),
    [anon_sym___declspec] = ACTIONS(2743),
    [anon_sym___based] = ACTIONS(2743),
    [anon_sym___cdecl] = ACTIONS(2743),
    [anon_sym___clrcall] = ACTIONS(2743),
    [anon_sym___stdcall] = ACTIONS(2743),
    [anon_sym___fastcall] = ACTIONS(2743),
    [anon_sym___thiscall] = ACTIONS(2743),
    [anon_sym___vectorcall] = ACTIONS(2743),
    [anon_sym_LBRACE] = ACTIONS(2745),
    [anon_sym_signed] = ACTIONS(2743),
    [anon_sym_unsigned] = ACTIONS(2743),
    [anon_sym_long] = ACTIONS(2743),
    [anon_sym_short] = ACTIONS(2743),
    [anon_sym_LBRACK] = ACTIONS(2743),
    [anon_sym_static] = ACTIONS(2743),
    [anon_sym_register] = ACTIONS(2743),
    [anon_sym_inline] = ACTIONS(2743),
    [anon_sym___inline] = ACTIONS(2743),
    [anon_sym___inline__] = ACTIONS(2743),
    [anon_sym___forceinline] = ACTIONS(2743),
    [anon_sym_thread_local] = ACTIONS(2743),
    [anon_sym___thread] = ACTIONS(2743),
    [anon_sym_const] = ACTIONS(2743),
    [anon_sym_constexpr] = ACTIONS(2743),
    [anon_sym_volatile] = ACTIONS(2743),
    [anon_sym_restrict] = ACTIONS(2743),
    [anon_sym___restrict__] = ACTIONS(2743),
    [anon_sym__Atomic] = ACTIONS(2743),
    [anon_sym__Noreturn] = ACTIONS(2743),
    [anon_sym_noreturn] = ACTIONS(2743),
    [anon_sym_mutable] = ACTIONS(2743),
    [anon_sym_constinit] = ACTIONS(2743),
    [anon_sym_consteval] = ACTIONS(2743),
    [sym_primitive_type] = ACTIONS(2743),
    [anon_sym_enum] = ACTIONS(2743),
    [anon_sym_class] = ACTIONS(2743),
    [anon_sym_struct] = ACTIONS(2743),
    [anon_sym_union] = ACTIONS(2743),
    [anon_sym_if] = ACTIONS(2743),
    [anon_sym_switch] = ACTIONS(2743),
    [anon_sym_case] = ACTIONS(2743),
    [anon_sym_default] = ACTIONS(2743),
    [anon_sym_while] = ACTIONS(2743),
    [anon_sym_do] = ACTIONS(2743),
    [anon_sym_for] = ACTIONS(2743),
    [anon_sym_return] = ACTIONS(2743),
    [anon_sym_break] = ACTIONS(2743),
    [anon_sym_continue] = ACTIONS(2743),
    [anon_sym_goto] = ACTIONS(2743),
    [anon_sym___try] = ACTIONS(2743),
    [anon_sym___leave] = ACTIONS(2743),
    [anon_sym_not] = ACTIONS(2743),
    [anon_sym_compl] = ACTIONS(2743),
    [anon_sym_DASH_DASH] = ACTIONS(2745),
    [anon_sym_PLUS_PLUS] = ACTIONS(2745),
    [anon_sym_sizeof] = ACTIONS(2743),
    [anon_sym___alignof__] = ACTIONS(2743),
    [anon_sym___alignof] = ACTIONS(2743),
    [anon_sym__alignof] = ACTIONS(2743),
    [anon_sym_alignof] = ACTIONS(2743),
    [anon_sym__Alignof] = ACTIONS(2743),
    [anon_sym_offsetof] = ACTIONS(2743),
    [anon_sym__Generic] = ACTIONS(2743),
    [anon_sym_asm] = ACTIONS(2743),
    [anon_sym___asm__] = ACTIONS(2743),
    [sym_number_literal] = ACTIONS(2745),
    [anon_sym_L_SQUOTE] = ACTIONS(2745),
    [anon_sym_u_SQUOTE] = ACTIONS(2745),
    [anon_sym_U_SQUOTE] = ACTIONS(2745),
    [anon_sym_u8_SQUOTE] = ACTIONS(2745),
    [anon_sym_SQUOTE] = ACTIONS(2745),
    [anon_sym_L_DQUOTE] = ACTIONS(2745),
    [anon_sym_u_DQUOTE] = ACTIONS(2745),
    [anon_sym_U_DQUOTE] = ACTIONS(2745),
    [anon_sym_u8_DQUOTE] = ACTIONS(2745),
    [anon_sym_DQUOTE] = ACTIONS(2745),
    [sym_true] = ACTIONS(2743),
    [sym_false] = ACTIONS(2743),
    [anon_sym_NULL] = ACTIONS(2743),
    [anon_sym_nullptr] = ACTIONS(2743),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2743),
    [anon_sym_decltype] = ACTIONS(2743),
    [anon_sym_virtual] = ACTIONS(2743),
    [anon_sym_alignas] = ACTIONS(2743),
    [anon_sym_explicit] = ACTIONS(2743),
    [anon_sym_typename] = ACTIONS(2743),
    [anon_sym_template] = ACTIONS(2743),
    [anon_sym_operator] = ACTIONS(2743),
    [anon_sym_try] = ACTIONS(2743),
    [anon_sym_delete] = ACTIONS(2743),
    [anon_sym_throw] = ACTIONS(2743),
    [anon_sym_namespace] = ACTIONS(2743),
    [anon_sym_using] = ACTIONS(2743),
    [anon_sym_static_assert] = ACTIONS(2743),
    [anon_sym_concept] = ACTIONS(2743),
    [anon_sym_co_return] = ACTIONS(2743),
    [anon_sym_co_yield] = ACTIONS(2743),
    [anon_sym_R_DQUOTE] = ACTIONS(2745),
    [anon_sym_LR_DQUOTE] = ACTIONS(2745),
    [anon_sym_uR_DQUOTE] = ACTIONS(2745),
    [anon_sym_UR_DQUOTE] = ACTIONS(2745),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2745),
    [anon_sym_co_await] = ACTIONS(2743),
    [anon_sym_new] = ACTIONS(2743),
    [anon_sym_requires] = ACTIONS(2743),
    [sym_this] = ACTIONS(2743),
    [anon_sym_discard] = ACTIONS(2743),
    [anon_sym_precise] = ACTIONS(2743),
    [anon_sym_shared] = ACTIONS(2743),
    [anon_sym_groupshared] = ACTIONS(2743),
    [anon_sym_uniform] = ACTIONS(2743),
    [anon_sym_row_major] = ACTIONS(2743),
    [anon_sym_column_major] = ACTIONS(2743),
    [anon_sym_globallycoherent] = ACTIONS(2743),
    [anon_sym_centroid] = ACTIONS(2743),
    [anon_sym_noperspective] = ACTIONS(2743),
    [anon_sym_nointerpolation] = ACTIONS(2743),
    [anon_sym_sample] = ACTIONS(2743),
    [anon_sym_linear] = ACTIONS(2743),
    [anon_sym_snorm] = ACTIONS(2743),
    [anon_sym_unorm] = ACTIONS(2743),
    [anon_sym_point] = ACTIONS(2743),
    [anon_sym_line] = ACTIONS(2743),
    [anon_sym_triangleadj] = ACTIONS(2743),
    [anon_sym_lineadj] = ACTIONS(2743),
    [anon_sym_triangle] = ACTIONS(2743),
    [anon_sym_cbuffer] = ACTIONS(2743),
  },
  [405] = {
    [sym_identifier] = ACTIONS(2747),
    [aux_sym_preproc_include_token1] = ACTIONS(2747),
    [aux_sym_preproc_def_token1] = ACTIONS(2747),
    [aux_sym_preproc_if_token1] = ACTIONS(2747),
    [aux_sym_preproc_if_token2] = ACTIONS(2747),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2747),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2747),
    [aux_sym_preproc_else_token1] = ACTIONS(2747),
    [aux_sym_preproc_elif_token1] = ACTIONS(2747),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2747),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2747),
    [sym_preproc_directive] = ACTIONS(2747),
    [anon_sym_LPAREN2] = ACTIONS(2749),
    [anon_sym_BANG] = ACTIONS(2749),
    [anon_sym_TILDE] = ACTIONS(2749),
    [anon_sym_DASH] = ACTIONS(2747),
    [anon_sym_PLUS] = ACTIONS(2747),
    [anon_sym_STAR] = ACTIONS(2749),
    [anon_sym_AMP_AMP] = ACTIONS(2749),
    [anon_sym_AMP] = ACTIONS(2747),
    [anon_sym_SEMI] = ACTIONS(2749),
    [anon_sym___extension__] = ACTIONS(2747),
    [anon_sym_typedef] = ACTIONS(2747),
    [anon_sym_in] = ACTIONS(2747),
    [anon_sym_out] = ACTIONS(2747),
    [anon_sym_inout] = ACTIONS(2747),
    [anon_sym_extern] = ACTIONS(2747),
    [anon_sym___attribute__] = ACTIONS(2747),
    [anon_sym_COLON_COLON] = ACTIONS(2749),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2749),
    [anon_sym___declspec] = ACTIONS(2747),
    [anon_sym___based] = ACTIONS(2747),
    [anon_sym___cdecl] = ACTIONS(2747),
    [anon_sym___clrcall] = ACTIONS(2747),
    [anon_sym___stdcall] = ACTIONS(2747),
    [anon_sym___fastcall] = ACTIONS(2747),
    [anon_sym___thiscall] = ACTIONS(2747),
    [anon_sym___vectorcall] = ACTIONS(2747),
    [anon_sym_LBRACE] = ACTIONS(2749),
    [anon_sym_signed] = ACTIONS(2747),
    [anon_sym_unsigned] = ACTIONS(2747),
    [anon_sym_long] = ACTIONS(2747),
    [anon_sym_short] = ACTIONS(2747),
    [anon_sym_LBRACK] = ACTIONS(2747),
    [anon_sym_static] = ACTIONS(2747),
    [anon_sym_register] = ACTIONS(2747),
    [anon_sym_inline] = ACTIONS(2747),
    [anon_sym___inline] = ACTIONS(2747),
    [anon_sym___inline__] = ACTIONS(2747),
    [anon_sym___forceinline] = ACTIONS(2747),
    [anon_sym_thread_local] = ACTIONS(2747),
    [anon_sym___thread] = ACTIONS(2747),
    [anon_sym_const] = ACTIONS(2747),
    [anon_sym_constexpr] = ACTIONS(2747),
    [anon_sym_volatile] = ACTIONS(2747),
    [anon_sym_restrict] = ACTIONS(2747),
    [anon_sym___restrict__] = ACTIONS(2747),
    [anon_sym__Atomic] = ACTIONS(2747),
    [anon_sym__Noreturn] = ACTIONS(2747),
    [anon_sym_noreturn] = ACTIONS(2747),
    [anon_sym_mutable] = ACTIONS(2747),
    [anon_sym_constinit] = ACTIONS(2747),
    [anon_sym_consteval] = ACTIONS(2747),
    [sym_primitive_type] = ACTIONS(2747),
    [anon_sym_enum] = ACTIONS(2747),
    [anon_sym_class] = ACTIONS(2747),
    [anon_sym_struct] = ACTIONS(2747),
    [anon_sym_union] = ACTIONS(2747),
    [anon_sym_if] = ACTIONS(2747),
    [anon_sym_switch] = ACTIONS(2747),
    [anon_sym_case] = ACTIONS(2747),
    [anon_sym_default] = ACTIONS(2747),
    [anon_sym_while] = ACTIONS(2747),
    [anon_sym_do] = ACTIONS(2747),
    [anon_sym_for] = ACTIONS(2747),
    [anon_sym_return] = ACTIONS(2747),
    [anon_sym_break] = ACTIONS(2747),
    [anon_sym_continue] = ACTIONS(2747),
    [anon_sym_goto] = ACTIONS(2747),
    [anon_sym___try] = ACTIONS(2747),
    [anon_sym___leave] = ACTIONS(2747),
    [anon_sym_not] = ACTIONS(2747),
    [anon_sym_compl] = ACTIONS(2747),
    [anon_sym_DASH_DASH] = ACTIONS(2749),
    [anon_sym_PLUS_PLUS] = ACTIONS(2749),
    [anon_sym_sizeof] = ACTIONS(2747),
    [anon_sym___alignof__] = ACTIONS(2747),
    [anon_sym___alignof] = ACTIONS(2747),
    [anon_sym__alignof] = ACTIONS(2747),
    [anon_sym_alignof] = ACTIONS(2747),
    [anon_sym__Alignof] = ACTIONS(2747),
    [anon_sym_offsetof] = ACTIONS(2747),
    [anon_sym__Generic] = ACTIONS(2747),
    [anon_sym_asm] = ACTIONS(2747),
    [anon_sym___asm__] = ACTIONS(2747),
    [sym_number_literal] = ACTIONS(2749),
    [anon_sym_L_SQUOTE] = ACTIONS(2749),
    [anon_sym_u_SQUOTE] = ACTIONS(2749),
    [anon_sym_U_SQUOTE] = ACTIONS(2749),
    [anon_sym_u8_SQUOTE] = ACTIONS(2749),
    [anon_sym_SQUOTE] = ACTIONS(2749),
    [anon_sym_L_DQUOTE] = ACTIONS(2749),
    [anon_sym_u_DQUOTE] = ACTIONS(2749),
    [anon_sym_U_DQUOTE] = ACTIONS(2749),
    [anon_sym_u8_DQUOTE] = ACTIONS(2749),
    [anon_sym_DQUOTE] = ACTIONS(2749),
    [sym_true] = ACTIONS(2747),
    [sym_false] = ACTIONS(2747),
    [anon_sym_NULL] = ACTIONS(2747),
    [anon_sym_nullptr] = ACTIONS(2747),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2747),
    [anon_sym_decltype] = ACTIONS(2747),
    [anon_sym_virtual] = ACTIONS(2747),
    [anon_sym_alignas] = ACTIONS(2747),
    [anon_sym_explicit] = ACTIONS(2747),
    [anon_sym_typename] = ACTIONS(2747),
    [anon_sym_template] = ACTIONS(2747),
    [anon_sym_operator] = ACTIONS(2747),
    [anon_sym_try] = ACTIONS(2747),
    [anon_sym_delete] = ACTIONS(2747),
    [anon_sym_throw] = ACTIONS(2747),
    [anon_sym_namespace] = ACTIONS(2747),
    [anon_sym_using] = ACTIONS(2747),
    [anon_sym_static_assert] = ACTIONS(2747),
    [anon_sym_concept] = ACTIONS(2747),
    [anon_sym_co_return] = ACTIONS(2747),
    [anon_sym_co_yield] = ACTIONS(2747),
    [anon_sym_R_DQUOTE] = ACTIONS(2749),
    [anon_sym_LR_DQUOTE] = ACTIONS(2749),
    [anon_sym_uR_DQUOTE] = ACTIONS(2749),
    [anon_sym_UR_DQUOTE] = ACTIONS(2749),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2749),
    [anon_sym_co_await] = ACTIONS(2747),
    [anon_sym_new] = ACTIONS(2747),
    [anon_sym_requires] = ACTIONS(2747),
    [sym_this] = ACTIONS(2747),
    [anon_sym_discard] = ACTIONS(2747),
    [anon_sym_precise] = ACTIONS(2747),
    [anon_sym_shared] = ACTIONS(2747),
    [anon_sym_groupshared] = ACTIONS(2747),
    [anon_sym_uniform] = ACTIONS(2747),
    [anon_sym_row_major] = ACTIONS(2747),
    [anon_sym_column_major] = ACTIONS(2747),
    [anon_sym_globallycoherent] = ACTIONS(2747),
    [anon_sym_centroid] = ACTIONS(2747),
    [anon_sym_noperspective] = ACTIONS(2747),
    [anon_sym_nointerpolation] = ACTIONS(2747),
    [anon_sym_sample] = ACTIONS(2747),
    [anon_sym_linear] = ACTIONS(2747),
    [anon_sym_snorm] = ACTIONS(2747),
    [anon_sym_unorm] = ACTIONS(2747),
    [anon_sym_point] = ACTIONS(2747),
    [anon_sym_line] = ACTIONS(2747),
    [anon_sym_triangleadj] = ACTIONS(2747),
    [anon_sym_lineadj] = ACTIONS(2747),
    [anon_sym_triangle] = ACTIONS(2747),
    [anon_sym_cbuffer] = ACTIONS(2747),
  },
  [406] = {
    [sym_identifier] = ACTIONS(2751),
    [aux_sym_preproc_include_token1] = ACTIONS(2751),
    [aux_sym_preproc_def_token1] = ACTIONS(2751),
    [aux_sym_preproc_if_token1] = ACTIONS(2751),
    [aux_sym_preproc_if_token2] = ACTIONS(2751),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2751),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2751),
    [aux_sym_preproc_else_token1] = ACTIONS(2751),
    [aux_sym_preproc_elif_token1] = ACTIONS(2751),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2751),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2751),
    [sym_preproc_directive] = ACTIONS(2751),
    [anon_sym_LPAREN2] = ACTIONS(2753),
    [anon_sym_BANG] = ACTIONS(2753),
    [anon_sym_TILDE] = ACTIONS(2753),
    [anon_sym_DASH] = ACTIONS(2751),
    [anon_sym_PLUS] = ACTIONS(2751),
    [anon_sym_STAR] = ACTIONS(2753),
    [anon_sym_AMP_AMP] = ACTIONS(2753),
    [anon_sym_AMP] = ACTIONS(2751),
    [anon_sym_SEMI] = ACTIONS(2753),
    [anon_sym___extension__] = ACTIONS(2751),
    [anon_sym_typedef] = ACTIONS(2751),
    [anon_sym_in] = ACTIONS(2751),
    [anon_sym_out] = ACTIONS(2751),
    [anon_sym_inout] = ACTIONS(2751),
    [anon_sym_extern] = ACTIONS(2751),
    [anon_sym___attribute__] = ACTIONS(2751),
    [anon_sym_COLON_COLON] = ACTIONS(2753),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2753),
    [anon_sym___declspec] = ACTIONS(2751),
    [anon_sym___based] = ACTIONS(2751),
    [anon_sym___cdecl] = ACTIONS(2751),
    [anon_sym___clrcall] = ACTIONS(2751),
    [anon_sym___stdcall] = ACTIONS(2751),
    [anon_sym___fastcall] = ACTIONS(2751),
    [anon_sym___thiscall] = ACTIONS(2751),
    [anon_sym___vectorcall] = ACTIONS(2751),
    [anon_sym_LBRACE] = ACTIONS(2753),
    [anon_sym_signed] = ACTIONS(2751),
    [anon_sym_unsigned] = ACTIONS(2751),
    [anon_sym_long] = ACTIONS(2751),
    [anon_sym_short] = ACTIONS(2751),
    [anon_sym_LBRACK] = ACTIONS(2751),
    [anon_sym_static] = ACTIONS(2751),
    [anon_sym_register] = ACTIONS(2751),
    [anon_sym_inline] = ACTIONS(2751),
    [anon_sym___inline] = ACTIONS(2751),
    [anon_sym___inline__] = ACTIONS(2751),
    [anon_sym___forceinline] = ACTIONS(2751),
    [anon_sym_thread_local] = ACTIONS(2751),
    [anon_sym___thread] = ACTIONS(2751),
    [anon_sym_const] = ACTIONS(2751),
    [anon_sym_constexpr] = ACTIONS(2751),
    [anon_sym_volatile] = ACTIONS(2751),
    [anon_sym_restrict] = ACTIONS(2751),
    [anon_sym___restrict__] = ACTIONS(2751),
    [anon_sym__Atomic] = ACTIONS(2751),
    [anon_sym__Noreturn] = ACTIONS(2751),
    [anon_sym_noreturn] = ACTIONS(2751),
    [anon_sym_mutable] = ACTIONS(2751),
    [anon_sym_constinit] = ACTIONS(2751),
    [anon_sym_consteval] = ACTIONS(2751),
    [sym_primitive_type] = ACTIONS(2751),
    [anon_sym_enum] = ACTIONS(2751),
    [anon_sym_class] = ACTIONS(2751),
    [anon_sym_struct] = ACTIONS(2751),
    [anon_sym_union] = ACTIONS(2751),
    [anon_sym_if] = ACTIONS(2751),
    [anon_sym_switch] = ACTIONS(2751),
    [anon_sym_case] = ACTIONS(2751),
    [anon_sym_default] = ACTIONS(2751),
    [anon_sym_while] = ACTIONS(2751),
    [anon_sym_do] = ACTIONS(2751),
    [anon_sym_for] = ACTIONS(2751),
    [anon_sym_return] = ACTIONS(2751),
    [anon_sym_break] = ACTIONS(2751),
    [anon_sym_continue] = ACTIONS(2751),
    [anon_sym_goto] = ACTIONS(2751),
    [anon_sym___try] = ACTIONS(2751),
    [anon_sym___leave] = ACTIONS(2751),
    [anon_sym_not] = ACTIONS(2751),
    [anon_sym_compl] = ACTIONS(2751),
    [anon_sym_DASH_DASH] = ACTIONS(2753),
    [anon_sym_PLUS_PLUS] = ACTIONS(2753),
    [anon_sym_sizeof] = ACTIONS(2751),
    [anon_sym___alignof__] = ACTIONS(2751),
    [anon_sym___alignof] = ACTIONS(2751),
    [anon_sym__alignof] = ACTIONS(2751),
    [anon_sym_alignof] = ACTIONS(2751),
    [anon_sym__Alignof] = ACTIONS(2751),
    [anon_sym_offsetof] = ACTIONS(2751),
    [anon_sym__Generic] = ACTIONS(2751),
    [anon_sym_asm] = ACTIONS(2751),
    [anon_sym___asm__] = ACTIONS(2751),
    [sym_number_literal] = ACTIONS(2753),
    [anon_sym_L_SQUOTE] = ACTIONS(2753),
    [anon_sym_u_SQUOTE] = ACTIONS(2753),
    [anon_sym_U_SQUOTE] = ACTIONS(2753),
    [anon_sym_u8_SQUOTE] = ACTIONS(2753),
    [anon_sym_SQUOTE] = ACTIONS(2753),
    [anon_sym_L_DQUOTE] = ACTIONS(2753),
    [anon_sym_u_DQUOTE] = ACTIONS(2753),
    [anon_sym_U_DQUOTE] = ACTIONS(2753),
    [anon_sym_u8_DQUOTE] = ACTIONS(2753),
    [anon_sym_DQUOTE] = ACTIONS(2753),
    [sym_true] = ACTIONS(2751),
    [sym_false] = ACTIONS(2751),
    [anon_sym_NULL] = ACTIONS(2751),
    [anon_sym_nullptr] = ACTIONS(2751),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2751),
    [anon_sym_decltype] = ACTIONS(2751),
    [anon_sym_virtual] = ACTIONS(2751),
    [anon_sym_alignas] = ACTIONS(2751),
    [anon_sym_explicit] = ACTIONS(2751),
    [anon_sym_typename] = ACTIONS(2751),
    [anon_sym_template] = ACTIONS(2751),
    [anon_sym_operator] = ACTIONS(2751),
    [anon_sym_try] = ACTIONS(2751),
    [anon_sym_delete] = ACTIONS(2751),
    [anon_sym_throw] = ACTIONS(2751),
    [anon_sym_namespace] = ACTIONS(2751),
    [anon_sym_using] = ACTIONS(2751),
    [anon_sym_static_assert] = ACTIONS(2751),
    [anon_sym_concept] = ACTIONS(2751),
    [anon_sym_co_return] = ACTIONS(2751),
    [anon_sym_co_yield] = ACTIONS(2751),
    [anon_sym_R_DQUOTE] = ACTIONS(2753),
    [anon_sym_LR_DQUOTE] = ACTIONS(2753),
    [anon_sym_uR_DQUOTE] = ACTIONS(2753),
    [anon_sym_UR_DQUOTE] = ACTIONS(2753),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2753),
    [anon_sym_co_await] = ACTIONS(2751),
    [anon_sym_new] = ACTIONS(2751),
    [anon_sym_requires] = ACTIONS(2751),
    [sym_this] = ACTIONS(2751),
    [anon_sym_discard] = ACTIONS(2751),
    [anon_sym_precise] = ACTIONS(2751),
    [anon_sym_shared] = ACTIONS(2751),
    [anon_sym_groupshared] = ACTIONS(2751),
    [anon_sym_uniform] = ACTIONS(2751),
    [anon_sym_row_major] = ACTIONS(2751),
    [anon_sym_column_major] = ACTIONS(2751),
    [anon_sym_globallycoherent] = ACTIONS(2751),
    [anon_sym_centroid] = ACTIONS(2751),
    [anon_sym_noperspective] = ACTIONS(2751),
    [anon_sym_nointerpolation] = ACTIONS(2751),
    [anon_sym_sample] = ACTIONS(2751),
    [anon_sym_linear] = ACTIONS(2751),
    [anon_sym_snorm] = ACTIONS(2751),
    [anon_sym_unorm] = ACTIONS(2751),
    [anon_sym_point] = ACTIONS(2751),
    [anon_sym_line] = ACTIONS(2751),
    [anon_sym_triangleadj] = ACTIONS(2751),
    [anon_sym_lineadj] = ACTIONS(2751),
    [anon_sym_triangle] = ACTIONS(2751),
    [anon_sym_cbuffer] = ACTIONS(2751),
  },
  [407] = {
    [sym_identifier] = ACTIONS(2755),
    [aux_sym_preproc_include_token1] = ACTIONS(2755),
    [aux_sym_preproc_def_token1] = ACTIONS(2755),
    [aux_sym_preproc_if_token1] = ACTIONS(2755),
    [aux_sym_preproc_if_token2] = ACTIONS(2755),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2755),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2755),
    [aux_sym_preproc_else_token1] = ACTIONS(2755),
    [aux_sym_preproc_elif_token1] = ACTIONS(2755),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2755),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2755),
    [sym_preproc_directive] = ACTIONS(2755),
    [anon_sym_LPAREN2] = ACTIONS(2757),
    [anon_sym_BANG] = ACTIONS(2757),
    [anon_sym_TILDE] = ACTIONS(2757),
    [anon_sym_DASH] = ACTIONS(2755),
    [anon_sym_PLUS] = ACTIONS(2755),
    [anon_sym_STAR] = ACTIONS(2757),
    [anon_sym_AMP_AMP] = ACTIONS(2757),
    [anon_sym_AMP] = ACTIONS(2755),
    [anon_sym_SEMI] = ACTIONS(2757),
    [anon_sym___extension__] = ACTIONS(2755),
    [anon_sym_typedef] = ACTIONS(2755),
    [anon_sym_in] = ACTIONS(2755),
    [anon_sym_out] = ACTIONS(2755),
    [anon_sym_inout] = ACTIONS(2755),
    [anon_sym_extern] = ACTIONS(2755),
    [anon_sym___attribute__] = ACTIONS(2755),
    [anon_sym_COLON_COLON] = ACTIONS(2757),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2757),
    [anon_sym___declspec] = ACTIONS(2755),
    [anon_sym___based] = ACTIONS(2755),
    [anon_sym___cdecl] = ACTIONS(2755),
    [anon_sym___clrcall] = ACTIONS(2755),
    [anon_sym___stdcall] = ACTIONS(2755),
    [anon_sym___fastcall] = ACTIONS(2755),
    [anon_sym___thiscall] = ACTIONS(2755),
    [anon_sym___vectorcall] = ACTIONS(2755),
    [anon_sym_LBRACE] = ACTIONS(2757),
    [anon_sym_signed] = ACTIONS(2755),
    [anon_sym_unsigned] = ACTIONS(2755),
    [anon_sym_long] = ACTIONS(2755),
    [anon_sym_short] = ACTIONS(2755),
    [anon_sym_LBRACK] = ACTIONS(2755),
    [anon_sym_static] = ACTIONS(2755),
    [anon_sym_register] = ACTIONS(2755),
    [anon_sym_inline] = ACTIONS(2755),
    [anon_sym___inline] = ACTIONS(2755),
    [anon_sym___inline__] = ACTIONS(2755),
    [anon_sym___forceinline] = ACTIONS(2755),
    [anon_sym_thread_local] = ACTIONS(2755),
    [anon_sym___thread] = ACTIONS(2755),
    [anon_sym_const] = ACTIONS(2755),
    [anon_sym_constexpr] = ACTIONS(2755),
    [anon_sym_volatile] = ACTIONS(2755),
    [anon_sym_restrict] = ACTIONS(2755),
    [anon_sym___restrict__] = ACTIONS(2755),
    [anon_sym__Atomic] = ACTIONS(2755),
    [anon_sym__Noreturn] = ACTIONS(2755),
    [anon_sym_noreturn] = ACTIONS(2755),
    [anon_sym_mutable] = ACTIONS(2755),
    [anon_sym_constinit] = ACTIONS(2755),
    [anon_sym_consteval] = ACTIONS(2755),
    [sym_primitive_type] = ACTIONS(2755),
    [anon_sym_enum] = ACTIONS(2755),
    [anon_sym_class] = ACTIONS(2755),
    [anon_sym_struct] = ACTIONS(2755),
    [anon_sym_union] = ACTIONS(2755),
    [anon_sym_if] = ACTIONS(2755),
    [anon_sym_switch] = ACTIONS(2755),
    [anon_sym_case] = ACTIONS(2755),
    [anon_sym_default] = ACTIONS(2755),
    [anon_sym_while] = ACTIONS(2755),
    [anon_sym_do] = ACTIONS(2755),
    [anon_sym_for] = ACTIONS(2755),
    [anon_sym_return] = ACTIONS(2755),
    [anon_sym_break] = ACTIONS(2755),
    [anon_sym_continue] = ACTIONS(2755),
    [anon_sym_goto] = ACTIONS(2755),
    [anon_sym___try] = ACTIONS(2755),
    [anon_sym___leave] = ACTIONS(2755),
    [anon_sym_not] = ACTIONS(2755),
    [anon_sym_compl] = ACTIONS(2755),
    [anon_sym_DASH_DASH] = ACTIONS(2757),
    [anon_sym_PLUS_PLUS] = ACTIONS(2757),
    [anon_sym_sizeof] = ACTIONS(2755),
    [anon_sym___alignof__] = ACTIONS(2755),
    [anon_sym___alignof] = ACTIONS(2755),
    [anon_sym__alignof] = ACTIONS(2755),
    [anon_sym_alignof] = ACTIONS(2755),
    [anon_sym__Alignof] = ACTIONS(2755),
    [anon_sym_offsetof] = ACTIONS(2755),
    [anon_sym__Generic] = ACTIONS(2755),
    [anon_sym_asm] = ACTIONS(2755),
    [anon_sym___asm__] = ACTIONS(2755),
    [sym_number_literal] = ACTIONS(2757),
    [anon_sym_L_SQUOTE] = ACTIONS(2757),
    [anon_sym_u_SQUOTE] = ACTIONS(2757),
    [anon_sym_U_SQUOTE] = ACTIONS(2757),
    [anon_sym_u8_SQUOTE] = ACTIONS(2757),
    [anon_sym_SQUOTE] = ACTIONS(2757),
    [anon_sym_L_DQUOTE] = ACTIONS(2757),
    [anon_sym_u_DQUOTE] = ACTIONS(2757),
    [anon_sym_U_DQUOTE] = ACTIONS(2757),
    [anon_sym_u8_DQUOTE] = ACTIONS(2757),
    [anon_sym_DQUOTE] = ACTIONS(2757),
    [sym_true] = ACTIONS(2755),
    [sym_false] = ACTIONS(2755),
    [anon_sym_NULL] = ACTIONS(2755),
    [anon_sym_nullptr] = ACTIONS(2755),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2755),
    [anon_sym_decltype] = ACTIONS(2755),
    [anon_sym_virtual] = ACTIONS(2755),
    [anon_sym_alignas] = ACTIONS(2755),
    [anon_sym_explicit] = ACTIONS(2755),
    [anon_sym_typename] = ACTIONS(2755),
    [anon_sym_template] = ACTIONS(2755),
    [anon_sym_operator] = ACTIONS(2755),
    [anon_sym_try] = ACTIONS(2755),
    [anon_sym_delete] = ACTIONS(2755),
    [anon_sym_throw] = ACTIONS(2755),
    [anon_sym_namespace] = ACTIONS(2755),
    [anon_sym_using] = ACTIONS(2755),
    [anon_sym_static_assert] = ACTIONS(2755),
    [anon_sym_concept] = ACTIONS(2755),
    [anon_sym_co_return] = ACTIONS(2755),
    [anon_sym_co_yield] = ACTIONS(2755),
    [anon_sym_R_DQUOTE] = ACTIONS(2757),
    [anon_sym_LR_DQUOTE] = ACTIONS(2757),
    [anon_sym_uR_DQUOTE] = ACTIONS(2757),
    [anon_sym_UR_DQUOTE] = ACTIONS(2757),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2757),
    [anon_sym_co_await] = ACTIONS(2755),
    [anon_sym_new] = ACTIONS(2755),
    [anon_sym_requires] = ACTIONS(2755),
    [sym_this] = ACTIONS(2755),
    [anon_sym_discard] = ACTIONS(2755),
    [anon_sym_precise] = ACTIONS(2755),
    [anon_sym_shared] = ACTIONS(2755),
    [anon_sym_groupshared] = ACTIONS(2755),
    [anon_sym_uniform] = ACTIONS(2755),
    [anon_sym_row_major] = ACTIONS(2755),
    [anon_sym_column_major] = ACTIONS(2755),
    [anon_sym_globallycoherent] = ACTIONS(2755),
    [anon_sym_centroid] = ACTIONS(2755),
    [anon_sym_noperspective] = ACTIONS(2755),
    [anon_sym_nointerpolation] = ACTIONS(2755),
    [anon_sym_sample] = ACTIONS(2755),
    [anon_sym_linear] = ACTIONS(2755),
    [anon_sym_snorm] = ACTIONS(2755),
    [anon_sym_unorm] = ACTIONS(2755),
    [anon_sym_point] = ACTIONS(2755),
    [anon_sym_line] = ACTIONS(2755),
    [anon_sym_triangleadj] = ACTIONS(2755),
    [anon_sym_lineadj] = ACTIONS(2755),
    [anon_sym_triangle] = ACTIONS(2755),
    [anon_sym_cbuffer] = ACTIONS(2755),
  },
  [408] = {
    [sym_identifier] = ACTIONS(2759),
    [aux_sym_preproc_include_token1] = ACTIONS(2759),
    [aux_sym_preproc_def_token1] = ACTIONS(2759),
    [aux_sym_preproc_if_token1] = ACTIONS(2759),
    [aux_sym_preproc_if_token2] = ACTIONS(2759),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2759),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2759),
    [aux_sym_preproc_else_token1] = ACTIONS(2759),
    [aux_sym_preproc_elif_token1] = ACTIONS(2759),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2759),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2759),
    [sym_preproc_directive] = ACTIONS(2759),
    [anon_sym_LPAREN2] = ACTIONS(2761),
    [anon_sym_BANG] = ACTIONS(2761),
    [anon_sym_TILDE] = ACTIONS(2761),
    [anon_sym_DASH] = ACTIONS(2759),
    [anon_sym_PLUS] = ACTIONS(2759),
    [anon_sym_STAR] = ACTIONS(2761),
    [anon_sym_AMP_AMP] = ACTIONS(2761),
    [anon_sym_AMP] = ACTIONS(2759),
    [anon_sym_SEMI] = ACTIONS(2761),
    [anon_sym___extension__] = ACTIONS(2759),
    [anon_sym_typedef] = ACTIONS(2759),
    [anon_sym_in] = ACTIONS(2759),
    [anon_sym_out] = ACTIONS(2759),
    [anon_sym_inout] = ACTIONS(2759),
    [anon_sym_extern] = ACTIONS(2759),
    [anon_sym___attribute__] = ACTIONS(2759),
    [anon_sym_COLON_COLON] = ACTIONS(2761),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2761),
    [anon_sym___declspec] = ACTIONS(2759),
    [anon_sym___based] = ACTIONS(2759),
    [anon_sym___cdecl] = ACTIONS(2759),
    [anon_sym___clrcall] = ACTIONS(2759),
    [anon_sym___stdcall] = ACTIONS(2759),
    [anon_sym___fastcall] = ACTIONS(2759),
    [anon_sym___thiscall] = ACTIONS(2759),
    [anon_sym___vectorcall] = ACTIONS(2759),
    [anon_sym_LBRACE] = ACTIONS(2761),
    [anon_sym_signed] = ACTIONS(2759),
    [anon_sym_unsigned] = ACTIONS(2759),
    [anon_sym_long] = ACTIONS(2759),
    [anon_sym_short] = ACTIONS(2759),
    [anon_sym_LBRACK] = ACTIONS(2759),
    [anon_sym_static] = ACTIONS(2759),
    [anon_sym_register] = ACTIONS(2759),
    [anon_sym_inline] = ACTIONS(2759),
    [anon_sym___inline] = ACTIONS(2759),
    [anon_sym___inline__] = ACTIONS(2759),
    [anon_sym___forceinline] = ACTIONS(2759),
    [anon_sym_thread_local] = ACTIONS(2759),
    [anon_sym___thread] = ACTIONS(2759),
    [anon_sym_const] = ACTIONS(2759),
    [anon_sym_constexpr] = ACTIONS(2759),
    [anon_sym_volatile] = ACTIONS(2759),
    [anon_sym_restrict] = ACTIONS(2759),
    [anon_sym___restrict__] = ACTIONS(2759),
    [anon_sym__Atomic] = ACTIONS(2759),
    [anon_sym__Noreturn] = ACTIONS(2759),
    [anon_sym_noreturn] = ACTIONS(2759),
    [anon_sym_mutable] = ACTIONS(2759),
    [anon_sym_constinit] = ACTIONS(2759),
    [anon_sym_consteval] = ACTIONS(2759),
    [sym_primitive_type] = ACTIONS(2759),
    [anon_sym_enum] = ACTIONS(2759),
    [anon_sym_class] = ACTIONS(2759),
    [anon_sym_struct] = ACTIONS(2759),
    [anon_sym_union] = ACTIONS(2759),
    [anon_sym_if] = ACTIONS(2759),
    [anon_sym_switch] = ACTIONS(2759),
    [anon_sym_case] = ACTIONS(2759),
    [anon_sym_default] = ACTIONS(2759),
    [anon_sym_while] = ACTIONS(2759),
    [anon_sym_do] = ACTIONS(2759),
    [anon_sym_for] = ACTIONS(2759),
    [anon_sym_return] = ACTIONS(2759),
    [anon_sym_break] = ACTIONS(2759),
    [anon_sym_continue] = ACTIONS(2759),
    [anon_sym_goto] = ACTIONS(2759),
    [anon_sym___try] = ACTIONS(2759),
    [anon_sym___leave] = ACTIONS(2759),
    [anon_sym_not] = ACTIONS(2759),
    [anon_sym_compl] = ACTIONS(2759),
    [anon_sym_DASH_DASH] = ACTIONS(2761),
    [anon_sym_PLUS_PLUS] = ACTIONS(2761),
    [anon_sym_sizeof] = ACTIONS(2759),
    [anon_sym___alignof__] = ACTIONS(2759),
    [anon_sym___alignof] = ACTIONS(2759),
    [anon_sym__alignof] = ACTIONS(2759),
    [anon_sym_alignof] = ACTIONS(2759),
    [anon_sym__Alignof] = ACTIONS(2759),
    [anon_sym_offsetof] = ACTIONS(2759),
    [anon_sym__Generic] = ACTIONS(2759),
    [anon_sym_asm] = ACTIONS(2759),
    [anon_sym___asm__] = ACTIONS(2759),
    [sym_number_literal] = ACTIONS(2761),
    [anon_sym_L_SQUOTE] = ACTIONS(2761),
    [anon_sym_u_SQUOTE] = ACTIONS(2761),
    [anon_sym_U_SQUOTE] = ACTIONS(2761),
    [anon_sym_u8_SQUOTE] = ACTIONS(2761),
    [anon_sym_SQUOTE] = ACTIONS(2761),
    [anon_sym_L_DQUOTE] = ACTIONS(2761),
    [anon_sym_u_DQUOTE] = ACTIONS(2761),
    [anon_sym_U_DQUOTE] = ACTIONS(2761),
    [anon_sym_u8_DQUOTE] = ACTIONS(2761),
    [anon_sym_DQUOTE] = ACTIONS(2761),
    [sym_true] = ACTIONS(2759),
    [sym_false] = ACTIONS(2759),
    [anon_sym_NULL] = ACTIONS(2759),
    [anon_sym_nullptr] = ACTIONS(2759),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2759),
    [anon_sym_decltype] = ACTIONS(2759),
    [anon_sym_virtual] = ACTIONS(2759),
    [anon_sym_alignas] = ACTIONS(2759),
    [anon_sym_explicit] = ACTIONS(2759),
    [anon_sym_typename] = ACTIONS(2759),
    [anon_sym_template] = ACTIONS(2759),
    [anon_sym_operator] = ACTIONS(2759),
    [anon_sym_try] = ACTIONS(2759),
    [anon_sym_delete] = ACTIONS(2759),
    [anon_sym_throw] = ACTIONS(2759),
    [anon_sym_namespace] = ACTIONS(2759),
    [anon_sym_using] = ACTIONS(2759),
    [anon_sym_static_assert] = ACTIONS(2759),
    [anon_sym_concept] = ACTIONS(2759),
    [anon_sym_co_return] = ACTIONS(2759),
    [anon_sym_co_yield] = ACTIONS(2759),
    [anon_sym_R_DQUOTE] = ACTIONS(2761),
    [anon_sym_LR_DQUOTE] = ACTIONS(2761),
    [anon_sym_uR_DQUOTE] = ACTIONS(2761),
    [anon_sym_UR_DQUOTE] = ACTIONS(2761),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2761),
    [anon_sym_co_await] = ACTIONS(2759),
    [anon_sym_new] = ACTIONS(2759),
    [anon_sym_requires] = ACTIONS(2759),
    [sym_this] = ACTIONS(2759),
    [anon_sym_discard] = ACTIONS(2759),
    [anon_sym_precise] = ACTIONS(2759),
    [anon_sym_shared] = ACTIONS(2759),
    [anon_sym_groupshared] = ACTIONS(2759),
    [anon_sym_uniform] = ACTIONS(2759),
    [anon_sym_row_major] = ACTIONS(2759),
    [anon_sym_column_major] = ACTIONS(2759),
    [anon_sym_globallycoherent] = ACTIONS(2759),
    [anon_sym_centroid] = ACTIONS(2759),
    [anon_sym_noperspective] = ACTIONS(2759),
    [anon_sym_nointerpolation] = ACTIONS(2759),
    [anon_sym_sample] = ACTIONS(2759),
    [anon_sym_linear] = ACTIONS(2759),
    [anon_sym_snorm] = ACTIONS(2759),
    [anon_sym_unorm] = ACTIONS(2759),
    [anon_sym_point] = ACTIONS(2759),
    [anon_sym_line] = ACTIONS(2759),
    [anon_sym_triangleadj] = ACTIONS(2759),
    [anon_sym_lineadj] = ACTIONS(2759),
    [anon_sym_triangle] = ACTIONS(2759),
    [anon_sym_cbuffer] = ACTIONS(2759),
  },
  [409] = {
    [sym_catch_clause] = STATE(354),
    [aux_sym_constructor_try_statement_repeat1] = STATE(354),
    [sym_identifier] = ACTIONS(2242),
    [aux_sym_preproc_include_token1] = ACTIONS(2242),
    [aux_sym_preproc_def_token1] = ACTIONS(2242),
    [aux_sym_preproc_if_token1] = ACTIONS(2242),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2242),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2242),
    [sym_preproc_directive] = ACTIONS(2242),
    [anon_sym_LPAREN2] = ACTIONS(2244),
    [anon_sym_BANG] = ACTIONS(2244),
    [anon_sym_TILDE] = ACTIONS(2244),
    [anon_sym_DASH] = ACTIONS(2242),
    [anon_sym_PLUS] = ACTIONS(2242),
    [anon_sym_STAR] = ACTIONS(2244),
    [anon_sym_AMP_AMP] = ACTIONS(2244),
    [anon_sym_AMP] = ACTIONS(2242),
    [anon_sym_SEMI] = ACTIONS(2244),
    [anon_sym___extension__] = ACTIONS(2242),
    [anon_sym_typedef] = ACTIONS(2242),
    [anon_sym_in] = ACTIONS(2242),
    [anon_sym_out] = ACTIONS(2242),
    [anon_sym_inout] = ACTIONS(2242),
    [anon_sym_extern] = ACTIONS(2242),
    [anon_sym___attribute__] = ACTIONS(2242),
    [anon_sym_COLON_COLON] = ACTIONS(2244),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2244),
    [anon_sym___declspec] = ACTIONS(2242),
    [anon_sym___based] = ACTIONS(2242),
    [anon_sym___cdecl] = ACTIONS(2242),
    [anon_sym___clrcall] = ACTIONS(2242),
    [anon_sym___stdcall] = ACTIONS(2242),
    [anon_sym___fastcall] = ACTIONS(2242),
    [anon_sym___thiscall] = ACTIONS(2242),
    [anon_sym___vectorcall] = ACTIONS(2242),
    [anon_sym_LBRACE] = ACTIONS(2244),
    [anon_sym_RBRACE] = ACTIONS(2244),
    [anon_sym_signed] = ACTIONS(2242),
    [anon_sym_unsigned] = ACTIONS(2242),
    [anon_sym_long] = ACTIONS(2242),
    [anon_sym_short] = ACTIONS(2242),
    [anon_sym_LBRACK] = ACTIONS(2242),
    [anon_sym_static] = ACTIONS(2242),
    [anon_sym_register] = ACTIONS(2242),
    [anon_sym_inline] = ACTIONS(2242),
    [anon_sym___inline] = ACTIONS(2242),
    [anon_sym___inline__] = ACTIONS(2242),
    [anon_sym___forceinline] = ACTIONS(2242),
    [anon_sym_thread_local] = ACTIONS(2242),
    [anon_sym___thread] = ACTIONS(2242),
    [anon_sym_const] = ACTIONS(2242),
    [anon_sym_constexpr] = ACTIONS(2242),
    [anon_sym_volatile] = ACTIONS(2242),
    [anon_sym_restrict] = ACTIONS(2242),
    [anon_sym___restrict__] = ACTIONS(2242),
    [anon_sym__Atomic] = ACTIONS(2242),
    [anon_sym__Noreturn] = ACTIONS(2242),
    [anon_sym_noreturn] = ACTIONS(2242),
    [anon_sym_mutable] = ACTIONS(2242),
    [anon_sym_constinit] = ACTIONS(2242),
    [anon_sym_consteval] = ACTIONS(2242),
    [sym_primitive_type] = ACTIONS(2242),
    [anon_sym_enum] = ACTIONS(2242),
    [anon_sym_class] = ACTIONS(2242),
    [anon_sym_struct] = ACTIONS(2242),
    [anon_sym_union] = ACTIONS(2242),
    [anon_sym_if] = ACTIONS(2242),
    [anon_sym_else] = ACTIONS(2242),
    [anon_sym_switch] = ACTIONS(2242),
    [anon_sym_case] = ACTIONS(2242),
    [anon_sym_default] = ACTIONS(2242),
    [anon_sym_while] = ACTIONS(2242),
    [anon_sym_do] = ACTIONS(2242),
    [anon_sym_for] = ACTIONS(2242),
    [anon_sym_return] = ACTIONS(2242),
    [anon_sym_break] = ACTIONS(2242),
    [anon_sym_continue] = ACTIONS(2242),
    [anon_sym_goto] = ACTIONS(2242),
    [anon_sym___try] = ACTIONS(2242),
    [anon_sym___leave] = ACTIONS(2242),
    [anon_sym_not] = ACTIONS(2242),
    [anon_sym_compl] = ACTIONS(2242),
    [anon_sym_DASH_DASH] = ACTIONS(2244),
    [anon_sym_PLUS_PLUS] = ACTIONS(2244),
    [anon_sym_sizeof] = ACTIONS(2242),
    [anon_sym___alignof__] = ACTIONS(2242),
    [anon_sym___alignof] = ACTIONS(2242),
    [anon_sym__alignof] = ACTIONS(2242),
    [anon_sym_alignof] = ACTIONS(2242),
    [anon_sym__Alignof] = ACTIONS(2242),
    [anon_sym_offsetof] = ACTIONS(2242),
    [anon_sym__Generic] = ACTIONS(2242),
    [anon_sym_asm] = ACTIONS(2242),
    [anon_sym___asm__] = ACTIONS(2242),
    [sym_number_literal] = ACTIONS(2244),
    [anon_sym_L_SQUOTE] = ACTIONS(2244),
    [anon_sym_u_SQUOTE] = ACTIONS(2244),
    [anon_sym_U_SQUOTE] = ACTIONS(2244),
    [anon_sym_u8_SQUOTE] = ACTIONS(2244),
    [anon_sym_SQUOTE] = ACTIONS(2244),
    [anon_sym_L_DQUOTE] = ACTIONS(2244),
    [anon_sym_u_DQUOTE] = ACTIONS(2244),
    [anon_sym_U_DQUOTE] = ACTIONS(2244),
    [anon_sym_u8_DQUOTE] = ACTIONS(2244),
    [anon_sym_DQUOTE] = ACTIONS(2244),
    [sym_true] = ACTIONS(2242),
    [sym_false] = ACTIONS(2242),
    [anon_sym_NULL] = ACTIONS(2242),
    [anon_sym_nullptr] = ACTIONS(2242),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2242),
    [anon_sym_decltype] = ACTIONS(2242),
    [anon_sym_virtual] = ACTIONS(2242),
    [anon_sym_alignas] = ACTIONS(2242),
    [anon_sym_explicit] = ACTIONS(2242),
    [anon_sym_typename] = ACTIONS(2242),
    [anon_sym_template] = ACTIONS(2242),
    [anon_sym_operator] = ACTIONS(2242),
    [anon_sym_try] = ACTIONS(2242),
    [anon_sym_delete] = ACTIONS(2242),
    [anon_sym_throw] = ACTIONS(2242),
    [anon_sym_namespace] = ACTIONS(2242),
    [anon_sym_using] = ACTIONS(2242),
    [anon_sym_static_assert] = ACTIONS(2242),
    [anon_sym_concept] = ACTIONS(2242),
    [anon_sym_co_return] = ACTIONS(2242),
    [anon_sym_co_yield] = ACTIONS(2242),
    [anon_sym_catch] = ACTIONS(2763),
    [anon_sym_R_DQUOTE] = ACTIONS(2244),
    [anon_sym_LR_DQUOTE] = ACTIONS(2244),
    [anon_sym_uR_DQUOTE] = ACTIONS(2244),
    [anon_sym_UR_DQUOTE] = ACTIONS(2244),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2244),
    [anon_sym_co_await] = ACTIONS(2242),
    [anon_sym_new] = ACTIONS(2242),
    [anon_sym_requires] = ACTIONS(2242),
    [sym_this] = ACTIONS(2242),
    [anon_sym_discard] = ACTIONS(2242),
    [anon_sym_precise] = ACTIONS(2242),
    [anon_sym_shared] = ACTIONS(2242),
    [anon_sym_groupshared] = ACTIONS(2242),
    [anon_sym_uniform] = ACTIONS(2242),
    [anon_sym_row_major] = ACTIONS(2242),
    [anon_sym_column_major] = ACTIONS(2242),
    [anon_sym_globallycoherent] = ACTIONS(2242),
    [anon_sym_centroid] = ACTIONS(2242),
    [anon_sym_noperspective] = ACTIONS(2242),
    [anon_sym_nointerpolation] = ACTIONS(2242),
    [anon_sym_sample] = ACTIONS(2242),
    [anon_sym_linear] = ACTIONS(2242),
    [anon_sym_snorm] = ACTIONS(2242),
    [anon_sym_unorm] = ACTIONS(2242),
    [anon_sym_point] = ACTIONS(2242),
    [anon_sym_line] = ACTIONS(2242),
    [anon_sym_triangleadj] = ACTIONS(2242),
    [anon_sym_lineadj] = ACTIONS(2242),
    [anon_sym_triangle] = ACTIONS(2242),
    [anon_sym_cbuffer] = ACTIONS(2242),
  },
  [410] = {
    [sym_identifier] = ACTIONS(2765),
    [aux_sym_preproc_include_token1] = ACTIONS(2765),
    [aux_sym_preproc_def_token1] = ACTIONS(2765),
    [aux_sym_preproc_if_token1] = ACTIONS(2765),
    [aux_sym_preproc_if_token2] = ACTIONS(2765),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2765),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2765),
    [aux_sym_preproc_else_token1] = ACTIONS(2765),
    [aux_sym_preproc_elif_token1] = ACTIONS(2765),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2765),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2765),
    [sym_preproc_directive] = ACTIONS(2765),
    [anon_sym_LPAREN2] = ACTIONS(2767),
    [anon_sym_BANG] = ACTIONS(2767),
    [anon_sym_TILDE] = ACTIONS(2767),
    [anon_sym_DASH] = ACTIONS(2765),
    [anon_sym_PLUS] = ACTIONS(2765),
    [anon_sym_STAR] = ACTIONS(2767),
    [anon_sym_AMP_AMP] = ACTIONS(2767),
    [anon_sym_AMP] = ACTIONS(2765),
    [anon_sym_SEMI] = ACTIONS(2767),
    [anon_sym___extension__] = ACTIONS(2765),
    [anon_sym_typedef] = ACTIONS(2765),
    [anon_sym_in] = ACTIONS(2765),
    [anon_sym_out] = ACTIONS(2765),
    [anon_sym_inout] = ACTIONS(2765),
    [anon_sym_extern] = ACTIONS(2765),
    [anon_sym___attribute__] = ACTIONS(2765),
    [anon_sym_COLON_COLON] = ACTIONS(2767),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2767),
    [anon_sym___declspec] = ACTIONS(2765),
    [anon_sym___based] = ACTIONS(2765),
    [anon_sym___cdecl] = ACTIONS(2765),
    [anon_sym___clrcall] = ACTIONS(2765),
    [anon_sym___stdcall] = ACTIONS(2765),
    [anon_sym___fastcall] = ACTIONS(2765),
    [anon_sym___thiscall] = ACTIONS(2765),
    [anon_sym___vectorcall] = ACTIONS(2765),
    [anon_sym_LBRACE] = ACTIONS(2767),
    [anon_sym_signed] = ACTIONS(2765),
    [anon_sym_unsigned] = ACTIONS(2765),
    [anon_sym_long] = ACTIONS(2765),
    [anon_sym_short] = ACTIONS(2765),
    [anon_sym_LBRACK] = ACTIONS(2765),
    [anon_sym_static] = ACTIONS(2765),
    [anon_sym_register] = ACTIONS(2765),
    [anon_sym_inline] = ACTIONS(2765),
    [anon_sym___inline] = ACTIONS(2765),
    [anon_sym___inline__] = ACTIONS(2765),
    [anon_sym___forceinline] = ACTIONS(2765),
    [anon_sym_thread_local] = ACTIONS(2765),
    [anon_sym___thread] = ACTIONS(2765),
    [anon_sym_const] = ACTIONS(2765),
    [anon_sym_constexpr] = ACTIONS(2765),
    [anon_sym_volatile] = ACTIONS(2765),
    [anon_sym_restrict] = ACTIONS(2765),
    [anon_sym___restrict__] = ACTIONS(2765),
    [anon_sym__Atomic] = ACTIONS(2765),
    [anon_sym__Noreturn] = ACTIONS(2765),
    [anon_sym_noreturn] = ACTIONS(2765),
    [anon_sym_mutable] = ACTIONS(2765),
    [anon_sym_constinit] = ACTIONS(2765),
    [anon_sym_consteval] = ACTIONS(2765),
    [sym_primitive_type] = ACTIONS(2765),
    [anon_sym_enum] = ACTIONS(2765),
    [anon_sym_class] = ACTIONS(2765),
    [anon_sym_struct] = ACTIONS(2765),
    [anon_sym_union] = ACTIONS(2765),
    [anon_sym_if] = ACTIONS(2765),
    [anon_sym_switch] = ACTIONS(2765),
    [anon_sym_case] = ACTIONS(2765),
    [anon_sym_default] = ACTIONS(2765),
    [anon_sym_while] = ACTIONS(2765),
    [anon_sym_do] = ACTIONS(2765),
    [anon_sym_for] = ACTIONS(2765),
    [anon_sym_return] = ACTIONS(2765),
    [anon_sym_break] = ACTIONS(2765),
    [anon_sym_continue] = ACTIONS(2765),
    [anon_sym_goto] = ACTIONS(2765),
    [anon_sym___try] = ACTIONS(2765),
    [anon_sym___leave] = ACTIONS(2765),
    [anon_sym_not] = ACTIONS(2765),
    [anon_sym_compl] = ACTIONS(2765),
    [anon_sym_DASH_DASH] = ACTIONS(2767),
    [anon_sym_PLUS_PLUS] = ACTIONS(2767),
    [anon_sym_sizeof] = ACTIONS(2765),
    [anon_sym___alignof__] = ACTIONS(2765),
    [anon_sym___alignof] = ACTIONS(2765),
    [anon_sym__alignof] = ACTIONS(2765),
    [anon_sym_alignof] = ACTIONS(2765),
    [anon_sym__Alignof] = ACTIONS(2765),
    [anon_sym_offsetof] = ACTIONS(2765),
    [anon_sym__Generic] = ACTIONS(2765),
    [anon_sym_asm] = ACTIONS(2765),
    [anon_sym___asm__] = ACTIONS(2765),
    [sym_number_literal] = ACTIONS(2767),
    [anon_sym_L_SQUOTE] = ACTIONS(2767),
    [anon_sym_u_SQUOTE] = ACTIONS(2767),
    [anon_sym_U_SQUOTE] = ACTIONS(2767),
    [anon_sym_u8_SQUOTE] = ACTIONS(2767),
    [anon_sym_SQUOTE] = ACTIONS(2767),
    [anon_sym_L_DQUOTE] = ACTIONS(2767),
    [anon_sym_u_DQUOTE] = ACTIONS(2767),
    [anon_sym_U_DQUOTE] = ACTIONS(2767),
    [anon_sym_u8_DQUOTE] = ACTIONS(2767),
    [anon_sym_DQUOTE] = ACTIONS(2767),
    [sym_true] = ACTIONS(2765),
    [sym_false] = ACTIONS(2765),
    [anon_sym_NULL] = ACTIONS(2765),
    [anon_sym_nullptr] = ACTIONS(2765),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2765),
    [anon_sym_decltype] = ACTIONS(2765),
    [anon_sym_virtual] = ACTIONS(2765),
    [anon_sym_alignas] = ACTIONS(2765),
    [anon_sym_explicit] = ACTIONS(2765),
    [anon_sym_typename] = ACTIONS(2765),
    [anon_sym_template] = ACTIONS(2765),
    [anon_sym_operator] = ACTIONS(2765),
    [anon_sym_try] = ACTIONS(2765),
    [anon_sym_delete] = ACTIONS(2765),
    [anon_sym_throw] = ACTIONS(2765),
    [anon_sym_namespace] = ACTIONS(2765),
    [anon_sym_using] = ACTIONS(2765),
    [anon_sym_static_assert] = ACTIONS(2765),
    [anon_sym_concept] = ACTIONS(2765),
    [anon_sym_co_return] = ACTIONS(2765),
    [anon_sym_co_yield] = ACTIONS(2765),
    [anon_sym_R_DQUOTE] = ACTIONS(2767),
    [anon_sym_LR_DQUOTE] = ACTIONS(2767),
    [anon_sym_uR_DQUOTE] = ACTIONS(2767),
    [anon_sym_UR_DQUOTE] = ACTIONS(2767),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2767),
    [anon_sym_co_await] = ACTIONS(2765),
    [anon_sym_new] = ACTIONS(2765),
    [anon_sym_requires] = ACTIONS(2765),
    [sym_this] = ACTIONS(2765),
    [anon_sym_discard] = ACTIONS(2765),
    [anon_sym_precise] = ACTIONS(2765),
    [anon_sym_shared] = ACTIONS(2765),
    [anon_sym_groupshared] = ACTIONS(2765),
    [anon_sym_uniform] = ACTIONS(2765),
    [anon_sym_row_major] = ACTIONS(2765),
    [anon_sym_column_major] = ACTIONS(2765),
    [anon_sym_globallycoherent] = ACTIONS(2765),
    [anon_sym_centroid] = ACTIONS(2765),
    [anon_sym_noperspective] = ACTIONS(2765),
    [anon_sym_nointerpolation] = ACTIONS(2765),
    [anon_sym_sample] = ACTIONS(2765),
    [anon_sym_linear] = ACTIONS(2765),
    [anon_sym_snorm] = ACTIONS(2765),
    [anon_sym_unorm] = ACTIONS(2765),
    [anon_sym_point] = ACTIONS(2765),
    [anon_sym_line] = ACTIONS(2765),
    [anon_sym_triangleadj] = ACTIONS(2765),
    [anon_sym_lineadj] = ACTIONS(2765),
    [anon_sym_triangle] = ACTIONS(2765),
    [anon_sym_cbuffer] = ACTIONS(2765),
  },
  [411] = {
    [ts_builtin_sym_end] = ACTIONS(2260),
    [sym_identifier] = ACTIONS(2258),
    [aux_sym_preproc_include_token1] = ACTIONS(2258),
    [aux_sym_preproc_def_token1] = ACTIONS(2258),
    [aux_sym_preproc_if_token1] = ACTIONS(2258),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2258),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2258),
    [sym_preproc_directive] = ACTIONS(2258),
    [anon_sym_LPAREN2] = ACTIONS(2260),
    [anon_sym_BANG] = ACTIONS(2260),
    [anon_sym_TILDE] = ACTIONS(2260),
    [anon_sym_DASH] = ACTIONS(2258),
    [anon_sym_PLUS] = ACTIONS(2258),
    [anon_sym_STAR] = ACTIONS(2260),
    [anon_sym_AMP_AMP] = ACTIONS(2260),
    [anon_sym_AMP] = ACTIONS(2258),
    [anon_sym_COLON] = ACTIONS(2258),
    [anon_sym_SEMI] = ACTIONS(2260),
    [anon_sym___extension__] = ACTIONS(2258),
    [anon_sym_typedef] = ACTIONS(2258),
    [anon_sym_in] = ACTIONS(2258),
    [anon_sym_out] = ACTIONS(2258),
    [anon_sym_inout] = ACTIONS(2258),
    [anon_sym_extern] = ACTIONS(2258),
    [anon_sym___attribute__] = ACTIONS(2258),
    [anon_sym_COLON_COLON] = ACTIONS(2262),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2260),
    [anon_sym___declspec] = ACTIONS(2258),
    [anon_sym___based] = ACTIONS(2258),
    [anon_sym___cdecl] = ACTIONS(2258),
    [anon_sym___clrcall] = ACTIONS(2258),
    [anon_sym___stdcall] = ACTIONS(2258),
    [anon_sym___fastcall] = ACTIONS(2258),
    [anon_sym___thiscall] = ACTIONS(2258),
    [anon_sym___vectorcall] = ACTIONS(2258),
    [anon_sym_LBRACE] = ACTIONS(2260),
    [anon_sym_signed] = ACTIONS(2258),
    [anon_sym_unsigned] = ACTIONS(2258),
    [anon_sym_long] = ACTIONS(2258),
    [anon_sym_short] = ACTIONS(2258),
    [anon_sym_LBRACK] = ACTIONS(2258),
    [anon_sym_static] = ACTIONS(2258),
    [anon_sym_register] = ACTIONS(2258),
    [anon_sym_inline] = ACTIONS(2258),
    [anon_sym___inline] = ACTIONS(2258),
    [anon_sym___inline__] = ACTIONS(2258),
    [anon_sym___forceinline] = ACTIONS(2258),
    [anon_sym_thread_local] = ACTIONS(2258),
    [anon_sym___thread] = ACTIONS(2258),
    [anon_sym_const] = ACTIONS(2258),
    [anon_sym_constexpr] = ACTIONS(2258),
    [anon_sym_volatile] = ACTIONS(2258),
    [anon_sym_restrict] = ACTIONS(2258),
    [anon_sym___restrict__] = ACTIONS(2258),
    [anon_sym__Atomic] = ACTIONS(2258),
    [anon_sym__Noreturn] = ACTIONS(2258),
    [anon_sym_noreturn] = ACTIONS(2258),
    [anon_sym_mutable] = ACTIONS(2258),
    [anon_sym_constinit] = ACTIONS(2258),
    [anon_sym_consteval] = ACTIONS(2258),
    [sym_primitive_type] = ACTIONS(2258),
    [anon_sym_enum] = ACTIONS(2258),
    [anon_sym_class] = ACTIONS(2258),
    [anon_sym_struct] = ACTIONS(2258),
    [anon_sym_union] = ACTIONS(2258),
    [anon_sym_if] = ACTIONS(2258),
    [anon_sym_else] = ACTIONS(2258),
    [anon_sym_switch] = ACTIONS(2258),
    [anon_sym_case] = ACTIONS(2258),
    [anon_sym_default] = ACTIONS(2258),
    [anon_sym_while] = ACTIONS(2258),
    [anon_sym_do] = ACTIONS(2258),
    [anon_sym_for] = ACTIONS(2258),
    [anon_sym_return] = ACTIONS(2258),
    [anon_sym_break] = ACTIONS(2258),
    [anon_sym_continue] = ACTIONS(2258),
    [anon_sym_goto] = ACTIONS(2258),
    [anon_sym___try] = ACTIONS(2258),
    [anon_sym___leave] = ACTIONS(2258),
    [anon_sym_not] = ACTIONS(2258),
    [anon_sym_compl] = ACTIONS(2258),
    [anon_sym_DASH_DASH] = ACTIONS(2260),
    [anon_sym_PLUS_PLUS] = ACTIONS(2260),
    [anon_sym_sizeof] = ACTIONS(2258),
    [anon_sym___alignof__] = ACTIONS(2258),
    [anon_sym___alignof] = ACTIONS(2258),
    [anon_sym__alignof] = ACTIONS(2258),
    [anon_sym_alignof] = ACTIONS(2258),
    [anon_sym__Alignof] = ACTIONS(2258),
    [anon_sym_offsetof] = ACTIONS(2258),
    [anon_sym__Generic] = ACTIONS(2258),
    [anon_sym_asm] = ACTIONS(2258),
    [anon_sym___asm__] = ACTIONS(2258),
    [sym_number_literal] = ACTIONS(2260),
    [anon_sym_L_SQUOTE] = ACTIONS(2260),
    [anon_sym_u_SQUOTE] = ACTIONS(2260),
    [anon_sym_U_SQUOTE] = ACTIONS(2260),
    [anon_sym_u8_SQUOTE] = ACTIONS(2260),
    [anon_sym_SQUOTE] = ACTIONS(2260),
    [anon_sym_L_DQUOTE] = ACTIONS(2260),
    [anon_sym_u_DQUOTE] = ACTIONS(2260),
    [anon_sym_U_DQUOTE] = ACTIONS(2260),
    [anon_sym_u8_DQUOTE] = ACTIONS(2260),
    [anon_sym_DQUOTE] = ACTIONS(2260),
    [sym_true] = ACTIONS(2258),
    [sym_false] = ACTIONS(2258),
    [anon_sym_NULL] = ACTIONS(2258),
    [anon_sym_nullptr] = ACTIONS(2258),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2258),
    [anon_sym_decltype] = ACTIONS(2258),
    [anon_sym_final] = ACTIONS(2258),
    [anon_sym_override] = ACTIONS(2258),
    [anon_sym_virtual] = ACTIONS(2258),
    [anon_sym_alignas] = ACTIONS(2258),
    [anon_sym_explicit] = ACTIONS(2258),
    [anon_sym_typename] = ACTIONS(2258),
    [anon_sym_template] = ACTIONS(2258),
    [anon_sym_operator] = ACTIONS(2258),
    [anon_sym_try] = ACTIONS(2258),
    [anon_sym_delete] = ACTIONS(2258),
    [anon_sym_throw] = ACTIONS(2258),
    [anon_sym_namespace] = ACTIONS(2258),
    [anon_sym_using] = ACTIONS(2258),
    [anon_sym_static_assert] = ACTIONS(2258),
    [anon_sym_concept] = ACTIONS(2258),
    [anon_sym_co_return] = ACTIONS(2258),
    [anon_sym_co_yield] = ACTIONS(2258),
    [anon_sym_R_DQUOTE] = ACTIONS(2260),
    [anon_sym_LR_DQUOTE] = ACTIONS(2260),
    [anon_sym_uR_DQUOTE] = ACTIONS(2260),
    [anon_sym_UR_DQUOTE] = ACTIONS(2260),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2260),
    [anon_sym_co_await] = ACTIONS(2258),
    [anon_sym_new] = ACTIONS(2258),
    [anon_sym_requires] = ACTIONS(2258),
    [sym_this] = ACTIONS(2258),
    [anon_sym_discard] = ACTIONS(2258),
    [anon_sym_precise] = ACTIONS(2258),
    [anon_sym_shared] = ACTIONS(2258),
    [anon_sym_groupshared] = ACTIONS(2258),
    [anon_sym_uniform] = ACTIONS(2258),
    [anon_sym_row_major] = ACTIONS(2258),
    [anon_sym_column_major] = ACTIONS(2258),
    [anon_sym_globallycoherent] = ACTIONS(2258),
    [anon_sym_centroid] = ACTIONS(2258),
    [anon_sym_noperspective] = ACTIONS(2258),
    [anon_sym_nointerpolation] = ACTIONS(2258),
    [anon_sym_sample] = ACTIONS(2258),
    [anon_sym_linear] = ACTIONS(2258),
    [anon_sym_snorm] = ACTIONS(2258),
    [anon_sym_unorm] = ACTIONS(2258),
    [anon_sym_point] = ACTIONS(2258),
    [anon_sym_line] = ACTIONS(2258),
    [anon_sym_triangleadj] = ACTIONS(2258),
    [anon_sym_lineadj] = ACTIONS(2258),
    [anon_sym_triangle] = ACTIONS(2258),
    [anon_sym_cbuffer] = ACTIONS(2258),
  },
  [412] = {
    [sym_identifier] = ACTIONS(2765),
    [aux_sym_preproc_include_token1] = ACTIONS(2765),
    [aux_sym_preproc_def_token1] = ACTIONS(2765),
    [aux_sym_preproc_if_token1] = ACTIONS(2765),
    [aux_sym_preproc_if_token2] = ACTIONS(2765),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2765),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2765),
    [aux_sym_preproc_else_token1] = ACTIONS(2765),
    [aux_sym_preproc_elif_token1] = ACTIONS(2765),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2765),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2765),
    [sym_preproc_directive] = ACTIONS(2765),
    [anon_sym_LPAREN2] = ACTIONS(2767),
    [anon_sym_BANG] = ACTIONS(2767),
    [anon_sym_TILDE] = ACTIONS(2767),
    [anon_sym_DASH] = ACTIONS(2765),
    [anon_sym_PLUS] = ACTIONS(2765),
    [anon_sym_STAR] = ACTIONS(2767),
    [anon_sym_AMP_AMP] = ACTIONS(2767),
    [anon_sym_AMP] = ACTIONS(2765),
    [anon_sym_SEMI] = ACTIONS(2767),
    [anon_sym___extension__] = ACTIONS(2765),
    [anon_sym_typedef] = ACTIONS(2765),
    [anon_sym_in] = ACTIONS(2765),
    [anon_sym_out] = ACTIONS(2765),
    [anon_sym_inout] = ACTIONS(2765),
    [anon_sym_extern] = ACTIONS(2765),
    [anon_sym___attribute__] = ACTIONS(2765),
    [anon_sym_COLON_COLON] = ACTIONS(2767),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2767),
    [anon_sym___declspec] = ACTIONS(2765),
    [anon_sym___based] = ACTIONS(2765),
    [anon_sym___cdecl] = ACTIONS(2765),
    [anon_sym___clrcall] = ACTIONS(2765),
    [anon_sym___stdcall] = ACTIONS(2765),
    [anon_sym___fastcall] = ACTIONS(2765),
    [anon_sym___thiscall] = ACTIONS(2765),
    [anon_sym___vectorcall] = ACTIONS(2765),
    [anon_sym_LBRACE] = ACTIONS(2767),
    [anon_sym_signed] = ACTIONS(2765),
    [anon_sym_unsigned] = ACTIONS(2765),
    [anon_sym_long] = ACTIONS(2765),
    [anon_sym_short] = ACTIONS(2765),
    [anon_sym_LBRACK] = ACTIONS(2765),
    [anon_sym_static] = ACTIONS(2765),
    [anon_sym_register] = ACTIONS(2765),
    [anon_sym_inline] = ACTIONS(2765),
    [anon_sym___inline] = ACTIONS(2765),
    [anon_sym___inline__] = ACTIONS(2765),
    [anon_sym___forceinline] = ACTIONS(2765),
    [anon_sym_thread_local] = ACTIONS(2765),
    [anon_sym___thread] = ACTIONS(2765),
    [anon_sym_const] = ACTIONS(2765),
    [anon_sym_constexpr] = ACTIONS(2765),
    [anon_sym_volatile] = ACTIONS(2765),
    [anon_sym_restrict] = ACTIONS(2765),
    [anon_sym___restrict__] = ACTIONS(2765),
    [anon_sym__Atomic] = ACTIONS(2765),
    [anon_sym__Noreturn] = ACTIONS(2765),
    [anon_sym_noreturn] = ACTIONS(2765),
    [anon_sym_mutable] = ACTIONS(2765),
    [anon_sym_constinit] = ACTIONS(2765),
    [anon_sym_consteval] = ACTIONS(2765),
    [sym_primitive_type] = ACTIONS(2765),
    [anon_sym_enum] = ACTIONS(2765),
    [anon_sym_class] = ACTIONS(2765),
    [anon_sym_struct] = ACTIONS(2765),
    [anon_sym_union] = ACTIONS(2765),
    [anon_sym_if] = ACTIONS(2765),
    [anon_sym_switch] = ACTIONS(2765),
    [anon_sym_case] = ACTIONS(2765),
    [anon_sym_default] = ACTIONS(2765),
    [anon_sym_while] = ACTIONS(2765),
    [anon_sym_do] = ACTIONS(2765),
    [anon_sym_for] = ACTIONS(2765),
    [anon_sym_return] = ACTIONS(2765),
    [anon_sym_break] = ACTIONS(2765),
    [anon_sym_continue] = ACTIONS(2765),
    [anon_sym_goto] = ACTIONS(2765),
    [anon_sym___try] = ACTIONS(2765),
    [anon_sym___leave] = ACTIONS(2765),
    [anon_sym_not] = ACTIONS(2765),
    [anon_sym_compl] = ACTIONS(2765),
    [anon_sym_DASH_DASH] = ACTIONS(2767),
    [anon_sym_PLUS_PLUS] = ACTIONS(2767),
    [anon_sym_sizeof] = ACTIONS(2765),
    [anon_sym___alignof__] = ACTIONS(2765),
    [anon_sym___alignof] = ACTIONS(2765),
    [anon_sym__alignof] = ACTIONS(2765),
    [anon_sym_alignof] = ACTIONS(2765),
    [anon_sym__Alignof] = ACTIONS(2765),
    [anon_sym_offsetof] = ACTIONS(2765),
    [anon_sym__Generic] = ACTIONS(2765),
    [anon_sym_asm] = ACTIONS(2765),
    [anon_sym___asm__] = ACTIONS(2765),
    [sym_number_literal] = ACTIONS(2767),
    [anon_sym_L_SQUOTE] = ACTIONS(2767),
    [anon_sym_u_SQUOTE] = ACTIONS(2767),
    [anon_sym_U_SQUOTE] = ACTIONS(2767),
    [anon_sym_u8_SQUOTE] = ACTIONS(2767),
    [anon_sym_SQUOTE] = ACTIONS(2767),
    [anon_sym_L_DQUOTE] = ACTIONS(2767),
    [anon_sym_u_DQUOTE] = ACTIONS(2767),
    [anon_sym_U_DQUOTE] = ACTIONS(2767),
    [anon_sym_u8_DQUOTE] = ACTIONS(2767),
    [anon_sym_DQUOTE] = ACTIONS(2767),
    [sym_true] = ACTIONS(2765),
    [sym_false] = ACTIONS(2765),
    [anon_sym_NULL] = ACTIONS(2765),
    [anon_sym_nullptr] = ACTIONS(2765),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2765),
    [anon_sym_decltype] = ACTIONS(2765),
    [anon_sym_virtual] = ACTIONS(2765),
    [anon_sym_alignas] = ACTIONS(2765),
    [anon_sym_explicit] = ACTIONS(2765),
    [anon_sym_typename] = ACTIONS(2765),
    [anon_sym_template] = ACTIONS(2765),
    [anon_sym_operator] = ACTIONS(2765),
    [anon_sym_try] = ACTIONS(2765),
    [anon_sym_delete] = ACTIONS(2765),
    [anon_sym_throw] = ACTIONS(2765),
    [anon_sym_namespace] = ACTIONS(2765),
    [anon_sym_using] = ACTIONS(2765),
    [anon_sym_static_assert] = ACTIONS(2765),
    [anon_sym_concept] = ACTIONS(2765),
    [anon_sym_co_return] = ACTIONS(2765),
    [anon_sym_co_yield] = ACTIONS(2765),
    [anon_sym_R_DQUOTE] = ACTIONS(2767),
    [anon_sym_LR_DQUOTE] = ACTIONS(2767),
    [anon_sym_uR_DQUOTE] = ACTIONS(2767),
    [anon_sym_UR_DQUOTE] = ACTIONS(2767),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2767),
    [anon_sym_co_await] = ACTIONS(2765),
    [anon_sym_new] = ACTIONS(2765),
    [anon_sym_requires] = ACTIONS(2765),
    [sym_this] = ACTIONS(2765),
    [anon_sym_discard] = ACTIONS(2765),
    [anon_sym_precise] = ACTIONS(2765),
    [anon_sym_shared] = ACTIONS(2765),
    [anon_sym_groupshared] = ACTIONS(2765),
    [anon_sym_uniform] = ACTIONS(2765),
    [anon_sym_row_major] = ACTIONS(2765),
    [anon_sym_column_major] = ACTIONS(2765),
    [anon_sym_globallycoherent] = ACTIONS(2765),
    [anon_sym_centroid] = ACTIONS(2765),
    [anon_sym_noperspective] = ACTIONS(2765),
    [anon_sym_nointerpolation] = ACTIONS(2765),
    [anon_sym_sample] = ACTIONS(2765),
    [anon_sym_linear] = ACTIONS(2765),
    [anon_sym_snorm] = ACTIONS(2765),
    [anon_sym_unorm] = ACTIONS(2765),
    [anon_sym_point] = ACTIONS(2765),
    [anon_sym_line] = ACTIONS(2765),
    [anon_sym_triangleadj] = ACTIONS(2765),
    [anon_sym_lineadj] = ACTIONS(2765),
    [anon_sym_triangle] = ACTIONS(2765),
    [anon_sym_cbuffer] = ACTIONS(2765),
  },
  [413] = {
    [sym_identifier] = ACTIONS(2765),
    [aux_sym_preproc_include_token1] = ACTIONS(2765),
    [aux_sym_preproc_def_token1] = ACTIONS(2765),
    [aux_sym_preproc_if_token1] = ACTIONS(2765),
    [aux_sym_preproc_if_token2] = ACTIONS(2765),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2765),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2765),
    [aux_sym_preproc_else_token1] = ACTIONS(2765),
    [aux_sym_preproc_elif_token1] = ACTIONS(2765),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2765),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2765),
    [sym_preproc_directive] = ACTIONS(2765),
    [anon_sym_LPAREN2] = ACTIONS(2767),
    [anon_sym_BANG] = ACTIONS(2767),
    [anon_sym_TILDE] = ACTIONS(2767),
    [anon_sym_DASH] = ACTIONS(2765),
    [anon_sym_PLUS] = ACTIONS(2765),
    [anon_sym_STAR] = ACTIONS(2767),
    [anon_sym_AMP_AMP] = ACTIONS(2767),
    [anon_sym_AMP] = ACTIONS(2765),
    [anon_sym_SEMI] = ACTIONS(2767),
    [anon_sym___extension__] = ACTIONS(2765),
    [anon_sym_typedef] = ACTIONS(2765),
    [anon_sym_in] = ACTIONS(2765),
    [anon_sym_out] = ACTIONS(2765),
    [anon_sym_inout] = ACTIONS(2765),
    [anon_sym_extern] = ACTIONS(2765),
    [anon_sym___attribute__] = ACTIONS(2765),
    [anon_sym_COLON_COLON] = ACTIONS(2767),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2767),
    [anon_sym___declspec] = ACTIONS(2765),
    [anon_sym___based] = ACTIONS(2765),
    [anon_sym___cdecl] = ACTIONS(2765),
    [anon_sym___clrcall] = ACTIONS(2765),
    [anon_sym___stdcall] = ACTIONS(2765),
    [anon_sym___fastcall] = ACTIONS(2765),
    [anon_sym___thiscall] = ACTIONS(2765),
    [anon_sym___vectorcall] = ACTIONS(2765),
    [anon_sym_LBRACE] = ACTIONS(2767),
    [anon_sym_signed] = ACTIONS(2765),
    [anon_sym_unsigned] = ACTIONS(2765),
    [anon_sym_long] = ACTIONS(2765),
    [anon_sym_short] = ACTIONS(2765),
    [anon_sym_LBRACK] = ACTIONS(2765),
    [anon_sym_static] = ACTIONS(2765),
    [anon_sym_register] = ACTIONS(2765),
    [anon_sym_inline] = ACTIONS(2765),
    [anon_sym___inline] = ACTIONS(2765),
    [anon_sym___inline__] = ACTIONS(2765),
    [anon_sym___forceinline] = ACTIONS(2765),
    [anon_sym_thread_local] = ACTIONS(2765),
    [anon_sym___thread] = ACTIONS(2765),
    [anon_sym_const] = ACTIONS(2765),
    [anon_sym_constexpr] = ACTIONS(2765),
    [anon_sym_volatile] = ACTIONS(2765),
    [anon_sym_restrict] = ACTIONS(2765),
    [anon_sym___restrict__] = ACTIONS(2765),
    [anon_sym__Atomic] = ACTIONS(2765),
    [anon_sym__Noreturn] = ACTIONS(2765),
    [anon_sym_noreturn] = ACTIONS(2765),
    [anon_sym_mutable] = ACTIONS(2765),
    [anon_sym_constinit] = ACTIONS(2765),
    [anon_sym_consteval] = ACTIONS(2765),
    [sym_primitive_type] = ACTIONS(2765),
    [anon_sym_enum] = ACTIONS(2765),
    [anon_sym_class] = ACTIONS(2765),
    [anon_sym_struct] = ACTIONS(2765),
    [anon_sym_union] = ACTIONS(2765),
    [anon_sym_if] = ACTIONS(2765),
    [anon_sym_switch] = ACTIONS(2765),
    [anon_sym_case] = ACTIONS(2765),
    [anon_sym_default] = ACTIONS(2765),
    [anon_sym_while] = ACTIONS(2765),
    [anon_sym_do] = ACTIONS(2765),
    [anon_sym_for] = ACTIONS(2765),
    [anon_sym_return] = ACTIONS(2765),
    [anon_sym_break] = ACTIONS(2765),
    [anon_sym_continue] = ACTIONS(2765),
    [anon_sym_goto] = ACTIONS(2765),
    [anon_sym___try] = ACTIONS(2765),
    [anon_sym___leave] = ACTIONS(2765),
    [anon_sym_not] = ACTIONS(2765),
    [anon_sym_compl] = ACTIONS(2765),
    [anon_sym_DASH_DASH] = ACTIONS(2767),
    [anon_sym_PLUS_PLUS] = ACTIONS(2767),
    [anon_sym_sizeof] = ACTIONS(2765),
    [anon_sym___alignof__] = ACTIONS(2765),
    [anon_sym___alignof] = ACTIONS(2765),
    [anon_sym__alignof] = ACTIONS(2765),
    [anon_sym_alignof] = ACTIONS(2765),
    [anon_sym__Alignof] = ACTIONS(2765),
    [anon_sym_offsetof] = ACTIONS(2765),
    [anon_sym__Generic] = ACTIONS(2765),
    [anon_sym_asm] = ACTIONS(2765),
    [anon_sym___asm__] = ACTIONS(2765),
    [sym_number_literal] = ACTIONS(2767),
    [anon_sym_L_SQUOTE] = ACTIONS(2767),
    [anon_sym_u_SQUOTE] = ACTIONS(2767),
    [anon_sym_U_SQUOTE] = ACTIONS(2767),
    [anon_sym_u8_SQUOTE] = ACTIONS(2767),
    [anon_sym_SQUOTE] = ACTIONS(2767),
    [anon_sym_L_DQUOTE] = ACTIONS(2767),
    [anon_sym_u_DQUOTE] = ACTIONS(2767),
    [anon_sym_U_DQUOTE] = ACTIONS(2767),
    [anon_sym_u8_DQUOTE] = ACTIONS(2767),
    [anon_sym_DQUOTE] = ACTIONS(2767),
    [sym_true] = ACTIONS(2765),
    [sym_false] = ACTIONS(2765),
    [anon_sym_NULL] = ACTIONS(2765),
    [anon_sym_nullptr] = ACTIONS(2765),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2765),
    [anon_sym_decltype] = ACTIONS(2765),
    [anon_sym_virtual] = ACTIONS(2765),
    [anon_sym_alignas] = ACTIONS(2765),
    [anon_sym_explicit] = ACTIONS(2765),
    [anon_sym_typename] = ACTIONS(2765),
    [anon_sym_template] = ACTIONS(2765),
    [anon_sym_operator] = ACTIONS(2765),
    [anon_sym_try] = ACTIONS(2765),
    [anon_sym_delete] = ACTIONS(2765),
    [anon_sym_throw] = ACTIONS(2765),
    [anon_sym_namespace] = ACTIONS(2765),
    [anon_sym_using] = ACTIONS(2765),
    [anon_sym_static_assert] = ACTIONS(2765),
    [anon_sym_concept] = ACTIONS(2765),
    [anon_sym_co_return] = ACTIONS(2765),
    [anon_sym_co_yield] = ACTIONS(2765),
    [anon_sym_R_DQUOTE] = ACTIONS(2767),
    [anon_sym_LR_DQUOTE] = ACTIONS(2767),
    [anon_sym_uR_DQUOTE] = ACTIONS(2767),
    [anon_sym_UR_DQUOTE] = ACTIONS(2767),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2767),
    [anon_sym_co_await] = ACTIONS(2765),
    [anon_sym_new] = ACTIONS(2765),
    [anon_sym_requires] = ACTIONS(2765),
    [sym_this] = ACTIONS(2765),
    [anon_sym_discard] = ACTIONS(2765),
    [anon_sym_precise] = ACTIONS(2765),
    [anon_sym_shared] = ACTIONS(2765),
    [anon_sym_groupshared] = ACTIONS(2765),
    [anon_sym_uniform] = ACTIONS(2765),
    [anon_sym_row_major] = ACTIONS(2765),
    [anon_sym_column_major] = ACTIONS(2765),
    [anon_sym_globallycoherent] = ACTIONS(2765),
    [anon_sym_centroid] = ACTIONS(2765),
    [anon_sym_noperspective] = ACTIONS(2765),
    [anon_sym_nointerpolation] = ACTIONS(2765),
    [anon_sym_sample] = ACTIONS(2765),
    [anon_sym_linear] = ACTIONS(2765),
    [anon_sym_snorm] = ACTIONS(2765),
    [anon_sym_unorm] = ACTIONS(2765),
    [anon_sym_point] = ACTIONS(2765),
    [anon_sym_line] = ACTIONS(2765),
    [anon_sym_triangleadj] = ACTIONS(2765),
    [anon_sym_lineadj] = ACTIONS(2765),
    [anon_sym_triangle] = ACTIONS(2765),
    [anon_sym_cbuffer] = ACTIONS(2765),
  },
  [414] = {
    [sym_identifier] = ACTIONS(2765),
    [aux_sym_preproc_include_token1] = ACTIONS(2765),
    [aux_sym_preproc_def_token1] = ACTIONS(2765),
    [aux_sym_preproc_if_token1] = ACTIONS(2765),
    [aux_sym_preproc_if_token2] = ACTIONS(2765),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2765),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2765),
    [aux_sym_preproc_else_token1] = ACTIONS(2765),
    [aux_sym_preproc_elif_token1] = ACTIONS(2765),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2765),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2765),
    [sym_preproc_directive] = ACTIONS(2765),
    [anon_sym_LPAREN2] = ACTIONS(2767),
    [anon_sym_BANG] = ACTIONS(2767),
    [anon_sym_TILDE] = ACTIONS(2767),
    [anon_sym_DASH] = ACTIONS(2765),
    [anon_sym_PLUS] = ACTIONS(2765),
    [anon_sym_STAR] = ACTIONS(2767),
    [anon_sym_AMP_AMP] = ACTIONS(2767),
    [anon_sym_AMP] = ACTIONS(2765),
    [anon_sym_SEMI] = ACTIONS(2767),
    [anon_sym___extension__] = ACTIONS(2765),
    [anon_sym_typedef] = ACTIONS(2765),
    [anon_sym_in] = ACTIONS(2765),
    [anon_sym_out] = ACTIONS(2765),
    [anon_sym_inout] = ACTIONS(2765),
    [anon_sym_extern] = ACTIONS(2765),
    [anon_sym___attribute__] = ACTIONS(2765),
    [anon_sym_COLON_COLON] = ACTIONS(2767),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2767),
    [anon_sym___declspec] = ACTIONS(2765),
    [anon_sym___based] = ACTIONS(2765),
    [anon_sym___cdecl] = ACTIONS(2765),
    [anon_sym___clrcall] = ACTIONS(2765),
    [anon_sym___stdcall] = ACTIONS(2765),
    [anon_sym___fastcall] = ACTIONS(2765),
    [anon_sym___thiscall] = ACTIONS(2765),
    [anon_sym___vectorcall] = ACTIONS(2765),
    [anon_sym_LBRACE] = ACTIONS(2767),
    [anon_sym_signed] = ACTIONS(2765),
    [anon_sym_unsigned] = ACTIONS(2765),
    [anon_sym_long] = ACTIONS(2765),
    [anon_sym_short] = ACTIONS(2765),
    [anon_sym_LBRACK] = ACTIONS(2765),
    [anon_sym_static] = ACTIONS(2765),
    [anon_sym_register] = ACTIONS(2765),
    [anon_sym_inline] = ACTIONS(2765),
    [anon_sym___inline] = ACTIONS(2765),
    [anon_sym___inline__] = ACTIONS(2765),
    [anon_sym___forceinline] = ACTIONS(2765),
    [anon_sym_thread_local] = ACTIONS(2765),
    [anon_sym___thread] = ACTIONS(2765),
    [anon_sym_const] = ACTIONS(2765),
    [anon_sym_constexpr] = ACTIONS(2765),
    [anon_sym_volatile] = ACTIONS(2765),
    [anon_sym_restrict] = ACTIONS(2765),
    [anon_sym___restrict__] = ACTIONS(2765),
    [anon_sym__Atomic] = ACTIONS(2765),
    [anon_sym__Noreturn] = ACTIONS(2765),
    [anon_sym_noreturn] = ACTIONS(2765),
    [anon_sym_mutable] = ACTIONS(2765),
    [anon_sym_constinit] = ACTIONS(2765),
    [anon_sym_consteval] = ACTIONS(2765),
    [sym_primitive_type] = ACTIONS(2765),
    [anon_sym_enum] = ACTIONS(2765),
    [anon_sym_class] = ACTIONS(2765),
    [anon_sym_struct] = ACTIONS(2765),
    [anon_sym_union] = ACTIONS(2765),
    [anon_sym_if] = ACTIONS(2765),
    [anon_sym_switch] = ACTIONS(2765),
    [anon_sym_case] = ACTIONS(2765),
    [anon_sym_default] = ACTIONS(2765),
    [anon_sym_while] = ACTIONS(2765),
    [anon_sym_do] = ACTIONS(2765),
    [anon_sym_for] = ACTIONS(2765),
    [anon_sym_return] = ACTIONS(2765),
    [anon_sym_break] = ACTIONS(2765),
    [anon_sym_continue] = ACTIONS(2765),
    [anon_sym_goto] = ACTIONS(2765),
    [anon_sym___try] = ACTIONS(2765),
    [anon_sym___leave] = ACTIONS(2765),
    [anon_sym_not] = ACTIONS(2765),
    [anon_sym_compl] = ACTIONS(2765),
    [anon_sym_DASH_DASH] = ACTIONS(2767),
    [anon_sym_PLUS_PLUS] = ACTIONS(2767),
    [anon_sym_sizeof] = ACTIONS(2765),
    [anon_sym___alignof__] = ACTIONS(2765),
    [anon_sym___alignof] = ACTIONS(2765),
    [anon_sym__alignof] = ACTIONS(2765),
    [anon_sym_alignof] = ACTIONS(2765),
    [anon_sym__Alignof] = ACTIONS(2765),
    [anon_sym_offsetof] = ACTIONS(2765),
    [anon_sym__Generic] = ACTIONS(2765),
    [anon_sym_asm] = ACTIONS(2765),
    [anon_sym___asm__] = ACTIONS(2765),
    [sym_number_literal] = ACTIONS(2767),
    [anon_sym_L_SQUOTE] = ACTIONS(2767),
    [anon_sym_u_SQUOTE] = ACTIONS(2767),
    [anon_sym_U_SQUOTE] = ACTIONS(2767),
    [anon_sym_u8_SQUOTE] = ACTIONS(2767),
    [anon_sym_SQUOTE] = ACTIONS(2767),
    [anon_sym_L_DQUOTE] = ACTIONS(2767),
    [anon_sym_u_DQUOTE] = ACTIONS(2767),
    [anon_sym_U_DQUOTE] = ACTIONS(2767),
    [anon_sym_u8_DQUOTE] = ACTIONS(2767),
    [anon_sym_DQUOTE] = ACTIONS(2767),
    [sym_true] = ACTIONS(2765),
    [sym_false] = ACTIONS(2765),
    [anon_sym_NULL] = ACTIONS(2765),
    [anon_sym_nullptr] = ACTIONS(2765),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2765),
    [anon_sym_decltype] = ACTIONS(2765),
    [anon_sym_virtual] = ACTIONS(2765),
    [anon_sym_alignas] = ACTIONS(2765),
    [anon_sym_explicit] = ACTIONS(2765),
    [anon_sym_typename] = ACTIONS(2765),
    [anon_sym_template] = ACTIONS(2765),
    [anon_sym_operator] = ACTIONS(2765),
    [anon_sym_try] = ACTIONS(2765),
    [anon_sym_delete] = ACTIONS(2765),
    [anon_sym_throw] = ACTIONS(2765),
    [anon_sym_namespace] = ACTIONS(2765),
    [anon_sym_using] = ACTIONS(2765),
    [anon_sym_static_assert] = ACTIONS(2765),
    [anon_sym_concept] = ACTIONS(2765),
    [anon_sym_co_return] = ACTIONS(2765),
    [anon_sym_co_yield] = ACTIONS(2765),
    [anon_sym_R_DQUOTE] = ACTIONS(2767),
    [anon_sym_LR_DQUOTE] = ACTIONS(2767),
    [anon_sym_uR_DQUOTE] = ACTIONS(2767),
    [anon_sym_UR_DQUOTE] = ACTIONS(2767),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2767),
    [anon_sym_co_await] = ACTIONS(2765),
    [anon_sym_new] = ACTIONS(2765),
    [anon_sym_requires] = ACTIONS(2765),
    [sym_this] = ACTIONS(2765),
    [anon_sym_discard] = ACTIONS(2765),
    [anon_sym_precise] = ACTIONS(2765),
    [anon_sym_shared] = ACTIONS(2765),
    [anon_sym_groupshared] = ACTIONS(2765),
    [anon_sym_uniform] = ACTIONS(2765),
    [anon_sym_row_major] = ACTIONS(2765),
    [anon_sym_column_major] = ACTIONS(2765),
    [anon_sym_globallycoherent] = ACTIONS(2765),
    [anon_sym_centroid] = ACTIONS(2765),
    [anon_sym_noperspective] = ACTIONS(2765),
    [anon_sym_nointerpolation] = ACTIONS(2765),
    [anon_sym_sample] = ACTIONS(2765),
    [anon_sym_linear] = ACTIONS(2765),
    [anon_sym_snorm] = ACTIONS(2765),
    [anon_sym_unorm] = ACTIONS(2765),
    [anon_sym_point] = ACTIONS(2765),
    [anon_sym_line] = ACTIONS(2765),
    [anon_sym_triangleadj] = ACTIONS(2765),
    [anon_sym_lineadj] = ACTIONS(2765),
    [anon_sym_triangle] = ACTIONS(2765),
    [anon_sym_cbuffer] = ACTIONS(2765),
  },
  [415] = {
    [sym_identifier] = ACTIONS(2769),
    [aux_sym_preproc_include_token1] = ACTIONS(2769),
    [aux_sym_preproc_def_token1] = ACTIONS(2769),
    [aux_sym_preproc_if_token1] = ACTIONS(2769),
    [aux_sym_preproc_if_token2] = ACTIONS(2769),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2769),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2769),
    [aux_sym_preproc_else_token1] = ACTIONS(2769),
    [aux_sym_preproc_elif_token1] = ACTIONS(2769),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2769),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2769),
    [sym_preproc_directive] = ACTIONS(2769),
    [anon_sym_LPAREN2] = ACTIONS(2771),
    [anon_sym_BANG] = ACTIONS(2771),
    [anon_sym_TILDE] = ACTIONS(2771),
    [anon_sym_DASH] = ACTIONS(2769),
    [anon_sym_PLUS] = ACTIONS(2769),
    [anon_sym_STAR] = ACTIONS(2771),
    [anon_sym_AMP_AMP] = ACTIONS(2771),
    [anon_sym_AMP] = ACTIONS(2769),
    [anon_sym_SEMI] = ACTIONS(2771),
    [anon_sym___extension__] = ACTIONS(2769),
    [anon_sym_typedef] = ACTIONS(2769),
    [anon_sym_in] = ACTIONS(2769),
    [anon_sym_out] = ACTIONS(2769),
    [anon_sym_inout] = ACTIONS(2769),
    [anon_sym_extern] = ACTIONS(2769),
    [anon_sym___attribute__] = ACTIONS(2769),
    [anon_sym_COLON_COLON] = ACTIONS(2771),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2771),
    [anon_sym___declspec] = ACTIONS(2769),
    [anon_sym___based] = ACTIONS(2769),
    [anon_sym___cdecl] = ACTIONS(2769),
    [anon_sym___clrcall] = ACTIONS(2769),
    [anon_sym___stdcall] = ACTIONS(2769),
    [anon_sym___fastcall] = ACTIONS(2769),
    [anon_sym___thiscall] = ACTIONS(2769),
    [anon_sym___vectorcall] = ACTIONS(2769),
    [anon_sym_LBRACE] = ACTIONS(2771),
    [anon_sym_signed] = ACTIONS(2769),
    [anon_sym_unsigned] = ACTIONS(2769),
    [anon_sym_long] = ACTIONS(2769),
    [anon_sym_short] = ACTIONS(2769),
    [anon_sym_LBRACK] = ACTIONS(2769),
    [anon_sym_static] = ACTIONS(2769),
    [anon_sym_register] = ACTIONS(2769),
    [anon_sym_inline] = ACTIONS(2769),
    [anon_sym___inline] = ACTIONS(2769),
    [anon_sym___inline__] = ACTIONS(2769),
    [anon_sym___forceinline] = ACTIONS(2769),
    [anon_sym_thread_local] = ACTIONS(2769),
    [anon_sym___thread] = ACTIONS(2769),
    [anon_sym_const] = ACTIONS(2769),
    [anon_sym_constexpr] = ACTIONS(2769),
    [anon_sym_volatile] = ACTIONS(2769),
    [anon_sym_restrict] = ACTIONS(2769),
    [anon_sym___restrict__] = ACTIONS(2769),
    [anon_sym__Atomic] = ACTIONS(2769),
    [anon_sym__Noreturn] = ACTIONS(2769),
    [anon_sym_noreturn] = ACTIONS(2769),
    [anon_sym_mutable] = ACTIONS(2769),
    [anon_sym_constinit] = ACTIONS(2769),
    [anon_sym_consteval] = ACTIONS(2769),
    [sym_primitive_type] = ACTIONS(2769),
    [anon_sym_enum] = ACTIONS(2769),
    [anon_sym_class] = ACTIONS(2769),
    [anon_sym_struct] = ACTIONS(2769),
    [anon_sym_union] = ACTIONS(2769),
    [anon_sym_if] = ACTIONS(2769),
    [anon_sym_switch] = ACTIONS(2769),
    [anon_sym_case] = ACTIONS(2769),
    [anon_sym_default] = ACTIONS(2769),
    [anon_sym_while] = ACTIONS(2769),
    [anon_sym_do] = ACTIONS(2769),
    [anon_sym_for] = ACTIONS(2769),
    [anon_sym_return] = ACTIONS(2769),
    [anon_sym_break] = ACTIONS(2769),
    [anon_sym_continue] = ACTIONS(2769),
    [anon_sym_goto] = ACTIONS(2769),
    [anon_sym___try] = ACTIONS(2769),
    [anon_sym___leave] = ACTIONS(2769),
    [anon_sym_not] = ACTIONS(2769),
    [anon_sym_compl] = ACTIONS(2769),
    [anon_sym_DASH_DASH] = ACTIONS(2771),
    [anon_sym_PLUS_PLUS] = ACTIONS(2771),
    [anon_sym_sizeof] = ACTIONS(2769),
    [anon_sym___alignof__] = ACTIONS(2769),
    [anon_sym___alignof] = ACTIONS(2769),
    [anon_sym__alignof] = ACTIONS(2769),
    [anon_sym_alignof] = ACTIONS(2769),
    [anon_sym__Alignof] = ACTIONS(2769),
    [anon_sym_offsetof] = ACTIONS(2769),
    [anon_sym__Generic] = ACTIONS(2769),
    [anon_sym_asm] = ACTIONS(2769),
    [anon_sym___asm__] = ACTIONS(2769),
    [sym_number_literal] = ACTIONS(2771),
    [anon_sym_L_SQUOTE] = ACTIONS(2771),
    [anon_sym_u_SQUOTE] = ACTIONS(2771),
    [anon_sym_U_SQUOTE] = ACTIONS(2771),
    [anon_sym_u8_SQUOTE] = ACTIONS(2771),
    [anon_sym_SQUOTE] = ACTIONS(2771),
    [anon_sym_L_DQUOTE] = ACTIONS(2771),
    [anon_sym_u_DQUOTE] = ACTIONS(2771),
    [anon_sym_U_DQUOTE] = ACTIONS(2771),
    [anon_sym_u8_DQUOTE] = ACTIONS(2771),
    [anon_sym_DQUOTE] = ACTIONS(2771),
    [sym_true] = ACTIONS(2769),
    [sym_false] = ACTIONS(2769),
    [anon_sym_NULL] = ACTIONS(2769),
    [anon_sym_nullptr] = ACTIONS(2769),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2769),
    [anon_sym_decltype] = ACTIONS(2769),
    [anon_sym_virtual] = ACTIONS(2769),
    [anon_sym_alignas] = ACTIONS(2769),
    [anon_sym_explicit] = ACTIONS(2769),
    [anon_sym_typename] = ACTIONS(2769),
    [anon_sym_template] = ACTIONS(2769),
    [anon_sym_operator] = ACTIONS(2769),
    [anon_sym_try] = ACTIONS(2769),
    [anon_sym_delete] = ACTIONS(2769),
    [anon_sym_throw] = ACTIONS(2769),
    [anon_sym_namespace] = ACTIONS(2769),
    [anon_sym_using] = ACTIONS(2769),
    [anon_sym_static_assert] = ACTIONS(2769),
    [anon_sym_concept] = ACTIONS(2769),
    [anon_sym_co_return] = ACTIONS(2769),
    [anon_sym_co_yield] = ACTIONS(2769),
    [anon_sym_R_DQUOTE] = ACTIONS(2771),
    [anon_sym_LR_DQUOTE] = ACTIONS(2771),
    [anon_sym_uR_DQUOTE] = ACTIONS(2771),
    [anon_sym_UR_DQUOTE] = ACTIONS(2771),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2771),
    [anon_sym_co_await] = ACTIONS(2769),
    [anon_sym_new] = ACTIONS(2769),
    [anon_sym_requires] = ACTIONS(2769),
    [sym_this] = ACTIONS(2769),
    [anon_sym_discard] = ACTIONS(2769),
    [anon_sym_precise] = ACTIONS(2769),
    [anon_sym_shared] = ACTIONS(2769),
    [anon_sym_groupshared] = ACTIONS(2769),
    [anon_sym_uniform] = ACTIONS(2769),
    [anon_sym_row_major] = ACTIONS(2769),
    [anon_sym_column_major] = ACTIONS(2769),
    [anon_sym_globallycoherent] = ACTIONS(2769),
    [anon_sym_centroid] = ACTIONS(2769),
    [anon_sym_noperspective] = ACTIONS(2769),
    [anon_sym_nointerpolation] = ACTIONS(2769),
    [anon_sym_sample] = ACTIONS(2769),
    [anon_sym_linear] = ACTIONS(2769),
    [anon_sym_snorm] = ACTIONS(2769),
    [anon_sym_unorm] = ACTIONS(2769),
    [anon_sym_point] = ACTIONS(2769),
    [anon_sym_line] = ACTIONS(2769),
    [anon_sym_triangleadj] = ACTIONS(2769),
    [anon_sym_lineadj] = ACTIONS(2769),
    [anon_sym_triangle] = ACTIONS(2769),
    [anon_sym_cbuffer] = ACTIONS(2769),
  },
  [416] = {
    [sym_identifier] = ACTIONS(2238),
    [aux_sym_preproc_include_token1] = ACTIONS(2238),
    [aux_sym_preproc_def_token1] = ACTIONS(2238),
    [aux_sym_preproc_if_token1] = ACTIONS(2238),
    [aux_sym_preproc_if_token2] = ACTIONS(2238),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2238),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2238),
    [aux_sym_preproc_else_token1] = ACTIONS(2238),
    [aux_sym_preproc_elif_token1] = ACTIONS(2238),
    [sym_preproc_directive] = ACTIONS(2238),
    [anon_sym_LPAREN2] = ACTIONS(2236),
    [anon_sym_BANG] = ACTIONS(2236),
    [anon_sym_TILDE] = ACTIONS(2236),
    [anon_sym_DASH] = ACTIONS(2238),
    [anon_sym_PLUS] = ACTIONS(2238),
    [anon_sym_STAR] = ACTIONS(2236),
    [anon_sym_AMP_AMP] = ACTIONS(2236),
    [anon_sym_AMP] = ACTIONS(2238),
    [anon_sym_SEMI] = ACTIONS(2236),
    [anon_sym___extension__] = ACTIONS(2238),
    [anon_sym_typedef] = ACTIONS(2238),
    [anon_sym_in] = ACTIONS(2238),
    [anon_sym_out] = ACTIONS(2238),
    [anon_sym_inout] = ACTIONS(2238),
    [anon_sym_extern] = ACTIONS(2238),
    [anon_sym___attribute__] = ACTIONS(2238),
    [anon_sym_COLON_COLON] = ACTIONS(2236),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2236),
    [anon_sym___declspec] = ACTIONS(2238),
    [anon_sym___based] = ACTIONS(2238),
    [anon_sym___cdecl] = ACTIONS(2238),
    [anon_sym___clrcall] = ACTIONS(2238),
    [anon_sym___stdcall] = ACTIONS(2238),
    [anon_sym___fastcall] = ACTIONS(2238),
    [anon_sym___thiscall] = ACTIONS(2238),
    [anon_sym___vectorcall] = ACTIONS(2238),
    [anon_sym_LBRACE] = ACTIONS(2236),
    [anon_sym_signed] = ACTIONS(2238),
    [anon_sym_unsigned] = ACTIONS(2238),
    [anon_sym_long] = ACTIONS(2238),
    [anon_sym_short] = ACTIONS(2238),
    [anon_sym_LBRACK] = ACTIONS(2238),
    [anon_sym_static] = ACTIONS(2238),
    [anon_sym_register] = ACTIONS(2238),
    [anon_sym_inline] = ACTIONS(2238),
    [anon_sym___inline] = ACTIONS(2238),
    [anon_sym___inline__] = ACTIONS(2238),
    [anon_sym___forceinline] = ACTIONS(2238),
    [anon_sym_thread_local] = ACTIONS(2238),
    [anon_sym___thread] = ACTIONS(2238),
    [anon_sym_const] = ACTIONS(2238),
    [anon_sym_constexpr] = ACTIONS(2238),
    [anon_sym_volatile] = ACTIONS(2238),
    [anon_sym_restrict] = ACTIONS(2238),
    [anon_sym___restrict__] = ACTIONS(2238),
    [anon_sym__Atomic] = ACTIONS(2238),
    [anon_sym__Noreturn] = ACTIONS(2238),
    [anon_sym_noreturn] = ACTIONS(2238),
    [anon_sym_mutable] = ACTIONS(2238),
    [anon_sym_constinit] = ACTIONS(2238),
    [anon_sym_consteval] = ACTIONS(2238),
    [sym_primitive_type] = ACTIONS(2238),
    [anon_sym_enum] = ACTIONS(2238),
    [anon_sym_class] = ACTIONS(2238),
    [anon_sym_struct] = ACTIONS(2238),
    [anon_sym_union] = ACTIONS(2238),
    [anon_sym_if] = ACTIONS(2238),
    [anon_sym_else] = ACTIONS(2238),
    [anon_sym_switch] = ACTIONS(2238),
    [anon_sym_case] = ACTIONS(2238),
    [anon_sym_default] = ACTIONS(2238),
    [anon_sym_while] = ACTIONS(2238),
    [anon_sym_do] = ACTIONS(2238),
    [anon_sym_for] = ACTIONS(2238),
    [anon_sym_return] = ACTIONS(2238),
    [anon_sym_break] = ACTIONS(2238),
    [anon_sym_continue] = ACTIONS(2238),
    [anon_sym_goto] = ACTIONS(2238),
    [anon_sym___try] = ACTIONS(2238),
    [anon_sym___leave] = ACTIONS(2238),
    [anon_sym_not] = ACTIONS(2238),
    [anon_sym_compl] = ACTIONS(2238),
    [anon_sym_DASH_DASH] = ACTIONS(2236),
    [anon_sym_PLUS_PLUS] = ACTIONS(2236),
    [anon_sym_sizeof] = ACTIONS(2238),
    [anon_sym___alignof__] = ACTIONS(2238),
    [anon_sym___alignof] = ACTIONS(2238),
    [anon_sym__alignof] = ACTIONS(2238),
    [anon_sym_alignof] = ACTIONS(2238),
    [anon_sym__Alignof] = ACTIONS(2238),
    [anon_sym_offsetof] = ACTIONS(2238),
    [anon_sym__Generic] = ACTIONS(2238),
    [anon_sym_asm] = ACTIONS(2238),
    [anon_sym___asm__] = ACTIONS(2238),
    [sym_number_literal] = ACTIONS(2236),
    [anon_sym_L_SQUOTE] = ACTIONS(2236),
    [anon_sym_u_SQUOTE] = ACTIONS(2236),
    [anon_sym_U_SQUOTE] = ACTIONS(2236),
    [anon_sym_u8_SQUOTE] = ACTIONS(2236),
    [anon_sym_SQUOTE] = ACTIONS(2236),
    [anon_sym_L_DQUOTE] = ACTIONS(2236),
    [anon_sym_u_DQUOTE] = ACTIONS(2236),
    [anon_sym_U_DQUOTE] = ACTIONS(2236),
    [anon_sym_u8_DQUOTE] = ACTIONS(2236),
    [anon_sym_DQUOTE] = ACTIONS(2236),
    [sym_true] = ACTIONS(2238),
    [sym_false] = ACTIONS(2238),
    [anon_sym_NULL] = ACTIONS(2238),
    [anon_sym_nullptr] = ACTIONS(2238),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2238),
    [anon_sym_decltype] = ACTIONS(2238),
    [anon_sym_virtual] = ACTIONS(2238),
    [anon_sym_alignas] = ACTIONS(2238),
    [anon_sym_explicit] = ACTIONS(2238),
    [anon_sym_typename] = ACTIONS(2238),
    [anon_sym_template] = ACTIONS(2238),
    [anon_sym_operator] = ACTIONS(2238),
    [anon_sym_try] = ACTIONS(2238),
    [anon_sym_delete] = ACTIONS(2238),
    [anon_sym_throw] = ACTIONS(2238),
    [anon_sym_namespace] = ACTIONS(2238),
    [anon_sym_using] = ACTIONS(2238),
    [anon_sym_static_assert] = ACTIONS(2238),
    [anon_sym_concept] = ACTIONS(2238),
    [anon_sym_co_return] = ACTIONS(2238),
    [anon_sym_co_yield] = ACTIONS(2238),
    [anon_sym_catch] = ACTIONS(2238),
    [anon_sym_R_DQUOTE] = ACTIONS(2236),
    [anon_sym_LR_DQUOTE] = ACTIONS(2236),
    [anon_sym_uR_DQUOTE] = ACTIONS(2236),
    [anon_sym_UR_DQUOTE] = ACTIONS(2236),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2236),
    [anon_sym_co_await] = ACTIONS(2238),
    [anon_sym_new] = ACTIONS(2238),
    [anon_sym_requires] = ACTIONS(2238),
    [sym_this] = ACTIONS(2238),
    [anon_sym_discard] = ACTIONS(2238),
    [anon_sym_precise] = ACTIONS(2238),
    [anon_sym_shared] = ACTIONS(2238),
    [anon_sym_groupshared] = ACTIONS(2238),
    [anon_sym_uniform] = ACTIONS(2238),
    [anon_sym_row_major] = ACTIONS(2238),
    [anon_sym_column_major] = ACTIONS(2238),
    [anon_sym_globallycoherent] = ACTIONS(2238),
    [anon_sym_centroid] = ACTIONS(2238),
    [anon_sym_noperspective] = ACTIONS(2238),
    [anon_sym_nointerpolation] = ACTIONS(2238),
    [anon_sym_sample] = ACTIONS(2238),
    [anon_sym_linear] = ACTIONS(2238),
    [anon_sym_snorm] = ACTIONS(2238),
    [anon_sym_unorm] = ACTIONS(2238),
    [anon_sym_point] = ACTIONS(2238),
    [anon_sym_line] = ACTIONS(2238),
    [anon_sym_triangleadj] = ACTIONS(2238),
    [anon_sym_lineadj] = ACTIONS(2238),
    [anon_sym_triangle] = ACTIONS(2238),
    [anon_sym_cbuffer] = ACTIONS(2238),
  },
  [417] = {
    [ts_builtin_sym_end] = ACTIONS(2202),
    [sym_identifier] = ACTIONS(2200),
    [aux_sym_preproc_include_token1] = ACTIONS(2200),
    [aux_sym_preproc_def_token1] = ACTIONS(2200),
    [aux_sym_preproc_if_token1] = ACTIONS(2200),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2200),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2200),
    [sym_preproc_directive] = ACTIONS(2200),
    [anon_sym_LPAREN2] = ACTIONS(2202),
    [anon_sym_BANG] = ACTIONS(2202),
    [anon_sym_TILDE] = ACTIONS(2202),
    [anon_sym_DASH] = ACTIONS(2200),
    [anon_sym_PLUS] = ACTIONS(2200),
    [anon_sym_STAR] = ACTIONS(2202),
    [anon_sym_AMP_AMP] = ACTIONS(2202),
    [anon_sym_AMP] = ACTIONS(2200),
    [anon_sym_COLON] = ACTIONS(2200),
    [anon_sym_SEMI] = ACTIONS(2202),
    [anon_sym___extension__] = ACTIONS(2200),
    [anon_sym_typedef] = ACTIONS(2200),
    [anon_sym_in] = ACTIONS(2200),
    [anon_sym_out] = ACTIONS(2200),
    [anon_sym_inout] = ACTIONS(2200),
    [anon_sym_extern] = ACTIONS(2200),
    [anon_sym___attribute__] = ACTIONS(2200),
    [anon_sym_COLON_COLON] = ACTIONS(2202),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2202),
    [anon_sym___declspec] = ACTIONS(2200),
    [anon_sym___based] = ACTIONS(2200),
    [anon_sym___cdecl] = ACTIONS(2200),
    [anon_sym___clrcall] = ACTIONS(2200),
    [anon_sym___stdcall] = ACTIONS(2200),
    [anon_sym___fastcall] = ACTIONS(2200),
    [anon_sym___thiscall] = ACTIONS(2200),
    [anon_sym___vectorcall] = ACTIONS(2200),
    [anon_sym_LBRACE] = ACTIONS(2202),
    [anon_sym_signed] = ACTIONS(2200),
    [anon_sym_unsigned] = ACTIONS(2200),
    [anon_sym_long] = ACTIONS(2200),
    [anon_sym_short] = ACTIONS(2200),
    [anon_sym_LBRACK] = ACTIONS(2200),
    [anon_sym_static] = ACTIONS(2200),
    [anon_sym_register] = ACTIONS(2200),
    [anon_sym_inline] = ACTIONS(2200),
    [anon_sym___inline] = ACTIONS(2200),
    [anon_sym___inline__] = ACTIONS(2200),
    [anon_sym___forceinline] = ACTIONS(2200),
    [anon_sym_thread_local] = ACTIONS(2200),
    [anon_sym___thread] = ACTIONS(2200),
    [anon_sym_const] = ACTIONS(2200),
    [anon_sym_constexpr] = ACTIONS(2200),
    [anon_sym_volatile] = ACTIONS(2200),
    [anon_sym_restrict] = ACTIONS(2200),
    [anon_sym___restrict__] = ACTIONS(2200),
    [anon_sym__Atomic] = ACTIONS(2200),
    [anon_sym__Noreturn] = ACTIONS(2200),
    [anon_sym_noreturn] = ACTIONS(2200),
    [anon_sym_mutable] = ACTIONS(2200),
    [anon_sym_constinit] = ACTIONS(2200),
    [anon_sym_consteval] = ACTIONS(2200),
    [sym_primitive_type] = ACTIONS(2200),
    [anon_sym_enum] = ACTIONS(2200),
    [anon_sym_class] = ACTIONS(2200),
    [anon_sym_struct] = ACTIONS(2200),
    [anon_sym_union] = ACTIONS(2200),
    [anon_sym_if] = ACTIONS(2200),
    [anon_sym_else] = ACTIONS(2200),
    [anon_sym_switch] = ACTIONS(2200),
    [anon_sym_case] = ACTIONS(2200),
    [anon_sym_default] = ACTIONS(2200),
    [anon_sym_while] = ACTIONS(2200),
    [anon_sym_do] = ACTIONS(2200),
    [anon_sym_for] = ACTIONS(2200),
    [anon_sym_return] = ACTIONS(2200),
    [anon_sym_break] = ACTIONS(2200),
    [anon_sym_continue] = ACTIONS(2200),
    [anon_sym_goto] = ACTIONS(2200),
    [anon_sym___try] = ACTIONS(2200),
    [anon_sym___leave] = ACTIONS(2200),
    [anon_sym_not] = ACTIONS(2200),
    [anon_sym_compl] = ACTIONS(2200),
    [anon_sym_DASH_DASH] = ACTIONS(2202),
    [anon_sym_PLUS_PLUS] = ACTIONS(2202),
    [anon_sym_sizeof] = ACTIONS(2200),
    [anon_sym___alignof__] = ACTIONS(2200),
    [anon_sym___alignof] = ACTIONS(2200),
    [anon_sym__alignof] = ACTIONS(2200),
    [anon_sym_alignof] = ACTIONS(2200),
    [anon_sym__Alignof] = ACTIONS(2200),
    [anon_sym_offsetof] = ACTIONS(2200),
    [anon_sym__Generic] = ACTIONS(2200),
    [anon_sym_asm] = ACTIONS(2200),
    [anon_sym___asm__] = ACTIONS(2200),
    [sym_number_literal] = ACTIONS(2202),
    [anon_sym_L_SQUOTE] = ACTIONS(2202),
    [anon_sym_u_SQUOTE] = ACTIONS(2202),
    [anon_sym_U_SQUOTE] = ACTIONS(2202),
    [anon_sym_u8_SQUOTE] = ACTIONS(2202),
    [anon_sym_SQUOTE] = ACTIONS(2202),
    [anon_sym_L_DQUOTE] = ACTIONS(2202),
    [anon_sym_u_DQUOTE] = ACTIONS(2202),
    [anon_sym_U_DQUOTE] = ACTIONS(2202),
    [anon_sym_u8_DQUOTE] = ACTIONS(2202),
    [anon_sym_DQUOTE] = ACTIONS(2202),
    [sym_true] = ACTIONS(2200),
    [sym_false] = ACTIONS(2200),
    [anon_sym_NULL] = ACTIONS(2200),
    [anon_sym_nullptr] = ACTIONS(2200),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2200),
    [anon_sym_decltype] = ACTIONS(2200),
    [anon_sym_final] = ACTIONS(2200),
    [anon_sym_override] = ACTIONS(2200),
    [anon_sym_virtual] = ACTIONS(2200),
    [anon_sym_alignas] = ACTIONS(2200),
    [anon_sym_explicit] = ACTIONS(2200),
    [anon_sym_typename] = ACTIONS(2200),
    [anon_sym_template] = ACTIONS(2200),
    [anon_sym_operator] = ACTIONS(2200),
    [anon_sym_try] = ACTIONS(2200),
    [anon_sym_delete] = ACTIONS(2200),
    [anon_sym_throw] = ACTIONS(2200),
    [anon_sym_namespace] = ACTIONS(2200),
    [anon_sym_using] = ACTIONS(2200),
    [anon_sym_static_assert] = ACTIONS(2200),
    [anon_sym_concept] = ACTIONS(2200),
    [anon_sym_co_return] = ACTIONS(2200),
    [anon_sym_co_yield] = ACTIONS(2200),
    [anon_sym_R_DQUOTE] = ACTIONS(2202),
    [anon_sym_LR_DQUOTE] = ACTIONS(2202),
    [anon_sym_uR_DQUOTE] = ACTIONS(2202),
    [anon_sym_UR_DQUOTE] = ACTIONS(2202),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2202),
    [anon_sym_co_await] = ACTIONS(2200),
    [anon_sym_new] = ACTIONS(2200),
    [anon_sym_requires] = ACTIONS(2200),
    [sym_this] = ACTIONS(2200),
    [anon_sym_discard] = ACTIONS(2200),
    [anon_sym_precise] = ACTIONS(2200),
    [anon_sym_shared] = ACTIONS(2200),
    [anon_sym_groupshared] = ACTIONS(2200),
    [anon_sym_uniform] = ACTIONS(2200),
    [anon_sym_row_major] = ACTIONS(2200),
    [anon_sym_column_major] = ACTIONS(2200),
    [anon_sym_globallycoherent] = ACTIONS(2200),
    [anon_sym_centroid] = ACTIONS(2200),
    [anon_sym_noperspective] = ACTIONS(2200),
    [anon_sym_nointerpolation] = ACTIONS(2200),
    [anon_sym_sample] = ACTIONS(2200),
    [anon_sym_linear] = ACTIONS(2200),
    [anon_sym_snorm] = ACTIONS(2200),
    [anon_sym_unorm] = ACTIONS(2200),
    [anon_sym_point] = ACTIONS(2200),
    [anon_sym_line] = ACTIONS(2200),
    [anon_sym_triangleadj] = ACTIONS(2200),
    [anon_sym_lineadj] = ACTIONS(2200),
    [anon_sym_triangle] = ACTIONS(2200),
    [anon_sym_cbuffer] = ACTIONS(2200),
  },
  [418] = {
    [sym_identifier] = ACTIONS(2773),
    [aux_sym_preproc_include_token1] = ACTIONS(2773),
    [aux_sym_preproc_def_token1] = ACTIONS(2773),
    [aux_sym_preproc_if_token1] = ACTIONS(2773),
    [aux_sym_preproc_if_token2] = ACTIONS(2773),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2773),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2773),
    [aux_sym_preproc_else_token1] = ACTIONS(2773),
    [aux_sym_preproc_elif_token1] = ACTIONS(2773),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2773),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2773),
    [sym_preproc_directive] = ACTIONS(2773),
    [anon_sym_LPAREN2] = ACTIONS(2775),
    [anon_sym_BANG] = ACTIONS(2775),
    [anon_sym_TILDE] = ACTIONS(2775),
    [anon_sym_DASH] = ACTIONS(2773),
    [anon_sym_PLUS] = ACTIONS(2773),
    [anon_sym_STAR] = ACTIONS(2775),
    [anon_sym_AMP_AMP] = ACTIONS(2775),
    [anon_sym_AMP] = ACTIONS(2773),
    [anon_sym_SEMI] = ACTIONS(2775),
    [anon_sym___extension__] = ACTIONS(2773),
    [anon_sym_typedef] = ACTIONS(2773),
    [anon_sym_in] = ACTIONS(2773),
    [anon_sym_out] = ACTIONS(2773),
    [anon_sym_inout] = ACTIONS(2773),
    [anon_sym_extern] = ACTIONS(2773),
    [anon_sym___attribute__] = ACTIONS(2773),
    [anon_sym_COLON_COLON] = ACTIONS(2775),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2775),
    [anon_sym___declspec] = ACTIONS(2773),
    [anon_sym___based] = ACTIONS(2773),
    [anon_sym___cdecl] = ACTIONS(2773),
    [anon_sym___clrcall] = ACTIONS(2773),
    [anon_sym___stdcall] = ACTIONS(2773),
    [anon_sym___fastcall] = ACTIONS(2773),
    [anon_sym___thiscall] = ACTIONS(2773),
    [anon_sym___vectorcall] = ACTIONS(2773),
    [anon_sym_LBRACE] = ACTIONS(2775),
    [anon_sym_signed] = ACTIONS(2773),
    [anon_sym_unsigned] = ACTIONS(2773),
    [anon_sym_long] = ACTIONS(2773),
    [anon_sym_short] = ACTIONS(2773),
    [anon_sym_LBRACK] = ACTIONS(2773),
    [anon_sym_static] = ACTIONS(2773),
    [anon_sym_register] = ACTIONS(2773),
    [anon_sym_inline] = ACTIONS(2773),
    [anon_sym___inline] = ACTIONS(2773),
    [anon_sym___inline__] = ACTIONS(2773),
    [anon_sym___forceinline] = ACTIONS(2773),
    [anon_sym_thread_local] = ACTIONS(2773),
    [anon_sym___thread] = ACTIONS(2773),
    [anon_sym_const] = ACTIONS(2773),
    [anon_sym_constexpr] = ACTIONS(2773),
    [anon_sym_volatile] = ACTIONS(2773),
    [anon_sym_restrict] = ACTIONS(2773),
    [anon_sym___restrict__] = ACTIONS(2773),
    [anon_sym__Atomic] = ACTIONS(2773),
    [anon_sym__Noreturn] = ACTIONS(2773),
    [anon_sym_noreturn] = ACTIONS(2773),
    [anon_sym_mutable] = ACTIONS(2773),
    [anon_sym_constinit] = ACTIONS(2773),
    [anon_sym_consteval] = ACTIONS(2773),
    [sym_primitive_type] = ACTIONS(2773),
    [anon_sym_enum] = ACTIONS(2773),
    [anon_sym_class] = ACTIONS(2773),
    [anon_sym_struct] = ACTIONS(2773),
    [anon_sym_union] = ACTIONS(2773),
    [anon_sym_if] = ACTIONS(2773),
    [anon_sym_switch] = ACTIONS(2773),
    [anon_sym_case] = ACTIONS(2773),
    [anon_sym_default] = ACTIONS(2773),
    [anon_sym_while] = ACTIONS(2773),
    [anon_sym_do] = ACTIONS(2773),
    [anon_sym_for] = ACTIONS(2773),
    [anon_sym_return] = ACTIONS(2773),
    [anon_sym_break] = ACTIONS(2773),
    [anon_sym_continue] = ACTIONS(2773),
    [anon_sym_goto] = ACTIONS(2773),
    [anon_sym___try] = ACTIONS(2773),
    [anon_sym___leave] = ACTIONS(2773),
    [anon_sym_not] = ACTIONS(2773),
    [anon_sym_compl] = ACTIONS(2773),
    [anon_sym_DASH_DASH] = ACTIONS(2775),
    [anon_sym_PLUS_PLUS] = ACTIONS(2775),
    [anon_sym_sizeof] = ACTIONS(2773),
    [anon_sym___alignof__] = ACTIONS(2773),
    [anon_sym___alignof] = ACTIONS(2773),
    [anon_sym__alignof] = ACTIONS(2773),
    [anon_sym_alignof] = ACTIONS(2773),
    [anon_sym__Alignof] = ACTIONS(2773),
    [anon_sym_offsetof] = ACTIONS(2773),
    [anon_sym__Generic] = ACTIONS(2773),
    [anon_sym_asm] = ACTIONS(2773),
    [anon_sym___asm__] = ACTIONS(2773),
    [sym_number_literal] = ACTIONS(2775),
    [anon_sym_L_SQUOTE] = ACTIONS(2775),
    [anon_sym_u_SQUOTE] = ACTIONS(2775),
    [anon_sym_U_SQUOTE] = ACTIONS(2775),
    [anon_sym_u8_SQUOTE] = ACTIONS(2775),
    [anon_sym_SQUOTE] = ACTIONS(2775),
    [anon_sym_L_DQUOTE] = ACTIONS(2775),
    [anon_sym_u_DQUOTE] = ACTIONS(2775),
    [anon_sym_U_DQUOTE] = ACTIONS(2775),
    [anon_sym_u8_DQUOTE] = ACTIONS(2775),
    [anon_sym_DQUOTE] = ACTIONS(2775),
    [sym_true] = ACTIONS(2773),
    [sym_false] = ACTIONS(2773),
    [anon_sym_NULL] = ACTIONS(2773),
    [anon_sym_nullptr] = ACTIONS(2773),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2773),
    [anon_sym_decltype] = ACTIONS(2773),
    [anon_sym_virtual] = ACTIONS(2773),
    [anon_sym_alignas] = ACTIONS(2773),
    [anon_sym_explicit] = ACTIONS(2773),
    [anon_sym_typename] = ACTIONS(2773),
    [anon_sym_template] = ACTIONS(2773),
    [anon_sym_operator] = ACTIONS(2773),
    [anon_sym_try] = ACTIONS(2773),
    [anon_sym_delete] = ACTIONS(2773),
    [anon_sym_throw] = ACTIONS(2773),
    [anon_sym_namespace] = ACTIONS(2773),
    [anon_sym_using] = ACTIONS(2773),
    [anon_sym_static_assert] = ACTIONS(2773),
    [anon_sym_concept] = ACTIONS(2773),
    [anon_sym_co_return] = ACTIONS(2773),
    [anon_sym_co_yield] = ACTIONS(2773),
    [anon_sym_R_DQUOTE] = ACTIONS(2775),
    [anon_sym_LR_DQUOTE] = ACTIONS(2775),
    [anon_sym_uR_DQUOTE] = ACTIONS(2775),
    [anon_sym_UR_DQUOTE] = ACTIONS(2775),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2775),
    [anon_sym_co_await] = ACTIONS(2773),
    [anon_sym_new] = ACTIONS(2773),
    [anon_sym_requires] = ACTIONS(2773),
    [sym_this] = ACTIONS(2773),
    [anon_sym_discard] = ACTIONS(2773),
    [anon_sym_precise] = ACTIONS(2773),
    [anon_sym_shared] = ACTIONS(2773),
    [anon_sym_groupshared] = ACTIONS(2773),
    [anon_sym_uniform] = ACTIONS(2773),
    [anon_sym_row_major] = ACTIONS(2773),
    [anon_sym_column_major] = ACTIONS(2773),
    [anon_sym_globallycoherent] = ACTIONS(2773),
    [anon_sym_centroid] = ACTIONS(2773),
    [anon_sym_noperspective] = ACTIONS(2773),
    [anon_sym_nointerpolation] = ACTIONS(2773),
    [anon_sym_sample] = ACTIONS(2773),
    [anon_sym_linear] = ACTIONS(2773),
    [anon_sym_snorm] = ACTIONS(2773),
    [anon_sym_unorm] = ACTIONS(2773),
    [anon_sym_point] = ACTIONS(2773),
    [anon_sym_line] = ACTIONS(2773),
    [anon_sym_triangleadj] = ACTIONS(2773),
    [anon_sym_lineadj] = ACTIONS(2773),
    [anon_sym_triangle] = ACTIONS(2773),
    [anon_sym_cbuffer] = ACTIONS(2773),
  },
  [419] = {
    [sym_identifier] = ACTIONS(2777),
    [aux_sym_preproc_include_token1] = ACTIONS(2777),
    [aux_sym_preproc_def_token1] = ACTIONS(2777),
    [aux_sym_preproc_if_token1] = ACTIONS(2777),
    [aux_sym_preproc_if_token2] = ACTIONS(2777),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2777),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2777),
    [aux_sym_preproc_else_token1] = ACTIONS(2777),
    [aux_sym_preproc_elif_token1] = ACTIONS(2777),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2777),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2777),
    [sym_preproc_directive] = ACTIONS(2777),
    [anon_sym_LPAREN2] = ACTIONS(2779),
    [anon_sym_BANG] = ACTIONS(2779),
    [anon_sym_TILDE] = ACTIONS(2779),
    [anon_sym_DASH] = ACTIONS(2777),
    [anon_sym_PLUS] = ACTIONS(2777),
    [anon_sym_STAR] = ACTIONS(2779),
    [anon_sym_AMP_AMP] = ACTIONS(2779),
    [anon_sym_AMP] = ACTIONS(2777),
    [anon_sym_SEMI] = ACTIONS(2779),
    [anon_sym___extension__] = ACTIONS(2777),
    [anon_sym_typedef] = ACTIONS(2777),
    [anon_sym_in] = ACTIONS(2777),
    [anon_sym_out] = ACTIONS(2777),
    [anon_sym_inout] = ACTIONS(2777),
    [anon_sym_extern] = ACTIONS(2777),
    [anon_sym___attribute__] = ACTIONS(2777),
    [anon_sym_COLON_COLON] = ACTIONS(2779),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2779),
    [anon_sym___declspec] = ACTIONS(2777),
    [anon_sym___based] = ACTIONS(2777),
    [anon_sym___cdecl] = ACTIONS(2777),
    [anon_sym___clrcall] = ACTIONS(2777),
    [anon_sym___stdcall] = ACTIONS(2777),
    [anon_sym___fastcall] = ACTIONS(2777),
    [anon_sym___thiscall] = ACTIONS(2777),
    [anon_sym___vectorcall] = ACTIONS(2777),
    [anon_sym_LBRACE] = ACTIONS(2779),
    [anon_sym_signed] = ACTIONS(2777),
    [anon_sym_unsigned] = ACTIONS(2777),
    [anon_sym_long] = ACTIONS(2777),
    [anon_sym_short] = ACTIONS(2777),
    [anon_sym_LBRACK] = ACTIONS(2777),
    [anon_sym_static] = ACTIONS(2777),
    [anon_sym_register] = ACTIONS(2777),
    [anon_sym_inline] = ACTIONS(2777),
    [anon_sym___inline] = ACTIONS(2777),
    [anon_sym___inline__] = ACTIONS(2777),
    [anon_sym___forceinline] = ACTIONS(2777),
    [anon_sym_thread_local] = ACTIONS(2777),
    [anon_sym___thread] = ACTIONS(2777),
    [anon_sym_const] = ACTIONS(2777),
    [anon_sym_constexpr] = ACTIONS(2777),
    [anon_sym_volatile] = ACTIONS(2777),
    [anon_sym_restrict] = ACTIONS(2777),
    [anon_sym___restrict__] = ACTIONS(2777),
    [anon_sym__Atomic] = ACTIONS(2777),
    [anon_sym__Noreturn] = ACTIONS(2777),
    [anon_sym_noreturn] = ACTIONS(2777),
    [anon_sym_mutable] = ACTIONS(2777),
    [anon_sym_constinit] = ACTIONS(2777),
    [anon_sym_consteval] = ACTIONS(2777),
    [sym_primitive_type] = ACTIONS(2777),
    [anon_sym_enum] = ACTIONS(2777),
    [anon_sym_class] = ACTIONS(2777),
    [anon_sym_struct] = ACTIONS(2777),
    [anon_sym_union] = ACTIONS(2777),
    [anon_sym_if] = ACTIONS(2777),
    [anon_sym_switch] = ACTIONS(2777),
    [anon_sym_case] = ACTIONS(2777),
    [anon_sym_default] = ACTIONS(2777),
    [anon_sym_while] = ACTIONS(2777),
    [anon_sym_do] = ACTIONS(2777),
    [anon_sym_for] = ACTIONS(2777),
    [anon_sym_return] = ACTIONS(2777),
    [anon_sym_break] = ACTIONS(2777),
    [anon_sym_continue] = ACTIONS(2777),
    [anon_sym_goto] = ACTIONS(2777),
    [anon_sym___try] = ACTIONS(2777),
    [anon_sym___leave] = ACTIONS(2777),
    [anon_sym_not] = ACTIONS(2777),
    [anon_sym_compl] = ACTIONS(2777),
    [anon_sym_DASH_DASH] = ACTIONS(2779),
    [anon_sym_PLUS_PLUS] = ACTIONS(2779),
    [anon_sym_sizeof] = ACTIONS(2777),
    [anon_sym___alignof__] = ACTIONS(2777),
    [anon_sym___alignof] = ACTIONS(2777),
    [anon_sym__alignof] = ACTIONS(2777),
    [anon_sym_alignof] = ACTIONS(2777),
    [anon_sym__Alignof] = ACTIONS(2777),
    [anon_sym_offsetof] = ACTIONS(2777),
    [anon_sym__Generic] = ACTIONS(2777),
    [anon_sym_asm] = ACTIONS(2777),
    [anon_sym___asm__] = ACTIONS(2777),
    [sym_number_literal] = ACTIONS(2779),
    [anon_sym_L_SQUOTE] = ACTIONS(2779),
    [anon_sym_u_SQUOTE] = ACTIONS(2779),
    [anon_sym_U_SQUOTE] = ACTIONS(2779),
    [anon_sym_u8_SQUOTE] = ACTIONS(2779),
    [anon_sym_SQUOTE] = ACTIONS(2779),
    [anon_sym_L_DQUOTE] = ACTIONS(2779),
    [anon_sym_u_DQUOTE] = ACTIONS(2779),
    [anon_sym_U_DQUOTE] = ACTIONS(2779),
    [anon_sym_u8_DQUOTE] = ACTIONS(2779),
    [anon_sym_DQUOTE] = ACTIONS(2779),
    [sym_true] = ACTIONS(2777),
    [sym_false] = ACTIONS(2777),
    [anon_sym_NULL] = ACTIONS(2777),
    [anon_sym_nullptr] = ACTIONS(2777),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2777),
    [anon_sym_decltype] = ACTIONS(2777),
    [anon_sym_virtual] = ACTIONS(2777),
    [anon_sym_alignas] = ACTIONS(2777),
    [anon_sym_explicit] = ACTIONS(2777),
    [anon_sym_typename] = ACTIONS(2777),
    [anon_sym_template] = ACTIONS(2777),
    [anon_sym_operator] = ACTIONS(2777),
    [anon_sym_try] = ACTIONS(2777),
    [anon_sym_delete] = ACTIONS(2777),
    [anon_sym_throw] = ACTIONS(2777),
    [anon_sym_namespace] = ACTIONS(2777),
    [anon_sym_using] = ACTIONS(2777),
    [anon_sym_static_assert] = ACTIONS(2777),
    [anon_sym_concept] = ACTIONS(2777),
    [anon_sym_co_return] = ACTIONS(2777),
    [anon_sym_co_yield] = ACTIONS(2777),
    [anon_sym_R_DQUOTE] = ACTIONS(2779),
    [anon_sym_LR_DQUOTE] = ACTIONS(2779),
    [anon_sym_uR_DQUOTE] = ACTIONS(2779),
    [anon_sym_UR_DQUOTE] = ACTIONS(2779),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2779),
    [anon_sym_co_await] = ACTIONS(2777),
    [anon_sym_new] = ACTIONS(2777),
    [anon_sym_requires] = ACTIONS(2777),
    [sym_this] = ACTIONS(2777),
    [anon_sym_discard] = ACTIONS(2777),
    [anon_sym_precise] = ACTIONS(2777),
    [anon_sym_shared] = ACTIONS(2777),
    [anon_sym_groupshared] = ACTIONS(2777),
    [anon_sym_uniform] = ACTIONS(2777),
    [anon_sym_row_major] = ACTIONS(2777),
    [anon_sym_column_major] = ACTIONS(2777),
    [anon_sym_globallycoherent] = ACTIONS(2777),
    [anon_sym_centroid] = ACTIONS(2777),
    [anon_sym_noperspective] = ACTIONS(2777),
    [anon_sym_nointerpolation] = ACTIONS(2777),
    [anon_sym_sample] = ACTIONS(2777),
    [anon_sym_linear] = ACTIONS(2777),
    [anon_sym_snorm] = ACTIONS(2777),
    [anon_sym_unorm] = ACTIONS(2777),
    [anon_sym_point] = ACTIONS(2777),
    [anon_sym_line] = ACTIONS(2777),
    [anon_sym_triangleadj] = ACTIONS(2777),
    [anon_sym_lineadj] = ACTIONS(2777),
    [anon_sym_triangle] = ACTIONS(2777),
    [anon_sym_cbuffer] = ACTIONS(2777),
  },
  [420] = {
    [sym_identifier] = ACTIONS(2781),
    [aux_sym_preproc_include_token1] = ACTIONS(2781),
    [aux_sym_preproc_def_token1] = ACTIONS(2781),
    [aux_sym_preproc_if_token1] = ACTIONS(2781),
    [aux_sym_preproc_if_token2] = ACTIONS(2781),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2781),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2781),
    [aux_sym_preproc_else_token1] = ACTIONS(2781),
    [aux_sym_preproc_elif_token1] = ACTIONS(2781),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2781),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2781),
    [sym_preproc_directive] = ACTIONS(2781),
    [anon_sym_LPAREN2] = ACTIONS(2783),
    [anon_sym_BANG] = ACTIONS(2783),
    [anon_sym_TILDE] = ACTIONS(2783),
    [anon_sym_DASH] = ACTIONS(2781),
    [anon_sym_PLUS] = ACTIONS(2781),
    [anon_sym_STAR] = ACTIONS(2783),
    [anon_sym_AMP_AMP] = ACTIONS(2783),
    [anon_sym_AMP] = ACTIONS(2781),
    [anon_sym_SEMI] = ACTIONS(2783),
    [anon_sym___extension__] = ACTIONS(2781),
    [anon_sym_typedef] = ACTIONS(2781),
    [anon_sym_in] = ACTIONS(2781),
    [anon_sym_out] = ACTIONS(2781),
    [anon_sym_inout] = ACTIONS(2781),
    [anon_sym_extern] = ACTIONS(2781),
    [anon_sym___attribute__] = ACTIONS(2781),
    [anon_sym_COLON_COLON] = ACTIONS(2783),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2783),
    [anon_sym___declspec] = ACTIONS(2781),
    [anon_sym___based] = ACTIONS(2781),
    [anon_sym___cdecl] = ACTIONS(2781),
    [anon_sym___clrcall] = ACTIONS(2781),
    [anon_sym___stdcall] = ACTIONS(2781),
    [anon_sym___fastcall] = ACTIONS(2781),
    [anon_sym___thiscall] = ACTIONS(2781),
    [anon_sym___vectorcall] = ACTIONS(2781),
    [anon_sym_LBRACE] = ACTIONS(2783),
    [anon_sym_signed] = ACTIONS(2781),
    [anon_sym_unsigned] = ACTIONS(2781),
    [anon_sym_long] = ACTIONS(2781),
    [anon_sym_short] = ACTIONS(2781),
    [anon_sym_LBRACK] = ACTIONS(2781),
    [anon_sym_static] = ACTIONS(2781),
    [anon_sym_register] = ACTIONS(2781),
    [anon_sym_inline] = ACTIONS(2781),
    [anon_sym___inline] = ACTIONS(2781),
    [anon_sym___inline__] = ACTIONS(2781),
    [anon_sym___forceinline] = ACTIONS(2781),
    [anon_sym_thread_local] = ACTIONS(2781),
    [anon_sym___thread] = ACTIONS(2781),
    [anon_sym_const] = ACTIONS(2781),
    [anon_sym_constexpr] = ACTIONS(2781),
    [anon_sym_volatile] = ACTIONS(2781),
    [anon_sym_restrict] = ACTIONS(2781),
    [anon_sym___restrict__] = ACTIONS(2781),
    [anon_sym__Atomic] = ACTIONS(2781),
    [anon_sym__Noreturn] = ACTIONS(2781),
    [anon_sym_noreturn] = ACTIONS(2781),
    [anon_sym_mutable] = ACTIONS(2781),
    [anon_sym_constinit] = ACTIONS(2781),
    [anon_sym_consteval] = ACTIONS(2781),
    [sym_primitive_type] = ACTIONS(2781),
    [anon_sym_enum] = ACTIONS(2781),
    [anon_sym_class] = ACTIONS(2781),
    [anon_sym_struct] = ACTIONS(2781),
    [anon_sym_union] = ACTIONS(2781),
    [anon_sym_if] = ACTIONS(2781),
    [anon_sym_switch] = ACTIONS(2781),
    [anon_sym_case] = ACTIONS(2781),
    [anon_sym_default] = ACTIONS(2781),
    [anon_sym_while] = ACTIONS(2781),
    [anon_sym_do] = ACTIONS(2781),
    [anon_sym_for] = ACTIONS(2781),
    [anon_sym_return] = ACTIONS(2781),
    [anon_sym_break] = ACTIONS(2781),
    [anon_sym_continue] = ACTIONS(2781),
    [anon_sym_goto] = ACTIONS(2781),
    [anon_sym___try] = ACTIONS(2781),
    [anon_sym___leave] = ACTIONS(2781),
    [anon_sym_not] = ACTIONS(2781),
    [anon_sym_compl] = ACTIONS(2781),
    [anon_sym_DASH_DASH] = ACTIONS(2783),
    [anon_sym_PLUS_PLUS] = ACTIONS(2783),
    [anon_sym_sizeof] = ACTIONS(2781),
    [anon_sym___alignof__] = ACTIONS(2781),
    [anon_sym___alignof] = ACTIONS(2781),
    [anon_sym__alignof] = ACTIONS(2781),
    [anon_sym_alignof] = ACTIONS(2781),
    [anon_sym__Alignof] = ACTIONS(2781),
    [anon_sym_offsetof] = ACTIONS(2781),
    [anon_sym__Generic] = ACTIONS(2781),
    [anon_sym_asm] = ACTIONS(2781),
    [anon_sym___asm__] = ACTIONS(2781),
    [sym_number_literal] = ACTIONS(2783),
    [anon_sym_L_SQUOTE] = ACTIONS(2783),
    [anon_sym_u_SQUOTE] = ACTIONS(2783),
    [anon_sym_U_SQUOTE] = ACTIONS(2783),
    [anon_sym_u8_SQUOTE] = ACTIONS(2783),
    [anon_sym_SQUOTE] = ACTIONS(2783),
    [anon_sym_L_DQUOTE] = ACTIONS(2783),
    [anon_sym_u_DQUOTE] = ACTIONS(2783),
    [anon_sym_U_DQUOTE] = ACTIONS(2783),
    [anon_sym_u8_DQUOTE] = ACTIONS(2783),
    [anon_sym_DQUOTE] = ACTIONS(2783),
    [sym_true] = ACTIONS(2781),
    [sym_false] = ACTIONS(2781),
    [anon_sym_NULL] = ACTIONS(2781),
    [anon_sym_nullptr] = ACTIONS(2781),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2781),
    [anon_sym_decltype] = ACTIONS(2781),
    [anon_sym_virtual] = ACTIONS(2781),
    [anon_sym_alignas] = ACTIONS(2781),
    [anon_sym_explicit] = ACTIONS(2781),
    [anon_sym_typename] = ACTIONS(2781),
    [anon_sym_template] = ACTIONS(2781),
    [anon_sym_operator] = ACTIONS(2781),
    [anon_sym_try] = ACTIONS(2781),
    [anon_sym_delete] = ACTIONS(2781),
    [anon_sym_throw] = ACTIONS(2781),
    [anon_sym_namespace] = ACTIONS(2781),
    [anon_sym_using] = ACTIONS(2781),
    [anon_sym_static_assert] = ACTIONS(2781),
    [anon_sym_concept] = ACTIONS(2781),
    [anon_sym_co_return] = ACTIONS(2781),
    [anon_sym_co_yield] = ACTIONS(2781),
    [anon_sym_R_DQUOTE] = ACTIONS(2783),
    [anon_sym_LR_DQUOTE] = ACTIONS(2783),
    [anon_sym_uR_DQUOTE] = ACTIONS(2783),
    [anon_sym_UR_DQUOTE] = ACTIONS(2783),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2783),
    [anon_sym_co_await] = ACTIONS(2781),
    [anon_sym_new] = ACTIONS(2781),
    [anon_sym_requires] = ACTIONS(2781),
    [sym_this] = ACTIONS(2781),
    [anon_sym_discard] = ACTIONS(2781),
    [anon_sym_precise] = ACTIONS(2781),
    [anon_sym_shared] = ACTIONS(2781),
    [anon_sym_groupshared] = ACTIONS(2781),
    [anon_sym_uniform] = ACTIONS(2781),
    [anon_sym_row_major] = ACTIONS(2781),
    [anon_sym_column_major] = ACTIONS(2781),
    [anon_sym_globallycoherent] = ACTIONS(2781),
    [anon_sym_centroid] = ACTIONS(2781),
    [anon_sym_noperspective] = ACTIONS(2781),
    [anon_sym_nointerpolation] = ACTIONS(2781),
    [anon_sym_sample] = ACTIONS(2781),
    [anon_sym_linear] = ACTIONS(2781),
    [anon_sym_snorm] = ACTIONS(2781),
    [anon_sym_unorm] = ACTIONS(2781),
    [anon_sym_point] = ACTIONS(2781),
    [anon_sym_line] = ACTIONS(2781),
    [anon_sym_triangleadj] = ACTIONS(2781),
    [anon_sym_lineadj] = ACTIONS(2781),
    [anon_sym_triangle] = ACTIONS(2781),
    [anon_sym_cbuffer] = ACTIONS(2781),
  },
  [421] = {
    [ts_builtin_sym_end] = ACTIONS(2180),
    [sym_identifier] = ACTIONS(2178),
    [aux_sym_preproc_include_token1] = ACTIONS(2178),
    [aux_sym_preproc_def_token1] = ACTIONS(2178),
    [aux_sym_preproc_if_token1] = ACTIONS(2178),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2178),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2178),
    [sym_preproc_directive] = ACTIONS(2178),
    [anon_sym_LPAREN2] = ACTIONS(2180),
    [anon_sym_BANG] = ACTIONS(2180),
    [anon_sym_TILDE] = ACTIONS(2180),
    [anon_sym_DASH] = ACTIONS(2178),
    [anon_sym_PLUS] = ACTIONS(2178),
    [anon_sym_STAR] = ACTIONS(2180),
    [anon_sym_AMP_AMP] = ACTIONS(2180),
    [anon_sym_AMP] = ACTIONS(2178),
    [anon_sym_COLON] = ACTIONS(2178),
    [anon_sym_SEMI] = ACTIONS(2180),
    [anon_sym___extension__] = ACTIONS(2178),
    [anon_sym_typedef] = ACTIONS(2178),
    [anon_sym_in] = ACTIONS(2178),
    [anon_sym_out] = ACTIONS(2178),
    [anon_sym_inout] = ACTIONS(2178),
    [anon_sym_extern] = ACTIONS(2178),
    [anon_sym___attribute__] = ACTIONS(2178),
    [anon_sym_COLON_COLON] = ACTIONS(2180),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2180),
    [anon_sym___declspec] = ACTIONS(2178),
    [anon_sym___based] = ACTIONS(2178),
    [anon_sym___cdecl] = ACTIONS(2178),
    [anon_sym___clrcall] = ACTIONS(2178),
    [anon_sym___stdcall] = ACTIONS(2178),
    [anon_sym___fastcall] = ACTIONS(2178),
    [anon_sym___thiscall] = ACTIONS(2178),
    [anon_sym___vectorcall] = ACTIONS(2178),
    [anon_sym_LBRACE] = ACTIONS(2180),
    [anon_sym_signed] = ACTIONS(2178),
    [anon_sym_unsigned] = ACTIONS(2178),
    [anon_sym_long] = ACTIONS(2178),
    [anon_sym_short] = ACTIONS(2178),
    [anon_sym_LBRACK] = ACTIONS(2178),
    [anon_sym_static] = ACTIONS(2178),
    [anon_sym_register] = ACTIONS(2178),
    [anon_sym_inline] = ACTIONS(2178),
    [anon_sym___inline] = ACTIONS(2178),
    [anon_sym___inline__] = ACTIONS(2178),
    [anon_sym___forceinline] = ACTIONS(2178),
    [anon_sym_thread_local] = ACTIONS(2178),
    [anon_sym___thread] = ACTIONS(2178),
    [anon_sym_const] = ACTIONS(2178),
    [anon_sym_constexpr] = ACTIONS(2178),
    [anon_sym_volatile] = ACTIONS(2178),
    [anon_sym_restrict] = ACTIONS(2178),
    [anon_sym___restrict__] = ACTIONS(2178),
    [anon_sym__Atomic] = ACTIONS(2178),
    [anon_sym__Noreturn] = ACTIONS(2178),
    [anon_sym_noreturn] = ACTIONS(2178),
    [anon_sym_mutable] = ACTIONS(2178),
    [anon_sym_constinit] = ACTIONS(2178),
    [anon_sym_consteval] = ACTIONS(2178),
    [sym_primitive_type] = ACTIONS(2178),
    [anon_sym_enum] = ACTIONS(2178),
    [anon_sym_class] = ACTIONS(2178),
    [anon_sym_struct] = ACTIONS(2178),
    [anon_sym_union] = ACTIONS(2178),
    [anon_sym_if] = ACTIONS(2178),
    [anon_sym_else] = ACTIONS(2178),
    [anon_sym_switch] = ACTIONS(2178),
    [anon_sym_case] = ACTIONS(2178),
    [anon_sym_default] = ACTIONS(2178),
    [anon_sym_while] = ACTIONS(2178),
    [anon_sym_do] = ACTIONS(2178),
    [anon_sym_for] = ACTIONS(2178),
    [anon_sym_return] = ACTIONS(2178),
    [anon_sym_break] = ACTIONS(2178),
    [anon_sym_continue] = ACTIONS(2178),
    [anon_sym_goto] = ACTIONS(2178),
    [anon_sym___try] = ACTIONS(2178),
    [anon_sym___leave] = ACTIONS(2178),
    [anon_sym_not] = ACTIONS(2178),
    [anon_sym_compl] = ACTIONS(2178),
    [anon_sym_DASH_DASH] = ACTIONS(2180),
    [anon_sym_PLUS_PLUS] = ACTIONS(2180),
    [anon_sym_sizeof] = ACTIONS(2178),
    [anon_sym___alignof__] = ACTIONS(2178),
    [anon_sym___alignof] = ACTIONS(2178),
    [anon_sym__alignof] = ACTIONS(2178),
    [anon_sym_alignof] = ACTIONS(2178),
    [anon_sym__Alignof] = ACTIONS(2178),
    [anon_sym_offsetof] = ACTIONS(2178),
    [anon_sym__Generic] = ACTIONS(2178),
    [anon_sym_asm] = ACTIONS(2178),
    [anon_sym___asm__] = ACTIONS(2178),
    [sym_number_literal] = ACTIONS(2180),
    [anon_sym_L_SQUOTE] = ACTIONS(2180),
    [anon_sym_u_SQUOTE] = ACTIONS(2180),
    [anon_sym_U_SQUOTE] = ACTIONS(2180),
    [anon_sym_u8_SQUOTE] = ACTIONS(2180),
    [anon_sym_SQUOTE] = ACTIONS(2180),
    [anon_sym_L_DQUOTE] = ACTIONS(2180),
    [anon_sym_u_DQUOTE] = ACTIONS(2180),
    [anon_sym_U_DQUOTE] = ACTIONS(2180),
    [anon_sym_u8_DQUOTE] = ACTIONS(2180),
    [anon_sym_DQUOTE] = ACTIONS(2180),
    [sym_true] = ACTIONS(2178),
    [sym_false] = ACTIONS(2178),
    [anon_sym_NULL] = ACTIONS(2178),
    [anon_sym_nullptr] = ACTIONS(2178),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2178),
    [anon_sym_decltype] = ACTIONS(2178),
    [anon_sym_final] = ACTIONS(2178),
    [anon_sym_override] = ACTIONS(2178),
    [anon_sym_virtual] = ACTIONS(2178),
    [anon_sym_alignas] = ACTIONS(2178),
    [anon_sym_explicit] = ACTIONS(2178),
    [anon_sym_typename] = ACTIONS(2178),
    [anon_sym_template] = ACTIONS(2178),
    [anon_sym_operator] = ACTIONS(2178),
    [anon_sym_try] = ACTIONS(2178),
    [anon_sym_delete] = ACTIONS(2178),
    [anon_sym_throw] = ACTIONS(2178),
    [anon_sym_namespace] = ACTIONS(2178),
    [anon_sym_using] = ACTIONS(2178),
    [anon_sym_static_assert] = ACTIONS(2178),
    [anon_sym_concept] = ACTIONS(2178),
    [anon_sym_co_return] = ACTIONS(2178),
    [anon_sym_co_yield] = ACTIONS(2178),
    [anon_sym_R_DQUOTE] = ACTIONS(2180),
    [anon_sym_LR_DQUOTE] = ACTIONS(2180),
    [anon_sym_uR_DQUOTE] = ACTIONS(2180),
    [anon_sym_UR_DQUOTE] = ACTIONS(2180),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2180),
    [anon_sym_co_await] = ACTIONS(2178),
    [anon_sym_new] = ACTIONS(2178),
    [anon_sym_requires] = ACTIONS(2178),
    [sym_this] = ACTIONS(2178),
    [anon_sym_discard] = ACTIONS(2178),
    [anon_sym_precise] = ACTIONS(2178),
    [anon_sym_shared] = ACTIONS(2178),
    [anon_sym_groupshared] = ACTIONS(2178),
    [anon_sym_uniform] = ACTIONS(2178),
    [anon_sym_row_major] = ACTIONS(2178),
    [anon_sym_column_major] = ACTIONS(2178),
    [anon_sym_globallycoherent] = ACTIONS(2178),
    [anon_sym_centroid] = ACTIONS(2178),
    [anon_sym_noperspective] = ACTIONS(2178),
    [anon_sym_nointerpolation] = ACTIONS(2178),
    [anon_sym_sample] = ACTIONS(2178),
    [anon_sym_linear] = ACTIONS(2178),
    [anon_sym_snorm] = ACTIONS(2178),
    [anon_sym_unorm] = ACTIONS(2178),
    [anon_sym_point] = ACTIONS(2178),
    [anon_sym_line] = ACTIONS(2178),
    [anon_sym_triangleadj] = ACTIONS(2178),
    [anon_sym_lineadj] = ACTIONS(2178),
    [anon_sym_triangle] = ACTIONS(2178),
    [anon_sym_cbuffer] = ACTIONS(2178),
  },
  [422] = {
    [sym_identifier] = ACTIONS(2785),
    [aux_sym_preproc_include_token1] = ACTIONS(2785),
    [aux_sym_preproc_def_token1] = ACTIONS(2785),
    [aux_sym_preproc_if_token1] = ACTIONS(2785),
    [aux_sym_preproc_if_token2] = ACTIONS(2785),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2785),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2785),
    [aux_sym_preproc_else_token1] = ACTIONS(2785),
    [aux_sym_preproc_elif_token1] = ACTIONS(2785),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2785),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2785),
    [sym_preproc_directive] = ACTIONS(2785),
    [anon_sym_LPAREN2] = ACTIONS(2787),
    [anon_sym_BANG] = ACTIONS(2787),
    [anon_sym_TILDE] = ACTIONS(2787),
    [anon_sym_DASH] = ACTIONS(2785),
    [anon_sym_PLUS] = ACTIONS(2785),
    [anon_sym_STAR] = ACTIONS(2787),
    [anon_sym_AMP_AMP] = ACTIONS(2787),
    [anon_sym_AMP] = ACTIONS(2785),
    [anon_sym_SEMI] = ACTIONS(2787),
    [anon_sym___extension__] = ACTIONS(2785),
    [anon_sym_typedef] = ACTIONS(2785),
    [anon_sym_in] = ACTIONS(2785),
    [anon_sym_out] = ACTIONS(2785),
    [anon_sym_inout] = ACTIONS(2785),
    [anon_sym_extern] = ACTIONS(2785),
    [anon_sym___attribute__] = ACTIONS(2785),
    [anon_sym_COLON_COLON] = ACTIONS(2787),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2787),
    [anon_sym___declspec] = ACTIONS(2785),
    [anon_sym___based] = ACTIONS(2785),
    [anon_sym___cdecl] = ACTIONS(2785),
    [anon_sym___clrcall] = ACTIONS(2785),
    [anon_sym___stdcall] = ACTIONS(2785),
    [anon_sym___fastcall] = ACTIONS(2785),
    [anon_sym___thiscall] = ACTIONS(2785),
    [anon_sym___vectorcall] = ACTIONS(2785),
    [anon_sym_LBRACE] = ACTIONS(2787),
    [anon_sym_signed] = ACTIONS(2785),
    [anon_sym_unsigned] = ACTIONS(2785),
    [anon_sym_long] = ACTIONS(2785),
    [anon_sym_short] = ACTIONS(2785),
    [anon_sym_LBRACK] = ACTIONS(2785),
    [anon_sym_static] = ACTIONS(2785),
    [anon_sym_register] = ACTIONS(2785),
    [anon_sym_inline] = ACTIONS(2785),
    [anon_sym___inline] = ACTIONS(2785),
    [anon_sym___inline__] = ACTIONS(2785),
    [anon_sym___forceinline] = ACTIONS(2785),
    [anon_sym_thread_local] = ACTIONS(2785),
    [anon_sym___thread] = ACTIONS(2785),
    [anon_sym_const] = ACTIONS(2785),
    [anon_sym_constexpr] = ACTIONS(2785),
    [anon_sym_volatile] = ACTIONS(2785),
    [anon_sym_restrict] = ACTIONS(2785),
    [anon_sym___restrict__] = ACTIONS(2785),
    [anon_sym__Atomic] = ACTIONS(2785),
    [anon_sym__Noreturn] = ACTIONS(2785),
    [anon_sym_noreturn] = ACTIONS(2785),
    [anon_sym_mutable] = ACTIONS(2785),
    [anon_sym_constinit] = ACTIONS(2785),
    [anon_sym_consteval] = ACTIONS(2785),
    [sym_primitive_type] = ACTIONS(2785),
    [anon_sym_enum] = ACTIONS(2785),
    [anon_sym_class] = ACTIONS(2785),
    [anon_sym_struct] = ACTIONS(2785),
    [anon_sym_union] = ACTIONS(2785),
    [anon_sym_if] = ACTIONS(2785),
    [anon_sym_switch] = ACTIONS(2785),
    [anon_sym_case] = ACTIONS(2785),
    [anon_sym_default] = ACTIONS(2785),
    [anon_sym_while] = ACTIONS(2785),
    [anon_sym_do] = ACTIONS(2785),
    [anon_sym_for] = ACTIONS(2785),
    [anon_sym_return] = ACTIONS(2785),
    [anon_sym_break] = ACTIONS(2785),
    [anon_sym_continue] = ACTIONS(2785),
    [anon_sym_goto] = ACTIONS(2785),
    [anon_sym___try] = ACTIONS(2785),
    [anon_sym___leave] = ACTIONS(2785),
    [anon_sym_not] = ACTIONS(2785),
    [anon_sym_compl] = ACTIONS(2785),
    [anon_sym_DASH_DASH] = ACTIONS(2787),
    [anon_sym_PLUS_PLUS] = ACTIONS(2787),
    [anon_sym_sizeof] = ACTIONS(2785),
    [anon_sym___alignof__] = ACTIONS(2785),
    [anon_sym___alignof] = ACTIONS(2785),
    [anon_sym__alignof] = ACTIONS(2785),
    [anon_sym_alignof] = ACTIONS(2785),
    [anon_sym__Alignof] = ACTIONS(2785),
    [anon_sym_offsetof] = ACTIONS(2785),
    [anon_sym__Generic] = ACTIONS(2785),
    [anon_sym_asm] = ACTIONS(2785),
    [anon_sym___asm__] = ACTIONS(2785),
    [sym_number_literal] = ACTIONS(2787),
    [anon_sym_L_SQUOTE] = ACTIONS(2787),
    [anon_sym_u_SQUOTE] = ACTIONS(2787),
    [anon_sym_U_SQUOTE] = ACTIONS(2787),
    [anon_sym_u8_SQUOTE] = ACTIONS(2787),
    [anon_sym_SQUOTE] = ACTIONS(2787),
    [anon_sym_L_DQUOTE] = ACTIONS(2787),
    [anon_sym_u_DQUOTE] = ACTIONS(2787),
    [anon_sym_U_DQUOTE] = ACTIONS(2787),
    [anon_sym_u8_DQUOTE] = ACTIONS(2787),
    [anon_sym_DQUOTE] = ACTIONS(2787),
    [sym_true] = ACTIONS(2785),
    [sym_false] = ACTIONS(2785),
    [anon_sym_NULL] = ACTIONS(2785),
    [anon_sym_nullptr] = ACTIONS(2785),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2785),
    [anon_sym_decltype] = ACTIONS(2785),
    [anon_sym_virtual] = ACTIONS(2785),
    [anon_sym_alignas] = ACTIONS(2785),
    [anon_sym_explicit] = ACTIONS(2785),
    [anon_sym_typename] = ACTIONS(2785),
    [anon_sym_template] = ACTIONS(2785),
    [anon_sym_operator] = ACTIONS(2785),
    [anon_sym_try] = ACTIONS(2785),
    [anon_sym_delete] = ACTIONS(2785),
    [anon_sym_throw] = ACTIONS(2785),
    [anon_sym_namespace] = ACTIONS(2785),
    [anon_sym_using] = ACTIONS(2785),
    [anon_sym_static_assert] = ACTIONS(2785),
    [anon_sym_concept] = ACTIONS(2785),
    [anon_sym_co_return] = ACTIONS(2785),
    [anon_sym_co_yield] = ACTIONS(2785),
    [anon_sym_R_DQUOTE] = ACTIONS(2787),
    [anon_sym_LR_DQUOTE] = ACTIONS(2787),
    [anon_sym_uR_DQUOTE] = ACTIONS(2787),
    [anon_sym_UR_DQUOTE] = ACTIONS(2787),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2787),
    [anon_sym_co_await] = ACTIONS(2785),
    [anon_sym_new] = ACTIONS(2785),
    [anon_sym_requires] = ACTIONS(2785),
    [sym_this] = ACTIONS(2785),
    [anon_sym_discard] = ACTIONS(2785),
    [anon_sym_precise] = ACTIONS(2785),
    [anon_sym_shared] = ACTIONS(2785),
    [anon_sym_groupshared] = ACTIONS(2785),
    [anon_sym_uniform] = ACTIONS(2785),
    [anon_sym_row_major] = ACTIONS(2785),
    [anon_sym_column_major] = ACTIONS(2785),
    [anon_sym_globallycoherent] = ACTIONS(2785),
    [anon_sym_centroid] = ACTIONS(2785),
    [anon_sym_noperspective] = ACTIONS(2785),
    [anon_sym_nointerpolation] = ACTIONS(2785),
    [anon_sym_sample] = ACTIONS(2785),
    [anon_sym_linear] = ACTIONS(2785),
    [anon_sym_snorm] = ACTIONS(2785),
    [anon_sym_unorm] = ACTIONS(2785),
    [anon_sym_point] = ACTIONS(2785),
    [anon_sym_line] = ACTIONS(2785),
    [anon_sym_triangleadj] = ACTIONS(2785),
    [anon_sym_lineadj] = ACTIONS(2785),
    [anon_sym_triangle] = ACTIONS(2785),
    [anon_sym_cbuffer] = ACTIONS(2785),
  },
  [423] = {
    [ts_builtin_sym_end] = ACTIONS(2188),
    [sym_identifier] = ACTIONS(2186),
    [aux_sym_preproc_include_token1] = ACTIONS(2186),
    [aux_sym_preproc_def_token1] = ACTIONS(2186),
    [aux_sym_preproc_if_token1] = ACTIONS(2186),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2186),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2186),
    [sym_preproc_directive] = ACTIONS(2186),
    [anon_sym_LPAREN2] = ACTIONS(2188),
    [anon_sym_BANG] = ACTIONS(2188),
    [anon_sym_TILDE] = ACTIONS(2188),
    [anon_sym_DASH] = ACTIONS(2186),
    [anon_sym_PLUS] = ACTIONS(2186),
    [anon_sym_STAR] = ACTIONS(2188),
    [anon_sym_AMP_AMP] = ACTIONS(2188),
    [anon_sym_AMP] = ACTIONS(2186),
    [anon_sym_COLON] = ACTIONS(2186),
    [anon_sym_SEMI] = ACTIONS(2188),
    [anon_sym___extension__] = ACTIONS(2186),
    [anon_sym_typedef] = ACTIONS(2186),
    [anon_sym_in] = ACTIONS(2186),
    [anon_sym_out] = ACTIONS(2186),
    [anon_sym_inout] = ACTIONS(2186),
    [anon_sym_extern] = ACTIONS(2186),
    [anon_sym___attribute__] = ACTIONS(2186),
    [anon_sym_COLON_COLON] = ACTIONS(2188),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2188),
    [anon_sym___declspec] = ACTIONS(2186),
    [anon_sym___based] = ACTIONS(2186),
    [anon_sym___cdecl] = ACTIONS(2186),
    [anon_sym___clrcall] = ACTIONS(2186),
    [anon_sym___stdcall] = ACTIONS(2186),
    [anon_sym___fastcall] = ACTIONS(2186),
    [anon_sym___thiscall] = ACTIONS(2186),
    [anon_sym___vectorcall] = ACTIONS(2186),
    [anon_sym_LBRACE] = ACTIONS(2188),
    [anon_sym_signed] = ACTIONS(2186),
    [anon_sym_unsigned] = ACTIONS(2186),
    [anon_sym_long] = ACTIONS(2186),
    [anon_sym_short] = ACTIONS(2186),
    [anon_sym_LBRACK] = ACTIONS(2186),
    [anon_sym_static] = ACTIONS(2186),
    [anon_sym_register] = ACTIONS(2186),
    [anon_sym_inline] = ACTIONS(2186),
    [anon_sym___inline] = ACTIONS(2186),
    [anon_sym___inline__] = ACTIONS(2186),
    [anon_sym___forceinline] = ACTIONS(2186),
    [anon_sym_thread_local] = ACTIONS(2186),
    [anon_sym___thread] = ACTIONS(2186),
    [anon_sym_const] = ACTIONS(2186),
    [anon_sym_constexpr] = ACTIONS(2186),
    [anon_sym_volatile] = ACTIONS(2186),
    [anon_sym_restrict] = ACTIONS(2186),
    [anon_sym___restrict__] = ACTIONS(2186),
    [anon_sym__Atomic] = ACTIONS(2186),
    [anon_sym__Noreturn] = ACTIONS(2186),
    [anon_sym_noreturn] = ACTIONS(2186),
    [anon_sym_mutable] = ACTIONS(2186),
    [anon_sym_constinit] = ACTIONS(2186),
    [anon_sym_consteval] = ACTIONS(2186),
    [sym_primitive_type] = ACTIONS(2186),
    [anon_sym_enum] = ACTIONS(2186),
    [anon_sym_class] = ACTIONS(2186),
    [anon_sym_struct] = ACTIONS(2186),
    [anon_sym_union] = ACTIONS(2186),
    [anon_sym_if] = ACTIONS(2186),
    [anon_sym_else] = ACTIONS(2186),
    [anon_sym_switch] = ACTIONS(2186),
    [anon_sym_case] = ACTIONS(2186),
    [anon_sym_default] = ACTIONS(2186),
    [anon_sym_while] = ACTIONS(2186),
    [anon_sym_do] = ACTIONS(2186),
    [anon_sym_for] = ACTIONS(2186),
    [anon_sym_return] = ACTIONS(2186),
    [anon_sym_break] = ACTIONS(2186),
    [anon_sym_continue] = ACTIONS(2186),
    [anon_sym_goto] = ACTIONS(2186),
    [anon_sym___try] = ACTIONS(2186),
    [anon_sym___leave] = ACTIONS(2186),
    [anon_sym_not] = ACTIONS(2186),
    [anon_sym_compl] = ACTIONS(2186),
    [anon_sym_DASH_DASH] = ACTIONS(2188),
    [anon_sym_PLUS_PLUS] = ACTIONS(2188),
    [anon_sym_sizeof] = ACTIONS(2186),
    [anon_sym___alignof__] = ACTIONS(2186),
    [anon_sym___alignof] = ACTIONS(2186),
    [anon_sym__alignof] = ACTIONS(2186),
    [anon_sym_alignof] = ACTIONS(2186),
    [anon_sym__Alignof] = ACTIONS(2186),
    [anon_sym_offsetof] = ACTIONS(2186),
    [anon_sym__Generic] = ACTIONS(2186),
    [anon_sym_asm] = ACTIONS(2186),
    [anon_sym___asm__] = ACTIONS(2186),
    [sym_number_literal] = ACTIONS(2188),
    [anon_sym_L_SQUOTE] = ACTIONS(2188),
    [anon_sym_u_SQUOTE] = ACTIONS(2188),
    [anon_sym_U_SQUOTE] = ACTIONS(2188),
    [anon_sym_u8_SQUOTE] = ACTIONS(2188),
    [anon_sym_SQUOTE] = ACTIONS(2188),
    [anon_sym_L_DQUOTE] = ACTIONS(2188),
    [anon_sym_u_DQUOTE] = ACTIONS(2188),
    [anon_sym_U_DQUOTE] = ACTIONS(2188),
    [anon_sym_u8_DQUOTE] = ACTIONS(2188),
    [anon_sym_DQUOTE] = ACTIONS(2188),
    [sym_true] = ACTIONS(2186),
    [sym_false] = ACTIONS(2186),
    [anon_sym_NULL] = ACTIONS(2186),
    [anon_sym_nullptr] = ACTIONS(2186),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2186),
    [anon_sym_decltype] = ACTIONS(2186),
    [anon_sym_final] = ACTIONS(2186),
    [anon_sym_override] = ACTIONS(2186),
    [anon_sym_virtual] = ACTIONS(2186),
    [anon_sym_alignas] = ACTIONS(2186),
    [anon_sym_explicit] = ACTIONS(2186),
    [anon_sym_typename] = ACTIONS(2186),
    [anon_sym_template] = ACTIONS(2186),
    [anon_sym_operator] = ACTIONS(2186),
    [anon_sym_try] = ACTIONS(2186),
    [anon_sym_delete] = ACTIONS(2186),
    [anon_sym_throw] = ACTIONS(2186),
    [anon_sym_namespace] = ACTIONS(2186),
    [anon_sym_using] = ACTIONS(2186),
    [anon_sym_static_assert] = ACTIONS(2186),
    [anon_sym_concept] = ACTIONS(2186),
    [anon_sym_co_return] = ACTIONS(2186),
    [anon_sym_co_yield] = ACTIONS(2186),
    [anon_sym_R_DQUOTE] = ACTIONS(2188),
    [anon_sym_LR_DQUOTE] = ACTIONS(2188),
    [anon_sym_uR_DQUOTE] = ACTIONS(2188),
    [anon_sym_UR_DQUOTE] = ACTIONS(2188),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2188),
    [anon_sym_co_await] = ACTIONS(2186),
    [anon_sym_new] = ACTIONS(2186),
    [anon_sym_requires] = ACTIONS(2186),
    [sym_this] = ACTIONS(2186),
    [anon_sym_discard] = ACTIONS(2186),
    [anon_sym_precise] = ACTIONS(2186),
    [anon_sym_shared] = ACTIONS(2186),
    [anon_sym_groupshared] = ACTIONS(2186),
    [anon_sym_uniform] = ACTIONS(2186),
    [anon_sym_row_major] = ACTIONS(2186),
    [anon_sym_column_major] = ACTIONS(2186),
    [anon_sym_globallycoherent] = ACTIONS(2186),
    [anon_sym_centroid] = ACTIONS(2186),
    [anon_sym_noperspective] = ACTIONS(2186),
    [anon_sym_nointerpolation] = ACTIONS(2186),
    [anon_sym_sample] = ACTIONS(2186),
    [anon_sym_linear] = ACTIONS(2186),
    [anon_sym_snorm] = ACTIONS(2186),
    [anon_sym_unorm] = ACTIONS(2186),
    [anon_sym_point] = ACTIONS(2186),
    [anon_sym_line] = ACTIONS(2186),
    [anon_sym_triangleadj] = ACTIONS(2186),
    [anon_sym_lineadj] = ACTIONS(2186),
    [anon_sym_triangle] = ACTIONS(2186),
    [anon_sym_cbuffer] = ACTIONS(2186),
  },
  [424] = {
    [ts_builtin_sym_end] = ACTIONS(2184),
    [sym_identifier] = ACTIONS(2182),
    [aux_sym_preproc_include_token1] = ACTIONS(2182),
    [aux_sym_preproc_def_token1] = ACTIONS(2182),
    [aux_sym_preproc_if_token1] = ACTIONS(2182),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2182),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2182),
    [sym_preproc_directive] = ACTIONS(2182),
    [anon_sym_LPAREN2] = ACTIONS(2184),
    [anon_sym_BANG] = ACTIONS(2184),
    [anon_sym_TILDE] = ACTIONS(2184),
    [anon_sym_DASH] = ACTIONS(2182),
    [anon_sym_PLUS] = ACTIONS(2182),
    [anon_sym_STAR] = ACTIONS(2184),
    [anon_sym_AMP_AMP] = ACTIONS(2184),
    [anon_sym_AMP] = ACTIONS(2182),
    [anon_sym_COLON] = ACTIONS(2182),
    [anon_sym_SEMI] = ACTIONS(2184),
    [anon_sym___extension__] = ACTIONS(2182),
    [anon_sym_typedef] = ACTIONS(2182),
    [anon_sym_in] = ACTIONS(2182),
    [anon_sym_out] = ACTIONS(2182),
    [anon_sym_inout] = ACTIONS(2182),
    [anon_sym_extern] = ACTIONS(2182),
    [anon_sym___attribute__] = ACTIONS(2182),
    [anon_sym_COLON_COLON] = ACTIONS(2184),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2184),
    [anon_sym___declspec] = ACTIONS(2182),
    [anon_sym___based] = ACTIONS(2182),
    [anon_sym___cdecl] = ACTIONS(2182),
    [anon_sym___clrcall] = ACTIONS(2182),
    [anon_sym___stdcall] = ACTIONS(2182),
    [anon_sym___fastcall] = ACTIONS(2182),
    [anon_sym___thiscall] = ACTIONS(2182),
    [anon_sym___vectorcall] = ACTIONS(2182),
    [anon_sym_LBRACE] = ACTIONS(2184),
    [anon_sym_signed] = ACTIONS(2182),
    [anon_sym_unsigned] = ACTIONS(2182),
    [anon_sym_long] = ACTIONS(2182),
    [anon_sym_short] = ACTIONS(2182),
    [anon_sym_LBRACK] = ACTIONS(2182),
    [anon_sym_static] = ACTIONS(2182),
    [anon_sym_register] = ACTIONS(2182),
    [anon_sym_inline] = ACTIONS(2182),
    [anon_sym___inline] = ACTIONS(2182),
    [anon_sym___inline__] = ACTIONS(2182),
    [anon_sym___forceinline] = ACTIONS(2182),
    [anon_sym_thread_local] = ACTIONS(2182),
    [anon_sym___thread] = ACTIONS(2182),
    [anon_sym_const] = ACTIONS(2182),
    [anon_sym_constexpr] = ACTIONS(2182),
    [anon_sym_volatile] = ACTIONS(2182),
    [anon_sym_restrict] = ACTIONS(2182),
    [anon_sym___restrict__] = ACTIONS(2182),
    [anon_sym__Atomic] = ACTIONS(2182),
    [anon_sym__Noreturn] = ACTIONS(2182),
    [anon_sym_noreturn] = ACTIONS(2182),
    [anon_sym_mutable] = ACTIONS(2182),
    [anon_sym_constinit] = ACTIONS(2182),
    [anon_sym_consteval] = ACTIONS(2182),
    [sym_primitive_type] = ACTIONS(2182),
    [anon_sym_enum] = ACTIONS(2182),
    [anon_sym_class] = ACTIONS(2182),
    [anon_sym_struct] = ACTIONS(2182),
    [anon_sym_union] = ACTIONS(2182),
    [anon_sym_if] = ACTIONS(2182),
    [anon_sym_else] = ACTIONS(2182),
    [anon_sym_switch] = ACTIONS(2182),
    [anon_sym_case] = ACTIONS(2182),
    [anon_sym_default] = ACTIONS(2182),
    [anon_sym_while] = ACTIONS(2182),
    [anon_sym_do] = ACTIONS(2182),
    [anon_sym_for] = ACTIONS(2182),
    [anon_sym_return] = ACTIONS(2182),
    [anon_sym_break] = ACTIONS(2182),
    [anon_sym_continue] = ACTIONS(2182),
    [anon_sym_goto] = ACTIONS(2182),
    [anon_sym___try] = ACTIONS(2182),
    [anon_sym___leave] = ACTIONS(2182),
    [anon_sym_not] = ACTIONS(2182),
    [anon_sym_compl] = ACTIONS(2182),
    [anon_sym_DASH_DASH] = ACTIONS(2184),
    [anon_sym_PLUS_PLUS] = ACTIONS(2184),
    [anon_sym_sizeof] = ACTIONS(2182),
    [anon_sym___alignof__] = ACTIONS(2182),
    [anon_sym___alignof] = ACTIONS(2182),
    [anon_sym__alignof] = ACTIONS(2182),
    [anon_sym_alignof] = ACTIONS(2182),
    [anon_sym__Alignof] = ACTIONS(2182),
    [anon_sym_offsetof] = ACTIONS(2182),
    [anon_sym__Generic] = ACTIONS(2182),
    [anon_sym_asm] = ACTIONS(2182),
    [anon_sym___asm__] = ACTIONS(2182),
    [sym_number_literal] = ACTIONS(2184),
    [anon_sym_L_SQUOTE] = ACTIONS(2184),
    [anon_sym_u_SQUOTE] = ACTIONS(2184),
    [anon_sym_U_SQUOTE] = ACTIONS(2184),
    [anon_sym_u8_SQUOTE] = ACTIONS(2184),
    [anon_sym_SQUOTE] = ACTIONS(2184),
    [anon_sym_L_DQUOTE] = ACTIONS(2184),
    [anon_sym_u_DQUOTE] = ACTIONS(2184),
    [anon_sym_U_DQUOTE] = ACTIONS(2184),
    [anon_sym_u8_DQUOTE] = ACTIONS(2184),
    [anon_sym_DQUOTE] = ACTIONS(2184),
    [sym_true] = ACTIONS(2182),
    [sym_false] = ACTIONS(2182),
    [anon_sym_NULL] = ACTIONS(2182),
    [anon_sym_nullptr] = ACTIONS(2182),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2182),
    [anon_sym_decltype] = ACTIONS(2182),
    [anon_sym_final] = ACTIONS(2182),
    [anon_sym_override] = ACTIONS(2182),
    [anon_sym_virtual] = ACTIONS(2182),
    [anon_sym_alignas] = ACTIONS(2182),
    [anon_sym_explicit] = ACTIONS(2182),
    [anon_sym_typename] = ACTIONS(2182),
    [anon_sym_template] = ACTIONS(2182),
    [anon_sym_operator] = ACTIONS(2182),
    [anon_sym_try] = ACTIONS(2182),
    [anon_sym_delete] = ACTIONS(2182),
    [anon_sym_throw] = ACTIONS(2182),
    [anon_sym_namespace] = ACTIONS(2182),
    [anon_sym_using] = ACTIONS(2182),
    [anon_sym_static_assert] = ACTIONS(2182),
    [anon_sym_concept] = ACTIONS(2182),
    [anon_sym_co_return] = ACTIONS(2182),
    [anon_sym_co_yield] = ACTIONS(2182),
    [anon_sym_R_DQUOTE] = ACTIONS(2184),
    [anon_sym_LR_DQUOTE] = ACTIONS(2184),
    [anon_sym_uR_DQUOTE] = ACTIONS(2184),
    [anon_sym_UR_DQUOTE] = ACTIONS(2184),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2184),
    [anon_sym_co_await] = ACTIONS(2182),
    [anon_sym_new] = ACTIONS(2182),
    [anon_sym_requires] = ACTIONS(2182),
    [sym_this] = ACTIONS(2182),
    [anon_sym_discard] = ACTIONS(2182),
    [anon_sym_precise] = ACTIONS(2182),
    [anon_sym_shared] = ACTIONS(2182),
    [anon_sym_groupshared] = ACTIONS(2182),
    [anon_sym_uniform] = ACTIONS(2182),
    [anon_sym_row_major] = ACTIONS(2182),
    [anon_sym_column_major] = ACTIONS(2182),
    [anon_sym_globallycoherent] = ACTIONS(2182),
    [anon_sym_centroid] = ACTIONS(2182),
    [anon_sym_noperspective] = ACTIONS(2182),
    [anon_sym_nointerpolation] = ACTIONS(2182),
    [anon_sym_sample] = ACTIONS(2182),
    [anon_sym_linear] = ACTIONS(2182),
    [anon_sym_snorm] = ACTIONS(2182),
    [anon_sym_unorm] = ACTIONS(2182),
    [anon_sym_point] = ACTIONS(2182),
    [anon_sym_line] = ACTIONS(2182),
    [anon_sym_triangleadj] = ACTIONS(2182),
    [anon_sym_lineadj] = ACTIONS(2182),
    [anon_sym_triangle] = ACTIONS(2182),
    [anon_sym_cbuffer] = ACTIONS(2182),
  },
  [425] = {
    [sym_identifier] = ACTIONS(2789),
    [aux_sym_preproc_include_token1] = ACTIONS(2789),
    [aux_sym_preproc_def_token1] = ACTIONS(2789),
    [aux_sym_preproc_if_token1] = ACTIONS(2789),
    [aux_sym_preproc_if_token2] = ACTIONS(2789),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2789),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2789),
    [aux_sym_preproc_else_token1] = ACTIONS(2789),
    [aux_sym_preproc_elif_token1] = ACTIONS(2789),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2789),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2789),
    [sym_preproc_directive] = ACTIONS(2789),
    [anon_sym_LPAREN2] = ACTIONS(2791),
    [anon_sym_BANG] = ACTIONS(2791),
    [anon_sym_TILDE] = ACTIONS(2791),
    [anon_sym_DASH] = ACTIONS(2789),
    [anon_sym_PLUS] = ACTIONS(2789),
    [anon_sym_STAR] = ACTIONS(2791),
    [anon_sym_AMP_AMP] = ACTIONS(2791),
    [anon_sym_AMP] = ACTIONS(2789),
    [anon_sym_SEMI] = ACTIONS(2791),
    [anon_sym___extension__] = ACTIONS(2789),
    [anon_sym_typedef] = ACTIONS(2789),
    [anon_sym_in] = ACTIONS(2789),
    [anon_sym_out] = ACTIONS(2789),
    [anon_sym_inout] = ACTIONS(2789),
    [anon_sym_extern] = ACTIONS(2789),
    [anon_sym___attribute__] = ACTIONS(2789),
    [anon_sym_COLON_COLON] = ACTIONS(2791),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2791),
    [anon_sym___declspec] = ACTIONS(2789),
    [anon_sym___based] = ACTIONS(2789),
    [anon_sym___cdecl] = ACTIONS(2789),
    [anon_sym___clrcall] = ACTIONS(2789),
    [anon_sym___stdcall] = ACTIONS(2789),
    [anon_sym___fastcall] = ACTIONS(2789),
    [anon_sym___thiscall] = ACTIONS(2789),
    [anon_sym___vectorcall] = ACTIONS(2789),
    [anon_sym_LBRACE] = ACTIONS(2791),
    [anon_sym_signed] = ACTIONS(2789),
    [anon_sym_unsigned] = ACTIONS(2789),
    [anon_sym_long] = ACTIONS(2789),
    [anon_sym_short] = ACTIONS(2789),
    [anon_sym_LBRACK] = ACTIONS(2789),
    [anon_sym_static] = ACTIONS(2789),
    [anon_sym_register] = ACTIONS(2789),
    [anon_sym_inline] = ACTIONS(2789),
    [anon_sym___inline] = ACTIONS(2789),
    [anon_sym___inline__] = ACTIONS(2789),
    [anon_sym___forceinline] = ACTIONS(2789),
    [anon_sym_thread_local] = ACTIONS(2789),
    [anon_sym___thread] = ACTIONS(2789),
    [anon_sym_const] = ACTIONS(2789),
    [anon_sym_constexpr] = ACTIONS(2789),
    [anon_sym_volatile] = ACTIONS(2789),
    [anon_sym_restrict] = ACTIONS(2789),
    [anon_sym___restrict__] = ACTIONS(2789),
    [anon_sym__Atomic] = ACTIONS(2789),
    [anon_sym__Noreturn] = ACTIONS(2789),
    [anon_sym_noreturn] = ACTIONS(2789),
    [anon_sym_mutable] = ACTIONS(2789),
    [anon_sym_constinit] = ACTIONS(2789),
    [anon_sym_consteval] = ACTIONS(2789),
    [sym_primitive_type] = ACTIONS(2789),
    [anon_sym_enum] = ACTIONS(2789),
    [anon_sym_class] = ACTIONS(2789),
    [anon_sym_struct] = ACTIONS(2789),
    [anon_sym_union] = ACTIONS(2789),
    [anon_sym_if] = ACTIONS(2789),
    [anon_sym_switch] = ACTIONS(2789),
    [anon_sym_case] = ACTIONS(2789),
    [anon_sym_default] = ACTIONS(2789),
    [anon_sym_while] = ACTIONS(2789),
    [anon_sym_do] = ACTIONS(2789),
    [anon_sym_for] = ACTIONS(2789),
    [anon_sym_return] = ACTIONS(2789),
    [anon_sym_break] = ACTIONS(2789),
    [anon_sym_continue] = ACTIONS(2789),
    [anon_sym_goto] = ACTIONS(2789),
    [anon_sym___try] = ACTIONS(2789),
    [anon_sym___leave] = ACTIONS(2789),
    [anon_sym_not] = ACTIONS(2789),
    [anon_sym_compl] = ACTIONS(2789),
    [anon_sym_DASH_DASH] = ACTIONS(2791),
    [anon_sym_PLUS_PLUS] = ACTIONS(2791),
    [anon_sym_sizeof] = ACTIONS(2789),
    [anon_sym___alignof__] = ACTIONS(2789),
    [anon_sym___alignof] = ACTIONS(2789),
    [anon_sym__alignof] = ACTIONS(2789),
    [anon_sym_alignof] = ACTIONS(2789),
    [anon_sym__Alignof] = ACTIONS(2789),
    [anon_sym_offsetof] = ACTIONS(2789),
    [anon_sym__Generic] = ACTIONS(2789),
    [anon_sym_asm] = ACTIONS(2789),
    [anon_sym___asm__] = ACTIONS(2789),
    [sym_number_literal] = ACTIONS(2791),
    [anon_sym_L_SQUOTE] = ACTIONS(2791),
    [anon_sym_u_SQUOTE] = ACTIONS(2791),
    [anon_sym_U_SQUOTE] = ACTIONS(2791),
    [anon_sym_u8_SQUOTE] = ACTIONS(2791),
    [anon_sym_SQUOTE] = ACTIONS(2791),
    [anon_sym_L_DQUOTE] = ACTIONS(2791),
    [anon_sym_u_DQUOTE] = ACTIONS(2791),
    [anon_sym_U_DQUOTE] = ACTIONS(2791),
    [anon_sym_u8_DQUOTE] = ACTIONS(2791),
    [anon_sym_DQUOTE] = ACTIONS(2791),
    [sym_true] = ACTIONS(2789),
    [sym_false] = ACTIONS(2789),
    [anon_sym_NULL] = ACTIONS(2789),
    [anon_sym_nullptr] = ACTIONS(2789),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2789),
    [anon_sym_decltype] = ACTIONS(2789),
    [anon_sym_virtual] = ACTIONS(2789),
    [anon_sym_alignas] = ACTIONS(2789),
    [anon_sym_explicit] = ACTIONS(2789),
    [anon_sym_typename] = ACTIONS(2789),
    [anon_sym_template] = ACTIONS(2789),
    [anon_sym_operator] = ACTIONS(2789),
    [anon_sym_try] = ACTIONS(2789),
    [anon_sym_delete] = ACTIONS(2789),
    [anon_sym_throw] = ACTIONS(2789),
    [anon_sym_namespace] = ACTIONS(2789),
    [anon_sym_using] = ACTIONS(2789),
    [anon_sym_static_assert] = ACTIONS(2789),
    [anon_sym_concept] = ACTIONS(2789),
    [anon_sym_co_return] = ACTIONS(2789),
    [anon_sym_co_yield] = ACTIONS(2789),
    [anon_sym_R_DQUOTE] = ACTIONS(2791),
    [anon_sym_LR_DQUOTE] = ACTIONS(2791),
    [anon_sym_uR_DQUOTE] = ACTIONS(2791),
    [anon_sym_UR_DQUOTE] = ACTIONS(2791),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2791),
    [anon_sym_co_await] = ACTIONS(2789),
    [anon_sym_new] = ACTIONS(2789),
    [anon_sym_requires] = ACTIONS(2789),
    [sym_this] = ACTIONS(2789),
    [anon_sym_discard] = ACTIONS(2789),
    [anon_sym_precise] = ACTIONS(2789),
    [anon_sym_shared] = ACTIONS(2789),
    [anon_sym_groupshared] = ACTIONS(2789),
    [anon_sym_uniform] = ACTIONS(2789),
    [anon_sym_row_major] = ACTIONS(2789),
    [anon_sym_column_major] = ACTIONS(2789),
    [anon_sym_globallycoherent] = ACTIONS(2789),
    [anon_sym_centroid] = ACTIONS(2789),
    [anon_sym_noperspective] = ACTIONS(2789),
    [anon_sym_nointerpolation] = ACTIONS(2789),
    [anon_sym_sample] = ACTIONS(2789),
    [anon_sym_linear] = ACTIONS(2789),
    [anon_sym_snorm] = ACTIONS(2789),
    [anon_sym_unorm] = ACTIONS(2789),
    [anon_sym_point] = ACTIONS(2789),
    [anon_sym_line] = ACTIONS(2789),
    [anon_sym_triangleadj] = ACTIONS(2789),
    [anon_sym_lineadj] = ACTIONS(2789),
    [anon_sym_triangle] = ACTIONS(2789),
    [anon_sym_cbuffer] = ACTIONS(2789),
  },
  [426] = {
    [ts_builtin_sym_end] = ACTIONS(2218),
    [sym_identifier] = ACTIONS(2216),
    [aux_sym_preproc_include_token1] = ACTIONS(2216),
    [aux_sym_preproc_def_token1] = ACTIONS(2216),
    [aux_sym_preproc_if_token1] = ACTIONS(2216),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2216),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2216),
    [sym_preproc_directive] = ACTIONS(2216),
    [anon_sym_LPAREN2] = ACTIONS(2218),
    [anon_sym_BANG] = ACTIONS(2218),
    [anon_sym_TILDE] = ACTIONS(2218),
    [anon_sym_DASH] = ACTIONS(2216),
    [anon_sym_PLUS] = ACTIONS(2216),
    [anon_sym_STAR] = ACTIONS(2218),
    [anon_sym_AMP_AMP] = ACTIONS(2218),
    [anon_sym_AMP] = ACTIONS(2216),
    [anon_sym_COLON] = ACTIONS(2216),
    [anon_sym_SEMI] = ACTIONS(2218),
    [anon_sym___extension__] = ACTIONS(2216),
    [anon_sym_typedef] = ACTIONS(2216),
    [anon_sym_in] = ACTIONS(2216),
    [anon_sym_out] = ACTIONS(2216),
    [anon_sym_inout] = ACTIONS(2216),
    [anon_sym_extern] = ACTIONS(2216),
    [anon_sym___attribute__] = ACTIONS(2216),
    [anon_sym_COLON_COLON] = ACTIONS(2218),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2218),
    [anon_sym___declspec] = ACTIONS(2216),
    [anon_sym___based] = ACTIONS(2216),
    [anon_sym___cdecl] = ACTIONS(2216),
    [anon_sym___clrcall] = ACTIONS(2216),
    [anon_sym___stdcall] = ACTIONS(2216),
    [anon_sym___fastcall] = ACTIONS(2216),
    [anon_sym___thiscall] = ACTIONS(2216),
    [anon_sym___vectorcall] = ACTIONS(2216),
    [anon_sym_LBRACE] = ACTIONS(2218),
    [anon_sym_signed] = ACTIONS(2216),
    [anon_sym_unsigned] = ACTIONS(2216),
    [anon_sym_long] = ACTIONS(2216),
    [anon_sym_short] = ACTIONS(2216),
    [anon_sym_LBRACK] = ACTIONS(2216),
    [anon_sym_static] = ACTIONS(2216),
    [anon_sym_register] = ACTIONS(2216),
    [anon_sym_inline] = ACTIONS(2216),
    [anon_sym___inline] = ACTIONS(2216),
    [anon_sym___inline__] = ACTIONS(2216),
    [anon_sym___forceinline] = ACTIONS(2216),
    [anon_sym_thread_local] = ACTIONS(2216),
    [anon_sym___thread] = ACTIONS(2216),
    [anon_sym_const] = ACTIONS(2216),
    [anon_sym_constexpr] = ACTIONS(2216),
    [anon_sym_volatile] = ACTIONS(2216),
    [anon_sym_restrict] = ACTIONS(2216),
    [anon_sym___restrict__] = ACTIONS(2216),
    [anon_sym__Atomic] = ACTIONS(2216),
    [anon_sym__Noreturn] = ACTIONS(2216),
    [anon_sym_noreturn] = ACTIONS(2216),
    [anon_sym_mutable] = ACTIONS(2216),
    [anon_sym_constinit] = ACTIONS(2216),
    [anon_sym_consteval] = ACTIONS(2216),
    [sym_primitive_type] = ACTIONS(2216),
    [anon_sym_enum] = ACTIONS(2216),
    [anon_sym_class] = ACTIONS(2216),
    [anon_sym_struct] = ACTIONS(2216),
    [anon_sym_union] = ACTIONS(2216),
    [anon_sym_if] = ACTIONS(2216),
    [anon_sym_else] = ACTIONS(2216),
    [anon_sym_switch] = ACTIONS(2216),
    [anon_sym_case] = ACTIONS(2216),
    [anon_sym_default] = ACTIONS(2216),
    [anon_sym_while] = ACTIONS(2216),
    [anon_sym_do] = ACTIONS(2216),
    [anon_sym_for] = ACTIONS(2216),
    [anon_sym_return] = ACTIONS(2216),
    [anon_sym_break] = ACTIONS(2216),
    [anon_sym_continue] = ACTIONS(2216),
    [anon_sym_goto] = ACTIONS(2216),
    [anon_sym___try] = ACTIONS(2216),
    [anon_sym___leave] = ACTIONS(2216),
    [anon_sym_not] = ACTIONS(2216),
    [anon_sym_compl] = ACTIONS(2216),
    [anon_sym_DASH_DASH] = ACTIONS(2218),
    [anon_sym_PLUS_PLUS] = ACTIONS(2218),
    [anon_sym_sizeof] = ACTIONS(2216),
    [anon_sym___alignof__] = ACTIONS(2216),
    [anon_sym___alignof] = ACTIONS(2216),
    [anon_sym__alignof] = ACTIONS(2216),
    [anon_sym_alignof] = ACTIONS(2216),
    [anon_sym__Alignof] = ACTIONS(2216),
    [anon_sym_offsetof] = ACTIONS(2216),
    [anon_sym__Generic] = ACTIONS(2216),
    [anon_sym_asm] = ACTIONS(2216),
    [anon_sym___asm__] = ACTIONS(2216),
    [sym_number_literal] = ACTIONS(2218),
    [anon_sym_L_SQUOTE] = ACTIONS(2218),
    [anon_sym_u_SQUOTE] = ACTIONS(2218),
    [anon_sym_U_SQUOTE] = ACTIONS(2218),
    [anon_sym_u8_SQUOTE] = ACTIONS(2218),
    [anon_sym_SQUOTE] = ACTIONS(2218),
    [anon_sym_L_DQUOTE] = ACTIONS(2218),
    [anon_sym_u_DQUOTE] = ACTIONS(2218),
    [anon_sym_U_DQUOTE] = ACTIONS(2218),
    [anon_sym_u8_DQUOTE] = ACTIONS(2218),
    [anon_sym_DQUOTE] = ACTIONS(2218),
    [sym_true] = ACTIONS(2216),
    [sym_false] = ACTIONS(2216),
    [anon_sym_NULL] = ACTIONS(2216),
    [anon_sym_nullptr] = ACTIONS(2216),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2216),
    [anon_sym_decltype] = ACTIONS(2216),
    [anon_sym_final] = ACTIONS(2216),
    [anon_sym_override] = ACTIONS(2216),
    [anon_sym_virtual] = ACTIONS(2216),
    [anon_sym_alignas] = ACTIONS(2216),
    [anon_sym_explicit] = ACTIONS(2216),
    [anon_sym_typename] = ACTIONS(2216),
    [anon_sym_template] = ACTIONS(2216),
    [anon_sym_operator] = ACTIONS(2216),
    [anon_sym_try] = ACTIONS(2216),
    [anon_sym_delete] = ACTIONS(2216),
    [anon_sym_throw] = ACTIONS(2216),
    [anon_sym_namespace] = ACTIONS(2216),
    [anon_sym_using] = ACTIONS(2216),
    [anon_sym_static_assert] = ACTIONS(2216),
    [anon_sym_concept] = ACTIONS(2216),
    [anon_sym_co_return] = ACTIONS(2216),
    [anon_sym_co_yield] = ACTIONS(2216),
    [anon_sym_R_DQUOTE] = ACTIONS(2218),
    [anon_sym_LR_DQUOTE] = ACTIONS(2218),
    [anon_sym_uR_DQUOTE] = ACTIONS(2218),
    [anon_sym_UR_DQUOTE] = ACTIONS(2218),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2218),
    [anon_sym_co_await] = ACTIONS(2216),
    [anon_sym_new] = ACTIONS(2216),
    [anon_sym_requires] = ACTIONS(2216),
    [sym_this] = ACTIONS(2216),
    [anon_sym_discard] = ACTIONS(2216),
    [anon_sym_precise] = ACTIONS(2216),
    [anon_sym_shared] = ACTIONS(2216),
    [anon_sym_groupshared] = ACTIONS(2216),
    [anon_sym_uniform] = ACTIONS(2216),
    [anon_sym_row_major] = ACTIONS(2216),
    [anon_sym_column_major] = ACTIONS(2216),
    [anon_sym_globallycoherent] = ACTIONS(2216),
    [anon_sym_centroid] = ACTIONS(2216),
    [anon_sym_noperspective] = ACTIONS(2216),
    [anon_sym_nointerpolation] = ACTIONS(2216),
    [anon_sym_sample] = ACTIONS(2216),
    [anon_sym_linear] = ACTIONS(2216),
    [anon_sym_snorm] = ACTIONS(2216),
    [anon_sym_unorm] = ACTIONS(2216),
    [anon_sym_point] = ACTIONS(2216),
    [anon_sym_line] = ACTIONS(2216),
    [anon_sym_triangleadj] = ACTIONS(2216),
    [anon_sym_lineadj] = ACTIONS(2216),
    [anon_sym_triangle] = ACTIONS(2216),
    [anon_sym_cbuffer] = ACTIONS(2216),
  },
  [427] = {
    [sym_identifier] = ACTIONS(2769),
    [aux_sym_preproc_include_token1] = ACTIONS(2769),
    [aux_sym_preproc_def_token1] = ACTIONS(2769),
    [aux_sym_preproc_if_token1] = ACTIONS(2769),
    [aux_sym_preproc_if_token2] = ACTIONS(2769),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2769),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2769),
    [aux_sym_preproc_else_token1] = ACTIONS(2769),
    [aux_sym_preproc_elif_token1] = ACTIONS(2769),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2769),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2769),
    [sym_preproc_directive] = ACTIONS(2769),
    [anon_sym_LPAREN2] = ACTIONS(2771),
    [anon_sym_BANG] = ACTIONS(2771),
    [anon_sym_TILDE] = ACTIONS(2771),
    [anon_sym_DASH] = ACTIONS(2769),
    [anon_sym_PLUS] = ACTIONS(2769),
    [anon_sym_STAR] = ACTIONS(2771),
    [anon_sym_AMP_AMP] = ACTIONS(2771),
    [anon_sym_AMP] = ACTIONS(2769),
    [anon_sym_SEMI] = ACTIONS(2771),
    [anon_sym___extension__] = ACTIONS(2769),
    [anon_sym_typedef] = ACTIONS(2769),
    [anon_sym_in] = ACTIONS(2769),
    [anon_sym_out] = ACTIONS(2769),
    [anon_sym_inout] = ACTIONS(2769),
    [anon_sym_extern] = ACTIONS(2769),
    [anon_sym___attribute__] = ACTIONS(2769),
    [anon_sym_COLON_COLON] = ACTIONS(2771),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2771),
    [anon_sym___declspec] = ACTIONS(2769),
    [anon_sym___based] = ACTIONS(2769),
    [anon_sym___cdecl] = ACTIONS(2769),
    [anon_sym___clrcall] = ACTIONS(2769),
    [anon_sym___stdcall] = ACTIONS(2769),
    [anon_sym___fastcall] = ACTIONS(2769),
    [anon_sym___thiscall] = ACTIONS(2769),
    [anon_sym___vectorcall] = ACTIONS(2769),
    [anon_sym_LBRACE] = ACTIONS(2771),
    [anon_sym_signed] = ACTIONS(2769),
    [anon_sym_unsigned] = ACTIONS(2769),
    [anon_sym_long] = ACTIONS(2769),
    [anon_sym_short] = ACTIONS(2769),
    [anon_sym_LBRACK] = ACTIONS(2769),
    [anon_sym_static] = ACTIONS(2769),
    [anon_sym_register] = ACTIONS(2769),
    [anon_sym_inline] = ACTIONS(2769),
    [anon_sym___inline] = ACTIONS(2769),
    [anon_sym___inline__] = ACTIONS(2769),
    [anon_sym___forceinline] = ACTIONS(2769),
    [anon_sym_thread_local] = ACTIONS(2769),
    [anon_sym___thread] = ACTIONS(2769),
    [anon_sym_const] = ACTIONS(2769),
    [anon_sym_constexpr] = ACTIONS(2769),
    [anon_sym_volatile] = ACTIONS(2769),
    [anon_sym_restrict] = ACTIONS(2769),
    [anon_sym___restrict__] = ACTIONS(2769),
    [anon_sym__Atomic] = ACTIONS(2769),
    [anon_sym__Noreturn] = ACTIONS(2769),
    [anon_sym_noreturn] = ACTIONS(2769),
    [anon_sym_mutable] = ACTIONS(2769),
    [anon_sym_constinit] = ACTIONS(2769),
    [anon_sym_consteval] = ACTIONS(2769),
    [sym_primitive_type] = ACTIONS(2769),
    [anon_sym_enum] = ACTIONS(2769),
    [anon_sym_class] = ACTIONS(2769),
    [anon_sym_struct] = ACTIONS(2769),
    [anon_sym_union] = ACTIONS(2769),
    [anon_sym_if] = ACTIONS(2769),
    [anon_sym_switch] = ACTIONS(2769),
    [anon_sym_case] = ACTIONS(2769),
    [anon_sym_default] = ACTIONS(2769),
    [anon_sym_while] = ACTIONS(2769),
    [anon_sym_do] = ACTIONS(2769),
    [anon_sym_for] = ACTIONS(2769),
    [anon_sym_return] = ACTIONS(2769),
    [anon_sym_break] = ACTIONS(2769),
    [anon_sym_continue] = ACTIONS(2769),
    [anon_sym_goto] = ACTIONS(2769),
    [anon_sym___try] = ACTIONS(2769),
    [anon_sym___leave] = ACTIONS(2769),
    [anon_sym_not] = ACTIONS(2769),
    [anon_sym_compl] = ACTIONS(2769),
    [anon_sym_DASH_DASH] = ACTIONS(2771),
    [anon_sym_PLUS_PLUS] = ACTIONS(2771),
    [anon_sym_sizeof] = ACTIONS(2769),
    [anon_sym___alignof__] = ACTIONS(2769),
    [anon_sym___alignof] = ACTIONS(2769),
    [anon_sym__alignof] = ACTIONS(2769),
    [anon_sym_alignof] = ACTIONS(2769),
    [anon_sym__Alignof] = ACTIONS(2769),
    [anon_sym_offsetof] = ACTIONS(2769),
    [anon_sym__Generic] = ACTIONS(2769),
    [anon_sym_asm] = ACTIONS(2769),
    [anon_sym___asm__] = ACTIONS(2769),
    [sym_number_literal] = ACTIONS(2771),
    [anon_sym_L_SQUOTE] = ACTIONS(2771),
    [anon_sym_u_SQUOTE] = ACTIONS(2771),
    [anon_sym_U_SQUOTE] = ACTIONS(2771),
    [anon_sym_u8_SQUOTE] = ACTIONS(2771),
    [anon_sym_SQUOTE] = ACTIONS(2771),
    [anon_sym_L_DQUOTE] = ACTIONS(2771),
    [anon_sym_u_DQUOTE] = ACTIONS(2771),
    [anon_sym_U_DQUOTE] = ACTIONS(2771),
    [anon_sym_u8_DQUOTE] = ACTIONS(2771),
    [anon_sym_DQUOTE] = ACTIONS(2771),
    [sym_true] = ACTIONS(2769),
    [sym_false] = ACTIONS(2769),
    [anon_sym_NULL] = ACTIONS(2769),
    [anon_sym_nullptr] = ACTIONS(2769),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2769),
    [anon_sym_decltype] = ACTIONS(2769),
    [anon_sym_virtual] = ACTIONS(2769),
    [anon_sym_alignas] = ACTIONS(2769),
    [anon_sym_explicit] = ACTIONS(2769),
    [anon_sym_typename] = ACTIONS(2769),
    [anon_sym_template] = ACTIONS(2769),
    [anon_sym_operator] = ACTIONS(2769),
    [anon_sym_try] = ACTIONS(2769),
    [anon_sym_delete] = ACTIONS(2769),
    [anon_sym_throw] = ACTIONS(2769),
    [anon_sym_namespace] = ACTIONS(2769),
    [anon_sym_using] = ACTIONS(2769),
    [anon_sym_static_assert] = ACTIONS(2769),
    [anon_sym_concept] = ACTIONS(2769),
    [anon_sym_co_return] = ACTIONS(2769),
    [anon_sym_co_yield] = ACTIONS(2769),
    [anon_sym_R_DQUOTE] = ACTIONS(2771),
    [anon_sym_LR_DQUOTE] = ACTIONS(2771),
    [anon_sym_uR_DQUOTE] = ACTIONS(2771),
    [anon_sym_UR_DQUOTE] = ACTIONS(2771),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2771),
    [anon_sym_co_await] = ACTIONS(2769),
    [anon_sym_new] = ACTIONS(2769),
    [anon_sym_requires] = ACTIONS(2769),
    [sym_this] = ACTIONS(2769),
    [anon_sym_discard] = ACTIONS(2769),
    [anon_sym_precise] = ACTIONS(2769),
    [anon_sym_shared] = ACTIONS(2769),
    [anon_sym_groupshared] = ACTIONS(2769),
    [anon_sym_uniform] = ACTIONS(2769),
    [anon_sym_row_major] = ACTIONS(2769),
    [anon_sym_column_major] = ACTIONS(2769),
    [anon_sym_globallycoherent] = ACTIONS(2769),
    [anon_sym_centroid] = ACTIONS(2769),
    [anon_sym_noperspective] = ACTIONS(2769),
    [anon_sym_nointerpolation] = ACTIONS(2769),
    [anon_sym_sample] = ACTIONS(2769),
    [anon_sym_linear] = ACTIONS(2769),
    [anon_sym_snorm] = ACTIONS(2769),
    [anon_sym_unorm] = ACTIONS(2769),
    [anon_sym_point] = ACTIONS(2769),
    [anon_sym_line] = ACTIONS(2769),
    [anon_sym_triangleadj] = ACTIONS(2769),
    [anon_sym_lineadj] = ACTIONS(2769),
    [anon_sym_triangle] = ACTIONS(2769),
    [anon_sym_cbuffer] = ACTIONS(2769),
  },
  [428] = {
    [ts_builtin_sym_end] = ACTIONS(2214),
    [sym_identifier] = ACTIONS(2212),
    [aux_sym_preproc_include_token1] = ACTIONS(2212),
    [aux_sym_preproc_def_token1] = ACTIONS(2212),
    [aux_sym_preproc_if_token1] = ACTIONS(2212),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2212),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2212),
    [sym_preproc_directive] = ACTIONS(2212),
    [anon_sym_LPAREN2] = ACTIONS(2214),
    [anon_sym_BANG] = ACTIONS(2214),
    [anon_sym_TILDE] = ACTIONS(2214),
    [anon_sym_DASH] = ACTIONS(2212),
    [anon_sym_PLUS] = ACTIONS(2212),
    [anon_sym_STAR] = ACTIONS(2214),
    [anon_sym_AMP_AMP] = ACTIONS(2214),
    [anon_sym_AMP] = ACTIONS(2212),
    [anon_sym_COLON] = ACTIONS(2212),
    [anon_sym_SEMI] = ACTIONS(2214),
    [anon_sym___extension__] = ACTIONS(2212),
    [anon_sym_typedef] = ACTIONS(2212),
    [anon_sym_in] = ACTIONS(2212),
    [anon_sym_out] = ACTIONS(2212),
    [anon_sym_inout] = ACTIONS(2212),
    [anon_sym_extern] = ACTIONS(2212),
    [anon_sym___attribute__] = ACTIONS(2212),
    [anon_sym_COLON_COLON] = ACTIONS(2214),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2214),
    [anon_sym___declspec] = ACTIONS(2212),
    [anon_sym___based] = ACTIONS(2212),
    [anon_sym___cdecl] = ACTIONS(2212),
    [anon_sym___clrcall] = ACTIONS(2212),
    [anon_sym___stdcall] = ACTIONS(2212),
    [anon_sym___fastcall] = ACTIONS(2212),
    [anon_sym___thiscall] = ACTIONS(2212),
    [anon_sym___vectorcall] = ACTIONS(2212),
    [anon_sym_LBRACE] = ACTIONS(2214),
    [anon_sym_signed] = ACTIONS(2212),
    [anon_sym_unsigned] = ACTIONS(2212),
    [anon_sym_long] = ACTIONS(2212),
    [anon_sym_short] = ACTIONS(2212),
    [anon_sym_LBRACK] = ACTIONS(2212),
    [anon_sym_static] = ACTIONS(2212),
    [anon_sym_register] = ACTIONS(2212),
    [anon_sym_inline] = ACTIONS(2212),
    [anon_sym___inline] = ACTIONS(2212),
    [anon_sym___inline__] = ACTIONS(2212),
    [anon_sym___forceinline] = ACTIONS(2212),
    [anon_sym_thread_local] = ACTIONS(2212),
    [anon_sym___thread] = ACTIONS(2212),
    [anon_sym_const] = ACTIONS(2212),
    [anon_sym_constexpr] = ACTIONS(2212),
    [anon_sym_volatile] = ACTIONS(2212),
    [anon_sym_restrict] = ACTIONS(2212),
    [anon_sym___restrict__] = ACTIONS(2212),
    [anon_sym__Atomic] = ACTIONS(2212),
    [anon_sym__Noreturn] = ACTIONS(2212),
    [anon_sym_noreturn] = ACTIONS(2212),
    [anon_sym_mutable] = ACTIONS(2212),
    [anon_sym_constinit] = ACTIONS(2212),
    [anon_sym_consteval] = ACTIONS(2212),
    [sym_primitive_type] = ACTIONS(2212),
    [anon_sym_enum] = ACTIONS(2212),
    [anon_sym_class] = ACTIONS(2212),
    [anon_sym_struct] = ACTIONS(2212),
    [anon_sym_union] = ACTIONS(2212),
    [anon_sym_if] = ACTIONS(2212),
    [anon_sym_else] = ACTIONS(2212),
    [anon_sym_switch] = ACTIONS(2212),
    [anon_sym_case] = ACTIONS(2212),
    [anon_sym_default] = ACTIONS(2212),
    [anon_sym_while] = ACTIONS(2212),
    [anon_sym_do] = ACTIONS(2212),
    [anon_sym_for] = ACTIONS(2212),
    [anon_sym_return] = ACTIONS(2212),
    [anon_sym_break] = ACTIONS(2212),
    [anon_sym_continue] = ACTIONS(2212),
    [anon_sym_goto] = ACTIONS(2212),
    [anon_sym___try] = ACTIONS(2212),
    [anon_sym___leave] = ACTIONS(2212),
    [anon_sym_not] = ACTIONS(2212),
    [anon_sym_compl] = ACTIONS(2212),
    [anon_sym_DASH_DASH] = ACTIONS(2214),
    [anon_sym_PLUS_PLUS] = ACTIONS(2214),
    [anon_sym_sizeof] = ACTIONS(2212),
    [anon_sym___alignof__] = ACTIONS(2212),
    [anon_sym___alignof] = ACTIONS(2212),
    [anon_sym__alignof] = ACTIONS(2212),
    [anon_sym_alignof] = ACTIONS(2212),
    [anon_sym__Alignof] = ACTIONS(2212),
    [anon_sym_offsetof] = ACTIONS(2212),
    [anon_sym__Generic] = ACTIONS(2212),
    [anon_sym_asm] = ACTIONS(2212),
    [anon_sym___asm__] = ACTIONS(2212),
    [sym_number_literal] = ACTIONS(2214),
    [anon_sym_L_SQUOTE] = ACTIONS(2214),
    [anon_sym_u_SQUOTE] = ACTIONS(2214),
    [anon_sym_U_SQUOTE] = ACTIONS(2214),
    [anon_sym_u8_SQUOTE] = ACTIONS(2214),
    [anon_sym_SQUOTE] = ACTIONS(2214),
    [anon_sym_L_DQUOTE] = ACTIONS(2214),
    [anon_sym_u_DQUOTE] = ACTIONS(2214),
    [anon_sym_U_DQUOTE] = ACTIONS(2214),
    [anon_sym_u8_DQUOTE] = ACTIONS(2214),
    [anon_sym_DQUOTE] = ACTIONS(2214),
    [sym_true] = ACTIONS(2212),
    [sym_false] = ACTIONS(2212),
    [anon_sym_NULL] = ACTIONS(2212),
    [anon_sym_nullptr] = ACTIONS(2212),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2212),
    [anon_sym_decltype] = ACTIONS(2212),
    [anon_sym_final] = ACTIONS(2212),
    [anon_sym_override] = ACTIONS(2212),
    [anon_sym_virtual] = ACTIONS(2212),
    [anon_sym_alignas] = ACTIONS(2212),
    [anon_sym_explicit] = ACTIONS(2212),
    [anon_sym_typename] = ACTIONS(2212),
    [anon_sym_template] = ACTIONS(2212),
    [anon_sym_operator] = ACTIONS(2212),
    [anon_sym_try] = ACTIONS(2212),
    [anon_sym_delete] = ACTIONS(2212),
    [anon_sym_throw] = ACTIONS(2212),
    [anon_sym_namespace] = ACTIONS(2212),
    [anon_sym_using] = ACTIONS(2212),
    [anon_sym_static_assert] = ACTIONS(2212),
    [anon_sym_concept] = ACTIONS(2212),
    [anon_sym_co_return] = ACTIONS(2212),
    [anon_sym_co_yield] = ACTIONS(2212),
    [anon_sym_R_DQUOTE] = ACTIONS(2214),
    [anon_sym_LR_DQUOTE] = ACTIONS(2214),
    [anon_sym_uR_DQUOTE] = ACTIONS(2214),
    [anon_sym_UR_DQUOTE] = ACTIONS(2214),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2214),
    [anon_sym_co_await] = ACTIONS(2212),
    [anon_sym_new] = ACTIONS(2212),
    [anon_sym_requires] = ACTIONS(2212),
    [sym_this] = ACTIONS(2212),
    [anon_sym_discard] = ACTIONS(2212),
    [anon_sym_precise] = ACTIONS(2212),
    [anon_sym_shared] = ACTIONS(2212),
    [anon_sym_groupshared] = ACTIONS(2212),
    [anon_sym_uniform] = ACTIONS(2212),
    [anon_sym_row_major] = ACTIONS(2212),
    [anon_sym_column_major] = ACTIONS(2212),
    [anon_sym_globallycoherent] = ACTIONS(2212),
    [anon_sym_centroid] = ACTIONS(2212),
    [anon_sym_noperspective] = ACTIONS(2212),
    [anon_sym_nointerpolation] = ACTIONS(2212),
    [anon_sym_sample] = ACTIONS(2212),
    [anon_sym_linear] = ACTIONS(2212),
    [anon_sym_snorm] = ACTIONS(2212),
    [anon_sym_unorm] = ACTIONS(2212),
    [anon_sym_point] = ACTIONS(2212),
    [anon_sym_line] = ACTIONS(2212),
    [anon_sym_triangleadj] = ACTIONS(2212),
    [anon_sym_lineadj] = ACTIONS(2212),
    [anon_sym_triangle] = ACTIONS(2212),
    [anon_sym_cbuffer] = ACTIONS(2212),
  },
  [429] = {
    [ts_builtin_sym_end] = ACTIONS(2210),
    [sym_identifier] = ACTIONS(2208),
    [aux_sym_preproc_include_token1] = ACTIONS(2208),
    [aux_sym_preproc_def_token1] = ACTIONS(2208),
    [aux_sym_preproc_if_token1] = ACTIONS(2208),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2208),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2208),
    [sym_preproc_directive] = ACTIONS(2208),
    [anon_sym_LPAREN2] = ACTIONS(2210),
    [anon_sym_BANG] = ACTIONS(2210),
    [anon_sym_TILDE] = ACTIONS(2210),
    [anon_sym_DASH] = ACTIONS(2208),
    [anon_sym_PLUS] = ACTIONS(2208),
    [anon_sym_STAR] = ACTIONS(2210),
    [anon_sym_AMP_AMP] = ACTIONS(2210),
    [anon_sym_AMP] = ACTIONS(2208),
    [anon_sym_COLON] = ACTIONS(2208),
    [anon_sym_SEMI] = ACTIONS(2210),
    [anon_sym___extension__] = ACTIONS(2208),
    [anon_sym_typedef] = ACTIONS(2208),
    [anon_sym_in] = ACTIONS(2208),
    [anon_sym_out] = ACTIONS(2208),
    [anon_sym_inout] = ACTIONS(2208),
    [anon_sym_extern] = ACTIONS(2208),
    [anon_sym___attribute__] = ACTIONS(2208),
    [anon_sym_COLON_COLON] = ACTIONS(2210),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2210),
    [anon_sym___declspec] = ACTIONS(2208),
    [anon_sym___based] = ACTIONS(2208),
    [anon_sym___cdecl] = ACTIONS(2208),
    [anon_sym___clrcall] = ACTIONS(2208),
    [anon_sym___stdcall] = ACTIONS(2208),
    [anon_sym___fastcall] = ACTIONS(2208),
    [anon_sym___thiscall] = ACTIONS(2208),
    [anon_sym___vectorcall] = ACTIONS(2208),
    [anon_sym_LBRACE] = ACTIONS(2210),
    [anon_sym_signed] = ACTIONS(2208),
    [anon_sym_unsigned] = ACTIONS(2208),
    [anon_sym_long] = ACTIONS(2208),
    [anon_sym_short] = ACTIONS(2208),
    [anon_sym_LBRACK] = ACTIONS(2208),
    [anon_sym_static] = ACTIONS(2208),
    [anon_sym_register] = ACTIONS(2208),
    [anon_sym_inline] = ACTIONS(2208),
    [anon_sym___inline] = ACTIONS(2208),
    [anon_sym___inline__] = ACTIONS(2208),
    [anon_sym___forceinline] = ACTIONS(2208),
    [anon_sym_thread_local] = ACTIONS(2208),
    [anon_sym___thread] = ACTIONS(2208),
    [anon_sym_const] = ACTIONS(2208),
    [anon_sym_constexpr] = ACTIONS(2208),
    [anon_sym_volatile] = ACTIONS(2208),
    [anon_sym_restrict] = ACTIONS(2208),
    [anon_sym___restrict__] = ACTIONS(2208),
    [anon_sym__Atomic] = ACTIONS(2208),
    [anon_sym__Noreturn] = ACTIONS(2208),
    [anon_sym_noreturn] = ACTIONS(2208),
    [anon_sym_mutable] = ACTIONS(2208),
    [anon_sym_constinit] = ACTIONS(2208),
    [anon_sym_consteval] = ACTIONS(2208),
    [sym_primitive_type] = ACTIONS(2208),
    [anon_sym_enum] = ACTIONS(2208),
    [anon_sym_class] = ACTIONS(2208),
    [anon_sym_struct] = ACTIONS(2208),
    [anon_sym_union] = ACTIONS(2208),
    [anon_sym_if] = ACTIONS(2208),
    [anon_sym_else] = ACTIONS(2208),
    [anon_sym_switch] = ACTIONS(2208),
    [anon_sym_case] = ACTIONS(2208),
    [anon_sym_default] = ACTIONS(2208),
    [anon_sym_while] = ACTIONS(2208),
    [anon_sym_do] = ACTIONS(2208),
    [anon_sym_for] = ACTIONS(2208),
    [anon_sym_return] = ACTIONS(2208),
    [anon_sym_break] = ACTIONS(2208),
    [anon_sym_continue] = ACTIONS(2208),
    [anon_sym_goto] = ACTIONS(2208),
    [anon_sym___try] = ACTIONS(2208),
    [anon_sym___leave] = ACTIONS(2208),
    [anon_sym_not] = ACTIONS(2208),
    [anon_sym_compl] = ACTIONS(2208),
    [anon_sym_DASH_DASH] = ACTIONS(2210),
    [anon_sym_PLUS_PLUS] = ACTIONS(2210),
    [anon_sym_sizeof] = ACTIONS(2208),
    [anon_sym___alignof__] = ACTIONS(2208),
    [anon_sym___alignof] = ACTIONS(2208),
    [anon_sym__alignof] = ACTIONS(2208),
    [anon_sym_alignof] = ACTIONS(2208),
    [anon_sym__Alignof] = ACTIONS(2208),
    [anon_sym_offsetof] = ACTIONS(2208),
    [anon_sym__Generic] = ACTIONS(2208),
    [anon_sym_asm] = ACTIONS(2208),
    [anon_sym___asm__] = ACTIONS(2208),
    [sym_number_literal] = ACTIONS(2210),
    [anon_sym_L_SQUOTE] = ACTIONS(2210),
    [anon_sym_u_SQUOTE] = ACTIONS(2210),
    [anon_sym_U_SQUOTE] = ACTIONS(2210),
    [anon_sym_u8_SQUOTE] = ACTIONS(2210),
    [anon_sym_SQUOTE] = ACTIONS(2210),
    [anon_sym_L_DQUOTE] = ACTIONS(2210),
    [anon_sym_u_DQUOTE] = ACTIONS(2210),
    [anon_sym_U_DQUOTE] = ACTIONS(2210),
    [anon_sym_u8_DQUOTE] = ACTIONS(2210),
    [anon_sym_DQUOTE] = ACTIONS(2210),
    [sym_true] = ACTIONS(2208),
    [sym_false] = ACTIONS(2208),
    [anon_sym_NULL] = ACTIONS(2208),
    [anon_sym_nullptr] = ACTIONS(2208),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2208),
    [anon_sym_decltype] = ACTIONS(2208),
    [anon_sym_final] = ACTIONS(2208),
    [anon_sym_override] = ACTIONS(2208),
    [anon_sym_virtual] = ACTIONS(2208),
    [anon_sym_alignas] = ACTIONS(2208),
    [anon_sym_explicit] = ACTIONS(2208),
    [anon_sym_typename] = ACTIONS(2208),
    [anon_sym_template] = ACTIONS(2208),
    [anon_sym_operator] = ACTIONS(2208),
    [anon_sym_try] = ACTIONS(2208),
    [anon_sym_delete] = ACTIONS(2208),
    [anon_sym_throw] = ACTIONS(2208),
    [anon_sym_namespace] = ACTIONS(2208),
    [anon_sym_using] = ACTIONS(2208),
    [anon_sym_static_assert] = ACTIONS(2208),
    [anon_sym_concept] = ACTIONS(2208),
    [anon_sym_co_return] = ACTIONS(2208),
    [anon_sym_co_yield] = ACTIONS(2208),
    [anon_sym_R_DQUOTE] = ACTIONS(2210),
    [anon_sym_LR_DQUOTE] = ACTIONS(2210),
    [anon_sym_uR_DQUOTE] = ACTIONS(2210),
    [anon_sym_UR_DQUOTE] = ACTIONS(2210),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2210),
    [anon_sym_co_await] = ACTIONS(2208),
    [anon_sym_new] = ACTIONS(2208),
    [anon_sym_requires] = ACTIONS(2208),
    [sym_this] = ACTIONS(2208),
    [anon_sym_discard] = ACTIONS(2208),
    [anon_sym_precise] = ACTIONS(2208),
    [anon_sym_shared] = ACTIONS(2208),
    [anon_sym_groupshared] = ACTIONS(2208),
    [anon_sym_uniform] = ACTIONS(2208),
    [anon_sym_row_major] = ACTIONS(2208),
    [anon_sym_column_major] = ACTIONS(2208),
    [anon_sym_globallycoherent] = ACTIONS(2208),
    [anon_sym_centroid] = ACTIONS(2208),
    [anon_sym_noperspective] = ACTIONS(2208),
    [anon_sym_nointerpolation] = ACTIONS(2208),
    [anon_sym_sample] = ACTIONS(2208),
    [anon_sym_linear] = ACTIONS(2208),
    [anon_sym_snorm] = ACTIONS(2208),
    [anon_sym_unorm] = ACTIONS(2208),
    [anon_sym_point] = ACTIONS(2208),
    [anon_sym_line] = ACTIONS(2208),
    [anon_sym_triangleadj] = ACTIONS(2208),
    [anon_sym_lineadj] = ACTIONS(2208),
    [anon_sym_triangle] = ACTIONS(2208),
    [anon_sym_cbuffer] = ACTIONS(2208),
  },
  [430] = {
    [sym_identifier] = ACTIONS(2793),
    [aux_sym_preproc_include_token1] = ACTIONS(2793),
    [aux_sym_preproc_def_token1] = ACTIONS(2793),
    [aux_sym_preproc_if_token1] = ACTIONS(2793),
    [aux_sym_preproc_if_token2] = ACTIONS(2793),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2793),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2793),
    [aux_sym_preproc_else_token1] = ACTIONS(2793),
    [aux_sym_preproc_elif_token1] = ACTIONS(2793),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2793),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2793),
    [sym_preproc_directive] = ACTIONS(2793),
    [anon_sym_LPAREN2] = ACTIONS(2795),
    [anon_sym_BANG] = ACTIONS(2795),
    [anon_sym_TILDE] = ACTIONS(2795),
    [anon_sym_DASH] = ACTIONS(2793),
    [anon_sym_PLUS] = ACTIONS(2793),
    [anon_sym_STAR] = ACTIONS(2795),
    [anon_sym_AMP_AMP] = ACTIONS(2795),
    [anon_sym_AMP] = ACTIONS(2793),
    [anon_sym_SEMI] = ACTIONS(2795),
    [anon_sym___extension__] = ACTIONS(2793),
    [anon_sym_typedef] = ACTIONS(2793),
    [anon_sym_in] = ACTIONS(2793),
    [anon_sym_out] = ACTIONS(2793),
    [anon_sym_inout] = ACTIONS(2793),
    [anon_sym_extern] = ACTIONS(2793),
    [anon_sym___attribute__] = ACTIONS(2793),
    [anon_sym_COLON_COLON] = ACTIONS(2795),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2795),
    [anon_sym___declspec] = ACTIONS(2793),
    [anon_sym___based] = ACTIONS(2793),
    [anon_sym___cdecl] = ACTIONS(2793),
    [anon_sym___clrcall] = ACTIONS(2793),
    [anon_sym___stdcall] = ACTIONS(2793),
    [anon_sym___fastcall] = ACTIONS(2793),
    [anon_sym___thiscall] = ACTIONS(2793),
    [anon_sym___vectorcall] = ACTIONS(2793),
    [anon_sym_LBRACE] = ACTIONS(2795),
    [anon_sym_signed] = ACTIONS(2793),
    [anon_sym_unsigned] = ACTIONS(2793),
    [anon_sym_long] = ACTIONS(2793),
    [anon_sym_short] = ACTIONS(2793),
    [anon_sym_LBRACK] = ACTIONS(2793),
    [anon_sym_static] = ACTIONS(2793),
    [anon_sym_register] = ACTIONS(2793),
    [anon_sym_inline] = ACTIONS(2793),
    [anon_sym___inline] = ACTIONS(2793),
    [anon_sym___inline__] = ACTIONS(2793),
    [anon_sym___forceinline] = ACTIONS(2793),
    [anon_sym_thread_local] = ACTIONS(2793),
    [anon_sym___thread] = ACTIONS(2793),
    [anon_sym_const] = ACTIONS(2793),
    [anon_sym_constexpr] = ACTIONS(2793),
    [anon_sym_volatile] = ACTIONS(2793),
    [anon_sym_restrict] = ACTIONS(2793),
    [anon_sym___restrict__] = ACTIONS(2793),
    [anon_sym__Atomic] = ACTIONS(2793),
    [anon_sym__Noreturn] = ACTIONS(2793),
    [anon_sym_noreturn] = ACTIONS(2793),
    [anon_sym_mutable] = ACTIONS(2793),
    [anon_sym_constinit] = ACTIONS(2793),
    [anon_sym_consteval] = ACTIONS(2793),
    [sym_primitive_type] = ACTIONS(2793),
    [anon_sym_enum] = ACTIONS(2793),
    [anon_sym_class] = ACTIONS(2793),
    [anon_sym_struct] = ACTIONS(2793),
    [anon_sym_union] = ACTIONS(2793),
    [anon_sym_if] = ACTIONS(2793),
    [anon_sym_switch] = ACTIONS(2793),
    [anon_sym_case] = ACTIONS(2793),
    [anon_sym_default] = ACTIONS(2793),
    [anon_sym_while] = ACTIONS(2793),
    [anon_sym_do] = ACTIONS(2793),
    [anon_sym_for] = ACTIONS(2793),
    [anon_sym_return] = ACTIONS(2793),
    [anon_sym_break] = ACTIONS(2793),
    [anon_sym_continue] = ACTIONS(2793),
    [anon_sym_goto] = ACTIONS(2793),
    [anon_sym___try] = ACTIONS(2793),
    [anon_sym___leave] = ACTIONS(2793),
    [anon_sym_not] = ACTIONS(2793),
    [anon_sym_compl] = ACTIONS(2793),
    [anon_sym_DASH_DASH] = ACTIONS(2795),
    [anon_sym_PLUS_PLUS] = ACTIONS(2795),
    [anon_sym_sizeof] = ACTIONS(2793),
    [anon_sym___alignof__] = ACTIONS(2793),
    [anon_sym___alignof] = ACTIONS(2793),
    [anon_sym__alignof] = ACTIONS(2793),
    [anon_sym_alignof] = ACTIONS(2793),
    [anon_sym__Alignof] = ACTIONS(2793),
    [anon_sym_offsetof] = ACTIONS(2793),
    [anon_sym__Generic] = ACTIONS(2793),
    [anon_sym_asm] = ACTIONS(2793),
    [anon_sym___asm__] = ACTIONS(2793),
    [sym_number_literal] = ACTIONS(2795),
    [anon_sym_L_SQUOTE] = ACTIONS(2795),
    [anon_sym_u_SQUOTE] = ACTIONS(2795),
    [anon_sym_U_SQUOTE] = ACTIONS(2795),
    [anon_sym_u8_SQUOTE] = ACTIONS(2795),
    [anon_sym_SQUOTE] = ACTIONS(2795),
    [anon_sym_L_DQUOTE] = ACTIONS(2795),
    [anon_sym_u_DQUOTE] = ACTIONS(2795),
    [anon_sym_U_DQUOTE] = ACTIONS(2795),
    [anon_sym_u8_DQUOTE] = ACTIONS(2795),
    [anon_sym_DQUOTE] = ACTIONS(2795),
    [sym_true] = ACTIONS(2793),
    [sym_false] = ACTIONS(2793),
    [anon_sym_NULL] = ACTIONS(2793),
    [anon_sym_nullptr] = ACTIONS(2793),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2793),
    [anon_sym_decltype] = ACTIONS(2793),
    [anon_sym_virtual] = ACTIONS(2793),
    [anon_sym_alignas] = ACTIONS(2793),
    [anon_sym_explicit] = ACTIONS(2793),
    [anon_sym_typename] = ACTIONS(2793),
    [anon_sym_template] = ACTIONS(2793),
    [anon_sym_operator] = ACTIONS(2793),
    [anon_sym_try] = ACTIONS(2793),
    [anon_sym_delete] = ACTIONS(2793),
    [anon_sym_throw] = ACTIONS(2793),
    [anon_sym_namespace] = ACTIONS(2793),
    [anon_sym_using] = ACTIONS(2793),
    [anon_sym_static_assert] = ACTIONS(2793),
    [anon_sym_concept] = ACTIONS(2793),
    [anon_sym_co_return] = ACTIONS(2793),
    [anon_sym_co_yield] = ACTIONS(2793),
    [anon_sym_R_DQUOTE] = ACTIONS(2795),
    [anon_sym_LR_DQUOTE] = ACTIONS(2795),
    [anon_sym_uR_DQUOTE] = ACTIONS(2795),
    [anon_sym_UR_DQUOTE] = ACTIONS(2795),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2795),
    [anon_sym_co_await] = ACTIONS(2793),
    [anon_sym_new] = ACTIONS(2793),
    [anon_sym_requires] = ACTIONS(2793),
    [sym_this] = ACTIONS(2793),
    [anon_sym_discard] = ACTIONS(2793),
    [anon_sym_precise] = ACTIONS(2793),
    [anon_sym_shared] = ACTIONS(2793),
    [anon_sym_groupshared] = ACTIONS(2793),
    [anon_sym_uniform] = ACTIONS(2793),
    [anon_sym_row_major] = ACTIONS(2793),
    [anon_sym_column_major] = ACTIONS(2793),
    [anon_sym_globallycoherent] = ACTIONS(2793),
    [anon_sym_centroid] = ACTIONS(2793),
    [anon_sym_noperspective] = ACTIONS(2793),
    [anon_sym_nointerpolation] = ACTIONS(2793),
    [anon_sym_sample] = ACTIONS(2793),
    [anon_sym_linear] = ACTIONS(2793),
    [anon_sym_snorm] = ACTIONS(2793),
    [anon_sym_unorm] = ACTIONS(2793),
    [anon_sym_point] = ACTIONS(2793),
    [anon_sym_line] = ACTIONS(2793),
    [anon_sym_triangleadj] = ACTIONS(2793),
    [anon_sym_lineadj] = ACTIONS(2793),
    [anon_sym_triangle] = ACTIONS(2793),
    [anon_sym_cbuffer] = ACTIONS(2793),
  },
  [431] = {
    [sym_identifier] = ACTIONS(2797),
    [aux_sym_preproc_include_token1] = ACTIONS(2797),
    [aux_sym_preproc_def_token1] = ACTIONS(2797),
    [aux_sym_preproc_if_token1] = ACTIONS(2797),
    [aux_sym_preproc_if_token2] = ACTIONS(2797),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2797),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2797),
    [aux_sym_preproc_else_token1] = ACTIONS(2797),
    [aux_sym_preproc_elif_token1] = ACTIONS(2797),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2797),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2797),
    [sym_preproc_directive] = ACTIONS(2797),
    [anon_sym_LPAREN2] = ACTIONS(2799),
    [anon_sym_BANG] = ACTIONS(2799),
    [anon_sym_TILDE] = ACTIONS(2799),
    [anon_sym_DASH] = ACTIONS(2797),
    [anon_sym_PLUS] = ACTIONS(2797),
    [anon_sym_STAR] = ACTIONS(2799),
    [anon_sym_AMP_AMP] = ACTIONS(2799),
    [anon_sym_AMP] = ACTIONS(2797),
    [anon_sym_SEMI] = ACTIONS(2799),
    [anon_sym___extension__] = ACTIONS(2797),
    [anon_sym_typedef] = ACTIONS(2797),
    [anon_sym_in] = ACTIONS(2797),
    [anon_sym_out] = ACTIONS(2797),
    [anon_sym_inout] = ACTIONS(2797),
    [anon_sym_extern] = ACTIONS(2797),
    [anon_sym___attribute__] = ACTIONS(2797),
    [anon_sym_COLON_COLON] = ACTIONS(2799),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2799),
    [anon_sym___declspec] = ACTIONS(2797),
    [anon_sym___based] = ACTIONS(2797),
    [anon_sym___cdecl] = ACTIONS(2797),
    [anon_sym___clrcall] = ACTIONS(2797),
    [anon_sym___stdcall] = ACTIONS(2797),
    [anon_sym___fastcall] = ACTIONS(2797),
    [anon_sym___thiscall] = ACTIONS(2797),
    [anon_sym___vectorcall] = ACTIONS(2797),
    [anon_sym_LBRACE] = ACTIONS(2799),
    [anon_sym_signed] = ACTIONS(2797),
    [anon_sym_unsigned] = ACTIONS(2797),
    [anon_sym_long] = ACTIONS(2797),
    [anon_sym_short] = ACTIONS(2797),
    [anon_sym_LBRACK] = ACTIONS(2797),
    [anon_sym_static] = ACTIONS(2797),
    [anon_sym_register] = ACTIONS(2797),
    [anon_sym_inline] = ACTIONS(2797),
    [anon_sym___inline] = ACTIONS(2797),
    [anon_sym___inline__] = ACTIONS(2797),
    [anon_sym___forceinline] = ACTIONS(2797),
    [anon_sym_thread_local] = ACTIONS(2797),
    [anon_sym___thread] = ACTIONS(2797),
    [anon_sym_const] = ACTIONS(2797),
    [anon_sym_constexpr] = ACTIONS(2797),
    [anon_sym_volatile] = ACTIONS(2797),
    [anon_sym_restrict] = ACTIONS(2797),
    [anon_sym___restrict__] = ACTIONS(2797),
    [anon_sym__Atomic] = ACTIONS(2797),
    [anon_sym__Noreturn] = ACTIONS(2797),
    [anon_sym_noreturn] = ACTIONS(2797),
    [anon_sym_mutable] = ACTIONS(2797),
    [anon_sym_constinit] = ACTIONS(2797),
    [anon_sym_consteval] = ACTIONS(2797),
    [sym_primitive_type] = ACTIONS(2797),
    [anon_sym_enum] = ACTIONS(2797),
    [anon_sym_class] = ACTIONS(2797),
    [anon_sym_struct] = ACTIONS(2797),
    [anon_sym_union] = ACTIONS(2797),
    [anon_sym_if] = ACTIONS(2797),
    [anon_sym_switch] = ACTIONS(2797),
    [anon_sym_case] = ACTIONS(2797),
    [anon_sym_default] = ACTIONS(2797),
    [anon_sym_while] = ACTIONS(2797),
    [anon_sym_do] = ACTIONS(2797),
    [anon_sym_for] = ACTIONS(2797),
    [anon_sym_return] = ACTIONS(2797),
    [anon_sym_break] = ACTIONS(2797),
    [anon_sym_continue] = ACTIONS(2797),
    [anon_sym_goto] = ACTIONS(2797),
    [anon_sym___try] = ACTIONS(2797),
    [anon_sym___leave] = ACTIONS(2797),
    [anon_sym_not] = ACTIONS(2797),
    [anon_sym_compl] = ACTIONS(2797),
    [anon_sym_DASH_DASH] = ACTIONS(2799),
    [anon_sym_PLUS_PLUS] = ACTIONS(2799),
    [anon_sym_sizeof] = ACTIONS(2797),
    [anon_sym___alignof__] = ACTIONS(2797),
    [anon_sym___alignof] = ACTIONS(2797),
    [anon_sym__alignof] = ACTIONS(2797),
    [anon_sym_alignof] = ACTIONS(2797),
    [anon_sym__Alignof] = ACTIONS(2797),
    [anon_sym_offsetof] = ACTIONS(2797),
    [anon_sym__Generic] = ACTIONS(2797),
    [anon_sym_asm] = ACTIONS(2797),
    [anon_sym___asm__] = ACTIONS(2797),
    [sym_number_literal] = ACTIONS(2799),
    [anon_sym_L_SQUOTE] = ACTIONS(2799),
    [anon_sym_u_SQUOTE] = ACTIONS(2799),
    [anon_sym_U_SQUOTE] = ACTIONS(2799),
    [anon_sym_u8_SQUOTE] = ACTIONS(2799),
    [anon_sym_SQUOTE] = ACTIONS(2799),
    [anon_sym_L_DQUOTE] = ACTIONS(2799),
    [anon_sym_u_DQUOTE] = ACTIONS(2799),
    [anon_sym_U_DQUOTE] = ACTIONS(2799),
    [anon_sym_u8_DQUOTE] = ACTIONS(2799),
    [anon_sym_DQUOTE] = ACTIONS(2799),
    [sym_true] = ACTIONS(2797),
    [sym_false] = ACTIONS(2797),
    [anon_sym_NULL] = ACTIONS(2797),
    [anon_sym_nullptr] = ACTIONS(2797),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2797),
    [anon_sym_decltype] = ACTIONS(2797),
    [anon_sym_virtual] = ACTIONS(2797),
    [anon_sym_alignas] = ACTIONS(2797),
    [anon_sym_explicit] = ACTIONS(2797),
    [anon_sym_typename] = ACTIONS(2797),
    [anon_sym_template] = ACTIONS(2797),
    [anon_sym_operator] = ACTIONS(2797),
    [anon_sym_try] = ACTIONS(2797),
    [anon_sym_delete] = ACTIONS(2797),
    [anon_sym_throw] = ACTIONS(2797),
    [anon_sym_namespace] = ACTIONS(2797),
    [anon_sym_using] = ACTIONS(2797),
    [anon_sym_static_assert] = ACTIONS(2797),
    [anon_sym_concept] = ACTIONS(2797),
    [anon_sym_co_return] = ACTIONS(2797),
    [anon_sym_co_yield] = ACTIONS(2797),
    [anon_sym_R_DQUOTE] = ACTIONS(2799),
    [anon_sym_LR_DQUOTE] = ACTIONS(2799),
    [anon_sym_uR_DQUOTE] = ACTIONS(2799),
    [anon_sym_UR_DQUOTE] = ACTIONS(2799),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2799),
    [anon_sym_co_await] = ACTIONS(2797),
    [anon_sym_new] = ACTIONS(2797),
    [anon_sym_requires] = ACTIONS(2797),
    [sym_this] = ACTIONS(2797),
    [anon_sym_discard] = ACTIONS(2797),
    [anon_sym_precise] = ACTIONS(2797),
    [anon_sym_shared] = ACTIONS(2797),
    [anon_sym_groupshared] = ACTIONS(2797),
    [anon_sym_uniform] = ACTIONS(2797),
    [anon_sym_row_major] = ACTIONS(2797),
    [anon_sym_column_major] = ACTIONS(2797),
    [anon_sym_globallycoherent] = ACTIONS(2797),
    [anon_sym_centroid] = ACTIONS(2797),
    [anon_sym_noperspective] = ACTIONS(2797),
    [anon_sym_nointerpolation] = ACTIONS(2797),
    [anon_sym_sample] = ACTIONS(2797),
    [anon_sym_linear] = ACTIONS(2797),
    [anon_sym_snorm] = ACTIONS(2797),
    [anon_sym_unorm] = ACTIONS(2797),
    [anon_sym_point] = ACTIONS(2797),
    [anon_sym_line] = ACTIONS(2797),
    [anon_sym_triangleadj] = ACTIONS(2797),
    [anon_sym_lineadj] = ACTIONS(2797),
    [anon_sym_triangle] = ACTIONS(2797),
    [anon_sym_cbuffer] = ACTIONS(2797),
  },
  [432] = {
    [sym_identifier] = ACTIONS(2797),
    [aux_sym_preproc_include_token1] = ACTIONS(2797),
    [aux_sym_preproc_def_token1] = ACTIONS(2797),
    [aux_sym_preproc_if_token1] = ACTIONS(2797),
    [aux_sym_preproc_if_token2] = ACTIONS(2797),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2797),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2797),
    [aux_sym_preproc_else_token1] = ACTIONS(2797),
    [aux_sym_preproc_elif_token1] = ACTIONS(2797),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2797),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2797),
    [sym_preproc_directive] = ACTIONS(2797),
    [anon_sym_LPAREN2] = ACTIONS(2799),
    [anon_sym_BANG] = ACTIONS(2799),
    [anon_sym_TILDE] = ACTIONS(2799),
    [anon_sym_DASH] = ACTIONS(2797),
    [anon_sym_PLUS] = ACTIONS(2797),
    [anon_sym_STAR] = ACTIONS(2799),
    [anon_sym_AMP_AMP] = ACTIONS(2799),
    [anon_sym_AMP] = ACTIONS(2797),
    [anon_sym_SEMI] = ACTIONS(2799),
    [anon_sym___extension__] = ACTIONS(2797),
    [anon_sym_typedef] = ACTIONS(2797),
    [anon_sym_in] = ACTIONS(2797),
    [anon_sym_out] = ACTIONS(2797),
    [anon_sym_inout] = ACTIONS(2797),
    [anon_sym_extern] = ACTIONS(2797),
    [anon_sym___attribute__] = ACTIONS(2797),
    [anon_sym_COLON_COLON] = ACTIONS(2799),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2799),
    [anon_sym___declspec] = ACTIONS(2797),
    [anon_sym___based] = ACTIONS(2797),
    [anon_sym___cdecl] = ACTIONS(2797),
    [anon_sym___clrcall] = ACTIONS(2797),
    [anon_sym___stdcall] = ACTIONS(2797),
    [anon_sym___fastcall] = ACTIONS(2797),
    [anon_sym___thiscall] = ACTIONS(2797),
    [anon_sym___vectorcall] = ACTIONS(2797),
    [anon_sym_LBRACE] = ACTIONS(2799),
    [anon_sym_signed] = ACTIONS(2797),
    [anon_sym_unsigned] = ACTIONS(2797),
    [anon_sym_long] = ACTIONS(2797),
    [anon_sym_short] = ACTIONS(2797),
    [anon_sym_LBRACK] = ACTIONS(2797),
    [anon_sym_static] = ACTIONS(2797),
    [anon_sym_register] = ACTIONS(2797),
    [anon_sym_inline] = ACTIONS(2797),
    [anon_sym___inline] = ACTIONS(2797),
    [anon_sym___inline__] = ACTIONS(2797),
    [anon_sym___forceinline] = ACTIONS(2797),
    [anon_sym_thread_local] = ACTIONS(2797),
    [anon_sym___thread] = ACTIONS(2797),
    [anon_sym_const] = ACTIONS(2797),
    [anon_sym_constexpr] = ACTIONS(2797),
    [anon_sym_volatile] = ACTIONS(2797),
    [anon_sym_restrict] = ACTIONS(2797),
    [anon_sym___restrict__] = ACTIONS(2797),
    [anon_sym__Atomic] = ACTIONS(2797),
    [anon_sym__Noreturn] = ACTIONS(2797),
    [anon_sym_noreturn] = ACTIONS(2797),
    [anon_sym_mutable] = ACTIONS(2797),
    [anon_sym_constinit] = ACTIONS(2797),
    [anon_sym_consteval] = ACTIONS(2797),
    [sym_primitive_type] = ACTIONS(2797),
    [anon_sym_enum] = ACTIONS(2797),
    [anon_sym_class] = ACTIONS(2797),
    [anon_sym_struct] = ACTIONS(2797),
    [anon_sym_union] = ACTIONS(2797),
    [anon_sym_if] = ACTIONS(2797),
    [anon_sym_switch] = ACTIONS(2797),
    [anon_sym_case] = ACTIONS(2797),
    [anon_sym_default] = ACTIONS(2797),
    [anon_sym_while] = ACTIONS(2797),
    [anon_sym_do] = ACTIONS(2797),
    [anon_sym_for] = ACTIONS(2797),
    [anon_sym_return] = ACTIONS(2797),
    [anon_sym_break] = ACTIONS(2797),
    [anon_sym_continue] = ACTIONS(2797),
    [anon_sym_goto] = ACTIONS(2797),
    [anon_sym___try] = ACTIONS(2797),
    [anon_sym___leave] = ACTIONS(2797),
    [anon_sym_not] = ACTIONS(2797),
    [anon_sym_compl] = ACTIONS(2797),
    [anon_sym_DASH_DASH] = ACTIONS(2799),
    [anon_sym_PLUS_PLUS] = ACTIONS(2799),
    [anon_sym_sizeof] = ACTIONS(2797),
    [anon_sym___alignof__] = ACTIONS(2797),
    [anon_sym___alignof] = ACTIONS(2797),
    [anon_sym__alignof] = ACTIONS(2797),
    [anon_sym_alignof] = ACTIONS(2797),
    [anon_sym__Alignof] = ACTIONS(2797),
    [anon_sym_offsetof] = ACTIONS(2797),
    [anon_sym__Generic] = ACTIONS(2797),
    [anon_sym_asm] = ACTIONS(2797),
    [anon_sym___asm__] = ACTIONS(2797),
    [sym_number_literal] = ACTIONS(2799),
    [anon_sym_L_SQUOTE] = ACTIONS(2799),
    [anon_sym_u_SQUOTE] = ACTIONS(2799),
    [anon_sym_U_SQUOTE] = ACTIONS(2799),
    [anon_sym_u8_SQUOTE] = ACTIONS(2799),
    [anon_sym_SQUOTE] = ACTIONS(2799),
    [anon_sym_L_DQUOTE] = ACTIONS(2799),
    [anon_sym_u_DQUOTE] = ACTIONS(2799),
    [anon_sym_U_DQUOTE] = ACTIONS(2799),
    [anon_sym_u8_DQUOTE] = ACTIONS(2799),
    [anon_sym_DQUOTE] = ACTIONS(2799),
    [sym_true] = ACTIONS(2797),
    [sym_false] = ACTIONS(2797),
    [anon_sym_NULL] = ACTIONS(2797),
    [anon_sym_nullptr] = ACTIONS(2797),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2797),
    [anon_sym_decltype] = ACTIONS(2797),
    [anon_sym_virtual] = ACTIONS(2797),
    [anon_sym_alignas] = ACTIONS(2797),
    [anon_sym_explicit] = ACTIONS(2797),
    [anon_sym_typename] = ACTIONS(2797),
    [anon_sym_template] = ACTIONS(2797),
    [anon_sym_operator] = ACTIONS(2797),
    [anon_sym_try] = ACTIONS(2797),
    [anon_sym_delete] = ACTIONS(2797),
    [anon_sym_throw] = ACTIONS(2797),
    [anon_sym_namespace] = ACTIONS(2797),
    [anon_sym_using] = ACTIONS(2797),
    [anon_sym_static_assert] = ACTIONS(2797),
    [anon_sym_concept] = ACTIONS(2797),
    [anon_sym_co_return] = ACTIONS(2797),
    [anon_sym_co_yield] = ACTIONS(2797),
    [anon_sym_R_DQUOTE] = ACTIONS(2799),
    [anon_sym_LR_DQUOTE] = ACTIONS(2799),
    [anon_sym_uR_DQUOTE] = ACTIONS(2799),
    [anon_sym_UR_DQUOTE] = ACTIONS(2799),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2799),
    [anon_sym_co_await] = ACTIONS(2797),
    [anon_sym_new] = ACTIONS(2797),
    [anon_sym_requires] = ACTIONS(2797),
    [sym_this] = ACTIONS(2797),
    [anon_sym_discard] = ACTIONS(2797),
    [anon_sym_precise] = ACTIONS(2797),
    [anon_sym_shared] = ACTIONS(2797),
    [anon_sym_groupshared] = ACTIONS(2797),
    [anon_sym_uniform] = ACTIONS(2797),
    [anon_sym_row_major] = ACTIONS(2797),
    [anon_sym_column_major] = ACTIONS(2797),
    [anon_sym_globallycoherent] = ACTIONS(2797),
    [anon_sym_centroid] = ACTIONS(2797),
    [anon_sym_noperspective] = ACTIONS(2797),
    [anon_sym_nointerpolation] = ACTIONS(2797),
    [anon_sym_sample] = ACTIONS(2797),
    [anon_sym_linear] = ACTIONS(2797),
    [anon_sym_snorm] = ACTIONS(2797),
    [anon_sym_unorm] = ACTIONS(2797),
    [anon_sym_point] = ACTIONS(2797),
    [anon_sym_line] = ACTIONS(2797),
    [anon_sym_triangleadj] = ACTIONS(2797),
    [anon_sym_lineadj] = ACTIONS(2797),
    [anon_sym_triangle] = ACTIONS(2797),
    [anon_sym_cbuffer] = ACTIONS(2797),
  },
  [433] = {
    [sym_identifier] = ACTIONS(2258),
    [aux_sym_preproc_include_token1] = ACTIONS(2258),
    [aux_sym_preproc_def_token1] = ACTIONS(2258),
    [aux_sym_preproc_if_token1] = ACTIONS(2258),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2258),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2258),
    [sym_preproc_directive] = ACTIONS(2258),
    [anon_sym_LPAREN2] = ACTIONS(2260),
    [anon_sym_BANG] = ACTIONS(2260),
    [anon_sym_TILDE] = ACTIONS(2260),
    [anon_sym_DASH] = ACTIONS(2258),
    [anon_sym_PLUS] = ACTIONS(2258),
    [anon_sym_STAR] = ACTIONS(2260),
    [anon_sym_AMP_AMP] = ACTIONS(2260),
    [anon_sym_AMP] = ACTIONS(2258),
    [anon_sym_COLON] = ACTIONS(2258),
    [anon_sym_SEMI] = ACTIONS(2260),
    [anon_sym___extension__] = ACTIONS(2258),
    [anon_sym_typedef] = ACTIONS(2258),
    [anon_sym_in] = ACTIONS(2258),
    [anon_sym_out] = ACTIONS(2258),
    [anon_sym_inout] = ACTIONS(2258),
    [anon_sym_extern] = ACTIONS(2258),
    [anon_sym___attribute__] = ACTIONS(2258),
    [anon_sym_COLON_COLON] = ACTIONS(2262),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2260),
    [anon_sym___declspec] = ACTIONS(2258),
    [anon_sym___based] = ACTIONS(2258),
    [anon_sym___cdecl] = ACTIONS(2258),
    [anon_sym___clrcall] = ACTIONS(2258),
    [anon_sym___stdcall] = ACTIONS(2258),
    [anon_sym___fastcall] = ACTIONS(2258),
    [anon_sym___thiscall] = ACTIONS(2258),
    [anon_sym___vectorcall] = ACTIONS(2258),
    [anon_sym_LBRACE] = ACTIONS(2260),
    [anon_sym_RBRACE] = ACTIONS(2260),
    [anon_sym_signed] = ACTIONS(2258),
    [anon_sym_unsigned] = ACTIONS(2258),
    [anon_sym_long] = ACTIONS(2258),
    [anon_sym_short] = ACTIONS(2258),
    [anon_sym_LBRACK] = ACTIONS(2258),
    [anon_sym_static] = ACTIONS(2258),
    [anon_sym_register] = ACTIONS(2258),
    [anon_sym_inline] = ACTIONS(2258),
    [anon_sym___inline] = ACTIONS(2258),
    [anon_sym___inline__] = ACTIONS(2258),
    [anon_sym___forceinline] = ACTIONS(2258),
    [anon_sym_thread_local] = ACTIONS(2258),
    [anon_sym___thread] = ACTIONS(2258),
    [anon_sym_const] = ACTIONS(2258),
    [anon_sym_constexpr] = ACTIONS(2258),
    [anon_sym_volatile] = ACTIONS(2258),
    [anon_sym_restrict] = ACTIONS(2258),
    [anon_sym___restrict__] = ACTIONS(2258),
    [anon_sym__Atomic] = ACTIONS(2258),
    [anon_sym__Noreturn] = ACTIONS(2258),
    [anon_sym_noreturn] = ACTIONS(2258),
    [anon_sym_mutable] = ACTIONS(2258),
    [anon_sym_constinit] = ACTIONS(2258),
    [anon_sym_consteval] = ACTIONS(2258),
    [sym_primitive_type] = ACTIONS(2258),
    [anon_sym_enum] = ACTIONS(2258),
    [anon_sym_class] = ACTIONS(2258),
    [anon_sym_struct] = ACTIONS(2258),
    [anon_sym_union] = ACTIONS(2258),
    [anon_sym_if] = ACTIONS(2258),
    [anon_sym_else] = ACTIONS(2258),
    [anon_sym_switch] = ACTIONS(2258),
    [anon_sym_case] = ACTIONS(2258),
    [anon_sym_default] = ACTIONS(2258),
    [anon_sym_while] = ACTIONS(2258),
    [anon_sym_do] = ACTIONS(2258),
    [anon_sym_for] = ACTIONS(2258),
    [anon_sym_return] = ACTIONS(2258),
    [anon_sym_break] = ACTIONS(2258),
    [anon_sym_continue] = ACTIONS(2258),
    [anon_sym_goto] = ACTIONS(2258),
    [anon_sym___try] = ACTIONS(2258),
    [anon_sym___leave] = ACTIONS(2258),
    [anon_sym_not] = ACTIONS(2258),
    [anon_sym_compl] = ACTIONS(2258),
    [anon_sym_DASH_DASH] = ACTIONS(2260),
    [anon_sym_PLUS_PLUS] = ACTIONS(2260),
    [anon_sym_sizeof] = ACTIONS(2258),
    [anon_sym___alignof__] = ACTIONS(2258),
    [anon_sym___alignof] = ACTIONS(2258),
    [anon_sym__alignof] = ACTIONS(2258),
    [anon_sym_alignof] = ACTIONS(2258),
    [anon_sym__Alignof] = ACTIONS(2258),
    [anon_sym_offsetof] = ACTIONS(2258),
    [anon_sym__Generic] = ACTIONS(2258),
    [anon_sym_asm] = ACTIONS(2258),
    [anon_sym___asm__] = ACTIONS(2258),
    [sym_number_literal] = ACTIONS(2260),
    [anon_sym_L_SQUOTE] = ACTIONS(2260),
    [anon_sym_u_SQUOTE] = ACTIONS(2260),
    [anon_sym_U_SQUOTE] = ACTIONS(2260),
    [anon_sym_u8_SQUOTE] = ACTIONS(2260),
    [anon_sym_SQUOTE] = ACTIONS(2260),
    [anon_sym_L_DQUOTE] = ACTIONS(2260),
    [anon_sym_u_DQUOTE] = ACTIONS(2260),
    [anon_sym_U_DQUOTE] = ACTIONS(2260),
    [anon_sym_u8_DQUOTE] = ACTIONS(2260),
    [anon_sym_DQUOTE] = ACTIONS(2260),
    [sym_true] = ACTIONS(2258),
    [sym_false] = ACTIONS(2258),
    [anon_sym_NULL] = ACTIONS(2258),
    [anon_sym_nullptr] = ACTIONS(2258),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2258),
    [anon_sym_decltype] = ACTIONS(2258),
    [anon_sym_final] = ACTIONS(2258),
    [anon_sym_override] = ACTIONS(2258),
    [anon_sym_virtual] = ACTIONS(2258),
    [anon_sym_alignas] = ACTIONS(2258),
    [anon_sym_explicit] = ACTIONS(2258),
    [anon_sym_typename] = ACTIONS(2258),
    [anon_sym_template] = ACTIONS(2258),
    [anon_sym_operator] = ACTIONS(2258),
    [anon_sym_try] = ACTIONS(2258),
    [anon_sym_delete] = ACTIONS(2258),
    [anon_sym_throw] = ACTIONS(2258),
    [anon_sym_namespace] = ACTIONS(2258),
    [anon_sym_using] = ACTIONS(2258),
    [anon_sym_static_assert] = ACTIONS(2258),
    [anon_sym_concept] = ACTIONS(2258),
    [anon_sym_co_return] = ACTIONS(2258),
    [anon_sym_co_yield] = ACTIONS(2258),
    [anon_sym_R_DQUOTE] = ACTIONS(2260),
    [anon_sym_LR_DQUOTE] = ACTIONS(2260),
    [anon_sym_uR_DQUOTE] = ACTIONS(2260),
    [anon_sym_UR_DQUOTE] = ACTIONS(2260),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2260),
    [anon_sym_co_await] = ACTIONS(2258),
    [anon_sym_new] = ACTIONS(2258),
    [anon_sym_requires] = ACTIONS(2258),
    [sym_this] = ACTIONS(2258),
    [anon_sym_discard] = ACTIONS(2258),
    [anon_sym_precise] = ACTIONS(2258),
    [anon_sym_shared] = ACTIONS(2258),
    [anon_sym_groupshared] = ACTIONS(2258),
    [anon_sym_uniform] = ACTIONS(2258),
    [anon_sym_row_major] = ACTIONS(2258),
    [anon_sym_column_major] = ACTIONS(2258),
    [anon_sym_globallycoherent] = ACTIONS(2258),
    [anon_sym_centroid] = ACTIONS(2258),
    [anon_sym_noperspective] = ACTIONS(2258),
    [anon_sym_nointerpolation] = ACTIONS(2258),
    [anon_sym_sample] = ACTIONS(2258),
    [anon_sym_linear] = ACTIONS(2258),
    [anon_sym_snorm] = ACTIONS(2258),
    [anon_sym_unorm] = ACTIONS(2258),
    [anon_sym_point] = ACTIONS(2258),
    [anon_sym_line] = ACTIONS(2258),
    [anon_sym_triangleadj] = ACTIONS(2258),
    [anon_sym_lineadj] = ACTIONS(2258),
    [anon_sym_triangle] = ACTIONS(2258),
    [anon_sym_cbuffer] = ACTIONS(2258),
  },
  [434] = {
    [sym_identifier] = ACTIONS(2801),
    [aux_sym_preproc_include_token1] = ACTIONS(2801),
    [aux_sym_preproc_def_token1] = ACTIONS(2801),
    [aux_sym_preproc_if_token1] = ACTIONS(2801),
    [aux_sym_preproc_if_token2] = ACTIONS(2801),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2801),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2801),
    [aux_sym_preproc_else_token1] = ACTIONS(2801),
    [aux_sym_preproc_elif_token1] = ACTIONS(2801),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2801),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2801),
    [sym_preproc_directive] = ACTIONS(2801),
    [anon_sym_LPAREN2] = ACTIONS(2803),
    [anon_sym_BANG] = ACTIONS(2803),
    [anon_sym_TILDE] = ACTIONS(2803),
    [anon_sym_DASH] = ACTIONS(2801),
    [anon_sym_PLUS] = ACTIONS(2801),
    [anon_sym_STAR] = ACTIONS(2803),
    [anon_sym_AMP_AMP] = ACTIONS(2803),
    [anon_sym_AMP] = ACTIONS(2801),
    [anon_sym_SEMI] = ACTIONS(2803),
    [anon_sym___extension__] = ACTIONS(2801),
    [anon_sym_typedef] = ACTIONS(2801),
    [anon_sym_in] = ACTIONS(2801),
    [anon_sym_out] = ACTIONS(2801),
    [anon_sym_inout] = ACTIONS(2801),
    [anon_sym_extern] = ACTIONS(2801),
    [anon_sym___attribute__] = ACTIONS(2801),
    [anon_sym_COLON_COLON] = ACTIONS(2803),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2803),
    [anon_sym___declspec] = ACTIONS(2801),
    [anon_sym___based] = ACTIONS(2801),
    [anon_sym___cdecl] = ACTIONS(2801),
    [anon_sym___clrcall] = ACTIONS(2801),
    [anon_sym___stdcall] = ACTIONS(2801),
    [anon_sym___fastcall] = ACTIONS(2801),
    [anon_sym___thiscall] = ACTIONS(2801),
    [anon_sym___vectorcall] = ACTIONS(2801),
    [anon_sym_LBRACE] = ACTIONS(2803),
    [anon_sym_signed] = ACTIONS(2801),
    [anon_sym_unsigned] = ACTIONS(2801),
    [anon_sym_long] = ACTIONS(2801),
    [anon_sym_short] = ACTIONS(2801),
    [anon_sym_LBRACK] = ACTIONS(2801),
    [anon_sym_static] = ACTIONS(2801),
    [anon_sym_register] = ACTIONS(2801),
    [anon_sym_inline] = ACTIONS(2801),
    [anon_sym___inline] = ACTIONS(2801),
    [anon_sym___inline__] = ACTIONS(2801),
    [anon_sym___forceinline] = ACTIONS(2801),
    [anon_sym_thread_local] = ACTIONS(2801),
    [anon_sym___thread] = ACTIONS(2801),
    [anon_sym_const] = ACTIONS(2801),
    [anon_sym_constexpr] = ACTIONS(2801),
    [anon_sym_volatile] = ACTIONS(2801),
    [anon_sym_restrict] = ACTIONS(2801),
    [anon_sym___restrict__] = ACTIONS(2801),
    [anon_sym__Atomic] = ACTIONS(2801),
    [anon_sym__Noreturn] = ACTIONS(2801),
    [anon_sym_noreturn] = ACTIONS(2801),
    [anon_sym_mutable] = ACTIONS(2801),
    [anon_sym_constinit] = ACTIONS(2801),
    [anon_sym_consteval] = ACTIONS(2801),
    [sym_primitive_type] = ACTIONS(2801),
    [anon_sym_enum] = ACTIONS(2801),
    [anon_sym_class] = ACTIONS(2801),
    [anon_sym_struct] = ACTIONS(2801),
    [anon_sym_union] = ACTIONS(2801),
    [anon_sym_if] = ACTIONS(2801),
    [anon_sym_switch] = ACTIONS(2801),
    [anon_sym_case] = ACTIONS(2801),
    [anon_sym_default] = ACTIONS(2801),
    [anon_sym_while] = ACTIONS(2801),
    [anon_sym_do] = ACTIONS(2801),
    [anon_sym_for] = ACTIONS(2801),
    [anon_sym_return] = ACTIONS(2801),
    [anon_sym_break] = ACTIONS(2801),
    [anon_sym_continue] = ACTIONS(2801),
    [anon_sym_goto] = ACTIONS(2801),
    [anon_sym___try] = ACTIONS(2801),
    [anon_sym___leave] = ACTIONS(2801),
    [anon_sym_not] = ACTIONS(2801),
    [anon_sym_compl] = ACTIONS(2801),
    [anon_sym_DASH_DASH] = ACTIONS(2803),
    [anon_sym_PLUS_PLUS] = ACTIONS(2803),
    [anon_sym_sizeof] = ACTIONS(2801),
    [anon_sym___alignof__] = ACTIONS(2801),
    [anon_sym___alignof] = ACTIONS(2801),
    [anon_sym__alignof] = ACTIONS(2801),
    [anon_sym_alignof] = ACTIONS(2801),
    [anon_sym__Alignof] = ACTIONS(2801),
    [anon_sym_offsetof] = ACTIONS(2801),
    [anon_sym__Generic] = ACTIONS(2801),
    [anon_sym_asm] = ACTIONS(2801),
    [anon_sym___asm__] = ACTIONS(2801),
    [sym_number_literal] = ACTIONS(2803),
    [anon_sym_L_SQUOTE] = ACTIONS(2803),
    [anon_sym_u_SQUOTE] = ACTIONS(2803),
    [anon_sym_U_SQUOTE] = ACTIONS(2803),
    [anon_sym_u8_SQUOTE] = ACTIONS(2803),
    [anon_sym_SQUOTE] = ACTIONS(2803),
    [anon_sym_L_DQUOTE] = ACTIONS(2803),
    [anon_sym_u_DQUOTE] = ACTIONS(2803),
    [anon_sym_U_DQUOTE] = ACTIONS(2803),
    [anon_sym_u8_DQUOTE] = ACTIONS(2803),
    [anon_sym_DQUOTE] = ACTIONS(2803),
    [sym_true] = ACTIONS(2801),
    [sym_false] = ACTIONS(2801),
    [anon_sym_NULL] = ACTIONS(2801),
    [anon_sym_nullptr] = ACTIONS(2801),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2801),
    [anon_sym_decltype] = ACTIONS(2801),
    [anon_sym_virtual] = ACTIONS(2801),
    [anon_sym_alignas] = ACTIONS(2801),
    [anon_sym_explicit] = ACTIONS(2801),
    [anon_sym_typename] = ACTIONS(2801),
    [anon_sym_template] = ACTIONS(2801),
    [anon_sym_operator] = ACTIONS(2801),
    [anon_sym_try] = ACTIONS(2801),
    [anon_sym_delete] = ACTIONS(2801),
    [anon_sym_throw] = ACTIONS(2801),
    [anon_sym_namespace] = ACTIONS(2801),
    [anon_sym_using] = ACTIONS(2801),
    [anon_sym_static_assert] = ACTIONS(2801),
    [anon_sym_concept] = ACTIONS(2801),
    [anon_sym_co_return] = ACTIONS(2801),
    [anon_sym_co_yield] = ACTIONS(2801),
    [anon_sym_R_DQUOTE] = ACTIONS(2803),
    [anon_sym_LR_DQUOTE] = ACTIONS(2803),
    [anon_sym_uR_DQUOTE] = ACTIONS(2803),
    [anon_sym_UR_DQUOTE] = ACTIONS(2803),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2803),
    [anon_sym_co_await] = ACTIONS(2801),
    [anon_sym_new] = ACTIONS(2801),
    [anon_sym_requires] = ACTIONS(2801),
    [sym_this] = ACTIONS(2801),
    [anon_sym_discard] = ACTIONS(2801),
    [anon_sym_precise] = ACTIONS(2801),
    [anon_sym_shared] = ACTIONS(2801),
    [anon_sym_groupshared] = ACTIONS(2801),
    [anon_sym_uniform] = ACTIONS(2801),
    [anon_sym_row_major] = ACTIONS(2801),
    [anon_sym_column_major] = ACTIONS(2801),
    [anon_sym_globallycoherent] = ACTIONS(2801),
    [anon_sym_centroid] = ACTIONS(2801),
    [anon_sym_noperspective] = ACTIONS(2801),
    [anon_sym_nointerpolation] = ACTIONS(2801),
    [anon_sym_sample] = ACTIONS(2801),
    [anon_sym_linear] = ACTIONS(2801),
    [anon_sym_snorm] = ACTIONS(2801),
    [anon_sym_unorm] = ACTIONS(2801),
    [anon_sym_point] = ACTIONS(2801),
    [anon_sym_line] = ACTIONS(2801),
    [anon_sym_triangleadj] = ACTIONS(2801),
    [anon_sym_lineadj] = ACTIONS(2801),
    [anon_sym_triangle] = ACTIONS(2801),
    [anon_sym_cbuffer] = ACTIONS(2801),
  },
  [435] = {
    [sym_identifier] = ACTIONS(2254),
    [aux_sym_preproc_include_token1] = ACTIONS(2254),
    [aux_sym_preproc_def_token1] = ACTIONS(2254),
    [aux_sym_preproc_if_token1] = ACTIONS(2254),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2254),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2254),
    [sym_preproc_directive] = ACTIONS(2254),
    [anon_sym_LPAREN2] = ACTIONS(2256),
    [anon_sym_BANG] = ACTIONS(2256),
    [anon_sym_TILDE] = ACTIONS(2256),
    [anon_sym_DASH] = ACTIONS(2254),
    [anon_sym_PLUS] = ACTIONS(2254),
    [anon_sym_STAR] = ACTIONS(2256),
    [anon_sym_AMP_AMP] = ACTIONS(2256),
    [anon_sym_AMP] = ACTIONS(2254),
    [anon_sym_COLON] = ACTIONS(2254),
    [anon_sym_SEMI] = ACTIONS(2256),
    [anon_sym___extension__] = ACTIONS(2254),
    [anon_sym_typedef] = ACTIONS(2254),
    [anon_sym_in] = ACTIONS(2254),
    [anon_sym_out] = ACTIONS(2254),
    [anon_sym_inout] = ACTIONS(2254),
    [anon_sym_extern] = ACTIONS(2254),
    [anon_sym___attribute__] = ACTIONS(2254),
    [anon_sym_COLON_COLON] = ACTIONS(2256),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2256),
    [anon_sym___declspec] = ACTIONS(2254),
    [anon_sym___based] = ACTIONS(2254),
    [anon_sym___cdecl] = ACTIONS(2254),
    [anon_sym___clrcall] = ACTIONS(2254),
    [anon_sym___stdcall] = ACTIONS(2254),
    [anon_sym___fastcall] = ACTIONS(2254),
    [anon_sym___thiscall] = ACTIONS(2254),
    [anon_sym___vectorcall] = ACTIONS(2254),
    [anon_sym_LBRACE] = ACTIONS(2256),
    [anon_sym_RBRACE] = ACTIONS(2256),
    [anon_sym_signed] = ACTIONS(2254),
    [anon_sym_unsigned] = ACTIONS(2254),
    [anon_sym_long] = ACTIONS(2254),
    [anon_sym_short] = ACTIONS(2254),
    [anon_sym_LBRACK] = ACTIONS(2254),
    [anon_sym_static] = ACTIONS(2254),
    [anon_sym_register] = ACTIONS(2254),
    [anon_sym_inline] = ACTIONS(2254),
    [anon_sym___inline] = ACTIONS(2254),
    [anon_sym___inline__] = ACTIONS(2254),
    [anon_sym___forceinline] = ACTIONS(2254),
    [anon_sym_thread_local] = ACTIONS(2254),
    [anon_sym___thread] = ACTIONS(2254),
    [anon_sym_const] = ACTIONS(2254),
    [anon_sym_constexpr] = ACTIONS(2254),
    [anon_sym_volatile] = ACTIONS(2254),
    [anon_sym_restrict] = ACTIONS(2254),
    [anon_sym___restrict__] = ACTIONS(2254),
    [anon_sym__Atomic] = ACTIONS(2254),
    [anon_sym__Noreturn] = ACTIONS(2254),
    [anon_sym_noreturn] = ACTIONS(2254),
    [anon_sym_mutable] = ACTIONS(2254),
    [anon_sym_constinit] = ACTIONS(2254),
    [anon_sym_consteval] = ACTIONS(2254),
    [sym_primitive_type] = ACTIONS(2254),
    [anon_sym_enum] = ACTIONS(2254),
    [anon_sym_class] = ACTIONS(2254),
    [anon_sym_struct] = ACTIONS(2254),
    [anon_sym_union] = ACTIONS(2254),
    [anon_sym_if] = ACTIONS(2254),
    [anon_sym_else] = ACTIONS(2254),
    [anon_sym_switch] = ACTIONS(2254),
    [anon_sym_case] = ACTIONS(2254),
    [anon_sym_default] = ACTIONS(2254),
    [anon_sym_while] = ACTIONS(2254),
    [anon_sym_do] = ACTIONS(2254),
    [anon_sym_for] = ACTIONS(2254),
    [anon_sym_return] = ACTIONS(2254),
    [anon_sym_break] = ACTIONS(2254),
    [anon_sym_continue] = ACTIONS(2254),
    [anon_sym_goto] = ACTIONS(2254),
    [anon_sym___try] = ACTIONS(2254),
    [anon_sym___leave] = ACTIONS(2254),
    [anon_sym_not] = ACTIONS(2254),
    [anon_sym_compl] = ACTIONS(2254),
    [anon_sym_DASH_DASH] = ACTIONS(2256),
    [anon_sym_PLUS_PLUS] = ACTIONS(2256),
    [anon_sym_sizeof] = ACTIONS(2254),
    [anon_sym___alignof__] = ACTIONS(2254),
    [anon_sym___alignof] = ACTIONS(2254),
    [anon_sym__alignof] = ACTIONS(2254),
    [anon_sym_alignof] = ACTIONS(2254),
    [anon_sym__Alignof] = ACTIONS(2254),
    [anon_sym_offsetof] = ACTIONS(2254),
    [anon_sym__Generic] = ACTIONS(2254),
    [anon_sym_asm] = ACTIONS(2254),
    [anon_sym___asm__] = ACTIONS(2254),
    [sym_number_literal] = ACTIONS(2256),
    [anon_sym_L_SQUOTE] = ACTIONS(2256),
    [anon_sym_u_SQUOTE] = ACTIONS(2256),
    [anon_sym_U_SQUOTE] = ACTIONS(2256),
    [anon_sym_u8_SQUOTE] = ACTIONS(2256),
    [anon_sym_SQUOTE] = ACTIONS(2256),
    [anon_sym_L_DQUOTE] = ACTIONS(2256),
    [anon_sym_u_DQUOTE] = ACTIONS(2256),
    [anon_sym_U_DQUOTE] = ACTIONS(2256),
    [anon_sym_u8_DQUOTE] = ACTIONS(2256),
    [anon_sym_DQUOTE] = ACTIONS(2256),
    [sym_true] = ACTIONS(2254),
    [sym_false] = ACTIONS(2254),
    [anon_sym_NULL] = ACTIONS(2254),
    [anon_sym_nullptr] = ACTIONS(2254),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2254),
    [anon_sym_decltype] = ACTIONS(2254),
    [anon_sym_final] = ACTIONS(2254),
    [anon_sym_override] = ACTIONS(2254),
    [anon_sym_virtual] = ACTIONS(2254),
    [anon_sym_alignas] = ACTIONS(2254),
    [anon_sym_explicit] = ACTIONS(2254),
    [anon_sym_typename] = ACTIONS(2254),
    [anon_sym_template] = ACTIONS(2254),
    [anon_sym_operator] = ACTIONS(2254),
    [anon_sym_try] = ACTIONS(2254),
    [anon_sym_delete] = ACTIONS(2254),
    [anon_sym_throw] = ACTIONS(2254),
    [anon_sym_namespace] = ACTIONS(2254),
    [anon_sym_using] = ACTIONS(2254),
    [anon_sym_static_assert] = ACTIONS(2254),
    [anon_sym_concept] = ACTIONS(2254),
    [anon_sym_co_return] = ACTIONS(2254),
    [anon_sym_co_yield] = ACTIONS(2254),
    [anon_sym_R_DQUOTE] = ACTIONS(2256),
    [anon_sym_LR_DQUOTE] = ACTIONS(2256),
    [anon_sym_uR_DQUOTE] = ACTIONS(2256),
    [anon_sym_UR_DQUOTE] = ACTIONS(2256),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2256),
    [anon_sym_co_await] = ACTIONS(2254),
    [anon_sym_new] = ACTIONS(2254),
    [anon_sym_requires] = ACTIONS(2254),
    [sym_this] = ACTIONS(2254),
    [anon_sym_discard] = ACTIONS(2254),
    [anon_sym_precise] = ACTIONS(2254),
    [anon_sym_shared] = ACTIONS(2254),
    [anon_sym_groupshared] = ACTIONS(2254),
    [anon_sym_uniform] = ACTIONS(2254),
    [anon_sym_row_major] = ACTIONS(2254),
    [anon_sym_column_major] = ACTIONS(2254),
    [anon_sym_globallycoherent] = ACTIONS(2254),
    [anon_sym_centroid] = ACTIONS(2254),
    [anon_sym_noperspective] = ACTIONS(2254),
    [anon_sym_nointerpolation] = ACTIONS(2254),
    [anon_sym_sample] = ACTIONS(2254),
    [anon_sym_linear] = ACTIONS(2254),
    [anon_sym_snorm] = ACTIONS(2254),
    [anon_sym_unorm] = ACTIONS(2254),
    [anon_sym_point] = ACTIONS(2254),
    [anon_sym_line] = ACTIONS(2254),
    [anon_sym_triangleadj] = ACTIONS(2254),
    [anon_sym_lineadj] = ACTIONS(2254),
    [anon_sym_triangle] = ACTIONS(2254),
    [anon_sym_cbuffer] = ACTIONS(2254),
  },
  [436] = {
    [sym_identifier] = ACTIONS(2250),
    [aux_sym_preproc_include_token1] = ACTIONS(2250),
    [aux_sym_preproc_def_token1] = ACTIONS(2250),
    [aux_sym_preproc_if_token1] = ACTIONS(2250),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2250),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2250),
    [sym_preproc_directive] = ACTIONS(2250),
    [anon_sym_LPAREN2] = ACTIONS(2252),
    [anon_sym_BANG] = ACTIONS(2252),
    [anon_sym_TILDE] = ACTIONS(2252),
    [anon_sym_DASH] = ACTIONS(2250),
    [anon_sym_PLUS] = ACTIONS(2250),
    [anon_sym_STAR] = ACTIONS(2252),
    [anon_sym_AMP_AMP] = ACTIONS(2252),
    [anon_sym_AMP] = ACTIONS(2250),
    [anon_sym_COLON] = ACTIONS(2250),
    [anon_sym_SEMI] = ACTIONS(2252),
    [anon_sym___extension__] = ACTIONS(2250),
    [anon_sym_typedef] = ACTIONS(2250),
    [anon_sym_in] = ACTIONS(2250),
    [anon_sym_out] = ACTIONS(2250),
    [anon_sym_inout] = ACTIONS(2250),
    [anon_sym_extern] = ACTIONS(2250),
    [anon_sym___attribute__] = ACTIONS(2250),
    [anon_sym_COLON_COLON] = ACTIONS(2252),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2252),
    [anon_sym___declspec] = ACTIONS(2250),
    [anon_sym___based] = ACTIONS(2250),
    [anon_sym___cdecl] = ACTIONS(2250),
    [anon_sym___clrcall] = ACTIONS(2250),
    [anon_sym___stdcall] = ACTIONS(2250),
    [anon_sym___fastcall] = ACTIONS(2250),
    [anon_sym___thiscall] = ACTIONS(2250),
    [anon_sym___vectorcall] = ACTIONS(2250),
    [anon_sym_LBRACE] = ACTIONS(2252),
    [anon_sym_RBRACE] = ACTIONS(2252),
    [anon_sym_signed] = ACTIONS(2250),
    [anon_sym_unsigned] = ACTIONS(2250),
    [anon_sym_long] = ACTIONS(2250),
    [anon_sym_short] = ACTIONS(2250),
    [anon_sym_LBRACK] = ACTIONS(2250),
    [anon_sym_static] = ACTIONS(2250),
    [anon_sym_register] = ACTIONS(2250),
    [anon_sym_inline] = ACTIONS(2250),
    [anon_sym___inline] = ACTIONS(2250),
    [anon_sym___inline__] = ACTIONS(2250),
    [anon_sym___forceinline] = ACTIONS(2250),
    [anon_sym_thread_local] = ACTIONS(2250),
    [anon_sym___thread] = ACTIONS(2250),
    [anon_sym_const] = ACTIONS(2250),
    [anon_sym_constexpr] = ACTIONS(2250),
    [anon_sym_volatile] = ACTIONS(2250),
    [anon_sym_restrict] = ACTIONS(2250),
    [anon_sym___restrict__] = ACTIONS(2250),
    [anon_sym__Atomic] = ACTIONS(2250),
    [anon_sym__Noreturn] = ACTIONS(2250),
    [anon_sym_noreturn] = ACTIONS(2250),
    [anon_sym_mutable] = ACTIONS(2250),
    [anon_sym_constinit] = ACTIONS(2250),
    [anon_sym_consteval] = ACTIONS(2250),
    [sym_primitive_type] = ACTIONS(2250),
    [anon_sym_enum] = ACTIONS(2250),
    [anon_sym_class] = ACTIONS(2250),
    [anon_sym_struct] = ACTIONS(2250),
    [anon_sym_union] = ACTIONS(2250),
    [anon_sym_if] = ACTIONS(2250),
    [anon_sym_else] = ACTIONS(2250),
    [anon_sym_switch] = ACTIONS(2250),
    [anon_sym_case] = ACTIONS(2250),
    [anon_sym_default] = ACTIONS(2250),
    [anon_sym_while] = ACTIONS(2250),
    [anon_sym_do] = ACTIONS(2250),
    [anon_sym_for] = ACTIONS(2250),
    [anon_sym_return] = ACTIONS(2250),
    [anon_sym_break] = ACTIONS(2250),
    [anon_sym_continue] = ACTIONS(2250),
    [anon_sym_goto] = ACTIONS(2250),
    [anon_sym___try] = ACTIONS(2250),
    [anon_sym___leave] = ACTIONS(2250),
    [anon_sym_not] = ACTIONS(2250),
    [anon_sym_compl] = ACTIONS(2250),
    [anon_sym_DASH_DASH] = ACTIONS(2252),
    [anon_sym_PLUS_PLUS] = ACTIONS(2252),
    [anon_sym_sizeof] = ACTIONS(2250),
    [anon_sym___alignof__] = ACTIONS(2250),
    [anon_sym___alignof] = ACTIONS(2250),
    [anon_sym__alignof] = ACTIONS(2250),
    [anon_sym_alignof] = ACTIONS(2250),
    [anon_sym__Alignof] = ACTIONS(2250),
    [anon_sym_offsetof] = ACTIONS(2250),
    [anon_sym__Generic] = ACTIONS(2250),
    [anon_sym_asm] = ACTIONS(2250),
    [anon_sym___asm__] = ACTIONS(2250),
    [sym_number_literal] = ACTIONS(2252),
    [anon_sym_L_SQUOTE] = ACTIONS(2252),
    [anon_sym_u_SQUOTE] = ACTIONS(2252),
    [anon_sym_U_SQUOTE] = ACTIONS(2252),
    [anon_sym_u8_SQUOTE] = ACTIONS(2252),
    [anon_sym_SQUOTE] = ACTIONS(2252),
    [anon_sym_L_DQUOTE] = ACTIONS(2252),
    [anon_sym_u_DQUOTE] = ACTIONS(2252),
    [anon_sym_U_DQUOTE] = ACTIONS(2252),
    [anon_sym_u8_DQUOTE] = ACTIONS(2252),
    [anon_sym_DQUOTE] = ACTIONS(2252),
    [sym_true] = ACTIONS(2250),
    [sym_false] = ACTIONS(2250),
    [anon_sym_NULL] = ACTIONS(2250),
    [anon_sym_nullptr] = ACTIONS(2250),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2250),
    [anon_sym_decltype] = ACTIONS(2250),
    [anon_sym_final] = ACTIONS(2250),
    [anon_sym_override] = ACTIONS(2250),
    [anon_sym_virtual] = ACTIONS(2250),
    [anon_sym_alignas] = ACTIONS(2250),
    [anon_sym_explicit] = ACTIONS(2250),
    [anon_sym_typename] = ACTIONS(2250),
    [anon_sym_template] = ACTIONS(2250),
    [anon_sym_operator] = ACTIONS(2250),
    [anon_sym_try] = ACTIONS(2250),
    [anon_sym_delete] = ACTIONS(2250),
    [anon_sym_throw] = ACTIONS(2250),
    [anon_sym_namespace] = ACTIONS(2250),
    [anon_sym_using] = ACTIONS(2250),
    [anon_sym_static_assert] = ACTIONS(2250),
    [anon_sym_concept] = ACTIONS(2250),
    [anon_sym_co_return] = ACTIONS(2250),
    [anon_sym_co_yield] = ACTIONS(2250),
    [anon_sym_R_DQUOTE] = ACTIONS(2252),
    [anon_sym_LR_DQUOTE] = ACTIONS(2252),
    [anon_sym_uR_DQUOTE] = ACTIONS(2252),
    [anon_sym_UR_DQUOTE] = ACTIONS(2252),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2252),
    [anon_sym_co_await] = ACTIONS(2250),
    [anon_sym_new] = ACTIONS(2250),
    [anon_sym_requires] = ACTIONS(2250),
    [sym_this] = ACTIONS(2250),
    [anon_sym_discard] = ACTIONS(2250),
    [anon_sym_precise] = ACTIONS(2250),
    [anon_sym_shared] = ACTIONS(2250),
    [anon_sym_groupshared] = ACTIONS(2250),
    [anon_sym_uniform] = ACTIONS(2250),
    [anon_sym_row_major] = ACTIONS(2250),
    [anon_sym_column_major] = ACTIONS(2250),
    [anon_sym_globallycoherent] = ACTIONS(2250),
    [anon_sym_centroid] = ACTIONS(2250),
    [anon_sym_noperspective] = ACTIONS(2250),
    [anon_sym_nointerpolation] = ACTIONS(2250),
    [anon_sym_sample] = ACTIONS(2250),
    [anon_sym_linear] = ACTIONS(2250),
    [anon_sym_snorm] = ACTIONS(2250),
    [anon_sym_unorm] = ACTIONS(2250),
    [anon_sym_point] = ACTIONS(2250),
    [anon_sym_line] = ACTIONS(2250),
    [anon_sym_triangleadj] = ACTIONS(2250),
    [anon_sym_lineadj] = ACTIONS(2250),
    [anon_sym_triangle] = ACTIONS(2250),
    [anon_sym_cbuffer] = ACTIONS(2250),
  },
  [437] = {
    [sym_identifier] = ACTIONS(2264),
    [aux_sym_preproc_include_token1] = ACTIONS(2264),
    [aux_sym_preproc_def_token1] = ACTIONS(2264),
    [aux_sym_preproc_if_token1] = ACTIONS(2264),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2264),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2264),
    [sym_preproc_directive] = ACTIONS(2264),
    [anon_sym_LPAREN2] = ACTIONS(2266),
    [anon_sym_BANG] = ACTIONS(2266),
    [anon_sym_TILDE] = ACTIONS(2266),
    [anon_sym_DASH] = ACTIONS(2264),
    [anon_sym_PLUS] = ACTIONS(2264),
    [anon_sym_STAR] = ACTIONS(2266),
    [anon_sym_AMP_AMP] = ACTIONS(2266),
    [anon_sym_AMP] = ACTIONS(2264),
    [anon_sym_COLON] = ACTIONS(2264),
    [anon_sym_SEMI] = ACTIONS(2266),
    [anon_sym___extension__] = ACTIONS(2264),
    [anon_sym_typedef] = ACTIONS(2264),
    [anon_sym_in] = ACTIONS(2264),
    [anon_sym_out] = ACTIONS(2264),
    [anon_sym_inout] = ACTIONS(2264),
    [anon_sym_extern] = ACTIONS(2264),
    [anon_sym___attribute__] = ACTIONS(2264),
    [anon_sym_COLON_COLON] = ACTIONS(2262),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2266),
    [anon_sym___declspec] = ACTIONS(2264),
    [anon_sym___based] = ACTIONS(2264),
    [anon_sym___cdecl] = ACTIONS(2264),
    [anon_sym___clrcall] = ACTIONS(2264),
    [anon_sym___stdcall] = ACTIONS(2264),
    [anon_sym___fastcall] = ACTIONS(2264),
    [anon_sym___thiscall] = ACTIONS(2264),
    [anon_sym___vectorcall] = ACTIONS(2264),
    [anon_sym_LBRACE] = ACTIONS(2266),
    [anon_sym_RBRACE] = ACTIONS(2266),
    [anon_sym_signed] = ACTIONS(2264),
    [anon_sym_unsigned] = ACTIONS(2264),
    [anon_sym_long] = ACTIONS(2264),
    [anon_sym_short] = ACTIONS(2264),
    [anon_sym_LBRACK] = ACTIONS(2264),
    [anon_sym_static] = ACTIONS(2264),
    [anon_sym_register] = ACTIONS(2264),
    [anon_sym_inline] = ACTIONS(2264),
    [anon_sym___inline] = ACTIONS(2264),
    [anon_sym___inline__] = ACTIONS(2264),
    [anon_sym___forceinline] = ACTIONS(2264),
    [anon_sym_thread_local] = ACTIONS(2264),
    [anon_sym___thread] = ACTIONS(2264),
    [anon_sym_const] = ACTIONS(2264),
    [anon_sym_constexpr] = ACTIONS(2264),
    [anon_sym_volatile] = ACTIONS(2264),
    [anon_sym_restrict] = ACTIONS(2264),
    [anon_sym___restrict__] = ACTIONS(2264),
    [anon_sym__Atomic] = ACTIONS(2264),
    [anon_sym__Noreturn] = ACTIONS(2264),
    [anon_sym_noreturn] = ACTIONS(2264),
    [anon_sym_mutable] = ACTIONS(2264),
    [anon_sym_constinit] = ACTIONS(2264),
    [anon_sym_consteval] = ACTIONS(2264),
    [sym_primitive_type] = ACTIONS(2264),
    [anon_sym_enum] = ACTIONS(2264),
    [anon_sym_class] = ACTIONS(2264),
    [anon_sym_struct] = ACTIONS(2264),
    [anon_sym_union] = ACTIONS(2264),
    [anon_sym_if] = ACTIONS(2264),
    [anon_sym_else] = ACTIONS(2264),
    [anon_sym_switch] = ACTIONS(2264),
    [anon_sym_case] = ACTIONS(2264),
    [anon_sym_default] = ACTIONS(2264),
    [anon_sym_while] = ACTIONS(2264),
    [anon_sym_do] = ACTIONS(2264),
    [anon_sym_for] = ACTIONS(2264),
    [anon_sym_return] = ACTIONS(2264),
    [anon_sym_break] = ACTIONS(2264),
    [anon_sym_continue] = ACTIONS(2264),
    [anon_sym_goto] = ACTIONS(2264),
    [anon_sym___try] = ACTIONS(2264),
    [anon_sym___leave] = ACTIONS(2264),
    [anon_sym_not] = ACTIONS(2264),
    [anon_sym_compl] = ACTIONS(2264),
    [anon_sym_DASH_DASH] = ACTIONS(2266),
    [anon_sym_PLUS_PLUS] = ACTIONS(2266),
    [anon_sym_sizeof] = ACTIONS(2264),
    [anon_sym___alignof__] = ACTIONS(2264),
    [anon_sym___alignof] = ACTIONS(2264),
    [anon_sym__alignof] = ACTIONS(2264),
    [anon_sym_alignof] = ACTIONS(2264),
    [anon_sym__Alignof] = ACTIONS(2264),
    [anon_sym_offsetof] = ACTIONS(2264),
    [anon_sym__Generic] = ACTIONS(2264),
    [anon_sym_asm] = ACTIONS(2264),
    [anon_sym___asm__] = ACTIONS(2264),
    [sym_number_literal] = ACTIONS(2266),
    [anon_sym_L_SQUOTE] = ACTIONS(2266),
    [anon_sym_u_SQUOTE] = ACTIONS(2266),
    [anon_sym_U_SQUOTE] = ACTIONS(2266),
    [anon_sym_u8_SQUOTE] = ACTIONS(2266),
    [anon_sym_SQUOTE] = ACTIONS(2266),
    [anon_sym_L_DQUOTE] = ACTIONS(2266),
    [anon_sym_u_DQUOTE] = ACTIONS(2266),
    [anon_sym_U_DQUOTE] = ACTIONS(2266),
    [anon_sym_u8_DQUOTE] = ACTIONS(2266),
    [anon_sym_DQUOTE] = ACTIONS(2266),
    [sym_true] = ACTIONS(2264),
    [sym_false] = ACTIONS(2264),
    [anon_sym_NULL] = ACTIONS(2264),
    [anon_sym_nullptr] = ACTIONS(2264),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2264),
    [anon_sym_decltype] = ACTIONS(2264),
    [anon_sym_final] = ACTIONS(2264),
    [anon_sym_override] = ACTIONS(2264),
    [anon_sym_virtual] = ACTIONS(2264),
    [anon_sym_alignas] = ACTIONS(2264),
    [anon_sym_explicit] = ACTIONS(2264),
    [anon_sym_typename] = ACTIONS(2264),
    [anon_sym_template] = ACTIONS(2264),
    [anon_sym_operator] = ACTIONS(2264),
    [anon_sym_try] = ACTIONS(2264),
    [anon_sym_delete] = ACTIONS(2264),
    [anon_sym_throw] = ACTIONS(2264),
    [anon_sym_namespace] = ACTIONS(2264),
    [anon_sym_using] = ACTIONS(2264),
    [anon_sym_static_assert] = ACTIONS(2264),
    [anon_sym_concept] = ACTIONS(2264),
    [anon_sym_co_return] = ACTIONS(2264),
    [anon_sym_co_yield] = ACTIONS(2264),
    [anon_sym_R_DQUOTE] = ACTIONS(2266),
    [anon_sym_LR_DQUOTE] = ACTIONS(2266),
    [anon_sym_uR_DQUOTE] = ACTIONS(2266),
    [anon_sym_UR_DQUOTE] = ACTIONS(2266),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2266),
    [anon_sym_co_await] = ACTIONS(2264),
    [anon_sym_new] = ACTIONS(2264),
    [anon_sym_requires] = ACTIONS(2264),
    [sym_this] = ACTIONS(2264),
    [anon_sym_discard] = ACTIONS(2264),
    [anon_sym_precise] = ACTIONS(2264),
    [anon_sym_shared] = ACTIONS(2264),
    [anon_sym_groupshared] = ACTIONS(2264),
    [anon_sym_uniform] = ACTIONS(2264),
    [anon_sym_row_major] = ACTIONS(2264),
    [anon_sym_column_major] = ACTIONS(2264),
    [anon_sym_globallycoherent] = ACTIONS(2264),
    [anon_sym_centroid] = ACTIONS(2264),
    [anon_sym_noperspective] = ACTIONS(2264),
    [anon_sym_nointerpolation] = ACTIONS(2264),
    [anon_sym_sample] = ACTIONS(2264),
    [anon_sym_linear] = ACTIONS(2264),
    [anon_sym_snorm] = ACTIONS(2264),
    [anon_sym_unorm] = ACTIONS(2264),
    [anon_sym_point] = ACTIONS(2264),
    [anon_sym_line] = ACTIONS(2264),
    [anon_sym_triangleadj] = ACTIONS(2264),
    [anon_sym_lineadj] = ACTIONS(2264),
    [anon_sym_triangle] = ACTIONS(2264),
    [anon_sym_cbuffer] = ACTIONS(2264),
  },
  [438] = {
    [sym_identifier] = ACTIONS(2264),
    [aux_sym_preproc_include_token1] = ACTIONS(2264),
    [aux_sym_preproc_def_token1] = ACTIONS(2264),
    [aux_sym_preproc_if_token1] = ACTIONS(2264),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2264),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2264),
    [sym_preproc_directive] = ACTIONS(2264),
    [anon_sym_LPAREN2] = ACTIONS(2266),
    [anon_sym_BANG] = ACTIONS(2266),
    [anon_sym_TILDE] = ACTIONS(2266),
    [anon_sym_DASH] = ACTIONS(2264),
    [anon_sym_PLUS] = ACTIONS(2264),
    [anon_sym_STAR] = ACTIONS(2266),
    [anon_sym_AMP_AMP] = ACTIONS(2266),
    [anon_sym_AMP] = ACTIONS(2264),
    [anon_sym_COLON] = ACTIONS(2264),
    [anon_sym_SEMI] = ACTIONS(2266),
    [anon_sym___extension__] = ACTIONS(2264),
    [anon_sym_typedef] = ACTIONS(2264),
    [anon_sym_in] = ACTIONS(2264),
    [anon_sym_out] = ACTIONS(2264),
    [anon_sym_inout] = ACTIONS(2264),
    [anon_sym_extern] = ACTIONS(2264),
    [anon_sym___attribute__] = ACTIONS(2264),
    [anon_sym_COLON_COLON] = ACTIONS(2262),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2266),
    [anon_sym___declspec] = ACTIONS(2264),
    [anon_sym___based] = ACTIONS(2264),
    [anon_sym___cdecl] = ACTIONS(2264),
    [anon_sym___clrcall] = ACTIONS(2264),
    [anon_sym___stdcall] = ACTIONS(2264),
    [anon_sym___fastcall] = ACTIONS(2264),
    [anon_sym___thiscall] = ACTIONS(2264),
    [anon_sym___vectorcall] = ACTIONS(2264),
    [anon_sym_LBRACE] = ACTIONS(2266),
    [anon_sym_RBRACE] = ACTIONS(2266),
    [anon_sym_signed] = ACTIONS(2264),
    [anon_sym_unsigned] = ACTIONS(2264),
    [anon_sym_long] = ACTIONS(2264),
    [anon_sym_short] = ACTIONS(2264),
    [anon_sym_LBRACK] = ACTIONS(2264),
    [anon_sym_static] = ACTIONS(2264),
    [anon_sym_register] = ACTIONS(2264),
    [anon_sym_inline] = ACTIONS(2264),
    [anon_sym___inline] = ACTIONS(2264),
    [anon_sym___inline__] = ACTIONS(2264),
    [anon_sym___forceinline] = ACTIONS(2264),
    [anon_sym_thread_local] = ACTIONS(2264),
    [anon_sym___thread] = ACTIONS(2264),
    [anon_sym_const] = ACTIONS(2264),
    [anon_sym_constexpr] = ACTIONS(2264),
    [anon_sym_volatile] = ACTIONS(2264),
    [anon_sym_restrict] = ACTIONS(2264),
    [anon_sym___restrict__] = ACTIONS(2264),
    [anon_sym__Atomic] = ACTIONS(2264),
    [anon_sym__Noreturn] = ACTIONS(2264),
    [anon_sym_noreturn] = ACTIONS(2264),
    [anon_sym_mutable] = ACTIONS(2264),
    [anon_sym_constinit] = ACTIONS(2264),
    [anon_sym_consteval] = ACTIONS(2264),
    [sym_primitive_type] = ACTIONS(2264),
    [anon_sym_enum] = ACTIONS(2264),
    [anon_sym_class] = ACTIONS(2264),
    [anon_sym_struct] = ACTIONS(2264),
    [anon_sym_union] = ACTIONS(2264),
    [anon_sym_if] = ACTIONS(2264),
    [anon_sym_else] = ACTIONS(2264),
    [anon_sym_switch] = ACTIONS(2264),
    [anon_sym_case] = ACTIONS(2264),
    [anon_sym_default] = ACTIONS(2264),
    [anon_sym_while] = ACTIONS(2264),
    [anon_sym_do] = ACTIONS(2264),
    [anon_sym_for] = ACTIONS(2264),
    [anon_sym_return] = ACTIONS(2264),
    [anon_sym_break] = ACTIONS(2264),
    [anon_sym_continue] = ACTIONS(2264),
    [anon_sym_goto] = ACTIONS(2264),
    [anon_sym___try] = ACTIONS(2264),
    [anon_sym___leave] = ACTIONS(2264),
    [anon_sym_not] = ACTIONS(2264),
    [anon_sym_compl] = ACTIONS(2264),
    [anon_sym_DASH_DASH] = ACTIONS(2266),
    [anon_sym_PLUS_PLUS] = ACTIONS(2266),
    [anon_sym_sizeof] = ACTIONS(2264),
    [anon_sym___alignof__] = ACTIONS(2264),
    [anon_sym___alignof] = ACTIONS(2264),
    [anon_sym__alignof] = ACTIONS(2264),
    [anon_sym_alignof] = ACTIONS(2264),
    [anon_sym__Alignof] = ACTIONS(2264),
    [anon_sym_offsetof] = ACTIONS(2264),
    [anon_sym__Generic] = ACTIONS(2264),
    [anon_sym_asm] = ACTIONS(2264),
    [anon_sym___asm__] = ACTIONS(2264),
    [sym_number_literal] = ACTIONS(2266),
    [anon_sym_L_SQUOTE] = ACTIONS(2266),
    [anon_sym_u_SQUOTE] = ACTIONS(2266),
    [anon_sym_U_SQUOTE] = ACTIONS(2266),
    [anon_sym_u8_SQUOTE] = ACTIONS(2266),
    [anon_sym_SQUOTE] = ACTIONS(2266),
    [anon_sym_L_DQUOTE] = ACTIONS(2266),
    [anon_sym_u_DQUOTE] = ACTIONS(2266),
    [anon_sym_U_DQUOTE] = ACTIONS(2266),
    [anon_sym_u8_DQUOTE] = ACTIONS(2266),
    [anon_sym_DQUOTE] = ACTIONS(2266),
    [sym_true] = ACTIONS(2264),
    [sym_false] = ACTIONS(2264),
    [anon_sym_NULL] = ACTIONS(2264),
    [anon_sym_nullptr] = ACTIONS(2264),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2264),
    [anon_sym_decltype] = ACTIONS(2264),
    [anon_sym_final] = ACTIONS(2264),
    [anon_sym_override] = ACTIONS(2264),
    [anon_sym_virtual] = ACTIONS(2264),
    [anon_sym_alignas] = ACTIONS(2264),
    [anon_sym_explicit] = ACTIONS(2264),
    [anon_sym_typename] = ACTIONS(2264),
    [anon_sym_template] = ACTIONS(2264),
    [anon_sym_operator] = ACTIONS(2264),
    [anon_sym_try] = ACTIONS(2264),
    [anon_sym_delete] = ACTIONS(2264),
    [anon_sym_throw] = ACTIONS(2264),
    [anon_sym_namespace] = ACTIONS(2264),
    [anon_sym_using] = ACTIONS(2264),
    [anon_sym_static_assert] = ACTIONS(2264),
    [anon_sym_concept] = ACTIONS(2264),
    [anon_sym_co_return] = ACTIONS(2264),
    [anon_sym_co_yield] = ACTIONS(2264),
    [anon_sym_R_DQUOTE] = ACTIONS(2266),
    [anon_sym_LR_DQUOTE] = ACTIONS(2266),
    [anon_sym_uR_DQUOTE] = ACTIONS(2266),
    [anon_sym_UR_DQUOTE] = ACTIONS(2266),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2266),
    [anon_sym_co_await] = ACTIONS(2264),
    [anon_sym_new] = ACTIONS(2264),
    [anon_sym_requires] = ACTIONS(2264),
    [sym_this] = ACTIONS(2264),
    [anon_sym_discard] = ACTIONS(2264),
    [anon_sym_precise] = ACTIONS(2264),
    [anon_sym_shared] = ACTIONS(2264),
    [anon_sym_groupshared] = ACTIONS(2264),
    [anon_sym_uniform] = ACTIONS(2264),
    [anon_sym_row_major] = ACTIONS(2264),
    [anon_sym_column_major] = ACTIONS(2264),
    [anon_sym_globallycoherent] = ACTIONS(2264),
    [anon_sym_centroid] = ACTIONS(2264),
    [anon_sym_noperspective] = ACTIONS(2264),
    [anon_sym_nointerpolation] = ACTIONS(2264),
    [anon_sym_sample] = ACTIONS(2264),
    [anon_sym_linear] = ACTIONS(2264),
    [anon_sym_snorm] = ACTIONS(2264),
    [anon_sym_unorm] = ACTIONS(2264),
    [anon_sym_point] = ACTIONS(2264),
    [anon_sym_line] = ACTIONS(2264),
    [anon_sym_triangleadj] = ACTIONS(2264),
    [anon_sym_lineadj] = ACTIONS(2264),
    [anon_sym_triangle] = ACTIONS(2264),
    [anon_sym_cbuffer] = ACTIONS(2264),
  },
  [439] = {
    [sym_identifier] = ACTIONS(2805),
    [aux_sym_preproc_include_token1] = ACTIONS(2805),
    [aux_sym_preproc_def_token1] = ACTIONS(2805),
    [aux_sym_preproc_if_token1] = ACTIONS(2805),
    [aux_sym_preproc_if_token2] = ACTIONS(2805),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2805),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2805),
    [aux_sym_preproc_else_token1] = ACTIONS(2805),
    [aux_sym_preproc_elif_token1] = ACTIONS(2805),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2805),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2805),
    [sym_preproc_directive] = ACTIONS(2805),
    [anon_sym_LPAREN2] = ACTIONS(2807),
    [anon_sym_BANG] = ACTIONS(2807),
    [anon_sym_TILDE] = ACTIONS(2807),
    [anon_sym_DASH] = ACTIONS(2805),
    [anon_sym_PLUS] = ACTIONS(2805),
    [anon_sym_STAR] = ACTIONS(2807),
    [anon_sym_AMP_AMP] = ACTIONS(2807),
    [anon_sym_AMP] = ACTIONS(2805),
    [anon_sym_SEMI] = ACTIONS(2807),
    [anon_sym___extension__] = ACTIONS(2805),
    [anon_sym_typedef] = ACTIONS(2805),
    [anon_sym_in] = ACTIONS(2805),
    [anon_sym_out] = ACTIONS(2805),
    [anon_sym_inout] = ACTIONS(2805),
    [anon_sym_extern] = ACTIONS(2805),
    [anon_sym___attribute__] = ACTIONS(2805),
    [anon_sym_COLON_COLON] = ACTIONS(2807),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2807),
    [anon_sym___declspec] = ACTIONS(2805),
    [anon_sym___based] = ACTIONS(2805),
    [anon_sym___cdecl] = ACTIONS(2805),
    [anon_sym___clrcall] = ACTIONS(2805),
    [anon_sym___stdcall] = ACTIONS(2805),
    [anon_sym___fastcall] = ACTIONS(2805),
    [anon_sym___thiscall] = ACTIONS(2805),
    [anon_sym___vectorcall] = ACTIONS(2805),
    [anon_sym_LBRACE] = ACTIONS(2807),
    [anon_sym_signed] = ACTIONS(2805),
    [anon_sym_unsigned] = ACTIONS(2805),
    [anon_sym_long] = ACTIONS(2805),
    [anon_sym_short] = ACTIONS(2805),
    [anon_sym_LBRACK] = ACTIONS(2805),
    [anon_sym_static] = ACTIONS(2805),
    [anon_sym_register] = ACTIONS(2805),
    [anon_sym_inline] = ACTIONS(2805),
    [anon_sym___inline] = ACTIONS(2805),
    [anon_sym___inline__] = ACTIONS(2805),
    [anon_sym___forceinline] = ACTIONS(2805),
    [anon_sym_thread_local] = ACTIONS(2805),
    [anon_sym___thread] = ACTIONS(2805),
    [anon_sym_const] = ACTIONS(2805),
    [anon_sym_constexpr] = ACTIONS(2805),
    [anon_sym_volatile] = ACTIONS(2805),
    [anon_sym_restrict] = ACTIONS(2805),
    [anon_sym___restrict__] = ACTIONS(2805),
    [anon_sym__Atomic] = ACTIONS(2805),
    [anon_sym__Noreturn] = ACTIONS(2805),
    [anon_sym_noreturn] = ACTIONS(2805),
    [anon_sym_mutable] = ACTIONS(2805),
    [anon_sym_constinit] = ACTIONS(2805),
    [anon_sym_consteval] = ACTIONS(2805),
    [sym_primitive_type] = ACTIONS(2805),
    [anon_sym_enum] = ACTIONS(2805),
    [anon_sym_class] = ACTIONS(2805),
    [anon_sym_struct] = ACTIONS(2805),
    [anon_sym_union] = ACTIONS(2805),
    [anon_sym_if] = ACTIONS(2805),
    [anon_sym_switch] = ACTIONS(2805),
    [anon_sym_case] = ACTIONS(2805),
    [anon_sym_default] = ACTIONS(2805),
    [anon_sym_while] = ACTIONS(2805),
    [anon_sym_do] = ACTIONS(2805),
    [anon_sym_for] = ACTIONS(2805),
    [anon_sym_return] = ACTIONS(2805),
    [anon_sym_break] = ACTIONS(2805),
    [anon_sym_continue] = ACTIONS(2805),
    [anon_sym_goto] = ACTIONS(2805),
    [anon_sym___try] = ACTIONS(2805),
    [anon_sym___leave] = ACTIONS(2805),
    [anon_sym_not] = ACTIONS(2805),
    [anon_sym_compl] = ACTIONS(2805),
    [anon_sym_DASH_DASH] = ACTIONS(2807),
    [anon_sym_PLUS_PLUS] = ACTIONS(2807),
    [anon_sym_sizeof] = ACTIONS(2805),
    [anon_sym___alignof__] = ACTIONS(2805),
    [anon_sym___alignof] = ACTIONS(2805),
    [anon_sym__alignof] = ACTIONS(2805),
    [anon_sym_alignof] = ACTIONS(2805),
    [anon_sym__Alignof] = ACTIONS(2805),
    [anon_sym_offsetof] = ACTIONS(2805),
    [anon_sym__Generic] = ACTIONS(2805),
    [anon_sym_asm] = ACTIONS(2805),
    [anon_sym___asm__] = ACTIONS(2805),
    [sym_number_literal] = ACTIONS(2807),
    [anon_sym_L_SQUOTE] = ACTIONS(2807),
    [anon_sym_u_SQUOTE] = ACTIONS(2807),
    [anon_sym_U_SQUOTE] = ACTIONS(2807),
    [anon_sym_u8_SQUOTE] = ACTIONS(2807),
    [anon_sym_SQUOTE] = ACTIONS(2807),
    [anon_sym_L_DQUOTE] = ACTIONS(2807),
    [anon_sym_u_DQUOTE] = ACTIONS(2807),
    [anon_sym_U_DQUOTE] = ACTIONS(2807),
    [anon_sym_u8_DQUOTE] = ACTIONS(2807),
    [anon_sym_DQUOTE] = ACTIONS(2807),
    [sym_true] = ACTIONS(2805),
    [sym_false] = ACTIONS(2805),
    [anon_sym_NULL] = ACTIONS(2805),
    [anon_sym_nullptr] = ACTIONS(2805),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2805),
    [anon_sym_decltype] = ACTIONS(2805),
    [anon_sym_virtual] = ACTIONS(2805),
    [anon_sym_alignas] = ACTIONS(2805),
    [anon_sym_explicit] = ACTIONS(2805),
    [anon_sym_typename] = ACTIONS(2805),
    [anon_sym_template] = ACTIONS(2805),
    [anon_sym_operator] = ACTIONS(2805),
    [anon_sym_try] = ACTIONS(2805),
    [anon_sym_delete] = ACTIONS(2805),
    [anon_sym_throw] = ACTIONS(2805),
    [anon_sym_namespace] = ACTIONS(2805),
    [anon_sym_using] = ACTIONS(2805),
    [anon_sym_static_assert] = ACTIONS(2805),
    [anon_sym_concept] = ACTIONS(2805),
    [anon_sym_co_return] = ACTIONS(2805),
    [anon_sym_co_yield] = ACTIONS(2805),
    [anon_sym_R_DQUOTE] = ACTIONS(2807),
    [anon_sym_LR_DQUOTE] = ACTIONS(2807),
    [anon_sym_uR_DQUOTE] = ACTIONS(2807),
    [anon_sym_UR_DQUOTE] = ACTIONS(2807),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2807),
    [anon_sym_co_await] = ACTIONS(2805),
    [anon_sym_new] = ACTIONS(2805),
    [anon_sym_requires] = ACTIONS(2805),
    [sym_this] = ACTIONS(2805),
    [anon_sym_discard] = ACTIONS(2805),
    [anon_sym_precise] = ACTIONS(2805),
    [anon_sym_shared] = ACTIONS(2805),
    [anon_sym_groupshared] = ACTIONS(2805),
    [anon_sym_uniform] = ACTIONS(2805),
    [anon_sym_row_major] = ACTIONS(2805),
    [anon_sym_column_major] = ACTIONS(2805),
    [anon_sym_globallycoherent] = ACTIONS(2805),
    [anon_sym_centroid] = ACTIONS(2805),
    [anon_sym_noperspective] = ACTIONS(2805),
    [anon_sym_nointerpolation] = ACTIONS(2805),
    [anon_sym_sample] = ACTIONS(2805),
    [anon_sym_linear] = ACTIONS(2805),
    [anon_sym_snorm] = ACTIONS(2805),
    [anon_sym_unorm] = ACTIONS(2805),
    [anon_sym_point] = ACTIONS(2805),
    [anon_sym_line] = ACTIONS(2805),
    [anon_sym_triangleadj] = ACTIONS(2805),
    [anon_sym_lineadj] = ACTIONS(2805),
    [anon_sym_triangle] = ACTIONS(2805),
    [anon_sym_cbuffer] = ACTIONS(2805),
  },
  [440] = {
    [sym_identifier] = ACTIONS(2809),
    [aux_sym_preproc_include_token1] = ACTIONS(2809),
    [aux_sym_preproc_def_token1] = ACTIONS(2809),
    [aux_sym_preproc_if_token1] = ACTIONS(2809),
    [aux_sym_preproc_if_token2] = ACTIONS(2809),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2809),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2809),
    [aux_sym_preproc_else_token1] = ACTIONS(2809),
    [aux_sym_preproc_elif_token1] = ACTIONS(2809),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2809),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2809),
    [sym_preproc_directive] = ACTIONS(2809),
    [anon_sym_LPAREN2] = ACTIONS(2811),
    [anon_sym_BANG] = ACTIONS(2811),
    [anon_sym_TILDE] = ACTIONS(2811),
    [anon_sym_DASH] = ACTIONS(2809),
    [anon_sym_PLUS] = ACTIONS(2809),
    [anon_sym_STAR] = ACTIONS(2811),
    [anon_sym_AMP_AMP] = ACTIONS(2811),
    [anon_sym_AMP] = ACTIONS(2809),
    [anon_sym_SEMI] = ACTIONS(2811),
    [anon_sym___extension__] = ACTIONS(2809),
    [anon_sym_typedef] = ACTIONS(2809),
    [anon_sym_in] = ACTIONS(2809),
    [anon_sym_out] = ACTIONS(2809),
    [anon_sym_inout] = ACTIONS(2809),
    [anon_sym_extern] = ACTIONS(2809),
    [anon_sym___attribute__] = ACTIONS(2809),
    [anon_sym_COLON_COLON] = ACTIONS(2811),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2811),
    [anon_sym___declspec] = ACTIONS(2809),
    [anon_sym___based] = ACTIONS(2809),
    [anon_sym___cdecl] = ACTIONS(2809),
    [anon_sym___clrcall] = ACTIONS(2809),
    [anon_sym___stdcall] = ACTIONS(2809),
    [anon_sym___fastcall] = ACTIONS(2809),
    [anon_sym___thiscall] = ACTIONS(2809),
    [anon_sym___vectorcall] = ACTIONS(2809),
    [anon_sym_LBRACE] = ACTIONS(2811),
    [anon_sym_signed] = ACTIONS(2809),
    [anon_sym_unsigned] = ACTIONS(2809),
    [anon_sym_long] = ACTIONS(2809),
    [anon_sym_short] = ACTIONS(2809),
    [anon_sym_LBRACK] = ACTIONS(2809),
    [anon_sym_static] = ACTIONS(2809),
    [anon_sym_register] = ACTIONS(2809),
    [anon_sym_inline] = ACTIONS(2809),
    [anon_sym___inline] = ACTIONS(2809),
    [anon_sym___inline__] = ACTIONS(2809),
    [anon_sym___forceinline] = ACTIONS(2809),
    [anon_sym_thread_local] = ACTIONS(2809),
    [anon_sym___thread] = ACTIONS(2809),
    [anon_sym_const] = ACTIONS(2809),
    [anon_sym_constexpr] = ACTIONS(2809),
    [anon_sym_volatile] = ACTIONS(2809),
    [anon_sym_restrict] = ACTIONS(2809),
    [anon_sym___restrict__] = ACTIONS(2809),
    [anon_sym__Atomic] = ACTIONS(2809),
    [anon_sym__Noreturn] = ACTIONS(2809),
    [anon_sym_noreturn] = ACTIONS(2809),
    [anon_sym_mutable] = ACTIONS(2809),
    [anon_sym_constinit] = ACTIONS(2809),
    [anon_sym_consteval] = ACTIONS(2809),
    [sym_primitive_type] = ACTIONS(2809),
    [anon_sym_enum] = ACTIONS(2809),
    [anon_sym_class] = ACTIONS(2809),
    [anon_sym_struct] = ACTIONS(2809),
    [anon_sym_union] = ACTIONS(2809),
    [anon_sym_if] = ACTIONS(2809),
    [anon_sym_switch] = ACTIONS(2809),
    [anon_sym_case] = ACTIONS(2809),
    [anon_sym_default] = ACTIONS(2809),
    [anon_sym_while] = ACTIONS(2809),
    [anon_sym_do] = ACTIONS(2809),
    [anon_sym_for] = ACTIONS(2809),
    [anon_sym_return] = ACTIONS(2809),
    [anon_sym_break] = ACTIONS(2809),
    [anon_sym_continue] = ACTIONS(2809),
    [anon_sym_goto] = ACTIONS(2809),
    [anon_sym___try] = ACTIONS(2809),
    [anon_sym___leave] = ACTIONS(2809),
    [anon_sym_not] = ACTIONS(2809),
    [anon_sym_compl] = ACTIONS(2809),
    [anon_sym_DASH_DASH] = ACTIONS(2811),
    [anon_sym_PLUS_PLUS] = ACTIONS(2811),
    [anon_sym_sizeof] = ACTIONS(2809),
    [anon_sym___alignof__] = ACTIONS(2809),
    [anon_sym___alignof] = ACTIONS(2809),
    [anon_sym__alignof] = ACTIONS(2809),
    [anon_sym_alignof] = ACTIONS(2809),
    [anon_sym__Alignof] = ACTIONS(2809),
    [anon_sym_offsetof] = ACTIONS(2809),
    [anon_sym__Generic] = ACTIONS(2809),
    [anon_sym_asm] = ACTIONS(2809),
    [anon_sym___asm__] = ACTIONS(2809),
    [sym_number_literal] = ACTIONS(2811),
    [anon_sym_L_SQUOTE] = ACTIONS(2811),
    [anon_sym_u_SQUOTE] = ACTIONS(2811),
    [anon_sym_U_SQUOTE] = ACTIONS(2811),
    [anon_sym_u8_SQUOTE] = ACTIONS(2811),
    [anon_sym_SQUOTE] = ACTIONS(2811),
    [anon_sym_L_DQUOTE] = ACTIONS(2811),
    [anon_sym_u_DQUOTE] = ACTIONS(2811),
    [anon_sym_U_DQUOTE] = ACTIONS(2811),
    [anon_sym_u8_DQUOTE] = ACTIONS(2811),
    [anon_sym_DQUOTE] = ACTIONS(2811),
    [sym_true] = ACTIONS(2809),
    [sym_false] = ACTIONS(2809),
    [anon_sym_NULL] = ACTIONS(2809),
    [anon_sym_nullptr] = ACTIONS(2809),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2809),
    [anon_sym_decltype] = ACTIONS(2809),
    [anon_sym_virtual] = ACTIONS(2809),
    [anon_sym_alignas] = ACTIONS(2809),
    [anon_sym_explicit] = ACTIONS(2809),
    [anon_sym_typename] = ACTIONS(2809),
    [anon_sym_template] = ACTIONS(2809),
    [anon_sym_operator] = ACTIONS(2809),
    [anon_sym_try] = ACTIONS(2809),
    [anon_sym_delete] = ACTIONS(2809),
    [anon_sym_throw] = ACTIONS(2809),
    [anon_sym_namespace] = ACTIONS(2809),
    [anon_sym_using] = ACTIONS(2809),
    [anon_sym_static_assert] = ACTIONS(2809),
    [anon_sym_concept] = ACTIONS(2809),
    [anon_sym_co_return] = ACTIONS(2809),
    [anon_sym_co_yield] = ACTIONS(2809),
    [anon_sym_R_DQUOTE] = ACTIONS(2811),
    [anon_sym_LR_DQUOTE] = ACTIONS(2811),
    [anon_sym_uR_DQUOTE] = ACTIONS(2811),
    [anon_sym_UR_DQUOTE] = ACTIONS(2811),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2811),
    [anon_sym_co_await] = ACTIONS(2809),
    [anon_sym_new] = ACTIONS(2809),
    [anon_sym_requires] = ACTIONS(2809),
    [sym_this] = ACTIONS(2809),
    [anon_sym_discard] = ACTIONS(2809),
    [anon_sym_precise] = ACTIONS(2809),
    [anon_sym_shared] = ACTIONS(2809),
    [anon_sym_groupshared] = ACTIONS(2809),
    [anon_sym_uniform] = ACTIONS(2809),
    [anon_sym_row_major] = ACTIONS(2809),
    [anon_sym_column_major] = ACTIONS(2809),
    [anon_sym_globallycoherent] = ACTIONS(2809),
    [anon_sym_centroid] = ACTIONS(2809),
    [anon_sym_noperspective] = ACTIONS(2809),
    [anon_sym_nointerpolation] = ACTIONS(2809),
    [anon_sym_sample] = ACTIONS(2809),
    [anon_sym_linear] = ACTIONS(2809),
    [anon_sym_snorm] = ACTIONS(2809),
    [anon_sym_unorm] = ACTIONS(2809),
    [anon_sym_point] = ACTIONS(2809),
    [anon_sym_line] = ACTIONS(2809),
    [anon_sym_triangleadj] = ACTIONS(2809),
    [anon_sym_lineadj] = ACTIONS(2809),
    [anon_sym_triangle] = ACTIONS(2809),
    [anon_sym_cbuffer] = ACTIONS(2809),
  },
  [441] = {
    [sym_else_clause] = STATE(558),
    [sym_identifier] = ACTIONS(2299),
    [aux_sym_preproc_include_token1] = ACTIONS(2299),
    [aux_sym_preproc_def_token1] = ACTIONS(2299),
    [aux_sym_preproc_if_token1] = ACTIONS(2299),
    [aux_sym_preproc_if_token2] = ACTIONS(2299),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2299),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2299),
    [aux_sym_preproc_else_token1] = ACTIONS(2299),
    [aux_sym_preproc_elif_token1] = ACTIONS(2299),
    [sym_preproc_directive] = ACTIONS(2299),
    [anon_sym_LPAREN2] = ACTIONS(2301),
    [anon_sym_BANG] = ACTIONS(2301),
    [anon_sym_TILDE] = ACTIONS(2301),
    [anon_sym_DASH] = ACTIONS(2299),
    [anon_sym_PLUS] = ACTIONS(2299),
    [anon_sym_STAR] = ACTIONS(2301),
    [anon_sym_AMP_AMP] = ACTIONS(2301),
    [anon_sym_AMP] = ACTIONS(2299),
    [anon_sym_SEMI] = ACTIONS(2301),
    [anon_sym___extension__] = ACTIONS(2299),
    [anon_sym_typedef] = ACTIONS(2299),
    [anon_sym_in] = ACTIONS(2299),
    [anon_sym_out] = ACTIONS(2299),
    [anon_sym_inout] = ACTIONS(2299),
    [anon_sym_extern] = ACTIONS(2299),
    [anon_sym___attribute__] = ACTIONS(2299),
    [anon_sym_COLON_COLON] = ACTIONS(2301),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2301),
    [anon_sym___declspec] = ACTIONS(2299),
    [anon_sym___based] = ACTIONS(2299),
    [anon_sym___cdecl] = ACTIONS(2299),
    [anon_sym___clrcall] = ACTIONS(2299),
    [anon_sym___stdcall] = ACTIONS(2299),
    [anon_sym___fastcall] = ACTIONS(2299),
    [anon_sym___thiscall] = ACTIONS(2299),
    [anon_sym___vectorcall] = ACTIONS(2299),
    [anon_sym_LBRACE] = ACTIONS(2301),
    [anon_sym_signed] = ACTIONS(2299),
    [anon_sym_unsigned] = ACTIONS(2299),
    [anon_sym_long] = ACTIONS(2299),
    [anon_sym_short] = ACTIONS(2299),
    [anon_sym_LBRACK] = ACTIONS(2299),
    [anon_sym_static] = ACTIONS(2299),
    [anon_sym_register] = ACTIONS(2299),
    [anon_sym_inline] = ACTIONS(2299),
    [anon_sym___inline] = ACTIONS(2299),
    [anon_sym___inline__] = ACTIONS(2299),
    [anon_sym___forceinline] = ACTIONS(2299),
    [anon_sym_thread_local] = ACTIONS(2299),
    [anon_sym___thread] = ACTIONS(2299),
    [anon_sym_const] = ACTIONS(2299),
    [anon_sym_constexpr] = ACTIONS(2299),
    [anon_sym_volatile] = ACTIONS(2299),
    [anon_sym_restrict] = ACTIONS(2299),
    [anon_sym___restrict__] = ACTIONS(2299),
    [anon_sym__Atomic] = ACTIONS(2299),
    [anon_sym__Noreturn] = ACTIONS(2299),
    [anon_sym_noreturn] = ACTIONS(2299),
    [anon_sym_mutable] = ACTIONS(2299),
    [anon_sym_constinit] = ACTIONS(2299),
    [anon_sym_consteval] = ACTIONS(2299),
    [sym_primitive_type] = ACTIONS(2299),
    [anon_sym_enum] = ACTIONS(2299),
    [anon_sym_class] = ACTIONS(2299),
    [anon_sym_struct] = ACTIONS(2299),
    [anon_sym_union] = ACTIONS(2299),
    [anon_sym_if] = ACTIONS(2299),
    [anon_sym_else] = ACTIONS(2615),
    [anon_sym_switch] = ACTIONS(2299),
    [anon_sym_case] = ACTIONS(2299),
    [anon_sym_default] = ACTIONS(2299),
    [anon_sym_while] = ACTIONS(2299),
    [anon_sym_do] = ACTIONS(2299),
    [anon_sym_for] = ACTIONS(2299),
    [anon_sym_return] = ACTIONS(2299),
    [anon_sym_break] = ACTIONS(2299),
    [anon_sym_continue] = ACTIONS(2299),
    [anon_sym_goto] = ACTIONS(2299),
    [anon_sym___try] = ACTIONS(2299),
    [anon_sym___leave] = ACTIONS(2299),
    [anon_sym_not] = ACTIONS(2299),
    [anon_sym_compl] = ACTIONS(2299),
    [anon_sym_DASH_DASH] = ACTIONS(2301),
    [anon_sym_PLUS_PLUS] = ACTIONS(2301),
    [anon_sym_sizeof] = ACTIONS(2299),
    [anon_sym___alignof__] = ACTIONS(2299),
    [anon_sym___alignof] = ACTIONS(2299),
    [anon_sym__alignof] = ACTIONS(2299),
    [anon_sym_alignof] = ACTIONS(2299),
    [anon_sym__Alignof] = ACTIONS(2299),
    [anon_sym_offsetof] = ACTIONS(2299),
    [anon_sym__Generic] = ACTIONS(2299),
    [anon_sym_asm] = ACTIONS(2299),
    [anon_sym___asm__] = ACTIONS(2299),
    [sym_number_literal] = ACTIONS(2301),
    [anon_sym_L_SQUOTE] = ACTIONS(2301),
    [anon_sym_u_SQUOTE] = ACTIONS(2301),
    [anon_sym_U_SQUOTE] = ACTIONS(2301),
    [anon_sym_u8_SQUOTE] = ACTIONS(2301),
    [anon_sym_SQUOTE] = ACTIONS(2301),
    [anon_sym_L_DQUOTE] = ACTIONS(2301),
    [anon_sym_u_DQUOTE] = ACTIONS(2301),
    [anon_sym_U_DQUOTE] = ACTIONS(2301),
    [anon_sym_u8_DQUOTE] = ACTIONS(2301),
    [anon_sym_DQUOTE] = ACTIONS(2301),
    [sym_true] = ACTIONS(2299),
    [sym_false] = ACTIONS(2299),
    [anon_sym_NULL] = ACTIONS(2299),
    [anon_sym_nullptr] = ACTIONS(2299),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2299),
    [anon_sym_decltype] = ACTIONS(2299),
    [anon_sym_virtual] = ACTIONS(2299),
    [anon_sym_alignas] = ACTIONS(2299),
    [anon_sym_explicit] = ACTIONS(2299),
    [anon_sym_typename] = ACTIONS(2299),
    [anon_sym_template] = ACTIONS(2299),
    [anon_sym_operator] = ACTIONS(2299),
    [anon_sym_try] = ACTIONS(2299),
    [anon_sym_delete] = ACTIONS(2299),
    [anon_sym_throw] = ACTIONS(2299),
    [anon_sym_namespace] = ACTIONS(2299),
    [anon_sym_using] = ACTIONS(2299),
    [anon_sym_static_assert] = ACTIONS(2299),
    [anon_sym_concept] = ACTIONS(2299),
    [anon_sym_co_return] = ACTIONS(2299),
    [anon_sym_co_yield] = ACTIONS(2299),
    [anon_sym_R_DQUOTE] = ACTIONS(2301),
    [anon_sym_LR_DQUOTE] = ACTIONS(2301),
    [anon_sym_uR_DQUOTE] = ACTIONS(2301),
    [anon_sym_UR_DQUOTE] = ACTIONS(2301),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2301),
    [anon_sym_co_await] = ACTIONS(2299),
    [anon_sym_new] = ACTIONS(2299),
    [anon_sym_requires] = ACTIONS(2299),
    [sym_this] = ACTIONS(2299),
    [anon_sym_discard] = ACTIONS(2299),
    [anon_sym_precise] = ACTIONS(2299),
    [anon_sym_shared] = ACTIONS(2299),
    [anon_sym_groupshared] = ACTIONS(2299),
    [anon_sym_uniform] = ACTIONS(2299),
    [anon_sym_row_major] = ACTIONS(2299),
    [anon_sym_column_major] = ACTIONS(2299),
    [anon_sym_globallycoherent] = ACTIONS(2299),
    [anon_sym_centroid] = ACTIONS(2299),
    [anon_sym_noperspective] = ACTIONS(2299),
    [anon_sym_nointerpolation] = ACTIONS(2299),
    [anon_sym_sample] = ACTIONS(2299),
    [anon_sym_linear] = ACTIONS(2299),
    [anon_sym_snorm] = ACTIONS(2299),
    [anon_sym_unorm] = ACTIONS(2299),
    [anon_sym_point] = ACTIONS(2299),
    [anon_sym_line] = ACTIONS(2299),
    [anon_sym_triangleadj] = ACTIONS(2299),
    [anon_sym_lineadj] = ACTIONS(2299),
    [anon_sym_triangle] = ACTIONS(2299),
    [anon_sym_cbuffer] = ACTIONS(2299),
  },
  [442] = {
    [sym_identifier] = ACTIONS(2813),
    [aux_sym_preproc_include_token1] = ACTIONS(2813),
    [aux_sym_preproc_def_token1] = ACTIONS(2813),
    [aux_sym_preproc_if_token1] = ACTIONS(2813),
    [aux_sym_preproc_if_token2] = ACTIONS(2813),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2813),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2813),
    [aux_sym_preproc_else_token1] = ACTIONS(2813),
    [aux_sym_preproc_elif_token1] = ACTIONS(2813),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2813),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2813),
    [sym_preproc_directive] = ACTIONS(2813),
    [anon_sym_LPAREN2] = ACTIONS(2815),
    [anon_sym_BANG] = ACTIONS(2815),
    [anon_sym_TILDE] = ACTIONS(2815),
    [anon_sym_DASH] = ACTIONS(2813),
    [anon_sym_PLUS] = ACTIONS(2813),
    [anon_sym_STAR] = ACTIONS(2815),
    [anon_sym_AMP_AMP] = ACTIONS(2815),
    [anon_sym_AMP] = ACTIONS(2813),
    [anon_sym_SEMI] = ACTIONS(2815),
    [anon_sym___extension__] = ACTIONS(2813),
    [anon_sym_typedef] = ACTIONS(2813),
    [anon_sym_in] = ACTIONS(2813),
    [anon_sym_out] = ACTIONS(2813),
    [anon_sym_inout] = ACTIONS(2813),
    [anon_sym_extern] = ACTIONS(2813),
    [anon_sym___attribute__] = ACTIONS(2813),
    [anon_sym_COLON_COLON] = ACTIONS(2815),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2815),
    [anon_sym___declspec] = ACTIONS(2813),
    [anon_sym___based] = ACTIONS(2813),
    [anon_sym___cdecl] = ACTIONS(2813),
    [anon_sym___clrcall] = ACTIONS(2813),
    [anon_sym___stdcall] = ACTIONS(2813),
    [anon_sym___fastcall] = ACTIONS(2813),
    [anon_sym___thiscall] = ACTIONS(2813),
    [anon_sym___vectorcall] = ACTIONS(2813),
    [anon_sym_LBRACE] = ACTIONS(2815),
    [anon_sym_signed] = ACTIONS(2813),
    [anon_sym_unsigned] = ACTIONS(2813),
    [anon_sym_long] = ACTIONS(2813),
    [anon_sym_short] = ACTIONS(2813),
    [anon_sym_LBRACK] = ACTIONS(2813),
    [anon_sym_static] = ACTIONS(2813),
    [anon_sym_register] = ACTIONS(2813),
    [anon_sym_inline] = ACTIONS(2813),
    [anon_sym___inline] = ACTIONS(2813),
    [anon_sym___inline__] = ACTIONS(2813),
    [anon_sym___forceinline] = ACTIONS(2813),
    [anon_sym_thread_local] = ACTIONS(2813),
    [anon_sym___thread] = ACTIONS(2813),
    [anon_sym_const] = ACTIONS(2813),
    [anon_sym_constexpr] = ACTIONS(2813),
    [anon_sym_volatile] = ACTIONS(2813),
    [anon_sym_restrict] = ACTIONS(2813),
    [anon_sym___restrict__] = ACTIONS(2813),
    [anon_sym__Atomic] = ACTIONS(2813),
    [anon_sym__Noreturn] = ACTIONS(2813),
    [anon_sym_noreturn] = ACTIONS(2813),
    [anon_sym_mutable] = ACTIONS(2813),
    [anon_sym_constinit] = ACTIONS(2813),
    [anon_sym_consteval] = ACTIONS(2813),
    [sym_primitive_type] = ACTIONS(2813),
    [anon_sym_enum] = ACTIONS(2813),
    [anon_sym_class] = ACTIONS(2813),
    [anon_sym_struct] = ACTIONS(2813),
    [anon_sym_union] = ACTIONS(2813),
    [anon_sym_if] = ACTIONS(2813),
    [anon_sym_switch] = ACTIONS(2813),
    [anon_sym_case] = ACTIONS(2813),
    [anon_sym_default] = ACTIONS(2813),
    [anon_sym_while] = ACTIONS(2813),
    [anon_sym_do] = ACTIONS(2813),
    [anon_sym_for] = ACTIONS(2813),
    [anon_sym_return] = ACTIONS(2813),
    [anon_sym_break] = ACTIONS(2813),
    [anon_sym_continue] = ACTIONS(2813),
    [anon_sym_goto] = ACTIONS(2813),
    [anon_sym___try] = ACTIONS(2813),
    [anon_sym___leave] = ACTIONS(2813),
    [anon_sym_not] = ACTIONS(2813),
    [anon_sym_compl] = ACTIONS(2813),
    [anon_sym_DASH_DASH] = ACTIONS(2815),
    [anon_sym_PLUS_PLUS] = ACTIONS(2815),
    [anon_sym_sizeof] = ACTIONS(2813),
    [anon_sym___alignof__] = ACTIONS(2813),
    [anon_sym___alignof] = ACTIONS(2813),
    [anon_sym__alignof] = ACTIONS(2813),
    [anon_sym_alignof] = ACTIONS(2813),
    [anon_sym__Alignof] = ACTIONS(2813),
    [anon_sym_offsetof] = ACTIONS(2813),
    [anon_sym__Generic] = ACTIONS(2813),
    [anon_sym_asm] = ACTIONS(2813),
    [anon_sym___asm__] = ACTIONS(2813),
    [sym_number_literal] = ACTIONS(2815),
    [anon_sym_L_SQUOTE] = ACTIONS(2815),
    [anon_sym_u_SQUOTE] = ACTIONS(2815),
    [anon_sym_U_SQUOTE] = ACTIONS(2815),
    [anon_sym_u8_SQUOTE] = ACTIONS(2815),
    [anon_sym_SQUOTE] = ACTIONS(2815),
    [anon_sym_L_DQUOTE] = ACTIONS(2815),
    [anon_sym_u_DQUOTE] = ACTIONS(2815),
    [anon_sym_U_DQUOTE] = ACTIONS(2815),
    [anon_sym_u8_DQUOTE] = ACTIONS(2815),
    [anon_sym_DQUOTE] = ACTIONS(2815),
    [sym_true] = ACTIONS(2813),
    [sym_false] = ACTIONS(2813),
    [anon_sym_NULL] = ACTIONS(2813),
    [anon_sym_nullptr] = ACTIONS(2813),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2813),
    [anon_sym_decltype] = ACTIONS(2813),
    [anon_sym_virtual] = ACTIONS(2813),
    [anon_sym_alignas] = ACTIONS(2813),
    [anon_sym_explicit] = ACTIONS(2813),
    [anon_sym_typename] = ACTIONS(2813),
    [anon_sym_template] = ACTIONS(2813),
    [anon_sym_operator] = ACTIONS(2813),
    [anon_sym_try] = ACTIONS(2813),
    [anon_sym_delete] = ACTIONS(2813),
    [anon_sym_throw] = ACTIONS(2813),
    [anon_sym_namespace] = ACTIONS(2813),
    [anon_sym_using] = ACTIONS(2813),
    [anon_sym_static_assert] = ACTIONS(2813),
    [anon_sym_concept] = ACTIONS(2813),
    [anon_sym_co_return] = ACTIONS(2813),
    [anon_sym_co_yield] = ACTIONS(2813),
    [anon_sym_R_DQUOTE] = ACTIONS(2815),
    [anon_sym_LR_DQUOTE] = ACTIONS(2815),
    [anon_sym_uR_DQUOTE] = ACTIONS(2815),
    [anon_sym_UR_DQUOTE] = ACTIONS(2815),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2815),
    [anon_sym_co_await] = ACTIONS(2813),
    [anon_sym_new] = ACTIONS(2813),
    [anon_sym_requires] = ACTIONS(2813),
    [sym_this] = ACTIONS(2813),
    [anon_sym_discard] = ACTIONS(2813),
    [anon_sym_precise] = ACTIONS(2813),
    [anon_sym_shared] = ACTIONS(2813),
    [anon_sym_groupshared] = ACTIONS(2813),
    [anon_sym_uniform] = ACTIONS(2813),
    [anon_sym_row_major] = ACTIONS(2813),
    [anon_sym_column_major] = ACTIONS(2813),
    [anon_sym_globallycoherent] = ACTIONS(2813),
    [anon_sym_centroid] = ACTIONS(2813),
    [anon_sym_noperspective] = ACTIONS(2813),
    [anon_sym_nointerpolation] = ACTIONS(2813),
    [anon_sym_sample] = ACTIONS(2813),
    [anon_sym_linear] = ACTIONS(2813),
    [anon_sym_snorm] = ACTIONS(2813),
    [anon_sym_unorm] = ACTIONS(2813),
    [anon_sym_point] = ACTIONS(2813),
    [anon_sym_line] = ACTIONS(2813),
    [anon_sym_triangleadj] = ACTIONS(2813),
    [anon_sym_lineadj] = ACTIONS(2813),
    [anon_sym_triangle] = ACTIONS(2813),
    [anon_sym_cbuffer] = ACTIONS(2813),
  },
  [443] = {
    [sym_identifier] = ACTIONS(2813),
    [aux_sym_preproc_include_token1] = ACTIONS(2813),
    [aux_sym_preproc_def_token1] = ACTIONS(2813),
    [aux_sym_preproc_if_token1] = ACTIONS(2813),
    [aux_sym_preproc_if_token2] = ACTIONS(2813),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2813),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2813),
    [aux_sym_preproc_else_token1] = ACTIONS(2813),
    [aux_sym_preproc_elif_token1] = ACTIONS(2813),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2813),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2813),
    [sym_preproc_directive] = ACTIONS(2813),
    [anon_sym_LPAREN2] = ACTIONS(2815),
    [anon_sym_BANG] = ACTIONS(2815),
    [anon_sym_TILDE] = ACTIONS(2815),
    [anon_sym_DASH] = ACTIONS(2813),
    [anon_sym_PLUS] = ACTIONS(2813),
    [anon_sym_STAR] = ACTIONS(2815),
    [anon_sym_AMP_AMP] = ACTIONS(2815),
    [anon_sym_AMP] = ACTIONS(2813),
    [anon_sym_SEMI] = ACTIONS(2815),
    [anon_sym___extension__] = ACTIONS(2813),
    [anon_sym_typedef] = ACTIONS(2813),
    [anon_sym_in] = ACTIONS(2813),
    [anon_sym_out] = ACTIONS(2813),
    [anon_sym_inout] = ACTIONS(2813),
    [anon_sym_extern] = ACTIONS(2813),
    [anon_sym___attribute__] = ACTIONS(2813),
    [anon_sym_COLON_COLON] = ACTIONS(2815),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2815),
    [anon_sym___declspec] = ACTIONS(2813),
    [anon_sym___based] = ACTIONS(2813),
    [anon_sym___cdecl] = ACTIONS(2813),
    [anon_sym___clrcall] = ACTIONS(2813),
    [anon_sym___stdcall] = ACTIONS(2813),
    [anon_sym___fastcall] = ACTIONS(2813),
    [anon_sym___thiscall] = ACTIONS(2813),
    [anon_sym___vectorcall] = ACTIONS(2813),
    [anon_sym_LBRACE] = ACTIONS(2815),
    [anon_sym_signed] = ACTIONS(2813),
    [anon_sym_unsigned] = ACTIONS(2813),
    [anon_sym_long] = ACTIONS(2813),
    [anon_sym_short] = ACTIONS(2813),
    [anon_sym_LBRACK] = ACTIONS(2813),
    [anon_sym_static] = ACTIONS(2813),
    [anon_sym_register] = ACTIONS(2813),
    [anon_sym_inline] = ACTIONS(2813),
    [anon_sym___inline] = ACTIONS(2813),
    [anon_sym___inline__] = ACTIONS(2813),
    [anon_sym___forceinline] = ACTIONS(2813),
    [anon_sym_thread_local] = ACTIONS(2813),
    [anon_sym___thread] = ACTIONS(2813),
    [anon_sym_const] = ACTIONS(2813),
    [anon_sym_constexpr] = ACTIONS(2813),
    [anon_sym_volatile] = ACTIONS(2813),
    [anon_sym_restrict] = ACTIONS(2813),
    [anon_sym___restrict__] = ACTIONS(2813),
    [anon_sym__Atomic] = ACTIONS(2813),
    [anon_sym__Noreturn] = ACTIONS(2813),
    [anon_sym_noreturn] = ACTIONS(2813),
    [anon_sym_mutable] = ACTIONS(2813),
    [anon_sym_constinit] = ACTIONS(2813),
    [anon_sym_consteval] = ACTIONS(2813),
    [sym_primitive_type] = ACTIONS(2813),
    [anon_sym_enum] = ACTIONS(2813),
    [anon_sym_class] = ACTIONS(2813),
    [anon_sym_struct] = ACTIONS(2813),
    [anon_sym_union] = ACTIONS(2813),
    [anon_sym_if] = ACTIONS(2813),
    [anon_sym_switch] = ACTIONS(2813),
    [anon_sym_case] = ACTIONS(2813),
    [anon_sym_default] = ACTIONS(2813),
    [anon_sym_while] = ACTIONS(2813),
    [anon_sym_do] = ACTIONS(2813),
    [anon_sym_for] = ACTIONS(2813),
    [anon_sym_return] = ACTIONS(2813),
    [anon_sym_break] = ACTIONS(2813),
    [anon_sym_continue] = ACTIONS(2813),
    [anon_sym_goto] = ACTIONS(2813),
    [anon_sym___try] = ACTIONS(2813),
    [anon_sym___leave] = ACTIONS(2813),
    [anon_sym_not] = ACTIONS(2813),
    [anon_sym_compl] = ACTIONS(2813),
    [anon_sym_DASH_DASH] = ACTIONS(2815),
    [anon_sym_PLUS_PLUS] = ACTIONS(2815),
    [anon_sym_sizeof] = ACTIONS(2813),
    [anon_sym___alignof__] = ACTIONS(2813),
    [anon_sym___alignof] = ACTIONS(2813),
    [anon_sym__alignof] = ACTIONS(2813),
    [anon_sym_alignof] = ACTIONS(2813),
    [anon_sym__Alignof] = ACTIONS(2813),
    [anon_sym_offsetof] = ACTIONS(2813),
    [anon_sym__Generic] = ACTIONS(2813),
    [anon_sym_asm] = ACTIONS(2813),
    [anon_sym___asm__] = ACTIONS(2813),
    [sym_number_literal] = ACTIONS(2815),
    [anon_sym_L_SQUOTE] = ACTIONS(2815),
    [anon_sym_u_SQUOTE] = ACTIONS(2815),
    [anon_sym_U_SQUOTE] = ACTIONS(2815),
    [anon_sym_u8_SQUOTE] = ACTIONS(2815),
    [anon_sym_SQUOTE] = ACTIONS(2815),
    [anon_sym_L_DQUOTE] = ACTIONS(2815),
    [anon_sym_u_DQUOTE] = ACTIONS(2815),
    [anon_sym_U_DQUOTE] = ACTIONS(2815),
    [anon_sym_u8_DQUOTE] = ACTIONS(2815),
    [anon_sym_DQUOTE] = ACTIONS(2815),
    [sym_true] = ACTIONS(2813),
    [sym_false] = ACTIONS(2813),
    [anon_sym_NULL] = ACTIONS(2813),
    [anon_sym_nullptr] = ACTIONS(2813),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2813),
    [anon_sym_decltype] = ACTIONS(2813),
    [anon_sym_virtual] = ACTIONS(2813),
    [anon_sym_alignas] = ACTIONS(2813),
    [anon_sym_explicit] = ACTIONS(2813),
    [anon_sym_typename] = ACTIONS(2813),
    [anon_sym_template] = ACTIONS(2813),
    [anon_sym_operator] = ACTIONS(2813),
    [anon_sym_try] = ACTIONS(2813),
    [anon_sym_delete] = ACTIONS(2813),
    [anon_sym_throw] = ACTIONS(2813),
    [anon_sym_namespace] = ACTIONS(2813),
    [anon_sym_using] = ACTIONS(2813),
    [anon_sym_static_assert] = ACTIONS(2813),
    [anon_sym_concept] = ACTIONS(2813),
    [anon_sym_co_return] = ACTIONS(2813),
    [anon_sym_co_yield] = ACTIONS(2813),
    [anon_sym_R_DQUOTE] = ACTIONS(2815),
    [anon_sym_LR_DQUOTE] = ACTIONS(2815),
    [anon_sym_uR_DQUOTE] = ACTIONS(2815),
    [anon_sym_UR_DQUOTE] = ACTIONS(2815),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2815),
    [anon_sym_co_await] = ACTIONS(2813),
    [anon_sym_new] = ACTIONS(2813),
    [anon_sym_requires] = ACTIONS(2813),
    [sym_this] = ACTIONS(2813),
    [anon_sym_discard] = ACTIONS(2813),
    [anon_sym_precise] = ACTIONS(2813),
    [anon_sym_shared] = ACTIONS(2813),
    [anon_sym_groupshared] = ACTIONS(2813),
    [anon_sym_uniform] = ACTIONS(2813),
    [anon_sym_row_major] = ACTIONS(2813),
    [anon_sym_column_major] = ACTIONS(2813),
    [anon_sym_globallycoherent] = ACTIONS(2813),
    [anon_sym_centroid] = ACTIONS(2813),
    [anon_sym_noperspective] = ACTIONS(2813),
    [anon_sym_nointerpolation] = ACTIONS(2813),
    [anon_sym_sample] = ACTIONS(2813),
    [anon_sym_linear] = ACTIONS(2813),
    [anon_sym_snorm] = ACTIONS(2813),
    [anon_sym_unorm] = ACTIONS(2813),
    [anon_sym_point] = ACTIONS(2813),
    [anon_sym_line] = ACTIONS(2813),
    [anon_sym_triangleadj] = ACTIONS(2813),
    [anon_sym_lineadj] = ACTIONS(2813),
    [anon_sym_triangle] = ACTIONS(2813),
    [anon_sym_cbuffer] = ACTIONS(2813),
  },
  [444] = {
    [sym_identifier] = ACTIONS(2817),
    [aux_sym_preproc_include_token1] = ACTIONS(2817),
    [aux_sym_preproc_def_token1] = ACTIONS(2817),
    [aux_sym_preproc_if_token1] = ACTIONS(2817),
    [aux_sym_preproc_if_token2] = ACTIONS(2817),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2817),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2817),
    [aux_sym_preproc_else_token1] = ACTIONS(2817),
    [aux_sym_preproc_elif_token1] = ACTIONS(2817),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2817),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2817),
    [sym_preproc_directive] = ACTIONS(2817),
    [anon_sym_LPAREN2] = ACTIONS(2819),
    [anon_sym_BANG] = ACTIONS(2819),
    [anon_sym_TILDE] = ACTIONS(2819),
    [anon_sym_DASH] = ACTIONS(2817),
    [anon_sym_PLUS] = ACTIONS(2817),
    [anon_sym_STAR] = ACTIONS(2819),
    [anon_sym_AMP_AMP] = ACTIONS(2819),
    [anon_sym_AMP] = ACTIONS(2817),
    [anon_sym_SEMI] = ACTIONS(2819),
    [anon_sym___extension__] = ACTIONS(2817),
    [anon_sym_typedef] = ACTIONS(2817),
    [anon_sym_in] = ACTIONS(2817),
    [anon_sym_out] = ACTIONS(2817),
    [anon_sym_inout] = ACTIONS(2817),
    [anon_sym_extern] = ACTIONS(2817),
    [anon_sym___attribute__] = ACTIONS(2817),
    [anon_sym_COLON_COLON] = ACTIONS(2819),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2819),
    [anon_sym___declspec] = ACTIONS(2817),
    [anon_sym___based] = ACTIONS(2817),
    [anon_sym___cdecl] = ACTIONS(2817),
    [anon_sym___clrcall] = ACTIONS(2817),
    [anon_sym___stdcall] = ACTIONS(2817),
    [anon_sym___fastcall] = ACTIONS(2817),
    [anon_sym___thiscall] = ACTIONS(2817),
    [anon_sym___vectorcall] = ACTIONS(2817),
    [anon_sym_LBRACE] = ACTIONS(2819),
    [anon_sym_signed] = ACTIONS(2817),
    [anon_sym_unsigned] = ACTIONS(2817),
    [anon_sym_long] = ACTIONS(2817),
    [anon_sym_short] = ACTIONS(2817),
    [anon_sym_LBRACK] = ACTIONS(2817),
    [anon_sym_static] = ACTIONS(2817),
    [anon_sym_register] = ACTIONS(2817),
    [anon_sym_inline] = ACTIONS(2817),
    [anon_sym___inline] = ACTIONS(2817),
    [anon_sym___inline__] = ACTIONS(2817),
    [anon_sym___forceinline] = ACTIONS(2817),
    [anon_sym_thread_local] = ACTIONS(2817),
    [anon_sym___thread] = ACTIONS(2817),
    [anon_sym_const] = ACTIONS(2817),
    [anon_sym_constexpr] = ACTIONS(2817),
    [anon_sym_volatile] = ACTIONS(2817),
    [anon_sym_restrict] = ACTIONS(2817),
    [anon_sym___restrict__] = ACTIONS(2817),
    [anon_sym__Atomic] = ACTIONS(2817),
    [anon_sym__Noreturn] = ACTIONS(2817),
    [anon_sym_noreturn] = ACTIONS(2817),
    [anon_sym_mutable] = ACTIONS(2817),
    [anon_sym_constinit] = ACTIONS(2817),
    [anon_sym_consteval] = ACTIONS(2817),
    [sym_primitive_type] = ACTIONS(2817),
    [anon_sym_enum] = ACTIONS(2817),
    [anon_sym_class] = ACTIONS(2817),
    [anon_sym_struct] = ACTIONS(2817),
    [anon_sym_union] = ACTIONS(2817),
    [anon_sym_if] = ACTIONS(2817),
    [anon_sym_switch] = ACTIONS(2817),
    [anon_sym_case] = ACTIONS(2817),
    [anon_sym_default] = ACTIONS(2817),
    [anon_sym_while] = ACTIONS(2817),
    [anon_sym_do] = ACTIONS(2817),
    [anon_sym_for] = ACTIONS(2817),
    [anon_sym_return] = ACTIONS(2817),
    [anon_sym_break] = ACTIONS(2817),
    [anon_sym_continue] = ACTIONS(2817),
    [anon_sym_goto] = ACTIONS(2817),
    [anon_sym___try] = ACTIONS(2817),
    [anon_sym___leave] = ACTIONS(2817),
    [anon_sym_not] = ACTIONS(2817),
    [anon_sym_compl] = ACTIONS(2817),
    [anon_sym_DASH_DASH] = ACTIONS(2819),
    [anon_sym_PLUS_PLUS] = ACTIONS(2819),
    [anon_sym_sizeof] = ACTIONS(2817),
    [anon_sym___alignof__] = ACTIONS(2817),
    [anon_sym___alignof] = ACTIONS(2817),
    [anon_sym__alignof] = ACTIONS(2817),
    [anon_sym_alignof] = ACTIONS(2817),
    [anon_sym__Alignof] = ACTIONS(2817),
    [anon_sym_offsetof] = ACTIONS(2817),
    [anon_sym__Generic] = ACTIONS(2817),
    [anon_sym_asm] = ACTIONS(2817),
    [anon_sym___asm__] = ACTIONS(2817),
    [sym_number_literal] = ACTIONS(2819),
    [anon_sym_L_SQUOTE] = ACTIONS(2819),
    [anon_sym_u_SQUOTE] = ACTIONS(2819),
    [anon_sym_U_SQUOTE] = ACTIONS(2819),
    [anon_sym_u8_SQUOTE] = ACTIONS(2819),
    [anon_sym_SQUOTE] = ACTIONS(2819),
    [anon_sym_L_DQUOTE] = ACTIONS(2819),
    [anon_sym_u_DQUOTE] = ACTIONS(2819),
    [anon_sym_U_DQUOTE] = ACTIONS(2819),
    [anon_sym_u8_DQUOTE] = ACTIONS(2819),
    [anon_sym_DQUOTE] = ACTIONS(2819),
    [sym_true] = ACTIONS(2817),
    [sym_false] = ACTIONS(2817),
    [anon_sym_NULL] = ACTIONS(2817),
    [anon_sym_nullptr] = ACTIONS(2817),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2817),
    [anon_sym_decltype] = ACTIONS(2817),
    [anon_sym_virtual] = ACTIONS(2817),
    [anon_sym_alignas] = ACTIONS(2817),
    [anon_sym_explicit] = ACTIONS(2817),
    [anon_sym_typename] = ACTIONS(2817),
    [anon_sym_template] = ACTIONS(2817),
    [anon_sym_operator] = ACTIONS(2817),
    [anon_sym_try] = ACTIONS(2817),
    [anon_sym_delete] = ACTIONS(2817),
    [anon_sym_throw] = ACTIONS(2817),
    [anon_sym_namespace] = ACTIONS(2817),
    [anon_sym_using] = ACTIONS(2817),
    [anon_sym_static_assert] = ACTIONS(2817),
    [anon_sym_concept] = ACTIONS(2817),
    [anon_sym_co_return] = ACTIONS(2817),
    [anon_sym_co_yield] = ACTIONS(2817),
    [anon_sym_R_DQUOTE] = ACTIONS(2819),
    [anon_sym_LR_DQUOTE] = ACTIONS(2819),
    [anon_sym_uR_DQUOTE] = ACTIONS(2819),
    [anon_sym_UR_DQUOTE] = ACTIONS(2819),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2819),
    [anon_sym_co_await] = ACTIONS(2817),
    [anon_sym_new] = ACTIONS(2817),
    [anon_sym_requires] = ACTIONS(2817),
    [sym_this] = ACTIONS(2817),
    [anon_sym_discard] = ACTIONS(2817),
    [anon_sym_precise] = ACTIONS(2817),
    [anon_sym_shared] = ACTIONS(2817),
    [anon_sym_groupshared] = ACTIONS(2817),
    [anon_sym_uniform] = ACTIONS(2817),
    [anon_sym_row_major] = ACTIONS(2817),
    [anon_sym_column_major] = ACTIONS(2817),
    [anon_sym_globallycoherent] = ACTIONS(2817),
    [anon_sym_centroid] = ACTIONS(2817),
    [anon_sym_noperspective] = ACTIONS(2817),
    [anon_sym_nointerpolation] = ACTIONS(2817),
    [anon_sym_sample] = ACTIONS(2817),
    [anon_sym_linear] = ACTIONS(2817),
    [anon_sym_snorm] = ACTIONS(2817),
    [anon_sym_unorm] = ACTIONS(2817),
    [anon_sym_point] = ACTIONS(2817),
    [anon_sym_line] = ACTIONS(2817),
    [anon_sym_triangleadj] = ACTIONS(2817),
    [anon_sym_lineadj] = ACTIONS(2817),
    [anon_sym_triangle] = ACTIONS(2817),
    [anon_sym_cbuffer] = ACTIONS(2817),
  },
  [445] = {
    [sym_identifier] = ACTIONS(2821),
    [aux_sym_preproc_include_token1] = ACTIONS(2821),
    [aux_sym_preproc_def_token1] = ACTIONS(2821),
    [aux_sym_preproc_if_token1] = ACTIONS(2821),
    [aux_sym_preproc_if_token2] = ACTIONS(2821),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2821),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2821),
    [aux_sym_preproc_else_token1] = ACTIONS(2821),
    [aux_sym_preproc_elif_token1] = ACTIONS(2821),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2821),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2821),
    [sym_preproc_directive] = ACTIONS(2821),
    [anon_sym_LPAREN2] = ACTIONS(2823),
    [anon_sym_BANG] = ACTIONS(2823),
    [anon_sym_TILDE] = ACTIONS(2823),
    [anon_sym_DASH] = ACTIONS(2821),
    [anon_sym_PLUS] = ACTIONS(2821),
    [anon_sym_STAR] = ACTIONS(2823),
    [anon_sym_AMP_AMP] = ACTIONS(2823),
    [anon_sym_AMP] = ACTIONS(2821),
    [anon_sym_SEMI] = ACTIONS(2823),
    [anon_sym___extension__] = ACTIONS(2821),
    [anon_sym_typedef] = ACTIONS(2821),
    [anon_sym_in] = ACTIONS(2821),
    [anon_sym_out] = ACTIONS(2821),
    [anon_sym_inout] = ACTIONS(2821),
    [anon_sym_extern] = ACTIONS(2821),
    [anon_sym___attribute__] = ACTIONS(2821),
    [anon_sym_COLON_COLON] = ACTIONS(2823),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2823),
    [anon_sym___declspec] = ACTIONS(2821),
    [anon_sym___based] = ACTIONS(2821),
    [anon_sym___cdecl] = ACTIONS(2821),
    [anon_sym___clrcall] = ACTIONS(2821),
    [anon_sym___stdcall] = ACTIONS(2821),
    [anon_sym___fastcall] = ACTIONS(2821),
    [anon_sym___thiscall] = ACTIONS(2821),
    [anon_sym___vectorcall] = ACTIONS(2821),
    [anon_sym_LBRACE] = ACTIONS(2823),
    [anon_sym_signed] = ACTIONS(2821),
    [anon_sym_unsigned] = ACTIONS(2821),
    [anon_sym_long] = ACTIONS(2821),
    [anon_sym_short] = ACTIONS(2821),
    [anon_sym_LBRACK] = ACTIONS(2821),
    [anon_sym_static] = ACTIONS(2821),
    [anon_sym_register] = ACTIONS(2821),
    [anon_sym_inline] = ACTIONS(2821),
    [anon_sym___inline] = ACTIONS(2821),
    [anon_sym___inline__] = ACTIONS(2821),
    [anon_sym___forceinline] = ACTIONS(2821),
    [anon_sym_thread_local] = ACTIONS(2821),
    [anon_sym___thread] = ACTIONS(2821),
    [anon_sym_const] = ACTIONS(2821),
    [anon_sym_constexpr] = ACTIONS(2821),
    [anon_sym_volatile] = ACTIONS(2821),
    [anon_sym_restrict] = ACTIONS(2821),
    [anon_sym___restrict__] = ACTIONS(2821),
    [anon_sym__Atomic] = ACTIONS(2821),
    [anon_sym__Noreturn] = ACTIONS(2821),
    [anon_sym_noreturn] = ACTIONS(2821),
    [anon_sym_mutable] = ACTIONS(2821),
    [anon_sym_constinit] = ACTIONS(2821),
    [anon_sym_consteval] = ACTIONS(2821),
    [sym_primitive_type] = ACTIONS(2821),
    [anon_sym_enum] = ACTIONS(2821),
    [anon_sym_class] = ACTIONS(2821),
    [anon_sym_struct] = ACTIONS(2821),
    [anon_sym_union] = ACTIONS(2821),
    [anon_sym_if] = ACTIONS(2821),
    [anon_sym_switch] = ACTIONS(2821),
    [anon_sym_case] = ACTIONS(2821),
    [anon_sym_default] = ACTIONS(2821),
    [anon_sym_while] = ACTIONS(2821),
    [anon_sym_do] = ACTIONS(2821),
    [anon_sym_for] = ACTIONS(2821),
    [anon_sym_return] = ACTIONS(2821),
    [anon_sym_break] = ACTIONS(2821),
    [anon_sym_continue] = ACTIONS(2821),
    [anon_sym_goto] = ACTIONS(2821),
    [anon_sym___try] = ACTIONS(2821),
    [anon_sym___leave] = ACTIONS(2821),
    [anon_sym_not] = ACTIONS(2821),
    [anon_sym_compl] = ACTIONS(2821),
    [anon_sym_DASH_DASH] = ACTIONS(2823),
    [anon_sym_PLUS_PLUS] = ACTIONS(2823),
    [anon_sym_sizeof] = ACTIONS(2821),
    [anon_sym___alignof__] = ACTIONS(2821),
    [anon_sym___alignof] = ACTIONS(2821),
    [anon_sym__alignof] = ACTIONS(2821),
    [anon_sym_alignof] = ACTIONS(2821),
    [anon_sym__Alignof] = ACTIONS(2821),
    [anon_sym_offsetof] = ACTIONS(2821),
    [anon_sym__Generic] = ACTIONS(2821),
    [anon_sym_asm] = ACTIONS(2821),
    [anon_sym___asm__] = ACTIONS(2821),
    [sym_number_literal] = ACTIONS(2823),
    [anon_sym_L_SQUOTE] = ACTIONS(2823),
    [anon_sym_u_SQUOTE] = ACTIONS(2823),
    [anon_sym_U_SQUOTE] = ACTIONS(2823),
    [anon_sym_u8_SQUOTE] = ACTIONS(2823),
    [anon_sym_SQUOTE] = ACTIONS(2823),
    [anon_sym_L_DQUOTE] = ACTIONS(2823),
    [anon_sym_u_DQUOTE] = ACTIONS(2823),
    [anon_sym_U_DQUOTE] = ACTIONS(2823),
    [anon_sym_u8_DQUOTE] = ACTIONS(2823),
    [anon_sym_DQUOTE] = ACTIONS(2823),
    [sym_true] = ACTIONS(2821),
    [sym_false] = ACTIONS(2821),
    [anon_sym_NULL] = ACTIONS(2821),
    [anon_sym_nullptr] = ACTIONS(2821),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2821),
    [anon_sym_decltype] = ACTIONS(2821),
    [anon_sym_virtual] = ACTIONS(2821),
    [anon_sym_alignas] = ACTIONS(2821),
    [anon_sym_explicit] = ACTIONS(2821),
    [anon_sym_typename] = ACTIONS(2821),
    [anon_sym_template] = ACTIONS(2821),
    [anon_sym_operator] = ACTIONS(2821),
    [anon_sym_try] = ACTIONS(2821),
    [anon_sym_delete] = ACTIONS(2821),
    [anon_sym_throw] = ACTIONS(2821),
    [anon_sym_namespace] = ACTIONS(2821),
    [anon_sym_using] = ACTIONS(2821),
    [anon_sym_static_assert] = ACTIONS(2821),
    [anon_sym_concept] = ACTIONS(2821),
    [anon_sym_co_return] = ACTIONS(2821),
    [anon_sym_co_yield] = ACTIONS(2821),
    [anon_sym_R_DQUOTE] = ACTIONS(2823),
    [anon_sym_LR_DQUOTE] = ACTIONS(2823),
    [anon_sym_uR_DQUOTE] = ACTIONS(2823),
    [anon_sym_UR_DQUOTE] = ACTIONS(2823),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2823),
    [anon_sym_co_await] = ACTIONS(2821),
    [anon_sym_new] = ACTIONS(2821),
    [anon_sym_requires] = ACTIONS(2821),
    [sym_this] = ACTIONS(2821),
    [anon_sym_discard] = ACTIONS(2821),
    [anon_sym_precise] = ACTIONS(2821),
    [anon_sym_shared] = ACTIONS(2821),
    [anon_sym_groupshared] = ACTIONS(2821),
    [anon_sym_uniform] = ACTIONS(2821),
    [anon_sym_row_major] = ACTIONS(2821),
    [anon_sym_column_major] = ACTIONS(2821),
    [anon_sym_globallycoherent] = ACTIONS(2821),
    [anon_sym_centroid] = ACTIONS(2821),
    [anon_sym_noperspective] = ACTIONS(2821),
    [anon_sym_nointerpolation] = ACTIONS(2821),
    [anon_sym_sample] = ACTIONS(2821),
    [anon_sym_linear] = ACTIONS(2821),
    [anon_sym_snorm] = ACTIONS(2821),
    [anon_sym_unorm] = ACTIONS(2821),
    [anon_sym_point] = ACTIONS(2821),
    [anon_sym_line] = ACTIONS(2821),
    [anon_sym_triangleadj] = ACTIONS(2821),
    [anon_sym_lineadj] = ACTIONS(2821),
    [anon_sym_triangle] = ACTIONS(2821),
    [anon_sym_cbuffer] = ACTIONS(2821),
  },
  [446] = {
    [sym_identifier] = ACTIONS(2825),
    [aux_sym_preproc_include_token1] = ACTIONS(2825),
    [aux_sym_preproc_def_token1] = ACTIONS(2825),
    [aux_sym_preproc_if_token1] = ACTIONS(2825),
    [aux_sym_preproc_if_token2] = ACTIONS(2825),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2825),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2825),
    [aux_sym_preproc_else_token1] = ACTIONS(2825),
    [aux_sym_preproc_elif_token1] = ACTIONS(2825),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2825),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2825),
    [sym_preproc_directive] = ACTIONS(2825),
    [anon_sym_LPAREN2] = ACTIONS(2827),
    [anon_sym_BANG] = ACTIONS(2827),
    [anon_sym_TILDE] = ACTIONS(2827),
    [anon_sym_DASH] = ACTIONS(2825),
    [anon_sym_PLUS] = ACTIONS(2825),
    [anon_sym_STAR] = ACTIONS(2827),
    [anon_sym_AMP_AMP] = ACTIONS(2827),
    [anon_sym_AMP] = ACTIONS(2825),
    [anon_sym_SEMI] = ACTIONS(2827),
    [anon_sym___extension__] = ACTIONS(2825),
    [anon_sym_typedef] = ACTIONS(2825),
    [anon_sym_in] = ACTIONS(2825),
    [anon_sym_out] = ACTIONS(2825),
    [anon_sym_inout] = ACTIONS(2825),
    [anon_sym_extern] = ACTIONS(2825),
    [anon_sym___attribute__] = ACTIONS(2825),
    [anon_sym_COLON_COLON] = ACTIONS(2827),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2827),
    [anon_sym___declspec] = ACTIONS(2825),
    [anon_sym___based] = ACTIONS(2825),
    [anon_sym___cdecl] = ACTIONS(2825),
    [anon_sym___clrcall] = ACTIONS(2825),
    [anon_sym___stdcall] = ACTIONS(2825),
    [anon_sym___fastcall] = ACTIONS(2825),
    [anon_sym___thiscall] = ACTIONS(2825),
    [anon_sym___vectorcall] = ACTIONS(2825),
    [anon_sym_LBRACE] = ACTIONS(2827),
    [anon_sym_signed] = ACTIONS(2825),
    [anon_sym_unsigned] = ACTIONS(2825),
    [anon_sym_long] = ACTIONS(2825),
    [anon_sym_short] = ACTIONS(2825),
    [anon_sym_LBRACK] = ACTIONS(2825),
    [anon_sym_static] = ACTIONS(2825),
    [anon_sym_register] = ACTIONS(2825),
    [anon_sym_inline] = ACTIONS(2825),
    [anon_sym___inline] = ACTIONS(2825),
    [anon_sym___inline__] = ACTIONS(2825),
    [anon_sym___forceinline] = ACTIONS(2825),
    [anon_sym_thread_local] = ACTIONS(2825),
    [anon_sym___thread] = ACTIONS(2825),
    [anon_sym_const] = ACTIONS(2825),
    [anon_sym_constexpr] = ACTIONS(2825),
    [anon_sym_volatile] = ACTIONS(2825),
    [anon_sym_restrict] = ACTIONS(2825),
    [anon_sym___restrict__] = ACTIONS(2825),
    [anon_sym__Atomic] = ACTIONS(2825),
    [anon_sym__Noreturn] = ACTIONS(2825),
    [anon_sym_noreturn] = ACTIONS(2825),
    [anon_sym_mutable] = ACTIONS(2825),
    [anon_sym_constinit] = ACTIONS(2825),
    [anon_sym_consteval] = ACTIONS(2825),
    [sym_primitive_type] = ACTIONS(2825),
    [anon_sym_enum] = ACTIONS(2825),
    [anon_sym_class] = ACTIONS(2825),
    [anon_sym_struct] = ACTIONS(2825),
    [anon_sym_union] = ACTIONS(2825),
    [anon_sym_if] = ACTIONS(2825),
    [anon_sym_switch] = ACTIONS(2825),
    [anon_sym_case] = ACTIONS(2825),
    [anon_sym_default] = ACTIONS(2825),
    [anon_sym_while] = ACTIONS(2825),
    [anon_sym_do] = ACTIONS(2825),
    [anon_sym_for] = ACTIONS(2825),
    [anon_sym_return] = ACTIONS(2825),
    [anon_sym_break] = ACTIONS(2825),
    [anon_sym_continue] = ACTIONS(2825),
    [anon_sym_goto] = ACTIONS(2825),
    [anon_sym___try] = ACTIONS(2825),
    [anon_sym___leave] = ACTIONS(2825),
    [anon_sym_not] = ACTIONS(2825),
    [anon_sym_compl] = ACTIONS(2825),
    [anon_sym_DASH_DASH] = ACTIONS(2827),
    [anon_sym_PLUS_PLUS] = ACTIONS(2827),
    [anon_sym_sizeof] = ACTIONS(2825),
    [anon_sym___alignof__] = ACTIONS(2825),
    [anon_sym___alignof] = ACTIONS(2825),
    [anon_sym__alignof] = ACTIONS(2825),
    [anon_sym_alignof] = ACTIONS(2825),
    [anon_sym__Alignof] = ACTIONS(2825),
    [anon_sym_offsetof] = ACTIONS(2825),
    [anon_sym__Generic] = ACTIONS(2825),
    [anon_sym_asm] = ACTIONS(2825),
    [anon_sym___asm__] = ACTIONS(2825),
    [sym_number_literal] = ACTIONS(2827),
    [anon_sym_L_SQUOTE] = ACTIONS(2827),
    [anon_sym_u_SQUOTE] = ACTIONS(2827),
    [anon_sym_U_SQUOTE] = ACTIONS(2827),
    [anon_sym_u8_SQUOTE] = ACTIONS(2827),
    [anon_sym_SQUOTE] = ACTIONS(2827),
    [anon_sym_L_DQUOTE] = ACTIONS(2827),
    [anon_sym_u_DQUOTE] = ACTIONS(2827),
    [anon_sym_U_DQUOTE] = ACTIONS(2827),
    [anon_sym_u8_DQUOTE] = ACTIONS(2827),
    [anon_sym_DQUOTE] = ACTIONS(2827),
    [sym_true] = ACTIONS(2825),
    [sym_false] = ACTIONS(2825),
    [anon_sym_NULL] = ACTIONS(2825),
    [anon_sym_nullptr] = ACTIONS(2825),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2825),
    [anon_sym_decltype] = ACTIONS(2825),
    [anon_sym_virtual] = ACTIONS(2825),
    [anon_sym_alignas] = ACTIONS(2825),
    [anon_sym_explicit] = ACTIONS(2825),
    [anon_sym_typename] = ACTIONS(2825),
    [anon_sym_template] = ACTIONS(2825),
    [anon_sym_operator] = ACTIONS(2825),
    [anon_sym_try] = ACTIONS(2825),
    [anon_sym_delete] = ACTIONS(2825),
    [anon_sym_throw] = ACTIONS(2825),
    [anon_sym_namespace] = ACTIONS(2825),
    [anon_sym_using] = ACTIONS(2825),
    [anon_sym_static_assert] = ACTIONS(2825),
    [anon_sym_concept] = ACTIONS(2825),
    [anon_sym_co_return] = ACTIONS(2825),
    [anon_sym_co_yield] = ACTIONS(2825),
    [anon_sym_R_DQUOTE] = ACTIONS(2827),
    [anon_sym_LR_DQUOTE] = ACTIONS(2827),
    [anon_sym_uR_DQUOTE] = ACTIONS(2827),
    [anon_sym_UR_DQUOTE] = ACTIONS(2827),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2827),
    [anon_sym_co_await] = ACTIONS(2825),
    [anon_sym_new] = ACTIONS(2825),
    [anon_sym_requires] = ACTIONS(2825),
    [sym_this] = ACTIONS(2825),
    [anon_sym_discard] = ACTIONS(2825),
    [anon_sym_precise] = ACTIONS(2825),
    [anon_sym_shared] = ACTIONS(2825),
    [anon_sym_groupshared] = ACTIONS(2825),
    [anon_sym_uniform] = ACTIONS(2825),
    [anon_sym_row_major] = ACTIONS(2825),
    [anon_sym_column_major] = ACTIONS(2825),
    [anon_sym_globallycoherent] = ACTIONS(2825),
    [anon_sym_centroid] = ACTIONS(2825),
    [anon_sym_noperspective] = ACTIONS(2825),
    [anon_sym_nointerpolation] = ACTIONS(2825),
    [anon_sym_sample] = ACTIONS(2825),
    [anon_sym_linear] = ACTIONS(2825),
    [anon_sym_snorm] = ACTIONS(2825),
    [anon_sym_unorm] = ACTIONS(2825),
    [anon_sym_point] = ACTIONS(2825),
    [anon_sym_line] = ACTIONS(2825),
    [anon_sym_triangleadj] = ACTIONS(2825),
    [anon_sym_lineadj] = ACTIONS(2825),
    [anon_sym_triangle] = ACTIONS(2825),
    [anon_sym_cbuffer] = ACTIONS(2825),
  },
  [447] = {
    [sym_identifier] = ACTIONS(2829),
    [aux_sym_preproc_include_token1] = ACTIONS(2829),
    [aux_sym_preproc_def_token1] = ACTIONS(2829),
    [aux_sym_preproc_if_token1] = ACTIONS(2829),
    [aux_sym_preproc_if_token2] = ACTIONS(2829),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2829),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2829),
    [aux_sym_preproc_else_token1] = ACTIONS(2829),
    [aux_sym_preproc_elif_token1] = ACTIONS(2829),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2829),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2829),
    [sym_preproc_directive] = ACTIONS(2829),
    [anon_sym_LPAREN2] = ACTIONS(2831),
    [anon_sym_BANG] = ACTIONS(2831),
    [anon_sym_TILDE] = ACTIONS(2831),
    [anon_sym_DASH] = ACTIONS(2829),
    [anon_sym_PLUS] = ACTIONS(2829),
    [anon_sym_STAR] = ACTIONS(2831),
    [anon_sym_AMP_AMP] = ACTIONS(2831),
    [anon_sym_AMP] = ACTIONS(2829),
    [anon_sym_SEMI] = ACTIONS(2831),
    [anon_sym___extension__] = ACTIONS(2829),
    [anon_sym_typedef] = ACTIONS(2829),
    [anon_sym_in] = ACTIONS(2829),
    [anon_sym_out] = ACTIONS(2829),
    [anon_sym_inout] = ACTIONS(2829),
    [anon_sym_extern] = ACTIONS(2829),
    [anon_sym___attribute__] = ACTIONS(2829),
    [anon_sym_COLON_COLON] = ACTIONS(2831),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2831),
    [anon_sym___declspec] = ACTIONS(2829),
    [anon_sym___based] = ACTIONS(2829),
    [anon_sym___cdecl] = ACTIONS(2829),
    [anon_sym___clrcall] = ACTIONS(2829),
    [anon_sym___stdcall] = ACTIONS(2829),
    [anon_sym___fastcall] = ACTIONS(2829),
    [anon_sym___thiscall] = ACTIONS(2829),
    [anon_sym___vectorcall] = ACTIONS(2829),
    [anon_sym_LBRACE] = ACTIONS(2831),
    [anon_sym_signed] = ACTIONS(2829),
    [anon_sym_unsigned] = ACTIONS(2829),
    [anon_sym_long] = ACTIONS(2829),
    [anon_sym_short] = ACTIONS(2829),
    [anon_sym_LBRACK] = ACTIONS(2829),
    [anon_sym_static] = ACTIONS(2829),
    [anon_sym_register] = ACTIONS(2829),
    [anon_sym_inline] = ACTIONS(2829),
    [anon_sym___inline] = ACTIONS(2829),
    [anon_sym___inline__] = ACTIONS(2829),
    [anon_sym___forceinline] = ACTIONS(2829),
    [anon_sym_thread_local] = ACTIONS(2829),
    [anon_sym___thread] = ACTIONS(2829),
    [anon_sym_const] = ACTIONS(2829),
    [anon_sym_constexpr] = ACTIONS(2829),
    [anon_sym_volatile] = ACTIONS(2829),
    [anon_sym_restrict] = ACTIONS(2829),
    [anon_sym___restrict__] = ACTIONS(2829),
    [anon_sym__Atomic] = ACTIONS(2829),
    [anon_sym__Noreturn] = ACTIONS(2829),
    [anon_sym_noreturn] = ACTIONS(2829),
    [anon_sym_mutable] = ACTIONS(2829),
    [anon_sym_constinit] = ACTIONS(2829),
    [anon_sym_consteval] = ACTIONS(2829),
    [sym_primitive_type] = ACTIONS(2829),
    [anon_sym_enum] = ACTIONS(2829),
    [anon_sym_class] = ACTIONS(2829),
    [anon_sym_struct] = ACTIONS(2829),
    [anon_sym_union] = ACTIONS(2829),
    [anon_sym_if] = ACTIONS(2829),
    [anon_sym_switch] = ACTIONS(2829),
    [anon_sym_case] = ACTIONS(2829),
    [anon_sym_default] = ACTIONS(2829),
    [anon_sym_while] = ACTIONS(2829),
    [anon_sym_do] = ACTIONS(2829),
    [anon_sym_for] = ACTIONS(2829),
    [anon_sym_return] = ACTIONS(2829),
    [anon_sym_break] = ACTIONS(2829),
    [anon_sym_continue] = ACTIONS(2829),
    [anon_sym_goto] = ACTIONS(2829),
    [anon_sym___try] = ACTIONS(2829),
    [anon_sym___leave] = ACTIONS(2829),
    [anon_sym_not] = ACTIONS(2829),
    [anon_sym_compl] = ACTIONS(2829),
    [anon_sym_DASH_DASH] = ACTIONS(2831),
    [anon_sym_PLUS_PLUS] = ACTIONS(2831),
    [anon_sym_sizeof] = ACTIONS(2829),
    [anon_sym___alignof__] = ACTIONS(2829),
    [anon_sym___alignof] = ACTIONS(2829),
    [anon_sym__alignof] = ACTIONS(2829),
    [anon_sym_alignof] = ACTIONS(2829),
    [anon_sym__Alignof] = ACTIONS(2829),
    [anon_sym_offsetof] = ACTIONS(2829),
    [anon_sym__Generic] = ACTIONS(2829),
    [anon_sym_asm] = ACTIONS(2829),
    [anon_sym___asm__] = ACTIONS(2829),
    [sym_number_literal] = ACTIONS(2831),
    [anon_sym_L_SQUOTE] = ACTIONS(2831),
    [anon_sym_u_SQUOTE] = ACTIONS(2831),
    [anon_sym_U_SQUOTE] = ACTIONS(2831),
    [anon_sym_u8_SQUOTE] = ACTIONS(2831),
    [anon_sym_SQUOTE] = ACTIONS(2831),
    [anon_sym_L_DQUOTE] = ACTIONS(2831),
    [anon_sym_u_DQUOTE] = ACTIONS(2831),
    [anon_sym_U_DQUOTE] = ACTIONS(2831),
    [anon_sym_u8_DQUOTE] = ACTIONS(2831),
    [anon_sym_DQUOTE] = ACTIONS(2831),
    [sym_true] = ACTIONS(2829),
    [sym_false] = ACTIONS(2829),
    [anon_sym_NULL] = ACTIONS(2829),
    [anon_sym_nullptr] = ACTIONS(2829),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2829),
    [anon_sym_decltype] = ACTIONS(2829),
    [anon_sym_virtual] = ACTIONS(2829),
    [anon_sym_alignas] = ACTIONS(2829),
    [anon_sym_explicit] = ACTIONS(2829),
    [anon_sym_typename] = ACTIONS(2829),
    [anon_sym_template] = ACTIONS(2829),
    [anon_sym_operator] = ACTIONS(2829),
    [anon_sym_try] = ACTIONS(2829),
    [anon_sym_delete] = ACTIONS(2829),
    [anon_sym_throw] = ACTIONS(2829),
    [anon_sym_namespace] = ACTIONS(2829),
    [anon_sym_using] = ACTIONS(2829),
    [anon_sym_static_assert] = ACTIONS(2829),
    [anon_sym_concept] = ACTIONS(2829),
    [anon_sym_co_return] = ACTIONS(2829),
    [anon_sym_co_yield] = ACTIONS(2829),
    [anon_sym_R_DQUOTE] = ACTIONS(2831),
    [anon_sym_LR_DQUOTE] = ACTIONS(2831),
    [anon_sym_uR_DQUOTE] = ACTIONS(2831),
    [anon_sym_UR_DQUOTE] = ACTIONS(2831),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2831),
    [anon_sym_co_await] = ACTIONS(2829),
    [anon_sym_new] = ACTIONS(2829),
    [anon_sym_requires] = ACTIONS(2829),
    [sym_this] = ACTIONS(2829),
    [anon_sym_discard] = ACTIONS(2829),
    [anon_sym_precise] = ACTIONS(2829),
    [anon_sym_shared] = ACTIONS(2829),
    [anon_sym_groupshared] = ACTIONS(2829),
    [anon_sym_uniform] = ACTIONS(2829),
    [anon_sym_row_major] = ACTIONS(2829),
    [anon_sym_column_major] = ACTIONS(2829),
    [anon_sym_globallycoherent] = ACTIONS(2829),
    [anon_sym_centroid] = ACTIONS(2829),
    [anon_sym_noperspective] = ACTIONS(2829),
    [anon_sym_nointerpolation] = ACTIONS(2829),
    [anon_sym_sample] = ACTIONS(2829),
    [anon_sym_linear] = ACTIONS(2829),
    [anon_sym_snorm] = ACTIONS(2829),
    [anon_sym_unorm] = ACTIONS(2829),
    [anon_sym_point] = ACTIONS(2829),
    [anon_sym_line] = ACTIONS(2829),
    [anon_sym_triangleadj] = ACTIONS(2829),
    [anon_sym_lineadj] = ACTIONS(2829),
    [anon_sym_triangle] = ACTIONS(2829),
    [anon_sym_cbuffer] = ACTIONS(2829),
  },
  [448] = {
    [sym_identifier] = ACTIONS(2208),
    [aux_sym_preproc_include_token1] = ACTIONS(2208),
    [aux_sym_preproc_def_token1] = ACTIONS(2208),
    [aux_sym_preproc_if_token1] = ACTIONS(2208),
    [aux_sym_preproc_if_token2] = ACTIONS(2208),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2208),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2208),
    [sym_preproc_directive] = ACTIONS(2208),
    [anon_sym_LPAREN2] = ACTIONS(2210),
    [anon_sym_BANG] = ACTIONS(2210),
    [anon_sym_TILDE] = ACTIONS(2210),
    [anon_sym_DASH] = ACTIONS(2208),
    [anon_sym_PLUS] = ACTIONS(2208),
    [anon_sym_STAR] = ACTIONS(2210),
    [anon_sym_AMP_AMP] = ACTIONS(2210),
    [anon_sym_AMP] = ACTIONS(2208),
    [anon_sym_COLON] = ACTIONS(2208),
    [anon_sym_SEMI] = ACTIONS(2210),
    [anon_sym___extension__] = ACTIONS(2208),
    [anon_sym_typedef] = ACTIONS(2208),
    [anon_sym_in] = ACTIONS(2208),
    [anon_sym_out] = ACTIONS(2208),
    [anon_sym_inout] = ACTIONS(2208),
    [anon_sym_extern] = ACTIONS(2208),
    [anon_sym___attribute__] = ACTIONS(2208),
    [anon_sym_COLON_COLON] = ACTIONS(2210),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2210),
    [anon_sym___declspec] = ACTIONS(2208),
    [anon_sym___based] = ACTIONS(2208),
    [anon_sym___cdecl] = ACTIONS(2208),
    [anon_sym___clrcall] = ACTIONS(2208),
    [anon_sym___stdcall] = ACTIONS(2208),
    [anon_sym___fastcall] = ACTIONS(2208),
    [anon_sym___thiscall] = ACTIONS(2208),
    [anon_sym___vectorcall] = ACTIONS(2208),
    [anon_sym_LBRACE] = ACTIONS(2210),
    [anon_sym_signed] = ACTIONS(2208),
    [anon_sym_unsigned] = ACTIONS(2208),
    [anon_sym_long] = ACTIONS(2208),
    [anon_sym_short] = ACTIONS(2208),
    [anon_sym_LBRACK] = ACTIONS(2208),
    [anon_sym_static] = ACTIONS(2208),
    [anon_sym_register] = ACTIONS(2208),
    [anon_sym_inline] = ACTIONS(2208),
    [anon_sym___inline] = ACTIONS(2208),
    [anon_sym___inline__] = ACTIONS(2208),
    [anon_sym___forceinline] = ACTIONS(2208),
    [anon_sym_thread_local] = ACTIONS(2208),
    [anon_sym___thread] = ACTIONS(2208),
    [anon_sym_const] = ACTIONS(2208),
    [anon_sym_constexpr] = ACTIONS(2208),
    [anon_sym_volatile] = ACTIONS(2208),
    [anon_sym_restrict] = ACTIONS(2208),
    [anon_sym___restrict__] = ACTIONS(2208),
    [anon_sym__Atomic] = ACTIONS(2208),
    [anon_sym__Noreturn] = ACTIONS(2208),
    [anon_sym_noreturn] = ACTIONS(2208),
    [anon_sym_mutable] = ACTIONS(2208),
    [anon_sym_constinit] = ACTIONS(2208),
    [anon_sym_consteval] = ACTIONS(2208),
    [sym_primitive_type] = ACTIONS(2208),
    [anon_sym_enum] = ACTIONS(2208),
    [anon_sym_class] = ACTIONS(2208),
    [anon_sym_struct] = ACTIONS(2208),
    [anon_sym_union] = ACTIONS(2208),
    [anon_sym_if] = ACTIONS(2208),
    [anon_sym_else] = ACTIONS(2208),
    [anon_sym_switch] = ACTIONS(2208),
    [anon_sym_case] = ACTIONS(2208),
    [anon_sym_default] = ACTIONS(2208),
    [anon_sym_while] = ACTIONS(2208),
    [anon_sym_do] = ACTIONS(2208),
    [anon_sym_for] = ACTIONS(2208),
    [anon_sym_return] = ACTIONS(2208),
    [anon_sym_break] = ACTIONS(2208),
    [anon_sym_continue] = ACTIONS(2208),
    [anon_sym_goto] = ACTIONS(2208),
    [anon_sym___try] = ACTIONS(2208),
    [anon_sym___leave] = ACTIONS(2208),
    [anon_sym_not] = ACTIONS(2208),
    [anon_sym_compl] = ACTIONS(2208),
    [anon_sym_DASH_DASH] = ACTIONS(2210),
    [anon_sym_PLUS_PLUS] = ACTIONS(2210),
    [anon_sym_sizeof] = ACTIONS(2208),
    [anon_sym___alignof__] = ACTIONS(2208),
    [anon_sym___alignof] = ACTIONS(2208),
    [anon_sym__alignof] = ACTIONS(2208),
    [anon_sym_alignof] = ACTIONS(2208),
    [anon_sym__Alignof] = ACTIONS(2208),
    [anon_sym_offsetof] = ACTIONS(2208),
    [anon_sym__Generic] = ACTIONS(2208),
    [anon_sym_asm] = ACTIONS(2208),
    [anon_sym___asm__] = ACTIONS(2208),
    [sym_number_literal] = ACTIONS(2210),
    [anon_sym_L_SQUOTE] = ACTIONS(2210),
    [anon_sym_u_SQUOTE] = ACTIONS(2210),
    [anon_sym_U_SQUOTE] = ACTIONS(2210),
    [anon_sym_u8_SQUOTE] = ACTIONS(2210),
    [anon_sym_SQUOTE] = ACTIONS(2210),
    [anon_sym_L_DQUOTE] = ACTIONS(2210),
    [anon_sym_u_DQUOTE] = ACTIONS(2210),
    [anon_sym_U_DQUOTE] = ACTIONS(2210),
    [anon_sym_u8_DQUOTE] = ACTIONS(2210),
    [anon_sym_DQUOTE] = ACTIONS(2210),
    [sym_true] = ACTIONS(2208),
    [sym_false] = ACTIONS(2208),
    [anon_sym_NULL] = ACTIONS(2208),
    [anon_sym_nullptr] = ACTIONS(2208),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2208),
    [anon_sym_decltype] = ACTIONS(2208),
    [anon_sym_final] = ACTIONS(2208),
    [anon_sym_override] = ACTIONS(2208),
    [anon_sym_virtual] = ACTIONS(2208),
    [anon_sym_alignas] = ACTIONS(2208),
    [anon_sym_explicit] = ACTIONS(2208),
    [anon_sym_typename] = ACTIONS(2208),
    [anon_sym_template] = ACTIONS(2208),
    [anon_sym_operator] = ACTIONS(2208),
    [anon_sym_try] = ACTIONS(2208),
    [anon_sym_delete] = ACTIONS(2208),
    [anon_sym_throw] = ACTIONS(2208),
    [anon_sym_namespace] = ACTIONS(2208),
    [anon_sym_using] = ACTIONS(2208),
    [anon_sym_static_assert] = ACTIONS(2208),
    [anon_sym_concept] = ACTIONS(2208),
    [anon_sym_co_return] = ACTIONS(2208),
    [anon_sym_co_yield] = ACTIONS(2208),
    [anon_sym_R_DQUOTE] = ACTIONS(2210),
    [anon_sym_LR_DQUOTE] = ACTIONS(2210),
    [anon_sym_uR_DQUOTE] = ACTIONS(2210),
    [anon_sym_UR_DQUOTE] = ACTIONS(2210),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2210),
    [anon_sym_co_await] = ACTIONS(2208),
    [anon_sym_new] = ACTIONS(2208),
    [anon_sym_requires] = ACTIONS(2208),
    [sym_this] = ACTIONS(2208),
    [anon_sym_discard] = ACTIONS(2208),
    [anon_sym_precise] = ACTIONS(2208),
    [anon_sym_shared] = ACTIONS(2208),
    [anon_sym_groupshared] = ACTIONS(2208),
    [anon_sym_uniform] = ACTIONS(2208),
    [anon_sym_row_major] = ACTIONS(2208),
    [anon_sym_column_major] = ACTIONS(2208),
    [anon_sym_globallycoherent] = ACTIONS(2208),
    [anon_sym_centroid] = ACTIONS(2208),
    [anon_sym_noperspective] = ACTIONS(2208),
    [anon_sym_nointerpolation] = ACTIONS(2208),
    [anon_sym_sample] = ACTIONS(2208),
    [anon_sym_linear] = ACTIONS(2208),
    [anon_sym_snorm] = ACTIONS(2208),
    [anon_sym_unorm] = ACTIONS(2208),
    [anon_sym_point] = ACTIONS(2208),
    [anon_sym_line] = ACTIONS(2208),
    [anon_sym_triangleadj] = ACTIONS(2208),
    [anon_sym_lineadj] = ACTIONS(2208),
    [anon_sym_triangle] = ACTIONS(2208),
    [anon_sym_cbuffer] = ACTIONS(2208),
  },
  [449] = {
    [sym_identifier] = ACTIONS(2212),
    [aux_sym_preproc_include_token1] = ACTIONS(2212),
    [aux_sym_preproc_def_token1] = ACTIONS(2212),
    [aux_sym_preproc_if_token1] = ACTIONS(2212),
    [aux_sym_preproc_if_token2] = ACTIONS(2212),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2212),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2212),
    [sym_preproc_directive] = ACTIONS(2212),
    [anon_sym_LPAREN2] = ACTIONS(2214),
    [anon_sym_BANG] = ACTIONS(2214),
    [anon_sym_TILDE] = ACTIONS(2214),
    [anon_sym_DASH] = ACTIONS(2212),
    [anon_sym_PLUS] = ACTIONS(2212),
    [anon_sym_STAR] = ACTIONS(2214),
    [anon_sym_AMP_AMP] = ACTIONS(2214),
    [anon_sym_AMP] = ACTIONS(2212),
    [anon_sym_COLON] = ACTIONS(2212),
    [anon_sym_SEMI] = ACTIONS(2214),
    [anon_sym___extension__] = ACTIONS(2212),
    [anon_sym_typedef] = ACTIONS(2212),
    [anon_sym_in] = ACTIONS(2212),
    [anon_sym_out] = ACTIONS(2212),
    [anon_sym_inout] = ACTIONS(2212),
    [anon_sym_extern] = ACTIONS(2212),
    [anon_sym___attribute__] = ACTIONS(2212),
    [anon_sym_COLON_COLON] = ACTIONS(2214),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2214),
    [anon_sym___declspec] = ACTIONS(2212),
    [anon_sym___based] = ACTIONS(2212),
    [anon_sym___cdecl] = ACTIONS(2212),
    [anon_sym___clrcall] = ACTIONS(2212),
    [anon_sym___stdcall] = ACTIONS(2212),
    [anon_sym___fastcall] = ACTIONS(2212),
    [anon_sym___thiscall] = ACTIONS(2212),
    [anon_sym___vectorcall] = ACTIONS(2212),
    [anon_sym_LBRACE] = ACTIONS(2214),
    [anon_sym_signed] = ACTIONS(2212),
    [anon_sym_unsigned] = ACTIONS(2212),
    [anon_sym_long] = ACTIONS(2212),
    [anon_sym_short] = ACTIONS(2212),
    [anon_sym_LBRACK] = ACTIONS(2212),
    [anon_sym_static] = ACTIONS(2212),
    [anon_sym_register] = ACTIONS(2212),
    [anon_sym_inline] = ACTIONS(2212),
    [anon_sym___inline] = ACTIONS(2212),
    [anon_sym___inline__] = ACTIONS(2212),
    [anon_sym___forceinline] = ACTIONS(2212),
    [anon_sym_thread_local] = ACTIONS(2212),
    [anon_sym___thread] = ACTIONS(2212),
    [anon_sym_const] = ACTIONS(2212),
    [anon_sym_constexpr] = ACTIONS(2212),
    [anon_sym_volatile] = ACTIONS(2212),
    [anon_sym_restrict] = ACTIONS(2212),
    [anon_sym___restrict__] = ACTIONS(2212),
    [anon_sym__Atomic] = ACTIONS(2212),
    [anon_sym__Noreturn] = ACTIONS(2212),
    [anon_sym_noreturn] = ACTIONS(2212),
    [anon_sym_mutable] = ACTIONS(2212),
    [anon_sym_constinit] = ACTIONS(2212),
    [anon_sym_consteval] = ACTIONS(2212),
    [sym_primitive_type] = ACTIONS(2212),
    [anon_sym_enum] = ACTIONS(2212),
    [anon_sym_class] = ACTIONS(2212),
    [anon_sym_struct] = ACTIONS(2212),
    [anon_sym_union] = ACTIONS(2212),
    [anon_sym_if] = ACTIONS(2212),
    [anon_sym_else] = ACTIONS(2212),
    [anon_sym_switch] = ACTIONS(2212),
    [anon_sym_case] = ACTIONS(2212),
    [anon_sym_default] = ACTIONS(2212),
    [anon_sym_while] = ACTIONS(2212),
    [anon_sym_do] = ACTIONS(2212),
    [anon_sym_for] = ACTIONS(2212),
    [anon_sym_return] = ACTIONS(2212),
    [anon_sym_break] = ACTIONS(2212),
    [anon_sym_continue] = ACTIONS(2212),
    [anon_sym_goto] = ACTIONS(2212),
    [anon_sym___try] = ACTIONS(2212),
    [anon_sym___leave] = ACTIONS(2212),
    [anon_sym_not] = ACTIONS(2212),
    [anon_sym_compl] = ACTIONS(2212),
    [anon_sym_DASH_DASH] = ACTIONS(2214),
    [anon_sym_PLUS_PLUS] = ACTIONS(2214),
    [anon_sym_sizeof] = ACTIONS(2212),
    [anon_sym___alignof__] = ACTIONS(2212),
    [anon_sym___alignof] = ACTIONS(2212),
    [anon_sym__alignof] = ACTIONS(2212),
    [anon_sym_alignof] = ACTIONS(2212),
    [anon_sym__Alignof] = ACTIONS(2212),
    [anon_sym_offsetof] = ACTIONS(2212),
    [anon_sym__Generic] = ACTIONS(2212),
    [anon_sym_asm] = ACTIONS(2212),
    [anon_sym___asm__] = ACTIONS(2212),
    [sym_number_literal] = ACTIONS(2214),
    [anon_sym_L_SQUOTE] = ACTIONS(2214),
    [anon_sym_u_SQUOTE] = ACTIONS(2214),
    [anon_sym_U_SQUOTE] = ACTIONS(2214),
    [anon_sym_u8_SQUOTE] = ACTIONS(2214),
    [anon_sym_SQUOTE] = ACTIONS(2214),
    [anon_sym_L_DQUOTE] = ACTIONS(2214),
    [anon_sym_u_DQUOTE] = ACTIONS(2214),
    [anon_sym_U_DQUOTE] = ACTIONS(2214),
    [anon_sym_u8_DQUOTE] = ACTIONS(2214),
    [anon_sym_DQUOTE] = ACTIONS(2214),
    [sym_true] = ACTIONS(2212),
    [sym_false] = ACTIONS(2212),
    [anon_sym_NULL] = ACTIONS(2212),
    [anon_sym_nullptr] = ACTIONS(2212),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2212),
    [anon_sym_decltype] = ACTIONS(2212),
    [anon_sym_final] = ACTIONS(2212),
    [anon_sym_override] = ACTIONS(2212),
    [anon_sym_virtual] = ACTIONS(2212),
    [anon_sym_alignas] = ACTIONS(2212),
    [anon_sym_explicit] = ACTIONS(2212),
    [anon_sym_typename] = ACTIONS(2212),
    [anon_sym_template] = ACTIONS(2212),
    [anon_sym_operator] = ACTIONS(2212),
    [anon_sym_try] = ACTIONS(2212),
    [anon_sym_delete] = ACTIONS(2212),
    [anon_sym_throw] = ACTIONS(2212),
    [anon_sym_namespace] = ACTIONS(2212),
    [anon_sym_using] = ACTIONS(2212),
    [anon_sym_static_assert] = ACTIONS(2212),
    [anon_sym_concept] = ACTIONS(2212),
    [anon_sym_co_return] = ACTIONS(2212),
    [anon_sym_co_yield] = ACTIONS(2212),
    [anon_sym_R_DQUOTE] = ACTIONS(2214),
    [anon_sym_LR_DQUOTE] = ACTIONS(2214),
    [anon_sym_uR_DQUOTE] = ACTIONS(2214),
    [anon_sym_UR_DQUOTE] = ACTIONS(2214),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2214),
    [anon_sym_co_await] = ACTIONS(2212),
    [anon_sym_new] = ACTIONS(2212),
    [anon_sym_requires] = ACTIONS(2212),
    [sym_this] = ACTIONS(2212),
    [anon_sym_discard] = ACTIONS(2212),
    [anon_sym_precise] = ACTIONS(2212),
    [anon_sym_shared] = ACTIONS(2212),
    [anon_sym_groupshared] = ACTIONS(2212),
    [anon_sym_uniform] = ACTIONS(2212),
    [anon_sym_row_major] = ACTIONS(2212),
    [anon_sym_column_major] = ACTIONS(2212),
    [anon_sym_globallycoherent] = ACTIONS(2212),
    [anon_sym_centroid] = ACTIONS(2212),
    [anon_sym_noperspective] = ACTIONS(2212),
    [anon_sym_nointerpolation] = ACTIONS(2212),
    [anon_sym_sample] = ACTIONS(2212),
    [anon_sym_linear] = ACTIONS(2212),
    [anon_sym_snorm] = ACTIONS(2212),
    [anon_sym_unorm] = ACTIONS(2212),
    [anon_sym_point] = ACTIONS(2212),
    [anon_sym_line] = ACTIONS(2212),
    [anon_sym_triangleadj] = ACTIONS(2212),
    [anon_sym_lineadj] = ACTIONS(2212),
    [anon_sym_triangle] = ACTIONS(2212),
    [anon_sym_cbuffer] = ACTIONS(2212),
  },
  [450] = {
    [sym_identifier] = ACTIONS(2833),
    [aux_sym_preproc_include_token1] = ACTIONS(2833),
    [aux_sym_preproc_def_token1] = ACTIONS(2833),
    [aux_sym_preproc_if_token1] = ACTIONS(2833),
    [aux_sym_preproc_if_token2] = ACTIONS(2833),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2833),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2833),
    [aux_sym_preproc_else_token1] = ACTIONS(2833),
    [aux_sym_preproc_elif_token1] = ACTIONS(2833),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2833),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2833),
    [sym_preproc_directive] = ACTIONS(2833),
    [anon_sym_LPAREN2] = ACTIONS(2835),
    [anon_sym_BANG] = ACTIONS(2835),
    [anon_sym_TILDE] = ACTIONS(2835),
    [anon_sym_DASH] = ACTIONS(2833),
    [anon_sym_PLUS] = ACTIONS(2833),
    [anon_sym_STAR] = ACTIONS(2835),
    [anon_sym_AMP_AMP] = ACTIONS(2835),
    [anon_sym_AMP] = ACTIONS(2833),
    [anon_sym_SEMI] = ACTIONS(2835),
    [anon_sym___extension__] = ACTIONS(2833),
    [anon_sym_typedef] = ACTIONS(2833),
    [anon_sym_in] = ACTIONS(2833),
    [anon_sym_out] = ACTIONS(2833),
    [anon_sym_inout] = ACTIONS(2833),
    [anon_sym_extern] = ACTIONS(2833),
    [anon_sym___attribute__] = ACTIONS(2833),
    [anon_sym_COLON_COLON] = ACTIONS(2835),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2835),
    [anon_sym___declspec] = ACTIONS(2833),
    [anon_sym___based] = ACTIONS(2833),
    [anon_sym___cdecl] = ACTIONS(2833),
    [anon_sym___clrcall] = ACTIONS(2833),
    [anon_sym___stdcall] = ACTIONS(2833),
    [anon_sym___fastcall] = ACTIONS(2833),
    [anon_sym___thiscall] = ACTIONS(2833),
    [anon_sym___vectorcall] = ACTIONS(2833),
    [anon_sym_LBRACE] = ACTIONS(2835),
    [anon_sym_signed] = ACTIONS(2833),
    [anon_sym_unsigned] = ACTIONS(2833),
    [anon_sym_long] = ACTIONS(2833),
    [anon_sym_short] = ACTIONS(2833),
    [anon_sym_LBRACK] = ACTIONS(2833),
    [anon_sym_static] = ACTIONS(2833),
    [anon_sym_register] = ACTIONS(2833),
    [anon_sym_inline] = ACTIONS(2833),
    [anon_sym___inline] = ACTIONS(2833),
    [anon_sym___inline__] = ACTIONS(2833),
    [anon_sym___forceinline] = ACTIONS(2833),
    [anon_sym_thread_local] = ACTIONS(2833),
    [anon_sym___thread] = ACTIONS(2833),
    [anon_sym_const] = ACTIONS(2833),
    [anon_sym_constexpr] = ACTIONS(2833),
    [anon_sym_volatile] = ACTIONS(2833),
    [anon_sym_restrict] = ACTIONS(2833),
    [anon_sym___restrict__] = ACTIONS(2833),
    [anon_sym__Atomic] = ACTIONS(2833),
    [anon_sym__Noreturn] = ACTIONS(2833),
    [anon_sym_noreturn] = ACTIONS(2833),
    [anon_sym_mutable] = ACTIONS(2833),
    [anon_sym_constinit] = ACTIONS(2833),
    [anon_sym_consteval] = ACTIONS(2833),
    [sym_primitive_type] = ACTIONS(2833),
    [anon_sym_enum] = ACTIONS(2833),
    [anon_sym_class] = ACTIONS(2833),
    [anon_sym_struct] = ACTIONS(2833),
    [anon_sym_union] = ACTIONS(2833),
    [anon_sym_if] = ACTIONS(2833),
    [anon_sym_switch] = ACTIONS(2833),
    [anon_sym_case] = ACTIONS(2833),
    [anon_sym_default] = ACTIONS(2833),
    [anon_sym_while] = ACTIONS(2833),
    [anon_sym_do] = ACTIONS(2833),
    [anon_sym_for] = ACTIONS(2833),
    [anon_sym_return] = ACTIONS(2833),
    [anon_sym_break] = ACTIONS(2833),
    [anon_sym_continue] = ACTIONS(2833),
    [anon_sym_goto] = ACTIONS(2833),
    [anon_sym___try] = ACTIONS(2833),
    [anon_sym___leave] = ACTIONS(2833),
    [anon_sym_not] = ACTIONS(2833),
    [anon_sym_compl] = ACTIONS(2833),
    [anon_sym_DASH_DASH] = ACTIONS(2835),
    [anon_sym_PLUS_PLUS] = ACTIONS(2835),
    [anon_sym_sizeof] = ACTIONS(2833),
    [anon_sym___alignof__] = ACTIONS(2833),
    [anon_sym___alignof] = ACTIONS(2833),
    [anon_sym__alignof] = ACTIONS(2833),
    [anon_sym_alignof] = ACTIONS(2833),
    [anon_sym__Alignof] = ACTIONS(2833),
    [anon_sym_offsetof] = ACTIONS(2833),
    [anon_sym__Generic] = ACTIONS(2833),
    [anon_sym_asm] = ACTIONS(2833),
    [anon_sym___asm__] = ACTIONS(2833),
    [sym_number_literal] = ACTIONS(2835),
    [anon_sym_L_SQUOTE] = ACTIONS(2835),
    [anon_sym_u_SQUOTE] = ACTIONS(2835),
    [anon_sym_U_SQUOTE] = ACTIONS(2835),
    [anon_sym_u8_SQUOTE] = ACTIONS(2835),
    [anon_sym_SQUOTE] = ACTIONS(2835),
    [anon_sym_L_DQUOTE] = ACTIONS(2835),
    [anon_sym_u_DQUOTE] = ACTIONS(2835),
    [anon_sym_U_DQUOTE] = ACTIONS(2835),
    [anon_sym_u8_DQUOTE] = ACTIONS(2835),
    [anon_sym_DQUOTE] = ACTIONS(2835),
    [sym_true] = ACTIONS(2833),
    [sym_false] = ACTIONS(2833),
    [anon_sym_NULL] = ACTIONS(2833),
    [anon_sym_nullptr] = ACTIONS(2833),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2833),
    [anon_sym_decltype] = ACTIONS(2833),
    [anon_sym_virtual] = ACTIONS(2833),
    [anon_sym_alignas] = ACTIONS(2833),
    [anon_sym_explicit] = ACTIONS(2833),
    [anon_sym_typename] = ACTIONS(2833),
    [anon_sym_template] = ACTIONS(2833),
    [anon_sym_operator] = ACTIONS(2833),
    [anon_sym_try] = ACTIONS(2833),
    [anon_sym_delete] = ACTIONS(2833),
    [anon_sym_throw] = ACTIONS(2833),
    [anon_sym_namespace] = ACTIONS(2833),
    [anon_sym_using] = ACTIONS(2833),
    [anon_sym_static_assert] = ACTIONS(2833),
    [anon_sym_concept] = ACTIONS(2833),
    [anon_sym_co_return] = ACTIONS(2833),
    [anon_sym_co_yield] = ACTIONS(2833),
    [anon_sym_R_DQUOTE] = ACTIONS(2835),
    [anon_sym_LR_DQUOTE] = ACTIONS(2835),
    [anon_sym_uR_DQUOTE] = ACTIONS(2835),
    [anon_sym_UR_DQUOTE] = ACTIONS(2835),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2835),
    [anon_sym_co_await] = ACTIONS(2833),
    [anon_sym_new] = ACTIONS(2833),
    [anon_sym_requires] = ACTIONS(2833),
    [sym_this] = ACTIONS(2833),
    [anon_sym_discard] = ACTIONS(2833),
    [anon_sym_precise] = ACTIONS(2833),
    [anon_sym_shared] = ACTIONS(2833),
    [anon_sym_groupshared] = ACTIONS(2833),
    [anon_sym_uniform] = ACTIONS(2833),
    [anon_sym_row_major] = ACTIONS(2833),
    [anon_sym_column_major] = ACTIONS(2833),
    [anon_sym_globallycoherent] = ACTIONS(2833),
    [anon_sym_centroid] = ACTIONS(2833),
    [anon_sym_noperspective] = ACTIONS(2833),
    [anon_sym_nointerpolation] = ACTIONS(2833),
    [anon_sym_sample] = ACTIONS(2833),
    [anon_sym_linear] = ACTIONS(2833),
    [anon_sym_snorm] = ACTIONS(2833),
    [anon_sym_unorm] = ACTIONS(2833),
    [anon_sym_point] = ACTIONS(2833),
    [anon_sym_line] = ACTIONS(2833),
    [anon_sym_triangleadj] = ACTIONS(2833),
    [anon_sym_lineadj] = ACTIONS(2833),
    [anon_sym_triangle] = ACTIONS(2833),
    [anon_sym_cbuffer] = ACTIONS(2833),
  },
  [451] = {
    [sym_identifier] = ACTIONS(2216),
    [aux_sym_preproc_include_token1] = ACTIONS(2216),
    [aux_sym_preproc_def_token1] = ACTIONS(2216),
    [aux_sym_preproc_if_token1] = ACTIONS(2216),
    [aux_sym_preproc_if_token2] = ACTIONS(2216),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2216),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2216),
    [sym_preproc_directive] = ACTIONS(2216),
    [anon_sym_LPAREN2] = ACTIONS(2218),
    [anon_sym_BANG] = ACTIONS(2218),
    [anon_sym_TILDE] = ACTIONS(2218),
    [anon_sym_DASH] = ACTIONS(2216),
    [anon_sym_PLUS] = ACTIONS(2216),
    [anon_sym_STAR] = ACTIONS(2218),
    [anon_sym_AMP_AMP] = ACTIONS(2218),
    [anon_sym_AMP] = ACTIONS(2216),
    [anon_sym_COLON] = ACTIONS(2216),
    [anon_sym_SEMI] = ACTIONS(2218),
    [anon_sym___extension__] = ACTIONS(2216),
    [anon_sym_typedef] = ACTIONS(2216),
    [anon_sym_in] = ACTIONS(2216),
    [anon_sym_out] = ACTIONS(2216),
    [anon_sym_inout] = ACTIONS(2216),
    [anon_sym_extern] = ACTIONS(2216),
    [anon_sym___attribute__] = ACTIONS(2216),
    [anon_sym_COLON_COLON] = ACTIONS(2218),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2218),
    [anon_sym___declspec] = ACTIONS(2216),
    [anon_sym___based] = ACTIONS(2216),
    [anon_sym___cdecl] = ACTIONS(2216),
    [anon_sym___clrcall] = ACTIONS(2216),
    [anon_sym___stdcall] = ACTIONS(2216),
    [anon_sym___fastcall] = ACTIONS(2216),
    [anon_sym___thiscall] = ACTIONS(2216),
    [anon_sym___vectorcall] = ACTIONS(2216),
    [anon_sym_LBRACE] = ACTIONS(2218),
    [anon_sym_signed] = ACTIONS(2216),
    [anon_sym_unsigned] = ACTIONS(2216),
    [anon_sym_long] = ACTIONS(2216),
    [anon_sym_short] = ACTIONS(2216),
    [anon_sym_LBRACK] = ACTIONS(2216),
    [anon_sym_static] = ACTIONS(2216),
    [anon_sym_register] = ACTIONS(2216),
    [anon_sym_inline] = ACTIONS(2216),
    [anon_sym___inline] = ACTIONS(2216),
    [anon_sym___inline__] = ACTIONS(2216),
    [anon_sym___forceinline] = ACTIONS(2216),
    [anon_sym_thread_local] = ACTIONS(2216),
    [anon_sym___thread] = ACTIONS(2216),
    [anon_sym_const] = ACTIONS(2216),
    [anon_sym_constexpr] = ACTIONS(2216),
    [anon_sym_volatile] = ACTIONS(2216),
    [anon_sym_restrict] = ACTIONS(2216),
    [anon_sym___restrict__] = ACTIONS(2216),
    [anon_sym__Atomic] = ACTIONS(2216),
    [anon_sym__Noreturn] = ACTIONS(2216),
    [anon_sym_noreturn] = ACTIONS(2216),
    [anon_sym_mutable] = ACTIONS(2216),
    [anon_sym_constinit] = ACTIONS(2216),
    [anon_sym_consteval] = ACTIONS(2216),
    [sym_primitive_type] = ACTIONS(2216),
    [anon_sym_enum] = ACTIONS(2216),
    [anon_sym_class] = ACTIONS(2216),
    [anon_sym_struct] = ACTIONS(2216),
    [anon_sym_union] = ACTIONS(2216),
    [anon_sym_if] = ACTIONS(2216),
    [anon_sym_else] = ACTIONS(2216),
    [anon_sym_switch] = ACTIONS(2216),
    [anon_sym_case] = ACTIONS(2216),
    [anon_sym_default] = ACTIONS(2216),
    [anon_sym_while] = ACTIONS(2216),
    [anon_sym_do] = ACTIONS(2216),
    [anon_sym_for] = ACTIONS(2216),
    [anon_sym_return] = ACTIONS(2216),
    [anon_sym_break] = ACTIONS(2216),
    [anon_sym_continue] = ACTIONS(2216),
    [anon_sym_goto] = ACTIONS(2216),
    [anon_sym___try] = ACTIONS(2216),
    [anon_sym___leave] = ACTIONS(2216),
    [anon_sym_not] = ACTIONS(2216),
    [anon_sym_compl] = ACTIONS(2216),
    [anon_sym_DASH_DASH] = ACTIONS(2218),
    [anon_sym_PLUS_PLUS] = ACTIONS(2218),
    [anon_sym_sizeof] = ACTIONS(2216),
    [anon_sym___alignof__] = ACTIONS(2216),
    [anon_sym___alignof] = ACTIONS(2216),
    [anon_sym__alignof] = ACTIONS(2216),
    [anon_sym_alignof] = ACTIONS(2216),
    [anon_sym__Alignof] = ACTIONS(2216),
    [anon_sym_offsetof] = ACTIONS(2216),
    [anon_sym__Generic] = ACTIONS(2216),
    [anon_sym_asm] = ACTIONS(2216),
    [anon_sym___asm__] = ACTIONS(2216),
    [sym_number_literal] = ACTIONS(2218),
    [anon_sym_L_SQUOTE] = ACTIONS(2218),
    [anon_sym_u_SQUOTE] = ACTIONS(2218),
    [anon_sym_U_SQUOTE] = ACTIONS(2218),
    [anon_sym_u8_SQUOTE] = ACTIONS(2218),
    [anon_sym_SQUOTE] = ACTIONS(2218),
    [anon_sym_L_DQUOTE] = ACTIONS(2218),
    [anon_sym_u_DQUOTE] = ACTIONS(2218),
    [anon_sym_U_DQUOTE] = ACTIONS(2218),
    [anon_sym_u8_DQUOTE] = ACTIONS(2218),
    [anon_sym_DQUOTE] = ACTIONS(2218),
    [sym_true] = ACTIONS(2216),
    [sym_false] = ACTIONS(2216),
    [anon_sym_NULL] = ACTIONS(2216),
    [anon_sym_nullptr] = ACTIONS(2216),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2216),
    [anon_sym_decltype] = ACTIONS(2216),
    [anon_sym_final] = ACTIONS(2216),
    [anon_sym_override] = ACTIONS(2216),
    [anon_sym_virtual] = ACTIONS(2216),
    [anon_sym_alignas] = ACTIONS(2216),
    [anon_sym_explicit] = ACTIONS(2216),
    [anon_sym_typename] = ACTIONS(2216),
    [anon_sym_template] = ACTIONS(2216),
    [anon_sym_operator] = ACTIONS(2216),
    [anon_sym_try] = ACTIONS(2216),
    [anon_sym_delete] = ACTIONS(2216),
    [anon_sym_throw] = ACTIONS(2216),
    [anon_sym_namespace] = ACTIONS(2216),
    [anon_sym_using] = ACTIONS(2216),
    [anon_sym_static_assert] = ACTIONS(2216),
    [anon_sym_concept] = ACTIONS(2216),
    [anon_sym_co_return] = ACTIONS(2216),
    [anon_sym_co_yield] = ACTIONS(2216),
    [anon_sym_R_DQUOTE] = ACTIONS(2218),
    [anon_sym_LR_DQUOTE] = ACTIONS(2218),
    [anon_sym_uR_DQUOTE] = ACTIONS(2218),
    [anon_sym_UR_DQUOTE] = ACTIONS(2218),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2218),
    [anon_sym_co_await] = ACTIONS(2216),
    [anon_sym_new] = ACTIONS(2216),
    [anon_sym_requires] = ACTIONS(2216),
    [sym_this] = ACTIONS(2216),
    [anon_sym_discard] = ACTIONS(2216),
    [anon_sym_precise] = ACTIONS(2216),
    [anon_sym_shared] = ACTIONS(2216),
    [anon_sym_groupshared] = ACTIONS(2216),
    [anon_sym_uniform] = ACTIONS(2216),
    [anon_sym_row_major] = ACTIONS(2216),
    [anon_sym_column_major] = ACTIONS(2216),
    [anon_sym_globallycoherent] = ACTIONS(2216),
    [anon_sym_centroid] = ACTIONS(2216),
    [anon_sym_noperspective] = ACTIONS(2216),
    [anon_sym_nointerpolation] = ACTIONS(2216),
    [anon_sym_sample] = ACTIONS(2216),
    [anon_sym_linear] = ACTIONS(2216),
    [anon_sym_snorm] = ACTIONS(2216),
    [anon_sym_unorm] = ACTIONS(2216),
    [anon_sym_point] = ACTIONS(2216),
    [anon_sym_line] = ACTIONS(2216),
    [anon_sym_triangleadj] = ACTIONS(2216),
    [anon_sym_lineadj] = ACTIONS(2216),
    [anon_sym_triangle] = ACTIONS(2216),
    [anon_sym_cbuffer] = ACTIONS(2216),
  },
  [452] = {
    [sym_identifier] = ACTIONS(2182),
    [aux_sym_preproc_include_token1] = ACTIONS(2182),
    [aux_sym_preproc_def_token1] = ACTIONS(2182),
    [aux_sym_preproc_if_token1] = ACTIONS(2182),
    [aux_sym_preproc_if_token2] = ACTIONS(2182),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2182),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2182),
    [sym_preproc_directive] = ACTIONS(2182),
    [anon_sym_LPAREN2] = ACTIONS(2184),
    [anon_sym_BANG] = ACTIONS(2184),
    [anon_sym_TILDE] = ACTIONS(2184),
    [anon_sym_DASH] = ACTIONS(2182),
    [anon_sym_PLUS] = ACTIONS(2182),
    [anon_sym_STAR] = ACTIONS(2184),
    [anon_sym_AMP_AMP] = ACTIONS(2184),
    [anon_sym_AMP] = ACTIONS(2182),
    [anon_sym_COLON] = ACTIONS(2182),
    [anon_sym_SEMI] = ACTIONS(2184),
    [anon_sym___extension__] = ACTIONS(2182),
    [anon_sym_typedef] = ACTIONS(2182),
    [anon_sym_in] = ACTIONS(2182),
    [anon_sym_out] = ACTIONS(2182),
    [anon_sym_inout] = ACTIONS(2182),
    [anon_sym_extern] = ACTIONS(2182),
    [anon_sym___attribute__] = ACTIONS(2182),
    [anon_sym_COLON_COLON] = ACTIONS(2184),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2184),
    [anon_sym___declspec] = ACTIONS(2182),
    [anon_sym___based] = ACTIONS(2182),
    [anon_sym___cdecl] = ACTIONS(2182),
    [anon_sym___clrcall] = ACTIONS(2182),
    [anon_sym___stdcall] = ACTIONS(2182),
    [anon_sym___fastcall] = ACTIONS(2182),
    [anon_sym___thiscall] = ACTIONS(2182),
    [anon_sym___vectorcall] = ACTIONS(2182),
    [anon_sym_LBRACE] = ACTIONS(2184),
    [anon_sym_signed] = ACTIONS(2182),
    [anon_sym_unsigned] = ACTIONS(2182),
    [anon_sym_long] = ACTIONS(2182),
    [anon_sym_short] = ACTIONS(2182),
    [anon_sym_LBRACK] = ACTIONS(2182),
    [anon_sym_static] = ACTIONS(2182),
    [anon_sym_register] = ACTIONS(2182),
    [anon_sym_inline] = ACTIONS(2182),
    [anon_sym___inline] = ACTIONS(2182),
    [anon_sym___inline__] = ACTIONS(2182),
    [anon_sym___forceinline] = ACTIONS(2182),
    [anon_sym_thread_local] = ACTIONS(2182),
    [anon_sym___thread] = ACTIONS(2182),
    [anon_sym_const] = ACTIONS(2182),
    [anon_sym_constexpr] = ACTIONS(2182),
    [anon_sym_volatile] = ACTIONS(2182),
    [anon_sym_restrict] = ACTIONS(2182),
    [anon_sym___restrict__] = ACTIONS(2182),
    [anon_sym__Atomic] = ACTIONS(2182),
    [anon_sym__Noreturn] = ACTIONS(2182),
    [anon_sym_noreturn] = ACTIONS(2182),
    [anon_sym_mutable] = ACTIONS(2182),
    [anon_sym_constinit] = ACTIONS(2182),
    [anon_sym_consteval] = ACTIONS(2182),
    [sym_primitive_type] = ACTIONS(2182),
    [anon_sym_enum] = ACTIONS(2182),
    [anon_sym_class] = ACTIONS(2182),
    [anon_sym_struct] = ACTIONS(2182),
    [anon_sym_union] = ACTIONS(2182),
    [anon_sym_if] = ACTIONS(2182),
    [anon_sym_else] = ACTIONS(2182),
    [anon_sym_switch] = ACTIONS(2182),
    [anon_sym_case] = ACTIONS(2182),
    [anon_sym_default] = ACTIONS(2182),
    [anon_sym_while] = ACTIONS(2182),
    [anon_sym_do] = ACTIONS(2182),
    [anon_sym_for] = ACTIONS(2182),
    [anon_sym_return] = ACTIONS(2182),
    [anon_sym_break] = ACTIONS(2182),
    [anon_sym_continue] = ACTIONS(2182),
    [anon_sym_goto] = ACTIONS(2182),
    [anon_sym___try] = ACTIONS(2182),
    [anon_sym___leave] = ACTIONS(2182),
    [anon_sym_not] = ACTIONS(2182),
    [anon_sym_compl] = ACTIONS(2182),
    [anon_sym_DASH_DASH] = ACTIONS(2184),
    [anon_sym_PLUS_PLUS] = ACTIONS(2184),
    [anon_sym_sizeof] = ACTIONS(2182),
    [anon_sym___alignof__] = ACTIONS(2182),
    [anon_sym___alignof] = ACTIONS(2182),
    [anon_sym__alignof] = ACTIONS(2182),
    [anon_sym_alignof] = ACTIONS(2182),
    [anon_sym__Alignof] = ACTIONS(2182),
    [anon_sym_offsetof] = ACTIONS(2182),
    [anon_sym__Generic] = ACTIONS(2182),
    [anon_sym_asm] = ACTIONS(2182),
    [anon_sym___asm__] = ACTIONS(2182),
    [sym_number_literal] = ACTIONS(2184),
    [anon_sym_L_SQUOTE] = ACTIONS(2184),
    [anon_sym_u_SQUOTE] = ACTIONS(2184),
    [anon_sym_U_SQUOTE] = ACTIONS(2184),
    [anon_sym_u8_SQUOTE] = ACTIONS(2184),
    [anon_sym_SQUOTE] = ACTIONS(2184),
    [anon_sym_L_DQUOTE] = ACTIONS(2184),
    [anon_sym_u_DQUOTE] = ACTIONS(2184),
    [anon_sym_U_DQUOTE] = ACTIONS(2184),
    [anon_sym_u8_DQUOTE] = ACTIONS(2184),
    [anon_sym_DQUOTE] = ACTIONS(2184),
    [sym_true] = ACTIONS(2182),
    [sym_false] = ACTIONS(2182),
    [anon_sym_NULL] = ACTIONS(2182),
    [anon_sym_nullptr] = ACTIONS(2182),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2182),
    [anon_sym_decltype] = ACTIONS(2182),
    [anon_sym_final] = ACTIONS(2182),
    [anon_sym_override] = ACTIONS(2182),
    [anon_sym_virtual] = ACTIONS(2182),
    [anon_sym_alignas] = ACTIONS(2182),
    [anon_sym_explicit] = ACTIONS(2182),
    [anon_sym_typename] = ACTIONS(2182),
    [anon_sym_template] = ACTIONS(2182),
    [anon_sym_operator] = ACTIONS(2182),
    [anon_sym_try] = ACTIONS(2182),
    [anon_sym_delete] = ACTIONS(2182),
    [anon_sym_throw] = ACTIONS(2182),
    [anon_sym_namespace] = ACTIONS(2182),
    [anon_sym_using] = ACTIONS(2182),
    [anon_sym_static_assert] = ACTIONS(2182),
    [anon_sym_concept] = ACTIONS(2182),
    [anon_sym_co_return] = ACTIONS(2182),
    [anon_sym_co_yield] = ACTIONS(2182),
    [anon_sym_R_DQUOTE] = ACTIONS(2184),
    [anon_sym_LR_DQUOTE] = ACTIONS(2184),
    [anon_sym_uR_DQUOTE] = ACTIONS(2184),
    [anon_sym_UR_DQUOTE] = ACTIONS(2184),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2184),
    [anon_sym_co_await] = ACTIONS(2182),
    [anon_sym_new] = ACTIONS(2182),
    [anon_sym_requires] = ACTIONS(2182),
    [sym_this] = ACTIONS(2182),
    [anon_sym_discard] = ACTIONS(2182),
    [anon_sym_precise] = ACTIONS(2182),
    [anon_sym_shared] = ACTIONS(2182),
    [anon_sym_groupshared] = ACTIONS(2182),
    [anon_sym_uniform] = ACTIONS(2182),
    [anon_sym_row_major] = ACTIONS(2182),
    [anon_sym_column_major] = ACTIONS(2182),
    [anon_sym_globallycoherent] = ACTIONS(2182),
    [anon_sym_centroid] = ACTIONS(2182),
    [anon_sym_noperspective] = ACTIONS(2182),
    [anon_sym_nointerpolation] = ACTIONS(2182),
    [anon_sym_sample] = ACTIONS(2182),
    [anon_sym_linear] = ACTIONS(2182),
    [anon_sym_snorm] = ACTIONS(2182),
    [anon_sym_unorm] = ACTIONS(2182),
    [anon_sym_point] = ACTIONS(2182),
    [anon_sym_line] = ACTIONS(2182),
    [anon_sym_triangleadj] = ACTIONS(2182),
    [anon_sym_lineadj] = ACTIONS(2182),
    [anon_sym_triangle] = ACTIONS(2182),
    [anon_sym_cbuffer] = ACTIONS(2182),
  },
  [453] = {
    [sym_identifier] = ACTIONS(2186),
    [aux_sym_preproc_include_token1] = ACTIONS(2186),
    [aux_sym_preproc_def_token1] = ACTIONS(2186),
    [aux_sym_preproc_if_token1] = ACTIONS(2186),
    [aux_sym_preproc_if_token2] = ACTIONS(2186),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2186),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2186),
    [sym_preproc_directive] = ACTIONS(2186),
    [anon_sym_LPAREN2] = ACTIONS(2188),
    [anon_sym_BANG] = ACTIONS(2188),
    [anon_sym_TILDE] = ACTIONS(2188),
    [anon_sym_DASH] = ACTIONS(2186),
    [anon_sym_PLUS] = ACTIONS(2186),
    [anon_sym_STAR] = ACTIONS(2188),
    [anon_sym_AMP_AMP] = ACTIONS(2188),
    [anon_sym_AMP] = ACTIONS(2186),
    [anon_sym_COLON] = ACTIONS(2186),
    [anon_sym_SEMI] = ACTIONS(2188),
    [anon_sym___extension__] = ACTIONS(2186),
    [anon_sym_typedef] = ACTIONS(2186),
    [anon_sym_in] = ACTIONS(2186),
    [anon_sym_out] = ACTIONS(2186),
    [anon_sym_inout] = ACTIONS(2186),
    [anon_sym_extern] = ACTIONS(2186),
    [anon_sym___attribute__] = ACTIONS(2186),
    [anon_sym_COLON_COLON] = ACTIONS(2188),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2188),
    [anon_sym___declspec] = ACTIONS(2186),
    [anon_sym___based] = ACTIONS(2186),
    [anon_sym___cdecl] = ACTIONS(2186),
    [anon_sym___clrcall] = ACTIONS(2186),
    [anon_sym___stdcall] = ACTIONS(2186),
    [anon_sym___fastcall] = ACTIONS(2186),
    [anon_sym___thiscall] = ACTIONS(2186),
    [anon_sym___vectorcall] = ACTIONS(2186),
    [anon_sym_LBRACE] = ACTIONS(2188),
    [anon_sym_signed] = ACTIONS(2186),
    [anon_sym_unsigned] = ACTIONS(2186),
    [anon_sym_long] = ACTIONS(2186),
    [anon_sym_short] = ACTIONS(2186),
    [anon_sym_LBRACK] = ACTIONS(2186),
    [anon_sym_static] = ACTIONS(2186),
    [anon_sym_register] = ACTIONS(2186),
    [anon_sym_inline] = ACTIONS(2186),
    [anon_sym___inline] = ACTIONS(2186),
    [anon_sym___inline__] = ACTIONS(2186),
    [anon_sym___forceinline] = ACTIONS(2186),
    [anon_sym_thread_local] = ACTIONS(2186),
    [anon_sym___thread] = ACTIONS(2186),
    [anon_sym_const] = ACTIONS(2186),
    [anon_sym_constexpr] = ACTIONS(2186),
    [anon_sym_volatile] = ACTIONS(2186),
    [anon_sym_restrict] = ACTIONS(2186),
    [anon_sym___restrict__] = ACTIONS(2186),
    [anon_sym__Atomic] = ACTIONS(2186),
    [anon_sym__Noreturn] = ACTIONS(2186),
    [anon_sym_noreturn] = ACTIONS(2186),
    [anon_sym_mutable] = ACTIONS(2186),
    [anon_sym_constinit] = ACTIONS(2186),
    [anon_sym_consteval] = ACTIONS(2186),
    [sym_primitive_type] = ACTIONS(2186),
    [anon_sym_enum] = ACTIONS(2186),
    [anon_sym_class] = ACTIONS(2186),
    [anon_sym_struct] = ACTIONS(2186),
    [anon_sym_union] = ACTIONS(2186),
    [anon_sym_if] = ACTIONS(2186),
    [anon_sym_else] = ACTIONS(2186),
    [anon_sym_switch] = ACTIONS(2186),
    [anon_sym_case] = ACTIONS(2186),
    [anon_sym_default] = ACTIONS(2186),
    [anon_sym_while] = ACTIONS(2186),
    [anon_sym_do] = ACTIONS(2186),
    [anon_sym_for] = ACTIONS(2186),
    [anon_sym_return] = ACTIONS(2186),
    [anon_sym_break] = ACTIONS(2186),
    [anon_sym_continue] = ACTIONS(2186),
    [anon_sym_goto] = ACTIONS(2186),
    [anon_sym___try] = ACTIONS(2186),
    [anon_sym___leave] = ACTIONS(2186),
    [anon_sym_not] = ACTIONS(2186),
    [anon_sym_compl] = ACTIONS(2186),
    [anon_sym_DASH_DASH] = ACTIONS(2188),
    [anon_sym_PLUS_PLUS] = ACTIONS(2188),
    [anon_sym_sizeof] = ACTIONS(2186),
    [anon_sym___alignof__] = ACTIONS(2186),
    [anon_sym___alignof] = ACTIONS(2186),
    [anon_sym__alignof] = ACTIONS(2186),
    [anon_sym_alignof] = ACTIONS(2186),
    [anon_sym__Alignof] = ACTIONS(2186),
    [anon_sym_offsetof] = ACTIONS(2186),
    [anon_sym__Generic] = ACTIONS(2186),
    [anon_sym_asm] = ACTIONS(2186),
    [anon_sym___asm__] = ACTIONS(2186),
    [sym_number_literal] = ACTIONS(2188),
    [anon_sym_L_SQUOTE] = ACTIONS(2188),
    [anon_sym_u_SQUOTE] = ACTIONS(2188),
    [anon_sym_U_SQUOTE] = ACTIONS(2188),
    [anon_sym_u8_SQUOTE] = ACTIONS(2188),
    [anon_sym_SQUOTE] = ACTIONS(2188),
    [anon_sym_L_DQUOTE] = ACTIONS(2188),
    [anon_sym_u_DQUOTE] = ACTIONS(2188),
    [anon_sym_U_DQUOTE] = ACTIONS(2188),
    [anon_sym_u8_DQUOTE] = ACTIONS(2188),
    [anon_sym_DQUOTE] = ACTIONS(2188),
    [sym_true] = ACTIONS(2186),
    [sym_false] = ACTIONS(2186),
    [anon_sym_NULL] = ACTIONS(2186),
    [anon_sym_nullptr] = ACTIONS(2186),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2186),
    [anon_sym_decltype] = ACTIONS(2186),
    [anon_sym_final] = ACTIONS(2186),
    [anon_sym_override] = ACTIONS(2186),
    [anon_sym_virtual] = ACTIONS(2186),
    [anon_sym_alignas] = ACTIONS(2186),
    [anon_sym_explicit] = ACTIONS(2186),
    [anon_sym_typename] = ACTIONS(2186),
    [anon_sym_template] = ACTIONS(2186),
    [anon_sym_operator] = ACTIONS(2186),
    [anon_sym_try] = ACTIONS(2186),
    [anon_sym_delete] = ACTIONS(2186),
    [anon_sym_throw] = ACTIONS(2186),
    [anon_sym_namespace] = ACTIONS(2186),
    [anon_sym_using] = ACTIONS(2186),
    [anon_sym_static_assert] = ACTIONS(2186),
    [anon_sym_concept] = ACTIONS(2186),
    [anon_sym_co_return] = ACTIONS(2186),
    [anon_sym_co_yield] = ACTIONS(2186),
    [anon_sym_R_DQUOTE] = ACTIONS(2188),
    [anon_sym_LR_DQUOTE] = ACTIONS(2188),
    [anon_sym_uR_DQUOTE] = ACTIONS(2188),
    [anon_sym_UR_DQUOTE] = ACTIONS(2188),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2188),
    [anon_sym_co_await] = ACTIONS(2186),
    [anon_sym_new] = ACTIONS(2186),
    [anon_sym_requires] = ACTIONS(2186),
    [sym_this] = ACTIONS(2186),
    [anon_sym_discard] = ACTIONS(2186),
    [anon_sym_precise] = ACTIONS(2186),
    [anon_sym_shared] = ACTIONS(2186),
    [anon_sym_groupshared] = ACTIONS(2186),
    [anon_sym_uniform] = ACTIONS(2186),
    [anon_sym_row_major] = ACTIONS(2186),
    [anon_sym_column_major] = ACTIONS(2186),
    [anon_sym_globallycoherent] = ACTIONS(2186),
    [anon_sym_centroid] = ACTIONS(2186),
    [anon_sym_noperspective] = ACTIONS(2186),
    [anon_sym_nointerpolation] = ACTIONS(2186),
    [anon_sym_sample] = ACTIONS(2186),
    [anon_sym_linear] = ACTIONS(2186),
    [anon_sym_snorm] = ACTIONS(2186),
    [anon_sym_unorm] = ACTIONS(2186),
    [anon_sym_point] = ACTIONS(2186),
    [anon_sym_line] = ACTIONS(2186),
    [anon_sym_triangleadj] = ACTIONS(2186),
    [anon_sym_lineadj] = ACTIONS(2186),
    [anon_sym_triangle] = ACTIONS(2186),
    [anon_sym_cbuffer] = ACTIONS(2186),
  },
  [454] = {
    [sym_identifier] = ACTIONS(2837),
    [aux_sym_preproc_include_token1] = ACTIONS(2837),
    [aux_sym_preproc_def_token1] = ACTIONS(2837),
    [aux_sym_preproc_if_token1] = ACTIONS(2837),
    [aux_sym_preproc_if_token2] = ACTIONS(2837),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2837),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2837),
    [aux_sym_preproc_else_token1] = ACTIONS(2837),
    [aux_sym_preproc_elif_token1] = ACTIONS(2837),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2837),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2837),
    [sym_preproc_directive] = ACTIONS(2837),
    [anon_sym_LPAREN2] = ACTIONS(2839),
    [anon_sym_BANG] = ACTIONS(2839),
    [anon_sym_TILDE] = ACTIONS(2839),
    [anon_sym_DASH] = ACTIONS(2837),
    [anon_sym_PLUS] = ACTIONS(2837),
    [anon_sym_STAR] = ACTIONS(2839),
    [anon_sym_AMP_AMP] = ACTIONS(2839),
    [anon_sym_AMP] = ACTIONS(2837),
    [anon_sym_SEMI] = ACTIONS(2839),
    [anon_sym___extension__] = ACTIONS(2837),
    [anon_sym_typedef] = ACTIONS(2837),
    [anon_sym_in] = ACTIONS(2837),
    [anon_sym_out] = ACTIONS(2837),
    [anon_sym_inout] = ACTIONS(2837),
    [anon_sym_extern] = ACTIONS(2837),
    [anon_sym___attribute__] = ACTIONS(2837),
    [anon_sym_COLON_COLON] = ACTIONS(2839),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2839),
    [anon_sym___declspec] = ACTIONS(2837),
    [anon_sym___based] = ACTIONS(2837),
    [anon_sym___cdecl] = ACTIONS(2837),
    [anon_sym___clrcall] = ACTIONS(2837),
    [anon_sym___stdcall] = ACTIONS(2837),
    [anon_sym___fastcall] = ACTIONS(2837),
    [anon_sym___thiscall] = ACTIONS(2837),
    [anon_sym___vectorcall] = ACTIONS(2837),
    [anon_sym_LBRACE] = ACTIONS(2839),
    [anon_sym_signed] = ACTIONS(2837),
    [anon_sym_unsigned] = ACTIONS(2837),
    [anon_sym_long] = ACTIONS(2837),
    [anon_sym_short] = ACTIONS(2837),
    [anon_sym_LBRACK] = ACTIONS(2837),
    [anon_sym_static] = ACTIONS(2837),
    [anon_sym_register] = ACTIONS(2837),
    [anon_sym_inline] = ACTIONS(2837),
    [anon_sym___inline] = ACTIONS(2837),
    [anon_sym___inline__] = ACTIONS(2837),
    [anon_sym___forceinline] = ACTIONS(2837),
    [anon_sym_thread_local] = ACTIONS(2837),
    [anon_sym___thread] = ACTIONS(2837),
    [anon_sym_const] = ACTIONS(2837),
    [anon_sym_constexpr] = ACTIONS(2837),
    [anon_sym_volatile] = ACTIONS(2837),
    [anon_sym_restrict] = ACTIONS(2837),
    [anon_sym___restrict__] = ACTIONS(2837),
    [anon_sym__Atomic] = ACTIONS(2837),
    [anon_sym__Noreturn] = ACTIONS(2837),
    [anon_sym_noreturn] = ACTIONS(2837),
    [anon_sym_mutable] = ACTIONS(2837),
    [anon_sym_constinit] = ACTIONS(2837),
    [anon_sym_consteval] = ACTIONS(2837),
    [sym_primitive_type] = ACTIONS(2837),
    [anon_sym_enum] = ACTIONS(2837),
    [anon_sym_class] = ACTIONS(2837),
    [anon_sym_struct] = ACTIONS(2837),
    [anon_sym_union] = ACTIONS(2837),
    [anon_sym_if] = ACTIONS(2837),
    [anon_sym_switch] = ACTIONS(2837),
    [anon_sym_case] = ACTIONS(2837),
    [anon_sym_default] = ACTIONS(2837),
    [anon_sym_while] = ACTIONS(2837),
    [anon_sym_do] = ACTIONS(2837),
    [anon_sym_for] = ACTIONS(2837),
    [anon_sym_return] = ACTIONS(2837),
    [anon_sym_break] = ACTIONS(2837),
    [anon_sym_continue] = ACTIONS(2837),
    [anon_sym_goto] = ACTIONS(2837),
    [anon_sym___try] = ACTIONS(2837),
    [anon_sym___leave] = ACTIONS(2837),
    [anon_sym_not] = ACTIONS(2837),
    [anon_sym_compl] = ACTIONS(2837),
    [anon_sym_DASH_DASH] = ACTIONS(2839),
    [anon_sym_PLUS_PLUS] = ACTIONS(2839),
    [anon_sym_sizeof] = ACTIONS(2837),
    [anon_sym___alignof__] = ACTIONS(2837),
    [anon_sym___alignof] = ACTIONS(2837),
    [anon_sym__alignof] = ACTIONS(2837),
    [anon_sym_alignof] = ACTIONS(2837),
    [anon_sym__Alignof] = ACTIONS(2837),
    [anon_sym_offsetof] = ACTIONS(2837),
    [anon_sym__Generic] = ACTIONS(2837),
    [anon_sym_asm] = ACTIONS(2837),
    [anon_sym___asm__] = ACTIONS(2837),
    [sym_number_literal] = ACTIONS(2839),
    [anon_sym_L_SQUOTE] = ACTIONS(2839),
    [anon_sym_u_SQUOTE] = ACTIONS(2839),
    [anon_sym_U_SQUOTE] = ACTIONS(2839),
    [anon_sym_u8_SQUOTE] = ACTIONS(2839),
    [anon_sym_SQUOTE] = ACTIONS(2839),
    [anon_sym_L_DQUOTE] = ACTIONS(2839),
    [anon_sym_u_DQUOTE] = ACTIONS(2839),
    [anon_sym_U_DQUOTE] = ACTIONS(2839),
    [anon_sym_u8_DQUOTE] = ACTIONS(2839),
    [anon_sym_DQUOTE] = ACTIONS(2839),
    [sym_true] = ACTIONS(2837),
    [sym_false] = ACTIONS(2837),
    [anon_sym_NULL] = ACTIONS(2837),
    [anon_sym_nullptr] = ACTIONS(2837),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2837),
    [anon_sym_decltype] = ACTIONS(2837),
    [anon_sym_virtual] = ACTIONS(2837),
    [anon_sym_alignas] = ACTIONS(2837),
    [anon_sym_explicit] = ACTIONS(2837),
    [anon_sym_typename] = ACTIONS(2837),
    [anon_sym_template] = ACTIONS(2837),
    [anon_sym_operator] = ACTIONS(2837),
    [anon_sym_try] = ACTIONS(2837),
    [anon_sym_delete] = ACTIONS(2837),
    [anon_sym_throw] = ACTIONS(2837),
    [anon_sym_namespace] = ACTIONS(2837),
    [anon_sym_using] = ACTIONS(2837),
    [anon_sym_static_assert] = ACTIONS(2837),
    [anon_sym_concept] = ACTIONS(2837),
    [anon_sym_co_return] = ACTIONS(2837),
    [anon_sym_co_yield] = ACTIONS(2837),
    [anon_sym_R_DQUOTE] = ACTIONS(2839),
    [anon_sym_LR_DQUOTE] = ACTIONS(2839),
    [anon_sym_uR_DQUOTE] = ACTIONS(2839),
    [anon_sym_UR_DQUOTE] = ACTIONS(2839),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2839),
    [anon_sym_co_await] = ACTIONS(2837),
    [anon_sym_new] = ACTIONS(2837),
    [anon_sym_requires] = ACTIONS(2837),
    [sym_this] = ACTIONS(2837),
    [anon_sym_discard] = ACTIONS(2837),
    [anon_sym_precise] = ACTIONS(2837),
    [anon_sym_shared] = ACTIONS(2837),
    [anon_sym_groupshared] = ACTIONS(2837),
    [anon_sym_uniform] = ACTIONS(2837),
    [anon_sym_row_major] = ACTIONS(2837),
    [anon_sym_column_major] = ACTIONS(2837),
    [anon_sym_globallycoherent] = ACTIONS(2837),
    [anon_sym_centroid] = ACTIONS(2837),
    [anon_sym_noperspective] = ACTIONS(2837),
    [anon_sym_nointerpolation] = ACTIONS(2837),
    [anon_sym_sample] = ACTIONS(2837),
    [anon_sym_linear] = ACTIONS(2837),
    [anon_sym_snorm] = ACTIONS(2837),
    [anon_sym_unorm] = ACTIONS(2837),
    [anon_sym_point] = ACTIONS(2837),
    [anon_sym_line] = ACTIONS(2837),
    [anon_sym_triangleadj] = ACTIONS(2837),
    [anon_sym_lineadj] = ACTIONS(2837),
    [anon_sym_triangle] = ACTIONS(2837),
    [anon_sym_cbuffer] = ACTIONS(2837),
  },
  [455] = {
    [sym_identifier] = ACTIONS(2841),
    [aux_sym_preproc_include_token1] = ACTIONS(2841),
    [aux_sym_preproc_def_token1] = ACTIONS(2841),
    [aux_sym_preproc_if_token1] = ACTIONS(2841),
    [aux_sym_preproc_if_token2] = ACTIONS(2841),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2841),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2841),
    [aux_sym_preproc_else_token1] = ACTIONS(2841),
    [aux_sym_preproc_elif_token1] = ACTIONS(2841),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2841),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2841),
    [sym_preproc_directive] = ACTIONS(2841),
    [anon_sym_LPAREN2] = ACTIONS(2843),
    [anon_sym_BANG] = ACTIONS(2843),
    [anon_sym_TILDE] = ACTIONS(2843),
    [anon_sym_DASH] = ACTIONS(2841),
    [anon_sym_PLUS] = ACTIONS(2841),
    [anon_sym_STAR] = ACTIONS(2843),
    [anon_sym_AMP_AMP] = ACTIONS(2843),
    [anon_sym_AMP] = ACTIONS(2841),
    [anon_sym_SEMI] = ACTIONS(2843),
    [anon_sym___extension__] = ACTIONS(2841),
    [anon_sym_typedef] = ACTIONS(2841),
    [anon_sym_in] = ACTIONS(2841),
    [anon_sym_out] = ACTIONS(2841),
    [anon_sym_inout] = ACTIONS(2841),
    [anon_sym_extern] = ACTIONS(2841),
    [anon_sym___attribute__] = ACTIONS(2841),
    [anon_sym_COLON_COLON] = ACTIONS(2843),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2843),
    [anon_sym___declspec] = ACTIONS(2841),
    [anon_sym___based] = ACTIONS(2841),
    [anon_sym___cdecl] = ACTIONS(2841),
    [anon_sym___clrcall] = ACTIONS(2841),
    [anon_sym___stdcall] = ACTIONS(2841),
    [anon_sym___fastcall] = ACTIONS(2841),
    [anon_sym___thiscall] = ACTIONS(2841),
    [anon_sym___vectorcall] = ACTIONS(2841),
    [anon_sym_LBRACE] = ACTIONS(2843),
    [anon_sym_signed] = ACTIONS(2841),
    [anon_sym_unsigned] = ACTIONS(2841),
    [anon_sym_long] = ACTIONS(2841),
    [anon_sym_short] = ACTIONS(2841),
    [anon_sym_LBRACK] = ACTIONS(2841),
    [anon_sym_static] = ACTIONS(2841),
    [anon_sym_register] = ACTIONS(2841),
    [anon_sym_inline] = ACTIONS(2841),
    [anon_sym___inline] = ACTIONS(2841),
    [anon_sym___inline__] = ACTIONS(2841),
    [anon_sym___forceinline] = ACTIONS(2841),
    [anon_sym_thread_local] = ACTIONS(2841),
    [anon_sym___thread] = ACTIONS(2841),
    [anon_sym_const] = ACTIONS(2841),
    [anon_sym_constexpr] = ACTIONS(2841),
    [anon_sym_volatile] = ACTIONS(2841),
    [anon_sym_restrict] = ACTIONS(2841),
    [anon_sym___restrict__] = ACTIONS(2841),
    [anon_sym__Atomic] = ACTIONS(2841),
    [anon_sym__Noreturn] = ACTIONS(2841),
    [anon_sym_noreturn] = ACTIONS(2841),
    [anon_sym_mutable] = ACTIONS(2841),
    [anon_sym_constinit] = ACTIONS(2841),
    [anon_sym_consteval] = ACTIONS(2841),
    [sym_primitive_type] = ACTIONS(2841),
    [anon_sym_enum] = ACTIONS(2841),
    [anon_sym_class] = ACTIONS(2841),
    [anon_sym_struct] = ACTIONS(2841),
    [anon_sym_union] = ACTIONS(2841),
    [anon_sym_if] = ACTIONS(2841),
    [anon_sym_switch] = ACTIONS(2841),
    [anon_sym_case] = ACTIONS(2841),
    [anon_sym_default] = ACTIONS(2841),
    [anon_sym_while] = ACTIONS(2841),
    [anon_sym_do] = ACTIONS(2841),
    [anon_sym_for] = ACTIONS(2841),
    [anon_sym_return] = ACTIONS(2841),
    [anon_sym_break] = ACTIONS(2841),
    [anon_sym_continue] = ACTIONS(2841),
    [anon_sym_goto] = ACTIONS(2841),
    [anon_sym___try] = ACTIONS(2841),
    [anon_sym___leave] = ACTIONS(2841),
    [anon_sym_not] = ACTIONS(2841),
    [anon_sym_compl] = ACTIONS(2841),
    [anon_sym_DASH_DASH] = ACTIONS(2843),
    [anon_sym_PLUS_PLUS] = ACTIONS(2843),
    [anon_sym_sizeof] = ACTIONS(2841),
    [anon_sym___alignof__] = ACTIONS(2841),
    [anon_sym___alignof] = ACTIONS(2841),
    [anon_sym__alignof] = ACTIONS(2841),
    [anon_sym_alignof] = ACTIONS(2841),
    [anon_sym__Alignof] = ACTIONS(2841),
    [anon_sym_offsetof] = ACTIONS(2841),
    [anon_sym__Generic] = ACTIONS(2841),
    [anon_sym_asm] = ACTIONS(2841),
    [anon_sym___asm__] = ACTIONS(2841),
    [sym_number_literal] = ACTIONS(2843),
    [anon_sym_L_SQUOTE] = ACTIONS(2843),
    [anon_sym_u_SQUOTE] = ACTIONS(2843),
    [anon_sym_U_SQUOTE] = ACTIONS(2843),
    [anon_sym_u8_SQUOTE] = ACTIONS(2843),
    [anon_sym_SQUOTE] = ACTIONS(2843),
    [anon_sym_L_DQUOTE] = ACTIONS(2843),
    [anon_sym_u_DQUOTE] = ACTIONS(2843),
    [anon_sym_U_DQUOTE] = ACTIONS(2843),
    [anon_sym_u8_DQUOTE] = ACTIONS(2843),
    [anon_sym_DQUOTE] = ACTIONS(2843),
    [sym_true] = ACTIONS(2841),
    [sym_false] = ACTIONS(2841),
    [anon_sym_NULL] = ACTIONS(2841),
    [anon_sym_nullptr] = ACTIONS(2841),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2841),
    [anon_sym_decltype] = ACTIONS(2841),
    [anon_sym_virtual] = ACTIONS(2841),
    [anon_sym_alignas] = ACTIONS(2841),
    [anon_sym_explicit] = ACTIONS(2841),
    [anon_sym_typename] = ACTIONS(2841),
    [anon_sym_template] = ACTIONS(2841),
    [anon_sym_operator] = ACTIONS(2841),
    [anon_sym_try] = ACTIONS(2841),
    [anon_sym_delete] = ACTIONS(2841),
    [anon_sym_throw] = ACTIONS(2841),
    [anon_sym_namespace] = ACTIONS(2841),
    [anon_sym_using] = ACTIONS(2841),
    [anon_sym_static_assert] = ACTIONS(2841),
    [anon_sym_concept] = ACTIONS(2841),
    [anon_sym_co_return] = ACTIONS(2841),
    [anon_sym_co_yield] = ACTIONS(2841),
    [anon_sym_R_DQUOTE] = ACTIONS(2843),
    [anon_sym_LR_DQUOTE] = ACTIONS(2843),
    [anon_sym_uR_DQUOTE] = ACTIONS(2843),
    [anon_sym_UR_DQUOTE] = ACTIONS(2843),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2843),
    [anon_sym_co_await] = ACTIONS(2841),
    [anon_sym_new] = ACTIONS(2841),
    [anon_sym_requires] = ACTIONS(2841),
    [sym_this] = ACTIONS(2841),
    [anon_sym_discard] = ACTIONS(2841),
    [anon_sym_precise] = ACTIONS(2841),
    [anon_sym_shared] = ACTIONS(2841),
    [anon_sym_groupshared] = ACTIONS(2841),
    [anon_sym_uniform] = ACTIONS(2841),
    [anon_sym_row_major] = ACTIONS(2841),
    [anon_sym_column_major] = ACTIONS(2841),
    [anon_sym_globallycoherent] = ACTIONS(2841),
    [anon_sym_centroid] = ACTIONS(2841),
    [anon_sym_noperspective] = ACTIONS(2841),
    [anon_sym_nointerpolation] = ACTIONS(2841),
    [anon_sym_sample] = ACTIONS(2841),
    [anon_sym_linear] = ACTIONS(2841),
    [anon_sym_snorm] = ACTIONS(2841),
    [anon_sym_unorm] = ACTIONS(2841),
    [anon_sym_point] = ACTIONS(2841),
    [anon_sym_line] = ACTIONS(2841),
    [anon_sym_triangleadj] = ACTIONS(2841),
    [anon_sym_lineadj] = ACTIONS(2841),
    [anon_sym_triangle] = ACTIONS(2841),
    [anon_sym_cbuffer] = ACTIONS(2841),
  },
  [456] = {
    [sym_identifier] = ACTIONS(2845),
    [aux_sym_preproc_include_token1] = ACTIONS(2845),
    [aux_sym_preproc_def_token1] = ACTIONS(2845),
    [aux_sym_preproc_if_token1] = ACTIONS(2845),
    [aux_sym_preproc_if_token2] = ACTIONS(2845),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2845),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2845),
    [aux_sym_preproc_else_token1] = ACTIONS(2845),
    [aux_sym_preproc_elif_token1] = ACTIONS(2845),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2845),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2845),
    [sym_preproc_directive] = ACTIONS(2845),
    [anon_sym_LPAREN2] = ACTIONS(2847),
    [anon_sym_BANG] = ACTIONS(2847),
    [anon_sym_TILDE] = ACTIONS(2847),
    [anon_sym_DASH] = ACTIONS(2845),
    [anon_sym_PLUS] = ACTIONS(2845),
    [anon_sym_STAR] = ACTIONS(2847),
    [anon_sym_AMP_AMP] = ACTIONS(2847),
    [anon_sym_AMP] = ACTIONS(2845),
    [anon_sym_SEMI] = ACTIONS(2847),
    [anon_sym___extension__] = ACTIONS(2845),
    [anon_sym_typedef] = ACTIONS(2845),
    [anon_sym_in] = ACTIONS(2845),
    [anon_sym_out] = ACTIONS(2845),
    [anon_sym_inout] = ACTIONS(2845),
    [anon_sym_extern] = ACTIONS(2845),
    [anon_sym___attribute__] = ACTIONS(2845),
    [anon_sym_COLON_COLON] = ACTIONS(2847),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2847),
    [anon_sym___declspec] = ACTIONS(2845),
    [anon_sym___based] = ACTIONS(2845),
    [anon_sym___cdecl] = ACTIONS(2845),
    [anon_sym___clrcall] = ACTIONS(2845),
    [anon_sym___stdcall] = ACTIONS(2845),
    [anon_sym___fastcall] = ACTIONS(2845),
    [anon_sym___thiscall] = ACTIONS(2845),
    [anon_sym___vectorcall] = ACTIONS(2845),
    [anon_sym_LBRACE] = ACTIONS(2847),
    [anon_sym_signed] = ACTIONS(2845),
    [anon_sym_unsigned] = ACTIONS(2845),
    [anon_sym_long] = ACTIONS(2845),
    [anon_sym_short] = ACTIONS(2845),
    [anon_sym_LBRACK] = ACTIONS(2845),
    [anon_sym_static] = ACTIONS(2845),
    [anon_sym_register] = ACTIONS(2845),
    [anon_sym_inline] = ACTIONS(2845),
    [anon_sym___inline] = ACTIONS(2845),
    [anon_sym___inline__] = ACTIONS(2845),
    [anon_sym___forceinline] = ACTIONS(2845),
    [anon_sym_thread_local] = ACTIONS(2845),
    [anon_sym___thread] = ACTIONS(2845),
    [anon_sym_const] = ACTIONS(2845),
    [anon_sym_constexpr] = ACTIONS(2845),
    [anon_sym_volatile] = ACTIONS(2845),
    [anon_sym_restrict] = ACTIONS(2845),
    [anon_sym___restrict__] = ACTIONS(2845),
    [anon_sym__Atomic] = ACTIONS(2845),
    [anon_sym__Noreturn] = ACTIONS(2845),
    [anon_sym_noreturn] = ACTIONS(2845),
    [anon_sym_mutable] = ACTIONS(2845),
    [anon_sym_constinit] = ACTIONS(2845),
    [anon_sym_consteval] = ACTIONS(2845),
    [sym_primitive_type] = ACTIONS(2845),
    [anon_sym_enum] = ACTIONS(2845),
    [anon_sym_class] = ACTIONS(2845),
    [anon_sym_struct] = ACTIONS(2845),
    [anon_sym_union] = ACTIONS(2845),
    [anon_sym_if] = ACTIONS(2845),
    [anon_sym_switch] = ACTIONS(2845),
    [anon_sym_case] = ACTIONS(2845),
    [anon_sym_default] = ACTIONS(2845),
    [anon_sym_while] = ACTIONS(2845),
    [anon_sym_do] = ACTIONS(2845),
    [anon_sym_for] = ACTIONS(2845),
    [anon_sym_return] = ACTIONS(2845),
    [anon_sym_break] = ACTIONS(2845),
    [anon_sym_continue] = ACTIONS(2845),
    [anon_sym_goto] = ACTIONS(2845),
    [anon_sym___try] = ACTIONS(2845),
    [anon_sym___leave] = ACTIONS(2845),
    [anon_sym_not] = ACTIONS(2845),
    [anon_sym_compl] = ACTIONS(2845),
    [anon_sym_DASH_DASH] = ACTIONS(2847),
    [anon_sym_PLUS_PLUS] = ACTIONS(2847),
    [anon_sym_sizeof] = ACTIONS(2845),
    [anon_sym___alignof__] = ACTIONS(2845),
    [anon_sym___alignof] = ACTIONS(2845),
    [anon_sym__alignof] = ACTIONS(2845),
    [anon_sym_alignof] = ACTIONS(2845),
    [anon_sym__Alignof] = ACTIONS(2845),
    [anon_sym_offsetof] = ACTIONS(2845),
    [anon_sym__Generic] = ACTIONS(2845),
    [anon_sym_asm] = ACTIONS(2845),
    [anon_sym___asm__] = ACTIONS(2845),
    [sym_number_literal] = ACTIONS(2847),
    [anon_sym_L_SQUOTE] = ACTIONS(2847),
    [anon_sym_u_SQUOTE] = ACTIONS(2847),
    [anon_sym_U_SQUOTE] = ACTIONS(2847),
    [anon_sym_u8_SQUOTE] = ACTIONS(2847),
    [anon_sym_SQUOTE] = ACTIONS(2847),
    [anon_sym_L_DQUOTE] = ACTIONS(2847),
    [anon_sym_u_DQUOTE] = ACTIONS(2847),
    [anon_sym_U_DQUOTE] = ACTIONS(2847),
    [anon_sym_u8_DQUOTE] = ACTIONS(2847),
    [anon_sym_DQUOTE] = ACTIONS(2847),
    [sym_true] = ACTIONS(2845),
    [sym_false] = ACTIONS(2845),
    [anon_sym_NULL] = ACTIONS(2845),
    [anon_sym_nullptr] = ACTIONS(2845),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2845),
    [anon_sym_decltype] = ACTIONS(2845),
    [anon_sym_virtual] = ACTIONS(2845),
    [anon_sym_alignas] = ACTIONS(2845),
    [anon_sym_explicit] = ACTIONS(2845),
    [anon_sym_typename] = ACTIONS(2845),
    [anon_sym_template] = ACTIONS(2845),
    [anon_sym_operator] = ACTIONS(2845),
    [anon_sym_try] = ACTIONS(2845),
    [anon_sym_delete] = ACTIONS(2845),
    [anon_sym_throw] = ACTIONS(2845),
    [anon_sym_namespace] = ACTIONS(2845),
    [anon_sym_using] = ACTIONS(2845),
    [anon_sym_static_assert] = ACTIONS(2845),
    [anon_sym_concept] = ACTIONS(2845),
    [anon_sym_co_return] = ACTIONS(2845),
    [anon_sym_co_yield] = ACTIONS(2845),
    [anon_sym_R_DQUOTE] = ACTIONS(2847),
    [anon_sym_LR_DQUOTE] = ACTIONS(2847),
    [anon_sym_uR_DQUOTE] = ACTIONS(2847),
    [anon_sym_UR_DQUOTE] = ACTIONS(2847),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2847),
    [anon_sym_co_await] = ACTIONS(2845),
    [anon_sym_new] = ACTIONS(2845),
    [anon_sym_requires] = ACTIONS(2845),
    [sym_this] = ACTIONS(2845),
    [anon_sym_discard] = ACTIONS(2845),
    [anon_sym_precise] = ACTIONS(2845),
    [anon_sym_shared] = ACTIONS(2845),
    [anon_sym_groupshared] = ACTIONS(2845),
    [anon_sym_uniform] = ACTIONS(2845),
    [anon_sym_row_major] = ACTIONS(2845),
    [anon_sym_column_major] = ACTIONS(2845),
    [anon_sym_globallycoherent] = ACTIONS(2845),
    [anon_sym_centroid] = ACTIONS(2845),
    [anon_sym_noperspective] = ACTIONS(2845),
    [anon_sym_nointerpolation] = ACTIONS(2845),
    [anon_sym_sample] = ACTIONS(2845),
    [anon_sym_linear] = ACTIONS(2845),
    [anon_sym_snorm] = ACTIONS(2845),
    [anon_sym_unorm] = ACTIONS(2845),
    [anon_sym_point] = ACTIONS(2845),
    [anon_sym_line] = ACTIONS(2845),
    [anon_sym_triangleadj] = ACTIONS(2845),
    [anon_sym_lineadj] = ACTIONS(2845),
    [anon_sym_triangle] = ACTIONS(2845),
    [anon_sym_cbuffer] = ACTIONS(2845),
  },
  [457] = {
    [sym_identifier] = ACTIONS(2178),
    [aux_sym_preproc_include_token1] = ACTIONS(2178),
    [aux_sym_preproc_def_token1] = ACTIONS(2178),
    [aux_sym_preproc_if_token1] = ACTIONS(2178),
    [aux_sym_preproc_if_token2] = ACTIONS(2178),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2178),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2178),
    [sym_preproc_directive] = ACTIONS(2178),
    [anon_sym_LPAREN2] = ACTIONS(2180),
    [anon_sym_BANG] = ACTIONS(2180),
    [anon_sym_TILDE] = ACTIONS(2180),
    [anon_sym_DASH] = ACTIONS(2178),
    [anon_sym_PLUS] = ACTIONS(2178),
    [anon_sym_STAR] = ACTIONS(2180),
    [anon_sym_AMP_AMP] = ACTIONS(2180),
    [anon_sym_AMP] = ACTIONS(2178),
    [anon_sym_COLON] = ACTIONS(2178),
    [anon_sym_SEMI] = ACTIONS(2180),
    [anon_sym___extension__] = ACTIONS(2178),
    [anon_sym_typedef] = ACTIONS(2178),
    [anon_sym_in] = ACTIONS(2178),
    [anon_sym_out] = ACTIONS(2178),
    [anon_sym_inout] = ACTIONS(2178),
    [anon_sym_extern] = ACTIONS(2178),
    [anon_sym___attribute__] = ACTIONS(2178),
    [anon_sym_COLON_COLON] = ACTIONS(2180),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2180),
    [anon_sym___declspec] = ACTIONS(2178),
    [anon_sym___based] = ACTIONS(2178),
    [anon_sym___cdecl] = ACTIONS(2178),
    [anon_sym___clrcall] = ACTIONS(2178),
    [anon_sym___stdcall] = ACTIONS(2178),
    [anon_sym___fastcall] = ACTIONS(2178),
    [anon_sym___thiscall] = ACTIONS(2178),
    [anon_sym___vectorcall] = ACTIONS(2178),
    [anon_sym_LBRACE] = ACTIONS(2180),
    [anon_sym_signed] = ACTIONS(2178),
    [anon_sym_unsigned] = ACTIONS(2178),
    [anon_sym_long] = ACTIONS(2178),
    [anon_sym_short] = ACTIONS(2178),
    [anon_sym_LBRACK] = ACTIONS(2178),
    [anon_sym_static] = ACTIONS(2178),
    [anon_sym_register] = ACTIONS(2178),
    [anon_sym_inline] = ACTIONS(2178),
    [anon_sym___inline] = ACTIONS(2178),
    [anon_sym___inline__] = ACTIONS(2178),
    [anon_sym___forceinline] = ACTIONS(2178),
    [anon_sym_thread_local] = ACTIONS(2178),
    [anon_sym___thread] = ACTIONS(2178),
    [anon_sym_const] = ACTIONS(2178),
    [anon_sym_constexpr] = ACTIONS(2178),
    [anon_sym_volatile] = ACTIONS(2178),
    [anon_sym_restrict] = ACTIONS(2178),
    [anon_sym___restrict__] = ACTIONS(2178),
    [anon_sym__Atomic] = ACTIONS(2178),
    [anon_sym__Noreturn] = ACTIONS(2178),
    [anon_sym_noreturn] = ACTIONS(2178),
    [anon_sym_mutable] = ACTIONS(2178),
    [anon_sym_constinit] = ACTIONS(2178),
    [anon_sym_consteval] = ACTIONS(2178),
    [sym_primitive_type] = ACTIONS(2178),
    [anon_sym_enum] = ACTIONS(2178),
    [anon_sym_class] = ACTIONS(2178),
    [anon_sym_struct] = ACTIONS(2178),
    [anon_sym_union] = ACTIONS(2178),
    [anon_sym_if] = ACTIONS(2178),
    [anon_sym_else] = ACTIONS(2178),
    [anon_sym_switch] = ACTIONS(2178),
    [anon_sym_case] = ACTIONS(2178),
    [anon_sym_default] = ACTIONS(2178),
    [anon_sym_while] = ACTIONS(2178),
    [anon_sym_do] = ACTIONS(2178),
    [anon_sym_for] = ACTIONS(2178),
    [anon_sym_return] = ACTIONS(2178),
    [anon_sym_break] = ACTIONS(2178),
    [anon_sym_continue] = ACTIONS(2178),
    [anon_sym_goto] = ACTIONS(2178),
    [anon_sym___try] = ACTIONS(2178),
    [anon_sym___leave] = ACTIONS(2178),
    [anon_sym_not] = ACTIONS(2178),
    [anon_sym_compl] = ACTIONS(2178),
    [anon_sym_DASH_DASH] = ACTIONS(2180),
    [anon_sym_PLUS_PLUS] = ACTIONS(2180),
    [anon_sym_sizeof] = ACTIONS(2178),
    [anon_sym___alignof__] = ACTIONS(2178),
    [anon_sym___alignof] = ACTIONS(2178),
    [anon_sym__alignof] = ACTIONS(2178),
    [anon_sym_alignof] = ACTIONS(2178),
    [anon_sym__Alignof] = ACTIONS(2178),
    [anon_sym_offsetof] = ACTIONS(2178),
    [anon_sym__Generic] = ACTIONS(2178),
    [anon_sym_asm] = ACTIONS(2178),
    [anon_sym___asm__] = ACTIONS(2178),
    [sym_number_literal] = ACTIONS(2180),
    [anon_sym_L_SQUOTE] = ACTIONS(2180),
    [anon_sym_u_SQUOTE] = ACTIONS(2180),
    [anon_sym_U_SQUOTE] = ACTIONS(2180),
    [anon_sym_u8_SQUOTE] = ACTIONS(2180),
    [anon_sym_SQUOTE] = ACTIONS(2180),
    [anon_sym_L_DQUOTE] = ACTIONS(2180),
    [anon_sym_u_DQUOTE] = ACTIONS(2180),
    [anon_sym_U_DQUOTE] = ACTIONS(2180),
    [anon_sym_u8_DQUOTE] = ACTIONS(2180),
    [anon_sym_DQUOTE] = ACTIONS(2180),
    [sym_true] = ACTIONS(2178),
    [sym_false] = ACTIONS(2178),
    [anon_sym_NULL] = ACTIONS(2178),
    [anon_sym_nullptr] = ACTIONS(2178),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2178),
    [anon_sym_decltype] = ACTIONS(2178),
    [anon_sym_final] = ACTIONS(2178),
    [anon_sym_override] = ACTIONS(2178),
    [anon_sym_virtual] = ACTIONS(2178),
    [anon_sym_alignas] = ACTIONS(2178),
    [anon_sym_explicit] = ACTIONS(2178),
    [anon_sym_typename] = ACTIONS(2178),
    [anon_sym_template] = ACTIONS(2178),
    [anon_sym_operator] = ACTIONS(2178),
    [anon_sym_try] = ACTIONS(2178),
    [anon_sym_delete] = ACTIONS(2178),
    [anon_sym_throw] = ACTIONS(2178),
    [anon_sym_namespace] = ACTIONS(2178),
    [anon_sym_using] = ACTIONS(2178),
    [anon_sym_static_assert] = ACTIONS(2178),
    [anon_sym_concept] = ACTIONS(2178),
    [anon_sym_co_return] = ACTIONS(2178),
    [anon_sym_co_yield] = ACTIONS(2178),
    [anon_sym_R_DQUOTE] = ACTIONS(2180),
    [anon_sym_LR_DQUOTE] = ACTIONS(2180),
    [anon_sym_uR_DQUOTE] = ACTIONS(2180),
    [anon_sym_UR_DQUOTE] = ACTIONS(2180),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2180),
    [anon_sym_co_await] = ACTIONS(2178),
    [anon_sym_new] = ACTIONS(2178),
    [anon_sym_requires] = ACTIONS(2178),
    [sym_this] = ACTIONS(2178),
    [anon_sym_discard] = ACTIONS(2178),
    [anon_sym_precise] = ACTIONS(2178),
    [anon_sym_shared] = ACTIONS(2178),
    [anon_sym_groupshared] = ACTIONS(2178),
    [anon_sym_uniform] = ACTIONS(2178),
    [anon_sym_row_major] = ACTIONS(2178),
    [anon_sym_column_major] = ACTIONS(2178),
    [anon_sym_globallycoherent] = ACTIONS(2178),
    [anon_sym_centroid] = ACTIONS(2178),
    [anon_sym_noperspective] = ACTIONS(2178),
    [anon_sym_nointerpolation] = ACTIONS(2178),
    [anon_sym_sample] = ACTIONS(2178),
    [anon_sym_linear] = ACTIONS(2178),
    [anon_sym_snorm] = ACTIONS(2178),
    [anon_sym_unorm] = ACTIONS(2178),
    [anon_sym_point] = ACTIONS(2178),
    [anon_sym_line] = ACTIONS(2178),
    [anon_sym_triangleadj] = ACTIONS(2178),
    [anon_sym_lineadj] = ACTIONS(2178),
    [anon_sym_triangle] = ACTIONS(2178),
    [anon_sym_cbuffer] = ACTIONS(2178),
  },
  [458] = {
    [sym_identifier] = ACTIONS(2849),
    [aux_sym_preproc_include_token1] = ACTIONS(2849),
    [aux_sym_preproc_def_token1] = ACTIONS(2849),
    [aux_sym_preproc_if_token1] = ACTIONS(2849),
    [aux_sym_preproc_if_token2] = ACTIONS(2849),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2849),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2849),
    [aux_sym_preproc_else_token1] = ACTIONS(2849),
    [aux_sym_preproc_elif_token1] = ACTIONS(2849),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2849),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2849),
    [sym_preproc_directive] = ACTIONS(2849),
    [anon_sym_LPAREN2] = ACTIONS(2851),
    [anon_sym_BANG] = ACTIONS(2851),
    [anon_sym_TILDE] = ACTIONS(2851),
    [anon_sym_DASH] = ACTIONS(2849),
    [anon_sym_PLUS] = ACTIONS(2849),
    [anon_sym_STAR] = ACTIONS(2851),
    [anon_sym_AMP_AMP] = ACTIONS(2851),
    [anon_sym_AMP] = ACTIONS(2849),
    [anon_sym_SEMI] = ACTIONS(2851),
    [anon_sym___extension__] = ACTIONS(2849),
    [anon_sym_typedef] = ACTIONS(2849),
    [anon_sym_in] = ACTIONS(2849),
    [anon_sym_out] = ACTIONS(2849),
    [anon_sym_inout] = ACTIONS(2849),
    [anon_sym_extern] = ACTIONS(2849),
    [anon_sym___attribute__] = ACTIONS(2849),
    [anon_sym_COLON_COLON] = ACTIONS(2851),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2851),
    [anon_sym___declspec] = ACTIONS(2849),
    [anon_sym___based] = ACTIONS(2849),
    [anon_sym___cdecl] = ACTIONS(2849),
    [anon_sym___clrcall] = ACTIONS(2849),
    [anon_sym___stdcall] = ACTIONS(2849),
    [anon_sym___fastcall] = ACTIONS(2849),
    [anon_sym___thiscall] = ACTIONS(2849),
    [anon_sym___vectorcall] = ACTIONS(2849),
    [anon_sym_LBRACE] = ACTIONS(2851),
    [anon_sym_signed] = ACTIONS(2849),
    [anon_sym_unsigned] = ACTIONS(2849),
    [anon_sym_long] = ACTIONS(2849),
    [anon_sym_short] = ACTIONS(2849),
    [anon_sym_LBRACK] = ACTIONS(2849),
    [anon_sym_static] = ACTIONS(2849),
    [anon_sym_register] = ACTIONS(2849),
    [anon_sym_inline] = ACTIONS(2849),
    [anon_sym___inline] = ACTIONS(2849),
    [anon_sym___inline__] = ACTIONS(2849),
    [anon_sym___forceinline] = ACTIONS(2849),
    [anon_sym_thread_local] = ACTIONS(2849),
    [anon_sym___thread] = ACTIONS(2849),
    [anon_sym_const] = ACTIONS(2849),
    [anon_sym_constexpr] = ACTIONS(2849),
    [anon_sym_volatile] = ACTIONS(2849),
    [anon_sym_restrict] = ACTIONS(2849),
    [anon_sym___restrict__] = ACTIONS(2849),
    [anon_sym__Atomic] = ACTIONS(2849),
    [anon_sym__Noreturn] = ACTIONS(2849),
    [anon_sym_noreturn] = ACTIONS(2849),
    [anon_sym_mutable] = ACTIONS(2849),
    [anon_sym_constinit] = ACTIONS(2849),
    [anon_sym_consteval] = ACTIONS(2849),
    [sym_primitive_type] = ACTIONS(2849),
    [anon_sym_enum] = ACTIONS(2849),
    [anon_sym_class] = ACTIONS(2849),
    [anon_sym_struct] = ACTIONS(2849),
    [anon_sym_union] = ACTIONS(2849),
    [anon_sym_if] = ACTIONS(2849),
    [anon_sym_switch] = ACTIONS(2849),
    [anon_sym_case] = ACTIONS(2849),
    [anon_sym_default] = ACTIONS(2849),
    [anon_sym_while] = ACTIONS(2849),
    [anon_sym_do] = ACTIONS(2849),
    [anon_sym_for] = ACTIONS(2849),
    [anon_sym_return] = ACTIONS(2849),
    [anon_sym_break] = ACTIONS(2849),
    [anon_sym_continue] = ACTIONS(2849),
    [anon_sym_goto] = ACTIONS(2849),
    [anon_sym___try] = ACTIONS(2849),
    [anon_sym___leave] = ACTIONS(2849),
    [anon_sym_not] = ACTIONS(2849),
    [anon_sym_compl] = ACTIONS(2849),
    [anon_sym_DASH_DASH] = ACTIONS(2851),
    [anon_sym_PLUS_PLUS] = ACTIONS(2851),
    [anon_sym_sizeof] = ACTIONS(2849),
    [anon_sym___alignof__] = ACTIONS(2849),
    [anon_sym___alignof] = ACTIONS(2849),
    [anon_sym__alignof] = ACTIONS(2849),
    [anon_sym_alignof] = ACTIONS(2849),
    [anon_sym__Alignof] = ACTIONS(2849),
    [anon_sym_offsetof] = ACTIONS(2849),
    [anon_sym__Generic] = ACTIONS(2849),
    [anon_sym_asm] = ACTIONS(2849),
    [anon_sym___asm__] = ACTIONS(2849),
    [sym_number_literal] = ACTIONS(2851),
    [anon_sym_L_SQUOTE] = ACTIONS(2851),
    [anon_sym_u_SQUOTE] = ACTIONS(2851),
    [anon_sym_U_SQUOTE] = ACTIONS(2851),
    [anon_sym_u8_SQUOTE] = ACTIONS(2851),
    [anon_sym_SQUOTE] = ACTIONS(2851),
    [anon_sym_L_DQUOTE] = ACTIONS(2851),
    [anon_sym_u_DQUOTE] = ACTIONS(2851),
    [anon_sym_U_DQUOTE] = ACTIONS(2851),
    [anon_sym_u8_DQUOTE] = ACTIONS(2851),
    [anon_sym_DQUOTE] = ACTIONS(2851),
    [sym_true] = ACTIONS(2849),
    [sym_false] = ACTIONS(2849),
    [anon_sym_NULL] = ACTIONS(2849),
    [anon_sym_nullptr] = ACTIONS(2849),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2849),
    [anon_sym_decltype] = ACTIONS(2849),
    [anon_sym_virtual] = ACTIONS(2849),
    [anon_sym_alignas] = ACTIONS(2849),
    [anon_sym_explicit] = ACTIONS(2849),
    [anon_sym_typename] = ACTIONS(2849),
    [anon_sym_template] = ACTIONS(2849),
    [anon_sym_operator] = ACTIONS(2849),
    [anon_sym_try] = ACTIONS(2849),
    [anon_sym_delete] = ACTIONS(2849),
    [anon_sym_throw] = ACTIONS(2849),
    [anon_sym_namespace] = ACTIONS(2849),
    [anon_sym_using] = ACTIONS(2849),
    [anon_sym_static_assert] = ACTIONS(2849),
    [anon_sym_concept] = ACTIONS(2849),
    [anon_sym_co_return] = ACTIONS(2849),
    [anon_sym_co_yield] = ACTIONS(2849),
    [anon_sym_R_DQUOTE] = ACTIONS(2851),
    [anon_sym_LR_DQUOTE] = ACTIONS(2851),
    [anon_sym_uR_DQUOTE] = ACTIONS(2851),
    [anon_sym_UR_DQUOTE] = ACTIONS(2851),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2851),
    [anon_sym_co_await] = ACTIONS(2849),
    [anon_sym_new] = ACTIONS(2849),
    [anon_sym_requires] = ACTIONS(2849),
    [sym_this] = ACTIONS(2849),
    [anon_sym_discard] = ACTIONS(2849),
    [anon_sym_precise] = ACTIONS(2849),
    [anon_sym_shared] = ACTIONS(2849),
    [anon_sym_groupshared] = ACTIONS(2849),
    [anon_sym_uniform] = ACTIONS(2849),
    [anon_sym_row_major] = ACTIONS(2849),
    [anon_sym_column_major] = ACTIONS(2849),
    [anon_sym_globallycoherent] = ACTIONS(2849),
    [anon_sym_centroid] = ACTIONS(2849),
    [anon_sym_noperspective] = ACTIONS(2849),
    [anon_sym_nointerpolation] = ACTIONS(2849),
    [anon_sym_sample] = ACTIONS(2849),
    [anon_sym_linear] = ACTIONS(2849),
    [anon_sym_snorm] = ACTIONS(2849),
    [anon_sym_unorm] = ACTIONS(2849),
    [anon_sym_point] = ACTIONS(2849),
    [anon_sym_line] = ACTIONS(2849),
    [anon_sym_triangleadj] = ACTIONS(2849),
    [anon_sym_lineadj] = ACTIONS(2849),
    [anon_sym_triangle] = ACTIONS(2849),
    [anon_sym_cbuffer] = ACTIONS(2849),
  },
  [459] = {
    [sym_identifier] = ACTIONS(2853),
    [aux_sym_preproc_include_token1] = ACTIONS(2853),
    [aux_sym_preproc_def_token1] = ACTIONS(2853),
    [aux_sym_preproc_if_token1] = ACTIONS(2853),
    [aux_sym_preproc_if_token2] = ACTIONS(2853),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2853),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2853),
    [aux_sym_preproc_else_token1] = ACTIONS(2853),
    [aux_sym_preproc_elif_token1] = ACTIONS(2853),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2853),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2853),
    [sym_preproc_directive] = ACTIONS(2853),
    [anon_sym_LPAREN2] = ACTIONS(2855),
    [anon_sym_BANG] = ACTIONS(2855),
    [anon_sym_TILDE] = ACTIONS(2855),
    [anon_sym_DASH] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(2853),
    [anon_sym_STAR] = ACTIONS(2855),
    [anon_sym_AMP_AMP] = ACTIONS(2855),
    [anon_sym_AMP] = ACTIONS(2853),
    [anon_sym_SEMI] = ACTIONS(2855),
    [anon_sym___extension__] = ACTIONS(2853),
    [anon_sym_typedef] = ACTIONS(2853),
    [anon_sym_in] = ACTIONS(2853),
    [anon_sym_out] = ACTIONS(2853),
    [anon_sym_inout] = ACTIONS(2853),
    [anon_sym_extern] = ACTIONS(2853),
    [anon_sym___attribute__] = ACTIONS(2853),
    [anon_sym_COLON_COLON] = ACTIONS(2855),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2855),
    [anon_sym___declspec] = ACTIONS(2853),
    [anon_sym___based] = ACTIONS(2853),
    [anon_sym___cdecl] = ACTIONS(2853),
    [anon_sym___clrcall] = ACTIONS(2853),
    [anon_sym___stdcall] = ACTIONS(2853),
    [anon_sym___fastcall] = ACTIONS(2853),
    [anon_sym___thiscall] = ACTIONS(2853),
    [anon_sym___vectorcall] = ACTIONS(2853),
    [anon_sym_LBRACE] = ACTIONS(2855),
    [anon_sym_signed] = ACTIONS(2853),
    [anon_sym_unsigned] = ACTIONS(2853),
    [anon_sym_long] = ACTIONS(2853),
    [anon_sym_short] = ACTIONS(2853),
    [anon_sym_LBRACK] = ACTIONS(2853),
    [anon_sym_static] = ACTIONS(2853),
    [anon_sym_register] = ACTIONS(2853),
    [anon_sym_inline] = ACTIONS(2853),
    [anon_sym___inline] = ACTIONS(2853),
    [anon_sym___inline__] = ACTIONS(2853),
    [anon_sym___forceinline] = ACTIONS(2853),
    [anon_sym_thread_local] = ACTIONS(2853),
    [anon_sym___thread] = ACTIONS(2853),
    [anon_sym_const] = ACTIONS(2853),
    [anon_sym_constexpr] = ACTIONS(2853),
    [anon_sym_volatile] = ACTIONS(2853),
    [anon_sym_restrict] = ACTIONS(2853),
    [anon_sym___restrict__] = ACTIONS(2853),
    [anon_sym__Atomic] = ACTIONS(2853),
    [anon_sym__Noreturn] = ACTIONS(2853),
    [anon_sym_noreturn] = ACTIONS(2853),
    [anon_sym_mutable] = ACTIONS(2853),
    [anon_sym_constinit] = ACTIONS(2853),
    [anon_sym_consteval] = ACTIONS(2853),
    [sym_primitive_type] = ACTIONS(2853),
    [anon_sym_enum] = ACTIONS(2853),
    [anon_sym_class] = ACTIONS(2853),
    [anon_sym_struct] = ACTIONS(2853),
    [anon_sym_union] = ACTIONS(2853),
    [anon_sym_if] = ACTIONS(2853),
    [anon_sym_switch] = ACTIONS(2853),
    [anon_sym_case] = ACTIONS(2853),
    [anon_sym_default] = ACTIONS(2853),
    [anon_sym_while] = ACTIONS(2853),
    [anon_sym_do] = ACTIONS(2853),
    [anon_sym_for] = ACTIONS(2853),
    [anon_sym_return] = ACTIONS(2853),
    [anon_sym_break] = ACTIONS(2853),
    [anon_sym_continue] = ACTIONS(2853),
    [anon_sym_goto] = ACTIONS(2853),
    [anon_sym___try] = ACTIONS(2853),
    [anon_sym___leave] = ACTIONS(2853),
    [anon_sym_not] = ACTIONS(2853),
    [anon_sym_compl] = ACTIONS(2853),
    [anon_sym_DASH_DASH] = ACTIONS(2855),
    [anon_sym_PLUS_PLUS] = ACTIONS(2855),
    [anon_sym_sizeof] = ACTIONS(2853),
    [anon_sym___alignof__] = ACTIONS(2853),
    [anon_sym___alignof] = ACTIONS(2853),
    [anon_sym__alignof] = ACTIONS(2853),
    [anon_sym_alignof] = ACTIONS(2853),
    [anon_sym__Alignof] = ACTIONS(2853),
    [anon_sym_offsetof] = ACTIONS(2853),
    [anon_sym__Generic] = ACTIONS(2853),
    [anon_sym_asm] = ACTIONS(2853),
    [anon_sym___asm__] = ACTIONS(2853),
    [sym_number_literal] = ACTIONS(2855),
    [anon_sym_L_SQUOTE] = ACTIONS(2855),
    [anon_sym_u_SQUOTE] = ACTIONS(2855),
    [anon_sym_U_SQUOTE] = ACTIONS(2855),
    [anon_sym_u8_SQUOTE] = ACTIONS(2855),
    [anon_sym_SQUOTE] = ACTIONS(2855),
    [anon_sym_L_DQUOTE] = ACTIONS(2855),
    [anon_sym_u_DQUOTE] = ACTIONS(2855),
    [anon_sym_U_DQUOTE] = ACTIONS(2855),
    [anon_sym_u8_DQUOTE] = ACTIONS(2855),
    [anon_sym_DQUOTE] = ACTIONS(2855),
    [sym_true] = ACTIONS(2853),
    [sym_false] = ACTIONS(2853),
    [anon_sym_NULL] = ACTIONS(2853),
    [anon_sym_nullptr] = ACTIONS(2853),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2853),
    [anon_sym_decltype] = ACTIONS(2853),
    [anon_sym_virtual] = ACTIONS(2853),
    [anon_sym_alignas] = ACTIONS(2853),
    [anon_sym_explicit] = ACTIONS(2853),
    [anon_sym_typename] = ACTIONS(2853),
    [anon_sym_template] = ACTIONS(2853),
    [anon_sym_operator] = ACTIONS(2853),
    [anon_sym_try] = ACTIONS(2853),
    [anon_sym_delete] = ACTIONS(2853),
    [anon_sym_throw] = ACTIONS(2853),
    [anon_sym_namespace] = ACTIONS(2853),
    [anon_sym_using] = ACTIONS(2853),
    [anon_sym_static_assert] = ACTIONS(2853),
    [anon_sym_concept] = ACTIONS(2853),
    [anon_sym_co_return] = ACTIONS(2853),
    [anon_sym_co_yield] = ACTIONS(2853),
    [anon_sym_R_DQUOTE] = ACTIONS(2855),
    [anon_sym_LR_DQUOTE] = ACTIONS(2855),
    [anon_sym_uR_DQUOTE] = ACTIONS(2855),
    [anon_sym_UR_DQUOTE] = ACTIONS(2855),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2855),
    [anon_sym_co_await] = ACTIONS(2853),
    [anon_sym_new] = ACTIONS(2853),
    [anon_sym_requires] = ACTIONS(2853),
    [sym_this] = ACTIONS(2853),
    [anon_sym_discard] = ACTIONS(2853),
    [anon_sym_precise] = ACTIONS(2853),
    [anon_sym_shared] = ACTIONS(2853),
    [anon_sym_groupshared] = ACTIONS(2853),
    [anon_sym_uniform] = ACTIONS(2853),
    [anon_sym_row_major] = ACTIONS(2853),
    [anon_sym_column_major] = ACTIONS(2853),
    [anon_sym_globallycoherent] = ACTIONS(2853),
    [anon_sym_centroid] = ACTIONS(2853),
    [anon_sym_noperspective] = ACTIONS(2853),
    [anon_sym_nointerpolation] = ACTIONS(2853),
    [anon_sym_sample] = ACTIONS(2853),
    [anon_sym_linear] = ACTIONS(2853),
    [anon_sym_snorm] = ACTIONS(2853),
    [anon_sym_unorm] = ACTIONS(2853),
    [anon_sym_point] = ACTIONS(2853),
    [anon_sym_line] = ACTIONS(2853),
    [anon_sym_triangleadj] = ACTIONS(2853),
    [anon_sym_lineadj] = ACTIONS(2853),
    [anon_sym_triangle] = ACTIONS(2853),
    [anon_sym_cbuffer] = ACTIONS(2853),
  },
  [460] = {
    [ts_builtin_sym_end] = ACTIONS(2256),
    [sym_identifier] = ACTIONS(2254),
    [aux_sym_preproc_include_token1] = ACTIONS(2254),
    [aux_sym_preproc_def_token1] = ACTIONS(2254),
    [aux_sym_preproc_if_token1] = ACTIONS(2254),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2254),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2254),
    [sym_preproc_directive] = ACTIONS(2254),
    [anon_sym_LPAREN2] = ACTIONS(2256),
    [anon_sym_BANG] = ACTIONS(2256),
    [anon_sym_TILDE] = ACTIONS(2256),
    [anon_sym_DASH] = ACTIONS(2254),
    [anon_sym_PLUS] = ACTIONS(2254),
    [anon_sym_STAR] = ACTIONS(2256),
    [anon_sym_AMP_AMP] = ACTIONS(2256),
    [anon_sym_AMP] = ACTIONS(2254),
    [anon_sym_COLON] = ACTIONS(2254),
    [anon_sym_SEMI] = ACTIONS(2256),
    [anon_sym___extension__] = ACTIONS(2254),
    [anon_sym_typedef] = ACTIONS(2254),
    [anon_sym_in] = ACTIONS(2254),
    [anon_sym_out] = ACTIONS(2254),
    [anon_sym_inout] = ACTIONS(2254),
    [anon_sym_extern] = ACTIONS(2254),
    [anon_sym___attribute__] = ACTIONS(2254),
    [anon_sym_COLON_COLON] = ACTIONS(2256),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2256),
    [anon_sym___declspec] = ACTIONS(2254),
    [anon_sym___based] = ACTIONS(2254),
    [anon_sym___cdecl] = ACTIONS(2254),
    [anon_sym___clrcall] = ACTIONS(2254),
    [anon_sym___stdcall] = ACTIONS(2254),
    [anon_sym___fastcall] = ACTIONS(2254),
    [anon_sym___thiscall] = ACTIONS(2254),
    [anon_sym___vectorcall] = ACTIONS(2254),
    [anon_sym_LBRACE] = ACTIONS(2256),
    [anon_sym_signed] = ACTIONS(2254),
    [anon_sym_unsigned] = ACTIONS(2254),
    [anon_sym_long] = ACTIONS(2254),
    [anon_sym_short] = ACTIONS(2254),
    [anon_sym_LBRACK] = ACTIONS(2254),
    [anon_sym_static] = ACTIONS(2254),
    [anon_sym_register] = ACTIONS(2254),
    [anon_sym_inline] = ACTIONS(2254),
    [anon_sym___inline] = ACTIONS(2254),
    [anon_sym___inline__] = ACTIONS(2254),
    [anon_sym___forceinline] = ACTIONS(2254),
    [anon_sym_thread_local] = ACTIONS(2254),
    [anon_sym___thread] = ACTIONS(2254),
    [anon_sym_const] = ACTIONS(2254),
    [anon_sym_constexpr] = ACTIONS(2254),
    [anon_sym_volatile] = ACTIONS(2254),
    [anon_sym_restrict] = ACTIONS(2254),
    [anon_sym___restrict__] = ACTIONS(2254),
    [anon_sym__Atomic] = ACTIONS(2254),
    [anon_sym__Noreturn] = ACTIONS(2254),
    [anon_sym_noreturn] = ACTIONS(2254),
    [anon_sym_mutable] = ACTIONS(2254),
    [anon_sym_constinit] = ACTIONS(2254),
    [anon_sym_consteval] = ACTIONS(2254),
    [sym_primitive_type] = ACTIONS(2254),
    [anon_sym_enum] = ACTIONS(2254),
    [anon_sym_class] = ACTIONS(2254),
    [anon_sym_struct] = ACTIONS(2254),
    [anon_sym_union] = ACTIONS(2254),
    [anon_sym_if] = ACTIONS(2254),
    [anon_sym_else] = ACTIONS(2254),
    [anon_sym_switch] = ACTIONS(2254),
    [anon_sym_case] = ACTIONS(2254),
    [anon_sym_default] = ACTIONS(2254),
    [anon_sym_while] = ACTIONS(2254),
    [anon_sym_do] = ACTIONS(2254),
    [anon_sym_for] = ACTIONS(2254),
    [anon_sym_return] = ACTIONS(2254),
    [anon_sym_break] = ACTIONS(2254),
    [anon_sym_continue] = ACTIONS(2254),
    [anon_sym_goto] = ACTIONS(2254),
    [anon_sym___try] = ACTIONS(2254),
    [anon_sym___leave] = ACTIONS(2254),
    [anon_sym_not] = ACTIONS(2254),
    [anon_sym_compl] = ACTIONS(2254),
    [anon_sym_DASH_DASH] = ACTIONS(2256),
    [anon_sym_PLUS_PLUS] = ACTIONS(2256),
    [anon_sym_sizeof] = ACTIONS(2254),
    [anon_sym___alignof__] = ACTIONS(2254),
    [anon_sym___alignof] = ACTIONS(2254),
    [anon_sym__alignof] = ACTIONS(2254),
    [anon_sym_alignof] = ACTIONS(2254),
    [anon_sym__Alignof] = ACTIONS(2254),
    [anon_sym_offsetof] = ACTIONS(2254),
    [anon_sym__Generic] = ACTIONS(2254),
    [anon_sym_asm] = ACTIONS(2254),
    [anon_sym___asm__] = ACTIONS(2254),
    [sym_number_literal] = ACTIONS(2256),
    [anon_sym_L_SQUOTE] = ACTIONS(2256),
    [anon_sym_u_SQUOTE] = ACTIONS(2256),
    [anon_sym_U_SQUOTE] = ACTIONS(2256),
    [anon_sym_u8_SQUOTE] = ACTIONS(2256),
    [anon_sym_SQUOTE] = ACTIONS(2256),
    [anon_sym_L_DQUOTE] = ACTIONS(2256),
    [anon_sym_u_DQUOTE] = ACTIONS(2256),
    [anon_sym_U_DQUOTE] = ACTIONS(2256),
    [anon_sym_u8_DQUOTE] = ACTIONS(2256),
    [anon_sym_DQUOTE] = ACTIONS(2256),
    [sym_true] = ACTIONS(2254),
    [sym_false] = ACTIONS(2254),
    [anon_sym_NULL] = ACTIONS(2254),
    [anon_sym_nullptr] = ACTIONS(2254),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2254),
    [anon_sym_decltype] = ACTIONS(2254),
    [anon_sym_final] = ACTIONS(2254),
    [anon_sym_override] = ACTIONS(2254),
    [anon_sym_virtual] = ACTIONS(2254),
    [anon_sym_alignas] = ACTIONS(2254),
    [anon_sym_explicit] = ACTIONS(2254),
    [anon_sym_typename] = ACTIONS(2254),
    [anon_sym_template] = ACTIONS(2254),
    [anon_sym_operator] = ACTIONS(2254),
    [anon_sym_try] = ACTIONS(2254),
    [anon_sym_delete] = ACTIONS(2254),
    [anon_sym_throw] = ACTIONS(2254),
    [anon_sym_namespace] = ACTIONS(2254),
    [anon_sym_using] = ACTIONS(2254),
    [anon_sym_static_assert] = ACTIONS(2254),
    [anon_sym_concept] = ACTIONS(2254),
    [anon_sym_co_return] = ACTIONS(2254),
    [anon_sym_co_yield] = ACTIONS(2254),
    [anon_sym_R_DQUOTE] = ACTIONS(2256),
    [anon_sym_LR_DQUOTE] = ACTIONS(2256),
    [anon_sym_uR_DQUOTE] = ACTIONS(2256),
    [anon_sym_UR_DQUOTE] = ACTIONS(2256),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2256),
    [anon_sym_co_await] = ACTIONS(2254),
    [anon_sym_new] = ACTIONS(2254),
    [anon_sym_requires] = ACTIONS(2254),
    [sym_this] = ACTIONS(2254),
    [anon_sym_discard] = ACTIONS(2254),
    [anon_sym_precise] = ACTIONS(2254),
    [anon_sym_shared] = ACTIONS(2254),
    [anon_sym_groupshared] = ACTIONS(2254),
    [anon_sym_uniform] = ACTIONS(2254),
    [anon_sym_row_major] = ACTIONS(2254),
    [anon_sym_column_major] = ACTIONS(2254),
    [anon_sym_globallycoherent] = ACTIONS(2254),
    [anon_sym_centroid] = ACTIONS(2254),
    [anon_sym_noperspective] = ACTIONS(2254),
    [anon_sym_nointerpolation] = ACTIONS(2254),
    [anon_sym_sample] = ACTIONS(2254),
    [anon_sym_linear] = ACTIONS(2254),
    [anon_sym_snorm] = ACTIONS(2254),
    [anon_sym_unorm] = ACTIONS(2254),
    [anon_sym_point] = ACTIONS(2254),
    [anon_sym_line] = ACTIONS(2254),
    [anon_sym_triangleadj] = ACTIONS(2254),
    [anon_sym_lineadj] = ACTIONS(2254),
    [anon_sym_triangle] = ACTIONS(2254),
    [anon_sym_cbuffer] = ACTIONS(2254),
  },
  [461] = {
    [sym_identifier] = ACTIONS(2200),
    [aux_sym_preproc_include_token1] = ACTIONS(2200),
    [aux_sym_preproc_def_token1] = ACTIONS(2200),
    [aux_sym_preproc_if_token1] = ACTIONS(2200),
    [aux_sym_preproc_if_token2] = ACTIONS(2200),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2200),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2200),
    [sym_preproc_directive] = ACTIONS(2200),
    [anon_sym_LPAREN2] = ACTIONS(2202),
    [anon_sym_BANG] = ACTIONS(2202),
    [anon_sym_TILDE] = ACTIONS(2202),
    [anon_sym_DASH] = ACTIONS(2200),
    [anon_sym_PLUS] = ACTIONS(2200),
    [anon_sym_STAR] = ACTIONS(2202),
    [anon_sym_AMP_AMP] = ACTIONS(2202),
    [anon_sym_AMP] = ACTIONS(2200),
    [anon_sym_COLON] = ACTIONS(2200),
    [anon_sym_SEMI] = ACTIONS(2202),
    [anon_sym___extension__] = ACTIONS(2200),
    [anon_sym_typedef] = ACTIONS(2200),
    [anon_sym_in] = ACTIONS(2200),
    [anon_sym_out] = ACTIONS(2200),
    [anon_sym_inout] = ACTIONS(2200),
    [anon_sym_extern] = ACTIONS(2200),
    [anon_sym___attribute__] = ACTIONS(2200),
    [anon_sym_COLON_COLON] = ACTIONS(2202),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2202),
    [anon_sym___declspec] = ACTIONS(2200),
    [anon_sym___based] = ACTIONS(2200),
    [anon_sym___cdecl] = ACTIONS(2200),
    [anon_sym___clrcall] = ACTIONS(2200),
    [anon_sym___stdcall] = ACTIONS(2200),
    [anon_sym___fastcall] = ACTIONS(2200),
    [anon_sym___thiscall] = ACTIONS(2200),
    [anon_sym___vectorcall] = ACTIONS(2200),
    [anon_sym_LBRACE] = ACTIONS(2202),
    [anon_sym_signed] = ACTIONS(2200),
    [anon_sym_unsigned] = ACTIONS(2200),
    [anon_sym_long] = ACTIONS(2200),
    [anon_sym_short] = ACTIONS(2200),
    [anon_sym_LBRACK] = ACTIONS(2200),
    [anon_sym_static] = ACTIONS(2200),
    [anon_sym_register] = ACTIONS(2200),
    [anon_sym_inline] = ACTIONS(2200),
    [anon_sym___inline] = ACTIONS(2200),
    [anon_sym___inline__] = ACTIONS(2200),
    [anon_sym___forceinline] = ACTIONS(2200),
    [anon_sym_thread_local] = ACTIONS(2200),
    [anon_sym___thread] = ACTIONS(2200),
    [anon_sym_const] = ACTIONS(2200),
    [anon_sym_constexpr] = ACTIONS(2200),
    [anon_sym_volatile] = ACTIONS(2200),
    [anon_sym_restrict] = ACTIONS(2200),
    [anon_sym___restrict__] = ACTIONS(2200),
    [anon_sym__Atomic] = ACTIONS(2200),
    [anon_sym__Noreturn] = ACTIONS(2200),
    [anon_sym_noreturn] = ACTIONS(2200),
    [anon_sym_mutable] = ACTIONS(2200),
    [anon_sym_constinit] = ACTIONS(2200),
    [anon_sym_consteval] = ACTIONS(2200),
    [sym_primitive_type] = ACTIONS(2200),
    [anon_sym_enum] = ACTIONS(2200),
    [anon_sym_class] = ACTIONS(2200),
    [anon_sym_struct] = ACTIONS(2200),
    [anon_sym_union] = ACTIONS(2200),
    [anon_sym_if] = ACTIONS(2200),
    [anon_sym_else] = ACTIONS(2200),
    [anon_sym_switch] = ACTIONS(2200),
    [anon_sym_case] = ACTIONS(2200),
    [anon_sym_default] = ACTIONS(2200),
    [anon_sym_while] = ACTIONS(2200),
    [anon_sym_do] = ACTIONS(2200),
    [anon_sym_for] = ACTIONS(2200),
    [anon_sym_return] = ACTIONS(2200),
    [anon_sym_break] = ACTIONS(2200),
    [anon_sym_continue] = ACTIONS(2200),
    [anon_sym_goto] = ACTIONS(2200),
    [anon_sym___try] = ACTIONS(2200),
    [anon_sym___leave] = ACTIONS(2200),
    [anon_sym_not] = ACTIONS(2200),
    [anon_sym_compl] = ACTIONS(2200),
    [anon_sym_DASH_DASH] = ACTIONS(2202),
    [anon_sym_PLUS_PLUS] = ACTIONS(2202),
    [anon_sym_sizeof] = ACTIONS(2200),
    [anon_sym___alignof__] = ACTIONS(2200),
    [anon_sym___alignof] = ACTIONS(2200),
    [anon_sym__alignof] = ACTIONS(2200),
    [anon_sym_alignof] = ACTIONS(2200),
    [anon_sym__Alignof] = ACTIONS(2200),
    [anon_sym_offsetof] = ACTIONS(2200),
    [anon_sym__Generic] = ACTIONS(2200),
    [anon_sym_asm] = ACTIONS(2200),
    [anon_sym___asm__] = ACTIONS(2200),
    [sym_number_literal] = ACTIONS(2202),
    [anon_sym_L_SQUOTE] = ACTIONS(2202),
    [anon_sym_u_SQUOTE] = ACTIONS(2202),
    [anon_sym_U_SQUOTE] = ACTIONS(2202),
    [anon_sym_u8_SQUOTE] = ACTIONS(2202),
    [anon_sym_SQUOTE] = ACTIONS(2202),
    [anon_sym_L_DQUOTE] = ACTIONS(2202),
    [anon_sym_u_DQUOTE] = ACTIONS(2202),
    [anon_sym_U_DQUOTE] = ACTIONS(2202),
    [anon_sym_u8_DQUOTE] = ACTIONS(2202),
    [anon_sym_DQUOTE] = ACTIONS(2202),
    [sym_true] = ACTIONS(2200),
    [sym_false] = ACTIONS(2200),
    [anon_sym_NULL] = ACTIONS(2200),
    [anon_sym_nullptr] = ACTIONS(2200),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2200),
    [anon_sym_decltype] = ACTIONS(2200),
    [anon_sym_final] = ACTIONS(2200),
    [anon_sym_override] = ACTIONS(2200),
    [anon_sym_virtual] = ACTIONS(2200),
    [anon_sym_alignas] = ACTIONS(2200),
    [anon_sym_explicit] = ACTIONS(2200),
    [anon_sym_typename] = ACTIONS(2200),
    [anon_sym_template] = ACTIONS(2200),
    [anon_sym_operator] = ACTIONS(2200),
    [anon_sym_try] = ACTIONS(2200),
    [anon_sym_delete] = ACTIONS(2200),
    [anon_sym_throw] = ACTIONS(2200),
    [anon_sym_namespace] = ACTIONS(2200),
    [anon_sym_using] = ACTIONS(2200),
    [anon_sym_static_assert] = ACTIONS(2200),
    [anon_sym_concept] = ACTIONS(2200),
    [anon_sym_co_return] = ACTIONS(2200),
    [anon_sym_co_yield] = ACTIONS(2200),
    [anon_sym_R_DQUOTE] = ACTIONS(2202),
    [anon_sym_LR_DQUOTE] = ACTIONS(2202),
    [anon_sym_uR_DQUOTE] = ACTIONS(2202),
    [anon_sym_UR_DQUOTE] = ACTIONS(2202),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2202),
    [anon_sym_co_await] = ACTIONS(2200),
    [anon_sym_new] = ACTIONS(2200),
    [anon_sym_requires] = ACTIONS(2200),
    [sym_this] = ACTIONS(2200),
    [anon_sym_discard] = ACTIONS(2200),
    [anon_sym_precise] = ACTIONS(2200),
    [anon_sym_shared] = ACTIONS(2200),
    [anon_sym_groupshared] = ACTIONS(2200),
    [anon_sym_uniform] = ACTIONS(2200),
    [anon_sym_row_major] = ACTIONS(2200),
    [anon_sym_column_major] = ACTIONS(2200),
    [anon_sym_globallycoherent] = ACTIONS(2200),
    [anon_sym_centroid] = ACTIONS(2200),
    [anon_sym_noperspective] = ACTIONS(2200),
    [anon_sym_nointerpolation] = ACTIONS(2200),
    [anon_sym_sample] = ACTIONS(2200),
    [anon_sym_linear] = ACTIONS(2200),
    [anon_sym_snorm] = ACTIONS(2200),
    [anon_sym_unorm] = ACTIONS(2200),
    [anon_sym_point] = ACTIONS(2200),
    [anon_sym_line] = ACTIONS(2200),
    [anon_sym_triangleadj] = ACTIONS(2200),
    [anon_sym_lineadj] = ACTIONS(2200),
    [anon_sym_triangle] = ACTIONS(2200),
    [anon_sym_cbuffer] = ACTIONS(2200),
  },
  [462] = {
    [sym_preproc_def] = STATE(1102),
    [sym_preproc_function_def] = STATE(1102),
    [sym_preproc_call] = STATE(1102),
    [sym_preproc_if_in_field_declaration_list] = STATE(1102),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(1102),
    [sym_preproc_else_in_field_declaration_list] = STATE(9445),
    [sym_preproc_elif_in_field_declaration_list] = STATE(9445),
    [sym_preproc_elifdef_in_field_declaration_list] = STATE(9445),
    [sym_type_definition] = STATE(1102),
    [sym__declaration_modifiers] = STATE(3159),
    [sym__declaration_specifiers] = STATE(6906),
    [sym_attribute_specifier] = STATE(3159),
    [sym_attribute_declaration] = STATE(3159),
    [sym_ms_declspec_modifier] = STATE(3159),
    [sym_ms_based_modifier] = STATE(10332),
    [sym__declarator] = STATE(7978),
    [sym_parenthesized_declarator] = STATE(7680),
    [sym_attributed_declarator] = STATE(7680),
    [sym_pointer_declarator] = STATE(7680),
    [sym_function_declarator] = STATE(7506),
    [sym_array_declarator] = STATE(7680),
    [sym_storage_class_specifier] = STATE(3159),
    [sym_type_qualifier] = STATE(3159),
    [sym__type_specifier] = STATE(2827),
    [sym_sized_type_specifier] = STATE(3085),
    [sym_enum_specifier] = STATE(3085),
    [sym_struct_specifier] = STATE(3085),
    [sym_union_specifier] = STATE(3085),
    [sym__field_declaration_list_item] = STATE(1102),
    [sym_field_declaration] = STATE(1102),
    [sym_placeholder_type_specifier] = STATE(3085),
    [sym_decltype_auto] = STATE(3091),
    [sym_decltype] = STATE(3050),
    [sym_class_specifier] = STATE(3085),
    [sym_virtual] = STATE(3159),
    [sym_alignas_specifier] = STATE(3159),
    [sym_explicit_function_specifier] = STATE(2515),
    [sym_dependent_type] = STATE(3085),
    [sym_template_declaration] = STATE(1102),
    [sym_operator_cast] = STATE(8047),
    [sym_inline_method_definition] = STATE(1102),
    [sym__constructor_specifiers] = STATE(2515),
    [sym_operator_cast_definition] = STATE(1102),
    [sym_operator_cast_declaration] = STATE(1102),
    [sym_constructor_or_destructor_definition] = STATE(1102),
    [sym_constructor_or_destructor_declaration] = STATE(1102),
    [sym_friend_declaration] = STATE(1102),
    [sym_access_specifier] = STATE(9869),
    [sym_reference_declarator] = STATE(7680),
    [sym_structured_binding_declarator] = STATE(7680),
    [sym_template_type] = STATE(3050),
    [sym_template_function] = STATE(7680),
    [sym_using_declaration] = STATE(1102),
    [sym_alias_declaration] = STATE(1102),
    [sym_static_assert_declaration] = STATE(1102),
    [sym_destructor_name] = STATE(7680),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6733),
    [sym_qualified_identifier] = STATE(7680),
    [sym_qualified_type_identifier] = STATE(3068),
    [sym_qualified_operator_cast_identifier] = STATE(8047),
    [sym_operator_name] = STATE(7680),
    [sym_qualifiers] = STATE(3159),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(1102),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2680),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3021),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2515),
    [sym_identifier] = ACTIONS(2857),
    [aux_sym_preproc_def_token1] = ACTIONS(2859),
    [aux_sym_preproc_if_token1] = ACTIONS(2861),
    [aux_sym_preproc_if_token2] = ACTIONS(2863),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2865),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2865),
    [aux_sym_preproc_else_token1] = ACTIONS(2867),
    [aux_sym_preproc_elif_token1] = ACTIONS(2869),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2871),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2871),
    [sym_preproc_directive] = ACTIONS(2873),
    [anon_sym_LPAREN2] = ACTIONS(2875),
    [anon_sym_TILDE] = ACTIONS(2877),
    [anon_sym_STAR] = ACTIONS(2879),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(2881),
    [anon_sym___extension__] = ACTIONS(2883),
    [anon_sym_typedef] = ACTIONS(2885),
    [anon_sym_in] = ACTIONS(37),
    [anon_sym_out] = ACTIONS(37),
    [anon_sym_inout] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(2887),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2096),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(2889),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(2891),
    [anon_sym_enum] = ACTIONS(2893),
    [anon_sym_class] = ACTIONS(2895),
    [anon_sym_struct] = ACTIONS(2897),
    [anon_sym_union] = ACTIONS(2899),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [anon_sym_virtual] = ACTIONS(123),
    [anon_sym_alignas] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(2901),
    [anon_sym_template] = ACTIONS(2903),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_friend] = ACTIONS(2905),
    [anon_sym_public] = ACTIONS(2907),
    [anon_sym_private] = ACTIONS(2907),
    [anon_sym_protected] = ACTIONS(2907),
    [anon_sym_using] = ACTIONS(2909),
    [anon_sym_static_assert] = ACTIONS(2911),
    [anon_sym_precise] = ACTIONS(161),
    [anon_sym_shared] = ACTIONS(161),
    [anon_sym_groupshared] = ACTIONS(161),
    [anon_sym_uniform] = ACTIONS(161),
    [anon_sym_row_major] = ACTIONS(161),
    [anon_sym_column_major] = ACTIONS(161),
    [anon_sym_globallycoherent] = ACTIONS(161),
    [anon_sym_centroid] = ACTIONS(161),
    [anon_sym_noperspective] = ACTIONS(161),
    [anon_sym_nointerpolation] = ACTIONS(161),
    [anon_sym_sample] = ACTIONS(161),
    [anon_sym_linear] = ACTIONS(161),
    [anon_sym_snorm] = ACTIONS(161),
    [anon_sym_unorm] = ACTIONS(161),
    [anon_sym_point] = ACTIONS(161),
    [anon_sym_line] = ACTIONS(161),
    [anon_sym_triangleadj] = ACTIONS(161),
    [anon_sym_lineadj] = ACTIONS(161),
    [anon_sym_triangle] = ACTIONS(161),
  },
  [463] = {
    [sym_catch_clause] = STATE(354),
    [aux_sym_constructor_try_statement_repeat1] = STATE(354),
    [sym_identifier] = ACTIONS(2285),
    [aux_sym_preproc_include_token1] = ACTIONS(2285),
    [aux_sym_preproc_def_token1] = ACTIONS(2285),
    [aux_sym_preproc_if_token1] = ACTIONS(2285),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2285),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2285),
    [sym_preproc_directive] = ACTIONS(2285),
    [anon_sym_LPAREN2] = ACTIONS(2287),
    [anon_sym_BANG] = ACTIONS(2287),
    [anon_sym_TILDE] = ACTIONS(2287),
    [anon_sym_DASH] = ACTIONS(2285),
    [anon_sym_PLUS] = ACTIONS(2285),
    [anon_sym_STAR] = ACTIONS(2287),
    [anon_sym_AMP_AMP] = ACTIONS(2287),
    [anon_sym_AMP] = ACTIONS(2285),
    [anon_sym_SEMI] = ACTIONS(2287),
    [anon_sym___extension__] = ACTIONS(2285),
    [anon_sym_typedef] = ACTIONS(2285),
    [anon_sym_in] = ACTIONS(2285),
    [anon_sym_out] = ACTIONS(2285),
    [anon_sym_inout] = ACTIONS(2285),
    [anon_sym_extern] = ACTIONS(2285),
    [anon_sym___attribute__] = ACTIONS(2285),
    [anon_sym_COLON_COLON] = ACTIONS(2287),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2287),
    [anon_sym___declspec] = ACTIONS(2285),
    [anon_sym___based] = ACTIONS(2285),
    [anon_sym___cdecl] = ACTIONS(2285),
    [anon_sym___clrcall] = ACTIONS(2285),
    [anon_sym___stdcall] = ACTIONS(2285),
    [anon_sym___fastcall] = ACTIONS(2285),
    [anon_sym___thiscall] = ACTIONS(2285),
    [anon_sym___vectorcall] = ACTIONS(2285),
    [anon_sym_LBRACE] = ACTIONS(2287),
    [anon_sym_RBRACE] = ACTIONS(2287),
    [anon_sym_signed] = ACTIONS(2285),
    [anon_sym_unsigned] = ACTIONS(2285),
    [anon_sym_long] = ACTIONS(2285),
    [anon_sym_short] = ACTIONS(2285),
    [anon_sym_LBRACK] = ACTIONS(2285),
    [anon_sym_static] = ACTIONS(2285),
    [anon_sym_register] = ACTIONS(2285),
    [anon_sym_inline] = ACTIONS(2285),
    [anon_sym___inline] = ACTIONS(2285),
    [anon_sym___inline__] = ACTIONS(2285),
    [anon_sym___forceinline] = ACTIONS(2285),
    [anon_sym_thread_local] = ACTIONS(2285),
    [anon_sym___thread] = ACTIONS(2285),
    [anon_sym_const] = ACTIONS(2285),
    [anon_sym_constexpr] = ACTIONS(2285),
    [anon_sym_volatile] = ACTIONS(2285),
    [anon_sym_restrict] = ACTIONS(2285),
    [anon_sym___restrict__] = ACTIONS(2285),
    [anon_sym__Atomic] = ACTIONS(2285),
    [anon_sym__Noreturn] = ACTIONS(2285),
    [anon_sym_noreturn] = ACTIONS(2285),
    [anon_sym_mutable] = ACTIONS(2285),
    [anon_sym_constinit] = ACTIONS(2285),
    [anon_sym_consteval] = ACTIONS(2285),
    [sym_primitive_type] = ACTIONS(2285),
    [anon_sym_enum] = ACTIONS(2285),
    [anon_sym_class] = ACTIONS(2285),
    [anon_sym_struct] = ACTIONS(2285),
    [anon_sym_union] = ACTIONS(2285),
    [anon_sym_if] = ACTIONS(2285),
    [anon_sym_switch] = ACTIONS(2285),
    [anon_sym_case] = ACTIONS(2285),
    [anon_sym_default] = ACTIONS(2285),
    [anon_sym_while] = ACTIONS(2285),
    [anon_sym_do] = ACTIONS(2285),
    [anon_sym_for] = ACTIONS(2285),
    [anon_sym_return] = ACTIONS(2285),
    [anon_sym_break] = ACTIONS(2285),
    [anon_sym_continue] = ACTIONS(2285),
    [anon_sym_goto] = ACTIONS(2285),
    [anon_sym___try] = ACTIONS(2285),
    [anon_sym___leave] = ACTIONS(2285),
    [anon_sym_not] = ACTIONS(2285),
    [anon_sym_compl] = ACTIONS(2285),
    [anon_sym_DASH_DASH] = ACTIONS(2287),
    [anon_sym_PLUS_PLUS] = ACTIONS(2287),
    [anon_sym_sizeof] = ACTIONS(2285),
    [anon_sym___alignof__] = ACTIONS(2285),
    [anon_sym___alignof] = ACTIONS(2285),
    [anon_sym__alignof] = ACTIONS(2285),
    [anon_sym_alignof] = ACTIONS(2285),
    [anon_sym__Alignof] = ACTIONS(2285),
    [anon_sym_offsetof] = ACTIONS(2285),
    [anon_sym__Generic] = ACTIONS(2285),
    [anon_sym_asm] = ACTIONS(2285),
    [anon_sym___asm__] = ACTIONS(2285),
    [sym_number_literal] = ACTIONS(2287),
    [anon_sym_L_SQUOTE] = ACTIONS(2287),
    [anon_sym_u_SQUOTE] = ACTIONS(2287),
    [anon_sym_U_SQUOTE] = ACTIONS(2287),
    [anon_sym_u8_SQUOTE] = ACTIONS(2287),
    [anon_sym_SQUOTE] = ACTIONS(2287),
    [anon_sym_L_DQUOTE] = ACTIONS(2287),
    [anon_sym_u_DQUOTE] = ACTIONS(2287),
    [anon_sym_U_DQUOTE] = ACTIONS(2287),
    [anon_sym_u8_DQUOTE] = ACTIONS(2287),
    [anon_sym_DQUOTE] = ACTIONS(2287),
    [sym_true] = ACTIONS(2285),
    [sym_false] = ACTIONS(2285),
    [anon_sym_NULL] = ACTIONS(2285),
    [anon_sym_nullptr] = ACTIONS(2285),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2285),
    [anon_sym_decltype] = ACTIONS(2285),
    [anon_sym_virtual] = ACTIONS(2285),
    [anon_sym_alignas] = ACTIONS(2285),
    [anon_sym_explicit] = ACTIONS(2285),
    [anon_sym_typename] = ACTIONS(2285),
    [anon_sym_template] = ACTIONS(2285),
    [anon_sym_operator] = ACTIONS(2285),
    [anon_sym_try] = ACTIONS(2285),
    [anon_sym_delete] = ACTIONS(2285),
    [anon_sym_throw] = ACTIONS(2285),
    [anon_sym_namespace] = ACTIONS(2285),
    [anon_sym_using] = ACTIONS(2285),
    [anon_sym_static_assert] = ACTIONS(2285),
    [anon_sym_concept] = ACTIONS(2285),
    [anon_sym_co_return] = ACTIONS(2285),
    [anon_sym_co_yield] = ACTIONS(2285),
    [anon_sym_catch] = ACTIONS(2763),
    [anon_sym_R_DQUOTE] = ACTIONS(2287),
    [anon_sym_LR_DQUOTE] = ACTIONS(2287),
    [anon_sym_uR_DQUOTE] = ACTIONS(2287),
    [anon_sym_UR_DQUOTE] = ACTIONS(2287),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2287),
    [anon_sym_co_await] = ACTIONS(2285),
    [anon_sym_new] = ACTIONS(2285),
    [anon_sym_requires] = ACTIONS(2285),
    [sym_this] = ACTIONS(2285),
    [anon_sym_discard] = ACTIONS(2285),
    [anon_sym_precise] = ACTIONS(2285),
    [anon_sym_shared] = ACTIONS(2285),
    [anon_sym_groupshared] = ACTIONS(2285),
    [anon_sym_uniform] = ACTIONS(2285),
    [anon_sym_row_major] = ACTIONS(2285),
    [anon_sym_column_major] = ACTIONS(2285),
    [anon_sym_globallycoherent] = ACTIONS(2285),
    [anon_sym_centroid] = ACTIONS(2285),
    [anon_sym_noperspective] = ACTIONS(2285),
    [anon_sym_nointerpolation] = ACTIONS(2285),
    [anon_sym_sample] = ACTIONS(2285),
    [anon_sym_linear] = ACTIONS(2285),
    [anon_sym_snorm] = ACTIONS(2285),
    [anon_sym_unorm] = ACTIONS(2285),
    [anon_sym_point] = ACTIONS(2285),
    [anon_sym_line] = ACTIONS(2285),
    [anon_sym_triangleadj] = ACTIONS(2285),
    [anon_sym_lineadj] = ACTIONS(2285),
    [anon_sym_triangle] = ACTIONS(2285),
    [anon_sym_cbuffer] = ACTIONS(2285),
  },
  [464] = {
    [sym_identifier] = ACTIONS(2376),
    [aux_sym_preproc_include_token1] = ACTIONS(2376),
    [aux_sym_preproc_def_token1] = ACTIONS(2376),
    [aux_sym_preproc_if_token1] = ACTIONS(2376),
    [aux_sym_preproc_if_token2] = ACTIONS(2376),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2376),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2376),
    [aux_sym_preproc_else_token1] = ACTIONS(2376),
    [aux_sym_preproc_elif_token1] = ACTIONS(2376),
    [sym_preproc_directive] = ACTIONS(2376),
    [anon_sym_LPAREN2] = ACTIONS(2378),
    [anon_sym_BANG] = ACTIONS(2378),
    [anon_sym_TILDE] = ACTIONS(2378),
    [anon_sym_DASH] = ACTIONS(2376),
    [anon_sym_PLUS] = ACTIONS(2376),
    [anon_sym_STAR] = ACTIONS(2378),
    [anon_sym_AMP_AMP] = ACTIONS(2378),
    [anon_sym_AMP] = ACTIONS(2376),
    [anon_sym_SEMI] = ACTIONS(2378),
    [anon_sym___extension__] = ACTIONS(2376),
    [anon_sym_typedef] = ACTIONS(2376),
    [anon_sym_in] = ACTIONS(2376),
    [anon_sym_out] = ACTIONS(2376),
    [anon_sym_inout] = ACTIONS(2376),
    [anon_sym_extern] = ACTIONS(2376),
    [anon_sym___attribute__] = ACTIONS(2376),
    [anon_sym_COLON_COLON] = ACTIONS(2378),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2378),
    [anon_sym___declspec] = ACTIONS(2376),
    [anon_sym___based] = ACTIONS(2376),
    [anon_sym___cdecl] = ACTIONS(2376),
    [anon_sym___clrcall] = ACTIONS(2376),
    [anon_sym___stdcall] = ACTIONS(2376),
    [anon_sym___fastcall] = ACTIONS(2376),
    [anon_sym___thiscall] = ACTIONS(2376),
    [anon_sym___vectorcall] = ACTIONS(2376),
    [anon_sym_LBRACE] = ACTIONS(2378),
    [anon_sym_signed] = ACTIONS(2376),
    [anon_sym_unsigned] = ACTIONS(2376),
    [anon_sym_long] = ACTIONS(2376),
    [anon_sym_short] = ACTIONS(2376),
    [anon_sym_LBRACK] = ACTIONS(2376),
    [anon_sym_static] = ACTIONS(2376),
    [anon_sym_register] = ACTIONS(2376),
    [anon_sym_inline] = ACTIONS(2376),
    [anon_sym___inline] = ACTIONS(2376),
    [anon_sym___inline__] = ACTIONS(2376),
    [anon_sym___forceinline] = ACTIONS(2376),
    [anon_sym_thread_local] = ACTIONS(2376),
    [anon_sym___thread] = ACTIONS(2376),
    [anon_sym_const] = ACTIONS(2376),
    [anon_sym_constexpr] = ACTIONS(2376),
    [anon_sym_volatile] = ACTIONS(2376),
    [anon_sym_restrict] = ACTIONS(2376),
    [anon_sym___restrict__] = ACTIONS(2376),
    [anon_sym__Atomic] = ACTIONS(2376),
    [anon_sym__Noreturn] = ACTIONS(2376),
    [anon_sym_noreturn] = ACTIONS(2376),
    [anon_sym_mutable] = ACTIONS(2376),
    [anon_sym_constinit] = ACTIONS(2376),
    [anon_sym_consteval] = ACTIONS(2376),
    [sym_primitive_type] = ACTIONS(2376),
    [anon_sym_enum] = ACTIONS(2376),
    [anon_sym_class] = ACTIONS(2376),
    [anon_sym_struct] = ACTIONS(2376),
    [anon_sym_union] = ACTIONS(2376),
    [anon_sym_if] = ACTIONS(2376),
    [anon_sym_else] = ACTIONS(2376),
    [anon_sym_switch] = ACTIONS(2376),
    [anon_sym_case] = ACTIONS(2376),
    [anon_sym_default] = ACTIONS(2376),
    [anon_sym_while] = ACTIONS(2376),
    [anon_sym_do] = ACTIONS(2376),
    [anon_sym_for] = ACTIONS(2376),
    [anon_sym_return] = ACTIONS(2376),
    [anon_sym_break] = ACTIONS(2376),
    [anon_sym_continue] = ACTIONS(2376),
    [anon_sym_goto] = ACTIONS(2376),
    [anon_sym___try] = ACTIONS(2376),
    [anon_sym___leave] = ACTIONS(2376),
    [anon_sym_not] = ACTIONS(2376),
    [anon_sym_compl] = ACTIONS(2376),
    [anon_sym_DASH_DASH] = ACTIONS(2378),
    [anon_sym_PLUS_PLUS] = ACTIONS(2378),
    [anon_sym_sizeof] = ACTIONS(2376),
    [anon_sym___alignof__] = ACTIONS(2376),
    [anon_sym___alignof] = ACTIONS(2376),
    [anon_sym__alignof] = ACTIONS(2376),
    [anon_sym_alignof] = ACTIONS(2376),
    [anon_sym__Alignof] = ACTIONS(2376),
    [anon_sym_offsetof] = ACTIONS(2376),
    [anon_sym__Generic] = ACTIONS(2376),
    [anon_sym_asm] = ACTIONS(2376),
    [anon_sym___asm__] = ACTIONS(2376),
    [sym_number_literal] = ACTIONS(2378),
    [anon_sym_L_SQUOTE] = ACTIONS(2378),
    [anon_sym_u_SQUOTE] = ACTIONS(2378),
    [anon_sym_U_SQUOTE] = ACTIONS(2378),
    [anon_sym_u8_SQUOTE] = ACTIONS(2378),
    [anon_sym_SQUOTE] = ACTIONS(2378),
    [anon_sym_L_DQUOTE] = ACTIONS(2378),
    [anon_sym_u_DQUOTE] = ACTIONS(2378),
    [anon_sym_U_DQUOTE] = ACTIONS(2378),
    [anon_sym_u8_DQUOTE] = ACTIONS(2378),
    [anon_sym_DQUOTE] = ACTIONS(2378),
    [sym_true] = ACTIONS(2376),
    [sym_false] = ACTIONS(2376),
    [anon_sym_NULL] = ACTIONS(2376),
    [anon_sym_nullptr] = ACTIONS(2376),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2376),
    [anon_sym_decltype] = ACTIONS(2376),
    [anon_sym_virtual] = ACTIONS(2376),
    [anon_sym_alignas] = ACTIONS(2376),
    [anon_sym_explicit] = ACTIONS(2376),
    [anon_sym_typename] = ACTIONS(2376),
    [anon_sym_template] = ACTIONS(2376),
    [anon_sym_operator] = ACTIONS(2376),
    [anon_sym_try] = ACTIONS(2376),
    [anon_sym_delete] = ACTIONS(2376),
    [anon_sym_throw] = ACTIONS(2376),
    [anon_sym_namespace] = ACTIONS(2376),
    [anon_sym_using] = ACTIONS(2376),
    [anon_sym_static_assert] = ACTIONS(2376),
    [anon_sym_concept] = ACTIONS(2376),
    [anon_sym_co_return] = ACTIONS(2376),
    [anon_sym_co_yield] = ACTIONS(2376),
    [anon_sym_R_DQUOTE] = ACTIONS(2378),
    [anon_sym_LR_DQUOTE] = ACTIONS(2378),
    [anon_sym_uR_DQUOTE] = ACTIONS(2378),
    [anon_sym_UR_DQUOTE] = ACTIONS(2378),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2378),
    [anon_sym_co_await] = ACTIONS(2376),
    [anon_sym_new] = ACTIONS(2376),
    [anon_sym_requires] = ACTIONS(2376),
    [sym_this] = ACTIONS(2376),
    [anon_sym_discard] = ACTIONS(2376),
    [anon_sym_precise] = ACTIONS(2376),
    [anon_sym_shared] = ACTIONS(2376),
    [anon_sym_groupshared] = ACTIONS(2376),
    [anon_sym_uniform] = ACTIONS(2376),
    [anon_sym_row_major] = ACTIONS(2376),
    [anon_sym_column_major] = ACTIONS(2376),
    [anon_sym_globallycoherent] = ACTIONS(2376),
    [anon_sym_centroid] = ACTIONS(2376),
    [anon_sym_noperspective] = ACTIONS(2376),
    [anon_sym_nointerpolation] = ACTIONS(2376),
    [anon_sym_sample] = ACTIONS(2376),
    [anon_sym_linear] = ACTIONS(2376),
    [anon_sym_snorm] = ACTIONS(2376),
    [anon_sym_unorm] = ACTIONS(2376),
    [anon_sym_point] = ACTIONS(2376),
    [anon_sym_line] = ACTIONS(2376),
    [anon_sym_triangleadj] = ACTIONS(2376),
    [anon_sym_lineadj] = ACTIONS(2376),
    [anon_sym_triangle] = ACTIONS(2376),
    [anon_sym_cbuffer] = ACTIONS(2376),
  },
  [465] = {
    [sym_preproc_def] = STATE(1102),
    [sym_preproc_function_def] = STATE(1102),
    [sym_preproc_call] = STATE(1102),
    [sym_preproc_if_in_field_declaration_list] = STATE(1102),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(1102),
    [sym_preproc_else_in_field_declaration_list] = STATE(9956),
    [sym_preproc_elif_in_field_declaration_list] = STATE(9956),
    [sym_preproc_elifdef_in_field_declaration_list] = STATE(9956),
    [sym_type_definition] = STATE(1102),
    [sym__declaration_modifiers] = STATE(3159),
    [sym__declaration_specifiers] = STATE(6906),
    [sym_attribute_specifier] = STATE(3159),
    [sym_attribute_declaration] = STATE(3159),
    [sym_ms_declspec_modifier] = STATE(3159),
    [sym_ms_based_modifier] = STATE(10332),
    [sym__declarator] = STATE(7978),
    [sym_parenthesized_declarator] = STATE(7680),
    [sym_attributed_declarator] = STATE(7680),
    [sym_pointer_declarator] = STATE(7680),
    [sym_function_declarator] = STATE(7506),
    [sym_array_declarator] = STATE(7680),
    [sym_storage_class_specifier] = STATE(3159),
    [sym_type_qualifier] = STATE(3159),
    [sym__type_specifier] = STATE(2827),
    [sym_sized_type_specifier] = STATE(3085),
    [sym_enum_specifier] = STATE(3085),
    [sym_struct_specifier] = STATE(3085),
    [sym_union_specifier] = STATE(3085),
    [sym__field_declaration_list_item] = STATE(1102),
    [sym_field_declaration] = STATE(1102),
    [sym_placeholder_type_specifier] = STATE(3085),
    [sym_decltype_auto] = STATE(3091),
    [sym_decltype] = STATE(3050),
    [sym_class_specifier] = STATE(3085),
    [sym_virtual] = STATE(3159),
    [sym_alignas_specifier] = STATE(3159),
    [sym_explicit_function_specifier] = STATE(2515),
    [sym_dependent_type] = STATE(3085),
    [sym_template_declaration] = STATE(1102),
    [sym_operator_cast] = STATE(8047),
    [sym_inline_method_definition] = STATE(1102),
    [sym__constructor_specifiers] = STATE(2515),
    [sym_operator_cast_definition] = STATE(1102),
    [sym_operator_cast_declaration] = STATE(1102),
    [sym_constructor_or_destructor_definition] = STATE(1102),
    [sym_constructor_or_destructor_declaration] = STATE(1102),
    [sym_friend_declaration] = STATE(1102),
    [sym_access_specifier] = STATE(9869),
    [sym_reference_declarator] = STATE(7680),
    [sym_structured_binding_declarator] = STATE(7680),
    [sym_template_type] = STATE(3050),
    [sym_template_function] = STATE(7680),
    [sym_using_declaration] = STATE(1102),
    [sym_alias_declaration] = STATE(1102),
    [sym_static_assert_declaration] = STATE(1102),
    [sym_destructor_name] = STATE(7680),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6733),
    [sym_qualified_identifier] = STATE(7680),
    [sym_qualified_type_identifier] = STATE(3068),
    [sym_qualified_operator_cast_identifier] = STATE(8047),
    [sym_operator_name] = STATE(7680),
    [sym_qualifiers] = STATE(3159),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(1102),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2680),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3021),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2515),
    [sym_identifier] = ACTIONS(2857),
    [aux_sym_preproc_def_token1] = ACTIONS(2859),
    [aux_sym_preproc_if_token1] = ACTIONS(2861),
    [aux_sym_preproc_if_token2] = ACTIONS(2913),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2865),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2865),
    [aux_sym_preproc_else_token1] = ACTIONS(2867),
    [aux_sym_preproc_elif_token1] = ACTIONS(2869),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2871),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2871),
    [sym_preproc_directive] = ACTIONS(2873),
    [anon_sym_LPAREN2] = ACTIONS(2875),
    [anon_sym_TILDE] = ACTIONS(2877),
    [anon_sym_STAR] = ACTIONS(2879),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(2881),
    [anon_sym___extension__] = ACTIONS(2883),
    [anon_sym_typedef] = ACTIONS(2885),
    [anon_sym_in] = ACTIONS(37),
    [anon_sym_out] = ACTIONS(37),
    [anon_sym_inout] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(2887),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2096),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(2889),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(2891),
    [anon_sym_enum] = ACTIONS(2893),
    [anon_sym_class] = ACTIONS(2895),
    [anon_sym_struct] = ACTIONS(2897),
    [anon_sym_union] = ACTIONS(2899),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [anon_sym_virtual] = ACTIONS(123),
    [anon_sym_alignas] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(2901),
    [anon_sym_template] = ACTIONS(2903),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_friend] = ACTIONS(2905),
    [anon_sym_public] = ACTIONS(2907),
    [anon_sym_private] = ACTIONS(2907),
    [anon_sym_protected] = ACTIONS(2907),
    [anon_sym_using] = ACTIONS(2909),
    [anon_sym_static_assert] = ACTIONS(2911),
    [anon_sym_precise] = ACTIONS(161),
    [anon_sym_shared] = ACTIONS(161),
    [anon_sym_groupshared] = ACTIONS(161),
    [anon_sym_uniform] = ACTIONS(161),
    [anon_sym_row_major] = ACTIONS(161),
    [anon_sym_column_major] = ACTIONS(161),
    [anon_sym_globallycoherent] = ACTIONS(161),
    [anon_sym_centroid] = ACTIONS(161),
    [anon_sym_noperspective] = ACTIONS(161),
    [anon_sym_nointerpolation] = ACTIONS(161),
    [anon_sym_sample] = ACTIONS(161),
    [anon_sym_linear] = ACTIONS(161),
    [anon_sym_snorm] = ACTIONS(161),
    [anon_sym_unorm] = ACTIONS(161),
    [anon_sym_point] = ACTIONS(161),
    [anon_sym_line] = ACTIONS(161),
    [anon_sym_triangleadj] = ACTIONS(161),
    [anon_sym_lineadj] = ACTIONS(161),
    [anon_sym_triangle] = ACTIONS(161),
  },
  [466] = {
    [sym_identifier] = ACTIONS(2380),
    [aux_sym_preproc_include_token1] = ACTIONS(2380),
    [aux_sym_preproc_def_token1] = ACTIONS(2380),
    [aux_sym_preproc_if_token1] = ACTIONS(2380),
    [aux_sym_preproc_if_token2] = ACTIONS(2380),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2380),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2380),
    [aux_sym_preproc_else_token1] = ACTIONS(2380),
    [aux_sym_preproc_elif_token1] = ACTIONS(2380),
    [sym_preproc_directive] = ACTIONS(2380),
    [anon_sym_LPAREN2] = ACTIONS(2382),
    [anon_sym_BANG] = ACTIONS(2382),
    [anon_sym_TILDE] = ACTIONS(2382),
    [anon_sym_DASH] = ACTIONS(2380),
    [anon_sym_PLUS] = ACTIONS(2380),
    [anon_sym_STAR] = ACTIONS(2382),
    [anon_sym_AMP_AMP] = ACTIONS(2382),
    [anon_sym_AMP] = ACTIONS(2380),
    [anon_sym_SEMI] = ACTIONS(2382),
    [anon_sym___extension__] = ACTIONS(2380),
    [anon_sym_typedef] = ACTIONS(2380),
    [anon_sym_in] = ACTIONS(2380),
    [anon_sym_out] = ACTIONS(2380),
    [anon_sym_inout] = ACTIONS(2380),
    [anon_sym_extern] = ACTIONS(2380),
    [anon_sym___attribute__] = ACTIONS(2380),
    [anon_sym_COLON_COLON] = ACTIONS(2382),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2382),
    [anon_sym___declspec] = ACTIONS(2380),
    [anon_sym___based] = ACTIONS(2380),
    [anon_sym___cdecl] = ACTIONS(2380),
    [anon_sym___clrcall] = ACTIONS(2380),
    [anon_sym___stdcall] = ACTIONS(2380),
    [anon_sym___fastcall] = ACTIONS(2380),
    [anon_sym___thiscall] = ACTIONS(2380),
    [anon_sym___vectorcall] = ACTIONS(2380),
    [anon_sym_LBRACE] = ACTIONS(2382),
    [anon_sym_signed] = ACTIONS(2380),
    [anon_sym_unsigned] = ACTIONS(2380),
    [anon_sym_long] = ACTIONS(2380),
    [anon_sym_short] = ACTIONS(2380),
    [anon_sym_LBRACK] = ACTIONS(2380),
    [anon_sym_static] = ACTIONS(2380),
    [anon_sym_register] = ACTIONS(2380),
    [anon_sym_inline] = ACTIONS(2380),
    [anon_sym___inline] = ACTIONS(2380),
    [anon_sym___inline__] = ACTIONS(2380),
    [anon_sym___forceinline] = ACTIONS(2380),
    [anon_sym_thread_local] = ACTIONS(2380),
    [anon_sym___thread] = ACTIONS(2380),
    [anon_sym_const] = ACTIONS(2380),
    [anon_sym_constexpr] = ACTIONS(2380),
    [anon_sym_volatile] = ACTIONS(2380),
    [anon_sym_restrict] = ACTIONS(2380),
    [anon_sym___restrict__] = ACTIONS(2380),
    [anon_sym__Atomic] = ACTIONS(2380),
    [anon_sym__Noreturn] = ACTIONS(2380),
    [anon_sym_noreturn] = ACTIONS(2380),
    [anon_sym_mutable] = ACTIONS(2380),
    [anon_sym_constinit] = ACTIONS(2380),
    [anon_sym_consteval] = ACTIONS(2380),
    [sym_primitive_type] = ACTIONS(2380),
    [anon_sym_enum] = ACTIONS(2380),
    [anon_sym_class] = ACTIONS(2380),
    [anon_sym_struct] = ACTIONS(2380),
    [anon_sym_union] = ACTIONS(2380),
    [anon_sym_if] = ACTIONS(2380),
    [anon_sym_else] = ACTIONS(2380),
    [anon_sym_switch] = ACTIONS(2380),
    [anon_sym_case] = ACTIONS(2380),
    [anon_sym_default] = ACTIONS(2380),
    [anon_sym_while] = ACTIONS(2380),
    [anon_sym_do] = ACTIONS(2380),
    [anon_sym_for] = ACTIONS(2380),
    [anon_sym_return] = ACTIONS(2380),
    [anon_sym_break] = ACTIONS(2380),
    [anon_sym_continue] = ACTIONS(2380),
    [anon_sym_goto] = ACTIONS(2380),
    [anon_sym___try] = ACTIONS(2380),
    [anon_sym___leave] = ACTIONS(2380),
    [anon_sym_not] = ACTIONS(2380),
    [anon_sym_compl] = ACTIONS(2380),
    [anon_sym_DASH_DASH] = ACTIONS(2382),
    [anon_sym_PLUS_PLUS] = ACTIONS(2382),
    [anon_sym_sizeof] = ACTIONS(2380),
    [anon_sym___alignof__] = ACTIONS(2380),
    [anon_sym___alignof] = ACTIONS(2380),
    [anon_sym__alignof] = ACTIONS(2380),
    [anon_sym_alignof] = ACTIONS(2380),
    [anon_sym__Alignof] = ACTIONS(2380),
    [anon_sym_offsetof] = ACTIONS(2380),
    [anon_sym__Generic] = ACTIONS(2380),
    [anon_sym_asm] = ACTIONS(2380),
    [anon_sym___asm__] = ACTIONS(2380),
    [sym_number_literal] = ACTIONS(2382),
    [anon_sym_L_SQUOTE] = ACTIONS(2382),
    [anon_sym_u_SQUOTE] = ACTIONS(2382),
    [anon_sym_U_SQUOTE] = ACTIONS(2382),
    [anon_sym_u8_SQUOTE] = ACTIONS(2382),
    [anon_sym_SQUOTE] = ACTIONS(2382),
    [anon_sym_L_DQUOTE] = ACTIONS(2382),
    [anon_sym_u_DQUOTE] = ACTIONS(2382),
    [anon_sym_U_DQUOTE] = ACTIONS(2382),
    [anon_sym_u8_DQUOTE] = ACTIONS(2382),
    [anon_sym_DQUOTE] = ACTIONS(2382),
    [sym_true] = ACTIONS(2380),
    [sym_false] = ACTIONS(2380),
    [anon_sym_NULL] = ACTIONS(2380),
    [anon_sym_nullptr] = ACTIONS(2380),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2380),
    [anon_sym_decltype] = ACTIONS(2380),
    [anon_sym_virtual] = ACTIONS(2380),
    [anon_sym_alignas] = ACTIONS(2380),
    [anon_sym_explicit] = ACTIONS(2380),
    [anon_sym_typename] = ACTIONS(2380),
    [anon_sym_template] = ACTIONS(2380),
    [anon_sym_operator] = ACTIONS(2380),
    [anon_sym_try] = ACTIONS(2380),
    [anon_sym_delete] = ACTIONS(2380),
    [anon_sym_throw] = ACTIONS(2380),
    [anon_sym_namespace] = ACTIONS(2380),
    [anon_sym_using] = ACTIONS(2380),
    [anon_sym_static_assert] = ACTIONS(2380),
    [anon_sym_concept] = ACTIONS(2380),
    [anon_sym_co_return] = ACTIONS(2380),
    [anon_sym_co_yield] = ACTIONS(2380),
    [anon_sym_R_DQUOTE] = ACTIONS(2382),
    [anon_sym_LR_DQUOTE] = ACTIONS(2382),
    [anon_sym_uR_DQUOTE] = ACTIONS(2382),
    [anon_sym_UR_DQUOTE] = ACTIONS(2382),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2382),
    [anon_sym_co_await] = ACTIONS(2380),
    [anon_sym_new] = ACTIONS(2380),
    [anon_sym_requires] = ACTIONS(2380),
    [sym_this] = ACTIONS(2380),
    [anon_sym_discard] = ACTIONS(2380),
    [anon_sym_precise] = ACTIONS(2380),
    [anon_sym_shared] = ACTIONS(2380),
    [anon_sym_groupshared] = ACTIONS(2380),
    [anon_sym_uniform] = ACTIONS(2380),
    [anon_sym_row_major] = ACTIONS(2380),
    [anon_sym_column_major] = ACTIONS(2380),
    [anon_sym_globallycoherent] = ACTIONS(2380),
    [anon_sym_centroid] = ACTIONS(2380),
    [anon_sym_noperspective] = ACTIONS(2380),
    [anon_sym_nointerpolation] = ACTIONS(2380),
    [anon_sym_sample] = ACTIONS(2380),
    [anon_sym_linear] = ACTIONS(2380),
    [anon_sym_snorm] = ACTIONS(2380),
    [anon_sym_unorm] = ACTIONS(2380),
    [anon_sym_point] = ACTIONS(2380),
    [anon_sym_line] = ACTIONS(2380),
    [anon_sym_triangleadj] = ACTIONS(2380),
    [anon_sym_lineadj] = ACTIONS(2380),
    [anon_sym_triangle] = ACTIONS(2380),
    [anon_sym_cbuffer] = ACTIONS(2380),
  },
  [467] = {
    [sym_identifier] = ACTIONS(2448),
    [aux_sym_preproc_include_token1] = ACTIONS(2448),
    [aux_sym_preproc_def_token1] = ACTIONS(2448),
    [aux_sym_preproc_if_token1] = ACTIONS(2448),
    [aux_sym_preproc_if_token2] = ACTIONS(2448),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2448),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2448),
    [aux_sym_preproc_else_token1] = ACTIONS(2448),
    [aux_sym_preproc_elif_token1] = ACTIONS(2448),
    [sym_preproc_directive] = ACTIONS(2448),
    [anon_sym_LPAREN2] = ACTIONS(2450),
    [anon_sym_BANG] = ACTIONS(2450),
    [anon_sym_TILDE] = ACTIONS(2450),
    [anon_sym_DASH] = ACTIONS(2448),
    [anon_sym_PLUS] = ACTIONS(2448),
    [anon_sym_STAR] = ACTIONS(2450),
    [anon_sym_AMP_AMP] = ACTIONS(2450),
    [anon_sym_AMP] = ACTIONS(2448),
    [anon_sym_SEMI] = ACTIONS(2450),
    [anon_sym___extension__] = ACTIONS(2448),
    [anon_sym_typedef] = ACTIONS(2448),
    [anon_sym_in] = ACTIONS(2448),
    [anon_sym_out] = ACTIONS(2448),
    [anon_sym_inout] = ACTIONS(2448),
    [anon_sym_extern] = ACTIONS(2448),
    [anon_sym___attribute__] = ACTIONS(2448),
    [anon_sym_COLON_COLON] = ACTIONS(2450),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2450),
    [anon_sym___declspec] = ACTIONS(2448),
    [anon_sym___based] = ACTIONS(2448),
    [anon_sym___cdecl] = ACTIONS(2448),
    [anon_sym___clrcall] = ACTIONS(2448),
    [anon_sym___stdcall] = ACTIONS(2448),
    [anon_sym___fastcall] = ACTIONS(2448),
    [anon_sym___thiscall] = ACTIONS(2448),
    [anon_sym___vectorcall] = ACTIONS(2448),
    [anon_sym_LBRACE] = ACTIONS(2450),
    [anon_sym_signed] = ACTIONS(2448),
    [anon_sym_unsigned] = ACTIONS(2448),
    [anon_sym_long] = ACTIONS(2448),
    [anon_sym_short] = ACTIONS(2448),
    [anon_sym_LBRACK] = ACTIONS(2448),
    [anon_sym_static] = ACTIONS(2448),
    [anon_sym_register] = ACTIONS(2448),
    [anon_sym_inline] = ACTIONS(2448),
    [anon_sym___inline] = ACTIONS(2448),
    [anon_sym___inline__] = ACTIONS(2448),
    [anon_sym___forceinline] = ACTIONS(2448),
    [anon_sym_thread_local] = ACTIONS(2448),
    [anon_sym___thread] = ACTIONS(2448),
    [anon_sym_const] = ACTIONS(2448),
    [anon_sym_constexpr] = ACTIONS(2448),
    [anon_sym_volatile] = ACTIONS(2448),
    [anon_sym_restrict] = ACTIONS(2448),
    [anon_sym___restrict__] = ACTIONS(2448),
    [anon_sym__Atomic] = ACTIONS(2448),
    [anon_sym__Noreturn] = ACTIONS(2448),
    [anon_sym_noreturn] = ACTIONS(2448),
    [anon_sym_mutable] = ACTIONS(2448),
    [anon_sym_constinit] = ACTIONS(2448),
    [anon_sym_consteval] = ACTIONS(2448),
    [sym_primitive_type] = ACTIONS(2448),
    [anon_sym_enum] = ACTIONS(2448),
    [anon_sym_class] = ACTIONS(2448),
    [anon_sym_struct] = ACTIONS(2448),
    [anon_sym_union] = ACTIONS(2448),
    [anon_sym_if] = ACTIONS(2448),
    [anon_sym_else] = ACTIONS(2448),
    [anon_sym_switch] = ACTIONS(2448),
    [anon_sym_case] = ACTIONS(2448),
    [anon_sym_default] = ACTIONS(2448),
    [anon_sym_while] = ACTIONS(2448),
    [anon_sym_do] = ACTIONS(2448),
    [anon_sym_for] = ACTIONS(2448),
    [anon_sym_return] = ACTIONS(2448),
    [anon_sym_break] = ACTIONS(2448),
    [anon_sym_continue] = ACTIONS(2448),
    [anon_sym_goto] = ACTIONS(2448),
    [anon_sym___try] = ACTIONS(2448),
    [anon_sym___leave] = ACTIONS(2448),
    [anon_sym_not] = ACTIONS(2448),
    [anon_sym_compl] = ACTIONS(2448),
    [anon_sym_DASH_DASH] = ACTIONS(2450),
    [anon_sym_PLUS_PLUS] = ACTIONS(2450),
    [anon_sym_sizeof] = ACTIONS(2448),
    [anon_sym___alignof__] = ACTIONS(2448),
    [anon_sym___alignof] = ACTIONS(2448),
    [anon_sym__alignof] = ACTIONS(2448),
    [anon_sym_alignof] = ACTIONS(2448),
    [anon_sym__Alignof] = ACTIONS(2448),
    [anon_sym_offsetof] = ACTIONS(2448),
    [anon_sym__Generic] = ACTIONS(2448),
    [anon_sym_asm] = ACTIONS(2448),
    [anon_sym___asm__] = ACTIONS(2448),
    [sym_number_literal] = ACTIONS(2450),
    [anon_sym_L_SQUOTE] = ACTIONS(2450),
    [anon_sym_u_SQUOTE] = ACTIONS(2450),
    [anon_sym_U_SQUOTE] = ACTIONS(2450),
    [anon_sym_u8_SQUOTE] = ACTIONS(2450),
    [anon_sym_SQUOTE] = ACTIONS(2450),
    [anon_sym_L_DQUOTE] = ACTIONS(2450),
    [anon_sym_u_DQUOTE] = ACTIONS(2450),
    [anon_sym_U_DQUOTE] = ACTIONS(2450),
    [anon_sym_u8_DQUOTE] = ACTIONS(2450),
    [anon_sym_DQUOTE] = ACTIONS(2450),
    [sym_true] = ACTIONS(2448),
    [sym_false] = ACTIONS(2448),
    [anon_sym_NULL] = ACTIONS(2448),
    [anon_sym_nullptr] = ACTIONS(2448),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2448),
    [anon_sym_decltype] = ACTIONS(2448),
    [anon_sym_virtual] = ACTIONS(2448),
    [anon_sym_alignas] = ACTIONS(2448),
    [anon_sym_explicit] = ACTIONS(2448),
    [anon_sym_typename] = ACTIONS(2448),
    [anon_sym_template] = ACTIONS(2448),
    [anon_sym_operator] = ACTIONS(2448),
    [anon_sym_try] = ACTIONS(2448),
    [anon_sym_delete] = ACTIONS(2448),
    [anon_sym_throw] = ACTIONS(2448),
    [anon_sym_namespace] = ACTIONS(2448),
    [anon_sym_using] = ACTIONS(2448),
    [anon_sym_static_assert] = ACTIONS(2448),
    [anon_sym_concept] = ACTIONS(2448),
    [anon_sym_co_return] = ACTIONS(2448),
    [anon_sym_co_yield] = ACTIONS(2448),
    [anon_sym_R_DQUOTE] = ACTIONS(2450),
    [anon_sym_LR_DQUOTE] = ACTIONS(2450),
    [anon_sym_uR_DQUOTE] = ACTIONS(2450),
    [anon_sym_UR_DQUOTE] = ACTIONS(2450),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2450),
    [anon_sym_co_await] = ACTIONS(2448),
    [anon_sym_new] = ACTIONS(2448),
    [anon_sym_requires] = ACTIONS(2448),
    [sym_this] = ACTIONS(2448),
    [anon_sym_discard] = ACTIONS(2448),
    [anon_sym_precise] = ACTIONS(2448),
    [anon_sym_shared] = ACTIONS(2448),
    [anon_sym_groupshared] = ACTIONS(2448),
    [anon_sym_uniform] = ACTIONS(2448),
    [anon_sym_row_major] = ACTIONS(2448),
    [anon_sym_column_major] = ACTIONS(2448),
    [anon_sym_globallycoherent] = ACTIONS(2448),
    [anon_sym_centroid] = ACTIONS(2448),
    [anon_sym_noperspective] = ACTIONS(2448),
    [anon_sym_nointerpolation] = ACTIONS(2448),
    [anon_sym_sample] = ACTIONS(2448),
    [anon_sym_linear] = ACTIONS(2448),
    [anon_sym_snorm] = ACTIONS(2448),
    [anon_sym_unorm] = ACTIONS(2448),
    [anon_sym_point] = ACTIONS(2448),
    [anon_sym_line] = ACTIONS(2448),
    [anon_sym_triangleadj] = ACTIONS(2448),
    [anon_sym_lineadj] = ACTIONS(2448),
    [anon_sym_triangle] = ACTIONS(2448),
    [anon_sym_cbuffer] = ACTIONS(2448),
  },
  [468] = {
    [sym_identifier] = ACTIONS(2372),
    [aux_sym_preproc_include_token1] = ACTIONS(2372),
    [aux_sym_preproc_def_token1] = ACTIONS(2372),
    [aux_sym_preproc_if_token1] = ACTIONS(2372),
    [aux_sym_preproc_if_token2] = ACTIONS(2372),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2372),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2372),
    [aux_sym_preproc_else_token1] = ACTIONS(2372),
    [aux_sym_preproc_elif_token1] = ACTIONS(2372),
    [sym_preproc_directive] = ACTIONS(2372),
    [anon_sym_LPAREN2] = ACTIONS(2374),
    [anon_sym_BANG] = ACTIONS(2374),
    [anon_sym_TILDE] = ACTIONS(2374),
    [anon_sym_DASH] = ACTIONS(2372),
    [anon_sym_PLUS] = ACTIONS(2372),
    [anon_sym_STAR] = ACTIONS(2374),
    [anon_sym_AMP_AMP] = ACTIONS(2374),
    [anon_sym_AMP] = ACTIONS(2372),
    [anon_sym_SEMI] = ACTIONS(2374),
    [anon_sym___extension__] = ACTIONS(2372),
    [anon_sym_typedef] = ACTIONS(2372),
    [anon_sym_in] = ACTIONS(2372),
    [anon_sym_out] = ACTIONS(2372),
    [anon_sym_inout] = ACTIONS(2372),
    [anon_sym_extern] = ACTIONS(2372),
    [anon_sym___attribute__] = ACTIONS(2372),
    [anon_sym_COLON_COLON] = ACTIONS(2374),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2374),
    [anon_sym___declspec] = ACTIONS(2372),
    [anon_sym___based] = ACTIONS(2372),
    [anon_sym___cdecl] = ACTIONS(2372),
    [anon_sym___clrcall] = ACTIONS(2372),
    [anon_sym___stdcall] = ACTIONS(2372),
    [anon_sym___fastcall] = ACTIONS(2372),
    [anon_sym___thiscall] = ACTIONS(2372),
    [anon_sym___vectorcall] = ACTIONS(2372),
    [anon_sym_LBRACE] = ACTIONS(2374),
    [anon_sym_signed] = ACTIONS(2372),
    [anon_sym_unsigned] = ACTIONS(2372),
    [anon_sym_long] = ACTIONS(2372),
    [anon_sym_short] = ACTIONS(2372),
    [anon_sym_LBRACK] = ACTIONS(2372),
    [anon_sym_static] = ACTIONS(2372),
    [anon_sym_register] = ACTIONS(2372),
    [anon_sym_inline] = ACTIONS(2372),
    [anon_sym___inline] = ACTIONS(2372),
    [anon_sym___inline__] = ACTIONS(2372),
    [anon_sym___forceinline] = ACTIONS(2372),
    [anon_sym_thread_local] = ACTIONS(2372),
    [anon_sym___thread] = ACTIONS(2372),
    [anon_sym_const] = ACTIONS(2372),
    [anon_sym_constexpr] = ACTIONS(2372),
    [anon_sym_volatile] = ACTIONS(2372),
    [anon_sym_restrict] = ACTIONS(2372),
    [anon_sym___restrict__] = ACTIONS(2372),
    [anon_sym__Atomic] = ACTIONS(2372),
    [anon_sym__Noreturn] = ACTIONS(2372),
    [anon_sym_noreturn] = ACTIONS(2372),
    [anon_sym_mutable] = ACTIONS(2372),
    [anon_sym_constinit] = ACTIONS(2372),
    [anon_sym_consteval] = ACTIONS(2372),
    [sym_primitive_type] = ACTIONS(2372),
    [anon_sym_enum] = ACTIONS(2372),
    [anon_sym_class] = ACTIONS(2372),
    [anon_sym_struct] = ACTIONS(2372),
    [anon_sym_union] = ACTIONS(2372),
    [anon_sym_if] = ACTIONS(2372),
    [anon_sym_else] = ACTIONS(2372),
    [anon_sym_switch] = ACTIONS(2372),
    [anon_sym_case] = ACTIONS(2372),
    [anon_sym_default] = ACTIONS(2372),
    [anon_sym_while] = ACTIONS(2372),
    [anon_sym_do] = ACTIONS(2372),
    [anon_sym_for] = ACTIONS(2372),
    [anon_sym_return] = ACTIONS(2372),
    [anon_sym_break] = ACTIONS(2372),
    [anon_sym_continue] = ACTIONS(2372),
    [anon_sym_goto] = ACTIONS(2372),
    [anon_sym___try] = ACTIONS(2372),
    [anon_sym___leave] = ACTIONS(2372),
    [anon_sym_not] = ACTIONS(2372),
    [anon_sym_compl] = ACTIONS(2372),
    [anon_sym_DASH_DASH] = ACTIONS(2374),
    [anon_sym_PLUS_PLUS] = ACTIONS(2374),
    [anon_sym_sizeof] = ACTIONS(2372),
    [anon_sym___alignof__] = ACTIONS(2372),
    [anon_sym___alignof] = ACTIONS(2372),
    [anon_sym__alignof] = ACTIONS(2372),
    [anon_sym_alignof] = ACTIONS(2372),
    [anon_sym__Alignof] = ACTIONS(2372),
    [anon_sym_offsetof] = ACTIONS(2372),
    [anon_sym__Generic] = ACTIONS(2372),
    [anon_sym_asm] = ACTIONS(2372),
    [anon_sym___asm__] = ACTIONS(2372),
    [sym_number_literal] = ACTIONS(2374),
    [anon_sym_L_SQUOTE] = ACTIONS(2374),
    [anon_sym_u_SQUOTE] = ACTIONS(2374),
    [anon_sym_U_SQUOTE] = ACTIONS(2374),
    [anon_sym_u8_SQUOTE] = ACTIONS(2374),
    [anon_sym_SQUOTE] = ACTIONS(2374),
    [anon_sym_L_DQUOTE] = ACTIONS(2374),
    [anon_sym_u_DQUOTE] = ACTIONS(2374),
    [anon_sym_U_DQUOTE] = ACTIONS(2374),
    [anon_sym_u8_DQUOTE] = ACTIONS(2374),
    [anon_sym_DQUOTE] = ACTIONS(2374),
    [sym_true] = ACTIONS(2372),
    [sym_false] = ACTIONS(2372),
    [anon_sym_NULL] = ACTIONS(2372),
    [anon_sym_nullptr] = ACTIONS(2372),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2372),
    [anon_sym_decltype] = ACTIONS(2372),
    [anon_sym_virtual] = ACTIONS(2372),
    [anon_sym_alignas] = ACTIONS(2372),
    [anon_sym_explicit] = ACTIONS(2372),
    [anon_sym_typename] = ACTIONS(2372),
    [anon_sym_template] = ACTIONS(2372),
    [anon_sym_operator] = ACTIONS(2372),
    [anon_sym_try] = ACTIONS(2372),
    [anon_sym_delete] = ACTIONS(2372),
    [anon_sym_throw] = ACTIONS(2372),
    [anon_sym_namespace] = ACTIONS(2372),
    [anon_sym_using] = ACTIONS(2372),
    [anon_sym_static_assert] = ACTIONS(2372),
    [anon_sym_concept] = ACTIONS(2372),
    [anon_sym_co_return] = ACTIONS(2372),
    [anon_sym_co_yield] = ACTIONS(2372),
    [anon_sym_R_DQUOTE] = ACTIONS(2374),
    [anon_sym_LR_DQUOTE] = ACTIONS(2374),
    [anon_sym_uR_DQUOTE] = ACTIONS(2374),
    [anon_sym_UR_DQUOTE] = ACTIONS(2374),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2374),
    [anon_sym_co_await] = ACTIONS(2372),
    [anon_sym_new] = ACTIONS(2372),
    [anon_sym_requires] = ACTIONS(2372),
    [sym_this] = ACTIONS(2372),
    [anon_sym_discard] = ACTIONS(2372),
    [anon_sym_precise] = ACTIONS(2372),
    [anon_sym_shared] = ACTIONS(2372),
    [anon_sym_groupshared] = ACTIONS(2372),
    [anon_sym_uniform] = ACTIONS(2372),
    [anon_sym_row_major] = ACTIONS(2372),
    [anon_sym_column_major] = ACTIONS(2372),
    [anon_sym_globallycoherent] = ACTIONS(2372),
    [anon_sym_centroid] = ACTIONS(2372),
    [anon_sym_noperspective] = ACTIONS(2372),
    [anon_sym_nointerpolation] = ACTIONS(2372),
    [anon_sym_sample] = ACTIONS(2372),
    [anon_sym_linear] = ACTIONS(2372),
    [anon_sym_snorm] = ACTIONS(2372),
    [anon_sym_unorm] = ACTIONS(2372),
    [anon_sym_point] = ACTIONS(2372),
    [anon_sym_line] = ACTIONS(2372),
    [anon_sym_triangleadj] = ACTIONS(2372),
    [anon_sym_lineadj] = ACTIONS(2372),
    [anon_sym_triangle] = ACTIONS(2372),
    [anon_sym_cbuffer] = ACTIONS(2372),
  },
  [469] = {
    [sym_identifier] = ACTIONS(2330),
    [aux_sym_preproc_include_token1] = ACTIONS(2330),
    [aux_sym_preproc_def_token1] = ACTIONS(2330),
    [aux_sym_preproc_if_token1] = ACTIONS(2330),
    [aux_sym_preproc_if_token2] = ACTIONS(2330),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2330),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2330),
    [aux_sym_preproc_else_token1] = ACTIONS(2330),
    [aux_sym_preproc_elif_token1] = ACTIONS(2330),
    [sym_preproc_directive] = ACTIONS(2330),
    [anon_sym_LPAREN2] = ACTIONS(2332),
    [anon_sym_BANG] = ACTIONS(2332),
    [anon_sym_TILDE] = ACTIONS(2332),
    [anon_sym_DASH] = ACTIONS(2330),
    [anon_sym_PLUS] = ACTIONS(2330),
    [anon_sym_STAR] = ACTIONS(2332),
    [anon_sym_AMP_AMP] = ACTIONS(2332),
    [anon_sym_AMP] = ACTIONS(2330),
    [anon_sym_SEMI] = ACTIONS(2332),
    [anon_sym___extension__] = ACTIONS(2330),
    [anon_sym_typedef] = ACTIONS(2330),
    [anon_sym_in] = ACTIONS(2330),
    [anon_sym_out] = ACTIONS(2330),
    [anon_sym_inout] = ACTIONS(2330),
    [anon_sym_extern] = ACTIONS(2330),
    [anon_sym___attribute__] = ACTIONS(2330),
    [anon_sym_COLON_COLON] = ACTIONS(2332),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2332),
    [anon_sym___declspec] = ACTIONS(2330),
    [anon_sym___based] = ACTIONS(2330),
    [anon_sym___cdecl] = ACTIONS(2330),
    [anon_sym___clrcall] = ACTIONS(2330),
    [anon_sym___stdcall] = ACTIONS(2330),
    [anon_sym___fastcall] = ACTIONS(2330),
    [anon_sym___thiscall] = ACTIONS(2330),
    [anon_sym___vectorcall] = ACTIONS(2330),
    [anon_sym_LBRACE] = ACTIONS(2332),
    [anon_sym_signed] = ACTIONS(2330),
    [anon_sym_unsigned] = ACTIONS(2330),
    [anon_sym_long] = ACTIONS(2330),
    [anon_sym_short] = ACTIONS(2330),
    [anon_sym_LBRACK] = ACTIONS(2330),
    [anon_sym_static] = ACTIONS(2330),
    [anon_sym_register] = ACTIONS(2330),
    [anon_sym_inline] = ACTIONS(2330),
    [anon_sym___inline] = ACTIONS(2330),
    [anon_sym___inline__] = ACTIONS(2330),
    [anon_sym___forceinline] = ACTIONS(2330),
    [anon_sym_thread_local] = ACTIONS(2330),
    [anon_sym___thread] = ACTIONS(2330),
    [anon_sym_const] = ACTIONS(2330),
    [anon_sym_constexpr] = ACTIONS(2330),
    [anon_sym_volatile] = ACTIONS(2330),
    [anon_sym_restrict] = ACTIONS(2330),
    [anon_sym___restrict__] = ACTIONS(2330),
    [anon_sym__Atomic] = ACTIONS(2330),
    [anon_sym__Noreturn] = ACTIONS(2330),
    [anon_sym_noreturn] = ACTIONS(2330),
    [anon_sym_mutable] = ACTIONS(2330),
    [anon_sym_constinit] = ACTIONS(2330),
    [anon_sym_consteval] = ACTIONS(2330),
    [sym_primitive_type] = ACTIONS(2330),
    [anon_sym_enum] = ACTIONS(2330),
    [anon_sym_class] = ACTIONS(2330),
    [anon_sym_struct] = ACTIONS(2330),
    [anon_sym_union] = ACTIONS(2330),
    [anon_sym_if] = ACTIONS(2330),
    [anon_sym_else] = ACTIONS(2330),
    [anon_sym_switch] = ACTIONS(2330),
    [anon_sym_case] = ACTIONS(2330),
    [anon_sym_default] = ACTIONS(2330),
    [anon_sym_while] = ACTIONS(2330),
    [anon_sym_do] = ACTIONS(2330),
    [anon_sym_for] = ACTIONS(2330),
    [anon_sym_return] = ACTIONS(2330),
    [anon_sym_break] = ACTIONS(2330),
    [anon_sym_continue] = ACTIONS(2330),
    [anon_sym_goto] = ACTIONS(2330),
    [anon_sym___try] = ACTIONS(2330),
    [anon_sym___leave] = ACTIONS(2330),
    [anon_sym_not] = ACTIONS(2330),
    [anon_sym_compl] = ACTIONS(2330),
    [anon_sym_DASH_DASH] = ACTIONS(2332),
    [anon_sym_PLUS_PLUS] = ACTIONS(2332),
    [anon_sym_sizeof] = ACTIONS(2330),
    [anon_sym___alignof__] = ACTIONS(2330),
    [anon_sym___alignof] = ACTIONS(2330),
    [anon_sym__alignof] = ACTIONS(2330),
    [anon_sym_alignof] = ACTIONS(2330),
    [anon_sym__Alignof] = ACTIONS(2330),
    [anon_sym_offsetof] = ACTIONS(2330),
    [anon_sym__Generic] = ACTIONS(2330),
    [anon_sym_asm] = ACTIONS(2330),
    [anon_sym___asm__] = ACTIONS(2330),
    [sym_number_literal] = ACTIONS(2332),
    [anon_sym_L_SQUOTE] = ACTIONS(2332),
    [anon_sym_u_SQUOTE] = ACTIONS(2332),
    [anon_sym_U_SQUOTE] = ACTIONS(2332),
    [anon_sym_u8_SQUOTE] = ACTIONS(2332),
    [anon_sym_SQUOTE] = ACTIONS(2332),
    [anon_sym_L_DQUOTE] = ACTIONS(2332),
    [anon_sym_u_DQUOTE] = ACTIONS(2332),
    [anon_sym_U_DQUOTE] = ACTIONS(2332),
    [anon_sym_u8_DQUOTE] = ACTIONS(2332),
    [anon_sym_DQUOTE] = ACTIONS(2332),
    [sym_true] = ACTIONS(2330),
    [sym_false] = ACTIONS(2330),
    [anon_sym_NULL] = ACTIONS(2330),
    [anon_sym_nullptr] = ACTIONS(2330),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2330),
    [anon_sym_decltype] = ACTIONS(2330),
    [anon_sym_virtual] = ACTIONS(2330),
    [anon_sym_alignas] = ACTIONS(2330),
    [anon_sym_explicit] = ACTIONS(2330),
    [anon_sym_typename] = ACTIONS(2330),
    [anon_sym_template] = ACTIONS(2330),
    [anon_sym_operator] = ACTIONS(2330),
    [anon_sym_try] = ACTIONS(2330),
    [anon_sym_delete] = ACTIONS(2330),
    [anon_sym_throw] = ACTIONS(2330),
    [anon_sym_namespace] = ACTIONS(2330),
    [anon_sym_using] = ACTIONS(2330),
    [anon_sym_static_assert] = ACTIONS(2330),
    [anon_sym_concept] = ACTIONS(2330),
    [anon_sym_co_return] = ACTIONS(2330),
    [anon_sym_co_yield] = ACTIONS(2330),
    [anon_sym_R_DQUOTE] = ACTIONS(2332),
    [anon_sym_LR_DQUOTE] = ACTIONS(2332),
    [anon_sym_uR_DQUOTE] = ACTIONS(2332),
    [anon_sym_UR_DQUOTE] = ACTIONS(2332),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2332),
    [anon_sym_co_await] = ACTIONS(2330),
    [anon_sym_new] = ACTIONS(2330),
    [anon_sym_requires] = ACTIONS(2330),
    [sym_this] = ACTIONS(2330),
    [anon_sym_discard] = ACTIONS(2330),
    [anon_sym_precise] = ACTIONS(2330),
    [anon_sym_shared] = ACTIONS(2330),
    [anon_sym_groupshared] = ACTIONS(2330),
    [anon_sym_uniform] = ACTIONS(2330),
    [anon_sym_row_major] = ACTIONS(2330),
    [anon_sym_column_major] = ACTIONS(2330),
    [anon_sym_globallycoherent] = ACTIONS(2330),
    [anon_sym_centroid] = ACTIONS(2330),
    [anon_sym_noperspective] = ACTIONS(2330),
    [anon_sym_nointerpolation] = ACTIONS(2330),
    [anon_sym_sample] = ACTIONS(2330),
    [anon_sym_linear] = ACTIONS(2330),
    [anon_sym_snorm] = ACTIONS(2330),
    [anon_sym_unorm] = ACTIONS(2330),
    [anon_sym_point] = ACTIONS(2330),
    [anon_sym_line] = ACTIONS(2330),
    [anon_sym_triangleadj] = ACTIONS(2330),
    [anon_sym_lineadj] = ACTIONS(2330),
    [anon_sym_triangle] = ACTIONS(2330),
    [anon_sym_cbuffer] = ACTIONS(2330),
  },
  [470] = {
    [sym_identifier] = ACTIONS(2330),
    [aux_sym_preproc_include_token1] = ACTIONS(2330),
    [aux_sym_preproc_def_token1] = ACTIONS(2330),
    [aux_sym_preproc_if_token1] = ACTIONS(2330),
    [aux_sym_preproc_if_token2] = ACTIONS(2330),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2330),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2330),
    [aux_sym_preproc_else_token1] = ACTIONS(2330),
    [aux_sym_preproc_elif_token1] = ACTIONS(2330),
    [sym_preproc_directive] = ACTIONS(2330),
    [anon_sym_LPAREN2] = ACTIONS(2332),
    [anon_sym_BANG] = ACTIONS(2332),
    [anon_sym_TILDE] = ACTIONS(2332),
    [anon_sym_DASH] = ACTIONS(2330),
    [anon_sym_PLUS] = ACTIONS(2330),
    [anon_sym_STAR] = ACTIONS(2332),
    [anon_sym_AMP_AMP] = ACTIONS(2332),
    [anon_sym_AMP] = ACTIONS(2330),
    [anon_sym_SEMI] = ACTIONS(2332),
    [anon_sym___extension__] = ACTIONS(2330),
    [anon_sym_typedef] = ACTIONS(2330),
    [anon_sym_in] = ACTIONS(2330),
    [anon_sym_out] = ACTIONS(2330),
    [anon_sym_inout] = ACTIONS(2330),
    [anon_sym_extern] = ACTIONS(2330),
    [anon_sym___attribute__] = ACTIONS(2330),
    [anon_sym_COLON_COLON] = ACTIONS(2332),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2332),
    [anon_sym___declspec] = ACTIONS(2330),
    [anon_sym___based] = ACTIONS(2330),
    [anon_sym___cdecl] = ACTIONS(2330),
    [anon_sym___clrcall] = ACTIONS(2330),
    [anon_sym___stdcall] = ACTIONS(2330),
    [anon_sym___fastcall] = ACTIONS(2330),
    [anon_sym___thiscall] = ACTIONS(2330),
    [anon_sym___vectorcall] = ACTIONS(2330),
    [anon_sym_LBRACE] = ACTIONS(2332),
    [anon_sym_signed] = ACTIONS(2330),
    [anon_sym_unsigned] = ACTIONS(2330),
    [anon_sym_long] = ACTIONS(2330),
    [anon_sym_short] = ACTIONS(2330),
    [anon_sym_LBRACK] = ACTIONS(2330),
    [anon_sym_static] = ACTIONS(2330),
    [anon_sym_register] = ACTIONS(2330),
    [anon_sym_inline] = ACTIONS(2330),
    [anon_sym___inline] = ACTIONS(2330),
    [anon_sym___inline__] = ACTIONS(2330),
    [anon_sym___forceinline] = ACTIONS(2330),
    [anon_sym_thread_local] = ACTIONS(2330),
    [anon_sym___thread] = ACTIONS(2330),
    [anon_sym_const] = ACTIONS(2330),
    [anon_sym_constexpr] = ACTIONS(2330),
    [anon_sym_volatile] = ACTIONS(2330),
    [anon_sym_restrict] = ACTIONS(2330),
    [anon_sym___restrict__] = ACTIONS(2330),
    [anon_sym__Atomic] = ACTIONS(2330),
    [anon_sym__Noreturn] = ACTIONS(2330),
    [anon_sym_noreturn] = ACTIONS(2330),
    [anon_sym_mutable] = ACTIONS(2330),
    [anon_sym_constinit] = ACTIONS(2330),
    [anon_sym_consteval] = ACTIONS(2330),
    [sym_primitive_type] = ACTIONS(2330),
    [anon_sym_enum] = ACTIONS(2330),
    [anon_sym_class] = ACTIONS(2330),
    [anon_sym_struct] = ACTIONS(2330),
    [anon_sym_union] = ACTIONS(2330),
    [anon_sym_if] = ACTIONS(2330),
    [anon_sym_else] = ACTIONS(2330),
    [anon_sym_switch] = ACTIONS(2330),
    [anon_sym_case] = ACTIONS(2330),
    [anon_sym_default] = ACTIONS(2330),
    [anon_sym_while] = ACTIONS(2330),
    [anon_sym_do] = ACTIONS(2330),
    [anon_sym_for] = ACTIONS(2330),
    [anon_sym_return] = ACTIONS(2330),
    [anon_sym_break] = ACTIONS(2330),
    [anon_sym_continue] = ACTIONS(2330),
    [anon_sym_goto] = ACTIONS(2330),
    [anon_sym___try] = ACTIONS(2330),
    [anon_sym___leave] = ACTIONS(2330),
    [anon_sym_not] = ACTIONS(2330),
    [anon_sym_compl] = ACTIONS(2330),
    [anon_sym_DASH_DASH] = ACTIONS(2332),
    [anon_sym_PLUS_PLUS] = ACTIONS(2332),
    [anon_sym_sizeof] = ACTIONS(2330),
    [anon_sym___alignof__] = ACTIONS(2330),
    [anon_sym___alignof] = ACTIONS(2330),
    [anon_sym__alignof] = ACTIONS(2330),
    [anon_sym_alignof] = ACTIONS(2330),
    [anon_sym__Alignof] = ACTIONS(2330),
    [anon_sym_offsetof] = ACTIONS(2330),
    [anon_sym__Generic] = ACTIONS(2330),
    [anon_sym_asm] = ACTIONS(2330),
    [anon_sym___asm__] = ACTIONS(2330),
    [sym_number_literal] = ACTIONS(2332),
    [anon_sym_L_SQUOTE] = ACTIONS(2332),
    [anon_sym_u_SQUOTE] = ACTIONS(2332),
    [anon_sym_U_SQUOTE] = ACTIONS(2332),
    [anon_sym_u8_SQUOTE] = ACTIONS(2332),
    [anon_sym_SQUOTE] = ACTIONS(2332),
    [anon_sym_L_DQUOTE] = ACTIONS(2332),
    [anon_sym_u_DQUOTE] = ACTIONS(2332),
    [anon_sym_U_DQUOTE] = ACTIONS(2332),
    [anon_sym_u8_DQUOTE] = ACTIONS(2332),
    [anon_sym_DQUOTE] = ACTIONS(2332),
    [sym_true] = ACTIONS(2330),
    [sym_false] = ACTIONS(2330),
    [anon_sym_NULL] = ACTIONS(2330),
    [anon_sym_nullptr] = ACTIONS(2330),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2330),
    [anon_sym_decltype] = ACTIONS(2330),
    [anon_sym_virtual] = ACTIONS(2330),
    [anon_sym_alignas] = ACTIONS(2330),
    [anon_sym_explicit] = ACTIONS(2330),
    [anon_sym_typename] = ACTIONS(2330),
    [anon_sym_template] = ACTIONS(2330),
    [anon_sym_operator] = ACTIONS(2330),
    [anon_sym_try] = ACTIONS(2330),
    [anon_sym_delete] = ACTIONS(2330),
    [anon_sym_throw] = ACTIONS(2330),
    [anon_sym_namespace] = ACTIONS(2330),
    [anon_sym_using] = ACTIONS(2330),
    [anon_sym_static_assert] = ACTIONS(2330),
    [anon_sym_concept] = ACTIONS(2330),
    [anon_sym_co_return] = ACTIONS(2330),
    [anon_sym_co_yield] = ACTIONS(2330),
    [anon_sym_R_DQUOTE] = ACTIONS(2332),
    [anon_sym_LR_DQUOTE] = ACTIONS(2332),
    [anon_sym_uR_DQUOTE] = ACTIONS(2332),
    [anon_sym_UR_DQUOTE] = ACTIONS(2332),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2332),
    [anon_sym_co_await] = ACTIONS(2330),
    [anon_sym_new] = ACTIONS(2330),
    [anon_sym_requires] = ACTIONS(2330),
    [sym_this] = ACTIONS(2330),
    [anon_sym_discard] = ACTIONS(2330),
    [anon_sym_precise] = ACTIONS(2330),
    [anon_sym_shared] = ACTIONS(2330),
    [anon_sym_groupshared] = ACTIONS(2330),
    [anon_sym_uniform] = ACTIONS(2330),
    [anon_sym_row_major] = ACTIONS(2330),
    [anon_sym_column_major] = ACTIONS(2330),
    [anon_sym_globallycoherent] = ACTIONS(2330),
    [anon_sym_centroid] = ACTIONS(2330),
    [anon_sym_noperspective] = ACTIONS(2330),
    [anon_sym_nointerpolation] = ACTIONS(2330),
    [anon_sym_sample] = ACTIONS(2330),
    [anon_sym_linear] = ACTIONS(2330),
    [anon_sym_snorm] = ACTIONS(2330),
    [anon_sym_unorm] = ACTIONS(2330),
    [anon_sym_point] = ACTIONS(2330),
    [anon_sym_line] = ACTIONS(2330),
    [anon_sym_triangleadj] = ACTIONS(2330),
    [anon_sym_lineadj] = ACTIONS(2330),
    [anon_sym_triangle] = ACTIONS(2330),
    [anon_sym_cbuffer] = ACTIONS(2330),
  },
  [471] = {
    [sym_identifier] = ACTIONS(2330),
    [aux_sym_preproc_include_token1] = ACTIONS(2330),
    [aux_sym_preproc_def_token1] = ACTIONS(2330),
    [aux_sym_preproc_if_token1] = ACTIONS(2330),
    [aux_sym_preproc_if_token2] = ACTIONS(2330),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2330),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2330),
    [aux_sym_preproc_else_token1] = ACTIONS(2330),
    [aux_sym_preproc_elif_token1] = ACTIONS(2330),
    [sym_preproc_directive] = ACTIONS(2330),
    [anon_sym_LPAREN2] = ACTIONS(2332),
    [anon_sym_BANG] = ACTIONS(2332),
    [anon_sym_TILDE] = ACTIONS(2332),
    [anon_sym_DASH] = ACTIONS(2330),
    [anon_sym_PLUS] = ACTIONS(2330),
    [anon_sym_STAR] = ACTIONS(2332),
    [anon_sym_AMP_AMP] = ACTIONS(2332),
    [anon_sym_AMP] = ACTIONS(2330),
    [anon_sym_SEMI] = ACTIONS(2332),
    [anon_sym___extension__] = ACTIONS(2330),
    [anon_sym_typedef] = ACTIONS(2330),
    [anon_sym_in] = ACTIONS(2330),
    [anon_sym_out] = ACTIONS(2330),
    [anon_sym_inout] = ACTIONS(2330),
    [anon_sym_extern] = ACTIONS(2330),
    [anon_sym___attribute__] = ACTIONS(2330),
    [anon_sym_COLON_COLON] = ACTIONS(2332),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2332),
    [anon_sym___declspec] = ACTIONS(2330),
    [anon_sym___based] = ACTIONS(2330),
    [anon_sym___cdecl] = ACTIONS(2330),
    [anon_sym___clrcall] = ACTIONS(2330),
    [anon_sym___stdcall] = ACTIONS(2330),
    [anon_sym___fastcall] = ACTIONS(2330),
    [anon_sym___thiscall] = ACTIONS(2330),
    [anon_sym___vectorcall] = ACTIONS(2330),
    [anon_sym_LBRACE] = ACTIONS(2332),
    [anon_sym_signed] = ACTIONS(2330),
    [anon_sym_unsigned] = ACTIONS(2330),
    [anon_sym_long] = ACTIONS(2330),
    [anon_sym_short] = ACTIONS(2330),
    [anon_sym_LBRACK] = ACTIONS(2330),
    [anon_sym_static] = ACTIONS(2330),
    [anon_sym_register] = ACTIONS(2330),
    [anon_sym_inline] = ACTIONS(2330),
    [anon_sym___inline] = ACTIONS(2330),
    [anon_sym___inline__] = ACTIONS(2330),
    [anon_sym___forceinline] = ACTIONS(2330),
    [anon_sym_thread_local] = ACTIONS(2330),
    [anon_sym___thread] = ACTIONS(2330),
    [anon_sym_const] = ACTIONS(2330),
    [anon_sym_constexpr] = ACTIONS(2330),
    [anon_sym_volatile] = ACTIONS(2330),
    [anon_sym_restrict] = ACTIONS(2330),
    [anon_sym___restrict__] = ACTIONS(2330),
    [anon_sym__Atomic] = ACTIONS(2330),
    [anon_sym__Noreturn] = ACTIONS(2330),
    [anon_sym_noreturn] = ACTIONS(2330),
    [anon_sym_mutable] = ACTIONS(2330),
    [anon_sym_constinit] = ACTIONS(2330),
    [anon_sym_consteval] = ACTIONS(2330),
    [sym_primitive_type] = ACTIONS(2330),
    [anon_sym_enum] = ACTIONS(2330),
    [anon_sym_class] = ACTIONS(2330),
    [anon_sym_struct] = ACTIONS(2330),
    [anon_sym_union] = ACTIONS(2330),
    [anon_sym_if] = ACTIONS(2330),
    [anon_sym_else] = ACTIONS(2330),
    [anon_sym_switch] = ACTIONS(2330),
    [anon_sym_case] = ACTIONS(2330),
    [anon_sym_default] = ACTIONS(2330),
    [anon_sym_while] = ACTIONS(2330),
    [anon_sym_do] = ACTIONS(2330),
    [anon_sym_for] = ACTIONS(2330),
    [anon_sym_return] = ACTIONS(2330),
    [anon_sym_break] = ACTIONS(2330),
    [anon_sym_continue] = ACTIONS(2330),
    [anon_sym_goto] = ACTIONS(2330),
    [anon_sym___try] = ACTIONS(2330),
    [anon_sym___leave] = ACTIONS(2330),
    [anon_sym_not] = ACTIONS(2330),
    [anon_sym_compl] = ACTIONS(2330),
    [anon_sym_DASH_DASH] = ACTIONS(2332),
    [anon_sym_PLUS_PLUS] = ACTIONS(2332),
    [anon_sym_sizeof] = ACTIONS(2330),
    [anon_sym___alignof__] = ACTIONS(2330),
    [anon_sym___alignof] = ACTIONS(2330),
    [anon_sym__alignof] = ACTIONS(2330),
    [anon_sym_alignof] = ACTIONS(2330),
    [anon_sym__Alignof] = ACTIONS(2330),
    [anon_sym_offsetof] = ACTIONS(2330),
    [anon_sym__Generic] = ACTIONS(2330),
    [anon_sym_asm] = ACTIONS(2330),
    [anon_sym___asm__] = ACTIONS(2330),
    [sym_number_literal] = ACTIONS(2332),
    [anon_sym_L_SQUOTE] = ACTIONS(2332),
    [anon_sym_u_SQUOTE] = ACTIONS(2332),
    [anon_sym_U_SQUOTE] = ACTIONS(2332),
    [anon_sym_u8_SQUOTE] = ACTIONS(2332),
    [anon_sym_SQUOTE] = ACTIONS(2332),
    [anon_sym_L_DQUOTE] = ACTIONS(2332),
    [anon_sym_u_DQUOTE] = ACTIONS(2332),
    [anon_sym_U_DQUOTE] = ACTIONS(2332),
    [anon_sym_u8_DQUOTE] = ACTIONS(2332),
    [anon_sym_DQUOTE] = ACTIONS(2332),
    [sym_true] = ACTIONS(2330),
    [sym_false] = ACTIONS(2330),
    [anon_sym_NULL] = ACTIONS(2330),
    [anon_sym_nullptr] = ACTIONS(2330),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2330),
    [anon_sym_decltype] = ACTIONS(2330),
    [anon_sym_virtual] = ACTIONS(2330),
    [anon_sym_alignas] = ACTIONS(2330),
    [anon_sym_explicit] = ACTIONS(2330),
    [anon_sym_typename] = ACTIONS(2330),
    [anon_sym_template] = ACTIONS(2330),
    [anon_sym_operator] = ACTIONS(2330),
    [anon_sym_try] = ACTIONS(2330),
    [anon_sym_delete] = ACTIONS(2330),
    [anon_sym_throw] = ACTIONS(2330),
    [anon_sym_namespace] = ACTIONS(2330),
    [anon_sym_using] = ACTIONS(2330),
    [anon_sym_static_assert] = ACTIONS(2330),
    [anon_sym_concept] = ACTIONS(2330),
    [anon_sym_co_return] = ACTIONS(2330),
    [anon_sym_co_yield] = ACTIONS(2330),
    [anon_sym_R_DQUOTE] = ACTIONS(2332),
    [anon_sym_LR_DQUOTE] = ACTIONS(2332),
    [anon_sym_uR_DQUOTE] = ACTIONS(2332),
    [anon_sym_UR_DQUOTE] = ACTIONS(2332),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2332),
    [anon_sym_co_await] = ACTIONS(2330),
    [anon_sym_new] = ACTIONS(2330),
    [anon_sym_requires] = ACTIONS(2330),
    [sym_this] = ACTIONS(2330),
    [anon_sym_discard] = ACTIONS(2330),
    [anon_sym_precise] = ACTIONS(2330),
    [anon_sym_shared] = ACTIONS(2330),
    [anon_sym_groupshared] = ACTIONS(2330),
    [anon_sym_uniform] = ACTIONS(2330),
    [anon_sym_row_major] = ACTIONS(2330),
    [anon_sym_column_major] = ACTIONS(2330),
    [anon_sym_globallycoherent] = ACTIONS(2330),
    [anon_sym_centroid] = ACTIONS(2330),
    [anon_sym_noperspective] = ACTIONS(2330),
    [anon_sym_nointerpolation] = ACTIONS(2330),
    [anon_sym_sample] = ACTIONS(2330),
    [anon_sym_linear] = ACTIONS(2330),
    [anon_sym_snorm] = ACTIONS(2330),
    [anon_sym_unorm] = ACTIONS(2330),
    [anon_sym_point] = ACTIONS(2330),
    [anon_sym_line] = ACTIONS(2330),
    [anon_sym_triangleadj] = ACTIONS(2330),
    [anon_sym_lineadj] = ACTIONS(2330),
    [anon_sym_triangle] = ACTIONS(2330),
    [anon_sym_cbuffer] = ACTIONS(2330),
  },
  [472] = {
    [sym_identifier] = ACTIONS(2330),
    [aux_sym_preproc_include_token1] = ACTIONS(2330),
    [aux_sym_preproc_def_token1] = ACTIONS(2330),
    [aux_sym_preproc_if_token1] = ACTIONS(2330),
    [aux_sym_preproc_if_token2] = ACTIONS(2330),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2330),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2330),
    [aux_sym_preproc_else_token1] = ACTIONS(2330),
    [aux_sym_preproc_elif_token1] = ACTIONS(2330),
    [sym_preproc_directive] = ACTIONS(2330),
    [anon_sym_LPAREN2] = ACTIONS(2332),
    [anon_sym_BANG] = ACTIONS(2332),
    [anon_sym_TILDE] = ACTIONS(2332),
    [anon_sym_DASH] = ACTIONS(2330),
    [anon_sym_PLUS] = ACTIONS(2330),
    [anon_sym_STAR] = ACTIONS(2332),
    [anon_sym_AMP_AMP] = ACTIONS(2332),
    [anon_sym_AMP] = ACTIONS(2330),
    [anon_sym_SEMI] = ACTIONS(2332),
    [anon_sym___extension__] = ACTIONS(2330),
    [anon_sym_typedef] = ACTIONS(2330),
    [anon_sym_in] = ACTIONS(2330),
    [anon_sym_out] = ACTIONS(2330),
    [anon_sym_inout] = ACTIONS(2330),
    [anon_sym_extern] = ACTIONS(2330),
    [anon_sym___attribute__] = ACTIONS(2330),
    [anon_sym_COLON_COLON] = ACTIONS(2332),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2332),
    [anon_sym___declspec] = ACTIONS(2330),
    [anon_sym___based] = ACTIONS(2330),
    [anon_sym___cdecl] = ACTIONS(2330),
    [anon_sym___clrcall] = ACTIONS(2330),
    [anon_sym___stdcall] = ACTIONS(2330),
    [anon_sym___fastcall] = ACTIONS(2330),
    [anon_sym___thiscall] = ACTIONS(2330),
    [anon_sym___vectorcall] = ACTIONS(2330),
    [anon_sym_LBRACE] = ACTIONS(2332),
    [anon_sym_signed] = ACTIONS(2330),
    [anon_sym_unsigned] = ACTIONS(2330),
    [anon_sym_long] = ACTIONS(2330),
    [anon_sym_short] = ACTIONS(2330),
    [anon_sym_LBRACK] = ACTIONS(2330),
    [anon_sym_static] = ACTIONS(2330),
    [anon_sym_register] = ACTIONS(2330),
    [anon_sym_inline] = ACTIONS(2330),
    [anon_sym___inline] = ACTIONS(2330),
    [anon_sym___inline__] = ACTIONS(2330),
    [anon_sym___forceinline] = ACTIONS(2330),
    [anon_sym_thread_local] = ACTIONS(2330),
    [anon_sym___thread] = ACTIONS(2330),
    [anon_sym_const] = ACTIONS(2330),
    [anon_sym_constexpr] = ACTIONS(2330),
    [anon_sym_volatile] = ACTIONS(2330),
    [anon_sym_restrict] = ACTIONS(2330),
    [anon_sym___restrict__] = ACTIONS(2330),
    [anon_sym__Atomic] = ACTIONS(2330),
    [anon_sym__Noreturn] = ACTIONS(2330),
    [anon_sym_noreturn] = ACTIONS(2330),
    [anon_sym_mutable] = ACTIONS(2330),
    [anon_sym_constinit] = ACTIONS(2330),
    [anon_sym_consteval] = ACTIONS(2330),
    [sym_primitive_type] = ACTIONS(2330),
    [anon_sym_enum] = ACTIONS(2330),
    [anon_sym_class] = ACTIONS(2330),
    [anon_sym_struct] = ACTIONS(2330),
    [anon_sym_union] = ACTIONS(2330),
    [anon_sym_if] = ACTIONS(2330),
    [anon_sym_else] = ACTIONS(2330),
    [anon_sym_switch] = ACTIONS(2330),
    [anon_sym_case] = ACTIONS(2330),
    [anon_sym_default] = ACTIONS(2330),
    [anon_sym_while] = ACTIONS(2330),
    [anon_sym_do] = ACTIONS(2330),
    [anon_sym_for] = ACTIONS(2330),
    [anon_sym_return] = ACTIONS(2330),
    [anon_sym_break] = ACTIONS(2330),
    [anon_sym_continue] = ACTIONS(2330),
    [anon_sym_goto] = ACTIONS(2330),
    [anon_sym___try] = ACTIONS(2330),
    [anon_sym___leave] = ACTIONS(2330),
    [anon_sym_not] = ACTIONS(2330),
    [anon_sym_compl] = ACTIONS(2330),
    [anon_sym_DASH_DASH] = ACTIONS(2332),
    [anon_sym_PLUS_PLUS] = ACTIONS(2332),
    [anon_sym_sizeof] = ACTIONS(2330),
    [anon_sym___alignof__] = ACTIONS(2330),
    [anon_sym___alignof] = ACTIONS(2330),
    [anon_sym__alignof] = ACTIONS(2330),
    [anon_sym_alignof] = ACTIONS(2330),
    [anon_sym__Alignof] = ACTIONS(2330),
    [anon_sym_offsetof] = ACTIONS(2330),
    [anon_sym__Generic] = ACTIONS(2330),
    [anon_sym_asm] = ACTIONS(2330),
    [anon_sym___asm__] = ACTIONS(2330),
    [sym_number_literal] = ACTIONS(2332),
    [anon_sym_L_SQUOTE] = ACTIONS(2332),
    [anon_sym_u_SQUOTE] = ACTIONS(2332),
    [anon_sym_U_SQUOTE] = ACTIONS(2332),
    [anon_sym_u8_SQUOTE] = ACTIONS(2332),
    [anon_sym_SQUOTE] = ACTIONS(2332),
    [anon_sym_L_DQUOTE] = ACTIONS(2332),
    [anon_sym_u_DQUOTE] = ACTIONS(2332),
    [anon_sym_U_DQUOTE] = ACTIONS(2332),
    [anon_sym_u8_DQUOTE] = ACTIONS(2332),
    [anon_sym_DQUOTE] = ACTIONS(2332),
    [sym_true] = ACTIONS(2330),
    [sym_false] = ACTIONS(2330),
    [anon_sym_NULL] = ACTIONS(2330),
    [anon_sym_nullptr] = ACTIONS(2330),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2330),
    [anon_sym_decltype] = ACTIONS(2330),
    [anon_sym_virtual] = ACTIONS(2330),
    [anon_sym_alignas] = ACTIONS(2330),
    [anon_sym_explicit] = ACTIONS(2330),
    [anon_sym_typename] = ACTIONS(2330),
    [anon_sym_template] = ACTIONS(2330),
    [anon_sym_operator] = ACTIONS(2330),
    [anon_sym_try] = ACTIONS(2330),
    [anon_sym_delete] = ACTIONS(2330),
    [anon_sym_throw] = ACTIONS(2330),
    [anon_sym_namespace] = ACTIONS(2330),
    [anon_sym_using] = ACTIONS(2330),
    [anon_sym_static_assert] = ACTIONS(2330),
    [anon_sym_concept] = ACTIONS(2330),
    [anon_sym_co_return] = ACTIONS(2330),
    [anon_sym_co_yield] = ACTIONS(2330),
    [anon_sym_R_DQUOTE] = ACTIONS(2332),
    [anon_sym_LR_DQUOTE] = ACTIONS(2332),
    [anon_sym_uR_DQUOTE] = ACTIONS(2332),
    [anon_sym_UR_DQUOTE] = ACTIONS(2332),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2332),
    [anon_sym_co_await] = ACTIONS(2330),
    [anon_sym_new] = ACTIONS(2330),
    [anon_sym_requires] = ACTIONS(2330),
    [sym_this] = ACTIONS(2330),
    [anon_sym_discard] = ACTIONS(2330),
    [anon_sym_precise] = ACTIONS(2330),
    [anon_sym_shared] = ACTIONS(2330),
    [anon_sym_groupshared] = ACTIONS(2330),
    [anon_sym_uniform] = ACTIONS(2330),
    [anon_sym_row_major] = ACTIONS(2330),
    [anon_sym_column_major] = ACTIONS(2330),
    [anon_sym_globallycoherent] = ACTIONS(2330),
    [anon_sym_centroid] = ACTIONS(2330),
    [anon_sym_noperspective] = ACTIONS(2330),
    [anon_sym_nointerpolation] = ACTIONS(2330),
    [anon_sym_sample] = ACTIONS(2330),
    [anon_sym_linear] = ACTIONS(2330),
    [anon_sym_snorm] = ACTIONS(2330),
    [anon_sym_unorm] = ACTIONS(2330),
    [anon_sym_point] = ACTIONS(2330),
    [anon_sym_line] = ACTIONS(2330),
    [anon_sym_triangleadj] = ACTIONS(2330),
    [anon_sym_lineadj] = ACTIONS(2330),
    [anon_sym_triangle] = ACTIONS(2330),
    [anon_sym_cbuffer] = ACTIONS(2330),
  },
  [473] = {
    [sym_identifier] = ACTIONS(2330),
    [aux_sym_preproc_include_token1] = ACTIONS(2330),
    [aux_sym_preproc_def_token1] = ACTIONS(2330),
    [aux_sym_preproc_if_token1] = ACTIONS(2330),
    [aux_sym_preproc_if_token2] = ACTIONS(2330),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2330),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2330),
    [aux_sym_preproc_else_token1] = ACTIONS(2330),
    [aux_sym_preproc_elif_token1] = ACTIONS(2330),
    [sym_preproc_directive] = ACTIONS(2330),
    [anon_sym_LPAREN2] = ACTIONS(2332),
    [anon_sym_BANG] = ACTIONS(2332),
    [anon_sym_TILDE] = ACTIONS(2332),
    [anon_sym_DASH] = ACTIONS(2330),
    [anon_sym_PLUS] = ACTIONS(2330),
    [anon_sym_STAR] = ACTIONS(2332),
    [anon_sym_AMP_AMP] = ACTIONS(2332),
    [anon_sym_AMP] = ACTIONS(2330),
    [anon_sym_SEMI] = ACTIONS(2332),
    [anon_sym___extension__] = ACTIONS(2330),
    [anon_sym_typedef] = ACTIONS(2330),
    [anon_sym_in] = ACTIONS(2330),
    [anon_sym_out] = ACTIONS(2330),
    [anon_sym_inout] = ACTIONS(2330),
    [anon_sym_extern] = ACTIONS(2330),
    [anon_sym___attribute__] = ACTIONS(2330),
    [anon_sym_COLON_COLON] = ACTIONS(2332),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2332),
    [anon_sym___declspec] = ACTIONS(2330),
    [anon_sym___based] = ACTIONS(2330),
    [anon_sym___cdecl] = ACTIONS(2330),
    [anon_sym___clrcall] = ACTIONS(2330),
    [anon_sym___stdcall] = ACTIONS(2330),
    [anon_sym___fastcall] = ACTIONS(2330),
    [anon_sym___thiscall] = ACTIONS(2330),
    [anon_sym___vectorcall] = ACTIONS(2330),
    [anon_sym_LBRACE] = ACTIONS(2332),
    [anon_sym_signed] = ACTIONS(2330),
    [anon_sym_unsigned] = ACTIONS(2330),
    [anon_sym_long] = ACTIONS(2330),
    [anon_sym_short] = ACTIONS(2330),
    [anon_sym_LBRACK] = ACTIONS(2330),
    [anon_sym_static] = ACTIONS(2330),
    [anon_sym_register] = ACTIONS(2330),
    [anon_sym_inline] = ACTIONS(2330),
    [anon_sym___inline] = ACTIONS(2330),
    [anon_sym___inline__] = ACTIONS(2330),
    [anon_sym___forceinline] = ACTIONS(2330),
    [anon_sym_thread_local] = ACTIONS(2330),
    [anon_sym___thread] = ACTIONS(2330),
    [anon_sym_const] = ACTIONS(2330),
    [anon_sym_constexpr] = ACTIONS(2330),
    [anon_sym_volatile] = ACTIONS(2330),
    [anon_sym_restrict] = ACTIONS(2330),
    [anon_sym___restrict__] = ACTIONS(2330),
    [anon_sym__Atomic] = ACTIONS(2330),
    [anon_sym__Noreturn] = ACTIONS(2330),
    [anon_sym_noreturn] = ACTIONS(2330),
    [anon_sym_mutable] = ACTIONS(2330),
    [anon_sym_constinit] = ACTIONS(2330),
    [anon_sym_consteval] = ACTIONS(2330),
    [sym_primitive_type] = ACTIONS(2330),
    [anon_sym_enum] = ACTIONS(2330),
    [anon_sym_class] = ACTIONS(2330),
    [anon_sym_struct] = ACTIONS(2330),
    [anon_sym_union] = ACTIONS(2330),
    [anon_sym_if] = ACTIONS(2330),
    [anon_sym_else] = ACTIONS(2330),
    [anon_sym_switch] = ACTIONS(2330),
    [anon_sym_case] = ACTIONS(2330),
    [anon_sym_default] = ACTIONS(2330),
    [anon_sym_while] = ACTIONS(2330),
    [anon_sym_do] = ACTIONS(2330),
    [anon_sym_for] = ACTIONS(2330),
    [anon_sym_return] = ACTIONS(2330),
    [anon_sym_break] = ACTIONS(2330),
    [anon_sym_continue] = ACTIONS(2330),
    [anon_sym_goto] = ACTIONS(2330),
    [anon_sym___try] = ACTIONS(2330),
    [anon_sym___leave] = ACTIONS(2330),
    [anon_sym_not] = ACTIONS(2330),
    [anon_sym_compl] = ACTIONS(2330),
    [anon_sym_DASH_DASH] = ACTIONS(2332),
    [anon_sym_PLUS_PLUS] = ACTIONS(2332),
    [anon_sym_sizeof] = ACTIONS(2330),
    [anon_sym___alignof__] = ACTIONS(2330),
    [anon_sym___alignof] = ACTIONS(2330),
    [anon_sym__alignof] = ACTIONS(2330),
    [anon_sym_alignof] = ACTIONS(2330),
    [anon_sym__Alignof] = ACTIONS(2330),
    [anon_sym_offsetof] = ACTIONS(2330),
    [anon_sym__Generic] = ACTIONS(2330),
    [anon_sym_asm] = ACTIONS(2330),
    [anon_sym___asm__] = ACTIONS(2330),
    [sym_number_literal] = ACTIONS(2332),
    [anon_sym_L_SQUOTE] = ACTIONS(2332),
    [anon_sym_u_SQUOTE] = ACTIONS(2332),
    [anon_sym_U_SQUOTE] = ACTIONS(2332),
    [anon_sym_u8_SQUOTE] = ACTIONS(2332),
    [anon_sym_SQUOTE] = ACTIONS(2332),
    [anon_sym_L_DQUOTE] = ACTIONS(2332),
    [anon_sym_u_DQUOTE] = ACTIONS(2332),
    [anon_sym_U_DQUOTE] = ACTIONS(2332),
    [anon_sym_u8_DQUOTE] = ACTIONS(2332),
    [anon_sym_DQUOTE] = ACTIONS(2332),
    [sym_true] = ACTIONS(2330),
    [sym_false] = ACTIONS(2330),
    [anon_sym_NULL] = ACTIONS(2330),
    [anon_sym_nullptr] = ACTIONS(2330),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2330),
    [anon_sym_decltype] = ACTIONS(2330),
    [anon_sym_virtual] = ACTIONS(2330),
    [anon_sym_alignas] = ACTIONS(2330),
    [anon_sym_explicit] = ACTIONS(2330),
    [anon_sym_typename] = ACTIONS(2330),
    [anon_sym_template] = ACTIONS(2330),
    [anon_sym_operator] = ACTIONS(2330),
    [anon_sym_try] = ACTIONS(2330),
    [anon_sym_delete] = ACTIONS(2330),
    [anon_sym_throw] = ACTIONS(2330),
    [anon_sym_namespace] = ACTIONS(2330),
    [anon_sym_using] = ACTIONS(2330),
    [anon_sym_static_assert] = ACTIONS(2330),
    [anon_sym_concept] = ACTIONS(2330),
    [anon_sym_co_return] = ACTIONS(2330),
    [anon_sym_co_yield] = ACTIONS(2330),
    [anon_sym_R_DQUOTE] = ACTIONS(2332),
    [anon_sym_LR_DQUOTE] = ACTIONS(2332),
    [anon_sym_uR_DQUOTE] = ACTIONS(2332),
    [anon_sym_UR_DQUOTE] = ACTIONS(2332),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2332),
    [anon_sym_co_await] = ACTIONS(2330),
    [anon_sym_new] = ACTIONS(2330),
    [anon_sym_requires] = ACTIONS(2330),
    [sym_this] = ACTIONS(2330),
    [anon_sym_discard] = ACTIONS(2330),
    [anon_sym_precise] = ACTIONS(2330),
    [anon_sym_shared] = ACTIONS(2330),
    [anon_sym_groupshared] = ACTIONS(2330),
    [anon_sym_uniform] = ACTIONS(2330),
    [anon_sym_row_major] = ACTIONS(2330),
    [anon_sym_column_major] = ACTIONS(2330),
    [anon_sym_globallycoherent] = ACTIONS(2330),
    [anon_sym_centroid] = ACTIONS(2330),
    [anon_sym_noperspective] = ACTIONS(2330),
    [anon_sym_nointerpolation] = ACTIONS(2330),
    [anon_sym_sample] = ACTIONS(2330),
    [anon_sym_linear] = ACTIONS(2330),
    [anon_sym_snorm] = ACTIONS(2330),
    [anon_sym_unorm] = ACTIONS(2330),
    [anon_sym_point] = ACTIONS(2330),
    [anon_sym_line] = ACTIONS(2330),
    [anon_sym_triangleadj] = ACTIONS(2330),
    [anon_sym_lineadj] = ACTIONS(2330),
    [anon_sym_triangle] = ACTIONS(2330),
    [anon_sym_cbuffer] = ACTIONS(2330),
  },
  [474] = {
    [sym_identifier] = ACTIONS(2388),
    [aux_sym_preproc_include_token1] = ACTIONS(2388),
    [aux_sym_preproc_def_token1] = ACTIONS(2388),
    [aux_sym_preproc_if_token1] = ACTIONS(2388),
    [aux_sym_preproc_if_token2] = ACTIONS(2388),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2388),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2388),
    [aux_sym_preproc_else_token1] = ACTIONS(2388),
    [aux_sym_preproc_elif_token1] = ACTIONS(2388),
    [sym_preproc_directive] = ACTIONS(2388),
    [anon_sym_LPAREN2] = ACTIONS(2390),
    [anon_sym_BANG] = ACTIONS(2390),
    [anon_sym_TILDE] = ACTIONS(2390),
    [anon_sym_DASH] = ACTIONS(2388),
    [anon_sym_PLUS] = ACTIONS(2388),
    [anon_sym_STAR] = ACTIONS(2390),
    [anon_sym_AMP_AMP] = ACTIONS(2390),
    [anon_sym_AMP] = ACTIONS(2388),
    [anon_sym_SEMI] = ACTIONS(2390),
    [anon_sym___extension__] = ACTIONS(2388),
    [anon_sym_typedef] = ACTIONS(2388),
    [anon_sym_in] = ACTIONS(2388),
    [anon_sym_out] = ACTIONS(2388),
    [anon_sym_inout] = ACTIONS(2388),
    [anon_sym_extern] = ACTIONS(2388),
    [anon_sym___attribute__] = ACTIONS(2388),
    [anon_sym_COLON_COLON] = ACTIONS(2390),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2390),
    [anon_sym___declspec] = ACTIONS(2388),
    [anon_sym___based] = ACTIONS(2388),
    [anon_sym___cdecl] = ACTIONS(2388),
    [anon_sym___clrcall] = ACTIONS(2388),
    [anon_sym___stdcall] = ACTIONS(2388),
    [anon_sym___fastcall] = ACTIONS(2388),
    [anon_sym___thiscall] = ACTIONS(2388),
    [anon_sym___vectorcall] = ACTIONS(2388),
    [anon_sym_LBRACE] = ACTIONS(2390),
    [anon_sym_signed] = ACTIONS(2388),
    [anon_sym_unsigned] = ACTIONS(2388),
    [anon_sym_long] = ACTIONS(2388),
    [anon_sym_short] = ACTIONS(2388),
    [anon_sym_LBRACK] = ACTIONS(2388),
    [anon_sym_static] = ACTIONS(2388),
    [anon_sym_register] = ACTIONS(2388),
    [anon_sym_inline] = ACTIONS(2388),
    [anon_sym___inline] = ACTIONS(2388),
    [anon_sym___inline__] = ACTIONS(2388),
    [anon_sym___forceinline] = ACTIONS(2388),
    [anon_sym_thread_local] = ACTIONS(2388),
    [anon_sym___thread] = ACTIONS(2388),
    [anon_sym_const] = ACTIONS(2388),
    [anon_sym_constexpr] = ACTIONS(2388),
    [anon_sym_volatile] = ACTIONS(2388),
    [anon_sym_restrict] = ACTIONS(2388),
    [anon_sym___restrict__] = ACTIONS(2388),
    [anon_sym__Atomic] = ACTIONS(2388),
    [anon_sym__Noreturn] = ACTIONS(2388),
    [anon_sym_noreturn] = ACTIONS(2388),
    [anon_sym_mutable] = ACTIONS(2388),
    [anon_sym_constinit] = ACTIONS(2388),
    [anon_sym_consteval] = ACTIONS(2388),
    [sym_primitive_type] = ACTIONS(2388),
    [anon_sym_enum] = ACTIONS(2388),
    [anon_sym_class] = ACTIONS(2388),
    [anon_sym_struct] = ACTIONS(2388),
    [anon_sym_union] = ACTIONS(2388),
    [anon_sym_if] = ACTIONS(2388),
    [anon_sym_else] = ACTIONS(2388),
    [anon_sym_switch] = ACTIONS(2388),
    [anon_sym_case] = ACTIONS(2388),
    [anon_sym_default] = ACTIONS(2388),
    [anon_sym_while] = ACTIONS(2388),
    [anon_sym_do] = ACTIONS(2388),
    [anon_sym_for] = ACTIONS(2388),
    [anon_sym_return] = ACTIONS(2388),
    [anon_sym_break] = ACTIONS(2388),
    [anon_sym_continue] = ACTIONS(2388),
    [anon_sym_goto] = ACTIONS(2388),
    [anon_sym___try] = ACTIONS(2388),
    [anon_sym___leave] = ACTIONS(2388),
    [anon_sym_not] = ACTIONS(2388),
    [anon_sym_compl] = ACTIONS(2388),
    [anon_sym_DASH_DASH] = ACTIONS(2390),
    [anon_sym_PLUS_PLUS] = ACTIONS(2390),
    [anon_sym_sizeof] = ACTIONS(2388),
    [anon_sym___alignof__] = ACTIONS(2388),
    [anon_sym___alignof] = ACTIONS(2388),
    [anon_sym__alignof] = ACTIONS(2388),
    [anon_sym_alignof] = ACTIONS(2388),
    [anon_sym__Alignof] = ACTIONS(2388),
    [anon_sym_offsetof] = ACTIONS(2388),
    [anon_sym__Generic] = ACTIONS(2388),
    [anon_sym_asm] = ACTIONS(2388),
    [anon_sym___asm__] = ACTIONS(2388),
    [sym_number_literal] = ACTIONS(2390),
    [anon_sym_L_SQUOTE] = ACTIONS(2390),
    [anon_sym_u_SQUOTE] = ACTIONS(2390),
    [anon_sym_U_SQUOTE] = ACTIONS(2390),
    [anon_sym_u8_SQUOTE] = ACTIONS(2390),
    [anon_sym_SQUOTE] = ACTIONS(2390),
    [anon_sym_L_DQUOTE] = ACTIONS(2390),
    [anon_sym_u_DQUOTE] = ACTIONS(2390),
    [anon_sym_U_DQUOTE] = ACTIONS(2390),
    [anon_sym_u8_DQUOTE] = ACTIONS(2390),
    [anon_sym_DQUOTE] = ACTIONS(2390),
    [sym_true] = ACTIONS(2388),
    [sym_false] = ACTIONS(2388),
    [anon_sym_NULL] = ACTIONS(2388),
    [anon_sym_nullptr] = ACTIONS(2388),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2388),
    [anon_sym_decltype] = ACTIONS(2388),
    [anon_sym_virtual] = ACTIONS(2388),
    [anon_sym_alignas] = ACTIONS(2388),
    [anon_sym_explicit] = ACTIONS(2388),
    [anon_sym_typename] = ACTIONS(2388),
    [anon_sym_template] = ACTIONS(2388),
    [anon_sym_operator] = ACTIONS(2388),
    [anon_sym_try] = ACTIONS(2388),
    [anon_sym_delete] = ACTIONS(2388),
    [anon_sym_throw] = ACTIONS(2388),
    [anon_sym_namespace] = ACTIONS(2388),
    [anon_sym_using] = ACTIONS(2388),
    [anon_sym_static_assert] = ACTIONS(2388),
    [anon_sym_concept] = ACTIONS(2388),
    [anon_sym_co_return] = ACTIONS(2388),
    [anon_sym_co_yield] = ACTIONS(2388),
    [anon_sym_R_DQUOTE] = ACTIONS(2390),
    [anon_sym_LR_DQUOTE] = ACTIONS(2390),
    [anon_sym_uR_DQUOTE] = ACTIONS(2390),
    [anon_sym_UR_DQUOTE] = ACTIONS(2390),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2390),
    [anon_sym_co_await] = ACTIONS(2388),
    [anon_sym_new] = ACTIONS(2388),
    [anon_sym_requires] = ACTIONS(2388),
    [sym_this] = ACTIONS(2388),
    [anon_sym_discard] = ACTIONS(2388),
    [anon_sym_precise] = ACTIONS(2388),
    [anon_sym_shared] = ACTIONS(2388),
    [anon_sym_groupshared] = ACTIONS(2388),
    [anon_sym_uniform] = ACTIONS(2388),
    [anon_sym_row_major] = ACTIONS(2388),
    [anon_sym_column_major] = ACTIONS(2388),
    [anon_sym_globallycoherent] = ACTIONS(2388),
    [anon_sym_centroid] = ACTIONS(2388),
    [anon_sym_noperspective] = ACTIONS(2388),
    [anon_sym_nointerpolation] = ACTIONS(2388),
    [anon_sym_sample] = ACTIONS(2388),
    [anon_sym_linear] = ACTIONS(2388),
    [anon_sym_snorm] = ACTIONS(2388),
    [anon_sym_unorm] = ACTIONS(2388),
    [anon_sym_point] = ACTIONS(2388),
    [anon_sym_line] = ACTIONS(2388),
    [anon_sym_triangleadj] = ACTIONS(2388),
    [anon_sym_lineadj] = ACTIONS(2388),
    [anon_sym_triangle] = ACTIONS(2388),
    [anon_sym_cbuffer] = ACTIONS(2388),
  },
  [475] = {
    [sym_identifier] = ACTIONS(2330),
    [aux_sym_preproc_include_token1] = ACTIONS(2330),
    [aux_sym_preproc_def_token1] = ACTIONS(2330),
    [aux_sym_preproc_if_token1] = ACTIONS(2330),
    [aux_sym_preproc_if_token2] = ACTIONS(2330),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2330),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2330),
    [aux_sym_preproc_else_token1] = ACTIONS(2330),
    [aux_sym_preproc_elif_token1] = ACTIONS(2330),
    [sym_preproc_directive] = ACTIONS(2330),
    [anon_sym_LPAREN2] = ACTIONS(2332),
    [anon_sym_BANG] = ACTIONS(2332),
    [anon_sym_TILDE] = ACTIONS(2332),
    [anon_sym_DASH] = ACTIONS(2330),
    [anon_sym_PLUS] = ACTIONS(2330),
    [anon_sym_STAR] = ACTIONS(2332),
    [anon_sym_AMP_AMP] = ACTIONS(2332),
    [anon_sym_AMP] = ACTIONS(2330),
    [anon_sym_SEMI] = ACTIONS(2332),
    [anon_sym___extension__] = ACTIONS(2330),
    [anon_sym_typedef] = ACTIONS(2330),
    [anon_sym_in] = ACTIONS(2330),
    [anon_sym_out] = ACTIONS(2330),
    [anon_sym_inout] = ACTIONS(2330),
    [anon_sym_extern] = ACTIONS(2330),
    [anon_sym___attribute__] = ACTIONS(2330),
    [anon_sym_COLON_COLON] = ACTIONS(2332),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2332),
    [anon_sym___declspec] = ACTIONS(2330),
    [anon_sym___based] = ACTIONS(2330),
    [anon_sym___cdecl] = ACTIONS(2330),
    [anon_sym___clrcall] = ACTIONS(2330),
    [anon_sym___stdcall] = ACTIONS(2330),
    [anon_sym___fastcall] = ACTIONS(2330),
    [anon_sym___thiscall] = ACTIONS(2330),
    [anon_sym___vectorcall] = ACTIONS(2330),
    [anon_sym_LBRACE] = ACTIONS(2332),
    [anon_sym_signed] = ACTIONS(2330),
    [anon_sym_unsigned] = ACTIONS(2330),
    [anon_sym_long] = ACTIONS(2330),
    [anon_sym_short] = ACTIONS(2330),
    [anon_sym_LBRACK] = ACTIONS(2330),
    [anon_sym_static] = ACTIONS(2330),
    [anon_sym_register] = ACTIONS(2330),
    [anon_sym_inline] = ACTIONS(2330),
    [anon_sym___inline] = ACTIONS(2330),
    [anon_sym___inline__] = ACTIONS(2330),
    [anon_sym___forceinline] = ACTIONS(2330),
    [anon_sym_thread_local] = ACTIONS(2330),
    [anon_sym___thread] = ACTIONS(2330),
    [anon_sym_const] = ACTIONS(2330),
    [anon_sym_constexpr] = ACTIONS(2330),
    [anon_sym_volatile] = ACTIONS(2330),
    [anon_sym_restrict] = ACTIONS(2330),
    [anon_sym___restrict__] = ACTIONS(2330),
    [anon_sym__Atomic] = ACTIONS(2330),
    [anon_sym__Noreturn] = ACTIONS(2330),
    [anon_sym_noreturn] = ACTIONS(2330),
    [anon_sym_mutable] = ACTIONS(2330),
    [anon_sym_constinit] = ACTIONS(2330),
    [anon_sym_consteval] = ACTIONS(2330),
    [sym_primitive_type] = ACTIONS(2330),
    [anon_sym_enum] = ACTIONS(2330),
    [anon_sym_class] = ACTIONS(2330),
    [anon_sym_struct] = ACTIONS(2330),
    [anon_sym_union] = ACTIONS(2330),
    [anon_sym_if] = ACTIONS(2330),
    [anon_sym_else] = ACTIONS(2330),
    [anon_sym_switch] = ACTIONS(2330),
    [anon_sym_case] = ACTIONS(2330),
    [anon_sym_default] = ACTIONS(2330),
    [anon_sym_while] = ACTIONS(2330),
    [anon_sym_do] = ACTIONS(2330),
    [anon_sym_for] = ACTIONS(2330),
    [anon_sym_return] = ACTIONS(2330),
    [anon_sym_break] = ACTIONS(2330),
    [anon_sym_continue] = ACTIONS(2330),
    [anon_sym_goto] = ACTIONS(2330),
    [anon_sym___try] = ACTIONS(2330),
    [anon_sym___leave] = ACTIONS(2330),
    [anon_sym_not] = ACTIONS(2330),
    [anon_sym_compl] = ACTIONS(2330),
    [anon_sym_DASH_DASH] = ACTIONS(2332),
    [anon_sym_PLUS_PLUS] = ACTIONS(2332),
    [anon_sym_sizeof] = ACTIONS(2330),
    [anon_sym___alignof__] = ACTIONS(2330),
    [anon_sym___alignof] = ACTIONS(2330),
    [anon_sym__alignof] = ACTIONS(2330),
    [anon_sym_alignof] = ACTIONS(2330),
    [anon_sym__Alignof] = ACTIONS(2330),
    [anon_sym_offsetof] = ACTIONS(2330),
    [anon_sym__Generic] = ACTIONS(2330),
    [anon_sym_asm] = ACTIONS(2330),
    [anon_sym___asm__] = ACTIONS(2330),
    [sym_number_literal] = ACTIONS(2332),
    [anon_sym_L_SQUOTE] = ACTIONS(2332),
    [anon_sym_u_SQUOTE] = ACTIONS(2332),
    [anon_sym_U_SQUOTE] = ACTIONS(2332),
    [anon_sym_u8_SQUOTE] = ACTIONS(2332),
    [anon_sym_SQUOTE] = ACTIONS(2332),
    [anon_sym_L_DQUOTE] = ACTIONS(2332),
    [anon_sym_u_DQUOTE] = ACTIONS(2332),
    [anon_sym_U_DQUOTE] = ACTIONS(2332),
    [anon_sym_u8_DQUOTE] = ACTIONS(2332),
    [anon_sym_DQUOTE] = ACTIONS(2332),
    [sym_true] = ACTIONS(2330),
    [sym_false] = ACTIONS(2330),
    [anon_sym_NULL] = ACTIONS(2330),
    [anon_sym_nullptr] = ACTIONS(2330),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2330),
    [anon_sym_decltype] = ACTIONS(2330),
    [anon_sym_virtual] = ACTIONS(2330),
    [anon_sym_alignas] = ACTIONS(2330),
    [anon_sym_explicit] = ACTIONS(2330),
    [anon_sym_typename] = ACTIONS(2330),
    [anon_sym_template] = ACTIONS(2330),
    [anon_sym_operator] = ACTIONS(2330),
    [anon_sym_try] = ACTIONS(2330),
    [anon_sym_delete] = ACTIONS(2330),
    [anon_sym_throw] = ACTIONS(2330),
    [anon_sym_namespace] = ACTIONS(2330),
    [anon_sym_using] = ACTIONS(2330),
    [anon_sym_static_assert] = ACTIONS(2330),
    [anon_sym_concept] = ACTIONS(2330),
    [anon_sym_co_return] = ACTIONS(2330),
    [anon_sym_co_yield] = ACTIONS(2330),
    [anon_sym_R_DQUOTE] = ACTIONS(2332),
    [anon_sym_LR_DQUOTE] = ACTIONS(2332),
    [anon_sym_uR_DQUOTE] = ACTIONS(2332),
    [anon_sym_UR_DQUOTE] = ACTIONS(2332),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2332),
    [anon_sym_co_await] = ACTIONS(2330),
    [anon_sym_new] = ACTIONS(2330),
    [anon_sym_requires] = ACTIONS(2330),
    [sym_this] = ACTIONS(2330),
    [anon_sym_discard] = ACTIONS(2330),
    [anon_sym_precise] = ACTIONS(2330),
    [anon_sym_shared] = ACTIONS(2330),
    [anon_sym_groupshared] = ACTIONS(2330),
    [anon_sym_uniform] = ACTIONS(2330),
    [anon_sym_row_major] = ACTIONS(2330),
    [anon_sym_column_major] = ACTIONS(2330),
    [anon_sym_globallycoherent] = ACTIONS(2330),
    [anon_sym_centroid] = ACTIONS(2330),
    [anon_sym_noperspective] = ACTIONS(2330),
    [anon_sym_nointerpolation] = ACTIONS(2330),
    [anon_sym_sample] = ACTIONS(2330),
    [anon_sym_linear] = ACTIONS(2330),
    [anon_sym_snorm] = ACTIONS(2330),
    [anon_sym_unorm] = ACTIONS(2330),
    [anon_sym_point] = ACTIONS(2330),
    [anon_sym_line] = ACTIONS(2330),
    [anon_sym_triangleadj] = ACTIONS(2330),
    [anon_sym_lineadj] = ACTIONS(2330),
    [anon_sym_triangle] = ACTIONS(2330),
    [anon_sym_cbuffer] = ACTIONS(2330),
  },
  [476] = {
    [sym_identifier] = ACTIONS(2330),
    [aux_sym_preproc_include_token1] = ACTIONS(2330),
    [aux_sym_preproc_def_token1] = ACTIONS(2330),
    [aux_sym_preproc_if_token1] = ACTIONS(2330),
    [aux_sym_preproc_if_token2] = ACTIONS(2330),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2330),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2330),
    [aux_sym_preproc_else_token1] = ACTIONS(2330),
    [aux_sym_preproc_elif_token1] = ACTIONS(2330),
    [sym_preproc_directive] = ACTIONS(2330),
    [anon_sym_LPAREN2] = ACTIONS(2332),
    [anon_sym_BANG] = ACTIONS(2332),
    [anon_sym_TILDE] = ACTIONS(2332),
    [anon_sym_DASH] = ACTIONS(2330),
    [anon_sym_PLUS] = ACTIONS(2330),
    [anon_sym_STAR] = ACTIONS(2332),
    [anon_sym_AMP_AMP] = ACTIONS(2332),
    [anon_sym_AMP] = ACTIONS(2330),
    [anon_sym_SEMI] = ACTIONS(2332),
    [anon_sym___extension__] = ACTIONS(2330),
    [anon_sym_typedef] = ACTIONS(2330),
    [anon_sym_in] = ACTIONS(2330),
    [anon_sym_out] = ACTIONS(2330),
    [anon_sym_inout] = ACTIONS(2330),
    [anon_sym_extern] = ACTIONS(2330),
    [anon_sym___attribute__] = ACTIONS(2330),
    [anon_sym_COLON_COLON] = ACTIONS(2332),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2332),
    [anon_sym___declspec] = ACTIONS(2330),
    [anon_sym___based] = ACTIONS(2330),
    [anon_sym___cdecl] = ACTIONS(2330),
    [anon_sym___clrcall] = ACTIONS(2330),
    [anon_sym___stdcall] = ACTIONS(2330),
    [anon_sym___fastcall] = ACTIONS(2330),
    [anon_sym___thiscall] = ACTIONS(2330),
    [anon_sym___vectorcall] = ACTIONS(2330),
    [anon_sym_LBRACE] = ACTIONS(2332),
    [anon_sym_signed] = ACTIONS(2330),
    [anon_sym_unsigned] = ACTIONS(2330),
    [anon_sym_long] = ACTIONS(2330),
    [anon_sym_short] = ACTIONS(2330),
    [anon_sym_LBRACK] = ACTIONS(2330),
    [anon_sym_static] = ACTIONS(2330),
    [anon_sym_register] = ACTIONS(2330),
    [anon_sym_inline] = ACTIONS(2330),
    [anon_sym___inline] = ACTIONS(2330),
    [anon_sym___inline__] = ACTIONS(2330),
    [anon_sym___forceinline] = ACTIONS(2330),
    [anon_sym_thread_local] = ACTIONS(2330),
    [anon_sym___thread] = ACTIONS(2330),
    [anon_sym_const] = ACTIONS(2330),
    [anon_sym_constexpr] = ACTIONS(2330),
    [anon_sym_volatile] = ACTIONS(2330),
    [anon_sym_restrict] = ACTIONS(2330),
    [anon_sym___restrict__] = ACTIONS(2330),
    [anon_sym__Atomic] = ACTIONS(2330),
    [anon_sym__Noreturn] = ACTIONS(2330),
    [anon_sym_noreturn] = ACTIONS(2330),
    [anon_sym_mutable] = ACTIONS(2330),
    [anon_sym_constinit] = ACTIONS(2330),
    [anon_sym_consteval] = ACTIONS(2330),
    [sym_primitive_type] = ACTIONS(2330),
    [anon_sym_enum] = ACTIONS(2330),
    [anon_sym_class] = ACTIONS(2330),
    [anon_sym_struct] = ACTIONS(2330),
    [anon_sym_union] = ACTIONS(2330),
    [anon_sym_if] = ACTIONS(2330),
    [anon_sym_else] = ACTIONS(2330),
    [anon_sym_switch] = ACTIONS(2330),
    [anon_sym_case] = ACTIONS(2330),
    [anon_sym_default] = ACTIONS(2330),
    [anon_sym_while] = ACTIONS(2330),
    [anon_sym_do] = ACTIONS(2330),
    [anon_sym_for] = ACTIONS(2330),
    [anon_sym_return] = ACTIONS(2330),
    [anon_sym_break] = ACTIONS(2330),
    [anon_sym_continue] = ACTIONS(2330),
    [anon_sym_goto] = ACTIONS(2330),
    [anon_sym___try] = ACTIONS(2330),
    [anon_sym___leave] = ACTIONS(2330),
    [anon_sym_not] = ACTIONS(2330),
    [anon_sym_compl] = ACTIONS(2330),
    [anon_sym_DASH_DASH] = ACTIONS(2332),
    [anon_sym_PLUS_PLUS] = ACTIONS(2332),
    [anon_sym_sizeof] = ACTIONS(2330),
    [anon_sym___alignof__] = ACTIONS(2330),
    [anon_sym___alignof] = ACTIONS(2330),
    [anon_sym__alignof] = ACTIONS(2330),
    [anon_sym_alignof] = ACTIONS(2330),
    [anon_sym__Alignof] = ACTIONS(2330),
    [anon_sym_offsetof] = ACTIONS(2330),
    [anon_sym__Generic] = ACTIONS(2330),
    [anon_sym_asm] = ACTIONS(2330),
    [anon_sym___asm__] = ACTIONS(2330),
    [sym_number_literal] = ACTIONS(2332),
    [anon_sym_L_SQUOTE] = ACTIONS(2332),
    [anon_sym_u_SQUOTE] = ACTIONS(2332),
    [anon_sym_U_SQUOTE] = ACTIONS(2332),
    [anon_sym_u8_SQUOTE] = ACTIONS(2332),
    [anon_sym_SQUOTE] = ACTIONS(2332),
    [anon_sym_L_DQUOTE] = ACTIONS(2332),
    [anon_sym_u_DQUOTE] = ACTIONS(2332),
    [anon_sym_U_DQUOTE] = ACTIONS(2332),
    [anon_sym_u8_DQUOTE] = ACTIONS(2332),
    [anon_sym_DQUOTE] = ACTIONS(2332),
    [sym_true] = ACTIONS(2330),
    [sym_false] = ACTIONS(2330),
    [anon_sym_NULL] = ACTIONS(2330),
    [anon_sym_nullptr] = ACTIONS(2330),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2330),
    [anon_sym_decltype] = ACTIONS(2330),
    [anon_sym_virtual] = ACTIONS(2330),
    [anon_sym_alignas] = ACTIONS(2330),
    [anon_sym_explicit] = ACTIONS(2330),
    [anon_sym_typename] = ACTIONS(2330),
    [anon_sym_template] = ACTIONS(2330),
    [anon_sym_operator] = ACTIONS(2330),
    [anon_sym_try] = ACTIONS(2330),
    [anon_sym_delete] = ACTIONS(2330),
    [anon_sym_throw] = ACTIONS(2330),
    [anon_sym_namespace] = ACTIONS(2330),
    [anon_sym_using] = ACTIONS(2330),
    [anon_sym_static_assert] = ACTIONS(2330),
    [anon_sym_concept] = ACTIONS(2330),
    [anon_sym_co_return] = ACTIONS(2330),
    [anon_sym_co_yield] = ACTIONS(2330),
    [anon_sym_R_DQUOTE] = ACTIONS(2332),
    [anon_sym_LR_DQUOTE] = ACTIONS(2332),
    [anon_sym_uR_DQUOTE] = ACTIONS(2332),
    [anon_sym_UR_DQUOTE] = ACTIONS(2332),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2332),
    [anon_sym_co_await] = ACTIONS(2330),
    [anon_sym_new] = ACTIONS(2330),
    [anon_sym_requires] = ACTIONS(2330),
    [sym_this] = ACTIONS(2330),
    [anon_sym_discard] = ACTIONS(2330),
    [anon_sym_precise] = ACTIONS(2330),
    [anon_sym_shared] = ACTIONS(2330),
    [anon_sym_groupshared] = ACTIONS(2330),
    [anon_sym_uniform] = ACTIONS(2330),
    [anon_sym_row_major] = ACTIONS(2330),
    [anon_sym_column_major] = ACTIONS(2330),
    [anon_sym_globallycoherent] = ACTIONS(2330),
    [anon_sym_centroid] = ACTIONS(2330),
    [anon_sym_noperspective] = ACTIONS(2330),
    [anon_sym_nointerpolation] = ACTIONS(2330),
    [anon_sym_sample] = ACTIONS(2330),
    [anon_sym_linear] = ACTIONS(2330),
    [anon_sym_snorm] = ACTIONS(2330),
    [anon_sym_unorm] = ACTIONS(2330),
    [anon_sym_point] = ACTIONS(2330),
    [anon_sym_line] = ACTIONS(2330),
    [anon_sym_triangleadj] = ACTIONS(2330),
    [anon_sym_lineadj] = ACTIONS(2330),
    [anon_sym_triangle] = ACTIONS(2330),
    [anon_sym_cbuffer] = ACTIONS(2330),
  },
  [477] = {
    [sym_identifier] = ACTIONS(2330),
    [aux_sym_preproc_include_token1] = ACTIONS(2330),
    [aux_sym_preproc_def_token1] = ACTIONS(2330),
    [aux_sym_preproc_if_token1] = ACTIONS(2330),
    [aux_sym_preproc_if_token2] = ACTIONS(2330),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2330),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2330),
    [aux_sym_preproc_else_token1] = ACTIONS(2330),
    [aux_sym_preproc_elif_token1] = ACTIONS(2330),
    [sym_preproc_directive] = ACTIONS(2330),
    [anon_sym_LPAREN2] = ACTIONS(2332),
    [anon_sym_BANG] = ACTIONS(2332),
    [anon_sym_TILDE] = ACTIONS(2332),
    [anon_sym_DASH] = ACTIONS(2330),
    [anon_sym_PLUS] = ACTIONS(2330),
    [anon_sym_STAR] = ACTIONS(2332),
    [anon_sym_AMP_AMP] = ACTIONS(2332),
    [anon_sym_AMP] = ACTIONS(2330),
    [anon_sym_SEMI] = ACTIONS(2332),
    [anon_sym___extension__] = ACTIONS(2330),
    [anon_sym_typedef] = ACTIONS(2330),
    [anon_sym_in] = ACTIONS(2330),
    [anon_sym_out] = ACTIONS(2330),
    [anon_sym_inout] = ACTIONS(2330),
    [anon_sym_extern] = ACTIONS(2330),
    [anon_sym___attribute__] = ACTIONS(2330),
    [anon_sym_COLON_COLON] = ACTIONS(2332),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2332),
    [anon_sym___declspec] = ACTIONS(2330),
    [anon_sym___based] = ACTIONS(2330),
    [anon_sym___cdecl] = ACTIONS(2330),
    [anon_sym___clrcall] = ACTIONS(2330),
    [anon_sym___stdcall] = ACTIONS(2330),
    [anon_sym___fastcall] = ACTIONS(2330),
    [anon_sym___thiscall] = ACTIONS(2330),
    [anon_sym___vectorcall] = ACTIONS(2330),
    [anon_sym_LBRACE] = ACTIONS(2332),
    [anon_sym_signed] = ACTIONS(2330),
    [anon_sym_unsigned] = ACTIONS(2330),
    [anon_sym_long] = ACTIONS(2330),
    [anon_sym_short] = ACTIONS(2330),
    [anon_sym_LBRACK] = ACTIONS(2330),
    [anon_sym_static] = ACTIONS(2330),
    [anon_sym_register] = ACTIONS(2330),
    [anon_sym_inline] = ACTIONS(2330),
    [anon_sym___inline] = ACTIONS(2330),
    [anon_sym___inline__] = ACTIONS(2330),
    [anon_sym___forceinline] = ACTIONS(2330),
    [anon_sym_thread_local] = ACTIONS(2330),
    [anon_sym___thread] = ACTIONS(2330),
    [anon_sym_const] = ACTIONS(2330),
    [anon_sym_constexpr] = ACTIONS(2330),
    [anon_sym_volatile] = ACTIONS(2330),
    [anon_sym_restrict] = ACTIONS(2330),
    [anon_sym___restrict__] = ACTIONS(2330),
    [anon_sym__Atomic] = ACTIONS(2330),
    [anon_sym__Noreturn] = ACTIONS(2330),
    [anon_sym_noreturn] = ACTIONS(2330),
    [anon_sym_mutable] = ACTIONS(2330),
    [anon_sym_constinit] = ACTIONS(2330),
    [anon_sym_consteval] = ACTIONS(2330),
    [sym_primitive_type] = ACTIONS(2330),
    [anon_sym_enum] = ACTIONS(2330),
    [anon_sym_class] = ACTIONS(2330),
    [anon_sym_struct] = ACTIONS(2330),
    [anon_sym_union] = ACTIONS(2330),
    [anon_sym_if] = ACTIONS(2330),
    [anon_sym_else] = ACTIONS(2330),
    [anon_sym_switch] = ACTIONS(2330),
    [anon_sym_case] = ACTIONS(2330),
    [anon_sym_default] = ACTIONS(2330),
    [anon_sym_while] = ACTIONS(2330),
    [anon_sym_do] = ACTIONS(2330),
    [anon_sym_for] = ACTIONS(2330),
    [anon_sym_return] = ACTIONS(2330),
    [anon_sym_break] = ACTIONS(2330),
    [anon_sym_continue] = ACTIONS(2330),
    [anon_sym_goto] = ACTIONS(2330),
    [anon_sym___try] = ACTIONS(2330),
    [anon_sym___leave] = ACTIONS(2330),
    [anon_sym_not] = ACTIONS(2330),
    [anon_sym_compl] = ACTIONS(2330),
    [anon_sym_DASH_DASH] = ACTIONS(2332),
    [anon_sym_PLUS_PLUS] = ACTIONS(2332),
    [anon_sym_sizeof] = ACTIONS(2330),
    [anon_sym___alignof__] = ACTIONS(2330),
    [anon_sym___alignof] = ACTIONS(2330),
    [anon_sym__alignof] = ACTIONS(2330),
    [anon_sym_alignof] = ACTIONS(2330),
    [anon_sym__Alignof] = ACTIONS(2330),
    [anon_sym_offsetof] = ACTIONS(2330),
    [anon_sym__Generic] = ACTIONS(2330),
    [anon_sym_asm] = ACTIONS(2330),
    [anon_sym___asm__] = ACTIONS(2330),
    [sym_number_literal] = ACTIONS(2332),
    [anon_sym_L_SQUOTE] = ACTIONS(2332),
    [anon_sym_u_SQUOTE] = ACTIONS(2332),
    [anon_sym_U_SQUOTE] = ACTIONS(2332),
    [anon_sym_u8_SQUOTE] = ACTIONS(2332),
    [anon_sym_SQUOTE] = ACTIONS(2332),
    [anon_sym_L_DQUOTE] = ACTIONS(2332),
    [anon_sym_u_DQUOTE] = ACTIONS(2332),
    [anon_sym_U_DQUOTE] = ACTIONS(2332),
    [anon_sym_u8_DQUOTE] = ACTIONS(2332),
    [anon_sym_DQUOTE] = ACTIONS(2332),
    [sym_true] = ACTIONS(2330),
    [sym_false] = ACTIONS(2330),
    [anon_sym_NULL] = ACTIONS(2330),
    [anon_sym_nullptr] = ACTIONS(2330),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2330),
    [anon_sym_decltype] = ACTIONS(2330),
    [anon_sym_virtual] = ACTIONS(2330),
    [anon_sym_alignas] = ACTIONS(2330),
    [anon_sym_explicit] = ACTIONS(2330),
    [anon_sym_typename] = ACTIONS(2330),
    [anon_sym_template] = ACTIONS(2330),
    [anon_sym_operator] = ACTIONS(2330),
    [anon_sym_try] = ACTIONS(2330),
    [anon_sym_delete] = ACTIONS(2330),
    [anon_sym_throw] = ACTIONS(2330),
    [anon_sym_namespace] = ACTIONS(2330),
    [anon_sym_using] = ACTIONS(2330),
    [anon_sym_static_assert] = ACTIONS(2330),
    [anon_sym_concept] = ACTIONS(2330),
    [anon_sym_co_return] = ACTIONS(2330),
    [anon_sym_co_yield] = ACTIONS(2330),
    [anon_sym_R_DQUOTE] = ACTIONS(2332),
    [anon_sym_LR_DQUOTE] = ACTIONS(2332),
    [anon_sym_uR_DQUOTE] = ACTIONS(2332),
    [anon_sym_UR_DQUOTE] = ACTIONS(2332),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2332),
    [anon_sym_co_await] = ACTIONS(2330),
    [anon_sym_new] = ACTIONS(2330),
    [anon_sym_requires] = ACTIONS(2330),
    [sym_this] = ACTIONS(2330),
    [anon_sym_discard] = ACTIONS(2330),
    [anon_sym_precise] = ACTIONS(2330),
    [anon_sym_shared] = ACTIONS(2330),
    [anon_sym_groupshared] = ACTIONS(2330),
    [anon_sym_uniform] = ACTIONS(2330),
    [anon_sym_row_major] = ACTIONS(2330),
    [anon_sym_column_major] = ACTIONS(2330),
    [anon_sym_globallycoherent] = ACTIONS(2330),
    [anon_sym_centroid] = ACTIONS(2330),
    [anon_sym_noperspective] = ACTIONS(2330),
    [anon_sym_nointerpolation] = ACTIONS(2330),
    [anon_sym_sample] = ACTIONS(2330),
    [anon_sym_linear] = ACTIONS(2330),
    [anon_sym_snorm] = ACTIONS(2330),
    [anon_sym_unorm] = ACTIONS(2330),
    [anon_sym_point] = ACTIONS(2330),
    [anon_sym_line] = ACTIONS(2330),
    [anon_sym_triangleadj] = ACTIONS(2330),
    [anon_sym_lineadj] = ACTIONS(2330),
    [anon_sym_triangle] = ACTIONS(2330),
    [anon_sym_cbuffer] = ACTIONS(2330),
  },
  [478] = {
    [sym_identifier] = ACTIONS(2330),
    [aux_sym_preproc_include_token1] = ACTIONS(2330),
    [aux_sym_preproc_def_token1] = ACTIONS(2330),
    [aux_sym_preproc_if_token1] = ACTIONS(2330),
    [aux_sym_preproc_if_token2] = ACTIONS(2330),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2330),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2330),
    [aux_sym_preproc_else_token1] = ACTIONS(2330),
    [aux_sym_preproc_elif_token1] = ACTIONS(2330),
    [sym_preproc_directive] = ACTIONS(2330),
    [anon_sym_LPAREN2] = ACTIONS(2332),
    [anon_sym_BANG] = ACTIONS(2332),
    [anon_sym_TILDE] = ACTIONS(2332),
    [anon_sym_DASH] = ACTIONS(2330),
    [anon_sym_PLUS] = ACTIONS(2330),
    [anon_sym_STAR] = ACTIONS(2332),
    [anon_sym_AMP_AMP] = ACTIONS(2332),
    [anon_sym_AMP] = ACTIONS(2330),
    [anon_sym_SEMI] = ACTIONS(2332),
    [anon_sym___extension__] = ACTIONS(2330),
    [anon_sym_typedef] = ACTIONS(2330),
    [anon_sym_in] = ACTIONS(2330),
    [anon_sym_out] = ACTIONS(2330),
    [anon_sym_inout] = ACTIONS(2330),
    [anon_sym_extern] = ACTIONS(2330),
    [anon_sym___attribute__] = ACTIONS(2330),
    [anon_sym_COLON_COLON] = ACTIONS(2332),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2332),
    [anon_sym___declspec] = ACTIONS(2330),
    [anon_sym___based] = ACTIONS(2330),
    [anon_sym___cdecl] = ACTIONS(2330),
    [anon_sym___clrcall] = ACTIONS(2330),
    [anon_sym___stdcall] = ACTIONS(2330),
    [anon_sym___fastcall] = ACTIONS(2330),
    [anon_sym___thiscall] = ACTIONS(2330),
    [anon_sym___vectorcall] = ACTIONS(2330),
    [anon_sym_LBRACE] = ACTIONS(2332),
    [anon_sym_signed] = ACTIONS(2330),
    [anon_sym_unsigned] = ACTIONS(2330),
    [anon_sym_long] = ACTIONS(2330),
    [anon_sym_short] = ACTIONS(2330),
    [anon_sym_LBRACK] = ACTIONS(2330),
    [anon_sym_static] = ACTIONS(2330),
    [anon_sym_register] = ACTIONS(2330),
    [anon_sym_inline] = ACTIONS(2330),
    [anon_sym___inline] = ACTIONS(2330),
    [anon_sym___inline__] = ACTIONS(2330),
    [anon_sym___forceinline] = ACTIONS(2330),
    [anon_sym_thread_local] = ACTIONS(2330),
    [anon_sym___thread] = ACTIONS(2330),
    [anon_sym_const] = ACTIONS(2330),
    [anon_sym_constexpr] = ACTIONS(2330),
    [anon_sym_volatile] = ACTIONS(2330),
    [anon_sym_restrict] = ACTIONS(2330),
    [anon_sym___restrict__] = ACTIONS(2330),
    [anon_sym__Atomic] = ACTIONS(2330),
    [anon_sym__Noreturn] = ACTIONS(2330),
    [anon_sym_noreturn] = ACTIONS(2330),
    [anon_sym_mutable] = ACTIONS(2330),
    [anon_sym_constinit] = ACTIONS(2330),
    [anon_sym_consteval] = ACTIONS(2330),
    [sym_primitive_type] = ACTIONS(2330),
    [anon_sym_enum] = ACTIONS(2330),
    [anon_sym_class] = ACTIONS(2330),
    [anon_sym_struct] = ACTIONS(2330),
    [anon_sym_union] = ACTIONS(2330),
    [anon_sym_if] = ACTIONS(2330),
    [anon_sym_else] = ACTIONS(2330),
    [anon_sym_switch] = ACTIONS(2330),
    [anon_sym_case] = ACTIONS(2330),
    [anon_sym_default] = ACTIONS(2330),
    [anon_sym_while] = ACTIONS(2330),
    [anon_sym_do] = ACTIONS(2330),
    [anon_sym_for] = ACTIONS(2330),
    [anon_sym_return] = ACTIONS(2330),
    [anon_sym_break] = ACTIONS(2330),
    [anon_sym_continue] = ACTIONS(2330),
    [anon_sym_goto] = ACTIONS(2330),
    [anon_sym___try] = ACTIONS(2330),
    [anon_sym___leave] = ACTIONS(2330),
    [anon_sym_not] = ACTIONS(2330),
    [anon_sym_compl] = ACTIONS(2330),
    [anon_sym_DASH_DASH] = ACTIONS(2332),
    [anon_sym_PLUS_PLUS] = ACTIONS(2332),
    [anon_sym_sizeof] = ACTIONS(2330),
    [anon_sym___alignof__] = ACTIONS(2330),
    [anon_sym___alignof] = ACTIONS(2330),
    [anon_sym__alignof] = ACTIONS(2330),
    [anon_sym_alignof] = ACTIONS(2330),
    [anon_sym__Alignof] = ACTIONS(2330),
    [anon_sym_offsetof] = ACTIONS(2330),
    [anon_sym__Generic] = ACTIONS(2330),
    [anon_sym_asm] = ACTIONS(2330),
    [anon_sym___asm__] = ACTIONS(2330),
    [sym_number_literal] = ACTIONS(2332),
    [anon_sym_L_SQUOTE] = ACTIONS(2332),
    [anon_sym_u_SQUOTE] = ACTIONS(2332),
    [anon_sym_U_SQUOTE] = ACTIONS(2332),
    [anon_sym_u8_SQUOTE] = ACTIONS(2332),
    [anon_sym_SQUOTE] = ACTIONS(2332),
    [anon_sym_L_DQUOTE] = ACTIONS(2332),
    [anon_sym_u_DQUOTE] = ACTIONS(2332),
    [anon_sym_U_DQUOTE] = ACTIONS(2332),
    [anon_sym_u8_DQUOTE] = ACTIONS(2332),
    [anon_sym_DQUOTE] = ACTIONS(2332),
    [sym_true] = ACTIONS(2330),
    [sym_false] = ACTIONS(2330),
    [anon_sym_NULL] = ACTIONS(2330),
    [anon_sym_nullptr] = ACTIONS(2330),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2330),
    [anon_sym_decltype] = ACTIONS(2330),
    [anon_sym_virtual] = ACTIONS(2330),
    [anon_sym_alignas] = ACTIONS(2330),
    [anon_sym_explicit] = ACTIONS(2330),
    [anon_sym_typename] = ACTIONS(2330),
    [anon_sym_template] = ACTIONS(2330),
    [anon_sym_operator] = ACTIONS(2330),
    [anon_sym_try] = ACTIONS(2330),
    [anon_sym_delete] = ACTIONS(2330),
    [anon_sym_throw] = ACTIONS(2330),
    [anon_sym_namespace] = ACTIONS(2330),
    [anon_sym_using] = ACTIONS(2330),
    [anon_sym_static_assert] = ACTIONS(2330),
    [anon_sym_concept] = ACTIONS(2330),
    [anon_sym_co_return] = ACTIONS(2330),
    [anon_sym_co_yield] = ACTIONS(2330),
    [anon_sym_R_DQUOTE] = ACTIONS(2332),
    [anon_sym_LR_DQUOTE] = ACTIONS(2332),
    [anon_sym_uR_DQUOTE] = ACTIONS(2332),
    [anon_sym_UR_DQUOTE] = ACTIONS(2332),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2332),
    [anon_sym_co_await] = ACTIONS(2330),
    [anon_sym_new] = ACTIONS(2330),
    [anon_sym_requires] = ACTIONS(2330),
    [sym_this] = ACTIONS(2330),
    [anon_sym_discard] = ACTIONS(2330),
    [anon_sym_precise] = ACTIONS(2330),
    [anon_sym_shared] = ACTIONS(2330),
    [anon_sym_groupshared] = ACTIONS(2330),
    [anon_sym_uniform] = ACTIONS(2330),
    [anon_sym_row_major] = ACTIONS(2330),
    [anon_sym_column_major] = ACTIONS(2330),
    [anon_sym_globallycoherent] = ACTIONS(2330),
    [anon_sym_centroid] = ACTIONS(2330),
    [anon_sym_noperspective] = ACTIONS(2330),
    [anon_sym_nointerpolation] = ACTIONS(2330),
    [anon_sym_sample] = ACTIONS(2330),
    [anon_sym_linear] = ACTIONS(2330),
    [anon_sym_snorm] = ACTIONS(2330),
    [anon_sym_unorm] = ACTIONS(2330),
    [anon_sym_point] = ACTIONS(2330),
    [anon_sym_line] = ACTIONS(2330),
    [anon_sym_triangleadj] = ACTIONS(2330),
    [anon_sym_lineadj] = ACTIONS(2330),
    [anon_sym_triangle] = ACTIONS(2330),
    [anon_sym_cbuffer] = ACTIONS(2330),
  },
  [479] = {
    [sym_identifier] = ACTIONS(2330),
    [aux_sym_preproc_include_token1] = ACTIONS(2330),
    [aux_sym_preproc_def_token1] = ACTIONS(2330),
    [aux_sym_preproc_if_token1] = ACTIONS(2330),
    [aux_sym_preproc_if_token2] = ACTIONS(2330),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2330),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2330),
    [aux_sym_preproc_else_token1] = ACTIONS(2330),
    [aux_sym_preproc_elif_token1] = ACTIONS(2330),
    [sym_preproc_directive] = ACTIONS(2330),
    [anon_sym_LPAREN2] = ACTIONS(2332),
    [anon_sym_BANG] = ACTIONS(2332),
    [anon_sym_TILDE] = ACTIONS(2332),
    [anon_sym_DASH] = ACTIONS(2330),
    [anon_sym_PLUS] = ACTIONS(2330),
    [anon_sym_STAR] = ACTIONS(2332),
    [anon_sym_AMP_AMP] = ACTIONS(2332),
    [anon_sym_AMP] = ACTIONS(2330),
    [anon_sym_SEMI] = ACTIONS(2332),
    [anon_sym___extension__] = ACTIONS(2330),
    [anon_sym_typedef] = ACTIONS(2330),
    [anon_sym_in] = ACTIONS(2330),
    [anon_sym_out] = ACTIONS(2330),
    [anon_sym_inout] = ACTIONS(2330),
    [anon_sym_extern] = ACTIONS(2330),
    [anon_sym___attribute__] = ACTIONS(2330),
    [anon_sym_COLON_COLON] = ACTIONS(2332),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2332),
    [anon_sym___declspec] = ACTIONS(2330),
    [anon_sym___based] = ACTIONS(2330),
    [anon_sym___cdecl] = ACTIONS(2330),
    [anon_sym___clrcall] = ACTIONS(2330),
    [anon_sym___stdcall] = ACTIONS(2330),
    [anon_sym___fastcall] = ACTIONS(2330),
    [anon_sym___thiscall] = ACTIONS(2330),
    [anon_sym___vectorcall] = ACTIONS(2330),
    [anon_sym_LBRACE] = ACTIONS(2332),
    [anon_sym_signed] = ACTIONS(2330),
    [anon_sym_unsigned] = ACTIONS(2330),
    [anon_sym_long] = ACTIONS(2330),
    [anon_sym_short] = ACTIONS(2330),
    [anon_sym_LBRACK] = ACTIONS(2330),
    [anon_sym_static] = ACTIONS(2330),
    [anon_sym_register] = ACTIONS(2330),
    [anon_sym_inline] = ACTIONS(2330),
    [anon_sym___inline] = ACTIONS(2330),
    [anon_sym___inline__] = ACTIONS(2330),
    [anon_sym___forceinline] = ACTIONS(2330),
    [anon_sym_thread_local] = ACTIONS(2330),
    [anon_sym___thread] = ACTIONS(2330),
    [anon_sym_const] = ACTIONS(2330),
    [anon_sym_constexpr] = ACTIONS(2330),
    [anon_sym_volatile] = ACTIONS(2330),
    [anon_sym_restrict] = ACTIONS(2330),
    [anon_sym___restrict__] = ACTIONS(2330),
    [anon_sym__Atomic] = ACTIONS(2330),
    [anon_sym__Noreturn] = ACTIONS(2330),
    [anon_sym_noreturn] = ACTIONS(2330),
    [anon_sym_mutable] = ACTIONS(2330),
    [anon_sym_constinit] = ACTIONS(2330),
    [anon_sym_consteval] = ACTIONS(2330),
    [sym_primitive_type] = ACTIONS(2330),
    [anon_sym_enum] = ACTIONS(2330),
    [anon_sym_class] = ACTIONS(2330),
    [anon_sym_struct] = ACTIONS(2330),
    [anon_sym_union] = ACTIONS(2330),
    [anon_sym_if] = ACTIONS(2330),
    [anon_sym_else] = ACTIONS(2330),
    [anon_sym_switch] = ACTIONS(2330),
    [anon_sym_case] = ACTIONS(2330),
    [anon_sym_default] = ACTIONS(2330),
    [anon_sym_while] = ACTIONS(2330),
    [anon_sym_do] = ACTIONS(2330),
    [anon_sym_for] = ACTIONS(2330),
    [anon_sym_return] = ACTIONS(2330),
    [anon_sym_break] = ACTIONS(2330),
    [anon_sym_continue] = ACTIONS(2330),
    [anon_sym_goto] = ACTIONS(2330),
    [anon_sym___try] = ACTIONS(2330),
    [anon_sym___leave] = ACTIONS(2330),
    [anon_sym_not] = ACTIONS(2330),
    [anon_sym_compl] = ACTIONS(2330),
    [anon_sym_DASH_DASH] = ACTIONS(2332),
    [anon_sym_PLUS_PLUS] = ACTIONS(2332),
    [anon_sym_sizeof] = ACTIONS(2330),
    [anon_sym___alignof__] = ACTIONS(2330),
    [anon_sym___alignof] = ACTIONS(2330),
    [anon_sym__alignof] = ACTIONS(2330),
    [anon_sym_alignof] = ACTIONS(2330),
    [anon_sym__Alignof] = ACTIONS(2330),
    [anon_sym_offsetof] = ACTIONS(2330),
    [anon_sym__Generic] = ACTIONS(2330),
    [anon_sym_asm] = ACTIONS(2330),
    [anon_sym___asm__] = ACTIONS(2330),
    [sym_number_literal] = ACTIONS(2332),
    [anon_sym_L_SQUOTE] = ACTIONS(2332),
    [anon_sym_u_SQUOTE] = ACTIONS(2332),
    [anon_sym_U_SQUOTE] = ACTIONS(2332),
    [anon_sym_u8_SQUOTE] = ACTIONS(2332),
    [anon_sym_SQUOTE] = ACTIONS(2332),
    [anon_sym_L_DQUOTE] = ACTIONS(2332),
    [anon_sym_u_DQUOTE] = ACTIONS(2332),
    [anon_sym_U_DQUOTE] = ACTIONS(2332),
    [anon_sym_u8_DQUOTE] = ACTIONS(2332),
    [anon_sym_DQUOTE] = ACTIONS(2332),
    [sym_true] = ACTIONS(2330),
    [sym_false] = ACTIONS(2330),
    [anon_sym_NULL] = ACTIONS(2330),
    [anon_sym_nullptr] = ACTIONS(2330),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2330),
    [anon_sym_decltype] = ACTIONS(2330),
    [anon_sym_virtual] = ACTIONS(2330),
    [anon_sym_alignas] = ACTIONS(2330),
    [anon_sym_explicit] = ACTIONS(2330),
    [anon_sym_typename] = ACTIONS(2330),
    [anon_sym_template] = ACTIONS(2330),
    [anon_sym_operator] = ACTIONS(2330),
    [anon_sym_try] = ACTIONS(2330),
    [anon_sym_delete] = ACTIONS(2330),
    [anon_sym_throw] = ACTIONS(2330),
    [anon_sym_namespace] = ACTIONS(2330),
    [anon_sym_using] = ACTIONS(2330),
    [anon_sym_static_assert] = ACTIONS(2330),
    [anon_sym_concept] = ACTIONS(2330),
    [anon_sym_co_return] = ACTIONS(2330),
    [anon_sym_co_yield] = ACTIONS(2330),
    [anon_sym_R_DQUOTE] = ACTIONS(2332),
    [anon_sym_LR_DQUOTE] = ACTIONS(2332),
    [anon_sym_uR_DQUOTE] = ACTIONS(2332),
    [anon_sym_UR_DQUOTE] = ACTIONS(2332),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2332),
    [anon_sym_co_await] = ACTIONS(2330),
    [anon_sym_new] = ACTIONS(2330),
    [anon_sym_requires] = ACTIONS(2330),
    [sym_this] = ACTIONS(2330),
    [anon_sym_discard] = ACTIONS(2330),
    [anon_sym_precise] = ACTIONS(2330),
    [anon_sym_shared] = ACTIONS(2330),
    [anon_sym_groupshared] = ACTIONS(2330),
    [anon_sym_uniform] = ACTIONS(2330),
    [anon_sym_row_major] = ACTIONS(2330),
    [anon_sym_column_major] = ACTIONS(2330),
    [anon_sym_globallycoherent] = ACTIONS(2330),
    [anon_sym_centroid] = ACTIONS(2330),
    [anon_sym_noperspective] = ACTIONS(2330),
    [anon_sym_nointerpolation] = ACTIONS(2330),
    [anon_sym_sample] = ACTIONS(2330),
    [anon_sym_linear] = ACTIONS(2330),
    [anon_sym_snorm] = ACTIONS(2330),
    [anon_sym_unorm] = ACTIONS(2330),
    [anon_sym_point] = ACTIONS(2330),
    [anon_sym_line] = ACTIONS(2330),
    [anon_sym_triangleadj] = ACTIONS(2330),
    [anon_sym_lineadj] = ACTIONS(2330),
    [anon_sym_triangle] = ACTIONS(2330),
    [anon_sym_cbuffer] = ACTIONS(2330),
  },
  [480] = {
    [sym_identifier] = ACTIONS(2330),
    [aux_sym_preproc_include_token1] = ACTIONS(2330),
    [aux_sym_preproc_def_token1] = ACTIONS(2330),
    [aux_sym_preproc_if_token1] = ACTIONS(2330),
    [aux_sym_preproc_if_token2] = ACTIONS(2330),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2330),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2330),
    [aux_sym_preproc_else_token1] = ACTIONS(2330),
    [aux_sym_preproc_elif_token1] = ACTIONS(2330),
    [sym_preproc_directive] = ACTIONS(2330),
    [anon_sym_LPAREN2] = ACTIONS(2332),
    [anon_sym_BANG] = ACTIONS(2332),
    [anon_sym_TILDE] = ACTIONS(2332),
    [anon_sym_DASH] = ACTIONS(2330),
    [anon_sym_PLUS] = ACTIONS(2330),
    [anon_sym_STAR] = ACTIONS(2332),
    [anon_sym_AMP_AMP] = ACTIONS(2332),
    [anon_sym_AMP] = ACTIONS(2330),
    [anon_sym_SEMI] = ACTIONS(2332),
    [anon_sym___extension__] = ACTIONS(2330),
    [anon_sym_typedef] = ACTIONS(2330),
    [anon_sym_in] = ACTIONS(2330),
    [anon_sym_out] = ACTIONS(2330),
    [anon_sym_inout] = ACTIONS(2330),
    [anon_sym_extern] = ACTIONS(2330),
    [anon_sym___attribute__] = ACTIONS(2330),
    [anon_sym_COLON_COLON] = ACTIONS(2332),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2332),
    [anon_sym___declspec] = ACTIONS(2330),
    [anon_sym___based] = ACTIONS(2330),
    [anon_sym___cdecl] = ACTIONS(2330),
    [anon_sym___clrcall] = ACTIONS(2330),
    [anon_sym___stdcall] = ACTIONS(2330),
    [anon_sym___fastcall] = ACTIONS(2330),
    [anon_sym___thiscall] = ACTIONS(2330),
    [anon_sym___vectorcall] = ACTIONS(2330),
    [anon_sym_LBRACE] = ACTIONS(2332),
    [anon_sym_signed] = ACTIONS(2330),
    [anon_sym_unsigned] = ACTIONS(2330),
    [anon_sym_long] = ACTIONS(2330),
    [anon_sym_short] = ACTIONS(2330),
    [anon_sym_LBRACK] = ACTIONS(2330),
    [anon_sym_static] = ACTIONS(2330),
    [anon_sym_register] = ACTIONS(2330),
    [anon_sym_inline] = ACTIONS(2330),
    [anon_sym___inline] = ACTIONS(2330),
    [anon_sym___inline__] = ACTIONS(2330),
    [anon_sym___forceinline] = ACTIONS(2330),
    [anon_sym_thread_local] = ACTIONS(2330),
    [anon_sym___thread] = ACTIONS(2330),
    [anon_sym_const] = ACTIONS(2330),
    [anon_sym_constexpr] = ACTIONS(2330),
    [anon_sym_volatile] = ACTIONS(2330),
    [anon_sym_restrict] = ACTIONS(2330),
    [anon_sym___restrict__] = ACTIONS(2330),
    [anon_sym__Atomic] = ACTIONS(2330),
    [anon_sym__Noreturn] = ACTIONS(2330),
    [anon_sym_noreturn] = ACTIONS(2330),
    [anon_sym_mutable] = ACTIONS(2330),
    [anon_sym_constinit] = ACTIONS(2330),
    [anon_sym_consteval] = ACTIONS(2330),
    [sym_primitive_type] = ACTIONS(2330),
    [anon_sym_enum] = ACTIONS(2330),
    [anon_sym_class] = ACTIONS(2330),
    [anon_sym_struct] = ACTIONS(2330),
    [anon_sym_union] = ACTIONS(2330),
    [anon_sym_if] = ACTIONS(2330),
    [anon_sym_else] = ACTIONS(2330),
    [anon_sym_switch] = ACTIONS(2330),
    [anon_sym_case] = ACTIONS(2330),
    [anon_sym_default] = ACTIONS(2330),
    [anon_sym_while] = ACTIONS(2330),
    [anon_sym_do] = ACTIONS(2330),
    [anon_sym_for] = ACTIONS(2330),
    [anon_sym_return] = ACTIONS(2330),
    [anon_sym_break] = ACTIONS(2330),
    [anon_sym_continue] = ACTIONS(2330),
    [anon_sym_goto] = ACTIONS(2330),
    [anon_sym___try] = ACTIONS(2330),
    [anon_sym___leave] = ACTIONS(2330),
    [anon_sym_not] = ACTIONS(2330),
    [anon_sym_compl] = ACTIONS(2330),
    [anon_sym_DASH_DASH] = ACTIONS(2332),
    [anon_sym_PLUS_PLUS] = ACTIONS(2332),
    [anon_sym_sizeof] = ACTIONS(2330),
    [anon_sym___alignof__] = ACTIONS(2330),
    [anon_sym___alignof] = ACTIONS(2330),
    [anon_sym__alignof] = ACTIONS(2330),
    [anon_sym_alignof] = ACTIONS(2330),
    [anon_sym__Alignof] = ACTIONS(2330),
    [anon_sym_offsetof] = ACTIONS(2330),
    [anon_sym__Generic] = ACTIONS(2330),
    [anon_sym_asm] = ACTIONS(2330),
    [anon_sym___asm__] = ACTIONS(2330),
    [sym_number_literal] = ACTIONS(2332),
    [anon_sym_L_SQUOTE] = ACTIONS(2332),
    [anon_sym_u_SQUOTE] = ACTIONS(2332),
    [anon_sym_U_SQUOTE] = ACTIONS(2332),
    [anon_sym_u8_SQUOTE] = ACTIONS(2332),
    [anon_sym_SQUOTE] = ACTIONS(2332),
    [anon_sym_L_DQUOTE] = ACTIONS(2332),
    [anon_sym_u_DQUOTE] = ACTIONS(2332),
    [anon_sym_U_DQUOTE] = ACTIONS(2332),
    [anon_sym_u8_DQUOTE] = ACTIONS(2332),
    [anon_sym_DQUOTE] = ACTIONS(2332),
    [sym_true] = ACTIONS(2330),
    [sym_false] = ACTIONS(2330),
    [anon_sym_NULL] = ACTIONS(2330),
    [anon_sym_nullptr] = ACTIONS(2330),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2330),
    [anon_sym_decltype] = ACTIONS(2330),
    [anon_sym_virtual] = ACTIONS(2330),
    [anon_sym_alignas] = ACTIONS(2330),
    [anon_sym_explicit] = ACTIONS(2330),
    [anon_sym_typename] = ACTIONS(2330),
    [anon_sym_template] = ACTIONS(2330),
    [anon_sym_operator] = ACTIONS(2330),
    [anon_sym_try] = ACTIONS(2330),
    [anon_sym_delete] = ACTIONS(2330),
    [anon_sym_throw] = ACTIONS(2330),
    [anon_sym_namespace] = ACTIONS(2330),
    [anon_sym_using] = ACTIONS(2330),
    [anon_sym_static_assert] = ACTIONS(2330),
    [anon_sym_concept] = ACTIONS(2330),
    [anon_sym_co_return] = ACTIONS(2330),
    [anon_sym_co_yield] = ACTIONS(2330),
    [anon_sym_R_DQUOTE] = ACTIONS(2332),
    [anon_sym_LR_DQUOTE] = ACTIONS(2332),
    [anon_sym_uR_DQUOTE] = ACTIONS(2332),
    [anon_sym_UR_DQUOTE] = ACTIONS(2332),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2332),
    [anon_sym_co_await] = ACTIONS(2330),
    [anon_sym_new] = ACTIONS(2330),
    [anon_sym_requires] = ACTIONS(2330),
    [sym_this] = ACTIONS(2330),
    [anon_sym_discard] = ACTIONS(2330),
    [anon_sym_precise] = ACTIONS(2330),
    [anon_sym_shared] = ACTIONS(2330),
    [anon_sym_groupshared] = ACTIONS(2330),
    [anon_sym_uniform] = ACTIONS(2330),
    [anon_sym_row_major] = ACTIONS(2330),
    [anon_sym_column_major] = ACTIONS(2330),
    [anon_sym_globallycoherent] = ACTIONS(2330),
    [anon_sym_centroid] = ACTIONS(2330),
    [anon_sym_noperspective] = ACTIONS(2330),
    [anon_sym_nointerpolation] = ACTIONS(2330),
    [anon_sym_sample] = ACTIONS(2330),
    [anon_sym_linear] = ACTIONS(2330),
    [anon_sym_snorm] = ACTIONS(2330),
    [anon_sym_unorm] = ACTIONS(2330),
    [anon_sym_point] = ACTIONS(2330),
    [anon_sym_line] = ACTIONS(2330),
    [anon_sym_triangleadj] = ACTIONS(2330),
    [anon_sym_lineadj] = ACTIONS(2330),
    [anon_sym_triangle] = ACTIONS(2330),
    [anon_sym_cbuffer] = ACTIONS(2330),
  },
  [481] = {
    [sym_identifier] = ACTIONS(2364),
    [aux_sym_preproc_include_token1] = ACTIONS(2364),
    [aux_sym_preproc_def_token1] = ACTIONS(2364),
    [aux_sym_preproc_if_token1] = ACTIONS(2364),
    [aux_sym_preproc_if_token2] = ACTIONS(2364),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2364),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2364),
    [aux_sym_preproc_else_token1] = ACTIONS(2364),
    [aux_sym_preproc_elif_token1] = ACTIONS(2364),
    [sym_preproc_directive] = ACTIONS(2364),
    [anon_sym_LPAREN2] = ACTIONS(2366),
    [anon_sym_BANG] = ACTIONS(2366),
    [anon_sym_TILDE] = ACTIONS(2366),
    [anon_sym_DASH] = ACTIONS(2364),
    [anon_sym_PLUS] = ACTIONS(2364),
    [anon_sym_STAR] = ACTIONS(2366),
    [anon_sym_AMP_AMP] = ACTIONS(2366),
    [anon_sym_AMP] = ACTIONS(2364),
    [anon_sym_SEMI] = ACTIONS(2366),
    [anon_sym___extension__] = ACTIONS(2364),
    [anon_sym_typedef] = ACTIONS(2364),
    [anon_sym_in] = ACTIONS(2364),
    [anon_sym_out] = ACTIONS(2364),
    [anon_sym_inout] = ACTIONS(2364),
    [anon_sym_extern] = ACTIONS(2364),
    [anon_sym___attribute__] = ACTIONS(2364),
    [anon_sym_COLON_COLON] = ACTIONS(2366),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2366),
    [anon_sym___declspec] = ACTIONS(2364),
    [anon_sym___based] = ACTIONS(2364),
    [anon_sym___cdecl] = ACTIONS(2364),
    [anon_sym___clrcall] = ACTIONS(2364),
    [anon_sym___stdcall] = ACTIONS(2364),
    [anon_sym___fastcall] = ACTIONS(2364),
    [anon_sym___thiscall] = ACTIONS(2364),
    [anon_sym___vectorcall] = ACTIONS(2364),
    [anon_sym_LBRACE] = ACTIONS(2366),
    [anon_sym_signed] = ACTIONS(2364),
    [anon_sym_unsigned] = ACTIONS(2364),
    [anon_sym_long] = ACTIONS(2364),
    [anon_sym_short] = ACTIONS(2364),
    [anon_sym_LBRACK] = ACTIONS(2364),
    [anon_sym_static] = ACTIONS(2364),
    [anon_sym_register] = ACTIONS(2364),
    [anon_sym_inline] = ACTIONS(2364),
    [anon_sym___inline] = ACTIONS(2364),
    [anon_sym___inline__] = ACTIONS(2364),
    [anon_sym___forceinline] = ACTIONS(2364),
    [anon_sym_thread_local] = ACTIONS(2364),
    [anon_sym___thread] = ACTIONS(2364),
    [anon_sym_const] = ACTIONS(2364),
    [anon_sym_constexpr] = ACTIONS(2364),
    [anon_sym_volatile] = ACTIONS(2364),
    [anon_sym_restrict] = ACTIONS(2364),
    [anon_sym___restrict__] = ACTIONS(2364),
    [anon_sym__Atomic] = ACTIONS(2364),
    [anon_sym__Noreturn] = ACTIONS(2364),
    [anon_sym_noreturn] = ACTIONS(2364),
    [anon_sym_mutable] = ACTIONS(2364),
    [anon_sym_constinit] = ACTIONS(2364),
    [anon_sym_consteval] = ACTIONS(2364),
    [sym_primitive_type] = ACTIONS(2364),
    [anon_sym_enum] = ACTIONS(2364),
    [anon_sym_class] = ACTIONS(2364),
    [anon_sym_struct] = ACTIONS(2364),
    [anon_sym_union] = ACTIONS(2364),
    [anon_sym_if] = ACTIONS(2364),
    [anon_sym_else] = ACTIONS(2364),
    [anon_sym_switch] = ACTIONS(2364),
    [anon_sym_case] = ACTIONS(2364),
    [anon_sym_default] = ACTIONS(2364),
    [anon_sym_while] = ACTIONS(2364),
    [anon_sym_do] = ACTIONS(2364),
    [anon_sym_for] = ACTIONS(2364),
    [anon_sym_return] = ACTIONS(2364),
    [anon_sym_break] = ACTIONS(2364),
    [anon_sym_continue] = ACTIONS(2364),
    [anon_sym_goto] = ACTIONS(2364),
    [anon_sym___try] = ACTIONS(2364),
    [anon_sym___leave] = ACTIONS(2364),
    [anon_sym_not] = ACTIONS(2364),
    [anon_sym_compl] = ACTIONS(2364),
    [anon_sym_DASH_DASH] = ACTIONS(2366),
    [anon_sym_PLUS_PLUS] = ACTIONS(2366),
    [anon_sym_sizeof] = ACTIONS(2364),
    [anon_sym___alignof__] = ACTIONS(2364),
    [anon_sym___alignof] = ACTIONS(2364),
    [anon_sym__alignof] = ACTIONS(2364),
    [anon_sym_alignof] = ACTIONS(2364),
    [anon_sym__Alignof] = ACTIONS(2364),
    [anon_sym_offsetof] = ACTIONS(2364),
    [anon_sym__Generic] = ACTIONS(2364),
    [anon_sym_asm] = ACTIONS(2364),
    [anon_sym___asm__] = ACTIONS(2364),
    [sym_number_literal] = ACTIONS(2366),
    [anon_sym_L_SQUOTE] = ACTIONS(2366),
    [anon_sym_u_SQUOTE] = ACTIONS(2366),
    [anon_sym_U_SQUOTE] = ACTIONS(2366),
    [anon_sym_u8_SQUOTE] = ACTIONS(2366),
    [anon_sym_SQUOTE] = ACTIONS(2366),
    [anon_sym_L_DQUOTE] = ACTIONS(2366),
    [anon_sym_u_DQUOTE] = ACTIONS(2366),
    [anon_sym_U_DQUOTE] = ACTIONS(2366),
    [anon_sym_u8_DQUOTE] = ACTIONS(2366),
    [anon_sym_DQUOTE] = ACTIONS(2366),
    [sym_true] = ACTIONS(2364),
    [sym_false] = ACTIONS(2364),
    [anon_sym_NULL] = ACTIONS(2364),
    [anon_sym_nullptr] = ACTIONS(2364),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2364),
    [anon_sym_decltype] = ACTIONS(2364),
    [anon_sym_virtual] = ACTIONS(2364),
    [anon_sym_alignas] = ACTIONS(2364),
    [anon_sym_explicit] = ACTIONS(2364),
    [anon_sym_typename] = ACTIONS(2364),
    [anon_sym_template] = ACTIONS(2364),
    [anon_sym_operator] = ACTIONS(2364),
    [anon_sym_try] = ACTIONS(2364),
    [anon_sym_delete] = ACTIONS(2364),
    [anon_sym_throw] = ACTIONS(2364),
    [anon_sym_namespace] = ACTIONS(2364),
    [anon_sym_using] = ACTIONS(2364),
    [anon_sym_static_assert] = ACTIONS(2364),
    [anon_sym_concept] = ACTIONS(2364),
    [anon_sym_co_return] = ACTIONS(2364),
    [anon_sym_co_yield] = ACTIONS(2364),
    [anon_sym_R_DQUOTE] = ACTIONS(2366),
    [anon_sym_LR_DQUOTE] = ACTIONS(2366),
    [anon_sym_uR_DQUOTE] = ACTIONS(2366),
    [anon_sym_UR_DQUOTE] = ACTIONS(2366),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2366),
    [anon_sym_co_await] = ACTIONS(2364),
    [anon_sym_new] = ACTIONS(2364),
    [anon_sym_requires] = ACTIONS(2364),
    [sym_this] = ACTIONS(2364),
    [anon_sym_discard] = ACTIONS(2364),
    [anon_sym_precise] = ACTIONS(2364),
    [anon_sym_shared] = ACTIONS(2364),
    [anon_sym_groupshared] = ACTIONS(2364),
    [anon_sym_uniform] = ACTIONS(2364),
    [anon_sym_row_major] = ACTIONS(2364),
    [anon_sym_column_major] = ACTIONS(2364),
    [anon_sym_globallycoherent] = ACTIONS(2364),
    [anon_sym_centroid] = ACTIONS(2364),
    [anon_sym_noperspective] = ACTIONS(2364),
    [anon_sym_nointerpolation] = ACTIONS(2364),
    [anon_sym_sample] = ACTIONS(2364),
    [anon_sym_linear] = ACTIONS(2364),
    [anon_sym_snorm] = ACTIONS(2364),
    [anon_sym_unorm] = ACTIONS(2364),
    [anon_sym_point] = ACTIONS(2364),
    [anon_sym_line] = ACTIONS(2364),
    [anon_sym_triangleadj] = ACTIONS(2364),
    [anon_sym_lineadj] = ACTIONS(2364),
    [anon_sym_triangle] = ACTIONS(2364),
    [anon_sym_cbuffer] = ACTIONS(2364),
  },
  [482] = {
    [sym_identifier] = ACTIONS(2364),
    [aux_sym_preproc_include_token1] = ACTIONS(2364),
    [aux_sym_preproc_def_token1] = ACTIONS(2364),
    [aux_sym_preproc_if_token1] = ACTIONS(2364),
    [aux_sym_preproc_if_token2] = ACTIONS(2364),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2364),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2364),
    [aux_sym_preproc_else_token1] = ACTIONS(2364),
    [aux_sym_preproc_elif_token1] = ACTIONS(2364),
    [sym_preproc_directive] = ACTIONS(2364),
    [anon_sym_LPAREN2] = ACTIONS(2366),
    [anon_sym_BANG] = ACTIONS(2366),
    [anon_sym_TILDE] = ACTIONS(2366),
    [anon_sym_DASH] = ACTIONS(2364),
    [anon_sym_PLUS] = ACTIONS(2364),
    [anon_sym_STAR] = ACTIONS(2366),
    [anon_sym_AMP_AMP] = ACTIONS(2366),
    [anon_sym_AMP] = ACTIONS(2364),
    [anon_sym_SEMI] = ACTIONS(2366),
    [anon_sym___extension__] = ACTIONS(2364),
    [anon_sym_typedef] = ACTIONS(2364),
    [anon_sym_in] = ACTIONS(2364),
    [anon_sym_out] = ACTIONS(2364),
    [anon_sym_inout] = ACTIONS(2364),
    [anon_sym_extern] = ACTIONS(2364),
    [anon_sym___attribute__] = ACTIONS(2364),
    [anon_sym_COLON_COLON] = ACTIONS(2366),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2366),
    [anon_sym___declspec] = ACTIONS(2364),
    [anon_sym___based] = ACTIONS(2364),
    [anon_sym___cdecl] = ACTIONS(2364),
    [anon_sym___clrcall] = ACTIONS(2364),
    [anon_sym___stdcall] = ACTIONS(2364),
    [anon_sym___fastcall] = ACTIONS(2364),
    [anon_sym___thiscall] = ACTIONS(2364),
    [anon_sym___vectorcall] = ACTIONS(2364),
    [anon_sym_LBRACE] = ACTIONS(2366),
    [anon_sym_signed] = ACTIONS(2364),
    [anon_sym_unsigned] = ACTIONS(2364),
    [anon_sym_long] = ACTIONS(2364),
    [anon_sym_short] = ACTIONS(2364),
    [anon_sym_LBRACK] = ACTIONS(2364),
    [anon_sym_static] = ACTIONS(2364),
    [anon_sym_register] = ACTIONS(2364),
    [anon_sym_inline] = ACTIONS(2364),
    [anon_sym___inline] = ACTIONS(2364),
    [anon_sym___inline__] = ACTIONS(2364),
    [anon_sym___forceinline] = ACTIONS(2364),
    [anon_sym_thread_local] = ACTIONS(2364),
    [anon_sym___thread] = ACTIONS(2364),
    [anon_sym_const] = ACTIONS(2364),
    [anon_sym_constexpr] = ACTIONS(2364),
    [anon_sym_volatile] = ACTIONS(2364),
    [anon_sym_restrict] = ACTIONS(2364),
    [anon_sym___restrict__] = ACTIONS(2364),
    [anon_sym__Atomic] = ACTIONS(2364),
    [anon_sym__Noreturn] = ACTIONS(2364),
    [anon_sym_noreturn] = ACTIONS(2364),
    [anon_sym_mutable] = ACTIONS(2364),
    [anon_sym_constinit] = ACTIONS(2364),
    [anon_sym_consteval] = ACTIONS(2364),
    [sym_primitive_type] = ACTIONS(2364),
    [anon_sym_enum] = ACTIONS(2364),
    [anon_sym_class] = ACTIONS(2364),
    [anon_sym_struct] = ACTIONS(2364),
    [anon_sym_union] = ACTIONS(2364),
    [anon_sym_if] = ACTIONS(2364),
    [anon_sym_else] = ACTIONS(2364),
    [anon_sym_switch] = ACTIONS(2364),
    [anon_sym_case] = ACTIONS(2364),
    [anon_sym_default] = ACTIONS(2364),
    [anon_sym_while] = ACTIONS(2364),
    [anon_sym_do] = ACTIONS(2364),
    [anon_sym_for] = ACTIONS(2364),
    [anon_sym_return] = ACTIONS(2364),
    [anon_sym_break] = ACTIONS(2364),
    [anon_sym_continue] = ACTIONS(2364),
    [anon_sym_goto] = ACTIONS(2364),
    [anon_sym___try] = ACTIONS(2364),
    [anon_sym___leave] = ACTIONS(2364),
    [anon_sym_not] = ACTIONS(2364),
    [anon_sym_compl] = ACTIONS(2364),
    [anon_sym_DASH_DASH] = ACTIONS(2366),
    [anon_sym_PLUS_PLUS] = ACTIONS(2366),
    [anon_sym_sizeof] = ACTIONS(2364),
    [anon_sym___alignof__] = ACTIONS(2364),
    [anon_sym___alignof] = ACTIONS(2364),
    [anon_sym__alignof] = ACTIONS(2364),
    [anon_sym_alignof] = ACTIONS(2364),
    [anon_sym__Alignof] = ACTIONS(2364),
    [anon_sym_offsetof] = ACTIONS(2364),
    [anon_sym__Generic] = ACTIONS(2364),
    [anon_sym_asm] = ACTIONS(2364),
    [anon_sym___asm__] = ACTIONS(2364),
    [sym_number_literal] = ACTIONS(2366),
    [anon_sym_L_SQUOTE] = ACTIONS(2366),
    [anon_sym_u_SQUOTE] = ACTIONS(2366),
    [anon_sym_U_SQUOTE] = ACTIONS(2366),
    [anon_sym_u8_SQUOTE] = ACTIONS(2366),
    [anon_sym_SQUOTE] = ACTIONS(2366),
    [anon_sym_L_DQUOTE] = ACTIONS(2366),
    [anon_sym_u_DQUOTE] = ACTIONS(2366),
    [anon_sym_U_DQUOTE] = ACTIONS(2366),
    [anon_sym_u8_DQUOTE] = ACTIONS(2366),
    [anon_sym_DQUOTE] = ACTIONS(2366),
    [sym_true] = ACTIONS(2364),
    [sym_false] = ACTIONS(2364),
    [anon_sym_NULL] = ACTIONS(2364),
    [anon_sym_nullptr] = ACTIONS(2364),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2364),
    [anon_sym_decltype] = ACTIONS(2364),
    [anon_sym_virtual] = ACTIONS(2364),
    [anon_sym_alignas] = ACTIONS(2364),
    [anon_sym_explicit] = ACTIONS(2364),
    [anon_sym_typename] = ACTIONS(2364),
    [anon_sym_template] = ACTIONS(2364),
    [anon_sym_operator] = ACTIONS(2364),
    [anon_sym_try] = ACTIONS(2364),
    [anon_sym_delete] = ACTIONS(2364),
    [anon_sym_throw] = ACTIONS(2364),
    [anon_sym_namespace] = ACTIONS(2364),
    [anon_sym_using] = ACTIONS(2364),
    [anon_sym_static_assert] = ACTIONS(2364),
    [anon_sym_concept] = ACTIONS(2364),
    [anon_sym_co_return] = ACTIONS(2364),
    [anon_sym_co_yield] = ACTIONS(2364),
    [anon_sym_R_DQUOTE] = ACTIONS(2366),
    [anon_sym_LR_DQUOTE] = ACTIONS(2366),
    [anon_sym_uR_DQUOTE] = ACTIONS(2366),
    [anon_sym_UR_DQUOTE] = ACTIONS(2366),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2366),
    [anon_sym_co_await] = ACTIONS(2364),
    [anon_sym_new] = ACTIONS(2364),
    [anon_sym_requires] = ACTIONS(2364),
    [sym_this] = ACTIONS(2364),
    [anon_sym_discard] = ACTIONS(2364),
    [anon_sym_precise] = ACTIONS(2364),
    [anon_sym_shared] = ACTIONS(2364),
    [anon_sym_groupshared] = ACTIONS(2364),
    [anon_sym_uniform] = ACTIONS(2364),
    [anon_sym_row_major] = ACTIONS(2364),
    [anon_sym_column_major] = ACTIONS(2364),
    [anon_sym_globallycoherent] = ACTIONS(2364),
    [anon_sym_centroid] = ACTIONS(2364),
    [anon_sym_noperspective] = ACTIONS(2364),
    [anon_sym_nointerpolation] = ACTIONS(2364),
    [anon_sym_sample] = ACTIONS(2364),
    [anon_sym_linear] = ACTIONS(2364),
    [anon_sym_snorm] = ACTIONS(2364),
    [anon_sym_unorm] = ACTIONS(2364),
    [anon_sym_point] = ACTIONS(2364),
    [anon_sym_line] = ACTIONS(2364),
    [anon_sym_triangleadj] = ACTIONS(2364),
    [anon_sym_lineadj] = ACTIONS(2364),
    [anon_sym_triangle] = ACTIONS(2364),
    [anon_sym_cbuffer] = ACTIONS(2364),
  },
  [483] = {
    [sym_catch_clause] = STATE(354),
    [aux_sym_constructor_try_statement_repeat1] = STATE(354),
    [sym_identifier] = ACTIONS(2275),
    [aux_sym_preproc_include_token1] = ACTIONS(2275),
    [aux_sym_preproc_def_token1] = ACTIONS(2275),
    [aux_sym_preproc_if_token1] = ACTIONS(2275),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2275),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2275),
    [sym_preproc_directive] = ACTIONS(2275),
    [anon_sym_LPAREN2] = ACTIONS(2277),
    [anon_sym_BANG] = ACTIONS(2277),
    [anon_sym_TILDE] = ACTIONS(2277),
    [anon_sym_DASH] = ACTIONS(2275),
    [anon_sym_PLUS] = ACTIONS(2275),
    [anon_sym_STAR] = ACTIONS(2277),
    [anon_sym_AMP_AMP] = ACTIONS(2277),
    [anon_sym_AMP] = ACTIONS(2275),
    [anon_sym_SEMI] = ACTIONS(2277),
    [anon_sym___extension__] = ACTIONS(2275),
    [anon_sym_typedef] = ACTIONS(2275),
    [anon_sym_in] = ACTIONS(2275),
    [anon_sym_out] = ACTIONS(2275),
    [anon_sym_inout] = ACTIONS(2275),
    [anon_sym_extern] = ACTIONS(2275),
    [anon_sym___attribute__] = ACTIONS(2275),
    [anon_sym_COLON_COLON] = ACTIONS(2277),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2277),
    [anon_sym___declspec] = ACTIONS(2275),
    [anon_sym___based] = ACTIONS(2275),
    [anon_sym___cdecl] = ACTIONS(2275),
    [anon_sym___clrcall] = ACTIONS(2275),
    [anon_sym___stdcall] = ACTIONS(2275),
    [anon_sym___fastcall] = ACTIONS(2275),
    [anon_sym___thiscall] = ACTIONS(2275),
    [anon_sym___vectorcall] = ACTIONS(2275),
    [anon_sym_LBRACE] = ACTIONS(2277),
    [anon_sym_RBRACE] = ACTIONS(2277),
    [anon_sym_signed] = ACTIONS(2275),
    [anon_sym_unsigned] = ACTIONS(2275),
    [anon_sym_long] = ACTIONS(2275),
    [anon_sym_short] = ACTIONS(2275),
    [anon_sym_LBRACK] = ACTIONS(2275),
    [anon_sym_static] = ACTIONS(2275),
    [anon_sym_register] = ACTIONS(2275),
    [anon_sym_inline] = ACTIONS(2275),
    [anon_sym___inline] = ACTIONS(2275),
    [anon_sym___inline__] = ACTIONS(2275),
    [anon_sym___forceinline] = ACTIONS(2275),
    [anon_sym_thread_local] = ACTIONS(2275),
    [anon_sym___thread] = ACTIONS(2275),
    [anon_sym_const] = ACTIONS(2275),
    [anon_sym_constexpr] = ACTIONS(2275),
    [anon_sym_volatile] = ACTIONS(2275),
    [anon_sym_restrict] = ACTIONS(2275),
    [anon_sym___restrict__] = ACTIONS(2275),
    [anon_sym__Atomic] = ACTIONS(2275),
    [anon_sym__Noreturn] = ACTIONS(2275),
    [anon_sym_noreturn] = ACTIONS(2275),
    [anon_sym_mutable] = ACTIONS(2275),
    [anon_sym_constinit] = ACTIONS(2275),
    [anon_sym_consteval] = ACTIONS(2275),
    [sym_primitive_type] = ACTIONS(2275),
    [anon_sym_enum] = ACTIONS(2275),
    [anon_sym_class] = ACTIONS(2275),
    [anon_sym_struct] = ACTIONS(2275),
    [anon_sym_union] = ACTIONS(2275),
    [anon_sym_if] = ACTIONS(2275),
    [anon_sym_switch] = ACTIONS(2275),
    [anon_sym_case] = ACTIONS(2275),
    [anon_sym_default] = ACTIONS(2275),
    [anon_sym_while] = ACTIONS(2275),
    [anon_sym_do] = ACTIONS(2275),
    [anon_sym_for] = ACTIONS(2275),
    [anon_sym_return] = ACTIONS(2275),
    [anon_sym_break] = ACTIONS(2275),
    [anon_sym_continue] = ACTIONS(2275),
    [anon_sym_goto] = ACTIONS(2275),
    [anon_sym___try] = ACTIONS(2275),
    [anon_sym___leave] = ACTIONS(2275),
    [anon_sym_not] = ACTIONS(2275),
    [anon_sym_compl] = ACTIONS(2275),
    [anon_sym_DASH_DASH] = ACTIONS(2277),
    [anon_sym_PLUS_PLUS] = ACTIONS(2277),
    [anon_sym_sizeof] = ACTIONS(2275),
    [anon_sym___alignof__] = ACTIONS(2275),
    [anon_sym___alignof] = ACTIONS(2275),
    [anon_sym__alignof] = ACTIONS(2275),
    [anon_sym_alignof] = ACTIONS(2275),
    [anon_sym__Alignof] = ACTIONS(2275),
    [anon_sym_offsetof] = ACTIONS(2275),
    [anon_sym__Generic] = ACTIONS(2275),
    [anon_sym_asm] = ACTIONS(2275),
    [anon_sym___asm__] = ACTIONS(2275),
    [sym_number_literal] = ACTIONS(2277),
    [anon_sym_L_SQUOTE] = ACTIONS(2277),
    [anon_sym_u_SQUOTE] = ACTIONS(2277),
    [anon_sym_U_SQUOTE] = ACTIONS(2277),
    [anon_sym_u8_SQUOTE] = ACTIONS(2277),
    [anon_sym_SQUOTE] = ACTIONS(2277),
    [anon_sym_L_DQUOTE] = ACTIONS(2277),
    [anon_sym_u_DQUOTE] = ACTIONS(2277),
    [anon_sym_U_DQUOTE] = ACTIONS(2277),
    [anon_sym_u8_DQUOTE] = ACTIONS(2277),
    [anon_sym_DQUOTE] = ACTIONS(2277),
    [sym_true] = ACTIONS(2275),
    [sym_false] = ACTIONS(2275),
    [anon_sym_NULL] = ACTIONS(2275),
    [anon_sym_nullptr] = ACTIONS(2275),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2275),
    [anon_sym_decltype] = ACTIONS(2275),
    [anon_sym_virtual] = ACTIONS(2275),
    [anon_sym_alignas] = ACTIONS(2275),
    [anon_sym_explicit] = ACTIONS(2275),
    [anon_sym_typename] = ACTIONS(2275),
    [anon_sym_template] = ACTIONS(2275),
    [anon_sym_operator] = ACTIONS(2275),
    [anon_sym_try] = ACTIONS(2275),
    [anon_sym_delete] = ACTIONS(2275),
    [anon_sym_throw] = ACTIONS(2275),
    [anon_sym_namespace] = ACTIONS(2275),
    [anon_sym_using] = ACTIONS(2275),
    [anon_sym_static_assert] = ACTIONS(2275),
    [anon_sym_concept] = ACTIONS(2275),
    [anon_sym_co_return] = ACTIONS(2275),
    [anon_sym_co_yield] = ACTIONS(2275),
    [anon_sym_catch] = ACTIONS(2763),
    [anon_sym_R_DQUOTE] = ACTIONS(2277),
    [anon_sym_LR_DQUOTE] = ACTIONS(2277),
    [anon_sym_uR_DQUOTE] = ACTIONS(2277),
    [anon_sym_UR_DQUOTE] = ACTIONS(2277),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2277),
    [anon_sym_co_await] = ACTIONS(2275),
    [anon_sym_new] = ACTIONS(2275),
    [anon_sym_requires] = ACTIONS(2275),
    [sym_this] = ACTIONS(2275),
    [anon_sym_discard] = ACTIONS(2275),
    [anon_sym_precise] = ACTIONS(2275),
    [anon_sym_shared] = ACTIONS(2275),
    [anon_sym_groupshared] = ACTIONS(2275),
    [anon_sym_uniform] = ACTIONS(2275),
    [anon_sym_row_major] = ACTIONS(2275),
    [anon_sym_column_major] = ACTIONS(2275),
    [anon_sym_globallycoherent] = ACTIONS(2275),
    [anon_sym_centroid] = ACTIONS(2275),
    [anon_sym_noperspective] = ACTIONS(2275),
    [anon_sym_nointerpolation] = ACTIONS(2275),
    [anon_sym_sample] = ACTIONS(2275),
    [anon_sym_linear] = ACTIONS(2275),
    [anon_sym_snorm] = ACTIONS(2275),
    [anon_sym_unorm] = ACTIONS(2275),
    [anon_sym_point] = ACTIONS(2275),
    [anon_sym_line] = ACTIONS(2275),
    [anon_sym_triangleadj] = ACTIONS(2275),
    [anon_sym_lineadj] = ACTIONS(2275),
    [anon_sym_triangle] = ACTIONS(2275),
    [anon_sym_cbuffer] = ACTIONS(2275),
  },
  [484] = {
    [sym_identifier] = ACTIONS(2318),
    [aux_sym_preproc_include_token1] = ACTIONS(2318),
    [aux_sym_preproc_def_token1] = ACTIONS(2318),
    [aux_sym_preproc_if_token1] = ACTIONS(2318),
    [aux_sym_preproc_if_token2] = ACTIONS(2318),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2318),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2318),
    [aux_sym_preproc_else_token1] = ACTIONS(2318),
    [aux_sym_preproc_elif_token1] = ACTIONS(2318),
    [sym_preproc_directive] = ACTIONS(2318),
    [anon_sym_LPAREN2] = ACTIONS(2320),
    [anon_sym_BANG] = ACTIONS(2320),
    [anon_sym_TILDE] = ACTIONS(2320),
    [anon_sym_DASH] = ACTIONS(2318),
    [anon_sym_PLUS] = ACTIONS(2318),
    [anon_sym_STAR] = ACTIONS(2320),
    [anon_sym_AMP_AMP] = ACTIONS(2320),
    [anon_sym_AMP] = ACTIONS(2318),
    [anon_sym_SEMI] = ACTIONS(2320),
    [anon_sym___extension__] = ACTIONS(2318),
    [anon_sym_typedef] = ACTIONS(2318),
    [anon_sym_in] = ACTIONS(2318),
    [anon_sym_out] = ACTIONS(2318),
    [anon_sym_inout] = ACTIONS(2318),
    [anon_sym_extern] = ACTIONS(2318),
    [anon_sym___attribute__] = ACTIONS(2318),
    [anon_sym_COLON_COLON] = ACTIONS(2320),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2320),
    [anon_sym___declspec] = ACTIONS(2318),
    [anon_sym___based] = ACTIONS(2318),
    [anon_sym___cdecl] = ACTIONS(2318),
    [anon_sym___clrcall] = ACTIONS(2318),
    [anon_sym___stdcall] = ACTIONS(2318),
    [anon_sym___fastcall] = ACTIONS(2318),
    [anon_sym___thiscall] = ACTIONS(2318),
    [anon_sym___vectorcall] = ACTIONS(2318),
    [anon_sym_LBRACE] = ACTIONS(2320),
    [anon_sym_signed] = ACTIONS(2318),
    [anon_sym_unsigned] = ACTIONS(2318),
    [anon_sym_long] = ACTIONS(2318),
    [anon_sym_short] = ACTIONS(2318),
    [anon_sym_LBRACK] = ACTIONS(2318),
    [anon_sym_static] = ACTIONS(2318),
    [anon_sym_register] = ACTIONS(2318),
    [anon_sym_inline] = ACTIONS(2318),
    [anon_sym___inline] = ACTIONS(2318),
    [anon_sym___inline__] = ACTIONS(2318),
    [anon_sym___forceinline] = ACTIONS(2318),
    [anon_sym_thread_local] = ACTIONS(2318),
    [anon_sym___thread] = ACTIONS(2318),
    [anon_sym_const] = ACTIONS(2318),
    [anon_sym_constexpr] = ACTIONS(2318),
    [anon_sym_volatile] = ACTIONS(2318),
    [anon_sym_restrict] = ACTIONS(2318),
    [anon_sym___restrict__] = ACTIONS(2318),
    [anon_sym__Atomic] = ACTIONS(2318),
    [anon_sym__Noreturn] = ACTIONS(2318),
    [anon_sym_noreturn] = ACTIONS(2318),
    [anon_sym_mutable] = ACTIONS(2318),
    [anon_sym_constinit] = ACTIONS(2318),
    [anon_sym_consteval] = ACTIONS(2318),
    [sym_primitive_type] = ACTIONS(2318),
    [anon_sym_enum] = ACTIONS(2318),
    [anon_sym_class] = ACTIONS(2318),
    [anon_sym_struct] = ACTIONS(2318),
    [anon_sym_union] = ACTIONS(2318),
    [anon_sym_if] = ACTIONS(2318),
    [anon_sym_else] = ACTIONS(2318),
    [anon_sym_switch] = ACTIONS(2318),
    [anon_sym_case] = ACTIONS(2318),
    [anon_sym_default] = ACTIONS(2318),
    [anon_sym_while] = ACTIONS(2318),
    [anon_sym_do] = ACTIONS(2318),
    [anon_sym_for] = ACTIONS(2318),
    [anon_sym_return] = ACTIONS(2318),
    [anon_sym_break] = ACTIONS(2318),
    [anon_sym_continue] = ACTIONS(2318),
    [anon_sym_goto] = ACTIONS(2318),
    [anon_sym___try] = ACTIONS(2318),
    [anon_sym___leave] = ACTIONS(2318),
    [anon_sym_not] = ACTIONS(2318),
    [anon_sym_compl] = ACTIONS(2318),
    [anon_sym_DASH_DASH] = ACTIONS(2320),
    [anon_sym_PLUS_PLUS] = ACTIONS(2320),
    [anon_sym_sizeof] = ACTIONS(2318),
    [anon_sym___alignof__] = ACTIONS(2318),
    [anon_sym___alignof] = ACTIONS(2318),
    [anon_sym__alignof] = ACTIONS(2318),
    [anon_sym_alignof] = ACTIONS(2318),
    [anon_sym__Alignof] = ACTIONS(2318),
    [anon_sym_offsetof] = ACTIONS(2318),
    [anon_sym__Generic] = ACTIONS(2318),
    [anon_sym_asm] = ACTIONS(2318),
    [anon_sym___asm__] = ACTIONS(2318),
    [sym_number_literal] = ACTIONS(2320),
    [anon_sym_L_SQUOTE] = ACTIONS(2320),
    [anon_sym_u_SQUOTE] = ACTIONS(2320),
    [anon_sym_U_SQUOTE] = ACTIONS(2320),
    [anon_sym_u8_SQUOTE] = ACTIONS(2320),
    [anon_sym_SQUOTE] = ACTIONS(2320),
    [anon_sym_L_DQUOTE] = ACTIONS(2320),
    [anon_sym_u_DQUOTE] = ACTIONS(2320),
    [anon_sym_U_DQUOTE] = ACTIONS(2320),
    [anon_sym_u8_DQUOTE] = ACTIONS(2320),
    [anon_sym_DQUOTE] = ACTIONS(2320),
    [sym_true] = ACTIONS(2318),
    [sym_false] = ACTIONS(2318),
    [anon_sym_NULL] = ACTIONS(2318),
    [anon_sym_nullptr] = ACTIONS(2318),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2318),
    [anon_sym_decltype] = ACTIONS(2318),
    [anon_sym_virtual] = ACTIONS(2318),
    [anon_sym_alignas] = ACTIONS(2318),
    [anon_sym_explicit] = ACTIONS(2318),
    [anon_sym_typename] = ACTIONS(2318),
    [anon_sym_template] = ACTIONS(2318),
    [anon_sym_operator] = ACTIONS(2318),
    [anon_sym_try] = ACTIONS(2318),
    [anon_sym_delete] = ACTIONS(2318),
    [anon_sym_throw] = ACTIONS(2318),
    [anon_sym_namespace] = ACTIONS(2318),
    [anon_sym_using] = ACTIONS(2318),
    [anon_sym_static_assert] = ACTIONS(2318),
    [anon_sym_concept] = ACTIONS(2318),
    [anon_sym_co_return] = ACTIONS(2318),
    [anon_sym_co_yield] = ACTIONS(2318),
    [anon_sym_R_DQUOTE] = ACTIONS(2320),
    [anon_sym_LR_DQUOTE] = ACTIONS(2320),
    [anon_sym_uR_DQUOTE] = ACTIONS(2320),
    [anon_sym_UR_DQUOTE] = ACTIONS(2320),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2320),
    [anon_sym_co_await] = ACTIONS(2318),
    [anon_sym_new] = ACTIONS(2318),
    [anon_sym_requires] = ACTIONS(2318),
    [sym_this] = ACTIONS(2318),
    [anon_sym_discard] = ACTIONS(2318),
    [anon_sym_precise] = ACTIONS(2318),
    [anon_sym_shared] = ACTIONS(2318),
    [anon_sym_groupshared] = ACTIONS(2318),
    [anon_sym_uniform] = ACTIONS(2318),
    [anon_sym_row_major] = ACTIONS(2318),
    [anon_sym_column_major] = ACTIONS(2318),
    [anon_sym_globallycoherent] = ACTIONS(2318),
    [anon_sym_centroid] = ACTIONS(2318),
    [anon_sym_noperspective] = ACTIONS(2318),
    [anon_sym_nointerpolation] = ACTIONS(2318),
    [anon_sym_sample] = ACTIONS(2318),
    [anon_sym_linear] = ACTIONS(2318),
    [anon_sym_snorm] = ACTIONS(2318),
    [anon_sym_unorm] = ACTIONS(2318),
    [anon_sym_point] = ACTIONS(2318),
    [anon_sym_line] = ACTIONS(2318),
    [anon_sym_triangleadj] = ACTIONS(2318),
    [anon_sym_lineadj] = ACTIONS(2318),
    [anon_sym_triangle] = ACTIONS(2318),
    [anon_sym_cbuffer] = ACTIONS(2318),
  },
  [485] = {
    [sym_identifier] = ACTIONS(2392),
    [aux_sym_preproc_include_token1] = ACTIONS(2392),
    [aux_sym_preproc_def_token1] = ACTIONS(2392),
    [aux_sym_preproc_if_token1] = ACTIONS(2392),
    [aux_sym_preproc_if_token2] = ACTIONS(2392),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2392),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2392),
    [aux_sym_preproc_else_token1] = ACTIONS(2392),
    [aux_sym_preproc_elif_token1] = ACTIONS(2392),
    [sym_preproc_directive] = ACTIONS(2392),
    [anon_sym_LPAREN2] = ACTIONS(2394),
    [anon_sym_BANG] = ACTIONS(2394),
    [anon_sym_TILDE] = ACTIONS(2394),
    [anon_sym_DASH] = ACTIONS(2392),
    [anon_sym_PLUS] = ACTIONS(2392),
    [anon_sym_STAR] = ACTIONS(2394),
    [anon_sym_AMP_AMP] = ACTIONS(2394),
    [anon_sym_AMP] = ACTIONS(2392),
    [anon_sym_SEMI] = ACTIONS(2394),
    [anon_sym___extension__] = ACTIONS(2392),
    [anon_sym_typedef] = ACTIONS(2392),
    [anon_sym_in] = ACTIONS(2392),
    [anon_sym_out] = ACTIONS(2392),
    [anon_sym_inout] = ACTIONS(2392),
    [anon_sym_extern] = ACTIONS(2392),
    [anon_sym___attribute__] = ACTIONS(2392),
    [anon_sym_COLON_COLON] = ACTIONS(2394),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2394),
    [anon_sym___declspec] = ACTIONS(2392),
    [anon_sym___based] = ACTIONS(2392),
    [anon_sym___cdecl] = ACTIONS(2392),
    [anon_sym___clrcall] = ACTIONS(2392),
    [anon_sym___stdcall] = ACTIONS(2392),
    [anon_sym___fastcall] = ACTIONS(2392),
    [anon_sym___thiscall] = ACTIONS(2392),
    [anon_sym___vectorcall] = ACTIONS(2392),
    [anon_sym_LBRACE] = ACTIONS(2394),
    [anon_sym_signed] = ACTIONS(2392),
    [anon_sym_unsigned] = ACTIONS(2392),
    [anon_sym_long] = ACTIONS(2392),
    [anon_sym_short] = ACTIONS(2392),
    [anon_sym_LBRACK] = ACTIONS(2392),
    [anon_sym_static] = ACTIONS(2392),
    [anon_sym_register] = ACTIONS(2392),
    [anon_sym_inline] = ACTIONS(2392),
    [anon_sym___inline] = ACTIONS(2392),
    [anon_sym___inline__] = ACTIONS(2392),
    [anon_sym___forceinline] = ACTIONS(2392),
    [anon_sym_thread_local] = ACTIONS(2392),
    [anon_sym___thread] = ACTIONS(2392),
    [anon_sym_const] = ACTIONS(2392),
    [anon_sym_constexpr] = ACTIONS(2392),
    [anon_sym_volatile] = ACTIONS(2392),
    [anon_sym_restrict] = ACTIONS(2392),
    [anon_sym___restrict__] = ACTIONS(2392),
    [anon_sym__Atomic] = ACTIONS(2392),
    [anon_sym__Noreturn] = ACTIONS(2392),
    [anon_sym_noreturn] = ACTIONS(2392),
    [anon_sym_mutable] = ACTIONS(2392),
    [anon_sym_constinit] = ACTIONS(2392),
    [anon_sym_consteval] = ACTIONS(2392),
    [sym_primitive_type] = ACTIONS(2392),
    [anon_sym_enum] = ACTIONS(2392),
    [anon_sym_class] = ACTIONS(2392),
    [anon_sym_struct] = ACTIONS(2392),
    [anon_sym_union] = ACTIONS(2392),
    [anon_sym_if] = ACTIONS(2392),
    [anon_sym_else] = ACTIONS(2392),
    [anon_sym_switch] = ACTIONS(2392),
    [anon_sym_case] = ACTIONS(2392),
    [anon_sym_default] = ACTIONS(2392),
    [anon_sym_while] = ACTIONS(2392),
    [anon_sym_do] = ACTIONS(2392),
    [anon_sym_for] = ACTIONS(2392),
    [anon_sym_return] = ACTIONS(2392),
    [anon_sym_break] = ACTIONS(2392),
    [anon_sym_continue] = ACTIONS(2392),
    [anon_sym_goto] = ACTIONS(2392),
    [anon_sym___try] = ACTIONS(2392),
    [anon_sym___leave] = ACTIONS(2392),
    [anon_sym_not] = ACTIONS(2392),
    [anon_sym_compl] = ACTIONS(2392),
    [anon_sym_DASH_DASH] = ACTIONS(2394),
    [anon_sym_PLUS_PLUS] = ACTIONS(2394),
    [anon_sym_sizeof] = ACTIONS(2392),
    [anon_sym___alignof__] = ACTIONS(2392),
    [anon_sym___alignof] = ACTIONS(2392),
    [anon_sym__alignof] = ACTIONS(2392),
    [anon_sym_alignof] = ACTIONS(2392),
    [anon_sym__Alignof] = ACTIONS(2392),
    [anon_sym_offsetof] = ACTIONS(2392),
    [anon_sym__Generic] = ACTIONS(2392),
    [anon_sym_asm] = ACTIONS(2392),
    [anon_sym___asm__] = ACTIONS(2392),
    [sym_number_literal] = ACTIONS(2394),
    [anon_sym_L_SQUOTE] = ACTIONS(2394),
    [anon_sym_u_SQUOTE] = ACTIONS(2394),
    [anon_sym_U_SQUOTE] = ACTIONS(2394),
    [anon_sym_u8_SQUOTE] = ACTIONS(2394),
    [anon_sym_SQUOTE] = ACTIONS(2394),
    [anon_sym_L_DQUOTE] = ACTIONS(2394),
    [anon_sym_u_DQUOTE] = ACTIONS(2394),
    [anon_sym_U_DQUOTE] = ACTIONS(2394),
    [anon_sym_u8_DQUOTE] = ACTIONS(2394),
    [anon_sym_DQUOTE] = ACTIONS(2394),
    [sym_true] = ACTIONS(2392),
    [sym_false] = ACTIONS(2392),
    [anon_sym_NULL] = ACTIONS(2392),
    [anon_sym_nullptr] = ACTIONS(2392),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2392),
    [anon_sym_decltype] = ACTIONS(2392),
    [anon_sym_virtual] = ACTIONS(2392),
    [anon_sym_alignas] = ACTIONS(2392),
    [anon_sym_explicit] = ACTIONS(2392),
    [anon_sym_typename] = ACTIONS(2392),
    [anon_sym_template] = ACTIONS(2392),
    [anon_sym_operator] = ACTIONS(2392),
    [anon_sym_try] = ACTIONS(2392),
    [anon_sym_delete] = ACTIONS(2392),
    [anon_sym_throw] = ACTIONS(2392),
    [anon_sym_namespace] = ACTIONS(2392),
    [anon_sym_using] = ACTIONS(2392),
    [anon_sym_static_assert] = ACTIONS(2392),
    [anon_sym_concept] = ACTIONS(2392),
    [anon_sym_co_return] = ACTIONS(2392),
    [anon_sym_co_yield] = ACTIONS(2392),
    [anon_sym_R_DQUOTE] = ACTIONS(2394),
    [anon_sym_LR_DQUOTE] = ACTIONS(2394),
    [anon_sym_uR_DQUOTE] = ACTIONS(2394),
    [anon_sym_UR_DQUOTE] = ACTIONS(2394),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2394),
    [anon_sym_co_await] = ACTIONS(2392),
    [anon_sym_new] = ACTIONS(2392),
    [anon_sym_requires] = ACTIONS(2392),
    [sym_this] = ACTIONS(2392),
    [anon_sym_discard] = ACTIONS(2392),
    [anon_sym_precise] = ACTIONS(2392),
    [anon_sym_shared] = ACTIONS(2392),
    [anon_sym_groupshared] = ACTIONS(2392),
    [anon_sym_uniform] = ACTIONS(2392),
    [anon_sym_row_major] = ACTIONS(2392),
    [anon_sym_column_major] = ACTIONS(2392),
    [anon_sym_globallycoherent] = ACTIONS(2392),
    [anon_sym_centroid] = ACTIONS(2392),
    [anon_sym_noperspective] = ACTIONS(2392),
    [anon_sym_nointerpolation] = ACTIONS(2392),
    [anon_sym_sample] = ACTIONS(2392),
    [anon_sym_linear] = ACTIONS(2392),
    [anon_sym_snorm] = ACTIONS(2392),
    [anon_sym_unorm] = ACTIONS(2392),
    [anon_sym_point] = ACTIONS(2392),
    [anon_sym_line] = ACTIONS(2392),
    [anon_sym_triangleadj] = ACTIONS(2392),
    [anon_sym_lineadj] = ACTIONS(2392),
    [anon_sym_triangle] = ACTIONS(2392),
    [anon_sym_cbuffer] = ACTIONS(2392),
  },
  [486] = {
    [sym_identifier] = ACTIONS(2330),
    [aux_sym_preproc_include_token1] = ACTIONS(2330),
    [aux_sym_preproc_def_token1] = ACTIONS(2330),
    [aux_sym_preproc_if_token1] = ACTIONS(2330),
    [aux_sym_preproc_if_token2] = ACTIONS(2330),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2330),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2330),
    [aux_sym_preproc_else_token1] = ACTIONS(2330),
    [aux_sym_preproc_elif_token1] = ACTIONS(2330),
    [sym_preproc_directive] = ACTIONS(2330),
    [anon_sym_LPAREN2] = ACTIONS(2332),
    [anon_sym_BANG] = ACTIONS(2332),
    [anon_sym_TILDE] = ACTIONS(2332),
    [anon_sym_DASH] = ACTIONS(2330),
    [anon_sym_PLUS] = ACTIONS(2330),
    [anon_sym_STAR] = ACTIONS(2332),
    [anon_sym_AMP_AMP] = ACTIONS(2332),
    [anon_sym_AMP] = ACTIONS(2330),
    [anon_sym_SEMI] = ACTIONS(2332),
    [anon_sym___extension__] = ACTIONS(2330),
    [anon_sym_typedef] = ACTIONS(2330),
    [anon_sym_in] = ACTIONS(2330),
    [anon_sym_out] = ACTIONS(2330),
    [anon_sym_inout] = ACTIONS(2330),
    [anon_sym_extern] = ACTIONS(2330),
    [anon_sym___attribute__] = ACTIONS(2330),
    [anon_sym_COLON_COLON] = ACTIONS(2332),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2332),
    [anon_sym___declspec] = ACTIONS(2330),
    [anon_sym___based] = ACTIONS(2330),
    [anon_sym___cdecl] = ACTIONS(2330),
    [anon_sym___clrcall] = ACTIONS(2330),
    [anon_sym___stdcall] = ACTIONS(2330),
    [anon_sym___fastcall] = ACTIONS(2330),
    [anon_sym___thiscall] = ACTIONS(2330),
    [anon_sym___vectorcall] = ACTIONS(2330),
    [anon_sym_LBRACE] = ACTIONS(2332),
    [anon_sym_signed] = ACTIONS(2330),
    [anon_sym_unsigned] = ACTIONS(2330),
    [anon_sym_long] = ACTIONS(2330),
    [anon_sym_short] = ACTIONS(2330),
    [anon_sym_LBRACK] = ACTIONS(2330),
    [anon_sym_static] = ACTIONS(2330),
    [anon_sym_register] = ACTIONS(2330),
    [anon_sym_inline] = ACTIONS(2330),
    [anon_sym___inline] = ACTIONS(2330),
    [anon_sym___inline__] = ACTIONS(2330),
    [anon_sym___forceinline] = ACTIONS(2330),
    [anon_sym_thread_local] = ACTIONS(2330),
    [anon_sym___thread] = ACTIONS(2330),
    [anon_sym_const] = ACTIONS(2330),
    [anon_sym_constexpr] = ACTIONS(2330),
    [anon_sym_volatile] = ACTIONS(2330),
    [anon_sym_restrict] = ACTIONS(2330),
    [anon_sym___restrict__] = ACTIONS(2330),
    [anon_sym__Atomic] = ACTIONS(2330),
    [anon_sym__Noreturn] = ACTIONS(2330),
    [anon_sym_noreturn] = ACTIONS(2330),
    [anon_sym_mutable] = ACTIONS(2330),
    [anon_sym_constinit] = ACTIONS(2330),
    [anon_sym_consteval] = ACTIONS(2330),
    [sym_primitive_type] = ACTIONS(2330),
    [anon_sym_enum] = ACTIONS(2330),
    [anon_sym_class] = ACTIONS(2330),
    [anon_sym_struct] = ACTIONS(2330),
    [anon_sym_union] = ACTIONS(2330),
    [anon_sym_if] = ACTIONS(2330),
    [anon_sym_else] = ACTIONS(2330),
    [anon_sym_switch] = ACTIONS(2330),
    [anon_sym_case] = ACTIONS(2330),
    [anon_sym_default] = ACTIONS(2330),
    [anon_sym_while] = ACTIONS(2330),
    [anon_sym_do] = ACTIONS(2330),
    [anon_sym_for] = ACTIONS(2330),
    [anon_sym_return] = ACTIONS(2330),
    [anon_sym_break] = ACTIONS(2330),
    [anon_sym_continue] = ACTIONS(2330),
    [anon_sym_goto] = ACTIONS(2330),
    [anon_sym___try] = ACTIONS(2330),
    [anon_sym___leave] = ACTIONS(2330),
    [anon_sym_not] = ACTIONS(2330),
    [anon_sym_compl] = ACTIONS(2330),
    [anon_sym_DASH_DASH] = ACTIONS(2332),
    [anon_sym_PLUS_PLUS] = ACTIONS(2332),
    [anon_sym_sizeof] = ACTIONS(2330),
    [anon_sym___alignof__] = ACTIONS(2330),
    [anon_sym___alignof] = ACTIONS(2330),
    [anon_sym__alignof] = ACTIONS(2330),
    [anon_sym_alignof] = ACTIONS(2330),
    [anon_sym__Alignof] = ACTIONS(2330),
    [anon_sym_offsetof] = ACTIONS(2330),
    [anon_sym__Generic] = ACTIONS(2330),
    [anon_sym_asm] = ACTIONS(2330),
    [anon_sym___asm__] = ACTIONS(2330),
    [sym_number_literal] = ACTIONS(2332),
    [anon_sym_L_SQUOTE] = ACTIONS(2332),
    [anon_sym_u_SQUOTE] = ACTIONS(2332),
    [anon_sym_U_SQUOTE] = ACTIONS(2332),
    [anon_sym_u8_SQUOTE] = ACTIONS(2332),
    [anon_sym_SQUOTE] = ACTIONS(2332),
    [anon_sym_L_DQUOTE] = ACTIONS(2332),
    [anon_sym_u_DQUOTE] = ACTIONS(2332),
    [anon_sym_U_DQUOTE] = ACTIONS(2332),
    [anon_sym_u8_DQUOTE] = ACTIONS(2332),
    [anon_sym_DQUOTE] = ACTIONS(2332),
    [sym_true] = ACTIONS(2330),
    [sym_false] = ACTIONS(2330),
    [anon_sym_NULL] = ACTIONS(2330),
    [anon_sym_nullptr] = ACTIONS(2330),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2330),
    [anon_sym_decltype] = ACTIONS(2330),
    [anon_sym_virtual] = ACTIONS(2330),
    [anon_sym_alignas] = ACTIONS(2330),
    [anon_sym_explicit] = ACTIONS(2330),
    [anon_sym_typename] = ACTIONS(2330),
    [anon_sym_template] = ACTIONS(2330),
    [anon_sym_operator] = ACTIONS(2330),
    [anon_sym_try] = ACTIONS(2330),
    [anon_sym_delete] = ACTIONS(2330),
    [anon_sym_throw] = ACTIONS(2330),
    [anon_sym_namespace] = ACTIONS(2330),
    [anon_sym_using] = ACTIONS(2330),
    [anon_sym_static_assert] = ACTIONS(2330),
    [anon_sym_concept] = ACTIONS(2330),
    [anon_sym_co_return] = ACTIONS(2330),
    [anon_sym_co_yield] = ACTIONS(2330),
    [anon_sym_R_DQUOTE] = ACTIONS(2332),
    [anon_sym_LR_DQUOTE] = ACTIONS(2332),
    [anon_sym_uR_DQUOTE] = ACTIONS(2332),
    [anon_sym_UR_DQUOTE] = ACTIONS(2332),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2332),
    [anon_sym_co_await] = ACTIONS(2330),
    [anon_sym_new] = ACTIONS(2330),
    [anon_sym_requires] = ACTIONS(2330),
    [sym_this] = ACTIONS(2330),
    [anon_sym_discard] = ACTIONS(2330),
    [anon_sym_precise] = ACTIONS(2330),
    [anon_sym_shared] = ACTIONS(2330),
    [anon_sym_groupshared] = ACTIONS(2330),
    [anon_sym_uniform] = ACTIONS(2330),
    [anon_sym_row_major] = ACTIONS(2330),
    [anon_sym_column_major] = ACTIONS(2330),
    [anon_sym_globallycoherent] = ACTIONS(2330),
    [anon_sym_centroid] = ACTIONS(2330),
    [anon_sym_noperspective] = ACTIONS(2330),
    [anon_sym_nointerpolation] = ACTIONS(2330),
    [anon_sym_sample] = ACTIONS(2330),
    [anon_sym_linear] = ACTIONS(2330),
    [anon_sym_snorm] = ACTIONS(2330),
    [anon_sym_unorm] = ACTIONS(2330),
    [anon_sym_point] = ACTIONS(2330),
    [anon_sym_line] = ACTIONS(2330),
    [anon_sym_triangleadj] = ACTIONS(2330),
    [anon_sym_lineadj] = ACTIONS(2330),
    [anon_sym_triangle] = ACTIONS(2330),
    [anon_sym_cbuffer] = ACTIONS(2330),
  },
  [487] = {
    [sym_identifier] = ACTIONS(2416),
    [aux_sym_preproc_include_token1] = ACTIONS(2416),
    [aux_sym_preproc_def_token1] = ACTIONS(2416),
    [aux_sym_preproc_if_token1] = ACTIONS(2416),
    [aux_sym_preproc_if_token2] = ACTIONS(2416),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2416),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2416),
    [aux_sym_preproc_else_token1] = ACTIONS(2416),
    [aux_sym_preproc_elif_token1] = ACTIONS(2416),
    [sym_preproc_directive] = ACTIONS(2416),
    [anon_sym_LPAREN2] = ACTIONS(2418),
    [anon_sym_BANG] = ACTIONS(2418),
    [anon_sym_TILDE] = ACTIONS(2418),
    [anon_sym_DASH] = ACTIONS(2416),
    [anon_sym_PLUS] = ACTIONS(2416),
    [anon_sym_STAR] = ACTIONS(2418),
    [anon_sym_AMP_AMP] = ACTIONS(2418),
    [anon_sym_AMP] = ACTIONS(2416),
    [anon_sym_SEMI] = ACTIONS(2418),
    [anon_sym___extension__] = ACTIONS(2416),
    [anon_sym_typedef] = ACTIONS(2416),
    [anon_sym_in] = ACTIONS(2416),
    [anon_sym_out] = ACTIONS(2416),
    [anon_sym_inout] = ACTIONS(2416),
    [anon_sym_extern] = ACTIONS(2416),
    [anon_sym___attribute__] = ACTIONS(2416),
    [anon_sym_COLON_COLON] = ACTIONS(2418),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2418),
    [anon_sym___declspec] = ACTIONS(2416),
    [anon_sym___based] = ACTIONS(2416),
    [anon_sym___cdecl] = ACTIONS(2416),
    [anon_sym___clrcall] = ACTIONS(2416),
    [anon_sym___stdcall] = ACTIONS(2416),
    [anon_sym___fastcall] = ACTIONS(2416),
    [anon_sym___thiscall] = ACTIONS(2416),
    [anon_sym___vectorcall] = ACTIONS(2416),
    [anon_sym_LBRACE] = ACTIONS(2418),
    [anon_sym_signed] = ACTIONS(2416),
    [anon_sym_unsigned] = ACTIONS(2416),
    [anon_sym_long] = ACTIONS(2416),
    [anon_sym_short] = ACTIONS(2416),
    [anon_sym_LBRACK] = ACTIONS(2416),
    [anon_sym_static] = ACTIONS(2416),
    [anon_sym_register] = ACTIONS(2416),
    [anon_sym_inline] = ACTIONS(2416),
    [anon_sym___inline] = ACTIONS(2416),
    [anon_sym___inline__] = ACTIONS(2416),
    [anon_sym___forceinline] = ACTIONS(2416),
    [anon_sym_thread_local] = ACTIONS(2416),
    [anon_sym___thread] = ACTIONS(2416),
    [anon_sym_const] = ACTIONS(2416),
    [anon_sym_constexpr] = ACTIONS(2416),
    [anon_sym_volatile] = ACTIONS(2416),
    [anon_sym_restrict] = ACTIONS(2416),
    [anon_sym___restrict__] = ACTIONS(2416),
    [anon_sym__Atomic] = ACTIONS(2416),
    [anon_sym__Noreturn] = ACTIONS(2416),
    [anon_sym_noreturn] = ACTIONS(2416),
    [anon_sym_mutable] = ACTIONS(2416),
    [anon_sym_constinit] = ACTIONS(2416),
    [anon_sym_consteval] = ACTIONS(2416),
    [sym_primitive_type] = ACTIONS(2416),
    [anon_sym_enum] = ACTIONS(2416),
    [anon_sym_class] = ACTIONS(2416),
    [anon_sym_struct] = ACTIONS(2416),
    [anon_sym_union] = ACTIONS(2416),
    [anon_sym_if] = ACTIONS(2416),
    [anon_sym_else] = ACTIONS(2416),
    [anon_sym_switch] = ACTIONS(2416),
    [anon_sym_case] = ACTIONS(2416),
    [anon_sym_default] = ACTIONS(2416),
    [anon_sym_while] = ACTIONS(2416),
    [anon_sym_do] = ACTIONS(2416),
    [anon_sym_for] = ACTIONS(2416),
    [anon_sym_return] = ACTIONS(2416),
    [anon_sym_break] = ACTIONS(2416),
    [anon_sym_continue] = ACTIONS(2416),
    [anon_sym_goto] = ACTIONS(2416),
    [anon_sym___try] = ACTIONS(2416),
    [anon_sym___leave] = ACTIONS(2416),
    [anon_sym_not] = ACTIONS(2416),
    [anon_sym_compl] = ACTIONS(2416),
    [anon_sym_DASH_DASH] = ACTIONS(2418),
    [anon_sym_PLUS_PLUS] = ACTIONS(2418),
    [anon_sym_sizeof] = ACTIONS(2416),
    [anon_sym___alignof__] = ACTIONS(2416),
    [anon_sym___alignof] = ACTIONS(2416),
    [anon_sym__alignof] = ACTIONS(2416),
    [anon_sym_alignof] = ACTIONS(2416),
    [anon_sym__Alignof] = ACTIONS(2416),
    [anon_sym_offsetof] = ACTIONS(2416),
    [anon_sym__Generic] = ACTIONS(2416),
    [anon_sym_asm] = ACTIONS(2416),
    [anon_sym___asm__] = ACTIONS(2416),
    [sym_number_literal] = ACTIONS(2418),
    [anon_sym_L_SQUOTE] = ACTIONS(2418),
    [anon_sym_u_SQUOTE] = ACTIONS(2418),
    [anon_sym_U_SQUOTE] = ACTIONS(2418),
    [anon_sym_u8_SQUOTE] = ACTIONS(2418),
    [anon_sym_SQUOTE] = ACTIONS(2418),
    [anon_sym_L_DQUOTE] = ACTIONS(2418),
    [anon_sym_u_DQUOTE] = ACTIONS(2418),
    [anon_sym_U_DQUOTE] = ACTIONS(2418),
    [anon_sym_u8_DQUOTE] = ACTIONS(2418),
    [anon_sym_DQUOTE] = ACTIONS(2418),
    [sym_true] = ACTIONS(2416),
    [sym_false] = ACTIONS(2416),
    [anon_sym_NULL] = ACTIONS(2416),
    [anon_sym_nullptr] = ACTIONS(2416),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2416),
    [anon_sym_decltype] = ACTIONS(2416),
    [anon_sym_virtual] = ACTIONS(2416),
    [anon_sym_alignas] = ACTIONS(2416),
    [anon_sym_explicit] = ACTIONS(2416),
    [anon_sym_typename] = ACTIONS(2416),
    [anon_sym_template] = ACTIONS(2416),
    [anon_sym_operator] = ACTIONS(2416),
    [anon_sym_try] = ACTIONS(2416),
    [anon_sym_delete] = ACTIONS(2416),
    [anon_sym_throw] = ACTIONS(2416),
    [anon_sym_namespace] = ACTIONS(2416),
    [anon_sym_using] = ACTIONS(2416),
    [anon_sym_static_assert] = ACTIONS(2416),
    [anon_sym_concept] = ACTIONS(2416),
    [anon_sym_co_return] = ACTIONS(2416),
    [anon_sym_co_yield] = ACTIONS(2416),
    [anon_sym_R_DQUOTE] = ACTIONS(2418),
    [anon_sym_LR_DQUOTE] = ACTIONS(2418),
    [anon_sym_uR_DQUOTE] = ACTIONS(2418),
    [anon_sym_UR_DQUOTE] = ACTIONS(2418),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2418),
    [anon_sym_co_await] = ACTIONS(2416),
    [anon_sym_new] = ACTIONS(2416),
    [anon_sym_requires] = ACTIONS(2416),
    [sym_this] = ACTIONS(2416),
    [anon_sym_discard] = ACTIONS(2416),
    [anon_sym_precise] = ACTIONS(2416),
    [anon_sym_shared] = ACTIONS(2416),
    [anon_sym_groupshared] = ACTIONS(2416),
    [anon_sym_uniform] = ACTIONS(2416),
    [anon_sym_row_major] = ACTIONS(2416),
    [anon_sym_column_major] = ACTIONS(2416),
    [anon_sym_globallycoherent] = ACTIONS(2416),
    [anon_sym_centroid] = ACTIONS(2416),
    [anon_sym_noperspective] = ACTIONS(2416),
    [anon_sym_nointerpolation] = ACTIONS(2416),
    [anon_sym_sample] = ACTIONS(2416),
    [anon_sym_linear] = ACTIONS(2416),
    [anon_sym_snorm] = ACTIONS(2416),
    [anon_sym_unorm] = ACTIONS(2416),
    [anon_sym_point] = ACTIONS(2416),
    [anon_sym_line] = ACTIONS(2416),
    [anon_sym_triangleadj] = ACTIONS(2416),
    [anon_sym_lineadj] = ACTIONS(2416),
    [anon_sym_triangle] = ACTIONS(2416),
    [anon_sym_cbuffer] = ACTIONS(2416),
  },
  [488] = {
    [sym_identifier] = ACTIONS(2364),
    [aux_sym_preproc_include_token1] = ACTIONS(2364),
    [aux_sym_preproc_def_token1] = ACTIONS(2364),
    [aux_sym_preproc_if_token1] = ACTIONS(2364),
    [aux_sym_preproc_if_token2] = ACTIONS(2364),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2364),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2364),
    [aux_sym_preproc_else_token1] = ACTIONS(2364),
    [aux_sym_preproc_elif_token1] = ACTIONS(2364),
    [sym_preproc_directive] = ACTIONS(2364),
    [anon_sym_LPAREN2] = ACTIONS(2366),
    [anon_sym_BANG] = ACTIONS(2366),
    [anon_sym_TILDE] = ACTIONS(2366),
    [anon_sym_DASH] = ACTIONS(2364),
    [anon_sym_PLUS] = ACTIONS(2364),
    [anon_sym_STAR] = ACTIONS(2366),
    [anon_sym_AMP_AMP] = ACTIONS(2366),
    [anon_sym_AMP] = ACTIONS(2364),
    [anon_sym_SEMI] = ACTIONS(2366),
    [anon_sym___extension__] = ACTIONS(2364),
    [anon_sym_typedef] = ACTIONS(2364),
    [anon_sym_in] = ACTIONS(2364),
    [anon_sym_out] = ACTIONS(2364),
    [anon_sym_inout] = ACTIONS(2364),
    [anon_sym_extern] = ACTIONS(2364),
    [anon_sym___attribute__] = ACTIONS(2364),
    [anon_sym_COLON_COLON] = ACTIONS(2366),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2366),
    [anon_sym___declspec] = ACTIONS(2364),
    [anon_sym___based] = ACTIONS(2364),
    [anon_sym___cdecl] = ACTIONS(2364),
    [anon_sym___clrcall] = ACTIONS(2364),
    [anon_sym___stdcall] = ACTIONS(2364),
    [anon_sym___fastcall] = ACTIONS(2364),
    [anon_sym___thiscall] = ACTIONS(2364),
    [anon_sym___vectorcall] = ACTIONS(2364),
    [anon_sym_LBRACE] = ACTIONS(2366),
    [anon_sym_signed] = ACTIONS(2364),
    [anon_sym_unsigned] = ACTIONS(2364),
    [anon_sym_long] = ACTIONS(2364),
    [anon_sym_short] = ACTIONS(2364),
    [anon_sym_LBRACK] = ACTIONS(2364),
    [anon_sym_static] = ACTIONS(2364),
    [anon_sym_register] = ACTIONS(2364),
    [anon_sym_inline] = ACTIONS(2364),
    [anon_sym___inline] = ACTIONS(2364),
    [anon_sym___inline__] = ACTIONS(2364),
    [anon_sym___forceinline] = ACTIONS(2364),
    [anon_sym_thread_local] = ACTIONS(2364),
    [anon_sym___thread] = ACTIONS(2364),
    [anon_sym_const] = ACTIONS(2364),
    [anon_sym_constexpr] = ACTIONS(2364),
    [anon_sym_volatile] = ACTIONS(2364),
    [anon_sym_restrict] = ACTIONS(2364),
    [anon_sym___restrict__] = ACTIONS(2364),
    [anon_sym__Atomic] = ACTIONS(2364),
    [anon_sym__Noreturn] = ACTIONS(2364),
    [anon_sym_noreturn] = ACTIONS(2364),
    [anon_sym_mutable] = ACTIONS(2364),
    [anon_sym_constinit] = ACTIONS(2364),
    [anon_sym_consteval] = ACTIONS(2364),
    [sym_primitive_type] = ACTIONS(2364),
    [anon_sym_enum] = ACTIONS(2364),
    [anon_sym_class] = ACTIONS(2364),
    [anon_sym_struct] = ACTIONS(2364),
    [anon_sym_union] = ACTIONS(2364),
    [anon_sym_if] = ACTIONS(2364),
    [anon_sym_else] = ACTIONS(2364),
    [anon_sym_switch] = ACTIONS(2364),
    [anon_sym_case] = ACTIONS(2364),
    [anon_sym_default] = ACTIONS(2364),
    [anon_sym_while] = ACTIONS(2364),
    [anon_sym_do] = ACTIONS(2364),
    [anon_sym_for] = ACTIONS(2364),
    [anon_sym_return] = ACTIONS(2364),
    [anon_sym_break] = ACTIONS(2364),
    [anon_sym_continue] = ACTIONS(2364),
    [anon_sym_goto] = ACTIONS(2364),
    [anon_sym___try] = ACTIONS(2364),
    [anon_sym___leave] = ACTIONS(2364),
    [anon_sym_not] = ACTIONS(2364),
    [anon_sym_compl] = ACTIONS(2364),
    [anon_sym_DASH_DASH] = ACTIONS(2366),
    [anon_sym_PLUS_PLUS] = ACTIONS(2366),
    [anon_sym_sizeof] = ACTIONS(2364),
    [anon_sym___alignof__] = ACTIONS(2364),
    [anon_sym___alignof] = ACTIONS(2364),
    [anon_sym__alignof] = ACTIONS(2364),
    [anon_sym_alignof] = ACTIONS(2364),
    [anon_sym__Alignof] = ACTIONS(2364),
    [anon_sym_offsetof] = ACTIONS(2364),
    [anon_sym__Generic] = ACTIONS(2364),
    [anon_sym_asm] = ACTIONS(2364),
    [anon_sym___asm__] = ACTIONS(2364),
    [sym_number_literal] = ACTIONS(2366),
    [anon_sym_L_SQUOTE] = ACTIONS(2366),
    [anon_sym_u_SQUOTE] = ACTIONS(2366),
    [anon_sym_U_SQUOTE] = ACTIONS(2366),
    [anon_sym_u8_SQUOTE] = ACTIONS(2366),
    [anon_sym_SQUOTE] = ACTIONS(2366),
    [anon_sym_L_DQUOTE] = ACTIONS(2366),
    [anon_sym_u_DQUOTE] = ACTIONS(2366),
    [anon_sym_U_DQUOTE] = ACTIONS(2366),
    [anon_sym_u8_DQUOTE] = ACTIONS(2366),
    [anon_sym_DQUOTE] = ACTIONS(2366),
    [sym_true] = ACTIONS(2364),
    [sym_false] = ACTIONS(2364),
    [anon_sym_NULL] = ACTIONS(2364),
    [anon_sym_nullptr] = ACTIONS(2364),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2364),
    [anon_sym_decltype] = ACTIONS(2364),
    [anon_sym_virtual] = ACTIONS(2364),
    [anon_sym_alignas] = ACTIONS(2364),
    [anon_sym_explicit] = ACTIONS(2364),
    [anon_sym_typename] = ACTIONS(2364),
    [anon_sym_template] = ACTIONS(2364),
    [anon_sym_operator] = ACTIONS(2364),
    [anon_sym_try] = ACTIONS(2364),
    [anon_sym_delete] = ACTIONS(2364),
    [anon_sym_throw] = ACTIONS(2364),
    [anon_sym_namespace] = ACTIONS(2364),
    [anon_sym_using] = ACTIONS(2364),
    [anon_sym_static_assert] = ACTIONS(2364),
    [anon_sym_concept] = ACTIONS(2364),
    [anon_sym_co_return] = ACTIONS(2364),
    [anon_sym_co_yield] = ACTIONS(2364),
    [anon_sym_R_DQUOTE] = ACTIONS(2366),
    [anon_sym_LR_DQUOTE] = ACTIONS(2366),
    [anon_sym_uR_DQUOTE] = ACTIONS(2366),
    [anon_sym_UR_DQUOTE] = ACTIONS(2366),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2366),
    [anon_sym_co_await] = ACTIONS(2364),
    [anon_sym_new] = ACTIONS(2364),
    [anon_sym_requires] = ACTIONS(2364),
    [sym_this] = ACTIONS(2364),
    [anon_sym_discard] = ACTIONS(2364),
    [anon_sym_precise] = ACTIONS(2364),
    [anon_sym_shared] = ACTIONS(2364),
    [anon_sym_groupshared] = ACTIONS(2364),
    [anon_sym_uniform] = ACTIONS(2364),
    [anon_sym_row_major] = ACTIONS(2364),
    [anon_sym_column_major] = ACTIONS(2364),
    [anon_sym_globallycoherent] = ACTIONS(2364),
    [anon_sym_centroid] = ACTIONS(2364),
    [anon_sym_noperspective] = ACTIONS(2364),
    [anon_sym_nointerpolation] = ACTIONS(2364),
    [anon_sym_sample] = ACTIONS(2364),
    [anon_sym_linear] = ACTIONS(2364),
    [anon_sym_snorm] = ACTIONS(2364),
    [anon_sym_unorm] = ACTIONS(2364),
    [anon_sym_point] = ACTIONS(2364),
    [anon_sym_line] = ACTIONS(2364),
    [anon_sym_triangleadj] = ACTIONS(2364),
    [anon_sym_lineadj] = ACTIONS(2364),
    [anon_sym_triangle] = ACTIONS(2364),
    [anon_sym_cbuffer] = ACTIONS(2364),
  },
  [489] = {
    [sym_identifier] = ACTIONS(2330),
    [aux_sym_preproc_include_token1] = ACTIONS(2330),
    [aux_sym_preproc_def_token1] = ACTIONS(2330),
    [aux_sym_preproc_if_token1] = ACTIONS(2330),
    [aux_sym_preproc_if_token2] = ACTIONS(2330),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2330),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2330),
    [aux_sym_preproc_else_token1] = ACTIONS(2330),
    [aux_sym_preproc_elif_token1] = ACTIONS(2330),
    [sym_preproc_directive] = ACTIONS(2330),
    [anon_sym_LPAREN2] = ACTIONS(2332),
    [anon_sym_BANG] = ACTIONS(2332),
    [anon_sym_TILDE] = ACTIONS(2332),
    [anon_sym_DASH] = ACTIONS(2330),
    [anon_sym_PLUS] = ACTIONS(2330),
    [anon_sym_STAR] = ACTIONS(2332),
    [anon_sym_AMP_AMP] = ACTIONS(2332),
    [anon_sym_AMP] = ACTIONS(2330),
    [anon_sym_SEMI] = ACTIONS(2332),
    [anon_sym___extension__] = ACTIONS(2330),
    [anon_sym_typedef] = ACTIONS(2330),
    [anon_sym_in] = ACTIONS(2330),
    [anon_sym_out] = ACTIONS(2330),
    [anon_sym_inout] = ACTIONS(2330),
    [anon_sym_extern] = ACTIONS(2330),
    [anon_sym___attribute__] = ACTIONS(2330),
    [anon_sym_COLON_COLON] = ACTIONS(2332),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2332),
    [anon_sym___declspec] = ACTIONS(2330),
    [anon_sym___based] = ACTIONS(2330),
    [anon_sym___cdecl] = ACTIONS(2330),
    [anon_sym___clrcall] = ACTIONS(2330),
    [anon_sym___stdcall] = ACTIONS(2330),
    [anon_sym___fastcall] = ACTIONS(2330),
    [anon_sym___thiscall] = ACTIONS(2330),
    [anon_sym___vectorcall] = ACTIONS(2330),
    [anon_sym_LBRACE] = ACTIONS(2332),
    [anon_sym_signed] = ACTIONS(2330),
    [anon_sym_unsigned] = ACTIONS(2330),
    [anon_sym_long] = ACTIONS(2330),
    [anon_sym_short] = ACTIONS(2330),
    [anon_sym_LBRACK] = ACTIONS(2330),
    [anon_sym_static] = ACTIONS(2330),
    [anon_sym_register] = ACTIONS(2330),
    [anon_sym_inline] = ACTIONS(2330),
    [anon_sym___inline] = ACTIONS(2330),
    [anon_sym___inline__] = ACTIONS(2330),
    [anon_sym___forceinline] = ACTIONS(2330),
    [anon_sym_thread_local] = ACTIONS(2330),
    [anon_sym___thread] = ACTIONS(2330),
    [anon_sym_const] = ACTIONS(2330),
    [anon_sym_constexpr] = ACTIONS(2330),
    [anon_sym_volatile] = ACTIONS(2330),
    [anon_sym_restrict] = ACTIONS(2330),
    [anon_sym___restrict__] = ACTIONS(2330),
    [anon_sym__Atomic] = ACTIONS(2330),
    [anon_sym__Noreturn] = ACTIONS(2330),
    [anon_sym_noreturn] = ACTIONS(2330),
    [anon_sym_mutable] = ACTIONS(2330),
    [anon_sym_constinit] = ACTIONS(2330),
    [anon_sym_consteval] = ACTIONS(2330),
    [sym_primitive_type] = ACTIONS(2330),
    [anon_sym_enum] = ACTIONS(2330),
    [anon_sym_class] = ACTIONS(2330),
    [anon_sym_struct] = ACTIONS(2330),
    [anon_sym_union] = ACTIONS(2330),
    [anon_sym_if] = ACTIONS(2330),
    [anon_sym_else] = ACTIONS(2330),
    [anon_sym_switch] = ACTIONS(2330),
    [anon_sym_case] = ACTIONS(2330),
    [anon_sym_default] = ACTIONS(2330),
    [anon_sym_while] = ACTIONS(2330),
    [anon_sym_do] = ACTIONS(2330),
    [anon_sym_for] = ACTIONS(2330),
    [anon_sym_return] = ACTIONS(2330),
    [anon_sym_break] = ACTIONS(2330),
    [anon_sym_continue] = ACTIONS(2330),
    [anon_sym_goto] = ACTIONS(2330),
    [anon_sym___try] = ACTIONS(2330),
    [anon_sym___leave] = ACTIONS(2330),
    [anon_sym_not] = ACTIONS(2330),
    [anon_sym_compl] = ACTIONS(2330),
    [anon_sym_DASH_DASH] = ACTIONS(2332),
    [anon_sym_PLUS_PLUS] = ACTIONS(2332),
    [anon_sym_sizeof] = ACTIONS(2330),
    [anon_sym___alignof__] = ACTIONS(2330),
    [anon_sym___alignof] = ACTIONS(2330),
    [anon_sym__alignof] = ACTIONS(2330),
    [anon_sym_alignof] = ACTIONS(2330),
    [anon_sym__Alignof] = ACTIONS(2330),
    [anon_sym_offsetof] = ACTIONS(2330),
    [anon_sym__Generic] = ACTIONS(2330),
    [anon_sym_asm] = ACTIONS(2330),
    [anon_sym___asm__] = ACTIONS(2330),
    [sym_number_literal] = ACTIONS(2332),
    [anon_sym_L_SQUOTE] = ACTIONS(2332),
    [anon_sym_u_SQUOTE] = ACTIONS(2332),
    [anon_sym_U_SQUOTE] = ACTIONS(2332),
    [anon_sym_u8_SQUOTE] = ACTIONS(2332),
    [anon_sym_SQUOTE] = ACTIONS(2332),
    [anon_sym_L_DQUOTE] = ACTIONS(2332),
    [anon_sym_u_DQUOTE] = ACTIONS(2332),
    [anon_sym_U_DQUOTE] = ACTIONS(2332),
    [anon_sym_u8_DQUOTE] = ACTIONS(2332),
    [anon_sym_DQUOTE] = ACTIONS(2332),
    [sym_true] = ACTIONS(2330),
    [sym_false] = ACTIONS(2330),
    [anon_sym_NULL] = ACTIONS(2330),
    [anon_sym_nullptr] = ACTIONS(2330),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2330),
    [anon_sym_decltype] = ACTIONS(2330),
    [anon_sym_virtual] = ACTIONS(2330),
    [anon_sym_alignas] = ACTIONS(2330),
    [anon_sym_explicit] = ACTIONS(2330),
    [anon_sym_typename] = ACTIONS(2330),
    [anon_sym_template] = ACTIONS(2330),
    [anon_sym_operator] = ACTIONS(2330),
    [anon_sym_try] = ACTIONS(2330),
    [anon_sym_delete] = ACTIONS(2330),
    [anon_sym_throw] = ACTIONS(2330),
    [anon_sym_namespace] = ACTIONS(2330),
    [anon_sym_using] = ACTIONS(2330),
    [anon_sym_static_assert] = ACTIONS(2330),
    [anon_sym_concept] = ACTIONS(2330),
    [anon_sym_co_return] = ACTIONS(2330),
    [anon_sym_co_yield] = ACTIONS(2330),
    [anon_sym_R_DQUOTE] = ACTIONS(2332),
    [anon_sym_LR_DQUOTE] = ACTIONS(2332),
    [anon_sym_uR_DQUOTE] = ACTIONS(2332),
    [anon_sym_UR_DQUOTE] = ACTIONS(2332),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2332),
    [anon_sym_co_await] = ACTIONS(2330),
    [anon_sym_new] = ACTIONS(2330),
    [anon_sym_requires] = ACTIONS(2330),
    [sym_this] = ACTIONS(2330),
    [anon_sym_discard] = ACTIONS(2330),
    [anon_sym_precise] = ACTIONS(2330),
    [anon_sym_shared] = ACTIONS(2330),
    [anon_sym_groupshared] = ACTIONS(2330),
    [anon_sym_uniform] = ACTIONS(2330),
    [anon_sym_row_major] = ACTIONS(2330),
    [anon_sym_column_major] = ACTIONS(2330),
    [anon_sym_globallycoherent] = ACTIONS(2330),
    [anon_sym_centroid] = ACTIONS(2330),
    [anon_sym_noperspective] = ACTIONS(2330),
    [anon_sym_nointerpolation] = ACTIONS(2330),
    [anon_sym_sample] = ACTIONS(2330),
    [anon_sym_linear] = ACTIONS(2330),
    [anon_sym_snorm] = ACTIONS(2330),
    [anon_sym_unorm] = ACTIONS(2330),
    [anon_sym_point] = ACTIONS(2330),
    [anon_sym_line] = ACTIONS(2330),
    [anon_sym_triangleadj] = ACTIONS(2330),
    [anon_sym_lineadj] = ACTIONS(2330),
    [anon_sym_triangle] = ACTIONS(2330),
    [anon_sym_cbuffer] = ACTIONS(2330),
  },
  [490] = {
    [sym_identifier] = ACTIONS(2330),
    [aux_sym_preproc_include_token1] = ACTIONS(2330),
    [aux_sym_preproc_def_token1] = ACTIONS(2330),
    [aux_sym_preproc_if_token1] = ACTIONS(2330),
    [aux_sym_preproc_if_token2] = ACTIONS(2330),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2330),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2330),
    [aux_sym_preproc_else_token1] = ACTIONS(2330),
    [aux_sym_preproc_elif_token1] = ACTIONS(2330),
    [sym_preproc_directive] = ACTIONS(2330),
    [anon_sym_LPAREN2] = ACTIONS(2332),
    [anon_sym_BANG] = ACTIONS(2332),
    [anon_sym_TILDE] = ACTIONS(2332),
    [anon_sym_DASH] = ACTIONS(2330),
    [anon_sym_PLUS] = ACTIONS(2330),
    [anon_sym_STAR] = ACTIONS(2332),
    [anon_sym_AMP_AMP] = ACTIONS(2332),
    [anon_sym_AMP] = ACTIONS(2330),
    [anon_sym_SEMI] = ACTIONS(2332),
    [anon_sym___extension__] = ACTIONS(2330),
    [anon_sym_typedef] = ACTIONS(2330),
    [anon_sym_in] = ACTIONS(2330),
    [anon_sym_out] = ACTIONS(2330),
    [anon_sym_inout] = ACTIONS(2330),
    [anon_sym_extern] = ACTIONS(2330),
    [anon_sym___attribute__] = ACTIONS(2330),
    [anon_sym_COLON_COLON] = ACTIONS(2332),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2332),
    [anon_sym___declspec] = ACTIONS(2330),
    [anon_sym___based] = ACTIONS(2330),
    [anon_sym___cdecl] = ACTIONS(2330),
    [anon_sym___clrcall] = ACTIONS(2330),
    [anon_sym___stdcall] = ACTIONS(2330),
    [anon_sym___fastcall] = ACTIONS(2330),
    [anon_sym___thiscall] = ACTIONS(2330),
    [anon_sym___vectorcall] = ACTIONS(2330),
    [anon_sym_LBRACE] = ACTIONS(2332),
    [anon_sym_signed] = ACTIONS(2330),
    [anon_sym_unsigned] = ACTIONS(2330),
    [anon_sym_long] = ACTIONS(2330),
    [anon_sym_short] = ACTIONS(2330),
    [anon_sym_LBRACK] = ACTIONS(2330),
    [anon_sym_static] = ACTIONS(2330),
    [anon_sym_register] = ACTIONS(2330),
    [anon_sym_inline] = ACTIONS(2330),
    [anon_sym___inline] = ACTIONS(2330),
    [anon_sym___inline__] = ACTIONS(2330),
    [anon_sym___forceinline] = ACTIONS(2330),
    [anon_sym_thread_local] = ACTIONS(2330),
    [anon_sym___thread] = ACTIONS(2330),
    [anon_sym_const] = ACTIONS(2330),
    [anon_sym_constexpr] = ACTIONS(2330),
    [anon_sym_volatile] = ACTIONS(2330),
    [anon_sym_restrict] = ACTIONS(2330),
    [anon_sym___restrict__] = ACTIONS(2330),
    [anon_sym__Atomic] = ACTIONS(2330),
    [anon_sym__Noreturn] = ACTIONS(2330),
    [anon_sym_noreturn] = ACTIONS(2330),
    [anon_sym_mutable] = ACTIONS(2330),
    [anon_sym_constinit] = ACTIONS(2330),
    [anon_sym_consteval] = ACTIONS(2330),
    [sym_primitive_type] = ACTIONS(2330),
    [anon_sym_enum] = ACTIONS(2330),
    [anon_sym_class] = ACTIONS(2330),
    [anon_sym_struct] = ACTIONS(2330),
    [anon_sym_union] = ACTIONS(2330),
    [anon_sym_if] = ACTIONS(2330),
    [anon_sym_else] = ACTIONS(2330),
    [anon_sym_switch] = ACTIONS(2330),
    [anon_sym_case] = ACTIONS(2330),
    [anon_sym_default] = ACTIONS(2330),
    [anon_sym_while] = ACTIONS(2330),
    [anon_sym_do] = ACTIONS(2330),
    [anon_sym_for] = ACTIONS(2330),
    [anon_sym_return] = ACTIONS(2330),
    [anon_sym_break] = ACTIONS(2330),
    [anon_sym_continue] = ACTIONS(2330),
    [anon_sym_goto] = ACTIONS(2330),
    [anon_sym___try] = ACTIONS(2330),
    [anon_sym___leave] = ACTIONS(2330),
    [anon_sym_not] = ACTIONS(2330),
    [anon_sym_compl] = ACTIONS(2330),
    [anon_sym_DASH_DASH] = ACTIONS(2332),
    [anon_sym_PLUS_PLUS] = ACTIONS(2332),
    [anon_sym_sizeof] = ACTIONS(2330),
    [anon_sym___alignof__] = ACTIONS(2330),
    [anon_sym___alignof] = ACTIONS(2330),
    [anon_sym__alignof] = ACTIONS(2330),
    [anon_sym_alignof] = ACTIONS(2330),
    [anon_sym__Alignof] = ACTIONS(2330),
    [anon_sym_offsetof] = ACTIONS(2330),
    [anon_sym__Generic] = ACTIONS(2330),
    [anon_sym_asm] = ACTIONS(2330),
    [anon_sym___asm__] = ACTIONS(2330),
    [sym_number_literal] = ACTIONS(2332),
    [anon_sym_L_SQUOTE] = ACTIONS(2332),
    [anon_sym_u_SQUOTE] = ACTIONS(2332),
    [anon_sym_U_SQUOTE] = ACTIONS(2332),
    [anon_sym_u8_SQUOTE] = ACTIONS(2332),
    [anon_sym_SQUOTE] = ACTIONS(2332),
    [anon_sym_L_DQUOTE] = ACTIONS(2332),
    [anon_sym_u_DQUOTE] = ACTIONS(2332),
    [anon_sym_U_DQUOTE] = ACTIONS(2332),
    [anon_sym_u8_DQUOTE] = ACTIONS(2332),
    [anon_sym_DQUOTE] = ACTIONS(2332),
    [sym_true] = ACTIONS(2330),
    [sym_false] = ACTIONS(2330),
    [anon_sym_NULL] = ACTIONS(2330),
    [anon_sym_nullptr] = ACTIONS(2330),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2330),
    [anon_sym_decltype] = ACTIONS(2330),
    [anon_sym_virtual] = ACTIONS(2330),
    [anon_sym_alignas] = ACTIONS(2330),
    [anon_sym_explicit] = ACTIONS(2330),
    [anon_sym_typename] = ACTIONS(2330),
    [anon_sym_template] = ACTIONS(2330),
    [anon_sym_operator] = ACTIONS(2330),
    [anon_sym_try] = ACTIONS(2330),
    [anon_sym_delete] = ACTIONS(2330),
    [anon_sym_throw] = ACTIONS(2330),
    [anon_sym_namespace] = ACTIONS(2330),
    [anon_sym_using] = ACTIONS(2330),
    [anon_sym_static_assert] = ACTIONS(2330),
    [anon_sym_concept] = ACTIONS(2330),
    [anon_sym_co_return] = ACTIONS(2330),
    [anon_sym_co_yield] = ACTIONS(2330),
    [anon_sym_R_DQUOTE] = ACTIONS(2332),
    [anon_sym_LR_DQUOTE] = ACTIONS(2332),
    [anon_sym_uR_DQUOTE] = ACTIONS(2332),
    [anon_sym_UR_DQUOTE] = ACTIONS(2332),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2332),
    [anon_sym_co_await] = ACTIONS(2330),
    [anon_sym_new] = ACTIONS(2330),
    [anon_sym_requires] = ACTIONS(2330),
    [sym_this] = ACTIONS(2330),
    [anon_sym_discard] = ACTIONS(2330),
    [anon_sym_precise] = ACTIONS(2330),
    [anon_sym_shared] = ACTIONS(2330),
    [anon_sym_groupshared] = ACTIONS(2330),
    [anon_sym_uniform] = ACTIONS(2330),
    [anon_sym_row_major] = ACTIONS(2330),
    [anon_sym_column_major] = ACTIONS(2330),
    [anon_sym_globallycoherent] = ACTIONS(2330),
    [anon_sym_centroid] = ACTIONS(2330),
    [anon_sym_noperspective] = ACTIONS(2330),
    [anon_sym_nointerpolation] = ACTIONS(2330),
    [anon_sym_sample] = ACTIONS(2330),
    [anon_sym_linear] = ACTIONS(2330),
    [anon_sym_snorm] = ACTIONS(2330),
    [anon_sym_unorm] = ACTIONS(2330),
    [anon_sym_point] = ACTIONS(2330),
    [anon_sym_line] = ACTIONS(2330),
    [anon_sym_triangleadj] = ACTIONS(2330),
    [anon_sym_lineadj] = ACTIONS(2330),
    [anon_sym_triangle] = ACTIONS(2330),
    [anon_sym_cbuffer] = ACTIONS(2330),
  },
  [491] = {
    [sym_identifier] = ACTIONS(2330),
    [aux_sym_preproc_include_token1] = ACTIONS(2330),
    [aux_sym_preproc_def_token1] = ACTIONS(2330),
    [aux_sym_preproc_if_token1] = ACTIONS(2330),
    [aux_sym_preproc_if_token2] = ACTIONS(2330),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2330),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2330),
    [aux_sym_preproc_else_token1] = ACTIONS(2330),
    [aux_sym_preproc_elif_token1] = ACTIONS(2330),
    [sym_preproc_directive] = ACTIONS(2330),
    [anon_sym_LPAREN2] = ACTIONS(2332),
    [anon_sym_BANG] = ACTIONS(2332),
    [anon_sym_TILDE] = ACTIONS(2332),
    [anon_sym_DASH] = ACTIONS(2330),
    [anon_sym_PLUS] = ACTIONS(2330),
    [anon_sym_STAR] = ACTIONS(2332),
    [anon_sym_AMP_AMP] = ACTIONS(2332),
    [anon_sym_AMP] = ACTIONS(2330),
    [anon_sym_SEMI] = ACTIONS(2332),
    [anon_sym___extension__] = ACTIONS(2330),
    [anon_sym_typedef] = ACTIONS(2330),
    [anon_sym_in] = ACTIONS(2330),
    [anon_sym_out] = ACTIONS(2330),
    [anon_sym_inout] = ACTIONS(2330),
    [anon_sym_extern] = ACTIONS(2330),
    [anon_sym___attribute__] = ACTIONS(2330),
    [anon_sym_COLON_COLON] = ACTIONS(2332),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2332),
    [anon_sym___declspec] = ACTIONS(2330),
    [anon_sym___based] = ACTIONS(2330),
    [anon_sym___cdecl] = ACTIONS(2330),
    [anon_sym___clrcall] = ACTIONS(2330),
    [anon_sym___stdcall] = ACTIONS(2330),
    [anon_sym___fastcall] = ACTIONS(2330),
    [anon_sym___thiscall] = ACTIONS(2330),
    [anon_sym___vectorcall] = ACTIONS(2330),
    [anon_sym_LBRACE] = ACTIONS(2332),
    [anon_sym_signed] = ACTIONS(2330),
    [anon_sym_unsigned] = ACTIONS(2330),
    [anon_sym_long] = ACTIONS(2330),
    [anon_sym_short] = ACTIONS(2330),
    [anon_sym_LBRACK] = ACTIONS(2330),
    [anon_sym_static] = ACTIONS(2330),
    [anon_sym_register] = ACTIONS(2330),
    [anon_sym_inline] = ACTIONS(2330),
    [anon_sym___inline] = ACTIONS(2330),
    [anon_sym___inline__] = ACTIONS(2330),
    [anon_sym___forceinline] = ACTIONS(2330),
    [anon_sym_thread_local] = ACTIONS(2330),
    [anon_sym___thread] = ACTIONS(2330),
    [anon_sym_const] = ACTIONS(2330),
    [anon_sym_constexpr] = ACTIONS(2330),
    [anon_sym_volatile] = ACTIONS(2330),
    [anon_sym_restrict] = ACTIONS(2330),
    [anon_sym___restrict__] = ACTIONS(2330),
    [anon_sym__Atomic] = ACTIONS(2330),
    [anon_sym__Noreturn] = ACTIONS(2330),
    [anon_sym_noreturn] = ACTIONS(2330),
    [anon_sym_mutable] = ACTIONS(2330),
    [anon_sym_constinit] = ACTIONS(2330),
    [anon_sym_consteval] = ACTIONS(2330),
    [sym_primitive_type] = ACTIONS(2330),
    [anon_sym_enum] = ACTIONS(2330),
    [anon_sym_class] = ACTIONS(2330),
    [anon_sym_struct] = ACTIONS(2330),
    [anon_sym_union] = ACTIONS(2330),
    [anon_sym_if] = ACTIONS(2330),
    [anon_sym_else] = ACTIONS(2330),
    [anon_sym_switch] = ACTIONS(2330),
    [anon_sym_case] = ACTIONS(2330),
    [anon_sym_default] = ACTIONS(2330),
    [anon_sym_while] = ACTIONS(2330),
    [anon_sym_do] = ACTIONS(2330),
    [anon_sym_for] = ACTIONS(2330),
    [anon_sym_return] = ACTIONS(2330),
    [anon_sym_break] = ACTIONS(2330),
    [anon_sym_continue] = ACTIONS(2330),
    [anon_sym_goto] = ACTIONS(2330),
    [anon_sym___try] = ACTIONS(2330),
    [anon_sym___leave] = ACTIONS(2330),
    [anon_sym_not] = ACTIONS(2330),
    [anon_sym_compl] = ACTIONS(2330),
    [anon_sym_DASH_DASH] = ACTIONS(2332),
    [anon_sym_PLUS_PLUS] = ACTIONS(2332),
    [anon_sym_sizeof] = ACTIONS(2330),
    [anon_sym___alignof__] = ACTIONS(2330),
    [anon_sym___alignof] = ACTIONS(2330),
    [anon_sym__alignof] = ACTIONS(2330),
    [anon_sym_alignof] = ACTIONS(2330),
    [anon_sym__Alignof] = ACTIONS(2330),
    [anon_sym_offsetof] = ACTIONS(2330),
    [anon_sym__Generic] = ACTIONS(2330),
    [anon_sym_asm] = ACTIONS(2330),
    [anon_sym___asm__] = ACTIONS(2330),
    [sym_number_literal] = ACTIONS(2332),
    [anon_sym_L_SQUOTE] = ACTIONS(2332),
    [anon_sym_u_SQUOTE] = ACTIONS(2332),
    [anon_sym_U_SQUOTE] = ACTIONS(2332),
    [anon_sym_u8_SQUOTE] = ACTIONS(2332),
    [anon_sym_SQUOTE] = ACTIONS(2332),
    [anon_sym_L_DQUOTE] = ACTIONS(2332),
    [anon_sym_u_DQUOTE] = ACTIONS(2332),
    [anon_sym_U_DQUOTE] = ACTIONS(2332),
    [anon_sym_u8_DQUOTE] = ACTIONS(2332),
    [anon_sym_DQUOTE] = ACTIONS(2332),
    [sym_true] = ACTIONS(2330),
    [sym_false] = ACTIONS(2330),
    [anon_sym_NULL] = ACTIONS(2330),
    [anon_sym_nullptr] = ACTIONS(2330),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2330),
    [anon_sym_decltype] = ACTIONS(2330),
    [anon_sym_virtual] = ACTIONS(2330),
    [anon_sym_alignas] = ACTIONS(2330),
    [anon_sym_explicit] = ACTIONS(2330),
    [anon_sym_typename] = ACTIONS(2330),
    [anon_sym_template] = ACTIONS(2330),
    [anon_sym_operator] = ACTIONS(2330),
    [anon_sym_try] = ACTIONS(2330),
    [anon_sym_delete] = ACTIONS(2330),
    [anon_sym_throw] = ACTIONS(2330),
    [anon_sym_namespace] = ACTIONS(2330),
    [anon_sym_using] = ACTIONS(2330),
    [anon_sym_static_assert] = ACTIONS(2330),
    [anon_sym_concept] = ACTIONS(2330),
    [anon_sym_co_return] = ACTIONS(2330),
    [anon_sym_co_yield] = ACTIONS(2330),
    [anon_sym_R_DQUOTE] = ACTIONS(2332),
    [anon_sym_LR_DQUOTE] = ACTIONS(2332),
    [anon_sym_uR_DQUOTE] = ACTIONS(2332),
    [anon_sym_UR_DQUOTE] = ACTIONS(2332),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2332),
    [anon_sym_co_await] = ACTIONS(2330),
    [anon_sym_new] = ACTIONS(2330),
    [anon_sym_requires] = ACTIONS(2330),
    [sym_this] = ACTIONS(2330),
    [anon_sym_discard] = ACTIONS(2330),
    [anon_sym_precise] = ACTIONS(2330),
    [anon_sym_shared] = ACTIONS(2330),
    [anon_sym_groupshared] = ACTIONS(2330),
    [anon_sym_uniform] = ACTIONS(2330),
    [anon_sym_row_major] = ACTIONS(2330),
    [anon_sym_column_major] = ACTIONS(2330),
    [anon_sym_globallycoherent] = ACTIONS(2330),
    [anon_sym_centroid] = ACTIONS(2330),
    [anon_sym_noperspective] = ACTIONS(2330),
    [anon_sym_nointerpolation] = ACTIONS(2330),
    [anon_sym_sample] = ACTIONS(2330),
    [anon_sym_linear] = ACTIONS(2330),
    [anon_sym_snorm] = ACTIONS(2330),
    [anon_sym_unorm] = ACTIONS(2330),
    [anon_sym_point] = ACTIONS(2330),
    [anon_sym_line] = ACTIONS(2330),
    [anon_sym_triangleadj] = ACTIONS(2330),
    [anon_sym_lineadj] = ACTIONS(2330),
    [anon_sym_triangle] = ACTIONS(2330),
    [anon_sym_cbuffer] = ACTIONS(2330),
  },
  [492] = {
    [sym_identifier] = ACTIONS(2330),
    [aux_sym_preproc_include_token1] = ACTIONS(2330),
    [aux_sym_preproc_def_token1] = ACTIONS(2330),
    [aux_sym_preproc_if_token1] = ACTIONS(2330),
    [aux_sym_preproc_if_token2] = ACTIONS(2330),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2330),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2330),
    [aux_sym_preproc_else_token1] = ACTIONS(2330),
    [aux_sym_preproc_elif_token1] = ACTIONS(2330),
    [sym_preproc_directive] = ACTIONS(2330),
    [anon_sym_LPAREN2] = ACTIONS(2332),
    [anon_sym_BANG] = ACTIONS(2332),
    [anon_sym_TILDE] = ACTIONS(2332),
    [anon_sym_DASH] = ACTIONS(2330),
    [anon_sym_PLUS] = ACTIONS(2330),
    [anon_sym_STAR] = ACTIONS(2332),
    [anon_sym_AMP_AMP] = ACTIONS(2332),
    [anon_sym_AMP] = ACTIONS(2330),
    [anon_sym_SEMI] = ACTIONS(2332),
    [anon_sym___extension__] = ACTIONS(2330),
    [anon_sym_typedef] = ACTIONS(2330),
    [anon_sym_in] = ACTIONS(2330),
    [anon_sym_out] = ACTIONS(2330),
    [anon_sym_inout] = ACTIONS(2330),
    [anon_sym_extern] = ACTIONS(2330),
    [anon_sym___attribute__] = ACTIONS(2330),
    [anon_sym_COLON_COLON] = ACTIONS(2332),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2332),
    [anon_sym___declspec] = ACTIONS(2330),
    [anon_sym___based] = ACTIONS(2330),
    [anon_sym___cdecl] = ACTIONS(2330),
    [anon_sym___clrcall] = ACTIONS(2330),
    [anon_sym___stdcall] = ACTIONS(2330),
    [anon_sym___fastcall] = ACTIONS(2330),
    [anon_sym___thiscall] = ACTIONS(2330),
    [anon_sym___vectorcall] = ACTIONS(2330),
    [anon_sym_LBRACE] = ACTIONS(2332),
    [anon_sym_signed] = ACTIONS(2330),
    [anon_sym_unsigned] = ACTIONS(2330),
    [anon_sym_long] = ACTIONS(2330),
    [anon_sym_short] = ACTIONS(2330),
    [anon_sym_LBRACK] = ACTIONS(2330),
    [anon_sym_static] = ACTIONS(2330),
    [anon_sym_register] = ACTIONS(2330),
    [anon_sym_inline] = ACTIONS(2330),
    [anon_sym___inline] = ACTIONS(2330),
    [anon_sym___inline__] = ACTIONS(2330),
    [anon_sym___forceinline] = ACTIONS(2330),
    [anon_sym_thread_local] = ACTIONS(2330),
    [anon_sym___thread] = ACTIONS(2330),
    [anon_sym_const] = ACTIONS(2330),
    [anon_sym_constexpr] = ACTIONS(2330),
    [anon_sym_volatile] = ACTIONS(2330),
    [anon_sym_restrict] = ACTIONS(2330),
    [anon_sym___restrict__] = ACTIONS(2330),
    [anon_sym__Atomic] = ACTIONS(2330),
    [anon_sym__Noreturn] = ACTIONS(2330),
    [anon_sym_noreturn] = ACTIONS(2330),
    [anon_sym_mutable] = ACTIONS(2330),
    [anon_sym_constinit] = ACTIONS(2330),
    [anon_sym_consteval] = ACTIONS(2330),
    [sym_primitive_type] = ACTIONS(2330),
    [anon_sym_enum] = ACTIONS(2330),
    [anon_sym_class] = ACTIONS(2330),
    [anon_sym_struct] = ACTIONS(2330),
    [anon_sym_union] = ACTIONS(2330),
    [anon_sym_if] = ACTIONS(2330),
    [anon_sym_else] = ACTIONS(2330),
    [anon_sym_switch] = ACTIONS(2330),
    [anon_sym_case] = ACTIONS(2330),
    [anon_sym_default] = ACTIONS(2330),
    [anon_sym_while] = ACTIONS(2330),
    [anon_sym_do] = ACTIONS(2330),
    [anon_sym_for] = ACTIONS(2330),
    [anon_sym_return] = ACTIONS(2330),
    [anon_sym_break] = ACTIONS(2330),
    [anon_sym_continue] = ACTIONS(2330),
    [anon_sym_goto] = ACTIONS(2330),
    [anon_sym___try] = ACTIONS(2330),
    [anon_sym___leave] = ACTIONS(2330),
    [anon_sym_not] = ACTIONS(2330),
    [anon_sym_compl] = ACTIONS(2330),
    [anon_sym_DASH_DASH] = ACTIONS(2332),
    [anon_sym_PLUS_PLUS] = ACTIONS(2332),
    [anon_sym_sizeof] = ACTIONS(2330),
    [anon_sym___alignof__] = ACTIONS(2330),
    [anon_sym___alignof] = ACTIONS(2330),
    [anon_sym__alignof] = ACTIONS(2330),
    [anon_sym_alignof] = ACTIONS(2330),
    [anon_sym__Alignof] = ACTIONS(2330),
    [anon_sym_offsetof] = ACTIONS(2330),
    [anon_sym__Generic] = ACTIONS(2330),
    [anon_sym_asm] = ACTIONS(2330),
    [anon_sym___asm__] = ACTIONS(2330),
    [sym_number_literal] = ACTIONS(2332),
    [anon_sym_L_SQUOTE] = ACTIONS(2332),
    [anon_sym_u_SQUOTE] = ACTIONS(2332),
    [anon_sym_U_SQUOTE] = ACTIONS(2332),
    [anon_sym_u8_SQUOTE] = ACTIONS(2332),
    [anon_sym_SQUOTE] = ACTIONS(2332),
    [anon_sym_L_DQUOTE] = ACTIONS(2332),
    [anon_sym_u_DQUOTE] = ACTIONS(2332),
    [anon_sym_U_DQUOTE] = ACTIONS(2332),
    [anon_sym_u8_DQUOTE] = ACTIONS(2332),
    [anon_sym_DQUOTE] = ACTIONS(2332),
    [sym_true] = ACTIONS(2330),
    [sym_false] = ACTIONS(2330),
    [anon_sym_NULL] = ACTIONS(2330),
    [anon_sym_nullptr] = ACTIONS(2330),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2330),
    [anon_sym_decltype] = ACTIONS(2330),
    [anon_sym_virtual] = ACTIONS(2330),
    [anon_sym_alignas] = ACTIONS(2330),
    [anon_sym_explicit] = ACTIONS(2330),
    [anon_sym_typename] = ACTIONS(2330),
    [anon_sym_template] = ACTIONS(2330),
    [anon_sym_operator] = ACTIONS(2330),
    [anon_sym_try] = ACTIONS(2330),
    [anon_sym_delete] = ACTIONS(2330),
    [anon_sym_throw] = ACTIONS(2330),
    [anon_sym_namespace] = ACTIONS(2330),
    [anon_sym_using] = ACTIONS(2330),
    [anon_sym_static_assert] = ACTIONS(2330),
    [anon_sym_concept] = ACTIONS(2330),
    [anon_sym_co_return] = ACTIONS(2330),
    [anon_sym_co_yield] = ACTIONS(2330),
    [anon_sym_R_DQUOTE] = ACTIONS(2332),
    [anon_sym_LR_DQUOTE] = ACTIONS(2332),
    [anon_sym_uR_DQUOTE] = ACTIONS(2332),
    [anon_sym_UR_DQUOTE] = ACTIONS(2332),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2332),
    [anon_sym_co_await] = ACTIONS(2330),
    [anon_sym_new] = ACTIONS(2330),
    [anon_sym_requires] = ACTIONS(2330),
    [sym_this] = ACTIONS(2330),
    [anon_sym_discard] = ACTIONS(2330),
    [anon_sym_precise] = ACTIONS(2330),
    [anon_sym_shared] = ACTIONS(2330),
    [anon_sym_groupshared] = ACTIONS(2330),
    [anon_sym_uniform] = ACTIONS(2330),
    [anon_sym_row_major] = ACTIONS(2330),
    [anon_sym_column_major] = ACTIONS(2330),
    [anon_sym_globallycoherent] = ACTIONS(2330),
    [anon_sym_centroid] = ACTIONS(2330),
    [anon_sym_noperspective] = ACTIONS(2330),
    [anon_sym_nointerpolation] = ACTIONS(2330),
    [anon_sym_sample] = ACTIONS(2330),
    [anon_sym_linear] = ACTIONS(2330),
    [anon_sym_snorm] = ACTIONS(2330),
    [anon_sym_unorm] = ACTIONS(2330),
    [anon_sym_point] = ACTIONS(2330),
    [anon_sym_line] = ACTIONS(2330),
    [anon_sym_triangleadj] = ACTIONS(2330),
    [anon_sym_lineadj] = ACTIONS(2330),
    [anon_sym_triangle] = ACTIONS(2330),
    [anon_sym_cbuffer] = ACTIONS(2330),
  },
  [493] = {
    [sym_identifier] = ACTIONS(2330),
    [aux_sym_preproc_include_token1] = ACTIONS(2330),
    [aux_sym_preproc_def_token1] = ACTIONS(2330),
    [aux_sym_preproc_if_token1] = ACTIONS(2330),
    [aux_sym_preproc_if_token2] = ACTIONS(2330),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2330),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2330),
    [aux_sym_preproc_else_token1] = ACTIONS(2330),
    [aux_sym_preproc_elif_token1] = ACTIONS(2330),
    [sym_preproc_directive] = ACTIONS(2330),
    [anon_sym_LPAREN2] = ACTIONS(2332),
    [anon_sym_BANG] = ACTIONS(2332),
    [anon_sym_TILDE] = ACTIONS(2332),
    [anon_sym_DASH] = ACTIONS(2330),
    [anon_sym_PLUS] = ACTIONS(2330),
    [anon_sym_STAR] = ACTIONS(2332),
    [anon_sym_AMP_AMP] = ACTIONS(2332),
    [anon_sym_AMP] = ACTIONS(2330),
    [anon_sym_SEMI] = ACTIONS(2332),
    [anon_sym___extension__] = ACTIONS(2330),
    [anon_sym_typedef] = ACTIONS(2330),
    [anon_sym_in] = ACTIONS(2330),
    [anon_sym_out] = ACTIONS(2330),
    [anon_sym_inout] = ACTIONS(2330),
    [anon_sym_extern] = ACTIONS(2330),
    [anon_sym___attribute__] = ACTIONS(2330),
    [anon_sym_COLON_COLON] = ACTIONS(2332),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2332),
    [anon_sym___declspec] = ACTIONS(2330),
    [anon_sym___based] = ACTIONS(2330),
    [anon_sym___cdecl] = ACTIONS(2330),
    [anon_sym___clrcall] = ACTIONS(2330),
    [anon_sym___stdcall] = ACTIONS(2330),
    [anon_sym___fastcall] = ACTIONS(2330),
    [anon_sym___thiscall] = ACTIONS(2330),
    [anon_sym___vectorcall] = ACTIONS(2330),
    [anon_sym_LBRACE] = ACTIONS(2332),
    [anon_sym_signed] = ACTIONS(2330),
    [anon_sym_unsigned] = ACTIONS(2330),
    [anon_sym_long] = ACTIONS(2330),
    [anon_sym_short] = ACTIONS(2330),
    [anon_sym_LBRACK] = ACTIONS(2330),
    [anon_sym_static] = ACTIONS(2330),
    [anon_sym_register] = ACTIONS(2330),
    [anon_sym_inline] = ACTIONS(2330),
    [anon_sym___inline] = ACTIONS(2330),
    [anon_sym___inline__] = ACTIONS(2330),
    [anon_sym___forceinline] = ACTIONS(2330),
    [anon_sym_thread_local] = ACTIONS(2330),
    [anon_sym___thread] = ACTIONS(2330),
    [anon_sym_const] = ACTIONS(2330),
    [anon_sym_constexpr] = ACTIONS(2330),
    [anon_sym_volatile] = ACTIONS(2330),
    [anon_sym_restrict] = ACTIONS(2330),
    [anon_sym___restrict__] = ACTIONS(2330),
    [anon_sym__Atomic] = ACTIONS(2330),
    [anon_sym__Noreturn] = ACTIONS(2330),
    [anon_sym_noreturn] = ACTIONS(2330),
    [anon_sym_mutable] = ACTIONS(2330),
    [anon_sym_constinit] = ACTIONS(2330),
    [anon_sym_consteval] = ACTIONS(2330),
    [sym_primitive_type] = ACTIONS(2330),
    [anon_sym_enum] = ACTIONS(2330),
    [anon_sym_class] = ACTIONS(2330),
    [anon_sym_struct] = ACTIONS(2330),
    [anon_sym_union] = ACTIONS(2330),
    [anon_sym_if] = ACTIONS(2330),
    [anon_sym_else] = ACTIONS(2330),
    [anon_sym_switch] = ACTIONS(2330),
    [anon_sym_case] = ACTIONS(2330),
    [anon_sym_default] = ACTIONS(2330),
    [anon_sym_while] = ACTIONS(2330),
    [anon_sym_do] = ACTIONS(2330),
    [anon_sym_for] = ACTIONS(2330),
    [anon_sym_return] = ACTIONS(2330),
    [anon_sym_break] = ACTIONS(2330),
    [anon_sym_continue] = ACTIONS(2330),
    [anon_sym_goto] = ACTIONS(2330),
    [anon_sym___try] = ACTIONS(2330),
    [anon_sym___leave] = ACTIONS(2330),
    [anon_sym_not] = ACTIONS(2330),
    [anon_sym_compl] = ACTIONS(2330),
    [anon_sym_DASH_DASH] = ACTIONS(2332),
    [anon_sym_PLUS_PLUS] = ACTIONS(2332),
    [anon_sym_sizeof] = ACTIONS(2330),
    [anon_sym___alignof__] = ACTIONS(2330),
    [anon_sym___alignof] = ACTIONS(2330),
    [anon_sym__alignof] = ACTIONS(2330),
    [anon_sym_alignof] = ACTIONS(2330),
    [anon_sym__Alignof] = ACTIONS(2330),
    [anon_sym_offsetof] = ACTIONS(2330),
    [anon_sym__Generic] = ACTIONS(2330),
    [anon_sym_asm] = ACTIONS(2330),
    [anon_sym___asm__] = ACTIONS(2330),
    [sym_number_literal] = ACTIONS(2332),
    [anon_sym_L_SQUOTE] = ACTIONS(2332),
    [anon_sym_u_SQUOTE] = ACTIONS(2332),
    [anon_sym_U_SQUOTE] = ACTIONS(2332),
    [anon_sym_u8_SQUOTE] = ACTIONS(2332),
    [anon_sym_SQUOTE] = ACTIONS(2332),
    [anon_sym_L_DQUOTE] = ACTIONS(2332),
    [anon_sym_u_DQUOTE] = ACTIONS(2332),
    [anon_sym_U_DQUOTE] = ACTIONS(2332),
    [anon_sym_u8_DQUOTE] = ACTIONS(2332),
    [anon_sym_DQUOTE] = ACTIONS(2332),
    [sym_true] = ACTIONS(2330),
    [sym_false] = ACTIONS(2330),
    [anon_sym_NULL] = ACTIONS(2330),
    [anon_sym_nullptr] = ACTIONS(2330),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2330),
    [anon_sym_decltype] = ACTIONS(2330),
    [anon_sym_virtual] = ACTIONS(2330),
    [anon_sym_alignas] = ACTIONS(2330),
    [anon_sym_explicit] = ACTIONS(2330),
    [anon_sym_typename] = ACTIONS(2330),
    [anon_sym_template] = ACTIONS(2330),
    [anon_sym_operator] = ACTIONS(2330),
    [anon_sym_try] = ACTIONS(2330),
    [anon_sym_delete] = ACTIONS(2330),
    [anon_sym_throw] = ACTIONS(2330),
    [anon_sym_namespace] = ACTIONS(2330),
    [anon_sym_using] = ACTIONS(2330),
    [anon_sym_static_assert] = ACTIONS(2330),
    [anon_sym_concept] = ACTIONS(2330),
    [anon_sym_co_return] = ACTIONS(2330),
    [anon_sym_co_yield] = ACTIONS(2330),
    [anon_sym_R_DQUOTE] = ACTIONS(2332),
    [anon_sym_LR_DQUOTE] = ACTIONS(2332),
    [anon_sym_uR_DQUOTE] = ACTIONS(2332),
    [anon_sym_UR_DQUOTE] = ACTIONS(2332),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2332),
    [anon_sym_co_await] = ACTIONS(2330),
    [anon_sym_new] = ACTIONS(2330),
    [anon_sym_requires] = ACTIONS(2330),
    [sym_this] = ACTIONS(2330),
    [anon_sym_discard] = ACTIONS(2330),
    [anon_sym_precise] = ACTIONS(2330),
    [anon_sym_shared] = ACTIONS(2330),
    [anon_sym_groupshared] = ACTIONS(2330),
    [anon_sym_uniform] = ACTIONS(2330),
    [anon_sym_row_major] = ACTIONS(2330),
    [anon_sym_column_major] = ACTIONS(2330),
    [anon_sym_globallycoherent] = ACTIONS(2330),
    [anon_sym_centroid] = ACTIONS(2330),
    [anon_sym_noperspective] = ACTIONS(2330),
    [anon_sym_nointerpolation] = ACTIONS(2330),
    [anon_sym_sample] = ACTIONS(2330),
    [anon_sym_linear] = ACTIONS(2330),
    [anon_sym_snorm] = ACTIONS(2330),
    [anon_sym_unorm] = ACTIONS(2330),
    [anon_sym_point] = ACTIONS(2330),
    [anon_sym_line] = ACTIONS(2330),
    [anon_sym_triangleadj] = ACTIONS(2330),
    [anon_sym_lineadj] = ACTIONS(2330),
    [anon_sym_triangle] = ACTIONS(2330),
    [anon_sym_cbuffer] = ACTIONS(2330),
  },
  [494] = {
    [sym_identifier] = ACTIONS(2330),
    [aux_sym_preproc_include_token1] = ACTIONS(2330),
    [aux_sym_preproc_def_token1] = ACTIONS(2330),
    [aux_sym_preproc_if_token1] = ACTIONS(2330),
    [aux_sym_preproc_if_token2] = ACTIONS(2330),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2330),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2330),
    [aux_sym_preproc_else_token1] = ACTIONS(2330),
    [aux_sym_preproc_elif_token1] = ACTIONS(2330),
    [sym_preproc_directive] = ACTIONS(2330),
    [anon_sym_LPAREN2] = ACTIONS(2332),
    [anon_sym_BANG] = ACTIONS(2332),
    [anon_sym_TILDE] = ACTIONS(2332),
    [anon_sym_DASH] = ACTIONS(2330),
    [anon_sym_PLUS] = ACTIONS(2330),
    [anon_sym_STAR] = ACTIONS(2332),
    [anon_sym_AMP_AMP] = ACTIONS(2332),
    [anon_sym_AMP] = ACTIONS(2330),
    [anon_sym_SEMI] = ACTIONS(2332),
    [anon_sym___extension__] = ACTIONS(2330),
    [anon_sym_typedef] = ACTIONS(2330),
    [anon_sym_in] = ACTIONS(2330),
    [anon_sym_out] = ACTIONS(2330),
    [anon_sym_inout] = ACTIONS(2330),
    [anon_sym_extern] = ACTIONS(2330),
    [anon_sym___attribute__] = ACTIONS(2330),
    [anon_sym_COLON_COLON] = ACTIONS(2332),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2332),
    [anon_sym___declspec] = ACTIONS(2330),
    [anon_sym___based] = ACTIONS(2330),
    [anon_sym___cdecl] = ACTIONS(2330),
    [anon_sym___clrcall] = ACTIONS(2330),
    [anon_sym___stdcall] = ACTIONS(2330),
    [anon_sym___fastcall] = ACTIONS(2330),
    [anon_sym___thiscall] = ACTIONS(2330),
    [anon_sym___vectorcall] = ACTIONS(2330),
    [anon_sym_LBRACE] = ACTIONS(2332),
    [anon_sym_signed] = ACTIONS(2330),
    [anon_sym_unsigned] = ACTIONS(2330),
    [anon_sym_long] = ACTIONS(2330),
    [anon_sym_short] = ACTIONS(2330),
    [anon_sym_LBRACK] = ACTIONS(2330),
    [anon_sym_static] = ACTIONS(2330),
    [anon_sym_register] = ACTIONS(2330),
    [anon_sym_inline] = ACTIONS(2330),
    [anon_sym___inline] = ACTIONS(2330),
    [anon_sym___inline__] = ACTIONS(2330),
    [anon_sym___forceinline] = ACTIONS(2330),
    [anon_sym_thread_local] = ACTIONS(2330),
    [anon_sym___thread] = ACTIONS(2330),
    [anon_sym_const] = ACTIONS(2330),
    [anon_sym_constexpr] = ACTIONS(2330),
    [anon_sym_volatile] = ACTIONS(2330),
    [anon_sym_restrict] = ACTIONS(2330),
    [anon_sym___restrict__] = ACTIONS(2330),
    [anon_sym__Atomic] = ACTIONS(2330),
    [anon_sym__Noreturn] = ACTIONS(2330),
    [anon_sym_noreturn] = ACTIONS(2330),
    [anon_sym_mutable] = ACTIONS(2330),
    [anon_sym_constinit] = ACTIONS(2330),
    [anon_sym_consteval] = ACTIONS(2330),
    [sym_primitive_type] = ACTIONS(2330),
    [anon_sym_enum] = ACTIONS(2330),
    [anon_sym_class] = ACTIONS(2330),
    [anon_sym_struct] = ACTIONS(2330),
    [anon_sym_union] = ACTIONS(2330),
    [anon_sym_if] = ACTIONS(2330),
    [anon_sym_else] = ACTIONS(2330),
    [anon_sym_switch] = ACTIONS(2330),
    [anon_sym_case] = ACTIONS(2330),
    [anon_sym_default] = ACTIONS(2330),
    [anon_sym_while] = ACTIONS(2330),
    [anon_sym_do] = ACTIONS(2330),
    [anon_sym_for] = ACTIONS(2330),
    [anon_sym_return] = ACTIONS(2330),
    [anon_sym_break] = ACTIONS(2330),
    [anon_sym_continue] = ACTIONS(2330),
    [anon_sym_goto] = ACTIONS(2330),
    [anon_sym___try] = ACTIONS(2330),
    [anon_sym___leave] = ACTIONS(2330),
    [anon_sym_not] = ACTIONS(2330),
    [anon_sym_compl] = ACTIONS(2330),
    [anon_sym_DASH_DASH] = ACTIONS(2332),
    [anon_sym_PLUS_PLUS] = ACTIONS(2332),
    [anon_sym_sizeof] = ACTIONS(2330),
    [anon_sym___alignof__] = ACTIONS(2330),
    [anon_sym___alignof] = ACTIONS(2330),
    [anon_sym__alignof] = ACTIONS(2330),
    [anon_sym_alignof] = ACTIONS(2330),
    [anon_sym__Alignof] = ACTIONS(2330),
    [anon_sym_offsetof] = ACTIONS(2330),
    [anon_sym__Generic] = ACTIONS(2330),
    [anon_sym_asm] = ACTIONS(2330),
    [anon_sym___asm__] = ACTIONS(2330),
    [sym_number_literal] = ACTIONS(2332),
    [anon_sym_L_SQUOTE] = ACTIONS(2332),
    [anon_sym_u_SQUOTE] = ACTIONS(2332),
    [anon_sym_U_SQUOTE] = ACTIONS(2332),
    [anon_sym_u8_SQUOTE] = ACTIONS(2332),
    [anon_sym_SQUOTE] = ACTIONS(2332),
    [anon_sym_L_DQUOTE] = ACTIONS(2332),
    [anon_sym_u_DQUOTE] = ACTIONS(2332),
    [anon_sym_U_DQUOTE] = ACTIONS(2332),
    [anon_sym_u8_DQUOTE] = ACTIONS(2332),
    [anon_sym_DQUOTE] = ACTIONS(2332),
    [sym_true] = ACTIONS(2330),
    [sym_false] = ACTIONS(2330),
    [anon_sym_NULL] = ACTIONS(2330),
    [anon_sym_nullptr] = ACTIONS(2330),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2330),
    [anon_sym_decltype] = ACTIONS(2330),
    [anon_sym_virtual] = ACTIONS(2330),
    [anon_sym_alignas] = ACTIONS(2330),
    [anon_sym_explicit] = ACTIONS(2330),
    [anon_sym_typename] = ACTIONS(2330),
    [anon_sym_template] = ACTIONS(2330),
    [anon_sym_operator] = ACTIONS(2330),
    [anon_sym_try] = ACTIONS(2330),
    [anon_sym_delete] = ACTIONS(2330),
    [anon_sym_throw] = ACTIONS(2330),
    [anon_sym_namespace] = ACTIONS(2330),
    [anon_sym_using] = ACTIONS(2330),
    [anon_sym_static_assert] = ACTIONS(2330),
    [anon_sym_concept] = ACTIONS(2330),
    [anon_sym_co_return] = ACTIONS(2330),
    [anon_sym_co_yield] = ACTIONS(2330),
    [anon_sym_R_DQUOTE] = ACTIONS(2332),
    [anon_sym_LR_DQUOTE] = ACTIONS(2332),
    [anon_sym_uR_DQUOTE] = ACTIONS(2332),
    [anon_sym_UR_DQUOTE] = ACTIONS(2332),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2332),
    [anon_sym_co_await] = ACTIONS(2330),
    [anon_sym_new] = ACTIONS(2330),
    [anon_sym_requires] = ACTIONS(2330),
    [sym_this] = ACTIONS(2330),
    [anon_sym_discard] = ACTIONS(2330),
    [anon_sym_precise] = ACTIONS(2330),
    [anon_sym_shared] = ACTIONS(2330),
    [anon_sym_groupshared] = ACTIONS(2330),
    [anon_sym_uniform] = ACTIONS(2330),
    [anon_sym_row_major] = ACTIONS(2330),
    [anon_sym_column_major] = ACTIONS(2330),
    [anon_sym_globallycoherent] = ACTIONS(2330),
    [anon_sym_centroid] = ACTIONS(2330),
    [anon_sym_noperspective] = ACTIONS(2330),
    [anon_sym_nointerpolation] = ACTIONS(2330),
    [anon_sym_sample] = ACTIONS(2330),
    [anon_sym_linear] = ACTIONS(2330),
    [anon_sym_snorm] = ACTIONS(2330),
    [anon_sym_unorm] = ACTIONS(2330),
    [anon_sym_point] = ACTIONS(2330),
    [anon_sym_line] = ACTIONS(2330),
    [anon_sym_triangleadj] = ACTIONS(2330),
    [anon_sym_lineadj] = ACTIONS(2330),
    [anon_sym_triangle] = ACTIONS(2330),
    [anon_sym_cbuffer] = ACTIONS(2330),
  },
  [495] = {
    [sym_identifier] = ACTIONS(2364),
    [aux_sym_preproc_include_token1] = ACTIONS(2364),
    [aux_sym_preproc_def_token1] = ACTIONS(2364),
    [aux_sym_preproc_if_token1] = ACTIONS(2364),
    [aux_sym_preproc_if_token2] = ACTIONS(2364),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2364),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2364),
    [aux_sym_preproc_else_token1] = ACTIONS(2364),
    [aux_sym_preproc_elif_token1] = ACTIONS(2364),
    [sym_preproc_directive] = ACTIONS(2364),
    [anon_sym_LPAREN2] = ACTIONS(2366),
    [anon_sym_BANG] = ACTIONS(2366),
    [anon_sym_TILDE] = ACTIONS(2366),
    [anon_sym_DASH] = ACTIONS(2364),
    [anon_sym_PLUS] = ACTIONS(2364),
    [anon_sym_STAR] = ACTIONS(2366),
    [anon_sym_AMP_AMP] = ACTIONS(2366),
    [anon_sym_AMP] = ACTIONS(2364),
    [anon_sym_SEMI] = ACTIONS(2366),
    [anon_sym___extension__] = ACTIONS(2364),
    [anon_sym_typedef] = ACTIONS(2364),
    [anon_sym_in] = ACTIONS(2364),
    [anon_sym_out] = ACTIONS(2364),
    [anon_sym_inout] = ACTIONS(2364),
    [anon_sym_extern] = ACTIONS(2364),
    [anon_sym___attribute__] = ACTIONS(2364),
    [anon_sym_COLON_COLON] = ACTIONS(2366),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2366),
    [anon_sym___declspec] = ACTIONS(2364),
    [anon_sym___based] = ACTIONS(2364),
    [anon_sym___cdecl] = ACTIONS(2364),
    [anon_sym___clrcall] = ACTIONS(2364),
    [anon_sym___stdcall] = ACTIONS(2364),
    [anon_sym___fastcall] = ACTIONS(2364),
    [anon_sym___thiscall] = ACTIONS(2364),
    [anon_sym___vectorcall] = ACTIONS(2364),
    [anon_sym_LBRACE] = ACTIONS(2366),
    [anon_sym_signed] = ACTIONS(2364),
    [anon_sym_unsigned] = ACTIONS(2364),
    [anon_sym_long] = ACTIONS(2364),
    [anon_sym_short] = ACTIONS(2364),
    [anon_sym_LBRACK] = ACTIONS(2364),
    [anon_sym_static] = ACTIONS(2364),
    [anon_sym_register] = ACTIONS(2364),
    [anon_sym_inline] = ACTIONS(2364),
    [anon_sym___inline] = ACTIONS(2364),
    [anon_sym___inline__] = ACTIONS(2364),
    [anon_sym___forceinline] = ACTIONS(2364),
    [anon_sym_thread_local] = ACTIONS(2364),
    [anon_sym___thread] = ACTIONS(2364),
    [anon_sym_const] = ACTIONS(2364),
    [anon_sym_constexpr] = ACTIONS(2364),
    [anon_sym_volatile] = ACTIONS(2364),
    [anon_sym_restrict] = ACTIONS(2364),
    [anon_sym___restrict__] = ACTIONS(2364),
    [anon_sym__Atomic] = ACTIONS(2364),
    [anon_sym__Noreturn] = ACTIONS(2364),
    [anon_sym_noreturn] = ACTIONS(2364),
    [anon_sym_mutable] = ACTIONS(2364),
    [anon_sym_constinit] = ACTIONS(2364),
    [anon_sym_consteval] = ACTIONS(2364),
    [sym_primitive_type] = ACTIONS(2364),
    [anon_sym_enum] = ACTIONS(2364),
    [anon_sym_class] = ACTIONS(2364),
    [anon_sym_struct] = ACTIONS(2364),
    [anon_sym_union] = ACTIONS(2364),
    [anon_sym_if] = ACTIONS(2364),
    [anon_sym_else] = ACTIONS(2364),
    [anon_sym_switch] = ACTIONS(2364),
    [anon_sym_case] = ACTIONS(2364),
    [anon_sym_default] = ACTIONS(2364),
    [anon_sym_while] = ACTIONS(2364),
    [anon_sym_do] = ACTIONS(2364),
    [anon_sym_for] = ACTIONS(2364),
    [anon_sym_return] = ACTIONS(2364),
    [anon_sym_break] = ACTIONS(2364),
    [anon_sym_continue] = ACTIONS(2364),
    [anon_sym_goto] = ACTIONS(2364),
    [anon_sym___try] = ACTIONS(2364),
    [anon_sym___leave] = ACTIONS(2364),
    [anon_sym_not] = ACTIONS(2364),
    [anon_sym_compl] = ACTIONS(2364),
    [anon_sym_DASH_DASH] = ACTIONS(2366),
    [anon_sym_PLUS_PLUS] = ACTIONS(2366),
    [anon_sym_sizeof] = ACTIONS(2364),
    [anon_sym___alignof__] = ACTIONS(2364),
    [anon_sym___alignof] = ACTIONS(2364),
    [anon_sym__alignof] = ACTIONS(2364),
    [anon_sym_alignof] = ACTIONS(2364),
    [anon_sym__Alignof] = ACTIONS(2364),
    [anon_sym_offsetof] = ACTIONS(2364),
    [anon_sym__Generic] = ACTIONS(2364),
    [anon_sym_asm] = ACTIONS(2364),
    [anon_sym___asm__] = ACTIONS(2364),
    [sym_number_literal] = ACTIONS(2366),
    [anon_sym_L_SQUOTE] = ACTIONS(2366),
    [anon_sym_u_SQUOTE] = ACTIONS(2366),
    [anon_sym_U_SQUOTE] = ACTIONS(2366),
    [anon_sym_u8_SQUOTE] = ACTIONS(2366),
    [anon_sym_SQUOTE] = ACTIONS(2366),
    [anon_sym_L_DQUOTE] = ACTIONS(2366),
    [anon_sym_u_DQUOTE] = ACTIONS(2366),
    [anon_sym_U_DQUOTE] = ACTIONS(2366),
    [anon_sym_u8_DQUOTE] = ACTIONS(2366),
    [anon_sym_DQUOTE] = ACTIONS(2366),
    [sym_true] = ACTIONS(2364),
    [sym_false] = ACTIONS(2364),
    [anon_sym_NULL] = ACTIONS(2364),
    [anon_sym_nullptr] = ACTIONS(2364),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2364),
    [anon_sym_decltype] = ACTIONS(2364),
    [anon_sym_virtual] = ACTIONS(2364),
    [anon_sym_alignas] = ACTIONS(2364),
    [anon_sym_explicit] = ACTIONS(2364),
    [anon_sym_typename] = ACTIONS(2364),
    [anon_sym_template] = ACTIONS(2364),
    [anon_sym_operator] = ACTIONS(2364),
    [anon_sym_try] = ACTIONS(2364),
    [anon_sym_delete] = ACTIONS(2364),
    [anon_sym_throw] = ACTIONS(2364),
    [anon_sym_namespace] = ACTIONS(2364),
    [anon_sym_using] = ACTIONS(2364),
    [anon_sym_static_assert] = ACTIONS(2364),
    [anon_sym_concept] = ACTIONS(2364),
    [anon_sym_co_return] = ACTIONS(2364),
    [anon_sym_co_yield] = ACTIONS(2364),
    [anon_sym_R_DQUOTE] = ACTIONS(2366),
    [anon_sym_LR_DQUOTE] = ACTIONS(2366),
    [anon_sym_uR_DQUOTE] = ACTIONS(2366),
    [anon_sym_UR_DQUOTE] = ACTIONS(2366),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2366),
    [anon_sym_co_await] = ACTIONS(2364),
    [anon_sym_new] = ACTIONS(2364),
    [anon_sym_requires] = ACTIONS(2364),
    [sym_this] = ACTIONS(2364),
    [anon_sym_discard] = ACTIONS(2364),
    [anon_sym_precise] = ACTIONS(2364),
    [anon_sym_shared] = ACTIONS(2364),
    [anon_sym_groupshared] = ACTIONS(2364),
    [anon_sym_uniform] = ACTIONS(2364),
    [anon_sym_row_major] = ACTIONS(2364),
    [anon_sym_column_major] = ACTIONS(2364),
    [anon_sym_globallycoherent] = ACTIONS(2364),
    [anon_sym_centroid] = ACTIONS(2364),
    [anon_sym_noperspective] = ACTIONS(2364),
    [anon_sym_nointerpolation] = ACTIONS(2364),
    [anon_sym_sample] = ACTIONS(2364),
    [anon_sym_linear] = ACTIONS(2364),
    [anon_sym_snorm] = ACTIONS(2364),
    [anon_sym_unorm] = ACTIONS(2364),
    [anon_sym_point] = ACTIONS(2364),
    [anon_sym_line] = ACTIONS(2364),
    [anon_sym_triangleadj] = ACTIONS(2364),
    [anon_sym_lineadj] = ACTIONS(2364),
    [anon_sym_triangle] = ACTIONS(2364),
    [anon_sym_cbuffer] = ACTIONS(2364),
  },
  [496] = {
    [sym_identifier] = ACTIONS(2330),
    [aux_sym_preproc_include_token1] = ACTIONS(2330),
    [aux_sym_preproc_def_token1] = ACTIONS(2330),
    [aux_sym_preproc_if_token1] = ACTIONS(2330),
    [aux_sym_preproc_if_token2] = ACTIONS(2330),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2330),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2330),
    [aux_sym_preproc_else_token1] = ACTIONS(2330),
    [aux_sym_preproc_elif_token1] = ACTIONS(2330),
    [sym_preproc_directive] = ACTIONS(2330),
    [anon_sym_LPAREN2] = ACTIONS(2332),
    [anon_sym_BANG] = ACTIONS(2332),
    [anon_sym_TILDE] = ACTIONS(2332),
    [anon_sym_DASH] = ACTIONS(2330),
    [anon_sym_PLUS] = ACTIONS(2330),
    [anon_sym_STAR] = ACTIONS(2332),
    [anon_sym_AMP_AMP] = ACTIONS(2332),
    [anon_sym_AMP] = ACTIONS(2330),
    [anon_sym_SEMI] = ACTIONS(2332),
    [anon_sym___extension__] = ACTIONS(2330),
    [anon_sym_typedef] = ACTIONS(2330),
    [anon_sym_in] = ACTIONS(2330),
    [anon_sym_out] = ACTIONS(2330),
    [anon_sym_inout] = ACTIONS(2330),
    [anon_sym_extern] = ACTIONS(2330),
    [anon_sym___attribute__] = ACTIONS(2330),
    [anon_sym_COLON_COLON] = ACTIONS(2332),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2332),
    [anon_sym___declspec] = ACTIONS(2330),
    [anon_sym___based] = ACTIONS(2330),
    [anon_sym___cdecl] = ACTIONS(2330),
    [anon_sym___clrcall] = ACTIONS(2330),
    [anon_sym___stdcall] = ACTIONS(2330),
    [anon_sym___fastcall] = ACTIONS(2330),
    [anon_sym___thiscall] = ACTIONS(2330),
    [anon_sym___vectorcall] = ACTIONS(2330),
    [anon_sym_LBRACE] = ACTIONS(2332),
    [anon_sym_signed] = ACTIONS(2330),
    [anon_sym_unsigned] = ACTIONS(2330),
    [anon_sym_long] = ACTIONS(2330),
    [anon_sym_short] = ACTIONS(2330),
    [anon_sym_LBRACK] = ACTIONS(2330),
    [anon_sym_static] = ACTIONS(2330),
    [anon_sym_register] = ACTIONS(2330),
    [anon_sym_inline] = ACTIONS(2330),
    [anon_sym___inline] = ACTIONS(2330),
    [anon_sym___inline__] = ACTIONS(2330),
    [anon_sym___forceinline] = ACTIONS(2330),
    [anon_sym_thread_local] = ACTIONS(2330),
    [anon_sym___thread] = ACTIONS(2330),
    [anon_sym_const] = ACTIONS(2330),
    [anon_sym_constexpr] = ACTIONS(2330),
    [anon_sym_volatile] = ACTIONS(2330),
    [anon_sym_restrict] = ACTIONS(2330),
    [anon_sym___restrict__] = ACTIONS(2330),
    [anon_sym__Atomic] = ACTIONS(2330),
    [anon_sym__Noreturn] = ACTIONS(2330),
    [anon_sym_noreturn] = ACTIONS(2330),
    [anon_sym_mutable] = ACTIONS(2330),
    [anon_sym_constinit] = ACTIONS(2330),
    [anon_sym_consteval] = ACTIONS(2330),
    [sym_primitive_type] = ACTIONS(2330),
    [anon_sym_enum] = ACTIONS(2330),
    [anon_sym_class] = ACTIONS(2330),
    [anon_sym_struct] = ACTIONS(2330),
    [anon_sym_union] = ACTIONS(2330),
    [anon_sym_if] = ACTIONS(2330),
    [anon_sym_else] = ACTIONS(2330),
    [anon_sym_switch] = ACTIONS(2330),
    [anon_sym_case] = ACTIONS(2330),
    [anon_sym_default] = ACTIONS(2330),
    [anon_sym_while] = ACTIONS(2330),
    [anon_sym_do] = ACTIONS(2330),
    [anon_sym_for] = ACTIONS(2330),
    [anon_sym_return] = ACTIONS(2330),
    [anon_sym_break] = ACTIONS(2330),
    [anon_sym_continue] = ACTIONS(2330),
    [anon_sym_goto] = ACTIONS(2330),
    [anon_sym___try] = ACTIONS(2330),
    [anon_sym___leave] = ACTIONS(2330),
    [anon_sym_not] = ACTIONS(2330),
    [anon_sym_compl] = ACTIONS(2330),
    [anon_sym_DASH_DASH] = ACTIONS(2332),
    [anon_sym_PLUS_PLUS] = ACTIONS(2332),
    [anon_sym_sizeof] = ACTIONS(2330),
    [anon_sym___alignof__] = ACTIONS(2330),
    [anon_sym___alignof] = ACTIONS(2330),
    [anon_sym__alignof] = ACTIONS(2330),
    [anon_sym_alignof] = ACTIONS(2330),
    [anon_sym__Alignof] = ACTIONS(2330),
    [anon_sym_offsetof] = ACTIONS(2330),
    [anon_sym__Generic] = ACTIONS(2330),
    [anon_sym_asm] = ACTIONS(2330),
    [anon_sym___asm__] = ACTIONS(2330),
    [sym_number_literal] = ACTIONS(2332),
    [anon_sym_L_SQUOTE] = ACTIONS(2332),
    [anon_sym_u_SQUOTE] = ACTIONS(2332),
    [anon_sym_U_SQUOTE] = ACTIONS(2332),
    [anon_sym_u8_SQUOTE] = ACTIONS(2332),
    [anon_sym_SQUOTE] = ACTIONS(2332),
    [anon_sym_L_DQUOTE] = ACTIONS(2332),
    [anon_sym_u_DQUOTE] = ACTIONS(2332),
    [anon_sym_U_DQUOTE] = ACTIONS(2332),
    [anon_sym_u8_DQUOTE] = ACTIONS(2332),
    [anon_sym_DQUOTE] = ACTIONS(2332),
    [sym_true] = ACTIONS(2330),
    [sym_false] = ACTIONS(2330),
    [anon_sym_NULL] = ACTIONS(2330),
    [anon_sym_nullptr] = ACTIONS(2330),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2330),
    [anon_sym_decltype] = ACTIONS(2330),
    [anon_sym_virtual] = ACTIONS(2330),
    [anon_sym_alignas] = ACTIONS(2330),
    [anon_sym_explicit] = ACTIONS(2330),
    [anon_sym_typename] = ACTIONS(2330),
    [anon_sym_template] = ACTIONS(2330),
    [anon_sym_operator] = ACTIONS(2330),
    [anon_sym_try] = ACTIONS(2330),
    [anon_sym_delete] = ACTIONS(2330),
    [anon_sym_throw] = ACTIONS(2330),
    [anon_sym_namespace] = ACTIONS(2330),
    [anon_sym_using] = ACTIONS(2330),
    [anon_sym_static_assert] = ACTIONS(2330),
    [anon_sym_concept] = ACTIONS(2330),
    [anon_sym_co_return] = ACTIONS(2330),
    [anon_sym_co_yield] = ACTIONS(2330),
    [anon_sym_R_DQUOTE] = ACTIONS(2332),
    [anon_sym_LR_DQUOTE] = ACTIONS(2332),
    [anon_sym_uR_DQUOTE] = ACTIONS(2332),
    [anon_sym_UR_DQUOTE] = ACTIONS(2332),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2332),
    [anon_sym_co_await] = ACTIONS(2330),
    [anon_sym_new] = ACTIONS(2330),
    [anon_sym_requires] = ACTIONS(2330),
    [sym_this] = ACTIONS(2330),
    [anon_sym_discard] = ACTIONS(2330),
    [anon_sym_precise] = ACTIONS(2330),
    [anon_sym_shared] = ACTIONS(2330),
    [anon_sym_groupshared] = ACTIONS(2330),
    [anon_sym_uniform] = ACTIONS(2330),
    [anon_sym_row_major] = ACTIONS(2330),
    [anon_sym_column_major] = ACTIONS(2330),
    [anon_sym_globallycoherent] = ACTIONS(2330),
    [anon_sym_centroid] = ACTIONS(2330),
    [anon_sym_noperspective] = ACTIONS(2330),
    [anon_sym_nointerpolation] = ACTIONS(2330),
    [anon_sym_sample] = ACTIONS(2330),
    [anon_sym_linear] = ACTIONS(2330),
    [anon_sym_snorm] = ACTIONS(2330),
    [anon_sym_unorm] = ACTIONS(2330),
    [anon_sym_point] = ACTIONS(2330),
    [anon_sym_line] = ACTIONS(2330),
    [anon_sym_triangleadj] = ACTIONS(2330),
    [anon_sym_lineadj] = ACTIONS(2330),
    [anon_sym_triangle] = ACTIONS(2330),
    [anon_sym_cbuffer] = ACTIONS(2330),
  },
  [497] = {
    [sym_identifier] = ACTIONS(2364),
    [aux_sym_preproc_include_token1] = ACTIONS(2364),
    [aux_sym_preproc_def_token1] = ACTIONS(2364),
    [aux_sym_preproc_if_token1] = ACTIONS(2364),
    [aux_sym_preproc_if_token2] = ACTIONS(2364),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2364),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2364),
    [aux_sym_preproc_else_token1] = ACTIONS(2364),
    [aux_sym_preproc_elif_token1] = ACTIONS(2364),
    [sym_preproc_directive] = ACTIONS(2364),
    [anon_sym_LPAREN2] = ACTIONS(2366),
    [anon_sym_BANG] = ACTIONS(2366),
    [anon_sym_TILDE] = ACTIONS(2366),
    [anon_sym_DASH] = ACTIONS(2364),
    [anon_sym_PLUS] = ACTIONS(2364),
    [anon_sym_STAR] = ACTIONS(2366),
    [anon_sym_AMP_AMP] = ACTIONS(2366),
    [anon_sym_AMP] = ACTIONS(2364),
    [anon_sym_SEMI] = ACTIONS(2366),
    [anon_sym___extension__] = ACTIONS(2364),
    [anon_sym_typedef] = ACTIONS(2364),
    [anon_sym_in] = ACTIONS(2364),
    [anon_sym_out] = ACTIONS(2364),
    [anon_sym_inout] = ACTIONS(2364),
    [anon_sym_extern] = ACTIONS(2364),
    [anon_sym___attribute__] = ACTIONS(2364),
    [anon_sym_COLON_COLON] = ACTIONS(2366),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2366),
    [anon_sym___declspec] = ACTIONS(2364),
    [anon_sym___based] = ACTIONS(2364),
    [anon_sym___cdecl] = ACTIONS(2364),
    [anon_sym___clrcall] = ACTIONS(2364),
    [anon_sym___stdcall] = ACTIONS(2364),
    [anon_sym___fastcall] = ACTIONS(2364),
    [anon_sym___thiscall] = ACTIONS(2364),
    [anon_sym___vectorcall] = ACTIONS(2364),
    [anon_sym_LBRACE] = ACTIONS(2366),
    [anon_sym_signed] = ACTIONS(2364),
    [anon_sym_unsigned] = ACTIONS(2364),
    [anon_sym_long] = ACTIONS(2364),
    [anon_sym_short] = ACTIONS(2364),
    [anon_sym_LBRACK] = ACTIONS(2364),
    [anon_sym_static] = ACTIONS(2364),
    [anon_sym_register] = ACTIONS(2364),
    [anon_sym_inline] = ACTIONS(2364),
    [anon_sym___inline] = ACTIONS(2364),
    [anon_sym___inline__] = ACTIONS(2364),
    [anon_sym___forceinline] = ACTIONS(2364),
    [anon_sym_thread_local] = ACTIONS(2364),
    [anon_sym___thread] = ACTIONS(2364),
    [anon_sym_const] = ACTIONS(2364),
    [anon_sym_constexpr] = ACTIONS(2364),
    [anon_sym_volatile] = ACTIONS(2364),
    [anon_sym_restrict] = ACTIONS(2364),
    [anon_sym___restrict__] = ACTIONS(2364),
    [anon_sym__Atomic] = ACTIONS(2364),
    [anon_sym__Noreturn] = ACTIONS(2364),
    [anon_sym_noreturn] = ACTIONS(2364),
    [anon_sym_mutable] = ACTIONS(2364),
    [anon_sym_constinit] = ACTIONS(2364),
    [anon_sym_consteval] = ACTIONS(2364),
    [sym_primitive_type] = ACTIONS(2364),
    [anon_sym_enum] = ACTIONS(2364),
    [anon_sym_class] = ACTIONS(2364),
    [anon_sym_struct] = ACTIONS(2364),
    [anon_sym_union] = ACTIONS(2364),
    [anon_sym_if] = ACTIONS(2364),
    [anon_sym_else] = ACTIONS(2364),
    [anon_sym_switch] = ACTIONS(2364),
    [anon_sym_case] = ACTIONS(2364),
    [anon_sym_default] = ACTIONS(2364),
    [anon_sym_while] = ACTIONS(2364),
    [anon_sym_do] = ACTIONS(2364),
    [anon_sym_for] = ACTIONS(2364),
    [anon_sym_return] = ACTIONS(2364),
    [anon_sym_break] = ACTIONS(2364),
    [anon_sym_continue] = ACTIONS(2364),
    [anon_sym_goto] = ACTIONS(2364),
    [anon_sym___try] = ACTIONS(2364),
    [anon_sym___leave] = ACTIONS(2364),
    [anon_sym_not] = ACTIONS(2364),
    [anon_sym_compl] = ACTIONS(2364),
    [anon_sym_DASH_DASH] = ACTIONS(2366),
    [anon_sym_PLUS_PLUS] = ACTIONS(2366),
    [anon_sym_sizeof] = ACTIONS(2364),
    [anon_sym___alignof__] = ACTIONS(2364),
    [anon_sym___alignof] = ACTIONS(2364),
    [anon_sym__alignof] = ACTIONS(2364),
    [anon_sym_alignof] = ACTIONS(2364),
    [anon_sym__Alignof] = ACTIONS(2364),
    [anon_sym_offsetof] = ACTIONS(2364),
    [anon_sym__Generic] = ACTIONS(2364),
    [anon_sym_asm] = ACTIONS(2364),
    [anon_sym___asm__] = ACTIONS(2364),
    [sym_number_literal] = ACTIONS(2366),
    [anon_sym_L_SQUOTE] = ACTIONS(2366),
    [anon_sym_u_SQUOTE] = ACTIONS(2366),
    [anon_sym_U_SQUOTE] = ACTIONS(2366),
    [anon_sym_u8_SQUOTE] = ACTIONS(2366),
    [anon_sym_SQUOTE] = ACTIONS(2366),
    [anon_sym_L_DQUOTE] = ACTIONS(2366),
    [anon_sym_u_DQUOTE] = ACTIONS(2366),
    [anon_sym_U_DQUOTE] = ACTIONS(2366),
    [anon_sym_u8_DQUOTE] = ACTIONS(2366),
    [anon_sym_DQUOTE] = ACTIONS(2366),
    [sym_true] = ACTIONS(2364),
    [sym_false] = ACTIONS(2364),
    [anon_sym_NULL] = ACTIONS(2364),
    [anon_sym_nullptr] = ACTIONS(2364),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2364),
    [anon_sym_decltype] = ACTIONS(2364),
    [anon_sym_virtual] = ACTIONS(2364),
    [anon_sym_alignas] = ACTIONS(2364),
    [anon_sym_explicit] = ACTIONS(2364),
    [anon_sym_typename] = ACTIONS(2364),
    [anon_sym_template] = ACTIONS(2364),
    [anon_sym_operator] = ACTIONS(2364),
    [anon_sym_try] = ACTIONS(2364),
    [anon_sym_delete] = ACTIONS(2364),
    [anon_sym_throw] = ACTIONS(2364),
    [anon_sym_namespace] = ACTIONS(2364),
    [anon_sym_using] = ACTIONS(2364),
    [anon_sym_static_assert] = ACTIONS(2364),
    [anon_sym_concept] = ACTIONS(2364),
    [anon_sym_co_return] = ACTIONS(2364),
    [anon_sym_co_yield] = ACTIONS(2364),
    [anon_sym_R_DQUOTE] = ACTIONS(2366),
    [anon_sym_LR_DQUOTE] = ACTIONS(2366),
    [anon_sym_uR_DQUOTE] = ACTIONS(2366),
    [anon_sym_UR_DQUOTE] = ACTIONS(2366),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2366),
    [anon_sym_co_await] = ACTIONS(2364),
    [anon_sym_new] = ACTIONS(2364),
    [anon_sym_requires] = ACTIONS(2364),
    [sym_this] = ACTIONS(2364),
    [anon_sym_discard] = ACTIONS(2364),
    [anon_sym_precise] = ACTIONS(2364),
    [anon_sym_shared] = ACTIONS(2364),
    [anon_sym_groupshared] = ACTIONS(2364),
    [anon_sym_uniform] = ACTIONS(2364),
    [anon_sym_row_major] = ACTIONS(2364),
    [anon_sym_column_major] = ACTIONS(2364),
    [anon_sym_globallycoherent] = ACTIONS(2364),
    [anon_sym_centroid] = ACTIONS(2364),
    [anon_sym_noperspective] = ACTIONS(2364),
    [anon_sym_nointerpolation] = ACTIONS(2364),
    [anon_sym_sample] = ACTIONS(2364),
    [anon_sym_linear] = ACTIONS(2364),
    [anon_sym_snorm] = ACTIONS(2364),
    [anon_sym_unorm] = ACTIONS(2364),
    [anon_sym_point] = ACTIONS(2364),
    [anon_sym_line] = ACTIONS(2364),
    [anon_sym_triangleadj] = ACTIONS(2364),
    [anon_sym_lineadj] = ACTIONS(2364),
    [anon_sym_triangle] = ACTIONS(2364),
    [anon_sym_cbuffer] = ACTIONS(2364),
  },
  [498] = {
    [sym_identifier] = ACTIONS(2456),
    [aux_sym_preproc_include_token1] = ACTIONS(2456),
    [aux_sym_preproc_def_token1] = ACTIONS(2456),
    [aux_sym_preproc_if_token1] = ACTIONS(2456),
    [aux_sym_preproc_if_token2] = ACTIONS(2456),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2456),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2456),
    [aux_sym_preproc_else_token1] = ACTIONS(2456),
    [aux_sym_preproc_elif_token1] = ACTIONS(2456),
    [sym_preproc_directive] = ACTIONS(2456),
    [anon_sym_LPAREN2] = ACTIONS(2458),
    [anon_sym_BANG] = ACTIONS(2458),
    [anon_sym_TILDE] = ACTIONS(2458),
    [anon_sym_DASH] = ACTIONS(2456),
    [anon_sym_PLUS] = ACTIONS(2456),
    [anon_sym_STAR] = ACTIONS(2458),
    [anon_sym_AMP_AMP] = ACTIONS(2458),
    [anon_sym_AMP] = ACTIONS(2456),
    [anon_sym_SEMI] = ACTIONS(2458),
    [anon_sym___extension__] = ACTIONS(2456),
    [anon_sym_typedef] = ACTIONS(2456),
    [anon_sym_in] = ACTIONS(2456),
    [anon_sym_out] = ACTIONS(2456),
    [anon_sym_inout] = ACTIONS(2456),
    [anon_sym_extern] = ACTIONS(2456),
    [anon_sym___attribute__] = ACTIONS(2456),
    [anon_sym_COLON_COLON] = ACTIONS(2458),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2458),
    [anon_sym___declspec] = ACTIONS(2456),
    [anon_sym___based] = ACTIONS(2456),
    [anon_sym___cdecl] = ACTIONS(2456),
    [anon_sym___clrcall] = ACTIONS(2456),
    [anon_sym___stdcall] = ACTIONS(2456),
    [anon_sym___fastcall] = ACTIONS(2456),
    [anon_sym___thiscall] = ACTIONS(2456),
    [anon_sym___vectorcall] = ACTIONS(2456),
    [anon_sym_LBRACE] = ACTIONS(2458),
    [anon_sym_signed] = ACTIONS(2456),
    [anon_sym_unsigned] = ACTIONS(2456),
    [anon_sym_long] = ACTIONS(2456),
    [anon_sym_short] = ACTIONS(2456),
    [anon_sym_LBRACK] = ACTIONS(2456),
    [anon_sym_static] = ACTIONS(2456),
    [anon_sym_register] = ACTIONS(2456),
    [anon_sym_inline] = ACTIONS(2456),
    [anon_sym___inline] = ACTIONS(2456),
    [anon_sym___inline__] = ACTIONS(2456),
    [anon_sym___forceinline] = ACTIONS(2456),
    [anon_sym_thread_local] = ACTIONS(2456),
    [anon_sym___thread] = ACTIONS(2456),
    [anon_sym_const] = ACTIONS(2456),
    [anon_sym_constexpr] = ACTIONS(2456),
    [anon_sym_volatile] = ACTIONS(2456),
    [anon_sym_restrict] = ACTIONS(2456),
    [anon_sym___restrict__] = ACTIONS(2456),
    [anon_sym__Atomic] = ACTIONS(2456),
    [anon_sym__Noreturn] = ACTIONS(2456),
    [anon_sym_noreturn] = ACTIONS(2456),
    [anon_sym_mutable] = ACTIONS(2456),
    [anon_sym_constinit] = ACTIONS(2456),
    [anon_sym_consteval] = ACTIONS(2456),
    [sym_primitive_type] = ACTIONS(2456),
    [anon_sym_enum] = ACTIONS(2456),
    [anon_sym_class] = ACTIONS(2456),
    [anon_sym_struct] = ACTIONS(2456),
    [anon_sym_union] = ACTIONS(2456),
    [anon_sym_if] = ACTIONS(2456),
    [anon_sym_else] = ACTIONS(2456),
    [anon_sym_switch] = ACTIONS(2456),
    [anon_sym_case] = ACTIONS(2456),
    [anon_sym_default] = ACTIONS(2456),
    [anon_sym_while] = ACTIONS(2456),
    [anon_sym_do] = ACTIONS(2456),
    [anon_sym_for] = ACTIONS(2456),
    [anon_sym_return] = ACTIONS(2456),
    [anon_sym_break] = ACTIONS(2456),
    [anon_sym_continue] = ACTIONS(2456),
    [anon_sym_goto] = ACTIONS(2456),
    [anon_sym___try] = ACTIONS(2456),
    [anon_sym___leave] = ACTIONS(2456),
    [anon_sym_not] = ACTIONS(2456),
    [anon_sym_compl] = ACTIONS(2456),
    [anon_sym_DASH_DASH] = ACTIONS(2458),
    [anon_sym_PLUS_PLUS] = ACTIONS(2458),
    [anon_sym_sizeof] = ACTIONS(2456),
    [anon_sym___alignof__] = ACTIONS(2456),
    [anon_sym___alignof] = ACTIONS(2456),
    [anon_sym__alignof] = ACTIONS(2456),
    [anon_sym_alignof] = ACTIONS(2456),
    [anon_sym__Alignof] = ACTIONS(2456),
    [anon_sym_offsetof] = ACTIONS(2456),
    [anon_sym__Generic] = ACTIONS(2456),
    [anon_sym_asm] = ACTIONS(2456),
    [anon_sym___asm__] = ACTIONS(2456),
    [sym_number_literal] = ACTIONS(2458),
    [anon_sym_L_SQUOTE] = ACTIONS(2458),
    [anon_sym_u_SQUOTE] = ACTIONS(2458),
    [anon_sym_U_SQUOTE] = ACTIONS(2458),
    [anon_sym_u8_SQUOTE] = ACTIONS(2458),
    [anon_sym_SQUOTE] = ACTIONS(2458),
    [anon_sym_L_DQUOTE] = ACTIONS(2458),
    [anon_sym_u_DQUOTE] = ACTIONS(2458),
    [anon_sym_U_DQUOTE] = ACTIONS(2458),
    [anon_sym_u8_DQUOTE] = ACTIONS(2458),
    [anon_sym_DQUOTE] = ACTIONS(2458),
    [sym_true] = ACTIONS(2456),
    [sym_false] = ACTIONS(2456),
    [anon_sym_NULL] = ACTIONS(2456),
    [anon_sym_nullptr] = ACTIONS(2456),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2456),
    [anon_sym_decltype] = ACTIONS(2456),
    [anon_sym_virtual] = ACTIONS(2456),
    [anon_sym_alignas] = ACTIONS(2456),
    [anon_sym_explicit] = ACTIONS(2456),
    [anon_sym_typename] = ACTIONS(2456),
    [anon_sym_template] = ACTIONS(2456),
    [anon_sym_operator] = ACTIONS(2456),
    [anon_sym_try] = ACTIONS(2456),
    [anon_sym_delete] = ACTIONS(2456),
    [anon_sym_throw] = ACTIONS(2456),
    [anon_sym_namespace] = ACTIONS(2456),
    [anon_sym_using] = ACTIONS(2456),
    [anon_sym_static_assert] = ACTIONS(2456),
    [anon_sym_concept] = ACTIONS(2456),
    [anon_sym_co_return] = ACTIONS(2456),
    [anon_sym_co_yield] = ACTIONS(2456),
    [anon_sym_R_DQUOTE] = ACTIONS(2458),
    [anon_sym_LR_DQUOTE] = ACTIONS(2458),
    [anon_sym_uR_DQUOTE] = ACTIONS(2458),
    [anon_sym_UR_DQUOTE] = ACTIONS(2458),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2458),
    [anon_sym_co_await] = ACTIONS(2456),
    [anon_sym_new] = ACTIONS(2456),
    [anon_sym_requires] = ACTIONS(2456),
    [sym_this] = ACTIONS(2456),
    [anon_sym_discard] = ACTIONS(2456),
    [anon_sym_precise] = ACTIONS(2456),
    [anon_sym_shared] = ACTIONS(2456),
    [anon_sym_groupshared] = ACTIONS(2456),
    [anon_sym_uniform] = ACTIONS(2456),
    [anon_sym_row_major] = ACTIONS(2456),
    [anon_sym_column_major] = ACTIONS(2456),
    [anon_sym_globallycoherent] = ACTIONS(2456),
    [anon_sym_centroid] = ACTIONS(2456),
    [anon_sym_noperspective] = ACTIONS(2456),
    [anon_sym_nointerpolation] = ACTIONS(2456),
    [anon_sym_sample] = ACTIONS(2456),
    [anon_sym_linear] = ACTIONS(2456),
    [anon_sym_snorm] = ACTIONS(2456),
    [anon_sym_unorm] = ACTIONS(2456),
    [anon_sym_point] = ACTIONS(2456),
    [anon_sym_line] = ACTIONS(2456),
    [anon_sym_triangleadj] = ACTIONS(2456),
    [anon_sym_lineadj] = ACTIONS(2456),
    [anon_sym_triangle] = ACTIONS(2456),
    [anon_sym_cbuffer] = ACTIONS(2456),
  },
  [499] = {
    [sym_identifier] = ACTIONS(2364),
    [aux_sym_preproc_include_token1] = ACTIONS(2364),
    [aux_sym_preproc_def_token1] = ACTIONS(2364),
    [aux_sym_preproc_if_token1] = ACTIONS(2364),
    [aux_sym_preproc_if_token2] = ACTIONS(2364),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2364),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2364),
    [aux_sym_preproc_else_token1] = ACTIONS(2364),
    [aux_sym_preproc_elif_token1] = ACTIONS(2364),
    [sym_preproc_directive] = ACTIONS(2364),
    [anon_sym_LPAREN2] = ACTIONS(2366),
    [anon_sym_BANG] = ACTIONS(2366),
    [anon_sym_TILDE] = ACTIONS(2366),
    [anon_sym_DASH] = ACTIONS(2364),
    [anon_sym_PLUS] = ACTIONS(2364),
    [anon_sym_STAR] = ACTIONS(2366),
    [anon_sym_AMP_AMP] = ACTIONS(2366),
    [anon_sym_AMP] = ACTIONS(2364),
    [anon_sym_SEMI] = ACTIONS(2366),
    [anon_sym___extension__] = ACTIONS(2364),
    [anon_sym_typedef] = ACTIONS(2364),
    [anon_sym_in] = ACTIONS(2364),
    [anon_sym_out] = ACTIONS(2364),
    [anon_sym_inout] = ACTIONS(2364),
    [anon_sym_extern] = ACTIONS(2364),
    [anon_sym___attribute__] = ACTIONS(2364),
    [anon_sym_COLON_COLON] = ACTIONS(2366),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2366),
    [anon_sym___declspec] = ACTIONS(2364),
    [anon_sym___based] = ACTIONS(2364),
    [anon_sym___cdecl] = ACTIONS(2364),
    [anon_sym___clrcall] = ACTIONS(2364),
    [anon_sym___stdcall] = ACTIONS(2364),
    [anon_sym___fastcall] = ACTIONS(2364),
    [anon_sym___thiscall] = ACTIONS(2364),
    [anon_sym___vectorcall] = ACTIONS(2364),
    [anon_sym_LBRACE] = ACTIONS(2366),
    [anon_sym_signed] = ACTIONS(2364),
    [anon_sym_unsigned] = ACTIONS(2364),
    [anon_sym_long] = ACTIONS(2364),
    [anon_sym_short] = ACTIONS(2364),
    [anon_sym_LBRACK] = ACTIONS(2364),
    [anon_sym_static] = ACTIONS(2364),
    [anon_sym_register] = ACTIONS(2364),
    [anon_sym_inline] = ACTIONS(2364),
    [anon_sym___inline] = ACTIONS(2364),
    [anon_sym___inline__] = ACTIONS(2364),
    [anon_sym___forceinline] = ACTIONS(2364),
    [anon_sym_thread_local] = ACTIONS(2364),
    [anon_sym___thread] = ACTIONS(2364),
    [anon_sym_const] = ACTIONS(2364),
    [anon_sym_constexpr] = ACTIONS(2364),
    [anon_sym_volatile] = ACTIONS(2364),
    [anon_sym_restrict] = ACTIONS(2364),
    [anon_sym___restrict__] = ACTIONS(2364),
    [anon_sym__Atomic] = ACTIONS(2364),
    [anon_sym__Noreturn] = ACTIONS(2364),
    [anon_sym_noreturn] = ACTIONS(2364),
    [anon_sym_mutable] = ACTIONS(2364),
    [anon_sym_constinit] = ACTIONS(2364),
    [anon_sym_consteval] = ACTIONS(2364),
    [sym_primitive_type] = ACTIONS(2364),
    [anon_sym_enum] = ACTIONS(2364),
    [anon_sym_class] = ACTIONS(2364),
    [anon_sym_struct] = ACTIONS(2364),
    [anon_sym_union] = ACTIONS(2364),
    [anon_sym_if] = ACTIONS(2364),
    [anon_sym_else] = ACTIONS(2364),
    [anon_sym_switch] = ACTIONS(2364),
    [anon_sym_case] = ACTIONS(2364),
    [anon_sym_default] = ACTIONS(2364),
    [anon_sym_while] = ACTIONS(2364),
    [anon_sym_do] = ACTIONS(2364),
    [anon_sym_for] = ACTIONS(2364),
    [anon_sym_return] = ACTIONS(2364),
    [anon_sym_break] = ACTIONS(2364),
    [anon_sym_continue] = ACTIONS(2364),
    [anon_sym_goto] = ACTIONS(2364),
    [anon_sym___try] = ACTIONS(2364),
    [anon_sym___leave] = ACTIONS(2364),
    [anon_sym_not] = ACTIONS(2364),
    [anon_sym_compl] = ACTIONS(2364),
    [anon_sym_DASH_DASH] = ACTIONS(2366),
    [anon_sym_PLUS_PLUS] = ACTIONS(2366),
    [anon_sym_sizeof] = ACTIONS(2364),
    [anon_sym___alignof__] = ACTIONS(2364),
    [anon_sym___alignof] = ACTIONS(2364),
    [anon_sym__alignof] = ACTIONS(2364),
    [anon_sym_alignof] = ACTIONS(2364),
    [anon_sym__Alignof] = ACTIONS(2364),
    [anon_sym_offsetof] = ACTIONS(2364),
    [anon_sym__Generic] = ACTIONS(2364),
    [anon_sym_asm] = ACTIONS(2364),
    [anon_sym___asm__] = ACTIONS(2364),
    [sym_number_literal] = ACTIONS(2366),
    [anon_sym_L_SQUOTE] = ACTIONS(2366),
    [anon_sym_u_SQUOTE] = ACTIONS(2366),
    [anon_sym_U_SQUOTE] = ACTIONS(2366),
    [anon_sym_u8_SQUOTE] = ACTIONS(2366),
    [anon_sym_SQUOTE] = ACTIONS(2366),
    [anon_sym_L_DQUOTE] = ACTIONS(2366),
    [anon_sym_u_DQUOTE] = ACTIONS(2366),
    [anon_sym_U_DQUOTE] = ACTIONS(2366),
    [anon_sym_u8_DQUOTE] = ACTIONS(2366),
    [anon_sym_DQUOTE] = ACTIONS(2366),
    [sym_true] = ACTIONS(2364),
    [sym_false] = ACTIONS(2364),
    [anon_sym_NULL] = ACTIONS(2364),
    [anon_sym_nullptr] = ACTIONS(2364),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2364),
    [anon_sym_decltype] = ACTIONS(2364),
    [anon_sym_virtual] = ACTIONS(2364),
    [anon_sym_alignas] = ACTIONS(2364),
    [anon_sym_explicit] = ACTIONS(2364),
    [anon_sym_typename] = ACTIONS(2364),
    [anon_sym_template] = ACTIONS(2364),
    [anon_sym_operator] = ACTIONS(2364),
    [anon_sym_try] = ACTIONS(2364),
    [anon_sym_delete] = ACTIONS(2364),
    [anon_sym_throw] = ACTIONS(2364),
    [anon_sym_namespace] = ACTIONS(2364),
    [anon_sym_using] = ACTIONS(2364),
    [anon_sym_static_assert] = ACTIONS(2364),
    [anon_sym_concept] = ACTIONS(2364),
    [anon_sym_co_return] = ACTIONS(2364),
    [anon_sym_co_yield] = ACTIONS(2364),
    [anon_sym_R_DQUOTE] = ACTIONS(2366),
    [anon_sym_LR_DQUOTE] = ACTIONS(2366),
    [anon_sym_uR_DQUOTE] = ACTIONS(2366),
    [anon_sym_UR_DQUOTE] = ACTIONS(2366),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2366),
    [anon_sym_co_await] = ACTIONS(2364),
    [anon_sym_new] = ACTIONS(2364),
    [anon_sym_requires] = ACTIONS(2364),
    [sym_this] = ACTIONS(2364),
    [anon_sym_discard] = ACTIONS(2364),
    [anon_sym_precise] = ACTIONS(2364),
    [anon_sym_shared] = ACTIONS(2364),
    [anon_sym_groupshared] = ACTIONS(2364),
    [anon_sym_uniform] = ACTIONS(2364),
    [anon_sym_row_major] = ACTIONS(2364),
    [anon_sym_column_major] = ACTIONS(2364),
    [anon_sym_globallycoherent] = ACTIONS(2364),
    [anon_sym_centroid] = ACTIONS(2364),
    [anon_sym_noperspective] = ACTIONS(2364),
    [anon_sym_nointerpolation] = ACTIONS(2364),
    [anon_sym_sample] = ACTIONS(2364),
    [anon_sym_linear] = ACTIONS(2364),
    [anon_sym_snorm] = ACTIONS(2364),
    [anon_sym_unorm] = ACTIONS(2364),
    [anon_sym_point] = ACTIONS(2364),
    [anon_sym_line] = ACTIONS(2364),
    [anon_sym_triangleadj] = ACTIONS(2364),
    [anon_sym_lineadj] = ACTIONS(2364),
    [anon_sym_triangle] = ACTIONS(2364),
    [anon_sym_cbuffer] = ACTIONS(2364),
  },
  [500] = {
    [sym_identifier] = ACTIONS(2330),
    [aux_sym_preproc_include_token1] = ACTIONS(2330),
    [aux_sym_preproc_def_token1] = ACTIONS(2330),
    [aux_sym_preproc_if_token1] = ACTIONS(2330),
    [aux_sym_preproc_if_token2] = ACTIONS(2330),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2330),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2330),
    [aux_sym_preproc_else_token1] = ACTIONS(2330),
    [aux_sym_preproc_elif_token1] = ACTIONS(2330),
    [sym_preproc_directive] = ACTIONS(2330),
    [anon_sym_LPAREN2] = ACTIONS(2332),
    [anon_sym_BANG] = ACTIONS(2332),
    [anon_sym_TILDE] = ACTIONS(2332),
    [anon_sym_DASH] = ACTIONS(2330),
    [anon_sym_PLUS] = ACTIONS(2330),
    [anon_sym_STAR] = ACTIONS(2332),
    [anon_sym_AMP_AMP] = ACTIONS(2332),
    [anon_sym_AMP] = ACTIONS(2330),
    [anon_sym_SEMI] = ACTIONS(2332),
    [anon_sym___extension__] = ACTIONS(2330),
    [anon_sym_typedef] = ACTIONS(2330),
    [anon_sym_in] = ACTIONS(2330),
    [anon_sym_out] = ACTIONS(2330),
    [anon_sym_inout] = ACTIONS(2330),
    [anon_sym_extern] = ACTIONS(2330),
    [anon_sym___attribute__] = ACTIONS(2330),
    [anon_sym_COLON_COLON] = ACTIONS(2332),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2332),
    [anon_sym___declspec] = ACTIONS(2330),
    [anon_sym___based] = ACTIONS(2330),
    [anon_sym___cdecl] = ACTIONS(2330),
    [anon_sym___clrcall] = ACTIONS(2330),
    [anon_sym___stdcall] = ACTIONS(2330),
    [anon_sym___fastcall] = ACTIONS(2330),
    [anon_sym___thiscall] = ACTIONS(2330),
    [anon_sym___vectorcall] = ACTIONS(2330),
    [anon_sym_LBRACE] = ACTIONS(2332),
    [anon_sym_signed] = ACTIONS(2330),
    [anon_sym_unsigned] = ACTIONS(2330),
    [anon_sym_long] = ACTIONS(2330),
    [anon_sym_short] = ACTIONS(2330),
    [anon_sym_LBRACK] = ACTIONS(2330),
    [anon_sym_static] = ACTIONS(2330),
    [anon_sym_register] = ACTIONS(2330),
    [anon_sym_inline] = ACTIONS(2330),
    [anon_sym___inline] = ACTIONS(2330),
    [anon_sym___inline__] = ACTIONS(2330),
    [anon_sym___forceinline] = ACTIONS(2330),
    [anon_sym_thread_local] = ACTIONS(2330),
    [anon_sym___thread] = ACTIONS(2330),
    [anon_sym_const] = ACTIONS(2330),
    [anon_sym_constexpr] = ACTIONS(2330),
    [anon_sym_volatile] = ACTIONS(2330),
    [anon_sym_restrict] = ACTIONS(2330),
    [anon_sym___restrict__] = ACTIONS(2330),
    [anon_sym__Atomic] = ACTIONS(2330),
    [anon_sym__Noreturn] = ACTIONS(2330),
    [anon_sym_noreturn] = ACTIONS(2330),
    [anon_sym_mutable] = ACTIONS(2330),
    [anon_sym_constinit] = ACTIONS(2330),
    [anon_sym_consteval] = ACTIONS(2330),
    [sym_primitive_type] = ACTIONS(2330),
    [anon_sym_enum] = ACTIONS(2330),
    [anon_sym_class] = ACTIONS(2330),
    [anon_sym_struct] = ACTIONS(2330),
    [anon_sym_union] = ACTIONS(2330),
    [anon_sym_if] = ACTIONS(2330),
    [anon_sym_else] = ACTIONS(2330),
    [anon_sym_switch] = ACTIONS(2330),
    [anon_sym_case] = ACTIONS(2330),
    [anon_sym_default] = ACTIONS(2330),
    [anon_sym_while] = ACTIONS(2330),
    [anon_sym_do] = ACTIONS(2330),
    [anon_sym_for] = ACTIONS(2330),
    [anon_sym_return] = ACTIONS(2330),
    [anon_sym_break] = ACTIONS(2330),
    [anon_sym_continue] = ACTIONS(2330),
    [anon_sym_goto] = ACTIONS(2330),
    [anon_sym___try] = ACTIONS(2330),
    [anon_sym___leave] = ACTIONS(2330),
    [anon_sym_not] = ACTIONS(2330),
    [anon_sym_compl] = ACTIONS(2330),
    [anon_sym_DASH_DASH] = ACTIONS(2332),
    [anon_sym_PLUS_PLUS] = ACTIONS(2332),
    [anon_sym_sizeof] = ACTIONS(2330),
    [anon_sym___alignof__] = ACTIONS(2330),
    [anon_sym___alignof] = ACTIONS(2330),
    [anon_sym__alignof] = ACTIONS(2330),
    [anon_sym_alignof] = ACTIONS(2330),
    [anon_sym__Alignof] = ACTIONS(2330),
    [anon_sym_offsetof] = ACTIONS(2330),
    [anon_sym__Generic] = ACTIONS(2330),
    [anon_sym_asm] = ACTIONS(2330),
    [anon_sym___asm__] = ACTIONS(2330),
    [sym_number_literal] = ACTIONS(2332),
    [anon_sym_L_SQUOTE] = ACTIONS(2332),
    [anon_sym_u_SQUOTE] = ACTIONS(2332),
    [anon_sym_U_SQUOTE] = ACTIONS(2332),
    [anon_sym_u8_SQUOTE] = ACTIONS(2332),
    [anon_sym_SQUOTE] = ACTIONS(2332),
    [anon_sym_L_DQUOTE] = ACTIONS(2332),
    [anon_sym_u_DQUOTE] = ACTIONS(2332),
    [anon_sym_U_DQUOTE] = ACTIONS(2332),
    [anon_sym_u8_DQUOTE] = ACTIONS(2332),
    [anon_sym_DQUOTE] = ACTIONS(2332),
    [sym_true] = ACTIONS(2330),
    [sym_false] = ACTIONS(2330),
    [anon_sym_NULL] = ACTIONS(2330),
    [anon_sym_nullptr] = ACTIONS(2330),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2330),
    [anon_sym_decltype] = ACTIONS(2330),
    [anon_sym_virtual] = ACTIONS(2330),
    [anon_sym_alignas] = ACTIONS(2330),
    [anon_sym_explicit] = ACTIONS(2330),
    [anon_sym_typename] = ACTIONS(2330),
    [anon_sym_template] = ACTIONS(2330),
    [anon_sym_operator] = ACTIONS(2330),
    [anon_sym_try] = ACTIONS(2330),
    [anon_sym_delete] = ACTIONS(2330),
    [anon_sym_throw] = ACTIONS(2330),
    [anon_sym_namespace] = ACTIONS(2330),
    [anon_sym_using] = ACTIONS(2330),
    [anon_sym_static_assert] = ACTIONS(2330),
    [anon_sym_concept] = ACTIONS(2330),
    [anon_sym_co_return] = ACTIONS(2330),
    [anon_sym_co_yield] = ACTIONS(2330),
    [anon_sym_R_DQUOTE] = ACTIONS(2332),
    [anon_sym_LR_DQUOTE] = ACTIONS(2332),
    [anon_sym_uR_DQUOTE] = ACTIONS(2332),
    [anon_sym_UR_DQUOTE] = ACTIONS(2332),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2332),
    [anon_sym_co_await] = ACTIONS(2330),
    [anon_sym_new] = ACTIONS(2330),
    [anon_sym_requires] = ACTIONS(2330),
    [sym_this] = ACTIONS(2330),
    [anon_sym_discard] = ACTIONS(2330),
    [anon_sym_precise] = ACTIONS(2330),
    [anon_sym_shared] = ACTIONS(2330),
    [anon_sym_groupshared] = ACTIONS(2330),
    [anon_sym_uniform] = ACTIONS(2330),
    [anon_sym_row_major] = ACTIONS(2330),
    [anon_sym_column_major] = ACTIONS(2330),
    [anon_sym_globallycoherent] = ACTIONS(2330),
    [anon_sym_centroid] = ACTIONS(2330),
    [anon_sym_noperspective] = ACTIONS(2330),
    [anon_sym_nointerpolation] = ACTIONS(2330),
    [anon_sym_sample] = ACTIONS(2330),
    [anon_sym_linear] = ACTIONS(2330),
    [anon_sym_snorm] = ACTIONS(2330),
    [anon_sym_unorm] = ACTIONS(2330),
    [anon_sym_point] = ACTIONS(2330),
    [anon_sym_line] = ACTIONS(2330),
    [anon_sym_triangleadj] = ACTIONS(2330),
    [anon_sym_lineadj] = ACTIONS(2330),
    [anon_sym_triangle] = ACTIONS(2330),
    [anon_sym_cbuffer] = ACTIONS(2330),
  },
  [501] = {
    [sym_identifier] = ACTIONS(2364),
    [aux_sym_preproc_include_token1] = ACTIONS(2364),
    [aux_sym_preproc_def_token1] = ACTIONS(2364),
    [aux_sym_preproc_if_token1] = ACTIONS(2364),
    [aux_sym_preproc_if_token2] = ACTIONS(2364),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2364),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2364),
    [aux_sym_preproc_else_token1] = ACTIONS(2364),
    [aux_sym_preproc_elif_token1] = ACTIONS(2364),
    [sym_preproc_directive] = ACTIONS(2364),
    [anon_sym_LPAREN2] = ACTIONS(2366),
    [anon_sym_BANG] = ACTIONS(2366),
    [anon_sym_TILDE] = ACTIONS(2366),
    [anon_sym_DASH] = ACTIONS(2364),
    [anon_sym_PLUS] = ACTIONS(2364),
    [anon_sym_STAR] = ACTIONS(2366),
    [anon_sym_AMP_AMP] = ACTIONS(2366),
    [anon_sym_AMP] = ACTIONS(2364),
    [anon_sym_SEMI] = ACTIONS(2366),
    [anon_sym___extension__] = ACTIONS(2364),
    [anon_sym_typedef] = ACTIONS(2364),
    [anon_sym_in] = ACTIONS(2364),
    [anon_sym_out] = ACTIONS(2364),
    [anon_sym_inout] = ACTIONS(2364),
    [anon_sym_extern] = ACTIONS(2364),
    [anon_sym___attribute__] = ACTIONS(2364),
    [anon_sym_COLON_COLON] = ACTIONS(2366),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2366),
    [anon_sym___declspec] = ACTIONS(2364),
    [anon_sym___based] = ACTIONS(2364),
    [anon_sym___cdecl] = ACTIONS(2364),
    [anon_sym___clrcall] = ACTIONS(2364),
    [anon_sym___stdcall] = ACTIONS(2364),
    [anon_sym___fastcall] = ACTIONS(2364),
    [anon_sym___thiscall] = ACTIONS(2364),
    [anon_sym___vectorcall] = ACTIONS(2364),
    [anon_sym_LBRACE] = ACTIONS(2366),
    [anon_sym_signed] = ACTIONS(2364),
    [anon_sym_unsigned] = ACTIONS(2364),
    [anon_sym_long] = ACTIONS(2364),
    [anon_sym_short] = ACTIONS(2364),
    [anon_sym_LBRACK] = ACTIONS(2364),
    [anon_sym_static] = ACTIONS(2364),
    [anon_sym_register] = ACTIONS(2364),
    [anon_sym_inline] = ACTIONS(2364),
    [anon_sym___inline] = ACTIONS(2364),
    [anon_sym___inline__] = ACTIONS(2364),
    [anon_sym___forceinline] = ACTIONS(2364),
    [anon_sym_thread_local] = ACTIONS(2364),
    [anon_sym___thread] = ACTIONS(2364),
    [anon_sym_const] = ACTIONS(2364),
    [anon_sym_constexpr] = ACTIONS(2364),
    [anon_sym_volatile] = ACTIONS(2364),
    [anon_sym_restrict] = ACTIONS(2364),
    [anon_sym___restrict__] = ACTIONS(2364),
    [anon_sym__Atomic] = ACTIONS(2364),
    [anon_sym__Noreturn] = ACTIONS(2364),
    [anon_sym_noreturn] = ACTIONS(2364),
    [anon_sym_mutable] = ACTIONS(2364),
    [anon_sym_constinit] = ACTIONS(2364),
    [anon_sym_consteval] = ACTIONS(2364),
    [sym_primitive_type] = ACTIONS(2364),
    [anon_sym_enum] = ACTIONS(2364),
    [anon_sym_class] = ACTIONS(2364),
    [anon_sym_struct] = ACTIONS(2364),
    [anon_sym_union] = ACTIONS(2364),
    [anon_sym_if] = ACTIONS(2364),
    [anon_sym_else] = ACTIONS(2364),
    [anon_sym_switch] = ACTIONS(2364),
    [anon_sym_case] = ACTIONS(2364),
    [anon_sym_default] = ACTIONS(2364),
    [anon_sym_while] = ACTIONS(2364),
    [anon_sym_do] = ACTIONS(2364),
    [anon_sym_for] = ACTIONS(2364),
    [anon_sym_return] = ACTIONS(2364),
    [anon_sym_break] = ACTIONS(2364),
    [anon_sym_continue] = ACTIONS(2364),
    [anon_sym_goto] = ACTIONS(2364),
    [anon_sym___try] = ACTIONS(2364),
    [anon_sym___leave] = ACTIONS(2364),
    [anon_sym_not] = ACTIONS(2364),
    [anon_sym_compl] = ACTIONS(2364),
    [anon_sym_DASH_DASH] = ACTIONS(2366),
    [anon_sym_PLUS_PLUS] = ACTIONS(2366),
    [anon_sym_sizeof] = ACTIONS(2364),
    [anon_sym___alignof__] = ACTIONS(2364),
    [anon_sym___alignof] = ACTIONS(2364),
    [anon_sym__alignof] = ACTIONS(2364),
    [anon_sym_alignof] = ACTIONS(2364),
    [anon_sym__Alignof] = ACTIONS(2364),
    [anon_sym_offsetof] = ACTIONS(2364),
    [anon_sym__Generic] = ACTIONS(2364),
    [anon_sym_asm] = ACTIONS(2364),
    [anon_sym___asm__] = ACTIONS(2364),
    [sym_number_literal] = ACTIONS(2366),
    [anon_sym_L_SQUOTE] = ACTIONS(2366),
    [anon_sym_u_SQUOTE] = ACTIONS(2366),
    [anon_sym_U_SQUOTE] = ACTIONS(2366),
    [anon_sym_u8_SQUOTE] = ACTIONS(2366),
    [anon_sym_SQUOTE] = ACTIONS(2366),
    [anon_sym_L_DQUOTE] = ACTIONS(2366),
    [anon_sym_u_DQUOTE] = ACTIONS(2366),
    [anon_sym_U_DQUOTE] = ACTIONS(2366),
    [anon_sym_u8_DQUOTE] = ACTIONS(2366),
    [anon_sym_DQUOTE] = ACTIONS(2366),
    [sym_true] = ACTIONS(2364),
    [sym_false] = ACTIONS(2364),
    [anon_sym_NULL] = ACTIONS(2364),
    [anon_sym_nullptr] = ACTIONS(2364),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2364),
    [anon_sym_decltype] = ACTIONS(2364),
    [anon_sym_virtual] = ACTIONS(2364),
    [anon_sym_alignas] = ACTIONS(2364),
    [anon_sym_explicit] = ACTIONS(2364),
    [anon_sym_typename] = ACTIONS(2364),
    [anon_sym_template] = ACTIONS(2364),
    [anon_sym_operator] = ACTIONS(2364),
    [anon_sym_try] = ACTIONS(2364),
    [anon_sym_delete] = ACTIONS(2364),
    [anon_sym_throw] = ACTIONS(2364),
    [anon_sym_namespace] = ACTIONS(2364),
    [anon_sym_using] = ACTIONS(2364),
    [anon_sym_static_assert] = ACTIONS(2364),
    [anon_sym_concept] = ACTIONS(2364),
    [anon_sym_co_return] = ACTIONS(2364),
    [anon_sym_co_yield] = ACTIONS(2364),
    [anon_sym_R_DQUOTE] = ACTIONS(2366),
    [anon_sym_LR_DQUOTE] = ACTIONS(2366),
    [anon_sym_uR_DQUOTE] = ACTIONS(2366),
    [anon_sym_UR_DQUOTE] = ACTIONS(2366),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2366),
    [anon_sym_co_await] = ACTIONS(2364),
    [anon_sym_new] = ACTIONS(2364),
    [anon_sym_requires] = ACTIONS(2364),
    [sym_this] = ACTIONS(2364),
    [anon_sym_discard] = ACTIONS(2364),
    [anon_sym_precise] = ACTIONS(2364),
    [anon_sym_shared] = ACTIONS(2364),
    [anon_sym_groupshared] = ACTIONS(2364),
    [anon_sym_uniform] = ACTIONS(2364),
    [anon_sym_row_major] = ACTIONS(2364),
    [anon_sym_column_major] = ACTIONS(2364),
    [anon_sym_globallycoherent] = ACTIONS(2364),
    [anon_sym_centroid] = ACTIONS(2364),
    [anon_sym_noperspective] = ACTIONS(2364),
    [anon_sym_nointerpolation] = ACTIONS(2364),
    [anon_sym_sample] = ACTIONS(2364),
    [anon_sym_linear] = ACTIONS(2364),
    [anon_sym_snorm] = ACTIONS(2364),
    [anon_sym_unorm] = ACTIONS(2364),
    [anon_sym_point] = ACTIONS(2364),
    [anon_sym_line] = ACTIONS(2364),
    [anon_sym_triangleadj] = ACTIONS(2364),
    [anon_sym_lineadj] = ACTIONS(2364),
    [anon_sym_triangle] = ACTIONS(2364),
    [anon_sym_cbuffer] = ACTIONS(2364),
  },
  [502] = {
    [sym_identifier] = ACTIONS(2364),
    [aux_sym_preproc_include_token1] = ACTIONS(2364),
    [aux_sym_preproc_def_token1] = ACTIONS(2364),
    [aux_sym_preproc_if_token1] = ACTIONS(2364),
    [aux_sym_preproc_if_token2] = ACTIONS(2364),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2364),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2364),
    [aux_sym_preproc_else_token1] = ACTIONS(2364),
    [aux_sym_preproc_elif_token1] = ACTIONS(2364),
    [sym_preproc_directive] = ACTIONS(2364),
    [anon_sym_LPAREN2] = ACTIONS(2366),
    [anon_sym_BANG] = ACTIONS(2366),
    [anon_sym_TILDE] = ACTIONS(2366),
    [anon_sym_DASH] = ACTIONS(2364),
    [anon_sym_PLUS] = ACTIONS(2364),
    [anon_sym_STAR] = ACTIONS(2366),
    [anon_sym_AMP_AMP] = ACTIONS(2366),
    [anon_sym_AMP] = ACTIONS(2364),
    [anon_sym_SEMI] = ACTIONS(2366),
    [anon_sym___extension__] = ACTIONS(2364),
    [anon_sym_typedef] = ACTIONS(2364),
    [anon_sym_in] = ACTIONS(2364),
    [anon_sym_out] = ACTIONS(2364),
    [anon_sym_inout] = ACTIONS(2364),
    [anon_sym_extern] = ACTIONS(2364),
    [anon_sym___attribute__] = ACTIONS(2364),
    [anon_sym_COLON_COLON] = ACTIONS(2366),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2366),
    [anon_sym___declspec] = ACTIONS(2364),
    [anon_sym___based] = ACTIONS(2364),
    [anon_sym___cdecl] = ACTIONS(2364),
    [anon_sym___clrcall] = ACTIONS(2364),
    [anon_sym___stdcall] = ACTIONS(2364),
    [anon_sym___fastcall] = ACTIONS(2364),
    [anon_sym___thiscall] = ACTIONS(2364),
    [anon_sym___vectorcall] = ACTIONS(2364),
    [anon_sym_LBRACE] = ACTIONS(2366),
    [anon_sym_signed] = ACTIONS(2364),
    [anon_sym_unsigned] = ACTIONS(2364),
    [anon_sym_long] = ACTIONS(2364),
    [anon_sym_short] = ACTIONS(2364),
    [anon_sym_LBRACK] = ACTIONS(2364),
    [anon_sym_static] = ACTIONS(2364),
    [anon_sym_register] = ACTIONS(2364),
    [anon_sym_inline] = ACTIONS(2364),
    [anon_sym___inline] = ACTIONS(2364),
    [anon_sym___inline__] = ACTIONS(2364),
    [anon_sym___forceinline] = ACTIONS(2364),
    [anon_sym_thread_local] = ACTIONS(2364),
    [anon_sym___thread] = ACTIONS(2364),
    [anon_sym_const] = ACTIONS(2364),
    [anon_sym_constexpr] = ACTIONS(2364),
    [anon_sym_volatile] = ACTIONS(2364),
    [anon_sym_restrict] = ACTIONS(2364),
    [anon_sym___restrict__] = ACTIONS(2364),
    [anon_sym__Atomic] = ACTIONS(2364),
    [anon_sym__Noreturn] = ACTIONS(2364),
    [anon_sym_noreturn] = ACTIONS(2364),
    [anon_sym_mutable] = ACTIONS(2364),
    [anon_sym_constinit] = ACTIONS(2364),
    [anon_sym_consteval] = ACTIONS(2364),
    [sym_primitive_type] = ACTIONS(2364),
    [anon_sym_enum] = ACTIONS(2364),
    [anon_sym_class] = ACTIONS(2364),
    [anon_sym_struct] = ACTIONS(2364),
    [anon_sym_union] = ACTIONS(2364),
    [anon_sym_if] = ACTIONS(2364),
    [anon_sym_else] = ACTIONS(2364),
    [anon_sym_switch] = ACTIONS(2364),
    [anon_sym_case] = ACTIONS(2364),
    [anon_sym_default] = ACTIONS(2364),
    [anon_sym_while] = ACTIONS(2364),
    [anon_sym_do] = ACTIONS(2364),
    [anon_sym_for] = ACTIONS(2364),
    [anon_sym_return] = ACTIONS(2364),
    [anon_sym_break] = ACTIONS(2364),
    [anon_sym_continue] = ACTIONS(2364),
    [anon_sym_goto] = ACTIONS(2364),
    [anon_sym___try] = ACTIONS(2364),
    [anon_sym___leave] = ACTIONS(2364),
    [anon_sym_not] = ACTIONS(2364),
    [anon_sym_compl] = ACTIONS(2364),
    [anon_sym_DASH_DASH] = ACTIONS(2366),
    [anon_sym_PLUS_PLUS] = ACTIONS(2366),
    [anon_sym_sizeof] = ACTIONS(2364),
    [anon_sym___alignof__] = ACTIONS(2364),
    [anon_sym___alignof] = ACTIONS(2364),
    [anon_sym__alignof] = ACTIONS(2364),
    [anon_sym_alignof] = ACTIONS(2364),
    [anon_sym__Alignof] = ACTIONS(2364),
    [anon_sym_offsetof] = ACTIONS(2364),
    [anon_sym__Generic] = ACTIONS(2364),
    [anon_sym_asm] = ACTIONS(2364),
    [anon_sym___asm__] = ACTIONS(2364),
    [sym_number_literal] = ACTIONS(2366),
    [anon_sym_L_SQUOTE] = ACTIONS(2366),
    [anon_sym_u_SQUOTE] = ACTIONS(2366),
    [anon_sym_U_SQUOTE] = ACTIONS(2366),
    [anon_sym_u8_SQUOTE] = ACTIONS(2366),
    [anon_sym_SQUOTE] = ACTIONS(2366),
    [anon_sym_L_DQUOTE] = ACTIONS(2366),
    [anon_sym_u_DQUOTE] = ACTIONS(2366),
    [anon_sym_U_DQUOTE] = ACTIONS(2366),
    [anon_sym_u8_DQUOTE] = ACTIONS(2366),
    [anon_sym_DQUOTE] = ACTIONS(2366),
    [sym_true] = ACTIONS(2364),
    [sym_false] = ACTIONS(2364),
    [anon_sym_NULL] = ACTIONS(2364),
    [anon_sym_nullptr] = ACTIONS(2364),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2364),
    [anon_sym_decltype] = ACTIONS(2364),
    [anon_sym_virtual] = ACTIONS(2364),
    [anon_sym_alignas] = ACTIONS(2364),
    [anon_sym_explicit] = ACTIONS(2364),
    [anon_sym_typename] = ACTIONS(2364),
    [anon_sym_template] = ACTIONS(2364),
    [anon_sym_operator] = ACTIONS(2364),
    [anon_sym_try] = ACTIONS(2364),
    [anon_sym_delete] = ACTIONS(2364),
    [anon_sym_throw] = ACTIONS(2364),
    [anon_sym_namespace] = ACTIONS(2364),
    [anon_sym_using] = ACTIONS(2364),
    [anon_sym_static_assert] = ACTIONS(2364),
    [anon_sym_concept] = ACTIONS(2364),
    [anon_sym_co_return] = ACTIONS(2364),
    [anon_sym_co_yield] = ACTIONS(2364),
    [anon_sym_R_DQUOTE] = ACTIONS(2366),
    [anon_sym_LR_DQUOTE] = ACTIONS(2366),
    [anon_sym_uR_DQUOTE] = ACTIONS(2366),
    [anon_sym_UR_DQUOTE] = ACTIONS(2366),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2366),
    [anon_sym_co_await] = ACTIONS(2364),
    [anon_sym_new] = ACTIONS(2364),
    [anon_sym_requires] = ACTIONS(2364),
    [sym_this] = ACTIONS(2364),
    [anon_sym_discard] = ACTIONS(2364),
    [anon_sym_precise] = ACTIONS(2364),
    [anon_sym_shared] = ACTIONS(2364),
    [anon_sym_groupshared] = ACTIONS(2364),
    [anon_sym_uniform] = ACTIONS(2364),
    [anon_sym_row_major] = ACTIONS(2364),
    [anon_sym_column_major] = ACTIONS(2364),
    [anon_sym_globallycoherent] = ACTIONS(2364),
    [anon_sym_centroid] = ACTIONS(2364),
    [anon_sym_noperspective] = ACTIONS(2364),
    [anon_sym_nointerpolation] = ACTIONS(2364),
    [anon_sym_sample] = ACTIONS(2364),
    [anon_sym_linear] = ACTIONS(2364),
    [anon_sym_snorm] = ACTIONS(2364),
    [anon_sym_unorm] = ACTIONS(2364),
    [anon_sym_point] = ACTIONS(2364),
    [anon_sym_line] = ACTIONS(2364),
    [anon_sym_triangleadj] = ACTIONS(2364),
    [anon_sym_lineadj] = ACTIONS(2364),
    [anon_sym_triangle] = ACTIONS(2364),
    [anon_sym_cbuffer] = ACTIONS(2364),
  },
  [503] = {
    [sym_identifier] = ACTIONS(2364),
    [aux_sym_preproc_include_token1] = ACTIONS(2364),
    [aux_sym_preproc_def_token1] = ACTIONS(2364),
    [aux_sym_preproc_if_token1] = ACTIONS(2364),
    [aux_sym_preproc_if_token2] = ACTIONS(2364),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2364),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2364),
    [aux_sym_preproc_else_token1] = ACTIONS(2364),
    [aux_sym_preproc_elif_token1] = ACTIONS(2364),
    [sym_preproc_directive] = ACTIONS(2364),
    [anon_sym_LPAREN2] = ACTIONS(2366),
    [anon_sym_BANG] = ACTIONS(2366),
    [anon_sym_TILDE] = ACTIONS(2366),
    [anon_sym_DASH] = ACTIONS(2364),
    [anon_sym_PLUS] = ACTIONS(2364),
    [anon_sym_STAR] = ACTIONS(2366),
    [anon_sym_AMP_AMP] = ACTIONS(2366),
    [anon_sym_AMP] = ACTIONS(2364),
    [anon_sym_SEMI] = ACTIONS(2366),
    [anon_sym___extension__] = ACTIONS(2364),
    [anon_sym_typedef] = ACTIONS(2364),
    [anon_sym_in] = ACTIONS(2364),
    [anon_sym_out] = ACTIONS(2364),
    [anon_sym_inout] = ACTIONS(2364),
    [anon_sym_extern] = ACTIONS(2364),
    [anon_sym___attribute__] = ACTIONS(2364),
    [anon_sym_COLON_COLON] = ACTIONS(2366),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2366),
    [anon_sym___declspec] = ACTIONS(2364),
    [anon_sym___based] = ACTIONS(2364),
    [anon_sym___cdecl] = ACTIONS(2364),
    [anon_sym___clrcall] = ACTIONS(2364),
    [anon_sym___stdcall] = ACTIONS(2364),
    [anon_sym___fastcall] = ACTIONS(2364),
    [anon_sym___thiscall] = ACTIONS(2364),
    [anon_sym___vectorcall] = ACTIONS(2364),
    [anon_sym_LBRACE] = ACTIONS(2366),
    [anon_sym_signed] = ACTIONS(2364),
    [anon_sym_unsigned] = ACTIONS(2364),
    [anon_sym_long] = ACTIONS(2364),
    [anon_sym_short] = ACTIONS(2364),
    [anon_sym_LBRACK] = ACTIONS(2364),
    [anon_sym_static] = ACTIONS(2364),
    [anon_sym_register] = ACTIONS(2364),
    [anon_sym_inline] = ACTIONS(2364),
    [anon_sym___inline] = ACTIONS(2364),
    [anon_sym___inline__] = ACTIONS(2364),
    [anon_sym___forceinline] = ACTIONS(2364),
    [anon_sym_thread_local] = ACTIONS(2364),
    [anon_sym___thread] = ACTIONS(2364),
    [anon_sym_const] = ACTIONS(2364),
    [anon_sym_constexpr] = ACTIONS(2364),
    [anon_sym_volatile] = ACTIONS(2364),
    [anon_sym_restrict] = ACTIONS(2364),
    [anon_sym___restrict__] = ACTIONS(2364),
    [anon_sym__Atomic] = ACTIONS(2364),
    [anon_sym__Noreturn] = ACTIONS(2364),
    [anon_sym_noreturn] = ACTIONS(2364),
    [anon_sym_mutable] = ACTIONS(2364),
    [anon_sym_constinit] = ACTIONS(2364),
    [anon_sym_consteval] = ACTIONS(2364),
    [sym_primitive_type] = ACTIONS(2364),
    [anon_sym_enum] = ACTIONS(2364),
    [anon_sym_class] = ACTIONS(2364),
    [anon_sym_struct] = ACTIONS(2364),
    [anon_sym_union] = ACTIONS(2364),
    [anon_sym_if] = ACTIONS(2364),
    [anon_sym_else] = ACTIONS(2364),
    [anon_sym_switch] = ACTIONS(2364),
    [anon_sym_case] = ACTIONS(2364),
    [anon_sym_default] = ACTIONS(2364),
    [anon_sym_while] = ACTIONS(2364),
    [anon_sym_do] = ACTIONS(2364),
    [anon_sym_for] = ACTIONS(2364),
    [anon_sym_return] = ACTIONS(2364),
    [anon_sym_break] = ACTIONS(2364),
    [anon_sym_continue] = ACTIONS(2364),
    [anon_sym_goto] = ACTIONS(2364),
    [anon_sym___try] = ACTIONS(2364),
    [anon_sym___leave] = ACTIONS(2364),
    [anon_sym_not] = ACTIONS(2364),
    [anon_sym_compl] = ACTIONS(2364),
    [anon_sym_DASH_DASH] = ACTIONS(2366),
    [anon_sym_PLUS_PLUS] = ACTIONS(2366),
    [anon_sym_sizeof] = ACTIONS(2364),
    [anon_sym___alignof__] = ACTIONS(2364),
    [anon_sym___alignof] = ACTIONS(2364),
    [anon_sym__alignof] = ACTIONS(2364),
    [anon_sym_alignof] = ACTIONS(2364),
    [anon_sym__Alignof] = ACTIONS(2364),
    [anon_sym_offsetof] = ACTIONS(2364),
    [anon_sym__Generic] = ACTIONS(2364),
    [anon_sym_asm] = ACTIONS(2364),
    [anon_sym___asm__] = ACTIONS(2364),
    [sym_number_literal] = ACTIONS(2366),
    [anon_sym_L_SQUOTE] = ACTIONS(2366),
    [anon_sym_u_SQUOTE] = ACTIONS(2366),
    [anon_sym_U_SQUOTE] = ACTIONS(2366),
    [anon_sym_u8_SQUOTE] = ACTIONS(2366),
    [anon_sym_SQUOTE] = ACTIONS(2366),
    [anon_sym_L_DQUOTE] = ACTIONS(2366),
    [anon_sym_u_DQUOTE] = ACTIONS(2366),
    [anon_sym_U_DQUOTE] = ACTIONS(2366),
    [anon_sym_u8_DQUOTE] = ACTIONS(2366),
    [anon_sym_DQUOTE] = ACTIONS(2366),
    [sym_true] = ACTIONS(2364),
    [sym_false] = ACTIONS(2364),
    [anon_sym_NULL] = ACTIONS(2364),
    [anon_sym_nullptr] = ACTIONS(2364),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2364),
    [anon_sym_decltype] = ACTIONS(2364),
    [anon_sym_virtual] = ACTIONS(2364),
    [anon_sym_alignas] = ACTIONS(2364),
    [anon_sym_explicit] = ACTIONS(2364),
    [anon_sym_typename] = ACTIONS(2364),
    [anon_sym_template] = ACTIONS(2364),
    [anon_sym_operator] = ACTIONS(2364),
    [anon_sym_try] = ACTIONS(2364),
    [anon_sym_delete] = ACTIONS(2364),
    [anon_sym_throw] = ACTIONS(2364),
    [anon_sym_namespace] = ACTIONS(2364),
    [anon_sym_using] = ACTIONS(2364),
    [anon_sym_static_assert] = ACTIONS(2364),
    [anon_sym_concept] = ACTIONS(2364),
    [anon_sym_co_return] = ACTIONS(2364),
    [anon_sym_co_yield] = ACTIONS(2364),
    [anon_sym_R_DQUOTE] = ACTIONS(2366),
    [anon_sym_LR_DQUOTE] = ACTIONS(2366),
    [anon_sym_uR_DQUOTE] = ACTIONS(2366),
    [anon_sym_UR_DQUOTE] = ACTIONS(2366),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2366),
    [anon_sym_co_await] = ACTIONS(2364),
    [anon_sym_new] = ACTIONS(2364),
    [anon_sym_requires] = ACTIONS(2364),
    [sym_this] = ACTIONS(2364),
    [anon_sym_discard] = ACTIONS(2364),
    [anon_sym_precise] = ACTIONS(2364),
    [anon_sym_shared] = ACTIONS(2364),
    [anon_sym_groupshared] = ACTIONS(2364),
    [anon_sym_uniform] = ACTIONS(2364),
    [anon_sym_row_major] = ACTIONS(2364),
    [anon_sym_column_major] = ACTIONS(2364),
    [anon_sym_globallycoherent] = ACTIONS(2364),
    [anon_sym_centroid] = ACTIONS(2364),
    [anon_sym_noperspective] = ACTIONS(2364),
    [anon_sym_nointerpolation] = ACTIONS(2364),
    [anon_sym_sample] = ACTIONS(2364),
    [anon_sym_linear] = ACTIONS(2364),
    [anon_sym_snorm] = ACTIONS(2364),
    [anon_sym_unorm] = ACTIONS(2364),
    [anon_sym_point] = ACTIONS(2364),
    [anon_sym_line] = ACTIONS(2364),
    [anon_sym_triangleadj] = ACTIONS(2364),
    [anon_sym_lineadj] = ACTIONS(2364),
    [anon_sym_triangle] = ACTIONS(2364),
    [anon_sym_cbuffer] = ACTIONS(2364),
  },
  [504] = {
    [sym_catch_clause] = STATE(385),
    [aux_sym_constructor_try_statement_repeat1] = STATE(385),
    [sym_identifier] = ACTIONS(2275),
    [aux_sym_preproc_include_token1] = ACTIONS(2275),
    [aux_sym_preproc_def_token1] = ACTIONS(2275),
    [aux_sym_preproc_if_token1] = ACTIONS(2275),
    [aux_sym_preproc_if_token2] = ACTIONS(2275),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2275),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2275),
    [sym_preproc_directive] = ACTIONS(2275),
    [anon_sym_LPAREN2] = ACTIONS(2277),
    [anon_sym_BANG] = ACTIONS(2277),
    [anon_sym_TILDE] = ACTIONS(2277),
    [anon_sym_DASH] = ACTIONS(2275),
    [anon_sym_PLUS] = ACTIONS(2275),
    [anon_sym_STAR] = ACTIONS(2277),
    [anon_sym_AMP_AMP] = ACTIONS(2277),
    [anon_sym_AMP] = ACTIONS(2275),
    [anon_sym_SEMI] = ACTIONS(2277),
    [anon_sym___extension__] = ACTIONS(2275),
    [anon_sym_typedef] = ACTIONS(2275),
    [anon_sym_in] = ACTIONS(2275),
    [anon_sym_out] = ACTIONS(2275),
    [anon_sym_inout] = ACTIONS(2275),
    [anon_sym_extern] = ACTIONS(2275),
    [anon_sym___attribute__] = ACTIONS(2275),
    [anon_sym_COLON_COLON] = ACTIONS(2277),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2277),
    [anon_sym___declspec] = ACTIONS(2275),
    [anon_sym___based] = ACTIONS(2275),
    [anon_sym___cdecl] = ACTIONS(2275),
    [anon_sym___clrcall] = ACTIONS(2275),
    [anon_sym___stdcall] = ACTIONS(2275),
    [anon_sym___fastcall] = ACTIONS(2275),
    [anon_sym___thiscall] = ACTIONS(2275),
    [anon_sym___vectorcall] = ACTIONS(2275),
    [anon_sym_LBRACE] = ACTIONS(2277),
    [anon_sym_signed] = ACTIONS(2275),
    [anon_sym_unsigned] = ACTIONS(2275),
    [anon_sym_long] = ACTIONS(2275),
    [anon_sym_short] = ACTIONS(2275),
    [anon_sym_LBRACK] = ACTIONS(2275),
    [anon_sym_static] = ACTIONS(2275),
    [anon_sym_register] = ACTIONS(2275),
    [anon_sym_inline] = ACTIONS(2275),
    [anon_sym___inline] = ACTIONS(2275),
    [anon_sym___inline__] = ACTIONS(2275),
    [anon_sym___forceinline] = ACTIONS(2275),
    [anon_sym_thread_local] = ACTIONS(2275),
    [anon_sym___thread] = ACTIONS(2275),
    [anon_sym_const] = ACTIONS(2275),
    [anon_sym_constexpr] = ACTIONS(2275),
    [anon_sym_volatile] = ACTIONS(2275),
    [anon_sym_restrict] = ACTIONS(2275),
    [anon_sym___restrict__] = ACTIONS(2275),
    [anon_sym__Atomic] = ACTIONS(2275),
    [anon_sym__Noreturn] = ACTIONS(2275),
    [anon_sym_noreturn] = ACTIONS(2275),
    [anon_sym_mutable] = ACTIONS(2275),
    [anon_sym_constinit] = ACTIONS(2275),
    [anon_sym_consteval] = ACTIONS(2275),
    [sym_primitive_type] = ACTIONS(2275),
    [anon_sym_enum] = ACTIONS(2275),
    [anon_sym_class] = ACTIONS(2275),
    [anon_sym_struct] = ACTIONS(2275),
    [anon_sym_union] = ACTIONS(2275),
    [anon_sym_if] = ACTIONS(2275),
    [anon_sym_switch] = ACTIONS(2275),
    [anon_sym_case] = ACTIONS(2275),
    [anon_sym_default] = ACTIONS(2275),
    [anon_sym_while] = ACTIONS(2275),
    [anon_sym_do] = ACTIONS(2275),
    [anon_sym_for] = ACTIONS(2275),
    [anon_sym_return] = ACTIONS(2275),
    [anon_sym_break] = ACTIONS(2275),
    [anon_sym_continue] = ACTIONS(2275),
    [anon_sym_goto] = ACTIONS(2275),
    [anon_sym___try] = ACTIONS(2275),
    [anon_sym___leave] = ACTIONS(2275),
    [anon_sym_not] = ACTIONS(2275),
    [anon_sym_compl] = ACTIONS(2275),
    [anon_sym_DASH_DASH] = ACTIONS(2277),
    [anon_sym_PLUS_PLUS] = ACTIONS(2277),
    [anon_sym_sizeof] = ACTIONS(2275),
    [anon_sym___alignof__] = ACTIONS(2275),
    [anon_sym___alignof] = ACTIONS(2275),
    [anon_sym__alignof] = ACTIONS(2275),
    [anon_sym_alignof] = ACTIONS(2275),
    [anon_sym__Alignof] = ACTIONS(2275),
    [anon_sym_offsetof] = ACTIONS(2275),
    [anon_sym__Generic] = ACTIONS(2275),
    [anon_sym_asm] = ACTIONS(2275),
    [anon_sym___asm__] = ACTIONS(2275),
    [sym_number_literal] = ACTIONS(2277),
    [anon_sym_L_SQUOTE] = ACTIONS(2277),
    [anon_sym_u_SQUOTE] = ACTIONS(2277),
    [anon_sym_U_SQUOTE] = ACTIONS(2277),
    [anon_sym_u8_SQUOTE] = ACTIONS(2277),
    [anon_sym_SQUOTE] = ACTIONS(2277),
    [anon_sym_L_DQUOTE] = ACTIONS(2277),
    [anon_sym_u_DQUOTE] = ACTIONS(2277),
    [anon_sym_U_DQUOTE] = ACTIONS(2277),
    [anon_sym_u8_DQUOTE] = ACTIONS(2277),
    [anon_sym_DQUOTE] = ACTIONS(2277),
    [sym_true] = ACTIONS(2275),
    [sym_false] = ACTIONS(2275),
    [anon_sym_NULL] = ACTIONS(2275),
    [anon_sym_nullptr] = ACTIONS(2275),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2275),
    [anon_sym_decltype] = ACTIONS(2275),
    [anon_sym_virtual] = ACTIONS(2275),
    [anon_sym_alignas] = ACTIONS(2275),
    [anon_sym_explicit] = ACTIONS(2275),
    [anon_sym_typename] = ACTIONS(2275),
    [anon_sym_template] = ACTIONS(2275),
    [anon_sym_operator] = ACTIONS(2275),
    [anon_sym_try] = ACTIONS(2275),
    [anon_sym_delete] = ACTIONS(2275),
    [anon_sym_throw] = ACTIONS(2275),
    [anon_sym_namespace] = ACTIONS(2275),
    [anon_sym_using] = ACTIONS(2275),
    [anon_sym_static_assert] = ACTIONS(2275),
    [anon_sym_concept] = ACTIONS(2275),
    [anon_sym_co_return] = ACTIONS(2275),
    [anon_sym_co_yield] = ACTIONS(2275),
    [anon_sym_catch] = ACTIONS(2737),
    [anon_sym_R_DQUOTE] = ACTIONS(2277),
    [anon_sym_LR_DQUOTE] = ACTIONS(2277),
    [anon_sym_uR_DQUOTE] = ACTIONS(2277),
    [anon_sym_UR_DQUOTE] = ACTIONS(2277),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2277),
    [anon_sym_co_await] = ACTIONS(2275),
    [anon_sym_new] = ACTIONS(2275),
    [anon_sym_requires] = ACTIONS(2275),
    [sym_this] = ACTIONS(2275),
    [anon_sym_discard] = ACTIONS(2275),
    [anon_sym_precise] = ACTIONS(2275),
    [anon_sym_shared] = ACTIONS(2275),
    [anon_sym_groupshared] = ACTIONS(2275),
    [anon_sym_uniform] = ACTIONS(2275),
    [anon_sym_row_major] = ACTIONS(2275),
    [anon_sym_column_major] = ACTIONS(2275),
    [anon_sym_globallycoherent] = ACTIONS(2275),
    [anon_sym_centroid] = ACTIONS(2275),
    [anon_sym_noperspective] = ACTIONS(2275),
    [anon_sym_nointerpolation] = ACTIONS(2275),
    [anon_sym_sample] = ACTIONS(2275),
    [anon_sym_linear] = ACTIONS(2275),
    [anon_sym_snorm] = ACTIONS(2275),
    [anon_sym_unorm] = ACTIONS(2275),
    [anon_sym_point] = ACTIONS(2275),
    [anon_sym_line] = ACTIONS(2275),
    [anon_sym_triangleadj] = ACTIONS(2275),
    [anon_sym_lineadj] = ACTIONS(2275),
    [anon_sym_triangle] = ACTIONS(2275),
    [anon_sym_cbuffer] = ACTIONS(2275),
  },
  [505] = {
    [sym_identifier] = ACTIONS(2424),
    [aux_sym_preproc_include_token1] = ACTIONS(2424),
    [aux_sym_preproc_def_token1] = ACTIONS(2424),
    [aux_sym_preproc_if_token1] = ACTIONS(2424),
    [aux_sym_preproc_if_token2] = ACTIONS(2424),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2424),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2424),
    [aux_sym_preproc_else_token1] = ACTIONS(2424),
    [aux_sym_preproc_elif_token1] = ACTIONS(2424),
    [sym_preproc_directive] = ACTIONS(2424),
    [anon_sym_LPAREN2] = ACTIONS(2426),
    [anon_sym_BANG] = ACTIONS(2426),
    [anon_sym_TILDE] = ACTIONS(2426),
    [anon_sym_DASH] = ACTIONS(2424),
    [anon_sym_PLUS] = ACTIONS(2424),
    [anon_sym_STAR] = ACTIONS(2426),
    [anon_sym_AMP_AMP] = ACTIONS(2426),
    [anon_sym_AMP] = ACTIONS(2424),
    [anon_sym_SEMI] = ACTIONS(2426),
    [anon_sym___extension__] = ACTIONS(2424),
    [anon_sym_typedef] = ACTIONS(2424),
    [anon_sym_in] = ACTIONS(2424),
    [anon_sym_out] = ACTIONS(2424),
    [anon_sym_inout] = ACTIONS(2424),
    [anon_sym_extern] = ACTIONS(2424),
    [anon_sym___attribute__] = ACTIONS(2424),
    [anon_sym_COLON_COLON] = ACTIONS(2426),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2426),
    [anon_sym___declspec] = ACTIONS(2424),
    [anon_sym___based] = ACTIONS(2424),
    [anon_sym___cdecl] = ACTIONS(2424),
    [anon_sym___clrcall] = ACTIONS(2424),
    [anon_sym___stdcall] = ACTIONS(2424),
    [anon_sym___fastcall] = ACTIONS(2424),
    [anon_sym___thiscall] = ACTIONS(2424),
    [anon_sym___vectorcall] = ACTIONS(2424),
    [anon_sym_LBRACE] = ACTIONS(2426),
    [anon_sym_signed] = ACTIONS(2424),
    [anon_sym_unsigned] = ACTIONS(2424),
    [anon_sym_long] = ACTIONS(2424),
    [anon_sym_short] = ACTIONS(2424),
    [anon_sym_LBRACK] = ACTIONS(2424),
    [anon_sym_static] = ACTIONS(2424),
    [anon_sym_register] = ACTIONS(2424),
    [anon_sym_inline] = ACTIONS(2424),
    [anon_sym___inline] = ACTIONS(2424),
    [anon_sym___inline__] = ACTIONS(2424),
    [anon_sym___forceinline] = ACTIONS(2424),
    [anon_sym_thread_local] = ACTIONS(2424),
    [anon_sym___thread] = ACTIONS(2424),
    [anon_sym_const] = ACTIONS(2424),
    [anon_sym_constexpr] = ACTIONS(2424),
    [anon_sym_volatile] = ACTIONS(2424),
    [anon_sym_restrict] = ACTIONS(2424),
    [anon_sym___restrict__] = ACTIONS(2424),
    [anon_sym__Atomic] = ACTIONS(2424),
    [anon_sym__Noreturn] = ACTIONS(2424),
    [anon_sym_noreturn] = ACTIONS(2424),
    [anon_sym_mutable] = ACTIONS(2424),
    [anon_sym_constinit] = ACTIONS(2424),
    [anon_sym_consteval] = ACTIONS(2424),
    [sym_primitive_type] = ACTIONS(2424),
    [anon_sym_enum] = ACTIONS(2424),
    [anon_sym_class] = ACTIONS(2424),
    [anon_sym_struct] = ACTIONS(2424),
    [anon_sym_union] = ACTIONS(2424),
    [anon_sym_if] = ACTIONS(2424),
    [anon_sym_else] = ACTIONS(2424),
    [anon_sym_switch] = ACTIONS(2424),
    [anon_sym_case] = ACTIONS(2424),
    [anon_sym_default] = ACTIONS(2424),
    [anon_sym_while] = ACTIONS(2424),
    [anon_sym_do] = ACTIONS(2424),
    [anon_sym_for] = ACTIONS(2424),
    [anon_sym_return] = ACTIONS(2424),
    [anon_sym_break] = ACTIONS(2424),
    [anon_sym_continue] = ACTIONS(2424),
    [anon_sym_goto] = ACTIONS(2424),
    [anon_sym___try] = ACTIONS(2424),
    [anon_sym___leave] = ACTIONS(2424),
    [anon_sym_not] = ACTIONS(2424),
    [anon_sym_compl] = ACTIONS(2424),
    [anon_sym_DASH_DASH] = ACTIONS(2426),
    [anon_sym_PLUS_PLUS] = ACTIONS(2426),
    [anon_sym_sizeof] = ACTIONS(2424),
    [anon_sym___alignof__] = ACTIONS(2424),
    [anon_sym___alignof] = ACTIONS(2424),
    [anon_sym__alignof] = ACTIONS(2424),
    [anon_sym_alignof] = ACTIONS(2424),
    [anon_sym__Alignof] = ACTIONS(2424),
    [anon_sym_offsetof] = ACTIONS(2424),
    [anon_sym__Generic] = ACTIONS(2424),
    [anon_sym_asm] = ACTIONS(2424),
    [anon_sym___asm__] = ACTIONS(2424),
    [sym_number_literal] = ACTIONS(2426),
    [anon_sym_L_SQUOTE] = ACTIONS(2426),
    [anon_sym_u_SQUOTE] = ACTIONS(2426),
    [anon_sym_U_SQUOTE] = ACTIONS(2426),
    [anon_sym_u8_SQUOTE] = ACTIONS(2426),
    [anon_sym_SQUOTE] = ACTIONS(2426),
    [anon_sym_L_DQUOTE] = ACTIONS(2426),
    [anon_sym_u_DQUOTE] = ACTIONS(2426),
    [anon_sym_U_DQUOTE] = ACTIONS(2426),
    [anon_sym_u8_DQUOTE] = ACTIONS(2426),
    [anon_sym_DQUOTE] = ACTIONS(2426),
    [sym_true] = ACTIONS(2424),
    [sym_false] = ACTIONS(2424),
    [anon_sym_NULL] = ACTIONS(2424),
    [anon_sym_nullptr] = ACTIONS(2424),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2424),
    [anon_sym_decltype] = ACTIONS(2424),
    [anon_sym_virtual] = ACTIONS(2424),
    [anon_sym_alignas] = ACTIONS(2424),
    [anon_sym_explicit] = ACTIONS(2424),
    [anon_sym_typename] = ACTIONS(2424),
    [anon_sym_template] = ACTIONS(2424),
    [anon_sym_operator] = ACTIONS(2424),
    [anon_sym_try] = ACTIONS(2424),
    [anon_sym_delete] = ACTIONS(2424),
    [anon_sym_throw] = ACTIONS(2424),
    [anon_sym_namespace] = ACTIONS(2424),
    [anon_sym_using] = ACTIONS(2424),
    [anon_sym_static_assert] = ACTIONS(2424),
    [anon_sym_concept] = ACTIONS(2424),
    [anon_sym_co_return] = ACTIONS(2424),
    [anon_sym_co_yield] = ACTIONS(2424),
    [anon_sym_R_DQUOTE] = ACTIONS(2426),
    [anon_sym_LR_DQUOTE] = ACTIONS(2426),
    [anon_sym_uR_DQUOTE] = ACTIONS(2426),
    [anon_sym_UR_DQUOTE] = ACTIONS(2426),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2426),
    [anon_sym_co_await] = ACTIONS(2424),
    [anon_sym_new] = ACTIONS(2424),
    [anon_sym_requires] = ACTIONS(2424),
    [sym_this] = ACTIONS(2424),
    [anon_sym_discard] = ACTIONS(2424),
    [anon_sym_precise] = ACTIONS(2424),
    [anon_sym_shared] = ACTIONS(2424),
    [anon_sym_groupshared] = ACTIONS(2424),
    [anon_sym_uniform] = ACTIONS(2424),
    [anon_sym_row_major] = ACTIONS(2424),
    [anon_sym_column_major] = ACTIONS(2424),
    [anon_sym_globallycoherent] = ACTIONS(2424),
    [anon_sym_centroid] = ACTIONS(2424),
    [anon_sym_noperspective] = ACTIONS(2424),
    [anon_sym_nointerpolation] = ACTIONS(2424),
    [anon_sym_sample] = ACTIONS(2424),
    [anon_sym_linear] = ACTIONS(2424),
    [anon_sym_snorm] = ACTIONS(2424),
    [anon_sym_unorm] = ACTIONS(2424),
    [anon_sym_point] = ACTIONS(2424),
    [anon_sym_line] = ACTIONS(2424),
    [anon_sym_triangleadj] = ACTIONS(2424),
    [anon_sym_lineadj] = ACTIONS(2424),
    [anon_sym_triangle] = ACTIONS(2424),
    [anon_sym_cbuffer] = ACTIONS(2424),
  },
  [506] = {
    [sym_identifier] = ACTIONS(2396),
    [aux_sym_preproc_include_token1] = ACTIONS(2396),
    [aux_sym_preproc_def_token1] = ACTIONS(2396),
    [aux_sym_preproc_if_token1] = ACTIONS(2396),
    [aux_sym_preproc_if_token2] = ACTIONS(2396),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2396),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2396),
    [aux_sym_preproc_else_token1] = ACTIONS(2396),
    [aux_sym_preproc_elif_token1] = ACTIONS(2396),
    [sym_preproc_directive] = ACTIONS(2396),
    [anon_sym_LPAREN2] = ACTIONS(2398),
    [anon_sym_BANG] = ACTIONS(2398),
    [anon_sym_TILDE] = ACTIONS(2398),
    [anon_sym_DASH] = ACTIONS(2396),
    [anon_sym_PLUS] = ACTIONS(2396),
    [anon_sym_STAR] = ACTIONS(2398),
    [anon_sym_AMP_AMP] = ACTIONS(2398),
    [anon_sym_AMP] = ACTIONS(2396),
    [anon_sym_SEMI] = ACTIONS(2398),
    [anon_sym___extension__] = ACTIONS(2396),
    [anon_sym_typedef] = ACTIONS(2396),
    [anon_sym_in] = ACTIONS(2396),
    [anon_sym_out] = ACTIONS(2396),
    [anon_sym_inout] = ACTIONS(2396),
    [anon_sym_extern] = ACTIONS(2396),
    [anon_sym___attribute__] = ACTIONS(2396),
    [anon_sym_COLON_COLON] = ACTIONS(2398),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2398),
    [anon_sym___declspec] = ACTIONS(2396),
    [anon_sym___based] = ACTIONS(2396),
    [anon_sym___cdecl] = ACTIONS(2396),
    [anon_sym___clrcall] = ACTIONS(2396),
    [anon_sym___stdcall] = ACTIONS(2396),
    [anon_sym___fastcall] = ACTIONS(2396),
    [anon_sym___thiscall] = ACTIONS(2396),
    [anon_sym___vectorcall] = ACTIONS(2396),
    [anon_sym_LBRACE] = ACTIONS(2398),
    [anon_sym_signed] = ACTIONS(2396),
    [anon_sym_unsigned] = ACTIONS(2396),
    [anon_sym_long] = ACTIONS(2396),
    [anon_sym_short] = ACTIONS(2396),
    [anon_sym_LBRACK] = ACTIONS(2396),
    [anon_sym_static] = ACTIONS(2396),
    [anon_sym_register] = ACTIONS(2396),
    [anon_sym_inline] = ACTIONS(2396),
    [anon_sym___inline] = ACTIONS(2396),
    [anon_sym___inline__] = ACTIONS(2396),
    [anon_sym___forceinline] = ACTIONS(2396),
    [anon_sym_thread_local] = ACTIONS(2396),
    [anon_sym___thread] = ACTIONS(2396),
    [anon_sym_const] = ACTIONS(2396),
    [anon_sym_constexpr] = ACTIONS(2396),
    [anon_sym_volatile] = ACTIONS(2396),
    [anon_sym_restrict] = ACTIONS(2396),
    [anon_sym___restrict__] = ACTIONS(2396),
    [anon_sym__Atomic] = ACTIONS(2396),
    [anon_sym__Noreturn] = ACTIONS(2396),
    [anon_sym_noreturn] = ACTIONS(2396),
    [anon_sym_mutable] = ACTIONS(2396),
    [anon_sym_constinit] = ACTIONS(2396),
    [anon_sym_consteval] = ACTIONS(2396),
    [sym_primitive_type] = ACTIONS(2396),
    [anon_sym_enum] = ACTIONS(2396),
    [anon_sym_class] = ACTIONS(2396),
    [anon_sym_struct] = ACTIONS(2396),
    [anon_sym_union] = ACTIONS(2396),
    [anon_sym_if] = ACTIONS(2396),
    [anon_sym_else] = ACTIONS(2396),
    [anon_sym_switch] = ACTIONS(2396),
    [anon_sym_case] = ACTIONS(2396),
    [anon_sym_default] = ACTIONS(2396),
    [anon_sym_while] = ACTIONS(2396),
    [anon_sym_do] = ACTIONS(2396),
    [anon_sym_for] = ACTIONS(2396),
    [anon_sym_return] = ACTIONS(2396),
    [anon_sym_break] = ACTIONS(2396),
    [anon_sym_continue] = ACTIONS(2396),
    [anon_sym_goto] = ACTIONS(2396),
    [anon_sym___try] = ACTIONS(2396),
    [anon_sym___leave] = ACTIONS(2396),
    [anon_sym_not] = ACTIONS(2396),
    [anon_sym_compl] = ACTIONS(2396),
    [anon_sym_DASH_DASH] = ACTIONS(2398),
    [anon_sym_PLUS_PLUS] = ACTIONS(2398),
    [anon_sym_sizeof] = ACTIONS(2396),
    [anon_sym___alignof__] = ACTIONS(2396),
    [anon_sym___alignof] = ACTIONS(2396),
    [anon_sym__alignof] = ACTIONS(2396),
    [anon_sym_alignof] = ACTIONS(2396),
    [anon_sym__Alignof] = ACTIONS(2396),
    [anon_sym_offsetof] = ACTIONS(2396),
    [anon_sym__Generic] = ACTIONS(2396),
    [anon_sym_asm] = ACTIONS(2396),
    [anon_sym___asm__] = ACTIONS(2396),
    [sym_number_literal] = ACTIONS(2398),
    [anon_sym_L_SQUOTE] = ACTIONS(2398),
    [anon_sym_u_SQUOTE] = ACTIONS(2398),
    [anon_sym_U_SQUOTE] = ACTIONS(2398),
    [anon_sym_u8_SQUOTE] = ACTIONS(2398),
    [anon_sym_SQUOTE] = ACTIONS(2398),
    [anon_sym_L_DQUOTE] = ACTIONS(2398),
    [anon_sym_u_DQUOTE] = ACTIONS(2398),
    [anon_sym_U_DQUOTE] = ACTIONS(2398),
    [anon_sym_u8_DQUOTE] = ACTIONS(2398),
    [anon_sym_DQUOTE] = ACTIONS(2398),
    [sym_true] = ACTIONS(2396),
    [sym_false] = ACTIONS(2396),
    [anon_sym_NULL] = ACTIONS(2396),
    [anon_sym_nullptr] = ACTIONS(2396),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2396),
    [anon_sym_decltype] = ACTIONS(2396),
    [anon_sym_virtual] = ACTIONS(2396),
    [anon_sym_alignas] = ACTIONS(2396),
    [anon_sym_explicit] = ACTIONS(2396),
    [anon_sym_typename] = ACTIONS(2396),
    [anon_sym_template] = ACTIONS(2396),
    [anon_sym_operator] = ACTIONS(2396),
    [anon_sym_try] = ACTIONS(2396),
    [anon_sym_delete] = ACTIONS(2396),
    [anon_sym_throw] = ACTIONS(2396),
    [anon_sym_namespace] = ACTIONS(2396),
    [anon_sym_using] = ACTIONS(2396),
    [anon_sym_static_assert] = ACTIONS(2396),
    [anon_sym_concept] = ACTIONS(2396),
    [anon_sym_co_return] = ACTIONS(2396),
    [anon_sym_co_yield] = ACTIONS(2396),
    [anon_sym_R_DQUOTE] = ACTIONS(2398),
    [anon_sym_LR_DQUOTE] = ACTIONS(2398),
    [anon_sym_uR_DQUOTE] = ACTIONS(2398),
    [anon_sym_UR_DQUOTE] = ACTIONS(2398),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2398),
    [anon_sym_co_await] = ACTIONS(2396),
    [anon_sym_new] = ACTIONS(2396),
    [anon_sym_requires] = ACTIONS(2396),
    [sym_this] = ACTIONS(2396),
    [anon_sym_discard] = ACTIONS(2396),
    [anon_sym_precise] = ACTIONS(2396),
    [anon_sym_shared] = ACTIONS(2396),
    [anon_sym_groupshared] = ACTIONS(2396),
    [anon_sym_uniform] = ACTIONS(2396),
    [anon_sym_row_major] = ACTIONS(2396),
    [anon_sym_column_major] = ACTIONS(2396),
    [anon_sym_globallycoherent] = ACTIONS(2396),
    [anon_sym_centroid] = ACTIONS(2396),
    [anon_sym_noperspective] = ACTIONS(2396),
    [anon_sym_nointerpolation] = ACTIONS(2396),
    [anon_sym_sample] = ACTIONS(2396),
    [anon_sym_linear] = ACTIONS(2396),
    [anon_sym_snorm] = ACTIONS(2396),
    [anon_sym_unorm] = ACTIONS(2396),
    [anon_sym_point] = ACTIONS(2396),
    [anon_sym_line] = ACTIONS(2396),
    [anon_sym_triangleadj] = ACTIONS(2396),
    [anon_sym_lineadj] = ACTIONS(2396),
    [anon_sym_triangle] = ACTIONS(2396),
    [anon_sym_cbuffer] = ACTIONS(2396),
  },
  [507] = {
    [sym_identifier] = ACTIONS(2364),
    [aux_sym_preproc_include_token1] = ACTIONS(2364),
    [aux_sym_preproc_def_token1] = ACTIONS(2364),
    [aux_sym_preproc_if_token1] = ACTIONS(2364),
    [aux_sym_preproc_if_token2] = ACTIONS(2364),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2364),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2364),
    [aux_sym_preproc_else_token1] = ACTIONS(2364),
    [aux_sym_preproc_elif_token1] = ACTIONS(2364),
    [sym_preproc_directive] = ACTIONS(2364),
    [anon_sym_LPAREN2] = ACTIONS(2366),
    [anon_sym_BANG] = ACTIONS(2366),
    [anon_sym_TILDE] = ACTIONS(2366),
    [anon_sym_DASH] = ACTIONS(2364),
    [anon_sym_PLUS] = ACTIONS(2364),
    [anon_sym_STAR] = ACTIONS(2366),
    [anon_sym_AMP_AMP] = ACTIONS(2366),
    [anon_sym_AMP] = ACTIONS(2364),
    [anon_sym_SEMI] = ACTIONS(2366),
    [anon_sym___extension__] = ACTIONS(2364),
    [anon_sym_typedef] = ACTIONS(2364),
    [anon_sym_in] = ACTIONS(2364),
    [anon_sym_out] = ACTIONS(2364),
    [anon_sym_inout] = ACTIONS(2364),
    [anon_sym_extern] = ACTIONS(2364),
    [anon_sym___attribute__] = ACTIONS(2364),
    [anon_sym_COLON_COLON] = ACTIONS(2366),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2366),
    [anon_sym___declspec] = ACTIONS(2364),
    [anon_sym___based] = ACTIONS(2364),
    [anon_sym___cdecl] = ACTIONS(2364),
    [anon_sym___clrcall] = ACTIONS(2364),
    [anon_sym___stdcall] = ACTIONS(2364),
    [anon_sym___fastcall] = ACTIONS(2364),
    [anon_sym___thiscall] = ACTIONS(2364),
    [anon_sym___vectorcall] = ACTIONS(2364),
    [anon_sym_LBRACE] = ACTIONS(2366),
    [anon_sym_signed] = ACTIONS(2364),
    [anon_sym_unsigned] = ACTIONS(2364),
    [anon_sym_long] = ACTIONS(2364),
    [anon_sym_short] = ACTIONS(2364),
    [anon_sym_LBRACK] = ACTIONS(2364),
    [anon_sym_static] = ACTIONS(2364),
    [anon_sym_register] = ACTIONS(2364),
    [anon_sym_inline] = ACTIONS(2364),
    [anon_sym___inline] = ACTIONS(2364),
    [anon_sym___inline__] = ACTIONS(2364),
    [anon_sym___forceinline] = ACTIONS(2364),
    [anon_sym_thread_local] = ACTIONS(2364),
    [anon_sym___thread] = ACTIONS(2364),
    [anon_sym_const] = ACTIONS(2364),
    [anon_sym_constexpr] = ACTIONS(2364),
    [anon_sym_volatile] = ACTIONS(2364),
    [anon_sym_restrict] = ACTIONS(2364),
    [anon_sym___restrict__] = ACTIONS(2364),
    [anon_sym__Atomic] = ACTIONS(2364),
    [anon_sym__Noreturn] = ACTIONS(2364),
    [anon_sym_noreturn] = ACTIONS(2364),
    [anon_sym_mutable] = ACTIONS(2364),
    [anon_sym_constinit] = ACTIONS(2364),
    [anon_sym_consteval] = ACTIONS(2364),
    [sym_primitive_type] = ACTIONS(2364),
    [anon_sym_enum] = ACTIONS(2364),
    [anon_sym_class] = ACTIONS(2364),
    [anon_sym_struct] = ACTIONS(2364),
    [anon_sym_union] = ACTIONS(2364),
    [anon_sym_if] = ACTIONS(2364),
    [anon_sym_else] = ACTIONS(2364),
    [anon_sym_switch] = ACTIONS(2364),
    [anon_sym_case] = ACTIONS(2364),
    [anon_sym_default] = ACTIONS(2364),
    [anon_sym_while] = ACTIONS(2364),
    [anon_sym_do] = ACTIONS(2364),
    [anon_sym_for] = ACTIONS(2364),
    [anon_sym_return] = ACTIONS(2364),
    [anon_sym_break] = ACTIONS(2364),
    [anon_sym_continue] = ACTIONS(2364),
    [anon_sym_goto] = ACTIONS(2364),
    [anon_sym___try] = ACTIONS(2364),
    [anon_sym___leave] = ACTIONS(2364),
    [anon_sym_not] = ACTIONS(2364),
    [anon_sym_compl] = ACTIONS(2364),
    [anon_sym_DASH_DASH] = ACTIONS(2366),
    [anon_sym_PLUS_PLUS] = ACTIONS(2366),
    [anon_sym_sizeof] = ACTIONS(2364),
    [anon_sym___alignof__] = ACTIONS(2364),
    [anon_sym___alignof] = ACTIONS(2364),
    [anon_sym__alignof] = ACTIONS(2364),
    [anon_sym_alignof] = ACTIONS(2364),
    [anon_sym__Alignof] = ACTIONS(2364),
    [anon_sym_offsetof] = ACTIONS(2364),
    [anon_sym__Generic] = ACTIONS(2364),
    [anon_sym_asm] = ACTIONS(2364),
    [anon_sym___asm__] = ACTIONS(2364),
    [sym_number_literal] = ACTIONS(2366),
    [anon_sym_L_SQUOTE] = ACTIONS(2366),
    [anon_sym_u_SQUOTE] = ACTIONS(2366),
    [anon_sym_U_SQUOTE] = ACTIONS(2366),
    [anon_sym_u8_SQUOTE] = ACTIONS(2366),
    [anon_sym_SQUOTE] = ACTIONS(2366),
    [anon_sym_L_DQUOTE] = ACTIONS(2366),
    [anon_sym_u_DQUOTE] = ACTIONS(2366),
    [anon_sym_U_DQUOTE] = ACTIONS(2366),
    [anon_sym_u8_DQUOTE] = ACTIONS(2366),
    [anon_sym_DQUOTE] = ACTIONS(2366),
    [sym_true] = ACTIONS(2364),
    [sym_false] = ACTIONS(2364),
    [anon_sym_NULL] = ACTIONS(2364),
    [anon_sym_nullptr] = ACTIONS(2364),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2364),
    [anon_sym_decltype] = ACTIONS(2364),
    [anon_sym_virtual] = ACTIONS(2364),
    [anon_sym_alignas] = ACTIONS(2364),
    [anon_sym_explicit] = ACTIONS(2364),
    [anon_sym_typename] = ACTIONS(2364),
    [anon_sym_template] = ACTIONS(2364),
    [anon_sym_operator] = ACTIONS(2364),
    [anon_sym_try] = ACTIONS(2364),
    [anon_sym_delete] = ACTIONS(2364),
    [anon_sym_throw] = ACTIONS(2364),
    [anon_sym_namespace] = ACTIONS(2364),
    [anon_sym_using] = ACTIONS(2364),
    [anon_sym_static_assert] = ACTIONS(2364),
    [anon_sym_concept] = ACTIONS(2364),
    [anon_sym_co_return] = ACTIONS(2364),
    [anon_sym_co_yield] = ACTIONS(2364),
    [anon_sym_R_DQUOTE] = ACTIONS(2366),
    [anon_sym_LR_DQUOTE] = ACTIONS(2366),
    [anon_sym_uR_DQUOTE] = ACTIONS(2366),
    [anon_sym_UR_DQUOTE] = ACTIONS(2366),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2366),
    [anon_sym_co_await] = ACTIONS(2364),
    [anon_sym_new] = ACTIONS(2364),
    [anon_sym_requires] = ACTIONS(2364),
    [sym_this] = ACTIONS(2364),
    [anon_sym_discard] = ACTIONS(2364),
    [anon_sym_precise] = ACTIONS(2364),
    [anon_sym_shared] = ACTIONS(2364),
    [anon_sym_groupshared] = ACTIONS(2364),
    [anon_sym_uniform] = ACTIONS(2364),
    [anon_sym_row_major] = ACTIONS(2364),
    [anon_sym_column_major] = ACTIONS(2364),
    [anon_sym_globallycoherent] = ACTIONS(2364),
    [anon_sym_centroid] = ACTIONS(2364),
    [anon_sym_noperspective] = ACTIONS(2364),
    [anon_sym_nointerpolation] = ACTIONS(2364),
    [anon_sym_sample] = ACTIONS(2364),
    [anon_sym_linear] = ACTIONS(2364),
    [anon_sym_snorm] = ACTIONS(2364),
    [anon_sym_unorm] = ACTIONS(2364),
    [anon_sym_point] = ACTIONS(2364),
    [anon_sym_line] = ACTIONS(2364),
    [anon_sym_triangleadj] = ACTIONS(2364),
    [anon_sym_lineadj] = ACTIONS(2364),
    [anon_sym_triangle] = ACTIONS(2364),
    [anon_sym_cbuffer] = ACTIONS(2364),
  },
  [508] = {
    [sym_identifier] = ACTIONS(2400),
    [aux_sym_preproc_include_token1] = ACTIONS(2400),
    [aux_sym_preproc_def_token1] = ACTIONS(2400),
    [aux_sym_preproc_if_token1] = ACTIONS(2400),
    [aux_sym_preproc_if_token2] = ACTIONS(2400),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2400),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2400),
    [aux_sym_preproc_else_token1] = ACTIONS(2400),
    [aux_sym_preproc_elif_token1] = ACTIONS(2400),
    [sym_preproc_directive] = ACTIONS(2400),
    [anon_sym_LPAREN2] = ACTIONS(2402),
    [anon_sym_BANG] = ACTIONS(2402),
    [anon_sym_TILDE] = ACTIONS(2402),
    [anon_sym_DASH] = ACTIONS(2400),
    [anon_sym_PLUS] = ACTIONS(2400),
    [anon_sym_STAR] = ACTIONS(2402),
    [anon_sym_AMP_AMP] = ACTIONS(2402),
    [anon_sym_AMP] = ACTIONS(2400),
    [anon_sym_SEMI] = ACTIONS(2402),
    [anon_sym___extension__] = ACTIONS(2400),
    [anon_sym_typedef] = ACTIONS(2400),
    [anon_sym_in] = ACTIONS(2400),
    [anon_sym_out] = ACTIONS(2400),
    [anon_sym_inout] = ACTIONS(2400),
    [anon_sym_extern] = ACTIONS(2400),
    [anon_sym___attribute__] = ACTIONS(2400),
    [anon_sym_COLON_COLON] = ACTIONS(2402),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2402),
    [anon_sym___declspec] = ACTIONS(2400),
    [anon_sym___based] = ACTIONS(2400),
    [anon_sym___cdecl] = ACTIONS(2400),
    [anon_sym___clrcall] = ACTIONS(2400),
    [anon_sym___stdcall] = ACTIONS(2400),
    [anon_sym___fastcall] = ACTIONS(2400),
    [anon_sym___thiscall] = ACTIONS(2400),
    [anon_sym___vectorcall] = ACTIONS(2400),
    [anon_sym_LBRACE] = ACTIONS(2402),
    [anon_sym_signed] = ACTIONS(2400),
    [anon_sym_unsigned] = ACTIONS(2400),
    [anon_sym_long] = ACTIONS(2400),
    [anon_sym_short] = ACTIONS(2400),
    [anon_sym_LBRACK] = ACTIONS(2400),
    [anon_sym_static] = ACTIONS(2400),
    [anon_sym_register] = ACTIONS(2400),
    [anon_sym_inline] = ACTIONS(2400),
    [anon_sym___inline] = ACTIONS(2400),
    [anon_sym___inline__] = ACTIONS(2400),
    [anon_sym___forceinline] = ACTIONS(2400),
    [anon_sym_thread_local] = ACTIONS(2400),
    [anon_sym___thread] = ACTIONS(2400),
    [anon_sym_const] = ACTIONS(2400),
    [anon_sym_constexpr] = ACTIONS(2400),
    [anon_sym_volatile] = ACTIONS(2400),
    [anon_sym_restrict] = ACTIONS(2400),
    [anon_sym___restrict__] = ACTIONS(2400),
    [anon_sym__Atomic] = ACTIONS(2400),
    [anon_sym__Noreturn] = ACTIONS(2400),
    [anon_sym_noreturn] = ACTIONS(2400),
    [anon_sym_mutable] = ACTIONS(2400),
    [anon_sym_constinit] = ACTIONS(2400),
    [anon_sym_consteval] = ACTIONS(2400),
    [sym_primitive_type] = ACTIONS(2400),
    [anon_sym_enum] = ACTIONS(2400),
    [anon_sym_class] = ACTIONS(2400),
    [anon_sym_struct] = ACTIONS(2400),
    [anon_sym_union] = ACTIONS(2400),
    [anon_sym_if] = ACTIONS(2400),
    [anon_sym_else] = ACTIONS(2400),
    [anon_sym_switch] = ACTIONS(2400),
    [anon_sym_case] = ACTIONS(2400),
    [anon_sym_default] = ACTIONS(2400),
    [anon_sym_while] = ACTIONS(2400),
    [anon_sym_do] = ACTIONS(2400),
    [anon_sym_for] = ACTIONS(2400),
    [anon_sym_return] = ACTIONS(2400),
    [anon_sym_break] = ACTIONS(2400),
    [anon_sym_continue] = ACTIONS(2400),
    [anon_sym_goto] = ACTIONS(2400),
    [anon_sym___try] = ACTIONS(2400),
    [anon_sym___leave] = ACTIONS(2400),
    [anon_sym_not] = ACTIONS(2400),
    [anon_sym_compl] = ACTIONS(2400),
    [anon_sym_DASH_DASH] = ACTIONS(2402),
    [anon_sym_PLUS_PLUS] = ACTIONS(2402),
    [anon_sym_sizeof] = ACTIONS(2400),
    [anon_sym___alignof__] = ACTIONS(2400),
    [anon_sym___alignof] = ACTIONS(2400),
    [anon_sym__alignof] = ACTIONS(2400),
    [anon_sym_alignof] = ACTIONS(2400),
    [anon_sym__Alignof] = ACTIONS(2400),
    [anon_sym_offsetof] = ACTIONS(2400),
    [anon_sym__Generic] = ACTIONS(2400),
    [anon_sym_asm] = ACTIONS(2400),
    [anon_sym___asm__] = ACTIONS(2400),
    [sym_number_literal] = ACTIONS(2402),
    [anon_sym_L_SQUOTE] = ACTIONS(2402),
    [anon_sym_u_SQUOTE] = ACTIONS(2402),
    [anon_sym_U_SQUOTE] = ACTIONS(2402),
    [anon_sym_u8_SQUOTE] = ACTIONS(2402),
    [anon_sym_SQUOTE] = ACTIONS(2402),
    [anon_sym_L_DQUOTE] = ACTIONS(2402),
    [anon_sym_u_DQUOTE] = ACTIONS(2402),
    [anon_sym_U_DQUOTE] = ACTIONS(2402),
    [anon_sym_u8_DQUOTE] = ACTIONS(2402),
    [anon_sym_DQUOTE] = ACTIONS(2402),
    [sym_true] = ACTIONS(2400),
    [sym_false] = ACTIONS(2400),
    [anon_sym_NULL] = ACTIONS(2400),
    [anon_sym_nullptr] = ACTIONS(2400),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2400),
    [anon_sym_decltype] = ACTIONS(2400),
    [anon_sym_virtual] = ACTIONS(2400),
    [anon_sym_alignas] = ACTIONS(2400),
    [anon_sym_explicit] = ACTIONS(2400),
    [anon_sym_typename] = ACTIONS(2400),
    [anon_sym_template] = ACTIONS(2400),
    [anon_sym_operator] = ACTIONS(2400),
    [anon_sym_try] = ACTIONS(2400),
    [anon_sym_delete] = ACTIONS(2400),
    [anon_sym_throw] = ACTIONS(2400),
    [anon_sym_namespace] = ACTIONS(2400),
    [anon_sym_using] = ACTIONS(2400),
    [anon_sym_static_assert] = ACTIONS(2400),
    [anon_sym_concept] = ACTIONS(2400),
    [anon_sym_co_return] = ACTIONS(2400),
    [anon_sym_co_yield] = ACTIONS(2400),
    [anon_sym_R_DQUOTE] = ACTIONS(2402),
    [anon_sym_LR_DQUOTE] = ACTIONS(2402),
    [anon_sym_uR_DQUOTE] = ACTIONS(2402),
    [anon_sym_UR_DQUOTE] = ACTIONS(2402),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2402),
    [anon_sym_co_await] = ACTIONS(2400),
    [anon_sym_new] = ACTIONS(2400),
    [anon_sym_requires] = ACTIONS(2400),
    [sym_this] = ACTIONS(2400),
    [anon_sym_discard] = ACTIONS(2400),
    [anon_sym_precise] = ACTIONS(2400),
    [anon_sym_shared] = ACTIONS(2400),
    [anon_sym_groupshared] = ACTIONS(2400),
    [anon_sym_uniform] = ACTIONS(2400),
    [anon_sym_row_major] = ACTIONS(2400),
    [anon_sym_column_major] = ACTIONS(2400),
    [anon_sym_globallycoherent] = ACTIONS(2400),
    [anon_sym_centroid] = ACTIONS(2400),
    [anon_sym_noperspective] = ACTIONS(2400),
    [anon_sym_nointerpolation] = ACTIONS(2400),
    [anon_sym_sample] = ACTIONS(2400),
    [anon_sym_linear] = ACTIONS(2400),
    [anon_sym_snorm] = ACTIONS(2400),
    [anon_sym_unorm] = ACTIONS(2400),
    [anon_sym_point] = ACTIONS(2400),
    [anon_sym_line] = ACTIONS(2400),
    [anon_sym_triangleadj] = ACTIONS(2400),
    [anon_sym_lineadj] = ACTIONS(2400),
    [anon_sym_triangle] = ACTIONS(2400),
    [anon_sym_cbuffer] = ACTIONS(2400),
  },
  [509] = {
    [sym_identifier] = ACTIONS(2488),
    [aux_sym_preproc_include_token1] = ACTIONS(2488),
    [aux_sym_preproc_def_token1] = ACTIONS(2488),
    [aux_sym_preproc_if_token1] = ACTIONS(2488),
    [aux_sym_preproc_if_token2] = ACTIONS(2488),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2488),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2488),
    [aux_sym_preproc_else_token1] = ACTIONS(2488),
    [aux_sym_preproc_elif_token1] = ACTIONS(2488),
    [sym_preproc_directive] = ACTIONS(2488),
    [anon_sym_LPAREN2] = ACTIONS(2490),
    [anon_sym_BANG] = ACTIONS(2490),
    [anon_sym_TILDE] = ACTIONS(2490),
    [anon_sym_DASH] = ACTIONS(2488),
    [anon_sym_PLUS] = ACTIONS(2488),
    [anon_sym_STAR] = ACTIONS(2490),
    [anon_sym_AMP_AMP] = ACTIONS(2490),
    [anon_sym_AMP] = ACTIONS(2488),
    [anon_sym_SEMI] = ACTIONS(2490),
    [anon_sym___extension__] = ACTIONS(2488),
    [anon_sym_typedef] = ACTIONS(2488),
    [anon_sym_in] = ACTIONS(2488),
    [anon_sym_out] = ACTIONS(2488),
    [anon_sym_inout] = ACTIONS(2488),
    [anon_sym_extern] = ACTIONS(2488),
    [anon_sym___attribute__] = ACTIONS(2488),
    [anon_sym_COLON_COLON] = ACTIONS(2490),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2490),
    [anon_sym___declspec] = ACTIONS(2488),
    [anon_sym___based] = ACTIONS(2488),
    [anon_sym___cdecl] = ACTIONS(2488),
    [anon_sym___clrcall] = ACTIONS(2488),
    [anon_sym___stdcall] = ACTIONS(2488),
    [anon_sym___fastcall] = ACTIONS(2488),
    [anon_sym___thiscall] = ACTIONS(2488),
    [anon_sym___vectorcall] = ACTIONS(2488),
    [anon_sym_LBRACE] = ACTIONS(2490),
    [anon_sym_signed] = ACTIONS(2488),
    [anon_sym_unsigned] = ACTIONS(2488),
    [anon_sym_long] = ACTIONS(2488),
    [anon_sym_short] = ACTIONS(2488),
    [anon_sym_LBRACK] = ACTIONS(2488),
    [anon_sym_static] = ACTIONS(2488),
    [anon_sym_register] = ACTIONS(2488),
    [anon_sym_inline] = ACTIONS(2488),
    [anon_sym___inline] = ACTIONS(2488),
    [anon_sym___inline__] = ACTIONS(2488),
    [anon_sym___forceinline] = ACTIONS(2488),
    [anon_sym_thread_local] = ACTIONS(2488),
    [anon_sym___thread] = ACTIONS(2488),
    [anon_sym_const] = ACTIONS(2488),
    [anon_sym_constexpr] = ACTIONS(2488),
    [anon_sym_volatile] = ACTIONS(2488),
    [anon_sym_restrict] = ACTIONS(2488),
    [anon_sym___restrict__] = ACTIONS(2488),
    [anon_sym__Atomic] = ACTIONS(2488),
    [anon_sym__Noreturn] = ACTIONS(2488),
    [anon_sym_noreturn] = ACTIONS(2488),
    [anon_sym_mutable] = ACTIONS(2488),
    [anon_sym_constinit] = ACTIONS(2488),
    [anon_sym_consteval] = ACTIONS(2488),
    [sym_primitive_type] = ACTIONS(2488),
    [anon_sym_enum] = ACTIONS(2488),
    [anon_sym_class] = ACTIONS(2488),
    [anon_sym_struct] = ACTIONS(2488),
    [anon_sym_union] = ACTIONS(2488),
    [anon_sym_if] = ACTIONS(2488),
    [anon_sym_else] = ACTIONS(2488),
    [anon_sym_switch] = ACTIONS(2488),
    [anon_sym_case] = ACTIONS(2488),
    [anon_sym_default] = ACTIONS(2488),
    [anon_sym_while] = ACTIONS(2488),
    [anon_sym_do] = ACTIONS(2488),
    [anon_sym_for] = ACTIONS(2488),
    [anon_sym_return] = ACTIONS(2488),
    [anon_sym_break] = ACTIONS(2488),
    [anon_sym_continue] = ACTIONS(2488),
    [anon_sym_goto] = ACTIONS(2488),
    [anon_sym___try] = ACTIONS(2488),
    [anon_sym___leave] = ACTIONS(2488),
    [anon_sym_not] = ACTIONS(2488),
    [anon_sym_compl] = ACTIONS(2488),
    [anon_sym_DASH_DASH] = ACTIONS(2490),
    [anon_sym_PLUS_PLUS] = ACTIONS(2490),
    [anon_sym_sizeof] = ACTIONS(2488),
    [anon_sym___alignof__] = ACTIONS(2488),
    [anon_sym___alignof] = ACTIONS(2488),
    [anon_sym__alignof] = ACTIONS(2488),
    [anon_sym_alignof] = ACTIONS(2488),
    [anon_sym__Alignof] = ACTIONS(2488),
    [anon_sym_offsetof] = ACTIONS(2488),
    [anon_sym__Generic] = ACTIONS(2488),
    [anon_sym_asm] = ACTIONS(2488),
    [anon_sym___asm__] = ACTIONS(2488),
    [sym_number_literal] = ACTIONS(2490),
    [anon_sym_L_SQUOTE] = ACTIONS(2490),
    [anon_sym_u_SQUOTE] = ACTIONS(2490),
    [anon_sym_U_SQUOTE] = ACTIONS(2490),
    [anon_sym_u8_SQUOTE] = ACTIONS(2490),
    [anon_sym_SQUOTE] = ACTIONS(2490),
    [anon_sym_L_DQUOTE] = ACTIONS(2490),
    [anon_sym_u_DQUOTE] = ACTIONS(2490),
    [anon_sym_U_DQUOTE] = ACTIONS(2490),
    [anon_sym_u8_DQUOTE] = ACTIONS(2490),
    [anon_sym_DQUOTE] = ACTIONS(2490),
    [sym_true] = ACTIONS(2488),
    [sym_false] = ACTIONS(2488),
    [anon_sym_NULL] = ACTIONS(2488),
    [anon_sym_nullptr] = ACTIONS(2488),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2488),
    [anon_sym_decltype] = ACTIONS(2488),
    [anon_sym_virtual] = ACTIONS(2488),
    [anon_sym_alignas] = ACTIONS(2488),
    [anon_sym_explicit] = ACTIONS(2488),
    [anon_sym_typename] = ACTIONS(2488),
    [anon_sym_template] = ACTIONS(2488),
    [anon_sym_operator] = ACTIONS(2488),
    [anon_sym_try] = ACTIONS(2488),
    [anon_sym_delete] = ACTIONS(2488),
    [anon_sym_throw] = ACTIONS(2488),
    [anon_sym_namespace] = ACTIONS(2488),
    [anon_sym_using] = ACTIONS(2488),
    [anon_sym_static_assert] = ACTIONS(2488),
    [anon_sym_concept] = ACTIONS(2488),
    [anon_sym_co_return] = ACTIONS(2488),
    [anon_sym_co_yield] = ACTIONS(2488),
    [anon_sym_R_DQUOTE] = ACTIONS(2490),
    [anon_sym_LR_DQUOTE] = ACTIONS(2490),
    [anon_sym_uR_DQUOTE] = ACTIONS(2490),
    [anon_sym_UR_DQUOTE] = ACTIONS(2490),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2490),
    [anon_sym_co_await] = ACTIONS(2488),
    [anon_sym_new] = ACTIONS(2488),
    [anon_sym_requires] = ACTIONS(2488),
    [sym_this] = ACTIONS(2488),
    [anon_sym_discard] = ACTIONS(2488),
    [anon_sym_precise] = ACTIONS(2488),
    [anon_sym_shared] = ACTIONS(2488),
    [anon_sym_groupshared] = ACTIONS(2488),
    [anon_sym_uniform] = ACTIONS(2488),
    [anon_sym_row_major] = ACTIONS(2488),
    [anon_sym_column_major] = ACTIONS(2488),
    [anon_sym_globallycoherent] = ACTIONS(2488),
    [anon_sym_centroid] = ACTIONS(2488),
    [anon_sym_noperspective] = ACTIONS(2488),
    [anon_sym_nointerpolation] = ACTIONS(2488),
    [anon_sym_sample] = ACTIONS(2488),
    [anon_sym_linear] = ACTIONS(2488),
    [anon_sym_snorm] = ACTIONS(2488),
    [anon_sym_unorm] = ACTIONS(2488),
    [anon_sym_point] = ACTIONS(2488),
    [anon_sym_line] = ACTIONS(2488),
    [anon_sym_triangleadj] = ACTIONS(2488),
    [anon_sym_lineadj] = ACTIONS(2488),
    [anon_sym_triangle] = ACTIONS(2488),
    [anon_sym_cbuffer] = ACTIONS(2488),
  },
  [510] = {
    [sym_identifier] = ACTIONS(2364),
    [aux_sym_preproc_include_token1] = ACTIONS(2364),
    [aux_sym_preproc_def_token1] = ACTIONS(2364),
    [aux_sym_preproc_if_token1] = ACTIONS(2364),
    [aux_sym_preproc_if_token2] = ACTIONS(2364),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2364),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2364),
    [aux_sym_preproc_else_token1] = ACTIONS(2364),
    [aux_sym_preproc_elif_token1] = ACTIONS(2364),
    [sym_preproc_directive] = ACTIONS(2364),
    [anon_sym_LPAREN2] = ACTIONS(2366),
    [anon_sym_BANG] = ACTIONS(2366),
    [anon_sym_TILDE] = ACTIONS(2366),
    [anon_sym_DASH] = ACTIONS(2364),
    [anon_sym_PLUS] = ACTIONS(2364),
    [anon_sym_STAR] = ACTIONS(2366),
    [anon_sym_AMP_AMP] = ACTIONS(2366),
    [anon_sym_AMP] = ACTIONS(2364),
    [anon_sym_SEMI] = ACTIONS(2366),
    [anon_sym___extension__] = ACTIONS(2364),
    [anon_sym_typedef] = ACTIONS(2364),
    [anon_sym_in] = ACTIONS(2364),
    [anon_sym_out] = ACTIONS(2364),
    [anon_sym_inout] = ACTIONS(2364),
    [anon_sym_extern] = ACTIONS(2364),
    [anon_sym___attribute__] = ACTIONS(2364),
    [anon_sym_COLON_COLON] = ACTIONS(2366),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2366),
    [anon_sym___declspec] = ACTIONS(2364),
    [anon_sym___based] = ACTIONS(2364),
    [anon_sym___cdecl] = ACTIONS(2364),
    [anon_sym___clrcall] = ACTIONS(2364),
    [anon_sym___stdcall] = ACTIONS(2364),
    [anon_sym___fastcall] = ACTIONS(2364),
    [anon_sym___thiscall] = ACTIONS(2364),
    [anon_sym___vectorcall] = ACTIONS(2364),
    [anon_sym_LBRACE] = ACTIONS(2366),
    [anon_sym_signed] = ACTIONS(2364),
    [anon_sym_unsigned] = ACTIONS(2364),
    [anon_sym_long] = ACTIONS(2364),
    [anon_sym_short] = ACTIONS(2364),
    [anon_sym_LBRACK] = ACTIONS(2364),
    [anon_sym_static] = ACTIONS(2364),
    [anon_sym_register] = ACTIONS(2364),
    [anon_sym_inline] = ACTIONS(2364),
    [anon_sym___inline] = ACTIONS(2364),
    [anon_sym___inline__] = ACTIONS(2364),
    [anon_sym___forceinline] = ACTIONS(2364),
    [anon_sym_thread_local] = ACTIONS(2364),
    [anon_sym___thread] = ACTIONS(2364),
    [anon_sym_const] = ACTIONS(2364),
    [anon_sym_constexpr] = ACTIONS(2364),
    [anon_sym_volatile] = ACTIONS(2364),
    [anon_sym_restrict] = ACTIONS(2364),
    [anon_sym___restrict__] = ACTIONS(2364),
    [anon_sym__Atomic] = ACTIONS(2364),
    [anon_sym__Noreturn] = ACTIONS(2364),
    [anon_sym_noreturn] = ACTIONS(2364),
    [anon_sym_mutable] = ACTIONS(2364),
    [anon_sym_constinit] = ACTIONS(2364),
    [anon_sym_consteval] = ACTIONS(2364),
    [sym_primitive_type] = ACTIONS(2364),
    [anon_sym_enum] = ACTIONS(2364),
    [anon_sym_class] = ACTIONS(2364),
    [anon_sym_struct] = ACTIONS(2364),
    [anon_sym_union] = ACTIONS(2364),
    [anon_sym_if] = ACTIONS(2364),
    [anon_sym_else] = ACTIONS(2364),
    [anon_sym_switch] = ACTIONS(2364),
    [anon_sym_case] = ACTIONS(2364),
    [anon_sym_default] = ACTIONS(2364),
    [anon_sym_while] = ACTIONS(2364),
    [anon_sym_do] = ACTIONS(2364),
    [anon_sym_for] = ACTIONS(2364),
    [anon_sym_return] = ACTIONS(2364),
    [anon_sym_break] = ACTIONS(2364),
    [anon_sym_continue] = ACTIONS(2364),
    [anon_sym_goto] = ACTIONS(2364),
    [anon_sym___try] = ACTIONS(2364),
    [anon_sym___leave] = ACTIONS(2364),
    [anon_sym_not] = ACTIONS(2364),
    [anon_sym_compl] = ACTIONS(2364),
    [anon_sym_DASH_DASH] = ACTIONS(2366),
    [anon_sym_PLUS_PLUS] = ACTIONS(2366),
    [anon_sym_sizeof] = ACTIONS(2364),
    [anon_sym___alignof__] = ACTIONS(2364),
    [anon_sym___alignof] = ACTIONS(2364),
    [anon_sym__alignof] = ACTIONS(2364),
    [anon_sym_alignof] = ACTIONS(2364),
    [anon_sym__Alignof] = ACTIONS(2364),
    [anon_sym_offsetof] = ACTIONS(2364),
    [anon_sym__Generic] = ACTIONS(2364),
    [anon_sym_asm] = ACTIONS(2364),
    [anon_sym___asm__] = ACTIONS(2364),
    [sym_number_literal] = ACTIONS(2366),
    [anon_sym_L_SQUOTE] = ACTIONS(2366),
    [anon_sym_u_SQUOTE] = ACTIONS(2366),
    [anon_sym_U_SQUOTE] = ACTIONS(2366),
    [anon_sym_u8_SQUOTE] = ACTIONS(2366),
    [anon_sym_SQUOTE] = ACTIONS(2366),
    [anon_sym_L_DQUOTE] = ACTIONS(2366),
    [anon_sym_u_DQUOTE] = ACTIONS(2366),
    [anon_sym_U_DQUOTE] = ACTIONS(2366),
    [anon_sym_u8_DQUOTE] = ACTIONS(2366),
    [anon_sym_DQUOTE] = ACTIONS(2366),
    [sym_true] = ACTIONS(2364),
    [sym_false] = ACTIONS(2364),
    [anon_sym_NULL] = ACTIONS(2364),
    [anon_sym_nullptr] = ACTIONS(2364),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2364),
    [anon_sym_decltype] = ACTIONS(2364),
    [anon_sym_virtual] = ACTIONS(2364),
    [anon_sym_alignas] = ACTIONS(2364),
    [anon_sym_explicit] = ACTIONS(2364),
    [anon_sym_typename] = ACTIONS(2364),
    [anon_sym_template] = ACTIONS(2364),
    [anon_sym_operator] = ACTIONS(2364),
    [anon_sym_try] = ACTIONS(2364),
    [anon_sym_delete] = ACTIONS(2364),
    [anon_sym_throw] = ACTIONS(2364),
    [anon_sym_namespace] = ACTIONS(2364),
    [anon_sym_using] = ACTIONS(2364),
    [anon_sym_static_assert] = ACTIONS(2364),
    [anon_sym_concept] = ACTIONS(2364),
    [anon_sym_co_return] = ACTIONS(2364),
    [anon_sym_co_yield] = ACTIONS(2364),
    [anon_sym_R_DQUOTE] = ACTIONS(2366),
    [anon_sym_LR_DQUOTE] = ACTIONS(2366),
    [anon_sym_uR_DQUOTE] = ACTIONS(2366),
    [anon_sym_UR_DQUOTE] = ACTIONS(2366),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2366),
    [anon_sym_co_await] = ACTIONS(2364),
    [anon_sym_new] = ACTIONS(2364),
    [anon_sym_requires] = ACTIONS(2364),
    [sym_this] = ACTIONS(2364),
    [anon_sym_discard] = ACTIONS(2364),
    [anon_sym_precise] = ACTIONS(2364),
    [anon_sym_shared] = ACTIONS(2364),
    [anon_sym_groupshared] = ACTIONS(2364),
    [anon_sym_uniform] = ACTIONS(2364),
    [anon_sym_row_major] = ACTIONS(2364),
    [anon_sym_column_major] = ACTIONS(2364),
    [anon_sym_globallycoherent] = ACTIONS(2364),
    [anon_sym_centroid] = ACTIONS(2364),
    [anon_sym_noperspective] = ACTIONS(2364),
    [anon_sym_nointerpolation] = ACTIONS(2364),
    [anon_sym_sample] = ACTIONS(2364),
    [anon_sym_linear] = ACTIONS(2364),
    [anon_sym_snorm] = ACTIONS(2364),
    [anon_sym_unorm] = ACTIONS(2364),
    [anon_sym_point] = ACTIONS(2364),
    [anon_sym_line] = ACTIONS(2364),
    [anon_sym_triangleadj] = ACTIONS(2364),
    [anon_sym_lineadj] = ACTIONS(2364),
    [anon_sym_triangle] = ACTIONS(2364),
    [anon_sym_cbuffer] = ACTIONS(2364),
  },
  [511] = {
    [sym_preproc_def] = STATE(1102),
    [sym_preproc_function_def] = STATE(1102),
    [sym_preproc_call] = STATE(1102),
    [sym_preproc_if_in_field_declaration_list] = STATE(1102),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(1102),
    [sym_preproc_else_in_field_declaration_list] = STATE(9444),
    [sym_preproc_elif_in_field_declaration_list] = STATE(9444),
    [sym_preproc_elifdef_in_field_declaration_list] = STATE(9444),
    [sym_type_definition] = STATE(1102),
    [sym__declaration_modifiers] = STATE(3159),
    [sym__declaration_specifiers] = STATE(6906),
    [sym_attribute_specifier] = STATE(3159),
    [sym_attribute_declaration] = STATE(3159),
    [sym_ms_declspec_modifier] = STATE(3159),
    [sym_ms_based_modifier] = STATE(10332),
    [sym__declarator] = STATE(7978),
    [sym_parenthesized_declarator] = STATE(7680),
    [sym_attributed_declarator] = STATE(7680),
    [sym_pointer_declarator] = STATE(7680),
    [sym_function_declarator] = STATE(7506),
    [sym_array_declarator] = STATE(7680),
    [sym_storage_class_specifier] = STATE(3159),
    [sym_type_qualifier] = STATE(3159),
    [sym__type_specifier] = STATE(2827),
    [sym_sized_type_specifier] = STATE(3085),
    [sym_enum_specifier] = STATE(3085),
    [sym_struct_specifier] = STATE(3085),
    [sym_union_specifier] = STATE(3085),
    [sym__field_declaration_list_item] = STATE(1102),
    [sym_field_declaration] = STATE(1102),
    [sym_placeholder_type_specifier] = STATE(3085),
    [sym_decltype_auto] = STATE(3091),
    [sym_decltype] = STATE(3050),
    [sym_class_specifier] = STATE(3085),
    [sym_virtual] = STATE(3159),
    [sym_alignas_specifier] = STATE(3159),
    [sym_explicit_function_specifier] = STATE(2515),
    [sym_dependent_type] = STATE(3085),
    [sym_template_declaration] = STATE(1102),
    [sym_operator_cast] = STATE(8047),
    [sym_inline_method_definition] = STATE(1102),
    [sym__constructor_specifiers] = STATE(2515),
    [sym_operator_cast_definition] = STATE(1102),
    [sym_operator_cast_declaration] = STATE(1102),
    [sym_constructor_or_destructor_definition] = STATE(1102),
    [sym_constructor_or_destructor_declaration] = STATE(1102),
    [sym_friend_declaration] = STATE(1102),
    [sym_access_specifier] = STATE(9869),
    [sym_reference_declarator] = STATE(7680),
    [sym_structured_binding_declarator] = STATE(7680),
    [sym_template_type] = STATE(3050),
    [sym_template_function] = STATE(7680),
    [sym_using_declaration] = STATE(1102),
    [sym_alias_declaration] = STATE(1102),
    [sym_static_assert_declaration] = STATE(1102),
    [sym_destructor_name] = STATE(7680),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6733),
    [sym_qualified_identifier] = STATE(7680),
    [sym_qualified_type_identifier] = STATE(3068),
    [sym_qualified_operator_cast_identifier] = STATE(8047),
    [sym_operator_name] = STATE(7680),
    [sym_qualifiers] = STATE(3159),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(1102),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2680),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3021),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2515),
    [sym_identifier] = ACTIONS(2857),
    [aux_sym_preproc_def_token1] = ACTIONS(2859),
    [aux_sym_preproc_if_token1] = ACTIONS(2861),
    [aux_sym_preproc_if_token2] = ACTIONS(2915),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2865),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2865),
    [aux_sym_preproc_else_token1] = ACTIONS(2867),
    [aux_sym_preproc_elif_token1] = ACTIONS(2869),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2871),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2871),
    [sym_preproc_directive] = ACTIONS(2873),
    [anon_sym_LPAREN2] = ACTIONS(2875),
    [anon_sym_TILDE] = ACTIONS(2877),
    [anon_sym_STAR] = ACTIONS(2879),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(2881),
    [anon_sym___extension__] = ACTIONS(2883),
    [anon_sym_typedef] = ACTIONS(2885),
    [anon_sym_in] = ACTIONS(37),
    [anon_sym_out] = ACTIONS(37),
    [anon_sym_inout] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(2887),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2096),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(2889),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(2891),
    [anon_sym_enum] = ACTIONS(2893),
    [anon_sym_class] = ACTIONS(2895),
    [anon_sym_struct] = ACTIONS(2897),
    [anon_sym_union] = ACTIONS(2899),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [anon_sym_virtual] = ACTIONS(123),
    [anon_sym_alignas] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(2901),
    [anon_sym_template] = ACTIONS(2903),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_friend] = ACTIONS(2905),
    [anon_sym_public] = ACTIONS(2907),
    [anon_sym_private] = ACTIONS(2907),
    [anon_sym_protected] = ACTIONS(2907),
    [anon_sym_using] = ACTIONS(2909),
    [anon_sym_static_assert] = ACTIONS(2911),
    [anon_sym_precise] = ACTIONS(161),
    [anon_sym_shared] = ACTIONS(161),
    [anon_sym_groupshared] = ACTIONS(161),
    [anon_sym_uniform] = ACTIONS(161),
    [anon_sym_row_major] = ACTIONS(161),
    [anon_sym_column_major] = ACTIONS(161),
    [anon_sym_globallycoherent] = ACTIONS(161),
    [anon_sym_centroid] = ACTIONS(161),
    [anon_sym_noperspective] = ACTIONS(161),
    [anon_sym_nointerpolation] = ACTIONS(161),
    [anon_sym_sample] = ACTIONS(161),
    [anon_sym_linear] = ACTIONS(161),
    [anon_sym_snorm] = ACTIONS(161),
    [anon_sym_unorm] = ACTIONS(161),
    [anon_sym_point] = ACTIONS(161),
    [anon_sym_line] = ACTIONS(161),
    [anon_sym_triangleadj] = ACTIONS(161),
    [anon_sym_lineadj] = ACTIONS(161),
    [anon_sym_triangle] = ACTIONS(161),
  },
  [512] = {
    [sym_identifier] = ACTIONS(2238),
    [aux_sym_preproc_include_token1] = ACTIONS(2238),
    [aux_sym_preproc_def_token1] = ACTIONS(2238),
    [anon_sym_COMMA] = ACTIONS(2358),
    [aux_sym_preproc_if_token1] = ACTIONS(2238),
    [aux_sym_preproc_if_token2] = ACTIONS(2238),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2238),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2238),
    [aux_sym_preproc_else_token1] = ACTIONS(2238),
    [aux_sym_preproc_elif_token1] = ACTIONS(2238),
    [sym_preproc_directive] = ACTIONS(2238),
    [anon_sym_LPAREN2] = ACTIONS(2236),
    [anon_sym_BANG] = ACTIONS(2236),
    [anon_sym_TILDE] = ACTIONS(2236),
    [anon_sym_DASH] = ACTIONS(2238),
    [anon_sym_PLUS] = ACTIONS(2238),
    [anon_sym_STAR] = ACTIONS(2236),
    [anon_sym_AMP_AMP] = ACTIONS(2236),
    [anon_sym_AMP] = ACTIONS(2238),
    [anon_sym_SEMI] = ACTIONS(2358),
    [anon_sym___extension__] = ACTIONS(2238),
    [anon_sym_typedef] = ACTIONS(2238),
    [anon_sym_in] = ACTIONS(2238),
    [anon_sym_out] = ACTIONS(2238),
    [anon_sym_inout] = ACTIONS(2238),
    [anon_sym_extern] = ACTIONS(2238),
    [anon_sym___attribute__] = ACTIONS(2238),
    [anon_sym_COLON_COLON] = ACTIONS(2236),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2236),
    [anon_sym___declspec] = ACTIONS(2238),
    [anon_sym___based] = ACTIONS(2238),
    [anon_sym___cdecl] = ACTIONS(2238),
    [anon_sym___clrcall] = ACTIONS(2238),
    [anon_sym___stdcall] = ACTIONS(2238),
    [anon_sym___fastcall] = ACTIONS(2238),
    [anon_sym___thiscall] = ACTIONS(2238),
    [anon_sym___vectorcall] = ACTIONS(2238),
    [anon_sym_LBRACE] = ACTIONS(2236),
    [anon_sym_signed] = ACTIONS(2238),
    [anon_sym_unsigned] = ACTIONS(2238),
    [anon_sym_long] = ACTIONS(2238),
    [anon_sym_short] = ACTIONS(2238),
    [anon_sym_LBRACK] = ACTIONS(2238),
    [anon_sym_static] = ACTIONS(2238),
    [anon_sym_register] = ACTIONS(2238),
    [anon_sym_inline] = ACTIONS(2238),
    [anon_sym___inline] = ACTIONS(2238),
    [anon_sym___inline__] = ACTIONS(2238),
    [anon_sym___forceinline] = ACTIONS(2238),
    [anon_sym_thread_local] = ACTIONS(2238),
    [anon_sym___thread] = ACTIONS(2238),
    [anon_sym_const] = ACTIONS(2238),
    [anon_sym_constexpr] = ACTIONS(2238),
    [anon_sym_volatile] = ACTIONS(2238),
    [anon_sym_restrict] = ACTIONS(2238),
    [anon_sym___restrict__] = ACTIONS(2238),
    [anon_sym__Atomic] = ACTIONS(2238),
    [anon_sym__Noreturn] = ACTIONS(2238),
    [anon_sym_noreturn] = ACTIONS(2238),
    [anon_sym_mutable] = ACTIONS(2238),
    [anon_sym_constinit] = ACTIONS(2238),
    [anon_sym_consteval] = ACTIONS(2238),
    [sym_primitive_type] = ACTIONS(2238),
    [anon_sym_enum] = ACTIONS(2238),
    [anon_sym_class] = ACTIONS(2238),
    [anon_sym_struct] = ACTIONS(2238),
    [anon_sym_union] = ACTIONS(2238),
    [anon_sym_if] = ACTIONS(2238),
    [anon_sym_switch] = ACTIONS(2238),
    [anon_sym_case] = ACTIONS(2238),
    [anon_sym_default] = ACTIONS(2238),
    [anon_sym_while] = ACTIONS(2238),
    [anon_sym_do] = ACTIONS(2238),
    [anon_sym_for] = ACTIONS(2238),
    [anon_sym_return] = ACTIONS(2238),
    [anon_sym_break] = ACTIONS(2238),
    [anon_sym_continue] = ACTIONS(2238),
    [anon_sym_goto] = ACTIONS(2238),
    [anon_sym___try] = ACTIONS(2238),
    [anon_sym___leave] = ACTIONS(2238),
    [anon_sym_not] = ACTIONS(2238),
    [anon_sym_compl] = ACTIONS(2238),
    [anon_sym_DASH_DASH] = ACTIONS(2236),
    [anon_sym_PLUS_PLUS] = ACTIONS(2236),
    [anon_sym_sizeof] = ACTIONS(2238),
    [anon_sym___alignof__] = ACTIONS(2238),
    [anon_sym___alignof] = ACTIONS(2238),
    [anon_sym__alignof] = ACTIONS(2238),
    [anon_sym_alignof] = ACTIONS(2238),
    [anon_sym__Alignof] = ACTIONS(2238),
    [anon_sym_offsetof] = ACTIONS(2238),
    [anon_sym__Generic] = ACTIONS(2238),
    [anon_sym_asm] = ACTIONS(2238),
    [anon_sym___asm__] = ACTIONS(2238),
    [sym_number_literal] = ACTIONS(2236),
    [anon_sym_L_SQUOTE] = ACTIONS(2236),
    [anon_sym_u_SQUOTE] = ACTIONS(2236),
    [anon_sym_U_SQUOTE] = ACTIONS(2236),
    [anon_sym_u8_SQUOTE] = ACTIONS(2236),
    [anon_sym_SQUOTE] = ACTIONS(2236),
    [anon_sym_L_DQUOTE] = ACTIONS(2236),
    [anon_sym_u_DQUOTE] = ACTIONS(2236),
    [anon_sym_U_DQUOTE] = ACTIONS(2236),
    [anon_sym_u8_DQUOTE] = ACTIONS(2236),
    [anon_sym_DQUOTE] = ACTIONS(2236),
    [sym_true] = ACTIONS(2238),
    [sym_false] = ACTIONS(2238),
    [anon_sym_NULL] = ACTIONS(2238),
    [anon_sym_nullptr] = ACTIONS(2238),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2238),
    [anon_sym_decltype] = ACTIONS(2238),
    [anon_sym_virtual] = ACTIONS(2238),
    [anon_sym_alignas] = ACTIONS(2238),
    [anon_sym_explicit] = ACTIONS(2238),
    [anon_sym_typename] = ACTIONS(2238),
    [anon_sym_template] = ACTIONS(2238),
    [anon_sym_operator] = ACTIONS(2238),
    [anon_sym_try] = ACTIONS(2238),
    [anon_sym_delete] = ACTIONS(2238),
    [anon_sym_throw] = ACTIONS(2238),
    [anon_sym_namespace] = ACTIONS(2238),
    [anon_sym_using] = ACTIONS(2238),
    [anon_sym_static_assert] = ACTIONS(2238),
    [anon_sym_concept] = ACTIONS(2238),
    [anon_sym_co_return] = ACTIONS(2238),
    [anon_sym_co_yield] = ACTIONS(2238),
    [anon_sym_R_DQUOTE] = ACTIONS(2236),
    [anon_sym_LR_DQUOTE] = ACTIONS(2236),
    [anon_sym_uR_DQUOTE] = ACTIONS(2236),
    [anon_sym_UR_DQUOTE] = ACTIONS(2236),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2236),
    [anon_sym_co_await] = ACTIONS(2238),
    [anon_sym_new] = ACTIONS(2238),
    [anon_sym_requires] = ACTIONS(2238),
    [sym_this] = ACTIONS(2238),
    [anon_sym_discard] = ACTIONS(2238),
    [anon_sym_precise] = ACTIONS(2238),
    [anon_sym_shared] = ACTIONS(2238),
    [anon_sym_groupshared] = ACTIONS(2238),
    [anon_sym_uniform] = ACTIONS(2238),
    [anon_sym_row_major] = ACTIONS(2238),
    [anon_sym_column_major] = ACTIONS(2238),
    [anon_sym_globallycoherent] = ACTIONS(2238),
    [anon_sym_centroid] = ACTIONS(2238),
    [anon_sym_noperspective] = ACTIONS(2238),
    [anon_sym_nointerpolation] = ACTIONS(2238),
    [anon_sym_sample] = ACTIONS(2238),
    [anon_sym_linear] = ACTIONS(2238),
    [anon_sym_snorm] = ACTIONS(2238),
    [anon_sym_unorm] = ACTIONS(2238),
    [anon_sym_point] = ACTIONS(2238),
    [anon_sym_line] = ACTIONS(2238),
    [anon_sym_triangleadj] = ACTIONS(2238),
    [anon_sym_lineadj] = ACTIONS(2238),
    [anon_sym_triangle] = ACTIONS(2238),
    [anon_sym_cbuffer] = ACTIONS(2238),
  },
  [513] = {
    [sym_identifier] = ACTIONS(2330),
    [aux_sym_preproc_include_token1] = ACTIONS(2330),
    [aux_sym_preproc_def_token1] = ACTIONS(2330),
    [aux_sym_preproc_if_token1] = ACTIONS(2330),
    [aux_sym_preproc_if_token2] = ACTIONS(2330),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2330),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2330),
    [aux_sym_preproc_else_token1] = ACTIONS(2330),
    [aux_sym_preproc_elif_token1] = ACTIONS(2330),
    [sym_preproc_directive] = ACTIONS(2330),
    [anon_sym_LPAREN2] = ACTIONS(2332),
    [anon_sym_BANG] = ACTIONS(2332),
    [anon_sym_TILDE] = ACTIONS(2332),
    [anon_sym_DASH] = ACTIONS(2330),
    [anon_sym_PLUS] = ACTIONS(2330),
    [anon_sym_STAR] = ACTIONS(2332),
    [anon_sym_AMP_AMP] = ACTIONS(2332),
    [anon_sym_AMP] = ACTIONS(2330),
    [anon_sym_SEMI] = ACTIONS(2332),
    [anon_sym___extension__] = ACTIONS(2330),
    [anon_sym_typedef] = ACTIONS(2330),
    [anon_sym_in] = ACTIONS(2330),
    [anon_sym_out] = ACTIONS(2330),
    [anon_sym_inout] = ACTIONS(2330),
    [anon_sym_extern] = ACTIONS(2330),
    [anon_sym___attribute__] = ACTIONS(2330),
    [anon_sym_COLON_COLON] = ACTIONS(2332),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2332),
    [anon_sym___declspec] = ACTIONS(2330),
    [anon_sym___based] = ACTIONS(2330),
    [anon_sym___cdecl] = ACTIONS(2330),
    [anon_sym___clrcall] = ACTIONS(2330),
    [anon_sym___stdcall] = ACTIONS(2330),
    [anon_sym___fastcall] = ACTIONS(2330),
    [anon_sym___thiscall] = ACTIONS(2330),
    [anon_sym___vectorcall] = ACTIONS(2330),
    [anon_sym_LBRACE] = ACTIONS(2332),
    [anon_sym_signed] = ACTIONS(2330),
    [anon_sym_unsigned] = ACTIONS(2330),
    [anon_sym_long] = ACTIONS(2330),
    [anon_sym_short] = ACTIONS(2330),
    [anon_sym_LBRACK] = ACTIONS(2330),
    [anon_sym_static] = ACTIONS(2330),
    [anon_sym_register] = ACTIONS(2330),
    [anon_sym_inline] = ACTIONS(2330),
    [anon_sym___inline] = ACTIONS(2330),
    [anon_sym___inline__] = ACTIONS(2330),
    [anon_sym___forceinline] = ACTIONS(2330),
    [anon_sym_thread_local] = ACTIONS(2330),
    [anon_sym___thread] = ACTIONS(2330),
    [anon_sym_const] = ACTIONS(2330),
    [anon_sym_constexpr] = ACTIONS(2330),
    [anon_sym_volatile] = ACTIONS(2330),
    [anon_sym_restrict] = ACTIONS(2330),
    [anon_sym___restrict__] = ACTIONS(2330),
    [anon_sym__Atomic] = ACTIONS(2330),
    [anon_sym__Noreturn] = ACTIONS(2330),
    [anon_sym_noreturn] = ACTIONS(2330),
    [anon_sym_mutable] = ACTIONS(2330),
    [anon_sym_constinit] = ACTIONS(2330),
    [anon_sym_consteval] = ACTIONS(2330),
    [sym_primitive_type] = ACTIONS(2330),
    [anon_sym_enum] = ACTIONS(2330),
    [anon_sym_class] = ACTIONS(2330),
    [anon_sym_struct] = ACTIONS(2330),
    [anon_sym_union] = ACTIONS(2330),
    [anon_sym_if] = ACTIONS(2330),
    [anon_sym_else] = ACTIONS(2330),
    [anon_sym_switch] = ACTIONS(2330),
    [anon_sym_case] = ACTIONS(2330),
    [anon_sym_default] = ACTIONS(2330),
    [anon_sym_while] = ACTIONS(2330),
    [anon_sym_do] = ACTIONS(2330),
    [anon_sym_for] = ACTIONS(2330),
    [anon_sym_return] = ACTIONS(2330),
    [anon_sym_break] = ACTIONS(2330),
    [anon_sym_continue] = ACTIONS(2330),
    [anon_sym_goto] = ACTIONS(2330),
    [anon_sym___try] = ACTIONS(2330),
    [anon_sym___leave] = ACTIONS(2330),
    [anon_sym_not] = ACTIONS(2330),
    [anon_sym_compl] = ACTIONS(2330),
    [anon_sym_DASH_DASH] = ACTIONS(2332),
    [anon_sym_PLUS_PLUS] = ACTIONS(2332),
    [anon_sym_sizeof] = ACTIONS(2330),
    [anon_sym___alignof__] = ACTIONS(2330),
    [anon_sym___alignof] = ACTIONS(2330),
    [anon_sym__alignof] = ACTIONS(2330),
    [anon_sym_alignof] = ACTIONS(2330),
    [anon_sym__Alignof] = ACTIONS(2330),
    [anon_sym_offsetof] = ACTIONS(2330),
    [anon_sym__Generic] = ACTIONS(2330),
    [anon_sym_asm] = ACTIONS(2330),
    [anon_sym___asm__] = ACTIONS(2330),
    [sym_number_literal] = ACTIONS(2332),
    [anon_sym_L_SQUOTE] = ACTIONS(2332),
    [anon_sym_u_SQUOTE] = ACTIONS(2332),
    [anon_sym_U_SQUOTE] = ACTIONS(2332),
    [anon_sym_u8_SQUOTE] = ACTIONS(2332),
    [anon_sym_SQUOTE] = ACTIONS(2332),
    [anon_sym_L_DQUOTE] = ACTIONS(2332),
    [anon_sym_u_DQUOTE] = ACTIONS(2332),
    [anon_sym_U_DQUOTE] = ACTIONS(2332),
    [anon_sym_u8_DQUOTE] = ACTIONS(2332),
    [anon_sym_DQUOTE] = ACTIONS(2332),
    [sym_true] = ACTIONS(2330),
    [sym_false] = ACTIONS(2330),
    [anon_sym_NULL] = ACTIONS(2330),
    [anon_sym_nullptr] = ACTIONS(2330),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2330),
    [anon_sym_decltype] = ACTIONS(2330),
    [anon_sym_virtual] = ACTIONS(2330),
    [anon_sym_alignas] = ACTIONS(2330),
    [anon_sym_explicit] = ACTIONS(2330),
    [anon_sym_typename] = ACTIONS(2330),
    [anon_sym_template] = ACTIONS(2330),
    [anon_sym_operator] = ACTIONS(2330),
    [anon_sym_try] = ACTIONS(2330),
    [anon_sym_delete] = ACTIONS(2330),
    [anon_sym_throw] = ACTIONS(2330),
    [anon_sym_namespace] = ACTIONS(2330),
    [anon_sym_using] = ACTIONS(2330),
    [anon_sym_static_assert] = ACTIONS(2330),
    [anon_sym_concept] = ACTIONS(2330),
    [anon_sym_co_return] = ACTIONS(2330),
    [anon_sym_co_yield] = ACTIONS(2330),
    [anon_sym_R_DQUOTE] = ACTIONS(2332),
    [anon_sym_LR_DQUOTE] = ACTIONS(2332),
    [anon_sym_uR_DQUOTE] = ACTIONS(2332),
    [anon_sym_UR_DQUOTE] = ACTIONS(2332),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2332),
    [anon_sym_co_await] = ACTIONS(2330),
    [anon_sym_new] = ACTIONS(2330),
    [anon_sym_requires] = ACTIONS(2330),
    [sym_this] = ACTIONS(2330),
    [anon_sym_discard] = ACTIONS(2330),
    [anon_sym_precise] = ACTIONS(2330),
    [anon_sym_shared] = ACTIONS(2330),
    [anon_sym_groupshared] = ACTIONS(2330),
    [anon_sym_uniform] = ACTIONS(2330),
    [anon_sym_row_major] = ACTIONS(2330),
    [anon_sym_column_major] = ACTIONS(2330),
    [anon_sym_globallycoherent] = ACTIONS(2330),
    [anon_sym_centroid] = ACTIONS(2330),
    [anon_sym_noperspective] = ACTIONS(2330),
    [anon_sym_nointerpolation] = ACTIONS(2330),
    [anon_sym_sample] = ACTIONS(2330),
    [anon_sym_linear] = ACTIONS(2330),
    [anon_sym_snorm] = ACTIONS(2330),
    [anon_sym_unorm] = ACTIONS(2330),
    [anon_sym_point] = ACTIONS(2330),
    [anon_sym_line] = ACTIONS(2330),
    [anon_sym_triangleadj] = ACTIONS(2330),
    [anon_sym_lineadj] = ACTIONS(2330),
    [anon_sym_triangle] = ACTIONS(2330),
    [anon_sym_cbuffer] = ACTIONS(2330),
  },
  [514] = {
    [sym_identifier] = ACTIONS(2346),
    [aux_sym_preproc_include_token1] = ACTIONS(2346),
    [aux_sym_preproc_def_token1] = ACTIONS(2346),
    [aux_sym_preproc_if_token1] = ACTIONS(2346),
    [aux_sym_preproc_if_token2] = ACTIONS(2346),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2346),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2346),
    [aux_sym_preproc_else_token1] = ACTIONS(2346),
    [aux_sym_preproc_elif_token1] = ACTIONS(2346),
    [sym_preproc_directive] = ACTIONS(2346),
    [anon_sym_LPAREN2] = ACTIONS(2348),
    [anon_sym_BANG] = ACTIONS(2348),
    [anon_sym_TILDE] = ACTIONS(2348),
    [anon_sym_DASH] = ACTIONS(2346),
    [anon_sym_PLUS] = ACTIONS(2346),
    [anon_sym_STAR] = ACTIONS(2348),
    [anon_sym_AMP_AMP] = ACTIONS(2348),
    [anon_sym_AMP] = ACTIONS(2346),
    [anon_sym_SEMI] = ACTIONS(2348),
    [anon_sym___extension__] = ACTIONS(2346),
    [anon_sym_typedef] = ACTIONS(2346),
    [anon_sym_in] = ACTIONS(2346),
    [anon_sym_out] = ACTIONS(2346),
    [anon_sym_inout] = ACTIONS(2346),
    [anon_sym_extern] = ACTIONS(2346),
    [anon_sym___attribute__] = ACTIONS(2346),
    [anon_sym_COLON_COLON] = ACTIONS(2348),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2348),
    [anon_sym___declspec] = ACTIONS(2346),
    [anon_sym___based] = ACTIONS(2346),
    [anon_sym___cdecl] = ACTIONS(2346),
    [anon_sym___clrcall] = ACTIONS(2346),
    [anon_sym___stdcall] = ACTIONS(2346),
    [anon_sym___fastcall] = ACTIONS(2346),
    [anon_sym___thiscall] = ACTIONS(2346),
    [anon_sym___vectorcall] = ACTIONS(2346),
    [anon_sym_LBRACE] = ACTIONS(2348),
    [anon_sym_signed] = ACTIONS(2346),
    [anon_sym_unsigned] = ACTIONS(2346),
    [anon_sym_long] = ACTIONS(2346),
    [anon_sym_short] = ACTIONS(2346),
    [anon_sym_LBRACK] = ACTIONS(2346),
    [anon_sym_static] = ACTIONS(2346),
    [anon_sym_register] = ACTIONS(2346),
    [anon_sym_inline] = ACTIONS(2346),
    [anon_sym___inline] = ACTIONS(2346),
    [anon_sym___inline__] = ACTIONS(2346),
    [anon_sym___forceinline] = ACTIONS(2346),
    [anon_sym_thread_local] = ACTIONS(2346),
    [anon_sym___thread] = ACTIONS(2346),
    [anon_sym_const] = ACTIONS(2346),
    [anon_sym_constexpr] = ACTIONS(2346),
    [anon_sym_volatile] = ACTIONS(2346),
    [anon_sym_restrict] = ACTIONS(2346),
    [anon_sym___restrict__] = ACTIONS(2346),
    [anon_sym__Atomic] = ACTIONS(2346),
    [anon_sym__Noreturn] = ACTIONS(2346),
    [anon_sym_noreturn] = ACTIONS(2346),
    [anon_sym_mutable] = ACTIONS(2346),
    [anon_sym_constinit] = ACTIONS(2346),
    [anon_sym_consteval] = ACTIONS(2346),
    [sym_primitive_type] = ACTIONS(2346),
    [anon_sym_enum] = ACTIONS(2346),
    [anon_sym_class] = ACTIONS(2346),
    [anon_sym_struct] = ACTIONS(2346),
    [anon_sym_union] = ACTIONS(2346),
    [anon_sym_if] = ACTIONS(2346),
    [anon_sym_else] = ACTIONS(2346),
    [anon_sym_switch] = ACTIONS(2346),
    [anon_sym_case] = ACTIONS(2346),
    [anon_sym_default] = ACTIONS(2346),
    [anon_sym_while] = ACTIONS(2346),
    [anon_sym_do] = ACTIONS(2346),
    [anon_sym_for] = ACTIONS(2346),
    [anon_sym_return] = ACTIONS(2346),
    [anon_sym_break] = ACTIONS(2346),
    [anon_sym_continue] = ACTIONS(2346),
    [anon_sym_goto] = ACTIONS(2346),
    [anon_sym___try] = ACTIONS(2346),
    [anon_sym___leave] = ACTIONS(2346),
    [anon_sym_not] = ACTIONS(2346),
    [anon_sym_compl] = ACTIONS(2346),
    [anon_sym_DASH_DASH] = ACTIONS(2348),
    [anon_sym_PLUS_PLUS] = ACTIONS(2348),
    [anon_sym_sizeof] = ACTIONS(2346),
    [anon_sym___alignof__] = ACTIONS(2346),
    [anon_sym___alignof] = ACTIONS(2346),
    [anon_sym__alignof] = ACTIONS(2346),
    [anon_sym_alignof] = ACTIONS(2346),
    [anon_sym__Alignof] = ACTIONS(2346),
    [anon_sym_offsetof] = ACTIONS(2346),
    [anon_sym__Generic] = ACTIONS(2346),
    [anon_sym_asm] = ACTIONS(2346),
    [anon_sym___asm__] = ACTIONS(2346),
    [sym_number_literal] = ACTIONS(2348),
    [anon_sym_L_SQUOTE] = ACTIONS(2348),
    [anon_sym_u_SQUOTE] = ACTIONS(2348),
    [anon_sym_U_SQUOTE] = ACTIONS(2348),
    [anon_sym_u8_SQUOTE] = ACTIONS(2348),
    [anon_sym_SQUOTE] = ACTIONS(2348),
    [anon_sym_L_DQUOTE] = ACTIONS(2348),
    [anon_sym_u_DQUOTE] = ACTIONS(2348),
    [anon_sym_U_DQUOTE] = ACTIONS(2348),
    [anon_sym_u8_DQUOTE] = ACTIONS(2348),
    [anon_sym_DQUOTE] = ACTIONS(2348),
    [sym_true] = ACTIONS(2346),
    [sym_false] = ACTIONS(2346),
    [anon_sym_NULL] = ACTIONS(2346),
    [anon_sym_nullptr] = ACTIONS(2346),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2346),
    [anon_sym_decltype] = ACTIONS(2346),
    [anon_sym_virtual] = ACTIONS(2346),
    [anon_sym_alignas] = ACTIONS(2346),
    [anon_sym_explicit] = ACTIONS(2346),
    [anon_sym_typename] = ACTIONS(2346),
    [anon_sym_template] = ACTIONS(2346),
    [anon_sym_operator] = ACTIONS(2346),
    [anon_sym_try] = ACTIONS(2346),
    [anon_sym_delete] = ACTIONS(2346),
    [anon_sym_throw] = ACTIONS(2346),
    [anon_sym_namespace] = ACTIONS(2346),
    [anon_sym_using] = ACTIONS(2346),
    [anon_sym_static_assert] = ACTIONS(2346),
    [anon_sym_concept] = ACTIONS(2346),
    [anon_sym_co_return] = ACTIONS(2346),
    [anon_sym_co_yield] = ACTIONS(2346),
    [anon_sym_R_DQUOTE] = ACTIONS(2348),
    [anon_sym_LR_DQUOTE] = ACTIONS(2348),
    [anon_sym_uR_DQUOTE] = ACTIONS(2348),
    [anon_sym_UR_DQUOTE] = ACTIONS(2348),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2348),
    [anon_sym_co_await] = ACTIONS(2346),
    [anon_sym_new] = ACTIONS(2346),
    [anon_sym_requires] = ACTIONS(2346),
    [sym_this] = ACTIONS(2346),
    [anon_sym_discard] = ACTIONS(2346),
    [anon_sym_precise] = ACTIONS(2346),
    [anon_sym_shared] = ACTIONS(2346),
    [anon_sym_groupshared] = ACTIONS(2346),
    [anon_sym_uniform] = ACTIONS(2346),
    [anon_sym_row_major] = ACTIONS(2346),
    [anon_sym_column_major] = ACTIONS(2346),
    [anon_sym_globallycoherent] = ACTIONS(2346),
    [anon_sym_centroid] = ACTIONS(2346),
    [anon_sym_noperspective] = ACTIONS(2346),
    [anon_sym_nointerpolation] = ACTIONS(2346),
    [anon_sym_sample] = ACTIONS(2346),
    [anon_sym_linear] = ACTIONS(2346),
    [anon_sym_snorm] = ACTIONS(2346),
    [anon_sym_unorm] = ACTIONS(2346),
    [anon_sym_point] = ACTIONS(2346),
    [anon_sym_line] = ACTIONS(2346),
    [anon_sym_triangleadj] = ACTIONS(2346),
    [anon_sym_lineadj] = ACTIONS(2346),
    [anon_sym_triangle] = ACTIONS(2346),
    [anon_sym_cbuffer] = ACTIONS(2346),
  },
  [515] = {
    [sym_identifier] = ACTIONS(2444),
    [aux_sym_preproc_include_token1] = ACTIONS(2444),
    [aux_sym_preproc_def_token1] = ACTIONS(2444),
    [aux_sym_preproc_if_token1] = ACTIONS(2444),
    [aux_sym_preproc_if_token2] = ACTIONS(2444),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2444),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2444),
    [aux_sym_preproc_else_token1] = ACTIONS(2444),
    [aux_sym_preproc_elif_token1] = ACTIONS(2444),
    [sym_preproc_directive] = ACTIONS(2444),
    [anon_sym_LPAREN2] = ACTIONS(2446),
    [anon_sym_BANG] = ACTIONS(2446),
    [anon_sym_TILDE] = ACTIONS(2446),
    [anon_sym_DASH] = ACTIONS(2444),
    [anon_sym_PLUS] = ACTIONS(2444),
    [anon_sym_STAR] = ACTIONS(2446),
    [anon_sym_AMP_AMP] = ACTIONS(2446),
    [anon_sym_AMP] = ACTIONS(2444),
    [anon_sym_SEMI] = ACTIONS(2446),
    [anon_sym___extension__] = ACTIONS(2444),
    [anon_sym_typedef] = ACTIONS(2444),
    [anon_sym_in] = ACTIONS(2444),
    [anon_sym_out] = ACTIONS(2444),
    [anon_sym_inout] = ACTIONS(2444),
    [anon_sym_extern] = ACTIONS(2444),
    [anon_sym___attribute__] = ACTIONS(2444),
    [anon_sym_COLON_COLON] = ACTIONS(2446),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2446),
    [anon_sym___declspec] = ACTIONS(2444),
    [anon_sym___based] = ACTIONS(2444),
    [anon_sym___cdecl] = ACTIONS(2444),
    [anon_sym___clrcall] = ACTIONS(2444),
    [anon_sym___stdcall] = ACTIONS(2444),
    [anon_sym___fastcall] = ACTIONS(2444),
    [anon_sym___thiscall] = ACTIONS(2444),
    [anon_sym___vectorcall] = ACTIONS(2444),
    [anon_sym_LBRACE] = ACTIONS(2446),
    [anon_sym_signed] = ACTIONS(2444),
    [anon_sym_unsigned] = ACTIONS(2444),
    [anon_sym_long] = ACTIONS(2444),
    [anon_sym_short] = ACTIONS(2444),
    [anon_sym_LBRACK] = ACTIONS(2444),
    [anon_sym_static] = ACTIONS(2444),
    [anon_sym_register] = ACTIONS(2444),
    [anon_sym_inline] = ACTIONS(2444),
    [anon_sym___inline] = ACTIONS(2444),
    [anon_sym___inline__] = ACTIONS(2444),
    [anon_sym___forceinline] = ACTIONS(2444),
    [anon_sym_thread_local] = ACTIONS(2444),
    [anon_sym___thread] = ACTIONS(2444),
    [anon_sym_const] = ACTIONS(2444),
    [anon_sym_constexpr] = ACTIONS(2444),
    [anon_sym_volatile] = ACTIONS(2444),
    [anon_sym_restrict] = ACTIONS(2444),
    [anon_sym___restrict__] = ACTIONS(2444),
    [anon_sym__Atomic] = ACTIONS(2444),
    [anon_sym__Noreturn] = ACTIONS(2444),
    [anon_sym_noreturn] = ACTIONS(2444),
    [anon_sym_mutable] = ACTIONS(2444),
    [anon_sym_constinit] = ACTIONS(2444),
    [anon_sym_consteval] = ACTIONS(2444),
    [sym_primitive_type] = ACTIONS(2444),
    [anon_sym_enum] = ACTIONS(2444),
    [anon_sym_class] = ACTIONS(2444),
    [anon_sym_struct] = ACTIONS(2444),
    [anon_sym_union] = ACTIONS(2444),
    [anon_sym_if] = ACTIONS(2444),
    [anon_sym_else] = ACTIONS(2444),
    [anon_sym_switch] = ACTIONS(2444),
    [anon_sym_case] = ACTIONS(2444),
    [anon_sym_default] = ACTIONS(2444),
    [anon_sym_while] = ACTIONS(2444),
    [anon_sym_do] = ACTIONS(2444),
    [anon_sym_for] = ACTIONS(2444),
    [anon_sym_return] = ACTIONS(2444),
    [anon_sym_break] = ACTIONS(2444),
    [anon_sym_continue] = ACTIONS(2444),
    [anon_sym_goto] = ACTIONS(2444),
    [anon_sym___try] = ACTIONS(2444),
    [anon_sym___leave] = ACTIONS(2444),
    [anon_sym_not] = ACTIONS(2444),
    [anon_sym_compl] = ACTIONS(2444),
    [anon_sym_DASH_DASH] = ACTIONS(2446),
    [anon_sym_PLUS_PLUS] = ACTIONS(2446),
    [anon_sym_sizeof] = ACTIONS(2444),
    [anon_sym___alignof__] = ACTIONS(2444),
    [anon_sym___alignof] = ACTIONS(2444),
    [anon_sym__alignof] = ACTIONS(2444),
    [anon_sym_alignof] = ACTIONS(2444),
    [anon_sym__Alignof] = ACTIONS(2444),
    [anon_sym_offsetof] = ACTIONS(2444),
    [anon_sym__Generic] = ACTIONS(2444),
    [anon_sym_asm] = ACTIONS(2444),
    [anon_sym___asm__] = ACTIONS(2444),
    [sym_number_literal] = ACTIONS(2446),
    [anon_sym_L_SQUOTE] = ACTIONS(2446),
    [anon_sym_u_SQUOTE] = ACTIONS(2446),
    [anon_sym_U_SQUOTE] = ACTIONS(2446),
    [anon_sym_u8_SQUOTE] = ACTIONS(2446),
    [anon_sym_SQUOTE] = ACTIONS(2446),
    [anon_sym_L_DQUOTE] = ACTIONS(2446),
    [anon_sym_u_DQUOTE] = ACTIONS(2446),
    [anon_sym_U_DQUOTE] = ACTIONS(2446),
    [anon_sym_u8_DQUOTE] = ACTIONS(2446),
    [anon_sym_DQUOTE] = ACTIONS(2446),
    [sym_true] = ACTIONS(2444),
    [sym_false] = ACTIONS(2444),
    [anon_sym_NULL] = ACTIONS(2444),
    [anon_sym_nullptr] = ACTIONS(2444),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2444),
    [anon_sym_decltype] = ACTIONS(2444),
    [anon_sym_virtual] = ACTIONS(2444),
    [anon_sym_alignas] = ACTIONS(2444),
    [anon_sym_explicit] = ACTIONS(2444),
    [anon_sym_typename] = ACTIONS(2444),
    [anon_sym_template] = ACTIONS(2444),
    [anon_sym_operator] = ACTIONS(2444),
    [anon_sym_try] = ACTIONS(2444),
    [anon_sym_delete] = ACTIONS(2444),
    [anon_sym_throw] = ACTIONS(2444),
    [anon_sym_namespace] = ACTIONS(2444),
    [anon_sym_using] = ACTIONS(2444),
    [anon_sym_static_assert] = ACTIONS(2444),
    [anon_sym_concept] = ACTIONS(2444),
    [anon_sym_co_return] = ACTIONS(2444),
    [anon_sym_co_yield] = ACTIONS(2444),
    [anon_sym_R_DQUOTE] = ACTIONS(2446),
    [anon_sym_LR_DQUOTE] = ACTIONS(2446),
    [anon_sym_uR_DQUOTE] = ACTIONS(2446),
    [anon_sym_UR_DQUOTE] = ACTIONS(2446),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2446),
    [anon_sym_co_await] = ACTIONS(2444),
    [anon_sym_new] = ACTIONS(2444),
    [anon_sym_requires] = ACTIONS(2444),
    [sym_this] = ACTIONS(2444),
    [anon_sym_discard] = ACTIONS(2444),
    [anon_sym_precise] = ACTIONS(2444),
    [anon_sym_shared] = ACTIONS(2444),
    [anon_sym_groupshared] = ACTIONS(2444),
    [anon_sym_uniform] = ACTIONS(2444),
    [anon_sym_row_major] = ACTIONS(2444),
    [anon_sym_column_major] = ACTIONS(2444),
    [anon_sym_globallycoherent] = ACTIONS(2444),
    [anon_sym_centroid] = ACTIONS(2444),
    [anon_sym_noperspective] = ACTIONS(2444),
    [anon_sym_nointerpolation] = ACTIONS(2444),
    [anon_sym_sample] = ACTIONS(2444),
    [anon_sym_linear] = ACTIONS(2444),
    [anon_sym_snorm] = ACTIONS(2444),
    [anon_sym_unorm] = ACTIONS(2444),
    [anon_sym_point] = ACTIONS(2444),
    [anon_sym_line] = ACTIONS(2444),
    [anon_sym_triangleadj] = ACTIONS(2444),
    [anon_sym_lineadj] = ACTIONS(2444),
    [anon_sym_triangle] = ACTIONS(2444),
    [anon_sym_cbuffer] = ACTIONS(2444),
  },
  [516] = {
    [sym_identifier] = ACTIONS(2428),
    [aux_sym_preproc_include_token1] = ACTIONS(2428),
    [aux_sym_preproc_def_token1] = ACTIONS(2428),
    [aux_sym_preproc_if_token1] = ACTIONS(2428),
    [aux_sym_preproc_if_token2] = ACTIONS(2428),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2428),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2428),
    [aux_sym_preproc_else_token1] = ACTIONS(2428),
    [aux_sym_preproc_elif_token1] = ACTIONS(2428),
    [sym_preproc_directive] = ACTIONS(2428),
    [anon_sym_LPAREN2] = ACTIONS(2430),
    [anon_sym_BANG] = ACTIONS(2430),
    [anon_sym_TILDE] = ACTIONS(2430),
    [anon_sym_DASH] = ACTIONS(2428),
    [anon_sym_PLUS] = ACTIONS(2428),
    [anon_sym_STAR] = ACTIONS(2430),
    [anon_sym_AMP_AMP] = ACTIONS(2430),
    [anon_sym_AMP] = ACTIONS(2428),
    [anon_sym_SEMI] = ACTIONS(2430),
    [anon_sym___extension__] = ACTIONS(2428),
    [anon_sym_typedef] = ACTIONS(2428),
    [anon_sym_in] = ACTIONS(2428),
    [anon_sym_out] = ACTIONS(2428),
    [anon_sym_inout] = ACTIONS(2428),
    [anon_sym_extern] = ACTIONS(2428),
    [anon_sym___attribute__] = ACTIONS(2428),
    [anon_sym_COLON_COLON] = ACTIONS(2430),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2430),
    [anon_sym___declspec] = ACTIONS(2428),
    [anon_sym___based] = ACTIONS(2428),
    [anon_sym___cdecl] = ACTIONS(2428),
    [anon_sym___clrcall] = ACTIONS(2428),
    [anon_sym___stdcall] = ACTIONS(2428),
    [anon_sym___fastcall] = ACTIONS(2428),
    [anon_sym___thiscall] = ACTIONS(2428),
    [anon_sym___vectorcall] = ACTIONS(2428),
    [anon_sym_LBRACE] = ACTIONS(2430),
    [anon_sym_signed] = ACTIONS(2428),
    [anon_sym_unsigned] = ACTIONS(2428),
    [anon_sym_long] = ACTIONS(2428),
    [anon_sym_short] = ACTIONS(2428),
    [anon_sym_LBRACK] = ACTIONS(2428),
    [anon_sym_static] = ACTIONS(2428),
    [anon_sym_register] = ACTIONS(2428),
    [anon_sym_inline] = ACTIONS(2428),
    [anon_sym___inline] = ACTIONS(2428),
    [anon_sym___inline__] = ACTIONS(2428),
    [anon_sym___forceinline] = ACTIONS(2428),
    [anon_sym_thread_local] = ACTIONS(2428),
    [anon_sym___thread] = ACTIONS(2428),
    [anon_sym_const] = ACTIONS(2428),
    [anon_sym_constexpr] = ACTIONS(2428),
    [anon_sym_volatile] = ACTIONS(2428),
    [anon_sym_restrict] = ACTIONS(2428),
    [anon_sym___restrict__] = ACTIONS(2428),
    [anon_sym__Atomic] = ACTIONS(2428),
    [anon_sym__Noreturn] = ACTIONS(2428),
    [anon_sym_noreturn] = ACTIONS(2428),
    [anon_sym_mutable] = ACTIONS(2428),
    [anon_sym_constinit] = ACTIONS(2428),
    [anon_sym_consteval] = ACTIONS(2428),
    [sym_primitive_type] = ACTIONS(2428),
    [anon_sym_enum] = ACTIONS(2428),
    [anon_sym_class] = ACTIONS(2428),
    [anon_sym_struct] = ACTIONS(2428),
    [anon_sym_union] = ACTIONS(2428),
    [anon_sym_if] = ACTIONS(2428),
    [anon_sym_else] = ACTIONS(2428),
    [anon_sym_switch] = ACTIONS(2428),
    [anon_sym_case] = ACTIONS(2428),
    [anon_sym_default] = ACTIONS(2428),
    [anon_sym_while] = ACTIONS(2428),
    [anon_sym_do] = ACTIONS(2428),
    [anon_sym_for] = ACTIONS(2428),
    [anon_sym_return] = ACTIONS(2428),
    [anon_sym_break] = ACTIONS(2428),
    [anon_sym_continue] = ACTIONS(2428),
    [anon_sym_goto] = ACTIONS(2428),
    [anon_sym___try] = ACTIONS(2428),
    [anon_sym___leave] = ACTIONS(2428),
    [anon_sym_not] = ACTIONS(2428),
    [anon_sym_compl] = ACTIONS(2428),
    [anon_sym_DASH_DASH] = ACTIONS(2430),
    [anon_sym_PLUS_PLUS] = ACTIONS(2430),
    [anon_sym_sizeof] = ACTIONS(2428),
    [anon_sym___alignof__] = ACTIONS(2428),
    [anon_sym___alignof] = ACTIONS(2428),
    [anon_sym__alignof] = ACTIONS(2428),
    [anon_sym_alignof] = ACTIONS(2428),
    [anon_sym__Alignof] = ACTIONS(2428),
    [anon_sym_offsetof] = ACTIONS(2428),
    [anon_sym__Generic] = ACTIONS(2428),
    [anon_sym_asm] = ACTIONS(2428),
    [anon_sym___asm__] = ACTIONS(2428),
    [sym_number_literal] = ACTIONS(2430),
    [anon_sym_L_SQUOTE] = ACTIONS(2430),
    [anon_sym_u_SQUOTE] = ACTIONS(2430),
    [anon_sym_U_SQUOTE] = ACTIONS(2430),
    [anon_sym_u8_SQUOTE] = ACTIONS(2430),
    [anon_sym_SQUOTE] = ACTIONS(2430),
    [anon_sym_L_DQUOTE] = ACTIONS(2430),
    [anon_sym_u_DQUOTE] = ACTIONS(2430),
    [anon_sym_U_DQUOTE] = ACTIONS(2430),
    [anon_sym_u8_DQUOTE] = ACTIONS(2430),
    [anon_sym_DQUOTE] = ACTIONS(2430),
    [sym_true] = ACTIONS(2428),
    [sym_false] = ACTIONS(2428),
    [anon_sym_NULL] = ACTIONS(2428),
    [anon_sym_nullptr] = ACTIONS(2428),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2428),
    [anon_sym_decltype] = ACTIONS(2428),
    [anon_sym_virtual] = ACTIONS(2428),
    [anon_sym_alignas] = ACTIONS(2428),
    [anon_sym_explicit] = ACTIONS(2428),
    [anon_sym_typename] = ACTIONS(2428),
    [anon_sym_template] = ACTIONS(2428),
    [anon_sym_operator] = ACTIONS(2428),
    [anon_sym_try] = ACTIONS(2428),
    [anon_sym_delete] = ACTIONS(2428),
    [anon_sym_throw] = ACTIONS(2428),
    [anon_sym_namespace] = ACTIONS(2428),
    [anon_sym_using] = ACTIONS(2428),
    [anon_sym_static_assert] = ACTIONS(2428),
    [anon_sym_concept] = ACTIONS(2428),
    [anon_sym_co_return] = ACTIONS(2428),
    [anon_sym_co_yield] = ACTIONS(2428),
    [anon_sym_R_DQUOTE] = ACTIONS(2430),
    [anon_sym_LR_DQUOTE] = ACTIONS(2430),
    [anon_sym_uR_DQUOTE] = ACTIONS(2430),
    [anon_sym_UR_DQUOTE] = ACTIONS(2430),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2430),
    [anon_sym_co_await] = ACTIONS(2428),
    [anon_sym_new] = ACTIONS(2428),
    [anon_sym_requires] = ACTIONS(2428),
    [sym_this] = ACTIONS(2428),
    [anon_sym_discard] = ACTIONS(2428),
    [anon_sym_precise] = ACTIONS(2428),
    [anon_sym_shared] = ACTIONS(2428),
    [anon_sym_groupshared] = ACTIONS(2428),
    [anon_sym_uniform] = ACTIONS(2428),
    [anon_sym_row_major] = ACTIONS(2428),
    [anon_sym_column_major] = ACTIONS(2428),
    [anon_sym_globallycoherent] = ACTIONS(2428),
    [anon_sym_centroid] = ACTIONS(2428),
    [anon_sym_noperspective] = ACTIONS(2428),
    [anon_sym_nointerpolation] = ACTIONS(2428),
    [anon_sym_sample] = ACTIONS(2428),
    [anon_sym_linear] = ACTIONS(2428),
    [anon_sym_snorm] = ACTIONS(2428),
    [anon_sym_unorm] = ACTIONS(2428),
    [anon_sym_point] = ACTIONS(2428),
    [anon_sym_line] = ACTIONS(2428),
    [anon_sym_triangleadj] = ACTIONS(2428),
    [anon_sym_lineadj] = ACTIONS(2428),
    [anon_sym_triangle] = ACTIONS(2428),
    [anon_sym_cbuffer] = ACTIONS(2428),
  },
  [517] = {
    [sym_identifier] = ACTIONS(2360),
    [aux_sym_preproc_include_token1] = ACTIONS(2360),
    [aux_sym_preproc_def_token1] = ACTIONS(2360),
    [aux_sym_preproc_if_token1] = ACTIONS(2360),
    [aux_sym_preproc_if_token2] = ACTIONS(2360),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2360),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2360),
    [aux_sym_preproc_else_token1] = ACTIONS(2360),
    [aux_sym_preproc_elif_token1] = ACTIONS(2360),
    [sym_preproc_directive] = ACTIONS(2360),
    [anon_sym_LPAREN2] = ACTIONS(2362),
    [anon_sym_BANG] = ACTIONS(2362),
    [anon_sym_TILDE] = ACTIONS(2362),
    [anon_sym_DASH] = ACTIONS(2360),
    [anon_sym_PLUS] = ACTIONS(2360),
    [anon_sym_STAR] = ACTIONS(2362),
    [anon_sym_AMP_AMP] = ACTIONS(2362),
    [anon_sym_AMP] = ACTIONS(2360),
    [anon_sym_SEMI] = ACTIONS(2362),
    [anon_sym___extension__] = ACTIONS(2360),
    [anon_sym_typedef] = ACTIONS(2360),
    [anon_sym_in] = ACTIONS(2360),
    [anon_sym_out] = ACTIONS(2360),
    [anon_sym_inout] = ACTIONS(2360),
    [anon_sym_extern] = ACTIONS(2360),
    [anon_sym___attribute__] = ACTIONS(2360),
    [anon_sym_COLON_COLON] = ACTIONS(2362),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2362),
    [anon_sym___declspec] = ACTIONS(2360),
    [anon_sym___based] = ACTIONS(2360),
    [anon_sym___cdecl] = ACTIONS(2360),
    [anon_sym___clrcall] = ACTIONS(2360),
    [anon_sym___stdcall] = ACTIONS(2360),
    [anon_sym___fastcall] = ACTIONS(2360),
    [anon_sym___thiscall] = ACTIONS(2360),
    [anon_sym___vectorcall] = ACTIONS(2360),
    [anon_sym_LBRACE] = ACTIONS(2362),
    [anon_sym_signed] = ACTIONS(2360),
    [anon_sym_unsigned] = ACTIONS(2360),
    [anon_sym_long] = ACTIONS(2360),
    [anon_sym_short] = ACTIONS(2360),
    [anon_sym_LBRACK] = ACTIONS(2360),
    [anon_sym_static] = ACTIONS(2360),
    [anon_sym_register] = ACTIONS(2360),
    [anon_sym_inline] = ACTIONS(2360),
    [anon_sym___inline] = ACTIONS(2360),
    [anon_sym___inline__] = ACTIONS(2360),
    [anon_sym___forceinline] = ACTIONS(2360),
    [anon_sym_thread_local] = ACTIONS(2360),
    [anon_sym___thread] = ACTIONS(2360),
    [anon_sym_const] = ACTIONS(2360),
    [anon_sym_constexpr] = ACTIONS(2360),
    [anon_sym_volatile] = ACTIONS(2360),
    [anon_sym_restrict] = ACTIONS(2360),
    [anon_sym___restrict__] = ACTIONS(2360),
    [anon_sym__Atomic] = ACTIONS(2360),
    [anon_sym__Noreturn] = ACTIONS(2360),
    [anon_sym_noreturn] = ACTIONS(2360),
    [anon_sym_mutable] = ACTIONS(2360),
    [anon_sym_constinit] = ACTIONS(2360),
    [anon_sym_consteval] = ACTIONS(2360),
    [sym_primitive_type] = ACTIONS(2360),
    [anon_sym_enum] = ACTIONS(2360),
    [anon_sym_class] = ACTIONS(2360),
    [anon_sym_struct] = ACTIONS(2360),
    [anon_sym_union] = ACTIONS(2360),
    [anon_sym_if] = ACTIONS(2360),
    [anon_sym_else] = ACTIONS(2360),
    [anon_sym_switch] = ACTIONS(2360),
    [anon_sym_case] = ACTIONS(2360),
    [anon_sym_default] = ACTIONS(2360),
    [anon_sym_while] = ACTIONS(2360),
    [anon_sym_do] = ACTIONS(2360),
    [anon_sym_for] = ACTIONS(2360),
    [anon_sym_return] = ACTIONS(2360),
    [anon_sym_break] = ACTIONS(2360),
    [anon_sym_continue] = ACTIONS(2360),
    [anon_sym_goto] = ACTIONS(2360),
    [anon_sym___try] = ACTIONS(2360),
    [anon_sym___leave] = ACTIONS(2360),
    [anon_sym_not] = ACTIONS(2360),
    [anon_sym_compl] = ACTIONS(2360),
    [anon_sym_DASH_DASH] = ACTIONS(2362),
    [anon_sym_PLUS_PLUS] = ACTIONS(2362),
    [anon_sym_sizeof] = ACTIONS(2360),
    [anon_sym___alignof__] = ACTIONS(2360),
    [anon_sym___alignof] = ACTIONS(2360),
    [anon_sym__alignof] = ACTIONS(2360),
    [anon_sym_alignof] = ACTIONS(2360),
    [anon_sym__Alignof] = ACTIONS(2360),
    [anon_sym_offsetof] = ACTIONS(2360),
    [anon_sym__Generic] = ACTIONS(2360),
    [anon_sym_asm] = ACTIONS(2360),
    [anon_sym___asm__] = ACTIONS(2360),
    [sym_number_literal] = ACTIONS(2362),
    [anon_sym_L_SQUOTE] = ACTIONS(2362),
    [anon_sym_u_SQUOTE] = ACTIONS(2362),
    [anon_sym_U_SQUOTE] = ACTIONS(2362),
    [anon_sym_u8_SQUOTE] = ACTIONS(2362),
    [anon_sym_SQUOTE] = ACTIONS(2362),
    [anon_sym_L_DQUOTE] = ACTIONS(2362),
    [anon_sym_u_DQUOTE] = ACTIONS(2362),
    [anon_sym_U_DQUOTE] = ACTIONS(2362),
    [anon_sym_u8_DQUOTE] = ACTIONS(2362),
    [anon_sym_DQUOTE] = ACTIONS(2362),
    [sym_true] = ACTIONS(2360),
    [sym_false] = ACTIONS(2360),
    [anon_sym_NULL] = ACTIONS(2360),
    [anon_sym_nullptr] = ACTIONS(2360),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2360),
    [anon_sym_decltype] = ACTIONS(2360),
    [anon_sym_virtual] = ACTIONS(2360),
    [anon_sym_alignas] = ACTIONS(2360),
    [anon_sym_explicit] = ACTIONS(2360),
    [anon_sym_typename] = ACTIONS(2360),
    [anon_sym_template] = ACTIONS(2360),
    [anon_sym_operator] = ACTIONS(2360),
    [anon_sym_try] = ACTIONS(2360),
    [anon_sym_delete] = ACTIONS(2360),
    [anon_sym_throw] = ACTIONS(2360),
    [anon_sym_namespace] = ACTIONS(2360),
    [anon_sym_using] = ACTIONS(2360),
    [anon_sym_static_assert] = ACTIONS(2360),
    [anon_sym_concept] = ACTIONS(2360),
    [anon_sym_co_return] = ACTIONS(2360),
    [anon_sym_co_yield] = ACTIONS(2360),
    [anon_sym_R_DQUOTE] = ACTIONS(2362),
    [anon_sym_LR_DQUOTE] = ACTIONS(2362),
    [anon_sym_uR_DQUOTE] = ACTIONS(2362),
    [anon_sym_UR_DQUOTE] = ACTIONS(2362),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2362),
    [anon_sym_co_await] = ACTIONS(2360),
    [anon_sym_new] = ACTIONS(2360),
    [anon_sym_requires] = ACTIONS(2360),
    [sym_this] = ACTIONS(2360),
    [anon_sym_discard] = ACTIONS(2360),
    [anon_sym_precise] = ACTIONS(2360),
    [anon_sym_shared] = ACTIONS(2360),
    [anon_sym_groupshared] = ACTIONS(2360),
    [anon_sym_uniform] = ACTIONS(2360),
    [anon_sym_row_major] = ACTIONS(2360),
    [anon_sym_column_major] = ACTIONS(2360),
    [anon_sym_globallycoherent] = ACTIONS(2360),
    [anon_sym_centroid] = ACTIONS(2360),
    [anon_sym_noperspective] = ACTIONS(2360),
    [anon_sym_nointerpolation] = ACTIONS(2360),
    [anon_sym_sample] = ACTIONS(2360),
    [anon_sym_linear] = ACTIONS(2360),
    [anon_sym_snorm] = ACTIONS(2360),
    [anon_sym_unorm] = ACTIONS(2360),
    [anon_sym_point] = ACTIONS(2360),
    [anon_sym_line] = ACTIONS(2360),
    [anon_sym_triangleadj] = ACTIONS(2360),
    [anon_sym_lineadj] = ACTIONS(2360),
    [anon_sym_triangle] = ACTIONS(2360),
    [anon_sym_cbuffer] = ACTIONS(2360),
  },
  [518] = {
    [sym_identifier] = ACTIONS(2342),
    [aux_sym_preproc_include_token1] = ACTIONS(2342),
    [aux_sym_preproc_def_token1] = ACTIONS(2342),
    [aux_sym_preproc_if_token1] = ACTIONS(2342),
    [aux_sym_preproc_if_token2] = ACTIONS(2342),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2342),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2342),
    [aux_sym_preproc_else_token1] = ACTIONS(2342),
    [aux_sym_preproc_elif_token1] = ACTIONS(2342),
    [sym_preproc_directive] = ACTIONS(2342),
    [anon_sym_LPAREN2] = ACTIONS(2344),
    [anon_sym_BANG] = ACTIONS(2344),
    [anon_sym_TILDE] = ACTIONS(2344),
    [anon_sym_DASH] = ACTIONS(2342),
    [anon_sym_PLUS] = ACTIONS(2342),
    [anon_sym_STAR] = ACTIONS(2344),
    [anon_sym_AMP_AMP] = ACTIONS(2344),
    [anon_sym_AMP] = ACTIONS(2342),
    [anon_sym_SEMI] = ACTIONS(2344),
    [anon_sym___extension__] = ACTIONS(2342),
    [anon_sym_typedef] = ACTIONS(2342),
    [anon_sym_in] = ACTIONS(2342),
    [anon_sym_out] = ACTIONS(2342),
    [anon_sym_inout] = ACTIONS(2342),
    [anon_sym_extern] = ACTIONS(2342),
    [anon_sym___attribute__] = ACTIONS(2342),
    [anon_sym_COLON_COLON] = ACTIONS(2344),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2344),
    [anon_sym___declspec] = ACTIONS(2342),
    [anon_sym___based] = ACTIONS(2342),
    [anon_sym___cdecl] = ACTIONS(2342),
    [anon_sym___clrcall] = ACTIONS(2342),
    [anon_sym___stdcall] = ACTIONS(2342),
    [anon_sym___fastcall] = ACTIONS(2342),
    [anon_sym___thiscall] = ACTIONS(2342),
    [anon_sym___vectorcall] = ACTIONS(2342),
    [anon_sym_LBRACE] = ACTIONS(2344),
    [anon_sym_signed] = ACTIONS(2342),
    [anon_sym_unsigned] = ACTIONS(2342),
    [anon_sym_long] = ACTIONS(2342),
    [anon_sym_short] = ACTIONS(2342),
    [anon_sym_LBRACK] = ACTIONS(2342),
    [anon_sym_static] = ACTIONS(2342),
    [anon_sym_register] = ACTIONS(2342),
    [anon_sym_inline] = ACTIONS(2342),
    [anon_sym___inline] = ACTIONS(2342),
    [anon_sym___inline__] = ACTIONS(2342),
    [anon_sym___forceinline] = ACTIONS(2342),
    [anon_sym_thread_local] = ACTIONS(2342),
    [anon_sym___thread] = ACTIONS(2342),
    [anon_sym_const] = ACTIONS(2342),
    [anon_sym_constexpr] = ACTIONS(2342),
    [anon_sym_volatile] = ACTIONS(2342),
    [anon_sym_restrict] = ACTIONS(2342),
    [anon_sym___restrict__] = ACTIONS(2342),
    [anon_sym__Atomic] = ACTIONS(2342),
    [anon_sym__Noreturn] = ACTIONS(2342),
    [anon_sym_noreturn] = ACTIONS(2342),
    [anon_sym_mutable] = ACTIONS(2342),
    [anon_sym_constinit] = ACTIONS(2342),
    [anon_sym_consteval] = ACTIONS(2342),
    [sym_primitive_type] = ACTIONS(2342),
    [anon_sym_enum] = ACTIONS(2342),
    [anon_sym_class] = ACTIONS(2342),
    [anon_sym_struct] = ACTIONS(2342),
    [anon_sym_union] = ACTIONS(2342),
    [anon_sym_if] = ACTIONS(2342),
    [anon_sym_else] = ACTIONS(2342),
    [anon_sym_switch] = ACTIONS(2342),
    [anon_sym_case] = ACTIONS(2342),
    [anon_sym_default] = ACTIONS(2342),
    [anon_sym_while] = ACTIONS(2342),
    [anon_sym_do] = ACTIONS(2342),
    [anon_sym_for] = ACTIONS(2342),
    [anon_sym_return] = ACTIONS(2342),
    [anon_sym_break] = ACTIONS(2342),
    [anon_sym_continue] = ACTIONS(2342),
    [anon_sym_goto] = ACTIONS(2342),
    [anon_sym___try] = ACTIONS(2342),
    [anon_sym___leave] = ACTIONS(2342),
    [anon_sym_not] = ACTIONS(2342),
    [anon_sym_compl] = ACTIONS(2342),
    [anon_sym_DASH_DASH] = ACTIONS(2344),
    [anon_sym_PLUS_PLUS] = ACTIONS(2344),
    [anon_sym_sizeof] = ACTIONS(2342),
    [anon_sym___alignof__] = ACTIONS(2342),
    [anon_sym___alignof] = ACTIONS(2342),
    [anon_sym__alignof] = ACTIONS(2342),
    [anon_sym_alignof] = ACTIONS(2342),
    [anon_sym__Alignof] = ACTIONS(2342),
    [anon_sym_offsetof] = ACTIONS(2342),
    [anon_sym__Generic] = ACTIONS(2342),
    [anon_sym_asm] = ACTIONS(2342),
    [anon_sym___asm__] = ACTIONS(2342),
    [sym_number_literal] = ACTIONS(2344),
    [anon_sym_L_SQUOTE] = ACTIONS(2344),
    [anon_sym_u_SQUOTE] = ACTIONS(2344),
    [anon_sym_U_SQUOTE] = ACTIONS(2344),
    [anon_sym_u8_SQUOTE] = ACTIONS(2344),
    [anon_sym_SQUOTE] = ACTIONS(2344),
    [anon_sym_L_DQUOTE] = ACTIONS(2344),
    [anon_sym_u_DQUOTE] = ACTIONS(2344),
    [anon_sym_U_DQUOTE] = ACTIONS(2344),
    [anon_sym_u8_DQUOTE] = ACTIONS(2344),
    [anon_sym_DQUOTE] = ACTIONS(2344),
    [sym_true] = ACTIONS(2342),
    [sym_false] = ACTIONS(2342),
    [anon_sym_NULL] = ACTIONS(2342),
    [anon_sym_nullptr] = ACTIONS(2342),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2342),
    [anon_sym_decltype] = ACTIONS(2342),
    [anon_sym_virtual] = ACTIONS(2342),
    [anon_sym_alignas] = ACTIONS(2342),
    [anon_sym_explicit] = ACTIONS(2342),
    [anon_sym_typename] = ACTIONS(2342),
    [anon_sym_template] = ACTIONS(2342),
    [anon_sym_operator] = ACTIONS(2342),
    [anon_sym_try] = ACTIONS(2342),
    [anon_sym_delete] = ACTIONS(2342),
    [anon_sym_throw] = ACTIONS(2342),
    [anon_sym_namespace] = ACTIONS(2342),
    [anon_sym_using] = ACTIONS(2342),
    [anon_sym_static_assert] = ACTIONS(2342),
    [anon_sym_concept] = ACTIONS(2342),
    [anon_sym_co_return] = ACTIONS(2342),
    [anon_sym_co_yield] = ACTIONS(2342),
    [anon_sym_R_DQUOTE] = ACTIONS(2344),
    [anon_sym_LR_DQUOTE] = ACTIONS(2344),
    [anon_sym_uR_DQUOTE] = ACTIONS(2344),
    [anon_sym_UR_DQUOTE] = ACTIONS(2344),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2344),
    [anon_sym_co_await] = ACTIONS(2342),
    [anon_sym_new] = ACTIONS(2342),
    [anon_sym_requires] = ACTIONS(2342),
    [sym_this] = ACTIONS(2342),
    [anon_sym_discard] = ACTIONS(2342),
    [anon_sym_precise] = ACTIONS(2342),
    [anon_sym_shared] = ACTIONS(2342),
    [anon_sym_groupshared] = ACTIONS(2342),
    [anon_sym_uniform] = ACTIONS(2342),
    [anon_sym_row_major] = ACTIONS(2342),
    [anon_sym_column_major] = ACTIONS(2342),
    [anon_sym_globallycoherent] = ACTIONS(2342),
    [anon_sym_centroid] = ACTIONS(2342),
    [anon_sym_noperspective] = ACTIONS(2342),
    [anon_sym_nointerpolation] = ACTIONS(2342),
    [anon_sym_sample] = ACTIONS(2342),
    [anon_sym_linear] = ACTIONS(2342),
    [anon_sym_snorm] = ACTIONS(2342),
    [anon_sym_unorm] = ACTIONS(2342),
    [anon_sym_point] = ACTIONS(2342),
    [anon_sym_line] = ACTIONS(2342),
    [anon_sym_triangleadj] = ACTIONS(2342),
    [anon_sym_lineadj] = ACTIONS(2342),
    [anon_sym_triangle] = ACTIONS(2342),
    [anon_sym_cbuffer] = ACTIONS(2342),
  },
  [519] = {
    [sym_preproc_def] = STATE(511),
    [sym_preproc_function_def] = STATE(511),
    [sym_preproc_call] = STATE(511),
    [sym_preproc_if_in_field_declaration_list] = STATE(511),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(511),
    [sym_preproc_else_in_field_declaration_list] = STATE(9496),
    [sym_preproc_elif_in_field_declaration_list] = STATE(9496),
    [sym_preproc_elifdef_in_field_declaration_list] = STATE(9496),
    [sym_type_definition] = STATE(511),
    [sym__declaration_modifiers] = STATE(3159),
    [sym__declaration_specifiers] = STATE(6906),
    [sym_attribute_specifier] = STATE(3159),
    [sym_attribute_declaration] = STATE(3159),
    [sym_ms_declspec_modifier] = STATE(3159),
    [sym_ms_based_modifier] = STATE(10332),
    [sym__declarator] = STATE(7978),
    [sym_parenthesized_declarator] = STATE(7680),
    [sym_attributed_declarator] = STATE(7680),
    [sym_pointer_declarator] = STATE(7680),
    [sym_function_declarator] = STATE(7506),
    [sym_array_declarator] = STATE(7680),
    [sym_storage_class_specifier] = STATE(3159),
    [sym_type_qualifier] = STATE(3159),
    [sym__type_specifier] = STATE(2827),
    [sym_sized_type_specifier] = STATE(3085),
    [sym_enum_specifier] = STATE(3085),
    [sym_struct_specifier] = STATE(3085),
    [sym_union_specifier] = STATE(3085),
    [sym__field_declaration_list_item] = STATE(511),
    [sym_field_declaration] = STATE(511),
    [sym_placeholder_type_specifier] = STATE(3085),
    [sym_decltype_auto] = STATE(3091),
    [sym_decltype] = STATE(3050),
    [sym_class_specifier] = STATE(3085),
    [sym_virtual] = STATE(3159),
    [sym_alignas_specifier] = STATE(3159),
    [sym_explicit_function_specifier] = STATE(2515),
    [sym_dependent_type] = STATE(3085),
    [sym_template_declaration] = STATE(511),
    [sym_operator_cast] = STATE(8047),
    [sym_inline_method_definition] = STATE(511),
    [sym__constructor_specifiers] = STATE(2515),
    [sym_operator_cast_definition] = STATE(511),
    [sym_operator_cast_declaration] = STATE(511),
    [sym_constructor_or_destructor_definition] = STATE(511),
    [sym_constructor_or_destructor_declaration] = STATE(511),
    [sym_friend_declaration] = STATE(511),
    [sym_access_specifier] = STATE(9869),
    [sym_reference_declarator] = STATE(7680),
    [sym_structured_binding_declarator] = STATE(7680),
    [sym_template_type] = STATE(3050),
    [sym_template_function] = STATE(7680),
    [sym_using_declaration] = STATE(511),
    [sym_alias_declaration] = STATE(511),
    [sym_static_assert_declaration] = STATE(511),
    [sym_destructor_name] = STATE(7680),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6733),
    [sym_qualified_identifier] = STATE(7680),
    [sym_qualified_type_identifier] = STATE(3068),
    [sym_qualified_operator_cast_identifier] = STATE(8047),
    [sym_operator_name] = STATE(7680),
    [sym_qualifiers] = STATE(3159),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(511),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2680),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3021),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2515),
    [sym_identifier] = ACTIONS(2857),
    [aux_sym_preproc_def_token1] = ACTIONS(2859),
    [aux_sym_preproc_if_token1] = ACTIONS(2861),
    [aux_sym_preproc_if_token2] = ACTIONS(2917),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2865),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2865),
    [aux_sym_preproc_else_token1] = ACTIONS(2867),
    [aux_sym_preproc_elif_token1] = ACTIONS(2869),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2871),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2871),
    [sym_preproc_directive] = ACTIONS(2873),
    [anon_sym_LPAREN2] = ACTIONS(2875),
    [anon_sym_TILDE] = ACTIONS(2877),
    [anon_sym_STAR] = ACTIONS(2879),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(2881),
    [anon_sym___extension__] = ACTIONS(2883),
    [anon_sym_typedef] = ACTIONS(2885),
    [anon_sym_in] = ACTIONS(37),
    [anon_sym_out] = ACTIONS(37),
    [anon_sym_inout] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(2887),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2096),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(2889),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(2891),
    [anon_sym_enum] = ACTIONS(2893),
    [anon_sym_class] = ACTIONS(2895),
    [anon_sym_struct] = ACTIONS(2897),
    [anon_sym_union] = ACTIONS(2899),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [anon_sym_virtual] = ACTIONS(123),
    [anon_sym_alignas] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(2901),
    [anon_sym_template] = ACTIONS(2903),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_friend] = ACTIONS(2905),
    [anon_sym_public] = ACTIONS(2907),
    [anon_sym_private] = ACTIONS(2907),
    [anon_sym_protected] = ACTIONS(2907),
    [anon_sym_using] = ACTIONS(2909),
    [anon_sym_static_assert] = ACTIONS(2911),
    [anon_sym_precise] = ACTIONS(161),
    [anon_sym_shared] = ACTIONS(161),
    [anon_sym_groupshared] = ACTIONS(161),
    [anon_sym_uniform] = ACTIONS(161),
    [anon_sym_row_major] = ACTIONS(161),
    [anon_sym_column_major] = ACTIONS(161),
    [anon_sym_globallycoherent] = ACTIONS(161),
    [anon_sym_centroid] = ACTIONS(161),
    [anon_sym_noperspective] = ACTIONS(161),
    [anon_sym_nointerpolation] = ACTIONS(161),
    [anon_sym_sample] = ACTIONS(161),
    [anon_sym_linear] = ACTIONS(161),
    [anon_sym_snorm] = ACTIONS(161),
    [anon_sym_unorm] = ACTIONS(161),
    [anon_sym_point] = ACTIONS(161),
    [anon_sym_line] = ACTIONS(161),
    [anon_sym_triangleadj] = ACTIONS(161),
    [anon_sym_lineadj] = ACTIONS(161),
    [anon_sym_triangle] = ACTIONS(161),
  },
  [520] = {
    [sym_identifier] = ACTIONS(2444),
    [aux_sym_preproc_include_token1] = ACTIONS(2444),
    [aux_sym_preproc_def_token1] = ACTIONS(2444),
    [aux_sym_preproc_if_token1] = ACTIONS(2444),
    [aux_sym_preproc_if_token2] = ACTIONS(2444),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2444),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2444),
    [aux_sym_preproc_else_token1] = ACTIONS(2444),
    [aux_sym_preproc_elif_token1] = ACTIONS(2444),
    [sym_preproc_directive] = ACTIONS(2444),
    [anon_sym_LPAREN2] = ACTIONS(2446),
    [anon_sym_BANG] = ACTIONS(2446),
    [anon_sym_TILDE] = ACTIONS(2446),
    [anon_sym_DASH] = ACTIONS(2444),
    [anon_sym_PLUS] = ACTIONS(2444),
    [anon_sym_STAR] = ACTIONS(2446),
    [anon_sym_AMP_AMP] = ACTIONS(2446),
    [anon_sym_AMP] = ACTIONS(2444),
    [anon_sym_SEMI] = ACTIONS(2446),
    [anon_sym___extension__] = ACTIONS(2444),
    [anon_sym_typedef] = ACTIONS(2444),
    [anon_sym_in] = ACTIONS(2444),
    [anon_sym_out] = ACTIONS(2444),
    [anon_sym_inout] = ACTIONS(2444),
    [anon_sym_extern] = ACTIONS(2444),
    [anon_sym___attribute__] = ACTIONS(2444),
    [anon_sym_COLON_COLON] = ACTIONS(2446),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2446),
    [anon_sym___declspec] = ACTIONS(2444),
    [anon_sym___based] = ACTIONS(2444),
    [anon_sym___cdecl] = ACTIONS(2444),
    [anon_sym___clrcall] = ACTIONS(2444),
    [anon_sym___stdcall] = ACTIONS(2444),
    [anon_sym___fastcall] = ACTIONS(2444),
    [anon_sym___thiscall] = ACTIONS(2444),
    [anon_sym___vectorcall] = ACTIONS(2444),
    [anon_sym_LBRACE] = ACTIONS(2446),
    [anon_sym_signed] = ACTIONS(2444),
    [anon_sym_unsigned] = ACTIONS(2444),
    [anon_sym_long] = ACTIONS(2444),
    [anon_sym_short] = ACTIONS(2444),
    [anon_sym_LBRACK] = ACTIONS(2444),
    [anon_sym_static] = ACTIONS(2444),
    [anon_sym_register] = ACTIONS(2444),
    [anon_sym_inline] = ACTIONS(2444),
    [anon_sym___inline] = ACTIONS(2444),
    [anon_sym___inline__] = ACTIONS(2444),
    [anon_sym___forceinline] = ACTIONS(2444),
    [anon_sym_thread_local] = ACTIONS(2444),
    [anon_sym___thread] = ACTIONS(2444),
    [anon_sym_const] = ACTIONS(2444),
    [anon_sym_constexpr] = ACTIONS(2444),
    [anon_sym_volatile] = ACTIONS(2444),
    [anon_sym_restrict] = ACTIONS(2444),
    [anon_sym___restrict__] = ACTIONS(2444),
    [anon_sym__Atomic] = ACTIONS(2444),
    [anon_sym__Noreturn] = ACTIONS(2444),
    [anon_sym_noreturn] = ACTIONS(2444),
    [anon_sym_mutable] = ACTIONS(2444),
    [anon_sym_constinit] = ACTIONS(2444),
    [anon_sym_consteval] = ACTIONS(2444),
    [sym_primitive_type] = ACTIONS(2444),
    [anon_sym_enum] = ACTIONS(2444),
    [anon_sym_class] = ACTIONS(2444),
    [anon_sym_struct] = ACTIONS(2444),
    [anon_sym_union] = ACTIONS(2444),
    [anon_sym_if] = ACTIONS(2444),
    [anon_sym_else] = ACTIONS(2444),
    [anon_sym_switch] = ACTIONS(2444),
    [anon_sym_case] = ACTIONS(2444),
    [anon_sym_default] = ACTIONS(2444),
    [anon_sym_while] = ACTIONS(2444),
    [anon_sym_do] = ACTIONS(2444),
    [anon_sym_for] = ACTIONS(2444),
    [anon_sym_return] = ACTIONS(2444),
    [anon_sym_break] = ACTIONS(2444),
    [anon_sym_continue] = ACTIONS(2444),
    [anon_sym_goto] = ACTIONS(2444),
    [anon_sym___try] = ACTIONS(2444),
    [anon_sym___leave] = ACTIONS(2444),
    [anon_sym_not] = ACTIONS(2444),
    [anon_sym_compl] = ACTIONS(2444),
    [anon_sym_DASH_DASH] = ACTIONS(2446),
    [anon_sym_PLUS_PLUS] = ACTIONS(2446),
    [anon_sym_sizeof] = ACTIONS(2444),
    [anon_sym___alignof__] = ACTIONS(2444),
    [anon_sym___alignof] = ACTIONS(2444),
    [anon_sym__alignof] = ACTIONS(2444),
    [anon_sym_alignof] = ACTIONS(2444),
    [anon_sym__Alignof] = ACTIONS(2444),
    [anon_sym_offsetof] = ACTIONS(2444),
    [anon_sym__Generic] = ACTIONS(2444),
    [anon_sym_asm] = ACTIONS(2444),
    [anon_sym___asm__] = ACTIONS(2444),
    [sym_number_literal] = ACTIONS(2446),
    [anon_sym_L_SQUOTE] = ACTIONS(2446),
    [anon_sym_u_SQUOTE] = ACTIONS(2446),
    [anon_sym_U_SQUOTE] = ACTIONS(2446),
    [anon_sym_u8_SQUOTE] = ACTIONS(2446),
    [anon_sym_SQUOTE] = ACTIONS(2446),
    [anon_sym_L_DQUOTE] = ACTIONS(2446),
    [anon_sym_u_DQUOTE] = ACTIONS(2446),
    [anon_sym_U_DQUOTE] = ACTIONS(2446),
    [anon_sym_u8_DQUOTE] = ACTIONS(2446),
    [anon_sym_DQUOTE] = ACTIONS(2446),
    [sym_true] = ACTIONS(2444),
    [sym_false] = ACTIONS(2444),
    [anon_sym_NULL] = ACTIONS(2444),
    [anon_sym_nullptr] = ACTIONS(2444),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2444),
    [anon_sym_decltype] = ACTIONS(2444),
    [anon_sym_virtual] = ACTIONS(2444),
    [anon_sym_alignas] = ACTIONS(2444),
    [anon_sym_explicit] = ACTIONS(2444),
    [anon_sym_typename] = ACTIONS(2444),
    [anon_sym_template] = ACTIONS(2444),
    [anon_sym_operator] = ACTIONS(2444),
    [anon_sym_try] = ACTIONS(2444),
    [anon_sym_delete] = ACTIONS(2444),
    [anon_sym_throw] = ACTIONS(2444),
    [anon_sym_namespace] = ACTIONS(2444),
    [anon_sym_using] = ACTIONS(2444),
    [anon_sym_static_assert] = ACTIONS(2444),
    [anon_sym_concept] = ACTIONS(2444),
    [anon_sym_co_return] = ACTIONS(2444),
    [anon_sym_co_yield] = ACTIONS(2444),
    [anon_sym_R_DQUOTE] = ACTIONS(2446),
    [anon_sym_LR_DQUOTE] = ACTIONS(2446),
    [anon_sym_uR_DQUOTE] = ACTIONS(2446),
    [anon_sym_UR_DQUOTE] = ACTIONS(2446),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2446),
    [anon_sym_co_await] = ACTIONS(2444),
    [anon_sym_new] = ACTIONS(2444),
    [anon_sym_requires] = ACTIONS(2444),
    [sym_this] = ACTIONS(2444),
    [anon_sym_discard] = ACTIONS(2444),
    [anon_sym_precise] = ACTIONS(2444),
    [anon_sym_shared] = ACTIONS(2444),
    [anon_sym_groupshared] = ACTIONS(2444),
    [anon_sym_uniform] = ACTIONS(2444),
    [anon_sym_row_major] = ACTIONS(2444),
    [anon_sym_column_major] = ACTIONS(2444),
    [anon_sym_globallycoherent] = ACTIONS(2444),
    [anon_sym_centroid] = ACTIONS(2444),
    [anon_sym_noperspective] = ACTIONS(2444),
    [anon_sym_nointerpolation] = ACTIONS(2444),
    [anon_sym_sample] = ACTIONS(2444),
    [anon_sym_linear] = ACTIONS(2444),
    [anon_sym_snorm] = ACTIONS(2444),
    [anon_sym_unorm] = ACTIONS(2444),
    [anon_sym_point] = ACTIONS(2444),
    [anon_sym_line] = ACTIONS(2444),
    [anon_sym_triangleadj] = ACTIONS(2444),
    [anon_sym_lineadj] = ACTIONS(2444),
    [anon_sym_triangle] = ACTIONS(2444),
    [anon_sym_cbuffer] = ACTIONS(2444),
  },
  [521] = {
    [sym_identifier] = ACTIONS(2432),
    [aux_sym_preproc_include_token1] = ACTIONS(2432),
    [aux_sym_preproc_def_token1] = ACTIONS(2432),
    [aux_sym_preproc_if_token1] = ACTIONS(2432),
    [aux_sym_preproc_if_token2] = ACTIONS(2432),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2432),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2432),
    [aux_sym_preproc_else_token1] = ACTIONS(2432),
    [aux_sym_preproc_elif_token1] = ACTIONS(2432),
    [sym_preproc_directive] = ACTIONS(2432),
    [anon_sym_LPAREN2] = ACTIONS(2434),
    [anon_sym_BANG] = ACTIONS(2434),
    [anon_sym_TILDE] = ACTIONS(2434),
    [anon_sym_DASH] = ACTIONS(2432),
    [anon_sym_PLUS] = ACTIONS(2432),
    [anon_sym_STAR] = ACTIONS(2434),
    [anon_sym_AMP_AMP] = ACTIONS(2434),
    [anon_sym_AMP] = ACTIONS(2432),
    [anon_sym_SEMI] = ACTIONS(2434),
    [anon_sym___extension__] = ACTIONS(2432),
    [anon_sym_typedef] = ACTIONS(2432),
    [anon_sym_in] = ACTIONS(2432),
    [anon_sym_out] = ACTIONS(2432),
    [anon_sym_inout] = ACTIONS(2432),
    [anon_sym_extern] = ACTIONS(2432),
    [anon_sym___attribute__] = ACTIONS(2432),
    [anon_sym_COLON_COLON] = ACTIONS(2434),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2434),
    [anon_sym___declspec] = ACTIONS(2432),
    [anon_sym___based] = ACTIONS(2432),
    [anon_sym___cdecl] = ACTIONS(2432),
    [anon_sym___clrcall] = ACTIONS(2432),
    [anon_sym___stdcall] = ACTIONS(2432),
    [anon_sym___fastcall] = ACTIONS(2432),
    [anon_sym___thiscall] = ACTIONS(2432),
    [anon_sym___vectorcall] = ACTIONS(2432),
    [anon_sym_LBRACE] = ACTIONS(2434),
    [anon_sym_signed] = ACTIONS(2432),
    [anon_sym_unsigned] = ACTIONS(2432),
    [anon_sym_long] = ACTIONS(2432),
    [anon_sym_short] = ACTIONS(2432),
    [anon_sym_LBRACK] = ACTIONS(2432),
    [anon_sym_static] = ACTIONS(2432),
    [anon_sym_register] = ACTIONS(2432),
    [anon_sym_inline] = ACTIONS(2432),
    [anon_sym___inline] = ACTIONS(2432),
    [anon_sym___inline__] = ACTIONS(2432),
    [anon_sym___forceinline] = ACTIONS(2432),
    [anon_sym_thread_local] = ACTIONS(2432),
    [anon_sym___thread] = ACTIONS(2432),
    [anon_sym_const] = ACTIONS(2432),
    [anon_sym_constexpr] = ACTIONS(2432),
    [anon_sym_volatile] = ACTIONS(2432),
    [anon_sym_restrict] = ACTIONS(2432),
    [anon_sym___restrict__] = ACTIONS(2432),
    [anon_sym__Atomic] = ACTIONS(2432),
    [anon_sym__Noreturn] = ACTIONS(2432),
    [anon_sym_noreturn] = ACTIONS(2432),
    [anon_sym_mutable] = ACTIONS(2432),
    [anon_sym_constinit] = ACTIONS(2432),
    [anon_sym_consteval] = ACTIONS(2432),
    [sym_primitive_type] = ACTIONS(2432),
    [anon_sym_enum] = ACTIONS(2432),
    [anon_sym_class] = ACTIONS(2432),
    [anon_sym_struct] = ACTIONS(2432),
    [anon_sym_union] = ACTIONS(2432),
    [anon_sym_if] = ACTIONS(2432),
    [anon_sym_else] = ACTIONS(2432),
    [anon_sym_switch] = ACTIONS(2432),
    [anon_sym_case] = ACTIONS(2432),
    [anon_sym_default] = ACTIONS(2432),
    [anon_sym_while] = ACTIONS(2432),
    [anon_sym_do] = ACTIONS(2432),
    [anon_sym_for] = ACTIONS(2432),
    [anon_sym_return] = ACTIONS(2432),
    [anon_sym_break] = ACTIONS(2432),
    [anon_sym_continue] = ACTIONS(2432),
    [anon_sym_goto] = ACTIONS(2432),
    [anon_sym___try] = ACTIONS(2432),
    [anon_sym___leave] = ACTIONS(2432),
    [anon_sym_not] = ACTIONS(2432),
    [anon_sym_compl] = ACTIONS(2432),
    [anon_sym_DASH_DASH] = ACTIONS(2434),
    [anon_sym_PLUS_PLUS] = ACTIONS(2434),
    [anon_sym_sizeof] = ACTIONS(2432),
    [anon_sym___alignof__] = ACTIONS(2432),
    [anon_sym___alignof] = ACTIONS(2432),
    [anon_sym__alignof] = ACTIONS(2432),
    [anon_sym_alignof] = ACTIONS(2432),
    [anon_sym__Alignof] = ACTIONS(2432),
    [anon_sym_offsetof] = ACTIONS(2432),
    [anon_sym__Generic] = ACTIONS(2432),
    [anon_sym_asm] = ACTIONS(2432),
    [anon_sym___asm__] = ACTIONS(2432),
    [sym_number_literal] = ACTIONS(2434),
    [anon_sym_L_SQUOTE] = ACTIONS(2434),
    [anon_sym_u_SQUOTE] = ACTIONS(2434),
    [anon_sym_U_SQUOTE] = ACTIONS(2434),
    [anon_sym_u8_SQUOTE] = ACTIONS(2434),
    [anon_sym_SQUOTE] = ACTIONS(2434),
    [anon_sym_L_DQUOTE] = ACTIONS(2434),
    [anon_sym_u_DQUOTE] = ACTIONS(2434),
    [anon_sym_U_DQUOTE] = ACTIONS(2434),
    [anon_sym_u8_DQUOTE] = ACTIONS(2434),
    [anon_sym_DQUOTE] = ACTIONS(2434),
    [sym_true] = ACTIONS(2432),
    [sym_false] = ACTIONS(2432),
    [anon_sym_NULL] = ACTIONS(2432),
    [anon_sym_nullptr] = ACTIONS(2432),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2432),
    [anon_sym_decltype] = ACTIONS(2432),
    [anon_sym_virtual] = ACTIONS(2432),
    [anon_sym_alignas] = ACTIONS(2432),
    [anon_sym_explicit] = ACTIONS(2432),
    [anon_sym_typename] = ACTIONS(2432),
    [anon_sym_template] = ACTIONS(2432),
    [anon_sym_operator] = ACTIONS(2432),
    [anon_sym_try] = ACTIONS(2432),
    [anon_sym_delete] = ACTIONS(2432),
    [anon_sym_throw] = ACTIONS(2432),
    [anon_sym_namespace] = ACTIONS(2432),
    [anon_sym_using] = ACTIONS(2432),
    [anon_sym_static_assert] = ACTIONS(2432),
    [anon_sym_concept] = ACTIONS(2432),
    [anon_sym_co_return] = ACTIONS(2432),
    [anon_sym_co_yield] = ACTIONS(2432),
    [anon_sym_R_DQUOTE] = ACTIONS(2434),
    [anon_sym_LR_DQUOTE] = ACTIONS(2434),
    [anon_sym_uR_DQUOTE] = ACTIONS(2434),
    [anon_sym_UR_DQUOTE] = ACTIONS(2434),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2434),
    [anon_sym_co_await] = ACTIONS(2432),
    [anon_sym_new] = ACTIONS(2432),
    [anon_sym_requires] = ACTIONS(2432),
    [sym_this] = ACTIONS(2432),
    [anon_sym_discard] = ACTIONS(2432),
    [anon_sym_precise] = ACTIONS(2432),
    [anon_sym_shared] = ACTIONS(2432),
    [anon_sym_groupshared] = ACTIONS(2432),
    [anon_sym_uniform] = ACTIONS(2432),
    [anon_sym_row_major] = ACTIONS(2432),
    [anon_sym_column_major] = ACTIONS(2432),
    [anon_sym_globallycoherent] = ACTIONS(2432),
    [anon_sym_centroid] = ACTIONS(2432),
    [anon_sym_noperspective] = ACTIONS(2432),
    [anon_sym_nointerpolation] = ACTIONS(2432),
    [anon_sym_sample] = ACTIONS(2432),
    [anon_sym_linear] = ACTIONS(2432),
    [anon_sym_snorm] = ACTIONS(2432),
    [anon_sym_unorm] = ACTIONS(2432),
    [anon_sym_point] = ACTIONS(2432),
    [anon_sym_line] = ACTIONS(2432),
    [anon_sym_triangleadj] = ACTIONS(2432),
    [anon_sym_lineadj] = ACTIONS(2432),
    [anon_sym_triangle] = ACTIONS(2432),
    [anon_sym_cbuffer] = ACTIONS(2432),
  },
  [522] = {
    [sym_identifier] = ACTIONS(2338),
    [aux_sym_preproc_include_token1] = ACTIONS(2338),
    [aux_sym_preproc_def_token1] = ACTIONS(2338),
    [aux_sym_preproc_if_token1] = ACTIONS(2338),
    [aux_sym_preproc_if_token2] = ACTIONS(2338),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2338),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2338),
    [aux_sym_preproc_else_token1] = ACTIONS(2338),
    [aux_sym_preproc_elif_token1] = ACTIONS(2338),
    [sym_preproc_directive] = ACTIONS(2338),
    [anon_sym_LPAREN2] = ACTIONS(2340),
    [anon_sym_BANG] = ACTIONS(2340),
    [anon_sym_TILDE] = ACTIONS(2340),
    [anon_sym_DASH] = ACTIONS(2338),
    [anon_sym_PLUS] = ACTIONS(2338),
    [anon_sym_STAR] = ACTIONS(2340),
    [anon_sym_AMP_AMP] = ACTIONS(2340),
    [anon_sym_AMP] = ACTIONS(2338),
    [anon_sym_SEMI] = ACTIONS(2340),
    [anon_sym___extension__] = ACTIONS(2338),
    [anon_sym_typedef] = ACTIONS(2338),
    [anon_sym_in] = ACTIONS(2338),
    [anon_sym_out] = ACTIONS(2338),
    [anon_sym_inout] = ACTIONS(2338),
    [anon_sym_extern] = ACTIONS(2338),
    [anon_sym___attribute__] = ACTIONS(2338),
    [anon_sym_COLON_COLON] = ACTIONS(2340),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2340),
    [anon_sym___declspec] = ACTIONS(2338),
    [anon_sym___based] = ACTIONS(2338),
    [anon_sym___cdecl] = ACTIONS(2338),
    [anon_sym___clrcall] = ACTIONS(2338),
    [anon_sym___stdcall] = ACTIONS(2338),
    [anon_sym___fastcall] = ACTIONS(2338),
    [anon_sym___thiscall] = ACTIONS(2338),
    [anon_sym___vectorcall] = ACTIONS(2338),
    [anon_sym_LBRACE] = ACTIONS(2340),
    [anon_sym_signed] = ACTIONS(2338),
    [anon_sym_unsigned] = ACTIONS(2338),
    [anon_sym_long] = ACTIONS(2338),
    [anon_sym_short] = ACTIONS(2338),
    [anon_sym_LBRACK] = ACTIONS(2338),
    [anon_sym_static] = ACTIONS(2338),
    [anon_sym_register] = ACTIONS(2338),
    [anon_sym_inline] = ACTIONS(2338),
    [anon_sym___inline] = ACTIONS(2338),
    [anon_sym___inline__] = ACTIONS(2338),
    [anon_sym___forceinline] = ACTIONS(2338),
    [anon_sym_thread_local] = ACTIONS(2338),
    [anon_sym___thread] = ACTIONS(2338),
    [anon_sym_const] = ACTIONS(2338),
    [anon_sym_constexpr] = ACTIONS(2338),
    [anon_sym_volatile] = ACTIONS(2338),
    [anon_sym_restrict] = ACTIONS(2338),
    [anon_sym___restrict__] = ACTIONS(2338),
    [anon_sym__Atomic] = ACTIONS(2338),
    [anon_sym__Noreturn] = ACTIONS(2338),
    [anon_sym_noreturn] = ACTIONS(2338),
    [anon_sym_mutable] = ACTIONS(2338),
    [anon_sym_constinit] = ACTIONS(2338),
    [anon_sym_consteval] = ACTIONS(2338),
    [sym_primitive_type] = ACTIONS(2338),
    [anon_sym_enum] = ACTIONS(2338),
    [anon_sym_class] = ACTIONS(2338),
    [anon_sym_struct] = ACTIONS(2338),
    [anon_sym_union] = ACTIONS(2338),
    [anon_sym_if] = ACTIONS(2338),
    [anon_sym_else] = ACTIONS(2338),
    [anon_sym_switch] = ACTIONS(2338),
    [anon_sym_case] = ACTIONS(2338),
    [anon_sym_default] = ACTIONS(2338),
    [anon_sym_while] = ACTIONS(2338),
    [anon_sym_do] = ACTIONS(2338),
    [anon_sym_for] = ACTIONS(2338),
    [anon_sym_return] = ACTIONS(2338),
    [anon_sym_break] = ACTIONS(2338),
    [anon_sym_continue] = ACTIONS(2338),
    [anon_sym_goto] = ACTIONS(2338),
    [anon_sym___try] = ACTIONS(2338),
    [anon_sym___leave] = ACTIONS(2338),
    [anon_sym_not] = ACTIONS(2338),
    [anon_sym_compl] = ACTIONS(2338),
    [anon_sym_DASH_DASH] = ACTIONS(2340),
    [anon_sym_PLUS_PLUS] = ACTIONS(2340),
    [anon_sym_sizeof] = ACTIONS(2338),
    [anon_sym___alignof__] = ACTIONS(2338),
    [anon_sym___alignof] = ACTIONS(2338),
    [anon_sym__alignof] = ACTIONS(2338),
    [anon_sym_alignof] = ACTIONS(2338),
    [anon_sym__Alignof] = ACTIONS(2338),
    [anon_sym_offsetof] = ACTIONS(2338),
    [anon_sym__Generic] = ACTIONS(2338),
    [anon_sym_asm] = ACTIONS(2338),
    [anon_sym___asm__] = ACTIONS(2338),
    [sym_number_literal] = ACTIONS(2340),
    [anon_sym_L_SQUOTE] = ACTIONS(2340),
    [anon_sym_u_SQUOTE] = ACTIONS(2340),
    [anon_sym_U_SQUOTE] = ACTIONS(2340),
    [anon_sym_u8_SQUOTE] = ACTIONS(2340),
    [anon_sym_SQUOTE] = ACTIONS(2340),
    [anon_sym_L_DQUOTE] = ACTIONS(2340),
    [anon_sym_u_DQUOTE] = ACTIONS(2340),
    [anon_sym_U_DQUOTE] = ACTIONS(2340),
    [anon_sym_u8_DQUOTE] = ACTIONS(2340),
    [anon_sym_DQUOTE] = ACTIONS(2340),
    [sym_true] = ACTIONS(2338),
    [sym_false] = ACTIONS(2338),
    [anon_sym_NULL] = ACTIONS(2338),
    [anon_sym_nullptr] = ACTIONS(2338),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2338),
    [anon_sym_decltype] = ACTIONS(2338),
    [anon_sym_virtual] = ACTIONS(2338),
    [anon_sym_alignas] = ACTIONS(2338),
    [anon_sym_explicit] = ACTIONS(2338),
    [anon_sym_typename] = ACTIONS(2338),
    [anon_sym_template] = ACTIONS(2338),
    [anon_sym_operator] = ACTIONS(2338),
    [anon_sym_try] = ACTIONS(2338),
    [anon_sym_delete] = ACTIONS(2338),
    [anon_sym_throw] = ACTIONS(2338),
    [anon_sym_namespace] = ACTIONS(2338),
    [anon_sym_using] = ACTIONS(2338),
    [anon_sym_static_assert] = ACTIONS(2338),
    [anon_sym_concept] = ACTIONS(2338),
    [anon_sym_co_return] = ACTIONS(2338),
    [anon_sym_co_yield] = ACTIONS(2338),
    [anon_sym_R_DQUOTE] = ACTIONS(2340),
    [anon_sym_LR_DQUOTE] = ACTIONS(2340),
    [anon_sym_uR_DQUOTE] = ACTIONS(2340),
    [anon_sym_UR_DQUOTE] = ACTIONS(2340),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2340),
    [anon_sym_co_await] = ACTIONS(2338),
    [anon_sym_new] = ACTIONS(2338),
    [anon_sym_requires] = ACTIONS(2338),
    [sym_this] = ACTIONS(2338),
    [anon_sym_discard] = ACTIONS(2338),
    [anon_sym_precise] = ACTIONS(2338),
    [anon_sym_shared] = ACTIONS(2338),
    [anon_sym_groupshared] = ACTIONS(2338),
    [anon_sym_uniform] = ACTIONS(2338),
    [anon_sym_row_major] = ACTIONS(2338),
    [anon_sym_column_major] = ACTIONS(2338),
    [anon_sym_globallycoherent] = ACTIONS(2338),
    [anon_sym_centroid] = ACTIONS(2338),
    [anon_sym_noperspective] = ACTIONS(2338),
    [anon_sym_nointerpolation] = ACTIONS(2338),
    [anon_sym_sample] = ACTIONS(2338),
    [anon_sym_linear] = ACTIONS(2338),
    [anon_sym_snorm] = ACTIONS(2338),
    [anon_sym_unorm] = ACTIONS(2338),
    [anon_sym_point] = ACTIONS(2338),
    [anon_sym_line] = ACTIONS(2338),
    [anon_sym_triangleadj] = ACTIONS(2338),
    [anon_sym_lineadj] = ACTIONS(2338),
    [anon_sym_triangle] = ACTIONS(2338),
    [anon_sym_cbuffer] = ACTIONS(2338),
  },
  [523] = {
    [sym_identifier] = ACTIONS(2364),
    [aux_sym_preproc_include_token1] = ACTIONS(2364),
    [aux_sym_preproc_def_token1] = ACTIONS(2364),
    [aux_sym_preproc_if_token1] = ACTIONS(2364),
    [aux_sym_preproc_if_token2] = ACTIONS(2364),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2364),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2364),
    [aux_sym_preproc_else_token1] = ACTIONS(2364),
    [aux_sym_preproc_elif_token1] = ACTIONS(2364),
    [sym_preproc_directive] = ACTIONS(2364),
    [anon_sym_LPAREN2] = ACTIONS(2366),
    [anon_sym_BANG] = ACTIONS(2366),
    [anon_sym_TILDE] = ACTIONS(2366),
    [anon_sym_DASH] = ACTIONS(2364),
    [anon_sym_PLUS] = ACTIONS(2364),
    [anon_sym_STAR] = ACTIONS(2366),
    [anon_sym_AMP_AMP] = ACTIONS(2366),
    [anon_sym_AMP] = ACTIONS(2364),
    [anon_sym_SEMI] = ACTIONS(2366),
    [anon_sym___extension__] = ACTIONS(2364),
    [anon_sym_typedef] = ACTIONS(2364),
    [anon_sym_in] = ACTIONS(2364),
    [anon_sym_out] = ACTIONS(2364),
    [anon_sym_inout] = ACTIONS(2364),
    [anon_sym_extern] = ACTIONS(2364),
    [anon_sym___attribute__] = ACTIONS(2364),
    [anon_sym_COLON_COLON] = ACTIONS(2366),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2366),
    [anon_sym___declspec] = ACTIONS(2364),
    [anon_sym___based] = ACTIONS(2364),
    [anon_sym___cdecl] = ACTIONS(2364),
    [anon_sym___clrcall] = ACTIONS(2364),
    [anon_sym___stdcall] = ACTIONS(2364),
    [anon_sym___fastcall] = ACTIONS(2364),
    [anon_sym___thiscall] = ACTIONS(2364),
    [anon_sym___vectorcall] = ACTIONS(2364),
    [anon_sym_LBRACE] = ACTIONS(2366),
    [anon_sym_signed] = ACTIONS(2364),
    [anon_sym_unsigned] = ACTIONS(2364),
    [anon_sym_long] = ACTIONS(2364),
    [anon_sym_short] = ACTIONS(2364),
    [anon_sym_LBRACK] = ACTIONS(2364),
    [anon_sym_static] = ACTIONS(2364),
    [anon_sym_register] = ACTIONS(2364),
    [anon_sym_inline] = ACTIONS(2364),
    [anon_sym___inline] = ACTIONS(2364),
    [anon_sym___inline__] = ACTIONS(2364),
    [anon_sym___forceinline] = ACTIONS(2364),
    [anon_sym_thread_local] = ACTIONS(2364),
    [anon_sym___thread] = ACTIONS(2364),
    [anon_sym_const] = ACTIONS(2364),
    [anon_sym_constexpr] = ACTIONS(2364),
    [anon_sym_volatile] = ACTIONS(2364),
    [anon_sym_restrict] = ACTIONS(2364),
    [anon_sym___restrict__] = ACTIONS(2364),
    [anon_sym__Atomic] = ACTIONS(2364),
    [anon_sym__Noreturn] = ACTIONS(2364),
    [anon_sym_noreturn] = ACTIONS(2364),
    [anon_sym_mutable] = ACTIONS(2364),
    [anon_sym_constinit] = ACTIONS(2364),
    [anon_sym_consteval] = ACTIONS(2364),
    [sym_primitive_type] = ACTIONS(2364),
    [anon_sym_enum] = ACTIONS(2364),
    [anon_sym_class] = ACTIONS(2364),
    [anon_sym_struct] = ACTIONS(2364),
    [anon_sym_union] = ACTIONS(2364),
    [anon_sym_if] = ACTIONS(2364),
    [anon_sym_else] = ACTIONS(2364),
    [anon_sym_switch] = ACTIONS(2364),
    [anon_sym_case] = ACTIONS(2364),
    [anon_sym_default] = ACTIONS(2364),
    [anon_sym_while] = ACTIONS(2364),
    [anon_sym_do] = ACTIONS(2364),
    [anon_sym_for] = ACTIONS(2364),
    [anon_sym_return] = ACTIONS(2364),
    [anon_sym_break] = ACTIONS(2364),
    [anon_sym_continue] = ACTIONS(2364),
    [anon_sym_goto] = ACTIONS(2364),
    [anon_sym___try] = ACTIONS(2364),
    [anon_sym___leave] = ACTIONS(2364),
    [anon_sym_not] = ACTIONS(2364),
    [anon_sym_compl] = ACTIONS(2364),
    [anon_sym_DASH_DASH] = ACTIONS(2366),
    [anon_sym_PLUS_PLUS] = ACTIONS(2366),
    [anon_sym_sizeof] = ACTIONS(2364),
    [anon_sym___alignof__] = ACTIONS(2364),
    [anon_sym___alignof] = ACTIONS(2364),
    [anon_sym__alignof] = ACTIONS(2364),
    [anon_sym_alignof] = ACTIONS(2364),
    [anon_sym__Alignof] = ACTIONS(2364),
    [anon_sym_offsetof] = ACTIONS(2364),
    [anon_sym__Generic] = ACTIONS(2364),
    [anon_sym_asm] = ACTIONS(2364),
    [anon_sym___asm__] = ACTIONS(2364),
    [sym_number_literal] = ACTIONS(2366),
    [anon_sym_L_SQUOTE] = ACTIONS(2366),
    [anon_sym_u_SQUOTE] = ACTIONS(2366),
    [anon_sym_U_SQUOTE] = ACTIONS(2366),
    [anon_sym_u8_SQUOTE] = ACTIONS(2366),
    [anon_sym_SQUOTE] = ACTIONS(2366),
    [anon_sym_L_DQUOTE] = ACTIONS(2366),
    [anon_sym_u_DQUOTE] = ACTIONS(2366),
    [anon_sym_U_DQUOTE] = ACTIONS(2366),
    [anon_sym_u8_DQUOTE] = ACTIONS(2366),
    [anon_sym_DQUOTE] = ACTIONS(2366),
    [sym_true] = ACTIONS(2364),
    [sym_false] = ACTIONS(2364),
    [anon_sym_NULL] = ACTIONS(2364),
    [anon_sym_nullptr] = ACTIONS(2364),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2364),
    [anon_sym_decltype] = ACTIONS(2364),
    [anon_sym_virtual] = ACTIONS(2364),
    [anon_sym_alignas] = ACTIONS(2364),
    [anon_sym_explicit] = ACTIONS(2364),
    [anon_sym_typename] = ACTIONS(2364),
    [anon_sym_template] = ACTIONS(2364),
    [anon_sym_operator] = ACTIONS(2364),
    [anon_sym_try] = ACTIONS(2364),
    [anon_sym_delete] = ACTIONS(2364),
    [anon_sym_throw] = ACTIONS(2364),
    [anon_sym_namespace] = ACTIONS(2364),
    [anon_sym_using] = ACTIONS(2364),
    [anon_sym_static_assert] = ACTIONS(2364),
    [anon_sym_concept] = ACTIONS(2364),
    [anon_sym_co_return] = ACTIONS(2364),
    [anon_sym_co_yield] = ACTIONS(2364),
    [anon_sym_R_DQUOTE] = ACTIONS(2366),
    [anon_sym_LR_DQUOTE] = ACTIONS(2366),
    [anon_sym_uR_DQUOTE] = ACTIONS(2366),
    [anon_sym_UR_DQUOTE] = ACTIONS(2366),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2366),
    [anon_sym_co_await] = ACTIONS(2364),
    [anon_sym_new] = ACTIONS(2364),
    [anon_sym_requires] = ACTIONS(2364),
    [sym_this] = ACTIONS(2364),
    [anon_sym_discard] = ACTIONS(2364),
    [anon_sym_precise] = ACTIONS(2364),
    [anon_sym_shared] = ACTIONS(2364),
    [anon_sym_groupshared] = ACTIONS(2364),
    [anon_sym_uniform] = ACTIONS(2364),
    [anon_sym_row_major] = ACTIONS(2364),
    [anon_sym_column_major] = ACTIONS(2364),
    [anon_sym_globallycoherent] = ACTIONS(2364),
    [anon_sym_centroid] = ACTIONS(2364),
    [anon_sym_noperspective] = ACTIONS(2364),
    [anon_sym_nointerpolation] = ACTIONS(2364),
    [anon_sym_sample] = ACTIONS(2364),
    [anon_sym_linear] = ACTIONS(2364),
    [anon_sym_snorm] = ACTIONS(2364),
    [anon_sym_unorm] = ACTIONS(2364),
    [anon_sym_point] = ACTIONS(2364),
    [anon_sym_line] = ACTIONS(2364),
    [anon_sym_triangleadj] = ACTIONS(2364),
    [anon_sym_lineadj] = ACTIONS(2364),
    [anon_sym_triangle] = ACTIONS(2364),
    [anon_sym_cbuffer] = ACTIONS(2364),
  },
  [524] = {
    [sym_identifier] = ACTIONS(2444),
    [aux_sym_preproc_include_token1] = ACTIONS(2444),
    [aux_sym_preproc_def_token1] = ACTIONS(2444),
    [aux_sym_preproc_if_token1] = ACTIONS(2444),
    [aux_sym_preproc_if_token2] = ACTIONS(2444),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2444),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2444),
    [aux_sym_preproc_else_token1] = ACTIONS(2444),
    [aux_sym_preproc_elif_token1] = ACTIONS(2444),
    [sym_preproc_directive] = ACTIONS(2444),
    [anon_sym_LPAREN2] = ACTIONS(2446),
    [anon_sym_BANG] = ACTIONS(2446),
    [anon_sym_TILDE] = ACTIONS(2446),
    [anon_sym_DASH] = ACTIONS(2444),
    [anon_sym_PLUS] = ACTIONS(2444),
    [anon_sym_STAR] = ACTIONS(2446),
    [anon_sym_AMP_AMP] = ACTIONS(2446),
    [anon_sym_AMP] = ACTIONS(2444),
    [anon_sym_SEMI] = ACTIONS(2446),
    [anon_sym___extension__] = ACTIONS(2444),
    [anon_sym_typedef] = ACTIONS(2444),
    [anon_sym_in] = ACTIONS(2444),
    [anon_sym_out] = ACTIONS(2444),
    [anon_sym_inout] = ACTIONS(2444),
    [anon_sym_extern] = ACTIONS(2444),
    [anon_sym___attribute__] = ACTIONS(2444),
    [anon_sym_COLON_COLON] = ACTIONS(2446),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2446),
    [anon_sym___declspec] = ACTIONS(2444),
    [anon_sym___based] = ACTIONS(2444),
    [anon_sym___cdecl] = ACTIONS(2444),
    [anon_sym___clrcall] = ACTIONS(2444),
    [anon_sym___stdcall] = ACTIONS(2444),
    [anon_sym___fastcall] = ACTIONS(2444),
    [anon_sym___thiscall] = ACTIONS(2444),
    [anon_sym___vectorcall] = ACTIONS(2444),
    [anon_sym_LBRACE] = ACTIONS(2446),
    [anon_sym_signed] = ACTIONS(2444),
    [anon_sym_unsigned] = ACTIONS(2444),
    [anon_sym_long] = ACTIONS(2444),
    [anon_sym_short] = ACTIONS(2444),
    [anon_sym_LBRACK] = ACTIONS(2444),
    [anon_sym_static] = ACTIONS(2444),
    [anon_sym_register] = ACTIONS(2444),
    [anon_sym_inline] = ACTIONS(2444),
    [anon_sym___inline] = ACTIONS(2444),
    [anon_sym___inline__] = ACTIONS(2444),
    [anon_sym___forceinline] = ACTIONS(2444),
    [anon_sym_thread_local] = ACTIONS(2444),
    [anon_sym___thread] = ACTIONS(2444),
    [anon_sym_const] = ACTIONS(2444),
    [anon_sym_constexpr] = ACTIONS(2444),
    [anon_sym_volatile] = ACTIONS(2444),
    [anon_sym_restrict] = ACTIONS(2444),
    [anon_sym___restrict__] = ACTIONS(2444),
    [anon_sym__Atomic] = ACTIONS(2444),
    [anon_sym__Noreturn] = ACTIONS(2444),
    [anon_sym_noreturn] = ACTIONS(2444),
    [anon_sym_mutable] = ACTIONS(2444),
    [anon_sym_constinit] = ACTIONS(2444),
    [anon_sym_consteval] = ACTIONS(2444),
    [sym_primitive_type] = ACTIONS(2444),
    [anon_sym_enum] = ACTIONS(2444),
    [anon_sym_class] = ACTIONS(2444),
    [anon_sym_struct] = ACTIONS(2444),
    [anon_sym_union] = ACTIONS(2444),
    [anon_sym_if] = ACTIONS(2444),
    [anon_sym_else] = ACTIONS(2444),
    [anon_sym_switch] = ACTIONS(2444),
    [anon_sym_case] = ACTIONS(2444),
    [anon_sym_default] = ACTIONS(2444),
    [anon_sym_while] = ACTIONS(2444),
    [anon_sym_do] = ACTIONS(2444),
    [anon_sym_for] = ACTIONS(2444),
    [anon_sym_return] = ACTIONS(2444),
    [anon_sym_break] = ACTIONS(2444),
    [anon_sym_continue] = ACTIONS(2444),
    [anon_sym_goto] = ACTIONS(2444),
    [anon_sym___try] = ACTIONS(2444),
    [anon_sym___leave] = ACTIONS(2444),
    [anon_sym_not] = ACTIONS(2444),
    [anon_sym_compl] = ACTIONS(2444),
    [anon_sym_DASH_DASH] = ACTIONS(2446),
    [anon_sym_PLUS_PLUS] = ACTIONS(2446),
    [anon_sym_sizeof] = ACTIONS(2444),
    [anon_sym___alignof__] = ACTIONS(2444),
    [anon_sym___alignof] = ACTIONS(2444),
    [anon_sym__alignof] = ACTIONS(2444),
    [anon_sym_alignof] = ACTIONS(2444),
    [anon_sym__Alignof] = ACTIONS(2444),
    [anon_sym_offsetof] = ACTIONS(2444),
    [anon_sym__Generic] = ACTIONS(2444),
    [anon_sym_asm] = ACTIONS(2444),
    [anon_sym___asm__] = ACTIONS(2444),
    [sym_number_literal] = ACTIONS(2446),
    [anon_sym_L_SQUOTE] = ACTIONS(2446),
    [anon_sym_u_SQUOTE] = ACTIONS(2446),
    [anon_sym_U_SQUOTE] = ACTIONS(2446),
    [anon_sym_u8_SQUOTE] = ACTIONS(2446),
    [anon_sym_SQUOTE] = ACTIONS(2446),
    [anon_sym_L_DQUOTE] = ACTIONS(2446),
    [anon_sym_u_DQUOTE] = ACTIONS(2446),
    [anon_sym_U_DQUOTE] = ACTIONS(2446),
    [anon_sym_u8_DQUOTE] = ACTIONS(2446),
    [anon_sym_DQUOTE] = ACTIONS(2446),
    [sym_true] = ACTIONS(2444),
    [sym_false] = ACTIONS(2444),
    [anon_sym_NULL] = ACTIONS(2444),
    [anon_sym_nullptr] = ACTIONS(2444),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2444),
    [anon_sym_decltype] = ACTIONS(2444),
    [anon_sym_virtual] = ACTIONS(2444),
    [anon_sym_alignas] = ACTIONS(2444),
    [anon_sym_explicit] = ACTIONS(2444),
    [anon_sym_typename] = ACTIONS(2444),
    [anon_sym_template] = ACTIONS(2444),
    [anon_sym_operator] = ACTIONS(2444),
    [anon_sym_try] = ACTIONS(2444),
    [anon_sym_delete] = ACTIONS(2444),
    [anon_sym_throw] = ACTIONS(2444),
    [anon_sym_namespace] = ACTIONS(2444),
    [anon_sym_using] = ACTIONS(2444),
    [anon_sym_static_assert] = ACTIONS(2444),
    [anon_sym_concept] = ACTIONS(2444),
    [anon_sym_co_return] = ACTIONS(2444),
    [anon_sym_co_yield] = ACTIONS(2444),
    [anon_sym_R_DQUOTE] = ACTIONS(2446),
    [anon_sym_LR_DQUOTE] = ACTIONS(2446),
    [anon_sym_uR_DQUOTE] = ACTIONS(2446),
    [anon_sym_UR_DQUOTE] = ACTIONS(2446),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2446),
    [anon_sym_co_await] = ACTIONS(2444),
    [anon_sym_new] = ACTIONS(2444),
    [anon_sym_requires] = ACTIONS(2444),
    [sym_this] = ACTIONS(2444),
    [anon_sym_discard] = ACTIONS(2444),
    [anon_sym_precise] = ACTIONS(2444),
    [anon_sym_shared] = ACTIONS(2444),
    [anon_sym_groupshared] = ACTIONS(2444),
    [anon_sym_uniform] = ACTIONS(2444),
    [anon_sym_row_major] = ACTIONS(2444),
    [anon_sym_column_major] = ACTIONS(2444),
    [anon_sym_globallycoherent] = ACTIONS(2444),
    [anon_sym_centroid] = ACTIONS(2444),
    [anon_sym_noperspective] = ACTIONS(2444),
    [anon_sym_nointerpolation] = ACTIONS(2444),
    [anon_sym_sample] = ACTIONS(2444),
    [anon_sym_linear] = ACTIONS(2444),
    [anon_sym_snorm] = ACTIONS(2444),
    [anon_sym_unorm] = ACTIONS(2444),
    [anon_sym_point] = ACTIONS(2444),
    [anon_sym_line] = ACTIONS(2444),
    [anon_sym_triangleadj] = ACTIONS(2444),
    [anon_sym_lineadj] = ACTIONS(2444),
    [anon_sym_triangle] = ACTIONS(2444),
    [anon_sym_cbuffer] = ACTIONS(2444),
  },
  [525] = {
    [sym_identifier] = ACTIONS(2508),
    [aux_sym_preproc_include_token1] = ACTIONS(2508),
    [aux_sym_preproc_def_token1] = ACTIONS(2508),
    [aux_sym_preproc_if_token1] = ACTIONS(2508),
    [aux_sym_preproc_if_token2] = ACTIONS(2508),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2508),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2508),
    [aux_sym_preproc_else_token1] = ACTIONS(2508),
    [aux_sym_preproc_elif_token1] = ACTIONS(2508),
    [sym_preproc_directive] = ACTIONS(2508),
    [anon_sym_LPAREN2] = ACTIONS(2510),
    [anon_sym_BANG] = ACTIONS(2510),
    [anon_sym_TILDE] = ACTIONS(2510),
    [anon_sym_DASH] = ACTIONS(2508),
    [anon_sym_PLUS] = ACTIONS(2508),
    [anon_sym_STAR] = ACTIONS(2510),
    [anon_sym_AMP_AMP] = ACTIONS(2510),
    [anon_sym_AMP] = ACTIONS(2508),
    [anon_sym_SEMI] = ACTIONS(2510),
    [anon_sym___extension__] = ACTIONS(2508),
    [anon_sym_typedef] = ACTIONS(2508),
    [anon_sym_in] = ACTIONS(2508),
    [anon_sym_out] = ACTIONS(2508),
    [anon_sym_inout] = ACTIONS(2508),
    [anon_sym_extern] = ACTIONS(2508),
    [anon_sym___attribute__] = ACTIONS(2508),
    [anon_sym_COLON_COLON] = ACTIONS(2510),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2510),
    [anon_sym___declspec] = ACTIONS(2508),
    [anon_sym___based] = ACTIONS(2508),
    [anon_sym___cdecl] = ACTIONS(2508),
    [anon_sym___clrcall] = ACTIONS(2508),
    [anon_sym___stdcall] = ACTIONS(2508),
    [anon_sym___fastcall] = ACTIONS(2508),
    [anon_sym___thiscall] = ACTIONS(2508),
    [anon_sym___vectorcall] = ACTIONS(2508),
    [anon_sym_LBRACE] = ACTIONS(2510),
    [anon_sym_signed] = ACTIONS(2508),
    [anon_sym_unsigned] = ACTIONS(2508),
    [anon_sym_long] = ACTIONS(2508),
    [anon_sym_short] = ACTIONS(2508),
    [anon_sym_LBRACK] = ACTIONS(2508),
    [anon_sym_static] = ACTIONS(2508),
    [anon_sym_register] = ACTIONS(2508),
    [anon_sym_inline] = ACTIONS(2508),
    [anon_sym___inline] = ACTIONS(2508),
    [anon_sym___inline__] = ACTIONS(2508),
    [anon_sym___forceinline] = ACTIONS(2508),
    [anon_sym_thread_local] = ACTIONS(2508),
    [anon_sym___thread] = ACTIONS(2508),
    [anon_sym_const] = ACTIONS(2508),
    [anon_sym_constexpr] = ACTIONS(2508),
    [anon_sym_volatile] = ACTIONS(2508),
    [anon_sym_restrict] = ACTIONS(2508),
    [anon_sym___restrict__] = ACTIONS(2508),
    [anon_sym__Atomic] = ACTIONS(2508),
    [anon_sym__Noreturn] = ACTIONS(2508),
    [anon_sym_noreturn] = ACTIONS(2508),
    [anon_sym_mutable] = ACTIONS(2508),
    [anon_sym_constinit] = ACTIONS(2508),
    [anon_sym_consteval] = ACTIONS(2508),
    [sym_primitive_type] = ACTIONS(2508),
    [anon_sym_enum] = ACTIONS(2508),
    [anon_sym_class] = ACTIONS(2508),
    [anon_sym_struct] = ACTIONS(2508),
    [anon_sym_union] = ACTIONS(2508),
    [anon_sym_if] = ACTIONS(2508),
    [anon_sym_else] = ACTIONS(2508),
    [anon_sym_switch] = ACTIONS(2508),
    [anon_sym_case] = ACTIONS(2508),
    [anon_sym_default] = ACTIONS(2508),
    [anon_sym_while] = ACTIONS(2508),
    [anon_sym_do] = ACTIONS(2508),
    [anon_sym_for] = ACTIONS(2508),
    [anon_sym_return] = ACTIONS(2508),
    [anon_sym_break] = ACTIONS(2508),
    [anon_sym_continue] = ACTIONS(2508),
    [anon_sym_goto] = ACTIONS(2508),
    [anon_sym___try] = ACTIONS(2508),
    [anon_sym___leave] = ACTIONS(2508),
    [anon_sym_not] = ACTIONS(2508),
    [anon_sym_compl] = ACTIONS(2508),
    [anon_sym_DASH_DASH] = ACTIONS(2510),
    [anon_sym_PLUS_PLUS] = ACTIONS(2510),
    [anon_sym_sizeof] = ACTIONS(2508),
    [anon_sym___alignof__] = ACTIONS(2508),
    [anon_sym___alignof] = ACTIONS(2508),
    [anon_sym__alignof] = ACTIONS(2508),
    [anon_sym_alignof] = ACTIONS(2508),
    [anon_sym__Alignof] = ACTIONS(2508),
    [anon_sym_offsetof] = ACTIONS(2508),
    [anon_sym__Generic] = ACTIONS(2508),
    [anon_sym_asm] = ACTIONS(2508),
    [anon_sym___asm__] = ACTIONS(2508),
    [sym_number_literal] = ACTIONS(2510),
    [anon_sym_L_SQUOTE] = ACTIONS(2510),
    [anon_sym_u_SQUOTE] = ACTIONS(2510),
    [anon_sym_U_SQUOTE] = ACTIONS(2510),
    [anon_sym_u8_SQUOTE] = ACTIONS(2510),
    [anon_sym_SQUOTE] = ACTIONS(2510),
    [anon_sym_L_DQUOTE] = ACTIONS(2510),
    [anon_sym_u_DQUOTE] = ACTIONS(2510),
    [anon_sym_U_DQUOTE] = ACTIONS(2510),
    [anon_sym_u8_DQUOTE] = ACTIONS(2510),
    [anon_sym_DQUOTE] = ACTIONS(2510),
    [sym_true] = ACTIONS(2508),
    [sym_false] = ACTIONS(2508),
    [anon_sym_NULL] = ACTIONS(2508),
    [anon_sym_nullptr] = ACTIONS(2508),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2508),
    [anon_sym_decltype] = ACTIONS(2508),
    [anon_sym_virtual] = ACTIONS(2508),
    [anon_sym_alignas] = ACTIONS(2508),
    [anon_sym_explicit] = ACTIONS(2508),
    [anon_sym_typename] = ACTIONS(2508),
    [anon_sym_template] = ACTIONS(2508),
    [anon_sym_operator] = ACTIONS(2508),
    [anon_sym_try] = ACTIONS(2508),
    [anon_sym_delete] = ACTIONS(2508),
    [anon_sym_throw] = ACTIONS(2508),
    [anon_sym_namespace] = ACTIONS(2508),
    [anon_sym_using] = ACTIONS(2508),
    [anon_sym_static_assert] = ACTIONS(2508),
    [anon_sym_concept] = ACTIONS(2508),
    [anon_sym_co_return] = ACTIONS(2508),
    [anon_sym_co_yield] = ACTIONS(2508),
    [anon_sym_R_DQUOTE] = ACTIONS(2510),
    [anon_sym_LR_DQUOTE] = ACTIONS(2510),
    [anon_sym_uR_DQUOTE] = ACTIONS(2510),
    [anon_sym_UR_DQUOTE] = ACTIONS(2510),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2510),
    [anon_sym_co_await] = ACTIONS(2508),
    [anon_sym_new] = ACTIONS(2508),
    [anon_sym_requires] = ACTIONS(2508),
    [sym_this] = ACTIONS(2508),
    [anon_sym_discard] = ACTIONS(2508),
    [anon_sym_precise] = ACTIONS(2508),
    [anon_sym_shared] = ACTIONS(2508),
    [anon_sym_groupshared] = ACTIONS(2508),
    [anon_sym_uniform] = ACTIONS(2508),
    [anon_sym_row_major] = ACTIONS(2508),
    [anon_sym_column_major] = ACTIONS(2508),
    [anon_sym_globallycoherent] = ACTIONS(2508),
    [anon_sym_centroid] = ACTIONS(2508),
    [anon_sym_noperspective] = ACTIONS(2508),
    [anon_sym_nointerpolation] = ACTIONS(2508),
    [anon_sym_sample] = ACTIONS(2508),
    [anon_sym_linear] = ACTIONS(2508),
    [anon_sym_snorm] = ACTIONS(2508),
    [anon_sym_unorm] = ACTIONS(2508),
    [anon_sym_point] = ACTIONS(2508),
    [anon_sym_line] = ACTIONS(2508),
    [anon_sym_triangleadj] = ACTIONS(2508),
    [anon_sym_lineadj] = ACTIONS(2508),
    [anon_sym_triangle] = ACTIONS(2508),
    [anon_sym_cbuffer] = ACTIONS(2508),
  },
  [526] = {
    [sym_identifier] = ACTIONS(2364),
    [aux_sym_preproc_include_token1] = ACTIONS(2364),
    [aux_sym_preproc_def_token1] = ACTIONS(2364),
    [aux_sym_preproc_if_token1] = ACTIONS(2364),
    [aux_sym_preproc_if_token2] = ACTIONS(2364),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2364),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2364),
    [aux_sym_preproc_else_token1] = ACTIONS(2364),
    [aux_sym_preproc_elif_token1] = ACTIONS(2364),
    [sym_preproc_directive] = ACTIONS(2364),
    [anon_sym_LPAREN2] = ACTIONS(2366),
    [anon_sym_BANG] = ACTIONS(2366),
    [anon_sym_TILDE] = ACTIONS(2366),
    [anon_sym_DASH] = ACTIONS(2364),
    [anon_sym_PLUS] = ACTIONS(2364),
    [anon_sym_STAR] = ACTIONS(2366),
    [anon_sym_AMP_AMP] = ACTIONS(2366),
    [anon_sym_AMP] = ACTIONS(2364),
    [anon_sym_SEMI] = ACTIONS(2366),
    [anon_sym___extension__] = ACTIONS(2364),
    [anon_sym_typedef] = ACTIONS(2364),
    [anon_sym_in] = ACTIONS(2364),
    [anon_sym_out] = ACTIONS(2364),
    [anon_sym_inout] = ACTIONS(2364),
    [anon_sym_extern] = ACTIONS(2364),
    [anon_sym___attribute__] = ACTIONS(2364),
    [anon_sym_COLON_COLON] = ACTIONS(2366),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2366),
    [anon_sym___declspec] = ACTIONS(2364),
    [anon_sym___based] = ACTIONS(2364),
    [anon_sym___cdecl] = ACTIONS(2364),
    [anon_sym___clrcall] = ACTIONS(2364),
    [anon_sym___stdcall] = ACTIONS(2364),
    [anon_sym___fastcall] = ACTIONS(2364),
    [anon_sym___thiscall] = ACTIONS(2364),
    [anon_sym___vectorcall] = ACTIONS(2364),
    [anon_sym_LBRACE] = ACTIONS(2366),
    [anon_sym_signed] = ACTIONS(2364),
    [anon_sym_unsigned] = ACTIONS(2364),
    [anon_sym_long] = ACTIONS(2364),
    [anon_sym_short] = ACTIONS(2364),
    [anon_sym_LBRACK] = ACTIONS(2364),
    [anon_sym_static] = ACTIONS(2364),
    [anon_sym_register] = ACTIONS(2364),
    [anon_sym_inline] = ACTIONS(2364),
    [anon_sym___inline] = ACTIONS(2364),
    [anon_sym___inline__] = ACTIONS(2364),
    [anon_sym___forceinline] = ACTIONS(2364),
    [anon_sym_thread_local] = ACTIONS(2364),
    [anon_sym___thread] = ACTIONS(2364),
    [anon_sym_const] = ACTIONS(2364),
    [anon_sym_constexpr] = ACTIONS(2364),
    [anon_sym_volatile] = ACTIONS(2364),
    [anon_sym_restrict] = ACTIONS(2364),
    [anon_sym___restrict__] = ACTIONS(2364),
    [anon_sym__Atomic] = ACTIONS(2364),
    [anon_sym__Noreturn] = ACTIONS(2364),
    [anon_sym_noreturn] = ACTIONS(2364),
    [anon_sym_mutable] = ACTIONS(2364),
    [anon_sym_constinit] = ACTIONS(2364),
    [anon_sym_consteval] = ACTIONS(2364),
    [sym_primitive_type] = ACTIONS(2364),
    [anon_sym_enum] = ACTIONS(2364),
    [anon_sym_class] = ACTIONS(2364),
    [anon_sym_struct] = ACTIONS(2364),
    [anon_sym_union] = ACTIONS(2364),
    [anon_sym_if] = ACTIONS(2364),
    [anon_sym_else] = ACTIONS(2364),
    [anon_sym_switch] = ACTIONS(2364),
    [anon_sym_case] = ACTIONS(2364),
    [anon_sym_default] = ACTIONS(2364),
    [anon_sym_while] = ACTIONS(2364),
    [anon_sym_do] = ACTIONS(2364),
    [anon_sym_for] = ACTIONS(2364),
    [anon_sym_return] = ACTIONS(2364),
    [anon_sym_break] = ACTIONS(2364),
    [anon_sym_continue] = ACTIONS(2364),
    [anon_sym_goto] = ACTIONS(2364),
    [anon_sym___try] = ACTIONS(2364),
    [anon_sym___leave] = ACTIONS(2364),
    [anon_sym_not] = ACTIONS(2364),
    [anon_sym_compl] = ACTIONS(2364),
    [anon_sym_DASH_DASH] = ACTIONS(2366),
    [anon_sym_PLUS_PLUS] = ACTIONS(2366),
    [anon_sym_sizeof] = ACTIONS(2364),
    [anon_sym___alignof__] = ACTIONS(2364),
    [anon_sym___alignof] = ACTIONS(2364),
    [anon_sym__alignof] = ACTIONS(2364),
    [anon_sym_alignof] = ACTIONS(2364),
    [anon_sym__Alignof] = ACTIONS(2364),
    [anon_sym_offsetof] = ACTIONS(2364),
    [anon_sym__Generic] = ACTIONS(2364),
    [anon_sym_asm] = ACTIONS(2364),
    [anon_sym___asm__] = ACTIONS(2364),
    [sym_number_literal] = ACTIONS(2366),
    [anon_sym_L_SQUOTE] = ACTIONS(2366),
    [anon_sym_u_SQUOTE] = ACTIONS(2366),
    [anon_sym_U_SQUOTE] = ACTIONS(2366),
    [anon_sym_u8_SQUOTE] = ACTIONS(2366),
    [anon_sym_SQUOTE] = ACTIONS(2366),
    [anon_sym_L_DQUOTE] = ACTIONS(2366),
    [anon_sym_u_DQUOTE] = ACTIONS(2366),
    [anon_sym_U_DQUOTE] = ACTIONS(2366),
    [anon_sym_u8_DQUOTE] = ACTIONS(2366),
    [anon_sym_DQUOTE] = ACTIONS(2366),
    [sym_true] = ACTIONS(2364),
    [sym_false] = ACTIONS(2364),
    [anon_sym_NULL] = ACTIONS(2364),
    [anon_sym_nullptr] = ACTIONS(2364),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2364),
    [anon_sym_decltype] = ACTIONS(2364),
    [anon_sym_virtual] = ACTIONS(2364),
    [anon_sym_alignas] = ACTIONS(2364),
    [anon_sym_explicit] = ACTIONS(2364),
    [anon_sym_typename] = ACTIONS(2364),
    [anon_sym_template] = ACTIONS(2364),
    [anon_sym_operator] = ACTIONS(2364),
    [anon_sym_try] = ACTIONS(2364),
    [anon_sym_delete] = ACTIONS(2364),
    [anon_sym_throw] = ACTIONS(2364),
    [anon_sym_namespace] = ACTIONS(2364),
    [anon_sym_using] = ACTIONS(2364),
    [anon_sym_static_assert] = ACTIONS(2364),
    [anon_sym_concept] = ACTIONS(2364),
    [anon_sym_co_return] = ACTIONS(2364),
    [anon_sym_co_yield] = ACTIONS(2364),
    [anon_sym_R_DQUOTE] = ACTIONS(2366),
    [anon_sym_LR_DQUOTE] = ACTIONS(2366),
    [anon_sym_uR_DQUOTE] = ACTIONS(2366),
    [anon_sym_UR_DQUOTE] = ACTIONS(2366),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2366),
    [anon_sym_co_await] = ACTIONS(2364),
    [anon_sym_new] = ACTIONS(2364),
    [anon_sym_requires] = ACTIONS(2364),
    [sym_this] = ACTIONS(2364),
    [anon_sym_discard] = ACTIONS(2364),
    [anon_sym_precise] = ACTIONS(2364),
    [anon_sym_shared] = ACTIONS(2364),
    [anon_sym_groupshared] = ACTIONS(2364),
    [anon_sym_uniform] = ACTIONS(2364),
    [anon_sym_row_major] = ACTIONS(2364),
    [anon_sym_column_major] = ACTIONS(2364),
    [anon_sym_globallycoherent] = ACTIONS(2364),
    [anon_sym_centroid] = ACTIONS(2364),
    [anon_sym_noperspective] = ACTIONS(2364),
    [anon_sym_nointerpolation] = ACTIONS(2364),
    [anon_sym_sample] = ACTIONS(2364),
    [anon_sym_linear] = ACTIONS(2364),
    [anon_sym_snorm] = ACTIONS(2364),
    [anon_sym_unorm] = ACTIONS(2364),
    [anon_sym_point] = ACTIONS(2364),
    [anon_sym_line] = ACTIONS(2364),
    [anon_sym_triangleadj] = ACTIONS(2364),
    [anon_sym_lineadj] = ACTIONS(2364),
    [anon_sym_triangle] = ACTIONS(2364),
    [anon_sym_cbuffer] = ACTIONS(2364),
  },
  [527] = {
    [sym_identifier] = ACTIONS(2330),
    [aux_sym_preproc_include_token1] = ACTIONS(2330),
    [aux_sym_preproc_def_token1] = ACTIONS(2330),
    [aux_sym_preproc_if_token1] = ACTIONS(2330),
    [aux_sym_preproc_if_token2] = ACTIONS(2330),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2330),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2330),
    [aux_sym_preproc_else_token1] = ACTIONS(2330),
    [aux_sym_preproc_elif_token1] = ACTIONS(2330),
    [sym_preproc_directive] = ACTIONS(2330),
    [anon_sym_LPAREN2] = ACTIONS(2332),
    [anon_sym_BANG] = ACTIONS(2332),
    [anon_sym_TILDE] = ACTIONS(2332),
    [anon_sym_DASH] = ACTIONS(2330),
    [anon_sym_PLUS] = ACTIONS(2330),
    [anon_sym_STAR] = ACTIONS(2332),
    [anon_sym_AMP_AMP] = ACTIONS(2332),
    [anon_sym_AMP] = ACTIONS(2330),
    [anon_sym_SEMI] = ACTIONS(2332),
    [anon_sym___extension__] = ACTIONS(2330),
    [anon_sym_typedef] = ACTIONS(2330),
    [anon_sym_in] = ACTIONS(2330),
    [anon_sym_out] = ACTIONS(2330),
    [anon_sym_inout] = ACTIONS(2330),
    [anon_sym_extern] = ACTIONS(2330),
    [anon_sym___attribute__] = ACTIONS(2330),
    [anon_sym_COLON_COLON] = ACTIONS(2332),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2332),
    [anon_sym___declspec] = ACTIONS(2330),
    [anon_sym___based] = ACTIONS(2330),
    [anon_sym___cdecl] = ACTIONS(2330),
    [anon_sym___clrcall] = ACTIONS(2330),
    [anon_sym___stdcall] = ACTIONS(2330),
    [anon_sym___fastcall] = ACTIONS(2330),
    [anon_sym___thiscall] = ACTIONS(2330),
    [anon_sym___vectorcall] = ACTIONS(2330),
    [anon_sym_LBRACE] = ACTIONS(2332),
    [anon_sym_signed] = ACTIONS(2330),
    [anon_sym_unsigned] = ACTIONS(2330),
    [anon_sym_long] = ACTIONS(2330),
    [anon_sym_short] = ACTIONS(2330),
    [anon_sym_LBRACK] = ACTIONS(2330),
    [anon_sym_static] = ACTIONS(2330),
    [anon_sym_register] = ACTIONS(2330),
    [anon_sym_inline] = ACTIONS(2330),
    [anon_sym___inline] = ACTIONS(2330),
    [anon_sym___inline__] = ACTIONS(2330),
    [anon_sym___forceinline] = ACTIONS(2330),
    [anon_sym_thread_local] = ACTIONS(2330),
    [anon_sym___thread] = ACTIONS(2330),
    [anon_sym_const] = ACTIONS(2330),
    [anon_sym_constexpr] = ACTIONS(2330),
    [anon_sym_volatile] = ACTIONS(2330),
    [anon_sym_restrict] = ACTIONS(2330),
    [anon_sym___restrict__] = ACTIONS(2330),
    [anon_sym__Atomic] = ACTIONS(2330),
    [anon_sym__Noreturn] = ACTIONS(2330),
    [anon_sym_noreturn] = ACTIONS(2330),
    [anon_sym_mutable] = ACTIONS(2330),
    [anon_sym_constinit] = ACTIONS(2330),
    [anon_sym_consteval] = ACTIONS(2330),
    [sym_primitive_type] = ACTIONS(2330),
    [anon_sym_enum] = ACTIONS(2330),
    [anon_sym_class] = ACTIONS(2330),
    [anon_sym_struct] = ACTIONS(2330),
    [anon_sym_union] = ACTIONS(2330),
    [anon_sym_if] = ACTIONS(2330),
    [anon_sym_else] = ACTIONS(2330),
    [anon_sym_switch] = ACTIONS(2330),
    [anon_sym_case] = ACTIONS(2330),
    [anon_sym_default] = ACTIONS(2330),
    [anon_sym_while] = ACTIONS(2330),
    [anon_sym_do] = ACTIONS(2330),
    [anon_sym_for] = ACTIONS(2330),
    [anon_sym_return] = ACTIONS(2330),
    [anon_sym_break] = ACTIONS(2330),
    [anon_sym_continue] = ACTIONS(2330),
    [anon_sym_goto] = ACTIONS(2330),
    [anon_sym___try] = ACTIONS(2330),
    [anon_sym___leave] = ACTIONS(2330),
    [anon_sym_not] = ACTIONS(2330),
    [anon_sym_compl] = ACTIONS(2330),
    [anon_sym_DASH_DASH] = ACTIONS(2332),
    [anon_sym_PLUS_PLUS] = ACTIONS(2332),
    [anon_sym_sizeof] = ACTIONS(2330),
    [anon_sym___alignof__] = ACTIONS(2330),
    [anon_sym___alignof] = ACTIONS(2330),
    [anon_sym__alignof] = ACTIONS(2330),
    [anon_sym_alignof] = ACTIONS(2330),
    [anon_sym__Alignof] = ACTIONS(2330),
    [anon_sym_offsetof] = ACTIONS(2330),
    [anon_sym__Generic] = ACTIONS(2330),
    [anon_sym_asm] = ACTIONS(2330),
    [anon_sym___asm__] = ACTIONS(2330),
    [sym_number_literal] = ACTIONS(2332),
    [anon_sym_L_SQUOTE] = ACTIONS(2332),
    [anon_sym_u_SQUOTE] = ACTIONS(2332),
    [anon_sym_U_SQUOTE] = ACTIONS(2332),
    [anon_sym_u8_SQUOTE] = ACTIONS(2332),
    [anon_sym_SQUOTE] = ACTIONS(2332),
    [anon_sym_L_DQUOTE] = ACTIONS(2332),
    [anon_sym_u_DQUOTE] = ACTIONS(2332),
    [anon_sym_U_DQUOTE] = ACTIONS(2332),
    [anon_sym_u8_DQUOTE] = ACTIONS(2332),
    [anon_sym_DQUOTE] = ACTIONS(2332),
    [sym_true] = ACTIONS(2330),
    [sym_false] = ACTIONS(2330),
    [anon_sym_NULL] = ACTIONS(2330),
    [anon_sym_nullptr] = ACTIONS(2330),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2330),
    [anon_sym_decltype] = ACTIONS(2330),
    [anon_sym_virtual] = ACTIONS(2330),
    [anon_sym_alignas] = ACTIONS(2330),
    [anon_sym_explicit] = ACTIONS(2330),
    [anon_sym_typename] = ACTIONS(2330),
    [anon_sym_template] = ACTIONS(2330),
    [anon_sym_operator] = ACTIONS(2330),
    [anon_sym_try] = ACTIONS(2330),
    [anon_sym_delete] = ACTIONS(2330),
    [anon_sym_throw] = ACTIONS(2330),
    [anon_sym_namespace] = ACTIONS(2330),
    [anon_sym_using] = ACTIONS(2330),
    [anon_sym_static_assert] = ACTIONS(2330),
    [anon_sym_concept] = ACTIONS(2330),
    [anon_sym_co_return] = ACTIONS(2330),
    [anon_sym_co_yield] = ACTIONS(2330),
    [anon_sym_R_DQUOTE] = ACTIONS(2332),
    [anon_sym_LR_DQUOTE] = ACTIONS(2332),
    [anon_sym_uR_DQUOTE] = ACTIONS(2332),
    [anon_sym_UR_DQUOTE] = ACTIONS(2332),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2332),
    [anon_sym_co_await] = ACTIONS(2330),
    [anon_sym_new] = ACTIONS(2330),
    [anon_sym_requires] = ACTIONS(2330),
    [sym_this] = ACTIONS(2330),
    [anon_sym_discard] = ACTIONS(2330),
    [anon_sym_precise] = ACTIONS(2330),
    [anon_sym_shared] = ACTIONS(2330),
    [anon_sym_groupshared] = ACTIONS(2330),
    [anon_sym_uniform] = ACTIONS(2330),
    [anon_sym_row_major] = ACTIONS(2330),
    [anon_sym_column_major] = ACTIONS(2330),
    [anon_sym_globallycoherent] = ACTIONS(2330),
    [anon_sym_centroid] = ACTIONS(2330),
    [anon_sym_noperspective] = ACTIONS(2330),
    [anon_sym_nointerpolation] = ACTIONS(2330),
    [anon_sym_sample] = ACTIONS(2330),
    [anon_sym_linear] = ACTIONS(2330),
    [anon_sym_snorm] = ACTIONS(2330),
    [anon_sym_unorm] = ACTIONS(2330),
    [anon_sym_point] = ACTIONS(2330),
    [anon_sym_line] = ACTIONS(2330),
    [anon_sym_triangleadj] = ACTIONS(2330),
    [anon_sym_lineadj] = ACTIONS(2330),
    [anon_sym_triangle] = ACTIONS(2330),
    [anon_sym_cbuffer] = ACTIONS(2330),
  },
  [528] = {
    [sym_identifier] = ACTIONS(2504),
    [aux_sym_preproc_include_token1] = ACTIONS(2504),
    [aux_sym_preproc_def_token1] = ACTIONS(2504),
    [aux_sym_preproc_if_token1] = ACTIONS(2504),
    [aux_sym_preproc_if_token2] = ACTIONS(2504),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2504),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2504),
    [aux_sym_preproc_else_token1] = ACTIONS(2504),
    [aux_sym_preproc_elif_token1] = ACTIONS(2504),
    [sym_preproc_directive] = ACTIONS(2504),
    [anon_sym_LPAREN2] = ACTIONS(2506),
    [anon_sym_BANG] = ACTIONS(2506),
    [anon_sym_TILDE] = ACTIONS(2506),
    [anon_sym_DASH] = ACTIONS(2504),
    [anon_sym_PLUS] = ACTIONS(2504),
    [anon_sym_STAR] = ACTIONS(2506),
    [anon_sym_AMP_AMP] = ACTIONS(2506),
    [anon_sym_AMP] = ACTIONS(2504),
    [anon_sym_SEMI] = ACTIONS(2506),
    [anon_sym___extension__] = ACTIONS(2504),
    [anon_sym_typedef] = ACTIONS(2504),
    [anon_sym_in] = ACTIONS(2504),
    [anon_sym_out] = ACTIONS(2504),
    [anon_sym_inout] = ACTIONS(2504),
    [anon_sym_extern] = ACTIONS(2504),
    [anon_sym___attribute__] = ACTIONS(2504),
    [anon_sym_COLON_COLON] = ACTIONS(2506),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2506),
    [anon_sym___declspec] = ACTIONS(2504),
    [anon_sym___based] = ACTIONS(2504),
    [anon_sym___cdecl] = ACTIONS(2504),
    [anon_sym___clrcall] = ACTIONS(2504),
    [anon_sym___stdcall] = ACTIONS(2504),
    [anon_sym___fastcall] = ACTIONS(2504),
    [anon_sym___thiscall] = ACTIONS(2504),
    [anon_sym___vectorcall] = ACTIONS(2504),
    [anon_sym_LBRACE] = ACTIONS(2506),
    [anon_sym_signed] = ACTIONS(2504),
    [anon_sym_unsigned] = ACTIONS(2504),
    [anon_sym_long] = ACTIONS(2504),
    [anon_sym_short] = ACTIONS(2504),
    [anon_sym_LBRACK] = ACTIONS(2504),
    [anon_sym_static] = ACTIONS(2504),
    [anon_sym_register] = ACTIONS(2504),
    [anon_sym_inline] = ACTIONS(2504),
    [anon_sym___inline] = ACTIONS(2504),
    [anon_sym___inline__] = ACTIONS(2504),
    [anon_sym___forceinline] = ACTIONS(2504),
    [anon_sym_thread_local] = ACTIONS(2504),
    [anon_sym___thread] = ACTIONS(2504),
    [anon_sym_const] = ACTIONS(2504),
    [anon_sym_constexpr] = ACTIONS(2504),
    [anon_sym_volatile] = ACTIONS(2504),
    [anon_sym_restrict] = ACTIONS(2504),
    [anon_sym___restrict__] = ACTIONS(2504),
    [anon_sym__Atomic] = ACTIONS(2504),
    [anon_sym__Noreturn] = ACTIONS(2504),
    [anon_sym_noreturn] = ACTIONS(2504),
    [anon_sym_mutable] = ACTIONS(2504),
    [anon_sym_constinit] = ACTIONS(2504),
    [anon_sym_consteval] = ACTIONS(2504),
    [sym_primitive_type] = ACTIONS(2504),
    [anon_sym_enum] = ACTIONS(2504),
    [anon_sym_class] = ACTIONS(2504),
    [anon_sym_struct] = ACTIONS(2504),
    [anon_sym_union] = ACTIONS(2504),
    [anon_sym_if] = ACTIONS(2504),
    [anon_sym_else] = ACTIONS(2504),
    [anon_sym_switch] = ACTIONS(2504),
    [anon_sym_case] = ACTIONS(2504),
    [anon_sym_default] = ACTIONS(2504),
    [anon_sym_while] = ACTIONS(2504),
    [anon_sym_do] = ACTIONS(2504),
    [anon_sym_for] = ACTIONS(2504),
    [anon_sym_return] = ACTIONS(2504),
    [anon_sym_break] = ACTIONS(2504),
    [anon_sym_continue] = ACTIONS(2504),
    [anon_sym_goto] = ACTIONS(2504),
    [anon_sym___try] = ACTIONS(2504),
    [anon_sym___leave] = ACTIONS(2504),
    [anon_sym_not] = ACTIONS(2504),
    [anon_sym_compl] = ACTIONS(2504),
    [anon_sym_DASH_DASH] = ACTIONS(2506),
    [anon_sym_PLUS_PLUS] = ACTIONS(2506),
    [anon_sym_sizeof] = ACTIONS(2504),
    [anon_sym___alignof__] = ACTIONS(2504),
    [anon_sym___alignof] = ACTIONS(2504),
    [anon_sym__alignof] = ACTIONS(2504),
    [anon_sym_alignof] = ACTIONS(2504),
    [anon_sym__Alignof] = ACTIONS(2504),
    [anon_sym_offsetof] = ACTIONS(2504),
    [anon_sym__Generic] = ACTIONS(2504),
    [anon_sym_asm] = ACTIONS(2504),
    [anon_sym___asm__] = ACTIONS(2504),
    [sym_number_literal] = ACTIONS(2506),
    [anon_sym_L_SQUOTE] = ACTIONS(2506),
    [anon_sym_u_SQUOTE] = ACTIONS(2506),
    [anon_sym_U_SQUOTE] = ACTIONS(2506),
    [anon_sym_u8_SQUOTE] = ACTIONS(2506),
    [anon_sym_SQUOTE] = ACTIONS(2506),
    [anon_sym_L_DQUOTE] = ACTIONS(2506),
    [anon_sym_u_DQUOTE] = ACTIONS(2506),
    [anon_sym_U_DQUOTE] = ACTIONS(2506),
    [anon_sym_u8_DQUOTE] = ACTIONS(2506),
    [anon_sym_DQUOTE] = ACTIONS(2506),
    [sym_true] = ACTIONS(2504),
    [sym_false] = ACTIONS(2504),
    [anon_sym_NULL] = ACTIONS(2504),
    [anon_sym_nullptr] = ACTIONS(2504),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2504),
    [anon_sym_decltype] = ACTIONS(2504),
    [anon_sym_virtual] = ACTIONS(2504),
    [anon_sym_alignas] = ACTIONS(2504),
    [anon_sym_explicit] = ACTIONS(2504),
    [anon_sym_typename] = ACTIONS(2504),
    [anon_sym_template] = ACTIONS(2504),
    [anon_sym_operator] = ACTIONS(2504),
    [anon_sym_try] = ACTIONS(2504),
    [anon_sym_delete] = ACTIONS(2504),
    [anon_sym_throw] = ACTIONS(2504),
    [anon_sym_namespace] = ACTIONS(2504),
    [anon_sym_using] = ACTIONS(2504),
    [anon_sym_static_assert] = ACTIONS(2504),
    [anon_sym_concept] = ACTIONS(2504),
    [anon_sym_co_return] = ACTIONS(2504),
    [anon_sym_co_yield] = ACTIONS(2504),
    [anon_sym_R_DQUOTE] = ACTIONS(2506),
    [anon_sym_LR_DQUOTE] = ACTIONS(2506),
    [anon_sym_uR_DQUOTE] = ACTIONS(2506),
    [anon_sym_UR_DQUOTE] = ACTIONS(2506),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2506),
    [anon_sym_co_await] = ACTIONS(2504),
    [anon_sym_new] = ACTIONS(2504),
    [anon_sym_requires] = ACTIONS(2504),
    [sym_this] = ACTIONS(2504),
    [anon_sym_discard] = ACTIONS(2504),
    [anon_sym_precise] = ACTIONS(2504),
    [anon_sym_shared] = ACTIONS(2504),
    [anon_sym_groupshared] = ACTIONS(2504),
    [anon_sym_uniform] = ACTIONS(2504),
    [anon_sym_row_major] = ACTIONS(2504),
    [anon_sym_column_major] = ACTIONS(2504),
    [anon_sym_globallycoherent] = ACTIONS(2504),
    [anon_sym_centroid] = ACTIONS(2504),
    [anon_sym_noperspective] = ACTIONS(2504),
    [anon_sym_nointerpolation] = ACTIONS(2504),
    [anon_sym_sample] = ACTIONS(2504),
    [anon_sym_linear] = ACTIONS(2504),
    [anon_sym_snorm] = ACTIONS(2504),
    [anon_sym_unorm] = ACTIONS(2504),
    [anon_sym_point] = ACTIONS(2504),
    [anon_sym_line] = ACTIONS(2504),
    [anon_sym_triangleadj] = ACTIONS(2504),
    [anon_sym_lineadj] = ACTIONS(2504),
    [anon_sym_triangle] = ACTIONS(2504),
    [anon_sym_cbuffer] = ACTIONS(2504),
  },
  [529] = {
    [sym_identifier] = ACTIONS(2512),
    [aux_sym_preproc_include_token1] = ACTIONS(2512),
    [aux_sym_preproc_def_token1] = ACTIONS(2512),
    [aux_sym_preproc_if_token1] = ACTIONS(2512),
    [aux_sym_preproc_if_token2] = ACTIONS(2512),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2512),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2512),
    [aux_sym_preproc_else_token1] = ACTIONS(2512),
    [aux_sym_preproc_elif_token1] = ACTIONS(2512),
    [sym_preproc_directive] = ACTIONS(2512),
    [anon_sym_LPAREN2] = ACTIONS(2514),
    [anon_sym_BANG] = ACTIONS(2514),
    [anon_sym_TILDE] = ACTIONS(2514),
    [anon_sym_DASH] = ACTIONS(2512),
    [anon_sym_PLUS] = ACTIONS(2512),
    [anon_sym_STAR] = ACTIONS(2514),
    [anon_sym_AMP_AMP] = ACTIONS(2514),
    [anon_sym_AMP] = ACTIONS(2512),
    [anon_sym_SEMI] = ACTIONS(2514),
    [anon_sym___extension__] = ACTIONS(2512),
    [anon_sym_typedef] = ACTIONS(2512),
    [anon_sym_in] = ACTIONS(2512),
    [anon_sym_out] = ACTIONS(2512),
    [anon_sym_inout] = ACTIONS(2512),
    [anon_sym_extern] = ACTIONS(2512),
    [anon_sym___attribute__] = ACTIONS(2512),
    [anon_sym_COLON_COLON] = ACTIONS(2514),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2514),
    [anon_sym___declspec] = ACTIONS(2512),
    [anon_sym___based] = ACTIONS(2512),
    [anon_sym___cdecl] = ACTIONS(2512),
    [anon_sym___clrcall] = ACTIONS(2512),
    [anon_sym___stdcall] = ACTIONS(2512),
    [anon_sym___fastcall] = ACTIONS(2512),
    [anon_sym___thiscall] = ACTIONS(2512),
    [anon_sym___vectorcall] = ACTIONS(2512),
    [anon_sym_LBRACE] = ACTIONS(2514),
    [anon_sym_signed] = ACTIONS(2512),
    [anon_sym_unsigned] = ACTIONS(2512),
    [anon_sym_long] = ACTIONS(2512),
    [anon_sym_short] = ACTIONS(2512),
    [anon_sym_LBRACK] = ACTIONS(2512),
    [anon_sym_static] = ACTIONS(2512),
    [anon_sym_register] = ACTIONS(2512),
    [anon_sym_inline] = ACTIONS(2512),
    [anon_sym___inline] = ACTIONS(2512),
    [anon_sym___inline__] = ACTIONS(2512),
    [anon_sym___forceinline] = ACTIONS(2512),
    [anon_sym_thread_local] = ACTIONS(2512),
    [anon_sym___thread] = ACTIONS(2512),
    [anon_sym_const] = ACTIONS(2512),
    [anon_sym_constexpr] = ACTIONS(2512),
    [anon_sym_volatile] = ACTIONS(2512),
    [anon_sym_restrict] = ACTIONS(2512),
    [anon_sym___restrict__] = ACTIONS(2512),
    [anon_sym__Atomic] = ACTIONS(2512),
    [anon_sym__Noreturn] = ACTIONS(2512),
    [anon_sym_noreturn] = ACTIONS(2512),
    [anon_sym_mutable] = ACTIONS(2512),
    [anon_sym_constinit] = ACTIONS(2512),
    [anon_sym_consteval] = ACTIONS(2512),
    [sym_primitive_type] = ACTIONS(2512),
    [anon_sym_enum] = ACTIONS(2512),
    [anon_sym_class] = ACTIONS(2512),
    [anon_sym_struct] = ACTIONS(2512),
    [anon_sym_union] = ACTIONS(2512),
    [anon_sym_if] = ACTIONS(2512),
    [anon_sym_else] = ACTIONS(2512),
    [anon_sym_switch] = ACTIONS(2512),
    [anon_sym_case] = ACTIONS(2512),
    [anon_sym_default] = ACTIONS(2512),
    [anon_sym_while] = ACTIONS(2512),
    [anon_sym_do] = ACTIONS(2512),
    [anon_sym_for] = ACTIONS(2512),
    [anon_sym_return] = ACTIONS(2512),
    [anon_sym_break] = ACTIONS(2512),
    [anon_sym_continue] = ACTIONS(2512),
    [anon_sym_goto] = ACTIONS(2512),
    [anon_sym___try] = ACTIONS(2512),
    [anon_sym___leave] = ACTIONS(2512),
    [anon_sym_not] = ACTIONS(2512),
    [anon_sym_compl] = ACTIONS(2512),
    [anon_sym_DASH_DASH] = ACTIONS(2514),
    [anon_sym_PLUS_PLUS] = ACTIONS(2514),
    [anon_sym_sizeof] = ACTIONS(2512),
    [anon_sym___alignof__] = ACTIONS(2512),
    [anon_sym___alignof] = ACTIONS(2512),
    [anon_sym__alignof] = ACTIONS(2512),
    [anon_sym_alignof] = ACTIONS(2512),
    [anon_sym__Alignof] = ACTIONS(2512),
    [anon_sym_offsetof] = ACTIONS(2512),
    [anon_sym__Generic] = ACTIONS(2512),
    [anon_sym_asm] = ACTIONS(2512),
    [anon_sym___asm__] = ACTIONS(2512),
    [sym_number_literal] = ACTIONS(2514),
    [anon_sym_L_SQUOTE] = ACTIONS(2514),
    [anon_sym_u_SQUOTE] = ACTIONS(2514),
    [anon_sym_U_SQUOTE] = ACTIONS(2514),
    [anon_sym_u8_SQUOTE] = ACTIONS(2514),
    [anon_sym_SQUOTE] = ACTIONS(2514),
    [anon_sym_L_DQUOTE] = ACTIONS(2514),
    [anon_sym_u_DQUOTE] = ACTIONS(2514),
    [anon_sym_U_DQUOTE] = ACTIONS(2514),
    [anon_sym_u8_DQUOTE] = ACTIONS(2514),
    [anon_sym_DQUOTE] = ACTIONS(2514),
    [sym_true] = ACTIONS(2512),
    [sym_false] = ACTIONS(2512),
    [anon_sym_NULL] = ACTIONS(2512),
    [anon_sym_nullptr] = ACTIONS(2512),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2512),
    [anon_sym_decltype] = ACTIONS(2512),
    [anon_sym_virtual] = ACTIONS(2512),
    [anon_sym_alignas] = ACTIONS(2512),
    [anon_sym_explicit] = ACTIONS(2512),
    [anon_sym_typename] = ACTIONS(2512),
    [anon_sym_template] = ACTIONS(2512),
    [anon_sym_operator] = ACTIONS(2512),
    [anon_sym_try] = ACTIONS(2512),
    [anon_sym_delete] = ACTIONS(2512),
    [anon_sym_throw] = ACTIONS(2512),
    [anon_sym_namespace] = ACTIONS(2512),
    [anon_sym_using] = ACTIONS(2512),
    [anon_sym_static_assert] = ACTIONS(2512),
    [anon_sym_concept] = ACTIONS(2512),
    [anon_sym_co_return] = ACTIONS(2512),
    [anon_sym_co_yield] = ACTIONS(2512),
    [anon_sym_R_DQUOTE] = ACTIONS(2514),
    [anon_sym_LR_DQUOTE] = ACTIONS(2514),
    [anon_sym_uR_DQUOTE] = ACTIONS(2514),
    [anon_sym_UR_DQUOTE] = ACTIONS(2514),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2514),
    [anon_sym_co_await] = ACTIONS(2512),
    [anon_sym_new] = ACTIONS(2512),
    [anon_sym_requires] = ACTIONS(2512),
    [sym_this] = ACTIONS(2512),
    [anon_sym_discard] = ACTIONS(2512),
    [anon_sym_precise] = ACTIONS(2512),
    [anon_sym_shared] = ACTIONS(2512),
    [anon_sym_groupshared] = ACTIONS(2512),
    [anon_sym_uniform] = ACTIONS(2512),
    [anon_sym_row_major] = ACTIONS(2512),
    [anon_sym_column_major] = ACTIONS(2512),
    [anon_sym_globallycoherent] = ACTIONS(2512),
    [anon_sym_centroid] = ACTIONS(2512),
    [anon_sym_noperspective] = ACTIONS(2512),
    [anon_sym_nointerpolation] = ACTIONS(2512),
    [anon_sym_sample] = ACTIONS(2512),
    [anon_sym_linear] = ACTIONS(2512),
    [anon_sym_snorm] = ACTIONS(2512),
    [anon_sym_unorm] = ACTIONS(2512),
    [anon_sym_point] = ACTIONS(2512),
    [anon_sym_line] = ACTIONS(2512),
    [anon_sym_triangleadj] = ACTIONS(2512),
    [anon_sym_lineadj] = ACTIONS(2512),
    [anon_sym_triangle] = ACTIONS(2512),
    [anon_sym_cbuffer] = ACTIONS(2512),
  },
  [530] = {
    [sym_identifier] = ACTIONS(2444),
    [aux_sym_preproc_include_token1] = ACTIONS(2444),
    [aux_sym_preproc_def_token1] = ACTIONS(2444),
    [aux_sym_preproc_if_token1] = ACTIONS(2444),
    [aux_sym_preproc_if_token2] = ACTIONS(2444),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2444),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2444),
    [aux_sym_preproc_else_token1] = ACTIONS(2444),
    [aux_sym_preproc_elif_token1] = ACTIONS(2444),
    [sym_preproc_directive] = ACTIONS(2444),
    [anon_sym_LPAREN2] = ACTIONS(2446),
    [anon_sym_BANG] = ACTIONS(2446),
    [anon_sym_TILDE] = ACTIONS(2446),
    [anon_sym_DASH] = ACTIONS(2444),
    [anon_sym_PLUS] = ACTIONS(2444),
    [anon_sym_STAR] = ACTIONS(2446),
    [anon_sym_AMP_AMP] = ACTIONS(2446),
    [anon_sym_AMP] = ACTIONS(2444),
    [anon_sym_SEMI] = ACTIONS(2446),
    [anon_sym___extension__] = ACTIONS(2444),
    [anon_sym_typedef] = ACTIONS(2444),
    [anon_sym_in] = ACTIONS(2444),
    [anon_sym_out] = ACTIONS(2444),
    [anon_sym_inout] = ACTIONS(2444),
    [anon_sym_extern] = ACTIONS(2444),
    [anon_sym___attribute__] = ACTIONS(2444),
    [anon_sym_COLON_COLON] = ACTIONS(2446),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2446),
    [anon_sym___declspec] = ACTIONS(2444),
    [anon_sym___based] = ACTIONS(2444),
    [anon_sym___cdecl] = ACTIONS(2444),
    [anon_sym___clrcall] = ACTIONS(2444),
    [anon_sym___stdcall] = ACTIONS(2444),
    [anon_sym___fastcall] = ACTIONS(2444),
    [anon_sym___thiscall] = ACTIONS(2444),
    [anon_sym___vectorcall] = ACTIONS(2444),
    [anon_sym_LBRACE] = ACTIONS(2446),
    [anon_sym_signed] = ACTIONS(2444),
    [anon_sym_unsigned] = ACTIONS(2444),
    [anon_sym_long] = ACTIONS(2444),
    [anon_sym_short] = ACTIONS(2444),
    [anon_sym_LBRACK] = ACTIONS(2444),
    [anon_sym_static] = ACTIONS(2444),
    [anon_sym_register] = ACTIONS(2444),
    [anon_sym_inline] = ACTIONS(2444),
    [anon_sym___inline] = ACTIONS(2444),
    [anon_sym___inline__] = ACTIONS(2444),
    [anon_sym___forceinline] = ACTIONS(2444),
    [anon_sym_thread_local] = ACTIONS(2444),
    [anon_sym___thread] = ACTIONS(2444),
    [anon_sym_const] = ACTIONS(2444),
    [anon_sym_constexpr] = ACTIONS(2444),
    [anon_sym_volatile] = ACTIONS(2444),
    [anon_sym_restrict] = ACTIONS(2444),
    [anon_sym___restrict__] = ACTIONS(2444),
    [anon_sym__Atomic] = ACTIONS(2444),
    [anon_sym__Noreturn] = ACTIONS(2444),
    [anon_sym_noreturn] = ACTIONS(2444),
    [anon_sym_mutable] = ACTIONS(2444),
    [anon_sym_constinit] = ACTIONS(2444),
    [anon_sym_consteval] = ACTIONS(2444),
    [sym_primitive_type] = ACTIONS(2444),
    [anon_sym_enum] = ACTIONS(2444),
    [anon_sym_class] = ACTIONS(2444),
    [anon_sym_struct] = ACTIONS(2444),
    [anon_sym_union] = ACTIONS(2444),
    [anon_sym_if] = ACTIONS(2444),
    [anon_sym_else] = ACTIONS(2444),
    [anon_sym_switch] = ACTIONS(2444),
    [anon_sym_case] = ACTIONS(2444),
    [anon_sym_default] = ACTIONS(2444),
    [anon_sym_while] = ACTIONS(2444),
    [anon_sym_do] = ACTIONS(2444),
    [anon_sym_for] = ACTIONS(2444),
    [anon_sym_return] = ACTIONS(2444),
    [anon_sym_break] = ACTIONS(2444),
    [anon_sym_continue] = ACTIONS(2444),
    [anon_sym_goto] = ACTIONS(2444),
    [anon_sym___try] = ACTIONS(2444),
    [anon_sym___leave] = ACTIONS(2444),
    [anon_sym_not] = ACTIONS(2444),
    [anon_sym_compl] = ACTIONS(2444),
    [anon_sym_DASH_DASH] = ACTIONS(2446),
    [anon_sym_PLUS_PLUS] = ACTIONS(2446),
    [anon_sym_sizeof] = ACTIONS(2444),
    [anon_sym___alignof__] = ACTIONS(2444),
    [anon_sym___alignof] = ACTIONS(2444),
    [anon_sym__alignof] = ACTIONS(2444),
    [anon_sym_alignof] = ACTIONS(2444),
    [anon_sym__Alignof] = ACTIONS(2444),
    [anon_sym_offsetof] = ACTIONS(2444),
    [anon_sym__Generic] = ACTIONS(2444),
    [anon_sym_asm] = ACTIONS(2444),
    [anon_sym___asm__] = ACTIONS(2444),
    [sym_number_literal] = ACTIONS(2446),
    [anon_sym_L_SQUOTE] = ACTIONS(2446),
    [anon_sym_u_SQUOTE] = ACTIONS(2446),
    [anon_sym_U_SQUOTE] = ACTIONS(2446),
    [anon_sym_u8_SQUOTE] = ACTIONS(2446),
    [anon_sym_SQUOTE] = ACTIONS(2446),
    [anon_sym_L_DQUOTE] = ACTIONS(2446),
    [anon_sym_u_DQUOTE] = ACTIONS(2446),
    [anon_sym_U_DQUOTE] = ACTIONS(2446),
    [anon_sym_u8_DQUOTE] = ACTIONS(2446),
    [anon_sym_DQUOTE] = ACTIONS(2446),
    [sym_true] = ACTIONS(2444),
    [sym_false] = ACTIONS(2444),
    [anon_sym_NULL] = ACTIONS(2444),
    [anon_sym_nullptr] = ACTIONS(2444),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2444),
    [anon_sym_decltype] = ACTIONS(2444),
    [anon_sym_virtual] = ACTIONS(2444),
    [anon_sym_alignas] = ACTIONS(2444),
    [anon_sym_explicit] = ACTIONS(2444),
    [anon_sym_typename] = ACTIONS(2444),
    [anon_sym_template] = ACTIONS(2444),
    [anon_sym_operator] = ACTIONS(2444),
    [anon_sym_try] = ACTIONS(2444),
    [anon_sym_delete] = ACTIONS(2444),
    [anon_sym_throw] = ACTIONS(2444),
    [anon_sym_namespace] = ACTIONS(2444),
    [anon_sym_using] = ACTIONS(2444),
    [anon_sym_static_assert] = ACTIONS(2444),
    [anon_sym_concept] = ACTIONS(2444),
    [anon_sym_co_return] = ACTIONS(2444),
    [anon_sym_co_yield] = ACTIONS(2444),
    [anon_sym_R_DQUOTE] = ACTIONS(2446),
    [anon_sym_LR_DQUOTE] = ACTIONS(2446),
    [anon_sym_uR_DQUOTE] = ACTIONS(2446),
    [anon_sym_UR_DQUOTE] = ACTIONS(2446),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2446),
    [anon_sym_co_await] = ACTIONS(2444),
    [anon_sym_new] = ACTIONS(2444),
    [anon_sym_requires] = ACTIONS(2444),
    [sym_this] = ACTIONS(2444),
    [anon_sym_discard] = ACTIONS(2444),
    [anon_sym_precise] = ACTIONS(2444),
    [anon_sym_shared] = ACTIONS(2444),
    [anon_sym_groupshared] = ACTIONS(2444),
    [anon_sym_uniform] = ACTIONS(2444),
    [anon_sym_row_major] = ACTIONS(2444),
    [anon_sym_column_major] = ACTIONS(2444),
    [anon_sym_globallycoherent] = ACTIONS(2444),
    [anon_sym_centroid] = ACTIONS(2444),
    [anon_sym_noperspective] = ACTIONS(2444),
    [anon_sym_nointerpolation] = ACTIONS(2444),
    [anon_sym_sample] = ACTIONS(2444),
    [anon_sym_linear] = ACTIONS(2444),
    [anon_sym_snorm] = ACTIONS(2444),
    [anon_sym_unorm] = ACTIONS(2444),
    [anon_sym_point] = ACTIONS(2444),
    [anon_sym_line] = ACTIONS(2444),
    [anon_sym_triangleadj] = ACTIONS(2444),
    [anon_sym_lineadj] = ACTIONS(2444),
    [anon_sym_triangle] = ACTIONS(2444),
    [anon_sym_cbuffer] = ACTIONS(2444),
  },
  [531] = {
    [sym_identifier] = ACTIONS(2444),
    [aux_sym_preproc_include_token1] = ACTIONS(2444),
    [aux_sym_preproc_def_token1] = ACTIONS(2444),
    [aux_sym_preproc_if_token1] = ACTIONS(2444),
    [aux_sym_preproc_if_token2] = ACTIONS(2444),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2444),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2444),
    [aux_sym_preproc_else_token1] = ACTIONS(2444),
    [aux_sym_preproc_elif_token1] = ACTIONS(2444),
    [sym_preproc_directive] = ACTIONS(2444),
    [anon_sym_LPAREN2] = ACTIONS(2446),
    [anon_sym_BANG] = ACTIONS(2446),
    [anon_sym_TILDE] = ACTIONS(2446),
    [anon_sym_DASH] = ACTIONS(2444),
    [anon_sym_PLUS] = ACTIONS(2444),
    [anon_sym_STAR] = ACTIONS(2446),
    [anon_sym_AMP_AMP] = ACTIONS(2446),
    [anon_sym_AMP] = ACTIONS(2444),
    [anon_sym_SEMI] = ACTIONS(2446),
    [anon_sym___extension__] = ACTIONS(2444),
    [anon_sym_typedef] = ACTIONS(2444),
    [anon_sym_in] = ACTIONS(2444),
    [anon_sym_out] = ACTIONS(2444),
    [anon_sym_inout] = ACTIONS(2444),
    [anon_sym_extern] = ACTIONS(2444),
    [anon_sym___attribute__] = ACTIONS(2444),
    [anon_sym_COLON_COLON] = ACTIONS(2446),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2446),
    [anon_sym___declspec] = ACTIONS(2444),
    [anon_sym___based] = ACTIONS(2444),
    [anon_sym___cdecl] = ACTIONS(2444),
    [anon_sym___clrcall] = ACTIONS(2444),
    [anon_sym___stdcall] = ACTIONS(2444),
    [anon_sym___fastcall] = ACTIONS(2444),
    [anon_sym___thiscall] = ACTIONS(2444),
    [anon_sym___vectorcall] = ACTIONS(2444),
    [anon_sym_LBRACE] = ACTIONS(2446),
    [anon_sym_signed] = ACTIONS(2444),
    [anon_sym_unsigned] = ACTIONS(2444),
    [anon_sym_long] = ACTIONS(2444),
    [anon_sym_short] = ACTIONS(2444),
    [anon_sym_LBRACK] = ACTIONS(2444),
    [anon_sym_static] = ACTIONS(2444),
    [anon_sym_register] = ACTIONS(2444),
    [anon_sym_inline] = ACTIONS(2444),
    [anon_sym___inline] = ACTIONS(2444),
    [anon_sym___inline__] = ACTIONS(2444),
    [anon_sym___forceinline] = ACTIONS(2444),
    [anon_sym_thread_local] = ACTIONS(2444),
    [anon_sym___thread] = ACTIONS(2444),
    [anon_sym_const] = ACTIONS(2444),
    [anon_sym_constexpr] = ACTIONS(2444),
    [anon_sym_volatile] = ACTIONS(2444),
    [anon_sym_restrict] = ACTIONS(2444),
    [anon_sym___restrict__] = ACTIONS(2444),
    [anon_sym__Atomic] = ACTIONS(2444),
    [anon_sym__Noreturn] = ACTIONS(2444),
    [anon_sym_noreturn] = ACTIONS(2444),
    [anon_sym_mutable] = ACTIONS(2444),
    [anon_sym_constinit] = ACTIONS(2444),
    [anon_sym_consteval] = ACTIONS(2444),
    [sym_primitive_type] = ACTIONS(2444),
    [anon_sym_enum] = ACTIONS(2444),
    [anon_sym_class] = ACTIONS(2444),
    [anon_sym_struct] = ACTIONS(2444),
    [anon_sym_union] = ACTIONS(2444),
    [anon_sym_if] = ACTIONS(2444),
    [anon_sym_else] = ACTIONS(2444),
    [anon_sym_switch] = ACTIONS(2444),
    [anon_sym_case] = ACTIONS(2444),
    [anon_sym_default] = ACTIONS(2444),
    [anon_sym_while] = ACTIONS(2444),
    [anon_sym_do] = ACTIONS(2444),
    [anon_sym_for] = ACTIONS(2444),
    [anon_sym_return] = ACTIONS(2444),
    [anon_sym_break] = ACTIONS(2444),
    [anon_sym_continue] = ACTIONS(2444),
    [anon_sym_goto] = ACTIONS(2444),
    [anon_sym___try] = ACTIONS(2444),
    [anon_sym___leave] = ACTIONS(2444),
    [anon_sym_not] = ACTIONS(2444),
    [anon_sym_compl] = ACTIONS(2444),
    [anon_sym_DASH_DASH] = ACTIONS(2446),
    [anon_sym_PLUS_PLUS] = ACTIONS(2446),
    [anon_sym_sizeof] = ACTIONS(2444),
    [anon_sym___alignof__] = ACTIONS(2444),
    [anon_sym___alignof] = ACTIONS(2444),
    [anon_sym__alignof] = ACTIONS(2444),
    [anon_sym_alignof] = ACTIONS(2444),
    [anon_sym__Alignof] = ACTIONS(2444),
    [anon_sym_offsetof] = ACTIONS(2444),
    [anon_sym__Generic] = ACTIONS(2444),
    [anon_sym_asm] = ACTIONS(2444),
    [anon_sym___asm__] = ACTIONS(2444),
    [sym_number_literal] = ACTIONS(2446),
    [anon_sym_L_SQUOTE] = ACTIONS(2446),
    [anon_sym_u_SQUOTE] = ACTIONS(2446),
    [anon_sym_U_SQUOTE] = ACTIONS(2446),
    [anon_sym_u8_SQUOTE] = ACTIONS(2446),
    [anon_sym_SQUOTE] = ACTIONS(2446),
    [anon_sym_L_DQUOTE] = ACTIONS(2446),
    [anon_sym_u_DQUOTE] = ACTIONS(2446),
    [anon_sym_U_DQUOTE] = ACTIONS(2446),
    [anon_sym_u8_DQUOTE] = ACTIONS(2446),
    [anon_sym_DQUOTE] = ACTIONS(2446),
    [sym_true] = ACTIONS(2444),
    [sym_false] = ACTIONS(2444),
    [anon_sym_NULL] = ACTIONS(2444),
    [anon_sym_nullptr] = ACTIONS(2444),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2444),
    [anon_sym_decltype] = ACTIONS(2444),
    [anon_sym_virtual] = ACTIONS(2444),
    [anon_sym_alignas] = ACTIONS(2444),
    [anon_sym_explicit] = ACTIONS(2444),
    [anon_sym_typename] = ACTIONS(2444),
    [anon_sym_template] = ACTIONS(2444),
    [anon_sym_operator] = ACTIONS(2444),
    [anon_sym_try] = ACTIONS(2444),
    [anon_sym_delete] = ACTIONS(2444),
    [anon_sym_throw] = ACTIONS(2444),
    [anon_sym_namespace] = ACTIONS(2444),
    [anon_sym_using] = ACTIONS(2444),
    [anon_sym_static_assert] = ACTIONS(2444),
    [anon_sym_concept] = ACTIONS(2444),
    [anon_sym_co_return] = ACTIONS(2444),
    [anon_sym_co_yield] = ACTIONS(2444),
    [anon_sym_R_DQUOTE] = ACTIONS(2446),
    [anon_sym_LR_DQUOTE] = ACTIONS(2446),
    [anon_sym_uR_DQUOTE] = ACTIONS(2446),
    [anon_sym_UR_DQUOTE] = ACTIONS(2446),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2446),
    [anon_sym_co_await] = ACTIONS(2444),
    [anon_sym_new] = ACTIONS(2444),
    [anon_sym_requires] = ACTIONS(2444),
    [sym_this] = ACTIONS(2444),
    [anon_sym_discard] = ACTIONS(2444),
    [anon_sym_precise] = ACTIONS(2444),
    [anon_sym_shared] = ACTIONS(2444),
    [anon_sym_groupshared] = ACTIONS(2444),
    [anon_sym_uniform] = ACTIONS(2444),
    [anon_sym_row_major] = ACTIONS(2444),
    [anon_sym_column_major] = ACTIONS(2444),
    [anon_sym_globallycoherent] = ACTIONS(2444),
    [anon_sym_centroid] = ACTIONS(2444),
    [anon_sym_noperspective] = ACTIONS(2444),
    [anon_sym_nointerpolation] = ACTIONS(2444),
    [anon_sym_sample] = ACTIONS(2444),
    [anon_sym_linear] = ACTIONS(2444),
    [anon_sym_snorm] = ACTIONS(2444),
    [anon_sym_unorm] = ACTIONS(2444),
    [anon_sym_point] = ACTIONS(2444),
    [anon_sym_line] = ACTIONS(2444),
    [anon_sym_triangleadj] = ACTIONS(2444),
    [anon_sym_lineadj] = ACTIONS(2444),
    [anon_sym_triangle] = ACTIONS(2444),
    [anon_sym_cbuffer] = ACTIONS(2444),
  },
  [532] = {
    [sym_identifier] = ACTIONS(2436),
    [aux_sym_preproc_include_token1] = ACTIONS(2436),
    [aux_sym_preproc_def_token1] = ACTIONS(2436),
    [aux_sym_preproc_if_token1] = ACTIONS(2436),
    [aux_sym_preproc_if_token2] = ACTIONS(2436),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2436),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2436),
    [aux_sym_preproc_else_token1] = ACTIONS(2436),
    [aux_sym_preproc_elif_token1] = ACTIONS(2436),
    [sym_preproc_directive] = ACTIONS(2436),
    [anon_sym_LPAREN2] = ACTIONS(2438),
    [anon_sym_BANG] = ACTIONS(2438),
    [anon_sym_TILDE] = ACTIONS(2438),
    [anon_sym_DASH] = ACTIONS(2436),
    [anon_sym_PLUS] = ACTIONS(2436),
    [anon_sym_STAR] = ACTIONS(2438),
    [anon_sym_AMP_AMP] = ACTIONS(2438),
    [anon_sym_AMP] = ACTIONS(2436),
    [anon_sym_SEMI] = ACTIONS(2438),
    [anon_sym___extension__] = ACTIONS(2436),
    [anon_sym_typedef] = ACTIONS(2436),
    [anon_sym_in] = ACTIONS(2436),
    [anon_sym_out] = ACTIONS(2436),
    [anon_sym_inout] = ACTIONS(2436),
    [anon_sym_extern] = ACTIONS(2436),
    [anon_sym___attribute__] = ACTIONS(2436),
    [anon_sym_COLON_COLON] = ACTIONS(2438),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2438),
    [anon_sym___declspec] = ACTIONS(2436),
    [anon_sym___based] = ACTIONS(2436),
    [anon_sym___cdecl] = ACTIONS(2436),
    [anon_sym___clrcall] = ACTIONS(2436),
    [anon_sym___stdcall] = ACTIONS(2436),
    [anon_sym___fastcall] = ACTIONS(2436),
    [anon_sym___thiscall] = ACTIONS(2436),
    [anon_sym___vectorcall] = ACTIONS(2436),
    [anon_sym_LBRACE] = ACTIONS(2438),
    [anon_sym_signed] = ACTIONS(2436),
    [anon_sym_unsigned] = ACTIONS(2436),
    [anon_sym_long] = ACTIONS(2436),
    [anon_sym_short] = ACTIONS(2436),
    [anon_sym_LBRACK] = ACTIONS(2436),
    [anon_sym_static] = ACTIONS(2436),
    [anon_sym_register] = ACTIONS(2436),
    [anon_sym_inline] = ACTIONS(2436),
    [anon_sym___inline] = ACTIONS(2436),
    [anon_sym___inline__] = ACTIONS(2436),
    [anon_sym___forceinline] = ACTIONS(2436),
    [anon_sym_thread_local] = ACTIONS(2436),
    [anon_sym___thread] = ACTIONS(2436),
    [anon_sym_const] = ACTIONS(2436),
    [anon_sym_constexpr] = ACTIONS(2436),
    [anon_sym_volatile] = ACTIONS(2436),
    [anon_sym_restrict] = ACTIONS(2436),
    [anon_sym___restrict__] = ACTIONS(2436),
    [anon_sym__Atomic] = ACTIONS(2436),
    [anon_sym__Noreturn] = ACTIONS(2436),
    [anon_sym_noreturn] = ACTIONS(2436),
    [anon_sym_mutable] = ACTIONS(2436),
    [anon_sym_constinit] = ACTIONS(2436),
    [anon_sym_consteval] = ACTIONS(2436),
    [sym_primitive_type] = ACTIONS(2436),
    [anon_sym_enum] = ACTIONS(2436),
    [anon_sym_class] = ACTIONS(2436),
    [anon_sym_struct] = ACTIONS(2436),
    [anon_sym_union] = ACTIONS(2436),
    [anon_sym_if] = ACTIONS(2436),
    [anon_sym_else] = ACTIONS(2436),
    [anon_sym_switch] = ACTIONS(2436),
    [anon_sym_case] = ACTIONS(2436),
    [anon_sym_default] = ACTIONS(2436),
    [anon_sym_while] = ACTIONS(2436),
    [anon_sym_do] = ACTIONS(2436),
    [anon_sym_for] = ACTIONS(2436),
    [anon_sym_return] = ACTIONS(2436),
    [anon_sym_break] = ACTIONS(2436),
    [anon_sym_continue] = ACTIONS(2436),
    [anon_sym_goto] = ACTIONS(2436),
    [anon_sym___try] = ACTIONS(2436),
    [anon_sym___leave] = ACTIONS(2436),
    [anon_sym_not] = ACTIONS(2436),
    [anon_sym_compl] = ACTIONS(2436),
    [anon_sym_DASH_DASH] = ACTIONS(2438),
    [anon_sym_PLUS_PLUS] = ACTIONS(2438),
    [anon_sym_sizeof] = ACTIONS(2436),
    [anon_sym___alignof__] = ACTIONS(2436),
    [anon_sym___alignof] = ACTIONS(2436),
    [anon_sym__alignof] = ACTIONS(2436),
    [anon_sym_alignof] = ACTIONS(2436),
    [anon_sym__Alignof] = ACTIONS(2436),
    [anon_sym_offsetof] = ACTIONS(2436),
    [anon_sym__Generic] = ACTIONS(2436),
    [anon_sym_asm] = ACTIONS(2436),
    [anon_sym___asm__] = ACTIONS(2436),
    [sym_number_literal] = ACTIONS(2438),
    [anon_sym_L_SQUOTE] = ACTIONS(2438),
    [anon_sym_u_SQUOTE] = ACTIONS(2438),
    [anon_sym_U_SQUOTE] = ACTIONS(2438),
    [anon_sym_u8_SQUOTE] = ACTIONS(2438),
    [anon_sym_SQUOTE] = ACTIONS(2438),
    [anon_sym_L_DQUOTE] = ACTIONS(2438),
    [anon_sym_u_DQUOTE] = ACTIONS(2438),
    [anon_sym_U_DQUOTE] = ACTIONS(2438),
    [anon_sym_u8_DQUOTE] = ACTIONS(2438),
    [anon_sym_DQUOTE] = ACTIONS(2438),
    [sym_true] = ACTIONS(2436),
    [sym_false] = ACTIONS(2436),
    [anon_sym_NULL] = ACTIONS(2436),
    [anon_sym_nullptr] = ACTIONS(2436),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2436),
    [anon_sym_decltype] = ACTIONS(2436),
    [anon_sym_virtual] = ACTIONS(2436),
    [anon_sym_alignas] = ACTIONS(2436),
    [anon_sym_explicit] = ACTIONS(2436),
    [anon_sym_typename] = ACTIONS(2436),
    [anon_sym_template] = ACTIONS(2436),
    [anon_sym_operator] = ACTIONS(2436),
    [anon_sym_try] = ACTIONS(2436),
    [anon_sym_delete] = ACTIONS(2436),
    [anon_sym_throw] = ACTIONS(2436),
    [anon_sym_namespace] = ACTIONS(2436),
    [anon_sym_using] = ACTIONS(2436),
    [anon_sym_static_assert] = ACTIONS(2436),
    [anon_sym_concept] = ACTIONS(2436),
    [anon_sym_co_return] = ACTIONS(2436),
    [anon_sym_co_yield] = ACTIONS(2436),
    [anon_sym_R_DQUOTE] = ACTIONS(2438),
    [anon_sym_LR_DQUOTE] = ACTIONS(2438),
    [anon_sym_uR_DQUOTE] = ACTIONS(2438),
    [anon_sym_UR_DQUOTE] = ACTIONS(2438),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2438),
    [anon_sym_co_await] = ACTIONS(2436),
    [anon_sym_new] = ACTIONS(2436),
    [anon_sym_requires] = ACTIONS(2436),
    [sym_this] = ACTIONS(2436),
    [anon_sym_discard] = ACTIONS(2436),
    [anon_sym_precise] = ACTIONS(2436),
    [anon_sym_shared] = ACTIONS(2436),
    [anon_sym_groupshared] = ACTIONS(2436),
    [anon_sym_uniform] = ACTIONS(2436),
    [anon_sym_row_major] = ACTIONS(2436),
    [anon_sym_column_major] = ACTIONS(2436),
    [anon_sym_globallycoherent] = ACTIONS(2436),
    [anon_sym_centroid] = ACTIONS(2436),
    [anon_sym_noperspective] = ACTIONS(2436),
    [anon_sym_nointerpolation] = ACTIONS(2436),
    [anon_sym_sample] = ACTIONS(2436),
    [anon_sym_linear] = ACTIONS(2436),
    [anon_sym_snorm] = ACTIONS(2436),
    [anon_sym_unorm] = ACTIONS(2436),
    [anon_sym_point] = ACTIONS(2436),
    [anon_sym_line] = ACTIONS(2436),
    [anon_sym_triangleadj] = ACTIONS(2436),
    [anon_sym_lineadj] = ACTIONS(2436),
    [anon_sym_triangle] = ACTIONS(2436),
    [anon_sym_cbuffer] = ACTIONS(2436),
  },
  [533] = {
    [sym_identifier] = ACTIONS(2444),
    [aux_sym_preproc_include_token1] = ACTIONS(2444),
    [aux_sym_preproc_def_token1] = ACTIONS(2444),
    [aux_sym_preproc_if_token1] = ACTIONS(2444),
    [aux_sym_preproc_if_token2] = ACTIONS(2444),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2444),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2444),
    [aux_sym_preproc_else_token1] = ACTIONS(2444),
    [aux_sym_preproc_elif_token1] = ACTIONS(2444),
    [sym_preproc_directive] = ACTIONS(2444),
    [anon_sym_LPAREN2] = ACTIONS(2446),
    [anon_sym_BANG] = ACTIONS(2446),
    [anon_sym_TILDE] = ACTIONS(2446),
    [anon_sym_DASH] = ACTIONS(2444),
    [anon_sym_PLUS] = ACTIONS(2444),
    [anon_sym_STAR] = ACTIONS(2446),
    [anon_sym_AMP_AMP] = ACTIONS(2446),
    [anon_sym_AMP] = ACTIONS(2444),
    [anon_sym_SEMI] = ACTIONS(2446),
    [anon_sym___extension__] = ACTIONS(2444),
    [anon_sym_typedef] = ACTIONS(2444),
    [anon_sym_in] = ACTIONS(2444),
    [anon_sym_out] = ACTIONS(2444),
    [anon_sym_inout] = ACTIONS(2444),
    [anon_sym_extern] = ACTIONS(2444),
    [anon_sym___attribute__] = ACTIONS(2444),
    [anon_sym_COLON_COLON] = ACTIONS(2446),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2446),
    [anon_sym___declspec] = ACTIONS(2444),
    [anon_sym___based] = ACTIONS(2444),
    [anon_sym___cdecl] = ACTIONS(2444),
    [anon_sym___clrcall] = ACTIONS(2444),
    [anon_sym___stdcall] = ACTIONS(2444),
    [anon_sym___fastcall] = ACTIONS(2444),
    [anon_sym___thiscall] = ACTIONS(2444),
    [anon_sym___vectorcall] = ACTIONS(2444),
    [anon_sym_LBRACE] = ACTIONS(2446),
    [anon_sym_signed] = ACTIONS(2444),
    [anon_sym_unsigned] = ACTIONS(2444),
    [anon_sym_long] = ACTIONS(2444),
    [anon_sym_short] = ACTIONS(2444),
    [anon_sym_LBRACK] = ACTIONS(2444),
    [anon_sym_static] = ACTIONS(2444),
    [anon_sym_register] = ACTIONS(2444),
    [anon_sym_inline] = ACTIONS(2444),
    [anon_sym___inline] = ACTIONS(2444),
    [anon_sym___inline__] = ACTIONS(2444),
    [anon_sym___forceinline] = ACTIONS(2444),
    [anon_sym_thread_local] = ACTIONS(2444),
    [anon_sym___thread] = ACTIONS(2444),
    [anon_sym_const] = ACTIONS(2444),
    [anon_sym_constexpr] = ACTIONS(2444),
    [anon_sym_volatile] = ACTIONS(2444),
    [anon_sym_restrict] = ACTIONS(2444),
    [anon_sym___restrict__] = ACTIONS(2444),
    [anon_sym__Atomic] = ACTIONS(2444),
    [anon_sym__Noreturn] = ACTIONS(2444),
    [anon_sym_noreturn] = ACTIONS(2444),
    [anon_sym_mutable] = ACTIONS(2444),
    [anon_sym_constinit] = ACTIONS(2444),
    [anon_sym_consteval] = ACTIONS(2444),
    [sym_primitive_type] = ACTIONS(2444),
    [anon_sym_enum] = ACTIONS(2444),
    [anon_sym_class] = ACTIONS(2444),
    [anon_sym_struct] = ACTIONS(2444),
    [anon_sym_union] = ACTIONS(2444),
    [anon_sym_if] = ACTIONS(2444),
    [anon_sym_else] = ACTIONS(2444),
    [anon_sym_switch] = ACTIONS(2444),
    [anon_sym_case] = ACTIONS(2444),
    [anon_sym_default] = ACTIONS(2444),
    [anon_sym_while] = ACTIONS(2444),
    [anon_sym_do] = ACTIONS(2444),
    [anon_sym_for] = ACTIONS(2444),
    [anon_sym_return] = ACTIONS(2444),
    [anon_sym_break] = ACTIONS(2444),
    [anon_sym_continue] = ACTIONS(2444),
    [anon_sym_goto] = ACTIONS(2444),
    [anon_sym___try] = ACTIONS(2444),
    [anon_sym___leave] = ACTIONS(2444),
    [anon_sym_not] = ACTIONS(2444),
    [anon_sym_compl] = ACTIONS(2444),
    [anon_sym_DASH_DASH] = ACTIONS(2446),
    [anon_sym_PLUS_PLUS] = ACTIONS(2446),
    [anon_sym_sizeof] = ACTIONS(2444),
    [anon_sym___alignof__] = ACTIONS(2444),
    [anon_sym___alignof] = ACTIONS(2444),
    [anon_sym__alignof] = ACTIONS(2444),
    [anon_sym_alignof] = ACTIONS(2444),
    [anon_sym__Alignof] = ACTIONS(2444),
    [anon_sym_offsetof] = ACTIONS(2444),
    [anon_sym__Generic] = ACTIONS(2444),
    [anon_sym_asm] = ACTIONS(2444),
    [anon_sym___asm__] = ACTIONS(2444),
    [sym_number_literal] = ACTIONS(2446),
    [anon_sym_L_SQUOTE] = ACTIONS(2446),
    [anon_sym_u_SQUOTE] = ACTIONS(2446),
    [anon_sym_U_SQUOTE] = ACTIONS(2446),
    [anon_sym_u8_SQUOTE] = ACTIONS(2446),
    [anon_sym_SQUOTE] = ACTIONS(2446),
    [anon_sym_L_DQUOTE] = ACTIONS(2446),
    [anon_sym_u_DQUOTE] = ACTIONS(2446),
    [anon_sym_U_DQUOTE] = ACTIONS(2446),
    [anon_sym_u8_DQUOTE] = ACTIONS(2446),
    [anon_sym_DQUOTE] = ACTIONS(2446),
    [sym_true] = ACTIONS(2444),
    [sym_false] = ACTIONS(2444),
    [anon_sym_NULL] = ACTIONS(2444),
    [anon_sym_nullptr] = ACTIONS(2444),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2444),
    [anon_sym_decltype] = ACTIONS(2444),
    [anon_sym_virtual] = ACTIONS(2444),
    [anon_sym_alignas] = ACTIONS(2444),
    [anon_sym_explicit] = ACTIONS(2444),
    [anon_sym_typename] = ACTIONS(2444),
    [anon_sym_template] = ACTIONS(2444),
    [anon_sym_operator] = ACTIONS(2444),
    [anon_sym_try] = ACTIONS(2444),
    [anon_sym_delete] = ACTIONS(2444),
    [anon_sym_throw] = ACTIONS(2444),
    [anon_sym_namespace] = ACTIONS(2444),
    [anon_sym_using] = ACTIONS(2444),
    [anon_sym_static_assert] = ACTIONS(2444),
    [anon_sym_concept] = ACTIONS(2444),
    [anon_sym_co_return] = ACTIONS(2444),
    [anon_sym_co_yield] = ACTIONS(2444),
    [anon_sym_R_DQUOTE] = ACTIONS(2446),
    [anon_sym_LR_DQUOTE] = ACTIONS(2446),
    [anon_sym_uR_DQUOTE] = ACTIONS(2446),
    [anon_sym_UR_DQUOTE] = ACTIONS(2446),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2446),
    [anon_sym_co_await] = ACTIONS(2444),
    [anon_sym_new] = ACTIONS(2444),
    [anon_sym_requires] = ACTIONS(2444),
    [sym_this] = ACTIONS(2444),
    [anon_sym_discard] = ACTIONS(2444),
    [anon_sym_precise] = ACTIONS(2444),
    [anon_sym_shared] = ACTIONS(2444),
    [anon_sym_groupshared] = ACTIONS(2444),
    [anon_sym_uniform] = ACTIONS(2444),
    [anon_sym_row_major] = ACTIONS(2444),
    [anon_sym_column_major] = ACTIONS(2444),
    [anon_sym_globallycoherent] = ACTIONS(2444),
    [anon_sym_centroid] = ACTIONS(2444),
    [anon_sym_noperspective] = ACTIONS(2444),
    [anon_sym_nointerpolation] = ACTIONS(2444),
    [anon_sym_sample] = ACTIONS(2444),
    [anon_sym_linear] = ACTIONS(2444),
    [anon_sym_snorm] = ACTIONS(2444),
    [anon_sym_unorm] = ACTIONS(2444),
    [anon_sym_point] = ACTIONS(2444),
    [anon_sym_line] = ACTIONS(2444),
    [anon_sym_triangleadj] = ACTIONS(2444),
    [anon_sym_lineadj] = ACTIONS(2444),
    [anon_sym_triangle] = ACTIONS(2444),
    [anon_sym_cbuffer] = ACTIONS(2444),
  },
  [534] = {
    [sym_identifier] = ACTIONS(2484),
    [aux_sym_preproc_include_token1] = ACTIONS(2484),
    [aux_sym_preproc_def_token1] = ACTIONS(2484),
    [aux_sym_preproc_if_token1] = ACTIONS(2484),
    [aux_sym_preproc_if_token2] = ACTIONS(2484),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2484),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2484),
    [aux_sym_preproc_else_token1] = ACTIONS(2484),
    [aux_sym_preproc_elif_token1] = ACTIONS(2484),
    [sym_preproc_directive] = ACTIONS(2484),
    [anon_sym_LPAREN2] = ACTIONS(2486),
    [anon_sym_BANG] = ACTIONS(2486),
    [anon_sym_TILDE] = ACTIONS(2486),
    [anon_sym_DASH] = ACTIONS(2484),
    [anon_sym_PLUS] = ACTIONS(2484),
    [anon_sym_STAR] = ACTIONS(2486),
    [anon_sym_AMP_AMP] = ACTIONS(2486),
    [anon_sym_AMP] = ACTIONS(2484),
    [anon_sym_SEMI] = ACTIONS(2486),
    [anon_sym___extension__] = ACTIONS(2484),
    [anon_sym_typedef] = ACTIONS(2484),
    [anon_sym_in] = ACTIONS(2484),
    [anon_sym_out] = ACTIONS(2484),
    [anon_sym_inout] = ACTIONS(2484),
    [anon_sym_extern] = ACTIONS(2484),
    [anon_sym___attribute__] = ACTIONS(2484),
    [anon_sym_COLON_COLON] = ACTIONS(2486),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2486),
    [anon_sym___declspec] = ACTIONS(2484),
    [anon_sym___based] = ACTIONS(2484),
    [anon_sym___cdecl] = ACTIONS(2484),
    [anon_sym___clrcall] = ACTIONS(2484),
    [anon_sym___stdcall] = ACTIONS(2484),
    [anon_sym___fastcall] = ACTIONS(2484),
    [anon_sym___thiscall] = ACTIONS(2484),
    [anon_sym___vectorcall] = ACTIONS(2484),
    [anon_sym_LBRACE] = ACTIONS(2486),
    [anon_sym_signed] = ACTIONS(2484),
    [anon_sym_unsigned] = ACTIONS(2484),
    [anon_sym_long] = ACTIONS(2484),
    [anon_sym_short] = ACTIONS(2484),
    [anon_sym_LBRACK] = ACTIONS(2484),
    [anon_sym_static] = ACTIONS(2484),
    [anon_sym_register] = ACTIONS(2484),
    [anon_sym_inline] = ACTIONS(2484),
    [anon_sym___inline] = ACTIONS(2484),
    [anon_sym___inline__] = ACTIONS(2484),
    [anon_sym___forceinline] = ACTIONS(2484),
    [anon_sym_thread_local] = ACTIONS(2484),
    [anon_sym___thread] = ACTIONS(2484),
    [anon_sym_const] = ACTIONS(2484),
    [anon_sym_constexpr] = ACTIONS(2484),
    [anon_sym_volatile] = ACTIONS(2484),
    [anon_sym_restrict] = ACTIONS(2484),
    [anon_sym___restrict__] = ACTIONS(2484),
    [anon_sym__Atomic] = ACTIONS(2484),
    [anon_sym__Noreturn] = ACTIONS(2484),
    [anon_sym_noreturn] = ACTIONS(2484),
    [anon_sym_mutable] = ACTIONS(2484),
    [anon_sym_constinit] = ACTIONS(2484),
    [anon_sym_consteval] = ACTIONS(2484),
    [sym_primitive_type] = ACTIONS(2484),
    [anon_sym_enum] = ACTIONS(2484),
    [anon_sym_class] = ACTIONS(2484),
    [anon_sym_struct] = ACTIONS(2484),
    [anon_sym_union] = ACTIONS(2484),
    [anon_sym_if] = ACTIONS(2484),
    [anon_sym_else] = ACTIONS(2484),
    [anon_sym_switch] = ACTIONS(2484),
    [anon_sym_case] = ACTIONS(2484),
    [anon_sym_default] = ACTIONS(2484),
    [anon_sym_while] = ACTIONS(2484),
    [anon_sym_do] = ACTIONS(2484),
    [anon_sym_for] = ACTIONS(2484),
    [anon_sym_return] = ACTIONS(2484),
    [anon_sym_break] = ACTIONS(2484),
    [anon_sym_continue] = ACTIONS(2484),
    [anon_sym_goto] = ACTIONS(2484),
    [anon_sym___try] = ACTIONS(2484),
    [anon_sym___leave] = ACTIONS(2484),
    [anon_sym_not] = ACTIONS(2484),
    [anon_sym_compl] = ACTIONS(2484),
    [anon_sym_DASH_DASH] = ACTIONS(2486),
    [anon_sym_PLUS_PLUS] = ACTIONS(2486),
    [anon_sym_sizeof] = ACTIONS(2484),
    [anon_sym___alignof__] = ACTIONS(2484),
    [anon_sym___alignof] = ACTIONS(2484),
    [anon_sym__alignof] = ACTIONS(2484),
    [anon_sym_alignof] = ACTIONS(2484),
    [anon_sym__Alignof] = ACTIONS(2484),
    [anon_sym_offsetof] = ACTIONS(2484),
    [anon_sym__Generic] = ACTIONS(2484),
    [anon_sym_asm] = ACTIONS(2484),
    [anon_sym___asm__] = ACTIONS(2484),
    [sym_number_literal] = ACTIONS(2486),
    [anon_sym_L_SQUOTE] = ACTIONS(2486),
    [anon_sym_u_SQUOTE] = ACTIONS(2486),
    [anon_sym_U_SQUOTE] = ACTIONS(2486),
    [anon_sym_u8_SQUOTE] = ACTIONS(2486),
    [anon_sym_SQUOTE] = ACTIONS(2486),
    [anon_sym_L_DQUOTE] = ACTIONS(2486),
    [anon_sym_u_DQUOTE] = ACTIONS(2486),
    [anon_sym_U_DQUOTE] = ACTIONS(2486),
    [anon_sym_u8_DQUOTE] = ACTIONS(2486),
    [anon_sym_DQUOTE] = ACTIONS(2486),
    [sym_true] = ACTIONS(2484),
    [sym_false] = ACTIONS(2484),
    [anon_sym_NULL] = ACTIONS(2484),
    [anon_sym_nullptr] = ACTIONS(2484),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2484),
    [anon_sym_decltype] = ACTIONS(2484),
    [anon_sym_virtual] = ACTIONS(2484),
    [anon_sym_alignas] = ACTIONS(2484),
    [anon_sym_explicit] = ACTIONS(2484),
    [anon_sym_typename] = ACTIONS(2484),
    [anon_sym_template] = ACTIONS(2484),
    [anon_sym_operator] = ACTIONS(2484),
    [anon_sym_try] = ACTIONS(2484),
    [anon_sym_delete] = ACTIONS(2484),
    [anon_sym_throw] = ACTIONS(2484),
    [anon_sym_namespace] = ACTIONS(2484),
    [anon_sym_using] = ACTIONS(2484),
    [anon_sym_static_assert] = ACTIONS(2484),
    [anon_sym_concept] = ACTIONS(2484),
    [anon_sym_co_return] = ACTIONS(2484),
    [anon_sym_co_yield] = ACTIONS(2484),
    [anon_sym_R_DQUOTE] = ACTIONS(2486),
    [anon_sym_LR_DQUOTE] = ACTIONS(2486),
    [anon_sym_uR_DQUOTE] = ACTIONS(2486),
    [anon_sym_UR_DQUOTE] = ACTIONS(2486),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2486),
    [anon_sym_co_await] = ACTIONS(2484),
    [anon_sym_new] = ACTIONS(2484),
    [anon_sym_requires] = ACTIONS(2484),
    [sym_this] = ACTIONS(2484),
    [anon_sym_discard] = ACTIONS(2484),
    [anon_sym_precise] = ACTIONS(2484),
    [anon_sym_shared] = ACTIONS(2484),
    [anon_sym_groupshared] = ACTIONS(2484),
    [anon_sym_uniform] = ACTIONS(2484),
    [anon_sym_row_major] = ACTIONS(2484),
    [anon_sym_column_major] = ACTIONS(2484),
    [anon_sym_globallycoherent] = ACTIONS(2484),
    [anon_sym_centroid] = ACTIONS(2484),
    [anon_sym_noperspective] = ACTIONS(2484),
    [anon_sym_nointerpolation] = ACTIONS(2484),
    [anon_sym_sample] = ACTIONS(2484),
    [anon_sym_linear] = ACTIONS(2484),
    [anon_sym_snorm] = ACTIONS(2484),
    [anon_sym_unorm] = ACTIONS(2484),
    [anon_sym_point] = ACTIONS(2484),
    [anon_sym_line] = ACTIONS(2484),
    [anon_sym_triangleadj] = ACTIONS(2484),
    [anon_sym_lineadj] = ACTIONS(2484),
    [anon_sym_triangle] = ACTIONS(2484),
    [anon_sym_cbuffer] = ACTIONS(2484),
  },
  [535] = {
    [sym_identifier] = ACTIONS(2480),
    [aux_sym_preproc_include_token1] = ACTIONS(2480),
    [aux_sym_preproc_def_token1] = ACTIONS(2480),
    [aux_sym_preproc_if_token1] = ACTIONS(2480),
    [aux_sym_preproc_if_token2] = ACTIONS(2480),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2480),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2480),
    [aux_sym_preproc_else_token1] = ACTIONS(2480),
    [aux_sym_preproc_elif_token1] = ACTIONS(2480),
    [sym_preproc_directive] = ACTIONS(2480),
    [anon_sym_LPAREN2] = ACTIONS(2482),
    [anon_sym_BANG] = ACTIONS(2482),
    [anon_sym_TILDE] = ACTIONS(2482),
    [anon_sym_DASH] = ACTIONS(2480),
    [anon_sym_PLUS] = ACTIONS(2480),
    [anon_sym_STAR] = ACTIONS(2482),
    [anon_sym_AMP_AMP] = ACTIONS(2482),
    [anon_sym_AMP] = ACTIONS(2480),
    [anon_sym_SEMI] = ACTIONS(2482),
    [anon_sym___extension__] = ACTIONS(2480),
    [anon_sym_typedef] = ACTIONS(2480),
    [anon_sym_in] = ACTIONS(2480),
    [anon_sym_out] = ACTIONS(2480),
    [anon_sym_inout] = ACTIONS(2480),
    [anon_sym_extern] = ACTIONS(2480),
    [anon_sym___attribute__] = ACTIONS(2480),
    [anon_sym_COLON_COLON] = ACTIONS(2482),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2482),
    [anon_sym___declspec] = ACTIONS(2480),
    [anon_sym___based] = ACTIONS(2480),
    [anon_sym___cdecl] = ACTIONS(2480),
    [anon_sym___clrcall] = ACTIONS(2480),
    [anon_sym___stdcall] = ACTIONS(2480),
    [anon_sym___fastcall] = ACTIONS(2480),
    [anon_sym___thiscall] = ACTIONS(2480),
    [anon_sym___vectorcall] = ACTIONS(2480),
    [anon_sym_LBRACE] = ACTIONS(2482),
    [anon_sym_signed] = ACTIONS(2480),
    [anon_sym_unsigned] = ACTIONS(2480),
    [anon_sym_long] = ACTIONS(2480),
    [anon_sym_short] = ACTIONS(2480),
    [anon_sym_LBRACK] = ACTIONS(2480),
    [anon_sym_static] = ACTIONS(2480),
    [anon_sym_register] = ACTIONS(2480),
    [anon_sym_inline] = ACTIONS(2480),
    [anon_sym___inline] = ACTIONS(2480),
    [anon_sym___inline__] = ACTIONS(2480),
    [anon_sym___forceinline] = ACTIONS(2480),
    [anon_sym_thread_local] = ACTIONS(2480),
    [anon_sym___thread] = ACTIONS(2480),
    [anon_sym_const] = ACTIONS(2480),
    [anon_sym_constexpr] = ACTIONS(2480),
    [anon_sym_volatile] = ACTIONS(2480),
    [anon_sym_restrict] = ACTIONS(2480),
    [anon_sym___restrict__] = ACTIONS(2480),
    [anon_sym__Atomic] = ACTIONS(2480),
    [anon_sym__Noreturn] = ACTIONS(2480),
    [anon_sym_noreturn] = ACTIONS(2480),
    [anon_sym_mutable] = ACTIONS(2480),
    [anon_sym_constinit] = ACTIONS(2480),
    [anon_sym_consteval] = ACTIONS(2480),
    [sym_primitive_type] = ACTIONS(2480),
    [anon_sym_enum] = ACTIONS(2480),
    [anon_sym_class] = ACTIONS(2480),
    [anon_sym_struct] = ACTIONS(2480),
    [anon_sym_union] = ACTIONS(2480),
    [anon_sym_if] = ACTIONS(2480),
    [anon_sym_else] = ACTIONS(2480),
    [anon_sym_switch] = ACTIONS(2480),
    [anon_sym_case] = ACTIONS(2480),
    [anon_sym_default] = ACTIONS(2480),
    [anon_sym_while] = ACTIONS(2480),
    [anon_sym_do] = ACTIONS(2480),
    [anon_sym_for] = ACTIONS(2480),
    [anon_sym_return] = ACTIONS(2480),
    [anon_sym_break] = ACTIONS(2480),
    [anon_sym_continue] = ACTIONS(2480),
    [anon_sym_goto] = ACTIONS(2480),
    [anon_sym___try] = ACTIONS(2480),
    [anon_sym___leave] = ACTIONS(2480),
    [anon_sym_not] = ACTIONS(2480),
    [anon_sym_compl] = ACTIONS(2480),
    [anon_sym_DASH_DASH] = ACTIONS(2482),
    [anon_sym_PLUS_PLUS] = ACTIONS(2482),
    [anon_sym_sizeof] = ACTIONS(2480),
    [anon_sym___alignof__] = ACTIONS(2480),
    [anon_sym___alignof] = ACTIONS(2480),
    [anon_sym__alignof] = ACTIONS(2480),
    [anon_sym_alignof] = ACTIONS(2480),
    [anon_sym__Alignof] = ACTIONS(2480),
    [anon_sym_offsetof] = ACTIONS(2480),
    [anon_sym__Generic] = ACTIONS(2480),
    [anon_sym_asm] = ACTIONS(2480),
    [anon_sym___asm__] = ACTIONS(2480),
    [sym_number_literal] = ACTIONS(2482),
    [anon_sym_L_SQUOTE] = ACTIONS(2482),
    [anon_sym_u_SQUOTE] = ACTIONS(2482),
    [anon_sym_U_SQUOTE] = ACTIONS(2482),
    [anon_sym_u8_SQUOTE] = ACTIONS(2482),
    [anon_sym_SQUOTE] = ACTIONS(2482),
    [anon_sym_L_DQUOTE] = ACTIONS(2482),
    [anon_sym_u_DQUOTE] = ACTIONS(2482),
    [anon_sym_U_DQUOTE] = ACTIONS(2482),
    [anon_sym_u8_DQUOTE] = ACTIONS(2482),
    [anon_sym_DQUOTE] = ACTIONS(2482),
    [sym_true] = ACTIONS(2480),
    [sym_false] = ACTIONS(2480),
    [anon_sym_NULL] = ACTIONS(2480),
    [anon_sym_nullptr] = ACTIONS(2480),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2480),
    [anon_sym_decltype] = ACTIONS(2480),
    [anon_sym_virtual] = ACTIONS(2480),
    [anon_sym_alignas] = ACTIONS(2480),
    [anon_sym_explicit] = ACTIONS(2480),
    [anon_sym_typename] = ACTIONS(2480),
    [anon_sym_template] = ACTIONS(2480),
    [anon_sym_operator] = ACTIONS(2480),
    [anon_sym_try] = ACTIONS(2480),
    [anon_sym_delete] = ACTIONS(2480),
    [anon_sym_throw] = ACTIONS(2480),
    [anon_sym_namespace] = ACTIONS(2480),
    [anon_sym_using] = ACTIONS(2480),
    [anon_sym_static_assert] = ACTIONS(2480),
    [anon_sym_concept] = ACTIONS(2480),
    [anon_sym_co_return] = ACTIONS(2480),
    [anon_sym_co_yield] = ACTIONS(2480),
    [anon_sym_R_DQUOTE] = ACTIONS(2482),
    [anon_sym_LR_DQUOTE] = ACTIONS(2482),
    [anon_sym_uR_DQUOTE] = ACTIONS(2482),
    [anon_sym_UR_DQUOTE] = ACTIONS(2482),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2482),
    [anon_sym_co_await] = ACTIONS(2480),
    [anon_sym_new] = ACTIONS(2480),
    [anon_sym_requires] = ACTIONS(2480),
    [sym_this] = ACTIONS(2480),
    [anon_sym_discard] = ACTIONS(2480),
    [anon_sym_precise] = ACTIONS(2480),
    [anon_sym_shared] = ACTIONS(2480),
    [anon_sym_groupshared] = ACTIONS(2480),
    [anon_sym_uniform] = ACTIONS(2480),
    [anon_sym_row_major] = ACTIONS(2480),
    [anon_sym_column_major] = ACTIONS(2480),
    [anon_sym_globallycoherent] = ACTIONS(2480),
    [anon_sym_centroid] = ACTIONS(2480),
    [anon_sym_noperspective] = ACTIONS(2480),
    [anon_sym_nointerpolation] = ACTIONS(2480),
    [anon_sym_sample] = ACTIONS(2480),
    [anon_sym_linear] = ACTIONS(2480),
    [anon_sym_snorm] = ACTIONS(2480),
    [anon_sym_unorm] = ACTIONS(2480),
    [anon_sym_point] = ACTIONS(2480),
    [anon_sym_line] = ACTIONS(2480),
    [anon_sym_triangleadj] = ACTIONS(2480),
    [anon_sym_lineadj] = ACTIONS(2480),
    [anon_sym_triangle] = ACTIONS(2480),
    [anon_sym_cbuffer] = ACTIONS(2480),
  },
  [536] = {
    [sym_identifier] = ACTIONS(2476),
    [aux_sym_preproc_include_token1] = ACTIONS(2476),
    [aux_sym_preproc_def_token1] = ACTIONS(2476),
    [aux_sym_preproc_if_token1] = ACTIONS(2476),
    [aux_sym_preproc_if_token2] = ACTIONS(2476),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2476),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2476),
    [aux_sym_preproc_else_token1] = ACTIONS(2476),
    [aux_sym_preproc_elif_token1] = ACTIONS(2476),
    [sym_preproc_directive] = ACTIONS(2476),
    [anon_sym_LPAREN2] = ACTIONS(2478),
    [anon_sym_BANG] = ACTIONS(2478),
    [anon_sym_TILDE] = ACTIONS(2478),
    [anon_sym_DASH] = ACTIONS(2476),
    [anon_sym_PLUS] = ACTIONS(2476),
    [anon_sym_STAR] = ACTIONS(2478),
    [anon_sym_AMP_AMP] = ACTIONS(2478),
    [anon_sym_AMP] = ACTIONS(2476),
    [anon_sym_SEMI] = ACTIONS(2478),
    [anon_sym___extension__] = ACTIONS(2476),
    [anon_sym_typedef] = ACTIONS(2476),
    [anon_sym_in] = ACTIONS(2476),
    [anon_sym_out] = ACTIONS(2476),
    [anon_sym_inout] = ACTIONS(2476),
    [anon_sym_extern] = ACTIONS(2476),
    [anon_sym___attribute__] = ACTIONS(2476),
    [anon_sym_COLON_COLON] = ACTIONS(2478),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2478),
    [anon_sym___declspec] = ACTIONS(2476),
    [anon_sym___based] = ACTIONS(2476),
    [anon_sym___cdecl] = ACTIONS(2476),
    [anon_sym___clrcall] = ACTIONS(2476),
    [anon_sym___stdcall] = ACTIONS(2476),
    [anon_sym___fastcall] = ACTIONS(2476),
    [anon_sym___thiscall] = ACTIONS(2476),
    [anon_sym___vectorcall] = ACTIONS(2476),
    [anon_sym_LBRACE] = ACTIONS(2478),
    [anon_sym_signed] = ACTIONS(2476),
    [anon_sym_unsigned] = ACTIONS(2476),
    [anon_sym_long] = ACTIONS(2476),
    [anon_sym_short] = ACTIONS(2476),
    [anon_sym_LBRACK] = ACTIONS(2476),
    [anon_sym_static] = ACTIONS(2476),
    [anon_sym_register] = ACTIONS(2476),
    [anon_sym_inline] = ACTIONS(2476),
    [anon_sym___inline] = ACTIONS(2476),
    [anon_sym___inline__] = ACTIONS(2476),
    [anon_sym___forceinline] = ACTIONS(2476),
    [anon_sym_thread_local] = ACTIONS(2476),
    [anon_sym___thread] = ACTIONS(2476),
    [anon_sym_const] = ACTIONS(2476),
    [anon_sym_constexpr] = ACTIONS(2476),
    [anon_sym_volatile] = ACTIONS(2476),
    [anon_sym_restrict] = ACTIONS(2476),
    [anon_sym___restrict__] = ACTIONS(2476),
    [anon_sym__Atomic] = ACTIONS(2476),
    [anon_sym__Noreturn] = ACTIONS(2476),
    [anon_sym_noreturn] = ACTIONS(2476),
    [anon_sym_mutable] = ACTIONS(2476),
    [anon_sym_constinit] = ACTIONS(2476),
    [anon_sym_consteval] = ACTIONS(2476),
    [sym_primitive_type] = ACTIONS(2476),
    [anon_sym_enum] = ACTIONS(2476),
    [anon_sym_class] = ACTIONS(2476),
    [anon_sym_struct] = ACTIONS(2476),
    [anon_sym_union] = ACTIONS(2476),
    [anon_sym_if] = ACTIONS(2476),
    [anon_sym_else] = ACTIONS(2476),
    [anon_sym_switch] = ACTIONS(2476),
    [anon_sym_case] = ACTIONS(2476),
    [anon_sym_default] = ACTIONS(2476),
    [anon_sym_while] = ACTIONS(2476),
    [anon_sym_do] = ACTIONS(2476),
    [anon_sym_for] = ACTIONS(2476),
    [anon_sym_return] = ACTIONS(2476),
    [anon_sym_break] = ACTIONS(2476),
    [anon_sym_continue] = ACTIONS(2476),
    [anon_sym_goto] = ACTIONS(2476),
    [anon_sym___try] = ACTIONS(2476),
    [anon_sym___leave] = ACTIONS(2476),
    [anon_sym_not] = ACTIONS(2476),
    [anon_sym_compl] = ACTIONS(2476),
    [anon_sym_DASH_DASH] = ACTIONS(2478),
    [anon_sym_PLUS_PLUS] = ACTIONS(2478),
    [anon_sym_sizeof] = ACTIONS(2476),
    [anon_sym___alignof__] = ACTIONS(2476),
    [anon_sym___alignof] = ACTIONS(2476),
    [anon_sym__alignof] = ACTIONS(2476),
    [anon_sym_alignof] = ACTIONS(2476),
    [anon_sym__Alignof] = ACTIONS(2476),
    [anon_sym_offsetof] = ACTIONS(2476),
    [anon_sym__Generic] = ACTIONS(2476),
    [anon_sym_asm] = ACTIONS(2476),
    [anon_sym___asm__] = ACTIONS(2476),
    [sym_number_literal] = ACTIONS(2478),
    [anon_sym_L_SQUOTE] = ACTIONS(2478),
    [anon_sym_u_SQUOTE] = ACTIONS(2478),
    [anon_sym_U_SQUOTE] = ACTIONS(2478),
    [anon_sym_u8_SQUOTE] = ACTIONS(2478),
    [anon_sym_SQUOTE] = ACTIONS(2478),
    [anon_sym_L_DQUOTE] = ACTIONS(2478),
    [anon_sym_u_DQUOTE] = ACTIONS(2478),
    [anon_sym_U_DQUOTE] = ACTIONS(2478),
    [anon_sym_u8_DQUOTE] = ACTIONS(2478),
    [anon_sym_DQUOTE] = ACTIONS(2478),
    [sym_true] = ACTIONS(2476),
    [sym_false] = ACTIONS(2476),
    [anon_sym_NULL] = ACTIONS(2476),
    [anon_sym_nullptr] = ACTIONS(2476),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2476),
    [anon_sym_decltype] = ACTIONS(2476),
    [anon_sym_virtual] = ACTIONS(2476),
    [anon_sym_alignas] = ACTIONS(2476),
    [anon_sym_explicit] = ACTIONS(2476),
    [anon_sym_typename] = ACTIONS(2476),
    [anon_sym_template] = ACTIONS(2476),
    [anon_sym_operator] = ACTIONS(2476),
    [anon_sym_try] = ACTIONS(2476),
    [anon_sym_delete] = ACTIONS(2476),
    [anon_sym_throw] = ACTIONS(2476),
    [anon_sym_namespace] = ACTIONS(2476),
    [anon_sym_using] = ACTIONS(2476),
    [anon_sym_static_assert] = ACTIONS(2476),
    [anon_sym_concept] = ACTIONS(2476),
    [anon_sym_co_return] = ACTIONS(2476),
    [anon_sym_co_yield] = ACTIONS(2476),
    [anon_sym_R_DQUOTE] = ACTIONS(2478),
    [anon_sym_LR_DQUOTE] = ACTIONS(2478),
    [anon_sym_uR_DQUOTE] = ACTIONS(2478),
    [anon_sym_UR_DQUOTE] = ACTIONS(2478),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2478),
    [anon_sym_co_await] = ACTIONS(2476),
    [anon_sym_new] = ACTIONS(2476),
    [anon_sym_requires] = ACTIONS(2476),
    [sym_this] = ACTIONS(2476),
    [anon_sym_discard] = ACTIONS(2476),
    [anon_sym_precise] = ACTIONS(2476),
    [anon_sym_shared] = ACTIONS(2476),
    [anon_sym_groupshared] = ACTIONS(2476),
    [anon_sym_uniform] = ACTIONS(2476),
    [anon_sym_row_major] = ACTIONS(2476),
    [anon_sym_column_major] = ACTIONS(2476),
    [anon_sym_globallycoherent] = ACTIONS(2476),
    [anon_sym_centroid] = ACTIONS(2476),
    [anon_sym_noperspective] = ACTIONS(2476),
    [anon_sym_nointerpolation] = ACTIONS(2476),
    [anon_sym_sample] = ACTIONS(2476),
    [anon_sym_linear] = ACTIONS(2476),
    [anon_sym_snorm] = ACTIONS(2476),
    [anon_sym_unorm] = ACTIONS(2476),
    [anon_sym_point] = ACTIONS(2476),
    [anon_sym_line] = ACTIONS(2476),
    [anon_sym_triangleadj] = ACTIONS(2476),
    [anon_sym_lineadj] = ACTIONS(2476),
    [anon_sym_triangle] = ACTIONS(2476),
    [anon_sym_cbuffer] = ACTIONS(2476),
  },
  [537] = {
    [sym_identifier] = ACTIONS(2444),
    [aux_sym_preproc_include_token1] = ACTIONS(2444),
    [aux_sym_preproc_def_token1] = ACTIONS(2444),
    [aux_sym_preproc_if_token1] = ACTIONS(2444),
    [aux_sym_preproc_if_token2] = ACTIONS(2444),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2444),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2444),
    [aux_sym_preproc_else_token1] = ACTIONS(2444),
    [aux_sym_preproc_elif_token1] = ACTIONS(2444),
    [sym_preproc_directive] = ACTIONS(2444),
    [anon_sym_LPAREN2] = ACTIONS(2446),
    [anon_sym_BANG] = ACTIONS(2446),
    [anon_sym_TILDE] = ACTIONS(2446),
    [anon_sym_DASH] = ACTIONS(2444),
    [anon_sym_PLUS] = ACTIONS(2444),
    [anon_sym_STAR] = ACTIONS(2446),
    [anon_sym_AMP_AMP] = ACTIONS(2446),
    [anon_sym_AMP] = ACTIONS(2444),
    [anon_sym_SEMI] = ACTIONS(2446),
    [anon_sym___extension__] = ACTIONS(2444),
    [anon_sym_typedef] = ACTIONS(2444),
    [anon_sym_in] = ACTIONS(2444),
    [anon_sym_out] = ACTIONS(2444),
    [anon_sym_inout] = ACTIONS(2444),
    [anon_sym_extern] = ACTIONS(2444),
    [anon_sym___attribute__] = ACTIONS(2444),
    [anon_sym_COLON_COLON] = ACTIONS(2446),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2446),
    [anon_sym___declspec] = ACTIONS(2444),
    [anon_sym___based] = ACTIONS(2444),
    [anon_sym___cdecl] = ACTIONS(2444),
    [anon_sym___clrcall] = ACTIONS(2444),
    [anon_sym___stdcall] = ACTIONS(2444),
    [anon_sym___fastcall] = ACTIONS(2444),
    [anon_sym___thiscall] = ACTIONS(2444),
    [anon_sym___vectorcall] = ACTIONS(2444),
    [anon_sym_LBRACE] = ACTIONS(2446),
    [anon_sym_signed] = ACTIONS(2444),
    [anon_sym_unsigned] = ACTIONS(2444),
    [anon_sym_long] = ACTIONS(2444),
    [anon_sym_short] = ACTIONS(2444),
    [anon_sym_LBRACK] = ACTIONS(2444),
    [anon_sym_static] = ACTIONS(2444),
    [anon_sym_register] = ACTIONS(2444),
    [anon_sym_inline] = ACTIONS(2444),
    [anon_sym___inline] = ACTIONS(2444),
    [anon_sym___inline__] = ACTIONS(2444),
    [anon_sym___forceinline] = ACTIONS(2444),
    [anon_sym_thread_local] = ACTIONS(2444),
    [anon_sym___thread] = ACTIONS(2444),
    [anon_sym_const] = ACTIONS(2444),
    [anon_sym_constexpr] = ACTIONS(2444),
    [anon_sym_volatile] = ACTIONS(2444),
    [anon_sym_restrict] = ACTIONS(2444),
    [anon_sym___restrict__] = ACTIONS(2444),
    [anon_sym__Atomic] = ACTIONS(2444),
    [anon_sym__Noreturn] = ACTIONS(2444),
    [anon_sym_noreturn] = ACTIONS(2444),
    [anon_sym_mutable] = ACTIONS(2444),
    [anon_sym_constinit] = ACTIONS(2444),
    [anon_sym_consteval] = ACTIONS(2444),
    [sym_primitive_type] = ACTIONS(2444),
    [anon_sym_enum] = ACTIONS(2444),
    [anon_sym_class] = ACTIONS(2444),
    [anon_sym_struct] = ACTIONS(2444),
    [anon_sym_union] = ACTIONS(2444),
    [anon_sym_if] = ACTIONS(2444),
    [anon_sym_else] = ACTIONS(2444),
    [anon_sym_switch] = ACTIONS(2444),
    [anon_sym_case] = ACTIONS(2444),
    [anon_sym_default] = ACTIONS(2444),
    [anon_sym_while] = ACTIONS(2444),
    [anon_sym_do] = ACTIONS(2444),
    [anon_sym_for] = ACTIONS(2444),
    [anon_sym_return] = ACTIONS(2444),
    [anon_sym_break] = ACTIONS(2444),
    [anon_sym_continue] = ACTIONS(2444),
    [anon_sym_goto] = ACTIONS(2444),
    [anon_sym___try] = ACTIONS(2444),
    [anon_sym___leave] = ACTIONS(2444),
    [anon_sym_not] = ACTIONS(2444),
    [anon_sym_compl] = ACTIONS(2444),
    [anon_sym_DASH_DASH] = ACTIONS(2446),
    [anon_sym_PLUS_PLUS] = ACTIONS(2446),
    [anon_sym_sizeof] = ACTIONS(2444),
    [anon_sym___alignof__] = ACTIONS(2444),
    [anon_sym___alignof] = ACTIONS(2444),
    [anon_sym__alignof] = ACTIONS(2444),
    [anon_sym_alignof] = ACTIONS(2444),
    [anon_sym__Alignof] = ACTIONS(2444),
    [anon_sym_offsetof] = ACTIONS(2444),
    [anon_sym__Generic] = ACTIONS(2444),
    [anon_sym_asm] = ACTIONS(2444),
    [anon_sym___asm__] = ACTIONS(2444),
    [sym_number_literal] = ACTIONS(2446),
    [anon_sym_L_SQUOTE] = ACTIONS(2446),
    [anon_sym_u_SQUOTE] = ACTIONS(2446),
    [anon_sym_U_SQUOTE] = ACTIONS(2446),
    [anon_sym_u8_SQUOTE] = ACTIONS(2446),
    [anon_sym_SQUOTE] = ACTIONS(2446),
    [anon_sym_L_DQUOTE] = ACTIONS(2446),
    [anon_sym_u_DQUOTE] = ACTIONS(2446),
    [anon_sym_U_DQUOTE] = ACTIONS(2446),
    [anon_sym_u8_DQUOTE] = ACTIONS(2446),
    [anon_sym_DQUOTE] = ACTIONS(2446),
    [sym_true] = ACTIONS(2444),
    [sym_false] = ACTIONS(2444),
    [anon_sym_NULL] = ACTIONS(2444),
    [anon_sym_nullptr] = ACTIONS(2444),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2444),
    [anon_sym_decltype] = ACTIONS(2444),
    [anon_sym_virtual] = ACTIONS(2444),
    [anon_sym_alignas] = ACTIONS(2444),
    [anon_sym_explicit] = ACTIONS(2444),
    [anon_sym_typename] = ACTIONS(2444),
    [anon_sym_template] = ACTIONS(2444),
    [anon_sym_operator] = ACTIONS(2444),
    [anon_sym_try] = ACTIONS(2444),
    [anon_sym_delete] = ACTIONS(2444),
    [anon_sym_throw] = ACTIONS(2444),
    [anon_sym_namespace] = ACTIONS(2444),
    [anon_sym_using] = ACTIONS(2444),
    [anon_sym_static_assert] = ACTIONS(2444),
    [anon_sym_concept] = ACTIONS(2444),
    [anon_sym_co_return] = ACTIONS(2444),
    [anon_sym_co_yield] = ACTIONS(2444),
    [anon_sym_R_DQUOTE] = ACTIONS(2446),
    [anon_sym_LR_DQUOTE] = ACTIONS(2446),
    [anon_sym_uR_DQUOTE] = ACTIONS(2446),
    [anon_sym_UR_DQUOTE] = ACTIONS(2446),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2446),
    [anon_sym_co_await] = ACTIONS(2444),
    [anon_sym_new] = ACTIONS(2444),
    [anon_sym_requires] = ACTIONS(2444),
    [sym_this] = ACTIONS(2444),
    [anon_sym_discard] = ACTIONS(2444),
    [anon_sym_precise] = ACTIONS(2444),
    [anon_sym_shared] = ACTIONS(2444),
    [anon_sym_groupshared] = ACTIONS(2444),
    [anon_sym_uniform] = ACTIONS(2444),
    [anon_sym_row_major] = ACTIONS(2444),
    [anon_sym_column_major] = ACTIONS(2444),
    [anon_sym_globallycoherent] = ACTIONS(2444),
    [anon_sym_centroid] = ACTIONS(2444),
    [anon_sym_noperspective] = ACTIONS(2444),
    [anon_sym_nointerpolation] = ACTIONS(2444),
    [anon_sym_sample] = ACTIONS(2444),
    [anon_sym_linear] = ACTIONS(2444),
    [anon_sym_snorm] = ACTIONS(2444),
    [anon_sym_unorm] = ACTIONS(2444),
    [anon_sym_point] = ACTIONS(2444),
    [anon_sym_line] = ACTIONS(2444),
    [anon_sym_triangleadj] = ACTIONS(2444),
    [anon_sym_lineadj] = ACTIONS(2444),
    [anon_sym_triangle] = ACTIONS(2444),
    [anon_sym_cbuffer] = ACTIONS(2444),
  },
  [538] = {
    [sym_identifier] = ACTIONS(2472),
    [aux_sym_preproc_include_token1] = ACTIONS(2472),
    [aux_sym_preproc_def_token1] = ACTIONS(2472),
    [aux_sym_preproc_if_token1] = ACTIONS(2472),
    [aux_sym_preproc_if_token2] = ACTIONS(2472),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2472),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2472),
    [aux_sym_preproc_else_token1] = ACTIONS(2472),
    [aux_sym_preproc_elif_token1] = ACTIONS(2472),
    [sym_preproc_directive] = ACTIONS(2472),
    [anon_sym_LPAREN2] = ACTIONS(2474),
    [anon_sym_BANG] = ACTIONS(2474),
    [anon_sym_TILDE] = ACTIONS(2474),
    [anon_sym_DASH] = ACTIONS(2472),
    [anon_sym_PLUS] = ACTIONS(2472),
    [anon_sym_STAR] = ACTIONS(2474),
    [anon_sym_AMP_AMP] = ACTIONS(2474),
    [anon_sym_AMP] = ACTIONS(2472),
    [anon_sym_SEMI] = ACTIONS(2474),
    [anon_sym___extension__] = ACTIONS(2472),
    [anon_sym_typedef] = ACTIONS(2472),
    [anon_sym_in] = ACTIONS(2472),
    [anon_sym_out] = ACTIONS(2472),
    [anon_sym_inout] = ACTIONS(2472),
    [anon_sym_extern] = ACTIONS(2472),
    [anon_sym___attribute__] = ACTIONS(2472),
    [anon_sym_COLON_COLON] = ACTIONS(2474),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2474),
    [anon_sym___declspec] = ACTIONS(2472),
    [anon_sym___based] = ACTIONS(2472),
    [anon_sym___cdecl] = ACTIONS(2472),
    [anon_sym___clrcall] = ACTIONS(2472),
    [anon_sym___stdcall] = ACTIONS(2472),
    [anon_sym___fastcall] = ACTIONS(2472),
    [anon_sym___thiscall] = ACTIONS(2472),
    [anon_sym___vectorcall] = ACTIONS(2472),
    [anon_sym_LBRACE] = ACTIONS(2474),
    [anon_sym_signed] = ACTIONS(2472),
    [anon_sym_unsigned] = ACTIONS(2472),
    [anon_sym_long] = ACTIONS(2472),
    [anon_sym_short] = ACTIONS(2472),
    [anon_sym_LBRACK] = ACTIONS(2472),
    [anon_sym_static] = ACTIONS(2472),
    [anon_sym_register] = ACTIONS(2472),
    [anon_sym_inline] = ACTIONS(2472),
    [anon_sym___inline] = ACTIONS(2472),
    [anon_sym___inline__] = ACTIONS(2472),
    [anon_sym___forceinline] = ACTIONS(2472),
    [anon_sym_thread_local] = ACTIONS(2472),
    [anon_sym___thread] = ACTIONS(2472),
    [anon_sym_const] = ACTIONS(2472),
    [anon_sym_constexpr] = ACTIONS(2472),
    [anon_sym_volatile] = ACTIONS(2472),
    [anon_sym_restrict] = ACTIONS(2472),
    [anon_sym___restrict__] = ACTIONS(2472),
    [anon_sym__Atomic] = ACTIONS(2472),
    [anon_sym__Noreturn] = ACTIONS(2472),
    [anon_sym_noreturn] = ACTIONS(2472),
    [anon_sym_mutable] = ACTIONS(2472),
    [anon_sym_constinit] = ACTIONS(2472),
    [anon_sym_consteval] = ACTIONS(2472),
    [sym_primitive_type] = ACTIONS(2472),
    [anon_sym_enum] = ACTIONS(2472),
    [anon_sym_class] = ACTIONS(2472),
    [anon_sym_struct] = ACTIONS(2472),
    [anon_sym_union] = ACTIONS(2472),
    [anon_sym_if] = ACTIONS(2472),
    [anon_sym_else] = ACTIONS(2472),
    [anon_sym_switch] = ACTIONS(2472),
    [anon_sym_case] = ACTIONS(2472),
    [anon_sym_default] = ACTIONS(2472),
    [anon_sym_while] = ACTIONS(2472),
    [anon_sym_do] = ACTIONS(2472),
    [anon_sym_for] = ACTIONS(2472),
    [anon_sym_return] = ACTIONS(2472),
    [anon_sym_break] = ACTIONS(2472),
    [anon_sym_continue] = ACTIONS(2472),
    [anon_sym_goto] = ACTIONS(2472),
    [anon_sym___try] = ACTIONS(2472),
    [anon_sym___leave] = ACTIONS(2472),
    [anon_sym_not] = ACTIONS(2472),
    [anon_sym_compl] = ACTIONS(2472),
    [anon_sym_DASH_DASH] = ACTIONS(2474),
    [anon_sym_PLUS_PLUS] = ACTIONS(2474),
    [anon_sym_sizeof] = ACTIONS(2472),
    [anon_sym___alignof__] = ACTIONS(2472),
    [anon_sym___alignof] = ACTIONS(2472),
    [anon_sym__alignof] = ACTIONS(2472),
    [anon_sym_alignof] = ACTIONS(2472),
    [anon_sym__Alignof] = ACTIONS(2472),
    [anon_sym_offsetof] = ACTIONS(2472),
    [anon_sym__Generic] = ACTIONS(2472),
    [anon_sym_asm] = ACTIONS(2472),
    [anon_sym___asm__] = ACTIONS(2472),
    [sym_number_literal] = ACTIONS(2474),
    [anon_sym_L_SQUOTE] = ACTIONS(2474),
    [anon_sym_u_SQUOTE] = ACTIONS(2474),
    [anon_sym_U_SQUOTE] = ACTIONS(2474),
    [anon_sym_u8_SQUOTE] = ACTIONS(2474),
    [anon_sym_SQUOTE] = ACTIONS(2474),
    [anon_sym_L_DQUOTE] = ACTIONS(2474),
    [anon_sym_u_DQUOTE] = ACTIONS(2474),
    [anon_sym_U_DQUOTE] = ACTIONS(2474),
    [anon_sym_u8_DQUOTE] = ACTIONS(2474),
    [anon_sym_DQUOTE] = ACTIONS(2474),
    [sym_true] = ACTIONS(2472),
    [sym_false] = ACTIONS(2472),
    [anon_sym_NULL] = ACTIONS(2472),
    [anon_sym_nullptr] = ACTIONS(2472),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2472),
    [anon_sym_decltype] = ACTIONS(2472),
    [anon_sym_virtual] = ACTIONS(2472),
    [anon_sym_alignas] = ACTIONS(2472),
    [anon_sym_explicit] = ACTIONS(2472),
    [anon_sym_typename] = ACTIONS(2472),
    [anon_sym_template] = ACTIONS(2472),
    [anon_sym_operator] = ACTIONS(2472),
    [anon_sym_try] = ACTIONS(2472),
    [anon_sym_delete] = ACTIONS(2472),
    [anon_sym_throw] = ACTIONS(2472),
    [anon_sym_namespace] = ACTIONS(2472),
    [anon_sym_using] = ACTIONS(2472),
    [anon_sym_static_assert] = ACTIONS(2472),
    [anon_sym_concept] = ACTIONS(2472),
    [anon_sym_co_return] = ACTIONS(2472),
    [anon_sym_co_yield] = ACTIONS(2472),
    [anon_sym_R_DQUOTE] = ACTIONS(2474),
    [anon_sym_LR_DQUOTE] = ACTIONS(2474),
    [anon_sym_uR_DQUOTE] = ACTIONS(2474),
    [anon_sym_UR_DQUOTE] = ACTIONS(2474),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2474),
    [anon_sym_co_await] = ACTIONS(2472),
    [anon_sym_new] = ACTIONS(2472),
    [anon_sym_requires] = ACTIONS(2472),
    [sym_this] = ACTIONS(2472),
    [anon_sym_discard] = ACTIONS(2472),
    [anon_sym_precise] = ACTIONS(2472),
    [anon_sym_shared] = ACTIONS(2472),
    [anon_sym_groupshared] = ACTIONS(2472),
    [anon_sym_uniform] = ACTIONS(2472),
    [anon_sym_row_major] = ACTIONS(2472),
    [anon_sym_column_major] = ACTIONS(2472),
    [anon_sym_globallycoherent] = ACTIONS(2472),
    [anon_sym_centroid] = ACTIONS(2472),
    [anon_sym_noperspective] = ACTIONS(2472),
    [anon_sym_nointerpolation] = ACTIONS(2472),
    [anon_sym_sample] = ACTIONS(2472),
    [anon_sym_linear] = ACTIONS(2472),
    [anon_sym_snorm] = ACTIONS(2472),
    [anon_sym_unorm] = ACTIONS(2472),
    [anon_sym_point] = ACTIONS(2472),
    [anon_sym_line] = ACTIONS(2472),
    [anon_sym_triangleadj] = ACTIONS(2472),
    [anon_sym_lineadj] = ACTIONS(2472),
    [anon_sym_triangle] = ACTIONS(2472),
    [anon_sym_cbuffer] = ACTIONS(2472),
  },
  [539] = {
    [sym_identifier] = ACTIONS(2334),
    [aux_sym_preproc_include_token1] = ACTIONS(2334),
    [aux_sym_preproc_def_token1] = ACTIONS(2334),
    [aux_sym_preproc_if_token1] = ACTIONS(2334),
    [aux_sym_preproc_if_token2] = ACTIONS(2334),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2334),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2334),
    [aux_sym_preproc_else_token1] = ACTIONS(2334),
    [aux_sym_preproc_elif_token1] = ACTIONS(2334),
    [sym_preproc_directive] = ACTIONS(2334),
    [anon_sym_LPAREN2] = ACTIONS(2336),
    [anon_sym_BANG] = ACTIONS(2336),
    [anon_sym_TILDE] = ACTIONS(2336),
    [anon_sym_DASH] = ACTIONS(2334),
    [anon_sym_PLUS] = ACTIONS(2334),
    [anon_sym_STAR] = ACTIONS(2336),
    [anon_sym_AMP_AMP] = ACTIONS(2336),
    [anon_sym_AMP] = ACTIONS(2334),
    [anon_sym_SEMI] = ACTIONS(2336),
    [anon_sym___extension__] = ACTIONS(2334),
    [anon_sym_typedef] = ACTIONS(2334),
    [anon_sym_in] = ACTIONS(2334),
    [anon_sym_out] = ACTIONS(2334),
    [anon_sym_inout] = ACTIONS(2334),
    [anon_sym_extern] = ACTIONS(2334),
    [anon_sym___attribute__] = ACTIONS(2334),
    [anon_sym_COLON_COLON] = ACTIONS(2336),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2336),
    [anon_sym___declspec] = ACTIONS(2334),
    [anon_sym___based] = ACTIONS(2334),
    [anon_sym___cdecl] = ACTIONS(2334),
    [anon_sym___clrcall] = ACTIONS(2334),
    [anon_sym___stdcall] = ACTIONS(2334),
    [anon_sym___fastcall] = ACTIONS(2334),
    [anon_sym___thiscall] = ACTIONS(2334),
    [anon_sym___vectorcall] = ACTIONS(2334),
    [anon_sym_LBRACE] = ACTIONS(2336),
    [anon_sym_signed] = ACTIONS(2334),
    [anon_sym_unsigned] = ACTIONS(2334),
    [anon_sym_long] = ACTIONS(2334),
    [anon_sym_short] = ACTIONS(2334),
    [anon_sym_LBRACK] = ACTIONS(2334),
    [anon_sym_static] = ACTIONS(2334),
    [anon_sym_register] = ACTIONS(2334),
    [anon_sym_inline] = ACTIONS(2334),
    [anon_sym___inline] = ACTIONS(2334),
    [anon_sym___inline__] = ACTIONS(2334),
    [anon_sym___forceinline] = ACTIONS(2334),
    [anon_sym_thread_local] = ACTIONS(2334),
    [anon_sym___thread] = ACTIONS(2334),
    [anon_sym_const] = ACTIONS(2334),
    [anon_sym_constexpr] = ACTIONS(2334),
    [anon_sym_volatile] = ACTIONS(2334),
    [anon_sym_restrict] = ACTIONS(2334),
    [anon_sym___restrict__] = ACTIONS(2334),
    [anon_sym__Atomic] = ACTIONS(2334),
    [anon_sym__Noreturn] = ACTIONS(2334),
    [anon_sym_noreturn] = ACTIONS(2334),
    [anon_sym_mutable] = ACTIONS(2334),
    [anon_sym_constinit] = ACTIONS(2334),
    [anon_sym_consteval] = ACTIONS(2334),
    [sym_primitive_type] = ACTIONS(2334),
    [anon_sym_enum] = ACTIONS(2334),
    [anon_sym_class] = ACTIONS(2334),
    [anon_sym_struct] = ACTIONS(2334),
    [anon_sym_union] = ACTIONS(2334),
    [anon_sym_if] = ACTIONS(2334),
    [anon_sym_else] = ACTIONS(2334),
    [anon_sym_switch] = ACTIONS(2334),
    [anon_sym_case] = ACTIONS(2334),
    [anon_sym_default] = ACTIONS(2334),
    [anon_sym_while] = ACTIONS(2334),
    [anon_sym_do] = ACTIONS(2334),
    [anon_sym_for] = ACTIONS(2334),
    [anon_sym_return] = ACTIONS(2334),
    [anon_sym_break] = ACTIONS(2334),
    [anon_sym_continue] = ACTIONS(2334),
    [anon_sym_goto] = ACTIONS(2334),
    [anon_sym___try] = ACTIONS(2334),
    [anon_sym___leave] = ACTIONS(2334),
    [anon_sym_not] = ACTIONS(2334),
    [anon_sym_compl] = ACTIONS(2334),
    [anon_sym_DASH_DASH] = ACTIONS(2336),
    [anon_sym_PLUS_PLUS] = ACTIONS(2336),
    [anon_sym_sizeof] = ACTIONS(2334),
    [anon_sym___alignof__] = ACTIONS(2334),
    [anon_sym___alignof] = ACTIONS(2334),
    [anon_sym__alignof] = ACTIONS(2334),
    [anon_sym_alignof] = ACTIONS(2334),
    [anon_sym__Alignof] = ACTIONS(2334),
    [anon_sym_offsetof] = ACTIONS(2334),
    [anon_sym__Generic] = ACTIONS(2334),
    [anon_sym_asm] = ACTIONS(2334),
    [anon_sym___asm__] = ACTIONS(2334),
    [sym_number_literal] = ACTIONS(2336),
    [anon_sym_L_SQUOTE] = ACTIONS(2336),
    [anon_sym_u_SQUOTE] = ACTIONS(2336),
    [anon_sym_U_SQUOTE] = ACTIONS(2336),
    [anon_sym_u8_SQUOTE] = ACTIONS(2336),
    [anon_sym_SQUOTE] = ACTIONS(2336),
    [anon_sym_L_DQUOTE] = ACTIONS(2336),
    [anon_sym_u_DQUOTE] = ACTIONS(2336),
    [anon_sym_U_DQUOTE] = ACTIONS(2336),
    [anon_sym_u8_DQUOTE] = ACTIONS(2336),
    [anon_sym_DQUOTE] = ACTIONS(2336),
    [sym_true] = ACTIONS(2334),
    [sym_false] = ACTIONS(2334),
    [anon_sym_NULL] = ACTIONS(2334),
    [anon_sym_nullptr] = ACTIONS(2334),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2334),
    [anon_sym_decltype] = ACTIONS(2334),
    [anon_sym_virtual] = ACTIONS(2334),
    [anon_sym_alignas] = ACTIONS(2334),
    [anon_sym_explicit] = ACTIONS(2334),
    [anon_sym_typename] = ACTIONS(2334),
    [anon_sym_template] = ACTIONS(2334),
    [anon_sym_operator] = ACTIONS(2334),
    [anon_sym_try] = ACTIONS(2334),
    [anon_sym_delete] = ACTIONS(2334),
    [anon_sym_throw] = ACTIONS(2334),
    [anon_sym_namespace] = ACTIONS(2334),
    [anon_sym_using] = ACTIONS(2334),
    [anon_sym_static_assert] = ACTIONS(2334),
    [anon_sym_concept] = ACTIONS(2334),
    [anon_sym_co_return] = ACTIONS(2334),
    [anon_sym_co_yield] = ACTIONS(2334),
    [anon_sym_R_DQUOTE] = ACTIONS(2336),
    [anon_sym_LR_DQUOTE] = ACTIONS(2336),
    [anon_sym_uR_DQUOTE] = ACTIONS(2336),
    [anon_sym_UR_DQUOTE] = ACTIONS(2336),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2336),
    [anon_sym_co_await] = ACTIONS(2334),
    [anon_sym_new] = ACTIONS(2334),
    [anon_sym_requires] = ACTIONS(2334),
    [sym_this] = ACTIONS(2334),
    [anon_sym_discard] = ACTIONS(2334),
    [anon_sym_precise] = ACTIONS(2334),
    [anon_sym_shared] = ACTIONS(2334),
    [anon_sym_groupshared] = ACTIONS(2334),
    [anon_sym_uniform] = ACTIONS(2334),
    [anon_sym_row_major] = ACTIONS(2334),
    [anon_sym_column_major] = ACTIONS(2334),
    [anon_sym_globallycoherent] = ACTIONS(2334),
    [anon_sym_centroid] = ACTIONS(2334),
    [anon_sym_noperspective] = ACTIONS(2334),
    [anon_sym_nointerpolation] = ACTIONS(2334),
    [anon_sym_sample] = ACTIONS(2334),
    [anon_sym_linear] = ACTIONS(2334),
    [anon_sym_snorm] = ACTIONS(2334),
    [anon_sym_unorm] = ACTIONS(2334),
    [anon_sym_point] = ACTIONS(2334),
    [anon_sym_line] = ACTIONS(2334),
    [anon_sym_triangleadj] = ACTIONS(2334),
    [anon_sym_lineadj] = ACTIONS(2334),
    [anon_sym_triangle] = ACTIONS(2334),
    [anon_sym_cbuffer] = ACTIONS(2334),
  },
  [540] = {
    [sym_identifier] = ACTIONS(2364),
    [aux_sym_preproc_include_token1] = ACTIONS(2364),
    [aux_sym_preproc_def_token1] = ACTIONS(2364),
    [aux_sym_preproc_if_token1] = ACTIONS(2364),
    [aux_sym_preproc_if_token2] = ACTIONS(2364),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2364),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2364),
    [aux_sym_preproc_else_token1] = ACTIONS(2364),
    [aux_sym_preproc_elif_token1] = ACTIONS(2364),
    [sym_preproc_directive] = ACTIONS(2364),
    [anon_sym_LPAREN2] = ACTIONS(2366),
    [anon_sym_BANG] = ACTIONS(2366),
    [anon_sym_TILDE] = ACTIONS(2366),
    [anon_sym_DASH] = ACTIONS(2364),
    [anon_sym_PLUS] = ACTIONS(2364),
    [anon_sym_STAR] = ACTIONS(2366),
    [anon_sym_AMP_AMP] = ACTIONS(2366),
    [anon_sym_AMP] = ACTIONS(2364),
    [anon_sym_SEMI] = ACTIONS(2366),
    [anon_sym___extension__] = ACTIONS(2364),
    [anon_sym_typedef] = ACTIONS(2364),
    [anon_sym_in] = ACTIONS(2364),
    [anon_sym_out] = ACTIONS(2364),
    [anon_sym_inout] = ACTIONS(2364),
    [anon_sym_extern] = ACTIONS(2364),
    [anon_sym___attribute__] = ACTIONS(2364),
    [anon_sym_COLON_COLON] = ACTIONS(2366),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2366),
    [anon_sym___declspec] = ACTIONS(2364),
    [anon_sym___based] = ACTIONS(2364),
    [anon_sym___cdecl] = ACTIONS(2364),
    [anon_sym___clrcall] = ACTIONS(2364),
    [anon_sym___stdcall] = ACTIONS(2364),
    [anon_sym___fastcall] = ACTIONS(2364),
    [anon_sym___thiscall] = ACTIONS(2364),
    [anon_sym___vectorcall] = ACTIONS(2364),
    [anon_sym_LBRACE] = ACTIONS(2366),
    [anon_sym_signed] = ACTIONS(2364),
    [anon_sym_unsigned] = ACTIONS(2364),
    [anon_sym_long] = ACTIONS(2364),
    [anon_sym_short] = ACTIONS(2364),
    [anon_sym_LBRACK] = ACTIONS(2364),
    [anon_sym_static] = ACTIONS(2364),
    [anon_sym_register] = ACTIONS(2364),
    [anon_sym_inline] = ACTIONS(2364),
    [anon_sym___inline] = ACTIONS(2364),
    [anon_sym___inline__] = ACTIONS(2364),
    [anon_sym___forceinline] = ACTIONS(2364),
    [anon_sym_thread_local] = ACTIONS(2364),
    [anon_sym___thread] = ACTIONS(2364),
    [anon_sym_const] = ACTIONS(2364),
    [anon_sym_constexpr] = ACTIONS(2364),
    [anon_sym_volatile] = ACTIONS(2364),
    [anon_sym_restrict] = ACTIONS(2364),
    [anon_sym___restrict__] = ACTIONS(2364),
    [anon_sym__Atomic] = ACTIONS(2364),
    [anon_sym__Noreturn] = ACTIONS(2364),
    [anon_sym_noreturn] = ACTIONS(2364),
    [anon_sym_mutable] = ACTIONS(2364),
    [anon_sym_constinit] = ACTIONS(2364),
    [anon_sym_consteval] = ACTIONS(2364),
    [sym_primitive_type] = ACTIONS(2364),
    [anon_sym_enum] = ACTIONS(2364),
    [anon_sym_class] = ACTIONS(2364),
    [anon_sym_struct] = ACTIONS(2364),
    [anon_sym_union] = ACTIONS(2364),
    [anon_sym_if] = ACTIONS(2364),
    [anon_sym_else] = ACTIONS(2364),
    [anon_sym_switch] = ACTIONS(2364),
    [anon_sym_case] = ACTIONS(2364),
    [anon_sym_default] = ACTIONS(2364),
    [anon_sym_while] = ACTIONS(2364),
    [anon_sym_do] = ACTIONS(2364),
    [anon_sym_for] = ACTIONS(2364),
    [anon_sym_return] = ACTIONS(2364),
    [anon_sym_break] = ACTIONS(2364),
    [anon_sym_continue] = ACTIONS(2364),
    [anon_sym_goto] = ACTIONS(2364),
    [anon_sym___try] = ACTIONS(2364),
    [anon_sym___leave] = ACTIONS(2364),
    [anon_sym_not] = ACTIONS(2364),
    [anon_sym_compl] = ACTIONS(2364),
    [anon_sym_DASH_DASH] = ACTIONS(2366),
    [anon_sym_PLUS_PLUS] = ACTIONS(2366),
    [anon_sym_sizeof] = ACTIONS(2364),
    [anon_sym___alignof__] = ACTIONS(2364),
    [anon_sym___alignof] = ACTIONS(2364),
    [anon_sym__alignof] = ACTIONS(2364),
    [anon_sym_alignof] = ACTIONS(2364),
    [anon_sym__Alignof] = ACTIONS(2364),
    [anon_sym_offsetof] = ACTIONS(2364),
    [anon_sym__Generic] = ACTIONS(2364),
    [anon_sym_asm] = ACTIONS(2364),
    [anon_sym___asm__] = ACTIONS(2364),
    [sym_number_literal] = ACTIONS(2366),
    [anon_sym_L_SQUOTE] = ACTIONS(2366),
    [anon_sym_u_SQUOTE] = ACTIONS(2366),
    [anon_sym_U_SQUOTE] = ACTIONS(2366),
    [anon_sym_u8_SQUOTE] = ACTIONS(2366),
    [anon_sym_SQUOTE] = ACTIONS(2366),
    [anon_sym_L_DQUOTE] = ACTIONS(2366),
    [anon_sym_u_DQUOTE] = ACTIONS(2366),
    [anon_sym_U_DQUOTE] = ACTIONS(2366),
    [anon_sym_u8_DQUOTE] = ACTIONS(2366),
    [anon_sym_DQUOTE] = ACTIONS(2366),
    [sym_true] = ACTIONS(2364),
    [sym_false] = ACTIONS(2364),
    [anon_sym_NULL] = ACTIONS(2364),
    [anon_sym_nullptr] = ACTIONS(2364),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2364),
    [anon_sym_decltype] = ACTIONS(2364),
    [anon_sym_virtual] = ACTIONS(2364),
    [anon_sym_alignas] = ACTIONS(2364),
    [anon_sym_explicit] = ACTIONS(2364),
    [anon_sym_typename] = ACTIONS(2364),
    [anon_sym_template] = ACTIONS(2364),
    [anon_sym_operator] = ACTIONS(2364),
    [anon_sym_try] = ACTIONS(2364),
    [anon_sym_delete] = ACTIONS(2364),
    [anon_sym_throw] = ACTIONS(2364),
    [anon_sym_namespace] = ACTIONS(2364),
    [anon_sym_using] = ACTIONS(2364),
    [anon_sym_static_assert] = ACTIONS(2364),
    [anon_sym_concept] = ACTIONS(2364),
    [anon_sym_co_return] = ACTIONS(2364),
    [anon_sym_co_yield] = ACTIONS(2364),
    [anon_sym_R_DQUOTE] = ACTIONS(2366),
    [anon_sym_LR_DQUOTE] = ACTIONS(2366),
    [anon_sym_uR_DQUOTE] = ACTIONS(2366),
    [anon_sym_UR_DQUOTE] = ACTIONS(2366),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2366),
    [anon_sym_co_await] = ACTIONS(2364),
    [anon_sym_new] = ACTIONS(2364),
    [anon_sym_requires] = ACTIONS(2364),
    [sym_this] = ACTIONS(2364),
    [anon_sym_discard] = ACTIONS(2364),
    [anon_sym_precise] = ACTIONS(2364),
    [anon_sym_shared] = ACTIONS(2364),
    [anon_sym_groupshared] = ACTIONS(2364),
    [anon_sym_uniform] = ACTIONS(2364),
    [anon_sym_row_major] = ACTIONS(2364),
    [anon_sym_column_major] = ACTIONS(2364),
    [anon_sym_globallycoherent] = ACTIONS(2364),
    [anon_sym_centroid] = ACTIONS(2364),
    [anon_sym_noperspective] = ACTIONS(2364),
    [anon_sym_nointerpolation] = ACTIONS(2364),
    [anon_sym_sample] = ACTIONS(2364),
    [anon_sym_linear] = ACTIONS(2364),
    [anon_sym_snorm] = ACTIONS(2364),
    [anon_sym_unorm] = ACTIONS(2364),
    [anon_sym_point] = ACTIONS(2364),
    [anon_sym_line] = ACTIONS(2364),
    [anon_sym_triangleadj] = ACTIONS(2364),
    [anon_sym_lineadj] = ACTIONS(2364),
    [anon_sym_triangle] = ACTIONS(2364),
    [anon_sym_cbuffer] = ACTIONS(2364),
  },
  [541] = {
    [sym_identifier] = ACTIONS(2350),
    [aux_sym_preproc_include_token1] = ACTIONS(2350),
    [aux_sym_preproc_def_token1] = ACTIONS(2350),
    [aux_sym_preproc_if_token1] = ACTIONS(2350),
    [aux_sym_preproc_if_token2] = ACTIONS(2350),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2350),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2350),
    [aux_sym_preproc_else_token1] = ACTIONS(2350),
    [aux_sym_preproc_elif_token1] = ACTIONS(2350),
    [sym_preproc_directive] = ACTIONS(2350),
    [anon_sym_LPAREN2] = ACTIONS(2352),
    [anon_sym_BANG] = ACTIONS(2352),
    [anon_sym_TILDE] = ACTIONS(2352),
    [anon_sym_DASH] = ACTIONS(2350),
    [anon_sym_PLUS] = ACTIONS(2350),
    [anon_sym_STAR] = ACTIONS(2352),
    [anon_sym_AMP_AMP] = ACTIONS(2352),
    [anon_sym_AMP] = ACTIONS(2350),
    [anon_sym_SEMI] = ACTIONS(2352),
    [anon_sym___extension__] = ACTIONS(2350),
    [anon_sym_typedef] = ACTIONS(2350),
    [anon_sym_in] = ACTIONS(2350),
    [anon_sym_out] = ACTIONS(2350),
    [anon_sym_inout] = ACTIONS(2350),
    [anon_sym_extern] = ACTIONS(2350),
    [anon_sym___attribute__] = ACTIONS(2350),
    [anon_sym_COLON_COLON] = ACTIONS(2352),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2352),
    [anon_sym___declspec] = ACTIONS(2350),
    [anon_sym___based] = ACTIONS(2350),
    [anon_sym___cdecl] = ACTIONS(2350),
    [anon_sym___clrcall] = ACTIONS(2350),
    [anon_sym___stdcall] = ACTIONS(2350),
    [anon_sym___fastcall] = ACTIONS(2350),
    [anon_sym___thiscall] = ACTIONS(2350),
    [anon_sym___vectorcall] = ACTIONS(2350),
    [anon_sym_LBRACE] = ACTIONS(2352),
    [anon_sym_signed] = ACTIONS(2350),
    [anon_sym_unsigned] = ACTIONS(2350),
    [anon_sym_long] = ACTIONS(2350),
    [anon_sym_short] = ACTIONS(2350),
    [anon_sym_LBRACK] = ACTIONS(2350),
    [anon_sym_static] = ACTIONS(2350),
    [anon_sym_register] = ACTIONS(2350),
    [anon_sym_inline] = ACTIONS(2350),
    [anon_sym___inline] = ACTIONS(2350),
    [anon_sym___inline__] = ACTIONS(2350),
    [anon_sym___forceinline] = ACTIONS(2350),
    [anon_sym_thread_local] = ACTIONS(2350),
    [anon_sym___thread] = ACTIONS(2350),
    [anon_sym_const] = ACTIONS(2350),
    [anon_sym_constexpr] = ACTIONS(2350),
    [anon_sym_volatile] = ACTIONS(2350),
    [anon_sym_restrict] = ACTIONS(2350),
    [anon_sym___restrict__] = ACTIONS(2350),
    [anon_sym__Atomic] = ACTIONS(2350),
    [anon_sym__Noreturn] = ACTIONS(2350),
    [anon_sym_noreturn] = ACTIONS(2350),
    [anon_sym_mutable] = ACTIONS(2350),
    [anon_sym_constinit] = ACTIONS(2350),
    [anon_sym_consteval] = ACTIONS(2350),
    [sym_primitive_type] = ACTIONS(2350),
    [anon_sym_enum] = ACTIONS(2350),
    [anon_sym_class] = ACTIONS(2350),
    [anon_sym_struct] = ACTIONS(2350),
    [anon_sym_union] = ACTIONS(2350),
    [anon_sym_if] = ACTIONS(2350),
    [anon_sym_else] = ACTIONS(2350),
    [anon_sym_switch] = ACTIONS(2350),
    [anon_sym_case] = ACTIONS(2350),
    [anon_sym_default] = ACTIONS(2350),
    [anon_sym_while] = ACTIONS(2350),
    [anon_sym_do] = ACTIONS(2350),
    [anon_sym_for] = ACTIONS(2350),
    [anon_sym_return] = ACTIONS(2350),
    [anon_sym_break] = ACTIONS(2350),
    [anon_sym_continue] = ACTIONS(2350),
    [anon_sym_goto] = ACTIONS(2350),
    [anon_sym___try] = ACTIONS(2350),
    [anon_sym___leave] = ACTIONS(2350),
    [anon_sym_not] = ACTIONS(2350),
    [anon_sym_compl] = ACTIONS(2350),
    [anon_sym_DASH_DASH] = ACTIONS(2352),
    [anon_sym_PLUS_PLUS] = ACTIONS(2352),
    [anon_sym_sizeof] = ACTIONS(2350),
    [anon_sym___alignof__] = ACTIONS(2350),
    [anon_sym___alignof] = ACTIONS(2350),
    [anon_sym__alignof] = ACTIONS(2350),
    [anon_sym_alignof] = ACTIONS(2350),
    [anon_sym__Alignof] = ACTIONS(2350),
    [anon_sym_offsetof] = ACTIONS(2350),
    [anon_sym__Generic] = ACTIONS(2350),
    [anon_sym_asm] = ACTIONS(2350),
    [anon_sym___asm__] = ACTIONS(2350),
    [sym_number_literal] = ACTIONS(2352),
    [anon_sym_L_SQUOTE] = ACTIONS(2352),
    [anon_sym_u_SQUOTE] = ACTIONS(2352),
    [anon_sym_U_SQUOTE] = ACTIONS(2352),
    [anon_sym_u8_SQUOTE] = ACTIONS(2352),
    [anon_sym_SQUOTE] = ACTIONS(2352),
    [anon_sym_L_DQUOTE] = ACTIONS(2352),
    [anon_sym_u_DQUOTE] = ACTIONS(2352),
    [anon_sym_U_DQUOTE] = ACTIONS(2352),
    [anon_sym_u8_DQUOTE] = ACTIONS(2352),
    [anon_sym_DQUOTE] = ACTIONS(2352),
    [sym_true] = ACTIONS(2350),
    [sym_false] = ACTIONS(2350),
    [anon_sym_NULL] = ACTIONS(2350),
    [anon_sym_nullptr] = ACTIONS(2350),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2350),
    [anon_sym_decltype] = ACTIONS(2350),
    [anon_sym_virtual] = ACTIONS(2350),
    [anon_sym_alignas] = ACTIONS(2350),
    [anon_sym_explicit] = ACTIONS(2350),
    [anon_sym_typename] = ACTIONS(2350),
    [anon_sym_template] = ACTIONS(2350),
    [anon_sym_operator] = ACTIONS(2350),
    [anon_sym_try] = ACTIONS(2350),
    [anon_sym_delete] = ACTIONS(2350),
    [anon_sym_throw] = ACTIONS(2350),
    [anon_sym_namespace] = ACTIONS(2350),
    [anon_sym_using] = ACTIONS(2350),
    [anon_sym_static_assert] = ACTIONS(2350),
    [anon_sym_concept] = ACTIONS(2350),
    [anon_sym_co_return] = ACTIONS(2350),
    [anon_sym_co_yield] = ACTIONS(2350),
    [anon_sym_R_DQUOTE] = ACTIONS(2352),
    [anon_sym_LR_DQUOTE] = ACTIONS(2352),
    [anon_sym_uR_DQUOTE] = ACTIONS(2352),
    [anon_sym_UR_DQUOTE] = ACTIONS(2352),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2352),
    [anon_sym_co_await] = ACTIONS(2350),
    [anon_sym_new] = ACTIONS(2350),
    [anon_sym_requires] = ACTIONS(2350),
    [sym_this] = ACTIONS(2350),
    [anon_sym_discard] = ACTIONS(2350),
    [anon_sym_precise] = ACTIONS(2350),
    [anon_sym_shared] = ACTIONS(2350),
    [anon_sym_groupshared] = ACTIONS(2350),
    [anon_sym_uniform] = ACTIONS(2350),
    [anon_sym_row_major] = ACTIONS(2350),
    [anon_sym_column_major] = ACTIONS(2350),
    [anon_sym_globallycoherent] = ACTIONS(2350),
    [anon_sym_centroid] = ACTIONS(2350),
    [anon_sym_noperspective] = ACTIONS(2350),
    [anon_sym_nointerpolation] = ACTIONS(2350),
    [anon_sym_sample] = ACTIONS(2350),
    [anon_sym_linear] = ACTIONS(2350),
    [anon_sym_snorm] = ACTIONS(2350),
    [anon_sym_unorm] = ACTIONS(2350),
    [anon_sym_point] = ACTIONS(2350),
    [anon_sym_line] = ACTIONS(2350),
    [anon_sym_triangleadj] = ACTIONS(2350),
    [anon_sym_lineadj] = ACTIONS(2350),
    [anon_sym_triangle] = ACTIONS(2350),
    [anon_sym_cbuffer] = ACTIONS(2350),
  },
  [542] = {
    [sym_identifier] = ACTIONS(2444),
    [aux_sym_preproc_include_token1] = ACTIONS(2444),
    [aux_sym_preproc_def_token1] = ACTIONS(2444),
    [aux_sym_preproc_if_token1] = ACTIONS(2444),
    [aux_sym_preproc_if_token2] = ACTIONS(2444),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2444),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2444),
    [aux_sym_preproc_else_token1] = ACTIONS(2444),
    [aux_sym_preproc_elif_token1] = ACTIONS(2444),
    [sym_preproc_directive] = ACTIONS(2444),
    [anon_sym_LPAREN2] = ACTIONS(2446),
    [anon_sym_BANG] = ACTIONS(2446),
    [anon_sym_TILDE] = ACTIONS(2446),
    [anon_sym_DASH] = ACTIONS(2444),
    [anon_sym_PLUS] = ACTIONS(2444),
    [anon_sym_STAR] = ACTIONS(2446),
    [anon_sym_AMP_AMP] = ACTIONS(2446),
    [anon_sym_AMP] = ACTIONS(2444),
    [anon_sym_SEMI] = ACTIONS(2446),
    [anon_sym___extension__] = ACTIONS(2444),
    [anon_sym_typedef] = ACTIONS(2444),
    [anon_sym_in] = ACTIONS(2444),
    [anon_sym_out] = ACTIONS(2444),
    [anon_sym_inout] = ACTIONS(2444),
    [anon_sym_extern] = ACTIONS(2444),
    [anon_sym___attribute__] = ACTIONS(2444),
    [anon_sym_COLON_COLON] = ACTIONS(2446),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2446),
    [anon_sym___declspec] = ACTIONS(2444),
    [anon_sym___based] = ACTIONS(2444),
    [anon_sym___cdecl] = ACTIONS(2444),
    [anon_sym___clrcall] = ACTIONS(2444),
    [anon_sym___stdcall] = ACTIONS(2444),
    [anon_sym___fastcall] = ACTIONS(2444),
    [anon_sym___thiscall] = ACTIONS(2444),
    [anon_sym___vectorcall] = ACTIONS(2444),
    [anon_sym_LBRACE] = ACTIONS(2446),
    [anon_sym_signed] = ACTIONS(2444),
    [anon_sym_unsigned] = ACTIONS(2444),
    [anon_sym_long] = ACTIONS(2444),
    [anon_sym_short] = ACTIONS(2444),
    [anon_sym_LBRACK] = ACTIONS(2444),
    [anon_sym_static] = ACTIONS(2444),
    [anon_sym_register] = ACTIONS(2444),
    [anon_sym_inline] = ACTIONS(2444),
    [anon_sym___inline] = ACTIONS(2444),
    [anon_sym___inline__] = ACTIONS(2444),
    [anon_sym___forceinline] = ACTIONS(2444),
    [anon_sym_thread_local] = ACTIONS(2444),
    [anon_sym___thread] = ACTIONS(2444),
    [anon_sym_const] = ACTIONS(2444),
    [anon_sym_constexpr] = ACTIONS(2444),
    [anon_sym_volatile] = ACTIONS(2444),
    [anon_sym_restrict] = ACTIONS(2444),
    [anon_sym___restrict__] = ACTIONS(2444),
    [anon_sym__Atomic] = ACTIONS(2444),
    [anon_sym__Noreturn] = ACTIONS(2444),
    [anon_sym_noreturn] = ACTIONS(2444),
    [anon_sym_mutable] = ACTIONS(2444),
    [anon_sym_constinit] = ACTIONS(2444),
    [anon_sym_consteval] = ACTIONS(2444),
    [sym_primitive_type] = ACTIONS(2444),
    [anon_sym_enum] = ACTIONS(2444),
    [anon_sym_class] = ACTIONS(2444),
    [anon_sym_struct] = ACTIONS(2444),
    [anon_sym_union] = ACTIONS(2444),
    [anon_sym_if] = ACTIONS(2444),
    [anon_sym_else] = ACTIONS(2444),
    [anon_sym_switch] = ACTIONS(2444),
    [anon_sym_case] = ACTIONS(2444),
    [anon_sym_default] = ACTIONS(2444),
    [anon_sym_while] = ACTIONS(2444),
    [anon_sym_do] = ACTIONS(2444),
    [anon_sym_for] = ACTIONS(2444),
    [anon_sym_return] = ACTIONS(2444),
    [anon_sym_break] = ACTIONS(2444),
    [anon_sym_continue] = ACTIONS(2444),
    [anon_sym_goto] = ACTIONS(2444),
    [anon_sym___try] = ACTIONS(2444),
    [anon_sym___leave] = ACTIONS(2444),
    [anon_sym_not] = ACTIONS(2444),
    [anon_sym_compl] = ACTIONS(2444),
    [anon_sym_DASH_DASH] = ACTIONS(2446),
    [anon_sym_PLUS_PLUS] = ACTIONS(2446),
    [anon_sym_sizeof] = ACTIONS(2444),
    [anon_sym___alignof__] = ACTIONS(2444),
    [anon_sym___alignof] = ACTIONS(2444),
    [anon_sym__alignof] = ACTIONS(2444),
    [anon_sym_alignof] = ACTIONS(2444),
    [anon_sym__Alignof] = ACTIONS(2444),
    [anon_sym_offsetof] = ACTIONS(2444),
    [anon_sym__Generic] = ACTIONS(2444),
    [anon_sym_asm] = ACTIONS(2444),
    [anon_sym___asm__] = ACTIONS(2444),
    [sym_number_literal] = ACTIONS(2446),
    [anon_sym_L_SQUOTE] = ACTIONS(2446),
    [anon_sym_u_SQUOTE] = ACTIONS(2446),
    [anon_sym_U_SQUOTE] = ACTIONS(2446),
    [anon_sym_u8_SQUOTE] = ACTIONS(2446),
    [anon_sym_SQUOTE] = ACTIONS(2446),
    [anon_sym_L_DQUOTE] = ACTIONS(2446),
    [anon_sym_u_DQUOTE] = ACTIONS(2446),
    [anon_sym_U_DQUOTE] = ACTIONS(2446),
    [anon_sym_u8_DQUOTE] = ACTIONS(2446),
    [anon_sym_DQUOTE] = ACTIONS(2446),
    [sym_true] = ACTIONS(2444),
    [sym_false] = ACTIONS(2444),
    [anon_sym_NULL] = ACTIONS(2444),
    [anon_sym_nullptr] = ACTIONS(2444),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2444),
    [anon_sym_decltype] = ACTIONS(2444),
    [anon_sym_virtual] = ACTIONS(2444),
    [anon_sym_alignas] = ACTIONS(2444),
    [anon_sym_explicit] = ACTIONS(2444),
    [anon_sym_typename] = ACTIONS(2444),
    [anon_sym_template] = ACTIONS(2444),
    [anon_sym_operator] = ACTIONS(2444),
    [anon_sym_try] = ACTIONS(2444),
    [anon_sym_delete] = ACTIONS(2444),
    [anon_sym_throw] = ACTIONS(2444),
    [anon_sym_namespace] = ACTIONS(2444),
    [anon_sym_using] = ACTIONS(2444),
    [anon_sym_static_assert] = ACTIONS(2444),
    [anon_sym_concept] = ACTIONS(2444),
    [anon_sym_co_return] = ACTIONS(2444),
    [anon_sym_co_yield] = ACTIONS(2444),
    [anon_sym_R_DQUOTE] = ACTIONS(2446),
    [anon_sym_LR_DQUOTE] = ACTIONS(2446),
    [anon_sym_uR_DQUOTE] = ACTIONS(2446),
    [anon_sym_UR_DQUOTE] = ACTIONS(2446),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2446),
    [anon_sym_co_await] = ACTIONS(2444),
    [anon_sym_new] = ACTIONS(2444),
    [anon_sym_requires] = ACTIONS(2444),
    [sym_this] = ACTIONS(2444),
    [anon_sym_discard] = ACTIONS(2444),
    [anon_sym_precise] = ACTIONS(2444),
    [anon_sym_shared] = ACTIONS(2444),
    [anon_sym_groupshared] = ACTIONS(2444),
    [anon_sym_uniform] = ACTIONS(2444),
    [anon_sym_row_major] = ACTIONS(2444),
    [anon_sym_column_major] = ACTIONS(2444),
    [anon_sym_globallycoherent] = ACTIONS(2444),
    [anon_sym_centroid] = ACTIONS(2444),
    [anon_sym_noperspective] = ACTIONS(2444),
    [anon_sym_nointerpolation] = ACTIONS(2444),
    [anon_sym_sample] = ACTIONS(2444),
    [anon_sym_linear] = ACTIONS(2444),
    [anon_sym_snorm] = ACTIONS(2444),
    [anon_sym_unorm] = ACTIONS(2444),
    [anon_sym_point] = ACTIONS(2444),
    [anon_sym_line] = ACTIONS(2444),
    [anon_sym_triangleadj] = ACTIONS(2444),
    [anon_sym_lineadj] = ACTIONS(2444),
    [anon_sym_triangle] = ACTIONS(2444),
    [anon_sym_cbuffer] = ACTIONS(2444),
  },
  [543] = {
    [sym_identifier] = ACTIONS(2444),
    [aux_sym_preproc_include_token1] = ACTIONS(2444),
    [aux_sym_preproc_def_token1] = ACTIONS(2444),
    [aux_sym_preproc_if_token1] = ACTIONS(2444),
    [aux_sym_preproc_if_token2] = ACTIONS(2444),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2444),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2444),
    [aux_sym_preproc_else_token1] = ACTIONS(2444),
    [aux_sym_preproc_elif_token1] = ACTIONS(2444),
    [sym_preproc_directive] = ACTIONS(2444),
    [anon_sym_LPAREN2] = ACTIONS(2446),
    [anon_sym_BANG] = ACTIONS(2446),
    [anon_sym_TILDE] = ACTIONS(2446),
    [anon_sym_DASH] = ACTIONS(2444),
    [anon_sym_PLUS] = ACTIONS(2444),
    [anon_sym_STAR] = ACTIONS(2446),
    [anon_sym_AMP_AMP] = ACTIONS(2446),
    [anon_sym_AMP] = ACTIONS(2444),
    [anon_sym_SEMI] = ACTIONS(2446),
    [anon_sym___extension__] = ACTIONS(2444),
    [anon_sym_typedef] = ACTIONS(2444),
    [anon_sym_in] = ACTIONS(2444),
    [anon_sym_out] = ACTIONS(2444),
    [anon_sym_inout] = ACTIONS(2444),
    [anon_sym_extern] = ACTIONS(2444),
    [anon_sym___attribute__] = ACTIONS(2444),
    [anon_sym_COLON_COLON] = ACTIONS(2446),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2446),
    [anon_sym___declspec] = ACTIONS(2444),
    [anon_sym___based] = ACTIONS(2444),
    [anon_sym___cdecl] = ACTIONS(2444),
    [anon_sym___clrcall] = ACTIONS(2444),
    [anon_sym___stdcall] = ACTIONS(2444),
    [anon_sym___fastcall] = ACTIONS(2444),
    [anon_sym___thiscall] = ACTIONS(2444),
    [anon_sym___vectorcall] = ACTIONS(2444),
    [anon_sym_LBRACE] = ACTIONS(2446),
    [anon_sym_signed] = ACTIONS(2444),
    [anon_sym_unsigned] = ACTIONS(2444),
    [anon_sym_long] = ACTIONS(2444),
    [anon_sym_short] = ACTIONS(2444),
    [anon_sym_LBRACK] = ACTIONS(2444),
    [anon_sym_static] = ACTIONS(2444),
    [anon_sym_register] = ACTIONS(2444),
    [anon_sym_inline] = ACTIONS(2444),
    [anon_sym___inline] = ACTIONS(2444),
    [anon_sym___inline__] = ACTIONS(2444),
    [anon_sym___forceinline] = ACTIONS(2444),
    [anon_sym_thread_local] = ACTIONS(2444),
    [anon_sym___thread] = ACTIONS(2444),
    [anon_sym_const] = ACTIONS(2444),
    [anon_sym_constexpr] = ACTIONS(2444),
    [anon_sym_volatile] = ACTIONS(2444),
    [anon_sym_restrict] = ACTIONS(2444),
    [anon_sym___restrict__] = ACTIONS(2444),
    [anon_sym__Atomic] = ACTIONS(2444),
    [anon_sym__Noreturn] = ACTIONS(2444),
    [anon_sym_noreturn] = ACTIONS(2444),
    [anon_sym_mutable] = ACTIONS(2444),
    [anon_sym_constinit] = ACTIONS(2444),
    [anon_sym_consteval] = ACTIONS(2444),
    [sym_primitive_type] = ACTIONS(2444),
    [anon_sym_enum] = ACTIONS(2444),
    [anon_sym_class] = ACTIONS(2444),
    [anon_sym_struct] = ACTIONS(2444),
    [anon_sym_union] = ACTIONS(2444),
    [anon_sym_if] = ACTIONS(2444),
    [anon_sym_else] = ACTIONS(2444),
    [anon_sym_switch] = ACTIONS(2444),
    [anon_sym_case] = ACTIONS(2444),
    [anon_sym_default] = ACTIONS(2444),
    [anon_sym_while] = ACTIONS(2444),
    [anon_sym_do] = ACTIONS(2444),
    [anon_sym_for] = ACTIONS(2444),
    [anon_sym_return] = ACTIONS(2444),
    [anon_sym_break] = ACTIONS(2444),
    [anon_sym_continue] = ACTIONS(2444),
    [anon_sym_goto] = ACTIONS(2444),
    [anon_sym___try] = ACTIONS(2444),
    [anon_sym___leave] = ACTIONS(2444),
    [anon_sym_not] = ACTIONS(2444),
    [anon_sym_compl] = ACTIONS(2444),
    [anon_sym_DASH_DASH] = ACTIONS(2446),
    [anon_sym_PLUS_PLUS] = ACTIONS(2446),
    [anon_sym_sizeof] = ACTIONS(2444),
    [anon_sym___alignof__] = ACTIONS(2444),
    [anon_sym___alignof] = ACTIONS(2444),
    [anon_sym__alignof] = ACTIONS(2444),
    [anon_sym_alignof] = ACTIONS(2444),
    [anon_sym__Alignof] = ACTIONS(2444),
    [anon_sym_offsetof] = ACTIONS(2444),
    [anon_sym__Generic] = ACTIONS(2444),
    [anon_sym_asm] = ACTIONS(2444),
    [anon_sym___asm__] = ACTIONS(2444),
    [sym_number_literal] = ACTIONS(2446),
    [anon_sym_L_SQUOTE] = ACTIONS(2446),
    [anon_sym_u_SQUOTE] = ACTIONS(2446),
    [anon_sym_U_SQUOTE] = ACTIONS(2446),
    [anon_sym_u8_SQUOTE] = ACTIONS(2446),
    [anon_sym_SQUOTE] = ACTIONS(2446),
    [anon_sym_L_DQUOTE] = ACTIONS(2446),
    [anon_sym_u_DQUOTE] = ACTIONS(2446),
    [anon_sym_U_DQUOTE] = ACTIONS(2446),
    [anon_sym_u8_DQUOTE] = ACTIONS(2446),
    [anon_sym_DQUOTE] = ACTIONS(2446),
    [sym_true] = ACTIONS(2444),
    [sym_false] = ACTIONS(2444),
    [anon_sym_NULL] = ACTIONS(2444),
    [anon_sym_nullptr] = ACTIONS(2444),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2444),
    [anon_sym_decltype] = ACTIONS(2444),
    [anon_sym_virtual] = ACTIONS(2444),
    [anon_sym_alignas] = ACTIONS(2444),
    [anon_sym_explicit] = ACTIONS(2444),
    [anon_sym_typename] = ACTIONS(2444),
    [anon_sym_template] = ACTIONS(2444),
    [anon_sym_operator] = ACTIONS(2444),
    [anon_sym_try] = ACTIONS(2444),
    [anon_sym_delete] = ACTIONS(2444),
    [anon_sym_throw] = ACTIONS(2444),
    [anon_sym_namespace] = ACTIONS(2444),
    [anon_sym_using] = ACTIONS(2444),
    [anon_sym_static_assert] = ACTIONS(2444),
    [anon_sym_concept] = ACTIONS(2444),
    [anon_sym_co_return] = ACTIONS(2444),
    [anon_sym_co_yield] = ACTIONS(2444),
    [anon_sym_R_DQUOTE] = ACTIONS(2446),
    [anon_sym_LR_DQUOTE] = ACTIONS(2446),
    [anon_sym_uR_DQUOTE] = ACTIONS(2446),
    [anon_sym_UR_DQUOTE] = ACTIONS(2446),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2446),
    [anon_sym_co_await] = ACTIONS(2444),
    [anon_sym_new] = ACTIONS(2444),
    [anon_sym_requires] = ACTIONS(2444),
    [sym_this] = ACTIONS(2444),
    [anon_sym_discard] = ACTIONS(2444),
    [anon_sym_precise] = ACTIONS(2444),
    [anon_sym_shared] = ACTIONS(2444),
    [anon_sym_groupshared] = ACTIONS(2444),
    [anon_sym_uniform] = ACTIONS(2444),
    [anon_sym_row_major] = ACTIONS(2444),
    [anon_sym_column_major] = ACTIONS(2444),
    [anon_sym_globallycoherent] = ACTIONS(2444),
    [anon_sym_centroid] = ACTIONS(2444),
    [anon_sym_noperspective] = ACTIONS(2444),
    [anon_sym_nointerpolation] = ACTIONS(2444),
    [anon_sym_sample] = ACTIONS(2444),
    [anon_sym_linear] = ACTIONS(2444),
    [anon_sym_snorm] = ACTIONS(2444),
    [anon_sym_unorm] = ACTIONS(2444),
    [anon_sym_point] = ACTIONS(2444),
    [anon_sym_line] = ACTIONS(2444),
    [anon_sym_triangleadj] = ACTIONS(2444),
    [anon_sym_lineadj] = ACTIONS(2444),
    [anon_sym_triangle] = ACTIONS(2444),
    [anon_sym_cbuffer] = ACTIONS(2444),
  },
  [544] = {
    [sym_preproc_def] = STATE(553),
    [sym_preproc_function_def] = STATE(553),
    [sym_preproc_call] = STATE(553),
    [sym_preproc_if_in_field_declaration_list] = STATE(553),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(553),
    [sym_preproc_else_in_field_declaration_list] = STATE(10199),
    [sym_preproc_elif_in_field_declaration_list] = STATE(10199),
    [sym_preproc_elifdef_in_field_declaration_list] = STATE(10199),
    [sym_type_definition] = STATE(553),
    [sym__declaration_modifiers] = STATE(3159),
    [sym__declaration_specifiers] = STATE(6906),
    [sym_attribute_specifier] = STATE(3159),
    [sym_attribute_declaration] = STATE(3159),
    [sym_ms_declspec_modifier] = STATE(3159),
    [sym_ms_based_modifier] = STATE(10332),
    [sym__declarator] = STATE(7978),
    [sym_parenthesized_declarator] = STATE(7680),
    [sym_attributed_declarator] = STATE(7680),
    [sym_pointer_declarator] = STATE(7680),
    [sym_function_declarator] = STATE(7506),
    [sym_array_declarator] = STATE(7680),
    [sym_storage_class_specifier] = STATE(3159),
    [sym_type_qualifier] = STATE(3159),
    [sym__type_specifier] = STATE(2827),
    [sym_sized_type_specifier] = STATE(3085),
    [sym_enum_specifier] = STATE(3085),
    [sym_struct_specifier] = STATE(3085),
    [sym_union_specifier] = STATE(3085),
    [sym__field_declaration_list_item] = STATE(553),
    [sym_field_declaration] = STATE(553),
    [sym_placeholder_type_specifier] = STATE(3085),
    [sym_decltype_auto] = STATE(3091),
    [sym_decltype] = STATE(3050),
    [sym_class_specifier] = STATE(3085),
    [sym_virtual] = STATE(3159),
    [sym_alignas_specifier] = STATE(3159),
    [sym_explicit_function_specifier] = STATE(2515),
    [sym_dependent_type] = STATE(3085),
    [sym_template_declaration] = STATE(553),
    [sym_operator_cast] = STATE(8047),
    [sym_inline_method_definition] = STATE(553),
    [sym__constructor_specifiers] = STATE(2515),
    [sym_operator_cast_definition] = STATE(553),
    [sym_operator_cast_declaration] = STATE(553),
    [sym_constructor_or_destructor_definition] = STATE(553),
    [sym_constructor_or_destructor_declaration] = STATE(553),
    [sym_friend_declaration] = STATE(553),
    [sym_access_specifier] = STATE(9869),
    [sym_reference_declarator] = STATE(7680),
    [sym_structured_binding_declarator] = STATE(7680),
    [sym_template_type] = STATE(3050),
    [sym_template_function] = STATE(7680),
    [sym_using_declaration] = STATE(553),
    [sym_alias_declaration] = STATE(553),
    [sym_static_assert_declaration] = STATE(553),
    [sym_destructor_name] = STATE(7680),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6733),
    [sym_qualified_identifier] = STATE(7680),
    [sym_qualified_type_identifier] = STATE(3068),
    [sym_qualified_operator_cast_identifier] = STATE(8047),
    [sym_operator_name] = STATE(7680),
    [sym_qualifiers] = STATE(3159),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(553),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2680),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3021),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2515),
    [sym_identifier] = ACTIONS(2857),
    [aux_sym_preproc_def_token1] = ACTIONS(2859),
    [aux_sym_preproc_if_token1] = ACTIONS(2861),
    [aux_sym_preproc_if_token2] = ACTIONS(2919),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2865),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2865),
    [aux_sym_preproc_else_token1] = ACTIONS(2867),
    [aux_sym_preproc_elif_token1] = ACTIONS(2869),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2871),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2871),
    [sym_preproc_directive] = ACTIONS(2873),
    [anon_sym_LPAREN2] = ACTIONS(2875),
    [anon_sym_TILDE] = ACTIONS(2877),
    [anon_sym_STAR] = ACTIONS(2879),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(2881),
    [anon_sym___extension__] = ACTIONS(2883),
    [anon_sym_typedef] = ACTIONS(2885),
    [anon_sym_in] = ACTIONS(37),
    [anon_sym_out] = ACTIONS(37),
    [anon_sym_inout] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(2887),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2096),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(2889),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(2891),
    [anon_sym_enum] = ACTIONS(2893),
    [anon_sym_class] = ACTIONS(2895),
    [anon_sym_struct] = ACTIONS(2897),
    [anon_sym_union] = ACTIONS(2899),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [anon_sym_virtual] = ACTIONS(123),
    [anon_sym_alignas] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(2901),
    [anon_sym_template] = ACTIONS(2903),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_friend] = ACTIONS(2905),
    [anon_sym_public] = ACTIONS(2907),
    [anon_sym_private] = ACTIONS(2907),
    [anon_sym_protected] = ACTIONS(2907),
    [anon_sym_using] = ACTIONS(2909),
    [anon_sym_static_assert] = ACTIONS(2911),
    [anon_sym_precise] = ACTIONS(161),
    [anon_sym_shared] = ACTIONS(161),
    [anon_sym_groupshared] = ACTIONS(161),
    [anon_sym_uniform] = ACTIONS(161),
    [anon_sym_row_major] = ACTIONS(161),
    [anon_sym_column_major] = ACTIONS(161),
    [anon_sym_globallycoherent] = ACTIONS(161),
    [anon_sym_centroid] = ACTIONS(161),
    [anon_sym_noperspective] = ACTIONS(161),
    [anon_sym_nointerpolation] = ACTIONS(161),
    [anon_sym_sample] = ACTIONS(161),
    [anon_sym_linear] = ACTIONS(161),
    [anon_sym_snorm] = ACTIONS(161),
    [anon_sym_unorm] = ACTIONS(161),
    [anon_sym_point] = ACTIONS(161),
    [anon_sym_line] = ACTIONS(161),
    [anon_sym_triangleadj] = ACTIONS(161),
    [anon_sym_lineadj] = ACTIONS(161),
    [anon_sym_triangle] = ACTIONS(161),
  },
  [545] = {
    [sym_identifier] = ACTIONS(2444),
    [aux_sym_preproc_include_token1] = ACTIONS(2444),
    [aux_sym_preproc_def_token1] = ACTIONS(2444),
    [aux_sym_preproc_if_token1] = ACTIONS(2444),
    [aux_sym_preproc_if_token2] = ACTIONS(2444),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2444),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2444),
    [aux_sym_preproc_else_token1] = ACTIONS(2444),
    [aux_sym_preproc_elif_token1] = ACTIONS(2444),
    [sym_preproc_directive] = ACTIONS(2444),
    [anon_sym_LPAREN2] = ACTIONS(2446),
    [anon_sym_BANG] = ACTIONS(2446),
    [anon_sym_TILDE] = ACTIONS(2446),
    [anon_sym_DASH] = ACTIONS(2444),
    [anon_sym_PLUS] = ACTIONS(2444),
    [anon_sym_STAR] = ACTIONS(2446),
    [anon_sym_AMP_AMP] = ACTIONS(2446),
    [anon_sym_AMP] = ACTIONS(2444),
    [anon_sym_SEMI] = ACTIONS(2446),
    [anon_sym___extension__] = ACTIONS(2444),
    [anon_sym_typedef] = ACTIONS(2444),
    [anon_sym_in] = ACTIONS(2444),
    [anon_sym_out] = ACTIONS(2444),
    [anon_sym_inout] = ACTIONS(2444),
    [anon_sym_extern] = ACTIONS(2444),
    [anon_sym___attribute__] = ACTIONS(2444),
    [anon_sym_COLON_COLON] = ACTIONS(2446),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2446),
    [anon_sym___declspec] = ACTIONS(2444),
    [anon_sym___based] = ACTIONS(2444),
    [anon_sym___cdecl] = ACTIONS(2444),
    [anon_sym___clrcall] = ACTIONS(2444),
    [anon_sym___stdcall] = ACTIONS(2444),
    [anon_sym___fastcall] = ACTIONS(2444),
    [anon_sym___thiscall] = ACTIONS(2444),
    [anon_sym___vectorcall] = ACTIONS(2444),
    [anon_sym_LBRACE] = ACTIONS(2446),
    [anon_sym_signed] = ACTIONS(2444),
    [anon_sym_unsigned] = ACTIONS(2444),
    [anon_sym_long] = ACTIONS(2444),
    [anon_sym_short] = ACTIONS(2444),
    [anon_sym_LBRACK] = ACTIONS(2444),
    [anon_sym_static] = ACTIONS(2444),
    [anon_sym_register] = ACTIONS(2444),
    [anon_sym_inline] = ACTIONS(2444),
    [anon_sym___inline] = ACTIONS(2444),
    [anon_sym___inline__] = ACTIONS(2444),
    [anon_sym___forceinline] = ACTIONS(2444),
    [anon_sym_thread_local] = ACTIONS(2444),
    [anon_sym___thread] = ACTIONS(2444),
    [anon_sym_const] = ACTIONS(2444),
    [anon_sym_constexpr] = ACTIONS(2444),
    [anon_sym_volatile] = ACTIONS(2444),
    [anon_sym_restrict] = ACTIONS(2444),
    [anon_sym___restrict__] = ACTIONS(2444),
    [anon_sym__Atomic] = ACTIONS(2444),
    [anon_sym__Noreturn] = ACTIONS(2444),
    [anon_sym_noreturn] = ACTIONS(2444),
    [anon_sym_mutable] = ACTIONS(2444),
    [anon_sym_constinit] = ACTIONS(2444),
    [anon_sym_consteval] = ACTIONS(2444),
    [sym_primitive_type] = ACTIONS(2444),
    [anon_sym_enum] = ACTIONS(2444),
    [anon_sym_class] = ACTIONS(2444),
    [anon_sym_struct] = ACTIONS(2444),
    [anon_sym_union] = ACTIONS(2444),
    [anon_sym_if] = ACTIONS(2444),
    [anon_sym_else] = ACTIONS(2444),
    [anon_sym_switch] = ACTIONS(2444),
    [anon_sym_case] = ACTIONS(2444),
    [anon_sym_default] = ACTIONS(2444),
    [anon_sym_while] = ACTIONS(2444),
    [anon_sym_do] = ACTIONS(2444),
    [anon_sym_for] = ACTIONS(2444),
    [anon_sym_return] = ACTIONS(2444),
    [anon_sym_break] = ACTIONS(2444),
    [anon_sym_continue] = ACTIONS(2444),
    [anon_sym_goto] = ACTIONS(2444),
    [anon_sym___try] = ACTIONS(2444),
    [anon_sym___leave] = ACTIONS(2444),
    [anon_sym_not] = ACTIONS(2444),
    [anon_sym_compl] = ACTIONS(2444),
    [anon_sym_DASH_DASH] = ACTIONS(2446),
    [anon_sym_PLUS_PLUS] = ACTIONS(2446),
    [anon_sym_sizeof] = ACTIONS(2444),
    [anon_sym___alignof__] = ACTIONS(2444),
    [anon_sym___alignof] = ACTIONS(2444),
    [anon_sym__alignof] = ACTIONS(2444),
    [anon_sym_alignof] = ACTIONS(2444),
    [anon_sym__Alignof] = ACTIONS(2444),
    [anon_sym_offsetof] = ACTIONS(2444),
    [anon_sym__Generic] = ACTIONS(2444),
    [anon_sym_asm] = ACTIONS(2444),
    [anon_sym___asm__] = ACTIONS(2444),
    [sym_number_literal] = ACTIONS(2446),
    [anon_sym_L_SQUOTE] = ACTIONS(2446),
    [anon_sym_u_SQUOTE] = ACTIONS(2446),
    [anon_sym_U_SQUOTE] = ACTIONS(2446),
    [anon_sym_u8_SQUOTE] = ACTIONS(2446),
    [anon_sym_SQUOTE] = ACTIONS(2446),
    [anon_sym_L_DQUOTE] = ACTIONS(2446),
    [anon_sym_u_DQUOTE] = ACTIONS(2446),
    [anon_sym_U_DQUOTE] = ACTIONS(2446),
    [anon_sym_u8_DQUOTE] = ACTIONS(2446),
    [anon_sym_DQUOTE] = ACTIONS(2446),
    [sym_true] = ACTIONS(2444),
    [sym_false] = ACTIONS(2444),
    [anon_sym_NULL] = ACTIONS(2444),
    [anon_sym_nullptr] = ACTIONS(2444),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2444),
    [anon_sym_decltype] = ACTIONS(2444),
    [anon_sym_virtual] = ACTIONS(2444),
    [anon_sym_alignas] = ACTIONS(2444),
    [anon_sym_explicit] = ACTIONS(2444),
    [anon_sym_typename] = ACTIONS(2444),
    [anon_sym_template] = ACTIONS(2444),
    [anon_sym_operator] = ACTIONS(2444),
    [anon_sym_try] = ACTIONS(2444),
    [anon_sym_delete] = ACTIONS(2444),
    [anon_sym_throw] = ACTIONS(2444),
    [anon_sym_namespace] = ACTIONS(2444),
    [anon_sym_using] = ACTIONS(2444),
    [anon_sym_static_assert] = ACTIONS(2444),
    [anon_sym_concept] = ACTIONS(2444),
    [anon_sym_co_return] = ACTIONS(2444),
    [anon_sym_co_yield] = ACTIONS(2444),
    [anon_sym_R_DQUOTE] = ACTIONS(2446),
    [anon_sym_LR_DQUOTE] = ACTIONS(2446),
    [anon_sym_uR_DQUOTE] = ACTIONS(2446),
    [anon_sym_UR_DQUOTE] = ACTIONS(2446),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2446),
    [anon_sym_co_await] = ACTIONS(2444),
    [anon_sym_new] = ACTIONS(2444),
    [anon_sym_requires] = ACTIONS(2444),
    [sym_this] = ACTIONS(2444),
    [anon_sym_discard] = ACTIONS(2444),
    [anon_sym_precise] = ACTIONS(2444),
    [anon_sym_shared] = ACTIONS(2444),
    [anon_sym_groupshared] = ACTIONS(2444),
    [anon_sym_uniform] = ACTIONS(2444),
    [anon_sym_row_major] = ACTIONS(2444),
    [anon_sym_column_major] = ACTIONS(2444),
    [anon_sym_globallycoherent] = ACTIONS(2444),
    [anon_sym_centroid] = ACTIONS(2444),
    [anon_sym_noperspective] = ACTIONS(2444),
    [anon_sym_nointerpolation] = ACTIONS(2444),
    [anon_sym_sample] = ACTIONS(2444),
    [anon_sym_linear] = ACTIONS(2444),
    [anon_sym_snorm] = ACTIONS(2444),
    [anon_sym_unorm] = ACTIONS(2444),
    [anon_sym_point] = ACTIONS(2444),
    [anon_sym_line] = ACTIONS(2444),
    [anon_sym_triangleadj] = ACTIONS(2444),
    [anon_sym_lineadj] = ACTIONS(2444),
    [anon_sym_triangle] = ACTIONS(2444),
    [anon_sym_cbuffer] = ACTIONS(2444),
  },
  [546] = {
    [sym_identifier] = ACTIONS(2444),
    [aux_sym_preproc_include_token1] = ACTIONS(2444),
    [aux_sym_preproc_def_token1] = ACTIONS(2444),
    [aux_sym_preproc_if_token1] = ACTIONS(2444),
    [aux_sym_preproc_if_token2] = ACTIONS(2444),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2444),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2444),
    [aux_sym_preproc_else_token1] = ACTIONS(2444),
    [aux_sym_preproc_elif_token1] = ACTIONS(2444),
    [sym_preproc_directive] = ACTIONS(2444),
    [anon_sym_LPAREN2] = ACTIONS(2446),
    [anon_sym_BANG] = ACTIONS(2446),
    [anon_sym_TILDE] = ACTIONS(2446),
    [anon_sym_DASH] = ACTIONS(2444),
    [anon_sym_PLUS] = ACTIONS(2444),
    [anon_sym_STAR] = ACTIONS(2446),
    [anon_sym_AMP_AMP] = ACTIONS(2446),
    [anon_sym_AMP] = ACTIONS(2444),
    [anon_sym_SEMI] = ACTIONS(2446),
    [anon_sym___extension__] = ACTIONS(2444),
    [anon_sym_typedef] = ACTIONS(2444),
    [anon_sym_in] = ACTIONS(2444),
    [anon_sym_out] = ACTIONS(2444),
    [anon_sym_inout] = ACTIONS(2444),
    [anon_sym_extern] = ACTIONS(2444),
    [anon_sym___attribute__] = ACTIONS(2444),
    [anon_sym_COLON_COLON] = ACTIONS(2446),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2446),
    [anon_sym___declspec] = ACTIONS(2444),
    [anon_sym___based] = ACTIONS(2444),
    [anon_sym___cdecl] = ACTIONS(2444),
    [anon_sym___clrcall] = ACTIONS(2444),
    [anon_sym___stdcall] = ACTIONS(2444),
    [anon_sym___fastcall] = ACTIONS(2444),
    [anon_sym___thiscall] = ACTIONS(2444),
    [anon_sym___vectorcall] = ACTIONS(2444),
    [anon_sym_LBRACE] = ACTIONS(2446),
    [anon_sym_signed] = ACTIONS(2444),
    [anon_sym_unsigned] = ACTIONS(2444),
    [anon_sym_long] = ACTIONS(2444),
    [anon_sym_short] = ACTIONS(2444),
    [anon_sym_LBRACK] = ACTIONS(2444),
    [anon_sym_static] = ACTIONS(2444),
    [anon_sym_register] = ACTIONS(2444),
    [anon_sym_inline] = ACTIONS(2444),
    [anon_sym___inline] = ACTIONS(2444),
    [anon_sym___inline__] = ACTIONS(2444),
    [anon_sym___forceinline] = ACTIONS(2444),
    [anon_sym_thread_local] = ACTIONS(2444),
    [anon_sym___thread] = ACTIONS(2444),
    [anon_sym_const] = ACTIONS(2444),
    [anon_sym_constexpr] = ACTIONS(2444),
    [anon_sym_volatile] = ACTIONS(2444),
    [anon_sym_restrict] = ACTIONS(2444),
    [anon_sym___restrict__] = ACTIONS(2444),
    [anon_sym__Atomic] = ACTIONS(2444),
    [anon_sym__Noreturn] = ACTIONS(2444),
    [anon_sym_noreturn] = ACTIONS(2444),
    [anon_sym_mutable] = ACTIONS(2444),
    [anon_sym_constinit] = ACTIONS(2444),
    [anon_sym_consteval] = ACTIONS(2444),
    [sym_primitive_type] = ACTIONS(2444),
    [anon_sym_enum] = ACTIONS(2444),
    [anon_sym_class] = ACTIONS(2444),
    [anon_sym_struct] = ACTIONS(2444),
    [anon_sym_union] = ACTIONS(2444),
    [anon_sym_if] = ACTIONS(2444),
    [anon_sym_else] = ACTIONS(2444),
    [anon_sym_switch] = ACTIONS(2444),
    [anon_sym_case] = ACTIONS(2444),
    [anon_sym_default] = ACTIONS(2444),
    [anon_sym_while] = ACTIONS(2444),
    [anon_sym_do] = ACTIONS(2444),
    [anon_sym_for] = ACTIONS(2444),
    [anon_sym_return] = ACTIONS(2444),
    [anon_sym_break] = ACTIONS(2444),
    [anon_sym_continue] = ACTIONS(2444),
    [anon_sym_goto] = ACTIONS(2444),
    [anon_sym___try] = ACTIONS(2444),
    [anon_sym___leave] = ACTIONS(2444),
    [anon_sym_not] = ACTIONS(2444),
    [anon_sym_compl] = ACTIONS(2444),
    [anon_sym_DASH_DASH] = ACTIONS(2446),
    [anon_sym_PLUS_PLUS] = ACTIONS(2446),
    [anon_sym_sizeof] = ACTIONS(2444),
    [anon_sym___alignof__] = ACTIONS(2444),
    [anon_sym___alignof] = ACTIONS(2444),
    [anon_sym__alignof] = ACTIONS(2444),
    [anon_sym_alignof] = ACTIONS(2444),
    [anon_sym__Alignof] = ACTIONS(2444),
    [anon_sym_offsetof] = ACTIONS(2444),
    [anon_sym__Generic] = ACTIONS(2444),
    [anon_sym_asm] = ACTIONS(2444),
    [anon_sym___asm__] = ACTIONS(2444),
    [sym_number_literal] = ACTIONS(2446),
    [anon_sym_L_SQUOTE] = ACTIONS(2446),
    [anon_sym_u_SQUOTE] = ACTIONS(2446),
    [anon_sym_U_SQUOTE] = ACTIONS(2446),
    [anon_sym_u8_SQUOTE] = ACTIONS(2446),
    [anon_sym_SQUOTE] = ACTIONS(2446),
    [anon_sym_L_DQUOTE] = ACTIONS(2446),
    [anon_sym_u_DQUOTE] = ACTIONS(2446),
    [anon_sym_U_DQUOTE] = ACTIONS(2446),
    [anon_sym_u8_DQUOTE] = ACTIONS(2446),
    [anon_sym_DQUOTE] = ACTIONS(2446),
    [sym_true] = ACTIONS(2444),
    [sym_false] = ACTIONS(2444),
    [anon_sym_NULL] = ACTIONS(2444),
    [anon_sym_nullptr] = ACTIONS(2444),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2444),
    [anon_sym_decltype] = ACTIONS(2444),
    [anon_sym_virtual] = ACTIONS(2444),
    [anon_sym_alignas] = ACTIONS(2444),
    [anon_sym_explicit] = ACTIONS(2444),
    [anon_sym_typename] = ACTIONS(2444),
    [anon_sym_template] = ACTIONS(2444),
    [anon_sym_operator] = ACTIONS(2444),
    [anon_sym_try] = ACTIONS(2444),
    [anon_sym_delete] = ACTIONS(2444),
    [anon_sym_throw] = ACTIONS(2444),
    [anon_sym_namespace] = ACTIONS(2444),
    [anon_sym_using] = ACTIONS(2444),
    [anon_sym_static_assert] = ACTIONS(2444),
    [anon_sym_concept] = ACTIONS(2444),
    [anon_sym_co_return] = ACTIONS(2444),
    [anon_sym_co_yield] = ACTIONS(2444),
    [anon_sym_R_DQUOTE] = ACTIONS(2446),
    [anon_sym_LR_DQUOTE] = ACTIONS(2446),
    [anon_sym_uR_DQUOTE] = ACTIONS(2446),
    [anon_sym_UR_DQUOTE] = ACTIONS(2446),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2446),
    [anon_sym_co_await] = ACTIONS(2444),
    [anon_sym_new] = ACTIONS(2444),
    [anon_sym_requires] = ACTIONS(2444),
    [sym_this] = ACTIONS(2444),
    [anon_sym_discard] = ACTIONS(2444),
    [anon_sym_precise] = ACTIONS(2444),
    [anon_sym_shared] = ACTIONS(2444),
    [anon_sym_groupshared] = ACTIONS(2444),
    [anon_sym_uniform] = ACTIONS(2444),
    [anon_sym_row_major] = ACTIONS(2444),
    [anon_sym_column_major] = ACTIONS(2444),
    [anon_sym_globallycoherent] = ACTIONS(2444),
    [anon_sym_centroid] = ACTIONS(2444),
    [anon_sym_noperspective] = ACTIONS(2444),
    [anon_sym_nointerpolation] = ACTIONS(2444),
    [anon_sym_sample] = ACTIONS(2444),
    [anon_sym_linear] = ACTIONS(2444),
    [anon_sym_snorm] = ACTIONS(2444),
    [anon_sym_unorm] = ACTIONS(2444),
    [anon_sym_point] = ACTIONS(2444),
    [anon_sym_line] = ACTIONS(2444),
    [anon_sym_triangleadj] = ACTIONS(2444),
    [anon_sym_lineadj] = ACTIONS(2444),
    [anon_sym_triangle] = ACTIONS(2444),
    [anon_sym_cbuffer] = ACTIONS(2444),
  },
  [547] = {
    [sym_identifier] = ACTIONS(2444),
    [aux_sym_preproc_include_token1] = ACTIONS(2444),
    [aux_sym_preproc_def_token1] = ACTIONS(2444),
    [aux_sym_preproc_if_token1] = ACTIONS(2444),
    [aux_sym_preproc_if_token2] = ACTIONS(2444),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2444),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2444),
    [aux_sym_preproc_else_token1] = ACTIONS(2444),
    [aux_sym_preproc_elif_token1] = ACTIONS(2444),
    [sym_preproc_directive] = ACTIONS(2444),
    [anon_sym_LPAREN2] = ACTIONS(2446),
    [anon_sym_BANG] = ACTIONS(2446),
    [anon_sym_TILDE] = ACTIONS(2446),
    [anon_sym_DASH] = ACTIONS(2444),
    [anon_sym_PLUS] = ACTIONS(2444),
    [anon_sym_STAR] = ACTIONS(2446),
    [anon_sym_AMP_AMP] = ACTIONS(2446),
    [anon_sym_AMP] = ACTIONS(2444),
    [anon_sym_SEMI] = ACTIONS(2446),
    [anon_sym___extension__] = ACTIONS(2444),
    [anon_sym_typedef] = ACTIONS(2444),
    [anon_sym_in] = ACTIONS(2444),
    [anon_sym_out] = ACTIONS(2444),
    [anon_sym_inout] = ACTIONS(2444),
    [anon_sym_extern] = ACTIONS(2444),
    [anon_sym___attribute__] = ACTIONS(2444),
    [anon_sym_COLON_COLON] = ACTIONS(2446),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2446),
    [anon_sym___declspec] = ACTIONS(2444),
    [anon_sym___based] = ACTIONS(2444),
    [anon_sym___cdecl] = ACTIONS(2444),
    [anon_sym___clrcall] = ACTIONS(2444),
    [anon_sym___stdcall] = ACTIONS(2444),
    [anon_sym___fastcall] = ACTIONS(2444),
    [anon_sym___thiscall] = ACTIONS(2444),
    [anon_sym___vectorcall] = ACTIONS(2444),
    [anon_sym_LBRACE] = ACTIONS(2446),
    [anon_sym_signed] = ACTIONS(2444),
    [anon_sym_unsigned] = ACTIONS(2444),
    [anon_sym_long] = ACTIONS(2444),
    [anon_sym_short] = ACTIONS(2444),
    [anon_sym_LBRACK] = ACTIONS(2444),
    [anon_sym_static] = ACTIONS(2444),
    [anon_sym_register] = ACTIONS(2444),
    [anon_sym_inline] = ACTIONS(2444),
    [anon_sym___inline] = ACTIONS(2444),
    [anon_sym___inline__] = ACTIONS(2444),
    [anon_sym___forceinline] = ACTIONS(2444),
    [anon_sym_thread_local] = ACTIONS(2444),
    [anon_sym___thread] = ACTIONS(2444),
    [anon_sym_const] = ACTIONS(2444),
    [anon_sym_constexpr] = ACTIONS(2444),
    [anon_sym_volatile] = ACTIONS(2444),
    [anon_sym_restrict] = ACTIONS(2444),
    [anon_sym___restrict__] = ACTIONS(2444),
    [anon_sym__Atomic] = ACTIONS(2444),
    [anon_sym__Noreturn] = ACTIONS(2444),
    [anon_sym_noreturn] = ACTIONS(2444),
    [anon_sym_mutable] = ACTIONS(2444),
    [anon_sym_constinit] = ACTIONS(2444),
    [anon_sym_consteval] = ACTIONS(2444),
    [sym_primitive_type] = ACTIONS(2444),
    [anon_sym_enum] = ACTIONS(2444),
    [anon_sym_class] = ACTIONS(2444),
    [anon_sym_struct] = ACTIONS(2444),
    [anon_sym_union] = ACTIONS(2444),
    [anon_sym_if] = ACTIONS(2444),
    [anon_sym_else] = ACTIONS(2444),
    [anon_sym_switch] = ACTIONS(2444),
    [anon_sym_case] = ACTIONS(2444),
    [anon_sym_default] = ACTIONS(2444),
    [anon_sym_while] = ACTIONS(2444),
    [anon_sym_do] = ACTIONS(2444),
    [anon_sym_for] = ACTIONS(2444),
    [anon_sym_return] = ACTIONS(2444),
    [anon_sym_break] = ACTIONS(2444),
    [anon_sym_continue] = ACTIONS(2444),
    [anon_sym_goto] = ACTIONS(2444),
    [anon_sym___try] = ACTIONS(2444),
    [anon_sym___leave] = ACTIONS(2444),
    [anon_sym_not] = ACTIONS(2444),
    [anon_sym_compl] = ACTIONS(2444),
    [anon_sym_DASH_DASH] = ACTIONS(2446),
    [anon_sym_PLUS_PLUS] = ACTIONS(2446),
    [anon_sym_sizeof] = ACTIONS(2444),
    [anon_sym___alignof__] = ACTIONS(2444),
    [anon_sym___alignof] = ACTIONS(2444),
    [anon_sym__alignof] = ACTIONS(2444),
    [anon_sym_alignof] = ACTIONS(2444),
    [anon_sym__Alignof] = ACTIONS(2444),
    [anon_sym_offsetof] = ACTIONS(2444),
    [anon_sym__Generic] = ACTIONS(2444),
    [anon_sym_asm] = ACTIONS(2444),
    [anon_sym___asm__] = ACTIONS(2444),
    [sym_number_literal] = ACTIONS(2446),
    [anon_sym_L_SQUOTE] = ACTIONS(2446),
    [anon_sym_u_SQUOTE] = ACTIONS(2446),
    [anon_sym_U_SQUOTE] = ACTIONS(2446),
    [anon_sym_u8_SQUOTE] = ACTIONS(2446),
    [anon_sym_SQUOTE] = ACTIONS(2446),
    [anon_sym_L_DQUOTE] = ACTIONS(2446),
    [anon_sym_u_DQUOTE] = ACTIONS(2446),
    [anon_sym_U_DQUOTE] = ACTIONS(2446),
    [anon_sym_u8_DQUOTE] = ACTIONS(2446),
    [anon_sym_DQUOTE] = ACTIONS(2446),
    [sym_true] = ACTIONS(2444),
    [sym_false] = ACTIONS(2444),
    [anon_sym_NULL] = ACTIONS(2444),
    [anon_sym_nullptr] = ACTIONS(2444),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2444),
    [anon_sym_decltype] = ACTIONS(2444),
    [anon_sym_virtual] = ACTIONS(2444),
    [anon_sym_alignas] = ACTIONS(2444),
    [anon_sym_explicit] = ACTIONS(2444),
    [anon_sym_typename] = ACTIONS(2444),
    [anon_sym_template] = ACTIONS(2444),
    [anon_sym_operator] = ACTIONS(2444),
    [anon_sym_try] = ACTIONS(2444),
    [anon_sym_delete] = ACTIONS(2444),
    [anon_sym_throw] = ACTIONS(2444),
    [anon_sym_namespace] = ACTIONS(2444),
    [anon_sym_using] = ACTIONS(2444),
    [anon_sym_static_assert] = ACTIONS(2444),
    [anon_sym_concept] = ACTIONS(2444),
    [anon_sym_co_return] = ACTIONS(2444),
    [anon_sym_co_yield] = ACTIONS(2444),
    [anon_sym_R_DQUOTE] = ACTIONS(2446),
    [anon_sym_LR_DQUOTE] = ACTIONS(2446),
    [anon_sym_uR_DQUOTE] = ACTIONS(2446),
    [anon_sym_UR_DQUOTE] = ACTIONS(2446),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2446),
    [anon_sym_co_await] = ACTIONS(2444),
    [anon_sym_new] = ACTIONS(2444),
    [anon_sym_requires] = ACTIONS(2444),
    [sym_this] = ACTIONS(2444),
    [anon_sym_discard] = ACTIONS(2444),
    [anon_sym_precise] = ACTIONS(2444),
    [anon_sym_shared] = ACTIONS(2444),
    [anon_sym_groupshared] = ACTIONS(2444),
    [anon_sym_uniform] = ACTIONS(2444),
    [anon_sym_row_major] = ACTIONS(2444),
    [anon_sym_column_major] = ACTIONS(2444),
    [anon_sym_globallycoherent] = ACTIONS(2444),
    [anon_sym_centroid] = ACTIONS(2444),
    [anon_sym_noperspective] = ACTIONS(2444),
    [anon_sym_nointerpolation] = ACTIONS(2444),
    [anon_sym_sample] = ACTIONS(2444),
    [anon_sym_linear] = ACTIONS(2444),
    [anon_sym_snorm] = ACTIONS(2444),
    [anon_sym_unorm] = ACTIONS(2444),
    [anon_sym_point] = ACTIONS(2444),
    [anon_sym_line] = ACTIONS(2444),
    [anon_sym_triangleadj] = ACTIONS(2444),
    [anon_sym_lineadj] = ACTIONS(2444),
    [anon_sym_triangle] = ACTIONS(2444),
    [anon_sym_cbuffer] = ACTIONS(2444),
  },
  [548] = {
    [sym_identifier] = ACTIONS(2444),
    [aux_sym_preproc_include_token1] = ACTIONS(2444),
    [aux_sym_preproc_def_token1] = ACTIONS(2444),
    [aux_sym_preproc_if_token1] = ACTIONS(2444),
    [aux_sym_preproc_if_token2] = ACTIONS(2444),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2444),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2444),
    [aux_sym_preproc_else_token1] = ACTIONS(2444),
    [aux_sym_preproc_elif_token1] = ACTIONS(2444),
    [sym_preproc_directive] = ACTIONS(2444),
    [anon_sym_LPAREN2] = ACTIONS(2446),
    [anon_sym_BANG] = ACTIONS(2446),
    [anon_sym_TILDE] = ACTIONS(2446),
    [anon_sym_DASH] = ACTIONS(2444),
    [anon_sym_PLUS] = ACTIONS(2444),
    [anon_sym_STAR] = ACTIONS(2446),
    [anon_sym_AMP_AMP] = ACTIONS(2446),
    [anon_sym_AMP] = ACTIONS(2444),
    [anon_sym_SEMI] = ACTIONS(2446),
    [anon_sym___extension__] = ACTIONS(2444),
    [anon_sym_typedef] = ACTIONS(2444),
    [anon_sym_in] = ACTIONS(2444),
    [anon_sym_out] = ACTIONS(2444),
    [anon_sym_inout] = ACTIONS(2444),
    [anon_sym_extern] = ACTIONS(2444),
    [anon_sym___attribute__] = ACTIONS(2444),
    [anon_sym_COLON_COLON] = ACTIONS(2446),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2446),
    [anon_sym___declspec] = ACTIONS(2444),
    [anon_sym___based] = ACTIONS(2444),
    [anon_sym___cdecl] = ACTIONS(2444),
    [anon_sym___clrcall] = ACTIONS(2444),
    [anon_sym___stdcall] = ACTIONS(2444),
    [anon_sym___fastcall] = ACTIONS(2444),
    [anon_sym___thiscall] = ACTIONS(2444),
    [anon_sym___vectorcall] = ACTIONS(2444),
    [anon_sym_LBRACE] = ACTIONS(2446),
    [anon_sym_signed] = ACTIONS(2444),
    [anon_sym_unsigned] = ACTIONS(2444),
    [anon_sym_long] = ACTIONS(2444),
    [anon_sym_short] = ACTIONS(2444),
    [anon_sym_LBRACK] = ACTIONS(2444),
    [anon_sym_static] = ACTIONS(2444),
    [anon_sym_register] = ACTIONS(2444),
    [anon_sym_inline] = ACTIONS(2444),
    [anon_sym___inline] = ACTIONS(2444),
    [anon_sym___inline__] = ACTIONS(2444),
    [anon_sym___forceinline] = ACTIONS(2444),
    [anon_sym_thread_local] = ACTIONS(2444),
    [anon_sym___thread] = ACTIONS(2444),
    [anon_sym_const] = ACTIONS(2444),
    [anon_sym_constexpr] = ACTIONS(2444),
    [anon_sym_volatile] = ACTIONS(2444),
    [anon_sym_restrict] = ACTIONS(2444),
    [anon_sym___restrict__] = ACTIONS(2444),
    [anon_sym__Atomic] = ACTIONS(2444),
    [anon_sym__Noreturn] = ACTIONS(2444),
    [anon_sym_noreturn] = ACTIONS(2444),
    [anon_sym_mutable] = ACTIONS(2444),
    [anon_sym_constinit] = ACTIONS(2444),
    [anon_sym_consteval] = ACTIONS(2444),
    [sym_primitive_type] = ACTIONS(2444),
    [anon_sym_enum] = ACTIONS(2444),
    [anon_sym_class] = ACTIONS(2444),
    [anon_sym_struct] = ACTIONS(2444),
    [anon_sym_union] = ACTIONS(2444),
    [anon_sym_if] = ACTIONS(2444),
    [anon_sym_else] = ACTIONS(2444),
    [anon_sym_switch] = ACTIONS(2444),
    [anon_sym_case] = ACTIONS(2444),
    [anon_sym_default] = ACTIONS(2444),
    [anon_sym_while] = ACTIONS(2444),
    [anon_sym_do] = ACTIONS(2444),
    [anon_sym_for] = ACTIONS(2444),
    [anon_sym_return] = ACTIONS(2444),
    [anon_sym_break] = ACTIONS(2444),
    [anon_sym_continue] = ACTIONS(2444),
    [anon_sym_goto] = ACTIONS(2444),
    [anon_sym___try] = ACTIONS(2444),
    [anon_sym___leave] = ACTIONS(2444),
    [anon_sym_not] = ACTIONS(2444),
    [anon_sym_compl] = ACTIONS(2444),
    [anon_sym_DASH_DASH] = ACTIONS(2446),
    [anon_sym_PLUS_PLUS] = ACTIONS(2446),
    [anon_sym_sizeof] = ACTIONS(2444),
    [anon_sym___alignof__] = ACTIONS(2444),
    [anon_sym___alignof] = ACTIONS(2444),
    [anon_sym__alignof] = ACTIONS(2444),
    [anon_sym_alignof] = ACTIONS(2444),
    [anon_sym__Alignof] = ACTIONS(2444),
    [anon_sym_offsetof] = ACTIONS(2444),
    [anon_sym__Generic] = ACTIONS(2444),
    [anon_sym_asm] = ACTIONS(2444),
    [anon_sym___asm__] = ACTIONS(2444),
    [sym_number_literal] = ACTIONS(2446),
    [anon_sym_L_SQUOTE] = ACTIONS(2446),
    [anon_sym_u_SQUOTE] = ACTIONS(2446),
    [anon_sym_U_SQUOTE] = ACTIONS(2446),
    [anon_sym_u8_SQUOTE] = ACTIONS(2446),
    [anon_sym_SQUOTE] = ACTIONS(2446),
    [anon_sym_L_DQUOTE] = ACTIONS(2446),
    [anon_sym_u_DQUOTE] = ACTIONS(2446),
    [anon_sym_U_DQUOTE] = ACTIONS(2446),
    [anon_sym_u8_DQUOTE] = ACTIONS(2446),
    [anon_sym_DQUOTE] = ACTIONS(2446),
    [sym_true] = ACTIONS(2444),
    [sym_false] = ACTIONS(2444),
    [anon_sym_NULL] = ACTIONS(2444),
    [anon_sym_nullptr] = ACTIONS(2444),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2444),
    [anon_sym_decltype] = ACTIONS(2444),
    [anon_sym_virtual] = ACTIONS(2444),
    [anon_sym_alignas] = ACTIONS(2444),
    [anon_sym_explicit] = ACTIONS(2444),
    [anon_sym_typename] = ACTIONS(2444),
    [anon_sym_template] = ACTIONS(2444),
    [anon_sym_operator] = ACTIONS(2444),
    [anon_sym_try] = ACTIONS(2444),
    [anon_sym_delete] = ACTIONS(2444),
    [anon_sym_throw] = ACTIONS(2444),
    [anon_sym_namespace] = ACTIONS(2444),
    [anon_sym_using] = ACTIONS(2444),
    [anon_sym_static_assert] = ACTIONS(2444),
    [anon_sym_concept] = ACTIONS(2444),
    [anon_sym_co_return] = ACTIONS(2444),
    [anon_sym_co_yield] = ACTIONS(2444),
    [anon_sym_R_DQUOTE] = ACTIONS(2446),
    [anon_sym_LR_DQUOTE] = ACTIONS(2446),
    [anon_sym_uR_DQUOTE] = ACTIONS(2446),
    [anon_sym_UR_DQUOTE] = ACTIONS(2446),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2446),
    [anon_sym_co_await] = ACTIONS(2444),
    [anon_sym_new] = ACTIONS(2444),
    [anon_sym_requires] = ACTIONS(2444),
    [sym_this] = ACTIONS(2444),
    [anon_sym_discard] = ACTIONS(2444),
    [anon_sym_precise] = ACTIONS(2444),
    [anon_sym_shared] = ACTIONS(2444),
    [anon_sym_groupshared] = ACTIONS(2444),
    [anon_sym_uniform] = ACTIONS(2444),
    [anon_sym_row_major] = ACTIONS(2444),
    [anon_sym_column_major] = ACTIONS(2444),
    [anon_sym_globallycoherent] = ACTIONS(2444),
    [anon_sym_centroid] = ACTIONS(2444),
    [anon_sym_noperspective] = ACTIONS(2444),
    [anon_sym_nointerpolation] = ACTIONS(2444),
    [anon_sym_sample] = ACTIONS(2444),
    [anon_sym_linear] = ACTIONS(2444),
    [anon_sym_snorm] = ACTIONS(2444),
    [anon_sym_unorm] = ACTIONS(2444),
    [anon_sym_point] = ACTIONS(2444),
    [anon_sym_line] = ACTIONS(2444),
    [anon_sym_triangleadj] = ACTIONS(2444),
    [anon_sym_lineadj] = ACTIONS(2444),
    [anon_sym_triangle] = ACTIONS(2444),
    [anon_sym_cbuffer] = ACTIONS(2444),
  },
  [549] = {
    [sym_identifier] = ACTIONS(2444),
    [aux_sym_preproc_include_token1] = ACTIONS(2444),
    [aux_sym_preproc_def_token1] = ACTIONS(2444),
    [aux_sym_preproc_if_token1] = ACTIONS(2444),
    [aux_sym_preproc_if_token2] = ACTIONS(2444),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2444),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2444),
    [aux_sym_preproc_else_token1] = ACTIONS(2444),
    [aux_sym_preproc_elif_token1] = ACTIONS(2444),
    [sym_preproc_directive] = ACTIONS(2444),
    [anon_sym_LPAREN2] = ACTIONS(2446),
    [anon_sym_BANG] = ACTIONS(2446),
    [anon_sym_TILDE] = ACTIONS(2446),
    [anon_sym_DASH] = ACTIONS(2444),
    [anon_sym_PLUS] = ACTIONS(2444),
    [anon_sym_STAR] = ACTIONS(2446),
    [anon_sym_AMP_AMP] = ACTIONS(2446),
    [anon_sym_AMP] = ACTIONS(2444),
    [anon_sym_SEMI] = ACTIONS(2446),
    [anon_sym___extension__] = ACTIONS(2444),
    [anon_sym_typedef] = ACTIONS(2444),
    [anon_sym_in] = ACTIONS(2444),
    [anon_sym_out] = ACTIONS(2444),
    [anon_sym_inout] = ACTIONS(2444),
    [anon_sym_extern] = ACTIONS(2444),
    [anon_sym___attribute__] = ACTIONS(2444),
    [anon_sym_COLON_COLON] = ACTIONS(2446),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2446),
    [anon_sym___declspec] = ACTIONS(2444),
    [anon_sym___based] = ACTIONS(2444),
    [anon_sym___cdecl] = ACTIONS(2444),
    [anon_sym___clrcall] = ACTIONS(2444),
    [anon_sym___stdcall] = ACTIONS(2444),
    [anon_sym___fastcall] = ACTIONS(2444),
    [anon_sym___thiscall] = ACTIONS(2444),
    [anon_sym___vectorcall] = ACTIONS(2444),
    [anon_sym_LBRACE] = ACTIONS(2446),
    [anon_sym_signed] = ACTIONS(2444),
    [anon_sym_unsigned] = ACTIONS(2444),
    [anon_sym_long] = ACTIONS(2444),
    [anon_sym_short] = ACTIONS(2444),
    [anon_sym_LBRACK] = ACTIONS(2444),
    [anon_sym_static] = ACTIONS(2444),
    [anon_sym_register] = ACTIONS(2444),
    [anon_sym_inline] = ACTIONS(2444),
    [anon_sym___inline] = ACTIONS(2444),
    [anon_sym___inline__] = ACTIONS(2444),
    [anon_sym___forceinline] = ACTIONS(2444),
    [anon_sym_thread_local] = ACTIONS(2444),
    [anon_sym___thread] = ACTIONS(2444),
    [anon_sym_const] = ACTIONS(2444),
    [anon_sym_constexpr] = ACTIONS(2444),
    [anon_sym_volatile] = ACTIONS(2444),
    [anon_sym_restrict] = ACTIONS(2444),
    [anon_sym___restrict__] = ACTIONS(2444),
    [anon_sym__Atomic] = ACTIONS(2444),
    [anon_sym__Noreturn] = ACTIONS(2444),
    [anon_sym_noreturn] = ACTIONS(2444),
    [anon_sym_mutable] = ACTIONS(2444),
    [anon_sym_constinit] = ACTIONS(2444),
    [anon_sym_consteval] = ACTIONS(2444),
    [sym_primitive_type] = ACTIONS(2444),
    [anon_sym_enum] = ACTIONS(2444),
    [anon_sym_class] = ACTIONS(2444),
    [anon_sym_struct] = ACTIONS(2444),
    [anon_sym_union] = ACTIONS(2444),
    [anon_sym_if] = ACTIONS(2444),
    [anon_sym_else] = ACTIONS(2444),
    [anon_sym_switch] = ACTIONS(2444),
    [anon_sym_case] = ACTIONS(2444),
    [anon_sym_default] = ACTIONS(2444),
    [anon_sym_while] = ACTIONS(2444),
    [anon_sym_do] = ACTIONS(2444),
    [anon_sym_for] = ACTIONS(2444),
    [anon_sym_return] = ACTIONS(2444),
    [anon_sym_break] = ACTIONS(2444),
    [anon_sym_continue] = ACTIONS(2444),
    [anon_sym_goto] = ACTIONS(2444),
    [anon_sym___try] = ACTIONS(2444),
    [anon_sym___leave] = ACTIONS(2444),
    [anon_sym_not] = ACTIONS(2444),
    [anon_sym_compl] = ACTIONS(2444),
    [anon_sym_DASH_DASH] = ACTIONS(2446),
    [anon_sym_PLUS_PLUS] = ACTIONS(2446),
    [anon_sym_sizeof] = ACTIONS(2444),
    [anon_sym___alignof__] = ACTIONS(2444),
    [anon_sym___alignof] = ACTIONS(2444),
    [anon_sym__alignof] = ACTIONS(2444),
    [anon_sym_alignof] = ACTIONS(2444),
    [anon_sym__Alignof] = ACTIONS(2444),
    [anon_sym_offsetof] = ACTIONS(2444),
    [anon_sym__Generic] = ACTIONS(2444),
    [anon_sym_asm] = ACTIONS(2444),
    [anon_sym___asm__] = ACTIONS(2444),
    [sym_number_literal] = ACTIONS(2446),
    [anon_sym_L_SQUOTE] = ACTIONS(2446),
    [anon_sym_u_SQUOTE] = ACTIONS(2446),
    [anon_sym_U_SQUOTE] = ACTIONS(2446),
    [anon_sym_u8_SQUOTE] = ACTIONS(2446),
    [anon_sym_SQUOTE] = ACTIONS(2446),
    [anon_sym_L_DQUOTE] = ACTIONS(2446),
    [anon_sym_u_DQUOTE] = ACTIONS(2446),
    [anon_sym_U_DQUOTE] = ACTIONS(2446),
    [anon_sym_u8_DQUOTE] = ACTIONS(2446),
    [anon_sym_DQUOTE] = ACTIONS(2446),
    [sym_true] = ACTIONS(2444),
    [sym_false] = ACTIONS(2444),
    [anon_sym_NULL] = ACTIONS(2444),
    [anon_sym_nullptr] = ACTIONS(2444),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2444),
    [anon_sym_decltype] = ACTIONS(2444),
    [anon_sym_virtual] = ACTIONS(2444),
    [anon_sym_alignas] = ACTIONS(2444),
    [anon_sym_explicit] = ACTIONS(2444),
    [anon_sym_typename] = ACTIONS(2444),
    [anon_sym_template] = ACTIONS(2444),
    [anon_sym_operator] = ACTIONS(2444),
    [anon_sym_try] = ACTIONS(2444),
    [anon_sym_delete] = ACTIONS(2444),
    [anon_sym_throw] = ACTIONS(2444),
    [anon_sym_namespace] = ACTIONS(2444),
    [anon_sym_using] = ACTIONS(2444),
    [anon_sym_static_assert] = ACTIONS(2444),
    [anon_sym_concept] = ACTIONS(2444),
    [anon_sym_co_return] = ACTIONS(2444),
    [anon_sym_co_yield] = ACTIONS(2444),
    [anon_sym_R_DQUOTE] = ACTIONS(2446),
    [anon_sym_LR_DQUOTE] = ACTIONS(2446),
    [anon_sym_uR_DQUOTE] = ACTIONS(2446),
    [anon_sym_UR_DQUOTE] = ACTIONS(2446),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2446),
    [anon_sym_co_await] = ACTIONS(2444),
    [anon_sym_new] = ACTIONS(2444),
    [anon_sym_requires] = ACTIONS(2444),
    [sym_this] = ACTIONS(2444),
    [anon_sym_discard] = ACTIONS(2444),
    [anon_sym_precise] = ACTIONS(2444),
    [anon_sym_shared] = ACTIONS(2444),
    [anon_sym_groupshared] = ACTIONS(2444),
    [anon_sym_uniform] = ACTIONS(2444),
    [anon_sym_row_major] = ACTIONS(2444),
    [anon_sym_column_major] = ACTIONS(2444),
    [anon_sym_globallycoherent] = ACTIONS(2444),
    [anon_sym_centroid] = ACTIONS(2444),
    [anon_sym_noperspective] = ACTIONS(2444),
    [anon_sym_nointerpolation] = ACTIONS(2444),
    [anon_sym_sample] = ACTIONS(2444),
    [anon_sym_linear] = ACTIONS(2444),
    [anon_sym_snorm] = ACTIONS(2444),
    [anon_sym_unorm] = ACTIONS(2444),
    [anon_sym_point] = ACTIONS(2444),
    [anon_sym_line] = ACTIONS(2444),
    [anon_sym_triangleadj] = ACTIONS(2444),
    [anon_sym_lineadj] = ACTIONS(2444),
    [anon_sym_triangle] = ACTIONS(2444),
    [anon_sym_cbuffer] = ACTIONS(2444),
  },
  [550] = {
    [sym_identifier] = ACTIONS(2444),
    [aux_sym_preproc_include_token1] = ACTIONS(2444),
    [aux_sym_preproc_def_token1] = ACTIONS(2444),
    [aux_sym_preproc_if_token1] = ACTIONS(2444),
    [aux_sym_preproc_if_token2] = ACTIONS(2444),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2444),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2444),
    [aux_sym_preproc_else_token1] = ACTIONS(2444),
    [aux_sym_preproc_elif_token1] = ACTIONS(2444),
    [sym_preproc_directive] = ACTIONS(2444),
    [anon_sym_LPAREN2] = ACTIONS(2446),
    [anon_sym_BANG] = ACTIONS(2446),
    [anon_sym_TILDE] = ACTIONS(2446),
    [anon_sym_DASH] = ACTIONS(2444),
    [anon_sym_PLUS] = ACTIONS(2444),
    [anon_sym_STAR] = ACTIONS(2446),
    [anon_sym_AMP_AMP] = ACTIONS(2446),
    [anon_sym_AMP] = ACTIONS(2444),
    [anon_sym_SEMI] = ACTIONS(2446),
    [anon_sym___extension__] = ACTIONS(2444),
    [anon_sym_typedef] = ACTIONS(2444),
    [anon_sym_in] = ACTIONS(2444),
    [anon_sym_out] = ACTIONS(2444),
    [anon_sym_inout] = ACTIONS(2444),
    [anon_sym_extern] = ACTIONS(2444),
    [anon_sym___attribute__] = ACTIONS(2444),
    [anon_sym_COLON_COLON] = ACTIONS(2446),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2446),
    [anon_sym___declspec] = ACTIONS(2444),
    [anon_sym___based] = ACTIONS(2444),
    [anon_sym___cdecl] = ACTIONS(2444),
    [anon_sym___clrcall] = ACTIONS(2444),
    [anon_sym___stdcall] = ACTIONS(2444),
    [anon_sym___fastcall] = ACTIONS(2444),
    [anon_sym___thiscall] = ACTIONS(2444),
    [anon_sym___vectorcall] = ACTIONS(2444),
    [anon_sym_LBRACE] = ACTIONS(2446),
    [anon_sym_signed] = ACTIONS(2444),
    [anon_sym_unsigned] = ACTIONS(2444),
    [anon_sym_long] = ACTIONS(2444),
    [anon_sym_short] = ACTIONS(2444),
    [anon_sym_LBRACK] = ACTIONS(2444),
    [anon_sym_static] = ACTIONS(2444),
    [anon_sym_register] = ACTIONS(2444),
    [anon_sym_inline] = ACTIONS(2444),
    [anon_sym___inline] = ACTIONS(2444),
    [anon_sym___inline__] = ACTIONS(2444),
    [anon_sym___forceinline] = ACTIONS(2444),
    [anon_sym_thread_local] = ACTIONS(2444),
    [anon_sym___thread] = ACTIONS(2444),
    [anon_sym_const] = ACTIONS(2444),
    [anon_sym_constexpr] = ACTIONS(2444),
    [anon_sym_volatile] = ACTIONS(2444),
    [anon_sym_restrict] = ACTIONS(2444),
    [anon_sym___restrict__] = ACTIONS(2444),
    [anon_sym__Atomic] = ACTIONS(2444),
    [anon_sym__Noreturn] = ACTIONS(2444),
    [anon_sym_noreturn] = ACTIONS(2444),
    [anon_sym_mutable] = ACTIONS(2444),
    [anon_sym_constinit] = ACTIONS(2444),
    [anon_sym_consteval] = ACTIONS(2444),
    [sym_primitive_type] = ACTIONS(2444),
    [anon_sym_enum] = ACTIONS(2444),
    [anon_sym_class] = ACTIONS(2444),
    [anon_sym_struct] = ACTIONS(2444),
    [anon_sym_union] = ACTIONS(2444),
    [anon_sym_if] = ACTIONS(2444),
    [anon_sym_else] = ACTIONS(2444),
    [anon_sym_switch] = ACTIONS(2444),
    [anon_sym_case] = ACTIONS(2444),
    [anon_sym_default] = ACTIONS(2444),
    [anon_sym_while] = ACTIONS(2444),
    [anon_sym_do] = ACTIONS(2444),
    [anon_sym_for] = ACTIONS(2444),
    [anon_sym_return] = ACTIONS(2444),
    [anon_sym_break] = ACTIONS(2444),
    [anon_sym_continue] = ACTIONS(2444),
    [anon_sym_goto] = ACTIONS(2444),
    [anon_sym___try] = ACTIONS(2444),
    [anon_sym___leave] = ACTIONS(2444),
    [anon_sym_not] = ACTIONS(2444),
    [anon_sym_compl] = ACTIONS(2444),
    [anon_sym_DASH_DASH] = ACTIONS(2446),
    [anon_sym_PLUS_PLUS] = ACTIONS(2446),
    [anon_sym_sizeof] = ACTIONS(2444),
    [anon_sym___alignof__] = ACTIONS(2444),
    [anon_sym___alignof] = ACTIONS(2444),
    [anon_sym__alignof] = ACTIONS(2444),
    [anon_sym_alignof] = ACTIONS(2444),
    [anon_sym__Alignof] = ACTIONS(2444),
    [anon_sym_offsetof] = ACTIONS(2444),
    [anon_sym__Generic] = ACTIONS(2444),
    [anon_sym_asm] = ACTIONS(2444),
    [anon_sym___asm__] = ACTIONS(2444),
    [sym_number_literal] = ACTIONS(2446),
    [anon_sym_L_SQUOTE] = ACTIONS(2446),
    [anon_sym_u_SQUOTE] = ACTIONS(2446),
    [anon_sym_U_SQUOTE] = ACTIONS(2446),
    [anon_sym_u8_SQUOTE] = ACTIONS(2446),
    [anon_sym_SQUOTE] = ACTIONS(2446),
    [anon_sym_L_DQUOTE] = ACTIONS(2446),
    [anon_sym_u_DQUOTE] = ACTIONS(2446),
    [anon_sym_U_DQUOTE] = ACTIONS(2446),
    [anon_sym_u8_DQUOTE] = ACTIONS(2446),
    [anon_sym_DQUOTE] = ACTIONS(2446),
    [sym_true] = ACTIONS(2444),
    [sym_false] = ACTIONS(2444),
    [anon_sym_NULL] = ACTIONS(2444),
    [anon_sym_nullptr] = ACTIONS(2444),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2444),
    [anon_sym_decltype] = ACTIONS(2444),
    [anon_sym_virtual] = ACTIONS(2444),
    [anon_sym_alignas] = ACTIONS(2444),
    [anon_sym_explicit] = ACTIONS(2444),
    [anon_sym_typename] = ACTIONS(2444),
    [anon_sym_template] = ACTIONS(2444),
    [anon_sym_operator] = ACTIONS(2444),
    [anon_sym_try] = ACTIONS(2444),
    [anon_sym_delete] = ACTIONS(2444),
    [anon_sym_throw] = ACTIONS(2444),
    [anon_sym_namespace] = ACTIONS(2444),
    [anon_sym_using] = ACTIONS(2444),
    [anon_sym_static_assert] = ACTIONS(2444),
    [anon_sym_concept] = ACTIONS(2444),
    [anon_sym_co_return] = ACTIONS(2444),
    [anon_sym_co_yield] = ACTIONS(2444),
    [anon_sym_R_DQUOTE] = ACTIONS(2446),
    [anon_sym_LR_DQUOTE] = ACTIONS(2446),
    [anon_sym_uR_DQUOTE] = ACTIONS(2446),
    [anon_sym_UR_DQUOTE] = ACTIONS(2446),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2446),
    [anon_sym_co_await] = ACTIONS(2444),
    [anon_sym_new] = ACTIONS(2444),
    [anon_sym_requires] = ACTIONS(2444),
    [sym_this] = ACTIONS(2444),
    [anon_sym_discard] = ACTIONS(2444),
    [anon_sym_precise] = ACTIONS(2444),
    [anon_sym_shared] = ACTIONS(2444),
    [anon_sym_groupshared] = ACTIONS(2444),
    [anon_sym_uniform] = ACTIONS(2444),
    [anon_sym_row_major] = ACTIONS(2444),
    [anon_sym_column_major] = ACTIONS(2444),
    [anon_sym_globallycoherent] = ACTIONS(2444),
    [anon_sym_centroid] = ACTIONS(2444),
    [anon_sym_noperspective] = ACTIONS(2444),
    [anon_sym_nointerpolation] = ACTIONS(2444),
    [anon_sym_sample] = ACTIONS(2444),
    [anon_sym_linear] = ACTIONS(2444),
    [anon_sym_snorm] = ACTIONS(2444),
    [anon_sym_unorm] = ACTIONS(2444),
    [anon_sym_point] = ACTIONS(2444),
    [anon_sym_line] = ACTIONS(2444),
    [anon_sym_triangleadj] = ACTIONS(2444),
    [anon_sym_lineadj] = ACTIONS(2444),
    [anon_sym_triangle] = ACTIONS(2444),
    [anon_sym_cbuffer] = ACTIONS(2444),
  },
  [551] = {
    [sym_identifier] = ACTIONS(2444),
    [aux_sym_preproc_include_token1] = ACTIONS(2444),
    [aux_sym_preproc_def_token1] = ACTIONS(2444),
    [aux_sym_preproc_if_token1] = ACTIONS(2444),
    [aux_sym_preproc_if_token2] = ACTIONS(2444),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2444),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2444),
    [aux_sym_preproc_else_token1] = ACTIONS(2444),
    [aux_sym_preproc_elif_token1] = ACTIONS(2444),
    [sym_preproc_directive] = ACTIONS(2444),
    [anon_sym_LPAREN2] = ACTIONS(2446),
    [anon_sym_BANG] = ACTIONS(2446),
    [anon_sym_TILDE] = ACTIONS(2446),
    [anon_sym_DASH] = ACTIONS(2444),
    [anon_sym_PLUS] = ACTIONS(2444),
    [anon_sym_STAR] = ACTIONS(2446),
    [anon_sym_AMP_AMP] = ACTIONS(2446),
    [anon_sym_AMP] = ACTIONS(2444),
    [anon_sym_SEMI] = ACTIONS(2446),
    [anon_sym___extension__] = ACTIONS(2444),
    [anon_sym_typedef] = ACTIONS(2444),
    [anon_sym_in] = ACTIONS(2444),
    [anon_sym_out] = ACTIONS(2444),
    [anon_sym_inout] = ACTIONS(2444),
    [anon_sym_extern] = ACTIONS(2444),
    [anon_sym___attribute__] = ACTIONS(2444),
    [anon_sym_COLON_COLON] = ACTIONS(2446),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2446),
    [anon_sym___declspec] = ACTIONS(2444),
    [anon_sym___based] = ACTIONS(2444),
    [anon_sym___cdecl] = ACTIONS(2444),
    [anon_sym___clrcall] = ACTIONS(2444),
    [anon_sym___stdcall] = ACTIONS(2444),
    [anon_sym___fastcall] = ACTIONS(2444),
    [anon_sym___thiscall] = ACTIONS(2444),
    [anon_sym___vectorcall] = ACTIONS(2444),
    [anon_sym_LBRACE] = ACTIONS(2446),
    [anon_sym_signed] = ACTIONS(2444),
    [anon_sym_unsigned] = ACTIONS(2444),
    [anon_sym_long] = ACTIONS(2444),
    [anon_sym_short] = ACTIONS(2444),
    [anon_sym_LBRACK] = ACTIONS(2444),
    [anon_sym_static] = ACTIONS(2444),
    [anon_sym_register] = ACTIONS(2444),
    [anon_sym_inline] = ACTIONS(2444),
    [anon_sym___inline] = ACTIONS(2444),
    [anon_sym___inline__] = ACTIONS(2444),
    [anon_sym___forceinline] = ACTIONS(2444),
    [anon_sym_thread_local] = ACTIONS(2444),
    [anon_sym___thread] = ACTIONS(2444),
    [anon_sym_const] = ACTIONS(2444),
    [anon_sym_constexpr] = ACTIONS(2444),
    [anon_sym_volatile] = ACTIONS(2444),
    [anon_sym_restrict] = ACTIONS(2444),
    [anon_sym___restrict__] = ACTIONS(2444),
    [anon_sym__Atomic] = ACTIONS(2444),
    [anon_sym__Noreturn] = ACTIONS(2444),
    [anon_sym_noreturn] = ACTIONS(2444),
    [anon_sym_mutable] = ACTIONS(2444),
    [anon_sym_constinit] = ACTIONS(2444),
    [anon_sym_consteval] = ACTIONS(2444),
    [sym_primitive_type] = ACTIONS(2444),
    [anon_sym_enum] = ACTIONS(2444),
    [anon_sym_class] = ACTIONS(2444),
    [anon_sym_struct] = ACTIONS(2444),
    [anon_sym_union] = ACTIONS(2444),
    [anon_sym_if] = ACTIONS(2444),
    [anon_sym_else] = ACTIONS(2444),
    [anon_sym_switch] = ACTIONS(2444),
    [anon_sym_case] = ACTIONS(2444),
    [anon_sym_default] = ACTIONS(2444),
    [anon_sym_while] = ACTIONS(2444),
    [anon_sym_do] = ACTIONS(2444),
    [anon_sym_for] = ACTIONS(2444),
    [anon_sym_return] = ACTIONS(2444),
    [anon_sym_break] = ACTIONS(2444),
    [anon_sym_continue] = ACTIONS(2444),
    [anon_sym_goto] = ACTIONS(2444),
    [anon_sym___try] = ACTIONS(2444),
    [anon_sym___leave] = ACTIONS(2444),
    [anon_sym_not] = ACTIONS(2444),
    [anon_sym_compl] = ACTIONS(2444),
    [anon_sym_DASH_DASH] = ACTIONS(2446),
    [anon_sym_PLUS_PLUS] = ACTIONS(2446),
    [anon_sym_sizeof] = ACTIONS(2444),
    [anon_sym___alignof__] = ACTIONS(2444),
    [anon_sym___alignof] = ACTIONS(2444),
    [anon_sym__alignof] = ACTIONS(2444),
    [anon_sym_alignof] = ACTIONS(2444),
    [anon_sym__Alignof] = ACTIONS(2444),
    [anon_sym_offsetof] = ACTIONS(2444),
    [anon_sym__Generic] = ACTIONS(2444),
    [anon_sym_asm] = ACTIONS(2444),
    [anon_sym___asm__] = ACTIONS(2444),
    [sym_number_literal] = ACTIONS(2446),
    [anon_sym_L_SQUOTE] = ACTIONS(2446),
    [anon_sym_u_SQUOTE] = ACTIONS(2446),
    [anon_sym_U_SQUOTE] = ACTIONS(2446),
    [anon_sym_u8_SQUOTE] = ACTIONS(2446),
    [anon_sym_SQUOTE] = ACTIONS(2446),
    [anon_sym_L_DQUOTE] = ACTIONS(2446),
    [anon_sym_u_DQUOTE] = ACTIONS(2446),
    [anon_sym_U_DQUOTE] = ACTIONS(2446),
    [anon_sym_u8_DQUOTE] = ACTIONS(2446),
    [anon_sym_DQUOTE] = ACTIONS(2446),
    [sym_true] = ACTIONS(2444),
    [sym_false] = ACTIONS(2444),
    [anon_sym_NULL] = ACTIONS(2444),
    [anon_sym_nullptr] = ACTIONS(2444),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2444),
    [anon_sym_decltype] = ACTIONS(2444),
    [anon_sym_virtual] = ACTIONS(2444),
    [anon_sym_alignas] = ACTIONS(2444),
    [anon_sym_explicit] = ACTIONS(2444),
    [anon_sym_typename] = ACTIONS(2444),
    [anon_sym_template] = ACTIONS(2444),
    [anon_sym_operator] = ACTIONS(2444),
    [anon_sym_try] = ACTIONS(2444),
    [anon_sym_delete] = ACTIONS(2444),
    [anon_sym_throw] = ACTIONS(2444),
    [anon_sym_namespace] = ACTIONS(2444),
    [anon_sym_using] = ACTIONS(2444),
    [anon_sym_static_assert] = ACTIONS(2444),
    [anon_sym_concept] = ACTIONS(2444),
    [anon_sym_co_return] = ACTIONS(2444),
    [anon_sym_co_yield] = ACTIONS(2444),
    [anon_sym_R_DQUOTE] = ACTIONS(2446),
    [anon_sym_LR_DQUOTE] = ACTIONS(2446),
    [anon_sym_uR_DQUOTE] = ACTIONS(2446),
    [anon_sym_UR_DQUOTE] = ACTIONS(2446),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2446),
    [anon_sym_co_await] = ACTIONS(2444),
    [anon_sym_new] = ACTIONS(2444),
    [anon_sym_requires] = ACTIONS(2444),
    [sym_this] = ACTIONS(2444),
    [anon_sym_discard] = ACTIONS(2444),
    [anon_sym_precise] = ACTIONS(2444),
    [anon_sym_shared] = ACTIONS(2444),
    [anon_sym_groupshared] = ACTIONS(2444),
    [anon_sym_uniform] = ACTIONS(2444),
    [anon_sym_row_major] = ACTIONS(2444),
    [anon_sym_column_major] = ACTIONS(2444),
    [anon_sym_globallycoherent] = ACTIONS(2444),
    [anon_sym_centroid] = ACTIONS(2444),
    [anon_sym_noperspective] = ACTIONS(2444),
    [anon_sym_nointerpolation] = ACTIONS(2444),
    [anon_sym_sample] = ACTIONS(2444),
    [anon_sym_linear] = ACTIONS(2444),
    [anon_sym_snorm] = ACTIONS(2444),
    [anon_sym_unorm] = ACTIONS(2444),
    [anon_sym_point] = ACTIONS(2444),
    [anon_sym_line] = ACTIONS(2444),
    [anon_sym_triangleadj] = ACTIONS(2444),
    [anon_sym_lineadj] = ACTIONS(2444),
    [anon_sym_triangle] = ACTIONS(2444),
    [anon_sym_cbuffer] = ACTIONS(2444),
  },
  [552] = {
    [sym_identifier] = ACTIONS(2318),
    [aux_sym_preproc_include_token1] = ACTIONS(2318),
    [aux_sym_preproc_def_token1] = ACTIONS(2318),
    [aux_sym_preproc_if_token1] = ACTIONS(2318),
    [aux_sym_preproc_if_token2] = ACTIONS(2318),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2318),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2318),
    [aux_sym_preproc_else_token1] = ACTIONS(2318),
    [aux_sym_preproc_elif_token1] = ACTIONS(2318),
    [sym_preproc_directive] = ACTIONS(2318),
    [anon_sym_LPAREN2] = ACTIONS(2320),
    [anon_sym_BANG] = ACTIONS(2320),
    [anon_sym_TILDE] = ACTIONS(2320),
    [anon_sym_DASH] = ACTIONS(2318),
    [anon_sym_PLUS] = ACTIONS(2318),
    [anon_sym_STAR] = ACTIONS(2320),
    [anon_sym_AMP_AMP] = ACTIONS(2320),
    [anon_sym_AMP] = ACTIONS(2318),
    [anon_sym_SEMI] = ACTIONS(2320),
    [anon_sym___extension__] = ACTIONS(2318),
    [anon_sym_typedef] = ACTIONS(2318),
    [anon_sym_in] = ACTIONS(2318),
    [anon_sym_out] = ACTIONS(2318),
    [anon_sym_inout] = ACTIONS(2318),
    [anon_sym_extern] = ACTIONS(2318),
    [anon_sym___attribute__] = ACTIONS(2318),
    [anon_sym_COLON_COLON] = ACTIONS(2320),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2320),
    [anon_sym___declspec] = ACTIONS(2318),
    [anon_sym___based] = ACTIONS(2318),
    [anon_sym___cdecl] = ACTIONS(2318),
    [anon_sym___clrcall] = ACTIONS(2318),
    [anon_sym___stdcall] = ACTIONS(2318),
    [anon_sym___fastcall] = ACTIONS(2318),
    [anon_sym___thiscall] = ACTIONS(2318),
    [anon_sym___vectorcall] = ACTIONS(2318),
    [anon_sym_LBRACE] = ACTIONS(2320),
    [anon_sym_signed] = ACTIONS(2318),
    [anon_sym_unsigned] = ACTIONS(2318),
    [anon_sym_long] = ACTIONS(2318),
    [anon_sym_short] = ACTIONS(2318),
    [anon_sym_LBRACK] = ACTIONS(2318),
    [anon_sym_static] = ACTIONS(2318),
    [anon_sym_register] = ACTIONS(2318),
    [anon_sym_inline] = ACTIONS(2318),
    [anon_sym___inline] = ACTIONS(2318),
    [anon_sym___inline__] = ACTIONS(2318),
    [anon_sym___forceinline] = ACTIONS(2318),
    [anon_sym_thread_local] = ACTIONS(2318),
    [anon_sym___thread] = ACTIONS(2318),
    [anon_sym_const] = ACTIONS(2318),
    [anon_sym_constexpr] = ACTIONS(2318),
    [anon_sym_volatile] = ACTIONS(2318),
    [anon_sym_restrict] = ACTIONS(2318),
    [anon_sym___restrict__] = ACTIONS(2318),
    [anon_sym__Atomic] = ACTIONS(2318),
    [anon_sym__Noreturn] = ACTIONS(2318),
    [anon_sym_noreturn] = ACTIONS(2318),
    [anon_sym_mutable] = ACTIONS(2318),
    [anon_sym_constinit] = ACTIONS(2318),
    [anon_sym_consteval] = ACTIONS(2318),
    [sym_primitive_type] = ACTIONS(2318),
    [anon_sym_enum] = ACTIONS(2318),
    [anon_sym_class] = ACTIONS(2318),
    [anon_sym_struct] = ACTIONS(2318),
    [anon_sym_union] = ACTIONS(2318),
    [anon_sym_if] = ACTIONS(2318),
    [anon_sym_else] = ACTIONS(2318),
    [anon_sym_switch] = ACTIONS(2318),
    [anon_sym_case] = ACTIONS(2318),
    [anon_sym_default] = ACTIONS(2318),
    [anon_sym_while] = ACTIONS(2318),
    [anon_sym_do] = ACTIONS(2318),
    [anon_sym_for] = ACTIONS(2318),
    [anon_sym_return] = ACTIONS(2318),
    [anon_sym_break] = ACTIONS(2318),
    [anon_sym_continue] = ACTIONS(2318),
    [anon_sym_goto] = ACTIONS(2318),
    [anon_sym___try] = ACTIONS(2318),
    [anon_sym___leave] = ACTIONS(2318),
    [anon_sym_not] = ACTIONS(2318),
    [anon_sym_compl] = ACTIONS(2318),
    [anon_sym_DASH_DASH] = ACTIONS(2320),
    [anon_sym_PLUS_PLUS] = ACTIONS(2320),
    [anon_sym_sizeof] = ACTIONS(2318),
    [anon_sym___alignof__] = ACTIONS(2318),
    [anon_sym___alignof] = ACTIONS(2318),
    [anon_sym__alignof] = ACTIONS(2318),
    [anon_sym_alignof] = ACTIONS(2318),
    [anon_sym__Alignof] = ACTIONS(2318),
    [anon_sym_offsetof] = ACTIONS(2318),
    [anon_sym__Generic] = ACTIONS(2318),
    [anon_sym_asm] = ACTIONS(2318),
    [anon_sym___asm__] = ACTIONS(2318),
    [sym_number_literal] = ACTIONS(2320),
    [anon_sym_L_SQUOTE] = ACTIONS(2320),
    [anon_sym_u_SQUOTE] = ACTIONS(2320),
    [anon_sym_U_SQUOTE] = ACTIONS(2320),
    [anon_sym_u8_SQUOTE] = ACTIONS(2320),
    [anon_sym_SQUOTE] = ACTIONS(2320),
    [anon_sym_L_DQUOTE] = ACTIONS(2320),
    [anon_sym_u_DQUOTE] = ACTIONS(2320),
    [anon_sym_U_DQUOTE] = ACTIONS(2320),
    [anon_sym_u8_DQUOTE] = ACTIONS(2320),
    [anon_sym_DQUOTE] = ACTIONS(2320),
    [sym_true] = ACTIONS(2318),
    [sym_false] = ACTIONS(2318),
    [anon_sym_NULL] = ACTIONS(2318),
    [anon_sym_nullptr] = ACTIONS(2318),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2318),
    [anon_sym_decltype] = ACTIONS(2318),
    [anon_sym_virtual] = ACTIONS(2318),
    [anon_sym_alignas] = ACTIONS(2318),
    [anon_sym_explicit] = ACTIONS(2318),
    [anon_sym_typename] = ACTIONS(2318),
    [anon_sym_template] = ACTIONS(2318),
    [anon_sym_operator] = ACTIONS(2318),
    [anon_sym_try] = ACTIONS(2318),
    [anon_sym_delete] = ACTIONS(2318),
    [anon_sym_throw] = ACTIONS(2318),
    [anon_sym_namespace] = ACTIONS(2318),
    [anon_sym_using] = ACTIONS(2318),
    [anon_sym_static_assert] = ACTIONS(2318),
    [anon_sym_concept] = ACTIONS(2318),
    [anon_sym_co_return] = ACTIONS(2318),
    [anon_sym_co_yield] = ACTIONS(2318),
    [anon_sym_R_DQUOTE] = ACTIONS(2320),
    [anon_sym_LR_DQUOTE] = ACTIONS(2320),
    [anon_sym_uR_DQUOTE] = ACTIONS(2320),
    [anon_sym_UR_DQUOTE] = ACTIONS(2320),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2320),
    [anon_sym_co_await] = ACTIONS(2318),
    [anon_sym_new] = ACTIONS(2318),
    [anon_sym_requires] = ACTIONS(2318),
    [sym_this] = ACTIONS(2318),
    [anon_sym_discard] = ACTIONS(2318),
    [anon_sym_precise] = ACTIONS(2318),
    [anon_sym_shared] = ACTIONS(2318),
    [anon_sym_groupshared] = ACTIONS(2318),
    [anon_sym_uniform] = ACTIONS(2318),
    [anon_sym_row_major] = ACTIONS(2318),
    [anon_sym_column_major] = ACTIONS(2318),
    [anon_sym_globallycoherent] = ACTIONS(2318),
    [anon_sym_centroid] = ACTIONS(2318),
    [anon_sym_noperspective] = ACTIONS(2318),
    [anon_sym_nointerpolation] = ACTIONS(2318),
    [anon_sym_sample] = ACTIONS(2318),
    [anon_sym_linear] = ACTIONS(2318),
    [anon_sym_snorm] = ACTIONS(2318),
    [anon_sym_unorm] = ACTIONS(2318),
    [anon_sym_point] = ACTIONS(2318),
    [anon_sym_line] = ACTIONS(2318),
    [anon_sym_triangleadj] = ACTIONS(2318),
    [anon_sym_lineadj] = ACTIONS(2318),
    [anon_sym_triangle] = ACTIONS(2318),
    [anon_sym_cbuffer] = ACTIONS(2318),
  },
  [553] = {
    [sym_preproc_def] = STATE(1102),
    [sym_preproc_function_def] = STATE(1102),
    [sym_preproc_call] = STATE(1102),
    [sym_preproc_if_in_field_declaration_list] = STATE(1102),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(1102),
    [sym_preproc_else_in_field_declaration_list] = STATE(10264),
    [sym_preproc_elif_in_field_declaration_list] = STATE(10264),
    [sym_preproc_elifdef_in_field_declaration_list] = STATE(10264),
    [sym_type_definition] = STATE(1102),
    [sym__declaration_modifiers] = STATE(3159),
    [sym__declaration_specifiers] = STATE(6906),
    [sym_attribute_specifier] = STATE(3159),
    [sym_attribute_declaration] = STATE(3159),
    [sym_ms_declspec_modifier] = STATE(3159),
    [sym_ms_based_modifier] = STATE(10332),
    [sym__declarator] = STATE(7978),
    [sym_parenthesized_declarator] = STATE(7680),
    [sym_attributed_declarator] = STATE(7680),
    [sym_pointer_declarator] = STATE(7680),
    [sym_function_declarator] = STATE(7506),
    [sym_array_declarator] = STATE(7680),
    [sym_storage_class_specifier] = STATE(3159),
    [sym_type_qualifier] = STATE(3159),
    [sym__type_specifier] = STATE(2827),
    [sym_sized_type_specifier] = STATE(3085),
    [sym_enum_specifier] = STATE(3085),
    [sym_struct_specifier] = STATE(3085),
    [sym_union_specifier] = STATE(3085),
    [sym__field_declaration_list_item] = STATE(1102),
    [sym_field_declaration] = STATE(1102),
    [sym_placeholder_type_specifier] = STATE(3085),
    [sym_decltype_auto] = STATE(3091),
    [sym_decltype] = STATE(3050),
    [sym_class_specifier] = STATE(3085),
    [sym_virtual] = STATE(3159),
    [sym_alignas_specifier] = STATE(3159),
    [sym_explicit_function_specifier] = STATE(2515),
    [sym_dependent_type] = STATE(3085),
    [sym_template_declaration] = STATE(1102),
    [sym_operator_cast] = STATE(8047),
    [sym_inline_method_definition] = STATE(1102),
    [sym__constructor_specifiers] = STATE(2515),
    [sym_operator_cast_definition] = STATE(1102),
    [sym_operator_cast_declaration] = STATE(1102),
    [sym_constructor_or_destructor_definition] = STATE(1102),
    [sym_constructor_or_destructor_declaration] = STATE(1102),
    [sym_friend_declaration] = STATE(1102),
    [sym_access_specifier] = STATE(9869),
    [sym_reference_declarator] = STATE(7680),
    [sym_structured_binding_declarator] = STATE(7680),
    [sym_template_type] = STATE(3050),
    [sym_template_function] = STATE(7680),
    [sym_using_declaration] = STATE(1102),
    [sym_alias_declaration] = STATE(1102),
    [sym_static_assert_declaration] = STATE(1102),
    [sym_destructor_name] = STATE(7680),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6733),
    [sym_qualified_identifier] = STATE(7680),
    [sym_qualified_type_identifier] = STATE(3068),
    [sym_qualified_operator_cast_identifier] = STATE(8047),
    [sym_operator_name] = STATE(7680),
    [sym_qualifiers] = STATE(3159),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(1102),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2680),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3021),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2515),
    [sym_identifier] = ACTIONS(2857),
    [aux_sym_preproc_def_token1] = ACTIONS(2859),
    [aux_sym_preproc_if_token1] = ACTIONS(2861),
    [aux_sym_preproc_if_token2] = ACTIONS(2921),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2865),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2865),
    [aux_sym_preproc_else_token1] = ACTIONS(2867),
    [aux_sym_preproc_elif_token1] = ACTIONS(2869),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2871),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2871),
    [sym_preproc_directive] = ACTIONS(2873),
    [anon_sym_LPAREN2] = ACTIONS(2875),
    [anon_sym_TILDE] = ACTIONS(2877),
    [anon_sym_STAR] = ACTIONS(2879),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(2881),
    [anon_sym___extension__] = ACTIONS(2883),
    [anon_sym_typedef] = ACTIONS(2885),
    [anon_sym_in] = ACTIONS(37),
    [anon_sym_out] = ACTIONS(37),
    [anon_sym_inout] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(2887),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2096),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(2889),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(2891),
    [anon_sym_enum] = ACTIONS(2893),
    [anon_sym_class] = ACTIONS(2895),
    [anon_sym_struct] = ACTIONS(2897),
    [anon_sym_union] = ACTIONS(2899),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [anon_sym_virtual] = ACTIONS(123),
    [anon_sym_alignas] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(2901),
    [anon_sym_template] = ACTIONS(2903),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_friend] = ACTIONS(2905),
    [anon_sym_public] = ACTIONS(2907),
    [anon_sym_private] = ACTIONS(2907),
    [anon_sym_protected] = ACTIONS(2907),
    [anon_sym_using] = ACTIONS(2909),
    [anon_sym_static_assert] = ACTIONS(2911),
    [anon_sym_precise] = ACTIONS(161),
    [anon_sym_shared] = ACTIONS(161),
    [anon_sym_groupshared] = ACTIONS(161),
    [anon_sym_uniform] = ACTIONS(161),
    [anon_sym_row_major] = ACTIONS(161),
    [anon_sym_column_major] = ACTIONS(161),
    [anon_sym_globallycoherent] = ACTIONS(161),
    [anon_sym_centroid] = ACTIONS(161),
    [anon_sym_noperspective] = ACTIONS(161),
    [anon_sym_nointerpolation] = ACTIONS(161),
    [anon_sym_sample] = ACTIONS(161),
    [anon_sym_linear] = ACTIONS(161),
    [anon_sym_snorm] = ACTIONS(161),
    [anon_sym_unorm] = ACTIONS(161),
    [anon_sym_point] = ACTIONS(161),
    [anon_sym_line] = ACTIONS(161),
    [anon_sym_triangleadj] = ACTIONS(161),
    [anon_sym_lineadj] = ACTIONS(161),
    [anon_sym_triangle] = ACTIONS(161),
  },
  [554] = {
    [sym_identifier] = ACTIONS(2452),
    [aux_sym_preproc_include_token1] = ACTIONS(2452),
    [aux_sym_preproc_def_token1] = ACTIONS(2452),
    [aux_sym_preproc_if_token1] = ACTIONS(2452),
    [aux_sym_preproc_if_token2] = ACTIONS(2452),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2452),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2452),
    [aux_sym_preproc_else_token1] = ACTIONS(2452),
    [aux_sym_preproc_elif_token1] = ACTIONS(2452),
    [sym_preproc_directive] = ACTIONS(2452),
    [anon_sym_LPAREN2] = ACTIONS(2454),
    [anon_sym_BANG] = ACTIONS(2454),
    [anon_sym_TILDE] = ACTIONS(2454),
    [anon_sym_DASH] = ACTIONS(2452),
    [anon_sym_PLUS] = ACTIONS(2452),
    [anon_sym_STAR] = ACTIONS(2454),
    [anon_sym_AMP_AMP] = ACTIONS(2454),
    [anon_sym_AMP] = ACTIONS(2452),
    [anon_sym_SEMI] = ACTIONS(2454),
    [anon_sym___extension__] = ACTIONS(2452),
    [anon_sym_typedef] = ACTIONS(2452),
    [anon_sym_in] = ACTIONS(2452),
    [anon_sym_out] = ACTIONS(2452),
    [anon_sym_inout] = ACTIONS(2452),
    [anon_sym_extern] = ACTIONS(2452),
    [anon_sym___attribute__] = ACTIONS(2452),
    [anon_sym_COLON_COLON] = ACTIONS(2454),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2454),
    [anon_sym___declspec] = ACTIONS(2452),
    [anon_sym___based] = ACTIONS(2452),
    [anon_sym___cdecl] = ACTIONS(2452),
    [anon_sym___clrcall] = ACTIONS(2452),
    [anon_sym___stdcall] = ACTIONS(2452),
    [anon_sym___fastcall] = ACTIONS(2452),
    [anon_sym___thiscall] = ACTIONS(2452),
    [anon_sym___vectorcall] = ACTIONS(2452),
    [anon_sym_LBRACE] = ACTIONS(2454),
    [anon_sym_signed] = ACTIONS(2452),
    [anon_sym_unsigned] = ACTIONS(2452),
    [anon_sym_long] = ACTIONS(2452),
    [anon_sym_short] = ACTIONS(2452),
    [anon_sym_LBRACK] = ACTIONS(2452),
    [anon_sym_static] = ACTIONS(2452),
    [anon_sym_register] = ACTIONS(2452),
    [anon_sym_inline] = ACTIONS(2452),
    [anon_sym___inline] = ACTIONS(2452),
    [anon_sym___inline__] = ACTIONS(2452),
    [anon_sym___forceinline] = ACTIONS(2452),
    [anon_sym_thread_local] = ACTIONS(2452),
    [anon_sym___thread] = ACTIONS(2452),
    [anon_sym_const] = ACTIONS(2452),
    [anon_sym_constexpr] = ACTIONS(2452),
    [anon_sym_volatile] = ACTIONS(2452),
    [anon_sym_restrict] = ACTIONS(2452),
    [anon_sym___restrict__] = ACTIONS(2452),
    [anon_sym__Atomic] = ACTIONS(2452),
    [anon_sym__Noreturn] = ACTIONS(2452),
    [anon_sym_noreturn] = ACTIONS(2452),
    [anon_sym_mutable] = ACTIONS(2452),
    [anon_sym_constinit] = ACTIONS(2452),
    [anon_sym_consteval] = ACTIONS(2452),
    [sym_primitive_type] = ACTIONS(2452),
    [anon_sym_enum] = ACTIONS(2452),
    [anon_sym_class] = ACTIONS(2452),
    [anon_sym_struct] = ACTIONS(2452),
    [anon_sym_union] = ACTIONS(2452),
    [anon_sym_if] = ACTIONS(2452),
    [anon_sym_else] = ACTIONS(2452),
    [anon_sym_switch] = ACTIONS(2452),
    [anon_sym_case] = ACTIONS(2452),
    [anon_sym_default] = ACTIONS(2452),
    [anon_sym_while] = ACTIONS(2452),
    [anon_sym_do] = ACTIONS(2452),
    [anon_sym_for] = ACTIONS(2452),
    [anon_sym_return] = ACTIONS(2452),
    [anon_sym_break] = ACTIONS(2452),
    [anon_sym_continue] = ACTIONS(2452),
    [anon_sym_goto] = ACTIONS(2452),
    [anon_sym___try] = ACTIONS(2452),
    [anon_sym___leave] = ACTIONS(2452),
    [anon_sym_not] = ACTIONS(2452),
    [anon_sym_compl] = ACTIONS(2452),
    [anon_sym_DASH_DASH] = ACTIONS(2454),
    [anon_sym_PLUS_PLUS] = ACTIONS(2454),
    [anon_sym_sizeof] = ACTIONS(2452),
    [anon_sym___alignof__] = ACTIONS(2452),
    [anon_sym___alignof] = ACTIONS(2452),
    [anon_sym__alignof] = ACTIONS(2452),
    [anon_sym_alignof] = ACTIONS(2452),
    [anon_sym__Alignof] = ACTIONS(2452),
    [anon_sym_offsetof] = ACTIONS(2452),
    [anon_sym__Generic] = ACTIONS(2452),
    [anon_sym_asm] = ACTIONS(2452),
    [anon_sym___asm__] = ACTIONS(2452),
    [sym_number_literal] = ACTIONS(2454),
    [anon_sym_L_SQUOTE] = ACTIONS(2454),
    [anon_sym_u_SQUOTE] = ACTIONS(2454),
    [anon_sym_U_SQUOTE] = ACTIONS(2454),
    [anon_sym_u8_SQUOTE] = ACTIONS(2454),
    [anon_sym_SQUOTE] = ACTIONS(2454),
    [anon_sym_L_DQUOTE] = ACTIONS(2454),
    [anon_sym_u_DQUOTE] = ACTIONS(2454),
    [anon_sym_U_DQUOTE] = ACTIONS(2454),
    [anon_sym_u8_DQUOTE] = ACTIONS(2454),
    [anon_sym_DQUOTE] = ACTIONS(2454),
    [sym_true] = ACTIONS(2452),
    [sym_false] = ACTIONS(2452),
    [anon_sym_NULL] = ACTIONS(2452),
    [anon_sym_nullptr] = ACTIONS(2452),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2452),
    [anon_sym_decltype] = ACTIONS(2452),
    [anon_sym_virtual] = ACTIONS(2452),
    [anon_sym_alignas] = ACTIONS(2452),
    [anon_sym_explicit] = ACTIONS(2452),
    [anon_sym_typename] = ACTIONS(2452),
    [anon_sym_template] = ACTIONS(2452),
    [anon_sym_operator] = ACTIONS(2452),
    [anon_sym_try] = ACTIONS(2452),
    [anon_sym_delete] = ACTIONS(2452),
    [anon_sym_throw] = ACTIONS(2452),
    [anon_sym_namespace] = ACTIONS(2452),
    [anon_sym_using] = ACTIONS(2452),
    [anon_sym_static_assert] = ACTIONS(2452),
    [anon_sym_concept] = ACTIONS(2452),
    [anon_sym_co_return] = ACTIONS(2452),
    [anon_sym_co_yield] = ACTIONS(2452),
    [anon_sym_R_DQUOTE] = ACTIONS(2454),
    [anon_sym_LR_DQUOTE] = ACTIONS(2454),
    [anon_sym_uR_DQUOTE] = ACTIONS(2454),
    [anon_sym_UR_DQUOTE] = ACTIONS(2454),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2454),
    [anon_sym_co_await] = ACTIONS(2452),
    [anon_sym_new] = ACTIONS(2452),
    [anon_sym_requires] = ACTIONS(2452),
    [sym_this] = ACTIONS(2452),
    [anon_sym_discard] = ACTIONS(2452),
    [anon_sym_precise] = ACTIONS(2452),
    [anon_sym_shared] = ACTIONS(2452),
    [anon_sym_groupshared] = ACTIONS(2452),
    [anon_sym_uniform] = ACTIONS(2452),
    [anon_sym_row_major] = ACTIONS(2452),
    [anon_sym_column_major] = ACTIONS(2452),
    [anon_sym_globallycoherent] = ACTIONS(2452),
    [anon_sym_centroid] = ACTIONS(2452),
    [anon_sym_noperspective] = ACTIONS(2452),
    [anon_sym_nointerpolation] = ACTIONS(2452),
    [anon_sym_sample] = ACTIONS(2452),
    [anon_sym_linear] = ACTIONS(2452),
    [anon_sym_snorm] = ACTIONS(2452),
    [anon_sym_unorm] = ACTIONS(2452),
    [anon_sym_point] = ACTIONS(2452),
    [anon_sym_line] = ACTIONS(2452),
    [anon_sym_triangleadj] = ACTIONS(2452),
    [anon_sym_lineadj] = ACTIONS(2452),
    [anon_sym_triangle] = ACTIONS(2452),
    [anon_sym_cbuffer] = ACTIONS(2452),
  },
  [555] = {
    [sym_identifier] = ACTIONS(2444),
    [aux_sym_preproc_include_token1] = ACTIONS(2444),
    [aux_sym_preproc_def_token1] = ACTIONS(2444),
    [aux_sym_preproc_if_token1] = ACTIONS(2444),
    [aux_sym_preproc_if_token2] = ACTIONS(2444),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2444),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2444),
    [aux_sym_preproc_else_token1] = ACTIONS(2444),
    [aux_sym_preproc_elif_token1] = ACTIONS(2444),
    [sym_preproc_directive] = ACTIONS(2444),
    [anon_sym_LPAREN2] = ACTIONS(2446),
    [anon_sym_BANG] = ACTIONS(2446),
    [anon_sym_TILDE] = ACTIONS(2446),
    [anon_sym_DASH] = ACTIONS(2444),
    [anon_sym_PLUS] = ACTIONS(2444),
    [anon_sym_STAR] = ACTIONS(2446),
    [anon_sym_AMP_AMP] = ACTIONS(2446),
    [anon_sym_AMP] = ACTIONS(2444),
    [anon_sym_SEMI] = ACTIONS(2446),
    [anon_sym___extension__] = ACTIONS(2444),
    [anon_sym_typedef] = ACTIONS(2444),
    [anon_sym_in] = ACTIONS(2444),
    [anon_sym_out] = ACTIONS(2444),
    [anon_sym_inout] = ACTIONS(2444),
    [anon_sym_extern] = ACTIONS(2444),
    [anon_sym___attribute__] = ACTIONS(2444),
    [anon_sym_COLON_COLON] = ACTIONS(2446),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2446),
    [anon_sym___declspec] = ACTIONS(2444),
    [anon_sym___based] = ACTIONS(2444),
    [anon_sym___cdecl] = ACTIONS(2444),
    [anon_sym___clrcall] = ACTIONS(2444),
    [anon_sym___stdcall] = ACTIONS(2444),
    [anon_sym___fastcall] = ACTIONS(2444),
    [anon_sym___thiscall] = ACTIONS(2444),
    [anon_sym___vectorcall] = ACTIONS(2444),
    [anon_sym_LBRACE] = ACTIONS(2446),
    [anon_sym_signed] = ACTIONS(2444),
    [anon_sym_unsigned] = ACTIONS(2444),
    [anon_sym_long] = ACTIONS(2444),
    [anon_sym_short] = ACTIONS(2444),
    [anon_sym_LBRACK] = ACTIONS(2444),
    [anon_sym_static] = ACTIONS(2444),
    [anon_sym_register] = ACTIONS(2444),
    [anon_sym_inline] = ACTIONS(2444),
    [anon_sym___inline] = ACTIONS(2444),
    [anon_sym___inline__] = ACTIONS(2444),
    [anon_sym___forceinline] = ACTIONS(2444),
    [anon_sym_thread_local] = ACTIONS(2444),
    [anon_sym___thread] = ACTIONS(2444),
    [anon_sym_const] = ACTIONS(2444),
    [anon_sym_constexpr] = ACTIONS(2444),
    [anon_sym_volatile] = ACTIONS(2444),
    [anon_sym_restrict] = ACTIONS(2444),
    [anon_sym___restrict__] = ACTIONS(2444),
    [anon_sym__Atomic] = ACTIONS(2444),
    [anon_sym__Noreturn] = ACTIONS(2444),
    [anon_sym_noreturn] = ACTIONS(2444),
    [anon_sym_mutable] = ACTIONS(2444),
    [anon_sym_constinit] = ACTIONS(2444),
    [anon_sym_consteval] = ACTIONS(2444),
    [sym_primitive_type] = ACTIONS(2444),
    [anon_sym_enum] = ACTIONS(2444),
    [anon_sym_class] = ACTIONS(2444),
    [anon_sym_struct] = ACTIONS(2444),
    [anon_sym_union] = ACTIONS(2444),
    [anon_sym_if] = ACTIONS(2444),
    [anon_sym_else] = ACTIONS(2444),
    [anon_sym_switch] = ACTIONS(2444),
    [anon_sym_case] = ACTIONS(2444),
    [anon_sym_default] = ACTIONS(2444),
    [anon_sym_while] = ACTIONS(2444),
    [anon_sym_do] = ACTIONS(2444),
    [anon_sym_for] = ACTIONS(2444),
    [anon_sym_return] = ACTIONS(2444),
    [anon_sym_break] = ACTIONS(2444),
    [anon_sym_continue] = ACTIONS(2444),
    [anon_sym_goto] = ACTIONS(2444),
    [anon_sym___try] = ACTIONS(2444),
    [anon_sym___leave] = ACTIONS(2444),
    [anon_sym_not] = ACTIONS(2444),
    [anon_sym_compl] = ACTIONS(2444),
    [anon_sym_DASH_DASH] = ACTIONS(2446),
    [anon_sym_PLUS_PLUS] = ACTIONS(2446),
    [anon_sym_sizeof] = ACTIONS(2444),
    [anon_sym___alignof__] = ACTIONS(2444),
    [anon_sym___alignof] = ACTIONS(2444),
    [anon_sym__alignof] = ACTIONS(2444),
    [anon_sym_alignof] = ACTIONS(2444),
    [anon_sym__Alignof] = ACTIONS(2444),
    [anon_sym_offsetof] = ACTIONS(2444),
    [anon_sym__Generic] = ACTIONS(2444),
    [anon_sym_asm] = ACTIONS(2444),
    [anon_sym___asm__] = ACTIONS(2444),
    [sym_number_literal] = ACTIONS(2446),
    [anon_sym_L_SQUOTE] = ACTIONS(2446),
    [anon_sym_u_SQUOTE] = ACTIONS(2446),
    [anon_sym_U_SQUOTE] = ACTIONS(2446),
    [anon_sym_u8_SQUOTE] = ACTIONS(2446),
    [anon_sym_SQUOTE] = ACTIONS(2446),
    [anon_sym_L_DQUOTE] = ACTIONS(2446),
    [anon_sym_u_DQUOTE] = ACTIONS(2446),
    [anon_sym_U_DQUOTE] = ACTIONS(2446),
    [anon_sym_u8_DQUOTE] = ACTIONS(2446),
    [anon_sym_DQUOTE] = ACTIONS(2446),
    [sym_true] = ACTIONS(2444),
    [sym_false] = ACTIONS(2444),
    [anon_sym_NULL] = ACTIONS(2444),
    [anon_sym_nullptr] = ACTIONS(2444),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2444),
    [anon_sym_decltype] = ACTIONS(2444),
    [anon_sym_virtual] = ACTIONS(2444),
    [anon_sym_alignas] = ACTIONS(2444),
    [anon_sym_explicit] = ACTIONS(2444),
    [anon_sym_typename] = ACTIONS(2444),
    [anon_sym_template] = ACTIONS(2444),
    [anon_sym_operator] = ACTIONS(2444),
    [anon_sym_try] = ACTIONS(2444),
    [anon_sym_delete] = ACTIONS(2444),
    [anon_sym_throw] = ACTIONS(2444),
    [anon_sym_namespace] = ACTIONS(2444),
    [anon_sym_using] = ACTIONS(2444),
    [anon_sym_static_assert] = ACTIONS(2444),
    [anon_sym_concept] = ACTIONS(2444),
    [anon_sym_co_return] = ACTIONS(2444),
    [anon_sym_co_yield] = ACTIONS(2444),
    [anon_sym_R_DQUOTE] = ACTIONS(2446),
    [anon_sym_LR_DQUOTE] = ACTIONS(2446),
    [anon_sym_uR_DQUOTE] = ACTIONS(2446),
    [anon_sym_UR_DQUOTE] = ACTIONS(2446),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2446),
    [anon_sym_co_await] = ACTIONS(2444),
    [anon_sym_new] = ACTIONS(2444),
    [anon_sym_requires] = ACTIONS(2444),
    [sym_this] = ACTIONS(2444),
    [anon_sym_discard] = ACTIONS(2444),
    [anon_sym_precise] = ACTIONS(2444),
    [anon_sym_shared] = ACTIONS(2444),
    [anon_sym_groupshared] = ACTIONS(2444),
    [anon_sym_uniform] = ACTIONS(2444),
    [anon_sym_row_major] = ACTIONS(2444),
    [anon_sym_column_major] = ACTIONS(2444),
    [anon_sym_globallycoherent] = ACTIONS(2444),
    [anon_sym_centroid] = ACTIONS(2444),
    [anon_sym_noperspective] = ACTIONS(2444),
    [anon_sym_nointerpolation] = ACTIONS(2444),
    [anon_sym_sample] = ACTIONS(2444),
    [anon_sym_linear] = ACTIONS(2444),
    [anon_sym_snorm] = ACTIONS(2444),
    [anon_sym_unorm] = ACTIONS(2444),
    [anon_sym_point] = ACTIONS(2444),
    [anon_sym_line] = ACTIONS(2444),
    [anon_sym_triangleadj] = ACTIONS(2444),
    [anon_sym_lineadj] = ACTIONS(2444),
    [anon_sym_triangle] = ACTIONS(2444),
    [anon_sym_cbuffer] = ACTIONS(2444),
  },
  [556] = {
    [sym_identifier] = ACTIONS(2444),
    [aux_sym_preproc_include_token1] = ACTIONS(2444),
    [aux_sym_preproc_def_token1] = ACTIONS(2444),
    [aux_sym_preproc_if_token1] = ACTIONS(2444),
    [aux_sym_preproc_if_token2] = ACTIONS(2444),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2444),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2444),
    [aux_sym_preproc_else_token1] = ACTIONS(2444),
    [aux_sym_preproc_elif_token1] = ACTIONS(2444),
    [sym_preproc_directive] = ACTIONS(2444),
    [anon_sym_LPAREN2] = ACTIONS(2446),
    [anon_sym_BANG] = ACTIONS(2446),
    [anon_sym_TILDE] = ACTIONS(2446),
    [anon_sym_DASH] = ACTIONS(2444),
    [anon_sym_PLUS] = ACTIONS(2444),
    [anon_sym_STAR] = ACTIONS(2446),
    [anon_sym_AMP_AMP] = ACTIONS(2446),
    [anon_sym_AMP] = ACTIONS(2444),
    [anon_sym_SEMI] = ACTIONS(2446),
    [anon_sym___extension__] = ACTIONS(2444),
    [anon_sym_typedef] = ACTIONS(2444),
    [anon_sym_in] = ACTIONS(2444),
    [anon_sym_out] = ACTIONS(2444),
    [anon_sym_inout] = ACTIONS(2444),
    [anon_sym_extern] = ACTIONS(2444),
    [anon_sym___attribute__] = ACTIONS(2444),
    [anon_sym_COLON_COLON] = ACTIONS(2446),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2446),
    [anon_sym___declspec] = ACTIONS(2444),
    [anon_sym___based] = ACTIONS(2444),
    [anon_sym___cdecl] = ACTIONS(2444),
    [anon_sym___clrcall] = ACTIONS(2444),
    [anon_sym___stdcall] = ACTIONS(2444),
    [anon_sym___fastcall] = ACTIONS(2444),
    [anon_sym___thiscall] = ACTIONS(2444),
    [anon_sym___vectorcall] = ACTIONS(2444),
    [anon_sym_LBRACE] = ACTIONS(2446),
    [anon_sym_signed] = ACTIONS(2444),
    [anon_sym_unsigned] = ACTIONS(2444),
    [anon_sym_long] = ACTIONS(2444),
    [anon_sym_short] = ACTIONS(2444),
    [anon_sym_LBRACK] = ACTIONS(2444),
    [anon_sym_static] = ACTIONS(2444),
    [anon_sym_register] = ACTIONS(2444),
    [anon_sym_inline] = ACTIONS(2444),
    [anon_sym___inline] = ACTIONS(2444),
    [anon_sym___inline__] = ACTIONS(2444),
    [anon_sym___forceinline] = ACTIONS(2444),
    [anon_sym_thread_local] = ACTIONS(2444),
    [anon_sym___thread] = ACTIONS(2444),
    [anon_sym_const] = ACTIONS(2444),
    [anon_sym_constexpr] = ACTIONS(2444),
    [anon_sym_volatile] = ACTIONS(2444),
    [anon_sym_restrict] = ACTIONS(2444),
    [anon_sym___restrict__] = ACTIONS(2444),
    [anon_sym__Atomic] = ACTIONS(2444),
    [anon_sym__Noreturn] = ACTIONS(2444),
    [anon_sym_noreturn] = ACTIONS(2444),
    [anon_sym_mutable] = ACTIONS(2444),
    [anon_sym_constinit] = ACTIONS(2444),
    [anon_sym_consteval] = ACTIONS(2444),
    [sym_primitive_type] = ACTIONS(2444),
    [anon_sym_enum] = ACTIONS(2444),
    [anon_sym_class] = ACTIONS(2444),
    [anon_sym_struct] = ACTIONS(2444),
    [anon_sym_union] = ACTIONS(2444),
    [anon_sym_if] = ACTIONS(2444),
    [anon_sym_else] = ACTIONS(2444),
    [anon_sym_switch] = ACTIONS(2444),
    [anon_sym_case] = ACTIONS(2444),
    [anon_sym_default] = ACTIONS(2444),
    [anon_sym_while] = ACTIONS(2444),
    [anon_sym_do] = ACTIONS(2444),
    [anon_sym_for] = ACTIONS(2444),
    [anon_sym_return] = ACTIONS(2444),
    [anon_sym_break] = ACTIONS(2444),
    [anon_sym_continue] = ACTIONS(2444),
    [anon_sym_goto] = ACTIONS(2444),
    [anon_sym___try] = ACTIONS(2444),
    [anon_sym___leave] = ACTIONS(2444),
    [anon_sym_not] = ACTIONS(2444),
    [anon_sym_compl] = ACTIONS(2444),
    [anon_sym_DASH_DASH] = ACTIONS(2446),
    [anon_sym_PLUS_PLUS] = ACTIONS(2446),
    [anon_sym_sizeof] = ACTIONS(2444),
    [anon_sym___alignof__] = ACTIONS(2444),
    [anon_sym___alignof] = ACTIONS(2444),
    [anon_sym__alignof] = ACTIONS(2444),
    [anon_sym_alignof] = ACTIONS(2444),
    [anon_sym__Alignof] = ACTIONS(2444),
    [anon_sym_offsetof] = ACTIONS(2444),
    [anon_sym__Generic] = ACTIONS(2444),
    [anon_sym_asm] = ACTIONS(2444),
    [anon_sym___asm__] = ACTIONS(2444),
    [sym_number_literal] = ACTIONS(2446),
    [anon_sym_L_SQUOTE] = ACTIONS(2446),
    [anon_sym_u_SQUOTE] = ACTIONS(2446),
    [anon_sym_U_SQUOTE] = ACTIONS(2446),
    [anon_sym_u8_SQUOTE] = ACTIONS(2446),
    [anon_sym_SQUOTE] = ACTIONS(2446),
    [anon_sym_L_DQUOTE] = ACTIONS(2446),
    [anon_sym_u_DQUOTE] = ACTIONS(2446),
    [anon_sym_U_DQUOTE] = ACTIONS(2446),
    [anon_sym_u8_DQUOTE] = ACTIONS(2446),
    [anon_sym_DQUOTE] = ACTIONS(2446),
    [sym_true] = ACTIONS(2444),
    [sym_false] = ACTIONS(2444),
    [anon_sym_NULL] = ACTIONS(2444),
    [anon_sym_nullptr] = ACTIONS(2444),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2444),
    [anon_sym_decltype] = ACTIONS(2444),
    [anon_sym_virtual] = ACTIONS(2444),
    [anon_sym_alignas] = ACTIONS(2444),
    [anon_sym_explicit] = ACTIONS(2444),
    [anon_sym_typename] = ACTIONS(2444),
    [anon_sym_template] = ACTIONS(2444),
    [anon_sym_operator] = ACTIONS(2444),
    [anon_sym_try] = ACTIONS(2444),
    [anon_sym_delete] = ACTIONS(2444),
    [anon_sym_throw] = ACTIONS(2444),
    [anon_sym_namespace] = ACTIONS(2444),
    [anon_sym_using] = ACTIONS(2444),
    [anon_sym_static_assert] = ACTIONS(2444),
    [anon_sym_concept] = ACTIONS(2444),
    [anon_sym_co_return] = ACTIONS(2444),
    [anon_sym_co_yield] = ACTIONS(2444),
    [anon_sym_R_DQUOTE] = ACTIONS(2446),
    [anon_sym_LR_DQUOTE] = ACTIONS(2446),
    [anon_sym_uR_DQUOTE] = ACTIONS(2446),
    [anon_sym_UR_DQUOTE] = ACTIONS(2446),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2446),
    [anon_sym_co_await] = ACTIONS(2444),
    [anon_sym_new] = ACTIONS(2444),
    [anon_sym_requires] = ACTIONS(2444),
    [sym_this] = ACTIONS(2444),
    [anon_sym_discard] = ACTIONS(2444),
    [anon_sym_precise] = ACTIONS(2444),
    [anon_sym_shared] = ACTIONS(2444),
    [anon_sym_groupshared] = ACTIONS(2444),
    [anon_sym_uniform] = ACTIONS(2444),
    [anon_sym_row_major] = ACTIONS(2444),
    [anon_sym_column_major] = ACTIONS(2444),
    [anon_sym_globallycoherent] = ACTIONS(2444),
    [anon_sym_centroid] = ACTIONS(2444),
    [anon_sym_noperspective] = ACTIONS(2444),
    [anon_sym_nointerpolation] = ACTIONS(2444),
    [anon_sym_sample] = ACTIONS(2444),
    [anon_sym_linear] = ACTIONS(2444),
    [anon_sym_snorm] = ACTIONS(2444),
    [anon_sym_unorm] = ACTIONS(2444),
    [anon_sym_point] = ACTIONS(2444),
    [anon_sym_line] = ACTIONS(2444),
    [anon_sym_triangleadj] = ACTIONS(2444),
    [anon_sym_lineadj] = ACTIONS(2444),
    [anon_sym_triangle] = ACTIONS(2444),
    [anon_sym_cbuffer] = ACTIONS(2444),
  },
  [557] = {
    [sym_identifier] = ACTIONS(2444),
    [aux_sym_preproc_include_token1] = ACTIONS(2444),
    [aux_sym_preproc_def_token1] = ACTIONS(2444),
    [aux_sym_preproc_if_token1] = ACTIONS(2444),
    [aux_sym_preproc_if_token2] = ACTIONS(2444),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2444),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2444),
    [aux_sym_preproc_else_token1] = ACTIONS(2444),
    [aux_sym_preproc_elif_token1] = ACTIONS(2444),
    [sym_preproc_directive] = ACTIONS(2444),
    [anon_sym_LPAREN2] = ACTIONS(2446),
    [anon_sym_BANG] = ACTIONS(2446),
    [anon_sym_TILDE] = ACTIONS(2446),
    [anon_sym_DASH] = ACTIONS(2444),
    [anon_sym_PLUS] = ACTIONS(2444),
    [anon_sym_STAR] = ACTIONS(2446),
    [anon_sym_AMP_AMP] = ACTIONS(2446),
    [anon_sym_AMP] = ACTIONS(2444),
    [anon_sym_SEMI] = ACTIONS(2446),
    [anon_sym___extension__] = ACTIONS(2444),
    [anon_sym_typedef] = ACTIONS(2444),
    [anon_sym_in] = ACTIONS(2444),
    [anon_sym_out] = ACTIONS(2444),
    [anon_sym_inout] = ACTIONS(2444),
    [anon_sym_extern] = ACTIONS(2444),
    [anon_sym___attribute__] = ACTIONS(2444),
    [anon_sym_COLON_COLON] = ACTIONS(2446),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2446),
    [anon_sym___declspec] = ACTIONS(2444),
    [anon_sym___based] = ACTIONS(2444),
    [anon_sym___cdecl] = ACTIONS(2444),
    [anon_sym___clrcall] = ACTIONS(2444),
    [anon_sym___stdcall] = ACTIONS(2444),
    [anon_sym___fastcall] = ACTIONS(2444),
    [anon_sym___thiscall] = ACTIONS(2444),
    [anon_sym___vectorcall] = ACTIONS(2444),
    [anon_sym_LBRACE] = ACTIONS(2446),
    [anon_sym_signed] = ACTIONS(2444),
    [anon_sym_unsigned] = ACTIONS(2444),
    [anon_sym_long] = ACTIONS(2444),
    [anon_sym_short] = ACTIONS(2444),
    [anon_sym_LBRACK] = ACTIONS(2444),
    [anon_sym_static] = ACTIONS(2444),
    [anon_sym_register] = ACTIONS(2444),
    [anon_sym_inline] = ACTIONS(2444),
    [anon_sym___inline] = ACTIONS(2444),
    [anon_sym___inline__] = ACTIONS(2444),
    [anon_sym___forceinline] = ACTIONS(2444),
    [anon_sym_thread_local] = ACTIONS(2444),
    [anon_sym___thread] = ACTIONS(2444),
    [anon_sym_const] = ACTIONS(2444),
    [anon_sym_constexpr] = ACTIONS(2444),
    [anon_sym_volatile] = ACTIONS(2444),
    [anon_sym_restrict] = ACTIONS(2444),
    [anon_sym___restrict__] = ACTIONS(2444),
    [anon_sym__Atomic] = ACTIONS(2444),
    [anon_sym__Noreturn] = ACTIONS(2444),
    [anon_sym_noreturn] = ACTIONS(2444),
    [anon_sym_mutable] = ACTIONS(2444),
    [anon_sym_constinit] = ACTIONS(2444),
    [anon_sym_consteval] = ACTIONS(2444),
    [sym_primitive_type] = ACTIONS(2444),
    [anon_sym_enum] = ACTIONS(2444),
    [anon_sym_class] = ACTIONS(2444),
    [anon_sym_struct] = ACTIONS(2444),
    [anon_sym_union] = ACTIONS(2444),
    [anon_sym_if] = ACTIONS(2444),
    [anon_sym_else] = ACTIONS(2444),
    [anon_sym_switch] = ACTIONS(2444),
    [anon_sym_case] = ACTIONS(2444),
    [anon_sym_default] = ACTIONS(2444),
    [anon_sym_while] = ACTIONS(2444),
    [anon_sym_do] = ACTIONS(2444),
    [anon_sym_for] = ACTIONS(2444),
    [anon_sym_return] = ACTIONS(2444),
    [anon_sym_break] = ACTIONS(2444),
    [anon_sym_continue] = ACTIONS(2444),
    [anon_sym_goto] = ACTIONS(2444),
    [anon_sym___try] = ACTIONS(2444),
    [anon_sym___leave] = ACTIONS(2444),
    [anon_sym_not] = ACTIONS(2444),
    [anon_sym_compl] = ACTIONS(2444),
    [anon_sym_DASH_DASH] = ACTIONS(2446),
    [anon_sym_PLUS_PLUS] = ACTIONS(2446),
    [anon_sym_sizeof] = ACTIONS(2444),
    [anon_sym___alignof__] = ACTIONS(2444),
    [anon_sym___alignof] = ACTIONS(2444),
    [anon_sym__alignof] = ACTIONS(2444),
    [anon_sym_alignof] = ACTIONS(2444),
    [anon_sym__Alignof] = ACTIONS(2444),
    [anon_sym_offsetof] = ACTIONS(2444),
    [anon_sym__Generic] = ACTIONS(2444),
    [anon_sym_asm] = ACTIONS(2444),
    [anon_sym___asm__] = ACTIONS(2444),
    [sym_number_literal] = ACTIONS(2446),
    [anon_sym_L_SQUOTE] = ACTIONS(2446),
    [anon_sym_u_SQUOTE] = ACTIONS(2446),
    [anon_sym_U_SQUOTE] = ACTIONS(2446),
    [anon_sym_u8_SQUOTE] = ACTIONS(2446),
    [anon_sym_SQUOTE] = ACTIONS(2446),
    [anon_sym_L_DQUOTE] = ACTIONS(2446),
    [anon_sym_u_DQUOTE] = ACTIONS(2446),
    [anon_sym_U_DQUOTE] = ACTIONS(2446),
    [anon_sym_u8_DQUOTE] = ACTIONS(2446),
    [anon_sym_DQUOTE] = ACTIONS(2446),
    [sym_true] = ACTIONS(2444),
    [sym_false] = ACTIONS(2444),
    [anon_sym_NULL] = ACTIONS(2444),
    [anon_sym_nullptr] = ACTIONS(2444),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2444),
    [anon_sym_decltype] = ACTIONS(2444),
    [anon_sym_virtual] = ACTIONS(2444),
    [anon_sym_alignas] = ACTIONS(2444),
    [anon_sym_explicit] = ACTIONS(2444),
    [anon_sym_typename] = ACTIONS(2444),
    [anon_sym_template] = ACTIONS(2444),
    [anon_sym_operator] = ACTIONS(2444),
    [anon_sym_try] = ACTIONS(2444),
    [anon_sym_delete] = ACTIONS(2444),
    [anon_sym_throw] = ACTIONS(2444),
    [anon_sym_namespace] = ACTIONS(2444),
    [anon_sym_using] = ACTIONS(2444),
    [anon_sym_static_assert] = ACTIONS(2444),
    [anon_sym_concept] = ACTIONS(2444),
    [anon_sym_co_return] = ACTIONS(2444),
    [anon_sym_co_yield] = ACTIONS(2444),
    [anon_sym_R_DQUOTE] = ACTIONS(2446),
    [anon_sym_LR_DQUOTE] = ACTIONS(2446),
    [anon_sym_uR_DQUOTE] = ACTIONS(2446),
    [anon_sym_UR_DQUOTE] = ACTIONS(2446),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2446),
    [anon_sym_co_await] = ACTIONS(2444),
    [anon_sym_new] = ACTIONS(2444),
    [anon_sym_requires] = ACTIONS(2444),
    [sym_this] = ACTIONS(2444),
    [anon_sym_discard] = ACTIONS(2444),
    [anon_sym_precise] = ACTIONS(2444),
    [anon_sym_shared] = ACTIONS(2444),
    [anon_sym_groupshared] = ACTIONS(2444),
    [anon_sym_uniform] = ACTIONS(2444),
    [anon_sym_row_major] = ACTIONS(2444),
    [anon_sym_column_major] = ACTIONS(2444),
    [anon_sym_globallycoherent] = ACTIONS(2444),
    [anon_sym_centroid] = ACTIONS(2444),
    [anon_sym_noperspective] = ACTIONS(2444),
    [anon_sym_nointerpolation] = ACTIONS(2444),
    [anon_sym_sample] = ACTIONS(2444),
    [anon_sym_linear] = ACTIONS(2444),
    [anon_sym_snorm] = ACTIONS(2444),
    [anon_sym_unorm] = ACTIONS(2444),
    [anon_sym_point] = ACTIONS(2444),
    [anon_sym_line] = ACTIONS(2444),
    [anon_sym_triangleadj] = ACTIONS(2444),
    [anon_sym_lineadj] = ACTIONS(2444),
    [anon_sym_triangle] = ACTIONS(2444),
    [anon_sym_cbuffer] = ACTIONS(2444),
  },
  [558] = {
    [sym_identifier] = ACTIONS(2368),
    [aux_sym_preproc_include_token1] = ACTIONS(2368),
    [aux_sym_preproc_def_token1] = ACTIONS(2368),
    [aux_sym_preproc_if_token1] = ACTIONS(2368),
    [aux_sym_preproc_if_token2] = ACTIONS(2368),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2368),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2368),
    [aux_sym_preproc_else_token1] = ACTIONS(2368),
    [aux_sym_preproc_elif_token1] = ACTIONS(2368),
    [sym_preproc_directive] = ACTIONS(2368),
    [anon_sym_LPAREN2] = ACTIONS(2370),
    [anon_sym_BANG] = ACTIONS(2370),
    [anon_sym_TILDE] = ACTIONS(2370),
    [anon_sym_DASH] = ACTIONS(2368),
    [anon_sym_PLUS] = ACTIONS(2368),
    [anon_sym_STAR] = ACTIONS(2370),
    [anon_sym_AMP_AMP] = ACTIONS(2370),
    [anon_sym_AMP] = ACTIONS(2368),
    [anon_sym_SEMI] = ACTIONS(2370),
    [anon_sym___extension__] = ACTIONS(2368),
    [anon_sym_typedef] = ACTIONS(2368),
    [anon_sym_in] = ACTIONS(2368),
    [anon_sym_out] = ACTIONS(2368),
    [anon_sym_inout] = ACTIONS(2368),
    [anon_sym_extern] = ACTIONS(2368),
    [anon_sym___attribute__] = ACTIONS(2368),
    [anon_sym_COLON_COLON] = ACTIONS(2370),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2370),
    [anon_sym___declspec] = ACTIONS(2368),
    [anon_sym___based] = ACTIONS(2368),
    [anon_sym___cdecl] = ACTIONS(2368),
    [anon_sym___clrcall] = ACTIONS(2368),
    [anon_sym___stdcall] = ACTIONS(2368),
    [anon_sym___fastcall] = ACTIONS(2368),
    [anon_sym___thiscall] = ACTIONS(2368),
    [anon_sym___vectorcall] = ACTIONS(2368),
    [anon_sym_LBRACE] = ACTIONS(2370),
    [anon_sym_signed] = ACTIONS(2368),
    [anon_sym_unsigned] = ACTIONS(2368),
    [anon_sym_long] = ACTIONS(2368),
    [anon_sym_short] = ACTIONS(2368),
    [anon_sym_LBRACK] = ACTIONS(2368),
    [anon_sym_static] = ACTIONS(2368),
    [anon_sym_register] = ACTIONS(2368),
    [anon_sym_inline] = ACTIONS(2368),
    [anon_sym___inline] = ACTIONS(2368),
    [anon_sym___inline__] = ACTIONS(2368),
    [anon_sym___forceinline] = ACTIONS(2368),
    [anon_sym_thread_local] = ACTIONS(2368),
    [anon_sym___thread] = ACTIONS(2368),
    [anon_sym_const] = ACTIONS(2368),
    [anon_sym_constexpr] = ACTIONS(2368),
    [anon_sym_volatile] = ACTIONS(2368),
    [anon_sym_restrict] = ACTIONS(2368),
    [anon_sym___restrict__] = ACTIONS(2368),
    [anon_sym__Atomic] = ACTIONS(2368),
    [anon_sym__Noreturn] = ACTIONS(2368),
    [anon_sym_noreturn] = ACTIONS(2368),
    [anon_sym_mutable] = ACTIONS(2368),
    [anon_sym_constinit] = ACTIONS(2368),
    [anon_sym_consteval] = ACTIONS(2368),
    [sym_primitive_type] = ACTIONS(2368),
    [anon_sym_enum] = ACTIONS(2368),
    [anon_sym_class] = ACTIONS(2368),
    [anon_sym_struct] = ACTIONS(2368),
    [anon_sym_union] = ACTIONS(2368),
    [anon_sym_if] = ACTIONS(2368),
    [anon_sym_else] = ACTIONS(2368),
    [anon_sym_switch] = ACTIONS(2368),
    [anon_sym_case] = ACTIONS(2368),
    [anon_sym_default] = ACTIONS(2368),
    [anon_sym_while] = ACTIONS(2368),
    [anon_sym_do] = ACTIONS(2368),
    [anon_sym_for] = ACTIONS(2368),
    [anon_sym_return] = ACTIONS(2368),
    [anon_sym_break] = ACTIONS(2368),
    [anon_sym_continue] = ACTIONS(2368),
    [anon_sym_goto] = ACTIONS(2368),
    [anon_sym___try] = ACTIONS(2368),
    [anon_sym___leave] = ACTIONS(2368),
    [anon_sym_not] = ACTIONS(2368),
    [anon_sym_compl] = ACTIONS(2368),
    [anon_sym_DASH_DASH] = ACTIONS(2370),
    [anon_sym_PLUS_PLUS] = ACTIONS(2370),
    [anon_sym_sizeof] = ACTIONS(2368),
    [anon_sym___alignof__] = ACTIONS(2368),
    [anon_sym___alignof] = ACTIONS(2368),
    [anon_sym__alignof] = ACTIONS(2368),
    [anon_sym_alignof] = ACTIONS(2368),
    [anon_sym__Alignof] = ACTIONS(2368),
    [anon_sym_offsetof] = ACTIONS(2368),
    [anon_sym__Generic] = ACTIONS(2368),
    [anon_sym_asm] = ACTIONS(2368),
    [anon_sym___asm__] = ACTIONS(2368),
    [sym_number_literal] = ACTIONS(2370),
    [anon_sym_L_SQUOTE] = ACTIONS(2370),
    [anon_sym_u_SQUOTE] = ACTIONS(2370),
    [anon_sym_U_SQUOTE] = ACTIONS(2370),
    [anon_sym_u8_SQUOTE] = ACTIONS(2370),
    [anon_sym_SQUOTE] = ACTIONS(2370),
    [anon_sym_L_DQUOTE] = ACTIONS(2370),
    [anon_sym_u_DQUOTE] = ACTIONS(2370),
    [anon_sym_U_DQUOTE] = ACTIONS(2370),
    [anon_sym_u8_DQUOTE] = ACTIONS(2370),
    [anon_sym_DQUOTE] = ACTIONS(2370),
    [sym_true] = ACTIONS(2368),
    [sym_false] = ACTIONS(2368),
    [anon_sym_NULL] = ACTIONS(2368),
    [anon_sym_nullptr] = ACTIONS(2368),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2368),
    [anon_sym_decltype] = ACTIONS(2368),
    [anon_sym_virtual] = ACTIONS(2368),
    [anon_sym_alignas] = ACTIONS(2368),
    [anon_sym_explicit] = ACTIONS(2368),
    [anon_sym_typename] = ACTIONS(2368),
    [anon_sym_template] = ACTIONS(2368),
    [anon_sym_operator] = ACTIONS(2368),
    [anon_sym_try] = ACTIONS(2368),
    [anon_sym_delete] = ACTIONS(2368),
    [anon_sym_throw] = ACTIONS(2368),
    [anon_sym_namespace] = ACTIONS(2368),
    [anon_sym_using] = ACTIONS(2368),
    [anon_sym_static_assert] = ACTIONS(2368),
    [anon_sym_concept] = ACTIONS(2368),
    [anon_sym_co_return] = ACTIONS(2368),
    [anon_sym_co_yield] = ACTIONS(2368),
    [anon_sym_R_DQUOTE] = ACTIONS(2370),
    [anon_sym_LR_DQUOTE] = ACTIONS(2370),
    [anon_sym_uR_DQUOTE] = ACTIONS(2370),
    [anon_sym_UR_DQUOTE] = ACTIONS(2370),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2370),
    [anon_sym_co_await] = ACTIONS(2368),
    [anon_sym_new] = ACTIONS(2368),
    [anon_sym_requires] = ACTIONS(2368),
    [sym_this] = ACTIONS(2368),
    [anon_sym_discard] = ACTIONS(2368),
    [anon_sym_precise] = ACTIONS(2368),
    [anon_sym_shared] = ACTIONS(2368),
    [anon_sym_groupshared] = ACTIONS(2368),
    [anon_sym_uniform] = ACTIONS(2368),
    [anon_sym_row_major] = ACTIONS(2368),
    [anon_sym_column_major] = ACTIONS(2368),
    [anon_sym_globallycoherent] = ACTIONS(2368),
    [anon_sym_centroid] = ACTIONS(2368),
    [anon_sym_noperspective] = ACTIONS(2368),
    [anon_sym_nointerpolation] = ACTIONS(2368),
    [anon_sym_sample] = ACTIONS(2368),
    [anon_sym_linear] = ACTIONS(2368),
    [anon_sym_snorm] = ACTIONS(2368),
    [anon_sym_unorm] = ACTIONS(2368),
    [anon_sym_point] = ACTIONS(2368),
    [anon_sym_line] = ACTIONS(2368),
    [anon_sym_triangleadj] = ACTIONS(2368),
    [anon_sym_lineadj] = ACTIONS(2368),
    [anon_sym_triangle] = ACTIONS(2368),
    [anon_sym_cbuffer] = ACTIONS(2368),
  },
  [559] = {
    [sym_identifier] = ACTIONS(2444),
    [aux_sym_preproc_include_token1] = ACTIONS(2444),
    [aux_sym_preproc_def_token1] = ACTIONS(2444),
    [aux_sym_preproc_if_token1] = ACTIONS(2444),
    [aux_sym_preproc_if_token2] = ACTIONS(2444),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2444),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2444),
    [aux_sym_preproc_else_token1] = ACTIONS(2444),
    [aux_sym_preproc_elif_token1] = ACTIONS(2444),
    [sym_preproc_directive] = ACTIONS(2444),
    [anon_sym_LPAREN2] = ACTIONS(2446),
    [anon_sym_BANG] = ACTIONS(2446),
    [anon_sym_TILDE] = ACTIONS(2446),
    [anon_sym_DASH] = ACTIONS(2444),
    [anon_sym_PLUS] = ACTIONS(2444),
    [anon_sym_STAR] = ACTIONS(2446),
    [anon_sym_AMP_AMP] = ACTIONS(2446),
    [anon_sym_AMP] = ACTIONS(2444),
    [anon_sym_SEMI] = ACTIONS(2446),
    [anon_sym___extension__] = ACTIONS(2444),
    [anon_sym_typedef] = ACTIONS(2444),
    [anon_sym_in] = ACTIONS(2444),
    [anon_sym_out] = ACTIONS(2444),
    [anon_sym_inout] = ACTIONS(2444),
    [anon_sym_extern] = ACTIONS(2444),
    [anon_sym___attribute__] = ACTIONS(2444),
    [anon_sym_COLON_COLON] = ACTIONS(2446),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2446),
    [anon_sym___declspec] = ACTIONS(2444),
    [anon_sym___based] = ACTIONS(2444),
    [anon_sym___cdecl] = ACTIONS(2444),
    [anon_sym___clrcall] = ACTIONS(2444),
    [anon_sym___stdcall] = ACTIONS(2444),
    [anon_sym___fastcall] = ACTIONS(2444),
    [anon_sym___thiscall] = ACTIONS(2444),
    [anon_sym___vectorcall] = ACTIONS(2444),
    [anon_sym_LBRACE] = ACTIONS(2446),
    [anon_sym_signed] = ACTIONS(2444),
    [anon_sym_unsigned] = ACTIONS(2444),
    [anon_sym_long] = ACTIONS(2444),
    [anon_sym_short] = ACTIONS(2444),
    [anon_sym_LBRACK] = ACTIONS(2444),
    [anon_sym_static] = ACTIONS(2444),
    [anon_sym_register] = ACTIONS(2444),
    [anon_sym_inline] = ACTIONS(2444),
    [anon_sym___inline] = ACTIONS(2444),
    [anon_sym___inline__] = ACTIONS(2444),
    [anon_sym___forceinline] = ACTIONS(2444),
    [anon_sym_thread_local] = ACTIONS(2444),
    [anon_sym___thread] = ACTIONS(2444),
    [anon_sym_const] = ACTIONS(2444),
    [anon_sym_constexpr] = ACTIONS(2444),
    [anon_sym_volatile] = ACTIONS(2444),
    [anon_sym_restrict] = ACTIONS(2444),
    [anon_sym___restrict__] = ACTIONS(2444),
    [anon_sym__Atomic] = ACTIONS(2444),
    [anon_sym__Noreturn] = ACTIONS(2444),
    [anon_sym_noreturn] = ACTIONS(2444),
    [anon_sym_mutable] = ACTIONS(2444),
    [anon_sym_constinit] = ACTIONS(2444),
    [anon_sym_consteval] = ACTIONS(2444),
    [sym_primitive_type] = ACTIONS(2444),
    [anon_sym_enum] = ACTIONS(2444),
    [anon_sym_class] = ACTIONS(2444),
    [anon_sym_struct] = ACTIONS(2444),
    [anon_sym_union] = ACTIONS(2444),
    [anon_sym_if] = ACTIONS(2444),
    [anon_sym_else] = ACTIONS(2444),
    [anon_sym_switch] = ACTIONS(2444),
    [anon_sym_case] = ACTIONS(2444),
    [anon_sym_default] = ACTIONS(2444),
    [anon_sym_while] = ACTIONS(2444),
    [anon_sym_do] = ACTIONS(2444),
    [anon_sym_for] = ACTIONS(2444),
    [anon_sym_return] = ACTIONS(2444),
    [anon_sym_break] = ACTIONS(2444),
    [anon_sym_continue] = ACTIONS(2444),
    [anon_sym_goto] = ACTIONS(2444),
    [anon_sym___try] = ACTIONS(2444),
    [anon_sym___leave] = ACTIONS(2444),
    [anon_sym_not] = ACTIONS(2444),
    [anon_sym_compl] = ACTIONS(2444),
    [anon_sym_DASH_DASH] = ACTIONS(2446),
    [anon_sym_PLUS_PLUS] = ACTIONS(2446),
    [anon_sym_sizeof] = ACTIONS(2444),
    [anon_sym___alignof__] = ACTIONS(2444),
    [anon_sym___alignof] = ACTIONS(2444),
    [anon_sym__alignof] = ACTIONS(2444),
    [anon_sym_alignof] = ACTIONS(2444),
    [anon_sym__Alignof] = ACTIONS(2444),
    [anon_sym_offsetof] = ACTIONS(2444),
    [anon_sym__Generic] = ACTIONS(2444),
    [anon_sym_asm] = ACTIONS(2444),
    [anon_sym___asm__] = ACTIONS(2444),
    [sym_number_literal] = ACTIONS(2446),
    [anon_sym_L_SQUOTE] = ACTIONS(2446),
    [anon_sym_u_SQUOTE] = ACTIONS(2446),
    [anon_sym_U_SQUOTE] = ACTIONS(2446),
    [anon_sym_u8_SQUOTE] = ACTIONS(2446),
    [anon_sym_SQUOTE] = ACTIONS(2446),
    [anon_sym_L_DQUOTE] = ACTIONS(2446),
    [anon_sym_u_DQUOTE] = ACTIONS(2446),
    [anon_sym_U_DQUOTE] = ACTIONS(2446),
    [anon_sym_u8_DQUOTE] = ACTIONS(2446),
    [anon_sym_DQUOTE] = ACTIONS(2446),
    [sym_true] = ACTIONS(2444),
    [sym_false] = ACTIONS(2444),
    [anon_sym_NULL] = ACTIONS(2444),
    [anon_sym_nullptr] = ACTIONS(2444),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2444),
    [anon_sym_decltype] = ACTIONS(2444),
    [anon_sym_virtual] = ACTIONS(2444),
    [anon_sym_alignas] = ACTIONS(2444),
    [anon_sym_explicit] = ACTIONS(2444),
    [anon_sym_typename] = ACTIONS(2444),
    [anon_sym_template] = ACTIONS(2444),
    [anon_sym_operator] = ACTIONS(2444),
    [anon_sym_try] = ACTIONS(2444),
    [anon_sym_delete] = ACTIONS(2444),
    [anon_sym_throw] = ACTIONS(2444),
    [anon_sym_namespace] = ACTIONS(2444),
    [anon_sym_using] = ACTIONS(2444),
    [anon_sym_static_assert] = ACTIONS(2444),
    [anon_sym_concept] = ACTIONS(2444),
    [anon_sym_co_return] = ACTIONS(2444),
    [anon_sym_co_yield] = ACTIONS(2444),
    [anon_sym_R_DQUOTE] = ACTIONS(2446),
    [anon_sym_LR_DQUOTE] = ACTIONS(2446),
    [anon_sym_uR_DQUOTE] = ACTIONS(2446),
    [anon_sym_UR_DQUOTE] = ACTIONS(2446),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2446),
    [anon_sym_co_await] = ACTIONS(2444),
    [anon_sym_new] = ACTIONS(2444),
    [anon_sym_requires] = ACTIONS(2444),
    [sym_this] = ACTIONS(2444),
    [anon_sym_discard] = ACTIONS(2444),
    [anon_sym_precise] = ACTIONS(2444),
    [anon_sym_shared] = ACTIONS(2444),
    [anon_sym_groupshared] = ACTIONS(2444),
    [anon_sym_uniform] = ACTIONS(2444),
    [anon_sym_row_major] = ACTIONS(2444),
    [anon_sym_column_major] = ACTIONS(2444),
    [anon_sym_globallycoherent] = ACTIONS(2444),
    [anon_sym_centroid] = ACTIONS(2444),
    [anon_sym_noperspective] = ACTIONS(2444),
    [anon_sym_nointerpolation] = ACTIONS(2444),
    [anon_sym_sample] = ACTIONS(2444),
    [anon_sym_linear] = ACTIONS(2444),
    [anon_sym_snorm] = ACTIONS(2444),
    [anon_sym_unorm] = ACTIONS(2444),
    [anon_sym_point] = ACTIONS(2444),
    [anon_sym_line] = ACTIONS(2444),
    [anon_sym_triangleadj] = ACTIONS(2444),
    [anon_sym_lineadj] = ACTIONS(2444),
    [anon_sym_triangle] = ACTIONS(2444),
    [anon_sym_cbuffer] = ACTIONS(2444),
  },
  [560] = {
    [sym_identifier] = ACTIONS(2444),
    [aux_sym_preproc_include_token1] = ACTIONS(2444),
    [aux_sym_preproc_def_token1] = ACTIONS(2444),
    [aux_sym_preproc_if_token1] = ACTIONS(2444),
    [aux_sym_preproc_if_token2] = ACTIONS(2444),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2444),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2444),
    [aux_sym_preproc_else_token1] = ACTIONS(2444),
    [aux_sym_preproc_elif_token1] = ACTIONS(2444),
    [sym_preproc_directive] = ACTIONS(2444),
    [anon_sym_LPAREN2] = ACTIONS(2446),
    [anon_sym_BANG] = ACTIONS(2446),
    [anon_sym_TILDE] = ACTIONS(2446),
    [anon_sym_DASH] = ACTIONS(2444),
    [anon_sym_PLUS] = ACTIONS(2444),
    [anon_sym_STAR] = ACTIONS(2446),
    [anon_sym_AMP_AMP] = ACTIONS(2446),
    [anon_sym_AMP] = ACTIONS(2444),
    [anon_sym_SEMI] = ACTIONS(2446),
    [anon_sym___extension__] = ACTIONS(2444),
    [anon_sym_typedef] = ACTIONS(2444),
    [anon_sym_in] = ACTIONS(2444),
    [anon_sym_out] = ACTIONS(2444),
    [anon_sym_inout] = ACTIONS(2444),
    [anon_sym_extern] = ACTIONS(2444),
    [anon_sym___attribute__] = ACTIONS(2444),
    [anon_sym_COLON_COLON] = ACTIONS(2446),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2446),
    [anon_sym___declspec] = ACTIONS(2444),
    [anon_sym___based] = ACTIONS(2444),
    [anon_sym___cdecl] = ACTIONS(2444),
    [anon_sym___clrcall] = ACTIONS(2444),
    [anon_sym___stdcall] = ACTIONS(2444),
    [anon_sym___fastcall] = ACTIONS(2444),
    [anon_sym___thiscall] = ACTIONS(2444),
    [anon_sym___vectorcall] = ACTIONS(2444),
    [anon_sym_LBRACE] = ACTIONS(2446),
    [anon_sym_signed] = ACTIONS(2444),
    [anon_sym_unsigned] = ACTIONS(2444),
    [anon_sym_long] = ACTIONS(2444),
    [anon_sym_short] = ACTIONS(2444),
    [anon_sym_LBRACK] = ACTIONS(2444),
    [anon_sym_static] = ACTIONS(2444),
    [anon_sym_register] = ACTIONS(2444),
    [anon_sym_inline] = ACTIONS(2444),
    [anon_sym___inline] = ACTIONS(2444),
    [anon_sym___inline__] = ACTIONS(2444),
    [anon_sym___forceinline] = ACTIONS(2444),
    [anon_sym_thread_local] = ACTIONS(2444),
    [anon_sym___thread] = ACTIONS(2444),
    [anon_sym_const] = ACTIONS(2444),
    [anon_sym_constexpr] = ACTIONS(2444),
    [anon_sym_volatile] = ACTIONS(2444),
    [anon_sym_restrict] = ACTIONS(2444),
    [anon_sym___restrict__] = ACTIONS(2444),
    [anon_sym__Atomic] = ACTIONS(2444),
    [anon_sym__Noreturn] = ACTIONS(2444),
    [anon_sym_noreturn] = ACTIONS(2444),
    [anon_sym_mutable] = ACTIONS(2444),
    [anon_sym_constinit] = ACTIONS(2444),
    [anon_sym_consteval] = ACTIONS(2444),
    [sym_primitive_type] = ACTIONS(2444),
    [anon_sym_enum] = ACTIONS(2444),
    [anon_sym_class] = ACTIONS(2444),
    [anon_sym_struct] = ACTIONS(2444),
    [anon_sym_union] = ACTIONS(2444),
    [anon_sym_if] = ACTIONS(2444),
    [anon_sym_else] = ACTIONS(2444),
    [anon_sym_switch] = ACTIONS(2444),
    [anon_sym_case] = ACTIONS(2444),
    [anon_sym_default] = ACTIONS(2444),
    [anon_sym_while] = ACTIONS(2444),
    [anon_sym_do] = ACTIONS(2444),
    [anon_sym_for] = ACTIONS(2444),
    [anon_sym_return] = ACTIONS(2444),
    [anon_sym_break] = ACTIONS(2444),
    [anon_sym_continue] = ACTIONS(2444),
    [anon_sym_goto] = ACTIONS(2444),
    [anon_sym___try] = ACTIONS(2444),
    [anon_sym___leave] = ACTIONS(2444),
    [anon_sym_not] = ACTIONS(2444),
    [anon_sym_compl] = ACTIONS(2444),
    [anon_sym_DASH_DASH] = ACTIONS(2446),
    [anon_sym_PLUS_PLUS] = ACTIONS(2446),
    [anon_sym_sizeof] = ACTIONS(2444),
    [anon_sym___alignof__] = ACTIONS(2444),
    [anon_sym___alignof] = ACTIONS(2444),
    [anon_sym__alignof] = ACTIONS(2444),
    [anon_sym_alignof] = ACTIONS(2444),
    [anon_sym__Alignof] = ACTIONS(2444),
    [anon_sym_offsetof] = ACTIONS(2444),
    [anon_sym__Generic] = ACTIONS(2444),
    [anon_sym_asm] = ACTIONS(2444),
    [anon_sym___asm__] = ACTIONS(2444),
    [sym_number_literal] = ACTIONS(2446),
    [anon_sym_L_SQUOTE] = ACTIONS(2446),
    [anon_sym_u_SQUOTE] = ACTIONS(2446),
    [anon_sym_U_SQUOTE] = ACTIONS(2446),
    [anon_sym_u8_SQUOTE] = ACTIONS(2446),
    [anon_sym_SQUOTE] = ACTIONS(2446),
    [anon_sym_L_DQUOTE] = ACTIONS(2446),
    [anon_sym_u_DQUOTE] = ACTIONS(2446),
    [anon_sym_U_DQUOTE] = ACTIONS(2446),
    [anon_sym_u8_DQUOTE] = ACTIONS(2446),
    [anon_sym_DQUOTE] = ACTIONS(2446),
    [sym_true] = ACTIONS(2444),
    [sym_false] = ACTIONS(2444),
    [anon_sym_NULL] = ACTIONS(2444),
    [anon_sym_nullptr] = ACTIONS(2444),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2444),
    [anon_sym_decltype] = ACTIONS(2444),
    [anon_sym_virtual] = ACTIONS(2444),
    [anon_sym_alignas] = ACTIONS(2444),
    [anon_sym_explicit] = ACTIONS(2444),
    [anon_sym_typename] = ACTIONS(2444),
    [anon_sym_template] = ACTIONS(2444),
    [anon_sym_operator] = ACTIONS(2444),
    [anon_sym_try] = ACTIONS(2444),
    [anon_sym_delete] = ACTIONS(2444),
    [anon_sym_throw] = ACTIONS(2444),
    [anon_sym_namespace] = ACTIONS(2444),
    [anon_sym_using] = ACTIONS(2444),
    [anon_sym_static_assert] = ACTIONS(2444),
    [anon_sym_concept] = ACTIONS(2444),
    [anon_sym_co_return] = ACTIONS(2444),
    [anon_sym_co_yield] = ACTIONS(2444),
    [anon_sym_R_DQUOTE] = ACTIONS(2446),
    [anon_sym_LR_DQUOTE] = ACTIONS(2446),
    [anon_sym_uR_DQUOTE] = ACTIONS(2446),
    [anon_sym_UR_DQUOTE] = ACTIONS(2446),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2446),
    [anon_sym_co_await] = ACTIONS(2444),
    [anon_sym_new] = ACTIONS(2444),
    [anon_sym_requires] = ACTIONS(2444),
    [sym_this] = ACTIONS(2444),
    [anon_sym_discard] = ACTIONS(2444),
    [anon_sym_precise] = ACTIONS(2444),
    [anon_sym_shared] = ACTIONS(2444),
    [anon_sym_groupshared] = ACTIONS(2444),
    [anon_sym_uniform] = ACTIONS(2444),
    [anon_sym_row_major] = ACTIONS(2444),
    [anon_sym_column_major] = ACTIONS(2444),
    [anon_sym_globallycoherent] = ACTIONS(2444),
    [anon_sym_centroid] = ACTIONS(2444),
    [anon_sym_noperspective] = ACTIONS(2444),
    [anon_sym_nointerpolation] = ACTIONS(2444),
    [anon_sym_sample] = ACTIONS(2444),
    [anon_sym_linear] = ACTIONS(2444),
    [anon_sym_snorm] = ACTIONS(2444),
    [anon_sym_unorm] = ACTIONS(2444),
    [anon_sym_point] = ACTIONS(2444),
    [anon_sym_line] = ACTIONS(2444),
    [anon_sym_triangleadj] = ACTIONS(2444),
    [anon_sym_lineadj] = ACTIONS(2444),
    [anon_sym_triangle] = ACTIONS(2444),
    [anon_sym_cbuffer] = ACTIONS(2444),
  },
  [561] = {
    [sym_identifier] = ACTIONS(2444),
    [aux_sym_preproc_include_token1] = ACTIONS(2444),
    [aux_sym_preproc_def_token1] = ACTIONS(2444),
    [aux_sym_preproc_if_token1] = ACTIONS(2444),
    [aux_sym_preproc_if_token2] = ACTIONS(2444),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2444),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2444),
    [aux_sym_preproc_else_token1] = ACTIONS(2444),
    [aux_sym_preproc_elif_token1] = ACTIONS(2444),
    [sym_preproc_directive] = ACTIONS(2444),
    [anon_sym_LPAREN2] = ACTIONS(2446),
    [anon_sym_BANG] = ACTIONS(2446),
    [anon_sym_TILDE] = ACTIONS(2446),
    [anon_sym_DASH] = ACTIONS(2444),
    [anon_sym_PLUS] = ACTIONS(2444),
    [anon_sym_STAR] = ACTIONS(2446),
    [anon_sym_AMP_AMP] = ACTIONS(2446),
    [anon_sym_AMP] = ACTIONS(2444),
    [anon_sym_SEMI] = ACTIONS(2446),
    [anon_sym___extension__] = ACTIONS(2444),
    [anon_sym_typedef] = ACTIONS(2444),
    [anon_sym_in] = ACTIONS(2444),
    [anon_sym_out] = ACTIONS(2444),
    [anon_sym_inout] = ACTIONS(2444),
    [anon_sym_extern] = ACTIONS(2444),
    [anon_sym___attribute__] = ACTIONS(2444),
    [anon_sym_COLON_COLON] = ACTIONS(2446),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2446),
    [anon_sym___declspec] = ACTIONS(2444),
    [anon_sym___based] = ACTIONS(2444),
    [anon_sym___cdecl] = ACTIONS(2444),
    [anon_sym___clrcall] = ACTIONS(2444),
    [anon_sym___stdcall] = ACTIONS(2444),
    [anon_sym___fastcall] = ACTIONS(2444),
    [anon_sym___thiscall] = ACTIONS(2444),
    [anon_sym___vectorcall] = ACTIONS(2444),
    [anon_sym_LBRACE] = ACTIONS(2446),
    [anon_sym_signed] = ACTIONS(2444),
    [anon_sym_unsigned] = ACTIONS(2444),
    [anon_sym_long] = ACTIONS(2444),
    [anon_sym_short] = ACTIONS(2444),
    [anon_sym_LBRACK] = ACTIONS(2444),
    [anon_sym_static] = ACTIONS(2444),
    [anon_sym_register] = ACTIONS(2444),
    [anon_sym_inline] = ACTIONS(2444),
    [anon_sym___inline] = ACTIONS(2444),
    [anon_sym___inline__] = ACTIONS(2444),
    [anon_sym___forceinline] = ACTIONS(2444),
    [anon_sym_thread_local] = ACTIONS(2444),
    [anon_sym___thread] = ACTIONS(2444),
    [anon_sym_const] = ACTIONS(2444),
    [anon_sym_constexpr] = ACTIONS(2444),
    [anon_sym_volatile] = ACTIONS(2444),
    [anon_sym_restrict] = ACTIONS(2444),
    [anon_sym___restrict__] = ACTIONS(2444),
    [anon_sym__Atomic] = ACTIONS(2444),
    [anon_sym__Noreturn] = ACTIONS(2444),
    [anon_sym_noreturn] = ACTIONS(2444),
    [anon_sym_mutable] = ACTIONS(2444),
    [anon_sym_constinit] = ACTIONS(2444),
    [anon_sym_consteval] = ACTIONS(2444),
    [sym_primitive_type] = ACTIONS(2444),
    [anon_sym_enum] = ACTIONS(2444),
    [anon_sym_class] = ACTIONS(2444),
    [anon_sym_struct] = ACTIONS(2444),
    [anon_sym_union] = ACTIONS(2444),
    [anon_sym_if] = ACTIONS(2444),
    [anon_sym_else] = ACTIONS(2444),
    [anon_sym_switch] = ACTIONS(2444),
    [anon_sym_case] = ACTIONS(2444),
    [anon_sym_default] = ACTIONS(2444),
    [anon_sym_while] = ACTIONS(2444),
    [anon_sym_do] = ACTIONS(2444),
    [anon_sym_for] = ACTIONS(2444),
    [anon_sym_return] = ACTIONS(2444),
    [anon_sym_break] = ACTIONS(2444),
    [anon_sym_continue] = ACTIONS(2444),
    [anon_sym_goto] = ACTIONS(2444),
    [anon_sym___try] = ACTIONS(2444),
    [anon_sym___leave] = ACTIONS(2444),
    [anon_sym_not] = ACTIONS(2444),
    [anon_sym_compl] = ACTIONS(2444),
    [anon_sym_DASH_DASH] = ACTIONS(2446),
    [anon_sym_PLUS_PLUS] = ACTIONS(2446),
    [anon_sym_sizeof] = ACTIONS(2444),
    [anon_sym___alignof__] = ACTIONS(2444),
    [anon_sym___alignof] = ACTIONS(2444),
    [anon_sym__alignof] = ACTIONS(2444),
    [anon_sym_alignof] = ACTIONS(2444),
    [anon_sym__Alignof] = ACTIONS(2444),
    [anon_sym_offsetof] = ACTIONS(2444),
    [anon_sym__Generic] = ACTIONS(2444),
    [anon_sym_asm] = ACTIONS(2444),
    [anon_sym___asm__] = ACTIONS(2444),
    [sym_number_literal] = ACTIONS(2446),
    [anon_sym_L_SQUOTE] = ACTIONS(2446),
    [anon_sym_u_SQUOTE] = ACTIONS(2446),
    [anon_sym_U_SQUOTE] = ACTIONS(2446),
    [anon_sym_u8_SQUOTE] = ACTIONS(2446),
    [anon_sym_SQUOTE] = ACTIONS(2446),
    [anon_sym_L_DQUOTE] = ACTIONS(2446),
    [anon_sym_u_DQUOTE] = ACTIONS(2446),
    [anon_sym_U_DQUOTE] = ACTIONS(2446),
    [anon_sym_u8_DQUOTE] = ACTIONS(2446),
    [anon_sym_DQUOTE] = ACTIONS(2446),
    [sym_true] = ACTIONS(2444),
    [sym_false] = ACTIONS(2444),
    [anon_sym_NULL] = ACTIONS(2444),
    [anon_sym_nullptr] = ACTIONS(2444),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2444),
    [anon_sym_decltype] = ACTIONS(2444),
    [anon_sym_virtual] = ACTIONS(2444),
    [anon_sym_alignas] = ACTIONS(2444),
    [anon_sym_explicit] = ACTIONS(2444),
    [anon_sym_typename] = ACTIONS(2444),
    [anon_sym_template] = ACTIONS(2444),
    [anon_sym_operator] = ACTIONS(2444),
    [anon_sym_try] = ACTIONS(2444),
    [anon_sym_delete] = ACTIONS(2444),
    [anon_sym_throw] = ACTIONS(2444),
    [anon_sym_namespace] = ACTIONS(2444),
    [anon_sym_using] = ACTIONS(2444),
    [anon_sym_static_assert] = ACTIONS(2444),
    [anon_sym_concept] = ACTIONS(2444),
    [anon_sym_co_return] = ACTIONS(2444),
    [anon_sym_co_yield] = ACTIONS(2444),
    [anon_sym_R_DQUOTE] = ACTIONS(2446),
    [anon_sym_LR_DQUOTE] = ACTIONS(2446),
    [anon_sym_uR_DQUOTE] = ACTIONS(2446),
    [anon_sym_UR_DQUOTE] = ACTIONS(2446),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2446),
    [anon_sym_co_await] = ACTIONS(2444),
    [anon_sym_new] = ACTIONS(2444),
    [anon_sym_requires] = ACTIONS(2444),
    [sym_this] = ACTIONS(2444),
    [anon_sym_discard] = ACTIONS(2444),
    [anon_sym_precise] = ACTIONS(2444),
    [anon_sym_shared] = ACTIONS(2444),
    [anon_sym_groupshared] = ACTIONS(2444),
    [anon_sym_uniform] = ACTIONS(2444),
    [anon_sym_row_major] = ACTIONS(2444),
    [anon_sym_column_major] = ACTIONS(2444),
    [anon_sym_globallycoherent] = ACTIONS(2444),
    [anon_sym_centroid] = ACTIONS(2444),
    [anon_sym_noperspective] = ACTIONS(2444),
    [anon_sym_nointerpolation] = ACTIONS(2444),
    [anon_sym_sample] = ACTIONS(2444),
    [anon_sym_linear] = ACTIONS(2444),
    [anon_sym_snorm] = ACTIONS(2444),
    [anon_sym_unorm] = ACTIONS(2444),
    [anon_sym_point] = ACTIONS(2444),
    [anon_sym_line] = ACTIONS(2444),
    [anon_sym_triangleadj] = ACTIONS(2444),
    [anon_sym_lineadj] = ACTIONS(2444),
    [anon_sym_triangle] = ACTIONS(2444),
    [anon_sym_cbuffer] = ACTIONS(2444),
  },
  [562] = {
    [sym_identifier] = ACTIONS(2326),
    [aux_sym_preproc_include_token1] = ACTIONS(2326),
    [aux_sym_preproc_def_token1] = ACTIONS(2326),
    [aux_sym_preproc_if_token1] = ACTIONS(2326),
    [aux_sym_preproc_if_token2] = ACTIONS(2326),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2326),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2326),
    [aux_sym_preproc_else_token1] = ACTIONS(2326),
    [aux_sym_preproc_elif_token1] = ACTIONS(2326),
    [sym_preproc_directive] = ACTIONS(2326),
    [anon_sym_LPAREN2] = ACTIONS(2328),
    [anon_sym_BANG] = ACTIONS(2328),
    [anon_sym_TILDE] = ACTIONS(2328),
    [anon_sym_DASH] = ACTIONS(2326),
    [anon_sym_PLUS] = ACTIONS(2326),
    [anon_sym_STAR] = ACTIONS(2328),
    [anon_sym_AMP_AMP] = ACTIONS(2328),
    [anon_sym_AMP] = ACTIONS(2326),
    [anon_sym_SEMI] = ACTIONS(2328),
    [anon_sym___extension__] = ACTIONS(2326),
    [anon_sym_typedef] = ACTIONS(2326),
    [anon_sym_in] = ACTIONS(2326),
    [anon_sym_out] = ACTIONS(2326),
    [anon_sym_inout] = ACTIONS(2326),
    [anon_sym_extern] = ACTIONS(2326),
    [anon_sym___attribute__] = ACTIONS(2326),
    [anon_sym_COLON_COLON] = ACTIONS(2328),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2328),
    [anon_sym___declspec] = ACTIONS(2326),
    [anon_sym___based] = ACTIONS(2326),
    [anon_sym___cdecl] = ACTIONS(2326),
    [anon_sym___clrcall] = ACTIONS(2326),
    [anon_sym___stdcall] = ACTIONS(2326),
    [anon_sym___fastcall] = ACTIONS(2326),
    [anon_sym___thiscall] = ACTIONS(2326),
    [anon_sym___vectorcall] = ACTIONS(2326),
    [anon_sym_LBRACE] = ACTIONS(2328),
    [anon_sym_signed] = ACTIONS(2326),
    [anon_sym_unsigned] = ACTIONS(2326),
    [anon_sym_long] = ACTIONS(2326),
    [anon_sym_short] = ACTIONS(2326),
    [anon_sym_LBRACK] = ACTIONS(2326),
    [anon_sym_static] = ACTIONS(2326),
    [anon_sym_register] = ACTIONS(2326),
    [anon_sym_inline] = ACTIONS(2326),
    [anon_sym___inline] = ACTIONS(2326),
    [anon_sym___inline__] = ACTIONS(2326),
    [anon_sym___forceinline] = ACTIONS(2326),
    [anon_sym_thread_local] = ACTIONS(2326),
    [anon_sym___thread] = ACTIONS(2326),
    [anon_sym_const] = ACTIONS(2326),
    [anon_sym_constexpr] = ACTIONS(2326),
    [anon_sym_volatile] = ACTIONS(2326),
    [anon_sym_restrict] = ACTIONS(2326),
    [anon_sym___restrict__] = ACTIONS(2326),
    [anon_sym__Atomic] = ACTIONS(2326),
    [anon_sym__Noreturn] = ACTIONS(2326),
    [anon_sym_noreturn] = ACTIONS(2326),
    [anon_sym_mutable] = ACTIONS(2326),
    [anon_sym_constinit] = ACTIONS(2326),
    [anon_sym_consteval] = ACTIONS(2326),
    [sym_primitive_type] = ACTIONS(2326),
    [anon_sym_enum] = ACTIONS(2326),
    [anon_sym_class] = ACTIONS(2326),
    [anon_sym_struct] = ACTIONS(2326),
    [anon_sym_union] = ACTIONS(2326),
    [anon_sym_if] = ACTIONS(2326),
    [anon_sym_else] = ACTIONS(2326),
    [anon_sym_switch] = ACTIONS(2326),
    [anon_sym_case] = ACTIONS(2326),
    [anon_sym_default] = ACTIONS(2326),
    [anon_sym_while] = ACTIONS(2326),
    [anon_sym_do] = ACTIONS(2326),
    [anon_sym_for] = ACTIONS(2326),
    [anon_sym_return] = ACTIONS(2326),
    [anon_sym_break] = ACTIONS(2326),
    [anon_sym_continue] = ACTIONS(2326),
    [anon_sym_goto] = ACTIONS(2326),
    [anon_sym___try] = ACTIONS(2326),
    [anon_sym___leave] = ACTIONS(2326),
    [anon_sym_not] = ACTIONS(2326),
    [anon_sym_compl] = ACTIONS(2326),
    [anon_sym_DASH_DASH] = ACTIONS(2328),
    [anon_sym_PLUS_PLUS] = ACTIONS(2328),
    [anon_sym_sizeof] = ACTIONS(2326),
    [anon_sym___alignof__] = ACTIONS(2326),
    [anon_sym___alignof] = ACTIONS(2326),
    [anon_sym__alignof] = ACTIONS(2326),
    [anon_sym_alignof] = ACTIONS(2326),
    [anon_sym__Alignof] = ACTIONS(2326),
    [anon_sym_offsetof] = ACTIONS(2326),
    [anon_sym__Generic] = ACTIONS(2326),
    [anon_sym_asm] = ACTIONS(2326),
    [anon_sym___asm__] = ACTIONS(2326),
    [sym_number_literal] = ACTIONS(2328),
    [anon_sym_L_SQUOTE] = ACTIONS(2328),
    [anon_sym_u_SQUOTE] = ACTIONS(2328),
    [anon_sym_U_SQUOTE] = ACTIONS(2328),
    [anon_sym_u8_SQUOTE] = ACTIONS(2328),
    [anon_sym_SQUOTE] = ACTIONS(2328),
    [anon_sym_L_DQUOTE] = ACTIONS(2328),
    [anon_sym_u_DQUOTE] = ACTIONS(2328),
    [anon_sym_U_DQUOTE] = ACTIONS(2328),
    [anon_sym_u8_DQUOTE] = ACTIONS(2328),
    [anon_sym_DQUOTE] = ACTIONS(2328),
    [sym_true] = ACTIONS(2326),
    [sym_false] = ACTIONS(2326),
    [anon_sym_NULL] = ACTIONS(2326),
    [anon_sym_nullptr] = ACTIONS(2326),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2326),
    [anon_sym_decltype] = ACTIONS(2326),
    [anon_sym_virtual] = ACTIONS(2326),
    [anon_sym_alignas] = ACTIONS(2326),
    [anon_sym_explicit] = ACTIONS(2326),
    [anon_sym_typename] = ACTIONS(2326),
    [anon_sym_template] = ACTIONS(2326),
    [anon_sym_operator] = ACTIONS(2326),
    [anon_sym_try] = ACTIONS(2326),
    [anon_sym_delete] = ACTIONS(2326),
    [anon_sym_throw] = ACTIONS(2326),
    [anon_sym_namespace] = ACTIONS(2326),
    [anon_sym_using] = ACTIONS(2326),
    [anon_sym_static_assert] = ACTIONS(2326),
    [anon_sym_concept] = ACTIONS(2326),
    [anon_sym_co_return] = ACTIONS(2326),
    [anon_sym_co_yield] = ACTIONS(2326),
    [anon_sym_R_DQUOTE] = ACTIONS(2328),
    [anon_sym_LR_DQUOTE] = ACTIONS(2328),
    [anon_sym_uR_DQUOTE] = ACTIONS(2328),
    [anon_sym_UR_DQUOTE] = ACTIONS(2328),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2328),
    [anon_sym_co_await] = ACTIONS(2326),
    [anon_sym_new] = ACTIONS(2326),
    [anon_sym_requires] = ACTIONS(2326),
    [sym_this] = ACTIONS(2326),
    [anon_sym_discard] = ACTIONS(2326),
    [anon_sym_precise] = ACTIONS(2326),
    [anon_sym_shared] = ACTIONS(2326),
    [anon_sym_groupshared] = ACTIONS(2326),
    [anon_sym_uniform] = ACTIONS(2326),
    [anon_sym_row_major] = ACTIONS(2326),
    [anon_sym_column_major] = ACTIONS(2326),
    [anon_sym_globallycoherent] = ACTIONS(2326),
    [anon_sym_centroid] = ACTIONS(2326),
    [anon_sym_noperspective] = ACTIONS(2326),
    [anon_sym_nointerpolation] = ACTIONS(2326),
    [anon_sym_sample] = ACTIONS(2326),
    [anon_sym_linear] = ACTIONS(2326),
    [anon_sym_snorm] = ACTIONS(2326),
    [anon_sym_unorm] = ACTIONS(2326),
    [anon_sym_point] = ACTIONS(2326),
    [anon_sym_line] = ACTIONS(2326),
    [anon_sym_triangleadj] = ACTIONS(2326),
    [anon_sym_lineadj] = ACTIONS(2326),
    [anon_sym_triangle] = ACTIONS(2326),
    [anon_sym_cbuffer] = ACTIONS(2326),
  },
  [563] = {
    [sym_identifier] = ACTIONS(2444),
    [aux_sym_preproc_include_token1] = ACTIONS(2444),
    [aux_sym_preproc_def_token1] = ACTIONS(2444),
    [aux_sym_preproc_if_token1] = ACTIONS(2444),
    [aux_sym_preproc_if_token2] = ACTIONS(2444),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2444),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2444),
    [aux_sym_preproc_else_token1] = ACTIONS(2444),
    [aux_sym_preproc_elif_token1] = ACTIONS(2444),
    [sym_preproc_directive] = ACTIONS(2444),
    [anon_sym_LPAREN2] = ACTIONS(2446),
    [anon_sym_BANG] = ACTIONS(2446),
    [anon_sym_TILDE] = ACTIONS(2446),
    [anon_sym_DASH] = ACTIONS(2444),
    [anon_sym_PLUS] = ACTIONS(2444),
    [anon_sym_STAR] = ACTIONS(2446),
    [anon_sym_AMP_AMP] = ACTIONS(2446),
    [anon_sym_AMP] = ACTIONS(2444),
    [anon_sym_SEMI] = ACTIONS(2446),
    [anon_sym___extension__] = ACTIONS(2444),
    [anon_sym_typedef] = ACTIONS(2444),
    [anon_sym_in] = ACTIONS(2444),
    [anon_sym_out] = ACTIONS(2444),
    [anon_sym_inout] = ACTIONS(2444),
    [anon_sym_extern] = ACTIONS(2444),
    [anon_sym___attribute__] = ACTIONS(2444),
    [anon_sym_COLON_COLON] = ACTIONS(2446),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2446),
    [anon_sym___declspec] = ACTIONS(2444),
    [anon_sym___based] = ACTIONS(2444),
    [anon_sym___cdecl] = ACTIONS(2444),
    [anon_sym___clrcall] = ACTIONS(2444),
    [anon_sym___stdcall] = ACTIONS(2444),
    [anon_sym___fastcall] = ACTIONS(2444),
    [anon_sym___thiscall] = ACTIONS(2444),
    [anon_sym___vectorcall] = ACTIONS(2444),
    [anon_sym_LBRACE] = ACTIONS(2446),
    [anon_sym_signed] = ACTIONS(2444),
    [anon_sym_unsigned] = ACTIONS(2444),
    [anon_sym_long] = ACTIONS(2444),
    [anon_sym_short] = ACTIONS(2444),
    [anon_sym_LBRACK] = ACTIONS(2444),
    [anon_sym_static] = ACTIONS(2444),
    [anon_sym_register] = ACTIONS(2444),
    [anon_sym_inline] = ACTIONS(2444),
    [anon_sym___inline] = ACTIONS(2444),
    [anon_sym___inline__] = ACTIONS(2444),
    [anon_sym___forceinline] = ACTIONS(2444),
    [anon_sym_thread_local] = ACTIONS(2444),
    [anon_sym___thread] = ACTIONS(2444),
    [anon_sym_const] = ACTIONS(2444),
    [anon_sym_constexpr] = ACTIONS(2444),
    [anon_sym_volatile] = ACTIONS(2444),
    [anon_sym_restrict] = ACTIONS(2444),
    [anon_sym___restrict__] = ACTIONS(2444),
    [anon_sym__Atomic] = ACTIONS(2444),
    [anon_sym__Noreturn] = ACTIONS(2444),
    [anon_sym_noreturn] = ACTIONS(2444),
    [anon_sym_mutable] = ACTIONS(2444),
    [anon_sym_constinit] = ACTIONS(2444),
    [anon_sym_consteval] = ACTIONS(2444),
    [sym_primitive_type] = ACTIONS(2444),
    [anon_sym_enum] = ACTIONS(2444),
    [anon_sym_class] = ACTIONS(2444),
    [anon_sym_struct] = ACTIONS(2444),
    [anon_sym_union] = ACTIONS(2444),
    [anon_sym_if] = ACTIONS(2444),
    [anon_sym_else] = ACTIONS(2444),
    [anon_sym_switch] = ACTIONS(2444),
    [anon_sym_case] = ACTIONS(2444),
    [anon_sym_default] = ACTIONS(2444),
    [anon_sym_while] = ACTIONS(2444),
    [anon_sym_do] = ACTIONS(2444),
    [anon_sym_for] = ACTIONS(2444),
    [anon_sym_return] = ACTIONS(2444),
    [anon_sym_break] = ACTIONS(2444),
    [anon_sym_continue] = ACTIONS(2444),
    [anon_sym_goto] = ACTIONS(2444),
    [anon_sym___try] = ACTIONS(2444),
    [anon_sym___leave] = ACTIONS(2444),
    [anon_sym_not] = ACTIONS(2444),
    [anon_sym_compl] = ACTIONS(2444),
    [anon_sym_DASH_DASH] = ACTIONS(2446),
    [anon_sym_PLUS_PLUS] = ACTIONS(2446),
    [anon_sym_sizeof] = ACTIONS(2444),
    [anon_sym___alignof__] = ACTIONS(2444),
    [anon_sym___alignof] = ACTIONS(2444),
    [anon_sym__alignof] = ACTIONS(2444),
    [anon_sym_alignof] = ACTIONS(2444),
    [anon_sym__Alignof] = ACTIONS(2444),
    [anon_sym_offsetof] = ACTIONS(2444),
    [anon_sym__Generic] = ACTIONS(2444),
    [anon_sym_asm] = ACTIONS(2444),
    [anon_sym___asm__] = ACTIONS(2444),
    [sym_number_literal] = ACTIONS(2446),
    [anon_sym_L_SQUOTE] = ACTIONS(2446),
    [anon_sym_u_SQUOTE] = ACTIONS(2446),
    [anon_sym_U_SQUOTE] = ACTIONS(2446),
    [anon_sym_u8_SQUOTE] = ACTIONS(2446),
    [anon_sym_SQUOTE] = ACTIONS(2446),
    [anon_sym_L_DQUOTE] = ACTIONS(2446),
    [anon_sym_u_DQUOTE] = ACTIONS(2446),
    [anon_sym_U_DQUOTE] = ACTIONS(2446),
    [anon_sym_u8_DQUOTE] = ACTIONS(2446),
    [anon_sym_DQUOTE] = ACTIONS(2446),
    [sym_true] = ACTIONS(2444),
    [sym_false] = ACTIONS(2444),
    [anon_sym_NULL] = ACTIONS(2444),
    [anon_sym_nullptr] = ACTIONS(2444),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2444),
    [anon_sym_decltype] = ACTIONS(2444),
    [anon_sym_virtual] = ACTIONS(2444),
    [anon_sym_alignas] = ACTIONS(2444),
    [anon_sym_explicit] = ACTIONS(2444),
    [anon_sym_typename] = ACTIONS(2444),
    [anon_sym_template] = ACTIONS(2444),
    [anon_sym_operator] = ACTIONS(2444),
    [anon_sym_try] = ACTIONS(2444),
    [anon_sym_delete] = ACTIONS(2444),
    [anon_sym_throw] = ACTIONS(2444),
    [anon_sym_namespace] = ACTIONS(2444),
    [anon_sym_using] = ACTIONS(2444),
    [anon_sym_static_assert] = ACTIONS(2444),
    [anon_sym_concept] = ACTIONS(2444),
    [anon_sym_co_return] = ACTIONS(2444),
    [anon_sym_co_yield] = ACTIONS(2444),
    [anon_sym_R_DQUOTE] = ACTIONS(2446),
    [anon_sym_LR_DQUOTE] = ACTIONS(2446),
    [anon_sym_uR_DQUOTE] = ACTIONS(2446),
    [anon_sym_UR_DQUOTE] = ACTIONS(2446),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2446),
    [anon_sym_co_await] = ACTIONS(2444),
    [anon_sym_new] = ACTIONS(2444),
    [anon_sym_requires] = ACTIONS(2444),
    [sym_this] = ACTIONS(2444),
    [anon_sym_discard] = ACTIONS(2444),
    [anon_sym_precise] = ACTIONS(2444),
    [anon_sym_shared] = ACTIONS(2444),
    [anon_sym_groupshared] = ACTIONS(2444),
    [anon_sym_uniform] = ACTIONS(2444),
    [anon_sym_row_major] = ACTIONS(2444),
    [anon_sym_column_major] = ACTIONS(2444),
    [anon_sym_globallycoherent] = ACTIONS(2444),
    [anon_sym_centroid] = ACTIONS(2444),
    [anon_sym_noperspective] = ACTIONS(2444),
    [anon_sym_nointerpolation] = ACTIONS(2444),
    [anon_sym_sample] = ACTIONS(2444),
    [anon_sym_linear] = ACTIONS(2444),
    [anon_sym_snorm] = ACTIONS(2444),
    [anon_sym_unorm] = ACTIONS(2444),
    [anon_sym_point] = ACTIONS(2444),
    [anon_sym_line] = ACTIONS(2444),
    [anon_sym_triangleadj] = ACTIONS(2444),
    [anon_sym_lineadj] = ACTIONS(2444),
    [anon_sym_triangle] = ACTIONS(2444),
    [anon_sym_cbuffer] = ACTIONS(2444),
  },
  [564] = {
    [sym_preproc_def] = STATE(462),
    [sym_preproc_function_def] = STATE(462),
    [sym_preproc_call] = STATE(462),
    [sym_preproc_if_in_field_declaration_list] = STATE(462),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(462),
    [sym_preproc_else_in_field_declaration_list] = STATE(9970),
    [sym_preproc_elif_in_field_declaration_list] = STATE(9970),
    [sym_preproc_elifdef_in_field_declaration_list] = STATE(9970),
    [sym_type_definition] = STATE(462),
    [sym__declaration_modifiers] = STATE(3159),
    [sym__declaration_specifiers] = STATE(6906),
    [sym_attribute_specifier] = STATE(3159),
    [sym_attribute_declaration] = STATE(3159),
    [sym_ms_declspec_modifier] = STATE(3159),
    [sym_ms_based_modifier] = STATE(10332),
    [sym__declarator] = STATE(7978),
    [sym_parenthesized_declarator] = STATE(7680),
    [sym_attributed_declarator] = STATE(7680),
    [sym_pointer_declarator] = STATE(7680),
    [sym_function_declarator] = STATE(7506),
    [sym_array_declarator] = STATE(7680),
    [sym_storage_class_specifier] = STATE(3159),
    [sym_type_qualifier] = STATE(3159),
    [sym__type_specifier] = STATE(2827),
    [sym_sized_type_specifier] = STATE(3085),
    [sym_enum_specifier] = STATE(3085),
    [sym_struct_specifier] = STATE(3085),
    [sym_union_specifier] = STATE(3085),
    [sym__field_declaration_list_item] = STATE(462),
    [sym_field_declaration] = STATE(462),
    [sym_placeholder_type_specifier] = STATE(3085),
    [sym_decltype_auto] = STATE(3091),
    [sym_decltype] = STATE(3050),
    [sym_class_specifier] = STATE(3085),
    [sym_virtual] = STATE(3159),
    [sym_alignas_specifier] = STATE(3159),
    [sym_explicit_function_specifier] = STATE(2515),
    [sym_dependent_type] = STATE(3085),
    [sym_template_declaration] = STATE(462),
    [sym_operator_cast] = STATE(8047),
    [sym_inline_method_definition] = STATE(462),
    [sym__constructor_specifiers] = STATE(2515),
    [sym_operator_cast_definition] = STATE(462),
    [sym_operator_cast_declaration] = STATE(462),
    [sym_constructor_or_destructor_definition] = STATE(462),
    [sym_constructor_or_destructor_declaration] = STATE(462),
    [sym_friend_declaration] = STATE(462),
    [sym_access_specifier] = STATE(9869),
    [sym_reference_declarator] = STATE(7680),
    [sym_structured_binding_declarator] = STATE(7680),
    [sym_template_type] = STATE(3050),
    [sym_template_function] = STATE(7680),
    [sym_using_declaration] = STATE(462),
    [sym_alias_declaration] = STATE(462),
    [sym_static_assert_declaration] = STATE(462),
    [sym_destructor_name] = STATE(7680),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6733),
    [sym_qualified_identifier] = STATE(7680),
    [sym_qualified_type_identifier] = STATE(3068),
    [sym_qualified_operator_cast_identifier] = STATE(8047),
    [sym_operator_name] = STATE(7680),
    [sym_qualifiers] = STATE(3159),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(462),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2680),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3021),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2515),
    [sym_identifier] = ACTIONS(2857),
    [aux_sym_preproc_def_token1] = ACTIONS(2859),
    [aux_sym_preproc_if_token1] = ACTIONS(2861),
    [aux_sym_preproc_if_token2] = ACTIONS(2923),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2865),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2865),
    [aux_sym_preproc_else_token1] = ACTIONS(2867),
    [aux_sym_preproc_elif_token1] = ACTIONS(2869),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2871),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2871),
    [sym_preproc_directive] = ACTIONS(2873),
    [anon_sym_LPAREN2] = ACTIONS(2875),
    [anon_sym_TILDE] = ACTIONS(2877),
    [anon_sym_STAR] = ACTIONS(2879),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(2881),
    [anon_sym___extension__] = ACTIONS(2883),
    [anon_sym_typedef] = ACTIONS(2885),
    [anon_sym_in] = ACTIONS(37),
    [anon_sym_out] = ACTIONS(37),
    [anon_sym_inout] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(2887),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2096),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(2889),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(2891),
    [anon_sym_enum] = ACTIONS(2893),
    [anon_sym_class] = ACTIONS(2895),
    [anon_sym_struct] = ACTIONS(2897),
    [anon_sym_union] = ACTIONS(2899),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [anon_sym_virtual] = ACTIONS(123),
    [anon_sym_alignas] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(2901),
    [anon_sym_template] = ACTIONS(2903),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_friend] = ACTIONS(2905),
    [anon_sym_public] = ACTIONS(2907),
    [anon_sym_private] = ACTIONS(2907),
    [anon_sym_protected] = ACTIONS(2907),
    [anon_sym_using] = ACTIONS(2909),
    [anon_sym_static_assert] = ACTIONS(2911),
    [anon_sym_precise] = ACTIONS(161),
    [anon_sym_shared] = ACTIONS(161),
    [anon_sym_groupshared] = ACTIONS(161),
    [anon_sym_uniform] = ACTIONS(161),
    [anon_sym_row_major] = ACTIONS(161),
    [anon_sym_column_major] = ACTIONS(161),
    [anon_sym_globallycoherent] = ACTIONS(161),
    [anon_sym_centroid] = ACTIONS(161),
    [anon_sym_noperspective] = ACTIONS(161),
    [anon_sym_nointerpolation] = ACTIONS(161),
    [anon_sym_sample] = ACTIONS(161),
    [anon_sym_linear] = ACTIONS(161),
    [anon_sym_snorm] = ACTIONS(161),
    [anon_sym_unorm] = ACTIONS(161),
    [anon_sym_point] = ACTIONS(161),
    [anon_sym_line] = ACTIONS(161),
    [anon_sym_triangleadj] = ACTIONS(161),
    [anon_sym_lineadj] = ACTIONS(161),
    [anon_sym_triangle] = ACTIONS(161),
  },
  [565] = {
    [sym_identifier] = ACTIONS(2364),
    [aux_sym_preproc_include_token1] = ACTIONS(2364),
    [aux_sym_preproc_def_token1] = ACTIONS(2364),
    [aux_sym_preproc_if_token1] = ACTIONS(2364),
    [aux_sym_preproc_if_token2] = ACTIONS(2364),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2364),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2364),
    [aux_sym_preproc_else_token1] = ACTIONS(2364),
    [aux_sym_preproc_elif_token1] = ACTIONS(2364),
    [sym_preproc_directive] = ACTIONS(2364),
    [anon_sym_LPAREN2] = ACTIONS(2366),
    [anon_sym_BANG] = ACTIONS(2366),
    [anon_sym_TILDE] = ACTIONS(2366),
    [anon_sym_DASH] = ACTIONS(2364),
    [anon_sym_PLUS] = ACTIONS(2364),
    [anon_sym_STAR] = ACTIONS(2366),
    [anon_sym_AMP_AMP] = ACTIONS(2366),
    [anon_sym_AMP] = ACTIONS(2364),
    [anon_sym_SEMI] = ACTIONS(2366),
    [anon_sym___extension__] = ACTIONS(2364),
    [anon_sym_typedef] = ACTIONS(2364),
    [anon_sym_in] = ACTIONS(2364),
    [anon_sym_out] = ACTIONS(2364),
    [anon_sym_inout] = ACTIONS(2364),
    [anon_sym_extern] = ACTIONS(2364),
    [anon_sym___attribute__] = ACTIONS(2364),
    [anon_sym_COLON_COLON] = ACTIONS(2366),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2366),
    [anon_sym___declspec] = ACTIONS(2364),
    [anon_sym___based] = ACTIONS(2364),
    [anon_sym___cdecl] = ACTIONS(2364),
    [anon_sym___clrcall] = ACTIONS(2364),
    [anon_sym___stdcall] = ACTIONS(2364),
    [anon_sym___fastcall] = ACTIONS(2364),
    [anon_sym___thiscall] = ACTIONS(2364),
    [anon_sym___vectorcall] = ACTIONS(2364),
    [anon_sym_LBRACE] = ACTIONS(2366),
    [anon_sym_signed] = ACTIONS(2364),
    [anon_sym_unsigned] = ACTIONS(2364),
    [anon_sym_long] = ACTIONS(2364),
    [anon_sym_short] = ACTIONS(2364),
    [anon_sym_LBRACK] = ACTIONS(2364),
    [anon_sym_static] = ACTIONS(2364),
    [anon_sym_register] = ACTIONS(2364),
    [anon_sym_inline] = ACTIONS(2364),
    [anon_sym___inline] = ACTIONS(2364),
    [anon_sym___inline__] = ACTIONS(2364),
    [anon_sym___forceinline] = ACTIONS(2364),
    [anon_sym_thread_local] = ACTIONS(2364),
    [anon_sym___thread] = ACTIONS(2364),
    [anon_sym_const] = ACTIONS(2364),
    [anon_sym_constexpr] = ACTIONS(2364),
    [anon_sym_volatile] = ACTIONS(2364),
    [anon_sym_restrict] = ACTIONS(2364),
    [anon_sym___restrict__] = ACTIONS(2364),
    [anon_sym__Atomic] = ACTIONS(2364),
    [anon_sym__Noreturn] = ACTIONS(2364),
    [anon_sym_noreturn] = ACTIONS(2364),
    [anon_sym_mutable] = ACTIONS(2364),
    [anon_sym_constinit] = ACTIONS(2364),
    [anon_sym_consteval] = ACTIONS(2364),
    [sym_primitive_type] = ACTIONS(2364),
    [anon_sym_enum] = ACTIONS(2364),
    [anon_sym_class] = ACTIONS(2364),
    [anon_sym_struct] = ACTIONS(2364),
    [anon_sym_union] = ACTIONS(2364),
    [anon_sym_if] = ACTIONS(2364),
    [anon_sym_else] = ACTIONS(2364),
    [anon_sym_switch] = ACTIONS(2364),
    [anon_sym_case] = ACTIONS(2364),
    [anon_sym_default] = ACTIONS(2364),
    [anon_sym_while] = ACTIONS(2364),
    [anon_sym_do] = ACTIONS(2364),
    [anon_sym_for] = ACTIONS(2364),
    [anon_sym_return] = ACTIONS(2364),
    [anon_sym_break] = ACTIONS(2364),
    [anon_sym_continue] = ACTIONS(2364),
    [anon_sym_goto] = ACTIONS(2364),
    [anon_sym___try] = ACTIONS(2364),
    [anon_sym___leave] = ACTIONS(2364),
    [anon_sym_not] = ACTIONS(2364),
    [anon_sym_compl] = ACTIONS(2364),
    [anon_sym_DASH_DASH] = ACTIONS(2366),
    [anon_sym_PLUS_PLUS] = ACTIONS(2366),
    [anon_sym_sizeof] = ACTIONS(2364),
    [anon_sym___alignof__] = ACTIONS(2364),
    [anon_sym___alignof] = ACTIONS(2364),
    [anon_sym__alignof] = ACTIONS(2364),
    [anon_sym_alignof] = ACTIONS(2364),
    [anon_sym__Alignof] = ACTIONS(2364),
    [anon_sym_offsetof] = ACTIONS(2364),
    [anon_sym__Generic] = ACTIONS(2364),
    [anon_sym_asm] = ACTIONS(2364),
    [anon_sym___asm__] = ACTIONS(2364),
    [sym_number_literal] = ACTIONS(2366),
    [anon_sym_L_SQUOTE] = ACTIONS(2366),
    [anon_sym_u_SQUOTE] = ACTIONS(2366),
    [anon_sym_U_SQUOTE] = ACTIONS(2366),
    [anon_sym_u8_SQUOTE] = ACTIONS(2366),
    [anon_sym_SQUOTE] = ACTIONS(2366),
    [anon_sym_L_DQUOTE] = ACTIONS(2366),
    [anon_sym_u_DQUOTE] = ACTIONS(2366),
    [anon_sym_U_DQUOTE] = ACTIONS(2366),
    [anon_sym_u8_DQUOTE] = ACTIONS(2366),
    [anon_sym_DQUOTE] = ACTIONS(2366),
    [sym_true] = ACTIONS(2364),
    [sym_false] = ACTIONS(2364),
    [anon_sym_NULL] = ACTIONS(2364),
    [anon_sym_nullptr] = ACTIONS(2364),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2364),
    [anon_sym_decltype] = ACTIONS(2364),
    [anon_sym_virtual] = ACTIONS(2364),
    [anon_sym_alignas] = ACTIONS(2364),
    [anon_sym_explicit] = ACTIONS(2364),
    [anon_sym_typename] = ACTIONS(2364),
    [anon_sym_template] = ACTIONS(2364),
    [anon_sym_operator] = ACTIONS(2364),
    [anon_sym_try] = ACTIONS(2364),
    [anon_sym_delete] = ACTIONS(2364),
    [anon_sym_throw] = ACTIONS(2364),
    [anon_sym_namespace] = ACTIONS(2364),
    [anon_sym_using] = ACTIONS(2364),
    [anon_sym_static_assert] = ACTIONS(2364),
    [anon_sym_concept] = ACTIONS(2364),
    [anon_sym_co_return] = ACTIONS(2364),
    [anon_sym_co_yield] = ACTIONS(2364),
    [anon_sym_R_DQUOTE] = ACTIONS(2366),
    [anon_sym_LR_DQUOTE] = ACTIONS(2366),
    [anon_sym_uR_DQUOTE] = ACTIONS(2366),
    [anon_sym_UR_DQUOTE] = ACTIONS(2366),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2366),
    [anon_sym_co_await] = ACTIONS(2364),
    [anon_sym_new] = ACTIONS(2364),
    [anon_sym_requires] = ACTIONS(2364),
    [sym_this] = ACTIONS(2364),
    [anon_sym_discard] = ACTIONS(2364),
    [anon_sym_precise] = ACTIONS(2364),
    [anon_sym_shared] = ACTIONS(2364),
    [anon_sym_groupshared] = ACTIONS(2364),
    [anon_sym_uniform] = ACTIONS(2364),
    [anon_sym_row_major] = ACTIONS(2364),
    [anon_sym_column_major] = ACTIONS(2364),
    [anon_sym_globallycoherent] = ACTIONS(2364),
    [anon_sym_centroid] = ACTIONS(2364),
    [anon_sym_noperspective] = ACTIONS(2364),
    [anon_sym_nointerpolation] = ACTIONS(2364),
    [anon_sym_sample] = ACTIONS(2364),
    [anon_sym_linear] = ACTIONS(2364),
    [anon_sym_snorm] = ACTIONS(2364),
    [anon_sym_unorm] = ACTIONS(2364),
    [anon_sym_point] = ACTIONS(2364),
    [anon_sym_line] = ACTIONS(2364),
    [anon_sym_triangleadj] = ACTIONS(2364),
    [anon_sym_lineadj] = ACTIONS(2364),
    [anon_sym_triangle] = ACTIONS(2364),
    [anon_sym_cbuffer] = ACTIONS(2364),
  },
  [566] = {
    [sym_identifier] = ACTIONS(2500),
    [aux_sym_preproc_include_token1] = ACTIONS(2500),
    [aux_sym_preproc_def_token1] = ACTIONS(2500),
    [aux_sym_preproc_if_token1] = ACTIONS(2500),
    [aux_sym_preproc_if_token2] = ACTIONS(2500),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2500),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2500),
    [aux_sym_preproc_else_token1] = ACTIONS(2500),
    [aux_sym_preproc_elif_token1] = ACTIONS(2500),
    [sym_preproc_directive] = ACTIONS(2500),
    [anon_sym_LPAREN2] = ACTIONS(2502),
    [anon_sym_BANG] = ACTIONS(2502),
    [anon_sym_TILDE] = ACTIONS(2502),
    [anon_sym_DASH] = ACTIONS(2500),
    [anon_sym_PLUS] = ACTIONS(2500),
    [anon_sym_STAR] = ACTIONS(2502),
    [anon_sym_AMP_AMP] = ACTIONS(2502),
    [anon_sym_AMP] = ACTIONS(2500),
    [anon_sym_SEMI] = ACTIONS(2502),
    [anon_sym___extension__] = ACTIONS(2500),
    [anon_sym_typedef] = ACTIONS(2500),
    [anon_sym_in] = ACTIONS(2500),
    [anon_sym_out] = ACTIONS(2500),
    [anon_sym_inout] = ACTIONS(2500),
    [anon_sym_extern] = ACTIONS(2500),
    [anon_sym___attribute__] = ACTIONS(2500),
    [anon_sym_COLON_COLON] = ACTIONS(2502),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2502),
    [anon_sym___declspec] = ACTIONS(2500),
    [anon_sym___based] = ACTIONS(2500),
    [anon_sym___cdecl] = ACTIONS(2500),
    [anon_sym___clrcall] = ACTIONS(2500),
    [anon_sym___stdcall] = ACTIONS(2500),
    [anon_sym___fastcall] = ACTIONS(2500),
    [anon_sym___thiscall] = ACTIONS(2500),
    [anon_sym___vectorcall] = ACTIONS(2500),
    [anon_sym_LBRACE] = ACTIONS(2502),
    [anon_sym_signed] = ACTIONS(2500),
    [anon_sym_unsigned] = ACTIONS(2500),
    [anon_sym_long] = ACTIONS(2500),
    [anon_sym_short] = ACTIONS(2500),
    [anon_sym_LBRACK] = ACTIONS(2500),
    [anon_sym_static] = ACTIONS(2500),
    [anon_sym_register] = ACTIONS(2500),
    [anon_sym_inline] = ACTIONS(2500),
    [anon_sym___inline] = ACTIONS(2500),
    [anon_sym___inline__] = ACTIONS(2500),
    [anon_sym___forceinline] = ACTIONS(2500),
    [anon_sym_thread_local] = ACTIONS(2500),
    [anon_sym___thread] = ACTIONS(2500),
    [anon_sym_const] = ACTIONS(2500),
    [anon_sym_constexpr] = ACTIONS(2500),
    [anon_sym_volatile] = ACTIONS(2500),
    [anon_sym_restrict] = ACTIONS(2500),
    [anon_sym___restrict__] = ACTIONS(2500),
    [anon_sym__Atomic] = ACTIONS(2500),
    [anon_sym__Noreturn] = ACTIONS(2500),
    [anon_sym_noreturn] = ACTIONS(2500),
    [anon_sym_mutable] = ACTIONS(2500),
    [anon_sym_constinit] = ACTIONS(2500),
    [anon_sym_consteval] = ACTIONS(2500),
    [sym_primitive_type] = ACTIONS(2500),
    [anon_sym_enum] = ACTIONS(2500),
    [anon_sym_class] = ACTIONS(2500),
    [anon_sym_struct] = ACTIONS(2500),
    [anon_sym_union] = ACTIONS(2500),
    [anon_sym_if] = ACTIONS(2500),
    [anon_sym_else] = ACTIONS(2500),
    [anon_sym_switch] = ACTIONS(2500),
    [anon_sym_case] = ACTIONS(2500),
    [anon_sym_default] = ACTIONS(2500),
    [anon_sym_while] = ACTIONS(2500),
    [anon_sym_do] = ACTIONS(2500),
    [anon_sym_for] = ACTIONS(2500),
    [anon_sym_return] = ACTIONS(2500),
    [anon_sym_break] = ACTIONS(2500),
    [anon_sym_continue] = ACTIONS(2500),
    [anon_sym_goto] = ACTIONS(2500),
    [anon_sym___try] = ACTIONS(2500),
    [anon_sym___leave] = ACTIONS(2500),
    [anon_sym_not] = ACTIONS(2500),
    [anon_sym_compl] = ACTIONS(2500),
    [anon_sym_DASH_DASH] = ACTIONS(2502),
    [anon_sym_PLUS_PLUS] = ACTIONS(2502),
    [anon_sym_sizeof] = ACTIONS(2500),
    [anon_sym___alignof__] = ACTIONS(2500),
    [anon_sym___alignof] = ACTIONS(2500),
    [anon_sym__alignof] = ACTIONS(2500),
    [anon_sym_alignof] = ACTIONS(2500),
    [anon_sym__Alignof] = ACTIONS(2500),
    [anon_sym_offsetof] = ACTIONS(2500),
    [anon_sym__Generic] = ACTIONS(2500),
    [anon_sym_asm] = ACTIONS(2500),
    [anon_sym___asm__] = ACTIONS(2500),
    [sym_number_literal] = ACTIONS(2502),
    [anon_sym_L_SQUOTE] = ACTIONS(2502),
    [anon_sym_u_SQUOTE] = ACTIONS(2502),
    [anon_sym_U_SQUOTE] = ACTIONS(2502),
    [anon_sym_u8_SQUOTE] = ACTIONS(2502),
    [anon_sym_SQUOTE] = ACTIONS(2502),
    [anon_sym_L_DQUOTE] = ACTIONS(2502),
    [anon_sym_u_DQUOTE] = ACTIONS(2502),
    [anon_sym_U_DQUOTE] = ACTIONS(2502),
    [anon_sym_u8_DQUOTE] = ACTIONS(2502),
    [anon_sym_DQUOTE] = ACTIONS(2502),
    [sym_true] = ACTIONS(2500),
    [sym_false] = ACTIONS(2500),
    [anon_sym_NULL] = ACTIONS(2500),
    [anon_sym_nullptr] = ACTIONS(2500),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2500),
    [anon_sym_decltype] = ACTIONS(2500),
    [anon_sym_virtual] = ACTIONS(2500),
    [anon_sym_alignas] = ACTIONS(2500),
    [anon_sym_explicit] = ACTIONS(2500),
    [anon_sym_typename] = ACTIONS(2500),
    [anon_sym_template] = ACTIONS(2500),
    [anon_sym_operator] = ACTIONS(2500),
    [anon_sym_try] = ACTIONS(2500),
    [anon_sym_delete] = ACTIONS(2500),
    [anon_sym_throw] = ACTIONS(2500),
    [anon_sym_namespace] = ACTIONS(2500),
    [anon_sym_using] = ACTIONS(2500),
    [anon_sym_static_assert] = ACTIONS(2500),
    [anon_sym_concept] = ACTIONS(2500),
    [anon_sym_co_return] = ACTIONS(2500),
    [anon_sym_co_yield] = ACTIONS(2500),
    [anon_sym_R_DQUOTE] = ACTIONS(2502),
    [anon_sym_LR_DQUOTE] = ACTIONS(2502),
    [anon_sym_uR_DQUOTE] = ACTIONS(2502),
    [anon_sym_UR_DQUOTE] = ACTIONS(2502),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2502),
    [anon_sym_co_await] = ACTIONS(2500),
    [anon_sym_new] = ACTIONS(2500),
    [anon_sym_requires] = ACTIONS(2500),
    [sym_this] = ACTIONS(2500),
    [anon_sym_discard] = ACTIONS(2500),
    [anon_sym_precise] = ACTIONS(2500),
    [anon_sym_shared] = ACTIONS(2500),
    [anon_sym_groupshared] = ACTIONS(2500),
    [anon_sym_uniform] = ACTIONS(2500),
    [anon_sym_row_major] = ACTIONS(2500),
    [anon_sym_column_major] = ACTIONS(2500),
    [anon_sym_globallycoherent] = ACTIONS(2500),
    [anon_sym_centroid] = ACTIONS(2500),
    [anon_sym_noperspective] = ACTIONS(2500),
    [anon_sym_nointerpolation] = ACTIONS(2500),
    [anon_sym_sample] = ACTIONS(2500),
    [anon_sym_linear] = ACTIONS(2500),
    [anon_sym_snorm] = ACTIONS(2500),
    [anon_sym_unorm] = ACTIONS(2500),
    [anon_sym_point] = ACTIONS(2500),
    [anon_sym_line] = ACTIONS(2500),
    [anon_sym_triangleadj] = ACTIONS(2500),
    [anon_sym_lineadj] = ACTIONS(2500),
    [anon_sym_triangle] = ACTIONS(2500),
    [anon_sym_cbuffer] = ACTIONS(2500),
  },
  [567] = {
    [sym_identifier] = ACTIONS(2322),
    [aux_sym_preproc_include_token1] = ACTIONS(2322),
    [aux_sym_preproc_def_token1] = ACTIONS(2322),
    [aux_sym_preproc_if_token1] = ACTIONS(2322),
    [aux_sym_preproc_if_token2] = ACTIONS(2322),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2322),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2322),
    [aux_sym_preproc_else_token1] = ACTIONS(2322),
    [aux_sym_preproc_elif_token1] = ACTIONS(2322),
    [sym_preproc_directive] = ACTIONS(2322),
    [anon_sym_LPAREN2] = ACTIONS(2324),
    [anon_sym_BANG] = ACTIONS(2324),
    [anon_sym_TILDE] = ACTIONS(2324),
    [anon_sym_DASH] = ACTIONS(2322),
    [anon_sym_PLUS] = ACTIONS(2322),
    [anon_sym_STAR] = ACTIONS(2324),
    [anon_sym_AMP_AMP] = ACTIONS(2324),
    [anon_sym_AMP] = ACTIONS(2322),
    [anon_sym_SEMI] = ACTIONS(2324),
    [anon_sym___extension__] = ACTIONS(2322),
    [anon_sym_typedef] = ACTIONS(2322),
    [anon_sym_in] = ACTIONS(2322),
    [anon_sym_out] = ACTIONS(2322),
    [anon_sym_inout] = ACTIONS(2322),
    [anon_sym_extern] = ACTIONS(2322),
    [anon_sym___attribute__] = ACTIONS(2322),
    [anon_sym_COLON_COLON] = ACTIONS(2324),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2324),
    [anon_sym___declspec] = ACTIONS(2322),
    [anon_sym___based] = ACTIONS(2322),
    [anon_sym___cdecl] = ACTIONS(2322),
    [anon_sym___clrcall] = ACTIONS(2322),
    [anon_sym___stdcall] = ACTIONS(2322),
    [anon_sym___fastcall] = ACTIONS(2322),
    [anon_sym___thiscall] = ACTIONS(2322),
    [anon_sym___vectorcall] = ACTIONS(2322),
    [anon_sym_LBRACE] = ACTIONS(2324),
    [anon_sym_signed] = ACTIONS(2322),
    [anon_sym_unsigned] = ACTIONS(2322),
    [anon_sym_long] = ACTIONS(2322),
    [anon_sym_short] = ACTIONS(2322),
    [anon_sym_LBRACK] = ACTIONS(2322),
    [anon_sym_static] = ACTIONS(2322),
    [anon_sym_register] = ACTIONS(2322),
    [anon_sym_inline] = ACTIONS(2322),
    [anon_sym___inline] = ACTIONS(2322),
    [anon_sym___inline__] = ACTIONS(2322),
    [anon_sym___forceinline] = ACTIONS(2322),
    [anon_sym_thread_local] = ACTIONS(2322),
    [anon_sym___thread] = ACTIONS(2322),
    [anon_sym_const] = ACTIONS(2322),
    [anon_sym_constexpr] = ACTIONS(2322),
    [anon_sym_volatile] = ACTIONS(2322),
    [anon_sym_restrict] = ACTIONS(2322),
    [anon_sym___restrict__] = ACTIONS(2322),
    [anon_sym__Atomic] = ACTIONS(2322),
    [anon_sym__Noreturn] = ACTIONS(2322),
    [anon_sym_noreturn] = ACTIONS(2322),
    [anon_sym_mutable] = ACTIONS(2322),
    [anon_sym_constinit] = ACTIONS(2322),
    [anon_sym_consteval] = ACTIONS(2322),
    [sym_primitive_type] = ACTIONS(2322),
    [anon_sym_enum] = ACTIONS(2322),
    [anon_sym_class] = ACTIONS(2322),
    [anon_sym_struct] = ACTIONS(2322),
    [anon_sym_union] = ACTIONS(2322),
    [anon_sym_if] = ACTIONS(2322),
    [anon_sym_else] = ACTIONS(2322),
    [anon_sym_switch] = ACTIONS(2322),
    [anon_sym_case] = ACTIONS(2322),
    [anon_sym_default] = ACTIONS(2322),
    [anon_sym_while] = ACTIONS(2322),
    [anon_sym_do] = ACTIONS(2322),
    [anon_sym_for] = ACTIONS(2322),
    [anon_sym_return] = ACTIONS(2322),
    [anon_sym_break] = ACTIONS(2322),
    [anon_sym_continue] = ACTIONS(2322),
    [anon_sym_goto] = ACTIONS(2322),
    [anon_sym___try] = ACTIONS(2322),
    [anon_sym___leave] = ACTIONS(2322),
    [anon_sym_not] = ACTIONS(2322),
    [anon_sym_compl] = ACTIONS(2322),
    [anon_sym_DASH_DASH] = ACTIONS(2324),
    [anon_sym_PLUS_PLUS] = ACTIONS(2324),
    [anon_sym_sizeof] = ACTIONS(2322),
    [anon_sym___alignof__] = ACTIONS(2322),
    [anon_sym___alignof] = ACTIONS(2322),
    [anon_sym__alignof] = ACTIONS(2322),
    [anon_sym_alignof] = ACTIONS(2322),
    [anon_sym__Alignof] = ACTIONS(2322),
    [anon_sym_offsetof] = ACTIONS(2322),
    [anon_sym__Generic] = ACTIONS(2322),
    [anon_sym_asm] = ACTIONS(2322),
    [anon_sym___asm__] = ACTIONS(2322),
    [sym_number_literal] = ACTIONS(2324),
    [anon_sym_L_SQUOTE] = ACTIONS(2324),
    [anon_sym_u_SQUOTE] = ACTIONS(2324),
    [anon_sym_U_SQUOTE] = ACTIONS(2324),
    [anon_sym_u8_SQUOTE] = ACTIONS(2324),
    [anon_sym_SQUOTE] = ACTIONS(2324),
    [anon_sym_L_DQUOTE] = ACTIONS(2324),
    [anon_sym_u_DQUOTE] = ACTIONS(2324),
    [anon_sym_U_DQUOTE] = ACTIONS(2324),
    [anon_sym_u8_DQUOTE] = ACTIONS(2324),
    [anon_sym_DQUOTE] = ACTIONS(2324),
    [sym_true] = ACTIONS(2322),
    [sym_false] = ACTIONS(2322),
    [anon_sym_NULL] = ACTIONS(2322),
    [anon_sym_nullptr] = ACTIONS(2322),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2322),
    [anon_sym_decltype] = ACTIONS(2322),
    [anon_sym_virtual] = ACTIONS(2322),
    [anon_sym_alignas] = ACTIONS(2322),
    [anon_sym_explicit] = ACTIONS(2322),
    [anon_sym_typename] = ACTIONS(2322),
    [anon_sym_template] = ACTIONS(2322),
    [anon_sym_operator] = ACTIONS(2322),
    [anon_sym_try] = ACTIONS(2322),
    [anon_sym_delete] = ACTIONS(2322),
    [anon_sym_throw] = ACTIONS(2322),
    [anon_sym_namespace] = ACTIONS(2322),
    [anon_sym_using] = ACTIONS(2322),
    [anon_sym_static_assert] = ACTIONS(2322),
    [anon_sym_concept] = ACTIONS(2322),
    [anon_sym_co_return] = ACTIONS(2322),
    [anon_sym_co_yield] = ACTIONS(2322),
    [anon_sym_R_DQUOTE] = ACTIONS(2324),
    [anon_sym_LR_DQUOTE] = ACTIONS(2324),
    [anon_sym_uR_DQUOTE] = ACTIONS(2324),
    [anon_sym_UR_DQUOTE] = ACTIONS(2324),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2324),
    [anon_sym_co_await] = ACTIONS(2322),
    [anon_sym_new] = ACTIONS(2322),
    [anon_sym_requires] = ACTIONS(2322),
    [sym_this] = ACTIONS(2322),
    [anon_sym_discard] = ACTIONS(2322),
    [anon_sym_precise] = ACTIONS(2322),
    [anon_sym_shared] = ACTIONS(2322),
    [anon_sym_groupshared] = ACTIONS(2322),
    [anon_sym_uniform] = ACTIONS(2322),
    [anon_sym_row_major] = ACTIONS(2322),
    [anon_sym_column_major] = ACTIONS(2322),
    [anon_sym_globallycoherent] = ACTIONS(2322),
    [anon_sym_centroid] = ACTIONS(2322),
    [anon_sym_noperspective] = ACTIONS(2322),
    [anon_sym_nointerpolation] = ACTIONS(2322),
    [anon_sym_sample] = ACTIONS(2322),
    [anon_sym_linear] = ACTIONS(2322),
    [anon_sym_snorm] = ACTIONS(2322),
    [anon_sym_unorm] = ACTIONS(2322),
    [anon_sym_point] = ACTIONS(2322),
    [anon_sym_line] = ACTIONS(2322),
    [anon_sym_triangleadj] = ACTIONS(2322),
    [anon_sym_lineadj] = ACTIONS(2322),
    [anon_sym_triangle] = ACTIONS(2322),
    [anon_sym_cbuffer] = ACTIONS(2322),
  },
  [568] = {
    [sym_identifier] = ACTIONS(2496),
    [aux_sym_preproc_include_token1] = ACTIONS(2496),
    [aux_sym_preproc_def_token1] = ACTIONS(2496),
    [aux_sym_preproc_if_token1] = ACTIONS(2496),
    [aux_sym_preproc_if_token2] = ACTIONS(2496),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2496),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2496),
    [aux_sym_preproc_else_token1] = ACTIONS(2496),
    [aux_sym_preproc_elif_token1] = ACTIONS(2496),
    [sym_preproc_directive] = ACTIONS(2496),
    [anon_sym_LPAREN2] = ACTIONS(2498),
    [anon_sym_BANG] = ACTIONS(2498),
    [anon_sym_TILDE] = ACTIONS(2498),
    [anon_sym_DASH] = ACTIONS(2496),
    [anon_sym_PLUS] = ACTIONS(2496),
    [anon_sym_STAR] = ACTIONS(2498),
    [anon_sym_AMP_AMP] = ACTIONS(2498),
    [anon_sym_AMP] = ACTIONS(2496),
    [anon_sym_SEMI] = ACTIONS(2498),
    [anon_sym___extension__] = ACTIONS(2496),
    [anon_sym_typedef] = ACTIONS(2496),
    [anon_sym_in] = ACTIONS(2496),
    [anon_sym_out] = ACTIONS(2496),
    [anon_sym_inout] = ACTIONS(2496),
    [anon_sym_extern] = ACTIONS(2496),
    [anon_sym___attribute__] = ACTIONS(2496),
    [anon_sym_COLON_COLON] = ACTIONS(2498),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2498),
    [anon_sym___declspec] = ACTIONS(2496),
    [anon_sym___based] = ACTIONS(2496),
    [anon_sym___cdecl] = ACTIONS(2496),
    [anon_sym___clrcall] = ACTIONS(2496),
    [anon_sym___stdcall] = ACTIONS(2496),
    [anon_sym___fastcall] = ACTIONS(2496),
    [anon_sym___thiscall] = ACTIONS(2496),
    [anon_sym___vectorcall] = ACTIONS(2496),
    [anon_sym_LBRACE] = ACTIONS(2498),
    [anon_sym_signed] = ACTIONS(2496),
    [anon_sym_unsigned] = ACTIONS(2496),
    [anon_sym_long] = ACTIONS(2496),
    [anon_sym_short] = ACTIONS(2496),
    [anon_sym_LBRACK] = ACTIONS(2496),
    [anon_sym_static] = ACTIONS(2496),
    [anon_sym_register] = ACTIONS(2496),
    [anon_sym_inline] = ACTIONS(2496),
    [anon_sym___inline] = ACTIONS(2496),
    [anon_sym___inline__] = ACTIONS(2496),
    [anon_sym___forceinline] = ACTIONS(2496),
    [anon_sym_thread_local] = ACTIONS(2496),
    [anon_sym___thread] = ACTIONS(2496),
    [anon_sym_const] = ACTIONS(2496),
    [anon_sym_constexpr] = ACTIONS(2496),
    [anon_sym_volatile] = ACTIONS(2496),
    [anon_sym_restrict] = ACTIONS(2496),
    [anon_sym___restrict__] = ACTIONS(2496),
    [anon_sym__Atomic] = ACTIONS(2496),
    [anon_sym__Noreturn] = ACTIONS(2496),
    [anon_sym_noreturn] = ACTIONS(2496),
    [anon_sym_mutable] = ACTIONS(2496),
    [anon_sym_constinit] = ACTIONS(2496),
    [anon_sym_consteval] = ACTIONS(2496),
    [sym_primitive_type] = ACTIONS(2496),
    [anon_sym_enum] = ACTIONS(2496),
    [anon_sym_class] = ACTIONS(2496),
    [anon_sym_struct] = ACTIONS(2496),
    [anon_sym_union] = ACTIONS(2496),
    [anon_sym_if] = ACTIONS(2496),
    [anon_sym_else] = ACTIONS(2496),
    [anon_sym_switch] = ACTIONS(2496),
    [anon_sym_case] = ACTIONS(2496),
    [anon_sym_default] = ACTIONS(2496),
    [anon_sym_while] = ACTIONS(2496),
    [anon_sym_do] = ACTIONS(2496),
    [anon_sym_for] = ACTIONS(2496),
    [anon_sym_return] = ACTIONS(2496),
    [anon_sym_break] = ACTIONS(2496),
    [anon_sym_continue] = ACTIONS(2496),
    [anon_sym_goto] = ACTIONS(2496),
    [anon_sym___try] = ACTIONS(2496),
    [anon_sym___leave] = ACTIONS(2496),
    [anon_sym_not] = ACTIONS(2496),
    [anon_sym_compl] = ACTIONS(2496),
    [anon_sym_DASH_DASH] = ACTIONS(2498),
    [anon_sym_PLUS_PLUS] = ACTIONS(2498),
    [anon_sym_sizeof] = ACTIONS(2496),
    [anon_sym___alignof__] = ACTIONS(2496),
    [anon_sym___alignof] = ACTIONS(2496),
    [anon_sym__alignof] = ACTIONS(2496),
    [anon_sym_alignof] = ACTIONS(2496),
    [anon_sym__Alignof] = ACTIONS(2496),
    [anon_sym_offsetof] = ACTIONS(2496),
    [anon_sym__Generic] = ACTIONS(2496),
    [anon_sym_asm] = ACTIONS(2496),
    [anon_sym___asm__] = ACTIONS(2496),
    [sym_number_literal] = ACTIONS(2498),
    [anon_sym_L_SQUOTE] = ACTIONS(2498),
    [anon_sym_u_SQUOTE] = ACTIONS(2498),
    [anon_sym_U_SQUOTE] = ACTIONS(2498),
    [anon_sym_u8_SQUOTE] = ACTIONS(2498),
    [anon_sym_SQUOTE] = ACTIONS(2498),
    [anon_sym_L_DQUOTE] = ACTIONS(2498),
    [anon_sym_u_DQUOTE] = ACTIONS(2498),
    [anon_sym_U_DQUOTE] = ACTIONS(2498),
    [anon_sym_u8_DQUOTE] = ACTIONS(2498),
    [anon_sym_DQUOTE] = ACTIONS(2498),
    [sym_true] = ACTIONS(2496),
    [sym_false] = ACTIONS(2496),
    [anon_sym_NULL] = ACTIONS(2496),
    [anon_sym_nullptr] = ACTIONS(2496),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2496),
    [anon_sym_decltype] = ACTIONS(2496),
    [anon_sym_virtual] = ACTIONS(2496),
    [anon_sym_alignas] = ACTIONS(2496),
    [anon_sym_explicit] = ACTIONS(2496),
    [anon_sym_typename] = ACTIONS(2496),
    [anon_sym_template] = ACTIONS(2496),
    [anon_sym_operator] = ACTIONS(2496),
    [anon_sym_try] = ACTIONS(2496),
    [anon_sym_delete] = ACTIONS(2496),
    [anon_sym_throw] = ACTIONS(2496),
    [anon_sym_namespace] = ACTIONS(2496),
    [anon_sym_using] = ACTIONS(2496),
    [anon_sym_static_assert] = ACTIONS(2496),
    [anon_sym_concept] = ACTIONS(2496),
    [anon_sym_co_return] = ACTIONS(2496),
    [anon_sym_co_yield] = ACTIONS(2496),
    [anon_sym_R_DQUOTE] = ACTIONS(2498),
    [anon_sym_LR_DQUOTE] = ACTIONS(2498),
    [anon_sym_uR_DQUOTE] = ACTIONS(2498),
    [anon_sym_UR_DQUOTE] = ACTIONS(2498),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2498),
    [anon_sym_co_await] = ACTIONS(2496),
    [anon_sym_new] = ACTIONS(2496),
    [anon_sym_requires] = ACTIONS(2496),
    [sym_this] = ACTIONS(2496),
    [anon_sym_discard] = ACTIONS(2496),
    [anon_sym_precise] = ACTIONS(2496),
    [anon_sym_shared] = ACTIONS(2496),
    [anon_sym_groupshared] = ACTIONS(2496),
    [anon_sym_uniform] = ACTIONS(2496),
    [anon_sym_row_major] = ACTIONS(2496),
    [anon_sym_column_major] = ACTIONS(2496),
    [anon_sym_globallycoherent] = ACTIONS(2496),
    [anon_sym_centroid] = ACTIONS(2496),
    [anon_sym_noperspective] = ACTIONS(2496),
    [anon_sym_nointerpolation] = ACTIONS(2496),
    [anon_sym_sample] = ACTIONS(2496),
    [anon_sym_linear] = ACTIONS(2496),
    [anon_sym_snorm] = ACTIONS(2496),
    [anon_sym_unorm] = ACTIONS(2496),
    [anon_sym_point] = ACTIONS(2496),
    [anon_sym_line] = ACTIONS(2496),
    [anon_sym_triangleadj] = ACTIONS(2496),
    [anon_sym_lineadj] = ACTIONS(2496),
    [anon_sym_triangle] = ACTIONS(2496),
    [anon_sym_cbuffer] = ACTIONS(2496),
  },
  [569] = {
    [sym_identifier] = ACTIONS(2440),
    [aux_sym_preproc_include_token1] = ACTIONS(2440),
    [aux_sym_preproc_def_token1] = ACTIONS(2440),
    [aux_sym_preproc_if_token1] = ACTIONS(2440),
    [aux_sym_preproc_if_token2] = ACTIONS(2440),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2440),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2440),
    [aux_sym_preproc_else_token1] = ACTIONS(2440),
    [aux_sym_preproc_elif_token1] = ACTIONS(2440),
    [sym_preproc_directive] = ACTIONS(2440),
    [anon_sym_LPAREN2] = ACTIONS(2442),
    [anon_sym_BANG] = ACTIONS(2442),
    [anon_sym_TILDE] = ACTIONS(2442),
    [anon_sym_DASH] = ACTIONS(2440),
    [anon_sym_PLUS] = ACTIONS(2440),
    [anon_sym_STAR] = ACTIONS(2442),
    [anon_sym_AMP_AMP] = ACTIONS(2442),
    [anon_sym_AMP] = ACTIONS(2440),
    [anon_sym_SEMI] = ACTIONS(2442),
    [anon_sym___extension__] = ACTIONS(2440),
    [anon_sym_typedef] = ACTIONS(2440),
    [anon_sym_in] = ACTIONS(2440),
    [anon_sym_out] = ACTIONS(2440),
    [anon_sym_inout] = ACTIONS(2440),
    [anon_sym_extern] = ACTIONS(2440),
    [anon_sym___attribute__] = ACTIONS(2440),
    [anon_sym_COLON_COLON] = ACTIONS(2442),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2442),
    [anon_sym___declspec] = ACTIONS(2440),
    [anon_sym___based] = ACTIONS(2440),
    [anon_sym___cdecl] = ACTIONS(2440),
    [anon_sym___clrcall] = ACTIONS(2440),
    [anon_sym___stdcall] = ACTIONS(2440),
    [anon_sym___fastcall] = ACTIONS(2440),
    [anon_sym___thiscall] = ACTIONS(2440),
    [anon_sym___vectorcall] = ACTIONS(2440),
    [anon_sym_LBRACE] = ACTIONS(2442),
    [anon_sym_signed] = ACTIONS(2440),
    [anon_sym_unsigned] = ACTIONS(2440),
    [anon_sym_long] = ACTIONS(2440),
    [anon_sym_short] = ACTIONS(2440),
    [anon_sym_LBRACK] = ACTIONS(2440),
    [anon_sym_static] = ACTIONS(2440),
    [anon_sym_register] = ACTIONS(2440),
    [anon_sym_inline] = ACTIONS(2440),
    [anon_sym___inline] = ACTIONS(2440),
    [anon_sym___inline__] = ACTIONS(2440),
    [anon_sym___forceinline] = ACTIONS(2440),
    [anon_sym_thread_local] = ACTIONS(2440),
    [anon_sym___thread] = ACTIONS(2440),
    [anon_sym_const] = ACTIONS(2440),
    [anon_sym_constexpr] = ACTIONS(2440),
    [anon_sym_volatile] = ACTIONS(2440),
    [anon_sym_restrict] = ACTIONS(2440),
    [anon_sym___restrict__] = ACTIONS(2440),
    [anon_sym__Atomic] = ACTIONS(2440),
    [anon_sym__Noreturn] = ACTIONS(2440),
    [anon_sym_noreturn] = ACTIONS(2440),
    [anon_sym_mutable] = ACTIONS(2440),
    [anon_sym_constinit] = ACTIONS(2440),
    [anon_sym_consteval] = ACTIONS(2440),
    [sym_primitive_type] = ACTIONS(2440),
    [anon_sym_enum] = ACTIONS(2440),
    [anon_sym_class] = ACTIONS(2440),
    [anon_sym_struct] = ACTIONS(2440),
    [anon_sym_union] = ACTIONS(2440),
    [anon_sym_if] = ACTIONS(2440),
    [anon_sym_else] = ACTIONS(2440),
    [anon_sym_switch] = ACTIONS(2440),
    [anon_sym_case] = ACTIONS(2440),
    [anon_sym_default] = ACTIONS(2440),
    [anon_sym_while] = ACTIONS(2440),
    [anon_sym_do] = ACTIONS(2440),
    [anon_sym_for] = ACTIONS(2440),
    [anon_sym_return] = ACTIONS(2440),
    [anon_sym_break] = ACTIONS(2440),
    [anon_sym_continue] = ACTIONS(2440),
    [anon_sym_goto] = ACTIONS(2440),
    [anon_sym___try] = ACTIONS(2440),
    [anon_sym___leave] = ACTIONS(2440),
    [anon_sym_not] = ACTIONS(2440),
    [anon_sym_compl] = ACTIONS(2440),
    [anon_sym_DASH_DASH] = ACTIONS(2442),
    [anon_sym_PLUS_PLUS] = ACTIONS(2442),
    [anon_sym_sizeof] = ACTIONS(2440),
    [anon_sym___alignof__] = ACTIONS(2440),
    [anon_sym___alignof] = ACTIONS(2440),
    [anon_sym__alignof] = ACTIONS(2440),
    [anon_sym_alignof] = ACTIONS(2440),
    [anon_sym__Alignof] = ACTIONS(2440),
    [anon_sym_offsetof] = ACTIONS(2440),
    [anon_sym__Generic] = ACTIONS(2440),
    [anon_sym_asm] = ACTIONS(2440),
    [anon_sym___asm__] = ACTIONS(2440),
    [sym_number_literal] = ACTIONS(2442),
    [anon_sym_L_SQUOTE] = ACTIONS(2442),
    [anon_sym_u_SQUOTE] = ACTIONS(2442),
    [anon_sym_U_SQUOTE] = ACTIONS(2442),
    [anon_sym_u8_SQUOTE] = ACTIONS(2442),
    [anon_sym_SQUOTE] = ACTIONS(2442),
    [anon_sym_L_DQUOTE] = ACTIONS(2442),
    [anon_sym_u_DQUOTE] = ACTIONS(2442),
    [anon_sym_U_DQUOTE] = ACTIONS(2442),
    [anon_sym_u8_DQUOTE] = ACTIONS(2442),
    [anon_sym_DQUOTE] = ACTIONS(2442),
    [sym_true] = ACTIONS(2440),
    [sym_false] = ACTIONS(2440),
    [anon_sym_NULL] = ACTIONS(2440),
    [anon_sym_nullptr] = ACTIONS(2440),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2440),
    [anon_sym_decltype] = ACTIONS(2440),
    [anon_sym_virtual] = ACTIONS(2440),
    [anon_sym_alignas] = ACTIONS(2440),
    [anon_sym_explicit] = ACTIONS(2440),
    [anon_sym_typename] = ACTIONS(2440),
    [anon_sym_template] = ACTIONS(2440),
    [anon_sym_operator] = ACTIONS(2440),
    [anon_sym_try] = ACTIONS(2440),
    [anon_sym_delete] = ACTIONS(2440),
    [anon_sym_throw] = ACTIONS(2440),
    [anon_sym_namespace] = ACTIONS(2440),
    [anon_sym_using] = ACTIONS(2440),
    [anon_sym_static_assert] = ACTIONS(2440),
    [anon_sym_concept] = ACTIONS(2440),
    [anon_sym_co_return] = ACTIONS(2440),
    [anon_sym_co_yield] = ACTIONS(2440),
    [anon_sym_R_DQUOTE] = ACTIONS(2442),
    [anon_sym_LR_DQUOTE] = ACTIONS(2442),
    [anon_sym_uR_DQUOTE] = ACTIONS(2442),
    [anon_sym_UR_DQUOTE] = ACTIONS(2442),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2442),
    [anon_sym_co_await] = ACTIONS(2440),
    [anon_sym_new] = ACTIONS(2440),
    [anon_sym_requires] = ACTIONS(2440),
    [sym_this] = ACTIONS(2440),
    [anon_sym_discard] = ACTIONS(2440),
    [anon_sym_precise] = ACTIONS(2440),
    [anon_sym_shared] = ACTIONS(2440),
    [anon_sym_groupshared] = ACTIONS(2440),
    [anon_sym_uniform] = ACTIONS(2440),
    [anon_sym_row_major] = ACTIONS(2440),
    [anon_sym_column_major] = ACTIONS(2440),
    [anon_sym_globallycoherent] = ACTIONS(2440),
    [anon_sym_centroid] = ACTIONS(2440),
    [anon_sym_noperspective] = ACTIONS(2440),
    [anon_sym_nointerpolation] = ACTIONS(2440),
    [anon_sym_sample] = ACTIONS(2440),
    [anon_sym_linear] = ACTIONS(2440),
    [anon_sym_snorm] = ACTIONS(2440),
    [anon_sym_unorm] = ACTIONS(2440),
    [anon_sym_point] = ACTIONS(2440),
    [anon_sym_line] = ACTIONS(2440),
    [anon_sym_triangleadj] = ACTIONS(2440),
    [anon_sym_lineadj] = ACTIONS(2440),
    [anon_sym_triangle] = ACTIONS(2440),
    [anon_sym_cbuffer] = ACTIONS(2440),
  },
  [570] = {
    [sym_identifier] = ACTIONS(2364),
    [aux_sym_preproc_include_token1] = ACTIONS(2364),
    [aux_sym_preproc_def_token1] = ACTIONS(2364),
    [aux_sym_preproc_if_token1] = ACTIONS(2364),
    [aux_sym_preproc_if_token2] = ACTIONS(2364),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2364),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2364),
    [aux_sym_preproc_else_token1] = ACTIONS(2364),
    [aux_sym_preproc_elif_token1] = ACTIONS(2364),
    [sym_preproc_directive] = ACTIONS(2364),
    [anon_sym_LPAREN2] = ACTIONS(2366),
    [anon_sym_BANG] = ACTIONS(2366),
    [anon_sym_TILDE] = ACTIONS(2366),
    [anon_sym_DASH] = ACTIONS(2364),
    [anon_sym_PLUS] = ACTIONS(2364),
    [anon_sym_STAR] = ACTIONS(2366),
    [anon_sym_AMP_AMP] = ACTIONS(2366),
    [anon_sym_AMP] = ACTIONS(2364),
    [anon_sym_SEMI] = ACTIONS(2366),
    [anon_sym___extension__] = ACTIONS(2364),
    [anon_sym_typedef] = ACTIONS(2364),
    [anon_sym_in] = ACTIONS(2364),
    [anon_sym_out] = ACTIONS(2364),
    [anon_sym_inout] = ACTIONS(2364),
    [anon_sym_extern] = ACTIONS(2364),
    [anon_sym___attribute__] = ACTIONS(2364),
    [anon_sym_COLON_COLON] = ACTIONS(2366),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2366),
    [anon_sym___declspec] = ACTIONS(2364),
    [anon_sym___based] = ACTIONS(2364),
    [anon_sym___cdecl] = ACTIONS(2364),
    [anon_sym___clrcall] = ACTIONS(2364),
    [anon_sym___stdcall] = ACTIONS(2364),
    [anon_sym___fastcall] = ACTIONS(2364),
    [anon_sym___thiscall] = ACTIONS(2364),
    [anon_sym___vectorcall] = ACTIONS(2364),
    [anon_sym_LBRACE] = ACTIONS(2366),
    [anon_sym_signed] = ACTIONS(2364),
    [anon_sym_unsigned] = ACTIONS(2364),
    [anon_sym_long] = ACTIONS(2364),
    [anon_sym_short] = ACTIONS(2364),
    [anon_sym_LBRACK] = ACTIONS(2364),
    [anon_sym_static] = ACTIONS(2364),
    [anon_sym_register] = ACTIONS(2364),
    [anon_sym_inline] = ACTIONS(2364),
    [anon_sym___inline] = ACTIONS(2364),
    [anon_sym___inline__] = ACTIONS(2364),
    [anon_sym___forceinline] = ACTIONS(2364),
    [anon_sym_thread_local] = ACTIONS(2364),
    [anon_sym___thread] = ACTIONS(2364),
    [anon_sym_const] = ACTIONS(2364),
    [anon_sym_constexpr] = ACTIONS(2364),
    [anon_sym_volatile] = ACTIONS(2364),
    [anon_sym_restrict] = ACTIONS(2364),
    [anon_sym___restrict__] = ACTIONS(2364),
    [anon_sym__Atomic] = ACTIONS(2364),
    [anon_sym__Noreturn] = ACTIONS(2364),
    [anon_sym_noreturn] = ACTIONS(2364),
    [anon_sym_mutable] = ACTIONS(2364),
    [anon_sym_constinit] = ACTIONS(2364),
    [anon_sym_consteval] = ACTIONS(2364),
    [sym_primitive_type] = ACTIONS(2364),
    [anon_sym_enum] = ACTIONS(2364),
    [anon_sym_class] = ACTIONS(2364),
    [anon_sym_struct] = ACTIONS(2364),
    [anon_sym_union] = ACTIONS(2364),
    [anon_sym_if] = ACTIONS(2364),
    [anon_sym_else] = ACTIONS(2364),
    [anon_sym_switch] = ACTIONS(2364),
    [anon_sym_case] = ACTIONS(2364),
    [anon_sym_default] = ACTIONS(2364),
    [anon_sym_while] = ACTIONS(2364),
    [anon_sym_do] = ACTIONS(2364),
    [anon_sym_for] = ACTIONS(2364),
    [anon_sym_return] = ACTIONS(2364),
    [anon_sym_break] = ACTIONS(2364),
    [anon_sym_continue] = ACTIONS(2364),
    [anon_sym_goto] = ACTIONS(2364),
    [anon_sym___try] = ACTIONS(2364),
    [anon_sym___leave] = ACTIONS(2364),
    [anon_sym_not] = ACTIONS(2364),
    [anon_sym_compl] = ACTIONS(2364),
    [anon_sym_DASH_DASH] = ACTIONS(2366),
    [anon_sym_PLUS_PLUS] = ACTIONS(2366),
    [anon_sym_sizeof] = ACTIONS(2364),
    [anon_sym___alignof__] = ACTIONS(2364),
    [anon_sym___alignof] = ACTIONS(2364),
    [anon_sym__alignof] = ACTIONS(2364),
    [anon_sym_alignof] = ACTIONS(2364),
    [anon_sym__Alignof] = ACTIONS(2364),
    [anon_sym_offsetof] = ACTIONS(2364),
    [anon_sym__Generic] = ACTIONS(2364),
    [anon_sym_asm] = ACTIONS(2364),
    [anon_sym___asm__] = ACTIONS(2364),
    [sym_number_literal] = ACTIONS(2366),
    [anon_sym_L_SQUOTE] = ACTIONS(2366),
    [anon_sym_u_SQUOTE] = ACTIONS(2366),
    [anon_sym_U_SQUOTE] = ACTIONS(2366),
    [anon_sym_u8_SQUOTE] = ACTIONS(2366),
    [anon_sym_SQUOTE] = ACTIONS(2366),
    [anon_sym_L_DQUOTE] = ACTIONS(2366),
    [anon_sym_u_DQUOTE] = ACTIONS(2366),
    [anon_sym_U_DQUOTE] = ACTIONS(2366),
    [anon_sym_u8_DQUOTE] = ACTIONS(2366),
    [anon_sym_DQUOTE] = ACTIONS(2366),
    [sym_true] = ACTIONS(2364),
    [sym_false] = ACTIONS(2364),
    [anon_sym_NULL] = ACTIONS(2364),
    [anon_sym_nullptr] = ACTIONS(2364),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2364),
    [anon_sym_decltype] = ACTIONS(2364),
    [anon_sym_virtual] = ACTIONS(2364),
    [anon_sym_alignas] = ACTIONS(2364),
    [anon_sym_explicit] = ACTIONS(2364),
    [anon_sym_typename] = ACTIONS(2364),
    [anon_sym_template] = ACTIONS(2364),
    [anon_sym_operator] = ACTIONS(2364),
    [anon_sym_try] = ACTIONS(2364),
    [anon_sym_delete] = ACTIONS(2364),
    [anon_sym_throw] = ACTIONS(2364),
    [anon_sym_namespace] = ACTIONS(2364),
    [anon_sym_using] = ACTIONS(2364),
    [anon_sym_static_assert] = ACTIONS(2364),
    [anon_sym_concept] = ACTIONS(2364),
    [anon_sym_co_return] = ACTIONS(2364),
    [anon_sym_co_yield] = ACTIONS(2364),
    [anon_sym_R_DQUOTE] = ACTIONS(2366),
    [anon_sym_LR_DQUOTE] = ACTIONS(2366),
    [anon_sym_uR_DQUOTE] = ACTIONS(2366),
    [anon_sym_UR_DQUOTE] = ACTIONS(2366),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2366),
    [anon_sym_co_await] = ACTIONS(2364),
    [anon_sym_new] = ACTIONS(2364),
    [anon_sym_requires] = ACTIONS(2364),
    [sym_this] = ACTIONS(2364),
    [anon_sym_discard] = ACTIONS(2364),
    [anon_sym_precise] = ACTIONS(2364),
    [anon_sym_shared] = ACTIONS(2364),
    [anon_sym_groupshared] = ACTIONS(2364),
    [anon_sym_uniform] = ACTIONS(2364),
    [anon_sym_row_major] = ACTIONS(2364),
    [anon_sym_column_major] = ACTIONS(2364),
    [anon_sym_globallycoherent] = ACTIONS(2364),
    [anon_sym_centroid] = ACTIONS(2364),
    [anon_sym_noperspective] = ACTIONS(2364),
    [anon_sym_nointerpolation] = ACTIONS(2364),
    [anon_sym_sample] = ACTIONS(2364),
    [anon_sym_linear] = ACTIONS(2364),
    [anon_sym_snorm] = ACTIONS(2364),
    [anon_sym_unorm] = ACTIONS(2364),
    [anon_sym_point] = ACTIONS(2364),
    [anon_sym_line] = ACTIONS(2364),
    [anon_sym_triangleadj] = ACTIONS(2364),
    [anon_sym_lineadj] = ACTIONS(2364),
    [anon_sym_triangle] = ACTIONS(2364),
    [anon_sym_cbuffer] = ACTIONS(2364),
  },
  [571] = {
    [sym_identifier] = ACTIONS(2354),
    [aux_sym_preproc_include_token1] = ACTIONS(2354),
    [aux_sym_preproc_def_token1] = ACTIONS(2354),
    [aux_sym_preproc_if_token1] = ACTIONS(2354),
    [aux_sym_preproc_if_token2] = ACTIONS(2354),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2354),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2354),
    [aux_sym_preproc_else_token1] = ACTIONS(2354),
    [aux_sym_preproc_elif_token1] = ACTIONS(2354),
    [sym_preproc_directive] = ACTIONS(2354),
    [anon_sym_LPAREN2] = ACTIONS(2356),
    [anon_sym_BANG] = ACTIONS(2356),
    [anon_sym_TILDE] = ACTIONS(2356),
    [anon_sym_DASH] = ACTIONS(2354),
    [anon_sym_PLUS] = ACTIONS(2354),
    [anon_sym_STAR] = ACTIONS(2356),
    [anon_sym_AMP_AMP] = ACTIONS(2356),
    [anon_sym_AMP] = ACTIONS(2354),
    [anon_sym_SEMI] = ACTIONS(2356),
    [anon_sym___extension__] = ACTIONS(2354),
    [anon_sym_typedef] = ACTIONS(2354),
    [anon_sym_in] = ACTIONS(2354),
    [anon_sym_out] = ACTIONS(2354),
    [anon_sym_inout] = ACTIONS(2354),
    [anon_sym_extern] = ACTIONS(2354),
    [anon_sym___attribute__] = ACTIONS(2354),
    [anon_sym_COLON_COLON] = ACTIONS(2356),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2356),
    [anon_sym___declspec] = ACTIONS(2354),
    [anon_sym___based] = ACTIONS(2354),
    [anon_sym___cdecl] = ACTIONS(2354),
    [anon_sym___clrcall] = ACTIONS(2354),
    [anon_sym___stdcall] = ACTIONS(2354),
    [anon_sym___fastcall] = ACTIONS(2354),
    [anon_sym___thiscall] = ACTIONS(2354),
    [anon_sym___vectorcall] = ACTIONS(2354),
    [anon_sym_LBRACE] = ACTIONS(2356),
    [anon_sym_signed] = ACTIONS(2354),
    [anon_sym_unsigned] = ACTIONS(2354),
    [anon_sym_long] = ACTIONS(2354),
    [anon_sym_short] = ACTIONS(2354),
    [anon_sym_LBRACK] = ACTIONS(2354),
    [anon_sym_static] = ACTIONS(2354),
    [anon_sym_register] = ACTIONS(2354),
    [anon_sym_inline] = ACTIONS(2354),
    [anon_sym___inline] = ACTIONS(2354),
    [anon_sym___inline__] = ACTIONS(2354),
    [anon_sym___forceinline] = ACTIONS(2354),
    [anon_sym_thread_local] = ACTIONS(2354),
    [anon_sym___thread] = ACTIONS(2354),
    [anon_sym_const] = ACTIONS(2354),
    [anon_sym_constexpr] = ACTIONS(2354),
    [anon_sym_volatile] = ACTIONS(2354),
    [anon_sym_restrict] = ACTIONS(2354),
    [anon_sym___restrict__] = ACTIONS(2354),
    [anon_sym__Atomic] = ACTIONS(2354),
    [anon_sym__Noreturn] = ACTIONS(2354),
    [anon_sym_noreturn] = ACTIONS(2354),
    [anon_sym_mutable] = ACTIONS(2354),
    [anon_sym_constinit] = ACTIONS(2354),
    [anon_sym_consteval] = ACTIONS(2354),
    [sym_primitive_type] = ACTIONS(2354),
    [anon_sym_enum] = ACTIONS(2354),
    [anon_sym_class] = ACTIONS(2354),
    [anon_sym_struct] = ACTIONS(2354),
    [anon_sym_union] = ACTIONS(2354),
    [anon_sym_if] = ACTIONS(2354),
    [anon_sym_else] = ACTIONS(2354),
    [anon_sym_switch] = ACTIONS(2354),
    [anon_sym_case] = ACTIONS(2354),
    [anon_sym_default] = ACTIONS(2354),
    [anon_sym_while] = ACTIONS(2354),
    [anon_sym_do] = ACTIONS(2354),
    [anon_sym_for] = ACTIONS(2354),
    [anon_sym_return] = ACTIONS(2354),
    [anon_sym_break] = ACTIONS(2354),
    [anon_sym_continue] = ACTIONS(2354),
    [anon_sym_goto] = ACTIONS(2354),
    [anon_sym___try] = ACTIONS(2354),
    [anon_sym___leave] = ACTIONS(2354),
    [anon_sym_not] = ACTIONS(2354),
    [anon_sym_compl] = ACTIONS(2354),
    [anon_sym_DASH_DASH] = ACTIONS(2356),
    [anon_sym_PLUS_PLUS] = ACTIONS(2356),
    [anon_sym_sizeof] = ACTIONS(2354),
    [anon_sym___alignof__] = ACTIONS(2354),
    [anon_sym___alignof] = ACTIONS(2354),
    [anon_sym__alignof] = ACTIONS(2354),
    [anon_sym_alignof] = ACTIONS(2354),
    [anon_sym__Alignof] = ACTIONS(2354),
    [anon_sym_offsetof] = ACTIONS(2354),
    [anon_sym__Generic] = ACTIONS(2354),
    [anon_sym_asm] = ACTIONS(2354),
    [anon_sym___asm__] = ACTIONS(2354),
    [sym_number_literal] = ACTIONS(2356),
    [anon_sym_L_SQUOTE] = ACTIONS(2356),
    [anon_sym_u_SQUOTE] = ACTIONS(2356),
    [anon_sym_U_SQUOTE] = ACTIONS(2356),
    [anon_sym_u8_SQUOTE] = ACTIONS(2356),
    [anon_sym_SQUOTE] = ACTIONS(2356),
    [anon_sym_L_DQUOTE] = ACTIONS(2356),
    [anon_sym_u_DQUOTE] = ACTIONS(2356),
    [anon_sym_U_DQUOTE] = ACTIONS(2356),
    [anon_sym_u8_DQUOTE] = ACTIONS(2356),
    [anon_sym_DQUOTE] = ACTIONS(2356),
    [sym_true] = ACTIONS(2354),
    [sym_false] = ACTIONS(2354),
    [anon_sym_NULL] = ACTIONS(2354),
    [anon_sym_nullptr] = ACTIONS(2354),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2354),
    [anon_sym_decltype] = ACTIONS(2354),
    [anon_sym_virtual] = ACTIONS(2354),
    [anon_sym_alignas] = ACTIONS(2354),
    [anon_sym_explicit] = ACTIONS(2354),
    [anon_sym_typename] = ACTIONS(2354),
    [anon_sym_template] = ACTIONS(2354),
    [anon_sym_operator] = ACTIONS(2354),
    [anon_sym_try] = ACTIONS(2354),
    [anon_sym_delete] = ACTIONS(2354),
    [anon_sym_throw] = ACTIONS(2354),
    [anon_sym_namespace] = ACTIONS(2354),
    [anon_sym_using] = ACTIONS(2354),
    [anon_sym_static_assert] = ACTIONS(2354),
    [anon_sym_concept] = ACTIONS(2354),
    [anon_sym_co_return] = ACTIONS(2354),
    [anon_sym_co_yield] = ACTIONS(2354),
    [anon_sym_R_DQUOTE] = ACTIONS(2356),
    [anon_sym_LR_DQUOTE] = ACTIONS(2356),
    [anon_sym_uR_DQUOTE] = ACTIONS(2356),
    [anon_sym_UR_DQUOTE] = ACTIONS(2356),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2356),
    [anon_sym_co_await] = ACTIONS(2354),
    [anon_sym_new] = ACTIONS(2354),
    [anon_sym_requires] = ACTIONS(2354),
    [sym_this] = ACTIONS(2354),
    [anon_sym_discard] = ACTIONS(2354),
    [anon_sym_precise] = ACTIONS(2354),
    [anon_sym_shared] = ACTIONS(2354),
    [anon_sym_groupshared] = ACTIONS(2354),
    [anon_sym_uniform] = ACTIONS(2354),
    [anon_sym_row_major] = ACTIONS(2354),
    [anon_sym_column_major] = ACTIONS(2354),
    [anon_sym_globallycoherent] = ACTIONS(2354),
    [anon_sym_centroid] = ACTIONS(2354),
    [anon_sym_noperspective] = ACTIONS(2354),
    [anon_sym_nointerpolation] = ACTIONS(2354),
    [anon_sym_sample] = ACTIONS(2354),
    [anon_sym_linear] = ACTIONS(2354),
    [anon_sym_snorm] = ACTIONS(2354),
    [anon_sym_unorm] = ACTIONS(2354),
    [anon_sym_point] = ACTIONS(2354),
    [anon_sym_line] = ACTIONS(2354),
    [anon_sym_triangleadj] = ACTIONS(2354),
    [anon_sym_lineadj] = ACTIONS(2354),
    [anon_sym_triangle] = ACTIONS(2354),
    [anon_sym_cbuffer] = ACTIONS(2354),
  },
  [572] = {
    [sym_identifier] = ACTIONS(2354),
    [aux_sym_preproc_include_token1] = ACTIONS(2354),
    [aux_sym_preproc_def_token1] = ACTIONS(2354),
    [aux_sym_preproc_if_token1] = ACTIONS(2354),
    [aux_sym_preproc_if_token2] = ACTIONS(2354),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2354),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2354),
    [aux_sym_preproc_else_token1] = ACTIONS(2354),
    [aux_sym_preproc_elif_token1] = ACTIONS(2354),
    [sym_preproc_directive] = ACTIONS(2354),
    [anon_sym_LPAREN2] = ACTIONS(2356),
    [anon_sym_BANG] = ACTIONS(2356),
    [anon_sym_TILDE] = ACTIONS(2356),
    [anon_sym_DASH] = ACTIONS(2354),
    [anon_sym_PLUS] = ACTIONS(2354),
    [anon_sym_STAR] = ACTIONS(2356),
    [anon_sym_AMP_AMP] = ACTIONS(2356),
    [anon_sym_AMP] = ACTIONS(2354),
    [anon_sym_SEMI] = ACTIONS(2356),
    [anon_sym___extension__] = ACTIONS(2354),
    [anon_sym_typedef] = ACTIONS(2354),
    [anon_sym_in] = ACTIONS(2354),
    [anon_sym_out] = ACTIONS(2354),
    [anon_sym_inout] = ACTIONS(2354),
    [anon_sym_extern] = ACTIONS(2354),
    [anon_sym___attribute__] = ACTIONS(2354),
    [anon_sym_COLON_COLON] = ACTIONS(2356),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2356),
    [anon_sym___declspec] = ACTIONS(2354),
    [anon_sym___based] = ACTIONS(2354),
    [anon_sym___cdecl] = ACTIONS(2354),
    [anon_sym___clrcall] = ACTIONS(2354),
    [anon_sym___stdcall] = ACTIONS(2354),
    [anon_sym___fastcall] = ACTIONS(2354),
    [anon_sym___thiscall] = ACTIONS(2354),
    [anon_sym___vectorcall] = ACTIONS(2354),
    [anon_sym_LBRACE] = ACTIONS(2356),
    [anon_sym_signed] = ACTIONS(2354),
    [anon_sym_unsigned] = ACTIONS(2354),
    [anon_sym_long] = ACTIONS(2354),
    [anon_sym_short] = ACTIONS(2354),
    [anon_sym_LBRACK] = ACTIONS(2354),
    [anon_sym_static] = ACTIONS(2354),
    [anon_sym_register] = ACTIONS(2354),
    [anon_sym_inline] = ACTIONS(2354),
    [anon_sym___inline] = ACTIONS(2354),
    [anon_sym___inline__] = ACTIONS(2354),
    [anon_sym___forceinline] = ACTIONS(2354),
    [anon_sym_thread_local] = ACTIONS(2354),
    [anon_sym___thread] = ACTIONS(2354),
    [anon_sym_const] = ACTIONS(2354),
    [anon_sym_constexpr] = ACTIONS(2354),
    [anon_sym_volatile] = ACTIONS(2354),
    [anon_sym_restrict] = ACTIONS(2354),
    [anon_sym___restrict__] = ACTIONS(2354),
    [anon_sym__Atomic] = ACTIONS(2354),
    [anon_sym__Noreturn] = ACTIONS(2354),
    [anon_sym_noreturn] = ACTIONS(2354),
    [anon_sym_mutable] = ACTIONS(2354),
    [anon_sym_constinit] = ACTIONS(2354),
    [anon_sym_consteval] = ACTIONS(2354),
    [sym_primitive_type] = ACTIONS(2354),
    [anon_sym_enum] = ACTIONS(2354),
    [anon_sym_class] = ACTIONS(2354),
    [anon_sym_struct] = ACTIONS(2354),
    [anon_sym_union] = ACTIONS(2354),
    [anon_sym_if] = ACTIONS(2354),
    [anon_sym_else] = ACTIONS(2354),
    [anon_sym_switch] = ACTIONS(2354),
    [anon_sym_case] = ACTIONS(2354),
    [anon_sym_default] = ACTIONS(2354),
    [anon_sym_while] = ACTIONS(2354),
    [anon_sym_do] = ACTIONS(2354),
    [anon_sym_for] = ACTIONS(2354),
    [anon_sym_return] = ACTIONS(2354),
    [anon_sym_break] = ACTIONS(2354),
    [anon_sym_continue] = ACTIONS(2354),
    [anon_sym_goto] = ACTIONS(2354),
    [anon_sym___try] = ACTIONS(2354),
    [anon_sym___leave] = ACTIONS(2354),
    [anon_sym_not] = ACTIONS(2354),
    [anon_sym_compl] = ACTIONS(2354),
    [anon_sym_DASH_DASH] = ACTIONS(2356),
    [anon_sym_PLUS_PLUS] = ACTIONS(2356),
    [anon_sym_sizeof] = ACTIONS(2354),
    [anon_sym___alignof__] = ACTIONS(2354),
    [anon_sym___alignof] = ACTIONS(2354),
    [anon_sym__alignof] = ACTIONS(2354),
    [anon_sym_alignof] = ACTIONS(2354),
    [anon_sym__Alignof] = ACTIONS(2354),
    [anon_sym_offsetof] = ACTIONS(2354),
    [anon_sym__Generic] = ACTIONS(2354),
    [anon_sym_asm] = ACTIONS(2354),
    [anon_sym___asm__] = ACTIONS(2354),
    [sym_number_literal] = ACTIONS(2356),
    [anon_sym_L_SQUOTE] = ACTIONS(2356),
    [anon_sym_u_SQUOTE] = ACTIONS(2356),
    [anon_sym_U_SQUOTE] = ACTIONS(2356),
    [anon_sym_u8_SQUOTE] = ACTIONS(2356),
    [anon_sym_SQUOTE] = ACTIONS(2356),
    [anon_sym_L_DQUOTE] = ACTIONS(2356),
    [anon_sym_u_DQUOTE] = ACTIONS(2356),
    [anon_sym_U_DQUOTE] = ACTIONS(2356),
    [anon_sym_u8_DQUOTE] = ACTIONS(2356),
    [anon_sym_DQUOTE] = ACTIONS(2356),
    [sym_true] = ACTIONS(2354),
    [sym_false] = ACTIONS(2354),
    [anon_sym_NULL] = ACTIONS(2354),
    [anon_sym_nullptr] = ACTIONS(2354),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2354),
    [anon_sym_decltype] = ACTIONS(2354),
    [anon_sym_virtual] = ACTIONS(2354),
    [anon_sym_alignas] = ACTIONS(2354),
    [anon_sym_explicit] = ACTIONS(2354),
    [anon_sym_typename] = ACTIONS(2354),
    [anon_sym_template] = ACTIONS(2354),
    [anon_sym_operator] = ACTIONS(2354),
    [anon_sym_try] = ACTIONS(2354),
    [anon_sym_delete] = ACTIONS(2354),
    [anon_sym_throw] = ACTIONS(2354),
    [anon_sym_namespace] = ACTIONS(2354),
    [anon_sym_using] = ACTIONS(2354),
    [anon_sym_static_assert] = ACTIONS(2354),
    [anon_sym_concept] = ACTIONS(2354),
    [anon_sym_co_return] = ACTIONS(2354),
    [anon_sym_co_yield] = ACTIONS(2354),
    [anon_sym_R_DQUOTE] = ACTIONS(2356),
    [anon_sym_LR_DQUOTE] = ACTIONS(2356),
    [anon_sym_uR_DQUOTE] = ACTIONS(2356),
    [anon_sym_UR_DQUOTE] = ACTIONS(2356),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2356),
    [anon_sym_co_await] = ACTIONS(2354),
    [anon_sym_new] = ACTIONS(2354),
    [anon_sym_requires] = ACTIONS(2354),
    [sym_this] = ACTIONS(2354),
    [anon_sym_discard] = ACTIONS(2354),
    [anon_sym_precise] = ACTIONS(2354),
    [anon_sym_shared] = ACTIONS(2354),
    [anon_sym_groupshared] = ACTIONS(2354),
    [anon_sym_uniform] = ACTIONS(2354),
    [anon_sym_row_major] = ACTIONS(2354),
    [anon_sym_column_major] = ACTIONS(2354),
    [anon_sym_globallycoherent] = ACTIONS(2354),
    [anon_sym_centroid] = ACTIONS(2354),
    [anon_sym_noperspective] = ACTIONS(2354),
    [anon_sym_nointerpolation] = ACTIONS(2354),
    [anon_sym_sample] = ACTIONS(2354),
    [anon_sym_linear] = ACTIONS(2354),
    [anon_sym_snorm] = ACTIONS(2354),
    [anon_sym_unorm] = ACTIONS(2354),
    [anon_sym_point] = ACTIONS(2354),
    [anon_sym_line] = ACTIONS(2354),
    [anon_sym_triangleadj] = ACTIONS(2354),
    [anon_sym_lineadj] = ACTIONS(2354),
    [anon_sym_triangle] = ACTIONS(2354),
    [anon_sym_cbuffer] = ACTIONS(2354),
  },
  [573] = {
    [sym_identifier] = ACTIONS(2420),
    [aux_sym_preproc_include_token1] = ACTIONS(2420),
    [aux_sym_preproc_def_token1] = ACTIONS(2420),
    [aux_sym_preproc_if_token1] = ACTIONS(2420),
    [aux_sym_preproc_if_token2] = ACTIONS(2420),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2420),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2420),
    [aux_sym_preproc_else_token1] = ACTIONS(2420),
    [aux_sym_preproc_elif_token1] = ACTIONS(2420),
    [sym_preproc_directive] = ACTIONS(2420),
    [anon_sym_LPAREN2] = ACTIONS(2422),
    [anon_sym_BANG] = ACTIONS(2422),
    [anon_sym_TILDE] = ACTIONS(2422),
    [anon_sym_DASH] = ACTIONS(2420),
    [anon_sym_PLUS] = ACTIONS(2420),
    [anon_sym_STAR] = ACTIONS(2422),
    [anon_sym_AMP_AMP] = ACTIONS(2422),
    [anon_sym_AMP] = ACTIONS(2420),
    [anon_sym_SEMI] = ACTIONS(2422),
    [anon_sym___extension__] = ACTIONS(2420),
    [anon_sym_typedef] = ACTIONS(2420),
    [anon_sym_in] = ACTIONS(2420),
    [anon_sym_out] = ACTIONS(2420),
    [anon_sym_inout] = ACTIONS(2420),
    [anon_sym_extern] = ACTIONS(2420),
    [anon_sym___attribute__] = ACTIONS(2420),
    [anon_sym_COLON_COLON] = ACTIONS(2422),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2422),
    [anon_sym___declspec] = ACTIONS(2420),
    [anon_sym___based] = ACTIONS(2420),
    [anon_sym___cdecl] = ACTIONS(2420),
    [anon_sym___clrcall] = ACTIONS(2420),
    [anon_sym___stdcall] = ACTIONS(2420),
    [anon_sym___fastcall] = ACTIONS(2420),
    [anon_sym___thiscall] = ACTIONS(2420),
    [anon_sym___vectorcall] = ACTIONS(2420),
    [anon_sym_LBRACE] = ACTIONS(2422),
    [anon_sym_signed] = ACTIONS(2420),
    [anon_sym_unsigned] = ACTIONS(2420),
    [anon_sym_long] = ACTIONS(2420),
    [anon_sym_short] = ACTIONS(2420),
    [anon_sym_LBRACK] = ACTIONS(2420),
    [anon_sym_static] = ACTIONS(2420),
    [anon_sym_register] = ACTIONS(2420),
    [anon_sym_inline] = ACTIONS(2420),
    [anon_sym___inline] = ACTIONS(2420),
    [anon_sym___inline__] = ACTIONS(2420),
    [anon_sym___forceinline] = ACTIONS(2420),
    [anon_sym_thread_local] = ACTIONS(2420),
    [anon_sym___thread] = ACTIONS(2420),
    [anon_sym_const] = ACTIONS(2420),
    [anon_sym_constexpr] = ACTIONS(2420),
    [anon_sym_volatile] = ACTIONS(2420),
    [anon_sym_restrict] = ACTIONS(2420),
    [anon_sym___restrict__] = ACTIONS(2420),
    [anon_sym__Atomic] = ACTIONS(2420),
    [anon_sym__Noreturn] = ACTIONS(2420),
    [anon_sym_noreturn] = ACTIONS(2420),
    [anon_sym_mutable] = ACTIONS(2420),
    [anon_sym_constinit] = ACTIONS(2420),
    [anon_sym_consteval] = ACTIONS(2420),
    [sym_primitive_type] = ACTIONS(2420),
    [anon_sym_enum] = ACTIONS(2420),
    [anon_sym_class] = ACTIONS(2420),
    [anon_sym_struct] = ACTIONS(2420),
    [anon_sym_union] = ACTIONS(2420),
    [anon_sym_if] = ACTIONS(2420),
    [anon_sym_else] = ACTIONS(2420),
    [anon_sym_switch] = ACTIONS(2420),
    [anon_sym_case] = ACTIONS(2420),
    [anon_sym_default] = ACTIONS(2420),
    [anon_sym_while] = ACTIONS(2420),
    [anon_sym_do] = ACTIONS(2420),
    [anon_sym_for] = ACTIONS(2420),
    [anon_sym_return] = ACTIONS(2420),
    [anon_sym_break] = ACTIONS(2420),
    [anon_sym_continue] = ACTIONS(2420),
    [anon_sym_goto] = ACTIONS(2420),
    [anon_sym___try] = ACTIONS(2420),
    [anon_sym___leave] = ACTIONS(2420),
    [anon_sym_not] = ACTIONS(2420),
    [anon_sym_compl] = ACTIONS(2420),
    [anon_sym_DASH_DASH] = ACTIONS(2422),
    [anon_sym_PLUS_PLUS] = ACTIONS(2422),
    [anon_sym_sizeof] = ACTIONS(2420),
    [anon_sym___alignof__] = ACTIONS(2420),
    [anon_sym___alignof] = ACTIONS(2420),
    [anon_sym__alignof] = ACTIONS(2420),
    [anon_sym_alignof] = ACTIONS(2420),
    [anon_sym__Alignof] = ACTIONS(2420),
    [anon_sym_offsetof] = ACTIONS(2420),
    [anon_sym__Generic] = ACTIONS(2420),
    [anon_sym_asm] = ACTIONS(2420),
    [anon_sym___asm__] = ACTIONS(2420),
    [sym_number_literal] = ACTIONS(2422),
    [anon_sym_L_SQUOTE] = ACTIONS(2422),
    [anon_sym_u_SQUOTE] = ACTIONS(2422),
    [anon_sym_U_SQUOTE] = ACTIONS(2422),
    [anon_sym_u8_SQUOTE] = ACTIONS(2422),
    [anon_sym_SQUOTE] = ACTIONS(2422),
    [anon_sym_L_DQUOTE] = ACTIONS(2422),
    [anon_sym_u_DQUOTE] = ACTIONS(2422),
    [anon_sym_U_DQUOTE] = ACTIONS(2422),
    [anon_sym_u8_DQUOTE] = ACTIONS(2422),
    [anon_sym_DQUOTE] = ACTIONS(2422),
    [sym_true] = ACTIONS(2420),
    [sym_false] = ACTIONS(2420),
    [anon_sym_NULL] = ACTIONS(2420),
    [anon_sym_nullptr] = ACTIONS(2420),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2420),
    [anon_sym_decltype] = ACTIONS(2420),
    [anon_sym_virtual] = ACTIONS(2420),
    [anon_sym_alignas] = ACTIONS(2420),
    [anon_sym_explicit] = ACTIONS(2420),
    [anon_sym_typename] = ACTIONS(2420),
    [anon_sym_template] = ACTIONS(2420),
    [anon_sym_operator] = ACTIONS(2420),
    [anon_sym_try] = ACTIONS(2420),
    [anon_sym_delete] = ACTIONS(2420),
    [anon_sym_throw] = ACTIONS(2420),
    [anon_sym_namespace] = ACTIONS(2420),
    [anon_sym_using] = ACTIONS(2420),
    [anon_sym_static_assert] = ACTIONS(2420),
    [anon_sym_concept] = ACTIONS(2420),
    [anon_sym_co_return] = ACTIONS(2420),
    [anon_sym_co_yield] = ACTIONS(2420),
    [anon_sym_R_DQUOTE] = ACTIONS(2422),
    [anon_sym_LR_DQUOTE] = ACTIONS(2422),
    [anon_sym_uR_DQUOTE] = ACTIONS(2422),
    [anon_sym_UR_DQUOTE] = ACTIONS(2422),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2422),
    [anon_sym_co_await] = ACTIONS(2420),
    [anon_sym_new] = ACTIONS(2420),
    [anon_sym_requires] = ACTIONS(2420),
    [sym_this] = ACTIONS(2420),
    [anon_sym_discard] = ACTIONS(2420),
    [anon_sym_precise] = ACTIONS(2420),
    [anon_sym_shared] = ACTIONS(2420),
    [anon_sym_groupshared] = ACTIONS(2420),
    [anon_sym_uniform] = ACTIONS(2420),
    [anon_sym_row_major] = ACTIONS(2420),
    [anon_sym_column_major] = ACTIONS(2420),
    [anon_sym_globallycoherent] = ACTIONS(2420),
    [anon_sym_centroid] = ACTIONS(2420),
    [anon_sym_noperspective] = ACTIONS(2420),
    [anon_sym_nointerpolation] = ACTIONS(2420),
    [anon_sym_sample] = ACTIONS(2420),
    [anon_sym_linear] = ACTIONS(2420),
    [anon_sym_snorm] = ACTIONS(2420),
    [anon_sym_unorm] = ACTIONS(2420),
    [anon_sym_point] = ACTIONS(2420),
    [anon_sym_line] = ACTIONS(2420),
    [anon_sym_triangleadj] = ACTIONS(2420),
    [anon_sym_lineadj] = ACTIONS(2420),
    [anon_sym_triangle] = ACTIONS(2420),
    [anon_sym_cbuffer] = ACTIONS(2420),
  },
  [574] = {
    [sym_identifier] = ACTIONS(2412),
    [aux_sym_preproc_include_token1] = ACTIONS(2412),
    [aux_sym_preproc_def_token1] = ACTIONS(2412),
    [aux_sym_preproc_if_token1] = ACTIONS(2412),
    [aux_sym_preproc_if_token2] = ACTIONS(2412),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2412),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2412),
    [aux_sym_preproc_else_token1] = ACTIONS(2412),
    [aux_sym_preproc_elif_token1] = ACTIONS(2412),
    [sym_preproc_directive] = ACTIONS(2412),
    [anon_sym_LPAREN2] = ACTIONS(2414),
    [anon_sym_BANG] = ACTIONS(2414),
    [anon_sym_TILDE] = ACTIONS(2414),
    [anon_sym_DASH] = ACTIONS(2412),
    [anon_sym_PLUS] = ACTIONS(2412),
    [anon_sym_STAR] = ACTIONS(2414),
    [anon_sym_AMP_AMP] = ACTIONS(2414),
    [anon_sym_AMP] = ACTIONS(2412),
    [anon_sym_SEMI] = ACTIONS(2414),
    [anon_sym___extension__] = ACTIONS(2412),
    [anon_sym_typedef] = ACTIONS(2412),
    [anon_sym_in] = ACTIONS(2412),
    [anon_sym_out] = ACTIONS(2412),
    [anon_sym_inout] = ACTIONS(2412),
    [anon_sym_extern] = ACTIONS(2412),
    [anon_sym___attribute__] = ACTIONS(2412),
    [anon_sym_COLON_COLON] = ACTIONS(2414),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2414),
    [anon_sym___declspec] = ACTIONS(2412),
    [anon_sym___based] = ACTIONS(2412),
    [anon_sym___cdecl] = ACTIONS(2412),
    [anon_sym___clrcall] = ACTIONS(2412),
    [anon_sym___stdcall] = ACTIONS(2412),
    [anon_sym___fastcall] = ACTIONS(2412),
    [anon_sym___thiscall] = ACTIONS(2412),
    [anon_sym___vectorcall] = ACTIONS(2412),
    [anon_sym_LBRACE] = ACTIONS(2414),
    [anon_sym_signed] = ACTIONS(2412),
    [anon_sym_unsigned] = ACTIONS(2412),
    [anon_sym_long] = ACTIONS(2412),
    [anon_sym_short] = ACTIONS(2412),
    [anon_sym_LBRACK] = ACTIONS(2412),
    [anon_sym_static] = ACTIONS(2412),
    [anon_sym_register] = ACTIONS(2412),
    [anon_sym_inline] = ACTIONS(2412),
    [anon_sym___inline] = ACTIONS(2412),
    [anon_sym___inline__] = ACTIONS(2412),
    [anon_sym___forceinline] = ACTIONS(2412),
    [anon_sym_thread_local] = ACTIONS(2412),
    [anon_sym___thread] = ACTIONS(2412),
    [anon_sym_const] = ACTIONS(2412),
    [anon_sym_constexpr] = ACTIONS(2412),
    [anon_sym_volatile] = ACTIONS(2412),
    [anon_sym_restrict] = ACTIONS(2412),
    [anon_sym___restrict__] = ACTIONS(2412),
    [anon_sym__Atomic] = ACTIONS(2412),
    [anon_sym__Noreturn] = ACTIONS(2412),
    [anon_sym_noreturn] = ACTIONS(2412),
    [anon_sym_mutable] = ACTIONS(2412),
    [anon_sym_constinit] = ACTIONS(2412),
    [anon_sym_consteval] = ACTIONS(2412),
    [sym_primitive_type] = ACTIONS(2412),
    [anon_sym_enum] = ACTIONS(2412),
    [anon_sym_class] = ACTIONS(2412),
    [anon_sym_struct] = ACTIONS(2412),
    [anon_sym_union] = ACTIONS(2412),
    [anon_sym_if] = ACTIONS(2412),
    [anon_sym_else] = ACTIONS(2412),
    [anon_sym_switch] = ACTIONS(2412),
    [anon_sym_case] = ACTIONS(2412),
    [anon_sym_default] = ACTIONS(2412),
    [anon_sym_while] = ACTIONS(2412),
    [anon_sym_do] = ACTIONS(2412),
    [anon_sym_for] = ACTIONS(2412),
    [anon_sym_return] = ACTIONS(2412),
    [anon_sym_break] = ACTIONS(2412),
    [anon_sym_continue] = ACTIONS(2412),
    [anon_sym_goto] = ACTIONS(2412),
    [anon_sym___try] = ACTIONS(2412),
    [anon_sym___leave] = ACTIONS(2412),
    [anon_sym_not] = ACTIONS(2412),
    [anon_sym_compl] = ACTIONS(2412),
    [anon_sym_DASH_DASH] = ACTIONS(2414),
    [anon_sym_PLUS_PLUS] = ACTIONS(2414),
    [anon_sym_sizeof] = ACTIONS(2412),
    [anon_sym___alignof__] = ACTIONS(2412),
    [anon_sym___alignof] = ACTIONS(2412),
    [anon_sym__alignof] = ACTIONS(2412),
    [anon_sym_alignof] = ACTIONS(2412),
    [anon_sym__Alignof] = ACTIONS(2412),
    [anon_sym_offsetof] = ACTIONS(2412),
    [anon_sym__Generic] = ACTIONS(2412),
    [anon_sym_asm] = ACTIONS(2412),
    [anon_sym___asm__] = ACTIONS(2412),
    [sym_number_literal] = ACTIONS(2414),
    [anon_sym_L_SQUOTE] = ACTIONS(2414),
    [anon_sym_u_SQUOTE] = ACTIONS(2414),
    [anon_sym_U_SQUOTE] = ACTIONS(2414),
    [anon_sym_u8_SQUOTE] = ACTIONS(2414),
    [anon_sym_SQUOTE] = ACTIONS(2414),
    [anon_sym_L_DQUOTE] = ACTIONS(2414),
    [anon_sym_u_DQUOTE] = ACTIONS(2414),
    [anon_sym_U_DQUOTE] = ACTIONS(2414),
    [anon_sym_u8_DQUOTE] = ACTIONS(2414),
    [anon_sym_DQUOTE] = ACTIONS(2414),
    [sym_true] = ACTIONS(2412),
    [sym_false] = ACTIONS(2412),
    [anon_sym_NULL] = ACTIONS(2412),
    [anon_sym_nullptr] = ACTIONS(2412),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2412),
    [anon_sym_decltype] = ACTIONS(2412),
    [anon_sym_virtual] = ACTIONS(2412),
    [anon_sym_alignas] = ACTIONS(2412),
    [anon_sym_explicit] = ACTIONS(2412),
    [anon_sym_typename] = ACTIONS(2412),
    [anon_sym_template] = ACTIONS(2412),
    [anon_sym_operator] = ACTIONS(2412),
    [anon_sym_try] = ACTIONS(2412),
    [anon_sym_delete] = ACTIONS(2412),
    [anon_sym_throw] = ACTIONS(2412),
    [anon_sym_namespace] = ACTIONS(2412),
    [anon_sym_using] = ACTIONS(2412),
    [anon_sym_static_assert] = ACTIONS(2412),
    [anon_sym_concept] = ACTIONS(2412),
    [anon_sym_co_return] = ACTIONS(2412),
    [anon_sym_co_yield] = ACTIONS(2412),
    [anon_sym_R_DQUOTE] = ACTIONS(2414),
    [anon_sym_LR_DQUOTE] = ACTIONS(2414),
    [anon_sym_uR_DQUOTE] = ACTIONS(2414),
    [anon_sym_UR_DQUOTE] = ACTIONS(2414),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2414),
    [anon_sym_co_await] = ACTIONS(2412),
    [anon_sym_new] = ACTIONS(2412),
    [anon_sym_requires] = ACTIONS(2412),
    [sym_this] = ACTIONS(2412),
    [anon_sym_discard] = ACTIONS(2412),
    [anon_sym_precise] = ACTIONS(2412),
    [anon_sym_shared] = ACTIONS(2412),
    [anon_sym_groupshared] = ACTIONS(2412),
    [anon_sym_uniform] = ACTIONS(2412),
    [anon_sym_row_major] = ACTIONS(2412),
    [anon_sym_column_major] = ACTIONS(2412),
    [anon_sym_globallycoherent] = ACTIONS(2412),
    [anon_sym_centroid] = ACTIONS(2412),
    [anon_sym_noperspective] = ACTIONS(2412),
    [anon_sym_nointerpolation] = ACTIONS(2412),
    [anon_sym_sample] = ACTIONS(2412),
    [anon_sym_linear] = ACTIONS(2412),
    [anon_sym_snorm] = ACTIONS(2412),
    [anon_sym_unorm] = ACTIONS(2412),
    [anon_sym_point] = ACTIONS(2412),
    [anon_sym_line] = ACTIONS(2412),
    [anon_sym_triangleadj] = ACTIONS(2412),
    [anon_sym_lineadj] = ACTIONS(2412),
    [anon_sym_triangle] = ACTIONS(2412),
    [anon_sym_cbuffer] = ACTIONS(2412),
  },
  [575] = {
    [sym_identifier] = ACTIONS(2408),
    [aux_sym_preproc_include_token1] = ACTIONS(2408),
    [aux_sym_preproc_def_token1] = ACTIONS(2408),
    [aux_sym_preproc_if_token1] = ACTIONS(2408),
    [aux_sym_preproc_if_token2] = ACTIONS(2408),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2408),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2408),
    [aux_sym_preproc_else_token1] = ACTIONS(2408),
    [aux_sym_preproc_elif_token1] = ACTIONS(2408),
    [sym_preproc_directive] = ACTIONS(2408),
    [anon_sym_LPAREN2] = ACTIONS(2410),
    [anon_sym_BANG] = ACTIONS(2410),
    [anon_sym_TILDE] = ACTIONS(2410),
    [anon_sym_DASH] = ACTIONS(2408),
    [anon_sym_PLUS] = ACTIONS(2408),
    [anon_sym_STAR] = ACTIONS(2410),
    [anon_sym_AMP_AMP] = ACTIONS(2410),
    [anon_sym_AMP] = ACTIONS(2408),
    [anon_sym_SEMI] = ACTIONS(2410),
    [anon_sym___extension__] = ACTIONS(2408),
    [anon_sym_typedef] = ACTIONS(2408),
    [anon_sym_in] = ACTIONS(2408),
    [anon_sym_out] = ACTIONS(2408),
    [anon_sym_inout] = ACTIONS(2408),
    [anon_sym_extern] = ACTIONS(2408),
    [anon_sym___attribute__] = ACTIONS(2408),
    [anon_sym_COLON_COLON] = ACTIONS(2410),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2410),
    [anon_sym___declspec] = ACTIONS(2408),
    [anon_sym___based] = ACTIONS(2408),
    [anon_sym___cdecl] = ACTIONS(2408),
    [anon_sym___clrcall] = ACTIONS(2408),
    [anon_sym___stdcall] = ACTIONS(2408),
    [anon_sym___fastcall] = ACTIONS(2408),
    [anon_sym___thiscall] = ACTIONS(2408),
    [anon_sym___vectorcall] = ACTIONS(2408),
    [anon_sym_LBRACE] = ACTIONS(2410),
    [anon_sym_signed] = ACTIONS(2408),
    [anon_sym_unsigned] = ACTIONS(2408),
    [anon_sym_long] = ACTIONS(2408),
    [anon_sym_short] = ACTIONS(2408),
    [anon_sym_LBRACK] = ACTIONS(2408),
    [anon_sym_static] = ACTIONS(2408),
    [anon_sym_register] = ACTIONS(2408),
    [anon_sym_inline] = ACTIONS(2408),
    [anon_sym___inline] = ACTIONS(2408),
    [anon_sym___inline__] = ACTIONS(2408),
    [anon_sym___forceinline] = ACTIONS(2408),
    [anon_sym_thread_local] = ACTIONS(2408),
    [anon_sym___thread] = ACTIONS(2408),
    [anon_sym_const] = ACTIONS(2408),
    [anon_sym_constexpr] = ACTIONS(2408),
    [anon_sym_volatile] = ACTIONS(2408),
    [anon_sym_restrict] = ACTIONS(2408),
    [anon_sym___restrict__] = ACTIONS(2408),
    [anon_sym__Atomic] = ACTIONS(2408),
    [anon_sym__Noreturn] = ACTIONS(2408),
    [anon_sym_noreturn] = ACTIONS(2408),
    [anon_sym_mutable] = ACTIONS(2408),
    [anon_sym_constinit] = ACTIONS(2408),
    [anon_sym_consteval] = ACTIONS(2408),
    [sym_primitive_type] = ACTIONS(2408),
    [anon_sym_enum] = ACTIONS(2408),
    [anon_sym_class] = ACTIONS(2408),
    [anon_sym_struct] = ACTIONS(2408),
    [anon_sym_union] = ACTIONS(2408),
    [anon_sym_if] = ACTIONS(2408),
    [anon_sym_else] = ACTIONS(2408),
    [anon_sym_switch] = ACTIONS(2408),
    [anon_sym_case] = ACTIONS(2408),
    [anon_sym_default] = ACTIONS(2408),
    [anon_sym_while] = ACTIONS(2408),
    [anon_sym_do] = ACTIONS(2408),
    [anon_sym_for] = ACTIONS(2408),
    [anon_sym_return] = ACTIONS(2408),
    [anon_sym_break] = ACTIONS(2408),
    [anon_sym_continue] = ACTIONS(2408),
    [anon_sym_goto] = ACTIONS(2408),
    [anon_sym___try] = ACTIONS(2408),
    [anon_sym___leave] = ACTIONS(2408),
    [anon_sym_not] = ACTIONS(2408),
    [anon_sym_compl] = ACTIONS(2408),
    [anon_sym_DASH_DASH] = ACTIONS(2410),
    [anon_sym_PLUS_PLUS] = ACTIONS(2410),
    [anon_sym_sizeof] = ACTIONS(2408),
    [anon_sym___alignof__] = ACTIONS(2408),
    [anon_sym___alignof] = ACTIONS(2408),
    [anon_sym__alignof] = ACTIONS(2408),
    [anon_sym_alignof] = ACTIONS(2408),
    [anon_sym__Alignof] = ACTIONS(2408),
    [anon_sym_offsetof] = ACTIONS(2408),
    [anon_sym__Generic] = ACTIONS(2408),
    [anon_sym_asm] = ACTIONS(2408),
    [anon_sym___asm__] = ACTIONS(2408),
    [sym_number_literal] = ACTIONS(2410),
    [anon_sym_L_SQUOTE] = ACTIONS(2410),
    [anon_sym_u_SQUOTE] = ACTIONS(2410),
    [anon_sym_U_SQUOTE] = ACTIONS(2410),
    [anon_sym_u8_SQUOTE] = ACTIONS(2410),
    [anon_sym_SQUOTE] = ACTIONS(2410),
    [anon_sym_L_DQUOTE] = ACTIONS(2410),
    [anon_sym_u_DQUOTE] = ACTIONS(2410),
    [anon_sym_U_DQUOTE] = ACTIONS(2410),
    [anon_sym_u8_DQUOTE] = ACTIONS(2410),
    [anon_sym_DQUOTE] = ACTIONS(2410),
    [sym_true] = ACTIONS(2408),
    [sym_false] = ACTIONS(2408),
    [anon_sym_NULL] = ACTIONS(2408),
    [anon_sym_nullptr] = ACTIONS(2408),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2408),
    [anon_sym_decltype] = ACTIONS(2408),
    [anon_sym_virtual] = ACTIONS(2408),
    [anon_sym_alignas] = ACTIONS(2408),
    [anon_sym_explicit] = ACTIONS(2408),
    [anon_sym_typename] = ACTIONS(2408),
    [anon_sym_template] = ACTIONS(2408),
    [anon_sym_operator] = ACTIONS(2408),
    [anon_sym_try] = ACTIONS(2408),
    [anon_sym_delete] = ACTIONS(2408),
    [anon_sym_throw] = ACTIONS(2408),
    [anon_sym_namespace] = ACTIONS(2408),
    [anon_sym_using] = ACTIONS(2408),
    [anon_sym_static_assert] = ACTIONS(2408),
    [anon_sym_concept] = ACTIONS(2408),
    [anon_sym_co_return] = ACTIONS(2408),
    [anon_sym_co_yield] = ACTIONS(2408),
    [anon_sym_R_DQUOTE] = ACTIONS(2410),
    [anon_sym_LR_DQUOTE] = ACTIONS(2410),
    [anon_sym_uR_DQUOTE] = ACTIONS(2410),
    [anon_sym_UR_DQUOTE] = ACTIONS(2410),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2410),
    [anon_sym_co_await] = ACTIONS(2408),
    [anon_sym_new] = ACTIONS(2408),
    [anon_sym_requires] = ACTIONS(2408),
    [sym_this] = ACTIONS(2408),
    [anon_sym_discard] = ACTIONS(2408),
    [anon_sym_precise] = ACTIONS(2408),
    [anon_sym_shared] = ACTIONS(2408),
    [anon_sym_groupshared] = ACTIONS(2408),
    [anon_sym_uniform] = ACTIONS(2408),
    [anon_sym_row_major] = ACTIONS(2408),
    [anon_sym_column_major] = ACTIONS(2408),
    [anon_sym_globallycoherent] = ACTIONS(2408),
    [anon_sym_centroid] = ACTIONS(2408),
    [anon_sym_noperspective] = ACTIONS(2408),
    [anon_sym_nointerpolation] = ACTIONS(2408),
    [anon_sym_sample] = ACTIONS(2408),
    [anon_sym_linear] = ACTIONS(2408),
    [anon_sym_snorm] = ACTIONS(2408),
    [anon_sym_unorm] = ACTIONS(2408),
    [anon_sym_point] = ACTIONS(2408),
    [anon_sym_line] = ACTIONS(2408),
    [anon_sym_triangleadj] = ACTIONS(2408),
    [anon_sym_lineadj] = ACTIONS(2408),
    [anon_sym_triangle] = ACTIONS(2408),
    [anon_sym_cbuffer] = ACTIONS(2408),
  },
  [576] = {
    [sym_identifier] = ACTIONS(2492),
    [aux_sym_preproc_include_token1] = ACTIONS(2492),
    [aux_sym_preproc_def_token1] = ACTIONS(2492),
    [aux_sym_preproc_if_token1] = ACTIONS(2492),
    [aux_sym_preproc_if_token2] = ACTIONS(2492),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2492),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2492),
    [aux_sym_preproc_else_token1] = ACTIONS(2492),
    [aux_sym_preproc_elif_token1] = ACTIONS(2492),
    [sym_preproc_directive] = ACTIONS(2492),
    [anon_sym_LPAREN2] = ACTIONS(2494),
    [anon_sym_BANG] = ACTIONS(2494),
    [anon_sym_TILDE] = ACTIONS(2494),
    [anon_sym_DASH] = ACTIONS(2492),
    [anon_sym_PLUS] = ACTIONS(2492),
    [anon_sym_STAR] = ACTIONS(2494),
    [anon_sym_AMP_AMP] = ACTIONS(2494),
    [anon_sym_AMP] = ACTIONS(2492),
    [anon_sym_SEMI] = ACTIONS(2494),
    [anon_sym___extension__] = ACTIONS(2492),
    [anon_sym_typedef] = ACTIONS(2492),
    [anon_sym_in] = ACTIONS(2492),
    [anon_sym_out] = ACTIONS(2492),
    [anon_sym_inout] = ACTIONS(2492),
    [anon_sym_extern] = ACTIONS(2492),
    [anon_sym___attribute__] = ACTIONS(2492),
    [anon_sym_COLON_COLON] = ACTIONS(2494),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2494),
    [anon_sym___declspec] = ACTIONS(2492),
    [anon_sym___based] = ACTIONS(2492),
    [anon_sym___cdecl] = ACTIONS(2492),
    [anon_sym___clrcall] = ACTIONS(2492),
    [anon_sym___stdcall] = ACTIONS(2492),
    [anon_sym___fastcall] = ACTIONS(2492),
    [anon_sym___thiscall] = ACTIONS(2492),
    [anon_sym___vectorcall] = ACTIONS(2492),
    [anon_sym_LBRACE] = ACTIONS(2494),
    [anon_sym_signed] = ACTIONS(2492),
    [anon_sym_unsigned] = ACTIONS(2492),
    [anon_sym_long] = ACTIONS(2492),
    [anon_sym_short] = ACTIONS(2492),
    [anon_sym_LBRACK] = ACTIONS(2492),
    [anon_sym_static] = ACTIONS(2492),
    [anon_sym_register] = ACTIONS(2492),
    [anon_sym_inline] = ACTIONS(2492),
    [anon_sym___inline] = ACTIONS(2492),
    [anon_sym___inline__] = ACTIONS(2492),
    [anon_sym___forceinline] = ACTIONS(2492),
    [anon_sym_thread_local] = ACTIONS(2492),
    [anon_sym___thread] = ACTIONS(2492),
    [anon_sym_const] = ACTIONS(2492),
    [anon_sym_constexpr] = ACTIONS(2492),
    [anon_sym_volatile] = ACTIONS(2492),
    [anon_sym_restrict] = ACTIONS(2492),
    [anon_sym___restrict__] = ACTIONS(2492),
    [anon_sym__Atomic] = ACTIONS(2492),
    [anon_sym__Noreturn] = ACTIONS(2492),
    [anon_sym_noreturn] = ACTIONS(2492),
    [anon_sym_mutable] = ACTIONS(2492),
    [anon_sym_constinit] = ACTIONS(2492),
    [anon_sym_consteval] = ACTIONS(2492),
    [sym_primitive_type] = ACTIONS(2492),
    [anon_sym_enum] = ACTIONS(2492),
    [anon_sym_class] = ACTIONS(2492),
    [anon_sym_struct] = ACTIONS(2492),
    [anon_sym_union] = ACTIONS(2492),
    [anon_sym_if] = ACTIONS(2492),
    [anon_sym_else] = ACTIONS(2492),
    [anon_sym_switch] = ACTIONS(2492),
    [anon_sym_case] = ACTIONS(2492),
    [anon_sym_default] = ACTIONS(2492),
    [anon_sym_while] = ACTIONS(2492),
    [anon_sym_do] = ACTIONS(2492),
    [anon_sym_for] = ACTIONS(2492),
    [anon_sym_return] = ACTIONS(2492),
    [anon_sym_break] = ACTIONS(2492),
    [anon_sym_continue] = ACTIONS(2492),
    [anon_sym_goto] = ACTIONS(2492),
    [anon_sym___try] = ACTIONS(2492),
    [anon_sym___leave] = ACTIONS(2492),
    [anon_sym_not] = ACTIONS(2492),
    [anon_sym_compl] = ACTIONS(2492),
    [anon_sym_DASH_DASH] = ACTIONS(2494),
    [anon_sym_PLUS_PLUS] = ACTIONS(2494),
    [anon_sym_sizeof] = ACTIONS(2492),
    [anon_sym___alignof__] = ACTIONS(2492),
    [anon_sym___alignof] = ACTIONS(2492),
    [anon_sym__alignof] = ACTIONS(2492),
    [anon_sym_alignof] = ACTIONS(2492),
    [anon_sym__Alignof] = ACTIONS(2492),
    [anon_sym_offsetof] = ACTIONS(2492),
    [anon_sym__Generic] = ACTIONS(2492),
    [anon_sym_asm] = ACTIONS(2492),
    [anon_sym___asm__] = ACTIONS(2492),
    [sym_number_literal] = ACTIONS(2494),
    [anon_sym_L_SQUOTE] = ACTIONS(2494),
    [anon_sym_u_SQUOTE] = ACTIONS(2494),
    [anon_sym_U_SQUOTE] = ACTIONS(2494),
    [anon_sym_u8_SQUOTE] = ACTIONS(2494),
    [anon_sym_SQUOTE] = ACTIONS(2494),
    [anon_sym_L_DQUOTE] = ACTIONS(2494),
    [anon_sym_u_DQUOTE] = ACTIONS(2494),
    [anon_sym_U_DQUOTE] = ACTIONS(2494),
    [anon_sym_u8_DQUOTE] = ACTIONS(2494),
    [anon_sym_DQUOTE] = ACTIONS(2494),
    [sym_true] = ACTIONS(2492),
    [sym_false] = ACTIONS(2492),
    [anon_sym_NULL] = ACTIONS(2492),
    [anon_sym_nullptr] = ACTIONS(2492),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2492),
    [anon_sym_decltype] = ACTIONS(2492),
    [anon_sym_virtual] = ACTIONS(2492),
    [anon_sym_alignas] = ACTIONS(2492),
    [anon_sym_explicit] = ACTIONS(2492),
    [anon_sym_typename] = ACTIONS(2492),
    [anon_sym_template] = ACTIONS(2492),
    [anon_sym_operator] = ACTIONS(2492),
    [anon_sym_try] = ACTIONS(2492),
    [anon_sym_delete] = ACTIONS(2492),
    [anon_sym_throw] = ACTIONS(2492),
    [anon_sym_namespace] = ACTIONS(2492),
    [anon_sym_using] = ACTIONS(2492),
    [anon_sym_static_assert] = ACTIONS(2492),
    [anon_sym_concept] = ACTIONS(2492),
    [anon_sym_co_return] = ACTIONS(2492),
    [anon_sym_co_yield] = ACTIONS(2492),
    [anon_sym_R_DQUOTE] = ACTIONS(2494),
    [anon_sym_LR_DQUOTE] = ACTIONS(2494),
    [anon_sym_uR_DQUOTE] = ACTIONS(2494),
    [anon_sym_UR_DQUOTE] = ACTIONS(2494),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2494),
    [anon_sym_co_await] = ACTIONS(2492),
    [anon_sym_new] = ACTIONS(2492),
    [anon_sym_requires] = ACTIONS(2492),
    [sym_this] = ACTIONS(2492),
    [anon_sym_discard] = ACTIONS(2492),
    [anon_sym_precise] = ACTIONS(2492),
    [anon_sym_shared] = ACTIONS(2492),
    [anon_sym_groupshared] = ACTIONS(2492),
    [anon_sym_uniform] = ACTIONS(2492),
    [anon_sym_row_major] = ACTIONS(2492),
    [anon_sym_column_major] = ACTIONS(2492),
    [anon_sym_globallycoherent] = ACTIONS(2492),
    [anon_sym_centroid] = ACTIONS(2492),
    [anon_sym_noperspective] = ACTIONS(2492),
    [anon_sym_nointerpolation] = ACTIONS(2492),
    [anon_sym_sample] = ACTIONS(2492),
    [anon_sym_linear] = ACTIONS(2492),
    [anon_sym_snorm] = ACTIONS(2492),
    [anon_sym_unorm] = ACTIONS(2492),
    [anon_sym_point] = ACTIONS(2492),
    [anon_sym_line] = ACTIONS(2492),
    [anon_sym_triangleadj] = ACTIONS(2492),
    [anon_sym_lineadj] = ACTIONS(2492),
    [anon_sym_triangle] = ACTIONS(2492),
    [anon_sym_cbuffer] = ACTIONS(2492),
  },
  [577] = {
    [sym_identifier] = ACTIONS(2404),
    [aux_sym_preproc_include_token1] = ACTIONS(2404),
    [aux_sym_preproc_def_token1] = ACTIONS(2404),
    [aux_sym_preproc_if_token1] = ACTIONS(2404),
    [aux_sym_preproc_if_token2] = ACTIONS(2404),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2404),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2404),
    [aux_sym_preproc_else_token1] = ACTIONS(2404),
    [aux_sym_preproc_elif_token1] = ACTIONS(2404),
    [sym_preproc_directive] = ACTIONS(2404),
    [anon_sym_LPAREN2] = ACTIONS(2406),
    [anon_sym_BANG] = ACTIONS(2406),
    [anon_sym_TILDE] = ACTIONS(2406),
    [anon_sym_DASH] = ACTIONS(2404),
    [anon_sym_PLUS] = ACTIONS(2404),
    [anon_sym_STAR] = ACTIONS(2406),
    [anon_sym_AMP_AMP] = ACTIONS(2406),
    [anon_sym_AMP] = ACTIONS(2404),
    [anon_sym_SEMI] = ACTIONS(2406),
    [anon_sym___extension__] = ACTIONS(2404),
    [anon_sym_typedef] = ACTIONS(2404),
    [anon_sym_in] = ACTIONS(2404),
    [anon_sym_out] = ACTIONS(2404),
    [anon_sym_inout] = ACTIONS(2404),
    [anon_sym_extern] = ACTIONS(2404),
    [anon_sym___attribute__] = ACTIONS(2404),
    [anon_sym_COLON_COLON] = ACTIONS(2406),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2406),
    [anon_sym___declspec] = ACTIONS(2404),
    [anon_sym___based] = ACTIONS(2404),
    [anon_sym___cdecl] = ACTIONS(2404),
    [anon_sym___clrcall] = ACTIONS(2404),
    [anon_sym___stdcall] = ACTIONS(2404),
    [anon_sym___fastcall] = ACTIONS(2404),
    [anon_sym___thiscall] = ACTIONS(2404),
    [anon_sym___vectorcall] = ACTIONS(2404),
    [anon_sym_LBRACE] = ACTIONS(2406),
    [anon_sym_signed] = ACTIONS(2404),
    [anon_sym_unsigned] = ACTIONS(2404),
    [anon_sym_long] = ACTIONS(2404),
    [anon_sym_short] = ACTIONS(2404),
    [anon_sym_LBRACK] = ACTIONS(2404),
    [anon_sym_static] = ACTIONS(2404),
    [anon_sym_register] = ACTIONS(2404),
    [anon_sym_inline] = ACTIONS(2404),
    [anon_sym___inline] = ACTIONS(2404),
    [anon_sym___inline__] = ACTIONS(2404),
    [anon_sym___forceinline] = ACTIONS(2404),
    [anon_sym_thread_local] = ACTIONS(2404),
    [anon_sym___thread] = ACTIONS(2404),
    [anon_sym_const] = ACTIONS(2404),
    [anon_sym_constexpr] = ACTIONS(2404),
    [anon_sym_volatile] = ACTIONS(2404),
    [anon_sym_restrict] = ACTIONS(2404),
    [anon_sym___restrict__] = ACTIONS(2404),
    [anon_sym__Atomic] = ACTIONS(2404),
    [anon_sym__Noreturn] = ACTIONS(2404),
    [anon_sym_noreturn] = ACTIONS(2404),
    [anon_sym_mutable] = ACTIONS(2404),
    [anon_sym_constinit] = ACTIONS(2404),
    [anon_sym_consteval] = ACTIONS(2404),
    [sym_primitive_type] = ACTIONS(2404),
    [anon_sym_enum] = ACTIONS(2404),
    [anon_sym_class] = ACTIONS(2404),
    [anon_sym_struct] = ACTIONS(2404),
    [anon_sym_union] = ACTIONS(2404),
    [anon_sym_if] = ACTIONS(2404),
    [anon_sym_else] = ACTIONS(2404),
    [anon_sym_switch] = ACTIONS(2404),
    [anon_sym_case] = ACTIONS(2404),
    [anon_sym_default] = ACTIONS(2404),
    [anon_sym_while] = ACTIONS(2404),
    [anon_sym_do] = ACTIONS(2404),
    [anon_sym_for] = ACTIONS(2404),
    [anon_sym_return] = ACTIONS(2404),
    [anon_sym_break] = ACTIONS(2404),
    [anon_sym_continue] = ACTIONS(2404),
    [anon_sym_goto] = ACTIONS(2404),
    [anon_sym___try] = ACTIONS(2404),
    [anon_sym___leave] = ACTIONS(2404),
    [anon_sym_not] = ACTIONS(2404),
    [anon_sym_compl] = ACTIONS(2404),
    [anon_sym_DASH_DASH] = ACTIONS(2406),
    [anon_sym_PLUS_PLUS] = ACTIONS(2406),
    [anon_sym_sizeof] = ACTIONS(2404),
    [anon_sym___alignof__] = ACTIONS(2404),
    [anon_sym___alignof] = ACTIONS(2404),
    [anon_sym__alignof] = ACTIONS(2404),
    [anon_sym_alignof] = ACTIONS(2404),
    [anon_sym__Alignof] = ACTIONS(2404),
    [anon_sym_offsetof] = ACTIONS(2404),
    [anon_sym__Generic] = ACTIONS(2404),
    [anon_sym_asm] = ACTIONS(2404),
    [anon_sym___asm__] = ACTIONS(2404),
    [sym_number_literal] = ACTIONS(2406),
    [anon_sym_L_SQUOTE] = ACTIONS(2406),
    [anon_sym_u_SQUOTE] = ACTIONS(2406),
    [anon_sym_U_SQUOTE] = ACTIONS(2406),
    [anon_sym_u8_SQUOTE] = ACTIONS(2406),
    [anon_sym_SQUOTE] = ACTIONS(2406),
    [anon_sym_L_DQUOTE] = ACTIONS(2406),
    [anon_sym_u_DQUOTE] = ACTIONS(2406),
    [anon_sym_U_DQUOTE] = ACTIONS(2406),
    [anon_sym_u8_DQUOTE] = ACTIONS(2406),
    [anon_sym_DQUOTE] = ACTIONS(2406),
    [sym_true] = ACTIONS(2404),
    [sym_false] = ACTIONS(2404),
    [anon_sym_NULL] = ACTIONS(2404),
    [anon_sym_nullptr] = ACTIONS(2404),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2404),
    [anon_sym_decltype] = ACTIONS(2404),
    [anon_sym_virtual] = ACTIONS(2404),
    [anon_sym_alignas] = ACTIONS(2404),
    [anon_sym_explicit] = ACTIONS(2404),
    [anon_sym_typename] = ACTIONS(2404),
    [anon_sym_template] = ACTIONS(2404),
    [anon_sym_operator] = ACTIONS(2404),
    [anon_sym_try] = ACTIONS(2404),
    [anon_sym_delete] = ACTIONS(2404),
    [anon_sym_throw] = ACTIONS(2404),
    [anon_sym_namespace] = ACTIONS(2404),
    [anon_sym_using] = ACTIONS(2404),
    [anon_sym_static_assert] = ACTIONS(2404),
    [anon_sym_concept] = ACTIONS(2404),
    [anon_sym_co_return] = ACTIONS(2404),
    [anon_sym_co_yield] = ACTIONS(2404),
    [anon_sym_R_DQUOTE] = ACTIONS(2406),
    [anon_sym_LR_DQUOTE] = ACTIONS(2406),
    [anon_sym_uR_DQUOTE] = ACTIONS(2406),
    [anon_sym_UR_DQUOTE] = ACTIONS(2406),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2406),
    [anon_sym_co_await] = ACTIONS(2404),
    [anon_sym_new] = ACTIONS(2404),
    [anon_sym_requires] = ACTIONS(2404),
    [sym_this] = ACTIONS(2404),
    [anon_sym_discard] = ACTIONS(2404),
    [anon_sym_precise] = ACTIONS(2404),
    [anon_sym_shared] = ACTIONS(2404),
    [anon_sym_groupshared] = ACTIONS(2404),
    [anon_sym_uniform] = ACTIONS(2404),
    [anon_sym_row_major] = ACTIONS(2404),
    [anon_sym_column_major] = ACTIONS(2404),
    [anon_sym_globallycoherent] = ACTIONS(2404),
    [anon_sym_centroid] = ACTIONS(2404),
    [anon_sym_noperspective] = ACTIONS(2404),
    [anon_sym_nointerpolation] = ACTIONS(2404),
    [anon_sym_sample] = ACTIONS(2404),
    [anon_sym_linear] = ACTIONS(2404),
    [anon_sym_snorm] = ACTIONS(2404),
    [anon_sym_unorm] = ACTIONS(2404),
    [anon_sym_point] = ACTIONS(2404),
    [anon_sym_line] = ACTIONS(2404),
    [anon_sym_triangleadj] = ACTIONS(2404),
    [anon_sym_lineadj] = ACTIONS(2404),
    [anon_sym_triangle] = ACTIONS(2404),
    [anon_sym_cbuffer] = ACTIONS(2404),
  },
  [578] = {
    [sym_identifier] = ACTIONS(2364),
    [aux_sym_preproc_include_token1] = ACTIONS(2364),
    [aux_sym_preproc_def_token1] = ACTIONS(2364),
    [aux_sym_preproc_if_token1] = ACTIONS(2364),
    [aux_sym_preproc_if_token2] = ACTIONS(2364),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2364),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2364),
    [aux_sym_preproc_else_token1] = ACTIONS(2364),
    [aux_sym_preproc_elif_token1] = ACTIONS(2364),
    [sym_preproc_directive] = ACTIONS(2364),
    [anon_sym_LPAREN2] = ACTIONS(2366),
    [anon_sym_BANG] = ACTIONS(2366),
    [anon_sym_TILDE] = ACTIONS(2366),
    [anon_sym_DASH] = ACTIONS(2364),
    [anon_sym_PLUS] = ACTIONS(2364),
    [anon_sym_STAR] = ACTIONS(2366),
    [anon_sym_AMP_AMP] = ACTIONS(2366),
    [anon_sym_AMP] = ACTIONS(2364),
    [anon_sym_SEMI] = ACTIONS(2366),
    [anon_sym___extension__] = ACTIONS(2364),
    [anon_sym_typedef] = ACTIONS(2364),
    [anon_sym_in] = ACTIONS(2364),
    [anon_sym_out] = ACTIONS(2364),
    [anon_sym_inout] = ACTIONS(2364),
    [anon_sym_extern] = ACTIONS(2364),
    [anon_sym___attribute__] = ACTIONS(2364),
    [anon_sym_COLON_COLON] = ACTIONS(2366),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2366),
    [anon_sym___declspec] = ACTIONS(2364),
    [anon_sym___based] = ACTIONS(2364),
    [anon_sym___cdecl] = ACTIONS(2364),
    [anon_sym___clrcall] = ACTIONS(2364),
    [anon_sym___stdcall] = ACTIONS(2364),
    [anon_sym___fastcall] = ACTIONS(2364),
    [anon_sym___thiscall] = ACTIONS(2364),
    [anon_sym___vectorcall] = ACTIONS(2364),
    [anon_sym_LBRACE] = ACTIONS(2366),
    [anon_sym_signed] = ACTIONS(2364),
    [anon_sym_unsigned] = ACTIONS(2364),
    [anon_sym_long] = ACTIONS(2364),
    [anon_sym_short] = ACTIONS(2364),
    [anon_sym_LBRACK] = ACTIONS(2364),
    [anon_sym_static] = ACTIONS(2364),
    [anon_sym_register] = ACTIONS(2364),
    [anon_sym_inline] = ACTIONS(2364),
    [anon_sym___inline] = ACTIONS(2364),
    [anon_sym___inline__] = ACTIONS(2364),
    [anon_sym___forceinline] = ACTIONS(2364),
    [anon_sym_thread_local] = ACTIONS(2364),
    [anon_sym___thread] = ACTIONS(2364),
    [anon_sym_const] = ACTIONS(2364),
    [anon_sym_constexpr] = ACTIONS(2364),
    [anon_sym_volatile] = ACTIONS(2364),
    [anon_sym_restrict] = ACTIONS(2364),
    [anon_sym___restrict__] = ACTIONS(2364),
    [anon_sym__Atomic] = ACTIONS(2364),
    [anon_sym__Noreturn] = ACTIONS(2364),
    [anon_sym_noreturn] = ACTIONS(2364),
    [anon_sym_mutable] = ACTIONS(2364),
    [anon_sym_constinit] = ACTIONS(2364),
    [anon_sym_consteval] = ACTIONS(2364),
    [sym_primitive_type] = ACTIONS(2364),
    [anon_sym_enum] = ACTIONS(2364),
    [anon_sym_class] = ACTIONS(2364),
    [anon_sym_struct] = ACTIONS(2364),
    [anon_sym_union] = ACTIONS(2364),
    [anon_sym_if] = ACTIONS(2364),
    [anon_sym_else] = ACTIONS(2364),
    [anon_sym_switch] = ACTIONS(2364),
    [anon_sym_case] = ACTIONS(2364),
    [anon_sym_default] = ACTIONS(2364),
    [anon_sym_while] = ACTIONS(2364),
    [anon_sym_do] = ACTIONS(2364),
    [anon_sym_for] = ACTIONS(2364),
    [anon_sym_return] = ACTIONS(2364),
    [anon_sym_break] = ACTIONS(2364),
    [anon_sym_continue] = ACTIONS(2364),
    [anon_sym_goto] = ACTIONS(2364),
    [anon_sym___try] = ACTIONS(2364),
    [anon_sym___leave] = ACTIONS(2364),
    [anon_sym_not] = ACTIONS(2364),
    [anon_sym_compl] = ACTIONS(2364),
    [anon_sym_DASH_DASH] = ACTIONS(2366),
    [anon_sym_PLUS_PLUS] = ACTIONS(2366),
    [anon_sym_sizeof] = ACTIONS(2364),
    [anon_sym___alignof__] = ACTIONS(2364),
    [anon_sym___alignof] = ACTIONS(2364),
    [anon_sym__alignof] = ACTIONS(2364),
    [anon_sym_alignof] = ACTIONS(2364),
    [anon_sym__Alignof] = ACTIONS(2364),
    [anon_sym_offsetof] = ACTIONS(2364),
    [anon_sym__Generic] = ACTIONS(2364),
    [anon_sym_asm] = ACTIONS(2364),
    [anon_sym___asm__] = ACTIONS(2364),
    [sym_number_literal] = ACTIONS(2366),
    [anon_sym_L_SQUOTE] = ACTIONS(2366),
    [anon_sym_u_SQUOTE] = ACTIONS(2366),
    [anon_sym_U_SQUOTE] = ACTIONS(2366),
    [anon_sym_u8_SQUOTE] = ACTIONS(2366),
    [anon_sym_SQUOTE] = ACTIONS(2366),
    [anon_sym_L_DQUOTE] = ACTIONS(2366),
    [anon_sym_u_DQUOTE] = ACTIONS(2366),
    [anon_sym_U_DQUOTE] = ACTIONS(2366),
    [anon_sym_u8_DQUOTE] = ACTIONS(2366),
    [anon_sym_DQUOTE] = ACTIONS(2366),
    [sym_true] = ACTIONS(2364),
    [sym_false] = ACTIONS(2364),
    [anon_sym_NULL] = ACTIONS(2364),
    [anon_sym_nullptr] = ACTIONS(2364),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2364),
    [anon_sym_decltype] = ACTIONS(2364),
    [anon_sym_virtual] = ACTIONS(2364),
    [anon_sym_alignas] = ACTIONS(2364),
    [anon_sym_explicit] = ACTIONS(2364),
    [anon_sym_typename] = ACTIONS(2364),
    [anon_sym_template] = ACTIONS(2364),
    [anon_sym_operator] = ACTIONS(2364),
    [anon_sym_try] = ACTIONS(2364),
    [anon_sym_delete] = ACTIONS(2364),
    [anon_sym_throw] = ACTIONS(2364),
    [anon_sym_namespace] = ACTIONS(2364),
    [anon_sym_using] = ACTIONS(2364),
    [anon_sym_static_assert] = ACTIONS(2364),
    [anon_sym_concept] = ACTIONS(2364),
    [anon_sym_co_return] = ACTIONS(2364),
    [anon_sym_co_yield] = ACTIONS(2364),
    [anon_sym_R_DQUOTE] = ACTIONS(2366),
    [anon_sym_LR_DQUOTE] = ACTIONS(2366),
    [anon_sym_uR_DQUOTE] = ACTIONS(2366),
    [anon_sym_UR_DQUOTE] = ACTIONS(2366),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2366),
    [anon_sym_co_await] = ACTIONS(2364),
    [anon_sym_new] = ACTIONS(2364),
    [anon_sym_requires] = ACTIONS(2364),
    [sym_this] = ACTIONS(2364),
    [anon_sym_discard] = ACTIONS(2364),
    [anon_sym_precise] = ACTIONS(2364),
    [anon_sym_shared] = ACTIONS(2364),
    [anon_sym_groupshared] = ACTIONS(2364),
    [anon_sym_uniform] = ACTIONS(2364),
    [anon_sym_row_major] = ACTIONS(2364),
    [anon_sym_column_major] = ACTIONS(2364),
    [anon_sym_globallycoherent] = ACTIONS(2364),
    [anon_sym_centroid] = ACTIONS(2364),
    [anon_sym_noperspective] = ACTIONS(2364),
    [anon_sym_nointerpolation] = ACTIONS(2364),
    [anon_sym_sample] = ACTIONS(2364),
    [anon_sym_linear] = ACTIONS(2364),
    [anon_sym_snorm] = ACTIONS(2364),
    [anon_sym_unorm] = ACTIONS(2364),
    [anon_sym_point] = ACTIONS(2364),
    [anon_sym_line] = ACTIONS(2364),
    [anon_sym_triangleadj] = ACTIONS(2364),
    [anon_sym_lineadj] = ACTIONS(2364),
    [anon_sym_triangle] = ACTIONS(2364),
    [anon_sym_cbuffer] = ACTIONS(2364),
  },
  [579] = {
    [sym_identifier] = ACTIONS(2364),
    [aux_sym_preproc_include_token1] = ACTIONS(2364),
    [aux_sym_preproc_def_token1] = ACTIONS(2364),
    [aux_sym_preproc_if_token1] = ACTIONS(2364),
    [aux_sym_preproc_if_token2] = ACTIONS(2364),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2364),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2364),
    [aux_sym_preproc_else_token1] = ACTIONS(2364),
    [aux_sym_preproc_elif_token1] = ACTIONS(2364),
    [sym_preproc_directive] = ACTIONS(2364),
    [anon_sym_LPAREN2] = ACTIONS(2366),
    [anon_sym_BANG] = ACTIONS(2366),
    [anon_sym_TILDE] = ACTIONS(2366),
    [anon_sym_DASH] = ACTIONS(2364),
    [anon_sym_PLUS] = ACTIONS(2364),
    [anon_sym_STAR] = ACTIONS(2366),
    [anon_sym_AMP_AMP] = ACTIONS(2366),
    [anon_sym_AMP] = ACTIONS(2364),
    [anon_sym_SEMI] = ACTIONS(2366),
    [anon_sym___extension__] = ACTIONS(2364),
    [anon_sym_typedef] = ACTIONS(2364),
    [anon_sym_in] = ACTIONS(2364),
    [anon_sym_out] = ACTIONS(2364),
    [anon_sym_inout] = ACTIONS(2364),
    [anon_sym_extern] = ACTIONS(2364),
    [anon_sym___attribute__] = ACTIONS(2364),
    [anon_sym_COLON_COLON] = ACTIONS(2366),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2366),
    [anon_sym___declspec] = ACTIONS(2364),
    [anon_sym___based] = ACTIONS(2364),
    [anon_sym___cdecl] = ACTIONS(2364),
    [anon_sym___clrcall] = ACTIONS(2364),
    [anon_sym___stdcall] = ACTIONS(2364),
    [anon_sym___fastcall] = ACTIONS(2364),
    [anon_sym___thiscall] = ACTIONS(2364),
    [anon_sym___vectorcall] = ACTIONS(2364),
    [anon_sym_LBRACE] = ACTIONS(2366),
    [anon_sym_signed] = ACTIONS(2364),
    [anon_sym_unsigned] = ACTIONS(2364),
    [anon_sym_long] = ACTIONS(2364),
    [anon_sym_short] = ACTIONS(2364),
    [anon_sym_LBRACK] = ACTIONS(2364),
    [anon_sym_static] = ACTIONS(2364),
    [anon_sym_register] = ACTIONS(2364),
    [anon_sym_inline] = ACTIONS(2364),
    [anon_sym___inline] = ACTIONS(2364),
    [anon_sym___inline__] = ACTIONS(2364),
    [anon_sym___forceinline] = ACTIONS(2364),
    [anon_sym_thread_local] = ACTIONS(2364),
    [anon_sym___thread] = ACTIONS(2364),
    [anon_sym_const] = ACTIONS(2364),
    [anon_sym_constexpr] = ACTIONS(2364),
    [anon_sym_volatile] = ACTIONS(2364),
    [anon_sym_restrict] = ACTIONS(2364),
    [anon_sym___restrict__] = ACTIONS(2364),
    [anon_sym__Atomic] = ACTIONS(2364),
    [anon_sym__Noreturn] = ACTIONS(2364),
    [anon_sym_noreturn] = ACTIONS(2364),
    [anon_sym_mutable] = ACTIONS(2364),
    [anon_sym_constinit] = ACTIONS(2364),
    [anon_sym_consteval] = ACTIONS(2364),
    [sym_primitive_type] = ACTIONS(2364),
    [anon_sym_enum] = ACTIONS(2364),
    [anon_sym_class] = ACTIONS(2364),
    [anon_sym_struct] = ACTIONS(2364),
    [anon_sym_union] = ACTIONS(2364),
    [anon_sym_if] = ACTIONS(2364),
    [anon_sym_else] = ACTIONS(2364),
    [anon_sym_switch] = ACTIONS(2364),
    [anon_sym_case] = ACTIONS(2364),
    [anon_sym_default] = ACTIONS(2364),
    [anon_sym_while] = ACTIONS(2364),
    [anon_sym_do] = ACTIONS(2364),
    [anon_sym_for] = ACTIONS(2364),
    [anon_sym_return] = ACTIONS(2364),
    [anon_sym_break] = ACTIONS(2364),
    [anon_sym_continue] = ACTIONS(2364),
    [anon_sym_goto] = ACTIONS(2364),
    [anon_sym___try] = ACTIONS(2364),
    [anon_sym___leave] = ACTIONS(2364),
    [anon_sym_not] = ACTIONS(2364),
    [anon_sym_compl] = ACTIONS(2364),
    [anon_sym_DASH_DASH] = ACTIONS(2366),
    [anon_sym_PLUS_PLUS] = ACTIONS(2366),
    [anon_sym_sizeof] = ACTIONS(2364),
    [anon_sym___alignof__] = ACTIONS(2364),
    [anon_sym___alignof] = ACTIONS(2364),
    [anon_sym__alignof] = ACTIONS(2364),
    [anon_sym_alignof] = ACTIONS(2364),
    [anon_sym__Alignof] = ACTIONS(2364),
    [anon_sym_offsetof] = ACTIONS(2364),
    [anon_sym__Generic] = ACTIONS(2364),
    [anon_sym_asm] = ACTIONS(2364),
    [anon_sym___asm__] = ACTIONS(2364),
    [sym_number_literal] = ACTIONS(2366),
    [anon_sym_L_SQUOTE] = ACTIONS(2366),
    [anon_sym_u_SQUOTE] = ACTIONS(2366),
    [anon_sym_U_SQUOTE] = ACTIONS(2366),
    [anon_sym_u8_SQUOTE] = ACTIONS(2366),
    [anon_sym_SQUOTE] = ACTIONS(2366),
    [anon_sym_L_DQUOTE] = ACTIONS(2366),
    [anon_sym_u_DQUOTE] = ACTIONS(2366),
    [anon_sym_U_DQUOTE] = ACTIONS(2366),
    [anon_sym_u8_DQUOTE] = ACTIONS(2366),
    [anon_sym_DQUOTE] = ACTIONS(2366),
    [sym_true] = ACTIONS(2364),
    [sym_false] = ACTIONS(2364),
    [anon_sym_NULL] = ACTIONS(2364),
    [anon_sym_nullptr] = ACTIONS(2364),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2364),
    [anon_sym_decltype] = ACTIONS(2364),
    [anon_sym_virtual] = ACTIONS(2364),
    [anon_sym_alignas] = ACTIONS(2364),
    [anon_sym_explicit] = ACTIONS(2364),
    [anon_sym_typename] = ACTIONS(2364),
    [anon_sym_template] = ACTIONS(2364),
    [anon_sym_operator] = ACTIONS(2364),
    [anon_sym_try] = ACTIONS(2364),
    [anon_sym_delete] = ACTIONS(2364),
    [anon_sym_throw] = ACTIONS(2364),
    [anon_sym_namespace] = ACTIONS(2364),
    [anon_sym_using] = ACTIONS(2364),
    [anon_sym_static_assert] = ACTIONS(2364),
    [anon_sym_concept] = ACTIONS(2364),
    [anon_sym_co_return] = ACTIONS(2364),
    [anon_sym_co_yield] = ACTIONS(2364),
    [anon_sym_R_DQUOTE] = ACTIONS(2366),
    [anon_sym_LR_DQUOTE] = ACTIONS(2366),
    [anon_sym_uR_DQUOTE] = ACTIONS(2366),
    [anon_sym_UR_DQUOTE] = ACTIONS(2366),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2366),
    [anon_sym_co_await] = ACTIONS(2364),
    [anon_sym_new] = ACTIONS(2364),
    [anon_sym_requires] = ACTIONS(2364),
    [sym_this] = ACTIONS(2364),
    [anon_sym_discard] = ACTIONS(2364),
    [anon_sym_precise] = ACTIONS(2364),
    [anon_sym_shared] = ACTIONS(2364),
    [anon_sym_groupshared] = ACTIONS(2364),
    [anon_sym_uniform] = ACTIONS(2364),
    [anon_sym_row_major] = ACTIONS(2364),
    [anon_sym_column_major] = ACTIONS(2364),
    [anon_sym_globallycoherent] = ACTIONS(2364),
    [anon_sym_centroid] = ACTIONS(2364),
    [anon_sym_noperspective] = ACTIONS(2364),
    [anon_sym_nointerpolation] = ACTIONS(2364),
    [anon_sym_sample] = ACTIONS(2364),
    [anon_sym_linear] = ACTIONS(2364),
    [anon_sym_snorm] = ACTIONS(2364),
    [anon_sym_unorm] = ACTIONS(2364),
    [anon_sym_point] = ACTIONS(2364),
    [anon_sym_line] = ACTIONS(2364),
    [anon_sym_triangleadj] = ACTIONS(2364),
    [anon_sym_lineadj] = ACTIONS(2364),
    [anon_sym_triangle] = ACTIONS(2364),
    [anon_sym_cbuffer] = ACTIONS(2364),
  },
  [580] = {
    [sym_preproc_def] = STATE(465),
    [sym_preproc_function_def] = STATE(465),
    [sym_preproc_call] = STATE(465),
    [sym_preproc_if_in_field_declaration_list] = STATE(465),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(465),
    [sym_preproc_else_in_field_declaration_list] = STATE(9738),
    [sym_preproc_elif_in_field_declaration_list] = STATE(9738),
    [sym_preproc_elifdef_in_field_declaration_list] = STATE(9738),
    [sym_type_definition] = STATE(465),
    [sym__declaration_modifiers] = STATE(3159),
    [sym__declaration_specifiers] = STATE(6906),
    [sym_attribute_specifier] = STATE(3159),
    [sym_attribute_declaration] = STATE(3159),
    [sym_ms_declspec_modifier] = STATE(3159),
    [sym_ms_based_modifier] = STATE(10332),
    [sym__declarator] = STATE(7978),
    [sym_parenthesized_declarator] = STATE(7680),
    [sym_attributed_declarator] = STATE(7680),
    [sym_pointer_declarator] = STATE(7680),
    [sym_function_declarator] = STATE(7506),
    [sym_array_declarator] = STATE(7680),
    [sym_storage_class_specifier] = STATE(3159),
    [sym_type_qualifier] = STATE(3159),
    [sym__type_specifier] = STATE(2827),
    [sym_sized_type_specifier] = STATE(3085),
    [sym_enum_specifier] = STATE(3085),
    [sym_struct_specifier] = STATE(3085),
    [sym_union_specifier] = STATE(3085),
    [sym__field_declaration_list_item] = STATE(465),
    [sym_field_declaration] = STATE(465),
    [sym_placeholder_type_specifier] = STATE(3085),
    [sym_decltype_auto] = STATE(3091),
    [sym_decltype] = STATE(3050),
    [sym_class_specifier] = STATE(3085),
    [sym_virtual] = STATE(3159),
    [sym_alignas_specifier] = STATE(3159),
    [sym_explicit_function_specifier] = STATE(2515),
    [sym_dependent_type] = STATE(3085),
    [sym_template_declaration] = STATE(465),
    [sym_operator_cast] = STATE(8047),
    [sym_inline_method_definition] = STATE(465),
    [sym__constructor_specifiers] = STATE(2515),
    [sym_operator_cast_definition] = STATE(465),
    [sym_operator_cast_declaration] = STATE(465),
    [sym_constructor_or_destructor_definition] = STATE(465),
    [sym_constructor_or_destructor_declaration] = STATE(465),
    [sym_friend_declaration] = STATE(465),
    [sym_access_specifier] = STATE(9869),
    [sym_reference_declarator] = STATE(7680),
    [sym_structured_binding_declarator] = STATE(7680),
    [sym_template_type] = STATE(3050),
    [sym_template_function] = STATE(7680),
    [sym_using_declaration] = STATE(465),
    [sym_alias_declaration] = STATE(465),
    [sym_static_assert_declaration] = STATE(465),
    [sym_destructor_name] = STATE(7680),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6733),
    [sym_qualified_identifier] = STATE(7680),
    [sym_qualified_type_identifier] = STATE(3068),
    [sym_qualified_operator_cast_identifier] = STATE(8047),
    [sym_operator_name] = STATE(7680),
    [sym_qualifiers] = STATE(3159),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(465),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2680),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3021),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2515),
    [sym_identifier] = ACTIONS(2857),
    [aux_sym_preproc_def_token1] = ACTIONS(2859),
    [aux_sym_preproc_if_token1] = ACTIONS(2861),
    [aux_sym_preproc_if_token2] = ACTIONS(2925),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2865),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2865),
    [aux_sym_preproc_else_token1] = ACTIONS(2867),
    [aux_sym_preproc_elif_token1] = ACTIONS(2869),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2871),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2871),
    [sym_preproc_directive] = ACTIONS(2873),
    [anon_sym_LPAREN2] = ACTIONS(2875),
    [anon_sym_TILDE] = ACTIONS(2877),
    [anon_sym_STAR] = ACTIONS(2879),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(2881),
    [anon_sym___extension__] = ACTIONS(2883),
    [anon_sym_typedef] = ACTIONS(2885),
    [anon_sym_in] = ACTIONS(37),
    [anon_sym_out] = ACTIONS(37),
    [anon_sym_inout] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(2887),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2096),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(2889),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(2891),
    [anon_sym_enum] = ACTIONS(2893),
    [anon_sym_class] = ACTIONS(2895),
    [anon_sym_struct] = ACTIONS(2897),
    [anon_sym_union] = ACTIONS(2899),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [anon_sym_virtual] = ACTIONS(123),
    [anon_sym_alignas] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(2901),
    [anon_sym_template] = ACTIONS(2903),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_friend] = ACTIONS(2905),
    [anon_sym_public] = ACTIONS(2907),
    [anon_sym_private] = ACTIONS(2907),
    [anon_sym_protected] = ACTIONS(2907),
    [anon_sym_using] = ACTIONS(2909),
    [anon_sym_static_assert] = ACTIONS(2911),
    [anon_sym_precise] = ACTIONS(161),
    [anon_sym_shared] = ACTIONS(161),
    [anon_sym_groupshared] = ACTIONS(161),
    [anon_sym_uniform] = ACTIONS(161),
    [anon_sym_row_major] = ACTIONS(161),
    [anon_sym_column_major] = ACTIONS(161),
    [anon_sym_globallycoherent] = ACTIONS(161),
    [anon_sym_centroid] = ACTIONS(161),
    [anon_sym_noperspective] = ACTIONS(161),
    [anon_sym_nointerpolation] = ACTIONS(161),
    [anon_sym_sample] = ACTIONS(161),
    [anon_sym_linear] = ACTIONS(161),
    [anon_sym_snorm] = ACTIONS(161),
    [anon_sym_unorm] = ACTIONS(161),
    [anon_sym_point] = ACTIONS(161),
    [anon_sym_line] = ACTIONS(161),
    [anon_sym_triangleadj] = ACTIONS(161),
    [anon_sym_lineadj] = ACTIONS(161),
    [anon_sym_triangle] = ACTIONS(161),
  },
  [581] = {
    [sym_identifier] = ACTIONS(2364),
    [aux_sym_preproc_include_token1] = ACTIONS(2364),
    [aux_sym_preproc_def_token1] = ACTIONS(2364),
    [aux_sym_preproc_if_token1] = ACTIONS(2364),
    [aux_sym_preproc_if_token2] = ACTIONS(2364),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2364),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2364),
    [aux_sym_preproc_else_token1] = ACTIONS(2364),
    [aux_sym_preproc_elif_token1] = ACTIONS(2364),
    [sym_preproc_directive] = ACTIONS(2364),
    [anon_sym_LPAREN2] = ACTIONS(2366),
    [anon_sym_BANG] = ACTIONS(2366),
    [anon_sym_TILDE] = ACTIONS(2366),
    [anon_sym_DASH] = ACTIONS(2364),
    [anon_sym_PLUS] = ACTIONS(2364),
    [anon_sym_STAR] = ACTIONS(2366),
    [anon_sym_AMP_AMP] = ACTIONS(2366),
    [anon_sym_AMP] = ACTIONS(2364),
    [anon_sym_SEMI] = ACTIONS(2366),
    [anon_sym___extension__] = ACTIONS(2364),
    [anon_sym_typedef] = ACTIONS(2364),
    [anon_sym_in] = ACTIONS(2364),
    [anon_sym_out] = ACTIONS(2364),
    [anon_sym_inout] = ACTIONS(2364),
    [anon_sym_extern] = ACTIONS(2364),
    [anon_sym___attribute__] = ACTIONS(2364),
    [anon_sym_COLON_COLON] = ACTIONS(2366),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2366),
    [anon_sym___declspec] = ACTIONS(2364),
    [anon_sym___based] = ACTIONS(2364),
    [anon_sym___cdecl] = ACTIONS(2364),
    [anon_sym___clrcall] = ACTIONS(2364),
    [anon_sym___stdcall] = ACTIONS(2364),
    [anon_sym___fastcall] = ACTIONS(2364),
    [anon_sym___thiscall] = ACTIONS(2364),
    [anon_sym___vectorcall] = ACTIONS(2364),
    [anon_sym_LBRACE] = ACTIONS(2366),
    [anon_sym_signed] = ACTIONS(2364),
    [anon_sym_unsigned] = ACTIONS(2364),
    [anon_sym_long] = ACTIONS(2364),
    [anon_sym_short] = ACTIONS(2364),
    [anon_sym_LBRACK] = ACTIONS(2364),
    [anon_sym_static] = ACTIONS(2364),
    [anon_sym_register] = ACTIONS(2364),
    [anon_sym_inline] = ACTIONS(2364),
    [anon_sym___inline] = ACTIONS(2364),
    [anon_sym___inline__] = ACTIONS(2364),
    [anon_sym___forceinline] = ACTIONS(2364),
    [anon_sym_thread_local] = ACTIONS(2364),
    [anon_sym___thread] = ACTIONS(2364),
    [anon_sym_const] = ACTIONS(2364),
    [anon_sym_constexpr] = ACTIONS(2364),
    [anon_sym_volatile] = ACTIONS(2364),
    [anon_sym_restrict] = ACTIONS(2364),
    [anon_sym___restrict__] = ACTIONS(2364),
    [anon_sym__Atomic] = ACTIONS(2364),
    [anon_sym__Noreturn] = ACTIONS(2364),
    [anon_sym_noreturn] = ACTIONS(2364),
    [anon_sym_mutable] = ACTIONS(2364),
    [anon_sym_constinit] = ACTIONS(2364),
    [anon_sym_consteval] = ACTIONS(2364),
    [sym_primitive_type] = ACTIONS(2364),
    [anon_sym_enum] = ACTIONS(2364),
    [anon_sym_class] = ACTIONS(2364),
    [anon_sym_struct] = ACTIONS(2364),
    [anon_sym_union] = ACTIONS(2364),
    [anon_sym_if] = ACTIONS(2364),
    [anon_sym_else] = ACTIONS(2364),
    [anon_sym_switch] = ACTIONS(2364),
    [anon_sym_case] = ACTIONS(2364),
    [anon_sym_default] = ACTIONS(2364),
    [anon_sym_while] = ACTIONS(2364),
    [anon_sym_do] = ACTIONS(2364),
    [anon_sym_for] = ACTIONS(2364),
    [anon_sym_return] = ACTIONS(2364),
    [anon_sym_break] = ACTIONS(2364),
    [anon_sym_continue] = ACTIONS(2364),
    [anon_sym_goto] = ACTIONS(2364),
    [anon_sym___try] = ACTIONS(2364),
    [anon_sym___leave] = ACTIONS(2364),
    [anon_sym_not] = ACTIONS(2364),
    [anon_sym_compl] = ACTIONS(2364),
    [anon_sym_DASH_DASH] = ACTIONS(2366),
    [anon_sym_PLUS_PLUS] = ACTIONS(2366),
    [anon_sym_sizeof] = ACTIONS(2364),
    [anon_sym___alignof__] = ACTIONS(2364),
    [anon_sym___alignof] = ACTIONS(2364),
    [anon_sym__alignof] = ACTIONS(2364),
    [anon_sym_alignof] = ACTIONS(2364),
    [anon_sym__Alignof] = ACTIONS(2364),
    [anon_sym_offsetof] = ACTIONS(2364),
    [anon_sym__Generic] = ACTIONS(2364),
    [anon_sym_asm] = ACTIONS(2364),
    [anon_sym___asm__] = ACTIONS(2364),
    [sym_number_literal] = ACTIONS(2366),
    [anon_sym_L_SQUOTE] = ACTIONS(2366),
    [anon_sym_u_SQUOTE] = ACTIONS(2366),
    [anon_sym_U_SQUOTE] = ACTIONS(2366),
    [anon_sym_u8_SQUOTE] = ACTIONS(2366),
    [anon_sym_SQUOTE] = ACTIONS(2366),
    [anon_sym_L_DQUOTE] = ACTIONS(2366),
    [anon_sym_u_DQUOTE] = ACTIONS(2366),
    [anon_sym_U_DQUOTE] = ACTIONS(2366),
    [anon_sym_u8_DQUOTE] = ACTIONS(2366),
    [anon_sym_DQUOTE] = ACTIONS(2366),
    [sym_true] = ACTIONS(2364),
    [sym_false] = ACTIONS(2364),
    [anon_sym_NULL] = ACTIONS(2364),
    [anon_sym_nullptr] = ACTIONS(2364),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2364),
    [anon_sym_decltype] = ACTIONS(2364),
    [anon_sym_virtual] = ACTIONS(2364),
    [anon_sym_alignas] = ACTIONS(2364),
    [anon_sym_explicit] = ACTIONS(2364),
    [anon_sym_typename] = ACTIONS(2364),
    [anon_sym_template] = ACTIONS(2364),
    [anon_sym_operator] = ACTIONS(2364),
    [anon_sym_try] = ACTIONS(2364),
    [anon_sym_delete] = ACTIONS(2364),
    [anon_sym_throw] = ACTIONS(2364),
    [anon_sym_namespace] = ACTIONS(2364),
    [anon_sym_using] = ACTIONS(2364),
    [anon_sym_static_assert] = ACTIONS(2364),
    [anon_sym_concept] = ACTIONS(2364),
    [anon_sym_co_return] = ACTIONS(2364),
    [anon_sym_co_yield] = ACTIONS(2364),
    [anon_sym_R_DQUOTE] = ACTIONS(2366),
    [anon_sym_LR_DQUOTE] = ACTIONS(2366),
    [anon_sym_uR_DQUOTE] = ACTIONS(2366),
    [anon_sym_UR_DQUOTE] = ACTIONS(2366),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2366),
    [anon_sym_co_await] = ACTIONS(2364),
    [anon_sym_new] = ACTIONS(2364),
    [anon_sym_requires] = ACTIONS(2364),
    [sym_this] = ACTIONS(2364),
    [anon_sym_discard] = ACTIONS(2364),
    [anon_sym_precise] = ACTIONS(2364),
    [anon_sym_shared] = ACTIONS(2364),
    [anon_sym_groupshared] = ACTIONS(2364),
    [anon_sym_uniform] = ACTIONS(2364),
    [anon_sym_row_major] = ACTIONS(2364),
    [anon_sym_column_major] = ACTIONS(2364),
    [anon_sym_globallycoherent] = ACTIONS(2364),
    [anon_sym_centroid] = ACTIONS(2364),
    [anon_sym_noperspective] = ACTIONS(2364),
    [anon_sym_nointerpolation] = ACTIONS(2364),
    [anon_sym_sample] = ACTIONS(2364),
    [anon_sym_linear] = ACTIONS(2364),
    [anon_sym_snorm] = ACTIONS(2364),
    [anon_sym_unorm] = ACTIONS(2364),
    [anon_sym_point] = ACTIONS(2364),
    [anon_sym_line] = ACTIONS(2364),
    [anon_sym_triangleadj] = ACTIONS(2364),
    [anon_sym_lineadj] = ACTIONS(2364),
    [anon_sym_triangle] = ACTIONS(2364),
    [anon_sym_cbuffer] = ACTIONS(2364),
  },
  [582] = {
    [sym_identifier] = ACTIONS(2330),
    [aux_sym_preproc_include_token1] = ACTIONS(2330),
    [aux_sym_preproc_def_token1] = ACTIONS(2330),
    [aux_sym_preproc_if_token1] = ACTIONS(2330),
    [aux_sym_preproc_if_token2] = ACTIONS(2330),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2330),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2330),
    [aux_sym_preproc_else_token1] = ACTIONS(2330),
    [aux_sym_preproc_elif_token1] = ACTIONS(2330),
    [sym_preproc_directive] = ACTIONS(2330),
    [anon_sym_LPAREN2] = ACTIONS(2332),
    [anon_sym_BANG] = ACTIONS(2332),
    [anon_sym_TILDE] = ACTIONS(2332),
    [anon_sym_DASH] = ACTIONS(2330),
    [anon_sym_PLUS] = ACTIONS(2330),
    [anon_sym_STAR] = ACTIONS(2332),
    [anon_sym_AMP_AMP] = ACTIONS(2332),
    [anon_sym_AMP] = ACTIONS(2330),
    [anon_sym_SEMI] = ACTIONS(2332),
    [anon_sym___extension__] = ACTIONS(2330),
    [anon_sym_typedef] = ACTIONS(2330),
    [anon_sym_in] = ACTIONS(2330),
    [anon_sym_out] = ACTIONS(2330),
    [anon_sym_inout] = ACTIONS(2330),
    [anon_sym_extern] = ACTIONS(2330),
    [anon_sym___attribute__] = ACTIONS(2330),
    [anon_sym_COLON_COLON] = ACTIONS(2332),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2332),
    [anon_sym___declspec] = ACTIONS(2330),
    [anon_sym___based] = ACTIONS(2330),
    [anon_sym___cdecl] = ACTIONS(2330),
    [anon_sym___clrcall] = ACTIONS(2330),
    [anon_sym___stdcall] = ACTIONS(2330),
    [anon_sym___fastcall] = ACTIONS(2330),
    [anon_sym___thiscall] = ACTIONS(2330),
    [anon_sym___vectorcall] = ACTIONS(2330),
    [anon_sym_LBRACE] = ACTIONS(2332),
    [anon_sym_signed] = ACTIONS(2330),
    [anon_sym_unsigned] = ACTIONS(2330),
    [anon_sym_long] = ACTIONS(2330),
    [anon_sym_short] = ACTIONS(2330),
    [anon_sym_LBRACK] = ACTIONS(2330),
    [anon_sym_static] = ACTIONS(2330),
    [anon_sym_register] = ACTIONS(2330),
    [anon_sym_inline] = ACTIONS(2330),
    [anon_sym___inline] = ACTIONS(2330),
    [anon_sym___inline__] = ACTIONS(2330),
    [anon_sym___forceinline] = ACTIONS(2330),
    [anon_sym_thread_local] = ACTIONS(2330),
    [anon_sym___thread] = ACTIONS(2330),
    [anon_sym_const] = ACTIONS(2330),
    [anon_sym_constexpr] = ACTIONS(2330),
    [anon_sym_volatile] = ACTIONS(2330),
    [anon_sym_restrict] = ACTIONS(2330),
    [anon_sym___restrict__] = ACTIONS(2330),
    [anon_sym__Atomic] = ACTIONS(2330),
    [anon_sym__Noreturn] = ACTIONS(2330),
    [anon_sym_noreturn] = ACTIONS(2330),
    [anon_sym_mutable] = ACTIONS(2330),
    [anon_sym_constinit] = ACTIONS(2330),
    [anon_sym_consteval] = ACTIONS(2330),
    [sym_primitive_type] = ACTIONS(2330),
    [anon_sym_enum] = ACTIONS(2330),
    [anon_sym_class] = ACTIONS(2330),
    [anon_sym_struct] = ACTIONS(2330),
    [anon_sym_union] = ACTIONS(2330),
    [anon_sym_if] = ACTIONS(2330),
    [anon_sym_else] = ACTIONS(2330),
    [anon_sym_switch] = ACTIONS(2330),
    [anon_sym_case] = ACTIONS(2330),
    [anon_sym_default] = ACTIONS(2330),
    [anon_sym_while] = ACTIONS(2330),
    [anon_sym_do] = ACTIONS(2330),
    [anon_sym_for] = ACTIONS(2330),
    [anon_sym_return] = ACTIONS(2330),
    [anon_sym_break] = ACTIONS(2330),
    [anon_sym_continue] = ACTIONS(2330),
    [anon_sym_goto] = ACTIONS(2330),
    [anon_sym___try] = ACTIONS(2330),
    [anon_sym___leave] = ACTIONS(2330),
    [anon_sym_not] = ACTIONS(2330),
    [anon_sym_compl] = ACTIONS(2330),
    [anon_sym_DASH_DASH] = ACTIONS(2332),
    [anon_sym_PLUS_PLUS] = ACTIONS(2332),
    [anon_sym_sizeof] = ACTIONS(2330),
    [anon_sym___alignof__] = ACTIONS(2330),
    [anon_sym___alignof] = ACTIONS(2330),
    [anon_sym__alignof] = ACTIONS(2330),
    [anon_sym_alignof] = ACTIONS(2330),
    [anon_sym__Alignof] = ACTIONS(2330),
    [anon_sym_offsetof] = ACTIONS(2330),
    [anon_sym__Generic] = ACTIONS(2330),
    [anon_sym_asm] = ACTIONS(2330),
    [anon_sym___asm__] = ACTIONS(2330),
    [sym_number_literal] = ACTIONS(2332),
    [anon_sym_L_SQUOTE] = ACTIONS(2332),
    [anon_sym_u_SQUOTE] = ACTIONS(2332),
    [anon_sym_U_SQUOTE] = ACTIONS(2332),
    [anon_sym_u8_SQUOTE] = ACTIONS(2332),
    [anon_sym_SQUOTE] = ACTIONS(2332),
    [anon_sym_L_DQUOTE] = ACTIONS(2332),
    [anon_sym_u_DQUOTE] = ACTIONS(2332),
    [anon_sym_U_DQUOTE] = ACTIONS(2332),
    [anon_sym_u8_DQUOTE] = ACTIONS(2332),
    [anon_sym_DQUOTE] = ACTIONS(2332),
    [sym_true] = ACTIONS(2330),
    [sym_false] = ACTIONS(2330),
    [anon_sym_NULL] = ACTIONS(2330),
    [anon_sym_nullptr] = ACTIONS(2330),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2330),
    [anon_sym_decltype] = ACTIONS(2330),
    [anon_sym_virtual] = ACTIONS(2330),
    [anon_sym_alignas] = ACTIONS(2330),
    [anon_sym_explicit] = ACTIONS(2330),
    [anon_sym_typename] = ACTIONS(2330),
    [anon_sym_template] = ACTIONS(2330),
    [anon_sym_operator] = ACTIONS(2330),
    [anon_sym_try] = ACTIONS(2330),
    [anon_sym_delete] = ACTIONS(2330),
    [anon_sym_throw] = ACTIONS(2330),
    [anon_sym_namespace] = ACTIONS(2330),
    [anon_sym_using] = ACTIONS(2330),
    [anon_sym_static_assert] = ACTIONS(2330),
    [anon_sym_concept] = ACTIONS(2330),
    [anon_sym_co_return] = ACTIONS(2330),
    [anon_sym_co_yield] = ACTIONS(2330),
    [anon_sym_R_DQUOTE] = ACTIONS(2332),
    [anon_sym_LR_DQUOTE] = ACTIONS(2332),
    [anon_sym_uR_DQUOTE] = ACTIONS(2332),
    [anon_sym_UR_DQUOTE] = ACTIONS(2332),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2332),
    [anon_sym_co_await] = ACTIONS(2330),
    [anon_sym_new] = ACTIONS(2330),
    [anon_sym_requires] = ACTIONS(2330),
    [sym_this] = ACTIONS(2330),
    [anon_sym_discard] = ACTIONS(2330),
    [anon_sym_precise] = ACTIONS(2330),
    [anon_sym_shared] = ACTIONS(2330),
    [anon_sym_groupshared] = ACTIONS(2330),
    [anon_sym_uniform] = ACTIONS(2330),
    [anon_sym_row_major] = ACTIONS(2330),
    [anon_sym_column_major] = ACTIONS(2330),
    [anon_sym_globallycoherent] = ACTIONS(2330),
    [anon_sym_centroid] = ACTIONS(2330),
    [anon_sym_noperspective] = ACTIONS(2330),
    [anon_sym_nointerpolation] = ACTIONS(2330),
    [anon_sym_sample] = ACTIONS(2330),
    [anon_sym_linear] = ACTIONS(2330),
    [anon_sym_snorm] = ACTIONS(2330),
    [anon_sym_unorm] = ACTIONS(2330),
    [anon_sym_point] = ACTIONS(2330),
    [anon_sym_line] = ACTIONS(2330),
    [anon_sym_triangleadj] = ACTIONS(2330),
    [anon_sym_lineadj] = ACTIONS(2330),
    [anon_sym_triangle] = ACTIONS(2330),
    [anon_sym_cbuffer] = ACTIONS(2330),
  },
  [583] = {
    [sym_identifier] = ACTIONS(2464),
    [aux_sym_preproc_include_token1] = ACTIONS(2464),
    [aux_sym_preproc_def_token1] = ACTIONS(2464),
    [aux_sym_preproc_if_token1] = ACTIONS(2464),
    [aux_sym_preproc_if_token2] = ACTIONS(2464),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2464),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2464),
    [aux_sym_preproc_else_token1] = ACTIONS(2464),
    [aux_sym_preproc_elif_token1] = ACTIONS(2464),
    [sym_preproc_directive] = ACTIONS(2464),
    [anon_sym_LPAREN2] = ACTIONS(2466),
    [anon_sym_BANG] = ACTIONS(2466),
    [anon_sym_TILDE] = ACTIONS(2466),
    [anon_sym_DASH] = ACTIONS(2464),
    [anon_sym_PLUS] = ACTIONS(2464),
    [anon_sym_STAR] = ACTIONS(2466),
    [anon_sym_AMP_AMP] = ACTIONS(2466),
    [anon_sym_AMP] = ACTIONS(2464),
    [anon_sym_SEMI] = ACTIONS(2466),
    [anon_sym___extension__] = ACTIONS(2464),
    [anon_sym_typedef] = ACTIONS(2464),
    [anon_sym_in] = ACTIONS(2464),
    [anon_sym_out] = ACTIONS(2464),
    [anon_sym_inout] = ACTIONS(2464),
    [anon_sym_extern] = ACTIONS(2464),
    [anon_sym___attribute__] = ACTIONS(2464),
    [anon_sym_COLON_COLON] = ACTIONS(2466),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2466),
    [anon_sym___declspec] = ACTIONS(2464),
    [anon_sym___based] = ACTIONS(2464),
    [anon_sym___cdecl] = ACTIONS(2464),
    [anon_sym___clrcall] = ACTIONS(2464),
    [anon_sym___stdcall] = ACTIONS(2464),
    [anon_sym___fastcall] = ACTIONS(2464),
    [anon_sym___thiscall] = ACTIONS(2464),
    [anon_sym___vectorcall] = ACTIONS(2464),
    [anon_sym_LBRACE] = ACTIONS(2466),
    [anon_sym_signed] = ACTIONS(2464),
    [anon_sym_unsigned] = ACTIONS(2464),
    [anon_sym_long] = ACTIONS(2464),
    [anon_sym_short] = ACTIONS(2464),
    [anon_sym_LBRACK] = ACTIONS(2464),
    [anon_sym_static] = ACTIONS(2464),
    [anon_sym_register] = ACTIONS(2464),
    [anon_sym_inline] = ACTIONS(2464),
    [anon_sym___inline] = ACTIONS(2464),
    [anon_sym___inline__] = ACTIONS(2464),
    [anon_sym___forceinline] = ACTIONS(2464),
    [anon_sym_thread_local] = ACTIONS(2464),
    [anon_sym___thread] = ACTIONS(2464),
    [anon_sym_const] = ACTIONS(2464),
    [anon_sym_constexpr] = ACTIONS(2464),
    [anon_sym_volatile] = ACTIONS(2464),
    [anon_sym_restrict] = ACTIONS(2464),
    [anon_sym___restrict__] = ACTIONS(2464),
    [anon_sym__Atomic] = ACTIONS(2464),
    [anon_sym__Noreturn] = ACTIONS(2464),
    [anon_sym_noreturn] = ACTIONS(2464),
    [anon_sym_mutable] = ACTIONS(2464),
    [anon_sym_constinit] = ACTIONS(2464),
    [anon_sym_consteval] = ACTIONS(2464),
    [sym_primitive_type] = ACTIONS(2464),
    [anon_sym_enum] = ACTIONS(2464),
    [anon_sym_class] = ACTIONS(2464),
    [anon_sym_struct] = ACTIONS(2464),
    [anon_sym_union] = ACTIONS(2464),
    [anon_sym_if] = ACTIONS(2464),
    [anon_sym_else] = ACTIONS(2464),
    [anon_sym_switch] = ACTIONS(2464),
    [anon_sym_case] = ACTIONS(2464),
    [anon_sym_default] = ACTIONS(2464),
    [anon_sym_while] = ACTIONS(2464),
    [anon_sym_do] = ACTIONS(2464),
    [anon_sym_for] = ACTIONS(2464),
    [anon_sym_return] = ACTIONS(2464),
    [anon_sym_break] = ACTIONS(2464),
    [anon_sym_continue] = ACTIONS(2464),
    [anon_sym_goto] = ACTIONS(2464),
    [anon_sym___try] = ACTIONS(2464),
    [anon_sym___leave] = ACTIONS(2464),
    [anon_sym_not] = ACTIONS(2464),
    [anon_sym_compl] = ACTIONS(2464),
    [anon_sym_DASH_DASH] = ACTIONS(2466),
    [anon_sym_PLUS_PLUS] = ACTIONS(2466),
    [anon_sym_sizeof] = ACTIONS(2464),
    [anon_sym___alignof__] = ACTIONS(2464),
    [anon_sym___alignof] = ACTIONS(2464),
    [anon_sym__alignof] = ACTIONS(2464),
    [anon_sym_alignof] = ACTIONS(2464),
    [anon_sym__Alignof] = ACTIONS(2464),
    [anon_sym_offsetof] = ACTIONS(2464),
    [anon_sym__Generic] = ACTIONS(2464),
    [anon_sym_asm] = ACTIONS(2464),
    [anon_sym___asm__] = ACTIONS(2464),
    [sym_number_literal] = ACTIONS(2466),
    [anon_sym_L_SQUOTE] = ACTIONS(2466),
    [anon_sym_u_SQUOTE] = ACTIONS(2466),
    [anon_sym_U_SQUOTE] = ACTIONS(2466),
    [anon_sym_u8_SQUOTE] = ACTIONS(2466),
    [anon_sym_SQUOTE] = ACTIONS(2466),
    [anon_sym_L_DQUOTE] = ACTIONS(2466),
    [anon_sym_u_DQUOTE] = ACTIONS(2466),
    [anon_sym_U_DQUOTE] = ACTIONS(2466),
    [anon_sym_u8_DQUOTE] = ACTIONS(2466),
    [anon_sym_DQUOTE] = ACTIONS(2466),
    [sym_true] = ACTIONS(2464),
    [sym_false] = ACTIONS(2464),
    [anon_sym_NULL] = ACTIONS(2464),
    [anon_sym_nullptr] = ACTIONS(2464),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2464),
    [anon_sym_decltype] = ACTIONS(2464),
    [anon_sym_virtual] = ACTIONS(2464),
    [anon_sym_alignas] = ACTIONS(2464),
    [anon_sym_explicit] = ACTIONS(2464),
    [anon_sym_typename] = ACTIONS(2464),
    [anon_sym_template] = ACTIONS(2464),
    [anon_sym_operator] = ACTIONS(2464),
    [anon_sym_try] = ACTIONS(2464),
    [anon_sym_delete] = ACTIONS(2464),
    [anon_sym_throw] = ACTIONS(2464),
    [anon_sym_namespace] = ACTIONS(2464),
    [anon_sym_using] = ACTIONS(2464),
    [anon_sym_static_assert] = ACTIONS(2464),
    [anon_sym_concept] = ACTIONS(2464),
    [anon_sym_co_return] = ACTIONS(2464),
    [anon_sym_co_yield] = ACTIONS(2464),
    [anon_sym_R_DQUOTE] = ACTIONS(2466),
    [anon_sym_LR_DQUOTE] = ACTIONS(2466),
    [anon_sym_uR_DQUOTE] = ACTIONS(2466),
    [anon_sym_UR_DQUOTE] = ACTIONS(2466),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2466),
    [anon_sym_co_await] = ACTIONS(2464),
    [anon_sym_new] = ACTIONS(2464),
    [anon_sym_requires] = ACTIONS(2464),
    [sym_this] = ACTIONS(2464),
    [anon_sym_discard] = ACTIONS(2464),
    [anon_sym_precise] = ACTIONS(2464),
    [anon_sym_shared] = ACTIONS(2464),
    [anon_sym_groupshared] = ACTIONS(2464),
    [anon_sym_uniform] = ACTIONS(2464),
    [anon_sym_row_major] = ACTIONS(2464),
    [anon_sym_column_major] = ACTIONS(2464),
    [anon_sym_globallycoherent] = ACTIONS(2464),
    [anon_sym_centroid] = ACTIONS(2464),
    [anon_sym_noperspective] = ACTIONS(2464),
    [anon_sym_nointerpolation] = ACTIONS(2464),
    [anon_sym_sample] = ACTIONS(2464),
    [anon_sym_linear] = ACTIONS(2464),
    [anon_sym_snorm] = ACTIONS(2464),
    [anon_sym_unorm] = ACTIONS(2464),
    [anon_sym_point] = ACTIONS(2464),
    [anon_sym_line] = ACTIONS(2464),
    [anon_sym_triangleadj] = ACTIONS(2464),
    [anon_sym_lineadj] = ACTIONS(2464),
    [anon_sym_triangle] = ACTIONS(2464),
    [anon_sym_cbuffer] = ACTIONS(2464),
  },
  [584] = {
    [sym_identifier] = ACTIONS(2364),
    [aux_sym_preproc_include_token1] = ACTIONS(2364),
    [aux_sym_preproc_def_token1] = ACTIONS(2364),
    [aux_sym_preproc_if_token1] = ACTIONS(2364),
    [aux_sym_preproc_if_token2] = ACTIONS(2364),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2364),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2364),
    [aux_sym_preproc_else_token1] = ACTIONS(2364),
    [aux_sym_preproc_elif_token1] = ACTIONS(2364),
    [sym_preproc_directive] = ACTIONS(2364),
    [anon_sym_LPAREN2] = ACTIONS(2366),
    [anon_sym_BANG] = ACTIONS(2366),
    [anon_sym_TILDE] = ACTIONS(2366),
    [anon_sym_DASH] = ACTIONS(2364),
    [anon_sym_PLUS] = ACTIONS(2364),
    [anon_sym_STAR] = ACTIONS(2366),
    [anon_sym_AMP_AMP] = ACTIONS(2366),
    [anon_sym_AMP] = ACTIONS(2364),
    [anon_sym_SEMI] = ACTIONS(2366),
    [anon_sym___extension__] = ACTIONS(2364),
    [anon_sym_typedef] = ACTIONS(2364),
    [anon_sym_in] = ACTIONS(2364),
    [anon_sym_out] = ACTIONS(2364),
    [anon_sym_inout] = ACTIONS(2364),
    [anon_sym_extern] = ACTIONS(2364),
    [anon_sym___attribute__] = ACTIONS(2364),
    [anon_sym_COLON_COLON] = ACTIONS(2366),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2366),
    [anon_sym___declspec] = ACTIONS(2364),
    [anon_sym___based] = ACTIONS(2364),
    [anon_sym___cdecl] = ACTIONS(2364),
    [anon_sym___clrcall] = ACTIONS(2364),
    [anon_sym___stdcall] = ACTIONS(2364),
    [anon_sym___fastcall] = ACTIONS(2364),
    [anon_sym___thiscall] = ACTIONS(2364),
    [anon_sym___vectorcall] = ACTIONS(2364),
    [anon_sym_LBRACE] = ACTIONS(2366),
    [anon_sym_signed] = ACTIONS(2364),
    [anon_sym_unsigned] = ACTIONS(2364),
    [anon_sym_long] = ACTIONS(2364),
    [anon_sym_short] = ACTIONS(2364),
    [anon_sym_LBRACK] = ACTIONS(2364),
    [anon_sym_static] = ACTIONS(2364),
    [anon_sym_register] = ACTIONS(2364),
    [anon_sym_inline] = ACTIONS(2364),
    [anon_sym___inline] = ACTIONS(2364),
    [anon_sym___inline__] = ACTIONS(2364),
    [anon_sym___forceinline] = ACTIONS(2364),
    [anon_sym_thread_local] = ACTIONS(2364),
    [anon_sym___thread] = ACTIONS(2364),
    [anon_sym_const] = ACTIONS(2364),
    [anon_sym_constexpr] = ACTIONS(2364),
    [anon_sym_volatile] = ACTIONS(2364),
    [anon_sym_restrict] = ACTIONS(2364),
    [anon_sym___restrict__] = ACTIONS(2364),
    [anon_sym__Atomic] = ACTIONS(2364),
    [anon_sym__Noreturn] = ACTIONS(2364),
    [anon_sym_noreturn] = ACTIONS(2364),
    [anon_sym_mutable] = ACTIONS(2364),
    [anon_sym_constinit] = ACTIONS(2364),
    [anon_sym_consteval] = ACTIONS(2364),
    [sym_primitive_type] = ACTIONS(2364),
    [anon_sym_enum] = ACTIONS(2364),
    [anon_sym_class] = ACTIONS(2364),
    [anon_sym_struct] = ACTIONS(2364),
    [anon_sym_union] = ACTIONS(2364),
    [anon_sym_if] = ACTIONS(2364),
    [anon_sym_else] = ACTIONS(2364),
    [anon_sym_switch] = ACTIONS(2364),
    [anon_sym_case] = ACTIONS(2364),
    [anon_sym_default] = ACTIONS(2364),
    [anon_sym_while] = ACTIONS(2364),
    [anon_sym_do] = ACTIONS(2364),
    [anon_sym_for] = ACTIONS(2364),
    [anon_sym_return] = ACTIONS(2364),
    [anon_sym_break] = ACTIONS(2364),
    [anon_sym_continue] = ACTIONS(2364),
    [anon_sym_goto] = ACTIONS(2364),
    [anon_sym___try] = ACTIONS(2364),
    [anon_sym___leave] = ACTIONS(2364),
    [anon_sym_not] = ACTIONS(2364),
    [anon_sym_compl] = ACTIONS(2364),
    [anon_sym_DASH_DASH] = ACTIONS(2366),
    [anon_sym_PLUS_PLUS] = ACTIONS(2366),
    [anon_sym_sizeof] = ACTIONS(2364),
    [anon_sym___alignof__] = ACTIONS(2364),
    [anon_sym___alignof] = ACTIONS(2364),
    [anon_sym__alignof] = ACTIONS(2364),
    [anon_sym_alignof] = ACTIONS(2364),
    [anon_sym__Alignof] = ACTIONS(2364),
    [anon_sym_offsetof] = ACTIONS(2364),
    [anon_sym__Generic] = ACTIONS(2364),
    [anon_sym_asm] = ACTIONS(2364),
    [anon_sym___asm__] = ACTIONS(2364),
    [sym_number_literal] = ACTIONS(2366),
    [anon_sym_L_SQUOTE] = ACTIONS(2366),
    [anon_sym_u_SQUOTE] = ACTIONS(2366),
    [anon_sym_U_SQUOTE] = ACTIONS(2366),
    [anon_sym_u8_SQUOTE] = ACTIONS(2366),
    [anon_sym_SQUOTE] = ACTIONS(2366),
    [anon_sym_L_DQUOTE] = ACTIONS(2366),
    [anon_sym_u_DQUOTE] = ACTIONS(2366),
    [anon_sym_U_DQUOTE] = ACTIONS(2366),
    [anon_sym_u8_DQUOTE] = ACTIONS(2366),
    [anon_sym_DQUOTE] = ACTIONS(2366),
    [sym_true] = ACTIONS(2364),
    [sym_false] = ACTIONS(2364),
    [anon_sym_NULL] = ACTIONS(2364),
    [anon_sym_nullptr] = ACTIONS(2364),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2364),
    [anon_sym_decltype] = ACTIONS(2364),
    [anon_sym_virtual] = ACTIONS(2364),
    [anon_sym_alignas] = ACTIONS(2364),
    [anon_sym_explicit] = ACTIONS(2364),
    [anon_sym_typename] = ACTIONS(2364),
    [anon_sym_template] = ACTIONS(2364),
    [anon_sym_operator] = ACTIONS(2364),
    [anon_sym_try] = ACTIONS(2364),
    [anon_sym_delete] = ACTIONS(2364),
    [anon_sym_throw] = ACTIONS(2364),
    [anon_sym_namespace] = ACTIONS(2364),
    [anon_sym_using] = ACTIONS(2364),
    [anon_sym_static_assert] = ACTIONS(2364),
    [anon_sym_concept] = ACTIONS(2364),
    [anon_sym_co_return] = ACTIONS(2364),
    [anon_sym_co_yield] = ACTIONS(2364),
    [anon_sym_R_DQUOTE] = ACTIONS(2366),
    [anon_sym_LR_DQUOTE] = ACTIONS(2366),
    [anon_sym_uR_DQUOTE] = ACTIONS(2366),
    [anon_sym_UR_DQUOTE] = ACTIONS(2366),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2366),
    [anon_sym_co_await] = ACTIONS(2364),
    [anon_sym_new] = ACTIONS(2364),
    [anon_sym_requires] = ACTIONS(2364),
    [sym_this] = ACTIONS(2364),
    [anon_sym_discard] = ACTIONS(2364),
    [anon_sym_precise] = ACTIONS(2364),
    [anon_sym_shared] = ACTIONS(2364),
    [anon_sym_groupshared] = ACTIONS(2364),
    [anon_sym_uniform] = ACTIONS(2364),
    [anon_sym_row_major] = ACTIONS(2364),
    [anon_sym_column_major] = ACTIONS(2364),
    [anon_sym_globallycoherent] = ACTIONS(2364),
    [anon_sym_centroid] = ACTIONS(2364),
    [anon_sym_noperspective] = ACTIONS(2364),
    [anon_sym_nointerpolation] = ACTIONS(2364),
    [anon_sym_sample] = ACTIONS(2364),
    [anon_sym_linear] = ACTIONS(2364),
    [anon_sym_snorm] = ACTIONS(2364),
    [anon_sym_unorm] = ACTIONS(2364),
    [anon_sym_point] = ACTIONS(2364),
    [anon_sym_line] = ACTIONS(2364),
    [anon_sym_triangleadj] = ACTIONS(2364),
    [anon_sym_lineadj] = ACTIONS(2364),
    [anon_sym_triangle] = ACTIONS(2364),
    [anon_sym_cbuffer] = ACTIONS(2364),
  },
  [585] = {
    [sym_identifier] = ACTIONS(2468),
    [aux_sym_preproc_include_token1] = ACTIONS(2468),
    [aux_sym_preproc_def_token1] = ACTIONS(2468),
    [aux_sym_preproc_if_token1] = ACTIONS(2468),
    [aux_sym_preproc_if_token2] = ACTIONS(2468),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2468),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2468),
    [aux_sym_preproc_else_token1] = ACTIONS(2468),
    [aux_sym_preproc_elif_token1] = ACTIONS(2468),
    [sym_preproc_directive] = ACTIONS(2468),
    [anon_sym_LPAREN2] = ACTIONS(2470),
    [anon_sym_BANG] = ACTIONS(2470),
    [anon_sym_TILDE] = ACTIONS(2470),
    [anon_sym_DASH] = ACTIONS(2468),
    [anon_sym_PLUS] = ACTIONS(2468),
    [anon_sym_STAR] = ACTIONS(2470),
    [anon_sym_AMP_AMP] = ACTIONS(2470),
    [anon_sym_AMP] = ACTIONS(2468),
    [anon_sym_SEMI] = ACTIONS(2470),
    [anon_sym___extension__] = ACTIONS(2468),
    [anon_sym_typedef] = ACTIONS(2468),
    [anon_sym_in] = ACTIONS(2468),
    [anon_sym_out] = ACTIONS(2468),
    [anon_sym_inout] = ACTIONS(2468),
    [anon_sym_extern] = ACTIONS(2468),
    [anon_sym___attribute__] = ACTIONS(2468),
    [anon_sym_COLON_COLON] = ACTIONS(2470),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2470),
    [anon_sym___declspec] = ACTIONS(2468),
    [anon_sym___based] = ACTIONS(2468),
    [anon_sym___cdecl] = ACTIONS(2468),
    [anon_sym___clrcall] = ACTIONS(2468),
    [anon_sym___stdcall] = ACTIONS(2468),
    [anon_sym___fastcall] = ACTIONS(2468),
    [anon_sym___thiscall] = ACTIONS(2468),
    [anon_sym___vectorcall] = ACTIONS(2468),
    [anon_sym_LBRACE] = ACTIONS(2470),
    [anon_sym_signed] = ACTIONS(2468),
    [anon_sym_unsigned] = ACTIONS(2468),
    [anon_sym_long] = ACTIONS(2468),
    [anon_sym_short] = ACTIONS(2468),
    [anon_sym_LBRACK] = ACTIONS(2468),
    [anon_sym_static] = ACTIONS(2468),
    [anon_sym_register] = ACTIONS(2468),
    [anon_sym_inline] = ACTIONS(2468),
    [anon_sym___inline] = ACTIONS(2468),
    [anon_sym___inline__] = ACTIONS(2468),
    [anon_sym___forceinline] = ACTIONS(2468),
    [anon_sym_thread_local] = ACTIONS(2468),
    [anon_sym___thread] = ACTIONS(2468),
    [anon_sym_const] = ACTIONS(2468),
    [anon_sym_constexpr] = ACTIONS(2468),
    [anon_sym_volatile] = ACTIONS(2468),
    [anon_sym_restrict] = ACTIONS(2468),
    [anon_sym___restrict__] = ACTIONS(2468),
    [anon_sym__Atomic] = ACTIONS(2468),
    [anon_sym__Noreturn] = ACTIONS(2468),
    [anon_sym_noreturn] = ACTIONS(2468),
    [anon_sym_mutable] = ACTIONS(2468),
    [anon_sym_constinit] = ACTIONS(2468),
    [anon_sym_consteval] = ACTIONS(2468),
    [sym_primitive_type] = ACTIONS(2468),
    [anon_sym_enum] = ACTIONS(2468),
    [anon_sym_class] = ACTIONS(2468),
    [anon_sym_struct] = ACTIONS(2468),
    [anon_sym_union] = ACTIONS(2468),
    [anon_sym_if] = ACTIONS(2468),
    [anon_sym_else] = ACTIONS(2468),
    [anon_sym_switch] = ACTIONS(2468),
    [anon_sym_case] = ACTIONS(2468),
    [anon_sym_default] = ACTIONS(2468),
    [anon_sym_while] = ACTIONS(2468),
    [anon_sym_do] = ACTIONS(2468),
    [anon_sym_for] = ACTIONS(2468),
    [anon_sym_return] = ACTIONS(2468),
    [anon_sym_break] = ACTIONS(2468),
    [anon_sym_continue] = ACTIONS(2468),
    [anon_sym_goto] = ACTIONS(2468),
    [anon_sym___try] = ACTIONS(2468),
    [anon_sym___leave] = ACTIONS(2468),
    [anon_sym_not] = ACTIONS(2468),
    [anon_sym_compl] = ACTIONS(2468),
    [anon_sym_DASH_DASH] = ACTIONS(2470),
    [anon_sym_PLUS_PLUS] = ACTIONS(2470),
    [anon_sym_sizeof] = ACTIONS(2468),
    [anon_sym___alignof__] = ACTIONS(2468),
    [anon_sym___alignof] = ACTIONS(2468),
    [anon_sym__alignof] = ACTIONS(2468),
    [anon_sym_alignof] = ACTIONS(2468),
    [anon_sym__Alignof] = ACTIONS(2468),
    [anon_sym_offsetof] = ACTIONS(2468),
    [anon_sym__Generic] = ACTIONS(2468),
    [anon_sym_asm] = ACTIONS(2468),
    [anon_sym___asm__] = ACTIONS(2468),
    [sym_number_literal] = ACTIONS(2470),
    [anon_sym_L_SQUOTE] = ACTIONS(2470),
    [anon_sym_u_SQUOTE] = ACTIONS(2470),
    [anon_sym_U_SQUOTE] = ACTIONS(2470),
    [anon_sym_u8_SQUOTE] = ACTIONS(2470),
    [anon_sym_SQUOTE] = ACTIONS(2470),
    [anon_sym_L_DQUOTE] = ACTIONS(2470),
    [anon_sym_u_DQUOTE] = ACTIONS(2470),
    [anon_sym_U_DQUOTE] = ACTIONS(2470),
    [anon_sym_u8_DQUOTE] = ACTIONS(2470),
    [anon_sym_DQUOTE] = ACTIONS(2470),
    [sym_true] = ACTIONS(2468),
    [sym_false] = ACTIONS(2468),
    [anon_sym_NULL] = ACTIONS(2468),
    [anon_sym_nullptr] = ACTIONS(2468),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2468),
    [anon_sym_decltype] = ACTIONS(2468),
    [anon_sym_virtual] = ACTIONS(2468),
    [anon_sym_alignas] = ACTIONS(2468),
    [anon_sym_explicit] = ACTIONS(2468),
    [anon_sym_typename] = ACTIONS(2468),
    [anon_sym_template] = ACTIONS(2468),
    [anon_sym_operator] = ACTIONS(2468),
    [anon_sym_try] = ACTIONS(2468),
    [anon_sym_delete] = ACTIONS(2468),
    [anon_sym_throw] = ACTIONS(2468),
    [anon_sym_namespace] = ACTIONS(2468),
    [anon_sym_using] = ACTIONS(2468),
    [anon_sym_static_assert] = ACTIONS(2468),
    [anon_sym_concept] = ACTIONS(2468),
    [anon_sym_co_return] = ACTIONS(2468),
    [anon_sym_co_yield] = ACTIONS(2468),
    [anon_sym_R_DQUOTE] = ACTIONS(2470),
    [anon_sym_LR_DQUOTE] = ACTIONS(2470),
    [anon_sym_uR_DQUOTE] = ACTIONS(2470),
    [anon_sym_UR_DQUOTE] = ACTIONS(2470),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2470),
    [anon_sym_co_await] = ACTIONS(2468),
    [anon_sym_new] = ACTIONS(2468),
    [anon_sym_requires] = ACTIONS(2468),
    [sym_this] = ACTIONS(2468),
    [anon_sym_discard] = ACTIONS(2468),
    [anon_sym_precise] = ACTIONS(2468),
    [anon_sym_shared] = ACTIONS(2468),
    [anon_sym_groupshared] = ACTIONS(2468),
    [anon_sym_uniform] = ACTIONS(2468),
    [anon_sym_row_major] = ACTIONS(2468),
    [anon_sym_column_major] = ACTIONS(2468),
    [anon_sym_globallycoherent] = ACTIONS(2468),
    [anon_sym_centroid] = ACTIONS(2468),
    [anon_sym_noperspective] = ACTIONS(2468),
    [anon_sym_nointerpolation] = ACTIONS(2468),
    [anon_sym_sample] = ACTIONS(2468),
    [anon_sym_linear] = ACTIONS(2468),
    [anon_sym_snorm] = ACTIONS(2468),
    [anon_sym_unorm] = ACTIONS(2468),
    [anon_sym_point] = ACTIONS(2468),
    [anon_sym_line] = ACTIONS(2468),
    [anon_sym_triangleadj] = ACTIONS(2468),
    [anon_sym_lineadj] = ACTIONS(2468),
    [anon_sym_triangle] = ACTIONS(2468),
    [anon_sym_cbuffer] = ACTIONS(2468),
  },
  [586] = {
    [sym_identifier] = ACTIONS(2364),
    [aux_sym_preproc_include_token1] = ACTIONS(2364),
    [aux_sym_preproc_def_token1] = ACTIONS(2364),
    [aux_sym_preproc_if_token1] = ACTIONS(2364),
    [aux_sym_preproc_if_token2] = ACTIONS(2364),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2364),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2364),
    [aux_sym_preproc_else_token1] = ACTIONS(2364),
    [aux_sym_preproc_elif_token1] = ACTIONS(2364),
    [sym_preproc_directive] = ACTIONS(2364),
    [anon_sym_LPAREN2] = ACTIONS(2366),
    [anon_sym_BANG] = ACTIONS(2366),
    [anon_sym_TILDE] = ACTIONS(2366),
    [anon_sym_DASH] = ACTIONS(2364),
    [anon_sym_PLUS] = ACTIONS(2364),
    [anon_sym_STAR] = ACTIONS(2366),
    [anon_sym_AMP_AMP] = ACTIONS(2366),
    [anon_sym_AMP] = ACTIONS(2364),
    [anon_sym_SEMI] = ACTIONS(2366),
    [anon_sym___extension__] = ACTIONS(2364),
    [anon_sym_typedef] = ACTIONS(2364),
    [anon_sym_in] = ACTIONS(2364),
    [anon_sym_out] = ACTIONS(2364),
    [anon_sym_inout] = ACTIONS(2364),
    [anon_sym_extern] = ACTIONS(2364),
    [anon_sym___attribute__] = ACTIONS(2364),
    [anon_sym_COLON_COLON] = ACTIONS(2366),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2366),
    [anon_sym___declspec] = ACTIONS(2364),
    [anon_sym___based] = ACTIONS(2364),
    [anon_sym___cdecl] = ACTIONS(2364),
    [anon_sym___clrcall] = ACTIONS(2364),
    [anon_sym___stdcall] = ACTIONS(2364),
    [anon_sym___fastcall] = ACTIONS(2364),
    [anon_sym___thiscall] = ACTIONS(2364),
    [anon_sym___vectorcall] = ACTIONS(2364),
    [anon_sym_LBRACE] = ACTIONS(2366),
    [anon_sym_signed] = ACTIONS(2364),
    [anon_sym_unsigned] = ACTIONS(2364),
    [anon_sym_long] = ACTIONS(2364),
    [anon_sym_short] = ACTIONS(2364),
    [anon_sym_LBRACK] = ACTIONS(2364),
    [anon_sym_static] = ACTIONS(2364),
    [anon_sym_register] = ACTIONS(2364),
    [anon_sym_inline] = ACTIONS(2364),
    [anon_sym___inline] = ACTIONS(2364),
    [anon_sym___inline__] = ACTIONS(2364),
    [anon_sym___forceinline] = ACTIONS(2364),
    [anon_sym_thread_local] = ACTIONS(2364),
    [anon_sym___thread] = ACTIONS(2364),
    [anon_sym_const] = ACTIONS(2364),
    [anon_sym_constexpr] = ACTIONS(2364),
    [anon_sym_volatile] = ACTIONS(2364),
    [anon_sym_restrict] = ACTIONS(2364),
    [anon_sym___restrict__] = ACTIONS(2364),
    [anon_sym__Atomic] = ACTIONS(2364),
    [anon_sym__Noreturn] = ACTIONS(2364),
    [anon_sym_noreturn] = ACTIONS(2364),
    [anon_sym_mutable] = ACTIONS(2364),
    [anon_sym_constinit] = ACTIONS(2364),
    [anon_sym_consteval] = ACTIONS(2364),
    [sym_primitive_type] = ACTIONS(2364),
    [anon_sym_enum] = ACTIONS(2364),
    [anon_sym_class] = ACTIONS(2364),
    [anon_sym_struct] = ACTIONS(2364),
    [anon_sym_union] = ACTIONS(2364),
    [anon_sym_if] = ACTIONS(2364),
    [anon_sym_else] = ACTIONS(2364),
    [anon_sym_switch] = ACTIONS(2364),
    [anon_sym_case] = ACTIONS(2364),
    [anon_sym_default] = ACTIONS(2364),
    [anon_sym_while] = ACTIONS(2364),
    [anon_sym_do] = ACTIONS(2364),
    [anon_sym_for] = ACTIONS(2364),
    [anon_sym_return] = ACTIONS(2364),
    [anon_sym_break] = ACTIONS(2364),
    [anon_sym_continue] = ACTIONS(2364),
    [anon_sym_goto] = ACTIONS(2364),
    [anon_sym___try] = ACTIONS(2364),
    [anon_sym___leave] = ACTIONS(2364),
    [anon_sym_not] = ACTIONS(2364),
    [anon_sym_compl] = ACTIONS(2364),
    [anon_sym_DASH_DASH] = ACTIONS(2366),
    [anon_sym_PLUS_PLUS] = ACTIONS(2366),
    [anon_sym_sizeof] = ACTIONS(2364),
    [anon_sym___alignof__] = ACTIONS(2364),
    [anon_sym___alignof] = ACTIONS(2364),
    [anon_sym__alignof] = ACTIONS(2364),
    [anon_sym_alignof] = ACTIONS(2364),
    [anon_sym__Alignof] = ACTIONS(2364),
    [anon_sym_offsetof] = ACTIONS(2364),
    [anon_sym__Generic] = ACTIONS(2364),
    [anon_sym_asm] = ACTIONS(2364),
    [anon_sym___asm__] = ACTIONS(2364),
    [sym_number_literal] = ACTIONS(2366),
    [anon_sym_L_SQUOTE] = ACTIONS(2366),
    [anon_sym_u_SQUOTE] = ACTIONS(2366),
    [anon_sym_U_SQUOTE] = ACTIONS(2366),
    [anon_sym_u8_SQUOTE] = ACTIONS(2366),
    [anon_sym_SQUOTE] = ACTIONS(2366),
    [anon_sym_L_DQUOTE] = ACTIONS(2366),
    [anon_sym_u_DQUOTE] = ACTIONS(2366),
    [anon_sym_U_DQUOTE] = ACTIONS(2366),
    [anon_sym_u8_DQUOTE] = ACTIONS(2366),
    [anon_sym_DQUOTE] = ACTIONS(2366),
    [sym_true] = ACTIONS(2364),
    [sym_false] = ACTIONS(2364),
    [anon_sym_NULL] = ACTIONS(2364),
    [anon_sym_nullptr] = ACTIONS(2364),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2364),
    [anon_sym_decltype] = ACTIONS(2364),
    [anon_sym_virtual] = ACTIONS(2364),
    [anon_sym_alignas] = ACTIONS(2364),
    [anon_sym_explicit] = ACTIONS(2364),
    [anon_sym_typename] = ACTIONS(2364),
    [anon_sym_template] = ACTIONS(2364),
    [anon_sym_operator] = ACTIONS(2364),
    [anon_sym_try] = ACTIONS(2364),
    [anon_sym_delete] = ACTIONS(2364),
    [anon_sym_throw] = ACTIONS(2364),
    [anon_sym_namespace] = ACTIONS(2364),
    [anon_sym_using] = ACTIONS(2364),
    [anon_sym_static_assert] = ACTIONS(2364),
    [anon_sym_concept] = ACTIONS(2364),
    [anon_sym_co_return] = ACTIONS(2364),
    [anon_sym_co_yield] = ACTIONS(2364),
    [anon_sym_R_DQUOTE] = ACTIONS(2366),
    [anon_sym_LR_DQUOTE] = ACTIONS(2366),
    [anon_sym_uR_DQUOTE] = ACTIONS(2366),
    [anon_sym_UR_DQUOTE] = ACTIONS(2366),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2366),
    [anon_sym_co_await] = ACTIONS(2364),
    [anon_sym_new] = ACTIONS(2364),
    [anon_sym_requires] = ACTIONS(2364),
    [sym_this] = ACTIONS(2364),
    [anon_sym_discard] = ACTIONS(2364),
    [anon_sym_precise] = ACTIONS(2364),
    [anon_sym_shared] = ACTIONS(2364),
    [anon_sym_groupshared] = ACTIONS(2364),
    [anon_sym_uniform] = ACTIONS(2364),
    [anon_sym_row_major] = ACTIONS(2364),
    [anon_sym_column_major] = ACTIONS(2364),
    [anon_sym_globallycoherent] = ACTIONS(2364),
    [anon_sym_centroid] = ACTIONS(2364),
    [anon_sym_noperspective] = ACTIONS(2364),
    [anon_sym_nointerpolation] = ACTIONS(2364),
    [anon_sym_sample] = ACTIONS(2364),
    [anon_sym_linear] = ACTIONS(2364),
    [anon_sym_snorm] = ACTIONS(2364),
    [anon_sym_unorm] = ACTIONS(2364),
    [anon_sym_point] = ACTIONS(2364),
    [anon_sym_line] = ACTIONS(2364),
    [anon_sym_triangleadj] = ACTIONS(2364),
    [anon_sym_lineadj] = ACTIONS(2364),
    [anon_sym_triangle] = ACTIONS(2364),
    [anon_sym_cbuffer] = ACTIONS(2364),
  },
  [587] = {
    [sym_identifier] = ACTIONS(2460),
    [aux_sym_preproc_include_token1] = ACTIONS(2460),
    [aux_sym_preproc_def_token1] = ACTIONS(2460),
    [aux_sym_preproc_if_token1] = ACTIONS(2460),
    [aux_sym_preproc_if_token2] = ACTIONS(2460),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2460),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2460),
    [aux_sym_preproc_else_token1] = ACTIONS(2460),
    [aux_sym_preproc_elif_token1] = ACTIONS(2460),
    [sym_preproc_directive] = ACTIONS(2460),
    [anon_sym_LPAREN2] = ACTIONS(2462),
    [anon_sym_BANG] = ACTIONS(2462),
    [anon_sym_TILDE] = ACTIONS(2462),
    [anon_sym_DASH] = ACTIONS(2460),
    [anon_sym_PLUS] = ACTIONS(2460),
    [anon_sym_STAR] = ACTIONS(2462),
    [anon_sym_AMP_AMP] = ACTIONS(2462),
    [anon_sym_AMP] = ACTIONS(2460),
    [anon_sym_SEMI] = ACTIONS(2462),
    [anon_sym___extension__] = ACTIONS(2460),
    [anon_sym_typedef] = ACTIONS(2460),
    [anon_sym_in] = ACTIONS(2460),
    [anon_sym_out] = ACTIONS(2460),
    [anon_sym_inout] = ACTIONS(2460),
    [anon_sym_extern] = ACTIONS(2460),
    [anon_sym___attribute__] = ACTIONS(2460),
    [anon_sym_COLON_COLON] = ACTIONS(2462),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2462),
    [anon_sym___declspec] = ACTIONS(2460),
    [anon_sym___based] = ACTIONS(2460),
    [anon_sym___cdecl] = ACTIONS(2460),
    [anon_sym___clrcall] = ACTIONS(2460),
    [anon_sym___stdcall] = ACTIONS(2460),
    [anon_sym___fastcall] = ACTIONS(2460),
    [anon_sym___thiscall] = ACTIONS(2460),
    [anon_sym___vectorcall] = ACTIONS(2460),
    [anon_sym_LBRACE] = ACTIONS(2462),
    [anon_sym_signed] = ACTIONS(2460),
    [anon_sym_unsigned] = ACTIONS(2460),
    [anon_sym_long] = ACTIONS(2460),
    [anon_sym_short] = ACTIONS(2460),
    [anon_sym_LBRACK] = ACTIONS(2460),
    [anon_sym_static] = ACTIONS(2460),
    [anon_sym_register] = ACTIONS(2460),
    [anon_sym_inline] = ACTIONS(2460),
    [anon_sym___inline] = ACTIONS(2460),
    [anon_sym___inline__] = ACTIONS(2460),
    [anon_sym___forceinline] = ACTIONS(2460),
    [anon_sym_thread_local] = ACTIONS(2460),
    [anon_sym___thread] = ACTIONS(2460),
    [anon_sym_const] = ACTIONS(2460),
    [anon_sym_constexpr] = ACTIONS(2460),
    [anon_sym_volatile] = ACTIONS(2460),
    [anon_sym_restrict] = ACTIONS(2460),
    [anon_sym___restrict__] = ACTIONS(2460),
    [anon_sym__Atomic] = ACTIONS(2460),
    [anon_sym__Noreturn] = ACTIONS(2460),
    [anon_sym_noreturn] = ACTIONS(2460),
    [anon_sym_mutable] = ACTIONS(2460),
    [anon_sym_constinit] = ACTIONS(2460),
    [anon_sym_consteval] = ACTIONS(2460),
    [sym_primitive_type] = ACTIONS(2460),
    [anon_sym_enum] = ACTIONS(2460),
    [anon_sym_class] = ACTIONS(2460),
    [anon_sym_struct] = ACTIONS(2460),
    [anon_sym_union] = ACTIONS(2460),
    [anon_sym_if] = ACTIONS(2460),
    [anon_sym_else] = ACTIONS(2460),
    [anon_sym_switch] = ACTIONS(2460),
    [anon_sym_case] = ACTIONS(2460),
    [anon_sym_default] = ACTIONS(2460),
    [anon_sym_while] = ACTIONS(2460),
    [anon_sym_do] = ACTIONS(2460),
    [anon_sym_for] = ACTIONS(2460),
    [anon_sym_return] = ACTIONS(2460),
    [anon_sym_break] = ACTIONS(2460),
    [anon_sym_continue] = ACTIONS(2460),
    [anon_sym_goto] = ACTIONS(2460),
    [anon_sym___try] = ACTIONS(2460),
    [anon_sym___leave] = ACTIONS(2460),
    [anon_sym_not] = ACTIONS(2460),
    [anon_sym_compl] = ACTIONS(2460),
    [anon_sym_DASH_DASH] = ACTIONS(2462),
    [anon_sym_PLUS_PLUS] = ACTIONS(2462),
    [anon_sym_sizeof] = ACTIONS(2460),
    [anon_sym___alignof__] = ACTIONS(2460),
    [anon_sym___alignof] = ACTIONS(2460),
    [anon_sym__alignof] = ACTIONS(2460),
    [anon_sym_alignof] = ACTIONS(2460),
    [anon_sym__Alignof] = ACTIONS(2460),
    [anon_sym_offsetof] = ACTIONS(2460),
    [anon_sym__Generic] = ACTIONS(2460),
    [anon_sym_asm] = ACTIONS(2460),
    [anon_sym___asm__] = ACTIONS(2460),
    [sym_number_literal] = ACTIONS(2462),
    [anon_sym_L_SQUOTE] = ACTIONS(2462),
    [anon_sym_u_SQUOTE] = ACTIONS(2462),
    [anon_sym_U_SQUOTE] = ACTIONS(2462),
    [anon_sym_u8_SQUOTE] = ACTIONS(2462),
    [anon_sym_SQUOTE] = ACTIONS(2462),
    [anon_sym_L_DQUOTE] = ACTIONS(2462),
    [anon_sym_u_DQUOTE] = ACTIONS(2462),
    [anon_sym_U_DQUOTE] = ACTIONS(2462),
    [anon_sym_u8_DQUOTE] = ACTIONS(2462),
    [anon_sym_DQUOTE] = ACTIONS(2462),
    [sym_true] = ACTIONS(2460),
    [sym_false] = ACTIONS(2460),
    [anon_sym_NULL] = ACTIONS(2460),
    [anon_sym_nullptr] = ACTIONS(2460),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2460),
    [anon_sym_decltype] = ACTIONS(2460),
    [anon_sym_virtual] = ACTIONS(2460),
    [anon_sym_alignas] = ACTIONS(2460),
    [anon_sym_explicit] = ACTIONS(2460),
    [anon_sym_typename] = ACTIONS(2460),
    [anon_sym_template] = ACTIONS(2460),
    [anon_sym_operator] = ACTIONS(2460),
    [anon_sym_try] = ACTIONS(2460),
    [anon_sym_delete] = ACTIONS(2460),
    [anon_sym_throw] = ACTIONS(2460),
    [anon_sym_namespace] = ACTIONS(2460),
    [anon_sym_using] = ACTIONS(2460),
    [anon_sym_static_assert] = ACTIONS(2460),
    [anon_sym_concept] = ACTIONS(2460),
    [anon_sym_co_return] = ACTIONS(2460),
    [anon_sym_co_yield] = ACTIONS(2460),
    [anon_sym_R_DQUOTE] = ACTIONS(2462),
    [anon_sym_LR_DQUOTE] = ACTIONS(2462),
    [anon_sym_uR_DQUOTE] = ACTIONS(2462),
    [anon_sym_UR_DQUOTE] = ACTIONS(2462),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2462),
    [anon_sym_co_await] = ACTIONS(2460),
    [anon_sym_new] = ACTIONS(2460),
    [anon_sym_requires] = ACTIONS(2460),
    [sym_this] = ACTIONS(2460),
    [anon_sym_discard] = ACTIONS(2460),
    [anon_sym_precise] = ACTIONS(2460),
    [anon_sym_shared] = ACTIONS(2460),
    [anon_sym_groupshared] = ACTIONS(2460),
    [anon_sym_uniform] = ACTIONS(2460),
    [anon_sym_row_major] = ACTIONS(2460),
    [anon_sym_column_major] = ACTIONS(2460),
    [anon_sym_globallycoherent] = ACTIONS(2460),
    [anon_sym_centroid] = ACTIONS(2460),
    [anon_sym_noperspective] = ACTIONS(2460),
    [anon_sym_nointerpolation] = ACTIONS(2460),
    [anon_sym_sample] = ACTIONS(2460),
    [anon_sym_linear] = ACTIONS(2460),
    [anon_sym_snorm] = ACTIONS(2460),
    [anon_sym_unorm] = ACTIONS(2460),
    [anon_sym_point] = ACTIONS(2460),
    [anon_sym_line] = ACTIONS(2460),
    [anon_sym_triangleadj] = ACTIONS(2460),
    [anon_sym_lineadj] = ACTIONS(2460),
    [anon_sym_triangle] = ACTIONS(2460),
    [anon_sym_cbuffer] = ACTIONS(2460),
  },
  [588] = {
    [sym_identifier] = ACTIONS(2364),
    [aux_sym_preproc_include_token1] = ACTIONS(2364),
    [aux_sym_preproc_def_token1] = ACTIONS(2364),
    [aux_sym_preproc_if_token1] = ACTIONS(2364),
    [aux_sym_preproc_if_token2] = ACTIONS(2364),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2364),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2364),
    [aux_sym_preproc_else_token1] = ACTIONS(2364),
    [aux_sym_preproc_elif_token1] = ACTIONS(2364),
    [sym_preproc_directive] = ACTIONS(2364),
    [anon_sym_LPAREN2] = ACTIONS(2366),
    [anon_sym_BANG] = ACTIONS(2366),
    [anon_sym_TILDE] = ACTIONS(2366),
    [anon_sym_DASH] = ACTIONS(2364),
    [anon_sym_PLUS] = ACTIONS(2364),
    [anon_sym_STAR] = ACTIONS(2366),
    [anon_sym_AMP_AMP] = ACTIONS(2366),
    [anon_sym_AMP] = ACTIONS(2364),
    [anon_sym_SEMI] = ACTIONS(2366),
    [anon_sym___extension__] = ACTIONS(2364),
    [anon_sym_typedef] = ACTIONS(2364),
    [anon_sym_in] = ACTIONS(2364),
    [anon_sym_out] = ACTIONS(2364),
    [anon_sym_inout] = ACTIONS(2364),
    [anon_sym_extern] = ACTIONS(2364),
    [anon_sym___attribute__] = ACTIONS(2364),
    [anon_sym_COLON_COLON] = ACTIONS(2366),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2366),
    [anon_sym___declspec] = ACTIONS(2364),
    [anon_sym___based] = ACTIONS(2364),
    [anon_sym___cdecl] = ACTIONS(2364),
    [anon_sym___clrcall] = ACTIONS(2364),
    [anon_sym___stdcall] = ACTIONS(2364),
    [anon_sym___fastcall] = ACTIONS(2364),
    [anon_sym___thiscall] = ACTIONS(2364),
    [anon_sym___vectorcall] = ACTIONS(2364),
    [anon_sym_LBRACE] = ACTIONS(2366),
    [anon_sym_signed] = ACTIONS(2364),
    [anon_sym_unsigned] = ACTIONS(2364),
    [anon_sym_long] = ACTIONS(2364),
    [anon_sym_short] = ACTIONS(2364),
    [anon_sym_LBRACK] = ACTIONS(2364),
    [anon_sym_static] = ACTIONS(2364),
    [anon_sym_register] = ACTIONS(2364),
    [anon_sym_inline] = ACTIONS(2364),
    [anon_sym___inline] = ACTIONS(2364),
    [anon_sym___inline__] = ACTIONS(2364),
    [anon_sym___forceinline] = ACTIONS(2364),
    [anon_sym_thread_local] = ACTIONS(2364),
    [anon_sym___thread] = ACTIONS(2364),
    [anon_sym_const] = ACTIONS(2364),
    [anon_sym_constexpr] = ACTIONS(2364),
    [anon_sym_volatile] = ACTIONS(2364),
    [anon_sym_restrict] = ACTIONS(2364),
    [anon_sym___restrict__] = ACTIONS(2364),
    [anon_sym__Atomic] = ACTIONS(2364),
    [anon_sym__Noreturn] = ACTIONS(2364),
    [anon_sym_noreturn] = ACTIONS(2364),
    [anon_sym_mutable] = ACTIONS(2364),
    [anon_sym_constinit] = ACTIONS(2364),
    [anon_sym_consteval] = ACTIONS(2364),
    [sym_primitive_type] = ACTIONS(2364),
    [anon_sym_enum] = ACTIONS(2364),
    [anon_sym_class] = ACTIONS(2364),
    [anon_sym_struct] = ACTIONS(2364),
    [anon_sym_union] = ACTIONS(2364),
    [anon_sym_if] = ACTIONS(2364),
    [anon_sym_else] = ACTIONS(2364),
    [anon_sym_switch] = ACTIONS(2364),
    [anon_sym_case] = ACTIONS(2364),
    [anon_sym_default] = ACTIONS(2364),
    [anon_sym_while] = ACTIONS(2364),
    [anon_sym_do] = ACTIONS(2364),
    [anon_sym_for] = ACTIONS(2364),
    [anon_sym_return] = ACTIONS(2364),
    [anon_sym_break] = ACTIONS(2364),
    [anon_sym_continue] = ACTIONS(2364),
    [anon_sym_goto] = ACTIONS(2364),
    [anon_sym___try] = ACTIONS(2364),
    [anon_sym___leave] = ACTIONS(2364),
    [anon_sym_not] = ACTIONS(2364),
    [anon_sym_compl] = ACTIONS(2364),
    [anon_sym_DASH_DASH] = ACTIONS(2366),
    [anon_sym_PLUS_PLUS] = ACTIONS(2366),
    [anon_sym_sizeof] = ACTIONS(2364),
    [anon_sym___alignof__] = ACTIONS(2364),
    [anon_sym___alignof] = ACTIONS(2364),
    [anon_sym__alignof] = ACTIONS(2364),
    [anon_sym_alignof] = ACTIONS(2364),
    [anon_sym__Alignof] = ACTIONS(2364),
    [anon_sym_offsetof] = ACTIONS(2364),
    [anon_sym__Generic] = ACTIONS(2364),
    [anon_sym_asm] = ACTIONS(2364),
    [anon_sym___asm__] = ACTIONS(2364),
    [sym_number_literal] = ACTIONS(2366),
    [anon_sym_L_SQUOTE] = ACTIONS(2366),
    [anon_sym_u_SQUOTE] = ACTIONS(2366),
    [anon_sym_U_SQUOTE] = ACTIONS(2366),
    [anon_sym_u8_SQUOTE] = ACTIONS(2366),
    [anon_sym_SQUOTE] = ACTIONS(2366),
    [anon_sym_L_DQUOTE] = ACTIONS(2366),
    [anon_sym_u_DQUOTE] = ACTIONS(2366),
    [anon_sym_U_DQUOTE] = ACTIONS(2366),
    [anon_sym_u8_DQUOTE] = ACTIONS(2366),
    [anon_sym_DQUOTE] = ACTIONS(2366),
    [sym_true] = ACTIONS(2364),
    [sym_false] = ACTIONS(2364),
    [anon_sym_NULL] = ACTIONS(2364),
    [anon_sym_nullptr] = ACTIONS(2364),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2364),
    [anon_sym_decltype] = ACTIONS(2364),
    [anon_sym_virtual] = ACTIONS(2364),
    [anon_sym_alignas] = ACTIONS(2364),
    [anon_sym_explicit] = ACTIONS(2364),
    [anon_sym_typename] = ACTIONS(2364),
    [anon_sym_template] = ACTIONS(2364),
    [anon_sym_operator] = ACTIONS(2364),
    [anon_sym_try] = ACTIONS(2364),
    [anon_sym_delete] = ACTIONS(2364),
    [anon_sym_throw] = ACTIONS(2364),
    [anon_sym_namespace] = ACTIONS(2364),
    [anon_sym_using] = ACTIONS(2364),
    [anon_sym_static_assert] = ACTIONS(2364),
    [anon_sym_concept] = ACTIONS(2364),
    [anon_sym_co_return] = ACTIONS(2364),
    [anon_sym_co_yield] = ACTIONS(2364),
    [anon_sym_R_DQUOTE] = ACTIONS(2366),
    [anon_sym_LR_DQUOTE] = ACTIONS(2366),
    [anon_sym_uR_DQUOTE] = ACTIONS(2366),
    [anon_sym_UR_DQUOTE] = ACTIONS(2366),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2366),
    [anon_sym_co_await] = ACTIONS(2364),
    [anon_sym_new] = ACTIONS(2364),
    [anon_sym_requires] = ACTIONS(2364),
    [sym_this] = ACTIONS(2364),
    [anon_sym_discard] = ACTIONS(2364),
    [anon_sym_precise] = ACTIONS(2364),
    [anon_sym_shared] = ACTIONS(2364),
    [anon_sym_groupshared] = ACTIONS(2364),
    [anon_sym_uniform] = ACTIONS(2364),
    [anon_sym_row_major] = ACTIONS(2364),
    [anon_sym_column_major] = ACTIONS(2364),
    [anon_sym_globallycoherent] = ACTIONS(2364),
    [anon_sym_centroid] = ACTIONS(2364),
    [anon_sym_noperspective] = ACTIONS(2364),
    [anon_sym_nointerpolation] = ACTIONS(2364),
    [anon_sym_sample] = ACTIONS(2364),
    [anon_sym_linear] = ACTIONS(2364),
    [anon_sym_snorm] = ACTIONS(2364),
    [anon_sym_unorm] = ACTIONS(2364),
    [anon_sym_point] = ACTIONS(2364),
    [anon_sym_line] = ACTIONS(2364),
    [anon_sym_triangleadj] = ACTIONS(2364),
    [anon_sym_lineadj] = ACTIONS(2364),
    [anon_sym_triangle] = ACTIONS(2364),
    [anon_sym_cbuffer] = ACTIONS(2364),
  },
  [589] = {
    [sym_catch_clause] = STATE(385),
    [aux_sym_constructor_try_statement_repeat1] = STATE(385),
    [sym_identifier] = ACTIONS(2285),
    [aux_sym_preproc_include_token1] = ACTIONS(2285),
    [aux_sym_preproc_def_token1] = ACTIONS(2285),
    [aux_sym_preproc_if_token1] = ACTIONS(2285),
    [aux_sym_preproc_if_token2] = ACTIONS(2285),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2285),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2285),
    [sym_preproc_directive] = ACTIONS(2285),
    [anon_sym_LPAREN2] = ACTIONS(2287),
    [anon_sym_BANG] = ACTIONS(2287),
    [anon_sym_TILDE] = ACTIONS(2287),
    [anon_sym_DASH] = ACTIONS(2285),
    [anon_sym_PLUS] = ACTIONS(2285),
    [anon_sym_STAR] = ACTIONS(2287),
    [anon_sym_AMP_AMP] = ACTIONS(2287),
    [anon_sym_AMP] = ACTIONS(2285),
    [anon_sym_SEMI] = ACTIONS(2287),
    [anon_sym___extension__] = ACTIONS(2285),
    [anon_sym_typedef] = ACTIONS(2285),
    [anon_sym_in] = ACTIONS(2285),
    [anon_sym_out] = ACTIONS(2285),
    [anon_sym_inout] = ACTIONS(2285),
    [anon_sym_extern] = ACTIONS(2285),
    [anon_sym___attribute__] = ACTIONS(2285),
    [anon_sym_COLON_COLON] = ACTIONS(2287),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2287),
    [anon_sym___declspec] = ACTIONS(2285),
    [anon_sym___based] = ACTIONS(2285),
    [anon_sym___cdecl] = ACTIONS(2285),
    [anon_sym___clrcall] = ACTIONS(2285),
    [anon_sym___stdcall] = ACTIONS(2285),
    [anon_sym___fastcall] = ACTIONS(2285),
    [anon_sym___thiscall] = ACTIONS(2285),
    [anon_sym___vectorcall] = ACTIONS(2285),
    [anon_sym_LBRACE] = ACTIONS(2287),
    [anon_sym_signed] = ACTIONS(2285),
    [anon_sym_unsigned] = ACTIONS(2285),
    [anon_sym_long] = ACTIONS(2285),
    [anon_sym_short] = ACTIONS(2285),
    [anon_sym_LBRACK] = ACTIONS(2285),
    [anon_sym_static] = ACTIONS(2285),
    [anon_sym_register] = ACTIONS(2285),
    [anon_sym_inline] = ACTIONS(2285),
    [anon_sym___inline] = ACTIONS(2285),
    [anon_sym___inline__] = ACTIONS(2285),
    [anon_sym___forceinline] = ACTIONS(2285),
    [anon_sym_thread_local] = ACTIONS(2285),
    [anon_sym___thread] = ACTIONS(2285),
    [anon_sym_const] = ACTIONS(2285),
    [anon_sym_constexpr] = ACTIONS(2285),
    [anon_sym_volatile] = ACTIONS(2285),
    [anon_sym_restrict] = ACTIONS(2285),
    [anon_sym___restrict__] = ACTIONS(2285),
    [anon_sym__Atomic] = ACTIONS(2285),
    [anon_sym__Noreturn] = ACTIONS(2285),
    [anon_sym_noreturn] = ACTIONS(2285),
    [anon_sym_mutable] = ACTIONS(2285),
    [anon_sym_constinit] = ACTIONS(2285),
    [anon_sym_consteval] = ACTIONS(2285),
    [sym_primitive_type] = ACTIONS(2285),
    [anon_sym_enum] = ACTIONS(2285),
    [anon_sym_class] = ACTIONS(2285),
    [anon_sym_struct] = ACTIONS(2285),
    [anon_sym_union] = ACTIONS(2285),
    [anon_sym_if] = ACTIONS(2285),
    [anon_sym_switch] = ACTIONS(2285),
    [anon_sym_case] = ACTIONS(2285),
    [anon_sym_default] = ACTIONS(2285),
    [anon_sym_while] = ACTIONS(2285),
    [anon_sym_do] = ACTIONS(2285),
    [anon_sym_for] = ACTIONS(2285),
    [anon_sym_return] = ACTIONS(2285),
    [anon_sym_break] = ACTIONS(2285),
    [anon_sym_continue] = ACTIONS(2285),
    [anon_sym_goto] = ACTIONS(2285),
    [anon_sym___try] = ACTIONS(2285),
    [anon_sym___leave] = ACTIONS(2285),
    [anon_sym_not] = ACTIONS(2285),
    [anon_sym_compl] = ACTIONS(2285),
    [anon_sym_DASH_DASH] = ACTIONS(2287),
    [anon_sym_PLUS_PLUS] = ACTIONS(2287),
    [anon_sym_sizeof] = ACTIONS(2285),
    [anon_sym___alignof__] = ACTIONS(2285),
    [anon_sym___alignof] = ACTIONS(2285),
    [anon_sym__alignof] = ACTIONS(2285),
    [anon_sym_alignof] = ACTIONS(2285),
    [anon_sym__Alignof] = ACTIONS(2285),
    [anon_sym_offsetof] = ACTIONS(2285),
    [anon_sym__Generic] = ACTIONS(2285),
    [anon_sym_asm] = ACTIONS(2285),
    [anon_sym___asm__] = ACTIONS(2285),
    [sym_number_literal] = ACTIONS(2287),
    [anon_sym_L_SQUOTE] = ACTIONS(2287),
    [anon_sym_u_SQUOTE] = ACTIONS(2287),
    [anon_sym_U_SQUOTE] = ACTIONS(2287),
    [anon_sym_u8_SQUOTE] = ACTIONS(2287),
    [anon_sym_SQUOTE] = ACTIONS(2287),
    [anon_sym_L_DQUOTE] = ACTIONS(2287),
    [anon_sym_u_DQUOTE] = ACTIONS(2287),
    [anon_sym_U_DQUOTE] = ACTIONS(2287),
    [anon_sym_u8_DQUOTE] = ACTIONS(2287),
    [anon_sym_DQUOTE] = ACTIONS(2287),
    [sym_true] = ACTIONS(2285),
    [sym_false] = ACTIONS(2285),
    [anon_sym_NULL] = ACTIONS(2285),
    [anon_sym_nullptr] = ACTIONS(2285),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2285),
    [anon_sym_decltype] = ACTIONS(2285),
    [anon_sym_virtual] = ACTIONS(2285),
    [anon_sym_alignas] = ACTIONS(2285),
    [anon_sym_explicit] = ACTIONS(2285),
    [anon_sym_typename] = ACTIONS(2285),
    [anon_sym_template] = ACTIONS(2285),
    [anon_sym_operator] = ACTIONS(2285),
    [anon_sym_try] = ACTIONS(2285),
    [anon_sym_delete] = ACTIONS(2285),
    [anon_sym_throw] = ACTIONS(2285),
    [anon_sym_namespace] = ACTIONS(2285),
    [anon_sym_using] = ACTIONS(2285),
    [anon_sym_static_assert] = ACTIONS(2285),
    [anon_sym_concept] = ACTIONS(2285),
    [anon_sym_co_return] = ACTIONS(2285),
    [anon_sym_co_yield] = ACTIONS(2285),
    [anon_sym_catch] = ACTIONS(2737),
    [anon_sym_R_DQUOTE] = ACTIONS(2287),
    [anon_sym_LR_DQUOTE] = ACTIONS(2287),
    [anon_sym_uR_DQUOTE] = ACTIONS(2287),
    [anon_sym_UR_DQUOTE] = ACTIONS(2287),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2287),
    [anon_sym_co_await] = ACTIONS(2285),
    [anon_sym_new] = ACTIONS(2285),
    [anon_sym_requires] = ACTIONS(2285),
    [sym_this] = ACTIONS(2285),
    [anon_sym_discard] = ACTIONS(2285),
    [anon_sym_precise] = ACTIONS(2285),
    [anon_sym_shared] = ACTIONS(2285),
    [anon_sym_groupshared] = ACTIONS(2285),
    [anon_sym_uniform] = ACTIONS(2285),
    [anon_sym_row_major] = ACTIONS(2285),
    [anon_sym_column_major] = ACTIONS(2285),
    [anon_sym_globallycoherent] = ACTIONS(2285),
    [anon_sym_centroid] = ACTIONS(2285),
    [anon_sym_noperspective] = ACTIONS(2285),
    [anon_sym_nointerpolation] = ACTIONS(2285),
    [anon_sym_sample] = ACTIONS(2285),
    [anon_sym_linear] = ACTIONS(2285),
    [anon_sym_snorm] = ACTIONS(2285),
    [anon_sym_unorm] = ACTIONS(2285),
    [anon_sym_point] = ACTIONS(2285),
    [anon_sym_line] = ACTIONS(2285),
    [anon_sym_triangleadj] = ACTIONS(2285),
    [anon_sym_lineadj] = ACTIONS(2285),
    [anon_sym_triangle] = ACTIONS(2285),
    [anon_sym_cbuffer] = ACTIONS(2285),
  },
  [590] = {
    [sym_identifier] = ACTIONS(2364),
    [aux_sym_preproc_include_token1] = ACTIONS(2364),
    [aux_sym_preproc_def_token1] = ACTIONS(2364),
    [aux_sym_preproc_if_token1] = ACTIONS(2364),
    [aux_sym_preproc_if_token2] = ACTIONS(2364),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2364),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2364),
    [aux_sym_preproc_else_token1] = ACTIONS(2364),
    [aux_sym_preproc_elif_token1] = ACTIONS(2364),
    [sym_preproc_directive] = ACTIONS(2364),
    [anon_sym_LPAREN2] = ACTIONS(2366),
    [anon_sym_BANG] = ACTIONS(2366),
    [anon_sym_TILDE] = ACTIONS(2366),
    [anon_sym_DASH] = ACTIONS(2364),
    [anon_sym_PLUS] = ACTIONS(2364),
    [anon_sym_STAR] = ACTIONS(2366),
    [anon_sym_AMP_AMP] = ACTIONS(2366),
    [anon_sym_AMP] = ACTIONS(2364),
    [anon_sym_SEMI] = ACTIONS(2366),
    [anon_sym___extension__] = ACTIONS(2364),
    [anon_sym_typedef] = ACTIONS(2364),
    [anon_sym_in] = ACTIONS(2364),
    [anon_sym_out] = ACTIONS(2364),
    [anon_sym_inout] = ACTIONS(2364),
    [anon_sym_extern] = ACTIONS(2364),
    [anon_sym___attribute__] = ACTIONS(2364),
    [anon_sym_COLON_COLON] = ACTIONS(2366),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2366),
    [anon_sym___declspec] = ACTIONS(2364),
    [anon_sym___based] = ACTIONS(2364),
    [anon_sym___cdecl] = ACTIONS(2364),
    [anon_sym___clrcall] = ACTIONS(2364),
    [anon_sym___stdcall] = ACTIONS(2364),
    [anon_sym___fastcall] = ACTIONS(2364),
    [anon_sym___thiscall] = ACTIONS(2364),
    [anon_sym___vectorcall] = ACTIONS(2364),
    [anon_sym_LBRACE] = ACTIONS(2366),
    [anon_sym_signed] = ACTIONS(2364),
    [anon_sym_unsigned] = ACTIONS(2364),
    [anon_sym_long] = ACTIONS(2364),
    [anon_sym_short] = ACTIONS(2364),
    [anon_sym_LBRACK] = ACTIONS(2364),
    [anon_sym_static] = ACTIONS(2364),
    [anon_sym_register] = ACTIONS(2364),
    [anon_sym_inline] = ACTIONS(2364),
    [anon_sym___inline] = ACTIONS(2364),
    [anon_sym___inline__] = ACTIONS(2364),
    [anon_sym___forceinline] = ACTIONS(2364),
    [anon_sym_thread_local] = ACTIONS(2364),
    [anon_sym___thread] = ACTIONS(2364),
    [anon_sym_const] = ACTIONS(2364),
    [anon_sym_constexpr] = ACTIONS(2364),
    [anon_sym_volatile] = ACTIONS(2364),
    [anon_sym_restrict] = ACTIONS(2364),
    [anon_sym___restrict__] = ACTIONS(2364),
    [anon_sym__Atomic] = ACTIONS(2364),
    [anon_sym__Noreturn] = ACTIONS(2364),
    [anon_sym_noreturn] = ACTIONS(2364),
    [anon_sym_mutable] = ACTIONS(2364),
    [anon_sym_constinit] = ACTIONS(2364),
    [anon_sym_consteval] = ACTIONS(2364),
    [sym_primitive_type] = ACTIONS(2364),
    [anon_sym_enum] = ACTIONS(2364),
    [anon_sym_class] = ACTIONS(2364),
    [anon_sym_struct] = ACTIONS(2364),
    [anon_sym_union] = ACTIONS(2364),
    [anon_sym_if] = ACTIONS(2364),
    [anon_sym_else] = ACTIONS(2364),
    [anon_sym_switch] = ACTIONS(2364),
    [anon_sym_case] = ACTIONS(2364),
    [anon_sym_default] = ACTIONS(2364),
    [anon_sym_while] = ACTIONS(2364),
    [anon_sym_do] = ACTIONS(2364),
    [anon_sym_for] = ACTIONS(2364),
    [anon_sym_return] = ACTIONS(2364),
    [anon_sym_break] = ACTIONS(2364),
    [anon_sym_continue] = ACTIONS(2364),
    [anon_sym_goto] = ACTIONS(2364),
    [anon_sym___try] = ACTIONS(2364),
    [anon_sym___leave] = ACTIONS(2364),
    [anon_sym_not] = ACTIONS(2364),
    [anon_sym_compl] = ACTIONS(2364),
    [anon_sym_DASH_DASH] = ACTIONS(2366),
    [anon_sym_PLUS_PLUS] = ACTIONS(2366),
    [anon_sym_sizeof] = ACTIONS(2364),
    [anon_sym___alignof__] = ACTIONS(2364),
    [anon_sym___alignof] = ACTIONS(2364),
    [anon_sym__alignof] = ACTIONS(2364),
    [anon_sym_alignof] = ACTIONS(2364),
    [anon_sym__Alignof] = ACTIONS(2364),
    [anon_sym_offsetof] = ACTIONS(2364),
    [anon_sym__Generic] = ACTIONS(2364),
    [anon_sym_asm] = ACTIONS(2364),
    [anon_sym___asm__] = ACTIONS(2364),
    [sym_number_literal] = ACTIONS(2366),
    [anon_sym_L_SQUOTE] = ACTIONS(2366),
    [anon_sym_u_SQUOTE] = ACTIONS(2366),
    [anon_sym_U_SQUOTE] = ACTIONS(2366),
    [anon_sym_u8_SQUOTE] = ACTIONS(2366),
    [anon_sym_SQUOTE] = ACTIONS(2366),
    [anon_sym_L_DQUOTE] = ACTIONS(2366),
    [anon_sym_u_DQUOTE] = ACTIONS(2366),
    [anon_sym_U_DQUOTE] = ACTIONS(2366),
    [anon_sym_u8_DQUOTE] = ACTIONS(2366),
    [anon_sym_DQUOTE] = ACTIONS(2366),
    [sym_true] = ACTIONS(2364),
    [sym_false] = ACTIONS(2364),
    [anon_sym_NULL] = ACTIONS(2364),
    [anon_sym_nullptr] = ACTIONS(2364),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2364),
    [anon_sym_decltype] = ACTIONS(2364),
    [anon_sym_virtual] = ACTIONS(2364),
    [anon_sym_alignas] = ACTIONS(2364),
    [anon_sym_explicit] = ACTIONS(2364),
    [anon_sym_typename] = ACTIONS(2364),
    [anon_sym_template] = ACTIONS(2364),
    [anon_sym_operator] = ACTIONS(2364),
    [anon_sym_try] = ACTIONS(2364),
    [anon_sym_delete] = ACTIONS(2364),
    [anon_sym_throw] = ACTIONS(2364),
    [anon_sym_namespace] = ACTIONS(2364),
    [anon_sym_using] = ACTIONS(2364),
    [anon_sym_static_assert] = ACTIONS(2364),
    [anon_sym_concept] = ACTIONS(2364),
    [anon_sym_co_return] = ACTIONS(2364),
    [anon_sym_co_yield] = ACTIONS(2364),
    [anon_sym_R_DQUOTE] = ACTIONS(2366),
    [anon_sym_LR_DQUOTE] = ACTIONS(2366),
    [anon_sym_uR_DQUOTE] = ACTIONS(2366),
    [anon_sym_UR_DQUOTE] = ACTIONS(2366),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2366),
    [anon_sym_co_await] = ACTIONS(2364),
    [anon_sym_new] = ACTIONS(2364),
    [anon_sym_requires] = ACTIONS(2364),
    [sym_this] = ACTIONS(2364),
    [anon_sym_discard] = ACTIONS(2364),
    [anon_sym_precise] = ACTIONS(2364),
    [anon_sym_shared] = ACTIONS(2364),
    [anon_sym_groupshared] = ACTIONS(2364),
    [anon_sym_uniform] = ACTIONS(2364),
    [anon_sym_row_major] = ACTIONS(2364),
    [anon_sym_column_major] = ACTIONS(2364),
    [anon_sym_globallycoherent] = ACTIONS(2364),
    [anon_sym_centroid] = ACTIONS(2364),
    [anon_sym_noperspective] = ACTIONS(2364),
    [anon_sym_nointerpolation] = ACTIONS(2364),
    [anon_sym_sample] = ACTIONS(2364),
    [anon_sym_linear] = ACTIONS(2364),
    [anon_sym_snorm] = ACTIONS(2364),
    [anon_sym_unorm] = ACTIONS(2364),
    [anon_sym_point] = ACTIONS(2364),
    [anon_sym_line] = ACTIONS(2364),
    [anon_sym_triangleadj] = ACTIONS(2364),
    [anon_sym_lineadj] = ACTIONS(2364),
    [anon_sym_triangle] = ACTIONS(2364),
    [anon_sym_cbuffer] = ACTIONS(2364),
  },
  [591] = {
    [sym_identifier] = ACTIONS(2384),
    [aux_sym_preproc_include_token1] = ACTIONS(2384),
    [aux_sym_preproc_def_token1] = ACTIONS(2384),
    [aux_sym_preproc_if_token1] = ACTIONS(2384),
    [aux_sym_preproc_if_token2] = ACTIONS(2384),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2384),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2384),
    [aux_sym_preproc_else_token1] = ACTIONS(2384),
    [aux_sym_preproc_elif_token1] = ACTIONS(2384),
    [sym_preproc_directive] = ACTIONS(2384),
    [anon_sym_LPAREN2] = ACTIONS(2386),
    [anon_sym_BANG] = ACTIONS(2386),
    [anon_sym_TILDE] = ACTIONS(2386),
    [anon_sym_DASH] = ACTIONS(2384),
    [anon_sym_PLUS] = ACTIONS(2384),
    [anon_sym_STAR] = ACTIONS(2386),
    [anon_sym_AMP_AMP] = ACTIONS(2386),
    [anon_sym_AMP] = ACTIONS(2384),
    [anon_sym_SEMI] = ACTIONS(2386),
    [anon_sym___extension__] = ACTIONS(2384),
    [anon_sym_typedef] = ACTIONS(2384),
    [anon_sym_in] = ACTIONS(2384),
    [anon_sym_out] = ACTIONS(2384),
    [anon_sym_inout] = ACTIONS(2384),
    [anon_sym_extern] = ACTIONS(2384),
    [anon_sym___attribute__] = ACTIONS(2384),
    [anon_sym_COLON_COLON] = ACTIONS(2386),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2386),
    [anon_sym___declspec] = ACTIONS(2384),
    [anon_sym___based] = ACTIONS(2384),
    [anon_sym___cdecl] = ACTIONS(2384),
    [anon_sym___clrcall] = ACTIONS(2384),
    [anon_sym___stdcall] = ACTIONS(2384),
    [anon_sym___fastcall] = ACTIONS(2384),
    [anon_sym___thiscall] = ACTIONS(2384),
    [anon_sym___vectorcall] = ACTIONS(2384),
    [anon_sym_LBRACE] = ACTIONS(2386),
    [anon_sym_signed] = ACTIONS(2384),
    [anon_sym_unsigned] = ACTIONS(2384),
    [anon_sym_long] = ACTIONS(2384),
    [anon_sym_short] = ACTIONS(2384),
    [anon_sym_LBRACK] = ACTIONS(2384),
    [anon_sym_static] = ACTIONS(2384),
    [anon_sym_register] = ACTIONS(2384),
    [anon_sym_inline] = ACTIONS(2384),
    [anon_sym___inline] = ACTIONS(2384),
    [anon_sym___inline__] = ACTIONS(2384),
    [anon_sym___forceinline] = ACTIONS(2384),
    [anon_sym_thread_local] = ACTIONS(2384),
    [anon_sym___thread] = ACTIONS(2384),
    [anon_sym_const] = ACTIONS(2384),
    [anon_sym_constexpr] = ACTIONS(2384),
    [anon_sym_volatile] = ACTIONS(2384),
    [anon_sym_restrict] = ACTIONS(2384),
    [anon_sym___restrict__] = ACTIONS(2384),
    [anon_sym__Atomic] = ACTIONS(2384),
    [anon_sym__Noreturn] = ACTIONS(2384),
    [anon_sym_noreturn] = ACTIONS(2384),
    [anon_sym_mutable] = ACTIONS(2384),
    [anon_sym_constinit] = ACTIONS(2384),
    [anon_sym_consteval] = ACTIONS(2384),
    [sym_primitive_type] = ACTIONS(2384),
    [anon_sym_enum] = ACTIONS(2384),
    [anon_sym_class] = ACTIONS(2384),
    [anon_sym_struct] = ACTIONS(2384),
    [anon_sym_union] = ACTIONS(2384),
    [anon_sym_if] = ACTIONS(2384),
    [anon_sym_else] = ACTIONS(2384),
    [anon_sym_switch] = ACTIONS(2384),
    [anon_sym_case] = ACTIONS(2384),
    [anon_sym_default] = ACTIONS(2384),
    [anon_sym_while] = ACTIONS(2384),
    [anon_sym_do] = ACTIONS(2384),
    [anon_sym_for] = ACTIONS(2384),
    [anon_sym_return] = ACTIONS(2384),
    [anon_sym_break] = ACTIONS(2384),
    [anon_sym_continue] = ACTIONS(2384),
    [anon_sym_goto] = ACTIONS(2384),
    [anon_sym___try] = ACTIONS(2384),
    [anon_sym___leave] = ACTIONS(2384),
    [anon_sym_not] = ACTIONS(2384),
    [anon_sym_compl] = ACTIONS(2384),
    [anon_sym_DASH_DASH] = ACTIONS(2386),
    [anon_sym_PLUS_PLUS] = ACTIONS(2386),
    [anon_sym_sizeof] = ACTIONS(2384),
    [anon_sym___alignof__] = ACTIONS(2384),
    [anon_sym___alignof] = ACTIONS(2384),
    [anon_sym__alignof] = ACTIONS(2384),
    [anon_sym_alignof] = ACTIONS(2384),
    [anon_sym__Alignof] = ACTIONS(2384),
    [anon_sym_offsetof] = ACTIONS(2384),
    [anon_sym__Generic] = ACTIONS(2384),
    [anon_sym_asm] = ACTIONS(2384),
    [anon_sym___asm__] = ACTIONS(2384),
    [sym_number_literal] = ACTIONS(2386),
    [anon_sym_L_SQUOTE] = ACTIONS(2386),
    [anon_sym_u_SQUOTE] = ACTIONS(2386),
    [anon_sym_U_SQUOTE] = ACTIONS(2386),
    [anon_sym_u8_SQUOTE] = ACTIONS(2386),
    [anon_sym_SQUOTE] = ACTIONS(2386),
    [anon_sym_L_DQUOTE] = ACTIONS(2386),
    [anon_sym_u_DQUOTE] = ACTIONS(2386),
    [anon_sym_U_DQUOTE] = ACTIONS(2386),
    [anon_sym_u8_DQUOTE] = ACTIONS(2386),
    [anon_sym_DQUOTE] = ACTIONS(2386),
    [sym_true] = ACTIONS(2384),
    [sym_false] = ACTIONS(2384),
    [anon_sym_NULL] = ACTIONS(2384),
    [anon_sym_nullptr] = ACTIONS(2384),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2384),
    [anon_sym_decltype] = ACTIONS(2384),
    [anon_sym_virtual] = ACTIONS(2384),
    [anon_sym_alignas] = ACTIONS(2384),
    [anon_sym_explicit] = ACTIONS(2384),
    [anon_sym_typename] = ACTIONS(2384),
    [anon_sym_template] = ACTIONS(2384),
    [anon_sym_operator] = ACTIONS(2384),
    [anon_sym_try] = ACTIONS(2384),
    [anon_sym_delete] = ACTIONS(2384),
    [anon_sym_throw] = ACTIONS(2384),
    [anon_sym_namespace] = ACTIONS(2384),
    [anon_sym_using] = ACTIONS(2384),
    [anon_sym_static_assert] = ACTIONS(2384),
    [anon_sym_concept] = ACTIONS(2384),
    [anon_sym_co_return] = ACTIONS(2384),
    [anon_sym_co_yield] = ACTIONS(2384),
    [anon_sym_R_DQUOTE] = ACTIONS(2386),
    [anon_sym_LR_DQUOTE] = ACTIONS(2386),
    [anon_sym_uR_DQUOTE] = ACTIONS(2386),
    [anon_sym_UR_DQUOTE] = ACTIONS(2386),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2386),
    [anon_sym_co_await] = ACTIONS(2384),
    [anon_sym_new] = ACTIONS(2384),
    [anon_sym_requires] = ACTIONS(2384),
    [sym_this] = ACTIONS(2384),
    [anon_sym_discard] = ACTIONS(2384),
    [anon_sym_precise] = ACTIONS(2384),
    [anon_sym_shared] = ACTIONS(2384),
    [anon_sym_groupshared] = ACTIONS(2384),
    [anon_sym_uniform] = ACTIONS(2384),
    [anon_sym_row_major] = ACTIONS(2384),
    [anon_sym_column_major] = ACTIONS(2384),
    [anon_sym_globallycoherent] = ACTIONS(2384),
    [anon_sym_centroid] = ACTIONS(2384),
    [anon_sym_noperspective] = ACTIONS(2384),
    [anon_sym_nointerpolation] = ACTIONS(2384),
    [anon_sym_sample] = ACTIONS(2384),
    [anon_sym_linear] = ACTIONS(2384),
    [anon_sym_snorm] = ACTIONS(2384),
    [anon_sym_unorm] = ACTIONS(2384),
    [anon_sym_point] = ACTIONS(2384),
    [anon_sym_line] = ACTIONS(2384),
    [anon_sym_triangleadj] = ACTIONS(2384),
    [anon_sym_lineadj] = ACTIONS(2384),
    [anon_sym_triangle] = ACTIONS(2384),
    [anon_sym_cbuffer] = ACTIONS(2384),
  },
  [592] = {
    [sym_identifier] = ACTIONS(2604),
    [aux_sym_preproc_include_token1] = ACTIONS(2604),
    [aux_sym_preproc_def_token1] = ACTIONS(2604),
    [aux_sym_preproc_if_token1] = ACTIONS(2604),
    [aux_sym_preproc_if_token2] = ACTIONS(2604),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2604),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2604),
    [aux_sym_preproc_else_token1] = ACTIONS(2604),
    [aux_sym_preproc_elif_token1] = ACTIONS(2604),
    [sym_preproc_directive] = ACTIONS(2604),
    [anon_sym_LPAREN2] = ACTIONS(2606),
    [anon_sym_BANG] = ACTIONS(2606),
    [anon_sym_TILDE] = ACTIONS(2606),
    [anon_sym_DASH] = ACTIONS(2604),
    [anon_sym_PLUS] = ACTIONS(2604),
    [anon_sym_STAR] = ACTIONS(2606),
    [anon_sym_AMP_AMP] = ACTIONS(2606),
    [anon_sym_AMP] = ACTIONS(2604),
    [anon_sym_SEMI] = ACTIONS(2606),
    [anon_sym___extension__] = ACTIONS(2604),
    [anon_sym_typedef] = ACTIONS(2604),
    [anon_sym_in] = ACTIONS(2604),
    [anon_sym_out] = ACTIONS(2604),
    [anon_sym_inout] = ACTIONS(2604),
    [anon_sym_extern] = ACTIONS(2604),
    [anon_sym___attribute__] = ACTIONS(2604),
    [anon_sym_COLON_COLON] = ACTIONS(2606),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2606),
    [anon_sym___declspec] = ACTIONS(2604),
    [anon_sym___based] = ACTIONS(2604),
    [anon_sym___cdecl] = ACTIONS(2604),
    [anon_sym___clrcall] = ACTIONS(2604),
    [anon_sym___stdcall] = ACTIONS(2604),
    [anon_sym___fastcall] = ACTIONS(2604),
    [anon_sym___thiscall] = ACTIONS(2604),
    [anon_sym___vectorcall] = ACTIONS(2604),
    [anon_sym_LBRACE] = ACTIONS(2606),
    [anon_sym_signed] = ACTIONS(2604),
    [anon_sym_unsigned] = ACTIONS(2604),
    [anon_sym_long] = ACTIONS(2604),
    [anon_sym_short] = ACTIONS(2604),
    [anon_sym_LBRACK] = ACTIONS(2604),
    [anon_sym_static] = ACTIONS(2604),
    [anon_sym_register] = ACTIONS(2604),
    [anon_sym_inline] = ACTIONS(2604),
    [anon_sym___inline] = ACTIONS(2604),
    [anon_sym___inline__] = ACTIONS(2604),
    [anon_sym___forceinline] = ACTIONS(2604),
    [anon_sym_thread_local] = ACTIONS(2604),
    [anon_sym___thread] = ACTIONS(2604),
    [anon_sym_const] = ACTIONS(2604),
    [anon_sym_constexpr] = ACTIONS(2604),
    [anon_sym_volatile] = ACTIONS(2604),
    [anon_sym_restrict] = ACTIONS(2604),
    [anon_sym___restrict__] = ACTIONS(2604),
    [anon_sym__Atomic] = ACTIONS(2604),
    [anon_sym__Noreturn] = ACTIONS(2604),
    [anon_sym_noreturn] = ACTIONS(2604),
    [anon_sym_mutable] = ACTIONS(2604),
    [anon_sym_constinit] = ACTIONS(2604),
    [anon_sym_consteval] = ACTIONS(2604),
    [sym_primitive_type] = ACTIONS(2604),
    [anon_sym_enum] = ACTIONS(2604),
    [anon_sym_class] = ACTIONS(2604),
    [anon_sym_struct] = ACTIONS(2604),
    [anon_sym_union] = ACTIONS(2604),
    [anon_sym_if] = ACTIONS(2604),
    [anon_sym_switch] = ACTIONS(2604),
    [anon_sym_case] = ACTIONS(2604),
    [anon_sym_default] = ACTIONS(2604),
    [anon_sym_while] = ACTIONS(2604),
    [anon_sym_do] = ACTIONS(2604),
    [anon_sym_for] = ACTIONS(2604),
    [anon_sym_return] = ACTIONS(2604),
    [anon_sym_break] = ACTIONS(2604),
    [anon_sym_continue] = ACTIONS(2604),
    [anon_sym_goto] = ACTIONS(2604),
    [anon_sym___try] = ACTIONS(2604),
    [anon_sym___leave] = ACTIONS(2604),
    [anon_sym_not] = ACTIONS(2604),
    [anon_sym_compl] = ACTIONS(2604),
    [anon_sym_DASH_DASH] = ACTIONS(2606),
    [anon_sym_PLUS_PLUS] = ACTIONS(2606),
    [anon_sym_sizeof] = ACTIONS(2604),
    [anon_sym___alignof__] = ACTIONS(2604),
    [anon_sym___alignof] = ACTIONS(2604),
    [anon_sym__alignof] = ACTIONS(2604),
    [anon_sym_alignof] = ACTIONS(2604),
    [anon_sym__Alignof] = ACTIONS(2604),
    [anon_sym_offsetof] = ACTIONS(2604),
    [anon_sym__Generic] = ACTIONS(2604),
    [anon_sym_asm] = ACTIONS(2604),
    [anon_sym___asm__] = ACTIONS(2604),
    [sym_number_literal] = ACTIONS(2606),
    [anon_sym_L_SQUOTE] = ACTIONS(2606),
    [anon_sym_u_SQUOTE] = ACTIONS(2606),
    [anon_sym_U_SQUOTE] = ACTIONS(2606),
    [anon_sym_u8_SQUOTE] = ACTIONS(2606),
    [anon_sym_SQUOTE] = ACTIONS(2606),
    [anon_sym_L_DQUOTE] = ACTIONS(2606),
    [anon_sym_u_DQUOTE] = ACTIONS(2606),
    [anon_sym_U_DQUOTE] = ACTIONS(2606),
    [anon_sym_u8_DQUOTE] = ACTIONS(2606),
    [anon_sym_DQUOTE] = ACTIONS(2606),
    [sym_true] = ACTIONS(2604),
    [sym_false] = ACTIONS(2604),
    [anon_sym_NULL] = ACTIONS(2604),
    [anon_sym_nullptr] = ACTIONS(2604),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2604),
    [anon_sym_decltype] = ACTIONS(2604),
    [anon_sym_virtual] = ACTIONS(2604),
    [anon_sym_alignas] = ACTIONS(2604),
    [anon_sym_explicit] = ACTIONS(2604),
    [anon_sym_typename] = ACTIONS(2604),
    [anon_sym_template] = ACTIONS(2604),
    [anon_sym_operator] = ACTIONS(2604),
    [anon_sym_try] = ACTIONS(2604),
    [anon_sym_delete] = ACTIONS(2604),
    [anon_sym_throw] = ACTIONS(2604),
    [anon_sym_namespace] = ACTIONS(2604),
    [anon_sym_using] = ACTIONS(2604),
    [anon_sym_static_assert] = ACTIONS(2604),
    [anon_sym_concept] = ACTIONS(2604),
    [anon_sym_co_return] = ACTIONS(2604),
    [anon_sym_co_yield] = ACTIONS(2604),
    [anon_sym_R_DQUOTE] = ACTIONS(2606),
    [anon_sym_LR_DQUOTE] = ACTIONS(2606),
    [anon_sym_uR_DQUOTE] = ACTIONS(2606),
    [anon_sym_UR_DQUOTE] = ACTIONS(2606),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2606),
    [anon_sym_co_await] = ACTIONS(2604),
    [anon_sym_new] = ACTIONS(2604),
    [anon_sym_requires] = ACTIONS(2604),
    [sym_this] = ACTIONS(2604),
    [anon_sym_discard] = ACTIONS(2604),
    [anon_sym_precise] = ACTIONS(2604),
    [anon_sym_shared] = ACTIONS(2604),
    [anon_sym_groupshared] = ACTIONS(2604),
    [anon_sym_uniform] = ACTIONS(2604),
    [anon_sym_row_major] = ACTIONS(2604),
    [anon_sym_column_major] = ACTIONS(2604),
    [anon_sym_globallycoherent] = ACTIONS(2604),
    [anon_sym_centroid] = ACTIONS(2604),
    [anon_sym_noperspective] = ACTIONS(2604),
    [anon_sym_nointerpolation] = ACTIONS(2604),
    [anon_sym_sample] = ACTIONS(2604),
    [anon_sym_linear] = ACTIONS(2604),
    [anon_sym_snorm] = ACTIONS(2604),
    [anon_sym_unorm] = ACTIONS(2604),
    [anon_sym_point] = ACTIONS(2604),
    [anon_sym_line] = ACTIONS(2604),
    [anon_sym_triangleadj] = ACTIONS(2604),
    [anon_sym_lineadj] = ACTIONS(2604),
    [anon_sym_triangle] = ACTIONS(2604),
    [anon_sym_cbuffer] = ACTIONS(2604),
  },
  [593] = {
    [sym_identifier] = ACTIONS(2837),
    [aux_sym_preproc_include_token1] = ACTIONS(2837),
    [aux_sym_preproc_def_token1] = ACTIONS(2837),
    [aux_sym_preproc_if_token1] = ACTIONS(2837),
    [aux_sym_preproc_if_token2] = ACTIONS(2837),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2837),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2837),
    [aux_sym_preproc_else_token1] = ACTIONS(2837),
    [aux_sym_preproc_elif_token1] = ACTIONS(2837),
    [sym_preproc_directive] = ACTIONS(2837),
    [anon_sym_LPAREN2] = ACTIONS(2839),
    [anon_sym_BANG] = ACTIONS(2839),
    [anon_sym_TILDE] = ACTIONS(2839),
    [anon_sym_DASH] = ACTIONS(2837),
    [anon_sym_PLUS] = ACTIONS(2837),
    [anon_sym_STAR] = ACTIONS(2839),
    [anon_sym_AMP_AMP] = ACTIONS(2839),
    [anon_sym_AMP] = ACTIONS(2837),
    [anon_sym_SEMI] = ACTIONS(2839),
    [anon_sym___extension__] = ACTIONS(2837),
    [anon_sym_typedef] = ACTIONS(2837),
    [anon_sym_in] = ACTIONS(2837),
    [anon_sym_out] = ACTIONS(2837),
    [anon_sym_inout] = ACTIONS(2837),
    [anon_sym_extern] = ACTIONS(2837),
    [anon_sym___attribute__] = ACTIONS(2837),
    [anon_sym_COLON_COLON] = ACTIONS(2839),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2839),
    [anon_sym___declspec] = ACTIONS(2837),
    [anon_sym___based] = ACTIONS(2837),
    [anon_sym___cdecl] = ACTIONS(2837),
    [anon_sym___clrcall] = ACTIONS(2837),
    [anon_sym___stdcall] = ACTIONS(2837),
    [anon_sym___fastcall] = ACTIONS(2837),
    [anon_sym___thiscall] = ACTIONS(2837),
    [anon_sym___vectorcall] = ACTIONS(2837),
    [anon_sym_LBRACE] = ACTIONS(2839),
    [anon_sym_signed] = ACTIONS(2837),
    [anon_sym_unsigned] = ACTIONS(2837),
    [anon_sym_long] = ACTIONS(2837),
    [anon_sym_short] = ACTIONS(2837),
    [anon_sym_LBRACK] = ACTIONS(2837),
    [anon_sym_static] = ACTIONS(2837),
    [anon_sym_register] = ACTIONS(2837),
    [anon_sym_inline] = ACTIONS(2837),
    [anon_sym___inline] = ACTIONS(2837),
    [anon_sym___inline__] = ACTIONS(2837),
    [anon_sym___forceinline] = ACTIONS(2837),
    [anon_sym_thread_local] = ACTIONS(2837),
    [anon_sym___thread] = ACTIONS(2837),
    [anon_sym_const] = ACTIONS(2837),
    [anon_sym_constexpr] = ACTIONS(2837),
    [anon_sym_volatile] = ACTIONS(2837),
    [anon_sym_restrict] = ACTIONS(2837),
    [anon_sym___restrict__] = ACTIONS(2837),
    [anon_sym__Atomic] = ACTIONS(2837),
    [anon_sym__Noreturn] = ACTIONS(2837),
    [anon_sym_noreturn] = ACTIONS(2837),
    [anon_sym_mutable] = ACTIONS(2837),
    [anon_sym_constinit] = ACTIONS(2837),
    [anon_sym_consteval] = ACTIONS(2837),
    [sym_primitive_type] = ACTIONS(2837),
    [anon_sym_enum] = ACTIONS(2837),
    [anon_sym_class] = ACTIONS(2837),
    [anon_sym_struct] = ACTIONS(2837),
    [anon_sym_union] = ACTIONS(2837),
    [anon_sym_if] = ACTIONS(2837),
    [anon_sym_switch] = ACTIONS(2837),
    [anon_sym_case] = ACTIONS(2837),
    [anon_sym_default] = ACTIONS(2837),
    [anon_sym_while] = ACTIONS(2837),
    [anon_sym_do] = ACTIONS(2837),
    [anon_sym_for] = ACTIONS(2837),
    [anon_sym_return] = ACTIONS(2837),
    [anon_sym_break] = ACTIONS(2837),
    [anon_sym_continue] = ACTIONS(2837),
    [anon_sym_goto] = ACTIONS(2837),
    [anon_sym___try] = ACTIONS(2837),
    [anon_sym___leave] = ACTIONS(2837),
    [anon_sym_not] = ACTIONS(2837),
    [anon_sym_compl] = ACTIONS(2837),
    [anon_sym_DASH_DASH] = ACTIONS(2839),
    [anon_sym_PLUS_PLUS] = ACTIONS(2839),
    [anon_sym_sizeof] = ACTIONS(2837),
    [anon_sym___alignof__] = ACTIONS(2837),
    [anon_sym___alignof] = ACTIONS(2837),
    [anon_sym__alignof] = ACTIONS(2837),
    [anon_sym_alignof] = ACTIONS(2837),
    [anon_sym__Alignof] = ACTIONS(2837),
    [anon_sym_offsetof] = ACTIONS(2837),
    [anon_sym__Generic] = ACTIONS(2837),
    [anon_sym_asm] = ACTIONS(2837),
    [anon_sym___asm__] = ACTIONS(2837),
    [sym_number_literal] = ACTIONS(2839),
    [anon_sym_L_SQUOTE] = ACTIONS(2839),
    [anon_sym_u_SQUOTE] = ACTIONS(2839),
    [anon_sym_U_SQUOTE] = ACTIONS(2839),
    [anon_sym_u8_SQUOTE] = ACTIONS(2839),
    [anon_sym_SQUOTE] = ACTIONS(2839),
    [anon_sym_L_DQUOTE] = ACTIONS(2839),
    [anon_sym_u_DQUOTE] = ACTIONS(2839),
    [anon_sym_U_DQUOTE] = ACTIONS(2839),
    [anon_sym_u8_DQUOTE] = ACTIONS(2839),
    [anon_sym_DQUOTE] = ACTIONS(2839),
    [sym_true] = ACTIONS(2837),
    [sym_false] = ACTIONS(2837),
    [anon_sym_NULL] = ACTIONS(2837),
    [anon_sym_nullptr] = ACTIONS(2837),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2837),
    [anon_sym_decltype] = ACTIONS(2837),
    [anon_sym_virtual] = ACTIONS(2837),
    [anon_sym_alignas] = ACTIONS(2837),
    [anon_sym_explicit] = ACTIONS(2837),
    [anon_sym_typename] = ACTIONS(2837),
    [anon_sym_template] = ACTIONS(2837),
    [anon_sym_operator] = ACTIONS(2837),
    [anon_sym_try] = ACTIONS(2837),
    [anon_sym_delete] = ACTIONS(2837),
    [anon_sym_throw] = ACTIONS(2837),
    [anon_sym_namespace] = ACTIONS(2837),
    [anon_sym_using] = ACTIONS(2837),
    [anon_sym_static_assert] = ACTIONS(2837),
    [anon_sym_concept] = ACTIONS(2837),
    [anon_sym_co_return] = ACTIONS(2837),
    [anon_sym_co_yield] = ACTIONS(2837),
    [anon_sym_R_DQUOTE] = ACTIONS(2839),
    [anon_sym_LR_DQUOTE] = ACTIONS(2839),
    [anon_sym_uR_DQUOTE] = ACTIONS(2839),
    [anon_sym_UR_DQUOTE] = ACTIONS(2839),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2839),
    [anon_sym_co_await] = ACTIONS(2837),
    [anon_sym_new] = ACTIONS(2837),
    [anon_sym_requires] = ACTIONS(2837),
    [sym_this] = ACTIONS(2837),
    [anon_sym_discard] = ACTIONS(2837),
    [anon_sym_precise] = ACTIONS(2837),
    [anon_sym_shared] = ACTIONS(2837),
    [anon_sym_groupshared] = ACTIONS(2837),
    [anon_sym_uniform] = ACTIONS(2837),
    [anon_sym_row_major] = ACTIONS(2837),
    [anon_sym_column_major] = ACTIONS(2837),
    [anon_sym_globallycoherent] = ACTIONS(2837),
    [anon_sym_centroid] = ACTIONS(2837),
    [anon_sym_noperspective] = ACTIONS(2837),
    [anon_sym_nointerpolation] = ACTIONS(2837),
    [anon_sym_sample] = ACTIONS(2837),
    [anon_sym_linear] = ACTIONS(2837),
    [anon_sym_snorm] = ACTIONS(2837),
    [anon_sym_unorm] = ACTIONS(2837),
    [anon_sym_point] = ACTIONS(2837),
    [anon_sym_line] = ACTIONS(2837),
    [anon_sym_triangleadj] = ACTIONS(2837),
    [anon_sym_lineadj] = ACTIONS(2837),
    [anon_sym_triangle] = ACTIONS(2837),
    [anon_sym_cbuffer] = ACTIONS(2837),
  },
  [594] = {
    [sym_identifier] = ACTIONS(2785),
    [aux_sym_preproc_include_token1] = ACTIONS(2785),
    [aux_sym_preproc_def_token1] = ACTIONS(2785),
    [aux_sym_preproc_if_token1] = ACTIONS(2785),
    [aux_sym_preproc_if_token2] = ACTIONS(2785),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2785),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2785),
    [aux_sym_preproc_else_token1] = ACTIONS(2785),
    [aux_sym_preproc_elif_token1] = ACTIONS(2785),
    [sym_preproc_directive] = ACTIONS(2785),
    [anon_sym_LPAREN2] = ACTIONS(2787),
    [anon_sym_BANG] = ACTIONS(2787),
    [anon_sym_TILDE] = ACTIONS(2787),
    [anon_sym_DASH] = ACTIONS(2785),
    [anon_sym_PLUS] = ACTIONS(2785),
    [anon_sym_STAR] = ACTIONS(2787),
    [anon_sym_AMP_AMP] = ACTIONS(2787),
    [anon_sym_AMP] = ACTIONS(2785),
    [anon_sym_SEMI] = ACTIONS(2787),
    [anon_sym___extension__] = ACTIONS(2785),
    [anon_sym_typedef] = ACTIONS(2785),
    [anon_sym_in] = ACTIONS(2785),
    [anon_sym_out] = ACTIONS(2785),
    [anon_sym_inout] = ACTIONS(2785),
    [anon_sym_extern] = ACTIONS(2785),
    [anon_sym___attribute__] = ACTIONS(2785),
    [anon_sym_COLON_COLON] = ACTIONS(2787),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2787),
    [anon_sym___declspec] = ACTIONS(2785),
    [anon_sym___based] = ACTIONS(2785),
    [anon_sym___cdecl] = ACTIONS(2785),
    [anon_sym___clrcall] = ACTIONS(2785),
    [anon_sym___stdcall] = ACTIONS(2785),
    [anon_sym___fastcall] = ACTIONS(2785),
    [anon_sym___thiscall] = ACTIONS(2785),
    [anon_sym___vectorcall] = ACTIONS(2785),
    [anon_sym_LBRACE] = ACTIONS(2787),
    [anon_sym_signed] = ACTIONS(2785),
    [anon_sym_unsigned] = ACTIONS(2785),
    [anon_sym_long] = ACTIONS(2785),
    [anon_sym_short] = ACTIONS(2785),
    [anon_sym_LBRACK] = ACTIONS(2785),
    [anon_sym_static] = ACTIONS(2785),
    [anon_sym_register] = ACTIONS(2785),
    [anon_sym_inline] = ACTIONS(2785),
    [anon_sym___inline] = ACTIONS(2785),
    [anon_sym___inline__] = ACTIONS(2785),
    [anon_sym___forceinline] = ACTIONS(2785),
    [anon_sym_thread_local] = ACTIONS(2785),
    [anon_sym___thread] = ACTIONS(2785),
    [anon_sym_const] = ACTIONS(2785),
    [anon_sym_constexpr] = ACTIONS(2785),
    [anon_sym_volatile] = ACTIONS(2785),
    [anon_sym_restrict] = ACTIONS(2785),
    [anon_sym___restrict__] = ACTIONS(2785),
    [anon_sym__Atomic] = ACTIONS(2785),
    [anon_sym__Noreturn] = ACTIONS(2785),
    [anon_sym_noreturn] = ACTIONS(2785),
    [anon_sym_mutable] = ACTIONS(2785),
    [anon_sym_constinit] = ACTIONS(2785),
    [anon_sym_consteval] = ACTIONS(2785),
    [sym_primitive_type] = ACTIONS(2785),
    [anon_sym_enum] = ACTIONS(2785),
    [anon_sym_class] = ACTIONS(2785),
    [anon_sym_struct] = ACTIONS(2785),
    [anon_sym_union] = ACTIONS(2785),
    [anon_sym_if] = ACTIONS(2785),
    [anon_sym_switch] = ACTIONS(2785),
    [anon_sym_case] = ACTIONS(2785),
    [anon_sym_default] = ACTIONS(2785),
    [anon_sym_while] = ACTIONS(2785),
    [anon_sym_do] = ACTIONS(2785),
    [anon_sym_for] = ACTIONS(2785),
    [anon_sym_return] = ACTIONS(2785),
    [anon_sym_break] = ACTIONS(2785),
    [anon_sym_continue] = ACTIONS(2785),
    [anon_sym_goto] = ACTIONS(2785),
    [anon_sym___try] = ACTIONS(2785),
    [anon_sym___leave] = ACTIONS(2785),
    [anon_sym_not] = ACTIONS(2785),
    [anon_sym_compl] = ACTIONS(2785),
    [anon_sym_DASH_DASH] = ACTIONS(2787),
    [anon_sym_PLUS_PLUS] = ACTIONS(2787),
    [anon_sym_sizeof] = ACTIONS(2785),
    [anon_sym___alignof__] = ACTIONS(2785),
    [anon_sym___alignof] = ACTIONS(2785),
    [anon_sym__alignof] = ACTIONS(2785),
    [anon_sym_alignof] = ACTIONS(2785),
    [anon_sym__Alignof] = ACTIONS(2785),
    [anon_sym_offsetof] = ACTIONS(2785),
    [anon_sym__Generic] = ACTIONS(2785),
    [anon_sym_asm] = ACTIONS(2785),
    [anon_sym___asm__] = ACTIONS(2785),
    [sym_number_literal] = ACTIONS(2787),
    [anon_sym_L_SQUOTE] = ACTIONS(2787),
    [anon_sym_u_SQUOTE] = ACTIONS(2787),
    [anon_sym_U_SQUOTE] = ACTIONS(2787),
    [anon_sym_u8_SQUOTE] = ACTIONS(2787),
    [anon_sym_SQUOTE] = ACTIONS(2787),
    [anon_sym_L_DQUOTE] = ACTIONS(2787),
    [anon_sym_u_DQUOTE] = ACTIONS(2787),
    [anon_sym_U_DQUOTE] = ACTIONS(2787),
    [anon_sym_u8_DQUOTE] = ACTIONS(2787),
    [anon_sym_DQUOTE] = ACTIONS(2787),
    [sym_true] = ACTIONS(2785),
    [sym_false] = ACTIONS(2785),
    [anon_sym_NULL] = ACTIONS(2785),
    [anon_sym_nullptr] = ACTIONS(2785),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2785),
    [anon_sym_decltype] = ACTIONS(2785),
    [anon_sym_virtual] = ACTIONS(2785),
    [anon_sym_alignas] = ACTIONS(2785),
    [anon_sym_explicit] = ACTIONS(2785),
    [anon_sym_typename] = ACTIONS(2785),
    [anon_sym_template] = ACTIONS(2785),
    [anon_sym_operator] = ACTIONS(2785),
    [anon_sym_try] = ACTIONS(2785),
    [anon_sym_delete] = ACTIONS(2785),
    [anon_sym_throw] = ACTIONS(2785),
    [anon_sym_namespace] = ACTIONS(2785),
    [anon_sym_using] = ACTIONS(2785),
    [anon_sym_static_assert] = ACTIONS(2785),
    [anon_sym_concept] = ACTIONS(2785),
    [anon_sym_co_return] = ACTIONS(2785),
    [anon_sym_co_yield] = ACTIONS(2785),
    [anon_sym_R_DQUOTE] = ACTIONS(2787),
    [anon_sym_LR_DQUOTE] = ACTIONS(2787),
    [anon_sym_uR_DQUOTE] = ACTIONS(2787),
    [anon_sym_UR_DQUOTE] = ACTIONS(2787),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2787),
    [anon_sym_co_await] = ACTIONS(2785),
    [anon_sym_new] = ACTIONS(2785),
    [anon_sym_requires] = ACTIONS(2785),
    [sym_this] = ACTIONS(2785),
    [anon_sym_discard] = ACTIONS(2785),
    [anon_sym_precise] = ACTIONS(2785),
    [anon_sym_shared] = ACTIONS(2785),
    [anon_sym_groupshared] = ACTIONS(2785),
    [anon_sym_uniform] = ACTIONS(2785),
    [anon_sym_row_major] = ACTIONS(2785),
    [anon_sym_column_major] = ACTIONS(2785),
    [anon_sym_globallycoherent] = ACTIONS(2785),
    [anon_sym_centroid] = ACTIONS(2785),
    [anon_sym_noperspective] = ACTIONS(2785),
    [anon_sym_nointerpolation] = ACTIONS(2785),
    [anon_sym_sample] = ACTIONS(2785),
    [anon_sym_linear] = ACTIONS(2785),
    [anon_sym_snorm] = ACTIONS(2785),
    [anon_sym_unorm] = ACTIONS(2785),
    [anon_sym_point] = ACTIONS(2785),
    [anon_sym_line] = ACTIONS(2785),
    [anon_sym_triangleadj] = ACTIONS(2785),
    [anon_sym_lineadj] = ACTIONS(2785),
    [anon_sym_triangle] = ACTIONS(2785),
    [anon_sym_cbuffer] = ACTIONS(2785),
  },
  [595] = {
    [sym_identifier] = ACTIONS(2789),
    [aux_sym_preproc_include_token1] = ACTIONS(2789),
    [aux_sym_preproc_def_token1] = ACTIONS(2789),
    [aux_sym_preproc_if_token1] = ACTIONS(2789),
    [aux_sym_preproc_if_token2] = ACTIONS(2789),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2789),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2789),
    [aux_sym_preproc_else_token1] = ACTIONS(2789),
    [aux_sym_preproc_elif_token1] = ACTIONS(2789),
    [sym_preproc_directive] = ACTIONS(2789),
    [anon_sym_LPAREN2] = ACTIONS(2791),
    [anon_sym_BANG] = ACTIONS(2791),
    [anon_sym_TILDE] = ACTIONS(2791),
    [anon_sym_DASH] = ACTIONS(2789),
    [anon_sym_PLUS] = ACTIONS(2789),
    [anon_sym_STAR] = ACTIONS(2791),
    [anon_sym_AMP_AMP] = ACTIONS(2791),
    [anon_sym_AMP] = ACTIONS(2789),
    [anon_sym_SEMI] = ACTIONS(2791),
    [anon_sym___extension__] = ACTIONS(2789),
    [anon_sym_typedef] = ACTIONS(2789),
    [anon_sym_in] = ACTIONS(2789),
    [anon_sym_out] = ACTIONS(2789),
    [anon_sym_inout] = ACTIONS(2789),
    [anon_sym_extern] = ACTIONS(2789),
    [anon_sym___attribute__] = ACTIONS(2789),
    [anon_sym_COLON_COLON] = ACTIONS(2791),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2791),
    [anon_sym___declspec] = ACTIONS(2789),
    [anon_sym___based] = ACTIONS(2789),
    [anon_sym___cdecl] = ACTIONS(2789),
    [anon_sym___clrcall] = ACTIONS(2789),
    [anon_sym___stdcall] = ACTIONS(2789),
    [anon_sym___fastcall] = ACTIONS(2789),
    [anon_sym___thiscall] = ACTIONS(2789),
    [anon_sym___vectorcall] = ACTIONS(2789),
    [anon_sym_LBRACE] = ACTIONS(2791),
    [anon_sym_signed] = ACTIONS(2789),
    [anon_sym_unsigned] = ACTIONS(2789),
    [anon_sym_long] = ACTIONS(2789),
    [anon_sym_short] = ACTIONS(2789),
    [anon_sym_LBRACK] = ACTIONS(2789),
    [anon_sym_static] = ACTIONS(2789),
    [anon_sym_register] = ACTIONS(2789),
    [anon_sym_inline] = ACTIONS(2789),
    [anon_sym___inline] = ACTIONS(2789),
    [anon_sym___inline__] = ACTIONS(2789),
    [anon_sym___forceinline] = ACTIONS(2789),
    [anon_sym_thread_local] = ACTIONS(2789),
    [anon_sym___thread] = ACTIONS(2789),
    [anon_sym_const] = ACTIONS(2789),
    [anon_sym_constexpr] = ACTIONS(2789),
    [anon_sym_volatile] = ACTIONS(2789),
    [anon_sym_restrict] = ACTIONS(2789),
    [anon_sym___restrict__] = ACTIONS(2789),
    [anon_sym__Atomic] = ACTIONS(2789),
    [anon_sym__Noreturn] = ACTIONS(2789),
    [anon_sym_noreturn] = ACTIONS(2789),
    [anon_sym_mutable] = ACTIONS(2789),
    [anon_sym_constinit] = ACTIONS(2789),
    [anon_sym_consteval] = ACTIONS(2789),
    [sym_primitive_type] = ACTIONS(2789),
    [anon_sym_enum] = ACTIONS(2789),
    [anon_sym_class] = ACTIONS(2789),
    [anon_sym_struct] = ACTIONS(2789),
    [anon_sym_union] = ACTIONS(2789),
    [anon_sym_if] = ACTIONS(2789),
    [anon_sym_switch] = ACTIONS(2789),
    [anon_sym_case] = ACTIONS(2789),
    [anon_sym_default] = ACTIONS(2789),
    [anon_sym_while] = ACTIONS(2789),
    [anon_sym_do] = ACTIONS(2789),
    [anon_sym_for] = ACTIONS(2789),
    [anon_sym_return] = ACTIONS(2789),
    [anon_sym_break] = ACTIONS(2789),
    [anon_sym_continue] = ACTIONS(2789),
    [anon_sym_goto] = ACTIONS(2789),
    [anon_sym___try] = ACTIONS(2789),
    [anon_sym___leave] = ACTIONS(2789),
    [anon_sym_not] = ACTIONS(2789),
    [anon_sym_compl] = ACTIONS(2789),
    [anon_sym_DASH_DASH] = ACTIONS(2791),
    [anon_sym_PLUS_PLUS] = ACTIONS(2791),
    [anon_sym_sizeof] = ACTIONS(2789),
    [anon_sym___alignof__] = ACTIONS(2789),
    [anon_sym___alignof] = ACTIONS(2789),
    [anon_sym__alignof] = ACTIONS(2789),
    [anon_sym_alignof] = ACTIONS(2789),
    [anon_sym__Alignof] = ACTIONS(2789),
    [anon_sym_offsetof] = ACTIONS(2789),
    [anon_sym__Generic] = ACTIONS(2789),
    [anon_sym_asm] = ACTIONS(2789),
    [anon_sym___asm__] = ACTIONS(2789),
    [sym_number_literal] = ACTIONS(2791),
    [anon_sym_L_SQUOTE] = ACTIONS(2791),
    [anon_sym_u_SQUOTE] = ACTIONS(2791),
    [anon_sym_U_SQUOTE] = ACTIONS(2791),
    [anon_sym_u8_SQUOTE] = ACTIONS(2791),
    [anon_sym_SQUOTE] = ACTIONS(2791),
    [anon_sym_L_DQUOTE] = ACTIONS(2791),
    [anon_sym_u_DQUOTE] = ACTIONS(2791),
    [anon_sym_U_DQUOTE] = ACTIONS(2791),
    [anon_sym_u8_DQUOTE] = ACTIONS(2791),
    [anon_sym_DQUOTE] = ACTIONS(2791),
    [sym_true] = ACTIONS(2789),
    [sym_false] = ACTIONS(2789),
    [anon_sym_NULL] = ACTIONS(2789),
    [anon_sym_nullptr] = ACTIONS(2789),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2789),
    [anon_sym_decltype] = ACTIONS(2789),
    [anon_sym_virtual] = ACTIONS(2789),
    [anon_sym_alignas] = ACTIONS(2789),
    [anon_sym_explicit] = ACTIONS(2789),
    [anon_sym_typename] = ACTIONS(2789),
    [anon_sym_template] = ACTIONS(2789),
    [anon_sym_operator] = ACTIONS(2789),
    [anon_sym_try] = ACTIONS(2789),
    [anon_sym_delete] = ACTIONS(2789),
    [anon_sym_throw] = ACTIONS(2789),
    [anon_sym_namespace] = ACTIONS(2789),
    [anon_sym_using] = ACTIONS(2789),
    [anon_sym_static_assert] = ACTIONS(2789),
    [anon_sym_concept] = ACTIONS(2789),
    [anon_sym_co_return] = ACTIONS(2789),
    [anon_sym_co_yield] = ACTIONS(2789),
    [anon_sym_R_DQUOTE] = ACTIONS(2791),
    [anon_sym_LR_DQUOTE] = ACTIONS(2791),
    [anon_sym_uR_DQUOTE] = ACTIONS(2791),
    [anon_sym_UR_DQUOTE] = ACTIONS(2791),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2791),
    [anon_sym_co_await] = ACTIONS(2789),
    [anon_sym_new] = ACTIONS(2789),
    [anon_sym_requires] = ACTIONS(2789),
    [sym_this] = ACTIONS(2789),
    [anon_sym_discard] = ACTIONS(2789),
    [anon_sym_precise] = ACTIONS(2789),
    [anon_sym_shared] = ACTIONS(2789),
    [anon_sym_groupshared] = ACTIONS(2789),
    [anon_sym_uniform] = ACTIONS(2789),
    [anon_sym_row_major] = ACTIONS(2789),
    [anon_sym_column_major] = ACTIONS(2789),
    [anon_sym_globallycoherent] = ACTIONS(2789),
    [anon_sym_centroid] = ACTIONS(2789),
    [anon_sym_noperspective] = ACTIONS(2789),
    [anon_sym_nointerpolation] = ACTIONS(2789),
    [anon_sym_sample] = ACTIONS(2789),
    [anon_sym_linear] = ACTIONS(2789),
    [anon_sym_snorm] = ACTIONS(2789),
    [anon_sym_unorm] = ACTIONS(2789),
    [anon_sym_point] = ACTIONS(2789),
    [anon_sym_line] = ACTIONS(2789),
    [anon_sym_triangleadj] = ACTIONS(2789),
    [anon_sym_lineadj] = ACTIONS(2789),
    [anon_sym_triangle] = ACTIONS(2789),
    [anon_sym_cbuffer] = ACTIONS(2789),
  },
  [596] = {
    [sym_identifier] = ACTIONS(2821),
    [aux_sym_preproc_include_token1] = ACTIONS(2821),
    [aux_sym_preproc_def_token1] = ACTIONS(2821),
    [aux_sym_preproc_if_token1] = ACTIONS(2821),
    [aux_sym_preproc_if_token2] = ACTIONS(2821),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2821),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2821),
    [aux_sym_preproc_else_token1] = ACTIONS(2821),
    [aux_sym_preproc_elif_token1] = ACTIONS(2821),
    [sym_preproc_directive] = ACTIONS(2821),
    [anon_sym_LPAREN2] = ACTIONS(2823),
    [anon_sym_BANG] = ACTIONS(2823),
    [anon_sym_TILDE] = ACTIONS(2823),
    [anon_sym_DASH] = ACTIONS(2821),
    [anon_sym_PLUS] = ACTIONS(2821),
    [anon_sym_STAR] = ACTIONS(2823),
    [anon_sym_AMP_AMP] = ACTIONS(2823),
    [anon_sym_AMP] = ACTIONS(2821),
    [anon_sym_SEMI] = ACTIONS(2823),
    [anon_sym___extension__] = ACTIONS(2821),
    [anon_sym_typedef] = ACTIONS(2821),
    [anon_sym_in] = ACTIONS(2821),
    [anon_sym_out] = ACTIONS(2821),
    [anon_sym_inout] = ACTIONS(2821),
    [anon_sym_extern] = ACTIONS(2821),
    [anon_sym___attribute__] = ACTIONS(2821),
    [anon_sym_COLON_COLON] = ACTIONS(2823),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2823),
    [anon_sym___declspec] = ACTIONS(2821),
    [anon_sym___based] = ACTIONS(2821),
    [anon_sym___cdecl] = ACTIONS(2821),
    [anon_sym___clrcall] = ACTIONS(2821),
    [anon_sym___stdcall] = ACTIONS(2821),
    [anon_sym___fastcall] = ACTIONS(2821),
    [anon_sym___thiscall] = ACTIONS(2821),
    [anon_sym___vectorcall] = ACTIONS(2821),
    [anon_sym_LBRACE] = ACTIONS(2823),
    [anon_sym_signed] = ACTIONS(2821),
    [anon_sym_unsigned] = ACTIONS(2821),
    [anon_sym_long] = ACTIONS(2821),
    [anon_sym_short] = ACTIONS(2821),
    [anon_sym_LBRACK] = ACTIONS(2821),
    [anon_sym_static] = ACTIONS(2821),
    [anon_sym_register] = ACTIONS(2821),
    [anon_sym_inline] = ACTIONS(2821),
    [anon_sym___inline] = ACTIONS(2821),
    [anon_sym___inline__] = ACTIONS(2821),
    [anon_sym___forceinline] = ACTIONS(2821),
    [anon_sym_thread_local] = ACTIONS(2821),
    [anon_sym___thread] = ACTIONS(2821),
    [anon_sym_const] = ACTIONS(2821),
    [anon_sym_constexpr] = ACTIONS(2821),
    [anon_sym_volatile] = ACTIONS(2821),
    [anon_sym_restrict] = ACTIONS(2821),
    [anon_sym___restrict__] = ACTIONS(2821),
    [anon_sym__Atomic] = ACTIONS(2821),
    [anon_sym__Noreturn] = ACTIONS(2821),
    [anon_sym_noreturn] = ACTIONS(2821),
    [anon_sym_mutable] = ACTIONS(2821),
    [anon_sym_constinit] = ACTIONS(2821),
    [anon_sym_consteval] = ACTIONS(2821),
    [sym_primitive_type] = ACTIONS(2821),
    [anon_sym_enum] = ACTIONS(2821),
    [anon_sym_class] = ACTIONS(2821),
    [anon_sym_struct] = ACTIONS(2821),
    [anon_sym_union] = ACTIONS(2821),
    [anon_sym_if] = ACTIONS(2821),
    [anon_sym_switch] = ACTIONS(2821),
    [anon_sym_case] = ACTIONS(2821),
    [anon_sym_default] = ACTIONS(2821),
    [anon_sym_while] = ACTIONS(2821),
    [anon_sym_do] = ACTIONS(2821),
    [anon_sym_for] = ACTIONS(2821),
    [anon_sym_return] = ACTIONS(2821),
    [anon_sym_break] = ACTIONS(2821),
    [anon_sym_continue] = ACTIONS(2821),
    [anon_sym_goto] = ACTIONS(2821),
    [anon_sym___try] = ACTIONS(2821),
    [anon_sym___leave] = ACTIONS(2821),
    [anon_sym_not] = ACTIONS(2821),
    [anon_sym_compl] = ACTIONS(2821),
    [anon_sym_DASH_DASH] = ACTIONS(2823),
    [anon_sym_PLUS_PLUS] = ACTIONS(2823),
    [anon_sym_sizeof] = ACTIONS(2821),
    [anon_sym___alignof__] = ACTIONS(2821),
    [anon_sym___alignof] = ACTIONS(2821),
    [anon_sym__alignof] = ACTIONS(2821),
    [anon_sym_alignof] = ACTIONS(2821),
    [anon_sym__Alignof] = ACTIONS(2821),
    [anon_sym_offsetof] = ACTIONS(2821),
    [anon_sym__Generic] = ACTIONS(2821),
    [anon_sym_asm] = ACTIONS(2821),
    [anon_sym___asm__] = ACTIONS(2821),
    [sym_number_literal] = ACTIONS(2823),
    [anon_sym_L_SQUOTE] = ACTIONS(2823),
    [anon_sym_u_SQUOTE] = ACTIONS(2823),
    [anon_sym_U_SQUOTE] = ACTIONS(2823),
    [anon_sym_u8_SQUOTE] = ACTIONS(2823),
    [anon_sym_SQUOTE] = ACTIONS(2823),
    [anon_sym_L_DQUOTE] = ACTIONS(2823),
    [anon_sym_u_DQUOTE] = ACTIONS(2823),
    [anon_sym_U_DQUOTE] = ACTIONS(2823),
    [anon_sym_u8_DQUOTE] = ACTIONS(2823),
    [anon_sym_DQUOTE] = ACTIONS(2823),
    [sym_true] = ACTIONS(2821),
    [sym_false] = ACTIONS(2821),
    [anon_sym_NULL] = ACTIONS(2821),
    [anon_sym_nullptr] = ACTIONS(2821),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2821),
    [anon_sym_decltype] = ACTIONS(2821),
    [anon_sym_virtual] = ACTIONS(2821),
    [anon_sym_alignas] = ACTIONS(2821),
    [anon_sym_explicit] = ACTIONS(2821),
    [anon_sym_typename] = ACTIONS(2821),
    [anon_sym_template] = ACTIONS(2821),
    [anon_sym_operator] = ACTIONS(2821),
    [anon_sym_try] = ACTIONS(2821),
    [anon_sym_delete] = ACTIONS(2821),
    [anon_sym_throw] = ACTIONS(2821),
    [anon_sym_namespace] = ACTIONS(2821),
    [anon_sym_using] = ACTIONS(2821),
    [anon_sym_static_assert] = ACTIONS(2821),
    [anon_sym_concept] = ACTIONS(2821),
    [anon_sym_co_return] = ACTIONS(2821),
    [anon_sym_co_yield] = ACTIONS(2821),
    [anon_sym_R_DQUOTE] = ACTIONS(2823),
    [anon_sym_LR_DQUOTE] = ACTIONS(2823),
    [anon_sym_uR_DQUOTE] = ACTIONS(2823),
    [anon_sym_UR_DQUOTE] = ACTIONS(2823),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2823),
    [anon_sym_co_await] = ACTIONS(2821),
    [anon_sym_new] = ACTIONS(2821),
    [anon_sym_requires] = ACTIONS(2821),
    [sym_this] = ACTIONS(2821),
    [anon_sym_discard] = ACTIONS(2821),
    [anon_sym_precise] = ACTIONS(2821),
    [anon_sym_shared] = ACTIONS(2821),
    [anon_sym_groupshared] = ACTIONS(2821),
    [anon_sym_uniform] = ACTIONS(2821),
    [anon_sym_row_major] = ACTIONS(2821),
    [anon_sym_column_major] = ACTIONS(2821),
    [anon_sym_globallycoherent] = ACTIONS(2821),
    [anon_sym_centroid] = ACTIONS(2821),
    [anon_sym_noperspective] = ACTIONS(2821),
    [anon_sym_nointerpolation] = ACTIONS(2821),
    [anon_sym_sample] = ACTIONS(2821),
    [anon_sym_linear] = ACTIONS(2821),
    [anon_sym_snorm] = ACTIONS(2821),
    [anon_sym_unorm] = ACTIONS(2821),
    [anon_sym_point] = ACTIONS(2821),
    [anon_sym_line] = ACTIONS(2821),
    [anon_sym_triangleadj] = ACTIONS(2821),
    [anon_sym_lineadj] = ACTIONS(2821),
    [anon_sym_triangle] = ACTIONS(2821),
    [anon_sym_cbuffer] = ACTIONS(2821),
  },
  [597] = {
    [sym_identifier] = ACTIONS(2817),
    [aux_sym_preproc_include_token1] = ACTIONS(2817),
    [aux_sym_preproc_def_token1] = ACTIONS(2817),
    [aux_sym_preproc_if_token1] = ACTIONS(2817),
    [aux_sym_preproc_if_token2] = ACTIONS(2817),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2817),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2817),
    [aux_sym_preproc_else_token1] = ACTIONS(2817),
    [aux_sym_preproc_elif_token1] = ACTIONS(2817),
    [sym_preproc_directive] = ACTIONS(2817),
    [anon_sym_LPAREN2] = ACTIONS(2819),
    [anon_sym_BANG] = ACTIONS(2819),
    [anon_sym_TILDE] = ACTIONS(2819),
    [anon_sym_DASH] = ACTIONS(2817),
    [anon_sym_PLUS] = ACTIONS(2817),
    [anon_sym_STAR] = ACTIONS(2819),
    [anon_sym_AMP_AMP] = ACTIONS(2819),
    [anon_sym_AMP] = ACTIONS(2817),
    [anon_sym_SEMI] = ACTIONS(2819),
    [anon_sym___extension__] = ACTIONS(2817),
    [anon_sym_typedef] = ACTIONS(2817),
    [anon_sym_in] = ACTIONS(2817),
    [anon_sym_out] = ACTIONS(2817),
    [anon_sym_inout] = ACTIONS(2817),
    [anon_sym_extern] = ACTIONS(2817),
    [anon_sym___attribute__] = ACTIONS(2817),
    [anon_sym_COLON_COLON] = ACTIONS(2819),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2819),
    [anon_sym___declspec] = ACTIONS(2817),
    [anon_sym___based] = ACTIONS(2817),
    [anon_sym___cdecl] = ACTIONS(2817),
    [anon_sym___clrcall] = ACTIONS(2817),
    [anon_sym___stdcall] = ACTIONS(2817),
    [anon_sym___fastcall] = ACTIONS(2817),
    [anon_sym___thiscall] = ACTIONS(2817),
    [anon_sym___vectorcall] = ACTIONS(2817),
    [anon_sym_LBRACE] = ACTIONS(2819),
    [anon_sym_signed] = ACTIONS(2817),
    [anon_sym_unsigned] = ACTIONS(2817),
    [anon_sym_long] = ACTIONS(2817),
    [anon_sym_short] = ACTIONS(2817),
    [anon_sym_LBRACK] = ACTIONS(2817),
    [anon_sym_static] = ACTIONS(2817),
    [anon_sym_register] = ACTIONS(2817),
    [anon_sym_inline] = ACTIONS(2817),
    [anon_sym___inline] = ACTIONS(2817),
    [anon_sym___inline__] = ACTIONS(2817),
    [anon_sym___forceinline] = ACTIONS(2817),
    [anon_sym_thread_local] = ACTIONS(2817),
    [anon_sym___thread] = ACTIONS(2817),
    [anon_sym_const] = ACTIONS(2817),
    [anon_sym_constexpr] = ACTIONS(2817),
    [anon_sym_volatile] = ACTIONS(2817),
    [anon_sym_restrict] = ACTIONS(2817),
    [anon_sym___restrict__] = ACTIONS(2817),
    [anon_sym__Atomic] = ACTIONS(2817),
    [anon_sym__Noreturn] = ACTIONS(2817),
    [anon_sym_noreturn] = ACTIONS(2817),
    [anon_sym_mutable] = ACTIONS(2817),
    [anon_sym_constinit] = ACTIONS(2817),
    [anon_sym_consteval] = ACTIONS(2817),
    [sym_primitive_type] = ACTIONS(2817),
    [anon_sym_enum] = ACTIONS(2817),
    [anon_sym_class] = ACTIONS(2817),
    [anon_sym_struct] = ACTIONS(2817),
    [anon_sym_union] = ACTIONS(2817),
    [anon_sym_if] = ACTIONS(2817),
    [anon_sym_switch] = ACTIONS(2817),
    [anon_sym_case] = ACTIONS(2817),
    [anon_sym_default] = ACTIONS(2817),
    [anon_sym_while] = ACTIONS(2817),
    [anon_sym_do] = ACTIONS(2817),
    [anon_sym_for] = ACTIONS(2817),
    [anon_sym_return] = ACTIONS(2817),
    [anon_sym_break] = ACTIONS(2817),
    [anon_sym_continue] = ACTIONS(2817),
    [anon_sym_goto] = ACTIONS(2817),
    [anon_sym___try] = ACTIONS(2817),
    [anon_sym___leave] = ACTIONS(2817),
    [anon_sym_not] = ACTIONS(2817),
    [anon_sym_compl] = ACTIONS(2817),
    [anon_sym_DASH_DASH] = ACTIONS(2819),
    [anon_sym_PLUS_PLUS] = ACTIONS(2819),
    [anon_sym_sizeof] = ACTIONS(2817),
    [anon_sym___alignof__] = ACTIONS(2817),
    [anon_sym___alignof] = ACTIONS(2817),
    [anon_sym__alignof] = ACTIONS(2817),
    [anon_sym_alignof] = ACTIONS(2817),
    [anon_sym__Alignof] = ACTIONS(2817),
    [anon_sym_offsetof] = ACTIONS(2817),
    [anon_sym__Generic] = ACTIONS(2817),
    [anon_sym_asm] = ACTIONS(2817),
    [anon_sym___asm__] = ACTIONS(2817),
    [sym_number_literal] = ACTIONS(2819),
    [anon_sym_L_SQUOTE] = ACTIONS(2819),
    [anon_sym_u_SQUOTE] = ACTIONS(2819),
    [anon_sym_U_SQUOTE] = ACTIONS(2819),
    [anon_sym_u8_SQUOTE] = ACTIONS(2819),
    [anon_sym_SQUOTE] = ACTIONS(2819),
    [anon_sym_L_DQUOTE] = ACTIONS(2819),
    [anon_sym_u_DQUOTE] = ACTIONS(2819),
    [anon_sym_U_DQUOTE] = ACTIONS(2819),
    [anon_sym_u8_DQUOTE] = ACTIONS(2819),
    [anon_sym_DQUOTE] = ACTIONS(2819),
    [sym_true] = ACTIONS(2817),
    [sym_false] = ACTIONS(2817),
    [anon_sym_NULL] = ACTIONS(2817),
    [anon_sym_nullptr] = ACTIONS(2817),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2817),
    [anon_sym_decltype] = ACTIONS(2817),
    [anon_sym_virtual] = ACTIONS(2817),
    [anon_sym_alignas] = ACTIONS(2817),
    [anon_sym_explicit] = ACTIONS(2817),
    [anon_sym_typename] = ACTIONS(2817),
    [anon_sym_template] = ACTIONS(2817),
    [anon_sym_operator] = ACTIONS(2817),
    [anon_sym_try] = ACTIONS(2817),
    [anon_sym_delete] = ACTIONS(2817),
    [anon_sym_throw] = ACTIONS(2817),
    [anon_sym_namespace] = ACTIONS(2817),
    [anon_sym_using] = ACTIONS(2817),
    [anon_sym_static_assert] = ACTIONS(2817),
    [anon_sym_concept] = ACTIONS(2817),
    [anon_sym_co_return] = ACTIONS(2817),
    [anon_sym_co_yield] = ACTIONS(2817),
    [anon_sym_R_DQUOTE] = ACTIONS(2819),
    [anon_sym_LR_DQUOTE] = ACTIONS(2819),
    [anon_sym_uR_DQUOTE] = ACTIONS(2819),
    [anon_sym_UR_DQUOTE] = ACTIONS(2819),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2819),
    [anon_sym_co_await] = ACTIONS(2817),
    [anon_sym_new] = ACTIONS(2817),
    [anon_sym_requires] = ACTIONS(2817),
    [sym_this] = ACTIONS(2817),
    [anon_sym_discard] = ACTIONS(2817),
    [anon_sym_precise] = ACTIONS(2817),
    [anon_sym_shared] = ACTIONS(2817),
    [anon_sym_groupshared] = ACTIONS(2817),
    [anon_sym_uniform] = ACTIONS(2817),
    [anon_sym_row_major] = ACTIONS(2817),
    [anon_sym_column_major] = ACTIONS(2817),
    [anon_sym_globallycoherent] = ACTIONS(2817),
    [anon_sym_centroid] = ACTIONS(2817),
    [anon_sym_noperspective] = ACTIONS(2817),
    [anon_sym_nointerpolation] = ACTIONS(2817),
    [anon_sym_sample] = ACTIONS(2817),
    [anon_sym_linear] = ACTIONS(2817),
    [anon_sym_snorm] = ACTIONS(2817),
    [anon_sym_unorm] = ACTIONS(2817),
    [anon_sym_point] = ACTIONS(2817),
    [anon_sym_line] = ACTIONS(2817),
    [anon_sym_triangleadj] = ACTIONS(2817),
    [anon_sym_lineadj] = ACTIONS(2817),
    [anon_sym_triangle] = ACTIONS(2817),
    [anon_sym_cbuffer] = ACTIONS(2817),
  },
  [598] = {
    [sym__expression] = STATE(5625),
    [sym__expression_not_binary] = STATE(5024),
    [sym__string] = STATE(5024),
    [sym_comma_expression] = STATE(9760),
    [sym_conditional_expression] = STATE(5024),
    [sym_assignment_expression] = STATE(5024),
    [sym_pointer_expression] = STATE(4507),
    [sym_unary_expression] = STATE(5024),
    [sym_binary_expression] = STATE(5024),
    [sym_update_expression] = STATE(5024),
    [sym_cast_expression] = STATE(5024),
    [sym_sizeof_expression] = STATE(5024),
    [sym_alignof_expression] = STATE(5024),
    [sym_offsetof_expression] = STATE(5024),
    [sym_generic_expression] = STATE(5024),
    [sym_subscript_expression] = STATE(4507),
    [sym_call_expression] = STATE(4507),
    [sym_gnu_asm_expression] = STATE(5024),
    [sym_field_expression] = STATE(4507),
    [sym_compound_literal_expression] = STATE(5024),
    [sym_parenthesized_expression] = STATE(4507),
    [sym_char_literal] = STATE(5374),
    [sym_concatenated_string] = STATE(5377),
    [sym_string_literal] = STATE(4206),
    [sym_null] = STATE(5024),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9352),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(5024),
    [sym_raw_string_literal] = STATE(4217),
    [sym_co_await_expression] = STATE(5024),
    [sym_new_expression] = STATE(5024),
    [sym_delete_expression] = STATE(5024),
    [sym_requires_clause] = STATE(5024),
    [sym_requires_expression] = STATE(5024),
    [sym_lambda_expression] = STATE(5024),
    [sym_lambda_capture_specifier] = STATE(7184),
    [sym_fold_expression] = STATE(5024),
    [sym_parameter_pack_expansion] = STATE(5024),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6886),
    [sym_qualified_identifier] = STATE(4507),
    [sym_qualified_type_identifier] = STATE(9352),
    [sym_user_defined_literal] = STATE(4507),
    [sym_identifier] = ACTIONS(2927),
    [anon_sym_LPAREN2] = ACTIONS(1472),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1474),
    [anon_sym_AMP] = ACTIONS(1474),
    [anon_sym_SEMI] = ACTIONS(2930),
    [anon_sym___extension__] = ACTIONS(2384),
    [anon_sym_in] = ACTIONS(2384),
    [anon_sym_out] = ACTIONS(2384),
    [anon_sym_inout] = ACTIONS(2384),
    [anon_sym_extern] = ACTIONS(2384),
    [anon_sym___attribute__] = ACTIONS(2384),
    [anon_sym_COLON_COLON] = ACTIONS(2932),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2386),
    [anon_sym___declspec] = ACTIONS(2384),
    [anon_sym_signed] = ACTIONS(2384),
    [anon_sym_unsigned] = ACTIONS(2384),
    [anon_sym_long] = ACTIONS(2384),
    [anon_sym_short] = ACTIONS(2384),
    [anon_sym_LBRACK] = ACTIONS(2098),
    [anon_sym_static] = ACTIONS(2384),
    [anon_sym_register] = ACTIONS(2384),
    [anon_sym_inline] = ACTIONS(2384),
    [anon_sym___inline] = ACTIONS(2384),
    [anon_sym___inline__] = ACTIONS(2384),
    [anon_sym___forceinline] = ACTIONS(2384),
    [anon_sym_thread_local] = ACTIONS(2384),
    [anon_sym___thread] = ACTIONS(2384),
    [anon_sym_const] = ACTIONS(2384),
    [anon_sym_constexpr] = ACTIONS(2384),
    [anon_sym_volatile] = ACTIONS(2384),
    [anon_sym_restrict] = ACTIONS(2384),
    [anon_sym___restrict__] = ACTIONS(2384),
    [anon_sym__Atomic] = ACTIONS(2384),
    [anon_sym__Noreturn] = ACTIONS(2384),
    [anon_sym_noreturn] = ACTIONS(2384),
    [anon_sym_mutable] = ACTIONS(2384),
    [anon_sym_constinit] = ACTIONS(2384),
    [anon_sym_consteval] = ACTIONS(2384),
    [sym_primitive_type] = ACTIONS(2935),
    [anon_sym_enum] = ACTIONS(2384),
    [anon_sym_class] = ACTIONS(2384),
    [anon_sym_struct] = ACTIONS(2384),
    [anon_sym_union] = ACTIONS(2384),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2384),
    [anon_sym_decltype] = ACTIONS(2938),
    [anon_sym_virtual] = ACTIONS(2384),
    [anon_sym_alignas] = ACTIONS(2384),
    [anon_sym_typename] = ACTIONS(2384),
    [anon_sym_template] = ACTIONS(2941),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
    [anon_sym_precise] = ACTIONS(2384),
    [anon_sym_shared] = ACTIONS(2384),
    [anon_sym_groupshared] = ACTIONS(2384),
    [anon_sym_uniform] = ACTIONS(2384),
    [anon_sym_row_major] = ACTIONS(2384),
    [anon_sym_column_major] = ACTIONS(2384),
    [anon_sym_globallycoherent] = ACTIONS(2384),
    [anon_sym_centroid] = ACTIONS(2384),
    [anon_sym_noperspective] = ACTIONS(2384),
    [anon_sym_nointerpolation] = ACTIONS(2384),
    [anon_sym_sample] = ACTIONS(2384),
    [anon_sym_linear] = ACTIONS(2384),
    [anon_sym_snorm] = ACTIONS(2384),
    [anon_sym_unorm] = ACTIONS(2384),
    [anon_sym_point] = ACTIONS(2384),
    [anon_sym_line] = ACTIONS(2384),
    [anon_sym_triangleadj] = ACTIONS(2384),
    [anon_sym_lineadj] = ACTIONS(2384),
    [anon_sym_triangle] = ACTIONS(2384),
  },
  [599] = {
    [ts_builtin_sym_end] = ACTIONS(2316),
    [sym_identifier] = ACTIONS(2314),
    [aux_sym_preproc_include_token1] = ACTIONS(2314),
    [aux_sym_preproc_def_token1] = ACTIONS(2314),
    [aux_sym_preproc_if_token1] = ACTIONS(2314),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2314),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2314),
    [sym_preproc_directive] = ACTIONS(2314),
    [anon_sym_LPAREN2] = ACTIONS(2316),
    [anon_sym_BANG] = ACTIONS(2316),
    [anon_sym_TILDE] = ACTIONS(2316),
    [anon_sym_DASH] = ACTIONS(2314),
    [anon_sym_PLUS] = ACTIONS(2314),
    [anon_sym_STAR] = ACTIONS(2316),
    [anon_sym_AMP_AMP] = ACTIONS(2316),
    [anon_sym_AMP] = ACTIONS(2314),
    [anon_sym_SEMI] = ACTIONS(2316),
    [anon_sym___extension__] = ACTIONS(2314),
    [anon_sym_typedef] = ACTIONS(2314),
    [anon_sym_in] = ACTIONS(2314),
    [anon_sym_out] = ACTIONS(2314),
    [anon_sym_inout] = ACTIONS(2314),
    [anon_sym_extern] = ACTIONS(2314),
    [anon_sym___attribute__] = ACTIONS(2314),
    [anon_sym_COLON_COLON] = ACTIONS(2316),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2316),
    [anon_sym___declspec] = ACTIONS(2314),
    [anon_sym___based] = ACTIONS(2314),
    [anon_sym___cdecl] = ACTIONS(2314),
    [anon_sym___clrcall] = ACTIONS(2314),
    [anon_sym___stdcall] = ACTIONS(2314),
    [anon_sym___fastcall] = ACTIONS(2314),
    [anon_sym___thiscall] = ACTIONS(2314),
    [anon_sym___vectorcall] = ACTIONS(2314),
    [anon_sym_LBRACE] = ACTIONS(2316),
    [anon_sym_signed] = ACTIONS(2314),
    [anon_sym_unsigned] = ACTIONS(2314),
    [anon_sym_long] = ACTIONS(2314),
    [anon_sym_short] = ACTIONS(2314),
    [anon_sym_LBRACK] = ACTIONS(2314),
    [anon_sym_static] = ACTIONS(2314),
    [anon_sym_register] = ACTIONS(2314),
    [anon_sym_inline] = ACTIONS(2314),
    [anon_sym___inline] = ACTIONS(2314),
    [anon_sym___inline__] = ACTIONS(2314),
    [anon_sym___forceinline] = ACTIONS(2314),
    [anon_sym_thread_local] = ACTIONS(2314),
    [anon_sym___thread] = ACTIONS(2314),
    [anon_sym_const] = ACTIONS(2314),
    [anon_sym_constexpr] = ACTIONS(2314),
    [anon_sym_volatile] = ACTIONS(2314),
    [anon_sym_restrict] = ACTIONS(2314),
    [anon_sym___restrict__] = ACTIONS(2314),
    [anon_sym__Atomic] = ACTIONS(2314),
    [anon_sym__Noreturn] = ACTIONS(2314),
    [anon_sym_noreturn] = ACTIONS(2314),
    [anon_sym_mutable] = ACTIONS(2314),
    [anon_sym_constinit] = ACTIONS(2314),
    [anon_sym_consteval] = ACTIONS(2314),
    [sym_primitive_type] = ACTIONS(2314),
    [anon_sym_enum] = ACTIONS(2314),
    [anon_sym_class] = ACTIONS(2314),
    [anon_sym_struct] = ACTIONS(2314),
    [anon_sym_union] = ACTIONS(2314),
    [anon_sym_if] = ACTIONS(2314),
    [anon_sym_else] = ACTIONS(2314),
    [anon_sym_switch] = ACTIONS(2314),
    [anon_sym_case] = ACTIONS(2314),
    [anon_sym_default] = ACTIONS(2314),
    [anon_sym_while] = ACTIONS(2314),
    [anon_sym_do] = ACTIONS(2314),
    [anon_sym_for] = ACTIONS(2314),
    [anon_sym_return] = ACTIONS(2314),
    [anon_sym_break] = ACTIONS(2314),
    [anon_sym_continue] = ACTIONS(2314),
    [anon_sym_goto] = ACTIONS(2314),
    [anon_sym___try] = ACTIONS(2314),
    [anon_sym___leave] = ACTIONS(2314),
    [anon_sym_not] = ACTIONS(2314),
    [anon_sym_compl] = ACTIONS(2314),
    [anon_sym_DASH_DASH] = ACTIONS(2316),
    [anon_sym_PLUS_PLUS] = ACTIONS(2316),
    [anon_sym_sizeof] = ACTIONS(2314),
    [anon_sym___alignof__] = ACTIONS(2314),
    [anon_sym___alignof] = ACTIONS(2314),
    [anon_sym__alignof] = ACTIONS(2314),
    [anon_sym_alignof] = ACTIONS(2314),
    [anon_sym__Alignof] = ACTIONS(2314),
    [anon_sym_offsetof] = ACTIONS(2314),
    [anon_sym__Generic] = ACTIONS(2314),
    [anon_sym_asm] = ACTIONS(2314),
    [anon_sym___asm__] = ACTIONS(2314),
    [sym_number_literal] = ACTIONS(2316),
    [anon_sym_L_SQUOTE] = ACTIONS(2316),
    [anon_sym_u_SQUOTE] = ACTIONS(2316),
    [anon_sym_U_SQUOTE] = ACTIONS(2316),
    [anon_sym_u8_SQUOTE] = ACTIONS(2316),
    [anon_sym_SQUOTE] = ACTIONS(2316),
    [anon_sym_L_DQUOTE] = ACTIONS(2316),
    [anon_sym_u_DQUOTE] = ACTIONS(2316),
    [anon_sym_U_DQUOTE] = ACTIONS(2316),
    [anon_sym_u8_DQUOTE] = ACTIONS(2316),
    [anon_sym_DQUOTE] = ACTIONS(2316),
    [sym_true] = ACTIONS(2314),
    [sym_false] = ACTIONS(2314),
    [anon_sym_NULL] = ACTIONS(2314),
    [anon_sym_nullptr] = ACTIONS(2314),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2314),
    [anon_sym_decltype] = ACTIONS(2314),
    [anon_sym_virtual] = ACTIONS(2314),
    [anon_sym_alignas] = ACTIONS(2314),
    [anon_sym_explicit] = ACTIONS(2314),
    [anon_sym_typename] = ACTIONS(2314),
    [anon_sym_template] = ACTIONS(2314),
    [anon_sym_operator] = ACTIONS(2314),
    [anon_sym_try] = ACTIONS(2314),
    [anon_sym_delete] = ACTIONS(2314),
    [anon_sym_throw] = ACTIONS(2314),
    [anon_sym_namespace] = ACTIONS(2314),
    [anon_sym_using] = ACTIONS(2314),
    [anon_sym_static_assert] = ACTIONS(2314),
    [anon_sym_concept] = ACTIONS(2314),
    [anon_sym_co_return] = ACTIONS(2314),
    [anon_sym_co_yield] = ACTIONS(2314),
    [anon_sym_catch] = ACTIONS(2314),
    [anon_sym_R_DQUOTE] = ACTIONS(2316),
    [anon_sym_LR_DQUOTE] = ACTIONS(2316),
    [anon_sym_uR_DQUOTE] = ACTIONS(2316),
    [anon_sym_UR_DQUOTE] = ACTIONS(2316),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2316),
    [anon_sym_co_await] = ACTIONS(2314),
    [anon_sym_new] = ACTIONS(2314),
    [anon_sym_requires] = ACTIONS(2314),
    [sym_this] = ACTIONS(2314),
    [anon_sym_discard] = ACTIONS(2314),
    [anon_sym_precise] = ACTIONS(2314),
    [anon_sym_shared] = ACTIONS(2314),
    [anon_sym_groupshared] = ACTIONS(2314),
    [anon_sym_uniform] = ACTIONS(2314),
    [anon_sym_row_major] = ACTIONS(2314),
    [anon_sym_column_major] = ACTIONS(2314),
    [anon_sym_globallycoherent] = ACTIONS(2314),
    [anon_sym_centroid] = ACTIONS(2314),
    [anon_sym_noperspective] = ACTIONS(2314),
    [anon_sym_nointerpolation] = ACTIONS(2314),
    [anon_sym_sample] = ACTIONS(2314),
    [anon_sym_linear] = ACTIONS(2314),
    [anon_sym_snorm] = ACTIONS(2314),
    [anon_sym_unorm] = ACTIONS(2314),
    [anon_sym_point] = ACTIONS(2314),
    [anon_sym_line] = ACTIONS(2314),
    [anon_sym_triangleadj] = ACTIONS(2314),
    [anon_sym_lineadj] = ACTIONS(2314),
    [anon_sym_triangle] = ACTIONS(2314),
    [anon_sym_cbuffer] = ACTIONS(2314),
  },
  [600] = {
    [sym_identifier] = ACTIONS(2733),
    [aux_sym_preproc_include_token1] = ACTIONS(2733),
    [aux_sym_preproc_def_token1] = ACTIONS(2733),
    [aux_sym_preproc_if_token1] = ACTIONS(2733),
    [aux_sym_preproc_if_token2] = ACTIONS(2733),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2733),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2733),
    [aux_sym_preproc_else_token1] = ACTIONS(2733),
    [aux_sym_preproc_elif_token1] = ACTIONS(2733),
    [sym_preproc_directive] = ACTIONS(2733),
    [anon_sym_LPAREN2] = ACTIONS(2735),
    [anon_sym_BANG] = ACTIONS(2735),
    [anon_sym_TILDE] = ACTIONS(2735),
    [anon_sym_DASH] = ACTIONS(2733),
    [anon_sym_PLUS] = ACTIONS(2733),
    [anon_sym_STAR] = ACTIONS(2735),
    [anon_sym_AMP_AMP] = ACTIONS(2735),
    [anon_sym_AMP] = ACTIONS(2733),
    [anon_sym_SEMI] = ACTIONS(2735),
    [anon_sym___extension__] = ACTIONS(2733),
    [anon_sym_typedef] = ACTIONS(2733),
    [anon_sym_in] = ACTIONS(2733),
    [anon_sym_out] = ACTIONS(2733),
    [anon_sym_inout] = ACTIONS(2733),
    [anon_sym_extern] = ACTIONS(2733),
    [anon_sym___attribute__] = ACTIONS(2733),
    [anon_sym_COLON_COLON] = ACTIONS(2735),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2735),
    [anon_sym___declspec] = ACTIONS(2733),
    [anon_sym___based] = ACTIONS(2733),
    [anon_sym___cdecl] = ACTIONS(2733),
    [anon_sym___clrcall] = ACTIONS(2733),
    [anon_sym___stdcall] = ACTIONS(2733),
    [anon_sym___fastcall] = ACTIONS(2733),
    [anon_sym___thiscall] = ACTIONS(2733),
    [anon_sym___vectorcall] = ACTIONS(2733),
    [anon_sym_LBRACE] = ACTIONS(2735),
    [anon_sym_signed] = ACTIONS(2733),
    [anon_sym_unsigned] = ACTIONS(2733),
    [anon_sym_long] = ACTIONS(2733),
    [anon_sym_short] = ACTIONS(2733),
    [anon_sym_LBRACK] = ACTIONS(2733),
    [anon_sym_static] = ACTIONS(2733),
    [anon_sym_register] = ACTIONS(2733),
    [anon_sym_inline] = ACTIONS(2733),
    [anon_sym___inline] = ACTIONS(2733),
    [anon_sym___inline__] = ACTIONS(2733),
    [anon_sym___forceinline] = ACTIONS(2733),
    [anon_sym_thread_local] = ACTIONS(2733),
    [anon_sym___thread] = ACTIONS(2733),
    [anon_sym_const] = ACTIONS(2733),
    [anon_sym_constexpr] = ACTIONS(2733),
    [anon_sym_volatile] = ACTIONS(2733),
    [anon_sym_restrict] = ACTIONS(2733),
    [anon_sym___restrict__] = ACTIONS(2733),
    [anon_sym__Atomic] = ACTIONS(2733),
    [anon_sym__Noreturn] = ACTIONS(2733),
    [anon_sym_noreturn] = ACTIONS(2733),
    [anon_sym_mutable] = ACTIONS(2733),
    [anon_sym_constinit] = ACTIONS(2733),
    [anon_sym_consteval] = ACTIONS(2733),
    [sym_primitive_type] = ACTIONS(2733),
    [anon_sym_enum] = ACTIONS(2733),
    [anon_sym_class] = ACTIONS(2733),
    [anon_sym_struct] = ACTIONS(2733),
    [anon_sym_union] = ACTIONS(2733),
    [anon_sym_if] = ACTIONS(2733),
    [anon_sym_switch] = ACTIONS(2733),
    [anon_sym_case] = ACTIONS(2733),
    [anon_sym_default] = ACTIONS(2733),
    [anon_sym_while] = ACTIONS(2733),
    [anon_sym_do] = ACTIONS(2733),
    [anon_sym_for] = ACTIONS(2733),
    [anon_sym_return] = ACTIONS(2733),
    [anon_sym_break] = ACTIONS(2733),
    [anon_sym_continue] = ACTIONS(2733),
    [anon_sym_goto] = ACTIONS(2733),
    [anon_sym___try] = ACTIONS(2733),
    [anon_sym___leave] = ACTIONS(2733),
    [anon_sym_not] = ACTIONS(2733),
    [anon_sym_compl] = ACTIONS(2733),
    [anon_sym_DASH_DASH] = ACTIONS(2735),
    [anon_sym_PLUS_PLUS] = ACTIONS(2735),
    [anon_sym_sizeof] = ACTIONS(2733),
    [anon_sym___alignof__] = ACTIONS(2733),
    [anon_sym___alignof] = ACTIONS(2733),
    [anon_sym__alignof] = ACTIONS(2733),
    [anon_sym_alignof] = ACTIONS(2733),
    [anon_sym__Alignof] = ACTIONS(2733),
    [anon_sym_offsetof] = ACTIONS(2733),
    [anon_sym__Generic] = ACTIONS(2733),
    [anon_sym_asm] = ACTIONS(2733),
    [anon_sym___asm__] = ACTIONS(2733),
    [sym_number_literal] = ACTIONS(2735),
    [anon_sym_L_SQUOTE] = ACTIONS(2735),
    [anon_sym_u_SQUOTE] = ACTIONS(2735),
    [anon_sym_U_SQUOTE] = ACTIONS(2735),
    [anon_sym_u8_SQUOTE] = ACTIONS(2735),
    [anon_sym_SQUOTE] = ACTIONS(2735),
    [anon_sym_L_DQUOTE] = ACTIONS(2735),
    [anon_sym_u_DQUOTE] = ACTIONS(2735),
    [anon_sym_U_DQUOTE] = ACTIONS(2735),
    [anon_sym_u8_DQUOTE] = ACTIONS(2735),
    [anon_sym_DQUOTE] = ACTIONS(2735),
    [sym_true] = ACTIONS(2733),
    [sym_false] = ACTIONS(2733),
    [anon_sym_NULL] = ACTIONS(2733),
    [anon_sym_nullptr] = ACTIONS(2733),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2733),
    [anon_sym_decltype] = ACTIONS(2733),
    [anon_sym_virtual] = ACTIONS(2733),
    [anon_sym_alignas] = ACTIONS(2733),
    [anon_sym_explicit] = ACTIONS(2733),
    [anon_sym_typename] = ACTIONS(2733),
    [anon_sym_template] = ACTIONS(2733),
    [anon_sym_operator] = ACTIONS(2733),
    [anon_sym_try] = ACTIONS(2733),
    [anon_sym_delete] = ACTIONS(2733),
    [anon_sym_throw] = ACTIONS(2733),
    [anon_sym_namespace] = ACTIONS(2733),
    [anon_sym_using] = ACTIONS(2733),
    [anon_sym_static_assert] = ACTIONS(2733),
    [anon_sym_concept] = ACTIONS(2733),
    [anon_sym_co_return] = ACTIONS(2733),
    [anon_sym_co_yield] = ACTIONS(2733),
    [anon_sym_R_DQUOTE] = ACTIONS(2735),
    [anon_sym_LR_DQUOTE] = ACTIONS(2735),
    [anon_sym_uR_DQUOTE] = ACTIONS(2735),
    [anon_sym_UR_DQUOTE] = ACTIONS(2735),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2735),
    [anon_sym_co_await] = ACTIONS(2733),
    [anon_sym_new] = ACTIONS(2733),
    [anon_sym_requires] = ACTIONS(2733),
    [sym_this] = ACTIONS(2733),
    [anon_sym_discard] = ACTIONS(2733),
    [anon_sym_precise] = ACTIONS(2733),
    [anon_sym_shared] = ACTIONS(2733),
    [anon_sym_groupshared] = ACTIONS(2733),
    [anon_sym_uniform] = ACTIONS(2733),
    [anon_sym_row_major] = ACTIONS(2733),
    [anon_sym_column_major] = ACTIONS(2733),
    [anon_sym_globallycoherent] = ACTIONS(2733),
    [anon_sym_centroid] = ACTIONS(2733),
    [anon_sym_noperspective] = ACTIONS(2733),
    [anon_sym_nointerpolation] = ACTIONS(2733),
    [anon_sym_sample] = ACTIONS(2733),
    [anon_sym_linear] = ACTIONS(2733),
    [anon_sym_snorm] = ACTIONS(2733),
    [anon_sym_unorm] = ACTIONS(2733),
    [anon_sym_point] = ACTIONS(2733),
    [anon_sym_line] = ACTIONS(2733),
    [anon_sym_triangleadj] = ACTIONS(2733),
    [anon_sym_lineadj] = ACTIONS(2733),
    [anon_sym_triangle] = ACTIONS(2733),
    [anon_sym_cbuffer] = ACTIONS(2733),
  },
  [601] = {
    [sym_identifier] = ACTIONS(2520),
    [aux_sym_preproc_include_token1] = ACTIONS(2520),
    [aux_sym_preproc_def_token1] = ACTIONS(2520),
    [aux_sym_preproc_if_token1] = ACTIONS(2520),
    [aux_sym_preproc_if_token2] = ACTIONS(2520),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2520),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2520),
    [aux_sym_preproc_else_token1] = ACTIONS(2520),
    [aux_sym_preproc_elif_token1] = ACTIONS(2520),
    [sym_preproc_directive] = ACTIONS(2520),
    [anon_sym_LPAREN2] = ACTIONS(2522),
    [anon_sym_BANG] = ACTIONS(2522),
    [anon_sym_TILDE] = ACTIONS(2522),
    [anon_sym_DASH] = ACTIONS(2520),
    [anon_sym_PLUS] = ACTIONS(2520),
    [anon_sym_STAR] = ACTIONS(2522),
    [anon_sym_AMP_AMP] = ACTIONS(2522),
    [anon_sym_AMP] = ACTIONS(2520),
    [anon_sym_SEMI] = ACTIONS(2522),
    [anon_sym___extension__] = ACTIONS(2520),
    [anon_sym_typedef] = ACTIONS(2520),
    [anon_sym_in] = ACTIONS(2520),
    [anon_sym_out] = ACTIONS(2520),
    [anon_sym_inout] = ACTIONS(2520),
    [anon_sym_extern] = ACTIONS(2520),
    [anon_sym___attribute__] = ACTIONS(2520),
    [anon_sym_COLON_COLON] = ACTIONS(2522),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2522),
    [anon_sym___declspec] = ACTIONS(2520),
    [anon_sym___based] = ACTIONS(2520),
    [anon_sym___cdecl] = ACTIONS(2520),
    [anon_sym___clrcall] = ACTIONS(2520),
    [anon_sym___stdcall] = ACTIONS(2520),
    [anon_sym___fastcall] = ACTIONS(2520),
    [anon_sym___thiscall] = ACTIONS(2520),
    [anon_sym___vectorcall] = ACTIONS(2520),
    [anon_sym_LBRACE] = ACTIONS(2522),
    [anon_sym_signed] = ACTIONS(2520),
    [anon_sym_unsigned] = ACTIONS(2520),
    [anon_sym_long] = ACTIONS(2520),
    [anon_sym_short] = ACTIONS(2520),
    [anon_sym_LBRACK] = ACTIONS(2520),
    [anon_sym_static] = ACTIONS(2520),
    [anon_sym_register] = ACTIONS(2520),
    [anon_sym_inline] = ACTIONS(2520),
    [anon_sym___inline] = ACTIONS(2520),
    [anon_sym___inline__] = ACTIONS(2520),
    [anon_sym___forceinline] = ACTIONS(2520),
    [anon_sym_thread_local] = ACTIONS(2520),
    [anon_sym___thread] = ACTIONS(2520),
    [anon_sym_const] = ACTIONS(2520),
    [anon_sym_constexpr] = ACTIONS(2520),
    [anon_sym_volatile] = ACTIONS(2520),
    [anon_sym_restrict] = ACTIONS(2520),
    [anon_sym___restrict__] = ACTIONS(2520),
    [anon_sym__Atomic] = ACTIONS(2520),
    [anon_sym__Noreturn] = ACTIONS(2520),
    [anon_sym_noreturn] = ACTIONS(2520),
    [anon_sym_mutable] = ACTIONS(2520),
    [anon_sym_constinit] = ACTIONS(2520),
    [anon_sym_consteval] = ACTIONS(2520),
    [sym_primitive_type] = ACTIONS(2520),
    [anon_sym_enum] = ACTIONS(2520),
    [anon_sym_class] = ACTIONS(2520),
    [anon_sym_struct] = ACTIONS(2520),
    [anon_sym_union] = ACTIONS(2520),
    [anon_sym_if] = ACTIONS(2520),
    [anon_sym_switch] = ACTIONS(2520),
    [anon_sym_case] = ACTIONS(2520),
    [anon_sym_default] = ACTIONS(2520),
    [anon_sym_while] = ACTIONS(2520),
    [anon_sym_do] = ACTIONS(2520),
    [anon_sym_for] = ACTIONS(2520),
    [anon_sym_return] = ACTIONS(2520),
    [anon_sym_break] = ACTIONS(2520),
    [anon_sym_continue] = ACTIONS(2520),
    [anon_sym_goto] = ACTIONS(2520),
    [anon_sym___try] = ACTIONS(2520),
    [anon_sym___leave] = ACTIONS(2520),
    [anon_sym_not] = ACTIONS(2520),
    [anon_sym_compl] = ACTIONS(2520),
    [anon_sym_DASH_DASH] = ACTIONS(2522),
    [anon_sym_PLUS_PLUS] = ACTIONS(2522),
    [anon_sym_sizeof] = ACTIONS(2520),
    [anon_sym___alignof__] = ACTIONS(2520),
    [anon_sym___alignof] = ACTIONS(2520),
    [anon_sym__alignof] = ACTIONS(2520),
    [anon_sym_alignof] = ACTIONS(2520),
    [anon_sym__Alignof] = ACTIONS(2520),
    [anon_sym_offsetof] = ACTIONS(2520),
    [anon_sym__Generic] = ACTIONS(2520),
    [anon_sym_asm] = ACTIONS(2520),
    [anon_sym___asm__] = ACTIONS(2520),
    [sym_number_literal] = ACTIONS(2522),
    [anon_sym_L_SQUOTE] = ACTIONS(2522),
    [anon_sym_u_SQUOTE] = ACTIONS(2522),
    [anon_sym_U_SQUOTE] = ACTIONS(2522),
    [anon_sym_u8_SQUOTE] = ACTIONS(2522),
    [anon_sym_SQUOTE] = ACTIONS(2522),
    [anon_sym_L_DQUOTE] = ACTIONS(2522),
    [anon_sym_u_DQUOTE] = ACTIONS(2522),
    [anon_sym_U_DQUOTE] = ACTIONS(2522),
    [anon_sym_u8_DQUOTE] = ACTIONS(2522),
    [anon_sym_DQUOTE] = ACTIONS(2522),
    [sym_true] = ACTIONS(2520),
    [sym_false] = ACTIONS(2520),
    [anon_sym_NULL] = ACTIONS(2520),
    [anon_sym_nullptr] = ACTIONS(2520),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2520),
    [anon_sym_decltype] = ACTIONS(2520),
    [anon_sym_virtual] = ACTIONS(2520),
    [anon_sym_alignas] = ACTIONS(2520),
    [anon_sym_explicit] = ACTIONS(2520),
    [anon_sym_typename] = ACTIONS(2520),
    [anon_sym_template] = ACTIONS(2520),
    [anon_sym_operator] = ACTIONS(2520),
    [anon_sym_try] = ACTIONS(2520),
    [anon_sym_delete] = ACTIONS(2520),
    [anon_sym_throw] = ACTIONS(2520),
    [anon_sym_namespace] = ACTIONS(2520),
    [anon_sym_using] = ACTIONS(2520),
    [anon_sym_static_assert] = ACTIONS(2520),
    [anon_sym_concept] = ACTIONS(2520),
    [anon_sym_co_return] = ACTIONS(2520),
    [anon_sym_co_yield] = ACTIONS(2520),
    [anon_sym_R_DQUOTE] = ACTIONS(2522),
    [anon_sym_LR_DQUOTE] = ACTIONS(2522),
    [anon_sym_uR_DQUOTE] = ACTIONS(2522),
    [anon_sym_UR_DQUOTE] = ACTIONS(2522),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2522),
    [anon_sym_co_await] = ACTIONS(2520),
    [anon_sym_new] = ACTIONS(2520),
    [anon_sym_requires] = ACTIONS(2520),
    [sym_this] = ACTIONS(2520),
    [anon_sym_discard] = ACTIONS(2520),
    [anon_sym_precise] = ACTIONS(2520),
    [anon_sym_shared] = ACTIONS(2520),
    [anon_sym_groupshared] = ACTIONS(2520),
    [anon_sym_uniform] = ACTIONS(2520),
    [anon_sym_row_major] = ACTIONS(2520),
    [anon_sym_column_major] = ACTIONS(2520),
    [anon_sym_globallycoherent] = ACTIONS(2520),
    [anon_sym_centroid] = ACTIONS(2520),
    [anon_sym_noperspective] = ACTIONS(2520),
    [anon_sym_nointerpolation] = ACTIONS(2520),
    [anon_sym_sample] = ACTIONS(2520),
    [anon_sym_linear] = ACTIONS(2520),
    [anon_sym_snorm] = ACTIONS(2520),
    [anon_sym_unorm] = ACTIONS(2520),
    [anon_sym_point] = ACTIONS(2520),
    [anon_sym_line] = ACTIONS(2520),
    [anon_sym_triangleadj] = ACTIONS(2520),
    [anon_sym_lineadj] = ACTIONS(2520),
    [anon_sym_triangle] = ACTIONS(2520),
    [anon_sym_cbuffer] = ACTIONS(2520),
  },
  [602] = {
    [sym_identifier] = ACTIONS(2520),
    [aux_sym_preproc_include_token1] = ACTIONS(2520),
    [aux_sym_preproc_def_token1] = ACTIONS(2520),
    [aux_sym_preproc_if_token1] = ACTIONS(2520),
    [aux_sym_preproc_if_token2] = ACTIONS(2520),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2520),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2520),
    [aux_sym_preproc_else_token1] = ACTIONS(2520),
    [aux_sym_preproc_elif_token1] = ACTIONS(2520),
    [sym_preproc_directive] = ACTIONS(2520),
    [anon_sym_LPAREN2] = ACTIONS(2522),
    [anon_sym_BANG] = ACTIONS(2522),
    [anon_sym_TILDE] = ACTIONS(2522),
    [anon_sym_DASH] = ACTIONS(2520),
    [anon_sym_PLUS] = ACTIONS(2520),
    [anon_sym_STAR] = ACTIONS(2522),
    [anon_sym_AMP_AMP] = ACTIONS(2522),
    [anon_sym_AMP] = ACTIONS(2520),
    [anon_sym_SEMI] = ACTIONS(2522),
    [anon_sym___extension__] = ACTIONS(2520),
    [anon_sym_typedef] = ACTIONS(2520),
    [anon_sym_in] = ACTIONS(2520),
    [anon_sym_out] = ACTIONS(2520),
    [anon_sym_inout] = ACTIONS(2520),
    [anon_sym_extern] = ACTIONS(2520),
    [anon_sym___attribute__] = ACTIONS(2520),
    [anon_sym_COLON_COLON] = ACTIONS(2522),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2522),
    [anon_sym___declspec] = ACTIONS(2520),
    [anon_sym___based] = ACTIONS(2520),
    [anon_sym___cdecl] = ACTIONS(2520),
    [anon_sym___clrcall] = ACTIONS(2520),
    [anon_sym___stdcall] = ACTIONS(2520),
    [anon_sym___fastcall] = ACTIONS(2520),
    [anon_sym___thiscall] = ACTIONS(2520),
    [anon_sym___vectorcall] = ACTIONS(2520),
    [anon_sym_LBRACE] = ACTIONS(2522),
    [anon_sym_signed] = ACTIONS(2520),
    [anon_sym_unsigned] = ACTIONS(2520),
    [anon_sym_long] = ACTIONS(2520),
    [anon_sym_short] = ACTIONS(2520),
    [anon_sym_LBRACK] = ACTIONS(2520),
    [anon_sym_static] = ACTIONS(2520),
    [anon_sym_register] = ACTIONS(2520),
    [anon_sym_inline] = ACTIONS(2520),
    [anon_sym___inline] = ACTIONS(2520),
    [anon_sym___inline__] = ACTIONS(2520),
    [anon_sym___forceinline] = ACTIONS(2520),
    [anon_sym_thread_local] = ACTIONS(2520),
    [anon_sym___thread] = ACTIONS(2520),
    [anon_sym_const] = ACTIONS(2520),
    [anon_sym_constexpr] = ACTIONS(2520),
    [anon_sym_volatile] = ACTIONS(2520),
    [anon_sym_restrict] = ACTIONS(2520),
    [anon_sym___restrict__] = ACTIONS(2520),
    [anon_sym__Atomic] = ACTIONS(2520),
    [anon_sym__Noreturn] = ACTIONS(2520),
    [anon_sym_noreturn] = ACTIONS(2520),
    [anon_sym_mutable] = ACTIONS(2520),
    [anon_sym_constinit] = ACTIONS(2520),
    [anon_sym_consteval] = ACTIONS(2520),
    [sym_primitive_type] = ACTIONS(2520),
    [anon_sym_enum] = ACTIONS(2520),
    [anon_sym_class] = ACTIONS(2520),
    [anon_sym_struct] = ACTIONS(2520),
    [anon_sym_union] = ACTIONS(2520),
    [anon_sym_if] = ACTIONS(2520),
    [anon_sym_switch] = ACTIONS(2520),
    [anon_sym_case] = ACTIONS(2520),
    [anon_sym_default] = ACTIONS(2520),
    [anon_sym_while] = ACTIONS(2520),
    [anon_sym_do] = ACTIONS(2520),
    [anon_sym_for] = ACTIONS(2520),
    [anon_sym_return] = ACTIONS(2520),
    [anon_sym_break] = ACTIONS(2520),
    [anon_sym_continue] = ACTIONS(2520),
    [anon_sym_goto] = ACTIONS(2520),
    [anon_sym___try] = ACTIONS(2520),
    [anon_sym___leave] = ACTIONS(2520),
    [anon_sym_not] = ACTIONS(2520),
    [anon_sym_compl] = ACTIONS(2520),
    [anon_sym_DASH_DASH] = ACTIONS(2522),
    [anon_sym_PLUS_PLUS] = ACTIONS(2522),
    [anon_sym_sizeof] = ACTIONS(2520),
    [anon_sym___alignof__] = ACTIONS(2520),
    [anon_sym___alignof] = ACTIONS(2520),
    [anon_sym__alignof] = ACTIONS(2520),
    [anon_sym_alignof] = ACTIONS(2520),
    [anon_sym__Alignof] = ACTIONS(2520),
    [anon_sym_offsetof] = ACTIONS(2520),
    [anon_sym__Generic] = ACTIONS(2520),
    [anon_sym_asm] = ACTIONS(2520),
    [anon_sym___asm__] = ACTIONS(2520),
    [sym_number_literal] = ACTIONS(2522),
    [anon_sym_L_SQUOTE] = ACTIONS(2522),
    [anon_sym_u_SQUOTE] = ACTIONS(2522),
    [anon_sym_U_SQUOTE] = ACTIONS(2522),
    [anon_sym_u8_SQUOTE] = ACTIONS(2522),
    [anon_sym_SQUOTE] = ACTIONS(2522),
    [anon_sym_L_DQUOTE] = ACTIONS(2522),
    [anon_sym_u_DQUOTE] = ACTIONS(2522),
    [anon_sym_U_DQUOTE] = ACTIONS(2522),
    [anon_sym_u8_DQUOTE] = ACTIONS(2522),
    [anon_sym_DQUOTE] = ACTIONS(2522),
    [sym_true] = ACTIONS(2520),
    [sym_false] = ACTIONS(2520),
    [anon_sym_NULL] = ACTIONS(2520),
    [anon_sym_nullptr] = ACTIONS(2520),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2520),
    [anon_sym_decltype] = ACTIONS(2520),
    [anon_sym_virtual] = ACTIONS(2520),
    [anon_sym_alignas] = ACTIONS(2520),
    [anon_sym_explicit] = ACTIONS(2520),
    [anon_sym_typename] = ACTIONS(2520),
    [anon_sym_template] = ACTIONS(2520),
    [anon_sym_operator] = ACTIONS(2520),
    [anon_sym_try] = ACTIONS(2520),
    [anon_sym_delete] = ACTIONS(2520),
    [anon_sym_throw] = ACTIONS(2520),
    [anon_sym_namespace] = ACTIONS(2520),
    [anon_sym_using] = ACTIONS(2520),
    [anon_sym_static_assert] = ACTIONS(2520),
    [anon_sym_concept] = ACTIONS(2520),
    [anon_sym_co_return] = ACTIONS(2520),
    [anon_sym_co_yield] = ACTIONS(2520),
    [anon_sym_R_DQUOTE] = ACTIONS(2522),
    [anon_sym_LR_DQUOTE] = ACTIONS(2522),
    [anon_sym_uR_DQUOTE] = ACTIONS(2522),
    [anon_sym_UR_DQUOTE] = ACTIONS(2522),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2522),
    [anon_sym_co_await] = ACTIONS(2520),
    [anon_sym_new] = ACTIONS(2520),
    [anon_sym_requires] = ACTIONS(2520),
    [sym_this] = ACTIONS(2520),
    [anon_sym_discard] = ACTIONS(2520),
    [anon_sym_precise] = ACTIONS(2520),
    [anon_sym_shared] = ACTIONS(2520),
    [anon_sym_groupshared] = ACTIONS(2520),
    [anon_sym_uniform] = ACTIONS(2520),
    [anon_sym_row_major] = ACTIONS(2520),
    [anon_sym_column_major] = ACTIONS(2520),
    [anon_sym_globallycoherent] = ACTIONS(2520),
    [anon_sym_centroid] = ACTIONS(2520),
    [anon_sym_noperspective] = ACTIONS(2520),
    [anon_sym_nointerpolation] = ACTIONS(2520),
    [anon_sym_sample] = ACTIONS(2520),
    [anon_sym_linear] = ACTIONS(2520),
    [anon_sym_snorm] = ACTIONS(2520),
    [anon_sym_unorm] = ACTIONS(2520),
    [anon_sym_point] = ACTIONS(2520),
    [anon_sym_line] = ACTIONS(2520),
    [anon_sym_triangleadj] = ACTIONS(2520),
    [anon_sym_lineadj] = ACTIONS(2520),
    [anon_sym_triangle] = ACTIONS(2520),
    [anon_sym_cbuffer] = ACTIONS(2520),
  },
  [603] = {
    [sym_identifier] = ACTIONS(2520),
    [aux_sym_preproc_include_token1] = ACTIONS(2520),
    [aux_sym_preproc_def_token1] = ACTIONS(2520),
    [aux_sym_preproc_if_token1] = ACTIONS(2520),
    [aux_sym_preproc_if_token2] = ACTIONS(2520),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2520),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2520),
    [aux_sym_preproc_else_token1] = ACTIONS(2520),
    [aux_sym_preproc_elif_token1] = ACTIONS(2520),
    [sym_preproc_directive] = ACTIONS(2520),
    [anon_sym_LPAREN2] = ACTIONS(2522),
    [anon_sym_BANG] = ACTIONS(2522),
    [anon_sym_TILDE] = ACTIONS(2522),
    [anon_sym_DASH] = ACTIONS(2520),
    [anon_sym_PLUS] = ACTIONS(2520),
    [anon_sym_STAR] = ACTIONS(2522),
    [anon_sym_AMP_AMP] = ACTIONS(2522),
    [anon_sym_AMP] = ACTIONS(2520),
    [anon_sym_SEMI] = ACTIONS(2522),
    [anon_sym___extension__] = ACTIONS(2520),
    [anon_sym_typedef] = ACTIONS(2520),
    [anon_sym_in] = ACTIONS(2520),
    [anon_sym_out] = ACTIONS(2520),
    [anon_sym_inout] = ACTIONS(2520),
    [anon_sym_extern] = ACTIONS(2520),
    [anon_sym___attribute__] = ACTIONS(2520),
    [anon_sym_COLON_COLON] = ACTIONS(2522),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2522),
    [anon_sym___declspec] = ACTIONS(2520),
    [anon_sym___based] = ACTIONS(2520),
    [anon_sym___cdecl] = ACTIONS(2520),
    [anon_sym___clrcall] = ACTIONS(2520),
    [anon_sym___stdcall] = ACTIONS(2520),
    [anon_sym___fastcall] = ACTIONS(2520),
    [anon_sym___thiscall] = ACTIONS(2520),
    [anon_sym___vectorcall] = ACTIONS(2520),
    [anon_sym_LBRACE] = ACTIONS(2522),
    [anon_sym_signed] = ACTIONS(2520),
    [anon_sym_unsigned] = ACTIONS(2520),
    [anon_sym_long] = ACTIONS(2520),
    [anon_sym_short] = ACTIONS(2520),
    [anon_sym_LBRACK] = ACTIONS(2520),
    [anon_sym_static] = ACTIONS(2520),
    [anon_sym_register] = ACTIONS(2520),
    [anon_sym_inline] = ACTIONS(2520),
    [anon_sym___inline] = ACTIONS(2520),
    [anon_sym___inline__] = ACTIONS(2520),
    [anon_sym___forceinline] = ACTIONS(2520),
    [anon_sym_thread_local] = ACTIONS(2520),
    [anon_sym___thread] = ACTIONS(2520),
    [anon_sym_const] = ACTIONS(2520),
    [anon_sym_constexpr] = ACTIONS(2520),
    [anon_sym_volatile] = ACTIONS(2520),
    [anon_sym_restrict] = ACTIONS(2520),
    [anon_sym___restrict__] = ACTIONS(2520),
    [anon_sym__Atomic] = ACTIONS(2520),
    [anon_sym__Noreturn] = ACTIONS(2520),
    [anon_sym_noreturn] = ACTIONS(2520),
    [anon_sym_mutable] = ACTIONS(2520),
    [anon_sym_constinit] = ACTIONS(2520),
    [anon_sym_consteval] = ACTIONS(2520),
    [sym_primitive_type] = ACTIONS(2520),
    [anon_sym_enum] = ACTIONS(2520),
    [anon_sym_class] = ACTIONS(2520),
    [anon_sym_struct] = ACTIONS(2520),
    [anon_sym_union] = ACTIONS(2520),
    [anon_sym_if] = ACTIONS(2520),
    [anon_sym_switch] = ACTIONS(2520),
    [anon_sym_case] = ACTIONS(2520),
    [anon_sym_default] = ACTIONS(2520),
    [anon_sym_while] = ACTIONS(2520),
    [anon_sym_do] = ACTIONS(2520),
    [anon_sym_for] = ACTIONS(2520),
    [anon_sym_return] = ACTIONS(2520),
    [anon_sym_break] = ACTIONS(2520),
    [anon_sym_continue] = ACTIONS(2520),
    [anon_sym_goto] = ACTIONS(2520),
    [anon_sym___try] = ACTIONS(2520),
    [anon_sym___leave] = ACTIONS(2520),
    [anon_sym_not] = ACTIONS(2520),
    [anon_sym_compl] = ACTIONS(2520),
    [anon_sym_DASH_DASH] = ACTIONS(2522),
    [anon_sym_PLUS_PLUS] = ACTIONS(2522),
    [anon_sym_sizeof] = ACTIONS(2520),
    [anon_sym___alignof__] = ACTIONS(2520),
    [anon_sym___alignof] = ACTIONS(2520),
    [anon_sym__alignof] = ACTIONS(2520),
    [anon_sym_alignof] = ACTIONS(2520),
    [anon_sym__Alignof] = ACTIONS(2520),
    [anon_sym_offsetof] = ACTIONS(2520),
    [anon_sym__Generic] = ACTIONS(2520),
    [anon_sym_asm] = ACTIONS(2520),
    [anon_sym___asm__] = ACTIONS(2520),
    [sym_number_literal] = ACTIONS(2522),
    [anon_sym_L_SQUOTE] = ACTIONS(2522),
    [anon_sym_u_SQUOTE] = ACTIONS(2522),
    [anon_sym_U_SQUOTE] = ACTIONS(2522),
    [anon_sym_u8_SQUOTE] = ACTIONS(2522),
    [anon_sym_SQUOTE] = ACTIONS(2522),
    [anon_sym_L_DQUOTE] = ACTIONS(2522),
    [anon_sym_u_DQUOTE] = ACTIONS(2522),
    [anon_sym_U_DQUOTE] = ACTIONS(2522),
    [anon_sym_u8_DQUOTE] = ACTIONS(2522),
    [anon_sym_DQUOTE] = ACTIONS(2522),
    [sym_true] = ACTIONS(2520),
    [sym_false] = ACTIONS(2520),
    [anon_sym_NULL] = ACTIONS(2520),
    [anon_sym_nullptr] = ACTIONS(2520),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2520),
    [anon_sym_decltype] = ACTIONS(2520),
    [anon_sym_virtual] = ACTIONS(2520),
    [anon_sym_alignas] = ACTIONS(2520),
    [anon_sym_explicit] = ACTIONS(2520),
    [anon_sym_typename] = ACTIONS(2520),
    [anon_sym_template] = ACTIONS(2520),
    [anon_sym_operator] = ACTIONS(2520),
    [anon_sym_try] = ACTIONS(2520),
    [anon_sym_delete] = ACTIONS(2520),
    [anon_sym_throw] = ACTIONS(2520),
    [anon_sym_namespace] = ACTIONS(2520),
    [anon_sym_using] = ACTIONS(2520),
    [anon_sym_static_assert] = ACTIONS(2520),
    [anon_sym_concept] = ACTIONS(2520),
    [anon_sym_co_return] = ACTIONS(2520),
    [anon_sym_co_yield] = ACTIONS(2520),
    [anon_sym_R_DQUOTE] = ACTIONS(2522),
    [anon_sym_LR_DQUOTE] = ACTIONS(2522),
    [anon_sym_uR_DQUOTE] = ACTIONS(2522),
    [anon_sym_UR_DQUOTE] = ACTIONS(2522),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2522),
    [anon_sym_co_await] = ACTIONS(2520),
    [anon_sym_new] = ACTIONS(2520),
    [anon_sym_requires] = ACTIONS(2520),
    [sym_this] = ACTIONS(2520),
    [anon_sym_discard] = ACTIONS(2520),
    [anon_sym_precise] = ACTIONS(2520),
    [anon_sym_shared] = ACTIONS(2520),
    [anon_sym_groupshared] = ACTIONS(2520),
    [anon_sym_uniform] = ACTIONS(2520),
    [anon_sym_row_major] = ACTIONS(2520),
    [anon_sym_column_major] = ACTIONS(2520),
    [anon_sym_globallycoherent] = ACTIONS(2520),
    [anon_sym_centroid] = ACTIONS(2520),
    [anon_sym_noperspective] = ACTIONS(2520),
    [anon_sym_nointerpolation] = ACTIONS(2520),
    [anon_sym_sample] = ACTIONS(2520),
    [anon_sym_linear] = ACTIONS(2520),
    [anon_sym_snorm] = ACTIONS(2520),
    [anon_sym_unorm] = ACTIONS(2520),
    [anon_sym_point] = ACTIONS(2520),
    [anon_sym_line] = ACTIONS(2520),
    [anon_sym_triangleadj] = ACTIONS(2520),
    [anon_sym_lineadj] = ACTIONS(2520),
    [anon_sym_triangle] = ACTIONS(2520),
    [anon_sym_cbuffer] = ACTIONS(2520),
  },
  [604] = {
    [sym_identifier] = ACTIONS(2520),
    [aux_sym_preproc_include_token1] = ACTIONS(2520),
    [aux_sym_preproc_def_token1] = ACTIONS(2520),
    [aux_sym_preproc_if_token1] = ACTIONS(2520),
    [aux_sym_preproc_if_token2] = ACTIONS(2520),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2520),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2520),
    [aux_sym_preproc_else_token1] = ACTIONS(2520),
    [aux_sym_preproc_elif_token1] = ACTIONS(2520),
    [sym_preproc_directive] = ACTIONS(2520),
    [anon_sym_LPAREN2] = ACTIONS(2522),
    [anon_sym_BANG] = ACTIONS(2522),
    [anon_sym_TILDE] = ACTIONS(2522),
    [anon_sym_DASH] = ACTIONS(2520),
    [anon_sym_PLUS] = ACTIONS(2520),
    [anon_sym_STAR] = ACTIONS(2522),
    [anon_sym_AMP_AMP] = ACTIONS(2522),
    [anon_sym_AMP] = ACTIONS(2520),
    [anon_sym_SEMI] = ACTIONS(2522),
    [anon_sym___extension__] = ACTIONS(2520),
    [anon_sym_typedef] = ACTIONS(2520),
    [anon_sym_in] = ACTIONS(2520),
    [anon_sym_out] = ACTIONS(2520),
    [anon_sym_inout] = ACTIONS(2520),
    [anon_sym_extern] = ACTIONS(2520),
    [anon_sym___attribute__] = ACTIONS(2520),
    [anon_sym_COLON_COLON] = ACTIONS(2522),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2522),
    [anon_sym___declspec] = ACTIONS(2520),
    [anon_sym___based] = ACTIONS(2520),
    [anon_sym___cdecl] = ACTIONS(2520),
    [anon_sym___clrcall] = ACTIONS(2520),
    [anon_sym___stdcall] = ACTIONS(2520),
    [anon_sym___fastcall] = ACTIONS(2520),
    [anon_sym___thiscall] = ACTIONS(2520),
    [anon_sym___vectorcall] = ACTIONS(2520),
    [anon_sym_LBRACE] = ACTIONS(2522),
    [anon_sym_signed] = ACTIONS(2520),
    [anon_sym_unsigned] = ACTIONS(2520),
    [anon_sym_long] = ACTIONS(2520),
    [anon_sym_short] = ACTIONS(2520),
    [anon_sym_LBRACK] = ACTIONS(2520),
    [anon_sym_static] = ACTIONS(2520),
    [anon_sym_register] = ACTIONS(2520),
    [anon_sym_inline] = ACTIONS(2520),
    [anon_sym___inline] = ACTIONS(2520),
    [anon_sym___inline__] = ACTIONS(2520),
    [anon_sym___forceinline] = ACTIONS(2520),
    [anon_sym_thread_local] = ACTIONS(2520),
    [anon_sym___thread] = ACTIONS(2520),
    [anon_sym_const] = ACTIONS(2520),
    [anon_sym_constexpr] = ACTIONS(2520),
    [anon_sym_volatile] = ACTIONS(2520),
    [anon_sym_restrict] = ACTIONS(2520),
    [anon_sym___restrict__] = ACTIONS(2520),
    [anon_sym__Atomic] = ACTIONS(2520),
    [anon_sym__Noreturn] = ACTIONS(2520),
    [anon_sym_noreturn] = ACTIONS(2520),
    [anon_sym_mutable] = ACTIONS(2520),
    [anon_sym_constinit] = ACTIONS(2520),
    [anon_sym_consteval] = ACTIONS(2520),
    [sym_primitive_type] = ACTIONS(2520),
    [anon_sym_enum] = ACTIONS(2520),
    [anon_sym_class] = ACTIONS(2520),
    [anon_sym_struct] = ACTIONS(2520),
    [anon_sym_union] = ACTIONS(2520),
    [anon_sym_if] = ACTIONS(2520),
    [anon_sym_switch] = ACTIONS(2520),
    [anon_sym_case] = ACTIONS(2520),
    [anon_sym_default] = ACTIONS(2520),
    [anon_sym_while] = ACTIONS(2520),
    [anon_sym_do] = ACTIONS(2520),
    [anon_sym_for] = ACTIONS(2520),
    [anon_sym_return] = ACTIONS(2520),
    [anon_sym_break] = ACTIONS(2520),
    [anon_sym_continue] = ACTIONS(2520),
    [anon_sym_goto] = ACTIONS(2520),
    [anon_sym___try] = ACTIONS(2520),
    [anon_sym___leave] = ACTIONS(2520),
    [anon_sym_not] = ACTIONS(2520),
    [anon_sym_compl] = ACTIONS(2520),
    [anon_sym_DASH_DASH] = ACTIONS(2522),
    [anon_sym_PLUS_PLUS] = ACTIONS(2522),
    [anon_sym_sizeof] = ACTIONS(2520),
    [anon_sym___alignof__] = ACTIONS(2520),
    [anon_sym___alignof] = ACTIONS(2520),
    [anon_sym__alignof] = ACTIONS(2520),
    [anon_sym_alignof] = ACTIONS(2520),
    [anon_sym__Alignof] = ACTIONS(2520),
    [anon_sym_offsetof] = ACTIONS(2520),
    [anon_sym__Generic] = ACTIONS(2520),
    [anon_sym_asm] = ACTIONS(2520),
    [anon_sym___asm__] = ACTIONS(2520),
    [sym_number_literal] = ACTIONS(2522),
    [anon_sym_L_SQUOTE] = ACTIONS(2522),
    [anon_sym_u_SQUOTE] = ACTIONS(2522),
    [anon_sym_U_SQUOTE] = ACTIONS(2522),
    [anon_sym_u8_SQUOTE] = ACTIONS(2522),
    [anon_sym_SQUOTE] = ACTIONS(2522),
    [anon_sym_L_DQUOTE] = ACTIONS(2522),
    [anon_sym_u_DQUOTE] = ACTIONS(2522),
    [anon_sym_U_DQUOTE] = ACTIONS(2522),
    [anon_sym_u8_DQUOTE] = ACTIONS(2522),
    [anon_sym_DQUOTE] = ACTIONS(2522),
    [sym_true] = ACTIONS(2520),
    [sym_false] = ACTIONS(2520),
    [anon_sym_NULL] = ACTIONS(2520),
    [anon_sym_nullptr] = ACTIONS(2520),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2520),
    [anon_sym_decltype] = ACTIONS(2520),
    [anon_sym_virtual] = ACTIONS(2520),
    [anon_sym_alignas] = ACTIONS(2520),
    [anon_sym_explicit] = ACTIONS(2520),
    [anon_sym_typename] = ACTIONS(2520),
    [anon_sym_template] = ACTIONS(2520),
    [anon_sym_operator] = ACTIONS(2520),
    [anon_sym_try] = ACTIONS(2520),
    [anon_sym_delete] = ACTIONS(2520),
    [anon_sym_throw] = ACTIONS(2520),
    [anon_sym_namespace] = ACTIONS(2520),
    [anon_sym_using] = ACTIONS(2520),
    [anon_sym_static_assert] = ACTIONS(2520),
    [anon_sym_concept] = ACTIONS(2520),
    [anon_sym_co_return] = ACTIONS(2520),
    [anon_sym_co_yield] = ACTIONS(2520),
    [anon_sym_R_DQUOTE] = ACTIONS(2522),
    [anon_sym_LR_DQUOTE] = ACTIONS(2522),
    [anon_sym_uR_DQUOTE] = ACTIONS(2522),
    [anon_sym_UR_DQUOTE] = ACTIONS(2522),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2522),
    [anon_sym_co_await] = ACTIONS(2520),
    [anon_sym_new] = ACTIONS(2520),
    [anon_sym_requires] = ACTIONS(2520),
    [sym_this] = ACTIONS(2520),
    [anon_sym_discard] = ACTIONS(2520),
    [anon_sym_precise] = ACTIONS(2520),
    [anon_sym_shared] = ACTIONS(2520),
    [anon_sym_groupshared] = ACTIONS(2520),
    [anon_sym_uniform] = ACTIONS(2520),
    [anon_sym_row_major] = ACTIONS(2520),
    [anon_sym_column_major] = ACTIONS(2520),
    [anon_sym_globallycoherent] = ACTIONS(2520),
    [anon_sym_centroid] = ACTIONS(2520),
    [anon_sym_noperspective] = ACTIONS(2520),
    [anon_sym_nointerpolation] = ACTIONS(2520),
    [anon_sym_sample] = ACTIONS(2520),
    [anon_sym_linear] = ACTIONS(2520),
    [anon_sym_snorm] = ACTIONS(2520),
    [anon_sym_unorm] = ACTIONS(2520),
    [anon_sym_point] = ACTIONS(2520),
    [anon_sym_line] = ACTIONS(2520),
    [anon_sym_triangleadj] = ACTIONS(2520),
    [anon_sym_lineadj] = ACTIONS(2520),
    [anon_sym_triangle] = ACTIONS(2520),
    [anon_sym_cbuffer] = ACTIONS(2520),
  },
  [605] = {
    [sym_else_clause] = STATE(709),
    [ts_builtin_sym_end] = ACTIONS(2312),
    [sym_identifier] = ACTIONS(2310),
    [aux_sym_preproc_include_token1] = ACTIONS(2310),
    [aux_sym_preproc_def_token1] = ACTIONS(2310),
    [aux_sym_preproc_if_token1] = ACTIONS(2310),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2310),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2310),
    [sym_preproc_directive] = ACTIONS(2310),
    [anon_sym_LPAREN2] = ACTIONS(2312),
    [anon_sym_BANG] = ACTIONS(2312),
    [anon_sym_TILDE] = ACTIONS(2312),
    [anon_sym_DASH] = ACTIONS(2310),
    [anon_sym_PLUS] = ACTIONS(2310),
    [anon_sym_STAR] = ACTIONS(2312),
    [anon_sym_AMP_AMP] = ACTIONS(2312),
    [anon_sym_AMP] = ACTIONS(2310),
    [anon_sym_SEMI] = ACTIONS(2312),
    [anon_sym___extension__] = ACTIONS(2310),
    [anon_sym_typedef] = ACTIONS(2310),
    [anon_sym_in] = ACTIONS(2310),
    [anon_sym_out] = ACTIONS(2310),
    [anon_sym_inout] = ACTIONS(2310),
    [anon_sym_extern] = ACTIONS(2310),
    [anon_sym___attribute__] = ACTIONS(2310),
    [anon_sym_COLON_COLON] = ACTIONS(2312),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2312),
    [anon_sym___declspec] = ACTIONS(2310),
    [anon_sym___based] = ACTIONS(2310),
    [anon_sym___cdecl] = ACTIONS(2310),
    [anon_sym___clrcall] = ACTIONS(2310),
    [anon_sym___stdcall] = ACTIONS(2310),
    [anon_sym___fastcall] = ACTIONS(2310),
    [anon_sym___thiscall] = ACTIONS(2310),
    [anon_sym___vectorcall] = ACTIONS(2310),
    [anon_sym_LBRACE] = ACTIONS(2312),
    [anon_sym_signed] = ACTIONS(2310),
    [anon_sym_unsigned] = ACTIONS(2310),
    [anon_sym_long] = ACTIONS(2310),
    [anon_sym_short] = ACTIONS(2310),
    [anon_sym_LBRACK] = ACTIONS(2310),
    [anon_sym_static] = ACTIONS(2310),
    [anon_sym_register] = ACTIONS(2310),
    [anon_sym_inline] = ACTIONS(2310),
    [anon_sym___inline] = ACTIONS(2310),
    [anon_sym___inline__] = ACTIONS(2310),
    [anon_sym___forceinline] = ACTIONS(2310),
    [anon_sym_thread_local] = ACTIONS(2310),
    [anon_sym___thread] = ACTIONS(2310),
    [anon_sym_const] = ACTIONS(2310),
    [anon_sym_constexpr] = ACTIONS(2310),
    [anon_sym_volatile] = ACTIONS(2310),
    [anon_sym_restrict] = ACTIONS(2310),
    [anon_sym___restrict__] = ACTIONS(2310),
    [anon_sym__Atomic] = ACTIONS(2310),
    [anon_sym__Noreturn] = ACTIONS(2310),
    [anon_sym_noreturn] = ACTIONS(2310),
    [anon_sym_mutable] = ACTIONS(2310),
    [anon_sym_constinit] = ACTIONS(2310),
    [anon_sym_consteval] = ACTIONS(2310),
    [sym_primitive_type] = ACTIONS(2310),
    [anon_sym_enum] = ACTIONS(2310),
    [anon_sym_class] = ACTIONS(2310),
    [anon_sym_struct] = ACTIONS(2310),
    [anon_sym_union] = ACTIONS(2310),
    [anon_sym_if] = ACTIONS(2310),
    [anon_sym_else] = ACTIONS(2944),
    [anon_sym_switch] = ACTIONS(2310),
    [anon_sym_case] = ACTIONS(2310),
    [anon_sym_default] = ACTIONS(2310),
    [anon_sym_while] = ACTIONS(2310),
    [anon_sym_do] = ACTIONS(2310),
    [anon_sym_for] = ACTIONS(2310),
    [anon_sym_return] = ACTIONS(2310),
    [anon_sym_break] = ACTIONS(2310),
    [anon_sym_continue] = ACTIONS(2310),
    [anon_sym_goto] = ACTIONS(2310),
    [anon_sym___try] = ACTIONS(2310),
    [anon_sym___leave] = ACTIONS(2310),
    [anon_sym_not] = ACTIONS(2310),
    [anon_sym_compl] = ACTIONS(2310),
    [anon_sym_DASH_DASH] = ACTIONS(2312),
    [anon_sym_PLUS_PLUS] = ACTIONS(2312),
    [anon_sym_sizeof] = ACTIONS(2310),
    [anon_sym___alignof__] = ACTIONS(2310),
    [anon_sym___alignof] = ACTIONS(2310),
    [anon_sym__alignof] = ACTIONS(2310),
    [anon_sym_alignof] = ACTIONS(2310),
    [anon_sym__Alignof] = ACTIONS(2310),
    [anon_sym_offsetof] = ACTIONS(2310),
    [anon_sym__Generic] = ACTIONS(2310),
    [anon_sym_asm] = ACTIONS(2310),
    [anon_sym___asm__] = ACTIONS(2310),
    [sym_number_literal] = ACTIONS(2312),
    [anon_sym_L_SQUOTE] = ACTIONS(2312),
    [anon_sym_u_SQUOTE] = ACTIONS(2312),
    [anon_sym_U_SQUOTE] = ACTIONS(2312),
    [anon_sym_u8_SQUOTE] = ACTIONS(2312),
    [anon_sym_SQUOTE] = ACTIONS(2312),
    [anon_sym_L_DQUOTE] = ACTIONS(2312),
    [anon_sym_u_DQUOTE] = ACTIONS(2312),
    [anon_sym_U_DQUOTE] = ACTIONS(2312),
    [anon_sym_u8_DQUOTE] = ACTIONS(2312),
    [anon_sym_DQUOTE] = ACTIONS(2312),
    [sym_true] = ACTIONS(2310),
    [sym_false] = ACTIONS(2310),
    [anon_sym_NULL] = ACTIONS(2310),
    [anon_sym_nullptr] = ACTIONS(2310),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2310),
    [anon_sym_decltype] = ACTIONS(2310),
    [anon_sym_virtual] = ACTIONS(2310),
    [anon_sym_alignas] = ACTIONS(2310),
    [anon_sym_explicit] = ACTIONS(2310),
    [anon_sym_typename] = ACTIONS(2310),
    [anon_sym_template] = ACTIONS(2310),
    [anon_sym_operator] = ACTIONS(2310),
    [anon_sym_try] = ACTIONS(2310),
    [anon_sym_delete] = ACTIONS(2310),
    [anon_sym_throw] = ACTIONS(2310),
    [anon_sym_namespace] = ACTIONS(2310),
    [anon_sym_using] = ACTIONS(2310),
    [anon_sym_static_assert] = ACTIONS(2310),
    [anon_sym_concept] = ACTIONS(2310),
    [anon_sym_co_return] = ACTIONS(2310),
    [anon_sym_co_yield] = ACTIONS(2310),
    [anon_sym_R_DQUOTE] = ACTIONS(2312),
    [anon_sym_LR_DQUOTE] = ACTIONS(2312),
    [anon_sym_uR_DQUOTE] = ACTIONS(2312),
    [anon_sym_UR_DQUOTE] = ACTIONS(2312),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2312),
    [anon_sym_co_await] = ACTIONS(2310),
    [anon_sym_new] = ACTIONS(2310),
    [anon_sym_requires] = ACTIONS(2310),
    [sym_this] = ACTIONS(2310),
    [anon_sym_discard] = ACTIONS(2310),
    [anon_sym_precise] = ACTIONS(2310),
    [anon_sym_shared] = ACTIONS(2310),
    [anon_sym_groupshared] = ACTIONS(2310),
    [anon_sym_uniform] = ACTIONS(2310),
    [anon_sym_row_major] = ACTIONS(2310),
    [anon_sym_column_major] = ACTIONS(2310),
    [anon_sym_globallycoherent] = ACTIONS(2310),
    [anon_sym_centroid] = ACTIONS(2310),
    [anon_sym_noperspective] = ACTIONS(2310),
    [anon_sym_nointerpolation] = ACTIONS(2310),
    [anon_sym_sample] = ACTIONS(2310),
    [anon_sym_linear] = ACTIONS(2310),
    [anon_sym_snorm] = ACTIONS(2310),
    [anon_sym_unorm] = ACTIONS(2310),
    [anon_sym_point] = ACTIONS(2310),
    [anon_sym_line] = ACTIONS(2310),
    [anon_sym_triangleadj] = ACTIONS(2310),
    [anon_sym_lineadj] = ACTIONS(2310),
    [anon_sym_triangle] = ACTIONS(2310),
    [anon_sym_cbuffer] = ACTIONS(2310),
  },
  [606] = {
    [sym_identifier] = ACTIONS(2617),
    [aux_sym_preproc_include_token1] = ACTIONS(2617),
    [aux_sym_preproc_def_token1] = ACTIONS(2617),
    [aux_sym_preproc_if_token1] = ACTIONS(2617),
    [aux_sym_preproc_if_token2] = ACTIONS(2617),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2617),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2617),
    [aux_sym_preproc_else_token1] = ACTIONS(2617),
    [aux_sym_preproc_elif_token1] = ACTIONS(2617),
    [sym_preproc_directive] = ACTIONS(2617),
    [anon_sym_LPAREN2] = ACTIONS(2619),
    [anon_sym_BANG] = ACTIONS(2619),
    [anon_sym_TILDE] = ACTIONS(2619),
    [anon_sym_DASH] = ACTIONS(2617),
    [anon_sym_PLUS] = ACTIONS(2617),
    [anon_sym_STAR] = ACTIONS(2619),
    [anon_sym_AMP_AMP] = ACTIONS(2619),
    [anon_sym_AMP] = ACTIONS(2617),
    [anon_sym_SEMI] = ACTIONS(2619),
    [anon_sym___extension__] = ACTIONS(2617),
    [anon_sym_typedef] = ACTIONS(2617),
    [anon_sym_in] = ACTIONS(2617),
    [anon_sym_out] = ACTIONS(2617),
    [anon_sym_inout] = ACTIONS(2617),
    [anon_sym_extern] = ACTIONS(2617),
    [anon_sym___attribute__] = ACTIONS(2617),
    [anon_sym_COLON_COLON] = ACTIONS(2619),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2619),
    [anon_sym___declspec] = ACTIONS(2617),
    [anon_sym___based] = ACTIONS(2617),
    [anon_sym___cdecl] = ACTIONS(2617),
    [anon_sym___clrcall] = ACTIONS(2617),
    [anon_sym___stdcall] = ACTIONS(2617),
    [anon_sym___fastcall] = ACTIONS(2617),
    [anon_sym___thiscall] = ACTIONS(2617),
    [anon_sym___vectorcall] = ACTIONS(2617),
    [anon_sym_LBRACE] = ACTIONS(2619),
    [anon_sym_signed] = ACTIONS(2617),
    [anon_sym_unsigned] = ACTIONS(2617),
    [anon_sym_long] = ACTIONS(2617),
    [anon_sym_short] = ACTIONS(2617),
    [anon_sym_LBRACK] = ACTIONS(2617),
    [anon_sym_static] = ACTIONS(2617),
    [anon_sym_register] = ACTIONS(2617),
    [anon_sym_inline] = ACTIONS(2617),
    [anon_sym___inline] = ACTIONS(2617),
    [anon_sym___inline__] = ACTIONS(2617),
    [anon_sym___forceinline] = ACTIONS(2617),
    [anon_sym_thread_local] = ACTIONS(2617),
    [anon_sym___thread] = ACTIONS(2617),
    [anon_sym_const] = ACTIONS(2617),
    [anon_sym_constexpr] = ACTIONS(2617),
    [anon_sym_volatile] = ACTIONS(2617),
    [anon_sym_restrict] = ACTIONS(2617),
    [anon_sym___restrict__] = ACTIONS(2617),
    [anon_sym__Atomic] = ACTIONS(2617),
    [anon_sym__Noreturn] = ACTIONS(2617),
    [anon_sym_noreturn] = ACTIONS(2617),
    [anon_sym_mutable] = ACTIONS(2617),
    [anon_sym_constinit] = ACTIONS(2617),
    [anon_sym_consteval] = ACTIONS(2617),
    [sym_primitive_type] = ACTIONS(2617),
    [anon_sym_enum] = ACTIONS(2617),
    [anon_sym_class] = ACTIONS(2617),
    [anon_sym_struct] = ACTIONS(2617),
    [anon_sym_union] = ACTIONS(2617),
    [anon_sym_if] = ACTIONS(2617),
    [anon_sym_switch] = ACTIONS(2617),
    [anon_sym_case] = ACTIONS(2617),
    [anon_sym_default] = ACTIONS(2617),
    [anon_sym_while] = ACTIONS(2617),
    [anon_sym_do] = ACTIONS(2617),
    [anon_sym_for] = ACTIONS(2617),
    [anon_sym_return] = ACTIONS(2617),
    [anon_sym_break] = ACTIONS(2617),
    [anon_sym_continue] = ACTIONS(2617),
    [anon_sym_goto] = ACTIONS(2617),
    [anon_sym___try] = ACTIONS(2617),
    [anon_sym___leave] = ACTIONS(2617),
    [anon_sym_not] = ACTIONS(2617),
    [anon_sym_compl] = ACTIONS(2617),
    [anon_sym_DASH_DASH] = ACTIONS(2619),
    [anon_sym_PLUS_PLUS] = ACTIONS(2619),
    [anon_sym_sizeof] = ACTIONS(2617),
    [anon_sym___alignof__] = ACTIONS(2617),
    [anon_sym___alignof] = ACTIONS(2617),
    [anon_sym__alignof] = ACTIONS(2617),
    [anon_sym_alignof] = ACTIONS(2617),
    [anon_sym__Alignof] = ACTIONS(2617),
    [anon_sym_offsetof] = ACTIONS(2617),
    [anon_sym__Generic] = ACTIONS(2617),
    [anon_sym_asm] = ACTIONS(2617),
    [anon_sym___asm__] = ACTIONS(2617),
    [sym_number_literal] = ACTIONS(2619),
    [anon_sym_L_SQUOTE] = ACTIONS(2619),
    [anon_sym_u_SQUOTE] = ACTIONS(2619),
    [anon_sym_U_SQUOTE] = ACTIONS(2619),
    [anon_sym_u8_SQUOTE] = ACTIONS(2619),
    [anon_sym_SQUOTE] = ACTIONS(2619),
    [anon_sym_L_DQUOTE] = ACTIONS(2619),
    [anon_sym_u_DQUOTE] = ACTIONS(2619),
    [anon_sym_U_DQUOTE] = ACTIONS(2619),
    [anon_sym_u8_DQUOTE] = ACTIONS(2619),
    [anon_sym_DQUOTE] = ACTIONS(2619),
    [sym_true] = ACTIONS(2617),
    [sym_false] = ACTIONS(2617),
    [anon_sym_NULL] = ACTIONS(2617),
    [anon_sym_nullptr] = ACTIONS(2617),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2617),
    [anon_sym_decltype] = ACTIONS(2617),
    [anon_sym_virtual] = ACTIONS(2617),
    [anon_sym_alignas] = ACTIONS(2617),
    [anon_sym_explicit] = ACTIONS(2617),
    [anon_sym_typename] = ACTIONS(2617),
    [anon_sym_template] = ACTIONS(2617),
    [anon_sym_operator] = ACTIONS(2617),
    [anon_sym_try] = ACTIONS(2617),
    [anon_sym_delete] = ACTIONS(2617),
    [anon_sym_throw] = ACTIONS(2617),
    [anon_sym_namespace] = ACTIONS(2617),
    [anon_sym_using] = ACTIONS(2617),
    [anon_sym_static_assert] = ACTIONS(2617),
    [anon_sym_concept] = ACTIONS(2617),
    [anon_sym_co_return] = ACTIONS(2617),
    [anon_sym_co_yield] = ACTIONS(2617),
    [anon_sym_R_DQUOTE] = ACTIONS(2619),
    [anon_sym_LR_DQUOTE] = ACTIONS(2619),
    [anon_sym_uR_DQUOTE] = ACTIONS(2619),
    [anon_sym_UR_DQUOTE] = ACTIONS(2619),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2619),
    [anon_sym_co_await] = ACTIONS(2617),
    [anon_sym_new] = ACTIONS(2617),
    [anon_sym_requires] = ACTIONS(2617),
    [sym_this] = ACTIONS(2617),
    [anon_sym_discard] = ACTIONS(2617),
    [anon_sym_precise] = ACTIONS(2617),
    [anon_sym_shared] = ACTIONS(2617),
    [anon_sym_groupshared] = ACTIONS(2617),
    [anon_sym_uniform] = ACTIONS(2617),
    [anon_sym_row_major] = ACTIONS(2617),
    [anon_sym_column_major] = ACTIONS(2617),
    [anon_sym_globallycoherent] = ACTIONS(2617),
    [anon_sym_centroid] = ACTIONS(2617),
    [anon_sym_noperspective] = ACTIONS(2617),
    [anon_sym_nointerpolation] = ACTIONS(2617),
    [anon_sym_sample] = ACTIONS(2617),
    [anon_sym_linear] = ACTIONS(2617),
    [anon_sym_snorm] = ACTIONS(2617),
    [anon_sym_unorm] = ACTIONS(2617),
    [anon_sym_point] = ACTIONS(2617),
    [anon_sym_line] = ACTIONS(2617),
    [anon_sym_triangleadj] = ACTIONS(2617),
    [anon_sym_lineadj] = ACTIONS(2617),
    [anon_sym_triangle] = ACTIONS(2617),
    [anon_sym_cbuffer] = ACTIONS(2617),
  },
  [607] = {
    [sym_identifier] = ACTIONS(2617),
    [aux_sym_preproc_include_token1] = ACTIONS(2617),
    [aux_sym_preproc_def_token1] = ACTIONS(2617),
    [aux_sym_preproc_if_token1] = ACTIONS(2617),
    [aux_sym_preproc_if_token2] = ACTIONS(2617),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2617),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2617),
    [aux_sym_preproc_else_token1] = ACTIONS(2617),
    [aux_sym_preproc_elif_token1] = ACTIONS(2617),
    [sym_preproc_directive] = ACTIONS(2617),
    [anon_sym_LPAREN2] = ACTIONS(2619),
    [anon_sym_BANG] = ACTIONS(2619),
    [anon_sym_TILDE] = ACTIONS(2619),
    [anon_sym_DASH] = ACTIONS(2617),
    [anon_sym_PLUS] = ACTIONS(2617),
    [anon_sym_STAR] = ACTIONS(2619),
    [anon_sym_AMP_AMP] = ACTIONS(2619),
    [anon_sym_AMP] = ACTIONS(2617),
    [anon_sym_SEMI] = ACTIONS(2619),
    [anon_sym___extension__] = ACTIONS(2617),
    [anon_sym_typedef] = ACTIONS(2617),
    [anon_sym_in] = ACTIONS(2617),
    [anon_sym_out] = ACTIONS(2617),
    [anon_sym_inout] = ACTIONS(2617),
    [anon_sym_extern] = ACTIONS(2617),
    [anon_sym___attribute__] = ACTIONS(2617),
    [anon_sym_COLON_COLON] = ACTIONS(2619),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2619),
    [anon_sym___declspec] = ACTIONS(2617),
    [anon_sym___based] = ACTIONS(2617),
    [anon_sym___cdecl] = ACTIONS(2617),
    [anon_sym___clrcall] = ACTIONS(2617),
    [anon_sym___stdcall] = ACTIONS(2617),
    [anon_sym___fastcall] = ACTIONS(2617),
    [anon_sym___thiscall] = ACTIONS(2617),
    [anon_sym___vectorcall] = ACTIONS(2617),
    [anon_sym_LBRACE] = ACTIONS(2619),
    [anon_sym_signed] = ACTIONS(2617),
    [anon_sym_unsigned] = ACTIONS(2617),
    [anon_sym_long] = ACTIONS(2617),
    [anon_sym_short] = ACTIONS(2617),
    [anon_sym_LBRACK] = ACTIONS(2617),
    [anon_sym_static] = ACTIONS(2617),
    [anon_sym_register] = ACTIONS(2617),
    [anon_sym_inline] = ACTIONS(2617),
    [anon_sym___inline] = ACTIONS(2617),
    [anon_sym___inline__] = ACTIONS(2617),
    [anon_sym___forceinline] = ACTIONS(2617),
    [anon_sym_thread_local] = ACTIONS(2617),
    [anon_sym___thread] = ACTIONS(2617),
    [anon_sym_const] = ACTIONS(2617),
    [anon_sym_constexpr] = ACTIONS(2617),
    [anon_sym_volatile] = ACTIONS(2617),
    [anon_sym_restrict] = ACTIONS(2617),
    [anon_sym___restrict__] = ACTIONS(2617),
    [anon_sym__Atomic] = ACTIONS(2617),
    [anon_sym__Noreturn] = ACTIONS(2617),
    [anon_sym_noreturn] = ACTIONS(2617),
    [anon_sym_mutable] = ACTIONS(2617),
    [anon_sym_constinit] = ACTIONS(2617),
    [anon_sym_consteval] = ACTIONS(2617),
    [sym_primitive_type] = ACTIONS(2617),
    [anon_sym_enum] = ACTIONS(2617),
    [anon_sym_class] = ACTIONS(2617),
    [anon_sym_struct] = ACTIONS(2617),
    [anon_sym_union] = ACTIONS(2617),
    [anon_sym_if] = ACTIONS(2617),
    [anon_sym_switch] = ACTIONS(2617),
    [anon_sym_case] = ACTIONS(2617),
    [anon_sym_default] = ACTIONS(2617),
    [anon_sym_while] = ACTIONS(2617),
    [anon_sym_do] = ACTIONS(2617),
    [anon_sym_for] = ACTIONS(2617),
    [anon_sym_return] = ACTIONS(2617),
    [anon_sym_break] = ACTIONS(2617),
    [anon_sym_continue] = ACTIONS(2617),
    [anon_sym_goto] = ACTIONS(2617),
    [anon_sym___try] = ACTIONS(2617),
    [anon_sym___leave] = ACTIONS(2617),
    [anon_sym_not] = ACTIONS(2617),
    [anon_sym_compl] = ACTIONS(2617),
    [anon_sym_DASH_DASH] = ACTIONS(2619),
    [anon_sym_PLUS_PLUS] = ACTIONS(2619),
    [anon_sym_sizeof] = ACTIONS(2617),
    [anon_sym___alignof__] = ACTIONS(2617),
    [anon_sym___alignof] = ACTIONS(2617),
    [anon_sym__alignof] = ACTIONS(2617),
    [anon_sym_alignof] = ACTIONS(2617),
    [anon_sym__Alignof] = ACTIONS(2617),
    [anon_sym_offsetof] = ACTIONS(2617),
    [anon_sym__Generic] = ACTIONS(2617),
    [anon_sym_asm] = ACTIONS(2617),
    [anon_sym___asm__] = ACTIONS(2617),
    [sym_number_literal] = ACTIONS(2619),
    [anon_sym_L_SQUOTE] = ACTIONS(2619),
    [anon_sym_u_SQUOTE] = ACTIONS(2619),
    [anon_sym_U_SQUOTE] = ACTIONS(2619),
    [anon_sym_u8_SQUOTE] = ACTIONS(2619),
    [anon_sym_SQUOTE] = ACTIONS(2619),
    [anon_sym_L_DQUOTE] = ACTIONS(2619),
    [anon_sym_u_DQUOTE] = ACTIONS(2619),
    [anon_sym_U_DQUOTE] = ACTIONS(2619),
    [anon_sym_u8_DQUOTE] = ACTIONS(2619),
    [anon_sym_DQUOTE] = ACTIONS(2619),
    [sym_true] = ACTIONS(2617),
    [sym_false] = ACTIONS(2617),
    [anon_sym_NULL] = ACTIONS(2617),
    [anon_sym_nullptr] = ACTIONS(2617),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2617),
    [anon_sym_decltype] = ACTIONS(2617),
    [anon_sym_virtual] = ACTIONS(2617),
    [anon_sym_alignas] = ACTIONS(2617),
    [anon_sym_explicit] = ACTIONS(2617),
    [anon_sym_typename] = ACTIONS(2617),
    [anon_sym_template] = ACTIONS(2617),
    [anon_sym_operator] = ACTIONS(2617),
    [anon_sym_try] = ACTIONS(2617),
    [anon_sym_delete] = ACTIONS(2617),
    [anon_sym_throw] = ACTIONS(2617),
    [anon_sym_namespace] = ACTIONS(2617),
    [anon_sym_using] = ACTIONS(2617),
    [anon_sym_static_assert] = ACTIONS(2617),
    [anon_sym_concept] = ACTIONS(2617),
    [anon_sym_co_return] = ACTIONS(2617),
    [anon_sym_co_yield] = ACTIONS(2617),
    [anon_sym_R_DQUOTE] = ACTIONS(2619),
    [anon_sym_LR_DQUOTE] = ACTIONS(2619),
    [anon_sym_uR_DQUOTE] = ACTIONS(2619),
    [anon_sym_UR_DQUOTE] = ACTIONS(2619),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2619),
    [anon_sym_co_await] = ACTIONS(2617),
    [anon_sym_new] = ACTIONS(2617),
    [anon_sym_requires] = ACTIONS(2617),
    [sym_this] = ACTIONS(2617),
    [anon_sym_discard] = ACTIONS(2617),
    [anon_sym_precise] = ACTIONS(2617),
    [anon_sym_shared] = ACTIONS(2617),
    [anon_sym_groupshared] = ACTIONS(2617),
    [anon_sym_uniform] = ACTIONS(2617),
    [anon_sym_row_major] = ACTIONS(2617),
    [anon_sym_column_major] = ACTIONS(2617),
    [anon_sym_globallycoherent] = ACTIONS(2617),
    [anon_sym_centroid] = ACTIONS(2617),
    [anon_sym_noperspective] = ACTIONS(2617),
    [anon_sym_nointerpolation] = ACTIONS(2617),
    [anon_sym_sample] = ACTIONS(2617),
    [anon_sym_linear] = ACTIONS(2617),
    [anon_sym_snorm] = ACTIONS(2617),
    [anon_sym_unorm] = ACTIONS(2617),
    [anon_sym_point] = ACTIONS(2617),
    [anon_sym_line] = ACTIONS(2617),
    [anon_sym_triangleadj] = ACTIONS(2617),
    [anon_sym_lineadj] = ACTIONS(2617),
    [anon_sym_triangle] = ACTIONS(2617),
    [anon_sym_cbuffer] = ACTIONS(2617),
  },
  [608] = {
    [sym_identifier] = ACTIONS(2661),
    [aux_sym_preproc_include_token1] = ACTIONS(2661),
    [aux_sym_preproc_def_token1] = ACTIONS(2661),
    [aux_sym_preproc_if_token1] = ACTIONS(2661),
    [aux_sym_preproc_if_token2] = ACTIONS(2661),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2661),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2661),
    [aux_sym_preproc_else_token1] = ACTIONS(2661),
    [aux_sym_preproc_elif_token1] = ACTIONS(2661),
    [sym_preproc_directive] = ACTIONS(2661),
    [anon_sym_LPAREN2] = ACTIONS(2663),
    [anon_sym_BANG] = ACTIONS(2663),
    [anon_sym_TILDE] = ACTIONS(2663),
    [anon_sym_DASH] = ACTIONS(2661),
    [anon_sym_PLUS] = ACTIONS(2661),
    [anon_sym_STAR] = ACTIONS(2663),
    [anon_sym_AMP_AMP] = ACTIONS(2663),
    [anon_sym_AMP] = ACTIONS(2661),
    [anon_sym_SEMI] = ACTIONS(2663),
    [anon_sym___extension__] = ACTIONS(2661),
    [anon_sym_typedef] = ACTIONS(2661),
    [anon_sym_in] = ACTIONS(2661),
    [anon_sym_out] = ACTIONS(2661),
    [anon_sym_inout] = ACTIONS(2661),
    [anon_sym_extern] = ACTIONS(2661),
    [anon_sym___attribute__] = ACTIONS(2661),
    [anon_sym_COLON_COLON] = ACTIONS(2663),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2663),
    [anon_sym___declspec] = ACTIONS(2661),
    [anon_sym___based] = ACTIONS(2661),
    [anon_sym___cdecl] = ACTIONS(2661),
    [anon_sym___clrcall] = ACTIONS(2661),
    [anon_sym___stdcall] = ACTIONS(2661),
    [anon_sym___fastcall] = ACTIONS(2661),
    [anon_sym___thiscall] = ACTIONS(2661),
    [anon_sym___vectorcall] = ACTIONS(2661),
    [anon_sym_LBRACE] = ACTIONS(2663),
    [anon_sym_signed] = ACTIONS(2661),
    [anon_sym_unsigned] = ACTIONS(2661),
    [anon_sym_long] = ACTIONS(2661),
    [anon_sym_short] = ACTIONS(2661),
    [anon_sym_LBRACK] = ACTIONS(2661),
    [anon_sym_static] = ACTIONS(2661),
    [anon_sym_register] = ACTIONS(2661),
    [anon_sym_inline] = ACTIONS(2661),
    [anon_sym___inline] = ACTIONS(2661),
    [anon_sym___inline__] = ACTIONS(2661),
    [anon_sym___forceinline] = ACTIONS(2661),
    [anon_sym_thread_local] = ACTIONS(2661),
    [anon_sym___thread] = ACTIONS(2661),
    [anon_sym_const] = ACTIONS(2661),
    [anon_sym_constexpr] = ACTIONS(2661),
    [anon_sym_volatile] = ACTIONS(2661),
    [anon_sym_restrict] = ACTIONS(2661),
    [anon_sym___restrict__] = ACTIONS(2661),
    [anon_sym__Atomic] = ACTIONS(2661),
    [anon_sym__Noreturn] = ACTIONS(2661),
    [anon_sym_noreturn] = ACTIONS(2661),
    [anon_sym_mutable] = ACTIONS(2661),
    [anon_sym_constinit] = ACTIONS(2661),
    [anon_sym_consteval] = ACTIONS(2661),
    [sym_primitive_type] = ACTIONS(2661),
    [anon_sym_enum] = ACTIONS(2661),
    [anon_sym_class] = ACTIONS(2661),
    [anon_sym_struct] = ACTIONS(2661),
    [anon_sym_union] = ACTIONS(2661),
    [anon_sym_if] = ACTIONS(2661),
    [anon_sym_switch] = ACTIONS(2661),
    [anon_sym_case] = ACTIONS(2661),
    [anon_sym_default] = ACTIONS(2661),
    [anon_sym_while] = ACTIONS(2661),
    [anon_sym_do] = ACTIONS(2661),
    [anon_sym_for] = ACTIONS(2661),
    [anon_sym_return] = ACTIONS(2661),
    [anon_sym_break] = ACTIONS(2661),
    [anon_sym_continue] = ACTIONS(2661),
    [anon_sym_goto] = ACTIONS(2661),
    [anon_sym___try] = ACTIONS(2661),
    [anon_sym___leave] = ACTIONS(2661),
    [anon_sym_not] = ACTIONS(2661),
    [anon_sym_compl] = ACTIONS(2661),
    [anon_sym_DASH_DASH] = ACTIONS(2663),
    [anon_sym_PLUS_PLUS] = ACTIONS(2663),
    [anon_sym_sizeof] = ACTIONS(2661),
    [anon_sym___alignof__] = ACTIONS(2661),
    [anon_sym___alignof] = ACTIONS(2661),
    [anon_sym__alignof] = ACTIONS(2661),
    [anon_sym_alignof] = ACTIONS(2661),
    [anon_sym__Alignof] = ACTIONS(2661),
    [anon_sym_offsetof] = ACTIONS(2661),
    [anon_sym__Generic] = ACTIONS(2661),
    [anon_sym_asm] = ACTIONS(2661),
    [anon_sym___asm__] = ACTIONS(2661),
    [sym_number_literal] = ACTIONS(2663),
    [anon_sym_L_SQUOTE] = ACTIONS(2663),
    [anon_sym_u_SQUOTE] = ACTIONS(2663),
    [anon_sym_U_SQUOTE] = ACTIONS(2663),
    [anon_sym_u8_SQUOTE] = ACTIONS(2663),
    [anon_sym_SQUOTE] = ACTIONS(2663),
    [anon_sym_L_DQUOTE] = ACTIONS(2663),
    [anon_sym_u_DQUOTE] = ACTIONS(2663),
    [anon_sym_U_DQUOTE] = ACTIONS(2663),
    [anon_sym_u8_DQUOTE] = ACTIONS(2663),
    [anon_sym_DQUOTE] = ACTIONS(2663),
    [sym_true] = ACTIONS(2661),
    [sym_false] = ACTIONS(2661),
    [anon_sym_NULL] = ACTIONS(2661),
    [anon_sym_nullptr] = ACTIONS(2661),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2661),
    [anon_sym_decltype] = ACTIONS(2661),
    [anon_sym_virtual] = ACTIONS(2661),
    [anon_sym_alignas] = ACTIONS(2661),
    [anon_sym_explicit] = ACTIONS(2661),
    [anon_sym_typename] = ACTIONS(2661),
    [anon_sym_template] = ACTIONS(2661),
    [anon_sym_operator] = ACTIONS(2661),
    [anon_sym_try] = ACTIONS(2661),
    [anon_sym_delete] = ACTIONS(2661),
    [anon_sym_throw] = ACTIONS(2661),
    [anon_sym_namespace] = ACTIONS(2661),
    [anon_sym_using] = ACTIONS(2661),
    [anon_sym_static_assert] = ACTIONS(2661),
    [anon_sym_concept] = ACTIONS(2661),
    [anon_sym_co_return] = ACTIONS(2661),
    [anon_sym_co_yield] = ACTIONS(2661),
    [anon_sym_R_DQUOTE] = ACTIONS(2663),
    [anon_sym_LR_DQUOTE] = ACTIONS(2663),
    [anon_sym_uR_DQUOTE] = ACTIONS(2663),
    [anon_sym_UR_DQUOTE] = ACTIONS(2663),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2663),
    [anon_sym_co_await] = ACTIONS(2661),
    [anon_sym_new] = ACTIONS(2661),
    [anon_sym_requires] = ACTIONS(2661),
    [sym_this] = ACTIONS(2661),
    [anon_sym_discard] = ACTIONS(2661),
    [anon_sym_precise] = ACTIONS(2661),
    [anon_sym_shared] = ACTIONS(2661),
    [anon_sym_groupshared] = ACTIONS(2661),
    [anon_sym_uniform] = ACTIONS(2661),
    [anon_sym_row_major] = ACTIONS(2661),
    [anon_sym_column_major] = ACTIONS(2661),
    [anon_sym_globallycoherent] = ACTIONS(2661),
    [anon_sym_centroid] = ACTIONS(2661),
    [anon_sym_noperspective] = ACTIONS(2661),
    [anon_sym_nointerpolation] = ACTIONS(2661),
    [anon_sym_sample] = ACTIONS(2661),
    [anon_sym_linear] = ACTIONS(2661),
    [anon_sym_snorm] = ACTIONS(2661),
    [anon_sym_unorm] = ACTIONS(2661),
    [anon_sym_point] = ACTIONS(2661),
    [anon_sym_line] = ACTIONS(2661),
    [anon_sym_triangleadj] = ACTIONS(2661),
    [anon_sym_lineadj] = ACTIONS(2661),
    [anon_sym_triangle] = ACTIONS(2661),
    [anon_sym_cbuffer] = ACTIONS(2661),
  },
  [609] = {
    [sym_identifier] = ACTIONS(2706),
    [aux_sym_preproc_include_token1] = ACTIONS(2706),
    [aux_sym_preproc_def_token1] = ACTIONS(2706),
    [aux_sym_preproc_if_token1] = ACTIONS(2706),
    [aux_sym_preproc_if_token2] = ACTIONS(2706),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2706),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2706),
    [aux_sym_preproc_else_token1] = ACTIONS(2706),
    [aux_sym_preproc_elif_token1] = ACTIONS(2706),
    [sym_preproc_directive] = ACTIONS(2706),
    [anon_sym_LPAREN2] = ACTIONS(2708),
    [anon_sym_BANG] = ACTIONS(2708),
    [anon_sym_TILDE] = ACTIONS(2708),
    [anon_sym_DASH] = ACTIONS(2706),
    [anon_sym_PLUS] = ACTIONS(2706),
    [anon_sym_STAR] = ACTIONS(2708),
    [anon_sym_AMP_AMP] = ACTIONS(2708),
    [anon_sym_AMP] = ACTIONS(2706),
    [anon_sym_SEMI] = ACTIONS(2708),
    [anon_sym___extension__] = ACTIONS(2706),
    [anon_sym_typedef] = ACTIONS(2706),
    [anon_sym_in] = ACTIONS(2706),
    [anon_sym_out] = ACTIONS(2706),
    [anon_sym_inout] = ACTIONS(2706),
    [anon_sym_extern] = ACTIONS(2706),
    [anon_sym___attribute__] = ACTIONS(2706),
    [anon_sym_COLON_COLON] = ACTIONS(2708),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2708),
    [anon_sym___declspec] = ACTIONS(2706),
    [anon_sym___based] = ACTIONS(2706),
    [anon_sym___cdecl] = ACTIONS(2706),
    [anon_sym___clrcall] = ACTIONS(2706),
    [anon_sym___stdcall] = ACTIONS(2706),
    [anon_sym___fastcall] = ACTIONS(2706),
    [anon_sym___thiscall] = ACTIONS(2706),
    [anon_sym___vectorcall] = ACTIONS(2706),
    [anon_sym_LBRACE] = ACTIONS(2708),
    [anon_sym_signed] = ACTIONS(2706),
    [anon_sym_unsigned] = ACTIONS(2706),
    [anon_sym_long] = ACTIONS(2706),
    [anon_sym_short] = ACTIONS(2706),
    [anon_sym_LBRACK] = ACTIONS(2706),
    [anon_sym_static] = ACTIONS(2706),
    [anon_sym_register] = ACTIONS(2706),
    [anon_sym_inline] = ACTIONS(2706),
    [anon_sym___inline] = ACTIONS(2706),
    [anon_sym___inline__] = ACTIONS(2706),
    [anon_sym___forceinline] = ACTIONS(2706),
    [anon_sym_thread_local] = ACTIONS(2706),
    [anon_sym___thread] = ACTIONS(2706),
    [anon_sym_const] = ACTIONS(2706),
    [anon_sym_constexpr] = ACTIONS(2706),
    [anon_sym_volatile] = ACTIONS(2706),
    [anon_sym_restrict] = ACTIONS(2706),
    [anon_sym___restrict__] = ACTIONS(2706),
    [anon_sym__Atomic] = ACTIONS(2706),
    [anon_sym__Noreturn] = ACTIONS(2706),
    [anon_sym_noreturn] = ACTIONS(2706),
    [anon_sym_mutable] = ACTIONS(2706),
    [anon_sym_constinit] = ACTIONS(2706),
    [anon_sym_consteval] = ACTIONS(2706),
    [sym_primitive_type] = ACTIONS(2706),
    [anon_sym_enum] = ACTIONS(2706),
    [anon_sym_class] = ACTIONS(2706),
    [anon_sym_struct] = ACTIONS(2706),
    [anon_sym_union] = ACTIONS(2706),
    [anon_sym_if] = ACTIONS(2706),
    [anon_sym_switch] = ACTIONS(2706),
    [anon_sym_case] = ACTIONS(2706),
    [anon_sym_default] = ACTIONS(2706),
    [anon_sym_while] = ACTIONS(2706),
    [anon_sym_do] = ACTIONS(2706),
    [anon_sym_for] = ACTIONS(2706),
    [anon_sym_return] = ACTIONS(2706),
    [anon_sym_break] = ACTIONS(2706),
    [anon_sym_continue] = ACTIONS(2706),
    [anon_sym_goto] = ACTIONS(2706),
    [anon_sym___try] = ACTIONS(2706),
    [anon_sym___leave] = ACTIONS(2706),
    [anon_sym_not] = ACTIONS(2706),
    [anon_sym_compl] = ACTIONS(2706),
    [anon_sym_DASH_DASH] = ACTIONS(2708),
    [anon_sym_PLUS_PLUS] = ACTIONS(2708),
    [anon_sym_sizeof] = ACTIONS(2706),
    [anon_sym___alignof__] = ACTIONS(2706),
    [anon_sym___alignof] = ACTIONS(2706),
    [anon_sym__alignof] = ACTIONS(2706),
    [anon_sym_alignof] = ACTIONS(2706),
    [anon_sym__Alignof] = ACTIONS(2706),
    [anon_sym_offsetof] = ACTIONS(2706),
    [anon_sym__Generic] = ACTIONS(2706),
    [anon_sym_asm] = ACTIONS(2706),
    [anon_sym___asm__] = ACTIONS(2706),
    [sym_number_literal] = ACTIONS(2708),
    [anon_sym_L_SQUOTE] = ACTIONS(2708),
    [anon_sym_u_SQUOTE] = ACTIONS(2708),
    [anon_sym_U_SQUOTE] = ACTIONS(2708),
    [anon_sym_u8_SQUOTE] = ACTIONS(2708),
    [anon_sym_SQUOTE] = ACTIONS(2708),
    [anon_sym_L_DQUOTE] = ACTIONS(2708),
    [anon_sym_u_DQUOTE] = ACTIONS(2708),
    [anon_sym_U_DQUOTE] = ACTIONS(2708),
    [anon_sym_u8_DQUOTE] = ACTIONS(2708),
    [anon_sym_DQUOTE] = ACTIONS(2708),
    [sym_true] = ACTIONS(2706),
    [sym_false] = ACTIONS(2706),
    [anon_sym_NULL] = ACTIONS(2706),
    [anon_sym_nullptr] = ACTIONS(2706),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2706),
    [anon_sym_decltype] = ACTIONS(2706),
    [anon_sym_virtual] = ACTIONS(2706),
    [anon_sym_alignas] = ACTIONS(2706),
    [anon_sym_explicit] = ACTIONS(2706),
    [anon_sym_typename] = ACTIONS(2706),
    [anon_sym_template] = ACTIONS(2706),
    [anon_sym_operator] = ACTIONS(2706),
    [anon_sym_try] = ACTIONS(2706),
    [anon_sym_delete] = ACTIONS(2706),
    [anon_sym_throw] = ACTIONS(2706),
    [anon_sym_namespace] = ACTIONS(2706),
    [anon_sym_using] = ACTIONS(2706),
    [anon_sym_static_assert] = ACTIONS(2706),
    [anon_sym_concept] = ACTIONS(2706),
    [anon_sym_co_return] = ACTIONS(2706),
    [anon_sym_co_yield] = ACTIONS(2706),
    [anon_sym_R_DQUOTE] = ACTIONS(2708),
    [anon_sym_LR_DQUOTE] = ACTIONS(2708),
    [anon_sym_uR_DQUOTE] = ACTIONS(2708),
    [anon_sym_UR_DQUOTE] = ACTIONS(2708),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2708),
    [anon_sym_co_await] = ACTIONS(2706),
    [anon_sym_new] = ACTIONS(2706),
    [anon_sym_requires] = ACTIONS(2706),
    [sym_this] = ACTIONS(2706),
    [anon_sym_discard] = ACTIONS(2706),
    [anon_sym_precise] = ACTIONS(2706),
    [anon_sym_shared] = ACTIONS(2706),
    [anon_sym_groupshared] = ACTIONS(2706),
    [anon_sym_uniform] = ACTIONS(2706),
    [anon_sym_row_major] = ACTIONS(2706),
    [anon_sym_column_major] = ACTIONS(2706),
    [anon_sym_globallycoherent] = ACTIONS(2706),
    [anon_sym_centroid] = ACTIONS(2706),
    [anon_sym_noperspective] = ACTIONS(2706),
    [anon_sym_nointerpolation] = ACTIONS(2706),
    [anon_sym_sample] = ACTIONS(2706),
    [anon_sym_linear] = ACTIONS(2706),
    [anon_sym_snorm] = ACTIONS(2706),
    [anon_sym_unorm] = ACTIONS(2706),
    [anon_sym_point] = ACTIONS(2706),
    [anon_sym_line] = ACTIONS(2706),
    [anon_sym_triangleadj] = ACTIONS(2706),
    [anon_sym_lineadj] = ACTIONS(2706),
    [anon_sym_triangle] = ACTIONS(2706),
    [anon_sym_cbuffer] = ACTIONS(2706),
  },
  [610] = {
    [sym_identifier] = ACTIONS(2717),
    [aux_sym_preproc_include_token1] = ACTIONS(2717),
    [aux_sym_preproc_def_token1] = ACTIONS(2717),
    [aux_sym_preproc_if_token1] = ACTIONS(2717),
    [aux_sym_preproc_if_token2] = ACTIONS(2717),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2717),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2717),
    [aux_sym_preproc_else_token1] = ACTIONS(2717),
    [aux_sym_preproc_elif_token1] = ACTIONS(2717),
    [sym_preproc_directive] = ACTIONS(2717),
    [anon_sym_LPAREN2] = ACTIONS(2719),
    [anon_sym_BANG] = ACTIONS(2719),
    [anon_sym_TILDE] = ACTIONS(2719),
    [anon_sym_DASH] = ACTIONS(2717),
    [anon_sym_PLUS] = ACTIONS(2717),
    [anon_sym_STAR] = ACTIONS(2719),
    [anon_sym_AMP_AMP] = ACTIONS(2719),
    [anon_sym_AMP] = ACTIONS(2717),
    [anon_sym_SEMI] = ACTIONS(2719),
    [anon_sym___extension__] = ACTIONS(2717),
    [anon_sym_typedef] = ACTIONS(2717),
    [anon_sym_in] = ACTIONS(2717),
    [anon_sym_out] = ACTIONS(2717),
    [anon_sym_inout] = ACTIONS(2717),
    [anon_sym_extern] = ACTIONS(2717),
    [anon_sym___attribute__] = ACTIONS(2717),
    [anon_sym_COLON_COLON] = ACTIONS(2719),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2719),
    [anon_sym___declspec] = ACTIONS(2717),
    [anon_sym___based] = ACTIONS(2717),
    [anon_sym___cdecl] = ACTIONS(2717),
    [anon_sym___clrcall] = ACTIONS(2717),
    [anon_sym___stdcall] = ACTIONS(2717),
    [anon_sym___fastcall] = ACTIONS(2717),
    [anon_sym___thiscall] = ACTIONS(2717),
    [anon_sym___vectorcall] = ACTIONS(2717),
    [anon_sym_LBRACE] = ACTIONS(2719),
    [anon_sym_signed] = ACTIONS(2717),
    [anon_sym_unsigned] = ACTIONS(2717),
    [anon_sym_long] = ACTIONS(2717),
    [anon_sym_short] = ACTIONS(2717),
    [anon_sym_LBRACK] = ACTIONS(2717),
    [anon_sym_static] = ACTIONS(2717),
    [anon_sym_register] = ACTIONS(2717),
    [anon_sym_inline] = ACTIONS(2717),
    [anon_sym___inline] = ACTIONS(2717),
    [anon_sym___inline__] = ACTIONS(2717),
    [anon_sym___forceinline] = ACTIONS(2717),
    [anon_sym_thread_local] = ACTIONS(2717),
    [anon_sym___thread] = ACTIONS(2717),
    [anon_sym_const] = ACTIONS(2717),
    [anon_sym_constexpr] = ACTIONS(2717),
    [anon_sym_volatile] = ACTIONS(2717),
    [anon_sym_restrict] = ACTIONS(2717),
    [anon_sym___restrict__] = ACTIONS(2717),
    [anon_sym__Atomic] = ACTIONS(2717),
    [anon_sym__Noreturn] = ACTIONS(2717),
    [anon_sym_noreturn] = ACTIONS(2717),
    [anon_sym_mutable] = ACTIONS(2717),
    [anon_sym_constinit] = ACTIONS(2717),
    [anon_sym_consteval] = ACTIONS(2717),
    [sym_primitive_type] = ACTIONS(2717),
    [anon_sym_enum] = ACTIONS(2717),
    [anon_sym_class] = ACTIONS(2717),
    [anon_sym_struct] = ACTIONS(2717),
    [anon_sym_union] = ACTIONS(2717),
    [anon_sym_if] = ACTIONS(2717),
    [anon_sym_switch] = ACTIONS(2717),
    [anon_sym_case] = ACTIONS(2717),
    [anon_sym_default] = ACTIONS(2717),
    [anon_sym_while] = ACTIONS(2717),
    [anon_sym_do] = ACTIONS(2717),
    [anon_sym_for] = ACTIONS(2717),
    [anon_sym_return] = ACTIONS(2717),
    [anon_sym_break] = ACTIONS(2717),
    [anon_sym_continue] = ACTIONS(2717),
    [anon_sym_goto] = ACTIONS(2717),
    [anon_sym___try] = ACTIONS(2717),
    [anon_sym___leave] = ACTIONS(2717),
    [anon_sym_not] = ACTIONS(2717),
    [anon_sym_compl] = ACTIONS(2717),
    [anon_sym_DASH_DASH] = ACTIONS(2719),
    [anon_sym_PLUS_PLUS] = ACTIONS(2719),
    [anon_sym_sizeof] = ACTIONS(2717),
    [anon_sym___alignof__] = ACTIONS(2717),
    [anon_sym___alignof] = ACTIONS(2717),
    [anon_sym__alignof] = ACTIONS(2717),
    [anon_sym_alignof] = ACTIONS(2717),
    [anon_sym__Alignof] = ACTIONS(2717),
    [anon_sym_offsetof] = ACTIONS(2717),
    [anon_sym__Generic] = ACTIONS(2717),
    [anon_sym_asm] = ACTIONS(2717),
    [anon_sym___asm__] = ACTIONS(2717),
    [sym_number_literal] = ACTIONS(2719),
    [anon_sym_L_SQUOTE] = ACTIONS(2719),
    [anon_sym_u_SQUOTE] = ACTIONS(2719),
    [anon_sym_U_SQUOTE] = ACTIONS(2719),
    [anon_sym_u8_SQUOTE] = ACTIONS(2719),
    [anon_sym_SQUOTE] = ACTIONS(2719),
    [anon_sym_L_DQUOTE] = ACTIONS(2719),
    [anon_sym_u_DQUOTE] = ACTIONS(2719),
    [anon_sym_U_DQUOTE] = ACTIONS(2719),
    [anon_sym_u8_DQUOTE] = ACTIONS(2719),
    [anon_sym_DQUOTE] = ACTIONS(2719),
    [sym_true] = ACTIONS(2717),
    [sym_false] = ACTIONS(2717),
    [anon_sym_NULL] = ACTIONS(2717),
    [anon_sym_nullptr] = ACTIONS(2717),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2717),
    [anon_sym_decltype] = ACTIONS(2717),
    [anon_sym_virtual] = ACTIONS(2717),
    [anon_sym_alignas] = ACTIONS(2717),
    [anon_sym_explicit] = ACTIONS(2717),
    [anon_sym_typename] = ACTIONS(2717),
    [anon_sym_template] = ACTIONS(2717),
    [anon_sym_operator] = ACTIONS(2717),
    [anon_sym_try] = ACTIONS(2717),
    [anon_sym_delete] = ACTIONS(2717),
    [anon_sym_throw] = ACTIONS(2717),
    [anon_sym_namespace] = ACTIONS(2717),
    [anon_sym_using] = ACTIONS(2717),
    [anon_sym_static_assert] = ACTIONS(2717),
    [anon_sym_concept] = ACTIONS(2717),
    [anon_sym_co_return] = ACTIONS(2717),
    [anon_sym_co_yield] = ACTIONS(2717),
    [anon_sym_R_DQUOTE] = ACTIONS(2719),
    [anon_sym_LR_DQUOTE] = ACTIONS(2719),
    [anon_sym_uR_DQUOTE] = ACTIONS(2719),
    [anon_sym_UR_DQUOTE] = ACTIONS(2719),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2719),
    [anon_sym_co_await] = ACTIONS(2717),
    [anon_sym_new] = ACTIONS(2717),
    [anon_sym_requires] = ACTIONS(2717),
    [sym_this] = ACTIONS(2717),
    [anon_sym_discard] = ACTIONS(2717),
    [anon_sym_precise] = ACTIONS(2717),
    [anon_sym_shared] = ACTIONS(2717),
    [anon_sym_groupshared] = ACTIONS(2717),
    [anon_sym_uniform] = ACTIONS(2717),
    [anon_sym_row_major] = ACTIONS(2717),
    [anon_sym_column_major] = ACTIONS(2717),
    [anon_sym_globallycoherent] = ACTIONS(2717),
    [anon_sym_centroid] = ACTIONS(2717),
    [anon_sym_noperspective] = ACTIONS(2717),
    [anon_sym_nointerpolation] = ACTIONS(2717),
    [anon_sym_sample] = ACTIONS(2717),
    [anon_sym_linear] = ACTIONS(2717),
    [anon_sym_snorm] = ACTIONS(2717),
    [anon_sym_unorm] = ACTIONS(2717),
    [anon_sym_point] = ACTIONS(2717),
    [anon_sym_line] = ACTIONS(2717),
    [anon_sym_triangleadj] = ACTIONS(2717),
    [anon_sym_lineadj] = ACTIONS(2717),
    [anon_sym_triangle] = ACTIONS(2717),
    [anon_sym_cbuffer] = ACTIONS(2717),
  },
  [611] = {
    [sym_identifier] = ACTIONS(2516),
    [aux_sym_preproc_include_token1] = ACTIONS(2516),
    [aux_sym_preproc_def_token1] = ACTIONS(2516),
    [aux_sym_preproc_if_token1] = ACTIONS(2516),
    [aux_sym_preproc_if_token2] = ACTIONS(2516),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2516),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2516),
    [aux_sym_preproc_else_token1] = ACTIONS(2516),
    [aux_sym_preproc_elif_token1] = ACTIONS(2516),
    [sym_preproc_directive] = ACTIONS(2516),
    [anon_sym_LPAREN2] = ACTIONS(2518),
    [anon_sym_BANG] = ACTIONS(2518),
    [anon_sym_TILDE] = ACTIONS(2518),
    [anon_sym_DASH] = ACTIONS(2516),
    [anon_sym_PLUS] = ACTIONS(2516),
    [anon_sym_STAR] = ACTIONS(2518),
    [anon_sym_AMP_AMP] = ACTIONS(2518),
    [anon_sym_AMP] = ACTIONS(2516),
    [anon_sym_SEMI] = ACTIONS(2518),
    [anon_sym___extension__] = ACTIONS(2516),
    [anon_sym_typedef] = ACTIONS(2516),
    [anon_sym_in] = ACTIONS(2516),
    [anon_sym_out] = ACTIONS(2516),
    [anon_sym_inout] = ACTIONS(2516),
    [anon_sym_extern] = ACTIONS(2516),
    [anon_sym___attribute__] = ACTIONS(2516),
    [anon_sym_COLON_COLON] = ACTIONS(2518),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2518),
    [anon_sym___declspec] = ACTIONS(2516),
    [anon_sym___based] = ACTIONS(2516),
    [anon_sym___cdecl] = ACTIONS(2516),
    [anon_sym___clrcall] = ACTIONS(2516),
    [anon_sym___stdcall] = ACTIONS(2516),
    [anon_sym___fastcall] = ACTIONS(2516),
    [anon_sym___thiscall] = ACTIONS(2516),
    [anon_sym___vectorcall] = ACTIONS(2516),
    [anon_sym_LBRACE] = ACTIONS(2518),
    [anon_sym_signed] = ACTIONS(2516),
    [anon_sym_unsigned] = ACTIONS(2516),
    [anon_sym_long] = ACTIONS(2516),
    [anon_sym_short] = ACTIONS(2516),
    [anon_sym_LBRACK] = ACTIONS(2516),
    [anon_sym_static] = ACTIONS(2516),
    [anon_sym_register] = ACTIONS(2516),
    [anon_sym_inline] = ACTIONS(2516),
    [anon_sym___inline] = ACTIONS(2516),
    [anon_sym___inline__] = ACTIONS(2516),
    [anon_sym___forceinline] = ACTIONS(2516),
    [anon_sym_thread_local] = ACTIONS(2516),
    [anon_sym___thread] = ACTIONS(2516),
    [anon_sym_const] = ACTIONS(2516),
    [anon_sym_constexpr] = ACTIONS(2516),
    [anon_sym_volatile] = ACTIONS(2516),
    [anon_sym_restrict] = ACTIONS(2516),
    [anon_sym___restrict__] = ACTIONS(2516),
    [anon_sym__Atomic] = ACTIONS(2516),
    [anon_sym__Noreturn] = ACTIONS(2516),
    [anon_sym_noreturn] = ACTIONS(2516),
    [anon_sym_mutable] = ACTIONS(2516),
    [anon_sym_constinit] = ACTIONS(2516),
    [anon_sym_consteval] = ACTIONS(2516),
    [sym_primitive_type] = ACTIONS(2516),
    [anon_sym_enum] = ACTIONS(2516),
    [anon_sym_class] = ACTIONS(2516),
    [anon_sym_struct] = ACTIONS(2516),
    [anon_sym_union] = ACTIONS(2516),
    [anon_sym_if] = ACTIONS(2516),
    [anon_sym_switch] = ACTIONS(2516),
    [anon_sym_case] = ACTIONS(2516),
    [anon_sym_default] = ACTIONS(2516),
    [anon_sym_while] = ACTIONS(2516),
    [anon_sym_do] = ACTIONS(2516),
    [anon_sym_for] = ACTIONS(2516),
    [anon_sym_return] = ACTIONS(2516),
    [anon_sym_break] = ACTIONS(2516),
    [anon_sym_continue] = ACTIONS(2516),
    [anon_sym_goto] = ACTIONS(2516),
    [anon_sym___try] = ACTIONS(2516),
    [anon_sym___leave] = ACTIONS(2516),
    [anon_sym_not] = ACTIONS(2516),
    [anon_sym_compl] = ACTIONS(2516),
    [anon_sym_DASH_DASH] = ACTIONS(2518),
    [anon_sym_PLUS_PLUS] = ACTIONS(2518),
    [anon_sym_sizeof] = ACTIONS(2516),
    [anon_sym___alignof__] = ACTIONS(2516),
    [anon_sym___alignof] = ACTIONS(2516),
    [anon_sym__alignof] = ACTIONS(2516),
    [anon_sym_alignof] = ACTIONS(2516),
    [anon_sym__Alignof] = ACTIONS(2516),
    [anon_sym_offsetof] = ACTIONS(2516),
    [anon_sym__Generic] = ACTIONS(2516),
    [anon_sym_asm] = ACTIONS(2516),
    [anon_sym___asm__] = ACTIONS(2516),
    [sym_number_literal] = ACTIONS(2518),
    [anon_sym_L_SQUOTE] = ACTIONS(2518),
    [anon_sym_u_SQUOTE] = ACTIONS(2518),
    [anon_sym_U_SQUOTE] = ACTIONS(2518),
    [anon_sym_u8_SQUOTE] = ACTIONS(2518),
    [anon_sym_SQUOTE] = ACTIONS(2518),
    [anon_sym_L_DQUOTE] = ACTIONS(2518),
    [anon_sym_u_DQUOTE] = ACTIONS(2518),
    [anon_sym_U_DQUOTE] = ACTIONS(2518),
    [anon_sym_u8_DQUOTE] = ACTIONS(2518),
    [anon_sym_DQUOTE] = ACTIONS(2518),
    [sym_true] = ACTIONS(2516),
    [sym_false] = ACTIONS(2516),
    [anon_sym_NULL] = ACTIONS(2516),
    [anon_sym_nullptr] = ACTIONS(2516),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2516),
    [anon_sym_decltype] = ACTIONS(2516),
    [anon_sym_virtual] = ACTIONS(2516),
    [anon_sym_alignas] = ACTIONS(2516),
    [anon_sym_explicit] = ACTIONS(2516),
    [anon_sym_typename] = ACTIONS(2516),
    [anon_sym_template] = ACTIONS(2516),
    [anon_sym_operator] = ACTIONS(2516),
    [anon_sym_try] = ACTIONS(2516),
    [anon_sym_delete] = ACTIONS(2516),
    [anon_sym_throw] = ACTIONS(2516),
    [anon_sym_namespace] = ACTIONS(2516),
    [anon_sym_using] = ACTIONS(2516),
    [anon_sym_static_assert] = ACTIONS(2516),
    [anon_sym_concept] = ACTIONS(2516),
    [anon_sym_co_return] = ACTIONS(2516),
    [anon_sym_co_yield] = ACTIONS(2516),
    [anon_sym_R_DQUOTE] = ACTIONS(2518),
    [anon_sym_LR_DQUOTE] = ACTIONS(2518),
    [anon_sym_uR_DQUOTE] = ACTIONS(2518),
    [anon_sym_UR_DQUOTE] = ACTIONS(2518),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2518),
    [anon_sym_co_await] = ACTIONS(2516),
    [anon_sym_new] = ACTIONS(2516),
    [anon_sym_requires] = ACTIONS(2516),
    [sym_this] = ACTIONS(2516),
    [anon_sym_discard] = ACTIONS(2516),
    [anon_sym_precise] = ACTIONS(2516),
    [anon_sym_shared] = ACTIONS(2516),
    [anon_sym_groupshared] = ACTIONS(2516),
    [anon_sym_uniform] = ACTIONS(2516),
    [anon_sym_row_major] = ACTIONS(2516),
    [anon_sym_column_major] = ACTIONS(2516),
    [anon_sym_globallycoherent] = ACTIONS(2516),
    [anon_sym_centroid] = ACTIONS(2516),
    [anon_sym_noperspective] = ACTIONS(2516),
    [anon_sym_nointerpolation] = ACTIONS(2516),
    [anon_sym_sample] = ACTIONS(2516),
    [anon_sym_linear] = ACTIONS(2516),
    [anon_sym_snorm] = ACTIONS(2516),
    [anon_sym_unorm] = ACTIONS(2516),
    [anon_sym_point] = ACTIONS(2516),
    [anon_sym_line] = ACTIONS(2516),
    [anon_sym_triangleadj] = ACTIONS(2516),
    [anon_sym_lineadj] = ACTIONS(2516),
    [anon_sym_triangle] = ACTIONS(2516),
    [anon_sym_cbuffer] = ACTIONS(2516),
  },
  [612] = {
    [sym_identifier] = ACTIONS(2600),
    [aux_sym_preproc_include_token1] = ACTIONS(2600),
    [aux_sym_preproc_def_token1] = ACTIONS(2600),
    [aux_sym_preproc_if_token1] = ACTIONS(2600),
    [aux_sym_preproc_if_token2] = ACTIONS(2600),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2600),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2600),
    [aux_sym_preproc_else_token1] = ACTIONS(2600),
    [aux_sym_preproc_elif_token1] = ACTIONS(2600),
    [sym_preproc_directive] = ACTIONS(2600),
    [anon_sym_LPAREN2] = ACTIONS(2602),
    [anon_sym_BANG] = ACTIONS(2602),
    [anon_sym_TILDE] = ACTIONS(2602),
    [anon_sym_DASH] = ACTIONS(2600),
    [anon_sym_PLUS] = ACTIONS(2600),
    [anon_sym_STAR] = ACTIONS(2602),
    [anon_sym_AMP_AMP] = ACTIONS(2602),
    [anon_sym_AMP] = ACTIONS(2600),
    [anon_sym_SEMI] = ACTIONS(2602),
    [anon_sym___extension__] = ACTIONS(2600),
    [anon_sym_typedef] = ACTIONS(2600),
    [anon_sym_in] = ACTIONS(2600),
    [anon_sym_out] = ACTIONS(2600),
    [anon_sym_inout] = ACTIONS(2600),
    [anon_sym_extern] = ACTIONS(2600),
    [anon_sym___attribute__] = ACTIONS(2600),
    [anon_sym_COLON_COLON] = ACTIONS(2602),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2602),
    [anon_sym___declspec] = ACTIONS(2600),
    [anon_sym___based] = ACTIONS(2600),
    [anon_sym___cdecl] = ACTIONS(2600),
    [anon_sym___clrcall] = ACTIONS(2600),
    [anon_sym___stdcall] = ACTIONS(2600),
    [anon_sym___fastcall] = ACTIONS(2600),
    [anon_sym___thiscall] = ACTIONS(2600),
    [anon_sym___vectorcall] = ACTIONS(2600),
    [anon_sym_LBRACE] = ACTIONS(2602),
    [anon_sym_signed] = ACTIONS(2600),
    [anon_sym_unsigned] = ACTIONS(2600),
    [anon_sym_long] = ACTIONS(2600),
    [anon_sym_short] = ACTIONS(2600),
    [anon_sym_LBRACK] = ACTIONS(2600),
    [anon_sym_static] = ACTIONS(2600),
    [anon_sym_register] = ACTIONS(2600),
    [anon_sym_inline] = ACTIONS(2600),
    [anon_sym___inline] = ACTIONS(2600),
    [anon_sym___inline__] = ACTIONS(2600),
    [anon_sym___forceinline] = ACTIONS(2600),
    [anon_sym_thread_local] = ACTIONS(2600),
    [anon_sym___thread] = ACTIONS(2600),
    [anon_sym_const] = ACTIONS(2600),
    [anon_sym_constexpr] = ACTIONS(2600),
    [anon_sym_volatile] = ACTIONS(2600),
    [anon_sym_restrict] = ACTIONS(2600),
    [anon_sym___restrict__] = ACTIONS(2600),
    [anon_sym__Atomic] = ACTIONS(2600),
    [anon_sym__Noreturn] = ACTIONS(2600),
    [anon_sym_noreturn] = ACTIONS(2600),
    [anon_sym_mutable] = ACTIONS(2600),
    [anon_sym_constinit] = ACTIONS(2600),
    [anon_sym_consteval] = ACTIONS(2600),
    [sym_primitive_type] = ACTIONS(2600),
    [anon_sym_enum] = ACTIONS(2600),
    [anon_sym_class] = ACTIONS(2600),
    [anon_sym_struct] = ACTIONS(2600),
    [anon_sym_union] = ACTIONS(2600),
    [anon_sym_if] = ACTIONS(2600),
    [anon_sym_switch] = ACTIONS(2600),
    [anon_sym_case] = ACTIONS(2600),
    [anon_sym_default] = ACTIONS(2600),
    [anon_sym_while] = ACTIONS(2600),
    [anon_sym_do] = ACTIONS(2600),
    [anon_sym_for] = ACTIONS(2600),
    [anon_sym_return] = ACTIONS(2600),
    [anon_sym_break] = ACTIONS(2600),
    [anon_sym_continue] = ACTIONS(2600),
    [anon_sym_goto] = ACTIONS(2600),
    [anon_sym___try] = ACTIONS(2600),
    [anon_sym___leave] = ACTIONS(2600),
    [anon_sym_not] = ACTIONS(2600),
    [anon_sym_compl] = ACTIONS(2600),
    [anon_sym_DASH_DASH] = ACTIONS(2602),
    [anon_sym_PLUS_PLUS] = ACTIONS(2602),
    [anon_sym_sizeof] = ACTIONS(2600),
    [anon_sym___alignof__] = ACTIONS(2600),
    [anon_sym___alignof] = ACTIONS(2600),
    [anon_sym__alignof] = ACTIONS(2600),
    [anon_sym_alignof] = ACTIONS(2600),
    [anon_sym__Alignof] = ACTIONS(2600),
    [anon_sym_offsetof] = ACTIONS(2600),
    [anon_sym__Generic] = ACTIONS(2600),
    [anon_sym_asm] = ACTIONS(2600),
    [anon_sym___asm__] = ACTIONS(2600),
    [sym_number_literal] = ACTIONS(2602),
    [anon_sym_L_SQUOTE] = ACTIONS(2602),
    [anon_sym_u_SQUOTE] = ACTIONS(2602),
    [anon_sym_U_SQUOTE] = ACTIONS(2602),
    [anon_sym_u8_SQUOTE] = ACTIONS(2602),
    [anon_sym_SQUOTE] = ACTIONS(2602),
    [anon_sym_L_DQUOTE] = ACTIONS(2602),
    [anon_sym_u_DQUOTE] = ACTIONS(2602),
    [anon_sym_U_DQUOTE] = ACTIONS(2602),
    [anon_sym_u8_DQUOTE] = ACTIONS(2602),
    [anon_sym_DQUOTE] = ACTIONS(2602),
    [sym_true] = ACTIONS(2600),
    [sym_false] = ACTIONS(2600),
    [anon_sym_NULL] = ACTIONS(2600),
    [anon_sym_nullptr] = ACTIONS(2600),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2600),
    [anon_sym_decltype] = ACTIONS(2600),
    [anon_sym_virtual] = ACTIONS(2600),
    [anon_sym_alignas] = ACTIONS(2600),
    [anon_sym_explicit] = ACTIONS(2600),
    [anon_sym_typename] = ACTIONS(2600),
    [anon_sym_template] = ACTIONS(2600),
    [anon_sym_operator] = ACTIONS(2600),
    [anon_sym_try] = ACTIONS(2600),
    [anon_sym_delete] = ACTIONS(2600),
    [anon_sym_throw] = ACTIONS(2600),
    [anon_sym_namespace] = ACTIONS(2600),
    [anon_sym_using] = ACTIONS(2600),
    [anon_sym_static_assert] = ACTIONS(2600),
    [anon_sym_concept] = ACTIONS(2600),
    [anon_sym_co_return] = ACTIONS(2600),
    [anon_sym_co_yield] = ACTIONS(2600),
    [anon_sym_R_DQUOTE] = ACTIONS(2602),
    [anon_sym_LR_DQUOTE] = ACTIONS(2602),
    [anon_sym_uR_DQUOTE] = ACTIONS(2602),
    [anon_sym_UR_DQUOTE] = ACTIONS(2602),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2602),
    [anon_sym_co_await] = ACTIONS(2600),
    [anon_sym_new] = ACTIONS(2600),
    [anon_sym_requires] = ACTIONS(2600),
    [sym_this] = ACTIONS(2600),
    [anon_sym_discard] = ACTIONS(2600),
    [anon_sym_precise] = ACTIONS(2600),
    [anon_sym_shared] = ACTIONS(2600),
    [anon_sym_groupshared] = ACTIONS(2600),
    [anon_sym_uniform] = ACTIONS(2600),
    [anon_sym_row_major] = ACTIONS(2600),
    [anon_sym_column_major] = ACTIONS(2600),
    [anon_sym_globallycoherent] = ACTIONS(2600),
    [anon_sym_centroid] = ACTIONS(2600),
    [anon_sym_noperspective] = ACTIONS(2600),
    [anon_sym_nointerpolation] = ACTIONS(2600),
    [anon_sym_sample] = ACTIONS(2600),
    [anon_sym_linear] = ACTIONS(2600),
    [anon_sym_snorm] = ACTIONS(2600),
    [anon_sym_unorm] = ACTIONS(2600),
    [anon_sym_point] = ACTIONS(2600),
    [anon_sym_line] = ACTIONS(2600),
    [anon_sym_triangleadj] = ACTIONS(2600),
    [anon_sym_lineadj] = ACTIONS(2600),
    [anon_sym_triangle] = ACTIONS(2600),
    [anon_sym_cbuffer] = ACTIONS(2600),
  },
  [613] = {
    [sym_identifier] = ACTIONS(2849),
    [aux_sym_preproc_include_token1] = ACTIONS(2849),
    [aux_sym_preproc_def_token1] = ACTIONS(2849),
    [aux_sym_preproc_if_token1] = ACTIONS(2849),
    [aux_sym_preproc_if_token2] = ACTIONS(2849),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2849),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2849),
    [aux_sym_preproc_else_token1] = ACTIONS(2849),
    [aux_sym_preproc_elif_token1] = ACTIONS(2849),
    [sym_preproc_directive] = ACTIONS(2849),
    [anon_sym_LPAREN2] = ACTIONS(2851),
    [anon_sym_BANG] = ACTIONS(2851),
    [anon_sym_TILDE] = ACTIONS(2851),
    [anon_sym_DASH] = ACTIONS(2849),
    [anon_sym_PLUS] = ACTIONS(2849),
    [anon_sym_STAR] = ACTIONS(2851),
    [anon_sym_AMP_AMP] = ACTIONS(2851),
    [anon_sym_AMP] = ACTIONS(2849),
    [anon_sym_SEMI] = ACTIONS(2851),
    [anon_sym___extension__] = ACTIONS(2849),
    [anon_sym_typedef] = ACTIONS(2849),
    [anon_sym_in] = ACTIONS(2849),
    [anon_sym_out] = ACTIONS(2849),
    [anon_sym_inout] = ACTIONS(2849),
    [anon_sym_extern] = ACTIONS(2849),
    [anon_sym___attribute__] = ACTIONS(2849),
    [anon_sym_COLON_COLON] = ACTIONS(2851),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2851),
    [anon_sym___declspec] = ACTIONS(2849),
    [anon_sym___based] = ACTIONS(2849),
    [anon_sym___cdecl] = ACTIONS(2849),
    [anon_sym___clrcall] = ACTIONS(2849),
    [anon_sym___stdcall] = ACTIONS(2849),
    [anon_sym___fastcall] = ACTIONS(2849),
    [anon_sym___thiscall] = ACTIONS(2849),
    [anon_sym___vectorcall] = ACTIONS(2849),
    [anon_sym_LBRACE] = ACTIONS(2851),
    [anon_sym_signed] = ACTIONS(2849),
    [anon_sym_unsigned] = ACTIONS(2849),
    [anon_sym_long] = ACTIONS(2849),
    [anon_sym_short] = ACTIONS(2849),
    [anon_sym_LBRACK] = ACTIONS(2849),
    [anon_sym_static] = ACTIONS(2849),
    [anon_sym_register] = ACTIONS(2849),
    [anon_sym_inline] = ACTIONS(2849),
    [anon_sym___inline] = ACTIONS(2849),
    [anon_sym___inline__] = ACTIONS(2849),
    [anon_sym___forceinline] = ACTIONS(2849),
    [anon_sym_thread_local] = ACTIONS(2849),
    [anon_sym___thread] = ACTIONS(2849),
    [anon_sym_const] = ACTIONS(2849),
    [anon_sym_constexpr] = ACTIONS(2849),
    [anon_sym_volatile] = ACTIONS(2849),
    [anon_sym_restrict] = ACTIONS(2849),
    [anon_sym___restrict__] = ACTIONS(2849),
    [anon_sym__Atomic] = ACTIONS(2849),
    [anon_sym__Noreturn] = ACTIONS(2849),
    [anon_sym_noreturn] = ACTIONS(2849),
    [anon_sym_mutable] = ACTIONS(2849),
    [anon_sym_constinit] = ACTIONS(2849),
    [anon_sym_consteval] = ACTIONS(2849),
    [sym_primitive_type] = ACTIONS(2849),
    [anon_sym_enum] = ACTIONS(2849),
    [anon_sym_class] = ACTIONS(2849),
    [anon_sym_struct] = ACTIONS(2849),
    [anon_sym_union] = ACTIONS(2849),
    [anon_sym_if] = ACTIONS(2849),
    [anon_sym_switch] = ACTIONS(2849),
    [anon_sym_case] = ACTIONS(2849),
    [anon_sym_default] = ACTIONS(2849),
    [anon_sym_while] = ACTIONS(2849),
    [anon_sym_do] = ACTIONS(2849),
    [anon_sym_for] = ACTIONS(2849),
    [anon_sym_return] = ACTIONS(2849),
    [anon_sym_break] = ACTIONS(2849),
    [anon_sym_continue] = ACTIONS(2849),
    [anon_sym_goto] = ACTIONS(2849),
    [anon_sym___try] = ACTIONS(2849),
    [anon_sym___leave] = ACTIONS(2849),
    [anon_sym_not] = ACTIONS(2849),
    [anon_sym_compl] = ACTIONS(2849),
    [anon_sym_DASH_DASH] = ACTIONS(2851),
    [anon_sym_PLUS_PLUS] = ACTIONS(2851),
    [anon_sym_sizeof] = ACTIONS(2849),
    [anon_sym___alignof__] = ACTIONS(2849),
    [anon_sym___alignof] = ACTIONS(2849),
    [anon_sym__alignof] = ACTIONS(2849),
    [anon_sym_alignof] = ACTIONS(2849),
    [anon_sym__Alignof] = ACTIONS(2849),
    [anon_sym_offsetof] = ACTIONS(2849),
    [anon_sym__Generic] = ACTIONS(2849),
    [anon_sym_asm] = ACTIONS(2849),
    [anon_sym___asm__] = ACTIONS(2849),
    [sym_number_literal] = ACTIONS(2851),
    [anon_sym_L_SQUOTE] = ACTIONS(2851),
    [anon_sym_u_SQUOTE] = ACTIONS(2851),
    [anon_sym_U_SQUOTE] = ACTIONS(2851),
    [anon_sym_u8_SQUOTE] = ACTIONS(2851),
    [anon_sym_SQUOTE] = ACTIONS(2851),
    [anon_sym_L_DQUOTE] = ACTIONS(2851),
    [anon_sym_u_DQUOTE] = ACTIONS(2851),
    [anon_sym_U_DQUOTE] = ACTIONS(2851),
    [anon_sym_u8_DQUOTE] = ACTIONS(2851),
    [anon_sym_DQUOTE] = ACTIONS(2851),
    [sym_true] = ACTIONS(2849),
    [sym_false] = ACTIONS(2849),
    [anon_sym_NULL] = ACTIONS(2849),
    [anon_sym_nullptr] = ACTIONS(2849),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2849),
    [anon_sym_decltype] = ACTIONS(2849),
    [anon_sym_virtual] = ACTIONS(2849),
    [anon_sym_alignas] = ACTIONS(2849),
    [anon_sym_explicit] = ACTIONS(2849),
    [anon_sym_typename] = ACTIONS(2849),
    [anon_sym_template] = ACTIONS(2849),
    [anon_sym_operator] = ACTIONS(2849),
    [anon_sym_try] = ACTIONS(2849),
    [anon_sym_delete] = ACTIONS(2849),
    [anon_sym_throw] = ACTIONS(2849),
    [anon_sym_namespace] = ACTIONS(2849),
    [anon_sym_using] = ACTIONS(2849),
    [anon_sym_static_assert] = ACTIONS(2849),
    [anon_sym_concept] = ACTIONS(2849),
    [anon_sym_co_return] = ACTIONS(2849),
    [anon_sym_co_yield] = ACTIONS(2849),
    [anon_sym_R_DQUOTE] = ACTIONS(2851),
    [anon_sym_LR_DQUOTE] = ACTIONS(2851),
    [anon_sym_uR_DQUOTE] = ACTIONS(2851),
    [anon_sym_UR_DQUOTE] = ACTIONS(2851),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2851),
    [anon_sym_co_await] = ACTIONS(2849),
    [anon_sym_new] = ACTIONS(2849),
    [anon_sym_requires] = ACTIONS(2849),
    [sym_this] = ACTIONS(2849),
    [anon_sym_discard] = ACTIONS(2849),
    [anon_sym_precise] = ACTIONS(2849),
    [anon_sym_shared] = ACTIONS(2849),
    [anon_sym_groupshared] = ACTIONS(2849),
    [anon_sym_uniform] = ACTIONS(2849),
    [anon_sym_row_major] = ACTIONS(2849),
    [anon_sym_column_major] = ACTIONS(2849),
    [anon_sym_globallycoherent] = ACTIONS(2849),
    [anon_sym_centroid] = ACTIONS(2849),
    [anon_sym_noperspective] = ACTIONS(2849),
    [anon_sym_nointerpolation] = ACTIONS(2849),
    [anon_sym_sample] = ACTIONS(2849),
    [anon_sym_linear] = ACTIONS(2849),
    [anon_sym_snorm] = ACTIONS(2849),
    [anon_sym_unorm] = ACTIONS(2849),
    [anon_sym_point] = ACTIONS(2849),
    [anon_sym_line] = ACTIONS(2849),
    [anon_sym_triangleadj] = ACTIONS(2849),
    [anon_sym_lineadj] = ACTIONS(2849),
    [anon_sym_triangle] = ACTIONS(2849),
    [anon_sym_cbuffer] = ACTIONS(2849),
  },
  [614] = {
    [sym_identifier] = ACTIONS(2739),
    [aux_sym_preproc_include_token1] = ACTIONS(2739),
    [aux_sym_preproc_def_token1] = ACTIONS(2739),
    [aux_sym_preproc_if_token1] = ACTIONS(2739),
    [aux_sym_preproc_if_token2] = ACTIONS(2739),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2739),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2739),
    [aux_sym_preproc_else_token1] = ACTIONS(2739),
    [aux_sym_preproc_elif_token1] = ACTIONS(2739),
    [sym_preproc_directive] = ACTIONS(2739),
    [anon_sym_LPAREN2] = ACTIONS(2741),
    [anon_sym_BANG] = ACTIONS(2741),
    [anon_sym_TILDE] = ACTIONS(2741),
    [anon_sym_DASH] = ACTIONS(2739),
    [anon_sym_PLUS] = ACTIONS(2739),
    [anon_sym_STAR] = ACTIONS(2741),
    [anon_sym_AMP_AMP] = ACTIONS(2741),
    [anon_sym_AMP] = ACTIONS(2739),
    [anon_sym_SEMI] = ACTIONS(2741),
    [anon_sym___extension__] = ACTIONS(2739),
    [anon_sym_typedef] = ACTIONS(2739),
    [anon_sym_in] = ACTIONS(2739),
    [anon_sym_out] = ACTIONS(2739),
    [anon_sym_inout] = ACTIONS(2739),
    [anon_sym_extern] = ACTIONS(2739),
    [anon_sym___attribute__] = ACTIONS(2739),
    [anon_sym_COLON_COLON] = ACTIONS(2741),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2741),
    [anon_sym___declspec] = ACTIONS(2739),
    [anon_sym___based] = ACTIONS(2739),
    [anon_sym___cdecl] = ACTIONS(2739),
    [anon_sym___clrcall] = ACTIONS(2739),
    [anon_sym___stdcall] = ACTIONS(2739),
    [anon_sym___fastcall] = ACTIONS(2739),
    [anon_sym___thiscall] = ACTIONS(2739),
    [anon_sym___vectorcall] = ACTIONS(2739),
    [anon_sym_LBRACE] = ACTIONS(2741),
    [anon_sym_signed] = ACTIONS(2739),
    [anon_sym_unsigned] = ACTIONS(2739),
    [anon_sym_long] = ACTIONS(2739),
    [anon_sym_short] = ACTIONS(2739),
    [anon_sym_LBRACK] = ACTIONS(2739),
    [anon_sym_static] = ACTIONS(2739),
    [anon_sym_register] = ACTIONS(2739),
    [anon_sym_inline] = ACTIONS(2739),
    [anon_sym___inline] = ACTIONS(2739),
    [anon_sym___inline__] = ACTIONS(2739),
    [anon_sym___forceinline] = ACTIONS(2739),
    [anon_sym_thread_local] = ACTIONS(2739),
    [anon_sym___thread] = ACTIONS(2739),
    [anon_sym_const] = ACTIONS(2739),
    [anon_sym_constexpr] = ACTIONS(2739),
    [anon_sym_volatile] = ACTIONS(2739),
    [anon_sym_restrict] = ACTIONS(2739),
    [anon_sym___restrict__] = ACTIONS(2739),
    [anon_sym__Atomic] = ACTIONS(2739),
    [anon_sym__Noreturn] = ACTIONS(2739),
    [anon_sym_noreturn] = ACTIONS(2739),
    [anon_sym_mutable] = ACTIONS(2739),
    [anon_sym_constinit] = ACTIONS(2739),
    [anon_sym_consteval] = ACTIONS(2739),
    [sym_primitive_type] = ACTIONS(2739),
    [anon_sym_enum] = ACTIONS(2739),
    [anon_sym_class] = ACTIONS(2739),
    [anon_sym_struct] = ACTIONS(2739),
    [anon_sym_union] = ACTIONS(2739),
    [anon_sym_if] = ACTIONS(2739),
    [anon_sym_switch] = ACTIONS(2739),
    [anon_sym_case] = ACTIONS(2739),
    [anon_sym_default] = ACTIONS(2739),
    [anon_sym_while] = ACTIONS(2739),
    [anon_sym_do] = ACTIONS(2739),
    [anon_sym_for] = ACTIONS(2739),
    [anon_sym_return] = ACTIONS(2739),
    [anon_sym_break] = ACTIONS(2739),
    [anon_sym_continue] = ACTIONS(2739),
    [anon_sym_goto] = ACTIONS(2739),
    [anon_sym___try] = ACTIONS(2739),
    [anon_sym___leave] = ACTIONS(2739),
    [anon_sym_not] = ACTIONS(2739),
    [anon_sym_compl] = ACTIONS(2739),
    [anon_sym_DASH_DASH] = ACTIONS(2741),
    [anon_sym_PLUS_PLUS] = ACTIONS(2741),
    [anon_sym_sizeof] = ACTIONS(2739),
    [anon_sym___alignof__] = ACTIONS(2739),
    [anon_sym___alignof] = ACTIONS(2739),
    [anon_sym__alignof] = ACTIONS(2739),
    [anon_sym_alignof] = ACTIONS(2739),
    [anon_sym__Alignof] = ACTIONS(2739),
    [anon_sym_offsetof] = ACTIONS(2739),
    [anon_sym__Generic] = ACTIONS(2739),
    [anon_sym_asm] = ACTIONS(2739),
    [anon_sym___asm__] = ACTIONS(2739),
    [sym_number_literal] = ACTIONS(2741),
    [anon_sym_L_SQUOTE] = ACTIONS(2741),
    [anon_sym_u_SQUOTE] = ACTIONS(2741),
    [anon_sym_U_SQUOTE] = ACTIONS(2741),
    [anon_sym_u8_SQUOTE] = ACTIONS(2741),
    [anon_sym_SQUOTE] = ACTIONS(2741),
    [anon_sym_L_DQUOTE] = ACTIONS(2741),
    [anon_sym_u_DQUOTE] = ACTIONS(2741),
    [anon_sym_U_DQUOTE] = ACTIONS(2741),
    [anon_sym_u8_DQUOTE] = ACTIONS(2741),
    [anon_sym_DQUOTE] = ACTIONS(2741),
    [sym_true] = ACTIONS(2739),
    [sym_false] = ACTIONS(2739),
    [anon_sym_NULL] = ACTIONS(2739),
    [anon_sym_nullptr] = ACTIONS(2739),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2739),
    [anon_sym_decltype] = ACTIONS(2739),
    [anon_sym_virtual] = ACTIONS(2739),
    [anon_sym_alignas] = ACTIONS(2739),
    [anon_sym_explicit] = ACTIONS(2739),
    [anon_sym_typename] = ACTIONS(2739),
    [anon_sym_template] = ACTIONS(2739),
    [anon_sym_operator] = ACTIONS(2739),
    [anon_sym_try] = ACTIONS(2739),
    [anon_sym_delete] = ACTIONS(2739),
    [anon_sym_throw] = ACTIONS(2739),
    [anon_sym_namespace] = ACTIONS(2739),
    [anon_sym_using] = ACTIONS(2739),
    [anon_sym_static_assert] = ACTIONS(2739),
    [anon_sym_concept] = ACTIONS(2739),
    [anon_sym_co_return] = ACTIONS(2739),
    [anon_sym_co_yield] = ACTIONS(2739),
    [anon_sym_R_DQUOTE] = ACTIONS(2741),
    [anon_sym_LR_DQUOTE] = ACTIONS(2741),
    [anon_sym_uR_DQUOTE] = ACTIONS(2741),
    [anon_sym_UR_DQUOTE] = ACTIONS(2741),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2741),
    [anon_sym_co_await] = ACTIONS(2739),
    [anon_sym_new] = ACTIONS(2739),
    [anon_sym_requires] = ACTIONS(2739),
    [sym_this] = ACTIONS(2739),
    [anon_sym_discard] = ACTIONS(2739),
    [anon_sym_precise] = ACTIONS(2739),
    [anon_sym_shared] = ACTIONS(2739),
    [anon_sym_groupshared] = ACTIONS(2739),
    [anon_sym_uniform] = ACTIONS(2739),
    [anon_sym_row_major] = ACTIONS(2739),
    [anon_sym_column_major] = ACTIONS(2739),
    [anon_sym_globallycoherent] = ACTIONS(2739),
    [anon_sym_centroid] = ACTIONS(2739),
    [anon_sym_noperspective] = ACTIONS(2739),
    [anon_sym_nointerpolation] = ACTIONS(2739),
    [anon_sym_sample] = ACTIONS(2739),
    [anon_sym_linear] = ACTIONS(2739),
    [anon_sym_snorm] = ACTIONS(2739),
    [anon_sym_unorm] = ACTIONS(2739),
    [anon_sym_point] = ACTIONS(2739),
    [anon_sym_line] = ACTIONS(2739),
    [anon_sym_triangleadj] = ACTIONS(2739),
    [anon_sym_lineadj] = ACTIONS(2739),
    [anon_sym_triangle] = ACTIONS(2739),
    [anon_sym_cbuffer] = ACTIONS(2739),
  },
  [615] = {
    [sym_identifier] = ACTIONS(2743),
    [aux_sym_preproc_include_token1] = ACTIONS(2743),
    [aux_sym_preproc_def_token1] = ACTIONS(2743),
    [aux_sym_preproc_if_token1] = ACTIONS(2743),
    [aux_sym_preproc_if_token2] = ACTIONS(2743),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2743),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2743),
    [aux_sym_preproc_else_token1] = ACTIONS(2743),
    [aux_sym_preproc_elif_token1] = ACTIONS(2743),
    [sym_preproc_directive] = ACTIONS(2743),
    [anon_sym_LPAREN2] = ACTIONS(2745),
    [anon_sym_BANG] = ACTIONS(2745),
    [anon_sym_TILDE] = ACTIONS(2745),
    [anon_sym_DASH] = ACTIONS(2743),
    [anon_sym_PLUS] = ACTIONS(2743),
    [anon_sym_STAR] = ACTIONS(2745),
    [anon_sym_AMP_AMP] = ACTIONS(2745),
    [anon_sym_AMP] = ACTIONS(2743),
    [anon_sym_SEMI] = ACTIONS(2745),
    [anon_sym___extension__] = ACTIONS(2743),
    [anon_sym_typedef] = ACTIONS(2743),
    [anon_sym_in] = ACTIONS(2743),
    [anon_sym_out] = ACTIONS(2743),
    [anon_sym_inout] = ACTIONS(2743),
    [anon_sym_extern] = ACTIONS(2743),
    [anon_sym___attribute__] = ACTIONS(2743),
    [anon_sym_COLON_COLON] = ACTIONS(2745),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2745),
    [anon_sym___declspec] = ACTIONS(2743),
    [anon_sym___based] = ACTIONS(2743),
    [anon_sym___cdecl] = ACTIONS(2743),
    [anon_sym___clrcall] = ACTIONS(2743),
    [anon_sym___stdcall] = ACTIONS(2743),
    [anon_sym___fastcall] = ACTIONS(2743),
    [anon_sym___thiscall] = ACTIONS(2743),
    [anon_sym___vectorcall] = ACTIONS(2743),
    [anon_sym_LBRACE] = ACTIONS(2745),
    [anon_sym_signed] = ACTIONS(2743),
    [anon_sym_unsigned] = ACTIONS(2743),
    [anon_sym_long] = ACTIONS(2743),
    [anon_sym_short] = ACTIONS(2743),
    [anon_sym_LBRACK] = ACTIONS(2743),
    [anon_sym_static] = ACTIONS(2743),
    [anon_sym_register] = ACTIONS(2743),
    [anon_sym_inline] = ACTIONS(2743),
    [anon_sym___inline] = ACTIONS(2743),
    [anon_sym___inline__] = ACTIONS(2743),
    [anon_sym___forceinline] = ACTIONS(2743),
    [anon_sym_thread_local] = ACTIONS(2743),
    [anon_sym___thread] = ACTIONS(2743),
    [anon_sym_const] = ACTIONS(2743),
    [anon_sym_constexpr] = ACTIONS(2743),
    [anon_sym_volatile] = ACTIONS(2743),
    [anon_sym_restrict] = ACTIONS(2743),
    [anon_sym___restrict__] = ACTIONS(2743),
    [anon_sym__Atomic] = ACTIONS(2743),
    [anon_sym__Noreturn] = ACTIONS(2743),
    [anon_sym_noreturn] = ACTIONS(2743),
    [anon_sym_mutable] = ACTIONS(2743),
    [anon_sym_constinit] = ACTIONS(2743),
    [anon_sym_consteval] = ACTIONS(2743),
    [sym_primitive_type] = ACTIONS(2743),
    [anon_sym_enum] = ACTIONS(2743),
    [anon_sym_class] = ACTIONS(2743),
    [anon_sym_struct] = ACTIONS(2743),
    [anon_sym_union] = ACTIONS(2743),
    [anon_sym_if] = ACTIONS(2743),
    [anon_sym_switch] = ACTIONS(2743),
    [anon_sym_case] = ACTIONS(2743),
    [anon_sym_default] = ACTIONS(2743),
    [anon_sym_while] = ACTIONS(2743),
    [anon_sym_do] = ACTIONS(2743),
    [anon_sym_for] = ACTIONS(2743),
    [anon_sym_return] = ACTIONS(2743),
    [anon_sym_break] = ACTIONS(2743),
    [anon_sym_continue] = ACTIONS(2743),
    [anon_sym_goto] = ACTIONS(2743),
    [anon_sym___try] = ACTIONS(2743),
    [anon_sym___leave] = ACTIONS(2743),
    [anon_sym_not] = ACTIONS(2743),
    [anon_sym_compl] = ACTIONS(2743),
    [anon_sym_DASH_DASH] = ACTIONS(2745),
    [anon_sym_PLUS_PLUS] = ACTIONS(2745),
    [anon_sym_sizeof] = ACTIONS(2743),
    [anon_sym___alignof__] = ACTIONS(2743),
    [anon_sym___alignof] = ACTIONS(2743),
    [anon_sym__alignof] = ACTIONS(2743),
    [anon_sym_alignof] = ACTIONS(2743),
    [anon_sym__Alignof] = ACTIONS(2743),
    [anon_sym_offsetof] = ACTIONS(2743),
    [anon_sym__Generic] = ACTIONS(2743),
    [anon_sym_asm] = ACTIONS(2743),
    [anon_sym___asm__] = ACTIONS(2743),
    [sym_number_literal] = ACTIONS(2745),
    [anon_sym_L_SQUOTE] = ACTIONS(2745),
    [anon_sym_u_SQUOTE] = ACTIONS(2745),
    [anon_sym_U_SQUOTE] = ACTIONS(2745),
    [anon_sym_u8_SQUOTE] = ACTIONS(2745),
    [anon_sym_SQUOTE] = ACTIONS(2745),
    [anon_sym_L_DQUOTE] = ACTIONS(2745),
    [anon_sym_u_DQUOTE] = ACTIONS(2745),
    [anon_sym_U_DQUOTE] = ACTIONS(2745),
    [anon_sym_u8_DQUOTE] = ACTIONS(2745),
    [anon_sym_DQUOTE] = ACTIONS(2745),
    [sym_true] = ACTIONS(2743),
    [sym_false] = ACTIONS(2743),
    [anon_sym_NULL] = ACTIONS(2743),
    [anon_sym_nullptr] = ACTIONS(2743),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2743),
    [anon_sym_decltype] = ACTIONS(2743),
    [anon_sym_virtual] = ACTIONS(2743),
    [anon_sym_alignas] = ACTIONS(2743),
    [anon_sym_explicit] = ACTIONS(2743),
    [anon_sym_typename] = ACTIONS(2743),
    [anon_sym_template] = ACTIONS(2743),
    [anon_sym_operator] = ACTIONS(2743),
    [anon_sym_try] = ACTIONS(2743),
    [anon_sym_delete] = ACTIONS(2743),
    [anon_sym_throw] = ACTIONS(2743),
    [anon_sym_namespace] = ACTIONS(2743),
    [anon_sym_using] = ACTIONS(2743),
    [anon_sym_static_assert] = ACTIONS(2743),
    [anon_sym_concept] = ACTIONS(2743),
    [anon_sym_co_return] = ACTIONS(2743),
    [anon_sym_co_yield] = ACTIONS(2743),
    [anon_sym_R_DQUOTE] = ACTIONS(2745),
    [anon_sym_LR_DQUOTE] = ACTIONS(2745),
    [anon_sym_uR_DQUOTE] = ACTIONS(2745),
    [anon_sym_UR_DQUOTE] = ACTIONS(2745),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2745),
    [anon_sym_co_await] = ACTIONS(2743),
    [anon_sym_new] = ACTIONS(2743),
    [anon_sym_requires] = ACTIONS(2743),
    [sym_this] = ACTIONS(2743),
    [anon_sym_discard] = ACTIONS(2743),
    [anon_sym_precise] = ACTIONS(2743),
    [anon_sym_shared] = ACTIONS(2743),
    [anon_sym_groupshared] = ACTIONS(2743),
    [anon_sym_uniform] = ACTIONS(2743),
    [anon_sym_row_major] = ACTIONS(2743),
    [anon_sym_column_major] = ACTIONS(2743),
    [anon_sym_globallycoherent] = ACTIONS(2743),
    [anon_sym_centroid] = ACTIONS(2743),
    [anon_sym_noperspective] = ACTIONS(2743),
    [anon_sym_nointerpolation] = ACTIONS(2743),
    [anon_sym_sample] = ACTIONS(2743),
    [anon_sym_linear] = ACTIONS(2743),
    [anon_sym_snorm] = ACTIONS(2743),
    [anon_sym_unorm] = ACTIONS(2743),
    [anon_sym_point] = ACTIONS(2743),
    [anon_sym_line] = ACTIONS(2743),
    [anon_sym_triangleadj] = ACTIONS(2743),
    [anon_sym_lineadj] = ACTIONS(2743),
    [anon_sym_triangle] = ACTIONS(2743),
    [anon_sym_cbuffer] = ACTIONS(2743),
  },
  [616] = {
    [sym_identifier] = ACTIONS(2759),
    [aux_sym_preproc_include_token1] = ACTIONS(2759),
    [aux_sym_preproc_def_token1] = ACTIONS(2759),
    [aux_sym_preproc_if_token1] = ACTIONS(2759),
    [aux_sym_preproc_if_token2] = ACTIONS(2759),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2759),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2759),
    [aux_sym_preproc_else_token1] = ACTIONS(2759),
    [aux_sym_preproc_elif_token1] = ACTIONS(2759),
    [sym_preproc_directive] = ACTIONS(2759),
    [anon_sym_LPAREN2] = ACTIONS(2761),
    [anon_sym_BANG] = ACTIONS(2761),
    [anon_sym_TILDE] = ACTIONS(2761),
    [anon_sym_DASH] = ACTIONS(2759),
    [anon_sym_PLUS] = ACTIONS(2759),
    [anon_sym_STAR] = ACTIONS(2761),
    [anon_sym_AMP_AMP] = ACTIONS(2761),
    [anon_sym_AMP] = ACTIONS(2759),
    [anon_sym_SEMI] = ACTIONS(2761),
    [anon_sym___extension__] = ACTIONS(2759),
    [anon_sym_typedef] = ACTIONS(2759),
    [anon_sym_in] = ACTIONS(2759),
    [anon_sym_out] = ACTIONS(2759),
    [anon_sym_inout] = ACTIONS(2759),
    [anon_sym_extern] = ACTIONS(2759),
    [anon_sym___attribute__] = ACTIONS(2759),
    [anon_sym_COLON_COLON] = ACTIONS(2761),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2761),
    [anon_sym___declspec] = ACTIONS(2759),
    [anon_sym___based] = ACTIONS(2759),
    [anon_sym___cdecl] = ACTIONS(2759),
    [anon_sym___clrcall] = ACTIONS(2759),
    [anon_sym___stdcall] = ACTIONS(2759),
    [anon_sym___fastcall] = ACTIONS(2759),
    [anon_sym___thiscall] = ACTIONS(2759),
    [anon_sym___vectorcall] = ACTIONS(2759),
    [anon_sym_LBRACE] = ACTIONS(2761),
    [anon_sym_signed] = ACTIONS(2759),
    [anon_sym_unsigned] = ACTIONS(2759),
    [anon_sym_long] = ACTIONS(2759),
    [anon_sym_short] = ACTIONS(2759),
    [anon_sym_LBRACK] = ACTIONS(2759),
    [anon_sym_static] = ACTIONS(2759),
    [anon_sym_register] = ACTIONS(2759),
    [anon_sym_inline] = ACTIONS(2759),
    [anon_sym___inline] = ACTIONS(2759),
    [anon_sym___inline__] = ACTIONS(2759),
    [anon_sym___forceinline] = ACTIONS(2759),
    [anon_sym_thread_local] = ACTIONS(2759),
    [anon_sym___thread] = ACTIONS(2759),
    [anon_sym_const] = ACTIONS(2759),
    [anon_sym_constexpr] = ACTIONS(2759),
    [anon_sym_volatile] = ACTIONS(2759),
    [anon_sym_restrict] = ACTIONS(2759),
    [anon_sym___restrict__] = ACTIONS(2759),
    [anon_sym__Atomic] = ACTIONS(2759),
    [anon_sym__Noreturn] = ACTIONS(2759),
    [anon_sym_noreturn] = ACTIONS(2759),
    [anon_sym_mutable] = ACTIONS(2759),
    [anon_sym_constinit] = ACTIONS(2759),
    [anon_sym_consteval] = ACTIONS(2759),
    [sym_primitive_type] = ACTIONS(2759),
    [anon_sym_enum] = ACTIONS(2759),
    [anon_sym_class] = ACTIONS(2759),
    [anon_sym_struct] = ACTIONS(2759),
    [anon_sym_union] = ACTIONS(2759),
    [anon_sym_if] = ACTIONS(2759),
    [anon_sym_switch] = ACTIONS(2759),
    [anon_sym_case] = ACTIONS(2759),
    [anon_sym_default] = ACTIONS(2759),
    [anon_sym_while] = ACTIONS(2759),
    [anon_sym_do] = ACTIONS(2759),
    [anon_sym_for] = ACTIONS(2759),
    [anon_sym_return] = ACTIONS(2759),
    [anon_sym_break] = ACTIONS(2759),
    [anon_sym_continue] = ACTIONS(2759),
    [anon_sym_goto] = ACTIONS(2759),
    [anon_sym___try] = ACTIONS(2759),
    [anon_sym___leave] = ACTIONS(2759),
    [anon_sym_not] = ACTIONS(2759),
    [anon_sym_compl] = ACTIONS(2759),
    [anon_sym_DASH_DASH] = ACTIONS(2761),
    [anon_sym_PLUS_PLUS] = ACTIONS(2761),
    [anon_sym_sizeof] = ACTIONS(2759),
    [anon_sym___alignof__] = ACTIONS(2759),
    [anon_sym___alignof] = ACTIONS(2759),
    [anon_sym__alignof] = ACTIONS(2759),
    [anon_sym_alignof] = ACTIONS(2759),
    [anon_sym__Alignof] = ACTIONS(2759),
    [anon_sym_offsetof] = ACTIONS(2759),
    [anon_sym__Generic] = ACTIONS(2759),
    [anon_sym_asm] = ACTIONS(2759),
    [anon_sym___asm__] = ACTIONS(2759),
    [sym_number_literal] = ACTIONS(2761),
    [anon_sym_L_SQUOTE] = ACTIONS(2761),
    [anon_sym_u_SQUOTE] = ACTIONS(2761),
    [anon_sym_U_SQUOTE] = ACTIONS(2761),
    [anon_sym_u8_SQUOTE] = ACTIONS(2761),
    [anon_sym_SQUOTE] = ACTIONS(2761),
    [anon_sym_L_DQUOTE] = ACTIONS(2761),
    [anon_sym_u_DQUOTE] = ACTIONS(2761),
    [anon_sym_U_DQUOTE] = ACTIONS(2761),
    [anon_sym_u8_DQUOTE] = ACTIONS(2761),
    [anon_sym_DQUOTE] = ACTIONS(2761),
    [sym_true] = ACTIONS(2759),
    [sym_false] = ACTIONS(2759),
    [anon_sym_NULL] = ACTIONS(2759),
    [anon_sym_nullptr] = ACTIONS(2759),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2759),
    [anon_sym_decltype] = ACTIONS(2759),
    [anon_sym_virtual] = ACTIONS(2759),
    [anon_sym_alignas] = ACTIONS(2759),
    [anon_sym_explicit] = ACTIONS(2759),
    [anon_sym_typename] = ACTIONS(2759),
    [anon_sym_template] = ACTIONS(2759),
    [anon_sym_operator] = ACTIONS(2759),
    [anon_sym_try] = ACTIONS(2759),
    [anon_sym_delete] = ACTIONS(2759),
    [anon_sym_throw] = ACTIONS(2759),
    [anon_sym_namespace] = ACTIONS(2759),
    [anon_sym_using] = ACTIONS(2759),
    [anon_sym_static_assert] = ACTIONS(2759),
    [anon_sym_concept] = ACTIONS(2759),
    [anon_sym_co_return] = ACTIONS(2759),
    [anon_sym_co_yield] = ACTIONS(2759),
    [anon_sym_R_DQUOTE] = ACTIONS(2761),
    [anon_sym_LR_DQUOTE] = ACTIONS(2761),
    [anon_sym_uR_DQUOTE] = ACTIONS(2761),
    [anon_sym_UR_DQUOTE] = ACTIONS(2761),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2761),
    [anon_sym_co_await] = ACTIONS(2759),
    [anon_sym_new] = ACTIONS(2759),
    [anon_sym_requires] = ACTIONS(2759),
    [sym_this] = ACTIONS(2759),
    [anon_sym_discard] = ACTIONS(2759),
    [anon_sym_precise] = ACTIONS(2759),
    [anon_sym_shared] = ACTIONS(2759),
    [anon_sym_groupshared] = ACTIONS(2759),
    [anon_sym_uniform] = ACTIONS(2759),
    [anon_sym_row_major] = ACTIONS(2759),
    [anon_sym_column_major] = ACTIONS(2759),
    [anon_sym_globallycoherent] = ACTIONS(2759),
    [anon_sym_centroid] = ACTIONS(2759),
    [anon_sym_noperspective] = ACTIONS(2759),
    [anon_sym_nointerpolation] = ACTIONS(2759),
    [anon_sym_sample] = ACTIONS(2759),
    [anon_sym_linear] = ACTIONS(2759),
    [anon_sym_snorm] = ACTIONS(2759),
    [anon_sym_unorm] = ACTIONS(2759),
    [anon_sym_point] = ACTIONS(2759),
    [anon_sym_line] = ACTIONS(2759),
    [anon_sym_triangleadj] = ACTIONS(2759),
    [anon_sym_lineadj] = ACTIONS(2759),
    [anon_sym_triangle] = ACTIONS(2759),
    [anon_sym_cbuffer] = ACTIONS(2759),
  },
  [617] = {
    [sym_identifier] = ACTIONS(2765),
    [aux_sym_preproc_include_token1] = ACTIONS(2765),
    [aux_sym_preproc_def_token1] = ACTIONS(2765),
    [aux_sym_preproc_if_token1] = ACTIONS(2765),
    [aux_sym_preproc_if_token2] = ACTIONS(2765),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2765),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2765),
    [aux_sym_preproc_else_token1] = ACTIONS(2765),
    [aux_sym_preproc_elif_token1] = ACTIONS(2765),
    [sym_preproc_directive] = ACTIONS(2765),
    [anon_sym_LPAREN2] = ACTIONS(2767),
    [anon_sym_BANG] = ACTIONS(2767),
    [anon_sym_TILDE] = ACTIONS(2767),
    [anon_sym_DASH] = ACTIONS(2765),
    [anon_sym_PLUS] = ACTIONS(2765),
    [anon_sym_STAR] = ACTIONS(2767),
    [anon_sym_AMP_AMP] = ACTIONS(2767),
    [anon_sym_AMP] = ACTIONS(2765),
    [anon_sym_SEMI] = ACTIONS(2767),
    [anon_sym___extension__] = ACTIONS(2765),
    [anon_sym_typedef] = ACTIONS(2765),
    [anon_sym_in] = ACTIONS(2765),
    [anon_sym_out] = ACTIONS(2765),
    [anon_sym_inout] = ACTIONS(2765),
    [anon_sym_extern] = ACTIONS(2765),
    [anon_sym___attribute__] = ACTIONS(2765),
    [anon_sym_COLON_COLON] = ACTIONS(2767),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2767),
    [anon_sym___declspec] = ACTIONS(2765),
    [anon_sym___based] = ACTIONS(2765),
    [anon_sym___cdecl] = ACTIONS(2765),
    [anon_sym___clrcall] = ACTIONS(2765),
    [anon_sym___stdcall] = ACTIONS(2765),
    [anon_sym___fastcall] = ACTIONS(2765),
    [anon_sym___thiscall] = ACTIONS(2765),
    [anon_sym___vectorcall] = ACTIONS(2765),
    [anon_sym_LBRACE] = ACTIONS(2767),
    [anon_sym_signed] = ACTIONS(2765),
    [anon_sym_unsigned] = ACTIONS(2765),
    [anon_sym_long] = ACTIONS(2765),
    [anon_sym_short] = ACTIONS(2765),
    [anon_sym_LBRACK] = ACTIONS(2765),
    [anon_sym_static] = ACTIONS(2765),
    [anon_sym_register] = ACTIONS(2765),
    [anon_sym_inline] = ACTIONS(2765),
    [anon_sym___inline] = ACTIONS(2765),
    [anon_sym___inline__] = ACTIONS(2765),
    [anon_sym___forceinline] = ACTIONS(2765),
    [anon_sym_thread_local] = ACTIONS(2765),
    [anon_sym___thread] = ACTIONS(2765),
    [anon_sym_const] = ACTIONS(2765),
    [anon_sym_constexpr] = ACTIONS(2765),
    [anon_sym_volatile] = ACTIONS(2765),
    [anon_sym_restrict] = ACTIONS(2765),
    [anon_sym___restrict__] = ACTIONS(2765),
    [anon_sym__Atomic] = ACTIONS(2765),
    [anon_sym__Noreturn] = ACTIONS(2765),
    [anon_sym_noreturn] = ACTIONS(2765),
    [anon_sym_mutable] = ACTIONS(2765),
    [anon_sym_constinit] = ACTIONS(2765),
    [anon_sym_consteval] = ACTIONS(2765),
    [sym_primitive_type] = ACTIONS(2765),
    [anon_sym_enum] = ACTIONS(2765),
    [anon_sym_class] = ACTIONS(2765),
    [anon_sym_struct] = ACTIONS(2765),
    [anon_sym_union] = ACTIONS(2765),
    [anon_sym_if] = ACTIONS(2765),
    [anon_sym_switch] = ACTIONS(2765),
    [anon_sym_case] = ACTIONS(2765),
    [anon_sym_default] = ACTIONS(2765),
    [anon_sym_while] = ACTIONS(2765),
    [anon_sym_do] = ACTIONS(2765),
    [anon_sym_for] = ACTIONS(2765),
    [anon_sym_return] = ACTIONS(2765),
    [anon_sym_break] = ACTIONS(2765),
    [anon_sym_continue] = ACTIONS(2765),
    [anon_sym_goto] = ACTIONS(2765),
    [anon_sym___try] = ACTIONS(2765),
    [anon_sym___leave] = ACTIONS(2765),
    [anon_sym_not] = ACTIONS(2765),
    [anon_sym_compl] = ACTIONS(2765),
    [anon_sym_DASH_DASH] = ACTIONS(2767),
    [anon_sym_PLUS_PLUS] = ACTIONS(2767),
    [anon_sym_sizeof] = ACTIONS(2765),
    [anon_sym___alignof__] = ACTIONS(2765),
    [anon_sym___alignof] = ACTIONS(2765),
    [anon_sym__alignof] = ACTIONS(2765),
    [anon_sym_alignof] = ACTIONS(2765),
    [anon_sym__Alignof] = ACTIONS(2765),
    [anon_sym_offsetof] = ACTIONS(2765),
    [anon_sym__Generic] = ACTIONS(2765),
    [anon_sym_asm] = ACTIONS(2765),
    [anon_sym___asm__] = ACTIONS(2765),
    [sym_number_literal] = ACTIONS(2767),
    [anon_sym_L_SQUOTE] = ACTIONS(2767),
    [anon_sym_u_SQUOTE] = ACTIONS(2767),
    [anon_sym_U_SQUOTE] = ACTIONS(2767),
    [anon_sym_u8_SQUOTE] = ACTIONS(2767),
    [anon_sym_SQUOTE] = ACTIONS(2767),
    [anon_sym_L_DQUOTE] = ACTIONS(2767),
    [anon_sym_u_DQUOTE] = ACTIONS(2767),
    [anon_sym_U_DQUOTE] = ACTIONS(2767),
    [anon_sym_u8_DQUOTE] = ACTIONS(2767),
    [anon_sym_DQUOTE] = ACTIONS(2767),
    [sym_true] = ACTIONS(2765),
    [sym_false] = ACTIONS(2765),
    [anon_sym_NULL] = ACTIONS(2765),
    [anon_sym_nullptr] = ACTIONS(2765),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2765),
    [anon_sym_decltype] = ACTIONS(2765),
    [anon_sym_virtual] = ACTIONS(2765),
    [anon_sym_alignas] = ACTIONS(2765),
    [anon_sym_explicit] = ACTIONS(2765),
    [anon_sym_typename] = ACTIONS(2765),
    [anon_sym_template] = ACTIONS(2765),
    [anon_sym_operator] = ACTIONS(2765),
    [anon_sym_try] = ACTIONS(2765),
    [anon_sym_delete] = ACTIONS(2765),
    [anon_sym_throw] = ACTIONS(2765),
    [anon_sym_namespace] = ACTIONS(2765),
    [anon_sym_using] = ACTIONS(2765),
    [anon_sym_static_assert] = ACTIONS(2765),
    [anon_sym_concept] = ACTIONS(2765),
    [anon_sym_co_return] = ACTIONS(2765),
    [anon_sym_co_yield] = ACTIONS(2765),
    [anon_sym_R_DQUOTE] = ACTIONS(2767),
    [anon_sym_LR_DQUOTE] = ACTIONS(2767),
    [anon_sym_uR_DQUOTE] = ACTIONS(2767),
    [anon_sym_UR_DQUOTE] = ACTIONS(2767),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2767),
    [anon_sym_co_await] = ACTIONS(2765),
    [anon_sym_new] = ACTIONS(2765),
    [anon_sym_requires] = ACTIONS(2765),
    [sym_this] = ACTIONS(2765),
    [anon_sym_discard] = ACTIONS(2765),
    [anon_sym_precise] = ACTIONS(2765),
    [anon_sym_shared] = ACTIONS(2765),
    [anon_sym_groupshared] = ACTIONS(2765),
    [anon_sym_uniform] = ACTIONS(2765),
    [anon_sym_row_major] = ACTIONS(2765),
    [anon_sym_column_major] = ACTIONS(2765),
    [anon_sym_globallycoherent] = ACTIONS(2765),
    [anon_sym_centroid] = ACTIONS(2765),
    [anon_sym_noperspective] = ACTIONS(2765),
    [anon_sym_nointerpolation] = ACTIONS(2765),
    [anon_sym_sample] = ACTIONS(2765),
    [anon_sym_linear] = ACTIONS(2765),
    [anon_sym_snorm] = ACTIONS(2765),
    [anon_sym_unorm] = ACTIONS(2765),
    [anon_sym_point] = ACTIONS(2765),
    [anon_sym_line] = ACTIONS(2765),
    [anon_sym_triangleadj] = ACTIONS(2765),
    [anon_sym_lineadj] = ACTIONS(2765),
    [anon_sym_triangle] = ACTIONS(2765),
    [anon_sym_cbuffer] = ACTIONS(2765),
  },
  [618] = {
    [sym_identifier] = ACTIONS(2765),
    [aux_sym_preproc_include_token1] = ACTIONS(2765),
    [aux_sym_preproc_def_token1] = ACTIONS(2765),
    [aux_sym_preproc_if_token1] = ACTIONS(2765),
    [aux_sym_preproc_if_token2] = ACTIONS(2765),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2765),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2765),
    [aux_sym_preproc_else_token1] = ACTIONS(2765),
    [aux_sym_preproc_elif_token1] = ACTIONS(2765),
    [sym_preproc_directive] = ACTIONS(2765),
    [anon_sym_LPAREN2] = ACTIONS(2767),
    [anon_sym_BANG] = ACTIONS(2767),
    [anon_sym_TILDE] = ACTIONS(2767),
    [anon_sym_DASH] = ACTIONS(2765),
    [anon_sym_PLUS] = ACTIONS(2765),
    [anon_sym_STAR] = ACTIONS(2767),
    [anon_sym_AMP_AMP] = ACTIONS(2767),
    [anon_sym_AMP] = ACTIONS(2765),
    [anon_sym_SEMI] = ACTIONS(2767),
    [anon_sym___extension__] = ACTIONS(2765),
    [anon_sym_typedef] = ACTIONS(2765),
    [anon_sym_in] = ACTIONS(2765),
    [anon_sym_out] = ACTIONS(2765),
    [anon_sym_inout] = ACTIONS(2765),
    [anon_sym_extern] = ACTIONS(2765),
    [anon_sym___attribute__] = ACTIONS(2765),
    [anon_sym_COLON_COLON] = ACTIONS(2767),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2767),
    [anon_sym___declspec] = ACTIONS(2765),
    [anon_sym___based] = ACTIONS(2765),
    [anon_sym___cdecl] = ACTIONS(2765),
    [anon_sym___clrcall] = ACTIONS(2765),
    [anon_sym___stdcall] = ACTIONS(2765),
    [anon_sym___fastcall] = ACTIONS(2765),
    [anon_sym___thiscall] = ACTIONS(2765),
    [anon_sym___vectorcall] = ACTIONS(2765),
    [anon_sym_LBRACE] = ACTIONS(2767),
    [anon_sym_signed] = ACTIONS(2765),
    [anon_sym_unsigned] = ACTIONS(2765),
    [anon_sym_long] = ACTIONS(2765),
    [anon_sym_short] = ACTIONS(2765),
    [anon_sym_LBRACK] = ACTIONS(2765),
    [anon_sym_static] = ACTIONS(2765),
    [anon_sym_register] = ACTIONS(2765),
    [anon_sym_inline] = ACTIONS(2765),
    [anon_sym___inline] = ACTIONS(2765),
    [anon_sym___inline__] = ACTIONS(2765),
    [anon_sym___forceinline] = ACTIONS(2765),
    [anon_sym_thread_local] = ACTIONS(2765),
    [anon_sym___thread] = ACTIONS(2765),
    [anon_sym_const] = ACTIONS(2765),
    [anon_sym_constexpr] = ACTIONS(2765),
    [anon_sym_volatile] = ACTIONS(2765),
    [anon_sym_restrict] = ACTIONS(2765),
    [anon_sym___restrict__] = ACTIONS(2765),
    [anon_sym__Atomic] = ACTIONS(2765),
    [anon_sym__Noreturn] = ACTIONS(2765),
    [anon_sym_noreturn] = ACTIONS(2765),
    [anon_sym_mutable] = ACTIONS(2765),
    [anon_sym_constinit] = ACTIONS(2765),
    [anon_sym_consteval] = ACTIONS(2765),
    [sym_primitive_type] = ACTIONS(2765),
    [anon_sym_enum] = ACTIONS(2765),
    [anon_sym_class] = ACTIONS(2765),
    [anon_sym_struct] = ACTIONS(2765),
    [anon_sym_union] = ACTIONS(2765),
    [anon_sym_if] = ACTIONS(2765),
    [anon_sym_switch] = ACTIONS(2765),
    [anon_sym_case] = ACTIONS(2765),
    [anon_sym_default] = ACTIONS(2765),
    [anon_sym_while] = ACTIONS(2765),
    [anon_sym_do] = ACTIONS(2765),
    [anon_sym_for] = ACTIONS(2765),
    [anon_sym_return] = ACTIONS(2765),
    [anon_sym_break] = ACTIONS(2765),
    [anon_sym_continue] = ACTIONS(2765),
    [anon_sym_goto] = ACTIONS(2765),
    [anon_sym___try] = ACTIONS(2765),
    [anon_sym___leave] = ACTIONS(2765),
    [anon_sym_not] = ACTIONS(2765),
    [anon_sym_compl] = ACTIONS(2765),
    [anon_sym_DASH_DASH] = ACTIONS(2767),
    [anon_sym_PLUS_PLUS] = ACTIONS(2767),
    [anon_sym_sizeof] = ACTIONS(2765),
    [anon_sym___alignof__] = ACTIONS(2765),
    [anon_sym___alignof] = ACTIONS(2765),
    [anon_sym__alignof] = ACTIONS(2765),
    [anon_sym_alignof] = ACTIONS(2765),
    [anon_sym__Alignof] = ACTIONS(2765),
    [anon_sym_offsetof] = ACTIONS(2765),
    [anon_sym__Generic] = ACTIONS(2765),
    [anon_sym_asm] = ACTIONS(2765),
    [anon_sym___asm__] = ACTIONS(2765),
    [sym_number_literal] = ACTIONS(2767),
    [anon_sym_L_SQUOTE] = ACTIONS(2767),
    [anon_sym_u_SQUOTE] = ACTIONS(2767),
    [anon_sym_U_SQUOTE] = ACTIONS(2767),
    [anon_sym_u8_SQUOTE] = ACTIONS(2767),
    [anon_sym_SQUOTE] = ACTIONS(2767),
    [anon_sym_L_DQUOTE] = ACTIONS(2767),
    [anon_sym_u_DQUOTE] = ACTIONS(2767),
    [anon_sym_U_DQUOTE] = ACTIONS(2767),
    [anon_sym_u8_DQUOTE] = ACTIONS(2767),
    [anon_sym_DQUOTE] = ACTIONS(2767),
    [sym_true] = ACTIONS(2765),
    [sym_false] = ACTIONS(2765),
    [anon_sym_NULL] = ACTIONS(2765),
    [anon_sym_nullptr] = ACTIONS(2765),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2765),
    [anon_sym_decltype] = ACTIONS(2765),
    [anon_sym_virtual] = ACTIONS(2765),
    [anon_sym_alignas] = ACTIONS(2765),
    [anon_sym_explicit] = ACTIONS(2765),
    [anon_sym_typename] = ACTIONS(2765),
    [anon_sym_template] = ACTIONS(2765),
    [anon_sym_operator] = ACTIONS(2765),
    [anon_sym_try] = ACTIONS(2765),
    [anon_sym_delete] = ACTIONS(2765),
    [anon_sym_throw] = ACTIONS(2765),
    [anon_sym_namespace] = ACTIONS(2765),
    [anon_sym_using] = ACTIONS(2765),
    [anon_sym_static_assert] = ACTIONS(2765),
    [anon_sym_concept] = ACTIONS(2765),
    [anon_sym_co_return] = ACTIONS(2765),
    [anon_sym_co_yield] = ACTIONS(2765),
    [anon_sym_R_DQUOTE] = ACTIONS(2767),
    [anon_sym_LR_DQUOTE] = ACTIONS(2767),
    [anon_sym_uR_DQUOTE] = ACTIONS(2767),
    [anon_sym_UR_DQUOTE] = ACTIONS(2767),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2767),
    [anon_sym_co_await] = ACTIONS(2765),
    [anon_sym_new] = ACTIONS(2765),
    [anon_sym_requires] = ACTIONS(2765),
    [sym_this] = ACTIONS(2765),
    [anon_sym_discard] = ACTIONS(2765),
    [anon_sym_precise] = ACTIONS(2765),
    [anon_sym_shared] = ACTIONS(2765),
    [anon_sym_groupshared] = ACTIONS(2765),
    [anon_sym_uniform] = ACTIONS(2765),
    [anon_sym_row_major] = ACTIONS(2765),
    [anon_sym_column_major] = ACTIONS(2765),
    [anon_sym_globallycoherent] = ACTIONS(2765),
    [anon_sym_centroid] = ACTIONS(2765),
    [anon_sym_noperspective] = ACTIONS(2765),
    [anon_sym_nointerpolation] = ACTIONS(2765),
    [anon_sym_sample] = ACTIONS(2765),
    [anon_sym_linear] = ACTIONS(2765),
    [anon_sym_snorm] = ACTIONS(2765),
    [anon_sym_unorm] = ACTIONS(2765),
    [anon_sym_point] = ACTIONS(2765),
    [anon_sym_line] = ACTIONS(2765),
    [anon_sym_triangleadj] = ACTIONS(2765),
    [anon_sym_lineadj] = ACTIONS(2765),
    [anon_sym_triangle] = ACTIONS(2765),
    [anon_sym_cbuffer] = ACTIONS(2765),
  },
  [619] = {
    [sym_identifier] = ACTIONS(2608),
    [aux_sym_preproc_include_token1] = ACTIONS(2608),
    [aux_sym_preproc_def_token1] = ACTIONS(2608),
    [aux_sym_preproc_if_token1] = ACTIONS(2608),
    [aux_sym_preproc_if_token2] = ACTIONS(2608),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2608),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2608),
    [aux_sym_preproc_else_token1] = ACTIONS(2608),
    [aux_sym_preproc_elif_token1] = ACTIONS(2608),
    [sym_preproc_directive] = ACTIONS(2608),
    [anon_sym_LPAREN2] = ACTIONS(2610),
    [anon_sym_BANG] = ACTIONS(2610),
    [anon_sym_TILDE] = ACTIONS(2610),
    [anon_sym_DASH] = ACTIONS(2608),
    [anon_sym_PLUS] = ACTIONS(2608),
    [anon_sym_STAR] = ACTIONS(2610),
    [anon_sym_AMP_AMP] = ACTIONS(2610),
    [anon_sym_AMP] = ACTIONS(2608),
    [anon_sym_SEMI] = ACTIONS(2610),
    [anon_sym___extension__] = ACTIONS(2608),
    [anon_sym_typedef] = ACTIONS(2608),
    [anon_sym_in] = ACTIONS(2608),
    [anon_sym_out] = ACTIONS(2608),
    [anon_sym_inout] = ACTIONS(2608),
    [anon_sym_extern] = ACTIONS(2608),
    [anon_sym___attribute__] = ACTIONS(2608),
    [anon_sym_COLON_COLON] = ACTIONS(2610),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2610),
    [anon_sym___declspec] = ACTIONS(2608),
    [anon_sym___based] = ACTIONS(2608),
    [anon_sym___cdecl] = ACTIONS(2608),
    [anon_sym___clrcall] = ACTIONS(2608),
    [anon_sym___stdcall] = ACTIONS(2608),
    [anon_sym___fastcall] = ACTIONS(2608),
    [anon_sym___thiscall] = ACTIONS(2608),
    [anon_sym___vectorcall] = ACTIONS(2608),
    [anon_sym_LBRACE] = ACTIONS(2610),
    [anon_sym_signed] = ACTIONS(2608),
    [anon_sym_unsigned] = ACTIONS(2608),
    [anon_sym_long] = ACTIONS(2608),
    [anon_sym_short] = ACTIONS(2608),
    [anon_sym_LBRACK] = ACTIONS(2608),
    [anon_sym_static] = ACTIONS(2608),
    [anon_sym_register] = ACTIONS(2608),
    [anon_sym_inline] = ACTIONS(2608),
    [anon_sym___inline] = ACTIONS(2608),
    [anon_sym___inline__] = ACTIONS(2608),
    [anon_sym___forceinline] = ACTIONS(2608),
    [anon_sym_thread_local] = ACTIONS(2608),
    [anon_sym___thread] = ACTIONS(2608),
    [anon_sym_const] = ACTIONS(2608),
    [anon_sym_constexpr] = ACTIONS(2608),
    [anon_sym_volatile] = ACTIONS(2608),
    [anon_sym_restrict] = ACTIONS(2608),
    [anon_sym___restrict__] = ACTIONS(2608),
    [anon_sym__Atomic] = ACTIONS(2608),
    [anon_sym__Noreturn] = ACTIONS(2608),
    [anon_sym_noreturn] = ACTIONS(2608),
    [anon_sym_mutable] = ACTIONS(2608),
    [anon_sym_constinit] = ACTIONS(2608),
    [anon_sym_consteval] = ACTIONS(2608),
    [sym_primitive_type] = ACTIONS(2608),
    [anon_sym_enum] = ACTIONS(2608),
    [anon_sym_class] = ACTIONS(2608),
    [anon_sym_struct] = ACTIONS(2608),
    [anon_sym_union] = ACTIONS(2608),
    [anon_sym_if] = ACTIONS(2608),
    [anon_sym_switch] = ACTIONS(2608),
    [anon_sym_case] = ACTIONS(2608),
    [anon_sym_default] = ACTIONS(2608),
    [anon_sym_while] = ACTIONS(2608),
    [anon_sym_do] = ACTIONS(2608),
    [anon_sym_for] = ACTIONS(2608),
    [anon_sym_return] = ACTIONS(2608),
    [anon_sym_break] = ACTIONS(2608),
    [anon_sym_continue] = ACTIONS(2608),
    [anon_sym_goto] = ACTIONS(2608),
    [anon_sym___try] = ACTIONS(2608),
    [anon_sym___leave] = ACTIONS(2608),
    [anon_sym_not] = ACTIONS(2608),
    [anon_sym_compl] = ACTIONS(2608),
    [anon_sym_DASH_DASH] = ACTIONS(2610),
    [anon_sym_PLUS_PLUS] = ACTIONS(2610),
    [anon_sym_sizeof] = ACTIONS(2608),
    [anon_sym___alignof__] = ACTIONS(2608),
    [anon_sym___alignof] = ACTIONS(2608),
    [anon_sym__alignof] = ACTIONS(2608),
    [anon_sym_alignof] = ACTIONS(2608),
    [anon_sym__Alignof] = ACTIONS(2608),
    [anon_sym_offsetof] = ACTIONS(2608),
    [anon_sym__Generic] = ACTIONS(2608),
    [anon_sym_asm] = ACTIONS(2608),
    [anon_sym___asm__] = ACTIONS(2608),
    [sym_number_literal] = ACTIONS(2610),
    [anon_sym_L_SQUOTE] = ACTIONS(2610),
    [anon_sym_u_SQUOTE] = ACTIONS(2610),
    [anon_sym_U_SQUOTE] = ACTIONS(2610),
    [anon_sym_u8_SQUOTE] = ACTIONS(2610),
    [anon_sym_SQUOTE] = ACTIONS(2610),
    [anon_sym_L_DQUOTE] = ACTIONS(2610),
    [anon_sym_u_DQUOTE] = ACTIONS(2610),
    [anon_sym_U_DQUOTE] = ACTIONS(2610),
    [anon_sym_u8_DQUOTE] = ACTIONS(2610),
    [anon_sym_DQUOTE] = ACTIONS(2610),
    [sym_true] = ACTIONS(2608),
    [sym_false] = ACTIONS(2608),
    [anon_sym_NULL] = ACTIONS(2608),
    [anon_sym_nullptr] = ACTIONS(2608),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2608),
    [anon_sym_decltype] = ACTIONS(2608),
    [anon_sym_virtual] = ACTIONS(2608),
    [anon_sym_alignas] = ACTIONS(2608),
    [anon_sym_explicit] = ACTIONS(2608),
    [anon_sym_typename] = ACTIONS(2608),
    [anon_sym_template] = ACTIONS(2608),
    [anon_sym_operator] = ACTIONS(2608),
    [anon_sym_try] = ACTIONS(2608),
    [anon_sym_delete] = ACTIONS(2608),
    [anon_sym_throw] = ACTIONS(2608),
    [anon_sym_namespace] = ACTIONS(2608),
    [anon_sym_using] = ACTIONS(2608),
    [anon_sym_static_assert] = ACTIONS(2608),
    [anon_sym_concept] = ACTIONS(2608),
    [anon_sym_co_return] = ACTIONS(2608),
    [anon_sym_co_yield] = ACTIONS(2608),
    [anon_sym_R_DQUOTE] = ACTIONS(2610),
    [anon_sym_LR_DQUOTE] = ACTIONS(2610),
    [anon_sym_uR_DQUOTE] = ACTIONS(2610),
    [anon_sym_UR_DQUOTE] = ACTIONS(2610),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2610),
    [anon_sym_co_await] = ACTIONS(2608),
    [anon_sym_new] = ACTIONS(2608),
    [anon_sym_requires] = ACTIONS(2608),
    [sym_this] = ACTIONS(2608),
    [anon_sym_discard] = ACTIONS(2608),
    [anon_sym_precise] = ACTIONS(2608),
    [anon_sym_shared] = ACTIONS(2608),
    [anon_sym_groupshared] = ACTIONS(2608),
    [anon_sym_uniform] = ACTIONS(2608),
    [anon_sym_row_major] = ACTIONS(2608),
    [anon_sym_column_major] = ACTIONS(2608),
    [anon_sym_globallycoherent] = ACTIONS(2608),
    [anon_sym_centroid] = ACTIONS(2608),
    [anon_sym_noperspective] = ACTIONS(2608),
    [anon_sym_nointerpolation] = ACTIONS(2608),
    [anon_sym_sample] = ACTIONS(2608),
    [anon_sym_linear] = ACTIONS(2608),
    [anon_sym_snorm] = ACTIONS(2608),
    [anon_sym_unorm] = ACTIONS(2608),
    [anon_sym_point] = ACTIONS(2608),
    [anon_sym_line] = ACTIONS(2608),
    [anon_sym_triangleadj] = ACTIONS(2608),
    [anon_sym_lineadj] = ACTIONS(2608),
    [anon_sym_triangle] = ACTIONS(2608),
    [anon_sym_cbuffer] = ACTIONS(2608),
  },
  [620] = {
    [sym_identifier] = ACTIONS(2765),
    [aux_sym_preproc_include_token1] = ACTIONS(2765),
    [aux_sym_preproc_def_token1] = ACTIONS(2765),
    [aux_sym_preproc_if_token1] = ACTIONS(2765),
    [aux_sym_preproc_if_token2] = ACTIONS(2765),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2765),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2765),
    [aux_sym_preproc_else_token1] = ACTIONS(2765),
    [aux_sym_preproc_elif_token1] = ACTIONS(2765),
    [sym_preproc_directive] = ACTIONS(2765),
    [anon_sym_LPAREN2] = ACTIONS(2767),
    [anon_sym_BANG] = ACTIONS(2767),
    [anon_sym_TILDE] = ACTIONS(2767),
    [anon_sym_DASH] = ACTIONS(2765),
    [anon_sym_PLUS] = ACTIONS(2765),
    [anon_sym_STAR] = ACTIONS(2767),
    [anon_sym_AMP_AMP] = ACTIONS(2767),
    [anon_sym_AMP] = ACTIONS(2765),
    [anon_sym_SEMI] = ACTIONS(2767),
    [anon_sym___extension__] = ACTIONS(2765),
    [anon_sym_typedef] = ACTIONS(2765),
    [anon_sym_in] = ACTIONS(2765),
    [anon_sym_out] = ACTIONS(2765),
    [anon_sym_inout] = ACTIONS(2765),
    [anon_sym_extern] = ACTIONS(2765),
    [anon_sym___attribute__] = ACTIONS(2765),
    [anon_sym_COLON_COLON] = ACTIONS(2767),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2767),
    [anon_sym___declspec] = ACTIONS(2765),
    [anon_sym___based] = ACTIONS(2765),
    [anon_sym___cdecl] = ACTIONS(2765),
    [anon_sym___clrcall] = ACTIONS(2765),
    [anon_sym___stdcall] = ACTIONS(2765),
    [anon_sym___fastcall] = ACTIONS(2765),
    [anon_sym___thiscall] = ACTIONS(2765),
    [anon_sym___vectorcall] = ACTIONS(2765),
    [anon_sym_LBRACE] = ACTIONS(2767),
    [anon_sym_signed] = ACTIONS(2765),
    [anon_sym_unsigned] = ACTIONS(2765),
    [anon_sym_long] = ACTIONS(2765),
    [anon_sym_short] = ACTIONS(2765),
    [anon_sym_LBRACK] = ACTIONS(2765),
    [anon_sym_static] = ACTIONS(2765),
    [anon_sym_register] = ACTIONS(2765),
    [anon_sym_inline] = ACTIONS(2765),
    [anon_sym___inline] = ACTIONS(2765),
    [anon_sym___inline__] = ACTIONS(2765),
    [anon_sym___forceinline] = ACTIONS(2765),
    [anon_sym_thread_local] = ACTIONS(2765),
    [anon_sym___thread] = ACTIONS(2765),
    [anon_sym_const] = ACTIONS(2765),
    [anon_sym_constexpr] = ACTIONS(2765),
    [anon_sym_volatile] = ACTIONS(2765),
    [anon_sym_restrict] = ACTIONS(2765),
    [anon_sym___restrict__] = ACTIONS(2765),
    [anon_sym__Atomic] = ACTIONS(2765),
    [anon_sym__Noreturn] = ACTIONS(2765),
    [anon_sym_noreturn] = ACTIONS(2765),
    [anon_sym_mutable] = ACTIONS(2765),
    [anon_sym_constinit] = ACTIONS(2765),
    [anon_sym_consteval] = ACTIONS(2765),
    [sym_primitive_type] = ACTIONS(2765),
    [anon_sym_enum] = ACTIONS(2765),
    [anon_sym_class] = ACTIONS(2765),
    [anon_sym_struct] = ACTIONS(2765),
    [anon_sym_union] = ACTIONS(2765),
    [anon_sym_if] = ACTIONS(2765),
    [anon_sym_switch] = ACTIONS(2765),
    [anon_sym_case] = ACTIONS(2765),
    [anon_sym_default] = ACTIONS(2765),
    [anon_sym_while] = ACTIONS(2765),
    [anon_sym_do] = ACTIONS(2765),
    [anon_sym_for] = ACTIONS(2765),
    [anon_sym_return] = ACTIONS(2765),
    [anon_sym_break] = ACTIONS(2765),
    [anon_sym_continue] = ACTIONS(2765),
    [anon_sym_goto] = ACTIONS(2765),
    [anon_sym___try] = ACTIONS(2765),
    [anon_sym___leave] = ACTIONS(2765),
    [anon_sym_not] = ACTIONS(2765),
    [anon_sym_compl] = ACTIONS(2765),
    [anon_sym_DASH_DASH] = ACTIONS(2767),
    [anon_sym_PLUS_PLUS] = ACTIONS(2767),
    [anon_sym_sizeof] = ACTIONS(2765),
    [anon_sym___alignof__] = ACTIONS(2765),
    [anon_sym___alignof] = ACTIONS(2765),
    [anon_sym__alignof] = ACTIONS(2765),
    [anon_sym_alignof] = ACTIONS(2765),
    [anon_sym__Alignof] = ACTIONS(2765),
    [anon_sym_offsetof] = ACTIONS(2765),
    [anon_sym__Generic] = ACTIONS(2765),
    [anon_sym_asm] = ACTIONS(2765),
    [anon_sym___asm__] = ACTIONS(2765),
    [sym_number_literal] = ACTIONS(2767),
    [anon_sym_L_SQUOTE] = ACTIONS(2767),
    [anon_sym_u_SQUOTE] = ACTIONS(2767),
    [anon_sym_U_SQUOTE] = ACTIONS(2767),
    [anon_sym_u8_SQUOTE] = ACTIONS(2767),
    [anon_sym_SQUOTE] = ACTIONS(2767),
    [anon_sym_L_DQUOTE] = ACTIONS(2767),
    [anon_sym_u_DQUOTE] = ACTIONS(2767),
    [anon_sym_U_DQUOTE] = ACTIONS(2767),
    [anon_sym_u8_DQUOTE] = ACTIONS(2767),
    [anon_sym_DQUOTE] = ACTIONS(2767),
    [sym_true] = ACTIONS(2765),
    [sym_false] = ACTIONS(2765),
    [anon_sym_NULL] = ACTIONS(2765),
    [anon_sym_nullptr] = ACTIONS(2765),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2765),
    [anon_sym_decltype] = ACTIONS(2765),
    [anon_sym_virtual] = ACTIONS(2765),
    [anon_sym_alignas] = ACTIONS(2765),
    [anon_sym_explicit] = ACTIONS(2765),
    [anon_sym_typename] = ACTIONS(2765),
    [anon_sym_template] = ACTIONS(2765),
    [anon_sym_operator] = ACTIONS(2765),
    [anon_sym_try] = ACTIONS(2765),
    [anon_sym_delete] = ACTIONS(2765),
    [anon_sym_throw] = ACTIONS(2765),
    [anon_sym_namespace] = ACTIONS(2765),
    [anon_sym_using] = ACTIONS(2765),
    [anon_sym_static_assert] = ACTIONS(2765),
    [anon_sym_concept] = ACTIONS(2765),
    [anon_sym_co_return] = ACTIONS(2765),
    [anon_sym_co_yield] = ACTIONS(2765),
    [anon_sym_R_DQUOTE] = ACTIONS(2767),
    [anon_sym_LR_DQUOTE] = ACTIONS(2767),
    [anon_sym_uR_DQUOTE] = ACTIONS(2767),
    [anon_sym_UR_DQUOTE] = ACTIONS(2767),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2767),
    [anon_sym_co_await] = ACTIONS(2765),
    [anon_sym_new] = ACTIONS(2765),
    [anon_sym_requires] = ACTIONS(2765),
    [sym_this] = ACTIONS(2765),
    [anon_sym_discard] = ACTIONS(2765),
    [anon_sym_precise] = ACTIONS(2765),
    [anon_sym_shared] = ACTIONS(2765),
    [anon_sym_groupshared] = ACTIONS(2765),
    [anon_sym_uniform] = ACTIONS(2765),
    [anon_sym_row_major] = ACTIONS(2765),
    [anon_sym_column_major] = ACTIONS(2765),
    [anon_sym_globallycoherent] = ACTIONS(2765),
    [anon_sym_centroid] = ACTIONS(2765),
    [anon_sym_noperspective] = ACTIONS(2765),
    [anon_sym_nointerpolation] = ACTIONS(2765),
    [anon_sym_sample] = ACTIONS(2765),
    [anon_sym_linear] = ACTIONS(2765),
    [anon_sym_snorm] = ACTIONS(2765),
    [anon_sym_unorm] = ACTIONS(2765),
    [anon_sym_point] = ACTIONS(2765),
    [anon_sym_line] = ACTIONS(2765),
    [anon_sym_triangleadj] = ACTIONS(2765),
    [anon_sym_lineadj] = ACTIONS(2765),
    [anon_sym_triangle] = ACTIONS(2765),
    [anon_sym_cbuffer] = ACTIONS(2765),
  },
  [621] = {
    [sym_identifier] = ACTIONS(2765),
    [aux_sym_preproc_include_token1] = ACTIONS(2765),
    [aux_sym_preproc_def_token1] = ACTIONS(2765),
    [aux_sym_preproc_if_token1] = ACTIONS(2765),
    [aux_sym_preproc_if_token2] = ACTIONS(2765),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2765),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2765),
    [aux_sym_preproc_else_token1] = ACTIONS(2765),
    [aux_sym_preproc_elif_token1] = ACTIONS(2765),
    [sym_preproc_directive] = ACTIONS(2765),
    [anon_sym_LPAREN2] = ACTIONS(2767),
    [anon_sym_BANG] = ACTIONS(2767),
    [anon_sym_TILDE] = ACTIONS(2767),
    [anon_sym_DASH] = ACTIONS(2765),
    [anon_sym_PLUS] = ACTIONS(2765),
    [anon_sym_STAR] = ACTIONS(2767),
    [anon_sym_AMP_AMP] = ACTIONS(2767),
    [anon_sym_AMP] = ACTIONS(2765),
    [anon_sym_SEMI] = ACTIONS(2767),
    [anon_sym___extension__] = ACTIONS(2765),
    [anon_sym_typedef] = ACTIONS(2765),
    [anon_sym_in] = ACTIONS(2765),
    [anon_sym_out] = ACTIONS(2765),
    [anon_sym_inout] = ACTIONS(2765),
    [anon_sym_extern] = ACTIONS(2765),
    [anon_sym___attribute__] = ACTIONS(2765),
    [anon_sym_COLON_COLON] = ACTIONS(2767),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2767),
    [anon_sym___declspec] = ACTIONS(2765),
    [anon_sym___based] = ACTIONS(2765),
    [anon_sym___cdecl] = ACTIONS(2765),
    [anon_sym___clrcall] = ACTIONS(2765),
    [anon_sym___stdcall] = ACTIONS(2765),
    [anon_sym___fastcall] = ACTIONS(2765),
    [anon_sym___thiscall] = ACTIONS(2765),
    [anon_sym___vectorcall] = ACTIONS(2765),
    [anon_sym_LBRACE] = ACTIONS(2767),
    [anon_sym_signed] = ACTIONS(2765),
    [anon_sym_unsigned] = ACTIONS(2765),
    [anon_sym_long] = ACTIONS(2765),
    [anon_sym_short] = ACTIONS(2765),
    [anon_sym_LBRACK] = ACTIONS(2765),
    [anon_sym_static] = ACTIONS(2765),
    [anon_sym_register] = ACTIONS(2765),
    [anon_sym_inline] = ACTIONS(2765),
    [anon_sym___inline] = ACTIONS(2765),
    [anon_sym___inline__] = ACTIONS(2765),
    [anon_sym___forceinline] = ACTIONS(2765),
    [anon_sym_thread_local] = ACTIONS(2765),
    [anon_sym___thread] = ACTIONS(2765),
    [anon_sym_const] = ACTIONS(2765),
    [anon_sym_constexpr] = ACTIONS(2765),
    [anon_sym_volatile] = ACTIONS(2765),
    [anon_sym_restrict] = ACTIONS(2765),
    [anon_sym___restrict__] = ACTIONS(2765),
    [anon_sym__Atomic] = ACTIONS(2765),
    [anon_sym__Noreturn] = ACTIONS(2765),
    [anon_sym_noreturn] = ACTIONS(2765),
    [anon_sym_mutable] = ACTIONS(2765),
    [anon_sym_constinit] = ACTIONS(2765),
    [anon_sym_consteval] = ACTIONS(2765),
    [sym_primitive_type] = ACTIONS(2765),
    [anon_sym_enum] = ACTIONS(2765),
    [anon_sym_class] = ACTIONS(2765),
    [anon_sym_struct] = ACTIONS(2765),
    [anon_sym_union] = ACTIONS(2765),
    [anon_sym_if] = ACTIONS(2765),
    [anon_sym_switch] = ACTIONS(2765),
    [anon_sym_case] = ACTIONS(2765),
    [anon_sym_default] = ACTIONS(2765),
    [anon_sym_while] = ACTIONS(2765),
    [anon_sym_do] = ACTIONS(2765),
    [anon_sym_for] = ACTIONS(2765),
    [anon_sym_return] = ACTIONS(2765),
    [anon_sym_break] = ACTIONS(2765),
    [anon_sym_continue] = ACTIONS(2765),
    [anon_sym_goto] = ACTIONS(2765),
    [anon_sym___try] = ACTIONS(2765),
    [anon_sym___leave] = ACTIONS(2765),
    [anon_sym_not] = ACTIONS(2765),
    [anon_sym_compl] = ACTIONS(2765),
    [anon_sym_DASH_DASH] = ACTIONS(2767),
    [anon_sym_PLUS_PLUS] = ACTIONS(2767),
    [anon_sym_sizeof] = ACTIONS(2765),
    [anon_sym___alignof__] = ACTIONS(2765),
    [anon_sym___alignof] = ACTIONS(2765),
    [anon_sym__alignof] = ACTIONS(2765),
    [anon_sym_alignof] = ACTIONS(2765),
    [anon_sym__Alignof] = ACTIONS(2765),
    [anon_sym_offsetof] = ACTIONS(2765),
    [anon_sym__Generic] = ACTIONS(2765),
    [anon_sym_asm] = ACTIONS(2765),
    [anon_sym___asm__] = ACTIONS(2765),
    [sym_number_literal] = ACTIONS(2767),
    [anon_sym_L_SQUOTE] = ACTIONS(2767),
    [anon_sym_u_SQUOTE] = ACTIONS(2767),
    [anon_sym_U_SQUOTE] = ACTIONS(2767),
    [anon_sym_u8_SQUOTE] = ACTIONS(2767),
    [anon_sym_SQUOTE] = ACTIONS(2767),
    [anon_sym_L_DQUOTE] = ACTIONS(2767),
    [anon_sym_u_DQUOTE] = ACTIONS(2767),
    [anon_sym_U_DQUOTE] = ACTIONS(2767),
    [anon_sym_u8_DQUOTE] = ACTIONS(2767),
    [anon_sym_DQUOTE] = ACTIONS(2767),
    [sym_true] = ACTIONS(2765),
    [sym_false] = ACTIONS(2765),
    [anon_sym_NULL] = ACTIONS(2765),
    [anon_sym_nullptr] = ACTIONS(2765),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2765),
    [anon_sym_decltype] = ACTIONS(2765),
    [anon_sym_virtual] = ACTIONS(2765),
    [anon_sym_alignas] = ACTIONS(2765),
    [anon_sym_explicit] = ACTIONS(2765),
    [anon_sym_typename] = ACTIONS(2765),
    [anon_sym_template] = ACTIONS(2765),
    [anon_sym_operator] = ACTIONS(2765),
    [anon_sym_try] = ACTIONS(2765),
    [anon_sym_delete] = ACTIONS(2765),
    [anon_sym_throw] = ACTIONS(2765),
    [anon_sym_namespace] = ACTIONS(2765),
    [anon_sym_using] = ACTIONS(2765),
    [anon_sym_static_assert] = ACTIONS(2765),
    [anon_sym_concept] = ACTIONS(2765),
    [anon_sym_co_return] = ACTIONS(2765),
    [anon_sym_co_yield] = ACTIONS(2765),
    [anon_sym_R_DQUOTE] = ACTIONS(2767),
    [anon_sym_LR_DQUOTE] = ACTIONS(2767),
    [anon_sym_uR_DQUOTE] = ACTIONS(2767),
    [anon_sym_UR_DQUOTE] = ACTIONS(2767),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2767),
    [anon_sym_co_await] = ACTIONS(2765),
    [anon_sym_new] = ACTIONS(2765),
    [anon_sym_requires] = ACTIONS(2765),
    [sym_this] = ACTIONS(2765),
    [anon_sym_discard] = ACTIONS(2765),
    [anon_sym_precise] = ACTIONS(2765),
    [anon_sym_shared] = ACTIONS(2765),
    [anon_sym_groupshared] = ACTIONS(2765),
    [anon_sym_uniform] = ACTIONS(2765),
    [anon_sym_row_major] = ACTIONS(2765),
    [anon_sym_column_major] = ACTIONS(2765),
    [anon_sym_globallycoherent] = ACTIONS(2765),
    [anon_sym_centroid] = ACTIONS(2765),
    [anon_sym_noperspective] = ACTIONS(2765),
    [anon_sym_nointerpolation] = ACTIONS(2765),
    [anon_sym_sample] = ACTIONS(2765),
    [anon_sym_linear] = ACTIONS(2765),
    [anon_sym_snorm] = ACTIONS(2765),
    [anon_sym_unorm] = ACTIONS(2765),
    [anon_sym_point] = ACTIONS(2765),
    [anon_sym_line] = ACTIONS(2765),
    [anon_sym_triangleadj] = ACTIONS(2765),
    [anon_sym_lineadj] = ACTIONS(2765),
    [anon_sym_triangle] = ACTIONS(2765),
    [anon_sym_cbuffer] = ACTIONS(2765),
  },
  [622] = {
    [sym_identifier] = ACTIONS(2769),
    [aux_sym_preproc_include_token1] = ACTIONS(2769),
    [aux_sym_preproc_def_token1] = ACTIONS(2769),
    [aux_sym_preproc_if_token1] = ACTIONS(2769),
    [aux_sym_preproc_if_token2] = ACTIONS(2769),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2769),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2769),
    [aux_sym_preproc_else_token1] = ACTIONS(2769),
    [aux_sym_preproc_elif_token1] = ACTIONS(2769),
    [sym_preproc_directive] = ACTIONS(2769),
    [anon_sym_LPAREN2] = ACTIONS(2771),
    [anon_sym_BANG] = ACTIONS(2771),
    [anon_sym_TILDE] = ACTIONS(2771),
    [anon_sym_DASH] = ACTIONS(2769),
    [anon_sym_PLUS] = ACTIONS(2769),
    [anon_sym_STAR] = ACTIONS(2771),
    [anon_sym_AMP_AMP] = ACTIONS(2771),
    [anon_sym_AMP] = ACTIONS(2769),
    [anon_sym_SEMI] = ACTIONS(2771),
    [anon_sym___extension__] = ACTIONS(2769),
    [anon_sym_typedef] = ACTIONS(2769),
    [anon_sym_in] = ACTIONS(2769),
    [anon_sym_out] = ACTIONS(2769),
    [anon_sym_inout] = ACTIONS(2769),
    [anon_sym_extern] = ACTIONS(2769),
    [anon_sym___attribute__] = ACTIONS(2769),
    [anon_sym_COLON_COLON] = ACTIONS(2771),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2771),
    [anon_sym___declspec] = ACTIONS(2769),
    [anon_sym___based] = ACTIONS(2769),
    [anon_sym___cdecl] = ACTIONS(2769),
    [anon_sym___clrcall] = ACTIONS(2769),
    [anon_sym___stdcall] = ACTIONS(2769),
    [anon_sym___fastcall] = ACTIONS(2769),
    [anon_sym___thiscall] = ACTIONS(2769),
    [anon_sym___vectorcall] = ACTIONS(2769),
    [anon_sym_LBRACE] = ACTIONS(2771),
    [anon_sym_signed] = ACTIONS(2769),
    [anon_sym_unsigned] = ACTIONS(2769),
    [anon_sym_long] = ACTIONS(2769),
    [anon_sym_short] = ACTIONS(2769),
    [anon_sym_LBRACK] = ACTIONS(2769),
    [anon_sym_static] = ACTIONS(2769),
    [anon_sym_register] = ACTIONS(2769),
    [anon_sym_inline] = ACTIONS(2769),
    [anon_sym___inline] = ACTIONS(2769),
    [anon_sym___inline__] = ACTIONS(2769),
    [anon_sym___forceinline] = ACTIONS(2769),
    [anon_sym_thread_local] = ACTIONS(2769),
    [anon_sym___thread] = ACTIONS(2769),
    [anon_sym_const] = ACTIONS(2769),
    [anon_sym_constexpr] = ACTIONS(2769),
    [anon_sym_volatile] = ACTIONS(2769),
    [anon_sym_restrict] = ACTIONS(2769),
    [anon_sym___restrict__] = ACTIONS(2769),
    [anon_sym__Atomic] = ACTIONS(2769),
    [anon_sym__Noreturn] = ACTIONS(2769),
    [anon_sym_noreturn] = ACTIONS(2769),
    [anon_sym_mutable] = ACTIONS(2769),
    [anon_sym_constinit] = ACTIONS(2769),
    [anon_sym_consteval] = ACTIONS(2769),
    [sym_primitive_type] = ACTIONS(2769),
    [anon_sym_enum] = ACTIONS(2769),
    [anon_sym_class] = ACTIONS(2769),
    [anon_sym_struct] = ACTIONS(2769),
    [anon_sym_union] = ACTIONS(2769),
    [anon_sym_if] = ACTIONS(2769),
    [anon_sym_switch] = ACTIONS(2769),
    [anon_sym_case] = ACTIONS(2769),
    [anon_sym_default] = ACTIONS(2769),
    [anon_sym_while] = ACTIONS(2769),
    [anon_sym_do] = ACTIONS(2769),
    [anon_sym_for] = ACTIONS(2769),
    [anon_sym_return] = ACTIONS(2769),
    [anon_sym_break] = ACTIONS(2769),
    [anon_sym_continue] = ACTIONS(2769),
    [anon_sym_goto] = ACTIONS(2769),
    [anon_sym___try] = ACTIONS(2769),
    [anon_sym___leave] = ACTIONS(2769),
    [anon_sym_not] = ACTIONS(2769),
    [anon_sym_compl] = ACTIONS(2769),
    [anon_sym_DASH_DASH] = ACTIONS(2771),
    [anon_sym_PLUS_PLUS] = ACTIONS(2771),
    [anon_sym_sizeof] = ACTIONS(2769),
    [anon_sym___alignof__] = ACTIONS(2769),
    [anon_sym___alignof] = ACTIONS(2769),
    [anon_sym__alignof] = ACTIONS(2769),
    [anon_sym_alignof] = ACTIONS(2769),
    [anon_sym__Alignof] = ACTIONS(2769),
    [anon_sym_offsetof] = ACTIONS(2769),
    [anon_sym__Generic] = ACTIONS(2769),
    [anon_sym_asm] = ACTIONS(2769),
    [anon_sym___asm__] = ACTIONS(2769),
    [sym_number_literal] = ACTIONS(2771),
    [anon_sym_L_SQUOTE] = ACTIONS(2771),
    [anon_sym_u_SQUOTE] = ACTIONS(2771),
    [anon_sym_U_SQUOTE] = ACTIONS(2771),
    [anon_sym_u8_SQUOTE] = ACTIONS(2771),
    [anon_sym_SQUOTE] = ACTIONS(2771),
    [anon_sym_L_DQUOTE] = ACTIONS(2771),
    [anon_sym_u_DQUOTE] = ACTIONS(2771),
    [anon_sym_U_DQUOTE] = ACTIONS(2771),
    [anon_sym_u8_DQUOTE] = ACTIONS(2771),
    [anon_sym_DQUOTE] = ACTIONS(2771),
    [sym_true] = ACTIONS(2769),
    [sym_false] = ACTIONS(2769),
    [anon_sym_NULL] = ACTIONS(2769),
    [anon_sym_nullptr] = ACTIONS(2769),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2769),
    [anon_sym_decltype] = ACTIONS(2769),
    [anon_sym_virtual] = ACTIONS(2769),
    [anon_sym_alignas] = ACTIONS(2769),
    [anon_sym_explicit] = ACTIONS(2769),
    [anon_sym_typename] = ACTIONS(2769),
    [anon_sym_template] = ACTIONS(2769),
    [anon_sym_operator] = ACTIONS(2769),
    [anon_sym_try] = ACTIONS(2769),
    [anon_sym_delete] = ACTIONS(2769),
    [anon_sym_throw] = ACTIONS(2769),
    [anon_sym_namespace] = ACTIONS(2769),
    [anon_sym_using] = ACTIONS(2769),
    [anon_sym_static_assert] = ACTIONS(2769),
    [anon_sym_concept] = ACTIONS(2769),
    [anon_sym_co_return] = ACTIONS(2769),
    [anon_sym_co_yield] = ACTIONS(2769),
    [anon_sym_R_DQUOTE] = ACTIONS(2771),
    [anon_sym_LR_DQUOTE] = ACTIONS(2771),
    [anon_sym_uR_DQUOTE] = ACTIONS(2771),
    [anon_sym_UR_DQUOTE] = ACTIONS(2771),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2771),
    [anon_sym_co_await] = ACTIONS(2769),
    [anon_sym_new] = ACTIONS(2769),
    [anon_sym_requires] = ACTIONS(2769),
    [sym_this] = ACTIONS(2769),
    [anon_sym_discard] = ACTIONS(2769),
    [anon_sym_precise] = ACTIONS(2769),
    [anon_sym_shared] = ACTIONS(2769),
    [anon_sym_groupshared] = ACTIONS(2769),
    [anon_sym_uniform] = ACTIONS(2769),
    [anon_sym_row_major] = ACTIONS(2769),
    [anon_sym_column_major] = ACTIONS(2769),
    [anon_sym_globallycoherent] = ACTIONS(2769),
    [anon_sym_centroid] = ACTIONS(2769),
    [anon_sym_noperspective] = ACTIONS(2769),
    [anon_sym_nointerpolation] = ACTIONS(2769),
    [anon_sym_sample] = ACTIONS(2769),
    [anon_sym_linear] = ACTIONS(2769),
    [anon_sym_snorm] = ACTIONS(2769),
    [anon_sym_unorm] = ACTIONS(2769),
    [anon_sym_point] = ACTIONS(2769),
    [anon_sym_line] = ACTIONS(2769),
    [anon_sym_triangleadj] = ACTIONS(2769),
    [anon_sym_lineadj] = ACTIONS(2769),
    [anon_sym_triangle] = ACTIONS(2769),
    [anon_sym_cbuffer] = ACTIONS(2769),
  },
  [623] = {
    [sym_identifier] = ACTIONS(2769),
    [aux_sym_preproc_include_token1] = ACTIONS(2769),
    [aux_sym_preproc_def_token1] = ACTIONS(2769),
    [aux_sym_preproc_if_token1] = ACTIONS(2769),
    [aux_sym_preproc_if_token2] = ACTIONS(2769),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2769),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2769),
    [aux_sym_preproc_else_token1] = ACTIONS(2769),
    [aux_sym_preproc_elif_token1] = ACTIONS(2769),
    [sym_preproc_directive] = ACTIONS(2769),
    [anon_sym_LPAREN2] = ACTIONS(2771),
    [anon_sym_BANG] = ACTIONS(2771),
    [anon_sym_TILDE] = ACTIONS(2771),
    [anon_sym_DASH] = ACTIONS(2769),
    [anon_sym_PLUS] = ACTIONS(2769),
    [anon_sym_STAR] = ACTIONS(2771),
    [anon_sym_AMP_AMP] = ACTIONS(2771),
    [anon_sym_AMP] = ACTIONS(2769),
    [anon_sym_SEMI] = ACTIONS(2771),
    [anon_sym___extension__] = ACTIONS(2769),
    [anon_sym_typedef] = ACTIONS(2769),
    [anon_sym_in] = ACTIONS(2769),
    [anon_sym_out] = ACTIONS(2769),
    [anon_sym_inout] = ACTIONS(2769),
    [anon_sym_extern] = ACTIONS(2769),
    [anon_sym___attribute__] = ACTIONS(2769),
    [anon_sym_COLON_COLON] = ACTIONS(2771),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2771),
    [anon_sym___declspec] = ACTIONS(2769),
    [anon_sym___based] = ACTIONS(2769),
    [anon_sym___cdecl] = ACTIONS(2769),
    [anon_sym___clrcall] = ACTIONS(2769),
    [anon_sym___stdcall] = ACTIONS(2769),
    [anon_sym___fastcall] = ACTIONS(2769),
    [anon_sym___thiscall] = ACTIONS(2769),
    [anon_sym___vectorcall] = ACTIONS(2769),
    [anon_sym_LBRACE] = ACTIONS(2771),
    [anon_sym_signed] = ACTIONS(2769),
    [anon_sym_unsigned] = ACTIONS(2769),
    [anon_sym_long] = ACTIONS(2769),
    [anon_sym_short] = ACTIONS(2769),
    [anon_sym_LBRACK] = ACTIONS(2769),
    [anon_sym_static] = ACTIONS(2769),
    [anon_sym_register] = ACTIONS(2769),
    [anon_sym_inline] = ACTIONS(2769),
    [anon_sym___inline] = ACTIONS(2769),
    [anon_sym___inline__] = ACTIONS(2769),
    [anon_sym___forceinline] = ACTIONS(2769),
    [anon_sym_thread_local] = ACTIONS(2769),
    [anon_sym___thread] = ACTIONS(2769),
    [anon_sym_const] = ACTIONS(2769),
    [anon_sym_constexpr] = ACTIONS(2769),
    [anon_sym_volatile] = ACTIONS(2769),
    [anon_sym_restrict] = ACTIONS(2769),
    [anon_sym___restrict__] = ACTIONS(2769),
    [anon_sym__Atomic] = ACTIONS(2769),
    [anon_sym__Noreturn] = ACTIONS(2769),
    [anon_sym_noreturn] = ACTIONS(2769),
    [anon_sym_mutable] = ACTIONS(2769),
    [anon_sym_constinit] = ACTIONS(2769),
    [anon_sym_consteval] = ACTIONS(2769),
    [sym_primitive_type] = ACTIONS(2769),
    [anon_sym_enum] = ACTIONS(2769),
    [anon_sym_class] = ACTIONS(2769),
    [anon_sym_struct] = ACTIONS(2769),
    [anon_sym_union] = ACTIONS(2769),
    [anon_sym_if] = ACTIONS(2769),
    [anon_sym_switch] = ACTIONS(2769),
    [anon_sym_case] = ACTIONS(2769),
    [anon_sym_default] = ACTIONS(2769),
    [anon_sym_while] = ACTIONS(2769),
    [anon_sym_do] = ACTIONS(2769),
    [anon_sym_for] = ACTIONS(2769),
    [anon_sym_return] = ACTIONS(2769),
    [anon_sym_break] = ACTIONS(2769),
    [anon_sym_continue] = ACTIONS(2769),
    [anon_sym_goto] = ACTIONS(2769),
    [anon_sym___try] = ACTIONS(2769),
    [anon_sym___leave] = ACTIONS(2769),
    [anon_sym_not] = ACTIONS(2769),
    [anon_sym_compl] = ACTIONS(2769),
    [anon_sym_DASH_DASH] = ACTIONS(2771),
    [anon_sym_PLUS_PLUS] = ACTIONS(2771),
    [anon_sym_sizeof] = ACTIONS(2769),
    [anon_sym___alignof__] = ACTIONS(2769),
    [anon_sym___alignof] = ACTIONS(2769),
    [anon_sym__alignof] = ACTIONS(2769),
    [anon_sym_alignof] = ACTIONS(2769),
    [anon_sym__Alignof] = ACTIONS(2769),
    [anon_sym_offsetof] = ACTIONS(2769),
    [anon_sym__Generic] = ACTIONS(2769),
    [anon_sym_asm] = ACTIONS(2769),
    [anon_sym___asm__] = ACTIONS(2769),
    [sym_number_literal] = ACTIONS(2771),
    [anon_sym_L_SQUOTE] = ACTIONS(2771),
    [anon_sym_u_SQUOTE] = ACTIONS(2771),
    [anon_sym_U_SQUOTE] = ACTIONS(2771),
    [anon_sym_u8_SQUOTE] = ACTIONS(2771),
    [anon_sym_SQUOTE] = ACTIONS(2771),
    [anon_sym_L_DQUOTE] = ACTIONS(2771),
    [anon_sym_u_DQUOTE] = ACTIONS(2771),
    [anon_sym_U_DQUOTE] = ACTIONS(2771),
    [anon_sym_u8_DQUOTE] = ACTIONS(2771),
    [anon_sym_DQUOTE] = ACTIONS(2771),
    [sym_true] = ACTIONS(2769),
    [sym_false] = ACTIONS(2769),
    [anon_sym_NULL] = ACTIONS(2769),
    [anon_sym_nullptr] = ACTIONS(2769),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2769),
    [anon_sym_decltype] = ACTIONS(2769),
    [anon_sym_virtual] = ACTIONS(2769),
    [anon_sym_alignas] = ACTIONS(2769),
    [anon_sym_explicit] = ACTIONS(2769),
    [anon_sym_typename] = ACTIONS(2769),
    [anon_sym_template] = ACTIONS(2769),
    [anon_sym_operator] = ACTIONS(2769),
    [anon_sym_try] = ACTIONS(2769),
    [anon_sym_delete] = ACTIONS(2769),
    [anon_sym_throw] = ACTIONS(2769),
    [anon_sym_namespace] = ACTIONS(2769),
    [anon_sym_using] = ACTIONS(2769),
    [anon_sym_static_assert] = ACTIONS(2769),
    [anon_sym_concept] = ACTIONS(2769),
    [anon_sym_co_return] = ACTIONS(2769),
    [anon_sym_co_yield] = ACTIONS(2769),
    [anon_sym_R_DQUOTE] = ACTIONS(2771),
    [anon_sym_LR_DQUOTE] = ACTIONS(2771),
    [anon_sym_uR_DQUOTE] = ACTIONS(2771),
    [anon_sym_UR_DQUOTE] = ACTIONS(2771),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2771),
    [anon_sym_co_await] = ACTIONS(2769),
    [anon_sym_new] = ACTIONS(2769),
    [anon_sym_requires] = ACTIONS(2769),
    [sym_this] = ACTIONS(2769),
    [anon_sym_discard] = ACTIONS(2769),
    [anon_sym_precise] = ACTIONS(2769),
    [anon_sym_shared] = ACTIONS(2769),
    [anon_sym_groupshared] = ACTIONS(2769),
    [anon_sym_uniform] = ACTIONS(2769),
    [anon_sym_row_major] = ACTIONS(2769),
    [anon_sym_column_major] = ACTIONS(2769),
    [anon_sym_globallycoherent] = ACTIONS(2769),
    [anon_sym_centroid] = ACTIONS(2769),
    [anon_sym_noperspective] = ACTIONS(2769),
    [anon_sym_nointerpolation] = ACTIONS(2769),
    [anon_sym_sample] = ACTIONS(2769),
    [anon_sym_linear] = ACTIONS(2769),
    [anon_sym_snorm] = ACTIONS(2769),
    [anon_sym_unorm] = ACTIONS(2769),
    [anon_sym_point] = ACTIONS(2769),
    [anon_sym_line] = ACTIONS(2769),
    [anon_sym_triangleadj] = ACTIONS(2769),
    [anon_sym_lineadj] = ACTIONS(2769),
    [anon_sym_triangle] = ACTIONS(2769),
    [anon_sym_cbuffer] = ACTIONS(2769),
  },
  [624] = {
    [sym_identifier] = ACTIONS(2801),
    [aux_sym_preproc_include_token1] = ACTIONS(2801),
    [aux_sym_preproc_def_token1] = ACTIONS(2801),
    [aux_sym_preproc_if_token1] = ACTIONS(2801),
    [aux_sym_preproc_if_token2] = ACTIONS(2801),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2801),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2801),
    [aux_sym_preproc_else_token1] = ACTIONS(2801),
    [aux_sym_preproc_elif_token1] = ACTIONS(2801),
    [sym_preproc_directive] = ACTIONS(2801),
    [anon_sym_LPAREN2] = ACTIONS(2803),
    [anon_sym_BANG] = ACTIONS(2803),
    [anon_sym_TILDE] = ACTIONS(2803),
    [anon_sym_DASH] = ACTIONS(2801),
    [anon_sym_PLUS] = ACTIONS(2801),
    [anon_sym_STAR] = ACTIONS(2803),
    [anon_sym_AMP_AMP] = ACTIONS(2803),
    [anon_sym_AMP] = ACTIONS(2801),
    [anon_sym_SEMI] = ACTIONS(2803),
    [anon_sym___extension__] = ACTIONS(2801),
    [anon_sym_typedef] = ACTIONS(2801),
    [anon_sym_in] = ACTIONS(2801),
    [anon_sym_out] = ACTIONS(2801),
    [anon_sym_inout] = ACTIONS(2801),
    [anon_sym_extern] = ACTIONS(2801),
    [anon_sym___attribute__] = ACTIONS(2801),
    [anon_sym_COLON_COLON] = ACTIONS(2803),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2803),
    [anon_sym___declspec] = ACTIONS(2801),
    [anon_sym___based] = ACTIONS(2801),
    [anon_sym___cdecl] = ACTIONS(2801),
    [anon_sym___clrcall] = ACTIONS(2801),
    [anon_sym___stdcall] = ACTIONS(2801),
    [anon_sym___fastcall] = ACTIONS(2801),
    [anon_sym___thiscall] = ACTIONS(2801),
    [anon_sym___vectorcall] = ACTIONS(2801),
    [anon_sym_LBRACE] = ACTIONS(2803),
    [anon_sym_signed] = ACTIONS(2801),
    [anon_sym_unsigned] = ACTIONS(2801),
    [anon_sym_long] = ACTIONS(2801),
    [anon_sym_short] = ACTIONS(2801),
    [anon_sym_LBRACK] = ACTIONS(2801),
    [anon_sym_static] = ACTIONS(2801),
    [anon_sym_register] = ACTIONS(2801),
    [anon_sym_inline] = ACTIONS(2801),
    [anon_sym___inline] = ACTIONS(2801),
    [anon_sym___inline__] = ACTIONS(2801),
    [anon_sym___forceinline] = ACTIONS(2801),
    [anon_sym_thread_local] = ACTIONS(2801),
    [anon_sym___thread] = ACTIONS(2801),
    [anon_sym_const] = ACTIONS(2801),
    [anon_sym_constexpr] = ACTIONS(2801),
    [anon_sym_volatile] = ACTIONS(2801),
    [anon_sym_restrict] = ACTIONS(2801),
    [anon_sym___restrict__] = ACTIONS(2801),
    [anon_sym__Atomic] = ACTIONS(2801),
    [anon_sym__Noreturn] = ACTIONS(2801),
    [anon_sym_noreturn] = ACTIONS(2801),
    [anon_sym_mutable] = ACTIONS(2801),
    [anon_sym_constinit] = ACTIONS(2801),
    [anon_sym_consteval] = ACTIONS(2801),
    [sym_primitive_type] = ACTIONS(2801),
    [anon_sym_enum] = ACTIONS(2801),
    [anon_sym_class] = ACTIONS(2801),
    [anon_sym_struct] = ACTIONS(2801),
    [anon_sym_union] = ACTIONS(2801),
    [anon_sym_if] = ACTIONS(2801),
    [anon_sym_switch] = ACTIONS(2801),
    [anon_sym_case] = ACTIONS(2801),
    [anon_sym_default] = ACTIONS(2801),
    [anon_sym_while] = ACTIONS(2801),
    [anon_sym_do] = ACTIONS(2801),
    [anon_sym_for] = ACTIONS(2801),
    [anon_sym_return] = ACTIONS(2801),
    [anon_sym_break] = ACTIONS(2801),
    [anon_sym_continue] = ACTIONS(2801),
    [anon_sym_goto] = ACTIONS(2801),
    [anon_sym___try] = ACTIONS(2801),
    [anon_sym___leave] = ACTIONS(2801),
    [anon_sym_not] = ACTIONS(2801),
    [anon_sym_compl] = ACTIONS(2801),
    [anon_sym_DASH_DASH] = ACTIONS(2803),
    [anon_sym_PLUS_PLUS] = ACTIONS(2803),
    [anon_sym_sizeof] = ACTIONS(2801),
    [anon_sym___alignof__] = ACTIONS(2801),
    [anon_sym___alignof] = ACTIONS(2801),
    [anon_sym__alignof] = ACTIONS(2801),
    [anon_sym_alignof] = ACTIONS(2801),
    [anon_sym__Alignof] = ACTIONS(2801),
    [anon_sym_offsetof] = ACTIONS(2801),
    [anon_sym__Generic] = ACTIONS(2801),
    [anon_sym_asm] = ACTIONS(2801),
    [anon_sym___asm__] = ACTIONS(2801),
    [sym_number_literal] = ACTIONS(2803),
    [anon_sym_L_SQUOTE] = ACTIONS(2803),
    [anon_sym_u_SQUOTE] = ACTIONS(2803),
    [anon_sym_U_SQUOTE] = ACTIONS(2803),
    [anon_sym_u8_SQUOTE] = ACTIONS(2803),
    [anon_sym_SQUOTE] = ACTIONS(2803),
    [anon_sym_L_DQUOTE] = ACTIONS(2803),
    [anon_sym_u_DQUOTE] = ACTIONS(2803),
    [anon_sym_U_DQUOTE] = ACTIONS(2803),
    [anon_sym_u8_DQUOTE] = ACTIONS(2803),
    [anon_sym_DQUOTE] = ACTIONS(2803),
    [sym_true] = ACTIONS(2801),
    [sym_false] = ACTIONS(2801),
    [anon_sym_NULL] = ACTIONS(2801),
    [anon_sym_nullptr] = ACTIONS(2801),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2801),
    [anon_sym_decltype] = ACTIONS(2801),
    [anon_sym_virtual] = ACTIONS(2801),
    [anon_sym_alignas] = ACTIONS(2801),
    [anon_sym_explicit] = ACTIONS(2801),
    [anon_sym_typename] = ACTIONS(2801),
    [anon_sym_template] = ACTIONS(2801),
    [anon_sym_operator] = ACTIONS(2801),
    [anon_sym_try] = ACTIONS(2801),
    [anon_sym_delete] = ACTIONS(2801),
    [anon_sym_throw] = ACTIONS(2801),
    [anon_sym_namespace] = ACTIONS(2801),
    [anon_sym_using] = ACTIONS(2801),
    [anon_sym_static_assert] = ACTIONS(2801),
    [anon_sym_concept] = ACTIONS(2801),
    [anon_sym_co_return] = ACTIONS(2801),
    [anon_sym_co_yield] = ACTIONS(2801),
    [anon_sym_R_DQUOTE] = ACTIONS(2803),
    [anon_sym_LR_DQUOTE] = ACTIONS(2803),
    [anon_sym_uR_DQUOTE] = ACTIONS(2803),
    [anon_sym_UR_DQUOTE] = ACTIONS(2803),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2803),
    [anon_sym_co_await] = ACTIONS(2801),
    [anon_sym_new] = ACTIONS(2801),
    [anon_sym_requires] = ACTIONS(2801),
    [sym_this] = ACTIONS(2801),
    [anon_sym_discard] = ACTIONS(2801),
    [anon_sym_precise] = ACTIONS(2801),
    [anon_sym_shared] = ACTIONS(2801),
    [anon_sym_groupshared] = ACTIONS(2801),
    [anon_sym_uniform] = ACTIONS(2801),
    [anon_sym_row_major] = ACTIONS(2801),
    [anon_sym_column_major] = ACTIONS(2801),
    [anon_sym_globallycoherent] = ACTIONS(2801),
    [anon_sym_centroid] = ACTIONS(2801),
    [anon_sym_noperspective] = ACTIONS(2801),
    [anon_sym_nointerpolation] = ACTIONS(2801),
    [anon_sym_sample] = ACTIONS(2801),
    [anon_sym_linear] = ACTIONS(2801),
    [anon_sym_snorm] = ACTIONS(2801),
    [anon_sym_unorm] = ACTIONS(2801),
    [anon_sym_point] = ACTIONS(2801),
    [anon_sym_line] = ACTIONS(2801),
    [anon_sym_triangleadj] = ACTIONS(2801),
    [anon_sym_lineadj] = ACTIONS(2801),
    [anon_sym_triangle] = ACTIONS(2801),
    [anon_sym_cbuffer] = ACTIONS(2801),
  },
  [625] = {
    [sym_identifier] = ACTIONS(2833),
    [aux_sym_preproc_include_token1] = ACTIONS(2833),
    [aux_sym_preproc_def_token1] = ACTIONS(2833),
    [aux_sym_preproc_if_token1] = ACTIONS(2833),
    [aux_sym_preproc_if_token2] = ACTIONS(2833),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2833),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2833),
    [aux_sym_preproc_else_token1] = ACTIONS(2833),
    [aux_sym_preproc_elif_token1] = ACTIONS(2833),
    [sym_preproc_directive] = ACTIONS(2833),
    [anon_sym_LPAREN2] = ACTIONS(2835),
    [anon_sym_BANG] = ACTIONS(2835),
    [anon_sym_TILDE] = ACTIONS(2835),
    [anon_sym_DASH] = ACTIONS(2833),
    [anon_sym_PLUS] = ACTIONS(2833),
    [anon_sym_STAR] = ACTIONS(2835),
    [anon_sym_AMP_AMP] = ACTIONS(2835),
    [anon_sym_AMP] = ACTIONS(2833),
    [anon_sym_SEMI] = ACTIONS(2835),
    [anon_sym___extension__] = ACTIONS(2833),
    [anon_sym_typedef] = ACTIONS(2833),
    [anon_sym_in] = ACTIONS(2833),
    [anon_sym_out] = ACTIONS(2833),
    [anon_sym_inout] = ACTIONS(2833),
    [anon_sym_extern] = ACTIONS(2833),
    [anon_sym___attribute__] = ACTIONS(2833),
    [anon_sym_COLON_COLON] = ACTIONS(2835),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2835),
    [anon_sym___declspec] = ACTIONS(2833),
    [anon_sym___based] = ACTIONS(2833),
    [anon_sym___cdecl] = ACTIONS(2833),
    [anon_sym___clrcall] = ACTIONS(2833),
    [anon_sym___stdcall] = ACTIONS(2833),
    [anon_sym___fastcall] = ACTIONS(2833),
    [anon_sym___thiscall] = ACTIONS(2833),
    [anon_sym___vectorcall] = ACTIONS(2833),
    [anon_sym_LBRACE] = ACTIONS(2835),
    [anon_sym_signed] = ACTIONS(2833),
    [anon_sym_unsigned] = ACTIONS(2833),
    [anon_sym_long] = ACTIONS(2833),
    [anon_sym_short] = ACTIONS(2833),
    [anon_sym_LBRACK] = ACTIONS(2833),
    [anon_sym_static] = ACTIONS(2833),
    [anon_sym_register] = ACTIONS(2833),
    [anon_sym_inline] = ACTIONS(2833),
    [anon_sym___inline] = ACTIONS(2833),
    [anon_sym___inline__] = ACTIONS(2833),
    [anon_sym___forceinline] = ACTIONS(2833),
    [anon_sym_thread_local] = ACTIONS(2833),
    [anon_sym___thread] = ACTIONS(2833),
    [anon_sym_const] = ACTIONS(2833),
    [anon_sym_constexpr] = ACTIONS(2833),
    [anon_sym_volatile] = ACTIONS(2833),
    [anon_sym_restrict] = ACTIONS(2833),
    [anon_sym___restrict__] = ACTIONS(2833),
    [anon_sym__Atomic] = ACTIONS(2833),
    [anon_sym__Noreturn] = ACTIONS(2833),
    [anon_sym_noreturn] = ACTIONS(2833),
    [anon_sym_mutable] = ACTIONS(2833),
    [anon_sym_constinit] = ACTIONS(2833),
    [anon_sym_consteval] = ACTIONS(2833),
    [sym_primitive_type] = ACTIONS(2833),
    [anon_sym_enum] = ACTIONS(2833),
    [anon_sym_class] = ACTIONS(2833),
    [anon_sym_struct] = ACTIONS(2833),
    [anon_sym_union] = ACTIONS(2833),
    [anon_sym_if] = ACTIONS(2833),
    [anon_sym_switch] = ACTIONS(2833),
    [anon_sym_case] = ACTIONS(2833),
    [anon_sym_default] = ACTIONS(2833),
    [anon_sym_while] = ACTIONS(2833),
    [anon_sym_do] = ACTIONS(2833),
    [anon_sym_for] = ACTIONS(2833),
    [anon_sym_return] = ACTIONS(2833),
    [anon_sym_break] = ACTIONS(2833),
    [anon_sym_continue] = ACTIONS(2833),
    [anon_sym_goto] = ACTIONS(2833),
    [anon_sym___try] = ACTIONS(2833),
    [anon_sym___leave] = ACTIONS(2833),
    [anon_sym_not] = ACTIONS(2833),
    [anon_sym_compl] = ACTIONS(2833),
    [anon_sym_DASH_DASH] = ACTIONS(2835),
    [anon_sym_PLUS_PLUS] = ACTIONS(2835),
    [anon_sym_sizeof] = ACTIONS(2833),
    [anon_sym___alignof__] = ACTIONS(2833),
    [anon_sym___alignof] = ACTIONS(2833),
    [anon_sym__alignof] = ACTIONS(2833),
    [anon_sym_alignof] = ACTIONS(2833),
    [anon_sym__Alignof] = ACTIONS(2833),
    [anon_sym_offsetof] = ACTIONS(2833),
    [anon_sym__Generic] = ACTIONS(2833),
    [anon_sym_asm] = ACTIONS(2833),
    [anon_sym___asm__] = ACTIONS(2833),
    [sym_number_literal] = ACTIONS(2835),
    [anon_sym_L_SQUOTE] = ACTIONS(2835),
    [anon_sym_u_SQUOTE] = ACTIONS(2835),
    [anon_sym_U_SQUOTE] = ACTIONS(2835),
    [anon_sym_u8_SQUOTE] = ACTIONS(2835),
    [anon_sym_SQUOTE] = ACTIONS(2835),
    [anon_sym_L_DQUOTE] = ACTIONS(2835),
    [anon_sym_u_DQUOTE] = ACTIONS(2835),
    [anon_sym_U_DQUOTE] = ACTIONS(2835),
    [anon_sym_u8_DQUOTE] = ACTIONS(2835),
    [anon_sym_DQUOTE] = ACTIONS(2835),
    [sym_true] = ACTIONS(2833),
    [sym_false] = ACTIONS(2833),
    [anon_sym_NULL] = ACTIONS(2833),
    [anon_sym_nullptr] = ACTIONS(2833),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2833),
    [anon_sym_decltype] = ACTIONS(2833),
    [anon_sym_virtual] = ACTIONS(2833),
    [anon_sym_alignas] = ACTIONS(2833),
    [anon_sym_explicit] = ACTIONS(2833),
    [anon_sym_typename] = ACTIONS(2833),
    [anon_sym_template] = ACTIONS(2833),
    [anon_sym_operator] = ACTIONS(2833),
    [anon_sym_try] = ACTIONS(2833),
    [anon_sym_delete] = ACTIONS(2833),
    [anon_sym_throw] = ACTIONS(2833),
    [anon_sym_namespace] = ACTIONS(2833),
    [anon_sym_using] = ACTIONS(2833),
    [anon_sym_static_assert] = ACTIONS(2833),
    [anon_sym_concept] = ACTIONS(2833),
    [anon_sym_co_return] = ACTIONS(2833),
    [anon_sym_co_yield] = ACTIONS(2833),
    [anon_sym_R_DQUOTE] = ACTIONS(2835),
    [anon_sym_LR_DQUOTE] = ACTIONS(2835),
    [anon_sym_uR_DQUOTE] = ACTIONS(2835),
    [anon_sym_UR_DQUOTE] = ACTIONS(2835),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2835),
    [anon_sym_co_await] = ACTIONS(2833),
    [anon_sym_new] = ACTIONS(2833),
    [anon_sym_requires] = ACTIONS(2833),
    [sym_this] = ACTIONS(2833),
    [anon_sym_discard] = ACTIONS(2833),
    [anon_sym_precise] = ACTIONS(2833),
    [anon_sym_shared] = ACTIONS(2833),
    [anon_sym_groupshared] = ACTIONS(2833),
    [anon_sym_uniform] = ACTIONS(2833),
    [anon_sym_row_major] = ACTIONS(2833),
    [anon_sym_column_major] = ACTIONS(2833),
    [anon_sym_globallycoherent] = ACTIONS(2833),
    [anon_sym_centroid] = ACTIONS(2833),
    [anon_sym_noperspective] = ACTIONS(2833),
    [anon_sym_nointerpolation] = ACTIONS(2833),
    [anon_sym_sample] = ACTIONS(2833),
    [anon_sym_linear] = ACTIONS(2833),
    [anon_sym_snorm] = ACTIONS(2833),
    [anon_sym_unorm] = ACTIONS(2833),
    [anon_sym_point] = ACTIONS(2833),
    [anon_sym_line] = ACTIONS(2833),
    [anon_sym_triangleadj] = ACTIONS(2833),
    [anon_sym_lineadj] = ACTIONS(2833),
    [anon_sym_triangle] = ACTIONS(2833),
    [anon_sym_cbuffer] = ACTIONS(2833),
  },
  [626] = {
    [sym_identifier] = ACTIONS(2653),
    [aux_sym_preproc_include_token1] = ACTIONS(2653),
    [aux_sym_preproc_def_token1] = ACTIONS(2653),
    [aux_sym_preproc_if_token1] = ACTIONS(2653),
    [aux_sym_preproc_if_token2] = ACTIONS(2653),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2653),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2653),
    [aux_sym_preproc_else_token1] = ACTIONS(2653),
    [aux_sym_preproc_elif_token1] = ACTIONS(2653),
    [sym_preproc_directive] = ACTIONS(2653),
    [anon_sym_LPAREN2] = ACTIONS(2655),
    [anon_sym_BANG] = ACTIONS(2655),
    [anon_sym_TILDE] = ACTIONS(2655),
    [anon_sym_DASH] = ACTIONS(2653),
    [anon_sym_PLUS] = ACTIONS(2653),
    [anon_sym_STAR] = ACTIONS(2655),
    [anon_sym_AMP_AMP] = ACTIONS(2655),
    [anon_sym_AMP] = ACTIONS(2653),
    [anon_sym_SEMI] = ACTIONS(2655),
    [anon_sym___extension__] = ACTIONS(2653),
    [anon_sym_typedef] = ACTIONS(2653),
    [anon_sym_in] = ACTIONS(2653),
    [anon_sym_out] = ACTIONS(2653),
    [anon_sym_inout] = ACTIONS(2653),
    [anon_sym_extern] = ACTIONS(2653),
    [anon_sym___attribute__] = ACTIONS(2653),
    [anon_sym_COLON_COLON] = ACTIONS(2655),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2655),
    [anon_sym___declspec] = ACTIONS(2653),
    [anon_sym___based] = ACTIONS(2653),
    [anon_sym___cdecl] = ACTIONS(2653),
    [anon_sym___clrcall] = ACTIONS(2653),
    [anon_sym___stdcall] = ACTIONS(2653),
    [anon_sym___fastcall] = ACTIONS(2653),
    [anon_sym___thiscall] = ACTIONS(2653),
    [anon_sym___vectorcall] = ACTIONS(2653),
    [anon_sym_LBRACE] = ACTIONS(2655),
    [anon_sym_signed] = ACTIONS(2653),
    [anon_sym_unsigned] = ACTIONS(2653),
    [anon_sym_long] = ACTIONS(2653),
    [anon_sym_short] = ACTIONS(2653),
    [anon_sym_LBRACK] = ACTIONS(2653),
    [anon_sym_static] = ACTIONS(2653),
    [anon_sym_register] = ACTIONS(2653),
    [anon_sym_inline] = ACTIONS(2653),
    [anon_sym___inline] = ACTIONS(2653),
    [anon_sym___inline__] = ACTIONS(2653),
    [anon_sym___forceinline] = ACTIONS(2653),
    [anon_sym_thread_local] = ACTIONS(2653),
    [anon_sym___thread] = ACTIONS(2653),
    [anon_sym_const] = ACTIONS(2653),
    [anon_sym_constexpr] = ACTIONS(2653),
    [anon_sym_volatile] = ACTIONS(2653),
    [anon_sym_restrict] = ACTIONS(2653),
    [anon_sym___restrict__] = ACTIONS(2653),
    [anon_sym__Atomic] = ACTIONS(2653),
    [anon_sym__Noreturn] = ACTIONS(2653),
    [anon_sym_noreturn] = ACTIONS(2653),
    [anon_sym_mutable] = ACTIONS(2653),
    [anon_sym_constinit] = ACTIONS(2653),
    [anon_sym_consteval] = ACTIONS(2653),
    [sym_primitive_type] = ACTIONS(2653),
    [anon_sym_enum] = ACTIONS(2653),
    [anon_sym_class] = ACTIONS(2653),
    [anon_sym_struct] = ACTIONS(2653),
    [anon_sym_union] = ACTIONS(2653),
    [anon_sym_if] = ACTIONS(2653),
    [anon_sym_switch] = ACTIONS(2653),
    [anon_sym_case] = ACTIONS(2653),
    [anon_sym_default] = ACTIONS(2653),
    [anon_sym_while] = ACTIONS(2653),
    [anon_sym_do] = ACTIONS(2653),
    [anon_sym_for] = ACTIONS(2653),
    [anon_sym_return] = ACTIONS(2653),
    [anon_sym_break] = ACTIONS(2653),
    [anon_sym_continue] = ACTIONS(2653),
    [anon_sym_goto] = ACTIONS(2653),
    [anon_sym___try] = ACTIONS(2653),
    [anon_sym___leave] = ACTIONS(2653),
    [anon_sym_not] = ACTIONS(2653),
    [anon_sym_compl] = ACTIONS(2653),
    [anon_sym_DASH_DASH] = ACTIONS(2655),
    [anon_sym_PLUS_PLUS] = ACTIONS(2655),
    [anon_sym_sizeof] = ACTIONS(2653),
    [anon_sym___alignof__] = ACTIONS(2653),
    [anon_sym___alignof] = ACTIONS(2653),
    [anon_sym__alignof] = ACTIONS(2653),
    [anon_sym_alignof] = ACTIONS(2653),
    [anon_sym__Alignof] = ACTIONS(2653),
    [anon_sym_offsetof] = ACTIONS(2653),
    [anon_sym__Generic] = ACTIONS(2653),
    [anon_sym_asm] = ACTIONS(2653),
    [anon_sym___asm__] = ACTIONS(2653),
    [sym_number_literal] = ACTIONS(2655),
    [anon_sym_L_SQUOTE] = ACTIONS(2655),
    [anon_sym_u_SQUOTE] = ACTIONS(2655),
    [anon_sym_U_SQUOTE] = ACTIONS(2655),
    [anon_sym_u8_SQUOTE] = ACTIONS(2655),
    [anon_sym_SQUOTE] = ACTIONS(2655),
    [anon_sym_L_DQUOTE] = ACTIONS(2655),
    [anon_sym_u_DQUOTE] = ACTIONS(2655),
    [anon_sym_U_DQUOTE] = ACTIONS(2655),
    [anon_sym_u8_DQUOTE] = ACTIONS(2655),
    [anon_sym_DQUOTE] = ACTIONS(2655),
    [sym_true] = ACTIONS(2653),
    [sym_false] = ACTIONS(2653),
    [anon_sym_NULL] = ACTIONS(2653),
    [anon_sym_nullptr] = ACTIONS(2653),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2653),
    [anon_sym_decltype] = ACTIONS(2653),
    [anon_sym_virtual] = ACTIONS(2653),
    [anon_sym_alignas] = ACTIONS(2653),
    [anon_sym_explicit] = ACTIONS(2653),
    [anon_sym_typename] = ACTIONS(2653),
    [anon_sym_template] = ACTIONS(2653),
    [anon_sym_operator] = ACTIONS(2653),
    [anon_sym_try] = ACTIONS(2653),
    [anon_sym_delete] = ACTIONS(2653),
    [anon_sym_throw] = ACTIONS(2653),
    [anon_sym_namespace] = ACTIONS(2653),
    [anon_sym_using] = ACTIONS(2653),
    [anon_sym_static_assert] = ACTIONS(2653),
    [anon_sym_concept] = ACTIONS(2653),
    [anon_sym_co_return] = ACTIONS(2653),
    [anon_sym_co_yield] = ACTIONS(2653),
    [anon_sym_R_DQUOTE] = ACTIONS(2655),
    [anon_sym_LR_DQUOTE] = ACTIONS(2655),
    [anon_sym_uR_DQUOTE] = ACTIONS(2655),
    [anon_sym_UR_DQUOTE] = ACTIONS(2655),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2655),
    [anon_sym_co_await] = ACTIONS(2653),
    [anon_sym_new] = ACTIONS(2653),
    [anon_sym_requires] = ACTIONS(2653),
    [sym_this] = ACTIONS(2653),
    [anon_sym_discard] = ACTIONS(2653),
    [anon_sym_precise] = ACTIONS(2653),
    [anon_sym_shared] = ACTIONS(2653),
    [anon_sym_groupshared] = ACTIONS(2653),
    [anon_sym_uniform] = ACTIONS(2653),
    [anon_sym_row_major] = ACTIONS(2653),
    [anon_sym_column_major] = ACTIONS(2653),
    [anon_sym_globallycoherent] = ACTIONS(2653),
    [anon_sym_centroid] = ACTIONS(2653),
    [anon_sym_noperspective] = ACTIONS(2653),
    [anon_sym_nointerpolation] = ACTIONS(2653),
    [anon_sym_sample] = ACTIONS(2653),
    [anon_sym_linear] = ACTIONS(2653),
    [anon_sym_snorm] = ACTIONS(2653),
    [anon_sym_unorm] = ACTIONS(2653),
    [anon_sym_point] = ACTIONS(2653),
    [anon_sym_line] = ACTIONS(2653),
    [anon_sym_triangleadj] = ACTIONS(2653),
    [anon_sym_lineadj] = ACTIONS(2653),
    [anon_sym_triangle] = ACTIONS(2653),
    [anon_sym_cbuffer] = ACTIONS(2653),
  },
  [627] = {
    [sym_identifier] = ACTIONS(2657),
    [aux_sym_preproc_include_token1] = ACTIONS(2657),
    [aux_sym_preproc_def_token1] = ACTIONS(2657),
    [aux_sym_preproc_if_token1] = ACTIONS(2657),
    [aux_sym_preproc_if_token2] = ACTIONS(2657),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2657),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2657),
    [aux_sym_preproc_else_token1] = ACTIONS(2657),
    [aux_sym_preproc_elif_token1] = ACTIONS(2657),
    [sym_preproc_directive] = ACTIONS(2657),
    [anon_sym_LPAREN2] = ACTIONS(2659),
    [anon_sym_BANG] = ACTIONS(2659),
    [anon_sym_TILDE] = ACTIONS(2659),
    [anon_sym_DASH] = ACTIONS(2657),
    [anon_sym_PLUS] = ACTIONS(2657),
    [anon_sym_STAR] = ACTIONS(2659),
    [anon_sym_AMP_AMP] = ACTIONS(2659),
    [anon_sym_AMP] = ACTIONS(2657),
    [anon_sym_SEMI] = ACTIONS(2659),
    [anon_sym___extension__] = ACTIONS(2657),
    [anon_sym_typedef] = ACTIONS(2657),
    [anon_sym_in] = ACTIONS(2657),
    [anon_sym_out] = ACTIONS(2657),
    [anon_sym_inout] = ACTIONS(2657),
    [anon_sym_extern] = ACTIONS(2657),
    [anon_sym___attribute__] = ACTIONS(2657),
    [anon_sym_COLON_COLON] = ACTIONS(2659),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2659),
    [anon_sym___declspec] = ACTIONS(2657),
    [anon_sym___based] = ACTIONS(2657),
    [anon_sym___cdecl] = ACTIONS(2657),
    [anon_sym___clrcall] = ACTIONS(2657),
    [anon_sym___stdcall] = ACTIONS(2657),
    [anon_sym___fastcall] = ACTIONS(2657),
    [anon_sym___thiscall] = ACTIONS(2657),
    [anon_sym___vectorcall] = ACTIONS(2657),
    [anon_sym_LBRACE] = ACTIONS(2659),
    [anon_sym_signed] = ACTIONS(2657),
    [anon_sym_unsigned] = ACTIONS(2657),
    [anon_sym_long] = ACTIONS(2657),
    [anon_sym_short] = ACTIONS(2657),
    [anon_sym_LBRACK] = ACTIONS(2657),
    [anon_sym_static] = ACTIONS(2657),
    [anon_sym_register] = ACTIONS(2657),
    [anon_sym_inline] = ACTIONS(2657),
    [anon_sym___inline] = ACTIONS(2657),
    [anon_sym___inline__] = ACTIONS(2657),
    [anon_sym___forceinline] = ACTIONS(2657),
    [anon_sym_thread_local] = ACTIONS(2657),
    [anon_sym___thread] = ACTIONS(2657),
    [anon_sym_const] = ACTIONS(2657),
    [anon_sym_constexpr] = ACTIONS(2657),
    [anon_sym_volatile] = ACTIONS(2657),
    [anon_sym_restrict] = ACTIONS(2657),
    [anon_sym___restrict__] = ACTIONS(2657),
    [anon_sym__Atomic] = ACTIONS(2657),
    [anon_sym__Noreturn] = ACTIONS(2657),
    [anon_sym_noreturn] = ACTIONS(2657),
    [anon_sym_mutable] = ACTIONS(2657),
    [anon_sym_constinit] = ACTIONS(2657),
    [anon_sym_consteval] = ACTIONS(2657),
    [sym_primitive_type] = ACTIONS(2657),
    [anon_sym_enum] = ACTIONS(2657),
    [anon_sym_class] = ACTIONS(2657),
    [anon_sym_struct] = ACTIONS(2657),
    [anon_sym_union] = ACTIONS(2657),
    [anon_sym_if] = ACTIONS(2657),
    [anon_sym_switch] = ACTIONS(2657),
    [anon_sym_case] = ACTIONS(2657),
    [anon_sym_default] = ACTIONS(2657),
    [anon_sym_while] = ACTIONS(2657),
    [anon_sym_do] = ACTIONS(2657),
    [anon_sym_for] = ACTIONS(2657),
    [anon_sym_return] = ACTIONS(2657),
    [anon_sym_break] = ACTIONS(2657),
    [anon_sym_continue] = ACTIONS(2657),
    [anon_sym_goto] = ACTIONS(2657),
    [anon_sym___try] = ACTIONS(2657),
    [anon_sym___leave] = ACTIONS(2657),
    [anon_sym_not] = ACTIONS(2657),
    [anon_sym_compl] = ACTIONS(2657),
    [anon_sym_DASH_DASH] = ACTIONS(2659),
    [anon_sym_PLUS_PLUS] = ACTIONS(2659),
    [anon_sym_sizeof] = ACTIONS(2657),
    [anon_sym___alignof__] = ACTIONS(2657),
    [anon_sym___alignof] = ACTIONS(2657),
    [anon_sym__alignof] = ACTIONS(2657),
    [anon_sym_alignof] = ACTIONS(2657),
    [anon_sym__Alignof] = ACTIONS(2657),
    [anon_sym_offsetof] = ACTIONS(2657),
    [anon_sym__Generic] = ACTIONS(2657),
    [anon_sym_asm] = ACTIONS(2657),
    [anon_sym___asm__] = ACTIONS(2657),
    [sym_number_literal] = ACTIONS(2659),
    [anon_sym_L_SQUOTE] = ACTIONS(2659),
    [anon_sym_u_SQUOTE] = ACTIONS(2659),
    [anon_sym_U_SQUOTE] = ACTIONS(2659),
    [anon_sym_u8_SQUOTE] = ACTIONS(2659),
    [anon_sym_SQUOTE] = ACTIONS(2659),
    [anon_sym_L_DQUOTE] = ACTIONS(2659),
    [anon_sym_u_DQUOTE] = ACTIONS(2659),
    [anon_sym_U_DQUOTE] = ACTIONS(2659),
    [anon_sym_u8_DQUOTE] = ACTIONS(2659),
    [anon_sym_DQUOTE] = ACTIONS(2659),
    [sym_true] = ACTIONS(2657),
    [sym_false] = ACTIONS(2657),
    [anon_sym_NULL] = ACTIONS(2657),
    [anon_sym_nullptr] = ACTIONS(2657),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2657),
    [anon_sym_decltype] = ACTIONS(2657),
    [anon_sym_virtual] = ACTIONS(2657),
    [anon_sym_alignas] = ACTIONS(2657),
    [anon_sym_explicit] = ACTIONS(2657),
    [anon_sym_typename] = ACTIONS(2657),
    [anon_sym_template] = ACTIONS(2657),
    [anon_sym_operator] = ACTIONS(2657),
    [anon_sym_try] = ACTIONS(2657),
    [anon_sym_delete] = ACTIONS(2657),
    [anon_sym_throw] = ACTIONS(2657),
    [anon_sym_namespace] = ACTIONS(2657),
    [anon_sym_using] = ACTIONS(2657),
    [anon_sym_static_assert] = ACTIONS(2657),
    [anon_sym_concept] = ACTIONS(2657),
    [anon_sym_co_return] = ACTIONS(2657),
    [anon_sym_co_yield] = ACTIONS(2657),
    [anon_sym_R_DQUOTE] = ACTIONS(2659),
    [anon_sym_LR_DQUOTE] = ACTIONS(2659),
    [anon_sym_uR_DQUOTE] = ACTIONS(2659),
    [anon_sym_UR_DQUOTE] = ACTIONS(2659),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2659),
    [anon_sym_co_await] = ACTIONS(2657),
    [anon_sym_new] = ACTIONS(2657),
    [anon_sym_requires] = ACTIONS(2657),
    [sym_this] = ACTIONS(2657),
    [anon_sym_discard] = ACTIONS(2657),
    [anon_sym_precise] = ACTIONS(2657),
    [anon_sym_shared] = ACTIONS(2657),
    [anon_sym_groupshared] = ACTIONS(2657),
    [anon_sym_uniform] = ACTIONS(2657),
    [anon_sym_row_major] = ACTIONS(2657),
    [anon_sym_column_major] = ACTIONS(2657),
    [anon_sym_globallycoherent] = ACTIONS(2657),
    [anon_sym_centroid] = ACTIONS(2657),
    [anon_sym_noperspective] = ACTIONS(2657),
    [anon_sym_nointerpolation] = ACTIONS(2657),
    [anon_sym_sample] = ACTIONS(2657),
    [anon_sym_linear] = ACTIONS(2657),
    [anon_sym_snorm] = ACTIONS(2657),
    [anon_sym_unorm] = ACTIONS(2657),
    [anon_sym_point] = ACTIONS(2657),
    [anon_sym_line] = ACTIONS(2657),
    [anon_sym_triangleadj] = ACTIONS(2657),
    [anon_sym_lineadj] = ACTIONS(2657),
    [anon_sym_triangle] = ACTIONS(2657),
    [anon_sym_cbuffer] = ACTIONS(2657),
  },
  [628] = {
    [sym_identifier] = ACTIONS(2665),
    [aux_sym_preproc_include_token1] = ACTIONS(2665),
    [aux_sym_preproc_def_token1] = ACTIONS(2665),
    [aux_sym_preproc_if_token1] = ACTIONS(2665),
    [aux_sym_preproc_if_token2] = ACTIONS(2665),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2665),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2665),
    [aux_sym_preproc_else_token1] = ACTIONS(2665),
    [aux_sym_preproc_elif_token1] = ACTIONS(2665),
    [sym_preproc_directive] = ACTIONS(2665),
    [anon_sym_LPAREN2] = ACTIONS(2667),
    [anon_sym_BANG] = ACTIONS(2667),
    [anon_sym_TILDE] = ACTIONS(2667),
    [anon_sym_DASH] = ACTIONS(2665),
    [anon_sym_PLUS] = ACTIONS(2665),
    [anon_sym_STAR] = ACTIONS(2667),
    [anon_sym_AMP_AMP] = ACTIONS(2667),
    [anon_sym_AMP] = ACTIONS(2665),
    [anon_sym_SEMI] = ACTIONS(2667),
    [anon_sym___extension__] = ACTIONS(2665),
    [anon_sym_typedef] = ACTIONS(2665),
    [anon_sym_in] = ACTIONS(2665),
    [anon_sym_out] = ACTIONS(2665),
    [anon_sym_inout] = ACTIONS(2665),
    [anon_sym_extern] = ACTIONS(2665),
    [anon_sym___attribute__] = ACTIONS(2665),
    [anon_sym_COLON_COLON] = ACTIONS(2667),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2667),
    [anon_sym___declspec] = ACTIONS(2665),
    [anon_sym___based] = ACTIONS(2665),
    [anon_sym___cdecl] = ACTIONS(2665),
    [anon_sym___clrcall] = ACTIONS(2665),
    [anon_sym___stdcall] = ACTIONS(2665),
    [anon_sym___fastcall] = ACTIONS(2665),
    [anon_sym___thiscall] = ACTIONS(2665),
    [anon_sym___vectorcall] = ACTIONS(2665),
    [anon_sym_LBRACE] = ACTIONS(2667),
    [anon_sym_signed] = ACTIONS(2665),
    [anon_sym_unsigned] = ACTIONS(2665),
    [anon_sym_long] = ACTIONS(2665),
    [anon_sym_short] = ACTIONS(2665),
    [anon_sym_LBRACK] = ACTIONS(2665),
    [anon_sym_static] = ACTIONS(2665),
    [anon_sym_register] = ACTIONS(2665),
    [anon_sym_inline] = ACTIONS(2665),
    [anon_sym___inline] = ACTIONS(2665),
    [anon_sym___inline__] = ACTIONS(2665),
    [anon_sym___forceinline] = ACTIONS(2665),
    [anon_sym_thread_local] = ACTIONS(2665),
    [anon_sym___thread] = ACTIONS(2665),
    [anon_sym_const] = ACTIONS(2665),
    [anon_sym_constexpr] = ACTIONS(2665),
    [anon_sym_volatile] = ACTIONS(2665),
    [anon_sym_restrict] = ACTIONS(2665),
    [anon_sym___restrict__] = ACTIONS(2665),
    [anon_sym__Atomic] = ACTIONS(2665),
    [anon_sym__Noreturn] = ACTIONS(2665),
    [anon_sym_noreturn] = ACTIONS(2665),
    [anon_sym_mutable] = ACTIONS(2665),
    [anon_sym_constinit] = ACTIONS(2665),
    [anon_sym_consteval] = ACTIONS(2665),
    [sym_primitive_type] = ACTIONS(2665),
    [anon_sym_enum] = ACTIONS(2665),
    [anon_sym_class] = ACTIONS(2665),
    [anon_sym_struct] = ACTIONS(2665),
    [anon_sym_union] = ACTIONS(2665),
    [anon_sym_if] = ACTIONS(2665),
    [anon_sym_switch] = ACTIONS(2665),
    [anon_sym_case] = ACTIONS(2665),
    [anon_sym_default] = ACTIONS(2665),
    [anon_sym_while] = ACTIONS(2665),
    [anon_sym_do] = ACTIONS(2665),
    [anon_sym_for] = ACTIONS(2665),
    [anon_sym_return] = ACTIONS(2665),
    [anon_sym_break] = ACTIONS(2665),
    [anon_sym_continue] = ACTIONS(2665),
    [anon_sym_goto] = ACTIONS(2665),
    [anon_sym___try] = ACTIONS(2665),
    [anon_sym___leave] = ACTIONS(2665),
    [anon_sym_not] = ACTIONS(2665),
    [anon_sym_compl] = ACTIONS(2665),
    [anon_sym_DASH_DASH] = ACTIONS(2667),
    [anon_sym_PLUS_PLUS] = ACTIONS(2667),
    [anon_sym_sizeof] = ACTIONS(2665),
    [anon_sym___alignof__] = ACTIONS(2665),
    [anon_sym___alignof] = ACTIONS(2665),
    [anon_sym__alignof] = ACTIONS(2665),
    [anon_sym_alignof] = ACTIONS(2665),
    [anon_sym__Alignof] = ACTIONS(2665),
    [anon_sym_offsetof] = ACTIONS(2665),
    [anon_sym__Generic] = ACTIONS(2665),
    [anon_sym_asm] = ACTIONS(2665),
    [anon_sym___asm__] = ACTIONS(2665),
    [sym_number_literal] = ACTIONS(2667),
    [anon_sym_L_SQUOTE] = ACTIONS(2667),
    [anon_sym_u_SQUOTE] = ACTIONS(2667),
    [anon_sym_U_SQUOTE] = ACTIONS(2667),
    [anon_sym_u8_SQUOTE] = ACTIONS(2667),
    [anon_sym_SQUOTE] = ACTIONS(2667),
    [anon_sym_L_DQUOTE] = ACTIONS(2667),
    [anon_sym_u_DQUOTE] = ACTIONS(2667),
    [anon_sym_U_DQUOTE] = ACTIONS(2667),
    [anon_sym_u8_DQUOTE] = ACTIONS(2667),
    [anon_sym_DQUOTE] = ACTIONS(2667),
    [sym_true] = ACTIONS(2665),
    [sym_false] = ACTIONS(2665),
    [anon_sym_NULL] = ACTIONS(2665),
    [anon_sym_nullptr] = ACTIONS(2665),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2665),
    [anon_sym_decltype] = ACTIONS(2665),
    [anon_sym_virtual] = ACTIONS(2665),
    [anon_sym_alignas] = ACTIONS(2665),
    [anon_sym_explicit] = ACTIONS(2665),
    [anon_sym_typename] = ACTIONS(2665),
    [anon_sym_template] = ACTIONS(2665),
    [anon_sym_operator] = ACTIONS(2665),
    [anon_sym_try] = ACTIONS(2665),
    [anon_sym_delete] = ACTIONS(2665),
    [anon_sym_throw] = ACTIONS(2665),
    [anon_sym_namespace] = ACTIONS(2665),
    [anon_sym_using] = ACTIONS(2665),
    [anon_sym_static_assert] = ACTIONS(2665),
    [anon_sym_concept] = ACTIONS(2665),
    [anon_sym_co_return] = ACTIONS(2665),
    [anon_sym_co_yield] = ACTIONS(2665),
    [anon_sym_R_DQUOTE] = ACTIONS(2667),
    [anon_sym_LR_DQUOTE] = ACTIONS(2667),
    [anon_sym_uR_DQUOTE] = ACTIONS(2667),
    [anon_sym_UR_DQUOTE] = ACTIONS(2667),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2667),
    [anon_sym_co_await] = ACTIONS(2665),
    [anon_sym_new] = ACTIONS(2665),
    [anon_sym_requires] = ACTIONS(2665),
    [sym_this] = ACTIONS(2665),
    [anon_sym_discard] = ACTIONS(2665),
    [anon_sym_precise] = ACTIONS(2665),
    [anon_sym_shared] = ACTIONS(2665),
    [anon_sym_groupshared] = ACTIONS(2665),
    [anon_sym_uniform] = ACTIONS(2665),
    [anon_sym_row_major] = ACTIONS(2665),
    [anon_sym_column_major] = ACTIONS(2665),
    [anon_sym_globallycoherent] = ACTIONS(2665),
    [anon_sym_centroid] = ACTIONS(2665),
    [anon_sym_noperspective] = ACTIONS(2665),
    [anon_sym_nointerpolation] = ACTIONS(2665),
    [anon_sym_sample] = ACTIONS(2665),
    [anon_sym_linear] = ACTIONS(2665),
    [anon_sym_snorm] = ACTIONS(2665),
    [anon_sym_unorm] = ACTIONS(2665),
    [anon_sym_point] = ACTIONS(2665),
    [anon_sym_line] = ACTIONS(2665),
    [anon_sym_triangleadj] = ACTIONS(2665),
    [anon_sym_lineadj] = ACTIONS(2665),
    [anon_sym_triangle] = ACTIONS(2665),
    [anon_sym_cbuffer] = ACTIONS(2665),
  },
  [629] = {
    [sym_else_clause] = STATE(1002),
    [ts_builtin_sym_end] = ACTIONS(2301),
    [sym_identifier] = ACTIONS(2299),
    [aux_sym_preproc_include_token1] = ACTIONS(2299),
    [aux_sym_preproc_def_token1] = ACTIONS(2299),
    [aux_sym_preproc_if_token1] = ACTIONS(2299),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2299),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2299),
    [sym_preproc_directive] = ACTIONS(2299),
    [anon_sym_LPAREN2] = ACTIONS(2301),
    [anon_sym_BANG] = ACTIONS(2301),
    [anon_sym_TILDE] = ACTIONS(2301),
    [anon_sym_DASH] = ACTIONS(2299),
    [anon_sym_PLUS] = ACTIONS(2299),
    [anon_sym_STAR] = ACTIONS(2301),
    [anon_sym_AMP_AMP] = ACTIONS(2301),
    [anon_sym_AMP] = ACTIONS(2299),
    [anon_sym_SEMI] = ACTIONS(2301),
    [anon_sym___extension__] = ACTIONS(2299),
    [anon_sym_typedef] = ACTIONS(2299),
    [anon_sym_in] = ACTIONS(2299),
    [anon_sym_out] = ACTIONS(2299),
    [anon_sym_inout] = ACTIONS(2299),
    [anon_sym_extern] = ACTIONS(2299),
    [anon_sym___attribute__] = ACTIONS(2299),
    [anon_sym_COLON_COLON] = ACTIONS(2301),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2301),
    [anon_sym___declspec] = ACTIONS(2299),
    [anon_sym___based] = ACTIONS(2299),
    [anon_sym___cdecl] = ACTIONS(2299),
    [anon_sym___clrcall] = ACTIONS(2299),
    [anon_sym___stdcall] = ACTIONS(2299),
    [anon_sym___fastcall] = ACTIONS(2299),
    [anon_sym___thiscall] = ACTIONS(2299),
    [anon_sym___vectorcall] = ACTIONS(2299),
    [anon_sym_LBRACE] = ACTIONS(2301),
    [anon_sym_signed] = ACTIONS(2299),
    [anon_sym_unsigned] = ACTIONS(2299),
    [anon_sym_long] = ACTIONS(2299),
    [anon_sym_short] = ACTIONS(2299),
    [anon_sym_LBRACK] = ACTIONS(2299),
    [anon_sym_static] = ACTIONS(2299),
    [anon_sym_register] = ACTIONS(2299),
    [anon_sym_inline] = ACTIONS(2299),
    [anon_sym___inline] = ACTIONS(2299),
    [anon_sym___inline__] = ACTIONS(2299),
    [anon_sym___forceinline] = ACTIONS(2299),
    [anon_sym_thread_local] = ACTIONS(2299),
    [anon_sym___thread] = ACTIONS(2299),
    [anon_sym_const] = ACTIONS(2299),
    [anon_sym_constexpr] = ACTIONS(2299),
    [anon_sym_volatile] = ACTIONS(2299),
    [anon_sym_restrict] = ACTIONS(2299),
    [anon_sym___restrict__] = ACTIONS(2299),
    [anon_sym__Atomic] = ACTIONS(2299),
    [anon_sym__Noreturn] = ACTIONS(2299),
    [anon_sym_noreturn] = ACTIONS(2299),
    [anon_sym_mutable] = ACTIONS(2299),
    [anon_sym_constinit] = ACTIONS(2299),
    [anon_sym_consteval] = ACTIONS(2299),
    [sym_primitive_type] = ACTIONS(2299),
    [anon_sym_enum] = ACTIONS(2299),
    [anon_sym_class] = ACTIONS(2299),
    [anon_sym_struct] = ACTIONS(2299),
    [anon_sym_union] = ACTIONS(2299),
    [anon_sym_if] = ACTIONS(2299),
    [anon_sym_else] = ACTIONS(2944),
    [anon_sym_switch] = ACTIONS(2299),
    [anon_sym_case] = ACTIONS(2299),
    [anon_sym_default] = ACTIONS(2299),
    [anon_sym_while] = ACTIONS(2299),
    [anon_sym_do] = ACTIONS(2299),
    [anon_sym_for] = ACTIONS(2299),
    [anon_sym_return] = ACTIONS(2299),
    [anon_sym_break] = ACTIONS(2299),
    [anon_sym_continue] = ACTIONS(2299),
    [anon_sym_goto] = ACTIONS(2299),
    [anon_sym___try] = ACTIONS(2299),
    [anon_sym___leave] = ACTIONS(2299),
    [anon_sym_not] = ACTIONS(2299),
    [anon_sym_compl] = ACTIONS(2299),
    [anon_sym_DASH_DASH] = ACTIONS(2301),
    [anon_sym_PLUS_PLUS] = ACTIONS(2301),
    [anon_sym_sizeof] = ACTIONS(2299),
    [anon_sym___alignof__] = ACTIONS(2299),
    [anon_sym___alignof] = ACTIONS(2299),
    [anon_sym__alignof] = ACTIONS(2299),
    [anon_sym_alignof] = ACTIONS(2299),
    [anon_sym__Alignof] = ACTIONS(2299),
    [anon_sym_offsetof] = ACTIONS(2299),
    [anon_sym__Generic] = ACTIONS(2299),
    [anon_sym_asm] = ACTIONS(2299),
    [anon_sym___asm__] = ACTIONS(2299),
    [sym_number_literal] = ACTIONS(2301),
    [anon_sym_L_SQUOTE] = ACTIONS(2301),
    [anon_sym_u_SQUOTE] = ACTIONS(2301),
    [anon_sym_U_SQUOTE] = ACTIONS(2301),
    [anon_sym_u8_SQUOTE] = ACTIONS(2301),
    [anon_sym_SQUOTE] = ACTIONS(2301),
    [anon_sym_L_DQUOTE] = ACTIONS(2301),
    [anon_sym_u_DQUOTE] = ACTIONS(2301),
    [anon_sym_U_DQUOTE] = ACTIONS(2301),
    [anon_sym_u8_DQUOTE] = ACTIONS(2301),
    [anon_sym_DQUOTE] = ACTIONS(2301),
    [sym_true] = ACTIONS(2299),
    [sym_false] = ACTIONS(2299),
    [anon_sym_NULL] = ACTIONS(2299),
    [anon_sym_nullptr] = ACTIONS(2299),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2299),
    [anon_sym_decltype] = ACTIONS(2299),
    [anon_sym_virtual] = ACTIONS(2299),
    [anon_sym_alignas] = ACTIONS(2299),
    [anon_sym_explicit] = ACTIONS(2299),
    [anon_sym_typename] = ACTIONS(2299),
    [anon_sym_template] = ACTIONS(2299),
    [anon_sym_operator] = ACTIONS(2299),
    [anon_sym_try] = ACTIONS(2299),
    [anon_sym_delete] = ACTIONS(2299),
    [anon_sym_throw] = ACTIONS(2299),
    [anon_sym_namespace] = ACTIONS(2299),
    [anon_sym_using] = ACTIONS(2299),
    [anon_sym_static_assert] = ACTIONS(2299),
    [anon_sym_concept] = ACTIONS(2299),
    [anon_sym_co_return] = ACTIONS(2299),
    [anon_sym_co_yield] = ACTIONS(2299),
    [anon_sym_R_DQUOTE] = ACTIONS(2301),
    [anon_sym_LR_DQUOTE] = ACTIONS(2301),
    [anon_sym_uR_DQUOTE] = ACTIONS(2301),
    [anon_sym_UR_DQUOTE] = ACTIONS(2301),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2301),
    [anon_sym_co_await] = ACTIONS(2299),
    [anon_sym_new] = ACTIONS(2299),
    [anon_sym_requires] = ACTIONS(2299),
    [sym_this] = ACTIONS(2299),
    [anon_sym_discard] = ACTIONS(2299),
    [anon_sym_precise] = ACTIONS(2299),
    [anon_sym_shared] = ACTIONS(2299),
    [anon_sym_groupshared] = ACTIONS(2299),
    [anon_sym_uniform] = ACTIONS(2299),
    [anon_sym_row_major] = ACTIONS(2299),
    [anon_sym_column_major] = ACTIONS(2299),
    [anon_sym_globallycoherent] = ACTIONS(2299),
    [anon_sym_centroid] = ACTIONS(2299),
    [anon_sym_noperspective] = ACTIONS(2299),
    [anon_sym_nointerpolation] = ACTIONS(2299),
    [anon_sym_sample] = ACTIONS(2299),
    [anon_sym_linear] = ACTIONS(2299),
    [anon_sym_snorm] = ACTIONS(2299),
    [anon_sym_unorm] = ACTIONS(2299),
    [anon_sym_point] = ACTIONS(2299),
    [anon_sym_line] = ACTIONS(2299),
    [anon_sym_triangleadj] = ACTIONS(2299),
    [anon_sym_lineadj] = ACTIONS(2299),
    [anon_sym_triangle] = ACTIONS(2299),
    [anon_sym_cbuffer] = ACTIONS(2299),
  },
  [630] = {
    [sym_identifier] = ACTIONS(2669),
    [aux_sym_preproc_include_token1] = ACTIONS(2669),
    [aux_sym_preproc_def_token1] = ACTIONS(2669),
    [aux_sym_preproc_if_token1] = ACTIONS(2669),
    [aux_sym_preproc_if_token2] = ACTIONS(2669),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2669),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2669),
    [aux_sym_preproc_else_token1] = ACTIONS(2669),
    [aux_sym_preproc_elif_token1] = ACTIONS(2669),
    [sym_preproc_directive] = ACTIONS(2669),
    [anon_sym_LPAREN2] = ACTIONS(2671),
    [anon_sym_BANG] = ACTIONS(2671),
    [anon_sym_TILDE] = ACTIONS(2671),
    [anon_sym_DASH] = ACTIONS(2669),
    [anon_sym_PLUS] = ACTIONS(2669),
    [anon_sym_STAR] = ACTIONS(2671),
    [anon_sym_AMP_AMP] = ACTIONS(2671),
    [anon_sym_AMP] = ACTIONS(2669),
    [anon_sym_SEMI] = ACTIONS(2671),
    [anon_sym___extension__] = ACTIONS(2669),
    [anon_sym_typedef] = ACTIONS(2669),
    [anon_sym_in] = ACTIONS(2669),
    [anon_sym_out] = ACTIONS(2669),
    [anon_sym_inout] = ACTIONS(2669),
    [anon_sym_extern] = ACTIONS(2669),
    [anon_sym___attribute__] = ACTIONS(2669),
    [anon_sym_COLON_COLON] = ACTIONS(2671),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2671),
    [anon_sym___declspec] = ACTIONS(2669),
    [anon_sym___based] = ACTIONS(2669),
    [anon_sym___cdecl] = ACTIONS(2669),
    [anon_sym___clrcall] = ACTIONS(2669),
    [anon_sym___stdcall] = ACTIONS(2669),
    [anon_sym___fastcall] = ACTIONS(2669),
    [anon_sym___thiscall] = ACTIONS(2669),
    [anon_sym___vectorcall] = ACTIONS(2669),
    [anon_sym_LBRACE] = ACTIONS(2671),
    [anon_sym_signed] = ACTIONS(2669),
    [anon_sym_unsigned] = ACTIONS(2669),
    [anon_sym_long] = ACTIONS(2669),
    [anon_sym_short] = ACTIONS(2669),
    [anon_sym_LBRACK] = ACTIONS(2669),
    [anon_sym_static] = ACTIONS(2669),
    [anon_sym_register] = ACTIONS(2669),
    [anon_sym_inline] = ACTIONS(2669),
    [anon_sym___inline] = ACTIONS(2669),
    [anon_sym___inline__] = ACTIONS(2669),
    [anon_sym___forceinline] = ACTIONS(2669),
    [anon_sym_thread_local] = ACTIONS(2669),
    [anon_sym___thread] = ACTIONS(2669),
    [anon_sym_const] = ACTIONS(2669),
    [anon_sym_constexpr] = ACTIONS(2669),
    [anon_sym_volatile] = ACTIONS(2669),
    [anon_sym_restrict] = ACTIONS(2669),
    [anon_sym___restrict__] = ACTIONS(2669),
    [anon_sym__Atomic] = ACTIONS(2669),
    [anon_sym__Noreturn] = ACTIONS(2669),
    [anon_sym_noreturn] = ACTIONS(2669),
    [anon_sym_mutable] = ACTIONS(2669),
    [anon_sym_constinit] = ACTIONS(2669),
    [anon_sym_consteval] = ACTIONS(2669),
    [sym_primitive_type] = ACTIONS(2669),
    [anon_sym_enum] = ACTIONS(2669),
    [anon_sym_class] = ACTIONS(2669),
    [anon_sym_struct] = ACTIONS(2669),
    [anon_sym_union] = ACTIONS(2669),
    [anon_sym_if] = ACTIONS(2669),
    [anon_sym_switch] = ACTIONS(2669),
    [anon_sym_case] = ACTIONS(2669),
    [anon_sym_default] = ACTIONS(2669),
    [anon_sym_while] = ACTIONS(2669),
    [anon_sym_do] = ACTIONS(2669),
    [anon_sym_for] = ACTIONS(2669),
    [anon_sym_return] = ACTIONS(2669),
    [anon_sym_break] = ACTIONS(2669),
    [anon_sym_continue] = ACTIONS(2669),
    [anon_sym_goto] = ACTIONS(2669),
    [anon_sym___try] = ACTIONS(2669),
    [anon_sym___leave] = ACTIONS(2669),
    [anon_sym_not] = ACTIONS(2669),
    [anon_sym_compl] = ACTIONS(2669),
    [anon_sym_DASH_DASH] = ACTIONS(2671),
    [anon_sym_PLUS_PLUS] = ACTIONS(2671),
    [anon_sym_sizeof] = ACTIONS(2669),
    [anon_sym___alignof__] = ACTIONS(2669),
    [anon_sym___alignof] = ACTIONS(2669),
    [anon_sym__alignof] = ACTIONS(2669),
    [anon_sym_alignof] = ACTIONS(2669),
    [anon_sym__Alignof] = ACTIONS(2669),
    [anon_sym_offsetof] = ACTIONS(2669),
    [anon_sym__Generic] = ACTIONS(2669),
    [anon_sym_asm] = ACTIONS(2669),
    [anon_sym___asm__] = ACTIONS(2669),
    [sym_number_literal] = ACTIONS(2671),
    [anon_sym_L_SQUOTE] = ACTIONS(2671),
    [anon_sym_u_SQUOTE] = ACTIONS(2671),
    [anon_sym_U_SQUOTE] = ACTIONS(2671),
    [anon_sym_u8_SQUOTE] = ACTIONS(2671),
    [anon_sym_SQUOTE] = ACTIONS(2671),
    [anon_sym_L_DQUOTE] = ACTIONS(2671),
    [anon_sym_u_DQUOTE] = ACTIONS(2671),
    [anon_sym_U_DQUOTE] = ACTIONS(2671),
    [anon_sym_u8_DQUOTE] = ACTIONS(2671),
    [anon_sym_DQUOTE] = ACTIONS(2671),
    [sym_true] = ACTIONS(2669),
    [sym_false] = ACTIONS(2669),
    [anon_sym_NULL] = ACTIONS(2669),
    [anon_sym_nullptr] = ACTIONS(2669),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2669),
    [anon_sym_decltype] = ACTIONS(2669),
    [anon_sym_virtual] = ACTIONS(2669),
    [anon_sym_alignas] = ACTIONS(2669),
    [anon_sym_explicit] = ACTIONS(2669),
    [anon_sym_typename] = ACTIONS(2669),
    [anon_sym_template] = ACTIONS(2669),
    [anon_sym_operator] = ACTIONS(2669),
    [anon_sym_try] = ACTIONS(2669),
    [anon_sym_delete] = ACTIONS(2669),
    [anon_sym_throw] = ACTIONS(2669),
    [anon_sym_namespace] = ACTIONS(2669),
    [anon_sym_using] = ACTIONS(2669),
    [anon_sym_static_assert] = ACTIONS(2669),
    [anon_sym_concept] = ACTIONS(2669),
    [anon_sym_co_return] = ACTIONS(2669),
    [anon_sym_co_yield] = ACTIONS(2669),
    [anon_sym_R_DQUOTE] = ACTIONS(2671),
    [anon_sym_LR_DQUOTE] = ACTIONS(2671),
    [anon_sym_uR_DQUOTE] = ACTIONS(2671),
    [anon_sym_UR_DQUOTE] = ACTIONS(2671),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2671),
    [anon_sym_co_await] = ACTIONS(2669),
    [anon_sym_new] = ACTIONS(2669),
    [anon_sym_requires] = ACTIONS(2669),
    [sym_this] = ACTIONS(2669),
    [anon_sym_discard] = ACTIONS(2669),
    [anon_sym_precise] = ACTIONS(2669),
    [anon_sym_shared] = ACTIONS(2669),
    [anon_sym_groupshared] = ACTIONS(2669),
    [anon_sym_uniform] = ACTIONS(2669),
    [anon_sym_row_major] = ACTIONS(2669),
    [anon_sym_column_major] = ACTIONS(2669),
    [anon_sym_globallycoherent] = ACTIONS(2669),
    [anon_sym_centroid] = ACTIONS(2669),
    [anon_sym_noperspective] = ACTIONS(2669),
    [anon_sym_nointerpolation] = ACTIONS(2669),
    [anon_sym_sample] = ACTIONS(2669),
    [anon_sym_linear] = ACTIONS(2669),
    [anon_sym_snorm] = ACTIONS(2669),
    [anon_sym_unorm] = ACTIONS(2669),
    [anon_sym_point] = ACTIONS(2669),
    [anon_sym_line] = ACTIONS(2669),
    [anon_sym_triangleadj] = ACTIONS(2669),
    [anon_sym_lineadj] = ACTIONS(2669),
    [anon_sym_triangle] = ACTIONS(2669),
    [anon_sym_cbuffer] = ACTIONS(2669),
  },
  [631] = {
    [sym_identifier] = ACTIONS(2702),
    [aux_sym_preproc_include_token1] = ACTIONS(2702),
    [aux_sym_preproc_def_token1] = ACTIONS(2702),
    [aux_sym_preproc_if_token1] = ACTIONS(2702),
    [aux_sym_preproc_if_token2] = ACTIONS(2702),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2702),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2702),
    [aux_sym_preproc_else_token1] = ACTIONS(2702),
    [aux_sym_preproc_elif_token1] = ACTIONS(2702),
    [sym_preproc_directive] = ACTIONS(2702),
    [anon_sym_LPAREN2] = ACTIONS(2704),
    [anon_sym_BANG] = ACTIONS(2704),
    [anon_sym_TILDE] = ACTIONS(2704),
    [anon_sym_DASH] = ACTIONS(2702),
    [anon_sym_PLUS] = ACTIONS(2702),
    [anon_sym_STAR] = ACTIONS(2704),
    [anon_sym_AMP_AMP] = ACTIONS(2704),
    [anon_sym_AMP] = ACTIONS(2702),
    [anon_sym_SEMI] = ACTIONS(2704),
    [anon_sym___extension__] = ACTIONS(2702),
    [anon_sym_typedef] = ACTIONS(2702),
    [anon_sym_in] = ACTIONS(2702),
    [anon_sym_out] = ACTIONS(2702),
    [anon_sym_inout] = ACTIONS(2702),
    [anon_sym_extern] = ACTIONS(2702),
    [anon_sym___attribute__] = ACTIONS(2702),
    [anon_sym_COLON_COLON] = ACTIONS(2704),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2704),
    [anon_sym___declspec] = ACTIONS(2702),
    [anon_sym___based] = ACTIONS(2702),
    [anon_sym___cdecl] = ACTIONS(2702),
    [anon_sym___clrcall] = ACTIONS(2702),
    [anon_sym___stdcall] = ACTIONS(2702),
    [anon_sym___fastcall] = ACTIONS(2702),
    [anon_sym___thiscall] = ACTIONS(2702),
    [anon_sym___vectorcall] = ACTIONS(2702),
    [anon_sym_LBRACE] = ACTIONS(2704),
    [anon_sym_signed] = ACTIONS(2702),
    [anon_sym_unsigned] = ACTIONS(2702),
    [anon_sym_long] = ACTIONS(2702),
    [anon_sym_short] = ACTIONS(2702),
    [anon_sym_LBRACK] = ACTIONS(2702),
    [anon_sym_static] = ACTIONS(2702),
    [anon_sym_register] = ACTIONS(2702),
    [anon_sym_inline] = ACTIONS(2702),
    [anon_sym___inline] = ACTIONS(2702),
    [anon_sym___inline__] = ACTIONS(2702),
    [anon_sym___forceinline] = ACTIONS(2702),
    [anon_sym_thread_local] = ACTIONS(2702),
    [anon_sym___thread] = ACTIONS(2702),
    [anon_sym_const] = ACTIONS(2702),
    [anon_sym_constexpr] = ACTIONS(2702),
    [anon_sym_volatile] = ACTIONS(2702),
    [anon_sym_restrict] = ACTIONS(2702),
    [anon_sym___restrict__] = ACTIONS(2702),
    [anon_sym__Atomic] = ACTIONS(2702),
    [anon_sym__Noreturn] = ACTIONS(2702),
    [anon_sym_noreturn] = ACTIONS(2702),
    [anon_sym_mutable] = ACTIONS(2702),
    [anon_sym_constinit] = ACTIONS(2702),
    [anon_sym_consteval] = ACTIONS(2702),
    [sym_primitive_type] = ACTIONS(2702),
    [anon_sym_enum] = ACTIONS(2702),
    [anon_sym_class] = ACTIONS(2702),
    [anon_sym_struct] = ACTIONS(2702),
    [anon_sym_union] = ACTIONS(2702),
    [anon_sym_if] = ACTIONS(2702),
    [anon_sym_switch] = ACTIONS(2702),
    [anon_sym_case] = ACTIONS(2702),
    [anon_sym_default] = ACTIONS(2702),
    [anon_sym_while] = ACTIONS(2702),
    [anon_sym_do] = ACTIONS(2702),
    [anon_sym_for] = ACTIONS(2702),
    [anon_sym_return] = ACTIONS(2702),
    [anon_sym_break] = ACTIONS(2702),
    [anon_sym_continue] = ACTIONS(2702),
    [anon_sym_goto] = ACTIONS(2702),
    [anon_sym___try] = ACTIONS(2702),
    [anon_sym___leave] = ACTIONS(2702),
    [anon_sym_not] = ACTIONS(2702),
    [anon_sym_compl] = ACTIONS(2702),
    [anon_sym_DASH_DASH] = ACTIONS(2704),
    [anon_sym_PLUS_PLUS] = ACTIONS(2704),
    [anon_sym_sizeof] = ACTIONS(2702),
    [anon_sym___alignof__] = ACTIONS(2702),
    [anon_sym___alignof] = ACTIONS(2702),
    [anon_sym__alignof] = ACTIONS(2702),
    [anon_sym_alignof] = ACTIONS(2702),
    [anon_sym__Alignof] = ACTIONS(2702),
    [anon_sym_offsetof] = ACTIONS(2702),
    [anon_sym__Generic] = ACTIONS(2702),
    [anon_sym_asm] = ACTIONS(2702),
    [anon_sym___asm__] = ACTIONS(2702),
    [sym_number_literal] = ACTIONS(2704),
    [anon_sym_L_SQUOTE] = ACTIONS(2704),
    [anon_sym_u_SQUOTE] = ACTIONS(2704),
    [anon_sym_U_SQUOTE] = ACTIONS(2704),
    [anon_sym_u8_SQUOTE] = ACTIONS(2704),
    [anon_sym_SQUOTE] = ACTIONS(2704),
    [anon_sym_L_DQUOTE] = ACTIONS(2704),
    [anon_sym_u_DQUOTE] = ACTIONS(2704),
    [anon_sym_U_DQUOTE] = ACTIONS(2704),
    [anon_sym_u8_DQUOTE] = ACTIONS(2704),
    [anon_sym_DQUOTE] = ACTIONS(2704),
    [sym_true] = ACTIONS(2702),
    [sym_false] = ACTIONS(2702),
    [anon_sym_NULL] = ACTIONS(2702),
    [anon_sym_nullptr] = ACTIONS(2702),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2702),
    [anon_sym_decltype] = ACTIONS(2702),
    [anon_sym_virtual] = ACTIONS(2702),
    [anon_sym_alignas] = ACTIONS(2702),
    [anon_sym_explicit] = ACTIONS(2702),
    [anon_sym_typename] = ACTIONS(2702),
    [anon_sym_template] = ACTIONS(2702),
    [anon_sym_operator] = ACTIONS(2702),
    [anon_sym_try] = ACTIONS(2702),
    [anon_sym_delete] = ACTIONS(2702),
    [anon_sym_throw] = ACTIONS(2702),
    [anon_sym_namespace] = ACTIONS(2702),
    [anon_sym_using] = ACTIONS(2702),
    [anon_sym_static_assert] = ACTIONS(2702),
    [anon_sym_concept] = ACTIONS(2702),
    [anon_sym_co_return] = ACTIONS(2702),
    [anon_sym_co_yield] = ACTIONS(2702),
    [anon_sym_R_DQUOTE] = ACTIONS(2704),
    [anon_sym_LR_DQUOTE] = ACTIONS(2704),
    [anon_sym_uR_DQUOTE] = ACTIONS(2704),
    [anon_sym_UR_DQUOTE] = ACTIONS(2704),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2704),
    [anon_sym_co_await] = ACTIONS(2702),
    [anon_sym_new] = ACTIONS(2702),
    [anon_sym_requires] = ACTIONS(2702),
    [sym_this] = ACTIONS(2702),
    [anon_sym_discard] = ACTIONS(2702),
    [anon_sym_precise] = ACTIONS(2702),
    [anon_sym_shared] = ACTIONS(2702),
    [anon_sym_groupshared] = ACTIONS(2702),
    [anon_sym_uniform] = ACTIONS(2702),
    [anon_sym_row_major] = ACTIONS(2702),
    [anon_sym_column_major] = ACTIONS(2702),
    [anon_sym_globallycoherent] = ACTIONS(2702),
    [anon_sym_centroid] = ACTIONS(2702),
    [anon_sym_noperspective] = ACTIONS(2702),
    [anon_sym_nointerpolation] = ACTIONS(2702),
    [anon_sym_sample] = ACTIONS(2702),
    [anon_sym_linear] = ACTIONS(2702),
    [anon_sym_snorm] = ACTIONS(2702),
    [anon_sym_unorm] = ACTIONS(2702),
    [anon_sym_point] = ACTIONS(2702),
    [anon_sym_line] = ACTIONS(2702),
    [anon_sym_triangleadj] = ACTIONS(2702),
    [anon_sym_lineadj] = ACTIONS(2702),
    [anon_sym_triangle] = ACTIONS(2702),
    [anon_sym_cbuffer] = ACTIONS(2702),
  },
  [632] = {
    [sym__expression] = STATE(5694),
    [sym__expression_not_binary] = STATE(5024),
    [sym__string] = STATE(5024),
    [sym_comma_expression] = STATE(9464),
    [sym_conditional_expression] = STATE(5024),
    [sym_assignment_expression] = STATE(5024),
    [sym_pointer_expression] = STATE(4507),
    [sym_unary_expression] = STATE(5024),
    [sym_binary_expression] = STATE(5024),
    [sym_update_expression] = STATE(5024),
    [sym_cast_expression] = STATE(5024),
    [sym_sizeof_expression] = STATE(5024),
    [sym_alignof_expression] = STATE(5024),
    [sym_offsetof_expression] = STATE(5024),
    [sym_generic_expression] = STATE(5024),
    [sym_subscript_expression] = STATE(4507),
    [sym_call_expression] = STATE(4507),
    [sym_gnu_asm_expression] = STATE(5024),
    [sym_field_expression] = STATE(4507),
    [sym_compound_literal_expression] = STATE(5024),
    [sym_parenthesized_expression] = STATE(4507),
    [sym_char_literal] = STATE(5374),
    [sym_concatenated_string] = STATE(5377),
    [sym_string_literal] = STATE(4206),
    [sym_null] = STATE(5024),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9352),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(5024),
    [sym_raw_string_literal] = STATE(4217),
    [sym_co_await_expression] = STATE(5024),
    [sym_new_expression] = STATE(5024),
    [sym_delete_expression] = STATE(5024),
    [sym_requires_clause] = STATE(5024),
    [sym_requires_expression] = STATE(5024),
    [sym_lambda_expression] = STATE(5024),
    [sym_lambda_capture_specifier] = STATE(7184),
    [sym_fold_expression] = STATE(5024),
    [sym_parameter_pack_expansion] = STATE(5024),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6886),
    [sym_qualified_identifier] = STATE(4507),
    [sym_qualified_type_identifier] = STATE(9352),
    [sym_user_defined_literal] = STATE(4507),
    [sym_identifier] = ACTIONS(2946),
    [anon_sym_LPAREN2] = ACTIONS(1472),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1474),
    [anon_sym_AMP] = ACTIONS(1474),
    [anon_sym_SEMI] = ACTIONS(2949),
    [anon_sym___extension__] = ACTIONS(2360),
    [anon_sym_in] = ACTIONS(2360),
    [anon_sym_out] = ACTIONS(2360),
    [anon_sym_inout] = ACTIONS(2360),
    [anon_sym_extern] = ACTIONS(2360),
    [anon_sym___attribute__] = ACTIONS(2360),
    [anon_sym_COLON_COLON] = ACTIONS(2951),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2362),
    [anon_sym___declspec] = ACTIONS(2360),
    [anon_sym_signed] = ACTIONS(2360),
    [anon_sym_unsigned] = ACTIONS(2360),
    [anon_sym_long] = ACTIONS(2360),
    [anon_sym_short] = ACTIONS(2360),
    [anon_sym_LBRACK] = ACTIONS(2098),
    [anon_sym_static] = ACTIONS(2360),
    [anon_sym_register] = ACTIONS(2360),
    [anon_sym_inline] = ACTIONS(2360),
    [anon_sym___inline] = ACTIONS(2360),
    [anon_sym___inline__] = ACTIONS(2360),
    [anon_sym___forceinline] = ACTIONS(2360),
    [anon_sym_thread_local] = ACTIONS(2360),
    [anon_sym___thread] = ACTIONS(2360),
    [anon_sym_const] = ACTIONS(2360),
    [anon_sym_constexpr] = ACTIONS(2360),
    [anon_sym_volatile] = ACTIONS(2360),
    [anon_sym_restrict] = ACTIONS(2360),
    [anon_sym___restrict__] = ACTIONS(2360),
    [anon_sym__Atomic] = ACTIONS(2360),
    [anon_sym__Noreturn] = ACTIONS(2360),
    [anon_sym_noreturn] = ACTIONS(2360),
    [anon_sym_mutable] = ACTIONS(2360),
    [anon_sym_constinit] = ACTIONS(2360),
    [anon_sym_consteval] = ACTIONS(2360),
    [sym_primitive_type] = ACTIONS(2954),
    [anon_sym_enum] = ACTIONS(2360),
    [anon_sym_class] = ACTIONS(2360),
    [anon_sym_struct] = ACTIONS(2360),
    [anon_sym_union] = ACTIONS(2360),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2360),
    [anon_sym_decltype] = ACTIONS(2957),
    [anon_sym_virtual] = ACTIONS(2360),
    [anon_sym_alignas] = ACTIONS(2360),
    [anon_sym_typename] = ACTIONS(2360),
    [anon_sym_template] = ACTIONS(2960),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
    [anon_sym_precise] = ACTIONS(2360),
    [anon_sym_shared] = ACTIONS(2360),
    [anon_sym_groupshared] = ACTIONS(2360),
    [anon_sym_uniform] = ACTIONS(2360),
    [anon_sym_row_major] = ACTIONS(2360),
    [anon_sym_column_major] = ACTIONS(2360),
    [anon_sym_globallycoherent] = ACTIONS(2360),
    [anon_sym_centroid] = ACTIONS(2360),
    [anon_sym_noperspective] = ACTIONS(2360),
    [anon_sym_nointerpolation] = ACTIONS(2360),
    [anon_sym_sample] = ACTIONS(2360),
    [anon_sym_linear] = ACTIONS(2360),
    [anon_sym_snorm] = ACTIONS(2360),
    [anon_sym_unorm] = ACTIONS(2360),
    [anon_sym_point] = ACTIONS(2360),
    [anon_sym_line] = ACTIONS(2360),
    [anon_sym_triangleadj] = ACTIONS(2360),
    [anon_sym_lineadj] = ACTIONS(2360),
    [anon_sym_triangle] = ACTIONS(2360),
  },
  [633] = {
    [sym__expression] = STATE(5697),
    [sym__expression_not_binary] = STATE(5024),
    [sym__string] = STATE(5024),
    [sym_comma_expression] = STATE(9459),
    [sym_conditional_expression] = STATE(5024),
    [sym_assignment_expression] = STATE(5024),
    [sym_pointer_expression] = STATE(4507),
    [sym_unary_expression] = STATE(5024),
    [sym_binary_expression] = STATE(5024),
    [sym_update_expression] = STATE(5024),
    [sym_cast_expression] = STATE(5024),
    [sym_sizeof_expression] = STATE(5024),
    [sym_alignof_expression] = STATE(5024),
    [sym_offsetof_expression] = STATE(5024),
    [sym_generic_expression] = STATE(5024),
    [sym_subscript_expression] = STATE(4507),
    [sym_call_expression] = STATE(4507),
    [sym_gnu_asm_expression] = STATE(5024),
    [sym_field_expression] = STATE(4507),
    [sym_compound_literal_expression] = STATE(5024),
    [sym_parenthesized_expression] = STATE(4507),
    [sym_char_literal] = STATE(5374),
    [sym_concatenated_string] = STATE(5377),
    [sym_string_literal] = STATE(4206),
    [sym_null] = STATE(5024),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9352),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(5024),
    [sym_raw_string_literal] = STATE(4217),
    [sym_co_await_expression] = STATE(5024),
    [sym_new_expression] = STATE(5024),
    [sym_delete_expression] = STATE(5024),
    [sym_requires_clause] = STATE(5024),
    [sym_requires_expression] = STATE(5024),
    [sym_lambda_expression] = STATE(5024),
    [sym_lambda_capture_specifier] = STATE(7184),
    [sym_fold_expression] = STATE(5024),
    [sym_parameter_pack_expansion] = STATE(5024),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6886),
    [sym_qualified_identifier] = STATE(4507),
    [sym_qualified_type_identifier] = STATE(9352),
    [sym_user_defined_literal] = STATE(4507),
    [sym_identifier] = ACTIONS(2963),
    [anon_sym_LPAREN2] = ACTIONS(1472),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1474),
    [anon_sym_AMP] = ACTIONS(1474),
    [anon_sym_SEMI] = ACTIONS(2966),
    [anon_sym___extension__] = ACTIONS(2968),
    [anon_sym_in] = ACTIONS(2968),
    [anon_sym_out] = ACTIONS(2968),
    [anon_sym_inout] = ACTIONS(2968),
    [anon_sym_extern] = ACTIONS(2968),
    [anon_sym___attribute__] = ACTIONS(2968),
    [anon_sym_COLON_COLON] = ACTIONS(2970),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2973),
    [anon_sym___declspec] = ACTIONS(2968),
    [anon_sym_signed] = ACTIONS(2968),
    [anon_sym_unsigned] = ACTIONS(2968),
    [anon_sym_long] = ACTIONS(2968),
    [anon_sym_short] = ACTIONS(2968),
    [anon_sym_LBRACK] = ACTIONS(2098),
    [anon_sym_static] = ACTIONS(2968),
    [anon_sym_register] = ACTIONS(2968),
    [anon_sym_inline] = ACTIONS(2968),
    [anon_sym___inline] = ACTIONS(2968),
    [anon_sym___inline__] = ACTIONS(2968),
    [anon_sym___forceinline] = ACTIONS(2968),
    [anon_sym_thread_local] = ACTIONS(2968),
    [anon_sym___thread] = ACTIONS(2968),
    [anon_sym_const] = ACTIONS(2968),
    [anon_sym_constexpr] = ACTIONS(2968),
    [anon_sym_volatile] = ACTIONS(2968),
    [anon_sym_restrict] = ACTIONS(2968),
    [anon_sym___restrict__] = ACTIONS(2968),
    [anon_sym__Atomic] = ACTIONS(2968),
    [anon_sym__Noreturn] = ACTIONS(2968),
    [anon_sym_noreturn] = ACTIONS(2968),
    [anon_sym_mutable] = ACTIONS(2968),
    [anon_sym_constinit] = ACTIONS(2968),
    [anon_sym_consteval] = ACTIONS(2968),
    [sym_primitive_type] = ACTIONS(2975),
    [anon_sym_enum] = ACTIONS(2968),
    [anon_sym_class] = ACTIONS(2968),
    [anon_sym_struct] = ACTIONS(2968),
    [anon_sym_union] = ACTIONS(2968),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2968),
    [anon_sym_decltype] = ACTIONS(2978),
    [anon_sym_virtual] = ACTIONS(2968),
    [anon_sym_alignas] = ACTIONS(2968),
    [anon_sym_typename] = ACTIONS(2968),
    [anon_sym_template] = ACTIONS(2981),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
    [anon_sym_precise] = ACTIONS(2968),
    [anon_sym_shared] = ACTIONS(2968),
    [anon_sym_groupshared] = ACTIONS(2968),
    [anon_sym_uniform] = ACTIONS(2968),
    [anon_sym_row_major] = ACTIONS(2968),
    [anon_sym_column_major] = ACTIONS(2968),
    [anon_sym_globallycoherent] = ACTIONS(2968),
    [anon_sym_centroid] = ACTIONS(2968),
    [anon_sym_noperspective] = ACTIONS(2968),
    [anon_sym_nointerpolation] = ACTIONS(2968),
    [anon_sym_sample] = ACTIONS(2968),
    [anon_sym_linear] = ACTIONS(2968),
    [anon_sym_snorm] = ACTIONS(2968),
    [anon_sym_unorm] = ACTIONS(2968),
    [anon_sym_point] = ACTIONS(2968),
    [anon_sym_line] = ACTIONS(2968),
    [anon_sym_triangleadj] = ACTIONS(2968),
    [anon_sym_lineadj] = ACTIONS(2968),
    [anon_sym_triangle] = ACTIONS(2968),
  },
  [634] = {
    [sym_identifier] = ACTIONS(2813),
    [aux_sym_preproc_include_token1] = ACTIONS(2813),
    [aux_sym_preproc_def_token1] = ACTIONS(2813),
    [aux_sym_preproc_if_token1] = ACTIONS(2813),
    [aux_sym_preproc_if_token2] = ACTIONS(2813),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2813),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2813),
    [aux_sym_preproc_else_token1] = ACTIONS(2813),
    [aux_sym_preproc_elif_token1] = ACTIONS(2813),
    [sym_preproc_directive] = ACTIONS(2813),
    [anon_sym_LPAREN2] = ACTIONS(2815),
    [anon_sym_BANG] = ACTIONS(2815),
    [anon_sym_TILDE] = ACTIONS(2815),
    [anon_sym_DASH] = ACTIONS(2813),
    [anon_sym_PLUS] = ACTIONS(2813),
    [anon_sym_STAR] = ACTIONS(2815),
    [anon_sym_AMP_AMP] = ACTIONS(2815),
    [anon_sym_AMP] = ACTIONS(2813),
    [anon_sym_SEMI] = ACTIONS(2815),
    [anon_sym___extension__] = ACTIONS(2813),
    [anon_sym_typedef] = ACTIONS(2813),
    [anon_sym_in] = ACTIONS(2813),
    [anon_sym_out] = ACTIONS(2813),
    [anon_sym_inout] = ACTIONS(2813),
    [anon_sym_extern] = ACTIONS(2813),
    [anon_sym___attribute__] = ACTIONS(2813),
    [anon_sym_COLON_COLON] = ACTIONS(2815),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2815),
    [anon_sym___declspec] = ACTIONS(2813),
    [anon_sym___based] = ACTIONS(2813),
    [anon_sym___cdecl] = ACTIONS(2813),
    [anon_sym___clrcall] = ACTIONS(2813),
    [anon_sym___stdcall] = ACTIONS(2813),
    [anon_sym___fastcall] = ACTIONS(2813),
    [anon_sym___thiscall] = ACTIONS(2813),
    [anon_sym___vectorcall] = ACTIONS(2813),
    [anon_sym_LBRACE] = ACTIONS(2815),
    [anon_sym_signed] = ACTIONS(2813),
    [anon_sym_unsigned] = ACTIONS(2813),
    [anon_sym_long] = ACTIONS(2813),
    [anon_sym_short] = ACTIONS(2813),
    [anon_sym_LBRACK] = ACTIONS(2813),
    [anon_sym_static] = ACTIONS(2813),
    [anon_sym_register] = ACTIONS(2813),
    [anon_sym_inline] = ACTIONS(2813),
    [anon_sym___inline] = ACTIONS(2813),
    [anon_sym___inline__] = ACTIONS(2813),
    [anon_sym___forceinline] = ACTIONS(2813),
    [anon_sym_thread_local] = ACTIONS(2813),
    [anon_sym___thread] = ACTIONS(2813),
    [anon_sym_const] = ACTIONS(2813),
    [anon_sym_constexpr] = ACTIONS(2813),
    [anon_sym_volatile] = ACTIONS(2813),
    [anon_sym_restrict] = ACTIONS(2813),
    [anon_sym___restrict__] = ACTIONS(2813),
    [anon_sym__Atomic] = ACTIONS(2813),
    [anon_sym__Noreturn] = ACTIONS(2813),
    [anon_sym_noreturn] = ACTIONS(2813),
    [anon_sym_mutable] = ACTIONS(2813),
    [anon_sym_constinit] = ACTIONS(2813),
    [anon_sym_consteval] = ACTIONS(2813),
    [sym_primitive_type] = ACTIONS(2813),
    [anon_sym_enum] = ACTIONS(2813),
    [anon_sym_class] = ACTIONS(2813),
    [anon_sym_struct] = ACTIONS(2813),
    [anon_sym_union] = ACTIONS(2813),
    [anon_sym_if] = ACTIONS(2813),
    [anon_sym_switch] = ACTIONS(2813),
    [anon_sym_case] = ACTIONS(2813),
    [anon_sym_default] = ACTIONS(2813),
    [anon_sym_while] = ACTIONS(2813),
    [anon_sym_do] = ACTIONS(2813),
    [anon_sym_for] = ACTIONS(2813),
    [anon_sym_return] = ACTIONS(2813),
    [anon_sym_break] = ACTIONS(2813),
    [anon_sym_continue] = ACTIONS(2813),
    [anon_sym_goto] = ACTIONS(2813),
    [anon_sym___try] = ACTIONS(2813),
    [anon_sym___leave] = ACTIONS(2813),
    [anon_sym_not] = ACTIONS(2813),
    [anon_sym_compl] = ACTIONS(2813),
    [anon_sym_DASH_DASH] = ACTIONS(2815),
    [anon_sym_PLUS_PLUS] = ACTIONS(2815),
    [anon_sym_sizeof] = ACTIONS(2813),
    [anon_sym___alignof__] = ACTIONS(2813),
    [anon_sym___alignof] = ACTIONS(2813),
    [anon_sym__alignof] = ACTIONS(2813),
    [anon_sym_alignof] = ACTIONS(2813),
    [anon_sym__Alignof] = ACTIONS(2813),
    [anon_sym_offsetof] = ACTIONS(2813),
    [anon_sym__Generic] = ACTIONS(2813),
    [anon_sym_asm] = ACTIONS(2813),
    [anon_sym___asm__] = ACTIONS(2813),
    [sym_number_literal] = ACTIONS(2815),
    [anon_sym_L_SQUOTE] = ACTIONS(2815),
    [anon_sym_u_SQUOTE] = ACTIONS(2815),
    [anon_sym_U_SQUOTE] = ACTIONS(2815),
    [anon_sym_u8_SQUOTE] = ACTIONS(2815),
    [anon_sym_SQUOTE] = ACTIONS(2815),
    [anon_sym_L_DQUOTE] = ACTIONS(2815),
    [anon_sym_u_DQUOTE] = ACTIONS(2815),
    [anon_sym_U_DQUOTE] = ACTIONS(2815),
    [anon_sym_u8_DQUOTE] = ACTIONS(2815),
    [anon_sym_DQUOTE] = ACTIONS(2815),
    [sym_true] = ACTIONS(2813),
    [sym_false] = ACTIONS(2813),
    [anon_sym_NULL] = ACTIONS(2813),
    [anon_sym_nullptr] = ACTIONS(2813),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2813),
    [anon_sym_decltype] = ACTIONS(2813),
    [anon_sym_virtual] = ACTIONS(2813),
    [anon_sym_alignas] = ACTIONS(2813),
    [anon_sym_explicit] = ACTIONS(2813),
    [anon_sym_typename] = ACTIONS(2813),
    [anon_sym_template] = ACTIONS(2813),
    [anon_sym_operator] = ACTIONS(2813),
    [anon_sym_try] = ACTIONS(2813),
    [anon_sym_delete] = ACTIONS(2813),
    [anon_sym_throw] = ACTIONS(2813),
    [anon_sym_namespace] = ACTIONS(2813),
    [anon_sym_using] = ACTIONS(2813),
    [anon_sym_static_assert] = ACTIONS(2813),
    [anon_sym_concept] = ACTIONS(2813),
    [anon_sym_co_return] = ACTIONS(2813),
    [anon_sym_co_yield] = ACTIONS(2813),
    [anon_sym_R_DQUOTE] = ACTIONS(2815),
    [anon_sym_LR_DQUOTE] = ACTIONS(2815),
    [anon_sym_uR_DQUOTE] = ACTIONS(2815),
    [anon_sym_UR_DQUOTE] = ACTIONS(2815),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2815),
    [anon_sym_co_await] = ACTIONS(2813),
    [anon_sym_new] = ACTIONS(2813),
    [anon_sym_requires] = ACTIONS(2813),
    [sym_this] = ACTIONS(2813),
    [anon_sym_discard] = ACTIONS(2813),
    [anon_sym_precise] = ACTIONS(2813),
    [anon_sym_shared] = ACTIONS(2813),
    [anon_sym_groupshared] = ACTIONS(2813),
    [anon_sym_uniform] = ACTIONS(2813),
    [anon_sym_row_major] = ACTIONS(2813),
    [anon_sym_column_major] = ACTIONS(2813),
    [anon_sym_globallycoherent] = ACTIONS(2813),
    [anon_sym_centroid] = ACTIONS(2813),
    [anon_sym_noperspective] = ACTIONS(2813),
    [anon_sym_nointerpolation] = ACTIONS(2813),
    [anon_sym_sample] = ACTIONS(2813),
    [anon_sym_linear] = ACTIONS(2813),
    [anon_sym_snorm] = ACTIONS(2813),
    [anon_sym_unorm] = ACTIONS(2813),
    [anon_sym_point] = ACTIONS(2813),
    [anon_sym_line] = ACTIONS(2813),
    [anon_sym_triangleadj] = ACTIONS(2813),
    [anon_sym_lineadj] = ACTIONS(2813),
    [anon_sym_triangle] = ACTIONS(2813),
    [anon_sym_cbuffer] = ACTIONS(2813),
  },
  [635] = {
    [sym_identifier] = ACTIONS(2813),
    [aux_sym_preproc_include_token1] = ACTIONS(2813),
    [aux_sym_preproc_def_token1] = ACTIONS(2813),
    [aux_sym_preproc_if_token1] = ACTIONS(2813),
    [aux_sym_preproc_if_token2] = ACTIONS(2813),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2813),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2813),
    [aux_sym_preproc_else_token1] = ACTIONS(2813),
    [aux_sym_preproc_elif_token1] = ACTIONS(2813),
    [sym_preproc_directive] = ACTIONS(2813),
    [anon_sym_LPAREN2] = ACTIONS(2815),
    [anon_sym_BANG] = ACTIONS(2815),
    [anon_sym_TILDE] = ACTIONS(2815),
    [anon_sym_DASH] = ACTIONS(2813),
    [anon_sym_PLUS] = ACTIONS(2813),
    [anon_sym_STAR] = ACTIONS(2815),
    [anon_sym_AMP_AMP] = ACTIONS(2815),
    [anon_sym_AMP] = ACTIONS(2813),
    [anon_sym_SEMI] = ACTIONS(2815),
    [anon_sym___extension__] = ACTIONS(2813),
    [anon_sym_typedef] = ACTIONS(2813),
    [anon_sym_in] = ACTIONS(2813),
    [anon_sym_out] = ACTIONS(2813),
    [anon_sym_inout] = ACTIONS(2813),
    [anon_sym_extern] = ACTIONS(2813),
    [anon_sym___attribute__] = ACTIONS(2813),
    [anon_sym_COLON_COLON] = ACTIONS(2815),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2815),
    [anon_sym___declspec] = ACTIONS(2813),
    [anon_sym___based] = ACTIONS(2813),
    [anon_sym___cdecl] = ACTIONS(2813),
    [anon_sym___clrcall] = ACTIONS(2813),
    [anon_sym___stdcall] = ACTIONS(2813),
    [anon_sym___fastcall] = ACTIONS(2813),
    [anon_sym___thiscall] = ACTIONS(2813),
    [anon_sym___vectorcall] = ACTIONS(2813),
    [anon_sym_LBRACE] = ACTIONS(2815),
    [anon_sym_signed] = ACTIONS(2813),
    [anon_sym_unsigned] = ACTIONS(2813),
    [anon_sym_long] = ACTIONS(2813),
    [anon_sym_short] = ACTIONS(2813),
    [anon_sym_LBRACK] = ACTIONS(2813),
    [anon_sym_static] = ACTIONS(2813),
    [anon_sym_register] = ACTIONS(2813),
    [anon_sym_inline] = ACTIONS(2813),
    [anon_sym___inline] = ACTIONS(2813),
    [anon_sym___inline__] = ACTIONS(2813),
    [anon_sym___forceinline] = ACTIONS(2813),
    [anon_sym_thread_local] = ACTIONS(2813),
    [anon_sym___thread] = ACTIONS(2813),
    [anon_sym_const] = ACTIONS(2813),
    [anon_sym_constexpr] = ACTIONS(2813),
    [anon_sym_volatile] = ACTIONS(2813),
    [anon_sym_restrict] = ACTIONS(2813),
    [anon_sym___restrict__] = ACTIONS(2813),
    [anon_sym__Atomic] = ACTIONS(2813),
    [anon_sym__Noreturn] = ACTIONS(2813),
    [anon_sym_noreturn] = ACTIONS(2813),
    [anon_sym_mutable] = ACTIONS(2813),
    [anon_sym_constinit] = ACTIONS(2813),
    [anon_sym_consteval] = ACTIONS(2813),
    [sym_primitive_type] = ACTIONS(2813),
    [anon_sym_enum] = ACTIONS(2813),
    [anon_sym_class] = ACTIONS(2813),
    [anon_sym_struct] = ACTIONS(2813),
    [anon_sym_union] = ACTIONS(2813),
    [anon_sym_if] = ACTIONS(2813),
    [anon_sym_switch] = ACTIONS(2813),
    [anon_sym_case] = ACTIONS(2813),
    [anon_sym_default] = ACTIONS(2813),
    [anon_sym_while] = ACTIONS(2813),
    [anon_sym_do] = ACTIONS(2813),
    [anon_sym_for] = ACTIONS(2813),
    [anon_sym_return] = ACTIONS(2813),
    [anon_sym_break] = ACTIONS(2813),
    [anon_sym_continue] = ACTIONS(2813),
    [anon_sym_goto] = ACTIONS(2813),
    [anon_sym___try] = ACTIONS(2813),
    [anon_sym___leave] = ACTIONS(2813),
    [anon_sym_not] = ACTIONS(2813),
    [anon_sym_compl] = ACTIONS(2813),
    [anon_sym_DASH_DASH] = ACTIONS(2815),
    [anon_sym_PLUS_PLUS] = ACTIONS(2815),
    [anon_sym_sizeof] = ACTIONS(2813),
    [anon_sym___alignof__] = ACTIONS(2813),
    [anon_sym___alignof] = ACTIONS(2813),
    [anon_sym__alignof] = ACTIONS(2813),
    [anon_sym_alignof] = ACTIONS(2813),
    [anon_sym__Alignof] = ACTIONS(2813),
    [anon_sym_offsetof] = ACTIONS(2813),
    [anon_sym__Generic] = ACTIONS(2813),
    [anon_sym_asm] = ACTIONS(2813),
    [anon_sym___asm__] = ACTIONS(2813),
    [sym_number_literal] = ACTIONS(2815),
    [anon_sym_L_SQUOTE] = ACTIONS(2815),
    [anon_sym_u_SQUOTE] = ACTIONS(2815),
    [anon_sym_U_SQUOTE] = ACTIONS(2815),
    [anon_sym_u8_SQUOTE] = ACTIONS(2815),
    [anon_sym_SQUOTE] = ACTIONS(2815),
    [anon_sym_L_DQUOTE] = ACTIONS(2815),
    [anon_sym_u_DQUOTE] = ACTIONS(2815),
    [anon_sym_U_DQUOTE] = ACTIONS(2815),
    [anon_sym_u8_DQUOTE] = ACTIONS(2815),
    [anon_sym_DQUOTE] = ACTIONS(2815),
    [sym_true] = ACTIONS(2813),
    [sym_false] = ACTIONS(2813),
    [anon_sym_NULL] = ACTIONS(2813),
    [anon_sym_nullptr] = ACTIONS(2813),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2813),
    [anon_sym_decltype] = ACTIONS(2813),
    [anon_sym_virtual] = ACTIONS(2813),
    [anon_sym_alignas] = ACTIONS(2813),
    [anon_sym_explicit] = ACTIONS(2813),
    [anon_sym_typename] = ACTIONS(2813),
    [anon_sym_template] = ACTIONS(2813),
    [anon_sym_operator] = ACTIONS(2813),
    [anon_sym_try] = ACTIONS(2813),
    [anon_sym_delete] = ACTIONS(2813),
    [anon_sym_throw] = ACTIONS(2813),
    [anon_sym_namespace] = ACTIONS(2813),
    [anon_sym_using] = ACTIONS(2813),
    [anon_sym_static_assert] = ACTIONS(2813),
    [anon_sym_concept] = ACTIONS(2813),
    [anon_sym_co_return] = ACTIONS(2813),
    [anon_sym_co_yield] = ACTIONS(2813),
    [anon_sym_R_DQUOTE] = ACTIONS(2815),
    [anon_sym_LR_DQUOTE] = ACTIONS(2815),
    [anon_sym_uR_DQUOTE] = ACTIONS(2815),
    [anon_sym_UR_DQUOTE] = ACTIONS(2815),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2815),
    [anon_sym_co_await] = ACTIONS(2813),
    [anon_sym_new] = ACTIONS(2813),
    [anon_sym_requires] = ACTIONS(2813),
    [sym_this] = ACTIONS(2813),
    [anon_sym_discard] = ACTIONS(2813),
    [anon_sym_precise] = ACTIONS(2813),
    [anon_sym_shared] = ACTIONS(2813),
    [anon_sym_groupshared] = ACTIONS(2813),
    [anon_sym_uniform] = ACTIONS(2813),
    [anon_sym_row_major] = ACTIONS(2813),
    [anon_sym_column_major] = ACTIONS(2813),
    [anon_sym_globallycoherent] = ACTIONS(2813),
    [anon_sym_centroid] = ACTIONS(2813),
    [anon_sym_noperspective] = ACTIONS(2813),
    [anon_sym_nointerpolation] = ACTIONS(2813),
    [anon_sym_sample] = ACTIONS(2813),
    [anon_sym_linear] = ACTIONS(2813),
    [anon_sym_snorm] = ACTIONS(2813),
    [anon_sym_unorm] = ACTIONS(2813),
    [anon_sym_point] = ACTIONS(2813),
    [anon_sym_line] = ACTIONS(2813),
    [anon_sym_triangleadj] = ACTIONS(2813),
    [anon_sym_lineadj] = ACTIONS(2813),
    [anon_sym_triangle] = ACTIONS(2813),
    [anon_sym_cbuffer] = ACTIONS(2813),
  },
  [636] = {
    [sym_identifier] = ACTIONS(2721),
    [aux_sym_preproc_include_token1] = ACTIONS(2721),
    [aux_sym_preproc_def_token1] = ACTIONS(2721),
    [aux_sym_preproc_if_token1] = ACTIONS(2721),
    [aux_sym_preproc_if_token2] = ACTIONS(2721),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2721),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2721),
    [aux_sym_preproc_else_token1] = ACTIONS(2721),
    [aux_sym_preproc_elif_token1] = ACTIONS(2721),
    [sym_preproc_directive] = ACTIONS(2721),
    [anon_sym_LPAREN2] = ACTIONS(2723),
    [anon_sym_BANG] = ACTIONS(2723),
    [anon_sym_TILDE] = ACTIONS(2723),
    [anon_sym_DASH] = ACTIONS(2721),
    [anon_sym_PLUS] = ACTIONS(2721),
    [anon_sym_STAR] = ACTIONS(2723),
    [anon_sym_AMP_AMP] = ACTIONS(2723),
    [anon_sym_AMP] = ACTIONS(2721),
    [anon_sym_SEMI] = ACTIONS(2723),
    [anon_sym___extension__] = ACTIONS(2721),
    [anon_sym_typedef] = ACTIONS(2721),
    [anon_sym_in] = ACTIONS(2721),
    [anon_sym_out] = ACTIONS(2721),
    [anon_sym_inout] = ACTIONS(2721),
    [anon_sym_extern] = ACTIONS(2721),
    [anon_sym___attribute__] = ACTIONS(2721),
    [anon_sym_COLON_COLON] = ACTIONS(2723),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2723),
    [anon_sym___declspec] = ACTIONS(2721),
    [anon_sym___based] = ACTIONS(2721),
    [anon_sym___cdecl] = ACTIONS(2721),
    [anon_sym___clrcall] = ACTIONS(2721),
    [anon_sym___stdcall] = ACTIONS(2721),
    [anon_sym___fastcall] = ACTIONS(2721),
    [anon_sym___thiscall] = ACTIONS(2721),
    [anon_sym___vectorcall] = ACTIONS(2721),
    [anon_sym_LBRACE] = ACTIONS(2723),
    [anon_sym_signed] = ACTIONS(2721),
    [anon_sym_unsigned] = ACTIONS(2721),
    [anon_sym_long] = ACTIONS(2721),
    [anon_sym_short] = ACTIONS(2721),
    [anon_sym_LBRACK] = ACTIONS(2721),
    [anon_sym_static] = ACTIONS(2721),
    [anon_sym_register] = ACTIONS(2721),
    [anon_sym_inline] = ACTIONS(2721),
    [anon_sym___inline] = ACTIONS(2721),
    [anon_sym___inline__] = ACTIONS(2721),
    [anon_sym___forceinline] = ACTIONS(2721),
    [anon_sym_thread_local] = ACTIONS(2721),
    [anon_sym___thread] = ACTIONS(2721),
    [anon_sym_const] = ACTIONS(2721),
    [anon_sym_constexpr] = ACTIONS(2721),
    [anon_sym_volatile] = ACTIONS(2721),
    [anon_sym_restrict] = ACTIONS(2721),
    [anon_sym___restrict__] = ACTIONS(2721),
    [anon_sym__Atomic] = ACTIONS(2721),
    [anon_sym__Noreturn] = ACTIONS(2721),
    [anon_sym_noreturn] = ACTIONS(2721),
    [anon_sym_mutable] = ACTIONS(2721),
    [anon_sym_constinit] = ACTIONS(2721),
    [anon_sym_consteval] = ACTIONS(2721),
    [sym_primitive_type] = ACTIONS(2721),
    [anon_sym_enum] = ACTIONS(2721),
    [anon_sym_class] = ACTIONS(2721),
    [anon_sym_struct] = ACTIONS(2721),
    [anon_sym_union] = ACTIONS(2721),
    [anon_sym_if] = ACTIONS(2721),
    [anon_sym_switch] = ACTIONS(2721),
    [anon_sym_case] = ACTIONS(2721),
    [anon_sym_default] = ACTIONS(2721),
    [anon_sym_while] = ACTIONS(2721),
    [anon_sym_do] = ACTIONS(2721),
    [anon_sym_for] = ACTIONS(2721),
    [anon_sym_return] = ACTIONS(2721),
    [anon_sym_break] = ACTIONS(2721),
    [anon_sym_continue] = ACTIONS(2721),
    [anon_sym_goto] = ACTIONS(2721),
    [anon_sym___try] = ACTIONS(2721),
    [anon_sym___leave] = ACTIONS(2721),
    [anon_sym_not] = ACTIONS(2721),
    [anon_sym_compl] = ACTIONS(2721),
    [anon_sym_DASH_DASH] = ACTIONS(2723),
    [anon_sym_PLUS_PLUS] = ACTIONS(2723),
    [anon_sym_sizeof] = ACTIONS(2721),
    [anon_sym___alignof__] = ACTIONS(2721),
    [anon_sym___alignof] = ACTIONS(2721),
    [anon_sym__alignof] = ACTIONS(2721),
    [anon_sym_alignof] = ACTIONS(2721),
    [anon_sym__Alignof] = ACTIONS(2721),
    [anon_sym_offsetof] = ACTIONS(2721),
    [anon_sym__Generic] = ACTIONS(2721),
    [anon_sym_asm] = ACTIONS(2721),
    [anon_sym___asm__] = ACTIONS(2721),
    [sym_number_literal] = ACTIONS(2723),
    [anon_sym_L_SQUOTE] = ACTIONS(2723),
    [anon_sym_u_SQUOTE] = ACTIONS(2723),
    [anon_sym_U_SQUOTE] = ACTIONS(2723),
    [anon_sym_u8_SQUOTE] = ACTIONS(2723),
    [anon_sym_SQUOTE] = ACTIONS(2723),
    [anon_sym_L_DQUOTE] = ACTIONS(2723),
    [anon_sym_u_DQUOTE] = ACTIONS(2723),
    [anon_sym_U_DQUOTE] = ACTIONS(2723),
    [anon_sym_u8_DQUOTE] = ACTIONS(2723),
    [anon_sym_DQUOTE] = ACTIONS(2723),
    [sym_true] = ACTIONS(2721),
    [sym_false] = ACTIONS(2721),
    [anon_sym_NULL] = ACTIONS(2721),
    [anon_sym_nullptr] = ACTIONS(2721),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2721),
    [anon_sym_decltype] = ACTIONS(2721),
    [anon_sym_virtual] = ACTIONS(2721),
    [anon_sym_alignas] = ACTIONS(2721),
    [anon_sym_explicit] = ACTIONS(2721),
    [anon_sym_typename] = ACTIONS(2721),
    [anon_sym_template] = ACTIONS(2721),
    [anon_sym_operator] = ACTIONS(2721),
    [anon_sym_try] = ACTIONS(2721),
    [anon_sym_delete] = ACTIONS(2721),
    [anon_sym_throw] = ACTIONS(2721),
    [anon_sym_namespace] = ACTIONS(2721),
    [anon_sym_using] = ACTIONS(2721),
    [anon_sym_static_assert] = ACTIONS(2721),
    [anon_sym_concept] = ACTIONS(2721),
    [anon_sym_co_return] = ACTIONS(2721),
    [anon_sym_co_yield] = ACTIONS(2721),
    [anon_sym_R_DQUOTE] = ACTIONS(2723),
    [anon_sym_LR_DQUOTE] = ACTIONS(2723),
    [anon_sym_uR_DQUOTE] = ACTIONS(2723),
    [anon_sym_UR_DQUOTE] = ACTIONS(2723),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2723),
    [anon_sym_co_await] = ACTIONS(2721),
    [anon_sym_new] = ACTIONS(2721),
    [anon_sym_requires] = ACTIONS(2721),
    [sym_this] = ACTIONS(2721),
    [anon_sym_discard] = ACTIONS(2721),
    [anon_sym_precise] = ACTIONS(2721),
    [anon_sym_shared] = ACTIONS(2721),
    [anon_sym_groupshared] = ACTIONS(2721),
    [anon_sym_uniform] = ACTIONS(2721),
    [anon_sym_row_major] = ACTIONS(2721),
    [anon_sym_column_major] = ACTIONS(2721),
    [anon_sym_globallycoherent] = ACTIONS(2721),
    [anon_sym_centroid] = ACTIONS(2721),
    [anon_sym_noperspective] = ACTIONS(2721),
    [anon_sym_nointerpolation] = ACTIONS(2721),
    [anon_sym_sample] = ACTIONS(2721),
    [anon_sym_linear] = ACTIONS(2721),
    [anon_sym_snorm] = ACTIONS(2721),
    [anon_sym_unorm] = ACTIONS(2721),
    [anon_sym_point] = ACTIONS(2721),
    [anon_sym_line] = ACTIONS(2721),
    [anon_sym_triangleadj] = ACTIONS(2721),
    [anon_sym_lineadj] = ACTIONS(2721),
    [anon_sym_triangle] = ACTIONS(2721),
    [anon_sym_cbuffer] = ACTIONS(2721),
  },
  [637] = {
    [sym_identifier] = ACTIONS(2725),
    [aux_sym_preproc_include_token1] = ACTIONS(2725),
    [aux_sym_preproc_def_token1] = ACTIONS(2725),
    [aux_sym_preproc_if_token1] = ACTIONS(2725),
    [aux_sym_preproc_if_token2] = ACTIONS(2725),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2725),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2725),
    [aux_sym_preproc_else_token1] = ACTIONS(2725),
    [aux_sym_preproc_elif_token1] = ACTIONS(2725),
    [sym_preproc_directive] = ACTIONS(2725),
    [anon_sym_LPAREN2] = ACTIONS(2727),
    [anon_sym_BANG] = ACTIONS(2727),
    [anon_sym_TILDE] = ACTIONS(2727),
    [anon_sym_DASH] = ACTIONS(2725),
    [anon_sym_PLUS] = ACTIONS(2725),
    [anon_sym_STAR] = ACTIONS(2727),
    [anon_sym_AMP_AMP] = ACTIONS(2727),
    [anon_sym_AMP] = ACTIONS(2725),
    [anon_sym_SEMI] = ACTIONS(2727),
    [anon_sym___extension__] = ACTIONS(2725),
    [anon_sym_typedef] = ACTIONS(2725),
    [anon_sym_in] = ACTIONS(2725),
    [anon_sym_out] = ACTIONS(2725),
    [anon_sym_inout] = ACTIONS(2725),
    [anon_sym_extern] = ACTIONS(2725),
    [anon_sym___attribute__] = ACTIONS(2725),
    [anon_sym_COLON_COLON] = ACTIONS(2727),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2727),
    [anon_sym___declspec] = ACTIONS(2725),
    [anon_sym___based] = ACTIONS(2725),
    [anon_sym___cdecl] = ACTIONS(2725),
    [anon_sym___clrcall] = ACTIONS(2725),
    [anon_sym___stdcall] = ACTIONS(2725),
    [anon_sym___fastcall] = ACTIONS(2725),
    [anon_sym___thiscall] = ACTIONS(2725),
    [anon_sym___vectorcall] = ACTIONS(2725),
    [anon_sym_LBRACE] = ACTIONS(2727),
    [anon_sym_signed] = ACTIONS(2725),
    [anon_sym_unsigned] = ACTIONS(2725),
    [anon_sym_long] = ACTIONS(2725),
    [anon_sym_short] = ACTIONS(2725),
    [anon_sym_LBRACK] = ACTIONS(2725),
    [anon_sym_static] = ACTIONS(2725),
    [anon_sym_register] = ACTIONS(2725),
    [anon_sym_inline] = ACTIONS(2725),
    [anon_sym___inline] = ACTIONS(2725),
    [anon_sym___inline__] = ACTIONS(2725),
    [anon_sym___forceinline] = ACTIONS(2725),
    [anon_sym_thread_local] = ACTIONS(2725),
    [anon_sym___thread] = ACTIONS(2725),
    [anon_sym_const] = ACTIONS(2725),
    [anon_sym_constexpr] = ACTIONS(2725),
    [anon_sym_volatile] = ACTIONS(2725),
    [anon_sym_restrict] = ACTIONS(2725),
    [anon_sym___restrict__] = ACTIONS(2725),
    [anon_sym__Atomic] = ACTIONS(2725),
    [anon_sym__Noreturn] = ACTIONS(2725),
    [anon_sym_noreturn] = ACTIONS(2725),
    [anon_sym_mutable] = ACTIONS(2725),
    [anon_sym_constinit] = ACTIONS(2725),
    [anon_sym_consteval] = ACTIONS(2725),
    [sym_primitive_type] = ACTIONS(2725),
    [anon_sym_enum] = ACTIONS(2725),
    [anon_sym_class] = ACTIONS(2725),
    [anon_sym_struct] = ACTIONS(2725),
    [anon_sym_union] = ACTIONS(2725),
    [anon_sym_if] = ACTIONS(2725),
    [anon_sym_switch] = ACTIONS(2725),
    [anon_sym_case] = ACTIONS(2725),
    [anon_sym_default] = ACTIONS(2725),
    [anon_sym_while] = ACTIONS(2725),
    [anon_sym_do] = ACTIONS(2725),
    [anon_sym_for] = ACTIONS(2725),
    [anon_sym_return] = ACTIONS(2725),
    [anon_sym_break] = ACTIONS(2725),
    [anon_sym_continue] = ACTIONS(2725),
    [anon_sym_goto] = ACTIONS(2725),
    [anon_sym___try] = ACTIONS(2725),
    [anon_sym___leave] = ACTIONS(2725),
    [anon_sym_not] = ACTIONS(2725),
    [anon_sym_compl] = ACTIONS(2725),
    [anon_sym_DASH_DASH] = ACTIONS(2727),
    [anon_sym_PLUS_PLUS] = ACTIONS(2727),
    [anon_sym_sizeof] = ACTIONS(2725),
    [anon_sym___alignof__] = ACTIONS(2725),
    [anon_sym___alignof] = ACTIONS(2725),
    [anon_sym__alignof] = ACTIONS(2725),
    [anon_sym_alignof] = ACTIONS(2725),
    [anon_sym__Alignof] = ACTIONS(2725),
    [anon_sym_offsetof] = ACTIONS(2725),
    [anon_sym__Generic] = ACTIONS(2725),
    [anon_sym_asm] = ACTIONS(2725),
    [anon_sym___asm__] = ACTIONS(2725),
    [sym_number_literal] = ACTIONS(2727),
    [anon_sym_L_SQUOTE] = ACTIONS(2727),
    [anon_sym_u_SQUOTE] = ACTIONS(2727),
    [anon_sym_U_SQUOTE] = ACTIONS(2727),
    [anon_sym_u8_SQUOTE] = ACTIONS(2727),
    [anon_sym_SQUOTE] = ACTIONS(2727),
    [anon_sym_L_DQUOTE] = ACTIONS(2727),
    [anon_sym_u_DQUOTE] = ACTIONS(2727),
    [anon_sym_U_DQUOTE] = ACTIONS(2727),
    [anon_sym_u8_DQUOTE] = ACTIONS(2727),
    [anon_sym_DQUOTE] = ACTIONS(2727),
    [sym_true] = ACTIONS(2725),
    [sym_false] = ACTIONS(2725),
    [anon_sym_NULL] = ACTIONS(2725),
    [anon_sym_nullptr] = ACTIONS(2725),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2725),
    [anon_sym_decltype] = ACTIONS(2725),
    [anon_sym_virtual] = ACTIONS(2725),
    [anon_sym_alignas] = ACTIONS(2725),
    [anon_sym_explicit] = ACTIONS(2725),
    [anon_sym_typename] = ACTIONS(2725),
    [anon_sym_template] = ACTIONS(2725),
    [anon_sym_operator] = ACTIONS(2725),
    [anon_sym_try] = ACTIONS(2725),
    [anon_sym_delete] = ACTIONS(2725),
    [anon_sym_throw] = ACTIONS(2725),
    [anon_sym_namespace] = ACTIONS(2725),
    [anon_sym_using] = ACTIONS(2725),
    [anon_sym_static_assert] = ACTIONS(2725),
    [anon_sym_concept] = ACTIONS(2725),
    [anon_sym_co_return] = ACTIONS(2725),
    [anon_sym_co_yield] = ACTIONS(2725),
    [anon_sym_R_DQUOTE] = ACTIONS(2727),
    [anon_sym_LR_DQUOTE] = ACTIONS(2727),
    [anon_sym_uR_DQUOTE] = ACTIONS(2727),
    [anon_sym_UR_DQUOTE] = ACTIONS(2727),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2727),
    [anon_sym_co_await] = ACTIONS(2725),
    [anon_sym_new] = ACTIONS(2725),
    [anon_sym_requires] = ACTIONS(2725),
    [sym_this] = ACTIONS(2725),
    [anon_sym_discard] = ACTIONS(2725),
    [anon_sym_precise] = ACTIONS(2725),
    [anon_sym_shared] = ACTIONS(2725),
    [anon_sym_groupshared] = ACTIONS(2725),
    [anon_sym_uniform] = ACTIONS(2725),
    [anon_sym_row_major] = ACTIONS(2725),
    [anon_sym_column_major] = ACTIONS(2725),
    [anon_sym_globallycoherent] = ACTIONS(2725),
    [anon_sym_centroid] = ACTIONS(2725),
    [anon_sym_noperspective] = ACTIONS(2725),
    [anon_sym_nointerpolation] = ACTIONS(2725),
    [anon_sym_sample] = ACTIONS(2725),
    [anon_sym_linear] = ACTIONS(2725),
    [anon_sym_snorm] = ACTIONS(2725),
    [anon_sym_unorm] = ACTIONS(2725),
    [anon_sym_point] = ACTIONS(2725),
    [anon_sym_line] = ACTIONS(2725),
    [anon_sym_triangleadj] = ACTIONS(2725),
    [anon_sym_lineadj] = ACTIONS(2725),
    [anon_sym_triangle] = ACTIONS(2725),
    [anon_sym_cbuffer] = ACTIONS(2725),
  },
  [638] = {
    [sym_identifier] = ACTIONS(2797),
    [aux_sym_preproc_include_token1] = ACTIONS(2797),
    [aux_sym_preproc_def_token1] = ACTIONS(2797),
    [aux_sym_preproc_if_token1] = ACTIONS(2797),
    [aux_sym_preproc_if_token2] = ACTIONS(2797),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2797),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2797),
    [aux_sym_preproc_else_token1] = ACTIONS(2797),
    [aux_sym_preproc_elif_token1] = ACTIONS(2797),
    [sym_preproc_directive] = ACTIONS(2797),
    [anon_sym_LPAREN2] = ACTIONS(2799),
    [anon_sym_BANG] = ACTIONS(2799),
    [anon_sym_TILDE] = ACTIONS(2799),
    [anon_sym_DASH] = ACTIONS(2797),
    [anon_sym_PLUS] = ACTIONS(2797),
    [anon_sym_STAR] = ACTIONS(2799),
    [anon_sym_AMP_AMP] = ACTIONS(2799),
    [anon_sym_AMP] = ACTIONS(2797),
    [anon_sym_SEMI] = ACTIONS(2799),
    [anon_sym___extension__] = ACTIONS(2797),
    [anon_sym_typedef] = ACTIONS(2797),
    [anon_sym_in] = ACTIONS(2797),
    [anon_sym_out] = ACTIONS(2797),
    [anon_sym_inout] = ACTIONS(2797),
    [anon_sym_extern] = ACTIONS(2797),
    [anon_sym___attribute__] = ACTIONS(2797),
    [anon_sym_COLON_COLON] = ACTIONS(2799),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2799),
    [anon_sym___declspec] = ACTIONS(2797),
    [anon_sym___based] = ACTIONS(2797),
    [anon_sym___cdecl] = ACTIONS(2797),
    [anon_sym___clrcall] = ACTIONS(2797),
    [anon_sym___stdcall] = ACTIONS(2797),
    [anon_sym___fastcall] = ACTIONS(2797),
    [anon_sym___thiscall] = ACTIONS(2797),
    [anon_sym___vectorcall] = ACTIONS(2797),
    [anon_sym_LBRACE] = ACTIONS(2799),
    [anon_sym_signed] = ACTIONS(2797),
    [anon_sym_unsigned] = ACTIONS(2797),
    [anon_sym_long] = ACTIONS(2797),
    [anon_sym_short] = ACTIONS(2797),
    [anon_sym_LBRACK] = ACTIONS(2797),
    [anon_sym_static] = ACTIONS(2797),
    [anon_sym_register] = ACTIONS(2797),
    [anon_sym_inline] = ACTIONS(2797),
    [anon_sym___inline] = ACTIONS(2797),
    [anon_sym___inline__] = ACTIONS(2797),
    [anon_sym___forceinline] = ACTIONS(2797),
    [anon_sym_thread_local] = ACTIONS(2797),
    [anon_sym___thread] = ACTIONS(2797),
    [anon_sym_const] = ACTIONS(2797),
    [anon_sym_constexpr] = ACTIONS(2797),
    [anon_sym_volatile] = ACTIONS(2797),
    [anon_sym_restrict] = ACTIONS(2797),
    [anon_sym___restrict__] = ACTIONS(2797),
    [anon_sym__Atomic] = ACTIONS(2797),
    [anon_sym__Noreturn] = ACTIONS(2797),
    [anon_sym_noreturn] = ACTIONS(2797),
    [anon_sym_mutable] = ACTIONS(2797),
    [anon_sym_constinit] = ACTIONS(2797),
    [anon_sym_consteval] = ACTIONS(2797),
    [sym_primitive_type] = ACTIONS(2797),
    [anon_sym_enum] = ACTIONS(2797),
    [anon_sym_class] = ACTIONS(2797),
    [anon_sym_struct] = ACTIONS(2797),
    [anon_sym_union] = ACTIONS(2797),
    [anon_sym_if] = ACTIONS(2797),
    [anon_sym_switch] = ACTIONS(2797),
    [anon_sym_case] = ACTIONS(2797),
    [anon_sym_default] = ACTIONS(2797),
    [anon_sym_while] = ACTIONS(2797),
    [anon_sym_do] = ACTIONS(2797),
    [anon_sym_for] = ACTIONS(2797),
    [anon_sym_return] = ACTIONS(2797),
    [anon_sym_break] = ACTIONS(2797),
    [anon_sym_continue] = ACTIONS(2797),
    [anon_sym_goto] = ACTIONS(2797),
    [anon_sym___try] = ACTIONS(2797),
    [anon_sym___leave] = ACTIONS(2797),
    [anon_sym_not] = ACTIONS(2797),
    [anon_sym_compl] = ACTIONS(2797),
    [anon_sym_DASH_DASH] = ACTIONS(2799),
    [anon_sym_PLUS_PLUS] = ACTIONS(2799),
    [anon_sym_sizeof] = ACTIONS(2797),
    [anon_sym___alignof__] = ACTIONS(2797),
    [anon_sym___alignof] = ACTIONS(2797),
    [anon_sym__alignof] = ACTIONS(2797),
    [anon_sym_alignof] = ACTIONS(2797),
    [anon_sym__Alignof] = ACTIONS(2797),
    [anon_sym_offsetof] = ACTIONS(2797),
    [anon_sym__Generic] = ACTIONS(2797),
    [anon_sym_asm] = ACTIONS(2797),
    [anon_sym___asm__] = ACTIONS(2797),
    [sym_number_literal] = ACTIONS(2799),
    [anon_sym_L_SQUOTE] = ACTIONS(2799),
    [anon_sym_u_SQUOTE] = ACTIONS(2799),
    [anon_sym_U_SQUOTE] = ACTIONS(2799),
    [anon_sym_u8_SQUOTE] = ACTIONS(2799),
    [anon_sym_SQUOTE] = ACTIONS(2799),
    [anon_sym_L_DQUOTE] = ACTIONS(2799),
    [anon_sym_u_DQUOTE] = ACTIONS(2799),
    [anon_sym_U_DQUOTE] = ACTIONS(2799),
    [anon_sym_u8_DQUOTE] = ACTIONS(2799),
    [anon_sym_DQUOTE] = ACTIONS(2799),
    [sym_true] = ACTIONS(2797),
    [sym_false] = ACTIONS(2797),
    [anon_sym_NULL] = ACTIONS(2797),
    [anon_sym_nullptr] = ACTIONS(2797),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2797),
    [anon_sym_decltype] = ACTIONS(2797),
    [anon_sym_virtual] = ACTIONS(2797),
    [anon_sym_alignas] = ACTIONS(2797),
    [anon_sym_explicit] = ACTIONS(2797),
    [anon_sym_typename] = ACTIONS(2797),
    [anon_sym_template] = ACTIONS(2797),
    [anon_sym_operator] = ACTIONS(2797),
    [anon_sym_try] = ACTIONS(2797),
    [anon_sym_delete] = ACTIONS(2797),
    [anon_sym_throw] = ACTIONS(2797),
    [anon_sym_namespace] = ACTIONS(2797),
    [anon_sym_using] = ACTIONS(2797),
    [anon_sym_static_assert] = ACTIONS(2797),
    [anon_sym_concept] = ACTIONS(2797),
    [anon_sym_co_return] = ACTIONS(2797),
    [anon_sym_co_yield] = ACTIONS(2797),
    [anon_sym_R_DQUOTE] = ACTIONS(2799),
    [anon_sym_LR_DQUOTE] = ACTIONS(2799),
    [anon_sym_uR_DQUOTE] = ACTIONS(2799),
    [anon_sym_UR_DQUOTE] = ACTIONS(2799),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2799),
    [anon_sym_co_await] = ACTIONS(2797),
    [anon_sym_new] = ACTIONS(2797),
    [anon_sym_requires] = ACTIONS(2797),
    [sym_this] = ACTIONS(2797),
    [anon_sym_discard] = ACTIONS(2797),
    [anon_sym_precise] = ACTIONS(2797),
    [anon_sym_shared] = ACTIONS(2797),
    [anon_sym_groupshared] = ACTIONS(2797),
    [anon_sym_uniform] = ACTIONS(2797),
    [anon_sym_row_major] = ACTIONS(2797),
    [anon_sym_column_major] = ACTIONS(2797),
    [anon_sym_globallycoherent] = ACTIONS(2797),
    [anon_sym_centroid] = ACTIONS(2797),
    [anon_sym_noperspective] = ACTIONS(2797),
    [anon_sym_nointerpolation] = ACTIONS(2797),
    [anon_sym_sample] = ACTIONS(2797),
    [anon_sym_linear] = ACTIONS(2797),
    [anon_sym_snorm] = ACTIONS(2797),
    [anon_sym_unorm] = ACTIONS(2797),
    [anon_sym_point] = ACTIONS(2797),
    [anon_sym_line] = ACTIONS(2797),
    [anon_sym_triangleadj] = ACTIONS(2797),
    [anon_sym_lineadj] = ACTIONS(2797),
    [anon_sym_triangle] = ACTIONS(2797),
    [anon_sym_cbuffer] = ACTIONS(2797),
  },
  [639] = {
    [sym_identifier] = ACTIONS(2809),
    [aux_sym_preproc_include_token1] = ACTIONS(2809),
    [aux_sym_preproc_def_token1] = ACTIONS(2809),
    [aux_sym_preproc_if_token1] = ACTIONS(2809),
    [aux_sym_preproc_if_token2] = ACTIONS(2809),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2809),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2809),
    [aux_sym_preproc_else_token1] = ACTIONS(2809),
    [aux_sym_preproc_elif_token1] = ACTIONS(2809),
    [sym_preproc_directive] = ACTIONS(2809),
    [anon_sym_LPAREN2] = ACTIONS(2811),
    [anon_sym_BANG] = ACTIONS(2811),
    [anon_sym_TILDE] = ACTIONS(2811),
    [anon_sym_DASH] = ACTIONS(2809),
    [anon_sym_PLUS] = ACTIONS(2809),
    [anon_sym_STAR] = ACTIONS(2811),
    [anon_sym_AMP_AMP] = ACTIONS(2811),
    [anon_sym_AMP] = ACTIONS(2809),
    [anon_sym_SEMI] = ACTIONS(2811),
    [anon_sym___extension__] = ACTIONS(2809),
    [anon_sym_typedef] = ACTIONS(2809),
    [anon_sym_in] = ACTIONS(2809),
    [anon_sym_out] = ACTIONS(2809),
    [anon_sym_inout] = ACTIONS(2809),
    [anon_sym_extern] = ACTIONS(2809),
    [anon_sym___attribute__] = ACTIONS(2809),
    [anon_sym_COLON_COLON] = ACTIONS(2811),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2811),
    [anon_sym___declspec] = ACTIONS(2809),
    [anon_sym___based] = ACTIONS(2809),
    [anon_sym___cdecl] = ACTIONS(2809),
    [anon_sym___clrcall] = ACTIONS(2809),
    [anon_sym___stdcall] = ACTIONS(2809),
    [anon_sym___fastcall] = ACTIONS(2809),
    [anon_sym___thiscall] = ACTIONS(2809),
    [anon_sym___vectorcall] = ACTIONS(2809),
    [anon_sym_LBRACE] = ACTIONS(2811),
    [anon_sym_signed] = ACTIONS(2809),
    [anon_sym_unsigned] = ACTIONS(2809),
    [anon_sym_long] = ACTIONS(2809),
    [anon_sym_short] = ACTIONS(2809),
    [anon_sym_LBRACK] = ACTIONS(2809),
    [anon_sym_static] = ACTIONS(2809),
    [anon_sym_register] = ACTIONS(2809),
    [anon_sym_inline] = ACTIONS(2809),
    [anon_sym___inline] = ACTIONS(2809),
    [anon_sym___inline__] = ACTIONS(2809),
    [anon_sym___forceinline] = ACTIONS(2809),
    [anon_sym_thread_local] = ACTIONS(2809),
    [anon_sym___thread] = ACTIONS(2809),
    [anon_sym_const] = ACTIONS(2809),
    [anon_sym_constexpr] = ACTIONS(2809),
    [anon_sym_volatile] = ACTIONS(2809),
    [anon_sym_restrict] = ACTIONS(2809),
    [anon_sym___restrict__] = ACTIONS(2809),
    [anon_sym__Atomic] = ACTIONS(2809),
    [anon_sym__Noreturn] = ACTIONS(2809),
    [anon_sym_noreturn] = ACTIONS(2809),
    [anon_sym_mutable] = ACTIONS(2809),
    [anon_sym_constinit] = ACTIONS(2809),
    [anon_sym_consteval] = ACTIONS(2809),
    [sym_primitive_type] = ACTIONS(2809),
    [anon_sym_enum] = ACTIONS(2809),
    [anon_sym_class] = ACTIONS(2809),
    [anon_sym_struct] = ACTIONS(2809),
    [anon_sym_union] = ACTIONS(2809),
    [anon_sym_if] = ACTIONS(2809),
    [anon_sym_switch] = ACTIONS(2809),
    [anon_sym_case] = ACTIONS(2809),
    [anon_sym_default] = ACTIONS(2809),
    [anon_sym_while] = ACTIONS(2809),
    [anon_sym_do] = ACTIONS(2809),
    [anon_sym_for] = ACTIONS(2809),
    [anon_sym_return] = ACTIONS(2809),
    [anon_sym_break] = ACTIONS(2809),
    [anon_sym_continue] = ACTIONS(2809),
    [anon_sym_goto] = ACTIONS(2809),
    [anon_sym___try] = ACTIONS(2809),
    [anon_sym___leave] = ACTIONS(2809),
    [anon_sym_not] = ACTIONS(2809),
    [anon_sym_compl] = ACTIONS(2809),
    [anon_sym_DASH_DASH] = ACTIONS(2811),
    [anon_sym_PLUS_PLUS] = ACTIONS(2811),
    [anon_sym_sizeof] = ACTIONS(2809),
    [anon_sym___alignof__] = ACTIONS(2809),
    [anon_sym___alignof] = ACTIONS(2809),
    [anon_sym__alignof] = ACTIONS(2809),
    [anon_sym_alignof] = ACTIONS(2809),
    [anon_sym__Alignof] = ACTIONS(2809),
    [anon_sym_offsetof] = ACTIONS(2809),
    [anon_sym__Generic] = ACTIONS(2809),
    [anon_sym_asm] = ACTIONS(2809),
    [anon_sym___asm__] = ACTIONS(2809),
    [sym_number_literal] = ACTIONS(2811),
    [anon_sym_L_SQUOTE] = ACTIONS(2811),
    [anon_sym_u_SQUOTE] = ACTIONS(2811),
    [anon_sym_U_SQUOTE] = ACTIONS(2811),
    [anon_sym_u8_SQUOTE] = ACTIONS(2811),
    [anon_sym_SQUOTE] = ACTIONS(2811),
    [anon_sym_L_DQUOTE] = ACTIONS(2811),
    [anon_sym_u_DQUOTE] = ACTIONS(2811),
    [anon_sym_U_DQUOTE] = ACTIONS(2811),
    [anon_sym_u8_DQUOTE] = ACTIONS(2811),
    [anon_sym_DQUOTE] = ACTIONS(2811),
    [sym_true] = ACTIONS(2809),
    [sym_false] = ACTIONS(2809),
    [anon_sym_NULL] = ACTIONS(2809),
    [anon_sym_nullptr] = ACTIONS(2809),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2809),
    [anon_sym_decltype] = ACTIONS(2809),
    [anon_sym_virtual] = ACTIONS(2809),
    [anon_sym_alignas] = ACTIONS(2809),
    [anon_sym_explicit] = ACTIONS(2809),
    [anon_sym_typename] = ACTIONS(2809),
    [anon_sym_template] = ACTIONS(2809),
    [anon_sym_operator] = ACTIONS(2809),
    [anon_sym_try] = ACTIONS(2809),
    [anon_sym_delete] = ACTIONS(2809),
    [anon_sym_throw] = ACTIONS(2809),
    [anon_sym_namespace] = ACTIONS(2809),
    [anon_sym_using] = ACTIONS(2809),
    [anon_sym_static_assert] = ACTIONS(2809),
    [anon_sym_concept] = ACTIONS(2809),
    [anon_sym_co_return] = ACTIONS(2809),
    [anon_sym_co_yield] = ACTIONS(2809),
    [anon_sym_R_DQUOTE] = ACTIONS(2811),
    [anon_sym_LR_DQUOTE] = ACTIONS(2811),
    [anon_sym_uR_DQUOTE] = ACTIONS(2811),
    [anon_sym_UR_DQUOTE] = ACTIONS(2811),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2811),
    [anon_sym_co_await] = ACTIONS(2809),
    [anon_sym_new] = ACTIONS(2809),
    [anon_sym_requires] = ACTIONS(2809),
    [sym_this] = ACTIONS(2809),
    [anon_sym_discard] = ACTIONS(2809),
    [anon_sym_precise] = ACTIONS(2809),
    [anon_sym_shared] = ACTIONS(2809),
    [anon_sym_groupshared] = ACTIONS(2809),
    [anon_sym_uniform] = ACTIONS(2809),
    [anon_sym_row_major] = ACTIONS(2809),
    [anon_sym_column_major] = ACTIONS(2809),
    [anon_sym_globallycoherent] = ACTIONS(2809),
    [anon_sym_centroid] = ACTIONS(2809),
    [anon_sym_noperspective] = ACTIONS(2809),
    [anon_sym_nointerpolation] = ACTIONS(2809),
    [anon_sym_sample] = ACTIONS(2809),
    [anon_sym_linear] = ACTIONS(2809),
    [anon_sym_snorm] = ACTIONS(2809),
    [anon_sym_unorm] = ACTIONS(2809),
    [anon_sym_point] = ACTIONS(2809),
    [anon_sym_line] = ACTIONS(2809),
    [anon_sym_triangleadj] = ACTIONS(2809),
    [anon_sym_lineadj] = ACTIONS(2809),
    [anon_sym_triangle] = ACTIONS(2809),
    [anon_sym_cbuffer] = ACTIONS(2809),
  },
  [640] = {
    [sym_identifier] = ACTIONS(2841),
    [aux_sym_preproc_include_token1] = ACTIONS(2841),
    [aux_sym_preproc_def_token1] = ACTIONS(2841),
    [aux_sym_preproc_if_token1] = ACTIONS(2841),
    [aux_sym_preproc_if_token2] = ACTIONS(2841),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2841),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2841),
    [aux_sym_preproc_else_token1] = ACTIONS(2841),
    [aux_sym_preproc_elif_token1] = ACTIONS(2841),
    [sym_preproc_directive] = ACTIONS(2841),
    [anon_sym_LPAREN2] = ACTIONS(2843),
    [anon_sym_BANG] = ACTIONS(2843),
    [anon_sym_TILDE] = ACTIONS(2843),
    [anon_sym_DASH] = ACTIONS(2841),
    [anon_sym_PLUS] = ACTIONS(2841),
    [anon_sym_STAR] = ACTIONS(2843),
    [anon_sym_AMP_AMP] = ACTIONS(2843),
    [anon_sym_AMP] = ACTIONS(2841),
    [anon_sym_SEMI] = ACTIONS(2843),
    [anon_sym___extension__] = ACTIONS(2841),
    [anon_sym_typedef] = ACTIONS(2841),
    [anon_sym_in] = ACTIONS(2841),
    [anon_sym_out] = ACTIONS(2841),
    [anon_sym_inout] = ACTIONS(2841),
    [anon_sym_extern] = ACTIONS(2841),
    [anon_sym___attribute__] = ACTIONS(2841),
    [anon_sym_COLON_COLON] = ACTIONS(2843),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2843),
    [anon_sym___declspec] = ACTIONS(2841),
    [anon_sym___based] = ACTIONS(2841),
    [anon_sym___cdecl] = ACTIONS(2841),
    [anon_sym___clrcall] = ACTIONS(2841),
    [anon_sym___stdcall] = ACTIONS(2841),
    [anon_sym___fastcall] = ACTIONS(2841),
    [anon_sym___thiscall] = ACTIONS(2841),
    [anon_sym___vectorcall] = ACTIONS(2841),
    [anon_sym_LBRACE] = ACTIONS(2843),
    [anon_sym_signed] = ACTIONS(2841),
    [anon_sym_unsigned] = ACTIONS(2841),
    [anon_sym_long] = ACTIONS(2841),
    [anon_sym_short] = ACTIONS(2841),
    [anon_sym_LBRACK] = ACTIONS(2841),
    [anon_sym_static] = ACTIONS(2841),
    [anon_sym_register] = ACTIONS(2841),
    [anon_sym_inline] = ACTIONS(2841),
    [anon_sym___inline] = ACTIONS(2841),
    [anon_sym___inline__] = ACTIONS(2841),
    [anon_sym___forceinline] = ACTIONS(2841),
    [anon_sym_thread_local] = ACTIONS(2841),
    [anon_sym___thread] = ACTIONS(2841),
    [anon_sym_const] = ACTIONS(2841),
    [anon_sym_constexpr] = ACTIONS(2841),
    [anon_sym_volatile] = ACTIONS(2841),
    [anon_sym_restrict] = ACTIONS(2841),
    [anon_sym___restrict__] = ACTIONS(2841),
    [anon_sym__Atomic] = ACTIONS(2841),
    [anon_sym__Noreturn] = ACTIONS(2841),
    [anon_sym_noreturn] = ACTIONS(2841),
    [anon_sym_mutable] = ACTIONS(2841),
    [anon_sym_constinit] = ACTIONS(2841),
    [anon_sym_consteval] = ACTIONS(2841),
    [sym_primitive_type] = ACTIONS(2841),
    [anon_sym_enum] = ACTIONS(2841),
    [anon_sym_class] = ACTIONS(2841),
    [anon_sym_struct] = ACTIONS(2841),
    [anon_sym_union] = ACTIONS(2841),
    [anon_sym_if] = ACTIONS(2841),
    [anon_sym_switch] = ACTIONS(2841),
    [anon_sym_case] = ACTIONS(2841),
    [anon_sym_default] = ACTIONS(2841),
    [anon_sym_while] = ACTIONS(2841),
    [anon_sym_do] = ACTIONS(2841),
    [anon_sym_for] = ACTIONS(2841),
    [anon_sym_return] = ACTIONS(2841),
    [anon_sym_break] = ACTIONS(2841),
    [anon_sym_continue] = ACTIONS(2841),
    [anon_sym_goto] = ACTIONS(2841),
    [anon_sym___try] = ACTIONS(2841),
    [anon_sym___leave] = ACTIONS(2841),
    [anon_sym_not] = ACTIONS(2841),
    [anon_sym_compl] = ACTIONS(2841),
    [anon_sym_DASH_DASH] = ACTIONS(2843),
    [anon_sym_PLUS_PLUS] = ACTIONS(2843),
    [anon_sym_sizeof] = ACTIONS(2841),
    [anon_sym___alignof__] = ACTIONS(2841),
    [anon_sym___alignof] = ACTIONS(2841),
    [anon_sym__alignof] = ACTIONS(2841),
    [anon_sym_alignof] = ACTIONS(2841),
    [anon_sym__Alignof] = ACTIONS(2841),
    [anon_sym_offsetof] = ACTIONS(2841),
    [anon_sym__Generic] = ACTIONS(2841),
    [anon_sym_asm] = ACTIONS(2841),
    [anon_sym___asm__] = ACTIONS(2841),
    [sym_number_literal] = ACTIONS(2843),
    [anon_sym_L_SQUOTE] = ACTIONS(2843),
    [anon_sym_u_SQUOTE] = ACTIONS(2843),
    [anon_sym_U_SQUOTE] = ACTIONS(2843),
    [anon_sym_u8_SQUOTE] = ACTIONS(2843),
    [anon_sym_SQUOTE] = ACTIONS(2843),
    [anon_sym_L_DQUOTE] = ACTIONS(2843),
    [anon_sym_u_DQUOTE] = ACTIONS(2843),
    [anon_sym_U_DQUOTE] = ACTIONS(2843),
    [anon_sym_u8_DQUOTE] = ACTIONS(2843),
    [anon_sym_DQUOTE] = ACTIONS(2843),
    [sym_true] = ACTIONS(2841),
    [sym_false] = ACTIONS(2841),
    [anon_sym_NULL] = ACTIONS(2841),
    [anon_sym_nullptr] = ACTIONS(2841),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2841),
    [anon_sym_decltype] = ACTIONS(2841),
    [anon_sym_virtual] = ACTIONS(2841),
    [anon_sym_alignas] = ACTIONS(2841),
    [anon_sym_explicit] = ACTIONS(2841),
    [anon_sym_typename] = ACTIONS(2841),
    [anon_sym_template] = ACTIONS(2841),
    [anon_sym_operator] = ACTIONS(2841),
    [anon_sym_try] = ACTIONS(2841),
    [anon_sym_delete] = ACTIONS(2841),
    [anon_sym_throw] = ACTIONS(2841),
    [anon_sym_namespace] = ACTIONS(2841),
    [anon_sym_using] = ACTIONS(2841),
    [anon_sym_static_assert] = ACTIONS(2841),
    [anon_sym_concept] = ACTIONS(2841),
    [anon_sym_co_return] = ACTIONS(2841),
    [anon_sym_co_yield] = ACTIONS(2841),
    [anon_sym_R_DQUOTE] = ACTIONS(2843),
    [anon_sym_LR_DQUOTE] = ACTIONS(2843),
    [anon_sym_uR_DQUOTE] = ACTIONS(2843),
    [anon_sym_UR_DQUOTE] = ACTIONS(2843),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2843),
    [anon_sym_co_await] = ACTIONS(2841),
    [anon_sym_new] = ACTIONS(2841),
    [anon_sym_requires] = ACTIONS(2841),
    [sym_this] = ACTIONS(2841),
    [anon_sym_discard] = ACTIONS(2841),
    [anon_sym_precise] = ACTIONS(2841),
    [anon_sym_shared] = ACTIONS(2841),
    [anon_sym_groupshared] = ACTIONS(2841),
    [anon_sym_uniform] = ACTIONS(2841),
    [anon_sym_row_major] = ACTIONS(2841),
    [anon_sym_column_major] = ACTIONS(2841),
    [anon_sym_globallycoherent] = ACTIONS(2841),
    [anon_sym_centroid] = ACTIONS(2841),
    [anon_sym_noperspective] = ACTIONS(2841),
    [anon_sym_nointerpolation] = ACTIONS(2841),
    [anon_sym_sample] = ACTIONS(2841),
    [anon_sym_linear] = ACTIONS(2841),
    [anon_sym_snorm] = ACTIONS(2841),
    [anon_sym_unorm] = ACTIONS(2841),
    [anon_sym_point] = ACTIONS(2841),
    [anon_sym_line] = ACTIONS(2841),
    [anon_sym_triangleadj] = ACTIONS(2841),
    [anon_sym_lineadj] = ACTIONS(2841),
    [anon_sym_triangle] = ACTIONS(2841),
    [anon_sym_cbuffer] = ACTIONS(2841),
  },
  [641] = {
    [sym_identifier] = ACTIONS(2797),
    [aux_sym_preproc_include_token1] = ACTIONS(2797),
    [aux_sym_preproc_def_token1] = ACTIONS(2797),
    [aux_sym_preproc_if_token1] = ACTIONS(2797),
    [aux_sym_preproc_if_token2] = ACTIONS(2797),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2797),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2797),
    [aux_sym_preproc_else_token1] = ACTIONS(2797),
    [aux_sym_preproc_elif_token1] = ACTIONS(2797),
    [sym_preproc_directive] = ACTIONS(2797),
    [anon_sym_LPAREN2] = ACTIONS(2799),
    [anon_sym_BANG] = ACTIONS(2799),
    [anon_sym_TILDE] = ACTIONS(2799),
    [anon_sym_DASH] = ACTIONS(2797),
    [anon_sym_PLUS] = ACTIONS(2797),
    [anon_sym_STAR] = ACTIONS(2799),
    [anon_sym_AMP_AMP] = ACTIONS(2799),
    [anon_sym_AMP] = ACTIONS(2797),
    [anon_sym_SEMI] = ACTIONS(2799),
    [anon_sym___extension__] = ACTIONS(2797),
    [anon_sym_typedef] = ACTIONS(2797),
    [anon_sym_in] = ACTIONS(2797),
    [anon_sym_out] = ACTIONS(2797),
    [anon_sym_inout] = ACTIONS(2797),
    [anon_sym_extern] = ACTIONS(2797),
    [anon_sym___attribute__] = ACTIONS(2797),
    [anon_sym_COLON_COLON] = ACTIONS(2799),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2799),
    [anon_sym___declspec] = ACTIONS(2797),
    [anon_sym___based] = ACTIONS(2797),
    [anon_sym___cdecl] = ACTIONS(2797),
    [anon_sym___clrcall] = ACTIONS(2797),
    [anon_sym___stdcall] = ACTIONS(2797),
    [anon_sym___fastcall] = ACTIONS(2797),
    [anon_sym___thiscall] = ACTIONS(2797),
    [anon_sym___vectorcall] = ACTIONS(2797),
    [anon_sym_LBRACE] = ACTIONS(2799),
    [anon_sym_signed] = ACTIONS(2797),
    [anon_sym_unsigned] = ACTIONS(2797),
    [anon_sym_long] = ACTIONS(2797),
    [anon_sym_short] = ACTIONS(2797),
    [anon_sym_LBRACK] = ACTIONS(2797),
    [anon_sym_static] = ACTIONS(2797),
    [anon_sym_register] = ACTIONS(2797),
    [anon_sym_inline] = ACTIONS(2797),
    [anon_sym___inline] = ACTIONS(2797),
    [anon_sym___inline__] = ACTIONS(2797),
    [anon_sym___forceinline] = ACTIONS(2797),
    [anon_sym_thread_local] = ACTIONS(2797),
    [anon_sym___thread] = ACTIONS(2797),
    [anon_sym_const] = ACTIONS(2797),
    [anon_sym_constexpr] = ACTIONS(2797),
    [anon_sym_volatile] = ACTIONS(2797),
    [anon_sym_restrict] = ACTIONS(2797),
    [anon_sym___restrict__] = ACTIONS(2797),
    [anon_sym__Atomic] = ACTIONS(2797),
    [anon_sym__Noreturn] = ACTIONS(2797),
    [anon_sym_noreturn] = ACTIONS(2797),
    [anon_sym_mutable] = ACTIONS(2797),
    [anon_sym_constinit] = ACTIONS(2797),
    [anon_sym_consteval] = ACTIONS(2797),
    [sym_primitive_type] = ACTIONS(2797),
    [anon_sym_enum] = ACTIONS(2797),
    [anon_sym_class] = ACTIONS(2797),
    [anon_sym_struct] = ACTIONS(2797),
    [anon_sym_union] = ACTIONS(2797),
    [anon_sym_if] = ACTIONS(2797),
    [anon_sym_switch] = ACTIONS(2797),
    [anon_sym_case] = ACTIONS(2797),
    [anon_sym_default] = ACTIONS(2797),
    [anon_sym_while] = ACTIONS(2797),
    [anon_sym_do] = ACTIONS(2797),
    [anon_sym_for] = ACTIONS(2797),
    [anon_sym_return] = ACTIONS(2797),
    [anon_sym_break] = ACTIONS(2797),
    [anon_sym_continue] = ACTIONS(2797),
    [anon_sym_goto] = ACTIONS(2797),
    [anon_sym___try] = ACTIONS(2797),
    [anon_sym___leave] = ACTIONS(2797),
    [anon_sym_not] = ACTIONS(2797),
    [anon_sym_compl] = ACTIONS(2797),
    [anon_sym_DASH_DASH] = ACTIONS(2799),
    [anon_sym_PLUS_PLUS] = ACTIONS(2799),
    [anon_sym_sizeof] = ACTIONS(2797),
    [anon_sym___alignof__] = ACTIONS(2797),
    [anon_sym___alignof] = ACTIONS(2797),
    [anon_sym__alignof] = ACTIONS(2797),
    [anon_sym_alignof] = ACTIONS(2797),
    [anon_sym__Alignof] = ACTIONS(2797),
    [anon_sym_offsetof] = ACTIONS(2797),
    [anon_sym__Generic] = ACTIONS(2797),
    [anon_sym_asm] = ACTIONS(2797),
    [anon_sym___asm__] = ACTIONS(2797),
    [sym_number_literal] = ACTIONS(2799),
    [anon_sym_L_SQUOTE] = ACTIONS(2799),
    [anon_sym_u_SQUOTE] = ACTIONS(2799),
    [anon_sym_U_SQUOTE] = ACTIONS(2799),
    [anon_sym_u8_SQUOTE] = ACTIONS(2799),
    [anon_sym_SQUOTE] = ACTIONS(2799),
    [anon_sym_L_DQUOTE] = ACTIONS(2799),
    [anon_sym_u_DQUOTE] = ACTIONS(2799),
    [anon_sym_U_DQUOTE] = ACTIONS(2799),
    [anon_sym_u8_DQUOTE] = ACTIONS(2799),
    [anon_sym_DQUOTE] = ACTIONS(2799),
    [sym_true] = ACTIONS(2797),
    [sym_false] = ACTIONS(2797),
    [anon_sym_NULL] = ACTIONS(2797),
    [anon_sym_nullptr] = ACTIONS(2797),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2797),
    [anon_sym_decltype] = ACTIONS(2797),
    [anon_sym_virtual] = ACTIONS(2797),
    [anon_sym_alignas] = ACTIONS(2797),
    [anon_sym_explicit] = ACTIONS(2797),
    [anon_sym_typename] = ACTIONS(2797),
    [anon_sym_template] = ACTIONS(2797),
    [anon_sym_operator] = ACTIONS(2797),
    [anon_sym_try] = ACTIONS(2797),
    [anon_sym_delete] = ACTIONS(2797),
    [anon_sym_throw] = ACTIONS(2797),
    [anon_sym_namespace] = ACTIONS(2797),
    [anon_sym_using] = ACTIONS(2797),
    [anon_sym_static_assert] = ACTIONS(2797),
    [anon_sym_concept] = ACTIONS(2797),
    [anon_sym_co_return] = ACTIONS(2797),
    [anon_sym_co_yield] = ACTIONS(2797),
    [anon_sym_R_DQUOTE] = ACTIONS(2799),
    [anon_sym_LR_DQUOTE] = ACTIONS(2799),
    [anon_sym_uR_DQUOTE] = ACTIONS(2799),
    [anon_sym_UR_DQUOTE] = ACTIONS(2799),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2799),
    [anon_sym_co_await] = ACTIONS(2797),
    [anon_sym_new] = ACTIONS(2797),
    [anon_sym_requires] = ACTIONS(2797),
    [sym_this] = ACTIONS(2797),
    [anon_sym_discard] = ACTIONS(2797),
    [anon_sym_precise] = ACTIONS(2797),
    [anon_sym_shared] = ACTIONS(2797),
    [anon_sym_groupshared] = ACTIONS(2797),
    [anon_sym_uniform] = ACTIONS(2797),
    [anon_sym_row_major] = ACTIONS(2797),
    [anon_sym_column_major] = ACTIONS(2797),
    [anon_sym_globallycoherent] = ACTIONS(2797),
    [anon_sym_centroid] = ACTIONS(2797),
    [anon_sym_noperspective] = ACTIONS(2797),
    [anon_sym_nointerpolation] = ACTIONS(2797),
    [anon_sym_sample] = ACTIONS(2797),
    [anon_sym_linear] = ACTIONS(2797),
    [anon_sym_snorm] = ACTIONS(2797),
    [anon_sym_unorm] = ACTIONS(2797),
    [anon_sym_point] = ACTIONS(2797),
    [anon_sym_line] = ACTIONS(2797),
    [anon_sym_triangleadj] = ACTIONS(2797),
    [anon_sym_lineadj] = ACTIONS(2797),
    [anon_sym_triangle] = ACTIONS(2797),
    [anon_sym_cbuffer] = ACTIONS(2797),
  },
  [642] = {
    [sym_identifier] = ACTIONS(2845),
    [aux_sym_preproc_include_token1] = ACTIONS(2845),
    [aux_sym_preproc_def_token1] = ACTIONS(2845),
    [aux_sym_preproc_if_token1] = ACTIONS(2845),
    [aux_sym_preproc_if_token2] = ACTIONS(2845),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2845),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2845),
    [aux_sym_preproc_else_token1] = ACTIONS(2845),
    [aux_sym_preproc_elif_token1] = ACTIONS(2845),
    [sym_preproc_directive] = ACTIONS(2845),
    [anon_sym_LPAREN2] = ACTIONS(2847),
    [anon_sym_BANG] = ACTIONS(2847),
    [anon_sym_TILDE] = ACTIONS(2847),
    [anon_sym_DASH] = ACTIONS(2845),
    [anon_sym_PLUS] = ACTIONS(2845),
    [anon_sym_STAR] = ACTIONS(2847),
    [anon_sym_AMP_AMP] = ACTIONS(2847),
    [anon_sym_AMP] = ACTIONS(2845),
    [anon_sym_SEMI] = ACTIONS(2847),
    [anon_sym___extension__] = ACTIONS(2845),
    [anon_sym_typedef] = ACTIONS(2845),
    [anon_sym_in] = ACTIONS(2845),
    [anon_sym_out] = ACTIONS(2845),
    [anon_sym_inout] = ACTIONS(2845),
    [anon_sym_extern] = ACTIONS(2845),
    [anon_sym___attribute__] = ACTIONS(2845),
    [anon_sym_COLON_COLON] = ACTIONS(2847),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2847),
    [anon_sym___declspec] = ACTIONS(2845),
    [anon_sym___based] = ACTIONS(2845),
    [anon_sym___cdecl] = ACTIONS(2845),
    [anon_sym___clrcall] = ACTIONS(2845),
    [anon_sym___stdcall] = ACTIONS(2845),
    [anon_sym___fastcall] = ACTIONS(2845),
    [anon_sym___thiscall] = ACTIONS(2845),
    [anon_sym___vectorcall] = ACTIONS(2845),
    [anon_sym_LBRACE] = ACTIONS(2847),
    [anon_sym_signed] = ACTIONS(2845),
    [anon_sym_unsigned] = ACTIONS(2845),
    [anon_sym_long] = ACTIONS(2845),
    [anon_sym_short] = ACTIONS(2845),
    [anon_sym_LBRACK] = ACTIONS(2845),
    [anon_sym_static] = ACTIONS(2845),
    [anon_sym_register] = ACTIONS(2845),
    [anon_sym_inline] = ACTIONS(2845),
    [anon_sym___inline] = ACTIONS(2845),
    [anon_sym___inline__] = ACTIONS(2845),
    [anon_sym___forceinline] = ACTIONS(2845),
    [anon_sym_thread_local] = ACTIONS(2845),
    [anon_sym___thread] = ACTIONS(2845),
    [anon_sym_const] = ACTIONS(2845),
    [anon_sym_constexpr] = ACTIONS(2845),
    [anon_sym_volatile] = ACTIONS(2845),
    [anon_sym_restrict] = ACTIONS(2845),
    [anon_sym___restrict__] = ACTIONS(2845),
    [anon_sym__Atomic] = ACTIONS(2845),
    [anon_sym__Noreturn] = ACTIONS(2845),
    [anon_sym_noreturn] = ACTIONS(2845),
    [anon_sym_mutable] = ACTIONS(2845),
    [anon_sym_constinit] = ACTIONS(2845),
    [anon_sym_consteval] = ACTIONS(2845),
    [sym_primitive_type] = ACTIONS(2845),
    [anon_sym_enum] = ACTIONS(2845),
    [anon_sym_class] = ACTIONS(2845),
    [anon_sym_struct] = ACTIONS(2845),
    [anon_sym_union] = ACTIONS(2845),
    [anon_sym_if] = ACTIONS(2845),
    [anon_sym_switch] = ACTIONS(2845),
    [anon_sym_case] = ACTIONS(2845),
    [anon_sym_default] = ACTIONS(2845),
    [anon_sym_while] = ACTIONS(2845),
    [anon_sym_do] = ACTIONS(2845),
    [anon_sym_for] = ACTIONS(2845),
    [anon_sym_return] = ACTIONS(2845),
    [anon_sym_break] = ACTIONS(2845),
    [anon_sym_continue] = ACTIONS(2845),
    [anon_sym_goto] = ACTIONS(2845),
    [anon_sym___try] = ACTIONS(2845),
    [anon_sym___leave] = ACTIONS(2845),
    [anon_sym_not] = ACTIONS(2845),
    [anon_sym_compl] = ACTIONS(2845),
    [anon_sym_DASH_DASH] = ACTIONS(2847),
    [anon_sym_PLUS_PLUS] = ACTIONS(2847),
    [anon_sym_sizeof] = ACTIONS(2845),
    [anon_sym___alignof__] = ACTIONS(2845),
    [anon_sym___alignof] = ACTIONS(2845),
    [anon_sym__alignof] = ACTIONS(2845),
    [anon_sym_alignof] = ACTIONS(2845),
    [anon_sym__Alignof] = ACTIONS(2845),
    [anon_sym_offsetof] = ACTIONS(2845),
    [anon_sym__Generic] = ACTIONS(2845),
    [anon_sym_asm] = ACTIONS(2845),
    [anon_sym___asm__] = ACTIONS(2845),
    [sym_number_literal] = ACTIONS(2847),
    [anon_sym_L_SQUOTE] = ACTIONS(2847),
    [anon_sym_u_SQUOTE] = ACTIONS(2847),
    [anon_sym_U_SQUOTE] = ACTIONS(2847),
    [anon_sym_u8_SQUOTE] = ACTIONS(2847),
    [anon_sym_SQUOTE] = ACTIONS(2847),
    [anon_sym_L_DQUOTE] = ACTIONS(2847),
    [anon_sym_u_DQUOTE] = ACTIONS(2847),
    [anon_sym_U_DQUOTE] = ACTIONS(2847),
    [anon_sym_u8_DQUOTE] = ACTIONS(2847),
    [anon_sym_DQUOTE] = ACTIONS(2847),
    [sym_true] = ACTIONS(2845),
    [sym_false] = ACTIONS(2845),
    [anon_sym_NULL] = ACTIONS(2845),
    [anon_sym_nullptr] = ACTIONS(2845),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2845),
    [anon_sym_decltype] = ACTIONS(2845),
    [anon_sym_virtual] = ACTIONS(2845),
    [anon_sym_alignas] = ACTIONS(2845),
    [anon_sym_explicit] = ACTIONS(2845),
    [anon_sym_typename] = ACTIONS(2845),
    [anon_sym_template] = ACTIONS(2845),
    [anon_sym_operator] = ACTIONS(2845),
    [anon_sym_try] = ACTIONS(2845),
    [anon_sym_delete] = ACTIONS(2845),
    [anon_sym_throw] = ACTIONS(2845),
    [anon_sym_namespace] = ACTIONS(2845),
    [anon_sym_using] = ACTIONS(2845),
    [anon_sym_static_assert] = ACTIONS(2845),
    [anon_sym_concept] = ACTIONS(2845),
    [anon_sym_co_return] = ACTIONS(2845),
    [anon_sym_co_yield] = ACTIONS(2845),
    [anon_sym_R_DQUOTE] = ACTIONS(2847),
    [anon_sym_LR_DQUOTE] = ACTIONS(2847),
    [anon_sym_uR_DQUOTE] = ACTIONS(2847),
    [anon_sym_UR_DQUOTE] = ACTIONS(2847),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2847),
    [anon_sym_co_await] = ACTIONS(2845),
    [anon_sym_new] = ACTIONS(2845),
    [anon_sym_requires] = ACTIONS(2845),
    [sym_this] = ACTIONS(2845),
    [anon_sym_discard] = ACTIONS(2845),
    [anon_sym_precise] = ACTIONS(2845),
    [anon_sym_shared] = ACTIONS(2845),
    [anon_sym_groupshared] = ACTIONS(2845),
    [anon_sym_uniform] = ACTIONS(2845),
    [anon_sym_row_major] = ACTIONS(2845),
    [anon_sym_column_major] = ACTIONS(2845),
    [anon_sym_globallycoherent] = ACTIONS(2845),
    [anon_sym_centroid] = ACTIONS(2845),
    [anon_sym_noperspective] = ACTIONS(2845),
    [anon_sym_nointerpolation] = ACTIONS(2845),
    [anon_sym_sample] = ACTIONS(2845),
    [anon_sym_linear] = ACTIONS(2845),
    [anon_sym_snorm] = ACTIONS(2845),
    [anon_sym_unorm] = ACTIONS(2845),
    [anon_sym_point] = ACTIONS(2845),
    [anon_sym_line] = ACTIONS(2845),
    [anon_sym_triangleadj] = ACTIONS(2845),
    [anon_sym_lineadj] = ACTIONS(2845),
    [anon_sym_triangle] = ACTIONS(2845),
    [anon_sym_cbuffer] = ACTIONS(2845),
  },
  [643] = {
    [sym_identifier] = ACTIONS(2853),
    [aux_sym_preproc_include_token1] = ACTIONS(2853),
    [aux_sym_preproc_def_token1] = ACTIONS(2853),
    [aux_sym_preproc_if_token1] = ACTIONS(2853),
    [aux_sym_preproc_if_token2] = ACTIONS(2853),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2853),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2853),
    [aux_sym_preproc_else_token1] = ACTIONS(2853),
    [aux_sym_preproc_elif_token1] = ACTIONS(2853),
    [sym_preproc_directive] = ACTIONS(2853),
    [anon_sym_LPAREN2] = ACTIONS(2855),
    [anon_sym_BANG] = ACTIONS(2855),
    [anon_sym_TILDE] = ACTIONS(2855),
    [anon_sym_DASH] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(2853),
    [anon_sym_STAR] = ACTIONS(2855),
    [anon_sym_AMP_AMP] = ACTIONS(2855),
    [anon_sym_AMP] = ACTIONS(2853),
    [anon_sym_SEMI] = ACTIONS(2855),
    [anon_sym___extension__] = ACTIONS(2853),
    [anon_sym_typedef] = ACTIONS(2853),
    [anon_sym_in] = ACTIONS(2853),
    [anon_sym_out] = ACTIONS(2853),
    [anon_sym_inout] = ACTIONS(2853),
    [anon_sym_extern] = ACTIONS(2853),
    [anon_sym___attribute__] = ACTIONS(2853),
    [anon_sym_COLON_COLON] = ACTIONS(2855),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2855),
    [anon_sym___declspec] = ACTIONS(2853),
    [anon_sym___based] = ACTIONS(2853),
    [anon_sym___cdecl] = ACTIONS(2853),
    [anon_sym___clrcall] = ACTIONS(2853),
    [anon_sym___stdcall] = ACTIONS(2853),
    [anon_sym___fastcall] = ACTIONS(2853),
    [anon_sym___thiscall] = ACTIONS(2853),
    [anon_sym___vectorcall] = ACTIONS(2853),
    [anon_sym_LBRACE] = ACTIONS(2855),
    [anon_sym_signed] = ACTIONS(2853),
    [anon_sym_unsigned] = ACTIONS(2853),
    [anon_sym_long] = ACTIONS(2853),
    [anon_sym_short] = ACTIONS(2853),
    [anon_sym_LBRACK] = ACTIONS(2853),
    [anon_sym_static] = ACTIONS(2853),
    [anon_sym_register] = ACTIONS(2853),
    [anon_sym_inline] = ACTIONS(2853),
    [anon_sym___inline] = ACTIONS(2853),
    [anon_sym___inline__] = ACTIONS(2853),
    [anon_sym___forceinline] = ACTIONS(2853),
    [anon_sym_thread_local] = ACTIONS(2853),
    [anon_sym___thread] = ACTIONS(2853),
    [anon_sym_const] = ACTIONS(2853),
    [anon_sym_constexpr] = ACTIONS(2853),
    [anon_sym_volatile] = ACTIONS(2853),
    [anon_sym_restrict] = ACTIONS(2853),
    [anon_sym___restrict__] = ACTIONS(2853),
    [anon_sym__Atomic] = ACTIONS(2853),
    [anon_sym__Noreturn] = ACTIONS(2853),
    [anon_sym_noreturn] = ACTIONS(2853),
    [anon_sym_mutable] = ACTIONS(2853),
    [anon_sym_constinit] = ACTIONS(2853),
    [anon_sym_consteval] = ACTIONS(2853),
    [sym_primitive_type] = ACTIONS(2853),
    [anon_sym_enum] = ACTIONS(2853),
    [anon_sym_class] = ACTIONS(2853),
    [anon_sym_struct] = ACTIONS(2853),
    [anon_sym_union] = ACTIONS(2853),
    [anon_sym_if] = ACTIONS(2853),
    [anon_sym_switch] = ACTIONS(2853),
    [anon_sym_case] = ACTIONS(2853),
    [anon_sym_default] = ACTIONS(2853),
    [anon_sym_while] = ACTIONS(2853),
    [anon_sym_do] = ACTIONS(2853),
    [anon_sym_for] = ACTIONS(2853),
    [anon_sym_return] = ACTIONS(2853),
    [anon_sym_break] = ACTIONS(2853),
    [anon_sym_continue] = ACTIONS(2853),
    [anon_sym_goto] = ACTIONS(2853),
    [anon_sym___try] = ACTIONS(2853),
    [anon_sym___leave] = ACTIONS(2853),
    [anon_sym_not] = ACTIONS(2853),
    [anon_sym_compl] = ACTIONS(2853),
    [anon_sym_DASH_DASH] = ACTIONS(2855),
    [anon_sym_PLUS_PLUS] = ACTIONS(2855),
    [anon_sym_sizeof] = ACTIONS(2853),
    [anon_sym___alignof__] = ACTIONS(2853),
    [anon_sym___alignof] = ACTIONS(2853),
    [anon_sym__alignof] = ACTIONS(2853),
    [anon_sym_alignof] = ACTIONS(2853),
    [anon_sym__Alignof] = ACTIONS(2853),
    [anon_sym_offsetof] = ACTIONS(2853),
    [anon_sym__Generic] = ACTIONS(2853),
    [anon_sym_asm] = ACTIONS(2853),
    [anon_sym___asm__] = ACTIONS(2853),
    [sym_number_literal] = ACTIONS(2855),
    [anon_sym_L_SQUOTE] = ACTIONS(2855),
    [anon_sym_u_SQUOTE] = ACTIONS(2855),
    [anon_sym_U_SQUOTE] = ACTIONS(2855),
    [anon_sym_u8_SQUOTE] = ACTIONS(2855),
    [anon_sym_SQUOTE] = ACTIONS(2855),
    [anon_sym_L_DQUOTE] = ACTIONS(2855),
    [anon_sym_u_DQUOTE] = ACTIONS(2855),
    [anon_sym_U_DQUOTE] = ACTIONS(2855),
    [anon_sym_u8_DQUOTE] = ACTIONS(2855),
    [anon_sym_DQUOTE] = ACTIONS(2855),
    [sym_true] = ACTIONS(2853),
    [sym_false] = ACTIONS(2853),
    [anon_sym_NULL] = ACTIONS(2853),
    [anon_sym_nullptr] = ACTIONS(2853),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2853),
    [anon_sym_decltype] = ACTIONS(2853),
    [anon_sym_virtual] = ACTIONS(2853),
    [anon_sym_alignas] = ACTIONS(2853),
    [anon_sym_explicit] = ACTIONS(2853),
    [anon_sym_typename] = ACTIONS(2853),
    [anon_sym_template] = ACTIONS(2853),
    [anon_sym_operator] = ACTIONS(2853),
    [anon_sym_try] = ACTIONS(2853),
    [anon_sym_delete] = ACTIONS(2853),
    [anon_sym_throw] = ACTIONS(2853),
    [anon_sym_namespace] = ACTIONS(2853),
    [anon_sym_using] = ACTIONS(2853),
    [anon_sym_static_assert] = ACTIONS(2853),
    [anon_sym_concept] = ACTIONS(2853),
    [anon_sym_co_return] = ACTIONS(2853),
    [anon_sym_co_yield] = ACTIONS(2853),
    [anon_sym_R_DQUOTE] = ACTIONS(2855),
    [anon_sym_LR_DQUOTE] = ACTIONS(2855),
    [anon_sym_uR_DQUOTE] = ACTIONS(2855),
    [anon_sym_UR_DQUOTE] = ACTIONS(2855),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2855),
    [anon_sym_co_await] = ACTIONS(2853),
    [anon_sym_new] = ACTIONS(2853),
    [anon_sym_requires] = ACTIONS(2853),
    [sym_this] = ACTIONS(2853),
    [anon_sym_discard] = ACTIONS(2853),
    [anon_sym_precise] = ACTIONS(2853),
    [anon_sym_shared] = ACTIONS(2853),
    [anon_sym_groupshared] = ACTIONS(2853),
    [anon_sym_uniform] = ACTIONS(2853),
    [anon_sym_row_major] = ACTIONS(2853),
    [anon_sym_column_major] = ACTIONS(2853),
    [anon_sym_globallycoherent] = ACTIONS(2853),
    [anon_sym_centroid] = ACTIONS(2853),
    [anon_sym_noperspective] = ACTIONS(2853),
    [anon_sym_nointerpolation] = ACTIONS(2853),
    [anon_sym_sample] = ACTIONS(2853),
    [anon_sym_linear] = ACTIONS(2853),
    [anon_sym_snorm] = ACTIONS(2853),
    [anon_sym_unorm] = ACTIONS(2853),
    [anon_sym_point] = ACTIONS(2853),
    [anon_sym_line] = ACTIONS(2853),
    [anon_sym_triangleadj] = ACTIONS(2853),
    [anon_sym_lineadj] = ACTIONS(2853),
    [anon_sym_triangle] = ACTIONS(2853),
    [anon_sym_cbuffer] = ACTIONS(2853),
  },
  [644] = {
    [sym_identifier] = ACTIONS(2633),
    [aux_sym_preproc_include_token1] = ACTIONS(2633),
    [aux_sym_preproc_def_token1] = ACTIONS(2633),
    [aux_sym_preproc_if_token1] = ACTIONS(2633),
    [aux_sym_preproc_if_token2] = ACTIONS(2633),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2633),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2633),
    [aux_sym_preproc_else_token1] = ACTIONS(2633),
    [aux_sym_preproc_elif_token1] = ACTIONS(2633),
    [sym_preproc_directive] = ACTIONS(2633),
    [anon_sym_LPAREN2] = ACTIONS(2635),
    [anon_sym_BANG] = ACTIONS(2635),
    [anon_sym_TILDE] = ACTIONS(2635),
    [anon_sym_DASH] = ACTIONS(2633),
    [anon_sym_PLUS] = ACTIONS(2633),
    [anon_sym_STAR] = ACTIONS(2635),
    [anon_sym_AMP_AMP] = ACTIONS(2635),
    [anon_sym_AMP] = ACTIONS(2633),
    [anon_sym_SEMI] = ACTIONS(2635),
    [anon_sym___extension__] = ACTIONS(2633),
    [anon_sym_typedef] = ACTIONS(2633),
    [anon_sym_in] = ACTIONS(2633),
    [anon_sym_out] = ACTIONS(2633),
    [anon_sym_inout] = ACTIONS(2633),
    [anon_sym_extern] = ACTIONS(2633),
    [anon_sym___attribute__] = ACTIONS(2633),
    [anon_sym_COLON_COLON] = ACTIONS(2635),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2635),
    [anon_sym___declspec] = ACTIONS(2633),
    [anon_sym___based] = ACTIONS(2633),
    [anon_sym___cdecl] = ACTIONS(2633),
    [anon_sym___clrcall] = ACTIONS(2633),
    [anon_sym___stdcall] = ACTIONS(2633),
    [anon_sym___fastcall] = ACTIONS(2633),
    [anon_sym___thiscall] = ACTIONS(2633),
    [anon_sym___vectorcall] = ACTIONS(2633),
    [anon_sym_LBRACE] = ACTIONS(2635),
    [anon_sym_signed] = ACTIONS(2633),
    [anon_sym_unsigned] = ACTIONS(2633),
    [anon_sym_long] = ACTIONS(2633),
    [anon_sym_short] = ACTIONS(2633),
    [anon_sym_LBRACK] = ACTIONS(2633),
    [anon_sym_static] = ACTIONS(2633),
    [anon_sym_register] = ACTIONS(2633),
    [anon_sym_inline] = ACTIONS(2633),
    [anon_sym___inline] = ACTIONS(2633),
    [anon_sym___inline__] = ACTIONS(2633),
    [anon_sym___forceinline] = ACTIONS(2633),
    [anon_sym_thread_local] = ACTIONS(2633),
    [anon_sym___thread] = ACTIONS(2633),
    [anon_sym_const] = ACTIONS(2633),
    [anon_sym_constexpr] = ACTIONS(2633),
    [anon_sym_volatile] = ACTIONS(2633),
    [anon_sym_restrict] = ACTIONS(2633),
    [anon_sym___restrict__] = ACTIONS(2633),
    [anon_sym__Atomic] = ACTIONS(2633),
    [anon_sym__Noreturn] = ACTIONS(2633),
    [anon_sym_noreturn] = ACTIONS(2633),
    [anon_sym_mutable] = ACTIONS(2633),
    [anon_sym_constinit] = ACTIONS(2633),
    [anon_sym_consteval] = ACTIONS(2633),
    [sym_primitive_type] = ACTIONS(2633),
    [anon_sym_enum] = ACTIONS(2633),
    [anon_sym_class] = ACTIONS(2633),
    [anon_sym_struct] = ACTIONS(2633),
    [anon_sym_union] = ACTIONS(2633),
    [anon_sym_if] = ACTIONS(2633),
    [anon_sym_switch] = ACTIONS(2633),
    [anon_sym_case] = ACTIONS(2633),
    [anon_sym_default] = ACTIONS(2633),
    [anon_sym_while] = ACTIONS(2633),
    [anon_sym_do] = ACTIONS(2633),
    [anon_sym_for] = ACTIONS(2633),
    [anon_sym_return] = ACTIONS(2633),
    [anon_sym_break] = ACTIONS(2633),
    [anon_sym_continue] = ACTIONS(2633),
    [anon_sym_goto] = ACTIONS(2633),
    [anon_sym___try] = ACTIONS(2633),
    [anon_sym___leave] = ACTIONS(2633),
    [anon_sym_not] = ACTIONS(2633),
    [anon_sym_compl] = ACTIONS(2633),
    [anon_sym_DASH_DASH] = ACTIONS(2635),
    [anon_sym_PLUS_PLUS] = ACTIONS(2635),
    [anon_sym_sizeof] = ACTIONS(2633),
    [anon_sym___alignof__] = ACTIONS(2633),
    [anon_sym___alignof] = ACTIONS(2633),
    [anon_sym__alignof] = ACTIONS(2633),
    [anon_sym_alignof] = ACTIONS(2633),
    [anon_sym__Alignof] = ACTIONS(2633),
    [anon_sym_offsetof] = ACTIONS(2633),
    [anon_sym__Generic] = ACTIONS(2633),
    [anon_sym_asm] = ACTIONS(2633),
    [anon_sym___asm__] = ACTIONS(2633),
    [sym_number_literal] = ACTIONS(2635),
    [anon_sym_L_SQUOTE] = ACTIONS(2635),
    [anon_sym_u_SQUOTE] = ACTIONS(2635),
    [anon_sym_U_SQUOTE] = ACTIONS(2635),
    [anon_sym_u8_SQUOTE] = ACTIONS(2635),
    [anon_sym_SQUOTE] = ACTIONS(2635),
    [anon_sym_L_DQUOTE] = ACTIONS(2635),
    [anon_sym_u_DQUOTE] = ACTIONS(2635),
    [anon_sym_U_DQUOTE] = ACTIONS(2635),
    [anon_sym_u8_DQUOTE] = ACTIONS(2635),
    [anon_sym_DQUOTE] = ACTIONS(2635),
    [sym_true] = ACTIONS(2633),
    [sym_false] = ACTIONS(2633),
    [anon_sym_NULL] = ACTIONS(2633),
    [anon_sym_nullptr] = ACTIONS(2633),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2633),
    [anon_sym_decltype] = ACTIONS(2633),
    [anon_sym_virtual] = ACTIONS(2633),
    [anon_sym_alignas] = ACTIONS(2633),
    [anon_sym_explicit] = ACTIONS(2633),
    [anon_sym_typename] = ACTIONS(2633),
    [anon_sym_template] = ACTIONS(2633),
    [anon_sym_operator] = ACTIONS(2633),
    [anon_sym_try] = ACTIONS(2633),
    [anon_sym_delete] = ACTIONS(2633),
    [anon_sym_throw] = ACTIONS(2633),
    [anon_sym_namespace] = ACTIONS(2633),
    [anon_sym_using] = ACTIONS(2633),
    [anon_sym_static_assert] = ACTIONS(2633),
    [anon_sym_concept] = ACTIONS(2633),
    [anon_sym_co_return] = ACTIONS(2633),
    [anon_sym_co_yield] = ACTIONS(2633),
    [anon_sym_R_DQUOTE] = ACTIONS(2635),
    [anon_sym_LR_DQUOTE] = ACTIONS(2635),
    [anon_sym_uR_DQUOTE] = ACTIONS(2635),
    [anon_sym_UR_DQUOTE] = ACTIONS(2635),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2635),
    [anon_sym_co_await] = ACTIONS(2633),
    [anon_sym_new] = ACTIONS(2633),
    [anon_sym_requires] = ACTIONS(2633),
    [sym_this] = ACTIONS(2633),
    [anon_sym_discard] = ACTIONS(2633),
    [anon_sym_precise] = ACTIONS(2633),
    [anon_sym_shared] = ACTIONS(2633),
    [anon_sym_groupshared] = ACTIONS(2633),
    [anon_sym_uniform] = ACTIONS(2633),
    [anon_sym_row_major] = ACTIONS(2633),
    [anon_sym_column_major] = ACTIONS(2633),
    [anon_sym_globallycoherent] = ACTIONS(2633),
    [anon_sym_centroid] = ACTIONS(2633),
    [anon_sym_noperspective] = ACTIONS(2633),
    [anon_sym_nointerpolation] = ACTIONS(2633),
    [anon_sym_sample] = ACTIONS(2633),
    [anon_sym_linear] = ACTIONS(2633),
    [anon_sym_snorm] = ACTIONS(2633),
    [anon_sym_unorm] = ACTIONS(2633),
    [anon_sym_point] = ACTIONS(2633),
    [anon_sym_line] = ACTIONS(2633),
    [anon_sym_triangleadj] = ACTIONS(2633),
    [anon_sym_lineadj] = ACTIONS(2633),
    [anon_sym_triangle] = ACTIONS(2633),
    [anon_sym_cbuffer] = ACTIONS(2633),
  },
  [645] = {
    [sym_identifier] = ACTIONS(2825),
    [aux_sym_preproc_include_token1] = ACTIONS(2825),
    [aux_sym_preproc_def_token1] = ACTIONS(2825),
    [aux_sym_preproc_if_token1] = ACTIONS(2825),
    [aux_sym_preproc_if_token2] = ACTIONS(2825),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2825),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2825),
    [aux_sym_preproc_else_token1] = ACTIONS(2825),
    [aux_sym_preproc_elif_token1] = ACTIONS(2825),
    [sym_preproc_directive] = ACTIONS(2825),
    [anon_sym_LPAREN2] = ACTIONS(2827),
    [anon_sym_BANG] = ACTIONS(2827),
    [anon_sym_TILDE] = ACTIONS(2827),
    [anon_sym_DASH] = ACTIONS(2825),
    [anon_sym_PLUS] = ACTIONS(2825),
    [anon_sym_STAR] = ACTIONS(2827),
    [anon_sym_AMP_AMP] = ACTIONS(2827),
    [anon_sym_AMP] = ACTIONS(2825),
    [anon_sym_SEMI] = ACTIONS(2827),
    [anon_sym___extension__] = ACTIONS(2825),
    [anon_sym_typedef] = ACTIONS(2825),
    [anon_sym_in] = ACTIONS(2825),
    [anon_sym_out] = ACTIONS(2825),
    [anon_sym_inout] = ACTIONS(2825),
    [anon_sym_extern] = ACTIONS(2825),
    [anon_sym___attribute__] = ACTIONS(2825),
    [anon_sym_COLON_COLON] = ACTIONS(2827),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2827),
    [anon_sym___declspec] = ACTIONS(2825),
    [anon_sym___based] = ACTIONS(2825),
    [anon_sym___cdecl] = ACTIONS(2825),
    [anon_sym___clrcall] = ACTIONS(2825),
    [anon_sym___stdcall] = ACTIONS(2825),
    [anon_sym___fastcall] = ACTIONS(2825),
    [anon_sym___thiscall] = ACTIONS(2825),
    [anon_sym___vectorcall] = ACTIONS(2825),
    [anon_sym_LBRACE] = ACTIONS(2827),
    [anon_sym_signed] = ACTIONS(2825),
    [anon_sym_unsigned] = ACTIONS(2825),
    [anon_sym_long] = ACTIONS(2825),
    [anon_sym_short] = ACTIONS(2825),
    [anon_sym_LBRACK] = ACTIONS(2825),
    [anon_sym_static] = ACTIONS(2825),
    [anon_sym_register] = ACTIONS(2825),
    [anon_sym_inline] = ACTIONS(2825),
    [anon_sym___inline] = ACTIONS(2825),
    [anon_sym___inline__] = ACTIONS(2825),
    [anon_sym___forceinline] = ACTIONS(2825),
    [anon_sym_thread_local] = ACTIONS(2825),
    [anon_sym___thread] = ACTIONS(2825),
    [anon_sym_const] = ACTIONS(2825),
    [anon_sym_constexpr] = ACTIONS(2825),
    [anon_sym_volatile] = ACTIONS(2825),
    [anon_sym_restrict] = ACTIONS(2825),
    [anon_sym___restrict__] = ACTIONS(2825),
    [anon_sym__Atomic] = ACTIONS(2825),
    [anon_sym__Noreturn] = ACTIONS(2825),
    [anon_sym_noreturn] = ACTIONS(2825),
    [anon_sym_mutable] = ACTIONS(2825),
    [anon_sym_constinit] = ACTIONS(2825),
    [anon_sym_consteval] = ACTIONS(2825),
    [sym_primitive_type] = ACTIONS(2825),
    [anon_sym_enum] = ACTIONS(2825),
    [anon_sym_class] = ACTIONS(2825),
    [anon_sym_struct] = ACTIONS(2825),
    [anon_sym_union] = ACTIONS(2825),
    [anon_sym_if] = ACTIONS(2825),
    [anon_sym_switch] = ACTIONS(2825),
    [anon_sym_case] = ACTIONS(2825),
    [anon_sym_default] = ACTIONS(2825),
    [anon_sym_while] = ACTIONS(2825),
    [anon_sym_do] = ACTIONS(2825),
    [anon_sym_for] = ACTIONS(2825),
    [anon_sym_return] = ACTIONS(2825),
    [anon_sym_break] = ACTIONS(2825),
    [anon_sym_continue] = ACTIONS(2825),
    [anon_sym_goto] = ACTIONS(2825),
    [anon_sym___try] = ACTIONS(2825),
    [anon_sym___leave] = ACTIONS(2825),
    [anon_sym_not] = ACTIONS(2825),
    [anon_sym_compl] = ACTIONS(2825),
    [anon_sym_DASH_DASH] = ACTIONS(2827),
    [anon_sym_PLUS_PLUS] = ACTIONS(2827),
    [anon_sym_sizeof] = ACTIONS(2825),
    [anon_sym___alignof__] = ACTIONS(2825),
    [anon_sym___alignof] = ACTIONS(2825),
    [anon_sym__alignof] = ACTIONS(2825),
    [anon_sym_alignof] = ACTIONS(2825),
    [anon_sym__Alignof] = ACTIONS(2825),
    [anon_sym_offsetof] = ACTIONS(2825),
    [anon_sym__Generic] = ACTIONS(2825),
    [anon_sym_asm] = ACTIONS(2825),
    [anon_sym___asm__] = ACTIONS(2825),
    [sym_number_literal] = ACTIONS(2827),
    [anon_sym_L_SQUOTE] = ACTIONS(2827),
    [anon_sym_u_SQUOTE] = ACTIONS(2827),
    [anon_sym_U_SQUOTE] = ACTIONS(2827),
    [anon_sym_u8_SQUOTE] = ACTIONS(2827),
    [anon_sym_SQUOTE] = ACTIONS(2827),
    [anon_sym_L_DQUOTE] = ACTIONS(2827),
    [anon_sym_u_DQUOTE] = ACTIONS(2827),
    [anon_sym_U_DQUOTE] = ACTIONS(2827),
    [anon_sym_u8_DQUOTE] = ACTIONS(2827),
    [anon_sym_DQUOTE] = ACTIONS(2827),
    [sym_true] = ACTIONS(2825),
    [sym_false] = ACTIONS(2825),
    [anon_sym_NULL] = ACTIONS(2825),
    [anon_sym_nullptr] = ACTIONS(2825),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2825),
    [anon_sym_decltype] = ACTIONS(2825),
    [anon_sym_virtual] = ACTIONS(2825),
    [anon_sym_alignas] = ACTIONS(2825),
    [anon_sym_explicit] = ACTIONS(2825),
    [anon_sym_typename] = ACTIONS(2825),
    [anon_sym_template] = ACTIONS(2825),
    [anon_sym_operator] = ACTIONS(2825),
    [anon_sym_try] = ACTIONS(2825),
    [anon_sym_delete] = ACTIONS(2825),
    [anon_sym_throw] = ACTIONS(2825),
    [anon_sym_namespace] = ACTIONS(2825),
    [anon_sym_using] = ACTIONS(2825),
    [anon_sym_static_assert] = ACTIONS(2825),
    [anon_sym_concept] = ACTIONS(2825),
    [anon_sym_co_return] = ACTIONS(2825),
    [anon_sym_co_yield] = ACTIONS(2825),
    [anon_sym_R_DQUOTE] = ACTIONS(2827),
    [anon_sym_LR_DQUOTE] = ACTIONS(2827),
    [anon_sym_uR_DQUOTE] = ACTIONS(2827),
    [anon_sym_UR_DQUOTE] = ACTIONS(2827),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2827),
    [anon_sym_co_await] = ACTIONS(2825),
    [anon_sym_new] = ACTIONS(2825),
    [anon_sym_requires] = ACTIONS(2825),
    [sym_this] = ACTIONS(2825),
    [anon_sym_discard] = ACTIONS(2825),
    [anon_sym_precise] = ACTIONS(2825),
    [anon_sym_shared] = ACTIONS(2825),
    [anon_sym_groupshared] = ACTIONS(2825),
    [anon_sym_uniform] = ACTIONS(2825),
    [anon_sym_row_major] = ACTIONS(2825),
    [anon_sym_column_major] = ACTIONS(2825),
    [anon_sym_globallycoherent] = ACTIONS(2825),
    [anon_sym_centroid] = ACTIONS(2825),
    [anon_sym_noperspective] = ACTIONS(2825),
    [anon_sym_nointerpolation] = ACTIONS(2825),
    [anon_sym_sample] = ACTIONS(2825),
    [anon_sym_linear] = ACTIONS(2825),
    [anon_sym_snorm] = ACTIONS(2825),
    [anon_sym_unorm] = ACTIONS(2825),
    [anon_sym_point] = ACTIONS(2825),
    [anon_sym_line] = ACTIONS(2825),
    [anon_sym_triangleadj] = ACTIONS(2825),
    [anon_sym_lineadj] = ACTIONS(2825),
    [anon_sym_triangle] = ACTIONS(2825),
    [anon_sym_cbuffer] = ACTIONS(2825),
  },
  [646] = {
    [sym_else_clause] = STATE(789),
    [ts_builtin_sym_end] = ACTIONS(2293),
    [sym_identifier] = ACTIONS(2291),
    [aux_sym_preproc_include_token1] = ACTIONS(2291),
    [aux_sym_preproc_def_token1] = ACTIONS(2291),
    [aux_sym_preproc_if_token1] = ACTIONS(2291),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2291),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2291),
    [sym_preproc_directive] = ACTIONS(2291),
    [anon_sym_LPAREN2] = ACTIONS(2293),
    [anon_sym_BANG] = ACTIONS(2293),
    [anon_sym_TILDE] = ACTIONS(2293),
    [anon_sym_DASH] = ACTIONS(2291),
    [anon_sym_PLUS] = ACTIONS(2291),
    [anon_sym_STAR] = ACTIONS(2293),
    [anon_sym_AMP_AMP] = ACTIONS(2293),
    [anon_sym_AMP] = ACTIONS(2291),
    [anon_sym_SEMI] = ACTIONS(2293),
    [anon_sym___extension__] = ACTIONS(2291),
    [anon_sym_typedef] = ACTIONS(2291),
    [anon_sym_in] = ACTIONS(2291),
    [anon_sym_out] = ACTIONS(2291),
    [anon_sym_inout] = ACTIONS(2291),
    [anon_sym_extern] = ACTIONS(2291),
    [anon_sym___attribute__] = ACTIONS(2291),
    [anon_sym_COLON_COLON] = ACTIONS(2293),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2293),
    [anon_sym___declspec] = ACTIONS(2291),
    [anon_sym___based] = ACTIONS(2291),
    [anon_sym___cdecl] = ACTIONS(2291),
    [anon_sym___clrcall] = ACTIONS(2291),
    [anon_sym___stdcall] = ACTIONS(2291),
    [anon_sym___fastcall] = ACTIONS(2291),
    [anon_sym___thiscall] = ACTIONS(2291),
    [anon_sym___vectorcall] = ACTIONS(2291),
    [anon_sym_LBRACE] = ACTIONS(2293),
    [anon_sym_signed] = ACTIONS(2291),
    [anon_sym_unsigned] = ACTIONS(2291),
    [anon_sym_long] = ACTIONS(2291),
    [anon_sym_short] = ACTIONS(2291),
    [anon_sym_LBRACK] = ACTIONS(2291),
    [anon_sym_static] = ACTIONS(2291),
    [anon_sym_register] = ACTIONS(2291),
    [anon_sym_inline] = ACTIONS(2291),
    [anon_sym___inline] = ACTIONS(2291),
    [anon_sym___inline__] = ACTIONS(2291),
    [anon_sym___forceinline] = ACTIONS(2291),
    [anon_sym_thread_local] = ACTIONS(2291),
    [anon_sym___thread] = ACTIONS(2291),
    [anon_sym_const] = ACTIONS(2291),
    [anon_sym_constexpr] = ACTIONS(2291),
    [anon_sym_volatile] = ACTIONS(2291),
    [anon_sym_restrict] = ACTIONS(2291),
    [anon_sym___restrict__] = ACTIONS(2291),
    [anon_sym__Atomic] = ACTIONS(2291),
    [anon_sym__Noreturn] = ACTIONS(2291),
    [anon_sym_noreturn] = ACTIONS(2291),
    [anon_sym_mutable] = ACTIONS(2291),
    [anon_sym_constinit] = ACTIONS(2291),
    [anon_sym_consteval] = ACTIONS(2291),
    [sym_primitive_type] = ACTIONS(2291),
    [anon_sym_enum] = ACTIONS(2291),
    [anon_sym_class] = ACTIONS(2291),
    [anon_sym_struct] = ACTIONS(2291),
    [anon_sym_union] = ACTIONS(2291),
    [anon_sym_if] = ACTIONS(2291),
    [anon_sym_else] = ACTIONS(2944),
    [anon_sym_switch] = ACTIONS(2291),
    [anon_sym_case] = ACTIONS(2291),
    [anon_sym_default] = ACTIONS(2291),
    [anon_sym_while] = ACTIONS(2291),
    [anon_sym_do] = ACTIONS(2291),
    [anon_sym_for] = ACTIONS(2291),
    [anon_sym_return] = ACTIONS(2291),
    [anon_sym_break] = ACTIONS(2291),
    [anon_sym_continue] = ACTIONS(2291),
    [anon_sym_goto] = ACTIONS(2291),
    [anon_sym___try] = ACTIONS(2291),
    [anon_sym___leave] = ACTIONS(2291),
    [anon_sym_not] = ACTIONS(2291),
    [anon_sym_compl] = ACTIONS(2291),
    [anon_sym_DASH_DASH] = ACTIONS(2293),
    [anon_sym_PLUS_PLUS] = ACTIONS(2293),
    [anon_sym_sizeof] = ACTIONS(2291),
    [anon_sym___alignof__] = ACTIONS(2291),
    [anon_sym___alignof] = ACTIONS(2291),
    [anon_sym__alignof] = ACTIONS(2291),
    [anon_sym_alignof] = ACTIONS(2291),
    [anon_sym__Alignof] = ACTIONS(2291),
    [anon_sym_offsetof] = ACTIONS(2291),
    [anon_sym__Generic] = ACTIONS(2291),
    [anon_sym_asm] = ACTIONS(2291),
    [anon_sym___asm__] = ACTIONS(2291),
    [sym_number_literal] = ACTIONS(2293),
    [anon_sym_L_SQUOTE] = ACTIONS(2293),
    [anon_sym_u_SQUOTE] = ACTIONS(2293),
    [anon_sym_U_SQUOTE] = ACTIONS(2293),
    [anon_sym_u8_SQUOTE] = ACTIONS(2293),
    [anon_sym_SQUOTE] = ACTIONS(2293),
    [anon_sym_L_DQUOTE] = ACTIONS(2293),
    [anon_sym_u_DQUOTE] = ACTIONS(2293),
    [anon_sym_U_DQUOTE] = ACTIONS(2293),
    [anon_sym_u8_DQUOTE] = ACTIONS(2293),
    [anon_sym_DQUOTE] = ACTIONS(2293),
    [sym_true] = ACTIONS(2291),
    [sym_false] = ACTIONS(2291),
    [anon_sym_NULL] = ACTIONS(2291),
    [anon_sym_nullptr] = ACTIONS(2291),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2291),
    [anon_sym_decltype] = ACTIONS(2291),
    [anon_sym_virtual] = ACTIONS(2291),
    [anon_sym_alignas] = ACTIONS(2291),
    [anon_sym_explicit] = ACTIONS(2291),
    [anon_sym_typename] = ACTIONS(2291),
    [anon_sym_template] = ACTIONS(2291),
    [anon_sym_operator] = ACTIONS(2291),
    [anon_sym_try] = ACTIONS(2291),
    [anon_sym_delete] = ACTIONS(2291),
    [anon_sym_throw] = ACTIONS(2291),
    [anon_sym_namespace] = ACTIONS(2291),
    [anon_sym_using] = ACTIONS(2291),
    [anon_sym_static_assert] = ACTIONS(2291),
    [anon_sym_concept] = ACTIONS(2291),
    [anon_sym_co_return] = ACTIONS(2291),
    [anon_sym_co_yield] = ACTIONS(2291),
    [anon_sym_R_DQUOTE] = ACTIONS(2293),
    [anon_sym_LR_DQUOTE] = ACTIONS(2293),
    [anon_sym_uR_DQUOTE] = ACTIONS(2293),
    [anon_sym_UR_DQUOTE] = ACTIONS(2293),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2293),
    [anon_sym_co_await] = ACTIONS(2291),
    [anon_sym_new] = ACTIONS(2291),
    [anon_sym_requires] = ACTIONS(2291),
    [sym_this] = ACTIONS(2291),
    [anon_sym_discard] = ACTIONS(2291),
    [anon_sym_precise] = ACTIONS(2291),
    [anon_sym_shared] = ACTIONS(2291),
    [anon_sym_groupshared] = ACTIONS(2291),
    [anon_sym_uniform] = ACTIONS(2291),
    [anon_sym_row_major] = ACTIONS(2291),
    [anon_sym_column_major] = ACTIONS(2291),
    [anon_sym_globallycoherent] = ACTIONS(2291),
    [anon_sym_centroid] = ACTIONS(2291),
    [anon_sym_noperspective] = ACTIONS(2291),
    [anon_sym_nointerpolation] = ACTIONS(2291),
    [anon_sym_sample] = ACTIONS(2291),
    [anon_sym_linear] = ACTIONS(2291),
    [anon_sym_snorm] = ACTIONS(2291),
    [anon_sym_unorm] = ACTIONS(2291),
    [anon_sym_point] = ACTIONS(2291),
    [anon_sym_line] = ACTIONS(2291),
    [anon_sym_triangleadj] = ACTIONS(2291),
    [anon_sym_lineadj] = ACTIONS(2291),
    [anon_sym_triangle] = ACTIONS(2291),
    [anon_sym_cbuffer] = ACTIONS(2291),
  },
  [647] = {
    [sym_identifier] = ACTIONS(2206),
    [aux_sym_preproc_include_token1] = ACTIONS(2206),
    [aux_sym_preproc_def_token1] = ACTIONS(2206),
    [aux_sym_preproc_if_token1] = ACTIONS(2206),
    [aux_sym_preproc_if_token2] = ACTIONS(2206),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2206),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2206),
    [sym_preproc_directive] = ACTIONS(2206),
    [anon_sym_LPAREN2] = ACTIONS(2204),
    [anon_sym_BANG] = ACTIONS(2204),
    [anon_sym_TILDE] = ACTIONS(2204),
    [anon_sym_DASH] = ACTIONS(2206),
    [anon_sym_PLUS] = ACTIONS(2206),
    [anon_sym_STAR] = ACTIONS(2204),
    [anon_sym_AMP_AMP] = ACTIONS(2204),
    [anon_sym_AMP] = ACTIONS(2206),
    [anon_sym_SEMI] = ACTIONS(2204),
    [anon_sym___extension__] = ACTIONS(2206),
    [anon_sym_typedef] = ACTIONS(2206),
    [anon_sym_in] = ACTIONS(2206),
    [anon_sym_out] = ACTIONS(2206),
    [anon_sym_inout] = ACTIONS(2206),
    [anon_sym_extern] = ACTIONS(2206),
    [anon_sym___attribute__] = ACTIONS(2206),
    [anon_sym_COLON_COLON] = ACTIONS(2204),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2204),
    [anon_sym___declspec] = ACTIONS(2206),
    [anon_sym___based] = ACTIONS(2206),
    [anon_sym___cdecl] = ACTIONS(2206),
    [anon_sym___clrcall] = ACTIONS(2206),
    [anon_sym___stdcall] = ACTIONS(2206),
    [anon_sym___fastcall] = ACTIONS(2206),
    [anon_sym___thiscall] = ACTIONS(2206),
    [anon_sym___vectorcall] = ACTIONS(2206),
    [anon_sym_LBRACE] = ACTIONS(2204),
    [anon_sym_signed] = ACTIONS(2206),
    [anon_sym_unsigned] = ACTIONS(2206),
    [anon_sym_long] = ACTIONS(2206),
    [anon_sym_short] = ACTIONS(2206),
    [anon_sym_LBRACK] = ACTIONS(2206),
    [anon_sym_static] = ACTIONS(2206),
    [anon_sym_register] = ACTIONS(2206),
    [anon_sym_inline] = ACTIONS(2206),
    [anon_sym___inline] = ACTIONS(2206),
    [anon_sym___inline__] = ACTIONS(2206),
    [anon_sym___forceinline] = ACTIONS(2206),
    [anon_sym_thread_local] = ACTIONS(2206),
    [anon_sym___thread] = ACTIONS(2206),
    [anon_sym_const] = ACTIONS(2206),
    [anon_sym_constexpr] = ACTIONS(2206),
    [anon_sym_volatile] = ACTIONS(2206),
    [anon_sym_restrict] = ACTIONS(2206),
    [anon_sym___restrict__] = ACTIONS(2206),
    [anon_sym__Atomic] = ACTIONS(2206),
    [anon_sym__Noreturn] = ACTIONS(2206),
    [anon_sym_noreturn] = ACTIONS(2206),
    [anon_sym_mutable] = ACTIONS(2206),
    [anon_sym_constinit] = ACTIONS(2206),
    [anon_sym_consteval] = ACTIONS(2206),
    [sym_primitive_type] = ACTIONS(2206),
    [anon_sym_enum] = ACTIONS(2206),
    [anon_sym_class] = ACTIONS(2206),
    [anon_sym_struct] = ACTIONS(2206),
    [anon_sym_union] = ACTIONS(2206),
    [anon_sym_if] = ACTIONS(2206),
    [anon_sym_else] = ACTIONS(2206),
    [anon_sym_switch] = ACTIONS(2206),
    [anon_sym_case] = ACTIONS(2206),
    [anon_sym_default] = ACTIONS(2206),
    [anon_sym_while] = ACTIONS(2206),
    [anon_sym_do] = ACTIONS(2206),
    [anon_sym_for] = ACTIONS(2206),
    [anon_sym_return] = ACTIONS(2206),
    [anon_sym_break] = ACTIONS(2206),
    [anon_sym_continue] = ACTIONS(2206),
    [anon_sym_goto] = ACTIONS(2206),
    [anon_sym___try] = ACTIONS(2206),
    [anon_sym___leave] = ACTIONS(2206),
    [anon_sym_not] = ACTIONS(2206),
    [anon_sym_compl] = ACTIONS(2206),
    [anon_sym_DASH_DASH] = ACTIONS(2204),
    [anon_sym_PLUS_PLUS] = ACTIONS(2204),
    [anon_sym_sizeof] = ACTIONS(2206),
    [anon_sym___alignof__] = ACTIONS(2206),
    [anon_sym___alignof] = ACTIONS(2206),
    [anon_sym__alignof] = ACTIONS(2206),
    [anon_sym_alignof] = ACTIONS(2206),
    [anon_sym__Alignof] = ACTIONS(2206),
    [anon_sym_offsetof] = ACTIONS(2206),
    [anon_sym__Generic] = ACTIONS(2206),
    [anon_sym_asm] = ACTIONS(2206),
    [anon_sym___asm__] = ACTIONS(2206),
    [sym_number_literal] = ACTIONS(2204),
    [anon_sym_L_SQUOTE] = ACTIONS(2204),
    [anon_sym_u_SQUOTE] = ACTIONS(2204),
    [anon_sym_U_SQUOTE] = ACTIONS(2204),
    [anon_sym_u8_SQUOTE] = ACTIONS(2204),
    [anon_sym_SQUOTE] = ACTIONS(2204),
    [anon_sym_L_DQUOTE] = ACTIONS(2204),
    [anon_sym_u_DQUOTE] = ACTIONS(2204),
    [anon_sym_U_DQUOTE] = ACTIONS(2204),
    [anon_sym_u8_DQUOTE] = ACTIONS(2204),
    [anon_sym_DQUOTE] = ACTIONS(2204),
    [sym_true] = ACTIONS(2206),
    [sym_false] = ACTIONS(2206),
    [anon_sym_NULL] = ACTIONS(2206),
    [anon_sym_nullptr] = ACTIONS(2206),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2206),
    [anon_sym_decltype] = ACTIONS(2206),
    [anon_sym_virtual] = ACTIONS(2206),
    [anon_sym_alignas] = ACTIONS(2206),
    [anon_sym_explicit] = ACTIONS(2206),
    [anon_sym_typename] = ACTIONS(2206),
    [anon_sym_template] = ACTIONS(2206),
    [anon_sym_operator] = ACTIONS(2206),
    [anon_sym_try] = ACTIONS(2206),
    [anon_sym_delete] = ACTIONS(2206),
    [anon_sym_throw] = ACTIONS(2206),
    [anon_sym_namespace] = ACTIONS(2206),
    [anon_sym_using] = ACTIONS(2206),
    [anon_sym_static_assert] = ACTIONS(2206),
    [anon_sym_concept] = ACTIONS(2206),
    [anon_sym_co_return] = ACTIONS(2206),
    [anon_sym_co_yield] = ACTIONS(2206),
    [anon_sym_catch] = ACTIONS(2206),
    [anon_sym_R_DQUOTE] = ACTIONS(2204),
    [anon_sym_LR_DQUOTE] = ACTIONS(2204),
    [anon_sym_uR_DQUOTE] = ACTIONS(2204),
    [anon_sym_UR_DQUOTE] = ACTIONS(2204),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2204),
    [anon_sym_co_await] = ACTIONS(2206),
    [anon_sym_new] = ACTIONS(2206),
    [anon_sym_requires] = ACTIONS(2206),
    [sym_this] = ACTIONS(2206),
    [anon_sym_discard] = ACTIONS(2206),
    [anon_sym_precise] = ACTIONS(2206),
    [anon_sym_shared] = ACTIONS(2206),
    [anon_sym_groupshared] = ACTIONS(2206),
    [anon_sym_uniform] = ACTIONS(2206),
    [anon_sym_row_major] = ACTIONS(2206),
    [anon_sym_column_major] = ACTIONS(2206),
    [anon_sym_globallycoherent] = ACTIONS(2206),
    [anon_sym_centroid] = ACTIONS(2206),
    [anon_sym_noperspective] = ACTIONS(2206),
    [anon_sym_nointerpolation] = ACTIONS(2206),
    [anon_sym_sample] = ACTIONS(2206),
    [anon_sym_linear] = ACTIONS(2206),
    [anon_sym_snorm] = ACTIONS(2206),
    [anon_sym_unorm] = ACTIONS(2206),
    [anon_sym_point] = ACTIONS(2206),
    [anon_sym_line] = ACTIONS(2206),
    [anon_sym_triangleadj] = ACTIONS(2206),
    [anon_sym_lineadj] = ACTIONS(2206),
    [anon_sym_triangle] = ACTIONS(2206),
    [anon_sym_cbuffer] = ACTIONS(2206),
  },
  [648] = {
    [sym_identifier] = ACTIONS(2777),
    [aux_sym_preproc_include_token1] = ACTIONS(2777),
    [aux_sym_preproc_def_token1] = ACTIONS(2777),
    [aux_sym_preproc_if_token1] = ACTIONS(2777),
    [aux_sym_preproc_if_token2] = ACTIONS(2777),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2777),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2777),
    [aux_sym_preproc_else_token1] = ACTIONS(2777),
    [aux_sym_preproc_elif_token1] = ACTIONS(2777),
    [sym_preproc_directive] = ACTIONS(2777),
    [anon_sym_LPAREN2] = ACTIONS(2779),
    [anon_sym_BANG] = ACTIONS(2779),
    [anon_sym_TILDE] = ACTIONS(2779),
    [anon_sym_DASH] = ACTIONS(2777),
    [anon_sym_PLUS] = ACTIONS(2777),
    [anon_sym_STAR] = ACTIONS(2779),
    [anon_sym_AMP_AMP] = ACTIONS(2779),
    [anon_sym_AMP] = ACTIONS(2777),
    [anon_sym_SEMI] = ACTIONS(2779),
    [anon_sym___extension__] = ACTIONS(2777),
    [anon_sym_typedef] = ACTIONS(2777),
    [anon_sym_in] = ACTIONS(2777),
    [anon_sym_out] = ACTIONS(2777),
    [anon_sym_inout] = ACTIONS(2777),
    [anon_sym_extern] = ACTIONS(2777),
    [anon_sym___attribute__] = ACTIONS(2777),
    [anon_sym_COLON_COLON] = ACTIONS(2779),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2779),
    [anon_sym___declspec] = ACTIONS(2777),
    [anon_sym___based] = ACTIONS(2777),
    [anon_sym___cdecl] = ACTIONS(2777),
    [anon_sym___clrcall] = ACTIONS(2777),
    [anon_sym___stdcall] = ACTIONS(2777),
    [anon_sym___fastcall] = ACTIONS(2777),
    [anon_sym___thiscall] = ACTIONS(2777),
    [anon_sym___vectorcall] = ACTIONS(2777),
    [anon_sym_LBRACE] = ACTIONS(2779),
    [anon_sym_signed] = ACTIONS(2777),
    [anon_sym_unsigned] = ACTIONS(2777),
    [anon_sym_long] = ACTIONS(2777),
    [anon_sym_short] = ACTIONS(2777),
    [anon_sym_LBRACK] = ACTIONS(2777),
    [anon_sym_static] = ACTIONS(2777),
    [anon_sym_register] = ACTIONS(2777),
    [anon_sym_inline] = ACTIONS(2777),
    [anon_sym___inline] = ACTIONS(2777),
    [anon_sym___inline__] = ACTIONS(2777),
    [anon_sym___forceinline] = ACTIONS(2777),
    [anon_sym_thread_local] = ACTIONS(2777),
    [anon_sym___thread] = ACTIONS(2777),
    [anon_sym_const] = ACTIONS(2777),
    [anon_sym_constexpr] = ACTIONS(2777),
    [anon_sym_volatile] = ACTIONS(2777),
    [anon_sym_restrict] = ACTIONS(2777),
    [anon_sym___restrict__] = ACTIONS(2777),
    [anon_sym__Atomic] = ACTIONS(2777),
    [anon_sym__Noreturn] = ACTIONS(2777),
    [anon_sym_noreturn] = ACTIONS(2777),
    [anon_sym_mutable] = ACTIONS(2777),
    [anon_sym_constinit] = ACTIONS(2777),
    [anon_sym_consteval] = ACTIONS(2777),
    [sym_primitive_type] = ACTIONS(2777),
    [anon_sym_enum] = ACTIONS(2777),
    [anon_sym_class] = ACTIONS(2777),
    [anon_sym_struct] = ACTIONS(2777),
    [anon_sym_union] = ACTIONS(2777),
    [anon_sym_if] = ACTIONS(2777),
    [anon_sym_switch] = ACTIONS(2777),
    [anon_sym_case] = ACTIONS(2777),
    [anon_sym_default] = ACTIONS(2777),
    [anon_sym_while] = ACTIONS(2777),
    [anon_sym_do] = ACTIONS(2777),
    [anon_sym_for] = ACTIONS(2777),
    [anon_sym_return] = ACTIONS(2777),
    [anon_sym_break] = ACTIONS(2777),
    [anon_sym_continue] = ACTIONS(2777),
    [anon_sym_goto] = ACTIONS(2777),
    [anon_sym___try] = ACTIONS(2777),
    [anon_sym___leave] = ACTIONS(2777),
    [anon_sym_not] = ACTIONS(2777),
    [anon_sym_compl] = ACTIONS(2777),
    [anon_sym_DASH_DASH] = ACTIONS(2779),
    [anon_sym_PLUS_PLUS] = ACTIONS(2779),
    [anon_sym_sizeof] = ACTIONS(2777),
    [anon_sym___alignof__] = ACTIONS(2777),
    [anon_sym___alignof] = ACTIONS(2777),
    [anon_sym__alignof] = ACTIONS(2777),
    [anon_sym_alignof] = ACTIONS(2777),
    [anon_sym__Alignof] = ACTIONS(2777),
    [anon_sym_offsetof] = ACTIONS(2777),
    [anon_sym__Generic] = ACTIONS(2777),
    [anon_sym_asm] = ACTIONS(2777),
    [anon_sym___asm__] = ACTIONS(2777),
    [sym_number_literal] = ACTIONS(2779),
    [anon_sym_L_SQUOTE] = ACTIONS(2779),
    [anon_sym_u_SQUOTE] = ACTIONS(2779),
    [anon_sym_U_SQUOTE] = ACTIONS(2779),
    [anon_sym_u8_SQUOTE] = ACTIONS(2779),
    [anon_sym_SQUOTE] = ACTIONS(2779),
    [anon_sym_L_DQUOTE] = ACTIONS(2779),
    [anon_sym_u_DQUOTE] = ACTIONS(2779),
    [anon_sym_U_DQUOTE] = ACTIONS(2779),
    [anon_sym_u8_DQUOTE] = ACTIONS(2779),
    [anon_sym_DQUOTE] = ACTIONS(2779),
    [sym_true] = ACTIONS(2777),
    [sym_false] = ACTIONS(2777),
    [anon_sym_NULL] = ACTIONS(2777),
    [anon_sym_nullptr] = ACTIONS(2777),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2777),
    [anon_sym_decltype] = ACTIONS(2777),
    [anon_sym_virtual] = ACTIONS(2777),
    [anon_sym_alignas] = ACTIONS(2777),
    [anon_sym_explicit] = ACTIONS(2777),
    [anon_sym_typename] = ACTIONS(2777),
    [anon_sym_template] = ACTIONS(2777),
    [anon_sym_operator] = ACTIONS(2777),
    [anon_sym_try] = ACTIONS(2777),
    [anon_sym_delete] = ACTIONS(2777),
    [anon_sym_throw] = ACTIONS(2777),
    [anon_sym_namespace] = ACTIONS(2777),
    [anon_sym_using] = ACTIONS(2777),
    [anon_sym_static_assert] = ACTIONS(2777),
    [anon_sym_concept] = ACTIONS(2777),
    [anon_sym_co_return] = ACTIONS(2777),
    [anon_sym_co_yield] = ACTIONS(2777),
    [anon_sym_R_DQUOTE] = ACTIONS(2779),
    [anon_sym_LR_DQUOTE] = ACTIONS(2779),
    [anon_sym_uR_DQUOTE] = ACTIONS(2779),
    [anon_sym_UR_DQUOTE] = ACTIONS(2779),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2779),
    [anon_sym_co_await] = ACTIONS(2777),
    [anon_sym_new] = ACTIONS(2777),
    [anon_sym_requires] = ACTIONS(2777),
    [sym_this] = ACTIONS(2777),
    [anon_sym_discard] = ACTIONS(2777),
    [anon_sym_precise] = ACTIONS(2777),
    [anon_sym_shared] = ACTIONS(2777),
    [anon_sym_groupshared] = ACTIONS(2777),
    [anon_sym_uniform] = ACTIONS(2777),
    [anon_sym_row_major] = ACTIONS(2777),
    [anon_sym_column_major] = ACTIONS(2777),
    [anon_sym_globallycoherent] = ACTIONS(2777),
    [anon_sym_centroid] = ACTIONS(2777),
    [anon_sym_noperspective] = ACTIONS(2777),
    [anon_sym_nointerpolation] = ACTIONS(2777),
    [anon_sym_sample] = ACTIONS(2777),
    [anon_sym_linear] = ACTIONS(2777),
    [anon_sym_snorm] = ACTIONS(2777),
    [anon_sym_unorm] = ACTIONS(2777),
    [anon_sym_point] = ACTIONS(2777),
    [anon_sym_line] = ACTIONS(2777),
    [anon_sym_triangleadj] = ACTIONS(2777),
    [anon_sym_lineadj] = ACTIONS(2777),
    [anon_sym_triangle] = ACTIONS(2777),
    [anon_sym_cbuffer] = ACTIONS(2777),
  },
  [649] = {
    [sym_identifier] = ACTIONS(2645),
    [aux_sym_preproc_include_token1] = ACTIONS(2645),
    [aux_sym_preproc_def_token1] = ACTIONS(2645),
    [aux_sym_preproc_if_token1] = ACTIONS(2645),
    [aux_sym_preproc_if_token2] = ACTIONS(2645),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2645),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2645),
    [aux_sym_preproc_else_token1] = ACTIONS(2645),
    [aux_sym_preproc_elif_token1] = ACTIONS(2645),
    [sym_preproc_directive] = ACTIONS(2645),
    [anon_sym_LPAREN2] = ACTIONS(2647),
    [anon_sym_BANG] = ACTIONS(2647),
    [anon_sym_TILDE] = ACTIONS(2647),
    [anon_sym_DASH] = ACTIONS(2645),
    [anon_sym_PLUS] = ACTIONS(2645),
    [anon_sym_STAR] = ACTIONS(2647),
    [anon_sym_AMP_AMP] = ACTIONS(2647),
    [anon_sym_AMP] = ACTIONS(2645),
    [anon_sym_SEMI] = ACTIONS(2647),
    [anon_sym___extension__] = ACTIONS(2645),
    [anon_sym_typedef] = ACTIONS(2645),
    [anon_sym_in] = ACTIONS(2645),
    [anon_sym_out] = ACTIONS(2645),
    [anon_sym_inout] = ACTIONS(2645),
    [anon_sym_extern] = ACTIONS(2645),
    [anon_sym___attribute__] = ACTIONS(2645),
    [anon_sym_COLON_COLON] = ACTIONS(2647),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2647),
    [anon_sym___declspec] = ACTIONS(2645),
    [anon_sym___based] = ACTIONS(2645),
    [anon_sym___cdecl] = ACTIONS(2645),
    [anon_sym___clrcall] = ACTIONS(2645),
    [anon_sym___stdcall] = ACTIONS(2645),
    [anon_sym___fastcall] = ACTIONS(2645),
    [anon_sym___thiscall] = ACTIONS(2645),
    [anon_sym___vectorcall] = ACTIONS(2645),
    [anon_sym_LBRACE] = ACTIONS(2647),
    [anon_sym_signed] = ACTIONS(2645),
    [anon_sym_unsigned] = ACTIONS(2645),
    [anon_sym_long] = ACTIONS(2645),
    [anon_sym_short] = ACTIONS(2645),
    [anon_sym_LBRACK] = ACTIONS(2645),
    [anon_sym_static] = ACTIONS(2645),
    [anon_sym_register] = ACTIONS(2645),
    [anon_sym_inline] = ACTIONS(2645),
    [anon_sym___inline] = ACTIONS(2645),
    [anon_sym___inline__] = ACTIONS(2645),
    [anon_sym___forceinline] = ACTIONS(2645),
    [anon_sym_thread_local] = ACTIONS(2645),
    [anon_sym___thread] = ACTIONS(2645),
    [anon_sym_const] = ACTIONS(2645),
    [anon_sym_constexpr] = ACTIONS(2645),
    [anon_sym_volatile] = ACTIONS(2645),
    [anon_sym_restrict] = ACTIONS(2645),
    [anon_sym___restrict__] = ACTIONS(2645),
    [anon_sym__Atomic] = ACTIONS(2645),
    [anon_sym__Noreturn] = ACTIONS(2645),
    [anon_sym_noreturn] = ACTIONS(2645),
    [anon_sym_mutable] = ACTIONS(2645),
    [anon_sym_constinit] = ACTIONS(2645),
    [anon_sym_consteval] = ACTIONS(2645),
    [sym_primitive_type] = ACTIONS(2645),
    [anon_sym_enum] = ACTIONS(2645),
    [anon_sym_class] = ACTIONS(2645),
    [anon_sym_struct] = ACTIONS(2645),
    [anon_sym_union] = ACTIONS(2645),
    [anon_sym_if] = ACTIONS(2645),
    [anon_sym_switch] = ACTIONS(2645),
    [anon_sym_case] = ACTIONS(2645),
    [anon_sym_default] = ACTIONS(2645),
    [anon_sym_while] = ACTIONS(2645),
    [anon_sym_do] = ACTIONS(2645),
    [anon_sym_for] = ACTIONS(2645),
    [anon_sym_return] = ACTIONS(2645),
    [anon_sym_break] = ACTIONS(2645),
    [anon_sym_continue] = ACTIONS(2645),
    [anon_sym_goto] = ACTIONS(2645),
    [anon_sym___try] = ACTIONS(2645),
    [anon_sym___leave] = ACTIONS(2645),
    [anon_sym_not] = ACTIONS(2645),
    [anon_sym_compl] = ACTIONS(2645),
    [anon_sym_DASH_DASH] = ACTIONS(2647),
    [anon_sym_PLUS_PLUS] = ACTIONS(2647),
    [anon_sym_sizeof] = ACTIONS(2645),
    [anon_sym___alignof__] = ACTIONS(2645),
    [anon_sym___alignof] = ACTIONS(2645),
    [anon_sym__alignof] = ACTIONS(2645),
    [anon_sym_alignof] = ACTIONS(2645),
    [anon_sym__Alignof] = ACTIONS(2645),
    [anon_sym_offsetof] = ACTIONS(2645),
    [anon_sym__Generic] = ACTIONS(2645),
    [anon_sym_asm] = ACTIONS(2645),
    [anon_sym___asm__] = ACTIONS(2645),
    [sym_number_literal] = ACTIONS(2647),
    [anon_sym_L_SQUOTE] = ACTIONS(2647),
    [anon_sym_u_SQUOTE] = ACTIONS(2647),
    [anon_sym_U_SQUOTE] = ACTIONS(2647),
    [anon_sym_u8_SQUOTE] = ACTIONS(2647),
    [anon_sym_SQUOTE] = ACTIONS(2647),
    [anon_sym_L_DQUOTE] = ACTIONS(2647),
    [anon_sym_u_DQUOTE] = ACTIONS(2647),
    [anon_sym_U_DQUOTE] = ACTIONS(2647),
    [anon_sym_u8_DQUOTE] = ACTIONS(2647),
    [anon_sym_DQUOTE] = ACTIONS(2647),
    [sym_true] = ACTIONS(2645),
    [sym_false] = ACTIONS(2645),
    [anon_sym_NULL] = ACTIONS(2645),
    [anon_sym_nullptr] = ACTIONS(2645),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2645),
    [anon_sym_decltype] = ACTIONS(2645),
    [anon_sym_virtual] = ACTIONS(2645),
    [anon_sym_alignas] = ACTIONS(2645),
    [anon_sym_explicit] = ACTIONS(2645),
    [anon_sym_typename] = ACTIONS(2645),
    [anon_sym_template] = ACTIONS(2645),
    [anon_sym_operator] = ACTIONS(2645),
    [anon_sym_try] = ACTIONS(2645),
    [anon_sym_delete] = ACTIONS(2645),
    [anon_sym_throw] = ACTIONS(2645),
    [anon_sym_namespace] = ACTIONS(2645),
    [anon_sym_using] = ACTIONS(2645),
    [anon_sym_static_assert] = ACTIONS(2645),
    [anon_sym_concept] = ACTIONS(2645),
    [anon_sym_co_return] = ACTIONS(2645),
    [anon_sym_co_yield] = ACTIONS(2645),
    [anon_sym_R_DQUOTE] = ACTIONS(2647),
    [anon_sym_LR_DQUOTE] = ACTIONS(2647),
    [anon_sym_uR_DQUOTE] = ACTIONS(2647),
    [anon_sym_UR_DQUOTE] = ACTIONS(2647),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2647),
    [anon_sym_co_await] = ACTIONS(2645),
    [anon_sym_new] = ACTIONS(2645),
    [anon_sym_requires] = ACTIONS(2645),
    [sym_this] = ACTIONS(2645),
    [anon_sym_discard] = ACTIONS(2645),
    [anon_sym_precise] = ACTIONS(2645),
    [anon_sym_shared] = ACTIONS(2645),
    [anon_sym_groupshared] = ACTIONS(2645),
    [anon_sym_uniform] = ACTIONS(2645),
    [anon_sym_row_major] = ACTIONS(2645),
    [anon_sym_column_major] = ACTIONS(2645),
    [anon_sym_globallycoherent] = ACTIONS(2645),
    [anon_sym_centroid] = ACTIONS(2645),
    [anon_sym_noperspective] = ACTIONS(2645),
    [anon_sym_nointerpolation] = ACTIONS(2645),
    [anon_sym_sample] = ACTIONS(2645),
    [anon_sym_linear] = ACTIONS(2645),
    [anon_sym_snorm] = ACTIONS(2645),
    [anon_sym_unorm] = ACTIONS(2645),
    [anon_sym_point] = ACTIONS(2645),
    [anon_sym_line] = ACTIONS(2645),
    [anon_sym_triangleadj] = ACTIONS(2645),
    [anon_sym_lineadj] = ACTIONS(2645),
    [anon_sym_triangle] = ACTIONS(2645),
    [anon_sym_cbuffer] = ACTIONS(2645),
  },
  [650] = {
    [sym_identifier] = ACTIONS(2314),
    [aux_sym_preproc_include_token1] = ACTIONS(2314),
    [aux_sym_preproc_def_token1] = ACTIONS(2314),
    [aux_sym_preproc_if_token1] = ACTIONS(2314),
    [aux_sym_preproc_if_token2] = ACTIONS(2314),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2314),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2314),
    [sym_preproc_directive] = ACTIONS(2314),
    [anon_sym_LPAREN2] = ACTIONS(2316),
    [anon_sym_BANG] = ACTIONS(2316),
    [anon_sym_TILDE] = ACTIONS(2316),
    [anon_sym_DASH] = ACTIONS(2314),
    [anon_sym_PLUS] = ACTIONS(2314),
    [anon_sym_STAR] = ACTIONS(2316),
    [anon_sym_AMP_AMP] = ACTIONS(2316),
    [anon_sym_AMP] = ACTIONS(2314),
    [anon_sym_SEMI] = ACTIONS(2316),
    [anon_sym___extension__] = ACTIONS(2314),
    [anon_sym_typedef] = ACTIONS(2314),
    [anon_sym_in] = ACTIONS(2314),
    [anon_sym_out] = ACTIONS(2314),
    [anon_sym_inout] = ACTIONS(2314),
    [anon_sym_extern] = ACTIONS(2314),
    [anon_sym___attribute__] = ACTIONS(2314),
    [anon_sym_COLON_COLON] = ACTIONS(2316),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2316),
    [anon_sym___declspec] = ACTIONS(2314),
    [anon_sym___based] = ACTIONS(2314),
    [anon_sym___cdecl] = ACTIONS(2314),
    [anon_sym___clrcall] = ACTIONS(2314),
    [anon_sym___stdcall] = ACTIONS(2314),
    [anon_sym___fastcall] = ACTIONS(2314),
    [anon_sym___thiscall] = ACTIONS(2314),
    [anon_sym___vectorcall] = ACTIONS(2314),
    [anon_sym_LBRACE] = ACTIONS(2316),
    [anon_sym_signed] = ACTIONS(2314),
    [anon_sym_unsigned] = ACTIONS(2314),
    [anon_sym_long] = ACTIONS(2314),
    [anon_sym_short] = ACTIONS(2314),
    [anon_sym_LBRACK] = ACTIONS(2314),
    [anon_sym_static] = ACTIONS(2314),
    [anon_sym_register] = ACTIONS(2314),
    [anon_sym_inline] = ACTIONS(2314),
    [anon_sym___inline] = ACTIONS(2314),
    [anon_sym___inline__] = ACTIONS(2314),
    [anon_sym___forceinline] = ACTIONS(2314),
    [anon_sym_thread_local] = ACTIONS(2314),
    [anon_sym___thread] = ACTIONS(2314),
    [anon_sym_const] = ACTIONS(2314),
    [anon_sym_constexpr] = ACTIONS(2314),
    [anon_sym_volatile] = ACTIONS(2314),
    [anon_sym_restrict] = ACTIONS(2314),
    [anon_sym___restrict__] = ACTIONS(2314),
    [anon_sym__Atomic] = ACTIONS(2314),
    [anon_sym__Noreturn] = ACTIONS(2314),
    [anon_sym_noreturn] = ACTIONS(2314),
    [anon_sym_mutable] = ACTIONS(2314),
    [anon_sym_constinit] = ACTIONS(2314),
    [anon_sym_consteval] = ACTIONS(2314),
    [sym_primitive_type] = ACTIONS(2314),
    [anon_sym_enum] = ACTIONS(2314),
    [anon_sym_class] = ACTIONS(2314),
    [anon_sym_struct] = ACTIONS(2314),
    [anon_sym_union] = ACTIONS(2314),
    [anon_sym_if] = ACTIONS(2314),
    [anon_sym_else] = ACTIONS(2314),
    [anon_sym_switch] = ACTIONS(2314),
    [anon_sym_case] = ACTIONS(2314),
    [anon_sym_default] = ACTIONS(2314),
    [anon_sym_while] = ACTIONS(2314),
    [anon_sym_do] = ACTIONS(2314),
    [anon_sym_for] = ACTIONS(2314),
    [anon_sym_return] = ACTIONS(2314),
    [anon_sym_break] = ACTIONS(2314),
    [anon_sym_continue] = ACTIONS(2314),
    [anon_sym_goto] = ACTIONS(2314),
    [anon_sym___try] = ACTIONS(2314),
    [anon_sym___leave] = ACTIONS(2314),
    [anon_sym_not] = ACTIONS(2314),
    [anon_sym_compl] = ACTIONS(2314),
    [anon_sym_DASH_DASH] = ACTIONS(2316),
    [anon_sym_PLUS_PLUS] = ACTIONS(2316),
    [anon_sym_sizeof] = ACTIONS(2314),
    [anon_sym___alignof__] = ACTIONS(2314),
    [anon_sym___alignof] = ACTIONS(2314),
    [anon_sym__alignof] = ACTIONS(2314),
    [anon_sym_alignof] = ACTIONS(2314),
    [anon_sym__Alignof] = ACTIONS(2314),
    [anon_sym_offsetof] = ACTIONS(2314),
    [anon_sym__Generic] = ACTIONS(2314),
    [anon_sym_asm] = ACTIONS(2314),
    [anon_sym___asm__] = ACTIONS(2314),
    [sym_number_literal] = ACTIONS(2316),
    [anon_sym_L_SQUOTE] = ACTIONS(2316),
    [anon_sym_u_SQUOTE] = ACTIONS(2316),
    [anon_sym_U_SQUOTE] = ACTIONS(2316),
    [anon_sym_u8_SQUOTE] = ACTIONS(2316),
    [anon_sym_SQUOTE] = ACTIONS(2316),
    [anon_sym_L_DQUOTE] = ACTIONS(2316),
    [anon_sym_u_DQUOTE] = ACTIONS(2316),
    [anon_sym_U_DQUOTE] = ACTIONS(2316),
    [anon_sym_u8_DQUOTE] = ACTIONS(2316),
    [anon_sym_DQUOTE] = ACTIONS(2316),
    [sym_true] = ACTIONS(2314),
    [sym_false] = ACTIONS(2314),
    [anon_sym_NULL] = ACTIONS(2314),
    [anon_sym_nullptr] = ACTIONS(2314),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2314),
    [anon_sym_decltype] = ACTIONS(2314),
    [anon_sym_virtual] = ACTIONS(2314),
    [anon_sym_alignas] = ACTIONS(2314),
    [anon_sym_explicit] = ACTIONS(2314),
    [anon_sym_typename] = ACTIONS(2314),
    [anon_sym_template] = ACTIONS(2314),
    [anon_sym_operator] = ACTIONS(2314),
    [anon_sym_try] = ACTIONS(2314),
    [anon_sym_delete] = ACTIONS(2314),
    [anon_sym_throw] = ACTIONS(2314),
    [anon_sym_namespace] = ACTIONS(2314),
    [anon_sym_using] = ACTIONS(2314),
    [anon_sym_static_assert] = ACTIONS(2314),
    [anon_sym_concept] = ACTIONS(2314),
    [anon_sym_co_return] = ACTIONS(2314),
    [anon_sym_co_yield] = ACTIONS(2314),
    [anon_sym_catch] = ACTIONS(2314),
    [anon_sym_R_DQUOTE] = ACTIONS(2316),
    [anon_sym_LR_DQUOTE] = ACTIONS(2316),
    [anon_sym_uR_DQUOTE] = ACTIONS(2316),
    [anon_sym_UR_DQUOTE] = ACTIONS(2316),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2316),
    [anon_sym_co_await] = ACTIONS(2314),
    [anon_sym_new] = ACTIONS(2314),
    [anon_sym_requires] = ACTIONS(2314),
    [sym_this] = ACTIONS(2314),
    [anon_sym_discard] = ACTIONS(2314),
    [anon_sym_precise] = ACTIONS(2314),
    [anon_sym_shared] = ACTIONS(2314),
    [anon_sym_groupshared] = ACTIONS(2314),
    [anon_sym_uniform] = ACTIONS(2314),
    [anon_sym_row_major] = ACTIONS(2314),
    [anon_sym_column_major] = ACTIONS(2314),
    [anon_sym_globallycoherent] = ACTIONS(2314),
    [anon_sym_centroid] = ACTIONS(2314),
    [anon_sym_noperspective] = ACTIONS(2314),
    [anon_sym_nointerpolation] = ACTIONS(2314),
    [anon_sym_sample] = ACTIONS(2314),
    [anon_sym_linear] = ACTIONS(2314),
    [anon_sym_snorm] = ACTIONS(2314),
    [anon_sym_unorm] = ACTIONS(2314),
    [anon_sym_point] = ACTIONS(2314),
    [anon_sym_line] = ACTIONS(2314),
    [anon_sym_triangleadj] = ACTIONS(2314),
    [anon_sym_lineadj] = ACTIONS(2314),
    [anon_sym_triangle] = ACTIONS(2314),
    [anon_sym_cbuffer] = ACTIONS(2314),
  },
  [651] = {
    [sym_identifier] = ACTIONS(2747),
    [aux_sym_preproc_include_token1] = ACTIONS(2747),
    [aux_sym_preproc_def_token1] = ACTIONS(2747),
    [aux_sym_preproc_if_token1] = ACTIONS(2747),
    [aux_sym_preproc_if_token2] = ACTIONS(2747),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2747),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2747),
    [aux_sym_preproc_else_token1] = ACTIONS(2747),
    [aux_sym_preproc_elif_token1] = ACTIONS(2747),
    [sym_preproc_directive] = ACTIONS(2747),
    [anon_sym_LPAREN2] = ACTIONS(2749),
    [anon_sym_BANG] = ACTIONS(2749),
    [anon_sym_TILDE] = ACTIONS(2749),
    [anon_sym_DASH] = ACTIONS(2747),
    [anon_sym_PLUS] = ACTIONS(2747),
    [anon_sym_STAR] = ACTIONS(2749),
    [anon_sym_AMP_AMP] = ACTIONS(2749),
    [anon_sym_AMP] = ACTIONS(2747),
    [anon_sym_SEMI] = ACTIONS(2749),
    [anon_sym___extension__] = ACTIONS(2747),
    [anon_sym_typedef] = ACTIONS(2747),
    [anon_sym_in] = ACTIONS(2747),
    [anon_sym_out] = ACTIONS(2747),
    [anon_sym_inout] = ACTIONS(2747),
    [anon_sym_extern] = ACTIONS(2747),
    [anon_sym___attribute__] = ACTIONS(2747),
    [anon_sym_COLON_COLON] = ACTIONS(2749),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2749),
    [anon_sym___declspec] = ACTIONS(2747),
    [anon_sym___based] = ACTIONS(2747),
    [anon_sym___cdecl] = ACTIONS(2747),
    [anon_sym___clrcall] = ACTIONS(2747),
    [anon_sym___stdcall] = ACTIONS(2747),
    [anon_sym___fastcall] = ACTIONS(2747),
    [anon_sym___thiscall] = ACTIONS(2747),
    [anon_sym___vectorcall] = ACTIONS(2747),
    [anon_sym_LBRACE] = ACTIONS(2749),
    [anon_sym_signed] = ACTIONS(2747),
    [anon_sym_unsigned] = ACTIONS(2747),
    [anon_sym_long] = ACTIONS(2747),
    [anon_sym_short] = ACTIONS(2747),
    [anon_sym_LBRACK] = ACTIONS(2747),
    [anon_sym_static] = ACTIONS(2747),
    [anon_sym_register] = ACTIONS(2747),
    [anon_sym_inline] = ACTIONS(2747),
    [anon_sym___inline] = ACTIONS(2747),
    [anon_sym___inline__] = ACTIONS(2747),
    [anon_sym___forceinline] = ACTIONS(2747),
    [anon_sym_thread_local] = ACTIONS(2747),
    [anon_sym___thread] = ACTIONS(2747),
    [anon_sym_const] = ACTIONS(2747),
    [anon_sym_constexpr] = ACTIONS(2747),
    [anon_sym_volatile] = ACTIONS(2747),
    [anon_sym_restrict] = ACTIONS(2747),
    [anon_sym___restrict__] = ACTIONS(2747),
    [anon_sym__Atomic] = ACTIONS(2747),
    [anon_sym__Noreturn] = ACTIONS(2747),
    [anon_sym_noreturn] = ACTIONS(2747),
    [anon_sym_mutable] = ACTIONS(2747),
    [anon_sym_constinit] = ACTIONS(2747),
    [anon_sym_consteval] = ACTIONS(2747),
    [sym_primitive_type] = ACTIONS(2747),
    [anon_sym_enum] = ACTIONS(2747),
    [anon_sym_class] = ACTIONS(2747),
    [anon_sym_struct] = ACTIONS(2747),
    [anon_sym_union] = ACTIONS(2747),
    [anon_sym_if] = ACTIONS(2747),
    [anon_sym_switch] = ACTIONS(2747),
    [anon_sym_case] = ACTIONS(2747),
    [anon_sym_default] = ACTIONS(2747),
    [anon_sym_while] = ACTIONS(2747),
    [anon_sym_do] = ACTIONS(2747),
    [anon_sym_for] = ACTIONS(2747),
    [anon_sym_return] = ACTIONS(2747),
    [anon_sym_break] = ACTIONS(2747),
    [anon_sym_continue] = ACTIONS(2747),
    [anon_sym_goto] = ACTIONS(2747),
    [anon_sym___try] = ACTIONS(2747),
    [anon_sym___leave] = ACTIONS(2747),
    [anon_sym_not] = ACTIONS(2747),
    [anon_sym_compl] = ACTIONS(2747),
    [anon_sym_DASH_DASH] = ACTIONS(2749),
    [anon_sym_PLUS_PLUS] = ACTIONS(2749),
    [anon_sym_sizeof] = ACTIONS(2747),
    [anon_sym___alignof__] = ACTIONS(2747),
    [anon_sym___alignof] = ACTIONS(2747),
    [anon_sym__alignof] = ACTIONS(2747),
    [anon_sym_alignof] = ACTIONS(2747),
    [anon_sym__Alignof] = ACTIONS(2747),
    [anon_sym_offsetof] = ACTIONS(2747),
    [anon_sym__Generic] = ACTIONS(2747),
    [anon_sym_asm] = ACTIONS(2747),
    [anon_sym___asm__] = ACTIONS(2747),
    [sym_number_literal] = ACTIONS(2749),
    [anon_sym_L_SQUOTE] = ACTIONS(2749),
    [anon_sym_u_SQUOTE] = ACTIONS(2749),
    [anon_sym_U_SQUOTE] = ACTIONS(2749),
    [anon_sym_u8_SQUOTE] = ACTIONS(2749),
    [anon_sym_SQUOTE] = ACTIONS(2749),
    [anon_sym_L_DQUOTE] = ACTIONS(2749),
    [anon_sym_u_DQUOTE] = ACTIONS(2749),
    [anon_sym_U_DQUOTE] = ACTIONS(2749),
    [anon_sym_u8_DQUOTE] = ACTIONS(2749),
    [anon_sym_DQUOTE] = ACTIONS(2749),
    [sym_true] = ACTIONS(2747),
    [sym_false] = ACTIONS(2747),
    [anon_sym_NULL] = ACTIONS(2747),
    [anon_sym_nullptr] = ACTIONS(2747),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2747),
    [anon_sym_decltype] = ACTIONS(2747),
    [anon_sym_virtual] = ACTIONS(2747),
    [anon_sym_alignas] = ACTIONS(2747),
    [anon_sym_explicit] = ACTIONS(2747),
    [anon_sym_typename] = ACTIONS(2747),
    [anon_sym_template] = ACTIONS(2747),
    [anon_sym_operator] = ACTIONS(2747),
    [anon_sym_try] = ACTIONS(2747),
    [anon_sym_delete] = ACTIONS(2747),
    [anon_sym_throw] = ACTIONS(2747),
    [anon_sym_namespace] = ACTIONS(2747),
    [anon_sym_using] = ACTIONS(2747),
    [anon_sym_static_assert] = ACTIONS(2747),
    [anon_sym_concept] = ACTIONS(2747),
    [anon_sym_co_return] = ACTIONS(2747),
    [anon_sym_co_yield] = ACTIONS(2747),
    [anon_sym_R_DQUOTE] = ACTIONS(2749),
    [anon_sym_LR_DQUOTE] = ACTIONS(2749),
    [anon_sym_uR_DQUOTE] = ACTIONS(2749),
    [anon_sym_UR_DQUOTE] = ACTIONS(2749),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2749),
    [anon_sym_co_await] = ACTIONS(2747),
    [anon_sym_new] = ACTIONS(2747),
    [anon_sym_requires] = ACTIONS(2747),
    [sym_this] = ACTIONS(2747),
    [anon_sym_discard] = ACTIONS(2747),
    [anon_sym_precise] = ACTIONS(2747),
    [anon_sym_shared] = ACTIONS(2747),
    [anon_sym_groupshared] = ACTIONS(2747),
    [anon_sym_uniform] = ACTIONS(2747),
    [anon_sym_row_major] = ACTIONS(2747),
    [anon_sym_column_major] = ACTIONS(2747),
    [anon_sym_globallycoherent] = ACTIONS(2747),
    [anon_sym_centroid] = ACTIONS(2747),
    [anon_sym_noperspective] = ACTIONS(2747),
    [anon_sym_nointerpolation] = ACTIONS(2747),
    [anon_sym_sample] = ACTIONS(2747),
    [anon_sym_linear] = ACTIONS(2747),
    [anon_sym_snorm] = ACTIONS(2747),
    [anon_sym_unorm] = ACTIONS(2747),
    [anon_sym_point] = ACTIONS(2747),
    [anon_sym_line] = ACTIONS(2747),
    [anon_sym_triangleadj] = ACTIONS(2747),
    [anon_sym_lineadj] = ACTIONS(2747),
    [anon_sym_triangle] = ACTIONS(2747),
    [anon_sym_cbuffer] = ACTIONS(2747),
  },
  [652] = {
    [sym_identifier] = ACTIONS(2729),
    [aux_sym_preproc_include_token1] = ACTIONS(2729),
    [aux_sym_preproc_def_token1] = ACTIONS(2729),
    [aux_sym_preproc_if_token1] = ACTIONS(2729),
    [aux_sym_preproc_if_token2] = ACTIONS(2729),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2729),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2729),
    [aux_sym_preproc_else_token1] = ACTIONS(2729),
    [aux_sym_preproc_elif_token1] = ACTIONS(2729),
    [sym_preproc_directive] = ACTIONS(2729),
    [anon_sym_LPAREN2] = ACTIONS(2731),
    [anon_sym_BANG] = ACTIONS(2731),
    [anon_sym_TILDE] = ACTIONS(2731),
    [anon_sym_DASH] = ACTIONS(2729),
    [anon_sym_PLUS] = ACTIONS(2729),
    [anon_sym_STAR] = ACTIONS(2731),
    [anon_sym_AMP_AMP] = ACTIONS(2731),
    [anon_sym_AMP] = ACTIONS(2729),
    [anon_sym_SEMI] = ACTIONS(2731),
    [anon_sym___extension__] = ACTIONS(2729),
    [anon_sym_typedef] = ACTIONS(2729),
    [anon_sym_in] = ACTIONS(2729),
    [anon_sym_out] = ACTIONS(2729),
    [anon_sym_inout] = ACTIONS(2729),
    [anon_sym_extern] = ACTIONS(2729),
    [anon_sym___attribute__] = ACTIONS(2729),
    [anon_sym_COLON_COLON] = ACTIONS(2731),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2731),
    [anon_sym___declspec] = ACTIONS(2729),
    [anon_sym___based] = ACTIONS(2729),
    [anon_sym___cdecl] = ACTIONS(2729),
    [anon_sym___clrcall] = ACTIONS(2729),
    [anon_sym___stdcall] = ACTIONS(2729),
    [anon_sym___fastcall] = ACTIONS(2729),
    [anon_sym___thiscall] = ACTIONS(2729),
    [anon_sym___vectorcall] = ACTIONS(2729),
    [anon_sym_LBRACE] = ACTIONS(2731),
    [anon_sym_signed] = ACTIONS(2729),
    [anon_sym_unsigned] = ACTIONS(2729),
    [anon_sym_long] = ACTIONS(2729),
    [anon_sym_short] = ACTIONS(2729),
    [anon_sym_LBRACK] = ACTIONS(2729),
    [anon_sym_static] = ACTIONS(2729),
    [anon_sym_register] = ACTIONS(2729),
    [anon_sym_inline] = ACTIONS(2729),
    [anon_sym___inline] = ACTIONS(2729),
    [anon_sym___inline__] = ACTIONS(2729),
    [anon_sym___forceinline] = ACTIONS(2729),
    [anon_sym_thread_local] = ACTIONS(2729),
    [anon_sym___thread] = ACTIONS(2729),
    [anon_sym_const] = ACTIONS(2729),
    [anon_sym_constexpr] = ACTIONS(2729),
    [anon_sym_volatile] = ACTIONS(2729),
    [anon_sym_restrict] = ACTIONS(2729),
    [anon_sym___restrict__] = ACTIONS(2729),
    [anon_sym__Atomic] = ACTIONS(2729),
    [anon_sym__Noreturn] = ACTIONS(2729),
    [anon_sym_noreturn] = ACTIONS(2729),
    [anon_sym_mutable] = ACTIONS(2729),
    [anon_sym_constinit] = ACTIONS(2729),
    [anon_sym_consteval] = ACTIONS(2729),
    [sym_primitive_type] = ACTIONS(2729),
    [anon_sym_enum] = ACTIONS(2729),
    [anon_sym_class] = ACTIONS(2729),
    [anon_sym_struct] = ACTIONS(2729),
    [anon_sym_union] = ACTIONS(2729),
    [anon_sym_if] = ACTIONS(2729),
    [anon_sym_switch] = ACTIONS(2729),
    [anon_sym_case] = ACTIONS(2729),
    [anon_sym_default] = ACTIONS(2729),
    [anon_sym_while] = ACTIONS(2729),
    [anon_sym_do] = ACTIONS(2729),
    [anon_sym_for] = ACTIONS(2729),
    [anon_sym_return] = ACTIONS(2729),
    [anon_sym_break] = ACTIONS(2729),
    [anon_sym_continue] = ACTIONS(2729),
    [anon_sym_goto] = ACTIONS(2729),
    [anon_sym___try] = ACTIONS(2729),
    [anon_sym___leave] = ACTIONS(2729),
    [anon_sym_not] = ACTIONS(2729),
    [anon_sym_compl] = ACTIONS(2729),
    [anon_sym_DASH_DASH] = ACTIONS(2731),
    [anon_sym_PLUS_PLUS] = ACTIONS(2731),
    [anon_sym_sizeof] = ACTIONS(2729),
    [anon_sym___alignof__] = ACTIONS(2729),
    [anon_sym___alignof] = ACTIONS(2729),
    [anon_sym__alignof] = ACTIONS(2729),
    [anon_sym_alignof] = ACTIONS(2729),
    [anon_sym__Alignof] = ACTIONS(2729),
    [anon_sym_offsetof] = ACTIONS(2729),
    [anon_sym__Generic] = ACTIONS(2729),
    [anon_sym_asm] = ACTIONS(2729),
    [anon_sym___asm__] = ACTIONS(2729),
    [sym_number_literal] = ACTIONS(2731),
    [anon_sym_L_SQUOTE] = ACTIONS(2731),
    [anon_sym_u_SQUOTE] = ACTIONS(2731),
    [anon_sym_U_SQUOTE] = ACTIONS(2731),
    [anon_sym_u8_SQUOTE] = ACTIONS(2731),
    [anon_sym_SQUOTE] = ACTIONS(2731),
    [anon_sym_L_DQUOTE] = ACTIONS(2731),
    [anon_sym_u_DQUOTE] = ACTIONS(2731),
    [anon_sym_U_DQUOTE] = ACTIONS(2731),
    [anon_sym_u8_DQUOTE] = ACTIONS(2731),
    [anon_sym_DQUOTE] = ACTIONS(2731),
    [sym_true] = ACTIONS(2729),
    [sym_false] = ACTIONS(2729),
    [anon_sym_NULL] = ACTIONS(2729),
    [anon_sym_nullptr] = ACTIONS(2729),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2729),
    [anon_sym_decltype] = ACTIONS(2729),
    [anon_sym_virtual] = ACTIONS(2729),
    [anon_sym_alignas] = ACTIONS(2729),
    [anon_sym_explicit] = ACTIONS(2729),
    [anon_sym_typename] = ACTIONS(2729),
    [anon_sym_template] = ACTIONS(2729),
    [anon_sym_operator] = ACTIONS(2729),
    [anon_sym_try] = ACTIONS(2729),
    [anon_sym_delete] = ACTIONS(2729),
    [anon_sym_throw] = ACTIONS(2729),
    [anon_sym_namespace] = ACTIONS(2729),
    [anon_sym_using] = ACTIONS(2729),
    [anon_sym_static_assert] = ACTIONS(2729),
    [anon_sym_concept] = ACTIONS(2729),
    [anon_sym_co_return] = ACTIONS(2729),
    [anon_sym_co_yield] = ACTIONS(2729),
    [anon_sym_R_DQUOTE] = ACTIONS(2731),
    [anon_sym_LR_DQUOTE] = ACTIONS(2731),
    [anon_sym_uR_DQUOTE] = ACTIONS(2731),
    [anon_sym_UR_DQUOTE] = ACTIONS(2731),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2731),
    [anon_sym_co_await] = ACTIONS(2729),
    [anon_sym_new] = ACTIONS(2729),
    [anon_sym_requires] = ACTIONS(2729),
    [sym_this] = ACTIONS(2729),
    [anon_sym_discard] = ACTIONS(2729),
    [anon_sym_precise] = ACTIONS(2729),
    [anon_sym_shared] = ACTIONS(2729),
    [anon_sym_groupshared] = ACTIONS(2729),
    [anon_sym_uniform] = ACTIONS(2729),
    [anon_sym_row_major] = ACTIONS(2729),
    [anon_sym_column_major] = ACTIONS(2729),
    [anon_sym_globallycoherent] = ACTIONS(2729),
    [anon_sym_centroid] = ACTIONS(2729),
    [anon_sym_noperspective] = ACTIONS(2729),
    [anon_sym_nointerpolation] = ACTIONS(2729),
    [anon_sym_sample] = ACTIONS(2729),
    [anon_sym_linear] = ACTIONS(2729),
    [anon_sym_snorm] = ACTIONS(2729),
    [anon_sym_unorm] = ACTIONS(2729),
    [anon_sym_point] = ACTIONS(2729),
    [anon_sym_line] = ACTIONS(2729),
    [anon_sym_triangleadj] = ACTIONS(2729),
    [anon_sym_lineadj] = ACTIONS(2729),
    [anon_sym_triangle] = ACTIONS(2729),
    [anon_sym_cbuffer] = ACTIONS(2729),
  },
  [653] = {
    [sym_identifier] = ACTIONS(2698),
    [aux_sym_preproc_include_token1] = ACTIONS(2698),
    [aux_sym_preproc_def_token1] = ACTIONS(2698),
    [aux_sym_preproc_if_token1] = ACTIONS(2698),
    [aux_sym_preproc_if_token2] = ACTIONS(2698),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2698),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2698),
    [aux_sym_preproc_else_token1] = ACTIONS(2698),
    [aux_sym_preproc_elif_token1] = ACTIONS(2698),
    [sym_preproc_directive] = ACTIONS(2698),
    [anon_sym_LPAREN2] = ACTIONS(2700),
    [anon_sym_BANG] = ACTIONS(2700),
    [anon_sym_TILDE] = ACTIONS(2700),
    [anon_sym_DASH] = ACTIONS(2698),
    [anon_sym_PLUS] = ACTIONS(2698),
    [anon_sym_STAR] = ACTIONS(2700),
    [anon_sym_AMP_AMP] = ACTIONS(2700),
    [anon_sym_AMP] = ACTIONS(2698),
    [anon_sym_SEMI] = ACTIONS(2700),
    [anon_sym___extension__] = ACTIONS(2698),
    [anon_sym_typedef] = ACTIONS(2698),
    [anon_sym_in] = ACTIONS(2698),
    [anon_sym_out] = ACTIONS(2698),
    [anon_sym_inout] = ACTIONS(2698),
    [anon_sym_extern] = ACTIONS(2698),
    [anon_sym___attribute__] = ACTIONS(2698),
    [anon_sym_COLON_COLON] = ACTIONS(2700),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2700),
    [anon_sym___declspec] = ACTIONS(2698),
    [anon_sym___based] = ACTIONS(2698),
    [anon_sym___cdecl] = ACTIONS(2698),
    [anon_sym___clrcall] = ACTIONS(2698),
    [anon_sym___stdcall] = ACTIONS(2698),
    [anon_sym___fastcall] = ACTIONS(2698),
    [anon_sym___thiscall] = ACTIONS(2698),
    [anon_sym___vectorcall] = ACTIONS(2698),
    [anon_sym_LBRACE] = ACTIONS(2700),
    [anon_sym_signed] = ACTIONS(2698),
    [anon_sym_unsigned] = ACTIONS(2698),
    [anon_sym_long] = ACTIONS(2698),
    [anon_sym_short] = ACTIONS(2698),
    [anon_sym_LBRACK] = ACTIONS(2698),
    [anon_sym_static] = ACTIONS(2698),
    [anon_sym_register] = ACTIONS(2698),
    [anon_sym_inline] = ACTIONS(2698),
    [anon_sym___inline] = ACTIONS(2698),
    [anon_sym___inline__] = ACTIONS(2698),
    [anon_sym___forceinline] = ACTIONS(2698),
    [anon_sym_thread_local] = ACTIONS(2698),
    [anon_sym___thread] = ACTIONS(2698),
    [anon_sym_const] = ACTIONS(2698),
    [anon_sym_constexpr] = ACTIONS(2698),
    [anon_sym_volatile] = ACTIONS(2698),
    [anon_sym_restrict] = ACTIONS(2698),
    [anon_sym___restrict__] = ACTIONS(2698),
    [anon_sym__Atomic] = ACTIONS(2698),
    [anon_sym__Noreturn] = ACTIONS(2698),
    [anon_sym_noreturn] = ACTIONS(2698),
    [anon_sym_mutable] = ACTIONS(2698),
    [anon_sym_constinit] = ACTIONS(2698),
    [anon_sym_consteval] = ACTIONS(2698),
    [sym_primitive_type] = ACTIONS(2698),
    [anon_sym_enum] = ACTIONS(2698),
    [anon_sym_class] = ACTIONS(2698),
    [anon_sym_struct] = ACTIONS(2698),
    [anon_sym_union] = ACTIONS(2698),
    [anon_sym_if] = ACTIONS(2698),
    [anon_sym_switch] = ACTIONS(2698),
    [anon_sym_case] = ACTIONS(2698),
    [anon_sym_default] = ACTIONS(2698),
    [anon_sym_while] = ACTIONS(2698),
    [anon_sym_do] = ACTIONS(2698),
    [anon_sym_for] = ACTIONS(2698),
    [anon_sym_return] = ACTIONS(2698),
    [anon_sym_break] = ACTIONS(2698),
    [anon_sym_continue] = ACTIONS(2698),
    [anon_sym_goto] = ACTIONS(2698),
    [anon_sym___try] = ACTIONS(2698),
    [anon_sym___leave] = ACTIONS(2698),
    [anon_sym_not] = ACTIONS(2698),
    [anon_sym_compl] = ACTIONS(2698),
    [anon_sym_DASH_DASH] = ACTIONS(2700),
    [anon_sym_PLUS_PLUS] = ACTIONS(2700),
    [anon_sym_sizeof] = ACTIONS(2698),
    [anon_sym___alignof__] = ACTIONS(2698),
    [anon_sym___alignof] = ACTIONS(2698),
    [anon_sym__alignof] = ACTIONS(2698),
    [anon_sym_alignof] = ACTIONS(2698),
    [anon_sym__Alignof] = ACTIONS(2698),
    [anon_sym_offsetof] = ACTIONS(2698),
    [anon_sym__Generic] = ACTIONS(2698),
    [anon_sym_asm] = ACTIONS(2698),
    [anon_sym___asm__] = ACTIONS(2698),
    [sym_number_literal] = ACTIONS(2700),
    [anon_sym_L_SQUOTE] = ACTIONS(2700),
    [anon_sym_u_SQUOTE] = ACTIONS(2700),
    [anon_sym_U_SQUOTE] = ACTIONS(2700),
    [anon_sym_u8_SQUOTE] = ACTIONS(2700),
    [anon_sym_SQUOTE] = ACTIONS(2700),
    [anon_sym_L_DQUOTE] = ACTIONS(2700),
    [anon_sym_u_DQUOTE] = ACTIONS(2700),
    [anon_sym_U_DQUOTE] = ACTIONS(2700),
    [anon_sym_u8_DQUOTE] = ACTIONS(2700),
    [anon_sym_DQUOTE] = ACTIONS(2700),
    [sym_true] = ACTIONS(2698),
    [sym_false] = ACTIONS(2698),
    [anon_sym_NULL] = ACTIONS(2698),
    [anon_sym_nullptr] = ACTIONS(2698),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2698),
    [anon_sym_decltype] = ACTIONS(2698),
    [anon_sym_virtual] = ACTIONS(2698),
    [anon_sym_alignas] = ACTIONS(2698),
    [anon_sym_explicit] = ACTIONS(2698),
    [anon_sym_typename] = ACTIONS(2698),
    [anon_sym_template] = ACTIONS(2698),
    [anon_sym_operator] = ACTIONS(2698),
    [anon_sym_try] = ACTIONS(2698),
    [anon_sym_delete] = ACTIONS(2698),
    [anon_sym_throw] = ACTIONS(2698),
    [anon_sym_namespace] = ACTIONS(2698),
    [anon_sym_using] = ACTIONS(2698),
    [anon_sym_static_assert] = ACTIONS(2698),
    [anon_sym_concept] = ACTIONS(2698),
    [anon_sym_co_return] = ACTIONS(2698),
    [anon_sym_co_yield] = ACTIONS(2698),
    [anon_sym_R_DQUOTE] = ACTIONS(2700),
    [anon_sym_LR_DQUOTE] = ACTIONS(2700),
    [anon_sym_uR_DQUOTE] = ACTIONS(2700),
    [anon_sym_UR_DQUOTE] = ACTIONS(2700),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2700),
    [anon_sym_co_await] = ACTIONS(2698),
    [anon_sym_new] = ACTIONS(2698),
    [anon_sym_requires] = ACTIONS(2698),
    [sym_this] = ACTIONS(2698),
    [anon_sym_discard] = ACTIONS(2698),
    [anon_sym_precise] = ACTIONS(2698),
    [anon_sym_shared] = ACTIONS(2698),
    [anon_sym_groupshared] = ACTIONS(2698),
    [anon_sym_uniform] = ACTIONS(2698),
    [anon_sym_row_major] = ACTIONS(2698),
    [anon_sym_column_major] = ACTIONS(2698),
    [anon_sym_globallycoherent] = ACTIONS(2698),
    [anon_sym_centroid] = ACTIONS(2698),
    [anon_sym_noperspective] = ACTIONS(2698),
    [anon_sym_nointerpolation] = ACTIONS(2698),
    [anon_sym_sample] = ACTIONS(2698),
    [anon_sym_linear] = ACTIONS(2698),
    [anon_sym_snorm] = ACTIONS(2698),
    [anon_sym_unorm] = ACTIONS(2698),
    [anon_sym_point] = ACTIONS(2698),
    [anon_sym_line] = ACTIONS(2698),
    [anon_sym_triangleadj] = ACTIONS(2698),
    [anon_sym_lineadj] = ACTIONS(2698),
    [anon_sym_triangle] = ACTIONS(2698),
    [anon_sym_cbuffer] = ACTIONS(2698),
  },
  [654] = {
    [sym_identifier] = ACTIONS(2755),
    [aux_sym_preproc_include_token1] = ACTIONS(2755),
    [aux_sym_preproc_def_token1] = ACTIONS(2755),
    [aux_sym_preproc_if_token1] = ACTIONS(2755),
    [aux_sym_preproc_if_token2] = ACTIONS(2755),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2755),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2755),
    [aux_sym_preproc_else_token1] = ACTIONS(2755),
    [aux_sym_preproc_elif_token1] = ACTIONS(2755),
    [sym_preproc_directive] = ACTIONS(2755),
    [anon_sym_LPAREN2] = ACTIONS(2757),
    [anon_sym_BANG] = ACTIONS(2757),
    [anon_sym_TILDE] = ACTIONS(2757),
    [anon_sym_DASH] = ACTIONS(2755),
    [anon_sym_PLUS] = ACTIONS(2755),
    [anon_sym_STAR] = ACTIONS(2757),
    [anon_sym_AMP_AMP] = ACTIONS(2757),
    [anon_sym_AMP] = ACTIONS(2755),
    [anon_sym_SEMI] = ACTIONS(2757),
    [anon_sym___extension__] = ACTIONS(2755),
    [anon_sym_typedef] = ACTIONS(2755),
    [anon_sym_in] = ACTIONS(2755),
    [anon_sym_out] = ACTIONS(2755),
    [anon_sym_inout] = ACTIONS(2755),
    [anon_sym_extern] = ACTIONS(2755),
    [anon_sym___attribute__] = ACTIONS(2755),
    [anon_sym_COLON_COLON] = ACTIONS(2757),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2757),
    [anon_sym___declspec] = ACTIONS(2755),
    [anon_sym___based] = ACTIONS(2755),
    [anon_sym___cdecl] = ACTIONS(2755),
    [anon_sym___clrcall] = ACTIONS(2755),
    [anon_sym___stdcall] = ACTIONS(2755),
    [anon_sym___fastcall] = ACTIONS(2755),
    [anon_sym___thiscall] = ACTIONS(2755),
    [anon_sym___vectorcall] = ACTIONS(2755),
    [anon_sym_LBRACE] = ACTIONS(2757),
    [anon_sym_signed] = ACTIONS(2755),
    [anon_sym_unsigned] = ACTIONS(2755),
    [anon_sym_long] = ACTIONS(2755),
    [anon_sym_short] = ACTIONS(2755),
    [anon_sym_LBRACK] = ACTIONS(2755),
    [anon_sym_static] = ACTIONS(2755),
    [anon_sym_register] = ACTIONS(2755),
    [anon_sym_inline] = ACTIONS(2755),
    [anon_sym___inline] = ACTIONS(2755),
    [anon_sym___inline__] = ACTIONS(2755),
    [anon_sym___forceinline] = ACTIONS(2755),
    [anon_sym_thread_local] = ACTIONS(2755),
    [anon_sym___thread] = ACTIONS(2755),
    [anon_sym_const] = ACTIONS(2755),
    [anon_sym_constexpr] = ACTIONS(2755),
    [anon_sym_volatile] = ACTIONS(2755),
    [anon_sym_restrict] = ACTIONS(2755),
    [anon_sym___restrict__] = ACTIONS(2755),
    [anon_sym__Atomic] = ACTIONS(2755),
    [anon_sym__Noreturn] = ACTIONS(2755),
    [anon_sym_noreturn] = ACTIONS(2755),
    [anon_sym_mutable] = ACTIONS(2755),
    [anon_sym_constinit] = ACTIONS(2755),
    [anon_sym_consteval] = ACTIONS(2755),
    [sym_primitive_type] = ACTIONS(2755),
    [anon_sym_enum] = ACTIONS(2755),
    [anon_sym_class] = ACTIONS(2755),
    [anon_sym_struct] = ACTIONS(2755),
    [anon_sym_union] = ACTIONS(2755),
    [anon_sym_if] = ACTIONS(2755),
    [anon_sym_switch] = ACTIONS(2755),
    [anon_sym_case] = ACTIONS(2755),
    [anon_sym_default] = ACTIONS(2755),
    [anon_sym_while] = ACTIONS(2755),
    [anon_sym_do] = ACTIONS(2755),
    [anon_sym_for] = ACTIONS(2755),
    [anon_sym_return] = ACTIONS(2755),
    [anon_sym_break] = ACTIONS(2755),
    [anon_sym_continue] = ACTIONS(2755),
    [anon_sym_goto] = ACTIONS(2755),
    [anon_sym___try] = ACTIONS(2755),
    [anon_sym___leave] = ACTIONS(2755),
    [anon_sym_not] = ACTIONS(2755),
    [anon_sym_compl] = ACTIONS(2755),
    [anon_sym_DASH_DASH] = ACTIONS(2757),
    [anon_sym_PLUS_PLUS] = ACTIONS(2757),
    [anon_sym_sizeof] = ACTIONS(2755),
    [anon_sym___alignof__] = ACTIONS(2755),
    [anon_sym___alignof] = ACTIONS(2755),
    [anon_sym__alignof] = ACTIONS(2755),
    [anon_sym_alignof] = ACTIONS(2755),
    [anon_sym__Alignof] = ACTIONS(2755),
    [anon_sym_offsetof] = ACTIONS(2755),
    [anon_sym__Generic] = ACTIONS(2755),
    [anon_sym_asm] = ACTIONS(2755),
    [anon_sym___asm__] = ACTIONS(2755),
    [sym_number_literal] = ACTIONS(2757),
    [anon_sym_L_SQUOTE] = ACTIONS(2757),
    [anon_sym_u_SQUOTE] = ACTIONS(2757),
    [anon_sym_U_SQUOTE] = ACTIONS(2757),
    [anon_sym_u8_SQUOTE] = ACTIONS(2757),
    [anon_sym_SQUOTE] = ACTIONS(2757),
    [anon_sym_L_DQUOTE] = ACTIONS(2757),
    [anon_sym_u_DQUOTE] = ACTIONS(2757),
    [anon_sym_U_DQUOTE] = ACTIONS(2757),
    [anon_sym_u8_DQUOTE] = ACTIONS(2757),
    [anon_sym_DQUOTE] = ACTIONS(2757),
    [sym_true] = ACTIONS(2755),
    [sym_false] = ACTIONS(2755),
    [anon_sym_NULL] = ACTIONS(2755),
    [anon_sym_nullptr] = ACTIONS(2755),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2755),
    [anon_sym_decltype] = ACTIONS(2755),
    [anon_sym_virtual] = ACTIONS(2755),
    [anon_sym_alignas] = ACTIONS(2755),
    [anon_sym_explicit] = ACTIONS(2755),
    [anon_sym_typename] = ACTIONS(2755),
    [anon_sym_template] = ACTIONS(2755),
    [anon_sym_operator] = ACTIONS(2755),
    [anon_sym_try] = ACTIONS(2755),
    [anon_sym_delete] = ACTIONS(2755),
    [anon_sym_throw] = ACTIONS(2755),
    [anon_sym_namespace] = ACTIONS(2755),
    [anon_sym_using] = ACTIONS(2755),
    [anon_sym_static_assert] = ACTIONS(2755),
    [anon_sym_concept] = ACTIONS(2755),
    [anon_sym_co_return] = ACTIONS(2755),
    [anon_sym_co_yield] = ACTIONS(2755),
    [anon_sym_R_DQUOTE] = ACTIONS(2757),
    [anon_sym_LR_DQUOTE] = ACTIONS(2757),
    [anon_sym_uR_DQUOTE] = ACTIONS(2757),
    [anon_sym_UR_DQUOTE] = ACTIONS(2757),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2757),
    [anon_sym_co_await] = ACTIONS(2755),
    [anon_sym_new] = ACTIONS(2755),
    [anon_sym_requires] = ACTIONS(2755),
    [sym_this] = ACTIONS(2755),
    [anon_sym_discard] = ACTIONS(2755),
    [anon_sym_precise] = ACTIONS(2755),
    [anon_sym_shared] = ACTIONS(2755),
    [anon_sym_groupshared] = ACTIONS(2755),
    [anon_sym_uniform] = ACTIONS(2755),
    [anon_sym_row_major] = ACTIONS(2755),
    [anon_sym_column_major] = ACTIONS(2755),
    [anon_sym_globallycoherent] = ACTIONS(2755),
    [anon_sym_centroid] = ACTIONS(2755),
    [anon_sym_noperspective] = ACTIONS(2755),
    [anon_sym_nointerpolation] = ACTIONS(2755),
    [anon_sym_sample] = ACTIONS(2755),
    [anon_sym_linear] = ACTIONS(2755),
    [anon_sym_snorm] = ACTIONS(2755),
    [anon_sym_unorm] = ACTIONS(2755),
    [anon_sym_point] = ACTIONS(2755),
    [anon_sym_line] = ACTIONS(2755),
    [anon_sym_triangleadj] = ACTIONS(2755),
    [anon_sym_lineadj] = ACTIONS(2755),
    [anon_sym_triangle] = ACTIONS(2755),
    [anon_sym_cbuffer] = ACTIONS(2755),
  },
  [655] = {
    [sym_identifier] = ACTIONS(2314),
    [aux_sym_preproc_include_token1] = ACTIONS(2314),
    [aux_sym_preproc_def_token1] = ACTIONS(2314),
    [aux_sym_preproc_if_token1] = ACTIONS(2314),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2314),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2314),
    [sym_preproc_directive] = ACTIONS(2314),
    [anon_sym_LPAREN2] = ACTIONS(2316),
    [anon_sym_BANG] = ACTIONS(2316),
    [anon_sym_TILDE] = ACTIONS(2316),
    [anon_sym_DASH] = ACTIONS(2314),
    [anon_sym_PLUS] = ACTIONS(2314),
    [anon_sym_STAR] = ACTIONS(2316),
    [anon_sym_AMP_AMP] = ACTIONS(2316),
    [anon_sym_AMP] = ACTIONS(2314),
    [anon_sym_SEMI] = ACTIONS(2316),
    [anon_sym___extension__] = ACTIONS(2314),
    [anon_sym_typedef] = ACTIONS(2314),
    [anon_sym_in] = ACTIONS(2314),
    [anon_sym_out] = ACTIONS(2314),
    [anon_sym_inout] = ACTIONS(2314),
    [anon_sym_extern] = ACTIONS(2314),
    [anon_sym___attribute__] = ACTIONS(2314),
    [anon_sym_COLON_COLON] = ACTIONS(2316),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2316),
    [anon_sym___declspec] = ACTIONS(2314),
    [anon_sym___based] = ACTIONS(2314),
    [anon_sym___cdecl] = ACTIONS(2314),
    [anon_sym___clrcall] = ACTIONS(2314),
    [anon_sym___stdcall] = ACTIONS(2314),
    [anon_sym___fastcall] = ACTIONS(2314),
    [anon_sym___thiscall] = ACTIONS(2314),
    [anon_sym___vectorcall] = ACTIONS(2314),
    [anon_sym_LBRACE] = ACTIONS(2316),
    [anon_sym_RBRACE] = ACTIONS(2316),
    [anon_sym_signed] = ACTIONS(2314),
    [anon_sym_unsigned] = ACTIONS(2314),
    [anon_sym_long] = ACTIONS(2314),
    [anon_sym_short] = ACTIONS(2314),
    [anon_sym_LBRACK] = ACTIONS(2314),
    [anon_sym_static] = ACTIONS(2314),
    [anon_sym_register] = ACTIONS(2314),
    [anon_sym_inline] = ACTIONS(2314),
    [anon_sym___inline] = ACTIONS(2314),
    [anon_sym___inline__] = ACTIONS(2314),
    [anon_sym___forceinline] = ACTIONS(2314),
    [anon_sym_thread_local] = ACTIONS(2314),
    [anon_sym___thread] = ACTIONS(2314),
    [anon_sym_const] = ACTIONS(2314),
    [anon_sym_constexpr] = ACTIONS(2314),
    [anon_sym_volatile] = ACTIONS(2314),
    [anon_sym_restrict] = ACTIONS(2314),
    [anon_sym___restrict__] = ACTIONS(2314),
    [anon_sym__Atomic] = ACTIONS(2314),
    [anon_sym__Noreturn] = ACTIONS(2314),
    [anon_sym_noreturn] = ACTIONS(2314),
    [anon_sym_mutable] = ACTIONS(2314),
    [anon_sym_constinit] = ACTIONS(2314),
    [anon_sym_consteval] = ACTIONS(2314),
    [sym_primitive_type] = ACTIONS(2314),
    [anon_sym_enum] = ACTIONS(2314),
    [anon_sym_class] = ACTIONS(2314),
    [anon_sym_struct] = ACTIONS(2314),
    [anon_sym_union] = ACTIONS(2314),
    [anon_sym_if] = ACTIONS(2314),
    [anon_sym_else] = ACTIONS(2314),
    [anon_sym_switch] = ACTIONS(2314),
    [anon_sym_case] = ACTIONS(2314),
    [anon_sym_default] = ACTIONS(2314),
    [anon_sym_while] = ACTIONS(2314),
    [anon_sym_do] = ACTIONS(2314),
    [anon_sym_for] = ACTIONS(2314),
    [anon_sym_return] = ACTIONS(2314),
    [anon_sym_break] = ACTIONS(2314),
    [anon_sym_continue] = ACTIONS(2314),
    [anon_sym_goto] = ACTIONS(2314),
    [anon_sym___try] = ACTIONS(2314),
    [anon_sym___leave] = ACTIONS(2314),
    [anon_sym_not] = ACTIONS(2314),
    [anon_sym_compl] = ACTIONS(2314),
    [anon_sym_DASH_DASH] = ACTIONS(2316),
    [anon_sym_PLUS_PLUS] = ACTIONS(2316),
    [anon_sym_sizeof] = ACTIONS(2314),
    [anon_sym___alignof__] = ACTIONS(2314),
    [anon_sym___alignof] = ACTIONS(2314),
    [anon_sym__alignof] = ACTIONS(2314),
    [anon_sym_alignof] = ACTIONS(2314),
    [anon_sym__Alignof] = ACTIONS(2314),
    [anon_sym_offsetof] = ACTIONS(2314),
    [anon_sym__Generic] = ACTIONS(2314),
    [anon_sym_asm] = ACTIONS(2314),
    [anon_sym___asm__] = ACTIONS(2314),
    [sym_number_literal] = ACTIONS(2316),
    [anon_sym_L_SQUOTE] = ACTIONS(2316),
    [anon_sym_u_SQUOTE] = ACTIONS(2316),
    [anon_sym_U_SQUOTE] = ACTIONS(2316),
    [anon_sym_u8_SQUOTE] = ACTIONS(2316),
    [anon_sym_SQUOTE] = ACTIONS(2316),
    [anon_sym_L_DQUOTE] = ACTIONS(2316),
    [anon_sym_u_DQUOTE] = ACTIONS(2316),
    [anon_sym_U_DQUOTE] = ACTIONS(2316),
    [anon_sym_u8_DQUOTE] = ACTIONS(2316),
    [anon_sym_DQUOTE] = ACTIONS(2316),
    [sym_true] = ACTIONS(2314),
    [sym_false] = ACTIONS(2314),
    [anon_sym_NULL] = ACTIONS(2314),
    [anon_sym_nullptr] = ACTIONS(2314),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2314),
    [anon_sym_decltype] = ACTIONS(2314),
    [anon_sym_virtual] = ACTIONS(2314),
    [anon_sym_alignas] = ACTIONS(2314),
    [anon_sym_explicit] = ACTIONS(2314),
    [anon_sym_typename] = ACTIONS(2314),
    [anon_sym_template] = ACTIONS(2314),
    [anon_sym_operator] = ACTIONS(2314),
    [anon_sym_try] = ACTIONS(2314),
    [anon_sym_delete] = ACTIONS(2314),
    [anon_sym_throw] = ACTIONS(2314),
    [anon_sym_namespace] = ACTIONS(2314),
    [anon_sym_using] = ACTIONS(2314),
    [anon_sym_static_assert] = ACTIONS(2314),
    [anon_sym_concept] = ACTIONS(2314),
    [anon_sym_co_return] = ACTIONS(2314),
    [anon_sym_co_yield] = ACTIONS(2314),
    [anon_sym_catch] = ACTIONS(2314),
    [anon_sym_R_DQUOTE] = ACTIONS(2316),
    [anon_sym_LR_DQUOTE] = ACTIONS(2316),
    [anon_sym_uR_DQUOTE] = ACTIONS(2316),
    [anon_sym_UR_DQUOTE] = ACTIONS(2316),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2316),
    [anon_sym_co_await] = ACTIONS(2314),
    [anon_sym_new] = ACTIONS(2314),
    [anon_sym_requires] = ACTIONS(2314),
    [sym_this] = ACTIONS(2314),
    [anon_sym_discard] = ACTIONS(2314),
    [anon_sym_precise] = ACTIONS(2314),
    [anon_sym_shared] = ACTIONS(2314),
    [anon_sym_groupshared] = ACTIONS(2314),
    [anon_sym_uniform] = ACTIONS(2314),
    [anon_sym_row_major] = ACTIONS(2314),
    [anon_sym_column_major] = ACTIONS(2314),
    [anon_sym_globallycoherent] = ACTIONS(2314),
    [anon_sym_centroid] = ACTIONS(2314),
    [anon_sym_noperspective] = ACTIONS(2314),
    [anon_sym_nointerpolation] = ACTIONS(2314),
    [anon_sym_sample] = ACTIONS(2314),
    [anon_sym_linear] = ACTIONS(2314),
    [anon_sym_snorm] = ACTIONS(2314),
    [anon_sym_unorm] = ACTIONS(2314),
    [anon_sym_point] = ACTIONS(2314),
    [anon_sym_line] = ACTIONS(2314),
    [anon_sym_triangleadj] = ACTIONS(2314),
    [anon_sym_lineadj] = ACTIONS(2314),
    [anon_sym_triangle] = ACTIONS(2314),
    [anon_sym_cbuffer] = ACTIONS(2314),
  },
  [656] = {
    [sym_identifier] = ACTIONS(2238),
    [aux_sym_preproc_include_token1] = ACTIONS(2238),
    [aux_sym_preproc_def_token1] = ACTIONS(2238),
    [aux_sym_preproc_if_token1] = ACTIONS(2238),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2238),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2238),
    [sym_preproc_directive] = ACTIONS(2238),
    [anon_sym_LPAREN2] = ACTIONS(2236),
    [anon_sym_BANG] = ACTIONS(2236),
    [anon_sym_TILDE] = ACTIONS(2236),
    [anon_sym_DASH] = ACTIONS(2238),
    [anon_sym_PLUS] = ACTIONS(2238),
    [anon_sym_STAR] = ACTIONS(2236),
    [anon_sym_AMP_AMP] = ACTIONS(2236),
    [anon_sym_AMP] = ACTIONS(2238),
    [anon_sym_SEMI] = ACTIONS(2236),
    [anon_sym___extension__] = ACTIONS(2238),
    [anon_sym_typedef] = ACTIONS(2238),
    [anon_sym_in] = ACTIONS(2238),
    [anon_sym_out] = ACTIONS(2238),
    [anon_sym_inout] = ACTIONS(2238),
    [anon_sym_extern] = ACTIONS(2238),
    [anon_sym___attribute__] = ACTIONS(2238),
    [anon_sym_COLON_COLON] = ACTIONS(2236),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2236),
    [anon_sym___declspec] = ACTIONS(2238),
    [anon_sym___based] = ACTIONS(2238),
    [anon_sym___cdecl] = ACTIONS(2238),
    [anon_sym___clrcall] = ACTIONS(2238),
    [anon_sym___stdcall] = ACTIONS(2238),
    [anon_sym___fastcall] = ACTIONS(2238),
    [anon_sym___thiscall] = ACTIONS(2238),
    [anon_sym___vectorcall] = ACTIONS(2238),
    [anon_sym_LBRACE] = ACTIONS(2236),
    [anon_sym_RBRACE] = ACTIONS(2236),
    [anon_sym_signed] = ACTIONS(2238),
    [anon_sym_unsigned] = ACTIONS(2238),
    [anon_sym_long] = ACTIONS(2238),
    [anon_sym_short] = ACTIONS(2238),
    [anon_sym_LBRACK] = ACTIONS(2238),
    [anon_sym_static] = ACTIONS(2238),
    [anon_sym_register] = ACTIONS(2238),
    [anon_sym_inline] = ACTIONS(2238),
    [anon_sym___inline] = ACTIONS(2238),
    [anon_sym___inline__] = ACTIONS(2238),
    [anon_sym___forceinline] = ACTIONS(2238),
    [anon_sym_thread_local] = ACTIONS(2238),
    [anon_sym___thread] = ACTIONS(2238),
    [anon_sym_const] = ACTIONS(2238),
    [anon_sym_constexpr] = ACTIONS(2238),
    [anon_sym_volatile] = ACTIONS(2238),
    [anon_sym_restrict] = ACTIONS(2238),
    [anon_sym___restrict__] = ACTIONS(2238),
    [anon_sym__Atomic] = ACTIONS(2238),
    [anon_sym__Noreturn] = ACTIONS(2238),
    [anon_sym_noreturn] = ACTIONS(2238),
    [anon_sym_mutable] = ACTIONS(2238),
    [anon_sym_constinit] = ACTIONS(2238),
    [anon_sym_consteval] = ACTIONS(2238),
    [sym_primitive_type] = ACTIONS(2238),
    [anon_sym_enum] = ACTIONS(2238),
    [anon_sym_class] = ACTIONS(2238),
    [anon_sym_struct] = ACTIONS(2238),
    [anon_sym_union] = ACTIONS(2238),
    [anon_sym_if] = ACTIONS(2238),
    [anon_sym_else] = ACTIONS(2238),
    [anon_sym_switch] = ACTIONS(2238),
    [anon_sym_case] = ACTIONS(2238),
    [anon_sym_default] = ACTIONS(2238),
    [anon_sym_while] = ACTIONS(2238),
    [anon_sym_do] = ACTIONS(2238),
    [anon_sym_for] = ACTIONS(2238),
    [anon_sym_return] = ACTIONS(2238),
    [anon_sym_break] = ACTIONS(2238),
    [anon_sym_continue] = ACTIONS(2238),
    [anon_sym_goto] = ACTIONS(2238),
    [anon_sym___try] = ACTIONS(2238),
    [anon_sym___leave] = ACTIONS(2238),
    [anon_sym_not] = ACTIONS(2238),
    [anon_sym_compl] = ACTIONS(2238),
    [anon_sym_DASH_DASH] = ACTIONS(2236),
    [anon_sym_PLUS_PLUS] = ACTIONS(2236),
    [anon_sym_sizeof] = ACTIONS(2238),
    [anon_sym___alignof__] = ACTIONS(2238),
    [anon_sym___alignof] = ACTIONS(2238),
    [anon_sym__alignof] = ACTIONS(2238),
    [anon_sym_alignof] = ACTIONS(2238),
    [anon_sym__Alignof] = ACTIONS(2238),
    [anon_sym_offsetof] = ACTIONS(2238),
    [anon_sym__Generic] = ACTIONS(2238),
    [anon_sym_asm] = ACTIONS(2238),
    [anon_sym___asm__] = ACTIONS(2238),
    [sym_number_literal] = ACTIONS(2236),
    [anon_sym_L_SQUOTE] = ACTIONS(2236),
    [anon_sym_u_SQUOTE] = ACTIONS(2236),
    [anon_sym_U_SQUOTE] = ACTIONS(2236),
    [anon_sym_u8_SQUOTE] = ACTIONS(2236),
    [anon_sym_SQUOTE] = ACTIONS(2236),
    [anon_sym_L_DQUOTE] = ACTIONS(2236),
    [anon_sym_u_DQUOTE] = ACTIONS(2236),
    [anon_sym_U_DQUOTE] = ACTIONS(2236),
    [anon_sym_u8_DQUOTE] = ACTIONS(2236),
    [anon_sym_DQUOTE] = ACTIONS(2236),
    [sym_true] = ACTIONS(2238),
    [sym_false] = ACTIONS(2238),
    [anon_sym_NULL] = ACTIONS(2238),
    [anon_sym_nullptr] = ACTIONS(2238),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2238),
    [anon_sym_decltype] = ACTIONS(2238),
    [anon_sym_virtual] = ACTIONS(2238),
    [anon_sym_alignas] = ACTIONS(2238),
    [anon_sym_explicit] = ACTIONS(2238),
    [anon_sym_typename] = ACTIONS(2238),
    [anon_sym_template] = ACTIONS(2238),
    [anon_sym_operator] = ACTIONS(2238),
    [anon_sym_try] = ACTIONS(2238),
    [anon_sym_delete] = ACTIONS(2238),
    [anon_sym_throw] = ACTIONS(2238),
    [anon_sym_namespace] = ACTIONS(2238),
    [anon_sym_using] = ACTIONS(2238),
    [anon_sym_static_assert] = ACTIONS(2238),
    [anon_sym_concept] = ACTIONS(2238),
    [anon_sym_co_return] = ACTIONS(2238),
    [anon_sym_co_yield] = ACTIONS(2238),
    [anon_sym_catch] = ACTIONS(2238),
    [anon_sym_R_DQUOTE] = ACTIONS(2236),
    [anon_sym_LR_DQUOTE] = ACTIONS(2236),
    [anon_sym_uR_DQUOTE] = ACTIONS(2236),
    [anon_sym_UR_DQUOTE] = ACTIONS(2236),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2236),
    [anon_sym_co_await] = ACTIONS(2238),
    [anon_sym_new] = ACTIONS(2238),
    [anon_sym_requires] = ACTIONS(2238),
    [sym_this] = ACTIONS(2238),
    [anon_sym_discard] = ACTIONS(2238),
    [anon_sym_precise] = ACTIONS(2238),
    [anon_sym_shared] = ACTIONS(2238),
    [anon_sym_groupshared] = ACTIONS(2238),
    [anon_sym_uniform] = ACTIONS(2238),
    [anon_sym_row_major] = ACTIONS(2238),
    [anon_sym_column_major] = ACTIONS(2238),
    [anon_sym_globallycoherent] = ACTIONS(2238),
    [anon_sym_centroid] = ACTIONS(2238),
    [anon_sym_noperspective] = ACTIONS(2238),
    [anon_sym_nointerpolation] = ACTIONS(2238),
    [anon_sym_sample] = ACTIONS(2238),
    [anon_sym_linear] = ACTIONS(2238),
    [anon_sym_snorm] = ACTIONS(2238),
    [anon_sym_unorm] = ACTIONS(2238),
    [anon_sym_point] = ACTIONS(2238),
    [anon_sym_line] = ACTIONS(2238),
    [anon_sym_triangleadj] = ACTIONS(2238),
    [anon_sym_lineadj] = ACTIONS(2238),
    [anon_sym_triangle] = ACTIONS(2238),
    [anon_sym_cbuffer] = ACTIONS(2238),
  },
  [657] = {
    [sym_else_clause] = STATE(1014),
    [sym_identifier] = ACTIONS(2310),
    [aux_sym_preproc_include_token1] = ACTIONS(2310),
    [aux_sym_preproc_def_token1] = ACTIONS(2310),
    [aux_sym_preproc_if_token1] = ACTIONS(2310),
    [aux_sym_preproc_if_token2] = ACTIONS(2310),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2310),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2310),
    [sym_preproc_directive] = ACTIONS(2310),
    [anon_sym_LPAREN2] = ACTIONS(2312),
    [anon_sym_BANG] = ACTIONS(2312),
    [anon_sym_TILDE] = ACTIONS(2312),
    [anon_sym_DASH] = ACTIONS(2310),
    [anon_sym_PLUS] = ACTIONS(2310),
    [anon_sym_STAR] = ACTIONS(2312),
    [anon_sym_AMP_AMP] = ACTIONS(2312),
    [anon_sym_AMP] = ACTIONS(2310),
    [anon_sym_SEMI] = ACTIONS(2312),
    [anon_sym___extension__] = ACTIONS(2310),
    [anon_sym_typedef] = ACTIONS(2310),
    [anon_sym_in] = ACTIONS(2310),
    [anon_sym_out] = ACTIONS(2310),
    [anon_sym_inout] = ACTIONS(2310),
    [anon_sym_extern] = ACTIONS(2310),
    [anon_sym___attribute__] = ACTIONS(2310),
    [anon_sym_COLON_COLON] = ACTIONS(2312),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2312),
    [anon_sym___declspec] = ACTIONS(2310),
    [anon_sym___based] = ACTIONS(2310),
    [anon_sym___cdecl] = ACTIONS(2310),
    [anon_sym___clrcall] = ACTIONS(2310),
    [anon_sym___stdcall] = ACTIONS(2310),
    [anon_sym___fastcall] = ACTIONS(2310),
    [anon_sym___thiscall] = ACTIONS(2310),
    [anon_sym___vectorcall] = ACTIONS(2310),
    [anon_sym_LBRACE] = ACTIONS(2312),
    [anon_sym_signed] = ACTIONS(2310),
    [anon_sym_unsigned] = ACTIONS(2310),
    [anon_sym_long] = ACTIONS(2310),
    [anon_sym_short] = ACTIONS(2310),
    [anon_sym_LBRACK] = ACTIONS(2310),
    [anon_sym_static] = ACTIONS(2310),
    [anon_sym_register] = ACTIONS(2310),
    [anon_sym_inline] = ACTIONS(2310),
    [anon_sym___inline] = ACTIONS(2310),
    [anon_sym___inline__] = ACTIONS(2310),
    [anon_sym___forceinline] = ACTIONS(2310),
    [anon_sym_thread_local] = ACTIONS(2310),
    [anon_sym___thread] = ACTIONS(2310),
    [anon_sym_const] = ACTIONS(2310),
    [anon_sym_constexpr] = ACTIONS(2310),
    [anon_sym_volatile] = ACTIONS(2310),
    [anon_sym_restrict] = ACTIONS(2310),
    [anon_sym___restrict__] = ACTIONS(2310),
    [anon_sym__Atomic] = ACTIONS(2310),
    [anon_sym__Noreturn] = ACTIONS(2310),
    [anon_sym_noreturn] = ACTIONS(2310),
    [anon_sym_mutable] = ACTIONS(2310),
    [anon_sym_constinit] = ACTIONS(2310),
    [anon_sym_consteval] = ACTIONS(2310),
    [sym_primitive_type] = ACTIONS(2310),
    [anon_sym_enum] = ACTIONS(2310),
    [anon_sym_class] = ACTIONS(2310),
    [anon_sym_struct] = ACTIONS(2310),
    [anon_sym_union] = ACTIONS(2310),
    [anon_sym_if] = ACTIONS(2310),
    [anon_sym_else] = ACTIONS(2984),
    [anon_sym_switch] = ACTIONS(2310),
    [anon_sym_case] = ACTIONS(2310),
    [anon_sym_default] = ACTIONS(2310),
    [anon_sym_while] = ACTIONS(2310),
    [anon_sym_do] = ACTIONS(2310),
    [anon_sym_for] = ACTIONS(2310),
    [anon_sym_return] = ACTIONS(2310),
    [anon_sym_break] = ACTIONS(2310),
    [anon_sym_continue] = ACTIONS(2310),
    [anon_sym_goto] = ACTIONS(2310),
    [anon_sym___try] = ACTIONS(2310),
    [anon_sym___leave] = ACTIONS(2310),
    [anon_sym_not] = ACTIONS(2310),
    [anon_sym_compl] = ACTIONS(2310),
    [anon_sym_DASH_DASH] = ACTIONS(2312),
    [anon_sym_PLUS_PLUS] = ACTIONS(2312),
    [anon_sym_sizeof] = ACTIONS(2310),
    [anon_sym___alignof__] = ACTIONS(2310),
    [anon_sym___alignof] = ACTIONS(2310),
    [anon_sym__alignof] = ACTIONS(2310),
    [anon_sym_alignof] = ACTIONS(2310),
    [anon_sym__Alignof] = ACTIONS(2310),
    [anon_sym_offsetof] = ACTIONS(2310),
    [anon_sym__Generic] = ACTIONS(2310),
    [anon_sym_asm] = ACTIONS(2310),
    [anon_sym___asm__] = ACTIONS(2310),
    [sym_number_literal] = ACTIONS(2312),
    [anon_sym_L_SQUOTE] = ACTIONS(2312),
    [anon_sym_u_SQUOTE] = ACTIONS(2312),
    [anon_sym_U_SQUOTE] = ACTIONS(2312),
    [anon_sym_u8_SQUOTE] = ACTIONS(2312),
    [anon_sym_SQUOTE] = ACTIONS(2312),
    [anon_sym_L_DQUOTE] = ACTIONS(2312),
    [anon_sym_u_DQUOTE] = ACTIONS(2312),
    [anon_sym_U_DQUOTE] = ACTIONS(2312),
    [anon_sym_u8_DQUOTE] = ACTIONS(2312),
    [anon_sym_DQUOTE] = ACTIONS(2312),
    [sym_true] = ACTIONS(2310),
    [sym_false] = ACTIONS(2310),
    [anon_sym_NULL] = ACTIONS(2310),
    [anon_sym_nullptr] = ACTIONS(2310),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2310),
    [anon_sym_decltype] = ACTIONS(2310),
    [anon_sym_virtual] = ACTIONS(2310),
    [anon_sym_alignas] = ACTIONS(2310),
    [anon_sym_explicit] = ACTIONS(2310),
    [anon_sym_typename] = ACTIONS(2310),
    [anon_sym_template] = ACTIONS(2310),
    [anon_sym_operator] = ACTIONS(2310),
    [anon_sym_try] = ACTIONS(2310),
    [anon_sym_delete] = ACTIONS(2310),
    [anon_sym_throw] = ACTIONS(2310),
    [anon_sym_namespace] = ACTIONS(2310),
    [anon_sym_using] = ACTIONS(2310),
    [anon_sym_static_assert] = ACTIONS(2310),
    [anon_sym_concept] = ACTIONS(2310),
    [anon_sym_co_return] = ACTIONS(2310),
    [anon_sym_co_yield] = ACTIONS(2310),
    [anon_sym_R_DQUOTE] = ACTIONS(2312),
    [anon_sym_LR_DQUOTE] = ACTIONS(2312),
    [anon_sym_uR_DQUOTE] = ACTIONS(2312),
    [anon_sym_UR_DQUOTE] = ACTIONS(2312),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2312),
    [anon_sym_co_await] = ACTIONS(2310),
    [anon_sym_new] = ACTIONS(2310),
    [anon_sym_requires] = ACTIONS(2310),
    [sym_this] = ACTIONS(2310),
    [anon_sym_discard] = ACTIONS(2310),
    [anon_sym_precise] = ACTIONS(2310),
    [anon_sym_shared] = ACTIONS(2310),
    [anon_sym_groupshared] = ACTIONS(2310),
    [anon_sym_uniform] = ACTIONS(2310),
    [anon_sym_row_major] = ACTIONS(2310),
    [anon_sym_column_major] = ACTIONS(2310),
    [anon_sym_globallycoherent] = ACTIONS(2310),
    [anon_sym_centroid] = ACTIONS(2310),
    [anon_sym_noperspective] = ACTIONS(2310),
    [anon_sym_nointerpolation] = ACTIONS(2310),
    [anon_sym_sample] = ACTIONS(2310),
    [anon_sym_linear] = ACTIONS(2310),
    [anon_sym_snorm] = ACTIONS(2310),
    [anon_sym_unorm] = ACTIONS(2310),
    [anon_sym_point] = ACTIONS(2310),
    [anon_sym_line] = ACTIONS(2310),
    [anon_sym_triangleadj] = ACTIONS(2310),
    [anon_sym_lineadj] = ACTIONS(2310),
    [anon_sym_triangle] = ACTIONS(2310),
    [anon_sym_cbuffer] = ACTIONS(2310),
  },
  [658] = {
    [sym_identifier] = ACTIONS(2206),
    [aux_sym_preproc_include_token1] = ACTIONS(2206),
    [aux_sym_preproc_def_token1] = ACTIONS(2206),
    [aux_sym_preproc_if_token1] = ACTIONS(2206),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2206),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2206),
    [sym_preproc_directive] = ACTIONS(2206),
    [anon_sym_LPAREN2] = ACTIONS(2204),
    [anon_sym_BANG] = ACTIONS(2204),
    [anon_sym_TILDE] = ACTIONS(2204),
    [anon_sym_DASH] = ACTIONS(2206),
    [anon_sym_PLUS] = ACTIONS(2206),
    [anon_sym_STAR] = ACTIONS(2204),
    [anon_sym_AMP_AMP] = ACTIONS(2204),
    [anon_sym_AMP] = ACTIONS(2206),
    [anon_sym_SEMI] = ACTIONS(2204),
    [anon_sym___extension__] = ACTIONS(2206),
    [anon_sym_typedef] = ACTIONS(2206),
    [anon_sym_in] = ACTIONS(2206),
    [anon_sym_out] = ACTIONS(2206),
    [anon_sym_inout] = ACTIONS(2206),
    [anon_sym_extern] = ACTIONS(2206),
    [anon_sym___attribute__] = ACTIONS(2206),
    [anon_sym_COLON_COLON] = ACTIONS(2204),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2204),
    [anon_sym___declspec] = ACTIONS(2206),
    [anon_sym___based] = ACTIONS(2206),
    [anon_sym___cdecl] = ACTIONS(2206),
    [anon_sym___clrcall] = ACTIONS(2206),
    [anon_sym___stdcall] = ACTIONS(2206),
    [anon_sym___fastcall] = ACTIONS(2206),
    [anon_sym___thiscall] = ACTIONS(2206),
    [anon_sym___vectorcall] = ACTIONS(2206),
    [anon_sym_LBRACE] = ACTIONS(2204),
    [anon_sym_RBRACE] = ACTIONS(2204),
    [anon_sym_signed] = ACTIONS(2206),
    [anon_sym_unsigned] = ACTIONS(2206),
    [anon_sym_long] = ACTIONS(2206),
    [anon_sym_short] = ACTIONS(2206),
    [anon_sym_LBRACK] = ACTIONS(2206),
    [anon_sym_static] = ACTIONS(2206),
    [anon_sym_register] = ACTIONS(2206),
    [anon_sym_inline] = ACTIONS(2206),
    [anon_sym___inline] = ACTIONS(2206),
    [anon_sym___inline__] = ACTIONS(2206),
    [anon_sym___forceinline] = ACTIONS(2206),
    [anon_sym_thread_local] = ACTIONS(2206),
    [anon_sym___thread] = ACTIONS(2206),
    [anon_sym_const] = ACTIONS(2206),
    [anon_sym_constexpr] = ACTIONS(2206),
    [anon_sym_volatile] = ACTIONS(2206),
    [anon_sym_restrict] = ACTIONS(2206),
    [anon_sym___restrict__] = ACTIONS(2206),
    [anon_sym__Atomic] = ACTIONS(2206),
    [anon_sym__Noreturn] = ACTIONS(2206),
    [anon_sym_noreturn] = ACTIONS(2206),
    [anon_sym_mutable] = ACTIONS(2206),
    [anon_sym_constinit] = ACTIONS(2206),
    [anon_sym_consteval] = ACTIONS(2206),
    [sym_primitive_type] = ACTIONS(2206),
    [anon_sym_enum] = ACTIONS(2206),
    [anon_sym_class] = ACTIONS(2206),
    [anon_sym_struct] = ACTIONS(2206),
    [anon_sym_union] = ACTIONS(2206),
    [anon_sym_if] = ACTIONS(2206),
    [anon_sym_else] = ACTIONS(2206),
    [anon_sym_switch] = ACTIONS(2206),
    [anon_sym_case] = ACTIONS(2206),
    [anon_sym_default] = ACTIONS(2206),
    [anon_sym_while] = ACTIONS(2206),
    [anon_sym_do] = ACTIONS(2206),
    [anon_sym_for] = ACTIONS(2206),
    [anon_sym_return] = ACTIONS(2206),
    [anon_sym_break] = ACTIONS(2206),
    [anon_sym_continue] = ACTIONS(2206),
    [anon_sym_goto] = ACTIONS(2206),
    [anon_sym___try] = ACTIONS(2206),
    [anon_sym___leave] = ACTIONS(2206),
    [anon_sym_not] = ACTIONS(2206),
    [anon_sym_compl] = ACTIONS(2206),
    [anon_sym_DASH_DASH] = ACTIONS(2204),
    [anon_sym_PLUS_PLUS] = ACTIONS(2204),
    [anon_sym_sizeof] = ACTIONS(2206),
    [anon_sym___alignof__] = ACTIONS(2206),
    [anon_sym___alignof] = ACTIONS(2206),
    [anon_sym__alignof] = ACTIONS(2206),
    [anon_sym_alignof] = ACTIONS(2206),
    [anon_sym__Alignof] = ACTIONS(2206),
    [anon_sym_offsetof] = ACTIONS(2206),
    [anon_sym__Generic] = ACTIONS(2206),
    [anon_sym_asm] = ACTIONS(2206),
    [anon_sym___asm__] = ACTIONS(2206),
    [sym_number_literal] = ACTIONS(2204),
    [anon_sym_L_SQUOTE] = ACTIONS(2204),
    [anon_sym_u_SQUOTE] = ACTIONS(2204),
    [anon_sym_U_SQUOTE] = ACTIONS(2204),
    [anon_sym_u8_SQUOTE] = ACTIONS(2204),
    [anon_sym_SQUOTE] = ACTIONS(2204),
    [anon_sym_L_DQUOTE] = ACTIONS(2204),
    [anon_sym_u_DQUOTE] = ACTIONS(2204),
    [anon_sym_U_DQUOTE] = ACTIONS(2204),
    [anon_sym_u8_DQUOTE] = ACTIONS(2204),
    [anon_sym_DQUOTE] = ACTIONS(2204),
    [sym_true] = ACTIONS(2206),
    [sym_false] = ACTIONS(2206),
    [anon_sym_NULL] = ACTIONS(2206),
    [anon_sym_nullptr] = ACTIONS(2206),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2206),
    [anon_sym_decltype] = ACTIONS(2206),
    [anon_sym_virtual] = ACTIONS(2206),
    [anon_sym_alignas] = ACTIONS(2206),
    [anon_sym_explicit] = ACTIONS(2206),
    [anon_sym_typename] = ACTIONS(2206),
    [anon_sym_template] = ACTIONS(2206),
    [anon_sym_operator] = ACTIONS(2206),
    [anon_sym_try] = ACTIONS(2206),
    [anon_sym_delete] = ACTIONS(2206),
    [anon_sym_throw] = ACTIONS(2206),
    [anon_sym_namespace] = ACTIONS(2206),
    [anon_sym_using] = ACTIONS(2206),
    [anon_sym_static_assert] = ACTIONS(2206),
    [anon_sym_concept] = ACTIONS(2206),
    [anon_sym_co_return] = ACTIONS(2206),
    [anon_sym_co_yield] = ACTIONS(2206),
    [anon_sym_catch] = ACTIONS(2206),
    [anon_sym_R_DQUOTE] = ACTIONS(2204),
    [anon_sym_LR_DQUOTE] = ACTIONS(2204),
    [anon_sym_uR_DQUOTE] = ACTIONS(2204),
    [anon_sym_UR_DQUOTE] = ACTIONS(2204),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2204),
    [anon_sym_co_await] = ACTIONS(2206),
    [anon_sym_new] = ACTIONS(2206),
    [anon_sym_requires] = ACTIONS(2206),
    [sym_this] = ACTIONS(2206),
    [anon_sym_discard] = ACTIONS(2206),
    [anon_sym_precise] = ACTIONS(2206),
    [anon_sym_shared] = ACTIONS(2206),
    [anon_sym_groupshared] = ACTIONS(2206),
    [anon_sym_uniform] = ACTIONS(2206),
    [anon_sym_row_major] = ACTIONS(2206),
    [anon_sym_column_major] = ACTIONS(2206),
    [anon_sym_globallycoherent] = ACTIONS(2206),
    [anon_sym_centroid] = ACTIONS(2206),
    [anon_sym_noperspective] = ACTIONS(2206),
    [anon_sym_nointerpolation] = ACTIONS(2206),
    [anon_sym_sample] = ACTIONS(2206),
    [anon_sym_linear] = ACTIONS(2206),
    [anon_sym_snorm] = ACTIONS(2206),
    [anon_sym_unorm] = ACTIONS(2206),
    [anon_sym_point] = ACTIONS(2206),
    [anon_sym_line] = ACTIONS(2206),
    [anon_sym_triangleadj] = ACTIONS(2206),
    [anon_sym_lineadj] = ACTIONS(2206),
    [anon_sym_triangle] = ACTIONS(2206),
    [anon_sym_cbuffer] = ACTIONS(2206),
  },
  [659] = {
    [sym_identifier] = ACTIONS(2781),
    [aux_sym_preproc_include_token1] = ACTIONS(2781),
    [aux_sym_preproc_def_token1] = ACTIONS(2781),
    [aux_sym_preproc_if_token1] = ACTIONS(2781),
    [aux_sym_preproc_if_token2] = ACTIONS(2781),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2781),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2781),
    [aux_sym_preproc_else_token1] = ACTIONS(2781),
    [aux_sym_preproc_elif_token1] = ACTIONS(2781),
    [sym_preproc_directive] = ACTIONS(2781),
    [anon_sym_LPAREN2] = ACTIONS(2783),
    [anon_sym_BANG] = ACTIONS(2783),
    [anon_sym_TILDE] = ACTIONS(2783),
    [anon_sym_DASH] = ACTIONS(2781),
    [anon_sym_PLUS] = ACTIONS(2781),
    [anon_sym_STAR] = ACTIONS(2783),
    [anon_sym_AMP_AMP] = ACTIONS(2783),
    [anon_sym_AMP] = ACTIONS(2781),
    [anon_sym_SEMI] = ACTIONS(2783),
    [anon_sym___extension__] = ACTIONS(2781),
    [anon_sym_typedef] = ACTIONS(2781),
    [anon_sym_in] = ACTIONS(2781),
    [anon_sym_out] = ACTIONS(2781),
    [anon_sym_inout] = ACTIONS(2781),
    [anon_sym_extern] = ACTIONS(2781),
    [anon_sym___attribute__] = ACTIONS(2781),
    [anon_sym_COLON_COLON] = ACTIONS(2783),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2783),
    [anon_sym___declspec] = ACTIONS(2781),
    [anon_sym___based] = ACTIONS(2781),
    [anon_sym___cdecl] = ACTIONS(2781),
    [anon_sym___clrcall] = ACTIONS(2781),
    [anon_sym___stdcall] = ACTIONS(2781),
    [anon_sym___fastcall] = ACTIONS(2781),
    [anon_sym___thiscall] = ACTIONS(2781),
    [anon_sym___vectorcall] = ACTIONS(2781),
    [anon_sym_LBRACE] = ACTIONS(2783),
    [anon_sym_signed] = ACTIONS(2781),
    [anon_sym_unsigned] = ACTIONS(2781),
    [anon_sym_long] = ACTIONS(2781),
    [anon_sym_short] = ACTIONS(2781),
    [anon_sym_LBRACK] = ACTIONS(2781),
    [anon_sym_static] = ACTIONS(2781),
    [anon_sym_register] = ACTIONS(2781),
    [anon_sym_inline] = ACTIONS(2781),
    [anon_sym___inline] = ACTIONS(2781),
    [anon_sym___inline__] = ACTIONS(2781),
    [anon_sym___forceinline] = ACTIONS(2781),
    [anon_sym_thread_local] = ACTIONS(2781),
    [anon_sym___thread] = ACTIONS(2781),
    [anon_sym_const] = ACTIONS(2781),
    [anon_sym_constexpr] = ACTIONS(2781),
    [anon_sym_volatile] = ACTIONS(2781),
    [anon_sym_restrict] = ACTIONS(2781),
    [anon_sym___restrict__] = ACTIONS(2781),
    [anon_sym__Atomic] = ACTIONS(2781),
    [anon_sym__Noreturn] = ACTIONS(2781),
    [anon_sym_noreturn] = ACTIONS(2781),
    [anon_sym_mutable] = ACTIONS(2781),
    [anon_sym_constinit] = ACTIONS(2781),
    [anon_sym_consteval] = ACTIONS(2781),
    [sym_primitive_type] = ACTIONS(2781),
    [anon_sym_enum] = ACTIONS(2781),
    [anon_sym_class] = ACTIONS(2781),
    [anon_sym_struct] = ACTIONS(2781),
    [anon_sym_union] = ACTIONS(2781),
    [anon_sym_if] = ACTIONS(2781),
    [anon_sym_switch] = ACTIONS(2781),
    [anon_sym_case] = ACTIONS(2781),
    [anon_sym_default] = ACTIONS(2781),
    [anon_sym_while] = ACTIONS(2781),
    [anon_sym_do] = ACTIONS(2781),
    [anon_sym_for] = ACTIONS(2781),
    [anon_sym_return] = ACTIONS(2781),
    [anon_sym_break] = ACTIONS(2781),
    [anon_sym_continue] = ACTIONS(2781),
    [anon_sym_goto] = ACTIONS(2781),
    [anon_sym___try] = ACTIONS(2781),
    [anon_sym___leave] = ACTIONS(2781),
    [anon_sym_not] = ACTIONS(2781),
    [anon_sym_compl] = ACTIONS(2781),
    [anon_sym_DASH_DASH] = ACTIONS(2783),
    [anon_sym_PLUS_PLUS] = ACTIONS(2783),
    [anon_sym_sizeof] = ACTIONS(2781),
    [anon_sym___alignof__] = ACTIONS(2781),
    [anon_sym___alignof] = ACTIONS(2781),
    [anon_sym__alignof] = ACTIONS(2781),
    [anon_sym_alignof] = ACTIONS(2781),
    [anon_sym__Alignof] = ACTIONS(2781),
    [anon_sym_offsetof] = ACTIONS(2781),
    [anon_sym__Generic] = ACTIONS(2781),
    [anon_sym_asm] = ACTIONS(2781),
    [anon_sym___asm__] = ACTIONS(2781),
    [sym_number_literal] = ACTIONS(2783),
    [anon_sym_L_SQUOTE] = ACTIONS(2783),
    [anon_sym_u_SQUOTE] = ACTIONS(2783),
    [anon_sym_U_SQUOTE] = ACTIONS(2783),
    [anon_sym_u8_SQUOTE] = ACTIONS(2783),
    [anon_sym_SQUOTE] = ACTIONS(2783),
    [anon_sym_L_DQUOTE] = ACTIONS(2783),
    [anon_sym_u_DQUOTE] = ACTIONS(2783),
    [anon_sym_U_DQUOTE] = ACTIONS(2783),
    [anon_sym_u8_DQUOTE] = ACTIONS(2783),
    [anon_sym_DQUOTE] = ACTIONS(2783),
    [sym_true] = ACTIONS(2781),
    [sym_false] = ACTIONS(2781),
    [anon_sym_NULL] = ACTIONS(2781),
    [anon_sym_nullptr] = ACTIONS(2781),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2781),
    [anon_sym_decltype] = ACTIONS(2781),
    [anon_sym_virtual] = ACTIONS(2781),
    [anon_sym_alignas] = ACTIONS(2781),
    [anon_sym_explicit] = ACTIONS(2781),
    [anon_sym_typename] = ACTIONS(2781),
    [anon_sym_template] = ACTIONS(2781),
    [anon_sym_operator] = ACTIONS(2781),
    [anon_sym_try] = ACTIONS(2781),
    [anon_sym_delete] = ACTIONS(2781),
    [anon_sym_throw] = ACTIONS(2781),
    [anon_sym_namespace] = ACTIONS(2781),
    [anon_sym_using] = ACTIONS(2781),
    [anon_sym_static_assert] = ACTIONS(2781),
    [anon_sym_concept] = ACTIONS(2781),
    [anon_sym_co_return] = ACTIONS(2781),
    [anon_sym_co_yield] = ACTIONS(2781),
    [anon_sym_R_DQUOTE] = ACTIONS(2783),
    [anon_sym_LR_DQUOTE] = ACTIONS(2783),
    [anon_sym_uR_DQUOTE] = ACTIONS(2783),
    [anon_sym_UR_DQUOTE] = ACTIONS(2783),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2783),
    [anon_sym_co_await] = ACTIONS(2781),
    [anon_sym_new] = ACTIONS(2781),
    [anon_sym_requires] = ACTIONS(2781),
    [sym_this] = ACTIONS(2781),
    [anon_sym_discard] = ACTIONS(2781),
    [anon_sym_precise] = ACTIONS(2781),
    [anon_sym_shared] = ACTIONS(2781),
    [anon_sym_groupshared] = ACTIONS(2781),
    [anon_sym_uniform] = ACTIONS(2781),
    [anon_sym_row_major] = ACTIONS(2781),
    [anon_sym_column_major] = ACTIONS(2781),
    [anon_sym_globallycoherent] = ACTIONS(2781),
    [anon_sym_centroid] = ACTIONS(2781),
    [anon_sym_noperspective] = ACTIONS(2781),
    [anon_sym_nointerpolation] = ACTIONS(2781),
    [anon_sym_sample] = ACTIONS(2781),
    [anon_sym_linear] = ACTIONS(2781),
    [anon_sym_snorm] = ACTIONS(2781),
    [anon_sym_unorm] = ACTIONS(2781),
    [anon_sym_point] = ACTIONS(2781),
    [anon_sym_line] = ACTIONS(2781),
    [anon_sym_triangleadj] = ACTIONS(2781),
    [anon_sym_lineadj] = ACTIONS(2781),
    [anon_sym_triangle] = ACTIONS(2781),
    [anon_sym_cbuffer] = ACTIONS(2781),
  },
  [660] = {
    [sym_identifier] = ACTIONS(2710),
    [aux_sym_preproc_include_token1] = ACTIONS(2710),
    [aux_sym_preproc_def_token1] = ACTIONS(2710),
    [aux_sym_preproc_if_token1] = ACTIONS(2710),
    [aux_sym_preproc_if_token2] = ACTIONS(2710),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2710),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2710),
    [aux_sym_preproc_else_token1] = ACTIONS(2710),
    [aux_sym_preproc_elif_token1] = ACTIONS(2710),
    [sym_preproc_directive] = ACTIONS(2710),
    [anon_sym_LPAREN2] = ACTIONS(2712),
    [anon_sym_BANG] = ACTIONS(2712),
    [anon_sym_TILDE] = ACTIONS(2712),
    [anon_sym_DASH] = ACTIONS(2710),
    [anon_sym_PLUS] = ACTIONS(2710),
    [anon_sym_STAR] = ACTIONS(2712),
    [anon_sym_AMP_AMP] = ACTIONS(2712),
    [anon_sym_AMP] = ACTIONS(2710),
    [anon_sym_SEMI] = ACTIONS(2712),
    [anon_sym___extension__] = ACTIONS(2710),
    [anon_sym_typedef] = ACTIONS(2710),
    [anon_sym_in] = ACTIONS(2710),
    [anon_sym_out] = ACTIONS(2710),
    [anon_sym_inout] = ACTIONS(2710),
    [anon_sym_extern] = ACTIONS(2710),
    [anon_sym___attribute__] = ACTIONS(2710),
    [anon_sym_COLON_COLON] = ACTIONS(2712),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2712),
    [anon_sym___declspec] = ACTIONS(2710),
    [anon_sym___based] = ACTIONS(2710),
    [anon_sym___cdecl] = ACTIONS(2710),
    [anon_sym___clrcall] = ACTIONS(2710),
    [anon_sym___stdcall] = ACTIONS(2710),
    [anon_sym___fastcall] = ACTIONS(2710),
    [anon_sym___thiscall] = ACTIONS(2710),
    [anon_sym___vectorcall] = ACTIONS(2710),
    [anon_sym_LBRACE] = ACTIONS(2712),
    [anon_sym_signed] = ACTIONS(2710),
    [anon_sym_unsigned] = ACTIONS(2710),
    [anon_sym_long] = ACTIONS(2710),
    [anon_sym_short] = ACTIONS(2710),
    [anon_sym_LBRACK] = ACTIONS(2710),
    [anon_sym_static] = ACTIONS(2710),
    [anon_sym_register] = ACTIONS(2710),
    [anon_sym_inline] = ACTIONS(2710),
    [anon_sym___inline] = ACTIONS(2710),
    [anon_sym___inline__] = ACTIONS(2710),
    [anon_sym___forceinline] = ACTIONS(2710),
    [anon_sym_thread_local] = ACTIONS(2710),
    [anon_sym___thread] = ACTIONS(2710),
    [anon_sym_const] = ACTIONS(2710),
    [anon_sym_constexpr] = ACTIONS(2710),
    [anon_sym_volatile] = ACTIONS(2710),
    [anon_sym_restrict] = ACTIONS(2710),
    [anon_sym___restrict__] = ACTIONS(2710),
    [anon_sym__Atomic] = ACTIONS(2710),
    [anon_sym__Noreturn] = ACTIONS(2710),
    [anon_sym_noreturn] = ACTIONS(2710),
    [anon_sym_mutable] = ACTIONS(2710),
    [anon_sym_constinit] = ACTIONS(2710),
    [anon_sym_consteval] = ACTIONS(2710),
    [sym_primitive_type] = ACTIONS(2710),
    [anon_sym_enum] = ACTIONS(2710),
    [anon_sym_class] = ACTIONS(2710),
    [anon_sym_struct] = ACTIONS(2710),
    [anon_sym_union] = ACTIONS(2710),
    [anon_sym_if] = ACTIONS(2710),
    [anon_sym_switch] = ACTIONS(2710),
    [anon_sym_case] = ACTIONS(2710),
    [anon_sym_default] = ACTIONS(2710),
    [anon_sym_while] = ACTIONS(2710),
    [anon_sym_do] = ACTIONS(2710),
    [anon_sym_for] = ACTIONS(2710),
    [anon_sym_return] = ACTIONS(2710),
    [anon_sym_break] = ACTIONS(2710),
    [anon_sym_continue] = ACTIONS(2710),
    [anon_sym_goto] = ACTIONS(2710),
    [anon_sym___try] = ACTIONS(2710),
    [anon_sym___leave] = ACTIONS(2710),
    [anon_sym_not] = ACTIONS(2710),
    [anon_sym_compl] = ACTIONS(2710),
    [anon_sym_DASH_DASH] = ACTIONS(2712),
    [anon_sym_PLUS_PLUS] = ACTIONS(2712),
    [anon_sym_sizeof] = ACTIONS(2710),
    [anon_sym___alignof__] = ACTIONS(2710),
    [anon_sym___alignof] = ACTIONS(2710),
    [anon_sym__alignof] = ACTIONS(2710),
    [anon_sym_alignof] = ACTIONS(2710),
    [anon_sym__Alignof] = ACTIONS(2710),
    [anon_sym_offsetof] = ACTIONS(2710),
    [anon_sym__Generic] = ACTIONS(2710),
    [anon_sym_asm] = ACTIONS(2710),
    [anon_sym___asm__] = ACTIONS(2710),
    [sym_number_literal] = ACTIONS(2712),
    [anon_sym_L_SQUOTE] = ACTIONS(2712),
    [anon_sym_u_SQUOTE] = ACTIONS(2712),
    [anon_sym_U_SQUOTE] = ACTIONS(2712),
    [anon_sym_u8_SQUOTE] = ACTIONS(2712),
    [anon_sym_SQUOTE] = ACTIONS(2712),
    [anon_sym_L_DQUOTE] = ACTIONS(2712),
    [anon_sym_u_DQUOTE] = ACTIONS(2712),
    [anon_sym_U_DQUOTE] = ACTIONS(2712),
    [anon_sym_u8_DQUOTE] = ACTIONS(2712),
    [anon_sym_DQUOTE] = ACTIONS(2712),
    [sym_true] = ACTIONS(2710),
    [sym_false] = ACTIONS(2710),
    [anon_sym_NULL] = ACTIONS(2710),
    [anon_sym_nullptr] = ACTIONS(2710),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2710),
    [anon_sym_decltype] = ACTIONS(2710),
    [anon_sym_virtual] = ACTIONS(2710),
    [anon_sym_alignas] = ACTIONS(2710),
    [anon_sym_explicit] = ACTIONS(2710),
    [anon_sym_typename] = ACTIONS(2710),
    [anon_sym_template] = ACTIONS(2710),
    [anon_sym_operator] = ACTIONS(2710),
    [anon_sym_try] = ACTIONS(2710),
    [anon_sym_delete] = ACTIONS(2710),
    [anon_sym_throw] = ACTIONS(2710),
    [anon_sym_namespace] = ACTIONS(2710),
    [anon_sym_using] = ACTIONS(2710),
    [anon_sym_static_assert] = ACTIONS(2710),
    [anon_sym_concept] = ACTIONS(2710),
    [anon_sym_co_return] = ACTIONS(2710),
    [anon_sym_co_yield] = ACTIONS(2710),
    [anon_sym_R_DQUOTE] = ACTIONS(2712),
    [anon_sym_LR_DQUOTE] = ACTIONS(2712),
    [anon_sym_uR_DQUOTE] = ACTIONS(2712),
    [anon_sym_UR_DQUOTE] = ACTIONS(2712),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2712),
    [anon_sym_co_await] = ACTIONS(2710),
    [anon_sym_new] = ACTIONS(2710),
    [anon_sym_requires] = ACTIONS(2710),
    [sym_this] = ACTIONS(2710),
    [anon_sym_discard] = ACTIONS(2710),
    [anon_sym_precise] = ACTIONS(2710),
    [anon_sym_shared] = ACTIONS(2710),
    [anon_sym_groupshared] = ACTIONS(2710),
    [anon_sym_uniform] = ACTIONS(2710),
    [anon_sym_row_major] = ACTIONS(2710),
    [anon_sym_column_major] = ACTIONS(2710),
    [anon_sym_globallycoherent] = ACTIONS(2710),
    [anon_sym_centroid] = ACTIONS(2710),
    [anon_sym_noperspective] = ACTIONS(2710),
    [anon_sym_nointerpolation] = ACTIONS(2710),
    [anon_sym_sample] = ACTIONS(2710),
    [anon_sym_linear] = ACTIONS(2710),
    [anon_sym_snorm] = ACTIONS(2710),
    [anon_sym_unorm] = ACTIONS(2710),
    [anon_sym_point] = ACTIONS(2710),
    [anon_sym_line] = ACTIONS(2710),
    [anon_sym_triangleadj] = ACTIONS(2710),
    [anon_sym_lineadj] = ACTIONS(2710),
    [anon_sym_triangle] = ACTIONS(2710),
    [anon_sym_cbuffer] = ACTIONS(2710),
  },
  [661] = {
    [sym_identifier] = ACTIONS(2688),
    [aux_sym_preproc_include_token1] = ACTIONS(2688),
    [aux_sym_preproc_def_token1] = ACTIONS(2688),
    [aux_sym_preproc_if_token1] = ACTIONS(2688),
    [aux_sym_preproc_if_token2] = ACTIONS(2688),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2688),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2688),
    [aux_sym_preproc_else_token1] = ACTIONS(2688),
    [aux_sym_preproc_elif_token1] = ACTIONS(2688),
    [sym_preproc_directive] = ACTIONS(2688),
    [anon_sym_LPAREN2] = ACTIONS(2690),
    [anon_sym_BANG] = ACTIONS(2690),
    [anon_sym_TILDE] = ACTIONS(2690),
    [anon_sym_DASH] = ACTIONS(2688),
    [anon_sym_PLUS] = ACTIONS(2688),
    [anon_sym_STAR] = ACTIONS(2690),
    [anon_sym_AMP_AMP] = ACTIONS(2690),
    [anon_sym_AMP] = ACTIONS(2688),
    [anon_sym_SEMI] = ACTIONS(2690),
    [anon_sym___extension__] = ACTIONS(2688),
    [anon_sym_typedef] = ACTIONS(2688),
    [anon_sym_in] = ACTIONS(2688),
    [anon_sym_out] = ACTIONS(2688),
    [anon_sym_inout] = ACTIONS(2688),
    [anon_sym_extern] = ACTIONS(2688),
    [anon_sym___attribute__] = ACTIONS(2688),
    [anon_sym_COLON_COLON] = ACTIONS(2690),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2690),
    [anon_sym___declspec] = ACTIONS(2688),
    [anon_sym___based] = ACTIONS(2688),
    [anon_sym___cdecl] = ACTIONS(2688),
    [anon_sym___clrcall] = ACTIONS(2688),
    [anon_sym___stdcall] = ACTIONS(2688),
    [anon_sym___fastcall] = ACTIONS(2688),
    [anon_sym___thiscall] = ACTIONS(2688),
    [anon_sym___vectorcall] = ACTIONS(2688),
    [anon_sym_LBRACE] = ACTIONS(2690),
    [anon_sym_signed] = ACTIONS(2688),
    [anon_sym_unsigned] = ACTIONS(2688),
    [anon_sym_long] = ACTIONS(2688),
    [anon_sym_short] = ACTIONS(2688),
    [anon_sym_LBRACK] = ACTIONS(2688),
    [anon_sym_static] = ACTIONS(2688),
    [anon_sym_register] = ACTIONS(2688),
    [anon_sym_inline] = ACTIONS(2688),
    [anon_sym___inline] = ACTIONS(2688),
    [anon_sym___inline__] = ACTIONS(2688),
    [anon_sym___forceinline] = ACTIONS(2688),
    [anon_sym_thread_local] = ACTIONS(2688),
    [anon_sym___thread] = ACTIONS(2688),
    [anon_sym_const] = ACTIONS(2688),
    [anon_sym_constexpr] = ACTIONS(2688),
    [anon_sym_volatile] = ACTIONS(2688),
    [anon_sym_restrict] = ACTIONS(2688),
    [anon_sym___restrict__] = ACTIONS(2688),
    [anon_sym__Atomic] = ACTIONS(2688),
    [anon_sym__Noreturn] = ACTIONS(2688),
    [anon_sym_noreturn] = ACTIONS(2688),
    [anon_sym_mutable] = ACTIONS(2688),
    [anon_sym_constinit] = ACTIONS(2688),
    [anon_sym_consteval] = ACTIONS(2688),
    [sym_primitive_type] = ACTIONS(2688),
    [anon_sym_enum] = ACTIONS(2688),
    [anon_sym_class] = ACTIONS(2688),
    [anon_sym_struct] = ACTIONS(2688),
    [anon_sym_union] = ACTIONS(2688),
    [anon_sym_if] = ACTIONS(2688),
    [anon_sym_switch] = ACTIONS(2688),
    [anon_sym_case] = ACTIONS(2688),
    [anon_sym_default] = ACTIONS(2688),
    [anon_sym_while] = ACTIONS(2688),
    [anon_sym_do] = ACTIONS(2688),
    [anon_sym_for] = ACTIONS(2688),
    [anon_sym_return] = ACTIONS(2688),
    [anon_sym_break] = ACTIONS(2688),
    [anon_sym_continue] = ACTIONS(2688),
    [anon_sym_goto] = ACTIONS(2688),
    [anon_sym___try] = ACTIONS(2688),
    [anon_sym___leave] = ACTIONS(2688),
    [anon_sym_not] = ACTIONS(2688),
    [anon_sym_compl] = ACTIONS(2688),
    [anon_sym_DASH_DASH] = ACTIONS(2690),
    [anon_sym_PLUS_PLUS] = ACTIONS(2690),
    [anon_sym_sizeof] = ACTIONS(2688),
    [anon_sym___alignof__] = ACTIONS(2688),
    [anon_sym___alignof] = ACTIONS(2688),
    [anon_sym__alignof] = ACTIONS(2688),
    [anon_sym_alignof] = ACTIONS(2688),
    [anon_sym__Alignof] = ACTIONS(2688),
    [anon_sym_offsetof] = ACTIONS(2688),
    [anon_sym__Generic] = ACTIONS(2688),
    [anon_sym_asm] = ACTIONS(2688),
    [anon_sym___asm__] = ACTIONS(2688),
    [sym_number_literal] = ACTIONS(2690),
    [anon_sym_L_SQUOTE] = ACTIONS(2690),
    [anon_sym_u_SQUOTE] = ACTIONS(2690),
    [anon_sym_U_SQUOTE] = ACTIONS(2690),
    [anon_sym_u8_SQUOTE] = ACTIONS(2690),
    [anon_sym_SQUOTE] = ACTIONS(2690),
    [anon_sym_L_DQUOTE] = ACTIONS(2690),
    [anon_sym_u_DQUOTE] = ACTIONS(2690),
    [anon_sym_U_DQUOTE] = ACTIONS(2690),
    [anon_sym_u8_DQUOTE] = ACTIONS(2690),
    [anon_sym_DQUOTE] = ACTIONS(2690),
    [sym_true] = ACTIONS(2688),
    [sym_false] = ACTIONS(2688),
    [anon_sym_NULL] = ACTIONS(2688),
    [anon_sym_nullptr] = ACTIONS(2688),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2688),
    [anon_sym_decltype] = ACTIONS(2688),
    [anon_sym_virtual] = ACTIONS(2688),
    [anon_sym_alignas] = ACTIONS(2688),
    [anon_sym_explicit] = ACTIONS(2688),
    [anon_sym_typename] = ACTIONS(2688),
    [anon_sym_template] = ACTIONS(2688),
    [anon_sym_operator] = ACTIONS(2688),
    [anon_sym_try] = ACTIONS(2688),
    [anon_sym_delete] = ACTIONS(2688),
    [anon_sym_throw] = ACTIONS(2688),
    [anon_sym_namespace] = ACTIONS(2688),
    [anon_sym_using] = ACTIONS(2688),
    [anon_sym_static_assert] = ACTIONS(2688),
    [anon_sym_concept] = ACTIONS(2688),
    [anon_sym_co_return] = ACTIONS(2688),
    [anon_sym_co_yield] = ACTIONS(2688),
    [anon_sym_R_DQUOTE] = ACTIONS(2690),
    [anon_sym_LR_DQUOTE] = ACTIONS(2690),
    [anon_sym_uR_DQUOTE] = ACTIONS(2690),
    [anon_sym_UR_DQUOTE] = ACTIONS(2690),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2690),
    [anon_sym_co_await] = ACTIONS(2688),
    [anon_sym_new] = ACTIONS(2688),
    [anon_sym_requires] = ACTIONS(2688),
    [sym_this] = ACTIONS(2688),
    [anon_sym_discard] = ACTIONS(2688),
    [anon_sym_precise] = ACTIONS(2688),
    [anon_sym_shared] = ACTIONS(2688),
    [anon_sym_groupshared] = ACTIONS(2688),
    [anon_sym_uniform] = ACTIONS(2688),
    [anon_sym_row_major] = ACTIONS(2688),
    [anon_sym_column_major] = ACTIONS(2688),
    [anon_sym_globallycoherent] = ACTIONS(2688),
    [anon_sym_centroid] = ACTIONS(2688),
    [anon_sym_noperspective] = ACTIONS(2688),
    [anon_sym_nointerpolation] = ACTIONS(2688),
    [anon_sym_sample] = ACTIONS(2688),
    [anon_sym_linear] = ACTIONS(2688),
    [anon_sym_snorm] = ACTIONS(2688),
    [anon_sym_unorm] = ACTIONS(2688),
    [anon_sym_point] = ACTIONS(2688),
    [anon_sym_line] = ACTIONS(2688),
    [anon_sym_triangleadj] = ACTIONS(2688),
    [anon_sym_lineadj] = ACTIONS(2688),
    [anon_sym_triangle] = ACTIONS(2688),
    [anon_sym_cbuffer] = ACTIONS(2688),
  },
  [662] = {
    [sym_identifier] = ACTIONS(2677),
    [aux_sym_preproc_include_token1] = ACTIONS(2677),
    [aux_sym_preproc_def_token1] = ACTIONS(2677),
    [aux_sym_preproc_if_token1] = ACTIONS(2677),
    [aux_sym_preproc_if_token2] = ACTIONS(2677),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2677),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2677),
    [aux_sym_preproc_else_token1] = ACTIONS(2677),
    [aux_sym_preproc_elif_token1] = ACTIONS(2677),
    [sym_preproc_directive] = ACTIONS(2677),
    [anon_sym_LPAREN2] = ACTIONS(2679),
    [anon_sym_BANG] = ACTIONS(2679),
    [anon_sym_TILDE] = ACTIONS(2679),
    [anon_sym_DASH] = ACTIONS(2677),
    [anon_sym_PLUS] = ACTIONS(2677),
    [anon_sym_STAR] = ACTIONS(2679),
    [anon_sym_AMP_AMP] = ACTIONS(2679),
    [anon_sym_AMP] = ACTIONS(2677),
    [anon_sym_SEMI] = ACTIONS(2679),
    [anon_sym___extension__] = ACTIONS(2677),
    [anon_sym_typedef] = ACTIONS(2677),
    [anon_sym_in] = ACTIONS(2677),
    [anon_sym_out] = ACTIONS(2677),
    [anon_sym_inout] = ACTIONS(2677),
    [anon_sym_extern] = ACTIONS(2677),
    [anon_sym___attribute__] = ACTIONS(2677),
    [anon_sym_COLON_COLON] = ACTIONS(2679),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2679),
    [anon_sym___declspec] = ACTIONS(2677),
    [anon_sym___based] = ACTIONS(2677),
    [anon_sym___cdecl] = ACTIONS(2677),
    [anon_sym___clrcall] = ACTIONS(2677),
    [anon_sym___stdcall] = ACTIONS(2677),
    [anon_sym___fastcall] = ACTIONS(2677),
    [anon_sym___thiscall] = ACTIONS(2677),
    [anon_sym___vectorcall] = ACTIONS(2677),
    [anon_sym_LBRACE] = ACTIONS(2679),
    [anon_sym_signed] = ACTIONS(2677),
    [anon_sym_unsigned] = ACTIONS(2677),
    [anon_sym_long] = ACTIONS(2677),
    [anon_sym_short] = ACTIONS(2677),
    [anon_sym_LBRACK] = ACTIONS(2677),
    [anon_sym_static] = ACTIONS(2677),
    [anon_sym_register] = ACTIONS(2677),
    [anon_sym_inline] = ACTIONS(2677),
    [anon_sym___inline] = ACTIONS(2677),
    [anon_sym___inline__] = ACTIONS(2677),
    [anon_sym___forceinline] = ACTIONS(2677),
    [anon_sym_thread_local] = ACTIONS(2677),
    [anon_sym___thread] = ACTIONS(2677),
    [anon_sym_const] = ACTIONS(2677),
    [anon_sym_constexpr] = ACTIONS(2677),
    [anon_sym_volatile] = ACTIONS(2677),
    [anon_sym_restrict] = ACTIONS(2677),
    [anon_sym___restrict__] = ACTIONS(2677),
    [anon_sym__Atomic] = ACTIONS(2677),
    [anon_sym__Noreturn] = ACTIONS(2677),
    [anon_sym_noreturn] = ACTIONS(2677),
    [anon_sym_mutable] = ACTIONS(2677),
    [anon_sym_constinit] = ACTIONS(2677),
    [anon_sym_consteval] = ACTIONS(2677),
    [sym_primitive_type] = ACTIONS(2677),
    [anon_sym_enum] = ACTIONS(2677),
    [anon_sym_class] = ACTIONS(2677),
    [anon_sym_struct] = ACTIONS(2677),
    [anon_sym_union] = ACTIONS(2677),
    [anon_sym_if] = ACTIONS(2677),
    [anon_sym_switch] = ACTIONS(2677),
    [anon_sym_case] = ACTIONS(2677),
    [anon_sym_default] = ACTIONS(2677),
    [anon_sym_while] = ACTIONS(2677),
    [anon_sym_do] = ACTIONS(2677),
    [anon_sym_for] = ACTIONS(2677),
    [anon_sym_return] = ACTIONS(2677),
    [anon_sym_break] = ACTIONS(2677),
    [anon_sym_continue] = ACTIONS(2677),
    [anon_sym_goto] = ACTIONS(2677),
    [anon_sym___try] = ACTIONS(2677),
    [anon_sym___leave] = ACTIONS(2677),
    [anon_sym_not] = ACTIONS(2677),
    [anon_sym_compl] = ACTIONS(2677),
    [anon_sym_DASH_DASH] = ACTIONS(2679),
    [anon_sym_PLUS_PLUS] = ACTIONS(2679),
    [anon_sym_sizeof] = ACTIONS(2677),
    [anon_sym___alignof__] = ACTIONS(2677),
    [anon_sym___alignof] = ACTIONS(2677),
    [anon_sym__alignof] = ACTIONS(2677),
    [anon_sym_alignof] = ACTIONS(2677),
    [anon_sym__Alignof] = ACTIONS(2677),
    [anon_sym_offsetof] = ACTIONS(2677),
    [anon_sym__Generic] = ACTIONS(2677),
    [anon_sym_asm] = ACTIONS(2677),
    [anon_sym___asm__] = ACTIONS(2677),
    [sym_number_literal] = ACTIONS(2679),
    [anon_sym_L_SQUOTE] = ACTIONS(2679),
    [anon_sym_u_SQUOTE] = ACTIONS(2679),
    [anon_sym_U_SQUOTE] = ACTIONS(2679),
    [anon_sym_u8_SQUOTE] = ACTIONS(2679),
    [anon_sym_SQUOTE] = ACTIONS(2679),
    [anon_sym_L_DQUOTE] = ACTIONS(2679),
    [anon_sym_u_DQUOTE] = ACTIONS(2679),
    [anon_sym_U_DQUOTE] = ACTIONS(2679),
    [anon_sym_u8_DQUOTE] = ACTIONS(2679),
    [anon_sym_DQUOTE] = ACTIONS(2679),
    [sym_true] = ACTIONS(2677),
    [sym_false] = ACTIONS(2677),
    [anon_sym_NULL] = ACTIONS(2677),
    [anon_sym_nullptr] = ACTIONS(2677),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2677),
    [anon_sym_decltype] = ACTIONS(2677),
    [anon_sym_virtual] = ACTIONS(2677),
    [anon_sym_alignas] = ACTIONS(2677),
    [anon_sym_explicit] = ACTIONS(2677),
    [anon_sym_typename] = ACTIONS(2677),
    [anon_sym_template] = ACTIONS(2677),
    [anon_sym_operator] = ACTIONS(2677),
    [anon_sym_try] = ACTIONS(2677),
    [anon_sym_delete] = ACTIONS(2677),
    [anon_sym_throw] = ACTIONS(2677),
    [anon_sym_namespace] = ACTIONS(2677),
    [anon_sym_using] = ACTIONS(2677),
    [anon_sym_static_assert] = ACTIONS(2677),
    [anon_sym_concept] = ACTIONS(2677),
    [anon_sym_co_return] = ACTIONS(2677),
    [anon_sym_co_yield] = ACTIONS(2677),
    [anon_sym_R_DQUOTE] = ACTIONS(2679),
    [anon_sym_LR_DQUOTE] = ACTIONS(2679),
    [anon_sym_uR_DQUOTE] = ACTIONS(2679),
    [anon_sym_UR_DQUOTE] = ACTIONS(2679),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2679),
    [anon_sym_co_await] = ACTIONS(2677),
    [anon_sym_new] = ACTIONS(2677),
    [anon_sym_requires] = ACTIONS(2677),
    [sym_this] = ACTIONS(2677),
    [anon_sym_discard] = ACTIONS(2677),
    [anon_sym_precise] = ACTIONS(2677),
    [anon_sym_shared] = ACTIONS(2677),
    [anon_sym_groupshared] = ACTIONS(2677),
    [anon_sym_uniform] = ACTIONS(2677),
    [anon_sym_row_major] = ACTIONS(2677),
    [anon_sym_column_major] = ACTIONS(2677),
    [anon_sym_globallycoherent] = ACTIONS(2677),
    [anon_sym_centroid] = ACTIONS(2677),
    [anon_sym_noperspective] = ACTIONS(2677),
    [anon_sym_nointerpolation] = ACTIONS(2677),
    [anon_sym_sample] = ACTIONS(2677),
    [anon_sym_linear] = ACTIONS(2677),
    [anon_sym_snorm] = ACTIONS(2677),
    [anon_sym_unorm] = ACTIONS(2677),
    [anon_sym_point] = ACTIONS(2677),
    [anon_sym_line] = ACTIONS(2677),
    [anon_sym_triangleadj] = ACTIONS(2677),
    [anon_sym_lineadj] = ACTIONS(2677),
    [anon_sym_triangle] = ACTIONS(2677),
    [anon_sym_cbuffer] = ACTIONS(2677),
  },
  [663] = {
    [sym_else_clause] = STATE(970),
    [sym_identifier] = ACTIONS(2310),
    [aux_sym_preproc_include_token1] = ACTIONS(2310),
    [aux_sym_preproc_def_token1] = ACTIONS(2310),
    [aux_sym_preproc_if_token1] = ACTIONS(2310),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2310),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2310),
    [sym_preproc_directive] = ACTIONS(2310),
    [anon_sym_LPAREN2] = ACTIONS(2312),
    [anon_sym_BANG] = ACTIONS(2312),
    [anon_sym_TILDE] = ACTIONS(2312),
    [anon_sym_DASH] = ACTIONS(2310),
    [anon_sym_PLUS] = ACTIONS(2310),
    [anon_sym_STAR] = ACTIONS(2312),
    [anon_sym_AMP_AMP] = ACTIONS(2312),
    [anon_sym_AMP] = ACTIONS(2310),
    [anon_sym_SEMI] = ACTIONS(2312),
    [anon_sym___extension__] = ACTIONS(2310),
    [anon_sym_typedef] = ACTIONS(2310),
    [anon_sym_in] = ACTIONS(2310),
    [anon_sym_out] = ACTIONS(2310),
    [anon_sym_inout] = ACTIONS(2310),
    [anon_sym_extern] = ACTIONS(2310),
    [anon_sym___attribute__] = ACTIONS(2310),
    [anon_sym_COLON_COLON] = ACTIONS(2312),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2312),
    [anon_sym___declspec] = ACTIONS(2310),
    [anon_sym___based] = ACTIONS(2310),
    [anon_sym___cdecl] = ACTIONS(2310),
    [anon_sym___clrcall] = ACTIONS(2310),
    [anon_sym___stdcall] = ACTIONS(2310),
    [anon_sym___fastcall] = ACTIONS(2310),
    [anon_sym___thiscall] = ACTIONS(2310),
    [anon_sym___vectorcall] = ACTIONS(2310),
    [anon_sym_LBRACE] = ACTIONS(2312),
    [anon_sym_RBRACE] = ACTIONS(2312),
    [anon_sym_signed] = ACTIONS(2310),
    [anon_sym_unsigned] = ACTIONS(2310),
    [anon_sym_long] = ACTIONS(2310),
    [anon_sym_short] = ACTIONS(2310),
    [anon_sym_LBRACK] = ACTIONS(2310),
    [anon_sym_static] = ACTIONS(2310),
    [anon_sym_register] = ACTIONS(2310),
    [anon_sym_inline] = ACTIONS(2310),
    [anon_sym___inline] = ACTIONS(2310),
    [anon_sym___inline__] = ACTIONS(2310),
    [anon_sym___forceinline] = ACTIONS(2310),
    [anon_sym_thread_local] = ACTIONS(2310),
    [anon_sym___thread] = ACTIONS(2310),
    [anon_sym_const] = ACTIONS(2310),
    [anon_sym_constexpr] = ACTIONS(2310),
    [anon_sym_volatile] = ACTIONS(2310),
    [anon_sym_restrict] = ACTIONS(2310),
    [anon_sym___restrict__] = ACTIONS(2310),
    [anon_sym__Atomic] = ACTIONS(2310),
    [anon_sym__Noreturn] = ACTIONS(2310),
    [anon_sym_noreturn] = ACTIONS(2310),
    [anon_sym_mutable] = ACTIONS(2310),
    [anon_sym_constinit] = ACTIONS(2310),
    [anon_sym_consteval] = ACTIONS(2310),
    [sym_primitive_type] = ACTIONS(2310),
    [anon_sym_enum] = ACTIONS(2310),
    [anon_sym_class] = ACTIONS(2310),
    [anon_sym_struct] = ACTIONS(2310),
    [anon_sym_union] = ACTIONS(2310),
    [anon_sym_if] = ACTIONS(2310),
    [anon_sym_else] = ACTIONS(2986),
    [anon_sym_switch] = ACTIONS(2310),
    [anon_sym_case] = ACTIONS(2310),
    [anon_sym_default] = ACTIONS(2310),
    [anon_sym_while] = ACTIONS(2310),
    [anon_sym_do] = ACTIONS(2310),
    [anon_sym_for] = ACTIONS(2310),
    [anon_sym_return] = ACTIONS(2310),
    [anon_sym_break] = ACTIONS(2310),
    [anon_sym_continue] = ACTIONS(2310),
    [anon_sym_goto] = ACTIONS(2310),
    [anon_sym___try] = ACTIONS(2310),
    [anon_sym___leave] = ACTIONS(2310),
    [anon_sym_not] = ACTIONS(2310),
    [anon_sym_compl] = ACTIONS(2310),
    [anon_sym_DASH_DASH] = ACTIONS(2312),
    [anon_sym_PLUS_PLUS] = ACTIONS(2312),
    [anon_sym_sizeof] = ACTIONS(2310),
    [anon_sym___alignof__] = ACTIONS(2310),
    [anon_sym___alignof] = ACTIONS(2310),
    [anon_sym__alignof] = ACTIONS(2310),
    [anon_sym_alignof] = ACTIONS(2310),
    [anon_sym__Alignof] = ACTIONS(2310),
    [anon_sym_offsetof] = ACTIONS(2310),
    [anon_sym__Generic] = ACTIONS(2310),
    [anon_sym_asm] = ACTIONS(2310),
    [anon_sym___asm__] = ACTIONS(2310),
    [sym_number_literal] = ACTIONS(2312),
    [anon_sym_L_SQUOTE] = ACTIONS(2312),
    [anon_sym_u_SQUOTE] = ACTIONS(2312),
    [anon_sym_U_SQUOTE] = ACTIONS(2312),
    [anon_sym_u8_SQUOTE] = ACTIONS(2312),
    [anon_sym_SQUOTE] = ACTIONS(2312),
    [anon_sym_L_DQUOTE] = ACTIONS(2312),
    [anon_sym_u_DQUOTE] = ACTIONS(2312),
    [anon_sym_U_DQUOTE] = ACTIONS(2312),
    [anon_sym_u8_DQUOTE] = ACTIONS(2312),
    [anon_sym_DQUOTE] = ACTIONS(2312),
    [sym_true] = ACTIONS(2310),
    [sym_false] = ACTIONS(2310),
    [anon_sym_NULL] = ACTIONS(2310),
    [anon_sym_nullptr] = ACTIONS(2310),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2310),
    [anon_sym_decltype] = ACTIONS(2310),
    [anon_sym_virtual] = ACTIONS(2310),
    [anon_sym_alignas] = ACTIONS(2310),
    [anon_sym_explicit] = ACTIONS(2310),
    [anon_sym_typename] = ACTIONS(2310),
    [anon_sym_template] = ACTIONS(2310),
    [anon_sym_operator] = ACTIONS(2310),
    [anon_sym_try] = ACTIONS(2310),
    [anon_sym_delete] = ACTIONS(2310),
    [anon_sym_throw] = ACTIONS(2310),
    [anon_sym_namespace] = ACTIONS(2310),
    [anon_sym_using] = ACTIONS(2310),
    [anon_sym_static_assert] = ACTIONS(2310),
    [anon_sym_concept] = ACTIONS(2310),
    [anon_sym_co_return] = ACTIONS(2310),
    [anon_sym_co_yield] = ACTIONS(2310),
    [anon_sym_R_DQUOTE] = ACTIONS(2312),
    [anon_sym_LR_DQUOTE] = ACTIONS(2312),
    [anon_sym_uR_DQUOTE] = ACTIONS(2312),
    [anon_sym_UR_DQUOTE] = ACTIONS(2312),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2312),
    [anon_sym_co_await] = ACTIONS(2310),
    [anon_sym_new] = ACTIONS(2310),
    [anon_sym_requires] = ACTIONS(2310),
    [sym_this] = ACTIONS(2310),
    [anon_sym_discard] = ACTIONS(2310),
    [anon_sym_precise] = ACTIONS(2310),
    [anon_sym_shared] = ACTIONS(2310),
    [anon_sym_groupshared] = ACTIONS(2310),
    [anon_sym_uniform] = ACTIONS(2310),
    [anon_sym_row_major] = ACTIONS(2310),
    [anon_sym_column_major] = ACTIONS(2310),
    [anon_sym_globallycoherent] = ACTIONS(2310),
    [anon_sym_centroid] = ACTIONS(2310),
    [anon_sym_noperspective] = ACTIONS(2310),
    [anon_sym_nointerpolation] = ACTIONS(2310),
    [anon_sym_sample] = ACTIONS(2310),
    [anon_sym_linear] = ACTIONS(2310),
    [anon_sym_snorm] = ACTIONS(2310),
    [anon_sym_unorm] = ACTIONS(2310),
    [anon_sym_point] = ACTIONS(2310),
    [anon_sym_line] = ACTIONS(2310),
    [anon_sym_triangleadj] = ACTIONS(2310),
    [anon_sym_lineadj] = ACTIONS(2310),
    [anon_sym_triangle] = ACTIONS(2310),
    [anon_sym_cbuffer] = ACTIONS(2310),
  },
  [664] = {
    [sym_else_clause] = STATE(792),
    [sym_identifier] = ACTIONS(2291),
    [aux_sym_preproc_include_token1] = ACTIONS(2291),
    [aux_sym_preproc_def_token1] = ACTIONS(2291),
    [aux_sym_preproc_if_token1] = ACTIONS(2291),
    [aux_sym_preproc_if_token2] = ACTIONS(2291),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2291),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2291),
    [sym_preproc_directive] = ACTIONS(2291),
    [anon_sym_LPAREN2] = ACTIONS(2293),
    [anon_sym_BANG] = ACTIONS(2293),
    [anon_sym_TILDE] = ACTIONS(2293),
    [anon_sym_DASH] = ACTIONS(2291),
    [anon_sym_PLUS] = ACTIONS(2291),
    [anon_sym_STAR] = ACTIONS(2293),
    [anon_sym_AMP_AMP] = ACTIONS(2293),
    [anon_sym_AMP] = ACTIONS(2291),
    [anon_sym_SEMI] = ACTIONS(2293),
    [anon_sym___extension__] = ACTIONS(2291),
    [anon_sym_typedef] = ACTIONS(2291),
    [anon_sym_in] = ACTIONS(2291),
    [anon_sym_out] = ACTIONS(2291),
    [anon_sym_inout] = ACTIONS(2291),
    [anon_sym_extern] = ACTIONS(2291),
    [anon_sym___attribute__] = ACTIONS(2291),
    [anon_sym_COLON_COLON] = ACTIONS(2293),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2293),
    [anon_sym___declspec] = ACTIONS(2291),
    [anon_sym___based] = ACTIONS(2291),
    [anon_sym___cdecl] = ACTIONS(2291),
    [anon_sym___clrcall] = ACTIONS(2291),
    [anon_sym___stdcall] = ACTIONS(2291),
    [anon_sym___fastcall] = ACTIONS(2291),
    [anon_sym___thiscall] = ACTIONS(2291),
    [anon_sym___vectorcall] = ACTIONS(2291),
    [anon_sym_LBRACE] = ACTIONS(2293),
    [anon_sym_signed] = ACTIONS(2291),
    [anon_sym_unsigned] = ACTIONS(2291),
    [anon_sym_long] = ACTIONS(2291),
    [anon_sym_short] = ACTIONS(2291),
    [anon_sym_LBRACK] = ACTIONS(2291),
    [anon_sym_static] = ACTIONS(2291),
    [anon_sym_register] = ACTIONS(2291),
    [anon_sym_inline] = ACTIONS(2291),
    [anon_sym___inline] = ACTIONS(2291),
    [anon_sym___inline__] = ACTIONS(2291),
    [anon_sym___forceinline] = ACTIONS(2291),
    [anon_sym_thread_local] = ACTIONS(2291),
    [anon_sym___thread] = ACTIONS(2291),
    [anon_sym_const] = ACTIONS(2291),
    [anon_sym_constexpr] = ACTIONS(2291),
    [anon_sym_volatile] = ACTIONS(2291),
    [anon_sym_restrict] = ACTIONS(2291),
    [anon_sym___restrict__] = ACTIONS(2291),
    [anon_sym__Atomic] = ACTIONS(2291),
    [anon_sym__Noreturn] = ACTIONS(2291),
    [anon_sym_noreturn] = ACTIONS(2291),
    [anon_sym_mutable] = ACTIONS(2291),
    [anon_sym_constinit] = ACTIONS(2291),
    [anon_sym_consteval] = ACTIONS(2291),
    [sym_primitive_type] = ACTIONS(2291),
    [anon_sym_enum] = ACTIONS(2291),
    [anon_sym_class] = ACTIONS(2291),
    [anon_sym_struct] = ACTIONS(2291),
    [anon_sym_union] = ACTIONS(2291),
    [anon_sym_if] = ACTIONS(2291),
    [anon_sym_else] = ACTIONS(2984),
    [anon_sym_switch] = ACTIONS(2291),
    [anon_sym_case] = ACTIONS(2291),
    [anon_sym_default] = ACTIONS(2291),
    [anon_sym_while] = ACTIONS(2291),
    [anon_sym_do] = ACTIONS(2291),
    [anon_sym_for] = ACTIONS(2291),
    [anon_sym_return] = ACTIONS(2291),
    [anon_sym_break] = ACTIONS(2291),
    [anon_sym_continue] = ACTIONS(2291),
    [anon_sym_goto] = ACTIONS(2291),
    [anon_sym___try] = ACTIONS(2291),
    [anon_sym___leave] = ACTIONS(2291),
    [anon_sym_not] = ACTIONS(2291),
    [anon_sym_compl] = ACTIONS(2291),
    [anon_sym_DASH_DASH] = ACTIONS(2293),
    [anon_sym_PLUS_PLUS] = ACTIONS(2293),
    [anon_sym_sizeof] = ACTIONS(2291),
    [anon_sym___alignof__] = ACTIONS(2291),
    [anon_sym___alignof] = ACTIONS(2291),
    [anon_sym__alignof] = ACTIONS(2291),
    [anon_sym_alignof] = ACTIONS(2291),
    [anon_sym__Alignof] = ACTIONS(2291),
    [anon_sym_offsetof] = ACTIONS(2291),
    [anon_sym__Generic] = ACTIONS(2291),
    [anon_sym_asm] = ACTIONS(2291),
    [anon_sym___asm__] = ACTIONS(2291),
    [sym_number_literal] = ACTIONS(2293),
    [anon_sym_L_SQUOTE] = ACTIONS(2293),
    [anon_sym_u_SQUOTE] = ACTIONS(2293),
    [anon_sym_U_SQUOTE] = ACTIONS(2293),
    [anon_sym_u8_SQUOTE] = ACTIONS(2293),
    [anon_sym_SQUOTE] = ACTIONS(2293),
    [anon_sym_L_DQUOTE] = ACTIONS(2293),
    [anon_sym_u_DQUOTE] = ACTIONS(2293),
    [anon_sym_U_DQUOTE] = ACTIONS(2293),
    [anon_sym_u8_DQUOTE] = ACTIONS(2293),
    [anon_sym_DQUOTE] = ACTIONS(2293),
    [sym_true] = ACTIONS(2291),
    [sym_false] = ACTIONS(2291),
    [anon_sym_NULL] = ACTIONS(2291),
    [anon_sym_nullptr] = ACTIONS(2291),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2291),
    [anon_sym_decltype] = ACTIONS(2291),
    [anon_sym_virtual] = ACTIONS(2291),
    [anon_sym_alignas] = ACTIONS(2291),
    [anon_sym_explicit] = ACTIONS(2291),
    [anon_sym_typename] = ACTIONS(2291),
    [anon_sym_template] = ACTIONS(2291),
    [anon_sym_operator] = ACTIONS(2291),
    [anon_sym_try] = ACTIONS(2291),
    [anon_sym_delete] = ACTIONS(2291),
    [anon_sym_throw] = ACTIONS(2291),
    [anon_sym_namespace] = ACTIONS(2291),
    [anon_sym_using] = ACTIONS(2291),
    [anon_sym_static_assert] = ACTIONS(2291),
    [anon_sym_concept] = ACTIONS(2291),
    [anon_sym_co_return] = ACTIONS(2291),
    [anon_sym_co_yield] = ACTIONS(2291),
    [anon_sym_R_DQUOTE] = ACTIONS(2293),
    [anon_sym_LR_DQUOTE] = ACTIONS(2293),
    [anon_sym_uR_DQUOTE] = ACTIONS(2293),
    [anon_sym_UR_DQUOTE] = ACTIONS(2293),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2293),
    [anon_sym_co_await] = ACTIONS(2291),
    [anon_sym_new] = ACTIONS(2291),
    [anon_sym_requires] = ACTIONS(2291),
    [sym_this] = ACTIONS(2291),
    [anon_sym_discard] = ACTIONS(2291),
    [anon_sym_precise] = ACTIONS(2291),
    [anon_sym_shared] = ACTIONS(2291),
    [anon_sym_groupshared] = ACTIONS(2291),
    [anon_sym_uniform] = ACTIONS(2291),
    [anon_sym_row_major] = ACTIONS(2291),
    [anon_sym_column_major] = ACTIONS(2291),
    [anon_sym_globallycoherent] = ACTIONS(2291),
    [anon_sym_centroid] = ACTIONS(2291),
    [anon_sym_noperspective] = ACTIONS(2291),
    [anon_sym_nointerpolation] = ACTIONS(2291),
    [anon_sym_sample] = ACTIONS(2291),
    [anon_sym_linear] = ACTIONS(2291),
    [anon_sym_snorm] = ACTIONS(2291),
    [anon_sym_unorm] = ACTIONS(2291),
    [anon_sym_point] = ACTIONS(2291),
    [anon_sym_line] = ACTIONS(2291),
    [anon_sym_triangleadj] = ACTIONS(2291),
    [anon_sym_lineadj] = ACTIONS(2291),
    [anon_sym_triangle] = ACTIONS(2291),
    [anon_sym_cbuffer] = ACTIONS(2291),
  },
  [665] = {
    [sym_identifier] = ACTIONS(2793),
    [aux_sym_preproc_include_token1] = ACTIONS(2793),
    [aux_sym_preproc_def_token1] = ACTIONS(2793),
    [aux_sym_preproc_if_token1] = ACTIONS(2793),
    [aux_sym_preproc_if_token2] = ACTIONS(2793),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2793),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2793),
    [aux_sym_preproc_else_token1] = ACTIONS(2793),
    [aux_sym_preproc_elif_token1] = ACTIONS(2793),
    [sym_preproc_directive] = ACTIONS(2793),
    [anon_sym_LPAREN2] = ACTIONS(2795),
    [anon_sym_BANG] = ACTIONS(2795),
    [anon_sym_TILDE] = ACTIONS(2795),
    [anon_sym_DASH] = ACTIONS(2793),
    [anon_sym_PLUS] = ACTIONS(2793),
    [anon_sym_STAR] = ACTIONS(2795),
    [anon_sym_AMP_AMP] = ACTIONS(2795),
    [anon_sym_AMP] = ACTIONS(2793),
    [anon_sym_SEMI] = ACTIONS(2795),
    [anon_sym___extension__] = ACTIONS(2793),
    [anon_sym_typedef] = ACTIONS(2793),
    [anon_sym_in] = ACTIONS(2793),
    [anon_sym_out] = ACTIONS(2793),
    [anon_sym_inout] = ACTIONS(2793),
    [anon_sym_extern] = ACTIONS(2793),
    [anon_sym___attribute__] = ACTIONS(2793),
    [anon_sym_COLON_COLON] = ACTIONS(2795),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2795),
    [anon_sym___declspec] = ACTIONS(2793),
    [anon_sym___based] = ACTIONS(2793),
    [anon_sym___cdecl] = ACTIONS(2793),
    [anon_sym___clrcall] = ACTIONS(2793),
    [anon_sym___stdcall] = ACTIONS(2793),
    [anon_sym___fastcall] = ACTIONS(2793),
    [anon_sym___thiscall] = ACTIONS(2793),
    [anon_sym___vectorcall] = ACTIONS(2793),
    [anon_sym_LBRACE] = ACTIONS(2795),
    [anon_sym_signed] = ACTIONS(2793),
    [anon_sym_unsigned] = ACTIONS(2793),
    [anon_sym_long] = ACTIONS(2793),
    [anon_sym_short] = ACTIONS(2793),
    [anon_sym_LBRACK] = ACTIONS(2793),
    [anon_sym_static] = ACTIONS(2793),
    [anon_sym_register] = ACTIONS(2793),
    [anon_sym_inline] = ACTIONS(2793),
    [anon_sym___inline] = ACTIONS(2793),
    [anon_sym___inline__] = ACTIONS(2793),
    [anon_sym___forceinline] = ACTIONS(2793),
    [anon_sym_thread_local] = ACTIONS(2793),
    [anon_sym___thread] = ACTIONS(2793),
    [anon_sym_const] = ACTIONS(2793),
    [anon_sym_constexpr] = ACTIONS(2793),
    [anon_sym_volatile] = ACTIONS(2793),
    [anon_sym_restrict] = ACTIONS(2793),
    [anon_sym___restrict__] = ACTIONS(2793),
    [anon_sym__Atomic] = ACTIONS(2793),
    [anon_sym__Noreturn] = ACTIONS(2793),
    [anon_sym_noreturn] = ACTIONS(2793),
    [anon_sym_mutable] = ACTIONS(2793),
    [anon_sym_constinit] = ACTIONS(2793),
    [anon_sym_consteval] = ACTIONS(2793),
    [sym_primitive_type] = ACTIONS(2793),
    [anon_sym_enum] = ACTIONS(2793),
    [anon_sym_class] = ACTIONS(2793),
    [anon_sym_struct] = ACTIONS(2793),
    [anon_sym_union] = ACTIONS(2793),
    [anon_sym_if] = ACTIONS(2793),
    [anon_sym_switch] = ACTIONS(2793),
    [anon_sym_case] = ACTIONS(2793),
    [anon_sym_default] = ACTIONS(2793),
    [anon_sym_while] = ACTIONS(2793),
    [anon_sym_do] = ACTIONS(2793),
    [anon_sym_for] = ACTIONS(2793),
    [anon_sym_return] = ACTIONS(2793),
    [anon_sym_break] = ACTIONS(2793),
    [anon_sym_continue] = ACTIONS(2793),
    [anon_sym_goto] = ACTIONS(2793),
    [anon_sym___try] = ACTIONS(2793),
    [anon_sym___leave] = ACTIONS(2793),
    [anon_sym_not] = ACTIONS(2793),
    [anon_sym_compl] = ACTIONS(2793),
    [anon_sym_DASH_DASH] = ACTIONS(2795),
    [anon_sym_PLUS_PLUS] = ACTIONS(2795),
    [anon_sym_sizeof] = ACTIONS(2793),
    [anon_sym___alignof__] = ACTIONS(2793),
    [anon_sym___alignof] = ACTIONS(2793),
    [anon_sym__alignof] = ACTIONS(2793),
    [anon_sym_alignof] = ACTIONS(2793),
    [anon_sym__Alignof] = ACTIONS(2793),
    [anon_sym_offsetof] = ACTIONS(2793),
    [anon_sym__Generic] = ACTIONS(2793),
    [anon_sym_asm] = ACTIONS(2793),
    [anon_sym___asm__] = ACTIONS(2793),
    [sym_number_literal] = ACTIONS(2795),
    [anon_sym_L_SQUOTE] = ACTIONS(2795),
    [anon_sym_u_SQUOTE] = ACTIONS(2795),
    [anon_sym_U_SQUOTE] = ACTIONS(2795),
    [anon_sym_u8_SQUOTE] = ACTIONS(2795),
    [anon_sym_SQUOTE] = ACTIONS(2795),
    [anon_sym_L_DQUOTE] = ACTIONS(2795),
    [anon_sym_u_DQUOTE] = ACTIONS(2795),
    [anon_sym_U_DQUOTE] = ACTIONS(2795),
    [anon_sym_u8_DQUOTE] = ACTIONS(2795),
    [anon_sym_DQUOTE] = ACTIONS(2795),
    [sym_true] = ACTIONS(2793),
    [sym_false] = ACTIONS(2793),
    [anon_sym_NULL] = ACTIONS(2793),
    [anon_sym_nullptr] = ACTIONS(2793),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2793),
    [anon_sym_decltype] = ACTIONS(2793),
    [anon_sym_virtual] = ACTIONS(2793),
    [anon_sym_alignas] = ACTIONS(2793),
    [anon_sym_explicit] = ACTIONS(2793),
    [anon_sym_typename] = ACTIONS(2793),
    [anon_sym_template] = ACTIONS(2793),
    [anon_sym_operator] = ACTIONS(2793),
    [anon_sym_try] = ACTIONS(2793),
    [anon_sym_delete] = ACTIONS(2793),
    [anon_sym_throw] = ACTIONS(2793),
    [anon_sym_namespace] = ACTIONS(2793),
    [anon_sym_using] = ACTIONS(2793),
    [anon_sym_static_assert] = ACTIONS(2793),
    [anon_sym_concept] = ACTIONS(2793),
    [anon_sym_co_return] = ACTIONS(2793),
    [anon_sym_co_yield] = ACTIONS(2793),
    [anon_sym_R_DQUOTE] = ACTIONS(2795),
    [anon_sym_LR_DQUOTE] = ACTIONS(2795),
    [anon_sym_uR_DQUOTE] = ACTIONS(2795),
    [anon_sym_UR_DQUOTE] = ACTIONS(2795),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2795),
    [anon_sym_co_await] = ACTIONS(2793),
    [anon_sym_new] = ACTIONS(2793),
    [anon_sym_requires] = ACTIONS(2793),
    [sym_this] = ACTIONS(2793),
    [anon_sym_discard] = ACTIONS(2793),
    [anon_sym_precise] = ACTIONS(2793),
    [anon_sym_shared] = ACTIONS(2793),
    [anon_sym_groupshared] = ACTIONS(2793),
    [anon_sym_uniform] = ACTIONS(2793),
    [anon_sym_row_major] = ACTIONS(2793),
    [anon_sym_column_major] = ACTIONS(2793),
    [anon_sym_globallycoherent] = ACTIONS(2793),
    [anon_sym_centroid] = ACTIONS(2793),
    [anon_sym_noperspective] = ACTIONS(2793),
    [anon_sym_nointerpolation] = ACTIONS(2793),
    [anon_sym_sample] = ACTIONS(2793),
    [anon_sym_linear] = ACTIONS(2793),
    [anon_sym_snorm] = ACTIONS(2793),
    [anon_sym_unorm] = ACTIONS(2793),
    [anon_sym_point] = ACTIONS(2793),
    [anon_sym_line] = ACTIONS(2793),
    [anon_sym_triangleadj] = ACTIONS(2793),
    [anon_sym_lineadj] = ACTIONS(2793),
    [anon_sym_triangle] = ACTIONS(2793),
    [anon_sym_cbuffer] = ACTIONS(2793),
  },
  [666] = {
    [sym_identifier] = ACTIONS(2673),
    [aux_sym_preproc_include_token1] = ACTIONS(2673),
    [aux_sym_preproc_def_token1] = ACTIONS(2673),
    [aux_sym_preproc_if_token1] = ACTIONS(2673),
    [aux_sym_preproc_if_token2] = ACTIONS(2673),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2673),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2673),
    [aux_sym_preproc_else_token1] = ACTIONS(2673),
    [aux_sym_preproc_elif_token1] = ACTIONS(2673),
    [sym_preproc_directive] = ACTIONS(2673),
    [anon_sym_LPAREN2] = ACTIONS(2675),
    [anon_sym_BANG] = ACTIONS(2675),
    [anon_sym_TILDE] = ACTIONS(2675),
    [anon_sym_DASH] = ACTIONS(2673),
    [anon_sym_PLUS] = ACTIONS(2673),
    [anon_sym_STAR] = ACTIONS(2675),
    [anon_sym_AMP_AMP] = ACTIONS(2675),
    [anon_sym_AMP] = ACTIONS(2673),
    [anon_sym_SEMI] = ACTIONS(2675),
    [anon_sym___extension__] = ACTIONS(2673),
    [anon_sym_typedef] = ACTIONS(2673),
    [anon_sym_in] = ACTIONS(2673),
    [anon_sym_out] = ACTIONS(2673),
    [anon_sym_inout] = ACTIONS(2673),
    [anon_sym_extern] = ACTIONS(2673),
    [anon_sym___attribute__] = ACTIONS(2673),
    [anon_sym_COLON_COLON] = ACTIONS(2675),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2675),
    [anon_sym___declspec] = ACTIONS(2673),
    [anon_sym___based] = ACTIONS(2673),
    [anon_sym___cdecl] = ACTIONS(2673),
    [anon_sym___clrcall] = ACTIONS(2673),
    [anon_sym___stdcall] = ACTIONS(2673),
    [anon_sym___fastcall] = ACTIONS(2673),
    [anon_sym___thiscall] = ACTIONS(2673),
    [anon_sym___vectorcall] = ACTIONS(2673),
    [anon_sym_LBRACE] = ACTIONS(2675),
    [anon_sym_signed] = ACTIONS(2673),
    [anon_sym_unsigned] = ACTIONS(2673),
    [anon_sym_long] = ACTIONS(2673),
    [anon_sym_short] = ACTIONS(2673),
    [anon_sym_LBRACK] = ACTIONS(2673),
    [anon_sym_static] = ACTIONS(2673),
    [anon_sym_register] = ACTIONS(2673),
    [anon_sym_inline] = ACTIONS(2673),
    [anon_sym___inline] = ACTIONS(2673),
    [anon_sym___inline__] = ACTIONS(2673),
    [anon_sym___forceinline] = ACTIONS(2673),
    [anon_sym_thread_local] = ACTIONS(2673),
    [anon_sym___thread] = ACTIONS(2673),
    [anon_sym_const] = ACTIONS(2673),
    [anon_sym_constexpr] = ACTIONS(2673),
    [anon_sym_volatile] = ACTIONS(2673),
    [anon_sym_restrict] = ACTIONS(2673),
    [anon_sym___restrict__] = ACTIONS(2673),
    [anon_sym__Atomic] = ACTIONS(2673),
    [anon_sym__Noreturn] = ACTIONS(2673),
    [anon_sym_noreturn] = ACTIONS(2673),
    [anon_sym_mutable] = ACTIONS(2673),
    [anon_sym_constinit] = ACTIONS(2673),
    [anon_sym_consteval] = ACTIONS(2673),
    [sym_primitive_type] = ACTIONS(2673),
    [anon_sym_enum] = ACTIONS(2673),
    [anon_sym_class] = ACTIONS(2673),
    [anon_sym_struct] = ACTIONS(2673),
    [anon_sym_union] = ACTIONS(2673),
    [anon_sym_if] = ACTIONS(2673),
    [anon_sym_switch] = ACTIONS(2673),
    [anon_sym_case] = ACTIONS(2673),
    [anon_sym_default] = ACTIONS(2673),
    [anon_sym_while] = ACTIONS(2673),
    [anon_sym_do] = ACTIONS(2673),
    [anon_sym_for] = ACTIONS(2673),
    [anon_sym_return] = ACTIONS(2673),
    [anon_sym_break] = ACTIONS(2673),
    [anon_sym_continue] = ACTIONS(2673),
    [anon_sym_goto] = ACTIONS(2673),
    [anon_sym___try] = ACTIONS(2673),
    [anon_sym___leave] = ACTIONS(2673),
    [anon_sym_not] = ACTIONS(2673),
    [anon_sym_compl] = ACTIONS(2673),
    [anon_sym_DASH_DASH] = ACTIONS(2675),
    [anon_sym_PLUS_PLUS] = ACTIONS(2675),
    [anon_sym_sizeof] = ACTIONS(2673),
    [anon_sym___alignof__] = ACTIONS(2673),
    [anon_sym___alignof] = ACTIONS(2673),
    [anon_sym__alignof] = ACTIONS(2673),
    [anon_sym_alignof] = ACTIONS(2673),
    [anon_sym__Alignof] = ACTIONS(2673),
    [anon_sym_offsetof] = ACTIONS(2673),
    [anon_sym__Generic] = ACTIONS(2673),
    [anon_sym_asm] = ACTIONS(2673),
    [anon_sym___asm__] = ACTIONS(2673),
    [sym_number_literal] = ACTIONS(2675),
    [anon_sym_L_SQUOTE] = ACTIONS(2675),
    [anon_sym_u_SQUOTE] = ACTIONS(2675),
    [anon_sym_U_SQUOTE] = ACTIONS(2675),
    [anon_sym_u8_SQUOTE] = ACTIONS(2675),
    [anon_sym_SQUOTE] = ACTIONS(2675),
    [anon_sym_L_DQUOTE] = ACTIONS(2675),
    [anon_sym_u_DQUOTE] = ACTIONS(2675),
    [anon_sym_U_DQUOTE] = ACTIONS(2675),
    [anon_sym_u8_DQUOTE] = ACTIONS(2675),
    [anon_sym_DQUOTE] = ACTIONS(2675),
    [sym_true] = ACTIONS(2673),
    [sym_false] = ACTIONS(2673),
    [anon_sym_NULL] = ACTIONS(2673),
    [anon_sym_nullptr] = ACTIONS(2673),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2673),
    [anon_sym_decltype] = ACTIONS(2673),
    [anon_sym_virtual] = ACTIONS(2673),
    [anon_sym_alignas] = ACTIONS(2673),
    [anon_sym_explicit] = ACTIONS(2673),
    [anon_sym_typename] = ACTIONS(2673),
    [anon_sym_template] = ACTIONS(2673),
    [anon_sym_operator] = ACTIONS(2673),
    [anon_sym_try] = ACTIONS(2673),
    [anon_sym_delete] = ACTIONS(2673),
    [anon_sym_throw] = ACTIONS(2673),
    [anon_sym_namespace] = ACTIONS(2673),
    [anon_sym_using] = ACTIONS(2673),
    [anon_sym_static_assert] = ACTIONS(2673),
    [anon_sym_concept] = ACTIONS(2673),
    [anon_sym_co_return] = ACTIONS(2673),
    [anon_sym_co_yield] = ACTIONS(2673),
    [anon_sym_R_DQUOTE] = ACTIONS(2675),
    [anon_sym_LR_DQUOTE] = ACTIONS(2675),
    [anon_sym_uR_DQUOTE] = ACTIONS(2675),
    [anon_sym_UR_DQUOTE] = ACTIONS(2675),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2675),
    [anon_sym_co_await] = ACTIONS(2673),
    [anon_sym_new] = ACTIONS(2673),
    [anon_sym_requires] = ACTIONS(2673),
    [sym_this] = ACTIONS(2673),
    [anon_sym_discard] = ACTIONS(2673),
    [anon_sym_precise] = ACTIONS(2673),
    [anon_sym_shared] = ACTIONS(2673),
    [anon_sym_groupshared] = ACTIONS(2673),
    [anon_sym_uniform] = ACTIONS(2673),
    [anon_sym_row_major] = ACTIONS(2673),
    [anon_sym_column_major] = ACTIONS(2673),
    [anon_sym_globallycoherent] = ACTIONS(2673),
    [anon_sym_centroid] = ACTIONS(2673),
    [anon_sym_noperspective] = ACTIONS(2673),
    [anon_sym_nointerpolation] = ACTIONS(2673),
    [anon_sym_sample] = ACTIONS(2673),
    [anon_sym_linear] = ACTIONS(2673),
    [anon_sym_snorm] = ACTIONS(2673),
    [anon_sym_unorm] = ACTIONS(2673),
    [anon_sym_point] = ACTIONS(2673),
    [anon_sym_line] = ACTIONS(2673),
    [anon_sym_triangleadj] = ACTIONS(2673),
    [anon_sym_lineadj] = ACTIONS(2673),
    [anon_sym_triangle] = ACTIONS(2673),
    [anon_sym_cbuffer] = ACTIONS(2673),
  },
  [667] = {
    [sym_identifier] = ACTIONS(2641),
    [aux_sym_preproc_include_token1] = ACTIONS(2641),
    [aux_sym_preproc_def_token1] = ACTIONS(2641),
    [aux_sym_preproc_if_token1] = ACTIONS(2641),
    [aux_sym_preproc_if_token2] = ACTIONS(2641),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2641),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2641),
    [aux_sym_preproc_else_token1] = ACTIONS(2641),
    [aux_sym_preproc_elif_token1] = ACTIONS(2641),
    [sym_preproc_directive] = ACTIONS(2641),
    [anon_sym_LPAREN2] = ACTIONS(2643),
    [anon_sym_BANG] = ACTIONS(2643),
    [anon_sym_TILDE] = ACTIONS(2643),
    [anon_sym_DASH] = ACTIONS(2641),
    [anon_sym_PLUS] = ACTIONS(2641),
    [anon_sym_STAR] = ACTIONS(2643),
    [anon_sym_AMP_AMP] = ACTIONS(2643),
    [anon_sym_AMP] = ACTIONS(2641),
    [anon_sym_SEMI] = ACTIONS(2643),
    [anon_sym___extension__] = ACTIONS(2641),
    [anon_sym_typedef] = ACTIONS(2641),
    [anon_sym_in] = ACTIONS(2641),
    [anon_sym_out] = ACTIONS(2641),
    [anon_sym_inout] = ACTIONS(2641),
    [anon_sym_extern] = ACTIONS(2641),
    [anon_sym___attribute__] = ACTIONS(2641),
    [anon_sym_COLON_COLON] = ACTIONS(2643),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2643),
    [anon_sym___declspec] = ACTIONS(2641),
    [anon_sym___based] = ACTIONS(2641),
    [anon_sym___cdecl] = ACTIONS(2641),
    [anon_sym___clrcall] = ACTIONS(2641),
    [anon_sym___stdcall] = ACTIONS(2641),
    [anon_sym___fastcall] = ACTIONS(2641),
    [anon_sym___thiscall] = ACTIONS(2641),
    [anon_sym___vectorcall] = ACTIONS(2641),
    [anon_sym_LBRACE] = ACTIONS(2643),
    [anon_sym_signed] = ACTIONS(2641),
    [anon_sym_unsigned] = ACTIONS(2641),
    [anon_sym_long] = ACTIONS(2641),
    [anon_sym_short] = ACTIONS(2641),
    [anon_sym_LBRACK] = ACTIONS(2641),
    [anon_sym_static] = ACTIONS(2641),
    [anon_sym_register] = ACTIONS(2641),
    [anon_sym_inline] = ACTIONS(2641),
    [anon_sym___inline] = ACTIONS(2641),
    [anon_sym___inline__] = ACTIONS(2641),
    [anon_sym___forceinline] = ACTIONS(2641),
    [anon_sym_thread_local] = ACTIONS(2641),
    [anon_sym___thread] = ACTIONS(2641),
    [anon_sym_const] = ACTIONS(2641),
    [anon_sym_constexpr] = ACTIONS(2641),
    [anon_sym_volatile] = ACTIONS(2641),
    [anon_sym_restrict] = ACTIONS(2641),
    [anon_sym___restrict__] = ACTIONS(2641),
    [anon_sym__Atomic] = ACTIONS(2641),
    [anon_sym__Noreturn] = ACTIONS(2641),
    [anon_sym_noreturn] = ACTIONS(2641),
    [anon_sym_mutable] = ACTIONS(2641),
    [anon_sym_constinit] = ACTIONS(2641),
    [anon_sym_consteval] = ACTIONS(2641),
    [sym_primitive_type] = ACTIONS(2641),
    [anon_sym_enum] = ACTIONS(2641),
    [anon_sym_class] = ACTIONS(2641),
    [anon_sym_struct] = ACTIONS(2641),
    [anon_sym_union] = ACTIONS(2641),
    [anon_sym_if] = ACTIONS(2641),
    [anon_sym_switch] = ACTIONS(2641),
    [anon_sym_case] = ACTIONS(2641),
    [anon_sym_default] = ACTIONS(2641),
    [anon_sym_while] = ACTIONS(2641),
    [anon_sym_do] = ACTIONS(2641),
    [anon_sym_for] = ACTIONS(2641),
    [anon_sym_return] = ACTIONS(2641),
    [anon_sym_break] = ACTIONS(2641),
    [anon_sym_continue] = ACTIONS(2641),
    [anon_sym_goto] = ACTIONS(2641),
    [anon_sym___try] = ACTIONS(2641),
    [anon_sym___leave] = ACTIONS(2641),
    [anon_sym_not] = ACTIONS(2641),
    [anon_sym_compl] = ACTIONS(2641),
    [anon_sym_DASH_DASH] = ACTIONS(2643),
    [anon_sym_PLUS_PLUS] = ACTIONS(2643),
    [anon_sym_sizeof] = ACTIONS(2641),
    [anon_sym___alignof__] = ACTIONS(2641),
    [anon_sym___alignof] = ACTIONS(2641),
    [anon_sym__alignof] = ACTIONS(2641),
    [anon_sym_alignof] = ACTIONS(2641),
    [anon_sym__Alignof] = ACTIONS(2641),
    [anon_sym_offsetof] = ACTIONS(2641),
    [anon_sym__Generic] = ACTIONS(2641),
    [anon_sym_asm] = ACTIONS(2641),
    [anon_sym___asm__] = ACTIONS(2641),
    [sym_number_literal] = ACTIONS(2643),
    [anon_sym_L_SQUOTE] = ACTIONS(2643),
    [anon_sym_u_SQUOTE] = ACTIONS(2643),
    [anon_sym_U_SQUOTE] = ACTIONS(2643),
    [anon_sym_u8_SQUOTE] = ACTIONS(2643),
    [anon_sym_SQUOTE] = ACTIONS(2643),
    [anon_sym_L_DQUOTE] = ACTIONS(2643),
    [anon_sym_u_DQUOTE] = ACTIONS(2643),
    [anon_sym_U_DQUOTE] = ACTIONS(2643),
    [anon_sym_u8_DQUOTE] = ACTIONS(2643),
    [anon_sym_DQUOTE] = ACTIONS(2643),
    [sym_true] = ACTIONS(2641),
    [sym_false] = ACTIONS(2641),
    [anon_sym_NULL] = ACTIONS(2641),
    [anon_sym_nullptr] = ACTIONS(2641),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2641),
    [anon_sym_decltype] = ACTIONS(2641),
    [anon_sym_virtual] = ACTIONS(2641),
    [anon_sym_alignas] = ACTIONS(2641),
    [anon_sym_explicit] = ACTIONS(2641),
    [anon_sym_typename] = ACTIONS(2641),
    [anon_sym_template] = ACTIONS(2641),
    [anon_sym_operator] = ACTIONS(2641),
    [anon_sym_try] = ACTIONS(2641),
    [anon_sym_delete] = ACTIONS(2641),
    [anon_sym_throw] = ACTIONS(2641),
    [anon_sym_namespace] = ACTIONS(2641),
    [anon_sym_using] = ACTIONS(2641),
    [anon_sym_static_assert] = ACTIONS(2641),
    [anon_sym_concept] = ACTIONS(2641),
    [anon_sym_co_return] = ACTIONS(2641),
    [anon_sym_co_yield] = ACTIONS(2641),
    [anon_sym_R_DQUOTE] = ACTIONS(2643),
    [anon_sym_LR_DQUOTE] = ACTIONS(2643),
    [anon_sym_uR_DQUOTE] = ACTIONS(2643),
    [anon_sym_UR_DQUOTE] = ACTIONS(2643),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2643),
    [anon_sym_co_await] = ACTIONS(2641),
    [anon_sym_new] = ACTIONS(2641),
    [anon_sym_requires] = ACTIONS(2641),
    [sym_this] = ACTIONS(2641),
    [anon_sym_discard] = ACTIONS(2641),
    [anon_sym_precise] = ACTIONS(2641),
    [anon_sym_shared] = ACTIONS(2641),
    [anon_sym_groupshared] = ACTIONS(2641),
    [anon_sym_uniform] = ACTIONS(2641),
    [anon_sym_row_major] = ACTIONS(2641),
    [anon_sym_column_major] = ACTIONS(2641),
    [anon_sym_globallycoherent] = ACTIONS(2641),
    [anon_sym_centroid] = ACTIONS(2641),
    [anon_sym_noperspective] = ACTIONS(2641),
    [anon_sym_nointerpolation] = ACTIONS(2641),
    [anon_sym_sample] = ACTIONS(2641),
    [anon_sym_linear] = ACTIONS(2641),
    [anon_sym_snorm] = ACTIONS(2641),
    [anon_sym_unorm] = ACTIONS(2641),
    [anon_sym_point] = ACTIONS(2641),
    [anon_sym_line] = ACTIONS(2641),
    [anon_sym_triangleadj] = ACTIONS(2641),
    [anon_sym_lineadj] = ACTIONS(2641),
    [anon_sym_triangle] = ACTIONS(2641),
    [anon_sym_cbuffer] = ACTIONS(2641),
  },
  [668] = {
    [sym_identifier] = ACTIONS(2649),
    [aux_sym_preproc_include_token1] = ACTIONS(2649),
    [aux_sym_preproc_def_token1] = ACTIONS(2649),
    [aux_sym_preproc_if_token1] = ACTIONS(2649),
    [aux_sym_preproc_if_token2] = ACTIONS(2649),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2649),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2649),
    [aux_sym_preproc_else_token1] = ACTIONS(2649),
    [aux_sym_preproc_elif_token1] = ACTIONS(2649),
    [sym_preproc_directive] = ACTIONS(2649),
    [anon_sym_LPAREN2] = ACTIONS(2651),
    [anon_sym_BANG] = ACTIONS(2651),
    [anon_sym_TILDE] = ACTIONS(2651),
    [anon_sym_DASH] = ACTIONS(2649),
    [anon_sym_PLUS] = ACTIONS(2649),
    [anon_sym_STAR] = ACTIONS(2651),
    [anon_sym_AMP_AMP] = ACTIONS(2651),
    [anon_sym_AMP] = ACTIONS(2649),
    [anon_sym_SEMI] = ACTIONS(2651),
    [anon_sym___extension__] = ACTIONS(2649),
    [anon_sym_typedef] = ACTIONS(2649),
    [anon_sym_in] = ACTIONS(2649),
    [anon_sym_out] = ACTIONS(2649),
    [anon_sym_inout] = ACTIONS(2649),
    [anon_sym_extern] = ACTIONS(2649),
    [anon_sym___attribute__] = ACTIONS(2649),
    [anon_sym_COLON_COLON] = ACTIONS(2651),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2651),
    [anon_sym___declspec] = ACTIONS(2649),
    [anon_sym___based] = ACTIONS(2649),
    [anon_sym___cdecl] = ACTIONS(2649),
    [anon_sym___clrcall] = ACTIONS(2649),
    [anon_sym___stdcall] = ACTIONS(2649),
    [anon_sym___fastcall] = ACTIONS(2649),
    [anon_sym___thiscall] = ACTIONS(2649),
    [anon_sym___vectorcall] = ACTIONS(2649),
    [anon_sym_LBRACE] = ACTIONS(2651),
    [anon_sym_signed] = ACTIONS(2649),
    [anon_sym_unsigned] = ACTIONS(2649),
    [anon_sym_long] = ACTIONS(2649),
    [anon_sym_short] = ACTIONS(2649),
    [anon_sym_LBRACK] = ACTIONS(2649),
    [anon_sym_static] = ACTIONS(2649),
    [anon_sym_register] = ACTIONS(2649),
    [anon_sym_inline] = ACTIONS(2649),
    [anon_sym___inline] = ACTIONS(2649),
    [anon_sym___inline__] = ACTIONS(2649),
    [anon_sym___forceinline] = ACTIONS(2649),
    [anon_sym_thread_local] = ACTIONS(2649),
    [anon_sym___thread] = ACTIONS(2649),
    [anon_sym_const] = ACTIONS(2649),
    [anon_sym_constexpr] = ACTIONS(2649),
    [anon_sym_volatile] = ACTIONS(2649),
    [anon_sym_restrict] = ACTIONS(2649),
    [anon_sym___restrict__] = ACTIONS(2649),
    [anon_sym__Atomic] = ACTIONS(2649),
    [anon_sym__Noreturn] = ACTIONS(2649),
    [anon_sym_noreturn] = ACTIONS(2649),
    [anon_sym_mutable] = ACTIONS(2649),
    [anon_sym_constinit] = ACTIONS(2649),
    [anon_sym_consteval] = ACTIONS(2649),
    [sym_primitive_type] = ACTIONS(2649),
    [anon_sym_enum] = ACTIONS(2649),
    [anon_sym_class] = ACTIONS(2649),
    [anon_sym_struct] = ACTIONS(2649),
    [anon_sym_union] = ACTIONS(2649),
    [anon_sym_if] = ACTIONS(2649),
    [anon_sym_switch] = ACTIONS(2649),
    [anon_sym_case] = ACTIONS(2649),
    [anon_sym_default] = ACTIONS(2649),
    [anon_sym_while] = ACTIONS(2649),
    [anon_sym_do] = ACTIONS(2649),
    [anon_sym_for] = ACTIONS(2649),
    [anon_sym_return] = ACTIONS(2649),
    [anon_sym_break] = ACTIONS(2649),
    [anon_sym_continue] = ACTIONS(2649),
    [anon_sym_goto] = ACTIONS(2649),
    [anon_sym___try] = ACTIONS(2649),
    [anon_sym___leave] = ACTIONS(2649),
    [anon_sym_not] = ACTIONS(2649),
    [anon_sym_compl] = ACTIONS(2649),
    [anon_sym_DASH_DASH] = ACTIONS(2651),
    [anon_sym_PLUS_PLUS] = ACTIONS(2651),
    [anon_sym_sizeof] = ACTIONS(2649),
    [anon_sym___alignof__] = ACTIONS(2649),
    [anon_sym___alignof] = ACTIONS(2649),
    [anon_sym__alignof] = ACTIONS(2649),
    [anon_sym_alignof] = ACTIONS(2649),
    [anon_sym__Alignof] = ACTIONS(2649),
    [anon_sym_offsetof] = ACTIONS(2649),
    [anon_sym__Generic] = ACTIONS(2649),
    [anon_sym_asm] = ACTIONS(2649),
    [anon_sym___asm__] = ACTIONS(2649),
    [sym_number_literal] = ACTIONS(2651),
    [anon_sym_L_SQUOTE] = ACTIONS(2651),
    [anon_sym_u_SQUOTE] = ACTIONS(2651),
    [anon_sym_U_SQUOTE] = ACTIONS(2651),
    [anon_sym_u8_SQUOTE] = ACTIONS(2651),
    [anon_sym_SQUOTE] = ACTIONS(2651),
    [anon_sym_L_DQUOTE] = ACTIONS(2651),
    [anon_sym_u_DQUOTE] = ACTIONS(2651),
    [anon_sym_U_DQUOTE] = ACTIONS(2651),
    [anon_sym_u8_DQUOTE] = ACTIONS(2651),
    [anon_sym_DQUOTE] = ACTIONS(2651),
    [sym_true] = ACTIONS(2649),
    [sym_false] = ACTIONS(2649),
    [anon_sym_NULL] = ACTIONS(2649),
    [anon_sym_nullptr] = ACTIONS(2649),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2649),
    [anon_sym_decltype] = ACTIONS(2649),
    [anon_sym_virtual] = ACTIONS(2649),
    [anon_sym_alignas] = ACTIONS(2649),
    [anon_sym_explicit] = ACTIONS(2649),
    [anon_sym_typename] = ACTIONS(2649),
    [anon_sym_template] = ACTIONS(2649),
    [anon_sym_operator] = ACTIONS(2649),
    [anon_sym_try] = ACTIONS(2649),
    [anon_sym_delete] = ACTIONS(2649),
    [anon_sym_throw] = ACTIONS(2649),
    [anon_sym_namespace] = ACTIONS(2649),
    [anon_sym_using] = ACTIONS(2649),
    [anon_sym_static_assert] = ACTIONS(2649),
    [anon_sym_concept] = ACTIONS(2649),
    [anon_sym_co_return] = ACTIONS(2649),
    [anon_sym_co_yield] = ACTIONS(2649),
    [anon_sym_R_DQUOTE] = ACTIONS(2651),
    [anon_sym_LR_DQUOTE] = ACTIONS(2651),
    [anon_sym_uR_DQUOTE] = ACTIONS(2651),
    [anon_sym_UR_DQUOTE] = ACTIONS(2651),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2651),
    [anon_sym_co_await] = ACTIONS(2649),
    [anon_sym_new] = ACTIONS(2649),
    [anon_sym_requires] = ACTIONS(2649),
    [sym_this] = ACTIONS(2649),
    [anon_sym_discard] = ACTIONS(2649),
    [anon_sym_precise] = ACTIONS(2649),
    [anon_sym_shared] = ACTIONS(2649),
    [anon_sym_groupshared] = ACTIONS(2649),
    [anon_sym_uniform] = ACTIONS(2649),
    [anon_sym_row_major] = ACTIONS(2649),
    [anon_sym_column_major] = ACTIONS(2649),
    [anon_sym_globallycoherent] = ACTIONS(2649),
    [anon_sym_centroid] = ACTIONS(2649),
    [anon_sym_noperspective] = ACTIONS(2649),
    [anon_sym_nointerpolation] = ACTIONS(2649),
    [anon_sym_sample] = ACTIONS(2649),
    [anon_sym_linear] = ACTIONS(2649),
    [anon_sym_snorm] = ACTIONS(2649),
    [anon_sym_unorm] = ACTIONS(2649),
    [anon_sym_point] = ACTIONS(2649),
    [anon_sym_line] = ACTIONS(2649),
    [anon_sym_triangleadj] = ACTIONS(2649),
    [anon_sym_lineadj] = ACTIONS(2649),
    [anon_sym_triangle] = ACTIONS(2649),
    [anon_sym_cbuffer] = ACTIONS(2649),
  },
  [669] = {
    [sym_identifier] = ACTIONS(2637),
    [aux_sym_preproc_include_token1] = ACTIONS(2637),
    [aux_sym_preproc_def_token1] = ACTIONS(2637),
    [aux_sym_preproc_if_token1] = ACTIONS(2637),
    [aux_sym_preproc_if_token2] = ACTIONS(2637),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2637),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2637),
    [aux_sym_preproc_else_token1] = ACTIONS(2637),
    [aux_sym_preproc_elif_token1] = ACTIONS(2637),
    [sym_preproc_directive] = ACTIONS(2637),
    [anon_sym_LPAREN2] = ACTIONS(2639),
    [anon_sym_BANG] = ACTIONS(2639),
    [anon_sym_TILDE] = ACTIONS(2639),
    [anon_sym_DASH] = ACTIONS(2637),
    [anon_sym_PLUS] = ACTIONS(2637),
    [anon_sym_STAR] = ACTIONS(2639),
    [anon_sym_AMP_AMP] = ACTIONS(2639),
    [anon_sym_AMP] = ACTIONS(2637),
    [anon_sym_SEMI] = ACTIONS(2639),
    [anon_sym___extension__] = ACTIONS(2637),
    [anon_sym_typedef] = ACTIONS(2637),
    [anon_sym_in] = ACTIONS(2637),
    [anon_sym_out] = ACTIONS(2637),
    [anon_sym_inout] = ACTIONS(2637),
    [anon_sym_extern] = ACTIONS(2637),
    [anon_sym___attribute__] = ACTIONS(2637),
    [anon_sym_COLON_COLON] = ACTIONS(2639),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2639),
    [anon_sym___declspec] = ACTIONS(2637),
    [anon_sym___based] = ACTIONS(2637),
    [anon_sym___cdecl] = ACTIONS(2637),
    [anon_sym___clrcall] = ACTIONS(2637),
    [anon_sym___stdcall] = ACTIONS(2637),
    [anon_sym___fastcall] = ACTIONS(2637),
    [anon_sym___thiscall] = ACTIONS(2637),
    [anon_sym___vectorcall] = ACTIONS(2637),
    [anon_sym_LBRACE] = ACTIONS(2639),
    [anon_sym_signed] = ACTIONS(2637),
    [anon_sym_unsigned] = ACTIONS(2637),
    [anon_sym_long] = ACTIONS(2637),
    [anon_sym_short] = ACTIONS(2637),
    [anon_sym_LBRACK] = ACTIONS(2637),
    [anon_sym_static] = ACTIONS(2637),
    [anon_sym_register] = ACTIONS(2637),
    [anon_sym_inline] = ACTIONS(2637),
    [anon_sym___inline] = ACTIONS(2637),
    [anon_sym___inline__] = ACTIONS(2637),
    [anon_sym___forceinline] = ACTIONS(2637),
    [anon_sym_thread_local] = ACTIONS(2637),
    [anon_sym___thread] = ACTIONS(2637),
    [anon_sym_const] = ACTIONS(2637),
    [anon_sym_constexpr] = ACTIONS(2637),
    [anon_sym_volatile] = ACTIONS(2637),
    [anon_sym_restrict] = ACTIONS(2637),
    [anon_sym___restrict__] = ACTIONS(2637),
    [anon_sym__Atomic] = ACTIONS(2637),
    [anon_sym__Noreturn] = ACTIONS(2637),
    [anon_sym_noreturn] = ACTIONS(2637),
    [anon_sym_mutable] = ACTIONS(2637),
    [anon_sym_constinit] = ACTIONS(2637),
    [anon_sym_consteval] = ACTIONS(2637),
    [sym_primitive_type] = ACTIONS(2637),
    [anon_sym_enum] = ACTIONS(2637),
    [anon_sym_class] = ACTIONS(2637),
    [anon_sym_struct] = ACTIONS(2637),
    [anon_sym_union] = ACTIONS(2637),
    [anon_sym_if] = ACTIONS(2637),
    [anon_sym_switch] = ACTIONS(2637),
    [anon_sym_case] = ACTIONS(2637),
    [anon_sym_default] = ACTIONS(2637),
    [anon_sym_while] = ACTIONS(2637),
    [anon_sym_do] = ACTIONS(2637),
    [anon_sym_for] = ACTIONS(2637),
    [anon_sym_return] = ACTIONS(2637),
    [anon_sym_break] = ACTIONS(2637),
    [anon_sym_continue] = ACTIONS(2637),
    [anon_sym_goto] = ACTIONS(2637),
    [anon_sym___try] = ACTIONS(2637),
    [anon_sym___leave] = ACTIONS(2637),
    [anon_sym_not] = ACTIONS(2637),
    [anon_sym_compl] = ACTIONS(2637),
    [anon_sym_DASH_DASH] = ACTIONS(2639),
    [anon_sym_PLUS_PLUS] = ACTIONS(2639),
    [anon_sym_sizeof] = ACTIONS(2637),
    [anon_sym___alignof__] = ACTIONS(2637),
    [anon_sym___alignof] = ACTIONS(2637),
    [anon_sym__alignof] = ACTIONS(2637),
    [anon_sym_alignof] = ACTIONS(2637),
    [anon_sym__Alignof] = ACTIONS(2637),
    [anon_sym_offsetof] = ACTIONS(2637),
    [anon_sym__Generic] = ACTIONS(2637),
    [anon_sym_asm] = ACTIONS(2637),
    [anon_sym___asm__] = ACTIONS(2637),
    [sym_number_literal] = ACTIONS(2639),
    [anon_sym_L_SQUOTE] = ACTIONS(2639),
    [anon_sym_u_SQUOTE] = ACTIONS(2639),
    [anon_sym_U_SQUOTE] = ACTIONS(2639),
    [anon_sym_u8_SQUOTE] = ACTIONS(2639),
    [anon_sym_SQUOTE] = ACTIONS(2639),
    [anon_sym_L_DQUOTE] = ACTIONS(2639),
    [anon_sym_u_DQUOTE] = ACTIONS(2639),
    [anon_sym_U_DQUOTE] = ACTIONS(2639),
    [anon_sym_u8_DQUOTE] = ACTIONS(2639),
    [anon_sym_DQUOTE] = ACTIONS(2639),
    [sym_true] = ACTIONS(2637),
    [sym_false] = ACTIONS(2637),
    [anon_sym_NULL] = ACTIONS(2637),
    [anon_sym_nullptr] = ACTIONS(2637),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2637),
    [anon_sym_decltype] = ACTIONS(2637),
    [anon_sym_virtual] = ACTIONS(2637),
    [anon_sym_alignas] = ACTIONS(2637),
    [anon_sym_explicit] = ACTIONS(2637),
    [anon_sym_typename] = ACTIONS(2637),
    [anon_sym_template] = ACTIONS(2637),
    [anon_sym_operator] = ACTIONS(2637),
    [anon_sym_try] = ACTIONS(2637),
    [anon_sym_delete] = ACTIONS(2637),
    [anon_sym_throw] = ACTIONS(2637),
    [anon_sym_namespace] = ACTIONS(2637),
    [anon_sym_using] = ACTIONS(2637),
    [anon_sym_static_assert] = ACTIONS(2637),
    [anon_sym_concept] = ACTIONS(2637),
    [anon_sym_co_return] = ACTIONS(2637),
    [anon_sym_co_yield] = ACTIONS(2637),
    [anon_sym_R_DQUOTE] = ACTIONS(2639),
    [anon_sym_LR_DQUOTE] = ACTIONS(2639),
    [anon_sym_uR_DQUOTE] = ACTIONS(2639),
    [anon_sym_UR_DQUOTE] = ACTIONS(2639),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2639),
    [anon_sym_co_await] = ACTIONS(2637),
    [anon_sym_new] = ACTIONS(2637),
    [anon_sym_requires] = ACTIONS(2637),
    [sym_this] = ACTIONS(2637),
    [anon_sym_discard] = ACTIONS(2637),
    [anon_sym_precise] = ACTIONS(2637),
    [anon_sym_shared] = ACTIONS(2637),
    [anon_sym_groupshared] = ACTIONS(2637),
    [anon_sym_uniform] = ACTIONS(2637),
    [anon_sym_row_major] = ACTIONS(2637),
    [anon_sym_column_major] = ACTIONS(2637),
    [anon_sym_globallycoherent] = ACTIONS(2637),
    [anon_sym_centroid] = ACTIONS(2637),
    [anon_sym_noperspective] = ACTIONS(2637),
    [anon_sym_nointerpolation] = ACTIONS(2637),
    [anon_sym_sample] = ACTIONS(2637),
    [anon_sym_linear] = ACTIONS(2637),
    [anon_sym_snorm] = ACTIONS(2637),
    [anon_sym_unorm] = ACTIONS(2637),
    [anon_sym_point] = ACTIONS(2637),
    [anon_sym_line] = ACTIONS(2637),
    [anon_sym_triangleadj] = ACTIONS(2637),
    [anon_sym_lineadj] = ACTIONS(2637),
    [anon_sym_triangle] = ACTIONS(2637),
    [anon_sym_cbuffer] = ACTIONS(2637),
  },
  [670] = {
    [sym_identifier] = ACTIONS(2751),
    [aux_sym_preproc_include_token1] = ACTIONS(2751),
    [aux_sym_preproc_def_token1] = ACTIONS(2751),
    [aux_sym_preproc_if_token1] = ACTIONS(2751),
    [aux_sym_preproc_if_token2] = ACTIONS(2751),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2751),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2751),
    [aux_sym_preproc_else_token1] = ACTIONS(2751),
    [aux_sym_preproc_elif_token1] = ACTIONS(2751),
    [sym_preproc_directive] = ACTIONS(2751),
    [anon_sym_LPAREN2] = ACTIONS(2753),
    [anon_sym_BANG] = ACTIONS(2753),
    [anon_sym_TILDE] = ACTIONS(2753),
    [anon_sym_DASH] = ACTIONS(2751),
    [anon_sym_PLUS] = ACTIONS(2751),
    [anon_sym_STAR] = ACTIONS(2753),
    [anon_sym_AMP_AMP] = ACTIONS(2753),
    [anon_sym_AMP] = ACTIONS(2751),
    [anon_sym_SEMI] = ACTIONS(2753),
    [anon_sym___extension__] = ACTIONS(2751),
    [anon_sym_typedef] = ACTIONS(2751),
    [anon_sym_in] = ACTIONS(2751),
    [anon_sym_out] = ACTIONS(2751),
    [anon_sym_inout] = ACTIONS(2751),
    [anon_sym_extern] = ACTIONS(2751),
    [anon_sym___attribute__] = ACTIONS(2751),
    [anon_sym_COLON_COLON] = ACTIONS(2753),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2753),
    [anon_sym___declspec] = ACTIONS(2751),
    [anon_sym___based] = ACTIONS(2751),
    [anon_sym___cdecl] = ACTIONS(2751),
    [anon_sym___clrcall] = ACTIONS(2751),
    [anon_sym___stdcall] = ACTIONS(2751),
    [anon_sym___fastcall] = ACTIONS(2751),
    [anon_sym___thiscall] = ACTIONS(2751),
    [anon_sym___vectorcall] = ACTIONS(2751),
    [anon_sym_LBRACE] = ACTIONS(2753),
    [anon_sym_signed] = ACTIONS(2751),
    [anon_sym_unsigned] = ACTIONS(2751),
    [anon_sym_long] = ACTIONS(2751),
    [anon_sym_short] = ACTIONS(2751),
    [anon_sym_LBRACK] = ACTIONS(2751),
    [anon_sym_static] = ACTIONS(2751),
    [anon_sym_register] = ACTIONS(2751),
    [anon_sym_inline] = ACTIONS(2751),
    [anon_sym___inline] = ACTIONS(2751),
    [anon_sym___inline__] = ACTIONS(2751),
    [anon_sym___forceinline] = ACTIONS(2751),
    [anon_sym_thread_local] = ACTIONS(2751),
    [anon_sym___thread] = ACTIONS(2751),
    [anon_sym_const] = ACTIONS(2751),
    [anon_sym_constexpr] = ACTIONS(2751),
    [anon_sym_volatile] = ACTIONS(2751),
    [anon_sym_restrict] = ACTIONS(2751),
    [anon_sym___restrict__] = ACTIONS(2751),
    [anon_sym__Atomic] = ACTIONS(2751),
    [anon_sym__Noreturn] = ACTIONS(2751),
    [anon_sym_noreturn] = ACTIONS(2751),
    [anon_sym_mutable] = ACTIONS(2751),
    [anon_sym_constinit] = ACTIONS(2751),
    [anon_sym_consteval] = ACTIONS(2751),
    [sym_primitive_type] = ACTIONS(2751),
    [anon_sym_enum] = ACTIONS(2751),
    [anon_sym_class] = ACTIONS(2751),
    [anon_sym_struct] = ACTIONS(2751),
    [anon_sym_union] = ACTIONS(2751),
    [anon_sym_if] = ACTIONS(2751),
    [anon_sym_switch] = ACTIONS(2751),
    [anon_sym_case] = ACTIONS(2751),
    [anon_sym_default] = ACTIONS(2751),
    [anon_sym_while] = ACTIONS(2751),
    [anon_sym_do] = ACTIONS(2751),
    [anon_sym_for] = ACTIONS(2751),
    [anon_sym_return] = ACTIONS(2751),
    [anon_sym_break] = ACTIONS(2751),
    [anon_sym_continue] = ACTIONS(2751),
    [anon_sym_goto] = ACTIONS(2751),
    [anon_sym___try] = ACTIONS(2751),
    [anon_sym___leave] = ACTIONS(2751),
    [anon_sym_not] = ACTIONS(2751),
    [anon_sym_compl] = ACTIONS(2751),
    [anon_sym_DASH_DASH] = ACTIONS(2753),
    [anon_sym_PLUS_PLUS] = ACTIONS(2753),
    [anon_sym_sizeof] = ACTIONS(2751),
    [anon_sym___alignof__] = ACTIONS(2751),
    [anon_sym___alignof] = ACTIONS(2751),
    [anon_sym__alignof] = ACTIONS(2751),
    [anon_sym_alignof] = ACTIONS(2751),
    [anon_sym__Alignof] = ACTIONS(2751),
    [anon_sym_offsetof] = ACTIONS(2751),
    [anon_sym__Generic] = ACTIONS(2751),
    [anon_sym_asm] = ACTIONS(2751),
    [anon_sym___asm__] = ACTIONS(2751),
    [sym_number_literal] = ACTIONS(2753),
    [anon_sym_L_SQUOTE] = ACTIONS(2753),
    [anon_sym_u_SQUOTE] = ACTIONS(2753),
    [anon_sym_U_SQUOTE] = ACTIONS(2753),
    [anon_sym_u8_SQUOTE] = ACTIONS(2753),
    [anon_sym_SQUOTE] = ACTIONS(2753),
    [anon_sym_L_DQUOTE] = ACTIONS(2753),
    [anon_sym_u_DQUOTE] = ACTIONS(2753),
    [anon_sym_U_DQUOTE] = ACTIONS(2753),
    [anon_sym_u8_DQUOTE] = ACTIONS(2753),
    [anon_sym_DQUOTE] = ACTIONS(2753),
    [sym_true] = ACTIONS(2751),
    [sym_false] = ACTIONS(2751),
    [anon_sym_NULL] = ACTIONS(2751),
    [anon_sym_nullptr] = ACTIONS(2751),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2751),
    [anon_sym_decltype] = ACTIONS(2751),
    [anon_sym_virtual] = ACTIONS(2751),
    [anon_sym_alignas] = ACTIONS(2751),
    [anon_sym_explicit] = ACTIONS(2751),
    [anon_sym_typename] = ACTIONS(2751),
    [anon_sym_template] = ACTIONS(2751),
    [anon_sym_operator] = ACTIONS(2751),
    [anon_sym_try] = ACTIONS(2751),
    [anon_sym_delete] = ACTIONS(2751),
    [anon_sym_throw] = ACTIONS(2751),
    [anon_sym_namespace] = ACTIONS(2751),
    [anon_sym_using] = ACTIONS(2751),
    [anon_sym_static_assert] = ACTIONS(2751),
    [anon_sym_concept] = ACTIONS(2751),
    [anon_sym_co_return] = ACTIONS(2751),
    [anon_sym_co_yield] = ACTIONS(2751),
    [anon_sym_R_DQUOTE] = ACTIONS(2753),
    [anon_sym_LR_DQUOTE] = ACTIONS(2753),
    [anon_sym_uR_DQUOTE] = ACTIONS(2753),
    [anon_sym_UR_DQUOTE] = ACTIONS(2753),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2753),
    [anon_sym_co_await] = ACTIONS(2751),
    [anon_sym_new] = ACTIONS(2751),
    [anon_sym_requires] = ACTIONS(2751),
    [sym_this] = ACTIONS(2751),
    [anon_sym_discard] = ACTIONS(2751),
    [anon_sym_precise] = ACTIONS(2751),
    [anon_sym_shared] = ACTIONS(2751),
    [anon_sym_groupshared] = ACTIONS(2751),
    [anon_sym_uniform] = ACTIONS(2751),
    [anon_sym_row_major] = ACTIONS(2751),
    [anon_sym_column_major] = ACTIONS(2751),
    [anon_sym_globallycoherent] = ACTIONS(2751),
    [anon_sym_centroid] = ACTIONS(2751),
    [anon_sym_noperspective] = ACTIONS(2751),
    [anon_sym_nointerpolation] = ACTIONS(2751),
    [anon_sym_sample] = ACTIONS(2751),
    [anon_sym_linear] = ACTIONS(2751),
    [anon_sym_snorm] = ACTIONS(2751),
    [anon_sym_unorm] = ACTIONS(2751),
    [anon_sym_point] = ACTIONS(2751),
    [anon_sym_line] = ACTIONS(2751),
    [anon_sym_triangleadj] = ACTIONS(2751),
    [anon_sym_lineadj] = ACTIONS(2751),
    [anon_sym_triangle] = ACTIONS(2751),
    [anon_sym_cbuffer] = ACTIONS(2751),
  },
  [671] = {
    [sym_identifier] = ACTIONS(2524),
    [aux_sym_preproc_include_token1] = ACTIONS(2524),
    [aux_sym_preproc_def_token1] = ACTIONS(2524),
    [aux_sym_preproc_if_token1] = ACTIONS(2524),
    [aux_sym_preproc_if_token2] = ACTIONS(2524),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2524),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2524),
    [aux_sym_preproc_else_token1] = ACTIONS(2524),
    [aux_sym_preproc_elif_token1] = ACTIONS(2524),
    [sym_preproc_directive] = ACTIONS(2524),
    [anon_sym_LPAREN2] = ACTIONS(2526),
    [anon_sym_BANG] = ACTIONS(2526),
    [anon_sym_TILDE] = ACTIONS(2526),
    [anon_sym_DASH] = ACTIONS(2524),
    [anon_sym_PLUS] = ACTIONS(2524),
    [anon_sym_STAR] = ACTIONS(2526),
    [anon_sym_AMP_AMP] = ACTIONS(2526),
    [anon_sym_AMP] = ACTIONS(2524),
    [anon_sym_SEMI] = ACTIONS(2526),
    [anon_sym___extension__] = ACTIONS(2524),
    [anon_sym_typedef] = ACTIONS(2524),
    [anon_sym_in] = ACTIONS(2524),
    [anon_sym_out] = ACTIONS(2524),
    [anon_sym_inout] = ACTIONS(2524),
    [anon_sym_extern] = ACTIONS(2524),
    [anon_sym___attribute__] = ACTIONS(2524),
    [anon_sym_COLON_COLON] = ACTIONS(2526),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2526),
    [anon_sym___declspec] = ACTIONS(2524),
    [anon_sym___based] = ACTIONS(2524),
    [anon_sym___cdecl] = ACTIONS(2524),
    [anon_sym___clrcall] = ACTIONS(2524),
    [anon_sym___stdcall] = ACTIONS(2524),
    [anon_sym___fastcall] = ACTIONS(2524),
    [anon_sym___thiscall] = ACTIONS(2524),
    [anon_sym___vectorcall] = ACTIONS(2524),
    [anon_sym_LBRACE] = ACTIONS(2526),
    [anon_sym_signed] = ACTIONS(2524),
    [anon_sym_unsigned] = ACTIONS(2524),
    [anon_sym_long] = ACTIONS(2524),
    [anon_sym_short] = ACTIONS(2524),
    [anon_sym_LBRACK] = ACTIONS(2524),
    [anon_sym_static] = ACTIONS(2524),
    [anon_sym_register] = ACTIONS(2524),
    [anon_sym_inline] = ACTIONS(2524),
    [anon_sym___inline] = ACTIONS(2524),
    [anon_sym___inline__] = ACTIONS(2524),
    [anon_sym___forceinline] = ACTIONS(2524),
    [anon_sym_thread_local] = ACTIONS(2524),
    [anon_sym___thread] = ACTIONS(2524),
    [anon_sym_const] = ACTIONS(2524),
    [anon_sym_constexpr] = ACTIONS(2524),
    [anon_sym_volatile] = ACTIONS(2524),
    [anon_sym_restrict] = ACTIONS(2524),
    [anon_sym___restrict__] = ACTIONS(2524),
    [anon_sym__Atomic] = ACTIONS(2524),
    [anon_sym__Noreturn] = ACTIONS(2524),
    [anon_sym_noreturn] = ACTIONS(2524),
    [anon_sym_mutable] = ACTIONS(2524),
    [anon_sym_constinit] = ACTIONS(2524),
    [anon_sym_consteval] = ACTIONS(2524),
    [sym_primitive_type] = ACTIONS(2524),
    [anon_sym_enum] = ACTIONS(2524),
    [anon_sym_class] = ACTIONS(2524),
    [anon_sym_struct] = ACTIONS(2524),
    [anon_sym_union] = ACTIONS(2524),
    [anon_sym_if] = ACTIONS(2524),
    [anon_sym_switch] = ACTIONS(2524),
    [anon_sym_case] = ACTIONS(2524),
    [anon_sym_default] = ACTIONS(2524),
    [anon_sym_while] = ACTIONS(2524),
    [anon_sym_do] = ACTIONS(2524),
    [anon_sym_for] = ACTIONS(2524),
    [anon_sym_return] = ACTIONS(2524),
    [anon_sym_break] = ACTIONS(2524),
    [anon_sym_continue] = ACTIONS(2524),
    [anon_sym_goto] = ACTIONS(2524),
    [anon_sym___try] = ACTIONS(2524),
    [anon_sym___leave] = ACTIONS(2524),
    [anon_sym_not] = ACTIONS(2524),
    [anon_sym_compl] = ACTIONS(2524),
    [anon_sym_DASH_DASH] = ACTIONS(2526),
    [anon_sym_PLUS_PLUS] = ACTIONS(2526),
    [anon_sym_sizeof] = ACTIONS(2524),
    [anon_sym___alignof__] = ACTIONS(2524),
    [anon_sym___alignof] = ACTIONS(2524),
    [anon_sym__alignof] = ACTIONS(2524),
    [anon_sym_alignof] = ACTIONS(2524),
    [anon_sym__Alignof] = ACTIONS(2524),
    [anon_sym_offsetof] = ACTIONS(2524),
    [anon_sym__Generic] = ACTIONS(2524),
    [anon_sym_asm] = ACTIONS(2524),
    [anon_sym___asm__] = ACTIONS(2524),
    [sym_number_literal] = ACTIONS(2526),
    [anon_sym_L_SQUOTE] = ACTIONS(2526),
    [anon_sym_u_SQUOTE] = ACTIONS(2526),
    [anon_sym_U_SQUOTE] = ACTIONS(2526),
    [anon_sym_u8_SQUOTE] = ACTIONS(2526),
    [anon_sym_SQUOTE] = ACTIONS(2526),
    [anon_sym_L_DQUOTE] = ACTIONS(2526),
    [anon_sym_u_DQUOTE] = ACTIONS(2526),
    [anon_sym_U_DQUOTE] = ACTIONS(2526),
    [anon_sym_u8_DQUOTE] = ACTIONS(2526),
    [anon_sym_DQUOTE] = ACTIONS(2526),
    [sym_true] = ACTIONS(2524),
    [sym_false] = ACTIONS(2524),
    [anon_sym_NULL] = ACTIONS(2524),
    [anon_sym_nullptr] = ACTIONS(2524),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2524),
    [anon_sym_decltype] = ACTIONS(2524),
    [anon_sym_virtual] = ACTIONS(2524),
    [anon_sym_alignas] = ACTIONS(2524),
    [anon_sym_explicit] = ACTIONS(2524),
    [anon_sym_typename] = ACTIONS(2524),
    [anon_sym_template] = ACTIONS(2524),
    [anon_sym_operator] = ACTIONS(2524),
    [anon_sym_try] = ACTIONS(2524),
    [anon_sym_delete] = ACTIONS(2524),
    [anon_sym_throw] = ACTIONS(2524),
    [anon_sym_namespace] = ACTIONS(2524),
    [anon_sym_using] = ACTIONS(2524),
    [anon_sym_static_assert] = ACTIONS(2524),
    [anon_sym_concept] = ACTIONS(2524),
    [anon_sym_co_return] = ACTIONS(2524),
    [anon_sym_co_yield] = ACTIONS(2524),
    [anon_sym_R_DQUOTE] = ACTIONS(2526),
    [anon_sym_LR_DQUOTE] = ACTIONS(2526),
    [anon_sym_uR_DQUOTE] = ACTIONS(2526),
    [anon_sym_UR_DQUOTE] = ACTIONS(2526),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2526),
    [anon_sym_co_await] = ACTIONS(2524),
    [anon_sym_new] = ACTIONS(2524),
    [anon_sym_requires] = ACTIONS(2524),
    [sym_this] = ACTIONS(2524),
    [anon_sym_discard] = ACTIONS(2524),
    [anon_sym_precise] = ACTIONS(2524),
    [anon_sym_shared] = ACTIONS(2524),
    [anon_sym_groupshared] = ACTIONS(2524),
    [anon_sym_uniform] = ACTIONS(2524),
    [anon_sym_row_major] = ACTIONS(2524),
    [anon_sym_column_major] = ACTIONS(2524),
    [anon_sym_globallycoherent] = ACTIONS(2524),
    [anon_sym_centroid] = ACTIONS(2524),
    [anon_sym_noperspective] = ACTIONS(2524),
    [anon_sym_nointerpolation] = ACTIONS(2524),
    [anon_sym_sample] = ACTIONS(2524),
    [anon_sym_linear] = ACTIONS(2524),
    [anon_sym_snorm] = ACTIONS(2524),
    [anon_sym_unorm] = ACTIONS(2524),
    [anon_sym_point] = ACTIONS(2524),
    [anon_sym_line] = ACTIONS(2524),
    [anon_sym_triangleadj] = ACTIONS(2524),
    [anon_sym_lineadj] = ACTIONS(2524),
    [anon_sym_triangle] = ACTIONS(2524),
    [anon_sym_cbuffer] = ACTIONS(2524),
  },
  [672] = {
    [sym_identifier] = ACTIONS(2629),
    [aux_sym_preproc_include_token1] = ACTIONS(2629),
    [aux_sym_preproc_def_token1] = ACTIONS(2629),
    [aux_sym_preproc_if_token1] = ACTIONS(2629),
    [aux_sym_preproc_if_token2] = ACTIONS(2629),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2629),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2629),
    [aux_sym_preproc_else_token1] = ACTIONS(2629),
    [aux_sym_preproc_elif_token1] = ACTIONS(2629),
    [sym_preproc_directive] = ACTIONS(2629),
    [anon_sym_LPAREN2] = ACTIONS(2631),
    [anon_sym_BANG] = ACTIONS(2631),
    [anon_sym_TILDE] = ACTIONS(2631),
    [anon_sym_DASH] = ACTIONS(2629),
    [anon_sym_PLUS] = ACTIONS(2629),
    [anon_sym_STAR] = ACTIONS(2631),
    [anon_sym_AMP_AMP] = ACTIONS(2631),
    [anon_sym_AMP] = ACTIONS(2629),
    [anon_sym_SEMI] = ACTIONS(2631),
    [anon_sym___extension__] = ACTIONS(2629),
    [anon_sym_typedef] = ACTIONS(2629),
    [anon_sym_in] = ACTIONS(2629),
    [anon_sym_out] = ACTIONS(2629),
    [anon_sym_inout] = ACTIONS(2629),
    [anon_sym_extern] = ACTIONS(2629),
    [anon_sym___attribute__] = ACTIONS(2629),
    [anon_sym_COLON_COLON] = ACTIONS(2631),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2631),
    [anon_sym___declspec] = ACTIONS(2629),
    [anon_sym___based] = ACTIONS(2629),
    [anon_sym___cdecl] = ACTIONS(2629),
    [anon_sym___clrcall] = ACTIONS(2629),
    [anon_sym___stdcall] = ACTIONS(2629),
    [anon_sym___fastcall] = ACTIONS(2629),
    [anon_sym___thiscall] = ACTIONS(2629),
    [anon_sym___vectorcall] = ACTIONS(2629),
    [anon_sym_LBRACE] = ACTIONS(2631),
    [anon_sym_signed] = ACTIONS(2629),
    [anon_sym_unsigned] = ACTIONS(2629),
    [anon_sym_long] = ACTIONS(2629),
    [anon_sym_short] = ACTIONS(2629),
    [anon_sym_LBRACK] = ACTIONS(2629),
    [anon_sym_static] = ACTIONS(2629),
    [anon_sym_register] = ACTIONS(2629),
    [anon_sym_inline] = ACTIONS(2629),
    [anon_sym___inline] = ACTIONS(2629),
    [anon_sym___inline__] = ACTIONS(2629),
    [anon_sym___forceinline] = ACTIONS(2629),
    [anon_sym_thread_local] = ACTIONS(2629),
    [anon_sym___thread] = ACTIONS(2629),
    [anon_sym_const] = ACTIONS(2629),
    [anon_sym_constexpr] = ACTIONS(2629),
    [anon_sym_volatile] = ACTIONS(2629),
    [anon_sym_restrict] = ACTIONS(2629),
    [anon_sym___restrict__] = ACTIONS(2629),
    [anon_sym__Atomic] = ACTIONS(2629),
    [anon_sym__Noreturn] = ACTIONS(2629),
    [anon_sym_noreturn] = ACTIONS(2629),
    [anon_sym_mutable] = ACTIONS(2629),
    [anon_sym_constinit] = ACTIONS(2629),
    [anon_sym_consteval] = ACTIONS(2629),
    [sym_primitive_type] = ACTIONS(2629),
    [anon_sym_enum] = ACTIONS(2629),
    [anon_sym_class] = ACTIONS(2629),
    [anon_sym_struct] = ACTIONS(2629),
    [anon_sym_union] = ACTIONS(2629),
    [anon_sym_if] = ACTIONS(2629),
    [anon_sym_switch] = ACTIONS(2629),
    [anon_sym_case] = ACTIONS(2629),
    [anon_sym_default] = ACTIONS(2629),
    [anon_sym_while] = ACTIONS(2629),
    [anon_sym_do] = ACTIONS(2629),
    [anon_sym_for] = ACTIONS(2629),
    [anon_sym_return] = ACTIONS(2629),
    [anon_sym_break] = ACTIONS(2629),
    [anon_sym_continue] = ACTIONS(2629),
    [anon_sym_goto] = ACTIONS(2629),
    [anon_sym___try] = ACTIONS(2629),
    [anon_sym___leave] = ACTIONS(2629),
    [anon_sym_not] = ACTIONS(2629),
    [anon_sym_compl] = ACTIONS(2629),
    [anon_sym_DASH_DASH] = ACTIONS(2631),
    [anon_sym_PLUS_PLUS] = ACTIONS(2631),
    [anon_sym_sizeof] = ACTIONS(2629),
    [anon_sym___alignof__] = ACTIONS(2629),
    [anon_sym___alignof] = ACTIONS(2629),
    [anon_sym__alignof] = ACTIONS(2629),
    [anon_sym_alignof] = ACTIONS(2629),
    [anon_sym__Alignof] = ACTIONS(2629),
    [anon_sym_offsetof] = ACTIONS(2629),
    [anon_sym__Generic] = ACTIONS(2629),
    [anon_sym_asm] = ACTIONS(2629),
    [anon_sym___asm__] = ACTIONS(2629),
    [sym_number_literal] = ACTIONS(2631),
    [anon_sym_L_SQUOTE] = ACTIONS(2631),
    [anon_sym_u_SQUOTE] = ACTIONS(2631),
    [anon_sym_U_SQUOTE] = ACTIONS(2631),
    [anon_sym_u8_SQUOTE] = ACTIONS(2631),
    [anon_sym_SQUOTE] = ACTIONS(2631),
    [anon_sym_L_DQUOTE] = ACTIONS(2631),
    [anon_sym_u_DQUOTE] = ACTIONS(2631),
    [anon_sym_U_DQUOTE] = ACTIONS(2631),
    [anon_sym_u8_DQUOTE] = ACTIONS(2631),
    [anon_sym_DQUOTE] = ACTIONS(2631),
    [sym_true] = ACTIONS(2629),
    [sym_false] = ACTIONS(2629),
    [anon_sym_NULL] = ACTIONS(2629),
    [anon_sym_nullptr] = ACTIONS(2629),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2629),
    [anon_sym_decltype] = ACTIONS(2629),
    [anon_sym_virtual] = ACTIONS(2629),
    [anon_sym_alignas] = ACTIONS(2629),
    [anon_sym_explicit] = ACTIONS(2629),
    [anon_sym_typename] = ACTIONS(2629),
    [anon_sym_template] = ACTIONS(2629),
    [anon_sym_operator] = ACTIONS(2629),
    [anon_sym_try] = ACTIONS(2629),
    [anon_sym_delete] = ACTIONS(2629),
    [anon_sym_throw] = ACTIONS(2629),
    [anon_sym_namespace] = ACTIONS(2629),
    [anon_sym_using] = ACTIONS(2629),
    [anon_sym_static_assert] = ACTIONS(2629),
    [anon_sym_concept] = ACTIONS(2629),
    [anon_sym_co_return] = ACTIONS(2629),
    [anon_sym_co_yield] = ACTIONS(2629),
    [anon_sym_R_DQUOTE] = ACTIONS(2631),
    [anon_sym_LR_DQUOTE] = ACTIONS(2631),
    [anon_sym_uR_DQUOTE] = ACTIONS(2631),
    [anon_sym_UR_DQUOTE] = ACTIONS(2631),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2631),
    [anon_sym_co_await] = ACTIONS(2629),
    [anon_sym_new] = ACTIONS(2629),
    [anon_sym_requires] = ACTIONS(2629),
    [sym_this] = ACTIONS(2629),
    [anon_sym_discard] = ACTIONS(2629),
    [anon_sym_precise] = ACTIONS(2629),
    [anon_sym_shared] = ACTIONS(2629),
    [anon_sym_groupshared] = ACTIONS(2629),
    [anon_sym_uniform] = ACTIONS(2629),
    [anon_sym_row_major] = ACTIONS(2629),
    [anon_sym_column_major] = ACTIONS(2629),
    [anon_sym_globallycoherent] = ACTIONS(2629),
    [anon_sym_centroid] = ACTIONS(2629),
    [anon_sym_noperspective] = ACTIONS(2629),
    [anon_sym_nointerpolation] = ACTIONS(2629),
    [anon_sym_sample] = ACTIONS(2629),
    [anon_sym_linear] = ACTIONS(2629),
    [anon_sym_snorm] = ACTIONS(2629),
    [anon_sym_unorm] = ACTIONS(2629),
    [anon_sym_point] = ACTIONS(2629),
    [anon_sym_line] = ACTIONS(2629),
    [anon_sym_triangleadj] = ACTIONS(2629),
    [anon_sym_lineadj] = ACTIONS(2629),
    [anon_sym_triangle] = ACTIONS(2629),
    [anon_sym_cbuffer] = ACTIONS(2629),
  },
  [673] = {
    [sym_identifier] = ACTIONS(2621),
    [aux_sym_preproc_include_token1] = ACTIONS(2621),
    [aux_sym_preproc_def_token1] = ACTIONS(2621),
    [aux_sym_preproc_if_token1] = ACTIONS(2621),
    [aux_sym_preproc_if_token2] = ACTIONS(2621),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2621),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2621),
    [aux_sym_preproc_else_token1] = ACTIONS(2621),
    [aux_sym_preproc_elif_token1] = ACTIONS(2621),
    [sym_preproc_directive] = ACTIONS(2621),
    [anon_sym_LPAREN2] = ACTIONS(2623),
    [anon_sym_BANG] = ACTIONS(2623),
    [anon_sym_TILDE] = ACTIONS(2623),
    [anon_sym_DASH] = ACTIONS(2621),
    [anon_sym_PLUS] = ACTIONS(2621),
    [anon_sym_STAR] = ACTIONS(2623),
    [anon_sym_AMP_AMP] = ACTIONS(2623),
    [anon_sym_AMP] = ACTIONS(2621),
    [anon_sym_SEMI] = ACTIONS(2623),
    [anon_sym___extension__] = ACTIONS(2621),
    [anon_sym_typedef] = ACTIONS(2621),
    [anon_sym_in] = ACTIONS(2621),
    [anon_sym_out] = ACTIONS(2621),
    [anon_sym_inout] = ACTIONS(2621),
    [anon_sym_extern] = ACTIONS(2621),
    [anon_sym___attribute__] = ACTIONS(2621),
    [anon_sym_COLON_COLON] = ACTIONS(2623),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2623),
    [anon_sym___declspec] = ACTIONS(2621),
    [anon_sym___based] = ACTIONS(2621),
    [anon_sym___cdecl] = ACTIONS(2621),
    [anon_sym___clrcall] = ACTIONS(2621),
    [anon_sym___stdcall] = ACTIONS(2621),
    [anon_sym___fastcall] = ACTIONS(2621),
    [anon_sym___thiscall] = ACTIONS(2621),
    [anon_sym___vectorcall] = ACTIONS(2621),
    [anon_sym_LBRACE] = ACTIONS(2623),
    [anon_sym_signed] = ACTIONS(2621),
    [anon_sym_unsigned] = ACTIONS(2621),
    [anon_sym_long] = ACTIONS(2621),
    [anon_sym_short] = ACTIONS(2621),
    [anon_sym_LBRACK] = ACTIONS(2621),
    [anon_sym_static] = ACTIONS(2621),
    [anon_sym_register] = ACTIONS(2621),
    [anon_sym_inline] = ACTIONS(2621),
    [anon_sym___inline] = ACTIONS(2621),
    [anon_sym___inline__] = ACTIONS(2621),
    [anon_sym___forceinline] = ACTIONS(2621),
    [anon_sym_thread_local] = ACTIONS(2621),
    [anon_sym___thread] = ACTIONS(2621),
    [anon_sym_const] = ACTIONS(2621),
    [anon_sym_constexpr] = ACTIONS(2621),
    [anon_sym_volatile] = ACTIONS(2621),
    [anon_sym_restrict] = ACTIONS(2621),
    [anon_sym___restrict__] = ACTIONS(2621),
    [anon_sym__Atomic] = ACTIONS(2621),
    [anon_sym__Noreturn] = ACTIONS(2621),
    [anon_sym_noreturn] = ACTIONS(2621),
    [anon_sym_mutable] = ACTIONS(2621),
    [anon_sym_constinit] = ACTIONS(2621),
    [anon_sym_consteval] = ACTIONS(2621),
    [sym_primitive_type] = ACTIONS(2621),
    [anon_sym_enum] = ACTIONS(2621),
    [anon_sym_class] = ACTIONS(2621),
    [anon_sym_struct] = ACTIONS(2621),
    [anon_sym_union] = ACTIONS(2621),
    [anon_sym_if] = ACTIONS(2621),
    [anon_sym_switch] = ACTIONS(2621),
    [anon_sym_case] = ACTIONS(2621),
    [anon_sym_default] = ACTIONS(2621),
    [anon_sym_while] = ACTIONS(2621),
    [anon_sym_do] = ACTIONS(2621),
    [anon_sym_for] = ACTIONS(2621),
    [anon_sym_return] = ACTIONS(2621),
    [anon_sym_break] = ACTIONS(2621),
    [anon_sym_continue] = ACTIONS(2621),
    [anon_sym_goto] = ACTIONS(2621),
    [anon_sym___try] = ACTIONS(2621),
    [anon_sym___leave] = ACTIONS(2621),
    [anon_sym_not] = ACTIONS(2621),
    [anon_sym_compl] = ACTIONS(2621),
    [anon_sym_DASH_DASH] = ACTIONS(2623),
    [anon_sym_PLUS_PLUS] = ACTIONS(2623),
    [anon_sym_sizeof] = ACTIONS(2621),
    [anon_sym___alignof__] = ACTIONS(2621),
    [anon_sym___alignof] = ACTIONS(2621),
    [anon_sym__alignof] = ACTIONS(2621),
    [anon_sym_alignof] = ACTIONS(2621),
    [anon_sym__Alignof] = ACTIONS(2621),
    [anon_sym_offsetof] = ACTIONS(2621),
    [anon_sym__Generic] = ACTIONS(2621),
    [anon_sym_asm] = ACTIONS(2621),
    [anon_sym___asm__] = ACTIONS(2621),
    [sym_number_literal] = ACTIONS(2623),
    [anon_sym_L_SQUOTE] = ACTIONS(2623),
    [anon_sym_u_SQUOTE] = ACTIONS(2623),
    [anon_sym_U_SQUOTE] = ACTIONS(2623),
    [anon_sym_u8_SQUOTE] = ACTIONS(2623),
    [anon_sym_SQUOTE] = ACTIONS(2623),
    [anon_sym_L_DQUOTE] = ACTIONS(2623),
    [anon_sym_u_DQUOTE] = ACTIONS(2623),
    [anon_sym_U_DQUOTE] = ACTIONS(2623),
    [anon_sym_u8_DQUOTE] = ACTIONS(2623),
    [anon_sym_DQUOTE] = ACTIONS(2623),
    [sym_true] = ACTIONS(2621),
    [sym_false] = ACTIONS(2621),
    [anon_sym_NULL] = ACTIONS(2621),
    [anon_sym_nullptr] = ACTIONS(2621),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2621),
    [anon_sym_decltype] = ACTIONS(2621),
    [anon_sym_virtual] = ACTIONS(2621),
    [anon_sym_alignas] = ACTIONS(2621),
    [anon_sym_explicit] = ACTIONS(2621),
    [anon_sym_typename] = ACTIONS(2621),
    [anon_sym_template] = ACTIONS(2621),
    [anon_sym_operator] = ACTIONS(2621),
    [anon_sym_try] = ACTIONS(2621),
    [anon_sym_delete] = ACTIONS(2621),
    [anon_sym_throw] = ACTIONS(2621),
    [anon_sym_namespace] = ACTIONS(2621),
    [anon_sym_using] = ACTIONS(2621),
    [anon_sym_static_assert] = ACTIONS(2621),
    [anon_sym_concept] = ACTIONS(2621),
    [anon_sym_co_return] = ACTIONS(2621),
    [anon_sym_co_yield] = ACTIONS(2621),
    [anon_sym_R_DQUOTE] = ACTIONS(2623),
    [anon_sym_LR_DQUOTE] = ACTIONS(2623),
    [anon_sym_uR_DQUOTE] = ACTIONS(2623),
    [anon_sym_UR_DQUOTE] = ACTIONS(2623),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2623),
    [anon_sym_co_await] = ACTIONS(2621),
    [anon_sym_new] = ACTIONS(2621),
    [anon_sym_requires] = ACTIONS(2621),
    [sym_this] = ACTIONS(2621),
    [anon_sym_discard] = ACTIONS(2621),
    [anon_sym_precise] = ACTIONS(2621),
    [anon_sym_shared] = ACTIONS(2621),
    [anon_sym_groupshared] = ACTIONS(2621),
    [anon_sym_uniform] = ACTIONS(2621),
    [anon_sym_row_major] = ACTIONS(2621),
    [anon_sym_column_major] = ACTIONS(2621),
    [anon_sym_globallycoherent] = ACTIONS(2621),
    [anon_sym_centroid] = ACTIONS(2621),
    [anon_sym_noperspective] = ACTIONS(2621),
    [anon_sym_nointerpolation] = ACTIONS(2621),
    [anon_sym_sample] = ACTIONS(2621),
    [anon_sym_linear] = ACTIONS(2621),
    [anon_sym_snorm] = ACTIONS(2621),
    [anon_sym_unorm] = ACTIONS(2621),
    [anon_sym_point] = ACTIONS(2621),
    [anon_sym_line] = ACTIONS(2621),
    [anon_sym_triangleadj] = ACTIONS(2621),
    [anon_sym_lineadj] = ACTIONS(2621),
    [anon_sym_triangle] = ACTIONS(2621),
    [anon_sym_cbuffer] = ACTIONS(2621),
  },
  [674] = {
    [sym_identifier] = ACTIONS(2805),
    [aux_sym_preproc_include_token1] = ACTIONS(2805),
    [aux_sym_preproc_def_token1] = ACTIONS(2805),
    [aux_sym_preproc_if_token1] = ACTIONS(2805),
    [aux_sym_preproc_if_token2] = ACTIONS(2805),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2805),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2805),
    [aux_sym_preproc_else_token1] = ACTIONS(2805),
    [aux_sym_preproc_elif_token1] = ACTIONS(2805),
    [sym_preproc_directive] = ACTIONS(2805),
    [anon_sym_LPAREN2] = ACTIONS(2807),
    [anon_sym_BANG] = ACTIONS(2807),
    [anon_sym_TILDE] = ACTIONS(2807),
    [anon_sym_DASH] = ACTIONS(2805),
    [anon_sym_PLUS] = ACTIONS(2805),
    [anon_sym_STAR] = ACTIONS(2807),
    [anon_sym_AMP_AMP] = ACTIONS(2807),
    [anon_sym_AMP] = ACTIONS(2805),
    [anon_sym_SEMI] = ACTIONS(2807),
    [anon_sym___extension__] = ACTIONS(2805),
    [anon_sym_typedef] = ACTIONS(2805),
    [anon_sym_in] = ACTIONS(2805),
    [anon_sym_out] = ACTIONS(2805),
    [anon_sym_inout] = ACTIONS(2805),
    [anon_sym_extern] = ACTIONS(2805),
    [anon_sym___attribute__] = ACTIONS(2805),
    [anon_sym_COLON_COLON] = ACTIONS(2807),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2807),
    [anon_sym___declspec] = ACTIONS(2805),
    [anon_sym___based] = ACTIONS(2805),
    [anon_sym___cdecl] = ACTIONS(2805),
    [anon_sym___clrcall] = ACTIONS(2805),
    [anon_sym___stdcall] = ACTIONS(2805),
    [anon_sym___fastcall] = ACTIONS(2805),
    [anon_sym___thiscall] = ACTIONS(2805),
    [anon_sym___vectorcall] = ACTIONS(2805),
    [anon_sym_LBRACE] = ACTIONS(2807),
    [anon_sym_signed] = ACTIONS(2805),
    [anon_sym_unsigned] = ACTIONS(2805),
    [anon_sym_long] = ACTIONS(2805),
    [anon_sym_short] = ACTIONS(2805),
    [anon_sym_LBRACK] = ACTIONS(2805),
    [anon_sym_static] = ACTIONS(2805),
    [anon_sym_register] = ACTIONS(2805),
    [anon_sym_inline] = ACTIONS(2805),
    [anon_sym___inline] = ACTIONS(2805),
    [anon_sym___inline__] = ACTIONS(2805),
    [anon_sym___forceinline] = ACTIONS(2805),
    [anon_sym_thread_local] = ACTIONS(2805),
    [anon_sym___thread] = ACTIONS(2805),
    [anon_sym_const] = ACTIONS(2805),
    [anon_sym_constexpr] = ACTIONS(2805),
    [anon_sym_volatile] = ACTIONS(2805),
    [anon_sym_restrict] = ACTIONS(2805),
    [anon_sym___restrict__] = ACTIONS(2805),
    [anon_sym__Atomic] = ACTIONS(2805),
    [anon_sym__Noreturn] = ACTIONS(2805),
    [anon_sym_noreturn] = ACTIONS(2805),
    [anon_sym_mutable] = ACTIONS(2805),
    [anon_sym_constinit] = ACTIONS(2805),
    [anon_sym_consteval] = ACTIONS(2805),
    [sym_primitive_type] = ACTIONS(2805),
    [anon_sym_enum] = ACTIONS(2805),
    [anon_sym_class] = ACTIONS(2805),
    [anon_sym_struct] = ACTIONS(2805),
    [anon_sym_union] = ACTIONS(2805),
    [anon_sym_if] = ACTIONS(2805),
    [anon_sym_switch] = ACTIONS(2805),
    [anon_sym_case] = ACTIONS(2805),
    [anon_sym_default] = ACTIONS(2805),
    [anon_sym_while] = ACTIONS(2805),
    [anon_sym_do] = ACTIONS(2805),
    [anon_sym_for] = ACTIONS(2805),
    [anon_sym_return] = ACTIONS(2805),
    [anon_sym_break] = ACTIONS(2805),
    [anon_sym_continue] = ACTIONS(2805),
    [anon_sym_goto] = ACTIONS(2805),
    [anon_sym___try] = ACTIONS(2805),
    [anon_sym___leave] = ACTIONS(2805),
    [anon_sym_not] = ACTIONS(2805),
    [anon_sym_compl] = ACTIONS(2805),
    [anon_sym_DASH_DASH] = ACTIONS(2807),
    [anon_sym_PLUS_PLUS] = ACTIONS(2807),
    [anon_sym_sizeof] = ACTIONS(2805),
    [anon_sym___alignof__] = ACTIONS(2805),
    [anon_sym___alignof] = ACTIONS(2805),
    [anon_sym__alignof] = ACTIONS(2805),
    [anon_sym_alignof] = ACTIONS(2805),
    [anon_sym__Alignof] = ACTIONS(2805),
    [anon_sym_offsetof] = ACTIONS(2805),
    [anon_sym__Generic] = ACTIONS(2805),
    [anon_sym_asm] = ACTIONS(2805),
    [anon_sym___asm__] = ACTIONS(2805),
    [sym_number_literal] = ACTIONS(2807),
    [anon_sym_L_SQUOTE] = ACTIONS(2807),
    [anon_sym_u_SQUOTE] = ACTIONS(2807),
    [anon_sym_U_SQUOTE] = ACTIONS(2807),
    [anon_sym_u8_SQUOTE] = ACTIONS(2807),
    [anon_sym_SQUOTE] = ACTIONS(2807),
    [anon_sym_L_DQUOTE] = ACTIONS(2807),
    [anon_sym_u_DQUOTE] = ACTIONS(2807),
    [anon_sym_U_DQUOTE] = ACTIONS(2807),
    [anon_sym_u8_DQUOTE] = ACTIONS(2807),
    [anon_sym_DQUOTE] = ACTIONS(2807),
    [sym_true] = ACTIONS(2805),
    [sym_false] = ACTIONS(2805),
    [anon_sym_NULL] = ACTIONS(2805),
    [anon_sym_nullptr] = ACTIONS(2805),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2805),
    [anon_sym_decltype] = ACTIONS(2805),
    [anon_sym_virtual] = ACTIONS(2805),
    [anon_sym_alignas] = ACTIONS(2805),
    [anon_sym_explicit] = ACTIONS(2805),
    [anon_sym_typename] = ACTIONS(2805),
    [anon_sym_template] = ACTIONS(2805),
    [anon_sym_operator] = ACTIONS(2805),
    [anon_sym_try] = ACTIONS(2805),
    [anon_sym_delete] = ACTIONS(2805),
    [anon_sym_throw] = ACTIONS(2805),
    [anon_sym_namespace] = ACTIONS(2805),
    [anon_sym_using] = ACTIONS(2805),
    [anon_sym_static_assert] = ACTIONS(2805),
    [anon_sym_concept] = ACTIONS(2805),
    [anon_sym_co_return] = ACTIONS(2805),
    [anon_sym_co_yield] = ACTIONS(2805),
    [anon_sym_R_DQUOTE] = ACTIONS(2807),
    [anon_sym_LR_DQUOTE] = ACTIONS(2807),
    [anon_sym_uR_DQUOTE] = ACTIONS(2807),
    [anon_sym_UR_DQUOTE] = ACTIONS(2807),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2807),
    [anon_sym_co_await] = ACTIONS(2805),
    [anon_sym_new] = ACTIONS(2805),
    [anon_sym_requires] = ACTIONS(2805),
    [sym_this] = ACTIONS(2805),
    [anon_sym_discard] = ACTIONS(2805),
    [anon_sym_precise] = ACTIONS(2805),
    [anon_sym_shared] = ACTIONS(2805),
    [anon_sym_groupshared] = ACTIONS(2805),
    [anon_sym_uniform] = ACTIONS(2805),
    [anon_sym_row_major] = ACTIONS(2805),
    [anon_sym_column_major] = ACTIONS(2805),
    [anon_sym_globallycoherent] = ACTIONS(2805),
    [anon_sym_centroid] = ACTIONS(2805),
    [anon_sym_noperspective] = ACTIONS(2805),
    [anon_sym_nointerpolation] = ACTIONS(2805),
    [anon_sym_sample] = ACTIONS(2805),
    [anon_sym_linear] = ACTIONS(2805),
    [anon_sym_snorm] = ACTIONS(2805),
    [anon_sym_unorm] = ACTIONS(2805),
    [anon_sym_point] = ACTIONS(2805),
    [anon_sym_line] = ACTIONS(2805),
    [anon_sym_triangleadj] = ACTIONS(2805),
    [anon_sym_lineadj] = ACTIONS(2805),
    [anon_sym_triangle] = ACTIONS(2805),
    [anon_sym_cbuffer] = ACTIONS(2805),
  },
  [675] = {
    [sym_else_clause] = STATE(823),
    [sym_identifier] = ACTIONS(2299),
    [aux_sym_preproc_include_token1] = ACTIONS(2299),
    [aux_sym_preproc_def_token1] = ACTIONS(2299),
    [aux_sym_preproc_if_token1] = ACTIONS(2299),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2299),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2299),
    [sym_preproc_directive] = ACTIONS(2299),
    [anon_sym_LPAREN2] = ACTIONS(2301),
    [anon_sym_BANG] = ACTIONS(2301),
    [anon_sym_TILDE] = ACTIONS(2301),
    [anon_sym_DASH] = ACTIONS(2299),
    [anon_sym_PLUS] = ACTIONS(2299),
    [anon_sym_STAR] = ACTIONS(2301),
    [anon_sym_AMP_AMP] = ACTIONS(2301),
    [anon_sym_AMP] = ACTIONS(2299),
    [anon_sym_SEMI] = ACTIONS(2301),
    [anon_sym___extension__] = ACTIONS(2299),
    [anon_sym_typedef] = ACTIONS(2299),
    [anon_sym_in] = ACTIONS(2299),
    [anon_sym_out] = ACTIONS(2299),
    [anon_sym_inout] = ACTIONS(2299),
    [anon_sym_extern] = ACTIONS(2299),
    [anon_sym___attribute__] = ACTIONS(2299),
    [anon_sym_COLON_COLON] = ACTIONS(2301),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2301),
    [anon_sym___declspec] = ACTIONS(2299),
    [anon_sym___based] = ACTIONS(2299),
    [anon_sym___cdecl] = ACTIONS(2299),
    [anon_sym___clrcall] = ACTIONS(2299),
    [anon_sym___stdcall] = ACTIONS(2299),
    [anon_sym___fastcall] = ACTIONS(2299),
    [anon_sym___thiscall] = ACTIONS(2299),
    [anon_sym___vectorcall] = ACTIONS(2299),
    [anon_sym_LBRACE] = ACTIONS(2301),
    [anon_sym_RBRACE] = ACTIONS(2301),
    [anon_sym_signed] = ACTIONS(2299),
    [anon_sym_unsigned] = ACTIONS(2299),
    [anon_sym_long] = ACTIONS(2299),
    [anon_sym_short] = ACTIONS(2299),
    [anon_sym_LBRACK] = ACTIONS(2299),
    [anon_sym_static] = ACTIONS(2299),
    [anon_sym_register] = ACTIONS(2299),
    [anon_sym_inline] = ACTIONS(2299),
    [anon_sym___inline] = ACTIONS(2299),
    [anon_sym___inline__] = ACTIONS(2299),
    [anon_sym___forceinline] = ACTIONS(2299),
    [anon_sym_thread_local] = ACTIONS(2299),
    [anon_sym___thread] = ACTIONS(2299),
    [anon_sym_const] = ACTIONS(2299),
    [anon_sym_constexpr] = ACTIONS(2299),
    [anon_sym_volatile] = ACTIONS(2299),
    [anon_sym_restrict] = ACTIONS(2299),
    [anon_sym___restrict__] = ACTIONS(2299),
    [anon_sym__Atomic] = ACTIONS(2299),
    [anon_sym__Noreturn] = ACTIONS(2299),
    [anon_sym_noreturn] = ACTIONS(2299),
    [anon_sym_mutable] = ACTIONS(2299),
    [anon_sym_constinit] = ACTIONS(2299),
    [anon_sym_consteval] = ACTIONS(2299),
    [sym_primitive_type] = ACTIONS(2299),
    [anon_sym_enum] = ACTIONS(2299),
    [anon_sym_class] = ACTIONS(2299),
    [anon_sym_struct] = ACTIONS(2299),
    [anon_sym_union] = ACTIONS(2299),
    [anon_sym_if] = ACTIONS(2299),
    [anon_sym_else] = ACTIONS(2986),
    [anon_sym_switch] = ACTIONS(2299),
    [anon_sym_case] = ACTIONS(2299),
    [anon_sym_default] = ACTIONS(2299),
    [anon_sym_while] = ACTIONS(2299),
    [anon_sym_do] = ACTIONS(2299),
    [anon_sym_for] = ACTIONS(2299),
    [anon_sym_return] = ACTIONS(2299),
    [anon_sym_break] = ACTIONS(2299),
    [anon_sym_continue] = ACTIONS(2299),
    [anon_sym_goto] = ACTIONS(2299),
    [anon_sym___try] = ACTIONS(2299),
    [anon_sym___leave] = ACTIONS(2299),
    [anon_sym_not] = ACTIONS(2299),
    [anon_sym_compl] = ACTIONS(2299),
    [anon_sym_DASH_DASH] = ACTIONS(2301),
    [anon_sym_PLUS_PLUS] = ACTIONS(2301),
    [anon_sym_sizeof] = ACTIONS(2299),
    [anon_sym___alignof__] = ACTIONS(2299),
    [anon_sym___alignof] = ACTIONS(2299),
    [anon_sym__alignof] = ACTIONS(2299),
    [anon_sym_alignof] = ACTIONS(2299),
    [anon_sym__Alignof] = ACTIONS(2299),
    [anon_sym_offsetof] = ACTIONS(2299),
    [anon_sym__Generic] = ACTIONS(2299),
    [anon_sym_asm] = ACTIONS(2299),
    [anon_sym___asm__] = ACTIONS(2299),
    [sym_number_literal] = ACTIONS(2301),
    [anon_sym_L_SQUOTE] = ACTIONS(2301),
    [anon_sym_u_SQUOTE] = ACTIONS(2301),
    [anon_sym_U_SQUOTE] = ACTIONS(2301),
    [anon_sym_u8_SQUOTE] = ACTIONS(2301),
    [anon_sym_SQUOTE] = ACTIONS(2301),
    [anon_sym_L_DQUOTE] = ACTIONS(2301),
    [anon_sym_u_DQUOTE] = ACTIONS(2301),
    [anon_sym_U_DQUOTE] = ACTIONS(2301),
    [anon_sym_u8_DQUOTE] = ACTIONS(2301),
    [anon_sym_DQUOTE] = ACTIONS(2301),
    [sym_true] = ACTIONS(2299),
    [sym_false] = ACTIONS(2299),
    [anon_sym_NULL] = ACTIONS(2299),
    [anon_sym_nullptr] = ACTIONS(2299),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2299),
    [anon_sym_decltype] = ACTIONS(2299),
    [anon_sym_virtual] = ACTIONS(2299),
    [anon_sym_alignas] = ACTIONS(2299),
    [anon_sym_explicit] = ACTIONS(2299),
    [anon_sym_typename] = ACTIONS(2299),
    [anon_sym_template] = ACTIONS(2299),
    [anon_sym_operator] = ACTIONS(2299),
    [anon_sym_try] = ACTIONS(2299),
    [anon_sym_delete] = ACTIONS(2299),
    [anon_sym_throw] = ACTIONS(2299),
    [anon_sym_namespace] = ACTIONS(2299),
    [anon_sym_using] = ACTIONS(2299),
    [anon_sym_static_assert] = ACTIONS(2299),
    [anon_sym_concept] = ACTIONS(2299),
    [anon_sym_co_return] = ACTIONS(2299),
    [anon_sym_co_yield] = ACTIONS(2299),
    [anon_sym_R_DQUOTE] = ACTIONS(2301),
    [anon_sym_LR_DQUOTE] = ACTIONS(2301),
    [anon_sym_uR_DQUOTE] = ACTIONS(2301),
    [anon_sym_UR_DQUOTE] = ACTIONS(2301),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2301),
    [anon_sym_co_await] = ACTIONS(2299),
    [anon_sym_new] = ACTIONS(2299),
    [anon_sym_requires] = ACTIONS(2299),
    [sym_this] = ACTIONS(2299),
    [anon_sym_discard] = ACTIONS(2299),
    [anon_sym_precise] = ACTIONS(2299),
    [anon_sym_shared] = ACTIONS(2299),
    [anon_sym_groupshared] = ACTIONS(2299),
    [anon_sym_uniform] = ACTIONS(2299),
    [anon_sym_row_major] = ACTIONS(2299),
    [anon_sym_column_major] = ACTIONS(2299),
    [anon_sym_globallycoherent] = ACTIONS(2299),
    [anon_sym_centroid] = ACTIONS(2299),
    [anon_sym_noperspective] = ACTIONS(2299),
    [anon_sym_nointerpolation] = ACTIONS(2299),
    [anon_sym_sample] = ACTIONS(2299),
    [anon_sym_linear] = ACTIONS(2299),
    [anon_sym_snorm] = ACTIONS(2299),
    [anon_sym_unorm] = ACTIONS(2299),
    [anon_sym_point] = ACTIONS(2299),
    [anon_sym_line] = ACTIONS(2299),
    [anon_sym_triangleadj] = ACTIONS(2299),
    [anon_sym_lineadj] = ACTIONS(2299),
    [anon_sym_triangle] = ACTIONS(2299),
    [anon_sym_cbuffer] = ACTIONS(2299),
  },
  [676] = {
    [sym_identifier] = ACTIONS(2681),
    [aux_sym_preproc_include_token1] = ACTIONS(2681),
    [aux_sym_preproc_def_token1] = ACTIONS(2681),
    [aux_sym_preproc_if_token1] = ACTIONS(2681),
    [aux_sym_preproc_if_token2] = ACTIONS(2681),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2681),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2681),
    [aux_sym_preproc_else_token1] = ACTIONS(2681),
    [aux_sym_preproc_elif_token1] = ACTIONS(2681),
    [sym_preproc_directive] = ACTIONS(2681),
    [anon_sym_LPAREN2] = ACTIONS(2683),
    [anon_sym_BANG] = ACTIONS(2683),
    [anon_sym_TILDE] = ACTIONS(2683),
    [anon_sym_DASH] = ACTIONS(2681),
    [anon_sym_PLUS] = ACTIONS(2681),
    [anon_sym_STAR] = ACTIONS(2683),
    [anon_sym_AMP_AMP] = ACTIONS(2683),
    [anon_sym_AMP] = ACTIONS(2681),
    [anon_sym_SEMI] = ACTIONS(2683),
    [anon_sym___extension__] = ACTIONS(2681),
    [anon_sym_typedef] = ACTIONS(2681),
    [anon_sym_in] = ACTIONS(2681),
    [anon_sym_out] = ACTIONS(2681),
    [anon_sym_inout] = ACTIONS(2681),
    [anon_sym_extern] = ACTIONS(2681),
    [anon_sym___attribute__] = ACTIONS(2681),
    [anon_sym_COLON_COLON] = ACTIONS(2683),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2683),
    [anon_sym___declspec] = ACTIONS(2681),
    [anon_sym___based] = ACTIONS(2681),
    [anon_sym___cdecl] = ACTIONS(2681),
    [anon_sym___clrcall] = ACTIONS(2681),
    [anon_sym___stdcall] = ACTIONS(2681),
    [anon_sym___fastcall] = ACTIONS(2681),
    [anon_sym___thiscall] = ACTIONS(2681),
    [anon_sym___vectorcall] = ACTIONS(2681),
    [anon_sym_LBRACE] = ACTIONS(2683),
    [anon_sym_signed] = ACTIONS(2681),
    [anon_sym_unsigned] = ACTIONS(2681),
    [anon_sym_long] = ACTIONS(2681),
    [anon_sym_short] = ACTIONS(2681),
    [anon_sym_LBRACK] = ACTIONS(2681),
    [anon_sym_static] = ACTIONS(2681),
    [anon_sym_register] = ACTIONS(2681),
    [anon_sym_inline] = ACTIONS(2681),
    [anon_sym___inline] = ACTIONS(2681),
    [anon_sym___inline__] = ACTIONS(2681),
    [anon_sym___forceinline] = ACTIONS(2681),
    [anon_sym_thread_local] = ACTIONS(2681),
    [anon_sym___thread] = ACTIONS(2681),
    [anon_sym_const] = ACTIONS(2681),
    [anon_sym_constexpr] = ACTIONS(2681),
    [anon_sym_volatile] = ACTIONS(2681),
    [anon_sym_restrict] = ACTIONS(2681),
    [anon_sym___restrict__] = ACTIONS(2681),
    [anon_sym__Atomic] = ACTIONS(2681),
    [anon_sym__Noreturn] = ACTIONS(2681),
    [anon_sym_noreturn] = ACTIONS(2681),
    [anon_sym_mutable] = ACTIONS(2681),
    [anon_sym_constinit] = ACTIONS(2681),
    [anon_sym_consteval] = ACTIONS(2681),
    [sym_primitive_type] = ACTIONS(2681),
    [anon_sym_enum] = ACTIONS(2681),
    [anon_sym_class] = ACTIONS(2681),
    [anon_sym_struct] = ACTIONS(2681),
    [anon_sym_union] = ACTIONS(2681),
    [anon_sym_if] = ACTIONS(2681),
    [anon_sym_switch] = ACTIONS(2681),
    [anon_sym_case] = ACTIONS(2681),
    [anon_sym_default] = ACTIONS(2681),
    [anon_sym_while] = ACTIONS(2681),
    [anon_sym_do] = ACTIONS(2681),
    [anon_sym_for] = ACTIONS(2681),
    [anon_sym_return] = ACTIONS(2681),
    [anon_sym_break] = ACTIONS(2681),
    [anon_sym_continue] = ACTIONS(2681),
    [anon_sym_goto] = ACTIONS(2681),
    [anon_sym___try] = ACTIONS(2681),
    [anon_sym___leave] = ACTIONS(2681),
    [anon_sym_not] = ACTIONS(2681),
    [anon_sym_compl] = ACTIONS(2681),
    [anon_sym_DASH_DASH] = ACTIONS(2683),
    [anon_sym_PLUS_PLUS] = ACTIONS(2683),
    [anon_sym_sizeof] = ACTIONS(2681),
    [anon_sym___alignof__] = ACTIONS(2681),
    [anon_sym___alignof] = ACTIONS(2681),
    [anon_sym__alignof] = ACTIONS(2681),
    [anon_sym_alignof] = ACTIONS(2681),
    [anon_sym__Alignof] = ACTIONS(2681),
    [anon_sym_offsetof] = ACTIONS(2681),
    [anon_sym__Generic] = ACTIONS(2681),
    [anon_sym_asm] = ACTIONS(2681),
    [anon_sym___asm__] = ACTIONS(2681),
    [sym_number_literal] = ACTIONS(2683),
    [anon_sym_L_SQUOTE] = ACTIONS(2683),
    [anon_sym_u_SQUOTE] = ACTIONS(2683),
    [anon_sym_U_SQUOTE] = ACTIONS(2683),
    [anon_sym_u8_SQUOTE] = ACTIONS(2683),
    [anon_sym_SQUOTE] = ACTIONS(2683),
    [anon_sym_L_DQUOTE] = ACTIONS(2683),
    [anon_sym_u_DQUOTE] = ACTIONS(2683),
    [anon_sym_U_DQUOTE] = ACTIONS(2683),
    [anon_sym_u8_DQUOTE] = ACTIONS(2683),
    [anon_sym_DQUOTE] = ACTIONS(2683),
    [sym_true] = ACTIONS(2681),
    [sym_false] = ACTIONS(2681),
    [anon_sym_NULL] = ACTIONS(2681),
    [anon_sym_nullptr] = ACTIONS(2681),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2681),
    [anon_sym_decltype] = ACTIONS(2681),
    [anon_sym_virtual] = ACTIONS(2681),
    [anon_sym_alignas] = ACTIONS(2681),
    [anon_sym_explicit] = ACTIONS(2681),
    [anon_sym_typename] = ACTIONS(2681),
    [anon_sym_template] = ACTIONS(2681),
    [anon_sym_operator] = ACTIONS(2681),
    [anon_sym_try] = ACTIONS(2681),
    [anon_sym_delete] = ACTIONS(2681),
    [anon_sym_throw] = ACTIONS(2681),
    [anon_sym_namespace] = ACTIONS(2681),
    [anon_sym_using] = ACTIONS(2681),
    [anon_sym_static_assert] = ACTIONS(2681),
    [anon_sym_concept] = ACTIONS(2681),
    [anon_sym_co_return] = ACTIONS(2681),
    [anon_sym_co_yield] = ACTIONS(2681),
    [anon_sym_R_DQUOTE] = ACTIONS(2683),
    [anon_sym_LR_DQUOTE] = ACTIONS(2683),
    [anon_sym_uR_DQUOTE] = ACTIONS(2683),
    [anon_sym_UR_DQUOTE] = ACTIONS(2683),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2683),
    [anon_sym_co_await] = ACTIONS(2681),
    [anon_sym_new] = ACTIONS(2681),
    [anon_sym_requires] = ACTIONS(2681),
    [sym_this] = ACTIONS(2681),
    [anon_sym_discard] = ACTIONS(2681),
    [anon_sym_precise] = ACTIONS(2681),
    [anon_sym_shared] = ACTIONS(2681),
    [anon_sym_groupshared] = ACTIONS(2681),
    [anon_sym_uniform] = ACTIONS(2681),
    [anon_sym_row_major] = ACTIONS(2681),
    [anon_sym_column_major] = ACTIONS(2681),
    [anon_sym_globallycoherent] = ACTIONS(2681),
    [anon_sym_centroid] = ACTIONS(2681),
    [anon_sym_noperspective] = ACTIONS(2681),
    [anon_sym_nointerpolation] = ACTIONS(2681),
    [anon_sym_sample] = ACTIONS(2681),
    [anon_sym_linear] = ACTIONS(2681),
    [anon_sym_snorm] = ACTIONS(2681),
    [anon_sym_unorm] = ACTIONS(2681),
    [anon_sym_point] = ACTIONS(2681),
    [anon_sym_line] = ACTIONS(2681),
    [anon_sym_triangleadj] = ACTIONS(2681),
    [anon_sym_lineadj] = ACTIONS(2681),
    [anon_sym_triangle] = ACTIONS(2681),
    [anon_sym_cbuffer] = ACTIONS(2681),
  },
  [677] = {
    [sym_identifier] = ACTIONS(2694),
    [aux_sym_preproc_include_token1] = ACTIONS(2694),
    [aux_sym_preproc_def_token1] = ACTIONS(2694),
    [aux_sym_preproc_if_token1] = ACTIONS(2694),
    [aux_sym_preproc_if_token2] = ACTIONS(2694),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2694),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2694),
    [aux_sym_preproc_else_token1] = ACTIONS(2694),
    [aux_sym_preproc_elif_token1] = ACTIONS(2694),
    [sym_preproc_directive] = ACTIONS(2694),
    [anon_sym_LPAREN2] = ACTIONS(2696),
    [anon_sym_BANG] = ACTIONS(2696),
    [anon_sym_TILDE] = ACTIONS(2696),
    [anon_sym_DASH] = ACTIONS(2694),
    [anon_sym_PLUS] = ACTIONS(2694),
    [anon_sym_STAR] = ACTIONS(2696),
    [anon_sym_AMP_AMP] = ACTIONS(2696),
    [anon_sym_AMP] = ACTIONS(2694),
    [anon_sym_SEMI] = ACTIONS(2696),
    [anon_sym___extension__] = ACTIONS(2694),
    [anon_sym_typedef] = ACTIONS(2694),
    [anon_sym_in] = ACTIONS(2694),
    [anon_sym_out] = ACTIONS(2694),
    [anon_sym_inout] = ACTIONS(2694),
    [anon_sym_extern] = ACTIONS(2694),
    [anon_sym___attribute__] = ACTIONS(2694),
    [anon_sym_COLON_COLON] = ACTIONS(2696),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2696),
    [anon_sym___declspec] = ACTIONS(2694),
    [anon_sym___based] = ACTIONS(2694),
    [anon_sym___cdecl] = ACTIONS(2694),
    [anon_sym___clrcall] = ACTIONS(2694),
    [anon_sym___stdcall] = ACTIONS(2694),
    [anon_sym___fastcall] = ACTIONS(2694),
    [anon_sym___thiscall] = ACTIONS(2694),
    [anon_sym___vectorcall] = ACTIONS(2694),
    [anon_sym_LBRACE] = ACTIONS(2696),
    [anon_sym_signed] = ACTIONS(2694),
    [anon_sym_unsigned] = ACTIONS(2694),
    [anon_sym_long] = ACTIONS(2694),
    [anon_sym_short] = ACTIONS(2694),
    [anon_sym_LBRACK] = ACTIONS(2694),
    [anon_sym_static] = ACTIONS(2694),
    [anon_sym_register] = ACTIONS(2694),
    [anon_sym_inline] = ACTIONS(2694),
    [anon_sym___inline] = ACTIONS(2694),
    [anon_sym___inline__] = ACTIONS(2694),
    [anon_sym___forceinline] = ACTIONS(2694),
    [anon_sym_thread_local] = ACTIONS(2694),
    [anon_sym___thread] = ACTIONS(2694),
    [anon_sym_const] = ACTIONS(2694),
    [anon_sym_constexpr] = ACTIONS(2694),
    [anon_sym_volatile] = ACTIONS(2694),
    [anon_sym_restrict] = ACTIONS(2694),
    [anon_sym___restrict__] = ACTIONS(2694),
    [anon_sym__Atomic] = ACTIONS(2694),
    [anon_sym__Noreturn] = ACTIONS(2694),
    [anon_sym_noreturn] = ACTIONS(2694),
    [anon_sym_mutable] = ACTIONS(2694),
    [anon_sym_constinit] = ACTIONS(2694),
    [anon_sym_consteval] = ACTIONS(2694),
    [sym_primitive_type] = ACTIONS(2694),
    [anon_sym_enum] = ACTIONS(2694),
    [anon_sym_class] = ACTIONS(2694),
    [anon_sym_struct] = ACTIONS(2694),
    [anon_sym_union] = ACTIONS(2694),
    [anon_sym_if] = ACTIONS(2694),
    [anon_sym_switch] = ACTIONS(2694),
    [anon_sym_case] = ACTIONS(2694),
    [anon_sym_default] = ACTIONS(2694),
    [anon_sym_while] = ACTIONS(2694),
    [anon_sym_do] = ACTIONS(2694),
    [anon_sym_for] = ACTIONS(2694),
    [anon_sym_return] = ACTIONS(2694),
    [anon_sym_break] = ACTIONS(2694),
    [anon_sym_continue] = ACTIONS(2694),
    [anon_sym_goto] = ACTIONS(2694),
    [anon_sym___try] = ACTIONS(2694),
    [anon_sym___leave] = ACTIONS(2694),
    [anon_sym_not] = ACTIONS(2694),
    [anon_sym_compl] = ACTIONS(2694),
    [anon_sym_DASH_DASH] = ACTIONS(2696),
    [anon_sym_PLUS_PLUS] = ACTIONS(2696),
    [anon_sym_sizeof] = ACTIONS(2694),
    [anon_sym___alignof__] = ACTIONS(2694),
    [anon_sym___alignof] = ACTIONS(2694),
    [anon_sym__alignof] = ACTIONS(2694),
    [anon_sym_alignof] = ACTIONS(2694),
    [anon_sym__Alignof] = ACTIONS(2694),
    [anon_sym_offsetof] = ACTIONS(2694),
    [anon_sym__Generic] = ACTIONS(2694),
    [anon_sym_asm] = ACTIONS(2694),
    [anon_sym___asm__] = ACTIONS(2694),
    [sym_number_literal] = ACTIONS(2696),
    [anon_sym_L_SQUOTE] = ACTIONS(2696),
    [anon_sym_u_SQUOTE] = ACTIONS(2696),
    [anon_sym_U_SQUOTE] = ACTIONS(2696),
    [anon_sym_u8_SQUOTE] = ACTIONS(2696),
    [anon_sym_SQUOTE] = ACTIONS(2696),
    [anon_sym_L_DQUOTE] = ACTIONS(2696),
    [anon_sym_u_DQUOTE] = ACTIONS(2696),
    [anon_sym_U_DQUOTE] = ACTIONS(2696),
    [anon_sym_u8_DQUOTE] = ACTIONS(2696),
    [anon_sym_DQUOTE] = ACTIONS(2696),
    [sym_true] = ACTIONS(2694),
    [sym_false] = ACTIONS(2694),
    [anon_sym_NULL] = ACTIONS(2694),
    [anon_sym_nullptr] = ACTIONS(2694),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2694),
    [anon_sym_decltype] = ACTIONS(2694),
    [anon_sym_virtual] = ACTIONS(2694),
    [anon_sym_alignas] = ACTIONS(2694),
    [anon_sym_explicit] = ACTIONS(2694),
    [anon_sym_typename] = ACTIONS(2694),
    [anon_sym_template] = ACTIONS(2694),
    [anon_sym_operator] = ACTIONS(2694),
    [anon_sym_try] = ACTIONS(2694),
    [anon_sym_delete] = ACTIONS(2694),
    [anon_sym_throw] = ACTIONS(2694),
    [anon_sym_namespace] = ACTIONS(2694),
    [anon_sym_using] = ACTIONS(2694),
    [anon_sym_static_assert] = ACTIONS(2694),
    [anon_sym_concept] = ACTIONS(2694),
    [anon_sym_co_return] = ACTIONS(2694),
    [anon_sym_co_yield] = ACTIONS(2694),
    [anon_sym_R_DQUOTE] = ACTIONS(2696),
    [anon_sym_LR_DQUOTE] = ACTIONS(2696),
    [anon_sym_uR_DQUOTE] = ACTIONS(2696),
    [anon_sym_UR_DQUOTE] = ACTIONS(2696),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2696),
    [anon_sym_co_await] = ACTIONS(2694),
    [anon_sym_new] = ACTIONS(2694),
    [anon_sym_requires] = ACTIONS(2694),
    [sym_this] = ACTIONS(2694),
    [anon_sym_discard] = ACTIONS(2694),
    [anon_sym_precise] = ACTIONS(2694),
    [anon_sym_shared] = ACTIONS(2694),
    [anon_sym_groupshared] = ACTIONS(2694),
    [anon_sym_uniform] = ACTIONS(2694),
    [anon_sym_row_major] = ACTIONS(2694),
    [anon_sym_column_major] = ACTIONS(2694),
    [anon_sym_globallycoherent] = ACTIONS(2694),
    [anon_sym_centroid] = ACTIONS(2694),
    [anon_sym_noperspective] = ACTIONS(2694),
    [anon_sym_nointerpolation] = ACTIONS(2694),
    [anon_sym_sample] = ACTIONS(2694),
    [anon_sym_linear] = ACTIONS(2694),
    [anon_sym_snorm] = ACTIONS(2694),
    [anon_sym_unorm] = ACTIONS(2694),
    [anon_sym_point] = ACTIONS(2694),
    [anon_sym_line] = ACTIONS(2694),
    [anon_sym_triangleadj] = ACTIONS(2694),
    [anon_sym_lineadj] = ACTIONS(2694),
    [anon_sym_triangle] = ACTIONS(2694),
    [anon_sym_cbuffer] = ACTIONS(2694),
  },
  [678] = {
    [sym_identifier] = ACTIONS(2625),
    [aux_sym_preproc_include_token1] = ACTIONS(2625),
    [aux_sym_preproc_def_token1] = ACTIONS(2625),
    [aux_sym_preproc_if_token1] = ACTIONS(2625),
    [aux_sym_preproc_if_token2] = ACTIONS(2625),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2625),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2625),
    [aux_sym_preproc_else_token1] = ACTIONS(2625),
    [aux_sym_preproc_elif_token1] = ACTIONS(2625),
    [sym_preproc_directive] = ACTIONS(2625),
    [anon_sym_LPAREN2] = ACTIONS(2627),
    [anon_sym_BANG] = ACTIONS(2627),
    [anon_sym_TILDE] = ACTIONS(2627),
    [anon_sym_DASH] = ACTIONS(2625),
    [anon_sym_PLUS] = ACTIONS(2625),
    [anon_sym_STAR] = ACTIONS(2627),
    [anon_sym_AMP_AMP] = ACTIONS(2627),
    [anon_sym_AMP] = ACTIONS(2625),
    [anon_sym_SEMI] = ACTIONS(2627),
    [anon_sym___extension__] = ACTIONS(2625),
    [anon_sym_typedef] = ACTIONS(2625),
    [anon_sym_in] = ACTIONS(2625),
    [anon_sym_out] = ACTIONS(2625),
    [anon_sym_inout] = ACTIONS(2625),
    [anon_sym_extern] = ACTIONS(2625),
    [anon_sym___attribute__] = ACTIONS(2625),
    [anon_sym_COLON_COLON] = ACTIONS(2627),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2627),
    [anon_sym___declspec] = ACTIONS(2625),
    [anon_sym___based] = ACTIONS(2625),
    [anon_sym___cdecl] = ACTIONS(2625),
    [anon_sym___clrcall] = ACTIONS(2625),
    [anon_sym___stdcall] = ACTIONS(2625),
    [anon_sym___fastcall] = ACTIONS(2625),
    [anon_sym___thiscall] = ACTIONS(2625),
    [anon_sym___vectorcall] = ACTIONS(2625),
    [anon_sym_LBRACE] = ACTIONS(2627),
    [anon_sym_signed] = ACTIONS(2625),
    [anon_sym_unsigned] = ACTIONS(2625),
    [anon_sym_long] = ACTIONS(2625),
    [anon_sym_short] = ACTIONS(2625),
    [anon_sym_LBRACK] = ACTIONS(2625),
    [anon_sym_static] = ACTIONS(2625),
    [anon_sym_register] = ACTIONS(2625),
    [anon_sym_inline] = ACTIONS(2625),
    [anon_sym___inline] = ACTIONS(2625),
    [anon_sym___inline__] = ACTIONS(2625),
    [anon_sym___forceinline] = ACTIONS(2625),
    [anon_sym_thread_local] = ACTIONS(2625),
    [anon_sym___thread] = ACTIONS(2625),
    [anon_sym_const] = ACTIONS(2625),
    [anon_sym_constexpr] = ACTIONS(2625),
    [anon_sym_volatile] = ACTIONS(2625),
    [anon_sym_restrict] = ACTIONS(2625),
    [anon_sym___restrict__] = ACTIONS(2625),
    [anon_sym__Atomic] = ACTIONS(2625),
    [anon_sym__Noreturn] = ACTIONS(2625),
    [anon_sym_noreturn] = ACTIONS(2625),
    [anon_sym_mutable] = ACTIONS(2625),
    [anon_sym_constinit] = ACTIONS(2625),
    [anon_sym_consteval] = ACTIONS(2625),
    [sym_primitive_type] = ACTIONS(2625),
    [anon_sym_enum] = ACTIONS(2625),
    [anon_sym_class] = ACTIONS(2625),
    [anon_sym_struct] = ACTIONS(2625),
    [anon_sym_union] = ACTIONS(2625),
    [anon_sym_if] = ACTIONS(2625),
    [anon_sym_switch] = ACTIONS(2625),
    [anon_sym_case] = ACTIONS(2625),
    [anon_sym_default] = ACTIONS(2625),
    [anon_sym_while] = ACTIONS(2625),
    [anon_sym_do] = ACTIONS(2625),
    [anon_sym_for] = ACTIONS(2625),
    [anon_sym_return] = ACTIONS(2625),
    [anon_sym_break] = ACTIONS(2625),
    [anon_sym_continue] = ACTIONS(2625),
    [anon_sym_goto] = ACTIONS(2625),
    [anon_sym___try] = ACTIONS(2625),
    [anon_sym___leave] = ACTIONS(2625),
    [anon_sym_not] = ACTIONS(2625),
    [anon_sym_compl] = ACTIONS(2625),
    [anon_sym_DASH_DASH] = ACTIONS(2627),
    [anon_sym_PLUS_PLUS] = ACTIONS(2627),
    [anon_sym_sizeof] = ACTIONS(2625),
    [anon_sym___alignof__] = ACTIONS(2625),
    [anon_sym___alignof] = ACTIONS(2625),
    [anon_sym__alignof] = ACTIONS(2625),
    [anon_sym_alignof] = ACTIONS(2625),
    [anon_sym__Alignof] = ACTIONS(2625),
    [anon_sym_offsetof] = ACTIONS(2625),
    [anon_sym__Generic] = ACTIONS(2625),
    [anon_sym_asm] = ACTIONS(2625),
    [anon_sym___asm__] = ACTIONS(2625),
    [sym_number_literal] = ACTIONS(2627),
    [anon_sym_L_SQUOTE] = ACTIONS(2627),
    [anon_sym_u_SQUOTE] = ACTIONS(2627),
    [anon_sym_U_SQUOTE] = ACTIONS(2627),
    [anon_sym_u8_SQUOTE] = ACTIONS(2627),
    [anon_sym_SQUOTE] = ACTIONS(2627),
    [anon_sym_L_DQUOTE] = ACTIONS(2627),
    [anon_sym_u_DQUOTE] = ACTIONS(2627),
    [anon_sym_U_DQUOTE] = ACTIONS(2627),
    [anon_sym_u8_DQUOTE] = ACTIONS(2627),
    [anon_sym_DQUOTE] = ACTIONS(2627),
    [sym_true] = ACTIONS(2625),
    [sym_false] = ACTIONS(2625),
    [anon_sym_NULL] = ACTIONS(2625),
    [anon_sym_nullptr] = ACTIONS(2625),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2625),
    [anon_sym_decltype] = ACTIONS(2625),
    [anon_sym_virtual] = ACTIONS(2625),
    [anon_sym_alignas] = ACTIONS(2625),
    [anon_sym_explicit] = ACTIONS(2625),
    [anon_sym_typename] = ACTIONS(2625),
    [anon_sym_template] = ACTIONS(2625),
    [anon_sym_operator] = ACTIONS(2625),
    [anon_sym_try] = ACTIONS(2625),
    [anon_sym_delete] = ACTIONS(2625),
    [anon_sym_throw] = ACTIONS(2625),
    [anon_sym_namespace] = ACTIONS(2625),
    [anon_sym_using] = ACTIONS(2625),
    [anon_sym_static_assert] = ACTIONS(2625),
    [anon_sym_concept] = ACTIONS(2625),
    [anon_sym_co_return] = ACTIONS(2625),
    [anon_sym_co_yield] = ACTIONS(2625),
    [anon_sym_R_DQUOTE] = ACTIONS(2627),
    [anon_sym_LR_DQUOTE] = ACTIONS(2627),
    [anon_sym_uR_DQUOTE] = ACTIONS(2627),
    [anon_sym_UR_DQUOTE] = ACTIONS(2627),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2627),
    [anon_sym_co_await] = ACTIONS(2625),
    [anon_sym_new] = ACTIONS(2625),
    [anon_sym_requires] = ACTIONS(2625),
    [sym_this] = ACTIONS(2625),
    [anon_sym_discard] = ACTIONS(2625),
    [anon_sym_precise] = ACTIONS(2625),
    [anon_sym_shared] = ACTIONS(2625),
    [anon_sym_groupshared] = ACTIONS(2625),
    [anon_sym_uniform] = ACTIONS(2625),
    [anon_sym_row_major] = ACTIONS(2625),
    [anon_sym_column_major] = ACTIONS(2625),
    [anon_sym_globallycoherent] = ACTIONS(2625),
    [anon_sym_centroid] = ACTIONS(2625),
    [anon_sym_noperspective] = ACTIONS(2625),
    [anon_sym_nointerpolation] = ACTIONS(2625),
    [anon_sym_sample] = ACTIONS(2625),
    [anon_sym_linear] = ACTIONS(2625),
    [anon_sym_snorm] = ACTIONS(2625),
    [anon_sym_unorm] = ACTIONS(2625),
    [anon_sym_point] = ACTIONS(2625),
    [anon_sym_line] = ACTIONS(2625),
    [anon_sym_triangleadj] = ACTIONS(2625),
    [anon_sym_lineadj] = ACTIONS(2625),
    [anon_sym_triangle] = ACTIONS(2625),
    [anon_sym_cbuffer] = ACTIONS(2625),
  },
  [679] = {
    [sym_else_clause] = STATE(833),
    [sym_identifier] = ACTIONS(2299),
    [aux_sym_preproc_include_token1] = ACTIONS(2299),
    [aux_sym_preproc_def_token1] = ACTIONS(2299),
    [aux_sym_preproc_if_token1] = ACTIONS(2299),
    [aux_sym_preproc_if_token2] = ACTIONS(2299),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2299),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2299),
    [sym_preproc_directive] = ACTIONS(2299),
    [anon_sym_LPAREN2] = ACTIONS(2301),
    [anon_sym_BANG] = ACTIONS(2301),
    [anon_sym_TILDE] = ACTIONS(2301),
    [anon_sym_DASH] = ACTIONS(2299),
    [anon_sym_PLUS] = ACTIONS(2299),
    [anon_sym_STAR] = ACTIONS(2301),
    [anon_sym_AMP_AMP] = ACTIONS(2301),
    [anon_sym_AMP] = ACTIONS(2299),
    [anon_sym_SEMI] = ACTIONS(2301),
    [anon_sym___extension__] = ACTIONS(2299),
    [anon_sym_typedef] = ACTIONS(2299),
    [anon_sym_in] = ACTIONS(2299),
    [anon_sym_out] = ACTIONS(2299),
    [anon_sym_inout] = ACTIONS(2299),
    [anon_sym_extern] = ACTIONS(2299),
    [anon_sym___attribute__] = ACTIONS(2299),
    [anon_sym_COLON_COLON] = ACTIONS(2301),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2301),
    [anon_sym___declspec] = ACTIONS(2299),
    [anon_sym___based] = ACTIONS(2299),
    [anon_sym___cdecl] = ACTIONS(2299),
    [anon_sym___clrcall] = ACTIONS(2299),
    [anon_sym___stdcall] = ACTIONS(2299),
    [anon_sym___fastcall] = ACTIONS(2299),
    [anon_sym___thiscall] = ACTIONS(2299),
    [anon_sym___vectorcall] = ACTIONS(2299),
    [anon_sym_LBRACE] = ACTIONS(2301),
    [anon_sym_signed] = ACTIONS(2299),
    [anon_sym_unsigned] = ACTIONS(2299),
    [anon_sym_long] = ACTIONS(2299),
    [anon_sym_short] = ACTIONS(2299),
    [anon_sym_LBRACK] = ACTIONS(2299),
    [anon_sym_static] = ACTIONS(2299),
    [anon_sym_register] = ACTIONS(2299),
    [anon_sym_inline] = ACTIONS(2299),
    [anon_sym___inline] = ACTIONS(2299),
    [anon_sym___inline__] = ACTIONS(2299),
    [anon_sym___forceinline] = ACTIONS(2299),
    [anon_sym_thread_local] = ACTIONS(2299),
    [anon_sym___thread] = ACTIONS(2299),
    [anon_sym_const] = ACTIONS(2299),
    [anon_sym_constexpr] = ACTIONS(2299),
    [anon_sym_volatile] = ACTIONS(2299),
    [anon_sym_restrict] = ACTIONS(2299),
    [anon_sym___restrict__] = ACTIONS(2299),
    [anon_sym__Atomic] = ACTIONS(2299),
    [anon_sym__Noreturn] = ACTIONS(2299),
    [anon_sym_noreturn] = ACTIONS(2299),
    [anon_sym_mutable] = ACTIONS(2299),
    [anon_sym_constinit] = ACTIONS(2299),
    [anon_sym_consteval] = ACTIONS(2299),
    [sym_primitive_type] = ACTIONS(2299),
    [anon_sym_enum] = ACTIONS(2299),
    [anon_sym_class] = ACTIONS(2299),
    [anon_sym_struct] = ACTIONS(2299),
    [anon_sym_union] = ACTIONS(2299),
    [anon_sym_if] = ACTIONS(2299),
    [anon_sym_else] = ACTIONS(2984),
    [anon_sym_switch] = ACTIONS(2299),
    [anon_sym_case] = ACTIONS(2299),
    [anon_sym_default] = ACTIONS(2299),
    [anon_sym_while] = ACTIONS(2299),
    [anon_sym_do] = ACTIONS(2299),
    [anon_sym_for] = ACTIONS(2299),
    [anon_sym_return] = ACTIONS(2299),
    [anon_sym_break] = ACTIONS(2299),
    [anon_sym_continue] = ACTIONS(2299),
    [anon_sym_goto] = ACTIONS(2299),
    [anon_sym___try] = ACTIONS(2299),
    [anon_sym___leave] = ACTIONS(2299),
    [anon_sym_not] = ACTIONS(2299),
    [anon_sym_compl] = ACTIONS(2299),
    [anon_sym_DASH_DASH] = ACTIONS(2301),
    [anon_sym_PLUS_PLUS] = ACTIONS(2301),
    [anon_sym_sizeof] = ACTIONS(2299),
    [anon_sym___alignof__] = ACTIONS(2299),
    [anon_sym___alignof] = ACTIONS(2299),
    [anon_sym__alignof] = ACTIONS(2299),
    [anon_sym_alignof] = ACTIONS(2299),
    [anon_sym__Alignof] = ACTIONS(2299),
    [anon_sym_offsetof] = ACTIONS(2299),
    [anon_sym__Generic] = ACTIONS(2299),
    [anon_sym_asm] = ACTIONS(2299),
    [anon_sym___asm__] = ACTIONS(2299),
    [sym_number_literal] = ACTIONS(2301),
    [anon_sym_L_SQUOTE] = ACTIONS(2301),
    [anon_sym_u_SQUOTE] = ACTIONS(2301),
    [anon_sym_U_SQUOTE] = ACTIONS(2301),
    [anon_sym_u8_SQUOTE] = ACTIONS(2301),
    [anon_sym_SQUOTE] = ACTIONS(2301),
    [anon_sym_L_DQUOTE] = ACTIONS(2301),
    [anon_sym_u_DQUOTE] = ACTIONS(2301),
    [anon_sym_U_DQUOTE] = ACTIONS(2301),
    [anon_sym_u8_DQUOTE] = ACTIONS(2301),
    [anon_sym_DQUOTE] = ACTIONS(2301),
    [sym_true] = ACTIONS(2299),
    [sym_false] = ACTIONS(2299),
    [anon_sym_NULL] = ACTIONS(2299),
    [anon_sym_nullptr] = ACTIONS(2299),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2299),
    [anon_sym_decltype] = ACTIONS(2299),
    [anon_sym_virtual] = ACTIONS(2299),
    [anon_sym_alignas] = ACTIONS(2299),
    [anon_sym_explicit] = ACTIONS(2299),
    [anon_sym_typename] = ACTIONS(2299),
    [anon_sym_template] = ACTIONS(2299),
    [anon_sym_operator] = ACTIONS(2299),
    [anon_sym_try] = ACTIONS(2299),
    [anon_sym_delete] = ACTIONS(2299),
    [anon_sym_throw] = ACTIONS(2299),
    [anon_sym_namespace] = ACTIONS(2299),
    [anon_sym_using] = ACTIONS(2299),
    [anon_sym_static_assert] = ACTIONS(2299),
    [anon_sym_concept] = ACTIONS(2299),
    [anon_sym_co_return] = ACTIONS(2299),
    [anon_sym_co_yield] = ACTIONS(2299),
    [anon_sym_R_DQUOTE] = ACTIONS(2301),
    [anon_sym_LR_DQUOTE] = ACTIONS(2301),
    [anon_sym_uR_DQUOTE] = ACTIONS(2301),
    [anon_sym_UR_DQUOTE] = ACTIONS(2301),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2301),
    [anon_sym_co_await] = ACTIONS(2299),
    [anon_sym_new] = ACTIONS(2299),
    [anon_sym_requires] = ACTIONS(2299),
    [sym_this] = ACTIONS(2299),
    [anon_sym_discard] = ACTIONS(2299),
    [anon_sym_precise] = ACTIONS(2299),
    [anon_sym_shared] = ACTIONS(2299),
    [anon_sym_groupshared] = ACTIONS(2299),
    [anon_sym_uniform] = ACTIONS(2299),
    [anon_sym_row_major] = ACTIONS(2299),
    [anon_sym_column_major] = ACTIONS(2299),
    [anon_sym_globallycoherent] = ACTIONS(2299),
    [anon_sym_centroid] = ACTIONS(2299),
    [anon_sym_noperspective] = ACTIONS(2299),
    [anon_sym_nointerpolation] = ACTIONS(2299),
    [anon_sym_sample] = ACTIONS(2299),
    [anon_sym_linear] = ACTIONS(2299),
    [anon_sym_snorm] = ACTIONS(2299),
    [anon_sym_unorm] = ACTIONS(2299),
    [anon_sym_point] = ACTIONS(2299),
    [anon_sym_line] = ACTIONS(2299),
    [anon_sym_triangleadj] = ACTIONS(2299),
    [anon_sym_lineadj] = ACTIONS(2299),
    [anon_sym_triangle] = ACTIONS(2299),
    [anon_sym_cbuffer] = ACTIONS(2299),
  },
  [680] = {
    [sym_else_clause] = STATE(687),
    [sym_identifier] = ACTIONS(2291),
    [aux_sym_preproc_include_token1] = ACTIONS(2291),
    [aux_sym_preproc_def_token1] = ACTIONS(2291),
    [aux_sym_preproc_if_token1] = ACTIONS(2291),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2291),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2291),
    [sym_preproc_directive] = ACTIONS(2291),
    [anon_sym_LPAREN2] = ACTIONS(2293),
    [anon_sym_BANG] = ACTIONS(2293),
    [anon_sym_TILDE] = ACTIONS(2293),
    [anon_sym_DASH] = ACTIONS(2291),
    [anon_sym_PLUS] = ACTIONS(2291),
    [anon_sym_STAR] = ACTIONS(2293),
    [anon_sym_AMP_AMP] = ACTIONS(2293),
    [anon_sym_AMP] = ACTIONS(2291),
    [anon_sym_SEMI] = ACTIONS(2293),
    [anon_sym___extension__] = ACTIONS(2291),
    [anon_sym_typedef] = ACTIONS(2291),
    [anon_sym_in] = ACTIONS(2291),
    [anon_sym_out] = ACTIONS(2291),
    [anon_sym_inout] = ACTIONS(2291),
    [anon_sym_extern] = ACTIONS(2291),
    [anon_sym___attribute__] = ACTIONS(2291),
    [anon_sym_COLON_COLON] = ACTIONS(2293),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2293),
    [anon_sym___declspec] = ACTIONS(2291),
    [anon_sym___based] = ACTIONS(2291),
    [anon_sym___cdecl] = ACTIONS(2291),
    [anon_sym___clrcall] = ACTIONS(2291),
    [anon_sym___stdcall] = ACTIONS(2291),
    [anon_sym___fastcall] = ACTIONS(2291),
    [anon_sym___thiscall] = ACTIONS(2291),
    [anon_sym___vectorcall] = ACTIONS(2291),
    [anon_sym_LBRACE] = ACTIONS(2293),
    [anon_sym_RBRACE] = ACTIONS(2293),
    [anon_sym_signed] = ACTIONS(2291),
    [anon_sym_unsigned] = ACTIONS(2291),
    [anon_sym_long] = ACTIONS(2291),
    [anon_sym_short] = ACTIONS(2291),
    [anon_sym_LBRACK] = ACTIONS(2291),
    [anon_sym_static] = ACTIONS(2291),
    [anon_sym_register] = ACTIONS(2291),
    [anon_sym_inline] = ACTIONS(2291),
    [anon_sym___inline] = ACTIONS(2291),
    [anon_sym___inline__] = ACTIONS(2291),
    [anon_sym___forceinline] = ACTIONS(2291),
    [anon_sym_thread_local] = ACTIONS(2291),
    [anon_sym___thread] = ACTIONS(2291),
    [anon_sym_const] = ACTIONS(2291),
    [anon_sym_constexpr] = ACTIONS(2291),
    [anon_sym_volatile] = ACTIONS(2291),
    [anon_sym_restrict] = ACTIONS(2291),
    [anon_sym___restrict__] = ACTIONS(2291),
    [anon_sym__Atomic] = ACTIONS(2291),
    [anon_sym__Noreturn] = ACTIONS(2291),
    [anon_sym_noreturn] = ACTIONS(2291),
    [anon_sym_mutable] = ACTIONS(2291),
    [anon_sym_constinit] = ACTIONS(2291),
    [anon_sym_consteval] = ACTIONS(2291),
    [sym_primitive_type] = ACTIONS(2291),
    [anon_sym_enum] = ACTIONS(2291),
    [anon_sym_class] = ACTIONS(2291),
    [anon_sym_struct] = ACTIONS(2291),
    [anon_sym_union] = ACTIONS(2291),
    [anon_sym_if] = ACTIONS(2291),
    [anon_sym_else] = ACTIONS(2986),
    [anon_sym_switch] = ACTIONS(2291),
    [anon_sym_case] = ACTIONS(2291),
    [anon_sym_default] = ACTIONS(2291),
    [anon_sym_while] = ACTIONS(2291),
    [anon_sym_do] = ACTIONS(2291),
    [anon_sym_for] = ACTIONS(2291),
    [anon_sym_return] = ACTIONS(2291),
    [anon_sym_break] = ACTIONS(2291),
    [anon_sym_continue] = ACTIONS(2291),
    [anon_sym_goto] = ACTIONS(2291),
    [anon_sym___try] = ACTIONS(2291),
    [anon_sym___leave] = ACTIONS(2291),
    [anon_sym_not] = ACTIONS(2291),
    [anon_sym_compl] = ACTIONS(2291),
    [anon_sym_DASH_DASH] = ACTIONS(2293),
    [anon_sym_PLUS_PLUS] = ACTIONS(2293),
    [anon_sym_sizeof] = ACTIONS(2291),
    [anon_sym___alignof__] = ACTIONS(2291),
    [anon_sym___alignof] = ACTIONS(2291),
    [anon_sym__alignof] = ACTIONS(2291),
    [anon_sym_alignof] = ACTIONS(2291),
    [anon_sym__Alignof] = ACTIONS(2291),
    [anon_sym_offsetof] = ACTIONS(2291),
    [anon_sym__Generic] = ACTIONS(2291),
    [anon_sym_asm] = ACTIONS(2291),
    [anon_sym___asm__] = ACTIONS(2291),
    [sym_number_literal] = ACTIONS(2293),
    [anon_sym_L_SQUOTE] = ACTIONS(2293),
    [anon_sym_u_SQUOTE] = ACTIONS(2293),
    [anon_sym_U_SQUOTE] = ACTIONS(2293),
    [anon_sym_u8_SQUOTE] = ACTIONS(2293),
    [anon_sym_SQUOTE] = ACTIONS(2293),
    [anon_sym_L_DQUOTE] = ACTIONS(2293),
    [anon_sym_u_DQUOTE] = ACTIONS(2293),
    [anon_sym_U_DQUOTE] = ACTIONS(2293),
    [anon_sym_u8_DQUOTE] = ACTIONS(2293),
    [anon_sym_DQUOTE] = ACTIONS(2293),
    [sym_true] = ACTIONS(2291),
    [sym_false] = ACTIONS(2291),
    [anon_sym_NULL] = ACTIONS(2291),
    [anon_sym_nullptr] = ACTIONS(2291),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2291),
    [anon_sym_decltype] = ACTIONS(2291),
    [anon_sym_virtual] = ACTIONS(2291),
    [anon_sym_alignas] = ACTIONS(2291),
    [anon_sym_explicit] = ACTIONS(2291),
    [anon_sym_typename] = ACTIONS(2291),
    [anon_sym_template] = ACTIONS(2291),
    [anon_sym_operator] = ACTIONS(2291),
    [anon_sym_try] = ACTIONS(2291),
    [anon_sym_delete] = ACTIONS(2291),
    [anon_sym_throw] = ACTIONS(2291),
    [anon_sym_namespace] = ACTIONS(2291),
    [anon_sym_using] = ACTIONS(2291),
    [anon_sym_static_assert] = ACTIONS(2291),
    [anon_sym_concept] = ACTIONS(2291),
    [anon_sym_co_return] = ACTIONS(2291),
    [anon_sym_co_yield] = ACTIONS(2291),
    [anon_sym_R_DQUOTE] = ACTIONS(2293),
    [anon_sym_LR_DQUOTE] = ACTIONS(2293),
    [anon_sym_uR_DQUOTE] = ACTIONS(2293),
    [anon_sym_UR_DQUOTE] = ACTIONS(2293),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2293),
    [anon_sym_co_await] = ACTIONS(2291),
    [anon_sym_new] = ACTIONS(2291),
    [anon_sym_requires] = ACTIONS(2291),
    [sym_this] = ACTIONS(2291),
    [anon_sym_discard] = ACTIONS(2291),
    [anon_sym_precise] = ACTIONS(2291),
    [anon_sym_shared] = ACTIONS(2291),
    [anon_sym_groupshared] = ACTIONS(2291),
    [anon_sym_uniform] = ACTIONS(2291),
    [anon_sym_row_major] = ACTIONS(2291),
    [anon_sym_column_major] = ACTIONS(2291),
    [anon_sym_globallycoherent] = ACTIONS(2291),
    [anon_sym_centroid] = ACTIONS(2291),
    [anon_sym_noperspective] = ACTIONS(2291),
    [anon_sym_nointerpolation] = ACTIONS(2291),
    [anon_sym_sample] = ACTIONS(2291),
    [anon_sym_linear] = ACTIONS(2291),
    [anon_sym_snorm] = ACTIONS(2291),
    [anon_sym_unorm] = ACTIONS(2291),
    [anon_sym_point] = ACTIONS(2291),
    [anon_sym_line] = ACTIONS(2291),
    [anon_sym_triangleadj] = ACTIONS(2291),
    [anon_sym_lineadj] = ACTIONS(2291),
    [anon_sym_triangle] = ACTIONS(2291),
    [anon_sym_cbuffer] = ACTIONS(2291),
  },
  [681] = {
    [sym_identifier] = ACTIONS(2829),
    [aux_sym_preproc_include_token1] = ACTIONS(2829),
    [aux_sym_preproc_def_token1] = ACTIONS(2829),
    [aux_sym_preproc_if_token1] = ACTIONS(2829),
    [aux_sym_preproc_if_token2] = ACTIONS(2829),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2829),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2829),
    [aux_sym_preproc_else_token1] = ACTIONS(2829),
    [aux_sym_preproc_elif_token1] = ACTIONS(2829),
    [sym_preproc_directive] = ACTIONS(2829),
    [anon_sym_LPAREN2] = ACTIONS(2831),
    [anon_sym_BANG] = ACTIONS(2831),
    [anon_sym_TILDE] = ACTIONS(2831),
    [anon_sym_DASH] = ACTIONS(2829),
    [anon_sym_PLUS] = ACTIONS(2829),
    [anon_sym_STAR] = ACTIONS(2831),
    [anon_sym_AMP_AMP] = ACTIONS(2831),
    [anon_sym_AMP] = ACTIONS(2829),
    [anon_sym_SEMI] = ACTIONS(2831),
    [anon_sym___extension__] = ACTIONS(2829),
    [anon_sym_typedef] = ACTIONS(2829),
    [anon_sym_in] = ACTIONS(2829),
    [anon_sym_out] = ACTIONS(2829),
    [anon_sym_inout] = ACTIONS(2829),
    [anon_sym_extern] = ACTIONS(2829),
    [anon_sym___attribute__] = ACTIONS(2829),
    [anon_sym_COLON_COLON] = ACTIONS(2831),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2831),
    [anon_sym___declspec] = ACTIONS(2829),
    [anon_sym___based] = ACTIONS(2829),
    [anon_sym___cdecl] = ACTIONS(2829),
    [anon_sym___clrcall] = ACTIONS(2829),
    [anon_sym___stdcall] = ACTIONS(2829),
    [anon_sym___fastcall] = ACTIONS(2829),
    [anon_sym___thiscall] = ACTIONS(2829),
    [anon_sym___vectorcall] = ACTIONS(2829),
    [anon_sym_LBRACE] = ACTIONS(2831),
    [anon_sym_signed] = ACTIONS(2829),
    [anon_sym_unsigned] = ACTIONS(2829),
    [anon_sym_long] = ACTIONS(2829),
    [anon_sym_short] = ACTIONS(2829),
    [anon_sym_LBRACK] = ACTIONS(2829),
    [anon_sym_static] = ACTIONS(2829),
    [anon_sym_register] = ACTIONS(2829),
    [anon_sym_inline] = ACTIONS(2829),
    [anon_sym___inline] = ACTIONS(2829),
    [anon_sym___inline__] = ACTIONS(2829),
    [anon_sym___forceinline] = ACTIONS(2829),
    [anon_sym_thread_local] = ACTIONS(2829),
    [anon_sym___thread] = ACTIONS(2829),
    [anon_sym_const] = ACTIONS(2829),
    [anon_sym_constexpr] = ACTIONS(2829),
    [anon_sym_volatile] = ACTIONS(2829),
    [anon_sym_restrict] = ACTIONS(2829),
    [anon_sym___restrict__] = ACTIONS(2829),
    [anon_sym__Atomic] = ACTIONS(2829),
    [anon_sym__Noreturn] = ACTIONS(2829),
    [anon_sym_noreturn] = ACTIONS(2829),
    [anon_sym_mutable] = ACTIONS(2829),
    [anon_sym_constinit] = ACTIONS(2829),
    [anon_sym_consteval] = ACTIONS(2829),
    [sym_primitive_type] = ACTIONS(2829),
    [anon_sym_enum] = ACTIONS(2829),
    [anon_sym_class] = ACTIONS(2829),
    [anon_sym_struct] = ACTIONS(2829),
    [anon_sym_union] = ACTIONS(2829),
    [anon_sym_if] = ACTIONS(2829),
    [anon_sym_switch] = ACTIONS(2829),
    [anon_sym_case] = ACTIONS(2829),
    [anon_sym_default] = ACTIONS(2829),
    [anon_sym_while] = ACTIONS(2829),
    [anon_sym_do] = ACTIONS(2829),
    [anon_sym_for] = ACTIONS(2829),
    [anon_sym_return] = ACTIONS(2829),
    [anon_sym_break] = ACTIONS(2829),
    [anon_sym_continue] = ACTIONS(2829),
    [anon_sym_goto] = ACTIONS(2829),
    [anon_sym___try] = ACTIONS(2829),
    [anon_sym___leave] = ACTIONS(2829),
    [anon_sym_not] = ACTIONS(2829),
    [anon_sym_compl] = ACTIONS(2829),
    [anon_sym_DASH_DASH] = ACTIONS(2831),
    [anon_sym_PLUS_PLUS] = ACTIONS(2831),
    [anon_sym_sizeof] = ACTIONS(2829),
    [anon_sym___alignof__] = ACTIONS(2829),
    [anon_sym___alignof] = ACTIONS(2829),
    [anon_sym__alignof] = ACTIONS(2829),
    [anon_sym_alignof] = ACTIONS(2829),
    [anon_sym__Alignof] = ACTIONS(2829),
    [anon_sym_offsetof] = ACTIONS(2829),
    [anon_sym__Generic] = ACTIONS(2829),
    [anon_sym_asm] = ACTIONS(2829),
    [anon_sym___asm__] = ACTIONS(2829),
    [sym_number_literal] = ACTIONS(2831),
    [anon_sym_L_SQUOTE] = ACTIONS(2831),
    [anon_sym_u_SQUOTE] = ACTIONS(2831),
    [anon_sym_U_SQUOTE] = ACTIONS(2831),
    [anon_sym_u8_SQUOTE] = ACTIONS(2831),
    [anon_sym_SQUOTE] = ACTIONS(2831),
    [anon_sym_L_DQUOTE] = ACTIONS(2831),
    [anon_sym_u_DQUOTE] = ACTIONS(2831),
    [anon_sym_U_DQUOTE] = ACTIONS(2831),
    [anon_sym_u8_DQUOTE] = ACTIONS(2831),
    [anon_sym_DQUOTE] = ACTIONS(2831),
    [sym_true] = ACTIONS(2829),
    [sym_false] = ACTIONS(2829),
    [anon_sym_NULL] = ACTIONS(2829),
    [anon_sym_nullptr] = ACTIONS(2829),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2829),
    [anon_sym_decltype] = ACTIONS(2829),
    [anon_sym_virtual] = ACTIONS(2829),
    [anon_sym_alignas] = ACTIONS(2829),
    [anon_sym_explicit] = ACTIONS(2829),
    [anon_sym_typename] = ACTIONS(2829),
    [anon_sym_template] = ACTIONS(2829),
    [anon_sym_operator] = ACTIONS(2829),
    [anon_sym_try] = ACTIONS(2829),
    [anon_sym_delete] = ACTIONS(2829),
    [anon_sym_throw] = ACTIONS(2829),
    [anon_sym_namespace] = ACTIONS(2829),
    [anon_sym_using] = ACTIONS(2829),
    [anon_sym_static_assert] = ACTIONS(2829),
    [anon_sym_concept] = ACTIONS(2829),
    [anon_sym_co_return] = ACTIONS(2829),
    [anon_sym_co_yield] = ACTIONS(2829),
    [anon_sym_R_DQUOTE] = ACTIONS(2831),
    [anon_sym_LR_DQUOTE] = ACTIONS(2831),
    [anon_sym_uR_DQUOTE] = ACTIONS(2831),
    [anon_sym_UR_DQUOTE] = ACTIONS(2831),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2831),
    [anon_sym_co_await] = ACTIONS(2829),
    [anon_sym_new] = ACTIONS(2829),
    [anon_sym_requires] = ACTIONS(2829),
    [sym_this] = ACTIONS(2829),
    [anon_sym_discard] = ACTIONS(2829),
    [anon_sym_precise] = ACTIONS(2829),
    [anon_sym_shared] = ACTIONS(2829),
    [anon_sym_groupshared] = ACTIONS(2829),
    [anon_sym_uniform] = ACTIONS(2829),
    [anon_sym_row_major] = ACTIONS(2829),
    [anon_sym_column_major] = ACTIONS(2829),
    [anon_sym_globallycoherent] = ACTIONS(2829),
    [anon_sym_centroid] = ACTIONS(2829),
    [anon_sym_noperspective] = ACTIONS(2829),
    [anon_sym_nointerpolation] = ACTIONS(2829),
    [anon_sym_sample] = ACTIONS(2829),
    [anon_sym_linear] = ACTIONS(2829),
    [anon_sym_snorm] = ACTIONS(2829),
    [anon_sym_unorm] = ACTIONS(2829),
    [anon_sym_point] = ACTIONS(2829),
    [anon_sym_line] = ACTIONS(2829),
    [anon_sym_triangleadj] = ACTIONS(2829),
    [anon_sym_lineadj] = ACTIONS(2829),
    [anon_sym_triangle] = ACTIONS(2829),
    [anon_sym_cbuffer] = ACTIONS(2829),
  },
  [682] = {
    [sym_identifier] = ACTIONS(2773),
    [aux_sym_preproc_include_token1] = ACTIONS(2773),
    [aux_sym_preproc_def_token1] = ACTIONS(2773),
    [aux_sym_preproc_if_token1] = ACTIONS(2773),
    [aux_sym_preproc_if_token2] = ACTIONS(2773),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2773),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2773),
    [aux_sym_preproc_else_token1] = ACTIONS(2773),
    [aux_sym_preproc_elif_token1] = ACTIONS(2773),
    [sym_preproc_directive] = ACTIONS(2773),
    [anon_sym_LPAREN2] = ACTIONS(2775),
    [anon_sym_BANG] = ACTIONS(2775),
    [anon_sym_TILDE] = ACTIONS(2775),
    [anon_sym_DASH] = ACTIONS(2773),
    [anon_sym_PLUS] = ACTIONS(2773),
    [anon_sym_STAR] = ACTIONS(2775),
    [anon_sym_AMP_AMP] = ACTIONS(2775),
    [anon_sym_AMP] = ACTIONS(2773),
    [anon_sym_SEMI] = ACTIONS(2775),
    [anon_sym___extension__] = ACTIONS(2773),
    [anon_sym_typedef] = ACTIONS(2773),
    [anon_sym_in] = ACTIONS(2773),
    [anon_sym_out] = ACTIONS(2773),
    [anon_sym_inout] = ACTIONS(2773),
    [anon_sym_extern] = ACTIONS(2773),
    [anon_sym___attribute__] = ACTIONS(2773),
    [anon_sym_COLON_COLON] = ACTIONS(2775),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2775),
    [anon_sym___declspec] = ACTIONS(2773),
    [anon_sym___based] = ACTIONS(2773),
    [anon_sym___cdecl] = ACTIONS(2773),
    [anon_sym___clrcall] = ACTIONS(2773),
    [anon_sym___stdcall] = ACTIONS(2773),
    [anon_sym___fastcall] = ACTIONS(2773),
    [anon_sym___thiscall] = ACTIONS(2773),
    [anon_sym___vectorcall] = ACTIONS(2773),
    [anon_sym_LBRACE] = ACTIONS(2775),
    [anon_sym_signed] = ACTIONS(2773),
    [anon_sym_unsigned] = ACTIONS(2773),
    [anon_sym_long] = ACTIONS(2773),
    [anon_sym_short] = ACTIONS(2773),
    [anon_sym_LBRACK] = ACTIONS(2773),
    [anon_sym_static] = ACTIONS(2773),
    [anon_sym_register] = ACTIONS(2773),
    [anon_sym_inline] = ACTIONS(2773),
    [anon_sym___inline] = ACTIONS(2773),
    [anon_sym___inline__] = ACTIONS(2773),
    [anon_sym___forceinline] = ACTIONS(2773),
    [anon_sym_thread_local] = ACTIONS(2773),
    [anon_sym___thread] = ACTIONS(2773),
    [anon_sym_const] = ACTIONS(2773),
    [anon_sym_constexpr] = ACTIONS(2773),
    [anon_sym_volatile] = ACTIONS(2773),
    [anon_sym_restrict] = ACTIONS(2773),
    [anon_sym___restrict__] = ACTIONS(2773),
    [anon_sym__Atomic] = ACTIONS(2773),
    [anon_sym__Noreturn] = ACTIONS(2773),
    [anon_sym_noreturn] = ACTIONS(2773),
    [anon_sym_mutable] = ACTIONS(2773),
    [anon_sym_constinit] = ACTIONS(2773),
    [anon_sym_consteval] = ACTIONS(2773),
    [sym_primitive_type] = ACTIONS(2773),
    [anon_sym_enum] = ACTIONS(2773),
    [anon_sym_class] = ACTIONS(2773),
    [anon_sym_struct] = ACTIONS(2773),
    [anon_sym_union] = ACTIONS(2773),
    [anon_sym_if] = ACTIONS(2773),
    [anon_sym_switch] = ACTIONS(2773),
    [anon_sym_case] = ACTIONS(2773),
    [anon_sym_default] = ACTIONS(2773),
    [anon_sym_while] = ACTIONS(2773),
    [anon_sym_do] = ACTIONS(2773),
    [anon_sym_for] = ACTIONS(2773),
    [anon_sym_return] = ACTIONS(2773),
    [anon_sym_break] = ACTIONS(2773),
    [anon_sym_continue] = ACTIONS(2773),
    [anon_sym_goto] = ACTIONS(2773),
    [anon_sym___try] = ACTIONS(2773),
    [anon_sym___leave] = ACTIONS(2773),
    [anon_sym_not] = ACTIONS(2773),
    [anon_sym_compl] = ACTIONS(2773),
    [anon_sym_DASH_DASH] = ACTIONS(2775),
    [anon_sym_PLUS_PLUS] = ACTIONS(2775),
    [anon_sym_sizeof] = ACTIONS(2773),
    [anon_sym___alignof__] = ACTIONS(2773),
    [anon_sym___alignof] = ACTIONS(2773),
    [anon_sym__alignof] = ACTIONS(2773),
    [anon_sym_alignof] = ACTIONS(2773),
    [anon_sym__Alignof] = ACTIONS(2773),
    [anon_sym_offsetof] = ACTIONS(2773),
    [anon_sym__Generic] = ACTIONS(2773),
    [anon_sym_asm] = ACTIONS(2773),
    [anon_sym___asm__] = ACTIONS(2773),
    [sym_number_literal] = ACTIONS(2775),
    [anon_sym_L_SQUOTE] = ACTIONS(2775),
    [anon_sym_u_SQUOTE] = ACTIONS(2775),
    [anon_sym_U_SQUOTE] = ACTIONS(2775),
    [anon_sym_u8_SQUOTE] = ACTIONS(2775),
    [anon_sym_SQUOTE] = ACTIONS(2775),
    [anon_sym_L_DQUOTE] = ACTIONS(2775),
    [anon_sym_u_DQUOTE] = ACTIONS(2775),
    [anon_sym_U_DQUOTE] = ACTIONS(2775),
    [anon_sym_u8_DQUOTE] = ACTIONS(2775),
    [anon_sym_DQUOTE] = ACTIONS(2775),
    [sym_true] = ACTIONS(2773),
    [sym_false] = ACTIONS(2773),
    [anon_sym_NULL] = ACTIONS(2773),
    [anon_sym_nullptr] = ACTIONS(2773),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2773),
    [anon_sym_decltype] = ACTIONS(2773),
    [anon_sym_virtual] = ACTIONS(2773),
    [anon_sym_alignas] = ACTIONS(2773),
    [anon_sym_explicit] = ACTIONS(2773),
    [anon_sym_typename] = ACTIONS(2773),
    [anon_sym_template] = ACTIONS(2773),
    [anon_sym_operator] = ACTIONS(2773),
    [anon_sym_try] = ACTIONS(2773),
    [anon_sym_delete] = ACTIONS(2773),
    [anon_sym_throw] = ACTIONS(2773),
    [anon_sym_namespace] = ACTIONS(2773),
    [anon_sym_using] = ACTIONS(2773),
    [anon_sym_static_assert] = ACTIONS(2773),
    [anon_sym_concept] = ACTIONS(2773),
    [anon_sym_co_return] = ACTIONS(2773),
    [anon_sym_co_yield] = ACTIONS(2773),
    [anon_sym_R_DQUOTE] = ACTIONS(2775),
    [anon_sym_LR_DQUOTE] = ACTIONS(2775),
    [anon_sym_uR_DQUOTE] = ACTIONS(2775),
    [anon_sym_UR_DQUOTE] = ACTIONS(2775),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2775),
    [anon_sym_co_await] = ACTIONS(2773),
    [anon_sym_new] = ACTIONS(2773),
    [anon_sym_requires] = ACTIONS(2773),
    [sym_this] = ACTIONS(2773),
    [anon_sym_discard] = ACTIONS(2773),
    [anon_sym_precise] = ACTIONS(2773),
    [anon_sym_shared] = ACTIONS(2773),
    [anon_sym_groupshared] = ACTIONS(2773),
    [anon_sym_uniform] = ACTIONS(2773),
    [anon_sym_row_major] = ACTIONS(2773),
    [anon_sym_column_major] = ACTIONS(2773),
    [anon_sym_globallycoherent] = ACTIONS(2773),
    [anon_sym_centroid] = ACTIONS(2773),
    [anon_sym_noperspective] = ACTIONS(2773),
    [anon_sym_nointerpolation] = ACTIONS(2773),
    [anon_sym_sample] = ACTIONS(2773),
    [anon_sym_linear] = ACTIONS(2773),
    [anon_sym_snorm] = ACTIONS(2773),
    [anon_sym_unorm] = ACTIONS(2773),
    [anon_sym_point] = ACTIONS(2773),
    [anon_sym_line] = ACTIONS(2773),
    [anon_sym_triangleadj] = ACTIONS(2773),
    [anon_sym_lineadj] = ACTIONS(2773),
    [anon_sym_triangle] = ACTIONS(2773),
    [anon_sym_cbuffer] = ACTIONS(2773),
  },
  [683] = {
    [sym_identifier] = ACTIONS(2238),
    [aux_sym_preproc_include_token1] = ACTIONS(2238),
    [aux_sym_preproc_def_token1] = ACTIONS(2238),
    [aux_sym_preproc_if_token1] = ACTIONS(2238),
    [aux_sym_preproc_if_token2] = ACTIONS(2238),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2238),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2238),
    [sym_preproc_directive] = ACTIONS(2238),
    [anon_sym_LPAREN2] = ACTIONS(2236),
    [anon_sym_BANG] = ACTIONS(2236),
    [anon_sym_TILDE] = ACTIONS(2236),
    [anon_sym_DASH] = ACTIONS(2238),
    [anon_sym_PLUS] = ACTIONS(2238),
    [anon_sym_STAR] = ACTIONS(2236),
    [anon_sym_AMP_AMP] = ACTIONS(2236),
    [anon_sym_AMP] = ACTIONS(2238),
    [anon_sym_SEMI] = ACTIONS(2236),
    [anon_sym___extension__] = ACTIONS(2238),
    [anon_sym_typedef] = ACTIONS(2238),
    [anon_sym_in] = ACTIONS(2238),
    [anon_sym_out] = ACTIONS(2238),
    [anon_sym_inout] = ACTIONS(2238),
    [anon_sym_extern] = ACTIONS(2238),
    [anon_sym___attribute__] = ACTIONS(2238),
    [anon_sym_COLON_COLON] = ACTIONS(2236),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2236),
    [anon_sym___declspec] = ACTIONS(2238),
    [anon_sym___based] = ACTIONS(2238),
    [anon_sym___cdecl] = ACTIONS(2238),
    [anon_sym___clrcall] = ACTIONS(2238),
    [anon_sym___stdcall] = ACTIONS(2238),
    [anon_sym___fastcall] = ACTIONS(2238),
    [anon_sym___thiscall] = ACTIONS(2238),
    [anon_sym___vectorcall] = ACTIONS(2238),
    [anon_sym_LBRACE] = ACTIONS(2236),
    [anon_sym_signed] = ACTIONS(2238),
    [anon_sym_unsigned] = ACTIONS(2238),
    [anon_sym_long] = ACTIONS(2238),
    [anon_sym_short] = ACTIONS(2238),
    [anon_sym_LBRACK] = ACTIONS(2238),
    [anon_sym_static] = ACTIONS(2238),
    [anon_sym_register] = ACTIONS(2238),
    [anon_sym_inline] = ACTIONS(2238),
    [anon_sym___inline] = ACTIONS(2238),
    [anon_sym___inline__] = ACTIONS(2238),
    [anon_sym___forceinline] = ACTIONS(2238),
    [anon_sym_thread_local] = ACTIONS(2238),
    [anon_sym___thread] = ACTIONS(2238),
    [anon_sym_const] = ACTIONS(2238),
    [anon_sym_constexpr] = ACTIONS(2238),
    [anon_sym_volatile] = ACTIONS(2238),
    [anon_sym_restrict] = ACTIONS(2238),
    [anon_sym___restrict__] = ACTIONS(2238),
    [anon_sym__Atomic] = ACTIONS(2238),
    [anon_sym__Noreturn] = ACTIONS(2238),
    [anon_sym_noreturn] = ACTIONS(2238),
    [anon_sym_mutable] = ACTIONS(2238),
    [anon_sym_constinit] = ACTIONS(2238),
    [anon_sym_consteval] = ACTIONS(2238),
    [sym_primitive_type] = ACTIONS(2238),
    [anon_sym_enum] = ACTIONS(2238),
    [anon_sym_class] = ACTIONS(2238),
    [anon_sym_struct] = ACTIONS(2238),
    [anon_sym_union] = ACTIONS(2238),
    [anon_sym_if] = ACTIONS(2238),
    [anon_sym_else] = ACTIONS(2238),
    [anon_sym_switch] = ACTIONS(2238),
    [anon_sym_case] = ACTIONS(2238),
    [anon_sym_default] = ACTIONS(2238),
    [anon_sym_while] = ACTIONS(2238),
    [anon_sym_do] = ACTIONS(2238),
    [anon_sym_for] = ACTIONS(2238),
    [anon_sym_return] = ACTIONS(2238),
    [anon_sym_break] = ACTIONS(2238),
    [anon_sym_continue] = ACTIONS(2238),
    [anon_sym_goto] = ACTIONS(2238),
    [anon_sym___try] = ACTIONS(2238),
    [anon_sym___leave] = ACTIONS(2238),
    [anon_sym_not] = ACTIONS(2238),
    [anon_sym_compl] = ACTIONS(2238),
    [anon_sym_DASH_DASH] = ACTIONS(2236),
    [anon_sym_PLUS_PLUS] = ACTIONS(2236),
    [anon_sym_sizeof] = ACTIONS(2238),
    [anon_sym___alignof__] = ACTIONS(2238),
    [anon_sym___alignof] = ACTIONS(2238),
    [anon_sym__alignof] = ACTIONS(2238),
    [anon_sym_alignof] = ACTIONS(2238),
    [anon_sym__Alignof] = ACTIONS(2238),
    [anon_sym_offsetof] = ACTIONS(2238),
    [anon_sym__Generic] = ACTIONS(2238),
    [anon_sym_asm] = ACTIONS(2238),
    [anon_sym___asm__] = ACTIONS(2238),
    [sym_number_literal] = ACTIONS(2236),
    [anon_sym_L_SQUOTE] = ACTIONS(2236),
    [anon_sym_u_SQUOTE] = ACTIONS(2236),
    [anon_sym_U_SQUOTE] = ACTIONS(2236),
    [anon_sym_u8_SQUOTE] = ACTIONS(2236),
    [anon_sym_SQUOTE] = ACTIONS(2236),
    [anon_sym_L_DQUOTE] = ACTIONS(2236),
    [anon_sym_u_DQUOTE] = ACTIONS(2236),
    [anon_sym_U_DQUOTE] = ACTIONS(2236),
    [anon_sym_u8_DQUOTE] = ACTIONS(2236),
    [anon_sym_DQUOTE] = ACTIONS(2236),
    [sym_true] = ACTIONS(2238),
    [sym_false] = ACTIONS(2238),
    [anon_sym_NULL] = ACTIONS(2238),
    [anon_sym_nullptr] = ACTIONS(2238),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2238),
    [anon_sym_decltype] = ACTIONS(2238),
    [anon_sym_virtual] = ACTIONS(2238),
    [anon_sym_alignas] = ACTIONS(2238),
    [anon_sym_explicit] = ACTIONS(2238),
    [anon_sym_typename] = ACTIONS(2238),
    [anon_sym_template] = ACTIONS(2238),
    [anon_sym_operator] = ACTIONS(2238),
    [anon_sym_try] = ACTIONS(2238),
    [anon_sym_delete] = ACTIONS(2238),
    [anon_sym_throw] = ACTIONS(2238),
    [anon_sym_namespace] = ACTIONS(2238),
    [anon_sym_using] = ACTIONS(2238),
    [anon_sym_static_assert] = ACTIONS(2238),
    [anon_sym_concept] = ACTIONS(2238),
    [anon_sym_co_return] = ACTIONS(2238),
    [anon_sym_co_yield] = ACTIONS(2238),
    [anon_sym_catch] = ACTIONS(2238),
    [anon_sym_R_DQUOTE] = ACTIONS(2236),
    [anon_sym_LR_DQUOTE] = ACTIONS(2236),
    [anon_sym_uR_DQUOTE] = ACTIONS(2236),
    [anon_sym_UR_DQUOTE] = ACTIONS(2236),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2236),
    [anon_sym_co_await] = ACTIONS(2238),
    [anon_sym_new] = ACTIONS(2238),
    [anon_sym_requires] = ACTIONS(2238),
    [sym_this] = ACTIONS(2238),
    [anon_sym_discard] = ACTIONS(2238),
    [anon_sym_precise] = ACTIONS(2238),
    [anon_sym_shared] = ACTIONS(2238),
    [anon_sym_groupshared] = ACTIONS(2238),
    [anon_sym_uniform] = ACTIONS(2238),
    [anon_sym_row_major] = ACTIONS(2238),
    [anon_sym_column_major] = ACTIONS(2238),
    [anon_sym_globallycoherent] = ACTIONS(2238),
    [anon_sym_centroid] = ACTIONS(2238),
    [anon_sym_noperspective] = ACTIONS(2238),
    [anon_sym_nointerpolation] = ACTIONS(2238),
    [anon_sym_sample] = ACTIONS(2238),
    [anon_sym_linear] = ACTIONS(2238),
    [anon_sym_snorm] = ACTIONS(2238),
    [anon_sym_unorm] = ACTIONS(2238),
    [anon_sym_point] = ACTIONS(2238),
    [anon_sym_line] = ACTIONS(2238),
    [anon_sym_triangleadj] = ACTIONS(2238),
    [anon_sym_lineadj] = ACTIONS(2238),
    [anon_sym_triangle] = ACTIONS(2238),
    [anon_sym_cbuffer] = ACTIONS(2238),
  },
  [684] = {
    [ts_builtin_sym_end] = ACTIONS(2320),
    [sym_identifier] = ACTIONS(2318),
    [aux_sym_preproc_include_token1] = ACTIONS(2318),
    [aux_sym_preproc_def_token1] = ACTIONS(2318),
    [aux_sym_preproc_if_token1] = ACTIONS(2318),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2318),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2318),
    [sym_preproc_directive] = ACTIONS(2318),
    [anon_sym_LPAREN2] = ACTIONS(2320),
    [anon_sym_BANG] = ACTIONS(2320),
    [anon_sym_TILDE] = ACTIONS(2320),
    [anon_sym_DASH] = ACTIONS(2318),
    [anon_sym_PLUS] = ACTIONS(2318),
    [anon_sym_STAR] = ACTIONS(2320),
    [anon_sym_AMP_AMP] = ACTIONS(2320),
    [anon_sym_AMP] = ACTIONS(2318),
    [anon_sym_SEMI] = ACTIONS(2320),
    [anon_sym___extension__] = ACTIONS(2318),
    [anon_sym_typedef] = ACTIONS(2318),
    [anon_sym_in] = ACTIONS(2318),
    [anon_sym_out] = ACTIONS(2318),
    [anon_sym_inout] = ACTIONS(2318),
    [anon_sym_extern] = ACTIONS(2318),
    [anon_sym___attribute__] = ACTIONS(2318),
    [anon_sym_COLON_COLON] = ACTIONS(2320),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2320),
    [anon_sym___declspec] = ACTIONS(2318),
    [anon_sym___based] = ACTIONS(2318),
    [anon_sym___cdecl] = ACTIONS(2318),
    [anon_sym___clrcall] = ACTIONS(2318),
    [anon_sym___stdcall] = ACTIONS(2318),
    [anon_sym___fastcall] = ACTIONS(2318),
    [anon_sym___thiscall] = ACTIONS(2318),
    [anon_sym___vectorcall] = ACTIONS(2318),
    [anon_sym_LBRACE] = ACTIONS(2320),
    [anon_sym_signed] = ACTIONS(2318),
    [anon_sym_unsigned] = ACTIONS(2318),
    [anon_sym_long] = ACTIONS(2318),
    [anon_sym_short] = ACTIONS(2318),
    [anon_sym_LBRACK] = ACTIONS(2318),
    [anon_sym_static] = ACTIONS(2318),
    [anon_sym_register] = ACTIONS(2318),
    [anon_sym_inline] = ACTIONS(2318),
    [anon_sym___inline] = ACTIONS(2318),
    [anon_sym___inline__] = ACTIONS(2318),
    [anon_sym___forceinline] = ACTIONS(2318),
    [anon_sym_thread_local] = ACTIONS(2318),
    [anon_sym___thread] = ACTIONS(2318),
    [anon_sym_const] = ACTIONS(2318),
    [anon_sym_constexpr] = ACTIONS(2318),
    [anon_sym_volatile] = ACTIONS(2318),
    [anon_sym_restrict] = ACTIONS(2318),
    [anon_sym___restrict__] = ACTIONS(2318),
    [anon_sym__Atomic] = ACTIONS(2318),
    [anon_sym__Noreturn] = ACTIONS(2318),
    [anon_sym_noreturn] = ACTIONS(2318),
    [anon_sym_mutable] = ACTIONS(2318),
    [anon_sym_constinit] = ACTIONS(2318),
    [anon_sym_consteval] = ACTIONS(2318),
    [sym_primitive_type] = ACTIONS(2318),
    [anon_sym_enum] = ACTIONS(2318),
    [anon_sym_class] = ACTIONS(2318),
    [anon_sym_struct] = ACTIONS(2318),
    [anon_sym_union] = ACTIONS(2318),
    [anon_sym_if] = ACTIONS(2318),
    [anon_sym_else] = ACTIONS(2318),
    [anon_sym_switch] = ACTIONS(2318),
    [anon_sym_case] = ACTIONS(2318),
    [anon_sym_default] = ACTIONS(2318),
    [anon_sym_while] = ACTIONS(2318),
    [anon_sym_do] = ACTIONS(2318),
    [anon_sym_for] = ACTIONS(2318),
    [anon_sym_return] = ACTIONS(2318),
    [anon_sym_break] = ACTIONS(2318),
    [anon_sym_continue] = ACTIONS(2318),
    [anon_sym_goto] = ACTIONS(2318),
    [anon_sym___try] = ACTIONS(2318),
    [anon_sym___leave] = ACTIONS(2318),
    [anon_sym_not] = ACTIONS(2318),
    [anon_sym_compl] = ACTIONS(2318),
    [anon_sym_DASH_DASH] = ACTIONS(2320),
    [anon_sym_PLUS_PLUS] = ACTIONS(2320),
    [anon_sym_sizeof] = ACTIONS(2318),
    [anon_sym___alignof__] = ACTIONS(2318),
    [anon_sym___alignof] = ACTIONS(2318),
    [anon_sym__alignof] = ACTIONS(2318),
    [anon_sym_alignof] = ACTIONS(2318),
    [anon_sym__Alignof] = ACTIONS(2318),
    [anon_sym_offsetof] = ACTIONS(2318),
    [anon_sym__Generic] = ACTIONS(2318),
    [anon_sym_asm] = ACTIONS(2318),
    [anon_sym___asm__] = ACTIONS(2318),
    [sym_number_literal] = ACTIONS(2320),
    [anon_sym_L_SQUOTE] = ACTIONS(2320),
    [anon_sym_u_SQUOTE] = ACTIONS(2320),
    [anon_sym_U_SQUOTE] = ACTIONS(2320),
    [anon_sym_u8_SQUOTE] = ACTIONS(2320),
    [anon_sym_SQUOTE] = ACTIONS(2320),
    [anon_sym_L_DQUOTE] = ACTIONS(2320),
    [anon_sym_u_DQUOTE] = ACTIONS(2320),
    [anon_sym_U_DQUOTE] = ACTIONS(2320),
    [anon_sym_u8_DQUOTE] = ACTIONS(2320),
    [anon_sym_DQUOTE] = ACTIONS(2320),
    [sym_true] = ACTIONS(2318),
    [sym_false] = ACTIONS(2318),
    [anon_sym_NULL] = ACTIONS(2318),
    [anon_sym_nullptr] = ACTIONS(2318),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2318),
    [anon_sym_decltype] = ACTIONS(2318),
    [anon_sym_virtual] = ACTIONS(2318),
    [anon_sym_alignas] = ACTIONS(2318),
    [anon_sym_explicit] = ACTIONS(2318),
    [anon_sym_typename] = ACTIONS(2318),
    [anon_sym_template] = ACTIONS(2318),
    [anon_sym_operator] = ACTIONS(2318),
    [anon_sym_try] = ACTIONS(2318),
    [anon_sym_delete] = ACTIONS(2318),
    [anon_sym_throw] = ACTIONS(2318),
    [anon_sym_namespace] = ACTIONS(2318),
    [anon_sym_using] = ACTIONS(2318),
    [anon_sym_static_assert] = ACTIONS(2318),
    [anon_sym_concept] = ACTIONS(2318),
    [anon_sym_co_return] = ACTIONS(2318),
    [anon_sym_co_yield] = ACTIONS(2318),
    [anon_sym_R_DQUOTE] = ACTIONS(2320),
    [anon_sym_LR_DQUOTE] = ACTIONS(2320),
    [anon_sym_uR_DQUOTE] = ACTIONS(2320),
    [anon_sym_UR_DQUOTE] = ACTIONS(2320),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2320),
    [anon_sym_co_await] = ACTIONS(2318),
    [anon_sym_new] = ACTIONS(2318),
    [anon_sym_requires] = ACTIONS(2318),
    [sym_this] = ACTIONS(2318),
    [anon_sym_discard] = ACTIONS(2318),
    [anon_sym_precise] = ACTIONS(2318),
    [anon_sym_shared] = ACTIONS(2318),
    [anon_sym_groupshared] = ACTIONS(2318),
    [anon_sym_uniform] = ACTIONS(2318),
    [anon_sym_row_major] = ACTIONS(2318),
    [anon_sym_column_major] = ACTIONS(2318),
    [anon_sym_globallycoherent] = ACTIONS(2318),
    [anon_sym_centroid] = ACTIONS(2318),
    [anon_sym_noperspective] = ACTIONS(2318),
    [anon_sym_nointerpolation] = ACTIONS(2318),
    [anon_sym_sample] = ACTIONS(2318),
    [anon_sym_linear] = ACTIONS(2318),
    [anon_sym_snorm] = ACTIONS(2318),
    [anon_sym_unorm] = ACTIONS(2318),
    [anon_sym_point] = ACTIONS(2318),
    [anon_sym_line] = ACTIONS(2318),
    [anon_sym_triangleadj] = ACTIONS(2318),
    [anon_sym_lineadj] = ACTIONS(2318),
    [anon_sym_triangle] = ACTIONS(2318),
    [anon_sym_cbuffer] = ACTIONS(2318),
  },
  [685] = {
    [sym_identifier] = ACTIONS(2364),
    [aux_sym_preproc_include_token1] = ACTIONS(2364),
    [aux_sym_preproc_def_token1] = ACTIONS(2364),
    [aux_sym_preproc_if_token1] = ACTIONS(2364),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2364),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2364),
    [sym_preproc_directive] = ACTIONS(2364),
    [anon_sym_LPAREN2] = ACTIONS(2366),
    [anon_sym_BANG] = ACTIONS(2366),
    [anon_sym_TILDE] = ACTIONS(2366),
    [anon_sym_DASH] = ACTIONS(2364),
    [anon_sym_PLUS] = ACTIONS(2364),
    [anon_sym_STAR] = ACTIONS(2366),
    [anon_sym_AMP_AMP] = ACTIONS(2366),
    [anon_sym_AMP] = ACTIONS(2364),
    [anon_sym_SEMI] = ACTIONS(2366),
    [anon_sym___extension__] = ACTIONS(2364),
    [anon_sym_typedef] = ACTIONS(2364),
    [anon_sym_in] = ACTIONS(2364),
    [anon_sym_out] = ACTIONS(2364),
    [anon_sym_inout] = ACTIONS(2364),
    [anon_sym_extern] = ACTIONS(2364),
    [anon_sym___attribute__] = ACTIONS(2364),
    [anon_sym_COLON_COLON] = ACTIONS(2366),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2366),
    [anon_sym___declspec] = ACTIONS(2364),
    [anon_sym___based] = ACTIONS(2364),
    [anon_sym___cdecl] = ACTIONS(2364),
    [anon_sym___clrcall] = ACTIONS(2364),
    [anon_sym___stdcall] = ACTIONS(2364),
    [anon_sym___fastcall] = ACTIONS(2364),
    [anon_sym___thiscall] = ACTIONS(2364),
    [anon_sym___vectorcall] = ACTIONS(2364),
    [anon_sym_LBRACE] = ACTIONS(2366),
    [anon_sym_RBRACE] = ACTIONS(2366),
    [anon_sym_signed] = ACTIONS(2364),
    [anon_sym_unsigned] = ACTIONS(2364),
    [anon_sym_long] = ACTIONS(2364),
    [anon_sym_short] = ACTIONS(2364),
    [anon_sym_LBRACK] = ACTIONS(2364),
    [anon_sym_static] = ACTIONS(2364),
    [anon_sym_register] = ACTIONS(2364),
    [anon_sym_inline] = ACTIONS(2364),
    [anon_sym___inline] = ACTIONS(2364),
    [anon_sym___inline__] = ACTIONS(2364),
    [anon_sym___forceinline] = ACTIONS(2364),
    [anon_sym_thread_local] = ACTIONS(2364),
    [anon_sym___thread] = ACTIONS(2364),
    [anon_sym_const] = ACTIONS(2364),
    [anon_sym_constexpr] = ACTIONS(2364),
    [anon_sym_volatile] = ACTIONS(2364),
    [anon_sym_restrict] = ACTIONS(2364),
    [anon_sym___restrict__] = ACTIONS(2364),
    [anon_sym__Atomic] = ACTIONS(2364),
    [anon_sym__Noreturn] = ACTIONS(2364),
    [anon_sym_noreturn] = ACTIONS(2364),
    [anon_sym_mutable] = ACTIONS(2364),
    [anon_sym_constinit] = ACTIONS(2364),
    [anon_sym_consteval] = ACTIONS(2364),
    [sym_primitive_type] = ACTIONS(2364),
    [anon_sym_enum] = ACTIONS(2364),
    [anon_sym_class] = ACTIONS(2364),
    [anon_sym_struct] = ACTIONS(2364),
    [anon_sym_union] = ACTIONS(2364),
    [anon_sym_if] = ACTIONS(2364),
    [anon_sym_else] = ACTIONS(2364),
    [anon_sym_switch] = ACTIONS(2364),
    [anon_sym_case] = ACTIONS(2364),
    [anon_sym_default] = ACTIONS(2364),
    [anon_sym_while] = ACTIONS(2364),
    [anon_sym_do] = ACTIONS(2364),
    [anon_sym_for] = ACTIONS(2364),
    [anon_sym_return] = ACTIONS(2364),
    [anon_sym_break] = ACTIONS(2364),
    [anon_sym_continue] = ACTIONS(2364),
    [anon_sym_goto] = ACTIONS(2364),
    [anon_sym___try] = ACTIONS(2364),
    [anon_sym___leave] = ACTIONS(2364),
    [anon_sym_not] = ACTIONS(2364),
    [anon_sym_compl] = ACTIONS(2364),
    [anon_sym_DASH_DASH] = ACTIONS(2366),
    [anon_sym_PLUS_PLUS] = ACTIONS(2366),
    [anon_sym_sizeof] = ACTIONS(2364),
    [anon_sym___alignof__] = ACTIONS(2364),
    [anon_sym___alignof] = ACTIONS(2364),
    [anon_sym__alignof] = ACTIONS(2364),
    [anon_sym_alignof] = ACTIONS(2364),
    [anon_sym__Alignof] = ACTIONS(2364),
    [anon_sym_offsetof] = ACTIONS(2364),
    [anon_sym__Generic] = ACTIONS(2364),
    [anon_sym_asm] = ACTIONS(2364),
    [anon_sym___asm__] = ACTIONS(2364),
    [sym_number_literal] = ACTIONS(2366),
    [anon_sym_L_SQUOTE] = ACTIONS(2366),
    [anon_sym_u_SQUOTE] = ACTIONS(2366),
    [anon_sym_U_SQUOTE] = ACTIONS(2366),
    [anon_sym_u8_SQUOTE] = ACTIONS(2366),
    [anon_sym_SQUOTE] = ACTIONS(2366),
    [anon_sym_L_DQUOTE] = ACTIONS(2366),
    [anon_sym_u_DQUOTE] = ACTIONS(2366),
    [anon_sym_U_DQUOTE] = ACTIONS(2366),
    [anon_sym_u8_DQUOTE] = ACTIONS(2366),
    [anon_sym_DQUOTE] = ACTIONS(2366),
    [sym_true] = ACTIONS(2364),
    [sym_false] = ACTIONS(2364),
    [anon_sym_NULL] = ACTIONS(2364),
    [anon_sym_nullptr] = ACTIONS(2364),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2364),
    [anon_sym_decltype] = ACTIONS(2364),
    [anon_sym_virtual] = ACTIONS(2364),
    [anon_sym_alignas] = ACTIONS(2364),
    [anon_sym_explicit] = ACTIONS(2364),
    [anon_sym_typename] = ACTIONS(2364),
    [anon_sym_template] = ACTIONS(2364),
    [anon_sym_operator] = ACTIONS(2364),
    [anon_sym_try] = ACTIONS(2364),
    [anon_sym_delete] = ACTIONS(2364),
    [anon_sym_throw] = ACTIONS(2364),
    [anon_sym_namespace] = ACTIONS(2364),
    [anon_sym_using] = ACTIONS(2364),
    [anon_sym_static_assert] = ACTIONS(2364),
    [anon_sym_concept] = ACTIONS(2364),
    [anon_sym_co_return] = ACTIONS(2364),
    [anon_sym_co_yield] = ACTIONS(2364),
    [anon_sym_R_DQUOTE] = ACTIONS(2366),
    [anon_sym_LR_DQUOTE] = ACTIONS(2366),
    [anon_sym_uR_DQUOTE] = ACTIONS(2366),
    [anon_sym_UR_DQUOTE] = ACTIONS(2366),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2366),
    [anon_sym_co_await] = ACTIONS(2364),
    [anon_sym_new] = ACTIONS(2364),
    [anon_sym_requires] = ACTIONS(2364),
    [sym_this] = ACTIONS(2364),
    [anon_sym_discard] = ACTIONS(2364),
    [anon_sym_precise] = ACTIONS(2364),
    [anon_sym_shared] = ACTIONS(2364),
    [anon_sym_groupshared] = ACTIONS(2364),
    [anon_sym_uniform] = ACTIONS(2364),
    [anon_sym_row_major] = ACTIONS(2364),
    [anon_sym_column_major] = ACTIONS(2364),
    [anon_sym_globallycoherent] = ACTIONS(2364),
    [anon_sym_centroid] = ACTIONS(2364),
    [anon_sym_noperspective] = ACTIONS(2364),
    [anon_sym_nointerpolation] = ACTIONS(2364),
    [anon_sym_sample] = ACTIONS(2364),
    [anon_sym_linear] = ACTIONS(2364),
    [anon_sym_snorm] = ACTIONS(2364),
    [anon_sym_unorm] = ACTIONS(2364),
    [anon_sym_point] = ACTIONS(2364),
    [anon_sym_line] = ACTIONS(2364),
    [anon_sym_triangleadj] = ACTIONS(2364),
    [anon_sym_lineadj] = ACTIONS(2364),
    [anon_sym_triangle] = ACTIONS(2364),
    [anon_sym_cbuffer] = ACTIONS(2364),
  },
  [686] = {
    [ts_builtin_sym_end] = ACTIONS(2332),
    [sym_identifier] = ACTIONS(2330),
    [aux_sym_preproc_include_token1] = ACTIONS(2330),
    [aux_sym_preproc_def_token1] = ACTIONS(2330),
    [aux_sym_preproc_if_token1] = ACTIONS(2330),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2330),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2330),
    [sym_preproc_directive] = ACTIONS(2330),
    [anon_sym_LPAREN2] = ACTIONS(2332),
    [anon_sym_BANG] = ACTIONS(2332),
    [anon_sym_TILDE] = ACTIONS(2332),
    [anon_sym_DASH] = ACTIONS(2330),
    [anon_sym_PLUS] = ACTIONS(2330),
    [anon_sym_STAR] = ACTIONS(2332),
    [anon_sym_AMP_AMP] = ACTIONS(2332),
    [anon_sym_AMP] = ACTIONS(2330),
    [anon_sym_SEMI] = ACTIONS(2332),
    [anon_sym___extension__] = ACTIONS(2330),
    [anon_sym_typedef] = ACTIONS(2330),
    [anon_sym_in] = ACTIONS(2330),
    [anon_sym_out] = ACTIONS(2330),
    [anon_sym_inout] = ACTIONS(2330),
    [anon_sym_extern] = ACTIONS(2330),
    [anon_sym___attribute__] = ACTIONS(2330),
    [anon_sym_COLON_COLON] = ACTIONS(2332),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2332),
    [anon_sym___declspec] = ACTIONS(2330),
    [anon_sym___based] = ACTIONS(2330),
    [anon_sym___cdecl] = ACTIONS(2330),
    [anon_sym___clrcall] = ACTIONS(2330),
    [anon_sym___stdcall] = ACTIONS(2330),
    [anon_sym___fastcall] = ACTIONS(2330),
    [anon_sym___thiscall] = ACTIONS(2330),
    [anon_sym___vectorcall] = ACTIONS(2330),
    [anon_sym_LBRACE] = ACTIONS(2332),
    [anon_sym_signed] = ACTIONS(2330),
    [anon_sym_unsigned] = ACTIONS(2330),
    [anon_sym_long] = ACTIONS(2330),
    [anon_sym_short] = ACTIONS(2330),
    [anon_sym_LBRACK] = ACTIONS(2330),
    [anon_sym_static] = ACTIONS(2330),
    [anon_sym_register] = ACTIONS(2330),
    [anon_sym_inline] = ACTIONS(2330),
    [anon_sym___inline] = ACTIONS(2330),
    [anon_sym___inline__] = ACTIONS(2330),
    [anon_sym___forceinline] = ACTIONS(2330),
    [anon_sym_thread_local] = ACTIONS(2330),
    [anon_sym___thread] = ACTIONS(2330),
    [anon_sym_const] = ACTIONS(2330),
    [anon_sym_constexpr] = ACTIONS(2330),
    [anon_sym_volatile] = ACTIONS(2330),
    [anon_sym_restrict] = ACTIONS(2330),
    [anon_sym___restrict__] = ACTIONS(2330),
    [anon_sym__Atomic] = ACTIONS(2330),
    [anon_sym__Noreturn] = ACTIONS(2330),
    [anon_sym_noreturn] = ACTIONS(2330),
    [anon_sym_mutable] = ACTIONS(2330),
    [anon_sym_constinit] = ACTIONS(2330),
    [anon_sym_consteval] = ACTIONS(2330),
    [sym_primitive_type] = ACTIONS(2330),
    [anon_sym_enum] = ACTIONS(2330),
    [anon_sym_class] = ACTIONS(2330),
    [anon_sym_struct] = ACTIONS(2330),
    [anon_sym_union] = ACTIONS(2330),
    [anon_sym_if] = ACTIONS(2330),
    [anon_sym_else] = ACTIONS(2330),
    [anon_sym_switch] = ACTIONS(2330),
    [anon_sym_case] = ACTIONS(2330),
    [anon_sym_default] = ACTIONS(2330),
    [anon_sym_while] = ACTIONS(2330),
    [anon_sym_do] = ACTIONS(2330),
    [anon_sym_for] = ACTIONS(2330),
    [anon_sym_return] = ACTIONS(2330),
    [anon_sym_break] = ACTIONS(2330),
    [anon_sym_continue] = ACTIONS(2330),
    [anon_sym_goto] = ACTIONS(2330),
    [anon_sym___try] = ACTIONS(2330),
    [anon_sym___leave] = ACTIONS(2330),
    [anon_sym_not] = ACTIONS(2330),
    [anon_sym_compl] = ACTIONS(2330),
    [anon_sym_DASH_DASH] = ACTIONS(2332),
    [anon_sym_PLUS_PLUS] = ACTIONS(2332),
    [anon_sym_sizeof] = ACTIONS(2330),
    [anon_sym___alignof__] = ACTIONS(2330),
    [anon_sym___alignof] = ACTIONS(2330),
    [anon_sym__alignof] = ACTIONS(2330),
    [anon_sym_alignof] = ACTIONS(2330),
    [anon_sym__Alignof] = ACTIONS(2330),
    [anon_sym_offsetof] = ACTIONS(2330),
    [anon_sym__Generic] = ACTIONS(2330),
    [anon_sym_asm] = ACTIONS(2330),
    [anon_sym___asm__] = ACTIONS(2330),
    [sym_number_literal] = ACTIONS(2332),
    [anon_sym_L_SQUOTE] = ACTIONS(2332),
    [anon_sym_u_SQUOTE] = ACTIONS(2332),
    [anon_sym_U_SQUOTE] = ACTIONS(2332),
    [anon_sym_u8_SQUOTE] = ACTIONS(2332),
    [anon_sym_SQUOTE] = ACTIONS(2332),
    [anon_sym_L_DQUOTE] = ACTIONS(2332),
    [anon_sym_u_DQUOTE] = ACTIONS(2332),
    [anon_sym_U_DQUOTE] = ACTIONS(2332),
    [anon_sym_u8_DQUOTE] = ACTIONS(2332),
    [anon_sym_DQUOTE] = ACTIONS(2332),
    [sym_true] = ACTIONS(2330),
    [sym_false] = ACTIONS(2330),
    [anon_sym_NULL] = ACTIONS(2330),
    [anon_sym_nullptr] = ACTIONS(2330),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2330),
    [anon_sym_decltype] = ACTIONS(2330),
    [anon_sym_virtual] = ACTIONS(2330),
    [anon_sym_alignas] = ACTIONS(2330),
    [anon_sym_explicit] = ACTIONS(2330),
    [anon_sym_typename] = ACTIONS(2330),
    [anon_sym_template] = ACTIONS(2330),
    [anon_sym_operator] = ACTIONS(2330),
    [anon_sym_try] = ACTIONS(2330),
    [anon_sym_delete] = ACTIONS(2330),
    [anon_sym_throw] = ACTIONS(2330),
    [anon_sym_namespace] = ACTIONS(2330),
    [anon_sym_using] = ACTIONS(2330),
    [anon_sym_static_assert] = ACTIONS(2330),
    [anon_sym_concept] = ACTIONS(2330),
    [anon_sym_co_return] = ACTIONS(2330),
    [anon_sym_co_yield] = ACTIONS(2330),
    [anon_sym_R_DQUOTE] = ACTIONS(2332),
    [anon_sym_LR_DQUOTE] = ACTIONS(2332),
    [anon_sym_uR_DQUOTE] = ACTIONS(2332),
    [anon_sym_UR_DQUOTE] = ACTIONS(2332),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2332),
    [anon_sym_co_await] = ACTIONS(2330),
    [anon_sym_new] = ACTIONS(2330),
    [anon_sym_requires] = ACTIONS(2330),
    [sym_this] = ACTIONS(2330),
    [anon_sym_discard] = ACTIONS(2330),
    [anon_sym_precise] = ACTIONS(2330),
    [anon_sym_shared] = ACTIONS(2330),
    [anon_sym_groupshared] = ACTIONS(2330),
    [anon_sym_uniform] = ACTIONS(2330),
    [anon_sym_row_major] = ACTIONS(2330),
    [anon_sym_column_major] = ACTIONS(2330),
    [anon_sym_globallycoherent] = ACTIONS(2330),
    [anon_sym_centroid] = ACTIONS(2330),
    [anon_sym_noperspective] = ACTIONS(2330),
    [anon_sym_nointerpolation] = ACTIONS(2330),
    [anon_sym_sample] = ACTIONS(2330),
    [anon_sym_linear] = ACTIONS(2330),
    [anon_sym_snorm] = ACTIONS(2330),
    [anon_sym_unorm] = ACTIONS(2330),
    [anon_sym_point] = ACTIONS(2330),
    [anon_sym_line] = ACTIONS(2330),
    [anon_sym_triangleadj] = ACTIONS(2330),
    [anon_sym_lineadj] = ACTIONS(2330),
    [anon_sym_triangle] = ACTIONS(2330),
    [anon_sym_cbuffer] = ACTIONS(2330),
  },
  [687] = {
    [sym_identifier] = ACTIONS(2440),
    [aux_sym_preproc_include_token1] = ACTIONS(2440),
    [aux_sym_preproc_def_token1] = ACTIONS(2440),
    [aux_sym_preproc_if_token1] = ACTIONS(2440),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2440),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2440),
    [sym_preproc_directive] = ACTIONS(2440),
    [anon_sym_LPAREN2] = ACTIONS(2442),
    [anon_sym_BANG] = ACTIONS(2442),
    [anon_sym_TILDE] = ACTIONS(2442),
    [anon_sym_DASH] = ACTIONS(2440),
    [anon_sym_PLUS] = ACTIONS(2440),
    [anon_sym_STAR] = ACTIONS(2442),
    [anon_sym_AMP_AMP] = ACTIONS(2442),
    [anon_sym_AMP] = ACTIONS(2440),
    [anon_sym_SEMI] = ACTIONS(2442),
    [anon_sym___extension__] = ACTIONS(2440),
    [anon_sym_typedef] = ACTIONS(2440),
    [anon_sym_in] = ACTIONS(2440),
    [anon_sym_out] = ACTIONS(2440),
    [anon_sym_inout] = ACTIONS(2440),
    [anon_sym_extern] = ACTIONS(2440),
    [anon_sym___attribute__] = ACTIONS(2440),
    [anon_sym_COLON_COLON] = ACTIONS(2442),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2442),
    [anon_sym___declspec] = ACTIONS(2440),
    [anon_sym___based] = ACTIONS(2440),
    [anon_sym___cdecl] = ACTIONS(2440),
    [anon_sym___clrcall] = ACTIONS(2440),
    [anon_sym___stdcall] = ACTIONS(2440),
    [anon_sym___fastcall] = ACTIONS(2440),
    [anon_sym___thiscall] = ACTIONS(2440),
    [anon_sym___vectorcall] = ACTIONS(2440),
    [anon_sym_LBRACE] = ACTIONS(2442),
    [anon_sym_RBRACE] = ACTIONS(2442),
    [anon_sym_signed] = ACTIONS(2440),
    [anon_sym_unsigned] = ACTIONS(2440),
    [anon_sym_long] = ACTIONS(2440),
    [anon_sym_short] = ACTIONS(2440),
    [anon_sym_LBRACK] = ACTIONS(2440),
    [anon_sym_static] = ACTIONS(2440),
    [anon_sym_register] = ACTIONS(2440),
    [anon_sym_inline] = ACTIONS(2440),
    [anon_sym___inline] = ACTIONS(2440),
    [anon_sym___inline__] = ACTIONS(2440),
    [anon_sym___forceinline] = ACTIONS(2440),
    [anon_sym_thread_local] = ACTIONS(2440),
    [anon_sym___thread] = ACTIONS(2440),
    [anon_sym_const] = ACTIONS(2440),
    [anon_sym_constexpr] = ACTIONS(2440),
    [anon_sym_volatile] = ACTIONS(2440),
    [anon_sym_restrict] = ACTIONS(2440),
    [anon_sym___restrict__] = ACTIONS(2440),
    [anon_sym__Atomic] = ACTIONS(2440),
    [anon_sym__Noreturn] = ACTIONS(2440),
    [anon_sym_noreturn] = ACTIONS(2440),
    [anon_sym_mutable] = ACTIONS(2440),
    [anon_sym_constinit] = ACTIONS(2440),
    [anon_sym_consteval] = ACTIONS(2440),
    [sym_primitive_type] = ACTIONS(2440),
    [anon_sym_enum] = ACTIONS(2440),
    [anon_sym_class] = ACTIONS(2440),
    [anon_sym_struct] = ACTIONS(2440),
    [anon_sym_union] = ACTIONS(2440),
    [anon_sym_if] = ACTIONS(2440),
    [anon_sym_else] = ACTIONS(2440),
    [anon_sym_switch] = ACTIONS(2440),
    [anon_sym_case] = ACTIONS(2440),
    [anon_sym_default] = ACTIONS(2440),
    [anon_sym_while] = ACTIONS(2440),
    [anon_sym_do] = ACTIONS(2440),
    [anon_sym_for] = ACTIONS(2440),
    [anon_sym_return] = ACTIONS(2440),
    [anon_sym_break] = ACTIONS(2440),
    [anon_sym_continue] = ACTIONS(2440),
    [anon_sym_goto] = ACTIONS(2440),
    [anon_sym___try] = ACTIONS(2440),
    [anon_sym___leave] = ACTIONS(2440),
    [anon_sym_not] = ACTIONS(2440),
    [anon_sym_compl] = ACTIONS(2440),
    [anon_sym_DASH_DASH] = ACTIONS(2442),
    [anon_sym_PLUS_PLUS] = ACTIONS(2442),
    [anon_sym_sizeof] = ACTIONS(2440),
    [anon_sym___alignof__] = ACTIONS(2440),
    [anon_sym___alignof] = ACTIONS(2440),
    [anon_sym__alignof] = ACTIONS(2440),
    [anon_sym_alignof] = ACTIONS(2440),
    [anon_sym__Alignof] = ACTIONS(2440),
    [anon_sym_offsetof] = ACTIONS(2440),
    [anon_sym__Generic] = ACTIONS(2440),
    [anon_sym_asm] = ACTIONS(2440),
    [anon_sym___asm__] = ACTIONS(2440),
    [sym_number_literal] = ACTIONS(2442),
    [anon_sym_L_SQUOTE] = ACTIONS(2442),
    [anon_sym_u_SQUOTE] = ACTIONS(2442),
    [anon_sym_U_SQUOTE] = ACTIONS(2442),
    [anon_sym_u8_SQUOTE] = ACTIONS(2442),
    [anon_sym_SQUOTE] = ACTIONS(2442),
    [anon_sym_L_DQUOTE] = ACTIONS(2442),
    [anon_sym_u_DQUOTE] = ACTIONS(2442),
    [anon_sym_U_DQUOTE] = ACTIONS(2442),
    [anon_sym_u8_DQUOTE] = ACTIONS(2442),
    [anon_sym_DQUOTE] = ACTIONS(2442),
    [sym_true] = ACTIONS(2440),
    [sym_false] = ACTIONS(2440),
    [anon_sym_NULL] = ACTIONS(2440),
    [anon_sym_nullptr] = ACTIONS(2440),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2440),
    [anon_sym_decltype] = ACTIONS(2440),
    [anon_sym_virtual] = ACTIONS(2440),
    [anon_sym_alignas] = ACTIONS(2440),
    [anon_sym_explicit] = ACTIONS(2440),
    [anon_sym_typename] = ACTIONS(2440),
    [anon_sym_template] = ACTIONS(2440),
    [anon_sym_operator] = ACTIONS(2440),
    [anon_sym_try] = ACTIONS(2440),
    [anon_sym_delete] = ACTIONS(2440),
    [anon_sym_throw] = ACTIONS(2440),
    [anon_sym_namespace] = ACTIONS(2440),
    [anon_sym_using] = ACTIONS(2440),
    [anon_sym_static_assert] = ACTIONS(2440),
    [anon_sym_concept] = ACTIONS(2440),
    [anon_sym_co_return] = ACTIONS(2440),
    [anon_sym_co_yield] = ACTIONS(2440),
    [anon_sym_R_DQUOTE] = ACTIONS(2442),
    [anon_sym_LR_DQUOTE] = ACTIONS(2442),
    [anon_sym_uR_DQUOTE] = ACTIONS(2442),
    [anon_sym_UR_DQUOTE] = ACTIONS(2442),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2442),
    [anon_sym_co_await] = ACTIONS(2440),
    [anon_sym_new] = ACTIONS(2440),
    [anon_sym_requires] = ACTIONS(2440),
    [sym_this] = ACTIONS(2440),
    [anon_sym_discard] = ACTIONS(2440),
    [anon_sym_precise] = ACTIONS(2440),
    [anon_sym_shared] = ACTIONS(2440),
    [anon_sym_groupshared] = ACTIONS(2440),
    [anon_sym_uniform] = ACTIONS(2440),
    [anon_sym_row_major] = ACTIONS(2440),
    [anon_sym_column_major] = ACTIONS(2440),
    [anon_sym_globallycoherent] = ACTIONS(2440),
    [anon_sym_centroid] = ACTIONS(2440),
    [anon_sym_noperspective] = ACTIONS(2440),
    [anon_sym_nointerpolation] = ACTIONS(2440),
    [anon_sym_sample] = ACTIONS(2440),
    [anon_sym_linear] = ACTIONS(2440),
    [anon_sym_snorm] = ACTIONS(2440),
    [anon_sym_unorm] = ACTIONS(2440),
    [anon_sym_point] = ACTIONS(2440),
    [anon_sym_line] = ACTIONS(2440),
    [anon_sym_triangleadj] = ACTIONS(2440),
    [anon_sym_lineadj] = ACTIONS(2440),
    [anon_sym_triangle] = ACTIONS(2440),
    [anon_sym_cbuffer] = ACTIONS(2440),
  },
  [688] = {
    [ts_builtin_sym_end] = ACTIONS(2332),
    [sym_identifier] = ACTIONS(2330),
    [aux_sym_preproc_include_token1] = ACTIONS(2330),
    [aux_sym_preproc_def_token1] = ACTIONS(2330),
    [aux_sym_preproc_if_token1] = ACTIONS(2330),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2330),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2330),
    [sym_preproc_directive] = ACTIONS(2330),
    [anon_sym_LPAREN2] = ACTIONS(2332),
    [anon_sym_BANG] = ACTIONS(2332),
    [anon_sym_TILDE] = ACTIONS(2332),
    [anon_sym_DASH] = ACTIONS(2330),
    [anon_sym_PLUS] = ACTIONS(2330),
    [anon_sym_STAR] = ACTIONS(2332),
    [anon_sym_AMP_AMP] = ACTIONS(2332),
    [anon_sym_AMP] = ACTIONS(2330),
    [anon_sym_SEMI] = ACTIONS(2332),
    [anon_sym___extension__] = ACTIONS(2330),
    [anon_sym_typedef] = ACTIONS(2330),
    [anon_sym_in] = ACTIONS(2330),
    [anon_sym_out] = ACTIONS(2330),
    [anon_sym_inout] = ACTIONS(2330),
    [anon_sym_extern] = ACTIONS(2330),
    [anon_sym___attribute__] = ACTIONS(2330),
    [anon_sym_COLON_COLON] = ACTIONS(2332),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2332),
    [anon_sym___declspec] = ACTIONS(2330),
    [anon_sym___based] = ACTIONS(2330),
    [anon_sym___cdecl] = ACTIONS(2330),
    [anon_sym___clrcall] = ACTIONS(2330),
    [anon_sym___stdcall] = ACTIONS(2330),
    [anon_sym___fastcall] = ACTIONS(2330),
    [anon_sym___thiscall] = ACTIONS(2330),
    [anon_sym___vectorcall] = ACTIONS(2330),
    [anon_sym_LBRACE] = ACTIONS(2332),
    [anon_sym_signed] = ACTIONS(2330),
    [anon_sym_unsigned] = ACTIONS(2330),
    [anon_sym_long] = ACTIONS(2330),
    [anon_sym_short] = ACTIONS(2330),
    [anon_sym_LBRACK] = ACTIONS(2330),
    [anon_sym_static] = ACTIONS(2330),
    [anon_sym_register] = ACTIONS(2330),
    [anon_sym_inline] = ACTIONS(2330),
    [anon_sym___inline] = ACTIONS(2330),
    [anon_sym___inline__] = ACTIONS(2330),
    [anon_sym___forceinline] = ACTIONS(2330),
    [anon_sym_thread_local] = ACTIONS(2330),
    [anon_sym___thread] = ACTIONS(2330),
    [anon_sym_const] = ACTIONS(2330),
    [anon_sym_constexpr] = ACTIONS(2330),
    [anon_sym_volatile] = ACTIONS(2330),
    [anon_sym_restrict] = ACTIONS(2330),
    [anon_sym___restrict__] = ACTIONS(2330),
    [anon_sym__Atomic] = ACTIONS(2330),
    [anon_sym__Noreturn] = ACTIONS(2330),
    [anon_sym_noreturn] = ACTIONS(2330),
    [anon_sym_mutable] = ACTIONS(2330),
    [anon_sym_constinit] = ACTIONS(2330),
    [anon_sym_consteval] = ACTIONS(2330),
    [sym_primitive_type] = ACTIONS(2330),
    [anon_sym_enum] = ACTIONS(2330),
    [anon_sym_class] = ACTIONS(2330),
    [anon_sym_struct] = ACTIONS(2330),
    [anon_sym_union] = ACTIONS(2330),
    [anon_sym_if] = ACTIONS(2330),
    [anon_sym_else] = ACTIONS(2330),
    [anon_sym_switch] = ACTIONS(2330),
    [anon_sym_case] = ACTIONS(2330),
    [anon_sym_default] = ACTIONS(2330),
    [anon_sym_while] = ACTIONS(2330),
    [anon_sym_do] = ACTIONS(2330),
    [anon_sym_for] = ACTIONS(2330),
    [anon_sym_return] = ACTIONS(2330),
    [anon_sym_break] = ACTIONS(2330),
    [anon_sym_continue] = ACTIONS(2330),
    [anon_sym_goto] = ACTIONS(2330),
    [anon_sym___try] = ACTIONS(2330),
    [anon_sym___leave] = ACTIONS(2330),
    [anon_sym_not] = ACTIONS(2330),
    [anon_sym_compl] = ACTIONS(2330),
    [anon_sym_DASH_DASH] = ACTIONS(2332),
    [anon_sym_PLUS_PLUS] = ACTIONS(2332),
    [anon_sym_sizeof] = ACTIONS(2330),
    [anon_sym___alignof__] = ACTIONS(2330),
    [anon_sym___alignof] = ACTIONS(2330),
    [anon_sym__alignof] = ACTIONS(2330),
    [anon_sym_alignof] = ACTIONS(2330),
    [anon_sym__Alignof] = ACTIONS(2330),
    [anon_sym_offsetof] = ACTIONS(2330),
    [anon_sym__Generic] = ACTIONS(2330),
    [anon_sym_asm] = ACTIONS(2330),
    [anon_sym___asm__] = ACTIONS(2330),
    [sym_number_literal] = ACTIONS(2332),
    [anon_sym_L_SQUOTE] = ACTIONS(2332),
    [anon_sym_u_SQUOTE] = ACTIONS(2332),
    [anon_sym_U_SQUOTE] = ACTIONS(2332),
    [anon_sym_u8_SQUOTE] = ACTIONS(2332),
    [anon_sym_SQUOTE] = ACTIONS(2332),
    [anon_sym_L_DQUOTE] = ACTIONS(2332),
    [anon_sym_u_DQUOTE] = ACTIONS(2332),
    [anon_sym_U_DQUOTE] = ACTIONS(2332),
    [anon_sym_u8_DQUOTE] = ACTIONS(2332),
    [anon_sym_DQUOTE] = ACTIONS(2332),
    [sym_true] = ACTIONS(2330),
    [sym_false] = ACTIONS(2330),
    [anon_sym_NULL] = ACTIONS(2330),
    [anon_sym_nullptr] = ACTIONS(2330),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2330),
    [anon_sym_decltype] = ACTIONS(2330),
    [anon_sym_virtual] = ACTIONS(2330),
    [anon_sym_alignas] = ACTIONS(2330),
    [anon_sym_explicit] = ACTIONS(2330),
    [anon_sym_typename] = ACTIONS(2330),
    [anon_sym_template] = ACTIONS(2330),
    [anon_sym_operator] = ACTIONS(2330),
    [anon_sym_try] = ACTIONS(2330),
    [anon_sym_delete] = ACTIONS(2330),
    [anon_sym_throw] = ACTIONS(2330),
    [anon_sym_namespace] = ACTIONS(2330),
    [anon_sym_using] = ACTIONS(2330),
    [anon_sym_static_assert] = ACTIONS(2330),
    [anon_sym_concept] = ACTIONS(2330),
    [anon_sym_co_return] = ACTIONS(2330),
    [anon_sym_co_yield] = ACTIONS(2330),
    [anon_sym_R_DQUOTE] = ACTIONS(2332),
    [anon_sym_LR_DQUOTE] = ACTIONS(2332),
    [anon_sym_uR_DQUOTE] = ACTIONS(2332),
    [anon_sym_UR_DQUOTE] = ACTIONS(2332),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2332),
    [anon_sym_co_await] = ACTIONS(2330),
    [anon_sym_new] = ACTIONS(2330),
    [anon_sym_requires] = ACTIONS(2330),
    [sym_this] = ACTIONS(2330),
    [anon_sym_discard] = ACTIONS(2330),
    [anon_sym_precise] = ACTIONS(2330),
    [anon_sym_shared] = ACTIONS(2330),
    [anon_sym_groupshared] = ACTIONS(2330),
    [anon_sym_uniform] = ACTIONS(2330),
    [anon_sym_row_major] = ACTIONS(2330),
    [anon_sym_column_major] = ACTIONS(2330),
    [anon_sym_globallycoherent] = ACTIONS(2330),
    [anon_sym_centroid] = ACTIONS(2330),
    [anon_sym_noperspective] = ACTIONS(2330),
    [anon_sym_nointerpolation] = ACTIONS(2330),
    [anon_sym_sample] = ACTIONS(2330),
    [anon_sym_linear] = ACTIONS(2330),
    [anon_sym_snorm] = ACTIONS(2330),
    [anon_sym_unorm] = ACTIONS(2330),
    [anon_sym_point] = ACTIONS(2330),
    [anon_sym_line] = ACTIONS(2330),
    [anon_sym_triangleadj] = ACTIONS(2330),
    [anon_sym_lineadj] = ACTIONS(2330),
    [anon_sym_triangle] = ACTIONS(2330),
    [anon_sym_cbuffer] = ACTIONS(2330),
  },
  [689] = {
    [ts_builtin_sym_end] = ACTIONS(2332),
    [sym_identifier] = ACTIONS(2330),
    [aux_sym_preproc_include_token1] = ACTIONS(2330),
    [aux_sym_preproc_def_token1] = ACTIONS(2330),
    [aux_sym_preproc_if_token1] = ACTIONS(2330),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2330),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2330),
    [sym_preproc_directive] = ACTIONS(2330),
    [anon_sym_LPAREN2] = ACTIONS(2332),
    [anon_sym_BANG] = ACTIONS(2332),
    [anon_sym_TILDE] = ACTIONS(2332),
    [anon_sym_DASH] = ACTIONS(2330),
    [anon_sym_PLUS] = ACTIONS(2330),
    [anon_sym_STAR] = ACTIONS(2332),
    [anon_sym_AMP_AMP] = ACTIONS(2332),
    [anon_sym_AMP] = ACTIONS(2330),
    [anon_sym_SEMI] = ACTIONS(2332),
    [anon_sym___extension__] = ACTIONS(2330),
    [anon_sym_typedef] = ACTIONS(2330),
    [anon_sym_in] = ACTIONS(2330),
    [anon_sym_out] = ACTIONS(2330),
    [anon_sym_inout] = ACTIONS(2330),
    [anon_sym_extern] = ACTIONS(2330),
    [anon_sym___attribute__] = ACTIONS(2330),
    [anon_sym_COLON_COLON] = ACTIONS(2332),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2332),
    [anon_sym___declspec] = ACTIONS(2330),
    [anon_sym___based] = ACTIONS(2330),
    [anon_sym___cdecl] = ACTIONS(2330),
    [anon_sym___clrcall] = ACTIONS(2330),
    [anon_sym___stdcall] = ACTIONS(2330),
    [anon_sym___fastcall] = ACTIONS(2330),
    [anon_sym___thiscall] = ACTIONS(2330),
    [anon_sym___vectorcall] = ACTIONS(2330),
    [anon_sym_LBRACE] = ACTIONS(2332),
    [anon_sym_signed] = ACTIONS(2330),
    [anon_sym_unsigned] = ACTIONS(2330),
    [anon_sym_long] = ACTIONS(2330),
    [anon_sym_short] = ACTIONS(2330),
    [anon_sym_LBRACK] = ACTIONS(2330),
    [anon_sym_static] = ACTIONS(2330),
    [anon_sym_register] = ACTIONS(2330),
    [anon_sym_inline] = ACTIONS(2330),
    [anon_sym___inline] = ACTIONS(2330),
    [anon_sym___inline__] = ACTIONS(2330),
    [anon_sym___forceinline] = ACTIONS(2330),
    [anon_sym_thread_local] = ACTIONS(2330),
    [anon_sym___thread] = ACTIONS(2330),
    [anon_sym_const] = ACTIONS(2330),
    [anon_sym_constexpr] = ACTIONS(2330),
    [anon_sym_volatile] = ACTIONS(2330),
    [anon_sym_restrict] = ACTIONS(2330),
    [anon_sym___restrict__] = ACTIONS(2330),
    [anon_sym__Atomic] = ACTIONS(2330),
    [anon_sym__Noreturn] = ACTIONS(2330),
    [anon_sym_noreturn] = ACTIONS(2330),
    [anon_sym_mutable] = ACTIONS(2330),
    [anon_sym_constinit] = ACTIONS(2330),
    [anon_sym_consteval] = ACTIONS(2330),
    [sym_primitive_type] = ACTIONS(2330),
    [anon_sym_enum] = ACTIONS(2330),
    [anon_sym_class] = ACTIONS(2330),
    [anon_sym_struct] = ACTIONS(2330),
    [anon_sym_union] = ACTIONS(2330),
    [anon_sym_if] = ACTIONS(2330),
    [anon_sym_else] = ACTIONS(2330),
    [anon_sym_switch] = ACTIONS(2330),
    [anon_sym_case] = ACTIONS(2330),
    [anon_sym_default] = ACTIONS(2330),
    [anon_sym_while] = ACTIONS(2330),
    [anon_sym_do] = ACTIONS(2330),
    [anon_sym_for] = ACTIONS(2330),
    [anon_sym_return] = ACTIONS(2330),
    [anon_sym_break] = ACTIONS(2330),
    [anon_sym_continue] = ACTIONS(2330),
    [anon_sym_goto] = ACTIONS(2330),
    [anon_sym___try] = ACTIONS(2330),
    [anon_sym___leave] = ACTIONS(2330),
    [anon_sym_not] = ACTIONS(2330),
    [anon_sym_compl] = ACTIONS(2330),
    [anon_sym_DASH_DASH] = ACTIONS(2332),
    [anon_sym_PLUS_PLUS] = ACTIONS(2332),
    [anon_sym_sizeof] = ACTIONS(2330),
    [anon_sym___alignof__] = ACTIONS(2330),
    [anon_sym___alignof] = ACTIONS(2330),
    [anon_sym__alignof] = ACTIONS(2330),
    [anon_sym_alignof] = ACTIONS(2330),
    [anon_sym__Alignof] = ACTIONS(2330),
    [anon_sym_offsetof] = ACTIONS(2330),
    [anon_sym__Generic] = ACTIONS(2330),
    [anon_sym_asm] = ACTIONS(2330),
    [anon_sym___asm__] = ACTIONS(2330),
    [sym_number_literal] = ACTIONS(2332),
    [anon_sym_L_SQUOTE] = ACTIONS(2332),
    [anon_sym_u_SQUOTE] = ACTIONS(2332),
    [anon_sym_U_SQUOTE] = ACTIONS(2332),
    [anon_sym_u8_SQUOTE] = ACTIONS(2332),
    [anon_sym_SQUOTE] = ACTIONS(2332),
    [anon_sym_L_DQUOTE] = ACTIONS(2332),
    [anon_sym_u_DQUOTE] = ACTIONS(2332),
    [anon_sym_U_DQUOTE] = ACTIONS(2332),
    [anon_sym_u8_DQUOTE] = ACTIONS(2332),
    [anon_sym_DQUOTE] = ACTIONS(2332),
    [sym_true] = ACTIONS(2330),
    [sym_false] = ACTIONS(2330),
    [anon_sym_NULL] = ACTIONS(2330),
    [anon_sym_nullptr] = ACTIONS(2330),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2330),
    [anon_sym_decltype] = ACTIONS(2330),
    [anon_sym_virtual] = ACTIONS(2330),
    [anon_sym_alignas] = ACTIONS(2330),
    [anon_sym_explicit] = ACTIONS(2330),
    [anon_sym_typename] = ACTIONS(2330),
    [anon_sym_template] = ACTIONS(2330),
    [anon_sym_operator] = ACTIONS(2330),
    [anon_sym_try] = ACTIONS(2330),
    [anon_sym_delete] = ACTIONS(2330),
    [anon_sym_throw] = ACTIONS(2330),
    [anon_sym_namespace] = ACTIONS(2330),
    [anon_sym_using] = ACTIONS(2330),
    [anon_sym_static_assert] = ACTIONS(2330),
    [anon_sym_concept] = ACTIONS(2330),
    [anon_sym_co_return] = ACTIONS(2330),
    [anon_sym_co_yield] = ACTIONS(2330),
    [anon_sym_R_DQUOTE] = ACTIONS(2332),
    [anon_sym_LR_DQUOTE] = ACTIONS(2332),
    [anon_sym_uR_DQUOTE] = ACTIONS(2332),
    [anon_sym_UR_DQUOTE] = ACTIONS(2332),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2332),
    [anon_sym_co_await] = ACTIONS(2330),
    [anon_sym_new] = ACTIONS(2330),
    [anon_sym_requires] = ACTIONS(2330),
    [sym_this] = ACTIONS(2330),
    [anon_sym_discard] = ACTIONS(2330),
    [anon_sym_precise] = ACTIONS(2330),
    [anon_sym_shared] = ACTIONS(2330),
    [anon_sym_groupshared] = ACTIONS(2330),
    [anon_sym_uniform] = ACTIONS(2330),
    [anon_sym_row_major] = ACTIONS(2330),
    [anon_sym_column_major] = ACTIONS(2330),
    [anon_sym_globallycoherent] = ACTIONS(2330),
    [anon_sym_centroid] = ACTIONS(2330),
    [anon_sym_noperspective] = ACTIONS(2330),
    [anon_sym_nointerpolation] = ACTIONS(2330),
    [anon_sym_sample] = ACTIONS(2330),
    [anon_sym_linear] = ACTIONS(2330),
    [anon_sym_snorm] = ACTIONS(2330),
    [anon_sym_unorm] = ACTIONS(2330),
    [anon_sym_point] = ACTIONS(2330),
    [anon_sym_line] = ACTIONS(2330),
    [anon_sym_triangleadj] = ACTIONS(2330),
    [anon_sym_lineadj] = ACTIONS(2330),
    [anon_sym_triangle] = ACTIONS(2330),
    [anon_sym_cbuffer] = ACTIONS(2330),
  },
  [690] = {
    [ts_builtin_sym_end] = ACTIONS(2332),
    [sym_identifier] = ACTIONS(2330),
    [aux_sym_preproc_include_token1] = ACTIONS(2330),
    [aux_sym_preproc_def_token1] = ACTIONS(2330),
    [aux_sym_preproc_if_token1] = ACTIONS(2330),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2330),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2330),
    [sym_preproc_directive] = ACTIONS(2330),
    [anon_sym_LPAREN2] = ACTIONS(2332),
    [anon_sym_BANG] = ACTIONS(2332),
    [anon_sym_TILDE] = ACTIONS(2332),
    [anon_sym_DASH] = ACTIONS(2330),
    [anon_sym_PLUS] = ACTIONS(2330),
    [anon_sym_STAR] = ACTIONS(2332),
    [anon_sym_AMP_AMP] = ACTIONS(2332),
    [anon_sym_AMP] = ACTIONS(2330),
    [anon_sym_SEMI] = ACTIONS(2332),
    [anon_sym___extension__] = ACTIONS(2330),
    [anon_sym_typedef] = ACTIONS(2330),
    [anon_sym_in] = ACTIONS(2330),
    [anon_sym_out] = ACTIONS(2330),
    [anon_sym_inout] = ACTIONS(2330),
    [anon_sym_extern] = ACTIONS(2330),
    [anon_sym___attribute__] = ACTIONS(2330),
    [anon_sym_COLON_COLON] = ACTIONS(2332),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2332),
    [anon_sym___declspec] = ACTIONS(2330),
    [anon_sym___based] = ACTIONS(2330),
    [anon_sym___cdecl] = ACTIONS(2330),
    [anon_sym___clrcall] = ACTIONS(2330),
    [anon_sym___stdcall] = ACTIONS(2330),
    [anon_sym___fastcall] = ACTIONS(2330),
    [anon_sym___thiscall] = ACTIONS(2330),
    [anon_sym___vectorcall] = ACTIONS(2330),
    [anon_sym_LBRACE] = ACTIONS(2332),
    [anon_sym_signed] = ACTIONS(2330),
    [anon_sym_unsigned] = ACTIONS(2330),
    [anon_sym_long] = ACTIONS(2330),
    [anon_sym_short] = ACTIONS(2330),
    [anon_sym_LBRACK] = ACTIONS(2330),
    [anon_sym_static] = ACTIONS(2330),
    [anon_sym_register] = ACTIONS(2330),
    [anon_sym_inline] = ACTIONS(2330),
    [anon_sym___inline] = ACTIONS(2330),
    [anon_sym___inline__] = ACTIONS(2330),
    [anon_sym___forceinline] = ACTIONS(2330),
    [anon_sym_thread_local] = ACTIONS(2330),
    [anon_sym___thread] = ACTIONS(2330),
    [anon_sym_const] = ACTIONS(2330),
    [anon_sym_constexpr] = ACTIONS(2330),
    [anon_sym_volatile] = ACTIONS(2330),
    [anon_sym_restrict] = ACTIONS(2330),
    [anon_sym___restrict__] = ACTIONS(2330),
    [anon_sym__Atomic] = ACTIONS(2330),
    [anon_sym__Noreturn] = ACTIONS(2330),
    [anon_sym_noreturn] = ACTIONS(2330),
    [anon_sym_mutable] = ACTIONS(2330),
    [anon_sym_constinit] = ACTIONS(2330),
    [anon_sym_consteval] = ACTIONS(2330),
    [sym_primitive_type] = ACTIONS(2330),
    [anon_sym_enum] = ACTIONS(2330),
    [anon_sym_class] = ACTIONS(2330),
    [anon_sym_struct] = ACTIONS(2330),
    [anon_sym_union] = ACTIONS(2330),
    [anon_sym_if] = ACTIONS(2330),
    [anon_sym_else] = ACTIONS(2330),
    [anon_sym_switch] = ACTIONS(2330),
    [anon_sym_case] = ACTIONS(2330),
    [anon_sym_default] = ACTIONS(2330),
    [anon_sym_while] = ACTIONS(2330),
    [anon_sym_do] = ACTIONS(2330),
    [anon_sym_for] = ACTIONS(2330),
    [anon_sym_return] = ACTIONS(2330),
    [anon_sym_break] = ACTIONS(2330),
    [anon_sym_continue] = ACTIONS(2330),
    [anon_sym_goto] = ACTIONS(2330),
    [anon_sym___try] = ACTIONS(2330),
    [anon_sym___leave] = ACTIONS(2330),
    [anon_sym_not] = ACTIONS(2330),
    [anon_sym_compl] = ACTIONS(2330),
    [anon_sym_DASH_DASH] = ACTIONS(2332),
    [anon_sym_PLUS_PLUS] = ACTIONS(2332),
    [anon_sym_sizeof] = ACTIONS(2330),
    [anon_sym___alignof__] = ACTIONS(2330),
    [anon_sym___alignof] = ACTIONS(2330),
    [anon_sym__alignof] = ACTIONS(2330),
    [anon_sym_alignof] = ACTIONS(2330),
    [anon_sym__Alignof] = ACTIONS(2330),
    [anon_sym_offsetof] = ACTIONS(2330),
    [anon_sym__Generic] = ACTIONS(2330),
    [anon_sym_asm] = ACTIONS(2330),
    [anon_sym___asm__] = ACTIONS(2330),
    [sym_number_literal] = ACTIONS(2332),
    [anon_sym_L_SQUOTE] = ACTIONS(2332),
    [anon_sym_u_SQUOTE] = ACTIONS(2332),
    [anon_sym_U_SQUOTE] = ACTIONS(2332),
    [anon_sym_u8_SQUOTE] = ACTIONS(2332),
    [anon_sym_SQUOTE] = ACTIONS(2332),
    [anon_sym_L_DQUOTE] = ACTIONS(2332),
    [anon_sym_u_DQUOTE] = ACTIONS(2332),
    [anon_sym_U_DQUOTE] = ACTIONS(2332),
    [anon_sym_u8_DQUOTE] = ACTIONS(2332),
    [anon_sym_DQUOTE] = ACTIONS(2332),
    [sym_true] = ACTIONS(2330),
    [sym_false] = ACTIONS(2330),
    [anon_sym_NULL] = ACTIONS(2330),
    [anon_sym_nullptr] = ACTIONS(2330),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2330),
    [anon_sym_decltype] = ACTIONS(2330),
    [anon_sym_virtual] = ACTIONS(2330),
    [anon_sym_alignas] = ACTIONS(2330),
    [anon_sym_explicit] = ACTIONS(2330),
    [anon_sym_typename] = ACTIONS(2330),
    [anon_sym_template] = ACTIONS(2330),
    [anon_sym_operator] = ACTIONS(2330),
    [anon_sym_try] = ACTIONS(2330),
    [anon_sym_delete] = ACTIONS(2330),
    [anon_sym_throw] = ACTIONS(2330),
    [anon_sym_namespace] = ACTIONS(2330),
    [anon_sym_using] = ACTIONS(2330),
    [anon_sym_static_assert] = ACTIONS(2330),
    [anon_sym_concept] = ACTIONS(2330),
    [anon_sym_co_return] = ACTIONS(2330),
    [anon_sym_co_yield] = ACTIONS(2330),
    [anon_sym_R_DQUOTE] = ACTIONS(2332),
    [anon_sym_LR_DQUOTE] = ACTIONS(2332),
    [anon_sym_uR_DQUOTE] = ACTIONS(2332),
    [anon_sym_UR_DQUOTE] = ACTIONS(2332),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2332),
    [anon_sym_co_await] = ACTIONS(2330),
    [anon_sym_new] = ACTIONS(2330),
    [anon_sym_requires] = ACTIONS(2330),
    [sym_this] = ACTIONS(2330),
    [anon_sym_discard] = ACTIONS(2330),
    [anon_sym_precise] = ACTIONS(2330),
    [anon_sym_shared] = ACTIONS(2330),
    [anon_sym_groupshared] = ACTIONS(2330),
    [anon_sym_uniform] = ACTIONS(2330),
    [anon_sym_row_major] = ACTIONS(2330),
    [anon_sym_column_major] = ACTIONS(2330),
    [anon_sym_globallycoherent] = ACTIONS(2330),
    [anon_sym_centroid] = ACTIONS(2330),
    [anon_sym_noperspective] = ACTIONS(2330),
    [anon_sym_nointerpolation] = ACTIONS(2330),
    [anon_sym_sample] = ACTIONS(2330),
    [anon_sym_linear] = ACTIONS(2330),
    [anon_sym_snorm] = ACTIONS(2330),
    [anon_sym_unorm] = ACTIONS(2330),
    [anon_sym_point] = ACTIONS(2330),
    [anon_sym_line] = ACTIONS(2330),
    [anon_sym_triangleadj] = ACTIONS(2330),
    [anon_sym_lineadj] = ACTIONS(2330),
    [anon_sym_triangle] = ACTIONS(2330),
    [anon_sym_cbuffer] = ACTIONS(2330),
  },
  [691] = {
    [ts_builtin_sym_end] = ACTIONS(2332),
    [sym_identifier] = ACTIONS(2330),
    [aux_sym_preproc_include_token1] = ACTIONS(2330),
    [aux_sym_preproc_def_token1] = ACTIONS(2330),
    [aux_sym_preproc_if_token1] = ACTIONS(2330),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2330),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2330),
    [sym_preproc_directive] = ACTIONS(2330),
    [anon_sym_LPAREN2] = ACTIONS(2332),
    [anon_sym_BANG] = ACTIONS(2332),
    [anon_sym_TILDE] = ACTIONS(2332),
    [anon_sym_DASH] = ACTIONS(2330),
    [anon_sym_PLUS] = ACTIONS(2330),
    [anon_sym_STAR] = ACTIONS(2332),
    [anon_sym_AMP_AMP] = ACTIONS(2332),
    [anon_sym_AMP] = ACTIONS(2330),
    [anon_sym_SEMI] = ACTIONS(2332),
    [anon_sym___extension__] = ACTIONS(2330),
    [anon_sym_typedef] = ACTIONS(2330),
    [anon_sym_in] = ACTIONS(2330),
    [anon_sym_out] = ACTIONS(2330),
    [anon_sym_inout] = ACTIONS(2330),
    [anon_sym_extern] = ACTIONS(2330),
    [anon_sym___attribute__] = ACTIONS(2330),
    [anon_sym_COLON_COLON] = ACTIONS(2332),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2332),
    [anon_sym___declspec] = ACTIONS(2330),
    [anon_sym___based] = ACTIONS(2330),
    [anon_sym___cdecl] = ACTIONS(2330),
    [anon_sym___clrcall] = ACTIONS(2330),
    [anon_sym___stdcall] = ACTIONS(2330),
    [anon_sym___fastcall] = ACTIONS(2330),
    [anon_sym___thiscall] = ACTIONS(2330),
    [anon_sym___vectorcall] = ACTIONS(2330),
    [anon_sym_LBRACE] = ACTIONS(2332),
    [anon_sym_signed] = ACTIONS(2330),
    [anon_sym_unsigned] = ACTIONS(2330),
    [anon_sym_long] = ACTIONS(2330),
    [anon_sym_short] = ACTIONS(2330),
    [anon_sym_LBRACK] = ACTIONS(2330),
    [anon_sym_static] = ACTIONS(2330),
    [anon_sym_register] = ACTIONS(2330),
    [anon_sym_inline] = ACTIONS(2330),
    [anon_sym___inline] = ACTIONS(2330),
    [anon_sym___inline__] = ACTIONS(2330),
    [anon_sym___forceinline] = ACTIONS(2330),
    [anon_sym_thread_local] = ACTIONS(2330),
    [anon_sym___thread] = ACTIONS(2330),
    [anon_sym_const] = ACTIONS(2330),
    [anon_sym_constexpr] = ACTIONS(2330),
    [anon_sym_volatile] = ACTIONS(2330),
    [anon_sym_restrict] = ACTIONS(2330),
    [anon_sym___restrict__] = ACTIONS(2330),
    [anon_sym__Atomic] = ACTIONS(2330),
    [anon_sym__Noreturn] = ACTIONS(2330),
    [anon_sym_noreturn] = ACTIONS(2330),
    [anon_sym_mutable] = ACTIONS(2330),
    [anon_sym_constinit] = ACTIONS(2330),
    [anon_sym_consteval] = ACTIONS(2330),
    [sym_primitive_type] = ACTIONS(2330),
    [anon_sym_enum] = ACTIONS(2330),
    [anon_sym_class] = ACTIONS(2330),
    [anon_sym_struct] = ACTIONS(2330),
    [anon_sym_union] = ACTIONS(2330),
    [anon_sym_if] = ACTIONS(2330),
    [anon_sym_else] = ACTIONS(2330),
    [anon_sym_switch] = ACTIONS(2330),
    [anon_sym_case] = ACTIONS(2330),
    [anon_sym_default] = ACTIONS(2330),
    [anon_sym_while] = ACTIONS(2330),
    [anon_sym_do] = ACTIONS(2330),
    [anon_sym_for] = ACTIONS(2330),
    [anon_sym_return] = ACTIONS(2330),
    [anon_sym_break] = ACTIONS(2330),
    [anon_sym_continue] = ACTIONS(2330),
    [anon_sym_goto] = ACTIONS(2330),
    [anon_sym___try] = ACTIONS(2330),
    [anon_sym___leave] = ACTIONS(2330),
    [anon_sym_not] = ACTIONS(2330),
    [anon_sym_compl] = ACTIONS(2330),
    [anon_sym_DASH_DASH] = ACTIONS(2332),
    [anon_sym_PLUS_PLUS] = ACTIONS(2332),
    [anon_sym_sizeof] = ACTIONS(2330),
    [anon_sym___alignof__] = ACTIONS(2330),
    [anon_sym___alignof] = ACTIONS(2330),
    [anon_sym__alignof] = ACTIONS(2330),
    [anon_sym_alignof] = ACTIONS(2330),
    [anon_sym__Alignof] = ACTIONS(2330),
    [anon_sym_offsetof] = ACTIONS(2330),
    [anon_sym__Generic] = ACTIONS(2330),
    [anon_sym_asm] = ACTIONS(2330),
    [anon_sym___asm__] = ACTIONS(2330),
    [sym_number_literal] = ACTIONS(2332),
    [anon_sym_L_SQUOTE] = ACTIONS(2332),
    [anon_sym_u_SQUOTE] = ACTIONS(2332),
    [anon_sym_U_SQUOTE] = ACTIONS(2332),
    [anon_sym_u8_SQUOTE] = ACTIONS(2332),
    [anon_sym_SQUOTE] = ACTIONS(2332),
    [anon_sym_L_DQUOTE] = ACTIONS(2332),
    [anon_sym_u_DQUOTE] = ACTIONS(2332),
    [anon_sym_U_DQUOTE] = ACTIONS(2332),
    [anon_sym_u8_DQUOTE] = ACTIONS(2332),
    [anon_sym_DQUOTE] = ACTIONS(2332),
    [sym_true] = ACTIONS(2330),
    [sym_false] = ACTIONS(2330),
    [anon_sym_NULL] = ACTIONS(2330),
    [anon_sym_nullptr] = ACTIONS(2330),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2330),
    [anon_sym_decltype] = ACTIONS(2330),
    [anon_sym_virtual] = ACTIONS(2330),
    [anon_sym_alignas] = ACTIONS(2330),
    [anon_sym_explicit] = ACTIONS(2330),
    [anon_sym_typename] = ACTIONS(2330),
    [anon_sym_template] = ACTIONS(2330),
    [anon_sym_operator] = ACTIONS(2330),
    [anon_sym_try] = ACTIONS(2330),
    [anon_sym_delete] = ACTIONS(2330),
    [anon_sym_throw] = ACTIONS(2330),
    [anon_sym_namespace] = ACTIONS(2330),
    [anon_sym_using] = ACTIONS(2330),
    [anon_sym_static_assert] = ACTIONS(2330),
    [anon_sym_concept] = ACTIONS(2330),
    [anon_sym_co_return] = ACTIONS(2330),
    [anon_sym_co_yield] = ACTIONS(2330),
    [anon_sym_R_DQUOTE] = ACTIONS(2332),
    [anon_sym_LR_DQUOTE] = ACTIONS(2332),
    [anon_sym_uR_DQUOTE] = ACTIONS(2332),
    [anon_sym_UR_DQUOTE] = ACTIONS(2332),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2332),
    [anon_sym_co_await] = ACTIONS(2330),
    [anon_sym_new] = ACTIONS(2330),
    [anon_sym_requires] = ACTIONS(2330),
    [sym_this] = ACTIONS(2330),
    [anon_sym_discard] = ACTIONS(2330),
    [anon_sym_precise] = ACTIONS(2330),
    [anon_sym_shared] = ACTIONS(2330),
    [anon_sym_groupshared] = ACTIONS(2330),
    [anon_sym_uniform] = ACTIONS(2330),
    [anon_sym_row_major] = ACTIONS(2330),
    [anon_sym_column_major] = ACTIONS(2330),
    [anon_sym_globallycoherent] = ACTIONS(2330),
    [anon_sym_centroid] = ACTIONS(2330),
    [anon_sym_noperspective] = ACTIONS(2330),
    [anon_sym_nointerpolation] = ACTIONS(2330),
    [anon_sym_sample] = ACTIONS(2330),
    [anon_sym_linear] = ACTIONS(2330),
    [anon_sym_snorm] = ACTIONS(2330),
    [anon_sym_unorm] = ACTIONS(2330),
    [anon_sym_point] = ACTIONS(2330),
    [anon_sym_line] = ACTIONS(2330),
    [anon_sym_triangleadj] = ACTIONS(2330),
    [anon_sym_lineadj] = ACTIONS(2330),
    [anon_sym_triangle] = ACTIONS(2330),
    [anon_sym_cbuffer] = ACTIONS(2330),
  },
  [692] = {
    [ts_builtin_sym_end] = ACTIONS(2332),
    [sym_identifier] = ACTIONS(2330),
    [aux_sym_preproc_include_token1] = ACTIONS(2330),
    [aux_sym_preproc_def_token1] = ACTIONS(2330),
    [aux_sym_preproc_if_token1] = ACTIONS(2330),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2330),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2330),
    [sym_preproc_directive] = ACTIONS(2330),
    [anon_sym_LPAREN2] = ACTIONS(2332),
    [anon_sym_BANG] = ACTIONS(2332),
    [anon_sym_TILDE] = ACTIONS(2332),
    [anon_sym_DASH] = ACTIONS(2330),
    [anon_sym_PLUS] = ACTIONS(2330),
    [anon_sym_STAR] = ACTIONS(2332),
    [anon_sym_AMP_AMP] = ACTIONS(2332),
    [anon_sym_AMP] = ACTIONS(2330),
    [anon_sym_SEMI] = ACTIONS(2332),
    [anon_sym___extension__] = ACTIONS(2330),
    [anon_sym_typedef] = ACTIONS(2330),
    [anon_sym_in] = ACTIONS(2330),
    [anon_sym_out] = ACTIONS(2330),
    [anon_sym_inout] = ACTIONS(2330),
    [anon_sym_extern] = ACTIONS(2330),
    [anon_sym___attribute__] = ACTIONS(2330),
    [anon_sym_COLON_COLON] = ACTIONS(2332),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2332),
    [anon_sym___declspec] = ACTIONS(2330),
    [anon_sym___based] = ACTIONS(2330),
    [anon_sym___cdecl] = ACTIONS(2330),
    [anon_sym___clrcall] = ACTIONS(2330),
    [anon_sym___stdcall] = ACTIONS(2330),
    [anon_sym___fastcall] = ACTIONS(2330),
    [anon_sym___thiscall] = ACTIONS(2330),
    [anon_sym___vectorcall] = ACTIONS(2330),
    [anon_sym_LBRACE] = ACTIONS(2332),
    [anon_sym_signed] = ACTIONS(2330),
    [anon_sym_unsigned] = ACTIONS(2330),
    [anon_sym_long] = ACTIONS(2330),
    [anon_sym_short] = ACTIONS(2330),
    [anon_sym_LBRACK] = ACTIONS(2330),
    [anon_sym_static] = ACTIONS(2330),
    [anon_sym_register] = ACTIONS(2330),
    [anon_sym_inline] = ACTIONS(2330),
    [anon_sym___inline] = ACTIONS(2330),
    [anon_sym___inline__] = ACTIONS(2330),
    [anon_sym___forceinline] = ACTIONS(2330),
    [anon_sym_thread_local] = ACTIONS(2330),
    [anon_sym___thread] = ACTIONS(2330),
    [anon_sym_const] = ACTIONS(2330),
    [anon_sym_constexpr] = ACTIONS(2330),
    [anon_sym_volatile] = ACTIONS(2330),
    [anon_sym_restrict] = ACTIONS(2330),
    [anon_sym___restrict__] = ACTIONS(2330),
    [anon_sym__Atomic] = ACTIONS(2330),
    [anon_sym__Noreturn] = ACTIONS(2330),
    [anon_sym_noreturn] = ACTIONS(2330),
    [anon_sym_mutable] = ACTIONS(2330),
    [anon_sym_constinit] = ACTIONS(2330),
    [anon_sym_consteval] = ACTIONS(2330),
    [sym_primitive_type] = ACTIONS(2330),
    [anon_sym_enum] = ACTIONS(2330),
    [anon_sym_class] = ACTIONS(2330),
    [anon_sym_struct] = ACTIONS(2330),
    [anon_sym_union] = ACTIONS(2330),
    [anon_sym_if] = ACTIONS(2330),
    [anon_sym_else] = ACTIONS(2330),
    [anon_sym_switch] = ACTIONS(2330),
    [anon_sym_case] = ACTIONS(2330),
    [anon_sym_default] = ACTIONS(2330),
    [anon_sym_while] = ACTIONS(2330),
    [anon_sym_do] = ACTIONS(2330),
    [anon_sym_for] = ACTIONS(2330),
    [anon_sym_return] = ACTIONS(2330),
    [anon_sym_break] = ACTIONS(2330),
    [anon_sym_continue] = ACTIONS(2330),
    [anon_sym_goto] = ACTIONS(2330),
    [anon_sym___try] = ACTIONS(2330),
    [anon_sym___leave] = ACTIONS(2330),
    [anon_sym_not] = ACTIONS(2330),
    [anon_sym_compl] = ACTIONS(2330),
    [anon_sym_DASH_DASH] = ACTIONS(2332),
    [anon_sym_PLUS_PLUS] = ACTIONS(2332),
    [anon_sym_sizeof] = ACTIONS(2330),
    [anon_sym___alignof__] = ACTIONS(2330),
    [anon_sym___alignof] = ACTIONS(2330),
    [anon_sym__alignof] = ACTIONS(2330),
    [anon_sym_alignof] = ACTIONS(2330),
    [anon_sym__Alignof] = ACTIONS(2330),
    [anon_sym_offsetof] = ACTIONS(2330),
    [anon_sym__Generic] = ACTIONS(2330),
    [anon_sym_asm] = ACTIONS(2330),
    [anon_sym___asm__] = ACTIONS(2330),
    [sym_number_literal] = ACTIONS(2332),
    [anon_sym_L_SQUOTE] = ACTIONS(2332),
    [anon_sym_u_SQUOTE] = ACTIONS(2332),
    [anon_sym_U_SQUOTE] = ACTIONS(2332),
    [anon_sym_u8_SQUOTE] = ACTIONS(2332),
    [anon_sym_SQUOTE] = ACTIONS(2332),
    [anon_sym_L_DQUOTE] = ACTIONS(2332),
    [anon_sym_u_DQUOTE] = ACTIONS(2332),
    [anon_sym_U_DQUOTE] = ACTIONS(2332),
    [anon_sym_u8_DQUOTE] = ACTIONS(2332),
    [anon_sym_DQUOTE] = ACTIONS(2332),
    [sym_true] = ACTIONS(2330),
    [sym_false] = ACTIONS(2330),
    [anon_sym_NULL] = ACTIONS(2330),
    [anon_sym_nullptr] = ACTIONS(2330),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2330),
    [anon_sym_decltype] = ACTIONS(2330),
    [anon_sym_virtual] = ACTIONS(2330),
    [anon_sym_alignas] = ACTIONS(2330),
    [anon_sym_explicit] = ACTIONS(2330),
    [anon_sym_typename] = ACTIONS(2330),
    [anon_sym_template] = ACTIONS(2330),
    [anon_sym_operator] = ACTIONS(2330),
    [anon_sym_try] = ACTIONS(2330),
    [anon_sym_delete] = ACTIONS(2330),
    [anon_sym_throw] = ACTIONS(2330),
    [anon_sym_namespace] = ACTIONS(2330),
    [anon_sym_using] = ACTIONS(2330),
    [anon_sym_static_assert] = ACTIONS(2330),
    [anon_sym_concept] = ACTIONS(2330),
    [anon_sym_co_return] = ACTIONS(2330),
    [anon_sym_co_yield] = ACTIONS(2330),
    [anon_sym_R_DQUOTE] = ACTIONS(2332),
    [anon_sym_LR_DQUOTE] = ACTIONS(2332),
    [anon_sym_uR_DQUOTE] = ACTIONS(2332),
    [anon_sym_UR_DQUOTE] = ACTIONS(2332),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2332),
    [anon_sym_co_await] = ACTIONS(2330),
    [anon_sym_new] = ACTIONS(2330),
    [anon_sym_requires] = ACTIONS(2330),
    [sym_this] = ACTIONS(2330),
    [anon_sym_discard] = ACTIONS(2330),
    [anon_sym_precise] = ACTIONS(2330),
    [anon_sym_shared] = ACTIONS(2330),
    [anon_sym_groupshared] = ACTIONS(2330),
    [anon_sym_uniform] = ACTIONS(2330),
    [anon_sym_row_major] = ACTIONS(2330),
    [anon_sym_column_major] = ACTIONS(2330),
    [anon_sym_globallycoherent] = ACTIONS(2330),
    [anon_sym_centroid] = ACTIONS(2330),
    [anon_sym_noperspective] = ACTIONS(2330),
    [anon_sym_nointerpolation] = ACTIONS(2330),
    [anon_sym_sample] = ACTIONS(2330),
    [anon_sym_linear] = ACTIONS(2330),
    [anon_sym_snorm] = ACTIONS(2330),
    [anon_sym_unorm] = ACTIONS(2330),
    [anon_sym_point] = ACTIONS(2330),
    [anon_sym_line] = ACTIONS(2330),
    [anon_sym_triangleadj] = ACTIONS(2330),
    [anon_sym_lineadj] = ACTIONS(2330),
    [anon_sym_triangle] = ACTIONS(2330),
    [anon_sym_cbuffer] = ACTIONS(2330),
  },
  [693] = {
    [ts_builtin_sym_end] = ACTIONS(2332),
    [sym_identifier] = ACTIONS(2330),
    [aux_sym_preproc_include_token1] = ACTIONS(2330),
    [aux_sym_preproc_def_token1] = ACTIONS(2330),
    [aux_sym_preproc_if_token1] = ACTIONS(2330),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2330),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2330),
    [sym_preproc_directive] = ACTIONS(2330),
    [anon_sym_LPAREN2] = ACTIONS(2332),
    [anon_sym_BANG] = ACTIONS(2332),
    [anon_sym_TILDE] = ACTIONS(2332),
    [anon_sym_DASH] = ACTIONS(2330),
    [anon_sym_PLUS] = ACTIONS(2330),
    [anon_sym_STAR] = ACTIONS(2332),
    [anon_sym_AMP_AMP] = ACTIONS(2332),
    [anon_sym_AMP] = ACTIONS(2330),
    [anon_sym_SEMI] = ACTIONS(2332),
    [anon_sym___extension__] = ACTIONS(2330),
    [anon_sym_typedef] = ACTIONS(2330),
    [anon_sym_in] = ACTIONS(2330),
    [anon_sym_out] = ACTIONS(2330),
    [anon_sym_inout] = ACTIONS(2330),
    [anon_sym_extern] = ACTIONS(2330),
    [anon_sym___attribute__] = ACTIONS(2330),
    [anon_sym_COLON_COLON] = ACTIONS(2332),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2332),
    [anon_sym___declspec] = ACTIONS(2330),
    [anon_sym___based] = ACTIONS(2330),
    [anon_sym___cdecl] = ACTIONS(2330),
    [anon_sym___clrcall] = ACTIONS(2330),
    [anon_sym___stdcall] = ACTIONS(2330),
    [anon_sym___fastcall] = ACTIONS(2330),
    [anon_sym___thiscall] = ACTIONS(2330),
    [anon_sym___vectorcall] = ACTIONS(2330),
    [anon_sym_LBRACE] = ACTIONS(2332),
    [anon_sym_signed] = ACTIONS(2330),
    [anon_sym_unsigned] = ACTIONS(2330),
    [anon_sym_long] = ACTIONS(2330),
    [anon_sym_short] = ACTIONS(2330),
    [anon_sym_LBRACK] = ACTIONS(2330),
    [anon_sym_static] = ACTIONS(2330),
    [anon_sym_register] = ACTIONS(2330),
    [anon_sym_inline] = ACTIONS(2330),
    [anon_sym___inline] = ACTIONS(2330),
    [anon_sym___inline__] = ACTIONS(2330),
    [anon_sym___forceinline] = ACTIONS(2330),
    [anon_sym_thread_local] = ACTIONS(2330),
    [anon_sym___thread] = ACTIONS(2330),
    [anon_sym_const] = ACTIONS(2330),
    [anon_sym_constexpr] = ACTIONS(2330),
    [anon_sym_volatile] = ACTIONS(2330),
    [anon_sym_restrict] = ACTIONS(2330),
    [anon_sym___restrict__] = ACTIONS(2330),
    [anon_sym__Atomic] = ACTIONS(2330),
    [anon_sym__Noreturn] = ACTIONS(2330),
    [anon_sym_noreturn] = ACTIONS(2330),
    [anon_sym_mutable] = ACTIONS(2330),
    [anon_sym_constinit] = ACTIONS(2330),
    [anon_sym_consteval] = ACTIONS(2330),
    [sym_primitive_type] = ACTIONS(2330),
    [anon_sym_enum] = ACTIONS(2330),
    [anon_sym_class] = ACTIONS(2330),
    [anon_sym_struct] = ACTIONS(2330),
    [anon_sym_union] = ACTIONS(2330),
    [anon_sym_if] = ACTIONS(2330),
    [anon_sym_else] = ACTIONS(2330),
    [anon_sym_switch] = ACTIONS(2330),
    [anon_sym_case] = ACTIONS(2330),
    [anon_sym_default] = ACTIONS(2330),
    [anon_sym_while] = ACTIONS(2330),
    [anon_sym_do] = ACTIONS(2330),
    [anon_sym_for] = ACTIONS(2330),
    [anon_sym_return] = ACTIONS(2330),
    [anon_sym_break] = ACTIONS(2330),
    [anon_sym_continue] = ACTIONS(2330),
    [anon_sym_goto] = ACTIONS(2330),
    [anon_sym___try] = ACTIONS(2330),
    [anon_sym___leave] = ACTIONS(2330),
    [anon_sym_not] = ACTIONS(2330),
    [anon_sym_compl] = ACTIONS(2330),
    [anon_sym_DASH_DASH] = ACTIONS(2332),
    [anon_sym_PLUS_PLUS] = ACTIONS(2332),
    [anon_sym_sizeof] = ACTIONS(2330),
    [anon_sym___alignof__] = ACTIONS(2330),
    [anon_sym___alignof] = ACTIONS(2330),
    [anon_sym__alignof] = ACTIONS(2330),
    [anon_sym_alignof] = ACTIONS(2330),
    [anon_sym__Alignof] = ACTIONS(2330),
    [anon_sym_offsetof] = ACTIONS(2330),
    [anon_sym__Generic] = ACTIONS(2330),
    [anon_sym_asm] = ACTIONS(2330),
    [anon_sym___asm__] = ACTIONS(2330),
    [sym_number_literal] = ACTIONS(2332),
    [anon_sym_L_SQUOTE] = ACTIONS(2332),
    [anon_sym_u_SQUOTE] = ACTIONS(2332),
    [anon_sym_U_SQUOTE] = ACTIONS(2332),
    [anon_sym_u8_SQUOTE] = ACTIONS(2332),
    [anon_sym_SQUOTE] = ACTIONS(2332),
    [anon_sym_L_DQUOTE] = ACTIONS(2332),
    [anon_sym_u_DQUOTE] = ACTIONS(2332),
    [anon_sym_U_DQUOTE] = ACTIONS(2332),
    [anon_sym_u8_DQUOTE] = ACTIONS(2332),
    [anon_sym_DQUOTE] = ACTIONS(2332),
    [sym_true] = ACTIONS(2330),
    [sym_false] = ACTIONS(2330),
    [anon_sym_NULL] = ACTIONS(2330),
    [anon_sym_nullptr] = ACTIONS(2330),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2330),
    [anon_sym_decltype] = ACTIONS(2330),
    [anon_sym_virtual] = ACTIONS(2330),
    [anon_sym_alignas] = ACTIONS(2330),
    [anon_sym_explicit] = ACTIONS(2330),
    [anon_sym_typename] = ACTIONS(2330),
    [anon_sym_template] = ACTIONS(2330),
    [anon_sym_operator] = ACTIONS(2330),
    [anon_sym_try] = ACTIONS(2330),
    [anon_sym_delete] = ACTIONS(2330),
    [anon_sym_throw] = ACTIONS(2330),
    [anon_sym_namespace] = ACTIONS(2330),
    [anon_sym_using] = ACTIONS(2330),
    [anon_sym_static_assert] = ACTIONS(2330),
    [anon_sym_concept] = ACTIONS(2330),
    [anon_sym_co_return] = ACTIONS(2330),
    [anon_sym_co_yield] = ACTIONS(2330),
    [anon_sym_R_DQUOTE] = ACTIONS(2332),
    [anon_sym_LR_DQUOTE] = ACTIONS(2332),
    [anon_sym_uR_DQUOTE] = ACTIONS(2332),
    [anon_sym_UR_DQUOTE] = ACTIONS(2332),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2332),
    [anon_sym_co_await] = ACTIONS(2330),
    [anon_sym_new] = ACTIONS(2330),
    [anon_sym_requires] = ACTIONS(2330),
    [sym_this] = ACTIONS(2330),
    [anon_sym_discard] = ACTIONS(2330),
    [anon_sym_precise] = ACTIONS(2330),
    [anon_sym_shared] = ACTIONS(2330),
    [anon_sym_groupshared] = ACTIONS(2330),
    [anon_sym_uniform] = ACTIONS(2330),
    [anon_sym_row_major] = ACTIONS(2330),
    [anon_sym_column_major] = ACTIONS(2330),
    [anon_sym_globallycoherent] = ACTIONS(2330),
    [anon_sym_centroid] = ACTIONS(2330),
    [anon_sym_noperspective] = ACTIONS(2330),
    [anon_sym_nointerpolation] = ACTIONS(2330),
    [anon_sym_sample] = ACTIONS(2330),
    [anon_sym_linear] = ACTIONS(2330),
    [anon_sym_snorm] = ACTIONS(2330),
    [anon_sym_unorm] = ACTIONS(2330),
    [anon_sym_point] = ACTIONS(2330),
    [anon_sym_line] = ACTIONS(2330),
    [anon_sym_triangleadj] = ACTIONS(2330),
    [anon_sym_lineadj] = ACTIONS(2330),
    [anon_sym_triangle] = ACTIONS(2330),
    [anon_sym_cbuffer] = ACTIONS(2330),
  },
  [694] = {
    [ts_builtin_sym_end] = ACTIONS(2332),
    [sym_identifier] = ACTIONS(2330),
    [aux_sym_preproc_include_token1] = ACTIONS(2330),
    [aux_sym_preproc_def_token1] = ACTIONS(2330),
    [aux_sym_preproc_if_token1] = ACTIONS(2330),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2330),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2330),
    [sym_preproc_directive] = ACTIONS(2330),
    [anon_sym_LPAREN2] = ACTIONS(2332),
    [anon_sym_BANG] = ACTIONS(2332),
    [anon_sym_TILDE] = ACTIONS(2332),
    [anon_sym_DASH] = ACTIONS(2330),
    [anon_sym_PLUS] = ACTIONS(2330),
    [anon_sym_STAR] = ACTIONS(2332),
    [anon_sym_AMP_AMP] = ACTIONS(2332),
    [anon_sym_AMP] = ACTIONS(2330),
    [anon_sym_SEMI] = ACTIONS(2332),
    [anon_sym___extension__] = ACTIONS(2330),
    [anon_sym_typedef] = ACTIONS(2330),
    [anon_sym_in] = ACTIONS(2330),
    [anon_sym_out] = ACTIONS(2330),
    [anon_sym_inout] = ACTIONS(2330),
    [anon_sym_extern] = ACTIONS(2330),
    [anon_sym___attribute__] = ACTIONS(2330),
    [anon_sym_COLON_COLON] = ACTIONS(2332),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2332),
    [anon_sym___declspec] = ACTIONS(2330),
    [anon_sym___based] = ACTIONS(2330),
    [anon_sym___cdecl] = ACTIONS(2330),
    [anon_sym___clrcall] = ACTIONS(2330),
    [anon_sym___stdcall] = ACTIONS(2330),
    [anon_sym___fastcall] = ACTIONS(2330),
    [anon_sym___thiscall] = ACTIONS(2330),
    [anon_sym___vectorcall] = ACTIONS(2330),
    [anon_sym_LBRACE] = ACTIONS(2332),
    [anon_sym_signed] = ACTIONS(2330),
    [anon_sym_unsigned] = ACTIONS(2330),
    [anon_sym_long] = ACTIONS(2330),
    [anon_sym_short] = ACTIONS(2330),
    [anon_sym_LBRACK] = ACTIONS(2330),
    [anon_sym_static] = ACTIONS(2330),
    [anon_sym_register] = ACTIONS(2330),
    [anon_sym_inline] = ACTIONS(2330),
    [anon_sym___inline] = ACTIONS(2330),
    [anon_sym___inline__] = ACTIONS(2330),
    [anon_sym___forceinline] = ACTIONS(2330),
    [anon_sym_thread_local] = ACTIONS(2330),
    [anon_sym___thread] = ACTIONS(2330),
    [anon_sym_const] = ACTIONS(2330),
    [anon_sym_constexpr] = ACTIONS(2330),
    [anon_sym_volatile] = ACTIONS(2330),
    [anon_sym_restrict] = ACTIONS(2330),
    [anon_sym___restrict__] = ACTIONS(2330),
    [anon_sym__Atomic] = ACTIONS(2330),
    [anon_sym__Noreturn] = ACTIONS(2330),
    [anon_sym_noreturn] = ACTIONS(2330),
    [anon_sym_mutable] = ACTIONS(2330),
    [anon_sym_constinit] = ACTIONS(2330),
    [anon_sym_consteval] = ACTIONS(2330),
    [sym_primitive_type] = ACTIONS(2330),
    [anon_sym_enum] = ACTIONS(2330),
    [anon_sym_class] = ACTIONS(2330),
    [anon_sym_struct] = ACTIONS(2330),
    [anon_sym_union] = ACTIONS(2330),
    [anon_sym_if] = ACTIONS(2330),
    [anon_sym_else] = ACTIONS(2330),
    [anon_sym_switch] = ACTIONS(2330),
    [anon_sym_case] = ACTIONS(2330),
    [anon_sym_default] = ACTIONS(2330),
    [anon_sym_while] = ACTIONS(2330),
    [anon_sym_do] = ACTIONS(2330),
    [anon_sym_for] = ACTIONS(2330),
    [anon_sym_return] = ACTIONS(2330),
    [anon_sym_break] = ACTIONS(2330),
    [anon_sym_continue] = ACTIONS(2330),
    [anon_sym_goto] = ACTIONS(2330),
    [anon_sym___try] = ACTIONS(2330),
    [anon_sym___leave] = ACTIONS(2330),
    [anon_sym_not] = ACTIONS(2330),
    [anon_sym_compl] = ACTIONS(2330),
    [anon_sym_DASH_DASH] = ACTIONS(2332),
    [anon_sym_PLUS_PLUS] = ACTIONS(2332),
    [anon_sym_sizeof] = ACTIONS(2330),
    [anon_sym___alignof__] = ACTIONS(2330),
    [anon_sym___alignof] = ACTIONS(2330),
    [anon_sym__alignof] = ACTIONS(2330),
    [anon_sym_alignof] = ACTIONS(2330),
    [anon_sym__Alignof] = ACTIONS(2330),
    [anon_sym_offsetof] = ACTIONS(2330),
    [anon_sym__Generic] = ACTIONS(2330),
    [anon_sym_asm] = ACTIONS(2330),
    [anon_sym___asm__] = ACTIONS(2330),
    [sym_number_literal] = ACTIONS(2332),
    [anon_sym_L_SQUOTE] = ACTIONS(2332),
    [anon_sym_u_SQUOTE] = ACTIONS(2332),
    [anon_sym_U_SQUOTE] = ACTIONS(2332),
    [anon_sym_u8_SQUOTE] = ACTIONS(2332),
    [anon_sym_SQUOTE] = ACTIONS(2332),
    [anon_sym_L_DQUOTE] = ACTIONS(2332),
    [anon_sym_u_DQUOTE] = ACTIONS(2332),
    [anon_sym_U_DQUOTE] = ACTIONS(2332),
    [anon_sym_u8_DQUOTE] = ACTIONS(2332),
    [anon_sym_DQUOTE] = ACTIONS(2332),
    [sym_true] = ACTIONS(2330),
    [sym_false] = ACTIONS(2330),
    [anon_sym_NULL] = ACTIONS(2330),
    [anon_sym_nullptr] = ACTIONS(2330),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2330),
    [anon_sym_decltype] = ACTIONS(2330),
    [anon_sym_virtual] = ACTIONS(2330),
    [anon_sym_alignas] = ACTIONS(2330),
    [anon_sym_explicit] = ACTIONS(2330),
    [anon_sym_typename] = ACTIONS(2330),
    [anon_sym_template] = ACTIONS(2330),
    [anon_sym_operator] = ACTIONS(2330),
    [anon_sym_try] = ACTIONS(2330),
    [anon_sym_delete] = ACTIONS(2330),
    [anon_sym_throw] = ACTIONS(2330),
    [anon_sym_namespace] = ACTIONS(2330),
    [anon_sym_using] = ACTIONS(2330),
    [anon_sym_static_assert] = ACTIONS(2330),
    [anon_sym_concept] = ACTIONS(2330),
    [anon_sym_co_return] = ACTIONS(2330),
    [anon_sym_co_yield] = ACTIONS(2330),
    [anon_sym_R_DQUOTE] = ACTIONS(2332),
    [anon_sym_LR_DQUOTE] = ACTIONS(2332),
    [anon_sym_uR_DQUOTE] = ACTIONS(2332),
    [anon_sym_UR_DQUOTE] = ACTIONS(2332),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2332),
    [anon_sym_co_await] = ACTIONS(2330),
    [anon_sym_new] = ACTIONS(2330),
    [anon_sym_requires] = ACTIONS(2330),
    [sym_this] = ACTIONS(2330),
    [anon_sym_discard] = ACTIONS(2330),
    [anon_sym_precise] = ACTIONS(2330),
    [anon_sym_shared] = ACTIONS(2330),
    [anon_sym_groupshared] = ACTIONS(2330),
    [anon_sym_uniform] = ACTIONS(2330),
    [anon_sym_row_major] = ACTIONS(2330),
    [anon_sym_column_major] = ACTIONS(2330),
    [anon_sym_globallycoherent] = ACTIONS(2330),
    [anon_sym_centroid] = ACTIONS(2330),
    [anon_sym_noperspective] = ACTIONS(2330),
    [anon_sym_nointerpolation] = ACTIONS(2330),
    [anon_sym_sample] = ACTIONS(2330),
    [anon_sym_linear] = ACTIONS(2330),
    [anon_sym_snorm] = ACTIONS(2330),
    [anon_sym_unorm] = ACTIONS(2330),
    [anon_sym_point] = ACTIONS(2330),
    [anon_sym_line] = ACTIONS(2330),
    [anon_sym_triangleadj] = ACTIONS(2330),
    [anon_sym_lineadj] = ACTIONS(2330),
    [anon_sym_triangle] = ACTIONS(2330),
    [anon_sym_cbuffer] = ACTIONS(2330),
  },
  [695] = {
    [sym_identifier] = ACTIONS(2432),
    [aux_sym_preproc_include_token1] = ACTIONS(2432),
    [aux_sym_preproc_def_token1] = ACTIONS(2432),
    [aux_sym_preproc_if_token1] = ACTIONS(2432),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2432),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2432),
    [sym_preproc_directive] = ACTIONS(2432),
    [anon_sym_LPAREN2] = ACTIONS(2434),
    [anon_sym_BANG] = ACTIONS(2434),
    [anon_sym_TILDE] = ACTIONS(2434),
    [anon_sym_DASH] = ACTIONS(2432),
    [anon_sym_PLUS] = ACTIONS(2432),
    [anon_sym_STAR] = ACTIONS(2434),
    [anon_sym_AMP_AMP] = ACTIONS(2434),
    [anon_sym_AMP] = ACTIONS(2432),
    [anon_sym_SEMI] = ACTIONS(2434),
    [anon_sym___extension__] = ACTIONS(2432),
    [anon_sym_typedef] = ACTIONS(2432),
    [anon_sym_in] = ACTIONS(2432),
    [anon_sym_out] = ACTIONS(2432),
    [anon_sym_inout] = ACTIONS(2432),
    [anon_sym_extern] = ACTIONS(2432),
    [anon_sym___attribute__] = ACTIONS(2432),
    [anon_sym_COLON_COLON] = ACTIONS(2434),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2434),
    [anon_sym___declspec] = ACTIONS(2432),
    [anon_sym___based] = ACTIONS(2432),
    [anon_sym___cdecl] = ACTIONS(2432),
    [anon_sym___clrcall] = ACTIONS(2432),
    [anon_sym___stdcall] = ACTIONS(2432),
    [anon_sym___fastcall] = ACTIONS(2432),
    [anon_sym___thiscall] = ACTIONS(2432),
    [anon_sym___vectorcall] = ACTIONS(2432),
    [anon_sym_LBRACE] = ACTIONS(2434),
    [anon_sym_RBRACE] = ACTIONS(2434),
    [anon_sym_signed] = ACTIONS(2432),
    [anon_sym_unsigned] = ACTIONS(2432),
    [anon_sym_long] = ACTIONS(2432),
    [anon_sym_short] = ACTIONS(2432),
    [anon_sym_LBRACK] = ACTIONS(2432),
    [anon_sym_static] = ACTIONS(2432),
    [anon_sym_register] = ACTIONS(2432),
    [anon_sym_inline] = ACTIONS(2432),
    [anon_sym___inline] = ACTIONS(2432),
    [anon_sym___inline__] = ACTIONS(2432),
    [anon_sym___forceinline] = ACTIONS(2432),
    [anon_sym_thread_local] = ACTIONS(2432),
    [anon_sym___thread] = ACTIONS(2432),
    [anon_sym_const] = ACTIONS(2432),
    [anon_sym_constexpr] = ACTIONS(2432),
    [anon_sym_volatile] = ACTIONS(2432),
    [anon_sym_restrict] = ACTIONS(2432),
    [anon_sym___restrict__] = ACTIONS(2432),
    [anon_sym__Atomic] = ACTIONS(2432),
    [anon_sym__Noreturn] = ACTIONS(2432),
    [anon_sym_noreturn] = ACTIONS(2432),
    [anon_sym_mutable] = ACTIONS(2432),
    [anon_sym_constinit] = ACTIONS(2432),
    [anon_sym_consteval] = ACTIONS(2432),
    [sym_primitive_type] = ACTIONS(2432),
    [anon_sym_enum] = ACTIONS(2432),
    [anon_sym_class] = ACTIONS(2432),
    [anon_sym_struct] = ACTIONS(2432),
    [anon_sym_union] = ACTIONS(2432),
    [anon_sym_if] = ACTIONS(2432),
    [anon_sym_else] = ACTIONS(2432),
    [anon_sym_switch] = ACTIONS(2432),
    [anon_sym_case] = ACTIONS(2432),
    [anon_sym_default] = ACTIONS(2432),
    [anon_sym_while] = ACTIONS(2432),
    [anon_sym_do] = ACTIONS(2432),
    [anon_sym_for] = ACTIONS(2432),
    [anon_sym_return] = ACTIONS(2432),
    [anon_sym_break] = ACTIONS(2432),
    [anon_sym_continue] = ACTIONS(2432),
    [anon_sym_goto] = ACTIONS(2432),
    [anon_sym___try] = ACTIONS(2432),
    [anon_sym___leave] = ACTIONS(2432),
    [anon_sym_not] = ACTIONS(2432),
    [anon_sym_compl] = ACTIONS(2432),
    [anon_sym_DASH_DASH] = ACTIONS(2434),
    [anon_sym_PLUS_PLUS] = ACTIONS(2434),
    [anon_sym_sizeof] = ACTIONS(2432),
    [anon_sym___alignof__] = ACTIONS(2432),
    [anon_sym___alignof] = ACTIONS(2432),
    [anon_sym__alignof] = ACTIONS(2432),
    [anon_sym_alignof] = ACTIONS(2432),
    [anon_sym__Alignof] = ACTIONS(2432),
    [anon_sym_offsetof] = ACTIONS(2432),
    [anon_sym__Generic] = ACTIONS(2432),
    [anon_sym_asm] = ACTIONS(2432),
    [anon_sym___asm__] = ACTIONS(2432),
    [sym_number_literal] = ACTIONS(2434),
    [anon_sym_L_SQUOTE] = ACTIONS(2434),
    [anon_sym_u_SQUOTE] = ACTIONS(2434),
    [anon_sym_U_SQUOTE] = ACTIONS(2434),
    [anon_sym_u8_SQUOTE] = ACTIONS(2434),
    [anon_sym_SQUOTE] = ACTIONS(2434),
    [anon_sym_L_DQUOTE] = ACTIONS(2434),
    [anon_sym_u_DQUOTE] = ACTIONS(2434),
    [anon_sym_U_DQUOTE] = ACTIONS(2434),
    [anon_sym_u8_DQUOTE] = ACTIONS(2434),
    [anon_sym_DQUOTE] = ACTIONS(2434),
    [sym_true] = ACTIONS(2432),
    [sym_false] = ACTIONS(2432),
    [anon_sym_NULL] = ACTIONS(2432),
    [anon_sym_nullptr] = ACTIONS(2432),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2432),
    [anon_sym_decltype] = ACTIONS(2432),
    [anon_sym_virtual] = ACTIONS(2432),
    [anon_sym_alignas] = ACTIONS(2432),
    [anon_sym_explicit] = ACTIONS(2432),
    [anon_sym_typename] = ACTIONS(2432),
    [anon_sym_template] = ACTIONS(2432),
    [anon_sym_operator] = ACTIONS(2432),
    [anon_sym_try] = ACTIONS(2432),
    [anon_sym_delete] = ACTIONS(2432),
    [anon_sym_throw] = ACTIONS(2432),
    [anon_sym_namespace] = ACTIONS(2432),
    [anon_sym_using] = ACTIONS(2432),
    [anon_sym_static_assert] = ACTIONS(2432),
    [anon_sym_concept] = ACTIONS(2432),
    [anon_sym_co_return] = ACTIONS(2432),
    [anon_sym_co_yield] = ACTIONS(2432),
    [anon_sym_R_DQUOTE] = ACTIONS(2434),
    [anon_sym_LR_DQUOTE] = ACTIONS(2434),
    [anon_sym_uR_DQUOTE] = ACTIONS(2434),
    [anon_sym_UR_DQUOTE] = ACTIONS(2434),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2434),
    [anon_sym_co_await] = ACTIONS(2432),
    [anon_sym_new] = ACTIONS(2432),
    [anon_sym_requires] = ACTIONS(2432),
    [sym_this] = ACTIONS(2432),
    [anon_sym_discard] = ACTIONS(2432),
    [anon_sym_precise] = ACTIONS(2432),
    [anon_sym_shared] = ACTIONS(2432),
    [anon_sym_groupshared] = ACTIONS(2432),
    [anon_sym_uniform] = ACTIONS(2432),
    [anon_sym_row_major] = ACTIONS(2432),
    [anon_sym_column_major] = ACTIONS(2432),
    [anon_sym_globallycoherent] = ACTIONS(2432),
    [anon_sym_centroid] = ACTIONS(2432),
    [anon_sym_noperspective] = ACTIONS(2432),
    [anon_sym_nointerpolation] = ACTIONS(2432),
    [anon_sym_sample] = ACTIONS(2432),
    [anon_sym_linear] = ACTIONS(2432),
    [anon_sym_snorm] = ACTIONS(2432),
    [anon_sym_unorm] = ACTIONS(2432),
    [anon_sym_point] = ACTIONS(2432),
    [anon_sym_line] = ACTIONS(2432),
    [anon_sym_triangleadj] = ACTIONS(2432),
    [anon_sym_lineadj] = ACTIONS(2432),
    [anon_sym_triangle] = ACTIONS(2432),
    [anon_sym_cbuffer] = ACTIONS(2432),
  },
  [696] = {
    [sym_identifier] = ACTIONS(2456),
    [aux_sym_preproc_include_token1] = ACTIONS(2456),
    [aux_sym_preproc_def_token1] = ACTIONS(2456),
    [aux_sym_preproc_if_token1] = ACTIONS(2456),
    [aux_sym_preproc_if_token2] = ACTIONS(2456),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2456),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2456),
    [sym_preproc_directive] = ACTIONS(2456),
    [anon_sym_LPAREN2] = ACTIONS(2458),
    [anon_sym_BANG] = ACTIONS(2458),
    [anon_sym_TILDE] = ACTIONS(2458),
    [anon_sym_DASH] = ACTIONS(2456),
    [anon_sym_PLUS] = ACTIONS(2456),
    [anon_sym_STAR] = ACTIONS(2458),
    [anon_sym_AMP_AMP] = ACTIONS(2458),
    [anon_sym_AMP] = ACTIONS(2456),
    [anon_sym_SEMI] = ACTIONS(2458),
    [anon_sym___extension__] = ACTIONS(2456),
    [anon_sym_typedef] = ACTIONS(2456),
    [anon_sym_in] = ACTIONS(2456),
    [anon_sym_out] = ACTIONS(2456),
    [anon_sym_inout] = ACTIONS(2456),
    [anon_sym_extern] = ACTIONS(2456),
    [anon_sym___attribute__] = ACTIONS(2456),
    [anon_sym_COLON_COLON] = ACTIONS(2458),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2458),
    [anon_sym___declspec] = ACTIONS(2456),
    [anon_sym___based] = ACTIONS(2456),
    [anon_sym___cdecl] = ACTIONS(2456),
    [anon_sym___clrcall] = ACTIONS(2456),
    [anon_sym___stdcall] = ACTIONS(2456),
    [anon_sym___fastcall] = ACTIONS(2456),
    [anon_sym___thiscall] = ACTIONS(2456),
    [anon_sym___vectorcall] = ACTIONS(2456),
    [anon_sym_LBRACE] = ACTIONS(2458),
    [anon_sym_signed] = ACTIONS(2456),
    [anon_sym_unsigned] = ACTIONS(2456),
    [anon_sym_long] = ACTIONS(2456),
    [anon_sym_short] = ACTIONS(2456),
    [anon_sym_LBRACK] = ACTIONS(2456),
    [anon_sym_static] = ACTIONS(2456),
    [anon_sym_register] = ACTIONS(2456),
    [anon_sym_inline] = ACTIONS(2456),
    [anon_sym___inline] = ACTIONS(2456),
    [anon_sym___inline__] = ACTIONS(2456),
    [anon_sym___forceinline] = ACTIONS(2456),
    [anon_sym_thread_local] = ACTIONS(2456),
    [anon_sym___thread] = ACTIONS(2456),
    [anon_sym_const] = ACTIONS(2456),
    [anon_sym_constexpr] = ACTIONS(2456),
    [anon_sym_volatile] = ACTIONS(2456),
    [anon_sym_restrict] = ACTIONS(2456),
    [anon_sym___restrict__] = ACTIONS(2456),
    [anon_sym__Atomic] = ACTIONS(2456),
    [anon_sym__Noreturn] = ACTIONS(2456),
    [anon_sym_noreturn] = ACTIONS(2456),
    [anon_sym_mutable] = ACTIONS(2456),
    [anon_sym_constinit] = ACTIONS(2456),
    [anon_sym_consteval] = ACTIONS(2456),
    [sym_primitive_type] = ACTIONS(2456),
    [anon_sym_enum] = ACTIONS(2456),
    [anon_sym_class] = ACTIONS(2456),
    [anon_sym_struct] = ACTIONS(2456),
    [anon_sym_union] = ACTIONS(2456),
    [anon_sym_if] = ACTIONS(2456),
    [anon_sym_else] = ACTIONS(2456),
    [anon_sym_switch] = ACTIONS(2456),
    [anon_sym_case] = ACTIONS(2456),
    [anon_sym_default] = ACTIONS(2456),
    [anon_sym_while] = ACTIONS(2456),
    [anon_sym_do] = ACTIONS(2456),
    [anon_sym_for] = ACTIONS(2456),
    [anon_sym_return] = ACTIONS(2456),
    [anon_sym_break] = ACTIONS(2456),
    [anon_sym_continue] = ACTIONS(2456),
    [anon_sym_goto] = ACTIONS(2456),
    [anon_sym___try] = ACTIONS(2456),
    [anon_sym___leave] = ACTIONS(2456),
    [anon_sym_not] = ACTIONS(2456),
    [anon_sym_compl] = ACTIONS(2456),
    [anon_sym_DASH_DASH] = ACTIONS(2458),
    [anon_sym_PLUS_PLUS] = ACTIONS(2458),
    [anon_sym_sizeof] = ACTIONS(2456),
    [anon_sym___alignof__] = ACTIONS(2456),
    [anon_sym___alignof] = ACTIONS(2456),
    [anon_sym__alignof] = ACTIONS(2456),
    [anon_sym_alignof] = ACTIONS(2456),
    [anon_sym__Alignof] = ACTIONS(2456),
    [anon_sym_offsetof] = ACTIONS(2456),
    [anon_sym__Generic] = ACTIONS(2456),
    [anon_sym_asm] = ACTIONS(2456),
    [anon_sym___asm__] = ACTIONS(2456),
    [sym_number_literal] = ACTIONS(2458),
    [anon_sym_L_SQUOTE] = ACTIONS(2458),
    [anon_sym_u_SQUOTE] = ACTIONS(2458),
    [anon_sym_U_SQUOTE] = ACTIONS(2458),
    [anon_sym_u8_SQUOTE] = ACTIONS(2458),
    [anon_sym_SQUOTE] = ACTIONS(2458),
    [anon_sym_L_DQUOTE] = ACTIONS(2458),
    [anon_sym_u_DQUOTE] = ACTIONS(2458),
    [anon_sym_U_DQUOTE] = ACTIONS(2458),
    [anon_sym_u8_DQUOTE] = ACTIONS(2458),
    [anon_sym_DQUOTE] = ACTIONS(2458),
    [sym_true] = ACTIONS(2456),
    [sym_false] = ACTIONS(2456),
    [anon_sym_NULL] = ACTIONS(2456),
    [anon_sym_nullptr] = ACTIONS(2456),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2456),
    [anon_sym_decltype] = ACTIONS(2456),
    [anon_sym_virtual] = ACTIONS(2456),
    [anon_sym_alignas] = ACTIONS(2456),
    [anon_sym_explicit] = ACTIONS(2456),
    [anon_sym_typename] = ACTIONS(2456),
    [anon_sym_template] = ACTIONS(2456),
    [anon_sym_operator] = ACTIONS(2456),
    [anon_sym_try] = ACTIONS(2456),
    [anon_sym_delete] = ACTIONS(2456),
    [anon_sym_throw] = ACTIONS(2456),
    [anon_sym_namespace] = ACTIONS(2456),
    [anon_sym_using] = ACTIONS(2456),
    [anon_sym_static_assert] = ACTIONS(2456),
    [anon_sym_concept] = ACTIONS(2456),
    [anon_sym_co_return] = ACTIONS(2456),
    [anon_sym_co_yield] = ACTIONS(2456),
    [anon_sym_R_DQUOTE] = ACTIONS(2458),
    [anon_sym_LR_DQUOTE] = ACTIONS(2458),
    [anon_sym_uR_DQUOTE] = ACTIONS(2458),
    [anon_sym_UR_DQUOTE] = ACTIONS(2458),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2458),
    [anon_sym_co_await] = ACTIONS(2456),
    [anon_sym_new] = ACTIONS(2456),
    [anon_sym_requires] = ACTIONS(2456),
    [sym_this] = ACTIONS(2456),
    [anon_sym_discard] = ACTIONS(2456),
    [anon_sym_precise] = ACTIONS(2456),
    [anon_sym_shared] = ACTIONS(2456),
    [anon_sym_groupshared] = ACTIONS(2456),
    [anon_sym_uniform] = ACTIONS(2456),
    [anon_sym_row_major] = ACTIONS(2456),
    [anon_sym_column_major] = ACTIONS(2456),
    [anon_sym_globallycoherent] = ACTIONS(2456),
    [anon_sym_centroid] = ACTIONS(2456),
    [anon_sym_noperspective] = ACTIONS(2456),
    [anon_sym_nointerpolation] = ACTIONS(2456),
    [anon_sym_sample] = ACTIONS(2456),
    [anon_sym_linear] = ACTIONS(2456),
    [anon_sym_snorm] = ACTIONS(2456),
    [anon_sym_unorm] = ACTIONS(2456),
    [anon_sym_point] = ACTIONS(2456),
    [anon_sym_line] = ACTIONS(2456),
    [anon_sym_triangleadj] = ACTIONS(2456),
    [anon_sym_lineadj] = ACTIONS(2456),
    [anon_sym_triangle] = ACTIONS(2456),
    [anon_sym_cbuffer] = ACTIONS(2456),
  },
  [697] = {
    [ts_builtin_sym_end] = ACTIONS(2332),
    [sym_identifier] = ACTIONS(2330),
    [aux_sym_preproc_include_token1] = ACTIONS(2330),
    [aux_sym_preproc_def_token1] = ACTIONS(2330),
    [aux_sym_preproc_if_token1] = ACTIONS(2330),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2330),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2330),
    [sym_preproc_directive] = ACTIONS(2330),
    [anon_sym_LPAREN2] = ACTIONS(2332),
    [anon_sym_BANG] = ACTIONS(2332),
    [anon_sym_TILDE] = ACTIONS(2332),
    [anon_sym_DASH] = ACTIONS(2330),
    [anon_sym_PLUS] = ACTIONS(2330),
    [anon_sym_STAR] = ACTIONS(2332),
    [anon_sym_AMP_AMP] = ACTIONS(2332),
    [anon_sym_AMP] = ACTIONS(2330),
    [anon_sym_SEMI] = ACTIONS(2332),
    [anon_sym___extension__] = ACTIONS(2330),
    [anon_sym_typedef] = ACTIONS(2330),
    [anon_sym_in] = ACTIONS(2330),
    [anon_sym_out] = ACTIONS(2330),
    [anon_sym_inout] = ACTIONS(2330),
    [anon_sym_extern] = ACTIONS(2330),
    [anon_sym___attribute__] = ACTIONS(2330),
    [anon_sym_COLON_COLON] = ACTIONS(2332),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2332),
    [anon_sym___declspec] = ACTIONS(2330),
    [anon_sym___based] = ACTIONS(2330),
    [anon_sym___cdecl] = ACTIONS(2330),
    [anon_sym___clrcall] = ACTIONS(2330),
    [anon_sym___stdcall] = ACTIONS(2330),
    [anon_sym___fastcall] = ACTIONS(2330),
    [anon_sym___thiscall] = ACTIONS(2330),
    [anon_sym___vectorcall] = ACTIONS(2330),
    [anon_sym_LBRACE] = ACTIONS(2332),
    [anon_sym_signed] = ACTIONS(2330),
    [anon_sym_unsigned] = ACTIONS(2330),
    [anon_sym_long] = ACTIONS(2330),
    [anon_sym_short] = ACTIONS(2330),
    [anon_sym_LBRACK] = ACTIONS(2330),
    [anon_sym_static] = ACTIONS(2330),
    [anon_sym_register] = ACTIONS(2330),
    [anon_sym_inline] = ACTIONS(2330),
    [anon_sym___inline] = ACTIONS(2330),
    [anon_sym___inline__] = ACTIONS(2330),
    [anon_sym___forceinline] = ACTIONS(2330),
    [anon_sym_thread_local] = ACTIONS(2330),
    [anon_sym___thread] = ACTIONS(2330),
    [anon_sym_const] = ACTIONS(2330),
    [anon_sym_constexpr] = ACTIONS(2330),
    [anon_sym_volatile] = ACTIONS(2330),
    [anon_sym_restrict] = ACTIONS(2330),
    [anon_sym___restrict__] = ACTIONS(2330),
    [anon_sym__Atomic] = ACTIONS(2330),
    [anon_sym__Noreturn] = ACTIONS(2330),
    [anon_sym_noreturn] = ACTIONS(2330),
    [anon_sym_mutable] = ACTIONS(2330),
    [anon_sym_constinit] = ACTIONS(2330),
    [anon_sym_consteval] = ACTIONS(2330),
    [sym_primitive_type] = ACTIONS(2330),
    [anon_sym_enum] = ACTIONS(2330),
    [anon_sym_class] = ACTIONS(2330),
    [anon_sym_struct] = ACTIONS(2330),
    [anon_sym_union] = ACTIONS(2330),
    [anon_sym_if] = ACTIONS(2330),
    [anon_sym_else] = ACTIONS(2330),
    [anon_sym_switch] = ACTIONS(2330),
    [anon_sym_case] = ACTIONS(2330),
    [anon_sym_default] = ACTIONS(2330),
    [anon_sym_while] = ACTIONS(2330),
    [anon_sym_do] = ACTIONS(2330),
    [anon_sym_for] = ACTIONS(2330),
    [anon_sym_return] = ACTIONS(2330),
    [anon_sym_break] = ACTIONS(2330),
    [anon_sym_continue] = ACTIONS(2330),
    [anon_sym_goto] = ACTIONS(2330),
    [anon_sym___try] = ACTIONS(2330),
    [anon_sym___leave] = ACTIONS(2330),
    [anon_sym_not] = ACTIONS(2330),
    [anon_sym_compl] = ACTIONS(2330),
    [anon_sym_DASH_DASH] = ACTIONS(2332),
    [anon_sym_PLUS_PLUS] = ACTIONS(2332),
    [anon_sym_sizeof] = ACTIONS(2330),
    [anon_sym___alignof__] = ACTIONS(2330),
    [anon_sym___alignof] = ACTIONS(2330),
    [anon_sym__alignof] = ACTIONS(2330),
    [anon_sym_alignof] = ACTIONS(2330),
    [anon_sym__Alignof] = ACTIONS(2330),
    [anon_sym_offsetof] = ACTIONS(2330),
    [anon_sym__Generic] = ACTIONS(2330),
    [anon_sym_asm] = ACTIONS(2330),
    [anon_sym___asm__] = ACTIONS(2330),
    [sym_number_literal] = ACTIONS(2332),
    [anon_sym_L_SQUOTE] = ACTIONS(2332),
    [anon_sym_u_SQUOTE] = ACTIONS(2332),
    [anon_sym_U_SQUOTE] = ACTIONS(2332),
    [anon_sym_u8_SQUOTE] = ACTIONS(2332),
    [anon_sym_SQUOTE] = ACTIONS(2332),
    [anon_sym_L_DQUOTE] = ACTIONS(2332),
    [anon_sym_u_DQUOTE] = ACTIONS(2332),
    [anon_sym_U_DQUOTE] = ACTIONS(2332),
    [anon_sym_u8_DQUOTE] = ACTIONS(2332),
    [anon_sym_DQUOTE] = ACTIONS(2332),
    [sym_true] = ACTIONS(2330),
    [sym_false] = ACTIONS(2330),
    [anon_sym_NULL] = ACTIONS(2330),
    [anon_sym_nullptr] = ACTIONS(2330),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2330),
    [anon_sym_decltype] = ACTIONS(2330),
    [anon_sym_virtual] = ACTIONS(2330),
    [anon_sym_alignas] = ACTIONS(2330),
    [anon_sym_explicit] = ACTIONS(2330),
    [anon_sym_typename] = ACTIONS(2330),
    [anon_sym_template] = ACTIONS(2330),
    [anon_sym_operator] = ACTIONS(2330),
    [anon_sym_try] = ACTIONS(2330),
    [anon_sym_delete] = ACTIONS(2330),
    [anon_sym_throw] = ACTIONS(2330),
    [anon_sym_namespace] = ACTIONS(2330),
    [anon_sym_using] = ACTIONS(2330),
    [anon_sym_static_assert] = ACTIONS(2330),
    [anon_sym_concept] = ACTIONS(2330),
    [anon_sym_co_return] = ACTIONS(2330),
    [anon_sym_co_yield] = ACTIONS(2330),
    [anon_sym_R_DQUOTE] = ACTIONS(2332),
    [anon_sym_LR_DQUOTE] = ACTIONS(2332),
    [anon_sym_uR_DQUOTE] = ACTIONS(2332),
    [anon_sym_UR_DQUOTE] = ACTIONS(2332),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2332),
    [anon_sym_co_await] = ACTIONS(2330),
    [anon_sym_new] = ACTIONS(2330),
    [anon_sym_requires] = ACTIONS(2330),
    [sym_this] = ACTIONS(2330),
    [anon_sym_discard] = ACTIONS(2330),
    [anon_sym_precise] = ACTIONS(2330),
    [anon_sym_shared] = ACTIONS(2330),
    [anon_sym_groupshared] = ACTIONS(2330),
    [anon_sym_uniform] = ACTIONS(2330),
    [anon_sym_row_major] = ACTIONS(2330),
    [anon_sym_column_major] = ACTIONS(2330),
    [anon_sym_globallycoherent] = ACTIONS(2330),
    [anon_sym_centroid] = ACTIONS(2330),
    [anon_sym_noperspective] = ACTIONS(2330),
    [anon_sym_nointerpolation] = ACTIONS(2330),
    [anon_sym_sample] = ACTIONS(2330),
    [anon_sym_linear] = ACTIONS(2330),
    [anon_sym_snorm] = ACTIONS(2330),
    [anon_sym_unorm] = ACTIONS(2330),
    [anon_sym_point] = ACTIONS(2330),
    [anon_sym_line] = ACTIONS(2330),
    [anon_sym_triangleadj] = ACTIONS(2330),
    [anon_sym_lineadj] = ACTIONS(2330),
    [anon_sym_triangle] = ACTIONS(2330),
    [anon_sym_cbuffer] = ACTIONS(2330),
  },
  [698] = {
    [ts_builtin_sym_end] = ACTIONS(2332),
    [sym_identifier] = ACTIONS(2330),
    [aux_sym_preproc_include_token1] = ACTIONS(2330),
    [aux_sym_preproc_def_token1] = ACTIONS(2330),
    [aux_sym_preproc_if_token1] = ACTIONS(2330),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2330),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2330),
    [sym_preproc_directive] = ACTIONS(2330),
    [anon_sym_LPAREN2] = ACTIONS(2332),
    [anon_sym_BANG] = ACTIONS(2332),
    [anon_sym_TILDE] = ACTIONS(2332),
    [anon_sym_DASH] = ACTIONS(2330),
    [anon_sym_PLUS] = ACTIONS(2330),
    [anon_sym_STAR] = ACTIONS(2332),
    [anon_sym_AMP_AMP] = ACTIONS(2332),
    [anon_sym_AMP] = ACTIONS(2330),
    [anon_sym_SEMI] = ACTIONS(2332),
    [anon_sym___extension__] = ACTIONS(2330),
    [anon_sym_typedef] = ACTIONS(2330),
    [anon_sym_in] = ACTIONS(2330),
    [anon_sym_out] = ACTIONS(2330),
    [anon_sym_inout] = ACTIONS(2330),
    [anon_sym_extern] = ACTIONS(2330),
    [anon_sym___attribute__] = ACTIONS(2330),
    [anon_sym_COLON_COLON] = ACTIONS(2332),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2332),
    [anon_sym___declspec] = ACTIONS(2330),
    [anon_sym___based] = ACTIONS(2330),
    [anon_sym___cdecl] = ACTIONS(2330),
    [anon_sym___clrcall] = ACTIONS(2330),
    [anon_sym___stdcall] = ACTIONS(2330),
    [anon_sym___fastcall] = ACTIONS(2330),
    [anon_sym___thiscall] = ACTIONS(2330),
    [anon_sym___vectorcall] = ACTIONS(2330),
    [anon_sym_LBRACE] = ACTIONS(2332),
    [anon_sym_signed] = ACTIONS(2330),
    [anon_sym_unsigned] = ACTIONS(2330),
    [anon_sym_long] = ACTIONS(2330),
    [anon_sym_short] = ACTIONS(2330),
    [anon_sym_LBRACK] = ACTIONS(2330),
    [anon_sym_static] = ACTIONS(2330),
    [anon_sym_register] = ACTIONS(2330),
    [anon_sym_inline] = ACTIONS(2330),
    [anon_sym___inline] = ACTIONS(2330),
    [anon_sym___inline__] = ACTIONS(2330),
    [anon_sym___forceinline] = ACTIONS(2330),
    [anon_sym_thread_local] = ACTIONS(2330),
    [anon_sym___thread] = ACTIONS(2330),
    [anon_sym_const] = ACTIONS(2330),
    [anon_sym_constexpr] = ACTIONS(2330),
    [anon_sym_volatile] = ACTIONS(2330),
    [anon_sym_restrict] = ACTIONS(2330),
    [anon_sym___restrict__] = ACTIONS(2330),
    [anon_sym__Atomic] = ACTIONS(2330),
    [anon_sym__Noreturn] = ACTIONS(2330),
    [anon_sym_noreturn] = ACTIONS(2330),
    [anon_sym_mutable] = ACTIONS(2330),
    [anon_sym_constinit] = ACTIONS(2330),
    [anon_sym_consteval] = ACTIONS(2330),
    [sym_primitive_type] = ACTIONS(2330),
    [anon_sym_enum] = ACTIONS(2330),
    [anon_sym_class] = ACTIONS(2330),
    [anon_sym_struct] = ACTIONS(2330),
    [anon_sym_union] = ACTIONS(2330),
    [anon_sym_if] = ACTIONS(2330),
    [anon_sym_else] = ACTIONS(2330),
    [anon_sym_switch] = ACTIONS(2330),
    [anon_sym_case] = ACTIONS(2330),
    [anon_sym_default] = ACTIONS(2330),
    [anon_sym_while] = ACTIONS(2330),
    [anon_sym_do] = ACTIONS(2330),
    [anon_sym_for] = ACTIONS(2330),
    [anon_sym_return] = ACTIONS(2330),
    [anon_sym_break] = ACTIONS(2330),
    [anon_sym_continue] = ACTIONS(2330),
    [anon_sym_goto] = ACTIONS(2330),
    [anon_sym___try] = ACTIONS(2330),
    [anon_sym___leave] = ACTIONS(2330),
    [anon_sym_not] = ACTIONS(2330),
    [anon_sym_compl] = ACTIONS(2330),
    [anon_sym_DASH_DASH] = ACTIONS(2332),
    [anon_sym_PLUS_PLUS] = ACTIONS(2332),
    [anon_sym_sizeof] = ACTIONS(2330),
    [anon_sym___alignof__] = ACTIONS(2330),
    [anon_sym___alignof] = ACTIONS(2330),
    [anon_sym__alignof] = ACTIONS(2330),
    [anon_sym_alignof] = ACTIONS(2330),
    [anon_sym__Alignof] = ACTIONS(2330),
    [anon_sym_offsetof] = ACTIONS(2330),
    [anon_sym__Generic] = ACTIONS(2330),
    [anon_sym_asm] = ACTIONS(2330),
    [anon_sym___asm__] = ACTIONS(2330),
    [sym_number_literal] = ACTIONS(2332),
    [anon_sym_L_SQUOTE] = ACTIONS(2332),
    [anon_sym_u_SQUOTE] = ACTIONS(2332),
    [anon_sym_U_SQUOTE] = ACTIONS(2332),
    [anon_sym_u8_SQUOTE] = ACTIONS(2332),
    [anon_sym_SQUOTE] = ACTIONS(2332),
    [anon_sym_L_DQUOTE] = ACTIONS(2332),
    [anon_sym_u_DQUOTE] = ACTIONS(2332),
    [anon_sym_U_DQUOTE] = ACTIONS(2332),
    [anon_sym_u8_DQUOTE] = ACTIONS(2332),
    [anon_sym_DQUOTE] = ACTIONS(2332),
    [sym_true] = ACTIONS(2330),
    [sym_false] = ACTIONS(2330),
    [anon_sym_NULL] = ACTIONS(2330),
    [anon_sym_nullptr] = ACTIONS(2330),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2330),
    [anon_sym_decltype] = ACTIONS(2330),
    [anon_sym_virtual] = ACTIONS(2330),
    [anon_sym_alignas] = ACTIONS(2330),
    [anon_sym_explicit] = ACTIONS(2330),
    [anon_sym_typename] = ACTIONS(2330),
    [anon_sym_template] = ACTIONS(2330),
    [anon_sym_operator] = ACTIONS(2330),
    [anon_sym_try] = ACTIONS(2330),
    [anon_sym_delete] = ACTIONS(2330),
    [anon_sym_throw] = ACTIONS(2330),
    [anon_sym_namespace] = ACTIONS(2330),
    [anon_sym_using] = ACTIONS(2330),
    [anon_sym_static_assert] = ACTIONS(2330),
    [anon_sym_concept] = ACTIONS(2330),
    [anon_sym_co_return] = ACTIONS(2330),
    [anon_sym_co_yield] = ACTIONS(2330),
    [anon_sym_R_DQUOTE] = ACTIONS(2332),
    [anon_sym_LR_DQUOTE] = ACTIONS(2332),
    [anon_sym_uR_DQUOTE] = ACTIONS(2332),
    [anon_sym_UR_DQUOTE] = ACTIONS(2332),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2332),
    [anon_sym_co_await] = ACTIONS(2330),
    [anon_sym_new] = ACTIONS(2330),
    [anon_sym_requires] = ACTIONS(2330),
    [sym_this] = ACTIONS(2330),
    [anon_sym_discard] = ACTIONS(2330),
    [anon_sym_precise] = ACTIONS(2330),
    [anon_sym_shared] = ACTIONS(2330),
    [anon_sym_groupshared] = ACTIONS(2330),
    [anon_sym_uniform] = ACTIONS(2330),
    [anon_sym_row_major] = ACTIONS(2330),
    [anon_sym_column_major] = ACTIONS(2330),
    [anon_sym_globallycoherent] = ACTIONS(2330),
    [anon_sym_centroid] = ACTIONS(2330),
    [anon_sym_noperspective] = ACTIONS(2330),
    [anon_sym_nointerpolation] = ACTIONS(2330),
    [anon_sym_sample] = ACTIONS(2330),
    [anon_sym_linear] = ACTIONS(2330),
    [anon_sym_snorm] = ACTIONS(2330),
    [anon_sym_unorm] = ACTIONS(2330),
    [anon_sym_point] = ACTIONS(2330),
    [anon_sym_line] = ACTIONS(2330),
    [anon_sym_triangleadj] = ACTIONS(2330),
    [anon_sym_lineadj] = ACTIONS(2330),
    [anon_sym_triangle] = ACTIONS(2330),
    [anon_sym_cbuffer] = ACTIONS(2330),
  },
  [699] = {
    [ts_builtin_sym_end] = ACTIONS(2332),
    [sym_identifier] = ACTIONS(2330),
    [aux_sym_preproc_include_token1] = ACTIONS(2330),
    [aux_sym_preproc_def_token1] = ACTIONS(2330),
    [aux_sym_preproc_if_token1] = ACTIONS(2330),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2330),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2330),
    [sym_preproc_directive] = ACTIONS(2330),
    [anon_sym_LPAREN2] = ACTIONS(2332),
    [anon_sym_BANG] = ACTIONS(2332),
    [anon_sym_TILDE] = ACTIONS(2332),
    [anon_sym_DASH] = ACTIONS(2330),
    [anon_sym_PLUS] = ACTIONS(2330),
    [anon_sym_STAR] = ACTIONS(2332),
    [anon_sym_AMP_AMP] = ACTIONS(2332),
    [anon_sym_AMP] = ACTIONS(2330),
    [anon_sym_SEMI] = ACTIONS(2332),
    [anon_sym___extension__] = ACTIONS(2330),
    [anon_sym_typedef] = ACTIONS(2330),
    [anon_sym_in] = ACTIONS(2330),
    [anon_sym_out] = ACTIONS(2330),
    [anon_sym_inout] = ACTIONS(2330),
    [anon_sym_extern] = ACTIONS(2330),
    [anon_sym___attribute__] = ACTIONS(2330),
    [anon_sym_COLON_COLON] = ACTIONS(2332),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2332),
    [anon_sym___declspec] = ACTIONS(2330),
    [anon_sym___based] = ACTIONS(2330),
    [anon_sym___cdecl] = ACTIONS(2330),
    [anon_sym___clrcall] = ACTIONS(2330),
    [anon_sym___stdcall] = ACTIONS(2330),
    [anon_sym___fastcall] = ACTIONS(2330),
    [anon_sym___thiscall] = ACTIONS(2330),
    [anon_sym___vectorcall] = ACTIONS(2330),
    [anon_sym_LBRACE] = ACTIONS(2332),
    [anon_sym_signed] = ACTIONS(2330),
    [anon_sym_unsigned] = ACTIONS(2330),
    [anon_sym_long] = ACTIONS(2330),
    [anon_sym_short] = ACTIONS(2330),
    [anon_sym_LBRACK] = ACTIONS(2330),
    [anon_sym_static] = ACTIONS(2330),
    [anon_sym_register] = ACTIONS(2330),
    [anon_sym_inline] = ACTIONS(2330),
    [anon_sym___inline] = ACTIONS(2330),
    [anon_sym___inline__] = ACTIONS(2330),
    [anon_sym___forceinline] = ACTIONS(2330),
    [anon_sym_thread_local] = ACTIONS(2330),
    [anon_sym___thread] = ACTIONS(2330),
    [anon_sym_const] = ACTIONS(2330),
    [anon_sym_constexpr] = ACTIONS(2330),
    [anon_sym_volatile] = ACTIONS(2330),
    [anon_sym_restrict] = ACTIONS(2330),
    [anon_sym___restrict__] = ACTIONS(2330),
    [anon_sym__Atomic] = ACTIONS(2330),
    [anon_sym__Noreturn] = ACTIONS(2330),
    [anon_sym_noreturn] = ACTIONS(2330),
    [anon_sym_mutable] = ACTIONS(2330),
    [anon_sym_constinit] = ACTIONS(2330),
    [anon_sym_consteval] = ACTIONS(2330),
    [sym_primitive_type] = ACTIONS(2330),
    [anon_sym_enum] = ACTIONS(2330),
    [anon_sym_class] = ACTIONS(2330),
    [anon_sym_struct] = ACTIONS(2330),
    [anon_sym_union] = ACTIONS(2330),
    [anon_sym_if] = ACTIONS(2330),
    [anon_sym_else] = ACTIONS(2330),
    [anon_sym_switch] = ACTIONS(2330),
    [anon_sym_case] = ACTIONS(2330),
    [anon_sym_default] = ACTIONS(2330),
    [anon_sym_while] = ACTIONS(2330),
    [anon_sym_do] = ACTIONS(2330),
    [anon_sym_for] = ACTIONS(2330),
    [anon_sym_return] = ACTIONS(2330),
    [anon_sym_break] = ACTIONS(2330),
    [anon_sym_continue] = ACTIONS(2330),
    [anon_sym_goto] = ACTIONS(2330),
    [anon_sym___try] = ACTIONS(2330),
    [anon_sym___leave] = ACTIONS(2330),
    [anon_sym_not] = ACTIONS(2330),
    [anon_sym_compl] = ACTIONS(2330),
    [anon_sym_DASH_DASH] = ACTIONS(2332),
    [anon_sym_PLUS_PLUS] = ACTIONS(2332),
    [anon_sym_sizeof] = ACTIONS(2330),
    [anon_sym___alignof__] = ACTIONS(2330),
    [anon_sym___alignof] = ACTIONS(2330),
    [anon_sym__alignof] = ACTIONS(2330),
    [anon_sym_alignof] = ACTIONS(2330),
    [anon_sym__Alignof] = ACTIONS(2330),
    [anon_sym_offsetof] = ACTIONS(2330),
    [anon_sym__Generic] = ACTIONS(2330),
    [anon_sym_asm] = ACTIONS(2330),
    [anon_sym___asm__] = ACTIONS(2330),
    [sym_number_literal] = ACTIONS(2332),
    [anon_sym_L_SQUOTE] = ACTIONS(2332),
    [anon_sym_u_SQUOTE] = ACTIONS(2332),
    [anon_sym_U_SQUOTE] = ACTIONS(2332),
    [anon_sym_u8_SQUOTE] = ACTIONS(2332),
    [anon_sym_SQUOTE] = ACTIONS(2332),
    [anon_sym_L_DQUOTE] = ACTIONS(2332),
    [anon_sym_u_DQUOTE] = ACTIONS(2332),
    [anon_sym_U_DQUOTE] = ACTIONS(2332),
    [anon_sym_u8_DQUOTE] = ACTIONS(2332),
    [anon_sym_DQUOTE] = ACTIONS(2332),
    [sym_true] = ACTIONS(2330),
    [sym_false] = ACTIONS(2330),
    [anon_sym_NULL] = ACTIONS(2330),
    [anon_sym_nullptr] = ACTIONS(2330),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2330),
    [anon_sym_decltype] = ACTIONS(2330),
    [anon_sym_virtual] = ACTIONS(2330),
    [anon_sym_alignas] = ACTIONS(2330),
    [anon_sym_explicit] = ACTIONS(2330),
    [anon_sym_typename] = ACTIONS(2330),
    [anon_sym_template] = ACTIONS(2330),
    [anon_sym_operator] = ACTIONS(2330),
    [anon_sym_try] = ACTIONS(2330),
    [anon_sym_delete] = ACTIONS(2330),
    [anon_sym_throw] = ACTIONS(2330),
    [anon_sym_namespace] = ACTIONS(2330),
    [anon_sym_using] = ACTIONS(2330),
    [anon_sym_static_assert] = ACTIONS(2330),
    [anon_sym_concept] = ACTIONS(2330),
    [anon_sym_co_return] = ACTIONS(2330),
    [anon_sym_co_yield] = ACTIONS(2330),
    [anon_sym_R_DQUOTE] = ACTIONS(2332),
    [anon_sym_LR_DQUOTE] = ACTIONS(2332),
    [anon_sym_uR_DQUOTE] = ACTIONS(2332),
    [anon_sym_UR_DQUOTE] = ACTIONS(2332),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2332),
    [anon_sym_co_await] = ACTIONS(2330),
    [anon_sym_new] = ACTIONS(2330),
    [anon_sym_requires] = ACTIONS(2330),
    [sym_this] = ACTIONS(2330),
    [anon_sym_discard] = ACTIONS(2330),
    [anon_sym_precise] = ACTIONS(2330),
    [anon_sym_shared] = ACTIONS(2330),
    [anon_sym_groupshared] = ACTIONS(2330),
    [anon_sym_uniform] = ACTIONS(2330),
    [anon_sym_row_major] = ACTIONS(2330),
    [anon_sym_column_major] = ACTIONS(2330),
    [anon_sym_globallycoherent] = ACTIONS(2330),
    [anon_sym_centroid] = ACTIONS(2330),
    [anon_sym_noperspective] = ACTIONS(2330),
    [anon_sym_nointerpolation] = ACTIONS(2330),
    [anon_sym_sample] = ACTIONS(2330),
    [anon_sym_linear] = ACTIONS(2330),
    [anon_sym_snorm] = ACTIONS(2330),
    [anon_sym_unorm] = ACTIONS(2330),
    [anon_sym_point] = ACTIONS(2330),
    [anon_sym_line] = ACTIONS(2330),
    [anon_sym_triangleadj] = ACTIONS(2330),
    [anon_sym_lineadj] = ACTIONS(2330),
    [anon_sym_triangle] = ACTIONS(2330),
    [anon_sym_cbuffer] = ACTIONS(2330),
  },
  [700] = {
    [ts_builtin_sym_end] = ACTIONS(2332),
    [sym_identifier] = ACTIONS(2330),
    [aux_sym_preproc_include_token1] = ACTIONS(2330),
    [aux_sym_preproc_def_token1] = ACTIONS(2330),
    [aux_sym_preproc_if_token1] = ACTIONS(2330),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2330),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2330),
    [sym_preproc_directive] = ACTIONS(2330),
    [anon_sym_LPAREN2] = ACTIONS(2332),
    [anon_sym_BANG] = ACTIONS(2332),
    [anon_sym_TILDE] = ACTIONS(2332),
    [anon_sym_DASH] = ACTIONS(2330),
    [anon_sym_PLUS] = ACTIONS(2330),
    [anon_sym_STAR] = ACTIONS(2332),
    [anon_sym_AMP_AMP] = ACTIONS(2332),
    [anon_sym_AMP] = ACTIONS(2330),
    [anon_sym_SEMI] = ACTIONS(2332),
    [anon_sym___extension__] = ACTIONS(2330),
    [anon_sym_typedef] = ACTIONS(2330),
    [anon_sym_in] = ACTIONS(2330),
    [anon_sym_out] = ACTIONS(2330),
    [anon_sym_inout] = ACTIONS(2330),
    [anon_sym_extern] = ACTIONS(2330),
    [anon_sym___attribute__] = ACTIONS(2330),
    [anon_sym_COLON_COLON] = ACTIONS(2332),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2332),
    [anon_sym___declspec] = ACTIONS(2330),
    [anon_sym___based] = ACTIONS(2330),
    [anon_sym___cdecl] = ACTIONS(2330),
    [anon_sym___clrcall] = ACTIONS(2330),
    [anon_sym___stdcall] = ACTIONS(2330),
    [anon_sym___fastcall] = ACTIONS(2330),
    [anon_sym___thiscall] = ACTIONS(2330),
    [anon_sym___vectorcall] = ACTIONS(2330),
    [anon_sym_LBRACE] = ACTIONS(2332),
    [anon_sym_signed] = ACTIONS(2330),
    [anon_sym_unsigned] = ACTIONS(2330),
    [anon_sym_long] = ACTIONS(2330),
    [anon_sym_short] = ACTIONS(2330),
    [anon_sym_LBRACK] = ACTIONS(2330),
    [anon_sym_static] = ACTIONS(2330),
    [anon_sym_register] = ACTIONS(2330),
    [anon_sym_inline] = ACTIONS(2330),
    [anon_sym___inline] = ACTIONS(2330),
    [anon_sym___inline__] = ACTIONS(2330),
    [anon_sym___forceinline] = ACTIONS(2330),
    [anon_sym_thread_local] = ACTIONS(2330),
    [anon_sym___thread] = ACTIONS(2330),
    [anon_sym_const] = ACTIONS(2330),
    [anon_sym_constexpr] = ACTIONS(2330),
    [anon_sym_volatile] = ACTIONS(2330),
    [anon_sym_restrict] = ACTIONS(2330),
    [anon_sym___restrict__] = ACTIONS(2330),
    [anon_sym__Atomic] = ACTIONS(2330),
    [anon_sym__Noreturn] = ACTIONS(2330),
    [anon_sym_noreturn] = ACTIONS(2330),
    [anon_sym_mutable] = ACTIONS(2330),
    [anon_sym_constinit] = ACTIONS(2330),
    [anon_sym_consteval] = ACTIONS(2330),
    [sym_primitive_type] = ACTIONS(2330),
    [anon_sym_enum] = ACTIONS(2330),
    [anon_sym_class] = ACTIONS(2330),
    [anon_sym_struct] = ACTIONS(2330),
    [anon_sym_union] = ACTIONS(2330),
    [anon_sym_if] = ACTIONS(2330),
    [anon_sym_else] = ACTIONS(2330),
    [anon_sym_switch] = ACTIONS(2330),
    [anon_sym_case] = ACTIONS(2330),
    [anon_sym_default] = ACTIONS(2330),
    [anon_sym_while] = ACTIONS(2330),
    [anon_sym_do] = ACTIONS(2330),
    [anon_sym_for] = ACTIONS(2330),
    [anon_sym_return] = ACTIONS(2330),
    [anon_sym_break] = ACTIONS(2330),
    [anon_sym_continue] = ACTIONS(2330),
    [anon_sym_goto] = ACTIONS(2330),
    [anon_sym___try] = ACTIONS(2330),
    [anon_sym___leave] = ACTIONS(2330),
    [anon_sym_not] = ACTIONS(2330),
    [anon_sym_compl] = ACTIONS(2330),
    [anon_sym_DASH_DASH] = ACTIONS(2332),
    [anon_sym_PLUS_PLUS] = ACTIONS(2332),
    [anon_sym_sizeof] = ACTIONS(2330),
    [anon_sym___alignof__] = ACTIONS(2330),
    [anon_sym___alignof] = ACTIONS(2330),
    [anon_sym__alignof] = ACTIONS(2330),
    [anon_sym_alignof] = ACTIONS(2330),
    [anon_sym__Alignof] = ACTIONS(2330),
    [anon_sym_offsetof] = ACTIONS(2330),
    [anon_sym__Generic] = ACTIONS(2330),
    [anon_sym_asm] = ACTIONS(2330),
    [anon_sym___asm__] = ACTIONS(2330),
    [sym_number_literal] = ACTIONS(2332),
    [anon_sym_L_SQUOTE] = ACTIONS(2332),
    [anon_sym_u_SQUOTE] = ACTIONS(2332),
    [anon_sym_U_SQUOTE] = ACTIONS(2332),
    [anon_sym_u8_SQUOTE] = ACTIONS(2332),
    [anon_sym_SQUOTE] = ACTIONS(2332),
    [anon_sym_L_DQUOTE] = ACTIONS(2332),
    [anon_sym_u_DQUOTE] = ACTIONS(2332),
    [anon_sym_U_DQUOTE] = ACTIONS(2332),
    [anon_sym_u8_DQUOTE] = ACTIONS(2332),
    [anon_sym_DQUOTE] = ACTIONS(2332),
    [sym_true] = ACTIONS(2330),
    [sym_false] = ACTIONS(2330),
    [anon_sym_NULL] = ACTIONS(2330),
    [anon_sym_nullptr] = ACTIONS(2330),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2330),
    [anon_sym_decltype] = ACTIONS(2330),
    [anon_sym_virtual] = ACTIONS(2330),
    [anon_sym_alignas] = ACTIONS(2330),
    [anon_sym_explicit] = ACTIONS(2330),
    [anon_sym_typename] = ACTIONS(2330),
    [anon_sym_template] = ACTIONS(2330),
    [anon_sym_operator] = ACTIONS(2330),
    [anon_sym_try] = ACTIONS(2330),
    [anon_sym_delete] = ACTIONS(2330),
    [anon_sym_throw] = ACTIONS(2330),
    [anon_sym_namespace] = ACTIONS(2330),
    [anon_sym_using] = ACTIONS(2330),
    [anon_sym_static_assert] = ACTIONS(2330),
    [anon_sym_concept] = ACTIONS(2330),
    [anon_sym_co_return] = ACTIONS(2330),
    [anon_sym_co_yield] = ACTIONS(2330),
    [anon_sym_R_DQUOTE] = ACTIONS(2332),
    [anon_sym_LR_DQUOTE] = ACTIONS(2332),
    [anon_sym_uR_DQUOTE] = ACTIONS(2332),
    [anon_sym_UR_DQUOTE] = ACTIONS(2332),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2332),
    [anon_sym_co_await] = ACTIONS(2330),
    [anon_sym_new] = ACTIONS(2330),
    [anon_sym_requires] = ACTIONS(2330),
    [sym_this] = ACTIONS(2330),
    [anon_sym_discard] = ACTIONS(2330),
    [anon_sym_precise] = ACTIONS(2330),
    [anon_sym_shared] = ACTIONS(2330),
    [anon_sym_groupshared] = ACTIONS(2330),
    [anon_sym_uniform] = ACTIONS(2330),
    [anon_sym_row_major] = ACTIONS(2330),
    [anon_sym_column_major] = ACTIONS(2330),
    [anon_sym_globallycoherent] = ACTIONS(2330),
    [anon_sym_centroid] = ACTIONS(2330),
    [anon_sym_noperspective] = ACTIONS(2330),
    [anon_sym_nointerpolation] = ACTIONS(2330),
    [anon_sym_sample] = ACTIONS(2330),
    [anon_sym_linear] = ACTIONS(2330),
    [anon_sym_snorm] = ACTIONS(2330),
    [anon_sym_unorm] = ACTIONS(2330),
    [anon_sym_point] = ACTIONS(2330),
    [anon_sym_line] = ACTIONS(2330),
    [anon_sym_triangleadj] = ACTIONS(2330),
    [anon_sym_lineadj] = ACTIONS(2330),
    [anon_sym_triangle] = ACTIONS(2330),
    [anon_sym_cbuffer] = ACTIONS(2330),
  },
  [701] = {
    [ts_builtin_sym_end] = ACTIONS(2332),
    [sym_identifier] = ACTIONS(2330),
    [aux_sym_preproc_include_token1] = ACTIONS(2330),
    [aux_sym_preproc_def_token1] = ACTIONS(2330),
    [aux_sym_preproc_if_token1] = ACTIONS(2330),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2330),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2330),
    [sym_preproc_directive] = ACTIONS(2330),
    [anon_sym_LPAREN2] = ACTIONS(2332),
    [anon_sym_BANG] = ACTIONS(2332),
    [anon_sym_TILDE] = ACTIONS(2332),
    [anon_sym_DASH] = ACTIONS(2330),
    [anon_sym_PLUS] = ACTIONS(2330),
    [anon_sym_STAR] = ACTIONS(2332),
    [anon_sym_AMP_AMP] = ACTIONS(2332),
    [anon_sym_AMP] = ACTIONS(2330),
    [anon_sym_SEMI] = ACTIONS(2332),
    [anon_sym___extension__] = ACTIONS(2330),
    [anon_sym_typedef] = ACTIONS(2330),
    [anon_sym_in] = ACTIONS(2330),
    [anon_sym_out] = ACTIONS(2330),
    [anon_sym_inout] = ACTIONS(2330),
    [anon_sym_extern] = ACTIONS(2330),
    [anon_sym___attribute__] = ACTIONS(2330),
    [anon_sym_COLON_COLON] = ACTIONS(2332),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2332),
    [anon_sym___declspec] = ACTIONS(2330),
    [anon_sym___based] = ACTIONS(2330),
    [anon_sym___cdecl] = ACTIONS(2330),
    [anon_sym___clrcall] = ACTIONS(2330),
    [anon_sym___stdcall] = ACTIONS(2330),
    [anon_sym___fastcall] = ACTIONS(2330),
    [anon_sym___thiscall] = ACTIONS(2330),
    [anon_sym___vectorcall] = ACTIONS(2330),
    [anon_sym_LBRACE] = ACTIONS(2332),
    [anon_sym_signed] = ACTIONS(2330),
    [anon_sym_unsigned] = ACTIONS(2330),
    [anon_sym_long] = ACTIONS(2330),
    [anon_sym_short] = ACTIONS(2330),
    [anon_sym_LBRACK] = ACTIONS(2330),
    [anon_sym_static] = ACTIONS(2330),
    [anon_sym_register] = ACTIONS(2330),
    [anon_sym_inline] = ACTIONS(2330),
    [anon_sym___inline] = ACTIONS(2330),
    [anon_sym___inline__] = ACTIONS(2330),
    [anon_sym___forceinline] = ACTIONS(2330),
    [anon_sym_thread_local] = ACTIONS(2330),
    [anon_sym___thread] = ACTIONS(2330),
    [anon_sym_const] = ACTIONS(2330),
    [anon_sym_constexpr] = ACTIONS(2330),
    [anon_sym_volatile] = ACTIONS(2330),
    [anon_sym_restrict] = ACTIONS(2330),
    [anon_sym___restrict__] = ACTIONS(2330),
    [anon_sym__Atomic] = ACTIONS(2330),
    [anon_sym__Noreturn] = ACTIONS(2330),
    [anon_sym_noreturn] = ACTIONS(2330),
    [anon_sym_mutable] = ACTIONS(2330),
    [anon_sym_constinit] = ACTIONS(2330),
    [anon_sym_consteval] = ACTIONS(2330),
    [sym_primitive_type] = ACTIONS(2330),
    [anon_sym_enum] = ACTIONS(2330),
    [anon_sym_class] = ACTIONS(2330),
    [anon_sym_struct] = ACTIONS(2330),
    [anon_sym_union] = ACTIONS(2330),
    [anon_sym_if] = ACTIONS(2330),
    [anon_sym_else] = ACTIONS(2330),
    [anon_sym_switch] = ACTIONS(2330),
    [anon_sym_case] = ACTIONS(2330),
    [anon_sym_default] = ACTIONS(2330),
    [anon_sym_while] = ACTIONS(2330),
    [anon_sym_do] = ACTIONS(2330),
    [anon_sym_for] = ACTIONS(2330),
    [anon_sym_return] = ACTIONS(2330),
    [anon_sym_break] = ACTIONS(2330),
    [anon_sym_continue] = ACTIONS(2330),
    [anon_sym_goto] = ACTIONS(2330),
    [anon_sym___try] = ACTIONS(2330),
    [anon_sym___leave] = ACTIONS(2330),
    [anon_sym_not] = ACTIONS(2330),
    [anon_sym_compl] = ACTIONS(2330),
    [anon_sym_DASH_DASH] = ACTIONS(2332),
    [anon_sym_PLUS_PLUS] = ACTIONS(2332),
    [anon_sym_sizeof] = ACTIONS(2330),
    [anon_sym___alignof__] = ACTIONS(2330),
    [anon_sym___alignof] = ACTIONS(2330),
    [anon_sym__alignof] = ACTIONS(2330),
    [anon_sym_alignof] = ACTIONS(2330),
    [anon_sym__Alignof] = ACTIONS(2330),
    [anon_sym_offsetof] = ACTIONS(2330),
    [anon_sym__Generic] = ACTIONS(2330),
    [anon_sym_asm] = ACTIONS(2330),
    [anon_sym___asm__] = ACTIONS(2330),
    [sym_number_literal] = ACTIONS(2332),
    [anon_sym_L_SQUOTE] = ACTIONS(2332),
    [anon_sym_u_SQUOTE] = ACTIONS(2332),
    [anon_sym_U_SQUOTE] = ACTIONS(2332),
    [anon_sym_u8_SQUOTE] = ACTIONS(2332),
    [anon_sym_SQUOTE] = ACTIONS(2332),
    [anon_sym_L_DQUOTE] = ACTIONS(2332),
    [anon_sym_u_DQUOTE] = ACTIONS(2332),
    [anon_sym_U_DQUOTE] = ACTIONS(2332),
    [anon_sym_u8_DQUOTE] = ACTIONS(2332),
    [anon_sym_DQUOTE] = ACTIONS(2332),
    [sym_true] = ACTIONS(2330),
    [sym_false] = ACTIONS(2330),
    [anon_sym_NULL] = ACTIONS(2330),
    [anon_sym_nullptr] = ACTIONS(2330),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2330),
    [anon_sym_decltype] = ACTIONS(2330),
    [anon_sym_virtual] = ACTIONS(2330),
    [anon_sym_alignas] = ACTIONS(2330),
    [anon_sym_explicit] = ACTIONS(2330),
    [anon_sym_typename] = ACTIONS(2330),
    [anon_sym_template] = ACTIONS(2330),
    [anon_sym_operator] = ACTIONS(2330),
    [anon_sym_try] = ACTIONS(2330),
    [anon_sym_delete] = ACTIONS(2330),
    [anon_sym_throw] = ACTIONS(2330),
    [anon_sym_namespace] = ACTIONS(2330),
    [anon_sym_using] = ACTIONS(2330),
    [anon_sym_static_assert] = ACTIONS(2330),
    [anon_sym_concept] = ACTIONS(2330),
    [anon_sym_co_return] = ACTIONS(2330),
    [anon_sym_co_yield] = ACTIONS(2330),
    [anon_sym_R_DQUOTE] = ACTIONS(2332),
    [anon_sym_LR_DQUOTE] = ACTIONS(2332),
    [anon_sym_uR_DQUOTE] = ACTIONS(2332),
    [anon_sym_UR_DQUOTE] = ACTIONS(2332),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2332),
    [anon_sym_co_await] = ACTIONS(2330),
    [anon_sym_new] = ACTIONS(2330),
    [anon_sym_requires] = ACTIONS(2330),
    [sym_this] = ACTIONS(2330),
    [anon_sym_discard] = ACTIONS(2330),
    [anon_sym_precise] = ACTIONS(2330),
    [anon_sym_shared] = ACTIONS(2330),
    [anon_sym_groupshared] = ACTIONS(2330),
    [anon_sym_uniform] = ACTIONS(2330),
    [anon_sym_row_major] = ACTIONS(2330),
    [anon_sym_column_major] = ACTIONS(2330),
    [anon_sym_globallycoherent] = ACTIONS(2330),
    [anon_sym_centroid] = ACTIONS(2330),
    [anon_sym_noperspective] = ACTIONS(2330),
    [anon_sym_nointerpolation] = ACTIONS(2330),
    [anon_sym_sample] = ACTIONS(2330),
    [anon_sym_linear] = ACTIONS(2330),
    [anon_sym_snorm] = ACTIONS(2330),
    [anon_sym_unorm] = ACTIONS(2330),
    [anon_sym_point] = ACTIONS(2330),
    [anon_sym_line] = ACTIONS(2330),
    [anon_sym_triangleadj] = ACTIONS(2330),
    [anon_sym_lineadj] = ACTIONS(2330),
    [anon_sym_triangle] = ACTIONS(2330),
    [anon_sym_cbuffer] = ACTIONS(2330),
  },
  [702] = {
    [ts_builtin_sym_end] = ACTIONS(2320),
    [sym_identifier] = ACTIONS(2318),
    [aux_sym_preproc_include_token1] = ACTIONS(2318),
    [aux_sym_preproc_def_token1] = ACTIONS(2318),
    [aux_sym_preproc_if_token1] = ACTIONS(2318),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2318),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2318),
    [sym_preproc_directive] = ACTIONS(2318),
    [anon_sym_LPAREN2] = ACTIONS(2320),
    [anon_sym_BANG] = ACTIONS(2320),
    [anon_sym_TILDE] = ACTIONS(2320),
    [anon_sym_DASH] = ACTIONS(2318),
    [anon_sym_PLUS] = ACTIONS(2318),
    [anon_sym_STAR] = ACTIONS(2320),
    [anon_sym_AMP_AMP] = ACTIONS(2320),
    [anon_sym_AMP] = ACTIONS(2318),
    [anon_sym_SEMI] = ACTIONS(2320),
    [anon_sym___extension__] = ACTIONS(2318),
    [anon_sym_typedef] = ACTIONS(2318),
    [anon_sym_in] = ACTIONS(2318),
    [anon_sym_out] = ACTIONS(2318),
    [anon_sym_inout] = ACTIONS(2318),
    [anon_sym_extern] = ACTIONS(2318),
    [anon_sym___attribute__] = ACTIONS(2318),
    [anon_sym_COLON_COLON] = ACTIONS(2320),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2320),
    [anon_sym___declspec] = ACTIONS(2318),
    [anon_sym___based] = ACTIONS(2318),
    [anon_sym___cdecl] = ACTIONS(2318),
    [anon_sym___clrcall] = ACTIONS(2318),
    [anon_sym___stdcall] = ACTIONS(2318),
    [anon_sym___fastcall] = ACTIONS(2318),
    [anon_sym___thiscall] = ACTIONS(2318),
    [anon_sym___vectorcall] = ACTIONS(2318),
    [anon_sym_LBRACE] = ACTIONS(2320),
    [anon_sym_signed] = ACTIONS(2318),
    [anon_sym_unsigned] = ACTIONS(2318),
    [anon_sym_long] = ACTIONS(2318),
    [anon_sym_short] = ACTIONS(2318),
    [anon_sym_LBRACK] = ACTIONS(2318),
    [anon_sym_static] = ACTIONS(2318),
    [anon_sym_register] = ACTIONS(2318),
    [anon_sym_inline] = ACTIONS(2318),
    [anon_sym___inline] = ACTIONS(2318),
    [anon_sym___inline__] = ACTIONS(2318),
    [anon_sym___forceinline] = ACTIONS(2318),
    [anon_sym_thread_local] = ACTIONS(2318),
    [anon_sym___thread] = ACTIONS(2318),
    [anon_sym_const] = ACTIONS(2318),
    [anon_sym_constexpr] = ACTIONS(2318),
    [anon_sym_volatile] = ACTIONS(2318),
    [anon_sym_restrict] = ACTIONS(2318),
    [anon_sym___restrict__] = ACTIONS(2318),
    [anon_sym__Atomic] = ACTIONS(2318),
    [anon_sym__Noreturn] = ACTIONS(2318),
    [anon_sym_noreturn] = ACTIONS(2318),
    [anon_sym_mutable] = ACTIONS(2318),
    [anon_sym_constinit] = ACTIONS(2318),
    [anon_sym_consteval] = ACTIONS(2318),
    [sym_primitive_type] = ACTIONS(2318),
    [anon_sym_enum] = ACTIONS(2318),
    [anon_sym_class] = ACTIONS(2318),
    [anon_sym_struct] = ACTIONS(2318),
    [anon_sym_union] = ACTIONS(2318),
    [anon_sym_if] = ACTIONS(2318),
    [anon_sym_else] = ACTIONS(2318),
    [anon_sym_switch] = ACTIONS(2318),
    [anon_sym_case] = ACTIONS(2318),
    [anon_sym_default] = ACTIONS(2318),
    [anon_sym_while] = ACTIONS(2318),
    [anon_sym_do] = ACTIONS(2318),
    [anon_sym_for] = ACTIONS(2318),
    [anon_sym_return] = ACTIONS(2318),
    [anon_sym_break] = ACTIONS(2318),
    [anon_sym_continue] = ACTIONS(2318),
    [anon_sym_goto] = ACTIONS(2318),
    [anon_sym___try] = ACTIONS(2318),
    [anon_sym___leave] = ACTIONS(2318),
    [anon_sym_not] = ACTIONS(2318),
    [anon_sym_compl] = ACTIONS(2318),
    [anon_sym_DASH_DASH] = ACTIONS(2320),
    [anon_sym_PLUS_PLUS] = ACTIONS(2320),
    [anon_sym_sizeof] = ACTIONS(2318),
    [anon_sym___alignof__] = ACTIONS(2318),
    [anon_sym___alignof] = ACTIONS(2318),
    [anon_sym__alignof] = ACTIONS(2318),
    [anon_sym_alignof] = ACTIONS(2318),
    [anon_sym__Alignof] = ACTIONS(2318),
    [anon_sym_offsetof] = ACTIONS(2318),
    [anon_sym__Generic] = ACTIONS(2318),
    [anon_sym_asm] = ACTIONS(2318),
    [anon_sym___asm__] = ACTIONS(2318),
    [sym_number_literal] = ACTIONS(2320),
    [anon_sym_L_SQUOTE] = ACTIONS(2320),
    [anon_sym_u_SQUOTE] = ACTIONS(2320),
    [anon_sym_U_SQUOTE] = ACTIONS(2320),
    [anon_sym_u8_SQUOTE] = ACTIONS(2320),
    [anon_sym_SQUOTE] = ACTIONS(2320),
    [anon_sym_L_DQUOTE] = ACTIONS(2320),
    [anon_sym_u_DQUOTE] = ACTIONS(2320),
    [anon_sym_U_DQUOTE] = ACTIONS(2320),
    [anon_sym_u8_DQUOTE] = ACTIONS(2320),
    [anon_sym_DQUOTE] = ACTIONS(2320),
    [sym_true] = ACTIONS(2318),
    [sym_false] = ACTIONS(2318),
    [anon_sym_NULL] = ACTIONS(2318),
    [anon_sym_nullptr] = ACTIONS(2318),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2318),
    [anon_sym_decltype] = ACTIONS(2318),
    [anon_sym_virtual] = ACTIONS(2318),
    [anon_sym_alignas] = ACTIONS(2318),
    [anon_sym_explicit] = ACTIONS(2318),
    [anon_sym_typename] = ACTIONS(2318),
    [anon_sym_template] = ACTIONS(2318),
    [anon_sym_operator] = ACTIONS(2318),
    [anon_sym_try] = ACTIONS(2318),
    [anon_sym_delete] = ACTIONS(2318),
    [anon_sym_throw] = ACTIONS(2318),
    [anon_sym_namespace] = ACTIONS(2318),
    [anon_sym_using] = ACTIONS(2318),
    [anon_sym_static_assert] = ACTIONS(2318),
    [anon_sym_concept] = ACTIONS(2318),
    [anon_sym_co_return] = ACTIONS(2318),
    [anon_sym_co_yield] = ACTIONS(2318),
    [anon_sym_R_DQUOTE] = ACTIONS(2320),
    [anon_sym_LR_DQUOTE] = ACTIONS(2320),
    [anon_sym_uR_DQUOTE] = ACTIONS(2320),
    [anon_sym_UR_DQUOTE] = ACTIONS(2320),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2320),
    [anon_sym_co_await] = ACTIONS(2318),
    [anon_sym_new] = ACTIONS(2318),
    [anon_sym_requires] = ACTIONS(2318),
    [sym_this] = ACTIONS(2318),
    [anon_sym_discard] = ACTIONS(2318),
    [anon_sym_precise] = ACTIONS(2318),
    [anon_sym_shared] = ACTIONS(2318),
    [anon_sym_groupshared] = ACTIONS(2318),
    [anon_sym_uniform] = ACTIONS(2318),
    [anon_sym_row_major] = ACTIONS(2318),
    [anon_sym_column_major] = ACTIONS(2318),
    [anon_sym_globallycoherent] = ACTIONS(2318),
    [anon_sym_centroid] = ACTIONS(2318),
    [anon_sym_noperspective] = ACTIONS(2318),
    [anon_sym_nointerpolation] = ACTIONS(2318),
    [anon_sym_sample] = ACTIONS(2318),
    [anon_sym_linear] = ACTIONS(2318),
    [anon_sym_snorm] = ACTIONS(2318),
    [anon_sym_unorm] = ACTIONS(2318),
    [anon_sym_point] = ACTIONS(2318),
    [anon_sym_line] = ACTIONS(2318),
    [anon_sym_triangleadj] = ACTIONS(2318),
    [anon_sym_lineadj] = ACTIONS(2318),
    [anon_sym_triangle] = ACTIONS(2318),
    [anon_sym_cbuffer] = ACTIONS(2318),
  },
  [703] = {
    [ts_builtin_sym_end] = ACTIONS(2332),
    [sym_identifier] = ACTIONS(2330),
    [aux_sym_preproc_include_token1] = ACTIONS(2330),
    [aux_sym_preproc_def_token1] = ACTIONS(2330),
    [aux_sym_preproc_if_token1] = ACTIONS(2330),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2330),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2330),
    [sym_preproc_directive] = ACTIONS(2330),
    [anon_sym_LPAREN2] = ACTIONS(2332),
    [anon_sym_BANG] = ACTIONS(2332),
    [anon_sym_TILDE] = ACTIONS(2332),
    [anon_sym_DASH] = ACTIONS(2330),
    [anon_sym_PLUS] = ACTIONS(2330),
    [anon_sym_STAR] = ACTIONS(2332),
    [anon_sym_AMP_AMP] = ACTIONS(2332),
    [anon_sym_AMP] = ACTIONS(2330),
    [anon_sym_SEMI] = ACTIONS(2332),
    [anon_sym___extension__] = ACTIONS(2330),
    [anon_sym_typedef] = ACTIONS(2330),
    [anon_sym_in] = ACTIONS(2330),
    [anon_sym_out] = ACTIONS(2330),
    [anon_sym_inout] = ACTIONS(2330),
    [anon_sym_extern] = ACTIONS(2330),
    [anon_sym___attribute__] = ACTIONS(2330),
    [anon_sym_COLON_COLON] = ACTIONS(2332),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2332),
    [anon_sym___declspec] = ACTIONS(2330),
    [anon_sym___based] = ACTIONS(2330),
    [anon_sym___cdecl] = ACTIONS(2330),
    [anon_sym___clrcall] = ACTIONS(2330),
    [anon_sym___stdcall] = ACTIONS(2330),
    [anon_sym___fastcall] = ACTIONS(2330),
    [anon_sym___thiscall] = ACTIONS(2330),
    [anon_sym___vectorcall] = ACTIONS(2330),
    [anon_sym_LBRACE] = ACTIONS(2332),
    [anon_sym_signed] = ACTIONS(2330),
    [anon_sym_unsigned] = ACTIONS(2330),
    [anon_sym_long] = ACTIONS(2330),
    [anon_sym_short] = ACTIONS(2330),
    [anon_sym_LBRACK] = ACTIONS(2330),
    [anon_sym_static] = ACTIONS(2330),
    [anon_sym_register] = ACTIONS(2330),
    [anon_sym_inline] = ACTIONS(2330),
    [anon_sym___inline] = ACTIONS(2330),
    [anon_sym___inline__] = ACTIONS(2330),
    [anon_sym___forceinline] = ACTIONS(2330),
    [anon_sym_thread_local] = ACTIONS(2330),
    [anon_sym___thread] = ACTIONS(2330),
    [anon_sym_const] = ACTIONS(2330),
    [anon_sym_constexpr] = ACTIONS(2330),
    [anon_sym_volatile] = ACTIONS(2330),
    [anon_sym_restrict] = ACTIONS(2330),
    [anon_sym___restrict__] = ACTIONS(2330),
    [anon_sym__Atomic] = ACTIONS(2330),
    [anon_sym__Noreturn] = ACTIONS(2330),
    [anon_sym_noreturn] = ACTIONS(2330),
    [anon_sym_mutable] = ACTIONS(2330),
    [anon_sym_constinit] = ACTIONS(2330),
    [anon_sym_consteval] = ACTIONS(2330),
    [sym_primitive_type] = ACTIONS(2330),
    [anon_sym_enum] = ACTIONS(2330),
    [anon_sym_class] = ACTIONS(2330),
    [anon_sym_struct] = ACTIONS(2330),
    [anon_sym_union] = ACTIONS(2330),
    [anon_sym_if] = ACTIONS(2330),
    [anon_sym_else] = ACTIONS(2330),
    [anon_sym_switch] = ACTIONS(2330),
    [anon_sym_case] = ACTIONS(2330),
    [anon_sym_default] = ACTIONS(2330),
    [anon_sym_while] = ACTIONS(2330),
    [anon_sym_do] = ACTIONS(2330),
    [anon_sym_for] = ACTIONS(2330),
    [anon_sym_return] = ACTIONS(2330),
    [anon_sym_break] = ACTIONS(2330),
    [anon_sym_continue] = ACTIONS(2330),
    [anon_sym_goto] = ACTIONS(2330),
    [anon_sym___try] = ACTIONS(2330),
    [anon_sym___leave] = ACTIONS(2330),
    [anon_sym_not] = ACTIONS(2330),
    [anon_sym_compl] = ACTIONS(2330),
    [anon_sym_DASH_DASH] = ACTIONS(2332),
    [anon_sym_PLUS_PLUS] = ACTIONS(2332),
    [anon_sym_sizeof] = ACTIONS(2330),
    [anon_sym___alignof__] = ACTIONS(2330),
    [anon_sym___alignof] = ACTIONS(2330),
    [anon_sym__alignof] = ACTIONS(2330),
    [anon_sym_alignof] = ACTIONS(2330),
    [anon_sym__Alignof] = ACTIONS(2330),
    [anon_sym_offsetof] = ACTIONS(2330),
    [anon_sym__Generic] = ACTIONS(2330),
    [anon_sym_asm] = ACTIONS(2330),
    [anon_sym___asm__] = ACTIONS(2330),
    [sym_number_literal] = ACTIONS(2332),
    [anon_sym_L_SQUOTE] = ACTIONS(2332),
    [anon_sym_u_SQUOTE] = ACTIONS(2332),
    [anon_sym_U_SQUOTE] = ACTIONS(2332),
    [anon_sym_u8_SQUOTE] = ACTIONS(2332),
    [anon_sym_SQUOTE] = ACTIONS(2332),
    [anon_sym_L_DQUOTE] = ACTIONS(2332),
    [anon_sym_u_DQUOTE] = ACTIONS(2332),
    [anon_sym_U_DQUOTE] = ACTIONS(2332),
    [anon_sym_u8_DQUOTE] = ACTIONS(2332),
    [anon_sym_DQUOTE] = ACTIONS(2332),
    [sym_true] = ACTIONS(2330),
    [sym_false] = ACTIONS(2330),
    [anon_sym_NULL] = ACTIONS(2330),
    [anon_sym_nullptr] = ACTIONS(2330),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2330),
    [anon_sym_decltype] = ACTIONS(2330),
    [anon_sym_virtual] = ACTIONS(2330),
    [anon_sym_alignas] = ACTIONS(2330),
    [anon_sym_explicit] = ACTIONS(2330),
    [anon_sym_typename] = ACTIONS(2330),
    [anon_sym_template] = ACTIONS(2330),
    [anon_sym_operator] = ACTIONS(2330),
    [anon_sym_try] = ACTIONS(2330),
    [anon_sym_delete] = ACTIONS(2330),
    [anon_sym_throw] = ACTIONS(2330),
    [anon_sym_namespace] = ACTIONS(2330),
    [anon_sym_using] = ACTIONS(2330),
    [anon_sym_static_assert] = ACTIONS(2330),
    [anon_sym_concept] = ACTIONS(2330),
    [anon_sym_co_return] = ACTIONS(2330),
    [anon_sym_co_yield] = ACTIONS(2330),
    [anon_sym_R_DQUOTE] = ACTIONS(2332),
    [anon_sym_LR_DQUOTE] = ACTIONS(2332),
    [anon_sym_uR_DQUOTE] = ACTIONS(2332),
    [anon_sym_UR_DQUOTE] = ACTIONS(2332),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2332),
    [anon_sym_co_await] = ACTIONS(2330),
    [anon_sym_new] = ACTIONS(2330),
    [anon_sym_requires] = ACTIONS(2330),
    [sym_this] = ACTIONS(2330),
    [anon_sym_discard] = ACTIONS(2330),
    [anon_sym_precise] = ACTIONS(2330),
    [anon_sym_shared] = ACTIONS(2330),
    [anon_sym_groupshared] = ACTIONS(2330),
    [anon_sym_uniform] = ACTIONS(2330),
    [anon_sym_row_major] = ACTIONS(2330),
    [anon_sym_column_major] = ACTIONS(2330),
    [anon_sym_globallycoherent] = ACTIONS(2330),
    [anon_sym_centroid] = ACTIONS(2330),
    [anon_sym_noperspective] = ACTIONS(2330),
    [anon_sym_nointerpolation] = ACTIONS(2330),
    [anon_sym_sample] = ACTIONS(2330),
    [anon_sym_linear] = ACTIONS(2330),
    [anon_sym_snorm] = ACTIONS(2330),
    [anon_sym_unorm] = ACTIONS(2330),
    [anon_sym_point] = ACTIONS(2330),
    [anon_sym_line] = ACTIONS(2330),
    [anon_sym_triangleadj] = ACTIONS(2330),
    [anon_sym_lineadj] = ACTIONS(2330),
    [anon_sym_triangle] = ACTIONS(2330),
    [anon_sym_cbuffer] = ACTIONS(2330),
  },
  [704] = {
    [ts_builtin_sym_end] = ACTIONS(2332),
    [sym_identifier] = ACTIONS(2330),
    [aux_sym_preproc_include_token1] = ACTIONS(2330),
    [aux_sym_preproc_def_token1] = ACTIONS(2330),
    [aux_sym_preproc_if_token1] = ACTIONS(2330),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2330),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2330),
    [sym_preproc_directive] = ACTIONS(2330),
    [anon_sym_LPAREN2] = ACTIONS(2332),
    [anon_sym_BANG] = ACTIONS(2332),
    [anon_sym_TILDE] = ACTIONS(2332),
    [anon_sym_DASH] = ACTIONS(2330),
    [anon_sym_PLUS] = ACTIONS(2330),
    [anon_sym_STAR] = ACTIONS(2332),
    [anon_sym_AMP_AMP] = ACTIONS(2332),
    [anon_sym_AMP] = ACTIONS(2330),
    [anon_sym_SEMI] = ACTIONS(2332),
    [anon_sym___extension__] = ACTIONS(2330),
    [anon_sym_typedef] = ACTIONS(2330),
    [anon_sym_in] = ACTIONS(2330),
    [anon_sym_out] = ACTIONS(2330),
    [anon_sym_inout] = ACTIONS(2330),
    [anon_sym_extern] = ACTIONS(2330),
    [anon_sym___attribute__] = ACTIONS(2330),
    [anon_sym_COLON_COLON] = ACTIONS(2332),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2332),
    [anon_sym___declspec] = ACTIONS(2330),
    [anon_sym___based] = ACTIONS(2330),
    [anon_sym___cdecl] = ACTIONS(2330),
    [anon_sym___clrcall] = ACTIONS(2330),
    [anon_sym___stdcall] = ACTIONS(2330),
    [anon_sym___fastcall] = ACTIONS(2330),
    [anon_sym___thiscall] = ACTIONS(2330),
    [anon_sym___vectorcall] = ACTIONS(2330),
    [anon_sym_LBRACE] = ACTIONS(2332),
    [anon_sym_signed] = ACTIONS(2330),
    [anon_sym_unsigned] = ACTIONS(2330),
    [anon_sym_long] = ACTIONS(2330),
    [anon_sym_short] = ACTIONS(2330),
    [anon_sym_LBRACK] = ACTIONS(2330),
    [anon_sym_static] = ACTIONS(2330),
    [anon_sym_register] = ACTIONS(2330),
    [anon_sym_inline] = ACTIONS(2330),
    [anon_sym___inline] = ACTIONS(2330),
    [anon_sym___inline__] = ACTIONS(2330),
    [anon_sym___forceinline] = ACTIONS(2330),
    [anon_sym_thread_local] = ACTIONS(2330),
    [anon_sym___thread] = ACTIONS(2330),
    [anon_sym_const] = ACTIONS(2330),
    [anon_sym_constexpr] = ACTIONS(2330),
    [anon_sym_volatile] = ACTIONS(2330),
    [anon_sym_restrict] = ACTIONS(2330),
    [anon_sym___restrict__] = ACTIONS(2330),
    [anon_sym__Atomic] = ACTIONS(2330),
    [anon_sym__Noreturn] = ACTIONS(2330),
    [anon_sym_noreturn] = ACTIONS(2330),
    [anon_sym_mutable] = ACTIONS(2330),
    [anon_sym_constinit] = ACTIONS(2330),
    [anon_sym_consteval] = ACTIONS(2330),
    [sym_primitive_type] = ACTIONS(2330),
    [anon_sym_enum] = ACTIONS(2330),
    [anon_sym_class] = ACTIONS(2330),
    [anon_sym_struct] = ACTIONS(2330),
    [anon_sym_union] = ACTIONS(2330),
    [anon_sym_if] = ACTIONS(2330),
    [anon_sym_else] = ACTIONS(2330),
    [anon_sym_switch] = ACTIONS(2330),
    [anon_sym_case] = ACTIONS(2330),
    [anon_sym_default] = ACTIONS(2330),
    [anon_sym_while] = ACTIONS(2330),
    [anon_sym_do] = ACTIONS(2330),
    [anon_sym_for] = ACTIONS(2330),
    [anon_sym_return] = ACTIONS(2330),
    [anon_sym_break] = ACTIONS(2330),
    [anon_sym_continue] = ACTIONS(2330),
    [anon_sym_goto] = ACTIONS(2330),
    [anon_sym___try] = ACTIONS(2330),
    [anon_sym___leave] = ACTIONS(2330),
    [anon_sym_not] = ACTIONS(2330),
    [anon_sym_compl] = ACTIONS(2330),
    [anon_sym_DASH_DASH] = ACTIONS(2332),
    [anon_sym_PLUS_PLUS] = ACTIONS(2332),
    [anon_sym_sizeof] = ACTIONS(2330),
    [anon_sym___alignof__] = ACTIONS(2330),
    [anon_sym___alignof] = ACTIONS(2330),
    [anon_sym__alignof] = ACTIONS(2330),
    [anon_sym_alignof] = ACTIONS(2330),
    [anon_sym__Alignof] = ACTIONS(2330),
    [anon_sym_offsetof] = ACTIONS(2330),
    [anon_sym__Generic] = ACTIONS(2330),
    [anon_sym_asm] = ACTIONS(2330),
    [anon_sym___asm__] = ACTIONS(2330),
    [sym_number_literal] = ACTIONS(2332),
    [anon_sym_L_SQUOTE] = ACTIONS(2332),
    [anon_sym_u_SQUOTE] = ACTIONS(2332),
    [anon_sym_U_SQUOTE] = ACTIONS(2332),
    [anon_sym_u8_SQUOTE] = ACTIONS(2332),
    [anon_sym_SQUOTE] = ACTIONS(2332),
    [anon_sym_L_DQUOTE] = ACTIONS(2332),
    [anon_sym_u_DQUOTE] = ACTIONS(2332),
    [anon_sym_U_DQUOTE] = ACTIONS(2332),
    [anon_sym_u8_DQUOTE] = ACTIONS(2332),
    [anon_sym_DQUOTE] = ACTIONS(2332),
    [sym_true] = ACTIONS(2330),
    [sym_false] = ACTIONS(2330),
    [anon_sym_NULL] = ACTIONS(2330),
    [anon_sym_nullptr] = ACTIONS(2330),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2330),
    [anon_sym_decltype] = ACTIONS(2330),
    [anon_sym_virtual] = ACTIONS(2330),
    [anon_sym_alignas] = ACTIONS(2330),
    [anon_sym_explicit] = ACTIONS(2330),
    [anon_sym_typename] = ACTIONS(2330),
    [anon_sym_template] = ACTIONS(2330),
    [anon_sym_operator] = ACTIONS(2330),
    [anon_sym_try] = ACTIONS(2330),
    [anon_sym_delete] = ACTIONS(2330),
    [anon_sym_throw] = ACTIONS(2330),
    [anon_sym_namespace] = ACTIONS(2330),
    [anon_sym_using] = ACTIONS(2330),
    [anon_sym_static_assert] = ACTIONS(2330),
    [anon_sym_concept] = ACTIONS(2330),
    [anon_sym_co_return] = ACTIONS(2330),
    [anon_sym_co_yield] = ACTIONS(2330),
    [anon_sym_R_DQUOTE] = ACTIONS(2332),
    [anon_sym_LR_DQUOTE] = ACTIONS(2332),
    [anon_sym_uR_DQUOTE] = ACTIONS(2332),
    [anon_sym_UR_DQUOTE] = ACTIONS(2332),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2332),
    [anon_sym_co_await] = ACTIONS(2330),
    [anon_sym_new] = ACTIONS(2330),
    [anon_sym_requires] = ACTIONS(2330),
    [sym_this] = ACTIONS(2330),
    [anon_sym_discard] = ACTIONS(2330),
    [anon_sym_precise] = ACTIONS(2330),
    [anon_sym_shared] = ACTIONS(2330),
    [anon_sym_groupshared] = ACTIONS(2330),
    [anon_sym_uniform] = ACTIONS(2330),
    [anon_sym_row_major] = ACTIONS(2330),
    [anon_sym_column_major] = ACTIONS(2330),
    [anon_sym_globallycoherent] = ACTIONS(2330),
    [anon_sym_centroid] = ACTIONS(2330),
    [anon_sym_noperspective] = ACTIONS(2330),
    [anon_sym_nointerpolation] = ACTIONS(2330),
    [anon_sym_sample] = ACTIONS(2330),
    [anon_sym_linear] = ACTIONS(2330),
    [anon_sym_snorm] = ACTIONS(2330),
    [anon_sym_unorm] = ACTIONS(2330),
    [anon_sym_point] = ACTIONS(2330),
    [anon_sym_line] = ACTIONS(2330),
    [anon_sym_triangleadj] = ACTIONS(2330),
    [anon_sym_lineadj] = ACTIONS(2330),
    [anon_sym_triangle] = ACTIONS(2330),
    [anon_sym_cbuffer] = ACTIONS(2330),
  },
  [705] = {
    [ts_builtin_sym_end] = ACTIONS(2510),
    [sym_identifier] = ACTIONS(2508),
    [aux_sym_preproc_include_token1] = ACTIONS(2508),
    [aux_sym_preproc_def_token1] = ACTIONS(2508),
    [aux_sym_preproc_if_token1] = ACTIONS(2508),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2508),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2508),
    [sym_preproc_directive] = ACTIONS(2508),
    [anon_sym_LPAREN2] = ACTIONS(2510),
    [anon_sym_BANG] = ACTIONS(2510),
    [anon_sym_TILDE] = ACTIONS(2510),
    [anon_sym_DASH] = ACTIONS(2508),
    [anon_sym_PLUS] = ACTIONS(2508),
    [anon_sym_STAR] = ACTIONS(2510),
    [anon_sym_AMP_AMP] = ACTIONS(2510),
    [anon_sym_AMP] = ACTIONS(2508),
    [anon_sym_SEMI] = ACTIONS(2510),
    [anon_sym___extension__] = ACTIONS(2508),
    [anon_sym_typedef] = ACTIONS(2508),
    [anon_sym_in] = ACTIONS(2508),
    [anon_sym_out] = ACTIONS(2508),
    [anon_sym_inout] = ACTIONS(2508),
    [anon_sym_extern] = ACTIONS(2508),
    [anon_sym___attribute__] = ACTIONS(2508),
    [anon_sym_COLON_COLON] = ACTIONS(2510),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2510),
    [anon_sym___declspec] = ACTIONS(2508),
    [anon_sym___based] = ACTIONS(2508),
    [anon_sym___cdecl] = ACTIONS(2508),
    [anon_sym___clrcall] = ACTIONS(2508),
    [anon_sym___stdcall] = ACTIONS(2508),
    [anon_sym___fastcall] = ACTIONS(2508),
    [anon_sym___thiscall] = ACTIONS(2508),
    [anon_sym___vectorcall] = ACTIONS(2508),
    [anon_sym_LBRACE] = ACTIONS(2510),
    [anon_sym_signed] = ACTIONS(2508),
    [anon_sym_unsigned] = ACTIONS(2508),
    [anon_sym_long] = ACTIONS(2508),
    [anon_sym_short] = ACTIONS(2508),
    [anon_sym_LBRACK] = ACTIONS(2508),
    [anon_sym_static] = ACTIONS(2508),
    [anon_sym_register] = ACTIONS(2508),
    [anon_sym_inline] = ACTIONS(2508),
    [anon_sym___inline] = ACTIONS(2508),
    [anon_sym___inline__] = ACTIONS(2508),
    [anon_sym___forceinline] = ACTIONS(2508),
    [anon_sym_thread_local] = ACTIONS(2508),
    [anon_sym___thread] = ACTIONS(2508),
    [anon_sym_const] = ACTIONS(2508),
    [anon_sym_constexpr] = ACTIONS(2508),
    [anon_sym_volatile] = ACTIONS(2508),
    [anon_sym_restrict] = ACTIONS(2508),
    [anon_sym___restrict__] = ACTIONS(2508),
    [anon_sym__Atomic] = ACTIONS(2508),
    [anon_sym__Noreturn] = ACTIONS(2508),
    [anon_sym_noreturn] = ACTIONS(2508),
    [anon_sym_mutable] = ACTIONS(2508),
    [anon_sym_constinit] = ACTIONS(2508),
    [anon_sym_consteval] = ACTIONS(2508),
    [sym_primitive_type] = ACTIONS(2508),
    [anon_sym_enum] = ACTIONS(2508),
    [anon_sym_class] = ACTIONS(2508),
    [anon_sym_struct] = ACTIONS(2508),
    [anon_sym_union] = ACTIONS(2508),
    [anon_sym_if] = ACTIONS(2508),
    [anon_sym_else] = ACTIONS(2508),
    [anon_sym_switch] = ACTIONS(2508),
    [anon_sym_case] = ACTIONS(2508),
    [anon_sym_default] = ACTIONS(2508),
    [anon_sym_while] = ACTIONS(2508),
    [anon_sym_do] = ACTIONS(2508),
    [anon_sym_for] = ACTIONS(2508),
    [anon_sym_return] = ACTIONS(2508),
    [anon_sym_break] = ACTIONS(2508),
    [anon_sym_continue] = ACTIONS(2508),
    [anon_sym_goto] = ACTIONS(2508),
    [anon_sym___try] = ACTIONS(2508),
    [anon_sym___leave] = ACTIONS(2508),
    [anon_sym_not] = ACTIONS(2508),
    [anon_sym_compl] = ACTIONS(2508),
    [anon_sym_DASH_DASH] = ACTIONS(2510),
    [anon_sym_PLUS_PLUS] = ACTIONS(2510),
    [anon_sym_sizeof] = ACTIONS(2508),
    [anon_sym___alignof__] = ACTIONS(2508),
    [anon_sym___alignof] = ACTIONS(2508),
    [anon_sym__alignof] = ACTIONS(2508),
    [anon_sym_alignof] = ACTIONS(2508),
    [anon_sym__Alignof] = ACTIONS(2508),
    [anon_sym_offsetof] = ACTIONS(2508),
    [anon_sym__Generic] = ACTIONS(2508),
    [anon_sym_asm] = ACTIONS(2508),
    [anon_sym___asm__] = ACTIONS(2508),
    [sym_number_literal] = ACTIONS(2510),
    [anon_sym_L_SQUOTE] = ACTIONS(2510),
    [anon_sym_u_SQUOTE] = ACTIONS(2510),
    [anon_sym_U_SQUOTE] = ACTIONS(2510),
    [anon_sym_u8_SQUOTE] = ACTIONS(2510),
    [anon_sym_SQUOTE] = ACTIONS(2510),
    [anon_sym_L_DQUOTE] = ACTIONS(2510),
    [anon_sym_u_DQUOTE] = ACTIONS(2510),
    [anon_sym_U_DQUOTE] = ACTIONS(2510),
    [anon_sym_u8_DQUOTE] = ACTIONS(2510),
    [anon_sym_DQUOTE] = ACTIONS(2510),
    [sym_true] = ACTIONS(2508),
    [sym_false] = ACTIONS(2508),
    [anon_sym_NULL] = ACTIONS(2508),
    [anon_sym_nullptr] = ACTIONS(2508),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2508),
    [anon_sym_decltype] = ACTIONS(2508),
    [anon_sym_virtual] = ACTIONS(2508),
    [anon_sym_alignas] = ACTIONS(2508),
    [anon_sym_explicit] = ACTIONS(2508),
    [anon_sym_typename] = ACTIONS(2508),
    [anon_sym_template] = ACTIONS(2508),
    [anon_sym_operator] = ACTIONS(2508),
    [anon_sym_try] = ACTIONS(2508),
    [anon_sym_delete] = ACTIONS(2508),
    [anon_sym_throw] = ACTIONS(2508),
    [anon_sym_namespace] = ACTIONS(2508),
    [anon_sym_using] = ACTIONS(2508),
    [anon_sym_static_assert] = ACTIONS(2508),
    [anon_sym_concept] = ACTIONS(2508),
    [anon_sym_co_return] = ACTIONS(2508),
    [anon_sym_co_yield] = ACTIONS(2508),
    [anon_sym_R_DQUOTE] = ACTIONS(2510),
    [anon_sym_LR_DQUOTE] = ACTIONS(2510),
    [anon_sym_uR_DQUOTE] = ACTIONS(2510),
    [anon_sym_UR_DQUOTE] = ACTIONS(2510),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2510),
    [anon_sym_co_await] = ACTIONS(2508),
    [anon_sym_new] = ACTIONS(2508),
    [anon_sym_requires] = ACTIONS(2508),
    [sym_this] = ACTIONS(2508),
    [anon_sym_discard] = ACTIONS(2508),
    [anon_sym_precise] = ACTIONS(2508),
    [anon_sym_shared] = ACTIONS(2508),
    [anon_sym_groupshared] = ACTIONS(2508),
    [anon_sym_uniform] = ACTIONS(2508),
    [anon_sym_row_major] = ACTIONS(2508),
    [anon_sym_column_major] = ACTIONS(2508),
    [anon_sym_globallycoherent] = ACTIONS(2508),
    [anon_sym_centroid] = ACTIONS(2508),
    [anon_sym_noperspective] = ACTIONS(2508),
    [anon_sym_nointerpolation] = ACTIONS(2508),
    [anon_sym_sample] = ACTIONS(2508),
    [anon_sym_linear] = ACTIONS(2508),
    [anon_sym_snorm] = ACTIONS(2508),
    [anon_sym_unorm] = ACTIONS(2508),
    [anon_sym_point] = ACTIONS(2508),
    [anon_sym_line] = ACTIONS(2508),
    [anon_sym_triangleadj] = ACTIONS(2508),
    [anon_sym_lineadj] = ACTIONS(2508),
    [anon_sym_triangle] = ACTIONS(2508),
    [anon_sym_cbuffer] = ACTIONS(2508),
  },
  [706] = {
    [ts_builtin_sym_end] = ACTIONS(2506),
    [sym_identifier] = ACTIONS(2504),
    [aux_sym_preproc_include_token1] = ACTIONS(2504),
    [aux_sym_preproc_def_token1] = ACTIONS(2504),
    [aux_sym_preproc_if_token1] = ACTIONS(2504),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2504),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2504),
    [sym_preproc_directive] = ACTIONS(2504),
    [anon_sym_LPAREN2] = ACTIONS(2506),
    [anon_sym_BANG] = ACTIONS(2506),
    [anon_sym_TILDE] = ACTIONS(2506),
    [anon_sym_DASH] = ACTIONS(2504),
    [anon_sym_PLUS] = ACTIONS(2504),
    [anon_sym_STAR] = ACTIONS(2506),
    [anon_sym_AMP_AMP] = ACTIONS(2506),
    [anon_sym_AMP] = ACTIONS(2504),
    [anon_sym_SEMI] = ACTIONS(2506),
    [anon_sym___extension__] = ACTIONS(2504),
    [anon_sym_typedef] = ACTIONS(2504),
    [anon_sym_in] = ACTIONS(2504),
    [anon_sym_out] = ACTIONS(2504),
    [anon_sym_inout] = ACTIONS(2504),
    [anon_sym_extern] = ACTIONS(2504),
    [anon_sym___attribute__] = ACTIONS(2504),
    [anon_sym_COLON_COLON] = ACTIONS(2506),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2506),
    [anon_sym___declspec] = ACTIONS(2504),
    [anon_sym___based] = ACTIONS(2504),
    [anon_sym___cdecl] = ACTIONS(2504),
    [anon_sym___clrcall] = ACTIONS(2504),
    [anon_sym___stdcall] = ACTIONS(2504),
    [anon_sym___fastcall] = ACTIONS(2504),
    [anon_sym___thiscall] = ACTIONS(2504),
    [anon_sym___vectorcall] = ACTIONS(2504),
    [anon_sym_LBRACE] = ACTIONS(2506),
    [anon_sym_signed] = ACTIONS(2504),
    [anon_sym_unsigned] = ACTIONS(2504),
    [anon_sym_long] = ACTIONS(2504),
    [anon_sym_short] = ACTIONS(2504),
    [anon_sym_LBRACK] = ACTIONS(2504),
    [anon_sym_static] = ACTIONS(2504),
    [anon_sym_register] = ACTIONS(2504),
    [anon_sym_inline] = ACTIONS(2504),
    [anon_sym___inline] = ACTIONS(2504),
    [anon_sym___inline__] = ACTIONS(2504),
    [anon_sym___forceinline] = ACTIONS(2504),
    [anon_sym_thread_local] = ACTIONS(2504),
    [anon_sym___thread] = ACTIONS(2504),
    [anon_sym_const] = ACTIONS(2504),
    [anon_sym_constexpr] = ACTIONS(2504),
    [anon_sym_volatile] = ACTIONS(2504),
    [anon_sym_restrict] = ACTIONS(2504),
    [anon_sym___restrict__] = ACTIONS(2504),
    [anon_sym__Atomic] = ACTIONS(2504),
    [anon_sym__Noreturn] = ACTIONS(2504),
    [anon_sym_noreturn] = ACTIONS(2504),
    [anon_sym_mutable] = ACTIONS(2504),
    [anon_sym_constinit] = ACTIONS(2504),
    [anon_sym_consteval] = ACTIONS(2504),
    [sym_primitive_type] = ACTIONS(2504),
    [anon_sym_enum] = ACTIONS(2504),
    [anon_sym_class] = ACTIONS(2504),
    [anon_sym_struct] = ACTIONS(2504),
    [anon_sym_union] = ACTIONS(2504),
    [anon_sym_if] = ACTIONS(2504),
    [anon_sym_else] = ACTIONS(2504),
    [anon_sym_switch] = ACTIONS(2504),
    [anon_sym_case] = ACTIONS(2504),
    [anon_sym_default] = ACTIONS(2504),
    [anon_sym_while] = ACTIONS(2504),
    [anon_sym_do] = ACTIONS(2504),
    [anon_sym_for] = ACTIONS(2504),
    [anon_sym_return] = ACTIONS(2504),
    [anon_sym_break] = ACTIONS(2504),
    [anon_sym_continue] = ACTIONS(2504),
    [anon_sym_goto] = ACTIONS(2504),
    [anon_sym___try] = ACTIONS(2504),
    [anon_sym___leave] = ACTIONS(2504),
    [anon_sym_not] = ACTIONS(2504),
    [anon_sym_compl] = ACTIONS(2504),
    [anon_sym_DASH_DASH] = ACTIONS(2506),
    [anon_sym_PLUS_PLUS] = ACTIONS(2506),
    [anon_sym_sizeof] = ACTIONS(2504),
    [anon_sym___alignof__] = ACTIONS(2504),
    [anon_sym___alignof] = ACTIONS(2504),
    [anon_sym__alignof] = ACTIONS(2504),
    [anon_sym_alignof] = ACTIONS(2504),
    [anon_sym__Alignof] = ACTIONS(2504),
    [anon_sym_offsetof] = ACTIONS(2504),
    [anon_sym__Generic] = ACTIONS(2504),
    [anon_sym_asm] = ACTIONS(2504),
    [anon_sym___asm__] = ACTIONS(2504),
    [sym_number_literal] = ACTIONS(2506),
    [anon_sym_L_SQUOTE] = ACTIONS(2506),
    [anon_sym_u_SQUOTE] = ACTIONS(2506),
    [anon_sym_U_SQUOTE] = ACTIONS(2506),
    [anon_sym_u8_SQUOTE] = ACTIONS(2506),
    [anon_sym_SQUOTE] = ACTIONS(2506),
    [anon_sym_L_DQUOTE] = ACTIONS(2506),
    [anon_sym_u_DQUOTE] = ACTIONS(2506),
    [anon_sym_U_DQUOTE] = ACTIONS(2506),
    [anon_sym_u8_DQUOTE] = ACTIONS(2506),
    [anon_sym_DQUOTE] = ACTIONS(2506),
    [sym_true] = ACTIONS(2504),
    [sym_false] = ACTIONS(2504),
    [anon_sym_NULL] = ACTIONS(2504),
    [anon_sym_nullptr] = ACTIONS(2504),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2504),
    [anon_sym_decltype] = ACTIONS(2504),
    [anon_sym_virtual] = ACTIONS(2504),
    [anon_sym_alignas] = ACTIONS(2504),
    [anon_sym_explicit] = ACTIONS(2504),
    [anon_sym_typename] = ACTIONS(2504),
    [anon_sym_template] = ACTIONS(2504),
    [anon_sym_operator] = ACTIONS(2504),
    [anon_sym_try] = ACTIONS(2504),
    [anon_sym_delete] = ACTIONS(2504),
    [anon_sym_throw] = ACTIONS(2504),
    [anon_sym_namespace] = ACTIONS(2504),
    [anon_sym_using] = ACTIONS(2504),
    [anon_sym_static_assert] = ACTIONS(2504),
    [anon_sym_concept] = ACTIONS(2504),
    [anon_sym_co_return] = ACTIONS(2504),
    [anon_sym_co_yield] = ACTIONS(2504),
    [anon_sym_R_DQUOTE] = ACTIONS(2506),
    [anon_sym_LR_DQUOTE] = ACTIONS(2506),
    [anon_sym_uR_DQUOTE] = ACTIONS(2506),
    [anon_sym_UR_DQUOTE] = ACTIONS(2506),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2506),
    [anon_sym_co_await] = ACTIONS(2504),
    [anon_sym_new] = ACTIONS(2504),
    [anon_sym_requires] = ACTIONS(2504),
    [sym_this] = ACTIONS(2504),
    [anon_sym_discard] = ACTIONS(2504),
    [anon_sym_precise] = ACTIONS(2504),
    [anon_sym_shared] = ACTIONS(2504),
    [anon_sym_groupshared] = ACTIONS(2504),
    [anon_sym_uniform] = ACTIONS(2504),
    [anon_sym_row_major] = ACTIONS(2504),
    [anon_sym_column_major] = ACTIONS(2504),
    [anon_sym_globallycoherent] = ACTIONS(2504),
    [anon_sym_centroid] = ACTIONS(2504),
    [anon_sym_noperspective] = ACTIONS(2504),
    [anon_sym_nointerpolation] = ACTIONS(2504),
    [anon_sym_sample] = ACTIONS(2504),
    [anon_sym_linear] = ACTIONS(2504),
    [anon_sym_snorm] = ACTIONS(2504),
    [anon_sym_unorm] = ACTIONS(2504),
    [anon_sym_point] = ACTIONS(2504),
    [anon_sym_line] = ACTIONS(2504),
    [anon_sym_triangleadj] = ACTIONS(2504),
    [anon_sym_lineadj] = ACTIONS(2504),
    [anon_sym_triangle] = ACTIONS(2504),
    [anon_sym_cbuffer] = ACTIONS(2504),
  },
  [707] = {
    [sym_identifier] = ACTIONS(2396),
    [aux_sym_preproc_include_token1] = ACTIONS(2396),
    [aux_sym_preproc_def_token1] = ACTIONS(2396),
    [aux_sym_preproc_if_token1] = ACTIONS(2396),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2396),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2396),
    [sym_preproc_directive] = ACTIONS(2396),
    [anon_sym_LPAREN2] = ACTIONS(2398),
    [anon_sym_BANG] = ACTIONS(2398),
    [anon_sym_TILDE] = ACTIONS(2398),
    [anon_sym_DASH] = ACTIONS(2396),
    [anon_sym_PLUS] = ACTIONS(2396),
    [anon_sym_STAR] = ACTIONS(2398),
    [anon_sym_AMP_AMP] = ACTIONS(2398),
    [anon_sym_AMP] = ACTIONS(2396),
    [anon_sym_SEMI] = ACTIONS(2398),
    [anon_sym___extension__] = ACTIONS(2396),
    [anon_sym_typedef] = ACTIONS(2396),
    [anon_sym_in] = ACTIONS(2396),
    [anon_sym_out] = ACTIONS(2396),
    [anon_sym_inout] = ACTIONS(2396),
    [anon_sym_extern] = ACTIONS(2396),
    [anon_sym___attribute__] = ACTIONS(2396),
    [anon_sym_COLON_COLON] = ACTIONS(2398),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2398),
    [anon_sym___declspec] = ACTIONS(2396),
    [anon_sym___based] = ACTIONS(2396),
    [anon_sym___cdecl] = ACTIONS(2396),
    [anon_sym___clrcall] = ACTIONS(2396),
    [anon_sym___stdcall] = ACTIONS(2396),
    [anon_sym___fastcall] = ACTIONS(2396),
    [anon_sym___thiscall] = ACTIONS(2396),
    [anon_sym___vectorcall] = ACTIONS(2396),
    [anon_sym_LBRACE] = ACTIONS(2398),
    [anon_sym_RBRACE] = ACTIONS(2398),
    [anon_sym_signed] = ACTIONS(2396),
    [anon_sym_unsigned] = ACTIONS(2396),
    [anon_sym_long] = ACTIONS(2396),
    [anon_sym_short] = ACTIONS(2396),
    [anon_sym_LBRACK] = ACTIONS(2396),
    [anon_sym_static] = ACTIONS(2396),
    [anon_sym_register] = ACTIONS(2396),
    [anon_sym_inline] = ACTIONS(2396),
    [anon_sym___inline] = ACTIONS(2396),
    [anon_sym___inline__] = ACTIONS(2396),
    [anon_sym___forceinline] = ACTIONS(2396),
    [anon_sym_thread_local] = ACTIONS(2396),
    [anon_sym___thread] = ACTIONS(2396),
    [anon_sym_const] = ACTIONS(2396),
    [anon_sym_constexpr] = ACTIONS(2396),
    [anon_sym_volatile] = ACTIONS(2396),
    [anon_sym_restrict] = ACTIONS(2396),
    [anon_sym___restrict__] = ACTIONS(2396),
    [anon_sym__Atomic] = ACTIONS(2396),
    [anon_sym__Noreturn] = ACTIONS(2396),
    [anon_sym_noreturn] = ACTIONS(2396),
    [anon_sym_mutable] = ACTIONS(2396),
    [anon_sym_constinit] = ACTIONS(2396),
    [anon_sym_consteval] = ACTIONS(2396),
    [sym_primitive_type] = ACTIONS(2396),
    [anon_sym_enum] = ACTIONS(2396),
    [anon_sym_class] = ACTIONS(2396),
    [anon_sym_struct] = ACTIONS(2396),
    [anon_sym_union] = ACTIONS(2396),
    [anon_sym_if] = ACTIONS(2396),
    [anon_sym_else] = ACTIONS(2396),
    [anon_sym_switch] = ACTIONS(2396),
    [anon_sym_case] = ACTIONS(2396),
    [anon_sym_default] = ACTIONS(2396),
    [anon_sym_while] = ACTIONS(2396),
    [anon_sym_do] = ACTIONS(2396),
    [anon_sym_for] = ACTIONS(2396),
    [anon_sym_return] = ACTIONS(2396),
    [anon_sym_break] = ACTIONS(2396),
    [anon_sym_continue] = ACTIONS(2396),
    [anon_sym_goto] = ACTIONS(2396),
    [anon_sym___try] = ACTIONS(2396),
    [anon_sym___leave] = ACTIONS(2396),
    [anon_sym_not] = ACTIONS(2396),
    [anon_sym_compl] = ACTIONS(2396),
    [anon_sym_DASH_DASH] = ACTIONS(2398),
    [anon_sym_PLUS_PLUS] = ACTIONS(2398),
    [anon_sym_sizeof] = ACTIONS(2396),
    [anon_sym___alignof__] = ACTIONS(2396),
    [anon_sym___alignof] = ACTIONS(2396),
    [anon_sym__alignof] = ACTIONS(2396),
    [anon_sym_alignof] = ACTIONS(2396),
    [anon_sym__Alignof] = ACTIONS(2396),
    [anon_sym_offsetof] = ACTIONS(2396),
    [anon_sym__Generic] = ACTIONS(2396),
    [anon_sym_asm] = ACTIONS(2396),
    [anon_sym___asm__] = ACTIONS(2396),
    [sym_number_literal] = ACTIONS(2398),
    [anon_sym_L_SQUOTE] = ACTIONS(2398),
    [anon_sym_u_SQUOTE] = ACTIONS(2398),
    [anon_sym_U_SQUOTE] = ACTIONS(2398),
    [anon_sym_u8_SQUOTE] = ACTIONS(2398),
    [anon_sym_SQUOTE] = ACTIONS(2398),
    [anon_sym_L_DQUOTE] = ACTIONS(2398),
    [anon_sym_u_DQUOTE] = ACTIONS(2398),
    [anon_sym_U_DQUOTE] = ACTIONS(2398),
    [anon_sym_u8_DQUOTE] = ACTIONS(2398),
    [anon_sym_DQUOTE] = ACTIONS(2398),
    [sym_true] = ACTIONS(2396),
    [sym_false] = ACTIONS(2396),
    [anon_sym_NULL] = ACTIONS(2396),
    [anon_sym_nullptr] = ACTIONS(2396),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2396),
    [anon_sym_decltype] = ACTIONS(2396),
    [anon_sym_virtual] = ACTIONS(2396),
    [anon_sym_alignas] = ACTIONS(2396),
    [anon_sym_explicit] = ACTIONS(2396),
    [anon_sym_typename] = ACTIONS(2396),
    [anon_sym_template] = ACTIONS(2396),
    [anon_sym_operator] = ACTIONS(2396),
    [anon_sym_try] = ACTIONS(2396),
    [anon_sym_delete] = ACTIONS(2396),
    [anon_sym_throw] = ACTIONS(2396),
    [anon_sym_namespace] = ACTIONS(2396),
    [anon_sym_using] = ACTIONS(2396),
    [anon_sym_static_assert] = ACTIONS(2396),
    [anon_sym_concept] = ACTIONS(2396),
    [anon_sym_co_return] = ACTIONS(2396),
    [anon_sym_co_yield] = ACTIONS(2396),
    [anon_sym_R_DQUOTE] = ACTIONS(2398),
    [anon_sym_LR_DQUOTE] = ACTIONS(2398),
    [anon_sym_uR_DQUOTE] = ACTIONS(2398),
    [anon_sym_UR_DQUOTE] = ACTIONS(2398),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2398),
    [anon_sym_co_await] = ACTIONS(2396),
    [anon_sym_new] = ACTIONS(2396),
    [anon_sym_requires] = ACTIONS(2396),
    [sym_this] = ACTIONS(2396),
    [anon_sym_discard] = ACTIONS(2396),
    [anon_sym_precise] = ACTIONS(2396),
    [anon_sym_shared] = ACTIONS(2396),
    [anon_sym_groupshared] = ACTIONS(2396),
    [anon_sym_uniform] = ACTIONS(2396),
    [anon_sym_row_major] = ACTIONS(2396),
    [anon_sym_column_major] = ACTIONS(2396),
    [anon_sym_globallycoherent] = ACTIONS(2396),
    [anon_sym_centroid] = ACTIONS(2396),
    [anon_sym_noperspective] = ACTIONS(2396),
    [anon_sym_nointerpolation] = ACTIONS(2396),
    [anon_sym_sample] = ACTIONS(2396),
    [anon_sym_linear] = ACTIONS(2396),
    [anon_sym_snorm] = ACTIONS(2396),
    [anon_sym_unorm] = ACTIONS(2396),
    [anon_sym_point] = ACTIONS(2396),
    [anon_sym_line] = ACTIONS(2396),
    [anon_sym_triangleadj] = ACTIONS(2396),
    [anon_sym_lineadj] = ACTIONS(2396),
    [anon_sym_triangle] = ACTIONS(2396),
    [anon_sym_cbuffer] = ACTIONS(2396),
  },
  [708] = {
    [sym_identifier] = ACTIONS(2330),
    [aux_sym_preproc_include_token1] = ACTIONS(2330),
    [aux_sym_preproc_def_token1] = ACTIONS(2330),
    [aux_sym_preproc_if_token1] = ACTIONS(2330),
    [aux_sym_preproc_if_token2] = ACTIONS(2330),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2330),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2330),
    [sym_preproc_directive] = ACTIONS(2330),
    [anon_sym_LPAREN2] = ACTIONS(2332),
    [anon_sym_BANG] = ACTIONS(2332),
    [anon_sym_TILDE] = ACTIONS(2332),
    [anon_sym_DASH] = ACTIONS(2330),
    [anon_sym_PLUS] = ACTIONS(2330),
    [anon_sym_STAR] = ACTIONS(2332),
    [anon_sym_AMP_AMP] = ACTIONS(2332),
    [anon_sym_AMP] = ACTIONS(2330),
    [anon_sym_SEMI] = ACTIONS(2332),
    [anon_sym___extension__] = ACTIONS(2330),
    [anon_sym_typedef] = ACTIONS(2330),
    [anon_sym_in] = ACTIONS(2330),
    [anon_sym_out] = ACTIONS(2330),
    [anon_sym_inout] = ACTIONS(2330),
    [anon_sym_extern] = ACTIONS(2330),
    [anon_sym___attribute__] = ACTIONS(2330),
    [anon_sym_COLON_COLON] = ACTIONS(2332),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2332),
    [anon_sym___declspec] = ACTIONS(2330),
    [anon_sym___based] = ACTIONS(2330),
    [anon_sym___cdecl] = ACTIONS(2330),
    [anon_sym___clrcall] = ACTIONS(2330),
    [anon_sym___stdcall] = ACTIONS(2330),
    [anon_sym___fastcall] = ACTIONS(2330),
    [anon_sym___thiscall] = ACTIONS(2330),
    [anon_sym___vectorcall] = ACTIONS(2330),
    [anon_sym_LBRACE] = ACTIONS(2332),
    [anon_sym_signed] = ACTIONS(2330),
    [anon_sym_unsigned] = ACTIONS(2330),
    [anon_sym_long] = ACTIONS(2330),
    [anon_sym_short] = ACTIONS(2330),
    [anon_sym_LBRACK] = ACTIONS(2330),
    [anon_sym_static] = ACTIONS(2330),
    [anon_sym_register] = ACTIONS(2330),
    [anon_sym_inline] = ACTIONS(2330),
    [anon_sym___inline] = ACTIONS(2330),
    [anon_sym___inline__] = ACTIONS(2330),
    [anon_sym___forceinline] = ACTIONS(2330),
    [anon_sym_thread_local] = ACTIONS(2330),
    [anon_sym___thread] = ACTIONS(2330),
    [anon_sym_const] = ACTIONS(2330),
    [anon_sym_constexpr] = ACTIONS(2330),
    [anon_sym_volatile] = ACTIONS(2330),
    [anon_sym_restrict] = ACTIONS(2330),
    [anon_sym___restrict__] = ACTIONS(2330),
    [anon_sym__Atomic] = ACTIONS(2330),
    [anon_sym__Noreturn] = ACTIONS(2330),
    [anon_sym_noreturn] = ACTIONS(2330),
    [anon_sym_mutable] = ACTIONS(2330),
    [anon_sym_constinit] = ACTIONS(2330),
    [anon_sym_consteval] = ACTIONS(2330),
    [sym_primitive_type] = ACTIONS(2330),
    [anon_sym_enum] = ACTIONS(2330),
    [anon_sym_class] = ACTIONS(2330),
    [anon_sym_struct] = ACTIONS(2330),
    [anon_sym_union] = ACTIONS(2330),
    [anon_sym_if] = ACTIONS(2330),
    [anon_sym_else] = ACTIONS(2330),
    [anon_sym_switch] = ACTIONS(2330),
    [anon_sym_case] = ACTIONS(2330),
    [anon_sym_default] = ACTIONS(2330),
    [anon_sym_while] = ACTIONS(2330),
    [anon_sym_do] = ACTIONS(2330),
    [anon_sym_for] = ACTIONS(2330),
    [anon_sym_return] = ACTIONS(2330),
    [anon_sym_break] = ACTIONS(2330),
    [anon_sym_continue] = ACTIONS(2330),
    [anon_sym_goto] = ACTIONS(2330),
    [anon_sym___try] = ACTIONS(2330),
    [anon_sym___leave] = ACTIONS(2330),
    [anon_sym_not] = ACTIONS(2330),
    [anon_sym_compl] = ACTIONS(2330),
    [anon_sym_DASH_DASH] = ACTIONS(2332),
    [anon_sym_PLUS_PLUS] = ACTIONS(2332),
    [anon_sym_sizeof] = ACTIONS(2330),
    [anon_sym___alignof__] = ACTIONS(2330),
    [anon_sym___alignof] = ACTIONS(2330),
    [anon_sym__alignof] = ACTIONS(2330),
    [anon_sym_alignof] = ACTIONS(2330),
    [anon_sym__Alignof] = ACTIONS(2330),
    [anon_sym_offsetof] = ACTIONS(2330),
    [anon_sym__Generic] = ACTIONS(2330),
    [anon_sym_asm] = ACTIONS(2330),
    [anon_sym___asm__] = ACTIONS(2330),
    [sym_number_literal] = ACTIONS(2332),
    [anon_sym_L_SQUOTE] = ACTIONS(2332),
    [anon_sym_u_SQUOTE] = ACTIONS(2332),
    [anon_sym_U_SQUOTE] = ACTIONS(2332),
    [anon_sym_u8_SQUOTE] = ACTIONS(2332),
    [anon_sym_SQUOTE] = ACTIONS(2332),
    [anon_sym_L_DQUOTE] = ACTIONS(2332),
    [anon_sym_u_DQUOTE] = ACTIONS(2332),
    [anon_sym_U_DQUOTE] = ACTIONS(2332),
    [anon_sym_u8_DQUOTE] = ACTIONS(2332),
    [anon_sym_DQUOTE] = ACTIONS(2332),
    [sym_true] = ACTIONS(2330),
    [sym_false] = ACTIONS(2330),
    [anon_sym_NULL] = ACTIONS(2330),
    [anon_sym_nullptr] = ACTIONS(2330),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2330),
    [anon_sym_decltype] = ACTIONS(2330),
    [anon_sym_virtual] = ACTIONS(2330),
    [anon_sym_alignas] = ACTIONS(2330),
    [anon_sym_explicit] = ACTIONS(2330),
    [anon_sym_typename] = ACTIONS(2330),
    [anon_sym_template] = ACTIONS(2330),
    [anon_sym_operator] = ACTIONS(2330),
    [anon_sym_try] = ACTIONS(2330),
    [anon_sym_delete] = ACTIONS(2330),
    [anon_sym_throw] = ACTIONS(2330),
    [anon_sym_namespace] = ACTIONS(2330),
    [anon_sym_using] = ACTIONS(2330),
    [anon_sym_static_assert] = ACTIONS(2330),
    [anon_sym_concept] = ACTIONS(2330),
    [anon_sym_co_return] = ACTIONS(2330),
    [anon_sym_co_yield] = ACTIONS(2330),
    [anon_sym_R_DQUOTE] = ACTIONS(2332),
    [anon_sym_LR_DQUOTE] = ACTIONS(2332),
    [anon_sym_uR_DQUOTE] = ACTIONS(2332),
    [anon_sym_UR_DQUOTE] = ACTIONS(2332),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2332),
    [anon_sym_co_await] = ACTIONS(2330),
    [anon_sym_new] = ACTIONS(2330),
    [anon_sym_requires] = ACTIONS(2330),
    [sym_this] = ACTIONS(2330),
    [anon_sym_discard] = ACTIONS(2330),
    [anon_sym_precise] = ACTIONS(2330),
    [anon_sym_shared] = ACTIONS(2330),
    [anon_sym_groupshared] = ACTIONS(2330),
    [anon_sym_uniform] = ACTIONS(2330),
    [anon_sym_row_major] = ACTIONS(2330),
    [anon_sym_column_major] = ACTIONS(2330),
    [anon_sym_globallycoherent] = ACTIONS(2330),
    [anon_sym_centroid] = ACTIONS(2330),
    [anon_sym_noperspective] = ACTIONS(2330),
    [anon_sym_nointerpolation] = ACTIONS(2330),
    [anon_sym_sample] = ACTIONS(2330),
    [anon_sym_linear] = ACTIONS(2330),
    [anon_sym_snorm] = ACTIONS(2330),
    [anon_sym_unorm] = ACTIONS(2330),
    [anon_sym_point] = ACTIONS(2330),
    [anon_sym_line] = ACTIONS(2330),
    [anon_sym_triangleadj] = ACTIONS(2330),
    [anon_sym_lineadj] = ACTIONS(2330),
    [anon_sym_triangle] = ACTIONS(2330),
    [anon_sym_cbuffer] = ACTIONS(2330),
  },
  [709] = {
    [ts_builtin_sym_end] = ACTIONS(2514),
    [sym_identifier] = ACTIONS(2512),
    [aux_sym_preproc_include_token1] = ACTIONS(2512),
    [aux_sym_preproc_def_token1] = ACTIONS(2512),
    [aux_sym_preproc_if_token1] = ACTIONS(2512),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2512),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2512),
    [sym_preproc_directive] = ACTIONS(2512),
    [anon_sym_LPAREN2] = ACTIONS(2514),
    [anon_sym_BANG] = ACTIONS(2514),
    [anon_sym_TILDE] = ACTIONS(2514),
    [anon_sym_DASH] = ACTIONS(2512),
    [anon_sym_PLUS] = ACTIONS(2512),
    [anon_sym_STAR] = ACTIONS(2514),
    [anon_sym_AMP_AMP] = ACTIONS(2514),
    [anon_sym_AMP] = ACTIONS(2512),
    [anon_sym_SEMI] = ACTIONS(2514),
    [anon_sym___extension__] = ACTIONS(2512),
    [anon_sym_typedef] = ACTIONS(2512),
    [anon_sym_in] = ACTIONS(2512),
    [anon_sym_out] = ACTIONS(2512),
    [anon_sym_inout] = ACTIONS(2512),
    [anon_sym_extern] = ACTIONS(2512),
    [anon_sym___attribute__] = ACTIONS(2512),
    [anon_sym_COLON_COLON] = ACTIONS(2514),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2514),
    [anon_sym___declspec] = ACTIONS(2512),
    [anon_sym___based] = ACTIONS(2512),
    [anon_sym___cdecl] = ACTIONS(2512),
    [anon_sym___clrcall] = ACTIONS(2512),
    [anon_sym___stdcall] = ACTIONS(2512),
    [anon_sym___fastcall] = ACTIONS(2512),
    [anon_sym___thiscall] = ACTIONS(2512),
    [anon_sym___vectorcall] = ACTIONS(2512),
    [anon_sym_LBRACE] = ACTIONS(2514),
    [anon_sym_signed] = ACTIONS(2512),
    [anon_sym_unsigned] = ACTIONS(2512),
    [anon_sym_long] = ACTIONS(2512),
    [anon_sym_short] = ACTIONS(2512),
    [anon_sym_LBRACK] = ACTIONS(2512),
    [anon_sym_static] = ACTIONS(2512),
    [anon_sym_register] = ACTIONS(2512),
    [anon_sym_inline] = ACTIONS(2512),
    [anon_sym___inline] = ACTIONS(2512),
    [anon_sym___inline__] = ACTIONS(2512),
    [anon_sym___forceinline] = ACTIONS(2512),
    [anon_sym_thread_local] = ACTIONS(2512),
    [anon_sym___thread] = ACTIONS(2512),
    [anon_sym_const] = ACTIONS(2512),
    [anon_sym_constexpr] = ACTIONS(2512),
    [anon_sym_volatile] = ACTIONS(2512),
    [anon_sym_restrict] = ACTIONS(2512),
    [anon_sym___restrict__] = ACTIONS(2512),
    [anon_sym__Atomic] = ACTIONS(2512),
    [anon_sym__Noreturn] = ACTIONS(2512),
    [anon_sym_noreturn] = ACTIONS(2512),
    [anon_sym_mutable] = ACTIONS(2512),
    [anon_sym_constinit] = ACTIONS(2512),
    [anon_sym_consteval] = ACTIONS(2512),
    [sym_primitive_type] = ACTIONS(2512),
    [anon_sym_enum] = ACTIONS(2512),
    [anon_sym_class] = ACTIONS(2512),
    [anon_sym_struct] = ACTIONS(2512),
    [anon_sym_union] = ACTIONS(2512),
    [anon_sym_if] = ACTIONS(2512),
    [anon_sym_else] = ACTIONS(2512),
    [anon_sym_switch] = ACTIONS(2512),
    [anon_sym_case] = ACTIONS(2512),
    [anon_sym_default] = ACTIONS(2512),
    [anon_sym_while] = ACTIONS(2512),
    [anon_sym_do] = ACTIONS(2512),
    [anon_sym_for] = ACTIONS(2512),
    [anon_sym_return] = ACTIONS(2512),
    [anon_sym_break] = ACTIONS(2512),
    [anon_sym_continue] = ACTIONS(2512),
    [anon_sym_goto] = ACTIONS(2512),
    [anon_sym___try] = ACTIONS(2512),
    [anon_sym___leave] = ACTIONS(2512),
    [anon_sym_not] = ACTIONS(2512),
    [anon_sym_compl] = ACTIONS(2512),
    [anon_sym_DASH_DASH] = ACTIONS(2514),
    [anon_sym_PLUS_PLUS] = ACTIONS(2514),
    [anon_sym_sizeof] = ACTIONS(2512),
    [anon_sym___alignof__] = ACTIONS(2512),
    [anon_sym___alignof] = ACTIONS(2512),
    [anon_sym__alignof] = ACTIONS(2512),
    [anon_sym_alignof] = ACTIONS(2512),
    [anon_sym__Alignof] = ACTIONS(2512),
    [anon_sym_offsetof] = ACTIONS(2512),
    [anon_sym__Generic] = ACTIONS(2512),
    [anon_sym_asm] = ACTIONS(2512),
    [anon_sym___asm__] = ACTIONS(2512),
    [sym_number_literal] = ACTIONS(2514),
    [anon_sym_L_SQUOTE] = ACTIONS(2514),
    [anon_sym_u_SQUOTE] = ACTIONS(2514),
    [anon_sym_U_SQUOTE] = ACTIONS(2514),
    [anon_sym_u8_SQUOTE] = ACTIONS(2514),
    [anon_sym_SQUOTE] = ACTIONS(2514),
    [anon_sym_L_DQUOTE] = ACTIONS(2514),
    [anon_sym_u_DQUOTE] = ACTIONS(2514),
    [anon_sym_U_DQUOTE] = ACTIONS(2514),
    [anon_sym_u8_DQUOTE] = ACTIONS(2514),
    [anon_sym_DQUOTE] = ACTIONS(2514),
    [sym_true] = ACTIONS(2512),
    [sym_false] = ACTIONS(2512),
    [anon_sym_NULL] = ACTIONS(2512),
    [anon_sym_nullptr] = ACTIONS(2512),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2512),
    [anon_sym_decltype] = ACTIONS(2512),
    [anon_sym_virtual] = ACTIONS(2512),
    [anon_sym_alignas] = ACTIONS(2512),
    [anon_sym_explicit] = ACTIONS(2512),
    [anon_sym_typename] = ACTIONS(2512),
    [anon_sym_template] = ACTIONS(2512),
    [anon_sym_operator] = ACTIONS(2512),
    [anon_sym_try] = ACTIONS(2512),
    [anon_sym_delete] = ACTIONS(2512),
    [anon_sym_throw] = ACTIONS(2512),
    [anon_sym_namespace] = ACTIONS(2512),
    [anon_sym_using] = ACTIONS(2512),
    [anon_sym_static_assert] = ACTIONS(2512),
    [anon_sym_concept] = ACTIONS(2512),
    [anon_sym_co_return] = ACTIONS(2512),
    [anon_sym_co_yield] = ACTIONS(2512),
    [anon_sym_R_DQUOTE] = ACTIONS(2514),
    [anon_sym_LR_DQUOTE] = ACTIONS(2514),
    [anon_sym_uR_DQUOTE] = ACTIONS(2514),
    [anon_sym_UR_DQUOTE] = ACTIONS(2514),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2514),
    [anon_sym_co_await] = ACTIONS(2512),
    [anon_sym_new] = ACTIONS(2512),
    [anon_sym_requires] = ACTIONS(2512),
    [sym_this] = ACTIONS(2512),
    [anon_sym_discard] = ACTIONS(2512),
    [anon_sym_precise] = ACTIONS(2512),
    [anon_sym_shared] = ACTIONS(2512),
    [anon_sym_groupshared] = ACTIONS(2512),
    [anon_sym_uniform] = ACTIONS(2512),
    [anon_sym_row_major] = ACTIONS(2512),
    [anon_sym_column_major] = ACTIONS(2512),
    [anon_sym_globallycoherent] = ACTIONS(2512),
    [anon_sym_centroid] = ACTIONS(2512),
    [anon_sym_noperspective] = ACTIONS(2512),
    [anon_sym_nointerpolation] = ACTIONS(2512),
    [anon_sym_sample] = ACTIONS(2512),
    [anon_sym_linear] = ACTIONS(2512),
    [anon_sym_snorm] = ACTIONS(2512),
    [anon_sym_unorm] = ACTIONS(2512),
    [anon_sym_point] = ACTIONS(2512),
    [anon_sym_line] = ACTIONS(2512),
    [anon_sym_triangleadj] = ACTIONS(2512),
    [anon_sym_lineadj] = ACTIONS(2512),
    [anon_sym_triangle] = ACTIONS(2512),
    [anon_sym_cbuffer] = ACTIONS(2512),
  },
  [710] = {
    [ts_builtin_sym_end] = ACTIONS(2422),
    [sym_identifier] = ACTIONS(2420),
    [aux_sym_preproc_include_token1] = ACTIONS(2420),
    [aux_sym_preproc_def_token1] = ACTIONS(2420),
    [aux_sym_preproc_if_token1] = ACTIONS(2420),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2420),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2420),
    [sym_preproc_directive] = ACTIONS(2420),
    [anon_sym_LPAREN2] = ACTIONS(2422),
    [anon_sym_BANG] = ACTIONS(2422),
    [anon_sym_TILDE] = ACTIONS(2422),
    [anon_sym_DASH] = ACTIONS(2420),
    [anon_sym_PLUS] = ACTIONS(2420),
    [anon_sym_STAR] = ACTIONS(2422),
    [anon_sym_AMP_AMP] = ACTIONS(2422),
    [anon_sym_AMP] = ACTIONS(2420),
    [anon_sym_SEMI] = ACTIONS(2422),
    [anon_sym___extension__] = ACTIONS(2420),
    [anon_sym_typedef] = ACTIONS(2420),
    [anon_sym_in] = ACTIONS(2420),
    [anon_sym_out] = ACTIONS(2420),
    [anon_sym_inout] = ACTIONS(2420),
    [anon_sym_extern] = ACTIONS(2420),
    [anon_sym___attribute__] = ACTIONS(2420),
    [anon_sym_COLON_COLON] = ACTIONS(2422),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2422),
    [anon_sym___declspec] = ACTIONS(2420),
    [anon_sym___based] = ACTIONS(2420),
    [anon_sym___cdecl] = ACTIONS(2420),
    [anon_sym___clrcall] = ACTIONS(2420),
    [anon_sym___stdcall] = ACTIONS(2420),
    [anon_sym___fastcall] = ACTIONS(2420),
    [anon_sym___thiscall] = ACTIONS(2420),
    [anon_sym___vectorcall] = ACTIONS(2420),
    [anon_sym_LBRACE] = ACTIONS(2422),
    [anon_sym_signed] = ACTIONS(2420),
    [anon_sym_unsigned] = ACTIONS(2420),
    [anon_sym_long] = ACTIONS(2420),
    [anon_sym_short] = ACTIONS(2420),
    [anon_sym_LBRACK] = ACTIONS(2420),
    [anon_sym_static] = ACTIONS(2420),
    [anon_sym_register] = ACTIONS(2420),
    [anon_sym_inline] = ACTIONS(2420),
    [anon_sym___inline] = ACTIONS(2420),
    [anon_sym___inline__] = ACTIONS(2420),
    [anon_sym___forceinline] = ACTIONS(2420),
    [anon_sym_thread_local] = ACTIONS(2420),
    [anon_sym___thread] = ACTIONS(2420),
    [anon_sym_const] = ACTIONS(2420),
    [anon_sym_constexpr] = ACTIONS(2420),
    [anon_sym_volatile] = ACTIONS(2420),
    [anon_sym_restrict] = ACTIONS(2420),
    [anon_sym___restrict__] = ACTIONS(2420),
    [anon_sym__Atomic] = ACTIONS(2420),
    [anon_sym__Noreturn] = ACTIONS(2420),
    [anon_sym_noreturn] = ACTIONS(2420),
    [anon_sym_mutable] = ACTIONS(2420),
    [anon_sym_constinit] = ACTIONS(2420),
    [anon_sym_consteval] = ACTIONS(2420),
    [sym_primitive_type] = ACTIONS(2420),
    [anon_sym_enum] = ACTIONS(2420),
    [anon_sym_class] = ACTIONS(2420),
    [anon_sym_struct] = ACTIONS(2420),
    [anon_sym_union] = ACTIONS(2420),
    [anon_sym_if] = ACTIONS(2420),
    [anon_sym_else] = ACTIONS(2420),
    [anon_sym_switch] = ACTIONS(2420),
    [anon_sym_case] = ACTIONS(2420),
    [anon_sym_default] = ACTIONS(2420),
    [anon_sym_while] = ACTIONS(2420),
    [anon_sym_do] = ACTIONS(2420),
    [anon_sym_for] = ACTIONS(2420),
    [anon_sym_return] = ACTIONS(2420),
    [anon_sym_break] = ACTIONS(2420),
    [anon_sym_continue] = ACTIONS(2420),
    [anon_sym_goto] = ACTIONS(2420),
    [anon_sym___try] = ACTIONS(2420),
    [anon_sym___leave] = ACTIONS(2420),
    [anon_sym_not] = ACTIONS(2420),
    [anon_sym_compl] = ACTIONS(2420),
    [anon_sym_DASH_DASH] = ACTIONS(2422),
    [anon_sym_PLUS_PLUS] = ACTIONS(2422),
    [anon_sym_sizeof] = ACTIONS(2420),
    [anon_sym___alignof__] = ACTIONS(2420),
    [anon_sym___alignof] = ACTIONS(2420),
    [anon_sym__alignof] = ACTIONS(2420),
    [anon_sym_alignof] = ACTIONS(2420),
    [anon_sym__Alignof] = ACTIONS(2420),
    [anon_sym_offsetof] = ACTIONS(2420),
    [anon_sym__Generic] = ACTIONS(2420),
    [anon_sym_asm] = ACTIONS(2420),
    [anon_sym___asm__] = ACTIONS(2420),
    [sym_number_literal] = ACTIONS(2422),
    [anon_sym_L_SQUOTE] = ACTIONS(2422),
    [anon_sym_u_SQUOTE] = ACTIONS(2422),
    [anon_sym_U_SQUOTE] = ACTIONS(2422),
    [anon_sym_u8_SQUOTE] = ACTIONS(2422),
    [anon_sym_SQUOTE] = ACTIONS(2422),
    [anon_sym_L_DQUOTE] = ACTIONS(2422),
    [anon_sym_u_DQUOTE] = ACTIONS(2422),
    [anon_sym_U_DQUOTE] = ACTIONS(2422),
    [anon_sym_u8_DQUOTE] = ACTIONS(2422),
    [anon_sym_DQUOTE] = ACTIONS(2422),
    [sym_true] = ACTIONS(2420),
    [sym_false] = ACTIONS(2420),
    [anon_sym_NULL] = ACTIONS(2420),
    [anon_sym_nullptr] = ACTIONS(2420),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2420),
    [anon_sym_decltype] = ACTIONS(2420),
    [anon_sym_virtual] = ACTIONS(2420),
    [anon_sym_alignas] = ACTIONS(2420),
    [anon_sym_explicit] = ACTIONS(2420),
    [anon_sym_typename] = ACTIONS(2420),
    [anon_sym_template] = ACTIONS(2420),
    [anon_sym_operator] = ACTIONS(2420),
    [anon_sym_try] = ACTIONS(2420),
    [anon_sym_delete] = ACTIONS(2420),
    [anon_sym_throw] = ACTIONS(2420),
    [anon_sym_namespace] = ACTIONS(2420),
    [anon_sym_using] = ACTIONS(2420),
    [anon_sym_static_assert] = ACTIONS(2420),
    [anon_sym_concept] = ACTIONS(2420),
    [anon_sym_co_return] = ACTIONS(2420),
    [anon_sym_co_yield] = ACTIONS(2420),
    [anon_sym_R_DQUOTE] = ACTIONS(2422),
    [anon_sym_LR_DQUOTE] = ACTIONS(2422),
    [anon_sym_uR_DQUOTE] = ACTIONS(2422),
    [anon_sym_UR_DQUOTE] = ACTIONS(2422),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2422),
    [anon_sym_co_await] = ACTIONS(2420),
    [anon_sym_new] = ACTIONS(2420),
    [anon_sym_requires] = ACTIONS(2420),
    [sym_this] = ACTIONS(2420),
    [anon_sym_discard] = ACTIONS(2420),
    [anon_sym_precise] = ACTIONS(2420),
    [anon_sym_shared] = ACTIONS(2420),
    [anon_sym_groupshared] = ACTIONS(2420),
    [anon_sym_uniform] = ACTIONS(2420),
    [anon_sym_row_major] = ACTIONS(2420),
    [anon_sym_column_major] = ACTIONS(2420),
    [anon_sym_globallycoherent] = ACTIONS(2420),
    [anon_sym_centroid] = ACTIONS(2420),
    [anon_sym_noperspective] = ACTIONS(2420),
    [anon_sym_nointerpolation] = ACTIONS(2420),
    [anon_sym_sample] = ACTIONS(2420),
    [anon_sym_linear] = ACTIONS(2420),
    [anon_sym_snorm] = ACTIONS(2420),
    [anon_sym_unorm] = ACTIONS(2420),
    [anon_sym_point] = ACTIONS(2420),
    [anon_sym_line] = ACTIONS(2420),
    [anon_sym_triangleadj] = ACTIONS(2420),
    [anon_sym_lineadj] = ACTIONS(2420),
    [anon_sym_triangle] = ACTIONS(2420),
    [anon_sym_cbuffer] = ACTIONS(2420),
  },
  [711] = {
    [ts_builtin_sym_end] = ACTIONS(2414),
    [sym_identifier] = ACTIONS(2412),
    [aux_sym_preproc_include_token1] = ACTIONS(2412),
    [aux_sym_preproc_def_token1] = ACTIONS(2412),
    [aux_sym_preproc_if_token1] = ACTIONS(2412),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2412),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2412),
    [sym_preproc_directive] = ACTIONS(2412),
    [anon_sym_LPAREN2] = ACTIONS(2414),
    [anon_sym_BANG] = ACTIONS(2414),
    [anon_sym_TILDE] = ACTIONS(2414),
    [anon_sym_DASH] = ACTIONS(2412),
    [anon_sym_PLUS] = ACTIONS(2412),
    [anon_sym_STAR] = ACTIONS(2414),
    [anon_sym_AMP_AMP] = ACTIONS(2414),
    [anon_sym_AMP] = ACTIONS(2412),
    [anon_sym_SEMI] = ACTIONS(2414),
    [anon_sym___extension__] = ACTIONS(2412),
    [anon_sym_typedef] = ACTIONS(2412),
    [anon_sym_in] = ACTIONS(2412),
    [anon_sym_out] = ACTIONS(2412),
    [anon_sym_inout] = ACTIONS(2412),
    [anon_sym_extern] = ACTIONS(2412),
    [anon_sym___attribute__] = ACTIONS(2412),
    [anon_sym_COLON_COLON] = ACTIONS(2414),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2414),
    [anon_sym___declspec] = ACTIONS(2412),
    [anon_sym___based] = ACTIONS(2412),
    [anon_sym___cdecl] = ACTIONS(2412),
    [anon_sym___clrcall] = ACTIONS(2412),
    [anon_sym___stdcall] = ACTIONS(2412),
    [anon_sym___fastcall] = ACTIONS(2412),
    [anon_sym___thiscall] = ACTIONS(2412),
    [anon_sym___vectorcall] = ACTIONS(2412),
    [anon_sym_LBRACE] = ACTIONS(2414),
    [anon_sym_signed] = ACTIONS(2412),
    [anon_sym_unsigned] = ACTIONS(2412),
    [anon_sym_long] = ACTIONS(2412),
    [anon_sym_short] = ACTIONS(2412),
    [anon_sym_LBRACK] = ACTIONS(2412),
    [anon_sym_static] = ACTIONS(2412),
    [anon_sym_register] = ACTIONS(2412),
    [anon_sym_inline] = ACTIONS(2412),
    [anon_sym___inline] = ACTIONS(2412),
    [anon_sym___inline__] = ACTIONS(2412),
    [anon_sym___forceinline] = ACTIONS(2412),
    [anon_sym_thread_local] = ACTIONS(2412),
    [anon_sym___thread] = ACTIONS(2412),
    [anon_sym_const] = ACTIONS(2412),
    [anon_sym_constexpr] = ACTIONS(2412),
    [anon_sym_volatile] = ACTIONS(2412),
    [anon_sym_restrict] = ACTIONS(2412),
    [anon_sym___restrict__] = ACTIONS(2412),
    [anon_sym__Atomic] = ACTIONS(2412),
    [anon_sym__Noreturn] = ACTIONS(2412),
    [anon_sym_noreturn] = ACTIONS(2412),
    [anon_sym_mutable] = ACTIONS(2412),
    [anon_sym_constinit] = ACTIONS(2412),
    [anon_sym_consteval] = ACTIONS(2412),
    [sym_primitive_type] = ACTIONS(2412),
    [anon_sym_enum] = ACTIONS(2412),
    [anon_sym_class] = ACTIONS(2412),
    [anon_sym_struct] = ACTIONS(2412),
    [anon_sym_union] = ACTIONS(2412),
    [anon_sym_if] = ACTIONS(2412),
    [anon_sym_else] = ACTIONS(2412),
    [anon_sym_switch] = ACTIONS(2412),
    [anon_sym_case] = ACTIONS(2412),
    [anon_sym_default] = ACTIONS(2412),
    [anon_sym_while] = ACTIONS(2412),
    [anon_sym_do] = ACTIONS(2412),
    [anon_sym_for] = ACTIONS(2412),
    [anon_sym_return] = ACTIONS(2412),
    [anon_sym_break] = ACTIONS(2412),
    [anon_sym_continue] = ACTIONS(2412),
    [anon_sym_goto] = ACTIONS(2412),
    [anon_sym___try] = ACTIONS(2412),
    [anon_sym___leave] = ACTIONS(2412),
    [anon_sym_not] = ACTIONS(2412),
    [anon_sym_compl] = ACTIONS(2412),
    [anon_sym_DASH_DASH] = ACTIONS(2414),
    [anon_sym_PLUS_PLUS] = ACTIONS(2414),
    [anon_sym_sizeof] = ACTIONS(2412),
    [anon_sym___alignof__] = ACTIONS(2412),
    [anon_sym___alignof] = ACTIONS(2412),
    [anon_sym__alignof] = ACTIONS(2412),
    [anon_sym_alignof] = ACTIONS(2412),
    [anon_sym__Alignof] = ACTIONS(2412),
    [anon_sym_offsetof] = ACTIONS(2412),
    [anon_sym__Generic] = ACTIONS(2412),
    [anon_sym_asm] = ACTIONS(2412),
    [anon_sym___asm__] = ACTIONS(2412),
    [sym_number_literal] = ACTIONS(2414),
    [anon_sym_L_SQUOTE] = ACTIONS(2414),
    [anon_sym_u_SQUOTE] = ACTIONS(2414),
    [anon_sym_U_SQUOTE] = ACTIONS(2414),
    [anon_sym_u8_SQUOTE] = ACTIONS(2414),
    [anon_sym_SQUOTE] = ACTIONS(2414),
    [anon_sym_L_DQUOTE] = ACTIONS(2414),
    [anon_sym_u_DQUOTE] = ACTIONS(2414),
    [anon_sym_U_DQUOTE] = ACTIONS(2414),
    [anon_sym_u8_DQUOTE] = ACTIONS(2414),
    [anon_sym_DQUOTE] = ACTIONS(2414),
    [sym_true] = ACTIONS(2412),
    [sym_false] = ACTIONS(2412),
    [anon_sym_NULL] = ACTIONS(2412),
    [anon_sym_nullptr] = ACTIONS(2412),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2412),
    [anon_sym_decltype] = ACTIONS(2412),
    [anon_sym_virtual] = ACTIONS(2412),
    [anon_sym_alignas] = ACTIONS(2412),
    [anon_sym_explicit] = ACTIONS(2412),
    [anon_sym_typename] = ACTIONS(2412),
    [anon_sym_template] = ACTIONS(2412),
    [anon_sym_operator] = ACTIONS(2412),
    [anon_sym_try] = ACTIONS(2412),
    [anon_sym_delete] = ACTIONS(2412),
    [anon_sym_throw] = ACTIONS(2412),
    [anon_sym_namespace] = ACTIONS(2412),
    [anon_sym_using] = ACTIONS(2412),
    [anon_sym_static_assert] = ACTIONS(2412),
    [anon_sym_concept] = ACTIONS(2412),
    [anon_sym_co_return] = ACTIONS(2412),
    [anon_sym_co_yield] = ACTIONS(2412),
    [anon_sym_R_DQUOTE] = ACTIONS(2414),
    [anon_sym_LR_DQUOTE] = ACTIONS(2414),
    [anon_sym_uR_DQUOTE] = ACTIONS(2414),
    [anon_sym_UR_DQUOTE] = ACTIONS(2414),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2414),
    [anon_sym_co_await] = ACTIONS(2412),
    [anon_sym_new] = ACTIONS(2412),
    [anon_sym_requires] = ACTIONS(2412),
    [sym_this] = ACTIONS(2412),
    [anon_sym_discard] = ACTIONS(2412),
    [anon_sym_precise] = ACTIONS(2412),
    [anon_sym_shared] = ACTIONS(2412),
    [anon_sym_groupshared] = ACTIONS(2412),
    [anon_sym_uniform] = ACTIONS(2412),
    [anon_sym_row_major] = ACTIONS(2412),
    [anon_sym_column_major] = ACTIONS(2412),
    [anon_sym_globallycoherent] = ACTIONS(2412),
    [anon_sym_centroid] = ACTIONS(2412),
    [anon_sym_noperspective] = ACTIONS(2412),
    [anon_sym_nointerpolation] = ACTIONS(2412),
    [anon_sym_sample] = ACTIONS(2412),
    [anon_sym_linear] = ACTIONS(2412),
    [anon_sym_snorm] = ACTIONS(2412),
    [anon_sym_unorm] = ACTIONS(2412),
    [anon_sym_point] = ACTIONS(2412),
    [anon_sym_line] = ACTIONS(2412),
    [anon_sym_triangleadj] = ACTIONS(2412),
    [anon_sym_lineadj] = ACTIONS(2412),
    [anon_sym_triangle] = ACTIONS(2412),
    [anon_sym_cbuffer] = ACTIONS(2412),
  },
  [712] = {
    [sym_identifier] = ACTIONS(2384),
    [aux_sym_preproc_include_token1] = ACTIONS(2384),
    [aux_sym_preproc_def_token1] = ACTIONS(2384),
    [aux_sym_preproc_if_token1] = ACTIONS(2384),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2384),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2384),
    [sym_preproc_directive] = ACTIONS(2384),
    [anon_sym_LPAREN2] = ACTIONS(2386),
    [anon_sym_BANG] = ACTIONS(2386),
    [anon_sym_TILDE] = ACTIONS(2386),
    [anon_sym_DASH] = ACTIONS(2384),
    [anon_sym_PLUS] = ACTIONS(2384),
    [anon_sym_STAR] = ACTIONS(2386),
    [anon_sym_AMP_AMP] = ACTIONS(2386),
    [anon_sym_AMP] = ACTIONS(2384),
    [anon_sym_SEMI] = ACTIONS(2386),
    [anon_sym___extension__] = ACTIONS(2384),
    [anon_sym_typedef] = ACTIONS(2384),
    [anon_sym_in] = ACTIONS(2384),
    [anon_sym_out] = ACTIONS(2384),
    [anon_sym_inout] = ACTIONS(2384),
    [anon_sym_extern] = ACTIONS(2384),
    [anon_sym___attribute__] = ACTIONS(2384),
    [anon_sym_COLON_COLON] = ACTIONS(2386),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2386),
    [anon_sym___declspec] = ACTIONS(2384),
    [anon_sym___based] = ACTIONS(2384),
    [anon_sym___cdecl] = ACTIONS(2384),
    [anon_sym___clrcall] = ACTIONS(2384),
    [anon_sym___stdcall] = ACTIONS(2384),
    [anon_sym___fastcall] = ACTIONS(2384),
    [anon_sym___thiscall] = ACTIONS(2384),
    [anon_sym___vectorcall] = ACTIONS(2384),
    [anon_sym_LBRACE] = ACTIONS(2386),
    [anon_sym_RBRACE] = ACTIONS(2386),
    [anon_sym_signed] = ACTIONS(2384),
    [anon_sym_unsigned] = ACTIONS(2384),
    [anon_sym_long] = ACTIONS(2384),
    [anon_sym_short] = ACTIONS(2384),
    [anon_sym_LBRACK] = ACTIONS(2384),
    [anon_sym_static] = ACTIONS(2384),
    [anon_sym_register] = ACTIONS(2384),
    [anon_sym_inline] = ACTIONS(2384),
    [anon_sym___inline] = ACTIONS(2384),
    [anon_sym___inline__] = ACTIONS(2384),
    [anon_sym___forceinline] = ACTIONS(2384),
    [anon_sym_thread_local] = ACTIONS(2384),
    [anon_sym___thread] = ACTIONS(2384),
    [anon_sym_const] = ACTIONS(2384),
    [anon_sym_constexpr] = ACTIONS(2384),
    [anon_sym_volatile] = ACTIONS(2384),
    [anon_sym_restrict] = ACTIONS(2384),
    [anon_sym___restrict__] = ACTIONS(2384),
    [anon_sym__Atomic] = ACTIONS(2384),
    [anon_sym__Noreturn] = ACTIONS(2384),
    [anon_sym_noreturn] = ACTIONS(2384),
    [anon_sym_mutable] = ACTIONS(2384),
    [anon_sym_constinit] = ACTIONS(2384),
    [anon_sym_consteval] = ACTIONS(2384),
    [sym_primitive_type] = ACTIONS(2384),
    [anon_sym_enum] = ACTIONS(2384),
    [anon_sym_class] = ACTIONS(2384),
    [anon_sym_struct] = ACTIONS(2384),
    [anon_sym_union] = ACTIONS(2384),
    [anon_sym_if] = ACTIONS(2384),
    [anon_sym_else] = ACTIONS(2384),
    [anon_sym_switch] = ACTIONS(2384),
    [anon_sym_case] = ACTIONS(2384),
    [anon_sym_default] = ACTIONS(2384),
    [anon_sym_while] = ACTIONS(2384),
    [anon_sym_do] = ACTIONS(2384),
    [anon_sym_for] = ACTIONS(2384),
    [anon_sym_return] = ACTIONS(2384),
    [anon_sym_break] = ACTIONS(2384),
    [anon_sym_continue] = ACTIONS(2384),
    [anon_sym_goto] = ACTIONS(2384),
    [anon_sym___try] = ACTIONS(2384),
    [anon_sym___leave] = ACTIONS(2384),
    [anon_sym_not] = ACTIONS(2384),
    [anon_sym_compl] = ACTIONS(2384),
    [anon_sym_DASH_DASH] = ACTIONS(2386),
    [anon_sym_PLUS_PLUS] = ACTIONS(2386),
    [anon_sym_sizeof] = ACTIONS(2384),
    [anon_sym___alignof__] = ACTIONS(2384),
    [anon_sym___alignof] = ACTIONS(2384),
    [anon_sym__alignof] = ACTIONS(2384),
    [anon_sym_alignof] = ACTIONS(2384),
    [anon_sym__Alignof] = ACTIONS(2384),
    [anon_sym_offsetof] = ACTIONS(2384),
    [anon_sym__Generic] = ACTIONS(2384),
    [anon_sym_asm] = ACTIONS(2384),
    [anon_sym___asm__] = ACTIONS(2384),
    [sym_number_literal] = ACTIONS(2386),
    [anon_sym_L_SQUOTE] = ACTIONS(2386),
    [anon_sym_u_SQUOTE] = ACTIONS(2386),
    [anon_sym_U_SQUOTE] = ACTIONS(2386),
    [anon_sym_u8_SQUOTE] = ACTIONS(2386),
    [anon_sym_SQUOTE] = ACTIONS(2386),
    [anon_sym_L_DQUOTE] = ACTIONS(2386),
    [anon_sym_u_DQUOTE] = ACTIONS(2386),
    [anon_sym_U_DQUOTE] = ACTIONS(2386),
    [anon_sym_u8_DQUOTE] = ACTIONS(2386),
    [anon_sym_DQUOTE] = ACTIONS(2386),
    [sym_true] = ACTIONS(2384),
    [sym_false] = ACTIONS(2384),
    [anon_sym_NULL] = ACTIONS(2384),
    [anon_sym_nullptr] = ACTIONS(2384),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2384),
    [anon_sym_decltype] = ACTIONS(2384),
    [anon_sym_virtual] = ACTIONS(2384),
    [anon_sym_alignas] = ACTIONS(2384),
    [anon_sym_explicit] = ACTIONS(2384),
    [anon_sym_typename] = ACTIONS(2384),
    [anon_sym_template] = ACTIONS(2384),
    [anon_sym_operator] = ACTIONS(2384),
    [anon_sym_try] = ACTIONS(2384),
    [anon_sym_delete] = ACTIONS(2384),
    [anon_sym_throw] = ACTIONS(2384),
    [anon_sym_namespace] = ACTIONS(2384),
    [anon_sym_using] = ACTIONS(2384),
    [anon_sym_static_assert] = ACTIONS(2384),
    [anon_sym_concept] = ACTIONS(2384),
    [anon_sym_co_return] = ACTIONS(2384),
    [anon_sym_co_yield] = ACTIONS(2384),
    [anon_sym_R_DQUOTE] = ACTIONS(2386),
    [anon_sym_LR_DQUOTE] = ACTIONS(2386),
    [anon_sym_uR_DQUOTE] = ACTIONS(2386),
    [anon_sym_UR_DQUOTE] = ACTIONS(2386),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2386),
    [anon_sym_co_await] = ACTIONS(2384),
    [anon_sym_new] = ACTIONS(2384),
    [anon_sym_requires] = ACTIONS(2384),
    [sym_this] = ACTIONS(2384),
    [anon_sym_discard] = ACTIONS(2384),
    [anon_sym_precise] = ACTIONS(2384),
    [anon_sym_shared] = ACTIONS(2384),
    [anon_sym_groupshared] = ACTIONS(2384),
    [anon_sym_uniform] = ACTIONS(2384),
    [anon_sym_row_major] = ACTIONS(2384),
    [anon_sym_column_major] = ACTIONS(2384),
    [anon_sym_globallycoherent] = ACTIONS(2384),
    [anon_sym_centroid] = ACTIONS(2384),
    [anon_sym_noperspective] = ACTIONS(2384),
    [anon_sym_nointerpolation] = ACTIONS(2384),
    [anon_sym_sample] = ACTIONS(2384),
    [anon_sym_linear] = ACTIONS(2384),
    [anon_sym_snorm] = ACTIONS(2384),
    [anon_sym_unorm] = ACTIONS(2384),
    [anon_sym_point] = ACTIONS(2384),
    [anon_sym_line] = ACTIONS(2384),
    [anon_sym_triangleadj] = ACTIONS(2384),
    [anon_sym_lineadj] = ACTIONS(2384),
    [anon_sym_triangle] = ACTIONS(2384),
    [anon_sym_cbuffer] = ACTIONS(2384),
  },
  [713] = {
    [ts_builtin_sym_end] = ACTIONS(2410),
    [sym_identifier] = ACTIONS(2408),
    [aux_sym_preproc_include_token1] = ACTIONS(2408),
    [aux_sym_preproc_def_token1] = ACTIONS(2408),
    [aux_sym_preproc_if_token1] = ACTIONS(2408),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2408),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2408),
    [sym_preproc_directive] = ACTIONS(2408),
    [anon_sym_LPAREN2] = ACTIONS(2410),
    [anon_sym_BANG] = ACTIONS(2410),
    [anon_sym_TILDE] = ACTIONS(2410),
    [anon_sym_DASH] = ACTIONS(2408),
    [anon_sym_PLUS] = ACTIONS(2408),
    [anon_sym_STAR] = ACTIONS(2410),
    [anon_sym_AMP_AMP] = ACTIONS(2410),
    [anon_sym_AMP] = ACTIONS(2408),
    [anon_sym_SEMI] = ACTIONS(2410),
    [anon_sym___extension__] = ACTIONS(2408),
    [anon_sym_typedef] = ACTIONS(2408),
    [anon_sym_in] = ACTIONS(2408),
    [anon_sym_out] = ACTIONS(2408),
    [anon_sym_inout] = ACTIONS(2408),
    [anon_sym_extern] = ACTIONS(2408),
    [anon_sym___attribute__] = ACTIONS(2408),
    [anon_sym_COLON_COLON] = ACTIONS(2410),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2410),
    [anon_sym___declspec] = ACTIONS(2408),
    [anon_sym___based] = ACTIONS(2408),
    [anon_sym___cdecl] = ACTIONS(2408),
    [anon_sym___clrcall] = ACTIONS(2408),
    [anon_sym___stdcall] = ACTIONS(2408),
    [anon_sym___fastcall] = ACTIONS(2408),
    [anon_sym___thiscall] = ACTIONS(2408),
    [anon_sym___vectorcall] = ACTIONS(2408),
    [anon_sym_LBRACE] = ACTIONS(2410),
    [anon_sym_signed] = ACTIONS(2408),
    [anon_sym_unsigned] = ACTIONS(2408),
    [anon_sym_long] = ACTIONS(2408),
    [anon_sym_short] = ACTIONS(2408),
    [anon_sym_LBRACK] = ACTIONS(2408),
    [anon_sym_static] = ACTIONS(2408),
    [anon_sym_register] = ACTIONS(2408),
    [anon_sym_inline] = ACTIONS(2408),
    [anon_sym___inline] = ACTIONS(2408),
    [anon_sym___inline__] = ACTIONS(2408),
    [anon_sym___forceinline] = ACTIONS(2408),
    [anon_sym_thread_local] = ACTIONS(2408),
    [anon_sym___thread] = ACTIONS(2408),
    [anon_sym_const] = ACTIONS(2408),
    [anon_sym_constexpr] = ACTIONS(2408),
    [anon_sym_volatile] = ACTIONS(2408),
    [anon_sym_restrict] = ACTIONS(2408),
    [anon_sym___restrict__] = ACTIONS(2408),
    [anon_sym__Atomic] = ACTIONS(2408),
    [anon_sym__Noreturn] = ACTIONS(2408),
    [anon_sym_noreturn] = ACTIONS(2408),
    [anon_sym_mutable] = ACTIONS(2408),
    [anon_sym_constinit] = ACTIONS(2408),
    [anon_sym_consteval] = ACTIONS(2408),
    [sym_primitive_type] = ACTIONS(2408),
    [anon_sym_enum] = ACTIONS(2408),
    [anon_sym_class] = ACTIONS(2408),
    [anon_sym_struct] = ACTIONS(2408),
    [anon_sym_union] = ACTIONS(2408),
    [anon_sym_if] = ACTIONS(2408),
    [anon_sym_else] = ACTIONS(2408),
    [anon_sym_switch] = ACTIONS(2408),
    [anon_sym_case] = ACTIONS(2408),
    [anon_sym_default] = ACTIONS(2408),
    [anon_sym_while] = ACTIONS(2408),
    [anon_sym_do] = ACTIONS(2408),
    [anon_sym_for] = ACTIONS(2408),
    [anon_sym_return] = ACTIONS(2408),
    [anon_sym_break] = ACTIONS(2408),
    [anon_sym_continue] = ACTIONS(2408),
    [anon_sym_goto] = ACTIONS(2408),
    [anon_sym___try] = ACTIONS(2408),
    [anon_sym___leave] = ACTIONS(2408),
    [anon_sym_not] = ACTIONS(2408),
    [anon_sym_compl] = ACTIONS(2408),
    [anon_sym_DASH_DASH] = ACTIONS(2410),
    [anon_sym_PLUS_PLUS] = ACTIONS(2410),
    [anon_sym_sizeof] = ACTIONS(2408),
    [anon_sym___alignof__] = ACTIONS(2408),
    [anon_sym___alignof] = ACTIONS(2408),
    [anon_sym__alignof] = ACTIONS(2408),
    [anon_sym_alignof] = ACTIONS(2408),
    [anon_sym__Alignof] = ACTIONS(2408),
    [anon_sym_offsetof] = ACTIONS(2408),
    [anon_sym__Generic] = ACTIONS(2408),
    [anon_sym_asm] = ACTIONS(2408),
    [anon_sym___asm__] = ACTIONS(2408),
    [sym_number_literal] = ACTIONS(2410),
    [anon_sym_L_SQUOTE] = ACTIONS(2410),
    [anon_sym_u_SQUOTE] = ACTIONS(2410),
    [anon_sym_U_SQUOTE] = ACTIONS(2410),
    [anon_sym_u8_SQUOTE] = ACTIONS(2410),
    [anon_sym_SQUOTE] = ACTIONS(2410),
    [anon_sym_L_DQUOTE] = ACTIONS(2410),
    [anon_sym_u_DQUOTE] = ACTIONS(2410),
    [anon_sym_U_DQUOTE] = ACTIONS(2410),
    [anon_sym_u8_DQUOTE] = ACTIONS(2410),
    [anon_sym_DQUOTE] = ACTIONS(2410),
    [sym_true] = ACTIONS(2408),
    [sym_false] = ACTIONS(2408),
    [anon_sym_NULL] = ACTIONS(2408),
    [anon_sym_nullptr] = ACTIONS(2408),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2408),
    [anon_sym_decltype] = ACTIONS(2408),
    [anon_sym_virtual] = ACTIONS(2408),
    [anon_sym_alignas] = ACTIONS(2408),
    [anon_sym_explicit] = ACTIONS(2408),
    [anon_sym_typename] = ACTIONS(2408),
    [anon_sym_template] = ACTIONS(2408),
    [anon_sym_operator] = ACTIONS(2408),
    [anon_sym_try] = ACTIONS(2408),
    [anon_sym_delete] = ACTIONS(2408),
    [anon_sym_throw] = ACTIONS(2408),
    [anon_sym_namespace] = ACTIONS(2408),
    [anon_sym_using] = ACTIONS(2408),
    [anon_sym_static_assert] = ACTIONS(2408),
    [anon_sym_concept] = ACTIONS(2408),
    [anon_sym_co_return] = ACTIONS(2408),
    [anon_sym_co_yield] = ACTIONS(2408),
    [anon_sym_R_DQUOTE] = ACTIONS(2410),
    [anon_sym_LR_DQUOTE] = ACTIONS(2410),
    [anon_sym_uR_DQUOTE] = ACTIONS(2410),
    [anon_sym_UR_DQUOTE] = ACTIONS(2410),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2410),
    [anon_sym_co_await] = ACTIONS(2408),
    [anon_sym_new] = ACTIONS(2408),
    [anon_sym_requires] = ACTIONS(2408),
    [sym_this] = ACTIONS(2408),
    [anon_sym_discard] = ACTIONS(2408),
    [anon_sym_precise] = ACTIONS(2408),
    [anon_sym_shared] = ACTIONS(2408),
    [anon_sym_groupshared] = ACTIONS(2408),
    [anon_sym_uniform] = ACTIONS(2408),
    [anon_sym_row_major] = ACTIONS(2408),
    [anon_sym_column_major] = ACTIONS(2408),
    [anon_sym_globallycoherent] = ACTIONS(2408),
    [anon_sym_centroid] = ACTIONS(2408),
    [anon_sym_noperspective] = ACTIONS(2408),
    [anon_sym_nointerpolation] = ACTIONS(2408),
    [anon_sym_sample] = ACTIONS(2408),
    [anon_sym_linear] = ACTIONS(2408),
    [anon_sym_snorm] = ACTIONS(2408),
    [anon_sym_unorm] = ACTIONS(2408),
    [anon_sym_point] = ACTIONS(2408),
    [anon_sym_line] = ACTIONS(2408),
    [anon_sym_triangleadj] = ACTIONS(2408),
    [anon_sym_lineadj] = ACTIONS(2408),
    [anon_sym_triangle] = ACTIONS(2408),
    [anon_sym_cbuffer] = ACTIONS(2408),
  },
  [714] = {
    [sym_identifier] = ACTIONS(2488),
    [aux_sym_preproc_include_token1] = ACTIONS(2488),
    [aux_sym_preproc_def_token1] = ACTIONS(2488),
    [aux_sym_preproc_if_token1] = ACTIONS(2488),
    [aux_sym_preproc_if_token2] = ACTIONS(2488),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2488),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2488),
    [sym_preproc_directive] = ACTIONS(2488),
    [anon_sym_LPAREN2] = ACTIONS(2490),
    [anon_sym_BANG] = ACTIONS(2490),
    [anon_sym_TILDE] = ACTIONS(2490),
    [anon_sym_DASH] = ACTIONS(2488),
    [anon_sym_PLUS] = ACTIONS(2488),
    [anon_sym_STAR] = ACTIONS(2490),
    [anon_sym_AMP_AMP] = ACTIONS(2490),
    [anon_sym_AMP] = ACTIONS(2488),
    [anon_sym_SEMI] = ACTIONS(2490),
    [anon_sym___extension__] = ACTIONS(2488),
    [anon_sym_typedef] = ACTIONS(2488),
    [anon_sym_in] = ACTIONS(2488),
    [anon_sym_out] = ACTIONS(2488),
    [anon_sym_inout] = ACTIONS(2488),
    [anon_sym_extern] = ACTIONS(2488),
    [anon_sym___attribute__] = ACTIONS(2488),
    [anon_sym_COLON_COLON] = ACTIONS(2490),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2490),
    [anon_sym___declspec] = ACTIONS(2488),
    [anon_sym___based] = ACTIONS(2488),
    [anon_sym___cdecl] = ACTIONS(2488),
    [anon_sym___clrcall] = ACTIONS(2488),
    [anon_sym___stdcall] = ACTIONS(2488),
    [anon_sym___fastcall] = ACTIONS(2488),
    [anon_sym___thiscall] = ACTIONS(2488),
    [anon_sym___vectorcall] = ACTIONS(2488),
    [anon_sym_LBRACE] = ACTIONS(2490),
    [anon_sym_signed] = ACTIONS(2488),
    [anon_sym_unsigned] = ACTIONS(2488),
    [anon_sym_long] = ACTIONS(2488),
    [anon_sym_short] = ACTIONS(2488),
    [anon_sym_LBRACK] = ACTIONS(2488),
    [anon_sym_static] = ACTIONS(2488),
    [anon_sym_register] = ACTIONS(2488),
    [anon_sym_inline] = ACTIONS(2488),
    [anon_sym___inline] = ACTIONS(2488),
    [anon_sym___inline__] = ACTIONS(2488),
    [anon_sym___forceinline] = ACTIONS(2488),
    [anon_sym_thread_local] = ACTIONS(2488),
    [anon_sym___thread] = ACTIONS(2488),
    [anon_sym_const] = ACTIONS(2488),
    [anon_sym_constexpr] = ACTIONS(2488),
    [anon_sym_volatile] = ACTIONS(2488),
    [anon_sym_restrict] = ACTIONS(2488),
    [anon_sym___restrict__] = ACTIONS(2488),
    [anon_sym__Atomic] = ACTIONS(2488),
    [anon_sym__Noreturn] = ACTIONS(2488),
    [anon_sym_noreturn] = ACTIONS(2488),
    [anon_sym_mutable] = ACTIONS(2488),
    [anon_sym_constinit] = ACTIONS(2488),
    [anon_sym_consteval] = ACTIONS(2488),
    [sym_primitive_type] = ACTIONS(2488),
    [anon_sym_enum] = ACTIONS(2488),
    [anon_sym_class] = ACTIONS(2488),
    [anon_sym_struct] = ACTIONS(2488),
    [anon_sym_union] = ACTIONS(2488),
    [anon_sym_if] = ACTIONS(2488),
    [anon_sym_else] = ACTIONS(2488),
    [anon_sym_switch] = ACTIONS(2488),
    [anon_sym_case] = ACTIONS(2488),
    [anon_sym_default] = ACTIONS(2488),
    [anon_sym_while] = ACTIONS(2488),
    [anon_sym_do] = ACTIONS(2488),
    [anon_sym_for] = ACTIONS(2488),
    [anon_sym_return] = ACTIONS(2488),
    [anon_sym_break] = ACTIONS(2488),
    [anon_sym_continue] = ACTIONS(2488),
    [anon_sym_goto] = ACTIONS(2488),
    [anon_sym___try] = ACTIONS(2488),
    [anon_sym___leave] = ACTIONS(2488),
    [anon_sym_not] = ACTIONS(2488),
    [anon_sym_compl] = ACTIONS(2488),
    [anon_sym_DASH_DASH] = ACTIONS(2490),
    [anon_sym_PLUS_PLUS] = ACTIONS(2490),
    [anon_sym_sizeof] = ACTIONS(2488),
    [anon_sym___alignof__] = ACTIONS(2488),
    [anon_sym___alignof] = ACTIONS(2488),
    [anon_sym__alignof] = ACTIONS(2488),
    [anon_sym_alignof] = ACTIONS(2488),
    [anon_sym__Alignof] = ACTIONS(2488),
    [anon_sym_offsetof] = ACTIONS(2488),
    [anon_sym__Generic] = ACTIONS(2488),
    [anon_sym_asm] = ACTIONS(2488),
    [anon_sym___asm__] = ACTIONS(2488),
    [sym_number_literal] = ACTIONS(2490),
    [anon_sym_L_SQUOTE] = ACTIONS(2490),
    [anon_sym_u_SQUOTE] = ACTIONS(2490),
    [anon_sym_U_SQUOTE] = ACTIONS(2490),
    [anon_sym_u8_SQUOTE] = ACTIONS(2490),
    [anon_sym_SQUOTE] = ACTIONS(2490),
    [anon_sym_L_DQUOTE] = ACTIONS(2490),
    [anon_sym_u_DQUOTE] = ACTIONS(2490),
    [anon_sym_U_DQUOTE] = ACTIONS(2490),
    [anon_sym_u8_DQUOTE] = ACTIONS(2490),
    [anon_sym_DQUOTE] = ACTIONS(2490),
    [sym_true] = ACTIONS(2488),
    [sym_false] = ACTIONS(2488),
    [anon_sym_NULL] = ACTIONS(2488),
    [anon_sym_nullptr] = ACTIONS(2488),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2488),
    [anon_sym_decltype] = ACTIONS(2488),
    [anon_sym_virtual] = ACTIONS(2488),
    [anon_sym_alignas] = ACTIONS(2488),
    [anon_sym_explicit] = ACTIONS(2488),
    [anon_sym_typename] = ACTIONS(2488),
    [anon_sym_template] = ACTIONS(2488),
    [anon_sym_operator] = ACTIONS(2488),
    [anon_sym_try] = ACTIONS(2488),
    [anon_sym_delete] = ACTIONS(2488),
    [anon_sym_throw] = ACTIONS(2488),
    [anon_sym_namespace] = ACTIONS(2488),
    [anon_sym_using] = ACTIONS(2488),
    [anon_sym_static_assert] = ACTIONS(2488),
    [anon_sym_concept] = ACTIONS(2488),
    [anon_sym_co_return] = ACTIONS(2488),
    [anon_sym_co_yield] = ACTIONS(2488),
    [anon_sym_R_DQUOTE] = ACTIONS(2490),
    [anon_sym_LR_DQUOTE] = ACTIONS(2490),
    [anon_sym_uR_DQUOTE] = ACTIONS(2490),
    [anon_sym_UR_DQUOTE] = ACTIONS(2490),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2490),
    [anon_sym_co_await] = ACTIONS(2488),
    [anon_sym_new] = ACTIONS(2488),
    [anon_sym_requires] = ACTIONS(2488),
    [sym_this] = ACTIONS(2488),
    [anon_sym_discard] = ACTIONS(2488),
    [anon_sym_precise] = ACTIONS(2488),
    [anon_sym_shared] = ACTIONS(2488),
    [anon_sym_groupshared] = ACTIONS(2488),
    [anon_sym_uniform] = ACTIONS(2488),
    [anon_sym_row_major] = ACTIONS(2488),
    [anon_sym_column_major] = ACTIONS(2488),
    [anon_sym_globallycoherent] = ACTIONS(2488),
    [anon_sym_centroid] = ACTIONS(2488),
    [anon_sym_noperspective] = ACTIONS(2488),
    [anon_sym_nointerpolation] = ACTIONS(2488),
    [anon_sym_sample] = ACTIONS(2488),
    [anon_sym_linear] = ACTIONS(2488),
    [anon_sym_snorm] = ACTIONS(2488),
    [anon_sym_unorm] = ACTIONS(2488),
    [anon_sym_point] = ACTIONS(2488),
    [anon_sym_line] = ACTIONS(2488),
    [anon_sym_triangleadj] = ACTIONS(2488),
    [anon_sym_lineadj] = ACTIONS(2488),
    [anon_sym_triangle] = ACTIONS(2488),
    [anon_sym_cbuffer] = ACTIONS(2488),
  },
  [715] = {
    [ts_builtin_sym_end] = ACTIONS(2390),
    [sym_identifier] = ACTIONS(2388),
    [aux_sym_preproc_include_token1] = ACTIONS(2388),
    [aux_sym_preproc_def_token1] = ACTIONS(2388),
    [aux_sym_preproc_if_token1] = ACTIONS(2388),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2388),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2388),
    [sym_preproc_directive] = ACTIONS(2388),
    [anon_sym_LPAREN2] = ACTIONS(2390),
    [anon_sym_BANG] = ACTIONS(2390),
    [anon_sym_TILDE] = ACTIONS(2390),
    [anon_sym_DASH] = ACTIONS(2388),
    [anon_sym_PLUS] = ACTIONS(2388),
    [anon_sym_STAR] = ACTIONS(2390),
    [anon_sym_AMP_AMP] = ACTIONS(2390),
    [anon_sym_AMP] = ACTIONS(2388),
    [anon_sym_SEMI] = ACTIONS(2390),
    [anon_sym___extension__] = ACTIONS(2388),
    [anon_sym_typedef] = ACTIONS(2388),
    [anon_sym_in] = ACTIONS(2388),
    [anon_sym_out] = ACTIONS(2388),
    [anon_sym_inout] = ACTIONS(2388),
    [anon_sym_extern] = ACTIONS(2388),
    [anon_sym___attribute__] = ACTIONS(2388),
    [anon_sym_COLON_COLON] = ACTIONS(2390),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2390),
    [anon_sym___declspec] = ACTIONS(2388),
    [anon_sym___based] = ACTIONS(2388),
    [anon_sym___cdecl] = ACTIONS(2388),
    [anon_sym___clrcall] = ACTIONS(2388),
    [anon_sym___stdcall] = ACTIONS(2388),
    [anon_sym___fastcall] = ACTIONS(2388),
    [anon_sym___thiscall] = ACTIONS(2388),
    [anon_sym___vectorcall] = ACTIONS(2388),
    [anon_sym_LBRACE] = ACTIONS(2390),
    [anon_sym_signed] = ACTIONS(2388),
    [anon_sym_unsigned] = ACTIONS(2388),
    [anon_sym_long] = ACTIONS(2388),
    [anon_sym_short] = ACTIONS(2388),
    [anon_sym_LBRACK] = ACTIONS(2388),
    [anon_sym_static] = ACTIONS(2388),
    [anon_sym_register] = ACTIONS(2388),
    [anon_sym_inline] = ACTIONS(2388),
    [anon_sym___inline] = ACTIONS(2388),
    [anon_sym___inline__] = ACTIONS(2388),
    [anon_sym___forceinline] = ACTIONS(2388),
    [anon_sym_thread_local] = ACTIONS(2388),
    [anon_sym___thread] = ACTIONS(2388),
    [anon_sym_const] = ACTIONS(2388),
    [anon_sym_constexpr] = ACTIONS(2388),
    [anon_sym_volatile] = ACTIONS(2388),
    [anon_sym_restrict] = ACTIONS(2388),
    [anon_sym___restrict__] = ACTIONS(2388),
    [anon_sym__Atomic] = ACTIONS(2388),
    [anon_sym__Noreturn] = ACTIONS(2388),
    [anon_sym_noreturn] = ACTIONS(2388),
    [anon_sym_mutable] = ACTIONS(2388),
    [anon_sym_constinit] = ACTIONS(2388),
    [anon_sym_consteval] = ACTIONS(2388),
    [sym_primitive_type] = ACTIONS(2388),
    [anon_sym_enum] = ACTIONS(2388),
    [anon_sym_class] = ACTIONS(2388),
    [anon_sym_struct] = ACTIONS(2388),
    [anon_sym_union] = ACTIONS(2388),
    [anon_sym_if] = ACTIONS(2388),
    [anon_sym_else] = ACTIONS(2388),
    [anon_sym_switch] = ACTIONS(2388),
    [anon_sym_case] = ACTIONS(2388),
    [anon_sym_default] = ACTIONS(2388),
    [anon_sym_while] = ACTIONS(2388),
    [anon_sym_do] = ACTIONS(2388),
    [anon_sym_for] = ACTIONS(2388),
    [anon_sym_return] = ACTIONS(2388),
    [anon_sym_break] = ACTIONS(2388),
    [anon_sym_continue] = ACTIONS(2388),
    [anon_sym_goto] = ACTIONS(2388),
    [anon_sym___try] = ACTIONS(2388),
    [anon_sym___leave] = ACTIONS(2388),
    [anon_sym_not] = ACTIONS(2388),
    [anon_sym_compl] = ACTIONS(2388),
    [anon_sym_DASH_DASH] = ACTIONS(2390),
    [anon_sym_PLUS_PLUS] = ACTIONS(2390),
    [anon_sym_sizeof] = ACTIONS(2388),
    [anon_sym___alignof__] = ACTIONS(2388),
    [anon_sym___alignof] = ACTIONS(2388),
    [anon_sym__alignof] = ACTIONS(2388),
    [anon_sym_alignof] = ACTIONS(2388),
    [anon_sym__Alignof] = ACTIONS(2388),
    [anon_sym_offsetof] = ACTIONS(2388),
    [anon_sym__Generic] = ACTIONS(2388),
    [anon_sym_asm] = ACTIONS(2388),
    [anon_sym___asm__] = ACTIONS(2388),
    [sym_number_literal] = ACTIONS(2390),
    [anon_sym_L_SQUOTE] = ACTIONS(2390),
    [anon_sym_u_SQUOTE] = ACTIONS(2390),
    [anon_sym_U_SQUOTE] = ACTIONS(2390),
    [anon_sym_u8_SQUOTE] = ACTIONS(2390),
    [anon_sym_SQUOTE] = ACTIONS(2390),
    [anon_sym_L_DQUOTE] = ACTIONS(2390),
    [anon_sym_u_DQUOTE] = ACTIONS(2390),
    [anon_sym_U_DQUOTE] = ACTIONS(2390),
    [anon_sym_u8_DQUOTE] = ACTIONS(2390),
    [anon_sym_DQUOTE] = ACTIONS(2390),
    [sym_true] = ACTIONS(2388),
    [sym_false] = ACTIONS(2388),
    [anon_sym_NULL] = ACTIONS(2388),
    [anon_sym_nullptr] = ACTIONS(2388),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2388),
    [anon_sym_decltype] = ACTIONS(2388),
    [anon_sym_virtual] = ACTIONS(2388),
    [anon_sym_alignas] = ACTIONS(2388),
    [anon_sym_explicit] = ACTIONS(2388),
    [anon_sym_typename] = ACTIONS(2388),
    [anon_sym_template] = ACTIONS(2388),
    [anon_sym_operator] = ACTIONS(2388),
    [anon_sym_try] = ACTIONS(2388),
    [anon_sym_delete] = ACTIONS(2388),
    [anon_sym_throw] = ACTIONS(2388),
    [anon_sym_namespace] = ACTIONS(2388),
    [anon_sym_using] = ACTIONS(2388),
    [anon_sym_static_assert] = ACTIONS(2388),
    [anon_sym_concept] = ACTIONS(2388),
    [anon_sym_co_return] = ACTIONS(2388),
    [anon_sym_co_yield] = ACTIONS(2388),
    [anon_sym_R_DQUOTE] = ACTIONS(2390),
    [anon_sym_LR_DQUOTE] = ACTIONS(2390),
    [anon_sym_uR_DQUOTE] = ACTIONS(2390),
    [anon_sym_UR_DQUOTE] = ACTIONS(2390),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2390),
    [anon_sym_co_await] = ACTIONS(2388),
    [anon_sym_new] = ACTIONS(2388),
    [anon_sym_requires] = ACTIONS(2388),
    [sym_this] = ACTIONS(2388),
    [anon_sym_discard] = ACTIONS(2388),
    [anon_sym_precise] = ACTIONS(2388),
    [anon_sym_shared] = ACTIONS(2388),
    [anon_sym_groupshared] = ACTIONS(2388),
    [anon_sym_uniform] = ACTIONS(2388),
    [anon_sym_row_major] = ACTIONS(2388),
    [anon_sym_column_major] = ACTIONS(2388),
    [anon_sym_globallycoherent] = ACTIONS(2388),
    [anon_sym_centroid] = ACTIONS(2388),
    [anon_sym_noperspective] = ACTIONS(2388),
    [anon_sym_nointerpolation] = ACTIONS(2388),
    [anon_sym_sample] = ACTIONS(2388),
    [anon_sym_linear] = ACTIONS(2388),
    [anon_sym_snorm] = ACTIONS(2388),
    [anon_sym_unorm] = ACTIONS(2388),
    [anon_sym_point] = ACTIONS(2388),
    [anon_sym_line] = ACTIONS(2388),
    [anon_sym_triangleadj] = ACTIONS(2388),
    [anon_sym_lineadj] = ACTIONS(2388),
    [anon_sym_triangle] = ACTIONS(2388),
    [anon_sym_cbuffer] = ACTIONS(2388),
  },
  [716] = {
    [sym_identifier] = ACTIONS(2444),
    [aux_sym_preproc_include_token1] = ACTIONS(2444),
    [aux_sym_preproc_def_token1] = ACTIONS(2444),
    [aux_sym_preproc_if_token1] = ACTIONS(2444),
    [aux_sym_preproc_if_token2] = ACTIONS(2444),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2444),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2444),
    [sym_preproc_directive] = ACTIONS(2444),
    [anon_sym_LPAREN2] = ACTIONS(2446),
    [anon_sym_BANG] = ACTIONS(2446),
    [anon_sym_TILDE] = ACTIONS(2446),
    [anon_sym_DASH] = ACTIONS(2444),
    [anon_sym_PLUS] = ACTIONS(2444),
    [anon_sym_STAR] = ACTIONS(2446),
    [anon_sym_AMP_AMP] = ACTIONS(2446),
    [anon_sym_AMP] = ACTIONS(2444),
    [anon_sym_SEMI] = ACTIONS(2446),
    [anon_sym___extension__] = ACTIONS(2444),
    [anon_sym_typedef] = ACTIONS(2444),
    [anon_sym_in] = ACTIONS(2444),
    [anon_sym_out] = ACTIONS(2444),
    [anon_sym_inout] = ACTIONS(2444),
    [anon_sym_extern] = ACTIONS(2444),
    [anon_sym___attribute__] = ACTIONS(2444),
    [anon_sym_COLON_COLON] = ACTIONS(2446),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2446),
    [anon_sym___declspec] = ACTIONS(2444),
    [anon_sym___based] = ACTIONS(2444),
    [anon_sym___cdecl] = ACTIONS(2444),
    [anon_sym___clrcall] = ACTIONS(2444),
    [anon_sym___stdcall] = ACTIONS(2444),
    [anon_sym___fastcall] = ACTIONS(2444),
    [anon_sym___thiscall] = ACTIONS(2444),
    [anon_sym___vectorcall] = ACTIONS(2444),
    [anon_sym_LBRACE] = ACTIONS(2446),
    [anon_sym_signed] = ACTIONS(2444),
    [anon_sym_unsigned] = ACTIONS(2444),
    [anon_sym_long] = ACTIONS(2444),
    [anon_sym_short] = ACTIONS(2444),
    [anon_sym_LBRACK] = ACTIONS(2444),
    [anon_sym_static] = ACTIONS(2444),
    [anon_sym_register] = ACTIONS(2444),
    [anon_sym_inline] = ACTIONS(2444),
    [anon_sym___inline] = ACTIONS(2444),
    [anon_sym___inline__] = ACTIONS(2444),
    [anon_sym___forceinline] = ACTIONS(2444),
    [anon_sym_thread_local] = ACTIONS(2444),
    [anon_sym___thread] = ACTIONS(2444),
    [anon_sym_const] = ACTIONS(2444),
    [anon_sym_constexpr] = ACTIONS(2444),
    [anon_sym_volatile] = ACTIONS(2444),
    [anon_sym_restrict] = ACTIONS(2444),
    [anon_sym___restrict__] = ACTIONS(2444),
    [anon_sym__Atomic] = ACTIONS(2444),
    [anon_sym__Noreturn] = ACTIONS(2444),
    [anon_sym_noreturn] = ACTIONS(2444),
    [anon_sym_mutable] = ACTIONS(2444),
    [anon_sym_constinit] = ACTIONS(2444),
    [anon_sym_consteval] = ACTIONS(2444),
    [sym_primitive_type] = ACTIONS(2444),
    [anon_sym_enum] = ACTIONS(2444),
    [anon_sym_class] = ACTIONS(2444),
    [anon_sym_struct] = ACTIONS(2444),
    [anon_sym_union] = ACTIONS(2444),
    [anon_sym_if] = ACTIONS(2444),
    [anon_sym_else] = ACTIONS(2444),
    [anon_sym_switch] = ACTIONS(2444),
    [anon_sym_case] = ACTIONS(2444),
    [anon_sym_default] = ACTIONS(2444),
    [anon_sym_while] = ACTIONS(2444),
    [anon_sym_do] = ACTIONS(2444),
    [anon_sym_for] = ACTIONS(2444),
    [anon_sym_return] = ACTIONS(2444),
    [anon_sym_break] = ACTIONS(2444),
    [anon_sym_continue] = ACTIONS(2444),
    [anon_sym_goto] = ACTIONS(2444),
    [anon_sym___try] = ACTIONS(2444),
    [anon_sym___leave] = ACTIONS(2444),
    [anon_sym_not] = ACTIONS(2444),
    [anon_sym_compl] = ACTIONS(2444),
    [anon_sym_DASH_DASH] = ACTIONS(2446),
    [anon_sym_PLUS_PLUS] = ACTIONS(2446),
    [anon_sym_sizeof] = ACTIONS(2444),
    [anon_sym___alignof__] = ACTIONS(2444),
    [anon_sym___alignof] = ACTIONS(2444),
    [anon_sym__alignof] = ACTIONS(2444),
    [anon_sym_alignof] = ACTIONS(2444),
    [anon_sym__Alignof] = ACTIONS(2444),
    [anon_sym_offsetof] = ACTIONS(2444),
    [anon_sym__Generic] = ACTIONS(2444),
    [anon_sym_asm] = ACTIONS(2444),
    [anon_sym___asm__] = ACTIONS(2444),
    [sym_number_literal] = ACTIONS(2446),
    [anon_sym_L_SQUOTE] = ACTIONS(2446),
    [anon_sym_u_SQUOTE] = ACTIONS(2446),
    [anon_sym_U_SQUOTE] = ACTIONS(2446),
    [anon_sym_u8_SQUOTE] = ACTIONS(2446),
    [anon_sym_SQUOTE] = ACTIONS(2446),
    [anon_sym_L_DQUOTE] = ACTIONS(2446),
    [anon_sym_u_DQUOTE] = ACTIONS(2446),
    [anon_sym_U_DQUOTE] = ACTIONS(2446),
    [anon_sym_u8_DQUOTE] = ACTIONS(2446),
    [anon_sym_DQUOTE] = ACTIONS(2446),
    [sym_true] = ACTIONS(2444),
    [sym_false] = ACTIONS(2444),
    [anon_sym_NULL] = ACTIONS(2444),
    [anon_sym_nullptr] = ACTIONS(2444),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2444),
    [anon_sym_decltype] = ACTIONS(2444),
    [anon_sym_virtual] = ACTIONS(2444),
    [anon_sym_alignas] = ACTIONS(2444),
    [anon_sym_explicit] = ACTIONS(2444),
    [anon_sym_typename] = ACTIONS(2444),
    [anon_sym_template] = ACTIONS(2444),
    [anon_sym_operator] = ACTIONS(2444),
    [anon_sym_try] = ACTIONS(2444),
    [anon_sym_delete] = ACTIONS(2444),
    [anon_sym_throw] = ACTIONS(2444),
    [anon_sym_namespace] = ACTIONS(2444),
    [anon_sym_using] = ACTIONS(2444),
    [anon_sym_static_assert] = ACTIONS(2444),
    [anon_sym_concept] = ACTIONS(2444),
    [anon_sym_co_return] = ACTIONS(2444),
    [anon_sym_co_yield] = ACTIONS(2444),
    [anon_sym_R_DQUOTE] = ACTIONS(2446),
    [anon_sym_LR_DQUOTE] = ACTIONS(2446),
    [anon_sym_uR_DQUOTE] = ACTIONS(2446),
    [anon_sym_UR_DQUOTE] = ACTIONS(2446),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2446),
    [anon_sym_co_await] = ACTIONS(2444),
    [anon_sym_new] = ACTIONS(2444),
    [anon_sym_requires] = ACTIONS(2444),
    [sym_this] = ACTIONS(2444),
    [anon_sym_discard] = ACTIONS(2444),
    [anon_sym_precise] = ACTIONS(2444),
    [anon_sym_shared] = ACTIONS(2444),
    [anon_sym_groupshared] = ACTIONS(2444),
    [anon_sym_uniform] = ACTIONS(2444),
    [anon_sym_row_major] = ACTIONS(2444),
    [anon_sym_column_major] = ACTIONS(2444),
    [anon_sym_globallycoherent] = ACTIONS(2444),
    [anon_sym_centroid] = ACTIONS(2444),
    [anon_sym_noperspective] = ACTIONS(2444),
    [anon_sym_nointerpolation] = ACTIONS(2444),
    [anon_sym_sample] = ACTIONS(2444),
    [anon_sym_linear] = ACTIONS(2444),
    [anon_sym_snorm] = ACTIONS(2444),
    [anon_sym_unorm] = ACTIONS(2444),
    [anon_sym_point] = ACTIONS(2444),
    [anon_sym_line] = ACTIONS(2444),
    [anon_sym_triangleadj] = ACTIONS(2444),
    [anon_sym_lineadj] = ACTIONS(2444),
    [anon_sym_triangle] = ACTIONS(2444),
    [anon_sym_cbuffer] = ACTIONS(2444),
  },
  [717] = {
    [sym_identifier] = ACTIONS(2444),
    [aux_sym_preproc_include_token1] = ACTIONS(2444),
    [aux_sym_preproc_def_token1] = ACTIONS(2444),
    [aux_sym_preproc_if_token1] = ACTIONS(2444),
    [aux_sym_preproc_if_token2] = ACTIONS(2444),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2444),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2444),
    [sym_preproc_directive] = ACTIONS(2444),
    [anon_sym_LPAREN2] = ACTIONS(2446),
    [anon_sym_BANG] = ACTIONS(2446),
    [anon_sym_TILDE] = ACTIONS(2446),
    [anon_sym_DASH] = ACTIONS(2444),
    [anon_sym_PLUS] = ACTIONS(2444),
    [anon_sym_STAR] = ACTIONS(2446),
    [anon_sym_AMP_AMP] = ACTIONS(2446),
    [anon_sym_AMP] = ACTIONS(2444),
    [anon_sym_SEMI] = ACTIONS(2446),
    [anon_sym___extension__] = ACTIONS(2444),
    [anon_sym_typedef] = ACTIONS(2444),
    [anon_sym_in] = ACTIONS(2444),
    [anon_sym_out] = ACTIONS(2444),
    [anon_sym_inout] = ACTIONS(2444),
    [anon_sym_extern] = ACTIONS(2444),
    [anon_sym___attribute__] = ACTIONS(2444),
    [anon_sym_COLON_COLON] = ACTIONS(2446),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2446),
    [anon_sym___declspec] = ACTIONS(2444),
    [anon_sym___based] = ACTIONS(2444),
    [anon_sym___cdecl] = ACTIONS(2444),
    [anon_sym___clrcall] = ACTIONS(2444),
    [anon_sym___stdcall] = ACTIONS(2444),
    [anon_sym___fastcall] = ACTIONS(2444),
    [anon_sym___thiscall] = ACTIONS(2444),
    [anon_sym___vectorcall] = ACTIONS(2444),
    [anon_sym_LBRACE] = ACTIONS(2446),
    [anon_sym_signed] = ACTIONS(2444),
    [anon_sym_unsigned] = ACTIONS(2444),
    [anon_sym_long] = ACTIONS(2444),
    [anon_sym_short] = ACTIONS(2444),
    [anon_sym_LBRACK] = ACTIONS(2444),
    [anon_sym_static] = ACTIONS(2444),
    [anon_sym_register] = ACTIONS(2444),
    [anon_sym_inline] = ACTIONS(2444),
    [anon_sym___inline] = ACTIONS(2444),
    [anon_sym___inline__] = ACTIONS(2444),
    [anon_sym___forceinline] = ACTIONS(2444),
    [anon_sym_thread_local] = ACTIONS(2444),
    [anon_sym___thread] = ACTIONS(2444),
    [anon_sym_const] = ACTIONS(2444),
    [anon_sym_constexpr] = ACTIONS(2444),
    [anon_sym_volatile] = ACTIONS(2444),
    [anon_sym_restrict] = ACTIONS(2444),
    [anon_sym___restrict__] = ACTIONS(2444),
    [anon_sym__Atomic] = ACTIONS(2444),
    [anon_sym__Noreturn] = ACTIONS(2444),
    [anon_sym_noreturn] = ACTIONS(2444),
    [anon_sym_mutable] = ACTIONS(2444),
    [anon_sym_constinit] = ACTIONS(2444),
    [anon_sym_consteval] = ACTIONS(2444),
    [sym_primitive_type] = ACTIONS(2444),
    [anon_sym_enum] = ACTIONS(2444),
    [anon_sym_class] = ACTIONS(2444),
    [anon_sym_struct] = ACTIONS(2444),
    [anon_sym_union] = ACTIONS(2444),
    [anon_sym_if] = ACTIONS(2444),
    [anon_sym_else] = ACTIONS(2444),
    [anon_sym_switch] = ACTIONS(2444),
    [anon_sym_case] = ACTIONS(2444),
    [anon_sym_default] = ACTIONS(2444),
    [anon_sym_while] = ACTIONS(2444),
    [anon_sym_do] = ACTIONS(2444),
    [anon_sym_for] = ACTIONS(2444),
    [anon_sym_return] = ACTIONS(2444),
    [anon_sym_break] = ACTIONS(2444),
    [anon_sym_continue] = ACTIONS(2444),
    [anon_sym_goto] = ACTIONS(2444),
    [anon_sym___try] = ACTIONS(2444),
    [anon_sym___leave] = ACTIONS(2444),
    [anon_sym_not] = ACTIONS(2444),
    [anon_sym_compl] = ACTIONS(2444),
    [anon_sym_DASH_DASH] = ACTIONS(2446),
    [anon_sym_PLUS_PLUS] = ACTIONS(2446),
    [anon_sym_sizeof] = ACTIONS(2444),
    [anon_sym___alignof__] = ACTIONS(2444),
    [anon_sym___alignof] = ACTIONS(2444),
    [anon_sym__alignof] = ACTIONS(2444),
    [anon_sym_alignof] = ACTIONS(2444),
    [anon_sym__Alignof] = ACTIONS(2444),
    [anon_sym_offsetof] = ACTIONS(2444),
    [anon_sym__Generic] = ACTIONS(2444),
    [anon_sym_asm] = ACTIONS(2444),
    [anon_sym___asm__] = ACTIONS(2444),
    [sym_number_literal] = ACTIONS(2446),
    [anon_sym_L_SQUOTE] = ACTIONS(2446),
    [anon_sym_u_SQUOTE] = ACTIONS(2446),
    [anon_sym_U_SQUOTE] = ACTIONS(2446),
    [anon_sym_u8_SQUOTE] = ACTIONS(2446),
    [anon_sym_SQUOTE] = ACTIONS(2446),
    [anon_sym_L_DQUOTE] = ACTIONS(2446),
    [anon_sym_u_DQUOTE] = ACTIONS(2446),
    [anon_sym_U_DQUOTE] = ACTIONS(2446),
    [anon_sym_u8_DQUOTE] = ACTIONS(2446),
    [anon_sym_DQUOTE] = ACTIONS(2446),
    [sym_true] = ACTIONS(2444),
    [sym_false] = ACTIONS(2444),
    [anon_sym_NULL] = ACTIONS(2444),
    [anon_sym_nullptr] = ACTIONS(2444),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2444),
    [anon_sym_decltype] = ACTIONS(2444),
    [anon_sym_virtual] = ACTIONS(2444),
    [anon_sym_alignas] = ACTIONS(2444),
    [anon_sym_explicit] = ACTIONS(2444),
    [anon_sym_typename] = ACTIONS(2444),
    [anon_sym_template] = ACTIONS(2444),
    [anon_sym_operator] = ACTIONS(2444),
    [anon_sym_try] = ACTIONS(2444),
    [anon_sym_delete] = ACTIONS(2444),
    [anon_sym_throw] = ACTIONS(2444),
    [anon_sym_namespace] = ACTIONS(2444),
    [anon_sym_using] = ACTIONS(2444),
    [anon_sym_static_assert] = ACTIONS(2444),
    [anon_sym_concept] = ACTIONS(2444),
    [anon_sym_co_return] = ACTIONS(2444),
    [anon_sym_co_yield] = ACTIONS(2444),
    [anon_sym_R_DQUOTE] = ACTIONS(2446),
    [anon_sym_LR_DQUOTE] = ACTIONS(2446),
    [anon_sym_uR_DQUOTE] = ACTIONS(2446),
    [anon_sym_UR_DQUOTE] = ACTIONS(2446),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2446),
    [anon_sym_co_await] = ACTIONS(2444),
    [anon_sym_new] = ACTIONS(2444),
    [anon_sym_requires] = ACTIONS(2444),
    [sym_this] = ACTIONS(2444),
    [anon_sym_discard] = ACTIONS(2444),
    [anon_sym_precise] = ACTIONS(2444),
    [anon_sym_shared] = ACTIONS(2444),
    [anon_sym_groupshared] = ACTIONS(2444),
    [anon_sym_uniform] = ACTIONS(2444),
    [anon_sym_row_major] = ACTIONS(2444),
    [anon_sym_column_major] = ACTIONS(2444),
    [anon_sym_globallycoherent] = ACTIONS(2444),
    [anon_sym_centroid] = ACTIONS(2444),
    [anon_sym_noperspective] = ACTIONS(2444),
    [anon_sym_nointerpolation] = ACTIONS(2444),
    [anon_sym_sample] = ACTIONS(2444),
    [anon_sym_linear] = ACTIONS(2444),
    [anon_sym_snorm] = ACTIONS(2444),
    [anon_sym_unorm] = ACTIONS(2444),
    [anon_sym_point] = ACTIONS(2444),
    [anon_sym_line] = ACTIONS(2444),
    [anon_sym_triangleadj] = ACTIONS(2444),
    [anon_sym_lineadj] = ACTIONS(2444),
    [anon_sym_triangle] = ACTIONS(2444),
    [anon_sym_cbuffer] = ACTIONS(2444),
  },
  [718] = {
    [sym_identifier] = ACTIONS(2436),
    [aux_sym_preproc_include_token1] = ACTIONS(2436),
    [aux_sym_preproc_def_token1] = ACTIONS(2436),
    [aux_sym_preproc_if_token1] = ACTIONS(2436),
    [aux_sym_preproc_if_token2] = ACTIONS(2436),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2436),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2436),
    [sym_preproc_directive] = ACTIONS(2436),
    [anon_sym_LPAREN2] = ACTIONS(2438),
    [anon_sym_BANG] = ACTIONS(2438),
    [anon_sym_TILDE] = ACTIONS(2438),
    [anon_sym_DASH] = ACTIONS(2436),
    [anon_sym_PLUS] = ACTIONS(2436),
    [anon_sym_STAR] = ACTIONS(2438),
    [anon_sym_AMP_AMP] = ACTIONS(2438),
    [anon_sym_AMP] = ACTIONS(2436),
    [anon_sym_SEMI] = ACTIONS(2438),
    [anon_sym___extension__] = ACTIONS(2436),
    [anon_sym_typedef] = ACTIONS(2436),
    [anon_sym_in] = ACTIONS(2436),
    [anon_sym_out] = ACTIONS(2436),
    [anon_sym_inout] = ACTIONS(2436),
    [anon_sym_extern] = ACTIONS(2436),
    [anon_sym___attribute__] = ACTIONS(2436),
    [anon_sym_COLON_COLON] = ACTIONS(2438),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2438),
    [anon_sym___declspec] = ACTIONS(2436),
    [anon_sym___based] = ACTIONS(2436),
    [anon_sym___cdecl] = ACTIONS(2436),
    [anon_sym___clrcall] = ACTIONS(2436),
    [anon_sym___stdcall] = ACTIONS(2436),
    [anon_sym___fastcall] = ACTIONS(2436),
    [anon_sym___thiscall] = ACTIONS(2436),
    [anon_sym___vectorcall] = ACTIONS(2436),
    [anon_sym_LBRACE] = ACTIONS(2438),
    [anon_sym_signed] = ACTIONS(2436),
    [anon_sym_unsigned] = ACTIONS(2436),
    [anon_sym_long] = ACTIONS(2436),
    [anon_sym_short] = ACTIONS(2436),
    [anon_sym_LBRACK] = ACTIONS(2436),
    [anon_sym_static] = ACTIONS(2436),
    [anon_sym_register] = ACTIONS(2436),
    [anon_sym_inline] = ACTIONS(2436),
    [anon_sym___inline] = ACTIONS(2436),
    [anon_sym___inline__] = ACTIONS(2436),
    [anon_sym___forceinline] = ACTIONS(2436),
    [anon_sym_thread_local] = ACTIONS(2436),
    [anon_sym___thread] = ACTIONS(2436),
    [anon_sym_const] = ACTIONS(2436),
    [anon_sym_constexpr] = ACTIONS(2436),
    [anon_sym_volatile] = ACTIONS(2436),
    [anon_sym_restrict] = ACTIONS(2436),
    [anon_sym___restrict__] = ACTIONS(2436),
    [anon_sym__Atomic] = ACTIONS(2436),
    [anon_sym__Noreturn] = ACTIONS(2436),
    [anon_sym_noreturn] = ACTIONS(2436),
    [anon_sym_mutable] = ACTIONS(2436),
    [anon_sym_constinit] = ACTIONS(2436),
    [anon_sym_consteval] = ACTIONS(2436),
    [sym_primitive_type] = ACTIONS(2436),
    [anon_sym_enum] = ACTIONS(2436),
    [anon_sym_class] = ACTIONS(2436),
    [anon_sym_struct] = ACTIONS(2436),
    [anon_sym_union] = ACTIONS(2436),
    [anon_sym_if] = ACTIONS(2436),
    [anon_sym_else] = ACTIONS(2436),
    [anon_sym_switch] = ACTIONS(2436),
    [anon_sym_case] = ACTIONS(2436),
    [anon_sym_default] = ACTIONS(2436),
    [anon_sym_while] = ACTIONS(2436),
    [anon_sym_do] = ACTIONS(2436),
    [anon_sym_for] = ACTIONS(2436),
    [anon_sym_return] = ACTIONS(2436),
    [anon_sym_break] = ACTIONS(2436),
    [anon_sym_continue] = ACTIONS(2436),
    [anon_sym_goto] = ACTIONS(2436),
    [anon_sym___try] = ACTIONS(2436),
    [anon_sym___leave] = ACTIONS(2436),
    [anon_sym_not] = ACTIONS(2436),
    [anon_sym_compl] = ACTIONS(2436),
    [anon_sym_DASH_DASH] = ACTIONS(2438),
    [anon_sym_PLUS_PLUS] = ACTIONS(2438),
    [anon_sym_sizeof] = ACTIONS(2436),
    [anon_sym___alignof__] = ACTIONS(2436),
    [anon_sym___alignof] = ACTIONS(2436),
    [anon_sym__alignof] = ACTIONS(2436),
    [anon_sym_alignof] = ACTIONS(2436),
    [anon_sym__Alignof] = ACTIONS(2436),
    [anon_sym_offsetof] = ACTIONS(2436),
    [anon_sym__Generic] = ACTIONS(2436),
    [anon_sym_asm] = ACTIONS(2436),
    [anon_sym___asm__] = ACTIONS(2436),
    [sym_number_literal] = ACTIONS(2438),
    [anon_sym_L_SQUOTE] = ACTIONS(2438),
    [anon_sym_u_SQUOTE] = ACTIONS(2438),
    [anon_sym_U_SQUOTE] = ACTIONS(2438),
    [anon_sym_u8_SQUOTE] = ACTIONS(2438),
    [anon_sym_SQUOTE] = ACTIONS(2438),
    [anon_sym_L_DQUOTE] = ACTIONS(2438),
    [anon_sym_u_DQUOTE] = ACTIONS(2438),
    [anon_sym_U_DQUOTE] = ACTIONS(2438),
    [anon_sym_u8_DQUOTE] = ACTIONS(2438),
    [anon_sym_DQUOTE] = ACTIONS(2438),
    [sym_true] = ACTIONS(2436),
    [sym_false] = ACTIONS(2436),
    [anon_sym_NULL] = ACTIONS(2436),
    [anon_sym_nullptr] = ACTIONS(2436),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2436),
    [anon_sym_decltype] = ACTIONS(2436),
    [anon_sym_virtual] = ACTIONS(2436),
    [anon_sym_alignas] = ACTIONS(2436),
    [anon_sym_explicit] = ACTIONS(2436),
    [anon_sym_typename] = ACTIONS(2436),
    [anon_sym_template] = ACTIONS(2436),
    [anon_sym_operator] = ACTIONS(2436),
    [anon_sym_try] = ACTIONS(2436),
    [anon_sym_delete] = ACTIONS(2436),
    [anon_sym_throw] = ACTIONS(2436),
    [anon_sym_namespace] = ACTIONS(2436),
    [anon_sym_using] = ACTIONS(2436),
    [anon_sym_static_assert] = ACTIONS(2436),
    [anon_sym_concept] = ACTIONS(2436),
    [anon_sym_co_return] = ACTIONS(2436),
    [anon_sym_co_yield] = ACTIONS(2436),
    [anon_sym_R_DQUOTE] = ACTIONS(2438),
    [anon_sym_LR_DQUOTE] = ACTIONS(2438),
    [anon_sym_uR_DQUOTE] = ACTIONS(2438),
    [anon_sym_UR_DQUOTE] = ACTIONS(2438),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2438),
    [anon_sym_co_await] = ACTIONS(2436),
    [anon_sym_new] = ACTIONS(2436),
    [anon_sym_requires] = ACTIONS(2436),
    [sym_this] = ACTIONS(2436),
    [anon_sym_discard] = ACTIONS(2436),
    [anon_sym_precise] = ACTIONS(2436),
    [anon_sym_shared] = ACTIONS(2436),
    [anon_sym_groupshared] = ACTIONS(2436),
    [anon_sym_uniform] = ACTIONS(2436),
    [anon_sym_row_major] = ACTIONS(2436),
    [anon_sym_column_major] = ACTIONS(2436),
    [anon_sym_globallycoherent] = ACTIONS(2436),
    [anon_sym_centroid] = ACTIONS(2436),
    [anon_sym_noperspective] = ACTIONS(2436),
    [anon_sym_nointerpolation] = ACTIONS(2436),
    [anon_sym_sample] = ACTIONS(2436),
    [anon_sym_linear] = ACTIONS(2436),
    [anon_sym_snorm] = ACTIONS(2436),
    [anon_sym_unorm] = ACTIONS(2436),
    [anon_sym_point] = ACTIONS(2436),
    [anon_sym_line] = ACTIONS(2436),
    [anon_sym_triangleadj] = ACTIONS(2436),
    [anon_sym_lineadj] = ACTIONS(2436),
    [anon_sym_triangle] = ACTIONS(2436),
    [anon_sym_cbuffer] = ACTIONS(2436),
  },
  [719] = {
    [sym_identifier] = ACTIONS(2380),
    [aux_sym_preproc_include_token1] = ACTIONS(2380),
    [aux_sym_preproc_def_token1] = ACTIONS(2380),
    [aux_sym_preproc_if_token1] = ACTIONS(2380),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2380),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2380),
    [sym_preproc_directive] = ACTIONS(2380),
    [anon_sym_LPAREN2] = ACTIONS(2382),
    [anon_sym_BANG] = ACTIONS(2382),
    [anon_sym_TILDE] = ACTIONS(2382),
    [anon_sym_DASH] = ACTIONS(2380),
    [anon_sym_PLUS] = ACTIONS(2380),
    [anon_sym_STAR] = ACTIONS(2382),
    [anon_sym_AMP_AMP] = ACTIONS(2382),
    [anon_sym_AMP] = ACTIONS(2380),
    [anon_sym_SEMI] = ACTIONS(2382),
    [anon_sym___extension__] = ACTIONS(2380),
    [anon_sym_typedef] = ACTIONS(2380),
    [anon_sym_in] = ACTIONS(2380),
    [anon_sym_out] = ACTIONS(2380),
    [anon_sym_inout] = ACTIONS(2380),
    [anon_sym_extern] = ACTIONS(2380),
    [anon_sym___attribute__] = ACTIONS(2380),
    [anon_sym_COLON_COLON] = ACTIONS(2382),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2382),
    [anon_sym___declspec] = ACTIONS(2380),
    [anon_sym___based] = ACTIONS(2380),
    [anon_sym___cdecl] = ACTIONS(2380),
    [anon_sym___clrcall] = ACTIONS(2380),
    [anon_sym___stdcall] = ACTIONS(2380),
    [anon_sym___fastcall] = ACTIONS(2380),
    [anon_sym___thiscall] = ACTIONS(2380),
    [anon_sym___vectorcall] = ACTIONS(2380),
    [anon_sym_LBRACE] = ACTIONS(2382),
    [anon_sym_RBRACE] = ACTIONS(2382),
    [anon_sym_signed] = ACTIONS(2380),
    [anon_sym_unsigned] = ACTIONS(2380),
    [anon_sym_long] = ACTIONS(2380),
    [anon_sym_short] = ACTIONS(2380),
    [anon_sym_LBRACK] = ACTIONS(2380),
    [anon_sym_static] = ACTIONS(2380),
    [anon_sym_register] = ACTIONS(2380),
    [anon_sym_inline] = ACTIONS(2380),
    [anon_sym___inline] = ACTIONS(2380),
    [anon_sym___inline__] = ACTIONS(2380),
    [anon_sym___forceinline] = ACTIONS(2380),
    [anon_sym_thread_local] = ACTIONS(2380),
    [anon_sym___thread] = ACTIONS(2380),
    [anon_sym_const] = ACTIONS(2380),
    [anon_sym_constexpr] = ACTIONS(2380),
    [anon_sym_volatile] = ACTIONS(2380),
    [anon_sym_restrict] = ACTIONS(2380),
    [anon_sym___restrict__] = ACTIONS(2380),
    [anon_sym__Atomic] = ACTIONS(2380),
    [anon_sym__Noreturn] = ACTIONS(2380),
    [anon_sym_noreturn] = ACTIONS(2380),
    [anon_sym_mutable] = ACTIONS(2380),
    [anon_sym_constinit] = ACTIONS(2380),
    [anon_sym_consteval] = ACTIONS(2380),
    [sym_primitive_type] = ACTIONS(2380),
    [anon_sym_enum] = ACTIONS(2380),
    [anon_sym_class] = ACTIONS(2380),
    [anon_sym_struct] = ACTIONS(2380),
    [anon_sym_union] = ACTIONS(2380),
    [anon_sym_if] = ACTIONS(2380),
    [anon_sym_else] = ACTIONS(2380),
    [anon_sym_switch] = ACTIONS(2380),
    [anon_sym_case] = ACTIONS(2380),
    [anon_sym_default] = ACTIONS(2380),
    [anon_sym_while] = ACTIONS(2380),
    [anon_sym_do] = ACTIONS(2380),
    [anon_sym_for] = ACTIONS(2380),
    [anon_sym_return] = ACTIONS(2380),
    [anon_sym_break] = ACTIONS(2380),
    [anon_sym_continue] = ACTIONS(2380),
    [anon_sym_goto] = ACTIONS(2380),
    [anon_sym___try] = ACTIONS(2380),
    [anon_sym___leave] = ACTIONS(2380),
    [anon_sym_not] = ACTIONS(2380),
    [anon_sym_compl] = ACTIONS(2380),
    [anon_sym_DASH_DASH] = ACTIONS(2382),
    [anon_sym_PLUS_PLUS] = ACTIONS(2382),
    [anon_sym_sizeof] = ACTIONS(2380),
    [anon_sym___alignof__] = ACTIONS(2380),
    [anon_sym___alignof] = ACTIONS(2380),
    [anon_sym__alignof] = ACTIONS(2380),
    [anon_sym_alignof] = ACTIONS(2380),
    [anon_sym__Alignof] = ACTIONS(2380),
    [anon_sym_offsetof] = ACTIONS(2380),
    [anon_sym__Generic] = ACTIONS(2380),
    [anon_sym_asm] = ACTIONS(2380),
    [anon_sym___asm__] = ACTIONS(2380),
    [sym_number_literal] = ACTIONS(2382),
    [anon_sym_L_SQUOTE] = ACTIONS(2382),
    [anon_sym_u_SQUOTE] = ACTIONS(2382),
    [anon_sym_U_SQUOTE] = ACTIONS(2382),
    [anon_sym_u8_SQUOTE] = ACTIONS(2382),
    [anon_sym_SQUOTE] = ACTIONS(2382),
    [anon_sym_L_DQUOTE] = ACTIONS(2382),
    [anon_sym_u_DQUOTE] = ACTIONS(2382),
    [anon_sym_U_DQUOTE] = ACTIONS(2382),
    [anon_sym_u8_DQUOTE] = ACTIONS(2382),
    [anon_sym_DQUOTE] = ACTIONS(2382),
    [sym_true] = ACTIONS(2380),
    [sym_false] = ACTIONS(2380),
    [anon_sym_NULL] = ACTIONS(2380),
    [anon_sym_nullptr] = ACTIONS(2380),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2380),
    [anon_sym_decltype] = ACTIONS(2380),
    [anon_sym_virtual] = ACTIONS(2380),
    [anon_sym_alignas] = ACTIONS(2380),
    [anon_sym_explicit] = ACTIONS(2380),
    [anon_sym_typename] = ACTIONS(2380),
    [anon_sym_template] = ACTIONS(2380),
    [anon_sym_operator] = ACTIONS(2380),
    [anon_sym_try] = ACTIONS(2380),
    [anon_sym_delete] = ACTIONS(2380),
    [anon_sym_throw] = ACTIONS(2380),
    [anon_sym_namespace] = ACTIONS(2380),
    [anon_sym_using] = ACTIONS(2380),
    [anon_sym_static_assert] = ACTIONS(2380),
    [anon_sym_concept] = ACTIONS(2380),
    [anon_sym_co_return] = ACTIONS(2380),
    [anon_sym_co_yield] = ACTIONS(2380),
    [anon_sym_R_DQUOTE] = ACTIONS(2382),
    [anon_sym_LR_DQUOTE] = ACTIONS(2382),
    [anon_sym_uR_DQUOTE] = ACTIONS(2382),
    [anon_sym_UR_DQUOTE] = ACTIONS(2382),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2382),
    [anon_sym_co_await] = ACTIONS(2380),
    [anon_sym_new] = ACTIONS(2380),
    [anon_sym_requires] = ACTIONS(2380),
    [sym_this] = ACTIONS(2380),
    [anon_sym_discard] = ACTIONS(2380),
    [anon_sym_precise] = ACTIONS(2380),
    [anon_sym_shared] = ACTIONS(2380),
    [anon_sym_groupshared] = ACTIONS(2380),
    [anon_sym_uniform] = ACTIONS(2380),
    [anon_sym_row_major] = ACTIONS(2380),
    [anon_sym_column_major] = ACTIONS(2380),
    [anon_sym_globallycoherent] = ACTIONS(2380),
    [anon_sym_centroid] = ACTIONS(2380),
    [anon_sym_noperspective] = ACTIONS(2380),
    [anon_sym_nointerpolation] = ACTIONS(2380),
    [anon_sym_sample] = ACTIONS(2380),
    [anon_sym_linear] = ACTIONS(2380),
    [anon_sym_snorm] = ACTIONS(2380),
    [anon_sym_unorm] = ACTIONS(2380),
    [anon_sym_point] = ACTIONS(2380),
    [anon_sym_line] = ACTIONS(2380),
    [anon_sym_triangleadj] = ACTIONS(2380),
    [anon_sym_lineadj] = ACTIONS(2380),
    [anon_sym_triangle] = ACTIONS(2380),
    [anon_sym_cbuffer] = ACTIONS(2380),
  },
  [720] = {
    [sym_identifier] = ACTIONS(2488),
    [aux_sym_preproc_include_token1] = ACTIONS(2488),
    [aux_sym_preproc_def_token1] = ACTIONS(2488),
    [aux_sym_preproc_if_token1] = ACTIONS(2488),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2488),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2488),
    [sym_preproc_directive] = ACTIONS(2488),
    [anon_sym_LPAREN2] = ACTIONS(2490),
    [anon_sym_BANG] = ACTIONS(2490),
    [anon_sym_TILDE] = ACTIONS(2490),
    [anon_sym_DASH] = ACTIONS(2488),
    [anon_sym_PLUS] = ACTIONS(2488),
    [anon_sym_STAR] = ACTIONS(2490),
    [anon_sym_AMP_AMP] = ACTIONS(2490),
    [anon_sym_AMP] = ACTIONS(2488),
    [anon_sym_SEMI] = ACTIONS(2490),
    [anon_sym___extension__] = ACTIONS(2488),
    [anon_sym_typedef] = ACTIONS(2488),
    [anon_sym_in] = ACTIONS(2488),
    [anon_sym_out] = ACTIONS(2488),
    [anon_sym_inout] = ACTIONS(2488),
    [anon_sym_extern] = ACTIONS(2488),
    [anon_sym___attribute__] = ACTIONS(2488),
    [anon_sym_COLON_COLON] = ACTIONS(2490),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2490),
    [anon_sym___declspec] = ACTIONS(2488),
    [anon_sym___based] = ACTIONS(2488),
    [anon_sym___cdecl] = ACTIONS(2488),
    [anon_sym___clrcall] = ACTIONS(2488),
    [anon_sym___stdcall] = ACTIONS(2488),
    [anon_sym___fastcall] = ACTIONS(2488),
    [anon_sym___thiscall] = ACTIONS(2488),
    [anon_sym___vectorcall] = ACTIONS(2488),
    [anon_sym_LBRACE] = ACTIONS(2490),
    [anon_sym_RBRACE] = ACTIONS(2490),
    [anon_sym_signed] = ACTIONS(2488),
    [anon_sym_unsigned] = ACTIONS(2488),
    [anon_sym_long] = ACTIONS(2488),
    [anon_sym_short] = ACTIONS(2488),
    [anon_sym_LBRACK] = ACTIONS(2488),
    [anon_sym_static] = ACTIONS(2488),
    [anon_sym_register] = ACTIONS(2488),
    [anon_sym_inline] = ACTIONS(2488),
    [anon_sym___inline] = ACTIONS(2488),
    [anon_sym___inline__] = ACTIONS(2488),
    [anon_sym___forceinline] = ACTIONS(2488),
    [anon_sym_thread_local] = ACTIONS(2488),
    [anon_sym___thread] = ACTIONS(2488),
    [anon_sym_const] = ACTIONS(2488),
    [anon_sym_constexpr] = ACTIONS(2488),
    [anon_sym_volatile] = ACTIONS(2488),
    [anon_sym_restrict] = ACTIONS(2488),
    [anon_sym___restrict__] = ACTIONS(2488),
    [anon_sym__Atomic] = ACTIONS(2488),
    [anon_sym__Noreturn] = ACTIONS(2488),
    [anon_sym_noreturn] = ACTIONS(2488),
    [anon_sym_mutable] = ACTIONS(2488),
    [anon_sym_constinit] = ACTIONS(2488),
    [anon_sym_consteval] = ACTIONS(2488),
    [sym_primitive_type] = ACTIONS(2488),
    [anon_sym_enum] = ACTIONS(2488),
    [anon_sym_class] = ACTIONS(2488),
    [anon_sym_struct] = ACTIONS(2488),
    [anon_sym_union] = ACTIONS(2488),
    [anon_sym_if] = ACTIONS(2488),
    [anon_sym_else] = ACTIONS(2488),
    [anon_sym_switch] = ACTIONS(2488),
    [anon_sym_case] = ACTIONS(2488),
    [anon_sym_default] = ACTIONS(2488),
    [anon_sym_while] = ACTIONS(2488),
    [anon_sym_do] = ACTIONS(2488),
    [anon_sym_for] = ACTIONS(2488),
    [anon_sym_return] = ACTIONS(2488),
    [anon_sym_break] = ACTIONS(2488),
    [anon_sym_continue] = ACTIONS(2488),
    [anon_sym_goto] = ACTIONS(2488),
    [anon_sym___try] = ACTIONS(2488),
    [anon_sym___leave] = ACTIONS(2488),
    [anon_sym_not] = ACTIONS(2488),
    [anon_sym_compl] = ACTIONS(2488),
    [anon_sym_DASH_DASH] = ACTIONS(2490),
    [anon_sym_PLUS_PLUS] = ACTIONS(2490),
    [anon_sym_sizeof] = ACTIONS(2488),
    [anon_sym___alignof__] = ACTIONS(2488),
    [anon_sym___alignof] = ACTIONS(2488),
    [anon_sym__alignof] = ACTIONS(2488),
    [anon_sym_alignof] = ACTIONS(2488),
    [anon_sym__Alignof] = ACTIONS(2488),
    [anon_sym_offsetof] = ACTIONS(2488),
    [anon_sym__Generic] = ACTIONS(2488),
    [anon_sym_asm] = ACTIONS(2488),
    [anon_sym___asm__] = ACTIONS(2488),
    [sym_number_literal] = ACTIONS(2490),
    [anon_sym_L_SQUOTE] = ACTIONS(2490),
    [anon_sym_u_SQUOTE] = ACTIONS(2490),
    [anon_sym_U_SQUOTE] = ACTIONS(2490),
    [anon_sym_u8_SQUOTE] = ACTIONS(2490),
    [anon_sym_SQUOTE] = ACTIONS(2490),
    [anon_sym_L_DQUOTE] = ACTIONS(2490),
    [anon_sym_u_DQUOTE] = ACTIONS(2490),
    [anon_sym_U_DQUOTE] = ACTIONS(2490),
    [anon_sym_u8_DQUOTE] = ACTIONS(2490),
    [anon_sym_DQUOTE] = ACTIONS(2490),
    [sym_true] = ACTIONS(2488),
    [sym_false] = ACTIONS(2488),
    [anon_sym_NULL] = ACTIONS(2488),
    [anon_sym_nullptr] = ACTIONS(2488),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2488),
    [anon_sym_decltype] = ACTIONS(2488),
    [anon_sym_virtual] = ACTIONS(2488),
    [anon_sym_alignas] = ACTIONS(2488),
    [anon_sym_explicit] = ACTIONS(2488),
    [anon_sym_typename] = ACTIONS(2488),
    [anon_sym_template] = ACTIONS(2488),
    [anon_sym_operator] = ACTIONS(2488),
    [anon_sym_try] = ACTIONS(2488),
    [anon_sym_delete] = ACTIONS(2488),
    [anon_sym_throw] = ACTIONS(2488),
    [anon_sym_namespace] = ACTIONS(2488),
    [anon_sym_using] = ACTIONS(2488),
    [anon_sym_static_assert] = ACTIONS(2488),
    [anon_sym_concept] = ACTIONS(2488),
    [anon_sym_co_return] = ACTIONS(2488),
    [anon_sym_co_yield] = ACTIONS(2488),
    [anon_sym_R_DQUOTE] = ACTIONS(2490),
    [anon_sym_LR_DQUOTE] = ACTIONS(2490),
    [anon_sym_uR_DQUOTE] = ACTIONS(2490),
    [anon_sym_UR_DQUOTE] = ACTIONS(2490),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2490),
    [anon_sym_co_await] = ACTIONS(2488),
    [anon_sym_new] = ACTIONS(2488),
    [anon_sym_requires] = ACTIONS(2488),
    [sym_this] = ACTIONS(2488),
    [anon_sym_discard] = ACTIONS(2488),
    [anon_sym_precise] = ACTIONS(2488),
    [anon_sym_shared] = ACTIONS(2488),
    [anon_sym_groupshared] = ACTIONS(2488),
    [anon_sym_uniform] = ACTIONS(2488),
    [anon_sym_row_major] = ACTIONS(2488),
    [anon_sym_column_major] = ACTIONS(2488),
    [anon_sym_globallycoherent] = ACTIONS(2488),
    [anon_sym_centroid] = ACTIONS(2488),
    [anon_sym_noperspective] = ACTIONS(2488),
    [anon_sym_nointerpolation] = ACTIONS(2488),
    [anon_sym_sample] = ACTIONS(2488),
    [anon_sym_linear] = ACTIONS(2488),
    [anon_sym_snorm] = ACTIONS(2488),
    [anon_sym_unorm] = ACTIONS(2488),
    [anon_sym_point] = ACTIONS(2488),
    [anon_sym_line] = ACTIONS(2488),
    [anon_sym_triangleadj] = ACTIONS(2488),
    [anon_sym_lineadj] = ACTIONS(2488),
    [anon_sym_triangle] = ACTIONS(2488),
    [anon_sym_cbuffer] = ACTIONS(2488),
  },
  [721] = {
    [sym_identifier] = ACTIONS(2444),
    [aux_sym_preproc_include_token1] = ACTIONS(2444),
    [aux_sym_preproc_def_token1] = ACTIONS(2444),
    [aux_sym_preproc_if_token1] = ACTIONS(2444),
    [aux_sym_preproc_if_token2] = ACTIONS(2444),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2444),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2444),
    [sym_preproc_directive] = ACTIONS(2444),
    [anon_sym_LPAREN2] = ACTIONS(2446),
    [anon_sym_BANG] = ACTIONS(2446),
    [anon_sym_TILDE] = ACTIONS(2446),
    [anon_sym_DASH] = ACTIONS(2444),
    [anon_sym_PLUS] = ACTIONS(2444),
    [anon_sym_STAR] = ACTIONS(2446),
    [anon_sym_AMP_AMP] = ACTIONS(2446),
    [anon_sym_AMP] = ACTIONS(2444),
    [anon_sym_SEMI] = ACTIONS(2446),
    [anon_sym___extension__] = ACTIONS(2444),
    [anon_sym_typedef] = ACTIONS(2444),
    [anon_sym_in] = ACTIONS(2444),
    [anon_sym_out] = ACTIONS(2444),
    [anon_sym_inout] = ACTIONS(2444),
    [anon_sym_extern] = ACTIONS(2444),
    [anon_sym___attribute__] = ACTIONS(2444),
    [anon_sym_COLON_COLON] = ACTIONS(2446),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2446),
    [anon_sym___declspec] = ACTIONS(2444),
    [anon_sym___based] = ACTIONS(2444),
    [anon_sym___cdecl] = ACTIONS(2444),
    [anon_sym___clrcall] = ACTIONS(2444),
    [anon_sym___stdcall] = ACTIONS(2444),
    [anon_sym___fastcall] = ACTIONS(2444),
    [anon_sym___thiscall] = ACTIONS(2444),
    [anon_sym___vectorcall] = ACTIONS(2444),
    [anon_sym_LBRACE] = ACTIONS(2446),
    [anon_sym_signed] = ACTIONS(2444),
    [anon_sym_unsigned] = ACTIONS(2444),
    [anon_sym_long] = ACTIONS(2444),
    [anon_sym_short] = ACTIONS(2444),
    [anon_sym_LBRACK] = ACTIONS(2444),
    [anon_sym_static] = ACTIONS(2444),
    [anon_sym_register] = ACTIONS(2444),
    [anon_sym_inline] = ACTIONS(2444),
    [anon_sym___inline] = ACTIONS(2444),
    [anon_sym___inline__] = ACTIONS(2444),
    [anon_sym___forceinline] = ACTIONS(2444),
    [anon_sym_thread_local] = ACTIONS(2444),
    [anon_sym___thread] = ACTIONS(2444),
    [anon_sym_const] = ACTIONS(2444),
    [anon_sym_constexpr] = ACTIONS(2444),
    [anon_sym_volatile] = ACTIONS(2444),
    [anon_sym_restrict] = ACTIONS(2444),
    [anon_sym___restrict__] = ACTIONS(2444),
    [anon_sym__Atomic] = ACTIONS(2444),
    [anon_sym__Noreturn] = ACTIONS(2444),
    [anon_sym_noreturn] = ACTIONS(2444),
    [anon_sym_mutable] = ACTIONS(2444),
    [anon_sym_constinit] = ACTIONS(2444),
    [anon_sym_consteval] = ACTIONS(2444),
    [sym_primitive_type] = ACTIONS(2444),
    [anon_sym_enum] = ACTIONS(2444),
    [anon_sym_class] = ACTIONS(2444),
    [anon_sym_struct] = ACTIONS(2444),
    [anon_sym_union] = ACTIONS(2444),
    [anon_sym_if] = ACTIONS(2444),
    [anon_sym_else] = ACTIONS(2444),
    [anon_sym_switch] = ACTIONS(2444),
    [anon_sym_case] = ACTIONS(2444),
    [anon_sym_default] = ACTIONS(2444),
    [anon_sym_while] = ACTIONS(2444),
    [anon_sym_do] = ACTIONS(2444),
    [anon_sym_for] = ACTIONS(2444),
    [anon_sym_return] = ACTIONS(2444),
    [anon_sym_break] = ACTIONS(2444),
    [anon_sym_continue] = ACTIONS(2444),
    [anon_sym_goto] = ACTIONS(2444),
    [anon_sym___try] = ACTIONS(2444),
    [anon_sym___leave] = ACTIONS(2444),
    [anon_sym_not] = ACTIONS(2444),
    [anon_sym_compl] = ACTIONS(2444),
    [anon_sym_DASH_DASH] = ACTIONS(2446),
    [anon_sym_PLUS_PLUS] = ACTIONS(2446),
    [anon_sym_sizeof] = ACTIONS(2444),
    [anon_sym___alignof__] = ACTIONS(2444),
    [anon_sym___alignof] = ACTIONS(2444),
    [anon_sym__alignof] = ACTIONS(2444),
    [anon_sym_alignof] = ACTIONS(2444),
    [anon_sym__Alignof] = ACTIONS(2444),
    [anon_sym_offsetof] = ACTIONS(2444),
    [anon_sym__Generic] = ACTIONS(2444),
    [anon_sym_asm] = ACTIONS(2444),
    [anon_sym___asm__] = ACTIONS(2444),
    [sym_number_literal] = ACTIONS(2446),
    [anon_sym_L_SQUOTE] = ACTIONS(2446),
    [anon_sym_u_SQUOTE] = ACTIONS(2446),
    [anon_sym_U_SQUOTE] = ACTIONS(2446),
    [anon_sym_u8_SQUOTE] = ACTIONS(2446),
    [anon_sym_SQUOTE] = ACTIONS(2446),
    [anon_sym_L_DQUOTE] = ACTIONS(2446),
    [anon_sym_u_DQUOTE] = ACTIONS(2446),
    [anon_sym_U_DQUOTE] = ACTIONS(2446),
    [anon_sym_u8_DQUOTE] = ACTIONS(2446),
    [anon_sym_DQUOTE] = ACTIONS(2446),
    [sym_true] = ACTIONS(2444),
    [sym_false] = ACTIONS(2444),
    [anon_sym_NULL] = ACTIONS(2444),
    [anon_sym_nullptr] = ACTIONS(2444),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2444),
    [anon_sym_decltype] = ACTIONS(2444),
    [anon_sym_virtual] = ACTIONS(2444),
    [anon_sym_alignas] = ACTIONS(2444),
    [anon_sym_explicit] = ACTIONS(2444),
    [anon_sym_typename] = ACTIONS(2444),
    [anon_sym_template] = ACTIONS(2444),
    [anon_sym_operator] = ACTIONS(2444),
    [anon_sym_try] = ACTIONS(2444),
    [anon_sym_delete] = ACTIONS(2444),
    [anon_sym_throw] = ACTIONS(2444),
    [anon_sym_namespace] = ACTIONS(2444),
    [anon_sym_using] = ACTIONS(2444),
    [anon_sym_static_assert] = ACTIONS(2444),
    [anon_sym_concept] = ACTIONS(2444),
    [anon_sym_co_return] = ACTIONS(2444),
    [anon_sym_co_yield] = ACTIONS(2444),
    [anon_sym_R_DQUOTE] = ACTIONS(2446),
    [anon_sym_LR_DQUOTE] = ACTIONS(2446),
    [anon_sym_uR_DQUOTE] = ACTIONS(2446),
    [anon_sym_UR_DQUOTE] = ACTIONS(2446),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2446),
    [anon_sym_co_await] = ACTIONS(2444),
    [anon_sym_new] = ACTIONS(2444),
    [anon_sym_requires] = ACTIONS(2444),
    [sym_this] = ACTIONS(2444),
    [anon_sym_discard] = ACTIONS(2444),
    [anon_sym_precise] = ACTIONS(2444),
    [anon_sym_shared] = ACTIONS(2444),
    [anon_sym_groupshared] = ACTIONS(2444),
    [anon_sym_uniform] = ACTIONS(2444),
    [anon_sym_row_major] = ACTIONS(2444),
    [anon_sym_column_major] = ACTIONS(2444),
    [anon_sym_globallycoherent] = ACTIONS(2444),
    [anon_sym_centroid] = ACTIONS(2444),
    [anon_sym_noperspective] = ACTIONS(2444),
    [anon_sym_nointerpolation] = ACTIONS(2444),
    [anon_sym_sample] = ACTIONS(2444),
    [anon_sym_linear] = ACTIONS(2444),
    [anon_sym_snorm] = ACTIONS(2444),
    [anon_sym_unorm] = ACTIONS(2444),
    [anon_sym_point] = ACTIONS(2444),
    [anon_sym_line] = ACTIONS(2444),
    [anon_sym_triangleadj] = ACTIONS(2444),
    [anon_sym_lineadj] = ACTIONS(2444),
    [anon_sym_triangle] = ACTIONS(2444),
    [anon_sym_cbuffer] = ACTIONS(2444),
  },
  [722] = {
    [sym_identifier] = ACTIONS(2400),
    [aux_sym_preproc_include_token1] = ACTIONS(2400),
    [aux_sym_preproc_def_token1] = ACTIONS(2400),
    [aux_sym_preproc_if_token1] = ACTIONS(2400),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2400),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2400),
    [sym_preproc_directive] = ACTIONS(2400),
    [anon_sym_LPAREN2] = ACTIONS(2402),
    [anon_sym_BANG] = ACTIONS(2402),
    [anon_sym_TILDE] = ACTIONS(2402),
    [anon_sym_DASH] = ACTIONS(2400),
    [anon_sym_PLUS] = ACTIONS(2400),
    [anon_sym_STAR] = ACTIONS(2402),
    [anon_sym_AMP_AMP] = ACTIONS(2402),
    [anon_sym_AMP] = ACTIONS(2400),
    [anon_sym_SEMI] = ACTIONS(2402),
    [anon_sym___extension__] = ACTIONS(2400),
    [anon_sym_typedef] = ACTIONS(2400),
    [anon_sym_in] = ACTIONS(2400),
    [anon_sym_out] = ACTIONS(2400),
    [anon_sym_inout] = ACTIONS(2400),
    [anon_sym_extern] = ACTIONS(2400),
    [anon_sym___attribute__] = ACTIONS(2400),
    [anon_sym_COLON_COLON] = ACTIONS(2402),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2402),
    [anon_sym___declspec] = ACTIONS(2400),
    [anon_sym___based] = ACTIONS(2400),
    [anon_sym___cdecl] = ACTIONS(2400),
    [anon_sym___clrcall] = ACTIONS(2400),
    [anon_sym___stdcall] = ACTIONS(2400),
    [anon_sym___fastcall] = ACTIONS(2400),
    [anon_sym___thiscall] = ACTIONS(2400),
    [anon_sym___vectorcall] = ACTIONS(2400),
    [anon_sym_LBRACE] = ACTIONS(2402),
    [anon_sym_RBRACE] = ACTIONS(2402),
    [anon_sym_signed] = ACTIONS(2400),
    [anon_sym_unsigned] = ACTIONS(2400),
    [anon_sym_long] = ACTIONS(2400),
    [anon_sym_short] = ACTIONS(2400),
    [anon_sym_LBRACK] = ACTIONS(2400),
    [anon_sym_static] = ACTIONS(2400),
    [anon_sym_register] = ACTIONS(2400),
    [anon_sym_inline] = ACTIONS(2400),
    [anon_sym___inline] = ACTIONS(2400),
    [anon_sym___inline__] = ACTIONS(2400),
    [anon_sym___forceinline] = ACTIONS(2400),
    [anon_sym_thread_local] = ACTIONS(2400),
    [anon_sym___thread] = ACTIONS(2400),
    [anon_sym_const] = ACTIONS(2400),
    [anon_sym_constexpr] = ACTIONS(2400),
    [anon_sym_volatile] = ACTIONS(2400),
    [anon_sym_restrict] = ACTIONS(2400),
    [anon_sym___restrict__] = ACTIONS(2400),
    [anon_sym__Atomic] = ACTIONS(2400),
    [anon_sym__Noreturn] = ACTIONS(2400),
    [anon_sym_noreturn] = ACTIONS(2400),
    [anon_sym_mutable] = ACTIONS(2400),
    [anon_sym_constinit] = ACTIONS(2400),
    [anon_sym_consteval] = ACTIONS(2400),
    [sym_primitive_type] = ACTIONS(2400),
    [anon_sym_enum] = ACTIONS(2400),
    [anon_sym_class] = ACTIONS(2400),
    [anon_sym_struct] = ACTIONS(2400),
    [anon_sym_union] = ACTIONS(2400),
    [anon_sym_if] = ACTIONS(2400),
    [anon_sym_else] = ACTIONS(2400),
    [anon_sym_switch] = ACTIONS(2400),
    [anon_sym_case] = ACTIONS(2400),
    [anon_sym_default] = ACTIONS(2400),
    [anon_sym_while] = ACTIONS(2400),
    [anon_sym_do] = ACTIONS(2400),
    [anon_sym_for] = ACTIONS(2400),
    [anon_sym_return] = ACTIONS(2400),
    [anon_sym_break] = ACTIONS(2400),
    [anon_sym_continue] = ACTIONS(2400),
    [anon_sym_goto] = ACTIONS(2400),
    [anon_sym___try] = ACTIONS(2400),
    [anon_sym___leave] = ACTIONS(2400),
    [anon_sym_not] = ACTIONS(2400),
    [anon_sym_compl] = ACTIONS(2400),
    [anon_sym_DASH_DASH] = ACTIONS(2402),
    [anon_sym_PLUS_PLUS] = ACTIONS(2402),
    [anon_sym_sizeof] = ACTIONS(2400),
    [anon_sym___alignof__] = ACTIONS(2400),
    [anon_sym___alignof] = ACTIONS(2400),
    [anon_sym__alignof] = ACTIONS(2400),
    [anon_sym_alignof] = ACTIONS(2400),
    [anon_sym__Alignof] = ACTIONS(2400),
    [anon_sym_offsetof] = ACTIONS(2400),
    [anon_sym__Generic] = ACTIONS(2400),
    [anon_sym_asm] = ACTIONS(2400),
    [anon_sym___asm__] = ACTIONS(2400),
    [sym_number_literal] = ACTIONS(2402),
    [anon_sym_L_SQUOTE] = ACTIONS(2402),
    [anon_sym_u_SQUOTE] = ACTIONS(2402),
    [anon_sym_U_SQUOTE] = ACTIONS(2402),
    [anon_sym_u8_SQUOTE] = ACTIONS(2402),
    [anon_sym_SQUOTE] = ACTIONS(2402),
    [anon_sym_L_DQUOTE] = ACTIONS(2402),
    [anon_sym_u_DQUOTE] = ACTIONS(2402),
    [anon_sym_U_DQUOTE] = ACTIONS(2402),
    [anon_sym_u8_DQUOTE] = ACTIONS(2402),
    [anon_sym_DQUOTE] = ACTIONS(2402),
    [sym_true] = ACTIONS(2400),
    [sym_false] = ACTIONS(2400),
    [anon_sym_NULL] = ACTIONS(2400),
    [anon_sym_nullptr] = ACTIONS(2400),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2400),
    [anon_sym_decltype] = ACTIONS(2400),
    [anon_sym_virtual] = ACTIONS(2400),
    [anon_sym_alignas] = ACTIONS(2400),
    [anon_sym_explicit] = ACTIONS(2400),
    [anon_sym_typename] = ACTIONS(2400),
    [anon_sym_template] = ACTIONS(2400),
    [anon_sym_operator] = ACTIONS(2400),
    [anon_sym_try] = ACTIONS(2400),
    [anon_sym_delete] = ACTIONS(2400),
    [anon_sym_throw] = ACTIONS(2400),
    [anon_sym_namespace] = ACTIONS(2400),
    [anon_sym_using] = ACTIONS(2400),
    [anon_sym_static_assert] = ACTIONS(2400),
    [anon_sym_concept] = ACTIONS(2400),
    [anon_sym_co_return] = ACTIONS(2400),
    [anon_sym_co_yield] = ACTIONS(2400),
    [anon_sym_R_DQUOTE] = ACTIONS(2402),
    [anon_sym_LR_DQUOTE] = ACTIONS(2402),
    [anon_sym_uR_DQUOTE] = ACTIONS(2402),
    [anon_sym_UR_DQUOTE] = ACTIONS(2402),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2402),
    [anon_sym_co_await] = ACTIONS(2400),
    [anon_sym_new] = ACTIONS(2400),
    [anon_sym_requires] = ACTIONS(2400),
    [sym_this] = ACTIONS(2400),
    [anon_sym_discard] = ACTIONS(2400),
    [anon_sym_precise] = ACTIONS(2400),
    [anon_sym_shared] = ACTIONS(2400),
    [anon_sym_groupshared] = ACTIONS(2400),
    [anon_sym_uniform] = ACTIONS(2400),
    [anon_sym_row_major] = ACTIONS(2400),
    [anon_sym_column_major] = ACTIONS(2400),
    [anon_sym_globallycoherent] = ACTIONS(2400),
    [anon_sym_centroid] = ACTIONS(2400),
    [anon_sym_noperspective] = ACTIONS(2400),
    [anon_sym_nointerpolation] = ACTIONS(2400),
    [anon_sym_sample] = ACTIONS(2400),
    [anon_sym_linear] = ACTIONS(2400),
    [anon_sym_snorm] = ACTIONS(2400),
    [anon_sym_unorm] = ACTIONS(2400),
    [anon_sym_point] = ACTIONS(2400),
    [anon_sym_line] = ACTIONS(2400),
    [anon_sym_triangleadj] = ACTIONS(2400),
    [anon_sym_lineadj] = ACTIONS(2400),
    [anon_sym_triangle] = ACTIONS(2400),
    [anon_sym_cbuffer] = ACTIONS(2400),
  },
  [723] = {
    [sym_identifier] = ACTIONS(2376),
    [aux_sym_preproc_include_token1] = ACTIONS(2376),
    [aux_sym_preproc_def_token1] = ACTIONS(2376),
    [aux_sym_preproc_if_token1] = ACTIONS(2376),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2376),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2376),
    [sym_preproc_directive] = ACTIONS(2376),
    [anon_sym_LPAREN2] = ACTIONS(2378),
    [anon_sym_BANG] = ACTIONS(2378),
    [anon_sym_TILDE] = ACTIONS(2378),
    [anon_sym_DASH] = ACTIONS(2376),
    [anon_sym_PLUS] = ACTIONS(2376),
    [anon_sym_STAR] = ACTIONS(2378),
    [anon_sym_AMP_AMP] = ACTIONS(2378),
    [anon_sym_AMP] = ACTIONS(2376),
    [anon_sym_SEMI] = ACTIONS(2378),
    [anon_sym___extension__] = ACTIONS(2376),
    [anon_sym_typedef] = ACTIONS(2376),
    [anon_sym_in] = ACTIONS(2376),
    [anon_sym_out] = ACTIONS(2376),
    [anon_sym_inout] = ACTIONS(2376),
    [anon_sym_extern] = ACTIONS(2376),
    [anon_sym___attribute__] = ACTIONS(2376),
    [anon_sym_COLON_COLON] = ACTIONS(2378),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2378),
    [anon_sym___declspec] = ACTIONS(2376),
    [anon_sym___based] = ACTIONS(2376),
    [anon_sym___cdecl] = ACTIONS(2376),
    [anon_sym___clrcall] = ACTIONS(2376),
    [anon_sym___stdcall] = ACTIONS(2376),
    [anon_sym___fastcall] = ACTIONS(2376),
    [anon_sym___thiscall] = ACTIONS(2376),
    [anon_sym___vectorcall] = ACTIONS(2376),
    [anon_sym_LBRACE] = ACTIONS(2378),
    [anon_sym_RBRACE] = ACTIONS(2378),
    [anon_sym_signed] = ACTIONS(2376),
    [anon_sym_unsigned] = ACTIONS(2376),
    [anon_sym_long] = ACTIONS(2376),
    [anon_sym_short] = ACTIONS(2376),
    [anon_sym_LBRACK] = ACTIONS(2376),
    [anon_sym_static] = ACTIONS(2376),
    [anon_sym_register] = ACTIONS(2376),
    [anon_sym_inline] = ACTIONS(2376),
    [anon_sym___inline] = ACTIONS(2376),
    [anon_sym___inline__] = ACTIONS(2376),
    [anon_sym___forceinline] = ACTIONS(2376),
    [anon_sym_thread_local] = ACTIONS(2376),
    [anon_sym___thread] = ACTIONS(2376),
    [anon_sym_const] = ACTIONS(2376),
    [anon_sym_constexpr] = ACTIONS(2376),
    [anon_sym_volatile] = ACTIONS(2376),
    [anon_sym_restrict] = ACTIONS(2376),
    [anon_sym___restrict__] = ACTIONS(2376),
    [anon_sym__Atomic] = ACTIONS(2376),
    [anon_sym__Noreturn] = ACTIONS(2376),
    [anon_sym_noreturn] = ACTIONS(2376),
    [anon_sym_mutable] = ACTIONS(2376),
    [anon_sym_constinit] = ACTIONS(2376),
    [anon_sym_consteval] = ACTIONS(2376),
    [sym_primitive_type] = ACTIONS(2376),
    [anon_sym_enum] = ACTIONS(2376),
    [anon_sym_class] = ACTIONS(2376),
    [anon_sym_struct] = ACTIONS(2376),
    [anon_sym_union] = ACTIONS(2376),
    [anon_sym_if] = ACTIONS(2376),
    [anon_sym_else] = ACTIONS(2376),
    [anon_sym_switch] = ACTIONS(2376),
    [anon_sym_case] = ACTIONS(2376),
    [anon_sym_default] = ACTIONS(2376),
    [anon_sym_while] = ACTIONS(2376),
    [anon_sym_do] = ACTIONS(2376),
    [anon_sym_for] = ACTIONS(2376),
    [anon_sym_return] = ACTIONS(2376),
    [anon_sym_break] = ACTIONS(2376),
    [anon_sym_continue] = ACTIONS(2376),
    [anon_sym_goto] = ACTIONS(2376),
    [anon_sym___try] = ACTIONS(2376),
    [anon_sym___leave] = ACTIONS(2376),
    [anon_sym_not] = ACTIONS(2376),
    [anon_sym_compl] = ACTIONS(2376),
    [anon_sym_DASH_DASH] = ACTIONS(2378),
    [anon_sym_PLUS_PLUS] = ACTIONS(2378),
    [anon_sym_sizeof] = ACTIONS(2376),
    [anon_sym___alignof__] = ACTIONS(2376),
    [anon_sym___alignof] = ACTIONS(2376),
    [anon_sym__alignof] = ACTIONS(2376),
    [anon_sym_alignof] = ACTIONS(2376),
    [anon_sym__Alignof] = ACTIONS(2376),
    [anon_sym_offsetof] = ACTIONS(2376),
    [anon_sym__Generic] = ACTIONS(2376),
    [anon_sym_asm] = ACTIONS(2376),
    [anon_sym___asm__] = ACTIONS(2376),
    [sym_number_literal] = ACTIONS(2378),
    [anon_sym_L_SQUOTE] = ACTIONS(2378),
    [anon_sym_u_SQUOTE] = ACTIONS(2378),
    [anon_sym_U_SQUOTE] = ACTIONS(2378),
    [anon_sym_u8_SQUOTE] = ACTIONS(2378),
    [anon_sym_SQUOTE] = ACTIONS(2378),
    [anon_sym_L_DQUOTE] = ACTIONS(2378),
    [anon_sym_u_DQUOTE] = ACTIONS(2378),
    [anon_sym_U_DQUOTE] = ACTIONS(2378),
    [anon_sym_u8_DQUOTE] = ACTIONS(2378),
    [anon_sym_DQUOTE] = ACTIONS(2378),
    [sym_true] = ACTIONS(2376),
    [sym_false] = ACTIONS(2376),
    [anon_sym_NULL] = ACTIONS(2376),
    [anon_sym_nullptr] = ACTIONS(2376),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2376),
    [anon_sym_decltype] = ACTIONS(2376),
    [anon_sym_virtual] = ACTIONS(2376),
    [anon_sym_alignas] = ACTIONS(2376),
    [anon_sym_explicit] = ACTIONS(2376),
    [anon_sym_typename] = ACTIONS(2376),
    [anon_sym_template] = ACTIONS(2376),
    [anon_sym_operator] = ACTIONS(2376),
    [anon_sym_try] = ACTIONS(2376),
    [anon_sym_delete] = ACTIONS(2376),
    [anon_sym_throw] = ACTIONS(2376),
    [anon_sym_namespace] = ACTIONS(2376),
    [anon_sym_using] = ACTIONS(2376),
    [anon_sym_static_assert] = ACTIONS(2376),
    [anon_sym_concept] = ACTIONS(2376),
    [anon_sym_co_return] = ACTIONS(2376),
    [anon_sym_co_yield] = ACTIONS(2376),
    [anon_sym_R_DQUOTE] = ACTIONS(2378),
    [anon_sym_LR_DQUOTE] = ACTIONS(2378),
    [anon_sym_uR_DQUOTE] = ACTIONS(2378),
    [anon_sym_UR_DQUOTE] = ACTIONS(2378),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2378),
    [anon_sym_co_await] = ACTIONS(2376),
    [anon_sym_new] = ACTIONS(2376),
    [anon_sym_requires] = ACTIONS(2376),
    [sym_this] = ACTIONS(2376),
    [anon_sym_discard] = ACTIONS(2376),
    [anon_sym_precise] = ACTIONS(2376),
    [anon_sym_shared] = ACTIONS(2376),
    [anon_sym_groupshared] = ACTIONS(2376),
    [anon_sym_uniform] = ACTIONS(2376),
    [anon_sym_row_major] = ACTIONS(2376),
    [anon_sym_column_major] = ACTIONS(2376),
    [anon_sym_globallycoherent] = ACTIONS(2376),
    [anon_sym_centroid] = ACTIONS(2376),
    [anon_sym_noperspective] = ACTIONS(2376),
    [anon_sym_nointerpolation] = ACTIONS(2376),
    [anon_sym_sample] = ACTIONS(2376),
    [anon_sym_linear] = ACTIONS(2376),
    [anon_sym_snorm] = ACTIONS(2376),
    [anon_sym_unorm] = ACTIONS(2376),
    [anon_sym_point] = ACTIONS(2376),
    [anon_sym_line] = ACTIONS(2376),
    [anon_sym_triangleadj] = ACTIONS(2376),
    [anon_sym_lineadj] = ACTIONS(2376),
    [anon_sym_triangle] = ACTIONS(2376),
    [anon_sym_cbuffer] = ACTIONS(2376),
  },
  [724] = {
    [sym_identifier] = ACTIONS(2444),
    [aux_sym_preproc_include_token1] = ACTIONS(2444),
    [aux_sym_preproc_def_token1] = ACTIONS(2444),
    [aux_sym_preproc_if_token1] = ACTIONS(2444),
    [aux_sym_preproc_if_token2] = ACTIONS(2444),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2444),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2444),
    [sym_preproc_directive] = ACTIONS(2444),
    [anon_sym_LPAREN2] = ACTIONS(2446),
    [anon_sym_BANG] = ACTIONS(2446),
    [anon_sym_TILDE] = ACTIONS(2446),
    [anon_sym_DASH] = ACTIONS(2444),
    [anon_sym_PLUS] = ACTIONS(2444),
    [anon_sym_STAR] = ACTIONS(2446),
    [anon_sym_AMP_AMP] = ACTIONS(2446),
    [anon_sym_AMP] = ACTIONS(2444),
    [anon_sym_SEMI] = ACTIONS(2446),
    [anon_sym___extension__] = ACTIONS(2444),
    [anon_sym_typedef] = ACTIONS(2444),
    [anon_sym_in] = ACTIONS(2444),
    [anon_sym_out] = ACTIONS(2444),
    [anon_sym_inout] = ACTIONS(2444),
    [anon_sym_extern] = ACTIONS(2444),
    [anon_sym___attribute__] = ACTIONS(2444),
    [anon_sym_COLON_COLON] = ACTIONS(2446),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2446),
    [anon_sym___declspec] = ACTIONS(2444),
    [anon_sym___based] = ACTIONS(2444),
    [anon_sym___cdecl] = ACTIONS(2444),
    [anon_sym___clrcall] = ACTIONS(2444),
    [anon_sym___stdcall] = ACTIONS(2444),
    [anon_sym___fastcall] = ACTIONS(2444),
    [anon_sym___thiscall] = ACTIONS(2444),
    [anon_sym___vectorcall] = ACTIONS(2444),
    [anon_sym_LBRACE] = ACTIONS(2446),
    [anon_sym_signed] = ACTIONS(2444),
    [anon_sym_unsigned] = ACTIONS(2444),
    [anon_sym_long] = ACTIONS(2444),
    [anon_sym_short] = ACTIONS(2444),
    [anon_sym_LBRACK] = ACTIONS(2444),
    [anon_sym_static] = ACTIONS(2444),
    [anon_sym_register] = ACTIONS(2444),
    [anon_sym_inline] = ACTIONS(2444),
    [anon_sym___inline] = ACTIONS(2444),
    [anon_sym___inline__] = ACTIONS(2444),
    [anon_sym___forceinline] = ACTIONS(2444),
    [anon_sym_thread_local] = ACTIONS(2444),
    [anon_sym___thread] = ACTIONS(2444),
    [anon_sym_const] = ACTIONS(2444),
    [anon_sym_constexpr] = ACTIONS(2444),
    [anon_sym_volatile] = ACTIONS(2444),
    [anon_sym_restrict] = ACTIONS(2444),
    [anon_sym___restrict__] = ACTIONS(2444),
    [anon_sym__Atomic] = ACTIONS(2444),
    [anon_sym__Noreturn] = ACTIONS(2444),
    [anon_sym_noreturn] = ACTIONS(2444),
    [anon_sym_mutable] = ACTIONS(2444),
    [anon_sym_constinit] = ACTIONS(2444),
    [anon_sym_consteval] = ACTIONS(2444),
    [sym_primitive_type] = ACTIONS(2444),
    [anon_sym_enum] = ACTIONS(2444),
    [anon_sym_class] = ACTIONS(2444),
    [anon_sym_struct] = ACTIONS(2444),
    [anon_sym_union] = ACTIONS(2444),
    [anon_sym_if] = ACTIONS(2444),
    [anon_sym_else] = ACTIONS(2444),
    [anon_sym_switch] = ACTIONS(2444),
    [anon_sym_case] = ACTIONS(2444),
    [anon_sym_default] = ACTIONS(2444),
    [anon_sym_while] = ACTIONS(2444),
    [anon_sym_do] = ACTIONS(2444),
    [anon_sym_for] = ACTIONS(2444),
    [anon_sym_return] = ACTIONS(2444),
    [anon_sym_break] = ACTIONS(2444),
    [anon_sym_continue] = ACTIONS(2444),
    [anon_sym_goto] = ACTIONS(2444),
    [anon_sym___try] = ACTIONS(2444),
    [anon_sym___leave] = ACTIONS(2444),
    [anon_sym_not] = ACTIONS(2444),
    [anon_sym_compl] = ACTIONS(2444),
    [anon_sym_DASH_DASH] = ACTIONS(2446),
    [anon_sym_PLUS_PLUS] = ACTIONS(2446),
    [anon_sym_sizeof] = ACTIONS(2444),
    [anon_sym___alignof__] = ACTIONS(2444),
    [anon_sym___alignof] = ACTIONS(2444),
    [anon_sym__alignof] = ACTIONS(2444),
    [anon_sym_alignof] = ACTIONS(2444),
    [anon_sym__Alignof] = ACTIONS(2444),
    [anon_sym_offsetof] = ACTIONS(2444),
    [anon_sym__Generic] = ACTIONS(2444),
    [anon_sym_asm] = ACTIONS(2444),
    [anon_sym___asm__] = ACTIONS(2444),
    [sym_number_literal] = ACTIONS(2446),
    [anon_sym_L_SQUOTE] = ACTIONS(2446),
    [anon_sym_u_SQUOTE] = ACTIONS(2446),
    [anon_sym_U_SQUOTE] = ACTIONS(2446),
    [anon_sym_u8_SQUOTE] = ACTIONS(2446),
    [anon_sym_SQUOTE] = ACTIONS(2446),
    [anon_sym_L_DQUOTE] = ACTIONS(2446),
    [anon_sym_u_DQUOTE] = ACTIONS(2446),
    [anon_sym_U_DQUOTE] = ACTIONS(2446),
    [anon_sym_u8_DQUOTE] = ACTIONS(2446),
    [anon_sym_DQUOTE] = ACTIONS(2446),
    [sym_true] = ACTIONS(2444),
    [sym_false] = ACTIONS(2444),
    [anon_sym_NULL] = ACTIONS(2444),
    [anon_sym_nullptr] = ACTIONS(2444),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2444),
    [anon_sym_decltype] = ACTIONS(2444),
    [anon_sym_virtual] = ACTIONS(2444),
    [anon_sym_alignas] = ACTIONS(2444),
    [anon_sym_explicit] = ACTIONS(2444),
    [anon_sym_typename] = ACTIONS(2444),
    [anon_sym_template] = ACTIONS(2444),
    [anon_sym_operator] = ACTIONS(2444),
    [anon_sym_try] = ACTIONS(2444),
    [anon_sym_delete] = ACTIONS(2444),
    [anon_sym_throw] = ACTIONS(2444),
    [anon_sym_namespace] = ACTIONS(2444),
    [anon_sym_using] = ACTIONS(2444),
    [anon_sym_static_assert] = ACTIONS(2444),
    [anon_sym_concept] = ACTIONS(2444),
    [anon_sym_co_return] = ACTIONS(2444),
    [anon_sym_co_yield] = ACTIONS(2444),
    [anon_sym_R_DQUOTE] = ACTIONS(2446),
    [anon_sym_LR_DQUOTE] = ACTIONS(2446),
    [anon_sym_uR_DQUOTE] = ACTIONS(2446),
    [anon_sym_UR_DQUOTE] = ACTIONS(2446),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2446),
    [anon_sym_co_await] = ACTIONS(2444),
    [anon_sym_new] = ACTIONS(2444),
    [anon_sym_requires] = ACTIONS(2444),
    [sym_this] = ACTIONS(2444),
    [anon_sym_discard] = ACTIONS(2444),
    [anon_sym_precise] = ACTIONS(2444),
    [anon_sym_shared] = ACTIONS(2444),
    [anon_sym_groupshared] = ACTIONS(2444),
    [anon_sym_uniform] = ACTIONS(2444),
    [anon_sym_row_major] = ACTIONS(2444),
    [anon_sym_column_major] = ACTIONS(2444),
    [anon_sym_globallycoherent] = ACTIONS(2444),
    [anon_sym_centroid] = ACTIONS(2444),
    [anon_sym_noperspective] = ACTIONS(2444),
    [anon_sym_nointerpolation] = ACTIONS(2444),
    [anon_sym_sample] = ACTIONS(2444),
    [anon_sym_linear] = ACTIONS(2444),
    [anon_sym_snorm] = ACTIONS(2444),
    [anon_sym_unorm] = ACTIONS(2444),
    [anon_sym_point] = ACTIONS(2444),
    [anon_sym_line] = ACTIONS(2444),
    [anon_sym_triangleadj] = ACTIONS(2444),
    [anon_sym_lineadj] = ACTIONS(2444),
    [anon_sym_triangle] = ACTIONS(2444),
    [anon_sym_cbuffer] = ACTIONS(2444),
  },
  [725] = {
    [sym_identifier] = ACTIONS(2444),
    [aux_sym_preproc_include_token1] = ACTIONS(2444),
    [aux_sym_preproc_def_token1] = ACTIONS(2444),
    [aux_sym_preproc_if_token1] = ACTIONS(2444),
    [aux_sym_preproc_if_token2] = ACTIONS(2444),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2444),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2444),
    [sym_preproc_directive] = ACTIONS(2444),
    [anon_sym_LPAREN2] = ACTIONS(2446),
    [anon_sym_BANG] = ACTIONS(2446),
    [anon_sym_TILDE] = ACTIONS(2446),
    [anon_sym_DASH] = ACTIONS(2444),
    [anon_sym_PLUS] = ACTIONS(2444),
    [anon_sym_STAR] = ACTIONS(2446),
    [anon_sym_AMP_AMP] = ACTIONS(2446),
    [anon_sym_AMP] = ACTIONS(2444),
    [anon_sym_SEMI] = ACTIONS(2446),
    [anon_sym___extension__] = ACTIONS(2444),
    [anon_sym_typedef] = ACTIONS(2444),
    [anon_sym_in] = ACTIONS(2444),
    [anon_sym_out] = ACTIONS(2444),
    [anon_sym_inout] = ACTIONS(2444),
    [anon_sym_extern] = ACTIONS(2444),
    [anon_sym___attribute__] = ACTIONS(2444),
    [anon_sym_COLON_COLON] = ACTIONS(2446),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2446),
    [anon_sym___declspec] = ACTIONS(2444),
    [anon_sym___based] = ACTIONS(2444),
    [anon_sym___cdecl] = ACTIONS(2444),
    [anon_sym___clrcall] = ACTIONS(2444),
    [anon_sym___stdcall] = ACTIONS(2444),
    [anon_sym___fastcall] = ACTIONS(2444),
    [anon_sym___thiscall] = ACTIONS(2444),
    [anon_sym___vectorcall] = ACTIONS(2444),
    [anon_sym_LBRACE] = ACTIONS(2446),
    [anon_sym_signed] = ACTIONS(2444),
    [anon_sym_unsigned] = ACTIONS(2444),
    [anon_sym_long] = ACTIONS(2444),
    [anon_sym_short] = ACTIONS(2444),
    [anon_sym_LBRACK] = ACTIONS(2444),
    [anon_sym_static] = ACTIONS(2444),
    [anon_sym_register] = ACTIONS(2444),
    [anon_sym_inline] = ACTIONS(2444),
    [anon_sym___inline] = ACTIONS(2444),
    [anon_sym___inline__] = ACTIONS(2444),
    [anon_sym___forceinline] = ACTIONS(2444),
    [anon_sym_thread_local] = ACTIONS(2444),
    [anon_sym___thread] = ACTIONS(2444),
    [anon_sym_const] = ACTIONS(2444),
    [anon_sym_constexpr] = ACTIONS(2444),
    [anon_sym_volatile] = ACTIONS(2444),
    [anon_sym_restrict] = ACTIONS(2444),
    [anon_sym___restrict__] = ACTIONS(2444),
    [anon_sym__Atomic] = ACTIONS(2444),
    [anon_sym__Noreturn] = ACTIONS(2444),
    [anon_sym_noreturn] = ACTIONS(2444),
    [anon_sym_mutable] = ACTIONS(2444),
    [anon_sym_constinit] = ACTIONS(2444),
    [anon_sym_consteval] = ACTIONS(2444),
    [sym_primitive_type] = ACTIONS(2444),
    [anon_sym_enum] = ACTIONS(2444),
    [anon_sym_class] = ACTIONS(2444),
    [anon_sym_struct] = ACTIONS(2444),
    [anon_sym_union] = ACTIONS(2444),
    [anon_sym_if] = ACTIONS(2444),
    [anon_sym_else] = ACTIONS(2444),
    [anon_sym_switch] = ACTIONS(2444),
    [anon_sym_case] = ACTIONS(2444),
    [anon_sym_default] = ACTIONS(2444),
    [anon_sym_while] = ACTIONS(2444),
    [anon_sym_do] = ACTIONS(2444),
    [anon_sym_for] = ACTIONS(2444),
    [anon_sym_return] = ACTIONS(2444),
    [anon_sym_break] = ACTIONS(2444),
    [anon_sym_continue] = ACTIONS(2444),
    [anon_sym_goto] = ACTIONS(2444),
    [anon_sym___try] = ACTIONS(2444),
    [anon_sym___leave] = ACTIONS(2444),
    [anon_sym_not] = ACTIONS(2444),
    [anon_sym_compl] = ACTIONS(2444),
    [anon_sym_DASH_DASH] = ACTIONS(2446),
    [anon_sym_PLUS_PLUS] = ACTIONS(2446),
    [anon_sym_sizeof] = ACTIONS(2444),
    [anon_sym___alignof__] = ACTIONS(2444),
    [anon_sym___alignof] = ACTIONS(2444),
    [anon_sym__alignof] = ACTIONS(2444),
    [anon_sym_alignof] = ACTIONS(2444),
    [anon_sym__Alignof] = ACTIONS(2444),
    [anon_sym_offsetof] = ACTIONS(2444),
    [anon_sym__Generic] = ACTIONS(2444),
    [anon_sym_asm] = ACTIONS(2444),
    [anon_sym___asm__] = ACTIONS(2444),
    [sym_number_literal] = ACTIONS(2446),
    [anon_sym_L_SQUOTE] = ACTIONS(2446),
    [anon_sym_u_SQUOTE] = ACTIONS(2446),
    [anon_sym_U_SQUOTE] = ACTIONS(2446),
    [anon_sym_u8_SQUOTE] = ACTIONS(2446),
    [anon_sym_SQUOTE] = ACTIONS(2446),
    [anon_sym_L_DQUOTE] = ACTIONS(2446),
    [anon_sym_u_DQUOTE] = ACTIONS(2446),
    [anon_sym_U_DQUOTE] = ACTIONS(2446),
    [anon_sym_u8_DQUOTE] = ACTIONS(2446),
    [anon_sym_DQUOTE] = ACTIONS(2446),
    [sym_true] = ACTIONS(2444),
    [sym_false] = ACTIONS(2444),
    [anon_sym_NULL] = ACTIONS(2444),
    [anon_sym_nullptr] = ACTIONS(2444),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2444),
    [anon_sym_decltype] = ACTIONS(2444),
    [anon_sym_virtual] = ACTIONS(2444),
    [anon_sym_alignas] = ACTIONS(2444),
    [anon_sym_explicit] = ACTIONS(2444),
    [anon_sym_typename] = ACTIONS(2444),
    [anon_sym_template] = ACTIONS(2444),
    [anon_sym_operator] = ACTIONS(2444),
    [anon_sym_try] = ACTIONS(2444),
    [anon_sym_delete] = ACTIONS(2444),
    [anon_sym_throw] = ACTIONS(2444),
    [anon_sym_namespace] = ACTIONS(2444),
    [anon_sym_using] = ACTIONS(2444),
    [anon_sym_static_assert] = ACTIONS(2444),
    [anon_sym_concept] = ACTIONS(2444),
    [anon_sym_co_return] = ACTIONS(2444),
    [anon_sym_co_yield] = ACTIONS(2444),
    [anon_sym_R_DQUOTE] = ACTIONS(2446),
    [anon_sym_LR_DQUOTE] = ACTIONS(2446),
    [anon_sym_uR_DQUOTE] = ACTIONS(2446),
    [anon_sym_UR_DQUOTE] = ACTIONS(2446),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2446),
    [anon_sym_co_await] = ACTIONS(2444),
    [anon_sym_new] = ACTIONS(2444),
    [anon_sym_requires] = ACTIONS(2444),
    [sym_this] = ACTIONS(2444),
    [anon_sym_discard] = ACTIONS(2444),
    [anon_sym_precise] = ACTIONS(2444),
    [anon_sym_shared] = ACTIONS(2444),
    [anon_sym_groupshared] = ACTIONS(2444),
    [anon_sym_uniform] = ACTIONS(2444),
    [anon_sym_row_major] = ACTIONS(2444),
    [anon_sym_column_major] = ACTIONS(2444),
    [anon_sym_globallycoherent] = ACTIONS(2444),
    [anon_sym_centroid] = ACTIONS(2444),
    [anon_sym_noperspective] = ACTIONS(2444),
    [anon_sym_nointerpolation] = ACTIONS(2444),
    [anon_sym_sample] = ACTIONS(2444),
    [anon_sym_linear] = ACTIONS(2444),
    [anon_sym_snorm] = ACTIONS(2444),
    [anon_sym_unorm] = ACTIONS(2444),
    [anon_sym_point] = ACTIONS(2444),
    [anon_sym_line] = ACTIONS(2444),
    [anon_sym_triangleadj] = ACTIONS(2444),
    [anon_sym_lineadj] = ACTIONS(2444),
    [anon_sym_triangle] = ACTIONS(2444),
    [anon_sym_cbuffer] = ACTIONS(2444),
  },
  [726] = {
    [sym_identifier] = ACTIONS(2444),
    [aux_sym_preproc_include_token1] = ACTIONS(2444),
    [aux_sym_preproc_def_token1] = ACTIONS(2444),
    [aux_sym_preproc_if_token1] = ACTIONS(2444),
    [aux_sym_preproc_if_token2] = ACTIONS(2444),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2444),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2444),
    [sym_preproc_directive] = ACTIONS(2444),
    [anon_sym_LPAREN2] = ACTIONS(2446),
    [anon_sym_BANG] = ACTIONS(2446),
    [anon_sym_TILDE] = ACTIONS(2446),
    [anon_sym_DASH] = ACTIONS(2444),
    [anon_sym_PLUS] = ACTIONS(2444),
    [anon_sym_STAR] = ACTIONS(2446),
    [anon_sym_AMP_AMP] = ACTIONS(2446),
    [anon_sym_AMP] = ACTIONS(2444),
    [anon_sym_SEMI] = ACTIONS(2446),
    [anon_sym___extension__] = ACTIONS(2444),
    [anon_sym_typedef] = ACTIONS(2444),
    [anon_sym_in] = ACTIONS(2444),
    [anon_sym_out] = ACTIONS(2444),
    [anon_sym_inout] = ACTIONS(2444),
    [anon_sym_extern] = ACTIONS(2444),
    [anon_sym___attribute__] = ACTIONS(2444),
    [anon_sym_COLON_COLON] = ACTIONS(2446),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2446),
    [anon_sym___declspec] = ACTIONS(2444),
    [anon_sym___based] = ACTIONS(2444),
    [anon_sym___cdecl] = ACTIONS(2444),
    [anon_sym___clrcall] = ACTIONS(2444),
    [anon_sym___stdcall] = ACTIONS(2444),
    [anon_sym___fastcall] = ACTIONS(2444),
    [anon_sym___thiscall] = ACTIONS(2444),
    [anon_sym___vectorcall] = ACTIONS(2444),
    [anon_sym_LBRACE] = ACTIONS(2446),
    [anon_sym_signed] = ACTIONS(2444),
    [anon_sym_unsigned] = ACTIONS(2444),
    [anon_sym_long] = ACTIONS(2444),
    [anon_sym_short] = ACTIONS(2444),
    [anon_sym_LBRACK] = ACTIONS(2444),
    [anon_sym_static] = ACTIONS(2444),
    [anon_sym_register] = ACTIONS(2444),
    [anon_sym_inline] = ACTIONS(2444),
    [anon_sym___inline] = ACTIONS(2444),
    [anon_sym___inline__] = ACTIONS(2444),
    [anon_sym___forceinline] = ACTIONS(2444),
    [anon_sym_thread_local] = ACTIONS(2444),
    [anon_sym___thread] = ACTIONS(2444),
    [anon_sym_const] = ACTIONS(2444),
    [anon_sym_constexpr] = ACTIONS(2444),
    [anon_sym_volatile] = ACTIONS(2444),
    [anon_sym_restrict] = ACTIONS(2444),
    [anon_sym___restrict__] = ACTIONS(2444),
    [anon_sym__Atomic] = ACTIONS(2444),
    [anon_sym__Noreturn] = ACTIONS(2444),
    [anon_sym_noreturn] = ACTIONS(2444),
    [anon_sym_mutable] = ACTIONS(2444),
    [anon_sym_constinit] = ACTIONS(2444),
    [anon_sym_consteval] = ACTIONS(2444),
    [sym_primitive_type] = ACTIONS(2444),
    [anon_sym_enum] = ACTIONS(2444),
    [anon_sym_class] = ACTIONS(2444),
    [anon_sym_struct] = ACTIONS(2444),
    [anon_sym_union] = ACTIONS(2444),
    [anon_sym_if] = ACTIONS(2444),
    [anon_sym_else] = ACTIONS(2444),
    [anon_sym_switch] = ACTIONS(2444),
    [anon_sym_case] = ACTIONS(2444),
    [anon_sym_default] = ACTIONS(2444),
    [anon_sym_while] = ACTIONS(2444),
    [anon_sym_do] = ACTIONS(2444),
    [anon_sym_for] = ACTIONS(2444),
    [anon_sym_return] = ACTIONS(2444),
    [anon_sym_break] = ACTIONS(2444),
    [anon_sym_continue] = ACTIONS(2444),
    [anon_sym_goto] = ACTIONS(2444),
    [anon_sym___try] = ACTIONS(2444),
    [anon_sym___leave] = ACTIONS(2444),
    [anon_sym_not] = ACTIONS(2444),
    [anon_sym_compl] = ACTIONS(2444),
    [anon_sym_DASH_DASH] = ACTIONS(2446),
    [anon_sym_PLUS_PLUS] = ACTIONS(2446),
    [anon_sym_sizeof] = ACTIONS(2444),
    [anon_sym___alignof__] = ACTIONS(2444),
    [anon_sym___alignof] = ACTIONS(2444),
    [anon_sym__alignof] = ACTIONS(2444),
    [anon_sym_alignof] = ACTIONS(2444),
    [anon_sym__Alignof] = ACTIONS(2444),
    [anon_sym_offsetof] = ACTIONS(2444),
    [anon_sym__Generic] = ACTIONS(2444),
    [anon_sym_asm] = ACTIONS(2444),
    [anon_sym___asm__] = ACTIONS(2444),
    [sym_number_literal] = ACTIONS(2446),
    [anon_sym_L_SQUOTE] = ACTIONS(2446),
    [anon_sym_u_SQUOTE] = ACTIONS(2446),
    [anon_sym_U_SQUOTE] = ACTIONS(2446),
    [anon_sym_u8_SQUOTE] = ACTIONS(2446),
    [anon_sym_SQUOTE] = ACTIONS(2446),
    [anon_sym_L_DQUOTE] = ACTIONS(2446),
    [anon_sym_u_DQUOTE] = ACTIONS(2446),
    [anon_sym_U_DQUOTE] = ACTIONS(2446),
    [anon_sym_u8_DQUOTE] = ACTIONS(2446),
    [anon_sym_DQUOTE] = ACTIONS(2446),
    [sym_true] = ACTIONS(2444),
    [sym_false] = ACTIONS(2444),
    [anon_sym_NULL] = ACTIONS(2444),
    [anon_sym_nullptr] = ACTIONS(2444),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2444),
    [anon_sym_decltype] = ACTIONS(2444),
    [anon_sym_virtual] = ACTIONS(2444),
    [anon_sym_alignas] = ACTIONS(2444),
    [anon_sym_explicit] = ACTIONS(2444),
    [anon_sym_typename] = ACTIONS(2444),
    [anon_sym_template] = ACTIONS(2444),
    [anon_sym_operator] = ACTIONS(2444),
    [anon_sym_try] = ACTIONS(2444),
    [anon_sym_delete] = ACTIONS(2444),
    [anon_sym_throw] = ACTIONS(2444),
    [anon_sym_namespace] = ACTIONS(2444),
    [anon_sym_using] = ACTIONS(2444),
    [anon_sym_static_assert] = ACTIONS(2444),
    [anon_sym_concept] = ACTIONS(2444),
    [anon_sym_co_return] = ACTIONS(2444),
    [anon_sym_co_yield] = ACTIONS(2444),
    [anon_sym_R_DQUOTE] = ACTIONS(2446),
    [anon_sym_LR_DQUOTE] = ACTIONS(2446),
    [anon_sym_uR_DQUOTE] = ACTIONS(2446),
    [anon_sym_UR_DQUOTE] = ACTIONS(2446),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2446),
    [anon_sym_co_await] = ACTIONS(2444),
    [anon_sym_new] = ACTIONS(2444),
    [anon_sym_requires] = ACTIONS(2444),
    [sym_this] = ACTIONS(2444),
    [anon_sym_discard] = ACTIONS(2444),
    [anon_sym_precise] = ACTIONS(2444),
    [anon_sym_shared] = ACTIONS(2444),
    [anon_sym_groupshared] = ACTIONS(2444),
    [anon_sym_uniform] = ACTIONS(2444),
    [anon_sym_row_major] = ACTIONS(2444),
    [anon_sym_column_major] = ACTIONS(2444),
    [anon_sym_globallycoherent] = ACTIONS(2444),
    [anon_sym_centroid] = ACTIONS(2444),
    [anon_sym_noperspective] = ACTIONS(2444),
    [anon_sym_nointerpolation] = ACTIONS(2444),
    [anon_sym_sample] = ACTIONS(2444),
    [anon_sym_linear] = ACTIONS(2444),
    [anon_sym_snorm] = ACTIONS(2444),
    [anon_sym_unorm] = ACTIONS(2444),
    [anon_sym_point] = ACTIONS(2444),
    [anon_sym_line] = ACTIONS(2444),
    [anon_sym_triangleadj] = ACTIONS(2444),
    [anon_sym_lineadj] = ACTIONS(2444),
    [anon_sym_triangle] = ACTIONS(2444),
    [anon_sym_cbuffer] = ACTIONS(2444),
  },
  [727] = {
    [sym_identifier] = ACTIONS(2428),
    [aux_sym_preproc_include_token1] = ACTIONS(2428),
    [aux_sym_preproc_def_token1] = ACTIONS(2428),
    [aux_sym_preproc_if_token1] = ACTIONS(2428),
    [aux_sym_preproc_if_token2] = ACTIONS(2428),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2428),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2428),
    [sym_preproc_directive] = ACTIONS(2428),
    [anon_sym_LPAREN2] = ACTIONS(2430),
    [anon_sym_BANG] = ACTIONS(2430),
    [anon_sym_TILDE] = ACTIONS(2430),
    [anon_sym_DASH] = ACTIONS(2428),
    [anon_sym_PLUS] = ACTIONS(2428),
    [anon_sym_STAR] = ACTIONS(2430),
    [anon_sym_AMP_AMP] = ACTIONS(2430),
    [anon_sym_AMP] = ACTIONS(2428),
    [anon_sym_SEMI] = ACTIONS(2430),
    [anon_sym___extension__] = ACTIONS(2428),
    [anon_sym_typedef] = ACTIONS(2428),
    [anon_sym_in] = ACTIONS(2428),
    [anon_sym_out] = ACTIONS(2428),
    [anon_sym_inout] = ACTIONS(2428),
    [anon_sym_extern] = ACTIONS(2428),
    [anon_sym___attribute__] = ACTIONS(2428),
    [anon_sym_COLON_COLON] = ACTIONS(2430),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2430),
    [anon_sym___declspec] = ACTIONS(2428),
    [anon_sym___based] = ACTIONS(2428),
    [anon_sym___cdecl] = ACTIONS(2428),
    [anon_sym___clrcall] = ACTIONS(2428),
    [anon_sym___stdcall] = ACTIONS(2428),
    [anon_sym___fastcall] = ACTIONS(2428),
    [anon_sym___thiscall] = ACTIONS(2428),
    [anon_sym___vectorcall] = ACTIONS(2428),
    [anon_sym_LBRACE] = ACTIONS(2430),
    [anon_sym_signed] = ACTIONS(2428),
    [anon_sym_unsigned] = ACTIONS(2428),
    [anon_sym_long] = ACTIONS(2428),
    [anon_sym_short] = ACTIONS(2428),
    [anon_sym_LBRACK] = ACTIONS(2428),
    [anon_sym_static] = ACTIONS(2428),
    [anon_sym_register] = ACTIONS(2428),
    [anon_sym_inline] = ACTIONS(2428),
    [anon_sym___inline] = ACTIONS(2428),
    [anon_sym___inline__] = ACTIONS(2428),
    [anon_sym___forceinline] = ACTIONS(2428),
    [anon_sym_thread_local] = ACTIONS(2428),
    [anon_sym___thread] = ACTIONS(2428),
    [anon_sym_const] = ACTIONS(2428),
    [anon_sym_constexpr] = ACTIONS(2428),
    [anon_sym_volatile] = ACTIONS(2428),
    [anon_sym_restrict] = ACTIONS(2428),
    [anon_sym___restrict__] = ACTIONS(2428),
    [anon_sym__Atomic] = ACTIONS(2428),
    [anon_sym__Noreturn] = ACTIONS(2428),
    [anon_sym_noreturn] = ACTIONS(2428),
    [anon_sym_mutable] = ACTIONS(2428),
    [anon_sym_constinit] = ACTIONS(2428),
    [anon_sym_consteval] = ACTIONS(2428),
    [sym_primitive_type] = ACTIONS(2428),
    [anon_sym_enum] = ACTIONS(2428),
    [anon_sym_class] = ACTIONS(2428),
    [anon_sym_struct] = ACTIONS(2428),
    [anon_sym_union] = ACTIONS(2428),
    [anon_sym_if] = ACTIONS(2428),
    [anon_sym_else] = ACTIONS(2428),
    [anon_sym_switch] = ACTIONS(2428),
    [anon_sym_case] = ACTIONS(2428),
    [anon_sym_default] = ACTIONS(2428),
    [anon_sym_while] = ACTIONS(2428),
    [anon_sym_do] = ACTIONS(2428),
    [anon_sym_for] = ACTIONS(2428),
    [anon_sym_return] = ACTIONS(2428),
    [anon_sym_break] = ACTIONS(2428),
    [anon_sym_continue] = ACTIONS(2428),
    [anon_sym_goto] = ACTIONS(2428),
    [anon_sym___try] = ACTIONS(2428),
    [anon_sym___leave] = ACTIONS(2428),
    [anon_sym_not] = ACTIONS(2428),
    [anon_sym_compl] = ACTIONS(2428),
    [anon_sym_DASH_DASH] = ACTIONS(2430),
    [anon_sym_PLUS_PLUS] = ACTIONS(2430),
    [anon_sym_sizeof] = ACTIONS(2428),
    [anon_sym___alignof__] = ACTIONS(2428),
    [anon_sym___alignof] = ACTIONS(2428),
    [anon_sym__alignof] = ACTIONS(2428),
    [anon_sym_alignof] = ACTIONS(2428),
    [anon_sym__Alignof] = ACTIONS(2428),
    [anon_sym_offsetof] = ACTIONS(2428),
    [anon_sym__Generic] = ACTIONS(2428),
    [anon_sym_asm] = ACTIONS(2428),
    [anon_sym___asm__] = ACTIONS(2428),
    [sym_number_literal] = ACTIONS(2430),
    [anon_sym_L_SQUOTE] = ACTIONS(2430),
    [anon_sym_u_SQUOTE] = ACTIONS(2430),
    [anon_sym_U_SQUOTE] = ACTIONS(2430),
    [anon_sym_u8_SQUOTE] = ACTIONS(2430),
    [anon_sym_SQUOTE] = ACTIONS(2430),
    [anon_sym_L_DQUOTE] = ACTIONS(2430),
    [anon_sym_u_DQUOTE] = ACTIONS(2430),
    [anon_sym_U_DQUOTE] = ACTIONS(2430),
    [anon_sym_u8_DQUOTE] = ACTIONS(2430),
    [anon_sym_DQUOTE] = ACTIONS(2430),
    [sym_true] = ACTIONS(2428),
    [sym_false] = ACTIONS(2428),
    [anon_sym_NULL] = ACTIONS(2428),
    [anon_sym_nullptr] = ACTIONS(2428),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2428),
    [anon_sym_decltype] = ACTIONS(2428),
    [anon_sym_virtual] = ACTIONS(2428),
    [anon_sym_alignas] = ACTIONS(2428),
    [anon_sym_explicit] = ACTIONS(2428),
    [anon_sym_typename] = ACTIONS(2428),
    [anon_sym_template] = ACTIONS(2428),
    [anon_sym_operator] = ACTIONS(2428),
    [anon_sym_try] = ACTIONS(2428),
    [anon_sym_delete] = ACTIONS(2428),
    [anon_sym_throw] = ACTIONS(2428),
    [anon_sym_namespace] = ACTIONS(2428),
    [anon_sym_using] = ACTIONS(2428),
    [anon_sym_static_assert] = ACTIONS(2428),
    [anon_sym_concept] = ACTIONS(2428),
    [anon_sym_co_return] = ACTIONS(2428),
    [anon_sym_co_yield] = ACTIONS(2428),
    [anon_sym_R_DQUOTE] = ACTIONS(2430),
    [anon_sym_LR_DQUOTE] = ACTIONS(2430),
    [anon_sym_uR_DQUOTE] = ACTIONS(2430),
    [anon_sym_UR_DQUOTE] = ACTIONS(2430),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2430),
    [anon_sym_co_await] = ACTIONS(2428),
    [anon_sym_new] = ACTIONS(2428),
    [anon_sym_requires] = ACTIONS(2428),
    [sym_this] = ACTIONS(2428),
    [anon_sym_discard] = ACTIONS(2428),
    [anon_sym_precise] = ACTIONS(2428),
    [anon_sym_shared] = ACTIONS(2428),
    [anon_sym_groupshared] = ACTIONS(2428),
    [anon_sym_uniform] = ACTIONS(2428),
    [anon_sym_row_major] = ACTIONS(2428),
    [anon_sym_column_major] = ACTIONS(2428),
    [anon_sym_globallycoherent] = ACTIONS(2428),
    [anon_sym_centroid] = ACTIONS(2428),
    [anon_sym_noperspective] = ACTIONS(2428),
    [anon_sym_nointerpolation] = ACTIONS(2428),
    [anon_sym_sample] = ACTIONS(2428),
    [anon_sym_linear] = ACTIONS(2428),
    [anon_sym_snorm] = ACTIONS(2428),
    [anon_sym_unorm] = ACTIONS(2428),
    [anon_sym_point] = ACTIONS(2428),
    [anon_sym_line] = ACTIONS(2428),
    [anon_sym_triangleadj] = ACTIONS(2428),
    [anon_sym_lineadj] = ACTIONS(2428),
    [anon_sym_triangle] = ACTIONS(2428),
    [anon_sym_cbuffer] = ACTIONS(2428),
  },
  [728] = {
    [sym_identifier] = ACTIONS(2424),
    [aux_sym_preproc_include_token1] = ACTIONS(2424),
    [aux_sym_preproc_def_token1] = ACTIONS(2424),
    [aux_sym_preproc_if_token1] = ACTIONS(2424),
    [aux_sym_preproc_if_token2] = ACTIONS(2424),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2424),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2424),
    [sym_preproc_directive] = ACTIONS(2424),
    [anon_sym_LPAREN2] = ACTIONS(2426),
    [anon_sym_BANG] = ACTIONS(2426),
    [anon_sym_TILDE] = ACTIONS(2426),
    [anon_sym_DASH] = ACTIONS(2424),
    [anon_sym_PLUS] = ACTIONS(2424),
    [anon_sym_STAR] = ACTIONS(2426),
    [anon_sym_AMP_AMP] = ACTIONS(2426),
    [anon_sym_AMP] = ACTIONS(2424),
    [anon_sym_SEMI] = ACTIONS(2426),
    [anon_sym___extension__] = ACTIONS(2424),
    [anon_sym_typedef] = ACTIONS(2424),
    [anon_sym_in] = ACTIONS(2424),
    [anon_sym_out] = ACTIONS(2424),
    [anon_sym_inout] = ACTIONS(2424),
    [anon_sym_extern] = ACTIONS(2424),
    [anon_sym___attribute__] = ACTIONS(2424),
    [anon_sym_COLON_COLON] = ACTIONS(2426),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2426),
    [anon_sym___declspec] = ACTIONS(2424),
    [anon_sym___based] = ACTIONS(2424),
    [anon_sym___cdecl] = ACTIONS(2424),
    [anon_sym___clrcall] = ACTIONS(2424),
    [anon_sym___stdcall] = ACTIONS(2424),
    [anon_sym___fastcall] = ACTIONS(2424),
    [anon_sym___thiscall] = ACTIONS(2424),
    [anon_sym___vectorcall] = ACTIONS(2424),
    [anon_sym_LBRACE] = ACTIONS(2426),
    [anon_sym_signed] = ACTIONS(2424),
    [anon_sym_unsigned] = ACTIONS(2424),
    [anon_sym_long] = ACTIONS(2424),
    [anon_sym_short] = ACTIONS(2424),
    [anon_sym_LBRACK] = ACTIONS(2424),
    [anon_sym_static] = ACTIONS(2424),
    [anon_sym_register] = ACTIONS(2424),
    [anon_sym_inline] = ACTIONS(2424),
    [anon_sym___inline] = ACTIONS(2424),
    [anon_sym___inline__] = ACTIONS(2424),
    [anon_sym___forceinline] = ACTIONS(2424),
    [anon_sym_thread_local] = ACTIONS(2424),
    [anon_sym___thread] = ACTIONS(2424),
    [anon_sym_const] = ACTIONS(2424),
    [anon_sym_constexpr] = ACTIONS(2424),
    [anon_sym_volatile] = ACTIONS(2424),
    [anon_sym_restrict] = ACTIONS(2424),
    [anon_sym___restrict__] = ACTIONS(2424),
    [anon_sym__Atomic] = ACTIONS(2424),
    [anon_sym__Noreturn] = ACTIONS(2424),
    [anon_sym_noreturn] = ACTIONS(2424),
    [anon_sym_mutable] = ACTIONS(2424),
    [anon_sym_constinit] = ACTIONS(2424),
    [anon_sym_consteval] = ACTIONS(2424),
    [sym_primitive_type] = ACTIONS(2424),
    [anon_sym_enum] = ACTIONS(2424),
    [anon_sym_class] = ACTIONS(2424),
    [anon_sym_struct] = ACTIONS(2424),
    [anon_sym_union] = ACTIONS(2424),
    [anon_sym_if] = ACTIONS(2424),
    [anon_sym_else] = ACTIONS(2424),
    [anon_sym_switch] = ACTIONS(2424),
    [anon_sym_case] = ACTIONS(2424),
    [anon_sym_default] = ACTIONS(2424),
    [anon_sym_while] = ACTIONS(2424),
    [anon_sym_do] = ACTIONS(2424),
    [anon_sym_for] = ACTIONS(2424),
    [anon_sym_return] = ACTIONS(2424),
    [anon_sym_break] = ACTIONS(2424),
    [anon_sym_continue] = ACTIONS(2424),
    [anon_sym_goto] = ACTIONS(2424),
    [anon_sym___try] = ACTIONS(2424),
    [anon_sym___leave] = ACTIONS(2424),
    [anon_sym_not] = ACTIONS(2424),
    [anon_sym_compl] = ACTIONS(2424),
    [anon_sym_DASH_DASH] = ACTIONS(2426),
    [anon_sym_PLUS_PLUS] = ACTIONS(2426),
    [anon_sym_sizeof] = ACTIONS(2424),
    [anon_sym___alignof__] = ACTIONS(2424),
    [anon_sym___alignof] = ACTIONS(2424),
    [anon_sym__alignof] = ACTIONS(2424),
    [anon_sym_alignof] = ACTIONS(2424),
    [anon_sym__Alignof] = ACTIONS(2424),
    [anon_sym_offsetof] = ACTIONS(2424),
    [anon_sym__Generic] = ACTIONS(2424),
    [anon_sym_asm] = ACTIONS(2424),
    [anon_sym___asm__] = ACTIONS(2424),
    [sym_number_literal] = ACTIONS(2426),
    [anon_sym_L_SQUOTE] = ACTIONS(2426),
    [anon_sym_u_SQUOTE] = ACTIONS(2426),
    [anon_sym_U_SQUOTE] = ACTIONS(2426),
    [anon_sym_u8_SQUOTE] = ACTIONS(2426),
    [anon_sym_SQUOTE] = ACTIONS(2426),
    [anon_sym_L_DQUOTE] = ACTIONS(2426),
    [anon_sym_u_DQUOTE] = ACTIONS(2426),
    [anon_sym_U_DQUOTE] = ACTIONS(2426),
    [anon_sym_u8_DQUOTE] = ACTIONS(2426),
    [anon_sym_DQUOTE] = ACTIONS(2426),
    [sym_true] = ACTIONS(2424),
    [sym_false] = ACTIONS(2424),
    [anon_sym_NULL] = ACTIONS(2424),
    [anon_sym_nullptr] = ACTIONS(2424),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2424),
    [anon_sym_decltype] = ACTIONS(2424),
    [anon_sym_virtual] = ACTIONS(2424),
    [anon_sym_alignas] = ACTIONS(2424),
    [anon_sym_explicit] = ACTIONS(2424),
    [anon_sym_typename] = ACTIONS(2424),
    [anon_sym_template] = ACTIONS(2424),
    [anon_sym_operator] = ACTIONS(2424),
    [anon_sym_try] = ACTIONS(2424),
    [anon_sym_delete] = ACTIONS(2424),
    [anon_sym_throw] = ACTIONS(2424),
    [anon_sym_namespace] = ACTIONS(2424),
    [anon_sym_using] = ACTIONS(2424),
    [anon_sym_static_assert] = ACTIONS(2424),
    [anon_sym_concept] = ACTIONS(2424),
    [anon_sym_co_return] = ACTIONS(2424),
    [anon_sym_co_yield] = ACTIONS(2424),
    [anon_sym_R_DQUOTE] = ACTIONS(2426),
    [anon_sym_LR_DQUOTE] = ACTIONS(2426),
    [anon_sym_uR_DQUOTE] = ACTIONS(2426),
    [anon_sym_UR_DQUOTE] = ACTIONS(2426),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2426),
    [anon_sym_co_await] = ACTIONS(2424),
    [anon_sym_new] = ACTIONS(2424),
    [anon_sym_requires] = ACTIONS(2424),
    [sym_this] = ACTIONS(2424),
    [anon_sym_discard] = ACTIONS(2424),
    [anon_sym_precise] = ACTIONS(2424),
    [anon_sym_shared] = ACTIONS(2424),
    [anon_sym_groupshared] = ACTIONS(2424),
    [anon_sym_uniform] = ACTIONS(2424),
    [anon_sym_row_major] = ACTIONS(2424),
    [anon_sym_column_major] = ACTIONS(2424),
    [anon_sym_globallycoherent] = ACTIONS(2424),
    [anon_sym_centroid] = ACTIONS(2424),
    [anon_sym_noperspective] = ACTIONS(2424),
    [anon_sym_nointerpolation] = ACTIONS(2424),
    [anon_sym_sample] = ACTIONS(2424),
    [anon_sym_linear] = ACTIONS(2424),
    [anon_sym_snorm] = ACTIONS(2424),
    [anon_sym_unorm] = ACTIONS(2424),
    [anon_sym_point] = ACTIONS(2424),
    [anon_sym_line] = ACTIONS(2424),
    [anon_sym_triangleadj] = ACTIONS(2424),
    [anon_sym_lineadj] = ACTIONS(2424),
    [anon_sym_triangle] = ACTIONS(2424),
    [anon_sym_cbuffer] = ACTIONS(2424),
  },
  [729] = {
    [sym_identifier] = ACTIONS(2416),
    [aux_sym_preproc_include_token1] = ACTIONS(2416),
    [aux_sym_preproc_def_token1] = ACTIONS(2416),
    [aux_sym_preproc_if_token1] = ACTIONS(2416),
    [aux_sym_preproc_if_token2] = ACTIONS(2416),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2416),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2416),
    [sym_preproc_directive] = ACTIONS(2416),
    [anon_sym_LPAREN2] = ACTIONS(2418),
    [anon_sym_BANG] = ACTIONS(2418),
    [anon_sym_TILDE] = ACTIONS(2418),
    [anon_sym_DASH] = ACTIONS(2416),
    [anon_sym_PLUS] = ACTIONS(2416),
    [anon_sym_STAR] = ACTIONS(2418),
    [anon_sym_AMP_AMP] = ACTIONS(2418),
    [anon_sym_AMP] = ACTIONS(2416),
    [anon_sym_SEMI] = ACTIONS(2418),
    [anon_sym___extension__] = ACTIONS(2416),
    [anon_sym_typedef] = ACTIONS(2416),
    [anon_sym_in] = ACTIONS(2416),
    [anon_sym_out] = ACTIONS(2416),
    [anon_sym_inout] = ACTIONS(2416),
    [anon_sym_extern] = ACTIONS(2416),
    [anon_sym___attribute__] = ACTIONS(2416),
    [anon_sym_COLON_COLON] = ACTIONS(2418),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2418),
    [anon_sym___declspec] = ACTIONS(2416),
    [anon_sym___based] = ACTIONS(2416),
    [anon_sym___cdecl] = ACTIONS(2416),
    [anon_sym___clrcall] = ACTIONS(2416),
    [anon_sym___stdcall] = ACTIONS(2416),
    [anon_sym___fastcall] = ACTIONS(2416),
    [anon_sym___thiscall] = ACTIONS(2416),
    [anon_sym___vectorcall] = ACTIONS(2416),
    [anon_sym_LBRACE] = ACTIONS(2418),
    [anon_sym_signed] = ACTIONS(2416),
    [anon_sym_unsigned] = ACTIONS(2416),
    [anon_sym_long] = ACTIONS(2416),
    [anon_sym_short] = ACTIONS(2416),
    [anon_sym_LBRACK] = ACTIONS(2416),
    [anon_sym_static] = ACTIONS(2416),
    [anon_sym_register] = ACTIONS(2416),
    [anon_sym_inline] = ACTIONS(2416),
    [anon_sym___inline] = ACTIONS(2416),
    [anon_sym___inline__] = ACTIONS(2416),
    [anon_sym___forceinline] = ACTIONS(2416),
    [anon_sym_thread_local] = ACTIONS(2416),
    [anon_sym___thread] = ACTIONS(2416),
    [anon_sym_const] = ACTIONS(2416),
    [anon_sym_constexpr] = ACTIONS(2416),
    [anon_sym_volatile] = ACTIONS(2416),
    [anon_sym_restrict] = ACTIONS(2416),
    [anon_sym___restrict__] = ACTIONS(2416),
    [anon_sym__Atomic] = ACTIONS(2416),
    [anon_sym__Noreturn] = ACTIONS(2416),
    [anon_sym_noreturn] = ACTIONS(2416),
    [anon_sym_mutable] = ACTIONS(2416),
    [anon_sym_constinit] = ACTIONS(2416),
    [anon_sym_consteval] = ACTIONS(2416),
    [sym_primitive_type] = ACTIONS(2416),
    [anon_sym_enum] = ACTIONS(2416),
    [anon_sym_class] = ACTIONS(2416),
    [anon_sym_struct] = ACTIONS(2416),
    [anon_sym_union] = ACTIONS(2416),
    [anon_sym_if] = ACTIONS(2416),
    [anon_sym_else] = ACTIONS(2416),
    [anon_sym_switch] = ACTIONS(2416),
    [anon_sym_case] = ACTIONS(2416),
    [anon_sym_default] = ACTIONS(2416),
    [anon_sym_while] = ACTIONS(2416),
    [anon_sym_do] = ACTIONS(2416),
    [anon_sym_for] = ACTIONS(2416),
    [anon_sym_return] = ACTIONS(2416),
    [anon_sym_break] = ACTIONS(2416),
    [anon_sym_continue] = ACTIONS(2416),
    [anon_sym_goto] = ACTIONS(2416),
    [anon_sym___try] = ACTIONS(2416),
    [anon_sym___leave] = ACTIONS(2416),
    [anon_sym_not] = ACTIONS(2416),
    [anon_sym_compl] = ACTIONS(2416),
    [anon_sym_DASH_DASH] = ACTIONS(2418),
    [anon_sym_PLUS_PLUS] = ACTIONS(2418),
    [anon_sym_sizeof] = ACTIONS(2416),
    [anon_sym___alignof__] = ACTIONS(2416),
    [anon_sym___alignof] = ACTIONS(2416),
    [anon_sym__alignof] = ACTIONS(2416),
    [anon_sym_alignof] = ACTIONS(2416),
    [anon_sym__Alignof] = ACTIONS(2416),
    [anon_sym_offsetof] = ACTIONS(2416),
    [anon_sym__Generic] = ACTIONS(2416),
    [anon_sym_asm] = ACTIONS(2416),
    [anon_sym___asm__] = ACTIONS(2416),
    [sym_number_literal] = ACTIONS(2418),
    [anon_sym_L_SQUOTE] = ACTIONS(2418),
    [anon_sym_u_SQUOTE] = ACTIONS(2418),
    [anon_sym_U_SQUOTE] = ACTIONS(2418),
    [anon_sym_u8_SQUOTE] = ACTIONS(2418),
    [anon_sym_SQUOTE] = ACTIONS(2418),
    [anon_sym_L_DQUOTE] = ACTIONS(2418),
    [anon_sym_u_DQUOTE] = ACTIONS(2418),
    [anon_sym_U_DQUOTE] = ACTIONS(2418),
    [anon_sym_u8_DQUOTE] = ACTIONS(2418),
    [anon_sym_DQUOTE] = ACTIONS(2418),
    [sym_true] = ACTIONS(2416),
    [sym_false] = ACTIONS(2416),
    [anon_sym_NULL] = ACTIONS(2416),
    [anon_sym_nullptr] = ACTIONS(2416),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2416),
    [anon_sym_decltype] = ACTIONS(2416),
    [anon_sym_virtual] = ACTIONS(2416),
    [anon_sym_alignas] = ACTIONS(2416),
    [anon_sym_explicit] = ACTIONS(2416),
    [anon_sym_typename] = ACTIONS(2416),
    [anon_sym_template] = ACTIONS(2416),
    [anon_sym_operator] = ACTIONS(2416),
    [anon_sym_try] = ACTIONS(2416),
    [anon_sym_delete] = ACTIONS(2416),
    [anon_sym_throw] = ACTIONS(2416),
    [anon_sym_namespace] = ACTIONS(2416),
    [anon_sym_using] = ACTIONS(2416),
    [anon_sym_static_assert] = ACTIONS(2416),
    [anon_sym_concept] = ACTIONS(2416),
    [anon_sym_co_return] = ACTIONS(2416),
    [anon_sym_co_yield] = ACTIONS(2416),
    [anon_sym_R_DQUOTE] = ACTIONS(2418),
    [anon_sym_LR_DQUOTE] = ACTIONS(2418),
    [anon_sym_uR_DQUOTE] = ACTIONS(2418),
    [anon_sym_UR_DQUOTE] = ACTIONS(2418),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2418),
    [anon_sym_co_await] = ACTIONS(2416),
    [anon_sym_new] = ACTIONS(2416),
    [anon_sym_requires] = ACTIONS(2416),
    [sym_this] = ACTIONS(2416),
    [anon_sym_discard] = ACTIONS(2416),
    [anon_sym_precise] = ACTIONS(2416),
    [anon_sym_shared] = ACTIONS(2416),
    [anon_sym_groupshared] = ACTIONS(2416),
    [anon_sym_uniform] = ACTIONS(2416),
    [anon_sym_row_major] = ACTIONS(2416),
    [anon_sym_column_major] = ACTIONS(2416),
    [anon_sym_globallycoherent] = ACTIONS(2416),
    [anon_sym_centroid] = ACTIONS(2416),
    [anon_sym_noperspective] = ACTIONS(2416),
    [anon_sym_nointerpolation] = ACTIONS(2416),
    [anon_sym_sample] = ACTIONS(2416),
    [anon_sym_linear] = ACTIONS(2416),
    [anon_sym_snorm] = ACTIONS(2416),
    [anon_sym_unorm] = ACTIONS(2416),
    [anon_sym_point] = ACTIONS(2416),
    [anon_sym_line] = ACTIONS(2416),
    [anon_sym_triangleadj] = ACTIONS(2416),
    [anon_sym_lineadj] = ACTIONS(2416),
    [anon_sym_triangle] = ACTIONS(2416),
    [anon_sym_cbuffer] = ACTIONS(2416),
  },
  [730] = {
    [sym_identifier] = ACTIONS(2372),
    [aux_sym_preproc_include_token1] = ACTIONS(2372),
    [aux_sym_preproc_def_token1] = ACTIONS(2372),
    [aux_sym_preproc_if_token1] = ACTIONS(2372),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2372),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2372),
    [sym_preproc_directive] = ACTIONS(2372),
    [anon_sym_LPAREN2] = ACTIONS(2374),
    [anon_sym_BANG] = ACTIONS(2374),
    [anon_sym_TILDE] = ACTIONS(2374),
    [anon_sym_DASH] = ACTIONS(2372),
    [anon_sym_PLUS] = ACTIONS(2372),
    [anon_sym_STAR] = ACTIONS(2374),
    [anon_sym_AMP_AMP] = ACTIONS(2374),
    [anon_sym_AMP] = ACTIONS(2372),
    [anon_sym_SEMI] = ACTIONS(2374),
    [anon_sym___extension__] = ACTIONS(2372),
    [anon_sym_typedef] = ACTIONS(2372),
    [anon_sym_in] = ACTIONS(2372),
    [anon_sym_out] = ACTIONS(2372),
    [anon_sym_inout] = ACTIONS(2372),
    [anon_sym_extern] = ACTIONS(2372),
    [anon_sym___attribute__] = ACTIONS(2372),
    [anon_sym_COLON_COLON] = ACTIONS(2374),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2374),
    [anon_sym___declspec] = ACTIONS(2372),
    [anon_sym___based] = ACTIONS(2372),
    [anon_sym___cdecl] = ACTIONS(2372),
    [anon_sym___clrcall] = ACTIONS(2372),
    [anon_sym___stdcall] = ACTIONS(2372),
    [anon_sym___fastcall] = ACTIONS(2372),
    [anon_sym___thiscall] = ACTIONS(2372),
    [anon_sym___vectorcall] = ACTIONS(2372),
    [anon_sym_LBRACE] = ACTIONS(2374),
    [anon_sym_RBRACE] = ACTIONS(2374),
    [anon_sym_signed] = ACTIONS(2372),
    [anon_sym_unsigned] = ACTIONS(2372),
    [anon_sym_long] = ACTIONS(2372),
    [anon_sym_short] = ACTIONS(2372),
    [anon_sym_LBRACK] = ACTIONS(2372),
    [anon_sym_static] = ACTIONS(2372),
    [anon_sym_register] = ACTIONS(2372),
    [anon_sym_inline] = ACTIONS(2372),
    [anon_sym___inline] = ACTIONS(2372),
    [anon_sym___inline__] = ACTIONS(2372),
    [anon_sym___forceinline] = ACTIONS(2372),
    [anon_sym_thread_local] = ACTIONS(2372),
    [anon_sym___thread] = ACTIONS(2372),
    [anon_sym_const] = ACTIONS(2372),
    [anon_sym_constexpr] = ACTIONS(2372),
    [anon_sym_volatile] = ACTIONS(2372),
    [anon_sym_restrict] = ACTIONS(2372),
    [anon_sym___restrict__] = ACTIONS(2372),
    [anon_sym__Atomic] = ACTIONS(2372),
    [anon_sym__Noreturn] = ACTIONS(2372),
    [anon_sym_noreturn] = ACTIONS(2372),
    [anon_sym_mutable] = ACTIONS(2372),
    [anon_sym_constinit] = ACTIONS(2372),
    [anon_sym_consteval] = ACTIONS(2372),
    [sym_primitive_type] = ACTIONS(2372),
    [anon_sym_enum] = ACTIONS(2372),
    [anon_sym_class] = ACTIONS(2372),
    [anon_sym_struct] = ACTIONS(2372),
    [anon_sym_union] = ACTIONS(2372),
    [anon_sym_if] = ACTIONS(2372),
    [anon_sym_else] = ACTIONS(2372),
    [anon_sym_switch] = ACTIONS(2372),
    [anon_sym_case] = ACTIONS(2372),
    [anon_sym_default] = ACTIONS(2372),
    [anon_sym_while] = ACTIONS(2372),
    [anon_sym_do] = ACTIONS(2372),
    [anon_sym_for] = ACTIONS(2372),
    [anon_sym_return] = ACTIONS(2372),
    [anon_sym_break] = ACTIONS(2372),
    [anon_sym_continue] = ACTIONS(2372),
    [anon_sym_goto] = ACTIONS(2372),
    [anon_sym___try] = ACTIONS(2372),
    [anon_sym___leave] = ACTIONS(2372),
    [anon_sym_not] = ACTIONS(2372),
    [anon_sym_compl] = ACTIONS(2372),
    [anon_sym_DASH_DASH] = ACTIONS(2374),
    [anon_sym_PLUS_PLUS] = ACTIONS(2374),
    [anon_sym_sizeof] = ACTIONS(2372),
    [anon_sym___alignof__] = ACTIONS(2372),
    [anon_sym___alignof] = ACTIONS(2372),
    [anon_sym__alignof] = ACTIONS(2372),
    [anon_sym_alignof] = ACTIONS(2372),
    [anon_sym__Alignof] = ACTIONS(2372),
    [anon_sym_offsetof] = ACTIONS(2372),
    [anon_sym__Generic] = ACTIONS(2372),
    [anon_sym_asm] = ACTIONS(2372),
    [anon_sym___asm__] = ACTIONS(2372),
    [sym_number_literal] = ACTIONS(2374),
    [anon_sym_L_SQUOTE] = ACTIONS(2374),
    [anon_sym_u_SQUOTE] = ACTIONS(2374),
    [anon_sym_U_SQUOTE] = ACTIONS(2374),
    [anon_sym_u8_SQUOTE] = ACTIONS(2374),
    [anon_sym_SQUOTE] = ACTIONS(2374),
    [anon_sym_L_DQUOTE] = ACTIONS(2374),
    [anon_sym_u_DQUOTE] = ACTIONS(2374),
    [anon_sym_U_DQUOTE] = ACTIONS(2374),
    [anon_sym_u8_DQUOTE] = ACTIONS(2374),
    [anon_sym_DQUOTE] = ACTIONS(2374),
    [sym_true] = ACTIONS(2372),
    [sym_false] = ACTIONS(2372),
    [anon_sym_NULL] = ACTIONS(2372),
    [anon_sym_nullptr] = ACTIONS(2372),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2372),
    [anon_sym_decltype] = ACTIONS(2372),
    [anon_sym_virtual] = ACTIONS(2372),
    [anon_sym_alignas] = ACTIONS(2372),
    [anon_sym_explicit] = ACTIONS(2372),
    [anon_sym_typename] = ACTIONS(2372),
    [anon_sym_template] = ACTIONS(2372),
    [anon_sym_operator] = ACTIONS(2372),
    [anon_sym_try] = ACTIONS(2372),
    [anon_sym_delete] = ACTIONS(2372),
    [anon_sym_throw] = ACTIONS(2372),
    [anon_sym_namespace] = ACTIONS(2372),
    [anon_sym_using] = ACTIONS(2372),
    [anon_sym_static_assert] = ACTIONS(2372),
    [anon_sym_concept] = ACTIONS(2372),
    [anon_sym_co_return] = ACTIONS(2372),
    [anon_sym_co_yield] = ACTIONS(2372),
    [anon_sym_R_DQUOTE] = ACTIONS(2374),
    [anon_sym_LR_DQUOTE] = ACTIONS(2374),
    [anon_sym_uR_DQUOTE] = ACTIONS(2374),
    [anon_sym_UR_DQUOTE] = ACTIONS(2374),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2374),
    [anon_sym_co_await] = ACTIONS(2372),
    [anon_sym_new] = ACTIONS(2372),
    [anon_sym_requires] = ACTIONS(2372),
    [sym_this] = ACTIONS(2372),
    [anon_sym_discard] = ACTIONS(2372),
    [anon_sym_precise] = ACTIONS(2372),
    [anon_sym_shared] = ACTIONS(2372),
    [anon_sym_groupshared] = ACTIONS(2372),
    [anon_sym_uniform] = ACTIONS(2372),
    [anon_sym_row_major] = ACTIONS(2372),
    [anon_sym_column_major] = ACTIONS(2372),
    [anon_sym_globallycoherent] = ACTIONS(2372),
    [anon_sym_centroid] = ACTIONS(2372),
    [anon_sym_noperspective] = ACTIONS(2372),
    [anon_sym_nointerpolation] = ACTIONS(2372),
    [anon_sym_sample] = ACTIONS(2372),
    [anon_sym_linear] = ACTIONS(2372),
    [anon_sym_snorm] = ACTIONS(2372),
    [anon_sym_unorm] = ACTIONS(2372),
    [anon_sym_point] = ACTIONS(2372),
    [anon_sym_line] = ACTIONS(2372),
    [anon_sym_triangleadj] = ACTIONS(2372),
    [anon_sym_lineadj] = ACTIONS(2372),
    [anon_sym_triangle] = ACTIONS(2372),
    [anon_sym_cbuffer] = ACTIONS(2372),
  },
  [731] = {
    [ts_builtin_sym_end] = ACTIONS(2446),
    [sym_identifier] = ACTIONS(2444),
    [aux_sym_preproc_include_token1] = ACTIONS(2444),
    [aux_sym_preproc_def_token1] = ACTIONS(2444),
    [aux_sym_preproc_if_token1] = ACTIONS(2444),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2444),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2444),
    [sym_preproc_directive] = ACTIONS(2444),
    [anon_sym_LPAREN2] = ACTIONS(2446),
    [anon_sym_BANG] = ACTIONS(2446),
    [anon_sym_TILDE] = ACTIONS(2446),
    [anon_sym_DASH] = ACTIONS(2444),
    [anon_sym_PLUS] = ACTIONS(2444),
    [anon_sym_STAR] = ACTIONS(2446),
    [anon_sym_AMP_AMP] = ACTIONS(2446),
    [anon_sym_AMP] = ACTIONS(2444),
    [anon_sym_SEMI] = ACTIONS(2446),
    [anon_sym___extension__] = ACTIONS(2444),
    [anon_sym_typedef] = ACTIONS(2444),
    [anon_sym_in] = ACTIONS(2444),
    [anon_sym_out] = ACTIONS(2444),
    [anon_sym_inout] = ACTIONS(2444),
    [anon_sym_extern] = ACTIONS(2444),
    [anon_sym___attribute__] = ACTIONS(2444),
    [anon_sym_COLON_COLON] = ACTIONS(2446),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2446),
    [anon_sym___declspec] = ACTIONS(2444),
    [anon_sym___based] = ACTIONS(2444),
    [anon_sym___cdecl] = ACTIONS(2444),
    [anon_sym___clrcall] = ACTIONS(2444),
    [anon_sym___stdcall] = ACTIONS(2444),
    [anon_sym___fastcall] = ACTIONS(2444),
    [anon_sym___thiscall] = ACTIONS(2444),
    [anon_sym___vectorcall] = ACTIONS(2444),
    [anon_sym_LBRACE] = ACTIONS(2446),
    [anon_sym_signed] = ACTIONS(2444),
    [anon_sym_unsigned] = ACTIONS(2444),
    [anon_sym_long] = ACTIONS(2444),
    [anon_sym_short] = ACTIONS(2444),
    [anon_sym_LBRACK] = ACTIONS(2444),
    [anon_sym_static] = ACTIONS(2444),
    [anon_sym_register] = ACTIONS(2444),
    [anon_sym_inline] = ACTIONS(2444),
    [anon_sym___inline] = ACTIONS(2444),
    [anon_sym___inline__] = ACTIONS(2444),
    [anon_sym___forceinline] = ACTIONS(2444),
    [anon_sym_thread_local] = ACTIONS(2444),
    [anon_sym___thread] = ACTIONS(2444),
    [anon_sym_const] = ACTIONS(2444),
    [anon_sym_constexpr] = ACTIONS(2444),
    [anon_sym_volatile] = ACTIONS(2444),
    [anon_sym_restrict] = ACTIONS(2444),
    [anon_sym___restrict__] = ACTIONS(2444),
    [anon_sym__Atomic] = ACTIONS(2444),
    [anon_sym__Noreturn] = ACTIONS(2444),
    [anon_sym_noreturn] = ACTIONS(2444),
    [anon_sym_mutable] = ACTIONS(2444),
    [anon_sym_constinit] = ACTIONS(2444),
    [anon_sym_consteval] = ACTIONS(2444),
    [sym_primitive_type] = ACTIONS(2444),
    [anon_sym_enum] = ACTIONS(2444),
    [anon_sym_class] = ACTIONS(2444),
    [anon_sym_struct] = ACTIONS(2444),
    [anon_sym_union] = ACTIONS(2444),
    [anon_sym_if] = ACTIONS(2444),
    [anon_sym_else] = ACTIONS(2444),
    [anon_sym_switch] = ACTIONS(2444),
    [anon_sym_case] = ACTIONS(2444),
    [anon_sym_default] = ACTIONS(2444),
    [anon_sym_while] = ACTIONS(2444),
    [anon_sym_do] = ACTIONS(2444),
    [anon_sym_for] = ACTIONS(2444),
    [anon_sym_return] = ACTIONS(2444),
    [anon_sym_break] = ACTIONS(2444),
    [anon_sym_continue] = ACTIONS(2444),
    [anon_sym_goto] = ACTIONS(2444),
    [anon_sym___try] = ACTIONS(2444),
    [anon_sym___leave] = ACTIONS(2444),
    [anon_sym_not] = ACTIONS(2444),
    [anon_sym_compl] = ACTIONS(2444),
    [anon_sym_DASH_DASH] = ACTIONS(2446),
    [anon_sym_PLUS_PLUS] = ACTIONS(2446),
    [anon_sym_sizeof] = ACTIONS(2444),
    [anon_sym___alignof__] = ACTIONS(2444),
    [anon_sym___alignof] = ACTIONS(2444),
    [anon_sym__alignof] = ACTIONS(2444),
    [anon_sym_alignof] = ACTIONS(2444),
    [anon_sym__Alignof] = ACTIONS(2444),
    [anon_sym_offsetof] = ACTIONS(2444),
    [anon_sym__Generic] = ACTIONS(2444),
    [anon_sym_asm] = ACTIONS(2444),
    [anon_sym___asm__] = ACTIONS(2444),
    [sym_number_literal] = ACTIONS(2446),
    [anon_sym_L_SQUOTE] = ACTIONS(2446),
    [anon_sym_u_SQUOTE] = ACTIONS(2446),
    [anon_sym_U_SQUOTE] = ACTIONS(2446),
    [anon_sym_u8_SQUOTE] = ACTIONS(2446),
    [anon_sym_SQUOTE] = ACTIONS(2446),
    [anon_sym_L_DQUOTE] = ACTIONS(2446),
    [anon_sym_u_DQUOTE] = ACTIONS(2446),
    [anon_sym_U_DQUOTE] = ACTIONS(2446),
    [anon_sym_u8_DQUOTE] = ACTIONS(2446),
    [anon_sym_DQUOTE] = ACTIONS(2446),
    [sym_true] = ACTIONS(2444),
    [sym_false] = ACTIONS(2444),
    [anon_sym_NULL] = ACTIONS(2444),
    [anon_sym_nullptr] = ACTIONS(2444),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2444),
    [anon_sym_decltype] = ACTIONS(2444),
    [anon_sym_virtual] = ACTIONS(2444),
    [anon_sym_alignas] = ACTIONS(2444),
    [anon_sym_explicit] = ACTIONS(2444),
    [anon_sym_typename] = ACTIONS(2444),
    [anon_sym_template] = ACTIONS(2444),
    [anon_sym_operator] = ACTIONS(2444),
    [anon_sym_try] = ACTIONS(2444),
    [anon_sym_delete] = ACTIONS(2444),
    [anon_sym_throw] = ACTIONS(2444),
    [anon_sym_namespace] = ACTIONS(2444),
    [anon_sym_using] = ACTIONS(2444),
    [anon_sym_static_assert] = ACTIONS(2444),
    [anon_sym_concept] = ACTIONS(2444),
    [anon_sym_co_return] = ACTIONS(2444),
    [anon_sym_co_yield] = ACTIONS(2444),
    [anon_sym_R_DQUOTE] = ACTIONS(2446),
    [anon_sym_LR_DQUOTE] = ACTIONS(2446),
    [anon_sym_uR_DQUOTE] = ACTIONS(2446),
    [anon_sym_UR_DQUOTE] = ACTIONS(2446),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2446),
    [anon_sym_co_await] = ACTIONS(2444),
    [anon_sym_new] = ACTIONS(2444),
    [anon_sym_requires] = ACTIONS(2444),
    [sym_this] = ACTIONS(2444),
    [anon_sym_discard] = ACTIONS(2444),
    [anon_sym_precise] = ACTIONS(2444),
    [anon_sym_shared] = ACTIONS(2444),
    [anon_sym_groupshared] = ACTIONS(2444),
    [anon_sym_uniform] = ACTIONS(2444),
    [anon_sym_row_major] = ACTIONS(2444),
    [anon_sym_column_major] = ACTIONS(2444),
    [anon_sym_globallycoherent] = ACTIONS(2444),
    [anon_sym_centroid] = ACTIONS(2444),
    [anon_sym_noperspective] = ACTIONS(2444),
    [anon_sym_nointerpolation] = ACTIONS(2444),
    [anon_sym_sample] = ACTIONS(2444),
    [anon_sym_linear] = ACTIONS(2444),
    [anon_sym_snorm] = ACTIONS(2444),
    [anon_sym_unorm] = ACTIONS(2444),
    [anon_sym_point] = ACTIONS(2444),
    [anon_sym_line] = ACTIONS(2444),
    [anon_sym_triangleadj] = ACTIONS(2444),
    [anon_sym_lineadj] = ACTIONS(2444),
    [anon_sym_triangle] = ACTIONS(2444),
    [anon_sym_cbuffer] = ACTIONS(2444),
  },
  [732] = {
    [sym_identifier] = ACTIONS(2444),
    [aux_sym_preproc_include_token1] = ACTIONS(2444),
    [aux_sym_preproc_def_token1] = ACTIONS(2444),
    [aux_sym_preproc_if_token1] = ACTIONS(2444),
    [aux_sym_preproc_if_token2] = ACTIONS(2444),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2444),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2444),
    [sym_preproc_directive] = ACTIONS(2444),
    [anon_sym_LPAREN2] = ACTIONS(2446),
    [anon_sym_BANG] = ACTIONS(2446),
    [anon_sym_TILDE] = ACTIONS(2446),
    [anon_sym_DASH] = ACTIONS(2444),
    [anon_sym_PLUS] = ACTIONS(2444),
    [anon_sym_STAR] = ACTIONS(2446),
    [anon_sym_AMP_AMP] = ACTIONS(2446),
    [anon_sym_AMP] = ACTIONS(2444),
    [anon_sym_SEMI] = ACTIONS(2446),
    [anon_sym___extension__] = ACTIONS(2444),
    [anon_sym_typedef] = ACTIONS(2444),
    [anon_sym_in] = ACTIONS(2444),
    [anon_sym_out] = ACTIONS(2444),
    [anon_sym_inout] = ACTIONS(2444),
    [anon_sym_extern] = ACTIONS(2444),
    [anon_sym___attribute__] = ACTIONS(2444),
    [anon_sym_COLON_COLON] = ACTIONS(2446),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2446),
    [anon_sym___declspec] = ACTIONS(2444),
    [anon_sym___based] = ACTIONS(2444),
    [anon_sym___cdecl] = ACTIONS(2444),
    [anon_sym___clrcall] = ACTIONS(2444),
    [anon_sym___stdcall] = ACTIONS(2444),
    [anon_sym___fastcall] = ACTIONS(2444),
    [anon_sym___thiscall] = ACTIONS(2444),
    [anon_sym___vectorcall] = ACTIONS(2444),
    [anon_sym_LBRACE] = ACTIONS(2446),
    [anon_sym_signed] = ACTIONS(2444),
    [anon_sym_unsigned] = ACTIONS(2444),
    [anon_sym_long] = ACTIONS(2444),
    [anon_sym_short] = ACTIONS(2444),
    [anon_sym_LBRACK] = ACTIONS(2444),
    [anon_sym_static] = ACTIONS(2444),
    [anon_sym_register] = ACTIONS(2444),
    [anon_sym_inline] = ACTIONS(2444),
    [anon_sym___inline] = ACTIONS(2444),
    [anon_sym___inline__] = ACTIONS(2444),
    [anon_sym___forceinline] = ACTIONS(2444),
    [anon_sym_thread_local] = ACTIONS(2444),
    [anon_sym___thread] = ACTIONS(2444),
    [anon_sym_const] = ACTIONS(2444),
    [anon_sym_constexpr] = ACTIONS(2444),
    [anon_sym_volatile] = ACTIONS(2444),
    [anon_sym_restrict] = ACTIONS(2444),
    [anon_sym___restrict__] = ACTIONS(2444),
    [anon_sym__Atomic] = ACTIONS(2444),
    [anon_sym__Noreturn] = ACTIONS(2444),
    [anon_sym_noreturn] = ACTIONS(2444),
    [anon_sym_mutable] = ACTIONS(2444),
    [anon_sym_constinit] = ACTIONS(2444),
    [anon_sym_consteval] = ACTIONS(2444),
    [sym_primitive_type] = ACTIONS(2444),
    [anon_sym_enum] = ACTIONS(2444),
    [anon_sym_class] = ACTIONS(2444),
    [anon_sym_struct] = ACTIONS(2444),
    [anon_sym_union] = ACTIONS(2444),
    [anon_sym_if] = ACTIONS(2444),
    [anon_sym_else] = ACTIONS(2444),
    [anon_sym_switch] = ACTIONS(2444),
    [anon_sym_case] = ACTIONS(2444),
    [anon_sym_default] = ACTIONS(2444),
    [anon_sym_while] = ACTIONS(2444),
    [anon_sym_do] = ACTIONS(2444),
    [anon_sym_for] = ACTIONS(2444),
    [anon_sym_return] = ACTIONS(2444),
    [anon_sym_break] = ACTIONS(2444),
    [anon_sym_continue] = ACTIONS(2444),
    [anon_sym_goto] = ACTIONS(2444),
    [anon_sym___try] = ACTIONS(2444),
    [anon_sym___leave] = ACTIONS(2444),
    [anon_sym_not] = ACTIONS(2444),
    [anon_sym_compl] = ACTIONS(2444),
    [anon_sym_DASH_DASH] = ACTIONS(2446),
    [anon_sym_PLUS_PLUS] = ACTIONS(2446),
    [anon_sym_sizeof] = ACTIONS(2444),
    [anon_sym___alignof__] = ACTIONS(2444),
    [anon_sym___alignof] = ACTIONS(2444),
    [anon_sym__alignof] = ACTIONS(2444),
    [anon_sym_alignof] = ACTIONS(2444),
    [anon_sym__Alignof] = ACTIONS(2444),
    [anon_sym_offsetof] = ACTIONS(2444),
    [anon_sym__Generic] = ACTIONS(2444),
    [anon_sym_asm] = ACTIONS(2444),
    [anon_sym___asm__] = ACTIONS(2444),
    [sym_number_literal] = ACTIONS(2446),
    [anon_sym_L_SQUOTE] = ACTIONS(2446),
    [anon_sym_u_SQUOTE] = ACTIONS(2446),
    [anon_sym_U_SQUOTE] = ACTIONS(2446),
    [anon_sym_u8_SQUOTE] = ACTIONS(2446),
    [anon_sym_SQUOTE] = ACTIONS(2446),
    [anon_sym_L_DQUOTE] = ACTIONS(2446),
    [anon_sym_u_DQUOTE] = ACTIONS(2446),
    [anon_sym_U_DQUOTE] = ACTIONS(2446),
    [anon_sym_u8_DQUOTE] = ACTIONS(2446),
    [anon_sym_DQUOTE] = ACTIONS(2446),
    [sym_true] = ACTIONS(2444),
    [sym_false] = ACTIONS(2444),
    [anon_sym_NULL] = ACTIONS(2444),
    [anon_sym_nullptr] = ACTIONS(2444),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2444),
    [anon_sym_decltype] = ACTIONS(2444),
    [anon_sym_virtual] = ACTIONS(2444),
    [anon_sym_alignas] = ACTIONS(2444),
    [anon_sym_explicit] = ACTIONS(2444),
    [anon_sym_typename] = ACTIONS(2444),
    [anon_sym_template] = ACTIONS(2444),
    [anon_sym_operator] = ACTIONS(2444),
    [anon_sym_try] = ACTIONS(2444),
    [anon_sym_delete] = ACTIONS(2444),
    [anon_sym_throw] = ACTIONS(2444),
    [anon_sym_namespace] = ACTIONS(2444),
    [anon_sym_using] = ACTIONS(2444),
    [anon_sym_static_assert] = ACTIONS(2444),
    [anon_sym_concept] = ACTIONS(2444),
    [anon_sym_co_return] = ACTIONS(2444),
    [anon_sym_co_yield] = ACTIONS(2444),
    [anon_sym_R_DQUOTE] = ACTIONS(2446),
    [anon_sym_LR_DQUOTE] = ACTIONS(2446),
    [anon_sym_uR_DQUOTE] = ACTIONS(2446),
    [anon_sym_UR_DQUOTE] = ACTIONS(2446),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2446),
    [anon_sym_co_await] = ACTIONS(2444),
    [anon_sym_new] = ACTIONS(2444),
    [anon_sym_requires] = ACTIONS(2444),
    [sym_this] = ACTIONS(2444),
    [anon_sym_discard] = ACTIONS(2444),
    [anon_sym_precise] = ACTIONS(2444),
    [anon_sym_shared] = ACTIONS(2444),
    [anon_sym_groupshared] = ACTIONS(2444),
    [anon_sym_uniform] = ACTIONS(2444),
    [anon_sym_row_major] = ACTIONS(2444),
    [anon_sym_column_major] = ACTIONS(2444),
    [anon_sym_globallycoherent] = ACTIONS(2444),
    [anon_sym_centroid] = ACTIONS(2444),
    [anon_sym_noperspective] = ACTIONS(2444),
    [anon_sym_nointerpolation] = ACTIONS(2444),
    [anon_sym_sample] = ACTIONS(2444),
    [anon_sym_linear] = ACTIONS(2444),
    [anon_sym_snorm] = ACTIONS(2444),
    [anon_sym_unorm] = ACTIONS(2444),
    [anon_sym_point] = ACTIONS(2444),
    [anon_sym_line] = ACTIONS(2444),
    [anon_sym_triangleadj] = ACTIONS(2444),
    [anon_sym_lineadj] = ACTIONS(2444),
    [anon_sym_triangle] = ACTIONS(2444),
    [anon_sym_cbuffer] = ACTIONS(2444),
  },
  [733] = {
    [sym_identifier] = ACTIONS(2444),
    [aux_sym_preproc_include_token1] = ACTIONS(2444),
    [aux_sym_preproc_def_token1] = ACTIONS(2444),
    [aux_sym_preproc_if_token1] = ACTIONS(2444),
    [aux_sym_preproc_if_token2] = ACTIONS(2444),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2444),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2444),
    [sym_preproc_directive] = ACTIONS(2444),
    [anon_sym_LPAREN2] = ACTIONS(2446),
    [anon_sym_BANG] = ACTIONS(2446),
    [anon_sym_TILDE] = ACTIONS(2446),
    [anon_sym_DASH] = ACTIONS(2444),
    [anon_sym_PLUS] = ACTIONS(2444),
    [anon_sym_STAR] = ACTIONS(2446),
    [anon_sym_AMP_AMP] = ACTIONS(2446),
    [anon_sym_AMP] = ACTIONS(2444),
    [anon_sym_SEMI] = ACTIONS(2446),
    [anon_sym___extension__] = ACTIONS(2444),
    [anon_sym_typedef] = ACTIONS(2444),
    [anon_sym_in] = ACTIONS(2444),
    [anon_sym_out] = ACTIONS(2444),
    [anon_sym_inout] = ACTIONS(2444),
    [anon_sym_extern] = ACTIONS(2444),
    [anon_sym___attribute__] = ACTIONS(2444),
    [anon_sym_COLON_COLON] = ACTIONS(2446),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2446),
    [anon_sym___declspec] = ACTIONS(2444),
    [anon_sym___based] = ACTIONS(2444),
    [anon_sym___cdecl] = ACTIONS(2444),
    [anon_sym___clrcall] = ACTIONS(2444),
    [anon_sym___stdcall] = ACTIONS(2444),
    [anon_sym___fastcall] = ACTIONS(2444),
    [anon_sym___thiscall] = ACTIONS(2444),
    [anon_sym___vectorcall] = ACTIONS(2444),
    [anon_sym_LBRACE] = ACTIONS(2446),
    [anon_sym_signed] = ACTIONS(2444),
    [anon_sym_unsigned] = ACTIONS(2444),
    [anon_sym_long] = ACTIONS(2444),
    [anon_sym_short] = ACTIONS(2444),
    [anon_sym_LBRACK] = ACTIONS(2444),
    [anon_sym_static] = ACTIONS(2444),
    [anon_sym_register] = ACTIONS(2444),
    [anon_sym_inline] = ACTIONS(2444),
    [anon_sym___inline] = ACTIONS(2444),
    [anon_sym___inline__] = ACTIONS(2444),
    [anon_sym___forceinline] = ACTIONS(2444),
    [anon_sym_thread_local] = ACTIONS(2444),
    [anon_sym___thread] = ACTIONS(2444),
    [anon_sym_const] = ACTIONS(2444),
    [anon_sym_constexpr] = ACTIONS(2444),
    [anon_sym_volatile] = ACTIONS(2444),
    [anon_sym_restrict] = ACTIONS(2444),
    [anon_sym___restrict__] = ACTIONS(2444),
    [anon_sym__Atomic] = ACTIONS(2444),
    [anon_sym__Noreturn] = ACTIONS(2444),
    [anon_sym_noreturn] = ACTIONS(2444),
    [anon_sym_mutable] = ACTIONS(2444),
    [anon_sym_constinit] = ACTIONS(2444),
    [anon_sym_consteval] = ACTIONS(2444),
    [sym_primitive_type] = ACTIONS(2444),
    [anon_sym_enum] = ACTIONS(2444),
    [anon_sym_class] = ACTIONS(2444),
    [anon_sym_struct] = ACTIONS(2444),
    [anon_sym_union] = ACTIONS(2444),
    [anon_sym_if] = ACTIONS(2444),
    [anon_sym_else] = ACTIONS(2444),
    [anon_sym_switch] = ACTIONS(2444),
    [anon_sym_case] = ACTIONS(2444),
    [anon_sym_default] = ACTIONS(2444),
    [anon_sym_while] = ACTIONS(2444),
    [anon_sym_do] = ACTIONS(2444),
    [anon_sym_for] = ACTIONS(2444),
    [anon_sym_return] = ACTIONS(2444),
    [anon_sym_break] = ACTIONS(2444),
    [anon_sym_continue] = ACTIONS(2444),
    [anon_sym_goto] = ACTIONS(2444),
    [anon_sym___try] = ACTIONS(2444),
    [anon_sym___leave] = ACTIONS(2444),
    [anon_sym_not] = ACTIONS(2444),
    [anon_sym_compl] = ACTIONS(2444),
    [anon_sym_DASH_DASH] = ACTIONS(2446),
    [anon_sym_PLUS_PLUS] = ACTIONS(2446),
    [anon_sym_sizeof] = ACTIONS(2444),
    [anon_sym___alignof__] = ACTIONS(2444),
    [anon_sym___alignof] = ACTIONS(2444),
    [anon_sym__alignof] = ACTIONS(2444),
    [anon_sym_alignof] = ACTIONS(2444),
    [anon_sym__Alignof] = ACTIONS(2444),
    [anon_sym_offsetof] = ACTIONS(2444),
    [anon_sym__Generic] = ACTIONS(2444),
    [anon_sym_asm] = ACTIONS(2444),
    [anon_sym___asm__] = ACTIONS(2444),
    [sym_number_literal] = ACTIONS(2446),
    [anon_sym_L_SQUOTE] = ACTIONS(2446),
    [anon_sym_u_SQUOTE] = ACTIONS(2446),
    [anon_sym_U_SQUOTE] = ACTIONS(2446),
    [anon_sym_u8_SQUOTE] = ACTIONS(2446),
    [anon_sym_SQUOTE] = ACTIONS(2446),
    [anon_sym_L_DQUOTE] = ACTIONS(2446),
    [anon_sym_u_DQUOTE] = ACTIONS(2446),
    [anon_sym_U_DQUOTE] = ACTIONS(2446),
    [anon_sym_u8_DQUOTE] = ACTIONS(2446),
    [anon_sym_DQUOTE] = ACTIONS(2446),
    [sym_true] = ACTIONS(2444),
    [sym_false] = ACTIONS(2444),
    [anon_sym_NULL] = ACTIONS(2444),
    [anon_sym_nullptr] = ACTIONS(2444),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2444),
    [anon_sym_decltype] = ACTIONS(2444),
    [anon_sym_virtual] = ACTIONS(2444),
    [anon_sym_alignas] = ACTIONS(2444),
    [anon_sym_explicit] = ACTIONS(2444),
    [anon_sym_typename] = ACTIONS(2444),
    [anon_sym_template] = ACTIONS(2444),
    [anon_sym_operator] = ACTIONS(2444),
    [anon_sym_try] = ACTIONS(2444),
    [anon_sym_delete] = ACTIONS(2444),
    [anon_sym_throw] = ACTIONS(2444),
    [anon_sym_namespace] = ACTIONS(2444),
    [anon_sym_using] = ACTIONS(2444),
    [anon_sym_static_assert] = ACTIONS(2444),
    [anon_sym_concept] = ACTIONS(2444),
    [anon_sym_co_return] = ACTIONS(2444),
    [anon_sym_co_yield] = ACTIONS(2444),
    [anon_sym_R_DQUOTE] = ACTIONS(2446),
    [anon_sym_LR_DQUOTE] = ACTIONS(2446),
    [anon_sym_uR_DQUOTE] = ACTIONS(2446),
    [anon_sym_UR_DQUOTE] = ACTIONS(2446),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2446),
    [anon_sym_co_await] = ACTIONS(2444),
    [anon_sym_new] = ACTIONS(2444),
    [anon_sym_requires] = ACTIONS(2444),
    [sym_this] = ACTIONS(2444),
    [anon_sym_discard] = ACTIONS(2444),
    [anon_sym_precise] = ACTIONS(2444),
    [anon_sym_shared] = ACTIONS(2444),
    [anon_sym_groupshared] = ACTIONS(2444),
    [anon_sym_uniform] = ACTIONS(2444),
    [anon_sym_row_major] = ACTIONS(2444),
    [anon_sym_column_major] = ACTIONS(2444),
    [anon_sym_globallycoherent] = ACTIONS(2444),
    [anon_sym_centroid] = ACTIONS(2444),
    [anon_sym_noperspective] = ACTIONS(2444),
    [anon_sym_nointerpolation] = ACTIONS(2444),
    [anon_sym_sample] = ACTIONS(2444),
    [anon_sym_linear] = ACTIONS(2444),
    [anon_sym_snorm] = ACTIONS(2444),
    [anon_sym_unorm] = ACTIONS(2444),
    [anon_sym_point] = ACTIONS(2444),
    [anon_sym_line] = ACTIONS(2444),
    [anon_sym_triangleadj] = ACTIONS(2444),
    [anon_sym_lineadj] = ACTIONS(2444),
    [anon_sym_triangle] = ACTIONS(2444),
    [anon_sym_cbuffer] = ACTIONS(2444),
  },
  [734] = {
    [sym_identifier] = ACTIONS(2444),
    [aux_sym_preproc_include_token1] = ACTIONS(2444),
    [aux_sym_preproc_def_token1] = ACTIONS(2444),
    [aux_sym_preproc_if_token1] = ACTIONS(2444),
    [aux_sym_preproc_if_token2] = ACTIONS(2444),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2444),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2444),
    [sym_preproc_directive] = ACTIONS(2444),
    [anon_sym_LPAREN2] = ACTIONS(2446),
    [anon_sym_BANG] = ACTIONS(2446),
    [anon_sym_TILDE] = ACTIONS(2446),
    [anon_sym_DASH] = ACTIONS(2444),
    [anon_sym_PLUS] = ACTIONS(2444),
    [anon_sym_STAR] = ACTIONS(2446),
    [anon_sym_AMP_AMP] = ACTIONS(2446),
    [anon_sym_AMP] = ACTIONS(2444),
    [anon_sym_SEMI] = ACTIONS(2446),
    [anon_sym___extension__] = ACTIONS(2444),
    [anon_sym_typedef] = ACTIONS(2444),
    [anon_sym_in] = ACTIONS(2444),
    [anon_sym_out] = ACTIONS(2444),
    [anon_sym_inout] = ACTIONS(2444),
    [anon_sym_extern] = ACTIONS(2444),
    [anon_sym___attribute__] = ACTIONS(2444),
    [anon_sym_COLON_COLON] = ACTIONS(2446),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2446),
    [anon_sym___declspec] = ACTIONS(2444),
    [anon_sym___based] = ACTIONS(2444),
    [anon_sym___cdecl] = ACTIONS(2444),
    [anon_sym___clrcall] = ACTIONS(2444),
    [anon_sym___stdcall] = ACTIONS(2444),
    [anon_sym___fastcall] = ACTIONS(2444),
    [anon_sym___thiscall] = ACTIONS(2444),
    [anon_sym___vectorcall] = ACTIONS(2444),
    [anon_sym_LBRACE] = ACTIONS(2446),
    [anon_sym_signed] = ACTIONS(2444),
    [anon_sym_unsigned] = ACTIONS(2444),
    [anon_sym_long] = ACTIONS(2444),
    [anon_sym_short] = ACTIONS(2444),
    [anon_sym_LBRACK] = ACTIONS(2444),
    [anon_sym_static] = ACTIONS(2444),
    [anon_sym_register] = ACTIONS(2444),
    [anon_sym_inline] = ACTIONS(2444),
    [anon_sym___inline] = ACTIONS(2444),
    [anon_sym___inline__] = ACTIONS(2444),
    [anon_sym___forceinline] = ACTIONS(2444),
    [anon_sym_thread_local] = ACTIONS(2444),
    [anon_sym___thread] = ACTIONS(2444),
    [anon_sym_const] = ACTIONS(2444),
    [anon_sym_constexpr] = ACTIONS(2444),
    [anon_sym_volatile] = ACTIONS(2444),
    [anon_sym_restrict] = ACTIONS(2444),
    [anon_sym___restrict__] = ACTIONS(2444),
    [anon_sym__Atomic] = ACTIONS(2444),
    [anon_sym__Noreturn] = ACTIONS(2444),
    [anon_sym_noreturn] = ACTIONS(2444),
    [anon_sym_mutable] = ACTIONS(2444),
    [anon_sym_constinit] = ACTIONS(2444),
    [anon_sym_consteval] = ACTIONS(2444),
    [sym_primitive_type] = ACTIONS(2444),
    [anon_sym_enum] = ACTIONS(2444),
    [anon_sym_class] = ACTIONS(2444),
    [anon_sym_struct] = ACTIONS(2444),
    [anon_sym_union] = ACTIONS(2444),
    [anon_sym_if] = ACTIONS(2444),
    [anon_sym_else] = ACTIONS(2444),
    [anon_sym_switch] = ACTIONS(2444),
    [anon_sym_case] = ACTIONS(2444),
    [anon_sym_default] = ACTIONS(2444),
    [anon_sym_while] = ACTIONS(2444),
    [anon_sym_do] = ACTIONS(2444),
    [anon_sym_for] = ACTIONS(2444),
    [anon_sym_return] = ACTIONS(2444),
    [anon_sym_break] = ACTIONS(2444),
    [anon_sym_continue] = ACTIONS(2444),
    [anon_sym_goto] = ACTIONS(2444),
    [anon_sym___try] = ACTIONS(2444),
    [anon_sym___leave] = ACTIONS(2444),
    [anon_sym_not] = ACTIONS(2444),
    [anon_sym_compl] = ACTIONS(2444),
    [anon_sym_DASH_DASH] = ACTIONS(2446),
    [anon_sym_PLUS_PLUS] = ACTIONS(2446),
    [anon_sym_sizeof] = ACTIONS(2444),
    [anon_sym___alignof__] = ACTIONS(2444),
    [anon_sym___alignof] = ACTIONS(2444),
    [anon_sym__alignof] = ACTIONS(2444),
    [anon_sym_alignof] = ACTIONS(2444),
    [anon_sym__Alignof] = ACTIONS(2444),
    [anon_sym_offsetof] = ACTIONS(2444),
    [anon_sym__Generic] = ACTIONS(2444),
    [anon_sym_asm] = ACTIONS(2444),
    [anon_sym___asm__] = ACTIONS(2444),
    [sym_number_literal] = ACTIONS(2446),
    [anon_sym_L_SQUOTE] = ACTIONS(2446),
    [anon_sym_u_SQUOTE] = ACTIONS(2446),
    [anon_sym_U_SQUOTE] = ACTIONS(2446),
    [anon_sym_u8_SQUOTE] = ACTIONS(2446),
    [anon_sym_SQUOTE] = ACTIONS(2446),
    [anon_sym_L_DQUOTE] = ACTIONS(2446),
    [anon_sym_u_DQUOTE] = ACTIONS(2446),
    [anon_sym_U_DQUOTE] = ACTIONS(2446),
    [anon_sym_u8_DQUOTE] = ACTIONS(2446),
    [anon_sym_DQUOTE] = ACTIONS(2446),
    [sym_true] = ACTIONS(2444),
    [sym_false] = ACTIONS(2444),
    [anon_sym_NULL] = ACTIONS(2444),
    [anon_sym_nullptr] = ACTIONS(2444),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2444),
    [anon_sym_decltype] = ACTIONS(2444),
    [anon_sym_virtual] = ACTIONS(2444),
    [anon_sym_alignas] = ACTIONS(2444),
    [anon_sym_explicit] = ACTIONS(2444),
    [anon_sym_typename] = ACTIONS(2444),
    [anon_sym_template] = ACTIONS(2444),
    [anon_sym_operator] = ACTIONS(2444),
    [anon_sym_try] = ACTIONS(2444),
    [anon_sym_delete] = ACTIONS(2444),
    [anon_sym_throw] = ACTIONS(2444),
    [anon_sym_namespace] = ACTIONS(2444),
    [anon_sym_using] = ACTIONS(2444),
    [anon_sym_static_assert] = ACTIONS(2444),
    [anon_sym_concept] = ACTIONS(2444),
    [anon_sym_co_return] = ACTIONS(2444),
    [anon_sym_co_yield] = ACTIONS(2444),
    [anon_sym_R_DQUOTE] = ACTIONS(2446),
    [anon_sym_LR_DQUOTE] = ACTIONS(2446),
    [anon_sym_uR_DQUOTE] = ACTIONS(2446),
    [anon_sym_UR_DQUOTE] = ACTIONS(2446),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2446),
    [anon_sym_co_await] = ACTIONS(2444),
    [anon_sym_new] = ACTIONS(2444),
    [anon_sym_requires] = ACTIONS(2444),
    [sym_this] = ACTIONS(2444),
    [anon_sym_discard] = ACTIONS(2444),
    [anon_sym_precise] = ACTIONS(2444),
    [anon_sym_shared] = ACTIONS(2444),
    [anon_sym_groupshared] = ACTIONS(2444),
    [anon_sym_uniform] = ACTIONS(2444),
    [anon_sym_row_major] = ACTIONS(2444),
    [anon_sym_column_major] = ACTIONS(2444),
    [anon_sym_globallycoherent] = ACTIONS(2444),
    [anon_sym_centroid] = ACTIONS(2444),
    [anon_sym_noperspective] = ACTIONS(2444),
    [anon_sym_nointerpolation] = ACTIONS(2444),
    [anon_sym_sample] = ACTIONS(2444),
    [anon_sym_linear] = ACTIONS(2444),
    [anon_sym_snorm] = ACTIONS(2444),
    [anon_sym_unorm] = ACTIONS(2444),
    [anon_sym_point] = ACTIONS(2444),
    [anon_sym_line] = ACTIONS(2444),
    [anon_sym_triangleadj] = ACTIONS(2444),
    [anon_sym_lineadj] = ACTIONS(2444),
    [anon_sym_triangle] = ACTIONS(2444),
    [anon_sym_cbuffer] = ACTIONS(2444),
  },
  [735] = {
    [sym_identifier] = ACTIONS(2444),
    [aux_sym_preproc_include_token1] = ACTIONS(2444),
    [aux_sym_preproc_def_token1] = ACTIONS(2444),
    [aux_sym_preproc_if_token1] = ACTIONS(2444),
    [aux_sym_preproc_if_token2] = ACTIONS(2444),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2444),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2444),
    [sym_preproc_directive] = ACTIONS(2444),
    [anon_sym_LPAREN2] = ACTIONS(2446),
    [anon_sym_BANG] = ACTIONS(2446),
    [anon_sym_TILDE] = ACTIONS(2446),
    [anon_sym_DASH] = ACTIONS(2444),
    [anon_sym_PLUS] = ACTIONS(2444),
    [anon_sym_STAR] = ACTIONS(2446),
    [anon_sym_AMP_AMP] = ACTIONS(2446),
    [anon_sym_AMP] = ACTIONS(2444),
    [anon_sym_SEMI] = ACTIONS(2446),
    [anon_sym___extension__] = ACTIONS(2444),
    [anon_sym_typedef] = ACTIONS(2444),
    [anon_sym_in] = ACTIONS(2444),
    [anon_sym_out] = ACTIONS(2444),
    [anon_sym_inout] = ACTIONS(2444),
    [anon_sym_extern] = ACTIONS(2444),
    [anon_sym___attribute__] = ACTIONS(2444),
    [anon_sym_COLON_COLON] = ACTIONS(2446),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2446),
    [anon_sym___declspec] = ACTIONS(2444),
    [anon_sym___based] = ACTIONS(2444),
    [anon_sym___cdecl] = ACTIONS(2444),
    [anon_sym___clrcall] = ACTIONS(2444),
    [anon_sym___stdcall] = ACTIONS(2444),
    [anon_sym___fastcall] = ACTIONS(2444),
    [anon_sym___thiscall] = ACTIONS(2444),
    [anon_sym___vectorcall] = ACTIONS(2444),
    [anon_sym_LBRACE] = ACTIONS(2446),
    [anon_sym_signed] = ACTIONS(2444),
    [anon_sym_unsigned] = ACTIONS(2444),
    [anon_sym_long] = ACTIONS(2444),
    [anon_sym_short] = ACTIONS(2444),
    [anon_sym_LBRACK] = ACTIONS(2444),
    [anon_sym_static] = ACTIONS(2444),
    [anon_sym_register] = ACTIONS(2444),
    [anon_sym_inline] = ACTIONS(2444),
    [anon_sym___inline] = ACTIONS(2444),
    [anon_sym___inline__] = ACTIONS(2444),
    [anon_sym___forceinline] = ACTIONS(2444),
    [anon_sym_thread_local] = ACTIONS(2444),
    [anon_sym___thread] = ACTIONS(2444),
    [anon_sym_const] = ACTIONS(2444),
    [anon_sym_constexpr] = ACTIONS(2444),
    [anon_sym_volatile] = ACTIONS(2444),
    [anon_sym_restrict] = ACTIONS(2444),
    [anon_sym___restrict__] = ACTIONS(2444),
    [anon_sym__Atomic] = ACTIONS(2444),
    [anon_sym__Noreturn] = ACTIONS(2444),
    [anon_sym_noreturn] = ACTIONS(2444),
    [anon_sym_mutable] = ACTIONS(2444),
    [anon_sym_constinit] = ACTIONS(2444),
    [anon_sym_consteval] = ACTIONS(2444),
    [sym_primitive_type] = ACTIONS(2444),
    [anon_sym_enum] = ACTIONS(2444),
    [anon_sym_class] = ACTIONS(2444),
    [anon_sym_struct] = ACTIONS(2444),
    [anon_sym_union] = ACTIONS(2444),
    [anon_sym_if] = ACTIONS(2444),
    [anon_sym_else] = ACTIONS(2444),
    [anon_sym_switch] = ACTIONS(2444),
    [anon_sym_case] = ACTIONS(2444),
    [anon_sym_default] = ACTIONS(2444),
    [anon_sym_while] = ACTIONS(2444),
    [anon_sym_do] = ACTIONS(2444),
    [anon_sym_for] = ACTIONS(2444),
    [anon_sym_return] = ACTIONS(2444),
    [anon_sym_break] = ACTIONS(2444),
    [anon_sym_continue] = ACTIONS(2444),
    [anon_sym_goto] = ACTIONS(2444),
    [anon_sym___try] = ACTIONS(2444),
    [anon_sym___leave] = ACTIONS(2444),
    [anon_sym_not] = ACTIONS(2444),
    [anon_sym_compl] = ACTIONS(2444),
    [anon_sym_DASH_DASH] = ACTIONS(2446),
    [anon_sym_PLUS_PLUS] = ACTIONS(2446),
    [anon_sym_sizeof] = ACTIONS(2444),
    [anon_sym___alignof__] = ACTIONS(2444),
    [anon_sym___alignof] = ACTIONS(2444),
    [anon_sym__alignof] = ACTIONS(2444),
    [anon_sym_alignof] = ACTIONS(2444),
    [anon_sym__Alignof] = ACTIONS(2444),
    [anon_sym_offsetof] = ACTIONS(2444),
    [anon_sym__Generic] = ACTIONS(2444),
    [anon_sym_asm] = ACTIONS(2444),
    [anon_sym___asm__] = ACTIONS(2444),
    [sym_number_literal] = ACTIONS(2446),
    [anon_sym_L_SQUOTE] = ACTIONS(2446),
    [anon_sym_u_SQUOTE] = ACTIONS(2446),
    [anon_sym_U_SQUOTE] = ACTIONS(2446),
    [anon_sym_u8_SQUOTE] = ACTIONS(2446),
    [anon_sym_SQUOTE] = ACTIONS(2446),
    [anon_sym_L_DQUOTE] = ACTIONS(2446),
    [anon_sym_u_DQUOTE] = ACTIONS(2446),
    [anon_sym_U_DQUOTE] = ACTIONS(2446),
    [anon_sym_u8_DQUOTE] = ACTIONS(2446),
    [anon_sym_DQUOTE] = ACTIONS(2446),
    [sym_true] = ACTIONS(2444),
    [sym_false] = ACTIONS(2444),
    [anon_sym_NULL] = ACTIONS(2444),
    [anon_sym_nullptr] = ACTIONS(2444),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2444),
    [anon_sym_decltype] = ACTIONS(2444),
    [anon_sym_virtual] = ACTIONS(2444),
    [anon_sym_alignas] = ACTIONS(2444),
    [anon_sym_explicit] = ACTIONS(2444),
    [anon_sym_typename] = ACTIONS(2444),
    [anon_sym_template] = ACTIONS(2444),
    [anon_sym_operator] = ACTIONS(2444),
    [anon_sym_try] = ACTIONS(2444),
    [anon_sym_delete] = ACTIONS(2444),
    [anon_sym_throw] = ACTIONS(2444),
    [anon_sym_namespace] = ACTIONS(2444),
    [anon_sym_using] = ACTIONS(2444),
    [anon_sym_static_assert] = ACTIONS(2444),
    [anon_sym_concept] = ACTIONS(2444),
    [anon_sym_co_return] = ACTIONS(2444),
    [anon_sym_co_yield] = ACTIONS(2444),
    [anon_sym_R_DQUOTE] = ACTIONS(2446),
    [anon_sym_LR_DQUOTE] = ACTIONS(2446),
    [anon_sym_uR_DQUOTE] = ACTIONS(2446),
    [anon_sym_UR_DQUOTE] = ACTIONS(2446),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2446),
    [anon_sym_co_await] = ACTIONS(2444),
    [anon_sym_new] = ACTIONS(2444),
    [anon_sym_requires] = ACTIONS(2444),
    [sym_this] = ACTIONS(2444),
    [anon_sym_discard] = ACTIONS(2444),
    [anon_sym_precise] = ACTIONS(2444),
    [anon_sym_shared] = ACTIONS(2444),
    [anon_sym_groupshared] = ACTIONS(2444),
    [anon_sym_uniform] = ACTIONS(2444),
    [anon_sym_row_major] = ACTIONS(2444),
    [anon_sym_column_major] = ACTIONS(2444),
    [anon_sym_globallycoherent] = ACTIONS(2444),
    [anon_sym_centroid] = ACTIONS(2444),
    [anon_sym_noperspective] = ACTIONS(2444),
    [anon_sym_nointerpolation] = ACTIONS(2444),
    [anon_sym_sample] = ACTIONS(2444),
    [anon_sym_linear] = ACTIONS(2444),
    [anon_sym_snorm] = ACTIONS(2444),
    [anon_sym_unorm] = ACTIONS(2444),
    [anon_sym_point] = ACTIONS(2444),
    [anon_sym_line] = ACTIONS(2444),
    [anon_sym_triangleadj] = ACTIONS(2444),
    [anon_sym_lineadj] = ACTIONS(2444),
    [anon_sym_triangle] = ACTIONS(2444),
    [anon_sym_cbuffer] = ACTIONS(2444),
  },
  [736] = {
    [ts_builtin_sym_end] = ACTIONS(2446),
    [sym_identifier] = ACTIONS(2444),
    [aux_sym_preproc_include_token1] = ACTIONS(2444),
    [aux_sym_preproc_def_token1] = ACTIONS(2444),
    [aux_sym_preproc_if_token1] = ACTIONS(2444),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2444),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2444),
    [sym_preproc_directive] = ACTIONS(2444),
    [anon_sym_LPAREN2] = ACTIONS(2446),
    [anon_sym_BANG] = ACTIONS(2446),
    [anon_sym_TILDE] = ACTIONS(2446),
    [anon_sym_DASH] = ACTIONS(2444),
    [anon_sym_PLUS] = ACTIONS(2444),
    [anon_sym_STAR] = ACTIONS(2446),
    [anon_sym_AMP_AMP] = ACTIONS(2446),
    [anon_sym_AMP] = ACTIONS(2444),
    [anon_sym_SEMI] = ACTIONS(2446),
    [anon_sym___extension__] = ACTIONS(2444),
    [anon_sym_typedef] = ACTIONS(2444),
    [anon_sym_in] = ACTIONS(2444),
    [anon_sym_out] = ACTIONS(2444),
    [anon_sym_inout] = ACTIONS(2444),
    [anon_sym_extern] = ACTIONS(2444),
    [anon_sym___attribute__] = ACTIONS(2444),
    [anon_sym_COLON_COLON] = ACTIONS(2446),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2446),
    [anon_sym___declspec] = ACTIONS(2444),
    [anon_sym___based] = ACTIONS(2444),
    [anon_sym___cdecl] = ACTIONS(2444),
    [anon_sym___clrcall] = ACTIONS(2444),
    [anon_sym___stdcall] = ACTIONS(2444),
    [anon_sym___fastcall] = ACTIONS(2444),
    [anon_sym___thiscall] = ACTIONS(2444),
    [anon_sym___vectorcall] = ACTIONS(2444),
    [anon_sym_LBRACE] = ACTIONS(2446),
    [anon_sym_signed] = ACTIONS(2444),
    [anon_sym_unsigned] = ACTIONS(2444),
    [anon_sym_long] = ACTIONS(2444),
    [anon_sym_short] = ACTIONS(2444),
    [anon_sym_LBRACK] = ACTIONS(2444),
    [anon_sym_static] = ACTIONS(2444),
    [anon_sym_register] = ACTIONS(2444),
    [anon_sym_inline] = ACTIONS(2444),
    [anon_sym___inline] = ACTIONS(2444),
    [anon_sym___inline__] = ACTIONS(2444),
    [anon_sym___forceinline] = ACTIONS(2444),
    [anon_sym_thread_local] = ACTIONS(2444),
    [anon_sym___thread] = ACTIONS(2444),
    [anon_sym_const] = ACTIONS(2444),
    [anon_sym_constexpr] = ACTIONS(2444),
    [anon_sym_volatile] = ACTIONS(2444),
    [anon_sym_restrict] = ACTIONS(2444),
    [anon_sym___restrict__] = ACTIONS(2444),
    [anon_sym__Atomic] = ACTIONS(2444),
    [anon_sym__Noreturn] = ACTIONS(2444),
    [anon_sym_noreturn] = ACTIONS(2444),
    [anon_sym_mutable] = ACTIONS(2444),
    [anon_sym_constinit] = ACTIONS(2444),
    [anon_sym_consteval] = ACTIONS(2444),
    [sym_primitive_type] = ACTIONS(2444),
    [anon_sym_enum] = ACTIONS(2444),
    [anon_sym_class] = ACTIONS(2444),
    [anon_sym_struct] = ACTIONS(2444),
    [anon_sym_union] = ACTIONS(2444),
    [anon_sym_if] = ACTIONS(2444),
    [anon_sym_else] = ACTIONS(2444),
    [anon_sym_switch] = ACTIONS(2444),
    [anon_sym_case] = ACTIONS(2444),
    [anon_sym_default] = ACTIONS(2444),
    [anon_sym_while] = ACTIONS(2444),
    [anon_sym_do] = ACTIONS(2444),
    [anon_sym_for] = ACTIONS(2444),
    [anon_sym_return] = ACTIONS(2444),
    [anon_sym_break] = ACTIONS(2444),
    [anon_sym_continue] = ACTIONS(2444),
    [anon_sym_goto] = ACTIONS(2444),
    [anon_sym___try] = ACTIONS(2444),
    [anon_sym___leave] = ACTIONS(2444),
    [anon_sym_not] = ACTIONS(2444),
    [anon_sym_compl] = ACTIONS(2444),
    [anon_sym_DASH_DASH] = ACTIONS(2446),
    [anon_sym_PLUS_PLUS] = ACTIONS(2446),
    [anon_sym_sizeof] = ACTIONS(2444),
    [anon_sym___alignof__] = ACTIONS(2444),
    [anon_sym___alignof] = ACTIONS(2444),
    [anon_sym__alignof] = ACTIONS(2444),
    [anon_sym_alignof] = ACTIONS(2444),
    [anon_sym__Alignof] = ACTIONS(2444),
    [anon_sym_offsetof] = ACTIONS(2444),
    [anon_sym__Generic] = ACTIONS(2444),
    [anon_sym_asm] = ACTIONS(2444),
    [anon_sym___asm__] = ACTIONS(2444),
    [sym_number_literal] = ACTIONS(2446),
    [anon_sym_L_SQUOTE] = ACTIONS(2446),
    [anon_sym_u_SQUOTE] = ACTIONS(2446),
    [anon_sym_U_SQUOTE] = ACTIONS(2446),
    [anon_sym_u8_SQUOTE] = ACTIONS(2446),
    [anon_sym_SQUOTE] = ACTIONS(2446),
    [anon_sym_L_DQUOTE] = ACTIONS(2446),
    [anon_sym_u_DQUOTE] = ACTIONS(2446),
    [anon_sym_U_DQUOTE] = ACTIONS(2446),
    [anon_sym_u8_DQUOTE] = ACTIONS(2446),
    [anon_sym_DQUOTE] = ACTIONS(2446),
    [sym_true] = ACTIONS(2444),
    [sym_false] = ACTIONS(2444),
    [anon_sym_NULL] = ACTIONS(2444),
    [anon_sym_nullptr] = ACTIONS(2444),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2444),
    [anon_sym_decltype] = ACTIONS(2444),
    [anon_sym_virtual] = ACTIONS(2444),
    [anon_sym_alignas] = ACTIONS(2444),
    [anon_sym_explicit] = ACTIONS(2444),
    [anon_sym_typename] = ACTIONS(2444),
    [anon_sym_template] = ACTIONS(2444),
    [anon_sym_operator] = ACTIONS(2444),
    [anon_sym_try] = ACTIONS(2444),
    [anon_sym_delete] = ACTIONS(2444),
    [anon_sym_throw] = ACTIONS(2444),
    [anon_sym_namespace] = ACTIONS(2444),
    [anon_sym_using] = ACTIONS(2444),
    [anon_sym_static_assert] = ACTIONS(2444),
    [anon_sym_concept] = ACTIONS(2444),
    [anon_sym_co_return] = ACTIONS(2444),
    [anon_sym_co_yield] = ACTIONS(2444),
    [anon_sym_R_DQUOTE] = ACTIONS(2446),
    [anon_sym_LR_DQUOTE] = ACTIONS(2446),
    [anon_sym_uR_DQUOTE] = ACTIONS(2446),
    [anon_sym_UR_DQUOTE] = ACTIONS(2446),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2446),
    [anon_sym_co_await] = ACTIONS(2444),
    [anon_sym_new] = ACTIONS(2444),
    [anon_sym_requires] = ACTIONS(2444),
    [sym_this] = ACTIONS(2444),
    [anon_sym_discard] = ACTIONS(2444),
    [anon_sym_precise] = ACTIONS(2444),
    [anon_sym_shared] = ACTIONS(2444),
    [anon_sym_groupshared] = ACTIONS(2444),
    [anon_sym_uniform] = ACTIONS(2444),
    [anon_sym_row_major] = ACTIONS(2444),
    [anon_sym_column_major] = ACTIONS(2444),
    [anon_sym_globallycoherent] = ACTIONS(2444),
    [anon_sym_centroid] = ACTIONS(2444),
    [anon_sym_noperspective] = ACTIONS(2444),
    [anon_sym_nointerpolation] = ACTIONS(2444),
    [anon_sym_sample] = ACTIONS(2444),
    [anon_sym_linear] = ACTIONS(2444),
    [anon_sym_snorm] = ACTIONS(2444),
    [anon_sym_unorm] = ACTIONS(2444),
    [anon_sym_point] = ACTIONS(2444),
    [anon_sym_line] = ACTIONS(2444),
    [anon_sym_triangleadj] = ACTIONS(2444),
    [anon_sym_lineadj] = ACTIONS(2444),
    [anon_sym_triangle] = ACTIONS(2444),
    [anon_sym_cbuffer] = ACTIONS(2444),
  },
  [737] = {
    [sym_identifier] = ACTIONS(2436),
    [aux_sym_preproc_include_token1] = ACTIONS(2436),
    [aux_sym_preproc_def_token1] = ACTIONS(2436),
    [aux_sym_preproc_if_token1] = ACTIONS(2436),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2436),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2436),
    [sym_preproc_directive] = ACTIONS(2436),
    [anon_sym_LPAREN2] = ACTIONS(2438),
    [anon_sym_BANG] = ACTIONS(2438),
    [anon_sym_TILDE] = ACTIONS(2438),
    [anon_sym_DASH] = ACTIONS(2436),
    [anon_sym_PLUS] = ACTIONS(2436),
    [anon_sym_STAR] = ACTIONS(2438),
    [anon_sym_AMP_AMP] = ACTIONS(2438),
    [anon_sym_AMP] = ACTIONS(2436),
    [anon_sym_SEMI] = ACTIONS(2438),
    [anon_sym___extension__] = ACTIONS(2436),
    [anon_sym_typedef] = ACTIONS(2436),
    [anon_sym_in] = ACTIONS(2436),
    [anon_sym_out] = ACTIONS(2436),
    [anon_sym_inout] = ACTIONS(2436),
    [anon_sym_extern] = ACTIONS(2436),
    [anon_sym___attribute__] = ACTIONS(2436),
    [anon_sym_COLON_COLON] = ACTIONS(2438),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2438),
    [anon_sym___declspec] = ACTIONS(2436),
    [anon_sym___based] = ACTIONS(2436),
    [anon_sym___cdecl] = ACTIONS(2436),
    [anon_sym___clrcall] = ACTIONS(2436),
    [anon_sym___stdcall] = ACTIONS(2436),
    [anon_sym___fastcall] = ACTIONS(2436),
    [anon_sym___thiscall] = ACTIONS(2436),
    [anon_sym___vectorcall] = ACTIONS(2436),
    [anon_sym_LBRACE] = ACTIONS(2438),
    [anon_sym_RBRACE] = ACTIONS(2438),
    [anon_sym_signed] = ACTIONS(2436),
    [anon_sym_unsigned] = ACTIONS(2436),
    [anon_sym_long] = ACTIONS(2436),
    [anon_sym_short] = ACTIONS(2436),
    [anon_sym_LBRACK] = ACTIONS(2436),
    [anon_sym_static] = ACTIONS(2436),
    [anon_sym_register] = ACTIONS(2436),
    [anon_sym_inline] = ACTIONS(2436),
    [anon_sym___inline] = ACTIONS(2436),
    [anon_sym___inline__] = ACTIONS(2436),
    [anon_sym___forceinline] = ACTIONS(2436),
    [anon_sym_thread_local] = ACTIONS(2436),
    [anon_sym___thread] = ACTIONS(2436),
    [anon_sym_const] = ACTIONS(2436),
    [anon_sym_constexpr] = ACTIONS(2436),
    [anon_sym_volatile] = ACTIONS(2436),
    [anon_sym_restrict] = ACTIONS(2436),
    [anon_sym___restrict__] = ACTIONS(2436),
    [anon_sym__Atomic] = ACTIONS(2436),
    [anon_sym__Noreturn] = ACTIONS(2436),
    [anon_sym_noreturn] = ACTIONS(2436),
    [anon_sym_mutable] = ACTIONS(2436),
    [anon_sym_constinit] = ACTIONS(2436),
    [anon_sym_consteval] = ACTIONS(2436),
    [sym_primitive_type] = ACTIONS(2436),
    [anon_sym_enum] = ACTIONS(2436),
    [anon_sym_class] = ACTIONS(2436),
    [anon_sym_struct] = ACTIONS(2436),
    [anon_sym_union] = ACTIONS(2436),
    [anon_sym_if] = ACTIONS(2436),
    [anon_sym_else] = ACTIONS(2436),
    [anon_sym_switch] = ACTIONS(2436),
    [anon_sym_case] = ACTIONS(2436),
    [anon_sym_default] = ACTIONS(2436),
    [anon_sym_while] = ACTIONS(2436),
    [anon_sym_do] = ACTIONS(2436),
    [anon_sym_for] = ACTIONS(2436),
    [anon_sym_return] = ACTIONS(2436),
    [anon_sym_break] = ACTIONS(2436),
    [anon_sym_continue] = ACTIONS(2436),
    [anon_sym_goto] = ACTIONS(2436),
    [anon_sym___try] = ACTIONS(2436),
    [anon_sym___leave] = ACTIONS(2436),
    [anon_sym_not] = ACTIONS(2436),
    [anon_sym_compl] = ACTIONS(2436),
    [anon_sym_DASH_DASH] = ACTIONS(2438),
    [anon_sym_PLUS_PLUS] = ACTIONS(2438),
    [anon_sym_sizeof] = ACTIONS(2436),
    [anon_sym___alignof__] = ACTIONS(2436),
    [anon_sym___alignof] = ACTIONS(2436),
    [anon_sym__alignof] = ACTIONS(2436),
    [anon_sym_alignof] = ACTIONS(2436),
    [anon_sym__Alignof] = ACTIONS(2436),
    [anon_sym_offsetof] = ACTIONS(2436),
    [anon_sym__Generic] = ACTIONS(2436),
    [anon_sym_asm] = ACTIONS(2436),
    [anon_sym___asm__] = ACTIONS(2436),
    [sym_number_literal] = ACTIONS(2438),
    [anon_sym_L_SQUOTE] = ACTIONS(2438),
    [anon_sym_u_SQUOTE] = ACTIONS(2438),
    [anon_sym_U_SQUOTE] = ACTIONS(2438),
    [anon_sym_u8_SQUOTE] = ACTIONS(2438),
    [anon_sym_SQUOTE] = ACTIONS(2438),
    [anon_sym_L_DQUOTE] = ACTIONS(2438),
    [anon_sym_u_DQUOTE] = ACTIONS(2438),
    [anon_sym_U_DQUOTE] = ACTIONS(2438),
    [anon_sym_u8_DQUOTE] = ACTIONS(2438),
    [anon_sym_DQUOTE] = ACTIONS(2438),
    [sym_true] = ACTIONS(2436),
    [sym_false] = ACTIONS(2436),
    [anon_sym_NULL] = ACTIONS(2436),
    [anon_sym_nullptr] = ACTIONS(2436),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2436),
    [anon_sym_decltype] = ACTIONS(2436),
    [anon_sym_virtual] = ACTIONS(2436),
    [anon_sym_alignas] = ACTIONS(2436),
    [anon_sym_explicit] = ACTIONS(2436),
    [anon_sym_typename] = ACTIONS(2436),
    [anon_sym_template] = ACTIONS(2436),
    [anon_sym_operator] = ACTIONS(2436),
    [anon_sym_try] = ACTIONS(2436),
    [anon_sym_delete] = ACTIONS(2436),
    [anon_sym_throw] = ACTIONS(2436),
    [anon_sym_namespace] = ACTIONS(2436),
    [anon_sym_using] = ACTIONS(2436),
    [anon_sym_static_assert] = ACTIONS(2436),
    [anon_sym_concept] = ACTIONS(2436),
    [anon_sym_co_return] = ACTIONS(2436),
    [anon_sym_co_yield] = ACTIONS(2436),
    [anon_sym_R_DQUOTE] = ACTIONS(2438),
    [anon_sym_LR_DQUOTE] = ACTIONS(2438),
    [anon_sym_uR_DQUOTE] = ACTIONS(2438),
    [anon_sym_UR_DQUOTE] = ACTIONS(2438),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2438),
    [anon_sym_co_await] = ACTIONS(2436),
    [anon_sym_new] = ACTIONS(2436),
    [anon_sym_requires] = ACTIONS(2436),
    [sym_this] = ACTIONS(2436),
    [anon_sym_discard] = ACTIONS(2436),
    [anon_sym_precise] = ACTIONS(2436),
    [anon_sym_shared] = ACTIONS(2436),
    [anon_sym_groupshared] = ACTIONS(2436),
    [anon_sym_uniform] = ACTIONS(2436),
    [anon_sym_row_major] = ACTIONS(2436),
    [anon_sym_column_major] = ACTIONS(2436),
    [anon_sym_globallycoherent] = ACTIONS(2436),
    [anon_sym_centroid] = ACTIONS(2436),
    [anon_sym_noperspective] = ACTIONS(2436),
    [anon_sym_nointerpolation] = ACTIONS(2436),
    [anon_sym_sample] = ACTIONS(2436),
    [anon_sym_linear] = ACTIONS(2436),
    [anon_sym_snorm] = ACTIONS(2436),
    [anon_sym_unorm] = ACTIONS(2436),
    [anon_sym_point] = ACTIONS(2436),
    [anon_sym_line] = ACTIONS(2436),
    [anon_sym_triangleadj] = ACTIONS(2436),
    [anon_sym_lineadj] = ACTIONS(2436),
    [anon_sym_triangle] = ACTIONS(2436),
    [anon_sym_cbuffer] = ACTIONS(2436),
  },
  [738] = {
    [ts_builtin_sym_end] = ACTIONS(2446),
    [sym_identifier] = ACTIONS(2444),
    [aux_sym_preproc_include_token1] = ACTIONS(2444),
    [aux_sym_preproc_def_token1] = ACTIONS(2444),
    [aux_sym_preproc_if_token1] = ACTIONS(2444),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2444),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2444),
    [sym_preproc_directive] = ACTIONS(2444),
    [anon_sym_LPAREN2] = ACTIONS(2446),
    [anon_sym_BANG] = ACTIONS(2446),
    [anon_sym_TILDE] = ACTIONS(2446),
    [anon_sym_DASH] = ACTIONS(2444),
    [anon_sym_PLUS] = ACTIONS(2444),
    [anon_sym_STAR] = ACTIONS(2446),
    [anon_sym_AMP_AMP] = ACTIONS(2446),
    [anon_sym_AMP] = ACTIONS(2444),
    [anon_sym_SEMI] = ACTIONS(2446),
    [anon_sym___extension__] = ACTIONS(2444),
    [anon_sym_typedef] = ACTIONS(2444),
    [anon_sym_in] = ACTIONS(2444),
    [anon_sym_out] = ACTIONS(2444),
    [anon_sym_inout] = ACTIONS(2444),
    [anon_sym_extern] = ACTIONS(2444),
    [anon_sym___attribute__] = ACTIONS(2444),
    [anon_sym_COLON_COLON] = ACTIONS(2446),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2446),
    [anon_sym___declspec] = ACTIONS(2444),
    [anon_sym___based] = ACTIONS(2444),
    [anon_sym___cdecl] = ACTIONS(2444),
    [anon_sym___clrcall] = ACTIONS(2444),
    [anon_sym___stdcall] = ACTIONS(2444),
    [anon_sym___fastcall] = ACTIONS(2444),
    [anon_sym___thiscall] = ACTIONS(2444),
    [anon_sym___vectorcall] = ACTIONS(2444),
    [anon_sym_LBRACE] = ACTIONS(2446),
    [anon_sym_signed] = ACTIONS(2444),
    [anon_sym_unsigned] = ACTIONS(2444),
    [anon_sym_long] = ACTIONS(2444),
    [anon_sym_short] = ACTIONS(2444),
    [anon_sym_LBRACK] = ACTIONS(2444),
    [anon_sym_static] = ACTIONS(2444),
    [anon_sym_register] = ACTIONS(2444),
    [anon_sym_inline] = ACTIONS(2444),
    [anon_sym___inline] = ACTIONS(2444),
    [anon_sym___inline__] = ACTIONS(2444),
    [anon_sym___forceinline] = ACTIONS(2444),
    [anon_sym_thread_local] = ACTIONS(2444),
    [anon_sym___thread] = ACTIONS(2444),
    [anon_sym_const] = ACTIONS(2444),
    [anon_sym_constexpr] = ACTIONS(2444),
    [anon_sym_volatile] = ACTIONS(2444),
    [anon_sym_restrict] = ACTIONS(2444),
    [anon_sym___restrict__] = ACTIONS(2444),
    [anon_sym__Atomic] = ACTIONS(2444),
    [anon_sym__Noreturn] = ACTIONS(2444),
    [anon_sym_noreturn] = ACTIONS(2444),
    [anon_sym_mutable] = ACTIONS(2444),
    [anon_sym_constinit] = ACTIONS(2444),
    [anon_sym_consteval] = ACTIONS(2444),
    [sym_primitive_type] = ACTIONS(2444),
    [anon_sym_enum] = ACTIONS(2444),
    [anon_sym_class] = ACTIONS(2444),
    [anon_sym_struct] = ACTIONS(2444),
    [anon_sym_union] = ACTIONS(2444),
    [anon_sym_if] = ACTIONS(2444),
    [anon_sym_else] = ACTIONS(2444),
    [anon_sym_switch] = ACTIONS(2444),
    [anon_sym_case] = ACTIONS(2444),
    [anon_sym_default] = ACTIONS(2444),
    [anon_sym_while] = ACTIONS(2444),
    [anon_sym_do] = ACTIONS(2444),
    [anon_sym_for] = ACTIONS(2444),
    [anon_sym_return] = ACTIONS(2444),
    [anon_sym_break] = ACTIONS(2444),
    [anon_sym_continue] = ACTIONS(2444),
    [anon_sym_goto] = ACTIONS(2444),
    [anon_sym___try] = ACTIONS(2444),
    [anon_sym___leave] = ACTIONS(2444),
    [anon_sym_not] = ACTIONS(2444),
    [anon_sym_compl] = ACTIONS(2444),
    [anon_sym_DASH_DASH] = ACTIONS(2446),
    [anon_sym_PLUS_PLUS] = ACTIONS(2446),
    [anon_sym_sizeof] = ACTIONS(2444),
    [anon_sym___alignof__] = ACTIONS(2444),
    [anon_sym___alignof] = ACTIONS(2444),
    [anon_sym__alignof] = ACTIONS(2444),
    [anon_sym_alignof] = ACTIONS(2444),
    [anon_sym__Alignof] = ACTIONS(2444),
    [anon_sym_offsetof] = ACTIONS(2444),
    [anon_sym__Generic] = ACTIONS(2444),
    [anon_sym_asm] = ACTIONS(2444),
    [anon_sym___asm__] = ACTIONS(2444),
    [sym_number_literal] = ACTIONS(2446),
    [anon_sym_L_SQUOTE] = ACTIONS(2446),
    [anon_sym_u_SQUOTE] = ACTIONS(2446),
    [anon_sym_U_SQUOTE] = ACTIONS(2446),
    [anon_sym_u8_SQUOTE] = ACTIONS(2446),
    [anon_sym_SQUOTE] = ACTIONS(2446),
    [anon_sym_L_DQUOTE] = ACTIONS(2446),
    [anon_sym_u_DQUOTE] = ACTIONS(2446),
    [anon_sym_U_DQUOTE] = ACTIONS(2446),
    [anon_sym_u8_DQUOTE] = ACTIONS(2446),
    [anon_sym_DQUOTE] = ACTIONS(2446),
    [sym_true] = ACTIONS(2444),
    [sym_false] = ACTIONS(2444),
    [anon_sym_NULL] = ACTIONS(2444),
    [anon_sym_nullptr] = ACTIONS(2444),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2444),
    [anon_sym_decltype] = ACTIONS(2444),
    [anon_sym_virtual] = ACTIONS(2444),
    [anon_sym_alignas] = ACTIONS(2444),
    [anon_sym_explicit] = ACTIONS(2444),
    [anon_sym_typename] = ACTIONS(2444),
    [anon_sym_template] = ACTIONS(2444),
    [anon_sym_operator] = ACTIONS(2444),
    [anon_sym_try] = ACTIONS(2444),
    [anon_sym_delete] = ACTIONS(2444),
    [anon_sym_throw] = ACTIONS(2444),
    [anon_sym_namespace] = ACTIONS(2444),
    [anon_sym_using] = ACTIONS(2444),
    [anon_sym_static_assert] = ACTIONS(2444),
    [anon_sym_concept] = ACTIONS(2444),
    [anon_sym_co_return] = ACTIONS(2444),
    [anon_sym_co_yield] = ACTIONS(2444),
    [anon_sym_R_DQUOTE] = ACTIONS(2446),
    [anon_sym_LR_DQUOTE] = ACTIONS(2446),
    [anon_sym_uR_DQUOTE] = ACTIONS(2446),
    [anon_sym_UR_DQUOTE] = ACTIONS(2446),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2446),
    [anon_sym_co_await] = ACTIONS(2444),
    [anon_sym_new] = ACTIONS(2444),
    [anon_sym_requires] = ACTIONS(2444),
    [sym_this] = ACTIONS(2444),
    [anon_sym_discard] = ACTIONS(2444),
    [anon_sym_precise] = ACTIONS(2444),
    [anon_sym_shared] = ACTIONS(2444),
    [anon_sym_groupshared] = ACTIONS(2444),
    [anon_sym_uniform] = ACTIONS(2444),
    [anon_sym_row_major] = ACTIONS(2444),
    [anon_sym_column_major] = ACTIONS(2444),
    [anon_sym_globallycoherent] = ACTIONS(2444),
    [anon_sym_centroid] = ACTIONS(2444),
    [anon_sym_noperspective] = ACTIONS(2444),
    [anon_sym_nointerpolation] = ACTIONS(2444),
    [anon_sym_sample] = ACTIONS(2444),
    [anon_sym_linear] = ACTIONS(2444),
    [anon_sym_snorm] = ACTIONS(2444),
    [anon_sym_unorm] = ACTIONS(2444),
    [anon_sym_point] = ACTIONS(2444),
    [anon_sym_line] = ACTIONS(2444),
    [anon_sym_triangleadj] = ACTIONS(2444),
    [anon_sym_lineadj] = ACTIONS(2444),
    [anon_sym_triangle] = ACTIONS(2444),
    [anon_sym_cbuffer] = ACTIONS(2444),
  },
  [739] = {
    [sym_identifier] = ACTIONS(2392),
    [aux_sym_preproc_include_token1] = ACTIONS(2392),
    [aux_sym_preproc_def_token1] = ACTIONS(2392),
    [aux_sym_preproc_if_token1] = ACTIONS(2392),
    [aux_sym_preproc_if_token2] = ACTIONS(2392),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2392),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2392),
    [sym_preproc_directive] = ACTIONS(2392),
    [anon_sym_LPAREN2] = ACTIONS(2394),
    [anon_sym_BANG] = ACTIONS(2394),
    [anon_sym_TILDE] = ACTIONS(2394),
    [anon_sym_DASH] = ACTIONS(2392),
    [anon_sym_PLUS] = ACTIONS(2392),
    [anon_sym_STAR] = ACTIONS(2394),
    [anon_sym_AMP_AMP] = ACTIONS(2394),
    [anon_sym_AMP] = ACTIONS(2392),
    [anon_sym_SEMI] = ACTIONS(2394),
    [anon_sym___extension__] = ACTIONS(2392),
    [anon_sym_typedef] = ACTIONS(2392),
    [anon_sym_in] = ACTIONS(2392),
    [anon_sym_out] = ACTIONS(2392),
    [anon_sym_inout] = ACTIONS(2392),
    [anon_sym_extern] = ACTIONS(2392),
    [anon_sym___attribute__] = ACTIONS(2392),
    [anon_sym_COLON_COLON] = ACTIONS(2394),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2394),
    [anon_sym___declspec] = ACTIONS(2392),
    [anon_sym___based] = ACTIONS(2392),
    [anon_sym___cdecl] = ACTIONS(2392),
    [anon_sym___clrcall] = ACTIONS(2392),
    [anon_sym___stdcall] = ACTIONS(2392),
    [anon_sym___fastcall] = ACTIONS(2392),
    [anon_sym___thiscall] = ACTIONS(2392),
    [anon_sym___vectorcall] = ACTIONS(2392),
    [anon_sym_LBRACE] = ACTIONS(2394),
    [anon_sym_signed] = ACTIONS(2392),
    [anon_sym_unsigned] = ACTIONS(2392),
    [anon_sym_long] = ACTIONS(2392),
    [anon_sym_short] = ACTIONS(2392),
    [anon_sym_LBRACK] = ACTIONS(2392),
    [anon_sym_static] = ACTIONS(2392),
    [anon_sym_register] = ACTIONS(2392),
    [anon_sym_inline] = ACTIONS(2392),
    [anon_sym___inline] = ACTIONS(2392),
    [anon_sym___inline__] = ACTIONS(2392),
    [anon_sym___forceinline] = ACTIONS(2392),
    [anon_sym_thread_local] = ACTIONS(2392),
    [anon_sym___thread] = ACTIONS(2392),
    [anon_sym_const] = ACTIONS(2392),
    [anon_sym_constexpr] = ACTIONS(2392),
    [anon_sym_volatile] = ACTIONS(2392),
    [anon_sym_restrict] = ACTIONS(2392),
    [anon_sym___restrict__] = ACTIONS(2392),
    [anon_sym__Atomic] = ACTIONS(2392),
    [anon_sym__Noreturn] = ACTIONS(2392),
    [anon_sym_noreturn] = ACTIONS(2392),
    [anon_sym_mutable] = ACTIONS(2392),
    [anon_sym_constinit] = ACTIONS(2392),
    [anon_sym_consteval] = ACTIONS(2392),
    [sym_primitive_type] = ACTIONS(2392),
    [anon_sym_enum] = ACTIONS(2392),
    [anon_sym_class] = ACTIONS(2392),
    [anon_sym_struct] = ACTIONS(2392),
    [anon_sym_union] = ACTIONS(2392),
    [anon_sym_if] = ACTIONS(2392),
    [anon_sym_else] = ACTIONS(2392),
    [anon_sym_switch] = ACTIONS(2392),
    [anon_sym_case] = ACTIONS(2392),
    [anon_sym_default] = ACTIONS(2392),
    [anon_sym_while] = ACTIONS(2392),
    [anon_sym_do] = ACTIONS(2392),
    [anon_sym_for] = ACTIONS(2392),
    [anon_sym_return] = ACTIONS(2392),
    [anon_sym_break] = ACTIONS(2392),
    [anon_sym_continue] = ACTIONS(2392),
    [anon_sym_goto] = ACTIONS(2392),
    [anon_sym___try] = ACTIONS(2392),
    [anon_sym___leave] = ACTIONS(2392),
    [anon_sym_not] = ACTIONS(2392),
    [anon_sym_compl] = ACTIONS(2392),
    [anon_sym_DASH_DASH] = ACTIONS(2394),
    [anon_sym_PLUS_PLUS] = ACTIONS(2394),
    [anon_sym_sizeof] = ACTIONS(2392),
    [anon_sym___alignof__] = ACTIONS(2392),
    [anon_sym___alignof] = ACTIONS(2392),
    [anon_sym__alignof] = ACTIONS(2392),
    [anon_sym_alignof] = ACTIONS(2392),
    [anon_sym__Alignof] = ACTIONS(2392),
    [anon_sym_offsetof] = ACTIONS(2392),
    [anon_sym__Generic] = ACTIONS(2392),
    [anon_sym_asm] = ACTIONS(2392),
    [anon_sym___asm__] = ACTIONS(2392),
    [sym_number_literal] = ACTIONS(2394),
    [anon_sym_L_SQUOTE] = ACTIONS(2394),
    [anon_sym_u_SQUOTE] = ACTIONS(2394),
    [anon_sym_U_SQUOTE] = ACTIONS(2394),
    [anon_sym_u8_SQUOTE] = ACTIONS(2394),
    [anon_sym_SQUOTE] = ACTIONS(2394),
    [anon_sym_L_DQUOTE] = ACTIONS(2394),
    [anon_sym_u_DQUOTE] = ACTIONS(2394),
    [anon_sym_U_DQUOTE] = ACTIONS(2394),
    [anon_sym_u8_DQUOTE] = ACTIONS(2394),
    [anon_sym_DQUOTE] = ACTIONS(2394),
    [sym_true] = ACTIONS(2392),
    [sym_false] = ACTIONS(2392),
    [anon_sym_NULL] = ACTIONS(2392),
    [anon_sym_nullptr] = ACTIONS(2392),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2392),
    [anon_sym_decltype] = ACTIONS(2392),
    [anon_sym_virtual] = ACTIONS(2392),
    [anon_sym_alignas] = ACTIONS(2392),
    [anon_sym_explicit] = ACTIONS(2392),
    [anon_sym_typename] = ACTIONS(2392),
    [anon_sym_template] = ACTIONS(2392),
    [anon_sym_operator] = ACTIONS(2392),
    [anon_sym_try] = ACTIONS(2392),
    [anon_sym_delete] = ACTIONS(2392),
    [anon_sym_throw] = ACTIONS(2392),
    [anon_sym_namespace] = ACTIONS(2392),
    [anon_sym_using] = ACTIONS(2392),
    [anon_sym_static_assert] = ACTIONS(2392),
    [anon_sym_concept] = ACTIONS(2392),
    [anon_sym_co_return] = ACTIONS(2392),
    [anon_sym_co_yield] = ACTIONS(2392),
    [anon_sym_R_DQUOTE] = ACTIONS(2394),
    [anon_sym_LR_DQUOTE] = ACTIONS(2394),
    [anon_sym_uR_DQUOTE] = ACTIONS(2394),
    [anon_sym_UR_DQUOTE] = ACTIONS(2394),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2394),
    [anon_sym_co_await] = ACTIONS(2392),
    [anon_sym_new] = ACTIONS(2392),
    [anon_sym_requires] = ACTIONS(2392),
    [sym_this] = ACTIONS(2392),
    [anon_sym_discard] = ACTIONS(2392),
    [anon_sym_precise] = ACTIONS(2392),
    [anon_sym_shared] = ACTIONS(2392),
    [anon_sym_groupshared] = ACTIONS(2392),
    [anon_sym_uniform] = ACTIONS(2392),
    [anon_sym_row_major] = ACTIONS(2392),
    [anon_sym_column_major] = ACTIONS(2392),
    [anon_sym_globallycoherent] = ACTIONS(2392),
    [anon_sym_centroid] = ACTIONS(2392),
    [anon_sym_noperspective] = ACTIONS(2392),
    [anon_sym_nointerpolation] = ACTIONS(2392),
    [anon_sym_sample] = ACTIONS(2392),
    [anon_sym_linear] = ACTIONS(2392),
    [anon_sym_snorm] = ACTIONS(2392),
    [anon_sym_unorm] = ACTIONS(2392),
    [anon_sym_point] = ACTIONS(2392),
    [anon_sym_line] = ACTIONS(2392),
    [anon_sym_triangleadj] = ACTIONS(2392),
    [anon_sym_lineadj] = ACTIONS(2392),
    [anon_sym_triangle] = ACTIONS(2392),
    [anon_sym_cbuffer] = ACTIONS(2392),
  },
  [740] = {
    [ts_builtin_sym_end] = ACTIONS(2332),
    [sym_identifier] = ACTIONS(2330),
    [aux_sym_preproc_include_token1] = ACTIONS(2330),
    [aux_sym_preproc_def_token1] = ACTIONS(2330),
    [aux_sym_preproc_if_token1] = ACTIONS(2330),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2330),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2330),
    [sym_preproc_directive] = ACTIONS(2330),
    [anon_sym_LPAREN2] = ACTIONS(2332),
    [anon_sym_BANG] = ACTIONS(2332),
    [anon_sym_TILDE] = ACTIONS(2332),
    [anon_sym_DASH] = ACTIONS(2330),
    [anon_sym_PLUS] = ACTIONS(2330),
    [anon_sym_STAR] = ACTIONS(2332),
    [anon_sym_AMP_AMP] = ACTIONS(2332),
    [anon_sym_AMP] = ACTIONS(2330),
    [anon_sym_SEMI] = ACTIONS(2332),
    [anon_sym___extension__] = ACTIONS(2330),
    [anon_sym_typedef] = ACTIONS(2330),
    [anon_sym_in] = ACTIONS(2330),
    [anon_sym_out] = ACTIONS(2330),
    [anon_sym_inout] = ACTIONS(2330),
    [anon_sym_extern] = ACTIONS(2330),
    [anon_sym___attribute__] = ACTIONS(2330),
    [anon_sym_COLON_COLON] = ACTIONS(2332),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2332),
    [anon_sym___declspec] = ACTIONS(2330),
    [anon_sym___based] = ACTIONS(2330),
    [anon_sym___cdecl] = ACTIONS(2330),
    [anon_sym___clrcall] = ACTIONS(2330),
    [anon_sym___stdcall] = ACTIONS(2330),
    [anon_sym___fastcall] = ACTIONS(2330),
    [anon_sym___thiscall] = ACTIONS(2330),
    [anon_sym___vectorcall] = ACTIONS(2330),
    [anon_sym_LBRACE] = ACTIONS(2332),
    [anon_sym_signed] = ACTIONS(2330),
    [anon_sym_unsigned] = ACTIONS(2330),
    [anon_sym_long] = ACTIONS(2330),
    [anon_sym_short] = ACTIONS(2330),
    [anon_sym_LBRACK] = ACTIONS(2330),
    [anon_sym_static] = ACTIONS(2330),
    [anon_sym_register] = ACTIONS(2330),
    [anon_sym_inline] = ACTIONS(2330),
    [anon_sym___inline] = ACTIONS(2330),
    [anon_sym___inline__] = ACTIONS(2330),
    [anon_sym___forceinline] = ACTIONS(2330),
    [anon_sym_thread_local] = ACTIONS(2330),
    [anon_sym___thread] = ACTIONS(2330),
    [anon_sym_const] = ACTIONS(2330),
    [anon_sym_constexpr] = ACTIONS(2330),
    [anon_sym_volatile] = ACTIONS(2330),
    [anon_sym_restrict] = ACTIONS(2330),
    [anon_sym___restrict__] = ACTIONS(2330),
    [anon_sym__Atomic] = ACTIONS(2330),
    [anon_sym__Noreturn] = ACTIONS(2330),
    [anon_sym_noreturn] = ACTIONS(2330),
    [anon_sym_mutable] = ACTIONS(2330),
    [anon_sym_constinit] = ACTIONS(2330),
    [anon_sym_consteval] = ACTIONS(2330),
    [sym_primitive_type] = ACTIONS(2330),
    [anon_sym_enum] = ACTIONS(2330),
    [anon_sym_class] = ACTIONS(2330),
    [anon_sym_struct] = ACTIONS(2330),
    [anon_sym_union] = ACTIONS(2330),
    [anon_sym_if] = ACTIONS(2330),
    [anon_sym_else] = ACTIONS(2330),
    [anon_sym_switch] = ACTIONS(2330),
    [anon_sym_case] = ACTIONS(2330),
    [anon_sym_default] = ACTIONS(2330),
    [anon_sym_while] = ACTIONS(2330),
    [anon_sym_do] = ACTIONS(2330),
    [anon_sym_for] = ACTIONS(2330),
    [anon_sym_return] = ACTIONS(2330),
    [anon_sym_break] = ACTIONS(2330),
    [anon_sym_continue] = ACTIONS(2330),
    [anon_sym_goto] = ACTIONS(2330),
    [anon_sym___try] = ACTIONS(2330),
    [anon_sym___leave] = ACTIONS(2330),
    [anon_sym_not] = ACTIONS(2330),
    [anon_sym_compl] = ACTIONS(2330),
    [anon_sym_DASH_DASH] = ACTIONS(2332),
    [anon_sym_PLUS_PLUS] = ACTIONS(2332),
    [anon_sym_sizeof] = ACTIONS(2330),
    [anon_sym___alignof__] = ACTIONS(2330),
    [anon_sym___alignof] = ACTIONS(2330),
    [anon_sym__alignof] = ACTIONS(2330),
    [anon_sym_alignof] = ACTIONS(2330),
    [anon_sym__Alignof] = ACTIONS(2330),
    [anon_sym_offsetof] = ACTIONS(2330),
    [anon_sym__Generic] = ACTIONS(2330),
    [anon_sym_asm] = ACTIONS(2330),
    [anon_sym___asm__] = ACTIONS(2330),
    [sym_number_literal] = ACTIONS(2332),
    [anon_sym_L_SQUOTE] = ACTIONS(2332),
    [anon_sym_u_SQUOTE] = ACTIONS(2332),
    [anon_sym_U_SQUOTE] = ACTIONS(2332),
    [anon_sym_u8_SQUOTE] = ACTIONS(2332),
    [anon_sym_SQUOTE] = ACTIONS(2332),
    [anon_sym_L_DQUOTE] = ACTIONS(2332),
    [anon_sym_u_DQUOTE] = ACTIONS(2332),
    [anon_sym_U_DQUOTE] = ACTIONS(2332),
    [anon_sym_u8_DQUOTE] = ACTIONS(2332),
    [anon_sym_DQUOTE] = ACTIONS(2332),
    [sym_true] = ACTIONS(2330),
    [sym_false] = ACTIONS(2330),
    [anon_sym_NULL] = ACTIONS(2330),
    [anon_sym_nullptr] = ACTIONS(2330),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2330),
    [anon_sym_decltype] = ACTIONS(2330),
    [anon_sym_virtual] = ACTIONS(2330),
    [anon_sym_alignas] = ACTIONS(2330),
    [anon_sym_explicit] = ACTIONS(2330),
    [anon_sym_typename] = ACTIONS(2330),
    [anon_sym_template] = ACTIONS(2330),
    [anon_sym_operator] = ACTIONS(2330),
    [anon_sym_try] = ACTIONS(2330),
    [anon_sym_delete] = ACTIONS(2330),
    [anon_sym_throw] = ACTIONS(2330),
    [anon_sym_namespace] = ACTIONS(2330),
    [anon_sym_using] = ACTIONS(2330),
    [anon_sym_static_assert] = ACTIONS(2330),
    [anon_sym_concept] = ACTIONS(2330),
    [anon_sym_co_return] = ACTIONS(2330),
    [anon_sym_co_yield] = ACTIONS(2330),
    [anon_sym_R_DQUOTE] = ACTIONS(2332),
    [anon_sym_LR_DQUOTE] = ACTIONS(2332),
    [anon_sym_uR_DQUOTE] = ACTIONS(2332),
    [anon_sym_UR_DQUOTE] = ACTIONS(2332),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2332),
    [anon_sym_co_await] = ACTIONS(2330),
    [anon_sym_new] = ACTIONS(2330),
    [anon_sym_requires] = ACTIONS(2330),
    [sym_this] = ACTIONS(2330),
    [anon_sym_discard] = ACTIONS(2330),
    [anon_sym_precise] = ACTIONS(2330),
    [anon_sym_shared] = ACTIONS(2330),
    [anon_sym_groupshared] = ACTIONS(2330),
    [anon_sym_uniform] = ACTIONS(2330),
    [anon_sym_row_major] = ACTIONS(2330),
    [anon_sym_column_major] = ACTIONS(2330),
    [anon_sym_globallycoherent] = ACTIONS(2330),
    [anon_sym_centroid] = ACTIONS(2330),
    [anon_sym_noperspective] = ACTIONS(2330),
    [anon_sym_nointerpolation] = ACTIONS(2330),
    [anon_sym_sample] = ACTIONS(2330),
    [anon_sym_linear] = ACTIONS(2330),
    [anon_sym_snorm] = ACTIONS(2330),
    [anon_sym_unorm] = ACTIONS(2330),
    [anon_sym_point] = ACTIONS(2330),
    [anon_sym_line] = ACTIONS(2330),
    [anon_sym_triangleadj] = ACTIONS(2330),
    [anon_sym_lineadj] = ACTIONS(2330),
    [anon_sym_triangle] = ACTIONS(2330),
    [anon_sym_cbuffer] = ACTIONS(2330),
  },
  [741] = {
    [sym_identifier] = ACTIONS(2428),
    [aux_sym_preproc_include_token1] = ACTIONS(2428),
    [aux_sym_preproc_def_token1] = ACTIONS(2428),
    [aux_sym_preproc_if_token1] = ACTIONS(2428),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2428),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2428),
    [sym_preproc_directive] = ACTIONS(2428),
    [anon_sym_LPAREN2] = ACTIONS(2430),
    [anon_sym_BANG] = ACTIONS(2430),
    [anon_sym_TILDE] = ACTIONS(2430),
    [anon_sym_DASH] = ACTIONS(2428),
    [anon_sym_PLUS] = ACTIONS(2428),
    [anon_sym_STAR] = ACTIONS(2430),
    [anon_sym_AMP_AMP] = ACTIONS(2430),
    [anon_sym_AMP] = ACTIONS(2428),
    [anon_sym_SEMI] = ACTIONS(2430),
    [anon_sym___extension__] = ACTIONS(2428),
    [anon_sym_typedef] = ACTIONS(2428),
    [anon_sym_in] = ACTIONS(2428),
    [anon_sym_out] = ACTIONS(2428),
    [anon_sym_inout] = ACTIONS(2428),
    [anon_sym_extern] = ACTIONS(2428),
    [anon_sym___attribute__] = ACTIONS(2428),
    [anon_sym_COLON_COLON] = ACTIONS(2430),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2430),
    [anon_sym___declspec] = ACTIONS(2428),
    [anon_sym___based] = ACTIONS(2428),
    [anon_sym___cdecl] = ACTIONS(2428),
    [anon_sym___clrcall] = ACTIONS(2428),
    [anon_sym___stdcall] = ACTIONS(2428),
    [anon_sym___fastcall] = ACTIONS(2428),
    [anon_sym___thiscall] = ACTIONS(2428),
    [anon_sym___vectorcall] = ACTIONS(2428),
    [anon_sym_LBRACE] = ACTIONS(2430),
    [anon_sym_RBRACE] = ACTIONS(2430),
    [anon_sym_signed] = ACTIONS(2428),
    [anon_sym_unsigned] = ACTIONS(2428),
    [anon_sym_long] = ACTIONS(2428),
    [anon_sym_short] = ACTIONS(2428),
    [anon_sym_LBRACK] = ACTIONS(2428),
    [anon_sym_static] = ACTIONS(2428),
    [anon_sym_register] = ACTIONS(2428),
    [anon_sym_inline] = ACTIONS(2428),
    [anon_sym___inline] = ACTIONS(2428),
    [anon_sym___inline__] = ACTIONS(2428),
    [anon_sym___forceinline] = ACTIONS(2428),
    [anon_sym_thread_local] = ACTIONS(2428),
    [anon_sym___thread] = ACTIONS(2428),
    [anon_sym_const] = ACTIONS(2428),
    [anon_sym_constexpr] = ACTIONS(2428),
    [anon_sym_volatile] = ACTIONS(2428),
    [anon_sym_restrict] = ACTIONS(2428),
    [anon_sym___restrict__] = ACTIONS(2428),
    [anon_sym__Atomic] = ACTIONS(2428),
    [anon_sym__Noreturn] = ACTIONS(2428),
    [anon_sym_noreturn] = ACTIONS(2428),
    [anon_sym_mutable] = ACTIONS(2428),
    [anon_sym_constinit] = ACTIONS(2428),
    [anon_sym_consteval] = ACTIONS(2428),
    [sym_primitive_type] = ACTIONS(2428),
    [anon_sym_enum] = ACTIONS(2428),
    [anon_sym_class] = ACTIONS(2428),
    [anon_sym_struct] = ACTIONS(2428),
    [anon_sym_union] = ACTIONS(2428),
    [anon_sym_if] = ACTIONS(2428),
    [anon_sym_else] = ACTIONS(2428),
    [anon_sym_switch] = ACTIONS(2428),
    [anon_sym_case] = ACTIONS(2428),
    [anon_sym_default] = ACTIONS(2428),
    [anon_sym_while] = ACTIONS(2428),
    [anon_sym_do] = ACTIONS(2428),
    [anon_sym_for] = ACTIONS(2428),
    [anon_sym_return] = ACTIONS(2428),
    [anon_sym_break] = ACTIONS(2428),
    [anon_sym_continue] = ACTIONS(2428),
    [anon_sym_goto] = ACTIONS(2428),
    [anon_sym___try] = ACTIONS(2428),
    [anon_sym___leave] = ACTIONS(2428),
    [anon_sym_not] = ACTIONS(2428),
    [anon_sym_compl] = ACTIONS(2428),
    [anon_sym_DASH_DASH] = ACTIONS(2430),
    [anon_sym_PLUS_PLUS] = ACTIONS(2430),
    [anon_sym_sizeof] = ACTIONS(2428),
    [anon_sym___alignof__] = ACTIONS(2428),
    [anon_sym___alignof] = ACTIONS(2428),
    [anon_sym__alignof] = ACTIONS(2428),
    [anon_sym_alignof] = ACTIONS(2428),
    [anon_sym__Alignof] = ACTIONS(2428),
    [anon_sym_offsetof] = ACTIONS(2428),
    [anon_sym__Generic] = ACTIONS(2428),
    [anon_sym_asm] = ACTIONS(2428),
    [anon_sym___asm__] = ACTIONS(2428),
    [sym_number_literal] = ACTIONS(2430),
    [anon_sym_L_SQUOTE] = ACTIONS(2430),
    [anon_sym_u_SQUOTE] = ACTIONS(2430),
    [anon_sym_U_SQUOTE] = ACTIONS(2430),
    [anon_sym_u8_SQUOTE] = ACTIONS(2430),
    [anon_sym_SQUOTE] = ACTIONS(2430),
    [anon_sym_L_DQUOTE] = ACTIONS(2430),
    [anon_sym_u_DQUOTE] = ACTIONS(2430),
    [anon_sym_U_DQUOTE] = ACTIONS(2430),
    [anon_sym_u8_DQUOTE] = ACTIONS(2430),
    [anon_sym_DQUOTE] = ACTIONS(2430),
    [sym_true] = ACTIONS(2428),
    [sym_false] = ACTIONS(2428),
    [anon_sym_NULL] = ACTIONS(2428),
    [anon_sym_nullptr] = ACTIONS(2428),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2428),
    [anon_sym_decltype] = ACTIONS(2428),
    [anon_sym_virtual] = ACTIONS(2428),
    [anon_sym_alignas] = ACTIONS(2428),
    [anon_sym_explicit] = ACTIONS(2428),
    [anon_sym_typename] = ACTIONS(2428),
    [anon_sym_template] = ACTIONS(2428),
    [anon_sym_operator] = ACTIONS(2428),
    [anon_sym_try] = ACTIONS(2428),
    [anon_sym_delete] = ACTIONS(2428),
    [anon_sym_throw] = ACTIONS(2428),
    [anon_sym_namespace] = ACTIONS(2428),
    [anon_sym_using] = ACTIONS(2428),
    [anon_sym_static_assert] = ACTIONS(2428),
    [anon_sym_concept] = ACTIONS(2428),
    [anon_sym_co_return] = ACTIONS(2428),
    [anon_sym_co_yield] = ACTIONS(2428),
    [anon_sym_R_DQUOTE] = ACTIONS(2430),
    [anon_sym_LR_DQUOTE] = ACTIONS(2430),
    [anon_sym_uR_DQUOTE] = ACTIONS(2430),
    [anon_sym_UR_DQUOTE] = ACTIONS(2430),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2430),
    [anon_sym_co_await] = ACTIONS(2428),
    [anon_sym_new] = ACTIONS(2428),
    [anon_sym_requires] = ACTIONS(2428),
    [sym_this] = ACTIONS(2428),
    [anon_sym_discard] = ACTIONS(2428),
    [anon_sym_precise] = ACTIONS(2428),
    [anon_sym_shared] = ACTIONS(2428),
    [anon_sym_groupshared] = ACTIONS(2428),
    [anon_sym_uniform] = ACTIONS(2428),
    [anon_sym_row_major] = ACTIONS(2428),
    [anon_sym_column_major] = ACTIONS(2428),
    [anon_sym_globallycoherent] = ACTIONS(2428),
    [anon_sym_centroid] = ACTIONS(2428),
    [anon_sym_noperspective] = ACTIONS(2428),
    [anon_sym_nointerpolation] = ACTIONS(2428),
    [anon_sym_sample] = ACTIONS(2428),
    [anon_sym_linear] = ACTIONS(2428),
    [anon_sym_snorm] = ACTIONS(2428),
    [anon_sym_unorm] = ACTIONS(2428),
    [anon_sym_point] = ACTIONS(2428),
    [anon_sym_line] = ACTIONS(2428),
    [anon_sym_triangleadj] = ACTIONS(2428),
    [anon_sym_lineadj] = ACTIONS(2428),
    [anon_sym_triangle] = ACTIONS(2428),
    [anon_sym_cbuffer] = ACTIONS(2428),
  },
  [742] = {
    [sym_identifier] = ACTIONS(2424),
    [aux_sym_preproc_include_token1] = ACTIONS(2424),
    [aux_sym_preproc_def_token1] = ACTIONS(2424),
    [aux_sym_preproc_if_token1] = ACTIONS(2424),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2424),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2424),
    [sym_preproc_directive] = ACTIONS(2424),
    [anon_sym_LPAREN2] = ACTIONS(2426),
    [anon_sym_BANG] = ACTIONS(2426),
    [anon_sym_TILDE] = ACTIONS(2426),
    [anon_sym_DASH] = ACTIONS(2424),
    [anon_sym_PLUS] = ACTIONS(2424),
    [anon_sym_STAR] = ACTIONS(2426),
    [anon_sym_AMP_AMP] = ACTIONS(2426),
    [anon_sym_AMP] = ACTIONS(2424),
    [anon_sym_SEMI] = ACTIONS(2426),
    [anon_sym___extension__] = ACTIONS(2424),
    [anon_sym_typedef] = ACTIONS(2424),
    [anon_sym_in] = ACTIONS(2424),
    [anon_sym_out] = ACTIONS(2424),
    [anon_sym_inout] = ACTIONS(2424),
    [anon_sym_extern] = ACTIONS(2424),
    [anon_sym___attribute__] = ACTIONS(2424),
    [anon_sym_COLON_COLON] = ACTIONS(2426),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2426),
    [anon_sym___declspec] = ACTIONS(2424),
    [anon_sym___based] = ACTIONS(2424),
    [anon_sym___cdecl] = ACTIONS(2424),
    [anon_sym___clrcall] = ACTIONS(2424),
    [anon_sym___stdcall] = ACTIONS(2424),
    [anon_sym___fastcall] = ACTIONS(2424),
    [anon_sym___thiscall] = ACTIONS(2424),
    [anon_sym___vectorcall] = ACTIONS(2424),
    [anon_sym_LBRACE] = ACTIONS(2426),
    [anon_sym_RBRACE] = ACTIONS(2426),
    [anon_sym_signed] = ACTIONS(2424),
    [anon_sym_unsigned] = ACTIONS(2424),
    [anon_sym_long] = ACTIONS(2424),
    [anon_sym_short] = ACTIONS(2424),
    [anon_sym_LBRACK] = ACTIONS(2424),
    [anon_sym_static] = ACTIONS(2424),
    [anon_sym_register] = ACTIONS(2424),
    [anon_sym_inline] = ACTIONS(2424),
    [anon_sym___inline] = ACTIONS(2424),
    [anon_sym___inline__] = ACTIONS(2424),
    [anon_sym___forceinline] = ACTIONS(2424),
    [anon_sym_thread_local] = ACTIONS(2424),
    [anon_sym___thread] = ACTIONS(2424),
    [anon_sym_const] = ACTIONS(2424),
    [anon_sym_constexpr] = ACTIONS(2424),
    [anon_sym_volatile] = ACTIONS(2424),
    [anon_sym_restrict] = ACTIONS(2424),
    [anon_sym___restrict__] = ACTIONS(2424),
    [anon_sym__Atomic] = ACTIONS(2424),
    [anon_sym__Noreturn] = ACTIONS(2424),
    [anon_sym_noreturn] = ACTIONS(2424),
    [anon_sym_mutable] = ACTIONS(2424),
    [anon_sym_constinit] = ACTIONS(2424),
    [anon_sym_consteval] = ACTIONS(2424),
    [sym_primitive_type] = ACTIONS(2424),
    [anon_sym_enum] = ACTIONS(2424),
    [anon_sym_class] = ACTIONS(2424),
    [anon_sym_struct] = ACTIONS(2424),
    [anon_sym_union] = ACTIONS(2424),
    [anon_sym_if] = ACTIONS(2424),
    [anon_sym_else] = ACTIONS(2424),
    [anon_sym_switch] = ACTIONS(2424),
    [anon_sym_case] = ACTIONS(2424),
    [anon_sym_default] = ACTIONS(2424),
    [anon_sym_while] = ACTIONS(2424),
    [anon_sym_do] = ACTIONS(2424),
    [anon_sym_for] = ACTIONS(2424),
    [anon_sym_return] = ACTIONS(2424),
    [anon_sym_break] = ACTIONS(2424),
    [anon_sym_continue] = ACTIONS(2424),
    [anon_sym_goto] = ACTIONS(2424),
    [anon_sym___try] = ACTIONS(2424),
    [anon_sym___leave] = ACTIONS(2424),
    [anon_sym_not] = ACTIONS(2424),
    [anon_sym_compl] = ACTIONS(2424),
    [anon_sym_DASH_DASH] = ACTIONS(2426),
    [anon_sym_PLUS_PLUS] = ACTIONS(2426),
    [anon_sym_sizeof] = ACTIONS(2424),
    [anon_sym___alignof__] = ACTIONS(2424),
    [anon_sym___alignof] = ACTIONS(2424),
    [anon_sym__alignof] = ACTIONS(2424),
    [anon_sym_alignof] = ACTIONS(2424),
    [anon_sym__Alignof] = ACTIONS(2424),
    [anon_sym_offsetof] = ACTIONS(2424),
    [anon_sym__Generic] = ACTIONS(2424),
    [anon_sym_asm] = ACTIONS(2424),
    [anon_sym___asm__] = ACTIONS(2424),
    [sym_number_literal] = ACTIONS(2426),
    [anon_sym_L_SQUOTE] = ACTIONS(2426),
    [anon_sym_u_SQUOTE] = ACTIONS(2426),
    [anon_sym_U_SQUOTE] = ACTIONS(2426),
    [anon_sym_u8_SQUOTE] = ACTIONS(2426),
    [anon_sym_SQUOTE] = ACTIONS(2426),
    [anon_sym_L_DQUOTE] = ACTIONS(2426),
    [anon_sym_u_DQUOTE] = ACTIONS(2426),
    [anon_sym_U_DQUOTE] = ACTIONS(2426),
    [anon_sym_u8_DQUOTE] = ACTIONS(2426),
    [anon_sym_DQUOTE] = ACTIONS(2426),
    [sym_true] = ACTIONS(2424),
    [sym_false] = ACTIONS(2424),
    [anon_sym_NULL] = ACTIONS(2424),
    [anon_sym_nullptr] = ACTIONS(2424),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2424),
    [anon_sym_decltype] = ACTIONS(2424),
    [anon_sym_virtual] = ACTIONS(2424),
    [anon_sym_alignas] = ACTIONS(2424),
    [anon_sym_explicit] = ACTIONS(2424),
    [anon_sym_typename] = ACTIONS(2424),
    [anon_sym_template] = ACTIONS(2424),
    [anon_sym_operator] = ACTIONS(2424),
    [anon_sym_try] = ACTIONS(2424),
    [anon_sym_delete] = ACTIONS(2424),
    [anon_sym_throw] = ACTIONS(2424),
    [anon_sym_namespace] = ACTIONS(2424),
    [anon_sym_using] = ACTIONS(2424),
    [anon_sym_static_assert] = ACTIONS(2424),
    [anon_sym_concept] = ACTIONS(2424),
    [anon_sym_co_return] = ACTIONS(2424),
    [anon_sym_co_yield] = ACTIONS(2424),
    [anon_sym_R_DQUOTE] = ACTIONS(2426),
    [anon_sym_LR_DQUOTE] = ACTIONS(2426),
    [anon_sym_uR_DQUOTE] = ACTIONS(2426),
    [anon_sym_UR_DQUOTE] = ACTIONS(2426),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2426),
    [anon_sym_co_await] = ACTIONS(2424),
    [anon_sym_new] = ACTIONS(2424),
    [anon_sym_requires] = ACTIONS(2424),
    [sym_this] = ACTIONS(2424),
    [anon_sym_discard] = ACTIONS(2424),
    [anon_sym_precise] = ACTIONS(2424),
    [anon_sym_shared] = ACTIONS(2424),
    [anon_sym_groupshared] = ACTIONS(2424),
    [anon_sym_uniform] = ACTIONS(2424),
    [anon_sym_row_major] = ACTIONS(2424),
    [anon_sym_column_major] = ACTIONS(2424),
    [anon_sym_globallycoherent] = ACTIONS(2424),
    [anon_sym_centroid] = ACTIONS(2424),
    [anon_sym_noperspective] = ACTIONS(2424),
    [anon_sym_nointerpolation] = ACTIONS(2424),
    [anon_sym_sample] = ACTIONS(2424),
    [anon_sym_linear] = ACTIONS(2424),
    [anon_sym_snorm] = ACTIONS(2424),
    [anon_sym_unorm] = ACTIONS(2424),
    [anon_sym_point] = ACTIONS(2424),
    [anon_sym_line] = ACTIONS(2424),
    [anon_sym_triangleadj] = ACTIONS(2424),
    [anon_sym_lineadj] = ACTIONS(2424),
    [anon_sym_triangle] = ACTIONS(2424),
    [anon_sym_cbuffer] = ACTIONS(2424),
  },
  [743] = {
    [sym_identifier] = ACTIONS(2416),
    [aux_sym_preproc_include_token1] = ACTIONS(2416),
    [aux_sym_preproc_def_token1] = ACTIONS(2416),
    [aux_sym_preproc_if_token1] = ACTIONS(2416),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2416),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2416),
    [sym_preproc_directive] = ACTIONS(2416),
    [anon_sym_LPAREN2] = ACTIONS(2418),
    [anon_sym_BANG] = ACTIONS(2418),
    [anon_sym_TILDE] = ACTIONS(2418),
    [anon_sym_DASH] = ACTIONS(2416),
    [anon_sym_PLUS] = ACTIONS(2416),
    [anon_sym_STAR] = ACTIONS(2418),
    [anon_sym_AMP_AMP] = ACTIONS(2418),
    [anon_sym_AMP] = ACTIONS(2416),
    [anon_sym_SEMI] = ACTIONS(2418),
    [anon_sym___extension__] = ACTIONS(2416),
    [anon_sym_typedef] = ACTIONS(2416),
    [anon_sym_in] = ACTIONS(2416),
    [anon_sym_out] = ACTIONS(2416),
    [anon_sym_inout] = ACTIONS(2416),
    [anon_sym_extern] = ACTIONS(2416),
    [anon_sym___attribute__] = ACTIONS(2416),
    [anon_sym_COLON_COLON] = ACTIONS(2418),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2418),
    [anon_sym___declspec] = ACTIONS(2416),
    [anon_sym___based] = ACTIONS(2416),
    [anon_sym___cdecl] = ACTIONS(2416),
    [anon_sym___clrcall] = ACTIONS(2416),
    [anon_sym___stdcall] = ACTIONS(2416),
    [anon_sym___fastcall] = ACTIONS(2416),
    [anon_sym___thiscall] = ACTIONS(2416),
    [anon_sym___vectorcall] = ACTIONS(2416),
    [anon_sym_LBRACE] = ACTIONS(2418),
    [anon_sym_RBRACE] = ACTIONS(2418),
    [anon_sym_signed] = ACTIONS(2416),
    [anon_sym_unsigned] = ACTIONS(2416),
    [anon_sym_long] = ACTIONS(2416),
    [anon_sym_short] = ACTIONS(2416),
    [anon_sym_LBRACK] = ACTIONS(2416),
    [anon_sym_static] = ACTIONS(2416),
    [anon_sym_register] = ACTIONS(2416),
    [anon_sym_inline] = ACTIONS(2416),
    [anon_sym___inline] = ACTIONS(2416),
    [anon_sym___inline__] = ACTIONS(2416),
    [anon_sym___forceinline] = ACTIONS(2416),
    [anon_sym_thread_local] = ACTIONS(2416),
    [anon_sym___thread] = ACTIONS(2416),
    [anon_sym_const] = ACTIONS(2416),
    [anon_sym_constexpr] = ACTIONS(2416),
    [anon_sym_volatile] = ACTIONS(2416),
    [anon_sym_restrict] = ACTIONS(2416),
    [anon_sym___restrict__] = ACTIONS(2416),
    [anon_sym__Atomic] = ACTIONS(2416),
    [anon_sym__Noreturn] = ACTIONS(2416),
    [anon_sym_noreturn] = ACTIONS(2416),
    [anon_sym_mutable] = ACTIONS(2416),
    [anon_sym_constinit] = ACTIONS(2416),
    [anon_sym_consteval] = ACTIONS(2416),
    [sym_primitive_type] = ACTIONS(2416),
    [anon_sym_enum] = ACTIONS(2416),
    [anon_sym_class] = ACTIONS(2416),
    [anon_sym_struct] = ACTIONS(2416),
    [anon_sym_union] = ACTIONS(2416),
    [anon_sym_if] = ACTIONS(2416),
    [anon_sym_else] = ACTIONS(2416),
    [anon_sym_switch] = ACTIONS(2416),
    [anon_sym_case] = ACTIONS(2416),
    [anon_sym_default] = ACTIONS(2416),
    [anon_sym_while] = ACTIONS(2416),
    [anon_sym_do] = ACTIONS(2416),
    [anon_sym_for] = ACTIONS(2416),
    [anon_sym_return] = ACTIONS(2416),
    [anon_sym_break] = ACTIONS(2416),
    [anon_sym_continue] = ACTIONS(2416),
    [anon_sym_goto] = ACTIONS(2416),
    [anon_sym___try] = ACTIONS(2416),
    [anon_sym___leave] = ACTIONS(2416),
    [anon_sym_not] = ACTIONS(2416),
    [anon_sym_compl] = ACTIONS(2416),
    [anon_sym_DASH_DASH] = ACTIONS(2418),
    [anon_sym_PLUS_PLUS] = ACTIONS(2418),
    [anon_sym_sizeof] = ACTIONS(2416),
    [anon_sym___alignof__] = ACTIONS(2416),
    [anon_sym___alignof] = ACTIONS(2416),
    [anon_sym__alignof] = ACTIONS(2416),
    [anon_sym_alignof] = ACTIONS(2416),
    [anon_sym__Alignof] = ACTIONS(2416),
    [anon_sym_offsetof] = ACTIONS(2416),
    [anon_sym__Generic] = ACTIONS(2416),
    [anon_sym_asm] = ACTIONS(2416),
    [anon_sym___asm__] = ACTIONS(2416),
    [sym_number_literal] = ACTIONS(2418),
    [anon_sym_L_SQUOTE] = ACTIONS(2418),
    [anon_sym_u_SQUOTE] = ACTIONS(2418),
    [anon_sym_U_SQUOTE] = ACTIONS(2418),
    [anon_sym_u8_SQUOTE] = ACTIONS(2418),
    [anon_sym_SQUOTE] = ACTIONS(2418),
    [anon_sym_L_DQUOTE] = ACTIONS(2418),
    [anon_sym_u_DQUOTE] = ACTIONS(2418),
    [anon_sym_U_DQUOTE] = ACTIONS(2418),
    [anon_sym_u8_DQUOTE] = ACTIONS(2418),
    [anon_sym_DQUOTE] = ACTIONS(2418),
    [sym_true] = ACTIONS(2416),
    [sym_false] = ACTIONS(2416),
    [anon_sym_NULL] = ACTIONS(2416),
    [anon_sym_nullptr] = ACTIONS(2416),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2416),
    [anon_sym_decltype] = ACTIONS(2416),
    [anon_sym_virtual] = ACTIONS(2416),
    [anon_sym_alignas] = ACTIONS(2416),
    [anon_sym_explicit] = ACTIONS(2416),
    [anon_sym_typename] = ACTIONS(2416),
    [anon_sym_template] = ACTIONS(2416),
    [anon_sym_operator] = ACTIONS(2416),
    [anon_sym_try] = ACTIONS(2416),
    [anon_sym_delete] = ACTIONS(2416),
    [anon_sym_throw] = ACTIONS(2416),
    [anon_sym_namespace] = ACTIONS(2416),
    [anon_sym_using] = ACTIONS(2416),
    [anon_sym_static_assert] = ACTIONS(2416),
    [anon_sym_concept] = ACTIONS(2416),
    [anon_sym_co_return] = ACTIONS(2416),
    [anon_sym_co_yield] = ACTIONS(2416),
    [anon_sym_R_DQUOTE] = ACTIONS(2418),
    [anon_sym_LR_DQUOTE] = ACTIONS(2418),
    [anon_sym_uR_DQUOTE] = ACTIONS(2418),
    [anon_sym_UR_DQUOTE] = ACTIONS(2418),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2418),
    [anon_sym_co_await] = ACTIONS(2416),
    [anon_sym_new] = ACTIONS(2416),
    [anon_sym_requires] = ACTIONS(2416),
    [sym_this] = ACTIONS(2416),
    [anon_sym_discard] = ACTIONS(2416),
    [anon_sym_precise] = ACTIONS(2416),
    [anon_sym_shared] = ACTIONS(2416),
    [anon_sym_groupshared] = ACTIONS(2416),
    [anon_sym_uniform] = ACTIONS(2416),
    [anon_sym_row_major] = ACTIONS(2416),
    [anon_sym_column_major] = ACTIONS(2416),
    [anon_sym_globallycoherent] = ACTIONS(2416),
    [anon_sym_centroid] = ACTIONS(2416),
    [anon_sym_noperspective] = ACTIONS(2416),
    [anon_sym_nointerpolation] = ACTIONS(2416),
    [anon_sym_sample] = ACTIONS(2416),
    [anon_sym_linear] = ACTIONS(2416),
    [anon_sym_snorm] = ACTIONS(2416),
    [anon_sym_unorm] = ACTIONS(2416),
    [anon_sym_point] = ACTIONS(2416),
    [anon_sym_line] = ACTIONS(2416),
    [anon_sym_triangleadj] = ACTIONS(2416),
    [anon_sym_lineadj] = ACTIONS(2416),
    [anon_sym_triangle] = ACTIONS(2416),
    [anon_sym_cbuffer] = ACTIONS(2416),
  },
  [744] = {
    [sym_identifier] = ACTIONS(2388),
    [aux_sym_preproc_include_token1] = ACTIONS(2388),
    [aux_sym_preproc_def_token1] = ACTIONS(2388),
    [aux_sym_preproc_if_token1] = ACTIONS(2388),
    [aux_sym_preproc_if_token2] = ACTIONS(2388),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2388),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2388),
    [sym_preproc_directive] = ACTIONS(2388),
    [anon_sym_LPAREN2] = ACTIONS(2390),
    [anon_sym_BANG] = ACTIONS(2390),
    [anon_sym_TILDE] = ACTIONS(2390),
    [anon_sym_DASH] = ACTIONS(2388),
    [anon_sym_PLUS] = ACTIONS(2388),
    [anon_sym_STAR] = ACTIONS(2390),
    [anon_sym_AMP_AMP] = ACTIONS(2390),
    [anon_sym_AMP] = ACTIONS(2388),
    [anon_sym_SEMI] = ACTIONS(2390),
    [anon_sym___extension__] = ACTIONS(2388),
    [anon_sym_typedef] = ACTIONS(2388),
    [anon_sym_in] = ACTIONS(2388),
    [anon_sym_out] = ACTIONS(2388),
    [anon_sym_inout] = ACTIONS(2388),
    [anon_sym_extern] = ACTIONS(2388),
    [anon_sym___attribute__] = ACTIONS(2388),
    [anon_sym_COLON_COLON] = ACTIONS(2390),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2390),
    [anon_sym___declspec] = ACTIONS(2388),
    [anon_sym___based] = ACTIONS(2388),
    [anon_sym___cdecl] = ACTIONS(2388),
    [anon_sym___clrcall] = ACTIONS(2388),
    [anon_sym___stdcall] = ACTIONS(2388),
    [anon_sym___fastcall] = ACTIONS(2388),
    [anon_sym___thiscall] = ACTIONS(2388),
    [anon_sym___vectorcall] = ACTIONS(2388),
    [anon_sym_LBRACE] = ACTIONS(2390),
    [anon_sym_signed] = ACTIONS(2388),
    [anon_sym_unsigned] = ACTIONS(2388),
    [anon_sym_long] = ACTIONS(2388),
    [anon_sym_short] = ACTIONS(2388),
    [anon_sym_LBRACK] = ACTIONS(2388),
    [anon_sym_static] = ACTIONS(2388),
    [anon_sym_register] = ACTIONS(2388),
    [anon_sym_inline] = ACTIONS(2388),
    [anon_sym___inline] = ACTIONS(2388),
    [anon_sym___inline__] = ACTIONS(2388),
    [anon_sym___forceinline] = ACTIONS(2388),
    [anon_sym_thread_local] = ACTIONS(2388),
    [anon_sym___thread] = ACTIONS(2388),
    [anon_sym_const] = ACTIONS(2388),
    [anon_sym_constexpr] = ACTIONS(2388),
    [anon_sym_volatile] = ACTIONS(2388),
    [anon_sym_restrict] = ACTIONS(2388),
    [anon_sym___restrict__] = ACTIONS(2388),
    [anon_sym__Atomic] = ACTIONS(2388),
    [anon_sym__Noreturn] = ACTIONS(2388),
    [anon_sym_noreturn] = ACTIONS(2388),
    [anon_sym_mutable] = ACTIONS(2388),
    [anon_sym_constinit] = ACTIONS(2388),
    [anon_sym_consteval] = ACTIONS(2388),
    [sym_primitive_type] = ACTIONS(2388),
    [anon_sym_enum] = ACTIONS(2388),
    [anon_sym_class] = ACTIONS(2388),
    [anon_sym_struct] = ACTIONS(2388),
    [anon_sym_union] = ACTIONS(2388),
    [anon_sym_if] = ACTIONS(2388),
    [anon_sym_else] = ACTIONS(2388),
    [anon_sym_switch] = ACTIONS(2388),
    [anon_sym_case] = ACTIONS(2388),
    [anon_sym_default] = ACTIONS(2388),
    [anon_sym_while] = ACTIONS(2388),
    [anon_sym_do] = ACTIONS(2388),
    [anon_sym_for] = ACTIONS(2388),
    [anon_sym_return] = ACTIONS(2388),
    [anon_sym_break] = ACTIONS(2388),
    [anon_sym_continue] = ACTIONS(2388),
    [anon_sym_goto] = ACTIONS(2388),
    [anon_sym___try] = ACTIONS(2388),
    [anon_sym___leave] = ACTIONS(2388),
    [anon_sym_not] = ACTIONS(2388),
    [anon_sym_compl] = ACTIONS(2388),
    [anon_sym_DASH_DASH] = ACTIONS(2390),
    [anon_sym_PLUS_PLUS] = ACTIONS(2390),
    [anon_sym_sizeof] = ACTIONS(2388),
    [anon_sym___alignof__] = ACTIONS(2388),
    [anon_sym___alignof] = ACTIONS(2388),
    [anon_sym__alignof] = ACTIONS(2388),
    [anon_sym_alignof] = ACTIONS(2388),
    [anon_sym__Alignof] = ACTIONS(2388),
    [anon_sym_offsetof] = ACTIONS(2388),
    [anon_sym__Generic] = ACTIONS(2388),
    [anon_sym_asm] = ACTIONS(2388),
    [anon_sym___asm__] = ACTIONS(2388),
    [sym_number_literal] = ACTIONS(2390),
    [anon_sym_L_SQUOTE] = ACTIONS(2390),
    [anon_sym_u_SQUOTE] = ACTIONS(2390),
    [anon_sym_U_SQUOTE] = ACTIONS(2390),
    [anon_sym_u8_SQUOTE] = ACTIONS(2390),
    [anon_sym_SQUOTE] = ACTIONS(2390),
    [anon_sym_L_DQUOTE] = ACTIONS(2390),
    [anon_sym_u_DQUOTE] = ACTIONS(2390),
    [anon_sym_U_DQUOTE] = ACTIONS(2390),
    [anon_sym_u8_DQUOTE] = ACTIONS(2390),
    [anon_sym_DQUOTE] = ACTIONS(2390),
    [sym_true] = ACTIONS(2388),
    [sym_false] = ACTIONS(2388),
    [anon_sym_NULL] = ACTIONS(2388),
    [anon_sym_nullptr] = ACTIONS(2388),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2388),
    [anon_sym_decltype] = ACTIONS(2388),
    [anon_sym_virtual] = ACTIONS(2388),
    [anon_sym_alignas] = ACTIONS(2388),
    [anon_sym_explicit] = ACTIONS(2388),
    [anon_sym_typename] = ACTIONS(2388),
    [anon_sym_template] = ACTIONS(2388),
    [anon_sym_operator] = ACTIONS(2388),
    [anon_sym_try] = ACTIONS(2388),
    [anon_sym_delete] = ACTIONS(2388),
    [anon_sym_throw] = ACTIONS(2388),
    [anon_sym_namespace] = ACTIONS(2388),
    [anon_sym_using] = ACTIONS(2388),
    [anon_sym_static_assert] = ACTIONS(2388),
    [anon_sym_concept] = ACTIONS(2388),
    [anon_sym_co_return] = ACTIONS(2388),
    [anon_sym_co_yield] = ACTIONS(2388),
    [anon_sym_R_DQUOTE] = ACTIONS(2390),
    [anon_sym_LR_DQUOTE] = ACTIONS(2390),
    [anon_sym_uR_DQUOTE] = ACTIONS(2390),
    [anon_sym_UR_DQUOTE] = ACTIONS(2390),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2390),
    [anon_sym_co_await] = ACTIONS(2388),
    [anon_sym_new] = ACTIONS(2388),
    [anon_sym_requires] = ACTIONS(2388),
    [sym_this] = ACTIONS(2388),
    [anon_sym_discard] = ACTIONS(2388),
    [anon_sym_precise] = ACTIONS(2388),
    [anon_sym_shared] = ACTIONS(2388),
    [anon_sym_groupshared] = ACTIONS(2388),
    [anon_sym_uniform] = ACTIONS(2388),
    [anon_sym_row_major] = ACTIONS(2388),
    [anon_sym_column_major] = ACTIONS(2388),
    [anon_sym_globallycoherent] = ACTIONS(2388),
    [anon_sym_centroid] = ACTIONS(2388),
    [anon_sym_noperspective] = ACTIONS(2388),
    [anon_sym_nointerpolation] = ACTIONS(2388),
    [anon_sym_sample] = ACTIONS(2388),
    [anon_sym_linear] = ACTIONS(2388),
    [anon_sym_snorm] = ACTIONS(2388),
    [anon_sym_unorm] = ACTIONS(2388),
    [anon_sym_point] = ACTIONS(2388),
    [anon_sym_line] = ACTIONS(2388),
    [anon_sym_triangleadj] = ACTIONS(2388),
    [anon_sym_lineadj] = ACTIONS(2388),
    [anon_sym_triangle] = ACTIONS(2388),
    [anon_sym_cbuffer] = ACTIONS(2388),
  },
  [745] = {
    [sym_identifier] = ACTIONS(2496),
    [aux_sym_preproc_include_token1] = ACTIONS(2496),
    [aux_sym_preproc_def_token1] = ACTIONS(2496),
    [aux_sym_preproc_if_token1] = ACTIONS(2496),
    [aux_sym_preproc_if_token2] = ACTIONS(2496),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2496),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2496),
    [sym_preproc_directive] = ACTIONS(2496),
    [anon_sym_LPAREN2] = ACTIONS(2498),
    [anon_sym_BANG] = ACTIONS(2498),
    [anon_sym_TILDE] = ACTIONS(2498),
    [anon_sym_DASH] = ACTIONS(2496),
    [anon_sym_PLUS] = ACTIONS(2496),
    [anon_sym_STAR] = ACTIONS(2498),
    [anon_sym_AMP_AMP] = ACTIONS(2498),
    [anon_sym_AMP] = ACTIONS(2496),
    [anon_sym_SEMI] = ACTIONS(2498),
    [anon_sym___extension__] = ACTIONS(2496),
    [anon_sym_typedef] = ACTIONS(2496),
    [anon_sym_in] = ACTIONS(2496),
    [anon_sym_out] = ACTIONS(2496),
    [anon_sym_inout] = ACTIONS(2496),
    [anon_sym_extern] = ACTIONS(2496),
    [anon_sym___attribute__] = ACTIONS(2496),
    [anon_sym_COLON_COLON] = ACTIONS(2498),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2498),
    [anon_sym___declspec] = ACTIONS(2496),
    [anon_sym___based] = ACTIONS(2496),
    [anon_sym___cdecl] = ACTIONS(2496),
    [anon_sym___clrcall] = ACTIONS(2496),
    [anon_sym___stdcall] = ACTIONS(2496),
    [anon_sym___fastcall] = ACTIONS(2496),
    [anon_sym___thiscall] = ACTIONS(2496),
    [anon_sym___vectorcall] = ACTIONS(2496),
    [anon_sym_LBRACE] = ACTIONS(2498),
    [anon_sym_signed] = ACTIONS(2496),
    [anon_sym_unsigned] = ACTIONS(2496),
    [anon_sym_long] = ACTIONS(2496),
    [anon_sym_short] = ACTIONS(2496),
    [anon_sym_LBRACK] = ACTIONS(2496),
    [anon_sym_static] = ACTIONS(2496),
    [anon_sym_register] = ACTIONS(2496),
    [anon_sym_inline] = ACTIONS(2496),
    [anon_sym___inline] = ACTIONS(2496),
    [anon_sym___inline__] = ACTIONS(2496),
    [anon_sym___forceinline] = ACTIONS(2496),
    [anon_sym_thread_local] = ACTIONS(2496),
    [anon_sym___thread] = ACTIONS(2496),
    [anon_sym_const] = ACTIONS(2496),
    [anon_sym_constexpr] = ACTIONS(2496),
    [anon_sym_volatile] = ACTIONS(2496),
    [anon_sym_restrict] = ACTIONS(2496),
    [anon_sym___restrict__] = ACTIONS(2496),
    [anon_sym__Atomic] = ACTIONS(2496),
    [anon_sym__Noreturn] = ACTIONS(2496),
    [anon_sym_noreturn] = ACTIONS(2496),
    [anon_sym_mutable] = ACTIONS(2496),
    [anon_sym_constinit] = ACTIONS(2496),
    [anon_sym_consteval] = ACTIONS(2496),
    [sym_primitive_type] = ACTIONS(2496),
    [anon_sym_enum] = ACTIONS(2496),
    [anon_sym_class] = ACTIONS(2496),
    [anon_sym_struct] = ACTIONS(2496),
    [anon_sym_union] = ACTIONS(2496),
    [anon_sym_if] = ACTIONS(2496),
    [anon_sym_else] = ACTIONS(2496),
    [anon_sym_switch] = ACTIONS(2496),
    [anon_sym_case] = ACTIONS(2496),
    [anon_sym_default] = ACTIONS(2496),
    [anon_sym_while] = ACTIONS(2496),
    [anon_sym_do] = ACTIONS(2496),
    [anon_sym_for] = ACTIONS(2496),
    [anon_sym_return] = ACTIONS(2496),
    [anon_sym_break] = ACTIONS(2496),
    [anon_sym_continue] = ACTIONS(2496),
    [anon_sym_goto] = ACTIONS(2496),
    [anon_sym___try] = ACTIONS(2496),
    [anon_sym___leave] = ACTIONS(2496),
    [anon_sym_not] = ACTIONS(2496),
    [anon_sym_compl] = ACTIONS(2496),
    [anon_sym_DASH_DASH] = ACTIONS(2498),
    [anon_sym_PLUS_PLUS] = ACTIONS(2498),
    [anon_sym_sizeof] = ACTIONS(2496),
    [anon_sym___alignof__] = ACTIONS(2496),
    [anon_sym___alignof] = ACTIONS(2496),
    [anon_sym__alignof] = ACTIONS(2496),
    [anon_sym_alignof] = ACTIONS(2496),
    [anon_sym__Alignof] = ACTIONS(2496),
    [anon_sym_offsetof] = ACTIONS(2496),
    [anon_sym__Generic] = ACTIONS(2496),
    [anon_sym_asm] = ACTIONS(2496),
    [anon_sym___asm__] = ACTIONS(2496),
    [sym_number_literal] = ACTIONS(2498),
    [anon_sym_L_SQUOTE] = ACTIONS(2498),
    [anon_sym_u_SQUOTE] = ACTIONS(2498),
    [anon_sym_U_SQUOTE] = ACTIONS(2498),
    [anon_sym_u8_SQUOTE] = ACTIONS(2498),
    [anon_sym_SQUOTE] = ACTIONS(2498),
    [anon_sym_L_DQUOTE] = ACTIONS(2498),
    [anon_sym_u_DQUOTE] = ACTIONS(2498),
    [anon_sym_U_DQUOTE] = ACTIONS(2498),
    [anon_sym_u8_DQUOTE] = ACTIONS(2498),
    [anon_sym_DQUOTE] = ACTIONS(2498),
    [sym_true] = ACTIONS(2496),
    [sym_false] = ACTIONS(2496),
    [anon_sym_NULL] = ACTIONS(2496),
    [anon_sym_nullptr] = ACTIONS(2496),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2496),
    [anon_sym_decltype] = ACTIONS(2496),
    [anon_sym_virtual] = ACTIONS(2496),
    [anon_sym_alignas] = ACTIONS(2496),
    [anon_sym_explicit] = ACTIONS(2496),
    [anon_sym_typename] = ACTIONS(2496),
    [anon_sym_template] = ACTIONS(2496),
    [anon_sym_operator] = ACTIONS(2496),
    [anon_sym_try] = ACTIONS(2496),
    [anon_sym_delete] = ACTIONS(2496),
    [anon_sym_throw] = ACTIONS(2496),
    [anon_sym_namespace] = ACTIONS(2496),
    [anon_sym_using] = ACTIONS(2496),
    [anon_sym_static_assert] = ACTIONS(2496),
    [anon_sym_concept] = ACTIONS(2496),
    [anon_sym_co_return] = ACTIONS(2496),
    [anon_sym_co_yield] = ACTIONS(2496),
    [anon_sym_R_DQUOTE] = ACTIONS(2498),
    [anon_sym_LR_DQUOTE] = ACTIONS(2498),
    [anon_sym_uR_DQUOTE] = ACTIONS(2498),
    [anon_sym_UR_DQUOTE] = ACTIONS(2498),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2498),
    [anon_sym_co_await] = ACTIONS(2496),
    [anon_sym_new] = ACTIONS(2496),
    [anon_sym_requires] = ACTIONS(2496),
    [sym_this] = ACTIONS(2496),
    [anon_sym_discard] = ACTIONS(2496),
    [anon_sym_precise] = ACTIONS(2496),
    [anon_sym_shared] = ACTIONS(2496),
    [anon_sym_groupshared] = ACTIONS(2496),
    [anon_sym_uniform] = ACTIONS(2496),
    [anon_sym_row_major] = ACTIONS(2496),
    [anon_sym_column_major] = ACTIONS(2496),
    [anon_sym_globallycoherent] = ACTIONS(2496),
    [anon_sym_centroid] = ACTIONS(2496),
    [anon_sym_noperspective] = ACTIONS(2496),
    [anon_sym_nointerpolation] = ACTIONS(2496),
    [anon_sym_sample] = ACTIONS(2496),
    [anon_sym_linear] = ACTIONS(2496),
    [anon_sym_snorm] = ACTIONS(2496),
    [anon_sym_unorm] = ACTIONS(2496),
    [anon_sym_point] = ACTIONS(2496),
    [anon_sym_line] = ACTIONS(2496),
    [anon_sym_triangleadj] = ACTIONS(2496),
    [anon_sym_lineadj] = ACTIONS(2496),
    [anon_sym_triangle] = ACTIONS(2496),
    [anon_sym_cbuffer] = ACTIONS(2496),
  },
  [746] = {
    [sym_identifier] = ACTIONS(2322),
    [aux_sym_preproc_include_token1] = ACTIONS(2322),
    [aux_sym_preproc_def_token1] = ACTIONS(2322),
    [aux_sym_preproc_if_token1] = ACTIONS(2322),
    [aux_sym_preproc_if_token2] = ACTIONS(2322),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2322),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2322),
    [sym_preproc_directive] = ACTIONS(2322),
    [anon_sym_LPAREN2] = ACTIONS(2324),
    [anon_sym_BANG] = ACTIONS(2324),
    [anon_sym_TILDE] = ACTIONS(2324),
    [anon_sym_DASH] = ACTIONS(2322),
    [anon_sym_PLUS] = ACTIONS(2322),
    [anon_sym_STAR] = ACTIONS(2324),
    [anon_sym_AMP_AMP] = ACTIONS(2324),
    [anon_sym_AMP] = ACTIONS(2322),
    [anon_sym_SEMI] = ACTIONS(2324),
    [anon_sym___extension__] = ACTIONS(2322),
    [anon_sym_typedef] = ACTIONS(2322),
    [anon_sym_in] = ACTIONS(2322),
    [anon_sym_out] = ACTIONS(2322),
    [anon_sym_inout] = ACTIONS(2322),
    [anon_sym_extern] = ACTIONS(2322),
    [anon_sym___attribute__] = ACTIONS(2322),
    [anon_sym_COLON_COLON] = ACTIONS(2324),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2324),
    [anon_sym___declspec] = ACTIONS(2322),
    [anon_sym___based] = ACTIONS(2322),
    [anon_sym___cdecl] = ACTIONS(2322),
    [anon_sym___clrcall] = ACTIONS(2322),
    [anon_sym___stdcall] = ACTIONS(2322),
    [anon_sym___fastcall] = ACTIONS(2322),
    [anon_sym___thiscall] = ACTIONS(2322),
    [anon_sym___vectorcall] = ACTIONS(2322),
    [anon_sym_LBRACE] = ACTIONS(2324),
    [anon_sym_signed] = ACTIONS(2322),
    [anon_sym_unsigned] = ACTIONS(2322),
    [anon_sym_long] = ACTIONS(2322),
    [anon_sym_short] = ACTIONS(2322),
    [anon_sym_LBRACK] = ACTIONS(2322),
    [anon_sym_static] = ACTIONS(2322),
    [anon_sym_register] = ACTIONS(2322),
    [anon_sym_inline] = ACTIONS(2322),
    [anon_sym___inline] = ACTIONS(2322),
    [anon_sym___inline__] = ACTIONS(2322),
    [anon_sym___forceinline] = ACTIONS(2322),
    [anon_sym_thread_local] = ACTIONS(2322),
    [anon_sym___thread] = ACTIONS(2322),
    [anon_sym_const] = ACTIONS(2322),
    [anon_sym_constexpr] = ACTIONS(2322),
    [anon_sym_volatile] = ACTIONS(2322),
    [anon_sym_restrict] = ACTIONS(2322),
    [anon_sym___restrict__] = ACTIONS(2322),
    [anon_sym__Atomic] = ACTIONS(2322),
    [anon_sym__Noreturn] = ACTIONS(2322),
    [anon_sym_noreturn] = ACTIONS(2322),
    [anon_sym_mutable] = ACTIONS(2322),
    [anon_sym_constinit] = ACTIONS(2322),
    [anon_sym_consteval] = ACTIONS(2322),
    [sym_primitive_type] = ACTIONS(2322),
    [anon_sym_enum] = ACTIONS(2322),
    [anon_sym_class] = ACTIONS(2322),
    [anon_sym_struct] = ACTIONS(2322),
    [anon_sym_union] = ACTIONS(2322),
    [anon_sym_if] = ACTIONS(2322),
    [anon_sym_else] = ACTIONS(2322),
    [anon_sym_switch] = ACTIONS(2322),
    [anon_sym_case] = ACTIONS(2322),
    [anon_sym_default] = ACTIONS(2322),
    [anon_sym_while] = ACTIONS(2322),
    [anon_sym_do] = ACTIONS(2322),
    [anon_sym_for] = ACTIONS(2322),
    [anon_sym_return] = ACTIONS(2322),
    [anon_sym_break] = ACTIONS(2322),
    [anon_sym_continue] = ACTIONS(2322),
    [anon_sym_goto] = ACTIONS(2322),
    [anon_sym___try] = ACTIONS(2322),
    [anon_sym___leave] = ACTIONS(2322),
    [anon_sym_not] = ACTIONS(2322),
    [anon_sym_compl] = ACTIONS(2322),
    [anon_sym_DASH_DASH] = ACTIONS(2324),
    [anon_sym_PLUS_PLUS] = ACTIONS(2324),
    [anon_sym_sizeof] = ACTIONS(2322),
    [anon_sym___alignof__] = ACTIONS(2322),
    [anon_sym___alignof] = ACTIONS(2322),
    [anon_sym__alignof] = ACTIONS(2322),
    [anon_sym_alignof] = ACTIONS(2322),
    [anon_sym__Alignof] = ACTIONS(2322),
    [anon_sym_offsetof] = ACTIONS(2322),
    [anon_sym__Generic] = ACTIONS(2322),
    [anon_sym_asm] = ACTIONS(2322),
    [anon_sym___asm__] = ACTIONS(2322),
    [sym_number_literal] = ACTIONS(2324),
    [anon_sym_L_SQUOTE] = ACTIONS(2324),
    [anon_sym_u_SQUOTE] = ACTIONS(2324),
    [anon_sym_U_SQUOTE] = ACTIONS(2324),
    [anon_sym_u8_SQUOTE] = ACTIONS(2324),
    [anon_sym_SQUOTE] = ACTIONS(2324),
    [anon_sym_L_DQUOTE] = ACTIONS(2324),
    [anon_sym_u_DQUOTE] = ACTIONS(2324),
    [anon_sym_U_DQUOTE] = ACTIONS(2324),
    [anon_sym_u8_DQUOTE] = ACTIONS(2324),
    [anon_sym_DQUOTE] = ACTIONS(2324),
    [sym_true] = ACTIONS(2322),
    [sym_false] = ACTIONS(2322),
    [anon_sym_NULL] = ACTIONS(2322),
    [anon_sym_nullptr] = ACTIONS(2322),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2322),
    [anon_sym_decltype] = ACTIONS(2322),
    [anon_sym_virtual] = ACTIONS(2322),
    [anon_sym_alignas] = ACTIONS(2322),
    [anon_sym_explicit] = ACTIONS(2322),
    [anon_sym_typename] = ACTIONS(2322),
    [anon_sym_template] = ACTIONS(2322),
    [anon_sym_operator] = ACTIONS(2322),
    [anon_sym_try] = ACTIONS(2322),
    [anon_sym_delete] = ACTIONS(2322),
    [anon_sym_throw] = ACTIONS(2322),
    [anon_sym_namespace] = ACTIONS(2322),
    [anon_sym_using] = ACTIONS(2322),
    [anon_sym_static_assert] = ACTIONS(2322),
    [anon_sym_concept] = ACTIONS(2322),
    [anon_sym_co_return] = ACTIONS(2322),
    [anon_sym_co_yield] = ACTIONS(2322),
    [anon_sym_R_DQUOTE] = ACTIONS(2324),
    [anon_sym_LR_DQUOTE] = ACTIONS(2324),
    [anon_sym_uR_DQUOTE] = ACTIONS(2324),
    [anon_sym_UR_DQUOTE] = ACTIONS(2324),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2324),
    [anon_sym_co_await] = ACTIONS(2322),
    [anon_sym_new] = ACTIONS(2322),
    [anon_sym_requires] = ACTIONS(2322),
    [sym_this] = ACTIONS(2322),
    [anon_sym_discard] = ACTIONS(2322),
    [anon_sym_precise] = ACTIONS(2322),
    [anon_sym_shared] = ACTIONS(2322),
    [anon_sym_groupshared] = ACTIONS(2322),
    [anon_sym_uniform] = ACTIONS(2322),
    [anon_sym_row_major] = ACTIONS(2322),
    [anon_sym_column_major] = ACTIONS(2322),
    [anon_sym_globallycoherent] = ACTIONS(2322),
    [anon_sym_centroid] = ACTIONS(2322),
    [anon_sym_noperspective] = ACTIONS(2322),
    [anon_sym_nointerpolation] = ACTIONS(2322),
    [anon_sym_sample] = ACTIONS(2322),
    [anon_sym_linear] = ACTIONS(2322),
    [anon_sym_snorm] = ACTIONS(2322),
    [anon_sym_unorm] = ACTIONS(2322),
    [anon_sym_point] = ACTIONS(2322),
    [anon_sym_line] = ACTIONS(2322),
    [anon_sym_triangleadj] = ACTIONS(2322),
    [anon_sym_lineadj] = ACTIONS(2322),
    [anon_sym_triangle] = ACTIONS(2322),
    [anon_sym_cbuffer] = ACTIONS(2322),
  },
  [747] = {
    [ts_builtin_sym_end] = ACTIONS(2446),
    [sym_identifier] = ACTIONS(2444),
    [aux_sym_preproc_include_token1] = ACTIONS(2444),
    [aux_sym_preproc_def_token1] = ACTIONS(2444),
    [aux_sym_preproc_if_token1] = ACTIONS(2444),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2444),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2444),
    [sym_preproc_directive] = ACTIONS(2444),
    [anon_sym_LPAREN2] = ACTIONS(2446),
    [anon_sym_BANG] = ACTIONS(2446),
    [anon_sym_TILDE] = ACTIONS(2446),
    [anon_sym_DASH] = ACTIONS(2444),
    [anon_sym_PLUS] = ACTIONS(2444),
    [anon_sym_STAR] = ACTIONS(2446),
    [anon_sym_AMP_AMP] = ACTIONS(2446),
    [anon_sym_AMP] = ACTIONS(2444),
    [anon_sym_SEMI] = ACTIONS(2446),
    [anon_sym___extension__] = ACTIONS(2444),
    [anon_sym_typedef] = ACTIONS(2444),
    [anon_sym_in] = ACTIONS(2444),
    [anon_sym_out] = ACTIONS(2444),
    [anon_sym_inout] = ACTIONS(2444),
    [anon_sym_extern] = ACTIONS(2444),
    [anon_sym___attribute__] = ACTIONS(2444),
    [anon_sym_COLON_COLON] = ACTIONS(2446),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2446),
    [anon_sym___declspec] = ACTIONS(2444),
    [anon_sym___based] = ACTIONS(2444),
    [anon_sym___cdecl] = ACTIONS(2444),
    [anon_sym___clrcall] = ACTIONS(2444),
    [anon_sym___stdcall] = ACTIONS(2444),
    [anon_sym___fastcall] = ACTIONS(2444),
    [anon_sym___thiscall] = ACTIONS(2444),
    [anon_sym___vectorcall] = ACTIONS(2444),
    [anon_sym_LBRACE] = ACTIONS(2446),
    [anon_sym_signed] = ACTIONS(2444),
    [anon_sym_unsigned] = ACTIONS(2444),
    [anon_sym_long] = ACTIONS(2444),
    [anon_sym_short] = ACTIONS(2444),
    [anon_sym_LBRACK] = ACTIONS(2444),
    [anon_sym_static] = ACTIONS(2444),
    [anon_sym_register] = ACTIONS(2444),
    [anon_sym_inline] = ACTIONS(2444),
    [anon_sym___inline] = ACTIONS(2444),
    [anon_sym___inline__] = ACTIONS(2444),
    [anon_sym___forceinline] = ACTIONS(2444),
    [anon_sym_thread_local] = ACTIONS(2444),
    [anon_sym___thread] = ACTIONS(2444),
    [anon_sym_const] = ACTIONS(2444),
    [anon_sym_constexpr] = ACTIONS(2444),
    [anon_sym_volatile] = ACTIONS(2444),
    [anon_sym_restrict] = ACTIONS(2444),
    [anon_sym___restrict__] = ACTIONS(2444),
    [anon_sym__Atomic] = ACTIONS(2444),
    [anon_sym__Noreturn] = ACTIONS(2444),
    [anon_sym_noreturn] = ACTIONS(2444),
    [anon_sym_mutable] = ACTIONS(2444),
    [anon_sym_constinit] = ACTIONS(2444),
    [anon_sym_consteval] = ACTIONS(2444),
    [sym_primitive_type] = ACTIONS(2444),
    [anon_sym_enum] = ACTIONS(2444),
    [anon_sym_class] = ACTIONS(2444),
    [anon_sym_struct] = ACTIONS(2444),
    [anon_sym_union] = ACTIONS(2444),
    [anon_sym_if] = ACTIONS(2444),
    [anon_sym_else] = ACTIONS(2444),
    [anon_sym_switch] = ACTIONS(2444),
    [anon_sym_case] = ACTIONS(2444),
    [anon_sym_default] = ACTIONS(2444),
    [anon_sym_while] = ACTIONS(2444),
    [anon_sym_do] = ACTIONS(2444),
    [anon_sym_for] = ACTIONS(2444),
    [anon_sym_return] = ACTIONS(2444),
    [anon_sym_break] = ACTIONS(2444),
    [anon_sym_continue] = ACTIONS(2444),
    [anon_sym_goto] = ACTIONS(2444),
    [anon_sym___try] = ACTIONS(2444),
    [anon_sym___leave] = ACTIONS(2444),
    [anon_sym_not] = ACTIONS(2444),
    [anon_sym_compl] = ACTIONS(2444),
    [anon_sym_DASH_DASH] = ACTIONS(2446),
    [anon_sym_PLUS_PLUS] = ACTIONS(2446),
    [anon_sym_sizeof] = ACTIONS(2444),
    [anon_sym___alignof__] = ACTIONS(2444),
    [anon_sym___alignof] = ACTIONS(2444),
    [anon_sym__alignof] = ACTIONS(2444),
    [anon_sym_alignof] = ACTIONS(2444),
    [anon_sym__Alignof] = ACTIONS(2444),
    [anon_sym_offsetof] = ACTIONS(2444),
    [anon_sym__Generic] = ACTIONS(2444),
    [anon_sym_asm] = ACTIONS(2444),
    [anon_sym___asm__] = ACTIONS(2444),
    [sym_number_literal] = ACTIONS(2446),
    [anon_sym_L_SQUOTE] = ACTIONS(2446),
    [anon_sym_u_SQUOTE] = ACTIONS(2446),
    [anon_sym_U_SQUOTE] = ACTIONS(2446),
    [anon_sym_u8_SQUOTE] = ACTIONS(2446),
    [anon_sym_SQUOTE] = ACTIONS(2446),
    [anon_sym_L_DQUOTE] = ACTIONS(2446),
    [anon_sym_u_DQUOTE] = ACTIONS(2446),
    [anon_sym_U_DQUOTE] = ACTIONS(2446),
    [anon_sym_u8_DQUOTE] = ACTIONS(2446),
    [anon_sym_DQUOTE] = ACTIONS(2446),
    [sym_true] = ACTIONS(2444),
    [sym_false] = ACTIONS(2444),
    [anon_sym_NULL] = ACTIONS(2444),
    [anon_sym_nullptr] = ACTIONS(2444),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2444),
    [anon_sym_decltype] = ACTIONS(2444),
    [anon_sym_virtual] = ACTIONS(2444),
    [anon_sym_alignas] = ACTIONS(2444),
    [anon_sym_explicit] = ACTIONS(2444),
    [anon_sym_typename] = ACTIONS(2444),
    [anon_sym_template] = ACTIONS(2444),
    [anon_sym_operator] = ACTIONS(2444),
    [anon_sym_try] = ACTIONS(2444),
    [anon_sym_delete] = ACTIONS(2444),
    [anon_sym_throw] = ACTIONS(2444),
    [anon_sym_namespace] = ACTIONS(2444),
    [anon_sym_using] = ACTIONS(2444),
    [anon_sym_static_assert] = ACTIONS(2444),
    [anon_sym_concept] = ACTIONS(2444),
    [anon_sym_co_return] = ACTIONS(2444),
    [anon_sym_co_yield] = ACTIONS(2444),
    [anon_sym_R_DQUOTE] = ACTIONS(2446),
    [anon_sym_LR_DQUOTE] = ACTIONS(2446),
    [anon_sym_uR_DQUOTE] = ACTIONS(2446),
    [anon_sym_UR_DQUOTE] = ACTIONS(2446),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2446),
    [anon_sym_co_await] = ACTIONS(2444),
    [anon_sym_new] = ACTIONS(2444),
    [anon_sym_requires] = ACTIONS(2444),
    [sym_this] = ACTIONS(2444),
    [anon_sym_discard] = ACTIONS(2444),
    [anon_sym_precise] = ACTIONS(2444),
    [anon_sym_shared] = ACTIONS(2444),
    [anon_sym_groupshared] = ACTIONS(2444),
    [anon_sym_uniform] = ACTIONS(2444),
    [anon_sym_row_major] = ACTIONS(2444),
    [anon_sym_column_major] = ACTIONS(2444),
    [anon_sym_globallycoherent] = ACTIONS(2444),
    [anon_sym_centroid] = ACTIONS(2444),
    [anon_sym_noperspective] = ACTIONS(2444),
    [anon_sym_nointerpolation] = ACTIONS(2444),
    [anon_sym_sample] = ACTIONS(2444),
    [anon_sym_linear] = ACTIONS(2444),
    [anon_sym_snorm] = ACTIONS(2444),
    [anon_sym_unorm] = ACTIONS(2444),
    [anon_sym_point] = ACTIONS(2444),
    [anon_sym_line] = ACTIONS(2444),
    [anon_sym_triangleadj] = ACTIONS(2444),
    [anon_sym_lineadj] = ACTIONS(2444),
    [anon_sym_triangle] = ACTIONS(2444),
    [anon_sym_cbuffer] = ACTIONS(2444),
  },
  [748] = {
    [ts_builtin_sym_end] = ACTIONS(2446),
    [sym_identifier] = ACTIONS(2444),
    [aux_sym_preproc_include_token1] = ACTIONS(2444),
    [aux_sym_preproc_def_token1] = ACTIONS(2444),
    [aux_sym_preproc_if_token1] = ACTIONS(2444),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2444),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2444),
    [sym_preproc_directive] = ACTIONS(2444),
    [anon_sym_LPAREN2] = ACTIONS(2446),
    [anon_sym_BANG] = ACTIONS(2446),
    [anon_sym_TILDE] = ACTIONS(2446),
    [anon_sym_DASH] = ACTIONS(2444),
    [anon_sym_PLUS] = ACTIONS(2444),
    [anon_sym_STAR] = ACTIONS(2446),
    [anon_sym_AMP_AMP] = ACTIONS(2446),
    [anon_sym_AMP] = ACTIONS(2444),
    [anon_sym_SEMI] = ACTIONS(2446),
    [anon_sym___extension__] = ACTIONS(2444),
    [anon_sym_typedef] = ACTIONS(2444),
    [anon_sym_in] = ACTIONS(2444),
    [anon_sym_out] = ACTIONS(2444),
    [anon_sym_inout] = ACTIONS(2444),
    [anon_sym_extern] = ACTIONS(2444),
    [anon_sym___attribute__] = ACTIONS(2444),
    [anon_sym_COLON_COLON] = ACTIONS(2446),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2446),
    [anon_sym___declspec] = ACTIONS(2444),
    [anon_sym___based] = ACTIONS(2444),
    [anon_sym___cdecl] = ACTIONS(2444),
    [anon_sym___clrcall] = ACTIONS(2444),
    [anon_sym___stdcall] = ACTIONS(2444),
    [anon_sym___fastcall] = ACTIONS(2444),
    [anon_sym___thiscall] = ACTIONS(2444),
    [anon_sym___vectorcall] = ACTIONS(2444),
    [anon_sym_LBRACE] = ACTIONS(2446),
    [anon_sym_signed] = ACTIONS(2444),
    [anon_sym_unsigned] = ACTIONS(2444),
    [anon_sym_long] = ACTIONS(2444),
    [anon_sym_short] = ACTIONS(2444),
    [anon_sym_LBRACK] = ACTIONS(2444),
    [anon_sym_static] = ACTIONS(2444),
    [anon_sym_register] = ACTIONS(2444),
    [anon_sym_inline] = ACTIONS(2444),
    [anon_sym___inline] = ACTIONS(2444),
    [anon_sym___inline__] = ACTIONS(2444),
    [anon_sym___forceinline] = ACTIONS(2444),
    [anon_sym_thread_local] = ACTIONS(2444),
    [anon_sym___thread] = ACTIONS(2444),
    [anon_sym_const] = ACTIONS(2444),
    [anon_sym_constexpr] = ACTIONS(2444),
    [anon_sym_volatile] = ACTIONS(2444),
    [anon_sym_restrict] = ACTIONS(2444),
    [anon_sym___restrict__] = ACTIONS(2444),
    [anon_sym__Atomic] = ACTIONS(2444),
    [anon_sym__Noreturn] = ACTIONS(2444),
    [anon_sym_noreturn] = ACTIONS(2444),
    [anon_sym_mutable] = ACTIONS(2444),
    [anon_sym_constinit] = ACTIONS(2444),
    [anon_sym_consteval] = ACTIONS(2444),
    [sym_primitive_type] = ACTIONS(2444),
    [anon_sym_enum] = ACTIONS(2444),
    [anon_sym_class] = ACTIONS(2444),
    [anon_sym_struct] = ACTIONS(2444),
    [anon_sym_union] = ACTIONS(2444),
    [anon_sym_if] = ACTIONS(2444),
    [anon_sym_else] = ACTIONS(2444),
    [anon_sym_switch] = ACTIONS(2444),
    [anon_sym_case] = ACTIONS(2444),
    [anon_sym_default] = ACTIONS(2444),
    [anon_sym_while] = ACTIONS(2444),
    [anon_sym_do] = ACTIONS(2444),
    [anon_sym_for] = ACTIONS(2444),
    [anon_sym_return] = ACTIONS(2444),
    [anon_sym_break] = ACTIONS(2444),
    [anon_sym_continue] = ACTIONS(2444),
    [anon_sym_goto] = ACTIONS(2444),
    [anon_sym___try] = ACTIONS(2444),
    [anon_sym___leave] = ACTIONS(2444),
    [anon_sym_not] = ACTIONS(2444),
    [anon_sym_compl] = ACTIONS(2444),
    [anon_sym_DASH_DASH] = ACTIONS(2446),
    [anon_sym_PLUS_PLUS] = ACTIONS(2446),
    [anon_sym_sizeof] = ACTIONS(2444),
    [anon_sym___alignof__] = ACTIONS(2444),
    [anon_sym___alignof] = ACTIONS(2444),
    [anon_sym__alignof] = ACTIONS(2444),
    [anon_sym_alignof] = ACTIONS(2444),
    [anon_sym__Alignof] = ACTIONS(2444),
    [anon_sym_offsetof] = ACTIONS(2444),
    [anon_sym__Generic] = ACTIONS(2444),
    [anon_sym_asm] = ACTIONS(2444),
    [anon_sym___asm__] = ACTIONS(2444),
    [sym_number_literal] = ACTIONS(2446),
    [anon_sym_L_SQUOTE] = ACTIONS(2446),
    [anon_sym_u_SQUOTE] = ACTIONS(2446),
    [anon_sym_U_SQUOTE] = ACTIONS(2446),
    [anon_sym_u8_SQUOTE] = ACTIONS(2446),
    [anon_sym_SQUOTE] = ACTIONS(2446),
    [anon_sym_L_DQUOTE] = ACTIONS(2446),
    [anon_sym_u_DQUOTE] = ACTIONS(2446),
    [anon_sym_U_DQUOTE] = ACTIONS(2446),
    [anon_sym_u8_DQUOTE] = ACTIONS(2446),
    [anon_sym_DQUOTE] = ACTIONS(2446),
    [sym_true] = ACTIONS(2444),
    [sym_false] = ACTIONS(2444),
    [anon_sym_NULL] = ACTIONS(2444),
    [anon_sym_nullptr] = ACTIONS(2444),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2444),
    [anon_sym_decltype] = ACTIONS(2444),
    [anon_sym_virtual] = ACTIONS(2444),
    [anon_sym_alignas] = ACTIONS(2444),
    [anon_sym_explicit] = ACTIONS(2444),
    [anon_sym_typename] = ACTIONS(2444),
    [anon_sym_template] = ACTIONS(2444),
    [anon_sym_operator] = ACTIONS(2444),
    [anon_sym_try] = ACTIONS(2444),
    [anon_sym_delete] = ACTIONS(2444),
    [anon_sym_throw] = ACTIONS(2444),
    [anon_sym_namespace] = ACTIONS(2444),
    [anon_sym_using] = ACTIONS(2444),
    [anon_sym_static_assert] = ACTIONS(2444),
    [anon_sym_concept] = ACTIONS(2444),
    [anon_sym_co_return] = ACTIONS(2444),
    [anon_sym_co_yield] = ACTIONS(2444),
    [anon_sym_R_DQUOTE] = ACTIONS(2446),
    [anon_sym_LR_DQUOTE] = ACTIONS(2446),
    [anon_sym_uR_DQUOTE] = ACTIONS(2446),
    [anon_sym_UR_DQUOTE] = ACTIONS(2446),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2446),
    [anon_sym_co_await] = ACTIONS(2444),
    [anon_sym_new] = ACTIONS(2444),
    [anon_sym_requires] = ACTIONS(2444),
    [sym_this] = ACTIONS(2444),
    [anon_sym_discard] = ACTIONS(2444),
    [anon_sym_precise] = ACTIONS(2444),
    [anon_sym_shared] = ACTIONS(2444),
    [anon_sym_groupshared] = ACTIONS(2444),
    [anon_sym_uniform] = ACTIONS(2444),
    [anon_sym_row_major] = ACTIONS(2444),
    [anon_sym_column_major] = ACTIONS(2444),
    [anon_sym_globallycoherent] = ACTIONS(2444),
    [anon_sym_centroid] = ACTIONS(2444),
    [anon_sym_noperspective] = ACTIONS(2444),
    [anon_sym_nointerpolation] = ACTIONS(2444),
    [anon_sym_sample] = ACTIONS(2444),
    [anon_sym_linear] = ACTIONS(2444),
    [anon_sym_snorm] = ACTIONS(2444),
    [anon_sym_unorm] = ACTIONS(2444),
    [anon_sym_point] = ACTIONS(2444),
    [anon_sym_line] = ACTIONS(2444),
    [anon_sym_triangleadj] = ACTIONS(2444),
    [anon_sym_lineadj] = ACTIONS(2444),
    [anon_sym_triangle] = ACTIONS(2444),
    [anon_sym_cbuffer] = ACTIONS(2444),
  },
  [749] = {
    [sym_identifier] = ACTIONS(2444),
    [aux_sym_preproc_include_token1] = ACTIONS(2444),
    [aux_sym_preproc_def_token1] = ACTIONS(2444),
    [aux_sym_preproc_if_token1] = ACTIONS(2444),
    [aux_sym_preproc_if_token2] = ACTIONS(2444),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2444),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2444),
    [sym_preproc_directive] = ACTIONS(2444),
    [anon_sym_LPAREN2] = ACTIONS(2446),
    [anon_sym_BANG] = ACTIONS(2446),
    [anon_sym_TILDE] = ACTIONS(2446),
    [anon_sym_DASH] = ACTIONS(2444),
    [anon_sym_PLUS] = ACTIONS(2444),
    [anon_sym_STAR] = ACTIONS(2446),
    [anon_sym_AMP_AMP] = ACTIONS(2446),
    [anon_sym_AMP] = ACTIONS(2444),
    [anon_sym_SEMI] = ACTIONS(2446),
    [anon_sym___extension__] = ACTIONS(2444),
    [anon_sym_typedef] = ACTIONS(2444),
    [anon_sym_in] = ACTIONS(2444),
    [anon_sym_out] = ACTIONS(2444),
    [anon_sym_inout] = ACTIONS(2444),
    [anon_sym_extern] = ACTIONS(2444),
    [anon_sym___attribute__] = ACTIONS(2444),
    [anon_sym_COLON_COLON] = ACTIONS(2446),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2446),
    [anon_sym___declspec] = ACTIONS(2444),
    [anon_sym___based] = ACTIONS(2444),
    [anon_sym___cdecl] = ACTIONS(2444),
    [anon_sym___clrcall] = ACTIONS(2444),
    [anon_sym___stdcall] = ACTIONS(2444),
    [anon_sym___fastcall] = ACTIONS(2444),
    [anon_sym___thiscall] = ACTIONS(2444),
    [anon_sym___vectorcall] = ACTIONS(2444),
    [anon_sym_LBRACE] = ACTIONS(2446),
    [anon_sym_signed] = ACTIONS(2444),
    [anon_sym_unsigned] = ACTIONS(2444),
    [anon_sym_long] = ACTIONS(2444),
    [anon_sym_short] = ACTIONS(2444),
    [anon_sym_LBRACK] = ACTIONS(2444),
    [anon_sym_static] = ACTIONS(2444),
    [anon_sym_register] = ACTIONS(2444),
    [anon_sym_inline] = ACTIONS(2444),
    [anon_sym___inline] = ACTIONS(2444),
    [anon_sym___inline__] = ACTIONS(2444),
    [anon_sym___forceinline] = ACTIONS(2444),
    [anon_sym_thread_local] = ACTIONS(2444),
    [anon_sym___thread] = ACTIONS(2444),
    [anon_sym_const] = ACTIONS(2444),
    [anon_sym_constexpr] = ACTIONS(2444),
    [anon_sym_volatile] = ACTIONS(2444),
    [anon_sym_restrict] = ACTIONS(2444),
    [anon_sym___restrict__] = ACTIONS(2444),
    [anon_sym__Atomic] = ACTIONS(2444),
    [anon_sym__Noreturn] = ACTIONS(2444),
    [anon_sym_noreturn] = ACTIONS(2444),
    [anon_sym_mutable] = ACTIONS(2444),
    [anon_sym_constinit] = ACTIONS(2444),
    [anon_sym_consteval] = ACTIONS(2444),
    [sym_primitive_type] = ACTIONS(2444),
    [anon_sym_enum] = ACTIONS(2444),
    [anon_sym_class] = ACTIONS(2444),
    [anon_sym_struct] = ACTIONS(2444),
    [anon_sym_union] = ACTIONS(2444),
    [anon_sym_if] = ACTIONS(2444),
    [anon_sym_else] = ACTIONS(2444),
    [anon_sym_switch] = ACTIONS(2444),
    [anon_sym_case] = ACTIONS(2444),
    [anon_sym_default] = ACTIONS(2444),
    [anon_sym_while] = ACTIONS(2444),
    [anon_sym_do] = ACTIONS(2444),
    [anon_sym_for] = ACTIONS(2444),
    [anon_sym_return] = ACTIONS(2444),
    [anon_sym_break] = ACTIONS(2444),
    [anon_sym_continue] = ACTIONS(2444),
    [anon_sym_goto] = ACTIONS(2444),
    [anon_sym___try] = ACTIONS(2444),
    [anon_sym___leave] = ACTIONS(2444),
    [anon_sym_not] = ACTIONS(2444),
    [anon_sym_compl] = ACTIONS(2444),
    [anon_sym_DASH_DASH] = ACTIONS(2446),
    [anon_sym_PLUS_PLUS] = ACTIONS(2446),
    [anon_sym_sizeof] = ACTIONS(2444),
    [anon_sym___alignof__] = ACTIONS(2444),
    [anon_sym___alignof] = ACTIONS(2444),
    [anon_sym__alignof] = ACTIONS(2444),
    [anon_sym_alignof] = ACTIONS(2444),
    [anon_sym__Alignof] = ACTIONS(2444),
    [anon_sym_offsetof] = ACTIONS(2444),
    [anon_sym__Generic] = ACTIONS(2444),
    [anon_sym_asm] = ACTIONS(2444),
    [anon_sym___asm__] = ACTIONS(2444),
    [sym_number_literal] = ACTIONS(2446),
    [anon_sym_L_SQUOTE] = ACTIONS(2446),
    [anon_sym_u_SQUOTE] = ACTIONS(2446),
    [anon_sym_U_SQUOTE] = ACTIONS(2446),
    [anon_sym_u8_SQUOTE] = ACTIONS(2446),
    [anon_sym_SQUOTE] = ACTIONS(2446),
    [anon_sym_L_DQUOTE] = ACTIONS(2446),
    [anon_sym_u_DQUOTE] = ACTIONS(2446),
    [anon_sym_U_DQUOTE] = ACTIONS(2446),
    [anon_sym_u8_DQUOTE] = ACTIONS(2446),
    [anon_sym_DQUOTE] = ACTIONS(2446),
    [sym_true] = ACTIONS(2444),
    [sym_false] = ACTIONS(2444),
    [anon_sym_NULL] = ACTIONS(2444),
    [anon_sym_nullptr] = ACTIONS(2444),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2444),
    [anon_sym_decltype] = ACTIONS(2444),
    [anon_sym_virtual] = ACTIONS(2444),
    [anon_sym_alignas] = ACTIONS(2444),
    [anon_sym_explicit] = ACTIONS(2444),
    [anon_sym_typename] = ACTIONS(2444),
    [anon_sym_template] = ACTIONS(2444),
    [anon_sym_operator] = ACTIONS(2444),
    [anon_sym_try] = ACTIONS(2444),
    [anon_sym_delete] = ACTIONS(2444),
    [anon_sym_throw] = ACTIONS(2444),
    [anon_sym_namespace] = ACTIONS(2444),
    [anon_sym_using] = ACTIONS(2444),
    [anon_sym_static_assert] = ACTIONS(2444),
    [anon_sym_concept] = ACTIONS(2444),
    [anon_sym_co_return] = ACTIONS(2444),
    [anon_sym_co_yield] = ACTIONS(2444),
    [anon_sym_R_DQUOTE] = ACTIONS(2446),
    [anon_sym_LR_DQUOTE] = ACTIONS(2446),
    [anon_sym_uR_DQUOTE] = ACTIONS(2446),
    [anon_sym_UR_DQUOTE] = ACTIONS(2446),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2446),
    [anon_sym_co_await] = ACTIONS(2444),
    [anon_sym_new] = ACTIONS(2444),
    [anon_sym_requires] = ACTIONS(2444),
    [sym_this] = ACTIONS(2444),
    [anon_sym_discard] = ACTIONS(2444),
    [anon_sym_precise] = ACTIONS(2444),
    [anon_sym_shared] = ACTIONS(2444),
    [anon_sym_groupshared] = ACTIONS(2444),
    [anon_sym_uniform] = ACTIONS(2444),
    [anon_sym_row_major] = ACTIONS(2444),
    [anon_sym_column_major] = ACTIONS(2444),
    [anon_sym_globallycoherent] = ACTIONS(2444),
    [anon_sym_centroid] = ACTIONS(2444),
    [anon_sym_noperspective] = ACTIONS(2444),
    [anon_sym_nointerpolation] = ACTIONS(2444),
    [anon_sym_sample] = ACTIONS(2444),
    [anon_sym_linear] = ACTIONS(2444),
    [anon_sym_snorm] = ACTIONS(2444),
    [anon_sym_unorm] = ACTIONS(2444),
    [anon_sym_point] = ACTIONS(2444),
    [anon_sym_line] = ACTIONS(2444),
    [anon_sym_triangleadj] = ACTIONS(2444),
    [anon_sym_lineadj] = ACTIONS(2444),
    [anon_sym_triangle] = ACTIONS(2444),
    [anon_sym_cbuffer] = ACTIONS(2444),
  },
  [750] = {
    [ts_builtin_sym_end] = ACTIONS(2446),
    [sym_identifier] = ACTIONS(2444),
    [aux_sym_preproc_include_token1] = ACTIONS(2444),
    [aux_sym_preproc_def_token1] = ACTIONS(2444),
    [aux_sym_preproc_if_token1] = ACTIONS(2444),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2444),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2444),
    [sym_preproc_directive] = ACTIONS(2444),
    [anon_sym_LPAREN2] = ACTIONS(2446),
    [anon_sym_BANG] = ACTIONS(2446),
    [anon_sym_TILDE] = ACTIONS(2446),
    [anon_sym_DASH] = ACTIONS(2444),
    [anon_sym_PLUS] = ACTIONS(2444),
    [anon_sym_STAR] = ACTIONS(2446),
    [anon_sym_AMP_AMP] = ACTIONS(2446),
    [anon_sym_AMP] = ACTIONS(2444),
    [anon_sym_SEMI] = ACTIONS(2446),
    [anon_sym___extension__] = ACTIONS(2444),
    [anon_sym_typedef] = ACTIONS(2444),
    [anon_sym_in] = ACTIONS(2444),
    [anon_sym_out] = ACTIONS(2444),
    [anon_sym_inout] = ACTIONS(2444),
    [anon_sym_extern] = ACTIONS(2444),
    [anon_sym___attribute__] = ACTIONS(2444),
    [anon_sym_COLON_COLON] = ACTIONS(2446),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2446),
    [anon_sym___declspec] = ACTIONS(2444),
    [anon_sym___based] = ACTIONS(2444),
    [anon_sym___cdecl] = ACTIONS(2444),
    [anon_sym___clrcall] = ACTIONS(2444),
    [anon_sym___stdcall] = ACTIONS(2444),
    [anon_sym___fastcall] = ACTIONS(2444),
    [anon_sym___thiscall] = ACTIONS(2444),
    [anon_sym___vectorcall] = ACTIONS(2444),
    [anon_sym_LBRACE] = ACTIONS(2446),
    [anon_sym_signed] = ACTIONS(2444),
    [anon_sym_unsigned] = ACTIONS(2444),
    [anon_sym_long] = ACTIONS(2444),
    [anon_sym_short] = ACTIONS(2444),
    [anon_sym_LBRACK] = ACTIONS(2444),
    [anon_sym_static] = ACTIONS(2444),
    [anon_sym_register] = ACTIONS(2444),
    [anon_sym_inline] = ACTIONS(2444),
    [anon_sym___inline] = ACTIONS(2444),
    [anon_sym___inline__] = ACTIONS(2444),
    [anon_sym___forceinline] = ACTIONS(2444),
    [anon_sym_thread_local] = ACTIONS(2444),
    [anon_sym___thread] = ACTIONS(2444),
    [anon_sym_const] = ACTIONS(2444),
    [anon_sym_constexpr] = ACTIONS(2444),
    [anon_sym_volatile] = ACTIONS(2444),
    [anon_sym_restrict] = ACTIONS(2444),
    [anon_sym___restrict__] = ACTIONS(2444),
    [anon_sym__Atomic] = ACTIONS(2444),
    [anon_sym__Noreturn] = ACTIONS(2444),
    [anon_sym_noreturn] = ACTIONS(2444),
    [anon_sym_mutable] = ACTIONS(2444),
    [anon_sym_constinit] = ACTIONS(2444),
    [anon_sym_consteval] = ACTIONS(2444),
    [sym_primitive_type] = ACTIONS(2444),
    [anon_sym_enum] = ACTIONS(2444),
    [anon_sym_class] = ACTIONS(2444),
    [anon_sym_struct] = ACTIONS(2444),
    [anon_sym_union] = ACTIONS(2444),
    [anon_sym_if] = ACTIONS(2444),
    [anon_sym_else] = ACTIONS(2444),
    [anon_sym_switch] = ACTIONS(2444),
    [anon_sym_case] = ACTIONS(2444),
    [anon_sym_default] = ACTIONS(2444),
    [anon_sym_while] = ACTIONS(2444),
    [anon_sym_do] = ACTIONS(2444),
    [anon_sym_for] = ACTIONS(2444),
    [anon_sym_return] = ACTIONS(2444),
    [anon_sym_break] = ACTIONS(2444),
    [anon_sym_continue] = ACTIONS(2444),
    [anon_sym_goto] = ACTIONS(2444),
    [anon_sym___try] = ACTIONS(2444),
    [anon_sym___leave] = ACTIONS(2444),
    [anon_sym_not] = ACTIONS(2444),
    [anon_sym_compl] = ACTIONS(2444),
    [anon_sym_DASH_DASH] = ACTIONS(2446),
    [anon_sym_PLUS_PLUS] = ACTIONS(2446),
    [anon_sym_sizeof] = ACTIONS(2444),
    [anon_sym___alignof__] = ACTIONS(2444),
    [anon_sym___alignof] = ACTIONS(2444),
    [anon_sym__alignof] = ACTIONS(2444),
    [anon_sym_alignof] = ACTIONS(2444),
    [anon_sym__Alignof] = ACTIONS(2444),
    [anon_sym_offsetof] = ACTIONS(2444),
    [anon_sym__Generic] = ACTIONS(2444),
    [anon_sym_asm] = ACTIONS(2444),
    [anon_sym___asm__] = ACTIONS(2444),
    [sym_number_literal] = ACTIONS(2446),
    [anon_sym_L_SQUOTE] = ACTIONS(2446),
    [anon_sym_u_SQUOTE] = ACTIONS(2446),
    [anon_sym_U_SQUOTE] = ACTIONS(2446),
    [anon_sym_u8_SQUOTE] = ACTIONS(2446),
    [anon_sym_SQUOTE] = ACTIONS(2446),
    [anon_sym_L_DQUOTE] = ACTIONS(2446),
    [anon_sym_u_DQUOTE] = ACTIONS(2446),
    [anon_sym_U_DQUOTE] = ACTIONS(2446),
    [anon_sym_u8_DQUOTE] = ACTIONS(2446),
    [anon_sym_DQUOTE] = ACTIONS(2446),
    [sym_true] = ACTIONS(2444),
    [sym_false] = ACTIONS(2444),
    [anon_sym_NULL] = ACTIONS(2444),
    [anon_sym_nullptr] = ACTIONS(2444),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2444),
    [anon_sym_decltype] = ACTIONS(2444),
    [anon_sym_virtual] = ACTIONS(2444),
    [anon_sym_alignas] = ACTIONS(2444),
    [anon_sym_explicit] = ACTIONS(2444),
    [anon_sym_typename] = ACTIONS(2444),
    [anon_sym_template] = ACTIONS(2444),
    [anon_sym_operator] = ACTIONS(2444),
    [anon_sym_try] = ACTIONS(2444),
    [anon_sym_delete] = ACTIONS(2444),
    [anon_sym_throw] = ACTIONS(2444),
    [anon_sym_namespace] = ACTIONS(2444),
    [anon_sym_using] = ACTIONS(2444),
    [anon_sym_static_assert] = ACTIONS(2444),
    [anon_sym_concept] = ACTIONS(2444),
    [anon_sym_co_return] = ACTIONS(2444),
    [anon_sym_co_yield] = ACTIONS(2444),
    [anon_sym_R_DQUOTE] = ACTIONS(2446),
    [anon_sym_LR_DQUOTE] = ACTIONS(2446),
    [anon_sym_uR_DQUOTE] = ACTIONS(2446),
    [anon_sym_UR_DQUOTE] = ACTIONS(2446),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2446),
    [anon_sym_co_await] = ACTIONS(2444),
    [anon_sym_new] = ACTIONS(2444),
    [anon_sym_requires] = ACTIONS(2444),
    [sym_this] = ACTIONS(2444),
    [anon_sym_discard] = ACTIONS(2444),
    [anon_sym_precise] = ACTIONS(2444),
    [anon_sym_shared] = ACTIONS(2444),
    [anon_sym_groupshared] = ACTIONS(2444),
    [anon_sym_uniform] = ACTIONS(2444),
    [anon_sym_row_major] = ACTIONS(2444),
    [anon_sym_column_major] = ACTIONS(2444),
    [anon_sym_globallycoherent] = ACTIONS(2444),
    [anon_sym_centroid] = ACTIONS(2444),
    [anon_sym_noperspective] = ACTIONS(2444),
    [anon_sym_nointerpolation] = ACTIONS(2444),
    [anon_sym_sample] = ACTIONS(2444),
    [anon_sym_linear] = ACTIONS(2444),
    [anon_sym_snorm] = ACTIONS(2444),
    [anon_sym_unorm] = ACTIONS(2444),
    [anon_sym_point] = ACTIONS(2444),
    [anon_sym_line] = ACTIONS(2444),
    [anon_sym_triangleadj] = ACTIONS(2444),
    [anon_sym_lineadj] = ACTIONS(2444),
    [anon_sym_triangle] = ACTIONS(2444),
    [anon_sym_cbuffer] = ACTIONS(2444),
  },
  [751] = {
    [sym_identifier] = ACTIONS(2444),
    [aux_sym_preproc_include_token1] = ACTIONS(2444),
    [aux_sym_preproc_def_token1] = ACTIONS(2444),
    [aux_sym_preproc_if_token1] = ACTIONS(2444),
    [aux_sym_preproc_if_token2] = ACTIONS(2444),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2444),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2444),
    [sym_preproc_directive] = ACTIONS(2444),
    [anon_sym_LPAREN2] = ACTIONS(2446),
    [anon_sym_BANG] = ACTIONS(2446),
    [anon_sym_TILDE] = ACTIONS(2446),
    [anon_sym_DASH] = ACTIONS(2444),
    [anon_sym_PLUS] = ACTIONS(2444),
    [anon_sym_STAR] = ACTIONS(2446),
    [anon_sym_AMP_AMP] = ACTIONS(2446),
    [anon_sym_AMP] = ACTIONS(2444),
    [anon_sym_SEMI] = ACTIONS(2446),
    [anon_sym___extension__] = ACTIONS(2444),
    [anon_sym_typedef] = ACTIONS(2444),
    [anon_sym_in] = ACTIONS(2444),
    [anon_sym_out] = ACTIONS(2444),
    [anon_sym_inout] = ACTIONS(2444),
    [anon_sym_extern] = ACTIONS(2444),
    [anon_sym___attribute__] = ACTIONS(2444),
    [anon_sym_COLON_COLON] = ACTIONS(2446),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2446),
    [anon_sym___declspec] = ACTIONS(2444),
    [anon_sym___based] = ACTIONS(2444),
    [anon_sym___cdecl] = ACTIONS(2444),
    [anon_sym___clrcall] = ACTIONS(2444),
    [anon_sym___stdcall] = ACTIONS(2444),
    [anon_sym___fastcall] = ACTIONS(2444),
    [anon_sym___thiscall] = ACTIONS(2444),
    [anon_sym___vectorcall] = ACTIONS(2444),
    [anon_sym_LBRACE] = ACTIONS(2446),
    [anon_sym_signed] = ACTIONS(2444),
    [anon_sym_unsigned] = ACTIONS(2444),
    [anon_sym_long] = ACTIONS(2444),
    [anon_sym_short] = ACTIONS(2444),
    [anon_sym_LBRACK] = ACTIONS(2444),
    [anon_sym_static] = ACTIONS(2444),
    [anon_sym_register] = ACTIONS(2444),
    [anon_sym_inline] = ACTIONS(2444),
    [anon_sym___inline] = ACTIONS(2444),
    [anon_sym___inline__] = ACTIONS(2444),
    [anon_sym___forceinline] = ACTIONS(2444),
    [anon_sym_thread_local] = ACTIONS(2444),
    [anon_sym___thread] = ACTIONS(2444),
    [anon_sym_const] = ACTIONS(2444),
    [anon_sym_constexpr] = ACTIONS(2444),
    [anon_sym_volatile] = ACTIONS(2444),
    [anon_sym_restrict] = ACTIONS(2444),
    [anon_sym___restrict__] = ACTIONS(2444),
    [anon_sym__Atomic] = ACTIONS(2444),
    [anon_sym__Noreturn] = ACTIONS(2444),
    [anon_sym_noreturn] = ACTIONS(2444),
    [anon_sym_mutable] = ACTIONS(2444),
    [anon_sym_constinit] = ACTIONS(2444),
    [anon_sym_consteval] = ACTIONS(2444),
    [sym_primitive_type] = ACTIONS(2444),
    [anon_sym_enum] = ACTIONS(2444),
    [anon_sym_class] = ACTIONS(2444),
    [anon_sym_struct] = ACTIONS(2444),
    [anon_sym_union] = ACTIONS(2444),
    [anon_sym_if] = ACTIONS(2444),
    [anon_sym_else] = ACTIONS(2444),
    [anon_sym_switch] = ACTIONS(2444),
    [anon_sym_case] = ACTIONS(2444),
    [anon_sym_default] = ACTIONS(2444),
    [anon_sym_while] = ACTIONS(2444),
    [anon_sym_do] = ACTIONS(2444),
    [anon_sym_for] = ACTIONS(2444),
    [anon_sym_return] = ACTIONS(2444),
    [anon_sym_break] = ACTIONS(2444),
    [anon_sym_continue] = ACTIONS(2444),
    [anon_sym_goto] = ACTIONS(2444),
    [anon_sym___try] = ACTIONS(2444),
    [anon_sym___leave] = ACTIONS(2444),
    [anon_sym_not] = ACTIONS(2444),
    [anon_sym_compl] = ACTIONS(2444),
    [anon_sym_DASH_DASH] = ACTIONS(2446),
    [anon_sym_PLUS_PLUS] = ACTIONS(2446),
    [anon_sym_sizeof] = ACTIONS(2444),
    [anon_sym___alignof__] = ACTIONS(2444),
    [anon_sym___alignof] = ACTIONS(2444),
    [anon_sym__alignof] = ACTIONS(2444),
    [anon_sym_alignof] = ACTIONS(2444),
    [anon_sym__Alignof] = ACTIONS(2444),
    [anon_sym_offsetof] = ACTIONS(2444),
    [anon_sym__Generic] = ACTIONS(2444),
    [anon_sym_asm] = ACTIONS(2444),
    [anon_sym___asm__] = ACTIONS(2444),
    [sym_number_literal] = ACTIONS(2446),
    [anon_sym_L_SQUOTE] = ACTIONS(2446),
    [anon_sym_u_SQUOTE] = ACTIONS(2446),
    [anon_sym_U_SQUOTE] = ACTIONS(2446),
    [anon_sym_u8_SQUOTE] = ACTIONS(2446),
    [anon_sym_SQUOTE] = ACTIONS(2446),
    [anon_sym_L_DQUOTE] = ACTIONS(2446),
    [anon_sym_u_DQUOTE] = ACTIONS(2446),
    [anon_sym_U_DQUOTE] = ACTIONS(2446),
    [anon_sym_u8_DQUOTE] = ACTIONS(2446),
    [anon_sym_DQUOTE] = ACTIONS(2446),
    [sym_true] = ACTIONS(2444),
    [sym_false] = ACTIONS(2444),
    [anon_sym_NULL] = ACTIONS(2444),
    [anon_sym_nullptr] = ACTIONS(2444),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2444),
    [anon_sym_decltype] = ACTIONS(2444),
    [anon_sym_virtual] = ACTIONS(2444),
    [anon_sym_alignas] = ACTIONS(2444),
    [anon_sym_explicit] = ACTIONS(2444),
    [anon_sym_typename] = ACTIONS(2444),
    [anon_sym_template] = ACTIONS(2444),
    [anon_sym_operator] = ACTIONS(2444),
    [anon_sym_try] = ACTIONS(2444),
    [anon_sym_delete] = ACTIONS(2444),
    [anon_sym_throw] = ACTIONS(2444),
    [anon_sym_namespace] = ACTIONS(2444),
    [anon_sym_using] = ACTIONS(2444),
    [anon_sym_static_assert] = ACTIONS(2444),
    [anon_sym_concept] = ACTIONS(2444),
    [anon_sym_co_return] = ACTIONS(2444),
    [anon_sym_co_yield] = ACTIONS(2444),
    [anon_sym_R_DQUOTE] = ACTIONS(2446),
    [anon_sym_LR_DQUOTE] = ACTIONS(2446),
    [anon_sym_uR_DQUOTE] = ACTIONS(2446),
    [anon_sym_UR_DQUOTE] = ACTIONS(2446),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2446),
    [anon_sym_co_await] = ACTIONS(2444),
    [anon_sym_new] = ACTIONS(2444),
    [anon_sym_requires] = ACTIONS(2444),
    [sym_this] = ACTIONS(2444),
    [anon_sym_discard] = ACTIONS(2444),
    [anon_sym_precise] = ACTIONS(2444),
    [anon_sym_shared] = ACTIONS(2444),
    [anon_sym_groupshared] = ACTIONS(2444),
    [anon_sym_uniform] = ACTIONS(2444),
    [anon_sym_row_major] = ACTIONS(2444),
    [anon_sym_column_major] = ACTIONS(2444),
    [anon_sym_globallycoherent] = ACTIONS(2444),
    [anon_sym_centroid] = ACTIONS(2444),
    [anon_sym_noperspective] = ACTIONS(2444),
    [anon_sym_nointerpolation] = ACTIONS(2444),
    [anon_sym_sample] = ACTIONS(2444),
    [anon_sym_linear] = ACTIONS(2444),
    [anon_sym_snorm] = ACTIONS(2444),
    [anon_sym_unorm] = ACTIONS(2444),
    [anon_sym_point] = ACTIONS(2444),
    [anon_sym_line] = ACTIONS(2444),
    [anon_sym_triangleadj] = ACTIONS(2444),
    [anon_sym_lineadj] = ACTIONS(2444),
    [anon_sym_triangle] = ACTIONS(2444),
    [anon_sym_cbuffer] = ACTIONS(2444),
  },
  [752] = {
    [ts_builtin_sym_end] = ACTIONS(2446),
    [sym_identifier] = ACTIONS(2444),
    [aux_sym_preproc_include_token1] = ACTIONS(2444),
    [aux_sym_preproc_def_token1] = ACTIONS(2444),
    [aux_sym_preproc_if_token1] = ACTIONS(2444),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2444),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2444),
    [sym_preproc_directive] = ACTIONS(2444),
    [anon_sym_LPAREN2] = ACTIONS(2446),
    [anon_sym_BANG] = ACTIONS(2446),
    [anon_sym_TILDE] = ACTIONS(2446),
    [anon_sym_DASH] = ACTIONS(2444),
    [anon_sym_PLUS] = ACTIONS(2444),
    [anon_sym_STAR] = ACTIONS(2446),
    [anon_sym_AMP_AMP] = ACTIONS(2446),
    [anon_sym_AMP] = ACTIONS(2444),
    [anon_sym_SEMI] = ACTIONS(2446),
    [anon_sym___extension__] = ACTIONS(2444),
    [anon_sym_typedef] = ACTIONS(2444),
    [anon_sym_in] = ACTIONS(2444),
    [anon_sym_out] = ACTIONS(2444),
    [anon_sym_inout] = ACTIONS(2444),
    [anon_sym_extern] = ACTIONS(2444),
    [anon_sym___attribute__] = ACTIONS(2444),
    [anon_sym_COLON_COLON] = ACTIONS(2446),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2446),
    [anon_sym___declspec] = ACTIONS(2444),
    [anon_sym___based] = ACTIONS(2444),
    [anon_sym___cdecl] = ACTIONS(2444),
    [anon_sym___clrcall] = ACTIONS(2444),
    [anon_sym___stdcall] = ACTIONS(2444),
    [anon_sym___fastcall] = ACTIONS(2444),
    [anon_sym___thiscall] = ACTIONS(2444),
    [anon_sym___vectorcall] = ACTIONS(2444),
    [anon_sym_LBRACE] = ACTIONS(2446),
    [anon_sym_signed] = ACTIONS(2444),
    [anon_sym_unsigned] = ACTIONS(2444),
    [anon_sym_long] = ACTIONS(2444),
    [anon_sym_short] = ACTIONS(2444),
    [anon_sym_LBRACK] = ACTIONS(2444),
    [anon_sym_static] = ACTIONS(2444),
    [anon_sym_register] = ACTIONS(2444),
    [anon_sym_inline] = ACTIONS(2444),
    [anon_sym___inline] = ACTIONS(2444),
    [anon_sym___inline__] = ACTIONS(2444),
    [anon_sym___forceinline] = ACTIONS(2444),
    [anon_sym_thread_local] = ACTIONS(2444),
    [anon_sym___thread] = ACTIONS(2444),
    [anon_sym_const] = ACTIONS(2444),
    [anon_sym_constexpr] = ACTIONS(2444),
    [anon_sym_volatile] = ACTIONS(2444),
    [anon_sym_restrict] = ACTIONS(2444),
    [anon_sym___restrict__] = ACTIONS(2444),
    [anon_sym__Atomic] = ACTIONS(2444),
    [anon_sym__Noreturn] = ACTIONS(2444),
    [anon_sym_noreturn] = ACTIONS(2444),
    [anon_sym_mutable] = ACTIONS(2444),
    [anon_sym_constinit] = ACTIONS(2444),
    [anon_sym_consteval] = ACTIONS(2444),
    [sym_primitive_type] = ACTIONS(2444),
    [anon_sym_enum] = ACTIONS(2444),
    [anon_sym_class] = ACTIONS(2444),
    [anon_sym_struct] = ACTIONS(2444),
    [anon_sym_union] = ACTIONS(2444),
    [anon_sym_if] = ACTIONS(2444),
    [anon_sym_else] = ACTIONS(2444),
    [anon_sym_switch] = ACTIONS(2444),
    [anon_sym_case] = ACTIONS(2444),
    [anon_sym_default] = ACTIONS(2444),
    [anon_sym_while] = ACTIONS(2444),
    [anon_sym_do] = ACTIONS(2444),
    [anon_sym_for] = ACTIONS(2444),
    [anon_sym_return] = ACTIONS(2444),
    [anon_sym_break] = ACTIONS(2444),
    [anon_sym_continue] = ACTIONS(2444),
    [anon_sym_goto] = ACTIONS(2444),
    [anon_sym___try] = ACTIONS(2444),
    [anon_sym___leave] = ACTIONS(2444),
    [anon_sym_not] = ACTIONS(2444),
    [anon_sym_compl] = ACTIONS(2444),
    [anon_sym_DASH_DASH] = ACTIONS(2446),
    [anon_sym_PLUS_PLUS] = ACTIONS(2446),
    [anon_sym_sizeof] = ACTIONS(2444),
    [anon_sym___alignof__] = ACTIONS(2444),
    [anon_sym___alignof] = ACTIONS(2444),
    [anon_sym__alignof] = ACTIONS(2444),
    [anon_sym_alignof] = ACTIONS(2444),
    [anon_sym__Alignof] = ACTIONS(2444),
    [anon_sym_offsetof] = ACTIONS(2444),
    [anon_sym__Generic] = ACTIONS(2444),
    [anon_sym_asm] = ACTIONS(2444),
    [anon_sym___asm__] = ACTIONS(2444),
    [sym_number_literal] = ACTIONS(2446),
    [anon_sym_L_SQUOTE] = ACTIONS(2446),
    [anon_sym_u_SQUOTE] = ACTIONS(2446),
    [anon_sym_U_SQUOTE] = ACTIONS(2446),
    [anon_sym_u8_SQUOTE] = ACTIONS(2446),
    [anon_sym_SQUOTE] = ACTIONS(2446),
    [anon_sym_L_DQUOTE] = ACTIONS(2446),
    [anon_sym_u_DQUOTE] = ACTIONS(2446),
    [anon_sym_U_DQUOTE] = ACTIONS(2446),
    [anon_sym_u8_DQUOTE] = ACTIONS(2446),
    [anon_sym_DQUOTE] = ACTIONS(2446),
    [sym_true] = ACTIONS(2444),
    [sym_false] = ACTIONS(2444),
    [anon_sym_NULL] = ACTIONS(2444),
    [anon_sym_nullptr] = ACTIONS(2444),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2444),
    [anon_sym_decltype] = ACTIONS(2444),
    [anon_sym_virtual] = ACTIONS(2444),
    [anon_sym_alignas] = ACTIONS(2444),
    [anon_sym_explicit] = ACTIONS(2444),
    [anon_sym_typename] = ACTIONS(2444),
    [anon_sym_template] = ACTIONS(2444),
    [anon_sym_operator] = ACTIONS(2444),
    [anon_sym_try] = ACTIONS(2444),
    [anon_sym_delete] = ACTIONS(2444),
    [anon_sym_throw] = ACTIONS(2444),
    [anon_sym_namespace] = ACTIONS(2444),
    [anon_sym_using] = ACTIONS(2444),
    [anon_sym_static_assert] = ACTIONS(2444),
    [anon_sym_concept] = ACTIONS(2444),
    [anon_sym_co_return] = ACTIONS(2444),
    [anon_sym_co_yield] = ACTIONS(2444),
    [anon_sym_R_DQUOTE] = ACTIONS(2446),
    [anon_sym_LR_DQUOTE] = ACTIONS(2446),
    [anon_sym_uR_DQUOTE] = ACTIONS(2446),
    [anon_sym_UR_DQUOTE] = ACTIONS(2446),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2446),
    [anon_sym_co_await] = ACTIONS(2444),
    [anon_sym_new] = ACTIONS(2444),
    [anon_sym_requires] = ACTIONS(2444),
    [sym_this] = ACTIONS(2444),
    [anon_sym_discard] = ACTIONS(2444),
    [anon_sym_precise] = ACTIONS(2444),
    [anon_sym_shared] = ACTIONS(2444),
    [anon_sym_groupshared] = ACTIONS(2444),
    [anon_sym_uniform] = ACTIONS(2444),
    [anon_sym_row_major] = ACTIONS(2444),
    [anon_sym_column_major] = ACTIONS(2444),
    [anon_sym_globallycoherent] = ACTIONS(2444),
    [anon_sym_centroid] = ACTIONS(2444),
    [anon_sym_noperspective] = ACTIONS(2444),
    [anon_sym_nointerpolation] = ACTIONS(2444),
    [anon_sym_sample] = ACTIONS(2444),
    [anon_sym_linear] = ACTIONS(2444),
    [anon_sym_snorm] = ACTIONS(2444),
    [anon_sym_unorm] = ACTIONS(2444),
    [anon_sym_point] = ACTIONS(2444),
    [anon_sym_line] = ACTIONS(2444),
    [anon_sym_triangleadj] = ACTIONS(2444),
    [anon_sym_lineadj] = ACTIONS(2444),
    [anon_sym_triangle] = ACTIONS(2444),
    [anon_sym_cbuffer] = ACTIONS(2444),
  },
  [753] = {
    [sym_identifier] = ACTIONS(2444),
    [aux_sym_preproc_include_token1] = ACTIONS(2444),
    [aux_sym_preproc_def_token1] = ACTIONS(2444),
    [aux_sym_preproc_if_token1] = ACTIONS(2444),
    [aux_sym_preproc_if_token2] = ACTIONS(2444),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2444),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2444),
    [sym_preproc_directive] = ACTIONS(2444),
    [anon_sym_LPAREN2] = ACTIONS(2446),
    [anon_sym_BANG] = ACTIONS(2446),
    [anon_sym_TILDE] = ACTIONS(2446),
    [anon_sym_DASH] = ACTIONS(2444),
    [anon_sym_PLUS] = ACTIONS(2444),
    [anon_sym_STAR] = ACTIONS(2446),
    [anon_sym_AMP_AMP] = ACTIONS(2446),
    [anon_sym_AMP] = ACTIONS(2444),
    [anon_sym_SEMI] = ACTIONS(2446),
    [anon_sym___extension__] = ACTIONS(2444),
    [anon_sym_typedef] = ACTIONS(2444),
    [anon_sym_in] = ACTIONS(2444),
    [anon_sym_out] = ACTIONS(2444),
    [anon_sym_inout] = ACTIONS(2444),
    [anon_sym_extern] = ACTIONS(2444),
    [anon_sym___attribute__] = ACTIONS(2444),
    [anon_sym_COLON_COLON] = ACTIONS(2446),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2446),
    [anon_sym___declspec] = ACTIONS(2444),
    [anon_sym___based] = ACTIONS(2444),
    [anon_sym___cdecl] = ACTIONS(2444),
    [anon_sym___clrcall] = ACTIONS(2444),
    [anon_sym___stdcall] = ACTIONS(2444),
    [anon_sym___fastcall] = ACTIONS(2444),
    [anon_sym___thiscall] = ACTIONS(2444),
    [anon_sym___vectorcall] = ACTIONS(2444),
    [anon_sym_LBRACE] = ACTIONS(2446),
    [anon_sym_signed] = ACTIONS(2444),
    [anon_sym_unsigned] = ACTIONS(2444),
    [anon_sym_long] = ACTIONS(2444),
    [anon_sym_short] = ACTIONS(2444),
    [anon_sym_LBRACK] = ACTIONS(2444),
    [anon_sym_static] = ACTIONS(2444),
    [anon_sym_register] = ACTIONS(2444),
    [anon_sym_inline] = ACTIONS(2444),
    [anon_sym___inline] = ACTIONS(2444),
    [anon_sym___inline__] = ACTIONS(2444),
    [anon_sym___forceinline] = ACTIONS(2444),
    [anon_sym_thread_local] = ACTIONS(2444),
    [anon_sym___thread] = ACTIONS(2444),
    [anon_sym_const] = ACTIONS(2444),
    [anon_sym_constexpr] = ACTIONS(2444),
    [anon_sym_volatile] = ACTIONS(2444),
    [anon_sym_restrict] = ACTIONS(2444),
    [anon_sym___restrict__] = ACTIONS(2444),
    [anon_sym__Atomic] = ACTIONS(2444),
    [anon_sym__Noreturn] = ACTIONS(2444),
    [anon_sym_noreturn] = ACTIONS(2444),
    [anon_sym_mutable] = ACTIONS(2444),
    [anon_sym_constinit] = ACTIONS(2444),
    [anon_sym_consteval] = ACTIONS(2444),
    [sym_primitive_type] = ACTIONS(2444),
    [anon_sym_enum] = ACTIONS(2444),
    [anon_sym_class] = ACTIONS(2444),
    [anon_sym_struct] = ACTIONS(2444),
    [anon_sym_union] = ACTIONS(2444),
    [anon_sym_if] = ACTIONS(2444),
    [anon_sym_else] = ACTIONS(2444),
    [anon_sym_switch] = ACTIONS(2444),
    [anon_sym_case] = ACTIONS(2444),
    [anon_sym_default] = ACTIONS(2444),
    [anon_sym_while] = ACTIONS(2444),
    [anon_sym_do] = ACTIONS(2444),
    [anon_sym_for] = ACTIONS(2444),
    [anon_sym_return] = ACTIONS(2444),
    [anon_sym_break] = ACTIONS(2444),
    [anon_sym_continue] = ACTIONS(2444),
    [anon_sym_goto] = ACTIONS(2444),
    [anon_sym___try] = ACTIONS(2444),
    [anon_sym___leave] = ACTIONS(2444),
    [anon_sym_not] = ACTIONS(2444),
    [anon_sym_compl] = ACTIONS(2444),
    [anon_sym_DASH_DASH] = ACTIONS(2446),
    [anon_sym_PLUS_PLUS] = ACTIONS(2446),
    [anon_sym_sizeof] = ACTIONS(2444),
    [anon_sym___alignof__] = ACTIONS(2444),
    [anon_sym___alignof] = ACTIONS(2444),
    [anon_sym__alignof] = ACTIONS(2444),
    [anon_sym_alignof] = ACTIONS(2444),
    [anon_sym__Alignof] = ACTIONS(2444),
    [anon_sym_offsetof] = ACTIONS(2444),
    [anon_sym__Generic] = ACTIONS(2444),
    [anon_sym_asm] = ACTIONS(2444),
    [anon_sym___asm__] = ACTIONS(2444),
    [sym_number_literal] = ACTIONS(2446),
    [anon_sym_L_SQUOTE] = ACTIONS(2446),
    [anon_sym_u_SQUOTE] = ACTIONS(2446),
    [anon_sym_U_SQUOTE] = ACTIONS(2446),
    [anon_sym_u8_SQUOTE] = ACTIONS(2446),
    [anon_sym_SQUOTE] = ACTIONS(2446),
    [anon_sym_L_DQUOTE] = ACTIONS(2446),
    [anon_sym_u_DQUOTE] = ACTIONS(2446),
    [anon_sym_U_DQUOTE] = ACTIONS(2446),
    [anon_sym_u8_DQUOTE] = ACTIONS(2446),
    [anon_sym_DQUOTE] = ACTIONS(2446),
    [sym_true] = ACTIONS(2444),
    [sym_false] = ACTIONS(2444),
    [anon_sym_NULL] = ACTIONS(2444),
    [anon_sym_nullptr] = ACTIONS(2444),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2444),
    [anon_sym_decltype] = ACTIONS(2444),
    [anon_sym_virtual] = ACTIONS(2444),
    [anon_sym_alignas] = ACTIONS(2444),
    [anon_sym_explicit] = ACTIONS(2444),
    [anon_sym_typename] = ACTIONS(2444),
    [anon_sym_template] = ACTIONS(2444),
    [anon_sym_operator] = ACTIONS(2444),
    [anon_sym_try] = ACTIONS(2444),
    [anon_sym_delete] = ACTIONS(2444),
    [anon_sym_throw] = ACTIONS(2444),
    [anon_sym_namespace] = ACTIONS(2444),
    [anon_sym_using] = ACTIONS(2444),
    [anon_sym_static_assert] = ACTIONS(2444),
    [anon_sym_concept] = ACTIONS(2444),
    [anon_sym_co_return] = ACTIONS(2444),
    [anon_sym_co_yield] = ACTIONS(2444),
    [anon_sym_R_DQUOTE] = ACTIONS(2446),
    [anon_sym_LR_DQUOTE] = ACTIONS(2446),
    [anon_sym_uR_DQUOTE] = ACTIONS(2446),
    [anon_sym_UR_DQUOTE] = ACTIONS(2446),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2446),
    [anon_sym_co_await] = ACTIONS(2444),
    [anon_sym_new] = ACTIONS(2444),
    [anon_sym_requires] = ACTIONS(2444),
    [sym_this] = ACTIONS(2444),
    [anon_sym_discard] = ACTIONS(2444),
    [anon_sym_precise] = ACTIONS(2444),
    [anon_sym_shared] = ACTIONS(2444),
    [anon_sym_groupshared] = ACTIONS(2444),
    [anon_sym_uniform] = ACTIONS(2444),
    [anon_sym_row_major] = ACTIONS(2444),
    [anon_sym_column_major] = ACTIONS(2444),
    [anon_sym_globallycoherent] = ACTIONS(2444),
    [anon_sym_centroid] = ACTIONS(2444),
    [anon_sym_noperspective] = ACTIONS(2444),
    [anon_sym_nointerpolation] = ACTIONS(2444),
    [anon_sym_sample] = ACTIONS(2444),
    [anon_sym_linear] = ACTIONS(2444),
    [anon_sym_snorm] = ACTIONS(2444),
    [anon_sym_unorm] = ACTIONS(2444),
    [anon_sym_point] = ACTIONS(2444),
    [anon_sym_line] = ACTIONS(2444),
    [anon_sym_triangleadj] = ACTIONS(2444),
    [anon_sym_lineadj] = ACTIONS(2444),
    [anon_sym_triangle] = ACTIONS(2444),
    [anon_sym_cbuffer] = ACTIONS(2444),
  },
  [754] = {
    [sym_identifier] = ACTIONS(2380),
    [aux_sym_preproc_include_token1] = ACTIONS(2380),
    [aux_sym_preproc_def_token1] = ACTIONS(2380),
    [aux_sym_preproc_if_token1] = ACTIONS(2380),
    [aux_sym_preproc_if_token2] = ACTIONS(2380),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2380),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2380),
    [sym_preproc_directive] = ACTIONS(2380),
    [anon_sym_LPAREN2] = ACTIONS(2382),
    [anon_sym_BANG] = ACTIONS(2382),
    [anon_sym_TILDE] = ACTIONS(2382),
    [anon_sym_DASH] = ACTIONS(2380),
    [anon_sym_PLUS] = ACTIONS(2380),
    [anon_sym_STAR] = ACTIONS(2382),
    [anon_sym_AMP_AMP] = ACTIONS(2382),
    [anon_sym_AMP] = ACTIONS(2380),
    [anon_sym_SEMI] = ACTIONS(2382),
    [anon_sym___extension__] = ACTIONS(2380),
    [anon_sym_typedef] = ACTIONS(2380),
    [anon_sym_in] = ACTIONS(2380),
    [anon_sym_out] = ACTIONS(2380),
    [anon_sym_inout] = ACTIONS(2380),
    [anon_sym_extern] = ACTIONS(2380),
    [anon_sym___attribute__] = ACTIONS(2380),
    [anon_sym_COLON_COLON] = ACTIONS(2382),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2382),
    [anon_sym___declspec] = ACTIONS(2380),
    [anon_sym___based] = ACTIONS(2380),
    [anon_sym___cdecl] = ACTIONS(2380),
    [anon_sym___clrcall] = ACTIONS(2380),
    [anon_sym___stdcall] = ACTIONS(2380),
    [anon_sym___fastcall] = ACTIONS(2380),
    [anon_sym___thiscall] = ACTIONS(2380),
    [anon_sym___vectorcall] = ACTIONS(2380),
    [anon_sym_LBRACE] = ACTIONS(2382),
    [anon_sym_signed] = ACTIONS(2380),
    [anon_sym_unsigned] = ACTIONS(2380),
    [anon_sym_long] = ACTIONS(2380),
    [anon_sym_short] = ACTIONS(2380),
    [anon_sym_LBRACK] = ACTIONS(2380),
    [anon_sym_static] = ACTIONS(2380),
    [anon_sym_register] = ACTIONS(2380),
    [anon_sym_inline] = ACTIONS(2380),
    [anon_sym___inline] = ACTIONS(2380),
    [anon_sym___inline__] = ACTIONS(2380),
    [anon_sym___forceinline] = ACTIONS(2380),
    [anon_sym_thread_local] = ACTIONS(2380),
    [anon_sym___thread] = ACTIONS(2380),
    [anon_sym_const] = ACTIONS(2380),
    [anon_sym_constexpr] = ACTIONS(2380),
    [anon_sym_volatile] = ACTIONS(2380),
    [anon_sym_restrict] = ACTIONS(2380),
    [anon_sym___restrict__] = ACTIONS(2380),
    [anon_sym__Atomic] = ACTIONS(2380),
    [anon_sym__Noreturn] = ACTIONS(2380),
    [anon_sym_noreturn] = ACTIONS(2380),
    [anon_sym_mutable] = ACTIONS(2380),
    [anon_sym_constinit] = ACTIONS(2380),
    [anon_sym_consteval] = ACTIONS(2380),
    [sym_primitive_type] = ACTIONS(2380),
    [anon_sym_enum] = ACTIONS(2380),
    [anon_sym_class] = ACTIONS(2380),
    [anon_sym_struct] = ACTIONS(2380),
    [anon_sym_union] = ACTIONS(2380),
    [anon_sym_if] = ACTIONS(2380),
    [anon_sym_else] = ACTIONS(2380),
    [anon_sym_switch] = ACTIONS(2380),
    [anon_sym_case] = ACTIONS(2380),
    [anon_sym_default] = ACTIONS(2380),
    [anon_sym_while] = ACTIONS(2380),
    [anon_sym_do] = ACTIONS(2380),
    [anon_sym_for] = ACTIONS(2380),
    [anon_sym_return] = ACTIONS(2380),
    [anon_sym_break] = ACTIONS(2380),
    [anon_sym_continue] = ACTIONS(2380),
    [anon_sym_goto] = ACTIONS(2380),
    [anon_sym___try] = ACTIONS(2380),
    [anon_sym___leave] = ACTIONS(2380),
    [anon_sym_not] = ACTIONS(2380),
    [anon_sym_compl] = ACTIONS(2380),
    [anon_sym_DASH_DASH] = ACTIONS(2382),
    [anon_sym_PLUS_PLUS] = ACTIONS(2382),
    [anon_sym_sizeof] = ACTIONS(2380),
    [anon_sym___alignof__] = ACTIONS(2380),
    [anon_sym___alignof] = ACTIONS(2380),
    [anon_sym__alignof] = ACTIONS(2380),
    [anon_sym_alignof] = ACTIONS(2380),
    [anon_sym__Alignof] = ACTIONS(2380),
    [anon_sym_offsetof] = ACTIONS(2380),
    [anon_sym__Generic] = ACTIONS(2380),
    [anon_sym_asm] = ACTIONS(2380),
    [anon_sym___asm__] = ACTIONS(2380),
    [sym_number_literal] = ACTIONS(2382),
    [anon_sym_L_SQUOTE] = ACTIONS(2382),
    [anon_sym_u_SQUOTE] = ACTIONS(2382),
    [anon_sym_U_SQUOTE] = ACTIONS(2382),
    [anon_sym_u8_SQUOTE] = ACTIONS(2382),
    [anon_sym_SQUOTE] = ACTIONS(2382),
    [anon_sym_L_DQUOTE] = ACTIONS(2382),
    [anon_sym_u_DQUOTE] = ACTIONS(2382),
    [anon_sym_U_DQUOTE] = ACTIONS(2382),
    [anon_sym_u8_DQUOTE] = ACTIONS(2382),
    [anon_sym_DQUOTE] = ACTIONS(2382),
    [sym_true] = ACTIONS(2380),
    [sym_false] = ACTIONS(2380),
    [anon_sym_NULL] = ACTIONS(2380),
    [anon_sym_nullptr] = ACTIONS(2380),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2380),
    [anon_sym_decltype] = ACTIONS(2380),
    [anon_sym_virtual] = ACTIONS(2380),
    [anon_sym_alignas] = ACTIONS(2380),
    [anon_sym_explicit] = ACTIONS(2380),
    [anon_sym_typename] = ACTIONS(2380),
    [anon_sym_template] = ACTIONS(2380),
    [anon_sym_operator] = ACTIONS(2380),
    [anon_sym_try] = ACTIONS(2380),
    [anon_sym_delete] = ACTIONS(2380),
    [anon_sym_throw] = ACTIONS(2380),
    [anon_sym_namespace] = ACTIONS(2380),
    [anon_sym_using] = ACTIONS(2380),
    [anon_sym_static_assert] = ACTIONS(2380),
    [anon_sym_concept] = ACTIONS(2380),
    [anon_sym_co_return] = ACTIONS(2380),
    [anon_sym_co_yield] = ACTIONS(2380),
    [anon_sym_R_DQUOTE] = ACTIONS(2382),
    [anon_sym_LR_DQUOTE] = ACTIONS(2382),
    [anon_sym_uR_DQUOTE] = ACTIONS(2382),
    [anon_sym_UR_DQUOTE] = ACTIONS(2382),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2382),
    [anon_sym_co_await] = ACTIONS(2380),
    [anon_sym_new] = ACTIONS(2380),
    [anon_sym_requires] = ACTIONS(2380),
    [sym_this] = ACTIONS(2380),
    [anon_sym_discard] = ACTIONS(2380),
    [anon_sym_precise] = ACTIONS(2380),
    [anon_sym_shared] = ACTIONS(2380),
    [anon_sym_groupshared] = ACTIONS(2380),
    [anon_sym_uniform] = ACTIONS(2380),
    [anon_sym_row_major] = ACTIONS(2380),
    [anon_sym_column_major] = ACTIONS(2380),
    [anon_sym_globallycoherent] = ACTIONS(2380),
    [anon_sym_centroid] = ACTIONS(2380),
    [anon_sym_noperspective] = ACTIONS(2380),
    [anon_sym_nointerpolation] = ACTIONS(2380),
    [anon_sym_sample] = ACTIONS(2380),
    [anon_sym_linear] = ACTIONS(2380),
    [anon_sym_snorm] = ACTIONS(2380),
    [anon_sym_unorm] = ACTIONS(2380),
    [anon_sym_point] = ACTIONS(2380),
    [anon_sym_line] = ACTIONS(2380),
    [anon_sym_triangleadj] = ACTIONS(2380),
    [anon_sym_lineadj] = ACTIONS(2380),
    [anon_sym_triangle] = ACTIONS(2380),
    [anon_sym_cbuffer] = ACTIONS(2380),
  },
  [755] = {
    [ts_builtin_sym_end] = ACTIONS(2446),
    [sym_identifier] = ACTIONS(2444),
    [aux_sym_preproc_include_token1] = ACTIONS(2444),
    [aux_sym_preproc_def_token1] = ACTIONS(2444),
    [aux_sym_preproc_if_token1] = ACTIONS(2444),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2444),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2444),
    [sym_preproc_directive] = ACTIONS(2444),
    [anon_sym_LPAREN2] = ACTIONS(2446),
    [anon_sym_BANG] = ACTIONS(2446),
    [anon_sym_TILDE] = ACTIONS(2446),
    [anon_sym_DASH] = ACTIONS(2444),
    [anon_sym_PLUS] = ACTIONS(2444),
    [anon_sym_STAR] = ACTIONS(2446),
    [anon_sym_AMP_AMP] = ACTIONS(2446),
    [anon_sym_AMP] = ACTIONS(2444),
    [anon_sym_SEMI] = ACTIONS(2446),
    [anon_sym___extension__] = ACTIONS(2444),
    [anon_sym_typedef] = ACTIONS(2444),
    [anon_sym_in] = ACTIONS(2444),
    [anon_sym_out] = ACTIONS(2444),
    [anon_sym_inout] = ACTIONS(2444),
    [anon_sym_extern] = ACTIONS(2444),
    [anon_sym___attribute__] = ACTIONS(2444),
    [anon_sym_COLON_COLON] = ACTIONS(2446),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2446),
    [anon_sym___declspec] = ACTIONS(2444),
    [anon_sym___based] = ACTIONS(2444),
    [anon_sym___cdecl] = ACTIONS(2444),
    [anon_sym___clrcall] = ACTIONS(2444),
    [anon_sym___stdcall] = ACTIONS(2444),
    [anon_sym___fastcall] = ACTIONS(2444),
    [anon_sym___thiscall] = ACTIONS(2444),
    [anon_sym___vectorcall] = ACTIONS(2444),
    [anon_sym_LBRACE] = ACTIONS(2446),
    [anon_sym_signed] = ACTIONS(2444),
    [anon_sym_unsigned] = ACTIONS(2444),
    [anon_sym_long] = ACTIONS(2444),
    [anon_sym_short] = ACTIONS(2444),
    [anon_sym_LBRACK] = ACTIONS(2444),
    [anon_sym_static] = ACTIONS(2444),
    [anon_sym_register] = ACTIONS(2444),
    [anon_sym_inline] = ACTIONS(2444),
    [anon_sym___inline] = ACTIONS(2444),
    [anon_sym___inline__] = ACTIONS(2444),
    [anon_sym___forceinline] = ACTIONS(2444),
    [anon_sym_thread_local] = ACTIONS(2444),
    [anon_sym___thread] = ACTIONS(2444),
    [anon_sym_const] = ACTIONS(2444),
    [anon_sym_constexpr] = ACTIONS(2444),
    [anon_sym_volatile] = ACTIONS(2444),
    [anon_sym_restrict] = ACTIONS(2444),
    [anon_sym___restrict__] = ACTIONS(2444),
    [anon_sym__Atomic] = ACTIONS(2444),
    [anon_sym__Noreturn] = ACTIONS(2444),
    [anon_sym_noreturn] = ACTIONS(2444),
    [anon_sym_mutable] = ACTIONS(2444),
    [anon_sym_constinit] = ACTIONS(2444),
    [anon_sym_consteval] = ACTIONS(2444),
    [sym_primitive_type] = ACTIONS(2444),
    [anon_sym_enum] = ACTIONS(2444),
    [anon_sym_class] = ACTIONS(2444),
    [anon_sym_struct] = ACTIONS(2444),
    [anon_sym_union] = ACTIONS(2444),
    [anon_sym_if] = ACTIONS(2444),
    [anon_sym_else] = ACTIONS(2444),
    [anon_sym_switch] = ACTIONS(2444),
    [anon_sym_case] = ACTIONS(2444),
    [anon_sym_default] = ACTIONS(2444),
    [anon_sym_while] = ACTIONS(2444),
    [anon_sym_do] = ACTIONS(2444),
    [anon_sym_for] = ACTIONS(2444),
    [anon_sym_return] = ACTIONS(2444),
    [anon_sym_break] = ACTIONS(2444),
    [anon_sym_continue] = ACTIONS(2444),
    [anon_sym_goto] = ACTIONS(2444),
    [anon_sym___try] = ACTIONS(2444),
    [anon_sym___leave] = ACTIONS(2444),
    [anon_sym_not] = ACTIONS(2444),
    [anon_sym_compl] = ACTIONS(2444),
    [anon_sym_DASH_DASH] = ACTIONS(2446),
    [anon_sym_PLUS_PLUS] = ACTIONS(2446),
    [anon_sym_sizeof] = ACTIONS(2444),
    [anon_sym___alignof__] = ACTIONS(2444),
    [anon_sym___alignof] = ACTIONS(2444),
    [anon_sym__alignof] = ACTIONS(2444),
    [anon_sym_alignof] = ACTIONS(2444),
    [anon_sym__Alignof] = ACTIONS(2444),
    [anon_sym_offsetof] = ACTIONS(2444),
    [anon_sym__Generic] = ACTIONS(2444),
    [anon_sym_asm] = ACTIONS(2444),
    [anon_sym___asm__] = ACTIONS(2444),
    [sym_number_literal] = ACTIONS(2446),
    [anon_sym_L_SQUOTE] = ACTIONS(2446),
    [anon_sym_u_SQUOTE] = ACTIONS(2446),
    [anon_sym_U_SQUOTE] = ACTIONS(2446),
    [anon_sym_u8_SQUOTE] = ACTIONS(2446),
    [anon_sym_SQUOTE] = ACTIONS(2446),
    [anon_sym_L_DQUOTE] = ACTIONS(2446),
    [anon_sym_u_DQUOTE] = ACTIONS(2446),
    [anon_sym_U_DQUOTE] = ACTIONS(2446),
    [anon_sym_u8_DQUOTE] = ACTIONS(2446),
    [anon_sym_DQUOTE] = ACTIONS(2446),
    [sym_true] = ACTIONS(2444),
    [sym_false] = ACTIONS(2444),
    [anon_sym_NULL] = ACTIONS(2444),
    [anon_sym_nullptr] = ACTIONS(2444),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2444),
    [anon_sym_decltype] = ACTIONS(2444),
    [anon_sym_virtual] = ACTIONS(2444),
    [anon_sym_alignas] = ACTIONS(2444),
    [anon_sym_explicit] = ACTIONS(2444),
    [anon_sym_typename] = ACTIONS(2444),
    [anon_sym_template] = ACTIONS(2444),
    [anon_sym_operator] = ACTIONS(2444),
    [anon_sym_try] = ACTIONS(2444),
    [anon_sym_delete] = ACTIONS(2444),
    [anon_sym_throw] = ACTIONS(2444),
    [anon_sym_namespace] = ACTIONS(2444),
    [anon_sym_using] = ACTIONS(2444),
    [anon_sym_static_assert] = ACTIONS(2444),
    [anon_sym_concept] = ACTIONS(2444),
    [anon_sym_co_return] = ACTIONS(2444),
    [anon_sym_co_yield] = ACTIONS(2444),
    [anon_sym_R_DQUOTE] = ACTIONS(2446),
    [anon_sym_LR_DQUOTE] = ACTIONS(2446),
    [anon_sym_uR_DQUOTE] = ACTIONS(2446),
    [anon_sym_UR_DQUOTE] = ACTIONS(2446),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2446),
    [anon_sym_co_await] = ACTIONS(2444),
    [anon_sym_new] = ACTIONS(2444),
    [anon_sym_requires] = ACTIONS(2444),
    [sym_this] = ACTIONS(2444),
    [anon_sym_discard] = ACTIONS(2444),
    [anon_sym_precise] = ACTIONS(2444),
    [anon_sym_shared] = ACTIONS(2444),
    [anon_sym_groupshared] = ACTIONS(2444),
    [anon_sym_uniform] = ACTIONS(2444),
    [anon_sym_row_major] = ACTIONS(2444),
    [anon_sym_column_major] = ACTIONS(2444),
    [anon_sym_globallycoherent] = ACTIONS(2444),
    [anon_sym_centroid] = ACTIONS(2444),
    [anon_sym_noperspective] = ACTIONS(2444),
    [anon_sym_nointerpolation] = ACTIONS(2444),
    [anon_sym_sample] = ACTIONS(2444),
    [anon_sym_linear] = ACTIONS(2444),
    [anon_sym_snorm] = ACTIONS(2444),
    [anon_sym_unorm] = ACTIONS(2444),
    [anon_sym_point] = ACTIONS(2444),
    [anon_sym_line] = ACTIONS(2444),
    [anon_sym_triangleadj] = ACTIONS(2444),
    [anon_sym_lineadj] = ACTIONS(2444),
    [anon_sym_triangle] = ACTIONS(2444),
    [anon_sym_cbuffer] = ACTIONS(2444),
  },
  [756] = {
    [sym_identifier] = ACTIONS(2376),
    [aux_sym_preproc_include_token1] = ACTIONS(2376),
    [aux_sym_preproc_def_token1] = ACTIONS(2376),
    [aux_sym_preproc_if_token1] = ACTIONS(2376),
    [aux_sym_preproc_if_token2] = ACTIONS(2376),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2376),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2376),
    [sym_preproc_directive] = ACTIONS(2376),
    [anon_sym_LPAREN2] = ACTIONS(2378),
    [anon_sym_BANG] = ACTIONS(2378),
    [anon_sym_TILDE] = ACTIONS(2378),
    [anon_sym_DASH] = ACTIONS(2376),
    [anon_sym_PLUS] = ACTIONS(2376),
    [anon_sym_STAR] = ACTIONS(2378),
    [anon_sym_AMP_AMP] = ACTIONS(2378),
    [anon_sym_AMP] = ACTIONS(2376),
    [anon_sym_SEMI] = ACTIONS(2378),
    [anon_sym___extension__] = ACTIONS(2376),
    [anon_sym_typedef] = ACTIONS(2376),
    [anon_sym_in] = ACTIONS(2376),
    [anon_sym_out] = ACTIONS(2376),
    [anon_sym_inout] = ACTIONS(2376),
    [anon_sym_extern] = ACTIONS(2376),
    [anon_sym___attribute__] = ACTIONS(2376),
    [anon_sym_COLON_COLON] = ACTIONS(2378),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2378),
    [anon_sym___declspec] = ACTIONS(2376),
    [anon_sym___based] = ACTIONS(2376),
    [anon_sym___cdecl] = ACTIONS(2376),
    [anon_sym___clrcall] = ACTIONS(2376),
    [anon_sym___stdcall] = ACTIONS(2376),
    [anon_sym___fastcall] = ACTIONS(2376),
    [anon_sym___thiscall] = ACTIONS(2376),
    [anon_sym___vectorcall] = ACTIONS(2376),
    [anon_sym_LBRACE] = ACTIONS(2378),
    [anon_sym_signed] = ACTIONS(2376),
    [anon_sym_unsigned] = ACTIONS(2376),
    [anon_sym_long] = ACTIONS(2376),
    [anon_sym_short] = ACTIONS(2376),
    [anon_sym_LBRACK] = ACTIONS(2376),
    [anon_sym_static] = ACTIONS(2376),
    [anon_sym_register] = ACTIONS(2376),
    [anon_sym_inline] = ACTIONS(2376),
    [anon_sym___inline] = ACTIONS(2376),
    [anon_sym___inline__] = ACTIONS(2376),
    [anon_sym___forceinline] = ACTIONS(2376),
    [anon_sym_thread_local] = ACTIONS(2376),
    [anon_sym___thread] = ACTIONS(2376),
    [anon_sym_const] = ACTIONS(2376),
    [anon_sym_constexpr] = ACTIONS(2376),
    [anon_sym_volatile] = ACTIONS(2376),
    [anon_sym_restrict] = ACTIONS(2376),
    [anon_sym___restrict__] = ACTIONS(2376),
    [anon_sym__Atomic] = ACTIONS(2376),
    [anon_sym__Noreturn] = ACTIONS(2376),
    [anon_sym_noreturn] = ACTIONS(2376),
    [anon_sym_mutable] = ACTIONS(2376),
    [anon_sym_constinit] = ACTIONS(2376),
    [anon_sym_consteval] = ACTIONS(2376),
    [sym_primitive_type] = ACTIONS(2376),
    [anon_sym_enum] = ACTIONS(2376),
    [anon_sym_class] = ACTIONS(2376),
    [anon_sym_struct] = ACTIONS(2376),
    [anon_sym_union] = ACTIONS(2376),
    [anon_sym_if] = ACTIONS(2376),
    [anon_sym_else] = ACTIONS(2376),
    [anon_sym_switch] = ACTIONS(2376),
    [anon_sym_case] = ACTIONS(2376),
    [anon_sym_default] = ACTIONS(2376),
    [anon_sym_while] = ACTIONS(2376),
    [anon_sym_do] = ACTIONS(2376),
    [anon_sym_for] = ACTIONS(2376),
    [anon_sym_return] = ACTIONS(2376),
    [anon_sym_break] = ACTIONS(2376),
    [anon_sym_continue] = ACTIONS(2376),
    [anon_sym_goto] = ACTIONS(2376),
    [anon_sym___try] = ACTIONS(2376),
    [anon_sym___leave] = ACTIONS(2376),
    [anon_sym_not] = ACTIONS(2376),
    [anon_sym_compl] = ACTIONS(2376),
    [anon_sym_DASH_DASH] = ACTIONS(2378),
    [anon_sym_PLUS_PLUS] = ACTIONS(2378),
    [anon_sym_sizeof] = ACTIONS(2376),
    [anon_sym___alignof__] = ACTIONS(2376),
    [anon_sym___alignof] = ACTIONS(2376),
    [anon_sym__alignof] = ACTIONS(2376),
    [anon_sym_alignof] = ACTIONS(2376),
    [anon_sym__Alignof] = ACTIONS(2376),
    [anon_sym_offsetof] = ACTIONS(2376),
    [anon_sym__Generic] = ACTIONS(2376),
    [anon_sym_asm] = ACTIONS(2376),
    [anon_sym___asm__] = ACTIONS(2376),
    [sym_number_literal] = ACTIONS(2378),
    [anon_sym_L_SQUOTE] = ACTIONS(2378),
    [anon_sym_u_SQUOTE] = ACTIONS(2378),
    [anon_sym_U_SQUOTE] = ACTIONS(2378),
    [anon_sym_u8_SQUOTE] = ACTIONS(2378),
    [anon_sym_SQUOTE] = ACTIONS(2378),
    [anon_sym_L_DQUOTE] = ACTIONS(2378),
    [anon_sym_u_DQUOTE] = ACTIONS(2378),
    [anon_sym_U_DQUOTE] = ACTIONS(2378),
    [anon_sym_u8_DQUOTE] = ACTIONS(2378),
    [anon_sym_DQUOTE] = ACTIONS(2378),
    [sym_true] = ACTIONS(2376),
    [sym_false] = ACTIONS(2376),
    [anon_sym_NULL] = ACTIONS(2376),
    [anon_sym_nullptr] = ACTIONS(2376),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2376),
    [anon_sym_decltype] = ACTIONS(2376),
    [anon_sym_virtual] = ACTIONS(2376),
    [anon_sym_alignas] = ACTIONS(2376),
    [anon_sym_explicit] = ACTIONS(2376),
    [anon_sym_typename] = ACTIONS(2376),
    [anon_sym_template] = ACTIONS(2376),
    [anon_sym_operator] = ACTIONS(2376),
    [anon_sym_try] = ACTIONS(2376),
    [anon_sym_delete] = ACTIONS(2376),
    [anon_sym_throw] = ACTIONS(2376),
    [anon_sym_namespace] = ACTIONS(2376),
    [anon_sym_using] = ACTIONS(2376),
    [anon_sym_static_assert] = ACTIONS(2376),
    [anon_sym_concept] = ACTIONS(2376),
    [anon_sym_co_return] = ACTIONS(2376),
    [anon_sym_co_yield] = ACTIONS(2376),
    [anon_sym_R_DQUOTE] = ACTIONS(2378),
    [anon_sym_LR_DQUOTE] = ACTIONS(2378),
    [anon_sym_uR_DQUOTE] = ACTIONS(2378),
    [anon_sym_UR_DQUOTE] = ACTIONS(2378),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2378),
    [anon_sym_co_await] = ACTIONS(2376),
    [anon_sym_new] = ACTIONS(2376),
    [anon_sym_requires] = ACTIONS(2376),
    [sym_this] = ACTIONS(2376),
    [anon_sym_discard] = ACTIONS(2376),
    [anon_sym_precise] = ACTIONS(2376),
    [anon_sym_shared] = ACTIONS(2376),
    [anon_sym_groupshared] = ACTIONS(2376),
    [anon_sym_uniform] = ACTIONS(2376),
    [anon_sym_row_major] = ACTIONS(2376),
    [anon_sym_column_major] = ACTIONS(2376),
    [anon_sym_globallycoherent] = ACTIONS(2376),
    [anon_sym_centroid] = ACTIONS(2376),
    [anon_sym_noperspective] = ACTIONS(2376),
    [anon_sym_nointerpolation] = ACTIONS(2376),
    [anon_sym_sample] = ACTIONS(2376),
    [anon_sym_linear] = ACTIONS(2376),
    [anon_sym_snorm] = ACTIONS(2376),
    [anon_sym_unorm] = ACTIONS(2376),
    [anon_sym_point] = ACTIONS(2376),
    [anon_sym_line] = ACTIONS(2376),
    [anon_sym_triangleadj] = ACTIONS(2376),
    [anon_sym_lineadj] = ACTIONS(2376),
    [anon_sym_triangle] = ACTIONS(2376),
    [anon_sym_cbuffer] = ACTIONS(2376),
  },
  [757] = {
    [sym_identifier] = ACTIONS(2372),
    [aux_sym_preproc_include_token1] = ACTIONS(2372),
    [aux_sym_preproc_def_token1] = ACTIONS(2372),
    [aux_sym_preproc_if_token1] = ACTIONS(2372),
    [aux_sym_preproc_if_token2] = ACTIONS(2372),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2372),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2372),
    [sym_preproc_directive] = ACTIONS(2372),
    [anon_sym_LPAREN2] = ACTIONS(2374),
    [anon_sym_BANG] = ACTIONS(2374),
    [anon_sym_TILDE] = ACTIONS(2374),
    [anon_sym_DASH] = ACTIONS(2372),
    [anon_sym_PLUS] = ACTIONS(2372),
    [anon_sym_STAR] = ACTIONS(2374),
    [anon_sym_AMP_AMP] = ACTIONS(2374),
    [anon_sym_AMP] = ACTIONS(2372),
    [anon_sym_SEMI] = ACTIONS(2374),
    [anon_sym___extension__] = ACTIONS(2372),
    [anon_sym_typedef] = ACTIONS(2372),
    [anon_sym_in] = ACTIONS(2372),
    [anon_sym_out] = ACTIONS(2372),
    [anon_sym_inout] = ACTIONS(2372),
    [anon_sym_extern] = ACTIONS(2372),
    [anon_sym___attribute__] = ACTIONS(2372),
    [anon_sym_COLON_COLON] = ACTIONS(2374),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2374),
    [anon_sym___declspec] = ACTIONS(2372),
    [anon_sym___based] = ACTIONS(2372),
    [anon_sym___cdecl] = ACTIONS(2372),
    [anon_sym___clrcall] = ACTIONS(2372),
    [anon_sym___stdcall] = ACTIONS(2372),
    [anon_sym___fastcall] = ACTIONS(2372),
    [anon_sym___thiscall] = ACTIONS(2372),
    [anon_sym___vectorcall] = ACTIONS(2372),
    [anon_sym_LBRACE] = ACTIONS(2374),
    [anon_sym_signed] = ACTIONS(2372),
    [anon_sym_unsigned] = ACTIONS(2372),
    [anon_sym_long] = ACTIONS(2372),
    [anon_sym_short] = ACTIONS(2372),
    [anon_sym_LBRACK] = ACTIONS(2372),
    [anon_sym_static] = ACTIONS(2372),
    [anon_sym_register] = ACTIONS(2372),
    [anon_sym_inline] = ACTIONS(2372),
    [anon_sym___inline] = ACTIONS(2372),
    [anon_sym___inline__] = ACTIONS(2372),
    [anon_sym___forceinline] = ACTIONS(2372),
    [anon_sym_thread_local] = ACTIONS(2372),
    [anon_sym___thread] = ACTIONS(2372),
    [anon_sym_const] = ACTIONS(2372),
    [anon_sym_constexpr] = ACTIONS(2372),
    [anon_sym_volatile] = ACTIONS(2372),
    [anon_sym_restrict] = ACTIONS(2372),
    [anon_sym___restrict__] = ACTIONS(2372),
    [anon_sym__Atomic] = ACTIONS(2372),
    [anon_sym__Noreturn] = ACTIONS(2372),
    [anon_sym_noreturn] = ACTIONS(2372),
    [anon_sym_mutable] = ACTIONS(2372),
    [anon_sym_constinit] = ACTIONS(2372),
    [anon_sym_consteval] = ACTIONS(2372),
    [sym_primitive_type] = ACTIONS(2372),
    [anon_sym_enum] = ACTIONS(2372),
    [anon_sym_class] = ACTIONS(2372),
    [anon_sym_struct] = ACTIONS(2372),
    [anon_sym_union] = ACTIONS(2372),
    [anon_sym_if] = ACTIONS(2372),
    [anon_sym_else] = ACTIONS(2372),
    [anon_sym_switch] = ACTIONS(2372),
    [anon_sym_case] = ACTIONS(2372),
    [anon_sym_default] = ACTIONS(2372),
    [anon_sym_while] = ACTIONS(2372),
    [anon_sym_do] = ACTIONS(2372),
    [anon_sym_for] = ACTIONS(2372),
    [anon_sym_return] = ACTIONS(2372),
    [anon_sym_break] = ACTIONS(2372),
    [anon_sym_continue] = ACTIONS(2372),
    [anon_sym_goto] = ACTIONS(2372),
    [anon_sym___try] = ACTIONS(2372),
    [anon_sym___leave] = ACTIONS(2372),
    [anon_sym_not] = ACTIONS(2372),
    [anon_sym_compl] = ACTIONS(2372),
    [anon_sym_DASH_DASH] = ACTIONS(2374),
    [anon_sym_PLUS_PLUS] = ACTIONS(2374),
    [anon_sym_sizeof] = ACTIONS(2372),
    [anon_sym___alignof__] = ACTIONS(2372),
    [anon_sym___alignof] = ACTIONS(2372),
    [anon_sym__alignof] = ACTIONS(2372),
    [anon_sym_alignof] = ACTIONS(2372),
    [anon_sym__Alignof] = ACTIONS(2372),
    [anon_sym_offsetof] = ACTIONS(2372),
    [anon_sym__Generic] = ACTIONS(2372),
    [anon_sym_asm] = ACTIONS(2372),
    [anon_sym___asm__] = ACTIONS(2372),
    [sym_number_literal] = ACTIONS(2374),
    [anon_sym_L_SQUOTE] = ACTIONS(2374),
    [anon_sym_u_SQUOTE] = ACTIONS(2374),
    [anon_sym_U_SQUOTE] = ACTIONS(2374),
    [anon_sym_u8_SQUOTE] = ACTIONS(2374),
    [anon_sym_SQUOTE] = ACTIONS(2374),
    [anon_sym_L_DQUOTE] = ACTIONS(2374),
    [anon_sym_u_DQUOTE] = ACTIONS(2374),
    [anon_sym_U_DQUOTE] = ACTIONS(2374),
    [anon_sym_u8_DQUOTE] = ACTIONS(2374),
    [anon_sym_DQUOTE] = ACTIONS(2374),
    [sym_true] = ACTIONS(2372),
    [sym_false] = ACTIONS(2372),
    [anon_sym_NULL] = ACTIONS(2372),
    [anon_sym_nullptr] = ACTIONS(2372),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2372),
    [anon_sym_decltype] = ACTIONS(2372),
    [anon_sym_virtual] = ACTIONS(2372),
    [anon_sym_alignas] = ACTIONS(2372),
    [anon_sym_explicit] = ACTIONS(2372),
    [anon_sym_typename] = ACTIONS(2372),
    [anon_sym_template] = ACTIONS(2372),
    [anon_sym_operator] = ACTIONS(2372),
    [anon_sym_try] = ACTIONS(2372),
    [anon_sym_delete] = ACTIONS(2372),
    [anon_sym_throw] = ACTIONS(2372),
    [anon_sym_namespace] = ACTIONS(2372),
    [anon_sym_using] = ACTIONS(2372),
    [anon_sym_static_assert] = ACTIONS(2372),
    [anon_sym_concept] = ACTIONS(2372),
    [anon_sym_co_return] = ACTIONS(2372),
    [anon_sym_co_yield] = ACTIONS(2372),
    [anon_sym_R_DQUOTE] = ACTIONS(2374),
    [anon_sym_LR_DQUOTE] = ACTIONS(2374),
    [anon_sym_uR_DQUOTE] = ACTIONS(2374),
    [anon_sym_UR_DQUOTE] = ACTIONS(2374),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2374),
    [anon_sym_co_await] = ACTIONS(2372),
    [anon_sym_new] = ACTIONS(2372),
    [anon_sym_requires] = ACTIONS(2372),
    [sym_this] = ACTIONS(2372),
    [anon_sym_discard] = ACTIONS(2372),
    [anon_sym_precise] = ACTIONS(2372),
    [anon_sym_shared] = ACTIONS(2372),
    [anon_sym_groupshared] = ACTIONS(2372),
    [anon_sym_uniform] = ACTIONS(2372),
    [anon_sym_row_major] = ACTIONS(2372),
    [anon_sym_column_major] = ACTIONS(2372),
    [anon_sym_globallycoherent] = ACTIONS(2372),
    [anon_sym_centroid] = ACTIONS(2372),
    [anon_sym_noperspective] = ACTIONS(2372),
    [anon_sym_nointerpolation] = ACTIONS(2372),
    [anon_sym_sample] = ACTIONS(2372),
    [anon_sym_linear] = ACTIONS(2372),
    [anon_sym_snorm] = ACTIONS(2372),
    [anon_sym_unorm] = ACTIONS(2372),
    [anon_sym_point] = ACTIONS(2372),
    [anon_sym_line] = ACTIONS(2372),
    [anon_sym_triangleadj] = ACTIONS(2372),
    [anon_sym_lineadj] = ACTIONS(2372),
    [anon_sym_triangle] = ACTIONS(2372),
    [anon_sym_cbuffer] = ACTIONS(2372),
  },
  [758] = {
    [sym_identifier] = ACTIONS(2444),
    [aux_sym_preproc_include_token1] = ACTIONS(2444),
    [aux_sym_preproc_def_token1] = ACTIONS(2444),
    [aux_sym_preproc_if_token1] = ACTIONS(2444),
    [aux_sym_preproc_if_token2] = ACTIONS(2444),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2444),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2444),
    [sym_preproc_directive] = ACTIONS(2444),
    [anon_sym_LPAREN2] = ACTIONS(2446),
    [anon_sym_BANG] = ACTIONS(2446),
    [anon_sym_TILDE] = ACTIONS(2446),
    [anon_sym_DASH] = ACTIONS(2444),
    [anon_sym_PLUS] = ACTIONS(2444),
    [anon_sym_STAR] = ACTIONS(2446),
    [anon_sym_AMP_AMP] = ACTIONS(2446),
    [anon_sym_AMP] = ACTIONS(2444),
    [anon_sym_SEMI] = ACTIONS(2446),
    [anon_sym___extension__] = ACTIONS(2444),
    [anon_sym_typedef] = ACTIONS(2444),
    [anon_sym_in] = ACTIONS(2444),
    [anon_sym_out] = ACTIONS(2444),
    [anon_sym_inout] = ACTIONS(2444),
    [anon_sym_extern] = ACTIONS(2444),
    [anon_sym___attribute__] = ACTIONS(2444),
    [anon_sym_COLON_COLON] = ACTIONS(2446),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2446),
    [anon_sym___declspec] = ACTIONS(2444),
    [anon_sym___based] = ACTIONS(2444),
    [anon_sym___cdecl] = ACTIONS(2444),
    [anon_sym___clrcall] = ACTIONS(2444),
    [anon_sym___stdcall] = ACTIONS(2444),
    [anon_sym___fastcall] = ACTIONS(2444),
    [anon_sym___thiscall] = ACTIONS(2444),
    [anon_sym___vectorcall] = ACTIONS(2444),
    [anon_sym_LBRACE] = ACTIONS(2446),
    [anon_sym_signed] = ACTIONS(2444),
    [anon_sym_unsigned] = ACTIONS(2444),
    [anon_sym_long] = ACTIONS(2444),
    [anon_sym_short] = ACTIONS(2444),
    [anon_sym_LBRACK] = ACTIONS(2444),
    [anon_sym_static] = ACTIONS(2444),
    [anon_sym_register] = ACTIONS(2444),
    [anon_sym_inline] = ACTIONS(2444),
    [anon_sym___inline] = ACTIONS(2444),
    [anon_sym___inline__] = ACTIONS(2444),
    [anon_sym___forceinline] = ACTIONS(2444),
    [anon_sym_thread_local] = ACTIONS(2444),
    [anon_sym___thread] = ACTIONS(2444),
    [anon_sym_const] = ACTIONS(2444),
    [anon_sym_constexpr] = ACTIONS(2444),
    [anon_sym_volatile] = ACTIONS(2444),
    [anon_sym_restrict] = ACTIONS(2444),
    [anon_sym___restrict__] = ACTIONS(2444),
    [anon_sym__Atomic] = ACTIONS(2444),
    [anon_sym__Noreturn] = ACTIONS(2444),
    [anon_sym_noreturn] = ACTIONS(2444),
    [anon_sym_mutable] = ACTIONS(2444),
    [anon_sym_constinit] = ACTIONS(2444),
    [anon_sym_consteval] = ACTIONS(2444),
    [sym_primitive_type] = ACTIONS(2444),
    [anon_sym_enum] = ACTIONS(2444),
    [anon_sym_class] = ACTIONS(2444),
    [anon_sym_struct] = ACTIONS(2444),
    [anon_sym_union] = ACTIONS(2444),
    [anon_sym_if] = ACTIONS(2444),
    [anon_sym_else] = ACTIONS(2444),
    [anon_sym_switch] = ACTIONS(2444),
    [anon_sym_case] = ACTIONS(2444),
    [anon_sym_default] = ACTIONS(2444),
    [anon_sym_while] = ACTIONS(2444),
    [anon_sym_do] = ACTIONS(2444),
    [anon_sym_for] = ACTIONS(2444),
    [anon_sym_return] = ACTIONS(2444),
    [anon_sym_break] = ACTIONS(2444),
    [anon_sym_continue] = ACTIONS(2444),
    [anon_sym_goto] = ACTIONS(2444),
    [anon_sym___try] = ACTIONS(2444),
    [anon_sym___leave] = ACTIONS(2444),
    [anon_sym_not] = ACTIONS(2444),
    [anon_sym_compl] = ACTIONS(2444),
    [anon_sym_DASH_DASH] = ACTIONS(2446),
    [anon_sym_PLUS_PLUS] = ACTIONS(2446),
    [anon_sym_sizeof] = ACTIONS(2444),
    [anon_sym___alignof__] = ACTIONS(2444),
    [anon_sym___alignof] = ACTIONS(2444),
    [anon_sym__alignof] = ACTIONS(2444),
    [anon_sym_alignof] = ACTIONS(2444),
    [anon_sym__Alignof] = ACTIONS(2444),
    [anon_sym_offsetof] = ACTIONS(2444),
    [anon_sym__Generic] = ACTIONS(2444),
    [anon_sym_asm] = ACTIONS(2444),
    [anon_sym___asm__] = ACTIONS(2444),
    [sym_number_literal] = ACTIONS(2446),
    [anon_sym_L_SQUOTE] = ACTIONS(2446),
    [anon_sym_u_SQUOTE] = ACTIONS(2446),
    [anon_sym_U_SQUOTE] = ACTIONS(2446),
    [anon_sym_u8_SQUOTE] = ACTIONS(2446),
    [anon_sym_SQUOTE] = ACTIONS(2446),
    [anon_sym_L_DQUOTE] = ACTIONS(2446),
    [anon_sym_u_DQUOTE] = ACTIONS(2446),
    [anon_sym_U_DQUOTE] = ACTIONS(2446),
    [anon_sym_u8_DQUOTE] = ACTIONS(2446),
    [anon_sym_DQUOTE] = ACTIONS(2446),
    [sym_true] = ACTIONS(2444),
    [sym_false] = ACTIONS(2444),
    [anon_sym_NULL] = ACTIONS(2444),
    [anon_sym_nullptr] = ACTIONS(2444),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2444),
    [anon_sym_decltype] = ACTIONS(2444),
    [anon_sym_virtual] = ACTIONS(2444),
    [anon_sym_alignas] = ACTIONS(2444),
    [anon_sym_explicit] = ACTIONS(2444),
    [anon_sym_typename] = ACTIONS(2444),
    [anon_sym_template] = ACTIONS(2444),
    [anon_sym_operator] = ACTIONS(2444),
    [anon_sym_try] = ACTIONS(2444),
    [anon_sym_delete] = ACTIONS(2444),
    [anon_sym_throw] = ACTIONS(2444),
    [anon_sym_namespace] = ACTIONS(2444),
    [anon_sym_using] = ACTIONS(2444),
    [anon_sym_static_assert] = ACTIONS(2444),
    [anon_sym_concept] = ACTIONS(2444),
    [anon_sym_co_return] = ACTIONS(2444),
    [anon_sym_co_yield] = ACTIONS(2444),
    [anon_sym_R_DQUOTE] = ACTIONS(2446),
    [anon_sym_LR_DQUOTE] = ACTIONS(2446),
    [anon_sym_uR_DQUOTE] = ACTIONS(2446),
    [anon_sym_UR_DQUOTE] = ACTIONS(2446),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2446),
    [anon_sym_co_await] = ACTIONS(2444),
    [anon_sym_new] = ACTIONS(2444),
    [anon_sym_requires] = ACTIONS(2444),
    [sym_this] = ACTIONS(2444),
    [anon_sym_discard] = ACTIONS(2444),
    [anon_sym_precise] = ACTIONS(2444),
    [anon_sym_shared] = ACTIONS(2444),
    [anon_sym_groupshared] = ACTIONS(2444),
    [anon_sym_uniform] = ACTIONS(2444),
    [anon_sym_row_major] = ACTIONS(2444),
    [anon_sym_column_major] = ACTIONS(2444),
    [anon_sym_globallycoherent] = ACTIONS(2444),
    [anon_sym_centroid] = ACTIONS(2444),
    [anon_sym_noperspective] = ACTIONS(2444),
    [anon_sym_nointerpolation] = ACTIONS(2444),
    [anon_sym_sample] = ACTIONS(2444),
    [anon_sym_linear] = ACTIONS(2444),
    [anon_sym_snorm] = ACTIONS(2444),
    [anon_sym_unorm] = ACTIONS(2444),
    [anon_sym_point] = ACTIONS(2444),
    [anon_sym_line] = ACTIONS(2444),
    [anon_sym_triangleadj] = ACTIONS(2444),
    [anon_sym_lineadj] = ACTIONS(2444),
    [anon_sym_triangle] = ACTIONS(2444),
    [anon_sym_cbuffer] = ACTIONS(2444),
  },
  [759] = {
    [ts_builtin_sym_end] = ACTIONS(2446),
    [sym_identifier] = ACTIONS(2444),
    [aux_sym_preproc_include_token1] = ACTIONS(2444),
    [aux_sym_preproc_def_token1] = ACTIONS(2444),
    [aux_sym_preproc_if_token1] = ACTIONS(2444),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2444),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2444),
    [sym_preproc_directive] = ACTIONS(2444),
    [anon_sym_LPAREN2] = ACTIONS(2446),
    [anon_sym_BANG] = ACTIONS(2446),
    [anon_sym_TILDE] = ACTIONS(2446),
    [anon_sym_DASH] = ACTIONS(2444),
    [anon_sym_PLUS] = ACTIONS(2444),
    [anon_sym_STAR] = ACTIONS(2446),
    [anon_sym_AMP_AMP] = ACTIONS(2446),
    [anon_sym_AMP] = ACTIONS(2444),
    [anon_sym_SEMI] = ACTIONS(2446),
    [anon_sym___extension__] = ACTIONS(2444),
    [anon_sym_typedef] = ACTIONS(2444),
    [anon_sym_in] = ACTIONS(2444),
    [anon_sym_out] = ACTIONS(2444),
    [anon_sym_inout] = ACTIONS(2444),
    [anon_sym_extern] = ACTIONS(2444),
    [anon_sym___attribute__] = ACTIONS(2444),
    [anon_sym_COLON_COLON] = ACTIONS(2446),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2446),
    [anon_sym___declspec] = ACTIONS(2444),
    [anon_sym___based] = ACTIONS(2444),
    [anon_sym___cdecl] = ACTIONS(2444),
    [anon_sym___clrcall] = ACTIONS(2444),
    [anon_sym___stdcall] = ACTIONS(2444),
    [anon_sym___fastcall] = ACTIONS(2444),
    [anon_sym___thiscall] = ACTIONS(2444),
    [anon_sym___vectorcall] = ACTIONS(2444),
    [anon_sym_LBRACE] = ACTIONS(2446),
    [anon_sym_signed] = ACTIONS(2444),
    [anon_sym_unsigned] = ACTIONS(2444),
    [anon_sym_long] = ACTIONS(2444),
    [anon_sym_short] = ACTIONS(2444),
    [anon_sym_LBRACK] = ACTIONS(2444),
    [anon_sym_static] = ACTIONS(2444),
    [anon_sym_register] = ACTIONS(2444),
    [anon_sym_inline] = ACTIONS(2444),
    [anon_sym___inline] = ACTIONS(2444),
    [anon_sym___inline__] = ACTIONS(2444),
    [anon_sym___forceinline] = ACTIONS(2444),
    [anon_sym_thread_local] = ACTIONS(2444),
    [anon_sym___thread] = ACTIONS(2444),
    [anon_sym_const] = ACTIONS(2444),
    [anon_sym_constexpr] = ACTIONS(2444),
    [anon_sym_volatile] = ACTIONS(2444),
    [anon_sym_restrict] = ACTIONS(2444),
    [anon_sym___restrict__] = ACTIONS(2444),
    [anon_sym__Atomic] = ACTIONS(2444),
    [anon_sym__Noreturn] = ACTIONS(2444),
    [anon_sym_noreturn] = ACTIONS(2444),
    [anon_sym_mutable] = ACTIONS(2444),
    [anon_sym_constinit] = ACTIONS(2444),
    [anon_sym_consteval] = ACTIONS(2444),
    [sym_primitive_type] = ACTIONS(2444),
    [anon_sym_enum] = ACTIONS(2444),
    [anon_sym_class] = ACTIONS(2444),
    [anon_sym_struct] = ACTIONS(2444),
    [anon_sym_union] = ACTIONS(2444),
    [anon_sym_if] = ACTIONS(2444),
    [anon_sym_else] = ACTIONS(2444),
    [anon_sym_switch] = ACTIONS(2444),
    [anon_sym_case] = ACTIONS(2444),
    [anon_sym_default] = ACTIONS(2444),
    [anon_sym_while] = ACTIONS(2444),
    [anon_sym_do] = ACTIONS(2444),
    [anon_sym_for] = ACTIONS(2444),
    [anon_sym_return] = ACTIONS(2444),
    [anon_sym_break] = ACTIONS(2444),
    [anon_sym_continue] = ACTIONS(2444),
    [anon_sym_goto] = ACTIONS(2444),
    [anon_sym___try] = ACTIONS(2444),
    [anon_sym___leave] = ACTIONS(2444),
    [anon_sym_not] = ACTIONS(2444),
    [anon_sym_compl] = ACTIONS(2444),
    [anon_sym_DASH_DASH] = ACTIONS(2446),
    [anon_sym_PLUS_PLUS] = ACTIONS(2446),
    [anon_sym_sizeof] = ACTIONS(2444),
    [anon_sym___alignof__] = ACTIONS(2444),
    [anon_sym___alignof] = ACTIONS(2444),
    [anon_sym__alignof] = ACTIONS(2444),
    [anon_sym_alignof] = ACTIONS(2444),
    [anon_sym__Alignof] = ACTIONS(2444),
    [anon_sym_offsetof] = ACTIONS(2444),
    [anon_sym__Generic] = ACTIONS(2444),
    [anon_sym_asm] = ACTIONS(2444),
    [anon_sym___asm__] = ACTIONS(2444),
    [sym_number_literal] = ACTIONS(2446),
    [anon_sym_L_SQUOTE] = ACTIONS(2446),
    [anon_sym_u_SQUOTE] = ACTIONS(2446),
    [anon_sym_U_SQUOTE] = ACTIONS(2446),
    [anon_sym_u8_SQUOTE] = ACTIONS(2446),
    [anon_sym_SQUOTE] = ACTIONS(2446),
    [anon_sym_L_DQUOTE] = ACTIONS(2446),
    [anon_sym_u_DQUOTE] = ACTIONS(2446),
    [anon_sym_U_DQUOTE] = ACTIONS(2446),
    [anon_sym_u8_DQUOTE] = ACTIONS(2446),
    [anon_sym_DQUOTE] = ACTIONS(2446),
    [sym_true] = ACTIONS(2444),
    [sym_false] = ACTIONS(2444),
    [anon_sym_NULL] = ACTIONS(2444),
    [anon_sym_nullptr] = ACTIONS(2444),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2444),
    [anon_sym_decltype] = ACTIONS(2444),
    [anon_sym_virtual] = ACTIONS(2444),
    [anon_sym_alignas] = ACTIONS(2444),
    [anon_sym_explicit] = ACTIONS(2444),
    [anon_sym_typename] = ACTIONS(2444),
    [anon_sym_template] = ACTIONS(2444),
    [anon_sym_operator] = ACTIONS(2444),
    [anon_sym_try] = ACTIONS(2444),
    [anon_sym_delete] = ACTIONS(2444),
    [anon_sym_throw] = ACTIONS(2444),
    [anon_sym_namespace] = ACTIONS(2444),
    [anon_sym_using] = ACTIONS(2444),
    [anon_sym_static_assert] = ACTIONS(2444),
    [anon_sym_concept] = ACTIONS(2444),
    [anon_sym_co_return] = ACTIONS(2444),
    [anon_sym_co_yield] = ACTIONS(2444),
    [anon_sym_R_DQUOTE] = ACTIONS(2446),
    [anon_sym_LR_DQUOTE] = ACTIONS(2446),
    [anon_sym_uR_DQUOTE] = ACTIONS(2446),
    [anon_sym_UR_DQUOTE] = ACTIONS(2446),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2446),
    [anon_sym_co_await] = ACTIONS(2444),
    [anon_sym_new] = ACTIONS(2444),
    [anon_sym_requires] = ACTIONS(2444),
    [sym_this] = ACTIONS(2444),
    [anon_sym_discard] = ACTIONS(2444),
    [anon_sym_precise] = ACTIONS(2444),
    [anon_sym_shared] = ACTIONS(2444),
    [anon_sym_groupshared] = ACTIONS(2444),
    [anon_sym_uniform] = ACTIONS(2444),
    [anon_sym_row_major] = ACTIONS(2444),
    [anon_sym_column_major] = ACTIONS(2444),
    [anon_sym_globallycoherent] = ACTIONS(2444),
    [anon_sym_centroid] = ACTIONS(2444),
    [anon_sym_noperspective] = ACTIONS(2444),
    [anon_sym_nointerpolation] = ACTIONS(2444),
    [anon_sym_sample] = ACTIONS(2444),
    [anon_sym_linear] = ACTIONS(2444),
    [anon_sym_snorm] = ACTIONS(2444),
    [anon_sym_unorm] = ACTIONS(2444),
    [anon_sym_point] = ACTIONS(2444),
    [anon_sym_line] = ACTIONS(2444),
    [anon_sym_triangleadj] = ACTIONS(2444),
    [anon_sym_lineadj] = ACTIONS(2444),
    [anon_sym_triangle] = ACTIONS(2444),
    [anon_sym_cbuffer] = ACTIONS(2444),
  },
  [760] = {
    [sym_identifier] = ACTIONS(2444),
    [aux_sym_preproc_include_token1] = ACTIONS(2444),
    [aux_sym_preproc_def_token1] = ACTIONS(2444),
    [aux_sym_preproc_if_token1] = ACTIONS(2444),
    [aux_sym_preproc_if_token2] = ACTIONS(2444),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2444),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2444),
    [sym_preproc_directive] = ACTIONS(2444),
    [anon_sym_LPAREN2] = ACTIONS(2446),
    [anon_sym_BANG] = ACTIONS(2446),
    [anon_sym_TILDE] = ACTIONS(2446),
    [anon_sym_DASH] = ACTIONS(2444),
    [anon_sym_PLUS] = ACTIONS(2444),
    [anon_sym_STAR] = ACTIONS(2446),
    [anon_sym_AMP_AMP] = ACTIONS(2446),
    [anon_sym_AMP] = ACTIONS(2444),
    [anon_sym_SEMI] = ACTIONS(2446),
    [anon_sym___extension__] = ACTIONS(2444),
    [anon_sym_typedef] = ACTIONS(2444),
    [anon_sym_in] = ACTIONS(2444),
    [anon_sym_out] = ACTIONS(2444),
    [anon_sym_inout] = ACTIONS(2444),
    [anon_sym_extern] = ACTIONS(2444),
    [anon_sym___attribute__] = ACTIONS(2444),
    [anon_sym_COLON_COLON] = ACTIONS(2446),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2446),
    [anon_sym___declspec] = ACTIONS(2444),
    [anon_sym___based] = ACTIONS(2444),
    [anon_sym___cdecl] = ACTIONS(2444),
    [anon_sym___clrcall] = ACTIONS(2444),
    [anon_sym___stdcall] = ACTIONS(2444),
    [anon_sym___fastcall] = ACTIONS(2444),
    [anon_sym___thiscall] = ACTIONS(2444),
    [anon_sym___vectorcall] = ACTIONS(2444),
    [anon_sym_LBRACE] = ACTIONS(2446),
    [anon_sym_signed] = ACTIONS(2444),
    [anon_sym_unsigned] = ACTIONS(2444),
    [anon_sym_long] = ACTIONS(2444),
    [anon_sym_short] = ACTIONS(2444),
    [anon_sym_LBRACK] = ACTIONS(2444),
    [anon_sym_static] = ACTIONS(2444),
    [anon_sym_register] = ACTIONS(2444),
    [anon_sym_inline] = ACTIONS(2444),
    [anon_sym___inline] = ACTIONS(2444),
    [anon_sym___inline__] = ACTIONS(2444),
    [anon_sym___forceinline] = ACTIONS(2444),
    [anon_sym_thread_local] = ACTIONS(2444),
    [anon_sym___thread] = ACTIONS(2444),
    [anon_sym_const] = ACTIONS(2444),
    [anon_sym_constexpr] = ACTIONS(2444),
    [anon_sym_volatile] = ACTIONS(2444),
    [anon_sym_restrict] = ACTIONS(2444),
    [anon_sym___restrict__] = ACTIONS(2444),
    [anon_sym__Atomic] = ACTIONS(2444),
    [anon_sym__Noreturn] = ACTIONS(2444),
    [anon_sym_noreturn] = ACTIONS(2444),
    [anon_sym_mutable] = ACTIONS(2444),
    [anon_sym_constinit] = ACTIONS(2444),
    [anon_sym_consteval] = ACTIONS(2444),
    [sym_primitive_type] = ACTIONS(2444),
    [anon_sym_enum] = ACTIONS(2444),
    [anon_sym_class] = ACTIONS(2444),
    [anon_sym_struct] = ACTIONS(2444),
    [anon_sym_union] = ACTIONS(2444),
    [anon_sym_if] = ACTIONS(2444),
    [anon_sym_else] = ACTIONS(2444),
    [anon_sym_switch] = ACTIONS(2444),
    [anon_sym_case] = ACTIONS(2444),
    [anon_sym_default] = ACTIONS(2444),
    [anon_sym_while] = ACTIONS(2444),
    [anon_sym_do] = ACTIONS(2444),
    [anon_sym_for] = ACTIONS(2444),
    [anon_sym_return] = ACTIONS(2444),
    [anon_sym_break] = ACTIONS(2444),
    [anon_sym_continue] = ACTIONS(2444),
    [anon_sym_goto] = ACTIONS(2444),
    [anon_sym___try] = ACTIONS(2444),
    [anon_sym___leave] = ACTIONS(2444),
    [anon_sym_not] = ACTIONS(2444),
    [anon_sym_compl] = ACTIONS(2444),
    [anon_sym_DASH_DASH] = ACTIONS(2446),
    [anon_sym_PLUS_PLUS] = ACTIONS(2446),
    [anon_sym_sizeof] = ACTIONS(2444),
    [anon_sym___alignof__] = ACTIONS(2444),
    [anon_sym___alignof] = ACTIONS(2444),
    [anon_sym__alignof] = ACTIONS(2444),
    [anon_sym_alignof] = ACTIONS(2444),
    [anon_sym__Alignof] = ACTIONS(2444),
    [anon_sym_offsetof] = ACTIONS(2444),
    [anon_sym__Generic] = ACTIONS(2444),
    [anon_sym_asm] = ACTIONS(2444),
    [anon_sym___asm__] = ACTIONS(2444),
    [sym_number_literal] = ACTIONS(2446),
    [anon_sym_L_SQUOTE] = ACTIONS(2446),
    [anon_sym_u_SQUOTE] = ACTIONS(2446),
    [anon_sym_U_SQUOTE] = ACTIONS(2446),
    [anon_sym_u8_SQUOTE] = ACTIONS(2446),
    [anon_sym_SQUOTE] = ACTIONS(2446),
    [anon_sym_L_DQUOTE] = ACTIONS(2446),
    [anon_sym_u_DQUOTE] = ACTIONS(2446),
    [anon_sym_U_DQUOTE] = ACTIONS(2446),
    [anon_sym_u8_DQUOTE] = ACTIONS(2446),
    [anon_sym_DQUOTE] = ACTIONS(2446),
    [sym_true] = ACTIONS(2444),
    [sym_false] = ACTIONS(2444),
    [anon_sym_NULL] = ACTIONS(2444),
    [anon_sym_nullptr] = ACTIONS(2444),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2444),
    [anon_sym_decltype] = ACTIONS(2444),
    [anon_sym_virtual] = ACTIONS(2444),
    [anon_sym_alignas] = ACTIONS(2444),
    [anon_sym_explicit] = ACTIONS(2444),
    [anon_sym_typename] = ACTIONS(2444),
    [anon_sym_template] = ACTIONS(2444),
    [anon_sym_operator] = ACTIONS(2444),
    [anon_sym_try] = ACTIONS(2444),
    [anon_sym_delete] = ACTIONS(2444),
    [anon_sym_throw] = ACTIONS(2444),
    [anon_sym_namespace] = ACTIONS(2444),
    [anon_sym_using] = ACTIONS(2444),
    [anon_sym_static_assert] = ACTIONS(2444),
    [anon_sym_concept] = ACTIONS(2444),
    [anon_sym_co_return] = ACTIONS(2444),
    [anon_sym_co_yield] = ACTIONS(2444),
    [anon_sym_R_DQUOTE] = ACTIONS(2446),
    [anon_sym_LR_DQUOTE] = ACTIONS(2446),
    [anon_sym_uR_DQUOTE] = ACTIONS(2446),
    [anon_sym_UR_DQUOTE] = ACTIONS(2446),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2446),
    [anon_sym_co_await] = ACTIONS(2444),
    [anon_sym_new] = ACTIONS(2444),
    [anon_sym_requires] = ACTIONS(2444),
    [sym_this] = ACTIONS(2444),
    [anon_sym_discard] = ACTIONS(2444),
    [anon_sym_precise] = ACTIONS(2444),
    [anon_sym_shared] = ACTIONS(2444),
    [anon_sym_groupshared] = ACTIONS(2444),
    [anon_sym_uniform] = ACTIONS(2444),
    [anon_sym_row_major] = ACTIONS(2444),
    [anon_sym_column_major] = ACTIONS(2444),
    [anon_sym_globallycoherent] = ACTIONS(2444),
    [anon_sym_centroid] = ACTIONS(2444),
    [anon_sym_noperspective] = ACTIONS(2444),
    [anon_sym_nointerpolation] = ACTIONS(2444),
    [anon_sym_sample] = ACTIONS(2444),
    [anon_sym_linear] = ACTIONS(2444),
    [anon_sym_snorm] = ACTIONS(2444),
    [anon_sym_unorm] = ACTIONS(2444),
    [anon_sym_point] = ACTIONS(2444),
    [anon_sym_line] = ACTIONS(2444),
    [anon_sym_triangleadj] = ACTIONS(2444),
    [anon_sym_lineadj] = ACTIONS(2444),
    [anon_sym_triangle] = ACTIONS(2444),
    [anon_sym_cbuffer] = ACTIONS(2444),
  },
  [761] = {
    [sym_identifier] = ACTIONS(2444),
    [aux_sym_preproc_include_token1] = ACTIONS(2444),
    [aux_sym_preproc_def_token1] = ACTIONS(2444),
    [aux_sym_preproc_if_token1] = ACTIONS(2444),
    [aux_sym_preproc_if_token2] = ACTIONS(2444),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2444),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2444),
    [sym_preproc_directive] = ACTIONS(2444),
    [anon_sym_LPAREN2] = ACTIONS(2446),
    [anon_sym_BANG] = ACTIONS(2446),
    [anon_sym_TILDE] = ACTIONS(2446),
    [anon_sym_DASH] = ACTIONS(2444),
    [anon_sym_PLUS] = ACTIONS(2444),
    [anon_sym_STAR] = ACTIONS(2446),
    [anon_sym_AMP_AMP] = ACTIONS(2446),
    [anon_sym_AMP] = ACTIONS(2444),
    [anon_sym_SEMI] = ACTIONS(2446),
    [anon_sym___extension__] = ACTIONS(2444),
    [anon_sym_typedef] = ACTIONS(2444),
    [anon_sym_in] = ACTIONS(2444),
    [anon_sym_out] = ACTIONS(2444),
    [anon_sym_inout] = ACTIONS(2444),
    [anon_sym_extern] = ACTIONS(2444),
    [anon_sym___attribute__] = ACTIONS(2444),
    [anon_sym_COLON_COLON] = ACTIONS(2446),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2446),
    [anon_sym___declspec] = ACTIONS(2444),
    [anon_sym___based] = ACTIONS(2444),
    [anon_sym___cdecl] = ACTIONS(2444),
    [anon_sym___clrcall] = ACTIONS(2444),
    [anon_sym___stdcall] = ACTIONS(2444),
    [anon_sym___fastcall] = ACTIONS(2444),
    [anon_sym___thiscall] = ACTIONS(2444),
    [anon_sym___vectorcall] = ACTIONS(2444),
    [anon_sym_LBRACE] = ACTIONS(2446),
    [anon_sym_signed] = ACTIONS(2444),
    [anon_sym_unsigned] = ACTIONS(2444),
    [anon_sym_long] = ACTIONS(2444),
    [anon_sym_short] = ACTIONS(2444),
    [anon_sym_LBRACK] = ACTIONS(2444),
    [anon_sym_static] = ACTIONS(2444),
    [anon_sym_register] = ACTIONS(2444),
    [anon_sym_inline] = ACTIONS(2444),
    [anon_sym___inline] = ACTIONS(2444),
    [anon_sym___inline__] = ACTIONS(2444),
    [anon_sym___forceinline] = ACTIONS(2444),
    [anon_sym_thread_local] = ACTIONS(2444),
    [anon_sym___thread] = ACTIONS(2444),
    [anon_sym_const] = ACTIONS(2444),
    [anon_sym_constexpr] = ACTIONS(2444),
    [anon_sym_volatile] = ACTIONS(2444),
    [anon_sym_restrict] = ACTIONS(2444),
    [anon_sym___restrict__] = ACTIONS(2444),
    [anon_sym__Atomic] = ACTIONS(2444),
    [anon_sym__Noreturn] = ACTIONS(2444),
    [anon_sym_noreturn] = ACTIONS(2444),
    [anon_sym_mutable] = ACTIONS(2444),
    [anon_sym_constinit] = ACTIONS(2444),
    [anon_sym_consteval] = ACTIONS(2444),
    [sym_primitive_type] = ACTIONS(2444),
    [anon_sym_enum] = ACTIONS(2444),
    [anon_sym_class] = ACTIONS(2444),
    [anon_sym_struct] = ACTIONS(2444),
    [anon_sym_union] = ACTIONS(2444),
    [anon_sym_if] = ACTIONS(2444),
    [anon_sym_else] = ACTIONS(2444),
    [anon_sym_switch] = ACTIONS(2444),
    [anon_sym_case] = ACTIONS(2444),
    [anon_sym_default] = ACTIONS(2444),
    [anon_sym_while] = ACTIONS(2444),
    [anon_sym_do] = ACTIONS(2444),
    [anon_sym_for] = ACTIONS(2444),
    [anon_sym_return] = ACTIONS(2444),
    [anon_sym_break] = ACTIONS(2444),
    [anon_sym_continue] = ACTIONS(2444),
    [anon_sym_goto] = ACTIONS(2444),
    [anon_sym___try] = ACTIONS(2444),
    [anon_sym___leave] = ACTIONS(2444),
    [anon_sym_not] = ACTIONS(2444),
    [anon_sym_compl] = ACTIONS(2444),
    [anon_sym_DASH_DASH] = ACTIONS(2446),
    [anon_sym_PLUS_PLUS] = ACTIONS(2446),
    [anon_sym_sizeof] = ACTIONS(2444),
    [anon_sym___alignof__] = ACTIONS(2444),
    [anon_sym___alignof] = ACTIONS(2444),
    [anon_sym__alignof] = ACTIONS(2444),
    [anon_sym_alignof] = ACTIONS(2444),
    [anon_sym__Alignof] = ACTIONS(2444),
    [anon_sym_offsetof] = ACTIONS(2444),
    [anon_sym__Generic] = ACTIONS(2444),
    [anon_sym_asm] = ACTIONS(2444),
    [anon_sym___asm__] = ACTIONS(2444),
    [sym_number_literal] = ACTIONS(2446),
    [anon_sym_L_SQUOTE] = ACTIONS(2446),
    [anon_sym_u_SQUOTE] = ACTIONS(2446),
    [anon_sym_U_SQUOTE] = ACTIONS(2446),
    [anon_sym_u8_SQUOTE] = ACTIONS(2446),
    [anon_sym_SQUOTE] = ACTIONS(2446),
    [anon_sym_L_DQUOTE] = ACTIONS(2446),
    [anon_sym_u_DQUOTE] = ACTIONS(2446),
    [anon_sym_U_DQUOTE] = ACTIONS(2446),
    [anon_sym_u8_DQUOTE] = ACTIONS(2446),
    [anon_sym_DQUOTE] = ACTIONS(2446),
    [sym_true] = ACTIONS(2444),
    [sym_false] = ACTIONS(2444),
    [anon_sym_NULL] = ACTIONS(2444),
    [anon_sym_nullptr] = ACTIONS(2444),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2444),
    [anon_sym_decltype] = ACTIONS(2444),
    [anon_sym_virtual] = ACTIONS(2444),
    [anon_sym_alignas] = ACTIONS(2444),
    [anon_sym_explicit] = ACTIONS(2444),
    [anon_sym_typename] = ACTIONS(2444),
    [anon_sym_template] = ACTIONS(2444),
    [anon_sym_operator] = ACTIONS(2444),
    [anon_sym_try] = ACTIONS(2444),
    [anon_sym_delete] = ACTIONS(2444),
    [anon_sym_throw] = ACTIONS(2444),
    [anon_sym_namespace] = ACTIONS(2444),
    [anon_sym_using] = ACTIONS(2444),
    [anon_sym_static_assert] = ACTIONS(2444),
    [anon_sym_concept] = ACTIONS(2444),
    [anon_sym_co_return] = ACTIONS(2444),
    [anon_sym_co_yield] = ACTIONS(2444),
    [anon_sym_R_DQUOTE] = ACTIONS(2446),
    [anon_sym_LR_DQUOTE] = ACTIONS(2446),
    [anon_sym_uR_DQUOTE] = ACTIONS(2446),
    [anon_sym_UR_DQUOTE] = ACTIONS(2446),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2446),
    [anon_sym_co_await] = ACTIONS(2444),
    [anon_sym_new] = ACTIONS(2444),
    [anon_sym_requires] = ACTIONS(2444),
    [sym_this] = ACTIONS(2444),
    [anon_sym_discard] = ACTIONS(2444),
    [anon_sym_precise] = ACTIONS(2444),
    [anon_sym_shared] = ACTIONS(2444),
    [anon_sym_groupshared] = ACTIONS(2444),
    [anon_sym_uniform] = ACTIONS(2444),
    [anon_sym_row_major] = ACTIONS(2444),
    [anon_sym_column_major] = ACTIONS(2444),
    [anon_sym_globallycoherent] = ACTIONS(2444),
    [anon_sym_centroid] = ACTIONS(2444),
    [anon_sym_noperspective] = ACTIONS(2444),
    [anon_sym_nointerpolation] = ACTIONS(2444),
    [anon_sym_sample] = ACTIONS(2444),
    [anon_sym_linear] = ACTIONS(2444),
    [anon_sym_snorm] = ACTIONS(2444),
    [anon_sym_unorm] = ACTIONS(2444),
    [anon_sym_point] = ACTIONS(2444),
    [anon_sym_line] = ACTIONS(2444),
    [anon_sym_triangleadj] = ACTIONS(2444),
    [anon_sym_lineadj] = ACTIONS(2444),
    [anon_sym_triangle] = ACTIONS(2444),
    [anon_sym_cbuffer] = ACTIONS(2444),
  },
  [762] = {
    [ts_builtin_sym_end] = ACTIONS(2446),
    [sym_identifier] = ACTIONS(2444),
    [aux_sym_preproc_include_token1] = ACTIONS(2444),
    [aux_sym_preproc_def_token1] = ACTIONS(2444),
    [aux_sym_preproc_if_token1] = ACTIONS(2444),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2444),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2444),
    [sym_preproc_directive] = ACTIONS(2444),
    [anon_sym_LPAREN2] = ACTIONS(2446),
    [anon_sym_BANG] = ACTIONS(2446),
    [anon_sym_TILDE] = ACTIONS(2446),
    [anon_sym_DASH] = ACTIONS(2444),
    [anon_sym_PLUS] = ACTIONS(2444),
    [anon_sym_STAR] = ACTIONS(2446),
    [anon_sym_AMP_AMP] = ACTIONS(2446),
    [anon_sym_AMP] = ACTIONS(2444),
    [anon_sym_SEMI] = ACTIONS(2446),
    [anon_sym___extension__] = ACTIONS(2444),
    [anon_sym_typedef] = ACTIONS(2444),
    [anon_sym_in] = ACTIONS(2444),
    [anon_sym_out] = ACTIONS(2444),
    [anon_sym_inout] = ACTIONS(2444),
    [anon_sym_extern] = ACTIONS(2444),
    [anon_sym___attribute__] = ACTIONS(2444),
    [anon_sym_COLON_COLON] = ACTIONS(2446),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2446),
    [anon_sym___declspec] = ACTIONS(2444),
    [anon_sym___based] = ACTIONS(2444),
    [anon_sym___cdecl] = ACTIONS(2444),
    [anon_sym___clrcall] = ACTIONS(2444),
    [anon_sym___stdcall] = ACTIONS(2444),
    [anon_sym___fastcall] = ACTIONS(2444),
    [anon_sym___thiscall] = ACTIONS(2444),
    [anon_sym___vectorcall] = ACTIONS(2444),
    [anon_sym_LBRACE] = ACTIONS(2446),
    [anon_sym_signed] = ACTIONS(2444),
    [anon_sym_unsigned] = ACTIONS(2444),
    [anon_sym_long] = ACTIONS(2444),
    [anon_sym_short] = ACTIONS(2444),
    [anon_sym_LBRACK] = ACTIONS(2444),
    [anon_sym_static] = ACTIONS(2444),
    [anon_sym_register] = ACTIONS(2444),
    [anon_sym_inline] = ACTIONS(2444),
    [anon_sym___inline] = ACTIONS(2444),
    [anon_sym___inline__] = ACTIONS(2444),
    [anon_sym___forceinline] = ACTIONS(2444),
    [anon_sym_thread_local] = ACTIONS(2444),
    [anon_sym___thread] = ACTIONS(2444),
    [anon_sym_const] = ACTIONS(2444),
    [anon_sym_constexpr] = ACTIONS(2444),
    [anon_sym_volatile] = ACTIONS(2444),
    [anon_sym_restrict] = ACTIONS(2444),
    [anon_sym___restrict__] = ACTIONS(2444),
    [anon_sym__Atomic] = ACTIONS(2444),
    [anon_sym__Noreturn] = ACTIONS(2444),
    [anon_sym_noreturn] = ACTIONS(2444),
    [anon_sym_mutable] = ACTIONS(2444),
    [anon_sym_constinit] = ACTIONS(2444),
    [anon_sym_consteval] = ACTIONS(2444),
    [sym_primitive_type] = ACTIONS(2444),
    [anon_sym_enum] = ACTIONS(2444),
    [anon_sym_class] = ACTIONS(2444),
    [anon_sym_struct] = ACTIONS(2444),
    [anon_sym_union] = ACTIONS(2444),
    [anon_sym_if] = ACTIONS(2444),
    [anon_sym_else] = ACTIONS(2444),
    [anon_sym_switch] = ACTIONS(2444),
    [anon_sym_case] = ACTIONS(2444),
    [anon_sym_default] = ACTIONS(2444),
    [anon_sym_while] = ACTIONS(2444),
    [anon_sym_do] = ACTIONS(2444),
    [anon_sym_for] = ACTIONS(2444),
    [anon_sym_return] = ACTIONS(2444),
    [anon_sym_break] = ACTIONS(2444),
    [anon_sym_continue] = ACTIONS(2444),
    [anon_sym_goto] = ACTIONS(2444),
    [anon_sym___try] = ACTIONS(2444),
    [anon_sym___leave] = ACTIONS(2444),
    [anon_sym_not] = ACTIONS(2444),
    [anon_sym_compl] = ACTIONS(2444),
    [anon_sym_DASH_DASH] = ACTIONS(2446),
    [anon_sym_PLUS_PLUS] = ACTIONS(2446),
    [anon_sym_sizeof] = ACTIONS(2444),
    [anon_sym___alignof__] = ACTIONS(2444),
    [anon_sym___alignof] = ACTIONS(2444),
    [anon_sym__alignof] = ACTIONS(2444),
    [anon_sym_alignof] = ACTIONS(2444),
    [anon_sym__Alignof] = ACTIONS(2444),
    [anon_sym_offsetof] = ACTIONS(2444),
    [anon_sym__Generic] = ACTIONS(2444),
    [anon_sym_asm] = ACTIONS(2444),
    [anon_sym___asm__] = ACTIONS(2444),
    [sym_number_literal] = ACTIONS(2446),
    [anon_sym_L_SQUOTE] = ACTIONS(2446),
    [anon_sym_u_SQUOTE] = ACTIONS(2446),
    [anon_sym_U_SQUOTE] = ACTIONS(2446),
    [anon_sym_u8_SQUOTE] = ACTIONS(2446),
    [anon_sym_SQUOTE] = ACTIONS(2446),
    [anon_sym_L_DQUOTE] = ACTIONS(2446),
    [anon_sym_u_DQUOTE] = ACTIONS(2446),
    [anon_sym_U_DQUOTE] = ACTIONS(2446),
    [anon_sym_u8_DQUOTE] = ACTIONS(2446),
    [anon_sym_DQUOTE] = ACTIONS(2446),
    [sym_true] = ACTIONS(2444),
    [sym_false] = ACTIONS(2444),
    [anon_sym_NULL] = ACTIONS(2444),
    [anon_sym_nullptr] = ACTIONS(2444),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2444),
    [anon_sym_decltype] = ACTIONS(2444),
    [anon_sym_virtual] = ACTIONS(2444),
    [anon_sym_alignas] = ACTIONS(2444),
    [anon_sym_explicit] = ACTIONS(2444),
    [anon_sym_typename] = ACTIONS(2444),
    [anon_sym_template] = ACTIONS(2444),
    [anon_sym_operator] = ACTIONS(2444),
    [anon_sym_try] = ACTIONS(2444),
    [anon_sym_delete] = ACTIONS(2444),
    [anon_sym_throw] = ACTIONS(2444),
    [anon_sym_namespace] = ACTIONS(2444),
    [anon_sym_using] = ACTIONS(2444),
    [anon_sym_static_assert] = ACTIONS(2444),
    [anon_sym_concept] = ACTIONS(2444),
    [anon_sym_co_return] = ACTIONS(2444),
    [anon_sym_co_yield] = ACTIONS(2444),
    [anon_sym_R_DQUOTE] = ACTIONS(2446),
    [anon_sym_LR_DQUOTE] = ACTIONS(2446),
    [anon_sym_uR_DQUOTE] = ACTIONS(2446),
    [anon_sym_UR_DQUOTE] = ACTIONS(2446),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2446),
    [anon_sym_co_await] = ACTIONS(2444),
    [anon_sym_new] = ACTIONS(2444),
    [anon_sym_requires] = ACTIONS(2444),
    [sym_this] = ACTIONS(2444),
    [anon_sym_discard] = ACTIONS(2444),
    [anon_sym_precise] = ACTIONS(2444),
    [anon_sym_shared] = ACTIONS(2444),
    [anon_sym_groupshared] = ACTIONS(2444),
    [anon_sym_uniform] = ACTIONS(2444),
    [anon_sym_row_major] = ACTIONS(2444),
    [anon_sym_column_major] = ACTIONS(2444),
    [anon_sym_globallycoherent] = ACTIONS(2444),
    [anon_sym_centroid] = ACTIONS(2444),
    [anon_sym_noperspective] = ACTIONS(2444),
    [anon_sym_nointerpolation] = ACTIONS(2444),
    [anon_sym_sample] = ACTIONS(2444),
    [anon_sym_linear] = ACTIONS(2444),
    [anon_sym_snorm] = ACTIONS(2444),
    [anon_sym_unorm] = ACTIONS(2444),
    [anon_sym_point] = ACTIONS(2444),
    [anon_sym_line] = ACTIONS(2444),
    [anon_sym_triangleadj] = ACTIONS(2444),
    [anon_sym_lineadj] = ACTIONS(2444),
    [anon_sym_triangle] = ACTIONS(2444),
    [anon_sym_cbuffer] = ACTIONS(2444),
  },
  [763] = {
    [ts_builtin_sym_end] = ACTIONS(2446),
    [sym_identifier] = ACTIONS(2444),
    [aux_sym_preproc_include_token1] = ACTIONS(2444),
    [aux_sym_preproc_def_token1] = ACTIONS(2444),
    [aux_sym_preproc_if_token1] = ACTIONS(2444),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2444),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2444),
    [sym_preproc_directive] = ACTIONS(2444),
    [anon_sym_LPAREN2] = ACTIONS(2446),
    [anon_sym_BANG] = ACTIONS(2446),
    [anon_sym_TILDE] = ACTIONS(2446),
    [anon_sym_DASH] = ACTIONS(2444),
    [anon_sym_PLUS] = ACTIONS(2444),
    [anon_sym_STAR] = ACTIONS(2446),
    [anon_sym_AMP_AMP] = ACTIONS(2446),
    [anon_sym_AMP] = ACTIONS(2444),
    [anon_sym_SEMI] = ACTIONS(2446),
    [anon_sym___extension__] = ACTIONS(2444),
    [anon_sym_typedef] = ACTIONS(2444),
    [anon_sym_in] = ACTIONS(2444),
    [anon_sym_out] = ACTIONS(2444),
    [anon_sym_inout] = ACTIONS(2444),
    [anon_sym_extern] = ACTIONS(2444),
    [anon_sym___attribute__] = ACTIONS(2444),
    [anon_sym_COLON_COLON] = ACTIONS(2446),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2446),
    [anon_sym___declspec] = ACTIONS(2444),
    [anon_sym___based] = ACTIONS(2444),
    [anon_sym___cdecl] = ACTIONS(2444),
    [anon_sym___clrcall] = ACTIONS(2444),
    [anon_sym___stdcall] = ACTIONS(2444),
    [anon_sym___fastcall] = ACTIONS(2444),
    [anon_sym___thiscall] = ACTIONS(2444),
    [anon_sym___vectorcall] = ACTIONS(2444),
    [anon_sym_LBRACE] = ACTIONS(2446),
    [anon_sym_signed] = ACTIONS(2444),
    [anon_sym_unsigned] = ACTIONS(2444),
    [anon_sym_long] = ACTIONS(2444),
    [anon_sym_short] = ACTIONS(2444),
    [anon_sym_LBRACK] = ACTIONS(2444),
    [anon_sym_static] = ACTIONS(2444),
    [anon_sym_register] = ACTIONS(2444),
    [anon_sym_inline] = ACTIONS(2444),
    [anon_sym___inline] = ACTIONS(2444),
    [anon_sym___inline__] = ACTIONS(2444),
    [anon_sym___forceinline] = ACTIONS(2444),
    [anon_sym_thread_local] = ACTIONS(2444),
    [anon_sym___thread] = ACTIONS(2444),
    [anon_sym_const] = ACTIONS(2444),
    [anon_sym_constexpr] = ACTIONS(2444),
    [anon_sym_volatile] = ACTIONS(2444),
    [anon_sym_restrict] = ACTIONS(2444),
    [anon_sym___restrict__] = ACTIONS(2444),
    [anon_sym__Atomic] = ACTIONS(2444),
    [anon_sym__Noreturn] = ACTIONS(2444),
    [anon_sym_noreturn] = ACTIONS(2444),
    [anon_sym_mutable] = ACTIONS(2444),
    [anon_sym_constinit] = ACTIONS(2444),
    [anon_sym_consteval] = ACTIONS(2444),
    [sym_primitive_type] = ACTIONS(2444),
    [anon_sym_enum] = ACTIONS(2444),
    [anon_sym_class] = ACTIONS(2444),
    [anon_sym_struct] = ACTIONS(2444),
    [anon_sym_union] = ACTIONS(2444),
    [anon_sym_if] = ACTIONS(2444),
    [anon_sym_else] = ACTIONS(2444),
    [anon_sym_switch] = ACTIONS(2444),
    [anon_sym_case] = ACTIONS(2444),
    [anon_sym_default] = ACTIONS(2444),
    [anon_sym_while] = ACTIONS(2444),
    [anon_sym_do] = ACTIONS(2444),
    [anon_sym_for] = ACTIONS(2444),
    [anon_sym_return] = ACTIONS(2444),
    [anon_sym_break] = ACTIONS(2444),
    [anon_sym_continue] = ACTIONS(2444),
    [anon_sym_goto] = ACTIONS(2444),
    [anon_sym___try] = ACTIONS(2444),
    [anon_sym___leave] = ACTIONS(2444),
    [anon_sym_not] = ACTIONS(2444),
    [anon_sym_compl] = ACTIONS(2444),
    [anon_sym_DASH_DASH] = ACTIONS(2446),
    [anon_sym_PLUS_PLUS] = ACTIONS(2446),
    [anon_sym_sizeof] = ACTIONS(2444),
    [anon_sym___alignof__] = ACTIONS(2444),
    [anon_sym___alignof] = ACTIONS(2444),
    [anon_sym__alignof] = ACTIONS(2444),
    [anon_sym_alignof] = ACTIONS(2444),
    [anon_sym__Alignof] = ACTIONS(2444),
    [anon_sym_offsetof] = ACTIONS(2444),
    [anon_sym__Generic] = ACTIONS(2444),
    [anon_sym_asm] = ACTIONS(2444),
    [anon_sym___asm__] = ACTIONS(2444),
    [sym_number_literal] = ACTIONS(2446),
    [anon_sym_L_SQUOTE] = ACTIONS(2446),
    [anon_sym_u_SQUOTE] = ACTIONS(2446),
    [anon_sym_U_SQUOTE] = ACTIONS(2446),
    [anon_sym_u8_SQUOTE] = ACTIONS(2446),
    [anon_sym_SQUOTE] = ACTIONS(2446),
    [anon_sym_L_DQUOTE] = ACTIONS(2446),
    [anon_sym_u_DQUOTE] = ACTIONS(2446),
    [anon_sym_U_DQUOTE] = ACTIONS(2446),
    [anon_sym_u8_DQUOTE] = ACTIONS(2446),
    [anon_sym_DQUOTE] = ACTIONS(2446),
    [sym_true] = ACTIONS(2444),
    [sym_false] = ACTIONS(2444),
    [anon_sym_NULL] = ACTIONS(2444),
    [anon_sym_nullptr] = ACTIONS(2444),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2444),
    [anon_sym_decltype] = ACTIONS(2444),
    [anon_sym_virtual] = ACTIONS(2444),
    [anon_sym_alignas] = ACTIONS(2444),
    [anon_sym_explicit] = ACTIONS(2444),
    [anon_sym_typename] = ACTIONS(2444),
    [anon_sym_template] = ACTIONS(2444),
    [anon_sym_operator] = ACTIONS(2444),
    [anon_sym_try] = ACTIONS(2444),
    [anon_sym_delete] = ACTIONS(2444),
    [anon_sym_throw] = ACTIONS(2444),
    [anon_sym_namespace] = ACTIONS(2444),
    [anon_sym_using] = ACTIONS(2444),
    [anon_sym_static_assert] = ACTIONS(2444),
    [anon_sym_concept] = ACTIONS(2444),
    [anon_sym_co_return] = ACTIONS(2444),
    [anon_sym_co_yield] = ACTIONS(2444),
    [anon_sym_R_DQUOTE] = ACTIONS(2446),
    [anon_sym_LR_DQUOTE] = ACTIONS(2446),
    [anon_sym_uR_DQUOTE] = ACTIONS(2446),
    [anon_sym_UR_DQUOTE] = ACTIONS(2446),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2446),
    [anon_sym_co_await] = ACTIONS(2444),
    [anon_sym_new] = ACTIONS(2444),
    [anon_sym_requires] = ACTIONS(2444),
    [sym_this] = ACTIONS(2444),
    [anon_sym_discard] = ACTIONS(2444),
    [anon_sym_precise] = ACTIONS(2444),
    [anon_sym_shared] = ACTIONS(2444),
    [anon_sym_groupshared] = ACTIONS(2444),
    [anon_sym_uniform] = ACTIONS(2444),
    [anon_sym_row_major] = ACTIONS(2444),
    [anon_sym_column_major] = ACTIONS(2444),
    [anon_sym_globallycoherent] = ACTIONS(2444),
    [anon_sym_centroid] = ACTIONS(2444),
    [anon_sym_noperspective] = ACTIONS(2444),
    [anon_sym_nointerpolation] = ACTIONS(2444),
    [anon_sym_sample] = ACTIONS(2444),
    [anon_sym_linear] = ACTIONS(2444),
    [anon_sym_snorm] = ACTIONS(2444),
    [anon_sym_unorm] = ACTIONS(2444),
    [anon_sym_point] = ACTIONS(2444),
    [anon_sym_line] = ACTIONS(2444),
    [anon_sym_triangleadj] = ACTIONS(2444),
    [anon_sym_lineadj] = ACTIONS(2444),
    [anon_sym_triangle] = ACTIONS(2444),
    [anon_sym_cbuffer] = ACTIONS(2444),
  },
  [764] = {
    [ts_builtin_sym_end] = ACTIONS(2446),
    [sym_identifier] = ACTIONS(2444),
    [aux_sym_preproc_include_token1] = ACTIONS(2444),
    [aux_sym_preproc_def_token1] = ACTIONS(2444),
    [aux_sym_preproc_if_token1] = ACTIONS(2444),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2444),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2444),
    [sym_preproc_directive] = ACTIONS(2444),
    [anon_sym_LPAREN2] = ACTIONS(2446),
    [anon_sym_BANG] = ACTIONS(2446),
    [anon_sym_TILDE] = ACTIONS(2446),
    [anon_sym_DASH] = ACTIONS(2444),
    [anon_sym_PLUS] = ACTIONS(2444),
    [anon_sym_STAR] = ACTIONS(2446),
    [anon_sym_AMP_AMP] = ACTIONS(2446),
    [anon_sym_AMP] = ACTIONS(2444),
    [anon_sym_SEMI] = ACTIONS(2446),
    [anon_sym___extension__] = ACTIONS(2444),
    [anon_sym_typedef] = ACTIONS(2444),
    [anon_sym_in] = ACTIONS(2444),
    [anon_sym_out] = ACTIONS(2444),
    [anon_sym_inout] = ACTIONS(2444),
    [anon_sym_extern] = ACTIONS(2444),
    [anon_sym___attribute__] = ACTIONS(2444),
    [anon_sym_COLON_COLON] = ACTIONS(2446),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2446),
    [anon_sym___declspec] = ACTIONS(2444),
    [anon_sym___based] = ACTIONS(2444),
    [anon_sym___cdecl] = ACTIONS(2444),
    [anon_sym___clrcall] = ACTIONS(2444),
    [anon_sym___stdcall] = ACTIONS(2444),
    [anon_sym___fastcall] = ACTIONS(2444),
    [anon_sym___thiscall] = ACTIONS(2444),
    [anon_sym___vectorcall] = ACTIONS(2444),
    [anon_sym_LBRACE] = ACTIONS(2446),
    [anon_sym_signed] = ACTIONS(2444),
    [anon_sym_unsigned] = ACTIONS(2444),
    [anon_sym_long] = ACTIONS(2444),
    [anon_sym_short] = ACTIONS(2444),
    [anon_sym_LBRACK] = ACTIONS(2444),
    [anon_sym_static] = ACTIONS(2444),
    [anon_sym_register] = ACTIONS(2444),
    [anon_sym_inline] = ACTIONS(2444),
    [anon_sym___inline] = ACTIONS(2444),
    [anon_sym___inline__] = ACTIONS(2444),
    [anon_sym___forceinline] = ACTIONS(2444),
    [anon_sym_thread_local] = ACTIONS(2444),
    [anon_sym___thread] = ACTIONS(2444),
    [anon_sym_const] = ACTIONS(2444),
    [anon_sym_constexpr] = ACTIONS(2444),
    [anon_sym_volatile] = ACTIONS(2444),
    [anon_sym_restrict] = ACTIONS(2444),
    [anon_sym___restrict__] = ACTIONS(2444),
    [anon_sym__Atomic] = ACTIONS(2444),
    [anon_sym__Noreturn] = ACTIONS(2444),
    [anon_sym_noreturn] = ACTIONS(2444),
    [anon_sym_mutable] = ACTIONS(2444),
    [anon_sym_constinit] = ACTIONS(2444),
    [anon_sym_consteval] = ACTIONS(2444),
    [sym_primitive_type] = ACTIONS(2444),
    [anon_sym_enum] = ACTIONS(2444),
    [anon_sym_class] = ACTIONS(2444),
    [anon_sym_struct] = ACTIONS(2444),
    [anon_sym_union] = ACTIONS(2444),
    [anon_sym_if] = ACTIONS(2444),
    [anon_sym_else] = ACTIONS(2444),
    [anon_sym_switch] = ACTIONS(2444),
    [anon_sym_case] = ACTIONS(2444),
    [anon_sym_default] = ACTIONS(2444),
    [anon_sym_while] = ACTIONS(2444),
    [anon_sym_do] = ACTIONS(2444),
    [anon_sym_for] = ACTIONS(2444),
    [anon_sym_return] = ACTIONS(2444),
    [anon_sym_break] = ACTIONS(2444),
    [anon_sym_continue] = ACTIONS(2444),
    [anon_sym_goto] = ACTIONS(2444),
    [anon_sym___try] = ACTIONS(2444),
    [anon_sym___leave] = ACTIONS(2444),
    [anon_sym_not] = ACTIONS(2444),
    [anon_sym_compl] = ACTIONS(2444),
    [anon_sym_DASH_DASH] = ACTIONS(2446),
    [anon_sym_PLUS_PLUS] = ACTIONS(2446),
    [anon_sym_sizeof] = ACTIONS(2444),
    [anon_sym___alignof__] = ACTIONS(2444),
    [anon_sym___alignof] = ACTIONS(2444),
    [anon_sym__alignof] = ACTIONS(2444),
    [anon_sym_alignof] = ACTIONS(2444),
    [anon_sym__Alignof] = ACTIONS(2444),
    [anon_sym_offsetof] = ACTIONS(2444),
    [anon_sym__Generic] = ACTIONS(2444),
    [anon_sym_asm] = ACTIONS(2444),
    [anon_sym___asm__] = ACTIONS(2444),
    [sym_number_literal] = ACTIONS(2446),
    [anon_sym_L_SQUOTE] = ACTIONS(2446),
    [anon_sym_u_SQUOTE] = ACTIONS(2446),
    [anon_sym_U_SQUOTE] = ACTIONS(2446),
    [anon_sym_u8_SQUOTE] = ACTIONS(2446),
    [anon_sym_SQUOTE] = ACTIONS(2446),
    [anon_sym_L_DQUOTE] = ACTIONS(2446),
    [anon_sym_u_DQUOTE] = ACTIONS(2446),
    [anon_sym_U_DQUOTE] = ACTIONS(2446),
    [anon_sym_u8_DQUOTE] = ACTIONS(2446),
    [anon_sym_DQUOTE] = ACTIONS(2446),
    [sym_true] = ACTIONS(2444),
    [sym_false] = ACTIONS(2444),
    [anon_sym_NULL] = ACTIONS(2444),
    [anon_sym_nullptr] = ACTIONS(2444),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2444),
    [anon_sym_decltype] = ACTIONS(2444),
    [anon_sym_virtual] = ACTIONS(2444),
    [anon_sym_alignas] = ACTIONS(2444),
    [anon_sym_explicit] = ACTIONS(2444),
    [anon_sym_typename] = ACTIONS(2444),
    [anon_sym_template] = ACTIONS(2444),
    [anon_sym_operator] = ACTIONS(2444),
    [anon_sym_try] = ACTIONS(2444),
    [anon_sym_delete] = ACTIONS(2444),
    [anon_sym_throw] = ACTIONS(2444),
    [anon_sym_namespace] = ACTIONS(2444),
    [anon_sym_using] = ACTIONS(2444),
    [anon_sym_static_assert] = ACTIONS(2444),
    [anon_sym_concept] = ACTIONS(2444),
    [anon_sym_co_return] = ACTIONS(2444),
    [anon_sym_co_yield] = ACTIONS(2444),
    [anon_sym_R_DQUOTE] = ACTIONS(2446),
    [anon_sym_LR_DQUOTE] = ACTIONS(2446),
    [anon_sym_uR_DQUOTE] = ACTIONS(2446),
    [anon_sym_UR_DQUOTE] = ACTIONS(2446),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2446),
    [anon_sym_co_await] = ACTIONS(2444),
    [anon_sym_new] = ACTIONS(2444),
    [anon_sym_requires] = ACTIONS(2444),
    [sym_this] = ACTIONS(2444),
    [anon_sym_discard] = ACTIONS(2444),
    [anon_sym_precise] = ACTIONS(2444),
    [anon_sym_shared] = ACTIONS(2444),
    [anon_sym_groupshared] = ACTIONS(2444),
    [anon_sym_uniform] = ACTIONS(2444),
    [anon_sym_row_major] = ACTIONS(2444),
    [anon_sym_column_major] = ACTIONS(2444),
    [anon_sym_globallycoherent] = ACTIONS(2444),
    [anon_sym_centroid] = ACTIONS(2444),
    [anon_sym_noperspective] = ACTIONS(2444),
    [anon_sym_nointerpolation] = ACTIONS(2444),
    [anon_sym_sample] = ACTIONS(2444),
    [anon_sym_linear] = ACTIONS(2444),
    [anon_sym_snorm] = ACTIONS(2444),
    [anon_sym_unorm] = ACTIONS(2444),
    [anon_sym_point] = ACTIONS(2444),
    [anon_sym_line] = ACTIONS(2444),
    [anon_sym_triangleadj] = ACTIONS(2444),
    [anon_sym_lineadj] = ACTIONS(2444),
    [anon_sym_triangle] = ACTIONS(2444),
    [anon_sym_cbuffer] = ACTIONS(2444),
  },
  [765] = {
    [ts_builtin_sym_end] = ACTIONS(2446),
    [sym_identifier] = ACTIONS(2444),
    [aux_sym_preproc_include_token1] = ACTIONS(2444),
    [aux_sym_preproc_def_token1] = ACTIONS(2444),
    [aux_sym_preproc_if_token1] = ACTIONS(2444),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2444),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2444),
    [sym_preproc_directive] = ACTIONS(2444),
    [anon_sym_LPAREN2] = ACTIONS(2446),
    [anon_sym_BANG] = ACTIONS(2446),
    [anon_sym_TILDE] = ACTIONS(2446),
    [anon_sym_DASH] = ACTIONS(2444),
    [anon_sym_PLUS] = ACTIONS(2444),
    [anon_sym_STAR] = ACTIONS(2446),
    [anon_sym_AMP_AMP] = ACTIONS(2446),
    [anon_sym_AMP] = ACTIONS(2444),
    [anon_sym_SEMI] = ACTIONS(2446),
    [anon_sym___extension__] = ACTIONS(2444),
    [anon_sym_typedef] = ACTIONS(2444),
    [anon_sym_in] = ACTIONS(2444),
    [anon_sym_out] = ACTIONS(2444),
    [anon_sym_inout] = ACTIONS(2444),
    [anon_sym_extern] = ACTIONS(2444),
    [anon_sym___attribute__] = ACTIONS(2444),
    [anon_sym_COLON_COLON] = ACTIONS(2446),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2446),
    [anon_sym___declspec] = ACTIONS(2444),
    [anon_sym___based] = ACTIONS(2444),
    [anon_sym___cdecl] = ACTIONS(2444),
    [anon_sym___clrcall] = ACTIONS(2444),
    [anon_sym___stdcall] = ACTIONS(2444),
    [anon_sym___fastcall] = ACTIONS(2444),
    [anon_sym___thiscall] = ACTIONS(2444),
    [anon_sym___vectorcall] = ACTIONS(2444),
    [anon_sym_LBRACE] = ACTIONS(2446),
    [anon_sym_signed] = ACTIONS(2444),
    [anon_sym_unsigned] = ACTIONS(2444),
    [anon_sym_long] = ACTIONS(2444),
    [anon_sym_short] = ACTIONS(2444),
    [anon_sym_LBRACK] = ACTIONS(2444),
    [anon_sym_static] = ACTIONS(2444),
    [anon_sym_register] = ACTIONS(2444),
    [anon_sym_inline] = ACTIONS(2444),
    [anon_sym___inline] = ACTIONS(2444),
    [anon_sym___inline__] = ACTIONS(2444),
    [anon_sym___forceinline] = ACTIONS(2444),
    [anon_sym_thread_local] = ACTIONS(2444),
    [anon_sym___thread] = ACTIONS(2444),
    [anon_sym_const] = ACTIONS(2444),
    [anon_sym_constexpr] = ACTIONS(2444),
    [anon_sym_volatile] = ACTIONS(2444),
    [anon_sym_restrict] = ACTIONS(2444),
    [anon_sym___restrict__] = ACTIONS(2444),
    [anon_sym__Atomic] = ACTIONS(2444),
    [anon_sym__Noreturn] = ACTIONS(2444),
    [anon_sym_noreturn] = ACTIONS(2444),
    [anon_sym_mutable] = ACTIONS(2444),
    [anon_sym_constinit] = ACTIONS(2444),
    [anon_sym_consteval] = ACTIONS(2444),
    [sym_primitive_type] = ACTIONS(2444),
    [anon_sym_enum] = ACTIONS(2444),
    [anon_sym_class] = ACTIONS(2444),
    [anon_sym_struct] = ACTIONS(2444),
    [anon_sym_union] = ACTIONS(2444),
    [anon_sym_if] = ACTIONS(2444),
    [anon_sym_else] = ACTIONS(2444),
    [anon_sym_switch] = ACTIONS(2444),
    [anon_sym_case] = ACTIONS(2444),
    [anon_sym_default] = ACTIONS(2444),
    [anon_sym_while] = ACTIONS(2444),
    [anon_sym_do] = ACTIONS(2444),
    [anon_sym_for] = ACTIONS(2444),
    [anon_sym_return] = ACTIONS(2444),
    [anon_sym_break] = ACTIONS(2444),
    [anon_sym_continue] = ACTIONS(2444),
    [anon_sym_goto] = ACTIONS(2444),
    [anon_sym___try] = ACTIONS(2444),
    [anon_sym___leave] = ACTIONS(2444),
    [anon_sym_not] = ACTIONS(2444),
    [anon_sym_compl] = ACTIONS(2444),
    [anon_sym_DASH_DASH] = ACTIONS(2446),
    [anon_sym_PLUS_PLUS] = ACTIONS(2446),
    [anon_sym_sizeof] = ACTIONS(2444),
    [anon_sym___alignof__] = ACTIONS(2444),
    [anon_sym___alignof] = ACTIONS(2444),
    [anon_sym__alignof] = ACTIONS(2444),
    [anon_sym_alignof] = ACTIONS(2444),
    [anon_sym__Alignof] = ACTIONS(2444),
    [anon_sym_offsetof] = ACTIONS(2444),
    [anon_sym__Generic] = ACTIONS(2444),
    [anon_sym_asm] = ACTIONS(2444),
    [anon_sym___asm__] = ACTIONS(2444),
    [sym_number_literal] = ACTIONS(2446),
    [anon_sym_L_SQUOTE] = ACTIONS(2446),
    [anon_sym_u_SQUOTE] = ACTIONS(2446),
    [anon_sym_U_SQUOTE] = ACTIONS(2446),
    [anon_sym_u8_SQUOTE] = ACTIONS(2446),
    [anon_sym_SQUOTE] = ACTIONS(2446),
    [anon_sym_L_DQUOTE] = ACTIONS(2446),
    [anon_sym_u_DQUOTE] = ACTIONS(2446),
    [anon_sym_U_DQUOTE] = ACTIONS(2446),
    [anon_sym_u8_DQUOTE] = ACTIONS(2446),
    [anon_sym_DQUOTE] = ACTIONS(2446),
    [sym_true] = ACTIONS(2444),
    [sym_false] = ACTIONS(2444),
    [anon_sym_NULL] = ACTIONS(2444),
    [anon_sym_nullptr] = ACTIONS(2444),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2444),
    [anon_sym_decltype] = ACTIONS(2444),
    [anon_sym_virtual] = ACTIONS(2444),
    [anon_sym_alignas] = ACTIONS(2444),
    [anon_sym_explicit] = ACTIONS(2444),
    [anon_sym_typename] = ACTIONS(2444),
    [anon_sym_template] = ACTIONS(2444),
    [anon_sym_operator] = ACTIONS(2444),
    [anon_sym_try] = ACTIONS(2444),
    [anon_sym_delete] = ACTIONS(2444),
    [anon_sym_throw] = ACTIONS(2444),
    [anon_sym_namespace] = ACTIONS(2444),
    [anon_sym_using] = ACTIONS(2444),
    [anon_sym_static_assert] = ACTIONS(2444),
    [anon_sym_concept] = ACTIONS(2444),
    [anon_sym_co_return] = ACTIONS(2444),
    [anon_sym_co_yield] = ACTIONS(2444),
    [anon_sym_R_DQUOTE] = ACTIONS(2446),
    [anon_sym_LR_DQUOTE] = ACTIONS(2446),
    [anon_sym_uR_DQUOTE] = ACTIONS(2446),
    [anon_sym_UR_DQUOTE] = ACTIONS(2446),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2446),
    [anon_sym_co_await] = ACTIONS(2444),
    [anon_sym_new] = ACTIONS(2444),
    [anon_sym_requires] = ACTIONS(2444),
    [sym_this] = ACTIONS(2444),
    [anon_sym_discard] = ACTIONS(2444),
    [anon_sym_precise] = ACTIONS(2444),
    [anon_sym_shared] = ACTIONS(2444),
    [anon_sym_groupshared] = ACTIONS(2444),
    [anon_sym_uniform] = ACTIONS(2444),
    [anon_sym_row_major] = ACTIONS(2444),
    [anon_sym_column_major] = ACTIONS(2444),
    [anon_sym_globallycoherent] = ACTIONS(2444),
    [anon_sym_centroid] = ACTIONS(2444),
    [anon_sym_noperspective] = ACTIONS(2444),
    [anon_sym_nointerpolation] = ACTIONS(2444),
    [anon_sym_sample] = ACTIONS(2444),
    [anon_sym_linear] = ACTIONS(2444),
    [anon_sym_snorm] = ACTIONS(2444),
    [anon_sym_unorm] = ACTIONS(2444),
    [anon_sym_point] = ACTIONS(2444),
    [anon_sym_line] = ACTIONS(2444),
    [anon_sym_triangleadj] = ACTIONS(2444),
    [anon_sym_lineadj] = ACTIONS(2444),
    [anon_sym_triangle] = ACTIONS(2444),
    [anon_sym_cbuffer] = ACTIONS(2444),
  },
  [766] = {
    [ts_builtin_sym_end] = ACTIONS(2446),
    [sym_identifier] = ACTIONS(2444),
    [aux_sym_preproc_include_token1] = ACTIONS(2444),
    [aux_sym_preproc_def_token1] = ACTIONS(2444),
    [aux_sym_preproc_if_token1] = ACTIONS(2444),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2444),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2444),
    [sym_preproc_directive] = ACTIONS(2444),
    [anon_sym_LPAREN2] = ACTIONS(2446),
    [anon_sym_BANG] = ACTIONS(2446),
    [anon_sym_TILDE] = ACTIONS(2446),
    [anon_sym_DASH] = ACTIONS(2444),
    [anon_sym_PLUS] = ACTIONS(2444),
    [anon_sym_STAR] = ACTIONS(2446),
    [anon_sym_AMP_AMP] = ACTIONS(2446),
    [anon_sym_AMP] = ACTIONS(2444),
    [anon_sym_SEMI] = ACTIONS(2446),
    [anon_sym___extension__] = ACTIONS(2444),
    [anon_sym_typedef] = ACTIONS(2444),
    [anon_sym_in] = ACTIONS(2444),
    [anon_sym_out] = ACTIONS(2444),
    [anon_sym_inout] = ACTIONS(2444),
    [anon_sym_extern] = ACTIONS(2444),
    [anon_sym___attribute__] = ACTIONS(2444),
    [anon_sym_COLON_COLON] = ACTIONS(2446),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2446),
    [anon_sym___declspec] = ACTIONS(2444),
    [anon_sym___based] = ACTIONS(2444),
    [anon_sym___cdecl] = ACTIONS(2444),
    [anon_sym___clrcall] = ACTIONS(2444),
    [anon_sym___stdcall] = ACTIONS(2444),
    [anon_sym___fastcall] = ACTIONS(2444),
    [anon_sym___thiscall] = ACTIONS(2444),
    [anon_sym___vectorcall] = ACTIONS(2444),
    [anon_sym_LBRACE] = ACTIONS(2446),
    [anon_sym_signed] = ACTIONS(2444),
    [anon_sym_unsigned] = ACTIONS(2444),
    [anon_sym_long] = ACTIONS(2444),
    [anon_sym_short] = ACTIONS(2444),
    [anon_sym_LBRACK] = ACTIONS(2444),
    [anon_sym_static] = ACTIONS(2444),
    [anon_sym_register] = ACTIONS(2444),
    [anon_sym_inline] = ACTIONS(2444),
    [anon_sym___inline] = ACTIONS(2444),
    [anon_sym___inline__] = ACTIONS(2444),
    [anon_sym___forceinline] = ACTIONS(2444),
    [anon_sym_thread_local] = ACTIONS(2444),
    [anon_sym___thread] = ACTIONS(2444),
    [anon_sym_const] = ACTIONS(2444),
    [anon_sym_constexpr] = ACTIONS(2444),
    [anon_sym_volatile] = ACTIONS(2444),
    [anon_sym_restrict] = ACTIONS(2444),
    [anon_sym___restrict__] = ACTIONS(2444),
    [anon_sym__Atomic] = ACTIONS(2444),
    [anon_sym__Noreturn] = ACTIONS(2444),
    [anon_sym_noreturn] = ACTIONS(2444),
    [anon_sym_mutable] = ACTIONS(2444),
    [anon_sym_constinit] = ACTIONS(2444),
    [anon_sym_consteval] = ACTIONS(2444),
    [sym_primitive_type] = ACTIONS(2444),
    [anon_sym_enum] = ACTIONS(2444),
    [anon_sym_class] = ACTIONS(2444),
    [anon_sym_struct] = ACTIONS(2444),
    [anon_sym_union] = ACTIONS(2444),
    [anon_sym_if] = ACTIONS(2444),
    [anon_sym_else] = ACTIONS(2444),
    [anon_sym_switch] = ACTIONS(2444),
    [anon_sym_case] = ACTIONS(2444),
    [anon_sym_default] = ACTIONS(2444),
    [anon_sym_while] = ACTIONS(2444),
    [anon_sym_do] = ACTIONS(2444),
    [anon_sym_for] = ACTIONS(2444),
    [anon_sym_return] = ACTIONS(2444),
    [anon_sym_break] = ACTIONS(2444),
    [anon_sym_continue] = ACTIONS(2444),
    [anon_sym_goto] = ACTIONS(2444),
    [anon_sym___try] = ACTIONS(2444),
    [anon_sym___leave] = ACTIONS(2444),
    [anon_sym_not] = ACTIONS(2444),
    [anon_sym_compl] = ACTIONS(2444),
    [anon_sym_DASH_DASH] = ACTIONS(2446),
    [anon_sym_PLUS_PLUS] = ACTIONS(2446),
    [anon_sym_sizeof] = ACTIONS(2444),
    [anon_sym___alignof__] = ACTIONS(2444),
    [anon_sym___alignof] = ACTIONS(2444),
    [anon_sym__alignof] = ACTIONS(2444),
    [anon_sym_alignof] = ACTIONS(2444),
    [anon_sym__Alignof] = ACTIONS(2444),
    [anon_sym_offsetof] = ACTIONS(2444),
    [anon_sym__Generic] = ACTIONS(2444),
    [anon_sym_asm] = ACTIONS(2444),
    [anon_sym___asm__] = ACTIONS(2444),
    [sym_number_literal] = ACTIONS(2446),
    [anon_sym_L_SQUOTE] = ACTIONS(2446),
    [anon_sym_u_SQUOTE] = ACTIONS(2446),
    [anon_sym_U_SQUOTE] = ACTIONS(2446),
    [anon_sym_u8_SQUOTE] = ACTIONS(2446),
    [anon_sym_SQUOTE] = ACTIONS(2446),
    [anon_sym_L_DQUOTE] = ACTIONS(2446),
    [anon_sym_u_DQUOTE] = ACTIONS(2446),
    [anon_sym_U_DQUOTE] = ACTIONS(2446),
    [anon_sym_u8_DQUOTE] = ACTIONS(2446),
    [anon_sym_DQUOTE] = ACTIONS(2446),
    [sym_true] = ACTIONS(2444),
    [sym_false] = ACTIONS(2444),
    [anon_sym_NULL] = ACTIONS(2444),
    [anon_sym_nullptr] = ACTIONS(2444),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2444),
    [anon_sym_decltype] = ACTIONS(2444),
    [anon_sym_virtual] = ACTIONS(2444),
    [anon_sym_alignas] = ACTIONS(2444),
    [anon_sym_explicit] = ACTIONS(2444),
    [anon_sym_typename] = ACTIONS(2444),
    [anon_sym_template] = ACTIONS(2444),
    [anon_sym_operator] = ACTIONS(2444),
    [anon_sym_try] = ACTIONS(2444),
    [anon_sym_delete] = ACTIONS(2444),
    [anon_sym_throw] = ACTIONS(2444),
    [anon_sym_namespace] = ACTIONS(2444),
    [anon_sym_using] = ACTIONS(2444),
    [anon_sym_static_assert] = ACTIONS(2444),
    [anon_sym_concept] = ACTIONS(2444),
    [anon_sym_co_return] = ACTIONS(2444),
    [anon_sym_co_yield] = ACTIONS(2444),
    [anon_sym_R_DQUOTE] = ACTIONS(2446),
    [anon_sym_LR_DQUOTE] = ACTIONS(2446),
    [anon_sym_uR_DQUOTE] = ACTIONS(2446),
    [anon_sym_UR_DQUOTE] = ACTIONS(2446),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2446),
    [anon_sym_co_await] = ACTIONS(2444),
    [anon_sym_new] = ACTIONS(2444),
    [anon_sym_requires] = ACTIONS(2444),
    [sym_this] = ACTIONS(2444),
    [anon_sym_discard] = ACTIONS(2444),
    [anon_sym_precise] = ACTIONS(2444),
    [anon_sym_shared] = ACTIONS(2444),
    [anon_sym_groupshared] = ACTIONS(2444),
    [anon_sym_uniform] = ACTIONS(2444),
    [anon_sym_row_major] = ACTIONS(2444),
    [anon_sym_column_major] = ACTIONS(2444),
    [anon_sym_globallycoherent] = ACTIONS(2444),
    [anon_sym_centroid] = ACTIONS(2444),
    [anon_sym_noperspective] = ACTIONS(2444),
    [anon_sym_nointerpolation] = ACTIONS(2444),
    [anon_sym_sample] = ACTIONS(2444),
    [anon_sym_linear] = ACTIONS(2444),
    [anon_sym_snorm] = ACTIONS(2444),
    [anon_sym_unorm] = ACTIONS(2444),
    [anon_sym_point] = ACTIONS(2444),
    [anon_sym_line] = ACTIONS(2444),
    [anon_sym_triangleadj] = ACTIONS(2444),
    [anon_sym_lineadj] = ACTIONS(2444),
    [anon_sym_triangle] = ACTIONS(2444),
    [anon_sym_cbuffer] = ACTIONS(2444),
  },
  [767] = {
    [ts_builtin_sym_end] = ACTIONS(2366),
    [sym_identifier] = ACTIONS(2364),
    [aux_sym_preproc_include_token1] = ACTIONS(2364),
    [aux_sym_preproc_def_token1] = ACTIONS(2364),
    [aux_sym_preproc_if_token1] = ACTIONS(2364),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2364),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2364),
    [sym_preproc_directive] = ACTIONS(2364),
    [anon_sym_LPAREN2] = ACTIONS(2366),
    [anon_sym_BANG] = ACTIONS(2366),
    [anon_sym_TILDE] = ACTIONS(2366),
    [anon_sym_DASH] = ACTIONS(2364),
    [anon_sym_PLUS] = ACTIONS(2364),
    [anon_sym_STAR] = ACTIONS(2366),
    [anon_sym_AMP_AMP] = ACTIONS(2366),
    [anon_sym_AMP] = ACTIONS(2364),
    [anon_sym_SEMI] = ACTIONS(2366),
    [anon_sym___extension__] = ACTIONS(2364),
    [anon_sym_typedef] = ACTIONS(2364),
    [anon_sym_in] = ACTIONS(2364),
    [anon_sym_out] = ACTIONS(2364),
    [anon_sym_inout] = ACTIONS(2364),
    [anon_sym_extern] = ACTIONS(2364),
    [anon_sym___attribute__] = ACTIONS(2364),
    [anon_sym_COLON_COLON] = ACTIONS(2366),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2366),
    [anon_sym___declspec] = ACTIONS(2364),
    [anon_sym___based] = ACTIONS(2364),
    [anon_sym___cdecl] = ACTIONS(2364),
    [anon_sym___clrcall] = ACTIONS(2364),
    [anon_sym___stdcall] = ACTIONS(2364),
    [anon_sym___fastcall] = ACTIONS(2364),
    [anon_sym___thiscall] = ACTIONS(2364),
    [anon_sym___vectorcall] = ACTIONS(2364),
    [anon_sym_LBRACE] = ACTIONS(2366),
    [anon_sym_signed] = ACTIONS(2364),
    [anon_sym_unsigned] = ACTIONS(2364),
    [anon_sym_long] = ACTIONS(2364),
    [anon_sym_short] = ACTIONS(2364),
    [anon_sym_LBRACK] = ACTIONS(2364),
    [anon_sym_static] = ACTIONS(2364),
    [anon_sym_register] = ACTIONS(2364),
    [anon_sym_inline] = ACTIONS(2364),
    [anon_sym___inline] = ACTIONS(2364),
    [anon_sym___inline__] = ACTIONS(2364),
    [anon_sym___forceinline] = ACTIONS(2364),
    [anon_sym_thread_local] = ACTIONS(2364),
    [anon_sym___thread] = ACTIONS(2364),
    [anon_sym_const] = ACTIONS(2364),
    [anon_sym_constexpr] = ACTIONS(2364),
    [anon_sym_volatile] = ACTIONS(2364),
    [anon_sym_restrict] = ACTIONS(2364),
    [anon_sym___restrict__] = ACTIONS(2364),
    [anon_sym__Atomic] = ACTIONS(2364),
    [anon_sym__Noreturn] = ACTIONS(2364),
    [anon_sym_noreturn] = ACTIONS(2364),
    [anon_sym_mutable] = ACTIONS(2364),
    [anon_sym_constinit] = ACTIONS(2364),
    [anon_sym_consteval] = ACTIONS(2364),
    [sym_primitive_type] = ACTIONS(2364),
    [anon_sym_enum] = ACTIONS(2364),
    [anon_sym_class] = ACTIONS(2364),
    [anon_sym_struct] = ACTIONS(2364),
    [anon_sym_union] = ACTIONS(2364),
    [anon_sym_if] = ACTIONS(2364),
    [anon_sym_else] = ACTIONS(2364),
    [anon_sym_switch] = ACTIONS(2364),
    [anon_sym_case] = ACTIONS(2364),
    [anon_sym_default] = ACTIONS(2364),
    [anon_sym_while] = ACTIONS(2364),
    [anon_sym_do] = ACTIONS(2364),
    [anon_sym_for] = ACTIONS(2364),
    [anon_sym_return] = ACTIONS(2364),
    [anon_sym_break] = ACTIONS(2364),
    [anon_sym_continue] = ACTIONS(2364),
    [anon_sym_goto] = ACTIONS(2364),
    [anon_sym___try] = ACTIONS(2364),
    [anon_sym___leave] = ACTIONS(2364),
    [anon_sym_not] = ACTIONS(2364),
    [anon_sym_compl] = ACTIONS(2364),
    [anon_sym_DASH_DASH] = ACTIONS(2366),
    [anon_sym_PLUS_PLUS] = ACTIONS(2366),
    [anon_sym_sizeof] = ACTIONS(2364),
    [anon_sym___alignof__] = ACTIONS(2364),
    [anon_sym___alignof] = ACTIONS(2364),
    [anon_sym__alignof] = ACTIONS(2364),
    [anon_sym_alignof] = ACTIONS(2364),
    [anon_sym__Alignof] = ACTIONS(2364),
    [anon_sym_offsetof] = ACTIONS(2364),
    [anon_sym__Generic] = ACTIONS(2364),
    [anon_sym_asm] = ACTIONS(2364),
    [anon_sym___asm__] = ACTIONS(2364),
    [sym_number_literal] = ACTIONS(2366),
    [anon_sym_L_SQUOTE] = ACTIONS(2366),
    [anon_sym_u_SQUOTE] = ACTIONS(2366),
    [anon_sym_U_SQUOTE] = ACTIONS(2366),
    [anon_sym_u8_SQUOTE] = ACTIONS(2366),
    [anon_sym_SQUOTE] = ACTIONS(2366),
    [anon_sym_L_DQUOTE] = ACTIONS(2366),
    [anon_sym_u_DQUOTE] = ACTIONS(2366),
    [anon_sym_U_DQUOTE] = ACTIONS(2366),
    [anon_sym_u8_DQUOTE] = ACTIONS(2366),
    [anon_sym_DQUOTE] = ACTIONS(2366),
    [sym_true] = ACTIONS(2364),
    [sym_false] = ACTIONS(2364),
    [anon_sym_NULL] = ACTIONS(2364),
    [anon_sym_nullptr] = ACTIONS(2364),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2364),
    [anon_sym_decltype] = ACTIONS(2364),
    [anon_sym_virtual] = ACTIONS(2364),
    [anon_sym_alignas] = ACTIONS(2364),
    [anon_sym_explicit] = ACTIONS(2364),
    [anon_sym_typename] = ACTIONS(2364),
    [anon_sym_template] = ACTIONS(2364),
    [anon_sym_operator] = ACTIONS(2364),
    [anon_sym_try] = ACTIONS(2364),
    [anon_sym_delete] = ACTIONS(2364),
    [anon_sym_throw] = ACTIONS(2364),
    [anon_sym_namespace] = ACTIONS(2364),
    [anon_sym_using] = ACTIONS(2364),
    [anon_sym_static_assert] = ACTIONS(2364),
    [anon_sym_concept] = ACTIONS(2364),
    [anon_sym_co_return] = ACTIONS(2364),
    [anon_sym_co_yield] = ACTIONS(2364),
    [anon_sym_R_DQUOTE] = ACTIONS(2366),
    [anon_sym_LR_DQUOTE] = ACTIONS(2366),
    [anon_sym_uR_DQUOTE] = ACTIONS(2366),
    [anon_sym_UR_DQUOTE] = ACTIONS(2366),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2366),
    [anon_sym_co_await] = ACTIONS(2364),
    [anon_sym_new] = ACTIONS(2364),
    [anon_sym_requires] = ACTIONS(2364),
    [sym_this] = ACTIONS(2364),
    [anon_sym_discard] = ACTIONS(2364),
    [anon_sym_precise] = ACTIONS(2364),
    [anon_sym_shared] = ACTIONS(2364),
    [anon_sym_groupshared] = ACTIONS(2364),
    [anon_sym_uniform] = ACTIONS(2364),
    [anon_sym_row_major] = ACTIONS(2364),
    [anon_sym_column_major] = ACTIONS(2364),
    [anon_sym_globallycoherent] = ACTIONS(2364),
    [anon_sym_centroid] = ACTIONS(2364),
    [anon_sym_noperspective] = ACTIONS(2364),
    [anon_sym_nointerpolation] = ACTIONS(2364),
    [anon_sym_sample] = ACTIONS(2364),
    [anon_sym_linear] = ACTIONS(2364),
    [anon_sym_snorm] = ACTIONS(2364),
    [anon_sym_unorm] = ACTIONS(2364),
    [anon_sym_point] = ACTIONS(2364),
    [anon_sym_line] = ACTIONS(2364),
    [anon_sym_triangleadj] = ACTIONS(2364),
    [anon_sym_lineadj] = ACTIONS(2364),
    [anon_sym_triangle] = ACTIONS(2364),
    [anon_sym_cbuffer] = ACTIONS(2364),
  },
  [768] = {
    [ts_builtin_sym_end] = ACTIONS(2446),
    [sym_identifier] = ACTIONS(2444),
    [aux_sym_preproc_include_token1] = ACTIONS(2444),
    [aux_sym_preproc_def_token1] = ACTIONS(2444),
    [aux_sym_preproc_if_token1] = ACTIONS(2444),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2444),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2444),
    [sym_preproc_directive] = ACTIONS(2444),
    [anon_sym_LPAREN2] = ACTIONS(2446),
    [anon_sym_BANG] = ACTIONS(2446),
    [anon_sym_TILDE] = ACTIONS(2446),
    [anon_sym_DASH] = ACTIONS(2444),
    [anon_sym_PLUS] = ACTIONS(2444),
    [anon_sym_STAR] = ACTIONS(2446),
    [anon_sym_AMP_AMP] = ACTIONS(2446),
    [anon_sym_AMP] = ACTIONS(2444),
    [anon_sym_SEMI] = ACTIONS(2446),
    [anon_sym___extension__] = ACTIONS(2444),
    [anon_sym_typedef] = ACTIONS(2444),
    [anon_sym_in] = ACTIONS(2444),
    [anon_sym_out] = ACTIONS(2444),
    [anon_sym_inout] = ACTIONS(2444),
    [anon_sym_extern] = ACTIONS(2444),
    [anon_sym___attribute__] = ACTIONS(2444),
    [anon_sym_COLON_COLON] = ACTIONS(2446),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2446),
    [anon_sym___declspec] = ACTIONS(2444),
    [anon_sym___based] = ACTIONS(2444),
    [anon_sym___cdecl] = ACTIONS(2444),
    [anon_sym___clrcall] = ACTIONS(2444),
    [anon_sym___stdcall] = ACTIONS(2444),
    [anon_sym___fastcall] = ACTIONS(2444),
    [anon_sym___thiscall] = ACTIONS(2444),
    [anon_sym___vectorcall] = ACTIONS(2444),
    [anon_sym_LBRACE] = ACTIONS(2446),
    [anon_sym_signed] = ACTIONS(2444),
    [anon_sym_unsigned] = ACTIONS(2444),
    [anon_sym_long] = ACTIONS(2444),
    [anon_sym_short] = ACTIONS(2444),
    [anon_sym_LBRACK] = ACTIONS(2444),
    [anon_sym_static] = ACTIONS(2444),
    [anon_sym_register] = ACTIONS(2444),
    [anon_sym_inline] = ACTIONS(2444),
    [anon_sym___inline] = ACTIONS(2444),
    [anon_sym___inline__] = ACTIONS(2444),
    [anon_sym___forceinline] = ACTIONS(2444),
    [anon_sym_thread_local] = ACTIONS(2444),
    [anon_sym___thread] = ACTIONS(2444),
    [anon_sym_const] = ACTIONS(2444),
    [anon_sym_constexpr] = ACTIONS(2444),
    [anon_sym_volatile] = ACTIONS(2444),
    [anon_sym_restrict] = ACTIONS(2444),
    [anon_sym___restrict__] = ACTIONS(2444),
    [anon_sym__Atomic] = ACTIONS(2444),
    [anon_sym__Noreturn] = ACTIONS(2444),
    [anon_sym_noreturn] = ACTIONS(2444),
    [anon_sym_mutable] = ACTIONS(2444),
    [anon_sym_constinit] = ACTIONS(2444),
    [anon_sym_consteval] = ACTIONS(2444),
    [sym_primitive_type] = ACTIONS(2444),
    [anon_sym_enum] = ACTIONS(2444),
    [anon_sym_class] = ACTIONS(2444),
    [anon_sym_struct] = ACTIONS(2444),
    [anon_sym_union] = ACTIONS(2444),
    [anon_sym_if] = ACTIONS(2444),
    [anon_sym_else] = ACTIONS(2444),
    [anon_sym_switch] = ACTIONS(2444),
    [anon_sym_case] = ACTIONS(2444),
    [anon_sym_default] = ACTIONS(2444),
    [anon_sym_while] = ACTIONS(2444),
    [anon_sym_do] = ACTIONS(2444),
    [anon_sym_for] = ACTIONS(2444),
    [anon_sym_return] = ACTIONS(2444),
    [anon_sym_break] = ACTIONS(2444),
    [anon_sym_continue] = ACTIONS(2444),
    [anon_sym_goto] = ACTIONS(2444),
    [anon_sym___try] = ACTIONS(2444),
    [anon_sym___leave] = ACTIONS(2444),
    [anon_sym_not] = ACTIONS(2444),
    [anon_sym_compl] = ACTIONS(2444),
    [anon_sym_DASH_DASH] = ACTIONS(2446),
    [anon_sym_PLUS_PLUS] = ACTIONS(2446),
    [anon_sym_sizeof] = ACTIONS(2444),
    [anon_sym___alignof__] = ACTIONS(2444),
    [anon_sym___alignof] = ACTIONS(2444),
    [anon_sym__alignof] = ACTIONS(2444),
    [anon_sym_alignof] = ACTIONS(2444),
    [anon_sym__Alignof] = ACTIONS(2444),
    [anon_sym_offsetof] = ACTIONS(2444),
    [anon_sym__Generic] = ACTIONS(2444),
    [anon_sym_asm] = ACTIONS(2444),
    [anon_sym___asm__] = ACTIONS(2444),
    [sym_number_literal] = ACTIONS(2446),
    [anon_sym_L_SQUOTE] = ACTIONS(2446),
    [anon_sym_u_SQUOTE] = ACTIONS(2446),
    [anon_sym_U_SQUOTE] = ACTIONS(2446),
    [anon_sym_u8_SQUOTE] = ACTIONS(2446),
    [anon_sym_SQUOTE] = ACTIONS(2446),
    [anon_sym_L_DQUOTE] = ACTIONS(2446),
    [anon_sym_u_DQUOTE] = ACTIONS(2446),
    [anon_sym_U_DQUOTE] = ACTIONS(2446),
    [anon_sym_u8_DQUOTE] = ACTIONS(2446),
    [anon_sym_DQUOTE] = ACTIONS(2446),
    [sym_true] = ACTIONS(2444),
    [sym_false] = ACTIONS(2444),
    [anon_sym_NULL] = ACTIONS(2444),
    [anon_sym_nullptr] = ACTIONS(2444),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2444),
    [anon_sym_decltype] = ACTIONS(2444),
    [anon_sym_virtual] = ACTIONS(2444),
    [anon_sym_alignas] = ACTIONS(2444),
    [anon_sym_explicit] = ACTIONS(2444),
    [anon_sym_typename] = ACTIONS(2444),
    [anon_sym_template] = ACTIONS(2444),
    [anon_sym_operator] = ACTIONS(2444),
    [anon_sym_try] = ACTIONS(2444),
    [anon_sym_delete] = ACTIONS(2444),
    [anon_sym_throw] = ACTIONS(2444),
    [anon_sym_namespace] = ACTIONS(2444),
    [anon_sym_using] = ACTIONS(2444),
    [anon_sym_static_assert] = ACTIONS(2444),
    [anon_sym_concept] = ACTIONS(2444),
    [anon_sym_co_return] = ACTIONS(2444),
    [anon_sym_co_yield] = ACTIONS(2444),
    [anon_sym_R_DQUOTE] = ACTIONS(2446),
    [anon_sym_LR_DQUOTE] = ACTIONS(2446),
    [anon_sym_uR_DQUOTE] = ACTIONS(2446),
    [anon_sym_UR_DQUOTE] = ACTIONS(2446),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2446),
    [anon_sym_co_await] = ACTIONS(2444),
    [anon_sym_new] = ACTIONS(2444),
    [anon_sym_requires] = ACTIONS(2444),
    [sym_this] = ACTIONS(2444),
    [anon_sym_discard] = ACTIONS(2444),
    [anon_sym_precise] = ACTIONS(2444),
    [anon_sym_shared] = ACTIONS(2444),
    [anon_sym_groupshared] = ACTIONS(2444),
    [anon_sym_uniform] = ACTIONS(2444),
    [anon_sym_row_major] = ACTIONS(2444),
    [anon_sym_column_major] = ACTIONS(2444),
    [anon_sym_globallycoherent] = ACTIONS(2444),
    [anon_sym_centroid] = ACTIONS(2444),
    [anon_sym_noperspective] = ACTIONS(2444),
    [anon_sym_nointerpolation] = ACTIONS(2444),
    [anon_sym_sample] = ACTIONS(2444),
    [anon_sym_linear] = ACTIONS(2444),
    [anon_sym_snorm] = ACTIONS(2444),
    [anon_sym_unorm] = ACTIONS(2444),
    [anon_sym_point] = ACTIONS(2444),
    [anon_sym_line] = ACTIONS(2444),
    [anon_sym_triangleadj] = ACTIONS(2444),
    [anon_sym_lineadj] = ACTIONS(2444),
    [anon_sym_triangle] = ACTIONS(2444),
    [anon_sym_cbuffer] = ACTIONS(2444),
  },
  [769] = {
    [sym_identifier] = ACTIONS(2444),
    [aux_sym_preproc_include_token1] = ACTIONS(2444),
    [aux_sym_preproc_def_token1] = ACTIONS(2444),
    [aux_sym_preproc_if_token1] = ACTIONS(2444),
    [aux_sym_preproc_if_token2] = ACTIONS(2444),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2444),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2444),
    [sym_preproc_directive] = ACTIONS(2444),
    [anon_sym_LPAREN2] = ACTIONS(2446),
    [anon_sym_BANG] = ACTIONS(2446),
    [anon_sym_TILDE] = ACTIONS(2446),
    [anon_sym_DASH] = ACTIONS(2444),
    [anon_sym_PLUS] = ACTIONS(2444),
    [anon_sym_STAR] = ACTIONS(2446),
    [anon_sym_AMP_AMP] = ACTIONS(2446),
    [anon_sym_AMP] = ACTIONS(2444),
    [anon_sym_SEMI] = ACTIONS(2446),
    [anon_sym___extension__] = ACTIONS(2444),
    [anon_sym_typedef] = ACTIONS(2444),
    [anon_sym_in] = ACTIONS(2444),
    [anon_sym_out] = ACTIONS(2444),
    [anon_sym_inout] = ACTIONS(2444),
    [anon_sym_extern] = ACTIONS(2444),
    [anon_sym___attribute__] = ACTIONS(2444),
    [anon_sym_COLON_COLON] = ACTIONS(2446),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2446),
    [anon_sym___declspec] = ACTIONS(2444),
    [anon_sym___based] = ACTIONS(2444),
    [anon_sym___cdecl] = ACTIONS(2444),
    [anon_sym___clrcall] = ACTIONS(2444),
    [anon_sym___stdcall] = ACTIONS(2444),
    [anon_sym___fastcall] = ACTIONS(2444),
    [anon_sym___thiscall] = ACTIONS(2444),
    [anon_sym___vectorcall] = ACTIONS(2444),
    [anon_sym_LBRACE] = ACTIONS(2446),
    [anon_sym_signed] = ACTIONS(2444),
    [anon_sym_unsigned] = ACTIONS(2444),
    [anon_sym_long] = ACTIONS(2444),
    [anon_sym_short] = ACTIONS(2444),
    [anon_sym_LBRACK] = ACTIONS(2444),
    [anon_sym_static] = ACTIONS(2444),
    [anon_sym_register] = ACTIONS(2444),
    [anon_sym_inline] = ACTIONS(2444),
    [anon_sym___inline] = ACTIONS(2444),
    [anon_sym___inline__] = ACTIONS(2444),
    [anon_sym___forceinline] = ACTIONS(2444),
    [anon_sym_thread_local] = ACTIONS(2444),
    [anon_sym___thread] = ACTIONS(2444),
    [anon_sym_const] = ACTIONS(2444),
    [anon_sym_constexpr] = ACTIONS(2444),
    [anon_sym_volatile] = ACTIONS(2444),
    [anon_sym_restrict] = ACTIONS(2444),
    [anon_sym___restrict__] = ACTIONS(2444),
    [anon_sym__Atomic] = ACTIONS(2444),
    [anon_sym__Noreturn] = ACTIONS(2444),
    [anon_sym_noreturn] = ACTIONS(2444),
    [anon_sym_mutable] = ACTIONS(2444),
    [anon_sym_constinit] = ACTIONS(2444),
    [anon_sym_consteval] = ACTIONS(2444),
    [sym_primitive_type] = ACTIONS(2444),
    [anon_sym_enum] = ACTIONS(2444),
    [anon_sym_class] = ACTIONS(2444),
    [anon_sym_struct] = ACTIONS(2444),
    [anon_sym_union] = ACTIONS(2444),
    [anon_sym_if] = ACTIONS(2444),
    [anon_sym_else] = ACTIONS(2444),
    [anon_sym_switch] = ACTIONS(2444),
    [anon_sym_case] = ACTIONS(2444),
    [anon_sym_default] = ACTIONS(2444),
    [anon_sym_while] = ACTIONS(2444),
    [anon_sym_do] = ACTIONS(2444),
    [anon_sym_for] = ACTIONS(2444),
    [anon_sym_return] = ACTIONS(2444),
    [anon_sym_break] = ACTIONS(2444),
    [anon_sym_continue] = ACTIONS(2444),
    [anon_sym_goto] = ACTIONS(2444),
    [anon_sym___try] = ACTIONS(2444),
    [anon_sym___leave] = ACTIONS(2444),
    [anon_sym_not] = ACTIONS(2444),
    [anon_sym_compl] = ACTIONS(2444),
    [anon_sym_DASH_DASH] = ACTIONS(2446),
    [anon_sym_PLUS_PLUS] = ACTIONS(2446),
    [anon_sym_sizeof] = ACTIONS(2444),
    [anon_sym___alignof__] = ACTIONS(2444),
    [anon_sym___alignof] = ACTIONS(2444),
    [anon_sym__alignof] = ACTIONS(2444),
    [anon_sym_alignof] = ACTIONS(2444),
    [anon_sym__Alignof] = ACTIONS(2444),
    [anon_sym_offsetof] = ACTIONS(2444),
    [anon_sym__Generic] = ACTIONS(2444),
    [anon_sym_asm] = ACTIONS(2444),
    [anon_sym___asm__] = ACTIONS(2444),
    [sym_number_literal] = ACTIONS(2446),
    [anon_sym_L_SQUOTE] = ACTIONS(2446),
    [anon_sym_u_SQUOTE] = ACTIONS(2446),
    [anon_sym_U_SQUOTE] = ACTIONS(2446),
    [anon_sym_u8_SQUOTE] = ACTIONS(2446),
    [anon_sym_SQUOTE] = ACTIONS(2446),
    [anon_sym_L_DQUOTE] = ACTIONS(2446),
    [anon_sym_u_DQUOTE] = ACTIONS(2446),
    [anon_sym_U_DQUOTE] = ACTIONS(2446),
    [anon_sym_u8_DQUOTE] = ACTIONS(2446),
    [anon_sym_DQUOTE] = ACTIONS(2446),
    [sym_true] = ACTIONS(2444),
    [sym_false] = ACTIONS(2444),
    [anon_sym_NULL] = ACTIONS(2444),
    [anon_sym_nullptr] = ACTIONS(2444),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2444),
    [anon_sym_decltype] = ACTIONS(2444),
    [anon_sym_virtual] = ACTIONS(2444),
    [anon_sym_alignas] = ACTIONS(2444),
    [anon_sym_explicit] = ACTIONS(2444),
    [anon_sym_typename] = ACTIONS(2444),
    [anon_sym_template] = ACTIONS(2444),
    [anon_sym_operator] = ACTIONS(2444),
    [anon_sym_try] = ACTIONS(2444),
    [anon_sym_delete] = ACTIONS(2444),
    [anon_sym_throw] = ACTIONS(2444),
    [anon_sym_namespace] = ACTIONS(2444),
    [anon_sym_using] = ACTIONS(2444),
    [anon_sym_static_assert] = ACTIONS(2444),
    [anon_sym_concept] = ACTIONS(2444),
    [anon_sym_co_return] = ACTIONS(2444),
    [anon_sym_co_yield] = ACTIONS(2444),
    [anon_sym_R_DQUOTE] = ACTIONS(2446),
    [anon_sym_LR_DQUOTE] = ACTIONS(2446),
    [anon_sym_uR_DQUOTE] = ACTIONS(2446),
    [anon_sym_UR_DQUOTE] = ACTIONS(2446),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2446),
    [anon_sym_co_await] = ACTIONS(2444),
    [anon_sym_new] = ACTIONS(2444),
    [anon_sym_requires] = ACTIONS(2444),
    [sym_this] = ACTIONS(2444),
    [anon_sym_discard] = ACTIONS(2444),
    [anon_sym_precise] = ACTIONS(2444),
    [anon_sym_shared] = ACTIONS(2444),
    [anon_sym_groupshared] = ACTIONS(2444),
    [anon_sym_uniform] = ACTIONS(2444),
    [anon_sym_row_major] = ACTIONS(2444),
    [anon_sym_column_major] = ACTIONS(2444),
    [anon_sym_globallycoherent] = ACTIONS(2444),
    [anon_sym_centroid] = ACTIONS(2444),
    [anon_sym_noperspective] = ACTIONS(2444),
    [anon_sym_nointerpolation] = ACTIONS(2444),
    [anon_sym_sample] = ACTIONS(2444),
    [anon_sym_linear] = ACTIONS(2444),
    [anon_sym_snorm] = ACTIONS(2444),
    [anon_sym_unorm] = ACTIONS(2444),
    [anon_sym_point] = ACTIONS(2444),
    [anon_sym_line] = ACTIONS(2444),
    [anon_sym_triangleadj] = ACTIONS(2444),
    [anon_sym_lineadj] = ACTIONS(2444),
    [anon_sym_triangle] = ACTIONS(2444),
    [anon_sym_cbuffer] = ACTIONS(2444),
  },
  [770] = {
    [ts_builtin_sym_end] = ACTIONS(2446),
    [sym_identifier] = ACTIONS(2444),
    [aux_sym_preproc_include_token1] = ACTIONS(2444),
    [aux_sym_preproc_def_token1] = ACTIONS(2444),
    [aux_sym_preproc_if_token1] = ACTIONS(2444),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2444),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2444),
    [sym_preproc_directive] = ACTIONS(2444),
    [anon_sym_LPAREN2] = ACTIONS(2446),
    [anon_sym_BANG] = ACTIONS(2446),
    [anon_sym_TILDE] = ACTIONS(2446),
    [anon_sym_DASH] = ACTIONS(2444),
    [anon_sym_PLUS] = ACTIONS(2444),
    [anon_sym_STAR] = ACTIONS(2446),
    [anon_sym_AMP_AMP] = ACTIONS(2446),
    [anon_sym_AMP] = ACTIONS(2444),
    [anon_sym_SEMI] = ACTIONS(2446),
    [anon_sym___extension__] = ACTIONS(2444),
    [anon_sym_typedef] = ACTIONS(2444),
    [anon_sym_in] = ACTIONS(2444),
    [anon_sym_out] = ACTIONS(2444),
    [anon_sym_inout] = ACTIONS(2444),
    [anon_sym_extern] = ACTIONS(2444),
    [anon_sym___attribute__] = ACTIONS(2444),
    [anon_sym_COLON_COLON] = ACTIONS(2446),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2446),
    [anon_sym___declspec] = ACTIONS(2444),
    [anon_sym___based] = ACTIONS(2444),
    [anon_sym___cdecl] = ACTIONS(2444),
    [anon_sym___clrcall] = ACTIONS(2444),
    [anon_sym___stdcall] = ACTIONS(2444),
    [anon_sym___fastcall] = ACTIONS(2444),
    [anon_sym___thiscall] = ACTIONS(2444),
    [anon_sym___vectorcall] = ACTIONS(2444),
    [anon_sym_LBRACE] = ACTIONS(2446),
    [anon_sym_signed] = ACTIONS(2444),
    [anon_sym_unsigned] = ACTIONS(2444),
    [anon_sym_long] = ACTIONS(2444),
    [anon_sym_short] = ACTIONS(2444),
    [anon_sym_LBRACK] = ACTIONS(2444),
    [anon_sym_static] = ACTIONS(2444),
    [anon_sym_register] = ACTIONS(2444),
    [anon_sym_inline] = ACTIONS(2444),
    [anon_sym___inline] = ACTIONS(2444),
    [anon_sym___inline__] = ACTIONS(2444),
    [anon_sym___forceinline] = ACTIONS(2444),
    [anon_sym_thread_local] = ACTIONS(2444),
    [anon_sym___thread] = ACTIONS(2444),
    [anon_sym_const] = ACTIONS(2444),
    [anon_sym_constexpr] = ACTIONS(2444),
    [anon_sym_volatile] = ACTIONS(2444),
    [anon_sym_restrict] = ACTIONS(2444),
    [anon_sym___restrict__] = ACTIONS(2444),
    [anon_sym__Atomic] = ACTIONS(2444),
    [anon_sym__Noreturn] = ACTIONS(2444),
    [anon_sym_noreturn] = ACTIONS(2444),
    [anon_sym_mutable] = ACTIONS(2444),
    [anon_sym_constinit] = ACTIONS(2444),
    [anon_sym_consteval] = ACTIONS(2444),
    [sym_primitive_type] = ACTIONS(2444),
    [anon_sym_enum] = ACTIONS(2444),
    [anon_sym_class] = ACTIONS(2444),
    [anon_sym_struct] = ACTIONS(2444),
    [anon_sym_union] = ACTIONS(2444),
    [anon_sym_if] = ACTIONS(2444),
    [anon_sym_else] = ACTIONS(2444),
    [anon_sym_switch] = ACTIONS(2444),
    [anon_sym_case] = ACTIONS(2444),
    [anon_sym_default] = ACTIONS(2444),
    [anon_sym_while] = ACTIONS(2444),
    [anon_sym_do] = ACTIONS(2444),
    [anon_sym_for] = ACTIONS(2444),
    [anon_sym_return] = ACTIONS(2444),
    [anon_sym_break] = ACTIONS(2444),
    [anon_sym_continue] = ACTIONS(2444),
    [anon_sym_goto] = ACTIONS(2444),
    [anon_sym___try] = ACTIONS(2444),
    [anon_sym___leave] = ACTIONS(2444),
    [anon_sym_not] = ACTIONS(2444),
    [anon_sym_compl] = ACTIONS(2444),
    [anon_sym_DASH_DASH] = ACTIONS(2446),
    [anon_sym_PLUS_PLUS] = ACTIONS(2446),
    [anon_sym_sizeof] = ACTIONS(2444),
    [anon_sym___alignof__] = ACTIONS(2444),
    [anon_sym___alignof] = ACTIONS(2444),
    [anon_sym__alignof] = ACTIONS(2444),
    [anon_sym_alignof] = ACTIONS(2444),
    [anon_sym__Alignof] = ACTIONS(2444),
    [anon_sym_offsetof] = ACTIONS(2444),
    [anon_sym__Generic] = ACTIONS(2444),
    [anon_sym_asm] = ACTIONS(2444),
    [anon_sym___asm__] = ACTIONS(2444),
    [sym_number_literal] = ACTIONS(2446),
    [anon_sym_L_SQUOTE] = ACTIONS(2446),
    [anon_sym_u_SQUOTE] = ACTIONS(2446),
    [anon_sym_U_SQUOTE] = ACTIONS(2446),
    [anon_sym_u8_SQUOTE] = ACTIONS(2446),
    [anon_sym_SQUOTE] = ACTIONS(2446),
    [anon_sym_L_DQUOTE] = ACTIONS(2446),
    [anon_sym_u_DQUOTE] = ACTIONS(2446),
    [anon_sym_U_DQUOTE] = ACTIONS(2446),
    [anon_sym_u8_DQUOTE] = ACTIONS(2446),
    [anon_sym_DQUOTE] = ACTIONS(2446),
    [sym_true] = ACTIONS(2444),
    [sym_false] = ACTIONS(2444),
    [anon_sym_NULL] = ACTIONS(2444),
    [anon_sym_nullptr] = ACTIONS(2444),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2444),
    [anon_sym_decltype] = ACTIONS(2444),
    [anon_sym_virtual] = ACTIONS(2444),
    [anon_sym_alignas] = ACTIONS(2444),
    [anon_sym_explicit] = ACTIONS(2444),
    [anon_sym_typename] = ACTIONS(2444),
    [anon_sym_template] = ACTIONS(2444),
    [anon_sym_operator] = ACTIONS(2444),
    [anon_sym_try] = ACTIONS(2444),
    [anon_sym_delete] = ACTIONS(2444),
    [anon_sym_throw] = ACTIONS(2444),
    [anon_sym_namespace] = ACTIONS(2444),
    [anon_sym_using] = ACTIONS(2444),
    [anon_sym_static_assert] = ACTIONS(2444),
    [anon_sym_concept] = ACTIONS(2444),
    [anon_sym_co_return] = ACTIONS(2444),
    [anon_sym_co_yield] = ACTIONS(2444),
    [anon_sym_R_DQUOTE] = ACTIONS(2446),
    [anon_sym_LR_DQUOTE] = ACTIONS(2446),
    [anon_sym_uR_DQUOTE] = ACTIONS(2446),
    [anon_sym_UR_DQUOTE] = ACTIONS(2446),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2446),
    [anon_sym_co_await] = ACTIONS(2444),
    [anon_sym_new] = ACTIONS(2444),
    [anon_sym_requires] = ACTIONS(2444),
    [sym_this] = ACTIONS(2444),
    [anon_sym_discard] = ACTIONS(2444),
    [anon_sym_precise] = ACTIONS(2444),
    [anon_sym_shared] = ACTIONS(2444),
    [anon_sym_groupshared] = ACTIONS(2444),
    [anon_sym_uniform] = ACTIONS(2444),
    [anon_sym_row_major] = ACTIONS(2444),
    [anon_sym_column_major] = ACTIONS(2444),
    [anon_sym_globallycoherent] = ACTIONS(2444),
    [anon_sym_centroid] = ACTIONS(2444),
    [anon_sym_noperspective] = ACTIONS(2444),
    [anon_sym_nointerpolation] = ACTIONS(2444),
    [anon_sym_sample] = ACTIONS(2444),
    [anon_sym_linear] = ACTIONS(2444),
    [anon_sym_snorm] = ACTIONS(2444),
    [anon_sym_unorm] = ACTIONS(2444),
    [anon_sym_point] = ACTIONS(2444),
    [anon_sym_line] = ACTIONS(2444),
    [anon_sym_triangleadj] = ACTIONS(2444),
    [anon_sym_lineadj] = ACTIONS(2444),
    [anon_sym_triangle] = ACTIONS(2444),
    [anon_sym_cbuffer] = ACTIONS(2444),
  },
  [771] = {
    [ts_builtin_sym_end] = ACTIONS(2446),
    [sym_identifier] = ACTIONS(2444),
    [aux_sym_preproc_include_token1] = ACTIONS(2444),
    [aux_sym_preproc_def_token1] = ACTIONS(2444),
    [aux_sym_preproc_if_token1] = ACTIONS(2444),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2444),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2444),
    [sym_preproc_directive] = ACTIONS(2444),
    [anon_sym_LPAREN2] = ACTIONS(2446),
    [anon_sym_BANG] = ACTIONS(2446),
    [anon_sym_TILDE] = ACTIONS(2446),
    [anon_sym_DASH] = ACTIONS(2444),
    [anon_sym_PLUS] = ACTIONS(2444),
    [anon_sym_STAR] = ACTIONS(2446),
    [anon_sym_AMP_AMP] = ACTIONS(2446),
    [anon_sym_AMP] = ACTIONS(2444),
    [anon_sym_SEMI] = ACTIONS(2446),
    [anon_sym___extension__] = ACTIONS(2444),
    [anon_sym_typedef] = ACTIONS(2444),
    [anon_sym_in] = ACTIONS(2444),
    [anon_sym_out] = ACTIONS(2444),
    [anon_sym_inout] = ACTIONS(2444),
    [anon_sym_extern] = ACTIONS(2444),
    [anon_sym___attribute__] = ACTIONS(2444),
    [anon_sym_COLON_COLON] = ACTIONS(2446),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2446),
    [anon_sym___declspec] = ACTIONS(2444),
    [anon_sym___based] = ACTIONS(2444),
    [anon_sym___cdecl] = ACTIONS(2444),
    [anon_sym___clrcall] = ACTIONS(2444),
    [anon_sym___stdcall] = ACTIONS(2444),
    [anon_sym___fastcall] = ACTIONS(2444),
    [anon_sym___thiscall] = ACTIONS(2444),
    [anon_sym___vectorcall] = ACTIONS(2444),
    [anon_sym_LBRACE] = ACTIONS(2446),
    [anon_sym_signed] = ACTIONS(2444),
    [anon_sym_unsigned] = ACTIONS(2444),
    [anon_sym_long] = ACTIONS(2444),
    [anon_sym_short] = ACTIONS(2444),
    [anon_sym_LBRACK] = ACTIONS(2444),
    [anon_sym_static] = ACTIONS(2444),
    [anon_sym_register] = ACTIONS(2444),
    [anon_sym_inline] = ACTIONS(2444),
    [anon_sym___inline] = ACTIONS(2444),
    [anon_sym___inline__] = ACTIONS(2444),
    [anon_sym___forceinline] = ACTIONS(2444),
    [anon_sym_thread_local] = ACTIONS(2444),
    [anon_sym___thread] = ACTIONS(2444),
    [anon_sym_const] = ACTIONS(2444),
    [anon_sym_constexpr] = ACTIONS(2444),
    [anon_sym_volatile] = ACTIONS(2444),
    [anon_sym_restrict] = ACTIONS(2444),
    [anon_sym___restrict__] = ACTIONS(2444),
    [anon_sym__Atomic] = ACTIONS(2444),
    [anon_sym__Noreturn] = ACTIONS(2444),
    [anon_sym_noreturn] = ACTIONS(2444),
    [anon_sym_mutable] = ACTIONS(2444),
    [anon_sym_constinit] = ACTIONS(2444),
    [anon_sym_consteval] = ACTIONS(2444),
    [sym_primitive_type] = ACTIONS(2444),
    [anon_sym_enum] = ACTIONS(2444),
    [anon_sym_class] = ACTIONS(2444),
    [anon_sym_struct] = ACTIONS(2444),
    [anon_sym_union] = ACTIONS(2444),
    [anon_sym_if] = ACTIONS(2444),
    [anon_sym_else] = ACTIONS(2444),
    [anon_sym_switch] = ACTIONS(2444),
    [anon_sym_case] = ACTIONS(2444),
    [anon_sym_default] = ACTIONS(2444),
    [anon_sym_while] = ACTIONS(2444),
    [anon_sym_do] = ACTIONS(2444),
    [anon_sym_for] = ACTIONS(2444),
    [anon_sym_return] = ACTIONS(2444),
    [anon_sym_break] = ACTIONS(2444),
    [anon_sym_continue] = ACTIONS(2444),
    [anon_sym_goto] = ACTIONS(2444),
    [anon_sym___try] = ACTIONS(2444),
    [anon_sym___leave] = ACTIONS(2444),
    [anon_sym_not] = ACTIONS(2444),
    [anon_sym_compl] = ACTIONS(2444),
    [anon_sym_DASH_DASH] = ACTIONS(2446),
    [anon_sym_PLUS_PLUS] = ACTIONS(2446),
    [anon_sym_sizeof] = ACTIONS(2444),
    [anon_sym___alignof__] = ACTIONS(2444),
    [anon_sym___alignof] = ACTIONS(2444),
    [anon_sym__alignof] = ACTIONS(2444),
    [anon_sym_alignof] = ACTIONS(2444),
    [anon_sym__Alignof] = ACTIONS(2444),
    [anon_sym_offsetof] = ACTIONS(2444),
    [anon_sym__Generic] = ACTIONS(2444),
    [anon_sym_asm] = ACTIONS(2444),
    [anon_sym___asm__] = ACTIONS(2444),
    [sym_number_literal] = ACTIONS(2446),
    [anon_sym_L_SQUOTE] = ACTIONS(2446),
    [anon_sym_u_SQUOTE] = ACTIONS(2446),
    [anon_sym_U_SQUOTE] = ACTIONS(2446),
    [anon_sym_u8_SQUOTE] = ACTIONS(2446),
    [anon_sym_SQUOTE] = ACTIONS(2446),
    [anon_sym_L_DQUOTE] = ACTIONS(2446),
    [anon_sym_u_DQUOTE] = ACTIONS(2446),
    [anon_sym_U_DQUOTE] = ACTIONS(2446),
    [anon_sym_u8_DQUOTE] = ACTIONS(2446),
    [anon_sym_DQUOTE] = ACTIONS(2446),
    [sym_true] = ACTIONS(2444),
    [sym_false] = ACTIONS(2444),
    [anon_sym_NULL] = ACTIONS(2444),
    [anon_sym_nullptr] = ACTIONS(2444),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2444),
    [anon_sym_decltype] = ACTIONS(2444),
    [anon_sym_virtual] = ACTIONS(2444),
    [anon_sym_alignas] = ACTIONS(2444),
    [anon_sym_explicit] = ACTIONS(2444),
    [anon_sym_typename] = ACTIONS(2444),
    [anon_sym_template] = ACTIONS(2444),
    [anon_sym_operator] = ACTIONS(2444),
    [anon_sym_try] = ACTIONS(2444),
    [anon_sym_delete] = ACTIONS(2444),
    [anon_sym_throw] = ACTIONS(2444),
    [anon_sym_namespace] = ACTIONS(2444),
    [anon_sym_using] = ACTIONS(2444),
    [anon_sym_static_assert] = ACTIONS(2444),
    [anon_sym_concept] = ACTIONS(2444),
    [anon_sym_co_return] = ACTIONS(2444),
    [anon_sym_co_yield] = ACTIONS(2444),
    [anon_sym_R_DQUOTE] = ACTIONS(2446),
    [anon_sym_LR_DQUOTE] = ACTIONS(2446),
    [anon_sym_uR_DQUOTE] = ACTIONS(2446),
    [anon_sym_UR_DQUOTE] = ACTIONS(2446),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2446),
    [anon_sym_co_await] = ACTIONS(2444),
    [anon_sym_new] = ACTIONS(2444),
    [anon_sym_requires] = ACTIONS(2444),
    [sym_this] = ACTIONS(2444),
    [anon_sym_discard] = ACTIONS(2444),
    [anon_sym_precise] = ACTIONS(2444),
    [anon_sym_shared] = ACTIONS(2444),
    [anon_sym_groupshared] = ACTIONS(2444),
    [anon_sym_uniform] = ACTIONS(2444),
    [anon_sym_row_major] = ACTIONS(2444),
    [anon_sym_column_major] = ACTIONS(2444),
    [anon_sym_globallycoherent] = ACTIONS(2444),
    [anon_sym_centroid] = ACTIONS(2444),
    [anon_sym_noperspective] = ACTIONS(2444),
    [anon_sym_nointerpolation] = ACTIONS(2444),
    [anon_sym_sample] = ACTIONS(2444),
    [anon_sym_linear] = ACTIONS(2444),
    [anon_sym_snorm] = ACTIONS(2444),
    [anon_sym_unorm] = ACTIONS(2444),
    [anon_sym_point] = ACTIONS(2444),
    [anon_sym_line] = ACTIONS(2444),
    [anon_sym_triangleadj] = ACTIONS(2444),
    [anon_sym_lineadj] = ACTIONS(2444),
    [anon_sym_triangle] = ACTIONS(2444),
    [anon_sym_cbuffer] = ACTIONS(2444),
  },
  [772] = {
    [sym_identifier] = ACTIONS(2444),
    [aux_sym_preproc_include_token1] = ACTIONS(2444),
    [aux_sym_preproc_def_token1] = ACTIONS(2444),
    [aux_sym_preproc_if_token1] = ACTIONS(2444),
    [aux_sym_preproc_if_token2] = ACTIONS(2444),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2444),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2444),
    [sym_preproc_directive] = ACTIONS(2444),
    [anon_sym_LPAREN2] = ACTIONS(2446),
    [anon_sym_BANG] = ACTIONS(2446),
    [anon_sym_TILDE] = ACTIONS(2446),
    [anon_sym_DASH] = ACTIONS(2444),
    [anon_sym_PLUS] = ACTIONS(2444),
    [anon_sym_STAR] = ACTIONS(2446),
    [anon_sym_AMP_AMP] = ACTIONS(2446),
    [anon_sym_AMP] = ACTIONS(2444),
    [anon_sym_SEMI] = ACTIONS(2446),
    [anon_sym___extension__] = ACTIONS(2444),
    [anon_sym_typedef] = ACTIONS(2444),
    [anon_sym_in] = ACTIONS(2444),
    [anon_sym_out] = ACTIONS(2444),
    [anon_sym_inout] = ACTIONS(2444),
    [anon_sym_extern] = ACTIONS(2444),
    [anon_sym___attribute__] = ACTIONS(2444),
    [anon_sym_COLON_COLON] = ACTIONS(2446),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2446),
    [anon_sym___declspec] = ACTIONS(2444),
    [anon_sym___based] = ACTIONS(2444),
    [anon_sym___cdecl] = ACTIONS(2444),
    [anon_sym___clrcall] = ACTIONS(2444),
    [anon_sym___stdcall] = ACTIONS(2444),
    [anon_sym___fastcall] = ACTIONS(2444),
    [anon_sym___thiscall] = ACTIONS(2444),
    [anon_sym___vectorcall] = ACTIONS(2444),
    [anon_sym_LBRACE] = ACTIONS(2446),
    [anon_sym_signed] = ACTIONS(2444),
    [anon_sym_unsigned] = ACTIONS(2444),
    [anon_sym_long] = ACTIONS(2444),
    [anon_sym_short] = ACTIONS(2444),
    [anon_sym_LBRACK] = ACTIONS(2444),
    [anon_sym_static] = ACTIONS(2444),
    [anon_sym_register] = ACTIONS(2444),
    [anon_sym_inline] = ACTIONS(2444),
    [anon_sym___inline] = ACTIONS(2444),
    [anon_sym___inline__] = ACTIONS(2444),
    [anon_sym___forceinline] = ACTIONS(2444),
    [anon_sym_thread_local] = ACTIONS(2444),
    [anon_sym___thread] = ACTIONS(2444),
    [anon_sym_const] = ACTIONS(2444),
    [anon_sym_constexpr] = ACTIONS(2444),
    [anon_sym_volatile] = ACTIONS(2444),
    [anon_sym_restrict] = ACTIONS(2444),
    [anon_sym___restrict__] = ACTIONS(2444),
    [anon_sym__Atomic] = ACTIONS(2444),
    [anon_sym__Noreturn] = ACTIONS(2444),
    [anon_sym_noreturn] = ACTIONS(2444),
    [anon_sym_mutable] = ACTIONS(2444),
    [anon_sym_constinit] = ACTIONS(2444),
    [anon_sym_consteval] = ACTIONS(2444),
    [sym_primitive_type] = ACTIONS(2444),
    [anon_sym_enum] = ACTIONS(2444),
    [anon_sym_class] = ACTIONS(2444),
    [anon_sym_struct] = ACTIONS(2444),
    [anon_sym_union] = ACTIONS(2444),
    [anon_sym_if] = ACTIONS(2444),
    [anon_sym_else] = ACTIONS(2444),
    [anon_sym_switch] = ACTIONS(2444),
    [anon_sym_case] = ACTIONS(2444),
    [anon_sym_default] = ACTIONS(2444),
    [anon_sym_while] = ACTIONS(2444),
    [anon_sym_do] = ACTIONS(2444),
    [anon_sym_for] = ACTIONS(2444),
    [anon_sym_return] = ACTIONS(2444),
    [anon_sym_break] = ACTIONS(2444),
    [anon_sym_continue] = ACTIONS(2444),
    [anon_sym_goto] = ACTIONS(2444),
    [anon_sym___try] = ACTIONS(2444),
    [anon_sym___leave] = ACTIONS(2444),
    [anon_sym_not] = ACTIONS(2444),
    [anon_sym_compl] = ACTIONS(2444),
    [anon_sym_DASH_DASH] = ACTIONS(2446),
    [anon_sym_PLUS_PLUS] = ACTIONS(2446),
    [anon_sym_sizeof] = ACTIONS(2444),
    [anon_sym___alignof__] = ACTIONS(2444),
    [anon_sym___alignof] = ACTIONS(2444),
    [anon_sym__alignof] = ACTIONS(2444),
    [anon_sym_alignof] = ACTIONS(2444),
    [anon_sym__Alignof] = ACTIONS(2444),
    [anon_sym_offsetof] = ACTIONS(2444),
    [anon_sym__Generic] = ACTIONS(2444),
    [anon_sym_asm] = ACTIONS(2444),
    [anon_sym___asm__] = ACTIONS(2444),
    [sym_number_literal] = ACTIONS(2446),
    [anon_sym_L_SQUOTE] = ACTIONS(2446),
    [anon_sym_u_SQUOTE] = ACTIONS(2446),
    [anon_sym_U_SQUOTE] = ACTIONS(2446),
    [anon_sym_u8_SQUOTE] = ACTIONS(2446),
    [anon_sym_SQUOTE] = ACTIONS(2446),
    [anon_sym_L_DQUOTE] = ACTIONS(2446),
    [anon_sym_u_DQUOTE] = ACTIONS(2446),
    [anon_sym_U_DQUOTE] = ACTIONS(2446),
    [anon_sym_u8_DQUOTE] = ACTIONS(2446),
    [anon_sym_DQUOTE] = ACTIONS(2446),
    [sym_true] = ACTIONS(2444),
    [sym_false] = ACTIONS(2444),
    [anon_sym_NULL] = ACTIONS(2444),
    [anon_sym_nullptr] = ACTIONS(2444),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2444),
    [anon_sym_decltype] = ACTIONS(2444),
    [anon_sym_virtual] = ACTIONS(2444),
    [anon_sym_alignas] = ACTIONS(2444),
    [anon_sym_explicit] = ACTIONS(2444),
    [anon_sym_typename] = ACTIONS(2444),
    [anon_sym_template] = ACTIONS(2444),
    [anon_sym_operator] = ACTIONS(2444),
    [anon_sym_try] = ACTIONS(2444),
    [anon_sym_delete] = ACTIONS(2444),
    [anon_sym_throw] = ACTIONS(2444),
    [anon_sym_namespace] = ACTIONS(2444),
    [anon_sym_using] = ACTIONS(2444),
    [anon_sym_static_assert] = ACTIONS(2444),
    [anon_sym_concept] = ACTIONS(2444),
    [anon_sym_co_return] = ACTIONS(2444),
    [anon_sym_co_yield] = ACTIONS(2444),
    [anon_sym_R_DQUOTE] = ACTIONS(2446),
    [anon_sym_LR_DQUOTE] = ACTIONS(2446),
    [anon_sym_uR_DQUOTE] = ACTIONS(2446),
    [anon_sym_UR_DQUOTE] = ACTIONS(2446),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2446),
    [anon_sym_co_await] = ACTIONS(2444),
    [anon_sym_new] = ACTIONS(2444),
    [anon_sym_requires] = ACTIONS(2444),
    [sym_this] = ACTIONS(2444),
    [anon_sym_discard] = ACTIONS(2444),
    [anon_sym_precise] = ACTIONS(2444),
    [anon_sym_shared] = ACTIONS(2444),
    [anon_sym_groupshared] = ACTIONS(2444),
    [anon_sym_uniform] = ACTIONS(2444),
    [anon_sym_row_major] = ACTIONS(2444),
    [anon_sym_column_major] = ACTIONS(2444),
    [anon_sym_globallycoherent] = ACTIONS(2444),
    [anon_sym_centroid] = ACTIONS(2444),
    [anon_sym_noperspective] = ACTIONS(2444),
    [anon_sym_nointerpolation] = ACTIONS(2444),
    [anon_sym_sample] = ACTIONS(2444),
    [anon_sym_linear] = ACTIONS(2444),
    [anon_sym_snorm] = ACTIONS(2444),
    [anon_sym_unorm] = ACTIONS(2444),
    [anon_sym_point] = ACTIONS(2444),
    [anon_sym_line] = ACTIONS(2444),
    [anon_sym_triangleadj] = ACTIONS(2444),
    [anon_sym_lineadj] = ACTIONS(2444),
    [anon_sym_triangle] = ACTIONS(2444),
    [anon_sym_cbuffer] = ACTIONS(2444),
  },
  [773] = {
    [ts_builtin_sym_end] = ACTIONS(2446),
    [sym_identifier] = ACTIONS(2444),
    [aux_sym_preproc_include_token1] = ACTIONS(2444),
    [aux_sym_preproc_def_token1] = ACTIONS(2444),
    [aux_sym_preproc_if_token1] = ACTIONS(2444),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2444),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2444),
    [sym_preproc_directive] = ACTIONS(2444),
    [anon_sym_LPAREN2] = ACTIONS(2446),
    [anon_sym_BANG] = ACTIONS(2446),
    [anon_sym_TILDE] = ACTIONS(2446),
    [anon_sym_DASH] = ACTIONS(2444),
    [anon_sym_PLUS] = ACTIONS(2444),
    [anon_sym_STAR] = ACTIONS(2446),
    [anon_sym_AMP_AMP] = ACTIONS(2446),
    [anon_sym_AMP] = ACTIONS(2444),
    [anon_sym_SEMI] = ACTIONS(2446),
    [anon_sym___extension__] = ACTIONS(2444),
    [anon_sym_typedef] = ACTIONS(2444),
    [anon_sym_in] = ACTIONS(2444),
    [anon_sym_out] = ACTIONS(2444),
    [anon_sym_inout] = ACTIONS(2444),
    [anon_sym_extern] = ACTIONS(2444),
    [anon_sym___attribute__] = ACTIONS(2444),
    [anon_sym_COLON_COLON] = ACTIONS(2446),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2446),
    [anon_sym___declspec] = ACTIONS(2444),
    [anon_sym___based] = ACTIONS(2444),
    [anon_sym___cdecl] = ACTIONS(2444),
    [anon_sym___clrcall] = ACTIONS(2444),
    [anon_sym___stdcall] = ACTIONS(2444),
    [anon_sym___fastcall] = ACTIONS(2444),
    [anon_sym___thiscall] = ACTIONS(2444),
    [anon_sym___vectorcall] = ACTIONS(2444),
    [anon_sym_LBRACE] = ACTIONS(2446),
    [anon_sym_signed] = ACTIONS(2444),
    [anon_sym_unsigned] = ACTIONS(2444),
    [anon_sym_long] = ACTIONS(2444),
    [anon_sym_short] = ACTIONS(2444),
    [anon_sym_LBRACK] = ACTIONS(2444),
    [anon_sym_static] = ACTIONS(2444),
    [anon_sym_register] = ACTIONS(2444),
    [anon_sym_inline] = ACTIONS(2444),
    [anon_sym___inline] = ACTIONS(2444),
    [anon_sym___inline__] = ACTIONS(2444),
    [anon_sym___forceinline] = ACTIONS(2444),
    [anon_sym_thread_local] = ACTIONS(2444),
    [anon_sym___thread] = ACTIONS(2444),
    [anon_sym_const] = ACTIONS(2444),
    [anon_sym_constexpr] = ACTIONS(2444),
    [anon_sym_volatile] = ACTIONS(2444),
    [anon_sym_restrict] = ACTIONS(2444),
    [anon_sym___restrict__] = ACTIONS(2444),
    [anon_sym__Atomic] = ACTIONS(2444),
    [anon_sym__Noreturn] = ACTIONS(2444),
    [anon_sym_noreturn] = ACTIONS(2444),
    [anon_sym_mutable] = ACTIONS(2444),
    [anon_sym_constinit] = ACTIONS(2444),
    [anon_sym_consteval] = ACTIONS(2444),
    [sym_primitive_type] = ACTIONS(2444),
    [anon_sym_enum] = ACTIONS(2444),
    [anon_sym_class] = ACTIONS(2444),
    [anon_sym_struct] = ACTIONS(2444),
    [anon_sym_union] = ACTIONS(2444),
    [anon_sym_if] = ACTIONS(2444),
    [anon_sym_else] = ACTIONS(2444),
    [anon_sym_switch] = ACTIONS(2444),
    [anon_sym_case] = ACTIONS(2444),
    [anon_sym_default] = ACTIONS(2444),
    [anon_sym_while] = ACTIONS(2444),
    [anon_sym_do] = ACTIONS(2444),
    [anon_sym_for] = ACTIONS(2444),
    [anon_sym_return] = ACTIONS(2444),
    [anon_sym_break] = ACTIONS(2444),
    [anon_sym_continue] = ACTIONS(2444),
    [anon_sym_goto] = ACTIONS(2444),
    [anon_sym___try] = ACTIONS(2444),
    [anon_sym___leave] = ACTIONS(2444),
    [anon_sym_not] = ACTIONS(2444),
    [anon_sym_compl] = ACTIONS(2444),
    [anon_sym_DASH_DASH] = ACTIONS(2446),
    [anon_sym_PLUS_PLUS] = ACTIONS(2446),
    [anon_sym_sizeof] = ACTIONS(2444),
    [anon_sym___alignof__] = ACTIONS(2444),
    [anon_sym___alignof] = ACTIONS(2444),
    [anon_sym__alignof] = ACTIONS(2444),
    [anon_sym_alignof] = ACTIONS(2444),
    [anon_sym__Alignof] = ACTIONS(2444),
    [anon_sym_offsetof] = ACTIONS(2444),
    [anon_sym__Generic] = ACTIONS(2444),
    [anon_sym_asm] = ACTIONS(2444),
    [anon_sym___asm__] = ACTIONS(2444),
    [sym_number_literal] = ACTIONS(2446),
    [anon_sym_L_SQUOTE] = ACTIONS(2446),
    [anon_sym_u_SQUOTE] = ACTIONS(2446),
    [anon_sym_U_SQUOTE] = ACTIONS(2446),
    [anon_sym_u8_SQUOTE] = ACTIONS(2446),
    [anon_sym_SQUOTE] = ACTIONS(2446),
    [anon_sym_L_DQUOTE] = ACTIONS(2446),
    [anon_sym_u_DQUOTE] = ACTIONS(2446),
    [anon_sym_U_DQUOTE] = ACTIONS(2446),
    [anon_sym_u8_DQUOTE] = ACTIONS(2446),
    [anon_sym_DQUOTE] = ACTIONS(2446),
    [sym_true] = ACTIONS(2444),
    [sym_false] = ACTIONS(2444),
    [anon_sym_NULL] = ACTIONS(2444),
    [anon_sym_nullptr] = ACTIONS(2444),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2444),
    [anon_sym_decltype] = ACTIONS(2444),
    [anon_sym_virtual] = ACTIONS(2444),
    [anon_sym_alignas] = ACTIONS(2444),
    [anon_sym_explicit] = ACTIONS(2444),
    [anon_sym_typename] = ACTIONS(2444),
    [anon_sym_template] = ACTIONS(2444),
    [anon_sym_operator] = ACTIONS(2444),
    [anon_sym_try] = ACTIONS(2444),
    [anon_sym_delete] = ACTIONS(2444),
    [anon_sym_throw] = ACTIONS(2444),
    [anon_sym_namespace] = ACTIONS(2444),
    [anon_sym_using] = ACTIONS(2444),
    [anon_sym_static_assert] = ACTIONS(2444),
    [anon_sym_concept] = ACTIONS(2444),
    [anon_sym_co_return] = ACTIONS(2444),
    [anon_sym_co_yield] = ACTIONS(2444),
    [anon_sym_R_DQUOTE] = ACTIONS(2446),
    [anon_sym_LR_DQUOTE] = ACTIONS(2446),
    [anon_sym_uR_DQUOTE] = ACTIONS(2446),
    [anon_sym_UR_DQUOTE] = ACTIONS(2446),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2446),
    [anon_sym_co_await] = ACTIONS(2444),
    [anon_sym_new] = ACTIONS(2444),
    [anon_sym_requires] = ACTIONS(2444),
    [sym_this] = ACTIONS(2444),
    [anon_sym_discard] = ACTIONS(2444),
    [anon_sym_precise] = ACTIONS(2444),
    [anon_sym_shared] = ACTIONS(2444),
    [anon_sym_groupshared] = ACTIONS(2444),
    [anon_sym_uniform] = ACTIONS(2444),
    [anon_sym_row_major] = ACTIONS(2444),
    [anon_sym_column_major] = ACTIONS(2444),
    [anon_sym_globallycoherent] = ACTIONS(2444),
    [anon_sym_centroid] = ACTIONS(2444),
    [anon_sym_noperspective] = ACTIONS(2444),
    [anon_sym_nointerpolation] = ACTIONS(2444),
    [anon_sym_sample] = ACTIONS(2444),
    [anon_sym_linear] = ACTIONS(2444),
    [anon_sym_snorm] = ACTIONS(2444),
    [anon_sym_unorm] = ACTIONS(2444),
    [anon_sym_point] = ACTIONS(2444),
    [anon_sym_line] = ACTIONS(2444),
    [anon_sym_triangleadj] = ACTIONS(2444),
    [anon_sym_lineadj] = ACTIONS(2444),
    [anon_sym_triangle] = ACTIONS(2444),
    [anon_sym_cbuffer] = ACTIONS(2444),
  },
  [774] = {
    [ts_builtin_sym_end] = ACTIONS(2446),
    [sym_identifier] = ACTIONS(2444),
    [aux_sym_preproc_include_token1] = ACTIONS(2444),
    [aux_sym_preproc_def_token1] = ACTIONS(2444),
    [aux_sym_preproc_if_token1] = ACTIONS(2444),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2444),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2444),
    [sym_preproc_directive] = ACTIONS(2444),
    [anon_sym_LPAREN2] = ACTIONS(2446),
    [anon_sym_BANG] = ACTIONS(2446),
    [anon_sym_TILDE] = ACTIONS(2446),
    [anon_sym_DASH] = ACTIONS(2444),
    [anon_sym_PLUS] = ACTIONS(2444),
    [anon_sym_STAR] = ACTIONS(2446),
    [anon_sym_AMP_AMP] = ACTIONS(2446),
    [anon_sym_AMP] = ACTIONS(2444),
    [anon_sym_SEMI] = ACTIONS(2446),
    [anon_sym___extension__] = ACTIONS(2444),
    [anon_sym_typedef] = ACTIONS(2444),
    [anon_sym_in] = ACTIONS(2444),
    [anon_sym_out] = ACTIONS(2444),
    [anon_sym_inout] = ACTIONS(2444),
    [anon_sym_extern] = ACTIONS(2444),
    [anon_sym___attribute__] = ACTIONS(2444),
    [anon_sym_COLON_COLON] = ACTIONS(2446),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2446),
    [anon_sym___declspec] = ACTIONS(2444),
    [anon_sym___based] = ACTIONS(2444),
    [anon_sym___cdecl] = ACTIONS(2444),
    [anon_sym___clrcall] = ACTIONS(2444),
    [anon_sym___stdcall] = ACTIONS(2444),
    [anon_sym___fastcall] = ACTIONS(2444),
    [anon_sym___thiscall] = ACTIONS(2444),
    [anon_sym___vectorcall] = ACTIONS(2444),
    [anon_sym_LBRACE] = ACTIONS(2446),
    [anon_sym_signed] = ACTIONS(2444),
    [anon_sym_unsigned] = ACTIONS(2444),
    [anon_sym_long] = ACTIONS(2444),
    [anon_sym_short] = ACTIONS(2444),
    [anon_sym_LBRACK] = ACTIONS(2444),
    [anon_sym_static] = ACTIONS(2444),
    [anon_sym_register] = ACTIONS(2444),
    [anon_sym_inline] = ACTIONS(2444),
    [anon_sym___inline] = ACTIONS(2444),
    [anon_sym___inline__] = ACTIONS(2444),
    [anon_sym___forceinline] = ACTIONS(2444),
    [anon_sym_thread_local] = ACTIONS(2444),
    [anon_sym___thread] = ACTIONS(2444),
    [anon_sym_const] = ACTIONS(2444),
    [anon_sym_constexpr] = ACTIONS(2444),
    [anon_sym_volatile] = ACTIONS(2444),
    [anon_sym_restrict] = ACTIONS(2444),
    [anon_sym___restrict__] = ACTIONS(2444),
    [anon_sym__Atomic] = ACTIONS(2444),
    [anon_sym__Noreturn] = ACTIONS(2444),
    [anon_sym_noreturn] = ACTIONS(2444),
    [anon_sym_mutable] = ACTIONS(2444),
    [anon_sym_constinit] = ACTIONS(2444),
    [anon_sym_consteval] = ACTIONS(2444),
    [sym_primitive_type] = ACTIONS(2444),
    [anon_sym_enum] = ACTIONS(2444),
    [anon_sym_class] = ACTIONS(2444),
    [anon_sym_struct] = ACTIONS(2444),
    [anon_sym_union] = ACTIONS(2444),
    [anon_sym_if] = ACTIONS(2444),
    [anon_sym_else] = ACTIONS(2444),
    [anon_sym_switch] = ACTIONS(2444),
    [anon_sym_case] = ACTIONS(2444),
    [anon_sym_default] = ACTIONS(2444),
    [anon_sym_while] = ACTIONS(2444),
    [anon_sym_do] = ACTIONS(2444),
    [anon_sym_for] = ACTIONS(2444),
    [anon_sym_return] = ACTIONS(2444),
    [anon_sym_break] = ACTIONS(2444),
    [anon_sym_continue] = ACTIONS(2444),
    [anon_sym_goto] = ACTIONS(2444),
    [anon_sym___try] = ACTIONS(2444),
    [anon_sym___leave] = ACTIONS(2444),
    [anon_sym_not] = ACTIONS(2444),
    [anon_sym_compl] = ACTIONS(2444),
    [anon_sym_DASH_DASH] = ACTIONS(2446),
    [anon_sym_PLUS_PLUS] = ACTIONS(2446),
    [anon_sym_sizeof] = ACTIONS(2444),
    [anon_sym___alignof__] = ACTIONS(2444),
    [anon_sym___alignof] = ACTIONS(2444),
    [anon_sym__alignof] = ACTIONS(2444),
    [anon_sym_alignof] = ACTIONS(2444),
    [anon_sym__Alignof] = ACTIONS(2444),
    [anon_sym_offsetof] = ACTIONS(2444),
    [anon_sym__Generic] = ACTIONS(2444),
    [anon_sym_asm] = ACTIONS(2444),
    [anon_sym___asm__] = ACTIONS(2444),
    [sym_number_literal] = ACTIONS(2446),
    [anon_sym_L_SQUOTE] = ACTIONS(2446),
    [anon_sym_u_SQUOTE] = ACTIONS(2446),
    [anon_sym_U_SQUOTE] = ACTIONS(2446),
    [anon_sym_u8_SQUOTE] = ACTIONS(2446),
    [anon_sym_SQUOTE] = ACTIONS(2446),
    [anon_sym_L_DQUOTE] = ACTIONS(2446),
    [anon_sym_u_DQUOTE] = ACTIONS(2446),
    [anon_sym_U_DQUOTE] = ACTIONS(2446),
    [anon_sym_u8_DQUOTE] = ACTIONS(2446),
    [anon_sym_DQUOTE] = ACTIONS(2446),
    [sym_true] = ACTIONS(2444),
    [sym_false] = ACTIONS(2444),
    [anon_sym_NULL] = ACTIONS(2444),
    [anon_sym_nullptr] = ACTIONS(2444),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2444),
    [anon_sym_decltype] = ACTIONS(2444),
    [anon_sym_virtual] = ACTIONS(2444),
    [anon_sym_alignas] = ACTIONS(2444),
    [anon_sym_explicit] = ACTIONS(2444),
    [anon_sym_typename] = ACTIONS(2444),
    [anon_sym_template] = ACTIONS(2444),
    [anon_sym_operator] = ACTIONS(2444),
    [anon_sym_try] = ACTIONS(2444),
    [anon_sym_delete] = ACTIONS(2444),
    [anon_sym_throw] = ACTIONS(2444),
    [anon_sym_namespace] = ACTIONS(2444),
    [anon_sym_using] = ACTIONS(2444),
    [anon_sym_static_assert] = ACTIONS(2444),
    [anon_sym_concept] = ACTIONS(2444),
    [anon_sym_co_return] = ACTIONS(2444),
    [anon_sym_co_yield] = ACTIONS(2444),
    [anon_sym_R_DQUOTE] = ACTIONS(2446),
    [anon_sym_LR_DQUOTE] = ACTIONS(2446),
    [anon_sym_uR_DQUOTE] = ACTIONS(2446),
    [anon_sym_UR_DQUOTE] = ACTIONS(2446),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2446),
    [anon_sym_co_await] = ACTIONS(2444),
    [anon_sym_new] = ACTIONS(2444),
    [anon_sym_requires] = ACTIONS(2444),
    [sym_this] = ACTIONS(2444),
    [anon_sym_discard] = ACTIONS(2444),
    [anon_sym_precise] = ACTIONS(2444),
    [anon_sym_shared] = ACTIONS(2444),
    [anon_sym_groupshared] = ACTIONS(2444),
    [anon_sym_uniform] = ACTIONS(2444),
    [anon_sym_row_major] = ACTIONS(2444),
    [anon_sym_column_major] = ACTIONS(2444),
    [anon_sym_globallycoherent] = ACTIONS(2444),
    [anon_sym_centroid] = ACTIONS(2444),
    [anon_sym_noperspective] = ACTIONS(2444),
    [anon_sym_nointerpolation] = ACTIONS(2444),
    [anon_sym_sample] = ACTIONS(2444),
    [anon_sym_linear] = ACTIONS(2444),
    [anon_sym_snorm] = ACTIONS(2444),
    [anon_sym_unorm] = ACTIONS(2444),
    [anon_sym_point] = ACTIONS(2444),
    [anon_sym_line] = ACTIONS(2444),
    [anon_sym_triangleadj] = ACTIONS(2444),
    [anon_sym_lineadj] = ACTIONS(2444),
    [anon_sym_triangle] = ACTIONS(2444),
    [anon_sym_cbuffer] = ACTIONS(2444),
  },
  [775] = {
    [ts_builtin_sym_end] = ACTIONS(2446),
    [sym_identifier] = ACTIONS(2444),
    [aux_sym_preproc_include_token1] = ACTIONS(2444),
    [aux_sym_preproc_def_token1] = ACTIONS(2444),
    [aux_sym_preproc_if_token1] = ACTIONS(2444),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2444),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2444),
    [sym_preproc_directive] = ACTIONS(2444),
    [anon_sym_LPAREN2] = ACTIONS(2446),
    [anon_sym_BANG] = ACTIONS(2446),
    [anon_sym_TILDE] = ACTIONS(2446),
    [anon_sym_DASH] = ACTIONS(2444),
    [anon_sym_PLUS] = ACTIONS(2444),
    [anon_sym_STAR] = ACTIONS(2446),
    [anon_sym_AMP_AMP] = ACTIONS(2446),
    [anon_sym_AMP] = ACTIONS(2444),
    [anon_sym_SEMI] = ACTIONS(2446),
    [anon_sym___extension__] = ACTIONS(2444),
    [anon_sym_typedef] = ACTIONS(2444),
    [anon_sym_in] = ACTIONS(2444),
    [anon_sym_out] = ACTIONS(2444),
    [anon_sym_inout] = ACTIONS(2444),
    [anon_sym_extern] = ACTIONS(2444),
    [anon_sym___attribute__] = ACTIONS(2444),
    [anon_sym_COLON_COLON] = ACTIONS(2446),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2446),
    [anon_sym___declspec] = ACTIONS(2444),
    [anon_sym___based] = ACTIONS(2444),
    [anon_sym___cdecl] = ACTIONS(2444),
    [anon_sym___clrcall] = ACTIONS(2444),
    [anon_sym___stdcall] = ACTIONS(2444),
    [anon_sym___fastcall] = ACTIONS(2444),
    [anon_sym___thiscall] = ACTIONS(2444),
    [anon_sym___vectorcall] = ACTIONS(2444),
    [anon_sym_LBRACE] = ACTIONS(2446),
    [anon_sym_signed] = ACTIONS(2444),
    [anon_sym_unsigned] = ACTIONS(2444),
    [anon_sym_long] = ACTIONS(2444),
    [anon_sym_short] = ACTIONS(2444),
    [anon_sym_LBRACK] = ACTIONS(2444),
    [anon_sym_static] = ACTIONS(2444),
    [anon_sym_register] = ACTIONS(2444),
    [anon_sym_inline] = ACTIONS(2444),
    [anon_sym___inline] = ACTIONS(2444),
    [anon_sym___inline__] = ACTIONS(2444),
    [anon_sym___forceinline] = ACTIONS(2444),
    [anon_sym_thread_local] = ACTIONS(2444),
    [anon_sym___thread] = ACTIONS(2444),
    [anon_sym_const] = ACTIONS(2444),
    [anon_sym_constexpr] = ACTIONS(2444),
    [anon_sym_volatile] = ACTIONS(2444),
    [anon_sym_restrict] = ACTIONS(2444),
    [anon_sym___restrict__] = ACTIONS(2444),
    [anon_sym__Atomic] = ACTIONS(2444),
    [anon_sym__Noreturn] = ACTIONS(2444),
    [anon_sym_noreturn] = ACTIONS(2444),
    [anon_sym_mutable] = ACTIONS(2444),
    [anon_sym_constinit] = ACTIONS(2444),
    [anon_sym_consteval] = ACTIONS(2444),
    [sym_primitive_type] = ACTIONS(2444),
    [anon_sym_enum] = ACTIONS(2444),
    [anon_sym_class] = ACTIONS(2444),
    [anon_sym_struct] = ACTIONS(2444),
    [anon_sym_union] = ACTIONS(2444),
    [anon_sym_if] = ACTIONS(2444),
    [anon_sym_else] = ACTIONS(2444),
    [anon_sym_switch] = ACTIONS(2444),
    [anon_sym_case] = ACTIONS(2444),
    [anon_sym_default] = ACTIONS(2444),
    [anon_sym_while] = ACTIONS(2444),
    [anon_sym_do] = ACTIONS(2444),
    [anon_sym_for] = ACTIONS(2444),
    [anon_sym_return] = ACTIONS(2444),
    [anon_sym_break] = ACTIONS(2444),
    [anon_sym_continue] = ACTIONS(2444),
    [anon_sym_goto] = ACTIONS(2444),
    [anon_sym___try] = ACTIONS(2444),
    [anon_sym___leave] = ACTIONS(2444),
    [anon_sym_not] = ACTIONS(2444),
    [anon_sym_compl] = ACTIONS(2444),
    [anon_sym_DASH_DASH] = ACTIONS(2446),
    [anon_sym_PLUS_PLUS] = ACTIONS(2446),
    [anon_sym_sizeof] = ACTIONS(2444),
    [anon_sym___alignof__] = ACTIONS(2444),
    [anon_sym___alignof] = ACTIONS(2444),
    [anon_sym__alignof] = ACTIONS(2444),
    [anon_sym_alignof] = ACTIONS(2444),
    [anon_sym__Alignof] = ACTIONS(2444),
    [anon_sym_offsetof] = ACTIONS(2444),
    [anon_sym__Generic] = ACTIONS(2444),
    [anon_sym_asm] = ACTIONS(2444),
    [anon_sym___asm__] = ACTIONS(2444),
    [sym_number_literal] = ACTIONS(2446),
    [anon_sym_L_SQUOTE] = ACTIONS(2446),
    [anon_sym_u_SQUOTE] = ACTIONS(2446),
    [anon_sym_U_SQUOTE] = ACTIONS(2446),
    [anon_sym_u8_SQUOTE] = ACTIONS(2446),
    [anon_sym_SQUOTE] = ACTIONS(2446),
    [anon_sym_L_DQUOTE] = ACTIONS(2446),
    [anon_sym_u_DQUOTE] = ACTIONS(2446),
    [anon_sym_U_DQUOTE] = ACTIONS(2446),
    [anon_sym_u8_DQUOTE] = ACTIONS(2446),
    [anon_sym_DQUOTE] = ACTIONS(2446),
    [sym_true] = ACTIONS(2444),
    [sym_false] = ACTIONS(2444),
    [anon_sym_NULL] = ACTIONS(2444),
    [anon_sym_nullptr] = ACTIONS(2444),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2444),
    [anon_sym_decltype] = ACTIONS(2444),
    [anon_sym_virtual] = ACTIONS(2444),
    [anon_sym_alignas] = ACTIONS(2444),
    [anon_sym_explicit] = ACTIONS(2444),
    [anon_sym_typename] = ACTIONS(2444),
    [anon_sym_template] = ACTIONS(2444),
    [anon_sym_operator] = ACTIONS(2444),
    [anon_sym_try] = ACTIONS(2444),
    [anon_sym_delete] = ACTIONS(2444),
    [anon_sym_throw] = ACTIONS(2444),
    [anon_sym_namespace] = ACTIONS(2444),
    [anon_sym_using] = ACTIONS(2444),
    [anon_sym_static_assert] = ACTIONS(2444),
    [anon_sym_concept] = ACTIONS(2444),
    [anon_sym_co_return] = ACTIONS(2444),
    [anon_sym_co_yield] = ACTIONS(2444),
    [anon_sym_R_DQUOTE] = ACTIONS(2446),
    [anon_sym_LR_DQUOTE] = ACTIONS(2446),
    [anon_sym_uR_DQUOTE] = ACTIONS(2446),
    [anon_sym_UR_DQUOTE] = ACTIONS(2446),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2446),
    [anon_sym_co_await] = ACTIONS(2444),
    [anon_sym_new] = ACTIONS(2444),
    [anon_sym_requires] = ACTIONS(2444),
    [sym_this] = ACTIONS(2444),
    [anon_sym_discard] = ACTIONS(2444),
    [anon_sym_precise] = ACTIONS(2444),
    [anon_sym_shared] = ACTIONS(2444),
    [anon_sym_groupshared] = ACTIONS(2444),
    [anon_sym_uniform] = ACTIONS(2444),
    [anon_sym_row_major] = ACTIONS(2444),
    [anon_sym_column_major] = ACTIONS(2444),
    [anon_sym_globallycoherent] = ACTIONS(2444),
    [anon_sym_centroid] = ACTIONS(2444),
    [anon_sym_noperspective] = ACTIONS(2444),
    [anon_sym_nointerpolation] = ACTIONS(2444),
    [anon_sym_sample] = ACTIONS(2444),
    [anon_sym_linear] = ACTIONS(2444),
    [anon_sym_snorm] = ACTIONS(2444),
    [anon_sym_unorm] = ACTIONS(2444),
    [anon_sym_point] = ACTIONS(2444),
    [anon_sym_line] = ACTIONS(2444),
    [anon_sym_triangleadj] = ACTIONS(2444),
    [anon_sym_lineadj] = ACTIONS(2444),
    [anon_sym_triangle] = ACTIONS(2444),
    [anon_sym_cbuffer] = ACTIONS(2444),
  },
  [776] = {
    [ts_builtin_sym_end] = ACTIONS(2446),
    [sym_identifier] = ACTIONS(2444),
    [aux_sym_preproc_include_token1] = ACTIONS(2444),
    [aux_sym_preproc_def_token1] = ACTIONS(2444),
    [aux_sym_preproc_if_token1] = ACTIONS(2444),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2444),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2444),
    [sym_preproc_directive] = ACTIONS(2444),
    [anon_sym_LPAREN2] = ACTIONS(2446),
    [anon_sym_BANG] = ACTIONS(2446),
    [anon_sym_TILDE] = ACTIONS(2446),
    [anon_sym_DASH] = ACTIONS(2444),
    [anon_sym_PLUS] = ACTIONS(2444),
    [anon_sym_STAR] = ACTIONS(2446),
    [anon_sym_AMP_AMP] = ACTIONS(2446),
    [anon_sym_AMP] = ACTIONS(2444),
    [anon_sym_SEMI] = ACTIONS(2446),
    [anon_sym___extension__] = ACTIONS(2444),
    [anon_sym_typedef] = ACTIONS(2444),
    [anon_sym_in] = ACTIONS(2444),
    [anon_sym_out] = ACTIONS(2444),
    [anon_sym_inout] = ACTIONS(2444),
    [anon_sym_extern] = ACTIONS(2444),
    [anon_sym___attribute__] = ACTIONS(2444),
    [anon_sym_COLON_COLON] = ACTIONS(2446),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2446),
    [anon_sym___declspec] = ACTIONS(2444),
    [anon_sym___based] = ACTIONS(2444),
    [anon_sym___cdecl] = ACTIONS(2444),
    [anon_sym___clrcall] = ACTIONS(2444),
    [anon_sym___stdcall] = ACTIONS(2444),
    [anon_sym___fastcall] = ACTIONS(2444),
    [anon_sym___thiscall] = ACTIONS(2444),
    [anon_sym___vectorcall] = ACTIONS(2444),
    [anon_sym_LBRACE] = ACTIONS(2446),
    [anon_sym_signed] = ACTIONS(2444),
    [anon_sym_unsigned] = ACTIONS(2444),
    [anon_sym_long] = ACTIONS(2444),
    [anon_sym_short] = ACTIONS(2444),
    [anon_sym_LBRACK] = ACTIONS(2444),
    [anon_sym_static] = ACTIONS(2444),
    [anon_sym_register] = ACTIONS(2444),
    [anon_sym_inline] = ACTIONS(2444),
    [anon_sym___inline] = ACTIONS(2444),
    [anon_sym___inline__] = ACTIONS(2444),
    [anon_sym___forceinline] = ACTIONS(2444),
    [anon_sym_thread_local] = ACTIONS(2444),
    [anon_sym___thread] = ACTIONS(2444),
    [anon_sym_const] = ACTIONS(2444),
    [anon_sym_constexpr] = ACTIONS(2444),
    [anon_sym_volatile] = ACTIONS(2444),
    [anon_sym_restrict] = ACTIONS(2444),
    [anon_sym___restrict__] = ACTIONS(2444),
    [anon_sym__Atomic] = ACTIONS(2444),
    [anon_sym__Noreturn] = ACTIONS(2444),
    [anon_sym_noreturn] = ACTIONS(2444),
    [anon_sym_mutable] = ACTIONS(2444),
    [anon_sym_constinit] = ACTIONS(2444),
    [anon_sym_consteval] = ACTIONS(2444),
    [sym_primitive_type] = ACTIONS(2444),
    [anon_sym_enum] = ACTIONS(2444),
    [anon_sym_class] = ACTIONS(2444),
    [anon_sym_struct] = ACTIONS(2444),
    [anon_sym_union] = ACTIONS(2444),
    [anon_sym_if] = ACTIONS(2444),
    [anon_sym_else] = ACTIONS(2444),
    [anon_sym_switch] = ACTIONS(2444),
    [anon_sym_case] = ACTIONS(2444),
    [anon_sym_default] = ACTIONS(2444),
    [anon_sym_while] = ACTIONS(2444),
    [anon_sym_do] = ACTIONS(2444),
    [anon_sym_for] = ACTIONS(2444),
    [anon_sym_return] = ACTIONS(2444),
    [anon_sym_break] = ACTIONS(2444),
    [anon_sym_continue] = ACTIONS(2444),
    [anon_sym_goto] = ACTIONS(2444),
    [anon_sym___try] = ACTIONS(2444),
    [anon_sym___leave] = ACTIONS(2444),
    [anon_sym_not] = ACTIONS(2444),
    [anon_sym_compl] = ACTIONS(2444),
    [anon_sym_DASH_DASH] = ACTIONS(2446),
    [anon_sym_PLUS_PLUS] = ACTIONS(2446),
    [anon_sym_sizeof] = ACTIONS(2444),
    [anon_sym___alignof__] = ACTIONS(2444),
    [anon_sym___alignof] = ACTIONS(2444),
    [anon_sym__alignof] = ACTIONS(2444),
    [anon_sym_alignof] = ACTIONS(2444),
    [anon_sym__Alignof] = ACTIONS(2444),
    [anon_sym_offsetof] = ACTIONS(2444),
    [anon_sym__Generic] = ACTIONS(2444),
    [anon_sym_asm] = ACTIONS(2444),
    [anon_sym___asm__] = ACTIONS(2444),
    [sym_number_literal] = ACTIONS(2446),
    [anon_sym_L_SQUOTE] = ACTIONS(2446),
    [anon_sym_u_SQUOTE] = ACTIONS(2446),
    [anon_sym_U_SQUOTE] = ACTIONS(2446),
    [anon_sym_u8_SQUOTE] = ACTIONS(2446),
    [anon_sym_SQUOTE] = ACTIONS(2446),
    [anon_sym_L_DQUOTE] = ACTIONS(2446),
    [anon_sym_u_DQUOTE] = ACTIONS(2446),
    [anon_sym_U_DQUOTE] = ACTIONS(2446),
    [anon_sym_u8_DQUOTE] = ACTIONS(2446),
    [anon_sym_DQUOTE] = ACTIONS(2446),
    [sym_true] = ACTIONS(2444),
    [sym_false] = ACTIONS(2444),
    [anon_sym_NULL] = ACTIONS(2444),
    [anon_sym_nullptr] = ACTIONS(2444),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2444),
    [anon_sym_decltype] = ACTIONS(2444),
    [anon_sym_virtual] = ACTIONS(2444),
    [anon_sym_alignas] = ACTIONS(2444),
    [anon_sym_explicit] = ACTIONS(2444),
    [anon_sym_typename] = ACTIONS(2444),
    [anon_sym_template] = ACTIONS(2444),
    [anon_sym_operator] = ACTIONS(2444),
    [anon_sym_try] = ACTIONS(2444),
    [anon_sym_delete] = ACTIONS(2444),
    [anon_sym_throw] = ACTIONS(2444),
    [anon_sym_namespace] = ACTIONS(2444),
    [anon_sym_using] = ACTIONS(2444),
    [anon_sym_static_assert] = ACTIONS(2444),
    [anon_sym_concept] = ACTIONS(2444),
    [anon_sym_co_return] = ACTIONS(2444),
    [anon_sym_co_yield] = ACTIONS(2444),
    [anon_sym_R_DQUOTE] = ACTIONS(2446),
    [anon_sym_LR_DQUOTE] = ACTIONS(2446),
    [anon_sym_uR_DQUOTE] = ACTIONS(2446),
    [anon_sym_UR_DQUOTE] = ACTIONS(2446),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2446),
    [anon_sym_co_await] = ACTIONS(2444),
    [anon_sym_new] = ACTIONS(2444),
    [anon_sym_requires] = ACTIONS(2444),
    [sym_this] = ACTIONS(2444),
    [anon_sym_discard] = ACTIONS(2444),
    [anon_sym_precise] = ACTIONS(2444),
    [anon_sym_shared] = ACTIONS(2444),
    [anon_sym_groupshared] = ACTIONS(2444),
    [anon_sym_uniform] = ACTIONS(2444),
    [anon_sym_row_major] = ACTIONS(2444),
    [anon_sym_column_major] = ACTIONS(2444),
    [anon_sym_globallycoherent] = ACTIONS(2444),
    [anon_sym_centroid] = ACTIONS(2444),
    [anon_sym_noperspective] = ACTIONS(2444),
    [anon_sym_nointerpolation] = ACTIONS(2444),
    [anon_sym_sample] = ACTIONS(2444),
    [anon_sym_linear] = ACTIONS(2444),
    [anon_sym_snorm] = ACTIONS(2444),
    [anon_sym_unorm] = ACTIONS(2444),
    [anon_sym_point] = ACTIONS(2444),
    [anon_sym_line] = ACTIONS(2444),
    [anon_sym_triangleadj] = ACTIONS(2444),
    [anon_sym_lineadj] = ACTIONS(2444),
    [anon_sym_triangle] = ACTIONS(2444),
    [anon_sym_cbuffer] = ACTIONS(2444),
  },
  [777] = {
    [ts_builtin_sym_end] = ACTIONS(2446),
    [sym_identifier] = ACTIONS(2444),
    [aux_sym_preproc_include_token1] = ACTIONS(2444),
    [aux_sym_preproc_def_token1] = ACTIONS(2444),
    [aux_sym_preproc_if_token1] = ACTIONS(2444),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2444),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2444),
    [sym_preproc_directive] = ACTIONS(2444),
    [anon_sym_LPAREN2] = ACTIONS(2446),
    [anon_sym_BANG] = ACTIONS(2446),
    [anon_sym_TILDE] = ACTIONS(2446),
    [anon_sym_DASH] = ACTIONS(2444),
    [anon_sym_PLUS] = ACTIONS(2444),
    [anon_sym_STAR] = ACTIONS(2446),
    [anon_sym_AMP_AMP] = ACTIONS(2446),
    [anon_sym_AMP] = ACTIONS(2444),
    [anon_sym_SEMI] = ACTIONS(2446),
    [anon_sym___extension__] = ACTIONS(2444),
    [anon_sym_typedef] = ACTIONS(2444),
    [anon_sym_in] = ACTIONS(2444),
    [anon_sym_out] = ACTIONS(2444),
    [anon_sym_inout] = ACTIONS(2444),
    [anon_sym_extern] = ACTIONS(2444),
    [anon_sym___attribute__] = ACTIONS(2444),
    [anon_sym_COLON_COLON] = ACTIONS(2446),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2446),
    [anon_sym___declspec] = ACTIONS(2444),
    [anon_sym___based] = ACTIONS(2444),
    [anon_sym___cdecl] = ACTIONS(2444),
    [anon_sym___clrcall] = ACTIONS(2444),
    [anon_sym___stdcall] = ACTIONS(2444),
    [anon_sym___fastcall] = ACTIONS(2444),
    [anon_sym___thiscall] = ACTIONS(2444),
    [anon_sym___vectorcall] = ACTIONS(2444),
    [anon_sym_LBRACE] = ACTIONS(2446),
    [anon_sym_signed] = ACTIONS(2444),
    [anon_sym_unsigned] = ACTIONS(2444),
    [anon_sym_long] = ACTIONS(2444),
    [anon_sym_short] = ACTIONS(2444),
    [anon_sym_LBRACK] = ACTIONS(2444),
    [anon_sym_static] = ACTIONS(2444),
    [anon_sym_register] = ACTIONS(2444),
    [anon_sym_inline] = ACTIONS(2444),
    [anon_sym___inline] = ACTIONS(2444),
    [anon_sym___inline__] = ACTIONS(2444),
    [anon_sym___forceinline] = ACTIONS(2444),
    [anon_sym_thread_local] = ACTIONS(2444),
    [anon_sym___thread] = ACTIONS(2444),
    [anon_sym_const] = ACTIONS(2444),
    [anon_sym_constexpr] = ACTIONS(2444),
    [anon_sym_volatile] = ACTIONS(2444),
    [anon_sym_restrict] = ACTIONS(2444),
    [anon_sym___restrict__] = ACTIONS(2444),
    [anon_sym__Atomic] = ACTIONS(2444),
    [anon_sym__Noreturn] = ACTIONS(2444),
    [anon_sym_noreturn] = ACTIONS(2444),
    [anon_sym_mutable] = ACTIONS(2444),
    [anon_sym_constinit] = ACTIONS(2444),
    [anon_sym_consteval] = ACTIONS(2444),
    [sym_primitive_type] = ACTIONS(2444),
    [anon_sym_enum] = ACTIONS(2444),
    [anon_sym_class] = ACTIONS(2444),
    [anon_sym_struct] = ACTIONS(2444),
    [anon_sym_union] = ACTIONS(2444),
    [anon_sym_if] = ACTIONS(2444),
    [anon_sym_else] = ACTIONS(2444),
    [anon_sym_switch] = ACTIONS(2444),
    [anon_sym_case] = ACTIONS(2444),
    [anon_sym_default] = ACTIONS(2444),
    [anon_sym_while] = ACTIONS(2444),
    [anon_sym_do] = ACTIONS(2444),
    [anon_sym_for] = ACTIONS(2444),
    [anon_sym_return] = ACTIONS(2444),
    [anon_sym_break] = ACTIONS(2444),
    [anon_sym_continue] = ACTIONS(2444),
    [anon_sym_goto] = ACTIONS(2444),
    [anon_sym___try] = ACTIONS(2444),
    [anon_sym___leave] = ACTIONS(2444),
    [anon_sym_not] = ACTIONS(2444),
    [anon_sym_compl] = ACTIONS(2444),
    [anon_sym_DASH_DASH] = ACTIONS(2446),
    [anon_sym_PLUS_PLUS] = ACTIONS(2446),
    [anon_sym_sizeof] = ACTIONS(2444),
    [anon_sym___alignof__] = ACTIONS(2444),
    [anon_sym___alignof] = ACTIONS(2444),
    [anon_sym__alignof] = ACTIONS(2444),
    [anon_sym_alignof] = ACTIONS(2444),
    [anon_sym__Alignof] = ACTIONS(2444),
    [anon_sym_offsetof] = ACTIONS(2444),
    [anon_sym__Generic] = ACTIONS(2444),
    [anon_sym_asm] = ACTIONS(2444),
    [anon_sym___asm__] = ACTIONS(2444),
    [sym_number_literal] = ACTIONS(2446),
    [anon_sym_L_SQUOTE] = ACTIONS(2446),
    [anon_sym_u_SQUOTE] = ACTIONS(2446),
    [anon_sym_U_SQUOTE] = ACTIONS(2446),
    [anon_sym_u8_SQUOTE] = ACTIONS(2446),
    [anon_sym_SQUOTE] = ACTIONS(2446),
    [anon_sym_L_DQUOTE] = ACTIONS(2446),
    [anon_sym_u_DQUOTE] = ACTIONS(2446),
    [anon_sym_U_DQUOTE] = ACTIONS(2446),
    [anon_sym_u8_DQUOTE] = ACTIONS(2446),
    [anon_sym_DQUOTE] = ACTIONS(2446),
    [sym_true] = ACTIONS(2444),
    [sym_false] = ACTIONS(2444),
    [anon_sym_NULL] = ACTIONS(2444),
    [anon_sym_nullptr] = ACTIONS(2444),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2444),
    [anon_sym_decltype] = ACTIONS(2444),
    [anon_sym_virtual] = ACTIONS(2444),
    [anon_sym_alignas] = ACTIONS(2444),
    [anon_sym_explicit] = ACTIONS(2444),
    [anon_sym_typename] = ACTIONS(2444),
    [anon_sym_template] = ACTIONS(2444),
    [anon_sym_operator] = ACTIONS(2444),
    [anon_sym_try] = ACTIONS(2444),
    [anon_sym_delete] = ACTIONS(2444),
    [anon_sym_throw] = ACTIONS(2444),
    [anon_sym_namespace] = ACTIONS(2444),
    [anon_sym_using] = ACTIONS(2444),
    [anon_sym_static_assert] = ACTIONS(2444),
    [anon_sym_concept] = ACTIONS(2444),
    [anon_sym_co_return] = ACTIONS(2444),
    [anon_sym_co_yield] = ACTIONS(2444),
    [anon_sym_R_DQUOTE] = ACTIONS(2446),
    [anon_sym_LR_DQUOTE] = ACTIONS(2446),
    [anon_sym_uR_DQUOTE] = ACTIONS(2446),
    [anon_sym_UR_DQUOTE] = ACTIONS(2446),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2446),
    [anon_sym_co_await] = ACTIONS(2444),
    [anon_sym_new] = ACTIONS(2444),
    [anon_sym_requires] = ACTIONS(2444),
    [sym_this] = ACTIONS(2444),
    [anon_sym_discard] = ACTIONS(2444),
    [anon_sym_precise] = ACTIONS(2444),
    [anon_sym_shared] = ACTIONS(2444),
    [anon_sym_groupshared] = ACTIONS(2444),
    [anon_sym_uniform] = ACTIONS(2444),
    [anon_sym_row_major] = ACTIONS(2444),
    [anon_sym_column_major] = ACTIONS(2444),
    [anon_sym_globallycoherent] = ACTIONS(2444),
    [anon_sym_centroid] = ACTIONS(2444),
    [anon_sym_noperspective] = ACTIONS(2444),
    [anon_sym_nointerpolation] = ACTIONS(2444),
    [anon_sym_sample] = ACTIONS(2444),
    [anon_sym_linear] = ACTIONS(2444),
    [anon_sym_snorm] = ACTIONS(2444),
    [anon_sym_unorm] = ACTIONS(2444),
    [anon_sym_point] = ACTIONS(2444),
    [anon_sym_line] = ACTIONS(2444),
    [anon_sym_triangleadj] = ACTIONS(2444),
    [anon_sym_lineadj] = ACTIONS(2444),
    [anon_sym_triangle] = ACTIONS(2444),
    [anon_sym_cbuffer] = ACTIONS(2444),
  },
  [778] = {
    [sym_identifier] = ACTIONS(2444),
    [aux_sym_preproc_include_token1] = ACTIONS(2444),
    [aux_sym_preproc_def_token1] = ACTIONS(2444),
    [aux_sym_preproc_if_token1] = ACTIONS(2444),
    [aux_sym_preproc_if_token2] = ACTIONS(2444),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2444),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2444),
    [sym_preproc_directive] = ACTIONS(2444),
    [anon_sym_LPAREN2] = ACTIONS(2446),
    [anon_sym_BANG] = ACTIONS(2446),
    [anon_sym_TILDE] = ACTIONS(2446),
    [anon_sym_DASH] = ACTIONS(2444),
    [anon_sym_PLUS] = ACTIONS(2444),
    [anon_sym_STAR] = ACTIONS(2446),
    [anon_sym_AMP_AMP] = ACTIONS(2446),
    [anon_sym_AMP] = ACTIONS(2444),
    [anon_sym_SEMI] = ACTIONS(2446),
    [anon_sym___extension__] = ACTIONS(2444),
    [anon_sym_typedef] = ACTIONS(2444),
    [anon_sym_in] = ACTIONS(2444),
    [anon_sym_out] = ACTIONS(2444),
    [anon_sym_inout] = ACTIONS(2444),
    [anon_sym_extern] = ACTIONS(2444),
    [anon_sym___attribute__] = ACTIONS(2444),
    [anon_sym_COLON_COLON] = ACTIONS(2446),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2446),
    [anon_sym___declspec] = ACTIONS(2444),
    [anon_sym___based] = ACTIONS(2444),
    [anon_sym___cdecl] = ACTIONS(2444),
    [anon_sym___clrcall] = ACTIONS(2444),
    [anon_sym___stdcall] = ACTIONS(2444),
    [anon_sym___fastcall] = ACTIONS(2444),
    [anon_sym___thiscall] = ACTIONS(2444),
    [anon_sym___vectorcall] = ACTIONS(2444),
    [anon_sym_LBRACE] = ACTIONS(2446),
    [anon_sym_signed] = ACTIONS(2444),
    [anon_sym_unsigned] = ACTIONS(2444),
    [anon_sym_long] = ACTIONS(2444),
    [anon_sym_short] = ACTIONS(2444),
    [anon_sym_LBRACK] = ACTIONS(2444),
    [anon_sym_static] = ACTIONS(2444),
    [anon_sym_register] = ACTIONS(2444),
    [anon_sym_inline] = ACTIONS(2444),
    [anon_sym___inline] = ACTIONS(2444),
    [anon_sym___inline__] = ACTIONS(2444),
    [anon_sym___forceinline] = ACTIONS(2444),
    [anon_sym_thread_local] = ACTIONS(2444),
    [anon_sym___thread] = ACTIONS(2444),
    [anon_sym_const] = ACTIONS(2444),
    [anon_sym_constexpr] = ACTIONS(2444),
    [anon_sym_volatile] = ACTIONS(2444),
    [anon_sym_restrict] = ACTIONS(2444),
    [anon_sym___restrict__] = ACTIONS(2444),
    [anon_sym__Atomic] = ACTIONS(2444),
    [anon_sym__Noreturn] = ACTIONS(2444),
    [anon_sym_noreturn] = ACTIONS(2444),
    [anon_sym_mutable] = ACTIONS(2444),
    [anon_sym_constinit] = ACTIONS(2444),
    [anon_sym_consteval] = ACTIONS(2444),
    [sym_primitive_type] = ACTIONS(2444),
    [anon_sym_enum] = ACTIONS(2444),
    [anon_sym_class] = ACTIONS(2444),
    [anon_sym_struct] = ACTIONS(2444),
    [anon_sym_union] = ACTIONS(2444),
    [anon_sym_if] = ACTIONS(2444),
    [anon_sym_else] = ACTIONS(2444),
    [anon_sym_switch] = ACTIONS(2444),
    [anon_sym_case] = ACTIONS(2444),
    [anon_sym_default] = ACTIONS(2444),
    [anon_sym_while] = ACTIONS(2444),
    [anon_sym_do] = ACTIONS(2444),
    [anon_sym_for] = ACTIONS(2444),
    [anon_sym_return] = ACTIONS(2444),
    [anon_sym_break] = ACTIONS(2444),
    [anon_sym_continue] = ACTIONS(2444),
    [anon_sym_goto] = ACTIONS(2444),
    [anon_sym___try] = ACTIONS(2444),
    [anon_sym___leave] = ACTIONS(2444),
    [anon_sym_not] = ACTIONS(2444),
    [anon_sym_compl] = ACTIONS(2444),
    [anon_sym_DASH_DASH] = ACTIONS(2446),
    [anon_sym_PLUS_PLUS] = ACTIONS(2446),
    [anon_sym_sizeof] = ACTIONS(2444),
    [anon_sym___alignof__] = ACTIONS(2444),
    [anon_sym___alignof] = ACTIONS(2444),
    [anon_sym__alignof] = ACTIONS(2444),
    [anon_sym_alignof] = ACTIONS(2444),
    [anon_sym__Alignof] = ACTIONS(2444),
    [anon_sym_offsetof] = ACTIONS(2444),
    [anon_sym__Generic] = ACTIONS(2444),
    [anon_sym_asm] = ACTIONS(2444),
    [anon_sym___asm__] = ACTIONS(2444),
    [sym_number_literal] = ACTIONS(2446),
    [anon_sym_L_SQUOTE] = ACTIONS(2446),
    [anon_sym_u_SQUOTE] = ACTIONS(2446),
    [anon_sym_U_SQUOTE] = ACTIONS(2446),
    [anon_sym_u8_SQUOTE] = ACTIONS(2446),
    [anon_sym_SQUOTE] = ACTIONS(2446),
    [anon_sym_L_DQUOTE] = ACTIONS(2446),
    [anon_sym_u_DQUOTE] = ACTIONS(2446),
    [anon_sym_U_DQUOTE] = ACTIONS(2446),
    [anon_sym_u8_DQUOTE] = ACTIONS(2446),
    [anon_sym_DQUOTE] = ACTIONS(2446),
    [sym_true] = ACTIONS(2444),
    [sym_false] = ACTIONS(2444),
    [anon_sym_NULL] = ACTIONS(2444),
    [anon_sym_nullptr] = ACTIONS(2444),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2444),
    [anon_sym_decltype] = ACTIONS(2444),
    [anon_sym_virtual] = ACTIONS(2444),
    [anon_sym_alignas] = ACTIONS(2444),
    [anon_sym_explicit] = ACTIONS(2444),
    [anon_sym_typename] = ACTIONS(2444),
    [anon_sym_template] = ACTIONS(2444),
    [anon_sym_operator] = ACTIONS(2444),
    [anon_sym_try] = ACTIONS(2444),
    [anon_sym_delete] = ACTIONS(2444),
    [anon_sym_throw] = ACTIONS(2444),
    [anon_sym_namespace] = ACTIONS(2444),
    [anon_sym_using] = ACTIONS(2444),
    [anon_sym_static_assert] = ACTIONS(2444),
    [anon_sym_concept] = ACTIONS(2444),
    [anon_sym_co_return] = ACTIONS(2444),
    [anon_sym_co_yield] = ACTIONS(2444),
    [anon_sym_R_DQUOTE] = ACTIONS(2446),
    [anon_sym_LR_DQUOTE] = ACTIONS(2446),
    [anon_sym_uR_DQUOTE] = ACTIONS(2446),
    [anon_sym_UR_DQUOTE] = ACTIONS(2446),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2446),
    [anon_sym_co_await] = ACTIONS(2444),
    [anon_sym_new] = ACTIONS(2444),
    [anon_sym_requires] = ACTIONS(2444),
    [sym_this] = ACTIONS(2444),
    [anon_sym_discard] = ACTIONS(2444),
    [anon_sym_precise] = ACTIONS(2444),
    [anon_sym_shared] = ACTIONS(2444),
    [anon_sym_groupshared] = ACTIONS(2444),
    [anon_sym_uniform] = ACTIONS(2444),
    [anon_sym_row_major] = ACTIONS(2444),
    [anon_sym_column_major] = ACTIONS(2444),
    [anon_sym_globallycoherent] = ACTIONS(2444),
    [anon_sym_centroid] = ACTIONS(2444),
    [anon_sym_noperspective] = ACTIONS(2444),
    [anon_sym_nointerpolation] = ACTIONS(2444),
    [anon_sym_sample] = ACTIONS(2444),
    [anon_sym_linear] = ACTIONS(2444),
    [anon_sym_snorm] = ACTIONS(2444),
    [anon_sym_unorm] = ACTIONS(2444),
    [anon_sym_point] = ACTIONS(2444),
    [anon_sym_line] = ACTIONS(2444),
    [anon_sym_triangleadj] = ACTIONS(2444),
    [anon_sym_lineadj] = ACTIONS(2444),
    [anon_sym_triangle] = ACTIONS(2444),
    [anon_sym_cbuffer] = ACTIONS(2444),
  },
  [779] = {
    [sym_identifier] = ACTIONS(2460),
    [aux_sym_preproc_include_token1] = ACTIONS(2460),
    [aux_sym_preproc_def_token1] = ACTIONS(2460),
    [aux_sym_preproc_if_token1] = ACTIONS(2460),
    [aux_sym_preproc_if_token2] = ACTIONS(2460),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2460),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2460),
    [sym_preproc_directive] = ACTIONS(2460),
    [anon_sym_LPAREN2] = ACTIONS(2462),
    [anon_sym_BANG] = ACTIONS(2462),
    [anon_sym_TILDE] = ACTIONS(2462),
    [anon_sym_DASH] = ACTIONS(2460),
    [anon_sym_PLUS] = ACTIONS(2460),
    [anon_sym_STAR] = ACTIONS(2462),
    [anon_sym_AMP_AMP] = ACTIONS(2462),
    [anon_sym_AMP] = ACTIONS(2460),
    [anon_sym_SEMI] = ACTIONS(2462),
    [anon_sym___extension__] = ACTIONS(2460),
    [anon_sym_typedef] = ACTIONS(2460),
    [anon_sym_in] = ACTIONS(2460),
    [anon_sym_out] = ACTIONS(2460),
    [anon_sym_inout] = ACTIONS(2460),
    [anon_sym_extern] = ACTIONS(2460),
    [anon_sym___attribute__] = ACTIONS(2460),
    [anon_sym_COLON_COLON] = ACTIONS(2462),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2462),
    [anon_sym___declspec] = ACTIONS(2460),
    [anon_sym___based] = ACTIONS(2460),
    [anon_sym___cdecl] = ACTIONS(2460),
    [anon_sym___clrcall] = ACTIONS(2460),
    [anon_sym___stdcall] = ACTIONS(2460),
    [anon_sym___fastcall] = ACTIONS(2460),
    [anon_sym___thiscall] = ACTIONS(2460),
    [anon_sym___vectorcall] = ACTIONS(2460),
    [anon_sym_LBRACE] = ACTIONS(2462),
    [anon_sym_signed] = ACTIONS(2460),
    [anon_sym_unsigned] = ACTIONS(2460),
    [anon_sym_long] = ACTIONS(2460),
    [anon_sym_short] = ACTIONS(2460),
    [anon_sym_LBRACK] = ACTIONS(2460),
    [anon_sym_static] = ACTIONS(2460),
    [anon_sym_register] = ACTIONS(2460),
    [anon_sym_inline] = ACTIONS(2460),
    [anon_sym___inline] = ACTIONS(2460),
    [anon_sym___inline__] = ACTIONS(2460),
    [anon_sym___forceinline] = ACTIONS(2460),
    [anon_sym_thread_local] = ACTIONS(2460),
    [anon_sym___thread] = ACTIONS(2460),
    [anon_sym_const] = ACTIONS(2460),
    [anon_sym_constexpr] = ACTIONS(2460),
    [anon_sym_volatile] = ACTIONS(2460),
    [anon_sym_restrict] = ACTIONS(2460),
    [anon_sym___restrict__] = ACTIONS(2460),
    [anon_sym__Atomic] = ACTIONS(2460),
    [anon_sym__Noreturn] = ACTIONS(2460),
    [anon_sym_noreturn] = ACTIONS(2460),
    [anon_sym_mutable] = ACTIONS(2460),
    [anon_sym_constinit] = ACTIONS(2460),
    [anon_sym_consteval] = ACTIONS(2460),
    [sym_primitive_type] = ACTIONS(2460),
    [anon_sym_enum] = ACTIONS(2460),
    [anon_sym_class] = ACTIONS(2460),
    [anon_sym_struct] = ACTIONS(2460),
    [anon_sym_union] = ACTIONS(2460),
    [anon_sym_if] = ACTIONS(2460),
    [anon_sym_else] = ACTIONS(2460),
    [anon_sym_switch] = ACTIONS(2460),
    [anon_sym_case] = ACTIONS(2460),
    [anon_sym_default] = ACTIONS(2460),
    [anon_sym_while] = ACTIONS(2460),
    [anon_sym_do] = ACTIONS(2460),
    [anon_sym_for] = ACTIONS(2460),
    [anon_sym_return] = ACTIONS(2460),
    [anon_sym_break] = ACTIONS(2460),
    [anon_sym_continue] = ACTIONS(2460),
    [anon_sym_goto] = ACTIONS(2460),
    [anon_sym___try] = ACTIONS(2460),
    [anon_sym___leave] = ACTIONS(2460),
    [anon_sym_not] = ACTIONS(2460),
    [anon_sym_compl] = ACTIONS(2460),
    [anon_sym_DASH_DASH] = ACTIONS(2462),
    [anon_sym_PLUS_PLUS] = ACTIONS(2462),
    [anon_sym_sizeof] = ACTIONS(2460),
    [anon_sym___alignof__] = ACTIONS(2460),
    [anon_sym___alignof] = ACTIONS(2460),
    [anon_sym__alignof] = ACTIONS(2460),
    [anon_sym_alignof] = ACTIONS(2460),
    [anon_sym__Alignof] = ACTIONS(2460),
    [anon_sym_offsetof] = ACTIONS(2460),
    [anon_sym__Generic] = ACTIONS(2460),
    [anon_sym_asm] = ACTIONS(2460),
    [anon_sym___asm__] = ACTIONS(2460),
    [sym_number_literal] = ACTIONS(2462),
    [anon_sym_L_SQUOTE] = ACTIONS(2462),
    [anon_sym_u_SQUOTE] = ACTIONS(2462),
    [anon_sym_U_SQUOTE] = ACTIONS(2462),
    [anon_sym_u8_SQUOTE] = ACTIONS(2462),
    [anon_sym_SQUOTE] = ACTIONS(2462),
    [anon_sym_L_DQUOTE] = ACTIONS(2462),
    [anon_sym_u_DQUOTE] = ACTIONS(2462),
    [anon_sym_U_DQUOTE] = ACTIONS(2462),
    [anon_sym_u8_DQUOTE] = ACTIONS(2462),
    [anon_sym_DQUOTE] = ACTIONS(2462),
    [sym_true] = ACTIONS(2460),
    [sym_false] = ACTIONS(2460),
    [anon_sym_NULL] = ACTIONS(2460),
    [anon_sym_nullptr] = ACTIONS(2460),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2460),
    [anon_sym_decltype] = ACTIONS(2460),
    [anon_sym_virtual] = ACTIONS(2460),
    [anon_sym_alignas] = ACTIONS(2460),
    [anon_sym_explicit] = ACTIONS(2460),
    [anon_sym_typename] = ACTIONS(2460),
    [anon_sym_template] = ACTIONS(2460),
    [anon_sym_operator] = ACTIONS(2460),
    [anon_sym_try] = ACTIONS(2460),
    [anon_sym_delete] = ACTIONS(2460),
    [anon_sym_throw] = ACTIONS(2460),
    [anon_sym_namespace] = ACTIONS(2460),
    [anon_sym_using] = ACTIONS(2460),
    [anon_sym_static_assert] = ACTIONS(2460),
    [anon_sym_concept] = ACTIONS(2460),
    [anon_sym_co_return] = ACTIONS(2460),
    [anon_sym_co_yield] = ACTIONS(2460),
    [anon_sym_R_DQUOTE] = ACTIONS(2462),
    [anon_sym_LR_DQUOTE] = ACTIONS(2462),
    [anon_sym_uR_DQUOTE] = ACTIONS(2462),
    [anon_sym_UR_DQUOTE] = ACTIONS(2462),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2462),
    [anon_sym_co_await] = ACTIONS(2460),
    [anon_sym_new] = ACTIONS(2460),
    [anon_sym_requires] = ACTIONS(2460),
    [sym_this] = ACTIONS(2460),
    [anon_sym_discard] = ACTIONS(2460),
    [anon_sym_precise] = ACTIONS(2460),
    [anon_sym_shared] = ACTIONS(2460),
    [anon_sym_groupshared] = ACTIONS(2460),
    [anon_sym_uniform] = ACTIONS(2460),
    [anon_sym_row_major] = ACTIONS(2460),
    [anon_sym_column_major] = ACTIONS(2460),
    [anon_sym_globallycoherent] = ACTIONS(2460),
    [anon_sym_centroid] = ACTIONS(2460),
    [anon_sym_noperspective] = ACTIONS(2460),
    [anon_sym_nointerpolation] = ACTIONS(2460),
    [anon_sym_sample] = ACTIONS(2460),
    [anon_sym_linear] = ACTIONS(2460),
    [anon_sym_snorm] = ACTIONS(2460),
    [anon_sym_unorm] = ACTIONS(2460),
    [anon_sym_point] = ACTIONS(2460),
    [anon_sym_line] = ACTIONS(2460),
    [anon_sym_triangleadj] = ACTIONS(2460),
    [anon_sym_lineadj] = ACTIONS(2460),
    [anon_sym_triangle] = ACTIONS(2460),
    [anon_sym_cbuffer] = ACTIONS(2460),
  },
  [780] = {
    [sym_identifier] = ACTIONS(2444),
    [aux_sym_preproc_include_token1] = ACTIONS(2444),
    [aux_sym_preproc_def_token1] = ACTIONS(2444),
    [aux_sym_preproc_if_token1] = ACTIONS(2444),
    [aux_sym_preproc_if_token2] = ACTIONS(2444),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2444),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2444),
    [sym_preproc_directive] = ACTIONS(2444),
    [anon_sym_LPAREN2] = ACTIONS(2446),
    [anon_sym_BANG] = ACTIONS(2446),
    [anon_sym_TILDE] = ACTIONS(2446),
    [anon_sym_DASH] = ACTIONS(2444),
    [anon_sym_PLUS] = ACTIONS(2444),
    [anon_sym_STAR] = ACTIONS(2446),
    [anon_sym_AMP_AMP] = ACTIONS(2446),
    [anon_sym_AMP] = ACTIONS(2444),
    [anon_sym_SEMI] = ACTIONS(2446),
    [anon_sym___extension__] = ACTIONS(2444),
    [anon_sym_typedef] = ACTIONS(2444),
    [anon_sym_in] = ACTIONS(2444),
    [anon_sym_out] = ACTIONS(2444),
    [anon_sym_inout] = ACTIONS(2444),
    [anon_sym_extern] = ACTIONS(2444),
    [anon_sym___attribute__] = ACTIONS(2444),
    [anon_sym_COLON_COLON] = ACTIONS(2446),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2446),
    [anon_sym___declspec] = ACTIONS(2444),
    [anon_sym___based] = ACTIONS(2444),
    [anon_sym___cdecl] = ACTIONS(2444),
    [anon_sym___clrcall] = ACTIONS(2444),
    [anon_sym___stdcall] = ACTIONS(2444),
    [anon_sym___fastcall] = ACTIONS(2444),
    [anon_sym___thiscall] = ACTIONS(2444),
    [anon_sym___vectorcall] = ACTIONS(2444),
    [anon_sym_LBRACE] = ACTIONS(2446),
    [anon_sym_signed] = ACTIONS(2444),
    [anon_sym_unsigned] = ACTIONS(2444),
    [anon_sym_long] = ACTIONS(2444),
    [anon_sym_short] = ACTIONS(2444),
    [anon_sym_LBRACK] = ACTIONS(2444),
    [anon_sym_static] = ACTIONS(2444),
    [anon_sym_register] = ACTIONS(2444),
    [anon_sym_inline] = ACTIONS(2444),
    [anon_sym___inline] = ACTIONS(2444),
    [anon_sym___inline__] = ACTIONS(2444),
    [anon_sym___forceinline] = ACTIONS(2444),
    [anon_sym_thread_local] = ACTIONS(2444),
    [anon_sym___thread] = ACTIONS(2444),
    [anon_sym_const] = ACTIONS(2444),
    [anon_sym_constexpr] = ACTIONS(2444),
    [anon_sym_volatile] = ACTIONS(2444),
    [anon_sym_restrict] = ACTIONS(2444),
    [anon_sym___restrict__] = ACTIONS(2444),
    [anon_sym__Atomic] = ACTIONS(2444),
    [anon_sym__Noreturn] = ACTIONS(2444),
    [anon_sym_noreturn] = ACTIONS(2444),
    [anon_sym_mutable] = ACTIONS(2444),
    [anon_sym_constinit] = ACTIONS(2444),
    [anon_sym_consteval] = ACTIONS(2444),
    [sym_primitive_type] = ACTIONS(2444),
    [anon_sym_enum] = ACTIONS(2444),
    [anon_sym_class] = ACTIONS(2444),
    [anon_sym_struct] = ACTIONS(2444),
    [anon_sym_union] = ACTIONS(2444),
    [anon_sym_if] = ACTIONS(2444),
    [anon_sym_else] = ACTIONS(2444),
    [anon_sym_switch] = ACTIONS(2444),
    [anon_sym_case] = ACTIONS(2444),
    [anon_sym_default] = ACTIONS(2444),
    [anon_sym_while] = ACTIONS(2444),
    [anon_sym_do] = ACTIONS(2444),
    [anon_sym_for] = ACTIONS(2444),
    [anon_sym_return] = ACTIONS(2444),
    [anon_sym_break] = ACTIONS(2444),
    [anon_sym_continue] = ACTIONS(2444),
    [anon_sym_goto] = ACTIONS(2444),
    [anon_sym___try] = ACTIONS(2444),
    [anon_sym___leave] = ACTIONS(2444),
    [anon_sym_not] = ACTIONS(2444),
    [anon_sym_compl] = ACTIONS(2444),
    [anon_sym_DASH_DASH] = ACTIONS(2446),
    [anon_sym_PLUS_PLUS] = ACTIONS(2446),
    [anon_sym_sizeof] = ACTIONS(2444),
    [anon_sym___alignof__] = ACTIONS(2444),
    [anon_sym___alignof] = ACTIONS(2444),
    [anon_sym__alignof] = ACTIONS(2444),
    [anon_sym_alignof] = ACTIONS(2444),
    [anon_sym__Alignof] = ACTIONS(2444),
    [anon_sym_offsetof] = ACTIONS(2444),
    [anon_sym__Generic] = ACTIONS(2444),
    [anon_sym_asm] = ACTIONS(2444),
    [anon_sym___asm__] = ACTIONS(2444),
    [sym_number_literal] = ACTIONS(2446),
    [anon_sym_L_SQUOTE] = ACTIONS(2446),
    [anon_sym_u_SQUOTE] = ACTIONS(2446),
    [anon_sym_U_SQUOTE] = ACTIONS(2446),
    [anon_sym_u8_SQUOTE] = ACTIONS(2446),
    [anon_sym_SQUOTE] = ACTIONS(2446),
    [anon_sym_L_DQUOTE] = ACTIONS(2446),
    [anon_sym_u_DQUOTE] = ACTIONS(2446),
    [anon_sym_U_DQUOTE] = ACTIONS(2446),
    [anon_sym_u8_DQUOTE] = ACTIONS(2446),
    [anon_sym_DQUOTE] = ACTIONS(2446),
    [sym_true] = ACTIONS(2444),
    [sym_false] = ACTIONS(2444),
    [anon_sym_NULL] = ACTIONS(2444),
    [anon_sym_nullptr] = ACTIONS(2444),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2444),
    [anon_sym_decltype] = ACTIONS(2444),
    [anon_sym_virtual] = ACTIONS(2444),
    [anon_sym_alignas] = ACTIONS(2444),
    [anon_sym_explicit] = ACTIONS(2444),
    [anon_sym_typename] = ACTIONS(2444),
    [anon_sym_template] = ACTIONS(2444),
    [anon_sym_operator] = ACTIONS(2444),
    [anon_sym_try] = ACTIONS(2444),
    [anon_sym_delete] = ACTIONS(2444),
    [anon_sym_throw] = ACTIONS(2444),
    [anon_sym_namespace] = ACTIONS(2444),
    [anon_sym_using] = ACTIONS(2444),
    [anon_sym_static_assert] = ACTIONS(2444),
    [anon_sym_concept] = ACTIONS(2444),
    [anon_sym_co_return] = ACTIONS(2444),
    [anon_sym_co_yield] = ACTIONS(2444),
    [anon_sym_R_DQUOTE] = ACTIONS(2446),
    [anon_sym_LR_DQUOTE] = ACTIONS(2446),
    [anon_sym_uR_DQUOTE] = ACTIONS(2446),
    [anon_sym_UR_DQUOTE] = ACTIONS(2446),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2446),
    [anon_sym_co_await] = ACTIONS(2444),
    [anon_sym_new] = ACTIONS(2444),
    [anon_sym_requires] = ACTIONS(2444),
    [sym_this] = ACTIONS(2444),
    [anon_sym_discard] = ACTIONS(2444),
    [anon_sym_precise] = ACTIONS(2444),
    [anon_sym_shared] = ACTIONS(2444),
    [anon_sym_groupshared] = ACTIONS(2444),
    [anon_sym_uniform] = ACTIONS(2444),
    [anon_sym_row_major] = ACTIONS(2444),
    [anon_sym_column_major] = ACTIONS(2444),
    [anon_sym_globallycoherent] = ACTIONS(2444),
    [anon_sym_centroid] = ACTIONS(2444),
    [anon_sym_noperspective] = ACTIONS(2444),
    [anon_sym_nointerpolation] = ACTIONS(2444),
    [anon_sym_sample] = ACTIONS(2444),
    [anon_sym_linear] = ACTIONS(2444),
    [anon_sym_snorm] = ACTIONS(2444),
    [anon_sym_unorm] = ACTIONS(2444),
    [anon_sym_point] = ACTIONS(2444),
    [anon_sym_line] = ACTIONS(2444),
    [anon_sym_triangleadj] = ACTIONS(2444),
    [anon_sym_lineadj] = ACTIONS(2444),
    [anon_sym_triangle] = ACTIONS(2444),
    [anon_sym_cbuffer] = ACTIONS(2444),
  },
  [781] = {
    [ts_builtin_sym_end] = ACTIONS(2332),
    [sym_identifier] = ACTIONS(2330),
    [aux_sym_preproc_include_token1] = ACTIONS(2330),
    [aux_sym_preproc_def_token1] = ACTIONS(2330),
    [aux_sym_preproc_if_token1] = ACTIONS(2330),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2330),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2330),
    [sym_preproc_directive] = ACTIONS(2330),
    [anon_sym_LPAREN2] = ACTIONS(2332),
    [anon_sym_BANG] = ACTIONS(2332),
    [anon_sym_TILDE] = ACTIONS(2332),
    [anon_sym_DASH] = ACTIONS(2330),
    [anon_sym_PLUS] = ACTIONS(2330),
    [anon_sym_STAR] = ACTIONS(2332),
    [anon_sym_AMP_AMP] = ACTIONS(2332),
    [anon_sym_AMP] = ACTIONS(2330),
    [anon_sym_SEMI] = ACTIONS(2332),
    [anon_sym___extension__] = ACTIONS(2330),
    [anon_sym_typedef] = ACTIONS(2330),
    [anon_sym_in] = ACTIONS(2330),
    [anon_sym_out] = ACTIONS(2330),
    [anon_sym_inout] = ACTIONS(2330),
    [anon_sym_extern] = ACTIONS(2330),
    [anon_sym___attribute__] = ACTIONS(2330),
    [anon_sym_COLON_COLON] = ACTIONS(2332),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2332),
    [anon_sym___declspec] = ACTIONS(2330),
    [anon_sym___based] = ACTIONS(2330),
    [anon_sym___cdecl] = ACTIONS(2330),
    [anon_sym___clrcall] = ACTIONS(2330),
    [anon_sym___stdcall] = ACTIONS(2330),
    [anon_sym___fastcall] = ACTIONS(2330),
    [anon_sym___thiscall] = ACTIONS(2330),
    [anon_sym___vectorcall] = ACTIONS(2330),
    [anon_sym_LBRACE] = ACTIONS(2332),
    [anon_sym_signed] = ACTIONS(2330),
    [anon_sym_unsigned] = ACTIONS(2330),
    [anon_sym_long] = ACTIONS(2330),
    [anon_sym_short] = ACTIONS(2330),
    [anon_sym_LBRACK] = ACTIONS(2330),
    [anon_sym_static] = ACTIONS(2330),
    [anon_sym_register] = ACTIONS(2330),
    [anon_sym_inline] = ACTIONS(2330),
    [anon_sym___inline] = ACTIONS(2330),
    [anon_sym___inline__] = ACTIONS(2330),
    [anon_sym___forceinline] = ACTIONS(2330),
    [anon_sym_thread_local] = ACTIONS(2330),
    [anon_sym___thread] = ACTIONS(2330),
    [anon_sym_const] = ACTIONS(2330),
    [anon_sym_constexpr] = ACTIONS(2330),
    [anon_sym_volatile] = ACTIONS(2330),
    [anon_sym_restrict] = ACTIONS(2330),
    [anon_sym___restrict__] = ACTIONS(2330),
    [anon_sym__Atomic] = ACTIONS(2330),
    [anon_sym__Noreturn] = ACTIONS(2330),
    [anon_sym_noreturn] = ACTIONS(2330),
    [anon_sym_mutable] = ACTIONS(2330),
    [anon_sym_constinit] = ACTIONS(2330),
    [anon_sym_consteval] = ACTIONS(2330),
    [sym_primitive_type] = ACTIONS(2330),
    [anon_sym_enum] = ACTIONS(2330),
    [anon_sym_class] = ACTIONS(2330),
    [anon_sym_struct] = ACTIONS(2330),
    [anon_sym_union] = ACTIONS(2330),
    [anon_sym_if] = ACTIONS(2330),
    [anon_sym_else] = ACTIONS(2330),
    [anon_sym_switch] = ACTIONS(2330),
    [anon_sym_case] = ACTIONS(2330),
    [anon_sym_default] = ACTIONS(2330),
    [anon_sym_while] = ACTIONS(2330),
    [anon_sym_do] = ACTIONS(2330),
    [anon_sym_for] = ACTIONS(2330),
    [anon_sym_return] = ACTIONS(2330),
    [anon_sym_break] = ACTIONS(2330),
    [anon_sym_continue] = ACTIONS(2330),
    [anon_sym_goto] = ACTIONS(2330),
    [anon_sym___try] = ACTIONS(2330),
    [anon_sym___leave] = ACTIONS(2330),
    [anon_sym_not] = ACTIONS(2330),
    [anon_sym_compl] = ACTIONS(2330),
    [anon_sym_DASH_DASH] = ACTIONS(2332),
    [anon_sym_PLUS_PLUS] = ACTIONS(2332),
    [anon_sym_sizeof] = ACTIONS(2330),
    [anon_sym___alignof__] = ACTIONS(2330),
    [anon_sym___alignof] = ACTIONS(2330),
    [anon_sym__alignof] = ACTIONS(2330),
    [anon_sym_alignof] = ACTIONS(2330),
    [anon_sym__Alignof] = ACTIONS(2330),
    [anon_sym_offsetof] = ACTIONS(2330),
    [anon_sym__Generic] = ACTIONS(2330),
    [anon_sym_asm] = ACTIONS(2330),
    [anon_sym___asm__] = ACTIONS(2330),
    [sym_number_literal] = ACTIONS(2332),
    [anon_sym_L_SQUOTE] = ACTIONS(2332),
    [anon_sym_u_SQUOTE] = ACTIONS(2332),
    [anon_sym_U_SQUOTE] = ACTIONS(2332),
    [anon_sym_u8_SQUOTE] = ACTIONS(2332),
    [anon_sym_SQUOTE] = ACTIONS(2332),
    [anon_sym_L_DQUOTE] = ACTIONS(2332),
    [anon_sym_u_DQUOTE] = ACTIONS(2332),
    [anon_sym_U_DQUOTE] = ACTIONS(2332),
    [anon_sym_u8_DQUOTE] = ACTIONS(2332),
    [anon_sym_DQUOTE] = ACTIONS(2332),
    [sym_true] = ACTIONS(2330),
    [sym_false] = ACTIONS(2330),
    [anon_sym_NULL] = ACTIONS(2330),
    [anon_sym_nullptr] = ACTIONS(2330),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2330),
    [anon_sym_decltype] = ACTIONS(2330),
    [anon_sym_virtual] = ACTIONS(2330),
    [anon_sym_alignas] = ACTIONS(2330),
    [anon_sym_explicit] = ACTIONS(2330),
    [anon_sym_typename] = ACTIONS(2330),
    [anon_sym_template] = ACTIONS(2330),
    [anon_sym_operator] = ACTIONS(2330),
    [anon_sym_try] = ACTIONS(2330),
    [anon_sym_delete] = ACTIONS(2330),
    [anon_sym_throw] = ACTIONS(2330),
    [anon_sym_namespace] = ACTIONS(2330),
    [anon_sym_using] = ACTIONS(2330),
    [anon_sym_static_assert] = ACTIONS(2330),
    [anon_sym_concept] = ACTIONS(2330),
    [anon_sym_co_return] = ACTIONS(2330),
    [anon_sym_co_yield] = ACTIONS(2330),
    [anon_sym_R_DQUOTE] = ACTIONS(2332),
    [anon_sym_LR_DQUOTE] = ACTIONS(2332),
    [anon_sym_uR_DQUOTE] = ACTIONS(2332),
    [anon_sym_UR_DQUOTE] = ACTIONS(2332),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2332),
    [anon_sym_co_await] = ACTIONS(2330),
    [anon_sym_new] = ACTIONS(2330),
    [anon_sym_requires] = ACTIONS(2330),
    [sym_this] = ACTIONS(2330),
    [anon_sym_discard] = ACTIONS(2330),
    [anon_sym_precise] = ACTIONS(2330),
    [anon_sym_shared] = ACTIONS(2330),
    [anon_sym_groupshared] = ACTIONS(2330),
    [anon_sym_uniform] = ACTIONS(2330),
    [anon_sym_row_major] = ACTIONS(2330),
    [anon_sym_column_major] = ACTIONS(2330),
    [anon_sym_globallycoherent] = ACTIONS(2330),
    [anon_sym_centroid] = ACTIONS(2330),
    [anon_sym_noperspective] = ACTIONS(2330),
    [anon_sym_nointerpolation] = ACTIONS(2330),
    [anon_sym_sample] = ACTIONS(2330),
    [anon_sym_linear] = ACTIONS(2330),
    [anon_sym_snorm] = ACTIONS(2330),
    [anon_sym_unorm] = ACTIONS(2330),
    [anon_sym_point] = ACTIONS(2330),
    [anon_sym_line] = ACTIONS(2330),
    [anon_sym_triangleadj] = ACTIONS(2330),
    [anon_sym_lineadj] = ACTIONS(2330),
    [anon_sym_triangle] = ACTIONS(2330),
    [anon_sym_cbuffer] = ACTIONS(2330),
  },
  [782] = {
    [sym_identifier] = ACTIONS(2444),
    [aux_sym_preproc_include_token1] = ACTIONS(2444),
    [aux_sym_preproc_def_token1] = ACTIONS(2444),
    [aux_sym_preproc_if_token1] = ACTIONS(2444),
    [aux_sym_preproc_if_token2] = ACTIONS(2444),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2444),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2444),
    [sym_preproc_directive] = ACTIONS(2444),
    [anon_sym_LPAREN2] = ACTIONS(2446),
    [anon_sym_BANG] = ACTIONS(2446),
    [anon_sym_TILDE] = ACTIONS(2446),
    [anon_sym_DASH] = ACTIONS(2444),
    [anon_sym_PLUS] = ACTIONS(2444),
    [anon_sym_STAR] = ACTIONS(2446),
    [anon_sym_AMP_AMP] = ACTIONS(2446),
    [anon_sym_AMP] = ACTIONS(2444),
    [anon_sym_SEMI] = ACTIONS(2446),
    [anon_sym___extension__] = ACTIONS(2444),
    [anon_sym_typedef] = ACTIONS(2444),
    [anon_sym_in] = ACTIONS(2444),
    [anon_sym_out] = ACTIONS(2444),
    [anon_sym_inout] = ACTIONS(2444),
    [anon_sym_extern] = ACTIONS(2444),
    [anon_sym___attribute__] = ACTIONS(2444),
    [anon_sym_COLON_COLON] = ACTIONS(2446),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2446),
    [anon_sym___declspec] = ACTIONS(2444),
    [anon_sym___based] = ACTIONS(2444),
    [anon_sym___cdecl] = ACTIONS(2444),
    [anon_sym___clrcall] = ACTIONS(2444),
    [anon_sym___stdcall] = ACTIONS(2444),
    [anon_sym___fastcall] = ACTIONS(2444),
    [anon_sym___thiscall] = ACTIONS(2444),
    [anon_sym___vectorcall] = ACTIONS(2444),
    [anon_sym_LBRACE] = ACTIONS(2446),
    [anon_sym_signed] = ACTIONS(2444),
    [anon_sym_unsigned] = ACTIONS(2444),
    [anon_sym_long] = ACTIONS(2444),
    [anon_sym_short] = ACTIONS(2444),
    [anon_sym_LBRACK] = ACTIONS(2444),
    [anon_sym_static] = ACTIONS(2444),
    [anon_sym_register] = ACTIONS(2444),
    [anon_sym_inline] = ACTIONS(2444),
    [anon_sym___inline] = ACTIONS(2444),
    [anon_sym___inline__] = ACTIONS(2444),
    [anon_sym___forceinline] = ACTIONS(2444),
    [anon_sym_thread_local] = ACTIONS(2444),
    [anon_sym___thread] = ACTIONS(2444),
    [anon_sym_const] = ACTIONS(2444),
    [anon_sym_constexpr] = ACTIONS(2444),
    [anon_sym_volatile] = ACTIONS(2444),
    [anon_sym_restrict] = ACTIONS(2444),
    [anon_sym___restrict__] = ACTIONS(2444),
    [anon_sym__Atomic] = ACTIONS(2444),
    [anon_sym__Noreturn] = ACTIONS(2444),
    [anon_sym_noreturn] = ACTIONS(2444),
    [anon_sym_mutable] = ACTIONS(2444),
    [anon_sym_constinit] = ACTIONS(2444),
    [anon_sym_consteval] = ACTIONS(2444),
    [sym_primitive_type] = ACTIONS(2444),
    [anon_sym_enum] = ACTIONS(2444),
    [anon_sym_class] = ACTIONS(2444),
    [anon_sym_struct] = ACTIONS(2444),
    [anon_sym_union] = ACTIONS(2444),
    [anon_sym_if] = ACTIONS(2444),
    [anon_sym_else] = ACTIONS(2444),
    [anon_sym_switch] = ACTIONS(2444),
    [anon_sym_case] = ACTIONS(2444),
    [anon_sym_default] = ACTIONS(2444),
    [anon_sym_while] = ACTIONS(2444),
    [anon_sym_do] = ACTIONS(2444),
    [anon_sym_for] = ACTIONS(2444),
    [anon_sym_return] = ACTIONS(2444),
    [anon_sym_break] = ACTIONS(2444),
    [anon_sym_continue] = ACTIONS(2444),
    [anon_sym_goto] = ACTIONS(2444),
    [anon_sym___try] = ACTIONS(2444),
    [anon_sym___leave] = ACTIONS(2444),
    [anon_sym_not] = ACTIONS(2444),
    [anon_sym_compl] = ACTIONS(2444),
    [anon_sym_DASH_DASH] = ACTIONS(2446),
    [anon_sym_PLUS_PLUS] = ACTIONS(2446),
    [anon_sym_sizeof] = ACTIONS(2444),
    [anon_sym___alignof__] = ACTIONS(2444),
    [anon_sym___alignof] = ACTIONS(2444),
    [anon_sym__alignof] = ACTIONS(2444),
    [anon_sym_alignof] = ACTIONS(2444),
    [anon_sym__Alignof] = ACTIONS(2444),
    [anon_sym_offsetof] = ACTIONS(2444),
    [anon_sym__Generic] = ACTIONS(2444),
    [anon_sym_asm] = ACTIONS(2444),
    [anon_sym___asm__] = ACTIONS(2444),
    [sym_number_literal] = ACTIONS(2446),
    [anon_sym_L_SQUOTE] = ACTIONS(2446),
    [anon_sym_u_SQUOTE] = ACTIONS(2446),
    [anon_sym_U_SQUOTE] = ACTIONS(2446),
    [anon_sym_u8_SQUOTE] = ACTIONS(2446),
    [anon_sym_SQUOTE] = ACTIONS(2446),
    [anon_sym_L_DQUOTE] = ACTIONS(2446),
    [anon_sym_u_DQUOTE] = ACTIONS(2446),
    [anon_sym_U_DQUOTE] = ACTIONS(2446),
    [anon_sym_u8_DQUOTE] = ACTIONS(2446),
    [anon_sym_DQUOTE] = ACTIONS(2446),
    [sym_true] = ACTIONS(2444),
    [sym_false] = ACTIONS(2444),
    [anon_sym_NULL] = ACTIONS(2444),
    [anon_sym_nullptr] = ACTIONS(2444),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2444),
    [anon_sym_decltype] = ACTIONS(2444),
    [anon_sym_virtual] = ACTIONS(2444),
    [anon_sym_alignas] = ACTIONS(2444),
    [anon_sym_explicit] = ACTIONS(2444),
    [anon_sym_typename] = ACTIONS(2444),
    [anon_sym_template] = ACTIONS(2444),
    [anon_sym_operator] = ACTIONS(2444),
    [anon_sym_try] = ACTIONS(2444),
    [anon_sym_delete] = ACTIONS(2444),
    [anon_sym_throw] = ACTIONS(2444),
    [anon_sym_namespace] = ACTIONS(2444),
    [anon_sym_using] = ACTIONS(2444),
    [anon_sym_static_assert] = ACTIONS(2444),
    [anon_sym_concept] = ACTIONS(2444),
    [anon_sym_co_return] = ACTIONS(2444),
    [anon_sym_co_yield] = ACTIONS(2444),
    [anon_sym_R_DQUOTE] = ACTIONS(2446),
    [anon_sym_LR_DQUOTE] = ACTIONS(2446),
    [anon_sym_uR_DQUOTE] = ACTIONS(2446),
    [anon_sym_UR_DQUOTE] = ACTIONS(2446),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2446),
    [anon_sym_co_await] = ACTIONS(2444),
    [anon_sym_new] = ACTIONS(2444),
    [anon_sym_requires] = ACTIONS(2444),
    [sym_this] = ACTIONS(2444),
    [anon_sym_discard] = ACTIONS(2444),
    [anon_sym_precise] = ACTIONS(2444),
    [anon_sym_shared] = ACTIONS(2444),
    [anon_sym_groupshared] = ACTIONS(2444),
    [anon_sym_uniform] = ACTIONS(2444),
    [anon_sym_row_major] = ACTIONS(2444),
    [anon_sym_column_major] = ACTIONS(2444),
    [anon_sym_globallycoherent] = ACTIONS(2444),
    [anon_sym_centroid] = ACTIONS(2444),
    [anon_sym_noperspective] = ACTIONS(2444),
    [anon_sym_nointerpolation] = ACTIONS(2444),
    [anon_sym_sample] = ACTIONS(2444),
    [anon_sym_linear] = ACTIONS(2444),
    [anon_sym_snorm] = ACTIONS(2444),
    [anon_sym_unorm] = ACTIONS(2444),
    [anon_sym_point] = ACTIONS(2444),
    [anon_sym_line] = ACTIONS(2444),
    [anon_sym_triangleadj] = ACTIONS(2444),
    [anon_sym_lineadj] = ACTIONS(2444),
    [anon_sym_triangle] = ACTIONS(2444),
    [anon_sym_cbuffer] = ACTIONS(2444),
  },
  [783] = {
    [sym_identifier] = ACTIONS(2350),
    [aux_sym_preproc_include_token1] = ACTIONS(2350),
    [aux_sym_preproc_def_token1] = ACTIONS(2350),
    [aux_sym_preproc_if_token1] = ACTIONS(2350),
    [aux_sym_preproc_if_token2] = ACTIONS(2350),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2350),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2350),
    [sym_preproc_directive] = ACTIONS(2350),
    [anon_sym_LPAREN2] = ACTIONS(2352),
    [anon_sym_BANG] = ACTIONS(2352),
    [anon_sym_TILDE] = ACTIONS(2352),
    [anon_sym_DASH] = ACTIONS(2350),
    [anon_sym_PLUS] = ACTIONS(2350),
    [anon_sym_STAR] = ACTIONS(2352),
    [anon_sym_AMP_AMP] = ACTIONS(2352),
    [anon_sym_AMP] = ACTIONS(2350),
    [anon_sym_SEMI] = ACTIONS(2352),
    [anon_sym___extension__] = ACTIONS(2350),
    [anon_sym_typedef] = ACTIONS(2350),
    [anon_sym_in] = ACTIONS(2350),
    [anon_sym_out] = ACTIONS(2350),
    [anon_sym_inout] = ACTIONS(2350),
    [anon_sym_extern] = ACTIONS(2350),
    [anon_sym___attribute__] = ACTIONS(2350),
    [anon_sym_COLON_COLON] = ACTIONS(2352),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2352),
    [anon_sym___declspec] = ACTIONS(2350),
    [anon_sym___based] = ACTIONS(2350),
    [anon_sym___cdecl] = ACTIONS(2350),
    [anon_sym___clrcall] = ACTIONS(2350),
    [anon_sym___stdcall] = ACTIONS(2350),
    [anon_sym___fastcall] = ACTIONS(2350),
    [anon_sym___thiscall] = ACTIONS(2350),
    [anon_sym___vectorcall] = ACTIONS(2350),
    [anon_sym_LBRACE] = ACTIONS(2352),
    [anon_sym_signed] = ACTIONS(2350),
    [anon_sym_unsigned] = ACTIONS(2350),
    [anon_sym_long] = ACTIONS(2350),
    [anon_sym_short] = ACTIONS(2350),
    [anon_sym_LBRACK] = ACTIONS(2350),
    [anon_sym_static] = ACTIONS(2350),
    [anon_sym_register] = ACTIONS(2350),
    [anon_sym_inline] = ACTIONS(2350),
    [anon_sym___inline] = ACTIONS(2350),
    [anon_sym___inline__] = ACTIONS(2350),
    [anon_sym___forceinline] = ACTIONS(2350),
    [anon_sym_thread_local] = ACTIONS(2350),
    [anon_sym___thread] = ACTIONS(2350),
    [anon_sym_const] = ACTIONS(2350),
    [anon_sym_constexpr] = ACTIONS(2350),
    [anon_sym_volatile] = ACTIONS(2350),
    [anon_sym_restrict] = ACTIONS(2350),
    [anon_sym___restrict__] = ACTIONS(2350),
    [anon_sym__Atomic] = ACTIONS(2350),
    [anon_sym__Noreturn] = ACTIONS(2350),
    [anon_sym_noreturn] = ACTIONS(2350),
    [anon_sym_mutable] = ACTIONS(2350),
    [anon_sym_constinit] = ACTIONS(2350),
    [anon_sym_consteval] = ACTIONS(2350),
    [sym_primitive_type] = ACTIONS(2350),
    [anon_sym_enum] = ACTIONS(2350),
    [anon_sym_class] = ACTIONS(2350),
    [anon_sym_struct] = ACTIONS(2350),
    [anon_sym_union] = ACTIONS(2350),
    [anon_sym_if] = ACTIONS(2350),
    [anon_sym_else] = ACTIONS(2350),
    [anon_sym_switch] = ACTIONS(2350),
    [anon_sym_case] = ACTIONS(2350),
    [anon_sym_default] = ACTIONS(2350),
    [anon_sym_while] = ACTIONS(2350),
    [anon_sym_do] = ACTIONS(2350),
    [anon_sym_for] = ACTIONS(2350),
    [anon_sym_return] = ACTIONS(2350),
    [anon_sym_break] = ACTIONS(2350),
    [anon_sym_continue] = ACTIONS(2350),
    [anon_sym_goto] = ACTIONS(2350),
    [anon_sym___try] = ACTIONS(2350),
    [anon_sym___leave] = ACTIONS(2350),
    [anon_sym_not] = ACTIONS(2350),
    [anon_sym_compl] = ACTIONS(2350),
    [anon_sym_DASH_DASH] = ACTIONS(2352),
    [anon_sym_PLUS_PLUS] = ACTIONS(2352),
    [anon_sym_sizeof] = ACTIONS(2350),
    [anon_sym___alignof__] = ACTIONS(2350),
    [anon_sym___alignof] = ACTIONS(2350),
    [anon_sym__alignof] = ACTIONS(2350),
    [anon_sym_alignof] = ACTIONS(2350),
    [anon_sym__Alignof] = ACTIONS(2350),
    [anon_sym_offsetof] = ACTIONS(2350),
    [anon_sym__Generic] = ACTIONS(2350),
    [anon_sym_asm] = ACTIONS(2350),
    [anon_sym___asm__] = ACTIONS(2350),
    [sym_number_literal] = ACTIONS(2352),
    [anon_sym_L_SQUOTE] = ACTIONS(2352),
    [anon_sym_u_SQUOTE] = ACTIONS(2352),
    [anon_sym_U_SQUOTE] = ACTIONS(2352),
    [anon_sym_u8_SQUOTE] = ACTIONS(2352),
    [anon_sym_SQUOTE] = ACTIONS(2352),
    [anon_sym_L_DQUOTE] = ACTIONS(2352),
    [anon_sym_u_DQUOTE] = ACTIONS(2352),
    [anon_sym_U_DQUOTE] = ACTIONS(2352),
    [anon_sym_u8_DQUOTE] = ACTIONS(2352),
    [anon_sym_DQUOTE] = ACTIONS(2352),
    [sym_true] = ACTIONS(2350),
    [sym_false] = ACTIONS(2350),
    [anon_sym_NULL] = ACTIONS(2350),
    [anon_sym_nullptr] = ACTIONS(2350),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2350),
    [anon_sym_decltype] = ACTIONS(2350),
    [anon_sym_virtual] = ACTIONS(2350),
    [anon_sym_alignas] = ACTIONS(2350),
    [anon_sym_explicit] = ACTIONS(2350),
    [anon_sym_typename] = ACTIONS(2350),
    [anon_sym_template] = ACTIONS(2350),
    [anon_sym_operator] = ACTIONS(2350),
    [anon_sym_try] = ACTIONS(2350),
    [anon_sym_delete] = ACTIONS(2350),
    [anon_sym_throw] = ACTIONS(2350),
    [anon_sym_namespace] = ACTIONS(2350),
    [anon_sym_using] = ACTIONS(2350),
    [anon_sym_static_assert] = ACTIONS(2350),
    [anon_sym_concept] = ACTIONS(2350),
    [anon_sym_co_return] = ACTIONS(2350),
    [anon_sym_co_yield] = ACTIONS(2350),
    [anon_sym_R_DQUOTE] = ACTIONS(2352),
    [anon_sym_LR_DQUOTE] = ACTIONS(2352),
    [anon_sym_uR_DQUOTE] = ACTIONS(2352),
    [anon_sym_UR_DQUOTE] = ACTIONS(2352),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2352),
    [anon_sym_co_await] = ACTIONS(2350),
    [anon_sym_new] = ACTIONS(2350),
    [anon_sym_requires] = ACTIONS(2350),
    [sym_this] = ACTIONS(2350),
    [anon_sym_discard] = ACTIONS(2350),
    [anon_sym_precise] = ACTIONS(2350),
    [anon_sym_shared] = ACTIONS(2350),
    [anon_sym_groupshared] = ACTIONS(2350),
    [anon_sym_uniform] = ACTIONS(2350),
    [anon_sym_row_major] = ACTIONS(2350),
    [anon_sym_column_major] = ACTIONS(2350),
    [anon_sym_globallycoherent] = ACTIONS(2350),
    [anon_sym_centroid] = ACTIONS(2350),
    [anon_sym_noperspective] = ACTIONS(2350),
    [anon_sym_nointerpolation] = ACTIONS(2350),
    [anon_sym_sample] = ACTIONS(2350),
    [anon_sym_linear] = ACTIONS(2350),
    [anon_sym_snorm] = ACTIONS(2350),
    [anon_sym_unorm] = ACTIONS(2350),
    [anon_sym_point] = ACTIONS(2350),
    [anon_sym_line] = ACTIONS(2350),
    [anon_sym_triangleadj] = ACTIONS(2350),
    [anon_sym_lineadj] = ACTIONS(2350),
    [anon_sym_triangle] = ACTIONS(2350),
    [anon_sym_cbuffer] = ACTIONS(2350),
  },
  [784] = {
    [sym_identifier] = ACTIONS(2392),
    [aux_sym_preproc_include_token1] = ACTIONS(2392),
    [aux_sym_preproc_def_token1] = ACTIONS(2392),
    [aux_sym_preproc_if_token1] = ACTIONS(2392),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2392),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2392),
    [sym_preproc_directive] = ACTIONS(2392),
    [anon_sym_LPAREN2] = ACTIONS(2394),
    [anon_sym_BANG] = ACTIONS(2394),
    [anon_sym_TILDE] = ACTIONS(2394),
    [anon_sym_DASH] = ACTIONS(2392),
    [anon_sym_PLUS] = ACTIONS(2392),
    [anon_sym_STAR] = ACTIONS(2394),
    [anon_sym_AMP_AMP] = ACTIONS(2394),
    [anon_sym_AMP] = ACTIONS(2392),
    [anon_sym_SEMI] = ACTIONS(2394),
    [anon_sym___extension__] = ACTIONS(2392),
    [anon_sym_typedef] = ACTIONS(2392),
    [anon_sym_in] = ACTIONS(2392),
    [anon_sym_out] = ACTIONS(2392),
    [anon_sym_inout] = ACTIONS(2392),
    [anon_sym_extern] = ACTIONS(2392),
    [anon_sym___attribute__] = ACTIONS(2392),
    [anon_sym_COLON_COLON] = ACTIONS(2394),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2394),
    [anon_sym___declspec] = ACTIONS(2392),
    [anon_sym___based] = ACTIONS(2392),
    [anon_sym___cdecl] = ACTIONS(2392),
    [anon_sym___clrcall] = ACTIONS(2392),
    [anon_sym___stdcall] = ACTIONS(2392),
    [anon_sym___fastcall] = ACTIONS(2392),
    [anon_sym___thiscall] = ACTIONS(2392),
    [anon_sym___vectorcall] = ACTIONS(2392),
    [anon_sym_LBRACE] = ACTIONS(2394),
    [anon_sym_RBRACE] = ACTIONS(2394),
    [anon_sym_signed] = ACTIONS(2392),
    [anon_sym_unsigned] = ACTIONS(2392),
    [anon_sym_long] = ACTIONS(2392),
    [anon_sym_short] = ACTIONS(2392),
    [anon_sym_LBRACK] = ACTIONS(2392),
    [anon_sym_static] = ACTIONS(2392),
    [anon_sym_register] = ACTIONS(2392),
    [anon_sym_inline] = ACTIONS(2392),
    [anon_sym___inline] = ACTIONS(2392),
    [anon_sym___inline__] = ACTIONS(2392),
    [anon_sym___forceinline] = ACTIONS(2392),
    [anon_sym_thread_local] = ACTIONS(2392),
    [anon_sym___thread] = ACTIONS(2392),
    [anon_sym_const] = ACTIONS(2392),
    [anon_sym_constexpr] = ACTIONS(2392),
    [anon_sym_volatile] = ACTIONS(2392),
    [anon_sym_restrict] = ACTIONS(2392),
    [anon_sym___restrict__] = ACTIONS(2392),
    [anon_sym__Atomic] = ACTIONS(2392),
    [anon_sym__Noreturn] = ACTIONS(2392),
    [anon_sym_noreturn] = ACTIONS(2392),
    [anon_sym_mutable] = ACTIONS(2392),
    [anon_sym_constinit] = ACTIONS(2392),
    [anon_sym_consteval] = ACTIONS(2392),
    [sym_primitive_type] = ACTIONS(2392),
    [anon_sym_enum] = ACTIONS(2392),
    [anon_sym_class] = ACTIONS(2392),
    [anon_sym_struct] = ACTIONS(2392),
    [anon_sym_union] = ACTIONS(2392),
    [anon_sym_if] = ACTIONS(2392),
    [anon_sym_else] = ACTIONS(2392),
    [anon_sym_switch] = ACTIONS(2392),
    [anon_sym_case] = ACTIONS(2392),
    [anon_sym_default] = ACTIONS(2392),
    [anon_sym_while] = ACTIONS(2392),
    [anon_sym_do] = ACTIONS(2392),
    [anon_sym_for] = ACTIONS(2392),
    [anon_sym_return] = ACTIONS(2392),
    [anon_sym_break] = ACTIONS(2392),
    [anon_sym_continue] = ACTIONS(2392),
    [anon_sym_goto] = ACTIONS(2392),
    [anon_sym___try] = ACTIONS(2392),
    [anon_sym___leave] = ACTIONS(2392),
    [anon_sym_not] = ACTIONS(2392),
    [anon_sym_compl] = ACTIONS(2392),
    [anon_sym_DASH_DASH] = ACTIONS(2394),
    [anon_sym_PLUS_PLUS] = ACTIONS(2394),
    [anon_sym_sizeof] = ACTIONS(2392),
    [anon_sym___alignof__] = ACTIONS(2392),
    [anon_sym___alignof] = ACTIONS(2392),
    [anon_sym__alignof] = ACTIONS(2392),
    [anon_sym_alignof] = ACTIONS(2392),
    [anon_sym__Alignof] = ACTIONS(2392),
    [anon_sym_offsetof] = ACTIONS(2392),
    [anon_sym__Generic] = ACTIONS(2392),
    [anon_sym_asm] = ACTIONS(2392),
    [anon_sym___asm__] = ACTIONS(2392),
    [sym_number_literal] = ACTIONS(2394),
    [anon_sym_L_SQUOTE] = ACTIONS(2394),
    [anon_sym_u_SQUOTE] = ACTIONS(2394),
    [anon_sym_U_SQUOTE] = ACTIONS(2394),
    [anon_sym_u8_SQUOTE] = ACTIONS(2394),
    [anon_sym_SQUOTE] = ACTIONS(2394),
    [anon_sym_L_DQUOTE] = ACTIONS(2394),
    [anon_sym_u_DQUOTE] = ACTIONS(2394),
    [anon_sym_U_DQUOTE] = ACTIONS(2394),
    [anon_sym_u8_DQUOTE] = ACTIONS(2394),
    [anon_sym_DQUOTE] = ACTIONS(2394),
    [sym_true] = ACTIONS(2392),
    [sym_false] = ACTIONS(2392),
    [anon_sym_NULL] = ACTIONS(2392),
    [anon_sym_nullptr] = ACTIONS(2392),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2392),
    [anon_sym_decltype] = ACTIONS(2392),
    [anon_sym_virtual] = ACTIONS(2392),
    [anon_sym_alignas] = ACTIONS(2392),
    [anon_sym_explicit] = ACTIONS(2392),
    [anon_sym_typename] = ACTIONS(2392),
    [anon_sym_template] = ACTIONS(2392),
    [anon_sym_operator] = ACTIONS(2392),
    [anon_sym_try] = ACTIONS(2392),
    [anon_sym_delete] = ACTIONS(2392),
    [anon_sym_throw] = ACTIONS(2392),
    [anon_sym_namespace] = ACTIONS(2392),
    [anon_sym_using] = ACTIONS(2392),
    [anon_sym_static_assert] = ACTIONS(2392),
    [anon_sym_concept] = ACTIONS(2392),
    [anon_sym_co_return] = ACTIONS(2392),
    [anon_sym_co_yield] = ACTIONS(2392),
    [anon_sym_R_DQUOTE] = ACTIONS(2394),
    [anon_sym_LR_DQUOTE] = ACTIONS(2394),
    [anon_sym_uR_DQUOTE] = ACTIONS(2394),
    [anon_sym_UR_DQUOTE] = ACTIONS(2394),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2394),
    [anon_sym_co_await] = ACTIONS(2392),
    [anon_sym_new] = ACTIONS(2392),
    [anon_sym_requires] = ACTIONS(2392),
    [sym_this] = ACTIONS(2392),
    [anon_sym_discard] = ACTIONS(2392),
    [anon_sym_precise] = ACTIONS(2392),
    [anon_sym_shared] = ACTIONS(2392),
    [anon_sym_groupshared] = ACTIONS(2392),
    [anon_sym_uniform] = ACTIONS(2392),
    [anon_sym_row_major] = ACTIONS(2392),
    [anon_sym_column_major] = ACTIONS(2392),
    [anon_sym_globallycoherent] = ACTIONS(2392),
    [anon_sym_centroid] = ACTIONS(2392),
    [anon_sym_noperspective] = ACTIONS(2392),
    [anon_sym_nointerpolation] = ACTIONS(2392),
    [anon_sym_sample] = ACTIONS(2392),
    [anon_sym_linear] = ACTIONS(2392),
    [anon_sym_snorm] = ACTIONS(2392),
    [anon_sym_unorm] = ACTIONS(2392),
    [anon_sym_point] = ACTIONS(2392),
    [anon_sym_line] = ACTIONS(2392),
    [anon_sym_triangleadj] = ACTIONS(2392),
    [anon_sym_lineadj] = ACTIONS(2392),
    [anon_sym_triangle] = ACTIONS(2392),
    [anon_sym_cbuffer] = ACTIONS(2392),
  },
  [785] = {
    [sym_identifier] = ACTIONS(2432),
    [aux_sym_preproc_include_token1] = ACTIONS(2432),
    [aux_sym_preproc_def_token1] = ACTIONS(2432),
    [aux_sym_preproc_if_token1] = ACTIONS(2432),
    [aux_sym_preproc_if_token2] = ACTIONS(2432),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2432),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2432),
    [sym_preproc_directive] = ACTIONS(2432),
    [anon_sym_LPAREN2] = ACTIONS(2434),
    [anon_sym_BANG] = ACTIONS(2434),
    [anon_sym_TILDE] = ACTIONS(2434),
    [anon_sym_DASH] = ACTIONS(2432),
    [anon_sym_PLUS] = ACTIONS(2432),
    [anon_sym_STAR] = ACTIONS(2434),
    [anon_sym_AMP_AMP] = ACTIONS(2434),
    [anon_sym_AMP] = ACTIONS(2432),
    [anon_sym_SEMI] = ACTIONS(2434),
    [anon_sym___extension__] = ACTIONS(2432),
    [anon_sym_typedef] = ACTIONS(2432),
    [anon_sym_in] = ACTIONS(2432),
    [anon_sym_out] = ACTIONS(2432),
    [anon_sym_inout] = ACTIONS(2432),
    [anon_sym_extern] = ACTIONS(2432),
    [anon_sym___attribute__] = ACTIONS(2432),
    [anon_sym_COLON_COLON] = ACTIONS(2434),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2434),
    [anon_sym___declspec] = ACTIONS(2432),
    [anon_sym___based] = ACTIONS(2432),
    [anon_sym___cdecl] = ACTIONS(2432),
    [anon_sym___clrcall] = ACTIONS(2432),
    [anon_sym___stdcall] = ACTIONS(2432),
    [anon_sym___fastcall] = ACTIONS(2432),
    [anon_sym___thiscall] = ACTIONS(2432),
    [anon_sym___vectorcall] = ACTIONS(2432),
    [anon_sym_LBRACE] = ACTIONS(2434),
    [anon_sym_signed] = ACTIONS(2432),
    [anon_sym_unsigned] = ACTIONS(2432),
    [anon_sym_long] = ACTIONS(2432),
    [anon_sym_short] = ACTIONS(2432),
    [anon_sym_LBRACK] = ACTIONS(2432),
    [anon_sym_static] = ACTIONS(2432),
    [anon_sym_register] = ACTIONS(2432),
    [anon_sym_inline] = ACTIONS(2432),
    [anon_sym___inline] = ACTIONS(2432),
    [anon_sym___inline__] = ACTIONS(2432),
    [anon_sym___forceinline] = ACTIONS(2432),
    [anon_sym_thread_local] = ACTIONS(2432),
    [anon_sym___thread] = ACTIONS(2432),
    [anon_sym_const] = ACTIONS(2432),
    [anon_sym_constexpr] = ACTIONS(2432),
    [anon_sym_volatile] = ACTIONS(2432),
    [anon_sym_restrict] = ACTIONS(2432),
    [anon_sym___restrict__] = ACTIONS(2432),
    [anon_sym__Atomic] = ACTIONS(2432),
    [anon_sym__Noreturn] = ACTIONS(2432),
    [anon_sym_noreturn] = ACTIONS(2432),
    [anon_sym_mutable] = ACTIONS(2432),
    [anon_sym_constinit] = ACTIONS(2432),
    [anon_sym_consteval] = ACTIONS(2432),
    [sym_primitive_type] = ACTIONS(2432),
    [anon_sym_enum] = ACTIONS(2432),
    [anon_sym_class] = ACTIONS(2432),
    [anon_sym_struct] = ACTIONS(2432),
    [anon_sym_union] = ACTIONS(2432),
    [anon_sym_if] = ACTIONS(2432),
    [anon_sym_else] = ACTIONS(2432),
    [anon_sym_switch] = ACTIONS(2432),
    [anon_sym_case] = ACTIONS(2432),
    [anon_sym_default] = ACTIONS(2432),
    [anon_sym_while] = ACTIONS(2432),
    [anon_sym_do] = ACTIONS(2432),
    [anon_sym_for] = ACTIONS(2432),
    [anon_sym_return] = ACTIONS(2432),
    [anon_sym_break] = ACTIONS(2432),
    [anon_sym_continue] = ACTIONS(2432),
    [anon_sym_goto] = ACTIONS(2432),
    [anon_sym___try] = ACTIONS(2432),
    [anon_sym___leave] = ACTIONS(2432),
    [anon_sym_not] = ACTIONS(2432),
    [anon_sym_compl] = ACTIONS(2432),
    [anon_sym_DASH_DASH] = ACTIONS(2434),
    [anon_sym_PLUS_PLUS] = ACTIONS(2434),
    [anon_sym_sizeof] = ACTIONS(2432),
    [anon_sym___alignof__] = ACTIONS(2432),
    [anon_sym___alignof] = ACTIONS(2432),
    [anon_sym__alignof] = ACTIONS(2432),
    [anon_sym_alignof] = ACTIONS(2432),
    [anon_sym__Alignof] = ACTIONS(2432),
    [anon_sym_offsetof] = ACTIONS(2432),
    [anon_sym__Generic] = ACTIONS(2432),
    [anon_sym_asm] = ACTIONS(2432),
    [anon_sym___asm__] = ACTIONS(2432),
    [sym_number_literal] = ACTIONS(2434),
    [anon_sym_L_SQUOTE] = ACTIONS(2434),
    [anon_sym_u_SQUOTE] = ACTIONS(2434),
    [anon_sym_U_SQUOTE] = ACTIONS(2434),
    [anon_sym_u8_SQUOTE] = ACTIONS(2434),
    [anon_sym_SQUOTE] = ACTIONS(2434),
    [anon_sym_L_DQUOTE] = ACTIONS(2434),
    [anon_sym_u_DQUOTE] = ACTIONS(2434),
    [anon_sym_U_DQUOTE] = ACTIONS(2434),
    [anon_sym_u8_DQUOTE] = ACTIONS(2434),
    [anon_sym_DQUOTE] = ACTIONS(2434),
    [sym_true] = ACTIONS(2432),
    [sym_false] = ACTIONS(2432),
    [anon_sym_NULL] = ACTIONS(2432),
    [anon_sym_nullptr] = ACTIONS(2432),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2432),
    [anon_sym_decltype] = ACTIONS(2432),
    [anon_sym_virtual] = ACTIONS(2432),
    [anon_sym_alignas] = ACTIONS(2432),
    [anon_sym_explicit] = ACTIONS(2432),
    [anon_sym_typename] = ACTIONS(2432),
    [anon_sym_template] = ACTIONS(2432),
    [anon_sym_operator] = ACTIONS(2432),
    [anon_sym_try] = ACTIONS(2432),
    [anon_sym_delete] = ACTIONS(2432),
    [anon_sym_throw] = ACTIONS(2432),
    [anon_sym_namespace] = ACTIONS(2432),
    [anon_sym_using] = ACTIONS(2432),
    [anon_sym_static_assert] = ACTIONS(2432),
    [anon_sym_concept] = ACTIONS(2432),
    [anon_sym_co_return] = ACTIONS(2432),
    [anon_sym_co_yield] = ACTIONS(2432),
    [anon_sym_R_DQUOTE] = ACTIONS(2434),
    [anon_sym_LR_DQUOTE] = ACTIONS(2434),
    [anon_sym_uR_DQUOTE] = ACTIONS(2434),
    [anon_sym_UR_DQUOTE] = ACTIONS(2434),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2434),
    [anon_sym_co_await] = ACTIONS(2432),
    [anon_sym_new] = ACTIONS(2432),
    [anon_sym_requires] = ACTIONS(2432),
    [sym_this] = ACTIONS(2432),
    [anon_sym_discard] = ACTIONS(2432),
    [anon_sym_precise] = ACTIONS(2432),
    [anon_sym_shared] = ACTIONS(2432),
    [anon_sym_groupshared] = ACTIONS(2432),
    [anon_sym_uniform] = ACTIONS(2432),
    [anon_sym_row_major] = ACTIONS(2432),
    [anon_sym_column_major] = ACTIONS(2432),
    [anon_sym_globallycoherent] = ACTIONS(2432),
    [anon_sym_centroid] = ACTIONS(2432),
    [anon_sym_noperspective] = ACTIONS(2432),
    [anon_sym_nointerpolation] = ACTIONS(2432),
    [anon_sym_sample] = ACTIONS(2432),
    [anon_sym_linear] = ACTIONS(2432),
    [anon_sym_snorm] = ACTIONS(2432),
    [anon_sym_unorm] = ACTIONS(2432),
    [anon_sym_point] = ACTIONS(2432),
    [anon_sym_line] = ACTIONS(2432),
    [anon_sym_triangleadj] = ACTIONS(2432),
    [anon_sym_lineadj] = ACTIONS(2432),
    [anon_sym_triangle] = ACTIONS(2432),
    [anon_sym_cbuffer] = ACTIONS(2432),
  },
  [786] = {
    [ts_builtin_sym_end] = ACTIONS(2332),
    [sym_identifier] = ACTIONS(2330),
    [aux_sym_preproc_include_token1] = ACTIONS(2330),
    [aux_sym_preproc_def_token1] = ACTIONS(2330),
    [aux_sym_preproc_if_token1] = ACTIONS(2330),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2330),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2330),
    [sym_preproc_directive] = ACTIONS(2330),
    [anon_sym_LPAREN2] = ACTIONS(2332),
    [anon_sym_BANG] = ACTIONS(2332),
    [anon_sym_TILDE] = ACTIONS(2332),
    [anon_sym_DASH] = ACTIONS(2330),
    [anon_sym_PLUS] = ACTIONS(2330),
    [anon_sym_STAR] = ACTIONS(2332),
    [anon_sym_AMP_AMP] = ACTIONS(2332),
    [anon_sym_AMP] = ACTIONS(2330),
    [anon_sym_SEMI] = ACTIONS(2332),
    [anon_sym___extension__] = ACTIONS(2330),
    [anon_sym_typedef] = ACTIONS(2330),
    [anon_sym_in] = ACTIONS(2330),
    [anon_sym_out] = ACTIONS(2330),
    [anon_sym_inout] = ACTIONS(2330),
    [anon_sym_extern] = ACTIONS(2330),
    [anon_sym___attribute__] = ACTIONS(2330),
    [anon_sym_COLON_COLON] = ACTIONS(2332),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2332),
    [anon_sym___declspec] = ACTIONS(2330),
    [anon_sym___based] = ACTIONS(2330),
    [anon_sym___cdecl] = ACTIONS(2330),
    [anon_sym___clrcall] = ACTIONS(2330),
    [anon_sym___stdcall] = ACTIONS(2330),
    [anon_sym___fastcall] = ACTIONS(2330),
    [anon_sym___thiscall] = ACTIONS(2330),
    [anon_sym___vectorcall] = ACTIONS(2330),
    [anon_sym_LBRACE] = ACTIONS(2332),
    [anon_sym_signed] = ACTIONS(2330),
    [anon_sym_unsigned] = ACTIONS(2330),
    [anon_sym_long] = ACTIONS(2330),
    [anon_sym_short] = ACTIONS(2330),
    [anon_sym_LBRACK] = ACTIONS(2330),
    [anon_sym_static] = ACTIONS(2330),
    [anon_sym_register] = ACTIONS(2330),
    [anon_sym_inline] = ACTIONS(2330),
    [anon_sym___inline] = ACTIONS(2330),
    [anon_sym___inline__] = ACTIONS(2330),
    [anon_sym___forceinline] = ACTIONS(2330),
    [anon_sym_thread_local] = ACTIONS(2330),
    [anon_sym___thread] = ACTIONS(2330),
    [anon_sym_const] = ACTIONS(2330),
    [anon_sym_constexpr] = ACTIONS(2330),
    [anon_sym_volatile] = ACTIONS(2330),
    [anon_sym_restrict] = ACTIONS(2330),
    [anon_sym___restrict__] = ACTIONS(2330),
    [anon_sym__Atomic] = ACTIONS(2330),
    [anon_sym__Noreturn] = ACTIONS(2330),
    [anon_sym_noreturn] = ACTIONS(2330),
    [anon_sym_mutable] = ACTIONS(2330),
    [anon_sym_constinit] = ACTIONS(2330),
    [anon_sym_consteval] = ACTIONS(2330),
    [sym_primitive_type] = ACTIONS(2330),
    [anon_sym_enum] = ACTIONS(2330),
    [anon_sym_class] = ACTIONS(2330),
    [anon_sym_struct] = ACTIONS(2330),
    [anon_sym_union] = ACTIONS(2330),
    [anon_sym_if] = ACTIONS(2330),
    [anon_sym_else] = ACTIONS(2330),
    [anon_sym_switch] = ACTIONS(2330),
    [anon_sym_case] = ACTIONS(2330),
    [anon_sym_default] = ACTIONS(2330),
    [anon_sym_while] = ACTIONS(2330),
    [anon_sym_do] = ACTIONS(2330),
    [anon_sym_for] = ACTIONS(2330),
    [anon_sym_return] = ACTIONS(2330),
    [anon_sym_break] = ACTIONS(2330),
    [anon_sym_continue] = ACTIONS(2330),
    [anon_sym_goto] = ACTIONS(2330),
    [anon_sym___try] = ACTIONS(2330),
    [anon_sym___leave] = ACTIONS(2330),
    [anon_sym_not] = ACTIONS(2330),
    [anon_sym_compl] = ACTIONS(2330),
    [anon_sym_DASH_DASH] = ACTIONS(2332),
    [anon_sym_PLUS_PLUS] = ACTIONS(2332),
    [anon_sym_sizeof] = ACTIONS(2330),
    [anon_sym___alignof__] = ACTIONS(2330),
    [anon_sym___alignof] = ACTIONS(2330),
    [anon_sym__alignof] = ACTIONS(2330),
    [anon_sym_alignof] = ACTIONS(2330),
    [anon_sym__Alignof] = ACTIONS(2330),
    [anon_sym_offsetof] = ACTIONS(2330),
    [anon_sym__Generic] = ACTIONS(2330),
    [anon_sym_asm] = ACTIONS(2330),
    [anon_sym___asm__] = ACTIONS(2330),
    [sym_number_literal] = ACTIONS(2332),
    [anon_sym_L_SQUOTE] = ACTIONS(2332),
    [anon_sym_u_SQUOTE] = ACTIONS(2332),
    [anon_sym_U_SQUOTE] = ACTIONS(2332),
    [anon_sym_u8_SQUOTE] = ACTIONS(2332),
    [anon_sym_SQUOTE] = ACTIONS(2332),
    [anon_sym_L_DQUOTE] = ACTIONS(2332),
    [anon_sym_u_DQUOTE] = ACTIONS(2332),
    [anon_sym_U_DQUOTE] = ACTIONS(2332),
    [anon_sym_u8_DQUOTE] = ACTIONS(2332),
    [anon_sym_DQUOTE] = ACTIONS(2332),
    [sym_true] = ACTIONS(2330),
    [sym_false] = ACTIONS(2330),
    [anon_sym_NULL] = ACTIONS(2330),
    [anon_sym_nullptr] = ACTIONS(2330),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2330),
    [anon_sym_decltype] = ACTIONS(2330),
    [anon_sym_virtual] = ACTIONS(2330),
    [anon_sym_alignas] = ACTIONS(2330),
    [anon_sym_explicit] = ACTIONS(2330),
    [anon_sym_typename] = ACTIONS(2330),
    [anon_sym_template] = ACTIONS(2330),
    [anon_sym_operator] = ACTIONS(2330),
    [anon_sym_try] = ACTIONS(2330),
    [anon_sym_delete] = ACTIONS(2330),
    [anon_sym_throw] = ACTIONS(2330),
    [anon_sym_namespace] = ACTIONS(2330),
    [anon_sym_using] = ACTIONS(2330),
    [anon_sym_static_assert] = ACTIONS(2330),
    [anon_sym_concept] = ACTIONS(2330),
    [anon_sym_co_return] = ACTIONS(2330),
    [anon_sym_co_yield] = ACTIONS(2330),
    [anon_sym_R_DQUOTE] = ACTIONS(2332),
    [anon_sym_LR_DQUOTE] = ACTIONS(2332),
    [anon_sym_uR_DQUOTE] = ACTIONS(2332),
    [anon_sym_UR_DQUOTE] = ACTIONS(2332),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2332),
    [anon_sym_co_await] = ACTIONS(2330),
    [anon_sym_new] = ACTIONS(2330),
    [anon_sym_requires] = ACTIONS(2330),
    [sym_this] = ACTIONS(2330),
    [anon_sym_discard] = ACTIONS(2330),
    [anon_sym_precise] = ACTIONS(2330),
    [anon_sym_shared] = ACTIONS(2330),
    [anon_sym_groupshared] = ACTIONS(2330),
    [anon_sym_uniform] = ACTIONS(2330),
    [anon_sym_row_major] = ACTIONS(2330),
    [anon_sym_column_major] = ACTIONS(2330),
    [anon_sym_globallycoherent] = ACTIONS(2330),
    [anon_sym_centroid] = ACTIONS(2330),
    [anon_sym_noperspective] = ACTIONS(2330),
    [anon_sym_nointerpolation] = ACTIONS(2330),
    [anon_sym_sample] = ACTIONS(2330),
    [anon_sym_linear] = ACTIONS(2330),
    [anon_sym_snorm] = ACTIONS(2330),
    [anon_sym_unorm] = ACTIONS(2330),
    [anon_sym_point] = ACTIONS(2330),
    [anon_sym_line] = ACTIONS(2330),
    [anon_sym_triangleadj] = ACTIONS(2330),
    [anon_sym_lineadj] = ACTIONS(2330),
    [anon_sym_triangle] = ACTIONS(2330),
    [anon_sym_cbuffer] = ACTIONS(2330),
  },
  [787] = {
    [sym_identifier] = ACTIONS(2500),
    [aux_sym_preproc_include_token1] = ACTIONS(2500),
    [aux_sym_preproc_def_token1] = ACTIONS(2500),
    [aux_sym_preproc_if_token1] = ACTIONS(2500),
    [aux_sym_preproc_if_token2] = ACTIONS(2500),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2500),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2500),
    [sym_preproc_directive] = ACTIONS(2500),
    [anon_sym_LPAREN2] = ACTIONS(2502),
    [anon_sym_BANG] = ACTIONS(2502),
    [anon_sym_TILDE] = ACTIONS(2502),
    [anon_sym_DASH] = ACTIONS(2500),
    [anon_sym_PLUS] = ACTIONS(2500),
    [anon_sym_STAR] = ACTIONS(2502),
    [anon_sym_AMP_AMP] = ACTIONS(2502),
    [anon_sym_AMP] = ACTIONS(2500),
    [anon_sym_SEMI] = ACTIONS(2502),
    [anon_sym___extension__] = ACTIONS(2500),
    [anon_sym_typedef] = ACTIONS(2500),
    [anon_sym_in] = ACTIONS(2500),
    [anon_sym_out] = ACTIONS(2500),
    [anon_sym_inout] = ACTIONS(2500),
    [anon_sym_extern] = ACTIONS(2500),
    [anon_sym___attribute__] = ACTIONS(2500),
    [anon_sym_COLON_COLON] = ACTIONS(2502),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2502),
    [anon_sym___declspec] = ACTIONS(2500),
    [anon_sym___based] = ACTIONS(2500),
    [anon_sym___cdecl] = ACTIONS(2500),
    [anon_sym___clrcall] = ACTIONS(2500),
    [anon_sym___stdcall] = ACTIONS(2500),
    [anon_sym___fastcall] = ACTIONS(2500),
    [anon_sym___thiscall] = ACTIONS(2500),
    [anon_sym___vectorcall] = ACTIONS(2500),
    [anon_sym_LBRACE] = ACTIONS(2502),
    [anon_sym_signed] = ACTIONS(2500),
    [anon_sym_unsigned] = ACTIONS(2500),
    [anon_sym_long] = ACTIONS(2500),
    [anon_sym_short] = ACTIONS(2500),
    [anon_sym_LBRACK] = ACTIONS(2500),
    [anon_sym_static] = ACTIONS(2500),
    [anon_sym_register] = ACTIONS(2500),
    [anon_sym_inline] = ACTIONS(2500),
    [anon_sym___inline] = ACTIONS(2500),
    [anon_sym___inline__] = ACTIONS(2500),
    [anon_sym___forceinline] = ACTIONS(2500),
    [anon_sym_thread_local] = ACTIONS(2500),
    [anon_sym___thread] = ACTIONS(2500),
    [anon_sym_const] = ACTIONS(2500),
    [anon_sym_constexpr] = ACTIONS(2500),
    [anon_sym_volatile] = ACTIONS(2500),
    [anon_sym_restrict] = ACTIONS(2500),
    [anon_sym___restrict__] = ACTIONS(2500),
    [anon_sym__Atomic] = ACTIONS(2500),
    [anon_sym__Noreturn] = ACTIONS(2500),
    [anon_sym_noreturn] = ACTIONS(2500),
    [anon_sym_mutable] = ACTIONS(2500),
    [anon_sym_constinit] = ACTIONS(2500),
    [anon_sym_consteval] = ACTIONS(2500),
    [sym_primitive_type] = ACTIONS(2500),
    [anon_sym_enum] = ACTIONS(2500),
    [anon_sym_class] = ACTIONS(2500),
    [anon_sym_struct] = ACTIONS(2500),
    [anon_sym_union] = ACTIONS(2500),
    [anon_sym_if] = ACTIONS(2500),
    [anon_sym_else] = ACTIONS(2500),
    [anon_sym_switch] = ACTIONS(2500),
    [anon_sym_case] = ACTIONS(2500),
    [anon_sym_default] = ACTIONS(2500),
    [anon_sym_while] = ACTIONS(2500),
    [anon_sym_do] = ACTIONS(2500),
    [anon_sym_for] = ACTIONS(2500),
    [anon_sym_return] = ACTIONS(2500),
    [anon_sym_break] = ACTIONS(2500),
    [anon_sym_continue] = ACTIONS(2500),
    [anon_sym_goto] = ACTIONS(2500),
    [anon_sym___try] = ACTIONS(2500),
    [anon_sym___leave] = ACTIONS(2500),
    [anon_sym_not] = ACTIONS(2500),
    [anon_sym_compl] = ACTIONS(2500),
    [anon_sym_DASH_DASH] = ACTIONS(2502),
    [anon_sym_PLUS_PLUS] = ACTIONS(2502),
    [anon_sym_sizeof] = ACTIONS(2500),
    [anon_sym___alignof__] = ACTIONS(2500),
    [anon_sym___alignof] = ACTIONS(2500),
    [anon_sym__alignof] = ACTIONS(2500),
    [anon_sym_alignof] = ACTIONS(2500),
    [anon_sym__Alignof] = ACTIONS(2500),
    [anon_sym_offsetof] = ACTIONS(2500),
    [anon_sym__Generic] = ACTIONS(2500),
    [anon_sym_asm] = ACTIONS(2500),
    [anon_sym___asm__] = ACTIONS(2500),
    [sym_number_literal] = ACTIONS(2502),
    [anon_sym_L_SQUOTE] = ACTIONS(2502),
    [anon_sym_u_SQUOTE] = ACTIONS(2502),
    [anon_sym_U_SQUOTE] = ACTIONS(2502),
    [anon_sym_u8_SQUOTE] = ACTIONS(2502),
    [anon_sym_SQUOTE] = ACTIONS(2502),
    [anon_sym_L_DQUOTE] = ACTIONS(2502),
    [anon_sym_u_DQUOTE] = ACTIONS(2502),
    [anon_sym_U_DQUOTE] = ACTIONS(2502),
    [anon_sym_u8_DQUOTE] = ACTIONS(2502),
    [anon_sym_DQUOTE] = ACTIONS(2502),
    [sym_true] = ACTIONS(2500),
    [sym_false] = ACTIONS(2500),
    [anon_sym_NULL] = ACTIONS(2500),
    [anon_sym_nullptr] = ACTIONS(2500),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2500),
    [anon_sym_decltype] = ACTIONS(2500),
    [anon_sym_virtual] = ACTIONS(2500),
    [anon_sym_alignas] = ACTIONS(2500),
    [anon_sym_explicit] = ACTIONS(2500),
    [anon_sym_typename] = ACTIONS(2500),
    [anon_sym_template] = ACTIONS(2500),
    [anon_sym_operator] = ACTIONS(2500),
    [anon_sym_try] = ACTIONS(2500),
    [anon_sym_delete] = ACTIONS(2500),
    [anon_sym_throw] = ACTIONS(2500),
    [anon_sym_namespace] = ACTIONS(2500),
    [anon_sym_using] = ACTIONS(2500),
    [anon_sym_static_assert] = ACTIONS(2500),
    [anon_sym_concept] = ACTIONS(2500),
    [anon_sym_co_return] = ACTIONS(2500),
    [anon_sym_co_yield] = ACTIONS(2500),
    [anon_sym_R_DQUOTE] = ACTIONS(2502),
    [anon_sym_LR_DQUOTE] = ACTIONS(2502),
    [anon_sym_uR_DQUOTE] = ACTIONS(2502),
    [anon_sym_UR_DQUOTE] = ACTIONS(2502),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2502),
    [anon_sym_co_await] = ACTIONS(2500),
    [anon_sym_new] = ACTIONS(2500),
    [anon_sym_requires] = ACTIONS(2500),
    [sym_this] = ACTIONS(2500),
    [anon_sym_discard] = ACTIONS(2500),
    [anon_sym_precise] = ACTIONS(2500),
    [anon_sym_shared] = ACTIONS(2500),
    [anon_sym_groupshared] = ACTIONS(2500),
    [anon_sym_uniform] = ACTIONS(2500),
    [anon_sym_row_major] = ACTIONS(2500),
    [anon_sym_column_major] = ACTIONS(2500),
    [anon_sym_globallycoherent] = ACTIONS(2500),
    [anon_sym_centroid] = ACTIONS(2500),
    [anon_sym_noperspective] = ACTIONS(2500),
    [anon_sym_nointerpolation] = ACTIONS(2500),
    [anon_sym_sample] = ACTIONS(2500),
    [anon_sym_linear] = ACTIONS(2500),
    [anon_sym_snorm] = ACTIONS(2500),
    [anon_sym_unorm] = ACTIONS(2500),
    [anon_sym_point] = ACTIONS(2500),
    [anon_sym_line] = ACTIONS(2500),
    [anon_sym_triangleadj] = ACTIONS(2500),
    [anon_sym_lineadj] = ACTIONS(2500),
    [anon_sym_triangle] = ACTIONS(2500),
    [anon_sym_cbuffer] = ACTIONS(2500),
  },
  [788] = {
    [ts_builtin_sym_end] = ACTIONS(2446),
    [sym_identifier] = ACTIONS(2444),
    [aux_sym_preproc_include_token1] = ACTIONS(2444),
    [aux_sym_preproc_def_token1] = ACTIONS(2444),
    [aux_sym_preproc_if_token1] = ACTIONS(2444),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2444),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2444),
    [sym_preproc_directive] = ACTIONS(2444),
    [anon_sym_LPAREN2] = ACTIONS(2446),
    [anon_sym_BANG] = ACTIONS(2446),
    [anon_sym_TILDE] = ACTIONS(2446),
    [anon_sym_DASH] = ACTIONS(2444),
    [anon_sym_PLUS] = ACTIONS(2444),
    [anon_sym_STAR] = ACTIONS(2446),
    [anon_sym_AMP_AMP] = ACTIONS(2446),
    [anon_sym_AMP] = ACTIONS(2444),
    [anon_sym_SEMI] = ACTIONS(2446),
    [anon_sym___extension__] = ACTIONS(2444),
    [anon_sym_typedef] = ACTIONS(2444),
    [anon_sym_in] = ACTIONS(2444),
    [anon_sym_out] = ACTIONS(2444),
    [anon_sym_inout] = ACTIONS(2444),
    [anon_sym_extern] = ACTIONS(2444),
    [anon_sym___attribute__] = ACTIONS(2444),
    [anon_sym_COLON_COLON] = ACTIONS(2446),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2446),
    [anon_sym___declspec] = ACTIONS(2444),
    [anon_sym___based] = ACTIONS(2444),
    [anon_sym___cdecl] = ACTIONS(2444),
    [anon_sym___clrcall] = ACTIONS(2444),
    [anon_sym___stdcall] = ACTIONS(2444),
    [anon_sym___fastcall] = ACTIONS(2444),
    [anon_sym___thiscall] = ACTIONS(2444),
    [anon_sym___vectorcall] = ACTIONS(2444),
    [anon_sym_LBRACE] = ACTIONS(2446),
    [anon_sym_signed] = ACTIONS(2444),
    [anon_sym_unsigned] = ACTIONS(2444),
    [anon_sym_long] = ACTIONS(2444),
    [anon_sym_short] = ACTIONS(2444),
    [anon_sym_LBRACK] = ACTIONS(2444),
    [anon_sym_static] = ACTIONS(2444),
    [anon_sym_register] = ACTIONS(2444),
    [anon_sym_inline] = ACTIONS(2444),
    [anon_sym___inline] = ACTIONS(2444),
    [anon_sym___inline__] = ACTIONS(2444),
    [anon_sym___forceinline] = ACTIONS(2444),
    [anon_sym_thread_local] = ACTIONS(2444),
    [anon_sym___thread] = ACTIONS(2444),
    [anon_sym_const] = ACTIONS(2444),
    [anon_sym_constexpr] = ACTIONS(2444),
    [anon_sym_volatile] = ACTIONS(2444),
    [anon_sym_restrict] = ACTIONS(2444),
    [anon_sym___restrict__] = ACTIONS(2444),
    [anon_sym__Atomic] = ACTIONS(2444),
    [anon_sym__Noreturn] = ACTIONS(2444),
    [anon_sym_noreturn] = ACTIONS(2444),
    [anon_sym_mutable] = ACTIONS(2444),
    [anon_sym_constinit] = ACTIONS(2444),
    [anon_sym_consteval] = ACTIONS(2444),
    [sym_primitive_type] = ACTIONS(2444),
    [anon_sym_enum] = ACTIONS(2444),
    [anon_sym_class] = ACTIONS(2444),
    [anon_sym_struct] = ACTIONS(2444),
    [anon_sym_union] = ACTIONS(2444),
    [anon_sym_if] = ACTIONS(2444),
    [anon_sym_else] = ACTIONS(2444),
    [anon_sym_switch] = ACTIONS(2444),
    [anon_sym_case] = ACTIONS(2444),
    [anon_sym_default] = ACTIONS(2444),
    [anon_sym_while] = ACTIONS(2444),
    [anon_sym_do] = ACTIONS(2444),
    [anon_sym_for] = ACTIONS(2444),
    [anon_sym_return] = ACTIONS(2444),
    [anon_sym_break] = ACTIONS(2444),
    [anon_sym_continue] = ACTIONS(2444),
    [anon_sym_goto] = ACTIONS(2444),
    [anon_sym___try] = ACTIONS(2444),
    [anon_sym___leave] = ACTIONS(2444),
    [anon_sym_not] = ACTIONS(2444),
    [anon_sym_compl] = ACTIONS(2444),
    [anon_sym_DASH_DASH] = ACTIONS(2446),
    [anon_sym_PLUS_PLUS] = ACTIONS(2446),
    [anon_sym_sizeof] = ACTIONS(2444),
    [anon_sym___alignof__] = ACTIONS(2444),
    [anon_sym___alignof] = ACTIONS(2444),
    [anon_sym__alignof] = ACTIONS(2444),
    [anon_sym_alignof] = ACTIONS(2444),
    [anon_sym__Alignof] = ACTIONS(2444),
    [anon_sym_offsetof] = ACTIONS(2444),
    [anon_sym__Generic] = ACTIONS(2444),
    [anon_sym_asm] = ACTIONS(2444),
    [anon_sym___asm__] = ACTIONS(2444),
    [sym_number_literal] = ACTIONS(2446),
    [anon_sym_L_SQUOTE] = ACTIONS(2446),
    [anon_sym_u_SQUOTE] = ACTIONS(2446),
    [anon_sym_U_SQUOTE] = ACTIONS(2446),
    [anon_sym_u8_SQUOTE] = ACTIONS(2446),
    [anon_sym_SQUOTE] = ACTIONS(2446),
    [anon_sym_L_DQUOTE] = ACTIONS(2446),
    [anon_sym_u_DQUOTE] = ACTIONS(2446),
    [anon_sym_U_DQUOTE] = ACTIONS(2446),
    [anon_sym_u8_DQUOTE] = ACTIONS(2446),
    [anon_sym_DQUOTE] = ACTIONS(2446),
    [sym_true] = ACTIONS(2444),
    [sym_false] = ACTIONS(2444),
    [anon_sym_NULL] = ACTIONS(2444),
    [anon_sym_nullptr] = ACTIONS(2444),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2444),
    [anon_sym_decltype] = ACTIONS(2444),
    [anon_sym_virtual] = ACTIONS(2444),
    [anon_sym_alignas] = ACTIONS(2444),
    [anon_sym_explicit] = ACTIONS(2444),
    [anon_sym_typename] = ACTIONS(2444),
    [anon_sym_template] = ACTIONS(2444),
    [anon_sym_operator] = ACTIONS(2444),
    [anon_sym_try] = ACTIONS(2444),
    [anon_sym_delete] = ACTIONS(2444),
    [anon_sym_throw] = ACTIONS(2444),
    [anon_sym_namespace] = ACTIONS(2444),
    [anon_sym_using] = ACTIONS(2444),
    [anon_sym_static_assert] = ACTIONS(2444),
    [anon_sym_concept] = ACTIONS(2444),
    [anon_sym_co_return] = ACTIONS(2444),
    [anon_sym_co_yield] = ACTIONS(2444),
    [anon_sym_R_DQUOTE] = ACTIONS(2446),
    [anon_sym_LR_DQUOTE] = ACTIONS(2446),
    [anon_sym_uR_DQUOTE] = ACTIONS(2446),
    [anon_sym_UR_DQUOTE] = ACTIONS(2446),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2446),
    [anon_sym_co_await] = ACTIONS(2444),
    [anon_sym_new] = ACTIONS(2444),
    [anon_sym_requires] = ACTIONS(2444),
    [sym_this] = ACTIONS(2444),
    [anon_sym_discard] = ACTIONS(2444),
    [anon_sym_precise] = ACTIONS(2444),
    [anon_sym_shared] = ACTIONS(2444),
    [anon_sym_groupshared] = ACTIONS(2444),
    [anon_sym_uniform] = ACTIONS(2444),
    [anon_sym_row_major] = ACTIONS(2444),
    [anon_sym_column_major] = ACTIONS(2444),
    [anon_sym_globallycoherent] = ACTIONS(2444),
    [anon_sym_centroid] = ACTIONS(2444),
    [anon_sym_noperspective] = ACTIONS(2444),
    [anon_sym_nointerpolation] = ACTIONS(2444),
    [anon_sym_sample] = ACTIONS(2444),
    [anon_sym_linear] = ACTIONS(2444),
    [anon_sym_snorm] = ACTIONS(2444),
    [anon_sym_unorm] = ACTIONS(2444),
    [anon_sym_point] = ACTIONS(2444),
    [anon_sym_line] = ACTIONS(2444),
    [anon_sym_triangleadj] = ACTIONS(2444),
    [anon_sym_lineadj] = ACTIONS(2444),
    [anon_sym_triangle] = ACTIONS(2444),
    [anon_sym_cbuffer] = ACTIONS(2444),
  },
  [789] = {
    [ts_builtin_sym_end] = ACTIONS(2442),
    [sym_identifier] = ACTIONS(2440),
    [aux_sym_preproc_include_token1] = ACTIONS(2440),
    [aux_sym_preproc_def_token1] = ACTIONS(2440),
    [aux_sym_preproc_if_token1] = ACTIONS(2440),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2440),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2440),
    [sym_preproc_directive] = ACTIONS(2440),
    [anon_sym_LPAREN2] = ACTIONS(2442),
    [anon_sym_BANG] = ACTIONS(2442),
    [anon_sym_TILDE] = ACTIONS(2442),
    [anon_sym_DASH] = ACTIONS(2440),
    [anon_sym_PLUS] = ACTIONS(2440),
    [anon_sym_STAR] = ACTIONS(2442),
    [anon_sym_AMP_AMP] = ACTIONS(2442),
    [anon_sym_AMP] = ACTIONS(2440),
    [anon_sym_SEMI] = ACTIONS(2442),
    [anon_sym___extension__] = ACTIONS(2440),
    [anon_sym_typedef] = ACTIONS(2440),
    [anon_sym_in] = ACTIONS(2440),
    [anon_sym_out] = ACTIONS(2440),
    [anon_sym_inout] = ACTIONS(2440),
    [anon_sym_extern] = ACTIONS(2440),
    [anon_sym___attribute__] = ACTIONS(2440),
    [anon_sym_COLON_COLON] = ACTIONS(2442),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2442),
    [anon_sym___declspec] = ACTIONS(2440),
    [anon_sym___based] = ACTIONS(2440),
    [anon_sym___cdecl] = ACTIONS(2440),
    [anon_sym___clrcall] = ACTIONS(2440),
    [anon_sym___stdcall] = ACTIONS(2440),
    [anon_sym___fastcall] = ACTIONS(2440),
    [anon_sym___thiscall] = ACTIONS(2440),
    [anon_sym___vectorcall] = ACTIONS(2440),
    [anon_sym_LBRACE] = ACTIONS(2442),
    [anon_sym_signed] = ACTIONS(2440),
    [anon_sym_unsigned] = ACTIONS(2440),
    [anon_sym_long] = ACTIONS(2440),
    [anon_sym_short] = ACTIONS(2440),
    [anon_sym_LBRACK] = ACTIONS(2440),
    [anon_sym_static] = ACTIONS(2440),
    [anon_sym_register] = ACTIONS(2440),
    [anon_sym_inline] = ACTIONS(2440),
    [anon_sym___inline] = ACTIONS(2440),
    [anon_sym___inline__] = ACTIONS(2440),
    [anon_sym___forceinline] = ACTIONS(2440),
    [anon_sym_thread_local] = ACTIONS(2440),
    [anon_sym___thread] = ACTIONS(2440),
    [anon_sym_const] = ACTIONS(2440),
    [anon_sym_constexpr] = ACTIONS(2440),
    [anon_sym_volatile] = ACTIONS(2440),
    [anon_sym_restrict] = ACTIONS(2440),
    [anon_sym___restrict__] = ACTIONS(2440),
    [anon_sym__Atomic] = ACTIONS(2440),
    [anon_sym__Noreturn] = ACTIONS(2440),
    [anon_sym_noreturn] = ACTIONS(2440),
    [anon_sym_mutable] = ACTIONS(2440),
    [anon_sym_constinit] = ACTIONS(2440),
    [anon_sym_consteval] = ACTIONS(2440),
    [sym_primitive_type] = ACTIONS(2440),
    [anon_sym_enum] = ACTIONS(2440),
    [anon_sym_class] = ACTIONS(2440),
    [anon_sym_struct] = ACTIONS(2440),
    [anon_sym_union] = ACTIONS(2440),
    [anon_sym_if] = ACTIONS(2440),
    [anon_sym_else] = ACTIONS(2440),
    [anon_sym_switch] = ACTIONS(2440),
    [anon_sym_case] = ACTIONS(2440),
    [anon_sym_default] = ACTIONS(2440),
    [anon_sym_while] = ACTIONS(2440),
    [anon_sym_do] = ACTIONS(2440),
    [anon_sym_for] = ACTIONS(2440),
    [anon_sym_return] = ACTIONS(2440),
    [anon_sym_break] = ACTIONS(2440),
    [anon_sym_continue] = ACTIONS(2440),
    [anon_sym_goto] = ACTIONS(2440),
    [anon_sym___try] = ACTIONS(2440),
    [anon_sym___leave] = ACTIONS(2440),
    [anon_sym_not] = ACTIONS(2440),
    [anon_sym_compl] = ACTIONS(2440),
    [anon_sym_DASH_DASH] = ACTIONS(2442),
    [anon_sym_PLUS_PLUS] = ACTIONS(2442),
    [anon_sym_sizeof] = ACTIONS(2440),
    [anon_sym___alignof__] = ACTIONS(2440),
    [anon_sym___alignof] = ACTIONS(2440),
    [anon_sym__alignof] = ACTIONS(2440),
    [anon_sym_alignof] = ACTIONS(2440),
    [anon_sym__Alignof] = ACTIONS(2440),
    [anon_sym_offsetof] = ACTIONS(2440),
    [anon_sym__Generic] = ACTIONS(2440),
    [anon_sym_asm] = ACTIONS(2440),
    [anon_sym___asm__] = ACTIONS(2440),
    [sym_number_literal] = ACTIONS(2442),
    [anon_sym_L_SQUOTE] = ACTIONS(2442),
    [anon_sym_u_SQUOTE] = ACTIONS(2442),
    [anon_sym_U_SQUOTE] = ACTIONS(2442),
    [anon_sym_u8_SQUOTE] = ACTIONS(2442),
    [anon_sym_SQUOTE] = ACTIONS(2442),
    [anon_sym_L_DQUOTE] = ACTIONS(2442),
    [anon_sym_u_DQUOTE] = ACTIONS(2442),
    [anon_sym_U_DQUOTE] = ACTIONS(2442),
    [anon_sym_u8_DQUOTE] = ACTIONS(2442),
    [anon_sym_DQUOTE] = ACTIONS(2442),
    [sym_true] = ACTIONS(2440),
    [sym_false] = ACTIONS(2440),
    [anon_sym_NULL] = ACTIONS(2440),
    [anon_sym_nullptr] = ACTIONS(2440),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2440),
    [anon_sym_decltype] = ACTIONS(2440),
    [anon_sym_virtual] = ACTIONS(2440),
    [anon_sym_alignas] = ACTIONS(2440),
    [anon_sym_explicit] = ACTIONS(2440),
    [anon_sym_typename] = ACTIONS(2440),
    [anon_sym_template] = ACTIONS(2440),
    [anon_sym_operator] = ACTIONS(2440),
    [anon_sym_try] = ACTIONS(2440),
    [anon_sym_delete] = ACTIONS(2440),
    [anon_sym_throw] = ACTIONS(2440),
    [anon_sym_namespace] = ACTIONS(2440),
    [anon_sym_using] = ACTIONS(2440),
    [anon_sym_static_assert] = ACTIONS(2440),
    [anon_sym_concept] = ACTIONS(2440),
    [anon_sym_co_return] = ACTIONS(2440),
    [anon_sym_co_yield] = ACTIONS(2440),
    [anon_sym_R_DQUOTE] = ACTIONS(2442),
    [anon_sym_LR_DQUOTE] = ACTIONS(2442),
    [anon_sym_uR_DQUOTE] = ACTIONS(2442),
    [anon_sym_UR_DQUOTE] = ACTIONS(2442),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2442),
    [anon_sym_co_await] = ACTIONS(2440),
    [anon_sym_new] = ACTIONS(2440),
    [anon_sym_requires] = ACTIONS(2440),
    [sym_this] = ACTIONS(2440),
    [anon_sym_discard] = ACTIONS(2440),
    [anon_sym_precise] = ACTIONS(2440),
    [anon_sym_shared] = ACTIONS(2440),
    [anon_sym_groupshared] = ACTIONS(2440),
    [anon_sym_uniform] = ACTIONS(2440),
    [anon_sym_row_major] = ACTIONS(2440),
    [anon_sym_column_major] = ACTIONS(2440),
    [anon_sym_globallycoherent] = ACTIONS(2440),
    [anon_sym_centroid] = ACTIONS(2440),
    [anon_sym_noperspective] = ACTIONS(2440),
    [anon_sym_nointerpolation] = ACTIONS(2440),
    [anon_sym_sample] = ACTIONS(2440),
    [anon_sym_linear] = ACTIONS(2440),
    [anon_sym_snorm] = ACTIONS(2440),
    [anon_sym_unorm] = ACTIONS(2440),
    [anon_sym_point] = ACTIONS(2440),
    [anon_sym_line] = ACTIONS(2440),
    [anon_sym_triangleadj] = ACTIONS(2440),
    [anon_sym_lineadj] = ACTIONS(2440),
    [anon_sym_triangle] = ACTIONS(2440),
    [anon_sym_cbuffer] = ACTIONS(2440),
  },
  [790] = {
    [ts_builtin_sym_end] = ACTIONS(2470),
    [sym_identifier] = ACTIONS(2468),
    [aux_sym_preproc_include_token1] = ACTIONS(2468),
    [aux_sym_preproc_def_token1] = ACTIONS(2468),
    [aux_sym_preproc_if_token1] = ACTIONS(2468),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2468),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2468),
    [sym_preproc_directive] = ACTIONS(2468),
    [anon_sym_LPAREN2] = ACTIONS(2470),
    [anon_sym_BANG] = ACTIONS(2470),
    [anon_sym_TILDE] = ACTIONS(2470),
    [anon_sym_DASH] = ACTIONS(2468),
    [anon_sym_PLUS] = ACTIONS(2468),
    [anon_sym_STAR] = ACTIONS(2470),
    [anon_sym_AMP_AMP] = ACTIONS(2470),
    [anon_sym_AMP] = ACTIONS(2468),
    [anon_sym_SEMI] = ACTIONS(2470),
    [anon_sym___extension__] = ACTIONS(2468),
    [anon_sym_typedef] = ACTIONS(2468),
    [anon_sym_in] = ACTIONS(2468),
    [anon_sym_out] = ACTIONS(2468),
    [anon_sym_inout] = ACTIONS(2468),
    [anon_sym_extern] = ACTIONS(2468),
    [anon_sym___attribute__] = ACTIONS(2468),
    [anon_sym_COLON_COLON] = ACTIONS(2470),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2470),
    [anon_sym___declspec] = ACTIONS(2468),
    [anon_sym___based] = ACTIONS(2468),
    [anon_sym___cdecl] = ACTIONS(2468),
    [anon_sym___clrcall] = ACTIONS(2468),
    [anon_sym___stdcall] = ACTIONS(2468),
    [anon_sym___fastcall] = ACTIONS(2468),
    [anon_sym___thiscall] = ACTIONS(2468),
    [anon_sym___vectorcall] = ACTIONS(2468),
    [anon_sym_LBRACE] = ACTIONS(2470),
    [anon_sym_signed] = ACTIONS(2468),
    [anon_sym_unsigned] = ACTIONS(2468),
    [anon_sym_long] = ACTIONS(2468),
    [anon_sym_short] = ACTIONS(2468),
    [anon_sym_LBRACK] = ACTIONS(2468),
    [anon_sym_static] = ACTIONS(2468),
    [anon_sym_register] = ACTIONS(2468),
    [anon_sym_inline] = ACTIONS(2468),
    [anon_sym___inline] = ACTIONS(2468),
    [anon_sym___inline__] = ACTIONS(2468),
    [anon_sym___forceinline] = ACTIONS(2468),
    [anon_sym_thread_local] = ACTIONS(2468),
    [anon_sym___thread] = ACTIONS(2468),
    [anon_sym_const] = ACTIONS(2468),
    [anon_sym_constexpr] = ACTIONS(2468),
    [anon_sym_volatile] = ACTIONS(2468),
    [anon_sym_restrict] = ACTIONS(2468),
    [anon_sym___restrict__] = ACTIONS(2468),
    [anon_sym__Atomic] = ACTIONS(2468),
    [anon_sym__Noreturn] = ACTIONS(2468),
    [anon_sym_noreturn] = ACTIONS(2468),
    [anon_sym_mutable] = ACTIONS(2468),
    [anon_sym_constinit] = ACTIONS(2468),
    [anon_sym_consteval] = ACTIONS(2468),
    [sym_primitive_type] = ACTIONS(2468),
    [anon_sym_enum] = ACTIONS(2468),
    [anon_sym_class] = ACTIONS(2468),
    [anon_sym_struct] = ACTIONS(2468),
    [anon_sym_union] = ACTIONS(2468),
    [anon_sym_if] = ACTIONS(2468),
    [anon_sym_else] = ACTIONS(2468),
    [anon_sym_switch] = ACTIONS(2468),
    [anon_sym_case] = ACTIONS(2468),
    [anon_sym_default] = ACTIONS(2468),
    [anon_sym_while] = ACTIONS(2468),
    [anon_sym_do] = ACTIONS(2468),
    [anon_sym_for] = ACTIONS(2468),
    [anon_sym_return] = ACTIONS(2468),
    [anon_sym_break] = ACTIONS(2468),
    [anon_sym_continue] = ACTIONS(2468),
    [anon_sym_goto] = ACTIONS(2468),
    [anon_sym___try] = ACTIONS(2468),
    [anon_sym___leave] = ACTIONS(2468),
    [anon_sym_not] = ACTIONS(2468),
    [anon_sym_compl] = ACTIONS(2468),
    [anon_sym_DASH_DASH] = ACTIONS(2470),
    [anon_sym_PLUS_PLUS] = ACTIONS(2470),
    [anon_sym_sizeof] = ACTIONS(2468),
    [anon_sym___alignof__] = ACTIONS(2468),
    [anon_sym___alignof] = ACTIONS(2468),
    [anon_sym__alignof] = ACTIONS(2468),
    [anon_sym_alignof] = ACTIONS(2468),
    [anon_sym__Alignof] = ACTIONS(2468),
    [anon_sym_offsetof] = ACTIONS(2468),
    [anon_sym__Generic] = ACTIONS(2468),
    [anon_sym_asm] = ACTIONS(2468),
    [anon_sym___asm__] = ACTIONS(2468),
    [sym_number_literal] = ACTIONS(2470),
    [anon_sym_L_SQUOTE] = ACTIONS(2470),
    [anon_sym_u_SQUOTE] = ACTIONS(2470),
    [anon_sym_U_SQUOTE] = ACTIONS(2470),
    [anon_sym_u8_SQUOTE] = ACTIONS(2470),
    [anon_sym_SQUOTE] = ACTIONS(2470),
    [anon_sym_L_DQUOTE] = ACTIONS(2470),
    [anon_sym_u_DQUOTE] = ACTIONS(2470),
    [anon_sym_U_DQUOTE] = ACTIONS(2470),
    [anon_sym_u8_DQUOTE] = ACTIONS(2470),
    [anon_sym_DQUOTE] = ACTIONS(2470),
    [sym_true] = ACTIONS(2468),
    [sym_false] = ACTIONS(2468),
    [anon_sym_NULL] = ACTIONS(2468),
    [anon_sym_nullptr] = ACTIONS(2468),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2468),
    [anon_sym_decltype] = ACTIONS(2468),
    [anon_sym_virtual] = ACTIONS(2468),
    [anon_sym_alignas] = ACTIONS(2468),
    [anon_sym_explicit] = ACTIONS(2468),
    [anon_sym_typename] = ACTIONS(2468),
    [anon_sym_template] = ACTIONS(2468),
    [anon_sym_operator] = ACTIONS(2468),
    [anon_sym_try] = ACTIONS(2468),
    [anon_sym_delete] = ACTIONS(2468),
    [anon_sym_throw] = ACTIONS(2468),
    [anon_sym_namespace] = ACTIONS(2468),
    [anon_sym_using] = ACTIONS(2468),
    [anon_sym_static_assert] = ACTIONS(2468),
    [anon_sym_concept] = ACTIONS(2468),
    [anon_sym_co_return] = ACTIONS(2468),
    [anon_sym_co_yield] = ACTIONS(2468),
    [anon_sym_R_DQUOTE] = ACTIONS(2470),
    [anon_sym_LR_DQUOTE] = ACTIONS(2470),
    [anon_sym_uR_DQUOTE] = ACTIONS(2470),
    [anon_sym_UR_DQUOTE] = ACTIONS(2470),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2470),
    [anon_sym_co_await] = ACTIONS(2468),
    [anon_sym_new] = ACTIONS(2468),
    [anon_sym_requires] = ACTIONS(2468),
    [sym_this] = ACTIONS(2468),
    [anon_sym_discard] = ACTIONS(2468),
    [anon_sym_precise] = ACTIONS(2468),
    [anon_sym_shared] = ACTIONS(2468),
    [anon_sym_groupshared] = ACTIONS(2468),
    [anon_sym_uniform] = ACTIONS(2468),
    [anon_sym_row_major] = ACTIONS(2468),
    [anon_sym_column_major] = ACTIONS(2468),
    [anon_sym_globallycoherent] = ACTIONS(2468),
    [anon_sym_centroid] = ACTIONS(2468),
    [anon_sym_noperspective] = ACTIONS(2468),
    [anon_sym_nointerpolation] = ACTIONS(2468),
    [anon_sym_sample] = ACTIONS(2468),
    [anon_sym_linear] = ACTIONS(2468),
    [anon_sym_snorm] = ACTIONS(2468),
    [anon_sym_unorm] = ACTIONS(2468),
    [anon_sym_point] = ACTIONS(2468),
    [anon_sym_line] = ACTIONS(2468),
    [anon_sym_triangleadj] = ACTIONS(2468),
    [anon_sym_lineadj] = ACTIONS(2468),
    [anon_sym_triangle] = ACTIONS(2468),
    [anon_sym_cbuffer] = ACTIONS(2468),
  },
  [791] = {
    [sym_identifier] = ACTIONS(2444),
    [aux_sym_preproc_include_token1] = ACTIONS(2444),
    [aux_sym_preproc_def_token1] = ACTIONS(2444),
    [aux_sym_preproc_if_token1] = ACTIONS(2444),
    [aux_sym_preproc_if_token2] = ACTIONS(2444),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2444),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2444),
    [sym_preproc_directive] = ACTIONS(2444),
    [anon_sym_LPAREN2] = ACTIONS(2446),
    [anon_sym_BANG] = ACTIONS(2446),
    [anon_sym_TILDE] = ACTIONS(2446),
    [anon_sym_DASH] = ACTIONS(2444),
    [anon_sym_PLUS] = ACTIONS(2444),
    [anon_sym_STAR] = ACTIONS(2446),
    [anon_sym_AMP_AMP] = ACTIONS(2446),
    [anon_sym_AMP] = ACTIONS(2444),
    [anon_sym_SEMI] = ACTIONS(2446),
    [anon_sym___extension__] = ACTIONS(2444),
    [anon_sym_typedef] = ACTIONS(2444),
    [anon_sym_in] = ACTIONS(2444),
    [anon_sym_out] = ACTIONS(2444),
    [anon_sym_inout] = ACTIONS(2444),
    [anon_sym_extern] = ACTIONS(2444),
    [anon_sym___attribute__] = ACTIONS(2444),
    [anon_sym_COLON_COLON] = ACTIONS(2446),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2446),
    [anon_sym___declspec] = ACTIONS(2444),
    [anon_sym___based] = ACTIONS(2444),
    [anon_sym___cdecl] = ACTIONS(2444),
    [anon_sym___clrcall] = ACTIONS(2444),
    [anon_sym___stdcall] = ACTIONS(2444),
    [anon_sym___fastcall] = ACTIONS(2444),
    [anon_sym___thiscall] = ACTIONS(2444),
    [anon_sym___vectorcall] = ACTIONS(2444),
    [anon_sym_LBRACE] = ACTIONS(2446),
    [anon_sym_signed] = ACTIONS(2444),
    [anon_sym_unsigned] = ACTIONS(2444),
    [anon_sym_long] = ACTIONS(2444),
    [anon_sym_short] = ACTIONS(2444),
    [anon_sym_LBRACK] = ACTIONS(2444),
    [anon_sym_static] = ACTIONS(2444),
    [anon_sym_register] = ACTIONS(2444),
    [anon_sym_inline] = ACTIONS(2444),
    [anon_sym___inline] = ACTIONS(2444),
    [anon_sym___inline__] = ACTIONS(2444),
    [anon_sym___forceinline] = ACTIONS(2444),
    [anon_sym_thread_local] = ACTIONS(2444),
    [anon_sym___thread] = ACTIONS(2444),
    [anon_sym_const] = ACTIONS(2444),
    [anon_sym_constexpr] = ACTIONS(2444),
    [anon_sym_volatile] = ACTIONS(2444),
    [anon_sym_restrict] = ACTIONS(2444),
    [anon_sym___restrict__] = ACTIONS(2444),
    [anon_sym__Atomic] = ACTIONS(2444),
    [anon_sym__Noreturn] = ACTIONS(2444),
    [anon_sym_noreturn] = ACTIONS(2444),
    [anon_sym_mutable] = ACTIONS(2444),
    [anon_sym_constinit] = ACTIONS(2444),
    [anon_sym_consteval] = ACTIONS(2444),
    [sym_primitive_type] = ACTIONS(2444),
    [anon_sym_enum] = ACTIONS(2444),
    [anon_sym_class] = ACTIONS(2444),
    [anon_sym_struct] = ACTIONS(2444),
    [anon_sym_union] = ACTIONS(2444),
    [anon_sym_if] = ACTIONS(2444),
    [anon_sym_else] = ACTIONS(2444),
    [anon_sym_switch] = ACTIONS(2444),
    [anon_sym_case] = ACTIONS(2444),
    [anon_sym_default] = ACTIONS(2444),
    [anon_sym_while] = ACTIONS(2444),
    [anon_sym_do] = ACTIONS(2444),
    [anon_sym_for] = ACTIONS(2444),
    [anon_sym_return] = ACTIONS(2444),
    [anon_sym_break] = ACTIONS(2444),
    [anon_sym_continue] = ACTIONS(2444),
    [anon_sym_goto] = ACTIONS(2444),
    [anon_sym___try] = ACTIONS(2444),
    [anon_sym___leave] = ACTIONS(2444),
    [anon_sym_not] = ACTIONS(2444),
    [anon_sym_compl] = ACTIONS(2444),
    [anon_sym_DASH_DASH] = ACTIONS(2446),
    [anon_sym_PLUS_PLUS] = ACTIONS(2446),
    [anon_sym_sizeof] = ACTIONS(2444),
    [anon_sym___alignof__] = ACTIONS(2444),
    [anon_sym___alignof] = ACTIONS(2444),
    [anon_sym__alignof] = ACTIONS(2444),
    [anon_sym_alignof] = ACTIONS(2444),
    [anon_sym__Alignof] = ACTIONS(2444),
    [anon_sym_offsetof] = ACTIONS(2444),
    [anon_sym__Generic] = ACTIONS(2444),
    [anon_sym_asm] = ACTIONS(2444),
    [anon_sym___asm__] = ACTIONS(2444),
    [sym_number_literal] = ACTIONS(2446),
    [anon_sym_L_SQUOTE] = ACTIONS(2446),
    [anon_sym_u_SQUOTE] = ACTIONS(2446),
    [anon_sym_U_SQUOTE] = ACTIONS(2446),
    [anon_sym_u8_SQUOTE] = ACTIONS(2446),
    [anon_sym_SQUOTE] = ACTIONS(2446),
    [anon_sym_L_DQUOTE] = ACTIONS(2446),
    [anon_sym_u_DQUOTE] = ACTIONS(2446),
    [anon_sym_U_DQUOTE] = ACTIONS(2446),
    [anon_sym_u8_DQUOTE] = ACTIONS(2446),
    [anon_sym_DQUOTE] = ACTIONS(2446),
    [sym_true] = ACTIONS(2444),
    [sym_false] = ACTIONS(2444),
    [anon_sym_NULL] = ACTIONS(2444),
    [anon_sym_nullptr] = ACTIONS(2444),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2444),
    [anon_sym_decltype] = ACTIONS(2444),
    [anon_sym_virtual] = ACTIONS(2444),
    [anon_sym_alignas] = ACTIONS(2444),
    [anon_sym_explicit] = ACTIONS(2444),
    [anon_sym_typename] = ACTIONS(2444),
    [anon_sym_template] = ACTIONS(2444),
    [anon_sym_operator] = ACTIONS(2444),
    [anon_sym_try] = ACTIONS(2444),
    [anon_sym_delete] = ACTIONS(2444),
    [anon_sym_throw] = ACTIONS(2444),
    [anon_sym_namespace] = ACTIONS(2444),
    [anon_sym_using] = ACTIONS(2444),
    [anon_sym_static_assert] = ACTIONS(2444),
    [anon_sym_concept] = ACTIONS(2444),
    [anon_sym_co_return] = ACTIONS(2444),
    [anon_sym_co_yield] = ACTIONS(2444),
    [anon_sym_R_DQUOTE] = ACTIONS(2446),
    [anon_sym_LR_DQUOTE] = ACTIONS(2446),
    [anon_sym_uR_DQUOTE] = ACTIONS(2446),
    [anon_sym_UR_DQUOTE] = ACTIONS(2446),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2446),
    [anon_sym_co_await] = ACTIONS(2444),
    [anon_sym_new] = ACTIONS(2444),
    [anon_sym_requires] = ACTIONS(2444),
    [sym_this] = ACTIONS(2444),
    [anon_sym_discard] = ACTIONS(2444),
    [anon_sym_precise] = ACTIONS(2444),
    [anon_sym_shared] = ACTIONS(2444),
    [anon_sym_groupshared] = ACTIONS(2444),
    [anon_sym_uniform] = ACTIONS(2444),
    [anon_sym_row_major] = ACTIONS(2444),
    [anon_sym_column_major] = ACTIONS(2444),
    [anon_sym_globallycoherent] = ACTIONS(2444),
    [anon_sym_centroid] = ACTIONS(2444),
    [anon_sym_noperspective] = ACTIONS(2444),
    [anon_sym_nointerpolation] = ACTIONS(2444),
    [anon_sym_sample] = ACTIONS(2444),
    [anon_sym_linear] = ACTIONS(2444),
    [anon_sym_snorm] = ACTIONS(2444),
    [anon_sym_unorm] = ACTIONS(2444),
    [anon_sym_point] = ACTIONS(2444),
    [anon_sym_line] = ACTIONS(2444),
    [anon_sym_triangleadj] = ACTIONS(2444),
    [anon_sym_lineadj] = ACTIONS(2444),
    [anon_sym_triangle] = ACTIONS(2444),
    [anon_sym_cbuffer] = ACTIONS(2444),
  },
  [792] = {
    [sym_identifier] = ACTIONS(2440),
    [aux_sym_preproc_include_token1] = ACTIONS(2440),
    [aux_sym_preproc_def_token1] = ACTIONS(2440),
    [aux_sym_preproc_if_token1] = ACTIONS(2440),
    [aux_sym_preproc_if_token2] = ACTIONS(2440),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2440),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2440),
    [sym_preproc_directive] = ACTIONS(2440),
    [anon_sym_LPAREN2] = ACTIONS(2442),
    [anon_sym_BANG] = ACTIONS(2442),
    [anon_sym_TILDE] = ACTIONS(2442),
    [anon_sym_DASH] = ACTIONS(2440),
    [anon_sym_PLUS] = ACTIONS(2440),
    [anon_sym_STAR] = ACTIONS(2442),
    [anon_sym_AMP_AMP] = ACTIONS(2442),
    [anon_sym_AMP] = ACTIONS(2440),
    [anon_sym_SEMI] = ACTIONS(2442),
    [anon_sym___extension__] = ACTIONS(2440),
    [anon_sym_typedef] = ACTIONS(2440),
    [anon_sym_in] = ACTIONS(2440),
    [anon_sym_out] = ACTIONS(2440),
    [anon_sym_inout] = ACTIONS(2440),
    [anon_sym_extern] = ACTIONS(2440),
    [anon_sym___attribute__] = ACTIONS(2440),
    [anon_sym_COLON_COLON] = ACTIONS(2442),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2442),
    [anon_sym___declspec] = ACTIONS(2440),
    [anon_sym___based] = ACTIONS(2440),
    [anon_sym___cdecl] = ACTIONS(2440),
    [anon_sym___clrcall] = ACTIONS(2440),
    [anon_sym___stdcall] = ACTIONS(2440),
    [anon_sym___fastcall] = ACTIONS(2440),
    [anon_sym___thiscall] = ACTIONS(2440),
    [anon_sym___vectorcall] = ACTIONS(2440),
    [anon_sym_LBRACE] = ACTIONS(2442),
    [anon_sym_signed] = ACTIONS(2440),
    [anon_sym_unsigned] = ACTIONS(2440),
    [anon_sym_long] = ACTIONS(2440),
    [anon_sym_short] = ACTIONS(2440),
    [anon_sym_LBRACK] = ACTIONS(2440),
    [anon_sym_static] = ACTIONS(2440),
    [anon_sym_register] = ACTIONS(2440),
    [anon_sym_inline] = ACTIONS(2440),
    [anon_sym___inline] = ACTIONS(2440),
    [anon_sym___inline__] = ACTIONS(2440),
    [anon_sym___forceinline] = ACTIONS(2440),
    [anon_sym_thread_local] = ACTIONS(2440),
    [anon_sym___thread] = ACTIONS(2440),
    [anon_sym_const] = ACTIONS(2440),
    [anon_sym_constexpr] = ACTIONS(2440),
    [anon_sym_volatile] = ACTIONS(2440),
    [anon_sym_restrict] = ACTIONS(2440),
    [anon_sym___restrict__] = ACTIONS(2440),
    [anon_sym__Atomic] = ACTIONS(2440),
    [anon_sym__Noreturn] = ACTIONS(2440),
    [anon_sym_noreturn] = ACTIONS(2440),
    [anon_sym_mutable] = ACTIONS(2440),
    [anon_sym_constinit] = ACTIONS(2440),
    [anon_sym_consteval] = ACTIONS(2440),
    [sym_primitive_type] = ACTIONS(2440),
    [anon_sym_enum] = ACTIONS(2440),
    [anon_sym_class] = ACTIONS(2440),
    [anon_sym_struct] = ACTIONS(2440),
    [anon_sym_union] = ACTIONS(2440),
    [anon_sym_if] = ACTIONS(2440),
    [anon_sym_else] = ACTIONS(2440),
    [anon_sym_switch] = ACTIONS(2440),
    [anon_sym_case] = ACTIONS(2440),
    [anon_sym_default] = ACTIONS(2440),
    [anon_sym_while] = ACTIONS(2440),
    [anon_sym_do] = ACTIONS(2440),
    [anon_sym_for] = ACTIONS(2440),
    [anon_sym_return] = ACTIONS(2440),
    [anon_sym_break] = ACTIONS(2440),
    [anon_sym_continue] = ACTIONS(2440),
    [anon_sym_goto] = ACTIONS(2440),
    [anon_sym___try] = ACTIONS(2440),
    [anon_sym___leave] = ACTIONS(2440),
    [anon_sym_not] = ACTIONS(2440),
    [anon_sym_compl] = ACTIONS(2440),
    [anon_sym_DASH_DASH] = ACTIONS(2442),
    [anon_sym_PLUS_PLUS] = ACTIONS(2442),
    [anon_sym_sizeof] = ACTIONS(2440),
    [anon_sym___alignof__] = ACTIONS(2440),
    [anon_sym___alignof] = ACTIONS(2440),
    [anon_sym__alignof] = ACTIONS(2440),
    [anon_sym_alignof] = ACTIONS(2440),
    [anon_sym__Alignof] = ACTIONS(2440),
    [anon_sym_offsetof] = ACTIONS(2440),
    [anon_sym__Generic] = ACTIONS(2440),
    [anon_sym_asm] = ACTIONS(2440),
    [anon_sym___asm__] = ACTIONS(2440),
    [sym_number_literal] = ACTIONS(2442),
    [anon_sym_L_SQUOTE] = ACTIONS(2442),
    [anon_sym_u_SQUOTE] = ACTIONS(2442),
    [anon_sym_U_SQUOTE] = ACTIONS(2442),
    [anon_sym_u8_SQUOTE] = ACTIONS(2442),
    [anon_sym_SQUOTE] = ACTIONS(2442),
    [anon_sym_L_DQUOTE] = ACTIONS(2442),
    [anon_sym_u_DQUOTE] = ACTIONS(2442),
    [anon_sym_U_DQUOTE] = ACTIONS(2442),
    [anon_sym_u8_DQUOTE] = ACTIONS(2442),
    [anon_sym_DQUOTE] = ACTIONS(2442),
    [sym_true] = ACTIONS(2440),
    [sym_false] = ACTIONS(2440),
    [anon_sym_NULL] = ACTIONS(2440),
    [anon_sym_nullptr] = ACTIONS(2440),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2440),
    [anon_sym_decltype] = ACTIONS(2440),
    [anon_sym_virtual] = ACTIONS(2440),
    [anon_sym_alignas] = ACTIONS(2440),
    [anon_sym_explicit] = ACTIONS(2440),
    [anon_sym_typename] = ACTIONS(2440),
    [anon_sym_template] = ACTIONS(2440),
    [anon_sym_operator] = ACTIONS(2440),
    [anon_sym_try] = ACTIONS(2440),
    [anon_sym_delete] = ACTIONS(2440),
    [anon_sym_throw] = ACTIONS(2440),
    [anon_sym_namespace] = ACTIONS(2440),
    [anon_sym_using] = ACTIONS(2440),
    [anon_sym_static_assert] = ACTIONS(2440),
    [anon_sym_concept] = ACTIONS(2440),
    [anon_sym_co_return] = ACTIONS(2440),
    [anon_sym_co_yield] = ACTIONS(2440),
    [anon_sym_R_DQUOTE] = ACTIONS(2442),
    [anon_sym_LR_DQUOTE] = ACTIONS(2442),
    [anon_sym_uR_DQUOTE] = ACTIONS(2442),
    [anon_sym_UR_DQUOTE] = ACTIONS(2442),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2442),
    [anon_sym_co_await] = ACTIONS(2440),
    [anon_sym_new] = ACTIONS(2440),
    [anon_sym_requires] = ACTIONS(2440),
    [sym_this] = ACTIONS(2440),
    [anon_sym_discard] = ACTIONS(2440),
    [anon_sym_precise] = ACTIONS(2440),
    [anon_sym_shared] = ACTIONS(2440),
    [anon_sym_groupshared] = ACTIONS(2440),
    [anon_sym_uniform] = ACTIONS(2440),
    [anon_sym_row_major] = ACTIONS(2440),
    [anon_sym_column_major] = ACTIONS(2440),
    [anon_sym_globallycoherent] = ACTIONS(2440),
    [anon_sym_centroid] = ACTIONS(2440),
    [anon_sym_noperspective] = ACTIONS(2440),
    [anon_sym_nointerpolation] = ACTIONS(2440),
    [anon_sym_sample] = ACTIONS(2440),
    [anon_sym_linear] = ACTIONS(2440),
    [anon_sym_snorm] = ACTIONS(2440),
    [anon_sym_unorm] = ACTIONS(2440),
    [anon_sym_point] = ACTIONS(2440),
    [anon_sym_line] = ACTIONS(2440),
    [anon_sym_triangleadj] = ACTIONS(2440),
    [anon_sym_lineadj] = ACTIONS(2440),
    [anon_sym_triangle] = ACTIONS(2440),
    [anon_sym_cbuffer] = ACTIONS(2440),
  },
  [793] = {
    [ts_builtin_sym_end] = ACTIONS(2462),
    [sym_identifier] = ACTIONS(2460),
    [aux_sym_preproc_include_token1] = ACTIONS(2460),
    [aux_sym_preproc_def_token1] = ACTIONS(2460),
    [aux_sym_preproc_if_token1] = ACTIONS(2460),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2460),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2460),
    [sym_preproc_directive] = ACTIONS(2460),
    [anon_sym_LPAREN2] = ACTIONS(2462),
    [anon_sym_BANG] = ACTIONS(2462),
    [anon_sym_TILDE] = ACTIONS(2462),
    [anon_sym_DASH] = ACTIONS(2460),
    [anon_sym_PLUS] = ACTIONS(2460),
    [anon_sym_STAR] = ACTIONS(2462),
    [anon_sym_AMP_AMP] = ACTIONS(2462),
    [anon_sym_AMP] = ACTIONS(2460),
    [anon_sym_SEMI] = ACTIONS(2462),
    [anon_sym___extension__] = ACTIONS(2460),
    [anon_sym_typedef] = ACTIONS(2460),
    [anon_sym_in] = ACTIONS(2460),
    [anon_sym_out] = ACTIONS(2460),
    [anon_sym_inout] = ACTIONS(2460),
    [anon_sym_extern] = ACTIONS(2460),
    [anon_sym___attribute__] = ACTIONS(2460),
    [anon_sym_COLON_COLON] = ACTIONS(2462),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2462),
    [anon_sym___declspec] = ACTIONS(2460),
    [anon_sym___based] = ACTIONS(2460),
    [anon_sym___cdecl] = ACTIONS(2460),
    [anon_sym___clrcall] = ACTIONS(2460),
    [anon_sym___stdcall] = ACTIONS(2460),
    [anon_sym___fastcall] = ACTIONS(2460),
    [anon_sym___thiscall] = ACTIONS(2460),
    [anon_sym___vectorcall] = ACTIONS(2460),
    [anon_sym_LBRACE] = ACTIONS(2462),
    [anon_sym_signed] = ACTIONS(2460),
    [anon_sym_unsigned] = ACTIONS(2460),
    [anon_sym_long] = ACTIONS(2460),
    [anon_sym_short] = ACTIONS(2460),
    [anon_sym_LBRACK] = ACTIONS(2460),
    [anon_sym_static] = ACTIONS(2460),
    [anon_sym_register] = ACTIONS(2460),
    [anon_sym_inline] = ACTIONS(2460),
    [anon_sym___inline] = ACTIONS(2460),
    [anon_sym___inline__] = ACTIONS(2460),
    [anon_sym___forceinline] = ACTIONS(2460),
    [anon_sym_thread_local] = ACTIONS(2460),
    [anon_sym___thread] = ACTIONS(2460),
    [anon_sym_const] = ACTIONS(2460),
    [anon_sym_constexpr] = ACTIONS(2460),
    [anon_sym_volatile] = ACTIONS(2460),
    [anon_sym_restrict] = ACTIONS(2460),
    [anon_sym___restrict__] = ACTIONS(2460),
    [anon_sym__Atomic] = ACTIONS(2460),
    [anon_sym__Noreturn] = ACTIONS(2460),
    [anon_sym_noreturn] = ACTIONS(2460),
    [anon_sym_mutable] = ACTIONS(2460),
    [anon_sym_constinit] = ACTIONS(2460),
    [anon_sym_consteval] = ACTIONS(2460),
    [sym_primitive_type] = ACTIONS(2460),
    [anon_sym_enum] = ACTIONS(2460),
    [anon_sym_class] = ACTIONS(2460),
    [anon_sym_struct] = ACTIONS(2460),
    [anon_sym_union] = ACTIONS(2460),
    [anon_sym_if] = ACTIONS(2460),
    [anon_sym_else] = ACTIONS(2460),
    [anon_sym_switch] = ACTIONS(2460),
    [anon_sym_case] = ACTIONS(2460),
    [anon_sym_default] = ACTIONS(2460),
    [anon_sym_while] = ACTIONS(2460),
    [anon_sym_do] = ACTIONS(2460),
    [anon_sym_for] = ACTIONS(2460),
    [anon_sym_return] = ACTIONS(2460),
    [anon_sym_break] = ACTIONS(2460),
    [anon_sym_continue] = ACTIONS(2460),
    [anon_sym_goto] = ACTIONS(2460),
    [anon_sym___try] = ACTIONS(2460),
    [anon_sym___leave] = ACTIONS(2460),
    [anon_sym_not] = ACTIONS(2460),
    [anon_sym_compl] = ACTIONS(2460),
    [anon_sym_DASH_DASH] = ACTIONS(2462),
    [anon_sym_PLUS_PLUS] = ACTIONS(2462),
    [anon_sym_sizeof] = ACTIONS(2460),
    [anon_sym___alignof__] = ACTIONS(2460),
    [anon_sym___alignof] = ACTIONS(2460),
    [anon_sym__alignof] = ACTIONS(2460),
    [anon_sym_alignof] = ACTIONS(2460),
    [anon_sym__Alignof] = ACTIONS(2460),
    [anon_sym_offsetof] = ACTIONS(2460),
    [anon_sym__Generic] = ACTIONS(2460),
    [anon_sym_asm] = ACTIONS(2460),
    [anon_sym___asm__] = ACTIONS(2460),
    [sym_number_literal] = ACTIONS(2462),
    [anon_sym_L_SQUOTE] = ACTIONS(2462),
    [anon_sym_u_SQUOTE] = ACTIONS(2462),
    [anon_sym_U_SQUOTE] = ACTIONS(2462),
    [anon_sym_u8_SQUOTE] = ACTIONS(2462),
    [anon_sym_SQUOTE] = ACTIONS(2462),
    [anon_sym_L_DQUOTE] = ACTIONS(2462),
    [anon_sym_u_DQUOTE] = ACTIONS(2462),
    [anon_sym_U_DQUOTE] = ACTIONS(2462),
    [anon_sym_u8_DQUOTE] = ACTIONS(2462),
    [anon_sym_DQUOTE] = ACTIONS(2462),
    [sym_true] = ACTIONS(2460),
    [sym_false] = ACTIONS(2460),
    [anon_sym_NULL] = ACTIONS(2460),
    [anon_sym_nullptr] = ACTIONS(2460),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2460),
    [anon_sym_decltype] = ACTIONS(2460),
    [anon_sym_virtual] = ACTIONS(2460),
    [anon_sym_alignas] = ACTIONS(2460),
    [anon_sym_explicit] = ACTIONS(2460),
    [anon_sym_typename] = ACTIONS(2460),
    [anon_sym_template] = ACTIONS(2460),
    [anon_sym_operator] = ACTIONS(2460),
    [anon_sym_try] = ACTIONS(2460),
    [anon_sym_delete] = ACTIONS(2460),
    [anon_sym_throw] = ACTIONS(2460),
    [anon_sym_namespace] = ACTIONS(2460),
    [anon_sym_using] = ACTIONS(2460),
    [anon_sym_static_assert] = ACTIONS(2460),
    [anon_sym_concept] = ACTIONS(2460),
    [anon_sym_co_return] = ACTIONS(2460),
    [anon_sym_co_yield] = ACTIONS(2460),
    [anon_sym_R_DQUOTE] = ACTIONS(2462),
    [anon_sym_LR_DQUOTE] = ACTIONS(2462),
    [anon_sym_uR_DQUOTE] = ACTIONS(2462),
    [anon_sym_UR_DQUOTE] = ACTIONS(2462),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2462),
    [anon_sym_co_await] = ACTIONS(2460),
    [anon_sym_new] = ACTIONS(2460),
    [anon_sym_requires] = ACTIONS(2460),
    [sym_this] = ACTIONS(2460),
    [anon_sym_discard] = ACTIONS(2460),
    [anon_sym_precise] = ACTIONS(2460),
    [anon_sym_shared] = ACTIONS(2460),
    [anon_sym_groupshared] = ACTIONS(2460),
    [anon_sym_uniform] = ACTIONS(2460),
    [anon_sym_row_major] = ACTIONS(2460),
    [anon_sym_column_major] = ACTIONS(2460),
    [anon_sym_globallycoherent] = ACTIONS(2460),
    [anon_sym_centroid] = ACTIONS(2460),
    [anon_sym_noperspective] = ACTIONS(2460),
    [anon_sym_nointerpolation] = ACTIONS(2460),
    [anon_sym_sample] = ACTIONS(2460),
    [anon_sym_linear] = ACTIONS(2460),
    [anon_sym_snorm] = ACTIONS(2460),
    [anon_sym_unorm] = ACTIONS(2460),
    [anon_sym_point] = ACTIONS(2460),
    [anon_sym_line] = ACTIONS(2460),
    [anon_sym_triangleadj] = ACTIONS(2460),
    [anon_sym_lineadj] = ACTIONS(2460),
    [anon_sym_triangle] = ACTIONS(2460),
    [anon_sym_cbuffer] = ACTIONS(2460),
  },
  [794] = {
    [sym_identifier] = ACTIONS(2492),
    [aux_sym_preproc_include_token1] = ACTIONS(2492),
    [aux_sym_preproc_def_token1] = ACTIONS(2492),
    [aux_sym_preproc_if_token1] = ACTIONS(2492),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2492),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2492),
    [sym_preproc_directive] = ACTIONS(2492),
    [anon_sym_LPAREN2] = ACTIONS(2494),
    [anon_sym_BANG] = ACTIONS(2494),
    [anon_sym_TILDE] = ACTIONS(2494),
    [anon_sym_DASH] = ACTIONS(2492),
    [anon_sym_PLUS] = ACTIONS(2492),
    [anon_sym_STAR] = ACTIONS(2494),
    [anon_sym_AMP_AMP] = ACTIONS(2494),
    [anon_sym_AMP] = ACTIONS(2492),
    [anon_sym_SEMI] = ACTIONS(2494),
    [anon_sym___extension__] = ACTIONS(2492),
    [anon_sym_typedef] = ACTIONS(2492),
    [anon_sym_in] = ACTIONS(2492),
    [anon_sym_out] = ACTIONS(2492),
    [anon_sym_inout] = ACTIONS(2492),
    [anon_sym_extern] = ACTIONS(2492),
    [anon_sym___attribute__] = ACTIONS(2492),
    [anon_sym_COLON_COLON] = ACTIONS(2494),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2494),
    [anon_sym___declspec] = ACTIONS(2492),
    [anon_sym___based] = ACTIONS(2492),
    [anon_sym___cdecl] = ACTIONS(2492),
    [anon_sym___clrcall] = ACTIONS(2492),
    [anon_sym___stdcall] = ACTIONS(2492),
    [anon_sym___fastcall] = ACTIONS(2492),
    [anon_sym___thiscall] = ACTIONS(2492),
    [anon_sym___vectorcall] = ACTIONS(2492),
    [anon_sym_LBRACE] = ACTIONS(2494),
    [anon_sym_RBRACE] = ACTIONS(2494),
    [anon_sym_signed] = ACTIONS(2492),
    [anon_sym_unsigned] = ACTIONS(2492),
    [anon_sym_long] = ACTIONS(2492),
    [anon_sym_short] = ACTIONS(2492),
    [anon_sym_LBRACK] = ACTIONS(2492),
    [anon_sym_static] = ACTIONS(2492),
    [anon_sym_register] = ACTIONS(2492),
    [anon_sym_inline] = ACTIONS(2492),
    [anon_sym___inline] = ACTIONS(2492),
    [anon_sym___inline__] = ACTIONS(2492),
    [anon_sym___forceinline] = ACTIONS(2492),
    [anon_sym_thread_local] = ACTIONS(2492),
    [anon_sym___thread] = ACTIONS(2492),
    [anon_sym_const] = ACTIONS(2492),
    [anon_sym_constexpr] = ACTIONS(2492),
    [anon_sym_volatile] = ACTIONS(2492),
    [anon_sym_restrict] = ACTIONS(2492),
    [anon_sym___restrict__] = ACTIONS(2492),
    [anon_sym__Atomic] = ACTIONS(2492),
    [anon_sym__Noreturn] = ACTIONS(2492),
    [anon_sym_noreturn] = ACTIONS(2492),
    [anon_sym_mutable] = ACTIONS(2492),
    [anon_sym_constinit] = ACTIONS(2492),
    [anon_sym_consteval] = ACTIONS(2492),
    [sym_primitive_type] = ACTIONS(2492),
    [anon_sym_enum] = ACTIONS(2492),
    [anon_sym_class] = ACTIONS(2492),
    [anon_sym_struct] = ACTIONS(2492),
    [anon_sym_union] = ACTIONS(2492),
    [anon_sym_if] = ACTIONS(2492),
    [anon_sym_else] = ACTIONS(2492),
    [anon_sym_switch] = ACTIONS(2492),
    [anon_sym_case] = ACTIONS(2492),
    [anon_sym_default] = ACTIONS(2492),
    [anon_sym_while] = ACTIONS(2492),
    [anon_sym_do] = ACTIONS(2492),
    [anon_sym_for] = ACTIONS(2492),
    [anon_sym_return] = ACTIONS(2492),
    [anon_sym_break] = ACTIONS(2492),
    [anon_sym_continue] = ACTIONS(2492),
    [anon_sym_goto] = ACTIONS(2492),
    [anon_sym___try] = ACTIONS(2492),
    [anon_sym___leave] = ACTIONS(2492),
    [anon_sym_not] = ACTIONS(2492),
    [anon_sym_compl] = ACTIONS(2492),
    [anon_sym_DASH_DASH] = ACTIONS(2494),
    [anon_sym_PLUS_PLUS] = ACTIONS(2494),
    [anon_sym_sizeof] = ACTIONS(2492),
    [anon_sym___alignof__] = ACTIONS(2492),
    [anon_sym___alignof] = ACTIONS(2492),
    [anon_sym__alignof] = ACTIONS(2492),
    [anon_sym_alignof] = ACTIONS(2492),
    [anon_sym__Alignof] = ACTIONS(2492),
    [anon_sym_offsetof] = ACTIONS(2492),
    [anon_sym__Generic] = ACTIONS(2492),
    [anon_sym_asm] = ACTIONS(2492),
    [anon_sym___asm__] = ACTIONS(2492),
    [sym_number_literal] = ACTIONS(2494),
    [anon_sym_L_SQUOTE] = ACTIONS(2494),
    [anon_sym_u_SQUOTE] = ACTIONS(2494),
    [anon_sym_U_SQUOTE] = ACTIONS(2494),
    [anon_sym_u8_SQUOTE] = ACTIONS(2494),
    [anon_sym_SQUOTE] = ACTIONS(2494),
    [anon_sym_L_DQUOTE] = ACTIONS(2494),
    [anon_sym_u_DQUOTE] = ACTIONS(2494),
    [anon_sym_U_DQUOTE] = ACTIONS(2494),
    [anon_sym_u8_DQUOTE] = ACTIONS(2494),
    [anon_sym_DQUOTE] = ACTIONS(2494),
    [sym_true] = ACTIONS(2492),
    [sym_false] = ACTIONS(2492),
    [anon_sym_NULL] = ACTIONS(2492),
    [anon_sym_nullptr] = ACTIONS(2492),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2492),
    [anon_sym_decltype] = ACTIONS(2492),
    [anon_sym_virtual] = ACTIONS(2492),
    [anon_sym_alignas] = ACTIONS(2492),
    [anon_sym_explicit] = ACTIONS(2492),
    [anon_sym_typename] = ACTIONS(2492),
    [anon_sym_template] = ACTIONS(2492),
    [anon_sym_operator] = ACTIONS(2492),
    [anon_sym_try] = ACTIONS(2492),
    [anon_sym_delete] = ACTIONS(2492),
    [anon_sym_throw] = ACTIONS(2492),
    [anon_sym_namespace] = ACTIONS(2492),
    [anon_sym_using] = ACTIONS(2492),
    [anon_sym_static_assert] = ACTIONS(2492),
    [anon_sym_concept] = ACTIONS(2492),
    [anon_sym_co_return] = ACTIONS(2492),
    [anon_sym_co_yield] = ACTIONS(2492),
    [anon_sym_R_DQUOTE] = ACTIONS(2494),
    [anon_sym_LR_DQUOTE] = ACTIONS(2494),
    [anon_sym_uR_DQUOTE] = ACTIONS(2494),
    [anon_sym_UR_DQUOTE] = ACTIONS(2494),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2494),
    [anon_sym_co_await] = ACTIONS(2492),
    [anon_sym_new] = ACTIONS(2492),
    [anon_sym_requires] = ACTIONS(2492),
    [sym_this] = ACTIONS(2492),
    [anon_sym_discard] = ACTIONS(2492),
    [anon_sym_precise] = ACTIONS(2492),
    [anon_sym_shared] = ACTIONS(2492),
    [anon_sym_groupshared] = ACTIONS(2492),
    [anon_sym_uniform] = ACTIONS(2492),
    [anon_sym_row_major] = ACTIONS(2492),
    [anon_sym_column_major] = ACTIONS(2492),
    [anon_sym_globallycoherent] = ACTIONS(2492),
    [anon_sym_centroid] = ACTIONS(2492),
    [anon_sym_noperspective] = ACTIONS(2492),
    [anon_sym_nointerpolation] = ACTIONS(2492),
    [anon_sym_sample] = ACTIONS(2492),
    [anon_sym_linear] = ACTIONS(2492),
    [anon_sym_snorm] = ACTIONS(2492),
    [anon_sym_unorm] = ACTIONS(2492),
    [anon_sym_point] = ACTIONS(2492),
    [anon_sym_line] = ACTIONS(2492),
    [anon_sym_triangleadj] = ACTIONS(2492),
    [anon_sym_lineadj] = ACTIONS(2492),
    [anon_sym_triangle] = ACTIONS(2492),
    [anon_sym_cbuffer] = ACTIONS(2492),
  },
  [795] = {
    [sym_identifier] = ACTIONS(2468),
    [aux_sym_preproc_include_token1] = ACTIONS(2468),
    [aux_sym_preproc_def_token1] = ACTIONS(2468),
    [aux_sym_preproc_if_token1] = ACTIONS(2468),
    [aux_sym_preproc_if_token2] = ACTIONS(2468),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2468),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2468),
    [sym_preproc_directive] = ACTIONS(2468),
    [anon_sym_LPAREN2] = ACTIONS(2470),
    [anon_sym_BANG] = ACTIONS(2470),
    [anon_sym_TILDE] = ACTIONS(2470),
    [anon_sym_DASH] = ACTIONS(2468),
    [anon_sym_PLUS] = ACTIONS(2468),
    [anon_sym_STAR] = ACTIONS(2470),
    [anon_sym_AMP_AMP] = ACTIONS(2470),
    [anon_sym_AMP] = ACTIONS(2468),
    [anon_sym_SEMI] = ACTIONS(2470),
    [anon_sym___extension__] = ACTIONS(2468),
    [anon_sym_typedef] = ACTIONS(2468),
    [anon_sym_in] = ACTIONS(2468),
    [anon_sym_out] = ACTIONS(2468),
    [anon_sym_inout] = ACTIONS(2468),
    [anon_sym_extern] = ACTIONS(2468),
    [anon_sym___attribute__] = ACTIONS(2468),
    [anon_sym_COLON_COLON] = ACTIONS(2470),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2470),
    [anon_sym___declspec] = ACTIONS(2468),
    [anon_sym___based] = ACTIONS(2468),
    [anon_sym___cdecl] = ACTIONS(2468),
    [anon_sym___clrcall] = ACTIONS(2468),
    [anon_sym___stdcall] = ACTIONS(2468),
    [anon_sym___fastcall] = ACTIONS(2468),
    [anon_sym___thiscall] = ACTIONS(2468),
    [anon_sym___vectorcall] = ACTIONS(2468),
    [anon_sym_LBRACE] = ACTIONS(2470),
    [anon_sym_signed] = ACTIONS(2468),
    [anon_sym_unsigned] = ACTIONS(2468),
    [anon_sym_long] = ACTIONS(2468),
    [anon_sym_short] = ACTIONS(2468),
    [anon_sym_LBRACK] = ACTIONS(2468),
    [anon_sym_static] = ACTIONS(2468),
    [anon_sym_register] = ACTIONS(2468),
    [anon_sym_inline] = ACTIONS(2468),
    [anon_sym___inline] = ACTIONS(2468),
    [anon_sym___inline__] = ACTIONS(2468),
    [anon_sym___forceinline] = ACTIONS(2468),
    [anon_sym_thread_local] = ACTIONS(2468),
    [anon_sym___thread] = ACTIONS(2468),
    [anon_sym_const] = ACTIONS(2468),
    [anon_sym_constexpr] = ACTIONS(2468),
    [anon_sym_volatile] = ACTIONS(2468),
    [anon_sym_restrict] = ACTIONS(2468),
    [anon_sym___restrict__] = ACTIONS(2468),
    [anon_sym__Atomic] = ACTIONS(2468),
    [anon_sym__Noreturn] = ACTIONS(2468),
    [anon_sym_noreturn] = ACTIONS(2468),
    [anon_sym_mutable] = ACTIONS(2468),
    [anon_sym_constinit] = ACTIONS(2468),
    [anon_sym_consteval] = ACTIONS(2468),
    [sym_primitive_type] = ACTIONS(2468),
    [anon_sym_enum] = ACTIONS(2468),
    [anon_sym_class] = ACTIONS(2468),
    [anon_sym_struct] = ACTIONS(2468),
    [anon_sym_union] = ACTIONS(2468),
    [anon_sym_if] = ACTIONS(2468),
    [anon_sym_else] = ACTIONS(2468),
    [anon_sym_switch] = ACTIONS(2468),
    [anon_sym_case] = ACTIONS(2468),
    [anon_sym_default] = ACTIONS(2468),
    [anon_sym_while] = ACTIONS(2468),
    [anon_sym_do] = ACTIONS(2468),
    [anon_sym_for] = ACTIONS(2468),
    [anon_sym_return] = ACTIONS(2468),
    [anon_sym_break] = ACTIONS(2468),
    [anon_sym_continue] = ACTIONS(2468),
    [anon_sym_goto] = ACTIONS(2468),
    [anon_sym___try] = ACTIONS(2468),
    [anon_sym___leave] = ACTIONS(2468),
    [anon_sym_not] = ACTIONS(2468),
    [anon_sym_compl] = ACTIONS(2468),
    [anon_sym_DASH_DASH] = ACTIONS(2470),
    [anon_sym_PLUS_PLUS] = ACTIONS(2470),
    [anon_sym_sizeof] = ACTIONS(2468),
    [anon_sym___alignof__] = ACTIONS(2468),
    [anon_sym___alignof] = ACTIONS(2468),
    [anon_sym__alignof] = ACTIONS(2468),
    [anon_sym_alignof] = ACTIONS(2468),
    [anon_sym__Alignof] = ACTIONS(2468),
    [anon_sym_offsetof] = ACTIONS(2468),
    [anon_sym__Generic] = ACTIONS(2468),
    [anon_sym_asm] = ACTIONS(2468),
    [anon_sym___asm__] = ACTIONS(2468),
    [sym_number_literal] = ACTIONS(2470),
    [anon_sym_L_SQUOTE] = ACTIONS(2470),
    [anon_sym_u_SQUOTE] = ACTIONS(2470),
    [anon_sym_U_SQUOTE] = ACTIONS(2470),
    [anon_sym_u8_SQUOTE] = ACTIONS(2470),
    [anon_sym_SQUOTE] = ACTIONS(2470),
    [anon_sym_L_DQUOTE] = ACTIONS(2470),
    [anon_sym_u_DQUOTE] = ACTIONS(2470),
    [anon_sym_U_DQUOTE] = ACTIONS(2470),
    [anon_sym_u8_DQUOTE] = ACTIONS(2470),
    [anon_sym_DQUOTE] = ACTIONS(2470),
    [sym_true] = ACTIONS(2468),
    [sym_false] = ACTIONS(2468),
    [anon_sym_NULL] = ACTIONS(2468),
    [anon_sym_nullptr] = ACTIONS(2468),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2468),
    [anon_sym_decltype] = ACTIONS(2468),
    [anon_sym_virtual] = ACTIONS(2468),
    [anon_sym_alignas] = ACTIONS(2468),
    [anon_sym_explicit] = ACTIONS(2468),
    [anon_sym_typename] = ACTIONS(2468),
    [anon_sym_template] = ACTIONS(2468),
    [anon_sym_operator] = ACTIONS(2468),
    [anon_sym_try] = ACTIONS(2468),
    [anon_sym_delete] = ACTIONS(2468),
    [anon_sym_throw] = ACTIONS(2468),
    [anon_sym_namespace] = ACTIONS(2468),
    [anon_sym_using] = ACTIONS(2468),
    [anon_sym_static_assert] = ACTIONS(2468),
    [anon_sym_concept] = ACTIONS(2468),
    [anon_sym_co_return] = ACTIONS(2468),
    [anon_sym_co_yield] = ACTIONS(2468),
    [anon_sym_R_DQUOTE] = ACTIONS(2470),
    [anon_sym_LR_DQUOTE] = ACTIONS(2470),
    [anon_sym_uR_DQUOTE] = ACTIONS(2470),
    [anon_sym_UR_DQUOTE] = ACTIONS(2470),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2470),
    [anon_sym_co_await] = ACTIONS(2468),
    [anon_sym_new] = ACTIONS(2468),
    [anon_sym_requires] = ACTIONS(2468),
    [sym_this] = ACTIONS(2468),
    [anon_sym_discard] = ACTIONS(2468),
    [anon_sym_precise] = ACTIONS(2468),
    [anon_sym_shared] = ACTIONS(2468),
    [anon_sym_groupshared] = ACTIONS(2468),
    [anon_sym_uniform] = ACTIONS(2468),
    [anon_sym_row_major] = ACTIONS(2468),
    [anon_sym_column_major] = ACTIONS(2468),
    [anon_sym_globallycoherent] = ACTIONS(2468),
    [anon_sym_centroid] = ACTIONS(2468),
    [anon_sym_noperspective] = ACTIONS(2468),
    [anon_sym_nointerpolation] = ACTIONS(2468),
    [anon_sym_sample] = ACTIONS(2468),
    [anon_sym_linear] = ACTIONS(2468),
    [anon_sym_snorm] = ACTIONS(2468),
    [anon_sym_unorm] = ACTIONS(2468),
    [anon_sym_point] = ACTIONS(2468),
    [anon_sym_line] = ACTIONS(2468),
    [anon_sym_triangleadj] = ACTIONS(2468),
    [anon_sym_lineadj] = ACTIONS(2468),
    [anon_sym_triangle] = ACTIONS(2468),
    [anon_sym_cbuffer] = ACTIONS(2468),
  },
  [796] = {
    [sym_identifier] = ACTIONS(2238),
    [aux_sym_preproc_include_token1] = ACTIONS(2238),
    [aux_sym_preproc_def_token1] = ACTIONS(2238),
    [anon_sym_COMMA] = ACTIONS(2358),
    [aux_sym_preproc_if_token1] = ACTIONS(2238),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2238),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2238),
    [sym_preproc_directive] = ACTIONS(2238),
    [anon_sym_LPAREN2] = ACTIONS(2236),
    [anon_sym_BANG] = ACTIONS(2236),
    [anon_sym_TILDE] = ACTIONS(2236),
    [anon_sym_DASH] = ACTIONS(2238),
    [anon_sym_PLUS] = ACTIONS(2238),
    [anon_sym_STAR] = ACTIONS(2236),
    [anon_sym_AMP_AMP] = ACTIONS(2236),
    [anon_sym_AMP] = ACTIONS(2238),
    [anon_sym_SEMI] = ACTIONS(2236),
    [anon_sym___extension__] = ACTIONS(2238),
    [anon_sym_typedef] = ACTIONS(2238),
    [anon_sym_in] = ACTIONS(2238),
    [anon_sym_out] = ACTIONS(2238),
    [anon_sym_inout] = ACTIONS(2238),
    [anon_sym_extern] = ACTIONS(2238),
    [anon_sym___attribute__] = ACTIONS(2238),
    [anon_sym_COLON_COLON] = ACTIONS(2236),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2236),
    [anon_sym___declspec] = ACTIONS(2238),
    [anon_sym___based] = ACTIONS(2238),
    [anon_sym___cdecl] = ACTIONS(2238),
    [anon_sym___clrcall] = ACTIONS(2238),
    [anon_sym___stdcall] = ACTIONS(2238),
    [anon_sym___fastcall] = ACTIONS(2238),
    [anon_sym___thiscall] = ACTIONS(2238),
    [anon_sym___vectorcall] = ACTIONS(2238),
    [anon_sym_LBRACE] = ACTIONS(2236),
    [anon_sym_RBRACE] = ACTIONS(2358),
    [anon_sym_signed] = ACTIONS(2238),
    [anon_sym_unsigned] = ACTIONS(2238),
    [anon_sym_long] = ACTIONS(2238),
    [anon_sym_short] = ACTIONS(2238),
    [anon_sym_LBRACK] = ACTIONS(2238),
    [anon_sym_static] = ACTIONS(2238),
    [anon_sym_register] = ACTIONS(2238),
    [anon_sym_inline] = ACTIONS(2238),
    [anon_sym___inline] = ACTIONS(2238),
    [anon_sym___inline__] = ACTIONS(2238),
    [anon_sym___forceinline] = ACTIONS(2238),
    [anon_sym_thread_local] = ACTIONS(2238),
    [anon_sym___thread] = ACTIONS(2238),
    [anon_sym_const] = ACTIONS(2238),
    [anon_sym_constexpr] = ACTIONS(2238),
    [anon_sym_volatile] = ACTIONS(2238),
    [anon_sym_restrict] = ACTIONS(2238),
    [anon_sym___restrict__] = ACTIONS(2238),
    [anon_sym__Atomic] = ACTIONS(2238),
    [anon_sym__Noreturn] = ACTIONS(2238),
    [anon_sym_noreturn] = ACTIONS(2238),
    [anon_sym_mutable] = ACTIONS(2238),
    [anon_sym_constinit] = ACTIONS(2238),
    [anon_sym_consteval] = ACTIONS(2238),
    [sym_primitive_type] = ACTIONS(2238),
    [anon_sym_enum] = ACTIONS(2238),
    [anon_sym_class] = ACTIONS(2238),
    [anon_sym_struct] = ACTIONS(2238),
    [anon_sym_union] = ACTIONS(2238),
    [anon_sym_if] = ACTIONS(2238),
    [anon_sym_switch] = ACTIONS(2238),
    [anon_sym_case] = ACTIONS(2238),
    [anon_sym_default] = ACTIONS(2238),
    [anon_sym_while] = ACTIONS(2238),
    [anon_sym_do] = ACTIONS(2238),
    [anon_sym_for] = ACTIONS(2238),
    [anon_sym_return] = ACTIONS(2238),
    [anon_sym_break] = ACTIONS(2238),
    [anon_sym_continue] = ACTIONS(2238),
    [anon_sym_goto] = ACTIONS(2238),
    [anon_sym___try] = ACTIONS(2238),
    [anon_sym___leave] = ACTIONS(2238),
    [anon_sym_not] = ACTIONS(2238),
    [anon_sym_compl] = ACTIONS(2238),
    [anon_sym_DASH_DASH] = ACTIONS(2236),
    [anon_sym_PLUS_PLUS] = ACTIONS(2236),
    [anon_sym_sizeof] = ACTIONS(2238),
    [anon_sym___alignof__] = ACTIONS(2238),
    [anon_sym___alignof] = ACTIONS(2238),
    [anon_sym__alignof] = ACTIONS(2238),
    [anon_sym_alignof] = ACTIONS(2238),
    [anon_sym__Alignof] = ACTIONS(2238),
    [anon_sym_offsetof] = ACTIONS(2238),
    [anon_sym__Generic] = ACTIONS(2238),
    [anon_sym_asm] = ACTIONS(2238),
    [anon_sym___asm__] = ACTIONS(2238),
    [sym_number_literal] = ACTIONS(2236),
    [anon_sym_L_SQUOTE] = ACTIONS(2236),
    [anon_sym_u_SQUOTE] = ACTIONS(2236),
    [anon_sym_U_SQUOTE] = ACTIONS(2236),
    [anon_sym_u8_SQUOTE] = ACTIONS(2236),
    [anon_sym_SQUOTE] = ACTIONS(2236),
    [anon_sym_L_DQUOTE] = ACTIONS(2236),
    [anon_sym_u_DQUOTE] = ACTIONS(2236),
    [anon_sym_U_DQUOTE] = ACTIONS(2236),
    [anon_sym_u8_DQUOTE] = ACTIONS(2236),
    [anon_sym_DQUOTE] = ACTIONS(2236),
    [sym_true] = ACTIONS(2238),
    [sym_false] = ACTIONS(2238),
    [anon_sym_NULL] = ACTIONS(2238),
    [anon_sym_nullptr] = ACTIONS(2238),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2238),
    [anon_sym_decltype] = ACTIONS(2238),
    [anon_sym_virtual] = ACTIONS(2238),
    [anon_sym_alignas] = ACTIONS(2238),
    [anon_sym_explicit] = ACTIONS(2238),
    [anon_sym_typename] = ACTIONS(2238),
    [anon_sym_template] = ACTIONS(2238),
    [anon_sym_operator] = ACTIONS(2238),
    [anon_sym_try] = ACTIONS(2238),
    [anon_sym_delete] = ACTIONS(2238),
    [anon_sym_throw] = ACTIONS(2238),
    [anon_sym_namespace] = ACTIONS(2238),
    [anon_sym_using] = ACTIONS(2238),
    [anon_sym_static_assert] = ACTIONS(2238),
    [anon_sym_concept] = ACTIONS(2238),
    [anon_sym_co_return] = ACTIONS(2238),
    [anon_sym_co_yield] = ACTIONS(2238),
    [anon_sym_R_DQUOTE] = ACTIONS(2236),
    [anon_sym_LR_DQUOTE] = ACTIONS(2236),
    [anon_sym_uR_DQUOTE] = ACTIONS(2236),
    [anon_sym_UR_DQUOTE] = ACTIONS(2236),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2236),
    [anon_sym_co_await] = ACTIONS(2238),
    [anon_sym_new] = ACTIONS(2238),
    [anon_sym_requires] = ACTIONS(2238),
    [sym_this] = ACTIONS(2238),
    [anon_sym_discard] = ACTIONS(2238),
    [anon_sym_precise] = ACTIONS(2238),
    [anon_sym_shared] = ACTIONS(2238),
    [anon_sym_groupshared] = ACTIONS(2238),
    [anon_sym_uniform] = ACTIONS(2238),
    [anon_sym_row_major] = ACTIONS(2238),
    [anon_sym_column_major] = ACTIONS(2238),
    [anon_sym_globallycoherent] = ACTIONS(2238),
    [anon_sym_centroid] = ACTIONS(2238),
    [anon_sym_noperspective] = ACTIONS(2238),
    [anon_sym_nointerpolation] = ACTIONS(2238),
    [anon_sym_sample] = ACTIONS(2238),
    [anon_sym_linear] = ACTIONS(2238),
    [anon_sym_snorm] = ACTIONS(2238),
    [anon_sym_unorm] = ACTIONS(2238),
    [anon_sym_point] = ACTIONS(2238),
    [anon_sym_line] = ACTIONS(2238),
    [anon_sym_triangleadj] = ACTIONS(2238),
    [anon_sym_lineadj] = ACTIONS(2238),
    [anon_sym_triangle] = ACTIONS(2238),
    [anon_sym_cbuffer] = ACTIONS(2238),
  },
  [797] = {
    [ts_builtin_sym_end] = ACTIONS(2498),
    [sym_identifier] = ACTIONS(2496),
    [aux_sym_preproc_include_token1] = ACTIONS(2496),
    [aux_sym_preproc_def_token1] = ACTIONS(2496),
    [aux_sym_preproc_if_token1] = ACTIONS(2496),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2496),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2496),
    [sym_preproc_directive] = ACTIONS(2496),
    [anon_sym_LPAREN2] = ACTIONS(2498),
    [anon_sym_BANG] = ACTIONS(2498),
    [anon_sym_TILDE] = ACTIONS(2498),
    [anon_sym_DASH] = ACTIONS(2496),
    [anon_sym_PLUS] = ACTIONS(2496),
    [anon_sym_STAR] = ACTIONS(2498),
    [anon_sym_AMP_AMP] = ACTIONS(2498),
    [anon_sym_AMP] = ACTIONS(2496),
    [anon_sym_SEMI] = ACTIONS(2498),
    [anon_sym___extension__] = ACTIONS(2496),
    [anon_sym_typedef] = ACTIONS(2496),
    [anon_sym_in] = ACTIONS(2496),
    [anon_sym_out] = ACTIONS(2496),
    [anon_sym_inout] = ACTIONS(2496),
    [anon_sym_extern] = ACTIONS(2496),
    [anon_sym___attribute__] = ACTIONS(2496),
    [anon_sym_COLON_COLON] = ACTIONS(2498),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2498),
    [anon_sym___declspec] = ACTIONS(2496),
    [anon_sym___based] = ACTIONS(2496),
    [anon_sym___cdecl] = ACTIONS(2496),
    [anon_sym___clrcall] = ACTIONS(2496),
    [anon_sym___stdcall] = ACTIONS(2496),
    [anon_sym___fastcall] = ACTIONS(2496),
    [anon_sym___thiscall] = ACTIONS(2496),
    [anon_sym___vectorcall] = ACTIONS(2496),
    [anon_sym_LBRACE] = ACTIONS(2498),
    [anon_sym_signed] = ACTIONS(2496),
    [anon_sym_unsigned] = ACTIONS(2496),
    [anon_sym_long] = ACTIONS(2496),
    [anon_sym_short] = ACTIONS(2496),
    [anon_sym_LBRACK] = ACTIONS(2496),
    [anon_sym_static] = ACTIONS(2496),
    [anon_sym_register] = ACTIONS(2496),
    [anon_sym_inline] = ACTIONS(2496),
    [anon_sym___inline] = ACTIONS(2496),
    [anon_sym___inline__] = ACTIONS(2496),
    [anon_sym___forceinline] = ACTIONS(2496),
    [anon_sym_thread_local] = ACTIONS(2496),
    [anon_sym___thread] = ACTIONS(2496),
    [anon_sym_const] = ACTIONS(2496),
    [anon_sym_constexpr] = ACTIONS(2496),
    [anon_sym_volatile] = ACTIONS(2496),
    [anon_sym_restrict] = ACTIONS(2496),
    [anon_sym___restrict__] = ACTIONS(2496),
    [anon_sym__Atomic] = ACTIONS(2496),
    [anon_sym__Noreturn] = ACTIONS(2496),
    [anon_sym_noreturn] = ACTIONS(2496),
    [anon_sym_mutable] = ACTIONS(2496),
    [anon_sym_constinit] = ACTIONS(2496),
    [anon_sym_consteval] = ACTIONS(2496),
    [sym_primitive_type] = ACTIONS(2496),
    [anon_sym_enum] = ACTIONS(2496),
    [anon_sym_class] = ACTIONS(2496),
    [anon_sym_struct] = ACTIONS(2496),
    [anon_sym_union] = ACTIONS(2496),
    [anon_sym_if] = ACTIONS(2496),
    [anon_sym_else] = ACTIONS(2496),
    [anon_sym_switch] = ACTIONS(2496),
    [anon_sym_case] = ACTIONS(2496),
    [anon_sym_default] = ACTIONS(2496),
    [anon_sym_while] = ACTIONS(2496),
    [anon_sym_do] = ACTIONS(2496),
    [anon_sym_for] = ACTIONS(2496),
    [anon_sym_return] = ACTIONS(2496),
    [anon_sym_break] = ACTIONS(2496),
    [anon_sym_continue] = ACTIONS(2496),
    [anon_sym_goto] = ACTIONS(2496),
    [anon_sym___try] = ACTIONS(2496),
    [anon_sym___leave] = ACTIONS(2496),
    [anon_sym_not] = ACTIONS(2496),
    [anon_sym_compl] = ACTIONS(2496),
    [anon_sym_DASH_DASH] = ACTIONS(2498),
    [anon_sym_PLUS_PLUS] = ACTIONS(2498),
    [anon_sym_sizeof] = ACTIONS(2496),
    [anon_sym___alignof__] = ACTIONS(2496),
    [anon_sym___alignof] = ACTIONS(2496),
    [anon_sym__alignof] = ACTIONS(2496),
    [anon_sym_alignof] = ACTIONS(2496),
    [anon_sym__Alignof] = ACTIONS(2496),
    [anon_sym_offsetof] = ACTIONS(2496),
    [anon_sym__Generic] = ACTIONS(2496),
    [anon_sym_asm] = ACTIONS(2496),
    [anon_sym___asm__] = ACTIONS(2496),
    [sym_number_literal] = ACTIONS(2498),
    [anon_sym_L_SQUOTE] = ACTIONS(2498),
    [anon_sym_u_SQUOTE] = ACTIONS(2498),
    [anon_sym_U_SQUOTE] = ACTIONS(2498),
    [anon_sym_u8_SQUOTE] = ACTIONS(2498),
    [anon_sym_SQUOTE] = ACTIONS(2498),
    [anon_sym_L_DQUOTE] = ACTIONS(2498),
    [anon_sym_u_DQUOTE] = ACTIONS(2498),
    [anon_sym_U_DQUOTE] = ACTIONS(2498),
    [anon_sym_u8_DQUOTE] = ACTIONS(2498),
    [anon_sym_DQUOTE] = ACTIONS(2498),
    [sym_true] = ACTIONS(2496),
    [sym_false] = ACTIONS(2496),
    [anon_sym_NULL] = ACTIONS(2496),
    [anon_sym_nullptr] = ACTIONS(2496),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2496),
    [anon_sym_decltype] = ACTIONS(2496),
    [anon_sym_virtual] = ACTIONS(2496),
    [anon_sym_alignas] = ACTIONS(2496),
    [anon_sym_explicit] = ACTIONS(2496),
    [anon_sym_typename] = ACTIONS(2496),
    [anon_sym_template] = ACTIONS(2496),
    [anon_sym_operator] = ACTIONS(2496),
    [anon_sym_try] = ACTIONS(2496),
    [anon_sym_delete] = ACTIONS(2496),
    [anon_sym_throw] = ACTIONS(2496),
    [anon_sym_namespace] = ACTIONS(2496),
    [anon_sym_using] = ACTIONS(2496),
    [anon_sym_static_assert] = ACTIONS(2496),
    [anon_sym_concept] = ACTIONS(2496),
    [anon_sym_co_return] = ACTIONS(2496),
    [anon_sym_co_yield] = ACTIONS(2496),
    [anon_sym_R_DQUOTE] = ACTIONS(2498),
    [anon_sym_LR_DQUOTE] = ACTIONS(2498),
    [anon_sym_uR_DQUOTE] = ACTIONS(2498),
    [anon_sym_UR_DQUOTE] = ACTIONS(2498),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2498),
    [anon_sym_co_await] = ACTIONS(2496),
    [anon_sym_new] = ACTIONS(2496),
    [anon_sym_requires] = ACTIONS(2496),
    [sym_this] = ACTIONS(2496),
    [anon_sym_discard] = ACTIONS(2496),
    [anon_sym_precise] = ACTIONS(2496),
    [anon_sym_shared] = ACTIONS(2496),
    [anon_sym_groupshared] = ACTIONS(2496),
    [anon_sym_uniform] = ACTIONS(2496),
    [anon_sym_row_major] = ACTIONS(2496),
    [anon_sym_column_major] = ACTIONS(2496),
    [anon_sym_globallycoherent] = ACTIONS(2496),
    [anon_sym_centroid] = ACTIONS(2496),
    [anon_sym_noperspective] = ACTIONS(2496),
    [anon_sym_nointerpolation] = ACTIONS(2496),
    [anon_sym_sample] = ACTIONS(2496),
    [anon_sym_linear] = ACTIONS(2496),
    [anon_sym_snorm] = ACTIONS(2496),
    [anon_sym_unorm] = ACTIONS(2496),
    [anon_sym_point] = ACTIONS(2496),
    [anon_sym_line] = ACTIONS(2496),
    [anon_sym_triangleadj] = ACTIONS(2496),
    [anon_sym_lineadj] = ACTIONS(2496),
    [anon_sym_triangle] = ACTIONS(2496),
    [anon_sym_cbuffer] = ACTIONS(2496),
  },
  [798] = {
    [ts_builtin_sym_end] = ACTIONS(2324),
    [sym_identifier] = ACTIONS(2322),
    [aux_sym_preproc_include_token1] = ACTIONS(2322),
    [aux_sym_preproc_def_token1] = ACTIONS(2322),
    [aux_sym_preproc_if_token1] = ACTIONS(2322),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2322),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2322),
    [sym_preproc_directive] = ACTIONS(2322),
    [anon_sym_LPAREN2] = ACTIONS(2324),
    [anon_sym_BANG] = ACTIONS(2324),
    [anon_sym_TILDE] = ACTIONS(2324),
    [anon_sym_DASH] = ACTIONS(2322),
    [anon_sym_PLUS] = ACTIONS(2322),
    [anon_sym_STAR] = ACTIONS(2324),
    [anon_sym_AMP_AMP] = ACTIONS(2324),
    [anon_sym_AMP] = ACTIONS(2322),
    [anon_sym_SEMI] = ACTIONS(2324),
    [anon_sym___extension__] = ACTIONS(2322),
    [anon_sym_typedef] = ACTIONS(2322),
    [anon_sym_in] = ACTIONS(2322),
    [anon_sym_out] = ACTIONS(2322),
    [anon_sym_inout] = ACTIONS(2322),
    [anon_sym_extern] = ACTIONS(2322),
    [anon_sym___attribute__] = ACTIONS(2322),
    [anon_sym_COLON_COLON] = ACTIONS(2324),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2324),
    [anon_sym___declspec] = ACTIONS(2322),
    [anon_sym___based] = ACTIONS(2322),
    [anon_sym___cdecl] = ACTIONS(2322),
    [anon_sym___clrcall] = ACTIONS(2322),
    [anon_sym___stdcall] = ACTIONS(2322),
    [anon_sym___fastcall] = ACTIONS(2322),
    [anon_sym___thiscall] = ACTIONS(2322),
    [anon_sym___vectorcall] = ACTIONS(2322),
    [anon_sym_LBRACE] = ACTIONS(2324),
    [anon_sym_signed] = ACTIONS(2322),
    [anon_sym_unsigned] = ACTIONS(2322),
    [anon_sym_long] = ACTIONS(2322),
    [anon_sym_short] = ACTIONS(2322),
    [anon_sym_LBRACK] = ACTIONS(2322),
    [anon_sym_static] = ACTIONS(2322),
    [anon_sym_register] = ACTIONS(2322),
    [anon_sym_inline] = ACTIONS(2322),
    [anon_sym___inline] = ACTIONS(2322),
    [anon_sym___inline__] = ACTIONS(2322),
    [anon_sym___forceinline] = ACTIONS(2322),
    [anon_sym_thread_local] = ACTIONS(2322),
    [anon_sym___thread] = ACTIONS(2322),
    [anon_sym_const] = ACTIONS(2322),
    [anon_sym_constexpr] = ACTIONS(2322),
    [anon_sym_volatile] = ACTIONS(2322),
    [anon_sym_restrict] = ACTIONS(2322),
    [anon_sym___restrict__] = ACTIONS(2322),
    [anon_sym__Atomic] = ACTIONS(2322),
    [anon_sym__Noreturn] = ACTIONS(2322),
    [anon_sym_noreturn] = ACTIONS(2322),
    [anon_sym_mutable] = ACTIONS(2322),
    [anon_sym_constinit] = ACTIONS(2322),
    [anon_sym_consteval] = ACTIONS(2322),
    [sym_primitive_type] = ACTIONS(2322),
    [anon_sym_enum] = ACTIONS(2322),
    [anon_sym_class] = ACTIONS(2322),
    [anon_sym_struct] = ACTIONS(2322),
    [anon_sym_union] = ACTIONS(2322),
    [anon_sym_if] = ACTIONS(2322),
    [anon_sym_else] = ACTIONS(2322),
    [anon_sym_switch] = ACTIONS(2322),
    [anon_sym_case] = ACTIONS(2322),
    [anon_sym_default] = ACTIONS(2322),
    [anon_sym_while] = ACTIONS(2322),
    [anon_sym_do] = ACTIONS(2322),
    [anon_sym_for] = ACTIONS(2322),
    [anon_sym_return] = ACTIONS(2322),
    [anon_sym_break] = ACTIONS(2322),
    [anon_sym_continue] = ACTIONS(2322),
    [anon_sym_goto] = ACTIONS(2322),
    [anon_sym___try] = ACTIONS(2322),
    [anon_sym___leave] = ACTIONS(2322),
    [anon_sym_not] = ACTIONS(2322),
    [anon_sym_compl] = ACTIONS(2322),
    [anon_sym_DASH_DASH] = ACTIONS(2324),
    [anon_sym_PLUS_PLUS] = ACTIONS(2324),
    [anon_sym_sizeof] = ACTIONS(2322),
    [anon_sym___alignof__] = ACTIONS(2322),
    [anon_sym___alignof] = ACTIONS(2322),
    [anon_sym__alignof] = ACTIONS(2322),
    [anon_sym_alignof] = ACTIONS(2322),
    [anon_sym__Alignof] = ACTIONS(2322),
    [anon_sym_offsetof] = ACTIONS(2322),
    [anon_sym__Generic] = ACTIONS(2322),
    [anon_sym_asm] = ACTIONS(2322),
    [anon_sym___asm__] = ACTIONS(2322),
    [sym_number_literal] = ACTIONS(2324),
    [anon_sym_L_SQUOTE] = ACTIONS(2324),
    [anon_sym_u_SQUOTE] = ACTIONS(2324),
    [anon_sym_U_SQUOTE] = ACTIONS(2324),
    [anon_sym_u8_SQUOTE] = ACTIONS(2324),
    [anon_sym_SQUOTE] = ACTIONS(2324),
    [anon_sym_L_DQUOTE] = ACTIONS(2324),
    [anon_sym_u_DQUOTE] = ACTIONS(2324),
    [anon_sym_U_DQUOTE] = ACTIONS(2324),
    [anon_sym_u8_DQUOTE] = ACTIONS(2324),
    [anon_sym_DQUOTE] = ACTIONS(2324),
    [sym_true] = ACTIONS(2322),
    [sym_false] = ACTIONS(2322),
    [anon_sym_NULL] = ACTIONS(2322),
    [anon_sym_nullptr] = ACTIONS(2322),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2322),
    [anon_sym_decltype] = ACTIONS(2322),
    [anon_sym_virtual] = ACTIONS(2322),
    [anon_sym_alignas] = ACTIONS(2322),
    [anon_sym_explicit] = ACTIONS(2322),
    [anon_sym_typename] = ACTIONS(2322),
    [anon_sym_template] = ACTIONS(2322),
    [anon_sym_operator] = ACTIONS(2322),
    [anon_sym_try] = ACTIONS(2322),
    [anon_sym_delete] = ACTIONS(2322),
    [anon_sym_throw] = ACTIONS(2322),
    [anon_sym_namespace] = ACTIONS(2322),
    [anon_sym_using] = ACTIONS(2322),
    [anon_sym_static_assert] = ACTIONS(2322),
    [anon_sym_concept] = ACTIONS(2322),
    [anon_sym_co_return] = ACTIONS(2322),
    [anon_sym_co_yield] = ACTIONS(2322),
    [anon_sym_R_DQUOTE] = ACTIONS(2324),
    [anon_sym_LR_DQUOTE] = ACTIONS(2324),
    [anon_sym_uR_DQUOTE] = ACTIONS(2324),
    [anon_sym_UR_DQUOTE] = ACTIONS(2324),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2324),
    [anon_sym_co_await] = ACTIONS(2322),
    [anon_sym_new] = ACTIONS(2322),
    [anon_sym_requires] = ACTIONS(2322),
    [sym_this] = ACTIONS(2322),
    [anon_sym_discard] = ACTIONS(2322),
    [anon_sym_precise] = ACTIONS(2322),
    [anon_sym_shared] = ACTIONS(2322),
    [anon_sym_groupshared] = ACTIONS(2322),
    [anon_sym_uniform] = ACTIONS(2322),
    [anon_sym_row_major] = ACTIONS(2322),
    [anon_sym_column_major] = ACTIONS(2322),
    [anon_sym_globallycoherent] = ACTIONS(2322),
    [anon_sym_centroid] = ACTIONS(2322),
    [anon_sym_noperspective] = ACTIONS(2322),
    [anon_sym_nointerpolation] = ACTIONS(2322),
    [anon_sym_sample] = ACTIONS(2322),
    [anon_sym_linear] = ACTIONS(2322),
    [anon_sym_snorm] = ACTIONS(2322),
    [anon_sym_unorm] = ACTIONS(2322),
    [anon_sym_point] = ACTIONS(2322),
    [anon_sym_line] = ACTIONS(2322),
    [anon_sym_triangleadj] = ACTIONS(2322),
    [anon_sym_lineadj] = ACTIONS(2322),
    [anon_sym_triangle] = ACTIONS(2322),
    [anon_sym_cbuffer] = ACTIONS(2322),
  },
  [799] = {
    [ts_builtin_sym_end] = ACTIONS(2502),
    [sym_identifier] = ACTIONS(2500),
    [aux_sym_preproc_include_token1] = ACTIONS(2500),
    [aux_sym_preproc_def_token1] = ACTIONS(2500),
    [aux_sym_preproc_if_token1] = ACTIONS(2500),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2500),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2500),
    [sym_preproc_directive] = ACTIONS(2500),
    [anon_sym_LPAREN2] = ACTIONS(2502),
    [anon_sym_BANG] = ACTIONS(2502),
    [anon_sym_TILDE] = ACTIONS(2502),
    [anon_sym_DASH] = ACTIONS(2500),
    [anon_sym_PLUS] = ACTIONS(2500),
    [anon_sym_STAR] = ACTIONS(2502),
    [anon_sym_AMP_AMP] = ACTIONS(2502),
    [anon_sym_AMP] = ACTIONS(2500),
    [anon_sym_SEMI] = ACTIONS(2502),
    [anon_sym___extension__] = ACTIONS(2500),
    [anon_sym_typedef] = ACTIONS(2500),
    [anon_sym_in] = ACTIONS(2500),
    [anon_sym_out] = ACTIONS(2500),
    [anon_sym_inout] = ACTIONS(2500),
    [anon_sym_extern] = ACTIONS(2500),
    [anon_sym___attribute__] = ACTIONS(2500),
    [anon_sym_COLON_COLON] = ACTIONS(2502),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2502),
    [anon_sym___declspec] = ACTIONS(2500),
    [anon_sym___based] = ACTIONS(2500),
    [anon_sym___cdecl] = ACTIONS(2500),
    [anon_sym___clrcall] = ACTIONS(2500),
    [anon_sym___stdcall] = ACTIONS(2500),
    [anon_sym___fastcall] = ACTIONS(2500),
    [anon_sym___thiscall] = ACTIONS(2500),
    [anon_sym___vectorcall] = ACTIONS(2500),
    [anon_sym_LBRACE] = ACTIONS(2502),
    [anon_sym_signed] = ACTIONS(2500),
    [anon_sym_unsigned] = ACTIONS(2500),
    [anon_sym_long] = ACTIONS(2500),
    [anon_sym_short] = ACTIONS(2500),
    [anon_sym_LBRACK] = ACTIONS(2500),
    [anon_sym_static] = ACTIONS(2500),
    [anon_sym_register] = ACTIONS(2500),
    [anon_sym_inline] = ACTIONS(2500),
    [anon_sym___inline] = ACTIONS(2500),
    [anon_sym___inline__] = ACTIONS(2500),
    [anon_sym___forceinline] = ACTIONS(2500),
    [anon_sym_thread_local] = ACTIONS(2500),
    [anon_sym___thread] = ACTIONS(2500),
    [anon_sym_const] = ACTIONS(2500),
    [anon_sym_constexpr] = ACTIONS(2500),
    [anon_sym_volatile] = ACTIONS(2500),
    [anon_sym_restrict] = ACTIONS(2500),
    [anon_sym___restrict__] = ACTIONS(2500),
    [anon_sym__Atomic] = ACTIONS(2500),
    [anon_sym__Noreturn] = ACTIONS(2500),
    [anon_sym_noreturn] = ACTIONS(2500),
    [anon_sym_mutable] = ACTIONS(2500),
    [anon_sym_constinit] = ACTIONS(2500),
    [anon_sym_consteval] = ACTIONS(2500),
    [sym_primitive_type] = ACTIONS(2500),
    [anon_sym_enum] = ACTIONS(2500),
    [anon_sym_class] = ACTIONS(2500),
    [anon_sym_struct] = ACTIONS(2500),
    [anon_sym_union] = ACTIONS(2500),
    [anon_sym_if] = ACTIONS(2500),
    [anon_sym_else] = ACTIONS(2500),
    [anon_sym_switch] = ACTIONS(2500),
    [anon_sym_case] = ACTIONS(2500),
    [anon_sym_default] = ACTIONS(2500),
    [anon_sym_while] = ACTIONS(2500),
    [anon_sym_do] = ACTIONS(2500),
    [anon_sym_for] = ACTIONS(2500),
    [anon_sym_return] = ACTIONS(2500),
    [anon_sym_break] = ACTIONS(2500),
    [anon_sym_continue] = ACTIONS(2500),
    [anon_sym_goto] = ACTIONS(2500),
    [anon_sym___try] = ACTIONS(2500),
    [anon_sym___leave] = ACTIONS(2500),
    [anon_sym_not] = ACTIONS(2500),
    [anon_sym_compl] = ACTIONS(2500),
    [anon_sym_DASH_DASH] = ACTIONS(2502),
    [anon_sym_PLUS_PLUS] = ACTIONS(2502),
    [anon_sym_sizeof] = ACTIONS(2500),
    [anon_sym___alignof__] = ACTIONS(2500),
    [anon_sym___alignof] = ACTIONS(2500),
    [anon_sym__alignof] = ACTIONS(2500),
    [anon_sym_alignof] = ACTIONS(2500),
    [anon_sym__Alignof] = ACTIONS(2500),
    [anon_sym_offsetof] = ACTIONS(2500),
    [anon_sym__Generic] = ACTIONS(2500),
    [anon_sym_asm] = ACTIONS(2500),
    [anon_sym___asm__] = ACTIONS(2500),
    [sym_number_literal] = ACTIONS(2502),
    [anon_sym_L_SQUOTE] = ACTIONS(2502),
    [anon_sym_u_SQUOTE] = ACTIONS(2502),
    [anon_sym_U_SQUOTE] = ACTIONS(2502),
    [anon_sym_u8_SQUOTE] = ACTIONS(2502),
    [anon_sym_SQUOTE] = ACTIONS(2502),
    [anon_sym_L_DQUOTE] = ACTIONS(2502),
    [anon_sym_u_DQUOTE] = ACTIONS(2502),
    [anon_sym_U_DQUOTE] = ACTIONS(2502),
    [anon_sym_u8_DQUOTE] = ACTIONS(2502),
    [anon_sym_DQUOTE] = ACTIONS(2502),
    [sym_true] = ACTIONS(2500),
    [sym_false] = ACTIONS(2500),
    [anon_sym_NULL] = ACTIONS(2500),
    [anon_sym_nullptr] = ACTIONS(2500),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2500),
    [anon_sym_decltype] = ACTIONS(2500),
    [anon_sym_virtual] = ACTIONS(2500),
    [anon_sym_alignas] = ACTIONS(2500),
    [anon_sym_explicit] = ACTIONS(2500),
    [anon_sym_typename] = ACTIONS(2500),
    [anon_sym_template] = ACTIONS(2500),
    [anon_sym_operator] = ACTIONS(2500),
    [anon_sym_try] = ACTIONS(2500),
    [anon_sym_delete] = ACTIONS(2500),
    [anon_sym_throw] = ACTIONS(2500),
    [anon_sym_namespace] = ACTIONS(2500),
    [anon_sym_using] = ACTIONS(2500),
    [anon_sym_static_assert] = ACTIONS(2500),
    [anon_sym_concept] = ACTIONS(2500),
    [anon_sym_co_return] = ACTIONS(2500),
    [anon_sym_co_yield] = ACTIONS(2500),
    [anon_sym_R_DQUOTE] = ACTIONS(2502),
    [anon_sym_LR_DQUOTE] = ACTIONS(2502),
    [anon_sym_uR_DQUOTE] = ACTIONS(2502),
    [anon_sym_UR_DQUOTE] = ACTIONS(2502),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2502),
    [anon_sym_co_await] = ACTIONS(2500),
    [anon_sym_new] = ACTIONS(2500),
    [anon_sym_requires] = ACTIONS(2500),
    [sym_this] = ACTIONS(2500),
    [anon_sym_discard] = ACTIONS(2500),
    [anon_sym_precise] = ACTIONS(2500),
    [anon_sym_shared] = ACTIONS(2500),
    [anon_sym_groupshared] = ACTIONS(2500),
    [anon_sym_uniform] = ACTIONS(2500),
    [anon_sym_row_major] = ACTIONS(2500),
    [anon_sym_column_major] = ACTIONS(2500),
    [anon_sym_globallycoherent] = ACTIONS(2500),
    [anon_sym_centroid] = ACTIONS(2500),
    [anon_sym_noperspective] = ACTIONS(2500),
    [anon_sym_nointerpolation] = ACTIONS(2500),
    [anon_sym_sample] = ACTIONS(2500),
    [anon_sym_linear] = ACTIONS(2500),
    [anon_sym_snorm] = ACTIONS(2500),
    [anon_sym_unorm] = ACTIONS(2500),
    [anon_sym_point] = ACTIONS(2500),
    [anon_sym_line] = ACTIONS(2500),
    [anon_sym_triangleadj] = ACTIONS(2500),
    [anon_sym_lineadj] = ACTIONS(2500),
    [anon_sym_triangle] = ACTIONS(2500),
    [anon_sym_cbuffer] = ACTIONS(2500),
  },
  [800] = {
    [sym_identifier] = ACTIONS(2444),
    [aux_sym_preproc_include_token1] = ACTIONS(2444),
    [aux_sym_preproc_def_token1] = ACTIONS(2444),
    [aux_sym_preproc_if_token1] = ACTIONS(2444),
    [aux_sym_preproc_if_token2] = ACTIONS(2444),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2444),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2444),
    [sym_preproc_directive] = ACTIONS(2444),
    [anon_sym_LPAREN2] = ACTIONS(2446),
    [anon_sym_BANG] = ACTIONS(2446),
    [anon_sym_TILDE] = ACTIONS(2446),
    [anon_sym_DASH] = ACTIONS(2444),
    [anon_sym_PLUS] = ACTIONS(2444),
    [anon_sym_STAR] = ACTIONS(2446),
    [anon_sym_AMP_AMP] = ACTIONS(2446),
    [anon_sym_AMP] = ACTIONS(2444),
    [anon_sym_SEMI] = ACTIONS(2446),
    [anon_sym___extension__] = ACTIONS(2444),
    [anon_sym_typedef] = ACTIONS(2444),
    [anon_sym_in] = ACTIONS(2444),
    [anon_sym_out] = ACTIONS(2444),
    [anon_sym_inout] = ACTIONS(2444),
    [anon_sym_extern] = ACTIONS(2444),
    [anon_sym___attribute__] = ACTIONS(2444),
    [anon_sym_COLON_COLON] = ACTIONS(2446),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2446),
    [anon_sym___declspec] = ACTIONS(2444),
    [anon_sym___based] = ACTIONS(2444),
    [anon_sym___cdecl] = ACTIONS(2444),
    [anon_sym___clrcall] = ACTIONS(2444),
    [anon_sym___stdcall] = ACTIONS(2444),
    [anon_sym___fastcall] = ACTIONS(2444),
    [anon_sym___thiscall] = ACTIONS(2444),
    [anon_sym___vectorcall] = ACTIONS(2444),
    [anon_sym_LBRACE] = ACTIONS(2446),
    [anon_sym_signed] = ACTIONS(2444),
    [anon_sym_unsigned] = ACTIONS(2444),
    [anon_sym_long] = ACTIONS(2444),
    [anon_sym_short] = ACTIONS(2444),
    [anon_sym_LBRACK] = ACTIONS(2444),
    [anon_sym_static] = ACTIONS(2444),
    [anon_sym_register] = ACTIONS(2444),
    [anon_sym_inline] = ACTIONS(2444),
    [anon_sym___inline] = ACTIONS(2444),
    [anon_sym___inline__] = ACTIONS(2444),
    [anon_sym___forceinline] = ACTIONS(2444),
    [anon_sym_thread_local] = ACTIONS(2444),
    [anon_sym___thread] = ACTIONS(2444),
    [anon_sym_const] = ACTIONS(2444),
    [anon_sym_constexpr] = ACTIONS(2444),
    [anon_sym_volatile] = ACTIONS(2444),
    [anon_sym_restrict] = ACTIONS(2444),
    [anon_sym___restrict__] = ACTIONS(2444),
    [anon_sym__Atomic] = ACTIONS(2444),
    [anon_sym__Noreturn] = ACTIONS(2444),
    [anon_sym_noreturn] = ACTIONS(2444),
    [anon_sym_mutable] = ACTIONS(2444),
    [anon_sym_constinit] = ACTIONS(2444),
    [anon_sym_consteval] = ACTIONS(2444),
    [sym_primitive_type] = ACTIONS(2444),
    [anon_sym_enum] = ACTIONS(2444),
    [anon_sym_class] = ACTIONS(2444),
    [anon_sym_struct] = ACTIONS(2444),
    [anon_sym_union] = ACTIONS(2444),
    [anon_sym_if] = ACTIONS(2444),
    [anon_sym_else] = ACTIONS(2444),
    [anon_sym_switch] = ACTIONS(2444),
    [anon_sym_case] = ACTIONS(2444),
    [anon_sym_default] = ACTIONS(2444),
    [anon_sym_while] = ACTIONS(2444),
    [anon_sym_do] = ACTIONS(2444),
    [anon_sym_for] = ACTIONS(2444),
    [anon_sym_return] = ACTIONS(2444),
    [anon_sym_break] = ACTIONS(2444),
    [anon_sym_continue] = ACTIONS(2444),
    [anon_sym_goto] = ACTIONS(2444),
    [anon_sym___try] = ACTIONS(2444),
    [anon_sym___leave] = ACTIONS(2444),
    [anon_sym_not] = ACTIONS(2444),
    [anon_sym_compl] = ACTIONS(2444),
    [anon_sym_DASH_DASH] = ACTIONS(2446),
    [anon_sym_PLUS_PLUS] = ACTIONS(2446),
    [anon_sym_sizeof] = ACTIONS(2444),
    [anon_sym___alignof__] = ACTIONS(2444),
    [anon_sym___alignof] = ACTIONS(2444),
    [anon_sym__alignof] = ACTIONS(2444),
    [anon_sym_alignof] = ACTIONS(2444),
    [anon_sym__Alignof] = ACTIONS(2444),
    [anon_sym_offsetof] = ACTIONS(2444),
    [anon_sym__Generic] = ACTIONS(2444),
    [anon_sym_asm] = ACTIONS(2444),
    [anon_sym___asm__] = ACTIONS(2444),
    [sym_number_literal] = ACTIONS(2446),
    [anon_sym_L_SQUOTE] = ACTIONS(2446),
    [anon_sym_u_SQUOTE] = ACTIONS(2446),
    [anon_sym_U_SQUOTE] = ACTIONS(2446),
    [anon_sym_u8_SQUOTE] = ACTIONS(2446),
    [anon_sym_SQUOTE] = ACTIONS(2446),
    [anon_sym_L_DQUOTE] = ACTIONS(2446),
    [anon_sym_u_DQUOTE] = ACTIONS(2446),
    [anon_sym_U_DQUOTE] = ACTIONS(2446),
    [anon_sym_u8_DQUOTE] = ACTIONS(2446),
    [anon_sym_DQUOTE] = ACTIONS(2446),
    [sym_true] = ACTIONS(2444),
    [sym_false] = ACTIONS(2444),
    [anon_sym_NULL] = ACTIONS(2444),
    [anon_sym_nullptr] = ACTIONS(2444),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2444),
    [anon_sym_decltype] = ACTIONS(2444),
    [anon_sym_virtual] = ACTIONS(2444),
    [anon_sym_alignas] = ACTIONS(2444),
    [anon_sym_explicit] = ACTIONS(2444),
    [anon_sym_typename] = ACTIONS(2444),
    [anon_sym_template] = ACTIONS(2444),
    [anon_sym_operator] = ACTIONS(2444),
    [anon_sym_try] = ACTIONS(2444),
    [anon_sym_delete] = ACTIONS(2444),
    [anon_sym_throw] = ACTIONS(2444),
    [anon_sym_namespace] = ACTIONS(2444),
    [anon_sym_using] = ACTIONS(2444),
    [anon_sym_static_assert] = ACTIONS(2444),
    [anon_sym_concept] = ACTIONS(2444),
    [anon_sym_co_return] = ACTIONS(2444),
    [anon_sym_co_yield] = ACTIONS(2444),
    [anon_sym_R_DQUOTE] = ACTIONS(2446),
    [anon_sym_LR_DQUOTE] = ACTIONS(2446),
    [anon_sym_uR_DQUOTE] = ACTIONS(2446),
    [anon_sym_UR_DQUOTE] = ACTIONS(2446),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2446),
    [anon_sym_co_await] = ACTIONS(2444),
    [anon_sym_new] = ACTIONS(2444),
    [anon_sym_requires] = ACTIONS(2444),
    [sym_this] = ACTIONS(2444),
    [anon_sym_discard] = ACTIONS(2444),
    [anon_sym_precise] = ACTIONS(2444),
    [anon_sym_shared] = ACTIONS(2444),
    [anon_sym_groupshared] = ACTIONS(2444),
    [anon_sym_uniform] = ACTIONS(2444),
    [anon_sym_row_major] = ACTIONS(2444),
    [anon_sym_column_major] = ACTIONS(2444),
    [anon_sym_globallycoherent] = ACTIONS(2444),
    [anon_sym_centroid] = ACTIONS(2444),
    [anon_sym_noperspective] = ACTIONS(2444),
    [anon_sym_nointerpolation] = ACTIONS(2444),
    [anon_sym_sample] = ACTIONS(2444),
    [anon_sym_linear] = ACTIONS(2444),
    [anon_sym_snorm] = ACTIONS(2444),
    [anon_sym_unorm] = ACTIONS(2444),
    [anon_sym_point] = ACTIONS(2444),
    [anon_sym_line] = ACTIONS(2444),
    [anon_sym_triangleadj] = ACTIONS(2444),
    [anon_sym_lineadj] = ACTIONS(2444),
    [anon_sym_triangle] = ACTIONS(2444),
    [anon_sym_cbuffer] = ACTIONS(2444),
  },
  [801] = {
    [sym_identifier] = ACTIONS(2420),
    [aux_sym_preproc_include_token1] = ACTIONS(2420),
    [aux_sym_preproc_def_token1] = ACTIONS(2420),
    [aux_sym_preproc_if_token1] = ACTIONS(2420),
    [aux_sym_preproc_if_token2] = ACTIONS(2420),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2420),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2420),
    [sym_preproc_directive] = ACTIONS(2420),
    [anon_sym_LPAREN2] = ACTIONS(2422),
    [anon_sym_BANG] = ACTIONS(2422),
    [anon_sym_TILDE] = ACTIONS(2422),
    [anon_sym_DASH] = ACTIONS(2420),
    [anon_sym_PLUS] = ACTIONS(2420),
    [anon_sym_STAR] = ACTIONS(2422),
    [anon_sym_AMP_AMP] = ACTIONS(2422),
    [anon_sym_AMP] = ACTIONS(2420),
    [anon_sym_SEMI] = ACTIONS(2422),
    [anon_sym___extension__] = ACTIONS(2420),
    [anon_sym_typedef] = ACTIONS(2420),
    [anon_sym_in] = ACTIONS(2420),
    [anon_sym_out] = ACTIONS(2420),
    [anon_sym_inout] = ACTIONS(2420),
    [anon_sym_extern] = ACTIONS(2420),
    [anon_sym___attribute__] = ACTIONS(2420),
    [anon_sym_COLON_COLON] = ACTIONS(2422),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2422),
    [anon_sym___declspec] = ACTIONS(2420),
    [anon_sym___based] = ACTIONS(2420),
    [anon_sym___cdecl] = ACTIONS(2420),
    [anon_sym___clrcall] = ACTIONS(2420),
    [anon_sym___stdcall] = ACTIONS(2420),
    [anon_sym___fastcall] = ACTIONS(2420),
    [anon_sym___thiscall] = ACTIONS(2420),
    [anon_sym___vectorcall] = ACTIONS(2420),
    [anon_sym_LBRACE] = ACTIONS(2422),
    [anon_sym_signed] = ACTIONS(2420),
    [anon_sym_unsigned] = ACTIONS(2420),
    [anon_sym_long] = ACTIONS(2420),
    [anon_sym_short] = ACTIONS(2420),
    [anon_sym_LBRACK] = ACTIONS(2420),
    [anon_sym_static] = ACTIONS(2420),
    [anon_sym_register] = ACTIONS(2420),
    [anon_sym_inline] = ACTIONS(2420),
    [anon_sym___inline] = ACTIONS(2420),
    [anon_sym___inline__] = ACTIONS(2420),
    [anon_sym___forceinline] = ACTIONS(2420),
    [anon_sym_thread_local] = ACTIONS(2420),
    [anon_sym___thread] = ACTIONS(2420),
    [anon_sym_const] = ACTIONS(2420),
    [anon_sym_constexpr] = ACTIONS(2420),
    [anon_sym_volatile] = ACTIONS(2420),
    [anon_sym_restrict] = ACTIONS(2420),
    [anon_sym___restrict__] = ACTIONS(2420),
    [anon_sym__Atomic] = ACTIONS(2420),
    [anon_sym__Noreturn] = ACTIONS(2420),
    [anon_sym_noreturn] = ACTIONS(2420),
    [anon_sym_mutable] = ACTIONS(2420),
    [anon_sym_constinit] = ACTIONS(2420),
    [anon_sym_consteval] = ACTIONS(2420),
    [sym_primitive_type] = ACTIONS(2420),
    [anon_sym_enum] = ACTIONS(2420),
    [anon_sym_class] = ACTIONS(2420),
    [anon_sym_struct] = ACTIONS(2420),
    [anon_sym_union] = ACTIONS(2420),
    [anon_sym_if] = ACTIONS(2420),
    [anon_sym_else] = ACTIONS(2420),
    [anon_sym_switch] = ACTIONS(2420),
    [anon_sym_case] = ACTIONS(2420),
    [anon_sym_default] = ACTIONS(2420),
    [anon_sym_while] = ACTIONS(2420),
    [anon_sym_do] = ACTIONS(2420),
    [anon_sym_for] = ACTIONS(2420),
    [anon_sym_return] = ACTIONS(2420),
    [anon_sym_break] = ACTIONS(2420),
    [anon_sym_continue] = ACTIONS(2420),
    [anon_sym_goto] = ACTIONS(2420),
    [anon_sym___try] = ACTIONS(2420),
    [anon_sym___leave] = ACTIONS(2420),
    [anon_sym_not] = ACTIONS(2420),
    [anon_sym_compl] = ACTIONS(2420),
    [anon_sym_DASH_DASH] = ACTIONS(2422),
    [anon_sym_PLUS_PLUS] = ACTIONS(2422),
    [anon_sym_sizeof] = ACTIONS(2420),
    [anon_sym___alignof__] = ACTIONS(2420),
    [anon_sym___alignof] = ACTIONS(2420),
    [anon_sym__alignof] = ACTIONS(2420),
    [anon_sym_alignof] = ACTIONS(2420),
    [anon_sym__Alignof] = ACTIONS(2420),
    [anon_sym_offsetof] = ACTIONS(2420),
    [anon_sym__Generic] = ACTIONS(2420),
    [anon_sym_asm] = ACTIONS(2420),
    [anon_sym___asm__] = ACTIONS(2420),
    [sym_number_literal] = ACTIONS(2422),
    [anon_sym_L_SQUOTE] = ACTIONS(2422),
    [anon_sym_u_SQUOTE] = ACTIONS(2422),
    [anon_sym_U_SQUOTE] = ACTIONS(2422),
    [anon_sym_u8_SQUOTE] = ACTIONS(2422),
    [anon_sym_SQUOTE] = ACTIONS(2422),
    [anon_sym_L_DQUOTE] = ACTIONS(2422),
    [anon_sym_u_DQUOTE] = ACTIONS(2422),
    [anon_sym_U_DQUOTE] = ACTIONS(2422),
    [anon_sym_u8_DQUOTE] = ACTIONS(2422),
    [anon_sym_DQUOTE] = ACTIONS(2422),
    [sym_true] = ACTIONS(2420),
    [sym_false] = ACTIONS(2420),
    [anon_sym_NULL] = ACTIONS(2420),
    [anon_sym_nullptr] = ACTIONS(2420),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2420),
    [anon_sym_decltype] = ACTIONS(2420),
    [anon_sym_virtual] = ACTIONS(2420),
    [anon_sym_alignas] = ACTIONS(2420),
    [anon_sym_explicit] = ACTIONS(2420),
    [anon_sym_typename] = ACTIONS(2420),
    [anon_sym_template] = ACTIONS(2420),
    [anon_sym_operator] = ACTIONS(2420),
    [anon_sym_try] = ACTIONS(2420),
    [anon_sym_delete] = ACTIONS(2420),
    [anon_sym_throw] = ACTIONS(2420),
    [anon_sym_namespace] = ACTIONS(2420),
    [anon_sym_using] = ACTIONS(2420),
    [anon_sym_static_assert] = ACTIONS(2420),
    [anon_sym_concept] = ACTIONS(2420),
    [anon_sym_co_return] = ACTIONS(2420),
    [anon_sym_co_yield] = ACTIONS(2420),
    [anon_sym_R_DQUOTE] = ACTIONS(2422),
    [anon_sym_LR_DQUOTE] = ACTIONS(2422),
    [anon_sym_uR_DQUOTE] = ACTIONS(2422),
    [anon_sym_UR_DQUOTE] = ACTIONS(2422),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2422),
    [anon_sym_co_await] = ACTIONS(2420),
    [anon_sym_new] = ACTIONS(2420),
    [anon_sym_requires] = ACTIONS(2420),
    [sym_this] = ACTIONS(2420),
    [anon_sym_discard] = ACTIONS(2420),
    [anon_sym_precise] = ACTIONS(2420),
    [anon_sym_shared] = ACTIONS(2420),
    [anon_sym_groupshared] = ACTIONS(2420),
    [anon_sym_uniform] = ACTIONS(2420),
    [anon_sym_row_major] = ACTIONS(2420),
    [anon_sym_column_major] = ACTIONS(2420),
    [anon_sym_globallycoherent] = ACTIONS(2420),
    [anon_sym_centroid] = ACTIONS(2420),
    [anon_sym_noperspective] = ACTIONS(2420),
    [anon_sym_nointerpolation] = ACTIONS(2420),
    [anon_sym_sample] = ACTIONS(2420),
    [anon_sym_linear] = ACTIONS(2420),
    [anon_sym_snorm] = ACTIONS(2420),
    [anon_sym_unorm] = ACTIONS(2420),
    [anon_sym_point] = ACTIONS(2420),
    [anon_sym_line] = ACTIONS(2420),
    [anon_sym_triangleadj] = ACTIONS(2420),
    [anon_sym_lineadj] = ACTIONS(2420),
    [anon_sym_triangle] = ACTIONS(2420),
    [anon_sym_cbuffer] = ACTIONS(2420),
  },
  [802] = {
    [ts_builtin_sym_end] = ACTIONS(2332),
    [sym_identifier] = ACTIONS(2330),
    [aux_sym_preproc_include_token1] = ACTIONS(2330),
    [aux_sym_preproc_def_token1] = ACTIONS(2330),
    [aux_sym_preproc_if_token1] = ACTIONS(2330),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2330),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2330),
    [sym_preproc_directive] = ACTIONS(2330),
    [anon_sym_LPAREN2] = ACTIONS(2332),
    [anon_sym_BANG] = ACTIONS(2332),
    [anon_sym_TILDE] = ACTIONS(2332),
    [anon_sym_DASH] = ACTIONS(2330),
    [anon_sym_PLUS] = ACTIONS(2330),
    [anon_sym_STAR] = ACTIONS(2332),
    [anon_sym_AMP_AMP] = ACTIONS(2332),
    [anon_sym_AMP] = ACTIONS(2330),
    [anon_sym_SEMI] = ACTIONS(2332),
    [anon_sym___extension__] = ACTIONS(2330),
    [anon_sym_typedef] = ACTIONS(2330),
    [anon_sym_in] = ACTIONS(2330),
    [anon_sym_out] = ACTIONS(2330),
    [anon_sym_inout] = ACTIONS(2330),
    [anon_sym_extern] = ACTIONS(2330),
    [anon_sym___attribute__] = ACTIONS(2330),
    [anon_sym_COLON_COLON] = ACTIONS(2332),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2332),
    [anon_sym___declspec] = ACTIONS(2330),
    [anon_sym___based] = ACTIONS(2330),
    [anon_sym___cdecl] = ACTIONS(2330),
    [anon_sym___clrcall] = ACTIONS(2330),
    [anon_sym___stdcall] = ACTIONS(2330),
    [anon_sym___fastcall] = ACTIONS(2330),
    [anon_sym___thiscall] = ACTIONS(2330),
    [anon_sym___vectorcall] = ACTIONS(2330),
    [anon_sym_LBRACE] = ACTIONS(2332),
    [anon_sym_signed] = ACTIONS(2330),
    [anon_sym_unsigned] = ACTIONS(2330),
    [anon_sym_long] = ACTIONS(2330),
    [anon_sym_short] = ACTIONS(2330),
    [anon_sym_LBRACK] = ACTIONS(2330),
    [anon_sym_static] = ACTIONS(2330),
    [anon_sym_register] = ACTIONS(2330),
    [anon_sym_inline] = ACTIONS(2330),
    [anon_sym___inline] = ACTIONS(2330),
    [anon_sym___inline__] = ACTIONS(2330),
    [anon_sym___forceinline] = ACTIONS(2330),
    [anon_sym_thread_local] = ACTIONS(2330),
    [anon_sym___thread] = ACTIONS(2330),
    [anon_sym_const] = ACTIONS(2330),
    [anon_sym_constexpr] = ACTIONS(2330),
    [anon_sym_volatile] = ACTIONS(2330),
    [anon_sym_restrict] = ACTIONS(2330),
    [anon_sym___restrict__] = ACTIONS(2330),
    [anon_sym__Atomic] = ACTIONS(2330),
    [anon_sym__Noreturn] = ACTIONS(2330),
    [anon_sym_noreturn] = ACTIONS(2330),
    [anon_sym_mutable] = ACTIONS(2330),
    [anon_sym_constinit] = ACTIONS(2330),
    [anon_sym_consteval] = ACTIONS(2330),
    [sym_primitive_type] = ACTIONS(2330),
    [anon_sym_enum] = ACTIONS(2330),
    [anon_sym_class] = ACTIONS(2330),
    [anon_sym_struct] = ACTIONS(2330),
    [anon_sym_union] = ACTIONS(2330),
    [anon_sym_if] = ACTIONS(2330),
    [anon_sym_else] = ACTIONS(2330),
    [anon_sym_switch] = ACTIONS(2330),
    [anon_sym_case] = ACTIONS(2330),
    [anon_sym_default] = ACTIONS(2330),
    [anon_sym_while] = ACTIONS(2330),
    [anon_sym_do] = ACTIONS(2330),
    [anon_sym_for] = ACTIONS(2330),
    [anon_sym_return] = ACTIONS(2330),
    [anon_sym_break] = ACTIONS(2330),
    [anon_sym_continue] = ACTIONS(2330),
    [anon_sym_goto] = ACTIONS(2330),
    [anon_sym___try] = ACTIONS(2330),
    [anon_sym___leave] = ACTIONS(2330),
    [anon_sym_not] = ACTIONS(2330),
    [anon_sym_compl] = ACTIONS(2330),
    [anon_sym_DASH_DASH] = ACTIONS(2332),
    [anon_sym_PLUS_PLUS] = ACTIONS(2332),
    [anon_sym_sizeof] = ACTIONS(2330),
    [anon_sym___alignof__] = ACTIONS(2330),
    [anon_sym___alignof] = ACTIONS(2330),
    [anon_sym__alignof] = ACTIONS(2330),
    [anon_sym_alignof] = ACTIONS(2330),
    [anon_sym__Alignof] = ACTIONS(2330),
    [anon_sym_offsetof] = ACTIONS(2330),
    [anon_sym__Generic] = ACTIONS(2330),
    [anon_sym_asm] = ACTIONS(2330),
    [anon_sym___asm__] = ACTIONS(2330),
    [sym_number_literal] = ACTIONS(2332),
    [anon_sym_L_SQUOTE] = ACTIONS(2332),
    [anon_sym_u_SQUOTE] = ACTIONS(2332),
    [anon_sym_U_SQUOTE] = ACTIONS(2332),
    [anon_sym_u8_SQUOTE] = ACTIONS(2332),
    [anon_sym_SQUOTE] = ACTIONS(2332),
    [anon_sym_L_DQUOTE] = ACTIONS(2332),
    [anon_sym_u_DQUOTE] = ACTIONS(2332),
    [anon_sym_U_DQUOTE] = ACTIONS(2332),
    [anon_sym_u8_DQUOTE] = ACTIONS(2332),
    [anon_sym_DQUOTE] = ACTIONS(2332),
    [sym_true] = ACTIONS(2330),
    [sym_false] = ACTIONS(2330),
    [anon_sym_NULL] = ACTIONS(2330),
    [anon_sym_nullptr] = ACTIONS(2330),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2330),
    [anon_sym_decltype] = ACTIONS(2330),
    [anon_sym_virtual] = ACTIONS(2330),
    [anon_sym_alignas] = ACTIONS(2330),
    [anon_sym_explicit] = ACTIONS(2330),
    [anon_sym_typename] = ACTIONS(2330),
    [anon_sym_template] = ACTIONS(2330),
    [anon_sym_operator] = ACTIONS(2330),
    [anon_sym_try] = ACTIONS(2330),
    [anon_sym_delete] = ACTIONS(2330),
    [anon_sym_throw] = ACTIONS(2330),
    [anon_sym_namespace] = ACTIONS(2330),
    [anon_sym_using] = ACTIONS(2330),
    [anon_sym_static_assert] = ACTIONS(2330),
    [anon_sym_concept] = ACTIONS(2330),
    [anon_sym_co_return] = ACTIONS(2330),
    [anon_sym_co_yield] = ACTIONS(2330),
    [anon_sym_R_DQUOTE] = ACTIONS(2332),
    [anon_sym_LR_DQUOTE] = ACTIONS(2332),
    [anon_sym_uR_DQUOTE] = ACTIONS(2332),
    [anon_sym_UR_DQUOTE] = ACTIONS(2332),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2332),
    [anon_sym_co_await] = ACTIONS(2330),
    [anon_sym_new] = ACTIONS(2330),
    [anon_sym_requires] = ACTIONS(2330),
    [sym_this] = ACTIONS(2330),
    [anon_sym_discard] = ACTIONS(2330),
    [anon_sym_precise] = ACTIONS(2330),
    [anon_sym_shared] = ACTIONS(2330),
    [anon_sym_groupshared] = ACTIONS(2330),
    [anon_sym_uniform] = ACTIONS(2330),
    [anon_sym_row_major] = ACTIONS(2330),
    [anon_sym_column_major] = ACTIONS(2330),
    [anon_sym_globallycoherent] = ACTIONS(2330),
    [anon_sym_centroid] = ACTIONS(2330),
    [anon_sym_noperspective] = ACTIONS(2330),
    [anon_sym_nointerpolation] = ACTIONS(2330),
    [anon_sym_sample] = ACTIONS(2330),
    [anon_sym_linear] = ACTIONS(2330),
    [anon_sym_snorm] = ACTIONS(2330),
    [anon_sym_unorm] = ACTIONS(2330),
    [anon_sym_point] = ACTIONS(2330),
    [anon_sym_line] = ACTIONS(2330),
    [anon_sym_triangleadj] = ACTIONS(2330),
    [anon_sym_lineadj] = ACTIONS(2330),
    [anon_sym_triangle] = ACTIONS(2330),
    [anon_sym_cbuffer] = ACTIONS(2330),
  },
  [803] = {
    [sym_identifier] = ACTIONS(2412),
    [aux_sym_preproc_include_token1] = ACTIONS(2412),
    [aux_sym_preproc_def_token1] = ACTIONS(2412),
    [aux_sym_preproc_if_token1] = ACTIONS(2412),
    [aux_sym_preproc_if_token2] = ACTIONS(2412),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2412),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2412),
    [sym_preproc_directive] = ACTIONS(2412),
    [anon_sym_LPAREN2] = ACTIONS(2414),
    [anon_sym_BANG] = ACTIONS(2414),
    [anon_sym_TILDE] = ACTIONS(2414),
    [anon_sym_DASH] = ACTIONS(2412),
    [anon_sym_PLUS] = ACTIONS(2412),
    [anon_sym_STAR] = ACTIONS(2414),
    [anon_sym_AMP_AMP] = ACTIONS(2414),
    [anon_sym_AMP] = ACTIONS(2412),
    [anon_sym_SEMI] = ACTIONS(2414),
    [anon_sym___extension__] = ACTIONS(2412),
    [anon_sym_typedef] = ACTIONS(2412),
    [anon_sym_in] = ACTIONS(2412),
    [anon_sym_out] = ACTIONS(2412),
    [anon_sym_inout] = ACTIONS(2412),
    [anon_sym_extern] = ACTIONS(2412),
    [anon_sym___attribute__] = ACTIONS(2412),
    [anon_sym_COLON_COLON] = ACTIONS(2414),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2414),
    [anon_sym___declspec] = ACTIONS(2412),
    [anon_sym___based] = ACTIONS(2412),
    [anon_sym___cdecl] = ACTIONS(2412),
    [anon_sym___clrcall] = ACTIONS(2412),
    [anon_sym___stdcall] = ACTIONS(2412),
    [anon_sym___fastcall] = ACTIONS(2412),
    [anon_sym___thiscall] = ACTIONS(2412),
    [anon_sym___vectorcall] = ACTIONS(2412),
    [anon_sym_LBRACE] = ACTIONS(2414),
    [anon_sym_signed] = ACTIONS(2412),
    [anon_sym_unsigned] = ACTIONS(2412),
    [anon_sym_long] = ACTIONS(2412),
    [anon_sym_short] = ACTIONS(2412),
    [anon_sym_LBRACK] = ACTIONS(2412),
    [anon_sym_static] = ACTIONS(2412),
    [anon_sym_register] = ACTIONS(2412),
    [anon_sym_inline] = ACTIONS(2412),
    [anon_sym___inline] = ACTIONS(2412),
    [anon_sym___inline__] = ACTIONS(2412),
    [anon_sym___forceinline] = ACTIONS(2412),
    [anon_sym_thread_local] = ACTIONS(2412),
    [anon_sym___thread] = ACTIONS(2412),
    [anon_sym_const] = ACTIONS(2412),
    [anon_sym_constexpr] = ACTIONS(2412),
    [anon_sym_volatile] = ACTIONS(2412),
    [anon_sym_restrict] = ACTIONS(2412),
    [anon_sym___restrict__] = ACTIONS(2412),
    [anon_sym__Atomic] = ACTIONS(2412),
    [anon_sym__Noreturn] = ACTIONS(2412),
    [anon_sym_noreturn] = ACTIONS(2412),
    [anon_sym_mutable] = ACTIONS(2412),
    [anon_sym_constinit] = ACTIONS(2412),
    [anon_sym_consteval] = ACTIONS(2412),
    [sym_primitive_type] = ACTIONS(2412),
    [anon_sym_enum] = ACTIONS(2412),
    [anon_sym_class] = ACTIONS(2412),
    [anon_sym_struct] = ACTIONS(2412),
    [anon_sym_union] = ACTIONS(2412),
    [anon_sym_if] = ACTIONS(2412),
    [anon_sym_else] = ACTIONS(2412),
    [anon_sym_switch] = ACTIONS(2412),
    [anon_sym_case] = ACTIONS(2412),
    [anon_sym_default] = ACTIONS(2412),
    [anon_sym_while] = ACTIONS(2412),
    [anon_sym_do] = ACTIONS(2412),
    [anon_sym_for] = ACTIONS(2412),
    [anon_sym_return] = ACTIONS(2412),
    [anon_sym_break] = ACTIONS(2412),
    [anon_sym_continue] = ACTIONS(2412),
    [anon_sym_goto] = ACTIONS(2412),
    [anon_sym___try] = ACTIONS(2412),
    [anon_sym___leave] = ACTIONS(2412),
    [anon_sym_not] = ACTIONS(2412),
    [anon_sym_compl] = ACTIONS(2412),
    [anon_sym_DASH_DASH] = ACTIONS(2414),
    [anon_sym_PLUS_PLUS] = ACTIONS(2414),
    [anon_sym_sizeof] = ACTIONS(2412),
    [anon_sym___alignof__] = ACTIONS(2412),
    [anon_sym___alignof] = ACTIONS(2412),
    [anon_sym__alignof] = ACTIONS(2412),
    [anon_sym_alignof] = ACTIONS(2412),
    [anon_sym__Alignof] = ACTIONS(2412),
    [anon_sym_offsetof] = ACTIONS(2412),
    [anon_sym__Generic] = ACTIONS(2412),
    [anon_sym_asm] = ACTIONS(2412),
    [anon_sym___asm__] = ACTIONS(2412),
    [sym_number_literal] = ACTIONS(2414),
    [anon_sym_L_SQUOTE] = ACTIONS(2414),
    [anon_sym_u_SQUOTE] = ACTIONS(2414),
    [anon_sym_U_SQUOTE] = ACTIONS(2414),
    [anon_sym_u8_SQUOTE] = ACTIONS(2414),
    [anon_sym_SQUOTE] = ACTIONS(2414),
    [anon_sym_L_DQUOTE] = ACTIONS(2414),
    [anon_sym_u_DQUOTE] = ACTIONS(2414),
    [anon_sym_U_DQUOTE] = ACTIONS(2414),
    [anon_sym_u8_DQUOTE] = ACTIONS(2414),
    [anon_sym_DQUOTE] = ACTIONS(2414),
    [sym_true] = ACTIONS(2412),
    [sym_false] = ACTIONS(2412),
    [anon_sym_NULL] = ACTIONS(2412),
    [anon_sym_nullptr] = ACTIONS(2412),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2412),
    [anon_sym_decltype] = ACTIONS(2412),
    [anon_sym_virtual] = ACTIONS(2412),
    [anon_sym_alignas] = ACTIONS(2412),
    [anon_sym_explicit] = ACTIONS(2412),
    [anon_sym_typename] = ACTIONS(2412),
    [anon_sym_template] = ACTIONS(2412),
    [anon_sym_operator] = ACTIONS(2412),
    [anon_sym_try] = ACTIONS(2412),
    [anon_sym_delete] = ACTIONS(2412),
    [anon_sym_throw] = ACTIONS(2412),
    [anon_sym_namespace] = ACTIONS(2412),
    [anon_sym_using] = ACTIONS(2412),
    [anon_sym_static_assert] = ACTIONS(2412),
    [anon_sym_concept] = ACTIONS(2412),
    [anon_sym_co_return] = ACTIONS(2412),
    [anon_sym_co_yield] = ACTIONS(2412),
    [anon_sym_R_DQUOTE] = ACTIONS(2414),
    [anon_sym_LR_DQUOTE] = ACTIONS(2414),
    [anon_sym_uR_DQUOTE] = ACTIONS(2414),
    [anon_sym_UR_DQUOTE] = ACTIONS(2414),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2414),
    [anon_sym_co_await] = ACTIONS(2412),
    [anon_sym_new] = ACTIONS(2412),
    [anon_sym_requires] = ACTIONS(2412),
    [sym_this] = ACTIONS(2412),
    [anon_sym_discard] = ACTIONS(2412),
    [anon_sym_precise] = ACTIONS(2412),
    [anon_sym_shared] = ACTIONS(2412),
    [anon_sym_groupshared] = ACTIONS(2412),
    [anon_sym_uniform] = ACTIONS(2412),
    [anon_sym_row_major] = ACTIONS(2412),
    [anon_sym_column_major] = ACTIONS(2412),
    [anon_sym_globallycoherent] = ACTIONS(2412),
    [anon_sym_centroid] = ACTIONS(2412),
    [anon_sym_noperspective] = ACTIONS(2412),
    [anon_sym_nointerpolation] = ACTIONS(2412),
    [anon_sym_sample] = ACTIONS(2412),
    [anon_sym_linear] = ACTIONS(2412),
    [anon_sym_snorm] = ACTIONS(2412),
    [anon_sym_unorm] = ACTIONS(2412),
    [anon_sym_point] = ACTIONS(2412),
    [anon_sym_line] = ACTIONS(2412),
    [anon_sym_triangleadj] = ACTIONS(2412),
    [anon_sym_lineadj] = ACTIONS(2412),
    [anon_sym_triangle] = ACTIONS(2412),
    [anon_sym_cbuffer] = ACTIONS(2412),
  },
  [804] = {
    [ts_builtin_sym_end] = ACTIONS(2332),
    [sym_identifier] = ACTIONS(2330),
    [aux_sym_preproc_include_token1] = ACTIONS(2330),
    [aux_sym_preproc_def_token1] = ACTIONS(2330),
    [aux_sym_preproc_if_token1] = ACTIONS(2330),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2330),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2330),
    [sym_preproc_directive] = ACTIONS(2330),
    [anon_sym_LPAREN2] = ACTIONS(2332),
    [anon_sym_BANG] = ACTIONS(2332),
    [anon_sym_TILDE] = ACTIONS(2332),
    [anon_sym_DASH] = ACTIONS(2330),
    [anon_sym_PLUS] = ACTIONS(2330),
    [anon_sym_STAR] = ACTIONS(2332),
    [anon_sym_AMP_AMP] = ACTIONS(2332),
    [anon_sym_AMP] = ACTIONS(2330),
    [anon_sym_SEMI] = ACTIONS(2332),
    [anon_sym___extension__] = ACTIONS(2330),
    [anon_sym_typedef] = ACTIONS(2330),
    [anon_sym_in] = ACTIONS(2330),
    [anon_sym_out] = ACTIONS(2330),
    [anon_sym_inout] = ACTIONS(2330),
    [anon_sym_extern] = ACTIONS(2330),
    [anon_sym___attribute__] = ACTIONS(2330),
    [anon_sym_COLON_COLON] = ACTIONS(2332),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2332),
    [anon_sym___declspec] = ACTIONS(2330),
    [anon_sym___based] = ACTIONS(2330),
    [anon_sym___cdecl] = ACTIONS(2330),
    [anon_sym___clrcall] = ACTIONS(2330),
    [anon_sym___stdcall] = ACTIONS(2330),
    [anon_sym___fastcall] = ACTIONS(2330),
    [anon_sym___thiscall] = ACTIONS(2330),
    [anon_sym___vectorcall] = ACTIONS(2330),
    [anon_sym_LBRACE] = ACTIONS(2332),
    [anon_sym_signed] = ACTIONS(2330),
    [anon_sym_unsigned] = ACTIONS(2330),
    [anon_sym_long] = ACTIONS(2330),
    [anon_sym_short] = ACTIONS(2330),
    [anon_sym_LBRACK] = ACTIONS(2330),
    [anon_sym_static] = ACTIONS(2330),
    [anon_sym_register] = ACTIONS(2330),
    [anon_sym_inline] = ACTIONS(2330),
    [anon_sym___inline] = ACTIONS(2330),
    [anon_sym___inline__] = ACTIONS(2330),
    [anon_sym___forceinline] = ACTIONS(2330),
    [anon_sym_thread_local] = ACTIONS(2330),
    [anon_sym___thread] = ACTIONS(2330),
    [anon_sym_const] = ACTIONS(2330),
    [anon_sym_constexpr] = ACTIONS(2330),
    [anon_sym_volatile] = ACTIONS(2330),
    [anon_sym_restrict] = ACTIONS(2330),
    [anon_sym___restrict__] = ACTIONS(2330),
    [anon_sym__Atomic] = ACTIONS(2330),
    [anon_sym__Noreturn] = ACTIONS(2330),
    [anon_sym_noreturn] = ACTIONS(2330),
    [anon_sym_mutable] = ACTIONS(2330),
    [anon_sym_constinit] = ACTIONS(2330),
    [anon_sym_consteval] = ACTIONS(2330),
    [sym_primitive_type] = ACTIONS(2330),
    [anon_sym_enum] = ACTIONS(2330),
    [anon_sym_class] = ACTIONS(2330),
    [anon_sym_struct] = ACTIONS(2330),
    [anon_sym_union] = ACTIONS(2330),
    [anon_sym_if] = ACTIONS(2330),
    [anon_sym_else] = ACTIONS(2330),
    [anon_sym_switch] = ACTIONS(2330),
    [anon_sym_case] = ACTIONS(2330),
    [anon_sym_default] = ACTIONS(2330),
    [anon_sym_while] = ACTIONS(2330),
    [anon_sym_do] = ACTIONS(2330),
    [anon_sym_for] = ACTIONS(2330),
    [anon_sym_return] = ACTIONS(2330),
    [anon_sym_break] = ACTIONS(2330),
    [anon_sym_continue] = ACTIONS(2330),
    [anon_sym_goto] = ACTIONS(2330),
    [anon_sym___try] = ACTIONS(2330),
    [anon_sym___leave] = ACTIONS(2330),
    [anon_sym_not] = ACTIONS(2330),
    [anon_sym_compl] = ACTIONS(2330),
    [anon_sym_DASH_DASH] = ACTIONS(2332),
    [anon_sym_PLUS_PLUS] = ACTIONS(2332),
    [anon_sym_sizeof] = ACTIONS(2330),
    [anon_sym___alignof__] = ACTIONS(2330),
    [anon_sym___alignof] = ACTIONS(2330),
    [anon_sym__alignof] = ACTIONS(2330),
    [anon_sym_alignof] = ACTIONS(2330),
    [anon_sym__Alignof] = ACTIONS(2330),
    [anon_sym_offsetof] = ACTIONS(2330),
    [anon_sym__Generic] = ACTIONS(2330),
    [anon_sym_asm] = ACTIONS(2330),
    [anon_sym___asm__] = ACTIONS(2330),
    [sym_number_literal] = ACTIONS(2332),
    [anon_sym_L_SQUOTE] = ACTIONS(2332),
    [anon_sym_u_SQUOTE] = ACTIONS(2332),
    [anon_sym_U_SQUOTE] = ACTIONS(2332),
    [anon_sym_u8_SQUOTE] = ACTIONS(2332),
    [anon_sym_SQUOTE] = ACTIONS(2332),
    [anon_sym_L_DQUOTE] = ACTIONS(2332),
    [anon_sym_u_DQUOTE] = ACTIONS(2332),
    [anon_sym_U_DQUOTE] = ACTIONS(2332),
    [anon_sym_u8_DQUOTE] = ACTIONS(2332),
    [anon_sym_DQUOTE] = ACTIONS(2332),
    [sym_true] = ACTIONS(2330),
    [sym_false] = ACTIONS(2330),
    [anon_sym_NULL] = ACTIONS(2330),
    [anon_sym_nullptr] = ACTIONS(2330),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2330),
    [anon_sym_decltype] = ACTIONS(2330),
    [anon_sym_virtual] = ACTIONS(2330),
    [anon_sym_alignas] = ACTIONS(2330),
    [anon_sym_explicit] = ACTIONS(2330),
    [anon_sym_typename] = ACTIONS(2330),
    [anon_sym_template] = ACTIONS(2330),
    [anon_sym_operator] = ACTIONS(2330),
    [anon_sym_try] = ACTIONS(2330),
    [anon_sym_delete] = ACTIONS(2330),
    [anon_sym_throw] = ACTIONS(2330),
    [anon_sym_namespace] = ACTIONS(2330),
    [anon_sym_using] = ACTIONS(2330),
    [anon_sym_static_assert] = ACTIONS(2330),
    [anon_sym_concept] = ACTIONS(2330),
    [anon_sym_co_return] = ACTIONS(2330),
    [anon_sym_co_yield] = ACTIONS(2330),
    [anon_sym_R_DQUOTE] = ACTIONS(2332),
    [anon_sym_LR_DQUOTE] = ACTIONS(2332),
    [anon_sym_uR_DQUOTE] = ACTIONS(2332),
    [anon_sym_UR_DQUOTE] = ACTIONS(2332),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2332),
    [anon_sym_co_await] = ACTIONS(2330),
    [anon_sym_new] = ACTIONS(2330),
    [anon_sym_requires] = ACTIONS(2330),
    [sym_this] = ACTIONS(2330),
    [anon_sym_discard] = ACTIONS(2330),
    [anon_sym_precise] = ACTIONS(2330),
    [anon_sym_shared] = ACTIONS(2330),
    [anon_sym_groupshared] = ACTIONS(2330),
    [anon_sym_uniform] = ACTIONS(2330),
    [anon_sym_row_major] = ACTIONS(2330),
    [anon_sym_column_major] = ACTIONS(2330),
    [anon_sym_globallycoherent] = ACTIONS(2330),
    [anon_sym_centroid] = ACTIONS(2330),
    [anon_sym_noperspective] = ACTIONS(2330),
    [anon_sym_nointerpolation] = ACTIONS(2330),
    [anon_sym_sample] = ACTIONS(2330),
    [anon_sym_linear] = ACTIONS(2330),
    [anon_sym_snorm] = ACTIONS(2330),
    [anon_sym_unorm] = ACTIONS(2330),
    [anon_sym_point] = ACTIONS(2330),
    [anon_sym_line] = ACTIONS(2330),
    [anon_sym_triangleadj] = ACTIONS(2330),
    [anon_sym_lineadj] = ACTIONS(2330),
    [anon_sym_triangle] = ACTIONS(2330),
    [anon_sym_cbuffer] = ACTIONS(2330),
  },
  [805] = {
    [sym_identifier] = ACTIONS(2408),
    [aux_sym_preproc_include_token1] = ACTIONS(2408),
    [aux_sym_preproc_def_token1] = ACTIONS(2408),
    [aux_sym_preproc_if_token1] = ACTIONS(2408),
    [aux_sym_preproc_if_token2] = ACTIONS(2408),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2408),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2408),
    [sym_preproc_directive] = ACTIONS(2408),
    [anon_sym_LPAREN2] = ACTIONS(2410),
    [anon_sym_BANG] = ACTIONS(2410),
    [anon_sym_TILDE] = ACTIONS(2410),
    [anon_sym_DASH] = ACTIONS(2408),
    [anon_sym_PLUS] = ACTIONS(2408),
    [anon_sym_STAR] = ACTIONS(2410),
    [anon_sym_AMP_AMP] = ACTIONS(2410),
    [anon_sym_AMP] = ACTIONS(2408),
    [anon_sym_SEMI] = ACTIONS(2410),
    [anon_sym___extension__] = ACTIONS(2408),
    [anon_sym_typedef] = ACTIONS(2408),
    [anon_sym_in] = ACTIONS(2408),
    [anon_sym_out] = ACTIONS(2408),
    [anon_sym_inout] = ACTIONS(2408),
    [anon_sym_extern] = ACTIONS(2408),
    [anon_sym___attribute__] = ACTIONS(2408),
    [anon_sym_COLON_COLON] = ACTIONS(2410),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2410),
    [anon_sym___declspec] = ACTIONS(2408),
    [anon_sym___based] = ACTIONS(2408),
    [anon_sym___cdecl] = ACTIONS(2408),
    [anon_sym___clrcall] = ACTIONS(2408),
    [anon_sym___stdcall] = ACTIONS(2408),
    [anon_sym___fastcall] = ACTIONS(2408),
    [anon_sym___thiscall] = ACTIONS(2408),
    [anon_sym___vectorcall] = ACTIONS(2408),
    [anon_sym_LBRACE] = ACTIONS(2410),
    [anon_sym_signed] = ACTIONS(2408),
    [anon_sym_unsigned] = ACTIONS(2408),
    [anon_sym_long] = ACTIONS(2408),
    [anon_sym_short] = ACTIONS(2408),
    [anon_sym_LBRACK] = ACTIONS(2408),
    [anon_sym_static] = ACTIONS(2408),
    [anon_sym_register] = ACTIONS(2408),
    [anon_sym_inline] = ACTIONS(2408),
    [anon_sym___inline] = ACTIONS(2408),
    [anon_sym___inline__] = ACTIONS(2408),
    [anon_sym___forceinline] = ACTIONS(2408),
    [anon_sym_thread_local] = ACTIONS(2408),
    [anon_sym___thread] = ACTIONS(2408),
    [anon_sym_const] = ACTIONS(2408),
    [anon_sym_constexpr] = ACTIONS(2408),
    [anon_sym_volatile] = ACTIONS(2408),
    [anon_sym_restrict] = ACTIONS(2408),
    [anon_sym___restrict__] = ACTIONS(2408),
    [anon_sym__Atomic] = ACTIONS(2408),
    [anon_sym__Noreturn] = ACTIONS(2408),
    [anon_sym_noreturn] = ACTIONS(2408),
    [anon_sym_mutable] = ACTIONS(2408),
    [anon_sym_constinit] = ACTIONS(2408),
    [anon_sym_consteval] = ACTIONS(2408),
    [sym_primitive_type] = ACTIONS(2408),
    [anon_sym_enum] = ACTIONS(2408),
    [anon_sym_class] = ACTIONS(2408),
    [anon_sym_struct] = ACTIONS(2408),
    [anon_sym_union] = ACTIONS(2408),
    [anon_sym_if] = ACTIONS(2408),
    [anon_sym_else] = ACTIONS(2408),
    [anon_sym_switch] = ACTIONS(2408),
    [anon_sym_case] = ACTIONS(2408),
    [anon_sym_default] = ACTIONS(2408),
    [anon_sym_while] = ACTIONS(2408),
    [anon_sym_do] = ACTIONS(2408),
    [anon_sym_for] = ACTIONS(2408),
    [anon_sym_return] = ACTIONS(2408),
    [anon_sym_break] = ACTIONS(2408),
    [anon_sym_continue] = ACTIONS(2408),
    [anon_sym_goto] = ACTIONS(2408),
    [anon_sym___try] = ACTIONS(2408),
    [anon_sym___leave] = ACTIONS(2408),
    [anon_sym_not] = ACTIONS(2408),
    [anon_sym_compl] = ACTIONS(2408),
    [anon_sym_DASH_DASH] = ACTIONS(2410),
    [anon_sym_PLUS_PLUS] = ACTIONS(2410),
    [anon_sym_sizeof] = ACTIONS(2408),
    [anon_sym___alignof__] = ACTIONS(2408),
    [anon_sym___alignof] = ACTIONS(2408),
    [anon_sym__alignof] = ACTIONS(2408),
    [anon_sym_alignof] = ACTIONS(2408),
    [anon_sym__Alignof] = ACTIONS(2408),
    [anon_sym_offsetof] = ACTIONS(2408),
    [anon_sym__Generic] = ACTIONS(2408),
    [anon_sym_asm] = ACTIONS(2408),
    [anon_sym___asm__] = ACTIONS(2408),
    [sym_number_literal] = ACTIONS(2410),
    [anon_sym_L_SQUOTE] = ACTIONS(2410),
    [anon_sym_u_SQUOTE] = ACTIONS(2410),
    [anon_sym_U_SQUOTE] = ACTIONS(2410),
    [anon_sym_u8_SQUOTE] = ACTIONS(2410),
    [anon_sym_SQUOTE] = ACTIONS(2410),
    [anon_sym_L_DQUOTE] = ACTIONS(2410),
    [anon_sym_u_DQUOTE] = ACTIONS(2410),
    [anon_sym_U_DQUOTE] = ACTIONS(2410),
    [anon_sym_u8_DQUOTE] = ACTIONS(2410),
    [anon_sym_DQUOTE] = ACTIONS(2410),
    [sym_true] = ACTIONS(2408),
    [sym_false] = ACTIONS(2408),
    [anon_sym_NULL] = ACTIONS(2408),
    [anon_sym_nullptr] = ACTIONS(2408),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2408),
    [anon_sym_decltype] = ACTIONS(2408),
    [anon_sym_virtual] = ACTIONS(2408),
    [anon_sym_alignas] = ACTIONS(2408),
    [anon_sym_explicit] = ACTIONS(2408),
    [anon_sym_typename] = ACTIONS(2408),
    [anon_sym_template] = ACTIONS(2408),
    [anon_sym_operator] = ACTIONS(2408),
    [anon_sym_try] = ACTIONS(2408),
    [anon_sym_delete] = ACTIONS(2408),
    [anon_sym_throw] = ACTIONS(2408),
    [anon_sym_namespace] = ACTIONS(2408),
    [anon_sym_using] = ACTIONS(2408),
    [anon_sym_static_assert] = ACTIONS(2408),
    [anon_sym_concept] = ACTIONS(2408),
    [anon_sym_co_return] = ACTIONS(2408),
    [anon_sym_co_yield] = ACTIONS(2408),
    [anon_sym_R_DQUOTE] = ACTIONS(2410),
    [anon_sym_LR_DQUOTE] = ACTIONS(2410),
    [anon_sym_uR_DQUOTE] = ACTIONS(2410),
    [anon_sym_UR_DQUOTE] = ACTIONS(2410),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2410),
    [anon_sym_co_await] = ACTIONS(2408),
    [anon_sym_new] = ACTIONS(2408),
    [anon_sym_requires] = ACTIONS(2408),
    [sym_this] = ACTIONS(2408),
    [anon_sym_discard] = ACTIONS(2408),
    [anon_sym_precise] = ACTIONS(2408),
    [anon_sym_shared] = ACTIONS(2408),
    [anon_sym_groupshared] = ACTIONS(2408),
    [anon_sym_uniform] = ACTIONS(2408),
    [anon_sym_row_major] = ACTIONS(2408),
    [anon_sym_column_major] = ACTIONS(2408),
    [anon_sym_globallycoherent] = ACTIONS(2408),
    [anon_sym_centroid] = ACTIONS(2408),
    [anon_sym_noperspective] = ACTIONS(2408),
    [anon_sym_nointerpolation] = ACTIONS(2408),
    [anon_sym_sample] = ACTIONS(2408),
    [anon_sym_linear] = ACTIONS(2408),
    [anon_sym_snorm] = ACTIONS(2408),
    [anon_sym_unorm] = ACTIONS(2408),
    [anon_sym_point] = ACTIONS(2408),
    [anon_sym_line] = ACTIONS(2408),
    [anon_sym_triangleadj] = ACTIONS(2408),
    [anon_sym_lineadj] = ACTIONS(2408),
    [anon_sym_triangle] = ACTIONS(2408),
    [anon_sym_cbuffer] = ACTIONS(2408),
  },
  [806] = {
    [ts_builtin_sym_end] = ACTIONS(2332),
    [sym_identifier] = ACTIONS(2330),
    [aux_sym_preproc_include_token1] = ACTIONS(2330),
    [aux_sym_preproc_def_token1] = ACTIONS(2330),
    [aux_sym_preproc_if_token1] = ACTIONS(2330),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2330),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2330),
    [sym_preproc_directive] = ACTIONS(2330),
    [anon_sym_LPAREN2] = ACTIONS(2332),
    [anon_sym_BANG] = ACTIONS(2332),
    [anon_sym_TILDE] = ACTIONS(2332),
    [anon_sym_DASH] = ACTIONS(2330),
    [anon_sym_PLUS] = ACTIONS(2330),
    [anon_sym_STAR] = ACTIONS(2332),
    [anon_sym_AMP_AMP] = ACTIONS(2332),
    [anon_sym_AMP] = ACTIONS(2330),
    [anon_sym_SEMI] = ACTIONS(2332),
    [anon_sym___extension__] = ACTIONS(2330),
    [anon_sym_typedef] = ACTIONS(2330),
    [anon_sym_in] = ACTIONS(2330),
    [anon_sym_out] = ACTIONS(2330),
    [anon_sym_inout] = ACTIONS(2330),
    [anon_sym_extern] = ACTIONS(2330),
    [anon_sym___attribute__] = ACTIONS(2330),
    [anon_sym_COLON_COLON] = ACTIONS(2332),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2332),
    [anon_sym___declspec] = ACTIONS(2330),
    [anon_sym___based] = ACTIONS(2330),
    [anon_sym___cdecl] = ACTIONS(2330),
    [anon_sym___clrcall] = ACTIONS(2330),
    [anon_sym___stdcall] = ACTIONS(2330),
    [anon_sym___fastcall] = ACTIONS(2330),
    [anon_sym___thiscall] = ACTIONS(2330),
    [anon_sym___vectorcall] = ACTIONS(2330),
    [anon_sym_LBRACE] = ACTIONS(2332),
    [anon_sym_signed] = ACTIONS(2330),
    [anon_sym_unsigned] = ACTIONS(2330),
    [anon_sym_long] = ACTIONS(2330),
    [anon_sym_short] = ACTIONS(2330),
    [anon_sym_LBRACK] = ACTIONS(2330),
    [anon_sym_static] = ACTIONS(2330),
    [anon_sym_register] = ACTIONS(2330),
    [anon_sym_inline] = ACTIONS(2330),
    [anon_sym___inline] = ACTIONS(2330),
    [anon_sym___inline__] = ACTIONS(2330),
    [anon_sym___forceinline] = ACTIONS(2330),
    [anon_sym_thread_local] = ACTIONS(2330),
    [anon_sym___thread] = ACTIONS(2330),
    [anon_sym_const] = ACTIONS(2330),
    [anon_sym_constexpr] = ACTIONS(2330),
    [anon_sym_volatile] = ACTIONS(2330),
    [anon_sym_restrict] = ACTIONS(2330),
    [anon_sym___restrict__] = ACTIONS(2330),
    [anon_sym__Atomic] = ACTIONS(2330),
    [anon_sym__Noreturn] = ACTIONS(2330),
    [anon_sym_noreturn] = ACTIONS(2330),
    [anon_sym_mutable] = ACTIONS(2330),
    [anon_sym_constinit] = ACTIONS(2330),
    [anon_sym_consteval] = ACTIONS(2330),
    [sym_primitive_type] = ACTIONS(2330),
    [anon_sym_enum] = ACTIONS(2330),
    [anon_sym_class] = ACTIONS(2330),
    [anon_sym_struct] = ACTIONS(2330),
    [anon_sym_union] = ACTIONS(2330),
    [anon_sym_if] = ACTIONS(2330),
    [anon_sym_else] = ACTIONS(2330),
    [anon_sym_switch] = ACTIONS(2330),
    [anon_sym_case] = ACTIONS(2330),
    [anon_sym_default] = ACTIONS(2330),
    [anon_sym_while] = ACTIONS(2330),
    [anon_sym_do] = ACTIONS(2330),
    [anon_sym_for] = ACTIONS(2330),
    [anon_sym_return] = ACTIONS(2330),
    [anon_sym_break] = ACTIONS(2330),
    [anon_sym_continue] = ACTIONS(2330),
    [anon_sym_goto] = ACTIONS(2330),
    [anon_sym___try] = ACTIONS(2330),
    [anon_sym___leave] = ACTIONS(2330),
    [anon_sym_not] = ACTIONS(2330),
    [anon_sym_compl] = ACTIONS(2330),
    [anon_sym_DASH_DASH] = ACTIONS(2332),
    [anon_sym_PLUS_PLUS] = ACTIONS(2332),
    [anon_sym_sizeof] = ACTIONS(2330),
    [anon_sym___alignof__] = ACTIONS(2330),
    [anon_sym___alignof] = ACTIONS(2330),
    [anon_sym__alignof] = ACTIONS(2330),
    [anon_sym_alignof] = ACTIONS(2330),
    [anon_sym__Alignof] = ACTIONS(2330),
    [anon_sym_offsetof] = ACTIONS(2330),
    [anon_sym__Generic] = ACTIONS(2330),
    [anon_sym_asm] = ACTIONS(2330),
    [anon_sym___asm__] = ACTIONS(2330),
    [sym_number_literal] = ACTIONS(2332),
    [anon_sym_L_SQUOTE] = ACTIONS(2332),
    [anon_sym_u_SQUOTE] = ACTIONS(2332),
    [anon_sym_U_SQUOTE] = ACTIONS(2332),
    [anon_sym_u8_SQUOTE] = ACTIONS(2332),
    [anon_sym_SQUOTE] = ACTIONS(2332),
    [anon_sym_L_DQUOTE] = ACTIONS(2332),
    [anon_sym_u_DQUOTE] = ACTIONS(2332),
    [anon_sym_U_DQUOTE] = ACTIONS(2332),
    [anon_sym_u8_DQUOTE] = ACTIONS(2332),
    [anon_sym_DQUOTE] = ACTIONS(2332),
    [sym_true] = ACTIONS(2330),
    [sym_false] = ACTIONS(2330),
    [anon_sym_NULL] = ACTIONS(2330),
    [anon_sym_nullptr] = ACTIONS(2330),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2330),
    [anon_sym_decltype] = ACTIONS(2330),
    [anon_sym_virtual] = ACTIONS(2330),
    [anon_sym_alignas] = ACTIONS(2330),
    [anon_sym_explicit] = ACTIONS(2330),
    [anon_sym_typename] = ACTIONS(2330),
    [anon_sym_template] = ACTIONS(2330),
    [anon_sym_operator] = ACTIONS(2330),
    [anon_sym_try] = ACTIONS(2330),
    [anon_sym_delete] = ACTIONS(2330),
    [anon_sym_throw] = ACTIONS(2330),
    [anon_sym_namespace] = ACTIONS(2330),
    [anon_sym_using] = ACTIONS(2330),
    [anon_sym_static_assert] = ACTIONS(2330),
    [anon_sym_concept] = ACTIONS(2330),
    [anon_sym_co_return] = ACTIONS(2330),
    [anon_sym_co_yield] = ACTIONS(2330),
    [anon_sym_R_DQUOTE] = ACTIONS(2332),
    [anon_sym_LR_DQUOTE] = ACTIONS(2332),
    [anon_sym_uR_DQUOTE] = ACTIONS(2332),
    [anon_sym_UR_DQUOTE] = ACTIONS(2332),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2332),
    [anon_sym_co_await] = ACTIONS(2330),
    [anon_sym_new] = ACTIONS(2330),
    [anon_sym_requires] = ACTIONS(2330),
    [sym_this] = ACTIONS(2330),
    [anon_sym_discard] = ACTIONS(2330),
    [anon_sym_precise] = ACTIONS(2330),
    [anon_sym_shared] = ACTIONS(2330),
    [anon_sym_groupshared] = ACTIONS(2330),
    [anon_sym_uniform] = ACTIONS(2330),
    [anon_sym_row_major] = ACTIONS(2330),
    [anon_sym_column_major] = ACTIONS(2330),
    [anon_sym_globallycoherent] = ACTIONS(2330),
    [anon_sym_centroid] = ACTIONS(2330),
    [anon_sym_noperspective] = ACTIONS(2330),
    [anon_sym_nointerpolation] = ACTIONS(2330),
    [anon_sym_sample] = ACTIONS(2330),
    [anon_sym_linear] = ACTIONS(2330),
    [anon_sym_snorm] = ACTIONS(2330),
    [anon_sym_unorm] = ACTIONS(2330),
    [anon_sym_point] = ACTIONS(2330),
    [anon_sym_line] = ACTIONS(2330),
    [anon_sym_triangleadj] = ACTIONS(2330),
    [anon_sym_lineadj] = ACTIONS(2330),
    [anon_sym_triangle] = ACTIONS(2330),
    [anon_sym_cbuffer] = ACTIONS(2330),
  },
  [807] = {
    [ts_builtin_sym_end] = ACTIONS(2434),
    [sym_identifier] = ACTIONS(2432),
    [aux_sym_preproc_include_token1] = ACTIONS(2432),
    [aux_sym_preproc_def_token1] = ACTIONS(2432),
    [aux_sym_preproc_if_token1] = ACTIONS(2432),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2432),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2432),
    [sym_preproc_directive] = ACTIONS(2432),
    [anon_sym_LPAREN2] = ACTIONS(2434),
    [anon_sym_BANG] = ACTIONS(2434),
    [anon_sym_TILDE] = ACTIONS(2434),
    [anon_sym_DASH] = ACTIONS(2432),
    [anon_sym_PLUS] = ACTIONS(2432),
    [anon_sym_STAR] = ACTIONS(2434),
    [anon_sym_AMP_AMP] = ACTIONS(2434),
    [anon_sym_AMP] = ACTIONS(2432),
    [anon_sym_SEMI] = ACTIONS(2434),
    [anon_sym___extension__] = ACTIONS(2432),
    [anon_sym_typedef] = ACTIONS(2432),
    [anon_sym_in] = ACTIONS(2432),
    [anon_sym_out] = ACTIONS(2432),
    [anon_sym_inout] = ACTIONS(2432),
    [anon_sym_extern] = ACTIONS(2432),
    [anon_sym___attribute__] = ACTIONS(2432),
    [anon_sym_COLON_COLON] = ACTIONS(2434),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2434),
    [anon_sym___declspec] = ACTIONS(2432),
    [anon_sym___based] = ACTIONS(2432),
    [anon_sym___cdecl] = ACTIONS(2432),
    [anon_sym___clrcall] = ACTIONS(2432),
    [anon_sym___stdcall] = ACTIONS(2432),
    [anon_sym___fastcall] = ACTIONS(2432),
    [anon_sym___thiscall] = ACTIONS(2432),
    [anon_sym___vectorcall] = ACTIONS(2432),
    [anon_sym_LBRACE] = ACTIONS(2434),
    [anon_sym_signed] = ACTIONS(2432),
    [anon_sym_unsigned] = ACTIONS(2432),
    [anon_sym_long] = ACTIONS(2432),
    [anon_sym_short] = ACTIONS(2432),
    [anon_sym_LBRACK] = ACTIONS(2432),
    [anon_sym_static] = ACTIONS(2432),
    [anon_sym_register] = ACTIONS(2432),
    [anon_sym_inline] = ACTIONS(2432),
    [anon_sym___inline] = ACTIONS(2432),
    [anon_sym___inline__] = ACTIONS(2432),
    [anon_sym___forceinline] = ACTIONS(2432),
    [anon_sym_thread_local] = ACTIONS(2432),
    [anon_sym___thread] = ACTIONS(2432),
    [anon_sym_const] = ACTIONS(2432),
    [anon_sym_constexpr] = ACTIONS(2432),
    [anon_sym_volatile] = ACTIONS(2432),
    [anon_sym_restrict] = ACTIONS(2432),
    [anon_sym___restrict__] = ACTIONS(2432),
    [anon_sym__Atomic] = ACTIONS(2432),
    [anon_sym__Noreturn] = ACTIONS(2432),
    [anon_sym_noreturn] = ACTIONS(2432),
    [anon_sym_mutable] = ACTIONS(2432),
    [anon_sym_constinit] = ACTIONS(2432),
    [anon_sym_consteval] = ACTIONS(2432),
    [sym_primitive_type] = ACTIONS(2432),
    [anon_sym_enum] = ACTIONS(2432),
    [anon_sym_class] = ACTIONS(2432),
    [anon_sym_struct] = ACTIONS(2432),
    [anon_sym_union] = ACTIONS(2432),
    [anon_sym_if] = ACTIONS(2432),
    [anon_sym_else] = ACTIONS(2432),
    [anon_sym_switch] = ACTIONS(2432),
    [anon_sym_case] = ACTIONS(2432),
    [anon_sym_default] = ACTIONS(2432),
    [anon_sym_while] = ACTIONS(2432),
    [anon_sym_do] = ACTIONS(2432),
    [anon_sym_for] = ACTIONS(2432),
    [anon_sym_return] = ACTIONS(2432),
    [anon_sym_break] = ACTIONS(2432),
    [anon_sym_continue] = ACTIONS(2432),
    [anon_sym_goto] = ACTIONS(2432),
    [anon_sym___try] = ACTIONS(2432),
    [anon_sym___leave] = ACTIONS(2432),
    [anon_sym_not] = ACTIONS(2432),
    [anon_sym_compl] = ACTIONS(2432),
    [anon_sym_DASH_DASH] = ACTIONS(2434),
    [anon_sym_PLUS_PLUS] = ACTIONS(2434),
    [anon_sym_sizeof] = ACTIONS(2432),
    [anon_sym___alignof__] = ACTIONS(2432),
    [anon_sym___alignof] = ACTIONS(2432),
    [anon_sym__alignof] = ACTIONS(2432),
    [anon_sym_alignof] = ACTIONS(2432),
    [anon_sym__Alignof] = ACTIONS(2432),
    [anon_sym_offsetof] = ACTIONS(2432),
    [anon_sym__Generic] = ACTIONS(2432),
    [anon_sym_asm] = ACTIONS(2432),
    [anon_sym___asm__] = ACTIONS(2432),
    [sym_number_literal] = ACTIONS(2434),
    [anon_sym_L_SQUOTE] = ACTIONS(2434),
    [anon_sym_u_SQUOTE] = ACTIONS(2434),
    [anon_sym_U_SQUOTE] = ACTIONS(2434),
    [anon_sym_u8_SQUOTE] = ACTIONS(2434),
    [anon_sym_SQUOTE] = ACTIONS(2434),
    [anon_sym_L_DQUOTE] = ACTIONS(2434),
    [anon_sym_u_DQUOTE] = ACTIONS(2434),
    [anon_sym_U_DQUOTE] = ACTIONS(2434),
    [anon_sym_u8_DQUOTE] = ACTIONS(2434),
    [anon_sym_DQUOTE] = ACTIONS(2434),
    [sym_true] = ACTIONS(2432),
    [sym_false] = ACTIONS(2432),
    [anon_sym_NULL] = ACTIONS(2432),
    [anon_sym_nullptr] = ACTIONS(2432),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2432),
    [anon_sym_decltype] = ACTIONS(2432),
    [anon_sym_virtual] = ACTIONS(2432),
    [anon_sym_alignas] = ACTIONS(2432),
    [anon_sym_explicit] = ACTIONS(2432),
    [anon_sym_typename] = ACTIONS(2432),
    [anon_sym_template] = ACTIONS(2432),
    [anon_sym_operator] = ACTIONS(2432),
    [anon_sym_try] = ACTIONS(2432),
    [anon_sym_delete] = ACTIONS(2432),
    [anon_sym_throw] = ACTIONS(2432),
    [anon_sym_namespace] = ACTIONS(2432),
    [anon_sym_using] = ACTIONS(2432),
    [anon_sym_static_assert] = ACTIONS(2432),
    [anon_sym_concept] = ACTIONS(2432),
    [anon_sym_co_return] = ACTIONS(2432),
    [anon_sym_co_yield] = ACTIONS(2432),
    [anon_sym_R_DQUOTE] = ACTIONS(2434),
    [anon_sym_LR_DQUOTE] = ACTIONS(2434),
    [anon_sym_uR_DQUOTE] = ACTIONS(2434),
    [anon_sym_UR_DQUOTE] = ACTIONS(2434),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2434),
    [anon_sym_co_await] = ACTIONS(2432),
    [anon_sym_new] = ACTIONS(2432),
    [anon_sym_requires] = ACTIONS(2432),
    [sym_this] = ACTIONS(2432),
    [anon_sym_discard] = ACTIONS(2432),
    [anon_sym_precise] = ACTIONS(2432),
    [anon_sym_shared] = ACTIONS(2432),
    [anon_sym_groupshared] = ACTIONS(2432),
    [anon_sym_uniform] = ACTIONS(2432),
    [anon_sym_row_major] = ACTIONS(2432),
    [anon_sym_column_major] = ACTIONS(2432),
    [anon_sym_globallycoherent] = ACTIONS(2432),
    [anon_sym_centroid] = ACTIONS(2432),
    [anon_sym_noperspective] = ACTIONS(2432),
    [anon_sym_nointerpolation] = ACTIONS(2432),
    [anon_sym_sample] = ACTIONS(2432),
    [anon_sym_linear] = ACTIONS(2432),
    [anon_sym_snorm] = ACTIONS(2432),
    [anon_sym_unorm] = ACTIONS(2432),
    [anon_sym_point] = ACTIONS(2432),
    [anon_sym_line] = ACTIONS(2432),
    [anon_sym_triangleadj] = ACTIONS(2432),
    [anon_sym_lineadj] = ACTIONS(2432),
    [anon_sym_triangle] = ACTIONS(2432),
    [anon_sym_cbuffer] = ACTIONS(2432),
  },
  [808] = {
    [sym_identifier] = ACTIONS(2404),
    [aux_sym_preproc_include_token1] = ACTIONS(2404),
    [aux_sym_preproc_def_token1] = ACTIONS(2404),
    [aux_sym_preproc_if_token1] = ACTIONS(2404),
    [aux_sym_preproc_if_token2] = ACTIONS(2404),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2404),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2404),
    [sym_preproc_directive] = ACTIONS(2404),
    [anon_sym_LPAREN2] = ACTIONS(2406),
    [anon_sym_BANG] = ACTIONS(2406),
    [anon_sym_TILDE] = ACTIONS(2406),
    [anon_sym_DASH] = ACTIONS(2404),
    [anon_sym_PLUS] = ACTIONS(2404),
    [anon_sym_STAR] = ACTIONS(2406),
    [anon_sym_AMP_AMP] = ACTIONS(2406),
    [anon_sym_AMP] = ACTIONS(2404),
    [anon_sym_SEMI] = ACTIONS(2406),
    [anon_sym___extension__] = ACTIONS(2404),
    [anon_sym_typedef] = ACTIONS(2404),
    [anon_sym_in] = ACTIONS(2404),
    [anon_sym_out] = ACTIONS(2404),
    [anon_sym_inout] = ACTIONS(2404),
    [anon_sym_extern] = ACTIONS(2404),
    [anon_sym___attribute__] = ACTIONS(2404),
    [anon_sym_COLON_COLON] = ACTIONS(2406),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2406),
    [anon_sym___declspec] = ACTIONS(2404),
    [anon_sym___based] = ACTIONS(2404),
    [anon_sym___cdecl] = ACTIONS(2404),
    [anon_sym___clrcall] = ACTIONS(2404),
    [anon_sym___stdcall] = ACTIONS(2404),
    [anon_sym___fastcall] = ACTIONS(2404),
    [anon_sym___thiscall] = ACTIONS(2404),
    [anon_sym___vectorcall] = ACTIONS(2404),
    [anon_sym_LBRACE] = ACTIONS(2406),
    [anon_sym_signed] = ACTIONS(2404),
    [anon_sym_unsigned] = ACTIONS(2404),
    [anon_sym_long] = ACTIONS(2404),
    [anon_sym_short] = ACTIONS(2404),
    [anon_sym_LBRACK] = ACTIONS(2404),
    [anon_sym_static] = ACTIONS(2404),
    [anon_sym_register] = ACTIONS(2404),
    [anon_sym_inline] = ACTIONS(2404),
    [anon_sym___inline] = ACTIONS(2404),
    [anon_sym___inline__] = ACTIONS(2404),
    [anon_sym___forceinline] = ACTIONS(2404),
    [anon_sym_thread_local] = ACTIONS(2404),
    [anon_sym___thread] = ACTIONS(2404),
    [anon_sym_const] = ACTIONS(2404),
    [anon_sym_constexpr] = ACTIONS(2404),
    [anon_sym_volatile] = ACTIONS(2404),
    [anon_sym_restrict] = ACTIONS(2404),
    [anon_sym___restrict__] = ACTIONS(2404),
    [anon_sym__Atomic] = ACTIONS(2404),
    [anon_sym__Noreturn] = ACTIONS(2404),
    [anon_sym_noreturn] = ACTIONS(2404),
    [anon_sym_mutable] = ACTIONS(2404),
    [anon_sym_constinit] = ACTIONS(2404),
    [anon_sym_consteval] = ACTIONS(2404),
    [sym_primitive_type] = ACTIONS(2404),
    [anon_sym_enum] = ACTIONS(2404),
    [anon_sym_class] = ACTIONS(2404),
    [anon_sym_struct] = ACTIONS(2404),
    [anon_sym_union] = ACTIONS(2404),
    [anon_sym_if] = ACTIONS(2404),
    [anon_sym_else] = ACTIONS(2404),
    [anon_sym_switch] = ACTIONS(2404),
    [anon_sym_case] = ACTIONS(2404),
    [anon_sym_default] = ACTIONS(2404),
    [anon_sym_while] = ACTIONS(2404),
    [anon_sym_do] = ACTIONS(2404),
    [anon_sym_for] = ACTIONS(2404),
    [anon_sym_return] = ACTIONS(2404),
    [anon_sym_break] = ACTIONS(2404),
    [anon_sym_continue] = ACTIONS(2404),
    [anon_sym_goto] = ACTIONS(2404),
    [anon_sym___try] = ACTIONS(2404),
    [anon_sym___leave] = ACTIONS(2404),
    [anon_sym_not] = ACTIONS(2404),
    [anon_sym_compl] = ACTIONS(2404),
    [anon_sym_DASH_DASH] = ACTIONS(2406),
    [anon_sym_PLUS_PLUS] = ACTIONS(2406),
    [anon_sym_sizeof] = ACTIONS(2404),
    [anon_sym___alignof__] = ACTIONS(2404),
    [anon_sym___alignof] = ACTIONS(2404),
    [anon_sym__alignof] = ACTIONS(2404),
    [anon_sym_alignof] = ACTIONS(2404),
    [anon_sym__Alignof] = ACTIONS(2404),
    [anon_sym_offsetof] = ACTIONS(2404),
    [anon_sym__Generic] = ACTIONS(2404),
    [anon_sym_asm] = ACTIONS(2404),
    [anon_sym___asm__] = ACTIONS(2404),
    [sym_number_literal] = ACTIONS(2406),
    [anon_sym_L_SQUOTE] = ACTIONS(2406),
    [anon_sym_u_SQUOTE] = ACTIONS(2406),
    [anon_sym_U_SQUOTE] = ACTIONS(2406),
    [anon_sym_u8_SQUOTE] = ACTIONS(2406),
    [anon_sym_SQUOTE] = ACTIONS(2406),
    [anon_sym_L_DQUOTE] = ACTIONS(2406),
    [anon_sym_u_DQUOTE] = ACTIONS(2406),
    [anon_sym_U_DQUOTE] = ACTIONS(2406),
    [anon_sym_u8_DQUOTE] = ACTIONS(2406),
    [anon_sym_DQUOTE] = ACTIONS(2406),
    [sym_true] = ACTIONS(2404),
    [sym_false] = ACTIONS(2404),
    [anon_sym_NULL] = ACTIONS(2404),
    [anon_sym_nullptr] = ACTIONS(2404),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2404),
    [anon_sym_decltype] = ACTIONS(2404),
    [anon_sym_virtual] = ACTIONS(2404),
    [anon_sym_alignas] = ACTIONS(2404),
    [anon_sym_explicit] = ACTIONS(2404),
    [anon_sym_typename] = ACTIONS(2404),
    [anon_sym_template] = ACTIONS(2404),
    [anon_sym_operator] = ACTIONS(2404),
    [anon_sym_try] = ACTIONS(2404),
    [anon_sym_delete] = ACTIONS(2404),
    [anon_sym_throw] = ACTIONS(2404),
    [anon_sym_namespace] = ACTIONS(2404),
    [anon_sym_using] = ACTIONS(2404),
    [anon_sym_static_assert] = ACTIONS(2404),
    [anon_sym_concept] = ACTIONS(2404),
    [anon_sym_co_return] = ACTIONS(2404),
    [anon_sym_co_yield] = ACTIONS(2404),
    [anon_sym_R_DQUOTE] = ACTIONS(2406),
    [anon_sym_LR_DQUOTE] = ACTIONS(2406),
    [anon_sym_uR_DQUOTE] = ACTIONS(2406),
    [anon_sym_UR_DQUOTE] = ACTIONS(2406),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2406),
    [anon_sym_co_await] = ACTIONS(2404),
    [anon_sym_new] = ACTIONS(2404),
    [anon_sym_requires] = ACTIONS(2404),
    [sym_this] = ACTIONS(2404),
    [anon_sym_discard] = ACTIONS(2404),
    [anon_sym_precise] = ACTIONS(2404),
    [anon_sym_shared] = ACTIONS(2404),
    [anon_sym_groupshared] = ACTIONS(2404),
    [anon_sym_uniform] = ACTIONS(2404),
    [anon_sym_row_major] = ACTIONS(2404),
    [anon_sym_column_major] = ACTIONS(2404),
    [anon_sym_globallycoherent] = ACTIONS(2404),
    [anon_sym_centroid] = ACTIONS(2404),
    [anon_sym_noperspective] = ACTIONS(2404),
    [anon_sym_nointerpolation] = ACTIONS(2404),
    [anon_sym_sample] = ACTIONS(2404),
    [anon_sym_linear] = ACTIONS(2404),
    [anon_sym_snorm] = ACTIONS(2404),
    [anon_sym_unorm] = ACTIONS(2404),
    [anon_sym_point] = ACTIONS(2404),
    [anon_sym_line] = ACTIONS(2404),
    [anon_sym_triangleadj] = ACTIONS(2404),
    [anon_sym_lineadj] = ACTIONS(2404),
    [anon_sym_triangle] = ACTIONS(2404),
    [anon_sym_cbuffer] = ACTIONS(2404),
  },
  [809] = {
    [ts_builtin_sym_end] = ACTIONS(2332),
    [sym_identifier] = ACTIONS(2330),
    [aux_sym_preproc_include_token1] = ACTIONS(2330),
    [aux_sym_preproc_def_token1] = ACTIONS(2330),
    [aux_sym_preproc_if_token1] = ACTIONS(2330),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2330),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2330),
    [sym_preproc_directive] = ACTIONS(2330),
    [anon_sym_LPAREN2] = ACTIONS(2332),
    [anon_sym_BANG] = ACTIONS(2332),
    [anon_sym_TILDE] = ACTIONS(2332),
    [anon_sym_DASH] = ACTIONS(2330),
    [anon_sym_PLUS] = ACTIONS(2330),
    [anon_sym_STAR] = ACTIONS(2332),
    [anon_sym_AMP_AMP] = ACTIONS(2332),
    [anon_sym_AMP] = ACTIONS(2330),
    [anon_sym_SEMI] = ACTIONS(2332),
    [anon_sym___extension__] = ACTIONS(2330),
    [anon_sym_typedef] = ACTIONS(2330),
    [anon_sym_in] = ACTIONS(2330),
    [anon_sym_out] = ACTIONS(2330),
    [anon_sym_inout] = ACTIONS(2330),
    [anon_sym_extern] = ACTIONS(2330),
    [anon_sym___attribute__] = ACTIONS(2330),
    [anon_sym_COLON_COLON] = ACTIONS(2332),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2332),
    [anon_sym___declspec] = ACTIONS(2330),
    [anon_sym___based] = ACTIONS(2330),
    [anon_sym___cdecl] = ACTIONS(2330),
    [anon_sym___clrcall] = ACTIONS(2330),
    [anon_sym___stdcall] = ACTIONS(2330),
    [anon_sym___fastcall] = ACTIONS(2330),
    [anon_sym___thiscall] = ACTIONS(2330),
    [anon_sym___vectorcall] = ACTIONS(2330),
    [anon_sym_LBRACE] = ACTIONS(2332),
    [anon_sym_signed] = ACTIONS(2330),
    [anon_sym_unsigned] = ACTIONS(2330),
    [anon_sym_long] = ACTIONS(2330),
    [anon_sym_short] = ACTIONS(2330),
    [anon_sym_LBRACK] = ACTIONS(2330),
    [anon_sym_static] = ACTIONS(2330),
    [anon_sym_register] = ACTIONS(2330),
    [anon_sym_inline] = ACTIONS(2330),
    [anon_sym___inline] = ACTIONS(2330),
    [anon_sym___inline__] = ACTIONS(2330),
    [anon_sym___forceinline] = ACTIONS(2330),
    [anon_sym_thread_local] = ACTIONS(2330),
    [anon_sym___thread] = ACTIONS(2330),
    [anon_sym_const] = ACTIONS(2330),
    [anon_sym_constexpr] = ACTIONS(2330),
    [anon_sym_volatile] = ACTIONS(2330),
    [anon_sym_restrict] = ACTIONS(2330),
    [anon_sym___restrict__] = ACTIONS(2330),
    [anon_sym__Atomic] = ACTIONS(2330),
    [anon_sym__Noreturn] = ACTIONS(2330),
    [anon_sym_noreturn] = ACTIONS(2330),
    [anon_sym_mutable] = ACTIONS(2330),
    [anon_sym_constinit] = ACTIONS(2330),
    [anon_sym_consteval] = ACTIONS(2330),
    [sym_primitive_type] = ACTIONS(2330),
    [anon_sym_enum] = ACTIONS(2330),
    [anon_sym_class] = ACTIONS(2330),
    [anon_sym_struct] = ACTIONS(2330),
    [anon_sym_union] = ACTIONS(2330),
    [anon_sym_if] = ACTIONS(2330),
    [anon_sym_else] = ACTIONS(2330),
    [anon_sym_switch] = ACTIONS(2330),
    [anon_sym_case] = ACTIONS(2330),
    [anon_sym_default] = ACTIONS(2330),
    [anon_sym_while] = ACTIONS(2330),
    [anon_sym_do] = ACTIONS(2330),
    [anon_sym_for] = ACTIONS(2330),
    [anon_sym_return] = ACTIONS(2330),
    [anon_sym_break] = ACTIONS(2330),
    [anon_sym_continue] = ACTIONS(2330),
    [anon_sym_goto] = ACTIONS(2330),
    [anon_sym___try] = ACTIONS(2330),
    [anon_sym___leave] = ACTIONS(2330),
    [anon_sym_not] = ACTIONS(2330),
    [anon_sym_compl] = ACTIONS(2330),
    [anon_sym_DASH_DASH] = ACTIONS(2332),
    [anon_sym_PLUS_PLUS] = ACTIONS(2332),
    [anon_sym_sizeof] = ACTIONS(2330),
    [anon_sym___alignof__] = ACTIONS(2330),
    [anon_sym___alignof] = ACTIONS(2330),
    [anon_sym__alignof] = ACTIONS(2330),
    [anon_sym_alignof] = ACTIONS(2330),
    [anon_sym__Alignof] = ACTIONS(2330),
    [anon_sym_offsetof] = ACTIONS(2330),
    [anon_sym__Generic] = ACTIONS(2330),
    [anon_sym_asm] = ACTIONS(2330),
    [anon_sym___asm__] = ACTIONS(2330),
    [sym_number_literal] = ACTIONS(2332),
    [anon_sym_L_SQUOTE] = ACTIONS(2332),
    [anon_sym_u_SQUOTE] = ACTIONS(2332),
    [anon_sym_U_SQUOTE] = ACTIONS(2332),
    [anon_sym_u8_SQUOTE] = ACTIONS(2332),
    [anon_sym_SQUOTE] = ACTIONS(2332),
    [anon_sym_L_DQUOTE] = ACTIONS(2332),
    [anon_sym_u_DQUOTE] = ACTIONS(2332),
    [anon_sym_U_DQUOTE] = ACTIONS(2332),
    [anon_sym_u8_DQUOTE] = ACTIONS(2332),
    [anon_sym_DQUOTE] = ACTIONS(2332),
    [sym_true] = ACTIONS(2330),
    [sym_false] = ACTIONS(2330),
    [anon_sym_NULL] = ACTIONS(2330),
    [anon_sym_nullptr] = ACTIONS(2330),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2330),
    [anon_sym_decltype] = ACTIONS(2330),
    [anon_sym_virtual] = ACTIONS(2330),
    [anon_sym_alignas] = ACTIONS(2330),
    [anon_sym_explicit] = ACTIONS(2330),
    [anon_sym_typename] = ACTIONS(2330),
    [anon_sym_template] = ACTIONS(2330),
    [anon_sym_operator] = ACTIONS(2330),
    [anon_sym_try] = ACTIONS(2330),
    [anon_sym_delete] = ACTIONS(2330),
    [anon_sym_throw] = ACTIONS(2330),
    [anon_sym_namespace] = ACTIONS(2330),
    [anon_sym_using] = ACTIONS(2330),
    [anon_sym_static_assert] = ACTIONS(2330),
    [anon_sym_concept] = ACTIONS(2330),
    [anon_sym_co_return] = ACTIONS(2330),
    [anon_sym_co_yield] = ACTIONS(2330),
    [anon_sym_R_DQUOTE] = ACTIONS(2332),
    [anon_sym_LR_DQUOTE] = ACTIONS(2332),
    [anon_sym_uR_DQUOTE] = ACTIONS(2332),
    [anon_sym_UR_DQUOTE] = ACTIONS(2332),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2332),
    [anon_sym_co_await] = ACTIONS(2330),
    [anon_sym_new] = ACTIONS(2330),
    [anon_sym_requires] = ACTIONS(2330),
    [sym_this] = ACTIONS(2330),
    [anon_sym_discard] = ACTIONS(2330),
    [anon_sym_precise] = ACTIONS(2330),
    [anon_sym_shared] = ACTIONS(2330),
    [anon_sym_groupshared] = ACTIONS(2330),
    [anon_sym_uniform] = ACTIONS(2330),
    [anon_sym_row_major] = ACTIONS(2330),
    [anon_sym_column_major] = ACTIONS(2330),
    [anon_sym_globallycoherent] = ACTIONS(2330),
    [anon_sym_centroid] = ACTIONS(2330),
    [anon_sym_noperspective] = ACTIONS(2330),
    [anon_sym_nointerpolation] = ACTIONS(2330),
    [anon_sym_sample] = ACTIONS(2330),
    [anon_sym_linear] = ACTIONS(2330),
    [anon_sym_snorm] = ACTIONS(2330),
    [anon_sym_unorm] = ACTIONS(2330),
    [anon_sym_point] = ACTIONS(2330),
    [anon_sym_line] = ACTIONS(2330),
    [anon_sym_triangleadj] = ACTIONS(2330),
    [anon_sym_lineadj] = ACTIONS(2330),
    [anon_sym_triangle] = ACTIONS(2330),
    [anon_sym_cbuffer] = ACTIONS(2330),
  },
  [810] = {
    [sym_identifier] = ACTIONS(2484),
    [aux_sym_preproc_include_token1] = ACTIONS(2484),
    [aux_sym_preproc_def_token1] = ACTIONS(2484),
    [aux_sym_preproc_if_token1] = ACTIONS(2484),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2484),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2484),
    [sym_preproc_directive] = ACTIONS(2484),
    [anon_sym_LPAREN2] = ACTIONS(2486),
    [anon_sym_BANG] = ACTIONS(2486),
    [anon_sym_TILDE] = ACTIONS(2486),
    [anon_sym_DASH] = ACTIONS(2484),
    [anon_sym_PLUS] = ACTIONS(2484),
    [anon_sym_STAR] = ACTIONS(2486),
    [anon_sym_AMP_AMP] = ACTIONS(2486),
    [anon_sym_AMP] = ACTIONS(2484),
    [anon_sym_SEMI] = ACTIONS(2486),
    [anon_sym___extension__] = ACTIONS(2484),
    [anon_sym_typedef] = ACTIONS(2484),
    [anon_sym_in] = ACTIONS(2484),
    [anon_sym_out] = ACTIONS(2484),
    [anon_sym_inout] = ACTIONS(2484),
    [anon_sym_extern] = ACTIONS(2484),
    [anon_sym___attribute__] = ACTIONS(2484),
    [anon_sym_COLON_COLON] = ACTIONS(2486),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2486),
    [anon_sym___declspec] = ACTIONS(2484),
    [anon_sym___based] = ACTIONS(2484),
    [anon_sym___cdecl] = ACTIONS(2484),
    [anon_sym___clrcall] = ACTIONS(2484),
    [anon_sym___stdcall] = ACTIONS(2484),
    [anon_sym___fastcall] = ACTIONS(2484),
    [anon_sym___thiscall] = ACTIONS(2484),
    [anon_sym___vectorcall] = ACTIONS(2484),
    [anon_sym_LBRACE] = ACTIONS(2486),
    [anon_sym_RBRACE] = ACTIONS(2486),
    [anon_sym_signed] = ACTIONS(2484),
    [anon_sym_unsigned] = ACTIONS(2484),
    [anon_sym_long] = ACTIONS(2484),
    [anon_sym_short] = ACTIONS(2484),
    [anon_sym_LBRACK] = ACTIONS(2484),
    [anon_sym_static] = ACTIONS(2484),
    [anon_sym_register] = ACTIONS(2484),
    [anon_sym_inline] = ACTIONS(2484),
    [anon_sym___inline] = ACTIONS(2484),
    [anon_sym___inline__] = ACTIONS(2484),
    [anon_sym___forceinline] = ACTIONS(2484),
    [anon_sym_thread_local] = ACTIONS(2484),
    [anon_sym___thread] = ACTIONS(2484),
    [anon_sym_const] = ACTIONS(2484),
    [anon_sym_constexpr] = ACTIONS(2484),
    [anon_sym_volatile] = ACTIONS(2484),
    [anon_sym_restrict] = ACTIONS(2484),
    [anon_sym___restrict__] = ACTIONS(2484),
    [anon_sym__Atomic] = ACTIONS(2484),
    [anon_sym__Noreturn] = ACTIONS(2484),
    [anon_sym_noreturn] = ACTIONS(2484),
    [anon_sym_mutable] = ACTIONS(2484),
    [anon_sym_constinit] = ACTIONS(2484),
    [anon_sym_consteval] = ACTIONS(2484),
    [sym_primitive_type] = ACTIONS(2484),
    [anon_sym_enum] = ACTIONS(2484),
    [anon_sym_class] = ACTIONS(2484),
    [anon_sym_struct] = ACTIONS(2484),
    [anon_sym_union] = ACTIONS(2484),
    [anon_sym_if] = ACTIONS(2484),
    [anon_sym_else] = ACTIONS(2484),
    [anon_sym_switch] = ACTIONS(2484),
    [anon_sym_case] = ACTIONS(2484),
    [anon_sym_default] = ACTIONS(2484),
    [anon_sym_while] = ACTIONS(2484),
    [anon_sym_do] = ACTIONS(2484),
    [anon_sym_for] = ACTIONS(2484),
    [anon_sym_return] = ACTIONS(2484),
    [anon_sym_break] = ACTIONS(2484),
    [anon_sym_continue] = ACTIONS(2484),
    [anon_sym_goto] = ACTIONS(2484),
    [anon_sym___try] = ACTIONS(2484),
    [anon_sym___leave] = ACTIONS(2484),
    [anon_sym_not] = ACTIONS(2484),
    [anon_sym_compl] = ACTIONS(2484),
    [anon_sym_DASH_DASH] = ACTIONS(2486),
    [anon_sym_PLUS_PLUS] = ACTIONS(2486),
    [anon_sym_sizeof] = ACTIONS(2484),
    [anon_sym___alignof__] = ACTIONS(2484),
    [anon_sym___alignof] = ACTIONS(2484),
    [anon_sym__alignof] = ACTIONS(2484),
    [anon_sym_alignof] = ACTIONS(2484),
    [anon_sym__Alignof] = ACTIONS(2484),
    [anon_sym_offsetof] = ACTIONS(2484),
    [anon_sym__Generic] = ACTIONS(2484),
    [anon_sym_asm] = ACTIONS(2484),
    [anon_sym___asm__] = ACTIONS(2484),
    [sym_number_literal] = ACTIONS(2486),
    [anon_sym_L_SQUOTE] = ACTIONS(2486),
    [anon_sym_u_SQUOTE] = ACTIONS(2486),
    [anon_sym_U_SQUOTE] = ACTIONS(2486),
    [anon_sym_u8_SQUOTE] = ACTIONS(2486),
    [anon_sym_SQUOTE] = ACTIONS(2486),
    [anon_sym_L_DQUOTE] = ACTIONS(2486),
    [anon_sym_u_DQUOTE] = ACTIONS(2486),
    [anon_sym_U_DQUOTE] = ACTIONS(2486),
    [anon_sym_u8_DQUOTE] = ACTIONS(2486),
    [anon_sym_DQUOTE] = ACTIONS(2486),
    [sym_true] = ACTIONS(2484),
    [sym_false] = ACTIONS(2484),
    [anon_sym_NULL] = ACTIONS(2484),
    [anon_sym_nullptr] = ACTIONS(2484),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2484),
    [anon_sym_decltype] = ACTIONS(2484),
    [anon_sym_virtual] = ACTIONS(2484),
    [anon_sym_alignas] = ACTIONS(2484),
    [anon_sym_explicit] = ACTIONS(2484),
    [anon_sym_typename] = ACTIONS(2484),
    [anon_sym_template] = ACTIONS(2484),
    [anon_sym_operator] = ACTIONS(2484),
    [anon_sym_try] = ACTIONS(2484),
    [anon_sym_delete] = ACTIONS(2484),
    [anon_sym_throw] = ACTIONS(2484),
    [anon_sym_namespace] = ACTIONS(2484),
    [anon_sym_using] = ACTIONS(2484),
    [anon_sym_static_assert] = ACTIONS(2484),
    [anon_sym_concept] = ACTIONS(2484),
    [anon_sym_co_return] = ACTIONS(2484),
    [anon_sym_co_yield] = ACTIONS(2484),
    [anon_sym_R_DQUOTE] = ACTIONS(2486),
    [anon_sym_LR_DQUOTE] = ACTIONS(2486),
    [anon_sym_uR_DQUOTE] = ACTIONS(2486),
    [anon_sym_UR_DQUOTE] = ACTIONS(2486),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2486),
    [anon_sym_co_await] = ACTIONS(2484),
    [anon_sym_new] = ACTIONS(2484),
    [anon_sym_requires] = ACTIONS(2484),
    [sym_this] = ACTIONS(2484),
    [anon_sym_discard] = ACTIONS(2484),
    [anon_sym_precise] = ACTIONS(2484),
    [anon_sym_shared] = ACTIONS(2484),
    [anon_sym_groupshared] = ACTIONS(2484),
    [anon_sym_uniform] = ACTIONS(2484),
    [anon_sym_row_major] = ACTIONS(2484),
    [anon_sym_column_major] = ACTIONS(2484),
    [anon_sym_globallycoherent] = ACTIONS(2484),
    [anon_sym_centroid] = ACTIONS(2484),
    [anon_sym_noperspective] = ACTIONS(2484),
    [anon_sym_nointerpolation] = ACTIONS(2484),
    [anon_sym_sample] = ACTIONS(2484),
    [anon_sym_linear] = ACTIONS(2484),
    [anon_sym_snorm] = ACTIONS(2484),
    [anon_sym_unorm] = ACTIONS(2484),
    [anon_sym_point] = ACTIONS(2484),
    [anon_sym_line] = ACTIONS(2484),
    [anon_sym_triangleadj] = ACTIONS(2484),
    [anon_sym_lineadj] = ACTIONS(2484),
    [anon_sym_triangle] = ACTIONS(2484),
    [anon_sym_cbuffer] = ACTIONS(2484),
  },
  [811] = {
    [sym_identifier] = ACTIONS(2400),
    [aux_sym_preproc_include_token1] = ACTIONS(2400),
    [aux_sym_preproc_def_token1] = ACTIONS(2400),
    [aux_sym_preproc_if_token1] = ACTIONS(2400),
    [aux_sym_preproc_if_token2] = ACTIONS(2400),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2400),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2400),
    [sym_preproc_directive] = ACTIONS(2400),
    [anon_sym_LPAREN2] = ACTIONS(2402),
    [anon_sym_BANG] = ACTIONS(2402),
    [anon_sym_TILDE] = ACTIONS(2402),
    [anon_sym_DASH] = ACTIONS(2400),
    [anon_sym_PLUS] = ACTIONS(2400),
    [anon_sym_STAR] = ACTIONS(2402),
    [anon_sym_AMP_AMP] = ACTIONS(2402),
    [anon_sym_AMP] = ACTIONS(2400),
    [anon_sym_SEMI] = ACTIONS(2402),
    [anon_sym___extension__] = ACTIONS(2400),
    [anon_sym_typedef] = ACTIONS(2400),
    [anon_sym_in] = ACTIONS(2400),
    [anon_sym_out] = ACTIONS(2400),
    [anon_sym_inout] = ACTIONS(2400),
    [anon_sym_extern] = ACTIONS(2400),
    [anon_sym___attribute__] = ACTIONS(2400),
    [anon_sym_COLON_COLON] = ACTIONS(2402),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2402),
    [anon_sym___declspec] = ACTIONS(2400),
    [anon_sym___based] = ACTIONS(2400),
    [anon_sym___cdecl] = ACTIONS(2400),
    [anon_sym___clrcall] = ACTIONS(2400),
    [anon_sym___stdcall] = ACTIONS(2400),
    [anon_sym___fastcall] = ACTIONS(2400),
    [anon_sym___thiscall] = ACTIONS(2400),
    [anon_sym___vectorcall] = ACTIONS(2400),
    [anon_sym_LBRACE] = ACTIONS(2402),
    [anon_sym_signed] = ACTIONS(2400),
    [anon_sym_unsigned] = ACTIONS(2400),
    [anon_sym_long] = ACTIONS(2400),
    [anon_sym_short] = ACTIONS(2400),
    [anon_sym_LBRACK] = ACTIONS(2400),
    [anon_sym_static] = ACTIONS(2400),
    [anon_sym_register] = ACTIONS(2400),
    [anon_sym_inline] = ACTIONS(2400),
    [anon_sym___inline] = ACTIONS(2400),
    [anon_sym___inline__] = ACTIONS(2400),
    [anon_sym___forceinline] = ACTIONS(2400),
    [anon_sym_thread_local] = ACTIONS(2400),
    [anon_sym___thread] = ACTIONS(2400),
    [anon_sym_const] = ACTIONS(2400),
    [anon_sym_constexpr] = ACTIONS(2400),
    [anon_sym_volatile] = ACTIONS(2400),
    [anon_sym_restrict] = ACTIONS(2400),
    [anon_sym___restrict__] = ACTIONS(2400),
    [anon_sym__Atomic] = ACTIONS(2400),
    [anon_sym__Noreturn] = ACTIONS(2400),
    [anon_sym_noreturn] = ACTIONS(2400),
    [anon_sym_mutable] = ACTIONS(2400),
    [anon_sym_constinit] = ACTIONS(2400),
    [anon_sym_consteval] = ACTIONS(2400),
    [sym_primitive_type] = ACTIONS(2400),
    [anon_sym_enum] = ACTIONS(2400),
    [anon_sym_class] = ACTIONS(2400),
    [anon_sym_struct] = ACTIONS(2400),
    [anon_sym_union] = ACTIONS(2400),
    [anon_sym_if] = ACTIONS(2400),
    [anon_sym_else] = ACTIONS(2400),
    [anon_sym_switch] = ACTIONS(2400),
    [anon_sym_case] = ACTIONS(2400),
    [anon_sym_default] = ACTIONS(2400),
    [anon_sym_while] = ACTIONS(2400),
    [anon_sym_do] = ACTIONS(2400),
    [anon_sym_for] = ACTIONS(2400),
    [anon_sym_return] = ACTIONS(2400),
    [anon_sym_break] = ACTIONS(2400),
    [anon_sym_continue] = ACTIONS(2400),
    [anon_sym_goto] = ACTIONS(2400),
    [anon_sym___try] = ACTIONS(2400),
    [anon_sym___leave] = ACTIONS(2400),
    [anon_sym_not] = ACTIONS(2400),
    [anon_sym_compl] = ACTIONS(2400),
    [anon_sym_DASH_DASH] = ACTIONS(2402),
    [anon_sym_PLUS_PLUS] = ACTIONS(2402),
    [anon_sym_sizeof] = ACTIONS(2400),
    [anon_sym___alignof__] = ACTIONS(2400),
    [anon_sym___alignof] = ACTIONS(2400),
    [anon_sym__alignof] = ACTIONS(2400),
    [anon_sym_alignof] = ACTIONS(2400),
    [anon_sym__Alignof] = ACTIONS(2400),
    [anon_sym_offsetof] = ACTIONS(2400),
    [anon_sym__Generic] = ACTIONS(2400),
    [anon_sym_asm] = ACTIONS(2400),
    [anon_sym___asm__] = ACTIONS(2400),
    [sym_number_literal] = ACTIONS(2402),
    [anon_sym_L_SQUOTE] = ACTIONS(2402),
    [anon_sym_u_SQUOTE] = ACTIONS(2402),
    [anon_sym_U_SQUOTE] = ACTIONS(2402),
    [anon_sym_u8_SQUOTE] = ACTIONS(2402),
    [anon_sym_SQUOTE] = ACTIONS(2402),
    [anon_sym_L_DQUOTE] = ACTIONS(2402),
    [anon_sym_u_DQUOTE] = ACTIONS(2402),
    [anon_sym_U_DQUOTE] = ACTIONS(2402),
    [anon_sym_u8_DQUOTE] = ACTIONS(2402),
    [anon_sym_DQUOTE] = ACTIONS(2402),
    [sym_true] = ACTIONS(2400),
    [sym_false] = ACTIONS(2400),
    [anon_sym_NULL] = ACTIONS(2400),
    [anon_sym_nullptr] = ACTIONS(2400),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2400),
    [anon_sym_decltype] = ACTIONS(2400),
    [anon_sym_virtual] = ACTIONS(2400),
    [anon_sym_alignas] = ACTIONS(2400),
    [anon_sym_explicit] = ACTIONS(2400),
    [anon_sym_typename] = ACTIONS(2400),
    [anon_sym_template] = ACTIONS(2400),
    [anon_sym_operator] = ACTIONS(2400),
    [anon_sym_try] = ACTIONS(2400),
    [anon_sym_delete] = ACTIONS(2400),
    [anon_sym_throw] = ACTIONS(2400),
    [anon_sym_namespace] = ACTIONS(2400),
    [anon_sym_using] = ACTIONS(2400),
    [anon_sym_static_assert] = ACTIONS(2400),
    [anon_sym_concept] = ACTIONS(2400),
    [anon_sym_co_return] = ACTIONS(2400),
    [anon_sym_co_yield] = ACTIONS(2400),
    [anon_sym_R_DQUOTE] = ACTIONS(2402),
    [anon_sym_LR_DQUOTE] = ACTIONS(2402),
    [anon_sym_uR_DQUOTE] = ACTIONS(2402),
    [anon_sym_UR_DQUOTE] = ACTIONS(2402),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2402),
    [anon_sym_co_await] = ACTIONS(2400),
    [anon_sym_new] = ACTIONS(2400),
    [anon_sym_requires] = ACTIONS(2400),
    [sym_this] = ACTIONS(2400),
    [anon_sym_discard] = ACTIONS(2400),
    [anon_sym_precise] = ACTIONS(2400),
    [anon_sym_shared] = ACTIONS(2400),
    [anon_sym_groupshared] = ACTIONS(2400),
    [anon_sym_uniform] = ACTIONS(2400),
    [anon_sym_row_major] = ACTIONS(2400),
    [anon_sym_column_major] = ACTIONS(2400),
    [anon_sym_globallycoherent] = ACTIONS(2400),
    [anon_sym_centroid] = ACTIONS(2400),
    [anon_sym_noperspective] = ACTIONS(2400),
    [anon_sym_nointerpolation] = ACTIONS(2400),
    [anon_sym_sample] = ACTIONS(2400),
    [anon_sym_linear] = ACTIONS(2400),
    [anon_sym_snorm] = ACTIONS(2400),
    [anon_sym_unorm] = ACTIONS(2400),
    [anon_sym_point] = ACTIONS(2400),
    [anon_sym_line] = ACTIONS(2400),
    [anon_sym_triangleadj] = ACTIONS(2400),
    [anon_sym_lineadj] = ACTIONS(2400),
    [anon_sym_triangle] = ACTIONS(2400),
    [anon_sym_cbuffer] = ACTIONS(2400),
  },
  [812] = {
    [sym_identifier] = ACTIONS(2480),
    [aux_sym_preproc_include_token1] = ACTIONS(2480),
    [aux_sym_preproc_def_token1] = ACTIONS(2480),
    [aux_sym_preproc_if_token1] = ACTIONS(2480),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2480),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2480),
    [sym_preproc_directive] = ACTIONS(2480),
    [anon_sym_LPAREN2] = ACTIONS(2482),
    [anon_sym_BANG] = ACTIONS(2482),
    [anon_sym_TILDE] = ACTIONS(2482),
    [anon_sym_DASH] = ACTIONS(2480),
    [anon_sym_PLUS] = ACTIONS(2480),
    [anon_sym_STAR] = ACTIONS(2482),
    [anon_sym_AMP_AMP] = ACTIONS(2482),
    [anon_sym_AMP] = ACTIONS(2480),
    [anon_sym_SEMI] = ACTIONS(2482),
    [anon_sym___extension__] = ACTIONS(2480),
    [anon_sym_typedef] = ACTIONS(2480),
    [anon_sym_in] = ACTIONS(2480),
    [anon_sym_out] = ACTIONS(2480),
    [anon_sym_inout] = ACTIONS(2480),
    [anon_sym_extern] = ACTIONS(2480),
    [anon_sym___attribute__] = ACTIONS(2480),
    [anon_sym_COLON_COLON] = ACTIONS(2482),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2482),
    [anon_sym___declspec] = ACTIONS(2480),
    [anon_sym___based] = ACTIONS(2480),
    [anon_sym___cdecl] = ACTIONS(2480),
    [anon_sym___clrcall] = ACTIONS(2480),
    [anon_sym___stdcall] = ACTIONS(2480),
    [anon_sym___fastcall] = ACTIONS(2480),
    [anon_sym___thiscall] = ACTIONS(2480),
    [anon_sym___vectorcall] = ACTIONS(2480),
    [anon_sym_LBRACE] = ACTIONS(2482),
    [anon_sym_RBRACE] = ACTIONS(2482),
    [anon_sym_signed] = ACTIONS(2480),
    [anon_sym_unsigned] = ACTIONS(2480),
    [anon_sym_long] = ACTIONS(2480),
    [anon_sym_short] = ACTIONS(2480),
    [anon_sym_LBRACK] = ACTIONS(2480),
    [anon_sym_static] = ACTIONS(2480),
    [anon_sym_register] = ACTIONS(2480),
    [anon_sym_inline] = ACTIONS(2480),
    [anon_sym___inline] = ACTIONS(2480),
    [anon_sym___inline__] = ACTIONS(2480),
    [anon_sym___forceinline] = ACTIONS(2480),
    [anon_sym_thread_local] = ACTIONS(2480),
    [anon_sym___thread] = ACTIONS(2480),
    [anon_sym_const] = ACTIONS(2480),
    [anon_sym_constexpr] = ACTIONS(2480),
    [anon_sym_volatile] = ACTIONS(2480),
    [anon_sym_restrict] = ACTIONS(2480),
    [anon_sym___restrict__] = ACTIONS(2480),
    [anon_sym__Atomic] = ACTIONS(2480),
    [anon_sym__Noreturn] = ACTIONS(2480),
    [anon_sym_noreturn] = ACTIONS(2480),
    [anon_sym_mutable] = ACTIONS(2480),
    [anon_sym_constinit] = ACTIONS(2480),
    [anon_sym_consteval] = ACTIONS(2480),
    [sym_primitive_type] = ACTIONS(2480),
    [anon_sym_enum] = ACTIONS(2480),
    [anon_sym_class] = ACTIONS(2480),
    [anon_sym_struct] = ACTIONS(2480),
    [anon_sym_union] = ACTIONS(2480),
    [anon_sym_if] = ACTIONS(2480),
    [anon_sym_else] = ACTIONS(2480),
    [anon_sym_switch] = ACTIONS(2480),
    [anon_sym_case] = ACTIONS(2480),
    [anon_sym_default] = ACTIONS(2480),
    [anon_sym_while] = ACTIONS(2480),
    [anon_sym_do] = ACTIONS(2480),
    [anon_sym_for] = ACTIONS(2480),
    [anon_sym_return] = ACTIONS(2480),
    [anon_sym_break] = ACTIONS(2480),
    [anon_sym_continue] = ACTIONS(2480),
    [anon_sym_goto] = ACTIONS(2480),
    [anon_sym___try] = ACTIONS(2480),
    [anon_sym___leave] = ACTIONS(2480),
    [anon_sym_not] = ACTIONS(2480),
    [anon_sym_compl] = ACTIONS(2480),
    [anon_sym_DASH_DASH] = ACTIONS(2482),
    [anon_sym_PLUS_PLUS] = ACTIONS(2482),
    [anon_sym_sizeof] = ACTIONS(2480),
    [anon_sym___alignof__] = ACTIONS(2480),
    [anon_sym___alignof] = ACTIONS(2480),
    [anon_sym__alignof] = ACTIONS(2480),
    [anon_sym_alignof] = ACTIONS(2480),
    [anon_sym__Alignof] = ACTIONS(2480),
    [anon_sym_offsetof] = ACTIONS(2480),
    [anon_sym__Generic] = ACTIONS(2480),
    [anon_sym_asm] = ACTIONS(2480),
    [anon_sym___asm__] = ACTIONS(2480),
    [sym_number_literal] = ACTIONS(2482),
    [anon_sym_L_SQUOTE] = ACTIONS(2482),
    [anon_sym_u_SQUOTE] = ACTIONS(2482),
    [anon_sym_U_SQUOTE] = ACTIONS(2482),
    [anon_sym_u8_SQUOTE] = ACTIONS(2482),
    [anon_sym_SQUOTE] = ACTIONS(2482),
    [anon_sym_L_DQUOTE] = ACTIONS(2482),
    [anon_sym_u_DQUOTE] = ACTIONS(2482),
    [anon_sym_U_DQUOTE] = ACTIONS(2482),
    [anon_sym_u8_DQUOTE] = ACTIONS(2482),
    [anon_sym_DQUOTE] = ACTIONS(2482),
    [sym_true] = ACTIONS(2480),
    [sym_false] = ACTIONS(2480),
    [anon_sym_NULL] = ACTIONS(2480),
    [anon_sym_nullptr] = ACTIONS(2480),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2480),
    [anon_sym_decltype] = ACTIONS(2480),
    [anon_sym_virtual] = ACTIONS(2480),
    [anon_sym_alignas] = ACTIONS(2480),
    [anon_sym_explicit] = ACTIONS(2480),
    [anon_sym_typename] = ACTIONS(2480),
    [anon_sym_template] = ACTIONS(2480),
    [anon_sym_operator] = ACTIONS(2480),
    [anon_sym_try] = ACTIONS(2480),
    [anon_sym_delete] = ACTIONS(2480),
    [anon_sym_throw] = ACTIONS(2480),
    [anon_sym_namespace] = ACTIONS(2480),
    [anon_sym_using] = ACTIONS(2480),
    [anon_sym_static_assert] = ACTIONS(2480),
    [anon_sym_concept] = ACTIONS(2480),
    [anon_sym_co_return] = ACTIONS(2480),
    [anon_sym_co_yield] = ACTIONS(2480),
    [anon_sym_R_DQUOTE] = ACTIONS(2482),
    [anon_sym_LR_DQUOTE] = ACTIONS(2482),
    [anon_sym_uR_DQUOTE] = ACTIONS(2482),
    [anon_sym_UR_DQUOTE] = ACTIONS(2482),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2482),
    [anon_sym_co_await] = ACTIONS(2480),
    [anon_sym_new] = ACTIONS(2480),
    [anon_sym_requires] = ACTIONS(2480),
    [sym_this] = ACTIONS(2480),
    [anon_sym_discard] = ACTIONS(2480),
    [anon_sym_precise] = ACTIONS(2480),
    [anon_sym_shared] = ACTIONS(2480),
    [anon_sym_groupshared] = ACTIONS(2480),
    [anon_sym_uniform] = ACTIONS(2480),
    [anon_sym_row_major] = ACTIONS(2480),
    [anon_sym_column_major] = ACTIONS(2480),
    [anon_sym_globallycoherent] = ACTIONS(2480),
    [anon_sym_centroid] = ACTIONS(2480),
    [anon_sym_noperspective] = ACTIONS(2480),
    [anon_sym_nointerpolation] = ACTIONS(2480),
    [anon_sym_sample] = ACTIONS(2480),
    [anon_sym_linear] = ACTIONS(2480),
    [anon_sym_snorm] = ACTIONS(2480),
    [anon_sym_unorm] = ACTIONS(2480),
    [anon_sym_point] = ACTIONS(2480),
    [anon_sym_line] = ACTIONS(2480),
    [anon_sym_triangleadj] = ACTIONS(2480),
    [anon_sym_lineadj] = ACTIONS(2480),
    [anon_sym_triangle] = ACTIONS(2480),
    [anon_sym_cbuffer] = ACTIONS(2480),
  },
  [813] = {
    [ts_builtin_sym_end] = ACTIONS(2332),
    [sym_identifier] = ACTIONS(2330),
    [aux_sym_preproc_include_token1] = ACTIONS(2330),
    [aux_sym_preproc_def_token1] = ACTIONS(2330),
    [aux_sym_preproc_if_token1] = ACTIONS(2330),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2330),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2330),
    [sym_preproc_directive] = ACTIONS(2330),
    [anon_sym_LPAREN2] = ACTIONS(2332),
    [anon_sym_BANG] = ACTIONS(2332),
    [anon_sym_TILDE] = ACTIONS(2332),
    [anon_sym_DASH] = ACTIONS(2330),
    [anon_sym_PLUS] = ACTIONS(2330),
    [anon_sym_STAR] = ACTIONS(2332),
    [anon_sym_AMP_AMP] = ACTIONS(2332),
    [anon_sym_AMP] = ACTIONS(2330),
    [anon_sym_SEMI] = ACTIONS(2332),
    [anon_sym___extension__] = ACTIONS(2330),
    [anon_sym_typedef] = ACTIONS(2330),
    [anon_sym_in] = ACTIONS(2330),
    [anon_sym_out] = ACTIONS(2330),
    [anon_sym_inout] = ACTIONS(2330),
    [anon_sym_extern] = ACTIONS(2330),
    [anon_sym___attribute__] = ACTIONS(2330),
    [anon_sym_COLON_COLON] = ACTIONS(2332),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2332),
    [anon_sym___declspec] = ACTIONS(2330),
    [anon_sym___based] = ACTIONS(2330),
    [anon_sym___cdecl] = ACTIONS(2330),
    [anon_sym___clrcall] = ACTIONS(2330),
    [anon_sym___stdcall] = ACTIONS(2330),
    [anon_sym___fastcall] = ACTIONS(2330),
    [anon_sym___thiscall] = ACTIONS(2330),
    [anon_sym___vectorcall] = ACTIONS(2330),
    [anon_sym_LBRACE] = ACTIONS(2332),
    [anon_sym_signed] = ACTIONS(2330),
    [anon_sym_unsigned] = ACTIONS(2330),
    [anon_sym_long] = ACTIONS(2330),
    [anon_sym_short] = ACTIONS(2330),
    [anon_sym_LBRACK] = ACTIONS(2330),
    [anon_sym_static] = ACTIONS(2330),
    [anon_sym_register] = ACTIONS(2330),
    [anon_sym_inline] = ACTIONS(2330),
    [anon_sym___inline] = ACTIONS(2330),
    [anon_sym___inline__] = ACTIONS(2330),
    [anon_sym___forceinline] = ACTIONS(2330),
    [anon_sym_thread_local] = ACTIONS(2330),
    [anon_sym___thread] = ACTIONS(2330),
    [anon_sym_const] = ACTIONS(2330),
    [anon_sym_constexpr] = ACTIONS(2330),
    [anon_sym_volatile] = ACTIONS(2330),
    [anon_sym_restrict] = ACTIONS(2330),
    [anon_sym___restrict__] = ACTIONS(2330),
    [anon_sym__Atomic] = ACTIONS(2330),
    [anon_sym__Noreturn] = ACTIONS(2330),
    [anon_sym_noreturn] = ACTIONS(2330),
    [anon_sym_mutable] = ACTIONS(2330),
    [anon_sym_constinit] = ACTIONS(2330),
    [anon_sym_consteval] = ACTIONS(2330),
    [sym_primitive_type] = ACTIONS(2330),
    [anon_sym_enum] = ACTIONS(2330),
    [anon_sym_class] = ACTIONS(2330),
    [anon_sym_struct] = ACTIONS(2330),
    [anon_sym_union] = ACTIONS(2330),
    [anon_sym_if] = ACTIONS(2330),
    [anon_sym_else] = ACTIONS(2330),
    [anon_sym_switch] = ACTIONS(2330),
    [anon_sym_case] = ACTIONS(2330),
    [anon_sym_default] = ACTIONS(2330),
    [anon_sym_while] = ACTIONS(2330),
    [anon_sym_do] = ACTIONS(2330),
    [anon_sym_for] = ACTIONS(2330),
    [anon_sym_return] = ACTIONS(2330),
    [anon_sym_break] = ACTIONS(2330),
    [anon_sym_continue] = ACTIONS(2330),
    [anon_sym_goto] = ACTIONS(2330),
    [anon_sym___try] = ACTIONS(2330),
    [anon_sym___leave] = ACTIONS(2330),
    [anon_sym_not] = ACTIONS(2330),
    [anon_sym_compl] = ACTIONS(2330),
    [anon_sym_DASH_DASH] = ACTIONS(2332),
    [anon_sym_PLUS_PLUS] = ACTIONS(2332),
    [anon_sym_sizeof] = ACTIONS(2330),
    [anon_sym___alignof__] = ACTIONS(2330),
    [anon_sym___alignof] = ACTIONS(2330),
    [anon_sym__alignof] = ACTIONS(2330),
    [anon_sym_alignof] = ACTIONS(2330),
    [anon_sym__Alignof] = ACTIONS(2330),
    [anon_sym_offsetof] = ACTIONS(2330),
    [anon_sym__Generic] = ACTIONS(2330),
    [anon_sym_asm] = ACTIONS(2330),
    [anon_sym___asm__] = ACTIONS(2330),
    [sym_number_literal] = ACTIONS(2332),
    [anon_sym_L_SQUOTE] = ACTIONS(2332),
    [anon_sym_u_SQUOTE] = ACTIONS(2332),
    [anon_sym_U_SQUOTE] = ACTIONS(2332),
    [anon_sym_u8_SQUOTE] = ACTIONS(2332),
    [anon_sym_SQUOTE] = ACTIONS(2332),
    [anon_sym_L_DQUOTE] = ACTIONS(2332),
    [anon_sym_u_DQUOTE] = ACTIONS(2332),
    [anon_sym_U_DQUOTE] = ACTIONS(2332),
    [anon_sym_u8_DQUOTE] = ACTIONS(2332),
    [anon_sym_DQUOTE] = ACTIONS(2332),
    [sym_true] = ACTIONS(2330),
    [sym_false] = ACTIONS(2330),
    [anon_sym_NULL] = ACTIONS(2330),
    [anon_sym_nullptr] = ACTIONS(2330),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2330),
    [anon_sym_decltype] = ACTIONS(2330),
    [anon_sym_virtual] = ACTIONS(2330),
    [anon_sym_alignas] = ACTIONS(2330),
    [anon_sym_explicit] = ACTIONS(2330),
    [anon_sym_typename] = ACTIONS(2330),
    [anon_sym_template] = ACTIONS(2330),
    [anon_sym_operator] = ACTIONS(2330),
    [anon_sym_try] = ACTIONS(2330),
    [anon_sym_delete] = ACTIONS(2330),
    [anon_sym_throw] = ACTIONS(2330),
    [anon_sym_namespace] = ACTIONS(2330),
    [anon_sym_using] = ACTIONS(2330),
    [anon_sym_static_assert] = ACTIONS(2330),
    [anon_sym_concept] = ACTIONS(2330),
    [anon_sym_co_return] = ACTIONS(2330),
    [anon_sym_co_yield] = ACTIONS(2330),
    [anon_sym_R_DQUOTE] = ACTIONS(2332),
    [anon_sym_LR_DQUOTE] = ACTIONS(2332),
    [anon_sym_uR_DQUOTE] = ACTIONS(2332),
    [anon_sym_UR_DQUOTE] = ACTIONS(2332),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2332),
    [anon_sym_co_await] = ACTIONS(2330),
    [anon_sym_new] = ACTIONS(2330),
    [anon_sym_requires] = ACTIONS(2330),
    [sym_this] = ACTIONS(2330),
    [anon_sym_discard] = ACTIONS(2330),
    [anon_sym_precise] = ACTIONS(2330),
    [anon_sym_shared] = ACTIONS(2330),
    [anon_sym_groupshared] = ACTIONS(2330),
    [anon_sym_uniform] = ACTIONS(2330),
    [anon_sym_row_major] = ACTIONS(2330),
    [anon_sym_column_major] = ACTIONS(2330),
    [anon_sym_globallycoherent] = ACTIONS(2330),
    [anon_sym_centroid] = ACTIONS(2330),
    [anon_sym_noperspective] = ACTIONS(2330),
    [anon_sym_nointerpolation] = ACTIONS(2330),
    [anon_sym_sample] = ACTIONS(2330),
    [anon_sym_linear] = ACTIONS(2330),
    [anon_sym_snorm] = ACTIONS(2330),
    [anon_sym_unorm] = ACTIONS(2330),
    [anon_sym_point] = ACTIONS(2330),
    [anon_sym_line] = ACTIONS(2330),
    [anon_sym_triangleadj] = ACTIONS(2330),
    [anon_sym_lineadj] = ACTIONS(2330),
    [anon_sym_triangle] = ACTIONS(2330),
    [anon_sym_cbuffer] = ACTIONS(2330),
  },
  [814] = {
    [ts_builtin_sym_end] = ACTIONS(2366),
    [sym_identifier] = ACTIONS(2364),
    [aux_sym_preproc_include_token1] = ACTIONS(2364),
    [aux_sym_preproc_def_token1] = ACTIONS(2364),
    [aux_sym_preproc_if_token1] = ACTIONS(2364),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2364),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2364),
    [sym_preproc_directive] = ACTIONS(2364),
    [anon_sym_LPAREN2] = ACTIONS(2366),
    [anon_sym_BANG] = ACTIONS(2366),
    [anon_sym_TILDE] = ACTIONS(2366),
    [anon_sym_DASH] = ACTIONS(2364),
    [anon_sym_PLUS] = ACTIONS(2364),
    [anon_sym_STAR] = ACTIONS(2366),
    [anon_sym_AMP_AMP] = ACTIONS(2366),
    [anon_sym_AMP] = ACTIONS(2364),
    [anon_sym_SEMI] = ACTIONS(2366),
    [anon_sym___extension__] = ACTIONS(2364),
    [anon_sym_typedef] = ACTIONS(2364),
    [anon_sym_in] = ACTIONS(2364),
    [anon_sym_out] = ACTIONS(2364),
    [anon_sym_inout] = ACTIONS(2364),
    [anon_sym_extern] = ACTIONS(2364),
    [anon_sym___attribute__] = ACTIONS(2364),
    [anon_sym_COLON_COLON] = ACTIONS(2366),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2366),
    [anon_sym___declspec] = ACTIONS(2364),
    [anon_sym___based] = ACTIONS(2364),
    [anon_sym___cdecl] = ACTIONS(2364),
    [anon_sym___clrcall] = ACTIONS(2364),
    [anon_sym___stdcall] = ACTIONS(2364),
    [anon_sym___fastcall] = ACTIONS(2364),
    [anon_sym___thiscall] = ACTIONS(2364),
    [anon_sym___vectorcall] = ACTIONS(2364),
    [anon_sym_LBRACE] = ACTIONS(2366),
    [anon_sym_signed] = ACTIONS(2364),
    [anon_sym_unsigned] = ACTIONS(2364),
    [anon_sym_long] = ACTIONS(2364),
    [anon_sym_short] = ACTIONS(2364),
    [anon_sym_LBRACK] = ACTIONS(2364),
    [anon_sym_static] = ACTIONS(2364),
    [anon_sym_register] = ACTIONS(2364),
    [anon_sym_inline] = ACTIONS(2364),
    [anon_sym___inline] = ACTIONS(2364),
    [anon_sym___inline__] = ACTIONS(2364),
    [anon_sym___forceinline] = ACTIONS(2364),
    [anon_sym_thread_local] = ACTIONS(2364),
    [anon_sym___thread] = ACTIONS(2364),
    [anon_sym_const] = ACTIONS(2364),
    [anon_sym_constexpr] = ACTIONS(2364),
    [anon_sym_volatile] = ACTIONS(2364),
    [anon_sym_restrict] = ACTIONS(2364),
    [anon_sym___restrict__] = ACTIONS(2364),
    [anon_sym__Atomic] = ACTIONS(2364),
    [anon_sym__Noreturn] = ACTIONS(2364),
    [anon_sym_noreturn] = ACTIONS(2364),
    [anon_sym_mutable] = ACTIONS(2364),
    [anon_sym_constinit] = ACTIONS(2364),
    [anon_sym_consteval] = ACTIONS(2364),
    [sym_primitive_type] = ACTIONS(2364),
    [anon_sym_enum] = ACTIONS(2364),
    [anon_sym_class] = ACTIONS(2364),
    [anon_sym_struct] = ACTIONS(2364),
    [anon_sym_union] = ACTIONS(2364),
    [anon_sym_if] = ACTIONS(2364),
    [anon_sym_else] = ACTIONS(2364),
    [anon_sym_switch] = ACTIONS(2364),
    [anon_sym_case] = ACTIONS(2364),
    [anon_sym_default] = ACTIONS(2364),
    [anon_sym_while] = ACTIONS(2364),
    [anon_sym_do] = ACTIONS(2364),
    [anon_sym_for] = ACTIONS(2364),
    [anon_sym_return] = ACTIONS(2364),
    [anon_sym_break] = ACTIONS(2364),
    [anon_sym_continue] = ACTIONS(2364),
    [anon_sym_goto] = ACTIONS(2364),
    [anon_sym___try] = ACTIONS(2364),
    [anon_sym___leave] = ACTIONS(2364),
    [anon_sym_not] = ACTIONS(2364),
    [anon_sym_compl] = ACTIONS(2364),
    [anon_sym_DASH_DASH] = ACTIONS(2366),
    [anon_sym_PLUS_PLUS] = ACTIONS(2366),
    [anon_sym_sizeof] = ACTIONS(2364),
    [anon_sym___alignof__] = ACTIONS(2364),
    [anon_sym___alignof] = ACTIONS(2364),
    [anon_sym__alignof] = ACTIONS(2364),
    [anon_sym_alignof] = ACTIONS(2364),
    [anon_sym__Alignof] = ACTIONS(2364),
    [anon_sym_offsetof] = ACTIONS(2364),
    [anon_sym__Generic] = ACTIONS(2364),
    [anon_sym_asm] = ACTIONS(2364),
    [anon_sym___asm__] = ACTIONS(2364),
    [sym_number_literal] = ACTIONS(2366),
    [anon_sym_L_SQUOTE] = ACTIONS(2366),
    [anon_sym_u_SQUOTE] = ACTIONS(2366),
    [anon_sym_U_SQUOTE] = ACTIONS(2366),
    [anon_sym_u8_SQUOTE] = ACTIONS(2366),
    [anon_sym_SQUOTE] = ACTIONS(2366),
    [anon_sym_L_DQUOTE] = ACTIONS(2366),
    [anon_sym_u_DQUOTE] = ACTIONS(2366),
    [anon_sym_U_DQUOTE] = ACTIONS(2366),
    [anon_sym_u8_DQUOTE] = ACTIONS(2366),
    [anon_sym_DQUOTE] = ACTIONS(2366),
    [sym_true] = ACTIONS(2364),
    [sym_false] = ACTIONS(2364),
    [anon_sym_NULL] = ACTIONS(2364),
    [anon_sym_nullptr] = ACTIONS(2364),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2364),
    [anon_sym_decltype] = ACTIONS(2364),
    [anon_sym_virtual] = ACTIONS(2364),
    [anon_sym_alignas] = ACTIONS(2364),
    [anon_sym_explicit] = ACTIONS(2364),
    [anon_sym_typename] = ACTIONS(2364),
    [anon_sym_template] = ACTIONS(2364),
    [anon_sym_operator] = ACTIONS(2364),
    [anon_sym_try] = ACTIONS(2364),
    [anon_sym_delete] = ACTIONS(2364),
    [anon_sym_throw] = ACTIONS(2364),
    [anon_sym_namespace] = ACTIONS(2364),
    [anon_sym_using] = ACTIONS(2364),
    [anon_sym_static_assert] = ACTIONS(2364),
    [anon_sym_concept] = ACTIONS(2364),
    [anon_sym_co_return] = ACTIONS(2364),
    [anon_sym_co_yield] = ACTIONS(2364),
    [anon_sym_R_DQUOTE] = ACTIONS(2366),
    [anon_sym_LR_DQUOTE] = ACTIONS(2366),
    [anon_sym_uR_DQUOTE] = ACTIONS(2366),
    [anon_sym_UR_DQUOTE] = ACTIONS(2366),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2366),
    [anon_sym_co_await] = ACTIONS(2364),
    [anon_sym_new] = ACTIONS(2364),
    [anon_sym_requires] = ACTIONS(2364),
    [sym_this] = ACTIONS(2364),
    [anon_sym_discard] = ACTIONS(2364),
    [anon_sym_precise] = ACTIONS(2364),
    [anon_sym_shared] = ACTIONS(2364),
    [anon_sym_groupshared] = ACTIONS(2364),
    [anon_sym_uniform] = ACTIONS(2364),
    [anon_sym_row_major] = ACTIONS(2364),
    [anon_sym_column_major] = ACTIONS(2364),
    [anon_sym_globallycoherent] = ACTIONS(2364),
    [anon_sym_centroid] = ACTIONS(2364),
    [anon_sym_noperspective] = ACTIONS(2364),
    [anon_sym_nointerpolation] = ACTIONS(2364),
    [anon_sym_sample] = ACTIONS(2364),
    [anon_sym_linear] = ACTIONS(2364),
    [anon_sym_snorm] = ACTIONS(2364),
    [anon_sym_unorm] = ACTIONS(2364),
    [anon_sym_point] = ACTIONS(2364),
    [anon_sym_line] = ACTIONS(2364),
    [anon_sym_triangleadj] = ACTIONS(2364),
    [anon_sym_lineadj] = ACTIONS(2364),
    [anon_sym_triangle] = ACTIONS(2364),
    [anon_sym_cbuffer] = ACTIONS(2364),
  },
  [815] = {
    [ts_builtin_sym_end] = ACTIONS(2366),
    [sym_identifier] = ACTIONS(2364),
    [aux_sym_preproc_include_token1] = ACTIONS(2364),
    [aux_sym_preproc_def_token1] = ACTIONS(2364),
    [aux_sym_preproc_if_token1] = ACTIONS(2364),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2364),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2364),
    [sym_preproc_directive] = ACTIONS(2364),
    [anon_sym_LPAREN2] = ACTIONS(2366),
    [anon_sym_BANG] = ACTIONS(2366),
    [anon_sym_TILDE] = ACTIONS(2366),
    [anon_sym_DASH] = ACTIONS(2364),
    [anon_sym_PLUS] = ACTIONS(2364),
    [anon_sym_STAR] = ACTIONS(2366),
    [anon_sym_AMP_AMP] = ACTIONS(2366),
    [anon_sym_AMP] = ACTIONS(2364),
    [anon_sym_SEMI] = ACTIONS(2366),
    [anon_sym___extension__] = ACTIONS(2364),
    [anon_sym_typedef] = ACTIONS(2364),
    [anon_sym_in] = ACTIONS(2364),
    [anon_sym_out] = ACTIONS(2364),
    [anon_sym_inout] = ACTIONS(2364),
    [anon_sym_extern] = ACTIONS(2364),
    [anon_sym___attribute__] = ACTIONS(2364),
    [anon_sym_COLON_COLON] = ACTIONS(2366),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2366),
    [anon_sym___declspec] = ACTIONS(2364),
    [anon_sym___based] = ACTIONS(2364),
    [anon_sym___cdecl] = ACTIONS(2364),
    [anon_sym___clrcall] = ACTIONS(2364),
    [anon_sym___stdcall] = ACTIONS(2364),
    [anon_sym___fastcall] = ACTIONS(2364),
    [anon_sym___thiscall] = ACTIONS(2364),
    [anon_sym___vectorcall] = ACTIONS(2364),
    [anon_sym_LBRACE] = ACTIONS(2366),
    [anon_sym_signed] = ACTIONS(2364),
    [anon_sym_unsigned] = ACTIONS(2364),
    [anon_sym_long] = ACTIONS(2364),
    [anon_sym_short] = ACTIONS(2364),
    [anon_sym_LBRACK] = ACTIONS(2364),
    [anon_sym_static] = ACTIONS(2364),
    [anon_sym_register] = ACTIONS(2364),
    [anon_sym_inline] = ACTIONS(2364),
    [anon_sym___inline] = ACTIONS(2364),
    [anon_sym___inline__] = ACTIONS(2364),
    [anon_sym___forceinline] = ACTIONS(2364),
    [anon_sym_thread_local] = ACTIONS(2364),
    [anon_sym___thread] = ACTIONS(2364),
    [anon_sym_const] = ACTIONS(2364),
    [anon_sym_constexpr] = ACTIONS(2364),
    [anon_sym_volatile] = ACTIONS(2364),
    [anon_sym_restrict] = ACTIONS(2364),
    [anon_sym___restrict__] = ACTIONS(2364),
    [anon_sym__Atomic] = ACTIONS(2364),
    [anon_sym__Noreturn] = ACTIONS(2364),
    [anon_sym_noreturn] = ACTIONS(2364),
    [anon_sym_mutable] = ACTIONS(2364),
    [anon_sym_constinit] = ACTIONS(2364),
    [anon_sym_consteval] = ACTIONS(2364),
    [sym_primitive_type] = ACTIONS(2364),
    [anon_sym_enum] = ACTIONS(2364),
    [anon_sym_class] = ACTIONS(2364),
    [anon_sym_struct] = ACTIONS(2364),
    [anon_sym_union] = ACTIONS(2364),
    [anon_sym_if] = ACTIONS(2364),
    [anon_sym_else] = ACTIONS(2364),
    [anon_sym_switch] = ACTIONS(2364),
    [anon_sym_case] = ACTIONS(2364),
    [anon_sym_default] = ACTIONS(2364),
    [anon_sym_while] = ACTIONS(2364),
    [anon_sym_do] = ACTIONS(2364),
    [anon_sym_for] = ACTIONS(2364),
    [anon_sym_return] = ACTIONS(2364),
    [anon_sym_break] = ACTIONS(2364),
    [anon_sym_continue] = ACTIONS(2364),
    [anon_sym_goto] = ACTIONS(2364),
    [anon_sym___try] = ACTIONS(2364),
    [anon_sym___leave] = ACTIONS(2364),
    [anon_sym_not] = ACTIONS(2364),
    [anon_sym_compl] = ACTIONS(2364),
    [anon_sym_DASH_DASH] = ACTIONS(2366),
    [anon_sym_PLUS_PLUS] = ACTIONS(2366),
    [anon_sym_sizeof] = ACTIONS(2364),
    [anon_sym___alignof__] = ACTIONS(2364),
    [anon_sym___alignof] = ACTIONS(2364),
    [anon_sym__alignof] = ACTIONS(2364),
    [anon_sym_alignof] = ACTIONS(2364),
    [anon_sym__Alignof] = ACTIONS(2364),
    [anon_sym_offsetof] = ACTIONS(2364),
    [anon_sym__Generic] = ACTIONS(2364),
    [anon_sym_asm] = ACTIONS(2364),
    [anon_sym___asm__] = ACTIONS(2364),
    [sym_number_literal] = ACTIONS(2366),
    [anon_sym_L_SQUOTE] = ACTIONS(2366),
    [anon_sym_u_SQUOTE] = ACTIONS(2366),
    [anon_sym_U_SQUOTE] = ACTIONS(2366),
    [anon_sym_u8_SQUOTE] = ACTIONS(2366),
    [anon_sym_SQUOTE] = ACTIONS(2366),
    [anon_sym_L_DQUOTE] = ACTIONS(2366),
    [anon_sym_u_DQUOTE] = ACTIONS(2366),
    [anon_sym_U_DQUOTE] = ACTIONS(2366),
    [anon_sym_u8_DQUOTE] = ACTIONS(2366),
    [anon_sym_DQUOTE] = ACTIONS(2366),
    [sym_true] = ACTIONS(2364),
    [sym_false] = ACTIONS(2364),
    [anon_sym_NULL] = ACTIONS(2364),
    [anon_sym_nullptr] = ACTIONS(2364),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2364),
    [anon_sym_decltype] = ACTIONS(2364),
    [anon_sym_virtual] = ACTIONS(2364),
    [anon_sym_alignas] = ACTIONS(2364),
    [anon_sym_explicit] = ACTIONS(2364),
    [anon_sym_typename] = ACTIONS(2364),
    [anon_sym_template] = ACTIONS(2364),
    [anon_sym_operator] = ACTIONS(2364),
    [anon_sym_try] = ACTIONS(2364),
    [anon_sym_delete] = ACTIONS(2364),
    [anon_sym_throw] = ACTIONS(2364),
    [anon_sym_namespace] = ACTIONS(2364),
    [anon_sym_using] = ACTIONS(2364),
    [anon_sym_static_assert] = ACTIONS(2364),
    [anon_sym_concept] = ACTIONS(2364),
    [anon_sym_co_return] = ACTIONS(2364),
    [anon_sym_co_yield] = ACTIONS(2364),
    [anon_sym_R_DQUOTE] = ACTIONS(2366),
    [anon_sym_LR_DQUOTE] = ACTIONS(2366),
    [anon_sym_uR_DQUOTE] = ACTIONS(2366),
    [anon_sym_UR_DQUOTE] = ACTIONS(2366),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2366),
    [anon_sym_co_await] = ACTIONS(2364),
    [anon_sym_new] = ACTIONS(2364),
    [anon_sym_requires] = ACTIONS(2364),
    [sym_this] = ACTIONS(2364),
    [anon_sym_discard] = ACTIONS(2364),
    [anon_sym_precise] = ACTIONS(2364),
    [anon_sym_shared] = ACTIONS(2364),
    [anon_sym_groupshared] = ACTIONS(2364),
    [anon_sym_uniform] = ACTIONS(2364),
    [anon_sym_row_major] = ACTIONS(2364),
    [anon_sym_column_major] = ACTIONS(2364),
    [anon_sym_globallycoherent] = ACTIONS(2364),
    [anon_sym_centroid] = ACTIONS(2364),
    [anon_sym_noperspective] = ACTIONS(2364),
    [anon_sym_nointerpolation] = ACTIONS(2364),
    [anon_sym_sample] = ACTIONS(2364),
    [anon_sym_linear] = ACTIONS(2364),
    [anon_sym_snorm] = ACTIONS(2364),
    [anon_sym_unorm] = ACTIONS(2364),
    [anon_sym_point] = ACTIONS(2364),
    [anon_sym_line] = ACTIONS(2364),
    [anon_sym_triangleadj] = ACTIONS(2364),
    [anon_sym_lineadj] = ACTIONS(2364),
    [anon_sym_triangle] = ACTIONS(2364),
    [anon_sym_cbuffer] = ACTIONS(2364),
  },
  [816] = {
    [sym_identifier] = ACTIONS(2476),
    [aux_sym_preproc_include_token1] = ACTIONS(2476),
    [aux_sym_preproc_def_token1] = ACTIONS(2476),
    [aux_sym_preproc_if_token1] = ACTIONS(2476),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2476),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2476),
    [sym_preproc_directive] = ACTIONS(2476),
    [anon_sym_LPAREN2] = ACTIONS(2478),
    [anon_sym_BANG] = ACTIONS(2478),
    [anon_sym_TILDE] = ACTIONS(2478),
    [anon_sym_DASH] = ACTIONS(2476),
    [anon_sym_PLUS] = ACTIONS(2476),
    [anon_sym_STAR] = ACTIONS(2478),
    [anon_sym_AMP_AMP] = ACTIONS(2478),
    [anon_sym_AMP] = ACTIONS(2476),
    [anon_sym_SEMI] = ACTIONS(2478),
    [anon_sym___extension__] = ACTIONS(2476),
    [anon_sym_typedef] = ACTIONS(2476),
    [anon_sym_in] = ACTIONS(2476),
    [anon_sym_out] = ACTIONS(2476),
    [anon_sym_inout] = ACTIONS(2476),
    [anon_sym_extern] = ACTIONS(2476),
    [anon_sym___attribute__] = ACTIONS(2476),
    [anon_sym_COLON_COLON] = ACTIONS(2478),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2478),
    [anon_sym___declspec] = ACTIONS(2476),
    [anon_sym___based] = ACTIONS(2476),
    [anon_sym___cdecl] = ACTIONS(2476),
    [anon_sym___clrcall] = ACTIONS(2476),
    [anon_sym___stdcall] = ACTIONS(2476),
    [anon_sym___fastcall] = ACTIONS(2476),
    [anon_sym___thiscall] = ACTIONS(2476),
    [anon_sym___vectorcall] = ACTIONS(2476),
    [anon_sym_LBRACE] = ACTIONS(2478),
    [anon_sym_RBRACE] = ACTIONS(2478),
    [anon_sym_signed] = ACTIONS(2476),
    [anon_sym_unsigned] = ACTIONS(2476),
    [anon_sym_long] = ACTIONS(2476),
    [anon_sym_short] = ACTIONS(2476),
    [anon_sym_LBRACK] = ACTIONS(2476),
    [anon_sym_static] = ACTIONS(2476),
    [anon_sym_register] = ACTIONS(2476),
    [anon_sym_inline] = ACTIONS(2476),
    [anon_sym___inline] = ACTIONS(2476),
    [anon_sym___inline__] = ACTIONS(2476),
    [anon_sym___forceinline] = ACTIONS(2476),
    [anon_sym_thread_local] = ACTIONS(2476),
    [anon_sym___thread] = ACTIONS(2476),
    [anon_sym_const] = ACTIONS(2476),
    [anon_sym_constexpr] = ACTIONS(2476),
    [anon_sym_volatile] = ACTIONS(2476),
    [anon_sym_restrict] = ACTIONS(2476),
    [anon_sym___restrict__] = ACTIONS(2476),
    [anon_sym__Atomic] = ACTIONS(2476),
    [anon_sym__Noreturn] = ACTIONS(2476),
    [anon_sym_noreturn] = ACTIONS(2476),
    [anon_sym_mutable] = ACTIONS(2476),
    [anon_sym_constinit] = ACTIONS(2476),
    [anon_sym_consteval] = ACTIONS(2476),
    [sym_primitive_type] = ACTIONS(2476),
    [anon_sym_enum] = ACTIONS(2476),
    [anon_sym_class] = ACTIONS(2476),
    [anon_sym_struct] = ACTIONS(2476),
    [anon_sym_union] = ACTIONS(2476),
    [anon_sym_if] = ACTIONS(2476),
    [anon_sym_else] = ACTIONS(2476),
    [anon_sym_switch] = ACTIONS(2476),
    [anon_sym_case] = ACTIONS(2476),
    [anon_sym_default] = ACTIONS(2476),
    [anon_sym_while] = ACTIONS(2476),
    [anon_sym_do] = ACTIONS(2476),
    [anon_sym_for] = ACTIONS(2476),
    [anon_sym_return] = ACTIONS(2476),
    [anon_sym_break] = ACTIONS(2476),
    [anon_sym_continue] = ACTIONS(2476),
    [anon_sym_goto] = ACTIONS(2476),
    [anon_sym___try] = ACTIONS(2476),
    [anon_sym___leave] = ACTIONS(2476),
    [anon_sym_not] = ACTIONS(2476),
    [anon_sym_compl] = ACTIONS(2476),
    [anon_sym_DASH_DASH] = ACTIONS(2478),
    [anon_sym_PLUS_PLUS] = ACTIONS(2478),
    [anon_sym_sizeof] = ACTIONS(2476),
    [anon_sym___alignof__] = ACTIONS(2476),
    [anon_sym___alignof] = ACTIONS(2476),
    [anon_sym__alignof] = ACTIONS(2476),
    [anon_sym_alignof] = ACTIONS(2476),
    [anon_sym__Alignof] = ACTIONS(2476),
    [anon_sym_offsetof] = ACTIONS(2476),
    [anon_sym__Generic] = ACTIONS(2476),
    [anon_sym_asm] = ACTIONS(2476),
    [anon_sym___asm__] = ACTIONS(2476),
    [sym_number_literal] = ACTIONS(2478),
    [anon_sym_L_SQUOTE] = ACTIONS(2478),
    [anon_sym_u_SQUOTE] = ACTIONS(2478),
    [anon_sym_U_SQUOTE] = ACTIONS(2478),
    [anon_sym_u8_SQUOTE] = ACTIONS(2478),
    [anon_sym_SQUOTE] = ACTIONS(2478),
    [anon_sym_L_DQUOTE] = ACTIONS(2478),
    [anon_sym_u_DQUOTE] = ACTIONS(2478),
    [anon_sym_U_DQUOTE] = ACTIONS(2478),
    [anon_sym_u8_DQUOTE] = ACTIONS(2478),
    [anon_sym_DQUOTE] = ACTIONS(2478),
    [sym_true] = ACTIONS(2476),
    [sym_false] = ACTIONS(2476),
    [anon_sym_NULL] = ACTIONS(2476),
    [anon_sym_nullptr] = ACTIONS(2476),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2476),
    [anon_sym_decltype] = ACTIONS(2476),
    [anon_sym_virtual] = ACTIONS(2476),
    [anon_sym_alignas] = ACTIONS(2476),
    [anon_sym_explicit] = ACTIONS(2476),
    [anon_sym_typename] = ACTIONS(2476),
    [anon_sym_template] = ACTIONS(2476),
    [anon_sym_operator] = ACTIONS(2476),
    [anon_sym_try] = ACTIONS(2476),
    [anon_sym_delete] = ACTIONS(2476),
    [anon_sym_throw] = ACTIONS(2476),
    [anon_sym_namespace] = ACTIONS(2476),
    [anon_sym_using] = ACTIONS(2476),
    [anon_sym_static_assert] = ACTIONS(2476),
    [anon_sym_concept] = ACTIONS(2476),
    [anon_sym_co_return] = ACTIONS(2476),
    [anon_sym_co_yield] = ACTIONS(2476),
    [anon_sym_R_DQUOTE] = ACTIONS(2478),
    [anon_sym_LR_DQUOTE] = ACTIONS(2478),
    [anon_sym_uR_DQUOTE] = ACTIONS(2478),
    [anon_sym_UR_DQUOTE] = ACTIONS(2478),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2478),
    [anon_sym_co_await] = ACTIONS(2476),
    [anon_sym_new] = ACTIONS(2476),
    [anon_sym_requires] = ACTIONS(2476),
    [sym_this] = ACTIONS(2476),
    [anon_sym_discard] = ACTIONS(2476),
    [anon_sym_precise] = ACTIONS(2476),
    [anon_sym_shared] = ACTIONS(2476),
    [anon_sym_groupshared] = ACTIONS(2476),
    [anon_sym_uniform] = ACTIONS(2476),
    [anon_sym_row_major] = ACTIONS(2476),
    [anon_sym_column_major] = ACTIONS(2476),
    [anon_sym_globallycoherent] = ACTIONS(2476),
    [anon_sym_centroid] = ACTIONS(2476),
    [anon_sym_noperspective] = ACTIONS(2476),
    [anon_sym_nointerpolation] = ACTIONS(2476),
    [anon_sym_sample] = ACTIONS(2476),
    [anon_sym_linear] = ACTIONS(2476),
    [anon_sym_snorm] = ACTIONS(2476),
    [anon_sym_unorm] = ACTIONS(2476),
    [anon_sym_point] = ACTIONS(2476),
    [anon_sym_line] = ACTIONS(2476),
    [anon_sym_triangleadj] = ACTIONS(2476),
    [anon_sym_lineadj] = ACTIONS(2476),
    [anon_sym_triangle] = ACTIONS(2476),
    [anon_sym_cbuffer] = ACTIONS(2476),
  },
  [817] = {
    [sym_identifier] = ACTIONS(2472),
    [aux_sym_preproc_include_token1] = ACTIONS(2472),
    [aux_sym_preproc_def_token1] = ACTIONS(2472),
    [aux_sym_preproc_if_token1] = ACTIONS(2472),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2472),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2472),
    [sym_preproc_directive] = ACTIONS(2472),
    [anon_sym_LPAREN2] = ACTIONS(2474),
    [anon_sym_BANG] = ACTIONS(2474),
    [anon_sym_TILDE] = ACTIONS(2474),
    [anon_sym_DASH] = ACTIONS(2472),
    [anon_sym_PLUS] = ACTIONS(2472),
    [anon_sym_STAR] = ACTIONS(2474),
    [anon_sym_AMP_AMP] = ACTIONS(2474),
    [anon_sym_AMP] = ACTIONS(2472),
    [anon_sym_SEMI] = ACTIONS(2474),
    [anon_sym___extension__] = ACTIONS(2472),
    [anon_sym_typedef] = ACTIONS(2472),
    [anon_sym_in] = ACTIONS(2472),
    [anon_sym_out] = ACTIONS(2472),
    [anon_sym_inout] = ACTIONS(2472),
    [anon_sym_extern] = ACTIONS(2472),
    [anon_sym___attribute__] = ACTIONS(2472),
    [anon_sym_COLON_COLON] = ACTIONS(2474),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2474),
    [anon_sym___declspec] = ACTIONS(2472),
    [anon_sym___based] = ACTIONS(2472),
    [anon_sym___cdecl] = ACTIONS(2472),
    [anon_sym___clrcall] = ACTIONS(2472),
    [anon_sym___stdcall] = ACTIONS(2472),
    [anon_sym___fastcall] = ACTIONS(2472),
    [anon_sym___thiscall] = ACTIONS(2472),
    [anon_sym___vectorcall] = ACTIONS(2472),
    [anon_sym_LBRACE] = ACTIONS(2474),
    [anon_sym_RBRACE] = ACTIONS(2474),
    [anon_sym_signed] = ACTIONS(2472),
    [anon_sym_unsigned] = ACTIONS(2472),
    [anon_sym_long] = ACTIONS(2472),
    [anon_sym_short] = ACTIONS(2472),
    [anon_sym_LBRACK] = ACTIONS(2472),
    [anon_sym_static] = ACTIONS(2472),
    [anon_sym_register] = ACTIONS(2472),
    [anon_sym_inline] = ACTIONS(2472),
    [anon_sym___inline] = ACTIONS(2472),
    [anon_sym___inline__] = ACTIONS(2472),
    [anon_sym___forceinline] = ACTIONS(2472),
    [anon_sym_thread_local] = ACTIONS(2472),
    [anon_sym___thread] = ACTIONS(2472),
    [anon_sym_const] = ACTIONS(2472),
    [anon_sym_constexpr] = ACTIONS(2472),
    [anon_sym_volatile] = ACTIONS(2472),
    [anon_sym_restrict] = ACTIONS(2472),
    [anon_sym___restrict__] = ACTIONS(2472),
    [anon_sym__Atomic] = ACTIONS(2472),
    [anon_sym__Noreturn] = ACTIONS(2472),
    [anon_sym_noreturn] = ACTIONS(2472),
    [anon_sym_mutable] = ACTIONS(2472),
    [anon_sym_constinit] = ACTIONS(2472),
    [anon_sym_consteval] = ACTIONS(2472),
    [sym_primitive_type] = ACTIONS(2472),
    [anon_sym_enum] = ACTIONS(2472),
    [anon_sym_class] = ACTIONS(2472),
    [anon_sym_struct] = ACTIONS(2472),
    [anon_sym_union] = ACTIONS(2472),
    [anon_sym_if] = ACTIONS(2472),
    [anon_sym_else] = ACTIONS(2472),
    [anon_sym_switch] = ACTIONS(2472),
    [anon_sym_case] = ACTIONS(2472),
    [anon_sym_default] = ACTIONS(2472),
    [anon_sym_while] = ACTIONS(2472),
    [anon_sym_do] = ACTIONS(2472),
    [anon_sym_for] = ACTIONS(2472),
    [anon_sym_return] = ACTIONS(2472),
    [anon_sym_break] = ACTIONS(2472),
    [anon_sym_continue] = ACTIONS(2472),
    [anon_sym_goto] = ACTIONS(2472),
    [anon_sym___try] = ACTIONS(2472),
    [anon_sym___leave] = ACTIONS(2472),
    [anon_sym_not] = ACTIONS(2472),
    [anon_sym_compl] = ACTIONS(2472),
    [anon_sym_DASH_DASH] = ACTIONS(2474),
    [anon_sym_PLUS_PLUS] = ACTIONS(2474),
    [anon_sym_sizeof] = ACTIONS(2472),
    [anon_sym___alignof__] = ACTIONS(2472),
    [anon_sym___alignof] = ACTIONS(2472),
    [anon_sym__alignof] = ACTIONS(2472),
    [anon_sym_alignof] = ACTIONS(2472),
    [anon_sym__Alignof] = ACTIONS(2472),
    [anon_sym_offsetof] = ACTIONS(2472),
    [anon_sym__Generic] = ACTIONS(2472),
    [anon_sym_asm] = ACTIONS(2472),
    [anon_sym___asm__] = ACTIONS(2472),
    [sym_number_literal] = ACTIONS(2474),
    [anon_sym_L_SQUOTE] = ACTIONS(2474),
    [anon_sym_u_SQUOTE] = ACTIONS(2474),
    [anon_sym_U_SQUOTE] = ACTIONS(2474),
    [anon_sym_u8_SQUOTE] = ACTIONS(2474),
    [anon_sym_SQUOTE] = ACTIONS(2474),
    [anon_sym_L_DQUOTE] = ACTIONS(2474),
    [anon_sym_u_DQUOTE] = ACTIONS(2474),
    [anon_sym_U_DQUOTE] = ACTIONS(2474),
    [anon_sym_u8_DQUOTE] = ACTIONS(2474),
    [anon_sym_DQUOTE] = ACTIONS(2474),
    [sym_true] = ACTIONS(2472),
    [sym_false] = ACTIONS(2472),
    [anon_sym_NULL] = ACTIONS(2472),
    [anon_sym_nullptr] = ACTIONS(2472),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2472),
    [anon_sym_decltype] = ACTIONS(2472),
    [anon_sym_virtual] = ACTIONS(2472),
    [anon_sym_alignas] = ACTIONS(2472),
    [anon_sym_explicit] = ACTIONS(2472),
    [anon_sym_typename] = ACTIONS(2472),
    [anon_sym_template] = ACTIONS(2472),
    [anon_sym_operator] = ACTIONS(2472),
    [anon_sym_try] = ACTIONS(2472),
    [anon_sym_delete] = ACTIONS(2472),
    [anon_sym_throw] = ACTIONS(2472),
    [anon_sym_namespace] = ACTIONS(2472),
    [anon_sym_using] = ACTIONS(2472),
    [anon_sym_static_assert] = ACTIONS(2472),
    [anon_sym_concept] = ACTIONS(2472),
    [anon_sym_co_return] = ACTIONS(2472),
    [anon_sym_co_yield] = ACTIONS(2472),
    [anon_sym_R_DQUOTE] = ACTIONS(2474),
    [anon_sym_LR_DQUOTE] = ACTIONS(2474),
    [anon_sym_uR_DQUOTE] = ACTIONS(2474),
    [anon_sym_UR_DQUOTE] = ACTIONS(2474),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2474),
    [anon_sym_co_await] = ACTIONS(2472),
    [anon_sym_new] = ACTIONS(2472),
    [anon_sym_requires] = ACTIONS(2472),
    [sym_this] = ACTIONS(2472),
    [anon_sym_discard] = ACTIONS(2472),
    [anon_sym_precise] = ACTIONS(2472),
    [anon_sym_shared] = ACTIONS(2472),
    [anon_sym_groupshared] = ACTIONS(2472),
    [anon_sym_uniform] = ACTIONS(2472),
    [anon_sym_row_major] = ACTIONS(2472),
    [anon_sym_column_major] = ACTIONS(2472),
    [anon_sym_globallycoherent] = ACTIONS(2472),
    [anon_sym_centroid] = ACTIONS(2472),
    [anon_sym_noperspective] = ACTIONS(2472),
    [anon_sym_nointerpolation] = ACTIONS(2472),
    [anon_sym_sample] = ACTIONS(2472),
    [anon_sym_linear] = ACTIONS(2472),
    [anon_sym_snorm] = ACTIONS(2472),
    [anon_sym_unorm] = ACTIONS(2472),
    [anon_sym_point] = ACTIONS(2472),
    [anon_sym_line] = ACTIONS(2472),
    [anon_sym_triangleadj] = ACTIONS(2472),
    [anon_sym_lineadj] = ACTIONS(2472),
    [anon_sym_triangle] = ACTIONS(2472),
    [anon_sym_cbuffer] = ACTIONS(2472),
  },
  [818] = {
    [ts_builtin_sym_end] = ACTIONS(2406),
    [sym_identifier] = ACTIONS(2404),
    [aux_sym_preproc_include_token1] = ACTIONS(2404),
    [aux_sym_preproc_def_token1] = ACTIONS(2404),
    [aux_sym_preproc_if_token1] = ACTIONS(2404),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2404),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2404),
    [sym_preproc_directive] = ACTIONS(2404),
    [anon_sym_LPAREN2] = ACTIONS(2406),
    [anon_sym_BANG] = ACTIONS(2406),
    [anon_sym_TILDE] = ACTIONS(2406),
    [anon_sym_DASH] = ACTIONS(2404),
    [anon_sym_PLUS] = ACTIONS(2404),
    [anon_sym_STAR] = ACTIONS(2406),
    [anon_sym_AMP_AMP] = ACTIONS(2406),
    [anon_sym_AMP] = ACTIONS(2404),
    [anon_sym_SEMI] = ACTIONS(2406),
    [anon_sym___extension__] = ACTIONS(2404),
    [anon_sym_typedef] = ACTIONS(2404),
    [anon_sym_in] = ACTIONS(2404),
    [anon_sym_out] = ACTIONS(2404),
    [anon_sym_inout] = ACTIONS(2404),
    [anon_sym_extern] = ACTIONS(2404),
    [anon_sym___attribute__] = ACTIONS(2404),
    [anon_sym_COLON_COLON] = ACTIONS(2406),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2406),
    [anon_sym___declspec] = ACTIONS(2404),
    [anon_sym___based] = ACTIONS(2404),
    [anon_sym___cdecl] = ACTIONS(2404),
    [anon_sym___clrcall] = ACTIONS(2404),
    [anon_sym___stdcall] = ACTIONS(2404),
    [anon_sym___fastcall] = ACTIONS(2404),
    [anon_sym___thiscall] = ACTIONS(2404),
    [anon_sym___vectorcall] = ACTIONS(2404),
    [anon_sym_LBRACE] = ACTIONS(2406),
    [anon_sym_signed] = ACTIONS(2404),
    [anon_sym_unsigned] = ACTIONS(2404),
    [anon_sym_long] = ACTIONS(2404),
    [anon_sym_short] = ACTIONS(2404),
    [anon_sym_LBRACK] = ACTIONS(2404),
    [anon_sym_static] = ACTIONS(2404),
    [anon_sym_register] = ACTIONS(2404),
    [anon_sym_inline] = ACTIONS(2404),
    [anon_sym___inline] = ACTIONS(2404),
    [anon_sym___inline__] = ACTIONS(2404),
    [anon_sym___forceinline] = ACTIONS(2404),
    [anon_sym_thread_local] = ACTIONS(2404),
    [anon_sym___thread] = ACTIONS(2404),
    [anon_sym_const] = ACTIONS(2404),
    [anon_sym_constexpr] = ACTIONS(2404),
    [anon_sym_volatile] = ACTIONS(2404),
    [anon_sym_restrict] = ACTIONS(2404),
    [anon_sym___restrict__] = ACTIONS(2404),
    [anon_sym__Atomic] = ACTIONS(2404),
    [anon_sym__Noreturn] = ACTIONS(2404),
    [anon_sym_noreturn] = ACTIONS(2404),
    [anon_sym_mutable] = ACTIONS(2404),
    [anon_sym_constinit] = ACTIONS(2404),
    [anon_sym_consteval] = ACTIONS(2404),
    [sym_primitive_type] = ACTIONS(2404),
    [anon_sym_enum] = ACTIONS(2404),
    [anon_sym_class] = ACTIONS(2404),
    [anon_sym_struct] = ACTIONS(2404),
    [anon_sym_union] = ACTIONS(2404),
    [anon_sym_if] = ACTIONS(2404),
    [anon_sym_else] = ACTIONS(2404),
    [anon_sym_switch] = ACTIONS(2404),
    [anon_sym_case] = ACTIONS(2404),
    [anon_sym_default] = ACTIONS(2404),
    [anon_sym_while] = ACTIONS(2404),
    [anon_sym_do] = ACTIONS(2404),
    [anon_sym_for] = ACTIONS(2404),
    [anon_sym_return] = ACTIONS(2404),
    [anon_sym_break] = ACTIONS(2404),
    [anon_sym_continue] = ACTIONS(2404),
    [anon_sym_goto] = ACTIONS(2404),
    [anon_sym___try] = ACTIONS(2404),
    [anon_sym___leave] = ACTIONS(2404),
    [anon_sym_not] = ACTIONS(2404),
    [anon_sym_compl] = ACTIONS(2404),
    [anon_sym_DASH_DASH] = ACTIONS(2406),
    [anon_sym_PLUS_PLUS] = ACTIONS(2406),
    [anon_sym_sizeof] = ACTIONS(2404),
    [anon_sym___alignof__] = ACTIONS(2404),
    [anon_sym___alignof] = ACTIONS(2404),
    [anon_sym__alignof] = ACTIONS(2404),
    [anon_sym_alignof] = ACTIONS(2404),
    [anon_sym__Alignof] = ACTIONS(2404),
    [anon_sym_offsetof] = ACTIONS(2404),
    [anon_sym__Generic] = ACTIONS(2404),
    [anon_sym_asm] = ACTIONS(2404),
    [anon_sym___asm__] = ACTIONS(2404),
    [sym_number_literal] = ACTIONS(2406),
    [anon_sym_L_SQUOTE] = ACTIONS(2406),
    [anon_sym_u_SQUOTE] = ACTIONS(2406),
    [anon_sym_U_SQUOTE] = ACTIONS(2406),
    [anon_sym_u8_SQUOTE] = ACTIONS(2406),
    [anon_sym_SQUOTE] = ACTIONS(2406),
    [anon_sym_L_DQUOTE] = ACTIONS(2406),
    [anon_sym_u_DQUOTE] = ACTIONS(2406),
    [anon_sym_U_DQUOTE] = ACTIONS(2406),
    [anon_sym_u8_DQUOTE] = ACTIONS(2406),
    [anon_sym_DQUOTE] = ACTIONS(2406),
    [sym_true] = ACTIONS(2404),
    [sym_false] = ACTIONS(2404),
    [anon_sym_NULL] = ACTIONS(2404),
    [anon_sym_nullptr] = ACTIONS(2404),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2404),
    [anon_sym_decltype] = ACTIONS(2404),
    [anon_sym_virtual] = ACTIONS(2404),
    [anon_sym_alignas] = ACTIONS(2404),
    [anon_sym_explicit] = ACTIONS(2404),
    [anon_sym_typename] = ACTIONS(2404),
    [anon_sym_template] = ACTIONS(2404),
    [anon_sym_operator] = ACTIONS(2404),
    [anon_sym_try] = ACTIONS(2404),
    [anon_sym_delete] = ACTIONS(2404),
    [anon_sym_throw] = ACTIONS(2404),
    [anon_sym_namespace] = ACTIONS(2404),
    [anon_sym_using] = ACTIONS(2404),
    [anon_sym_static_assert] = ACTIONS(2404),
    [anon_sym_concept] = ACTIONS(2404),
    [anon_sym_co_return] = ACTIONS(2404),
    [anon_sym_co_yield] = ACTIONS(2404),
    [anon_sym_R_DQUOTE] = ACTIONS(2406),
    [anon_sym_LR_DQUOTE] = ACTIONS(2406),
    [anon_sym_uR_DQUOTE] = ACTIONS(2406),
    [anon_sym_UR_DQUOTE] = ACTIONS(2406),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2406),
    [anon_sym_co_await] = ACTIONS(2404),
    [anon_sym_new] = ACTIONS(2404),
    [anon_sym_requires] = ACTIONS(2404),
    [sym_this] = ACTIONS(2404),
    [anon_sym_discard] = ACTIONS(2404),
    [anon_sym_precise] = ACTIONS(2404),
    [anon_sym_shared] = ACTIONS(2404),
    [anon_sym_groupshared] = ACTIONS(2404),
    [anon_sym_uniform] = ACTIONS(2404),
    [anon_sym_row_major] = ACTIONS(2404),
    [anon_sym_column_major] = ACTIONS(2404),
    [anon_sym_globallycoherent] = ACTIONS(2404),
    [anon_sym_centroid] = ACTIONS(2404),
    [anon_sym_noperspective] = ACTIONS(2404),
    [anon_sym_nointerpolation] = ACTIONS(2404),
    [anon_sym_sample] = ACTIONS(2404),
    [anon_sym_linear] = ACTIONS(2404),
    [anon_sym_snorm] = ACTIONS(2404),
    [anon_sym_unorm] = ACTIONS(2404),
    [anon_sym_point] = ACTIONS(2404),
    [anon_sym_line] = ACTIONS(2404),
    [anon_sym_triangleadj] = ACTIONS(2404),
    [anon_sym_lineadj] = ACTIONS(2404),
    [anon_sym_triangle] = ACTIONS(2404),
    [anon_sym_cbuffer] = ACTIONS(2404),
  },
  [819] = {
    [ts_builtin_sym_end] = ACTIONS(2366),
    [sym_identifier] = ACTIONS(2364),
    [aux_sym_preproc_include_token1] = ACTIONS(2364),
    [aux_sym_preproc_def_token1] = ACTIONS(2364),
    [aux_sym_preproc_if_token1] = ACTIONS(2364),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2364),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2364),
    [sym_preproc_directive] = ACTIONS(2364),
    [anon_sym_LPAREN2] = ACTIONS(2366),
    [anon_sym_BANG] = ACTIONS(2366),
    [anon_sym_TILDE] = ACTIONS(2366),
    [anon_sym_DASH] = ACTIONS(2364),
    [anon_sym_PLUS] = ACTIONS(2364),
    [anon_sym_STAR] = ACTIONS(2366),
    [anon_sym_AMP_AMP] = ACTIONS(2366),
    [anon_sym_AMP] = ACTIONS(2364),
    [anon_sym_SEMI] = ACTIONS(2366),
    [anon_sym___extension__] = ACTIONS(2364),
    [anon_sym_typedef] = ACTIONS(2364),
    [anon_sym_in] = ACTIONS(2364),
    [anon_sym_out] = ACTIONS(2364),
    [anon_sym_inout] = ACTIONS(2364),
    [anon_sym_extern] = ACTIONS(2364),
    [anon_sym___attribute__] = ACTIONS(2364),
    [anon_sym_COLON_COLON] = ACTIONS(2366),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2366),
    [anon_sym___declspec] = ACTIONS(2364),
    [anon_sym___based] = ACTIONS(2364),
    [anon_sym___cdecl] = ACTIONS(2364),
    [anon_sym___clrcall] = ACTIONS(2364),
    [anon_sym___stdcall] = ACTIONS(2364),
    [anon_sym___fastcall] = ACTIONS(2364),
    [anon_sym___thiscall] = ACTIONS(2364),
    [anon_sym___vectorcall] = ACTIONS(2364),
    [anon_sym_LBRACE] = ACTIONS(2366),
    [anon_sym_signed] = ACTIONS(2364),
    [anon_sym_unsigned] = ACTIONS(2364),
    [anon_sym_long] = ACTIONS(2364),
    [anon_sym_short] = ACTIONS(2364),
    [anon_sym_LBRACK] = ACTIONS(2364),
    [anon_sym_static] = ACTIONS(2364),
    [anon_sym_register] = ACTIONS(2364),
    [anon_sym_inline] = ACTIONS(2364),
    [anon_sym___inline] = ACTIONS(2364),
    [anon_sym___inline__] = ACTIONS(2364),
    [anon_sym___forceinline] = ACTIONS(2364),
    [anon_sym_thread_local] = ACTIONS(2364),
    [anon_sym___thread] = ACTIONS(2364),
    [anon_sym_const] = ACTIONS(2364),
    [anon_sym_constexpr] = ACTIONS(2364),
    [anon_sym_volatile] = ACTIONS(2364),
    [anon_sym_restrict] = ACTIONS(2364),
    [anon_sym___restrict__] = ACTIONS(2364),
    [anon_sym__Atomic] = ACTIONS(2364),
    [anon_sym__Noreturn] = ACTIONS(2364),
    [anon_sym_noreturn] = ACTIONS(2364),
    [anon_sym_mutable] = ACTIONS(2364),
    [anon_sym_constinit] = ACTIONS(2364),
    [anon_sym_consteval] = ACTIONS(2364),
    [sym_primitive_type] = ACTIONS(2364),
    [anon_sym_enum] = ACTIONS(2364),
    [anon_sym_class] = ACTIONS(2364),
    [anon_sym_struct] = ACTIONS(2364),
    [anon_sym_union] = ACTIONS(2364),
    [anon_sym_if] = ACTIONS(2364),
    [anon_sym_else] = ACTIONS(2364),
    [anon_sym_switch] = ACTIONS(2364),
    [anon_sym_case] = ACTIONS(2364),
    [anon_sym_default] = ACTIONS(2364),
    [anon_sym_while] = ACTIONS(2364),
    [anon_sym_do] = ACTIONS(2364),
    [anon_sym_for] = ACTIONS(2364),
    [anon_sym_return] = ACTIONS(2364),
    [anon_sym_break] = ACTIONS(2364),
    [anon_sym_continue] = ACTIONS(2364),
    [anon_sym_goto] = ACTIONS(2364),
    [anon_sym___try] = ACTIONS(2364),
    [anon_sym___leave] = ACTIONS(2364),
    [anon_sym_not] = ACTIONS(2364),
    [anon_sym_compl] = ACTIONS(2364),
    [anon_sym_DASH_DASH] = ACTIONS(2366),
    [anon_sym_PLUS_PLUS] = ACTIONS(2366),
    [anon_sym_sizeof] = ACTIONS(2364),
    [anon_sym___alignof__] = ACTIONS(2364),
    [anon_sym___alignof] = ACTIONS(2364),
    [anon_sym__alignof] = ACTIONS(2364),
    [anon_sym_alignof] = ACTIONS(2364),
    [anon_sym__Alignof] = ACTIONS(2364),
    [anon_sym_offsetof] = ACTIONS(2364),
    [anon_sym__Generic] = ACTIONS(2364),
    [anon_sym_asm] = ACTIONS(2364),
    [anon_sym___asm__] = ACTIONS(2364),
    [sym_number_literal] = ACTIONS(2366),
    [anon_sym_L_SQUOTE] = ACTIONS(2366),
    [anon_sym_u_SQUOTE] = ACTIONS(2366),
    [anon_sym_U_SQUOTE] = ACTIONS(2366),
    [anon_sym_u8_SQUOTE] = ACTIONS(2366),
    [anon_sym_SQUOTE] = ACTIONS(2366),
    [anon_sym_L_DQUOTE] = ACTIONS(2366),
    [anon_sym_u_DQUOTE] = ACTIONS(2366),
    [anon_sym_U_DQUOTE] = ACTIONS(2366),
    [anon_sym_u8_DQUOTE] = ACTIONS(2366),
    [anon_sym_DQUOTE] = ACTIONS(2366),
    [sym_true] = ACTIONS(2364),
    [sym_false] = ACTIONS(2364),
    [anon_sym_NULL] = ACTIONS(2364),
    [anon_sym_nullptr] = ACTIONS(2364),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2364),
    [anon_sym_decltype] = ACTIONS(2364),
    [anon_sym_virtual] = ACTIONS(2364),
    [anon_sym_alignas] = ACTIONS(2364),
    [anon_sym_explicit] = ACTIONS(2364),
    [anon_sym_typename] = ACTIONS(2364),
    [anon_sym_template] = ACTIONS(2364),
    [anon_sym_operator] = ACTIONS(2364),
    [anon_sym_try] = ACTIONS(2364),
    [anon_sym_delete] = ACTIONS(2364),
    [anon_sym_throw] = ACTIONS(2364),
    [anon_sym_namespace] = ACTIONS(2364),
    [anon_sym_using] = ACTIONS(2364),
    [anon_sym_static_assert] = ACTIONS(2364),
    [anon_sym_concept] = ACTIONS(2364),
    [anon_sym_co_return] = ACTIONS(2364),
    [anon_sym_co_yield] = ACTIONS(2364),
    [anon_sym_R_DQUOTE] = ACTIONS(2366),
    [anon_sym_LR_DQUOTE] = ACTIONS(2366),
    [anon_sym_uR_DQUOTE] = ACTIONS(2366),
    [anon_sym_UR_DQUOTE] = ACTIONS(2366),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2366),
    [anon_sym_co_await] = ACTIONS(2364),
    [anon_sym_new] = ACTIONS(2364),
    [anon_sym_requires] = ACTIONS(2364),
    [sym_this] = ACTIONS(2364),
    [anon_sym_discard] = ACTIONS(2364),
    [anon_sym_precise] = ACTIONS(2364),
    [anon_sym_shared] = ACTIONS(2364),
    [anon_sym_groupshared] = ACTIONS(2364),
    [anon_sym_uniform] = ACTIONS(2364),
    [anon_sym_row_major] = ACTIONS(2364),
    [anon_sym_column_major] = ACTIONS(2364),
    [anon_sym_globallycoherent] = ACTIONS(2364),
    [anon_sym_centroid] = ACTIONS(2364),
    [anon_sym_noperspective] = ACTIONS(2364),
    [anon_sym_nointerpolation] = ACTIONS(2364),
    [anon_sym_sample] = ACTIONS(2364),
    [anon_sym_linear] = ACTIONS(2364),
    [anon_sym_snorm] = ACTIONS(2364),
    [anon_sym_unorm] = ACTIONS(2364),
    [anon_sym_point] = ACTIONS(2364),
    [anon_sym_line] = ACTIONS(2364),
    [anon_sym_triangleadj] = ACTIONS(2364),
    [anon_sym_lineadj] = ACTIONS(2364),
    [anon_sym_triangle] = ACTIONS(2364),
    [anon_sym_cbuffer] = ACTIONS(2364),
  },
  [820] = {
    [ts_builtin_sym_end] = ACTIONS(2366),
    [sym_identifier] = ACTIONS(2364),
    [aux_sym_preproc_include_token1] = ACTIONS(2364),
    [aux_sym_preproc_def_token1] = ACTIONS(2364),
    [aux_sym_preproc_if_token1] = ACTIONS(2364),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2364),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2364),
    [sym_preproc_directive] = ACTIONS(2364),
    [anon_sym_LPAREN2] = ACTIONS(2366),
    [anon_sym_BANG] = ACTIONS(2366),
    [anon_sym_TILDE] = ACTIONS(2366),
    [anon_sym_DASH] = ACTIONS(2364),
    [anon_sym_PLUS] = ACTIONS(2364),
    [anon_sym_STAR] = ACTIONS(2366),
    [anon_sym_AMP_AMP] = ACTIONS(2366),
    [anon_sym_AMP] = ACTIONS(2364),
    [anon_sym_SEMI] = ACTIONS(2366),
    [anon_sym___extension__] = ACTIONS(2364),
    [anon_sym_typedef] = ACTIONS(2364),
    [anon_sym_in] = ACTIONS(2364),
    [anon_sym_out] = ACTIONS(2364),
    [anon_sym_inout] = ACTIONS(2364),
    [anon_sym_extern] = ACTIONS(2364),
    [anon_sym___attribute__] = ACTIONS(2364),
    [anon_sym_COLON_COLON] = ACTIONS(2366),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2366),
    [anon_sym___declspec] = ACTIONS(2364),
    [anon_sym___based] = ACTIONS(2364),
    [anon_sym___cdecl] = ACTIONS(2364),
    [anon_sym___clrcall] = ACTIONS(2364),
    [anon_sym___stdcall] = ACTIONS(2364),
    [anon_sym___fastcall] = ACTIONS(2364),
    [anon_sym___thiscall] = ACTIONS(2364),
    [anon_sym___vectorcall] = ACTIONS(2364),
    [anon_sym_LBRACE] = ACTIONS(2366),
    [anon_sym_signed] = ACTIONS(2364),
    [anon_sym_unsigned] = ACTIONS(2364),
    [anon_sym_long] = ACTIONS(2364),
    [anon_sym_short] = ACTIONS(2364),
    [anon_sym_LBRACK] = ACTIONS(2364),
    [anon_sym_static] = ACTIONS(2364),
    [anon_sym_register] = ACTIONS(2364),
    [anon_sym_inline] = ACTIONS(2364),
    [anon_sym___inline] = ACTIONS(2364),
    [anon_sym___inline__] = ACTIONS(2364),
    [anon_sym___forceinline] = ACTIONS(2364),
    [anon_sym_thread_local] = ACTIONS(2364),
    [anon_sym___thread] = ACTIONS(2364),
    [anon_sym_const] = ACTIONS(2364),
    [anon_sym_constexpr] = ACTIONS(2364),
    [anon_sym_volatile] = ACTIONS(2364),
    [anon_sym_restrict] = ACTIONS(2364),
    [anon_sym___restrict__] = ACTIONS(2364),
    [anon_sym__Atomic] = ACTIONS(2364),
    [anon_sym__Noreturn] = ACTIONS(2364),
    [anon_sym_noreturn] = ACTIONS(2364),
    [anon_sym_mutable] = ACTIONS(2364),
    [anon_sym_constinit] = ACTIONS(2364),
    [anon_sym_consteval] = ACTIONS(2364),
    [sym_primitive_type] = ACTIONS(2364),
    [anon_sym_enum] = ACTIONS(2364),
    [anon_sym_class] = ACTIONS(2364),
    [anon_sym_struct] = ACTIONS(2364),
    [anon_sym_union] = ACTIONS(2364),
    [anon_sym_if] = ACTIONS(2364),
    [anon_sym_else] = ACTIONS(2364),
    [anon_sym_switch] = ACTIONS(2364),
    [anon_sym_case] = ACTIONS(2364),
    [anon_sym_default] = ACTIONS(2364),
    [anon_sym_while] = ACTIONS(2364),
    [anon_sym_do] = ACTIONS(2364),
    [anon_sym_for] = ACTIONS(2364),
    [anon_sym_return] = ACTIONS(2364),
    [anon_sym_break] = ACTIONS(2364),
    [anon_sym_continue] = ACTIONS(2364),
    [anon_sym_goto] = ACTIONS(2364),
    [anon_sym___try] = ACTIONS(2364),
    [anon_sym___leave] = ACTIONS(2364),
    [anon_sym_not] = ACTIONS(2364),
    [anon_sym_compl] = ACTIONS(2364),
    [anon_sym_DASH_DASH] = ACTIONS(2366),
    [anon_sym_PLUS_PLUS] = ACTIONS(2366),
    [anon_sym_sizeof] = ACTIONS(2364),
    [anon_sym___alignof__] = ACTIONS(2364),
    [anon_sym___alignof] = ACTIONS(2364),
    [anon_sym__alignof] = ACTIONS(2364),
    [anon_sym_alignof] = ACTIONS(2364),
    [anon_sym__Alignof] = ACTIONS(2364),
    [anon_sym_offsetof] = ACTIONS(2364),
    [anon_sym__Generic] = ACTIONS(2364),
    [anon_sym_asm] = ACTIONS(2364),
    [anon_sym___asm__] = ACTIONS(2364),
    [sym_number_literal] = ACTIONS(2366),
    [anon_sym_L_SQUOTE] = ACTIONS(2366),
    [anon_sym_u_SQUOTE] = ACTIONS(2366),
    [anon_sym_U_SQUOTE] = ACTIONS(2366),
    [anon_sym_u8_SQUOTE] = ACTIONS(2366),
    [anon_sym_SQUOTE] = ACTIONS(2366),
    [anon_sym_L_DQUOTE] = ACTIONS(2366),
    [anon_sym_u_DQUOTE] = ACTIONS(2366),
    [anon_sym_U_DQUOTE] = ACTIONS(2366),
    [anon_sym_u8_DQUOTE] = ACTIONS(2366),
    [anon_sym_DQUOTE] = ACTIONS(2366),
    [sym_true] = ACTIONS(2364),
    [sym_false] = ACTIONS(2364),
    [anon_sym_NULL] = ACTIONS(2364),
    [anon_sym_nullptr] = ACTIONS(2364),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2364),
    [anon_sym_decltype] = ACTIONS(2364),
    [anon_sym_virtual] = ACTIONS(2364),
    [anon_sym_alignas] = ACTIONS(2364),
    [anon_sym_explicit] = ACTIONS(2364),
    [anon_sym_typename] = ACTIONS(2364),
    [anon_sym_template] = ACTIONS(2364),
    [anon_sym_operator] = ACTIONS(2364),
    [anon_sym_try] = ACTIONS(2364),
    [anon_sym_delete] = ACTIONS(2364),
    [anon_sym_throw] = ACTIONS(2364),
    [anon_sym_namespace] = ACTIONS(2364),
    [anon_sym_using] = ACTIONS(2364),
    [anon_sym_static_assert] = ACTIONS(2364),
    [anon_sym_concept] = ACTIONS(2364),
    [anon_sym_co_return] = ACTIONS(2364),
    [anon_sym_co_yield] = ACTIONS(2364),
    [anon_sym_R_DQUOTE] = ACTIONS(2366),
    [anon_sym_LR_DQUOTE] = ACTIONS(2366),
    [anon_sym_uR_DQUOTE] = ACTIONS(2366),
    [anon_sym_UR_DQUOTE] = ACTIONS(2366),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2366),
    [anon_sym_co_await] = ACTIONS(2364),
    [anon_sym_new] = ACTIONS(2364),
    [anon_sym_requires] = ACTIONS(2364),
    [sym_this] = ACTIONS(2364),
    [anon_sym_discard] = ACTIONS(2364),
    [anon_sym_precise] = ACTIONS(2364),
    [anon_sym_shared] = ACTIONS(2364),
    [anon_sym_groupshared] = ACTIONS(2364),
    [anon_sym_uniform] = ACTIONS(2364),
    [anon_sym_row_major] = ACTIONS(2364),
    [anon_sym_column_major] = ACTIONS(2364),
    [anon_sym_globallycoherent] = ACTIONS(2364),
    [anon_sym_centroid] = ACTIONS(2364),
    [anon_sym_noperspective] = ACTIONS(2364),
    [anon_sym_nointerpolation] = ACTIONS(2364),
    [anon_sym_sample] = ACTIONS(2364),
    [anon_sym_linear] = ACTIONS(2364),
    [anon_sym_snorm] = ACTIONS(2364),
    [anon_sym_unorm] = ACTIONS(2364),
    [anon_sym_point] = ACTIONS(2364),
    [anon_sym_line] = ACTIONS(2364),
    [anon_sym_triangleadj] = ACTIONS(2364),
    [anon_sym_lineadj] = ACTIONS(2364),
    [anon_sym_triangle] = ACTIONS(2364),
    [anon_sym_cbuffer] = ACTIONS(2364),
  },
  [821] = {
    [sym_identifier] = ACTIONS(2388),
    [aux_sym_preproc_include_token1] = ACTIONS(2388),
    [aux_sym_preproc_def_token1] = ACTIONS(2388),
    [aux_sym_preproc_if_token1] = ACTIONS(2388),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2388),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2388),
    [sym_preproc_directive] = ACTIONS(2388),
    [anon_sym_LPAREN2] = ACTIONS(2390),
    [anon_sym_BANG] = ACTIONS(2390),
    [anon_sym_TILDE] = ACTIONS(2390),
    [anon_sym_DASH] = ACTIONS(2388),
    [anon_sym_PLUS] = ACTIONS(2388),
    [anon_sym_STAR] = ACTIONS(2390),
    [anon_sym_AMP_AMP] = ACTIONS(2390),
    [anon_sym_AMP] = ACTIONS(2388),
    [anon_sym_SEMI] = ACTIONS(2390),
    [anon_sym___extension__] = ACTIONS(2388),
    [anon_sym_typedef] = ACTIONS(2388),
    [anon_sym_in] = ACTIONS(2388),
    [anon_sym_out] = ACTIONS(2388),
    [anon_sym_inout] = ACTIONS(2388),
    [anon_sym_extern] = ACTIONS(2388),
    [anon_sym___attribute__] = ACTIONS(2388),
    [anon_sym_COLON_COLON] = ACTIONS(2390),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2390),
    [anon_sym___declspec] = ACTIONS(2388),
    [anon_sym___based] = ACTIONS(2388),
    [anon_sym___cdecl] = ACTIONS(2388),
    [anon_sym___clrcall] = ACTIONS(2388),
    [anon_sym___stdcall] = ACTIONS(2388),
    [anon_sym___fastcall] = ACTIONS(2388),
    [anon_sym___thiscall] = ACTIONS(2388),
    [anon_sym___vectorcall] = ACTIONS(2388),
    [anon_sym_LBRACE] = ACTIONS(2390),
    [anon_sym_RBRACE] = ACTIONS(2390),
    [anon_sym_signed] = ACTIONS(2388),
    [anon_sym_unsigned] = ACTIONS(2388),
    [anon_sym_long] = ACTIONS(2388),
    [anon_sym_short] = ACTIONS(2388),
    [anon_sym_LBRACK] = ACTIONS(2388),
    [anon_sym_static] = ACTIONS(2388),
    [anon_sym_register] = ACTIONS(2388),
    [anon_sym_inline] = ACTIONS(2388),
    [anon_sym___inline] = ACTIONS(2388),
    [anon_sym___inline__] = ACTIONS(2388),
    [anon_sym___forceinline] = ACTIONS(2388),
    [anon_sym_thread_local] = ACTIONS(2388),
    [anon_sym___thread] = ACTIONS(2388),
    [anon_sym_const] = ACTIONS(2388),
    [anon_sym_constexpr] = ACTIONS(2388),
    [anon_sym_volatile] = ACTIONS(2388),
    [anon_sym_restrict] = ACTIONS(2388),
    [anon_sym___restrict__] = ACTIONS(2388),
    [anon_sym__Atomic] = ACTIONS(2388),
    [anon_sym__Noreturn] = ACTIONS(2388),
    [anon_sym_noreturn] = ACTIONS(2388),
    [anon_sym_mutable] = ACTIONS(2388),
    [anon_sym_constinit] = ACTIONS(2388),
    [anon_sym_consteval] = ACTIONS(2388),
    [sym_primitive_type] = ACTIONS(2388),
    [anon_sym_enum] = ACTIONS(2388),
    [anon_sym_class] = ACTIONS(2388),
    [anon_sym_struct] = ACTIONS(2388),
    [anon_sym_union] = ACTIONS(2388),
    [anon_sym_if] = ACTIONS(2388),
    [anon_sym_else] = ACTIONS(2388),
    [anon_sym_switch] = ACTIONS(2388),
    [anon_sym_case] = ACTIONS(2388),
    [anon_sym_default] = ACTIONS(2388),
    [anon_sym_while] = ACTIONS(2388),
    [anon_sym_do] = ACTIONS(2388),
    [anon_sym_for] = ACTIONS(2388),
    [anon_sym_return] = ACTIONS(2388),
    [anon_sym_break] = ACTIONS(2388),
    [anon_sym_continue] = ACTIONS(2388),
    [anon_sym_goto] = ACTIONS(2388),
    [anon_sym___try] = ACTIONS(2388),
    [anon_sym___leave] = ACTIONS(2388),
    [anon_sym_not] = ACTIONS(2388),
    [anon_sym_compl] = ACTIONS(2388),
    [anon_sym_DASH_DASH] = ACTIONS(2390),
    [anon_sym_PLUS_PLUS] = ACTIONS(2390),
    [anon_sym_sizeof] = ACTIONS(2388),
    [anon_sym___alignof__] = ACTIONS(2388),
    [anon_sym___alignof] = ACTIONS(2388),
    [anon_sym__alignof] = ACTIONS(2388),
    [anon_sym_alignof] = ACTIONS(2388),
    [anon_sym__Alignof] = ACTIONS(2388),
    [anon_sym_offsetof] = ACTIONS(2388),
    [anon_sym__Generic] = ACTIONS(2388),
    [anon_sym_asm] = ACTIONS(2388),
    [anon_sym___asm__] = ACTIONS(2388),
    [sym_number_literal] = ACTIONS(2390),
    [anon_sym_L_SQUOTE] = ACTIONS(2390),
    [anon_sym_u_SQUOTE] = ACTIONS(2390),
    [anon_sym_U_SQUOTE] = ACTIONS(2390),
    [anon_sym_u8_SQUOTE] = ACTIONS(2390),
    [anon_sym_SQUOTE] = ACTIONS(2390),
    [anon_sym_L_DQUOTE] = ACTIONS(2390),
    [anon_sym_u_DQUOTE] = ACTIONS(2390),
    [anon_sym_U_DQUOTE] = ACTIONS(2390),
    [anon_sym_u8_DQUOTE] = ACTIONS(2390),
    [anon_sym_DQUOTE] = ACTIONS(2390),
    [sym_true] = ACTIONS(2388),
    [sym_false] = ACTIONS(2388),
    [anon_sym_NULL] = ACTIONS(2388),
    [anon_sym_nullptr] = ACTIONS(2388),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2388),
    [anon_sym_decltype] = ACTIONS(2388),
    [anon_sym_virtual] = ACTIONS(2388),
    [anon_sym_alignas] = ACTIONS(2388),
    [anon_sym_explicit] = ACTIONS(2388),
    [anon_sym_typename] = ACTIONS(2388),
    [anon_sym_template] = ACTIONS(2388),
    [anon_sym_operator] = ACTIONS(2388),
    [anon_sym_try] = ACTIONS(2388),
    [anon_sym_delete] = ACTIONS(2388),
    [anon_sym_throw] = ACTIONS(2388),
    [anon_sym_namespace] = ACTIONS(2388),
    [anon_sym_using] = ACTIONS(2388),
    [anon_sym_static_assert] = ACTIONS(2388),
    [anon_sym_concept] = ACTIONS(2388),
    [anon_sym_co_return] = ACTIONS(2388),
    [anon_sym_co_yield] = ACTIONS(2388),
    [anon_sym_R_DQUOTE] = ACTIONS(2390),
    [anon_sym_LR_DQUOTE] = ACTIONS(2390),
    [anon_sym_uR_DQUOTE] = ACTIONS(2390),
    [anon_sym_UR_DQUOTE] = ACTIONS(2390),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2390),
    [anon_sym_co_await] = ACTIONS(2388),
    [anon_sym_new] = ACTIONS(2388),
    [anon_sym_requires] = ACTIONS(2388),
    [sym_this] = ACTIONS(2388),
    [anon_sym_discard] = ACTIONS(2388),
    [anon_sym_precise] = ACTIONS(2388),
    [anon_sym_shared] = ACTIONS(2388),
    [anon_sym_groupshared] = ACTIONS(2388),
    [anon_sym_uniform] = ACTIONS(2388),
    [anon_sym_row_major] = ACTIONS(2388),
    [anon_sym_column_major] = ACTIONS(2388),
    [anon_sym_globallycoherent] = ACTIONS(2388),
    [anon_sym_centroid] = ACTIONS(2388),
    [anon_sym_noperspective] = ACTIONS(2388),
    [anon_sym_nointerpolation] = ACTIONS(2388),
    [anon_sym_sample] = ACTIONS(2388),
    [anon_sym_linear] = ACTIONS(2388),
    [anon_sym_snorm] = ACTIONS(2388),
    [anon_sym_unorm] = ACTIONS(2388),
    [anon_sym_point] = ACTIONS(2388),
    [anon_sym_line] = ACTIONS(2388),
    [anon_sym_triangleadj] = ACTIONS(2388),
    [anon_sym_lineadj] = ACTIONS(2388),
    [anon_sym_triangle] = ACTIONS(2388),
    [anon_sym_cbuffer] = ACTIONS(2388),
  },
  [822] = {
    [ts_builtin_sym_end] = ACTIONS(2366),
    [sym_identifier] = ACTIONS(2364),
    [aux_sym_preproc_include_token1] = ACTIONS(2364),
    [aux_sym_preproc_def_token1] = ACTIONS(2364),
    [aux_sym_preproc_if_token1] = ACTIONS(2364),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2364),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2364),
    [sym_preproc_directive] = ACTIONS(2364),
    [anon_sym_LPAREN2] = ACTIONS(2366),
    [anon_sym_BANG] = ACTIONS(2366),
    [anon_sym_TILDE] = ACTIONS(2366),
    [anon_sym_DASH] = ACTIONS(2364),
    [anon_sym_PLUS] = ACTIONS(2364),
    [anon_sym_STAR] = ACTIONS(2366),
    [anon_sym_AMP_AMP] = ACTIONS(2366),
    [anon_sym_AMP] = ACTIONS(2364),
    [anon_sym_SEMI] = ACTIONS(2366),
    [anon_sym___extension__] = ACTIONS(2364),
    [anon_sym_typedef] = ACTIONS(2364),
    [anon_sym_in] = ACTIONS(2364),
    [anon_sym_out] = ACTIONS(2364),
    [anon_sym_inout] = ACTIONS(2364),
    [anon_sym_extern] = ACTIONS(2364),
    [anon_sym___attribute__] = ACTIONS(2364),
    [anon_sym_COLON_COLON] = ACTIONS(2366),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2366),
    [anon_sym___declspec] = ACTIONS(2364),
    [anon_sym___based] = ACTIONS(2364),
    [anon_sym___cdecl] = ACTIONS(2364),
    [anon_sym___clrcall] = ACTIONS(2364),
    [anon_sym___stdcall] = ACTIONS(2364),
    [anon_sym___fastcall] = ACTIONS(2364),
    [anon_sym___thiscall] = ACTIONS(2364),
    [anon_sym___vectorcall] = ACTIONS(2364),
    [anon_sym_LBRACE] = ACTIONS(2366),
    [anon_sym_signed] = ACTIONS(2364),
    [anon_sym_unsigned] = ACTIONS(2364),
    [anon_sym_long] = ACTIONS(2364),
    [anon_sym_short] = ACTIONS(2364),
    [anon_sym_LBRACK] = ACTIONS(2364),
    [anon_sym_static] = ACTIONS(2364),
    [anon_sym_register] = ACTIONS(2364),
    [anon_sym_inline] = ACTIONS(2364),
    [anon_sym___inline] = ACTIONS(2364),
    [anon_sym___inline__] = ACTIONS(2364),
    [anon_sym___forceinline] = ACTIONS(2364),
    [anon_sym_thread_local] = ACTIONS(2364),
    [anon_sym___thread] = ACTIONS(2364),
    [anon_sym_const] = ACTIONS(2364),
    [anon_sym_constexpr] = ACTIONS(2364),
    [anon_sym_volatile] = ACTIONS(2364),
    [anon_sym_restrict] = ACTIONS(2364),
    [anon_sym___restrict__] = ACTIONS(2364),
    [anon_sym__Atomic] = ACTIONS(2364),
    [anon_sym__Noreturn] = ACTIONS(2364),
    [anon_sym_noreturn] = ACTIONS(2364),
    [anon_sym_mutable] = ACTIONS(2364),
    [anon_sym_constinit] = ACTIONS(2364),
    [anon_sym_consteval] = ACTIONS(2364),
    [sym_primitive_type] = ACTIONS(2364),
    [anon_sym_enum] = ACTIONS(2364),
    [anon_sym_class] = ACTIONS(2364),
    [anon_sym_struct] = ACTIONS(2364),
    [anon_sym_union] = ACTIONS(2364),
    [anon_sym_if] = ACTIONS(2364),
    [anon_sym_else] = ACTIONS(2364),
    [anon_sym_switch] = ACTIONS(2364),
    [anon_sym_case] = ACTIONS(2364),
    [anon_sym_default] = ACTIONS(2364),
    [anon_sym_while] = ACTIONS(2364),
    [anon_sym_do] = ACTIONS(2364),
    [anon_sym_for] = ACTIONS(2364),
    [anon_sym_return] = ACTIONS(2364),
    [anon_sym_break] = ACTIONS(2364),
    [anon_sym_continue] = ACTIONS(2364),
    [anon_sym_goto] = ACTIONS(2364),
    [anon_sym___try] = ACTIONS(2364),
    [anon_sym___leave] = ACTIONS(2364),
    [anon_sym_not] = ACTIONS(2364),
    [anon_sym_compl] = ACTIONS(2364),
    [anon_sym_DASH_DASH] = ACTIONS(2366),
    [anon_sym_PLUS_PLUS] = ACTIONS(2366),
    [anon_sym_sizeof] = ACTIONS(2364),
    [anon_sym___alignof__] = ACTIONS(2364),
    [anon_sym___alignof] = ACTIONS(2364),
    [anon_sym__alignof] = ACTIONS(2364),
    [anon_sym_alignof] = ACTIONS(2364),
    [anon_sym__Alignof] = ACTIONS(2364),
    [anon_sym_offsetof] = ACTIONS(2364),
    [anon_sym__Generic] = ACTIONS(2364),
    [anon_sym_asm] = ACTIONS(2364),
    [anon_sym___asm__] = ACTIONS(2364),
    [sym_number_literal] = ACTIONS(2366),
    [anon_sym_L_SQUOTE] = ACTIONS(2366),
    [anon_sym_u_SQUOTE] = ACTIONS(2366),
    [anon_sym_U_SQUOTE] = ACTIONS(2366),
    [anon_sym_u8_SQUOTE] = ACTIONS(2366),
    [anon_sym_SQUOTE] = ACTIONS(2366),
    [anon_sym_L_DQUOTE] = ACTIONS(2366),
    [anon_sym_u_DQUOTE] = ACTIONS(2366),
    [anon_sym_U_DQUOTE] = ACTIONS(2366),
    [anon_sym_u8_DQUOTE] = ACTIONS(2366),
    [anon_sym_DQUOTE] = ACTIONS(2366),
    [sym_true] = ACTIONS(2364),
    [sym_false] = ACTIONS(2364),
    [anon_sym_NULL] = ACTIONS(2364),
    [anon_sym_nullptr] = ACTIONS(2364),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2364),
    [anon_sym_decltype] = ACTIONS(2364),
    [anon_sym_virtual] = ACTIONS(2364),
    [anon_sym_alignas] = ACTIONS(2364),
    [anon_sym_explicit] = ACTIONS(2364),
    [anon_sym_typename] = ACTIONS(2364),
    [anon_sym_template] = ACTIONS(2364),
    [anon_sym_operator] = ACTIONS(2364),
    [anon_sym_try] = ACTIONS(2364),
    [anon_sym_delete] = ACTIONS(2364),
    [anon_sym_throw] = ACTIONS(2364),
    [anon_sym_namespace] = ACTIONS(2364),
    [anon_sym_using] = ACTIONS(2364),
    [anon_sym_static_assert] = ACTIONS(2364),
    [anon_sym_concept] = ACTIONS(2364),
    [anon_sym_co_return] = ACTIONS(2364),
    [anon_sym_co_yield] = ACTIONS(2364),
    [anon_sym_R_DQUOTE] = ACTIONS(2366),
    [anon_sym_LR_DQUOTE] = ACTIONS(2366),
    [anon_sym_uR_DQUOTE] = ACTIONS(2366),
    [anon_sym_UR_DQUOTE] = ACTIONS(2366),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2366),
    [anon_sym_co_await] = ACTIONS(2364),
    [anon_sym_new] = ACTIONS(2364),
    [anon_sym_requires] = ACTIONS(2364),
    [sym_this] = ACTIONS(2364),
    [anon_sym_discard] = ACTIONS(2364),
    [anon_sym_precise] = ACTIONS(2364),
    [anon_sym_shared] = ACTIONS(2364),
    [anon_sym_groupshared] = ACTIONS(2364),
    [anon_sym_uniform] = ACTIONS(2364),
    [anon_sym_row_major] = ACTIONS(2364),
    [anon_sym_column_major] = ACTIONS(2364),
    [anon_sym_globallycoherent] = ACTIONS(2364),
    [anon_sym_centroid] = ACTIONS(2364),
    [anon_sym_noperspective] = ACTIONS(2364),
    [anon_sym_nointerpolation] = ACTIONS(2364),
    [anon_sym_sample] = ACTIONS(2364),
    [anon_sym_linear] = ACTIONS(2364),
    [anon_sym_snorm] = ACTIONS(2364),
    [anon_sym_unorm] = ACTIONS(2364),
    [anon_sym_point] = ACTIONS(2364),
    [anon_sym_line] = ACTIONS(2364),
    [anon_sym_triangleadj] = ACTIONS(2364),
    [anon_sym_lineadj] = ACTIONS(2364),
    [anon_sym_triangle] = ACTIONS(2364),
    [anon_sym_cbuffer] = ACTIONS(2364),
  },
  [823] = {
    [sym_identifier] = ACTIONS(2368),
    [aux_sym_preproc_include_token1] = ACTIONS(2368),
    [aux_sym_preproc_def_token1] = ACTIONS(2368),
    [aux_sym_preproc_if_token1] = ACTIONS(2368),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2368),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2368),
    [sym_preproc_directive] = ACTIONS(2368),
    [anon_sym_LPAREN2] = ACTIONS(2370),
    [anon_sym_BANG] = ACTIONS(2370),
    [anon_sym_TILDE] = ACTIONS(2370),
    [anon_sym_DASH] = ACTIONS(2368),
    [anon_sym_PLUS] = ACTIONS(2368),
    [anon_sym_STAR] = ACTIONS(2370),
    [anon_sym_AMP_AMP] = ACTIONS(2370),
    [anon_sym_AMP] = ACTIONS(2368),
    [anon_sym_SEMI] = ACTIONS(2370),
    [anon_sym___extension__] = ACTIONS(2368),
    [anon_sym_typedef] = ACTIONS(2368),
    [anon_sym_in] = ACTIONS(2368),
    [anon_sym_out] = ACTIONS(2368),
    [anon_sym_inout] = ACTIONS(2368),
    [anon_sym_extern] = ACTIONS(2368),
    [anon_sym___attribute__] = ACTIONS(2368),
    [anon_sym_COLON_COLON] = ACTIONS(2370),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2370),
    [anon_sym___declspec] = ACTIONS(2368),
    [anon_sym___based] = ACTIONS(2368),
    [anon_sym___cdecl] = ACTIONS(2368),
    [anon_sym___clrcall] = ACTIONS(2368),
    [anon_sym___stdcall] = ACTIONS(2368),
    [anon_sym___fastcall] = ACTIONS(2368),
    [anon_sym___thiscall] = ACTIONS(2368),
    [anon_sym___vectorcall] = ACTIONS(2368),
    [anon_sym_LBRACE] = ACTIONS(2370),
    [anon_sym_RBRACE] = ACTIONS(2370),
    [anon_sym_signed] = ACTIONS(2368),
    [anon_sym_unsigned] = ACTIONS(2368),
    [anon_sym_long] = ACTIONS(2368),
    [anon_sym_short] = ACTIONS(2368),
    [anon_sym_LBRACK] = ACTIONS(2368),
    [anon_sym_static] = ACTIONS(2368),
    [anon_sym_register] = ACTIONS(2368),
    [anon_sym_inline] = ACTIONS(2368),
    [anon_sym___inline] = ACTIONS(2368),
    [anon_sym___inline__] = ACTIONS(2368),
    [anon_sym___forceinline] = ACTIONS(2368),
    [anon_sym_thread_local] = ACTIONS(2368),
    [anon_sym___thread] = ACTIONS(2368),
    [anon_sym_const] = ACTIONS(2368),
    [anon_sym_constexpr] = ACTIONS(2368),
    [anon_sym_volatile] = ACTIONS(2368),
    [anon_sym_restrict] = ACTIONS(2368),
    [anon_sym___restrict__] = ACTIONS(2368),
    [anon_sym__Atomic] = ACTIONS(2368),
    [anon_sym__Noreturn] = ACTIONS(2368),
    [anon_sym_noreturn] = ACTIONS(2368),
    [anon_sym_mutable] = ACTIONS(2368),
    [anon_sym_constinit] = ACTIONS(2368),
    [anon_sym_consteval] = ACTIONS(2368),
    [sym_primitive_type] = ACTIONS(2368),
    [anon_sym_enum] = ACTIONS(2368),
    [anon_sym_class] = ACTIONS(2368),
    [anon_sym_struct] = ACTIONS(2368),
    [anon_sym_union] = ACTIONS(2368),
    [anon_sym_if] = ACTIONS(2368),
    [anon_sym_else] = ACTIONS(2368),
    [anon_sym_switch] = ACTIONS(2368),
    [anon_sym_case] = ACTIONS(2368),
    [anon_sym_default] = ACTIONS(2368),
    [anon_sym_while] = ACTIONS(2368),
    [anon_sym_do] = ACTIONS(2368),
    [anon_sym_for] = ACTIONS(2368),
    [anon_sym_return] = ACTIONS(2368),
    [anon_sym_break] = ACTIONS(2368),
    [anon_sym_continue] = ACTIONS(2368),
    [anon_sym_goto] = ACTIONS(2368),
    [anon_sym___try] = ACTIONS(2368),
    [anon_sym___leave] = ACTIONS(2368),
    [anon_sym_not] = ACTIONS(2368),
    [anon_sym_compl] = ACTIONS(2368),
    [anon_sym_DASH_DASH] = ACTIONS(2370),
    [anon_sym_PLUS_PLUS] = ACTIONS(2370),
    [anon_sym_sizeof] = ACTIONS(2368),
    [anon_sym___alignof__] = ACTIONS(2368),
    [anon_sym___alignof] = ACTIONS(2368),
    [anon_sym__alignof] = ACTIONS(2368),
    [anon_sym_alignof] = ACTIONS(2368),
    [anon_sym__Alignof] = ACTIONS(2368),
    [anon_sym_offsetof] = ACTIONS(2368),
    [anon_sym__Generic] = ACTIONS(2368),
    [anon_sym_asm] = ACTIONS(2368),
    [anon_sym___asm__] = ACTIONS(2368),
    [sym_number_literal] = ACTIONS(2370),
    [anon_sym_L_SQUOTE] = ACTIONS(2370),
    [anon_sym_u_SQUOTE] = ACTIONS(2370),
    [anon_sym_U_SQUOTE] = ACTIONS(2370),
    [anon_sym_u8_SQUOTE] = ACTIONS(2370),
    [anon_sym_SQUOTE] = ACTIONS(2370),
    [anon_sym_L_DQUOTE] = ACTIONS(2370),
    [anon_sym_u_DQUOTE] = ACTIONS(2370),
    [anon_sym_U_DQUOTE] = ACTIONS(2370),
    [anon_sym_u8_DQUOTE] = ACTIONS(2370),
    [anon_sym_DQUOTE] = ACTIONS(2370),
    [sym_true] = ACTIONS(2368),
    [sym_false] = ACTIONS(2368),
    [anon_sym_NULL] = ACTIONS(2368),
    [anon_sym_nullptr] = ACTIONS(2368),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2368),
    [anon_sym_decltype] = ACTIONS(2368),
    [anon_sym_virtual] = ACTIONS(2368),
    [anon_sym_alignas] = ACTIONS(2368),
    [anon_sym_explicit] = ACTIONS(2368),
    [anon_sym_typename] = ACTIONS(2368),
    [anon_sym_template] = ACTIONS(2368),
    [anon_sym_operator] = ACTIONS(2368),
    [anon_sym_try] = ACTIONS(2368),
    [anon_sym_delete] = ACTIONS(2368),
    [anon_sym_throw] = ACTIONS(2368),
    [anon_sym_namespace] = ACTIONS(2368),
    [anon_sym_using] = ACTIONS(2368),
    [anon_sym_static_assert] = ACTIONS(2368),
    [anon_sym_concept] = ACTIONS(2368),
    [anon_sym_co_return] = ACTIONS(2368),
    [anon_sym_co_yield] = ACTIONS(2368),
    [anon_sym_R_DQUOTE] = ACTIONS(2370),
    [anon_sym_LR_DQUOTE] = ACTIONS(2370),
    [anon_sym_uR_DQUOTE] = ACTIONS(2370),
    [anon_sym_UR_DQUOTE] = ACTIONS(2370),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2370),
    [anon_sym_co_await] = ACTIONS(2368),
    [anon_sym_new] = ACTIONS(2368),
    [anon_sym_requires] = ACTIONS(2368),
    [sym_this] = ACTIONS(2368),
    [anon_sym_discard] = ACTIONS(2368),
    [anon_sym_precise] = ACTIONS(2368),
    [anon_sym_shared] = ACTIONS(2368),
    [anon_sym_groupshared] = ACTIONS(2368),
    [anon_sym_uniform] = ACTIONS(2368),
    [anon_sym_row_major] = ACTIONS(2368),
    [anon_sym_column_major] = ACTIONS(2368),
    [anon_sym_globallycoherent] = ACTIONS(2368),
    [anon_sym_centroid] = ACTIONS(2368),
    [anon_sym_noperspective] = ACTIONS(2368),
    [anon_sym_nointerpolation] = ACTIONS(2368),
    [anon_sym_sample] = ACTIONS(2368),
    [anon_sym_linear] = ACTIONS(2368),
    [anon_sym_snorm] = ACTIONS(2368),
    [anon_sym_unorm] = ACTIONS(2368),
    [anon_sym_point] = ACTIONS(2368),
    [anon_sym_line] = ACTIONS(2368),
    [anon_sym_triangleadj] = ACTIONS(2368),
    [anon_sym_lineadj] = ACTIONS(2368),
    [anon_sym_triangle] = ACTIONS(2368),
    [anon_sym_cbuffer] = ACTIONS(2368),
  },
  [824] = {
    [ts_builtin_sym_end] = ACTIONS(2366),
    [sym_identifier] = ACTIONS(2364),
    [aux_sym_preproc_include_token1] = ACTIONS(2364),
    [aux_sym_preproc_def_token1] = ACTIONS(2364),
    [aux_sym_preproc_if_token1] = ACTIONS(2364),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2364),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2364),
    [sym_preproc_directive] = ACTIONS(2364),
    [anon_sym_LPAREN2] = ACTIONS(2366),
    [anon_sym_BANG] = ACTIONS(2366),
    [anon_sym_TILDE] = ACTIONS(2366),
    [anon_sym_DASH] = ACTIONS(2364),
    [anon_sym_PLUS] = ACTIONS(2364),
    [anon_sym_STAR] = ACTIONS(2366),
    [anon_sym_AMP_AMP] = ACTIONS(2366),
    [anon_sym_AMP] = ACTIONS(2364),
    [anon_sym_SEMI] = ACTIONS(2366),
    [anon_sym___extension__] = ACTIONS(2364),
    [anon_sym_typedef] = ACTIONS(2364),
    [anon_sym_in] = ACTIONS(2364),
    [anon_sym_out] = ACTIONS(2364),
    [anon_sym_inout] = ACTIONS(2364),
    [anon_sym_extern] = ACTIONS(2364),
    [anon_sym___attribute__] = ACTIONS(2364),
    [anon_sym_COLON_COLON] = ACTIONS(2366),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2366),
    [anon_sym___declspec] = ACTIONS(2364),
    [anon_sym___based] = ACTIONS(2364),
    [anon_sym___cdecl] = ACTIONS(2364),
    [anon_sym___clrcall] = ACTIONS(2364),
    [anon_sym___stdcall] = ACTIONS(2364),
    [anon_sym___fastcall] = ACTIONS(2364),
    [anon_sym___thiscall] = ACTIONS(2364),
    [anon_sym___vectorcall] = ACTIONS(2364),
    [anon_sym_LBRACE] = ACTIONS(2366),
    [anon_sym_signed] = ACTIONS(2364),
    [anon_sym_unsigned] = ACTIONS(2364),
    [anon_sym_long] = ACTIONS(2364),
    [anon_sym_short] = ACTIONS(2364),
    [anon_sym_LBRACK] = ACTIONS(2364),
    [anon_sym_static] = ACTIONS(2364),
    [anon_sym_register] = ACTIONS(2364),
    [anon_sym_inline] = ACTIONS(2364),
    [anon_sym___inline] = ACTIONS(2364),
    [anon_sym___inline__] = ACTIONS(2364),
    [anon_sym___forceinline] = ACTIONS(2364),
    [anon_sym_thread_local] = ACTIONS(2364),
    [anon_sym___thread] = ACTIONS(2364),
    [anon_sym_const] = ACTIONS(2364),
    [anon_sym_constexpr] = ACTIONS(2364),
    [anon_sym_volatile] = ACTIONS(2364),
    [anon_sym_restrict] = ACTIONS(2364),
    [anon_sym___restrict__] = ACTIONS(2364),
    [anon_sym__Atomic] = ACTIONS(2364),
    [anon_sym__Noreturn] = ACTIONS(2364),
    [anon_sym_noreturn] = ACTIONS(2364),
    [anon_sym_mutable] = ACTIONS(2364),
    [anon_sym_constinit] = ACTIONS(2364),
    [anon_sym_consteval] = ACTIONS(2364),
    [sym_primitive_type] = ACTIONS(2364),
    [anon_sym_enum] = ACTIONS(2364),
    [anon_sym_class] = ACTIONS(2364),
    [anon_sym_struct] = ACTIONS(2364),
    [anon_sym_union] = ACTIONS(2364),
    [anon_sym_if] = ACTIONS(2364),
    [anon_sym_else] = ACTIONS(2364),
    [anon_sym_switch] = ACTIONS(2364),
    [anon_sym_case] = ACTIONS(2364),
    [anon_sym_default] = ACTIONS(2364),
    [anon_sym_while] = ACTIONS(2364),
    [anon_sym_do] = ACTIONS(2364),
    [anon_sym_for] = ACTIONS(2364),
    [anon_sym_return] = ACTIONS(2364),
    [anon_sym_break] = ACTIONS(2364),
    [anon_sym_continue] = ACTIONS(2364),
    [anon_sym_goto] = ACTIONS(2364),
    [anon_sym___try] = ACTIONS(2364),
    [anon_sym___leave] = ACTIONS(2364),
    [anon_sym_not] = ACTIONS(2364),
    [anon_sym_compl] = ACTIONS(2364),
    [anon_sym_DASH_DASH] = ACTIONS(2366),
    [anon_sym_PLUS_PLUS] = ACTIONS(2366),
    [anon_sym_sizeof] = ACTIONS(2364),
    [anon_sym___alignof__] = ACTIONS(2364),
    [anon_sym___alignof] = ACTIONS(2364),
    [anon_sym__alignof] = ACTIONS(2364),
    [anon_sym_alignof] = ACTIONS(2364),
    [anon_sym__Alignof] = ACTIONS(2364),
    [anon_sym_offsetof] = ACTIONS(2364),
    [anon_sym__Generic] = ACTIONS(2364),
    [anon_sym_asm] = ACTIONS(2364),
    [anon_sym___asm__] = ACTIONS(2364),
    [sym_number_literal] = ACTIONS(2366),
    [anon_sym_L_SQUOTE] = ACTIONS(2366),
    [anon_sym_u_SQUOTE] = ACTIONS(2366),
    [anon_sym_U_SQUOTE] = ACTIONS(2366),
    [anon_sym_u8_SQUOTE] = ACTIONS(2366),
    [anon_sym_SQUOTE] = ACTIONS(2366),
    [anon_sym_L_DQUOTE] = ACTIONS(2366),
    [anon_sym_u_DQUOTE] = ACTIONS(2366),
    [anon_sym_U_DQUOTE] = ACTIONS(2366),
    [anon_sym_u8_DQUOTE] = ACTIONS(2366),
    [anon_sym_DQUOTE] = ACTIONS(2366),
    [sym_true] = ACTIONS(2364),
    [sym_false] = ACTIONS(2364),
    [anon_sym_NULL] = ACTIONS(2364),
    [anon_sym_nullptr] = ACTIONS(2364),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2364),
    [anon_sym_decltype] = ACTIONS(2364),
    [anon_sym_virtual] = ACTIONS(2364),
    [anon_sym_alignas] = ACTIONS(2364),
    [anon_sym_explicit] = ACTIONS(2364),
    [anon_sym_typename] = ACTIONS(2364),
    [anon_sym_template] = ACTIONS(2364),
    [anon_sym_operator] = ACTIONS(2364),
    [anon_sym_try] = ACTIONS(2364),
    [anon_sym_delete] = ACTIONS(2364),
    [anon_sym_throw] = ACTIONS(2364),
    [anon_sym_namespace] = ACTIONS(2364),
    [anon_sym_using] = ACTIONS(2364),
    [anon_sym_static_assert] = ACTIONS(2364),
    [anon_sym_concept] = ACTIONS(2364),
    [anon_sym_co_return] = ACTIONS(2364),
    [anon_sym_co_yield] = ACTIONS(2364),
    [anon_sym_R_DQUOTE] = ACTIONS(2366),
    [anon_sym_LR_DQUOTE] = ACTIONS(2366),
    [anon_sym_uR_DQUOTE] = ACTIONS(2366),
    [anon_sym_UR_DQUOTE] = ACTIONS(2366),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2366),
    [anon_sym_co_await] = ACTIONS(2364),
    [anon_sym_new] = ACTIONS(2364),
    [anon_sym_requires] = ACTIONS(2364),
    [sym_this] = ACTIONS(2364),
    [anon_sym_discard] = ACTIONS(2364),
    [anon_sym_precise] = ACTIONS(2364),
    [anon_sym_shared] = ACTIONS(2364),
    [anon_sym_groupshared] = ACTIONS(2364),
    [anon_sym_uniform] = ACTIONS(2364),
    [anon_sym_row_major] = ACTIONS(2364),
    [anon_sym_column_major] = ACTIONS(2364),
    [anon_sym_globallycoherent] = ACTIONS(2364),
    [anon_sym_centroid] = ACTIONS(2364),
    [anon_sym_noperspective] = ACTIONS(2364),
    [anon_sym_nointerpolation] = ACTIONS(2364),
    [anon_sym_sample] = ACTIONS(2364),
    [anon_sym_linear] = ACTIONS(2364),
    [anon_sym_snorm] = ACTIONS(2364),
    [anon_sym_unorm] = ACTIONS(2364),
    [anon_sym_point] = ACTIONS(2364),
    [anon_sym_line] = ACTIONS(2364),
    [anon_sym_triangleadj] = ACTIONS(2364),
    [anon_sym_lineadj] = ACTIONS(2364),
    [anon_sym_triangle] = ACTIONS(2364),
    [anon_sym_cbuffer] = ACTIONS(2364),
  },
  [825] = {
    [ts_builtin_sym_end] = ACTIONS(2366),
    [sym_identifier] = ACTIONS(2364),
    [aux_sym_preproc_include_token1] = ACTIONS(2364),
    [aux_sym_preproc_def_token1] = ACTIONS(2364),
    [aux_sym_preproc_if_token1] = ACTIONS(2364),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2364),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2364),
    [sym_preproc_directive] = ACTIONS(2364),
    [anon_sym_LPAREN2] = ACTIONS(2366),
    [anon_sym_BANG] = ACTIONS(2366),
    [anon_sym_TILDE] = ACTIONS(2366),
    [anon_sym_DASH] = ACTIONS(2364),
    [anon_sym_PLUS] = ACTIONS(2364),
    [anon_sym_STAR] = ACTIONS(2366),
    [anon_sym_AMP_AMP] = ACTIONS(2366),
    [anon_sym_AMP] = ACTIONS(2364),
    [anon_sym_SEMI] = ACTIONS(2366),
    [anon_sym___extension__] = ACTIONS(2364),
    [anon_sym_typedef] = ACTIONS(2364),
    [anon_sym_in] = ACTIONS(2364),
    [anon_sym_out] = ACTIONS(2364),
    [anon_sym_inout] = ACTIONS(2364),
    [anon_sym_extern] = ACTIONS(2364),
    [anon_sym___attribute__] = ACTIONS(2364),
    [anon_sym_COLON_COLON] = ACTIONS(2366),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2366),
    [anon_sym___declspec] = ACTIONS(2364),
    [anon_sym___based] = ACTIONS(2364),
    [anon_sym___cdecl] = ACTIONS(2364),
    [anon_sym___clrcall] = ACTIONS(2364),
    [anon_sym___stdcall] = ACTIONS(2364),
    [anon_sym___fastcall] = ACTIONS(2364),
    [anon_sym___thiscall] = ACTIONS(2364),
    [anon_sym___vectorcall] = ACTIONS(2364),
    [anon_sym_LBRACE] = ACTIONS(2366),
    [anon_sym_signed] = ACTIONS(2364),
    [anon_sym_unsigned] = ACTIONS(2364),
    [anon_sym_long] = ACTIONS(2364),
    [anon_sym_short] = ACTIONS(2364),
    [anon_sym_LBRACK] = ACTIONS(2364),
    [anon_sym_static] = ACTIONS(2364),
    [anon_sym_register] = ACTIONS(2364),
    [anon_sym_inline] = ACTIONS(2364),
    [anon_sym___inline] = ACTIONS(2364),
    [anon_sym___inline__] = ACTIONS(2364),
    [anon_sym___forceinline] = ACTIONS(2364),
    [anon_sym_thread_local] = ACTIONS(2364),
    [anon_sym___thread] = ACTIONS(2364),
    [anon_sym_const] = ACTIONS(2364),
    [anon_sym_constexpr] = ACTIONS(2364),
    [anon_sym_volatile] = ACTIONS(2364),
    [anon_sym_restrict] = ACTIONS(2364),
    [anon_sym___restrict__] = ACTIONS(2364),
    [anon_sym__Atomic] = ACTIONS(2364),
    [anon_sym__Noreturn] = ACTIONS(2364),
    [anon_sym_noreturn] = ACTIONS(2364),
    [anon_sym_mutable] = ACTIONS(2364),
    [anon_sym_constinit] = ACTIONS(2364),
    [anon_sym_consteval] = ACTIONS(2364),
    [sym_primitive_type] = ACTIONS(2364),
    [anon_sym_enum] = ACTIONS(2364),
    [anon_sym_class] = ACTIONS(2364),
    [anon_sym_struct] = ACTIONS(2364),
    [anon_sym_union] = ACTIONS(2364),
    [anon_sym_if] = ACTIONS(2364),
    [anon_sym_else] = ACTIONS(2364),
    [anon_sym_switch] = ACTIONS(2364),
    [anon_sym_case] = ACTIONS(2364),
    [anon_sym_default] = ACTIONS(2364),
    [anon_sym_while] = ACTIONS(2364),
    [anon_sym_do] = ACTIONS(2364),
    [anon_sym_for] = ACTIONS(2364),
    [anon_sym_return] = ACTIONS(2364),
    [anon_sym_break] = ACTIONS(2364),
    [anon_sym_continue] = ACTIONS(2364),
    [anon_sym_goto] = ACTIONS(2364),
    [anon_sym___try] = ACTIONS(2364),
    [anon_sym___leave] = ACTIONS(2364),
    [anon_sym_not] = ACTIONS(2364),
    [anon_sym_compl] = ACTIONS(2364),
    [anon_sym_DASH_DASH] = ACTIONS(2366),
    [anon_sym_PLUS_PLUS] = ACTIONS(2366),
    [anon_sym_sizeof] = ACTIONS(2364),
    [anon_sym___alignof__] = ACTIONS(2364),
    [anon_sym___alignof] = ACTIONS(2364),
    [anon_sym__alignof] = ACTIONS(2364),
    [anon_sym_alignof] = ACTIONS(2364),
    [anon_sym__Alignof] = ACTIONS(2364),
    [anon_sym_offsetof] = ACTIONS(2364),
    [anon_sym__Generic] = ACTIONS(2364),
    [anon_sym_asm] = ACTIONS(2364),
    [anon_sym___asm__] = ACTIONS(2364),
    [sym_number_literal] = ACTIONS(2366),
    [anon_sym_L_SQUOTE] = ACTIONS(2366),
    [anon_sym_u_SQUOTE] = ACTIONS(2366),
    [anon_sym_U_SQUOTE] = ACTIONS(2366),
    [anon_sym_u8_SQUOTE] = ACTIONS(2366),
    [anon_sym_SQUOTE] = ACTIONS(2366),
    [anon_sym_L_DQUOTE] = ACTIONS(2366),
    [anon_sym_u_DQUOTE] = ACTIONS(2366),
    [anon_sym_U_DQUOTE] = ACTIONS(2366),
    [anon_sym_u8_DQUOTE] = ACTIONS(2366),
    [anon_sym_DQUOTE] = ACTIONS(2366),
    [sym_true] = ACTIONS(2364),
    [sym_false] = ACTIONS(2364),
    [anon_sym_NULL] = ACTIONS(2364),
    [anon_sym_nullptr] = ACTIONS(2364),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2364),
    [anon_sym_decltype] = ACTIONS(2364),
    [anon_sym_virtual] = ACTIONS(2364),
    [anon_sym_alignas] = ACTIONS(2364),
    [anon_sym_explicit] = ACTIONS(2364),
    [anon_sym_typename] = ACTIONS(2364),
    [anon_sym_template] = ACTIONS(2364),
    [anon_sym_operator] = ACTIONS(2364),
    [anon_sym_try] = ACTIONS(2364),
    [anon_sym_delete] = ACTIONS(2364),
    [anon_sym_throw] = ACTIONS(2364),
    [anon_sym_namespace] = ACTIONS(2364),
    [anon_sym_using] = ACTIONS(2364),
    [anon_sym_static_assert] = ACTIONS(2364),
    [anon_sym_concept] = ACTIONS(2364),
    [anon_sym_co_return] = ACTIONS(2364),
    [anon_sym_co_yield] = ACTIONS(2364),
    [anon_sym_R_DQUOTE] = ACTIONS(2366),
    [anon_sym_LR_DQUOTE] = ACTIONS(2366),
    [anon_sym_uR_DQUOTE] = ACTIONS(2366),
    [anon_sym_UR_DQUOTE] = ACTIONS(2366),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2366),
    [anon_sym_co_await] = ACTIONS(2364),
    [anon_sym_new] = ACTIONS(2364),
    [anon_sym_requires] = ACTIONS(2364),
    [sym_this] = ACTIONS(2364),
    [anon_sym_discard] = ACTIONS(2364),
    [anon_sym_precise] = ACTIONS(2364),
    [anon_sym_shared] = ACTIONS(2364),
    [anon_sym_groupshared] = ACTIONS(2364),
    [anon_sym_uniform] = ACTIONS(2364),
    [anon_sym_row_major] = ACTIONS(2364),
    [anon_sym_column_major] = ACTIONS(2364),
    [anon_sym_globallycoherent] = ACTIONS(2364),
    [anon_sym_centroid] = ACTIONS(2364),
    [anon_sym_noperspective] = ACTIONS(2364),
    [anon_sym_nointerpolation] = ACTIONS(2364),
    [anon_sym_sample] = ACTIONS(2364),
    [anon_sym_linear] = ACTIONS(2364),
    [anon_sym_snorm] = ACTIONS(2364),
    [anon_sym_unorm] = ACTIONS(2364),
    [anon_sym_point] = ACTIONS(2364),
    [anon_sym_line] = ACTIONS(2364),
    [anon_sym_triangleadj] = ACTIONS(2364),
    [anon_sym_lineadj] = ACTIONS(2364),
    [anon_sym_triangle] = ACTIONS(2364),
    [anon_sym_cbuffer] = ACTIONS(2364),
  },
  [826] = {
    [ts_builtin_sym_end] = ACTIONS(2466),
    [sym_identifier] = ACTIONS(2464),
    [aux_sym_preproc_include_token1] = ACTIONS(2464),
    [aux_sym_preproc_def_token1] = ACTIONS(2464),
    [aux_sym_preproc_if_token1] = ACTIONS(2464),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2464),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2464),
    [sym_preproc_directive] = ACTIONS(2464),
    [anon_sym_LPAREN2] = ACTIONS(2466),
    [anon_sym_BANG] = ACTIONS(2466),
    [anon_sym_TILDE] = ACTIONS(2466),
    [anon_sym_DASH] = ACTIONS(2464),
    [anon_sym_PLUS] = ACTIONS(2464),
    [anon_sym_STAR] = ACTIONS(2466),
    [anon_sym_AMP_AMP] = ACTIONS(2466),
    [anon_sym_AMP] = ACTIONS(2464),
    [anon_sym_SEMI] = ACTIONS(2466),
    [anon_sym___extension__] = ACTIONS(2464),
    [anon_sym_typedef] = ACTIONS(2464),
    [anon_sym_in] = ACTIONS(2464),
    [anon_sym_out] = ACTIONS(2464),
    [anon_sym_inout] = ACTIONS(2464),
    [anon_sym_extern] = ACTIONS(2464),
    [anon_sym___attribute__] = ACTIONS(2464),
    [anon_sym_COLON_COLON] = ACTIONS(2466),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2466),
    [anon_sym___declspec] = ACTIONS(2464),
    [anon_sym___based] = ACTIONS(2464),
    [anon_sym___cdecl] = ACTIONS(2464),
    [anon_sym___clrcall] = ACTIONS(2464),
    [anon_sym___stdcall] = ACTIONS(2464),
    [anon_sym___fastcall] = ACTIONS(2464),
    [anon_sym___thiscall] = ACTIONS(2464),
    [anon_sym___vectorcall] = ACTIONS(2464),
    [anon_sym_LBRACE] = ACTIONS(2466),
    [anon_sym_signed] = ACTIONS(2464),
    [anon_sym_unsigned] = ACTIONS(2464),
    [anon_sym_long] = ACTIONS(2464),
    [anon_sym_short] = ACTIONS(2464),
    [anon_sym_LBRACK] = ACTIONS(2464),
    [anon_sym_static] = ACTIONS(2464),
    [anon_sym_register] = ACTIONS(2464),
    [anon_sym_inline] = ACTIONS(2464),
    [anon_sym___inline] = ACTIONS(2464),
    [anon_sym___inline__] = ACTIONS(2464),
    [anon_sym___forceinline] = ACTIONS(2464),
    [anon_sym_thread_local] = ACTIONS(2464),
    [anon_sym___thread] = ACTIONS(2464),
    [anon_sym_const] = ACTIONS(2464),
    [anon_sym_constexpr] = ACTIONS(2464),
    [anon_sym_volatile] = ACTIONS(2464),
    [anon_sym_restrict] = ACTIONS(2464),
    [anon_sym___restrict__] = ACTIONS(2464),
    [anon_sym__Atomic] = ACTIONS(2464),
    [anon_sym__Noreturn] = ACTIONS(2464),
    [anon_sym_noreturn] = ACTIONS(2464),
    [anon_sym_mutable] = ACTIONS(2464),
    [anon_sym_constinit] = ACTIONS(2464),
    [anon_sym_consteval] = ACTIONS(2464),
    [sym_primitive_type] = ACTIONS(2464),
    [anon_sym_enum] = ACTIONS(2464),
    [anon_sym_class] = ACTIONS(2464),
    [anon_sym_struct] = ACTIONS(2464),
    [anon_sym_union] = ACTIONS(2464),
    [anon_sym_if] = ACTIONS(2464),
    [anon_sym_else] = ACTIONS(2464),
    [anon_sym_switch] = ACTIONS(2464),
    [anon_sym_case] = ACTIONS(2464),
    [anon_sym_default] = ACTIONS(2464),
    [anon_sym_while] = ACTIONS(2464),
    [anon_sym_do] = ACTIONS(2464),
    [anon_sym_for] = ACTIONS(2464),
    [anon_sym_return] = ACTIONS(2464),
    [anon_sym_break] = ACTIONS(2464),
    [anon_sym_continue] = ACTIONS(2464),
    [anon_sym_goto] = ACTIONS(2464),
    [anon_sym___try] = ACTIONS(2464),
    [anon_sym___leave] = ACTIONS(2464),
    [anon_sym_not] = ACTIONS(2464),
    [anon_sym_compl] = ACTIONS(2464),
    [anon_sym_DASH_DASH] = ACTIONS(2466),
    [anon_sym_PLUS_PLUS] = ACTIONS(2466),
    [anon_sym_sizeof] = ACTIONS(2464),
    [anon_sym___alignof__] = ACTIONS(2464),
    [anon_sym___alignof] = ACTIONS(2464),
    [anon_sym__alignof] = ACTIONS(2464),
    [anon_sym_alignof] = ACTIONS(2464),
    [anon_sym__Alignof] = ACTIONS(2464),
    [anon_sym_offsetof] = ACTIONS(2464),
    [anon_sym__Generic] = ACTIONS(2464),
    [anon_sym_asm] = ACTIONS(2464),
    [anon_sym___asm__] = ACTIONS(2464),
    [sym_number_literal] = ACTIONS(2466),
    [anon_sym_L_SQUOTE] = ACTIONS(2466),
    [anon_sym_u_SQUOTE] = ACTIONS(2466),
    [anon_sym_U_SQUOTE] = ACTIONS(2466),
    [anon_sym_u8_SQUOTE] = ACTIONS(2466),
    [anon_sym_SQUOTE] = ACTIONS(2466),
    [anon_sym_L_DQUOTE] = ACTIONS(2466),
    [anon_sym_u_DQUOTE] = ACTIONS(2466),
    [anon_sym_U_DQUOTE] = ACTIONS(2466),
    [anon_sym_u8_DQUOTE] = ACTIONS(2466),
    [anon_sym_DQUOTE] = ACTIONS(2466),
    [sym_true] = ACTIONS(2464),
    [sym_false] = ACTIONS(2464),
    [anon_sym_NULL] = ACTIONS(2464),
    [anon_sym_nullptr] = ACTIONS(2464),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2464),
    [anon_sym_decltype] = ACTIONS(2464),
    [anon_sym_virtual] = ACTIONS(2464),
    [anon_sym_alignas] = ACTIONS(2464),
    [anon_sym_explicit] = ACTIONS(2464),
    [anon_sym_typename] = ACTIONS(2464),
    [anon_sym_template] = ACTIONS(2464),
    [anon_sym_operator] = ACTIONS(2464),
    [anon_sym_try] = ACTIONS(2464),
    [anon_sym_delete] = ACTIONS(2464),
    [anon_sym_throw] = ACTIONS(2464),
    [anon_sym_namespace] = ACTIONS(2464),
    [anon_sym_using] = ACTIONS(2464),
    [anon_sym_static_assert] = ACTIONS(2464),
    [anon_sym_concept] = ACTIONS(2464),
    [anon_sym_co_return] = ACTIONS(2464),
    [anon_sym_co_yield] = ACTIONS(2464),
    [anon_sym_R_DQUOTE] = ACTIONS(2466),
    [anon_sym_LR_DQUOTE] = ACTIONS(2466),
    [anon_sym_uR_DQUOTE] = ACTIONS(2466),
    [anon_sym_UR_DQUOTE] = ACTIONS(2466),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2466),
    [anon_sym_co_await] = ACTIONS(2464),
    [anon_sym_new] = ACTIONS(2464),
    [anon_sym_requires] = ACTIONS(2464),
    [sym_this] = ACTIONS(2464),
    [anon_sym_discard] = ACTIONS(2464),
    [anon_sym_precise] = ACTIONS(2464),
    [anon_sym_shared] = ACTIONS(2464),
    [anon_sym_groupshared] = ACTIONS(2464),
    [anon_sym_uniform] = ACTIONS(2464),
    [anon_sym_row_major] = ACTIONS(2464),
    [anon_sym_column_major] = ACTIONS(2464),
    [anon_sym_globallycoherent] = ACTIONS(2464),
    [anon_sym_centroid] = ACTIONS(2464),
    [anon_sym_noperspective] = ACTIONS(2464),
    [anon_sym_nointerpolation] = ACTIONS(2464),
    [anon_sym_sample] = ACTIONS(2464),
    [anon_sym_linear] = ACTIONS(2464),
    [anon_sym_snorm] = ACTIONS(2464),
    [anon_sym_unorm] = ACTIONS(2464),
    [anon_sym_point] = ACTIONS(2464),
    [anon_sym_line] = ACTIONS(2464),
    [anon_sym_triangleadj] = ACTIONS(2464),
    [anon_sym_lineadj] = ACTIONS(2464),
    [anon_sym_triangle] = ACTIONS(2464),
    [anon_sym_cbuffer] = ACTIONS(2464),
  },
  [827] = {
    [sym_identifier] = ACTIONS(2444),
    [aux_sym_preproc_include_token1] = ACTIONS(2444),
    [aux_sym_preproc_def_token1] = ACTIONS(2444),
    [aux_sym_preproc_if_token1] = ACTIONS(2444),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2444),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2444),
    [sym_preproc_directive] = ACTIONS(2444),
    [anon_sym_LPAREN2] = ACTIONS(2446),
    [anon_sym_BANG] = ACTIONS(2446),
    [anon_sym_TILDE] = ACTIONS(2446),
    [anon_sym_DASH] = ACTIONS(2444),
    [anon_sym_PLUS] = ACTIONS(2444),
    [anon_sym_STAR] = ACTIONS(2446),
    [anon_sym_AMP_AMP] = ACTIONS(2446),
    [anon_sym_AMP] = ACTIONS(2444),
    [anon_sym_SEMI] = ACTIONS(2446),
    [anon_sym___extension__] = ACTIONS(2444),
    [anon_sym_typedef] = ACTIONS(2444),
    [anon_sym_in] = ACTIONS(2444),
    [anon_sym_out] = ACTIONS(2444),
    [anon_sym_inout] = ACTIONS(2444),
    [anon_sym_extern] = ACTIONS(2444),
    [anon_sym___attribute__] = ACTIONS(2444),
    [anon_sym_COLON_COLON] = ACTIONS(2446),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2446),
    [anon_sym___declspec] = ACTIONS(2444),
    [anon_sym___based] = ACTIONS(2444),
    [anon_sym___cdecl] = ACTIONS(2444),
    [anon_sym___clrcall] = ACTIONS(2444),
    [anon_sym___stdcall] = ACTIONS(2444),
    [anon_sym___fastcall] = ACTIONS(2444),
    [anon_sym___thiscall] = ACTIONS(2444),
    [anon_sym___vectorcall] = ACTIONS(2444),
    [anon_sym_LBRACE] = ACTIONS(2446),
    [anon_sym_RBRACE] = ACTIONS(2446),
    [anon_sym_signed] = ACTIONS(2444),
    [anon_sym_unsigned] = ACTIONS(2444),
    [anon_sym_long] = ACTIONS(2444),
    [anon_sym_short] = ACTIONS(2444),
    [anon_sym_LBRACK] = ACTIONS(2444),
    [anon_sym_static] = ACTIONS(2444),
    [anon_sym_register] = ACTIONS(2444),
    [anon_sym_inline] = ACTIONS(2444),
    [anon_sym___inline] = ACTIONS(2444),
    [anon_sym___inline__] = ACTIONS(2444),
    [anon_sym___forceinline] = ACTIONS(2444),
    [anon_sym_thread_local] = ACTIONS(2444),
    [anon_sym___thread] = ACTIONS(2444),
    [anon_sym_const] = ACTIONS(2444),
    [anon_sym_constexpr] = ACTIONS(2444),
    [anon_sym_volatile] = ACTIONS(2444),
    [anon_sym_restrict] = ACTIONS(2444),
    [anon_sym___restrict__] = ACTIONS(2444),
    [anon_sym__Atomic] = ACTIONS(2444),
    [anon_sym__Noreturn] = ACTIONS(2444),
    [anon_sym_noreturn] = ACTIONS(2444),
    [anon_sym_mutable] = ACTIONS(2444),
    [anon_sym_constinit] = ACTIONS(2444),
    [anon_sym_consteval] = ACTIONS(2444),
    [sym_primitive_type] = ACTIONS(2444),
    [anon_sym_enum] = ACTIONS(2444),
    [anon_sym_class] = ACTIONS(2444),
    [anon_sym_struct] = ACTIONS(2444),
    [anon_sym_union] = ACTIONS(2444),
    [anon_sym_if] = ACTIONS(2444),
    [anon_sym_else] = ACTIONS(2444),
    [anon_sym_switch] = ACTIONS(2444),
    [anon_sym_case] = ACTIONS(2444),
    [anon_sym_default] = ACTIONS(2444),
    [anon_sym_while] = ACTIONS(2444),
    [anon_sym_do] = ACTIONS(2444),
    [anon_sym_for] = ACTIONS(2444),
    [anon_sym_return] = ACTIONS(2444),
    [anon_sym_break] = ACTIONS(2444),
    [anon_sym_continue] = ACTIONS(2444),
    [anon_sym_goto] = ACTIONS(2444),
    [anon_sym___try] = ACTIONS(2444),
    [anon_sym___leave] = ACTIONS(2444),
    [anon_sym_not] = ACTIONS(2444),
    [anon_sym_compl] = ACTIONS(2444),
    [anon_sym_DASH_DASH] = ACTIONS(2446),
    [anon_sym_PLUS_PLUS] = ACTIONS(2446),
    [anon_sym_sizeof] = ACTIONS(2444),
    [anon_sym___alignof__] = ACTIONS(2444),
    [anon_sym___alignof] = ACTIONS(2444),
    [anon_sym__alignof] = ACTIONS(2444),
    [anon_sym_alignof] = ACTIONS(2444),
    [anon_sym__Alignof] = ACTIONS(2444),
    [anon_sym_offsetof] = ACTIONS(2444),
    [anon_sym__Generic] = ACTIONS(2444),
    [anon_sym_asm] = ACTIONS(2444),
    [anon_sym___asm__] = ACTIONS(2444),
    [sym_number_literal] = ACTIONS(2446),
    [anon_sym_L_SQUOTE] = ACTIONS(2446),
    [anon_sym_u_SQUOTE] = ACTIONS(2446),
    [anon_sym_U_SQUOTE] = ACTIONS(2446),
    [anon_sym_u8_SQUOTE] = ACTIONS(2446),
    [anon_sym_SQUOTE] = ACTIONS(2446),
    [anon_sym_L_DQUOTE] = ACTIONS(2446),
    [anon_sym_u_DQUOTE] = ACTIONS(2446),
    [anon_sym_U_DQUOTE] = ACTIONS(2446),
    [anon_sym_u8_DQUOTE] = ACTIONS(2446),
    [anon_sym_DQUOTE] = ACTIONS(2446),
    [sym_true] = ACTIONS(2444),
    [sym_false] = ACTIONS(2444),
    [anon_sym_NULL] = ACTIONS(2444),
    [anon_sym_nullptr] = ACTIONS(2444),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2444),
    [anon_sym_decltype] = ACTIONS(2444),
    [anon_sym_virtual] = ACTIONS(2444),
    [anon_sym_alignas] = ACTIONS(2444),
    [anon_sym_explicit] = ACTIONS(2444),
    [anon_sym_typename] = ACTIONS(2444),
    [anon_sym_template] = ACTIONS(2444),
    [anon_sym_operator] = ACTIONS(2444),
    [anon_sym_try] = ACTIONS(2444),
    [anon_sym_delete] = ACTIONS(2444),
    [anon_sym_throw] = ACTIONS(2444),
    [anon_sym_namespace] = ACTIONS(2444),
    [anon_sym_using] = ACTIONS(2444),
    [anon_sym_static_assert] = ACTIONS(2444),
    [anon_sym_concept] = ACTIONS(2444),
    [anon_sym_co_return] = ACTIONS(2444),
    [anon_sym_co_yield] = ACTIONS(2444),
    [anon_sym_R_DQUOTE] = ACTIONS(2446),
    [anon_sym_LR_DQUOTE] = ACTIONS(2446),
    [anon_sym_uR_DQUOTE] = ACTIONS(2446),
    [anon_sym_UR_DQUOTE] = ACTIONS(2446),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2446),
    [anon_sym_co_await] = ACTIONS(2444),
    [anon_sym_new] = ACTIONS(2444),
    [anon_sym_requires] = ACTIONS(2444),
    [sym_this] = ACTIONS(2444),
    [anon_sym_discard] = ACTIONS(2444),
    [anon_sym_precise] = ACTIONS(2444),
    [anon_sym_shared] = ACTIONS(2444),
    [anon_sym_groupshared] = ACTIONS(2444),
    [anon_sym_uniform] = ACTIONS(2444),
    [anon_sym_row_major] = ACTIONS(2444),
    [anon_sym_column_major] = ACTIONS(2444),
    [anon_sym_globallycoherent] = ACTIONS(2444),
    [anon_sym_centroid] = ACTIONS(2444),
    [anon_sym_noperspective] = ACTIONS(2444),
    [anon_sym_nointerpolation] = ACTIONS(2444),
    [anon_sym_sample] = ACTIONS(2444),
    [anon_sym_linear] = ACTIONS(2444),
    [anon_sym_snorm] = ACTIONS(2444),
    [anon_sym_unorm] = ACTIONS(2444),
    [anon_sym_point] = ACTIONS(2444),
    [anon_sym_line] = ACTIONS(2444),
    [anon_sym_triangleadj] = ACTIONS(2444),
    [anon_sym_lineadj] = ACTIONS(2444),
    [anon_sym_triangle] = ACTIONS(2444),
    [anon_sym_cbuffer] = ACTIONS(2444),
  },
  [828] = {
    [ts_builtin_sym_end] = ACTIONS(2386),
    [sym_identifier] = ACTIONS(2384),
    [aux_sym_preproc_include_token1] = ACTIONS(2384),
    [aux_sym_preproc_def_token1] = ACTIONS(2384),
    [aux_sym_preproc_if_token1] = ACTIONS(2384),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2384),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2384),
    [sym_preproc_directive] = ACTIONS(2384),
    [anon_sym_LPAREN2] = ACTIONS(2386),
    [anon_sym_BANG] = ACTIONS(2386),
    [anon_sym_TILDE] = ACTIONS(2386),
    [anon_sym_DASH] = ACTIONS(2384),
    [anon_sym_PLUS] = ACTIONS(2384),
    [anon_sym_STAR] = ACTIONS(2386),
    [anon_sym_AMP_AMP] = ACTIONS(2386),
    [anon_sym_AMP] = ACTIONS(2384),
    [anon_sym_SEMI] = ACTIONS(2386),
    [anon_sym___extension__] = ACTIONS(2384),
    [anon_sym_typedef] = ACTIONS(2384),
    [anon_sym_in] = ACTIONS(2384),
    [anon_sym_out] = ACTIONS(2384),
    [anon_sym_inout] = ACTIONS(2384),
    [anon_sym_extern] = ACTIONS(2384),
    [anon_sym___attribute__] = ACTIONS(2384),
    [anon_sym_COLON_COLON] = ACTIONS(2386),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2386),
    [anon_sym___declspec] = ACTIONS(2384),
    [anon_sym___based] = ACTIONS(2384),
    [anon_sym___cdecl] = ACTIONS(2384),
    [anon_sym___clrcall] = ACTIONS(2384),
    [anon_sym___stdcall] = ACTIONS(2384),
    [anon_sym___fastcall] = ACTIONS(2384),
    [anon_sym___thiscall] = ACTIONS(2384),
    [anon_sym___vectorcall] = ACTIONS(2384),
    [anon_sym_LBRACE] = ACTIONS(2386),
    [anon_sym_signed] = ACTIONS(2384),
    [anon_sym_unsigned] = ACTIONS(2384),
    [anon_sym_long] = ACTIONS(2384),
    [anon_sym_short] = ACTIONS(2384),
    [anon_sym_LBRACK] = ACTIONS(2384),
    [anon_sym_static] = ACTIONS(2384),
    [anon_sym_register] = ACTIONS(2384),
    [anon_sym_inline] = ACTIONS(2384),
    [anon_sym___inline] = ACTIONS(2384),
    [anon_sym___inline__] = ACTIONS(2384),
    [anon_sym___forceinline] = ACTIONS(2384),
    [anon_sym_thread_local] = ACTIONS(2384),
    [anon_sym___thread] = ACTIONS(2384),
    [anon_sym_const] = ACTIONS(2384),
    [anon_sym_constexpr] = ACTIONS(2384),
    [anon_sym_volatile] = ACTIONS(2384),
    [anon_sym_restrict] = ACTIONS(2384),
    [anon_sym___restrict__] = ACTIONS(2384),
    [anon_sym__Atomic] = ACTIONS(2384),
    [anon_sym__Noreturn] = ACTIONS(2384),
    [anon_sym_noreturn] = ACTIONS(2384),
    [anon_sym_mutable] = ACTIONS(2384),
    [anon_sym_constinit] = ACTIONS(2384),
    [anon_sym_consteval] = ACTIONS(2384),
    [sym_primitive_type] = ACTIONS(2384),
    [anon_sym_enum] = ACTIONS(2384),
    [anon_sym_class] = ACTIONS(2384),
    [anon_sym_struct] = ACTIONS(2384),
    [anon_sym_union] = ACTIONS(2384),
    [anon_sym_if] = ACTIONS(2384),
    [anon_sym_else] = ACTIONS(2384),
    [anon_sym_switch] = ACTIONS(2384),
    [anon_sym_case] = ACTIONS(2384),
    [anon_sym_default] = ACTIONS(2384),
    [anon_sym_while] = ACTIONS(2384),
    [anon_sym_do] = ACTIONS(2384),
    [anon_sym_for] = ACTIONS(2384),
    [anon_sym_return] = ACTIONS(2384),
    [anon_sym_break] = ACTIONS(2384),
    [anon_sym_continue] = ACTIONS(2384),
    [anon_sym_goto] = ACTIONS(2384),
    [anon_sym___try] = ACTIONS(2384),
    [anon_sym___leave] = ACTIONS(2384),
    [anon_sym_not] = ACTIONS(2384),
    [anon_sym_compl] = ACTIONS(2384),
    [anon_sym_DASH_DASH] = ACTIONS(2386),
    [anon_sym_PLUS_PLUS] = ACTIONS(2386),
    [anon_sym_sizeof] = ACTIONS(2384),
    [anon_sym___alignof__] = ACTIONS(2384),
    [anon_sym___alignof] = ACTIONS(2384),
    [anon_sym__alignof] = ACTIONS(2384),
    [anon_sym_alignof] = ACTIONS(2384),
    [anon_sym__Alignof] = ACTIONS(2384),
    [anon_sym_offsetof] = ACTIONS(2384),
    [anon_sym__Generic] = ACTIONS(2384),
    [anon_sym_asm] = ACTIONS(2384),
    [anon_sym___asm__] = ACTIONS(2384),
    [sym_number_literal] = ACTIONS(2386),
    [anon_sym_L_SQUOTE] = ACTIONS(2386),
    [anon_sym_u_SQUOTE] = ACTIONS(2386),
    [anon_sym_U_SQUOTE] = ACTIONS(2386),
    [anon_sym_u8_SQUOTE] = ACTIONS(2386),
    [anon_sym_SQUOTE] = ACTIONS(2386),
    [anon_sym_L_DQUOTE] = ACTIONS(2386),
    [anon_sym_u_DQUOTE] = ACTIONS(2386),
    [anon_sym_U_DQUOTE] = ACTIONS(2386),
    [anon_sym_u8_DQUOTE] = ACTIONS(2386),
    [anon_sym_DQUOTE] = ACTIONS(2386),
    [sym_true] = ACTIONS(2384),
    [sym_false] = ACTIONS(2384),
    [anon_sym_NULL] = ACTIONS(2384),
    [anon_sym_nullptr] = ACTIONS(2384),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2384),
    [anon_sym_decltype] = ACTIONS(2384),
    [anon_sym_virtual] = ACTIONS(2384),
    [anon_sym_alignas] = ACTIONS(2384),
    [anon_sym_explicit] = ACTIONS(2384),
    [anon_sym_typename] = ACTIONS(2384),
    [anon_sym_template] = ACTIONS(2384),
    [anon_sym_operator] = ACTIONS(2384),
    [anon_sym_try] = ACTIONS(2384),
    [anon_sym_delete] = ACTIONS(2384),
    [anon_sym_throw] = ACTIONS(2384),
    [anon_sym_namespace] = ACTIONS(2384),
    [anon_sym_using] = ACTIONS(2384),
    [anon_sym_static_assert] = ACTIONS(2384),
    [anon_sym_concept] = ACTIONS(2384),
    [anon_sym_co_return] = ACTIONS(2384),
    [anon_sym_co_yield] = ACTIONS(2384),
    [anon_sym_R_DQUOTE] = ACTIONS(2386),
    [anon_sym_LR_DQUOTE] = ACTIONS(2386),
    [anon_sym_uR_DQUOTE] = ACTIONS(2386),
    [anon_sym_UR_DQUOTE] = ACTIONS(2386),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2386),
    [anon_sym_co_await] = ACTIONS(2384),
    [anon_sym_new] = ACTIONS(2384),
    [anon_sym_requires] = ACTIONS(2384),
    [sym_this] = ACTIONS(2384),
    [anon_sym_discard] = ACTIONS(2384),
    [anon_sym_precise] = ACTIONS(2384),
    [anon_sym_shared] = ACTIONS(2384),
    [anon_sym_groupshared] = ACTIONS(2384),
    [anon_sym_uniform] = ACTIONS(2384),
    [anon_sym_row_major] = ACTIONS(2384),
    [anon_sym_column_major] = ACTIONS(2384),
    [anon_sym_globallycoherent] = ACTIONS(2384),
    [anon_sym_centroid] = ACTIONS(2384),
    [anon_sym_noperspective] = ACTIONS(2384),
    [anon_sym_nointerpolation] = ACTIONS(2384),
    [anon_sym_sample] = ACTIONS(2384),
    [anon_sym_linear] = ACTIONS(2384),
    [anon_sym_snorm] = ACTIONS(2384),
    [anon_sym_unorm] = ACTIONS(2384),
    [anon_sym_point] = ACTIONS(2384),
    [anon_sym_line] = ACTIONS(2384),
    [anon_sym_triangleadj] = ACTIONS(2384),
    [anon_sym_lineadj] = ACTIONS(2384),
    [anon_sym_triangle] = ACTIONS(2384),
    [anon_sym_cbuffer] = ACTIONS(2384),
  },
  [829] = {
    [ts_builtin_sym_end] = ACTIONS(2450),
    [sym_identifier] = ACTIONS(2448),
    [aux_sym_preproc_include_token1] = ACTIONS(2448),
    [aux_sym_preproc_def_token1] = ACTIONS(2448),
    [aux_sym_preproc_if_token1] = ACTIONS(2448),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2448),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2448),
    [sym_preproc_directive] = ACTIONS(2448),
    [anon_sym_LPAREN2] = ACTIONS(2450),
    [anon_sym_BANG] = ACTIONS(2450),
    [anon_sym_TILDE] = ACTIONS(2450),
    [anon_sym_DASH] = ACTIONS(2448),
    [anon_sym_PLUS] = ACTIONS(2448),
    [anon_sym_STAR] = ACTIONS(2450),
    [anon_sym_AMP_AMP] = ACTIONS(2450),
    [anon_sym_AMP] = ACTIONS(2448),
    [anon_sym_SEMI] = ACTIONS(2450),
    [anon_sym___extension__] = ACTIONS(2448),
    [anon_sym_typedef] = ACTIONS(2448),
    [anon_sym_in] = ACTIONS(2448),
    [anon_sym_out] = ACTIONS(2448),
    [anon_sym_inout] = ACTIONS(2448),
    [anon_sym_extern] = ACTIONS(2448),
    [anon_sym___attribute__] = ACTIONS(2448),
    [anon_sym_COLON_COLON] = ACTIONS(2450),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2450),
    [anon_sym___declspec] = ACTIONS(2448),
    [anon_sym___based] = ACTIONS(2448),
    [anon_sym___cdecl] = ACTIONS(2448),
    [anon_sym___clrcall] = ACTIONS(2448),
    [anon_sym___stdcall] = ACTIONS(2448),
    [anon_sym___fastcall] = ACTIONS(2448),
    [anon_sym___thiscall] = ACTIONS(2448),
    [anon_sym___vectorcall] = ACTIONS(2448),
    [anon_sym_LBRACE] = ACTIONS(2450),
    [anon_sym_signed] = ACTIONS(2448),
    [anon_sym_unsigned] = ACTIONS(2448),
    [anon_sym_long] = ACTIONS(2448),
    [anon_sym_short] = ACTIONS(2448),
    [anon_sym_LBRACK] = ACTIONS(2448),
    [anon_sym_static] = ACTIONS(2448),
    [anon_sym_register] = ACTIONS(2448),
    [anon_sym_inline] = ACTIONS(2448),
    [anon_sym___inline] = ACTIONS(2448),
    [anon_sym___inline__] = ACTIONS(2448),
    [anon_sym___forceinline] = ACTIONS(2448),
    [anon_sym_thread_local] = ACTIONS(2448),
    [anon_sym___thread] = ACTIONS(2448),
    [anon_sym_const] = ACTIONS(2448),
    [anon_sym_constexpr] = ACTIONS(2448),
    [anon_sym_volatile] = ACTIONS(2448),
    [anon_sym_restrict] = ACTIONS(2448),
    [anon_sym___restrict__] = ACTIONS(2448),
    [anon_sym__Atomic] = ACTIONS(2448),
    [anon_sym__Noreturn] = ACTIONS(2448),
    [anon_sym_noreturn] = ACTIONS(2448),
    [anon_sym_mutable] = ACTIONS(2448),
    [anon_sym_constinit] = ACTIONS(2448),
    [anon_sym_consteval] = ACTIONS(2448),
    [sym_primitive_type] = ACTIONS(2448),
    [anon_sym_enum] = ACTIONS(2448),
    [anon_sym_class] = ACTIONS(2448),
    [anon_sym_struct] = ACTIONS(2448),
    [anon_sym_union] = ACTIONS(2448),
    [anon_sym_if] = ACTIONS(2448),
    [anon_sym_else] = ACTIONS(2448),
    [anon_sym_switch] = ACTIONS(2448),
    [anon_sym_case] = ACTIONS(2448),
    [anon_sym_default] = ACTIONS(2448),
    [anon_sym_while] = ACTIONS(2448),
    [anon_sym_do] = ACTIONS(2448),
    [anon_sym_for] = ACTIONS(2448),
    [anon_sym_return] = ACTIONS(2448),
    [anon_sym_break] = ACTIONS(2448),
    [anon_sym_continue] = ACTIONS(2448),
    [anon_sym_goto] = ACTIONS(2448),
    [anon_sym___try] = ACTIONS(2448),
    [anon_sym___leave] = ACTIONS(2448),
    [anon_sym_not] = ACTIONS(2448),
    [anon_sym_compl] = ACTIONS(2448),
    [anon_sym_DASH_DASH] = ACTIONS(2450),
    [anon_sym_PLUS_PLUS] = ACTIONS(2450),
    [anon_sym_sizeof] = ACTIONS(2448),
    [anon_sym___alignof__] = ACTIONS(2448),
    [anon_sym___alignof] = ACTIONS(2448),
    [anon_sym__alignof] = ACTIONS(2448),
    [anon_sym_alignof] = ACTIONS(2448),
    [anon_sym__Alignof] = ACTIONS(2448),
    [anon_sym_offsetof] = ACTIONS(2448),
    [anon_sym__Generic] = ACTIONS(2448),
    [anon_sym_asm] = ACTIONS(2448),
    [anon_sym___asm__] = ACTIONS(2448),
    [sym_number_literal] = ACTIONS(2450),
    [anon_sym_L_SQUOTE] = ACTIONS(2450),
    [anon_sym_u_SQUOTE] = ACTIONS(2450),
    [anon_sym_U_SQUOTE] = ACTIONS(2450),
    [anon_sym_u8_SQUOTE] = ACTIONS(2450),
    [anon_sym_SQUOTE] = ACTIONS(2450),
    [anon_sym_L_DQUOTE] = ACTIONS(2450),
    [anon_sym_u_DQUOTE] = ACTIONS(2450),
    [anon_sym_U_DQUOTE] = ACTIONS(2450),
    [anon_sym_u8_DQUOTE] = ACTIONS(2450),
    [anon_sym_DQUOTE] = ACTIONS(2450),
    [sym_true] = ACTIONS(2448),
    [sym_false] = ACTIONS(2448),
    [anon_sym_NULL] = ACTIONS(2448),
    [anon_sym_nullptr] = ACTIONS(2448),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2448),
    [anon_sym_decltype] = ACTIONS(2448),
    [anon_sym_virtual] = ACTIONS(2448),
    [anon_sym_alignas] = ACTIONS(2448),
    [anon_sym_explicit] = ACTIONS(2448),
    [anon_sym_typename] = ACTIONS(2448),
    [anon_sym_template] = ACTIONS(2448),
    [anon_sym_operator] = ACTIONS(2448),
    [anon_sym_try] = ACTIONS(2448),
    [anon_sym_delete] = ACTIONS(2448),
    [anon_sym_throw] = ACTIONS(2448),
    [anon_sym_namespace] = ACTIONS(2448),
    [anon_sym_using] = ACTIONS(2448),
    [anon_sym_static_assert] = ACTIONS(2448),
    [anon_sym_concept] = ACTIONS(2448),
    [anon_sym_co_return] = ACTIONS(2448),
    [anon_sym_co_yield] = ACTIONS(2448),
    [anon_sym_R_DQUOTE] = ACTIONS(2450),
    [anon_sym_LR_DQUOTE] = ACTIONS(2450),
    [anon_sym_uR_DQUOTE] = ACTIONS(2450),
    [anon_sym_UR_DQUOTE] = ACTIONS(2450),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2450),
    [anon_sym_co_await] = ACTIONS(2448),
    [anon_sym_new] = ACTIONS(2448),
    [anon_sym_requires] = ACTIONS(2448),
    [sym_this] = ACTIONS(2448),
    [anon_sym_discard] = ACTIONS(2448),
    [anon_sym_precise] = ACTIONS(2448),
    [anon_sym_shared] = ACTIONS(2448),
    [anon_sym_groupshared] = ACTIONS(2448),
    [anon_sym_uniform] = ACTIONS(2448),
    [anon_sym_row_major] = ACTIONS(2448),
    [anon_sym_column_major] = ACTIONS(2448),
    [anon_sym_globallycoherent] = ACTIONS(2448),
    [anon_sym_centroid] = ACTIONS(2448),
    [anon_sym_noperspective] = ACTIONS(2448),
    [anon_sym_nointerpolation] = ACTIONS(2448),
    [anon_sym_sample] = ACTIONS(2448),
    [anon_sym_linear] = ACTIONS(2448),
    [anon_sym_snorm] = ACTIONS(2448),
    [anon_sym_unorm] = ACTIONS(2448),
    [anon_sym_point] = ACTIONS(2448),
    [anon_sym_line] = ACTIONS(2448),
    [anon_sym_triangleadj] = ACTIONS(2448),
    [anon_sym_lineadj] = ACTIONS(2448),
    [anon_sym_triangle] = ACTIONS(2448),
    [anon_sym_cbuffer] = ACTIONS(2448),
  },
  [830] = {
    [ts_builtin_sym_end] = ACTIONS(2362),
    [sym_identifier] = ACTIONS(2360),
    [aux_sym_preproc_include_token1] = ACTIONS(2360),
    [aux_sym_preproc_def_token1] = ACTIONS(2360),
    [aux_sym_preproc_if_token1] = ACTIONS(2360),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2360),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2360),
    [sym_preproc_directive] = ACTIONS(2360),
    [anon_sym_LPAREN2] = ACTIONS(2362),
    [anon_sym_BANG] = ACTIONS(2362),
    [anon_sym_TILDE] = ACTIONS(2362),
    [anon_sym_DASH] = ACTIONS(2360),
    [anon_sym_PLUS] = ACTIONS(2360),
    [anon_sym_STAR] = ACTIONS(2362),
    [anon_sym_AMP_AMP] = ACTIONS(2362),
    [anon_sym_AMP] = ACTIONS(2360),
    [anon_sym_SEMI] = ACTIONS(2362),
    [anon_sym___extension__] = ACTIONS(2360),
    [anon_sym_typedef] = ACTIONS(2360),
    [anon_sym_in] = ACTIONS(2360),
    [anon_sym_out] = ACTIONS(2360),
    [anon_sym_inout] = ACTIONS(2360),
    [anon_sym_extern] = ACTIONS(2360),
    [anon_sym___attribute__] = ACTIONS(2360),
    [anon_sym_COLON_COLON] = ACTIONS(2362),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2362),
    [anon_sym___declspec] = ACTIONS(2360),
    [anon_sym___based] = ACTIONS(2360),
    [anon_sym___cdecl] = ACTIONS(2360),
    [anon_sym___clrcall] = ACTIONS(2360),
    [anon_sym___stdcall] = ACTIONS(2360),
    [anon_sym___fastcall] = ACTIONS(2360),
    [anon_sym___thiscall] = ACTIONS(2360),
    [anon_sym___vectorcall] = ACTIONS(2360),
    [anon_sym_LBRACE] = ACTIONS(2362),
    [anon_sym_signed] = ACTIONS(2360),
    [anon_sym_unsigned] = ACTIONS(2360),
    [anon_sym_long] = ACTIONS(2360),
    [anon_sym_short] = ACTIONS(2360),
    [anon_sym_LBRACK] = ACTIONS(2360),
    [anon_sym_static] = ACTIONS(2360),
    [anon_sym_register] = ACTIONS(2360),
    [anon_sym_inline] = ACTIONS(2360),
    [anon_sym___inline] = ACTIONS(2360),
    [anon_sym___inline__] = ACTIONS(2360),
    [anon_sym___forceinline] = ACTIONS(2360),
    [anon_sym_thread_local] = ACTIONS(2360),
    [anon_sym___thread] = ACTIONS(2360),
    [anon_sym_const] = ACTIONS(2360),
    [anon_sym_constexpr] = ACTIONS(2360),
    [anon_sym_volatile] = ACTIONS(2360),
    [anon_sym_restrict] = ACTIONS(2360),
    [anon_sym___restrict__] = ACTIONS(2360),
    [anon_sym__Atomic] = ACTIONS(2360),
    [anon_sym__Noreturn] = ACTIONS(2360),
    [anon_sym_noreturn] = ACTIONS(2360),
    [anon_sym_mutable] = ACTIONS(2360),
    [anon_sym_constinit] = ACTIONS(2360),
    [anon_sym_consteval] = ACTIONS(2360),
    [sym_primitive_type] = ACTIONS(2360),
    [anon_sym_enum] = ACTIONS(2360),
    [anon_sym_class] = ACTIONS(2360),
    [anon_sym_struct] = ACTIONS(2360),
    [anon_sym_union] = ACTIONS(2360),
    [anon_sym_if] = ACTIONS(2360),
    [anon_sym_else] = ACTIONS(2360),
    [anon_sym_switch] = ACTIONS(2360),
    [anon_sym_case] = ACTIONS(2360),
    [anon_sym_default] = ACTIONS(2360),
    [anon_sym_while] = ACTIONS(2360),
    [anon_sym_do] = ACTIONS(2360),
    [anon_sym_for] = ACTIONS(2360),
    [anon_sym_return] = ACTIONS(2360),
    [anon_sym_break] = ACTIONS(2360),
    [anon_sym_continue] = ACTIONS(2360),
    [anon_sym_goto] = ACTIONS(2360),
    [anon_sym___try] = ACTIONS(2360),
    [anon_sym___leave] = ACTIONS(2360),
    [anon_sym_not] = ACTIONS(2360),
    [anon_sym_compl] = ACTIONS(2360),
    [anon_sym_DASH_DASH] = ACTIONS(2362),
    [anon_sym_PLUS_PLUS] = ACTIONS(2362),
    [anon_sym_sizeof] = ACTIONS(2360),
    [anon_sym___alignof__] = ACTIONS(2360),
    [anon_sym___alignof] = ACTIONS(2360),
    [anon_sym__alignof] = ACTIONS(2360),
    [anon_sym_alignof] = ACTIONS(2360),
    [anon_sym__Alignof] = ACTIONS(2360),
    [anon_sym_offsetof] = ACTIONS(2360),
    [anon_sym__Generic] = ACTIONS(2360),
    [anon_sym_asm] = ACTIONS(2360),
    [anon_sym___asm__] = ACTIONS(2360),
    [sym_number_literal] = ACTIONS(2362),
    [anon_sym_L_SQUOTE] = ACTIONS(2362),
    [anon_sym_u_SQUOTE] = ACTIONS(2362),
    [anon_sym_U_SQUOTE] = ACTIONS(2362),
    [anon_sym_u8_SQUOTE] = ACTIONS(2362),
    [anon_sym_SQUOTE] = ACTIONS(2362),
    [anon_sym_L_DQUOTE] = ACTIONS(2362),
    [anon_sym_u_DQUOTE] = ACTIONS(2362),
    [anon_sym_U_DQUOTE] = ACTIONS(2362),
    [anon_sym_u8_DQUOTE] = ACTIONS(2362),
    [anon_sym_DQUOTE] = ACTIONS(2362),
    [sym_true] = ACTIONS(2360),
    [sym_false] = ACTIONS(2360),
    [anon_sym_NULL] = ACTIONS(2360),
    [anon_sym_nullptr] = ACTIONS(2360),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2360),
    [anon_sym_decltype] = ACTIONS(2360),
    [anon_sym_virtual] = ACTIONS(2360),
    [anon_sym_alignas] = ACTIONS(2360),
    [anon_sym_explicit] = ACTIONS(2360),
    [anon_sym_typename] = ACTIONS(2360),
    [anon_sym_template] = ACTIONS(2360),
    [anon_sym_operator] = ACTIONS(2360),
    [anon_sym_try] = ACTIONS(2360),
    [anon_sym_delete] = ACTIONS(2360),
    [anon_sym_throw] = ACTIONS(2360),
    [anon_sym_namespace] = ACTIONS(2360),
    [anon_sym_using] = ACTIONS(2360),
    [anon_sym_static_assert] = ACTIONS(2360),
    [anon_sym_concept] = ACTIONS(2360),
    [anon_sym_co_return] = ACTIONS(2360),
    [anon_sym_co_yield] = ACTIONS(2360),
    [anon_sym_R_DQUOTE] = ACTIONS(2362),
    [anon_sym_LR_DQUOTE] = ACTIONS(2362),
    [anon_sym_uR_DQUOTE] = ACTIONS(2362),
    [anon_sym_UR_DQUOTE] = ACTIONS(2362),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2362),
    [anon_sym_co_await] = ACTIONS(2360),
    [anon_sym_new] = ACTIONS(2360),
    [anon_sym_requires] = ACTIONS(2360),
    [sym_this] = ACTIONS(2360),
    [anon_sym_discard] = ACTIONS(2360),
    [anon_sym_precise] = ACTIONS(2360),
    [anon_sym_shared] = ACTIONS(2360),
    [anon_sym_groupshared] = ACTIONS(2360),
    [anon_sym_uniform] = ACTIONS(2360),
    [anon_sym_row_major] = ACTIONS(2360),
    [anon_sym_column_major] = ACTIONS(2360),
    [anon_sym_globallycoherent] = ACTIONS(2360),
    [anon_sym_centroid] = ACTIONS(2360),
    [anon_sym_noperspective] = ACTIONS(2360),
    [anon_sym_nointerpolation] = ACTIONS(2360),
    [anon_sym_sample] = ACTIONS(2360),
    [anon_sym_linear] = ACTIONS(2360),
    [anon_sym_snorm] = ACTIONS(2360),
    [anon_sym_unorm] = ACTIONS(2360),
    [anon_sym_point] = ACTIONS(2360),
    [anon_sym_line] = ACTIONS(2360),
    [anon_sym_triangleadj] = ACTIONS(2360),
    [anon_sym_lineadj] = ACTIONS(2360),
    [anon_sym_triangle] = ACTIONS(2360),
    [anon_sym_cbuffer] = ACTIONS(2360),
  },
  [831] = {
    [sym_identifier] = ACTIONS(2326),
    [aux_sym_preproc_include_token1] = ACTIONS(2326),
    [aux_sym_preproc_def_token1] = ACTIONS(2326),
    [aux_sym_preproc_if_token1] = ACTIONS(2326),
    [aux_sym_preproc_if_token2] = ACTIONS(2326),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2326),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2326),
    [sym_preproc_directive] = ACTIONS(2326),
    [anon_sym_LPAREN2] = ACTIONS(2328),
    [anon_sym_BANG] = ACTIONS(2328),
    [anon_sym_TILDE] = ACTIONS(2328),
    [anon_sym_DASH] = ACTIONS(2326),
    [anon_sym_PLUS] = ACTIONS(2326),
    [anon_sym_STAR] = ACTIONS(2328),
    [anon_sym_AMP_AMP] = ACTIONS(2328),
    [anon_sym_AMP] = ACTIONS(2326),
    [anon_sym_SEMI] = ACTIONS(2328),
    [anon_sym___extension__] = ACTIONS(2326),
    [anon_sym_typedef] = ACTIONS(2326),
    [anon_sym_in] = ACTIONS(2326),
    [anon_sym_out] = ACTIONS(2326),
    [anon_sym_inout] = ACTIONS(2326),
    [anon_sym_extern] = ACTIONS(2326),
    [anon_sym___attribute__] = ACTIONS(2326),
    [anon_sym_COLON_COLON] = ACTIONS(2328),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2328),
    [anon_sym___declspec] = ACTIONS(2326),
    [anon_sym___based] = ACTIONS(2326),
    [anon_sym___cdecl] = ACTIONS(2326),
    [anon_sym___clrcall] = ACTIONS(2326),
    [anon_sym___stdcall] = ACTIONS(2326),
    [anon_sym___fastcall] = ACTIONS(2326),
    [anon_sym___thiscall] = ACTIONS(2326),
    [anon_sym___vectorcall] = ACTIONS(2326),
    [anon_sym_LBRACE] = ACTIONS(2328),
    [anon_sym_signed] = ACTIONS(2326),
    [anon_sym_unsigned] = ACTIONS(2326),
    [anon_sym_long] = ACTIONS(2326),
    [anon_sym_short] = ACTIONS(2326),
    [anon_sym_LBRACK] = ACTIONS(2326),
    [anon_sym_static] = ACTIONS(2326),
    [anon_sym_register] = ACTIONS(2326),
    [anon_sym_inline] = ACTIONS(2326),
    [anon_sym___inline] = ACTIONS(2326),
    [anon_sym___inline__] = ACTIONS(2326),
    [anon_sym___forceinline] = ACTIONS(2326),
    [anon_sym_thread_local] = ACTIONS(2326),
    [anon_sym___thread] = ACTIONS(2326),
    [anon_sym_const] = ACTIONS(2326),
    [anon_sym_constexpr] = ACTIONS(2326),
    [anon_sym_volatile] = ACTIONS(2326),
    [anon_sym_restrict] = ACTIONS(2326),
    [anon_sym___restrict__] = ACTIONS(2326),
    [anon_sym__Atomic] = ACTIONS(2326),
    [anon_sym__Noreturn] = ACTIONS(2326),
    [anon_sym_noreturn] = ACTIONS(2326),
    [anon_sym_mutable] = ACTIONS(2326),
    [anon_sym_constinit] = ACTIONS(2326),
    [anon_sym_consteval] = ACTIONS(2326),
    [sym_primitive_type] = ACTIONS(2326),
    [anon_sym_enum] = ACTIONS(2326),
    [anon_sym_class] = ACTIONS(2326),
    [anon_sym_struct] = ACTIONS(2326),
    [anon_sym_union] = ACTIONS(2326),
    [anon_sym_if] = ACTIONS(2326),
    [anon_sym_else] = ACTIONS(2326),
    [anon_sym_switch] = ACTIONS(2326),
    [anon_sym_case] = ACTIONS(2326),
    [anon_sym_default] = ACTIONS(2326),
    [anon_sym_while] = ACTIONS(2326),
    [anon_sym_do] = ACTIONS(2326),
    [anon_sym_for] = ACTIONS(2326),
    [anon_sym_return] = ACTIONS(2326),
    [anon_sym_break] = ACTIONS(2326),
    [anon_sym_continue] = ACTIONS(2326),
    [anon_sym_goto] = ACTIONS(2326),
    [anon_sym___try] = ACTIONS(2326),
    [anon_sym___leave] = ACTIONS(2326),
    [anon_sym_not] = ACTIONS(2326),
    [anon_sym_compl] = ACTIONS(2326),
    [anon_sym_DASH_DASH] = ACTIONS(2328),
    [anon_sym_PLUS_PLUS] = ACTIONS(2328),
    [anon_sym_sizeof] = ACTIONS(2326),
    [anon_sym___alignof__] = ACTIONS(2326),
    [anon_sym___alignof] = ACTIONS(2326),
    [anon_sym__alignof] = ACTIONS(2326),
    [anon_sym_alignof] = ACTIONS(2326),
    [anon_sym__Alignof] = ACTIONS(2326),
    [anon_sym_offsetof] = ACTIONS(2326),
    [anon_sym__Generic] = ACTIONS(2326),
    [anon_sym_asm] = ACTIONS(2326),
    [anon_sym___asm__] = ACTIONS(2326),
    [sym_number_literal] = ACTIONS(2328),
    [anon_sym_L_SQUOTE] = ACTIONS(2328),
    [anon_sym_u_SQUOTE] = ACTIONS(2328),
    [anon_sym_U_SQUOTE] = ACTIONS(2328),
    [anon_sym_u8_SQUOTE] = ACTIONS(2328),
    [anon_sym_SQUOTE] = ACTIONS(2328),
    [anon_sym_L_DQUOTE] = ACTIONS(2328),
    [anon_sym_u_DQUOTE] = ACTIONS(2328),
    [anon_sym_U_DQUOTE] = ACTIONS(2328),
    [anon_sym_u8_DQUOTE] = ACTIONS(2328),
    [anon_sym_DQUOTE] = ACTIONS(2328),
    [sym_true] = ACTIONS(2326),
    [sym_false] = ACTIONS(2326),
    [anon_sym_NULL] = ACTIONS(2326),
    [anon_sym_nullptr] = ACTIONS(2326),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2326),
    [anon_sym_decltype] = ACTIONS(2326),
    [anon_sym_virtual] = ACTIONS(2326),
    [anon_sym_alignas] = ACTIONS(2326),
    [anon_sym_explicit] = ACTIONS(2326),
    [anon_sym_typename] = ACTIONS(2326),
    [anon_sym_template] = ACTIONS(2326),
    [anon_sym_operator] = ACTIONS(2326),
    [anon_sym_try] = ACTIONS(2326),
    [anon_sym_delete] = ACTIONS(2326),
    [anon_sym_throw] = ACTIONS(2326),
    [anon_sym_namespace] = ACTIONS(2326),
    [anon_sym_using] = ACTIONS(2326),
    [anon_sym_static_assert] = ACTIONS(2326),
    [anon_sym_concept] = ACTIONS(2326),
    [anon_sym_co_return] = ACTIONS(2326),
    [anon_sym_co_yield] = ACTIONS(2326),
    [anon_sym_R_DQUOTE] = ACTIONS(2328),
    [anon_sym_LR_DQUOTE] = ACTIONS(2328),
    [anon_sym_uR_DQUOTE] = ACTIONS(2328),
    [anon_sym_UR_DQUOTE] = ACTIONS(2328),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2328),
    [anon_sym_co_await] = ACTIONS(2326),
    [anon_sym_new] = ACTIONS(2326),
    [anon_sym_requires] = ACTIONS(2326),
    [sym_this] = ACTIONS(2326),
    [anon_sym_discard] = ACTIONS(2326),
    [anon_sym_precise] = ACTIONS(2326),
    [anon_sym_shared] = ACTIONS(2326),
    [anon_sym_groupshared] = ACTIONS(2326),
    [anon_sym_uniform] = ACTIONS(2326),
    [anon_sym_row_major] = ACTIONS(2326),
    [anon_sym_column_major] = ACTIONS(2326),
    [anon_sym_globallycoherent] = ACTIONS(2326),
    [anon_sym_centroid] = ACTIONS(2326),
    [anon_sym_noperspective] = ACTIONS(2326),
    [anon_sym_nointerpolation] = ACTIONS(2326),
    [anon_sym_sample] = ACTIONS(2326),
    [anon_sym_linear] = ACTIONS(2326),
    [anon_sym_snorm] = ACTIONS(2326),
    [anon_sym_unorm] = ACTIONS(2326),
    [anon_sym_point] = ACTIONS(2326),
    [anon_sym_line] = ACTIONS(2326),
    [anon_sym_triangleadj] = ACTIONS(2326),
    [anon_sym_lineadj] = ACTIONS(2326),
    [anon_sym_triangle] = ACTIONS(2326),
    [anon_sym_cbuffer] = ACTIONS(2326),
  },
  [832] = {
    [sym_identifier] = ACTIONS(2492),
    [aux_sym_preproc_include_token1] = ACTIONS(2492),
    [aux_sym_preproc_def_token1] = ACTIONS(2492),
    [aux_sym_preproc_if_token1] = ACTIONS(2492),
    [aux_sym_preproc_if_token2] = ACTIONS(2492),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2492),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2492),
    [sym_preproc_directive] = ACTIONS(2492),
    [anon_sym_LPAREN2] = ACTIONS(2494),
    [anon_sym_BANG] = ACTIONS(2494),
    [anon_sym_TILDE] = ACTIONS(2494),
    [anon_sym_DASH] = ACTIONS(2492),
    [anon_sym_PLUS] = ACTIONS(2492),
    [anon_sym_STAR] = ACTIONS(2494),
    [anon_sym_AMP_AMP] = ACTIONS(2494),
    [anon_sym_AMP] = ACTIONS(2492),
    [anon_sym_SEMI] = ACTIONS(2494),
    [anon_sym___extension__] = ACTIONS(2492),
    [anon_sym_typedef] = ACTIONS(2492),
    [anon_sym_in] = ACTIONS(2492),
    [anon_sym_out] = ACTIONS(2492),
    [anon_sym_inout] = ACTIONS(2492),
    [anon_sym_extern] = ACTIONS(2492),
    [anon_sym___attribute__] = ACTIONS(2492),
    [anon_sym_COLON_COLON] = ACTIONS(2494),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2494),
    [anon_sym___declspec] = ACTIONS(2492),
    [anon_sym___based] = ACTIONS(2492),
    [anon_sym___cdecl] = ACTIONS(2492),
    [anon_sym___clrcall] = ACTIONS(2492),
    [anon_sym___stdcall] = ACTIONS(2492),
    [anon_sym___fastcall] = ACTIONS(2492),
    [anon_sym___thiscall] = ACTIONS(2492),
    [anon_sym___vectorcall] = ACTIONS(2492),
    [anon_sym_LBRACE] = ACTIONS(2494),
    [anon_sym_signed] = ACTIONS(2492),
    [anon_sym_unsigned] = ACTIONS(2492),
    [anon_sym_long] = ACTIONS(2492),
    [anon_sym_short] = ACTIONS(2492),
    [anon_sym_LBRACK] = ACTIONS(2492),
    [anon_sym_static] = ACTIONS(2492),
    [anon_sym_register] = ACTIONS(2492),
    [anon_sym_inline] = ACTIONS(2492),
    [anon_sym___inline] = ACTIONS(2492),
    [anon_sym___inline__] = ACTIONS(2492),
    [anon_sym___forceinline] = ACTIONS(2492),
    [anon_sym_thread_local] = ACTIONS(2492),
    [anon_sym___thread] = ACTIONS(2492),
    [anon_sym_const] = ACTIONS(2492),
    [anon_sym_constexpr] = ACTIONS(2492),
    [anon_sym_volatile] = ACTIONS(2492),
    [anon_sym_restrict] = ACTIONS(2492),
    [anon_sym___restrict__] = ACTIONS(2492),
    [anon_sym__Atomic] = ACTIONS(2492),
    [anon_sym__Noreturn] = ACTIONS(2492),
    [anon_sym_noreturn] = ACTIONS(2492),
    [anon_sym_mutable] = ACTIONS(2492),
    [anon_sym_constinit] = ACTIONS(2492),
    [anon_sym_consteval] = ACTIONS(2492),
    [sym_primitive_type] = ACTIONS(2492),
    [anon_sym_enum] = ACTIONS(2492),
    [anon_sym_class] = ACTIONS(2492),
    [anon_sym_struct] = ACTIONS(2492),
    [anon_sym_union] = ACTIONS(2492),
    [anon_sym_if] = ACTIONS(2492),
    [anon_sym_else] = ACTIONS(2492),
    [anon_sym_switch] = ACTIONS(2492),
    [anon_sym_case] = ACTIONS(2492),
    [anon_sym_default] = ACTIONS(2492),
    [anon_sym_while] = ACTIONS(2492),
    [anon_sym_do] = ACTIONS(2492),
    [anon_sym_for] = ACTIONS(2492),
    [anon_sym_return] = ACTIONS(2492),
    [anon_sym_break] = ACTIONS(2492),
    [anon_sym_continue] = ACTIONS(2492),
    [anon_sym_goto] = ACTIONS(2492),
    [anon_sym___try] = ACTIONS(2492),
    [anon_sym___leave] = ACTIONS(2492),
    [anon_sym_not] = ACTIONS(2492),
    [anon_sym_compl] = ACTIONS(2492),
    [anon_sym_DASH_DASH] = ACTIONS(2494),
    [anon_sym_PLUS_PLUS] = ACTIONS(2494),
    [anon_sym_sizeof] = ACTIONS(2492),
    [anon_sym___alignof__] = ACTIONS(2492),
    [anon_sym___alignof] = ACTIONS(2492),
    [anon_sym__alignof] = ACTIONS(2492),
    [anon_sym_alignof] = ACTIONS(2492),
    [anon_sym__Alignof] = ACTIONS(2492),
    [anon_sym_offsetof] = ACTIONS(2492),
    [anon_sym__Generic] = ACTIONS(2492),
    [anon_sym_asm] = ACTIONS(2492),
    [anon_sym___asm__] = ACTIONS(2492),
    [sym_number_literal] = ACTIONS(2494),
    [anon_sym_L_SQUOTE] = ACTIONS(2494),
    [anon_sym_u_SQUOTE] = ACTIONS(2494),
    [anon_sym_U_SQUOTE] = ACTIONS(2494),
    [anon_sym_u8_SQUOTE] = ACTIONS(2494),
    [anon_sym_SQUOTE] = ACTIONS(2494),
    [anon_sym_L_DQUOTE] = ACTIONS(2494),
    [anon_sym_u_DQUOTE] = ACTIONS(2494),
    [anon_sym_U_DQUOTE] = ACTIONS(2494),
    [anon_sym_u8_DQUOTE] = ACTIONS(2494),
    [anon_sym_DQUOTE] = ACTIONS(2494),
    [sym_true] = ACTIONS(2492),
    [sym_false] = ACTIONS(2492),
    [anon_sym_NULL] = ACTIONS(2492),
    [anon_sym_nullptr] = ACTIONS(2492),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2492),
    [anon_sym_decltype] = ACTIONS(2492),
    [anon_sym_virtual] = ACTIONS(2492),
    [anon_sym_alignas] = ACTIONS(2492),
    [anon_sym_explicit] = ACTIONS(2492),
    [anon_sym_typename] = ACTIONS(2492),
    [anon_sym_template] = ACTIONS(2492),
    [anon_sym_operator] = ACTIONS(2492),
    [anon_sym_try] = ACTIONS(2492),
    [anon_sym_delete] = ACTIONS(2492),
    [anon_sym_throw] = ACTIONS(2492),
    [anon_sym_namespace] = ACTIONS(2492),
    [anon_sym_using] = ACTIONS(2492),
    [anon_sym_static_assert] = ACTIONS(2492),
    [anon_sym_concept] = ACTIONS(2492),
    [anon_sym_co_return] = ACTIONS(2492),
    [anon_sym_co_yield] = ACTIONS(2492),
    [anon_sym_R_DQUOTE] = ACTIONS(2494),
    [anon_sym_LR_DQUOTE] = ACTIONS(2494),
    [anon_sym_uR_DQUOTE] = ACTIONS(2494),
    [anon_sym_UR_DQUOTE] = ACTIONS(2494),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2494),
    [anon_sym_co_await] = ACTIONS(2492),
    [anon_sym_new] = ACTIONS(2492),
    [anon_sym_requires] = ACTIONS(2492),
    [sym_this] = ACTIONS(2492),
    [anon_sym_discard] = ACTIONS(2492),
    [anon_sym_precise] = ACTIONS(2492),
    [anon_sym_shared] = ACTIONS(2492),
    [anon_sym_groupshared] = ACTIONS(2492),
    [anon_sym_uniform] = ACTIONS(2492),
    [anon_sym_row_major] = ACTIONS(2492),
    [anon_sym_column_major] = ACTIONS(2492),
    [anon_sym_globallycoherent] = ACTIONS(2492),
    [anon_sym_centroid] = ACTIONS(2492),
    [anon_sym_noperspective] = ACTIONS(2492),
    [anon_sym_nointerpolation] = ACTIONS(2492),
    [anon_sym_sample] = ACTIONS(2492),
    [anon_sym_linear] = ACTIONS(2492),
    [anon_sym_snorm] = ACTIONS(2492),
    [anon_sym_unorm] = ACTIONS(2492),
    [anon_sym_point] = ACTIONS(2492),
    [anon_sym_line] = ACTIONS(2492),
    [anon_sym_triangleadj] = ACTIONS(2492),
    [anon_sym_lineadj] = ACTIONS(2492),
    [anon_sym_triangle] = ACTIONS(2492),
    [anon_sym_cbuffer] = ACTIONS(2492),
  },
  [833] = {
    [sym_identifier] = ACTIONS(2368),
    [aux_sym_preproc_include_token1] = ACTIONS(2368),
    [aux_sym_preproc_def_token1] = ACTIONS(2368),
    [aux_sym_preproc_if_token1] = ACTIONS(2368),
    [aux_sym_preproc_if_token2] = ACTIONS(2368),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2368),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2368),
    [sym_preproc_directive] = ACTIONS(2368),
    [anon_sym_LPAREN2] = ACTIONS(2370),
    [anon_sym_BANG] = ACTIONS(2370),
    [anon_sym_TILDE] = ACTIONS(2370),
    [anon_sym_DASH] = ACTIONS(2368),
    [anon_sym_PLUS] = ACTIONS(2368),
    [anon_sym_STAR] = ACTIONS(2370),
    [anon_sym_AMP_AMP] = ACTIONS(2370),
    [anon_sym_AMP] = ACTIONS(2368),
    [anon_sym_SEMI] = ACTIONS(2370),
    [anon_sym___extension__] = ACTIONS(2368),
    [anon_sym_typedef] = ACTIONS(2368),
    [anon_sym_in] = ACTIONS(2368),
    [anon_sym_out] = ACTIONS(2368),
    [anon_sym_inout] = ACTIONS(2368),
    [anon_sym_extern] = ACTIONS(2368),
    [anon_sym___attribute__] = ACTIONS(2368),
    [anon_sym_COLON_COLON] = ACTIONS(2370),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2370),
    [anon_sym___declspec] = ACTIONS(2368),
    [anon_sym___based] = ACTIONS(2368),
    [anon_sym___cdecl] = ACTIONS(2368),
    [anon_sym___clrcall] = ACTIONS(2368),
    [anon_sym___stdcall] = ACTIONS(2368),
    [anon_sym___fastcall] = ACTIONS(2368),
    [anon_sym___thiscall] = ACTIONS(2368),
    [anon_sym___vectorcall] = ACTIONS(2368),
    [anon_sym_LBRACE] = ACTIONS(2370),
    [anon_sym_signed] = ACTIONS(2368),
    [anon_sym_unsigned] = ACTIONS(2368),
    [anon_sym_long] = ACTIONS(2368),
    [anon_sym_short] = ACTIONS(2368),
    [anon_sym_LBRACK] = ACTIONS(2368),
    [anon_sym_static] = ACTIONS(2368),
    [anon_sym_register] = ACTIONS(2368),
    [anon_sym_inline] = ACTIONS(2368),
    [anon_sym___inline] = ACTIONS(2368),
    [anon_sym___inline__] = ACTIONS(2368),
    [anon_sym___forceinline] = ACTIONS(2368),
    [anon_sym_thread_local] = ACTIONS(2368),
    [anon_sym___thread] = ACTIONS(2368),
    [anon_sym_const] = ACTIONS(2368),
    [anon_sym_constexpr] = ACTIONS(2368),
    [anon_sym_volatile] = ACTIONS(2368),
    [anon_sym_restrict] = ACTIONS(2368),
    [anon_sym___restrict__] = ACTIONS(2368),
    [anon_sym__Atomic] = ACTIONS(2368),
    [anon_sym__Noreturn] = ACTIONS(2368),
    [anon_sym_noreturn] = ACTIONS(2368),
    [anon_sym_mutable] = ACTIONS(2368),
    [anon_sym_constinit] = ACTIONS(2368),
    [anon_sym_consteval] = ACTIONS(2368),
    [sym_primitive_type] = ACTIONS(2368),
    [anon_sym_enum] = ACTIONS(2368),
    [anon_sym_class] = ACTIONS(2368),
    [anon_sym_struct] = ACTIONS(2368),
    [anon_sym_union] = ACTIONS(2368),
    [anon_sym_if] = ACTIONS(2368),
    [anon_sym_else] = ACTIONS(2368),
    [anon_sym_switch] = ACTIONS(2368),
    [anon_sym_case] = ACTIONS(2368),
    [anon_sym_default] = ACTIONS(2368),
    [anon_sym_while] = ACTIONS(2368),
    [anon_sym_do] = ACTIONS(2368),
    [anon_sym_for] = ACTIONS(2368),
    [anon_sym_return] = ACTIONS(2368),
    [anon_sym_break] = ACTIONS(2368),
    [anon_sym_continue] = ACTIONS(2368),
    [anon_sym_goto] = ACTIONS(2368),
    [anon_sym___try] = ACTIONS(2368),
    [anon_sym___leave] = ACTIONS(2368),
    [anon_sym_not] = ACTIONS(2368),
    [anon_sym_compl] = ACTIONS(2368),
    [anon_sym_DASH_DASH] = ACTIONS(2370),
    [anon_sym_PLUS_PLUS] = ACTIONS(2370),
    [anon_sym_sizeof] = ACTIONS(2368),
    [anon_sym___alignof__] = ACTIONS(2368),
    [anon_sym___alignof] = ACTIONS(2368),
    [anon_sym__alignof] = ACTIONS(2368),
    [anon_sym_alignof] = ACTIONS(2368),
    [anon_sym__Alignof] = ACTIONS(2368),
    [anon_sym_offsetof] = ACTIONS(2368),
    [anon_sym__Generic] = ACTIONS(2368),
    [anon_sym_asm] = ACTIONS(2368),
    [anon_sym___asm__] = ACTIONS(2368),
    [sym_number_literal] = ACTIONS(2370),
    [anon_sym_L_SQUOTE] = ACTIONS(2370),
    [anon_sym_u_SQUOTE] = ACTIONS(2370),
    [anon_sym_U_SQUOTE] = ACTIONS(2370),
    [anon_sym_u8_SQUOTE] = ACTIONS(2370),
    [anon_sym_SQUOTE] = ACTIONS(2370),
    [anon_sym_L_DQUOTE] = ACTIONS(2370),
    [anon_sym_u_DQUOTE] = ACTIONS(2370),
    [anon_sym_U_DQUOTE] = ACTIONS(2370),
    [anon_sym_u8_DQUOTE] = ACTIONS(2370),
    [anon_sym_DQUOTE] = ACTIONS(2370),
    [sym_true] = ACTIONS(2368),
    [sym_false] = ACTIONS(2368),
    [anon_sym_NULL] = ACTIONS(2368),
    [anon_sym_nullptr] = ACTIONS(2368),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2368),
    [anon_sym_decltype] = ACTIONS(2368),
    [anon_sym_virtual] = ACTIONS(2368),
    [anon_sym_alignas] = ACTIONS(2368),
    [anon_sym_explicit] = ACTIONS(2368),
    [anon_sym_typename] = ACTIONS(2368),
    [anon_sym_template] = ACTIONS(2368),
    [anon_sym_operator] = ACTIONS(2368),
    [anon_sym_try] = ACTIONS(2368),
    [anon_sym_delete] = ACTIONS(2368),
    [anon_sym_throw] = ACTIONS(2368),
    [anon_sym_namespace] = ACTIONS(2368),
    [anon_sym_using] = ACTIONS(2368),
    [anon_sym_static_assert] = ACTIONS(2368),
    [anon_sym_concept] = ACTIONS(2368),
    [anon_sym_co_return] = ACTIONS(2368),
    [anon_sym_co_yield] = ACTIONS(2368),
    [anon_sym_R_DQUOTE] = ACTIONS(2370),
    [anon_sym_LR_DQUOTE] = ACTIONS(2370),
    [anon_sym_uR_DQUOTE] = ACTIONS(2370),
    [anon_sym_UR_DQUOTE] = ACTIONS(2370),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2370),
    [anon_sym_co_await] = ACTIONS(2368),
    [anon_sym_new] = ACTIONS(2368),
    [anon_sym_requires] = ACTIONS(2368),
    [sym_this] = ACTIONS(2368),
    [anon_sym_discard] = ACTIONS(2368),
    [anon_sym_precise] = ACTIONS(2368),
    [anon_sym_shared] = ACTIONS(2368),
    [anon_sym_groupshared] = ACTIONS(2368),
    [anon_sym_uniform] = ACTIONS(2368),
    [anon_sym_row_major] = ACTIONS(2368),
    [anon_sym_column_major] = ACTIONS(2368),
    [anon_sym_globallycoherent] = ACTIONS(2368),
    [anon_sym_centroid] = ACTIONS(2368),
    [anon_sym_noperspective] = ACTIONS(2368),
    [anon_sym_nointerpolation] = ACTIONS(2368),
    [anon_sym_sample] = ACTIONS(2368),
    [anon_sym_linear] = ACTIONS(2368),
    [anon_sym_snorm] = ACTIONS(2368),
    [anon_sym_unorm] = ACTIONS(2368),
    [anon_sym_point] = ACTIONS(2368),
    [anon_sym_line] = ACTIONS(2368),
    [anon_sym_triangleadj] = ACTIONS(2368),
    [anon_sym_lineadj] = ACTIONS(2368),
    [anon_sym_triangle] = ACTIONS(2368),
    [anon_sym_cbuffer] = ACTIONS(2368),
  },
  [834] = {
    [ts_builtin_sym_end] = ACTIONS(2382),
    [sym_identifier] = ACTIONS(2380),
    [aux_sym_preproc_include_token1] = ACTIONS(2380),
    [aux_sym_preproc_def_token1] = ACTIONS(2380),
    [aux_sym_preproc_if_token1] = ACTIONS(2380),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2380),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2380),
    [sym_preproc_directive] = ACTIONS(2380),
    [anon_sym_LPAREN2] = ACTIONS(2382),
    [anon_sym_BANG] = ACTIONS(2382),
    [anon_sym_TILDE] = ACTIONS(2382),
    [anon_sym_DASH] = ACTIONS(2380),
    [anon_sym_PLUS] = ACTIONS(2380),
    [anon_sym_STAR] = ACTIONS(2382),
    [anon_sym_AMP_AMP] = ACTIONS(2382),
    [anon_sym_AMP] = ACTIONS(2380),
    [anon_sym_SEMI] = ACTIONS(2382),
    [anon_sym___extension__] = ACTIONS(2380),
    [anon_sym_typedef] = ACTIONS(2380),
    [anon_sym_in] = ACTIONS(2380),
    [anon_sym_out] = ACTIONS(2380),
    [anon_sym_inout] = ACTIONS(2380),
    [anon_sym_extern] = ACTIONS(2380),
    [anon_sym___attribute__] = ACTIONS(2380),
    [anon_sym_COLON_COLON] = ACTIONS(2382),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2382),
    [anon_sym___declspec] = ACTIONS(2380),
    [anon_sym___based] = ACTIONS(2380),
    [anon_sym___cdecl] = ACTIONS(2380),
    [anon_sym___clrcall] = ACTIONS(2380),
    [anon_sym___stdcall] = ACTIONS(2380),
    [anon_sym___fastcall] = ACTIONS(2380),
    [anon_sym___thiscall] = ACTIONS(2380),
    [anon_sym___vectorcall] = ACTIONS(2380),
    [anon_sym_LBRACE] = ACTIONS(2382),
    [anon_sym_signed] = ACTIONS(2380),
    [anon_sym_unsigned] = ACTIONS(2380),
    [anon_sym_long] = ACTIONS(2380),
    [anon_sym_short] = ACTIONS(2380),
    [anon_sym_LBRACK] = ACTIONS(2380),
    [anon_sym_static] = ACTIONS(2380),
    [anon_sym_register] = ACTIONS(2380),
    [anon_sym_inline] = ACTIONS(2380),
    [anon_sym___inline] = ACTIONS(2380),
    [anon_sym___inline__] = ACTIONS(2380),
    [anon_sym___forceinline] = ACTIONS(2380),
    [anon_sym_thread_local] = ACTIONS(2380),
    [anon_sym___thread] = ACTIONS(2380),
    [anon_sym_const] = ACTIONS(2380),
    [anon_sym_constexpr] = ACTIONS(2380),
    [anon_sym_volatile] = ACTIONS(2380),
    [anon_sym_restrict] = ACTIONS(2380),
    [anon_sym___restrict__] = ACTIONS(2380),
    [anon_sym__Atomic] = ACTIONS(2380),
    [anon_sym__Noreturn] = ACTIONS(2380),
    [anon_sym_noreturn] = ACTIONS(2380),
    [anon_sym_mutable] = ACTIONS(2380),
    [anon_sym_constinit] = ACTIONS(2380),
    [anon_sym_consteval] = ACTIONS(2380),
    [sym_primitive_type] = ACTIONS(2380),
    [anon_sym_enum] = ACTIONS(2380),
    [anon_sym_class] = ACTIONS(2380),
    [anon_sym_struct] = ACTIONS(2380),
    [anon_sym_union] = ACTIONS(2380),
    [anon_sym_if] = ACTIONS(2380),
    [anon_sym_else] = ACTIONS(2380),
    [anon_sym_switch] = ACTIONS(2380),
    [anon_sym_case] = ACTIONS(2380),
    [anon_sym_default] = ACTIONS(2380),
    [anon_sym_while] = ACTIONS(2380),
    [anon_sym_do] = ACTIONS(2380),
    [anon_sym_for] = ACTIONS(2380),
    [anon_sym_return] = ACTIONS(2380),
    [anon_sym_break] = ACTIONS(2380),
    [anon_sym_continue] = ACTIONS(2380),
    [anon_sym_goto] = ACTIONS(2380),
    [anon_sym___try] = ACTIONS(2380),
    [anon_sym___leave] = ACTIONS(2380),
    [anon_sym_not] = ACTIONS(2380),
    [anon_sym_compl] = ACTIONS(2380),
    [anon_sym_DASH_DASH] = ACTIONS(2382),
    [anon_sym_PLUS_PLUS] = ACTIONS(2382),
    [anon_sym_sizeof] = ACTIONS(2380),
    [anon_sym___alignof__] = ACTIONS(2380),
    [anon_sym___alignof] = ACTIONS(2380),
    [anon_sym__alignof] = ACTIONS(2380),
    [anon_sym_alignof] = ACTIONS(2380),
    [anon_sym__Alignof] = ACTIONS(2380),
    [anon_sym_offsetof] = ACTIONS(2380),
    [anon_sym__Generic] = ACTIONS(2380),
    [anon_sym_asm] = ACTIONS(2380),
    [anon_sym___asm__] = ACTIONS(2380),
    [sym_number_literal] = ACTIONS(2382),
    [anon_sym_L_SQUOTE] = ACTIONS(2382),
    [anon_sym_u_SQUOTE] = ACTIONS(2382),
    [anon_sym_U_SQUOTE] = ACTIONS(2382),
    [anon_sym_u8_SQUOTE] = ACTIONS(2382),
    [anon_sym_SQUOTE] = ACTIONS(2382),
    [anon_sym_L_DQUOTE] = ACTIONS(2382),
    [anon_sym_u_DQUOTE] = ACTIONS(2382),
    [anon_sym_U_DQUOTE] = ACTIONS(2382),
    [anon_sym_u8_DQUOTE] = ACTIONS(2382),
    [anon_sym_DQUOTE] = ACTIONS(2382),
    [sym_true] = ACTIONS(2380),
    [sym_false] = ACTIONS(2380),
    [anon_sym_NULL] = ACTIONS(2380),
    [anon_sym_nullptr] = ACTIONS(2380),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2380),
    [anon_sym_decltype] = ACTIONS(2380),
    [anon_sym_virtual] = ACTIONS(2380),
    [anon_sym_alignas] = ACTIONS(2380),
    [anon_sym_explicit] = ACTIONS(2380),
    [anon_sym_typename] = ACTIONS(2380),
    [anon_sym_template] = ACTIONS(2380),
    [anon_sym_operator] = ACTIONS(2380),
    [anon_sym_try] = ACTIONS(2380),
    [anon_sym_delete] = ACTIONS(2380),
    [anon_sym_throw] = ACTIONS(2380),
    [anon_sym_namespace] = ACTIONS(2380),
    [anon_sym_using] = ACTIONS(2380),
    [anon_sym_static_assert] = ACTIONS(2380),
    [anon_sym_concept] = ACTIONS(2380),
    [anon_sym_co_return] = ACTIONS(2380),
    [anon_sym_co_yield] = ACTIONS(2380),
    [anon_sym_R_DQUOTE] = ACTIONS(2382),
    [anon_sym_LR_DQUOTE] = ACTIONS(2382),
    [anon_sym_uR_DQUOTE] = ACTIONS(2382),
    [anon_sym_UR_DQUOTE] = ACTIONS(2382),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2382),
    [anon_sym_co_await] = ACTIONS(2380),
    [anon_sym_new] = ACTIONS(2380),
    [anon_sym_requires] = ACTIONS(2380),
    [sym_this] = ACTIONS(2380),
    [anon_sym_discard] = ACTIONS(2380),
    [anon_sym_precise] = ACTIONS(2380),
    [anon_sym_shared] = ACTIONS(2380),
    [anon_sym_groupshared] = ACTIONS(2380),
    [anon_sym_uniform] = ACTIONS(2380),
    [anon_sym_row_major] = ACTIONS(2380),
    [anon_sym_column_major] = ACTIONS(2380),
    [anon_sym_globallycoherent] = ACTIONS(2380),
    [anon_sym_centroid] = ACTIONS(2380),
    [anon_sym_noperspective] = ACTIONS(2380),
    [anon_sym_nointerpolation] = ACTIONS(2380),
    [anon_sym_sample] = ACTIONS(2380),
    [anon_sym_linear] = ACTIONS(2380),
    [anon_sym_snorm] = ACTIONS(2380),
    [anon_sym_unorm] = ACTIONS(2380),
    [anon_sym_point] = ACTIONS(2380),
    [anon_sym_line] = ACTIONS(2380),
    [anon_sym_triangleadj] = ACTIONS(2380),
    [anon_sym_lineadj] = ACTIONS(2380),
    [anon_sym_triangle] = ACTIONS(2380),
    [anon_sym_cbuffer] = ACTIONS(2380),
  },
  [835] = {
    [sym_identifier] = ACTIONS(2444),
    [aux_sym_preproc_include_token1] = ACTIONS(2444),
    [aux_sym_preproc_def_token1] = ACTIONS(2444),
    [aux_sym_preproc_if_token1] = ACTIONS(2444),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2444),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2444),
    [sym_preproc_directive] = ACTIONS(2444),
    [anon_sym_LPAREN2] = ACTIONS(2446),
    [anon_sym_BANG] = ACTIONS(2446),
    [anon_sym_TILDE] = ACTIONS(2446),
    [anon_sym_DASH] = ACTIONS(2444),
    [anon_sym_PLUS] = ACTIONS(2444),
    [anon_sym_STAR] = ACTIONS(2446),
    [anon_sym_AMP_AMP] = ACTIONS(2446),
    [anon_sym_AMP] = ACTIONS(2444),
    [anon_sym_SEMI] = ACTIONS(2446),
    [anon_sym___extension__] = ACTIONS(2444),
    [anon_sym_typedef] = ACTIONS(2444),
    [anon_sym_in] = ACTIONS(2444),
    [anon_sym_out] = ACTIONS(2444),
    [anon_sym_inout] = ACTIONS(2444),
    [anon_sym_extern] = ACTIONS(2444),
    [anon_sym___attribute__] = ACTIONS(2444),
    [anon_sym_COLON_COLON] = ACTIONS(2446),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2446),
    [anon_sym___declspec] = ACTIONS(2444),
    [anon_sym___based] = ACTIONS(2444),
    [anon_sym___cdecl] = ACTIONS(2444),
    [anon_sym___clrcall] = ACTIONS(2444),
    [anon_sym___stdcall] = ACTIONS(2444),
    [anon_sym___fastcall] = ACTIONS(2444),
    [anon_sym___thiscall] = ACTIONS(2444),
    [anon_sym___vectorcall] = ACTIONS(2444),
    [anon_sym_LBRACE] = ACTIONS(2446),
    [anon_sym_RBRACE] = ACTIONS(2446),
    [anon_sym_signed] = ACTIONS(2444),
    [anon_sym_unsigned] = ACTIONS(2444),
    [anon_sym_long] = ACTIONS(2444),
    [anon_sym_short] = ACTIONS(2444),
    [anon_sym_LBRACK] = ACTIONS(2444),
    [anon_sym_static] = ACTIONS(2444),
    [anon_sym_register] = ACTIONS(2444),
    [anon_sym_inline] = ACTIONS(2444),
    [anon_sym___inline] = ACTIONS(2444),
    [anon_sym___inline__] = ACTIONS(2444),
    [anon_sym___forceinline] = ACTIONS(2444),
    [anon_sym_thread_local] = ACTIONS(2444),
    [anon_sym___thread] = ACTIONS(2444),
    [anon_sym_const] = ACTIONS(2444),
    [anon_sym_constexpr] = ACTIONS(2444),
    [anon_sym_volatile] = ACTIONS(2444),
    [anon_sym_restrict] = ACTIONS(2444),
    [anon_sym___restrict__] = ACTIONS(2444),
    [anon_sym__Atomic] = ACTIONS(2444),
    [anon_sym__Noreturn] = ACTIONS(2444),
    [anon_sym_noreturn] = ACTIONS(2444),
    [anon_sym_mutable] = ACTIONS(2444),
    [anon_sym_constinit] = ACTIONS(2444),
    [anon_sym_consteval] = ACTIONS(2444),
    [sym_primitive_type] = ACTIONS(2444),
    [anon_sym_enum] = ACTIONS(2444),
    [anon_sym_class] = ACTIONS(2444),
    [anon_sym_struct] = ACTIONS(2444),
    [anon_sym_union] = ACTIONS(2444),
    [anon_sym_if] = ACTIONS(2444),
    [anon_sym_else] = ACTIONS(2444),
    [anon_sym_switch] = ACTIONS(2444),
    [anon_sym_case] = ACTIONS(2444),
    [anon_sym_default] = ACTIONS(2444),
    [anon_sym_while] = ACTIONS(2444),
    [anon_sym_do] = ACTIONS(2444),
    [anon_sym_for] = ACTIONS(2444),
    [anon_sym_return] = ACTIONS(2444),
    [anon_sym_break] = ACTIONS(2444),
    [anon_sym_continue] = ACTIONS(2444),
    [anon_sym_goto] = ACTIONS(2444),
    [anon_sym___try] = ACTIONS(2444),
    [anon_sym___leave] = ACTIONS(2444),
    [anon_sym_not] = ACTIONS(2444),
    [anon_sym_compl] = ACTIONS(2444),
    [anon_sym_DASH_DASH] = ACTIONS(2446),
    [anon_sym_PLUS_PLUS] = ACTIONS(2446),
    [anon_sym_sizeof] = ACTIONS(2444),
    [anon_sym___alignof__] = ACTIONS(2444),
    [anon_sym___alignof] = ACTIONS(2444),
    [anon_sym__alignof] = ACTIONS(2444),
    [anon_sym_alignof] = ACTIONS(2444),
    [anon_sym__Alignof] = ACTIONS(2444),
    [anon_sym_offsetof] = ACTIONS(2444),
    [anon_sym__Generic] = ACTIONS(2444),
    [anon_sym_asm] = ACTIONS(2444),
    [anon_sym___asm__] = ACTIONS(2444),
    [sym_number_literal] = ACTIONS(2446),
    [anon_sym_L_SQUOTE] = ACTIONS(2446),
    [anon_sym_u_SQUOTE] = ACTIONS(2446),
    [anon_sym_U_SQUOTE] = ACTIONS(2446),
    [anon_sym_u8_SQUOTE] = ACTIONS(2446),
    [anon_sym_SQUOTE] = ACTIONS(2446),
    [anon_sym_L_DQUOTE] = ACTIONS(2446),
    [anon_sym_u_DQUOTE] = ACTIONS(2446),
    [anon_sym_U_DQUOTE] = ACTIONS(2446),
    [anon_sym_u8_DQUOTE] = ACTIONS(2446),
    [anon_sym_DQUOTE] = ACTIONS(2446),
    [sym_true] = ACTIONS(2444),
    [sym_false] = ACTIONS(2444),
    [anon_sym_NULL] = ACTIONS(2444),
    [anon_sym_nullptr] = ACTIONS(2444),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2444),
    [anon_sym_decltype] = ACTIONS(2444),
    [anon_sym_virtual] = ACTIONS(2444),
    [anon_sym_alignas] = ACTIONS(2444),
    [anon_sym_explicit] = ACTIONS(2444),
    [anon_sym_typename] = ACTIONS(2444),
    [anon_sym_template] = ACTIONS(2444),
    [anon_sym_operator] = ACTIONS(2444),
    [anon_sym_try] = ACTIONS(2444),
    [anon_sym_delete] = ACTIONS(2444),
    [anon_sym_throw] = ACTIONS(2444),
    [anon_sym_namespace] = ACTIONS(2444),
    [anon_sym_using] = ACTIONS(2444),
    [anon_sym_static_assert] = ACTIONS(2444),
    [anon_sym_concept] = ACTIONS(2444),
    [anon_sym_co_return] = ACTIONS(2444),
    [anon_sym_co_yield] = ACTIONS(2444),
    [anon_sym_R_DQUOTE] = ACTIONS(2446),
    [anon_sym_LR_DQUOTE] = ACTIONS(2446),
    [anon_sym_uR_DQUOTE] = ACTIONS(2446),
    [anon_sym_UR_DQUOTE] = ACTIONS(2446),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2446),
    [anon_sym_co_await] = ACTIONS(2444),
    [anon_sym_new] = ACTIONS(2444),
    [anon_sym_requires] = ACTIONS(2444),
    [sym_this] = ACTIONS(2444),
    [anon_sym_discard] = ACTIONS(2444),
    [anon_sym_precise] = ACTIONS(2444),
    [anon_sym_shared] = ACTIONS(2444),
    [anon_sym_groupshared] = ACTIONS(2444),
    [anon_sym_uniform] = ACTIONS(2444),
    [anon_sym_row_major] = ACTIONS(2444),
    [anon_sym_column_major] = ACTIONS(2444),
    [anon_sym_globallycoherent] = ACTIONS(2444),
    [anon_sym_centroid] = ACTIONS(2444),
    [anon_sym_noperspective] = ACTIONS(2444),
    [anon_sym_nointerpolation] = ACTIONS(2444),
    [anon_sym_sample] = ACTIONS(2444),
    [anon_sym_linear] = ACTIONS(2444),
    [anon_sym_snorm] = ACTIONS(2444),
    [anon_sym_unorm] = ACTIONS(2444),
    [anon_sym_point] = ACTIONS(2444),
    [anon_sym_line] = ACTIONS(2444),
    [anon_sym_triangleadj] = ACTIONS(2444),
    [anon_sym_lineadj] = ACTIONS(2444),
    [anon_sym_triangle] = ACTIONS(2444),
    [anon_sym_cbuffer] = ACTIONS(2444),
  },
  [836] = {
    [ts_builtin_sym_end] = ACTIONS(2458),
    [sym_identifier] = ACTIONS(2456),
    [aux_sym_preproc_include_token1] = ACTIONS(2456),
    [aux_sym_preproc_def_token1] = ACTIONS(2456),
    [aux_sym_preproc_if_token1] = ACTIONS(2456),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2456),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2456),
    [sym_preproc_directive] = ACTIONS(2456),
    [anon_sym_LPAREN2] = ACTIONS(2458),
    [anon_sym_BANG] = ACTIONS(2458),
    [anon_sym_TILDE] = ACTIONS(2458),
    [anon_sym_DASH] = ACTIONS(2456),
    [anon_sym_PLUS] = ACTIONS(2456),
    [anon_sym_STAR] = ACTIONS(2458),
    [anon_sym_AMP_AMP] = ACTIONS(2458),
    [anon_sym_AMP] = ACTIONS(2456),
    [anon_sym_SEMI] = ACTIONS(2458),
    [anon_sym___extension__] = ACTIONS(2456),
    [anon_sym_typedef] = ACTIONS(2456),
    [anon_sym_in] = ACTIONS(2456),
    [anon_sym_out] = ACTIONS(2456),
    [anon_sym_inout] = ACTIONS(2456),
    [anon_sym_extern] = ACTIONS(2456),
    [anon_sym___attribute__] = ACTIONS(2456),
    [anon_sym_COLON_COLON] = ACTIONS(2458),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2458),
    [anon_sym___declspec] = ACTIONS(2456),
    [anon_sym___based] = ACTIONS(2456),
    [anon_sym___cdecl] = ACTIONS(2456),
    [anon_sym___clrcall] = ACTIONS(2456),
    [anon_sym___stdcall] = ACTIONS(2456),
    [anon_sym___fastcall] = ACTIONS(2456),
    [anon_sym___thiscall] = ACTIONS(2456),
    [anon_sym___vectorcall] = ACTIONS(2456),
    [anon_sym_LBRACE] = ACTIONS(2458),
    [anon_sym_signed] = ACTIONS(2456),
    [anon_sym_unsigned] = ACTIONS(2456),
    [anon_sym_long] = ACTIONS(2456),
    [anon_sym_short] = ACTIONS(2456),
    [anon_sym_LBRACK] = ACTIONS(2456),
    [anon_sym_static] = ACTIONS(2456),
    [anon_sym_register] = ACTIONS(2456),
    [anon_sym_inline] = ACTIONS(2456),
    [anon_sym___inline] = ACTIONS(2456),
    [anon_sym___inline__] = ACTIONS(2456),
    [anon_sym___forceinline] = ACTIONS(2456),
    [anon_sym_thread_local] = ACTIONS(2456),
    [anon_sym___thread] = ACTIONS(2456),
    [anon_sym_const] = ACTIONS(2456),
    [anon_sym_constexpr] = ACTIONS(2456),
    [anon_sym_volatile] = ACTIONS(2456),
    [anon_sym_restrict] = ACTIONS(2456),
    [anon_sym___restrict__] = ACTIONS(2456),
    [anon_sym__Atomic] = ACTIONS(2456),
    [anon_sym__Noreturn] = ACTIONS(2456),
    [anon_sym_noreturn] = ACTIONS(2456),
    [anon_sym_mutable] = ACTIONS(2456),
    [anon_sym_constinit] = ACTIONS(2456),
    [anon_sym_consteval] = ACTIONS(2456),
    [sym_primitive_type] = ACTIONS(2456),
    [anon_sym_enum] = ACTIONS(2456),
    [anon_sym_class] = ACTIONS(2456),
    [anon_sym_struct] = ACTIONS(2456),
    [anon_sym_union] = ACTIONS(2456),
    [anon_sym_if] = ACTIONS(2456),
    [anon_sym_else] = ACTIONS(2456),
    [anon_sym_switch] = ACTIONS(2456),
    [anon_sym_case] = ACTIONS(2456),
    [anon_sym_default] = ACTIONS(2456),
    [anon_sym_while] = ACTIONS(2456),
    [anon_sym_do] = ACTIONS(2456),
    [anon_sym_for] = ACTIONS(2456),
    [anon_sym_return] = ACTIONS(2456),
    [anon_sym_break] = ACTIONS(2456),
    [anon_sym_continue] = ACTIONS(2456),
    [anon_sym_goto] = ACTIONS(2456),
    [anon_sym___try] = ACTIONS(2456),
    [anon_sym___leave] = ACTIONS(2456),
    [anon_sym_not] = ACTIONS(2456),
    [anon_sym_compl] = ACTIONS(2456),
    [anon_sym_DASH_DASH] = ACTIONS(2458),
    [anon_sym_PLUS_PLUS] = ACTIONS(2458),
    [anon_sym_sizeof] = ACTIONS(2456),
    [anon_sym___alignof__] = ACTIONS(2456),
    [anon_sym___alignof] = ACTIONS(2456),
    [anon_sym__alignof] = ACTIONS(2456),
    [anon_sym_alignof] = ACTIONS(2456),
    [anon_sym__Alignof] = ACTIONS(2456),
    [anon_sym_offsetof] = ACTIONS(2456),
    [anon_sym__Generic] = ACTIONS(2456),
    [anon_sym_asm] = ACTIONS(2456),
    [anon_sym___asm__] = ACTIONS(2456),
    [sym_number_literal] = ACTIONS(2458),
    [anon_sym_L_SQUOTE] = ACTIONS(2458),
    [anon_sym_u_SQUOTE] = ACTIONS(2458),
    [anon_sym_U_SQUOTE] = ACTIONS(2458),
    [anon_sym_u8_SQUOTE] = ACTIONS(2458),
    [anon_sym_SQUOTE] = ACTIONS(2458),
    [anon_sym_L_DQUOTE] = ACTIONS(2458),
    [anon_sym_u_DQUOTE] = ACTIONS(2458),
    [anon_sym_U_DQUOTE] = ACTIONS(2458),
    [anon_sym_u8_DQUOTE] = ACTIONS(2458),
    [anon_sym_DQUOTE] = ACTIONS(2458),
    [sym_true] = ACTIONS(2456),
    [sym_false] = ACTIONS(2456),
    [anon_sym_NULL] = ACTIONS(2456),
    [anon_sym_nullptr] = ACTIONS(2456),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2456),
    [anon_sym_decltype] = ACTIONS(2456),
    [anon_sym_virtual] = ACTIONS(2456),
    [anon_sym_alignas] = ACTIONS(2456),
    [anon_sym_explicit] = ACTIONS(2456),
    [anon_sym_typename] = ACTIONS(2456),
    [anon_sym_template] = ACTIONS(2456),
    [anon_sym_operator] = ACTIONS(2456),
    [anon_sym_try] = ACTIONS(2456),
    [anon_sym_delete] = ACTIONS(2456),
    [anon_sym_throw] = ACTIONS(2456),
    [anon_sym_namespace] = ACTIONS(2456),
    [anon_sym_using] = ACTIONS(2456),
    [anon_sym_static_assert] = ACTIONS(2456),
    [anon_sym_concept] = ACTIONS(2456),
    [anon_sym_co_return] = ACTIONS(2456),
    [anon_sym_co_yield] = ACTIONS(2456),
    [anon_sym_R_DQUOTE] = ACTIONS(2458),
    [anon_sym_LR_DQUOTE] = ACTIONS(2458),
    [anon_sym_uR_DQUOTE] = ACTIONS(2458),
    [anon_sym_UR_DQUOTE] = ACTIONS(2458),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2458),
    [anon_sym_co_await] = ACTIONS(2456),
    [anon_sym_new] = ACTIONS(2456),
    [anon_sym_requires] = ACTIONS(2456),
    [sym_this] = ACTIONS(2456),
    [anon_sym_discard] = ACTIONS(2456),
    [anon_sym_precise] = ACTIONS(2456),
    [anon_sym_shared] = ACTIONS(2456),
    [anon_sym_groupshared] = ACTIONS(2456),
    [anon_sym_uniform] = ACTIONS(2456),
    [anon_sym_row_major] = ACTIONS(2456),
    [anon_sym_column_major] = ACTIONS(2456),
    [anon_sym_globallycoherent] = ACTIONS(2456),
    [anon_sym_centroid] = ACTIONS(2456),
    [anon_sym_noperspective] = ACTIONS(2456),
    [anon_sym_nointerpolation] = ACTIONS(2456),
    [anon_sym_sample] = ACTIONS(2456),
    [anon_sym_linear] = ACTIONS(2456),
    [anon_sym_snorm] = ACTIONS(2456),
    [anon_sym_unorm] = ACTIONS(2456),
    [anon_sym_point] = ACTIONS(2456),
    [anon_sym_line] = ACTIONS(2456),
    [anon_sym_triangleadj] = ACTIONS(2456),
    [anon_sym_lineadj] = ACTIONS(2456),
    [anon_sym_triangle] = ACTIONS(2456),
    [anon_sym_cbuffer] = ACTIONS(2456),
  },
  [837] = {
    [sym_identifier] = ACTIONS(2396),
    [aux_sym_preproc_include_token1] = ACTIONS(2396),
    [aux_sym_preproc_def_token1] = ACTIONS(2396),
    [aux_sym_preproc_if_token1] = ACTIONS(2396),
    [aux_sym_preproc_if_token2] = ACTIONS(2396),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2396),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2396),
    [sym_preproc_directive] = ACTIONS(2396),
    [anon_sym_LPAREN2] = ACTIONS(2398),
    [anon_sym_BANG] = ACTIONS(2398),
    [anon_sym_TILDE] = ACTIONS(2398),
    [anon_sym_DASH] = ACTIONS(2396),
    [anon_sym_PLUS] = ACTIONS(2396),
    [anon_sym_STAR] = ACTIONS(2398),
    [anon_sym_AMP_AMP] = ACTIONS(2398),
    [anon_sym_AMP] = ACTIONS(2396),
    [anon_sym_SEMI] = ACTIONS(2398),
    [anon_sym___extension__] = ACTIONS(2396),
    [anon_sym_typedef] = ACTIONS(2396),
    [anon_sym_in] = ACTIONS(2396),
    [anon_sym_out] = ACTIONS(2396),
    [anon_sym_inout] = ACTIONS(2396),
    [anon_sym_extern] = ACTIONS(2396),
    [anon_sym___attribute__] = ACTIONS(2396),
    [anon_sym_COLON_COLON] = ACTIONS(2398),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2398),
    [anon_sym___declspec] = ACTIONS(2396),
    [anon_sym___based] = ACTIONS(2396),
    [anon_sym___cdecl] = ACTIONS(2396),
    [anon_sym___clrcall] = ACTIONS(2396),
    [anon_sym___stdcall] = ACTIONS(2396),
    [anon_sym___fastcall] = ACTIONS(2396),
    [anon_sym___thiscall] = ACTIONS(2396),
    [anon_sym___vectorcall] = ACTIONS(2396),
    [anon_sym_LBRACE] = ACTIONS(2398),
    [anon_sym_signed] = ACTIONS(2396),
    [anon_sym_unsigned] = ACTIONS(2396),
    [anon_sym_long] = ACTIONS(2396),
    [anon_sym_short] = ACTIONS(2396),
    [anon_sym_LBRACK] = ACTIONS(2396),
    [anon_sym_static] = ACTIONS(2396),
    [anon_sym_register] = ACTIONS(2396),
    [anon_sym_inline] = ACTIONS(2396),
    [anon_sym___inline] = ACTIONS(2396),
    [anon_sym___inline__] = ACTIONS(2396),
    [anon_sym___forceinline] = ACTIONS(2396),
    [anon_sym_thread_local] = ACTIONS(2396),
    [anon_sym___thread] = ACTIONS(2396),
    [anon_sym_const] = ACTIONS(2396),
    [anon_sym_constexpr] = ACTIONS(2396),
    [anon_sym_volatile] = ACTIONS(2396),
    [anon_sym_restrict] = ACTIONS(2396),
    [anon_sym___restrict__] = ACTIONS(2396),
    [anon_sym__Atomic] = ACTIONS(2396),
    [anon_sym__Noreturn] = ACTIONS(2396),
    [anon_sym_noreturn] = ACTIONS(2396),
    [anon_sym_mutable] = ACTIONS(2396),
    [anon_sym_constinit] = ACTIONS(2396),
    [anon_sym_consteval] = ACTIONS(2396),
    [sym_primitive_type] = ACTIONS(2396),
    [anon_sym_enum] = ACTIONS(2396),
    [anon_sym_class] = ACTIONS(2396),
    [anon_sym_struct] = ACTIONS(2396),
    [anon_sym_union] = ACTIONS(2396),
    [anon_sym_if] = ACTIONS(2396),
    [anon_sym_else] = ACTIONS(2396),
    [anon_sym_switch] = ACTIONS(2396),
    [anon_sym_case] = ACTIONS(2396),
    [anon_sym_default] = ACTIONS(2396),
    [anon_sym_while] = ACTIONS(2396),
    [anon_sym_do] = ACTIONS(2396),
    [anon_sym_for] = ACTIONS(2396),
    [anon_sym_return] = ACTIONS(2396),
    [anon_sym_break] = ACTIONS(2396),
    [anon_sym_continue] = ACTIONS(2396),
    [anon_sym_goto] = ACTIONS(2396),
    [anon_sym___try] = ACTIONS(2396),
    [anon_sym___leave] = ACTIONS(2396),
    [anon_sym_not] = ACTIONS(2396),
    [anon_sym_compl] = ACTIONS(2396),
    [anon_sym_DASH_DASH] = ACTIONS(2398),
    [anon_sym_PLUS_PLUS] = ACTIONS(2398),
    [anon_sym_sizeof] = ACTIONS(2396),
    [anon_sym___alignof__] = ACTIONS(2396),
    [anon_sym___alignof] = ACTIONS(2396),
    [anon_sym__alignof] = ACTIONS(2396),
    [anon_sym_alignof] = ACTIONS(2396),
    [anon_sym__Alignof] = ACTIONS(2396),
    [anon_sym_offsetof] = ACTIONS(2396),
    [anon_sym__Generic] = ACTIONS(2396),
    [anon_sym_asm] = ACTIONS(2396),
    [anon_sym___asm__] = ACTIONS(2396),
    [sym_number_literal] = ACTIONS(2398),
    [anon_sym_L_SQUOTE] = ACTIONS(2398),
    [anon_sym_u_SQUOTE] = ACTIONS(2398),
    [anon_sym_U_SQUOTE] = ACTIONS(2398),
    [anon_sym_u8_SQUOTE] = ACTIONS(2398),
    [anon_sym_SQUOTE] = ACTIONS(2398),
    [anon_sym_L_DQUOTE] = ACTIONS(2398),
    [anon_sym_u_DQUOTE] = ACTIONS(2398),
    [anon_sym_U_DQUOTE] = ACTIONS(2398),
    [anon_sym_u8_DQUOTE] = ACTIONS(2398),
    [anon_sym_DQUOTE] = ACTIONS(2398),
    [sym_true] = ACTIONS(2396),
    [sym_false] = ACTIONS(2396),
    [anon_sym_NULL] = ACTIONS(2396),
    [anon_sym_nullptr] = ACTIONS(2396),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2396),
    [anon_sym_decltype] = ACTIONS(2396),
    [anon_sym_virtual] = ACTIONS(2396),
    [anon_sym_alignas] = ACTIONS(2396),
    [anon_sym_explicit] = ACTIONS(2396),
    [anon_sym_typename] = ACTIONS(2396),
    [anon_sym_template] = ACTIONS(2396),
    [anon_sym_operator] = ACTIONS(2396),
    [anon_sym_try] = ACTIONS(2396),
    [anon_sym_delete] = ACTIONS(2396),
    [anon_sym_throw] = ACTIONS(2396),
    [anon_sym_namespace] = ACTIONS(2396),
    [anon_sym_using] = ACTIONS(2396),
    [anon_sym_static_assert] = ACTIONS(2396),
    [anon_sym_concept] = ACTIONS(2396),
    [anon_sym_co_return] = ACTIONS(2396),
    [anon_sym_co_yield] = ACTIONS(2396),
    [anon_sym_R_DQUOTE] = ACTIONS(2398),
    [anon_sym_LR_DQUOTE] = ACTIONS(2398),
    [anon_sym_uR_DQUOTE] = ACTIONS(2398),
    [anon_sym_UR_DQUOTE] = ACTIONS(2398),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2398),
    [anon_sym_co_await] = ACTIONS(2396),
    [anon_sym_new] = ACTIONS(2396),
    [anon_sym_requires] = ACTIONS(2396),
    [sym_this] = ACTIONS(2396),
    [anon_sym_discard] = ACTIONS(2396),
    [anon_sym_precise] = ACTIONS(2396),
    [anon_sym_shared] = ACTIONS(2396),
    [anon_sym_groupshared] = ACTIONS(2396),
    [anon_sym_uniform] = ACTIONS(2396),
    [anon_sym_row_major] = ACTIONS(2396),
    [anon_sym_column_major] = ACTIONS(2396),
    [anon_sym_globallycoherent] = ACTIONS(2396),
    [anon_sym_centroid] = ACTIONS(2396),
    [anon_sym_noperspective] = ACTIONS(2396),
    [anon_sym_nointerpolation] = ACTIONS(2396),
    [anon_sym_sample] = ACTIONS(2396),
    [anon_sym_linear] = ACTIONS(2396),
    [anon_sym_snorm] = ACTIONS(2396),
    [anon_sym_unorm] = ACTIONS(2396),
    [anon_sym_point] = ACTIONS(2396),
    [anon_sym_line] = ACTIONS(2396),
    [anon_sym_triangleadj] = ACTIONS(2396),
    [anon_sym_lineadj] = ACTIONS(2396),
    [anon_sym_triangle] = ACTIONS(2396),
    [anon_sym_cbuffer] = ACTIONS(2396),
  },
  [838] = {
    [sym_identifier] = ACTIONS(2360),
    [aux_sym_preproc_include_token1] = ACTIONS(2360),
    [aux_sym_preproc_def_token1] = ACTIONS(2360),
    [aux_sym_preproc_if_token1] = ACTIONS(2360),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2360),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2360),
    [sym_preproc_directive] = ACTIONS(2360),
    [anon_sym_LPAREN2] = ACTIONS(2362),
    [anon_sym_BANG] = ACTIONS(2362),
    [anon_sym_TILDE] = ACTIONS(2362),
    [anon_sym_DASH] = ACTIONS(2360),
    [anon_sym_PLUS] = ACTIONS(2360),
    [anon_sym_STAR] = ACTIONS(2362),
    [anon_sym_AMP_AMP] = ACTIONS(2362),
    [anon_sym_AMP] = ACTIONS(2360),
    [anon_sym_SEMI] = ACTIONS(2362),
    [anon_sym___extension__] = ACTIONS(2360),
    [anon_sym_typedef] = ACTIONS(2360),
    [anon_sym_in] = ACTIONS(2360),
    [anon_sym_out] = ACTIONS(2360),
    [anon_sym_inout] = ACTIONS(2360),
    [anon_sym_extern] = ACTIONS(2360),
    [anon_sym___attribute__] = ACTIONS(2360),
    [anon_sym_COLON_COLON] = ACTIONS(2362),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2362),
    [anon_sym___declspec] = ACTIONS(2360),
    [anon_sym___based] = ACTIONS(2360),
    [anon_sym___cdecl] = ACTIONS(2360),
    [anon_sym___clrcall] = ACTIONS(2360),
    [anon_sym___stdcall] = ACTIONS(2360),
    [anon_sym___fastcall] = ACTIONS(2360),
    [anon_sym___thiscall] = ACTIONS(2360),
    [anon_sym___vectorcall] = ACTIONS(2360),
    [anon_sym_LBRACE] = ACTIONS(2362),
    [anon_sym_RBRACE] = ACTIONS(2362),
    [anon_sym_signed] = ACTIONS(2360),
    [anon_sym_unsigned] = ACTIONS(2360),
    [anon_sym_long] = ACTIONS(2360),
    [anon_sym_short] = ACTIONS(2360),
    [anon_sym_LBRACK] = ACTIONS(2360),
    [anon_sym_static] = ACTIONS(2360),
    [anon_sym_register] = ACTIONS(2360),
    [anon_sym_inline] = ACTIONS(2360),
    [anon_sym___inline] = ACTIONS(2360),
    [anon_sym___inline__] = ACTIONS(2360),
    [anon_sym___forceinline] = ACTIONS(2360),
    [anon_sym_thread_local] = ACTIONS(2360),
    [anon_sym___thread] = ACTIONS(2360),
    [anon_sym_const] = ACTIONS(2360),
    [anon_sym_constexpr] = ACTIONS(2360),
    [anon_sym_volatile] = ACTIONS(2360),
    [anon_sym_restrict] = ACTIONS(2360),
    [anon_sym___restrict__] = ACTIONS(2360),
    [anon_sym__Atomic] = ACTIONS(2360),
    [anon_sym__Noreturn] = ACTIONS(2360),
    [anon_sym_noreturn] = ACTIONS(2360),
    [anon_sym_mutable] = ACTIONS(2360),
    [anon_sym_constinit] = ACTIONS(2360),
    [anon_sym_consteval] = ACTIONS(2360),
    [sym_primitive_type] = ACTIONS(2360),
    [anon_sym_enum] = ACTIONS(2360),
    [anon_sym_class] = ACTIONS(2360),
    [anon_sym_struct] = ACTIONS(2360),
    [anon_sym_union] = ACTIONS(2360),
    [anon_sym_if] = ACTIONS(2360),
    [anon_sym_else] = ACTIONS(2360),
    [anon_sym_switch] = ACTIONS(2360),
    [anon_sym_case] = ACTIONS(2360),
    [anon_sym_default] = ACTIONS(2360),
    [anon_sym_while] = ACTIONS(2360),
    [anon_sym_do] = ACTIONS(2360),
    [anon_sym_for] = ACTIONS(2360),
    [anon_sym_return] = ACTIONS(2360),
    [anon_sym_break] = ACTIONS(2360),
    [anon_sym_continue] = ACTIONS(2360),
    [anon_sym_goto] = ACTIONS(2360),
    [anon_sym___try] = ACTIONS(2360),
    [anon_sym___leave] = ACTIONS(2360),
    [anon_sym_not] = ACTIONS(2360),
    [anon_sym_compl] = ACTIONS(2360),
    [anon_sym_DASH_DASH] = ACTIONS(2362),
    [anon_sym_PLUS_PLUS] = ACTIONS(2362),
    [anon_sym_sizeof] = ACTIONS(2360),
    [anon_sym___alignof__] = ACTIONS(2360),
    [anon_sym___alignof] = ACTIONS(2360),
    [anon_sym__alignof] = ACTIONS(2360),
    [anon_sym_alignof] = ACTIONS(2360),
    [anon_sym__Alignof] = ACTIONS(2360),
    [anon_sym_offsetof] = ACTIONS(2360),
    [anon_sym__Generic] = ACTIONS(2360),
    [anon_sym_asm] = ACTIONS(2360),
    [anon_sym___asm__] = ACTIONS(2360),
    [sym_number_literal] = ACTIONS(2362),
    [anon_sym_L_SQUOTE] = ACTIONS(2362),
    [anon_sym_u_SQUOTE] = ACTIONS(2362),
    [anon_sym_U_SQUOTE] = ACTIONS(2362),
    [anon_sym_u8_SQUOTE] = ACTIONS(2362),
    [anon_sym_SQUOTE] = ACTIONS(2362),
    [anon_sym_L_DQUOTE] = ACTIONS(2362),
    [anon_sym_u_DQUOTE] = ACTIONS(2362),
    [anon_sym_U_DQUOTE] = ACTIONS(2362),
    [anon_sym_u8_DQUOTE] = ACTIONS(2362),
    [anon_sym_DQUOTE] = ACTIONS(2362),
    [sym_true] = ACTIONS(2360),
    [sym_false] = ACTIONS(2360),
    [anon_sym_NULL] = ACTIONS(2360),
    [anon_sym_nullptr] = ACTIONS(2360),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2360),
    [anon_sym_decltype] = ACTIONS(2360),
    [anon_sym_virtual] = ACTIONS(2360),
    [anon_sym_alignas] = ACTIONS(2360),
    [anon_sym_explicit] = ACTIONS(2360),
    [anon_sym_typename] = ACTIONS(2360),
    [anon_sym_template] = ACTIONS(2360),
    [anon_sym_operator] = ACTIONS(2360),
    [anon_sym_try] = ACTIONS(2360),
    [anon_sym_delete] = ACTIONS(2360),
    [anon_sym_throw] = ACTIONS(2360),
    [anon_sym_namespace] = ACTIONS(2360),
    [anon_sym_using] = ACTIONS(2360),
    [anon_sym_static_assert] = ACTIONS(2360),
    [anon_sym_concept] = ACTIONS(2360),
    [anon_sym_co_return] = ACTIONS(2360),
    [anon_sym_co_yield] = ACTIONS(2360),
    [anon_sym_R_DQUOTE] = ACTIONS(2362),
    [anon_sym_LR_DQUOTE] = ACTIONS(2362),
    [anon_sym_uR_DQUOTE] = ACTIONS(2362),
    [anon_sym_UR_DQUOTE] = ACTIONS(2362),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2362),
    [anon_sym_co_await] = ACTIONS(2360),
    [anon_sym_new] = ACTIONS(2360),
    [anon_sym_requires] = ACTIONS(2360),
    [sym_this] = ACTIONS(2360),
    [anon_sym_discard] = ACTIONS(2360),
    [anon_sym_precise] = ACTIONS(2360),
    [anon_sym_shared] = ACTIONS(2360),
    [anon_sym_groupshared] = ACTIONS(2360),
    [anon_sym_uniform] = ACTIONS(2360),
    [anon_sym_row_major] = ACTIONS(2360),
    [anon_sym_column_major] = ACTIONS(2360),
    [anon_sym_globallycoherent] = ACTIONS(2360),
    [anon_sym_centroid] = ACTIONS(2360),
    [anon_sym_noperspective] = ACTIONS(2360),
    [anon_sym_nointerpolation] = ACTIONS(2360),
    [anon_sym_sample] = ACTIONS(2360),
    [anon_sym_linear] = ACTIONS(2360),
    [anon_sym_snorm] = ACTIONS(2360),
    [anon_sym_unorm] = ACTIONS(2360),
    [anon_sym_point] = ACTIONS(2360),
    [anon_sym_line] = ACTIONS(2360),
    [anon_sym_triangleadj] = ACTIONS(2360),
    [anon_sym_lineadj] = ACTIONS(2360),
    [anon_sym_triangle] = ACTIONS(2360),
    [anon_sym_cbuffer] = ACTIONS(2360),
  },
  [839] = {
    [sym_identifier] = ACTIONS(2334),
    [aux_sym_preproc_include_token1] = ACTIONS(2334),
    [aux_sym_preproc_def_token1] = ACTIONS(2334),
    [aux_sym_preproc_if_token1] = ACTIONS(2334),
    [aux_sym_preproc_if_token2] = ACTIONS(2334),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2334),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2334),
    [sym_preproc_directive] = ACTIONS(2334),
    [anon_sym_LPAREN2] = ACTIONS(2336),
    [anon_sym_BANG] = ACTIONS(2336),
    [anon_sym_TILDE] = ACTIONS(2336),
    [anon_sym_DASH] = ACTIONS(2334),
    [anon_sym_PLUS] = ACTIONS(2334),
    [anon_sym_STAR] = ACTIONS(2336),
    [anon_sym_AMP_AMP] = ACTIONS(2336),
    [anon_sym_AMP] = ACTIONS(2334),
    [anon_sym_SEMI] = ACTIONS(2336),
    [anon_sym___extension__] = ACTIONS(2334),
    [anon_sym_typedef] = ACTIONS(2334),
    [anon_sym_in] = ACTIONS(2334),
    [anon_sym_out] = ACTIONS(2334),
    [anon_sym_inout] = ACTIONS(2334),
    [anon_sym_extern] = ACTIONS(2334),
    [anon_sym___attribute__] = ACTIONS(2334),
    [anon_sym_COLON_COLON] = ACTIONS(2336),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2336),
    [anon_sym___declspec] = ACTIONS(2334),
    [anon_sym___based] = ACTIONS(2334),
    [anon_sym___cdecl] = ACTIONS(2334),
    [anon_sym___clrcall] = ACTIONS(2334),
    [anon_sym___stdcall] = ACTIONS(2334),
    [anon_sym___fastcall] = ACTIONS(2334),
    [anon_sym___thiscall] = ACTIONS(2334),
    [anon_sym___vectorcall] = ACTIONS(2334),
    [anon_sym_LBRACE] = ACTIONS(2336),
    [anon_sym_signed] = ACTIONS(2334),
    [anon_sym_unsigned] = ACTIONS(2334),
    [anon_sym_long] = ACTIONS(2334),
    [anon_sym_short] = ACTIONS(2334),
    [anon_sym_LBRACK] = ACTIONS(2334),
    [anon_sym_static] = ACTIONS(2334),
    [anon_sym_register] = ACTIONS(2334),
    [anon_sym_inline] = ACTIONS(2334),
    [anon_sym___inline] = ACTIONS(2334),
    [anon_sym___inline__] = ACTIONS(2334),
    [anon_sym___forceinline] = ACTIONS(2334),
    [anon_sym_thread_local] = ACTIONS(2334),
    [anon_sym___thread] = ACTIONS(2334),
    [anon_sym_const] = ACTIONS(2334),
    [anon_sym_constexpr] = ACTIONS(2334),
    [anon_sym_volatile] = ACTIONS(2334),
    [anon_sym_restrict] = ACTIONS(2334),
    [anon_sym___restrict__] = ACTIONS(2334),
    [anon_sym__Atomic] = ACTIONS(2334),
    [anon_sym__Noreturn] = ACTIONS(2334),
    [anon_sym_noreturn] = ACTIONS(2334),
    [anon_sym_mutable] = ACTIONS(2334),
    [anon_sym_constinit] = ACTIONS(2334),
    [anon_sym_consteval] = ACTIONS(2334),
    [sym_primitive_type] = ACTIONS(2334),
    [anon_sym_enum] = ACTIONS(2334),
    [anon_sym_class] = ACTIONS(2334),
    [anon_sym_struct] = ACTIONS(2334),
    [anon_sym_union] = ACTIONS(2334),
    [anon_sym_if] = ACTIONS(2334),
    [anon_sym_else] = ACTIONS(2334),
    [anon_sym_switch] = ACTIONS(2334),
    [anon_sym_case] = ACTIONS(2334),
    [anon_sym_default] = ACTIONS(2334),
    [anon_sym_while] = ACTIONS(2334),
    [anon_sym_do] = ACTIONS(2334),
    [anon_sym_for] = ACTIONS(2334),
    [anon_sym_return] = ACTIONS(2334),
    [anon_sym_break] = ACTIONS(2334),
    [anon_sym_continue] = ACTIONS(2334),
    [anon_sym_goto] = ACTIONS(2334),
    [anon_sym___try] = ACTIONS(2334),
    [anon_sym___leave] = ACTIONS(2334),
    [anon_sym_not] = ACTIONS(2334),
    [anon_sym_compl] = ACTIONS(2334),
    [anon_sym_DASH_DASH] = ACTIONS(2336),
    [anon_sym_PLUS_PLUS] = ACTIONS(2336),
    [anon_sym_sizeof] = ACTIONS(2334),
    [anon_sym___alignof__] = ACTIONS(2334),
    [anon_sym___alignof] = ACTIONS(2334),
    [anon_sym__alignof] = ACTIONS(2334),
    [anon_sym_alignof] = ACTIONS(2334),
    [anon_sym__Alignof] = ACTIONS(2334),
    [anon_sym_offsetof] = ACTIONS(2334),
    [anon_sym__Generic] = ACTIONS(2334),
    [anon_sym_asm] = ACTIONS(2334),
    [anon_sym___asm__] = ACTIONS(2334),
    [sym_number_literal] = ACTIONS(2336),
    [anon_sym_L_SQUOTE] = ACTIONS(2336),
    [anon_sym_u_SQUOTE] = ACTIONS(2336),
    [anon_sym_U_SQUOTE] = ACTIONS(2336),
    [anon_sym_u8_SQUOTE] = ACTIONS(2336),
    [anon_sym_SQUOTE] = ACTIONS(2336),
    [anon_sym_L_DQUOTE] = ACTIONS(2336),
    [anon_sym_u_DQUOTE] = ACTIONS(2336),
    [anon_sym_U_DQUOTE] = ACTIONS(2336),
    [anon_sym_u8_DQUOTE] = ACTIONS(2336),
    [anon_sym_DQUOTE] = ACTIONS(2336),
    [sym_true] = ACTIONS(2334),
    [sym_false] = ACTIONS(2334),
    [anon_sym_NULL] = ACTIONS(2334),
    [anon_sym_nullptr] = ACTIONS(2334),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2334),
    [anon_sym_decltype] = ACTIONS(2334),
    [anon_sym_virtual] = ACTIONS(2334),
    [anon_sym_alignas] = ACTIONS(2334),
    [anon_sym_explicit] = ACTIONS(2334),
    [anon_sym_typename] = ACTIONS(2334),
    [anon_sym_template] = ACTIONS(2334),
    [anon_sym_operator] = ACTIONS(2334),
    [anon_sym_try] = ACTIONS(2334),
    [anon_sym_delete] = ACTIONS(2334),
    [anon_sym_throw] = ACTIONS(2334),
    [anon_sym_namespace] = ACTIONS(2334),
    [anon_sym_using] = ACTIONS(2334),
    [anon_sym_static_assert] = ACTIONS(2334),
    [anon_sym_concept] = ACTIONS(2334),
    [anon_sym_co_return] = ACTIONS(2334),
    [anon_sym_co_yield] = ACTIONS(2334),
    [anon_sym_R_DQUOTE] = ACTIONS(2336),
    [anon_sym_LR_DQUOTE] = ACTIONS(2336),
    [anon_sym_uR_DQUOTE] = ACTIONS(2336),
    [anon_sym_UR_DQUOTE] = ACTIONS(2336),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2336),
    [anon_sym_co_await] = ACTIONS(2334),
    [anon_sym_new] = ACTIONS(2334),
    [anon_sym_requires] = ACTIONS(2334),
    [sym_this] = ACTIONS(2334),
    [anon_sym_discard] = ACTIONS(2334),
    [anon_sym_precise] = ACTIONS(2334),
    [anon_sym_shared] = ACTIONS(2334),
    [anon_sym_groupshared] = ACTIONS(2334),
    [anon_sym_uniform] = ACTIONS(2334),
    [anon_sym_row_major] = ACTIONS(2334),
    [anon_sym_column_major] = ACTIONS(2334),
    [anon_sym_globallycoherent] = ACTIONS(2334),
    [anon_sym_centroid] = ACTIONS(2334),
    [anon_sym_noperspective] = ACTIONS(2334),
    [anon_sym_nointerpolation] = ACTIONS(2334),
    [anon_sym_sample] = ACTIONS(2334),
    [anon_sym_linear] = ACTIONS(2334),
    [anon_sym_snorm] = ACTIONS(2334),
    [anon_sym_unorm] = ACTIONS(2334),
    [anon_sym_point] = ACTIONS(2334),
    [anon_sym_line] = ACTIONS(2334),
    [anon_sym_triangleadj] = ACTIONS(2334),
    [anon_sym_lineadj] = ACTIONS(2334),
    [anon_sym_triangle] = ACTIONS(2334),
    [anon_sym_cbuffer] = ACTIONS(2334),
  },
  [840] = {
    [sym_identifier] = ACTIONS(2364),
    [aux_sym_preproc_include_token1] = ACTIONS(2364),
    [aux_sym_preproc_def_token1] = ACTIONS(2364),
    [aux_sym_preproc_if_token1] = ACTIONS(2364),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2364),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2364),
    [sym_preproc_directive] = ACTIONS(2364),
    [anon_sym_LPAREN2] = ACTIONS(2366),
    [anon_sym_BANG] = ACTIONS(2366),
    [anon_sym_TILDE] = ACTIONS(2366),
    [anon_sym_DASH] = ACTIONS(2364),
    [anon_sym_PLUS] = ACTIONS(2364),
    [anon_sym_STAR] = ACTIONS(2366),
    [anon_sym_AMP_AMP] = ACTIONS(2366),
    [anon_sym_AMP] = ACTIONS(2364),
    [anon_sym_SEMI] = ACTIONS(2366),
    [anon_sym___extension__] = ACTIONS(2364),
    [anon_sym_typedef] = ACTIONS(2364),
    [anon_sym_in] = ACTIONS(2364),
    [anon_sym_out] = ACTIONS(2364),
    [anon_sym_inout] = ACTIONS(2364),
    [anon_sym_extern] = ACTIONS(2364),
    [anon_sym___attribute__] = ACTIONS(2364),
    [anon_sym_COLON_COLON] = ACTIONS(2366),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2366),
    [anon_sym___declspec] = ACTIONS(2364),
    [anon_sym___based] = ACTIONS(2364),
    [anon_sym___cdecl] = ACTIONS(2364),
    [anon_sym___clrcall] = ACTIONS(2364),
    [anon_sym___stdcall] = ACTIONS(2364),
    [anon_sym___fastcall] = ACTIONS(2364),
    [anon_sym___thiscall] = ACTIONS(2364),
    [anon_sym___vectorcall] = ACTIONS(2364),
    [anon_sym_LBRACE] = ACTIONS(2366),
    [anon_sym_RBRACE] = ACTIONS(2366),
    [anon_sym_signed] = ACTIONS(2364),
    [anon_sym_unsigned] = ACTIONS(2364),
    [anon_sym_long] = ACTIONS(2364),
    [anon_sym_short] = ACTIONS(2364),
    [anon_sym_LBRACK] = ACTIONS(2364),
    [anon_sym_static] = ACTIONS(2364),
    [anon_sym_register] = ACTIONS(2364),
    [anon_sym_inline] = ACTIONS(2364),
    [anon_sym___inline] = ACTIONS(2364),
    [anon_sym___inline__] = ACTIONS(2364),
    [anon_sym___forceinline] = ACTIONS(2364),
    [anon_sym_thread_local] = ACTIONS(2364),
    [anon_sym___thread] = ACTIONS(2364),
    [anon_sym_const] = ACTIONS(2364),
    [anon_sym_constexpr] = ACTIONS(2364),
    [anon_sym_volatile] = ACTIONS(2364),
    [anon_sym_restrict] = ACTIONS(2364),
    [anon_sym___restrict__] = ACTIONS(2364),
    [anon_sym__Atomic] = ACTIONS(2364),
    [anon_sym__Noreturn] = ACTIONS(2364),
    [anon_sym_noreturn] = ACTIONS(2364),
    [anon_sym_mutable] = ACTIONS(2364),
    [anon_sym_constinit] = ACTIONS(2364),
    [anon_sym_consteval] = ACTIONS(2364),
    [sym_primitive_type] = ACTIONS(2364),
    [anon_sym_enum] = ACTIONS(2364),
    [anon_sym_class] = ACTIONS(2364),
    [anon_sym_struct] = ACTIONS(2364),
    [anon_sym_union] = ACTIONS(2364),
    [anon_sym_if] = ACTIONS(2364),
    [anon_sym_else] = ACTIONS(2364),
    [anon_sym_switch] = ACTIONS(2364),
    [anon_sym_case] = ACTIONS(2364),
    [anon_sym_default] = ACTIONS(2364),
    [anon_sym_while] = ACTIONS(2364),
    [anon_sym_do] = ACTIONS(2364),
    [anon_sym_for] = ACTIONS(2364),
    [anon_sym_return] = ACTIONS(2364),
    [anon_sym_break] = ACTIONS(2364),
    [anon_sym_continue] = ACTIONS(2364),
    [anon_sym_goto] = ACTIONS(2364),
    [anon_sym___try] = ACTIONS(2364),
    [anon_sym___leave] = ACTIONS(2364),
    [anon_sym_not] = ACTIONS(2364),
    [anon_sym_compl] = ACTIONS(2364),
    [anon_sym_DASH_DASH] = ACTIONS(2366),
    [anon_sym_PLUS_PLUS] = ACTIONS(2366),
    [anon_sym_sizeof] = ACTIONS(2364),
    [anon_sym___alignof__] = ACTIONS(2364),
    [anon_sym___alignof] = ACTIONS(2364),
    [anon_sym__alignof] = ACTIONS(2364),
    [anon_sym_alignof] = ACTIONS(2364),
    [anon_sym__Alignof] = ACTIONS(2364),
    [anon_sym_offsetof] = ACTIONS(2364),
    [anon_sym__Generic] = ACTIONS(2364),
    [anon_sym_asm] = ACTIONS(2364),
    [anon_sym___asm__] = ACTIONS(2364),
    [sym_number_literal] = ACTIONS(2366),
    [anon_sym_L_SQUOTE] = ACTIONS(2366),
    [anon_sym_u_SQUOTE] = ACTIONS(2366),
    [anon_sym_U_SQUOTE] = ACTIONS(2366),
    [anon_sym_u8_SQUOTE] = ACTIONS(2366),
    [anon_sym_SQUOTE] = ACTIONS(2366),
    [anon_sym_L_DQUOTE] = ACTIONS(2366),
    [anon_sym_u_DQUOTE] = ACTIONS(2366),
    [anon_sym_U_DQUOTE] = ACTIONS(2366),
    [anon_sym_u8_DQUOTE] = ACTIONS(2366),
    [anon_sym_DQUOTE] = ACTIONS(2366),
    [sym_true] = ACTIONS(2364),
    [sym_false] = ACTIONS(2364),
    [anon_sym_NULL] = ACTIONS(2364),
    [anon_sym_nullptr] = ACTIONS(2364),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2364),
    [anon_sym_decltype] = ACTIONS(2364),
    [anon_sym_virtual] = ACTIONS(2364),
    [anon_sym_alignas] = ACTIONS(2364),
    [anon_sym_explicit] = ACTIONS(2364),
    [anon_sym_typename] = ACTIONS(2364),
    [anon_sym_template] = ACTIONS(2364),
    [anon_sym_operator] = ACTIONS(2364),
    [anon_sym_try] = ACTIONS(2364),
    [anon_sym_delete] = ACTIONS(2364),
    [anon_sym_throw] = ACTIONS(2364),
    [anon_sym_namespace] = ACTIONS(2364),
    [anon_sym_using] = ACTIONS(2364),
    [anon_sym_static_assert] = ACTIONS(2364),
    [anon_sym_concept] = ACTIONS(2364),
    [anon_sym_co_return] = ACTIONS(2364),
    [anon_sym_co_yield] = ACTIONS(2364),
    [anon_sym_R_DQUOTE] = ACTIONS(2366),
    [anon_sym_LR_DQUOTE] = ACTIONS(2366),
    [anon_sym_uR_DQUOTE] = ACTIONS(2366),
    [anon_sym_UR_DQUOTE] = ACTIONS(2366),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2366),
    [anon_sym_co_await] = ACTIONS(2364),
    [anon_sym_new] = ACTIONS(2364),
    [anon_sym_requires] = ACTIONS(2364),
    [sym_this] = ACTIONS(2364),
    [anon_sym_discard] = ACTIONS(2364),
    [anon_sym_precise] = ACTIONS(2364),
    [anon_sym_shared] = ACTIONS(2364),
    [anon_sym_groupshared] = ACTIONS(2364),
    [anon_sym_uniform] = ACTIONS(2364),
    [anon_sym_row_major] = ACTIONS(2364),
    [anon_sym_column_major] = ACTIONS(2364),
    [anon_sym_globallycoherent] = ACTIONS(2364),
    [anon_sym_centroid] = ACTIONS(2364),
    [anon_sym_noperspective] = ACTIONS(2364),
    [anon_sym_nointerpolation] = ACTIONS(2364),
    [anon_sym_sample] = ACTIONS(2364),
    [anon_sym_linear] = ACTIONS(2364),
    [anon_sym_snorm] = ACTIONS(2364),
    [anon_sym_unorm] = ACTIONS(2364),
    [anon_sym_point] = ACTIONS(2364),
    [anon_sym_line] = ACTIONS(2364),
    [anon_sym_triangleadj] = ACTIONS(2364),
    [anon_sym_lineadj] = ACTIONS(2364),
    [anon_sym_triangle] = ACTIONS(2364),
    [anon_sym_cbuffer] = ACTIONS(2364),
  },
  [841] = {
    [sym_identifier] = ACTIONS(2364),
    [aux_sym_preproc_include_token1] = ACTIONS(2364),
    [aux_sym_preproc_def_token1] = ACTIONS(2364),
    [aux_sym_preproc_if_token1] = ACTIONS(2364),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2364),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2364),
    [sym_preproc_directive] = ACTIONS(2364),
    [anon_sym_LPAREN2] = ACTIONS(2366),
    [anon_sym_BANG] = ACTIONS(2366),
    [anon_sym_TILDE] = ACTIONS(2366),
    [anon_sym_DASH] = ACTIONS(2364),
    [anon_sym_PLUS] = ACTIONS(2364),
    [anon_sym_STAR] = ACTIONS(2366),
    [anon_sym_AMP_AMP] = ACTIONS(2366),
    [anon_sym_AMP] = ACTIONS(2364),
    [anon_sym_SEMI] = ACTIONS(2366),
    [anon_sym___extension__] = ACTIONS(2364),
    [anon_sym_typedef] = ACTIONS(2364),
    [anon_sym_in] = ACTIONS(2364),
    [anon_sym_out] = ACTIONS(2364),
    [anon_sym_inout] = ACTIONS(2364),
    [anon_sym_extern] = ACTIONS(2364),
    [anon_sym___attribute__] = ACTIONS(2364),
    [anon_sym_COLON_COLON] = ACTIONS(2366),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2366),
    [anon_sym___declspec] = ACTIONS(2364),
    [anon_sym___based] = ACTIONS(2364),
    [anon_sym___cdecl] = ACTIONS(2364),
    [anon_sym___clrcall] = ACTIONS(2364),
    [anon_sym___stdcall] = ACTIONS(2364),
    [anon_sym___fastcall] = ACTIONS(2364),
    [anon_sym___thiscall] = ACTIONS(2364),
    [anon_sym___vectorcall] = ACTIONS(2364),
    [anon_sym_LBRACE] = ACTIONS(2366),
    [anon_sym_RBRACE] = ACTIONS(2366),
    [anon_sym_signed] = ACTIONS(2364),
    [anon_sym_unsigned] = ACTIONS(2364),
    [anon_sym_long] = ACTIONS(2364),
    [anon_sym_short] = ACTIONS(2364),
    [anon_sym_LBRACK] = ACTIONS(2364),
    [anon_sym_static] = ACTIONS(2364),
    [anon_sym_register] = ACTIONS(2364),
    [anon_sym_inline] = ACTIONS(2364),
    [anon_sym___inline] = ACTIONS(2364),
    [anon_sym___inline__] = ACTIONS(2364),
    [anon_sym___forceinline] = ACTIONS(2364),
    [anon_sym_thread_local] = ACTIONS(2364),
    [anon_sym___thread] = ACTIONS(2364),
    [anon_sym_const] = ACTIONS(2364),
    [anon_sym_constexpr] = ACTIONS(2364),
    [anon_sym_volatile] = ACTIONS(2364),
    [anon_sym_restrict] = ACTIONS(2364),
    [anon_sym___restrict__] = ACTIONS(2364),
    [anon_sym__Atomic] = ACTIONS(2364),
    [anon_sym__Noreturn] = ACTIONS(2364),
    [anon_sym_noreturn] = ACTIONS(2364),
    [anon_sym_mutable] = ACTIONS(2364),
    [anon_sym_constinit] = ACTIONS(2364),
    [anon_sym_consteval] = ACTIONS(2364),
    [sym_primitive_type] = ACTIONS(2364),
    [anon_sym_enum] = ACTIONS(2364),
    [anon_sym_class] = ACTIONS(2364),
    [anon_sym_struct] = ACTIONS(2364),
    [anon_sym_union] = ACTIONS(2364),
    [anon_sym_if] = ACTIONS(2364),
    [anon_sym_else] = ACTIONS(2364),
    [anon_sym_switch] = ACTIONS(2364),
    [anon_sym_case] = ACTIONS(2364),
    [anon_sym_default] = ACTIONS(2364),
    [anon_sym_while] = ACTIONS(2364),
    [anon_sym_do] = ACTIONS(2364),
    [anon_sym_for] = ACTIONS(2364),
    [anon_sym_return] = ACTIONS(2364),
    [anon_sym_break] = ACTIONS(2364),
    [anon_sym_continue] = ACTIONS(2364),
    [anon_sym_goto] = ACTIONS(2364),
    [anon_sym___try] = ACTIONS(2364),
    [anon_sym___leave] = ACTIONS(2364),
    [anon_sym_not] = ACTIONS(2364),
    [anon_sym_compl] = ACTIONS(2364),
    [anon_sym_DASH_DASH] = ACTIONS(2366),
    [anon_sym_PLUS_PLUS] = ACTIONS(2366),
    [anon_sym_sizeof] = ACTIONS(2364),
    [anon_sym___alignof__] = ACTIONS(2364),
    [anon_sym___alignof] = ACTIONS(2364),
    [anon_sym__alignof] = ACTIONS(2364),
    [anon_sym_alignof] = ACTIONS(2364),
    [anon_sym__Alignof] = ACTIONS(2364),
    [anon_sym_offsetof] = ACTIONS(2364),
    [anon_sym__Generic] = ACTIONS(2364),
    [anon_sym_asm] = ACTIONS(2364),
    [anon_sym___asm__] = ACTIONS(2364),
    [sym_number_literal] = ACTIONS(2366),
    [anon_sym_L_SQUOTE] = ACTIONS(2366),
    [anon_sym_u_SQUOTE] = ACTIONS(2366),
    [anon_sym_U_SQUOTE] = ACTIONS(2366),
    [anon_sym_u8_SQUOTE] = ACTIONS(2366),
    [anon_sym_SQUOTE] = ACTIONS(2366),
    [anon_sym_L_DQUOTE] = ACTIONS(2366),
    [anon_sym_u_DQUOTE] = ACTIONS(2366),
    [anon_sym_U_DQUOTE] = ACTIONS(2366),
    [anon_sym_u8_DQUOTE] = ACTIONS(2366),
    [anon_sym_DQUOTE] = ACTIONS(2366),
    [sym_true] = ACTIONS(2364),
    [sym_false] = ACTIONS(2364),
    [anon_sym_NULL] = ACTIONS(2364),
    [anon_sym_nullptr] = ACTIONS(2364),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2364),
    [anon_sym_decltype] = ACTIONS(2364),
    [anon_sym_virtual] = ACTIONS(2364),
    [anon_sym_alignas] = ACTIONS(2364),
    [anon_sym_explicit] = ACTIONS(2364),
    [anon_sym_typename] = ACTIONS(2364),
    [anon_sym_template] = ACTIONS(2364),
    [anon_sym_operator] = ACTIONS(2364),
    [anon_sym_try] = ACTIONS(2364),
    [anon_sym_delete] = ACTIONS(2364),
    [anon_sym_throw] = ACTIONS(2364),
    [anon_sym_namespace] = ACTIONS(2364),
    [anon_sym_using] = ACTIONS(2364),
    [anon_sym_static_assert] = ACTIONS(2364),
    [anon_sym_concept] = ACTIONS(2364),
    [anon_sym_co_return] = ACTIONS(2364),
    [anon_sym_co_yield] = ACTIONS(2364),
    [anon_sym_R_DQUOTE] = ACTIONS(2366),
    [anon_sym_LR_DQUOTE] = ACTIONS(2366),
    [anon_sym_uR_DQUOTE] = ACTIONS(2366),
    [anon_sym_UR_DQUOTE] = ACTIONS(2366),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2366),
    [anon_sym_co_await] = ACTIONS(2364),
    [anon_sym_new] = ACTIONS(2364),
    [anon_sym_requires] = ACTIONS(2364),
    [sym_this] = ACTIONS(2364),
    [anon_sym_discard] = ACTIONS(2364),
    [anon_sym_precise] = ACTIONS(2364),
    [anon_sym_shared] = ACTIONS(2364),
    [anon_sym_groupshared] = ACTIONS(2364),
    [anon_sym_uniform] = ACTIONS(2364),
    [anon_sym_row_major] = ACTIONS(2364),
    [anon_sym_column_major] = ACTIONS(2364),
    [anon_sym_globallycoherent] = ACTIONS(2364),
    [anon_sym_centroid] = ACTIONS(2364),
    [anon_sym_noperspective] = ACTIONS(2364),
    [anon_sym_nointerpolation] = ACTIONS(2364),
    [anon_sym_sample] = ACTIONS(2364),
    [anon_sym_linear] = ACTIONS(2364),
    [anon_sym_snorm] = ACTIONS(2364),
    [anon_sym_unorm] = ACTIONS(2364),
    [anon_sym_point] = ACTIONS(2364),
    [anon_sym_line] = ACTIONS(2364),
    [anon_sym_triangleadj] = ACTIONS(2364),
    [anon_sym_lineadj] = ACTIONS(2364),
    [anon_sym_triangle] = ACTIONS(2364),
    [anon_sym_cbuffer] = ACTIONS(2364),
  },
  [842] = {
    [sym_identifier] = ACTIONS(2364),
    [aux_sym_preproc_include_token1] = ACTIONS(2364),
    [aux_sym_preproc_def_token1] = ACTIONS(2364),
    [aux_sym_preproc_if_token1] = ACTIONS(2364),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2364),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2364),
    [sym_preproc_directive] = ACTIONS(2364),
    [anon_sym_LPAREN2] = ACTIONS(2366),
    [anon_sym_BANG] = ACTIONS(2366),
    [anon_sym_TILDE] = ACTIONS(2366),
    [anon_sym_DASH] = ACTIONS(2364),
    [anon_sym_PLUS] = ACTIONS(2364),
    [anon_sym_STAR] = ACTIONS(2366),
    [anon_sym_AMP_AMP] = ACTIONS(2366),
    [anon_sym_AMP] = ACTIONS(2364),
    [anon_sym_SEMI] = ACTIONS(2366),
    [anon_sym___extension__] = ACTIONS(2364),
    [anon_sym_typedef] = ACTIONS(2364),
    [anon_sym_in] = ACTIONS(2364),
    [anon_sym_out] = ACTIONS(2364),
    [anon_sym_inout] = ACTIONS(2364),
    [anon_sym_extern] = ACTIONS(2364),
    [anon_sym___attribute__] = ACTIONS(2364),
    [anon_sym_COLON_COLON] = ACTIONS(2366),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2366),
    [anon_sym___declspec] = ACTIONS(2364),
    [anon_sym___based] = ACTIONS(2364),
    [anon_sym___cdecl] = ACTIONS(2364),
    [anon_sym___clrcall] = ACTIONS(2364),
    [anon_sym___stdcall] = ACTIONS(2364),
    [anon_sym___fastcall] = ACTIONS(2364),
    [anon_sym___thiscall] = ACTIONS(2364),
    [anon_sym___vectorcall] = ACTIONS(2364),
    [anon_sym_LBRACE] = ACTIONS(2366),
    [anon_sym_RBRACE] = ACTIONS(2366),
    [anon_sym_signed] = ACTIONS(2364),
    [anon_sym_unsigned] = ACTIONS(2364),
    [anon_sym_long] = ACTIONS(2364),
    [anon_sym_short] = ACTIONS(2364),
    [anon_sym_LBRACK] = ACTIONS(2364),
    [anon_sym_static] = ACTIONS(2364),
    [anon_sym_register] = ACTIONS(2364),
    [anon_sym_inline] = ACTIONS(2364),
    [anon_sym___inline] = ACTIONS(2364),
    [anon_sym___inline__] = ACTIONS(2364),
    [anon_sym___forceinline] = ACTIONS(2364),
    [anon_sym_thread_local] = ACTIONS(2364),
    [anon_sym___thread] = ACTIONS(2364),
    [anon_sym_const] = ACTIONS(2364),
    [anon_sym_constexpr] = ACTIONS(2364),
    [anon_sym_volatile] = ACTIONS(2364),
    [anon_sym_restrict] = ACTIONS(2364),
    [anon_sym___restrict__] = ACTIONS(2364),
    [anon_sym__Atomic] = ACTIONS(2364),
    [anon_sym__Noreturn] = ACTIONS(2364),
    [anon_sym_noreturn] = ACTIONS(2364),
    [anon_sym_mutable] = ACTIONS(2364),
    [anon_sym_constinit] = ACTIONS(2364),
    [anon_sym_consteval] = ACTIONS(2364),
    [sym_primitive_type] = ACTIONS(2364),
    [anon_sym_enum] = ACTIONS(2364),
    [anon_sym_class] = ACTIONS(2364),
    [anon_sym_struct] = ACTIONS(2364),
    [anon_sym_union] = ACTIONS(2364),
    [anon_sym_if] = ACTIONS(2364),
    [anon_sym_else] = ACTIONS(2364),
    [anon_sym_switch] = ACTIONS(2364),
    [anon_sym_case] = ACTIONS(2364),
    [anon_sym_default] = ACTIONS(2364),
    [anon_sym_while] = ACTIONS(2364),
    [anon_sym_do] = ACTIONS(2364),
    [anon_sym_for] = ACTIONS(2364),
    [anon_sym_return] = ACTIONS(2364),
    [anon_sym_break] = ACTIONS(2364),
    [anon_sym_continue] = ACTIONS(2364),
    [anon_sym_goto] = ACTIONS(2364),
    [anon_sym___try] = ACTIONS(2364),
    [anon_sym___leave] = ACTIONS(2364),
    [anon_sym_not] = ACTIONS(2364),
    [anon_sym_compl] = ACTIONS(2364),
    [anon_sym_DASH_DASH] = ACTIONS(2366),
    [anon_sym_PLUS_PLUS] = ACTIONS(2366),
    [anon_sym_sizeof] = ACTIONS(2364),
    [anon_sym___alignof__] = ACTIONS(2364),
    [anon_sym___alignof] = ACTIONS(2364),
    [anon_sym__alignof] = ACTIONS(2364),
    [anon_sym_alignof] = ACTIONS(2364),
    [anon_sym__Alignof] = ACTIONS(2364),
    [anon_sym_offsetof] = ACTIONS(2364),
    [anon_sym__Generic] = ACTIONS(2364),
    [anon_sym_asm] = ACTIONS(2364),
    [anon_sym___asm__] = ACTIONS(2364),
    [sym_number_literal] = ACTIONS(2366),
    [anon_sym_L_SQUOTE] = ACTIONS(2366),
    [anon_sym_u_SQUOTE] = ACTIONS(2366),
    [anon_sym_U_SQUOTE] = ACTIONS(2366),
    [anon_sym_u8_SQUOTE] = ACTIONS(2366),
    [anon_sym_SQUOTE] = ACTIONS(2366),
    [anon_sym_L_DQUOTE] = ACTIONS(2366),
    [anon_sym_u_DQUOTE] = ACTIONS(2366),
    [anon_sym_U_DQUOTE] = ACTIONS(2366),
    [anon_sym_u8_DQUOTE] = ACTIONS(2366),
    [anon_sym_DQUOTE] = ACTIONS(2366),
    [sym_true] = ACTIONS(2364),
    [sym_false] = ACTIONS(2364),
    [anon_sym_NULL] = ACTIONS(2364),
    [anon_sym_nullptr] = ACTIONS(2364),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2364),
    [anon_sym_decltype] = ACTIONS(2364),
    [anon_sym_virtual] = ACTIONS(2364),
    [anon_sym_alignas] = ACTIONS(2364),
    [anon_sym_explicit] = ACTIONS(2364),
    [anon_sym_typename] = ACTIONS(2364),
    [anon_sym_template] = ACTIONS(2364),
    [anon_sym_operator] = ACTIONS(2364),
    [anon_sym_try] = ACTIONS(2364),
    [anon_sym_delete] = ACTIONS(2364),
    [anon_sym_throw] = ACTIONS(2364),
    [anon_sym_namespace] = ACTIONS(2364),
    [anon_sym_using] = ACTIONS(2364),
    [anon_sym_static_assert] = ACTIONS(2364),
    [anon_sym_concept] = ACTIONS(2364),
    [anon_sym_co_return] = ACTIONS(2364),
    [anon_sym_co_yield] = ACTIONS(2364),
    [anon_sym_R_DQUOTE] = ACTIONS(2366),
    [anon_sym_LR_DQUOTE] = ACTIONS(2366),
    [anon_sym_uR_DQUOTE] = ACTIONS(2366),
    [anon_sym_UR_DQUOTE] = ACTIONS(2366),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2366),
    [anon_sym_co_await] = ACTIONS(2364),
    [anon_sym_new] = ACTIONS(2364),
    [anon_sym_requires] = ACTIONS(2364),
    [sym_this] = ACTIONS(2364),
    [anon_sym_discard] = ACTIONS(2364),
    [anon_sym_precise] = ACTIONS(2364),
    [anon_sym_shared] = ACTIONS(2364),
    [anon_sym_groupshared] = ACTIONS(2364),
    [anon_sym_uniform] = ACTIONS(2364),
    [anon_sym_row_major] = ACTIONS(2364),
    [anon_sym_column_major] = ACTIONS(2364),
    [anon_sym_globallycoherent] = ACTIONS(2364),
    [anon_sym_centroid] = ACTIONS(2364),
    [anon_sym_noperspective] = ACTIONS(2364),
    [anon_sym_nointerpolation] = ACTIONS(2364),
    [anon_sym_sample] = ACTIONS(2364),
    [anon_sym_linear] = ACTIONS(2364),
    [anon_sym_snorm] = ACTIONS(2364),
    [anon_sym_unorm] = ACTIONS(2364),
    [anon_sym_point] = ACTIONS(2364),
    [anon_sym_line] = ACTIONS(2364),
    [anon_sym_triangleadj] = ACTIONS(2364),
    [anon_sym_lineadj] = ACTIONS(2364),
    [anon_sym_triangle] = ACTIONS(2364),
    [anon_sym_cbuffer] = ACTIONS(2364),
  },
  [843] = {
    [sym_identifier] = ACTIONS(2364),
    [aux_sym_preproc_include_token1] = ACTIONS(2364),
    [aux_sym_preproc_def_token1] = ACTIONS(2364),
    [aux_sym_preproc_if_token1] = ACTIONS(2364),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2364),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2364),
    [sym_preproc_directive] = ACTIONS(2364),
    [anon_sym_LPAREN2] = ACTIONS(2366),
    [anon_sym_BANG] = ACTIONS(2366),
    [anon_sym_TILDE] = ACTIONS(2366),
    [anon_sym_DASH] = ACTIONS(2364),
    [anon_sym_PLUS] = ACTIONS(2364),
    [anon_sym_STAR] = ACTIONS(2366),
    [anon_sym_AMP_AMP] = ACTIONS(2366),
    [anon_sym_AMP] = ACTIONS(2364),
    [anon_sym_SEMI] = ACTIONS(2366),
    [anon_sym___extension__] = ACTIONS(2364),
    [anon_sym_typedef] = ACTIONS(2364),
    [anon_sym_in] = ACTIONS(2364),
    [anon_sym_out] = ACTIONS(2364),
    [anon_sym_inout] = ACTIONS(2364),
    [anon_sym_extern] = ACTIONS(2364),
    [anon_sym___attribute__] = ACTIONS(2364),
    [anon_sym_COLON_COLON] = ACTIONS(2366),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2366),
    [anon_sym___declspec] = ACTIONS(2364),
    [anon_sym___based] = ACTIONS(2364),
    [anon_sym___cdecl] = ACTIONS(2364),
    [anon_sym___clrcall] = ACTIONS(2364),
    [anon_sym___stdcall] = ACTIONS(2364),
    [anon_sym___fastcall] = ACTIONS(2364),
    [anon_sym___thiscall] = ACTIONS(2364),
    [anon_sym___vectorcall] = ACTIONS(2364),
    [anon_sym_LBRACE] = ACTIONS(2366),
    [anon_sym_RBRACE] = ACTIONS(2366),
    [anon_sym_signed] = ACTIONS(2364),
    [anon_sym_unsigned] = ACTIONS(2364),
    [anon_sym_long] = ACTIONS(2364),
    [anon_sym_short] = ACTIONS(2364),
    [anon_sym_LBRACK] = ACTIONS(2364),
    [anon_sym_static] = ACTIONS(2364),
    [anon_sym_register] = ACTIONS(2364),
    [anon_sym_inline] = ACTIONS(2364),
    [anon_sym___inline] = ACTIONS(2364),
    [anon_sym___inline__] = ACTIONS(2364),
    [anon_sym___forceinline] = ACTIONS(2364),
    [anon_sym_thread_local] = ACTIONS(2364),
    [anon_sym___thread] = ACTIONS(2364),
    [anon_sym_const] = ACTIONS(2364),
    [anon_sym_constexpr] = ACTIONS(2364),
    [anon_sym_volatile] = ACTIONS(2364),
    [anon_sym_restrict] = ACTIONS(2364),
    [anon_sym___restrict__] = ACTIONS(2364),
    [anon_sym__Atomic] = ACTIONS(2364),
    [anon_sym__Noreturn] = ACTIONS(2364),
    [anon_sym_noreturn] = ACTIONS(2364),
    [anon_sym_mutable] = ACTIONS(2364),
    [anon_sym_constinit] = ACTIONS(2364),
    [anon_sym_consteval] = ACTIONS(2364),
    [sym_primitive_type] = ACTIONS(2364),
    [anon_sym_enum] = ACTIONS(2364),
    [anon_sym_class] = ACTIONS(2364),
    [anon_sym_struct] = ACTIONS(2364),
    [anon_sym_union] = ACTIONS(2364),
    [anon_sym_if] = ACTIONS(2364),
    [anon_sym_else] = ACTIONS(2364),
    [anon_sym_switch] = ACTIONS(2364),
    [anon_sym_case] = ACTIONS(2364),
    [anon_sym_default] = ACTIONS(2364),
    [anon_sym_while] = ACTIONS(2364),
    [anon_sym_do] = ACTIONS(2364),
    [anon_sym_for] = ACTIONS(2364),
    [anon_sym_return] = ACTIONS(2364),
    [anon_sym_break] = ACTIONS(2364),
    [anon_sym_continue] = ACTIONS(2364),
    [anon_sym_goto] = ACTIONS(2364),
    [anon_sym___try] = ACTIONS(2364),
    [anon_sym___leave] = ACTIONS(2364),
    [anon_sym_not] = ACTIONS(2364),
    [anon_sym_compl] = ACTIONS(2364),
    [anon_sym_DASH_DASH] = ACTIONS(2366),
    [anon_sym_PLUS_PLUS] = ACTIONS(2366),
    [anon_sym_sizeof] = ACTIONS(2364),
    [anon_sym___alignof__] = ACTIONS(2364),
    [anon_sym___alignof] = ACTIONS(2364),
    [anon_sym__alignof] = ACTIONS(2364),
    [anon_sym_alignof] = ACTIONS(2364),
    [anon_sym__Alignof] = ACTIONS(2364),
    [anon_sym_offsetof] = ACTIONS(2364),
    [anon_sym__Generic] = ACTIONS(2364),
    [anon_sym_asm] = ACTIONS(2364),
    [anon_sym___asm__] = ACTIONS(2364),
    [sym_number_literal] = ACTIONS(2366),
    [anon_sym_L_SQUOTE] = ACTIONS(2366),
    [anon_sym_u_SQUOTE] = ACTIONS(2366),
    [anon_sym_U_SQUOTE] = ACTIONS(2366),
    [anon_sym_u8_SQUOTE] = ACTIONS(2366),
    [anon_sym_SQUOTE] = ACTIONS(2366),
    [anon_sym_L_DQUOTE] = ACTIONS(2366),
    [anon_sym_u_DQUOTE] = ACTIONS(2366),
    [anon_sym_U_DQUOTE] = ACTIONS(2366),
    [anon_sym_u8_DQUOTE] = ACTIONS(2366),
    [anon_sym_DQUOTE] = ACTIONS(2366),
    [sym_true] = ACTIONS(2364),
    [sym_false] = ACTIONS(2364),
    [anon_sym_NULL] = ACTIONS(2364),
    [anon_sym_nullptr] = ACTIONS(2364),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2364),
    [anon_sym_decltype] = ACTIONS(2364),
    [anon_sym_virtual] = ACTIONS(2364),
    [anon_sym_alignas] = ACTIONS(2364),
    [anon_sym_explicit] = ACTIONS(2364),
    [anon_sym_typename] = ACTIONS(2364),
    [anon_sym_template] = ACTIONS(2364),
    [anon_sym_operator] = ACTIONS(2364),
    [anon_sym_try] = ACTIONS(2364),
    [anon_sym_delete] = ACTIONS(2364),
    [anon_sym_throw] = ACTIONS(2364),
    [anon_sym_namespace] = ACTIONS(2364),
    [anon_sym_using] = ACTIONS(2364),
    [anon_sym_static_assert] = ACTIONS(2364),
    [anon_sym_concept] = ACTIONS(2364),
    [anon_sym_co_return] = ACTIONS(2364),
    [anon_sym_co_yield] = ACTIONS(2364),
    [anon_sym_R_DQUOTE] = ACTIONS(2366),
    [anon_sym_LR_DQUOTE] = ACTIONS(2366),
    [anon_sym_uR_DQUOTE] = ACTIONS(2366),
    [anon_sym_UR_DQUOTE] = ACTIONS(2366),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2366),
    [anon_sym_co_await] = ACTIONS(2364),
    [anon_sym_new] = ACTIONS(2364),
    [anon_sym_requires] = ACTIONS(2364),
    [sym_this] = ACTIONS(2364),
    [anon_sym_discard] = ACTIONS(2364),
    [anon_sym_precise] = ACTIONS(2364),
    [anon_sym_shared] = ACTIONS(2364),
    [anon_sym_groupshared] = ACTIONS(2364),
    [anon_sym_uniform] = ACTIONS(2364),
    [anon_sym_row_major] = ACTIONS(2364),
    [anon_sym_column_major] = ACTIONS(2364),
    [anon_sym_globallycoherent] = ACTIONS(2364),
    [anon_sym_centroid] = ACTIONS(2364),
    [anon_sym_noperspective] = ACTIONS(2364),
    [anon_sym_nointerpolation] = ACTIONS(2364),
    [anon_sym_sample] = ACTIONS(2364),
    [anon_sym_linear] = ACTIONS(2364),
    [anon_sym_snorm] = ACTIONS(2364),
    [anon_sym_unorm] = ACTIONS(2364),
    [anon_sym_point] = ACTIONS(2364),
    [anon_sym_line] = ACTIONS(2364),
    [anon_sym_triangleadj] = ACTIONS(2364),
    [anon_sym_lineadj] = ACTIONS(2364),
    [anon_sym_triangle] = ACTIONS(2364),
    [anon_sym_cbuffer] = ACTIONS(2364),
  },
  [844] = {
    [sym_identifier] = ACTIONS(2364),
    [aux_sym_preproc_include_token1] = ACTIONS(2364),
    [aux_sym_preproc_def_token1] = ACTIONS(2364),
    [aux_sym_preproc_if_token1] = ACTIONS(2364),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2364),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2364),
    [sym_preproc_directive] = ACTIONS(2364),
    [anon_sym_LPAREN2] = ACTIONS(2366),
    [anon_sym_BANG] = ACTIONS(2366),
    [anon_sym_TILDE] = ACTIONS(2366),
    [anon_sym_DASH] = ACTIONS(2364),
    [anon_sym_PLUS] = ACTIONS(2364),
    [anon_sym_STAR] = ACTIONS(2366),
    [anon_sym_AMP_AMP] = ACTIONS(2366),
    [anon_sym_AMP] = ACTIONS(2364),
    [anon_sym_SEMI] = ACTIONS(2366),
    [anon_sym___extension__] = ACTIONS(2364),
    [anon_sym_typedef] = ACTIONS(2364),
    [anon_sym_in] = ACTIONS(2364),
    [anon_sym_out] = ACTIONS(2364),
    [anon_sym_inout] = ACTIONS(2364),
    [anon_sym_extern] = ACTIONS(2364),
    [anon_sym___attribute__] = ACTIONS(2364),
    [anon_sym_COLON_COLON] = ACTIONS(2366),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2366),
    [anon_sym___declspec] = ACTIONS(2364),
    [anon_sym___based] = ACTIONS(2364),
    [anon_sym___cdecl] = ACTIONS(2364),
    [anon_sym___clrcall] = ACTIONS(2364),
    [anon_sym___stdcall] = ACTIONS(2364),
    [anon_sym___fastcall] = ACTIONS(2364),
    [anon_sym___thiscall] = ACTIONS(2364),
    [anon_sym___vectorcall] = ACTIONS(2364),
    [anon_sym_LBRACE] = ACTIONS(2366),
    [anon_sym_RBRACE] = ACTIONS(2366),
    [anon_sym_signed] = ACTIONS(2364),
    [anon_sym_unsigned] = ACTIONS(2364),
    [anon_sym_long] = ACTIONS(2364),
    [anon_sym_short] = ACTIONS(2364),
    [anon_sym_LBRACK] = ACTIONS(2364),
    [anon_sym_static] = ACTIONS(2364),
    [anon_sym_register] = ACTIONS(2364),
    [anon_sym_inline] = ACTIONS(2364),
    [anon_sym___inline] = ACTIONS(2364),
    [anon_sym___inline__] = ACTIONS(2364),
    [anon_sym___forceinline] = ACTIONS(2364),
    [anon_sym_thread_local] = ACTIONS(2364),
    [anon_sym___thread] = ACTIONS(2364),
    [anon_sym_const] = ACTIONS(2364),
    [anon_sym_constexpr] = ACTIONS(2364),
    [anon_sym_volatile] = ACTIONS(2364),
    [anon_sym_restrict] = ACTIONS(2364),
    [anon_sym___restrict__] = ACTIONS(2364),
    [anon_sym__Atomic] = ACTIONS(2364),
    [anon_sym__Noreturn] = ACTIONS(2364),
    [anon_sym_noreturn] = ACTIONS(2364),
    [anon_sym_mutable] = ACTIONS(2364),
    [anon_sym_constinit] = ACTIONS(2364),
    [anon_sym_consteval] = ACTIONS(2364),
    [sym_primitive_type] = ACTIONS(2364),
    [anon_sym_enum] = ACTIONS(2364),
    [anon_sym_class] = ACTIONS(2364),
    [anon_sym_struct] = ACTIONS(2364),
    [anon_sym_union] = ACTIONS(2364),
    [anon_sym_if] = ACTIONS(2364),
    [anon_sym_else] = ACTIONS(2364),
    [anon_sym_switch] = ACTIONS(2364),
    [anon_sym_case] = ACTIONS(2364),
    [anon_sym_default] = ACTIONS(2364),
    [anon_sym_while] = ACTIONS(2364),
    [anon_sym_do] = ACTIONS(2364),
    [anon_sym_for] = ACTIONS(2364),
    [anon_sym_return] = ACTIONS(2364),
    [anon_sym_break] = ACTIONS(2364),
    [anon_sym_continue] = ACTIONS(2364),
    [anon_sym_goto] = ACTIONS(2364),
    [anon_sym___try] = ACTIONS(2364),
    [anon_sym___leave] = ACTIONS(2364),
    [anon_sym_not] = ACTIONS(2364),
    [anon_sym_compl] = ACTIONS(2364),
    [anon_sym_DASH_DASH] = ACTIONS(2366),
    [anon_sym_PLUS_PLUS] = ACTIONS(2366),
    [anon_sym_sizeof] = ACTIONS(2364),
    [anon_sym___alignof__] = ACTIONS(2364),
    [anon_sym___alignof] = ACTIONS(2364),
    [anon_sym__alignof] = ACTIONS(2364),
    [anon_sym_alignof] = ACTIONS(2364),
    [anon_sym__Alignof] = ACTIONS(2364),
    [anon_sym_offsetof] = ACTIONS(2364),
    [anon_sym__Generic] = ACTIONS(2364),
    [anon_sym_asm] = ACTIONS(2364),
    [anon_sym___asm__] = ACTIONS(2364),
    [sym_number_literal] = ACTIONS(2366),
    [anon_sym_L_SQUOTE] = ACTIONS(2366),
    [anon_sym_u_SQUOTE] = ACTIONS(2366),
    [anon_sym_U_SQUOTE] = ACTIONS(2366),
    [anon_sym_u8_SQUOTE] = ACTIONS(2366),
    [anon_sym_SQUOTE] = ACTIONS(2366),
    [anon_sym_L_DQUOTE] = ACTIONS(2366),
    [anon_sym_u_DQUOTE] = ACTIONS(2366),
    [anon_sym_U_DQUOTE] = ACTIONS(2366),
    [anon_sym_u8_DQUOTE] = ACTIONS(2366),
    [anon_sym_DQUOTE] = ACTIONS(2366),
    [sym_true] = ACTIONS(2364),
    [sym_false] = ACTIONS(2364),
    [anon_sym_NULL] = ACTIONS(2364),
    [anon_sym_nullptr] = ACTIONS(2364),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2364),
    [anon_sym_decltype] = ACTIONS(2364),
    [anon_sym_virtual] = ACTIONS(2364),
    [anon_sym_alignas] = ACTIONS(2364),
    [anon_sym_explicit] = ACTIONS(2364),
    [anon_sym_typename] = ACTIONS(2364),
    [anon_sym_template] = ACTIONS(2364),
    [anon_sym_operator] = ACTIONS(2364),
    [anon_sym_try] = ACTIONS(2364),
    [anon_sym_delete] = ACTIONS(2364),
    [anon_sym_throw] = ACTIONS(2364),
    [anon_sym_namespace] = ACTIONS(2364),
    [anon_sym_using] = ACTIONS(2364),
    [anon_sym_static_assert] = ACTIONS(2364),
    [anon_sym_concept] = ACTIONS(2364),
    [anon_sym_co_return] = ACTIONS(2364),
    [anon_sym_co_yield] = ACTIONS(2364),
    [anon_sym_R_DQUOTE] = ACTIONS(2366),
    [anon_sym_LR_DQUOTE] = ACTIONS(2366),
    [anon_sym_uR_DQUOTE] = ACTIONS(2366),
    [anon_sym_UR_DQUOTE] = ACTIONS(2366),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2366),
    [anon_sym_co_await] = ACTIONS(2364),
    [anon_sym_new] = ACTIONS(2364),
    [anon_sym_requires] = ACTIONS(2364),
    [sym_this] = ACTIONS(2364),
    [anon_sym_discard] = ACTIONS(2364),
    [anon_sym_precise] = ACTIONS(2364),
    [anon_sym_shared] = ACTIONS(2364),
    [anon_sym_groupshared] = ACTIONS(2364),
    [anon_sym_uniform] = ACTIONS(2364),
    [anon_sym_row_major] = ACTIONS(2364),
    [anon_sym_column_major] = ACTIONS(2364),
    [anon_sym_globallycoherent] = ACTIONS(2364),
    [anon_sym_centroid] = ACTIONS(2364),
    [anon_sym_noperspective] = ACTIONS(2364),
    [anon_sym_nointerpolation] = ACTIONS(2364),
    [anon_sym_sample] = ACTIONS(2364),
    [anon_sym_linear] = ACTIONS(2364),
    [anon_sym_snorm] = ACTIONS(2364),
    [anon_sym_unorm] = ACTIONS(2364),
    [anon_sym_point] = ACTIONS(2364),
    [anon_sym_line] = ACTIONS(2364),
    [anon_sym_triangleadj] = ACTIONS(2364),
    [anon_sym_lineadj] = ACTIONS(2364),
    [anon_sym_triangle] = ACTIONS(2364),
    [anon_sym_cbuffer] = ACTIONS(2364),
  },
  [845] = {
    [sym_identifier] = ACTIONS(2364),
    [aux_sym_preproc_include_token1] = ACTIONS(2364),
    [aux_sym_preproc_def_token1] = ACTIONS(2364),
    [aux_sym_preproc_if_token1] = ACTIONS(2364),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2364),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2364),
    [sym_preproc_directive] = ACTIONS(2364),
    [anon_sym_LPAREN2] = ACTIONS(2366),
    [anon_sym_BANG] = ACTIONS(2366),
    [anon_sym_TILDE] = ACTIONS(2366),
    [anon_sym_DASH] = ACTIONS(2364),
    [anon_sym_PLUS] = ACTIONS(2364),
    [anon_sym_STAR] = ACTIONS(2366),
    [anon_sym_AMP_AMP] = ACTIONS(2366),
    [anon_sym_AMP] = ACTIONS(2364),
    [anon_sym_SEMI] = ACTIONS(2366),
    [anon_sym___extension__] = ACTIONS(2364),
    [anon_sym_typedef] = ACTIONS(2364),
    [anon_sym_in] = ACTIONS(2364),
    [anon_sym_out] = ACTIONS(2364),
    [anon_sym_inout] = ACTIONS(2364),
    [anon_sym_extern] = ACTIONS(2364),
    [anon_sym___attribute__] = ACTIONS(2364),
    [anon_sym_COLON_COLON] = ACTIONS(2366),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2366),
    [anon_sym___declspec] = ACTIONS(2364),
    [anon_sym___based] = ACTIONS(2364),
    [anon_sym___cdecl] = ACTIONS(2364),
    [anon_sym___clrcall] = ACTIONS(2364),
    [anon_sym___stdcall] = ACTIONS(2364),
    [anon_sym___fastcall] = ACTIONS(2364),
    [anon_sym___thiscall] = ACTIONS(2364),
    [anon_sym___vectorcall] = ACTIONS(2364),
    [anon_sym_LBRACE] = ACTIONS(2366),
    [anon_sym_RBRACE] = ACTIONS(2366),
    [anon_sym_signed] = ACTIONS(2364),
    [anon_sym_unsigned] = ACTIONS(2364),
    [anon_sym_long] = ACTIONS(2364),
    [anon_sym_short] = ACTIONS(2364),
    [anon_sym_LBRACK] = ACTIONS(2364),
    [anon_sym_static] = ACTIONS(2364),
    [anon_sym_register] = ACTIONS(2364),
    [anon_sym_inline] = ACTIONS(2364),
    [anon_sym___inline] = ACTIONS(2364),
    [anon_sym___inline__] = ACTIONS(2364),
    [anon_sym___forceinline] = ACTIONS(2364),
    [anon_sym_thread_local] = ACTIONS(2364),
    [anon_sym___thread] = ACTIONS(2364),
    [anon_sym_const] = ACTIONS(2364),
    [anon_sym_constexpr] = ACTIONS(2364),
    [anon_sym_volatile] = ACTIONS(2364),
    [anon_sym_restrict] = ACTIONS(2364),
    [anon_sym___restrict__] = ACTIONS(2364),
    [anon_sym__Atomic] = ACTIONS(2364),
    [anon_sym__Noreturn] = ACTIONS(2364),
    [anon_sym_noreturn] = ACTIONS(2364),
    [anon_sym_mutable] = ACTIONS(2364),
    [anon_sym_constinit] = ACTIONS(2364),
    [anon_sym_consteval] = ACTIONS(2364),
    [sym_primitive_type] = ACTIONS(2364),
    [anon_sym_enum] = ACTIONS(2364),
    [anon_sym_class] = ACTIONS(2364),
    [anon_sym_struct] = ACTIONS(2364),
    [anon_sym_union] = ACTIONS(2364),
    [anon_sym_if] = ACTIONS(2364),
    [anon_sym_else] = ACTIONS(2364),
    [anon_sym_switch] = ACTIONS(2364),
    [anon_sym_case] = ACTIONS(2364),
    [anon_sym_default] = ACTIONS(2364),
    [anon_sym_while] = ACTIONS(2364),
    [anon_sym_do] = ACTIONS(2364),
    [anon_sym_for] = ACTIONS(2364),
    [anon_sym_return] = ACTIONS(2364),
    [anon_sym_break] = ACTIONS(2364),
    [anon_sym_continue] = ACTIONS(2364),
    [anon_sym_goto] = ACTIONS(2364),
    [anon_sym___try] = ACTIONS(2364),
    [anon_sym___leave] = ACTIONS(2364),
    [anon_sym_not] = ACTIONS(2364),
    [anon_sym_compl] = ACTIONS(2364),
    [anon_sym_DASH_DASH] = ACTIONS(2366),
    [anon_sym_PLUS_PLUS] = ACTIONS(2366),
    [anon_sym_sizeof] = ACTIONS(2364),
    [anon_sym___alignof__] = ACTIONS(2364),
    [anon_sym___alignof] = ACTIONS(2364),
    [anon_sym__alignof] = ACTIONS(2364),
    [anon_sym_alignof] = ACTIONS(2364),
    [anon_sym__Alignof] = ACTIONS(2364),
    [anon_sym_offsetof] = ACTIONS(2364),
    [anon_sym__Generic] = ACTIONS(2364),
    [anon_sym_asm] = ACTIONS(2364),
    [anon_sym___asm__] = ACTIONS(2364),
    [sym_number_literal] = ACTIONS(2366),
    [anon_sym_L_SQUOTE] = ACTIONS(2366),
    [anon_sym_u_SQUOTE] = ACTIONS(2366),
    [anon_sym_U_SQUOTE] = ACTIONS(2366),
    [anon_sym_u8_SQUOTE] = ACTIONS(2366),
    [anon_sym_SQUOTE] = ACTIONS(2366),
    [anon_sym_L_DQUOTE] = ACTIONS(2366),
    [anon_sym_u_DQUOTE] = ACTIONS(2366),
    [anon_sym_U_DQUOTE] = ACTIONS(2366),
    [anon_sym_u8_DQUOTE] = ACTIONS(2366),
    [anon_sym_DQUOTE] = ACTIONS(2366),
    [sym_true] = ACTIONS(2364),
    [sym_false] = ACTIONS(2364),
    [anon_sym_NULL] = ACTIONS(2364),
    [anon_sym_nullptr] = ACTIONS(2364),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2364),
    [anon_sym_decltype] = ACTIONS(2364),
    [anon_sym_virtual] = ACTIONS(2364),
    [anon_sym_alignas] = ACTIONS(2364),
    [anon_sym_explicit] = ACTIONS(2364),
    [anon_sym_typename] = ACTIONS(2364),
    [anon_sym_template] = ACTIONS(2364),
    [anon_sym_operator] = ACTIONS(2364),
    [anon_sym_try] = ACTIONS(2364),
    [anon_sym_delete] = ACTIONS(2364),
    [anon_sym_throw] = ACTIONS(2364),
    [anon_sym_namespace] = ACTIONS(2364),
    [anon_sym_using] = ACTIONS(2364),
    [anon_sym_static_assert] = ACTIONS(2364),
    [anon_sym_concept] = ACTIONS(2364),
    [anon_sym_co_return] = ACTIONS(2364),
    [anon_sym_co_yield] = ACTIONS(2364),
    [anon_sym_R_DQUOTE] = ACTIONS(2366),
    [anon_sym_LR_DQUOTE] = ACTIONS(2366),
    [anon_sym_uR_DQUOTE] = ACTIONS(2366),
    [anon_sym_UR_DQUOTE] = ACTIONS(2366),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2366),
    [anon_sym_co_await] = ACTIONS(2364),
    [anon_sym_new] = ACTIONS(2364),
    [anon_sym_requires] = ACTIONS(2364),
    [sym_this] = ACTIONS(2364),
    [anon_sym_discard] = ACTIONS(2364),
    [anon_sym_precise] = ACTIONS(2364),
    [anon_sym_shared] = ACTIONS(2364),
    [anon_sym_groupshared] = ACTIONS(2364),
    [anon_sym_uniform] = ACTIONS(2364),
    [anon_sym_row_major] = ACTIONS(2364),
    [anon_sym_column_major] = ACTIONS(2364),
    [anon_sym_globallycoherent] = ACTIONS(2364),
    [anon_sym_centroid] = ACTIONS(2364),
    [anon_sym_noperspective] = ACTIONS(2364),
    [anon_sym_nointerpolation] = ACTIONS(2364),
    [anon_sym_sample] = ACTIONS(2364),
    [anon_sym_linear] = ACTIONS(2364),
    [anon_sym_snorm] = ACTIONS(2364),
    [anon_sym_unorm] = ACTIONS(2364),
    [anon_sym_point] = ACTIONS(2364),
    [anon_sym_line] = ACTIONS(2364),
    [anon_sym_triangleadj] = ACTIONS(2364),
    [anon_sym_lineadj] = ACTIONS(2364),
    [anon_sym_triangle] = ACTIONS(2364),
    [anon_sym_cbuffer] = ACTIONS(2364),
  },
  [846] = {
    [sym_identifier] = ACTIONS(2364),
    [aux_sym_preproc_include_token1] = ACTIONS(2364),
    [aux_sym_preproc_def_token1] = ACTIONS(2364),
    [aux_sym_preproc_if_token1] = ACTIONS(2364),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2364),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2364),
    [sym_preproc_directive] = ACTIONS(2364),
    [anon_sym_LPAREN2] = ACTIONS(2366),
    [anon_sym_BANG] = ACTIONS(2366),
    [anon_sym_TILDE] = ACTIONS(2366),
    [anon_sym_DASH] = ACTIONS(2364),
    [anon_sym_PLUS] = ACTIONS(2364),
    [anon_sym_STAR] = ACTIONS(2366),
    [anon_sym_AMP_AMP] = ACTIONS(2366),
    [anon_sym_AMP] = ACTIONS(2364),
    [anon_sym_SEMI] = ACTIONS(2366),
    [anon_sym___extension__] = ACTIONS(2364),
    [anon_sym_typedef] = ACTIONS(2364),
    [anon_sym_in] = ACTIONS(2364),
    [anon_sym_out] = ACTIONS(2364),
    [anon_sym_inout] = ACTIONS(2364),
    [anon_sym_extern] = ACTIONS(2364),
    [anon_sym___attribute__] = ACTIONS(2364),
    [anon_sym_COLON_COLON] = ACTIONS(2366),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2366),
    [anon_sym___declspec] = ACTIONS(2364),
    [anon_sym___based] = ACTIONS(2364),
    [anon_sym___cdecl] = ACTIONS(2364),
    [anon_sym___clrcall] = ACTIONS(2364),
    [anon_sym___stdcall] = ACTIONS(2364),
    [anon_sym___fastcall] = ACTIONS(2364),
    [anon_sym___thiscall] = ACTIONS(2364),
    [anon_sym___vectorcall] = ACTIONS(2364),
    [anon_sym_LBRACE] = ACTIONS(2366),
    [anon_sym_RBRACE] = ACTIONS(2366),
    [anon_sym_signed] = ACTIONS(2364),
    [anon_sym_unsigned] = ACTIONS(2364),
    [anon_sym_long] = ACTIONS(2364),
    [anon_sym_short] = ACTIONS(2364),
    [anon_sym_LBRACK] = ACTIONS(2364),
    [anon_sym_static] = ACTIONS(2364),
    [anon_sym_register] = ACTIONS(2364),
    [anon_sym_inline] = ACTIONS(2364),
    [anon_sym___inline] = ACTIONS(2364),
    [anon_sym___inline__] = ACTIONS(2364),
    [anon_sym___forceinline] = ACTIONS(2364),
    [anon_sym_thread_local] = ACTIONS(2364),
    [anon_sym___thread] = ACTIONS(2364),
    [anon_sym_const] = ACTIONS(2364),
    [anon_sym_constexpr] = ACTIONS(2364),
    [anon_sym_volatile] = ACTIONS(2364),
    [anon_sym_restrict] = ACTIONS(2364),
    [anon_sym___restrict__] = ACTIONS(2364),
    [anon_sym__Atomic] = ACTIONS(2364),
    [anon_sym__Noreturn] = ACTIONS(2364),
    [anon_sym_noreturn] = ACTIONS(2364),
    [anon_sym_mutable] = ACTIONS(2364),
    [anon_sym_constinit] = ACTIONS(2364),
    [anon_sym_consteval] = ACTIONS(2364),
    [sym_primitive_type] = ACTIONS(2364),
    [anon_sym_enum] = ACTIONS(2364),
    [anon_sym_class] = ACTIONS(2364),
    [anon_sym_struct] = ACTIONS(2364),
    [anon_sym_union] = ACTIONS(2364),
    [anon_sym_if] = ACTIONS(2364),
    [anon_sym_else] = ACTIONS(2364),
    [anon_sym_switch] = ACTIONS(2364),
    [anon_sym_case] = ACTIONS(2364),
    [anon_sym_default] = ACTIONS(2364),
    [anon_sym_while] = ACTIONS(2364),
    [anon_sym_do] = ACTIONS(2364),
    [anon_sym_for] = ACTIONS(2364),
    [anon_sym_return] = ACTIONS(2364),
    [anon_sym_break] = ACTIONS(2364),
    [anon_sym_continue] = ACTIONS(2364),
    [anon_sym_goto] = ACTIONS(2364),
    [anon_sym___try] = ACTIONS(2364),
    [anon_sym___leave] = ACTIONS(2364),
    [anon_sym_not] = ACTIONS(2364),
    [anon_sym_compl] = ACTIONS(2364),
    [anon_sym_DASH_DASH] = ACTIONS(2366),
    [anon_sym_PLUS_PLUS] = ACTIONS(2366),
    [anon_sym_sizeof] = ACTIONS(2364),
    [anon_sym___alignof__] = ACTIONS(2364),
    [anon_sym___alignof] = ACTIONS(2364),
    [anon_sym__alignof] = ACTIONS(2364),
    [anon_sym_alignof] = ACTIONS(2364),
    [anon_sym__Alignof] = ACTIONS(2364),
    [anon_sym_offsetof] = ACTIONS(2364),
    [anon_sym__Generic] = ACTIONS(2364),
    [anon_sym_asm] = ACTIONS(2364),
    [anon_sym___asm__] = ACTIONS(2364),
    [sym_number_literal] = ACTIONS(2366),
    [anon_sym_L_SQUOTE] = ACTIONS(2366),
    [anon_sym_u_SQUOTE] = ACTIONS(2366),
    [anon_sym_U_SQUOTE] = ACTIONS(2366),
    [anon_sym_u8_SQUOTE] = ACTIONS(2366),
    [anon_sym_SQUOTE] = ACTIONS(2366),
    [anon_sym_L_DQUOTE] = ACTIONS(2366),
    [anon_sym_u_DQUOTE] = ACTIONS(2366),
    [anon_sym_U_DQUOTE] = ACTIONS(2366),
    [anon_sym_u8_DQUOTE] = ACTIONS(2366),
    [anon_sym_DQUOTE] = ACTIONS(2366),
    [sym_true] = ACTIONS(2364),
    [sym_false] = ACTIONS(2364),
    [anon_sym_NULL] = ACTIONS(2364),
    [anon_sym_nullptr] = ACTIONS(2364),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2364),
    [anon_sym_decltype] = ACTIONS(2364),
    [anon_sym_virtual] = ACTIONS(2364),
    [anon_sym_alignas] = ACTIONS(2364),
    [anon_sym_explicit] = ACTIONS(2364),
    [anon_sym_typename] = ACTIONS(2364),
    [anon_sym_template] = ACTIONS(2364),
    [anon_sym_operator] = ACTIONS(2364),
    [anon_sym_try] = ACTIONS(2364),
    [anon_sym_delete] = ACTIONS(2364),
    [anon_sym_throw] = ACTIONS(2364),
    [anon_sym_namespace] = ACTIONS(2364),
    [anon_sym_using] = ACTIONS(2364),
    [anon_sym_static_assert] = ACTIONS(2364),
    [anon_sym_concept] = ACTIONS(2364),
    [anon_sym_co_return] = ACTIONS(2364),
    [anon_sym_co_yield] = ACTIONS(2364),
    [anon_sym_R_DQUOTE] = ACTIONS(2366),
    [anon_sym_LR_DQUOTE] = ACTIONS(2366),
    [anon_sym_uR_DQUOTE] = ACTIONS(2366),
    [anon_sym_UR_DQUOTE] = ACTIONS(2366),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2366),
    [anon_sym_co_await] = ACTIONS(2364),
    [anon_sym_new] = ACTIONS(2364),
    [anon_sym_requires] = ACTIONS(2364),
    [sym_this] = ACTIONS(2364),
    [anon_sym_discard] = ACTIONS(2364),
    [anon_sym_precise] = ACTIONS(2364),
    [anon_sym_shared] = ACTIONS(2364),
    [anon_sym_groupshared] = ACTIONS(2364),
    [anon_sym_uniform] = ACTIONS(2364),
    [anon_sym_row_major] = ACTIONS(2364),
    [anon_sym_column_major] = ACTIONS(2364),
    [anon_sym_globallycoherent] = ACTIONS(2364),
    [anon_sym_centroid] = ACTIONS(2364),
    [anon_sym_noperspective] = ACTIONS(2364),
    [anon_sym_nointerpolation] = ACTIONS(2364),
    [anon_sym_sample] = ACTIONS(2364),
    [anon_sym_linear] = ACTIONS(2364),
    [anon_sym_snorm] = ACTIONS(2364),
    [anon_sym_unorm] = ACTIONS(2364),
    [anon_sym_point] = ACTIONS(2364),
    [anon_sym_line] = ACTIONS(2364),
    [anon_sym_triangleadj] = ACTIONS(2364),
    [anon_sym_lineadj] = ACTIONS(2364),
    [anon_sym_triangle] = ACTIONS(2364),
    [anon_sym_cbuffer] = ACTIONS(2364),
  },
  [847] = {
    [sym_identifier] = ACTIONS(2364),
    [aux_sym_preproc_include_token1] = ACTIONS(2364),
    [aux_sym_preproc_def_token1] = ACTIONS(2364),
    [aux_sym_preproc_if_token1] = ACTIONS(2364),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2364),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2364),
    [sym_preproc_directive] = ACTIONS(2364),
    [anon_sym_LPAREN2] = ACTIONS(2366),
    [anon_sym_BANG] = ACTIONS(2366),
    [anon_sym_TILDE] = ACTIONS(2366),
    [anon_sym_DASH] = ACTIONS(2364),
    [anon_sym_PLUS] = ACTIONS(2364),
    [anon_sym_STAR] = ACTIONS(2366),
    [anon_sym_AMP_AMP] = ACTIONS(2366),
    [anon_sym_AMP] = ACTIONS(2364),
    [anon_sym_SEMI] = ACTIONS(2366),
    [anon_sym___extension__] = ACTIONS(2364),
    [anon_sym_typedef] = ACTIONS(2364),
    [anon_sym_in] = ACTIONS(2364),
    [anon_sym_out] = ACTIONS(2364),
    [anon_sym_inout] = ACTIONS(2364),
    [anon_sym_extern] = ACTIONS(2364),
    [anon_sym___attribute__] = ACTIONS(2364),
    [anon_sym_COLON_COLON] = ACTIONS(2366),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2366),
    [anon_sym___declspec] = ACTIONS(2364),
    [anon_sym___based] = ACTIONS(2364),
    [anon_sym___cdecl] = ACTIONS(2364),
    [anon_sym___clrcall] = ACTIONS(2364),
    [anon_sym___stdcall] = ACTIONS(2364),
    [anon_sym___fastcall] = ACTIONS(2364),
    [anon_sym___thiscall] = ACTIONS(2364),
    [anon_sym___vectorcall] = ACTIONS(2364),
    [anon_sym_LBRACE] = ACTIONS(2366),
    [anon_sym_RBRACE] = ACTIONS(2366),
    [anon_sym_signed] = ACTIONS(2364),
    [anon_sym_unsigned] = ACTIONS(2364),
    [anon_sym_long] = ACTIONS(2364),
    [anon_sym_short] = ACTIONS(2364),
    [anon_sym_LBRACK] = ACTIONS(2364),
    [anon_sym_static] = ACTIONS(2364),
    [anon_sym_register] = ACTIONS(2364),
    [anon_sym_inline] = ACTIONS(2364),
    [anon_sym___inline] = ACTIONS(2364),
    [anon_sym___inline__] = ACTIONS(2364),
    [anon_sym___forceinline] = ACTIONS(2364),
    [anon_sym_thread_local] = ACTIONS(2364),
    [anon_sym___thread] = ACTIONS(2364),
    [anon_sym_const] = ACTIONS(2364),
    [anon_sym_constexpr] = ACTIONS(2364),
    [anon_sym_volatile] = ACTIONS(2364),
    [anon_sym_restrict] = ACTIONS(2364),
    [anon_sym___restrict__] = ACTIONS(2364),
    [anon_sym__Atomic] = ACTIONS(2364),
    [anon_sym__Noreturn] = ACTIONS(2364),
    [anon_sym_noreturn] = ACTIONS(2364),
    [anon_sym_mutable] = ACTIONS(2364),
    [anon_sym_constinit] = ACTIONS(2364),
    [anon_sym_consteval] = ACTIONS(2364),
    [sym_primitive_type] = ACTIONS(2364),
    [anon_sym_enum] = ACTIONS(2364),
    [anon_sym_class] = ACTIONS(2364),
    [anon_sym_struct] = ACTIONS(2364),
    [anon_sym_union] = ACTIONS(2364),
    [anon_sym_if] = ACTIONS(2364),
    [anon_sym_else] = ACTIONS(2364),
    [anon_sym_switch] = ACTIONS(2364),
    [anon_sym_case] = ACTIONS(2364),
    [anon_sym_default] = ACTIONS(2364),
    [anon_sym_while] = ACTIONS(2364),
    [anon_sym_do] = ACTIONS(2364),
    [anon_sym_for] = ACTIONS(2364),
    [anon_sym_return] = ACTIONS(2364),
    [anon_sym_break] = ACTIONS(2364),
    [anon_sym_continue] = ACTIONS(2364),
    [anon_sym_goto] = ACTIONS(2364),
    [anon_sym___try] = ACTIONS(2364),
    [anon_sym___leave] = ACTIONS(2364),
    [anon_sym_not] = ACTIONS(2364),
    [anon_sym_compl] = ACTIONS(2364),
    [anon_sym_DASH_DASH] = ACTIONS(2366),
    [anon_sym_PLUS_PLUS] = ACTIONS(2366),
    [anon_sym_sizeof] = ACTIONS(2364),
    [anon_sym___alignof__] = ACTIONS(2364),
    [anon_sym___alignof] = ACTIONS(2364),
    [anon_sym__alignof] = ACTIONS(2364),
    [anon_sym_alignof] = ACTIONS(2364),
    [anon_sym__Alignof] = ACTIONS(2364),
    [anon_sym_offsetof] = ACTIONS(2364),
    [anon_sym__Generic] = ACTIONS(2364),
    [anon_sym_asm] = ACTIONS(2364),
    [anon_sym___asm__] = ACTIONS(2364),
    [sym_number_literal] = ACTIONS(2366),
    [anon_sym_L_SQUOTE] = ACTIONS(2366),
    [anon_sym_u_SQUOTE] = ACTIONS(2366),
    [anon_sym_U_SQUOTE] = ACTIONS(2366),
    [anon_sym_u8_SQUOTE] = ACTIONS(2366),
    [anon_sym_SQUOTE] = ACTIONS(2366),
    [anon_sym_L_DQUOTE] = ACTIONS(2366),
    [anon_sym_u_DQUOTE] = ACTIONS(2366),
    [anon_sym_U_DQUOTE] = ACTIONS(2366),
    [anon_sym_u8_DQUOTE] = ACTIONS(2366),
    [anon_sym_DQUOTE] = ACTIONS(2366),
    [sym_true] = ACTIONS(2364),
    [sym_false] = ACTIONS(2364),
    [anon_sym_NULL] = ACTIONS(2364),
    [anon_sym_nullptr] = ACTIONS(2364),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2364),
    [anon_sym_decltype] = ACTIONS(2364),
    [anon_sym_virtual] = ACTIONS(2364),
    [anon_sym_alignas] = ACTIONS(2364),
    [anon_sym_explicit] = ACTIONS(2364),
    [anon_sym_typename] = ACTIONS(2364),
    [anon_sym_template] = ACTIONS(2364),
    [anon_sym_operator] = ACTIONS(2364),
    [anon_sym_try] = ACTIONS(2364),
    [anon_sym_delete] = ACTIONS(2364),
    [anon_sym_throw] = ACTIONS(2364),
    [anon_sym_namespace] = ACTIONS(2364),
    [anon_sym_using] = ACTIONS(2364),
    [anon_sym_static_assert] = ACTIONS(2364),
    [anon_sym_concept] = ACTIONS(2364),
    [anon_sym_co_return] = ACTIONS(2364),
    [anon_sym_co_yield] = ACTIONS(2364),
    [anon_sym_R_DQUOTE] = ACTIONS(2366),
    [anon_sym_LR_DQUOTE] = ACTIONS(2366),
    [anon_sym_uR_DQUOTE] = ACTIONS(2366),
    [anon_sym_UR_DQUOTE] = ACTIONS(2366),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2366),
    [anon_sym_co_await] = ACTIONS(2364),
    [anon_sym_new] = ACTIONS(2364),
    [anon_sym_requires] = ACTIONS(2364),
    [sym_this] = ACTIONS(2364),
    [anon_sym_discard] = ACTIONS(2364),
    [anon_sym_precise] = ACTIONS(2364),
    [anon_sym_shared] = ACTIONS(2364),
    [anon_sym_groupshared] = ACTIONS(2364),
    [anon_sym_uniform] = ACTIONS(2364),
    [anon_sym_row_major] = ACTIONS(2364),
    [anon_sym_column_major] = ACTIONS(2364),
    [anon_sym_globallycoherent] = ACTIONS(2364),
    [anon_sym_centroid] = ACTIONS(2364),
    [anon_sym_noperspective] = ACTIONS(2364),
    [anon_sym_nointerpolation] = ACTIONS(2364),
    [anon_sym_sample] = ACTIONS(2364),
    [anon_sym_linear] = ACTIONS(2364),
    [anon_sym_snorm] = ACTIONS(2364),
    [anon_sym_unorm] = ACTIONS(2364),
    [anon_sym_point] = ACTIONS(2364),
    [anon_sym_line] = ACTIONS(2364),
    [anon_sym_triangleadj] = ACTIONS(2364),
    [anon_sym_lineadj] = ACTIONS(2364),
    [anon_sym_triangle] = ACTIONS(2364),
    [anon_sym_cbuffer] = ACTIONS(2364),
  },
  [848] = {
    [sym_identifier] = ACTIONS(2364),
    [aux_sym_preproc_include_token1] = ACTIONS(2364),
    [aux_sym_preproc_def_token1] = ACTIONS(2364),
    [aux_sym_preproc_if_token1] = ACTIONS(2364),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2364),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2364),
    [sym_preproc_directive] = ACTIONS(2364),
    [anon_sym_LPAREN2] = ACTIONS(2366),
    [anon_sym_BANG] = ACTIONS(2366),
    [anon_sym_TILDE] = ACTIONS(2366),
    [anon_sym_DASH] = ACTIONS(2364),
    [anon_sym_PLUS] = ACTIONS(2364),
    [anon_sym_STAR] = ACTIONS(2366),
    [anon_sym_AMP_AMP] = ACTIONS(2366),
    [anon_sym_AMP] = ACTIONS(2364),
    [anon_sym_SEMI] = ACTIONS(2366),
    [anon_sym___extension__] = ACTIONS(2364),
    [anon_sym_typedef] = ACTIONS(2364),
    [anon_sym_in] = ACTIONS(2364),
    [anon_sym_out] = ACTIONS(2364),
    [anon_sym_inout] = ACTIONS(2364),
    [anon_sym_extern] = ACTIONS(2364),
    [anon_sym___attribute__] = ACTIONS(2364),
    [anon_sym_COLON_COLON] = ACTIONS(2366),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2366),
    [anon_sym___declspec] = ACTIONS(2364),
    [anon_sym___based] = ACTIONS(2364),
    [anon_sym___cdecl] = ACTIONS(2364),
    [anon_sym___clrcall] = ACTIONS(2364),
    [anon_sym___stdcall] = ACTIONS(2364),
    [anon_sym___fastcall] = ACTIONS(2364),
    [anon_sym___thiscall] = ACTIONS(2364),
    [anon_sym___vectorcall] = ACTIONS(2364),
    [anon_sym_LBRACE] = ACTIONS(2366),
    [anon_sym_RBRACE] = ACTIONS(2366),
    [anon_sym_signed] = ACTIONS(2364),
    [anon_sym_unsigned] = ACTIONS(2364),
    [anon_sym_long] = ACTIONS(2364),
    [anon_sym_short] = ACTIONS(2364),
    [anon_sym_LBRACK] = ACTIONS(2364),
    [anon_sym_static] = ACTIONS(2364),
    [anon_sym_register] = ACTIONS(2364),
    [anon_sym_inline] = ACTIONS(2364),
    [anon_sym___inline] = ACTIONS(2364),
    [anon_sym___inline__] = ACTIONS(2364),
    [anon_sym___forceinline] = ACTIONS(2364),
    [anon_sym_thread_local] = ACTIONS(2364),
    [anon_sym___thread] = ACTIONS(2364),
    [anon_sym_const] = ACTIONS(2364),
    [anon_sym_constexpr] = ACTIONS(2364),
    [anon_sym_volatile] = ACTIONS(2364),
    [anon_sym_restrict] = ACTIONS(2364),
    [anon_sym___restrict__] = ACTIONS(2364),
    [anon_sym__Atomic] = ACTIONS(2364),
    [anon_sym__Noreturn] = ACTIONS(2364),
    [anon_sym_noreturn] = ACTIONS(2364),
    [anon_sym_mutable] = ACTIONS(2364),
    [anon_sym_constinit] = ACTIONS(2364),
    [anon_sym_consteval] = ACTIONS(2364),
    [sym_primitive_type] = ACTIONS(2364),
    [anon_sym_enum] = ACTIONS(2364),
    [anon_sym_class] = ACTIONS(2364),
    [anon_sym_struct] = ACTIONS(2364),
    [anon_sym_union] = ACTIONS(2364),
    [anon_sym_if] = ACTIONS(2364),
    [anon_sym_else] = ACTIONS(2364),
    [anon_sym_switch] = ACTIONS(2364),
    [anon_sym_case] = ACTIONS(2364),
    [anon_sym_default] = ACTIONS(2364),
    [anon_sym_while] = ACTIONS(2364),
    [anon_sym_do] = ACTIONS(2364),
    [anon_sym_for] = ACTIONS(2364),
    [anon_sym_return] = ACTIONS(2364),
    [anon_sym_break] = ACTIONS(2364),
    [anon_sym_continue] = ACTIONS(2364),
    [anon_sym_goto] = ACTIONS(2364),
    [anon_sym___try] = ACTIONS(2364),
    [anon_sym___leave] = ACTIONS(2364),
    [anon_sym_not] = ACTIONS(2364),
    [anon_sym_compl] = ACTIONS(2364),
    [anon_sym_DASH_DASH] = ACTIONS(2366),
    [anon_sym_PLUS_PLUS] = ACTIONS(2366),
    [anon_sym_sizeof] = ACTIONS(2364),
    [anon_sym___alignof__] = ACTIONS(2364),
    [anon_sym___alignof] = ACTIONS(2364),
    [anon_sym__alignof] = ACTIONS(2364),
    [anon_sym_alignof] = ACTIONS(2364),
    [anon_sym__Alignof] = ACTIONS(2364),
    [anon_sym_offsetof] = ACTIONS(2364),
    [anon_sym__Generic] = ACTIONS(2364),
    [anon_sym_asm] = ACTIONS(2364),
    [anon_sym___asm__] = ACTIONS(2364),
    [sym_number_literal] = ACTIONS(2366),
    [anon_sym_L_SQUOTE] = ACTIONS(2366),
    [anon_sym_u_SQUOTE] = ACTIONS(2366),
    [anon_sym_U_SQUOTE] = ACTIONS(2366),
    [anon_sym_u8_SQUOTE] = ACTIONS(2366),
    [anon_sym_SQUOTE] = ACTIONS(2366),
    [anon_sym_L_DQUOTE] = ACTIONS(2366),
    [anon_sym_u_DQUOTE] = ACTIONS(2366),
    [anon_sym_U_DQUOTE] = ACTIONS(2366),
    [anon_sym_u8_DQUOTE] = ACTIONS(2366),
    [anon_sym_DQUOTE] = ACTIONS(2366),
    [sym_true] = ACTIONS(2364),
    [sym_false] = ACTIONS(2364),
    [anon_sym_NULL] = ACTIONS(2364),
    [anon_sym_nullptr] = ACTIONS(2364),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2364),
    [anon_sym_decltype] = ACTIONS(2364),
    [anon_sym_virtual] = ACTIONS(2364),
    [anon_sym_alignas] = ACTIONS(2364),
    [anon_sym_explicit] = ACTIONS(2364),
    [anon_sym_typename] = ACTIONS(2364),
    [anon_sym_template] = ACTIONS(2364),
    [anon_sym_operator] = ACTIONS(2364),
    [anon_sym_try] = ACTIONS(2364),
    [anon_sym_delete] = ACTIONS(2364),
    [anon_sym_throw] = ACTIONS(2364),
    [anon_sym_namespace] = ACTIONS(2364),
    [anon_sym_using] = ACTIONS(2364),
    [anon_sym_static_assert] = ACTIONS(2364),
    [anon_sym_concept] = ACTIONS(2364),
    [anon_sym_co_return] = ACTIONS(2364),
    [anon_sym_co_yield] = ACTIONS(2364),
    [anon_sym_R_DQUOTE] = ACTIONS(2366),
    [anon_sym_LR_DQUOTE] = ACTIONS(2366),
    [anon_sym_uR_DQUOTE] = ACTIONS(2366),
    [anon_sym_UR_DQUOTE] = ACTIONS(2366),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2366),
    [anon_sym_co_await] = ACTIONS(2364),
    [anon_sym_new] = ACTIONS(2364),
    [anon_sym_requires] = ACTIONS(2364),
    [sym_this] = ACTIONS(2364),
    [anon_sym_discard] = ACTIONS(2364),
    [anon_sym_precise] = ACTIONS(2364),
    [anon_sym_shared] = ACTIONS(2364),
    [anon_sym_groupshared] = ACTIONS(2364),
    [anon_sym_uniform] = ACTIONS(2364),
    [anon_sym_row_major] = ACTIONS(2364),
    [anon_sym_column_major] = ACTIONS(2364),
    [anon_sym_globallycoherent] = ACTIONS(2364),
    [anon_sym_centroid] = ACTIONS(2364),
    [anon_sym_noperspective] = ACTIONS(2364),
    [anon_sym_nointerpolation] = ACTIONS(2364),
    [anon_sym_sample] = ACTIONS(2364),
    [anon_sym_linear] = ACTIONS(2364),
    [anon_sym_snorm] = ACTIONS(2364),
    [anon_sym_unorm] = ACTIONS(2364),
    [anon_sym_point] = ACTIONS(2364),
    [anon_sym_line] = ACTIONS(2364),
    [anon_sym_triangleadj] = ACTIONS(2364),
    [anon_sym_lineadj] = ACTIONS(2364),
    [anon_sym_triangle] = ACTIONS(2364),
    [anon_sym_cbuffer] = ACTIONS(2364),
  },
  [849] = {
    [sym_identifier] = ACTIONS(2444),
    [aux_sym_preproc_include_token1] = ACTIONS(2444),
    [aux_sym_preproc_def_token1] = ACTIONS(2444),
    [aux_sym_preproc_if_token1] = ACTIONS(2444),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2444),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2444),
    [sym_preproc_directive] = ACTIONS(2444),
    [anon_sym_LPAREN2] = ACTIONS(2446),
    [anon_sym_BANG] = ACTIONS(2446),
    [anon_sym_TILDE] = ACTIONS(2446),
    [anon_sym_DASH] = ACTIONS(2444),
    [anon_sym_PLUS] = ACTIONS(2444),
    [anon_sym_STAR] = ACTIONS(2446),
    [anon_sym_AMP_AMP] = ACTIONS(2446),
    [anon_sym_AMP] = ACTIONS(2444),
    [anon_sym_SEMI] = ACTIONS(2446),
    [anon_sym___extension__] = ACTIONS(2444),
    [anon_sym_typedef] = ACTIONS(2444),
    [anon_sym_in] = ACTIONS(2444),
    [anon_sym_out] = ACTIONS(2444),
    [anon_sym_inout] = ACTIONS(2444),
    [anon_sym_extern] = ACTIONS(2444),
    [anon_sym___attribute__] = ACTIONS(2444),
    [anon_sym_COLON_COLON] = ACTIONS(2446),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2446),
    [anon_sym___declspec] = ACTIONS(2444),
    [anon_sym___based] = ACTIONS(2444),
    [anon_sym___cdecl] = ACTIONS(2444),
    [anon_sym___clrcall] = ACTIONS(2444),
    [anon_sym___stdcall] = ACTIONS(2444),
    [anon_sym___fastcall] = ACTIONS(2444),
    [anon_sym___thiscall] = ACTIONS(2444),
    [anon_sym___vectorcall] = ACTIONS(2444),
    [anon_sym_LBRACE] = ACTIONS(2446),
    [anon_sym_RBRACE] = ACTIONS(2446),
    [anon_sym_signed] = ACTIONS(2444),
    [anon_sym_unsigned] = ACTIONS(2444),
    [anon_sym_long] = ACTIONS(2444),
    [anon_sym_short] = ACTIONS(2444),
    [anon_sym_LBRACK] = ACTIONS(2444),
    [anon_sym_static] = ACTIONS(2444),
    [anon_sym_register] = ACTIONS(2444),
    [anon_sym_inline] = ACTIONS(2444),
    [anon_sym___inline] = ACTIONS(2444),
    [anon_sym___inline__] = ACTIONS(2444),
    [anon_sym___forceinline] = ACTIONS(2444),
    [anon_sym_thread_local] = ACTIONS(2444),
    [anon_sym___thread] = ACTIONS(2444),
    [anon_sym_const] = ACTIONS(2444),
    [anon_sym_constexpr] = ACTIONS(2444),
    [anon_sym_volatile] = ACTIONS(2444),
    [anon_sym_restrict] = ACTIONS(2444),
    [anon_sym___restrict__] = ACTIONS(2444),
    [anon_sym__Atomic] = ACTIONS(2444),
    [anon_sym__Noreturn] = ACTIONS(2444),
    [anon_sym_noreturn] = ACTIONS(2444),
    [anon_sym_mutable] = ACTIONS(2444),
    [anon_sym_constinit] = ACTIONS(2444),
    [anon_sym_consteval] = ACTIONS(2444),
    [sym_primitive_type] = ACTIONS(2444),
    [anon_sym_enum] = ACTIONS(2444),
    [anon_sym_class] = ACTIONS(2444),
    [anon_sym_struct] = ACTIONS(2444),
    [anon_sym_union] = ACTIONS(2444),
    [anon_sym_if] = ACTIONS(2444),
    [anon_sym_else] = ACTIONS(2444),
    [anon_sym_switch] = ACTIONS(2444),
    [anon_sym_case] = ACTIONS(2444),
    [anon_sym_default] = ACTIONS(2444),
    [anon_sym_while] = ACTIONS(2444),
    [anon_sym_do] = ACTIONS(2444),
    [anon_sym_for] = ACTIONS(2444),
    [anon_sym_return] = ACTIONS(2444),
    [anon_sym_break] = ACTIONS(2444),
    [anon_sym_continue] = ACTIONS(2444),
    [anon_sym_goto] = ACTIONS(2444),
    [anon_sym___try] = ACTIONS(2444),
    [anon_sym___leave] = ACTIONS(2444),
    [anon_sym_not] = ACTIONS(2444),
    [anon_sym_compl] = ACTIONS(2444),
    [anon_sym_DASH_DASH] = ACTIONS(2446),
    [anon_sym_PLUS_PLUS] = ACTIONS(2446),
    [anon_sym_sizeof] = ACTIONS(2444),
    [anon_sym___alignof__] = ACTIONS(2444),
    [anon_sym___alignof] = ACTIONS(2444),
    [anon_sym__alignof] = ACTIONS(2444),
    [anon_sym_alignof] = ACTIONS(2444),
    [anon_sym__Alignof] = ACTIONS(2444),
    [anon_sym_offsetof] = ACTIONS(2444),
    [anon_sym__Generic] = ACTIONS(2444),
    [anon_sym_asm] = ACTIONS(2444),
    [anon_sym___asm__] = ACTIONS(2444),
    [sym_number_literal] = ACTIONS(2446),
    [anon_sym_L_SQUOTE] = ACTIONS(2446),
    [anon_sym_u_SQUOTE] = ACTIONS(2446),
    [anon_sym_U_SQUOTE] = ACTIONS(2446),
    [anon_sym_u8_SQUOTE] = ACTIONS(2446),
    [anon_sym_SQUOTE] = ACTIONS(2446),
    [anon_sym_L_DQUOTE] = ACTIONS(2446),
    [anon_sym_u_DQUOTE] = ACTIONS(2446),
    [anon_sym_U_DQUOTE] = ACTIONS(2446),
    [anon_sym_u8_DQUOTE] = ACTIONS(2446),
    [anon_sym_DQUOTE] = ACTIONS(2446),
    [sym_true] = ACTIONS(2444),
    [sym_false] = ACTIONS(2444),
    [anon_sym_NULL] = ACTIONS(2444),
    [anon_sym_nullptr] = ACTIONS(2444),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2444),
    [anon_sym_decltype] = ACTIONS(2444),
    [anon_sym_virtual] = ACTIONS(2444),
    [anon_sym_alignas] = ACTIONS(2444),
    [anon_sym_explicit] = ACTIONS(2444),
    [anon_sym_typename] = ACTIONS(2444),
    [anon_sym_template] = ACTIONS(2444),
    [anon_sym_operator] = ACTIONS(2444),
    [anon_sym_try] = ACTIONS(2444),
    [anon_sym_delete] = ACTIONS(2444),
    [anon_sym_throw] = ACTIONS(2444),
    [anon_sym_namespace] = ACTIONS(2444),
    [anon_sym_using] = ACTIONS(2444),
    [anon_sym_static_assert] = ACTIONS(2444),
    [anon_sym_concept] = ACTIONS(2444),
    [anon_sym_co_return] = ACTIONS(2444),
    [anon_sym_co_yield] = ACTIONS(2444),
    [anon_sym_R_DQUOTE] = ACTIONS(2446),
    [anon_sym_LR_DQUOTE] = ACTIONS(2446),
    [anon_sym_uR_DQUOTE] = ACTIONS(2446),
    [anon_sym_UR_DQUOTE] = ACTIONS(2446),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2446),
    [anon_sym_co_await] = ACTIONS(2444),
    [anon_sym_new] = ACTIONS(2444),
    [anon_sym_requires] = ACTIONS(2444),
    [sym_this] = ACTIONS(2444),
    [anon_sym_discard] = ACTIONS(2444),
    [anon_sym_precise] = ACTIONS(2444),
    [anon_sym_shared] = ACTIONS(2444),
    [anon_sym_groupshared] = ACTIONS(2444),
    [anon_sym_uniform] = ACTIONS(2444),
    [anon_sym_row_major] = ACTIONS(2444),
    [anon_sym_column_major] = ACTIONS(2444),
    [anon_sym_globallycoherent] = ACTIONS(2444),
    [anon_sym_centroid] = ACTIONS(2444),
    [anon_sym_noperspective] = ACTIONS(2444),
    [anon_sym_nointerpolation] = ACTIONS(2444),
    [anon_sym_sample] = ACTIONS(2444),
    [anon_sym_linear] = ACTIONS(2444),
    [anon_sym_snorm] = ACTIONS(2444),
    [anon_sym_unorm] = ACTIONS(2444),
    [anon_sym_point] = ACTIONS(2444),
    [anon_sym_line] = ACTIONS(2444),
    [anon_sym_triangleadj] = ACTIONS(2444),
    [anon_sym_lineadj] = ACTIONS(2444),
    [anon_sym_triangle] = ACTIONS(2444),
    [anon_sym_cbuffer] = ACTIONS(2444),
  },
  [850] = {
    [sym_identifier] = ACTIONS(2364),
    [aux_sym_preproc_include_token1] = ACTIONS(2364),
    [aux_sym_preproc_def_token1] = ACTIONS(2364),
    [aux_sym_preproc_if_token1] = ACTIONS(2364),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2364),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2364),
    [sym_preproc_directive] = ACTIONS(2364),
    [anon_sym_LPAREN2] = ACTIONS(2366),
    [anon_sym_BANG] = ACTIONS(2366),
    [anon_sym_TILDE] = ACTIONS(2366),
    [anon_sym_DASH] = ACTIONS(2364),
    [anon_sym_PLUS] = ACTIONS(2364),
    [anon_sym_STAR] = ACTIONS(2366),
    [anon_sym_AMP_AMP] = ACTIONS(2366),
    [anon_sym_AMP] = ACTIONS(2364),
    [anon_sym_SEMI] = ACTIONS(2366),
    [anon_sym___extension__] = ACTIONS(2364),
    [anon_sym_typedef] = ACTIONS(2364),
    [anon_sym_in] = ACTIONS(2364),
    [anon_sym_out] = ACTIONS(2364),
    [anon_sym_inout] = ACTIONS(2364),
    [anon_sym_extern] = ACTIONS(2364),
    [anon_sym___attribute__] = ACTIONS(2364),
    [anon_sym_COLON_COLON] = ACTIONS(2366),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2366),
    [anon_sym___declspec] = ACTIONS(2364),
    [anon_sym___based] = ACTIONS(2364),
    [anon_sym___cdecl] = ACTIONS(2364),
    [anon_sym___clrcall] = ACTIONS(2364),
    [anon_sym___stdcall] = ACTIONS(2364),
    [anon_sym___fastcall] = ACTIONS(2364),
    [anon_sym___thiscall] = ACTIONS(2364),
    [anon_sym___vectorcall] = ACTIONS(2364),
    [anon_sym_LBRACE] = ACTIONS(2366),
    [anon_sym_RBRACE] = ACTIONS(2366),
    [anon_sym_signed] = ACTIONS(2364),
    [anon_sym_unsigned] = ACTIONS(2364),
    [anon_sym_long] = ACTIONS(2364),
    [anon_sym_short] = ACTIONS(2364),
    [anon_sym_LBRACK] = ACTIONS(2364),
    [anon_sym_static] = ACTIONS(2364),
    [anon_sym_register] = ACTIONS(2364),
    [anon_sym_inline] = ACTIONS(2364),
    [anon_sym___inline] = ACTIONS(2364),
    [anon_sym___inline__] = ACTIONS(2364),
    [anon_sym___forceinline] = ACTIONS(2364),
    [anon_sym_thread_local] = ACTIONS(2364),
    [anon_sym___thread] = ACTIONS(2364),
    [anon_sym_const] = ACTIONS(2364),
    [anon_sym_constexpr] = ACTIONS(2364),
    [anon_sym_volatile] = ACTIONS(2364),
    [anon_sym_restrict] = ACTIONS(2364),
    [anon_sym___restrict__] = ACTIONS(2364),
    [anon_sym__Atomic] = ACTIONS(2364),
    [anon_sym__Noreturn] = ACTIONS(2364),
    [anon_sym_noreturn] = ACTIONS(2364),
    [anon_sym_mutable] = ACTIONS(2364),
    [anon_sym_constinit] = ACTIONS(2364),
    [anon_sym_consteval] = ACTIONS(2364),
    [sym_primitive_type] = ACTIONS(2364),
    [anon_sym_enum] = ACTIONS(2364),
    [anon_sym_class] = ACTIONS(2364),
    [anon_sym_struct] = ACTIONS(2364),
    [anon_sym_union] = ACTIONS(2364),
    [anon_sym_if] = ACTIONS(2364),
    [anon_sym_else] = ACTIONS(2364),
    [anon_sym_switch] = ACTIONS(2364),
    [anon_sym_case] = ACTIONS(2364),
    [anon_sym_default] = ACTIONS(2364),
    [anon_sym_while] = ACTIONS(2364),
    [anon_sym_do] = ACTIONS(2364),
    [anon_sym_for] = ACTIONS(2364),
    [anon_sym_return] = ACTIONS(2364),
    [anon_sym_break] = ACTIONS(2364),
    [anon_sym_continue] = ACTIONS(2364),
    [anon_sym_goto] = ACTIONS(2364),
    [anon_sym___try] = ACTIONS(2364),
    [anon_sym___leave] = ACTIONS(2364),
    [anon_sym_not] = ACTIONS(2364),
    [anon_sym_compl] = ACTIONS(2364),
    [anon_sym_DASH_DASH] = ACTIONS(2366),
    [anon_sym_PLUS_PLUS] = ACTIONS(2366),
    [anon_sym_sizeof] = ACTIONS(2364),
    [anon_sym___alignof__] = ACTIONS(2364),
    [anon_sym___alignof] = ACTIONS(2364),
    [anon_sym__alignof] = ACTIONS(2364),
    [anon_sym_alignof] = ACTIONS(2364),
    [anon_sym__Alignof] = ACTIONS(2364),
    [anon_sym_offsetof] = ACTIONS(2364),
    [anon_sym__Generic] = ACTIONS(2364),
    [anon_sym_asm] = ACTIONS(2364),
    [anon_sym___asm__] = ACTIONS(2364),
    [sym_number_literal] = ACTIONS(2366),
    [anon_sym_L_SQUOTE] = ACTIONS(2366),
    [anon_sym_u_SQUOTE] = ACTIONS(2366),
    [anon_sym_U_SQUOTE] = ACTIONS(2366),
    [anon_sym_u8_SQUOTE] = ACTIONS(2366),
    [anon_sym_SQUOTE] = ACTIONS(2366),
    [anon_sym_L_DQUOTE] = ACTIONS(2366),
    [anon_sym_u_DQUOTE] = ACTIONS(2366),
    [anon_sym_U_DQUOTE] = ACTIONS(2366),
    [anon_sym_u8_DQUOTE] = ACTIONS(2366),
    [anon_sym_DQUOTE] = ACTIONS(2366),
    [sym_true] = ACTIONS(2364),
    [sym_false] = ACTIONS(2364),
    [anon_sym_NULL] = ACTIONS(2364),
    [anon_sym_nullptr] = ACTIONS(2364),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2364),
    [anon_sym_decltype] = ACTIONS(2364),
    [anon_sym_virtual] = ACTIONS(2364),
    [anon_sym_alignas] = ACTIONS(2364),
    [anon_sym_explicit] = ACTIONS(2364),
    [anon_sym_typename] = ACTIONS(2364),
    [anon_sym_template] = ACTIONS(2364),
    [anon_sym_operator] = ACTIONS(2364),
    [anon_sym_try] = ACTIONS(2364),
    [anon_sym_delete] = ACTIONS(2364),
    [anon_sym_throw] = ACTIONS(2364),
    [anon_sym_namespace] = ACTIONS(2364),
    [anon_sym_using] = ACTIONS(2364),
    [anon_sym_static_assert] = ACTIONS(2364),
    [anon_sym_concept] = ACTIONS(2364),
    [anon_sym_co_return] = ACTIONS(2364),
    [anon_sym_co_yield] = ACTIONS(2364),
    [anon_sym_R_DQUOTE] = ACTIONS(2366),
    [anon_sym_LR_DQUOTE] = ACTIONS(2366),
    [anon_sym_uR_DQUOTE] = ACTIONS(2366),
    [anon_sym_UR_DQUOTE] = ACTIONS(2366),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2366),
    [anon_sym_co_await] = ACTIONS(2364),
    [anon_sym_new] = ACTIONS(2364),
    [anon_sym_requires] = ACTIONS(2364),
    [sym_this] = ACTIONS(2364),
    [anon_sym_discard] = ACTIONS(2364),
    [anon_sym_precise] = ACTIONS(2364),
    [anon_sym_shared] = ACTIONS(2364),
    [anon_sym_groupshared] = ACTIONS(2364),
    [anon_sym_uniform] = ACTIONS(2364),
    [anon_sym_row_major] = ACTIONS(2364),
    [anon_sym_column_major] = ACTIONS(2364),
    [anon_sym_globallycoherent] = ACTIONS(2364),
    [anon_sym_centroid] = ACTIONS(2364),
    [anon_sym_noperspective] = ACTIONS(2364),
    [anon_sym_nointerpolation] = ACTIONS(2364),
    [anon_sym_sample] = ACTIONS(2364),
    [anon_sym_linear] = ACTIONS(2364),
    [anon_sym_snorm] = ACTIONS(2364),
    [anon_sym_unorm] = ACTIONS(2364),
    [anon_sym_point] = ACTIONS(2364),
    [anon_sym_line] = ACTIONS(2364),
    [anon_sym_triangleadj] = ACTIONS(2364),
    [anon_sym_lineadj] = ACTIONS(2364),
    [anon_sym_triangle] = ACTIONS(2364),
    [anon_sym_cbuffer] = ACTIONS(2364),
  },
  [851] = {
    [sym_identifier] = ACTIONS(2364),
    [aux_sym_preproc_include_token1] = ACTIONS(2364),
    [aux_sym_preproc_def_token1] = ACTIONS(2364),
    [aux_sym_preproc_if_token1] = ACTIONS(2364),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2364),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2364),
    [sym_preproc_directive] = ACTIONS(2364),
    [anon_sym_LPAREN2] = ACTIONS(2366),
    [anon_sym_BANG] = ACTIONS(2366),
    [anon_sym_TILDE] = ACTIONS(2366),
    [anon_sym_DASH] = ACTIONS(2364),
    [anon_sym_PLUS] = ACTIONS(2364),
    [anon_sym_STAR] = ACTIONS(2366),
    [anon_sym_AMP_AMP] = ACTIONS(2366),
    [anon_sym_AMP] = ACTIONS(2364),
    [anon_sym_SEMI] = ACTIONS(2366),
    [anon_sym___extension__] = ACTIONS(2364),
    [anon_sym_typedef] = ACTIONS(2364),
    [anon_sym_in] = ACTIONS(2364),
    [anon_sym_out] = ACTIONS(2364),
    [anon_sym_inout] = ACTIONS(2364),
    [anon_sym_extern] = ACTIONS(2364),
    [anon_sym___attribute__] = ACTIONS(2364),
    [anon_sym_COLON_COLON] = ACTIONS(2366),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2366),
    [anon_sym___declspec] = ACTIONS(2364),
    [anon_sym___based] = ACTIONS(2364),
    [anon_sym___cdecl] = ACTIONS(2364),
    [anon_sym___clrcall] = ACTIONS(2364),
    [anon_sym___stdcall] = ACTIONS(2364),
    [anon_sym___fastcall] = ACTIONS(2364),
    [anon_sym___thiscall] = ACTIONS(2364),
    [anon_sym___vectorcall] = ACTIONS(2364),
    [anon_sym_LBRACE] = ACTIONS(2366),
    [anon_sym_RBRACE] = ACTIONS(2366),
    [anon_sym_signed] = ACTIONS(2364),
    [anon_sym_unsigned] = ACTIONS(2364),
    [anon_sym_long] = ACTIONS(2364),
    [anon_sym_short] = ACTIONS(2364),
    [anon_sym_LBRACK] = ACTIONS(2364),
    [anon_sym_static] = ACTIONS(2364),
    [anon_sym_register] = ACTIONS(2364),
    [anon_sym_inline] = ACTIONS(2364),
    [anon_sym___inline] = ACTIONS(2364),
    [anon_sym___inline__] = ACTIONS(2364),
    [anon_sym___forceinline] = ACTIONS(2364),
    [anon_sym_thread_local] = ACTIONS(2364),
    [anon_sym___thread] = ACTIONS(2364),
    [anon_sym_const] = ACTIONS(2364),
    [anon_sym_constexpr] = ACTIONS(2364),
    [anon_sym_volatile] = ACTIONS(2364),
    [anon_sym_restrict] = ACTIONS(2364),
    [anon_sym___restrict__] = ACTIONS(2364),
    [anon_sym__Atomic] = ACTIONS(2364),
    [anon_sym__Noreturn] = ACTIONS(2364),
    [anon_sym_noreturn] = ACTIONS(2364),
    [anon_sym_mutable] = ACTIONS(2364),
    [anon_sym_constinit] = ACTIONS(2364),
    [anon_sym_consteval] = ACTIONS(2364),
    [sym_primitive_type] = ACTIONS(2364),
    [anon_sym_enum] = ACTIONS(2364),
    [anon_sym_class] = ACTIONS(2364),
    [anon_sym_struct] = ACTIONS(2364),
    [anon_sym_union] = ACTIONS(2364),
    [anon_sym_if] = ACTIONS(2364),
    [anon_sym_else] = ACTIONS(2364),
    [anon_sym_switch] = ACTIONS(2364),
    [anon_sym_case] = ACTIONS(2364),
    [anon_sym_default] = ACTIONS(2364),
    [anon_sym_while] = ACTIONS(2364),
    [anon_sym_do] = ACTIONS(2364),
    [anon_sym_for] = ACTIONS(2364),
    [anon_sym_return] = ACTIONS(2364),
    [anon_sym_break] = ACTIONS(2364),
    [anon_sym_continue] = ACTIONS(2364),
    [anon_sym_goto] = ACTIONS(2364),
    [anon_sym___try] = ACTIONS(2364),
    [anon_sym___leave] = ACTIONS(2364),
    [anon_sym_not] = ACTIONS(2364),
    [anon_sym_compl] = ACTIONS(2364),
    [anon_sym_DASH_DASH] = ACTIONS(2366),
    [anon_sym_PLUS_PLUS] = ACTIONS(2366),
    [anon_sym_sizeof] = ACTIONS(2364),
    [anon_sym___alignof__] = ACTIONS(2364),
    [anon_sym___alignof] = ACTIONS(2364),
    [anon_sym__alignof] = ACTIONS(2364),
    [anon_sym_alignof] = ACTIONS(2364),
    [anon_sym__Alignof] = ACTIONS(2364),
    [anon_sym_offsetof] = ACTIONS(2364),
    [anon_sym__Generic] = ACTIONS(2364),
    [anon_sym_asm] = ACTIONS(2364),
    [anon_sym___asm__] = ACTIONS(2364),
    [sym_number_literal] = ACTIONS(2366),
    [anon_sym_L_SQUOTE] = ACTIONS(2366),
    [anon_sym_u_SQUOTE] = ACTIONS(2366),
    [anon_sym_U_SQUOTE] = ACTIONS(2366),
    [anon_sym_u8_SQUOTE] = ACTIONS(2366),
    [anon_sym_SQUOTE] = ACTIONS(2366),
    [anon_sym_L_DQUOTE] = ACTIONS(2366),
    [anon_sym_u_DQUOTE] = ACTIONS(2366),
    [anon_sym_U_DQUOTE] = ACTIONS(2366),
    [anon_sym_u8_DQUOTE] = ACTIONS(2366),
    [anon_sym_DQUOTE] = ACTIONS(2366),
    [sym_true] = ACTIONS(2364),
    [sym_false] = ACTIONS(2364),
    [anon_sym_NULL] = ACTIONS(2364),
    [anon_sym_nullptr] = ACTIONS(2364),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2364),
    [anon_sym_decltype] = ACTIONS(2364),
    [anon_sym_virtual] = ACTIONS(2364),
    [anon_sym_alignas] = ACTIONS(2364),
    [anon_sym_explicit] = ACTIONS(2364),
    [anon_sym_typename] = ACTIONS(2364),
    [anon_sym_template] = ACTIONS(2364),
    [anon_sym_operator] = ACTIONS(2364),
    [anon_sym_try] = ACTIONS(2364),
    [anon_sym_delete] = ACTIONS(2364),
    [anon_sym_throw] = ACTIONS(2364),
    [anon_sym_namespace] = ACTIONS(2364),
    [anon_sym_using] = ACTIONS(2364),
    [anon_sym_static_assert] = ACTIONS(2364),
    [anon_sym_concept] = ACTIONS(2364),
    [anon_sym_co_return] = ACTIONS(2364),
    [anon_sym_co_yield] = ACTIONS(2364),
    [anon_sym_R_DQUOTE] = ACTIONS(2366),
    [anon_sym_LR_DQUOTE] = ACTIONS(2366),
    [anon_sym_uR_DQUOTE] = ACTIONS(2366),
    [anon_sym_UR_DQUOTE] = ACTIONS(2366),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2366),
    [anon_sym_co_await] = ACTIONS(2364),
    [anon_sym_new] = ACTIONS(2364),
    [anon_sym_requires] = ACTIONS(2364),
    [sym_this] = ACTIONS(2364),
    [anon_sym_discard] = ACTIONS(2364),
    [anon_sym_precise] = ACTIONS(2364),
    [anon_sym_shared] = ACTIONS(2364),
    [anon_sym_groupshared] = ACTIONS(2364),
    [anon_sym_uniform] = ACTIONS(2364),
    [anon_sym_row_major] = ACTIONS(2364),
    [anon_sym_column_major] = ACTIONS(2364),
    [anon_sym_globallycoherent] = ACTIONS(2364),
    [anon_sym_centroid] = ACTIONS(2364),
    [anon_sym_noperspective] = ACTIONS(2364),
    [anon_sym_nointerpolation] = ACTIONS(2364),
    [anon_sym_sample] = ACTIONS(2364),
    [anon_sym_linear] = ACTIONS(2364),
    [anon_sym_snorm] = ACTIONS(2364),
    [anon_sym_unorm] = ACTIONS(2364),
    [anon_sym_point] = ACTIONS(2364),
    [anon_sym_line] = ACTIONS(2364),
    [anon_sym_triangleadj] = ACTIONS(2364),
    [anon_sym_lineadj] = ACTIONS(2364),
    [anon_sym_triangle] = ACTIONS(2364),
    [anon_sym_cbuffer] = ACTIONS(2364),
  },
  [852] = {
    [sym_identifier] = ACTIONS(2444),
    [aux_sym_preproc_include_token1] = ACTIONS(2444),
    [aux_sym_preproc_def_token1] = ACTIONS(2444),
    [aux_sym_preproc_if_token1] = ACTIONS(2444),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2444),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2444),
    [sym_preproc_directive] = ACTIONS(2444),
    [anon_sym_LPAREN2] = ACTIONS(2446),
    [anon_sym_BANG] = ACTIONS(2446),
    [anon_sym_TILDE] = ACTIONS(2446),
    [anon_sym_DASH] = ACTIONS(2444),
    [anon_sym_PLUS] = ACTIONS(2444),
    [anon_sym_STAR] = ACTIONS(2446),
    [anon_sym_AMP_AMP] = ACTIONS(2446),
    [anon_sym_AMP] = ACTIONS(2444),
    [anon_sym_SEMI] = ACTIONS(2446),
    [anon_sym___extension__] = ACTIONS(2444),
    [anon_sym_typedef] = ACTIONS(2444),
    [anon_sym_in] = ACTIONS(2444),
    [anon_sym_out] = ACTIONS(2444),
    [anon_sym_inout] = ACTIONS(2444),
    [anon_sym_extern] = ACTIONS(2444),
    [anon_sym___attribute__] = ACTIONS(2444),
    [anon_sym_COLON_COLON] = ACTIONS(2446),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2446),
    [anon_sym___declspec] = ACTIONS(2444),
    [anon_sym___based] = ACTIONS(2444),
    [anon_sym___cdecl] = ACTIONS(2444),
    [anon_sym___clrcall] = ACTIONS(2444),
    [anon_sym___stdcall] = ACTIONS(2444),
    [anon_sym___fastcall] = ACTIONS(2444),
    [anon_sym___thiscall] = ACTIONS(2444),
    [anon_sym___vectorcall] = ACTIONS(2444),
    [anon_sym_LBRACE] = ACTIONS(2446),
    [anon_sym_RBRACE] = ACTIONS(2446),
    [anon_sym_signed] = ACTIONS(2444),
    [anon_sym_unsigned] = ACTIONS(2444),
    [anon_sym_long] = ACTIONS(2444),
    [anon_sym_short] = ACTIONS(2444),
    [anon_sym_LBRACK] = ACTIONS(2444),
    [anon_sym_static] = ACTIONS(2444),
    [anon_sym_register] = ACTIONS(2444),
    [anon_sym_inline] = ACTIONS(2444),
    [anon_sym___inline] = ACTIONS(2444),
    [anon_sym___inline__] = ACTIONS(2444),
    [anon_sym___forceinline] = ACTIONS(2444),
    [anon_sym_thread_local] = ACTIONS(2444),
    [anon_sym___thread] = ACTIONS(2444),
    [anon_sym_const] = ACTIONS(2444),
    [anon_sym_constexpr] = ACTIONS(2444),
    [anon_sym_volatile] = ACTIONS(2444),
    [anon_sym_restrict] = ACTIONS(2444),
    [anon_sym___restrict__] = ACTIONS(2444),
    [anon_sym__Atomic] = ACTIONS(2444),
    [anon_sym__Noreturn] = ACTIONS(2444),
    [anon_sym_noreturn] = ACTIONS(2444),
    [anon_sym_mutable] = ACTIONS(2444),
    [anon_sym_constinit] = ACTIONS(2444),
    [anon_sym_consteval] = ACTIONS(2444),
    [sym_primitive_type] = ACTIONS(2444),
    [anon_sym_enum] = ACTIONS(2444),
    [anon_sym_class] = ACTIONS(2444),
    [anon_sym_struct] = ACTIONS(2444),
    [anon_sym_union] = ACTIONS(2444),
    [anon_sym_if] = ACTIONS(2444),
    [anon_sym_else] = ACTIONS(2444),
    [anon_sym_switch] = ACTIONS(2444),
    [anon_sym_case] = ACTIONS(2444),
    [anon_sym_default] = ACTIONS(2444),
    [anon_sym_while] = ACTIONS(2444),
    [anon_sym_do] = ACTIONS(2444),
    [anon_sym_for] = ACTIONS(2444),
    [anon_sym_return] = ACTIONS(2444),
    [anon_sym_break] = ACTIONS(2444),
    [anon_sym_continue] = ACTIONS(2444),
    [anon_sym_goto] = ACTIONS(2444),
    [anon_sym___try] = ACTIONS(2444),
    [anon_sym___leave] = ACTIONS(2444),
    [anon_sym_not] = ACTIONS(2444),
    [anon_sym_compl] = ACTIONS(2444),
    [anon_sym_DASH_DASH] = ACTIONS(2446),
    [anon_sym_PLUS_PLUS] = ACTIONS(2446),
    [anon_sym_sizeof] = ACTIONS(2444),
    [anon_sym___alignof__] = ACTIONS(2444),
    [anon_sym___alignof] = ACTIONS(2444),
    [anon_sym__alignof] = ACTIONS(2444),
    [anon_sym_alignof] = ACTIONS(2444),
    [anon_sym__Alignof] = ACTIONS(2444),
    [anon_sym_offsetof] = ACTIONS(2444),
    [anon_sym__Generic] = ACTIONS(2444),
    [anon_sym_asm] = ACTIONS(2444),
    [anon_sym___asm__] = ACTIONS(2444),
    [sym_number_literal] = ACTIONS(2446),
    [anon_sym_L_SQUOTE] = ACTIONS(2446),
    [anon_sym_u_SQUOTE] = ACTIONS(2446),
    [anon_sym_U_SQUOTE] = ACTIONS(2446),
    [anon_sym_u8_SQUOTE] = ACTIONS(2446),
    [anon_sym_SQUOTE] = ACTIONS(2446),
    [anon_sym_L_DQUOTE] = ACTIONS(2446),
    [anon_sym_u_DQUOTE] = ACTIONS(2446),
    [anon_sym_U_DQUOTE] = ACTIONS(2446),
    [anon_sym_u8_DQUOTE] = ACTIONS(2446),
    [anon_sym_DQUOTE] = ACTIONS(2446),
    [sym_true] = ACTIONS(2444),
    [sym_false] = ACTIONS(2444),
    [anon_sym_NULL] = ACTIONS(2444),
    [anon_sym_nullptr] = ACTIONS(2444),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2444),
    [anon_sym_decltype] = ACTIONS(2444),
    [anon_sym_virtual] = ACTIONS(2444),
    [anon_sym_alignas] = ACTIONS(2444),
    [anon_sym_explicit] = ACTIONS(2444),
    [anon_sym_typename] = ACTIONS(2444),
    [anon_sym_template] = ACTIONS(2444),
    [anon_sym_operator] = ACTIONS(2444),
    [anon_sym_try] = ACTIONS(2444),
    [anon_sym_delete] = ACTIONS(2444),
    [anon_sym_throw] = ACTIONS(2444),
    [anon_sym_namespace] = ACTIONS(2444),
    [anon_sym_using] = ACTIONS(2444),
    [anon_sym_static_assert] = ACTIONS(2444),
    [anon_sym_concept] = ACTIONS(2444),
    [anon_sym_co_return] = ACTIONS(2444),
    [anon_sym_co_yield] = ACTIONS(2444),
    [anon_sym_R_DQUOTE] = ACTIONS(2446),
    [anon_sym_LR_DQUOTE] = ACTIONS(2446),
    [anon_sym_uR_DQUOTE] = ACTIONS(2446),
    [anon_sym_UR_DQUOTE] = ACTIONS(2446),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2446),
    [anon_sym_co_await] = ACTIONS(2444),
    [anon_sym_new] = ACTIONS(2444),
    [anon_sym_requires] = ACTIONS(2444),
    [sym_this] = ACTIONS(2444),
    [anon_sym_discard] = ACTIONS(2444),
    [anon_sym_precise] = ACTIONS(2444),
    [anon_sym_shared] = ACTIONS(2444),
    [anon_sym_groupshared] = ACTIONS(2444),
    [anon_sym_uniform] = ACTIONS(2444),
    [anon_sym_row_major] = ACTIONS(2444),
    [anon_sym_column_major] = ACTIONS(2444),
    [anon_sym_globallycoherent] = ACTIONS(2444),
    [anon_sym_centroid] = ACTIONS(2444),
    [anon_sym_noperspective] = ACTIONS(2444),
    [anon_sym_nointerpolation] = ACTIONS(2444),
    [anon_sym_sample] = ACTIONS(2444),
    [anon_sym_linear] = ACTIONS(2444),
    [anon_sym_snorm] = ACTIONS(2444),
    [anon_sym_unorm] = ACTIONS(2444),
    [anon_sym_point] = ACTIONS(2444),
    [anon_sym_line] = ACTIONS(2444),
    [anon_sym_triangleadj] = ACTIONS(2444),
    [anon_sym_lineadj] = ACTIONS(2444),
    [anon_sym_triangle] = ACTIONS(2444),
    [anon_sym_cbuffer] = ACTIONS(2444),
  },
  [853] = {
    [sym_identifier] = ACTIONS(2338),
    [aux_sym_preproc_include_token1] = ACTIONS(2338),
    [aux_sym_preproc_def_token1] = ACTIONS(2338),
    [aux_sym_preproc_if_token1] = ACTIONS(2338),
    [aux_sym_preproc_if_token2] = ACTIONS(2338),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2338),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2338),
    [sym_preproc_directive] = ACTIONS(2338),
    [anon_sym_LPAREN2] = ACTIONS(2340),
    [anon_sym_BANG] = ACTIONS(2340),
    [anon_sym_TILDE] = ACTIONS(2340),
    [anon_sym_DASH] = ACTIONS(2338),
    [anon_sym_PLUS] = ACTIONS(2338),
    [anon_sym_STAR] = ACTIONS(2340),
    [anon_sym_AMP_AMP] = ACTIONS(2340),
    [anon_sym_AMP] = ACTIONS(2338),
    [anon_sym_SEMI] = ACTIONS(2340),
    [anon_sym___extension__] = ACTIONS(2338),
    [anon_sym_typedef] = ACTIONS(2338),
    [anon_sym_in] = ACTIONS(2338),
    [anon_sym_out] = ACTIONS(2338),
    [anon_sym_inout] = ACTIONS(2338),
    [anon_sym_extern] = ACTIONS(2338),
    [anon_sym___attribute__] = ACTIONS(2338),
    [anon_sym_COLON_COLON] = ACTIONS(2340),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2340),
    [anon_sym___declspec] = ACTIONS(2338),
    [anon_sym___based] = ACTIONS(2338),
    [anon_sym___cdecl] = ACTIONS(2338),
    [anon_sym___clrcall] = ACTIONS(2338),
    [anon_sym___stdcall] = ACTIONS(2338),
    [anon_sym___fastcall] = ACTIONS(2338),
    [anon_sym___thiscall] = ACTIONS(2338),
    [anon_sym___vectorcall] = ACTIONS(2338),
    [anon_sym_LBRACE] = ACTIONS(2340),
    [anon_sym_signed] = ACTIONS(2338),
    [anon_sym_unsigned] = ACTIONS(2338),
    [anon_sym_long] = ACTIONS(2338),
    [anon_sym_short] = ACTIONS(2338),
    [anon_sym_LBRACK] = ACTIONS(2338),
    [anon_sym_static] = ACTIONS(2338),
    [anon_sym_register] = ACTIONS(2338),
    [anon_sym_inline] = ACTIONS(2338),
    [anon_sym___inline] = ACTIONS(2338),
    [anon_sym___inline__] = ACTIONS(2338),
    [anon_sym___forceinline] = ACTIONS(2338),
    [anon_sym_thread_local] = ACTIONS(2338),
    [anon_sym___thread] = ACTIONS(2338),
    [anon_sym_const] = ACTIONS(2338),
    [anon_sym_constexpr] = ACTIONS(2338),
    [anon_sym_volatile] = ACTIONS(2338),
    [anon_sym_restrict] = ACTIONS(2338),
    [anon_sym___restrict__] = ACTIONS(2338),
    [anon_sym__Atomic] = ACTIONS(2338),
    [anon_sym__Noreturn] = ACTIONS(2338),
    [anon_sym_noreturn] = ACTIONS(2338),
    [anon_sym_mutable] = ACTIONS(2338),
    [anon_sym_constinit] = ACTIONS(2338),
    [anon_sym_consteval] = ACTIONS(2338),
    [sym_primitive_type] = ACTIONS(2338),
    [anon_sym_enum] = ACTIONS(2338),
    [anon_sym_class] = ACTIONS(2338),
    [anon_sym_struct] = ACTIONS(2338),
    [anon_sym_union] = ACTIONS(2338),
    [anon_sym_if] = ACTIONS(2338),
    [anon_sym_else] = ACTIONS(2338),
    [anon_sym_switch] = ACTIONS(2338),
    [anon_sym_case] = ACTIONS(2338),
    [anon_sym_default] = ACTIONS(2338),
    [anon_sym_while] = ACTIONS(2338),
    [anon_sym_do] = ACTIONS(2338),
    [anon_sym_for] = ACTIONS(2338),
    [anon_sym_return] = ACTIONS(2338),
    [anon_sym_break] = ACTIONS(2338),
    [anon_sym_continue] = ACTIONS(2338),
    [anon_sym_goto] = ACTIONS(2338),
    [anon_sym___try] = ACTIONS(2338),
    [anon_sym___leave] = ACTIONS(2338),
    [anon_sym_not] = ACTIONS(2338),
    [anon_sym_compl] = ACTIONS(2338),
    [anon_sym_DASH_DASH] = ACTIONS(2340),
    [anon_sym_PLUS_PLUS] = ACTIONS(2340),
    [anon_sym_sizeof] = ACTIONS(2338),
    [anon_sym___alignof__] = ACTIONS(2338),
    [anon_sym___alignof] = ACTIONS(2338),
    [anon_sym__alignof] = ACTIONS(2338),
    [anon_sym_alignof] = ACTIONS(2338),
    [anon_sym__Alignof] = ACTIONS(2338),
    [anon_sym_offsetof] = ACTIONS(2338),
    [anon_sym__Generic] = ACTIONS(2338),
    [anon_sym_asm] = ACTIONS(2338),
    [anon_sym___asm__] = ACTIONS(2338),
    [sym_number_literal] = ACTIONS(2340),
    [anon_sym_L_SQUOTE] = ACTIONS(2340),
    [anon_sym_u_SQUOTE] = ACTIONS(2340),
    [anon_sym_U_SQUOTE] = ACTIONS(2340),
    [anon_sym_u8_SQUOTE] = ACTIONS(2340),
    [anon_sym_SQUOTE] = ACTIONS(2340),
    [anon_sym_L_DQUOTE] = ACTIONS(2340),
    [anon_sym_u_DQUOTE] = ACTIONS(2340),
    [anon_sym_U_DQUOTE] = ACTIONS(2340),
    [anon_sym_u8_DQUOTE] = ACTIONS(2340),
    [anon_sym_DQUOTE] = ACTIONS(2340),
    [sym_true] = ACTIONS(2338),
    [sym_false] = ACTIONS(2338),
    [anon_sym_NULL] = ACTIONS(2338),
    [anon_sym_nullptr] = ACTIONS(2338),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2338),
    [anon_sym_decltype] = ACTIONS(2338),
    [anon_sym_virtual] = ACTIONS(2338),
    [anon_sym_alignas] = ACTIONS(2338),
    [anon_sym_explicit] = ACTIONS(2338),
    [anon_sym_typename] = ACTIONS(2338),
    [anon_sym_template] = ACTIONS(2338),
    [anon_sym_operator] = ACTIONS(2338),
    [anon_sym_try] = ACTIONS(2338),
    [anon_sym_delete] = ACTIONS(2338),
    [anon_sym_throw] = ACTIONS(2338),
    [anon_sym_namespace] = ACTIONS(2338),
    [anon_sym_using] = ACTIONS(2338),
    [anon_sym_static_assert] = ACTIONS(2338),
    [anon_sym_concept] = ACTIONS(2338),
    [anon_sym_co_return] = ACTIONS(2338),
    [anon_sym_co_yield] = ACTIONS(2338),
    [anon_sym_R_DQUOTE] = ACTIONS(2340),
    [anon_sym_LR_DQUOTE] = ACTIONS(2340),
    [anon_sym_uR_DQUOTE] = ACTIONS(2340),
    [anon_sym_UR_DQUOTE] = ACTIONS(2340),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2340),
    [anon_sym_co_await] = ACTIONS(2338),
    [anon_sym_new] = ACTIONS(2338),
    [anon_sym_requires] = ACTIONS(2338),
    [sym_this] = ACTIONS(2338),
    [anon_sym_discard] = ACTIONS(2338),
    [anon_sym_precise] = ACTIONS(2338),
    [anon_sym_shared] = ACTIONS(2338),
    [anon_sym_groupshared] = ACTIONS(2338),
    [anon_sym_uniform] = ACTIONS(2338),
    [anon_sym_row_major] = ACTIONS(2338),
    [anon_sym_column_major] = ACTIONS(2338),
    [anon_sym_globallycoherent] = ACTIONS(2338),
    [anon_sym_centroid] = ACTIONS(2338),
    [anon_sym_noperspective] = ACTIONS(2338),
    [anon_sym_nointerpolation] = ACTIONS(2338),
    [anon_sym_sample] = ACTIONS(2338),
    [anon_sym_linear] = ACTIONS(2338),
    [anon_sym_snorm] = ACTIONS(2338),
    [anon_sym_unorm] = ACTIONS(2338),
    [anon_sym_point] = ACTIONS(2338),
    [anon_sym_line] = ACTIONS(2338),
    [anon_sym_triangleadj] = ACTIONS(2338),
    [anon_sym_lineadj] = ACTIONS(2338),
    [anon_sym_triangle] = ACTIONS(2338),
    [anon_sym_cbuffer] = ACTIONS(2338),
  },
  [854] = {
    [sym_identifier] = ACTIONS(2342),
    [aux_sym_preproc_include_token1] = ACTIONS(2342),
    [aux_sym_preproc_def_token1] = ACTIONS(2342),
    [aux_sym_preproc_if_token1] = ACTIONS(2342),
    [aux_sym_preproc_if_token2] = ACTIONS(2342),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2342),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2342),
    [sym_preproc_directive] = ACTIONS(2342),
    [anon_sym_LPAREN2] = ACTIONS(2344),
    [anon_sym_BANG] = ACTIONS(2344),
    [anon_sym_TILDE] = ACTIONS(2344),
    [anon_sym_DASH] = ACTIONS(2342),
    [anon_sym_PLUS] = ACTIONS(2342),
    [anon_sym_STAR] = ACTIONS(2344),
    [anon_sym_AMP_AMP] = ACTIONS(2344),
    [anon_sym_AMP] = ACTIONS(2342),
    [anon_sym_SEMI] = ACTIONS(2344),
    [anon_sym___extension__] = ACTIONS(2342),
    [anon_sym_typedef] = ACTIONS(2342),
    [anon_sym_in] = ACTIONS(2342),
    [anon_sym_out] = ACTIONS(2342),
    [anon_sym_inout] = ACTIONS(2342),
    [anon_sym_extern] = ACTIONS(2342),
    [anon_sym___attribute__] = ACTIONS(2342),
    [anon_sym_COLON_COLON] = ACTIONS(2344),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2344),
    [anon_sym___declspec] = ACTIONS(2342),
    [anon_sym___based] = ACTIONS(2342),
    [anon_sym___cdecl] = ACTIONS(2342),
    [anon_sym___clrcall] = ACTIONS(2342),
    [anon_sym___stdcall] = ACTIONS(2342),
    [anon_sym___fastcall] = ACTIONS(2342),
    [anon_sym___thiscall] = ACTIONS(2342),
    [anon_sym___vectorcall] = ACTIONS(2342),
    [anon_sym_LBRACE] = ACTIONS(2344),
    [anon_sym_signed] = ACTIONS(2342),
    [anon_sym_unsigned] = ACTIONS(2342),
    [anon_sym_long] = ACTIONS(2342),
    [anon_sym_short] = ACTIONS(2342),
    [anon_sym_LBRACK] = ACTIONS(2342),
    [anon_sym_static] = ACTIONS(2342),
    [anon_sym_register] = ACTIONS(2342),
    [anon_sym_inline] = ACTIONS(2342),
    [anon_sym___inline] = ACTIONS(2342),
    [anon_sym___inline__] = ACTIONS(2342),
    [anon_sym___forceinline] = ACTIONS(2342),
    [anon_sym_thread_local] = ACTIONS(2342),
    [anon_sym___thread] = ACTIONS(2342),
    [anon_sym_const] = ACTIONS(2342),
    [anon_sym_constexpr] = ACTIONS(2342),
    [anon_sym_volatile] = ACTIONS(2342),
    [anon_sym_restrict] = ACTIONS(2342),
    [anon_sym___restrict__] = ACTIONS(2342),
    [anon_sym__Atomic] = ACTIONS(2342),
    [anon_sym__Noreturn] = ACTIONS(2342),
    [anon_sym_noreturn] = ACTIONS(2342),
    [anon_sym_mutable] = ACTIONS(2342),
    [anon_sym_constinit] = ACTIONS(2342),
    [anon_sym_consteval] = ACTIONS(2342),
    [sym_primitive_type] = ACTIONS(2342),
    [anon_sym_enum] = ACTIONS(2342),
    [anon_sym_class] = ACTIONS(2342),
    [anon_sym_struct] = ACTIONS(2342),
    [anon_sym_union] = ACTIONS(2342),
    [anon_sym_if] = ACTIONS(2342),
    [anon_sym_else] = ACTIONS(2342),
    [anon_sym_switch] = ACTIONS(2342),
    [anon_sym_case] = ACTIONS(2342),
    [anon_sym_default] = ACTIONS(2342),
    [anon_sym_while] = ACTIONS(2342),
    [anon_sym_do] = ACTIONS(2342),
    [anon_sym_for] = ACTIONS(2342),
    [anon_sym_return] = ACTIONS(2342),
    [anon_sym_break] = ACTIONS(2342),
    [anon_sym_continue] = ACTIONS(2342),
    [anon_sym_goto] = ACTIONS(2342),
    [anon_sym___try] = ACTIONS(2342),
    [anon_sym___leave] = ACTIONS(2342),
    [anon_sym_not] = ACTIONS(2342),
    [anon_sym_compl] = ACTIONS(2342),
    [anon_sym_DASH_DASH] = ACTIONS(2344),
    [anon_sym_PLUS_PLUS] = ACTIONS(2344),
    [anon_sym_sizeof] = ACTIONS(2342),
    [anon_sym___alignof__] = ACTIONS(2342),
    [anon_sym___alignof] = ACTIONS(2342),
    [anon_sym__alignof] = ACTIONS(2342),
    [anon_sym_alignof] = ACTIONS(2342),
    [anon_sym__Alignof] = ACTIONS(2342),
    [anon_sym_offsetof] = ACTIONS(2342),
    [anon_sym__Generic] = ACTIONS(2342),
    [anon_sym_asm] = ACTIONS(2342),
    [anon_sym___asm__] = ACTIONS(2342),
    [sym_number_literal] = ACTIONS(2344),
    [anon_sym_L_SQUOTE] = ACTIONS(2344),
    [anon_sym_u_SQUOTE] = ACTIONS(2344),
    [anon_sym_U_SQUOTE] = ACTIONS(2344),
    [anon_sym_u8_SQUOTE] = ACTIONS(2344),
    [anon_sym_SQUOTE] = ACTIONS(2344),
    [anon_sym_L_DQUOTE] = ACTIONS(2344),
    [anon_sym_u_DQUOTE] = ACTIONS(2344),
    [anon_sym_U_DQUOTE] = ACTIONS(2344),
    [anon_sym_u8_DQUOTE] = ACTIONS(2344),
    [anon_sym_DQUOTE] = ACTIONS(2344),
    [sym_true] = ACTIONS(2342),
    [sym_false] = ACTIONS(2342),
    [anon_sym_NULL] = ACTIONS(2342),
    [anon_sym_nullptr] = ACTIONS(2342),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2342),
    [anon_sym_decltype] = ACTIONS(2342),
    [anon_sym_virtual] = ACTIONS(2342),
    [anon_sym_alignas] = ACTIONS(2342),
    [anon_sym_explicit] = ACTIONS(2342),
    [anon_sym_typename] = ACTIONS(2342),
    [anon_sym_template] = ACTIONS(2342),
    [anon_sym_operator] = ACTIONS(2342),
    [anon_sym_try] = ACTIONS(2342),
    [anon_sym_delete] = ACTIONS(2342),
    [anon_sym_throw] = ACTIONS(2342),
    [anon_sym_namespace] = ACTIONS(2342),
    [anon_sym_using] = ACTIONS(2342),
    [anon_sym_static_assert] = ACTIONS(2342),
    [anon_sym_concept] = ACTIONS(2342),
    [anon_sym_co_return] = ACTIONS(2342),
    [anon_sym_co_yield] = ACTIONS(2342),
    [anon_sym_R_DQUOTE] = ACTIONS(2344),
    [anon_sym_LR_DQUOTE] = ACTIONS(2344),
    [anon_sym_uR_DQUOTE] = ACTIONS(2344),
    [anon_sym_UR_DQUOTE] = ACTIONS(2344),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2344),
    [anon_sym_co_await] = ACTIONS(2342),
    [anon_sym_new] = ACTIONS(2342),
    [anon_sym_requires] = ACTIONS(2342),
    [sym_this] = ACTIONS(2342),
    [anon_sym_discard] = ACTIONS(2342),
    [anon_sym_precise] = ACTIONS(2342),
    [anon_sym_shared] = ACTIONS(2342),
    [anon_sym_groupshared] = ACTIONS(2342),
    [anon_sym_uniform] = ACTIONS(2342),
    [anon_sym_row_major] = ACTIONS(2342),
    [anon_sym_column_major] = ACTIONS(2342),
    [anon_sym_globallycoherent] = ACTIONS(2342),
    [anon_sym_centroid] = ACTIONS(2342),
    [anon_sym_noperspective] = ACTIONS(2342),
    [anon_sym_nointerpolation] = ACTIONS(2342),
    [anon_sym_sample] = ACTIONS(2342),
    [anon_sym_linear] = ACTIONS(2342),
    [anon_sym_snorm] = ACTIONS(2342),
    [anon_sym_unorm] = ACTIONS(2342),
    [anon_sym_point] = ACTIONS(2342),
    [anon_sym_line] = ACTIONS(2342),
    [anon_sym_triangleadj] = ACTIONS(2342),
    [anon_sym_lineadj] = ACTIONS(2342),
    [anon_sym_triangle] = ACTIONS(2342),
    [anon_sym_cbuffer] = ACTIONS(2342),
  },
  [855] = {
    [ts_builtin_sym_end] = ACTIONS(2398),
    [sym_identifier] = ACTIONS(2396),
    [aux_sym_preproc_include_token1] = ACTIONS(2396),
    [aux_sym_preproc_def_token1] = ACTIONS(2396),
    [aux_sym_preproc_if_token1] = ACTIONS(2396),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2396),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2396),
    [sym_preproc_directive] = ACTIONS(2396),
    [anon_sym_LPAREN2] = ACTIONS(2398),
    [anon_sym_BANG] = ACTIONS(2398),
    [anon_sym_TILDE] = ACTIONS(2398),
    [anon_sym_DASH] = ACTIONS(2396),
    [anon_sym_PLUS] = ACTIONS(2396),
    [anon_sym_STAR] = ACTIONS(2398),
    [anon_sym_AMP_AMP] = ACTIONS(2398),
    [anon_sym_AMP] = ACTIONS(2396),
    [anon_sym_SEMI] = ACTIONS(2398),
    [anon_sym___extension__] = ACTIONS(2396),
    [anon_sym_typedef] = ACTIONS(2396),
    [anon_sym_in] = ACTIONS(2396),
    [anon_sym_out] = ACTIONS(2396),
    [anon_sym_inout] = ACTIONS(2396),
    [anon_sym_extern] = ACTIONS(2396),
    [anon_sym___attribute__] = ACTIONS(2396),
    [anon_sym_COLON_COLON] = ACTIONS(2398),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2398),
    [anon_sym___declspec] = ACTIONS(2396),
    [anon_sym___based] = ACTIONS(2396),
    [anon_sym___cdecl] = ACTIONS(2396),
    [anon_sym___clrcall] = ACTIONS(2396),
    [anon_sym___stdcall] = ACTIONS(2396),
    [anon_sym___fastcall] = ACTIONS(2396),
    [anon_sym___thiscall] = ACTIONS(2396),
    [anon_sym___vectorcall] = ACTIONS(2396),
    [anon_sym_LBRACE] = ACTIONS(2398),
    [anon_sym_signed] = ACTIONS(2396),
    [anon_sym_unsigned] = ACTIONS(2396),
    [anon_sym_long] = ACTIONS(2396),
    [anon_sym_short] = ACTIONS(2396),
    [anon_sym_LBRACK] = ACTIONS(2396),
    [anon_sym_static] = ACTIONS(2396),
    [anon_sym_register] = ACTIONS(2396),
    [anon_sym_inline] = ACTIONS(2396),
    [anon_sym___inline] = ACTIONS(2396),
    [anon_sym___inline__] = ACTIONS(2396),
    [anon_sym___forceinline] = ACTIONS(2396),
    [anon_sym_thread_local] = ACTIONS(2396),
    [anon_sym___thread] = ACTIONS(2396),
    [anon_sym_const] = ACTIONS(2396),
    [anon_sym_constexpr] = ACTIONS(2396),
    [anon_sym_volatile] = ACTIONS(2396),
    [anon_sym_restrict] = ACTIONS(2396),
    [anon_sym___restrict__] = ACTIONS(2396),
    [anon_sym__Atomic] = ACTIONS(2396),
    [anon_sym__Noreturn] = ACTIONS(2396),
    [anon_sym_noreturn] = ACTIONS(2396),
    [anon_sym_mutable] = ACTIONS(2396),
    [anon_sym_constinit] = ACTIONS(2396),
    [anon_sym_consteval] = ACTIONS(2396),
    [sym_primitive_type] = ACTIONS(2396),
    [anon_sym_enum] = ACTIONS(2396),
    [anon_sym_class] = ACTIONS(2396),
    [anon_sym_struct] = ACTIONS(2396),
    [anon_sym_union] = ACTIONS(2396),
    [anon_sym_if] = ACTIONS(2396),
    [anon_sym_else] = ACTIONS(2396),
    [anon_sym_switch] = ACTIONS(2396),
    [anon_sym_case] = ACTIONS(2396),
    [anon_sym_default] = ACTIONS(2396),
    [anon_sym_while] = ACTIONS(2396),
    [anon_sym_do] = ACTIONS(2396),
    [anon_sym_for] = ACTIONS(2396),
    [anon_sym_return] = ACTIONS(2396),
    [anon_sym_break] = ACTIONS(2396),
    [anon_sym_continue] = ACTIONS(2396),
    [anon_sym_goto] = ACTIONS(2396),
    [anon_sym___try] = ACTIONS(2396),
    [anon_sym___leave] = ACTIONS(2396),
    [anon_sym_not] = ACTIONS(2396),
    [anon_sym_compl] = ACTIONS(2396),
    [anon_sym_DASH_DASH] = ACTIONS(2398),
    [anon_sym_PLUS_PLUS] = ACTIONS(2398),
    [anon_sym_sizeof] = ACTIONS(2396),
    [anon_sym___alignof__] = ACTIONS(2396),
    [anon_sym___alignof] = ACTIONS(2396),
    [anon_sym__alignof] = ACTIONS(2396),
    [anon_sym_alignof] = ACTIONS(2396),
    [anon_sym__Alignof] = ACTIONS(2396),
    [anon_sym_offsetof] = ACTIONS(2396),
    [anon_sym__Generic] = ACTIONS(2396),
    [anon_sym_asm] = ACTIONS(2396),
    [anon_sym___asm__] = ACTIONS(2396),
    [sym_number_literal] = ACTIONS(2398),
    [anon_sym_L_SQUOTE] = ACTIONS(2398),
    [anon_sym_u_SQUOTE] = ACTIONS(2398),
    [anon_sym_U_SQUOTE] = ACTIONS(2398),
    [anon_sym_u8_SQUOTE] = ACTIONS(2398),
    [anon_sym_SQUOTE] = ACTIONS(2398),
    [anon_sym_L_DQUOTE] = ACTIONS(2398),
    [anon_sym_u_DQUOTE] = ACTIONS(2398),
    [anon_sym_U_DQUOTE] = ACTIONS(2398),
    [anon_sym_u8_DQUOTE] = ACTIONS(2398),
    [anon_sym_DQUOTE] = ACTIONS(2398),
    [sym_true] = ACTIONS(2396),
    [sym_false] = ACTIONS(2396),
    [anon_sym_NULL] = ACTIONS(2396),
    [anon_sym_nullptr] = ACTIONS(2396),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2396),
    [anon_sym_decltype] = ACTIONS(2396),
    [anon_sym_virtual] = ACTIONS(2396),
    [anon_sym_alignas] = ACTIONS(2396),
    [anon_sym_explicit] = ACTIONS(2396),
    [anon_sym_typename] = ACTIONS(2396),
    [anon_sym_template] = ACTIONS(2396),
    [anon_sym_operator] = ACTIONS(2396),
    [anon_sym_try] = ACTIONS(2396),
    [anon_sym_delete] = ACTIONS(2396),
    [anon_sym_throw] = ACTIONS(2396),
    [anon_sym_namespace] = ACTIONS(2396),
    [anon_sym_using] = ACTIONS(2396),
    [anon_sym_static_assert] = ACTIONS(2396),
    [anon_sym_concept] = ACTIONS(2396),
    [anon_sym_co_return] = ACTIONS(2396),
    [anon_sym_co_yield] = ACTIONS(2396),
    [anon_sym_R_DQUOTE] = ACTIONS(2398),
    [anon_sym_LR_DQUOTE] = ACTIONS(2398),
    [anon_sym_uR_DQUOTE] = ACTIONS(2398),
    [anon_sym_UR_DQUOTE] = ACTIONS(2398),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2398),
    [anon_sym_co_await] = ACTIONS(2396),
    [anon_sym_new] = ACTIONS(2396),
    [anon_sym_requires] = ACTIONS(2396),
    [sym_this] = ACTIONS(2396),
    [anon_sym_discard] = ACTIONS(2396),
    [anon_sym_precise] = ACTIONS(2396),
    [anon_sym_shared] = ACTIONS(2396),
    [anon_sym_groupshared] = ACTIONS(2396),
    [anon_sym_uniform] = ACTIONS(2396),
    [anon_sym_row_major] = ACTIONS(2396),
    [anon_sym_column_major] = ACTIONS(2396),
    [anon_sym_globallycoherent] = ACTIONS(2396),
    [anon_sym_centroid] = ACTIONS(2396),
    [anon_sym_noperspective] = ACTIONS(2396),
    [anon_sym_nointerpolation] = ACTIONS(2396),
    [anon_sym_sample] = ACTIONS(2396),
    [anon_sym_linear] = ACTIONS(2396),
    [anon_sym_snorm] = ACTIONS(2396),
    [anon_sym_unorm] = ACTIONS(2396),
    [anon_sym_point] = ACTIONS(2396),
    [anon_sym_line] = ACTIONS(2396),
    [anon_sym_triangleadj] = ACTIONS(2396),
    [anon_sym_lineadj] = ACTIONS(2396),
    [anon_sym_triangle] = ACTIONS(2396),
    [anon_sym_cbuffer] = ACTIONS(2396),
  },
  [856] = {
    [sym_identifier] = ACTIONS(2346),
    [aux_sym_preproc_include_token1] = ACTIONS(2346),
    [aux_sym_preproc_def_token1] = ACTIONS(2346),
    [aux_sym_preproc_if_token1] = ACTIONS(2346),
    [aux_sym_preproc_if_token2] = ACTIONS(2346),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2346),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2346),
    [sym_preproc_directive] = ACTIONS(2346),
    [anon_sym_LPAREN2] = ACTIONS(2348),
    [anon_sym_BANG] = ACTIONS(2348),
    [anon_sym_TILDE] = ACTIONS(2348),
    [anon_sym_DASH] = ACTIONS(2346),
    [anon_sym_PLUS] = ACTIONS(2346),
    [anon_sym_STAR] = ACTIONS(2348),
    [anon_sym_AMP_AMP] = ACTIONS(2348),
    [anon_sym_AMP] = ACTIONS(2346),
    [anon_sym_SEMI] = ACTIONS(2348),
    [anon_sym___extension__] = ACTIONS(2346),
    [anon_sym_typedef] = ACTIONS(2346),
    [anon_sym_in] = ACTIONS(2346),
    [anon_sym_out] = ACTIONS(2346),
    [anon_sym_inout] = ACTIONS(2346),
    [anon_sym_extern] = ACTIONS(2346),
    [anon_sym___attribute__] = ACTIONS(2346),
    [anon_sym_COLON_COLON] = ACTIONS(2348),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2348),
    [anon_sym___declspec] = ACTIONS(2346),
    [anon_sym___based] = ACTIONS(2346),
    [anon_sym___cdecl] = ACTIONS(2346),
    [anon_sym___clrcall] = ACTIONS(2346),
    [anon_sym___stdcall] = ACTIONS(2346),
    [anon_sym___fastcall] = ACTIONS(2346),
    [anon_sym___thiscall] = ACTIONS(2346),
    [anon_sym___vectorcall] = ACTIONS(2346),
    [anon_sym_LBRACE] = ACTIONS(2348),
    [anon_sym_signed] = ACTIONS(2346),
    [anon_sym_unsigned] = ACTIONS(2346),
    [anon_sym_long] = ACTIONS(2346),
    [anon_sym_short] = ACTIONS(2346),
    [anon_sym_LBRACK] = ACTIONS(2346),
    [anon_sym_static] = ACTIONS(2346),
    [anon_sym_register] = ACTIONS(2346),
    [anon_sym_inline] = ACTIONS(2346),
    [anon_sym___inline] = ACTIONS(2346),
    [anon_sym___inline__] = ACTIONS(2346),
    [anon_sym___forceinline] = ACTIONS(2346),
    [anon_sym_thread_local] = ACTIONS(2346),
    [anon_sym___thread] = ACTIONS(2346),
    [anon_sym_const] = ACTIONS(2346),
    [anon_sym_constexpr] = ACTIONS(2346),
    [anon_sym_volatile] = ACTIONS(2346),
    [anon_sym_restrict] = ACTIONS(2346),
    [anon_sym___restrict__] = ACTIONS(2346),
    [anon_sym__Atomic] = ACTIONS(2346),
    [anon_sym__Noreturn] = ACTIONS(2346),
    [anon_sym_noreturn] = ACTIONS(2346),
    [anon_sym_mutable] = ACTIONS(2346),
    [anon_sym_constinit] = ACTIONS(2346),
    [anon_sym_consteval] = ACTIONS(2346),
    [sym_primitive_type] = ACTIONS(2346),
    [anon_sym_enum] = ACTIONS(2346),
    [anon_sym_class] = ACTIONS(2346),
    [anon_sym_struct] = ACTIONS(2346),
    [anon_sym_union] = ACTIONS(2346),
    [anon_sym_if] = ACTIONS(2346),
    [anon_sym_else] = ACTIONS(2346),
    [anon_sym_switch] = ACTIONS(2346),
    [anon_sym_case] = ACTIONS(2346),
    [anon_sym_default] = ACTIONS(2346),
    [anon_sym_while] = ACTIONS(2346),
    [anon_sym_do] = ACTIONS(2346),
    [anon_sym_for] = ACTIONS(2346),
    [anon_sym_return] = ACTIONS(2346),
    [anon_sym_break] = ACTIONS(2346),
    [anon_sym_continue] = ACTIONS(2346),
    [anon_sym_goto] = ACTIONS(2346),
    [anon_sym___try] = ACTIONS(2346),
    [anon_sym___leave] = ACTIONS(2346),
    [anon_sym_not] = ACTIONS(2346),
    [anon_sym_compl] = ACTIONS(2346),
    [anon_sym_DASH_DASH] = ACTIONS(2348),
    [anon_sym_PLUS_PLUS] = ACTIONS(2348),
    [anon_sym_sizeof] = ACTIONS(2346),
    [anon_sym___alignof__] = ACTIONS(2346),
    [anon_sym___alignof] = ACTIONS(2346),
    [anon_sym__alignof] = ACTIONS(2346),
    [anon_sym_alignof] = ACTIONS(2346),
    [anon_sym__Alignof] = ACTIONS(2346),
    [anon_sym_offsetof] = ACTIONS(2346),
    [anon_sym__Generic] = ACTIONS(2346),
    [anon_sym_asm] = ACTIONS(2346),
    [anon_sym___asm__] = ACTIONS(2346),
    [sym_number_literal] = ACTIONS(2348),
    [anon_sym_L_SQUOTE] = ACTIONS(2348),
    [anon_sym_u_SQUOTE] = ACTIONS(2348),
    [anon_sym_U_SQUOTE] = ACTIONS(2348),
    [anon_sym_u8_SQUOTE] = ACTIONS(2348),
    [anon_sym_SQUOTE] = ACTIONS(2348),
    [anon_sym_L_DQUOTE] = ACTIONS(2348),
    [anon_sym_u_DQUOTE] = ACTIONS(2348),
    [anon_sym_U_DQUOTE] = ACTIONS(2348),
    [anon_sym_u8_DQUOTE] = ACTIONS(2348),
    [anon_sym_DQUOTE] = ACTIONS(2348),
    [sym_true] = ACTIONS(2346),
    [sym_false] = ACTIONS(2346),
    [anon_sym_NULL] = ACTIONS(2346),
    [anon_sym_nullptr] = ACTIONS(2346),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2346),
    [anon_sym_decltype] = ACTIONS(2346),
    [anon_sym_virtual] = ACTIONS(2346),
    [anon_sym_alignas] = ACTIONS(2346),
    [anon_sym_explicit] = ACTIONS(2346),
    [anon_sym_typename] = ACTIONS(2346),
    [anon_sym_template] = ACTIONS(2346),
    [anon_sym_operator] = ACTIONS(2346),
    [anon_sym_try] = ACTIONS(2346),
    [anon_sym_delete] = ACTIONS(2346),
    [anon_sym_throw] = ACTIONS(2346),
    [anon_sym_namespace] = ACTIONS(2346),
    [anon_sym_using] = ACTIONS(2346),
    [anon_sym_static_assert] = ACTIONS(2346),
    [anon_sym_concept] = ACTIONS(2346),
    [anon_sym_co_return] = ACTIONS(2346),
    [anon_sym_co_yield] = ACTIONS(2346),
    [anon_sym_R_DQUOTE] = ACTIONS(2348),
    [anon_sym_LR_DQUOTE] = ACTIONS(2348),
    [anon_sym_uR_DQUOTE] = ACTIONS(2348),
    [anon_sym_UR_DQUOTE] = ACTIONS(2348),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2348),
    [anon_sym_co_await] = ACTIONS(2346),
    [anon_sym_new] = ACTIONS(2346),
    [anon_sym_requires] = ACTIONS(2346),
    [sym_this] = ACTIONS(2346),
    [anon_sym_discard] = ACTIONS(2346),
    [anon_sym_precise] = ACTIONS(2346),
    [anon_sym_shared] = ACTIONS(2346),
    [anon_sym_groupshared] = ACTIONS(2346),
    [anon_sym_uniform] = ACTIONS(2346),
    [anon_sym_row_major] = ACTIONS(2346),
    [anon_sym_column_major] = ACTIONS(2346),
    [anon_sym_globallycoherent] = ACTIONS(2346),
    [anon_sym_centroid] = ACTIONS(2346),
    [anon_sym_noperspective] = ACTIONS(2346),
    [anon_sym_nointerpolation] = ACTIONS(2346),
    [anon_sym_sample] = ACTIONS(2346),
    [anon_sym_linear] = ACTIONS(2346),
    [anon_sym_snorm] = ACTIONS(2346),
    [anon_sym_unorm] = ACTIONS(2346),
    [anon_sym_point] = ACTIONS(2346),
    [anon_sym_line] = ACTIONS(2346),
    [anon_sym_triangleadj] = ACTIONS(2346),
    [anon_sym_lineadj] = ACTIONS(2346),
    [anon_sym_triangle] = ACTIONS(2346),
    [anon_sym_cbuffer] = ACTIONS(2346),
  },
  [857] = {
    [ts_builtin_sym_end] = ACTIONS(2378),
    [sym_identifier] = ACTIONS(2376),
    [aux_sym_preproc_include_token1] = ACTIONS(2376),
    [aux_sym_preproc_def_token1] = ACTIONS(2376),
    [aux_sym_preproc_if_token1] = ACTIONS(2376),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2376),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2376),
    [sym_preproc_directive] = ACTIONS(2376),
    [anon_sym_LPAREN2] = ACTIONS(2378),
    [anon_sym_BANG] = ACTIONS(2378),
    [anon_sym_TILDE] = ACTIONS(2378),
    [anon_sym_DASH] = ACTIONS(2376),
    [anon_sym_PLUS] = ACTIONS(2376),
    [anon_sym_STAR] = ACTIONS(2378),
    [anon_sym_AMP_AMP] = ACTIONS(2378),
    [anon_sym_AMP] = ACTIONS(2376),
    [anon_sym_SEMI] = ACTIONS(2378),
    [anon_sym___extension__] = ACTIONS(2376),
    [anon_sym_typedef] = ACTIONS(2376),
    [anon_sym_in] = ACTIONS(2376),
    [anon_sym_out] = ACTIONS(2376),
    [anon_sym_inout] = ACTIONS(2376),
    [anon_sym_extern] = ACTIONS(2376),
    [anon_sym___attribute__] = ACTIONS(2376),
    [anon_sym_COLON_COLON] = ACTIONS(2378),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2378),
    [anon_sym___declspec] = ACTIONS(2376),
    [anon_sym___based] = ACTIONS(2376),
    [anon_sym___cdecl] = ACTIONS(2376),
    [anon_sym___clrcall] = ACTIONS(2376),
    [anon_sym___stdcall] = ACTIONS(2376),
    [anon_sym___fastcall] = ACTIONS(2376),
    [anon_sym___thiscall] = ACTIONS(2376),
    [anon_sym___vectorcall] = ACTIONS(2376),
    [anon_sym_LBRACE] = ACTIONS(2378),
    [anon_sym_signed] = ACTIONS(2376),
    [anon_sym_unsigned] = ACTIONS(2376),
    [anon_sym_long] = ACTIONS(2376),
    [anon_sym_short] = ACTIONS(2376),
    [anon_sym_LBRACK] = ACTIONS(2376),
    [anon_sym_static] = ACTIONS(2376),
    [anon_sym_register] = ACTIONS(2376),
    [anon_sym_inline] = ACTIONS(2376),
    [anon_sym___inline] = ACTIONS(2376),
    [anon_sym___inline__] = ACTIONS(2376),
    [anon_sym___forceinline] = ACTIONS(2376),
    [anon_sym_thread_local] = ACTIONS(2376),
    [anon_sym___thread] = ACTIONS(2376),
    [anon_sym_const] = ACTIONS(2376),
    [anon_sym_constexpr] = ACTIONS(2376),
    [anon_sym_volatile] = ACTIONS(2376),
    [anon_sym_restrict] = ACTIONS(2376),
    [anon_sym___restrict__] = ACTIONS(2376),
    [anon_sym__Atomic] = ACTIONS(2376),
    [anon_sym__Noreturn] = ACTIONS(2376),
    [anon_sym_noreturn] = ACTIONS(2376),
    [anon_sym_mutable] = ACTIONS(2376),
    [anon_sym_constinit] = ACTIONS(2376),
    [anon_sym_consteval] = ACTIONS(2376),
    [sym_primitive_type] = ACTIONS(2376),
    [anon_sym_enum] = ACTIONS(2376),
    [anon_sym_class] = ACTIONS(2376),
    [anon_sym_struct] = ACTIONS(2376),
    [anon_sym_union] = ACTIONS(2376),
    [anon_sym_if] = ACTIONS(2376),
    [anon_sym_else] = ACTIONS(2376),
    [anon_sym_switch] = ACTIONS(2376),
    [anon_sym_case] = ACTIONS(2376),
    [anon_sym_default] = ACTIONS(2376),
    [anon_sym_while] = ACTIONS(2376),
    [anon_sym_do] = ACTIONS(2376),
    [anon_sym_for] = ACTIONS(2376),
    [anon_sym_return] = ACTIONS(2376),
    [anon_sym_break] = ACTIONS(2376),
    [anon_sym_continue] = ACTIONS(2376),
    [anon_sym_goto] = ACTIONS(2376),
    [anon_sym___try] = ACTIONS(2376),
    [anon_sym___leave] = ACTIONS(2376),
    [anon_sym_not] = ACTIONS(2376),
    [anon_sym_compl] = ACTIONS(2376),
    [anon_sym_DASH_DASH] = ACTIONS(2378),
    [anon_sym_PLUS_PLUS] = ACTIONS(2378),
    [anon_sym_sizeof] = ACTIONS(2376),
    [anon_sym___alignof__] = ACTIONS(2376),
    [anon_sym___alignof] = ACTIONS(2376),
    [anon_sym__alignof] = ACTIONS(2376),
    [anon_sym_alignof] = ACTIONS(2376),
    [anon_sym__Alignof] = ACTIONS(2376),
    [anon_sym_offsetof] = ACTIONS(2376),
    [anon_sym__Generic] = ACTIONS(2376),
    [anon_sym_asm] = ACTIONS(2376),
    [anon_sym___asm__] = ACTIONS(2376),
    [sym_number_literal] = ACTIONS(2378),
    [anon_sym_L_SQUOTE] = ACTIONS(2378),
    [anon_sym_u_SQUOTE] = ACTIONS(2378),
    [anon_sym_U_SQUOTE] = ACTIONS(2378),
    [anon_sym_u8_SQUOTE] = ACTIONS(2378),
    [anon_sym_SQUOTE] = ACTIONS(2378),
    [anon_sym_L_DQUOTE] = ACTIONS(2378),
    [anon_sym_u_DQUOTE] = ACTIONS(2378),
    [anon_sym_U_DQUOTE] = ACTIONS(2378),
    [anon_sym_u8_DQUOTE] = ACTIONS(2378),
    [anon_sym_DQUOTE] = ACTIONS(2378),
    [sym_true] = ACTIONS(2376),
    [sym_false] = ACTIONS(2376),
    [anon_sym_NULL] = ACTIONS(2376),
    [anon_sym_nullptr] = ACTIONS(2376),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2376),
    [anon_sym_decltype] = ACTIONS(2376),
    [anon_sym_virtual] = ACTIONS(2376),
    [anon_sym_alignas] = ACTIONS(2376),
    [anon_sym_explicit] = ACTIONS(2376),
    [anon_sym_typename] = ACTIONS(2376),
    [anon_sym_template] = ACTIONS(2376),
    [anon_sym_operator] = ACTIONS(2376),
    [anon_sym_try] = ACTIONS(2376),
    [anon_sym_delete] = ACTIONS(2376),
    [anon_sym_throw] = ACTIONS(2376),
    [anon_sym_namespace] = ACTIONS(2376),
    [anon_sym_using] = ACTIONS(2376),
    [anon_sym_static_assert] = ACTIONS(2376),
    [anon_sym_concept] = ACTIONS(2376),
    [anon_sym_co_return] = ACTIONS(2376),
    [anon_sym_co_yield] = ACTIONS(2376),
    [anon_sym_R_DQUOTE] = ACTIONS(2378),
    [anon_sym_LR_DQUOTE] = ACTIONS(2378),
    [anon_sym_uR_DQUOTE] = ACTIONS(2378),
    [anon_sym_UR_DQUOTE] = ACTIONS(2378),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2378),
    [anon_sym_co_await] = ACTIONS(2376),
    [anon_sym_new] = ACTIONS(2376),
    [anon_sym_requires] = ACTIONS(2376),
    [sym_this] = ACTIONS(2376),
    [anon_sym_discard] = ACTIONS(2376),
    [anon_sym_precise] = ACTIONS(2376),
    [anon_sym_shared] = ACTIONS(2376),
    [anon_sym_groupshared] = ACTIONS(2376),
    [anon_sym_uniform] = ACTIONS(2376),
    [anon_sym_row_major] = ACTIONS(2376),
    [anon_sym_column_major] = ACTIONS(2376),
    [anon_sym_globallycoherent] = ACTIONS(2376),
    [anon_sym_centroid] = ACTIONS(2376),
    [anon_sym_noperspective] = ACTIONS(2376),
    [anon_sym_nointerpolation] = ACTIONS(2376),
    [anon_sym_sample] = ACTIONS(2376),
    [anon_sym_linear] = ACTIONS(2376),
    [anon_sym_snorm] = ACTIONS(2376),
    [anon_sym_unorm] = ACTIONS(2376),
    [anon_sym_point] = ACTIONS(2376),
    [anon_sym_line] = ACTIONS(2376),
    [anon_sym_triangleadj] = ACTIONS(2376),
    [anon_sym_lineadj] = ACTIONS(2376),
    [anon_sym_triangle] = ACTIONS(2376),
    [anon_sym_cbuffer] = ACTIONS(2376),
  },
  [858] = {
    [sym_identifier] = ACTIONS(2346),
    [aux_sym_preproc_include_token1] = ACTIONS(2346),
    [aux_sym_preproc_def_token1] = ACTIONS(2346),
    [aux_sym_preproc_if_token1] = ACTIONS(2346),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2346),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2346),
    [sym_preproc_directive] = ACTIONS(2346),
    [anon_sym_LPAREN2] = ACTIONS(2348),
    [anon_sym_BANG] = ACTIONS(2348),
    [anon_sym_TILDE] = ACTIONS(2348),
    [anon_sym_DASH] = ACTIONS(2346),
    [anon_sym_PLUS] = ACTIONS(2346),
    [anon_sym_STAR] = ACTIONS(2348),
    [anon_sym_AMP_AMP] = ACTIONS(2348),
    [anon_sym_AMP] = ACTIONS(2346),
    [anon_sym_SEMI] = ACTIONS(2348),
    [anon_sym___extension__] = ACTIONS(2346),
    [anon_sym_typedef] = ACTIONS(2346),
    [anon_sym_in] = ACTIONS(2346),
    [anon_sym_out] = ACTIONS(2346),
    [anon_sym_inout] = ACTIONS(2346),
    [anon_sym_extern] = ACTIONS(2346),
    [anon_sym___attribute__] = ACTIONS(2346),
    [anon_sym_COLON_COLON] = ACTIONS(2348),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2348),
    [anon_sym___declspec] = ACTIONS(2346),
    [anon_sym___based] = ACTIONS(2346),
    [anon_sym___cdecl] = ACTIONS(2346),
    [anon_sym___clrcall] = ACTIONS(2346),
    [anon_sym___stdcall] = ACTIONS(2346),
    [anon_sym___fastcall] = ACTIONS(2346),
    [anon_sym___thiscall] = ACTIONS(2346),
    [anon_sym___vectorcall] = ACTIONS(2346),
    [anon_sym_LBRACE] = ACTIONS(2348),
    [anon_sym_RBRACE] = ACTIONS(2348),
    [anon_sym_signed] = ACTIONS(2346),
    [anon_sym_unsigned] = ACTIONS(2346),
    [anon_sym_long] = ACTIONS(2346),
    [anon_sym_short] = ACTIONS(2346),
    [anon_sym_LBRACK] = ACTIONS(2346),
    [anon_sym_static] = ACTIONS(2346),
    [anon_sym_register] = ACTIONS(2346),
    [anon_sym_inline] = ACTIONS(2346),
    [anon_sym___inline] = ACTIONS(2346),
    [anon_sym___inline__] = ACTIONS(2346),
    [anon_sym___forceinline] = ACTIONS(2346),
    [anon_sym_thread_local] = ACTIONS(2346),
    [anon_sym___thread] = ACTIONS(2346),
    [anon_sym_const] = ACTIONS(2346),
    [anon_sym_constexpr] = ACTIONS(2346),
    [anon_sym_volatile] = ACTIONS(2346),
    [anon_sym_restrict] = ACTIONS(2346),
    [anon_sym___restrict__] = ACTIONS(2346),
    [anon_sym__Atomic] = ACTIONS(2346),
    [anon_sym__Noreturn] = ACTIONS(2346),
    [anon_sym_noreturn] = ACTIONS(2346),
    [anon_sym_mutable] = ACTIONS(2346),
    [anon_sym_constinit] = ACTIONS(2346),
    [anon_sym_consteval] = ACTIONS(2346),
    [sym_primitive_type] = ACTIONS(2346),
    [anon_sym_enum] = ACTIONS(2346),
    [anon_sym_class] = ACTIONS(2346),
    [anon_sym_struct] = ACTIONS(2346),
    [anon_sym_union] = ACTIONS(2346),
    [anon_sym_if] = ACTIONS(2346),
    [anon_sym_else] = ACTIONS(2346),
    [anon_sym_switch] = ACTIONS(2346),
    [anon_sym_case] = ACTIONS(2346),
    [anon_sym_default] = ACTIONS(2346),
    [anon_sym_while] = ACTIONS(2346),
    [anon_sym_do] = ACTIONS(2346),
    [anon_sym_for] = ACTIONS(2346),
    [anon_sym_return] = ACTIONS(2346),
    [anon_sym_break] = ACTIONS(2346),
    [anon_sym_continue] = ACTIONS(2346),
    [anon_sym_goto] = ACTIONS(2346),
    [anon_sym___try] = ACTIONS(2346),
    [anon_sym___leave] = ACTIONS(2346),
    [anon_sym_not] = ACTIONS(2346),
    [anon_sym_compl] = ACTIONS(2346),
    [anon_sym_DASH_DASH] = ACTIONS(2348),
    [anon_sym_PLUS_PLUS] = ACTIONS(2348),
    [anon_sym_sizeof] = ACTIONS(2346),
    [anon_sym___alignof__] = ACTIONS(2346),
    [anon_sym___alignof] = ACTIONS(2346),
    [anon_sym__alignof] = ACTIONS(2346),
    [anon_sym_alignof] = ACTIONS(2346),
    [anon_sym__Alignof] = ACTIONS(2346),
    [anon_sym_offsetof] = ACTIONS(2346),
    [anon_sym__Generic] = ACTIONS(2346),
    [anon_sym_asm] = ACTIONS(2346),
    [anon_sym___asm__] = ACTIONS(2346),
    [sym_number_literal] = ACTIONS(2348),
    [anon_sym_L_SQUOTE] = ACTIONS(2348),
    [anon_sym_u_SQUOTE] = ACTIONS(2348),
    [anon_sym_U_SQUOTE] = ACTIONS(2348),
    [anon_sym_u8_SQUOTE] = ACTIONS(2348),
    [anon_sym_SQUOTE] = ACTIONS(2348),
    [anon_sym_L_DQUOTE] = ACTIONS(2348),
    [anon_sym_u_DQUOTE] = ACTIONS(2348),
    [anon_sym_U_DQUOTE] = ACTIONS(2348),
    [anon_sym_u8_DQUOTE] = ACTIONS(2348),
    [anon_sym_DQUOTE] = ACTIONS(2348),
    [sym_true] = ACTIONS(2346),
    [sym_false] = ACTIONS(2346),
    [anon_sym_NULL] = ACTIONS(2346),
    [anon_sym_nullptr] = ACTIONS(2346),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2346),
    [anon_sym_decltype] = ACTIONS(2346),
    [anon_sym_virtual] = ACTIONS(2346),
    [anon_sym_alignas] = ACTIONS(2346),
    [anon_sym_explicit] = ACTIONS(2346),
    [anon_sym_typename] = ACTIONS(2346),
    [anon_sym_template] = ACTIONS(2346),
    [anon_sym_operator] = ACTIONS(2346),
    [anon_sym_try] = ACTIONS(2346),
    [anon_sym_delete] = ACTIONS(2346),
    [anon_sym_throw] = ACTIONS(2346),
    [anon_sym_namespace] = ACTIONS(2346),
    [anon_sym_using] = ACTIONS(2346),
    [anon_sym_static_assert] = ACTIONS(2346),
    [anon_sym_concept] = ACTIONS(2346),
    [anon_sym_co_return] = ACTIONS(2346),
    [anon_sym_co_yield] = ACTIONS(2346),
    [anon_sym_R_DQUOTE] = ACTIONS(2348),
    [anon_sym_LR_DQUOTE] = ACTIONS(2348),
    [anon_sym_uR_DQUOTE] = ACTIONS(2348),
    [anon_sym_UR_DQUOTE] = ACTIONS(2348),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2348),
    [anon_sym_co_await] = ACTIONS(2346),
    [anon_sym_new] = ACTIONS(2346),
    [anon_sym_requires] = ACTIONS(2346),
    [sym_this] = ACTIONS(2346),
    [anon_sym_discard] = ACTIONS(2346),
    [anon_sym_precise] = ACTIONS(2346),
    [anon_sym_shared] = ACTIONS(2346),
    [anon_sym_groupshared] = ACTIONS(2346),
    [anon_sym_uniform] = ACTIONS(2346),
    [anon_sym_row_major] = ACTIONS(2346),
    [anon_sym_column_major] = ACTIONS(2346),
    [anon_sym_globallycoherent] = ACTIONS(2346),
    [anon_sym_centroid] = ACTIONS(2346),
    [anon_sym_noperspective] = ACTIONS(2346),
    [anon_sym_nointerpolation] = ACTIONS(2346),
    [anon_sym_sample] = ACTIONS(2346),
    [anon_sym_linear] = ACTIONS(2346),
    [anon_sym_snorm] = ACTIONS(2346),
    [anon_sym_unorm] = ACTIONS(2346),
    [anon_sym_point] = ACTIONS(2346),
    [anon_sym_line] = ACTIONS(2346),
    [anon_sym_triangleadj] = ACTIONS(2346),
    [anon_sym_lineadj] = ACTIONS(2346),
    [anon_sym_triangle] = ACTIONS(2346),
    [anon_sym_cbuffer] = ACTIONS(2346),
  },
  [859] = {
    [sym_identifier] = ACTIONS(2342),
    [aux_sym_preproc_include_token1] = ACTIONS(2342),
    [aux_sym_preproc_def_token1] = ACTIONS(2342),
    [aux_sym_preproc_if_token1] = ACTIONS(2342),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2342),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2342),
    [sym_preproc_directive] = ACTIONS(2342),
    [anon_sym_LPAREN2] = ACTIONS(2344),
    [anon_sym_BANG] = ACTIONS(2344),
    [anon_sym_TILDE] = ACTIONS(2344),
    [anon_sym_DASH] = ACTIONS(2342),
    [anon_sym_PLUS] = ACTIONS(2342),
    [anon_sym_STAR] = ACTIONS(2344),
    [anon_sym_AMP_AMP] = ACTIONS(2344),
    [anon_sym_AMP] = ACTIONS(2342),
    [anon_sym_SEMI] = ACTIONS(2344),
    [anon_sym___extension__] = ACTIONS(2342),
    [anon_sym_typedef] = ACTIONS(2342),
    [anon_sym_in] = ACTIONS(2342),
    [anon_sym_out] = ACTIONS(2342),
    [anon_sym_inout] = ACTIONS(2342),
    [anon_sym_extern] = ACTIONS(2342),
    [anon_sym___attribute__] = ACTIONS(2342),
    [anon_sym_COLON_COLON] = ACTIONS(2344),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2344),
    [anon_sym___declspec] = ACTIONS(2342),
    [anon_sym___based] = ACTIONS(2342),
    [anon_sym___cdecl] = ACTIONS(2342),
    [anon_sym___clrcall] = ACTIONS(2342),
    [anon_sym___stdcall] = ACTIONS(2342),
    [anon_sym___fastcall] = ACTIONS(2342),
    [anon_sym___thiscall] = ACTIONS(2342),
    [anon_sym___vectorcall] = ACTIONS(2342),
    [anon_sym_LBRACE] = ACTIONS(2344),
    [anon_sym_RBRACE] = ACTIONS(2344),
    [anon_sym_signed] = ACTIONS(2342),
    [anon_sym_unsigned] = ACTIONS(2342),
    [anon_sym_long] = ACTIONS(2342),
    [anon_sym_short] = ACTIONS(2342),
    [anon_sym_LBRACK] = ACTIONS(2342),
    [anon_sym_static] = ACTIONS(2342),
    [anon_sym_register] = ACTIONS(2342),
    [anon_sym_inline] = ACTIONS(2342),
    [anon_sym___inline] = ACTIONS(2342),
    [anon_sym___inline__] = ACTIONS(2342),
    [anon_sym___forceinline] = ACTIONS(2342),
    [anon_sym_thread_local] = ACTIONS(2342),
    [anon_sym___thread] = ACTIONS(2342),
    [anon_sym_const] = ACTIONS(2342),
    [anon_sym_constexpr] = ACTIONS(2342),
    [anon_sym_volatile] = ACTIONS(2342),
    [anon_sym_restrict] = ACTIONS(2342),
    [anon_sym___restrict__] = ACTIONS(2342),
    [anon_sym__Atomic] = ACTIONS(2342),
    [anon_sym__Noreturn] = ACTIONS(2342),
    [anon_sym_noreturn] = ACTIONS(2342),
    [anon_sym_mutable] = ACTIONS(2342),
    [anon_sym_constinit] = ACTIONS(2342),
    [anon_sym_consteval] = ACTIONS(2342),
    [sym_primitive_type] = ACTIONS(2342),
    [anon_sym_enum] = ACTIONS(2342),
    [anon_sym_class] = ACTIONS(2342),
    [anon_sym_struct] = ACTIONS(2342),
    [anon_sym_union] = ACTIONS(2342),
    [anon_sym_if] = ACTIONS(2342),
    [anon_sym_else] = ACTIONS(2342),
    [anon_sym_switch] = ACTIONS(2342),
    [anon_sym_case] = ACTIONS(2342),
    [anon_sym_default] = ACTIONS(2342),
    [anon_sym_while] = ACTIONS(2342),
    [anon_sym_do] = ACTIONS(2342),
    [anon_sym_for] = ACTIONS(2342),
    [anon_sym_return] = ACTIONS(2342),
    [anon_sym_break] = ACTIONS(2342),
    [anon_sym_continue] = ACTIONS(2342),
    [anon_sym_goto] = ACTIONS(2342),
    [anon_sym___try] = ACTIONS(2342),
    [anon_sym___leave] = ACTIONS(2342),
    [anon_sym_not] = ACTIONS(2342),
    [anon_sym_compl] = ACTIONS(2342),
    [anon_sym_DASH_DASH] = ACTIONS(2344),
    [anon_sym_PLUS_PLUS] = ACTIONS(2344),
    [anon_sym_sizeof] = ACTIONS(2342),
    [anon_sym___alignof__] = ACTIONS(2342),
    [anon_sym___alignof] = ACTIONS(2342),
    [anon_sym__alignof] = ACTIONS(2342),
    [anon_sym_alignof] = ACTIONS(2342),
    [anon_sym__Alignof] = ACTIONS(2342),
    [anon_sym_offsetof] = ACTIONS(2342),
    [anon_sym__Generic] = ACTIONS(2342),
    [anon_sym_asm] = ACTIONS(2342),
    [anon_sym___asm__] = ACTIONS(2342),
    [sym_number_literal] = ACTIONS(2344),
    [anon_sym_L_SQUOTE] = ACTIONS(2344),
    [anon_sym_u_SQUOTE] = ACTIONS(2344),
    [anon_sym_U_SQUOTE] = ACTIONS(2344),
    [anon_sym_u8_SQUOTE] = ACTIONS(2344),
    [anon_sym_SQUOTE] = ACTIONS(2344),
    [anon_sym_L_DQUOTE] = ACTIONS(2344),
    [anon_sym_u_DQUOTE] = ACTIONS(2344),
    [anon_sym_U_DQUOTE] = ACTIONS(2344),
    [anon_sym_u8_DQUOTE] = ACTIONS(2344),
    [anon_sym_DQUOTE] = ACTIONS(2344),
    [sym_true] = ACTIONS(2342),
    [sym_false] = ACTIONS(2342),
    [anon_sym_NULL] = ACTIONS(2342),
    [anon_sym_nullptr] = ACTIONS(2342),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2342),
    [anon_sym_decltype] = ACTIONS(2342),
    [anon_sym_virtual] = ACTIONS(2342),
    [anon_sym_alignas] = ACTIONS(2342),
    [anon_sym_explicit] = ACTIONS(2342),
    [anon_sym_typename] = ACTIONS(2342),
    [anon_sym_template] = ACTIONS(2342),
    [anon_sym_operator] = ACTIONS(2342),
    [anon_sym_try] = ACTIONS(2342),
    [anon_sym_delete] = ACTIONS(2342),
    [anon_sym_throw] = ACTIONS(2342),
    [anon_sym_namespace] = ACTIONS(2342),
    [anon_sym_using] = ACTIONS(2342),
    [anon_sym_static_assert] = ACTIONS(2342),
    [anon_sym_concept] = ACTIONS(2342),
    [anon_sym_co_return] = ACTIONS(2342),
    [anon_sym_co_yield] = ACTIONS(2342),
    [anon_sym_R_DQUOTE] = ACTIONS(2344),
    [anon_sym_LR_DQUOTE] = ACTIONS(2344),
    [anon_sym_uR_DQUOTE] = ACTIONS(2344),
    [anon_sym_UR_DQUOTE] = ACTIONS(2344),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2344),
    [anon_sym_co_await] = ACTIONS(2342),
    [anon_sym_new] = ACTIONS(2342),
    [anon_sym_requires] = ACTIONS(2342),
    [sym_this] = ACTIONS(2342),
    [anon_sym_discard] = ACTIONS(2342),
    [anon_sym_precise] = ACTIONS(2342),
    [anon_sym_shared] = ACTIONS(2342),
    [anon_sym_groupshared] = ACTIONS(2342),
    [anon_sym_uniform] = ACTIONS(2342),
    [anon_sym_row_major] = ACTIONS(2342),
    [anon_sym_column_major] = ACTIONS(2342),
    [anon_sym_globallycoherent] = ACTIONS(2342),
    [anon_sym_centroid] = ACTIONS(2342),
    [anon_sym_noperspective] = ACTIONS(2342),
    [anon_sym_nointerpolation] = ACTIONS(2342),
    [anon_sym_sample] = ACTIONS(2342),
    [anon_sym_linear] = ACTIONS(2342),
    [anon_sym_snorm] = ACTIONS(2342),
    [anon_sym_unorm] = ACTIONS(2342),
    [anon_sym_point] = ACTIONS(2342),
    [anon_sym_line] = ACTIONS(2342),
    [anon_sym_triangleadj] = ACTIONS(2342),
    [anon_sym_lineadj] = ACTIONS(2342),
    [anon_sym_triangle] = ACTIONS(2342),
    [anon_sym_cbuffer] = ACTIONS(2342),
  },
  [860] = {
    [sym_identifier] = ACTIONS(2338),
    [aux_sym_preproc_include_token1] = ACTIONS(2338),
    [aux_sym_preproc_def_token1] = ACTIONS(2338),
    [aux_sym_preproc_if_token1] = ACTIONS(2338),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2338),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2338),
    [sym_preproc_directive] = ACTIONS(2338),
    [anon_sym_LPAREN2] = ACTIONS(2340),
    [anon_sym_BANG] = ACTIONS(2340),
    [anon_sym_TILDE] = ACTIONS(2340),
    [anon_sym_DASH] = ACTIONS(2338),
    [anon_sym_PLUS] = ACTIONS(2338),
    [anon_sym_STAR] = ACTIONS(2340),
    [anon_sym_AMP_AMP] = ACTIONS(2340),
    [anon_sym_AMP] = ACTIONS(2338),
    [anon_sym_SEMI] = ACTIONS(2340),
    [anon_sym___extension__] = ACTIONS(2338),
    [anon_sym_typedef] = ACTIONS(2338),
    [anon_sym_in] = ACTIONS(2338),
    [anon_sym_out] = ACTIONS(2338),
    [anon_sym_inout] = ACTIONS(2338),
    [anon_sym_extern] = ACTIONS(2338),
    [anon_sym___attribute__] = ACTIONS(2338),
    [anon_sym_COLON_COLON] = ACTIONS(2340),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2340),
    [anon_sym___declspec] = ACTIONS(2338),
    [anon_sym___based] = ACTIONS(2338),
    [anon_sym___cdecl] = ACTIONS(2338),
    [anon_sym___clrcall] = ACTIONS(2338),
    [anon_sym___stdcall] = ACTIONS(2338),
    [anon_sym___fastcall] = ACTIONS(2338),
    [anon_sym___thiscall] = ACTIONS(2338),
    [anon_sym___vectorcall] = ACTIONS(2338),
    [anon_sym_LBRACE] = ACTIONS(2340),
    [anon_sym_RBRACE] = ACTIONS(2340),
    [anon_sym_signed] = ACTIONS(2338),
    [anon_sym_unsigned] = ACTIONS(2338),
    [anon_sym_long] = ACTIONS(2338),
    [anon_sym_short] = ACTIONS(2338),
    [anon_sym_LBRACK] = ACTIONS(2338),
    [anon_sym_static] = ACTIONS(2338),
    [anon_sym_register] = ACTIONS(2338),
    [anon_sym_inline] = ACTIONS(2338),
    [anon_sym___inline] = ACTIONS(2338),
    [anon_sym___inline__] = ACTIONS(2338),
    [anon_sym___forceinline] = ACTIONS(2338),
    [anon_sym_thread_local] = ACTIONS(2338),
    [anon_sym___thread] = ACTIONS(2338),
    [anon_sym_const] = ACTIONS(2338),
    [anon_sym_constexpr] = ACTIONS(2338),
    [anon_sym_volatile] = ACTIONS(2338),
    [anon_sym_restrict] = ACTIONS(2338),
    [anon_sym___restrict__] = ACTIONS(2338),
    [anon_sym__Atomic] = ACTIONS(2338),
    [anon_sym__Noreturn] = ACTIONS(2338),
    [anon_sym_noreturn] = ACTIONS(2338),
    [anon_sym_mutable] = ACTIONS(2338),
    [anon_sym_constinit] = ACTIONS(2338),
    [anon_sym_consteval] = ACTIONS(2338),
    [sym_primitive_type] = ACTIONS(2338),
    [anon_sym_enum] = ACTIONS(2338),
    [anon_sym_class] = ACTIONS(2338),
    [anon_sym_struct] = ACTIONS(2338),
    [anon_sym_union] = ACTIONS(2338),
    [anon_sym_if] = ACTIONS(2338),
    [anon_sym_else] = ACTIONS(2338),
    [anon_sym_switch] = ACTIONS(2338),
    [anon_sym_case] = ACTIONS(2338),
    [anon_sym_default] = ACTIONS(2338),
    [anon_sym_while] = ACTIONS(2338),
    [anon_sym_do] = ACTIONS(2338),
    [anon_sym_for] = ACTIONS(2338),
    [anon_sym_return] = ACTIONS(2338),
    [anon_sym_break] = ACTIONS(2338),
    [anon_sym_continue] = ACTIONS(2338),
    [anon_sym_goto] = ACTIONS(2338),
    [anon_sym___try] = ACTIONS(2338),
    [anon_sym___leave] = ACTIONS(2338),
    [anon_sym_not] = ACTIONS(2338),
    [anon_sym_compl] = ACTIONS(2338),
    [anon_sym_DASH_DASH] = ACTIONS(2340),
    [anon_sym_PLUS_PLUS] = ACTIONS(2340),
    [anon_sym_sizeof] = ACTIONS(2338),
    [anon_sym___alignof__] = ACTIONS(2338),
    [anon_sym___alignof] = ACTIONS(2338),
    [anon_sym__alignof] = ACTIONS(2338),
    [anon_sym_alignof] = ACTIONS(2338),
    [anon_sym__Alignof] = ACTIONS(2338),
    [anon_sym_offsetof] = ACTIONS(2338),
    [anon_sym__Generic] = ACTIONS(2338),
    [anon_sym_asm] = ACTIONS(2338),
    [anon_sym___asm__] = ACTIONS(2338),
    [sym_number_literal] = ACTIONS(2340),
    [anon_sym_L_SQUOTE] = ACTIONS(2340),
    [anon_sym_u_SQUOTE] = ACTIONS(2340),
    [anon_sym_U_SQUOTE] = ACTIONS(2340),
    [anon_sym_u8_SQUOTE] = ACTIONS(2340),
    [anon_sym_SQUOTE] = ACTIONS(2340),
    [anon_sym_L_DQUOTE] = ACTIONS(2340),
    [anon_sym_u_DQUOTE] = ACTIONS(2340),
    [anon_sym_U_DQUOTE] = ACTIONS(2340),
    [anon_sym_u8_DQUOTE] = ACTIONS(2340),
    [anon_sym_DQUOTE] = ACTIONS(2340),
    [sym_true] = ACTIONS(2338),
    [sym_false] = ACTIONS(2338),
    [anon_sym_NULL] = ACTIONS(2338),
    [anon_sym_nullptr] = ACTIONS(2338),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2338),
    [anon_sym_decltype] = ACTIONS(2338),
    [anon_sym_virtual] = ACTIONS(2338),
    [anon_sym_alignas] = ACTIONS(2338),
    [anon_sym_explicit] = ACTIONS(2338),
    [anon_sym_typename] = ACTIONS(2338),
    [anon_sym_template] = ACTIONS(2338),
    [anon_sym_operator] = ACTIONS(2338),
    [anon_sym_try] = ACTIONS(2338),
    [anon_sym_delete] = ACTIONS(2338),
    [anon_sym_throw] = ACTIONS(2338),
    [anon_sym_namespace] = ACTIONS(2338),
    [anon_sym_using] = ACTIONS(2338),
    [anon_sym_static_assert] = ACTIONS(2338),
    [anon_sym_concept] = ACTIONS(2338),
    [anon_sym_co_return] = ACTIONS(2338),
    [anon_sym_co_yield] = ACTIONS(2338),
    [anon_sym_R_DQUOTE] = ACTIONS(2340),
    [anon_sym_LR_DQUOTE] = ACTIONS(2340),
    [anon_sym_uR_DQUOTE] = ACTIONS(2340),
    [anon_sym_UR_DQUOTE] = ACTIONS(2340),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2340),
    [anon_sym_co_await] = ACTIONS(2338),
    [anon_sym_new] = ACTIONS(2338),
    [anon_sym_requires] = ACTIONS(2338),
    [sym_this] = ACTIONS(2338),
    [anon_sym_discard] = ACTIONS(2338),
    [anon_sym_precise] = ACTIONS(2338),
    [anon_sym_shared] = ACTIONS(2338),
    [anon_sym_groupshared] = ACTIONS(2338),
    [anon_sym_uniform] = ACTIONS(2338),
    [anon_sym_row_major] = ACTIONS(2338),
    [anon_sym_column_major] = ACTIONS(2338),
    [anon_sym_globallycoherent] = ACTIONS(2338),
    [anon_sym_centroid] = ACTIONS(2338),
    [anon_sym_noperspective] = ACTIONS(2338),
    [anon_sym_nointerpolation] = ACTIONS(2338),
    [anon_sym_sample] = ACTIONS(2338),
    [anon_sym_linear] = ACTIONS(2338),
    [anon_sym_snorm] = ACTIONS(2338),
    [anon_sym_unorm] = ACTIONS(2338),
    [anon_sym_point] = ACTIONS(2338),
    [anon_sym_line] = ACTIONS(2338),
    [anon_sym_triangleadj] = ACTIONS(2338),
    [anon_sym_lineadj] = ACTIONS(2338),
    [anon_sym_triangle] = ACTIONS(2338),
    [anon_sym_cbuffer] = ACTIONS(2338),
  },
  [861] = {
    [sym_identifier] = ACTIONS(2444),
    [aux_sym_preproc_include_token1] = ACTIONS(2444),
    [aux_sym_preproc_def_token1] = ACTIONS(2444),
    [aux_sym_preproc_if_token1] = ACTIONS(2444),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2444),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2444),
    [sym_preproc_directive] = ACTIONS(2444),
    [anon_sym_LPAREN2] = ACTIONS(2446),
    [anon_sym_BANG] = ACTIONS(2446),
    [anon_sym_TILDE] = ACTIONS(2446),
    [anon_sym_DASH] = ACTIONS(2444),
    [anon_sym_PLUS] = ACTIONS(2444),
    [anon_sym_STAR] = ACTIONS(2446),
    [anon_sym_AMP_AMP] = ACTIONS(2446),
    [anon_sym_AMP] = ACTIONS(2444),
    [anon_sym_SEMI] = ACTIONS(2446),
    [anon_sym___extension__] = ACTIONS(2444),
    [anon_sym_typedef] = ACTIONS(2444),
    [anon_sym_in] = ACTIONS(2444),
    [anon_sym_out] = ACTIONS(2444),
    [anon_sym_inout] = ACTIONS(2444),
    [anon_sym_extern] = ACTIONS(2444),
    [anon_sym___attribute__] = ACTIONS(2444),
    [anon_sym_COLON_COLON] = ACTIONS(2446),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2446),
    [anon_sym___declspec] = ACTIONS(2444),
    [anon_sym___based] = ACTIONS(2444),
    [anon_sym___cdecl] = ACTIONS(2444),
    [anon_sym___clrcall] = ACTIONS(2444),
    [anon_sym___stdcall] = ACTIONS(2444),
    [anon_sym___fastcall] = ACTIONS(2444),
    [anon_sym___thiscall] = ACTIONS(2444),
    [anon_sym___vectorcall] = ACTIONS(2444),
    [anon_sym_LBRACE] = ACTIONS(2446),
    [anon_sym_RBRACE] = ACTIONS(2446),
    [anon_sym_signed] = ACTIONS(2444),
    [anon_sym_unsigned] = ACTIONS(2444),
    [anon_sym_long] = ACTIONS(2444),
    [anon_sym_short] = ACTIONS(2444),
    [anon_sym_LBRACK] = ACTIONS(2444),
    [anon_sym_static] = ACTIONS(2444),
    [anon_sym_register] = ACTIONS(2444),
    [anon_sym_inline] = ACTIONS(2444),
    [anon_sym___inline] = ACTIONS(2444),
    [anon_sym___inline__] = ACTIONS(2444),
    [anon_sym___forceinline] = ACTIONS(2444),
    [anon_sym_thread_local] = ACTIONS(2444),
    [anon_sym___thread] = ACTIONS(2444),
    [anon_sym_const] = ACTIONS(2444),
    [anon_sym_constexpr] = ACTIONS(2444),
    [anon_sym_volatile] = ACTIONS(2444),
    [anon_sym_restrict] = ACTIONS(2444),
    [anon_sym___restrict__] = ACTIONS(2444),
    [anon_sym__Atomic] = ACTIONS(2444),
    [anon_sym__Noreturn] = ACTIONS(2444),
    [anon_sym_noreturn] = ACTIONS(2444),
    [anon_sym_mutable] = ACTIONS(2444),
    [anon_sym_constinit] = ACTIONS(2444),
    [anon_sym_consteval] = ACTIONS(2444),
    [sym_primitive_type] = ACTIONS(2444),
    [anon_sym_enum] = ACTIONS(2444),
    [anon_sym_class] = ACTIONS(2444),
    [anon_sym_struct] = ACTIONS(2444),
    [anon_sym_union] = ACTIONS(2444),
    [anon_sym_if] = ACTIONS(2444),
    [anon_sym_else] = ACTIONS(2444),
    [anon_sym_switch] = ACTIONS(2444),
    [anon_sym_case] = ACTIONS(2444),
    [anon_sym_default] = ACTIONS(2444),
    [anon_sym_while] = ACTIONS(2444),
    [anon_sym_do] = ACTIONS(2444),
    [anon_sym_for] = ACTIONS(2444),
    [anon_sym_return] = ACTIONS(2444),
    [anon_sym_break] = ACTIONS(2444),
    [anon_sym_continue] = ACTIONS(2444),
    [anon_sym_goto] = ACTIONS(2444),
    [anon_sym___try] = ACTIONS(2444),
    [anon_sym___leave] = ACTIONS(2444),
    [anon_sym_not] = ACTIONS(2444),
    [anon_sym_compl] = ACTIONS(2444),
    [anon_sym_DASH_DASH] = ACTIONS(2446),
    [anon_sym_PLUS_PLUS] = ACTIONS(2446),
    [anon_sym_sizeof] = ACTIONS(2444),
    [anon_sym___alignof__] = ACTIONS(2444),
    [anon_sym___alignof] = ACTIONS(2444),
    [anon_sym__alignof] = ACTIONS(2444),
    [anon_sym_alignof] = ACTIONS(2444),
    [anon_sym__Alignof] = ACTIONS(2444),
    [anon_sym_offsetof] = ACTIONS(2444),
    [anon_sym__Generic] = ACTIONS(2444),
    [anon_sym_asm] = ACTIONS(2444),
    [anon_sym___asm__] = ACTIONS(2444),
    [sym_number_literal] = ACTIONS(2446),
    [anon_sym_L_SQUOTE] = ACTIONS(2446),
    [anon_sym_u_SQUOTE] = ACTIONS(2446),
    [anon_sym_U_SQUOTE] = ACTIONS(2446),
    [anon_sym_u8_SQUOTE] = ACTIONS(2446),
    [anon_sym_SQUOTE] = ACTIONS(2446),
    [anon_sym_L_DQUOTE] = ACTIONS(2446),
    [anon_sym_u_DQUOTE] = ACTIONS(2446),
    [anon_sym_U_DQUOTE] = ACTIONS(2446),
    [anon_sym_u8_DQUOTE] = ACTIONS(2446),
    [anon_sym_DQUOTE] = ACTIONS(2446),
    [sym_true] = ACTIONS(2444),
    [sym_false] = ACTIONS(2444),
    [anon_sym_NULL] = ACTIONS(2444),
    [anon_sym_nullptr] = ACTIONS(2444),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2444),
    [anon_sym_decltype] = ACTIONS(2444),
    [anon_sym_virtual] = ACTIONS(2444),
    [anon_sym_alignas] = ACTIONS(2444),
    [anon_sym_explicit] = ACTIONS(2444),
    [anon_sym_typename] = ACTIONS(2444),
    [anon_sym_template] = ACTIONS(2444),
    [anon_sym_operator] = ACTIONS(2444),
    [anon_sym_try] = ACTIONS(2444),
    [anon_sym_delete] = ACTIONS(2444),
    [anon_sym_throw] = ACTIONS(2444),
    [anon_sym_namespace] = ACTIONS(2444),
    [anon_sym_using] = ACTIONS(2444),
    [anon_sym_static_assert] = ACTIONS(2444),
    [anon_sym_concept] = ACTIONS(2444),
    [anon_sym_co_return] = ACTIONS(2444),
    [anon_sym_co_yield] = ACTIONS(2444),
    [anon_sym_R_DQUOTE] = ACTIONS(2446),
    [anon_sym_LR_DQUOTE] = ACTIONS(2446),
    [anon_sym_uR_DQUOTE] = ACTIONS(2446),
    [anon_sym_UR_DQUOTE] = ACTIONS(2446),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2446),
    [anon_sym_co_await] = ACTIONS(2444),
    [anon_sym_new] = ACTIONS(2444),
    [anon_sym_requires] = ACTIONS(2444),
    [sym_this] = ACTIONS(2444),
    [anon_sym_discard] = ACTIONS(2444),
    [anon_sym_precise] = ACTIONS(2444),
    [anon_sym_shared] = ACTIONS(2444),
    [anon_sym_groupshared] = ACTIONS(2444),
    [anon_sym_uniform] = ACTIONS(2444),
    [anon_sym_row_major] = ACTIONS(2444),
    [anon_sym_column_major] = ACTIONS(2444),
    [anon_sym_globallycoherent] = ACTIONS(2444),
    [anon_sym_centroid] = ACTIONS(2444),
    [anon_sym_noperspective] = ACTIONS(2444),
    [anon_sym_nointerpolation] = ACTIONS(2444),
    [anon_sym_sample] = ACTIONS(2444),
    [anon_sym_linear] = ACTIONS(2444),
    [anon_sym_snorm] = ACTIONS(2444),
    [anon_sym_unorm] = ACTIONS(2444),
    [anon_sym_point] = ACTIONS(2444),
    [anon_sym_line] = ACTIONS(2444),
    [anon_sym_triangleadj] = ACTIONS(2444),
    [anon_sym_lineadj] = ACTIONS(2444),
    [anon_sym_triangle] = ACTIONS(2444),
    [anon_sym_cbuffer] = ACTIONS(2444),
  },
  [862] = {
    [sym_identifier] = ACTIONS(2364),
    [aux_sym_preproc_include_token1] = ACTIONS(2364),
    [aux_sym_preproc_def_token1] = ACTIONS(2364),
    [aux_sym_preproc_if_token1] = ACTIONS(2364),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2364),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2364),
    [sym_preproc_directive] = ACTIONS(2364),
    [anon_sym_LPAREN2] = ACTIONS(2366),
    [anon_sym_BANG] = ACTIONS(2366),
    [anon_sym_TILDE] = ACTIONS(2366),
    [anon_sym_DASH] = ACTIONS(2364),
    [anon_sym_PLUS] = ACTIONS(2364),
    [anon_sym_STAR] = ACTIONS(2366),
    [anon_sym_AMP_AMP] = ACTIONS(2366),
    [anon_sym_AMP] = ACTIONS(2364),
    [anon_sym_SEMI] = ACTIONS(2366),
    [anon_sym___extension__] = ACTIONS(2364),
    [anon_sym_typedef] = ACTIONS(2364),
    [anon_sym_in] = ACTIONS(2364),
    [anon_sym_out] = ACTIONS(2364),
    [anon_sym_inout] = ACTIONS(2364),
    [anon_sym_extern] = ACTIONS(2364),
    [anon_sym___attribute__] = ACTIONS(2364),
    [anon_sym_COLON_COLON] = ACTIONS(2366),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2366),
    [anon_sym___declspec] = ACTIONS(2364),
    [anon_sym___based] = ACTIONS(2364),
    [anon_sym___cdecl] = ACTIONS(2364),
    [anon_sym___clrcall] = ACTIONS(2364),
    [anon_sym___stdcall] = ACTIONS(2364),
    [anon_sym___fastcall] = ACTIONS(2364),
    [anon_sym___thiscall] = ACTIONS(2364),
    [anon_sym___vectorcall] = ACTIONS(2364),
    [anon_sym_LBRACE] = ACTIONS(2366),
    [anon_sym_RBRACE] = ACTIONS(2366),
    [anon_sym_signed] = ACTIONS(2364),
    [anon_sym_unsigned] = ACTIONS(2364),
    [anon_sym_long] = ACTIONS(2364),
    [anon_sym_short] = ACTIONS(2364),
    [anon_sym_LBRACK] = ACTIONS(2364),
    [anon_sym_static] = ACTIONS(2364),
    [anon_sym_register] = ACTIONS(2364),
    [anon_sym_inline] = ACTIONS(2364),
    [anon_sym___inline] = ACTIONS(2364),
    [anon_sym___inline__] = ACTIONS(2364),
    [anon_sym___forceinline] = ACTIONS(2364),
    [anon_sym_thread_local] = ACTIONS(2364),
    [anon_sym___thread] = ACTIONS(2364),
    [anon_sym_const] = ACTIONS(2364),
    [anon_sym_constexpr] = ACTIONS(2364),
    [anon_sym_volatile] = ACTIONS(2364),
    [anon_sym_restrict] = ACTIONS(2364),
    [anon_sym___restrict__] = ACTIONS(2364),
    [anon_sym__Atomic] = ACTIONS(2364),
    [anon_sym__Noreturn] = ACTIONS(2364),
    [anon_sym_noreturn] = ACTIONS(2364),
    [anon_sym_mutable] = ACTIONS(2364),
    [anon_sym_constinit] = ACTIONS(2364),
    [anon_sym_consteval] = ACTIONS(2364),
    [sym_primitive_type] = ACTIONS(2364),
    [anon_sym_enum] = ACTIONS(2364),
    [anon_sym_class] = ACTIONS(2364),
    [anon_sym_struct] = ACTIONS(2364),
    [anon_sym_union] = ACTIONS(2364),
    [anon_sym_if] = ACTIONS(2364),
    [anon_sym_else] = ACTIONS(2364),
    [anon_sym_switch] = ACTIONS(2364),
    [anon_sym_case] = ACTIONS(2364),
    [anon_sym_default] = ACTIONS(2364),
    [anon_sym_while] = ACTIONS(2364),
    [anon_sym_do] = ACTIONS(2364),
    [anon_sym_for] = ACTIONS(2364),
    [anon_sym_return] = ACTIONS(2364),
    [anon_sym_break] = ACTIONS(2364),
    [anon_sym_continue] = ACTIONS(2364),
    [anon_sym_goto] = ACTIONS(2364),
    [anon_sym___try] = ACTIONS(2364),
    [anon_sym___leave] = ACTIONS(2364),
    [anon_sym_not] = ACTIONS(2364),
    [anon_sym_compl] = ACTIONS(2364),
    [anon_sym_DASH_DASH] = ACTIONS(2366),
    [anon_sym_PLUS_PLUS] = ACTIONS(2366),
    [anon_sym_sizeof] = ACTIONS(2364),
    [anon_sym___alignof__] = ACTIONS(2364),
    [anon_sym___alignof] = ACTIONS(2364),
    [anon_sym__alignof] = ACTIONS(2364),
    [anon_sym_alignof] = ACTIONS(2364),
    [anon_sym__Alignof] = ACTIONS(2364),
    [anon_sym_offsetof] = ACTIONS(2364),
    [anon_sym__Generic] = ACTIONS(2364),
    [anon_sym_asm] = ACTIONS(2364),
    [anon_sym___asm__] = ACTIONS(2364),
    [sym_number_literal] = ACTIONS(2366),
    [anon_sym_L_SQUOTE] = ACTIONS(2366),
    [anon_sym_u_SQUOTE] = ACTIONS(2366),
    [anon_sym_U_SQUOTE] = ACTIONS(2366),
    [anon_sym_u8_SQUOTE] = ACTIONS(2366),
    [anon_sym_SQUOTE] = ACTIONS(2366),
    [anon_sym_L_DQUOTE] = ACTIONS(2366),
    [anon_sym_u_DQUOTE] = ACTIONS(2366),
    [anon_sym_U_DQUOTE] = ACTIONS(2366),
    [anon_sym_u8_DQUOTE] = ACTIONS(2366),
    [anon_sym_DQUOTE] = ACTIONS(2366),
    [sym_true] = ACTIONS(2364),
    [sym_false] = ACTIONS(2364),
    [anon_sym_NULL] = ACTIONS(2364),
    [anon_sym_nullptr] = ACTIONS(2364),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2364),
    [anon_sym_decltype] = ACTIONS(2364),
    [anon_sym_virtual] = ACTIONS(2364),
    [anon_sym_alignas] = ACTIONS(2364),
    [anon_sym_explicit] = ACTIONS(2364),
    [anon_sym_typename] = ACTIONS(2364),
    [anon_sym_template] = ACTIONS(2364),
    [anon_sym_operator] = ACTIONS(2364),
    [anon_sym_try] = ACTIONS(2364),
    [anon_sym_delete] = ACTIONS(2364),
    [anon_sym_throw] = ACTIONS(2364),
    [anon_sym_namespace] = ACTIONS(2364),
    [anon_sym_using] = ACTIONS(2364),
    [anon_sym_static_assert] = ACTIONS(2364),
    [anon_sym_concept] = ACTIONS(2364),
    [anon_sym_co_return] = ACTIONS(2364),
    [anon_sym_co_yield] = ACTIONS(2364),
    [anon_sym_R_DQUOTE] = ACTIONS(2366),
    [anon_sym_LR_DQUOTE] = ACTIONS(2366),
    [anon_sym_uR_DQUOTE] = ACTIONS(2366),
    [anon_sym_UR_DQUOTE] = ACTIONS(2366),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2366),
    [anon_sym_co_await] = ACTIONS(2364),
    [anon_sym_new] = ACTIONS(2364),
    [anon_sym_requires] = ACTIONS(2364),
    [sym_this] = ACTIONS(2364),
    [anon_sym_discard] = ACTIONS(2364),
    [anon_sym_precise] = ACTIONS(2364),
    [anon_sym_shared] = ACTIONS(2364),
    [anon_sym_groupshared] = ACTIONS(2364),
    [anon_sym_uniform] = ACTIONS(2364),
    [anon_sym_row_major] = ACTIONS(2364),
    [anon_sym_column_major] = ACTIONS(2364),
    [anon_sym_globallycoherent] = ACTIONS(2364),
    [anon_sym_centroid] = ACTIONS(2364),
    [anon_sym_noperspective] = ACTIONS(2364),
    [anon_sym_nointerpolation] = ACTIONS(2364),
    [anon_sym_sample] = ACTIONS(2364),
    [anon_sym_linear] = ACTIONS(2364),
    [anon_sym_snorm] = ACTIONS(2364),
    [anon_sym_unorm] = ACTIONS(2364),
    [anon_sym_point] = ACTIONS(2364),
    [anon_sym_line] = ACTIONS(2364),
    [anon_sym_triangleadj] = ACTIONS(2364),
    [anon_sym_lineadj] = ACTIONS(2364),
    [anon_sym_triangle] = ACTIONS(2364),
    [anon_sym_cbuffer] = ACTIONS(2364),
  },
  [863] = {
    [ts_builtin_sym_end] = ACTIONS(2374),
    [sym_identifier] = ACTIONS(2372),
    [aux_sym_preproc_include_token1] = ACTIONS(2372),
    [aux_sym_preproc_def_token1] = ACTIONS(2372),
    [aux_sym_preproc_if_token1] = ACTIONS(2372),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2372),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2372),
    [sym_preproc_directive] = ACTIONS(2372),
    [anon_sym_LPAREN2] = ACTIONS(2374),
    [anon_sym_BANG] = ACTIONS(2374),
    [anon_sym_TILDE] = ACTIONS(2374),
    [anon_sym_DASH] = ACTIONS(2372),
    [anon_sym_PLUS] = ACTIONS(2372),
    [anon_sym_STAR] = ACTIONS(2374),
    [anon_sym_AMP_AMP] = ACTIONS(2374),
    [anon_sym_AMP] = ACTIONS(2372),
    [anon_sym_SEMI] = ACTIONS(2374),
    [anon_sym___extension__] = ACTIONS(2372),
    [anon_sym_typedef] = ACTIONS(2372),
    [anon_sym_in] = ACTIONS(2372),
    [anon_sym_out] = ACTIONS(2372),
    [anon_sym_inout] = ACTIONS(2372),
    [anon_sym_extern] = ACTIONS(2372),
    [anon_sym___attribute__] = ACTIONS(2372),
    [anon_sym_COLON_COLON] = ACTIONS(2374),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2374),
    [anon_sym___declspec] = ACTIONS(2372),
    [anon_sym___based] = ACTIONS(2372),
    [anon_sym___cdecl] = ACTIONS(2372),
    [anon_sym___clrcall] = ACTIONS(2372),
    [anon_sym___stdcall] = ACTIONS(2372),
    [anon_sym___fastcall] = ACTIONS(2372),
    [anon_sym___thiscall] = ACTIONS(2372),
    [anon_sym___vectorcall] = ACTIONS(2372),
    [anon_sym_LBRACE] = ACTIONS(2374),
    [anon_sym_signed] = ACTIONS(2372),
    [anon_sym_unsigned] = ACTIONS(2372),
    [anon_sym_long] = ACTIONS(2372),
    [anon_sym_short] = ACTIONS(2372),
    [anon_sym_LBRACK] = ACTIONS(2372),
    [anon_sym_static] = ACTIONS(2372),
    [anon_sym_register] = ACTIONS(2372),
    [anon_sym_inline] = ACTIONS(2372),
    [anon_sym___inline] = ACTIONS(2372),
    [anon_sym___inline__] = ACTIONS(2372),
    [anon_sym___forceinline] = ACTIONS(2372),
    [anon_sym_thread_local] = ACTIONS(2372),
    [anon_sym___thread] = ACTIONS(2372),
    [anon_sym_const] = ACTIONS(2372),
    [anon_sym_constexpr] = ACTIONS(2372),
    [anon_sym_volatile] = ACTIONS(2372),
    [anon_sym_restrict] = ACTIONS(2372),
    [anon_sym___restrict__] = ACTIONS(2372),
    [anon_sym__Atomic] = ACTIONS(2372),
    [anon_sym__Noreturn] = ACTIONS(2372),
    [anon_sym_noreturn] = ACTIONS(2372),
    [anon_sym_mutable] = ACTIONS(2372),
    [anon_sym_constinit] = ACTIONS(2372),
    [anon_sym_consteval] = ACTIONS(2372),
    [sym_primitive_type] = ACTIONS(2372),
    [anon_sym_enum] = ACTIONS(2372),
    [anon_sym_class] = ACTIONS(2372),
    [anon_sym_struct] = ACTIONS(2372),
    [anon_sym_union] = ACTIONS(2372),
    [anon_sym_if] = ACTIONS(2372),
    [anon_sym_else] = ACTIONS(2372),
    [anon_sym_switch] = ACTIONS(2372),
    [anon_sym_case] = ACTIONS(2372),
    [anon_sym_default] = ACTIONS(2372),
    [anon_sym_while] = ACTIONS(2372),
    [anon_sym_do] = ACTIONS(2372),
    [anon_sym_for] = ACTIONS(2372),
    [anon_sym_return] = ACTIONS(2372),
    [anon_sym_break] = ACTIONS(2372),
    [anon_sym_continue] = ACTIONS(2372),
    [anon_sym_goto] = ACTIONS(2372),
    [anon_sym___try] = ACTIONS(2372),
    [anon_sym___leave] = ACTIONS(2372),
    [anon_sym_not] = ACTIONS(2372),
    [anon_sym_compl] = ACTIONS(2372),
    [anon_sym_DASH_DASH] = ACTIONS(2374),
    [anon_sym_PLUS_PLUS] = ACTIONS(2374),
    [anon_sym_sizeof] = ACTIONS(2372),
    [anon_sym___alignof__] = ACTIONS(2372),
    [anon_sym___alignof] = ACTIONS(2372),
    [anon_sym__alignof] = ACTIONS(2372),
    [anon_sym_alignof] = ACTIONS(2372),
    [anon_sym__Alignof] = ACTIONS(2372),
    [anon_sym_offsetof] = ACTIONS(2372),
    [anon_sym__Generic] = ACTIONS(2372),
    [anon_sym_asm] = ACTIONS(2372),
    [anon_sym___asm__] = ACTIONS(2372),
    [sym_number_literal] = ACTIONS(2374),
    [anon_sym_L_SQUOTE] = ACTIONS(2374),
    [anon_sym_u_SQUOTE] = ACTIONS(2374),
    [anon_sym_U_SQUOTE] = ACTIONS(2374),
    [anon_sym_u8_SQUOTE] = ACTIONS(2374),
    [anon_sym_SQUOTE] = ACTIONS(2374),
    [anon_sym_L_DQUOTE] = ACTIONS(2374),
    [anon_sym_u_DQUOTE] = ACTIONS(2374),
    [anon_sym_U_DQUOTE] = ACTIONS(2374),
    [anon_sym_u8_DQUOTE] = ACTIONS(2374),
    [anon_sym_DQUOTE] = ACTIONS(2374),
    [sym_true] = ACTIONS(2372),
    [sym_false] = ACTIONS(2372),
    [anon_sym_NULL] = ACTIONS(2372),
    [anon_sym_nullptr] = ACTIONS(2372),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2372),
    [anon_sym_decltype] = ACTIONS(2372),
    [anon_sym_virtual] = ACTIONS(2372),
    [anon_sym_alignas] = ACTIONS(2372),
    [anon_sym_explicit] = ACTIONS(2372),
    [anon_sym_typename] = ACTIONS(2372),
    [anon_sym_template] = ACTIONS(2372),
    [anon_sym_operator] = ACTIONS(2372),
    [anon_sym_try] = ACTIONS(2372),
    [anon_sym_delete] = ACTIONS(2372),
    [anon_sym_throw] = ACTIONS(2372),
    [anon_sym_namespace] = ACTIONS(2372),
    [anon_sym_using] = ACTIONS(2372),
    [anon_sym_static_assert] = ACTIONS(2372),
    [anon_sym_concept] = ACTIONS(2372),
    [anon_sym_co_return] = ACTIONS(2372),
    [anon_sym_co_yield] = ACTIONS(2372),
    [anon_sym_R_DQUOTE] = ACTIONS(2374),
    [anon_sym_LR_DQUOTE] = ACTIONS(2374),
    [anon_sym_uR_DQUOTE] = ACTIONS(2374),
    [anon_sym_UR_DQUOTE] = ACTIONS(2374),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2374),
    [anon_sym_co_await] = ACTIONS(2372),
    [anon_sym_new] = ACTIONS(2372),
    [anon_sym_requires] = ACTIONS(2372),
    [sym_this] = ACTIONS(2372),
    [anon_sym_discard] = ACTIONS(2372),
    [anon_sym_precise] = ACTIONS(2372),
    [anon_sym_shared] = ACTIONS(2372),
    [anon_sym_groupshared] = ACTIONS(2372),
    [anon_sym_uniform] = ACTIONS(2372),
    [anon_sym_row_major] = ACTIONS(2372),
    [anon_sym_column_major] = ACTIONS(2372),
    [anon_sym_globallycoherent] = ACTIONS(2372),
    [anon_sym_centroid] = ACTIONS(2372),
    [anon_sym_noperspective] = ACTIONS(2372),
    [anon_sym_nointerpolation] = ACTIONS(2372),
    [anon_sym_sample] = ACTIONS(2372),
    [anon_sym_linear] = ACTIONS(2372),
    [anon_sym_snorm] = ACTIONS(2372),
    [anon_sym_unorm] = ACTIONS(2372),
    [anon_sym_point] = ACTIONS(2372),
    [anon_sym_line] = ACTIONS(2372),
    [anon_sym_triangleadj] = ACTIONS(2372),
    [anon_sym_lineadj] = ACTIONS(2372),
    [anon_sym_triangle] = ACTIONS(2372),
    [anon_sym_cbuffer] = ACTIONS(2372),
  },
  [864] = {
    [sym_identifier] = ACTIONS(2364),
    [aux_sym_preproc_include_token1] = ACTIONS(2364),
    [aux_sym_preproc_def_token1] = ACTIONS(2364),
    [aux_sym_preproc_if_token1] = ACTIONS(2364),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2364),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2364),
    [sym_preproc_directive] = ACTIONS(2364),
    [anon_sym_LPAREN2] = ACTIONS(2366),
    [anon_sym_BANG] = ACTIONS(2366),
    [anon_sym_TILDE] = ACTIONS(2366),
    [anon_sym_DASH] = ACTIONS(2364),
    [anon_sym_PLUS] = ACTIONS(2364),
    [anon_sym_STAR] = ACTIONS(2366),
    [anon_sym_AMP_AMP] = ACTIONS(2366),
    [anon_sym_AMP] = ACTIONS(2364),
    [anon_sym_SEMI] = ACTIONS(2366),
    [anon_sym___extension__] = ACTIONS(2364),
    [anon_sym_typedef] = ACTIONS(2364),
    [anon_sym_in] = ACTIONS(2364),
    [anon_sym_out] = ACTIONS(2364),
    [anon_sym_inout] = ACTIONS(2364),
    [anon_sym_extern] = ACTIONS(2364),
    [anon_sym___attribute__] = ACTIONS(2364),
    [anon_sym_COLON_COLON] = ACTIONS(2366),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2366),
    [anon_sym___declspec] = ACTIONS(2364),
    [anon_sym___based] = ACTIONS(2364),
    [anon_sym___cdecl] = ACTIONS(2364),
    [anon_sym___clrcall] = ACTIONS(2364),
    [anon_sym___stdcall] = ACTIONS(2364),
    [anon_sym___fastcall] = ACTIONS(2364),
    [anon_sym___thiscall] = ACTIONS(2364),
    [anon_sym___vectorcall] = ACTIONS(2364),
    [anon_sym_LBRACE] = ACTIONS(2366),
    [anon_sym_RBRACE] = ACTIONS(2366),
    [anon_sym_signed] = ACTIONS(2364),
    [anon_sym_unsigned] = ACTIONS(2364),
    [anon_sym_long] = ACTIONS(2364),
    [anon_sym_short] = ACTIONS(2364),
    [anon_sym_LBRACK] = ACTIONS(2364),
    [anon_sym_static] = ACTIONS(2364),
    [anon_sym_register] = ACTIONS(2364),
    [anon_sym_inline] = ACTIONS(2364),
    [anon_sym___inline] = ACTIONS(2364),
    [anon_sym___inline__] = ACTIONS(2364),
    [anon_sym___forceinline] = ACTIONS(2364),
    [anon_sym_thread_local] = ACTIONS(2364),
    [anon_sym___thread] = ACTIONS(2364),
    [anon_sym_const] = ACTIONS(2364),
    [anon_sym_constexpr] = ACTIONS(2364),
    [anon_sym_volatile] = ACTIONS(2364),
    [anon_sym_restrict] = ACTIONS(2364),
    [anon_sym___restrict__] = ACTIONS(2364),
    [anon_sym__Atomic] = ACTIONS(2364),
    [anon_sym__Noreturn] = ACTIONS(2364),
    [anon_sym_noreturn] = ACTIONS(2364),
    [anon_sym_mutable] = ACTIONS(2364),
    [anon_sym_constinit] = ACTIONS(2364),
    [anon_sym_consteval] = ACTIONS(2364),
    [sym_primitive_type] = ACTIONS(2364),
    [anon_sym_enum] = ACTIONS(2364),
    [anon_sym_class] = ACTIONS(2364),
    [anon_sym_struct] = ACTIONS(2364),
    [anon_sym_union] = ACTIONS(2364),
    [anon_sym_if] = ACTIONS(2364),
    [anon_sym_else] = ACTIONS(2364),
    [anon_sym_switch] = ACTIONS(2364),
    [anon_sym_case] = ACTIONS(2364),
    [anon_sym_default] = ACTIONS(2364),
    [anon_sym_while] = ACTIONS(2364),
    [anon_sym_do] = ACTIONS(2364),
    [anon_sym_for] = ACTIONS(2364),
    [anon_sym_return] = ACTIONS(2364),
    [anon_sym_break] = ACTIONS(2364),
    [anon_sym_continue] = ACTIONS(2364),
    [anon_sym_goto] = ACTIONS(2364),
    [anon_sym___try] = ACTIONS(2364),
    [anon_sym___leave] = ACTIONS(2364),
    [anon_sym_not] = ACTIONS(2364),
    [anon_sym_compl] = ACTIONS(2364),
    [anon_sym_DASH_DASH] = ACTIONS(2366),
    [anon_sym_PLUS_PLUS] = ACTIONS(2366),
    [anon_sym_sizeof] = ACTIONS(2364),
    [anon_sym___alignof__] = ACTIONS(2364),
    [anon_sym___alignof] = ACTIONS(2364),
    [anon_sym__alignof] = ACTIONS(2364),
    [anon_sym_alignof] = ACTIONS(2364),
    [anon_sym__Alignof] = ACTIONS(2364),
    [anon_sym_offsetof] = ACTIONS(2364),
    [anon_sym__Generic] = ACTIONS(2364),
    [anon_sym_asm] = ACTIONS(2364),
    [anon_sym___asm__] = ACTIONS(2364),
    [sym_number_literal] = ACTIONS(2366),
    [anon_sym_L_SQUOTE] = ACTIONS(2366),
    [anon_sym_u_SQUOTE] = ACTIONS(2366),
    [anon_sym_U_SQUOTE] = ACTIONS(2366),
    [anon_sym_u8_SQUOTE] = ACTIONS(2366),
    [anon_sym_SQUOTE] = ACTIONS(2366),
    [anon_sym_L_DQUOTE] = ACTIONS(2366),
    [anon_sym_u_DQUOTE] = ACTIONS(2366),
    [anon_sym_U_DQUOTE] = ACTIONS(2366),
    [anon_sym_u8_DQUOTE] = ACTIONS(2366),
    [anon_sym_DQUOTE] = ACTIONS(2366),
    [sym_true] = ACTIONS(2364),
    [sym_false] = ACTIONS(2364),
    [anon_sym_NULL] = ACTIONS(2364),
    [anon_sym_nullptr] = ACTIONS(2364),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2364),
    [anon_sym_decltype] = ACTIONS(2364),
    [anon_sym_virtual] = ACTIONS(2364),
    [anon_sym_alignas] = ACTIONS(2364),
    [anon_sym_explicit] = ACTIONS(2364),
    [anon_sym_typename] = ACTIONS(2364),
    [anon_sym_template] = ACTIONS(2364),
    [anon_sym_operator] = ACTIONS(2364),
    [anon_sym_try] = ACTIONS(2364),
    [anon_sym_delete] = ACTIONS(2364),
    [anon_sym_throw] = ACTIONS(2364),
    [anon_sym_namespace] = ACTIONS(2364),
    [anon_sym_using] = ACTIONS(2364),
    [anon_sym_static_assert] = ACTIONS(2364),
    [anon_sym_concept] = ACTIONS(2364),
    [anon_sym_co_return] = ACTIONS(2364),
    [anon_sym_co_yield] = ACTIONS(2364),
    [anon_sym_R_DQUOTE] = ACTIONS(2366),
    [anon_sym_LR_DQUOTE] = ACTIONS(2366),
    [anon_sym_uR_DQUOTE] = ACTIONS(2366),
    [anon_sym_UR_DQUOTE] = ACTIONS(2366),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2366),
    [anon_sym_co_await] = ACTIONS(2364),
    [anon_sym_new] = ACTIONS(2364),
    [anon_sym_requires] = ACTIONS(2364),
    [sym_this] = ACTIONS(2364),
    [anon_sym_discard] = ACTIONS(2364),
    [anon_sym_precise] = ACTIONS(2364),
    [anon_sym_shared] = ACTIONS(2364),
    [anon_sym_groupshared] = ACTIONS(2364),
    [anon_sym_uniform] = ACTIONS(2364),
    [anon_sym_row_major] = ACTIONS(2364),
    [anon_sym_column_major] = ACTIONS(2364),
    [anon_sym_globallycoherent] = ACTIONS(2364),
    [anon_sym_centroid] = ACTIONS(2364),
    [anon_sym_noperspective] = ACTIONS(2364),
    [anon_sym_nointerpolation] = ACTIONS(2364),
    [anon_sym_sample] = ACTIONS(2364),
    [anon_sym_linear] = ACTIONS(2364),
    [anon_sym_snorm] = ACTIONS(2364),
    [anon_sym_unorm] = ACTIONS(2364),
    [anon_sym_point] = ACTIONS(2364),
    [anon_sym_line] = ACTIONS(2364),
    [anon_sym_triangleadj] = ACTIONS(2364),
    [anon_sym_lineadj] = ACTIONS(2364),
    [anon_sym_triangle] = ACTIONS(2364),
    [anon_sym_cbuffer] = ACTIONS(2364),
  },
  [865] = {
    [sym_identifier] = ACTIONS(2364),
    [aux_sym_preproc_include_token1] = ACTIONS(2364),
    [aux_sym_preproc_def_token1] = ACTIONS(2364),
    [aux_sym_preproc_if_token1] = ACTIONS(2364),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2364),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2364),
    [sym_preproc_directive] = ACTIONS(2364),
    [anon_sym_LPAREN2] = ACTIONS(2366),
    [anon_sym_BANG] = ACTIONS(2366),
    [anon_sym_TILDE] = ACTIONS(2366),
    [anon_sym_DASH] = ACTIONS(2364),
    [anon_sym_PLUS] = ACTIONS(2364),
    [anon_sym_STAR] = ACTIONS(2366),
    [anon_sym_AMP_AMP] = ACTIONS(2366),
    [anon_sym_AMP] = ACTIONS(2364),
    [anon_sym_SEMI] = ACTIONS(2366),
    [anon_sym___extension__] = ACTIONS(2364),
    [anon_sym_typedef] = ACTIONS(2364),
    [anon_sym_in] = ACTIONS(2364),
    [anon_sym_out] = ACTIONS(2364),
    [anon_sym_inout] = ACTIONS(2364),
    [anon_sym_extern] = ACTIONS(2364),
    [anon_sym___attribute__] = ACTIONS(2364),
    [anon_sym_COLON_COLON] = ACTIONS(2366),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2366),
    [anon_sym___declspec] = ACTIONS(2364),
    [anon_sym___based] = ACTIONS(2364),
    [anon_sym___cdecl] = ACTIONS(2364),
    [anon_sym___clrcall] = ACTIONS(2364),
    [anon_sym___stdcall] = ACTIONS(2364),
    [anon_sym___fastcall] = ACTIONS(2364),
    [anon_sym___thiscall] = ACTIONS(2364),
    [anon_sym___vectorcall] = ACTIONS(2364),
    [anon_sym_LBRACE] = ACTIONS(2366),
    [anon_sym_RBRACE] = ACTIONS(2366),
    [anon_sym_signed] = ACTIONS(2364),
    [anon_sym_unsigned] = ACTIONS(2364),
    [anon_sym_long] = ACTIONS(2364),
    [anon_sym_short] = ACTIONS(2364),
    [anon_sym_LBRACK] = ACTIONS(2364),
    [anon_sym_static] = ACTIONS(2364),
    [anon_sym_register] = ACTIONS(2364),
    [anon_sym_inline] = ACTIONS(2364),
    [anon_sym___inline] = ACTIONS(2364),
    [anon_sym___inline__] = ACTIONS(2364),
    [anon_sym___forceinline] = ACTIONS(2364),
    [anon_sym_thread_local] = ACTIONS(2364),
    [anon_sym___thread] = ACTIONS(2364),
    [anon_sym_const] = ACTIONS(2364),
    [anon_sym_constexpr] = ACTIONS(2364),
    [anon_sym_volatile] = ACTIONS(2364),
    [anon_sym_restrict] = ACTIONS(2364),
    [anon_sym___restrict__] = ACTIONS(2364),
    [anon_sym__Atomic] = ACTIONS(2364),
    [anon_sym__Noreturn] = ACTIONS(2364),
    [anon_sym_noreturn] = ACTIONS(2364),
    [anon_sym_mutable] = ACTIONS(2364),
    [anon_sym_constinit] = ACTIONS(2364),
    [anon_sym_consteval] = ACTIONS(2364),
    [sym_primitive_type] = ACTIONS(2364),
    [anon_sym_enum] = ACTIONS(2364),
    [anon_sym_class] = ACTIONS(2364),
    [anon_sym_struct] = ACTIONS(2364),
    [anon_sym_union] = ACTIONS(2364),
    [anon_sym_if] = ACTIONS(2364),
    [anon_sym_else] = ACTIONS(2364),
    [anon_sym_switch] = ACTIONS(2364),
    [anon_sym_case] = ACTIONS(2364),
    [anon_sym_default] = ACTIONS(2364),
    [anon_sym_while] = ACTIONS(2364),
    [anon_sym_do] = ACTIONS(2364),
    [anon_sym_for] = ACTIONS(2364),
    [anon_sym_return] = ACTIONS(2364),
    [anon_sym_break] = ACTIONS(2364),
    [anon_sym_continue] = ACTIONS(2364),
    [anon_sym_goto] = ACTIONS(2364),
    [anon_sym___try] = ACTIONS(2364),
    [anon_sym___leave] = ACTIONS(2364),
    [anon_sym_not] = ACTIONS(2364),
    [anon_sym_compl] = ACTIONS(2364),
    [anon_sym_DASH_DASH] = ACTIONS(2366),
    [anon_sym_PLUS_PLUS] = ACTIONS(2366),
    [anon_sym_sizeof] = ACTIONS(2364),
    [anon_sym___alignof__] = ACTIONS(2364),
    [anon_sym___alignof] = ACTIONS(2364),
    [anon_sym__alignof] = ACTIONS(2364),
    [anon_sym_alignof] = ACTIONS(2364),
    [anon_sym__Alignof] = ACTIONS(2364),
    [anon_sym_offsetof] = ACTIONS(2364),
    [anon_sym__Generic] = ACTIONS(2364),
    [anon_sym_asm] = ACTIONS(2364),
    [anon_sym___asm__] = ACTIONS(2364),
    [sym_number_literal] = ACTIONS(2366),
    [anon_sym_L_SQUOTE] = ACTIONS(2366),
    [anon_sym_u_SQUOTE] = ACTIONS(2366),
    [anon_sym_U_SQUOTE] = ACTIONS(2366),
    [anon_sym_u8_SQUOTE] = ACTIONS(2366),
    [anon_sym_SQUOTE] = ACTIONS(2366),
    [anon_sym_L_DQUOTE] = ACTIONS(2366),
    [anon_sym_u_DQUOTE] = ACTIONS(2366),
    [anon_sym_U_DQUOTE] = ACTIONS(2366),
    [anon_sym_u8_DQUOTE] = ACTIONS(2366),
    [anon_sym_DQUOTE] = ACTIONS(2366),
    [sym_true] = ACTIONS(2364),
    [sym_false] = ACTIONS(2364),
    [anon_sym_NULL] = ACTIONS(2364),
    [anon_sym_nullptr] = ACTIONS(2364),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2364),
    [anon_sym_decltype] = ACTIONS(2364),
    [anon_sym_virtual] = ACTIONS(2364),
    [anon_sym_alignas] = ACTIONS(2364),
    [anon_sym_explicit] = ACTIONS(2364),
    [anon_sym_typename] = ACTIONS(2364),
    [anon_sym_template] = ACTIONS(2364),
    [anon_sym_operator] = ACTIONS(2364),
    [anon_sym_try] = ACTIONS(2364),
    [anon_sym_delete] = ACTIONS(2364),
    [anon_sym_throw] = ACTIONS(2364),
    [anon_sym_namespace] = ACTIONS(2364),
    [anon_sym_using] = ACTIONS(2364),
    [anon_sym_static_assert] = ACTIONS(2364),
    [anon_sym_concept] = ACTIONS(2364),
    [anon_sym_co_return] = ACTIONS(2364),
    [anon_sym_co_yield] = ACTIONS(2364),
    [anon_sym_R_DQUOTE] = ACTIONS(2366),
    [anon_sym_LR_DQUOTE] = ACTIONS(2366),
    [anon_sym_uR_DQUOTE] = ACTIONS(2366),
    [anon_sym_UR_DQUOTE] = ACTIONS(2366),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2366),
    [anon_sym_co_await] = ACTIONS(2364),
    [anon_sym_new] = ACTIONS(2364),
    [anon_sym_requires] = ACTIONS(2364),
    [sym_this] = ACTIONS(2364),
    [anon_sym_discard] = ACTIONS(2364),
    [anon_sym_precise] = ACTIONS(2364),
    [anon_sym_shared] = ACTIONS(2364),
    [anon_sym_groupshared] = ACTIONS(2364),
    [anon_sym_uniform] = ACTIONS(2364),
    [anon_sym_row_major] = ACTIONS(2364),
    [anon_sym_column_major] = ACTIONS(2364),
    [anon_sym_globallycoherent] = ACTIONS(2364),
    [anon_sym_centroid] = ACTIONS(2364),
    [anon_sym_noperspective] = ACTIONS(2364),
    [anon_sym_nointerpolation] = ACTIONS(2364),
    [anon_sym_sample] = ACTIONS(2364),
    [anon_sym_linear] = ACTIONS(2364),
    [anon_sym_snorm] = ACTIONS(2364),
    [anon_sym_unorm] = ACTIONS(2364),
    [anon_sym_point] = ACTIONS(2364),
    [anon_sym_line] = ACTIONS(2364),
    [anon_sym_triangleadj] = ACTIONS(2364),
    [anon_sym_lineadj] = ACTIONS(2364),
    [anon_sym_triangle] = ACTIONS(2364),
    [anon_sym_cbuffer] = ACTIONS(2364),
  },
  [866] = {
    [ts_builtin_sym_end] = ACTIONS(2366),
    [sym_identifier] = ACTIONS(2364),
    [aux_sym_preproc_include_token1] = ACTIONS(2364),
    [aux_sym_preproc_def_token1] = ACTIONS(2364),
    [aux_sym_preproc_if_token1] = ACTIONS(2364),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2364),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2364),
    [sym_preproc_directive] = ACTIONS(2364),
    [anon_sym_LPAREN2] = ACTIONS(2366),
    [anon_sym_BANG] = ACTIONS(2366),
    [anon_sym_TILDE] = ACTIONS(2366),
    [anon_sym_DASH] = ACTIONS(2364),
    [anon_sym_PLUS] = ACTIONS(2364),
    [anon_sym_STAR] = ACTIONS(2366),
    [anon_sym_AMP_AMP] = ACTIONS(2366),
    [anon_sym_AMP] = ACTIONS(2364),
    [anon_sym_SEMI] = ACTIONS(2366),
    [anon_sym___extension__] = ACTIONS(2364),
    [anon_sym_typedef] = ACTIONS(2364),
    [anon_sym_in] = ACTIONS(2364),
    [anon_sym_out] = ACTIONS(2364),
    [anon_sym_inout] = ACTIONS(2364),
    [anon_sym_extern] = ACTIONS(2364),
    [anon_sym___attribute__] = ACTIONS(2364),
    [anon_sym_COLON_COLON] = ACTIONS(2366),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2366),
    [anon_sym___declspec] = ACTIONS(2364),
    [anon_sym___based] = ACTIONS(2364),
    [anon_sym___cdecl] = ACTIONS(2364),
    [anon_sym___clrcall] = ACTIONS(2364),
    [anon_sym___stdcall] = ACTIONS(2364),
    [anon_sym___fastcall] = ACTIONS(2364),
    [anon_sym___thiscall] = ACTIONS(2364),
    [anon_sym___vectorcall] = ACTIONS(2364),
    [anon_sym_LBRACE] = ACTIONS(2366),
    [anon_sym_signed] = ACTIONS(2364),
    [anon_sym_unsigned] = ACTIONS(2364),
    [anon_sym_long] = ACTIONS(2364),
    [anon_sym_short] = ACTIONS(2364),
    [anon_sym_LBRACK] = ACTIONS(2364),
    [anon_sym_static] = ACTIONS(2364),
    [anon_sym_register] = ACTIONS(2364),
    [anon_sym_inline] = ACTIONS(2364),
    [anon_sym___inline] = ACTIONS(2364),
    [anon_sym___inline__] = ACTIONS(2364),
    [anon_sym___forceinline] = ACTIONS(2364),
    [anon_sym_thread_local] = ACTIONS(2364),
    [anon_sym___thread] = ACTIONS(2364),
    [anon_sym_const] = ACTIONS(2364),
    [anon_sym_constexpr] = ACTIONS(2364),
    [anon_sym_volatile] = ACTIONS(2364),
    [anon_sym_restrict] = ACTIONS(2364),
    [anon_sym___restrict__] = ACTIONS(2364),
    [anon_sym__Atomic] = ACTIONS(2364),
    [anon_sym__Noreturn] = ACTIONS(2364),
    [anon_sym_noreturn] = ACTIONS(2364),
    [anon_sym_mutable] = ACTIONS(2364),
    [anon_sym_constinit] = ACTIONS(2364),
    [anon_sym_consteval] = ACTIONS(2364),
    [sym_primitive_type] = ACTIONS(2364),
    [anon_sym_enum] = ACTIONS(2364),
    [anon_sym_class] = ACTIONS(2364),
    [anon_sym_struct] = ACTIONS(2364),
    [anon_sym_union] = ACTIONS(2364),
    [anon_sym_if] = ACTIONS(2364),
    [anon_sym_else] = ACTIONS(2364),
    [anon_sym_switch] = ACTIONS(2364),
    [anon_sym_case] = ACTIONS(2364),
    [anon_sym_default] = ACTIONS(2364),
    [anon_sym_while] = ACTIONS(2364),
    [anon_sym_do] = ACTIONS(2364),
    [anon_sym_for] = ACTIONS(2364),
    [anon_sym_return] = ACTIONS(2364),
    [anon_sym_break] = ACTIONS(2364),
    [anon_sym_continue] = ACTIONS(2364),
    [anon_sym_goto] = ACTIONS(2364),
    [anon_sym___try] = ACTIONS(2364),
    [anon_sym___leave] = ACTIONS(2364),
    [anon_sym_not] = ACTIONS(2364),
    [anon_sym_compl] = ACTIONS(2364),
    [anon_sym_DASH_DASH] = ACTIONS(2366),
    [anon_sym_PLUS_PLUS] = ACTIONS(2366),
    [anon_sym_sizeof] = ACTIONS(2364),
    [anon_sym___alignof__] = ACTIONS(2364),
    [anon_sym___alignof] = ACTIONS(2364),
    [anon_sym__alignof] = ACTIONS(2364),
    [anon_sym_alignof] = ACTIONS(2364),
    [anon_sym__Alignof] = ACTIONS(2364),
    [anon_sym_offsetof] = ACTIONS(2364),
    [anon_sym__Generic] = ACTIONS(2364),
    [anon_sym_asm] = ACTIONS(2364),
    [anon_sym___asm__] = ACTIONS(2364),
    [sym_number_literal] = ACTIONS(2366),
    [anon_sym_L_SQUOTE] = ACTIONS(2366),
    [anon_sym_u_SQUOTE] = ACTIONS(2366),
    [anon_sym_U_SQUOTE] = ACTIONS(2366),
    [anon_sym_u8_SQUOTE] = ACTIONS(2366),
    [anon_sym_SQUOTE] = ACTIONS(2366),
    [anon_sym_L_DQUOTE] = ACTIONS(2366),
    [anon_sym_u_DQUOTE] = ACTIONS(2366),
    [anon_sym_U_DQUOTE] = ACTIONS(2366),
    [anon_sym_u8_DQUOTE] = ACTIONS(2366),
    [anon_sym_DQUOTE] = ACTIONS(2366),
    [sym_true] = ACTIONS(2364),
    [sym_false] = ACTIONS(2364),
    [anon_sym_NULL] = ACTIONS(2364),
    [anon_sym_nullptr] = ACTIONS(2364),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2364),
    [anon_sym_decltype] = ACTIONS(2364),
    [anon_sym_virtual] = ACTIONS(2364),
    [anon_sym_alignas] = ACTIONS(2364),
    [anon_sym_explicit] = ACTIONS(2364),
    [anon_sym_typename] = ACTIONS(2364),
    [anon_sym_template] = ACTIONS(2364),
    [anon_sym_operator] = ACTIONS(2364),
    [anon_sym_try] = ACTIONS(2364),
    [anon_sym_delete] = ACTIONS(2364),
    [anon_sym_throw] = ACTIONS(2364),
    [anon_sym_namespace] = ACTIONS(2364),
    [anon_sym_using] = ACTIONS(2364),
    [anon_sym_static_assert] = ACTIONS(2364),
    [anon_sym_concept] = ACTIONS(2364),
    [anon_sym_co_return] = ACTIONS(2364),
    [anon_sym_co_yield] = ACTIONS(2364),
    [anon_sym_R_DQUOTE] = ACTIONS(2366),
    [anon_sym_LR_DQUOTE] = ACTIONS(2366),
    [anon_sym_uR_DQUOTE] = ACTIONS(2366),
    [anon_sym_UR_DQUOTE] = ACTIONS(2366),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2366),
    [anon_sym_co_await] = ACTIONS(2364),
    [anon_sym_new] = ACTIONS(2364),
    [anon_sym_requires] = ACTIONS(2364),
    [sym_this] = ACTIONS(2364),
    [anon_sym_discard] = ACTIONS(2364),
    [anon_sym_precise] = ACTIONS(2364),
    [anon_sym_shared] = ACTIONS(2364),
    [anon_sym_groupshared] = ACTIONS(2364),
    [anon_sym_uniform] = ACTIONS(2364),
    [anon_sym_row_major] = ACTIONS(2364),
    [anon_sym_column_major] = ACTIONS(2364),
    [anon_sym_globallycoherent] = ACTIONS(2364),
    [anon_sym_centroid] = ACTIONS(2364),
    [anon_sym_noperspective] = ACTIONS(2364),
    [anon_sym_nointerpolation] = ACTIONS(2364),
    [anon_sym_sample] = ACTIONS(2364),
    [anon_sym_linear] = ACTIONS(2364),
    [anon_sym_snorm] = ACTIONS(2364),
    [anon_sym_unorm] = ACTIONS(2364),
    [anon_sym_point] = ACTIONS(2364),
    [anon_sym_line] = ACTIONS(2364),
    [anon_sym_triangleadj] = ACTIONS(2364),
    [anon_sym_lineadj] = ACTIONS(2364),
    [anon_sym_triangle] = ACTIONS(2364),
    [anon_sym_cbuffer] = ACTIONS(2364),
  },
  [867] = {
    [sym_identifier] = ACTIONS(2364),
    [aux_sym_preproc_include_token1] = ACTIONS(2364),
    [aux_sym_preproc_def_token1] = ACTIONS(2364),
    [aux_sym_preproc_if_token1] = ACTIONS(2364),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2364),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2364),
    [sym_preproc_directive] = ACTIONS(2364),
    [anon_sym_LPAREN2] = ACTIONS(2366),
    [anon_sym_BANG] = ACTIONS(2366),
    [anon_sym_TILDE] = ACTIONS(2366),
    [anon_sym_DASH] = ACTIONS(2364),
    [anon_sym_PLUS] = ACTIONS(2364),
    [anon_sym_STAR] = ACTIONS(2366),
    [anon_sym_AMP_AMP] = ACTIONS(2366),
    [anon_sym_AMP] = ACTIONS(2364),
    [anon_sym_SEMI] = ACTIONS(2366),
    [anon_sym___extension__] = ACTIONS(2364),
    [anon_sym_typedef] = ACTIONS(2364),
    [anon_sym_in] = ACTIONS(2364),
    [anon_sym_out] = ACTIONS(2364),
    [anon_sym_inout] = ACTIONS(2364),
    [anon_sym_extern] = ACTIONS(2364),
    [anon_sym___attribute__] = ACTIONS(2364),
    [anon_sym_COLON_COLON] = ACTIONS(2366),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2366),
    [anon_sym___declspec] = ACTIONS(2364),
    [anon_sym___based] = ACTIONS(2364),
    [anon_sym___cdecl] = ACTIONS(2364),
    [anon_sym___clrcall] = ACTIONS(2364),
    [anon_sym___stdcall] = ACTIONS(2364),
    [anon_sym___fastcall] = ACTIONS(2364),
    [anon_sym___thiscall] = ACTIONS(2364),
    [anon_sym___vectorcall] = ACTIONS(2364),
    [anon_sym_LBRACE] = ACTIONS(2366),
    [anon_sym_RBRACE] = ACTIONS(2366),
    [anon_sym_signed] = ACTIONS(2364),
    [anon_sym_unsigned] = ACTIONS(2364),
    [anon_sym_long] = ACTIONS(2364),
    [anon_sym_short] = ACTIONS(2364),
    [anon_sym_LBRACK] = ACTIONS(2364),
    [anon_sym_static] = ACTIONS(2364),
    [anon_sym_register] = ACTIONS(2364),
    [anon_sym_inline] = ACTIONS(2364),
    [anon_sym___inline] = ACTIONS(2364),
    [anon_sym___inline__] = ACTIONS(2364),
    [anon_sym___forceinline] = ACTIONS(2364),
    [anon_sym_thread_local] = ACTIONS(2364),
    [anon_sym___thread] = ACTIONS(2364),
    [anon_sym_const] = ACTIONS(2364),
    [anon_sym_constexpr] = ACTIONS(2364),
    [anon_sym_volatile] = ACTIONS(2364),
    [anon_sym_restrict] = ACTIONS(2364),
    [anon_sym___restrict__] = ACTIONS(2364),
    [anon_sym__Atomic] = ACTIONS(2364),
    [anon_sym__Noreturn] = ACTIONS(2364),
    [anon_sym_noreturn] = ACTIONS(2364),
    [anon_sym_mutable] = ACTIONS(2364),
    [anon_sym_constinit] = ACTIONS(2364),
    [anon_sym_consteval] = ACTIONS(2364),
    [sym_primitive_type] = ACTIONS(2364),
    [anon_sym_enum] = ACTIONS(2364),
    [anon_sym_class] = ACTIONS(2364),
    [anon_sym_struct] = ACTIONS(2364),
    [anon_sym_union] = ACTIONS(2364),
    [anon_sym_if] = ACTIONS(2364),
    [anon_sym_else] = ACTIONS(2364),
    [anon_sym_switch] = ACTIONS(2364),
    [anon_sym_case] = ACTIONS(2364),
    [anon_sym_default] = ACTIONS(2364),
    [anon_sym_while] = ACTIONS(2364),
    [anon_sym_do] = ACTIONS(2364),
    [anon_sym_for] = ACTIONS(2364),
    [anon_sym_return] = ACTIONS(2364),
    [anon_sym_break] = ACTIONS(2364),
    [anon_sym_continue] = ACTIONS(2364),
    [anon_sym_goto] = ACTIONS(2364),
    [anon_sym___try] = ACTIONS(2364),
    [anon_sym___leave] = ACTIONS(2364),
    [anon_sym_not] = ACTIONS(2364),
    [anon_sym_compl] = ACTIONS(2364),
    [anon_sym_DASH_DASH] = ACTIONS(2366),
    [anon_sym_PLUS_PLUS] = ACTIONS(2366),
    [anon_sym_sizeof] = ACTIONS(2364),
    [anon_sym___alignof__] = ACTIONS(2364),
    [anon_sym___alignof] = ACTIONS(2364),
    [anon_sym__alignof] = ACTIONS(2364),
    [anon_sym_alignof] = ACTIONS(2364),
    [anon_sym__Alignof] = ACTIONS(2364),
    [anon_sym_offsetof] = ACTIONS(2364),
    [anon_sym__Generic] = ACTIONS(2364),
    [anon_sym_asm] = ACTIONS(2364),
    [anon_sym___asm__] = ACTIONS(2364),
    [sym_number_literal] = ACTIONS(2366),
    [anon_sym_L_SQUOTE] = ACTIONS(2366),
    [anon_sym_u_SQUOTE] = ACTIONS(2366),
    [anon_sym_U_SQUOTE] = ACTIONS(2366),
    [anon_sym_u8_SQUOTE] = ACTIONS(2366),
    [anon_sym_SQUOTE] = ACTIONS(2366),
    [anon_sym_L_DQUOTE] = ACTIONS(2366),
    [anon_sym_u_DQUOTE] = ACTIONS(2366),
    [anon_sym_U_DQUOTE] = ACTIONS(2366),
    [anon_sym_u8_DQUOTE] = ACTIONS(2366),
    [anon_sym_DQUOTE] = ACTIONS(2366),
    [sym_true] = ACTIONS(2364),
    [sym_false] = ACTIONS(2364),
    [anon_sym_NULL] = ACTIONS(2364),
    [anon_sym_nullptr] = ACTIONS(2364),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2364),
    [anon_sym_decltype] = ACTIONS(2364),
    [anon_sym_virtual] = ACTIONS(2364),
    [anon_sym_alignas] = ACTIONS(2364),
    [anon_sym_explicit] = ACTIONS(2364),
    [anon_sym_typename] = ACTIONS(2364),
    [anon_sym_template] = ACTIONS(2364),
    [anon_sym_operator] = ACTIONS(2364),
    [anon_sym_try] = ACTIONS(2364),
    [anon_sym_delete] = ACTIONS(2364),
    [anon_sym_throw] = ACTIONS(2364),
    [anon_sym_namespace] = ACTIONS(2364),
    [anon_sym_using] = ACTIONS(2364),
    [anon_sym_static_assert] = ACTIONS(2364),
    [anon_sym_concept] = ACTIONS(2364),
    [anon_sym_co_return] = ACTIONS(2364),
    [anon_sym_co_yield] = ACTIONS(2364),
    [anon_sym_R_DQUOTE] = ACTIONS(2366),
    [anon_sym_LR_DQUOTE] = ACTIONS(2366),
    [anon_sym_uR_DQUOTE] = ACTIONS(2366),
    [anon_sym_UR_DQUOTE] = ACTIONS(2366),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2366),
    [anon_sym_co_await] = ACTIONS(2364),
    [anon_sym_new] = ACTIONS(2364),
    [anon_sym_requires] = ACTIONS(2364),
    [sym_this] = ACTIONS(2364),
    [anon_sym_discard] = ACTIONS(2364),
    [anon_sym_precise] = ACTIONS(2364),
    [anon_sym_shared] = ACTIONS(2364),
    [anon_sym_groupshared] = ACTIONS(2364),
    [anon_sym_uniform] = ACTIONS(2364),
    [anon_sym_row_major] = ACTIONS(2364),
    [anon_sym_column_major] = ACTIONS(2364),
    [anon_sym_globallycoherent] = ACTIONS(2364),
    [anon_sym_centroid] = ACTIONS(2364),
    [anon_sym_noperspective] = ACTIONS(2364),
    [anon_sym_nointerpolation] = ACTIONS(2364),
    [anon_sym_sample] = ACTIONS(2364),
    [anon_sym_linear] = ACTIONS(2364),
    [anon_sym_snorm] = ACTIONS(2364),
    [anon_sym_unorm] = ACTIONS(2364),
    [anon_sym_point] = ACTIONS(2364),
    [anon_sym_line] = ACTIONS(2364),
    [anon_sym_triangleadj] = ACTIONS(2364),
    [anon_sym_lineadj] = ACTIONS(2364),
    [anon_sym_triangle] = ACTIONS(2364),
    [anon_sym_cbuffer] = ACTIONS(2364),
  },
  [868] = {
    [sym_identifier] = ACTIONS(2364),
    [aux_sym_preproc_include_token1] = ACTIONS(2364),
    [aux_sym_preproc_def_token1] = ACTIONS(2364),
    [aux_sym_preproc_if_token1] = ACTIONS(2364),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2364),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2364),
    [sym_preproc_directive] = ACTIONS(2364),
    [anon_sym_LPAREN2] = ACTIONS(2366),
    [anon_sym_BANG] = ACTIONS(2366),
    [anon_sym_TILDE] = ACTIONS(2366),
    [anon_sym_DASH] = ACTIONS(2364),
    [anon_sym_PLUS] = ACTIONS(2364),
    [anon_sym_STAR] = ACTIONS(2366),
    [anon_sym_AMP_AMP] = ACTIONS(2366),
    [anon_sym_AMP] = ACTIONS(2364),
    [anon_sym_SEMI] = ACTIONS(2366),
    [anon_sym___extension__] = ACTIONS(2364),
    [anon_sym_typedef] = ACTIONS(2364),
    [anon_sym_in] = ACTIONS(2364),
    [anon_sym_out] = ACTIONS(2364),
    [anon_sym_inout] = ACTIONS(2364),
    [anon_sym_extern] = ACTIONS(2364),
    [anon_sym___attribute__] = ACTIONS(2364),
    [anon_sym_COLON_COLON] = ACTIONS(2366),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2366),
    [anon_sym___declspec] = ACTIONS(2364),
    [anon_sym___based] = ACTIONS(2364),
    [anon_sym___cdecl] = ACTIONS(2364),
    [anon_sym___clrcall] = ACTIONS(2364),
    [anon_sym___stdcall] = ACTIONS(2364),
    [anon_sym___fastcall] = ACTIONS(2364),
    [anon_sym___thiscall] = ACTIONS(2364),
    [anon_sym___vectorcall] = ACTIONS(2364),
    [anon_sym_LBRACE] = ACTIONS(2366),
    [anon_sym_RBRACE] = ACTIONS(2366),
    [anon_sym_signed] = ACTIONS(2364),
    [anon_sym_unsigned] = ACTIONS(2364),
    [anon_sym_long] = ACTIONS(2364),
    [anon_sym_short] = ACTIONS(2364),
    [anon_sym_LBRACK] = ACTIONS(2364),
    [anon_sym_static] = ACTIONS(2364),
    [anon_sym_register] = ACTIONS(2364),
    [anon_sym_inline] = ACTIONS(2364),
    [anon_sym___inline] = ACTIONS(2364),
    [anon_sym___inline__] = ACTIONS(2364),
    [anon_sym___forceinline] = ACTIONS(2364),
    [anon_sym_thread_local] = ACTIONS(2364),
    [anon_sym___thread] = ACTIONS(2364),
    [anon_sym_const] = ACTIONS(2364),
    [anon_sym_constexpr] = ACTIONS(2364),
    [anon_sym_volatile] = ACTIONS(2364),
    [anon_sym_restrict] = ACTIONS(2364),
    [anon_sym___restrict__] = ACTIONS(2364),
    [anon_sym__Atomic] = ACTIONS(2364),
    [anon_sym__Noreturn] = ACTIONS(2364),
    [anon_sym_noreturn] = ACTIONS(2364),
    [anon_sym_mutable] = ACTIONS(2364),
    [anon_sym_constinit] = ACTIONS(2364),
    [anon_sym_consteval] = ACTIONS(2364),
    [sym_primitive_type] = ACTIONS(2364),
    [anon_sym_enum] = ACTIONS(2364),
    [anon_sym_class] = ACTIONS(2364),
    [anon_sym_struct] = ACTIONS(2364),
    [anon_sym_union] = ACTIONS(2364),
    [anon_sym_if] = ACTIONS(2364),
    [anon_sym_else] = ACTIONS(2364),
    [anon_sym_switch] = ACTIONS(2364),
    [anon_sym_case] = ACTIONS(2364),
    [anon_sym_default] = ACTIONS(2364),
    [anon_sym_while] = ACTIONS(2364),
    [anon_sym_do] = ACTIONS(2364),
    [anon_sym_for] = ACTIONS(2364),
    [anon_sym_return] = ACTIONS(2364),
    [anon_sym_break] = ACTIONS(2364),
    [anon_sym_continue] = ACTIONS(2364),
    [anon_sym_goto] = ACTIONS(2364),
    [anon_sym___try] = ACTIONS(2364),
    [anon_sym___leave] = ACTIONS(2364),
    [anon_sym_not] = ACTIONS(2364),
    [anon_sym_compl] = ACTIONS(2364),
    [anon_sym_DASH_DASH] = ACTIONS(2366),
    [anon_sym_PLUS_PLUS] = ACTIONS(2366),
    [anon_sym_sizeof] = ACTIONS(2364),
    [anon_sym___alignof__] = ACTIONS(2364),
    [anon_sym___alignof] = ACTIONS(2364),
    [anon_sym__alignof] = ACTIONS(2364),
    [anon_sym_alignof] = ACTIONS(2364),
    [anon_sym__Alignof] = ACTIONS(2364),
    [anon_sym_offsetof] = ACTIONS(2364),
    [anon_sym__Generic] = ACTIONS(2364),
    [anon_sym_asm] = ACTIONS(2364),
    [anon_sym___asm__] = ACTIONS(2364),
    [sym_number_literal] = ACTIONS(2366),
    [anon_sym_L_SQUOTE] = ACTIONS(2366),
    [anon_sym_u_SQUOTE] = ACTIONS(2366),
    [anon_sym_U_SQUOTE] = ACTIONS(2366),
    [anon_sym_u8_SQUOTE] = ACTIONS(2366),
    [anon_sym_SQUOTE] = ACTIONS(2366),
    [anon_sym_L_DQUOTE] = ACTIONS(2366),
    [anon_sym_u_DQUOTE] = ACTIONS(2366),
    [anon_sym_U_DQUOTE] = ACTIONS(2366),
    [anon_sym_u8_DQUOTE] = ACTIONS(2366),
    [anon_sym_DQUOTE] = ACTIONS(2366),
    [sym_true] = ACTIONS(2364),
    [sym_false] = ACTIONS(2364),
    [anon_sym_NULL] = ACTIONS(2364),
    [anon_sym_nullptr] = ACTIONS(2364),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2364),
    [anon_sym_decltype] = ACTIONS(2364),
    [anon_sym_virtual] = ACTIONS(2364),
    [anon_sym_alignas] = ACTIONS(2364),
    [anon_sym_explicit] = ACTIONS(2364),
    [anon_sym_typename] = ACTIONS(2364),
    [anon_sym_template] = ACTIONS(2364),
    [anon_sym_operator] = ACTIONS(2364),
    [anon_sym_try] = ACTIONS(2364),
    [anon_sym_delete] = ACTIONS(2364),
    [anon_sym_throw] = ACTIONS(2364),
    [anon_sym_namespace] = ACTIONS(2364),
    [anon_sym_using] = ACTIONS(2364),
    [anon_sym_static_assert] = ACTIONS(2364),
    [anon_sym_concept] = ACTIONS(2364),
    [anon_sym_co_return] = ACTIONS(2364),
    [anon_sym_co_yield] = ACTIONS(2364),
    [anon_sym_R_DQUOTE] = ACTIONS(2366),
    [anon_sym_LR_DQUOTE] = ACTIONS(2366),
    [anon_sym_uR_DQUOTE] = ACTIONS(2366),
    [anon_sym_UR_DQUOTE] = ACTIONS(2366),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2366),
    [anon_sym_co_await] = ACTIONS(2364),
    [anon_sym_new] = ACTIONS(2364),
    [anon_sym_requires] = ACTIONS(2364),
    [sym_this] = ACTIONS(2364),
    [anon_sym_discard] = ACTIONS(2364),
    [anon_sym_precise] = ACTIONS(2364),
    [anon_sym_shared] = ACTIONS(2364),
    [anon_sym_groupshared] = ACTIONS(2364),
    [anon_sym_uniform] = ACTIONS(2364),
    [anon_sym_row_major] = ACTIONS(2364),
    [anon_sym_column_major] = ACTIONS(2364),
    [anon_sym_globallycoherent] = ACTIONS(2364),
    [anon_sym_centroid] = ACTIONS(2364),
    [anon_sym_noperspective] = ACTIONS(2364),
    [anon_sym_nointerpolation] = ACTIONS(2364),
    [anon_sym_sample] = ACTIONS(2364),
    [anon_sym_linear] = ACTIONS(2364),
    [anon_sym_snorm] = ACTIONS(2364),
    [anon_sym_unorm] = ACTIONS(2364),
    [anon_sym_point] = ACTIONS(2364),
    [anon_sym_line] = ACTIONS(2364),
    [anon_sym_triangleadj] = ACTIONS(2364),
    [anon_sym_lineadj] = ACTIONS(2364),
    [anon_sym_triangle] = ACTIONS(2364),
    [anon_sym_cbuffer] = ACTIONS(2364),
  },
  [869] = {
    [sym_identifier] = ACTIONS(2364),
    [aux_sym_preproc_include_token1] = ACTIONS(2364),
    [aux_sym_preproc_def_token1] = ACTIONS(2364),
    [aux_sym_preproc_if_token1] = ACTIONS(2364),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2364),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2364),
    [sym_preproc_directive] = ACTIONS(2364),
    [anon_sym_LPAREN2] = ACTIONS(2366),
    [anon_sym_BANG] = ACTIONS(2366),
    [anon_sym_TILDE] = ACTIONS(2366),
    [anon_sym_DASH] = ACTIONS(2364),
    [anon_sym_PLUS] = ACTIONS(2364),
    [anon_sym_STAR] = ACTIONS(2366),
    [anon_sym_AMP_AMP] = ACTIONS(2366),
    [anon_sym_AMP] = ACTIONS(2364),
    [anon_sym_SEMI] = ACTIONS(2366),
    [anon_sym___extension__] = ACTIONS(2364),
    [anon_sym_typedef] = ACTIONS(2364),
    [anon_sym_in] = ACTIONS(2364),
    [anon_sym_out] = ACTIONS(2364),
    [anon_sym_inout] = ACTIONS(2364),
    [anon_sym_extern] = ACTIONS(2364),
    [anon_sym___attribute__] = ACTIONS(2364),
    [anon_sym_COLON_COLON] = ACTIONS(2366),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2366),
    [anon_sym___declspec] = ACTIONS(2364),
    [anon_sym___based] = ACTIONS(2364),
    [anon_sym___cdecl] = ACTIONS(2364),
    [anon_sym___clrcall] = ACTIONS(2364),
    [anon_sym___stdcall] = ACTIONS(2364),
    [anon_sym___fastcall] = ACTIONS(2364),
    [anon_sym___thiscall] = ACTIONS(2364),
    [anon_sym___vectorcall] = ACTIONS(2364),
    [anon_sym_LBRACE] = ACTIONS(2366),
    [anon_sym_RBRACE] = ACTIONS(2366),
    [anon_sym_signed] = ACTIONS(2364),
    [anon_sym_unsigned] = ACTIONS(2364),
    [anon_sym_long] = ACTIONS(2364),
    [anon_sym_short] = ACTIONS(2364),
    [anon_sym_LBRACK] = ACTIONS(2364),
    [anon_sym_static] = ACTIONS(2364),
    [anon_sym_register] = ACTIONS(2364),
    [anon_sym_inline] = ACTIONS(2364),
    [anon_sym___inline] = ACTIONS(2364),
    [anon_sym___inline__] = ACTIONS(2364),
    [anon_sym___forceinline] = ACTIONS(2364),
    [anon_sym_thread_local] = ACTIONS(2364),
    [anon_sym___thread] = ACTIONS(2364),
    [anon_sym_const] = ACTIONS(2364),
    [anon_sym_constexpr] = ACTIONS(2364),
    [anon_sym_volatile] = ACTIONS(2364),
    [anon_sym_restrict] = ACTIONS(2364),
    [anon_sym___restrict__] = ACTIONS(2364),
    [anon_sym__Atomic] = ACTIONS(2364),
    [anon_sym__Noreturn] = ACTIONS(2364),
    [anon_sym_noreturn] = ACTIONS(2364),
    [anon_sym_mutable] = ACTIONS(2364),
    [anon_sym_constinit] = ACTIONS(2364),
    [anon_sym_consteval] = ACTIONS(2364),
    [sym_primitive_type] = ACTIONS(2364),
    [anon_sym_enum] = ACTIONS(2364),
    [anon_sym_class] = ACTIONS(2364),
    [anon_sym_struct] = ACTIONS(2364),
    [anon_sym_union] = ACTIONS(2364),
    [anon_sym_if] = ACTIONS(2364),
    [anon_sym_else] = ACTIONS(2364),
    [anon_sym_switch] = ACTIONS(2364),
    [anon_sym_case] = ACTIONS(2364),
    [anon_sym_default] = ACTIONS(2364),
    [anon_sym_while] = ACTIONS(2364),
    [anon_sym_do] = ACTIONS(2364),
    [anon_sym_for] = ACTIONS(2364),
    [anon_sym_return] = ACTIONS(2364),
    [anon_sym_break] = ACTIONS(2364),
    [anon_sym_continue] = ACTIONS(2364),
    [anon_sym_goto] = ACTIONS(2364),
    [anon_sym___try] = ACTIONS(2364),
    [anon_sym___leave] = ACTIONS(2364),
    [anon_sym_not] = ACTIONS(2364),
    [anon_sym_compl] = ACTIONS(2364),
    [anon_sym_DASH_DASH] = ACTIONS(2366),
    [anon_sym_PLUS_PLUS] = ACTIONS(2366),
    [anon_sym_sizeof] = ACTIONS(2364),
    [anon_sym___alignof__] = ACTIONS(2364),
    [anon_sym___alignof] = ACTIONS(2364),
    [anon_sym__alignof] = ACTIONS(2364),
    [anon_sym_alignof] = ACTIONS(2364),
    [anon_sym__Alignof] = ACTIONS(2364),
    [anon_sym_offsetof] = ACTIONS(2364),
    [anon_sym__Generic] = ACTIONS(2364),
    [anon_sym_asm] = ACTIONS(2364),
    [anon_sym___asm__] = ACTIONS(2364),
    [sym_number_literal] = ACTIONS(2366),
    [anon_sym_L_SQUOTE] = ACTIONS(2366),
    [anon_sym_u_SQUOTE] = ACTIONS(2366),
    [anon_sym_U_SQUOTE] = ACTIONS(2366),
    [anon_sym_u8_SQUOTE] = ACTIONS(2366),
    [anon_sym_SQUOTE] = ACTIONS(2366),
    [anon_sym_L_DQUOTE] = ACTIONS(2366),
    [anon_sym_u_DQUOTE] = ACTIONS(2366),
    [anon_sym_U_DQUOTE] = ACTIONS(2366),
    [anon_sym_u8_DQUOTE] = ACTIONS(2366),
    [anon_sym_DQUOTE] = ACTIONS(2366),
    [sym_true] = ACTIONS(2364),
    [sym_false] = ACTIONS(2364),
    [anon_sym_NULL] = ACTIONS(2364),
    [anon_sym_nullptr] = ACTIONS(2364),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2364),
    [anon_sym_decltype] = ACTIONS(2364),
    [anon_sym_virtual] = ACTIONS(2364),
    [anon_sym_alignas] = ACTIONS(2364),
    [anon_sym_explicit] = ACTIONS(2364),
    [anon_sym_typename] = ACTIONS(2364),
    [anon_sym_template] = ACTIONS(2364),
    [anon_sym_operator] = ACTIONS(2364),
    [anon_sym_try] = ACTIONS(2364),
    [anon_sym_delete] = ACTIONS(2364),
    [anon_sym_throw] = ACTIONS(2364),
    [anon_sym_namespace] = ACTIONS(2364),
    [anon_sym_using] = ACTIONS(2364),
    [anon_sym_static_assert] = ACTIONS(2364),
    [anon_sym_concept] = ACTIONS(2364),
    [anon_sym_co_return] = ACTIONS(2364),
    [anon_sym_co_yield] = ACTIONS(2364),
    [anon_sym_R_DQUOTE] = ACTIONS(2366),
    [anon_sym_LR_DQUOTE] = ACTIONS(2366),
    [anon_sym_uR_DQUOTE] = ACTIONS(2366),
    [anon_sym_UR_DQUOTE] = ACTIONS(2366),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2366),
    [anon_sym_co_await] = ACTIONS(2364),
    [anon_sym_new] = ACTIONS(2364),
    [anon_sym_requires] = ACTIONS(2364),
    [sym_this] = ACTIONS(2364),
    [anon_sym_discard] = ACTIONS(2364),
    [anon_sym_precise] = ACTIONS(2364),
    [anon_sym_shared] = ACTIONS(2364),
    [anon_sym_groupshared] = ACTIONS(2364),
    [anon_sym_uniform] = ACTIONS(2364),
    [anon_sym_row_major] = ACTIONS(2364),
    [anon_sym_column_major] = ACTIONS(2364),
    [anon_sym_globallycoherent] = ACTIONS(2364),
    [anon_sym_centroid] = ACTIONS(2364),
    [anon_sym_noperspective] = ACTIONS(2364),
    [anon_sym_nointerpolation] = ACTIONS(2364),
    [anon_sym_sample] = ACTIONS(2364),
    [anon_sym_linear] = ACTIONS(2364),
    [anon_sym_snorm] = ACTIONS(2364),
    [anon_sym_unorm] = ACTIONS(2364),
    [anon_sym_point] = ACTIONS(2364),
    [anon_sym_line] = ACTIONS(2364),
    [anon_sym_triangleadj] = ACTIONS(2364),
    [anon_sym_lineadj] = ACTIONS(2364),
    [anon_sym_triangle] = ACTIONS(2364),
    [anon_sym_cbuffer] = ACTIONS(2364),
  },
  [870] = {
    [sym_identifier] = ACTIONS(2364),
    [aux_sym_preproc_include_token1] = ACTIONS(2364),
    [aux_sym_preproc_def_token1] = ACTIONS(2364),
    [aux_sym_preproc_if_token1] = ACTIONS(2364),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2364),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2364),
    [sym_preproc_directive] = ACTIONS(2364),
    [anon_sym_LPAREN2] = ACTIONS(2366),
    [anon_sym_BANG] = ACTIONS(2366),
    [anon_sym_TILDE] = ACTIONS(2366),
    [anon_sym_DASH] = ACTIONS(2364),
    [anon_sym_PLUS] = ACTIONS(2364),
    [anon_sym_STAR] = ACTIONS(2366),
    [anon_sym_AMP_AMP] = ACTIONS(2366),
    [anon_sym_AMP] = ACTIONS(2364),
    [anon_sym_SEMI] = ACTIONS(2366),
    [anon_sym___extension__] = ACTIONS(2364),
    [anon_sym_typedef] = ACTIONS(2364),
    [anon_sym_in] = ACTIONS(2364),
    [anon_sym_out] = ACTIONS(2364),
    [anon_sym_inout] = ACTIONS(2364),
    [anon_sym_extern] = ACTIONS(2364),
    [anon_sym___attribute__] = ACTIONS(2364),
    [anon_sym_COLON_COLON] = ACTIONS(2366),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2366),
    [anon_sym___declspec] = ACTIONS(2364),
    [anon_sym___based] = ACTIONS(2364),
    [anon_sym___cdecl] = ACTIONS(2364),
    [anon_sym___clrcall] = ACTIONS(2364),
    [anon_sym___stdcall] = ACTIONS(2364),
    [anon_sym___fastcall] = ACTIONS(2364),
    [anon_sym___thiscall] = ACTIONS(2364),
    [anon_sym___vectorcall] = ACTIONS(2364),
    [anon_sym_LBRACE] = ACTIONS(2366),
    [anon_sym_RBRACE] = ACTIONS(2366),
    [anon_sym_signed] = ACTIONS(2364),
    [anon_sym_unsigned] = ACTIONS(2364),
    [anon_sym_long] = ACTIONS(2364),
    [anon_sym_short] = ACTIONS(2364),
    [anon_sym_LBRACK] = ACTIONS(2364),
    [anon_sym_static] = ACTIONS(2364),
    [anon_sym_register] = ACTIONS(2364),
    [anon_sym_inline] = ACTIONS(2364),
    [anon_sym___inline] = ACTIONS(2364),
    [anon_sym___inline__] = ACTIONS(2364),
    [anon_sym___forceinline] = ACTIONS(2364),
    [anon_sym_thread_local] = ACTIONS(2364),
    [anon_sym___thread] = ACTIONS(2364),
    [anon_sym_const] = ACTIONS(2364),
    [anon_sym_constexpr] = ACTIONS(2364),
    [anon_sym_volatile] = ACTIONS(2364),
    [anon_sym_restrict] = ACTIONS(2364),
    [anon_sym___restrict__] = ACTIONS(2364),
    [anon_sym__Atomic] = ACTIONS(2364),
    [anon_sym__Noreturn] = ACTIONS(2364),
    [anon_sym_noreturn] = ACTIONS(2364),
    [anon_sym_mutable] = ACTIONS(2364),
    [anon_sym_constinit] = ACTIONS(2364),
    [anon_sym_consteval] = ACTIONS(2364),
    [sym_primitive_type] = ACTIONS(2364),
    [anon_sym_enum] = ACTIONS(2364),
    [anon_sym_class] = ACTIONS(2364),
    [anon_sym_struct] = ACTIONS(2364),
    [anon_sym_union] = ACTIONS(2364),
    [anon_sym_if] = ACTIONS(2364),
    [anon_sym_else] = ACTIONS(2364),
    [anon_sym_switch] = ACTIONS(2364),
    [anon_sym_case] = ACTIONS(2364),
    [anon_sym_default] = ACTIONS(2364),
    [anon_sym_while] = ACTIONS(2364),
    [anon_sym_do] = ACTIONS(2364),
    [anon_sym_for] = ACTIONS(2364),
    [anon_sym_return] = ACTIONS(2364),
    [anon_sym_break] = ACTIONS(2364),
    [anon_sym_continue] = ACTIONS(2364),
    [anon_sym_goto] = ACTIONS(2364),
    [anon_sym___try] = ACTIONS(2364),
    [anon_sym___leave] = ACTIONS(2364),
    [anon_sym_not] = ACTIONS(2364),
    [anon_sym_compl] = ACTIONS(2364),
    [anon_sym_DASH_DASH] = ACTIONS(2366),
    [anon_sym_PLUS_PLUS] = ACTIONS(2366),
    [anon_sym_sizeof] = ACTIONS(2364),
    [anon_sym___alignof__] = ACTIONS(2364),
    [anon_sym___alignof] = ACTIONS(2364),
    [anon_sym__alignof] = ACTIONS(2364),
    [anon_sym_alignof] = ACTIONS(2364),
    [anon_sym__Alignof] = ACTIONS(2364),
    [anon_sym_offsetof] = ACTIONS(2364),
    [anon_sym__Generic] = ACTIONS(2364),
    [anon_sym_asm] = ACTIONS(2364),
    [anon_sym___asm__] = ACTIONS(2364),
    [sym_number_literal] = ACTIONS(2366),
    [anon_sym_L_SQUOTE] = ACTIONS(2366),
    [anon_sym_u_SQUOTE] = ACTIONS(2366),
    [anon_sym_U_SQUOTE] = ACTIONS(2366),
    [anon_sym_u8_SQUOTE] = ACTIONS(2366),
    [anon_sym_SQUOTE] = ACTIONS(2366),
    [anon_sym_L_DQUOTE] = ACTIONS(2366),
    [anon_sym_u_DQUOTE] = ACTIONS(2366),
    [anon_sym_U_DQUOTE] = ACTIONS(2366),
    [anon_sym_u8_DQUOTE] = ACTIONS(2366),
    [anon_sym_DQUOTE] = ACTIONS(2366),
    [sym_true] = ACTIONS(2364),
    [sym_false] = ACTIONS(2364),
    [anon_sym_NULL] = ACTIONS(2364),
    [anon_sym_nullptr] = ACTIONS(2364),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2364),
    [anon_sym_decltype] = ACTIONS(2364),
    [anon_sym_virtual] = ACTIONS(2364),
    [anon_sym_alignas] = ACTIONS(2364),
    [anon_sym_explicit] = ACTIONS(2364),
    [anon_sym_typename] = ACTIONS(2364),
    [anon_sym_template] = ACTIONS(2364),
    [anon_sym_operator] = ACTIONS(2364),
    [anon_sym_try] = ACTIONS(2364),
    [anon_sym_delete] = ACTIONS(2364),
    [anon_sym_throw] = ACTIONS(2364),
    [anon_sym_namespace] = ACTIONS(2364),
    [anon_sym_using] = ACTIONS(2364),
    [anon_sym_static_assert] = ACTIONS(2364),
    [anon_sym_concept] = ACTIONS(2364),
    [anon_sym_co_return] = ACTIONS(2364),
    [anon_sym_co_yield] = ACTIONS(2364),
    [anon_sym_R_DQUOTE] = ACTIONS(2366),
    [anon_sym_LR_DQUOTE] = ACTIONS(2366),
    [anon_sym_uR_DQUOTE] = ACTIONS(2366),
    [anon_sym_UR_DQUOTE] = ACTIONS(2366),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2366),
    [anon_sym_co_await] = ACTIONS(2364),
    [anon_sym_new] = ACTIONS(2364),
    [anon_sym_requires] = ACTIONS(2364),
    [sym_this] = ACTIONS(2364),
    [anon_sym_discard] = ACTIONS(2364),
    [anon_sym_precise] = ACTIONS(2364),
    [anon_sym_shared] = ACTIONS(2364),
    [anon_sym_groupshared] = ACTIONS(2364),
    [anon_sym_uniform] = ACTIONS(2364),
    [anon_sym_row_major] = ACTIONS(2364),
    [anon_sym_column_major] = ACTIONS(2364),
    [anon_sym_globallycoherent] = ACTIONS(2364),
    [anon_sym_centroid] = ACTIONS(2364),
    [anon_sym_noperspective] = ACTIONS(2364),
    [anon_sym_nointerpolation] = ACTIONS(2364),
    [anon_sym_sample] = ACTIONS(2364),
    [anon_sym_linear] = ACTIONS(2364),
    [anon_sym_snorm] = ACTIONS(2364),
    [anon_sym_unorm] = ACTIONS(2364),
    [anon_sym_point] = ACTIONS(2364),
    [anon_sym_line] = ACTIONS(2364),
    [anon_sym_triangleadj] = ACTIONS(2364),
    [anon_sym_lineadj] = ACTIONS(2364),
    [anon_sym_triangle] = ACTIONS(2364),
    [anon_sym_cbuffer] = ACTIONS(2364),
  },
  [871] = {
    [sym_identifier] = ACTIONS(2364),
    [aux_sym_preproc_include_token1] = ACTIONS(2364),
    [aux_sym_preproc_def_token1] = ACTIONS(2364),
    [aux_sym_preproc_if_token1] = ACTIONS(2364),
    [aux_sym_preproc_if_token2] = ACTIONS(2364),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2364),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2364),
    [sym_preproc_directive] = ACTIONS(2364),
    [anon_sym_LPAREN2] = ACTIONS(2366),
    [anon_sym_BANG] = ACTIONS(2366),
    [anon_sym_TILDE] = ACTIONS(2366),
    [anon_sym_DASH] = ACTIONS(2364),
    [anon_sym_PLUS] = ACTIONS(2364),
    [anon_sym_STAR] = ACTIONS(2366),
    [anon_sym_AMP_AMP] = ACTIONS(2366),
    [anon_sym_AMP] = ACTIONS(2364),
    [anon_sym_SEMI] = ACTIONS(2366),
    [anon_sym___extension__] = ACTIONS(2364),
    [anon_sym_typedef] = ACTIONS(2364),
    [anon_sym_in] = ACTIONS(2364),
    [anon_sym_out] = ACTIONS(2364),
    [anon_sym_inout] = ACTIONS(2364),
    [anon_sym_extern] = ACTIONS(2364),
    [anon_sym___attribute__] = ACTIONS(2364),
    [anon_sym_COLON_COLON] = ACTIONS(2366),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2366),
    [anon_sym___declspec] = ACTIONS(2364),
    [anon_sym___based] = ACTIONS(2364),
    [anon_sym___cdecl] = ACTIONS(2364),
    [anon_sym___clrcall] = ACTIONS(2364),
    [anon_sym___stdcall] = ACTIONS(2364),
    [anon_sym___fastcall] = ACTIONS(2364),
    [anon_sym___thiscall] = ACTIONS(2364),
    [anon_sym___vectorcall] = ACTIONS(2364),
    [anon_sym_LBRACE] = ACTIONS(2366),
    [anon_sym_signed] = ACTIONS(2364),
    [anon_sym_unsigned] = ACTIONS(2364),
    [anon_sym_long] = ACTIONS(2364),
    [anon_sym_short] = ACTIONS(2364),
    [anon_sym_LBRACK] = ACTIONS(2364),
    [anon_sym_static] = ACTIONS(2364),
    [anon_sym_register] = ACTIONS(2364),
    [anon_sym_inline] = ACTIONS(2364),
    [anon_sym___inline] = ACTIONS(2364),
    [anon_sym___inline__] = ACTIONS(2364),
    [anon_sym___forceinline] = ACTIONS(2364),
    [anon_sym_thread_local] = ACTIONS(2364),
    [anon_sym___thread] = ACTIONS(2364),
    [anon_sym_const] = ACTIONS(2364),
    [anon_sym_constexpr] = ACTIONS(2364),
    [anon_sym_volatile] = ACTIONS(2364),
    [anon_sym_restrict] = ACTIONS(2364),
    [anon_sym___restrict__] = ACTIONS(2364),
    [anon_sym__Atomic] = ACTIONS(2364),
    [anon_sym__Noreturn] = ACTIONS(2364),
    [anon_sym_noreturn] = ACTIONS(2364),
    [anon_sym_mutable] = ACTIONS(2364),
    [anon_sym_constinit] = ACTIONS(2364),
    [anon_sym_consteval] = ACTIONS(2364),
    [sym_primitive_type] = ACTIONS(2364),
    [anon_sym_enum] = ACTIONS(2364),
    [anon_sym_class] = ACTIONS(2364),
    [anon_sym_struct] = ACTIONS(2364),
    [anon_sym_union] = ACTIONS(2364),
    [anon_sym_if] = ACTIONS(2364),
    [anon_sym_else] = ACTIONS(2364),
    [anon_sym_switch] = ACTIONS(2364),
    [anon_sym_case] = ACTIONS(2364),
    [anon_sym_default] = ACTIONS(2364),
    [anon_sym_while] = ACTIONS(2364),
    [anon_sym_do] = ACTIONS(2364),
    [anon_sym_for] = ACTIONS(2364),
    [anon_sym_return] = ACTIONS(2364),
    [anon_sym_break] = ACTIONS(2364),
    [anon_sym_continue] = ACTIONS(2364),
    [anon_sym_goto] = ACTIONS(2364),
    [anon_sym___try] = ACTIONS(2364),
    [anon_sym___leave] = ACTIONS(2364),
    [anon_sym_not] = ACTIONS(2364),
    [anon_sym_compl] = ACTIONS(2364),
    [anon_sym_DASH_DASH] = ACTIONS(2366),
    [anon_sym_PLUS_PLUS] = ACTIONS(2366),
    [anon_sym_sizeof] = ACTIONS(2364),
    [anon_sym___alignof__] = ACTIONS(2364),
    [anon_sym___alignof] = ACTIONS(2364),
    [anon_sym__alignof] = ACTIONS(2364),
    [anon_sym_alignof] = ACTIONS(2364),
    [anon_sym__Alignof] = ACTIONS(2364),
    [anon_sym_offsetof] = ACTIONS(2364),
    [anon_sym__Generic] = ACTIONS(2364),
    [anon_sym_asm] = ACTIONS(2364),
    [anon_sym___asm__] = ACTIONS(2364),
    [sym_number_literal] = ACTIONS(2366),
    [anon_sym_L_SQUOTE] = ACTIONS(2366),
    [anon_sym_u_SQUOTE] = ACTIONS(2366),
    [anon_sym_U_SQUOTE] = ACTIONS(2366),
    [anon_sym_u8_SQUOTE] = ACTIONS(2366),
    [anon_sym_SQUOTE] = ACTIONS(2366),
    [anon_sym_L_DQUOTE] = ACTIONS(2366),
    [anon_sym_u_DQUOTE] = ACTIONS(2366),
    [anon_sym_U_DQUOTE] = ACTIONS(2366),
    [anon_sym_u8_DQUOTE] = ACTIONS(2366),
    [anon_sym_DQUOTE] = ACTIONS(2366),
    [sym_true] = ACTIONS(2364),
    [sym_false] = ACTIONS(2364),
    [anon_sym_NULL] = ACTIONS(2364),
    [anon_sym_nullptr] = ACTIONS(2364),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2364),
    [anon_sym_decltype] = ACTIONS(2364),
    [anon_sym_virtual] = ACTIONS(2364),
    [anon_sym_alignas] = ACTIONS(2364),
    [anon_sym_explicit] = ACTIONS(2364),
    [anon_sym_typename] = ACTIONS(2364),
    [anon_sym_template] = ACTIONS(2364),
    [anon_sym_operator] = ACTIONS(2364),
    [anon_sym_try] = ACTIONS(2364),
    [anon_sym_delete] = ACTIONS(2364),
    [anon_sym_throw] = ACTIONS(2364),
    [anon_sym_namespace] = ACTIONS(2364),
    [anon_sym_using] = ACTIONS(2364),
    [anon_sym_static_assert] = ACTIONS(2364),
    [anon_sym_concept] = ACTIONS(2364),
    [anon_sym_co_return] = ACTIONS(2364),
    [anon_sym_co_yield] = ACTIONS(2364),
    [anon_sym_R_DQUOTE] = ACTIONS(2366),
    [anon_sym_LR_DQUOTE] = ACTIONS(2366),
    [anon_sym_uR_DQUOTE] = ACTIONS(2366),
    [anon_sym_UR_DQUOTE] = ACTIONS(2366),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2366),
    [anon_sym_co_await] = ACTIONS(2364),
    [anon_sym_new] = ACTIONS(2364),
    [anon_sym_requires] = ACTIONS(2364),
    [sym_this] = ACTIONS(2364),
    [anon_sym_discard] = ACTIONS(2364),
    [anon_sym_precise] = ACTIONS(2364),
    [anon_sym_shared] = ACTIONS(2364),
    [anon_sym_groupshared] = ACTIONS(2364),
    [anon_sym_uniform] = ACTIONS(2364),
    [anon_sym_row_major] = ACTIONS(2364),
    [anon_sym_column_major] = ACTIONS(2364),
    [anon_sym_globallycoherent] = ACTIONS(2364),
    [anon_sym_centroid] = ACTIONS(2364),
    [anon_sym_noperspective] = ACTIONS(2364),
    [anon_sym_nointerpolation] = ACTIONS(2364),
    [anon_sym_sample] = ACTIONS(2364),
    [anon_sym_linear] = ACTIONS(2364),
    [anon_sym_snorm] = ACTIONS(2364),
    [anon_sym_unorm] = ACTIONS(2364),
    [anon_sym_point] = ACTIONS(2364),
    [anon_sym_line] = ACTIONS(2364),
    [anon_sym_triangleadj] = ACTIONS(2364),
    [anon_sym_lineadj] = ACTIONS(2364),
    [anon_sym_triangle] = ACTIONS(2364),
    [anon_sym_cbuffer] = ACTIONS(2364),
  },
  [872] = {
    [sym_identifier] = ACTIONS(2364),
    [aux_sym_preproc_include_token1] = ACTIONS(2364),
    [aux_sym_preproc_def_token1] = ACTIONS(2364),
    [aux_sym_preproc_if_token1] = ACTIONS(2364),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2364),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2364),
    [sym_preproc_directive] = ACTIONS(2364),
    [anon_sym_LPAREN2] = ACTIONS(2366),
    [anon_sym_BANG] = ACTIONS(2366),
    [anon_sym_TILDE] = ACTIONS(2366),
    [anon_sym_DASH] = ACTIONS(2364),
    [anon_sym_PLUS] = ACTIONS(2364),
    [anon_sym_STAR] = ACTIONS(2366),
    [anon_sym_AMP_AMP] = ACTIONS(2366),
    [anon_sym_AMP] = ACTIONS(2364),
    [anon_sym_SEMI] = ACTIONS(2366),
    [anon_sym___extension__] = ACTIONS(2364),
    [anon_sym_typedef] = ACTIONS(2364),
    [anon_sym_in] = ACTIONS(2364),
    [anon_sym_out] = ACTIONS(2364),
    [anon_sym_inout] = ACTIONS(2364),
    [anon_sym_extern] = ACTIONS(2364),
    [anon_sym___attribute__] = ACTIONS(2364),
    [anon_sym_COLON_COLON] = ACTIONS(2366),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2366),
    [anon_sym___declspec] = ACTIONS(2364),
    [anon_sym___based] = ACTIONS(2364),
    [anon_sym___cdecl] = ACTIONS(2364),
    [anon_sym___clrcall] = ACTIONS(2364),
    [anon_sym___stdcall] = ACTIONS(2364),
    [anon_sym___fastcall] = ACTIONS(2364),
    [anon_sym___thiscall] = ACTIONS(2364),
    [anon_sym___vectorcall] = ACTIONS(2364),
    [anon_sym_LBRACE] = ACTIONS(2366),
    [anon_sym_RBRACE] = ACTIONS(2366),
    [anon_sym_signed] = ACTIONS(2364),
    [anon_sym_unsigned] = ACTIONS(2364),
    [anon_sym_long] = ACTIONS(2364),
    [anon_sym_short] = ACTIONS(2364),
    [anon_sym_LBRACK] = ACTIONS(2364),
    [anon_sym_static] = ACTIONS(2364),
    [anon_sym_register] = ACTIONS(2364),
    [anon_sym_inline] = ACTIONS(2364),
    [anon_sym___inline] = ACTIONS(2364),
    [anon_sym___inline__] = ACTIONS(2364),
    [anon_sym___forceinline] = ACTIONS(2364),
    [anon_sym_thread_local] = ACTIONS(2364),
    [anon_sym___thread] = ACTIONS(2364),
    [anon_sym_const] = ACTIONS(2364),
    [anon_sym_constexpr] = ACTIONS(2364),
    [anon_sym_volatile] = ACTIONS(2364),
    [anon_sym_restrict] = ACTIONS(2364),
    [anon_sym___restrict__] = ACTIONS(2364),
    [anon_sym__Atomic] = ACTIONS(2364),
    [anon_sym__Noreturn] = ACTIONS(2364),
    [anon_sym_noreturn] = ACTIONS(2364),
    [anon_sym_mutable] = ACTIONS(2364),
    [anon_sym_constinit] = ACTIONS(2364),
    [anon_sym_consteval] = ACTIONS(2364),
    [sym_primitive_type] = ACTIONS(2364),
    [anon_sym_enum] = ACTIONS(2364),
    [anon_sym_class] = ACTIONS(2364),
    [anon_sym_struct] = ACTIONS(2364),
    [anon_sym_union] = ACTIONS(2364),
    [anon_sym_if] = ACTIONS(2364),
    [anon_sym_else] = ACTIONS(2364),
    [anon_sym_switch] = ACTIONS(2364),
    [anon_sym_case] = ACTIONS(2364),
    [anon_sym_default] = ACTIONS(2364),
    [anon_sym_while] = ACTIONS(2364),
    [anon_sym_do] = ACTIONS(2364),
    [anon_sym_for] = ACTIONS(2364),
    [anon_sym_return] = ACTIONS(2364),
    [anon_sym_break] = ACTIONS(2364),
    [anon_sym_continue] = ACTIONS(2364),
    [anon_sym_goto] = ACTIONS(2364),
    [anon_sym___try] = ACTIONS(2364),
    [anon_sym___leave] = ACTIONS(2364),
    [anon_sym_not] = ACTIONS(2364),
    [anon_sym_compl] = ACTIONS(2364),
    [anon_sym_DASH_DASH] = ACTIONS(2366),
    [anon_sym_PLUS_PLUS] = ACTIONS(2366),
    [anon_sym_sizeof] = ACTIONS(2364),
    [anon_sym___alignof__] = ACTIONS(2364),
    [anon_sym___alignof] = ACTIONS(2364),
    [anon_sym__alignof] = ACTIONS(2364),
    [anon_sym_alignof] = ACTIONS(2364),
    [anon_sym__Alignof] = ACTIONS(2364),
    [anon_sym_offsetof] = ACTIONS(2364),
    [anon_sym__Generic] = ACTIONS(2364),
    [anon_sym_asm] = ACTIONS(2364),
    [anon_sym___asm__] = ACTIONS(2364),
    [sym_number_literal] = ACTIONS(2366),
    [anon_sym_L_SQUOTE] = ACTIONS(2366),
    [anon_sym_u_SQUOTE] = ACTIONS(2366),
    [anon_sym_U_SQUOTE] = ACTIONS(2366),
    [anon_sym_u8_SQUOTE] = ACTIONS(2366),
    [anon_sym_SQUOTE] = ACTIONS(2366),
    [anon_sym_L_DQUOTE] = ACTIONS(2366),
    [anon_sym_u_DQUOTE] = ACTIONS(2366),
    [anon_sym_U_DQUOTE] = ACTIONS(2366),
    [anon_sym_u8_DQUOTE] = ACTIONS(2366),
    [anon_sym_DQUOTE] = ACTIONS(2366),
    [sym_true] = ACTIONS(2364),
    [sym_false] = ACTIONS(2364),
    [anon_sym_NULL] = ACTIONS(2364),
    [anon_sym_nullptr] = ACTIONS(2364),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2364),
    [anon_sym_decltype] = ACTIONS(2364),
    [anon_sym_virtual] = ACTIONS(2364),
    [anon_sym_alignas] = ACTIONS(2364),
    [anon_sym_explicit] = ACTIONS(2364),
    [anon_sym_typename] = ACTIONS(2364),
    [anon_sym_template] = ACTIONS(2364),
    [anon_sym_operator] = ACTIONS(2364),
    [anon_sym_try] = ACTIONS(2364),
    [anon_sym_delete] = ACTIONS(2364),
    [anon_sym_throw] = ACTIONS(2364),
    [anon_sym_namespace] = ACTIONS(2364),
    [anon_sym_using] = ACTIONS(2364),
    [anon_sym_static_assert] = ACTIONS(2364),
    [anon_sym_concept] = ACTIONS(2364),
    [anon_sym_co_return] = ACTIONS(2364),
    [anon_sym_co_yield] = ACTIONS(2364),
    [anon_sym_R_DQUOTE] = ACTIONS(2366),
    [anon_sym_LR_DQUOTE] = ACTIONS(2366),
    [anon_sym_uR_DQUOTE] = ACTIONS(2366),
    [anon_sym_UR_DQUOTE] = ACTIONS(2366),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2366),
    [anon_sym_co_await] = ACTIONS(2364),
    [anon_sym_new] = ACTIONS(2364),
    [anon_sym_requires] = ACTIONS(2364),
    [sym_this] = ACTIONS(2364),
    [anon_sym_discard] = ACTIONS(2364),
    [anon_sym_precise] = ACTIONS(2364),
    [anon_sym_shared] = ACTIONS(2364),
    [anon_sym_groupshared] = ACTIONS(2364),
    [anon_sym_uniform] = ACTIONS(2364),
    [anon_sym_row_major] = ACTIONS(2364),
    [anon_sym_column_major] = ACTIONS(2364),
    [anon_sym_globallycoherent] = ACTIONS(2364),
    [anon_sym_centroid] = ACTIONS(2364),
    [anon_sym_noperspective] = ACTIONS(2364),
    [anon_sym_nointerpolation] = ACTIONS(2364),
    [anon_sym_sample] = ACTIONS(2364),
    [anon_sym_linear] = ACTIONS(2364),
    [anon_sym_snorm] = ACTIONS(2364),
    [anon_sym_unorm] = ACTIONS(2364),
    [anon_sym_point] = ACTIONS(2364),
    [anon_sym_line] = ACTIONS(2364),
    [anon_sym_triangleadj] = ACTIONS(2364),
    [anon_sym_lineadj] = ACTIONS(2364),
    [anon_sym_triangle] = ACTIONS(2364),
    [anon_sym_cbuffer] = ACTIONS(2364),
  },
  [873] = {
    [ts_builtin_sym_end] = ACTIONS(2366),
    [sym_identifier] = ACTIONS(2364),
    [aux_sym_preproc_include_token1] = ACTIONS(2364),
    [aux_sym_preproc_def_token1] = ACTIONS(2364),
    [aux_sym_preproc_if_token1] = ACTIONS(2364),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2364),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2364),
    [sym_preproc_directive] = ACTIONS(2364),
    [anon_sym_LPAREN2] = ACTIONS(2366),
    [anon_sym_BANG] = ACTIONS(2366),
    [anon_sym_TILDE] = ACTIONS(2366),
    [anon_sym_DASH] = ACTIONS(2364),
    [anon_sym_PLUS] = ACTIONS(2364),
    [anon_sym_STAR] = ACTIONS(2366),
    [anon_sym_AMP_AMP] = ACTIONS(2366),
    [anon_sym_AMP] = ACTIONS(2364),
    [anon_sym_SEMI] = ACTIONS(2366),
    [anon_sym___extension__] = ACTIONS(2364),
    [anon_sym_typedef] = ACTIONS(2364),
    [anon_sym_in] = ACTIONS(2364),
    [anon_sym_out] = ACTIONS(2364),
    [anon_sym_inout] = ACTIONS(2364),
    [anon_sym_extern] = ACTIONS(2364),
    [anon_sym___attribute__] = ACTIONS(2364),
    [anon_sym_COLON_COLON] = ACTIONS(2366),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2366),
    [anon_sym___declspec] = ACTIONS(2364),
    [anon_sym___based] = ACTIONS(2364),
    [anon_sym___cdecl] = ACTIONS(2364),
    [anon_sym___clrcall] = ACTIONS(2364),
    [anon_sym___stdcall] = ACTIONS(2364),
    [anon_sym___fastcall] = ACTIONS(2364),
    [anon_sym___thiscall] = ACTIONS(2364),
    [anon_sym___vectorcall] = ACTIONS(2364),
    [anon_sym_LBRACE] = ACTIONS(2366),
    [anon_sym_signed] = ACTIONS(2364),
    [anon_sym_unsigned] = ACTIONS(2364),
    [anon_sym_long] = ACTIONS(2364),
    [anon_sym_short] = ACTIONS(2364),
    [anon_sym_LBRACK] = ACTIONS(2364),
    [anon_sym_static] = ACTIONS(2364),
    [anon_sym_register] = ACTIONS(2364),
    [anon_sym_inline] = ACTIONS(2364),
    [anon_sym___inline] = ACTIONS(2364),
    [anon_sym___inline__] = ACTIONS(2364),
    [anon_sym___forceinline] = ACTIONS(2364),
    [anon_sym_thread_local] = ACTIONS(2364),
    [anon_sym___thread] = ACTIONS(2364),
    [anon_sym_const] = ACTIONS(2364),
    [anon_sym_constexpr] = ACTIONS(2364),
    [anon_sym_volatile] = ACTIONS(2364),
    [anon_sym_restrict] = ACTIONS(2364),
    [anon_sym___restrict__] = ACTIONS(2364),
    [anon_sym__Atomic] = ACTIONS(2364),
    [anon_sym__Noreturn] = ACTIONS(2364),
    [anon_sym_noreturn] = ACTIONS(2364),
    [anon_sym_mutable] = ACTIONS(2364),
    [anon_sym_constinit] = ACTIONS(2364),
    [anon_sym_consteval] = ACTIONS(2364),
    [sym_primitive_type] = ACTIONS(2364),
    [anon_sym_enum] = ACTIONS(2364),
    [anon_sym_class] = ACTIONS(2364),
    [anon_sym_struct] = ACTIONS(2364),
    [anon_sym_union] = ACTIONS(2364),
    [anon_sym_if] = ACTIONS(2364),
    [anon_sym_else] = ACTIONS(2364),
    [anon_sym_switch] = ACTIONS(2364),
    [anon_sym_case] = ACTIONS(2364),
    [anon_sym_default] = ACTIONS(2364),
    [anon_sym_while] = ACTIONS(2364),
    [anon_sym_do] = ACTIONS(2364),
    [anon_sym_for] = ACTIONS(2364),
    [anon_sym_return] = ACTIONS(2364),
    [anon_sym_break] = ACTIONS(2364),
    [anon_sym_continue] = ACTIONS(2364),
    [anon_sym_goto] = ACTIONS(2364),
    [anon_sym___try] = ACTIONS(2364),
    [anon_sym___leave] = ACTIONS(2364),
    [anon_sym_not] = ACTIONS(2364),
    [anon_sym_compl] = ACTIONS(2364),
    [anon_sym_DASH_DASH] = ACTIONS(2366),
    [anon_sym_PLUS_PLUS] = ACTIONS(2366),
    [anon_sym_sizeof] = ACTIONS(2364),
    [anon_sym___alignof__] = ACTIONS(2364),
    [anon_sym___alignof] = ACTIONS(2364),
    [anon_sym__alignof] = ACTIONS(2364),
    [anon_sym_alignof] = ACTIONS(2364),
    [anon_sym__Alignof] = ACTIONS(2364),
    [anon_sym_offsetof] = ACTIONS(2364),
    [anon_sym__Generic] = ACTIONS(2364),
    [anon_sym_asm] = ACTIONS(2364),
    [anon_sym___asm__] = ACTIONS(2364),
    [sym_number_literal] = ACTIONS(2366),
    [anon_sym_L_SQUOTE] = ACTIONS(2366),
    [anon_sym_u_SQUOTE] = ACTIONS(2366),
    [anon_sym_U_SQUOTE] = ACTIONS(2366),
    [anon_sym_u8_SQUOTE] = ACTIONS(2366),
    [anon_sym_SQUOTE] = ACTIONS(2366),
    [anon_sym_L_DQUOTE] = ACTIONS(2366),
    [anon_sym_u_DQUOTE] = ACTIONS(2366),
    [anon_sym_U_DQUOTE] = ACTIONS(2366),
    [anon_sym_u8_DQUOTE] = ACTIONS(2366),
    [anon_sym_DQUOTE] = ACTIONS(2366),
    [sym_true] = ACTIONS(2364),
    [sym_false] = ACTIONS(2364),
    [anon_sym_NULL] = ACTIONS(2364),
    [anon_sym_nullptr] = ACTIONS(2364),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2364),
    [anon_sym_decltype] = ACTIONS(2364),
    [anon_sym_virtual] = ACTIONS(2364),
    [anon_sym_alignas] = ACTIONS(2364),
    [anon_sym_explicit] = ACTIONS(2364),
    [anon_sym_typename] = ACTIONS(2364),
    [anon_sym_template] = ACTIONS(2364),
    [anon_sym_operator] = ACTIONS(2364),
    [anon_sym_try] = ACTIONS(2364),
    [anon_sym_delete] = ACTIONS(2364),
    [anon_sym_throw] = ACTIONS(2364),
    [anon_sym_namespace] = ACTIONS(2364),
    [anon_sym_using] = ACTIONS(2364),
    [anon_sym_static_assert] = ACTIONS(2364),
    [anon_sym_concept] = ACTIONS(2364),
    [anon_sym_co_return] = ACTIONS(2364),
    [anon_sym_co_yield] = ACTIONS(2364),
    [anon_sym_R_DQUOTE] = ACTIONS(2366),
    [anon_sym_LR_DQUOTE] = ACTIONS(2366),
    [anon_sym_uR_DQUOTE] = ACTIONS(2366),
    [anon_sym_UR_DQUOTE] = ACTIONS(2366),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2366),
    [anon_sym_co_await] = ACTIONS(2364),
    [anon_sym_new] = ACTIONS(2364),
    [anon_sym_requires] = ACTIONS(2364),
    [sym_this] = ACTIONS(2364),
    [anon_sym_discard] = ACTIONS(2364),
    [anon_sym_precise] = ACTIONS(2364),
    [anon_sym_shared] = ACTIONS(2364),
    [anon_sym_groupshared] = ACTIONS(2364),
    [anon_sym_uniform] = ACTIONS(2364),
    [anon_sym_row_major] = ACTIONS(2364),
    [anon_sym_column_major] = ACTIONS(2364),
    [anon_sym_globallycoherent] = ACTIONS(2364),
    [anon_sym_centroid] = ACTIONS(2364),
    [anon_sym_noperspective] = ACTIONS(2364),
    [anon_sym_nointerpolation] = ACTIONS(2364),
    [anon_sym_sample] = ACTIONS(2364),
    [anon_sym_linear] = ACTIONS(2364),
    [anon_sym_snorm] = ACTIONS(2364),
    [anon_sym_unorm] = ACTIONS(2364),
    [anon_sym_point] = ACTIONS(2364),
    [anon_sym_line] = ACTIONS(2364),
    [anon_sym_triangleadj] = ACTIONS(2364),
    [anon_sym_lineadj] = ACTIONS(2364),
    [anon_sym_triangle] = ACTIONS(2364),
    [anon_sym_cbuffer] = ACTIONS(2364),
  },
  [874] = {
    [sym_identifier] = ACTIONS(2364),
    [aux_sym_preproc_include_token1] = ACTIONS(2364),
    [aux_sym_preproc_def_token1] = ACTIONS(2364),
    [aux_sym_preproc_if_token1] = ACTIONS(2364),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2364),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2364),
    [sym_preproc_directive] = ACTIONS(2364),
    [anon_sym_LPAREN2] = ACTIONS(2366),
    [anon_sym_BANG] = ACTIONS(2366),
    [anon_sym_TILDE] = ACTIONS(2366),
    [anon_sym_DASH] = ACTIONS(2364),
    [anon_sym_PLUS] = ACTIONS(2364),
    [anon_sym_STAR] = ACTIONS(2366),
    [anon_sym_AMP_AMP] = ACTIONS(2366),
    [anon_sym_AMP] = ACTIONS(2364),
    [anon_sym_SEMI] = ACTIONS(2366),
    [anon_sym___extension__] = ACTIONS(2364),
    [anon_sym_typedef] = ACTIONS(2364),
    [anon_sym_in] = ACTIONS(2364),
    [anon_sym_out] = ACTIONS(2364),
    [anon_sym_inout] = ACTIONS(2364),
    [anon_sym_extern] = ACTIONS(2364),
    [anon_sym___attribute__] = ACTIONS(2364),
    [anon_sym_COLON_COLON] = ACTIONS(2366),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2366),
    [anon_sym___declspec] = ACTIONS(2364),
    [anon_sym___based] = ACTIONS(2364),
    [anon_sym___cdecl] = ACTIONS(2364),
    [anon_sym___clrcall] = ACTIONS(2364),
    [anon_sym___stdcall] = ACTIONS(2364),
    [anon_sym___fastcall] = ACTIONS(2364),
    [anon_sym___thiscall] = ACTIONS(2364),
    [anon_sym___vectorcall] = ACTIONS(2364),
    [anon_sym_LBRACE] = ACTIONS(2366),
    [anon_sym_RBRACE] = ACTIONS(2366),
    [anon_sym_signed] = ACTIONS(2364),
    [anon_sym_unsigned] = ACTIONS(2364),
    [anon_sym_long] = ACTIONS(2364),
    [anon_sym_short] = ACTIONS(2364),
    [anon_sym_LBRACK] = ACTIONS(2364),
    [anon_sym_static] = ACTIONS(2364),
    [anon_sym_register] = ACTIONS(2364),
    [anon_sym_inline] = ACTIONS(2364),
    [anon_sym___inline] = ACTIONS(2364),
    [anon_sym___inline__] = ACTIONS(2364),
    [anon_sym___forceinline] = ACTIONS(2364),
    [anon_sym_thread_local] = ACTIONS(2364),
    [anon_sym___thread] = ACTIONS(2364),
    [anon_sym_const] = ACTIONS(2364),
    [anon_sym_constexpr] = ACTIONS(2364),
    [anon_sym_volatile] = ACTIONS(2364),
    [anon_sym_restrict] = ACTIONS(2364),
    [anon_sym___restrict__] = ACTIONS(2364),
    [anon_sym__Atomic] = ACTIONS(2364),
    [anon_sym__Noreturn] = ACTIONS(2364),
    [anon_sym_noreturn] = ACTIONS(2364),
    [anon_sym_mutable] = ACTIONS(2364),
    [anon_sym_constinit] = ACTIONS(2364),
    [anon_sym_consteval] = ACTIONS(2364),
    [sym_primitive_type] = ACTIONS(2364),
    [anon_sym_enum] = ACTIONS(2364),
    [anon_sym_class] = ACTIONS(2364),
    [anon_sym_struct] = ACTIONS(2364),
    [anon_sym_union] = ACTIONS(2364),
    [anon_sym_if] = ACTIONS(2364),
    [anon_sym_else] = ACTIONS(2364),
    [anon_sym_switch] = ACTIONS(2364),
    [anon_sym_case] = ACTIONS(2364),
    [anon_sym_default] = ACTIONS(2364),
    [anon_sym_while] = ACTIONS(2364),
    [anon_sym_do] = ACTIONS(2364),
    [anon_sym_for] = ACTIONS(2364),
    [anon_sym_return] = ACTIONS(2364),
    [anon_sym_break] = ACTIONS(2364),
    [anon_sym_continue] = ACTIONS(2364),
    [anon_sym_goto] = ACTIONS(2364),
    [anon_sym___try] = ACTIONS(2364),
    [anon_sym___leave] = ACTIONS(2364),
    [anon_sym_not] = ACTIONS(2364),
    [anon_sym_compl] = ACTIONS(2364),
    [anon_sym_DASH_DASH] = ACTIONS(2366),
    [anon_sym_PLUS_PLUS] = ACTIONS(2366),
    [anon_sym_sizeof] = ACTIONS(2364),
    [anon_sym___alignof__] = ACTIONS(2364),
    [anon_sym___alignof] = ACTIONS(2364),
    [anon_sym__alignof] = ACTIONS(2364),
    [anon_sym_alignof] = ACTIONS(2364),
    [anon_sym__Alignof] = ACTIONS(2364),
    [anon_sym_offsetof] = ACTIONS(2364),
    [anon_sym__Generic] = ACTIONS(2364),
    [anon_sym_asm] = ACTIONS(2364),
    [anon_sym___asm__] = ACTIONS(2364),
    [sym_number_literal] = ACTIONS(2366),
    [anon_sym_L_SQUOTE] = ACTIONS(2366),
    [anon_sym_u_SQUOTE] = ACTIONS(2366),
    [anon_sym_U_SQUOTE] = ACTIONS(2366),
    [anon_sym_u8_SQUOTE] = ACTIONS(2366),
    [anon_sym_SQUOTE] = ACTIONS(2366),
    [anon_sym_L_DQUOTE] = ACTIONS(2366),
    [anon_sym_u_DQUOTE] = ACTIONS(2366),
    [anon_sym_U_DQUOTE] = ACTIONS(2366),
    [anon_sym_u8_DQUOTE] = ACTIONS(2366),
    [anon_sym_DQUOTE] = ACTIONS(2366),
    [sym_true] = ACTIONS(2364),
    [sym_false] = ACTIONS(2364),
    [anon_sym_NULL] = ACTIONS(2364),
    [anon_sym_nullptr] = ACTIONS(2364),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2364),
    [anon_sym_decltype] = ACTIONS(2364),
    [anon_sym_virtual] = ACTIONS(2364),
    [anon_sym_alignas] = ACTIONS(2364),
    [anon_sym_explicit] = ACTIONS(2364),
    [anon_sym_typename] = ACTIONS(2364),
    [anon_sym_template] = ACTIONS(2364),
    [anon_sym_operator] = ACTIONS(2364),
    [anon_sym_try] = ACTIONS(2364),
    [anon_sym_delete] = ACTIONS(2364),
    [anon_sym_throw] = ACTIONS(2364),
    [anon_sym_namespace] = ACTIONS(2364),
    [anon_sym_using] = ACTIONS(2364),
    [anon_sym_static_assert] = ACTIONS(2364),
    [anon_sym_concept] = ACTIONS(2364),
    [anon_sym_co_return] = ACTIONS(2364),
    [anon_sym_co_yield] = ACTIONS(2364),
    [anon_sym_R_DQUOTE] = ACTIONS(2366),
    [anon_sym_LR_DQUOTE] = ACTIONS(2366),
    [anon_sym_uR_DQUOTE] = ACTIONS(2366),
    [anon_sym_UR_DQUOTE] = ACTIONS(2366),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2366),
    [anon_sym_co_await] = ACTIONS(2364),
    [anon_sym_new] = ACTIONS(2364),
    [anon_sym_requires] = ACTIONS(2364),
    [sym_this] = ACTIONS(2364),
    [anon_sym_discard] = ACTIONS(2364),
    [anon_sym_precise] = ACTIONS(2364),
    [anon_sym_shared] = ACTIONS(2364),
    [anon_sym_groupshared] = ACTIONS(2364),
    [anon_sym_uniform] = ACTIONS(2364),
    [anon_sym_row_major] = ACTIONS(2364),
    [anon_sym_column_major] = ACTIONS(2364),
    [anon_sym_globallycoherent] = ACTIONS(2364),
    [anon_sym_centroid] = ACTIONS(2364),
    [anon_sym_noperspective] = ACTIONS(2364),
    [anon_sym_nointerpolation] = ACTIONS(2364),
    [anon_sym_sample] = ACTIONS(2364),
    [anon_sym_linear] = ACTIONS(2364),
    [anon_sym_snorm] = ACTIONS(2364),
    [anon_sym_unorm] = ACTIONS(2364),
    [anon_sym_point] = ACTIONS(2364),
    [anon_sym_line] = ACTIONS(2364),
    [anon_sym_triangleadj] = ACTIONS(2364),
    [anon_sym_lineadj] = ACTIONS(2364),
    [anon_sym_triangle] = ACTIONS(2364),
    [anon_sym_cbuffer] = ACTIONS(2364),
  },
  [875] = {
    [sym_identifier] = ACTIONS(2364),
    [aux_sym_preproc_include_token1] = ACTIONS(2364),
    [aux_sym_preproc_def_token1] = ACTIONS(2364),
    [aux_sym_preproc_if_token1] = ACTIONS(2364),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2364),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2364),
    [sym_preproc_directive] = ACTIONS(2364),
    [anon_sym_LPAREN2] = ACTIONS(2366),
    [anon_sym_BANG] = ACTIONS(2366),
    [anon_sym_TILDE] = ACTIONS(2366),
    [anon_sym_DASH] = ACTIONS(2364),
    [anon_sym_PLUS] = ACTIONS(2364),
    [anon_sym_STAR] = ACTIONS(2366),
    [anon_sym_AMP_AMP] = ACTIONS(2366),
    [anon_sym_AMP] = ACTIONS(2364),
    [anon_sym_SEMI] = ACTIONS(2366),
    [anon_sym___extension__] = ACTIONS(2364),
    [anon_sym_typedef] = ACTIONS(2364),
    [anon_sym_in] = ACTIONS(2364),
    [anon_sym_out] = ACTIONS(2364),
    [anon_sym_inout] = ACTIONS(2364),
    [anon_sym_extern] = ACTIONS(2364),
    [anon_sym___attribute__] = ACTIONS(2364),
    [anon_sym_COLON_COLON] = ACTIONS(2366),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2366),
    [anon_sym___declspec] = ACTIONS(2364),
    [anon_sym___based] = ACTIONS(2364),
    [anon_sym___cdecl] = ACTIONS(2364),
    [anon_sym___clrcall] = ACTIONS(2364),
    [anon_sym___stdcall] = ACTIONS(2364),
    [anon_sym___fastcall] = ACTIONS(2364),
    [anon_sym___thiscall] = ACTIONS(2364),
    [anon_sym___vectorcall] = ACTIONS(2364),
    [anon_sym_LBRACE] = ACTIONS(2366),
    [anon_sym_RBRACE] = ACTIONS(2366),
    [anon_sym_signed] = ACTIONS(2364),
    [anon_sym_unsigned] = ACTIONS(2364),
    [anon_sym_long] = ACTIONS(2364),
    [anon_sym_short] = ACTIONS(2364),
    [anon_sym_LBRACK] = ACTIONS(2364),
    [anon_sym_static] = ACTIONS(2364),
    [anon_sym_register] = ACTIONS(2364),
    [anon_sym_inline] = ACTIONS(2364),
    [anon_sym___inline] = ACTIONS(2364),
    [anon_sym___inline__] = ACTIONS(2364),
    [anon_sym___forceinline] = ACTIONS(2364),
    [anon_sym_thread_local] = ACTIONS(2364),
    [anon_sym___thread] = ACTIONS(2364),
    [anon_sym_const] = ACTIONS(2364),
    [anon_sym_constexpr] = ACTIONS(2364),
    [anon_sym_volatile] = ACTIONS(2364),
    [anon_sym_restrict] = ACTIONS(2364),
    [anon_sym___restrict__] = ACTIONS(2364),
    [anon_sym__Atomic] = ACTIONS(2364),
    [anon_sym__Noreturn] = ACTIONS(2364),
    [anon_sym_noreturn] = ACTIONS(2364),
    [anon_sym_mutable] = ACTIONS(2364),
    [anon_sym_constinit] = ACTIONS(2364),
    [anon_sym_consteval] = ACTIONS(2364),
    [sym_primitive_type] = ACTIONS(2364),
    [anon_sym_enum] = ACTIONS(2364),
    [anon_sym_class] = ACTIONS(2364),
    [anon_sym_struct] = ACTIONS(2364),
    [anon_sym_union] = ACTIONS(2364),
    [anon_sym_if] = ACTIONS(2364),
    [anon_sym_else] = ACTIONS(2364),
    [anon_sym_switch] = ACTIONS(2364),
    [anon_sym_case] = ACTIONS(2364),
    [anon_sym_default] = ACTIONS(2364),
    [anon_sym_while] = ACTIONS(2364),
    [anon_sym_do] = ACTIONS(2364),
    [anon_sym_for] = ACTIONS(2364),
    [anon_sym_return] = ACTIONS(2364),
    [anon_sym_break] = ACTIONS(2364),
    [anon_sym_continue] = ACTIONS(2364),
    [anon_sym_goto] = ACTIONS(2364),
    [anon_sym___try] = ACTIONS(2364),
    [anon_sym___leave] = ACTIONS(2364),
    [anon_sym_not] = ACTIONS(2364),
    [anon_sym_compl] = ACTIONS(2364),
    [anon_sym_DASH_DASH] = ACTIONS(2366),
    [anon_sym_PLUS_PLUS] = ACTIONS(2366),
    [anon_sym_sizeof] = ACTIONS(2364),
    [anon_sym___alignof__] = ACTIONS(2364),
    [anon_sym___alignof] = ACTIONS(2364),
    [anon_sym__alignof] = ACTIONS(2364),
    [anon_sym_alignof] = ACTIONS(2364),
    [anon_sym__Alignof] = ACTIONS(2364),
    [anon_sym_offsetof] = ACTIONS(2364),
    [anon_sym__Generic] = ACTIONS(2364),
    [anon_sym_asm] = ACTIONS(2364),
    [anon_sym___asm__] = ACTIONS(2364),
    [sym_number_literal] = ACTIONS(2366),
    [anon_sym_L_SQUOTE] = ACTIONS(2366),
    [anon_sym_u_SQUOTE] = ACTIONS(2366),
    [anon_sym_U_SQUOTE] = ACTIONS(2366),
    [anon_sym_u8_SQUOTE] = ACTIONS(2366),
    [anon_sym_SQUOTE] = ACTIONS(2366),
    [anon_sym_L_DQUOTE] = ACTIONS(2366),
    [anon_sym_u_DQUOTE] = ACTIONS(2366),
    [anon_sym_U_DQUOTE] = ACTIONS(2366),
    [anon_sym_u8_DQUOTE] = ACTIONS(2366),
    [anon_sym_DQUOTE] = ACTIONS(2366),
    [sym_true] = ACTIONS(2364),
    [sym_false] = ACTIONS(2364),
    [anon_sym_NULL] = ACTIONS(2364),
    [anon_sym_nullptr] = ACTIONS(2364),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2364),
    [anon_sym_decltype] = ACTIONS(2364),
    [anon_sym_virtual] = ACTIONS(2364),
    [anon_sym_alignas] = ACTIONS(2364),
    [anon_sym_explicit] = ACTIONS(2364),
    [anon_sym_typename] = ACTIONS(2364),
    [anon_sym_template] = ACTIONS(2364),
    [anon_sym_operator] = ACTIONS(2364),
    [anon_sym_try] = ACTIONS(2364),
    [anon_sym_delete] = ACTIONS(2364),
    [anon_sym_throw] = ACTIONS(2364),
    [anon_sym_namespace] = ACTIONS(2364),
    [anon_sym_using] = ACTIONS(2364),
    [anon_sym_static_assert] = ACTIONS(2364),
    [anon_sym_concept] = ACTIONS(2364),
    [anon_sym_co_return] = ACTIONS(2364),
    [anon_sym_co_yield] = ACTIONS(2364),
    [anon_sym_R_DQUOTE] = ACTIONS(2366),
    [anon_sym_LR_DQUOTE] = ACTIONS(2366),
    [anon_sym_uR_DQUOTE] = ACTIONS(2366),
    [anon_sym_UR_DQUOTE] = ACTIONS(2366),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2366),
    [anon_sym_co_await] = ACTIONS(2364),
    [anon_sym_new] = ACTIONS(2364),
    [anon_sym_requires] = ACTIONS(2364),
    [sym_this] = ACTIONS(2364),
    [anon_sym_discard] = ACTIONS(2364),
    [anon_sym_precise] = ACTIONS(2364),
    [anon_sym_shared] = ACTIONS(2364),
    [anon_sym_groupshared] = ACTIONS(2364),
    [anon_sym_uniform] = ACTIONS(2364),
    [anon_sym_row_major] = ACTIONS(2364),
    [anon_sym_column_major] = ACTIONS(2364),
    [anon_sym_globallycoherent] = ACTIONS(2364),
    [anon_sym_centroid] = ACTIONS(2364),
    [anon_sym_noperspective] = ACTIONS(2364),
    [anon_sym_nointerpolation] = ACTIONS(2364),
    [anon_sym_sample] = ACTIONS(2364),
    [anon_sym_linear] = ACTIONS(2364),
    [anon_sym_snorm] = ACTIONS(2364),
    [anon_sym_unorm] = ACTIONS(2364),
    [anon_sym_point] = ACTIONS(2364),
    [anon_sym_line] = ACTIONS(2364),
    [anon_sym_triangleadj] = ACTIONS(2364),
    [anon_sym_lineadj] = ACTIONS(2364),
    [anon_sym_triangle] = ACTIONS(2364),
    [anon_sym_cbuffer] = ACTIONS(2364),
  },
  [876] = {
    [sym_identifier] = ACTIONS(2364),
    [aux_sym_preproc_include_token1] = ACTIONS(2364),
    [aux_sym_preproc_def_token1] = ACTIONS(2364),
    [aux_sym_preproc_if_token1] = ACTIONS(2364),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2364),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2364),
    [sym_preproc_directive] = ACTIONS(2364),
    [anon_sym_LPAREN2] = ACTIONS(2366),
    [anon_sym_BANG] = ACTIONS(2366),
    [anon_sym_TILDE] = ACTIONS(2366),
    [anon_sym_DASH] = ACTIONS(2364),
    [anon_sym_PLUS] = ACTIONS(2364),
    [anon_sym_STAR] = ACTIONS(2366),
    [anon_sym_AMP_AMP] = ACTIONS(2366),
    [anon_sym_AMP] = ACTIONS(2364),
    [anon_sym_SEMI] = ACTIONS(2366),
    [anon_sym___extension__] = ACTIONS(2364),
    [anon_sym_typedef] = ACTIONS(2364),
    [anon_sym_in] = ACTIONS(2364),
    [anon_sym_out] = ACTIONS(2364),
    [anon_sym_inout] = ACTIONS(2364),
    [anon_sym_extern] = ACTIONS(2364),
    [anon_sym___attribute__] = ACTIONS(2364),
    [anon_sym_COLON_COLON] = ACTIONS(2366),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2366),
    [anon_sym___declspec] = ACTIONS(2364),
    [anon_sym___based] = ACTIONS(2364),
    [anon_sym___cdecl] = ACTIONS(2364),
    [anon_sym___clrcall] = ACTIONS(2364),
    [anon_sym___stdcall] = ACTIONS(2364),
    [anon_sym___fastcall] = ACTIONS(2364),
    [anon_sym___thiscall] = ACTIONS(2364),
    [anon_sym___vectorcall] = ACTIONS(2364),
    [anon_sym_LBRACE] = ACTIONS(2366),
    [anon_sym_RBRACE] = ACTIONS(2366),
    [anon_sym_signed] = ACTIONS(2364),
    [anon_sym_unsigned] = ACTIONS(2364),
    [anon_sym_long] = ACTIONS(2364),
    [anon_sym_short] = ACTIONS(2364),
    [anon_sym_LBRACK] = ACTIONS(2364),
    [anon_sym_static] = ACTIONS(2364),
    [anon_sym_register] = ACTIONS(2364),
    [anon_sym_inline] = ACTIONS(2364),
    [anon_sym___inline] = ACTIONS(2364),
    [anon_sym___inline__] = ACTIONS(2364),
    [anon_sym___forceinline] = ACTIONS(2364),
    [anon_sym_thread_local] = ACTIONS(2364),
    [anon_sym___thread] = ACTIONS(2364),
    [anon_sym_const] = ACTIONS(2364),
    [anon_sym_constexpr] = ACTIONS(2364),
    [anon_sym_volatile] = ACTIONS(2364),
    [anon_sym_restrict] = ACTIONS(2364),
    [anon_sym___restrict__] = ACTIONS(2364),
    [anon_sym__Atomic] = ACTIONS(2364),
    [anon_sym__Noreturn] = ACTIONS(2364),
    [anon_sym_noreturn] = ACTIONS(2364),
    [anon_sym_mutable] = ACTIONS(2364),
    [anon_sym_constinit] = ACTIONS(2364),
    [anon_sym_consteval] = ACTIONS(2364),
    [sym_primitive_type] = ACTIONS(2364),
    [anon_sym_enum] = ACTIONS(2364),
    [anon_sym_class] = ACTIONS(2364),
    [anon_sym_struct] = ACTIONS(2364),
    [anon_sym_union] = ACTIONS(2364),
    [anon_sym_if] = ACTIONS(2364),
    [anon_sym_else] = ACTIONS(2364),
    [anon_sym_switch] = ACTIONS(2364),
    [anon_sym_case] = ACTIONS(2364),
    [anon_sym_default] = ACTIONS(2364),
    [anon_sym_while] = ACTIONS(2364),
    [anon_sym_do] = ACTIONS(2364),
    [anon_sym_for] = ACTIONS(2364),
    [anon_sym_return] = ACTIONS(2364),
    [anon_sym_break] = ACTIONS(2364),
    [anon_sym_continue] = ACTIONS(2364),
    [anon_sym_goto] = ACTIONS(2364),
    [anon_sym___try] = ACTIONS(2364),
    [anon_sym___leave] = ACTIONS(2364),
    [anon_sym_not] = ACTIONS(2364),
    [anon_sym_compl] = ACTIONS(2364),
    [anon_sym_DASH_DASH] = ACTIONS(2366),
    [anon_sym_PLUS_PLUS] = ACTIONS(2366),
    [anon_sym_sizeof] = ACTIONS(2364),
    [anon_sym___alignof__] = ACTIONS(2364),
    [anon_sym___alignof] = ACTIONS(2364),
    [anon_sym__alignof] = ACTIONS(2364),
    [anon_sym_alignof] = ACTIONS(2364),
    [anon_sym__Alignof] = ACTIONS(2364),
    [anon_sym_offsetof] = ACTIONS(2364),
    [anon_sym__Generic] = ACTIONS(2364),
    [anon_sym_asm] = ACTIONS(2364),
    [anon_sym___asm__] = ACTIONS(2364),
    [sym_number_literal] = ACTIONS(2366),
    [anon_sym_L_SQUOTE] = ACTIONS(2366),
    [anon_sym_u_SQUOTE] = ACTIONS(2366),
    [anon_sym_U_SQUOTE] = ACTIONS(2366),
    [anon_sym_u8_SQUOTE] = ACTIONS(2366),
    [anon_sym_SQUOTE] = ACTIONS(2366),
    [anon_sym_L_DQUOTE] = ACTIONS(2366),
    [anon_sym_u_DQUOTE] = ACTIONS(2366),
    [anon_sym_U_DQUOTE] = ACTIONS(2366),
    [anon_sym_u8_DQUOTE] = ACTIONS(2366),
    [anon_sym_DQUOTE] = ACTIONS(2366),
    [sym_true] = ACTIONS(2364),
    [sym_false] = ACTIONS(2364),
    [anon_sym_NULL] = ACTIONS(2364),
    [anon_sym_nullptr] = ACTIONS(2364),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2364),
    [anon_sym_decltype] = ACTIONS(2364),
    [anon_sym_virtual] = ACTIONS(2364),
    [anon_sym_alignas] = ACTIONS(2364),
    [anon_sym_explicit] = ACTIONS(2364),
    [anon_sym_typename] = ACTIONS(2364),
    [anon_sym_template] = ACTIONS(2364),
    [anon_sym_operator] = ACTIONS(2364),
    [anon_sym_try] = ACTIONS(2364),
    [anon_sym_delete] = ACTIONS(2364),
    [anon_sym_throw] = ACTIONS(2364),
    [anon_sym_namespace] = ACTIONS(2364),
    [anon_sym_using] = ACTIONS(2364),
    [anon_sym_static_assert] = ACTIONS(2364),
    [anon_sym_concept] = ACTIONS(2364),
    [anon_sym_co_return] = ACTIONS(2364),
    [anon_sym_co_yield] = ACTIONS(2364),
    [anon_sym_R_DQUOTE] = ACTIONS(2366),
    [anon_sym_LR_DQUOTE] = ACTIONS(2366),
    [anon_sym_uR_DQUOTE] = ACTIONS(2366),
    [anon_sym_UR_DQUOTE] = ACTIONS(2366),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2366),
    [anon_sym_co_await] = ACTIONS(2364),
    [anon_sym_new] = ACTIONS(2364),
    [anon_sym_requires] = ACTIONS(2364),
    [sym_this] = ACTIONS(2364),
    [anon_sym_discard] = ACTIONS(2364),
    [anon_sym_precise] = ACTIONS(2364),
    [anon_sym_shared] = ACTIONS(2364),
    [anon_sym_groupshared] = ACTIONS(2364),
    [anon_sym_uniform] = ACTIONS(2364),
    [anon_sym_row_major] = ACTIONS(2364),
    [anon_sym_column_major] = ACTIONS(2364),
    [anon_sym_globallycoherent] = ACTIONS(2364),
    [anon_sym_centroid] = ACTIONS(2364),
    [anon_sym_noperspective] = ACTIONS(2364),
    [anon_sym_nointerpolation] = ACTIONS(2364),
    [anon_sym_sample] = ACTIONS(2364),
    [anon_sym_linear] = ACTIONS(2364),
    [anon_sym_snorm] = ACTIONS(2364),
    [anon_sym_unorm] = ACTIONS(2364),
    [anon_sym_point] = ACTIONS(2364),
    [anon_sym_line] = ACTIONS(2364),
    [anon_sym_triangleadj] = ACTIONS(2364),
    [anon_sym_lineadj] = ACTIONS(2364),
    [anon_sym_triangle] = ACTIONS(2364),
    [anon_sym_cbuffer] = ACTIONS(2364),
  },
  [877] = {
    [ts_builtin_sym_end] = ACTIONS(2366),
    [sym_identifier] = ACTIONS(2364),
    [aux_sym_preproc_include_token1] = ACTIONS(2364),
    [aux_sym_preproc_def_token1] = ACTIONS(2364),
    [aux_sym_preproc_if_token1] = ACTIONS(2364),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2364),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2364),
    [sym_preproc_directive] = ACTIONS(2364),
    [anon_sym_LPAREN2] = ACTIONS(2366),
    [anon_sym_BANG] = ACTIONS(2366),
    [anon_sym_TILDE] = ACTIONS(2366),
    [anon_sym_DASH] = ACTIONS(2364),
    [anon_sym_PLUS] = ACTIONS(2364),
    [anon_sym_STAR] = ACTIONS(2366),
    [anon_sym_AMP_AMP] = ACTIONS(2366),
    [anon_sym_AMP] = ACTIONS(2364),
    [anon_sym_SEMI] = ACTIONS(2366),
    [anon_sym___extension__] = ACTIONS(2364),
    [anon_sym_typedef] = ACTIONS(2364),
    [anon_sym_in] = ACTIONS(2364),
    [anon_sym_out] = ACTIONS(2364),
    [anon_sym_inout] = ACTIONS(2364),
    [anon_sym_extern] = ACTIONS(2364),
    [anon_sym___attribute__] = ACTIONS(2364),
    [anon_sym_COLON_COLON] = ACTIONS(2366),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2366),
    [anon_sym___declspec] = ACTIONS(2364),
    [anon_sym___based] = ACTIONS(2364),
    [anon_sym___cdecl] = ACTIONS(2364),
    [anon_sym___clrcall] = ACTIONS(2364),
    [anon_sym___stdcall] = ACTIONS(2364),
    [anon_sym___fastcall] = ACTIONS(2364),
    [anon_sym___thiscall] = ACTIONS(2364),
    [anon_sym___vectorcall] = ACTIONS(2364),
    [anon_sym_LBRACE] = ACTIONS(2366),
    [anon_sym_signed] = ACTIONS(2364),
    [anon_sym_unsigned] = ACTIONS(2364),
    [anon_sym_long] = ACTIONS(2364),
    [anon_sym_short] = ACTIONS(2364),
    [anon_sym_LBRACK] = ACTIONS(2364),
    [anon_sym_static] = ACTIONS(2364),
    [anon_sym_register] = ACTIONS(2364),
    [anon_sym_inline] = ACTIONS(2364),
    [anon_sym___inline] = ACTIONS(2364),
    [anon_sym___inline__] = ACTIONS(2364),
    [anon_sym___forceinline] = ACTIONS(2364),
    [anon_sym_thread_local] = ACTIONS(2364),
    [anon_sym___thread] = ACTIONS(2364),
    [anon_sym_const] = ACTIONS(2364),
    [anon_sym_constexpr] = ACTIONS(2364),
    [anon_sym_volatile] = ACTIONS(2364),
    [anon_sym_restrict] = ACTIONS(2364),
    [anon_sym___restrict__] = ACTIONS(2364),
    [anon_sym__Atomic] = ACTIONS(2364),
    [anon_sym__Noreturn] = ACTIONS(2364),
    [anon_sym_noreturn] = ACTIONS(2364),
    [anon_sym_mutable] = ACTIONS(2364),
    [anon_sym_constinit] = ACTIONS(2364),
    [anon_sym_consteval] = ACTIONS(2364),
    [sym_primitive_type] = ACTIONS(2364),
    [anon_sym_enum] = ACTIONS(2364),
    [anon_sym_class] = ACTIONS(2364),
    [anon_sym_struct] = ACTIONS(2364),
    [anon_sym_union] = ACTIONS(2364),
    [anon_sym_if] = ACTIONS(2364),
    [anon_sym_else] = ACTIONS(2364),
    [anon_sym_switch] = ACTIONS(2364),
    [anon_sym_case] = ACTIONS(2364),
    [anon_sym_default] = ACTIONS(2364),
    [anon_sym_while] = ACTIONS(2364),
    [anon_sym_do] = ACTIONS(2364),
    [anon_sym_for] = ACTIONS(2364),
    [anon_sym_return] = ACTIONS(2364),
    [anon_sym_break] = ACTIONS(2364),
    [anon_sym_continue] = ACTIONS(2364),
    [anon_sym_goto] = ACTIONS(2364),
    [anon_sym___try] = ACTIONS(2364),
    [anon_sym___leave] = ACTIONS(2364),
    [anon_sym_not] = ACTIONS(2364),
    [anon_sym_compl] = ACTIONS(2364),
    [anon_sym_DASH_DASH] = ACTIONS(2366),
    [anon_sym_PLUS_PLUS] = ACTIONS(2366),
    [anon_sym_sizeof] = ACTIONS(2364),
    [anon_sym___alignof__] = ACTIONS(2364),
    [anon_sym___alignof] = ACTIONS(2364),
    [anon_sym__alignof] = ACTIONS(2364),
    [anon_sym_alignof] = ACTIONS(2364),
    [anon_sym__Alignof] = ACTIONS(2364),
    [anon_sym_offsetof] = ACTIONS(2364),
    [anon_sym__Generic] = ACTIONS(2364),
    [anon_sym_asm] = ACTIONS(2364),
    [anon_sym___asm__] = ACTIONS(2364),
    [sym_number_literal] = ACTIONS(2366),
    [anon_sym_L_SQUOTE] = ACTIONS(2366),
    [anon_sym_u_SQUOTE] = ACTIONS(2366),
    [anon_sym_U_SQUOTE] = ACTIONS(2366),
    [anon_sym_u8_SQUOTE] = ACTIONS(2366),
    [anon_sym_SQUOTE] = ACTIONS(2366),
    [anon_sym_L_DQUOTE] = ACTIONS(2366),
    [anon_sym_u_DQUOTE] = ACTIONS(2366),
    [anon_sym_U_DQUOTE] = ACTIONS(2366),
    [anon_sym_u8_DQUOTE] = ACTIONS(2366),
    [anon_sym_DQUOTE] = ACTIONS(2366),
    [sym_true] = ACTIONS(2364),
    [sym_false] = ACTIONS(2364),
    [anon_sym_NULL] = ACTIONS(2364),
    [anon_sym_nullptr] = ACTIONS(2364),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2364),
    [anon_sym_decltype] = ACTIONS(2364),
    [anon_sym_virtual] = ACTIONS(2364),
    [anon_sym_alignas] = ACTIONS(2364),
    [anon_sym_explicit] = ACTIONS(2364),
    [anon_sym_typename] = ACTIONS(2364),
    [anon_sym_template] = ACTIONS(2364),
    [anon_sym_operator] = ACTIONS(2364),
    [anon_sym_try] = ACTIONS(2364),
    [anon_sym_delete] = ACTIONS(2364),
    [anon_sym_throw] = ACTIONS(2364),
    [anon_sym_namespace] = ACTIONS(2364),
    [anon_sym_using] = ACTIONS(2364),
    [anon_sym_static_assert] = ACTIONS(2364),
    [anon_sym_concept] = ACTIONS(2364),
    [anon_sym_co_return] = ACTIONS(2364),
    [anon_sym_co_yield] = ACTIONS(2364),
    [anon_sym_R_DQUOTE] = ACTIONS(2366),
    [anon_sym_LR_DQUOTE] = ACTIONS(2366),
    [anon_sym_uR_DQUOTE] = ACTIONS(2366),
    [anon_sym_UR_DQUOTE] = ACTIONS(2366),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2366),
    [anon_sym_co_await] = ACTIONS(2364),
    [anon_sym_new] = ACTIONS(2364),
    [anon_sym_requires] = ACTIONS(2364),
    [sym_this] = ACTIONS(2364),
    [anon_sym_discard] = ACTIONS(2364),
    [anon_sym_precise] = ACTIONS(2364),
    [anon_sym_shared] = ACTIONS(2364),
    [anon_sym_groupshared] = ACTIONS(2364),
    [anon_sym_uniform] = ACTIONS(2364),
    [anon_sym_row_major] = ACTIONS(2364),
    [anon_sym_column_major] = ACTIONS(2364),
    [anon_sym_globallycoherent] = ACTIONS(2364),
    [anon_sym_centroid] = ACTIONS(2364),
    [anon_sym_noperspective] = ACTIONS(2364),
    [anon_sym_nointerpolation] = ACTIONS(2364),
    [anon_sym_sample] = ACTIONS(2364),
    [anon_sym_linear] = ACTIONS(2364),
    [anon_sym_snorm] = ACTIONS(2364),
    [anon_sym_unorm] = ACTIONS(2364),
    [anon_sym_point] = ACTIONS(2364),
    [anon_sym_line] = ACTIONS(2364),
    [anon_sym_triangleadj] = ACTIONS(2364),
    [anon_sym_lineadj] = ACTIONS(2364),
    [anon_sym_triangle] = ACTIONS(2364),
    [anon_sym_cbuffer] = ACTIONS(2364),
  },
  [878] = {
    [sym_identifier] = ACTIONS(2364),
    [aux_sym_preproc_include_token1] = ACTIONS(2364),
    [aux_sym_preproc_def_token1] = ACTIONS(2364),
    [aux_sym_preproc_if_token1] = ACTIONS(2364),
    [aux_sym_preproc_if_token2] = ACTIONS(2364),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2364),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2364),
    [sym_preproc_directive] = ACTIONS(2364),
    [anon_sym_LPAREN2] = ACTIONS(2366),
    [anon_sym_BANG] = ACTIONS(2366),
    [anon_sym_TILDE] = ACTIONS(2366),
    [anon_sym_DASH] = ACTIONS(2364),
    [anon_sym_PLUS] = ACTIONS(2364),
    [anon_sym_STAR] = ACTIONS(2366),
    [anon_sym_AMP_AMP] = ACTIONS(2366),
    [anon_sym_AMP] = ACTIONS(2364),
    [anon_sym_SEMI] = ACTIONS(2366),
    [anon_sym___extension__] = ACTIONS(2364),
    [anon_sym_typedef] = ACTIONS(2364),
    [anon_sym_in] = ACTIONS(2364),
    [anon_sym_out] = ACTIONS(2364),
    [anon_sym_inout] = ACTIONS(2364),
    [anon_sym_extern] = ACTIONS(2364),
    [anon_sym___attribute__] = ACTIONS(2364),
    [anon_sym_COLON_COLON] = ACTIONS(2366),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2366),
    [anon_sym___declspec] = ACTIONS(2364),
    [anon_sym___based] = ACTIONS(2364),
    [anon_sym___cdecl] = ACTIONS(2364),
    [anon_sym___clrcall] = ACTIONS(2364),
    [anon_sym___stdcall] = ACTIONS(2364),
    [anon_sym___fastcall] = ACTIONS(2364),
    [anon_sym___thiscall] = ACTIONS(2364),
    [anon_sym___vectorcall] = ACTIONS(2364),
    [anon_sym_LBRACE] = ACTIONS(2366),
    [anon_sym_signed] = ACTIONS(2364),
    [anon_sym_unsigned] = ACTIONS(2364),
    [anon_sym_long] = ACTIONS(2364),
    [anon_sym_short] = ACTIONS(2364),
    [anon_sym_LBRACK] = ACTIONS(2364),
    [anon_sym_static] = ACTIONS(2364),
    [anon_sym_register] = ACTIONS(2364),
    [anon_sym_inline] = ACTIONS(2364),
    [anon_sym___inline] = ACTIONS(2364),
    [anon_sym___inline__] = ACTIONS(2364),
    [anon_sym___forceinline] = ACTIONS(2364),
    [anon_sym_thread_local] = ACTIONS(2364),
    [anon_sym___thread] = ACTIONS(2364),
    [anon_sym_const] = ACTIONS(2364),
    [anon_sym_constexpr] = ACTIONS(2364),
    [anon_sym_volatile] = ACTIONS(2364),
    [anon_sym_restrict] = ACTIONS(2364),
    [anon_sym___restrict__] = ACTIONS(2364),
    [anon_sym__Atomic] = ACTIONS(2364),
    [anon_sym__Noreturn] = ACTIONS(2364),
    [anon_sym_noreturn] = ACTIONS(2364),
    [anon_sym_mutable] = ACTIONS(2364),
    [anon_sym_constinit] = ACTIONS(2364),
    [anon_sym_consteval] = ACTIONS(2364),
    [sym_primitive_type] = ACTIONS(2364),
    [anon_sym_enum] = ACTIONS(2364),
    [anon_sym_class] = ACTIONS(2364),
    [anon_sym_struct] = ACTIONS(2364),
    [anon_sym_union] = ACTIONS(2364),
    [anon_sym_if] = ACTIONS(2364),
    [anon_sym_else] = ACTIONS(2364),
    [anon_sym_switch] = ACTIONS(2364),
    [anon_sym_case] = ACTIONS(2364),
    [anon_sym_default] = ACTIONS(2364),
    [anon_sym_while] = ACTIONS(2364),
    [anon_sym_do] = ACTIONS(2364),
    [anon_sym_for] = ACTIONS(2364),
    [anon_sym_return] = ACTIONS(2364),
    [anon_sym_break] = ACTIONS(2364),
    [anon_sym_continue] = ACTIONS(2364),
    [anon_sym_goto] = ACTIONS(2364),
    [anon_sym___try] = ACTIONS(2364),
    [anon_sym___leave] = ACTIONS(2364),
    [anon_sym_not] = ACTIONS(2364),
    [anon_sym_compl] = ACTIONS(2364),
    [anon_sym_DASH_DASH] = ACTIONS(2366),
    [anon_sym_PLUS_PLUS] = ACTIONS(2366),
    [anon_sym_sizeof] = ACTIONS(2364),
    [anon_sym___alignof__] = ACTIONS(2364),
    [anon_sym___alignof] = ACTIONS(2364),
    [anon_sym__alignof] = ACTIONS(2364),
    [anon_sym_alignof] = ACTIONS(2364),
    [anon_sym__Alignof] = ACTIONS(2364),
    [anon_sym_offsetof] = ACTIONS(2364),
    [anon_sym__Generic] = ACTIONS(2364),
    [anon_sym_asm] = ACTIONS(2364),
    [anon_sym___asm__] = ACTIONS(2364),
    [sym_number_literal] = ACTIONS(2366),
    [anon_sym_L_SQUOTE] = ACTIONS(2366),
    [anon_sym_u_SQUOTE] = ACTIONS(2366),
    [anon_sym_U_SQUOTE] = ACTIONS(2366),
    [anon_sym_u8_SQUOTE] = ACTIONS(2366),
    [anon_sym_SQUOTE] = ACTIONS(2366),
    [anon_sym_L_DQUOTE] = ACTIONS(2366),
    [anon_sym_u_DQUOTE] = ACTIONS(2366),
    [anon_sym_U_DQUOTE] = ACTIONS(2366),
    [anon_sym_u8_DQUOTE] = ACTIONS(2366),
    [anon_sym_DQUOTE] = ACTIONS(2366),
    [sym_true] = ACTIONS(2364),
    [sym_false] = ACTIONS(2364),
    [anon_sym_NULL] = ACTIONS(2364),
    [anon_sym_nullptr] = ACTIONS(2364),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2364),
    [anon_sym_decltype] = ACTIONS(2364),
    [anon_sym_virtual] = ACTIONS(2364),
    [anon_sym_alignas] = ACTIONS(2364),
    [anon_sym_explicit] = ACTIONS(2364),
    [anon_sym_typename] = ACTIONS(2364),
    [anon_sym_template] = ACTIONS(2364),
    [anon_sym_operator] = ACTIONS(2364),
    [anon_sym_try] = ACTIONS(2364),
    [anon_sym_delete] = ACTIONS(2364),
    [anon_sym_throw] = ACTIONS(2364),
    [anon_sym_namespace] = ACTIONS(2364),
    [anon_sym_using] = ACTIONS(2364),
    [anon_sym_static_assert] = ACTIONS(2364),
    [anon_sym_concept] = ACTIONS(2364),
    [anon_sym_co_return] = ACTIONS(2364),
    [anon_sym_co_yield] = ACTIONS(2364),
    [anon_sym_R_DQUOTE] = ACTIONS(2366),
    [anon_sym_LR_DQUOTE] = ACTIONS(2366),
    [anon_sym_uR_DQUOTE] = ACTIONS(2366),
    [anon_sym_UR_DQUOTE] = ACTIONS(2366),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2366),
    [anon_sym_co_await] = ACTIONS(2364),
    [anon_sym_new] = ACTIONS(2364),
    [anon_sym_requires] = ACTIONS(2364),
    [sym_this] = ACTIONS(2364),
    [anon_sym_discard] = ACTIONS(2364),
    [anon_sym_precise] = ACTIONS(2364),
    [anon_sym_shared] = ACTIONS(2364),
    [anon_sym_groupshared] = ACTIONS(2364),
    [anon_sym_uniform] = ACTIONS(2364),
    [anon_sym_row_major] = ACTIONS(2364),
    [anon_sym_column_major] = ACTIONS(2364),
    [anon_sym_globallycoherent] = ACTIONS(2364),
    [anon_sym_centroid] = ACTIONS(2364),
    [anon_sym_noperspective] = ACTIONS(2364),
    [anon_sym_nointerpolation] = ACTIONS(2364),
    [anon_sym_sample] = ACTIONS(2364),
    [anon_sym_linear] = ACTIONS(2364),
    [anon_sym_snorm] = ACTIONS(2364),
    [anon_sym_unorm] = ACTIONS(2364),
    [anon_sym_point] = ACTIONS(2364),
    [anon_sym_line] = ACTIONS(2364),
    [anon_sym_triangleadj] = ACTIONS(2364),
    [anon_sym_lineadj] = ACTIONS(2364),
    [anon_sym_triangle] = ACTIONS(2364),
    [anon_sym_cbuffer] = ACTIONS(2364),
  },
  [879] = {
    [sym_identifier] = ACTIONS(2334),
    [aux_sym_preproc_include_token1] = ACTIONS(2334),
    [aux_sym_preproc_def_token1] = ACTIONS(2334),
    [aux_sym_preproc_if_token1] = ACTIONS(2334),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2334),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2334),
    [sym_preproc_directive] = ACTIONS(2334),
    [anon_sym_LPAREN2] = ACTIONS(2336),
    [anon_sym_BANG] = ACTIONS(2336),
    [anon_sym_TILDE] = ACTIONS(2336),
    [anon_sym_DASH] = ACTIONS(2334),
    [anon_sym_PLUS] = ACTIONS(2334),
    [anon_sym_STAR] = ACTIONS(2336),
    [anon_sym_AMP_AMP] = ACTIONS(2336),
    [anon_sym_AMP] = ACTIONS(2334),
    [anon_sym_SEMI] = ACTIONS(2336),
    [anon_sym___extension__] = ACTIONS(2334),
    [anon_sym_typedef] = ACTIONS(2334),
    [anon_sym_in] = ACTIONS(2334),
    [anon_sym_out] = ACTIONS(2334),
    [anon_sym_inout] = ACTIONS(2334),
    [anon_sym_extern] = ACTIONS(2334),
    [anon_sym___attribute__] = ACTIONS(2334),
    [anon_sym_COLON_COLON] = ACTIONS(2336),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2336),
    [anon_sym___declspec] = ACTIONS(2334),
    [anon_sym___based] = ACTIONS(2334),
    [anon_sym___cdecl] = ACTIONS(2334),
    [anon_sym___clrcall] = ACTIONS(2334),
    [anon_sym___stdcall] = ACTIONS(2334),
    [anon_sym___fastcall] = ACTIONS(2334),
    [anon_sym___thiscall] = ACTIONS(2334),
    [anon_sym___vectorcall] = ACTIONS(2334),
    [anon_sym_LBRACE] = ACTIONS(2336),
    [anon_sym_RBRACE] = ACTIONS(2336),
    [anon_sym_signed] = ACTIONS(2334),
    [anon_sym_unsigned] = ACTIONS(2334),
    [anon_sym_long] = ACTIONS(2334),
    [anon_sym_short] = ACTIONS(2334),
    [anon_sym_LBRACK] = ACTIONS(2334),
    [anon_sym_static] = ACTIONS(2334),
    [anon_sym_register] = ACTIONS(2334),
    [anon_sym_inline] = ACTIONS(2334),
    [anon_sym___inline] = ACTIONS(2334),
    [anon_sym___inline__] = ACTIONS(2334),
    [anon_sym___forceinline] = ACTIONS(2334),
    [anon_sym_thread_local] = ACTIONS(2334),
    [anon_sym___thread] = ACTIONS(2334),
    [anon_sym_const] = ACTIONS(2334),
    [anon_sym_constexpr] = ACTIONS(2334),
    [anon_sym_volatile] = ACTIONS(2334),
    [anon_sym_restrict] = ACTIONS(2334),
    [anon_sym___restrict__] = ACTIONS(2334),
    [anon_sym__Atomic] = ACTIONS(2334),
    [anon_sym__Noreturn] = ACTIONS(2334),
    [anon_sym_noreturn] = ACTIONS(2334),
    [anon_sym_mutable] = ACTIONS(2334),
    [anon_sym_constinit] = ACTIONS(2334),
    [anon_sym_consteval] = ACTIONS(2334),
    [sym_primitive_type] = ACTIONS(2334),
    [anon_sym_enum] = ACTIONS(2334),
    [anon_sym_class] = ACTIONS(2334),
    [anon_sym_struct] = ACTIONS(2334),
    [anon_sym_union] = ACTIONS(2334),
    [anon_sym_if] = ACTIONS(2334),
    [anon_sym_else] = ACTIONS(2334),
    [anon_sym_switch] = ACTIONS(2334),
    [anon_sym_case] = ACTIONS(2334),
    [anon_sym_default] = ACTIONS(2334),
    [anon_sym_while] = ACTIONS(2334),
    [anon_sym_do] = ACTIONS(2334),
    [anon_sym_for] = ACTIONS(2334),
    [anon_sym_return] = ACTIONS(2334),
    [anon_sym_break] = ACTIONS(2334),
    [anon_sym_continue] = ACTIONS(2334),
    [anon_sym_goto] = ACTIONS(2334),
    [anon_sym___try] = ACTIONS(2334),
    [anon_sym___leave] = ACTIONS(2334),
    [anon_sym_not] = ACTIONS(2334),
    [anon_sym_compl] = ACTIONS(2334),
    [anon_sym_DASH_DASH] = ACTIONS(2336),
    [anon_sym_PLUS_PLUS] = ACTIONS(2336),
    [anon_sym_sizeof] = ACTIONS(2334),
    [anon_sym___alignof__] = ACTIONS(2334),
    [anon_sym___alignof] = ACTIONS(2334),
    [anon_sym__alignof] = ACTIONS(2334),
    [anon_sym_alignof] = ACTIONS(2334),
    [anon_sym__Alignof] = ACTIONS(2334),
    [anon_sym_offsetof] = ACTIONS(2334),
    [anon_sym__Generic] = ACTIONS(2334),
    [anon_sym_asm] = ACTIONS(2334),
    [anon_sym___asm__] = ACTIONS(2334),
    [sym_number_literal] = ACTIONS(2336),
    [anon_sym_L_SQUOTE] = ACTIONS(2336),
    [anon_sym_u_SQUOTE] = ACTIONS(2336),
    [anon_sym_U_SQUOTE] = ACTIONS(2336),
    [anon_sym_u8_SQUOTE] = ACTIONS(2336),
    [anon_sym_SQUOTE] = ACTIONS(2336),
    [anon_sym_L_DQUOTE] = ACTIONS(2336),
    [anon_sym_u_DQUOTE] = ACTIONS(2336),
    [anon_sym_U_DQUOTE] = ACTIONS(2336),
    [anon_sym_u8_DQUOTE] = ACTIONS(2336),
    [anon_sym_DQUOTE] = ACTIONS(2336),
    [sym_true] = ACTIONS(2334),
    [sym_false] = ACTIONS(2334),
    [anon_sym_NULL] = ACTIONS(2334),
    [anon_sym_nullptr] = ACTIONS(2334),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2334),
    [anon_sym_decltype] = ACTIONS(2334),
    [anon_sym_virtual] = ACTIONS(2334),
    [anon_sym_alignas] = ACTIONS(2334),
    [anon_sym_explicit] = ACTIONS(2334),
    [anon_sym_typename] = ACTIONS(2334),
    [anon_sym_template] = ACTIONS(2334),
    [anon_sym_operator] = ACTIONS(2334),
    [anon_sym_try] = ACTIONS(2334),
    [anon_sym_delete] = ACTIONS(2334),
    [anon_sym_throw] = ACTIONS(2334),
    [anon_sym_namespace] = ACTIONS(2334),
    [anon_sym_using] = ACTIONS(2334),
    [anon_sym_static_assert] = ACTIONS(2334),
    [anon_sym_concept] = ACTIONS(2334),
    [anon_sym_co_return] = ACTIONS(2334),
    [anon_sym_co_yield] = ACTIONS(2334),
    [anon_sym_R_DQUOTE] = ACTIONS(2336),
    [anon_sym_LR_DQUOTE] = ACTIONS(2336),
    [anon_sym_uR_DQUOTE] = ACTIONS(2336),
    [anon_sym_UR_DQUOTE] = ACTIONS(2336),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2336),
    [anon_sym_co_await] = ACTIONS(2334),
    [anon_sym_new] = ACTIONS(2334),
    [anon_sym_requires] = ACTIONS(2334),
    [sym_this] = ACTIONS(2334),
    [anon_sym_discard] = ACTIONS(2334),
    [anon_sym_precise] = ACTIONS(2334),
    [anon_sym_shared] = ACTIONS(2334),
    [anon_sym_groupshared] = ACTIONS(2334),
    [anon_sym_uniform] = ACTIONS(2334),
    [anon_sym_row_major] = ACTIONS(2334),
    [anon_sym_column_major] = ACTIONS(2334),
    [anon_sym_globallycoherent] = ACTIONS(2334),
    [anon_sym_centroid] = ACTIONS(2334),
    [anon_sym_noperspective] = ACTIONS(2334),
    [anon_sym_nointerpolation] = ACTIONS(2334),
    [anon_sym_sample] = ACTIONS(2334),
    [anon_sym_linear] = ACTIONS(2334),
    [anon_sym_snorm] = ACTIONS(2334),
    [anon_sym_unorm] = ACTIONS(2334),
    [anon_sym_point] = ACTIONS(2334),
    [anon_sym_line] = ACTIONS(2334),
    [anon_sym_triangleadj] = ACTIONS(2334),
    [anon_sym_lineadj] = ACTIONS(2334),
    [anon_sym_triangle] = ACTIONS(2334),
    [anon_sym_cbuffer] = ACTIONS(2334),
  },
  [880] = {
    [ts_builtin_sym_end] = ACTIONS(2366),
    [sym_identifier] = ACTIONS(2364),
    [aux_sym_preproc_include_token1] = ACTIONS(2364),
    [aux_sym_preproc_def_token1] = ACTIONS(2364),
    [aux_sym_preproc_if_token1] = ACTIONS(2364),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2364),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2364),
    [sym_preproc_directive] = ACTIONS(2364),
    [anon_sym_LPAREN2] = ACTIONS(2366),
    [anon_sym_BANG] = ACTIONS(2366),
    [anon_sym_TILDE] = ACTIONS(2366),
    [anon_sym_DASH] = ACTIONS(2364),
    [anon_sym_PLUS] = ACTIONS(2364),
    [anon_sym_STAR] = ACTIONS(2366),
    [anon_sym_AMP_AMP] = ACTIONS(2366),
    [anon_sym_AMP] = ACTIONS(2364),
    [anon_sym_SEMI] = ACTIONS(2366),
    [anon_sym___extension__] = ACTIONS(2364),
    [anon_sym_typedef] = ACTIONS(2364),
    [anon_sym_in] = ACTIONS(2364),
    [anon_sym_out] = ACTIONS(2364),
    [anon_sym_inout] = ACTIONS(2364),
    [anon_sym_extern] = ACTIONS(2364),
    [anon_sym___attribute__] = ACTIONS(2364),
    [anon_sym_COLON_COLON] = ACTIONS(2366),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2366),
    [anon_sym___declspec] = ACTIONS(2364),
    [anon_sym___based] = ACTIONS(2364),
    [anon_sym___cdecl] = ACTIONS(2364),
    [anon_sym___clrcall] = ACTIONS(2364),
    [anon_sym___stdcall] = ACTIONS(2364),
    [anon_sym___fastcall] = ACTIONS(2364),
    [anon_sym___thiscall] = ACTIONS(2364),
    [anon_sym___vectorcall] = ACTIONS(2364),
    [anon_sym_LBRACE] = ACTIONS(2366),
    [anon_sym_signed] = ACTIONS(2364),
    [anon_sym_unsigned] = ACTIONS(2364),
    [anon_sym_long] = ACTIONS(2364),
    [anon_sym_short] = ACTIONS(2364),
    [anon_sym_LBRACK] = ACTIONS(2364),
    [anon_sym_static] = ACTIONS(2364),
    [anon_sym_register] = ACTIONS(2364),
    [anon_sym_inline] = ACTIONS(2364),
    [anon_sym___inline] = ACTIONS(2364),
    [anon_sym___inline__] = ACTIONS(2364),
    [anon_sym___forceinline] = ACTIONS(2364),
    [anon_sym_thread_local] = ACTIONS(2364),
    [anon_sym___thread] = ACTIONS(2364),
    [anon_sym_const] = ACTIONS(2364),
    [anon_sym_constexpr] = ACTIONS(2364),
    [anon_sym_volatile] = ACTIONS(2364),
    [anon_sym_restrict] = ACTIONS(2364),
    [anon_sym___restrict__] = ACTIONS(2364),
    [anon_sym__Atomic] = ACTIONS(2364),
    [anon_sym__Noreturn] = ACTIONS(2364),
    [anon_sym_noreturn] = ACTIONS(2364),
    [anon_sym_mutable] = ACTIONS(2364),
    [anon_sym_constinit] = ACTIONS(2364),
    [anon_sym_consteval] = ACTIONS(2364),
    [sym_primitive_type] = ACTIONS(2364),
    [anon_sym_enum] = ACTIONS(2364),
    [anon_sym_class] = ACTIONS(2364),
    [anon_sym_struct] = ACTIONS(2364),
    [anon_sym_union] = ACTIONS(2364),
    [anon_sym_if] = ACTIONS(2364),
    [anon_sym_else] = ACTIONS(2364),
    [anon_sym_switch] = ACTIONS(2364),
    [anon_sym_case] = ACTIONS(2364),
    [anon_sym_default] = ACTIONS(2364),
    [anon_sym_while] = ACTIONS(2364),
    [anon_sym_do] = ACTIONS(2364),
    [anon_sym_for] = ACTIONS(2364),
    [anon_sym_return] = ACTIONS(2364),
    [anon_sym_break] = ACTIONS(2364),
    [anon_sym_continue] = ACTIONS(2364),
    [anon_sym_goto] = ACTIONS(2364),
    [anon_sym___try] = ACTIONS(2364),
    [anon_sym___leave] = ACTIONS(2364),
    [anon_sym_not] = ACTIONS(2364),
    [anon_sym_compl] = ACTIONS(2364),
    [anon_sym_DASH_DASH] = ACTIONS(2366),
    [anon_sym_PLUS_PLUS] = ACTIONS(2366),
    [anon_sym_sizeof] = ACTIONS(2364),
    [anon_sym___alignof__] = ACTIONS(2364),
    [anon_sym___alignof] = ACTIONS(2364),
    [anon_sym__alignof] = ACTIONS(2364),
    [anon_sym_alignof] = ACTIONS(2364),
    [anon_sym__Alignof] = ACTIONS(2364),
    [anon_sym_offsetof] = ACTIONS(2364),
    [anon_sym__Generic] = ACTIONS(2364),
    [anon_sym_asm] = ACTIONS(2364),
    [anon_sym___asm__] = ACTIONS(2364),
    [sym_number_literal] = ACTIONS(2366),
    [anon_sym_L_SQUOTE] = ACTIONS(2366),
    [anon_sym_u_SQUOTE] = ACTIONS(2366),
    [anon_sym_U_SQUOTE] = ACTIONS(2366),
    [anon_sym_u8_SQUOTE] = ACTIONS(2366),
    [anon_sym_SQUOTE] = ACTIONS(2366),
    [anon_sym_L_DQUOTE] = ACTIONS(2366),
    [anon_sym_u_DQUOTE] = ACTIONS(2366),
    [anon_sym_U_DQUOTE] = ACTIONS(2366),
    [anon_sym_u8_DQUOTE] = ACTIONS(2366),
    [anon_sym_DQUOTE] = ACTIONS(2366),
    [sym_true] = ACTIONS(2364),
    [sym_false] = ACTIONS(2364),
    [anon_sym_NULL] = ACTIONS(2364),
    [anon_sym_nullptr] = ACTIONS(2364),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2364),
    [anon_sym_decltype] = ACTIONS(2364),
    [anon_sym_virtual] = ACTIONS(2364),
    [anon_sym_alignas] = ACTIONS(2364),
    [anon_sym_explicit] = ACTIONS(2364),
    [anon_sym_typename] = ACTIONS(2364),
    [anon_sym_template] = ACTIONS(2364),
    [anon_sym_operator] = ACTIONS(2364),
    [anon_sym_try] = ACTIONS(2364),
    [anon_sym_delete] = ACTIONS(2364),
    [anon_sym_throw] = ACTIONS(2364),
    [anon_sym_namespace] = ACTIONS(2364),
    [anon_sym_using] = ACTIONS(2364),
    [anon_sym_static_assert] = ACTIONS(2364),
    [anon_sym_concept] = ACTIONS(2364),
    [anon_sym_co_return] = ACTIONS(2364),
    [anon_sym_co_yield] = ACTIONS(2364),
    [anon_sym_R_DQUOTE] = ACTIONS(2366),
    [anon_sym_LR_DQUOTE] = ACTIONS(2366),
    [anon_sym_uR_DQUOTE] = ACTIONS(2366),
    [anon_sym_UR_DQUOTE] = ACTIONS(2366),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2366),
    [anon_sym_co_await] = ACTIONS(2364),
    [anon_sym_new] = ACTIONS(2364),
    [anon_sym_requires] = ACTIONS(2364),
    [sym_this] = ACTIONS(2364),
    [anon_sym_discard] = ACTIONS(2364),
    [anon_sym_precise] = ACTIONS(2364),
    [anon_sym_shared] = ACTIONS(2364),
    [anon_sym_groupshared] = ACTIONS(2364),
    [anon_sym_uniform] = ACTIONS(2364),
    [anon_sym_row_major] = ACTIONS(2364),
    [anon_sym_column_major] = ACTIONS(2364),
    [anon_sym_globallycoherent] = ACTIONS(2364),
    [anon_sym_centroid] = ACTIONS(2364),
    [anon_sym_noperspective] = ACTIONS(2364),
    [anon_sym_nointerpolation] = ACTIONS(2364),
    [anon_sym_sample] = ACTIONS(2364),
    [anon_sym_linear] = ACTIONS(2364),
    [anon_sym_snorm] = ACTIONS(2364),
    [anon_sym_unorm] = ACTIONS(2364),
    [anon_sym_point] = ACTIONS(2364),
    [anon_sym_line] = ACTIONS(2364),
    [anon_sym_triangleadj] = ACTIONS(2364),
    [anon_sym_lineadj] = ACTIONS(2364),
    [anon_sym_triangle] = ACTIONS(2364),
    [anon_sym_cbuffer] = ACTIONS(2364),
  },
  [881] = {
    [ts_builtin_sym_end] = ACTIONS(2366),
    [sym_identifier] = ACTIONS(2364),
    [aux_sym_preproc_include_token1] = ACTIONS(2364),
    [aux_sym_preproc_def_token1] = ACTIONS(2364),
    [aux_sym_preproc_if_token1] = ACTIONS(2364),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2364),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2364),
    [sym_preproc_directive] = ACTIONS(2364),
    [anon_sym_LPAREN2] = ACTIONS(2366),
    [anon_sym_BANG] = ACTIONS(2366),
    [anon_sym_TILDE] = ACTIONS(2366),
    [anon_sym_DASH] = ACTIONS(2364),
    [anon_sym_PLUS] = ACTIONS(2364),
    [anon_sym_STAR] = ACTIONS(2366),
    [anon_sym_AMP_AMP] = ACTIONS(2366),
    [anon_sym_AMP] = ACTIONS(2364),
    [anon_sym_SEMI] = ACTIONS(2366),
    [anon_sym___extension__] = ACTIONS(2364),
    [anon_sym_typedef] = ACTIONS(2364),
    [anon_sym_in] = ACTIONS(2364),
    [anon_sym_out] = ACTIONS(2364),
    [anon_sym_inout] = ACTIONS(2364),
    [anon_sym_extern] = ACTIONS(2364),
    [anon_sym___attribute__] = ACTIONS(2364),
    [anon_sym_COLON_COLON] = ACTIONS(2366),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2366),
    [anon_sym___declspec] = ACTIONS(2364),
    [anon_sym___based] = ACTIONS(2364),
    [anon_sym___cdecl] = ACTIONS(2364),
    [anon_sym___clrcall] = ACTIONS(2364),
    [anon_sym___stdcall] = ACTIONS(2364),
    [anon_sym___fastcall] = ACTIONS(2364),
    [anon_sym___thiscall] = ACTIONS(2364),
    [anon_sym___vectorcall] = ACTIONS(2364),
    [anon_sym_LBRACE] = ACTIONS(2366),
    [anon_sym_signed] = ACTIONS(2364),
    [anon_sym_unsigned] = ACTIONS(2364),
    [anon_sym_long] = ACTIONS(2364),
    [anon_sym_short] = ACTIONS(2364),
    [anon_sym_LBRACK] = ACTIONS(2364),
    [anon_sym_static] = ACTIONS(2364),
    [anon_sym_register] = ACTIONS(2364),
    [anon_sym_inline] = ACTIONS(2364),
    [anon_sym___inline] = ACTIONS(2364),
    [anon_sym___inline__] = ACTIONS(2364),
    [anon_sym___forceinline] = ACTIONS(2364),
    [anon_sym_thread_local] = ACTIONS(2364),
    [anon_sym___thread] = ACTIONS(2364),
    [anon_sym_const] = ACTIONS(2364),
    [anon_sym_constexpr] = ACTIONS(2364),
    [anon_sym_volatile] = ACTIONS(2364),
    [anon_sym_restrict] = ACTIONS(2364),
    [anon_sym___restrict__] = ACTIONS(2364),
    [anon_sym__Atomic] = ACTIONS(2364),
    [anon_sym__Noreturn] = ACTIONS(2364),
    [anon_sym_noreturn] = ACTIONS(2364),
    [anon_sym_mutable] = ACTIONS(2364),
    [anon_sym_constinit] = ACTIONS(2364),
    [anon_sym_consteval] = ACTIONS(2364),
    [sym_primitive_type] = ACTIONS(2364),
    [anon_sym_enum] = ACTIONS(2364),
    [anon_sym_class] = ACTIONS(2364),
    [anon_sym_struct] = ACTIONS(2364),
    [anon_sym_union] = ACTIONS(2364),
    [anon_sym_if] = ACTIONS(2364),
    [anon_sym_else] = ACTIONS(2364),
    [anon_sym_switch] = ACTIONS(2364),
    [anon_sym_case] = ACTIONS(2364),
    [anon_sym_default] = ACTIONS(2364),
    [anon_sym_while] = ACTIONS(2364),
    [anon_sym_do] = ACTIONS(2364),
    [anon_sym_for] = ACTIONS(2364),
    [anon_sym_return] = ACTIONS(2364),
    [anon_sym_break] = ACTIONS(2364),
    [anon_sym_continue] = ACTIONS(2364),
    [anon_sym_goto] = ACTIONS(2364),
    [anon_sym___try] = ACTIONS(2364),
    [anon_sym___leave] = ACTIONS(2364),
    [anon_sym_not] = ACTIONS(2364),
    [anon_sym_compl] = ACTIONS(2364),
    [anon_sym_DASH_DASH] = ACTIONS(2366),
    [anon_sym_PLUS_PLUS] = ACTIONS(2366),
    [anon_sym_sizeof] = ACTIONS(2364),
    [anon_sym___alignof__] = ACTIONS(2364),
    [anon_sym___alignof] = ACTIONS(2364),
    [anon_sym__alignof] = ACTIONS(2364),
    [anon_sym_alignof] = ACTIONS(2364),
    [anon_sym__Alignof] = ACTIONS(2364),
    [anon_sym_offsetof] = ACTIONS(2364),
    [anon_sym__Generic] = ACTIONS(2364),
    [anon_sym_asm] = ACTIONS(2364),
    [anon_sym___asm__] = ACTIONS(2364),
    [sym_number_literal] = ACTIONS(2366),
    [anon_sym_L_SQUOTE] = ACTIONS(2366),
    [anon_sym_u_SQUOTE] = ACTIONS(2366),
    [anon_sym_U_SQUOTE] = ACTIONS(2366),
    [anon_sym_u8_SQUOTE] = ACTIONS(2366),
    [anon_sym_SQUOTE] = ACTIONS(2366),
    [anon_sym_L_DQUOTE] = ACTIONS(2366),
    [anon_sym_u_DQUOTE] = ACTIONS(2366),
    [anon_sym_U_DQUOTE] = ACTIONS(2366),
    [anon_sym_u8_DQUOTE] = ACTIONS(2366),
    [anon_sym_DQUOTE] = ACTIONS(2366),
    [sym_true] = ACTIONS(2364),
    [sym_false] = ACTIONS(2364),
    [anon_sym_NULL] = ACTIONS(2364),
    [anon_sym_nullptr] = ACTIONS(2364),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2364),
    [anon_sym_decltype] = ACTIONS(2364),
    [anon_sym_virtual] = ACTIONS(2364),
    [anon_sym_alignas] = ACTIONS(2364),
    [anon_sym_explicit] = ACTIONS(2364),
    [anon_sym_typename] = ACTIONS(2364),
    [anon_sym_template] = ACTIONS(2364),
    [anon_sym_operator] = ACTIONS(2364),
    [anon_sym_try] = ACTIONS(2364),
    [anon_sym_delete] = ACTIONS(2364),
    [anon_sym_throw] = ACTIONS(2364),
    [anon_sym_namespace] = ACTIONS(2364),
    [anon_sym_using] = ACTIONS(2364),
    [anon_sym_static_assert] = ACTIONS(2364),
    [anon_sym_concept] = ACTIONS(2364),
    [anon_sym_co_return] = ACTIONS(2364),
    [anon_sym_co_yield] = ACTIONS(2364),
    [anon_sym_R_DQUOTE] = ACTIONS(2366),
    [anon_sym_LR_DQUOTE] = ACTIONS(2366),
    [anon_sym_uR_DQUOTE] = ACTIONS(2366),
    [anon_sym_UR_DQUOTE] = ACTIONS(2366),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2366),
    [anon_sym_co_await] = ACTIONS(2364),
    [anon_sym_new] = ACTIONS(2364),
    [anon_sym_requires] = ACTIONS(2364),
    [sym_this] = ACTIONS(2364),
    [anon_sym_discard] = ACTIONS(2364),
    [anon_sym_precise] = ACTIONS(2364),
    [anon_sym_shared] = ACTIONS(2364),
    [anon_sym_groupshared] = ACTIONS(2364),
    [anon_sym_uniform] = ACTIONS(2364),
    [anon_sym_row_major] = ACTIONS(2364),
    [anon_sym_column_major] = ACTIONS(2364),
    [anon_sym_globallycoherent] = ACTIONS(2364),
    [anon_sym_centroid] = ACTIONS(2364),
    [anon_sym_noperspective] = ACTIONS(2364),
    [anon_sym_nointerpolation] = ACTIONS(2364),
    [anon_sym_sample] = ACTIONS(2364),
    [anon_sym_linear] = ACTIONS(2364),
    [anon_sym_snorm] = ACTIONS(2364),
    [anon_sym_unorm] = ACTIONS(2364),
    [anon_sym_point] = ACTIONS(2364),
    [anon_sym_line] = ACTIONS(2364),
    [anon_sym_triangleadj] = ACTIONS(2364),
    [anon_sym_lineadj] = ACTIONS(2364),
    [anon_sym_triangle] = ACTIONS(2364),
    [anon_sym_cbuffer] = ACTIONS(2364),
  },
  [882] = {
    [sym_identifier] = ACTIONS(2364),
    [aux_sym_preproc_include_token1] = ACTIONS(2364),
    [aux_sym_preproc_def_token1] = ACTIONS(2364),
    [aux_sym_preproc_if_token1] = ACTIONS(2364),
    [aux_sym_preproc_if_token2] = ACTIONS(2364),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2364),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2364),
    [sym_preproc_directive] = ACTIONS(2364),
    [anon_sym_LPAREN2] = ACTIONS(2366),
    [anon_sym_BANG] = ACTIONS(2366),
    [anon_sym_TILDE] = ACTIONS(2366),
    [anon_sym_DASH] = ACTIONS(2364),
    [anon_sym_PLUS] = ACTIONS(2364),
    [anon_sym_STAR] = ACTIONS(2366),
    [anon_sym_AMP_AMP] = ACTIONS(2366),
    [anon_sym_AMP] = ACTIONS(2364),
    [anon_sym_SEMI] = ACTIONS(2366),
    [anon_sym___extension__] = ACTIONS(2364),
    [anon_sym_typedef] = ACTIONS(2364),
    [anon_sym_in] = ACTIONS(2364),
    [anon_sym_out] = ACTIONS(2364),
    [anon_sym_inout] = ACTIONS(2364),
    [anon_sym_extern] = ACTIONS(2364),
    [anon_sym___attribute__] = ACTIONS(2364),
    [anon_sym_COLON_COLON] = ACTIONS(2366),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2366),
    [anon_sym___declspec] = ACTIONS(2364),
    [anon_sym___based] = ACTIONS(2364),
    [anon_sym___cdecl] = ACTIONS(2364),
    [anon_sym___clrcall] = ACTIONS(2364),
    [anon_sym___stdcall] = ACTIONS(2364),
    [anon_sym___fastcall] = ACTIONS(2364),
    [anon_sym___thiscall] = ACTIONS(2364),
    [anon_sym___vectorcall] = ACTIONS(2364),
    [anon_sym_LBRACE] = ACTIONS(2366),
    [anon_sym_signed] = ACTIONS(2364),
    [anon_sym_unsigned] = ACTIONS(2364),
    [anon_sym_long] = ACTIONS(2364),
    [anon_sym_short] = ACTIONS(2364),
    [anon_sym_LBRACK] = ACTIONS(2364),
    [anon_sym_static] = ACTIONS(2364),
    [anon_sym_register] = ACTIONS(2364),
    [anon_sym_inline] = ACTIONS(2364),
    [anon_sym___inline] = ACTIONS(2364),
    [anon_sym___inline__] = ACTIONS(2364),
    [anon_sym___forceinline] = ACTIONS(2364),
    [anon_sym_thread_local] = ACTIONS(2364),
    [anon_sym___thread] = ACTIONS(2364),
    [anon_sym_const] = ACTIONS(2364),
    [anon_sym_constexpr] = ACTIONS(2364),
    [anon_sym_volatile] = ACTIONS(2364),
    [anon_sym_restrict] = ACTIONS(2364),
    [anon_sym___restrict__] = ACTIONS(2364),
    [anon_sym__Atomic] = ACTIONS(2364),
    [anon_sym__Noreturn] = ACTIONS(2364),
    [anon_sym_noreturn] = ACTIONS(2364),
    [anon_sym_mutable] = ACTIONS(2364),
    [anon_sym_constinit] = ACTIONS(2364),
    [anon_sym_consteval] = ACTIONS(2364),
    [sym_primitive_type] = ACTIONS(2364),
    [anon_sym_enum] = ACTIONS(2364),
    [anon_sym_class] = ACTIONS(2364),
    [anon_sym_struct] = ACTIONS(2364),
    [anon_sym_union] = ACTIONS(2364),
    [anon_sym_if] = ACTIONS(2364),
    [anon_sym_else] = ACTIONS(2364),
    [anon_sym_switch] = ACTIONS(2364),
    [anon_sym_case] = ACTIONS(2364),
    [anon_sym_default] = ACTIONS(2364),
    [anon_sym_while] = ACTIONS(2364),
    [anon_sym_do] = ACTIONS(2364),
    [anon_sym_for] = ACTIONS(2364),
    [anon_sym_return] = ACTIONS(2364),
    [anon_sym_break] = ACTIONS(2364),
    [anon_sym_continue] = ACTIONS(2364),
    [anon_sym_goto] = ACTIONS(2364),
    [anon_sym___try] = ACTIONS(2364),
    [anon_sym___leave] = ACTIONS(2364),
    [anon_sym_not] = ACTIONS(2364),
    [anon_sym_compl] = ACTIONS(2364),
    [anon_sym_DASH_DASH] = ACTIONS(2366),
    [anon_sym_PLUS_PLUS] = ACTIONS(2366),
    [anon_sym_sizeof] = ACTIONS(2364),
    [anon_sym___alignof__] = ACTIONS(2364),
    [anon_sym___alignof] = ACTIONS(2364),
    [anon_sym__alignof] = ACTIONS(2364),
    [anon_sym_alignof] = ACTIONS(2364),
    [anon_sym__Alignof] = ACTIONS(2364),
    [anon_sym_offsetof] = ACTIONS(2364),
    [anon_sym__Generic] = ACTIONS(2364),
    [anon_sym_asm] = ACTIONS(2364),
    [anon_sym___asm__] = ACTIONS(2364),
    [sym_number_literal] = ACTIONS(2366),
    [anon_sym_L_SQUOTE] = ACTIONS(2366),
    [anon_sym_u_SQUOTE] = ACTIONS(2366),
    [anon_sym_U_SQUOTE] = ACTIONS(2366),
    [anon_sym_u8_SQUOTE] = ACTIONS(2366),
    [anon_sym_SQUOTE] = ACTIONS(2366),
    [anon_sym_L_DQUOTE] = ACTIONS(2366),
    [anon_sym_u_DQUOTE] = ACTIONS(2366),
    [anon_sym_U_DQUOTE] = ACTIONS(2366),
    [anon_sym_u8_DQUOTE] = ACTIONS(2366),
    [anon_sym_DQUOTE] = ACTIONS(2366),
    [sym_true] = ACTIONS(2364),
    [sym_false] = ACTIONS(2364),
    [anon_sym_NULL] = ACTIONS(2364),
    [anon_sym_nullptr] = ACTIONS(2364),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2364),
    [anon_sym_decltype] = ACTIONS(2364),
    [anon_sym_virtual] = ACTIONS(2364),
    [anon_sym_alignas] = ACTIONS(2364),
    [anon_sym_explicit] = ACTIONS(2364),
    [anon_sym_typename] = ACTIONS(2364),
    [anon_sym_template] = ACTIONS(2364),
    [anon_sym_operator] = ACTIONS(2364),
    [anon_sym_try] = ACTIONS(2364),
    [anon_sym_delete] = ACTIONS(2364),
    [anon_sym_throw] = ACTIONS(2364),
    [anon_sym_namespace] = ACTIONS(2364),
    [anon_sym_using] = ACTIONS(2364),
    [anon_sym_static_assert] = ACTIONS(2364),
    [anon_sym_concept] = ACTIONS(2364),
    [anon_sym_co_return] = ACTIONS(2364),
    [anon_sym_co_yield] = ACTIONS(2364),
    [anon_sym_R_DQUOTE] = ACTIONS(2366),
    [anon_sym_LR_DQUOTE] = ACTIONS(2366),
    [anon_sym_uR_DQUOTE] = ACTIONS(2366),
    [anon_sym_UR_DQUOTE] = ACTIONS(2366),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2366),
    [anon_sym_co_await] = ACTIONS(2364),
    [anon_sym_new] = ACTIONS(2364),
    [anon_sym_requires] = ACTIONS(2364),
    [sym_this] = ACTIONS(2364),
    [anon_sym_discard] = ACTIONS(2364),
    [anon_sym_precise] = ACTIONS(2364),
    [anon_sym_shared] = ACTIONS(2364),
    [anon_sym_groupshared] = ACTIONS(2364),
    [anon_sym_uniform] = ACTIONS(2364),
    [anon_sym_row_major] = ACTIONS(2364),
    [anon_sym_column_major] = ACTIONS(2364),
    [anon_sym_globallycoherent] = ACTIONS(2364),
    [anon_sym_centroid] = ACTIONS(2364),
    [anon_sym_noperspective] = ACTIONS(2364),
    [anon_sym_nointerpolation] = ACTIONS(2364),
    [anon_sym_sample] = ACTIONS(2364),
    [anon_sym_linear] = ACTIONS(2364),
    [anon_sym_snorm] = ACTIONS(2364),
    [anon_sym_unorm] = ACTIONS(2364),
    [anon_sym_point] = ACTIONS(2364),
    [anon_sym_line] = ACTIONS(2364),
    [anon_sym_triangleadj] = ACTIONS(2364),
    [anon_sym_lineadj] = ACTIONS(2364),
    [anon_sym_triangle] = ACTIONS(2364),
    [anon_sym_cbuffer] = ACTIONS(2364),
  },
  [883] = {
    [ts_builtin_sym_end] = ACTIONS(2494),
    [sym_identifier] = ACTIONS(2492),
    [aux_sym_preproc_include_token1] = ACTIONS(2492),
    [aux_sym_preproc_def_token1] = ACTIONS(2492),
    [aux_sym_preproc_if_token1] = ACTIONS(2492),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2492),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2492),
    [sym_preproc_directive] = ACTIONS(2492),
    [anon_sym_LPAREN2] = ACTIONS(2494),
    [anon_sym_BANG] = ACTIONS(2494),
    [anon_sym_TILDE] = ACTIONS(2494),
    [anon_sym_DASH] = ACTIONS(2492),
    [anon_sym_PLUS] = ACTIONS(2492),
    [anon_sym_STAR] = ACTIONS(2494),
    [anon_sym_AMP_AMP] = ACTIONS(2494),
    [anon_sym_AMP] = ACTIONS(2492),
    [anon_sym_SEMI] = ACTIONS(2494),
    [anon_sym___extension__] = ACTIONS(2492),
    [anon_sym_typedef] = ACTIONS(2492),
    [anon_sym_in] = ACTIONS(2492),
    [anon_sym_out] = ACTIONS(2492),
    [anon_sym_inout] = ACTIONS(2492),
    [anon_sym_extern] = ACTIONS(2492),
    [anon_sym___attribute__] = ACTIONS(2492),
    [anon_sym_COLON_COLON] = ACTIONS(2494),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2494),
    [anon_sym___declspec] = ACTIONS(2492),
    [anon_sym___based] = ACTIONS(2492),
    [anon_sym___cdecl] = ACTIONS(2492),
    [anon_sym___clrcall] = ACTIONS(2492),
    [anon_sym___stdcall] = ACTIONS(2492),
    [anon_sym___fastcall] = ACTIONS(2492),
    [anon_sym___thiscall] = ACTIONS(2492),
    [anon_sym___vectorcall] = ACTIONS(2492),
    [anon_sym_LBRACE] = ACTIONS(2494),
    [anon_sym_signed] = ACTIONS(2492),
    [anon_sym_unsigned] = ACTIONS(2492),
    [anon_sym_long] = ACTIONS(2492),
    [anon_sym_short] = ACTIONS(2492),
    [anon_sym_LBRACK] = ACTIONS(2492),
    [anon_sym_static] = ACTIONS(2492),
    [anon_sym_register] = ACTIONS(2492),
    [anon_sym_inline] = ACTIONS(2492),
    [anon_sym___inline] = ACTIONS(2492),
    [anon_sym___inline__] = ACTIONS(2492),
    [anon_sym___forceinline] = ACTIONS(2492),
    [anon_sym_thread_local] = ACTIONS(2492),
    [anon_sym___thread] = ACTIONS(2492),
    [anon_sym_const] = ACTIONS(2492),
    [anon_sym_constexpr] = ACTIONS(2492),
    [anon_sym_volatile] = ACTIONS(2492),
    [anon_sym_restrict] = ACTIONS(2492),
    [anon_sym___restrict__] = ACTIONS(2492),
    [anon_sym__Atomic] = ACTIONS(2492),
    [anon_sym__Noreturn] = ACTIONS(2492),
    [anon_sym_noreturn] = ACTIONS(2492),
    [anon_sym_mutable] = ACTIONS(2492),
    [anon_sym_constinit] = ACTIONS(2492),
    [anon_sym_consteval] = ACTIONS(2492),
    [sym_primitive_type] = ACTIONS(2492),
    [anon_sym_enum] = ACTIONS(2492),
    [anon_sym_class] = ACTIONS(2492),
    [anon_sym_struct] = ACTIONS(2492),
    [anon_sym_union] = ACTIONS(2492),
    [anon_sym_if] = ACTIONS(2492),
    [anon_sym_else] = ACTIONS(2492),
    [anon_sym_switch] = ACTIONS(2492),
    [anon_sym_case] = ACTIONS(2492),
    [anon_sym_default] = ACTIONS(2492),
    [anon_sym_while] = ACTIONS(2492),
    [anon_sym_do] = ACTIONS(2492),
    [anon_sym_for] = ACTIONS(2492),
    [anon_sym_return] = ACTIONS(2492),
    [anon_sym_break] = ACTIONS(2492),
    [anon_sym_continue] = ACTIONS(2492),
    [anon_sym_goto] = ACTIONS(2492),
    [anon_sym___try] = ACTIONS(2492),
    [anon_sym___leave] = ACTIONS(2492),
    [anon_sym_not] = ACTIONS(2492),
    [anon_sym_compl] = ACTIONS(2492),
    [anon_sym_DASH_DASH] = ACTIONS(2494),
    [anon_sym_PLUS_PLUS] = ACTIONS(2494),
    [anon_sym_sizeof] = ACTIONS(2492),
    [anon_sym___alignof__] = ACTIONS(2492),
    [anon_sym___alignof] = ACTIONS(2492),
    [anon_sym__alignof] = ACTIONS(2492),
    [anon_sym_alignof] = ACTIONS(2492),
    [anon_sym__Alignof] = ACTIONS(2492),
    [anon_sym_offsetof] = ACTIONS(2492),
    [anon_sym__Generic] = ACTIONS(2492),
    [anon_sym_asm] = ACTIONS(2492),
    [anon_sym___asm__] = ACTIONS(2492),
    [sym_number_literal] = ACTIONS(2494),
    [anon_sym_L_SQUOTE] = ACTIONS(2494),
    [anon_sym_u_SQUOTE] = ACTIONS(2494),
    [anon_sym_U_SQUOTE] = ACTIONS(2494),
    [anon_sym_u8_SQUOTE] = ACTIONS(2494),
    [anon_sym_SQUOTE] = ACTIONS(2494),
    [anon_sym_L_DQUOTE] = ACTIONS(2494),
    [anon_sym_u_DQUOTE] = ACTIONS(2494),
    [anon_sym_U_DQUOTE] = ACTIONS(2494),
    [anon_sym_u8_DQUOTE] = ACTIONS(2494),
    [anon_sym_DQUOTE] = ACTIONS(2494),
    [sym_true] = ACTIONS(2492),
    [sym_false] = ACTIONS(2492),
    [anon_sym_NULL] = ACTIONS(2492),
    [anon_sym_nullptr] = ACTIONS(2492),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2492),
    [anon_sym_decltype] = ACTIONS(2492),
    [anon_sym_virtual] = ACTIONS(2492),
    [anon_sym_alignas] = ACTIONS(2492),
    [anon_sym_explicit] = ACTIONS(2492),
    [anon_sym_typename] = ACTIONS(2492),
    [anon_sym_template] = ACTIONS(2492),
    [anon_sym_operator] = ACTIONS(2492),
    [anon_sym_try] = ACTIONS(2492),
    [anon_sym_delete] = ACTIONS(2492),
    [anon_sym_throw] = ACTIONS(2492),
    [anon_sym_namespace] = ACTIONS(2492),
    [anon_sym_using] = ACTIONS(2492),
    [anon_sym_static_assert] = ACTIONS(2492),
    [anon_sym_concept] = ACTIONS(2492),
    [anon_sym_co_return] = ACTIONS(2492),
    [anon_sym_co_yield] = ACTIONS(2492),
    [anon_sym_R_DQUOTE] = ACTIONS(2494),
    [anon_sym_LR_DQUOTE] = ACTIONS(2494),
    [anon_sym_uR_DQUOTE] = ACTIONS(2494),
    [anon_sym_UR_DQUOTE] = ACTIONS(2494),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2494),
    [anon_sym_co_await] = ACTIONS(2492),
    [anon_sym_new] = ACTIONS(2492),
    [anon_sym_requires] = ACTIONS(2492),
    [sym_this] = ACTIONS(2492),
    [anon_sym_discard] = ACTIONS(2492),
    [anon_sym_precise] = ACTIONS(2492),
    [anon_sym_shared] = ACTIONS(2492),
    [anon_sym_groupshared] = ACTIONS(2492),
    [anon_sym_uniform] = ACTIONS(2492),
    [anon_sym_row_major] = ACTIONS(2492),
    [anon_sym_column_major] = ACTIONS(2492),
    [anon_sym_globallycoherent] = ACTIONS(2492),
    [anon_sym_centroid] = ACTIONS(2492),
    [anon_sym_noperspective] = ACTIONS(2492),
    [anon_sym_nointerpolation] = ACTIONS(2492),
    [anon_sym_sample] = ACTIONS(2492),
    [anon_sym_linear] = ACTIONS(2492),
    [anon_sym_snorm] = ACTIONS(2492),
    [anon_sym_unorm] = ACTIONS(2492),
    [anon_sym_point] = ACTIONS(2492),
    [anon_sym_line] = ACTIONS(2492),
    [anon_sym_triangleadj] = ACTIONS(2492),
    [anon_sym_lineadj] = ACTIONS(2492),
    [anon_sym_triangle] = ACTIONS(2492),
    [anon_sym_cbuffer] = ACTIONS(2492),
  },
  [884] = {
    [sym_identifier] = ACTIONS(2326),
    [aux_sym_preproc_include_token1] = ACTIONS(2326),
    [aux_sym_preproc_def_token1] = ACTIONS(2326),
    [aux_sym_preproc_if_token1] = ACTIONS(2326),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2326),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2326),
    [sym_preproc_directive] = ACTIONS(2326),
    [anon_sym_LPAREN2] = ACTIONS(2328),
    [anon_sym_BANG] = ACTIONS(2328),
    [anon_sym_TILDE] = ACTIONS(2328),
    [anon_sym_DASH] = ACTIONS(2326),
    [anon_sym_PLUS] = ACTIONS(2326),
    [anon_sym_STAR] = ACTIONS(2328),
    [anon_sym_AMP_AMP] = ACTIONS(2328),
    [anon_sym_AMP] = ACTIONS(2326),
    [anon_sym_SEMI] = ACTIONS(2328),
    [anon_sym___extension__] = ACTIONS(2326),
    [anon_sym_typedef] = ACTIONS(2326),
    [anon_sym_in] = ACTIONS(2326),
    [anon_sym_out] = ACTIONS(2326),
    [anon_sym_inout] = ACTIONS(2326),
    [anon_sym_extern] = ACTIONS(2326),
    [anon_sym___attribute__] = ACTIONS(2326),
    [anon_sym_COLON_COLON] = ACTIONS(2328),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2328),
    [anon_sym___declspec] = ACTIONS(2326),
    [anon_sym___based] = ACTIONS(2326),
    [anon_sym___cdecl] = ACTIONS(2326),
    [anon_sym___clrcall] = ACTIONS(2326),
    [anon_sym___stdcall] = ACTIONS(2326),
    [anon_sym___fastcall] = ACTIONS(2326),
    [anon_sym___thiscall] = ACTIONS(2326),
    [anon_sym___vectorcall] = ACTIONS(2326),
    [anon_sym_LBRACE] = ACTIONS(2328),
    [anon_sym_RBRACE] = ACTIONS(2328),
    [anon_sym_signed] = ACTIONS(2326),
    [anon_sym_unsigned] = ACTIONS(2326),
    [anon_sym_long] = ACTIONS(2326),
    [anon_sym_short] = ACTIONS(2326),
    [anon_sym_LBRACK] = ACTIONS(2326),
    [anon_sym_static] = ACTIONS(2326),
    [anon_sym_register] = ACTIONS(2326),
    [anon_sym_inline] = ACTIONS(2326),
    [anon_sym___inline] = ACTIONS(2326),
    [anon_sym___inline__] = ACTIONS(2326),
    [anon_sym___forceinline] = ACTIONS(2326),
    [anon_sym_thread_local] = ACTIONS(2326),
    [anon_sym___thread] = ACTIONS(2326),
    [anon_sym_const] = ACTIONS(2326),
    [anon_sym_constexpr] = ACTIONS(2326),
    [anon_sym_volatile] = ACTIONS(2326),
    [anon_sym_restrict] = ACTIONS(2326),
    [anon_sym___restrict__] = ACTIONS(2326),
    [anon_sym__Atomic] = ACTIONS(2326),
    [anon_sym__Noreturn] = ACTIONS(2326),
    [anon_sym_noreturn] = ACTIONS(2326),
    [anon_sym_mutable] = ACTIONS(2326),
    [anon_sym_constinit] = ACTIONS(2326),
    [anon_sym_consteval] = ACTIONS(2326),
    [sym_primitive_type] = ACTIONS(2326),
    [anon_sym_enum] = ACTIONS(2326),
    [anon_sym_class] = ACTIONS(2326),
    [anon_sym_struct] = ACTIONS(2326),
    [anon_sym_union] = ACTIONS(2326),
    [anon_sym_if] = ACTIONS(2326),
    [anon_sym_else] = ACTIONS(2326),
    [anon_sym_switch] = ACTIONS(2326),
    [anon_sym_case] = ACTIONS(2326),
    [anon_sym_default] = ACTIONS(2326),
    [anon_sym_while] = ACTIONS(2326),
    [anon_sym_do] = ACTIONS(2326),
    [anon_sym_for] = ACTIONS(2326),
    [anon_sym_return] = ACTIONS(2326),
    [anon_sym_break] = ACTIONS(2326),
    [anon_sym_continue] = ACTIONS(2326),
    [anon_sym_goto] = ACTIONS(2326),
    [anon_sym___try] = ACTIONS(2326),
    [anon_sym___leave] = ACTIONS(2326),
    [anon_sym_not] = ACTIONS(2326),
    [anon_sym_compl] = ACTIONS(2326),
    [anon_sym_DASH_DASH] = ACTIONS(2328),
    [anon_sym_PLUS_PLUS] = ACTIONS(2328),
    [anon_sym_sizeof] = ACTIONS(2326),
    [anon_sym___alignof__] = ACTIONS(2326),
    [anon_sym___alignof] = ACTIONS(2326),
    [anon_sym__alignof] = ACTIONS(2326),
    [anon_sym_alignof] = ACTIONS(2326),
    [anon_sym__Alignof] = ACTIONS(2326),
    [anon_sym_offsetof] = ACTIONS(2326),
    [anon_sym__Generic] = ACTIONS(2326),
    [anon_sym_asm] = ACTIONS(2326),
    [anon_sym___asm__] = ACTIONS(2326),
    [sym_number_literal] = ACTIONS(2328),
    [anon_sym_L_SQUOTE] = ACTIONS(2328),
    [anon_sym_u_SQUOTE] = ACTIONS(2328),
    [anon_sym_U_SQUOTE] = ACTIONS(2328),
    [anon_sym_u8_SQUOTE] = ACTIONS(2328),
    [anon_sym_SQUOTE] = ACTIONS(2328),
    [anon_sym_L_DQUOTE] = ACTIONS(2328),
    [anon_sym_u_DQUOTE] = ACTIONS(2328),
    [anon_sym_U_DQUOTE] = ACTIONS(2328),
    [anon_sym_u8_DQUOTE] = ACTIONS(2328),
    [anon_sym_DQUOTE] = ACTIONS(2328),
    [sym_true] = ACTIONS(2326),
    [sym_false] = ACTIONS(2326),
    [anon_sym_NULL] = ACTIONS(2326),
    [anon_sym_nullptr] = ACTIONS(2326),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2326),
    [anon_sym_decltype] = ACTIONS(2326),
    [anon_sym_virtual] = ACTIONS(2326),
    [anon_sym_alignas] = ACTIONS(2326),
    [anon_sym_explicit] = ACTIONS(2326),
    [anon_sym_typename] = ACTIONS(2326),
    [anon_sym_template] = ACTIONS(2326),
    [anon_sym_operator] = ACTIONS(2326),
    [anon_sym_try] = ACTIONS(2326),
    [anon_sym_delete] = ACTIONS(2326),
    [anon_sym_throw] = ACTIONS(2326),
    [anon_sym_namespace] = ACTIONS(2326),
    [anon_sym_using] = ACTIONS(2326),
    [anon_sym_static_assert] = ACTIONS(2326),
    [anon_sym_concept] = ACTIONS(2326),
    [anon_sym_co_return] = ACTIONS(2326),
    [anon_sym_co_yield] = ACTIONS(2326),
    [anon_sym_R_DQUOTE] = ACTIONS(2328),
    [anon_sym_LR_DQUOTE] = ACTIONS(2328),
    [anon_sym_uR_DQUOTE] = ACTIONS(2328),
    [anon_sym_UR_DQUOTE] = ACTIONS(2328),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2328),
    [anon_sym_co_await] = ACTIONS(2326),
    [anon_sym_new] = ACTIONS(2326),
    [anon_sym_requires] = ACTIONS(2326),
    [sym_this] = ACTIONS(2326),
    [anon_sym_discard] = ACTIONS(2326),
    [anon_sym_precise] = ACTIONS(2326),
    [anon_sym_shared] = ACTIONS(2326),
    [anon_sym_groupshared] = ACTIONS(2326),
    [anon_sym_uniform] = ACTIONS(2326),
    [anon_sym_row_major] = ACTIONS(2326),
    [anon_sym_column_major] = ACTIONS(2326),
    [anon_sym_globallycoherent] = ACTIONS(2326),
    [anon_sym_centroid] = ACTIONS(2326),
    [anon_sym_noperspective] = ACTIONS(2326),
    [anon_sym_nointerpolation] = ACTIONS(2326),
    [anon_sym_sample] = ACTIONS(2326),
    [anon_sym_linear] = ACTIONS(2326),
    [anon_sym_snorm] = ACTIONS(2326),
    [anon_sym_unorm] = ACTIONS(2326),
    [anon_sym_point] = ACTIONS(2326),
    [anon_sym_line] = ACTIONS(2326),
    [anon_sym_triangleadj] = ACTIONS(2326),
    [anon_sym_lineadj] = ACTIONS(2326),
    [anon_sym_triangle] = ACTIONS(2326),
    [anon_sym_cbuffer] = ACTIONS(2326),
  },
  [885] = {
    [sym_identifier] = ACTIONS(2330),
    [aux_sym_preproc_include_token1] = ACTIONS(2330),
    [aux_sym_preproc_def_token1] = ACTIONS(2330),
    [aux_sym_preproc_if_token1] = ACTIONS(2330),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2330),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2330),
    [sym_preproc_directive] = ACTIONS(2330),
    [anon_sym_LPAREN2] = ACTIONS(2332),
    [anon_sym_BANG] = ACTIONS(2332),
    [anon_sym_TILDE] = ACTIONS(2332),
    [anon_sym_DASH] = ACTIONS(2330),
    [anon_sym_PLUS] = ACTIONS(2330),
    [anon_sym_STAR] = ACTIONS(2332),
    [anon_sym_AMP_AMP] = ACTIONS(2332),
    [anon_sym_AMP] = ACTIONS(2330),
    [anon_sym_SEMI] = ACTIONS(2332),
    [anon_sym___extension__] = ACTIONS(2330),
    [anon_sym_typedef] = ACTIONS(2330),
    [anon_sym_in] = ACTIONS(2330),
    [anon_sym_out] = ACTIONS(2330),
    [anon_sym_inout] = ACTIONS(2330),
    [anon_sym_extern] = ACTIONS(2330),
    [anon_sym___attribute__] = ACTIONS(2330),
    [anon_sym_COLON_COLON] = ACTIONS(2332),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2332),
    [anon_sym___declspec] = ACTIONS(2330),
    [anon_sym___based] = ACTIONS(2330),
    [anon_sym___cdecl] = ACTIONS(2330),
    [anon_sym___clrcall] = ACTIONS(2330),
    [anon_sym___stdcall] = ACTIONS(2330),
    [anon_sym___fastcall] = ACTIONS(2330),
    [anon_sym___thiscall] = ACTIONS(2330),
    [anon_sym___vectorcall] = ACTIONS(2330),
    [anon_sym_LBRACE] = ACTIONS(2332),
    [anon_sym_RBRACE] = ACTIONS(2332),
    [anon_sym_signed] = ACTIONS(2330),
    [anon_sym_unsigned] = ACTIONS(2330),
    [anon_sym_long] = ACTIONS(2330),
    [anon_sym_short] = ACTIONS(2330),
    [anon_sym_LBRACK] = ACTIONS(2330),
    [anon_sym_static] = ACTIONS(2330),
    [anon_sym_register] = ACTIONS(2330),
    [anon_sym_inline] = ACTIONS(2330),
    [anon_sym___inline] = ACTIONS(2330),
    [anon_sym___inline__] = ACTIONS(2330),
    [anon_sym___forceinline] = ACTIONS(2330),
    [anon_sym_thread_local] = ACTIONS(2330),
    [anon_sym___thread] = ACTIONS(2330),
    [anon_sym_const] = ACTIONS(2330),
    [anon_sym_constexpr] = ACTIONS(2330),
    [anon_sym_volatile] = ACTIONS(2330),
    [anon_sym_restrict] = ACTIONS(2330),
    [anon_sym___restrict__] = ACTIONS(2330),
    [anon_sym__Atomic] = ACTIONS(2330),
    [anon_sym__Noreturn] = ACTIONS(2330),
    [anon_sym_noreturn] = ACTIONS(2330),
    [anon_sym_mutable] = ACTIONS(2330),
    [anon_sym_constinit] = ACTIONS(2330),
    [anon_sym_consteval] = ACTIONS(2330),
    [sym_primitive_type] = ACTIONS(2330),
    [anon_sym_enum] = ACTIONS(2330),
    [anon_sym_class] = ACTIONS(2330),
    [anon_sym_struct] = ACTIONS(2330),
    [anon_sym_union] = ACTIONS(2330),
    [anon_sym_if] = ACTIONS(2330),
    [anon_sym_else] = ACTIONS(2330),
    [anon_sym_switch] = ACTIONS(2330),
    [anon_sym_case] = ACTIONS(2330),
    [anon_sym_default] = ACTIONS(2330),
    [anon_sym_while] = ACTIONS(2330),
    [anon_sym_do] = ACTIONS(2330),
    [anon_sym_for] = ACTIONS(2330),
    [anon_sym_return] = ACTIONS(2330),
    [anon_sym_break] = ACTIONS(2330),
    [anon_sym_continue] = ACTIONS(2330),
    [anon_sym_goto] = ACTIONS(2330),
    [anon_sym___try] = ACTIONS(2330),
    [anon_sym___leave] = ACTIONS(2330),
    [anon_sym_not] = ACTIONS(2330),
    [anon_sym_compl] = ACTIONS(2330),
    [anon_sym_DASH_DASH] = ACTIONS(2332),
    [anon_sym_PLUS_PLUS] = ACTIONS(2332),
    [anon_sym_sizeof] = ACTIONS(2330),
    [anon_sym___alignof__] = ACTIONS(2330),
    [anon_sym___alignof] = ACTIONS(2330),
    [anon_sym__alignof] = ACTIONS(2330),
    [anon_sym_alignof] = ACTIONS(2330),
    [anon_sym__Alignof] = ACTIONS(2330),
    [anon_sym_offsetof] = ACTIONS(2330),
    [anon_sym__Generic] = ACTIONS(2330),
    [anon_sym_asm] = ACTIONS(2330),
    [anon_sym___asm__] = ACTIONS(2330),
    [sym_number_literal] = ACTIONS(2332),
    [anon_sym_L_SQUOTE] = ACTIONS(2332),
    [anon_sym_u_SQUOTE] = ACTIONS(2332),
    [anon_sym_U_SQUOTE] = ACTIONS(2332),
    [anon_sym_u8_SQUOTE] = ACTIONS(2332),
    [anon_sym_SQUOTE] = ACTIONS(2332),
    [anon_sym_L_DQUOTE] = ACTIONS(2332),
    [anon_sym_u_DQUOTE] = ACTIONS(2332),
    [anon_sym_U_DQUOTE] = ACTIONS(2332),
    [anon_sym_u8_DQUOTE] = ACTIONS(2332),
    [anon_sym_DQUOTE] = ACTIONS(2332),
    [sym_true] = ACTIONS(2330),
    [sym_false] = ACTIONS(2330),
    [anon_sym_NULL] = ACTIONS(2330),
    [anon_sym_nullptr] = ACTIONS(2330),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2330),
    [anon_sym_decltype] = ACTIONS(2330),
    [anon_sym_virtual] = ACTIONS(2330),
    [anon_sym_alignas] = ACTIONS(2330),
    [anon_sym_explicit] = ACTIONS(2330),
    [anon_sym_typename] = ACTIONS(2330),
    [anon_sym_template] = ACTIONS(2330),
    [anon_sym_operator] = ACTIONS(2330),
    [anon_sym_try] = ACTIONS(2330),
    [anon_sym_delete] = ACTIONS(2330),
    [anon_sym_throw] = ACTIONS(2330),
    [anon_sym_namespace] = ACTIONS(2330),
    [anon_sym_using] = ACTIONS(2330),
    [anon_sym_static_assert] = ACTIONS(2330),
    [anon_sym_concept] = ACTIONS(2330),
    [anon_sym_co_return] = ACTIONS(2330),
    [anon_sym_co_yield] = ACTIONS(2330),
    [anon_sym_R_DQUOTE] = ACTIONS(2332),
    [anon_sym_LR_DQUOTE] = ACTIONS(2332),
    [anon_sym_uR_DQUOTE] = ACTIONS(2332),
    [anon_sym_UR_DQUOTE] = ACTIONS(2332),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2332),
    [anon_sym_co_await] = ACTIONS(2330),
    [anon_sym_new] = ACTIONS(2330),
    [anon_sym_requires] = ACTIONS(2330),
    [sym_this] = ACTIONS(2330),
    [anon_sym_discard] = ACTIONS(2330),
    [anon_sym_precise] = ACTIONS(2330),
    [anon_sym_shared] = ACTIONS(2330),
    [anon_sym_groupshared] = ACTIONS(2330),
    [anon_sym_uniform] = ACTIONS(2330),
    [anon_sym_row_major] = ACTIONS(2330),
    [anon_sym_column_major] = ACTIONS(2330),
    [anon_sym_globallycoherent] = ACTIONS(2330),
    [anon_sym_centroid] = ACTIONS(2330),
    [anon_sym_noperspective] = ACTIONS(2330),
    [anon_sym_nointerpolation] = ACTIONS(2330),
    [anon_sym_sample] = ACTIONS(2330),
    [anon_sym_linear] = ACTIONS(2330),
    [anon_sym_snorm] = ACTIONS(2330),
    [anon_sym_unorm] = ACTIONS(2330),
    [anon_sym_point] = ACTIONS(2330),
    [anon_sym_line] = ACTIONS(2330),
    [anon_sym_triangleadj] = ACTIONS(2330),
    [anon_sym_lineadj] = ACTIONS(2330),
    [anon_sym_triangle] = ACTIONS(2330),
    [anon_sym_cbuffer] = ACTIONS(2330),
  },
  [886] = {
    [sym_identifier] = ACTIONS(2330),
    [aux_sym_preproc_include_token1] = ACTIONS(2330),
    [aux_sym_preproc_def_token1] = ACTIONS(2330),
    [aux_sym_preproc_if_token1] = ACTIONS(2330),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2330),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2330),
    [sym_preproc_directive] = ACTIONS(2330),
    [anon_sym_LPAREN2] = ACTIONS(2332),
    [anon_sym_BANG] = ACTIONS(2332),
    [anon_sym_TILDE] = ACTIONS(2332),
    [anon_sym_DASH] = ACTIONS(2330),
    [anon_sym_PLUS] = ACTIONS(2330),
    [anon_sym_STAR] = ACTIONS(2332),
    [anon_sym_AMP_AMP] = ACTIONS(2332),
    [anon_sym_AMP] = ACTIONS(2330),
    [anon_sym_SEMI] = ACTIONS(2332),
    [anon_sym___extension__] = ACTIONS(2330),
    [anon_sym_typedef] = ACTIONS(2330),
    [anon_sym_in] = ACTIONS(2330),
    [anon_sym_out] = ACTIONS(2330),
    [anon_sym_inout] = ACTIONS(2330),
    [anon_sym_extern] = ACTIONS(2330),
    [anon_sym___attribute__] = ACTIONS(2330),
    [anon_sym_COLON_COLON] = ACTIONS(2332),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2332),
    [anon_sym___declspec] = ACTIONS(2330),
    [anon_sym___based] = ACTIONS(2330),
    [anon_sym___cdecl] = ACTIONS(2330),
    [anon_sym___clrcall] = ACTIONS(2330),
    [anon_sym___stdcall] = ACTIONS(2330),
    [anon_sym___fastcall] = ACTIONS(2330),
    [anon_sym___thiscall] = ACTIONS(2330),
    [anon_sym___vectorcall] = ACTIONS(2330),
    [anon_sym_LBRACE] = ACTIONS(2332),
    [anon_sym_RBRACE] = ACTIONS(2332),
    [anon_sym_signed] = ACTIONS(2330),
    [anon_sym_unsigned] = ACTIONS(2330),
    [anon_sym_long] = ACTIONS(2330),
    [anon_sym_short] = ACTIONS(2330),
    [anon_sym_LBRACK] = ACTIONS(2330),
    [anon_sym_static] = ACTIONS(2330),
    [anon_sym_register] = ACTIONS(2330),
    [anon_sym_inline] = ACTIONS(2330),
    [anon_sym___inline] = ACTIONS(2330),
    [anon_sym___inline__] = ACTIONS(2330),
    [anon_sym___forceinline] = ACTIONS(2330),
    [anon_sym_thread_local] = ACTIONS(2330),
    [anon_sym___thread] = ACTIONS(2330),
    [anon_sym_const] = ACTIONS(2330),
    [anon_sym_constexpr] = ACTIONS(2330),
    [anon_sym_volatile] = ACTIONS(2330),
    [anon_sym_restrict] = ACTIONS(2330),
    [anon_sym___restrict__] = ACTIONS(2330),
    [anon_sym__Atomic] = ACTIONS(2330),
    [anon_sym__Noreturn] = ACTIONS(2330),
    [anon_sym_noreturn] = ACTIONS(2330),
    [anon_sym_mutable] = ACTIONS(2330),
    [anon_sym_constinit] = ACTIONS(2330),
    [anon_sym_consteval] = ACTIONS(2330),
    [sym_primitive_type] = ACTIONS(2330),
    [anon_sym_enum] = ACTIONS(2330),
    [anon_sym_class] = ACTIONS(2330),
    [anon_sym_struct] = ACTIONS(2330),
    [anon_sym_union] = ACTIONS(2330),
    [anon_sym_if] = ACTIONS(2330),
    [anon_sym_else] = ACTIONS(2330),
    [anon_sym_switch] = ACTIONS(2330),
    [anon_sym_case] = ACTIONS(2330),
    [anon_sym_default] = ACTIONS(2330),
    [anon_sym_while] = ACTIONS(2330),
    [anon_sym_do] = ACTIONS(2330),
    [anon_sym_for] = ACTIONS(2330),
    [anon_sym_return] = ACTIONS(2330),
    [anon_sym_break] = ACTIONS(2330),
    [anon_sym_continue] = ACTIONS(2330),
    [anon_sym_goto] = ACTIONS(2330),
    [anon_sym___try] = ACTIONS(2330),
    [anon_sym___leave] = ACTIONS(2330),
    [anon_sym_not] = ACTIONS(2330),
    [anon_sym_compl] = ACTIONS(2330),
    [anon_sym_DASH_DASH] = ACTIONS(2332),
    [anon_sym_PLUS_PLUS] = ACTIONS(2332),
    [anon_sym_sizeof] = ACTIONS(2330),
    [anon_sym___alignof__] = ACTIONS(2330),
    [anon_sym___alignof] = ACTIONS(2330),
    [anon_sym__alignof] = ACTIONS(2330),
    [anon_sym_alignof] = ACTIONS(2330),
    [anon_sym__Alignof] = ACTIONS(2330),
    [anon_sym_offsetof] = ACTIONS(2330),
    [anon_sym__Generic] = ACTIONS(2330),
    [anon_sym_asm] = ACTIONS(2330),
    [anon_sym___asm__] = ACTIONS(2330),
    [sym_number_literal] = ACTIONS(2332),
    [anon_sym_L_SQUOTE] = ACTIONS(2332),
    [anon_sym_u_SQUOTE] = ACTIONS(2332),
    [anon_sym_U_SQUOTE] = ACTIONS(2332),
    [anon_sym_u8_SQUOTE] = ACTIONS(2332),
    [anon_sym_SQUOTE] = ACTIONS(2332),
    [anon_sym_L_DQUOTE] = ACTIONS(2332),
    [anon_sym_u_DQUOTE] = ACTIONS(2332),
    [anon_sym_U_DQUOTE] = ACTIONS(2332),
    [anon_sym_u8_DQUOTE] = ACTIONS(2332),
    [anon_sym_DQUOTE] = ACTIONS(2332),
    [sym_true] = ACTIONS(2330),
    [sym_false] = ACTIONS(2330),
    [anon_sym_NULL] = ACTIONS(2330),
    [anon_sym_nullptr] = ACTIONS(2330),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2330),
    [anon_sym_decltype] = ACTIONS(2330),
    [anon_sym_virtual] = ACTIONS(2330),
    [anon_sym_alignas] = ACTIONS(2330),
    [anon_sym_explicit] = ACTIONS(2330),
    [anon_sym_typename] = ACTIONS(2330),
    [anon_sym_template] = ACTIONS(2330),
    [anon_sym_operator] = ACTIONS(2330),
    [anon_sym_try] = ACTIONS(2330),
    [anon_sym_delete] = ACTIONS(2330),
    [anon_sym_throw] = ACTIONS(2330),
    [anon_sym_namespace] = ACTIONS(2330),
    [anon_sym_using] = ACTIONS(2330),
    [anon_sym_static_assert] = ACTIONS(2330),
    [anon_sym_concept] = ACTIONS(2330),
    [anon_sym_co_return] = ACTIONS(2330),
    [anon_sym_co_yield] = ACTIONS(2330),
    [anon_sym_R_DQUOTE] = ACTIONS(2332),
    [anon_sym_LR_DQUOTE] = ACTIONS(2332),
    [anon_sym_uR_DQUOTE] = ACTIONS(2332),
    [anon_sym_UR_DQUOTE] = ACTIONS(2332),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2332),
    [anon_sym_co_await] = ACTIONS(2330),
    [anon_sym_new] = ACTIONS(2330),
    [anon_sym_requires] = ACTIONS(2330),
    [sym_this] = ACTIONS(2330),
    [anon_sym_discard] = ACTIONS(2330),
    [anon_sym_precise] = ACTIONS(2330),
    [anon_sym_shared] = ACTIONS(2330),
    [anon_sym_groupshared] = ACTIONS(2330),
    [anon_sym_uniform] = ACTIONS(2330),
    [anon_sym_row_major] = ACTIONS(2330),
    [anon_sym_column_major] = ACTIONS(2330),
    [anon_sym_globallycoherent] = ACTIONS(2330),
    [anon_sym_centroid] = ACTIONS(2330),
    [anon_sym_noperspective] = ACTIONS(2330),
    [anon_sym_nointerpolation] = ACTIONS(2330),
    [anon_sym_sample] = ACTIONS(2330),
    [anon_sym_linear] = ACTIONS(2330),
    [anon_sym_snorm] = ACTIONS(2330),
    [anon_sym_unorm] = ACTIONS(2330),
    [anon_sym_point] = ACTIONS(2330),
    [anon_sym_line] = ACTIONS(2330),
    [anon_sym_triangleadj] = ACTIONS(2330),
    [anon_sym_lineadj] = ACTIONS(2330),
    [anon_sym_triangle] = ACTIONS(2330),
    [anon_sym_cbuffer] = ACTIONS(2330),
  },
  [887] = {
    [sym_identifier] = ACTIONS(2360),
    [aux_sym_preproc_include_token1] = ACTIONS(2360),
    [aux_sym_preproc_def_token1] = ACTIONS(2360),
    [aux_sym_preproc_if_token1] = ACTIONS(2360),
    [aux_sym_preproc_if_token2] = ACTIONS(2360),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2360),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2360),
    [sym_preproc_directive] = ACTIONS(2360),
    [anon_sym_LPAREN2] = ACTIONS(2362),
    [anon_sym_BANG] = ACTIONS(2362),
    [anon_sym_TILDE] = ACTIONS(2362),
    [anon_sym_DASH] = ACTIONS(2360),
    [anon_sym_PLUS] = ACTIONS(2360),
    [anon_sym_STAR] = ACTIONS(2362),
    [anon_sym_AMP_AMP] = ACTIONS(2362),
    [anon_sym_AMP] = ACTIONS(2360),
    [anon_sym_SEMI] = ACTIONS(2362),
    [anon_sym___extension__] = ACTIONS(2360),
    [anon_sym_typedef] = ACTIONS(2360),
    [anon_sym_in] = ACTIONS(2360),
    [anon_sym_out] = ACTIONS(2360),
    [anon_sym_inout] = ACTIONS(2360),
    [anon_sym_extern] = ACTIONS(2360),
    [anon_sym___attribute__] = ACTIONS(2360),
    [anon_sym_COLON_COLON] = ACTIONS(2362),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2362),
    [anon_sym___declspec] = ACTIONS(2360),
    [anon_sym___based] = ACTIONS(2360),
    [anon_sym___cdecl] = ACTIONS(2360),
    [anon_sym___clrcall] = ACTIONS(2360),
    [anon_sym___stdcall] = ACTIONS(2360),
    [anon_sym___fastcall] = ACTIONS(2360),
    [anon_sym___thiscall] = ACTIONS(2360),
    [anon_sym___vectorcall] = ACTIONS(2360),
    [anon_sym_LBRACE] = ACTIONS(2362),
    [anon_sym_signed] = ACTIONS(2360),
    [anon_sym_unsigned] = ACTIONS(2360),
    [anon_sym_long] = ACTIONS(2360),
    [anon_sym_short] = ACTIONS(2360),
    [anon_sym_LBRACK] = ACTIONS(2360),
    [anon_sym_static] = ACTIONS(2360),
    [anon_sym_register] = ACTIONS(2360),
    [anon_sym_inline] = ACTIONS(2360),
    [anon_sym___inline] = ACTIONS(2360),
    [anon_sym___inline__] = ACTIONS(2360),
    [anon_sym___forceinline] = ACTIONS(2360),
    [anon_sym_thread_local] = ACTIONS(2360),
    [anon_sym___thread] = ACTIONS(2360),
    [anon_sym_const] = ACTIONS(2360),
    [anon_sym_constexpr] = ACTIONS(2360),
    [anon_sym_volatile] = ACTIONS(2360),
    [anon_sym_restrict] = ACTIONS(2360),
    [anon_sym___restrict__] = ACTIONS(2360),
    [anon_sym__Atomic] = ACTIONS(2360),
    [anon_sym__Noreturn] = ACTIONS(2360),
    [anon_sym_noreturn] = ACTIONS(2360),
    [anon_sym_mutable] = ACTIONS(2360),
    [anon_sym_constinit] = ACTIONS(2360),
    [anon_sym_consteval] = ACTIONS(2360),
    [sym_primitive_type] = ACTIONS(2360),
    [anon_sym_enum] = ACTIONS(2360),
    [anon_sym_class] = ACTIONS(2360),
    [anon_sym_struct] = ACTIONS(2360),
    [anon_sym_union] = ACTIONS(2360),
    [anon_sym_if] = ACTIONS(2360),
    [anon_sym_else] = ACTIONS(2360),
    [anon_sym_switch] = ACTIONS(2360),
    [anon_sym_case] = ACTIONS(2360),
    [anon_sym_default] = ACTIONS(2360),
    [anon_sym_while] = ACTIONS(2360),
    [anon_sym_do] = ACTIONS(2360),
    [anon_sym_for] = ACTIONS(2360),
    [anon_sym_return] = ACTIONS(2360),
    [anon_sym_break] = ACTIONS(2360),
    [anon_sym_continue] = ACTIONS(2360),
    [anon_sym_goto] = ACTIONS(2360),
    [anon_sym___try] = ACTIONS(2360),
    [anon_sym___leave] = ACTIONS(2360),
    [anon_sym_not] = ACTIONS(2360),
    [anon_sym_compl] = ACTIONS(2360),
    [anon_sym_DASH_DASH] = ACTIONS(2362),
    [anon_sym_PLUS_PLUS] = ACTIONS(2362),
    [anon_sym_sizeof] = ACTIONS(2360),
    [anon_sym___alignof__] = ACTIONS(2360),
    [anon_sym___alignof] = ACTIONS(2360),
    [anon_sym__alignof] = ACTIONS(2360),
    [anon_sym_alignof] = ACTIONS(2360),
    [anon_sym__Alignof] = ACTIONS(2360),
    [anon_sym_offsetof] = ACTIONS(2360),
    [anon_sym__Generic] = ACTIONS(2360),
    [anon_sym_asm] = ACTIONS(2360),
    [anon_sym___asm__] = ACTIONS(2360),
    [sym_number_literal] = ACTIONS(2362),
    [anon_sym_L_SQUOTE] = ACTIONS(2362),
    [anon_sym_u_SQUOTE] = ACTIONS(2362),
    [anon_sym_U_SQUOTE] = ACTIONS(2362),
    [anon_sym_u8_SQUOTE] = ACTIONS(2362),
    [anon_sym_SQUOTE] = ACTIONS(2362),
    [anon_sym_L_DQUOTE] = ACTIONS(2362),
    [anon_sym_u_DQUOTE] = ACTIONS(2362),
    [anon_sym_U_DQUOTE] = ACTIONS(2362),
    [anon_sym_u8_DQUOTE] = ACTIONS(2362),
    [anon_sym_DQUOTE] = ACTIONS(2362),
    [sym_true] = ACTIONS(2360),
    [sym_false] = ACTIONS(2360),
    [anon_sym_NULL] = ACTIONS(2360),
    [anon_sym_nullptr] = ACTIONS(2360),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2360),
    [anon_sym_decltype] = ACTIONS(2360),
    [anon_sym_virtual] = ACTIONS(2360),
    [anon_sym_alignas] = ACTIONS(2360),
    [anon_sym_explicit] = ACTIONS(2360),
    [anon_sym_typename] = ACTIONS(2360),
    [anon_sym_template] = ACTIONS(2360),
    [anon_sym_operator] = ACTIONS(2360),
    [anon_sym_try] = ACTIONS(2360),
    [anon_sym_delete] = ACTIONS(2360),
    [anon_sym_throw] = ACTIONS(2360),
    [anon_sym_namespace] = ACTIONS(2360),
    [anon_sym_using] = ACTIONS(2360),
    [anon_sym_static_assert] = ACTIONS(2360),
    [anon_sym_concept] = ACTIONS(2360),
    [anon_sym_co_return] = ACTIONS(2360),
    [anon_sym_co_yield] = ACTIONS(2360),
    [anon_sym_R_DQUOTE] = ACTIONS(2362),
    [anon_sym_LR_DQUOTE] = ACTIONS(2362),
    [anon_sym_uR_DQUOTE] = ACTIONS(2362),
    [anon_sym_UR_DQUOTE] = ACTIONS(2362),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2362),
    [anon_sym_co_await] = ACTIONS(2360),
    [anon_sym_new] = ACTIONS(2360),
    [anon_sym_requires] = ACTIONS(2360),
    [sym_this] = ACTIONS(2360),
    [anon_sym_discard] = ACTIONS(2360),
    [anon_sym_precise] = ACTIONS(2360),
    [anon_sym_shared] = ACTIONS(2360),
    [anon_sym_groupshared] = ACTIONS(2360),
    [anon_sym_uniform] = ACTIONS(2360),
    [anon_sym_row_major] = ACTIONS(2360),
    [anon_sym_column_major] = ACTIONS(2360),
    [anon_sym_globallycoherent] = ACTIONS(2360),
    [anon_sym_centroid] = ACTIONS(2360),
    [anon_sym_noperspective] = ACTIONS(2360),
    [anon_sym_nointerpolation] = ACTIONS(2360),
    [anon_sym_sample] = ACTIONS(2360),
    [anon_sym_linear] = ACTIONS(2360),
    [anon_sym_snorm] = ACTIONS(2360),
    [anon_sym_unorm] = ACTIONS(2360),
    [anon_sym_point] = ACTIONS(2360),
    [anon_sym_line] = ACTIONS(2360),
    [anon_sym_triangleadj] = ACTIONS(2360),
    [anon_sym_lineadj] = ACTIONS(2360),
    [anon_sym_triangle] = ACTIONS(2360),
    [anon_sym_cbuffer] = ACTIONS(2360),
  },
  [888] = {
    [sym_identifier] = ACTIONS(2330),
    [aux_sym_preproc_include_token1] = ACTIONS(2330),
    [aux_sym_preproc_def_token1] = ACTIONS(2330),
    [aux_sym_preproc_if_token1] = ACTIONS(2330),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2330),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2330),
    [sym_preproc_directive] = ACTIONS(2330),
    [anon_sym_LPAREN2] = ACTIONS(2332),
    [anon_sym_BANG] = ACTIONS(2332),
    [anon_sym_TILDE] = ACTIONS(2332),
    [anon_sym_DASH] = ACTIONS(2330),
    [anon_sym_PLUS] = ACTIONS(2330),
    [anon_sym_STAR] = ACTIONS(2332),
    [anon_sym_AMP_AMP] = ACTIONS(2332),
    [anon_sym_AMP] = ACTIONS(2330),
    [anon_sym_SEMI] = ACTIONS(2332),
    [anon_sym___extension__] = ACTIONS(2330),
    [anon_sym_typedef] = ACTIONS(2330),
    [anon_sym_in] = ACTIONS(2330),
    [anon_sym_out] = ACTIONS(2330),
    [anon_sym_inout] = ACTIONS(2330),
    [anon_sym_extern] = ACTIONS(2330),
    [anon_sym___attribute__] = ACTIONS(2330),
    [anon_sym_COLON_COLON] = ACTIONS(2332),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2332),
    [anon_sym___declspec] = ACTIONS(2330),
    [anon_sym___based] = ACTIONS(2330),
    [anon_sym___cdecl] = ACTIONS(2330),
    [anon_sym___clrcall] = ACTIONS(2330),
    [anon_sym___stdcall] = ACTIONS(2330),
    [anon_sym___fastcall] = ACTIONS(2330),
    [anon_sym___thiscall] = ACTIONS(2330),
    [anon_sym___vectorcall] = ACTIONS(2330),
    [anon_sym_LBRACE] = ACTIONS(2332),
    [anon_sym_RBRACE] = ACTIONS(2332),
    [anon_sym_signed] = ACTIONS(2330),
    [anon_sym_unsigned] = ACTIONS(2330),
    [anon_sym_long] = ACTIONS(2330),
    [anon_sym_short] = ACTIONS(2330),
    [anon_sym_LBRACK] = ACTIONS(2330),
    [anon_sym_static] = ACTIONS(2330),
    [anon_sym_register] = ACTIONS(2330),
    [anon_sym_inline] = ACTIONS(2330),
    [anon_sym___inline] = ACTIONS(2330),
    [anon_sym___inline__] = ACTIONS(2330),
    [anon_sym___forceinline] = ACTIONS(2330),
    [anon_sym_thread_local] = ACTIONS(2330),
    [anon_sym___thread] = ACTIONS(2330),
    [anon_sym_const] = ACTIONS(2330),
    [anon_sym_constexpr] = ACTIONS(2330),
    [anon_sym_volatile] = ACTIONS(2330),
    [anon_sym_restrict] = ACTIONS(2330),
    [anon_sym___restrict__] = ACTIONS(2330),
    [anon_sym__Atomic] = ACTIONS(2330),
    [anon_sym__Noreturn] = ACTIONS(2330),
    [anon_sym_noreturn] = ACTIONS(2330),
    [anon_sym_mutable] = ACTIONS(2330),
    [anon_sym_constinit] = ACTIONS(2330),
    [anon_sym_consteval] = ACTIONS(2330),
    [sym_primitive_type] = ACTIONS(2330),
    [anon_sym_enum] = ACTIONS(2330),
    [anon_sym_class] = ACTIONS(2330),
    [anon_sym_struct] = ACTIONS(2330),
    [anon_sym_union] = ACTIONS(2330),
    [anon_sym_if] = ACTIONS(2330),
    [anon_sym_else] = ACTIONS(2330),
    [anon_sym_switch] = ACTIONS(2330),
    [anon_sym_case] = ACTIONS(2330),
    [anon_sym_default] = ACTIONS(2330),
    [anon_sym_while] = ACTIONS(2330),
    [anon_sym_do] = ACTIONS(2330),
    [anon_sym_for] = ACTIONS(2330),
    [anon_sym_return] = ACTIONS(2330),
    [anon_sym_break] = ACTIONS(2330),
    [anon_sym_continue] = ACTIONS(2330),
    [anon_sym_goto] = ACTIONS(2330),
    [anon_sym___try] = ACTIONS(2330),
    [anon_sym___leave] = ACTIONS(2330),
    [anon_sym_not] = ACTIONS(2330),
    [anon_sym_compl] = ACTIONS(2330),
    [anon_sym_DASH_DASH] = ACTIONS(2332),
    [anon_sym_PLUS_PLUS] = ACTIONS(2332),
    [anon_sym_sizeof] = ACTIONS(2330),
    [anon_sym___alignof__] = ACTIONS(2330),
    [anon_sym___alignof] = ACTIONS(2330),
    [anon_sym__alignof] = ACTIONS(2330),
    [anon_sym_alignof] = ACTIONS(2330),
    [anon_sym__Alignof] = ACTIONS(2330),
    [anon_sym_offsetof] = ACTIONS(2330),
    [anon_sym__Generic] = ACTIONS(2330),
    [anon_sym_asm] = ACTIONS(2330),
    [anon_sym___asm__] = ACTIONS(2330),
    [sym_number_literal] = ACTIONS(2332),
    [anon_sym_L_SQUOTE] = ACTIONS(2332),
    [anon_sym_u_SQUOTE] = ACTIONS(2332),
    [anon_sym_U_SQUOTE] = ACTIONS(2332),
    [anon_sym_u8_SQUOTE] = ACTIONS(2332),
    [anon_sym_SQUOTE] = ACTIONS(2332),
    [anon_sym_L_DQUOTE] = ACTIONS(2332),
    [anon_sym_u_DQUOTE] = ACTIONS(2332),
    [anon_sym_U_DQUOTE] = ACTIONS(2332),
    [anon_sym_u8_DQUOTE] = ACTIONS(2332),
    [anon_sym_DQUOTE] = ACTIONS(2332),
    [sym_true] = ACTIONS(2330),
    [sym_false] = ACTIONS(2330),
    [anon_sym_NULL] = ACTIONS(2330),
    [anon_sym_nullptr] = ACTIONS(2330),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2330),
    [anon_sym_decltype] = ACTIONS(2330),
    [anon_sym_virtual] = ACTIONS(2330),
    [anon_sym_alignas] = ACTIONS(2330),
    [anon_sym_explicit] = ACTIONS(2330),
    [anon_sym_typename] = ACTIONS(2330),
    [anon_sym_template] = ACTIONS(2330),
    [anon_sym_operator] = ACTIONS(2330),
    [anon_sym_try] = ACTIONS(2330),
    [anon_sym_delete] = ACTIONS(2330),
    [anon_sym_throw] = ACTIONS(2330),
    [anon_sym_namespace] = ACTIONS(2330),
    [anon_sym_using] = ACTIONS(2330),
    [anon_sym_static_assert] = ACTIONS(2330),
    [anon_sym_concept] = ACTIONS(2330),
    [anon_sym_co_return] = ACTIONS(2330),
    [anon_sym_co_yield] = ACTIONS(2330),
    [anon_sym_R_DQUOTE] = ACTIONS(2332),
    [anon_sym_LR_DQUOTE] = ACTIONS(2332),
    [anon_sym_uR_DQUOTE] = ACTIONS(2332),
    [anon_sym_UR_DQUOTE] = ACTIONS(2332),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2332),
    [anon_sym_co_await] = ACTIONS(2330),
    [anon_sym_new] = ACTIONS(2330),
    [anon_sym_requires] = ACTIONS(2330),
    [sym_this] = ACTIONS(2330),
    [anon_sym_discard] = ACTIONS(2330),
    [anon_sym_precise] = ACTIONS(2330),
    [anon_sym_shared] = ACTIONS(2330),
    [anon_sym_groupshared] = ACTIONS(2330),
    [anon_sym_uniform] = ACTIONS(2330),
    [anon_sym_row_major] = ACTIONS(2330),
    [anon_sym_column_major] = ACTIONS(2330),
    [anon_sym_globallycoherent] = ACTIONS(2330),
    [anon_sym_centroid] = ACTIONS(2330),
    [anon_sym_noperspective] = ACTIONS(2330),
    [anon_sym_nointerpolation] = ACTIONS(2330),
    [anon_sym_sample] = ACTIONS(2330),
    [anon_sym_linear] = ACTIONS(2330),
    [anon_sym_snorm] = ACTIONS(2330),
    [anon_sym_unorm] = ACTIONS(2330),
    [anon_sym_point] = ACTIONS(2330),
    [anon_sym_line] = ACTIONS(2330),
    [anon_sym_triangleadj] = ACTIONS(2330),
    [anon_sym_lineadj] = ACTIONS(2330),
    [anon_sym_triangle] = ACTIONS(2330),
    [anon_sym_cbuffer] = ACTIONS(2330),
  },
  [889] = {
    [sym_identifier] = ACTIONS(2364),
    [aux_sym_preproc_include_token1] = ACTIONS(2364),
    [aux_sym_preproc_def_token1] = ACTIONS(2364),
    [aux_sym_preproc_if_token1] = ACTIONS(2364),
    [aux_sym_preproc_if_token2] = ACTIONS(2364),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2364),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2364),
    [sym_preproc_directive] = ACTIONS(2364),
    [anon_sym_LPAREN2] = ACTIONS(2366),
    [anon_sym_BANG] = ACTIONS(2366),
    [anon_sym_TILDE] = ACTIONS(2366),
    [anon_sym_DASH] = ACTIONS(2364),
    [anon_sym_PLUS] = ACTIONS(2364),
    [anon_sym_STAR] = ACTIONS(2366),
    [anon_sym_AMP_AMP] = ACTIONS(2366),
    [anon_sym_AMP] = ACTIONS(2364),
    [anon_sym_SEMI] = ACTIONS(2366),
    [anon_sym___extension__] = ACTIONS(2364),
    [anon_sym_typedef] = ACTIONS(2364),
    [anon_sym_in] = ACTIONS(2364),
    [anon_sym_out] = ACTIONS(2364),
    [anon_sym_inout] = ACTIONS(2364),
    [anon_sym_extern] = ACTIONS(2364),
    [anon_sym___attribute__] = ACTIONS(2364),
    [anon_sym_COLON_COLON] = ACTIONS(2366),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2366),
    [anon_sym___declspec] = ACTIONS(2364),
    [anon_sym___based] = ACTIONS(2364),
    [anon_sym___cdecl] = ACTIONS(2364),
    [anon_sym___clrcall] = ACTIONS(2364),
    [anon_sym___stdcall] = ACTIONS(2364),
    [anon_sym___fastcall] = ACTIONS(2364),
    [anon_sym___thiscall] = ACTIONS(2364),
    [anon_sym___vectorcall] = ACTIONS(2364),
    [anon_sym_LBRACE] = ACTIONS(2366),
    [anon_sym_signed] = ACTIONS(2364),
    [anon_sym_unsigned] = ACTIONS(2364),
    [anon_sym_long] = ACTIONS(2364),
    [anon_sym_short] = ACTIONS(2364),
    [anon_sym_LBRACK] = ACTIONS(2364),
    [anon_sym_static] = ACTIONS(2364),
    [anon_sym_register] = ACTIONS(2364),
    [anon_sym_inline] = ACTIONS(2364),
    [anon_sym___inline] = ACTIONS(2364),
    [anon_sym___inline__] = ACTIONS(2364),
    [anon_sym___forceinline] = ACTIONS(2364),
    [anon_sym_thread_local] = ACTIONS(2364),
    [anon_sym___thread] = ACTIONS(2364),
    [anon_sym_const] = ACTIONS(2364),
    [anon_sym_constexpr] = ACTIONS(2364),
    [anon_sym_volatile] = ACTIONS(2364),
    [anon_sym_restrict] = ACTIONS(2364),
    [anon_sym___restrict__] = ACTIONS(2364),
    [anon_sym__Atomic] = ACTIONS(2364),
    [anon_sym__Noreturn] = ACTIONS(2364),
    [anon_sym_noreturn] = ACTIONS(2364),
    [anon_sym_mutable] = ACTIONS(2364),
    [anon_sym_constinit] = ACTIONS(2364),
    [anon_sym_consteval] = ACTIONS(2364),
    [sym_primitive_type] = ACTIONS(2364),
    [anon_sym_enum] = ACTIONS(2364),
    [anon_sym_class] = ACTIONS(2364),
    [anon_sym_struct] = ACTIONS(2364),
    [anon_sym_union] = ACTIONS(2364),
    [anon_sym_if] = ACTIONS(2364),
    [anon_sym_else] = ACTIONS(2364),
    [anon_sym_switch] = ACTIONS(2364),
    [anon_sym_case] = ACTIONS(2364),
    [anon_sym_default] = ACTIONS(2364),
    [anon_sym_while] = ACTIONS(2364),
    [anon_sym_do] = ACTIONS(2364),
    [anon_sym_for] = ACTIONS(2364),
    [anon_sym_return] = ACTIONS(2364),
    [anon_sym_break] = ACTIONS(2364),
    [anon_sym_continue] = ACTIONS(2364),
    [anon_sym_goto] = ACTIONS(2364),
    [anon_sym___try] = ACTIONS(2364),
    [anon_sym___leave] = ACTIONS(2364),
    [anon_sym_not] = ACTIONS(2364),
    [anon_sym_compl] = ACTIONS(2364),
    [anon_sym_DASH_DASH] = ACTIONS(2366),
    [anon_sym_PLUS_PLUS] = ACTIONS(2366),
    [anon_sym_sizeof] = ACTIONS(2364),
    [anon_sym___alignof__] = ACTIONS(2364),
    [anon_sym___alignof] = ACTIONS(2364),
    [anon_sym__alignof] = ACTIONS(2364),
    [anon_sym_alignof] = ACTIONS(2364),
    [anon_sym__Alignof] = ACTIONS(2364),
    [anon_sym_offsetof] = ACTIONS(2364),
    [anon_sym__Generic] = ACTIONS(2364),
    [anon_sym_asm] = ACTIONS(2364),
    [anon_sym___asm__] = ACTIONS(2364),
    [sym_number_literal] = ACTIONS(2366),
    [anon_sym_L_SQUOTE] = ACTIONS(2366),
    [anon_sym_u_SQUOTE] = ACTIONS(2366),
    [anon_sym_U_SQUOTE] = ACTIONS(2366),
    [anon_sym_u8_SQUOTE] = ACTIONS(2366),
    [anon_sym_SQUOTE] = ACTIONS(2366),
    [anon_sym_L_DQUOTE] = ACTIONS(2366),
    [anon_sym_u_DQUOTE] = ACTIONS(2366),
    [anon_sym_U_DQUOTE] = ACTIONS(2366),
    [anon_sym_u8_DQUOTE] = ACTIONS(2366),
    [anon_sym_DQUOTE] = ACTIONS(2366),
    [sym_true] = ACTIONS(2364),
    [sym_false] = ACTIONS(2364),
    [anon_sym_NULL] = ACTIONS(2364),
    [anon_sym_nullptr] = ACTIONS(2364),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2364),
    [anon_sym_decltype] = ACTIONS(2364),
    [anon_sym_virtual] = ACTIONS(2364),
    [anon_sym_alignas] = ACTIONS(2364),
    [anon_sym_explicit] = ACTIONS(2364),
    [anon_sym_typename] = ACTIONS(2364),
    [anon_sym_template] = ACTIONS(2364),
    [anon_sym_operator] = ACTIONS(2364),
    [anon_sym_try] = ACTIONS(2364),
    [anon_sym_delete] = ACTIONS(2364),
    [anon_sym_throw] = ACTIONS(2364),
    [anon_sym_namespace] = ACTIONS(2364),
    [anon_sym_using] = ACTIONS(2364),
    [anon_sym_static_assert] = ACTIONS(2364),
    [anon_sym_concept] = ACTIONS(2364),
    [anon_sym_co_return] = ACTIONS(2364),
    [anon_sym_co_yield] = ACTIONS(2364),
    [anon_sym_R_DQUOTE] = ACTIONS(2366),
    [anon_sym_LR_DQUOTE] = ACTIONS(2366),
    [anon_sym_uR_DQUOTE] = ACTIONS(2366),
    [anon_sym_UR_DQUOTE] = ACTIONS(2366),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2366),
    [anon_sym_co_await] = ACTIONS(2364),
    [anon_sym_new] = ACTIONS(2364),
    [anon_sym_requires] = ACTIONS(2364),
    [sym_this] = ACTIONS(2364),
    [anon_sym_discard] = ACTIONS(2364),
    [anon_sym_precise] = ACTIONS(2364),
    [anon_sym_shared] = ACTIONS(2364),
    [anon_sym_groupshared] = ACTIONS(2364),
    [anon_sym_uniform] = ACTIONS(2364),
    [anon_sym_row_major] = ACTIONS(2364),
    [anon_sym_column_major] = ACTIONS(2364),
    [anon_sym_globallycoherent] = ACTIONS(2364),
    [anon_sym_centroid] = ACTIONS(2364),
    [anon_sym_noperspective] = ACTIONS(2364),
    [anon_sym_nointerpolation] = ACTIONS(2364),
    [anon_sym_sample] = ACTIONS(2364),
    [anon_sym_linear] = ACTIONS(2364),
    [anon_sym_snorm] = ACTIONS(2364),
    [anon_sym_unorm] = ACTIONS(2364),
    [anon_sym_point] = ACTIONS(2364),
    [anon_sym_line] = ACTIONS(2364),
    [anon_sym_triangleadj] = ACTIONS(2364),
    [anon_sym_lineadj] = ACTIONS(2364),
    [anon_sym_triangle] = ACTIONS(2364),
    [anon_sym_cbuffer] = ACTIONS(2364),
  },
  [890] = {
    [sym_identifier] = ACTIONS(2330),
    [aux_sym_preproc_include_token1] = ACTIONS(2330),
    [aux_sym_preproc_def_token1] = ACTIONS(2330),
    [aux_sym_preproc_if_token1] = ACTIONS(2330),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2330),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2330),
    [sym_preproc_directive] = ACTIONS(2330),
    [anon_sym_LPAREN2] = ACTIONS(2332),
    [anon_sym_BANG] = ACTIONS(2332),
    [anon_sym_TILDE] = ACTIONS(2332),
    [anon_sym_DASH] = ACTIONS(2330),
    [anon_sym_PLUS] = ACTIONS(2330),
    [anon_sym_STAR] = ACTIONS(2332),
    [anon_sym_AMP_AMP] = ACTIONS(2332),
    [anon_sym_AMP] = ACTIONS(2330),
    [anon_sym_SEMI] = ACTIONS(2332),
    [anon_sym___extension__] = ACTIONS(2330),
    [anon_sym_typedef] = ACTIONS(2330),
    [anon_sym_in] = ACTIONS(2330),
    [anon_sym_out] = ACTIONS(2330),
    [anon_sym_inout] = ACTIONS(2330),
    [anon_sym_extern] = ACTIONS(2330),
    [anon_sym___attribute__] = ACTIONS(2330),
    [anon_sym_COLON_COLON] = ACTIONS(2332),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2332),
    [anon_sym___declspec] = ACTIONS(2330),
    [anon_sym___based] = ACTIONS(2330),
    [anon_sym___cdecl] = ACTIONS(2330),
    [anon_sym___clrcall] = ACTIONS(2330),
    [anon_sym___stdcall] = ACTIONS(2330),
    [anon_sym___fastcall] = ACTIONS(2330),
    [anon_sym___thiscall] = ACTIONS(2330),
    [anon_sym___vectorcall] = ACTIONS(2330),
    [anon_sym_LBRACE] = ACTIONS(2332),
    [anon_sym_RBRACE] = ACTIONS(2332),
    [anon_sym_signed] = ACTIONS(2330),
    [anon_sym_unsigned] = ACTIONS(2330),
    [anon_sym_long] = ACTIONS(2330),
    [anon_sym_short] = ACTIONS(2330),
    [anon_sym_LBRACK] = ACTIONS(2330),
    [anon_sym_static] = ACTIONS(2330),
    [anon_sym_register] = ACTIONS(2330),
    [anon_sym_inline] = ACTIONS(2330),
    [anon_sym___inline] = ACTIONS(2330),
    [anon_sym___inline__] = ACTIONS(2330),
    [anon_sym___forceinline] = ACTIONS(2330),
    [anon_sym_thread_local] = ACTIONS(2330),
    [anon_sym___thread] = ACTIONS(2330),
    [anon_sym_const] = ACTIONS(2330),
    [anon_sym_constexpr] = ACTIONS(2330),
    [anon_sym_volatile] = ACTIONS(2330),
    [anon_sym_restrict] = ACTIONS(2330),
    [anon_sym___restrict__] = ACTIONS(2330),
    [anon_sym__Atomic] = ACTIONS(2330),
    [anon_sym__Noreturn] = ACTIONS(2330),
    [anon_sym_noreturn] = ACTIONS(2330),
    [anon_sym_mutable] = ACTIONS(2330),
    [anon_sym_constinit] = ACTIONS(2330),
    [anon_sym_consteval] = ACTIONS(2330),
    [sym_primitive_type] = ACTIONS(2330),
    [anon_sym_enum] = ACTIONS(2330),
    [anon_sym_class] = ACTIONS(2330),
    [anon_sym_struct] = ACTIONS(2330),
    [anon_sym_union] = ACTIONS(2330),
    [anon_sym_if] = ACTIONS(2330),
    [anon_sym_else] = ACTIONS(2330),
    [anon_sym_switch] = ACTIONS(2330),
    [anon_sym_case] = ACTIONS(2330),
    [anon_sym_default] = ACTIONS(2330),
    [anon_sym_while] = ACTIONS(2330),
    [anon_sym_do] = ACTIONS(2330),
    [anon_sym_for] = ACTIONS(2330),
    [anon_sym_return] = ACTIONS(2330),
    [anon_sym_break] = ACTIONS(2330),
    [anon_sym_continue] = ACTIONS(2330),
    [anon_sym_goto] = ACTIONS(2330),
    [anon_sym___try] = ACTIONS(2330),
    [anon_sym___leave] = ACTIONS(2330),
    [anon_sym_not] = ACTIONS(2330),
    [anon_sym_compl] = ACTIONS(2330),
    [anon_sym_DASH_DASH] = ACTIONS(2332),
    [anon_sym_PLUS_PLUS] = ACTIONS(2332),
    [anon_sym_sizeof] = ACTIONS(2330),
    [anon_sym___alignof__] = ACTIONS(2330),
    [anon_sym___alignof] = ACTIONS(2330),
    [anon_sym__alignof] = ACTIONS(2330),
    [anon_sym_alignof] = ACTIONS(2330),
    [anon_sym__Alignof] = ACTIONS(2330),
    [anon_sym_offsetof] = ACTIONS(2330),
    [anon_sym__Generic] = ACTIONS(2330),
    [anon_sym_asm] = ACTIONS(2330),
    [anon_sym___asm__] = ACTIONS(2330),
    [sym_number_literal] = ACTIONS(2332),
    [anon_sym_L_SQUOTE] = ACTIONS(2332),
    [anon_sym_u_SQUOTE] = ACTIONS(2332),
    [anon_sym_U_SQUOTE] = ACTIONS(2332),
    [anon_sym_u8_SQUOTE] = ACTIONS(2332),
    [anon_sym_SQUOTE] = ACTIONS(2332),
    [anon_sym_L_DQUOTE] = ACTIONS(2332),
    [anon_sym_u_DQUOTE] = ACTIONS(2332),
    [anon_sym_U_DQUOTE] = ACTIONS(2332),
    [anon_sym_u8_DQUOTE] = ACTIONS(2332),
    [anon_sym_DQUOTE] = ACTIONS(2332),
    [sym_true] = ACTIONS(2330),
    [sym_false] = ACTIONS(2330),
    [anon_sym_NULL] = ACTIONS(2330),
    [anon_sym_nullptr] = ACTIONS(2330),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2330),
    [anon_sym_decltype] = ACTIONS(2330),
    [anon_sym_virtual] = ACTIONS(2330),
    [anon_sym_alignas] = ACTIONS(2330),
    [anon_sym_explicit] = ACTIONS(2330),
    [anon_sym_typename] = ACTIONS(2330),
    [anon_sym_template] = ACTIONS(2330),
    [anon_sym_operator] = ACTIONS(2330),
    [anon_sym_try] = ACTIONS(2330),
    [anon_sym_delete] = ACTIONS(2330),
    [anon_sym_throw] = ACTIONS(2330),
    [anon_sym_namespace] = ACTIONS(2330),
    [anon_sym_using] = ACTIONS(2330),
    [anon_sym_static_assert] = ACTIONS(2330),
    [anon_sym_concept] = ACTIONS(2330),
    [anon_sym_co_return] = ACTIONS(2330),
    [anon_sym_co_yield] = ACTIONS(2330),
    [anon_sym_R_DQUOTE] = ACTIONS(2332),
    [anon_sym_LR_DQUOTE] = ACTIONS(2332),
    [anon_sym_uR_DQUOTE] = ACTIONS(2332),
    [anon_sym_UR_DQUOTE] = ACTIONS(2332),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2332),
    [anon_sym_co_await] = ACTIONS(2330),
    [anon_sym_new] = ACTIONS(2330),
    [anon_sym_requires] = ACTIONS(2330),
    [sym_this] = ACTIONS(2330),
    [anon_sym_discard] = ACTIONS(2330),
    [anon_sym_precise] = ACTIONS(2330),
    [anon_sym_shared] = ACTIONS(2330),
    [anon_sym_groupshared] = ACTIONS(2330),
    [anon_sym_uniform] = ACTIONS(2330),
    [anon_sym_row_major] = ACTIONS(2330),
    [anon_sym_column_major] = ACTIONS(2330),
    [anon_sym_globallycoherent] = ACTIONS(2330),
    [anon_sym_centroid] = ACTIONS(2330),
    [anon_sym_noperspective] = ACTIONS(2330),
    [anon_sym_nointerpolation] = ACTIONS(2330),
    [anon_sym_sample] = ACTIONS(2330),
    [anon_sym_linear] = ACTIONS(2330),
    [anon_sym_snorm] = ACTIONS(2330),
    [anon_sym_unorm] = ACTIONS(2330),
    [anon_sym_point] = ACTIONS(2330),
    [anon_sym_line] = ACTIONS(2330),
    [anon_sym_triangleadj] = ACTIONS(2330),
    [anon_sym_lineadj] = ACTIONS(2330),
    [anon_sym_triangle] = ACTIONS(2330),
    [anon_sym_cbuffer] = ACTIONS(2330),
  },
  [891] = {
    [sym_identifier] = ACTIONS(2330),
    [aux_sym_preproc_include_token1] = ACTIONS(2330),
    [aux_sym_preproc_def_token1] = ACTIONS(2330),
    [aux_sym_preproc_if_token1] = ACTIONS(2330),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2330),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2330),
    [sym_preproc_directive] = ACTIONS(2330),
    [anon_sym_LPAREN2] = ACTIONS(2332),
    [anon_sym_BANG] = ACTIONS(2332),
    [anon_sym_TILDE] = ACTIONS(2332),
    [anon_sym_DASH] = ACTIONS(2330),
    [anon_sym_PLUS] = ACTIONS(2330),
    [anon_sym_STAR] = ACTIONS(2332),
    [anon_sym_AMP_AMP] = ACTIONS(2332),
    [anon_sym_AMP] = ACTIONS(2330),
    [anon_sym_SEMI] = ACTIONS(2332),
    [anon_sym___extension__] = ACTIONS(2330),
    [anon_sym_typedef] = ACTIONS(2330),
    [anon_sym_in] = ACTIONS(2330),
    [anon_sym_out] = ACTIONS(2330),
    [anon_sym_inout] = ACTIONS(2330),
    [anon_sym_extern] = ACTIONS(2330),
    [anon_sym___attribute__] = ACTIONS(2330),
    [anon_sym_COLON_COLON] = ACTIONS(2332),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2332),
    [anon_sym___declspec] = ACTIONS(2330),
    [anon_sym___based] = ACTIONS(2330),
    [anon_sym___cdecl] = ACTIONS(2330),
    [anon_sym___clrcall] = ACTIONS(2330),
    [anon_sym___stdcall] = ACTIONS(2330),
    [anon_sym___fastcall] = ACTIONS(2330),
    [anon_sym___thiscall] = ACTIONS(2330),
    [anon_sym___vectorcall] = ACTIONS(2330),
    [anon_sym_LBRACE] = ACTIONS(2332),
    [anon_sym_RBRACE] = ACTIONS(2332),
    [anon_sym_signed] = ACTIONS(2330),
    [anon_sym_unsigned] = ACTIONS(2330),
    [anon_sym_long] = ACTIONS(2330),
    [anon_sym_short] = ACTIONS(2330),
    [anon_sym_LBRACK] = ACTIONS(2330),
    [anon_sym_static] = ACTIONS(2330),
    [anon_sym_register] = ACTIONS(2330),
    [anon_sym_inline] = ACTIONS(2330),
    [anon_sym___inline] = ACTIONS(2330),
    [anon_sym___inline__] = ACTIONS(2330),
    [anon_sym___forceinline] = ACTIONS(2330),
    [anon_sym_thread_local] = ACTIONS(2330),
    [anon_sym___thread] = ACTIONS(2330),
    [anon_sym_const] = ACTIONS(2330),
    [anon_sym_constexpr] = ACTIONS(2330),
    [anon_sym_volatile] = ACTIONS(2330),
    [anon_sym_restrict] = ACTIONS(2330),
    [anon_sym___restrict__] = ACTIONS(2330),
    [anon_sym__Atomic] = ACTIONS(2330),
    [anon_sym__Noreturn] = ACTIONS(2330),
    [anon_sym_noreturn] = ACTIONS(2330),
    [anon_sym_mutable] = ACTIONS(2330),
    [anon_sym_constinit] = ACTIONS(2330),
    [anon_sym_consteval] = ACTIONS(2330),
    [sym_primitive_type] = ACTIONS(2330),
    [anon_sym_enum] = ACTIONS(2330),
    [anon_sym_class] = ACTIONS(2330),
    [anon_sym_struct] = ACTIONS(2330),
    [anon_sym_union] = ACTIONS(2330),
    [anon_sym_if] = ACTIONS(2330),
    [anon_sym_else] = ACTIONS(2330),
    [anon_sym_switch] = ACTIONS(2330),
    [anon_sym_case] = ACTIONS(2330),
    [anon_sym_default] = ACTIONS(2330),
    [anon_sym_while] = ACTIONS(2330),
    [anon_sym_do] = ACTIONS(2330),
    [anon_sym_for] = ACTIONS(2330),
    [anon_sym_return] = ACTIONS(2330),
    [anon_sym_break] = ACTIONS(2330),
    [anon_sym_continue] = ACTIONS(2330),
    [anon_sym_goto] = ACTIONS(2330),
    [anon_sym___try] = ACTIONS(2330),
    [anon_sym___leave] = ACTIONS(2330),
    [anon_sym_not] = ACTIONS(2330),
    [anon_sym_compl] = ACTIONS(2330),
    [anon_sym_DASH_DASH] = ACTIONS(2332),
    [anon_sym_PLUS_PLUS] = ACTIONS(2332),
    [anon_sym_sizeof] = ACTIONS(2330),
    [anon_sym___alignof__] = ACTIONS(2330),
    [anon_sym___alignof] = ACTIONS(2330),
    [anon_sym__alignof] = ACTIONS(2330),
    [anon_sym_alignof] = ACTIONS(2330),
    [anon_sym__Alignof] = ACTIONS(2330),
    [anon_sym_offsetof] = ACTIONS(2330),
    [anon_sym__Generic] = ACTIONS(2330),
    [anon_sym_asm] = ACTIONS(2330),
    [anon_sym___asm__] = ACTIONS(2330),
    [sym_number_literal] = ACTIONS(2332),
    [anon_sym_L_SQUOTE] = ACTIONS(2332),
    [anon_sym_u_SQUOTE] = ACTIONS(2332),
    [anon_sym_U_SQUOTE] = ACTIONS(2332),
    [anon_sym_u8_SQUOTE] = ACTIONS(2332),
    [anon_sym_SQUOTE] = ACTIONS(2332),
    [anon_sym_L_DQUOTE] = ACTIONS(2332),
    [anon_sym_u_DQUOTE] = ACTIONS(2332),
    [anon_sym_U_DQUOTE] = ACTIONS(2332),
    [anon_sym_u8_DQUOTE] = ACTIONS(2332),
    [anon_sym_DQUOTE] = ACTIONS(2332),
    [sym_true] = ACTIONS(2330),
    [sym_false] = ACTIONS(2330),
    [anon_sym_NULL] = ACTIONS(2330),
    [anon_sym_nullptr] = ACTIONS(2330),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2330),
    [anon_sym_decltype] = ACTIONS(2330),
    [anon_sym_virtual] = ACTIONS(2330),
    [anon_sym_alignas] = ACTIONS(2330),
    [anon_sym_explicit] = ACTIONS(2330),
    [anon_sym_typename] = ACTIONS(2330),
    [anon_sym_template] = ACTIONS(2330),
    [anon_sym_operator] = ACTIONS(2330),
    [anon_sym_try] = ACTIONS(2330),
    [anon_sym_delete] = ACTIONS(2330),
    [anon_sym_throw] = ACTIONS(2330),
    [anon_sym_namespace] = ACTIONS(2330),
    [anon_sym_using] = ACTIONS(2330),
    [anon_sym_static_assert] = ACTIONS(2330),
    [anon_sym_concept] = ACTIONS(2330),
    [anon_sym_co_return] = ACTIONS(2330),
    [anon_sym_co_yield] = ACTIONS(2330),
    [anon_sym_R_DQUOTE] = ACTIONS(2332),
    [anon_sym_LR_DQUOTE] = ACTIONS(2332),
    [anon_sym_uR_DQUOTE] = ACTIONS(2332),
    [anon_sym_UR_DQUOTE] = ACTIONS(2332),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2332),
    [anon_sym_co_await] = ACTIONS(2330),
    [anon_sym_new] = ACTIONS(2330),
    [anon_sym_requires] = ACTIONS(2330),
    [sym_this] = ACTIONS(2330),
    [anon_sym_discard] = ACTIONS(2330),
    [anon_sym_precise] = ACTIONS(2330),
    [anon_sym_shared] = ACTIONS(2330),
    [anon_sym_groupshared] = ACTIONS(2330),
    [anon_sym_uniform] = ACTIONS(2330),
    [anon_sym_row_major] = ACTIONS(2330),
    [anon_sym_column_major] = ACTIONS(2330),
    [anon_sym_globallycoherent] = ACTIONS(2330),
    [anon_sym_centroid] = ACTIONS(2330),
    [anon_sym_noperspective] = ACTIONS(2330),
    [anon_sym_nointerpolation] = ACTIONS(2330),
    [anon_sym_sample] = ACTIONS(2330),
    [anon_sym_linear] = ACTIONS(2330),
    [anon_sym_snorm] = ACTIONS(2330),
    [anon_sym_unorm] = ACTIONS(2330),
    [anon_sym_point] = ACTIONS(2330),
    [anon_sym_line] = ACTIONS(2330),
    [anon_sym_triangleadj] = ACTIONS(2330),
    [anon_sym_lineadj] = ACTIONS(2330),
    [anon_sym_triangle] = ACTIONS(2330),
    [anon_sym_cbuffer] = ACTIONS(2330),
  },
  [892] = {
    [sym_identifier] = ACTIONS(2444),
    [aux_sym_preproc_include_token1] = ACTIONS(2444),
    [aux_sym_preproc_def_token1] = ACTIONS(2444),
    [aux_sym_preproc_if_token1] = ACTIONS(2444),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2444),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2444),
    [sym_preproc_directive] = ACTIONS(2444),
    [anon_sym_LPAREN2] = ACTIONS(2446),
    [anon_sym_BANG] = ACTIONS(2446),
    [anon_sym_TILDE] = ACTIONS(2446),
    [anon_sym_DASH] = ACTIONS(2444),
    [anon_sym_PLUS] = ACTIONS(2444),
    [anon_sym_STAR] = ACTIONS(2446),
    [anon_sym_AMP_AMP] = ACTIONS(2446),
    [anon_sym_AMP] = ACTIONS(2444),
    [anon_sym_SEMI] = ACTIONS(2446),
    [anon_sym___extension__] = ACTIONS(2444),
    [anon_sym_typedef] = ACTIONS(2444),
    [anon_sym_in] = ACTIONS(2444),
    [anon_sym_out] = ACTIONS(2444),
    [anon_sym_inout] = ACTIONS(2444),
    [anon_sym_extern] = ACTIONS(2444),
    [anon_sym___attribute__] = ACTIONS(2444),
    [anon_sym_COLON_COLON] = ACTIONS(2446),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2446),
    [anon_sym___declspec] = ACTIONS(2444),
    [anon_sym___based] = ACTIONS(2444),
    [anon_sym___cdecl] = ACTIONS(2444),
    [anon_sym___clrcall] = ACTIONS(2444),
    [anon_sym___stdcall] = ACTIONS(2444),
    [anon_sym___fastcall] = ACTIONS(2444),
    [anon_sym___thiscall] = ACTIONS(2444),
    [anon_sym___vectorcall] = ACTIONS(2444),
    [anon_sym_LBRACE] = ACTIONS(2446),
    [anon_sym_RBRACE] = ACTIONS(2446),
    [anon_sym_signed] = ACTIONS(2444),
    [anon_sym_unsigned] = ACTIONS(2444),
    [anon_sym_long] = ACTIONS(2444),
    [anon_sym_short] = ACTIONS(2444),
    [anon_sym_LBRACK] = ACTIONS(2444),
    [anon_sym_static] = ACTIONS(2444),
    [anon_sym_register] = ACTIONS(2444),
    [anon_sym_inline] = ACTIONS(2444),
    [anon_sym___inline] = ACTIONS(2444),
    [anon_sym___inline__] = ACTIONS(2444),
    [anon_sym___forceinline] = ACTIONS(2444),
    [anon_sym_thread_local] = ACTIONS(2444),
    [anon_sym___thread] = ACTIONS(2444),
    [anon_sym_const] = ACTIONS(2444),
    [anon_sym_constexpr] = ACTIONS(2444),
    [anon_sym_volatile] = ACTIONS(2444),
    [anon_sym_restrict] = ACTIONS(2444),
    [anon_sym___restrict__] = ACTIONS(2444),
    [anon_sym__Atomic] = ACTIONS(2444),
    [anon_sym__Noreturn] = ACTIONS(2444),
    [anon_sym_noreturn] = ACTIONS(2444),
    [anon_sym_mutable] = ACTIONS(2444),
    [anon_sym_constinit] = ACTIONS(2444),
    [anon_sym_consteval] = ACTIONS(2444),
    [sym_primitive_type] = ACTIONS(2444),
    [anon_sym_enum] = ACTIONS(2444),
    [anon_sym_class] = ACTIONS(2444),
    [anon_sym_struct] = ACTIONS(2444),
    [anon_sym_union] = ACTIONS(2444),
    [anon_sym_if] = ACTIONS(2444),
    [anon_sym_else] = ACTIONS(2444),
    [anon_sym_switch] = ACTIONS(2444),
    [anon_sym_case] = ACTIONS(2444),
    [anon_sym_default] = ACTIONS(2444),
    [anon_sym_while] = ACTIONS(2444),
    [anon_sym_do] = ACTIONS(2444),
    [anon_sym_for] = ACTIONS(2444),
    [anon_sym_return] = ACTIONS(2444),
    [anon_sym_break] = ACTIONS(2444),
    [anon_sym_continue] = ACTIONS(2444),
    [anon_sym_goto] = ACTIONS(2444),
    [anon_sym___try] = ACTIONS(2444),
    [anon_sym___leave] = ACTIONS(2444),
    [anon_sym_not] = ACTIONS(2444),
    [anon_sym_compl] = ACTIONS(2444),
    [anon_sym_DASH_DASH] = ACTIONS(2446),
    [anon_sym_PLUS_PLUS] = ACTIONS(2446),
    [anon_sym_sizeof] = ACTIONS(2444),
    [anon_sym___alignof__] = ACTIONS(2444),
    [anon_sym___alignof] = ACTIONS(2444),
    [anon_sym__alignof] = ACTIONS(2444),
    [anon_sym_alignof] = ACTIONS(2444),
    [anon_sym__Alignof] = ACTIONS(2444),
    [anon_sym_offsetof] = ACTIONS(2444),
    [anon_sym__Generic] = ACTIONS(2444),
    [anon_sym_asm] = ACTIONS(2444),
    [anon_sym___asm__] = ACTIONS(2444),
    [sym_number_literal] = ACTIONS(2446),
    [anon_sym_L_SQUOTE] = ACTIONS(2446),
    [anon_sym_u_SQUOTE] = ACTIONS(2446),
    [anon_sym_U_SQUOTE] = ACTIONS(2446),
    [anon_sym_u8_SQUOTE] = ACTIONS(2446),
    [anon_sym_SQUOTE] = ACTIONS(2446),
    [anon_sym_L_DQUOTE] = ACTIONS(2446),
    [anon_sym_u_DQUOTE] = ACTIONS(2446),
    [anon_sym_U_DQUOTE] = ACTIONS(2446),
    [anon_sym_u8_DQUOTE] = ACTIONS(2446),
    [anon_sym_DQUOTE] = ACTIONS(2446),
    [sym_true] = ACTIONS(2444),
    [sym_false] = ACTIONS(2444),
    [anon_sym_NULL] = ACTIONS(2444),
    [anon_sym_nullptr] = ACTIONS(2444),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2444),
    [anon_sym_decltype] = ACTIONS(2444),
    [anon_sym_virtual] = ACTIONS(2444),
    [anon_sym_alignas] = ACTIONS(2444),
    [anon_sym_explicit] = ACTIONS(2444),
    [anon_sym_typename] = ACTIONS(2444),
    [anon_sym_template] = ACTIONS(2444),
    [anon_sym_operator] = ACTIONS(2444),
    [anon_sym_try] = ACTIONS(2444),
    [anon_sym_delete] = ACTIONS(2444),
    [anon_sym_throw] = ACTIONS(2444),
    [anon_sym_namespace] = ACTIONS(2444),
    [anon_sym_using] = ACTIONS(2444),
    [anon_sym_static_assert] = ACTIONS(2444),
    [anon_sym_concept] = ACTIONS(2444),
    [anon_sym_co_return] = ACTIONS(2444),
    [anon_sym_co_yield] = ACTIONS(2444),
    [anon_sym_R_DQUOTE] = ACTIONS(2446),
    [anon_sym_LR_DQUOTE] = ACTIONS(2446),
    [anon_sym_uR_DQUOTE] = ACTIONS(2446),
    [anon_sym_UR_DQUOTE] = ACTIONS(2446),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2446),
    [anon_sym_co_await] = ACTIONS(2444),
    [anon_sym_new] = ACTIONS(2444),
    [anon_sym_requires] = ACTIONS(2444),
    [sym_this] = ACTIONS(2444),
    [anon_sym_discard] = ACTIONS(2444),
    [anon_sym_precise] = ACTIONS(2444),
    [anon_sym_shared] = ACTIONS(2444),
    [anon_sym_groupshared] = ACTIONS(2444),
    [anon_sym_uniform] = ACTIONS(2444),
    [anon_sym_row_major] = ACTIONS(2444),
    [anon_sym_column_major] = ACTIONS(2444),
    [anon_sym_globallycoherent] = ACTIONS(2444),
    [anon_sym_centroid] = ACTIONS(2444),
    [anon_sym_noperspective] = ACTIONS(2444),
    [anon_sym_nointerpolation] = ACTIONS(2444),
    [anon_sym_sample] = ACTIONS(2444),
    [anon_sym_linear] = ACTIONS(2444),
    [anon_sym_snorm] = ACTIONS(2444),
    [anon_sym_unorm] = ACTIONS(2444),
    [anon_sym_point] = ACTIONS(2444),
    [anon_sym_line] = ACTIONS(2444),
    [anon_sym_triangleadj] = ACTIONS(2444),
    [anon_sym_lineadj] = ACTIONS(2444),
    [anon_sym_triangle] = ACTIONS(2444),
    [anon_sym_cbuffer] = ACTIONS(2444),
  },
  [893] = {
    [ts_builtin_sym_end] = ACTIONS(2366),
    [sym_identifier] = ACTIONS(2364),
    [aux_sym_preproc_include_token1] = ACTIONS(2364),
    [aux_sym_preproc_def_token1] = ACTIONS(2364),
    [aux_sym_preproc_if_token1] = ACTIONS(2364),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2364),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2364),
    [sym_preproc_directive] = ACTIONS(2364),
    [anon_sym_LPAREN2] = ACTIONS(2366),
    [anon_sym_BANG] = ACTIONS(2366),
    [anon_sym_TILDE] = ACTIONS(2366),
    [anon_sym_DASH] = ACTIONS(2364),
    [anon_sym_PLUS] = ACTIONS(2364),
    [anon_sym_STAR] = ACTIONS(2366),
    [anon_sym_AMP_AMP] = ACTIONS(2366),
    [anon_sym_AMP] = ACTIONS(2364),
    [anon_sym_SEMI] = ACTIONS(2366),
    [anon_sym___extension__] = ACTIONS(2364),
    [anon_sym_typedef] = ACTIONS(2364),
    [anon_sym_in] = ACTIONS(2364),
    [anon_sym_out] = ACTIONS(2364),
    [anon_sym_inout] = ACTIONS(2364),
    [anon_sym_extern] = ACTIONS(2364),
    [anon_sym___attribute__] = ACTIONS(2364),
    [anon_sym_COLON_COLON] = ACTIONS(2366),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2366),
    [anon_sym___declspec] = ACTIONS(2364),
    [anon_sym___based] = ACTIONS(2364),
    [anon_sym___cdecl] = ACTIONS(2364),
    [anon_sym___clrcall] = ACTIONS(2364),
    [anon_sym___stdcall] = ACTIONS(2364),
    [anon_sym___fastcall] = ACTIONS(2364),
    [anon_sym___thiscall] = ACTIONS(2364),
    [anon_sym___vectorcall] = ACTIONS(2364),
    [anon_sym_LBRACE] = ACTIONS(2366),
    [anon_sym_signed] = ACTIONS(2364),
    [anon_sym_unsigned] = ACTIONS(2364),
    [anon_sym_long] = ACTIONS(2364),
    [anon_sym_short] = ACTIONS(2364),
    [anon_sym_LBRACK] = ACTIONS(2364),
    [anon_sym_static] = ACTIONS(2364),
    [anon_sym_register] = ACTIONS(2364),
    [anon_sym_inline] = ACTIONS(2364),
    [anon_sym___inline] = ACTIONS(2364),
    [anon_sym___inline__] = ACTIONS(2364),
    [anon_sym___forceinline] = ACTIONS(2364),
    [anon_sym_thread_local] = ACTIONS(2364),
    [anon_sym___thread] = ACTIONS(2364),
    [anon_sym_const] = ACTIONS(2364),
    [anon_sym_constexpr] = ACTIONS(2364),
    [anon_sym_volatile] = ACTIONS(2364),
    [anon_sym_restrict] = ACTIONS(2364),
    [anon_sym___restrict__] = ACTIONS(2364),
    [anon_sym__Atomic] = ACTIONS(2364),
    [anon_sym__Noreturn] = ACTIONS(2364),
    [anon_sym_noreturn] = ACTIONS(2364),
    [anon_sym_mutable] = ACTIONS(2364),
    [anon_sym_constinit] = ACTIONS(2364),
    [anon_sym_consteval] = ACTIONS(2364),
    [sym_primitive_type] = ACTIONS(2364),
    [anon_sym_enum] = ACTIONS(2364),
    [anon_sym_class] = ACTIONS(2364),
    [anon_sym_struct] = ACTIONS(2364),
    [anon_sym_union] = ACTIONS(2364),
    [anon_sym_if] = ACTIONS(2364),
    [anon_sym_else] = ACTIONS(2364),
    [anon_sym_switch] = ACTIONS(2364),
    [anon_sym_case] = ACTIONS(2364),
    [anon_sym_default] = ACTIONS(2364),
    [anon_sym_while] = ACTIONS(2364),
    [anon_sym_do] = ACTIONS(2364),
    [anon_sym_for] = ACTIONS(2364),
    [anon_sym_return] = ACTIONS(2364),
    [anon_sym_break] = ACTIONS(2364),
    [anon_sym_continue] = ACTIONS(2364),
    [anon_sym_goto] = ACTIONS(2364),
    [anon_sym___try] = ACTIONS(2364),
    [anon_sym___leave] = ACTIONS(2364),
    [anon_sym_not] = ACTIONS(2364),
    [anon_sym_compl] = ACTIONS(2364),
    [anon_sym_DASH_DASH] = ACTIONS(2366),
    [anon_sym_PLUS_PLUS] = ACTIONS(2366),
    [anon_sym_sizeof] = ACTIONS(2364),
    [anon_sym___alignof__] = ACTIONS(2364),
    [anon_sym___alignof] = ACTIONS(2364),
    [anon_sym__alignof] = ACTIONS(2364),
    [anon_sym_alignof] = ACTIONS(2364),
    [anon_sym__Alignof] = ACTIONS(2364),
    [anon_sym_offsetof] = ACTIONS(2364),
    [anon_sym__Generic] = ACTIONS(2364),
    [anon_sym_asm] = ACTIONS(2364),
    [anon_sym___asm__] = ACTIONS(2364),
    [sym_number_literal] = ACTIONS(2366),
    [anon_sym_L_SQUOTE] = ACTIONS(2366),
    [anon_sym_u_SQUOTE] = ACTIONS(2366),
    [anon_sym_U_SQUOTE] = ACTIONS(2366),
    [anon_sym_u8_SQUOTE] = ACTIONS(2366),
    [anon_sym_SQUOTE] = ACTIONS(2366),
    [anon_sym_L_DQUOTE] = ACTIONS(2366),
    [anon_sym_u_DQUOTE] = ACTIONS(2366),
    [anon_sym_U_DQUOTE] = ACTIONS(2366),
    [anon_sym_u8_DQUOTE] = ACTIONS(2366),
    [anon_sym_DQUOTE] = ACTIONS(2366),
    [sym_true] = ACTIONS(2364),
    [sym_false] = ACTIONS(2364),
    [anon_sym_NULL] = ACTIONS(2364),
    [anon_sym_nullptr] = ACTIONS(2364),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2364),
    [anon_sym_decltype] = ACTIONS(2364),
    [anon_sym_virtual] = ACTIONS(2364),
    [anon_sym_alignas] = ACTIONS(2364),
    [anon_sym_explicit] = ACTIONS(2364),
    [anon_sym_typename] = ACTIONS(2364),
    [anon_sym_template] = ACTIONS(2364),
    [anon_sym_operator] = ACTIONS(2364),
    [anon_sym_try] = ACTIONS(2364),
    [anon_sym_delete] = ACTIONS(2364),
    [anon_sym_throw] = ACTIONS(2364),
    [anon_sym_namespace] = ACTIONS(2364),
    [anon_sym_using] = ACTIONS(2364),
    [anon_sym_static_assert] = ACTIONS(2364),
    [anon_sym_concept] = ACTIONS(2364),
    [anon_sym_co_return] = ACTIONS(2364),
    [anon_sym_co_yield] = ACTIONS(2364),
    [anon_sym_R_DQUOTE] = ACTIONS(2366),
    [anon_sym_LR_DQUOTE] = ACTIONS(2366),
    [anon_sym_uR_DQUOTE] = ACTIONS(2366),
    [anon_sym_UR_DQUOTE] = ACTIONS(2366),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2366),
    [anon_sym_co_await] = ACTIONS(2364),
    [anon_sym_new] = ACTIONS(2364),
    [anon_sym_requires] = ACTIONS(2364),
    [sym_this] = ACTIONS(2364),
    [anon_sym_discard] = ACTIONS(2364),
    [anon_sym_precise] = ACTIONS(2364),
    [anon_sym_shared] = ACTIONS(2364),
    [anon_sym_groupshared] = ACTIONS(2364),
    [anon_sym_uniform] = ACTIONS(2364),
    [anon_sym_row_major] = ACTIONS(2364),
    [anon_sym_column_major] = ACTIONS(2364),
    [anon_sym_globallycoherent] = ACTIONS(2364),
    [anon_sym_centroid] = ACTIONS(2364),
    [anon_sym_noperspective] = ACTIONS(2364),
    [anon_sym_nointerpolation] = ACTIONS(2364),
    [anon_sym_sample] = ACTIONS(2364),
    [anon_sym_linear] = ACTIONS(2364),
    [anon_sym_snorm] = ACTIONS(2364),
    [anon_sym_unorm] = ACTIONS(2364),
    [anon_sym_point] = ACTIONS(2364),
    [anon_sym_line] = ACTIONS(2364),
    [anon_sym_triangleadj] = ACTIONS(2364),
    [anon_sym_lineadj] = ACTIONS(2364),
    [anon_sym_triangle] = ACTIONS(2364),
    [anon_sym_cbuffer] = ACTIONS(2364),
  },
  [894] = {
    [sym_identifier] = ACTIONS(2364),
    [aux_sym_preproc_include_token1] = ACTIONS(2364),
    [aux_sym_preproc_def_token1] = ACTIONS(2364),
    [aux_sym_preproc_if_token1] = ACTIONS(2364),
    [aux_sym_preproc_if_token2] = ACTIONS(2364),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2364),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2364),
    [sym_preproc_directive] = ACTIONS(2364),
    [anon_sym_LPAREN2] = ACTIONS(2366),
    [anon_sym_BANG] = ACTIONS(2366),
    [anon_sym_TILDE] = ACTIONS(2366),
    [anon_sym_DASH] = ACTIONS(2364),
    [anon_sym_PLUS] = ACTIONS(2364),
    [anon_sym_STAR] = ACTIONS(2366),
    [anon_sym_AMP_AMP] = ACTIONS(2366),
    [anon_sym_AMP] = ACTIONS(2364),
    [anon_sym_SEMI] = ACTIONS(2366),
    [anon_sym___extension__] = ACTIONS(2364),
    [anon_sym_typedef] = ACTIONS(2364),
    [anon_sym_in] = ACTIONS(2364),
    [anon_sym_out] = ACTIONS(2364),
    [anon_sym_inout] = ACTIONS(2364),
    [anon_sym_extern] = ACTIONS(2364),
    [anon_sym___attribute__] = ACTIONS(2364),
    [anon_sym_COLON_COLON] = ACTIONS(2366),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2366),
    [anon_sym___declspec] = ACTIONS(2364),
    [anon_sym___based] = ACTIONS(2364),
    [anon_sym___cdecl] = ACTIONS(2364),
    [anon_sym___clrcall] = ACTIONS(2364),
    [anon_sym___stdcall] = ACTIONS(2364),
    [anon_sym___fastcall] = ACTIONS(2364),
    [anon_sym___thiscall] = ACTIONS(2364),
    [anon_sym___vectorcall] = ACTIONS(2364),
    [anon_sym_LBRACE] = ACTIONS(2366),
    [anon_sym_signed] = ACTIONS(2364),
    [anon_sym_unsigned] = ACTIONS(2364),
    [anon_sym_long] = ACTIONS(2364),
    [anon_sym_short] = ACTIONS(2364),
    [anon_sym_LBRACK] = ACTIONS(2364),
    [anon_sym_static] = ACTIONS(2364),
    [anon_sym_register] = ACTIONS(2364),
    [anon_sym_inline] = ACTIONS(2364),
    [anon_sym___inline] = ACTIONS(2364),
    [anon_sym___inline__] = ACTIONS(2364),
    [anon_sym___forceinline] = ACTIONS(2364),
    [anon_sym_thread_local] = ACTIONS(2364),
    [anon_sym___thread] = ACTIONS(2364),
    [anon_sym_const] = ACTIONS(2364),
    [anon_sym_constexpr] = ACTIONS(2364),
    [anon_sym_volatile] = ACTIONS(2364),
    [anon_sym_restrict] = ACTIONS(2364),
    [anon_sym___restrict__] = ACTIONS(2364),
    [anon_sym__Atomic] = ACTIONS(2364),
    [anon_sym__Noreturn] = ACTIONS(2364),
    [anon_sym_noreturn] = ACTIONS(2364),
    [anon_sym_mutable] = ACTIONS(2364),
    [anon_sym_constinit] = ACTIONS(2364),
    [anon_sym_consteval] = ACTIONS(2364),
    [sym_primitive_type] = ACTIONS(2364),
    [anon_sym_enum] = ACTIONS(2364),
    [anon_sym_class] = ACTIONS(2364),
    [anon_sym_struct] = ACTIONS(2364),
    [anon_sym_union] = ACTIONS(2364),
    [anon_sym_if] = ACTIONS(2364),
    [anon_sym_else] = ACTIONS(2364),
    [anon_sym_switch] = ACTIONS(2364),
    [anon_sym_case] = ACTIONS(2364),
    [anon_sym_default] = ACTIONS(2364),
    [anon_sym_while] = ACTIONS(2364),
    [anon_sym_do] = ACTIONS(2364),
    [anon_sym_for] = ACTIONS(2364),
    [anon_sym_return] = ACTIONS(2364),
    [anon_sym_break] = ACTIONS(2364),
    [anon_sym_continue] = ACTIONS(2364),
    [anon_sym_goto] = ACTIONS(2364),
    [anon_sym___try] = ACTIONS(2364),
    [anon_sym___leave] = ACTIONS(2364),
    [anon_sym_not] = ACTIONS(2364),
    [anon_sym_compl] = ACTIONS(2364),
    [anon_sym_DASH_DASH] = ACTIONS(2366),
    [anon_sym_PLUS_PLUS] = ACTIONS(2366),
    [anon_sym_sizeof] = ACTIONS(2364),
    [anon_sym___alignof__] = ACTIONS(2364),
    [anon_sym___alignof] = ACTIONS(2364),
    [anon_sym__alignof] = ACTIONS(2364),
    [anon_sym_alignof] = ACTIONS(2364),
    [anon_sym__Alignof] = ACTIONS(2364),
    [anon_sym_offsetof] = ACTIONS(2364),
    [anon_sym__Generic] = ACTIONS(2364),
    [anon_sym_asm] = ACTIONS(2364),
    [anon_sym___asm__] = ACTIONS(2364),
    [sym_number_literal] = ACTIONS(2366),
    [anon_sym_L_SQUOTE] = ACTIONS(2366),
    [anon_sym_u_SQUOTE] = ACTIONS(2366),
    [anon_sym_U_SQUOTE] = ACTIONS(2366),
    [anon_sym_u8_SQUOTE] = ACTIONS(2366),
    [anon_sym_SQUOTE] = ACTIONS(2366),
    [anon_sym_L_DQUOTE] = ACTIONS(2366),
    [anon_sym_u_DQUOTE] = ACTIONS(2366),
    [anon_sym_U_DQUOTE] = ACTIONS(2366),
    [anon_sym_u8_DQUOTE] = ACTIONS(2366),
    [anon_sym_DQUOTE] = ACTIONS(2366),
    [sym_true] = ACTIONS(2364),
    [sym_false] = ACTIONS(2364),
    [anon_sym_NULL] = ACTIONS(2364),
    [anon_sym_nullptr] = ACTIONS(2364),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2364),
    [anon_sym_decltype] = ACTIONS(2364),
    [anon_sym_virtual] = ACTIONS(2364),
    [anon_sym_alignas] = ACTIONS(2364),
    [anon_sym_explicit] = ACTIONS(2364),
    [anon_sym_typename] = ACTIONS(2364),
    [anon_sym_template] = ACTIONS(2364),
    [anon_sym_operator] = ACTIONS(2364),
    [anon_sym_try] = ACTIONS(2364),
    [anon_sym_delete] = ACTIONS(2364),
    [anon_sym_throw] = ACTIONS(2364),
    [anon_sym_namespace] = ACTIONS(2364),
    [anon_sym_using] = ACTIONS(2364),
    [anon_sym_static_assert] = ACTIONS(2364),
    [anon_sym_concept] = ACTIONS(2364),
    [anon_sym_co_return] = ACTIONS(2364),
    [anon_sym_co_yield] = ACTIONS(2364),
    [anon_sym_R_DQUOTE] = ACTIONS(2366),
    [anon_sym_LR_DQUOTE] = ACTIONS(2366),
    [anon_sym_uR_DQUOTE] = ACTIONS(2366),
    [anon_sym_UR_DQUOTE] = ACTIONS(2366),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2366),
    [anon_sym_co_await] = ACTIONS(2364),
    [anon_sym_new] = ACTIONS(2364),
    [anon_sym_requires] = ACTIONS(2364),
    [sym_this] = ACTIONS(2364),
    [anon_sym_discard] = ACTIONS(2364),
    [anon_sym_precise] = ACTIONS(2364),
    [anon_sym_shared] = ACTIONS(2364),
    [anon_sym_groupshared] = ACTIONS(2364),
    [anon_sym_uniform] = ACTIONS(2364),
    [anon_sym_row_major] = ACTIONS(2364),
    [anon_sym_column_major] = ACTIONS(2364),
    [anon_sym_globallycoherent] = ACTIONS(2364),
    [anon_sym_centroid] = ACTIONS(2364),
    [anon_sym_noperspective] = ACTIONS(2364),
    [anon_sym_nointerpolation] = ACTIONS(2364),
    [anon_sym_sample] = ACTIONS(2364),
    [anon_sym_linear] = ACTIONS(2364),
    [anon_sym_snorm] = ACTIONS(2364),
    [anon_sym_unorm] = ACTIONS(2364),
    [anon_sym_point] = ACTIONS(2364),
    [anon_sym_line] = ACTIONS(2364),
    [anon_sym_triangleadj] = ACTIONS(2364),
    [anon_sym_lineadj] = ACTIONS(2364),
    [anon_sym_triangle] = ACTIONS(2364),
    [anon_sym_cbuffer] = ACTIONS(2364),
  },
  [895] = {
    [sym_identifier] = ACTIONS(2364),
    [aux_sym_preproc_include_token1] = ACTIONS(2364),
    [aux_sym_preproc_def_token1] = ACTIONS(2364),
    [aux_sym_preproc_if_token1] = ACTIONS(2364),
    [aux_sym_preproc_if_token2] = ACTIONS(2364),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2364),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2364),
    [sym_preproc_directive] = ACTIONS(2364),
    [anon_sym_LPAREN2] = ACTIONS(2366),
    [anon_sym_BANG] = ACTIONS(2366),
    [anon_sym_TILDE] = ACTIONS(2366),
    [anon_sym_DASH] = ACTIONS(2364),
    [anon_sym_PLUS] = ACTIONS(2364),
    [anon_sym_STAR] = ACTIONS(2366),
    [anon_sym_AMP_AMP] = ACTIONS(2366),
    [anon_sym_AMP] = ACTIONS(2364),
    [anon_sym_SEMI] = ACTIONS(2366),
    [anon_sym___extension__] = ACTIONS(2364),
    [anon_sym_typedef] = ACTIONS(2364),
    [anon_sym_in] = ACTIONS(2364),
    [anon_sym_out] = ACTIONS(2364),
    [anon_sym_inout] = ACTIONS(2364),
    [anon_sym_extern] = ACTIONS(2364),
    [anon_sym___attribute__] = ACTIONS(2364),
    [anon_sym_COLON_COLON] = ACTIONS(2366),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2366),
    [anon_sym___declspec] = ACTIONS(2364),
    [anon_sym___based] = ACTIONS(2364),
    [anon_sym___cdecl] = ACTIONS(2364),
    [anon_sym___clrcall] = ACTIONS(2364),
    [anon_sym___stdcall] = ACTIONS(2364),
    [anon_sym___fastcall] = ACTIONS(2364),
    [anon_sym___thiscall] = ACTIONS(2364),
    [anon_sym___vectorcall] = ACTIONS(2364),
    [anon_sym_LBRACE] = ACTIONS(2366),
    [anon_sym_signed] = ACTIONS(2364),
    [anon_sym_unsigned] = ACTIONS(2364),
    [anon_sym_long] = ACTIONS(2364),
    [anon_sym_short] = ACTIONS(2364),
    [anon_sym_LBRACK] = ACTIONS(2364),
    [anon_sym_static] = ACTIONS(2364),
    [anon_sym_register] = ACTIONS(2364),
    [anon_sym_inline] = ACTIONS(2364),
    [anon_sym___inline] = ACTIONS(2364),
    [anon_sym___inline__] = ACTIONS(2364),
    [anon_sym___forceinline] = ACTIONS(2364),
    [anon_sym_thread_local] = ACTIONS(2364),
    [anon_sym___thread] = ACTIONS(2364),
    [anon_sym_const] = ACTIONS(2364),
    [anon_sym_constexpr] = ACTIONS(2364),
    [anon_sym_volatile] = ACTIONS(2364),
    [anon_sym_restrict] = ACTIONS(2364),
    [anon_sym___restrict__] = ACTIONS(2364),
    [anon_sym__Atomic] = ACTIONS(2364),
    [anon_sym__Noreturn] = ACTIONS(2364),
    [anon_sym_noreturn] = ACTIONS(2364),
    [anon_sym_mutable] = ACTIONS(2364),
    [anon_sym_constinit] = ACTIONS(2364),
    [anon_sym_consteval] = ACTIONS(2364),
    [sym_primitive_type] = ACTIONS(2364),
    [anon_sym_enum] = ACTIONS(2364),
    [anon_sym_class] = ACTIONS(2364),
    [anon_sym_struct] = ACTIONS(2364),
    [anon_sym_union] = ACTIONS(2364),
    [anon_sym_if] = ACTIONS(2364),
    [anon_sym_else] = ACTIONS(2364),
    [anon_sym_switch] = ACTIONS(2364),
    [anon_sym_case] = ACTIONS(2364),
    [anon_sym_default] = ACTIONS(2364),
    [anon_sym_while] = ACTIONS(2364),
    [anon_sym_do] = ACTIONS(2364),
    [anon_sym_for] = ACTIONS(2364),
    [anon_sym_return] = ACTIONS(2364),
    [anon_sym_break] = ACTIONS(2364),
    [anon_sym_continue] = ACTIONS(2364),
    [anon_sym_goto] = ACTIONS(2364),
    [anon_sym___try] = ACTIONS(2364),
    [anon_sym___leave] = ACTIONS(2364),
    [anon_sym_not] = ACTIONS(2364),
    [anon_sym_compl] = ACTIONS(2364),
    [anon_sym_DASH_DASH] = ACTIONS(2366),
    [anon_sym_PLUS_PLUS] = ACTIONS(2366),
    [anon_sym_sizeof] = ACTIONS(2364),
    [anon_sym___alignof__] = ACTIONS(2364),
    [anon_sym___alignof] = ACTIONS(2364),
    [anon_sym__alignof] = ACTIONS(2364),
    [anon_sym_alignof] = ACTIONS(2364),
    [anon_sym__Alignof] = ACTIONS(2364),
    [anon_sym_offsetof] = ACTIONS(2364),
    [anon_sym__Generic] = ACTIONS(2364),
    [anon_sym_asm] = ACTIONS(2364),
    [anon_sym___asm__] = ACTIONS(2364),
    [sym_number_literal] = ACTIONS(2366),
    [anon_sym_L_SQUOTE] = ACTIONS(2366),
    [anon_sym_u_SQUOTE] = ACTIONS(2366),
    [anon_sym_U_SQUOTE] = ACTIONS(2366),
    [anon_sym_u8_SQUOTE] = ACTIONS(2366),
    [anon_sym_SQUOTE] = ACTIONS(2366),
    [anon_sym_L_DQUOTE] = ACTIONS(2366),
    [anon_sym_u_DQUOTE] = ACTIONS(2366),
    [anon_sym_U_DQUOTE] = ACTIONS(2366),
    [anon_sym_u8_DQUOTE] = ACTIONS(2366),
    [anon_sym_DQUOTE] = ACTIONS(2366),
    [sym_true] = ACTIONS(2364),
    [sym_false] = ACTIONS(2364),
    [anon_sym_NULL] = ACTIONS(2364),
    [anon_sym_nullptr] = ACTIONS(2364),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2364),
    [anon_sym_decltype] = ACTIONS(2364),
    [anon_sym_virtual] = ACTIONS(2364),
    [anon_sym_alignas] = ACTIONS(2364),
    [anon_sym_explicit] = ACTIONS(2364),
    [anon_sym_typename] = ACTIONS(2364),
    [anon_sym_template] = ACTIONS(2364),
    [anon_sym_operator] = ACTIONS(2364),
    [anon_sym_try] = ACTIONS(2364),
    [anon_sym_delete] = ACTIONS(2364),
    [anon_sym_throw] = ACTIONS(2364),
    [anon_sym_namespace] = ACTIONS(2364),
    [anon_sym_using] = ACTIONS(2364),
    [anon_sym_static_assert] = ACTIONS(2364),
    [anon_sym_concept] = ACTIONS(2364),
    [anon_sym_co_return] = ACTIONS(2364),
    [anon_sym_co_yield] = ACTIONS(2364),
    [anon_sym_R_DQUOTE] = ACTIONS(2366),
    [anon_sym_LR_DQUOTE] = ACTIONS(2366),
    [anon_sym_uR_DQUOTE] = ACTIONS(2366),
    [anon_sym_UR_DQUOTE] = ACTIONS(2366),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2366),
    [anon_sym_co_await] = ACTIONS(2364),
    [anon_sym_new] = ACTIONS(2364),
    [anon_sym_requires] = ACTIONS(2364),
    [sym_this] = ACTIONS(2364),
    [anon_sym_discard] = ACTIONS(2364),
    [anon_sym_precise] = ACTIONS(2364),
    [anon_sym_shared] = ACTIONS(2364),
    [anon_sym_groupshared] = ACTIONS(2364),
    [anon_sym_uniform] = ACTIONS(2364),
    [anon_sym_row_major] = ACTIONS(2364),
    [anon_sym_column_major] = ACTIONS(2364),
    [anon_sym_globallycoherent] = ACTIONS(2364),
    [anon_sym_centroid] = ACTIONS(2364),
    [anon_sym_noperspective] = ACTIONS(2364),
    [anon_sym_nointerpolation] = ACTIONS(2364),
    [anon_sym_sample] = ACTIONS(2364),
    [anon_sym_linear] = ACTIONS(2364),
    [anon_sym_snorm] = ACTIONS(2364),
    [anon_sym_unorm] = ACTIONS(2364),
    [anon_sym_point] = ACTIONS(2364),
    [anon_sym_line] = ACTIONS(2364),
    [anon_sym_triangleadj] = ACTIONS(2364),
    [anon_sym_lineadj] = ACTIONS(2364),
    [anon_sym_triangle] = ACTIONS(2364),
    [anon_sym_cbuffer] = ACTIONS(2364),
  },
  [896] = {
    [sym_identifier] = ACTIONS(2330),
    [aux_sym_preproc_include_token1] = ACTIONS(2330),
    [aux_sym_preproc_def_token1] = ACTIONS(2330),
    [aux_sym_preproc_if_token1] = ACTIONS(2330),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2330),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2330),
    [sym_preproc_directive] = ACTIONS(2330),
    [anon_sym_LPAREN2] = ACTIONS(2332),
    [anon_sym_BANG] = ACTIONS(2332),
    [anon_sym_TILDE] = ACTIONS(2332),
    [anon_sym_DASH] = ACTIONS(2330),
    [anon_sym_PLUS] = ACTIONS(2330),
    [anon_sym_STAR] = ACTIONS(2332),
    [anon_sym_AMP_AMP] = ACTIONS(2332),
    [anon_sym_AMP] = ACTIONS(2330),
    [anon_sym_SEMI] = ACTIONS(2332),
    [anon_sym___extension__] = ACTIONS(2330),
    [anon_sym_typedef] = ACTIONS(2330),
    [anon_sym_in] = ACTIONS(2330),
    [anon_sym_out] = ACTIONS(2330),
    [anon_sym_inout] = ACTIONS(2330),
    [anon_sym_extern] = ACTIONS(2330),
    [anon_sym___attribute__] = ACTIONS(2330),
    [anon_sym_COLON_COLON] = ACTIONS(2332),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2332),
    [anon_sym___declspec] = ACTIONS(2330),
    [anon_sym___based] = ACTIONS(2330),
    [anon_sym___cdecl] = ACTIONS(2330),
    [anon_sym___clrcall] = ACTIONS(2330),
    [anon_sym___stdcall] = ACTIONS(2330),
    [anon_sym___fastcall] = ACTIONS(2330),
    [anon_sym___thiscall] = ACTIONS(2330),
    [anon_sym___vectorcall] = ACTIONS(2330),
    [anon_sym_LBRACE] = ACTIONS(2332),
    [anon_sym_RBRACE] = ACTIONS(2332),
    [anon_sym_signed] = ACTIONS(2330),
    [anon_sym_unsigned] = ACTIONS(2330),
    [anon_sym_long] = ACTIONS(2330),
    [anon_sym_short] = ACTIONS(2330),
    [anon_sym_LBRACK] = ACTIONS(2330),
    [anon_sym_static] = ACTIONS(2330),
    [anon_sym_register] = ACTIONS(2330),
    [anon_sym_inline] = ACTIONS(2330),
    [anon_sym___inline] = ACTIONS(2330),
    [anon_sym___inline__] = ACTIONS(2330),
    [anon_sym___forceinline] = ACTIONS(2330),
    [anon_sym_thread_local] = ACTIONS(2330),
    [anon_sym___thread] = ACTIONS(2330),
    [anon_sym_const] = ACTIONS(2330),
    [anon_sym_constexpr] = ACTIONS(2330),
    [anon_sym_volatile] = ACTIONS(2330),
    [anon_sym_restrict] = ACTIONS(2330),
    [anon_sym___restrict__] = ACTIONS(2330),
    [anon_sym__Atomic] = ACTIONS(2330),
    [anon_sym__Noreturn] = ACTIONS(2330),
    [anon_sym_noreturn] = ACTIONS(2330),
    [anon_sym_mutable] = ACTIONS(2330),
    [anon_sym_constinit] = ACTIONS(2330),
    [anon_sym_consteval] = ACTIONS(2330),
    [sym_primitive_type] = ACTIONS(2330),
    [anon_sym_enum] = ACTIONS(2330),
    [anon_sym_class] = ACTIONS(2330),
    [anon_sym_struct] = ACTIONS(2330),
    [anon_sym_union] = ACTIONS(2330),
    [anon_sym_if] = ACTIONS(2330),
    [anon_sym_else] = ACTIONS(2330),
    [anon_sym_switch] = ACTIONS(2330),
    [anon_sym_case] = ACTIONS(2330),
    [anon_sym_default] = ACTIONS(2330),
    [anon_sym_while] = ACTIONS(2330),
    [anon_sym_do] = ACTIONS(2330),
    [anon_sym_for] = ACTIONS(2330),
    [anon_sym_return] = ACTIONS(2330),
    [anon_sym_break] = ACTIONS(2330),
    [anon_sym_continue] = ACTIONS(2330),
    [anon_sym_goto] = ACTIONS(2330),
    [anon_sym___try] = ACTIONS(2330),
    [anon_sym___leave] = ACTIONS(2330),
    [anon_sym_not] = ACTIONS(2330),
    [anon_sym_compl] = ACTIONS(2330),
    [anon_sym_DASH_DASH] = ACTIONS(2332),
    [anon_sym_PLUS_PLUS] = ACTIONS(2332),
    [anon_sym_sizeof] = ACTIONS(2330),
    [anon_sym___alignof__] = ACTIONS(2330),
    [anon_sym___alignof] = ACTIONS(2330),
    [anon_sym__alignof] = ACTIONS(2330),
    [anon_sym_alignof] = ACTIONS(2330),
    [anon_sym__Alignof] = ACTIONS(2330),
    [anon_sym_offsetof] = ACTIONS(2330),
    [anon_sym__Generic] = ACTIONS(2330),
    [anon_sym_asm] = ACTIONS(2330),
    [anon_sym___asm__] = ACTIONS(2330),
    [sym_number_literal] = ACTIONS(2332),
    [anon_sym_L_SQUOTE] = ACTIONS(2332),
    [anon_sym_u_SQUOTE] = ACTIONS(2332),
    [anon_sym_U_SQUOTE] = ACTIONS(2332),
    [anon_sym_u8_SQUOTE] = ACTIONS(2332),
    [anon_sym_SQUOTE] = ACTIONS(2332),
    [anon_sym_L_DQUOTE] = ACTIONS(2332),
    [anon_sym_u_DQUOTE] = ACTIONS(2332),
    [anon_sym_U_DQUOTE] = ACTIONS(2332),
    [anon_sym_u8_DQUOTE] = ACTIONS(2332),
    [anon_sym_DQUOTE] = ACTIONS(2332),
    [sym_true] = ACTIONS(2330),
    [sym_false] = ACTIONS(2330),
    [anon_sym_NULL] = ACTIONS(2330),
    [anon_sym_nullptr] = ACTIONS(2330),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2330),
    [anon_sym_decltype] = ACTIONS(2330),
    [anon_sym_virtual] = ACTIONS(2330),
    [anon_sym_alignas] = ACTIONS(2330),
    [anon_sym_explicit] = ACTIONS(2330),
    [anon_sym_typename] = ACTIONS(2330),
    [anon_sym_template] = ACTIONS(2330),
    [anon_sym_operator] = ACTIONS(2330),
    [anon_sym_try] = ACTIONS(2330),
    [anon_sym_delete] = ACTIONS(2330),
    [anon_sym_throw] = ACTIONS(2330),
    [anon_sym_namespace] = ACTIONS(2330),
    [anon_sym_using] = ACTIONS(2330),
    [anon_sym_static_assert] = ACTIONS(2330),
    [anon_sym_concept] = ACTIONS(2330),
    [anon_sym_co_return] = ACTIONS(2330),
    [anon_sym_co_yield] = ACTIONS(2330),
    [anon_sym_R_DQUOTE] = ACTIONS(2332),
    [anon_sym_LR_DQUOTE] = ACTIONS(2332),
    [anon_sym_uR_DQUOTE] = ACTIONS(2332),
    [anon_sym_UR_DQUOTE] = ACTIONS(2332),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2332),
    [anon_sym_co_await] = ACTIONS(2330),
    [anon_sym_new] = ACTIONS(2330),
    [anon_sym_requires] = ACTIONS(2330),
    [sym_this] = ACTIONS(2330),
    [anon_sym_discard] = ACTIONS(2330),
    [anon_sym_precise] = ACTIONS(2330),
    [anon_sym_shared] = ACTIONS(2330),
    [anon_sym_groupshared] = ACTIONS(2330),
    [anon_sym_uniform] = ACTIONS(2330),
    [anon_sym_row_major] = ACTIONS(2330),
    [anon_sym_column_major] = ACTIONS(2330),
    [anon_sym_globallycoherent] = ACTIONS(2330),
    [anon_sym_centroid] = ACTIONS(2330),
    [anon_sym_noperspective] = ACTIONS(2330),
    [anon_sym_nointerpolation] = ACTIONS(2330),
    [anon_sym_sample] = ACTIONS(2330),
    [anon_sym_linear] = ACTIONS(2330),
    [anon_sym_snorm] = ACTIONS(2330),
    [anon_sym_unorm] = ACTIONS(2330),
    [anon_sym_point] = ACTIONS(2330),
    [anon_sym_line] = ACTIONS(2330),
    [anon_sym_triangleadj] = ACTIONS(2330),
    [anon_sym_lineadj] = ACTIONS(2330),
    [anon_sym_triangle] = ACTIONS(2330),
    [anon_sym_cbuffer] = ACTIONS(2330),
  },
  [897] = {
    [ts_builtin_sym_end] = ACTIONS(2366),
    [sym_identifier] = ACTIONS(2364),
    [aux_sym_preproc_include_token1] = ACTIONS(2364),
    [aux_sym_preproc_def_token1] = ACTIONS(2364),
    [aux_sym_preproc_if_token1] = ACTIONS(2364),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2364),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2364),
    [sym_preproc_directive] = ACTIONS(2364),
    [anon_sym_LPAREN2] = ACTIONS(2366),
    [anon_sym_BANG] = ACTIONS(2366),
    [anon_sym_TILDE] = ACTIONS(2366),
    [anon_sym_DASH] = ACTIONS(2364),
    [anon_sym_PLUS] = ACTIONS(2364),
    [anon_sym_STAR] = ACTIONS(2366),
    [anon_sym_AMP_AMP] = ACTIONS(2366),
    [anon_sym_AMP] = ACTIONS(2364),
    [anon_sym_SEMI] = ACTIONS(2366),
    [anon_sym___extension__] = ACTIONS(2364),
    [anon_sym_typedef] = ACTIONS(2364),
    [anon_sym_in] = ACTIONS(2364),
    [anon_sym_out] = ACTIONS(2364),
    [anon_sym_inout] = ACTIONS(2364),
    [anon_sym_extern] = ACTIONS(2364),
    [anon_sym___attribute__] = ACTIONS(2364),
    [anon_sym_COLON_COLON] = ACTIONS(2366),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2366),
    [anon_sym___declspec] = ACTIONS(2364),
    [anon_sym___based] = ACTIONS(2364),
    [anon_sym___cdecl] = ACTIONS(2364),
    [anon_sym___clrcall] = ACTIONS(2364),
    [anon_sym___stdcall] = ACTIONS(2364),
    [anon_sym___fastcall] = ACTIONS(2364),
    [anon_sym___thiscall] = ACTIONS(2364),
    [anon_sym___vectorcall] = ACTIONS(2364),
    [anon_sym_LBRACE] = ACTIONS(2366),
    [anon_sym_signed] = ACTIONS(2364),
    [anon_sym_unsigned] = ACTIONS(2364),
    [anon_sym_long] = ACTIONS(2364),
    [anon_sym_short] = ACTIONS(2364),
    [anon_sym_LBRACK] = ACTIONS(2364),
    [anon_sym_static] = ACTIONS(2364),
    [anon_sym_register] = ACTIONS(2364),
    [anon_sym_inline] = ACTIONS(2364),
    [anon_sym___inline] = ACTIONS(2364),
    [anon_sym___inline__] = ACTIONS(2364),
    [anon_sym___forceinline] = ACTIONS(2364),
    [anon_sym_thread_local] = ACTIONS(2364),
    [anon_sym___thread] = ACTIONS(2364),
    [anon_sym_const] = ACTIONS(2364),
    [anon_sym_constexpr] = ACTIONS(2364),
    [anon_sym_volatile] = ACTIONS(2364),
    [anon_sym_restrict] = ACTIONS(2364),
    [anon_sym___restrict__] = ACTIONS(2364),
    [anon_sym__Atomic] = ACTIONS(2364),
    [anon_sym__Noreturn] = ACTIONS(2364),
    [anon_sym_noreturn] = ACTIONS(2364),
    [anon_sym_mutable] = ACTIONS(2364),
    [anon_sym_constinit] = ACTIONS(2364),
    [anon_sym_consteval] = ACTIONS(2364),
    [sym_primitive_type] = ACTIONS(2364),
    [anon_sym_enum] = ACTIONS(2364),
    [anon_sym_class] = ACTIONS(2364),
    [anon_sym_struct] = ACTIONS(2364),
    [anon_sym_union] = ACTIONS(2364),
    [anon_sym_if] = ACTIONS(2364),
    [anon_sym_else] = ACTIONS(2364),
    [anon_sym_switch] = ACTIONS(2364),
    [anon_sym_case] = ACTIONS(2364),
    [anon_sym_default] = ACTIONS(2364),
    [anon_sym_while] = ACTIONS(2364),
    [anon_sym_do] = ACTIONS(2364),
    [anon_sym_for] = ACTIONS(2364),
    [anon_sym_return] = ACTIONS(2364),
    [anon_sym_break] = ACTIONS(2364),
    [anon_sym_continue] = ACTIONS(2364),
    [anon_sym_goto] = ACTIONS(2364),
    [anon_sym___try] = ACTIONS(2364),
    [anon_sym___leave] = ACTIONS(2364),
    [anon_sym_not] = ACTIONS(2364),
    [anon_sym_compl] = ACTIONS(2364),
    [anon_sym_DASH_DASH] = ACTIONS(2366),
    [anon_sym_PLUS_PLUS] = ACTIONS(2366),
    [anon_sym_sizeof] = ACTIONS(2364),
    [anon_sym___alignof__] = ACTIONS(2364),
    [anon_sym___alignof] = ACTIONS(2364),
    [anon_sym__alignof] = ACTIONS(2364),
    [anon_sym_alignof] = ACTIONS(2364),
    [anon_sym__Alignof] = ACTIONS(2364),
    [anon_sym_offsetof] = ACTIONS(2364),
    [anon_sym__Generic] = ACTIONS(2364),
    [anon_sym_asm] = ACTIONS(2364),
    [anon_sym___asm__] = ACTIONS(2364),
    [sym_number_literal] = ACTIONS(2366),
    [anon_sym_L_SQUOTE] = ACTIONS(2366),
    [anon_sym_u_SQUOTE] = ACTIONS(2366),
    [anon_sym_U_SQUOTE] = ACTIONS(2366),
    [anon_sym_u8_SQUOTE] = ACTIONS(2366),
    [anon_sym_SQUOTE] = ACTIONS(2366),
    [anon_sym_L_DQUOTE] = ACTIONS(2366),
    [anon_sym_u_DQUOTE] = ACTIONS(2366),
    [anon_sym_U_DQUOTE] = ACTIONS(2366),
    [anon_sym_u8_DQUOTE] = ACTIONS(2366),
    [anon_sym_DQUOTE] = ACTIONS(2366),
    [sym_true] = ACTIONS(2364),
    [sym_false] = ACTIONS(2364),
    [anon_sym_NULL] = ACTIONS(2364),
    [anon_sym_nullptr] = ACTIONS(2364),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2364),
    [anon_sym_decltype] = ACTIONS(2364),
    [anon_sym_virtual] = ACTIONS(2364),
    [anon_sym_alignas] = ACTIONS(2364),
    [anon_sym_explicit] = ACTIONS(2364),
    [anon_sym_typename] = ACTIONS(2364),
    [anon_sym_template] = ACTIONS(2364),
    [anon_sym_operator] = ACTIONS(2364),
    [anon_sym_try] = ACTIONS(2364),
    [anon_sym_delete] = ACTIONS(2364),
    [anon_sym_throw] = ACTIONS(2364),
    [anon_sym_namespace] = ACTIONS(2364),
    [anon_sym_using] = ACTIONS(2364),
    [anon_sym_static_assert] = ACTIONS(2364),
    [anon_sym_concept] = ACTIONS(2364),
    [anon_sym_co_return] = ACTIONS(2364),
    [anon_sym_co_yield] = ACTIONS(2364),
    [anon_sym_R_DQUOTE] = ACTIONS(2366),
    [anon_sym_LR_DQUOTE] = ACTIONS(2366),
    [anon_sym_uR_DQUOTE] = ACTIONS(2366),
    [anon_sym_UR_DQUOTE] = ACTIONS(2366),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2366),
    [anon_sym_co_await] = ACTIONS(2364),
    [anon_sym_new] = ACTIONS(2364),
    [anon_sym_requires] = ACTIONS(2364),
    [sym_this] = ACTIONS(2364),
    [anon_sym_discard] = ACTIONS(2364),
    [anon_sym_precise] = ACTIONS(2364),
    [anon_sym_shared] = ACTIONS(2364),
    [anon_sym_groupshared] = ACTIONS(2364),
    [anon_sym_uniform] = ACTIONS(2364),
    [anon_sym_row_major] = ACTIONS(2364),
    [anon_sym_column_major] = ACTIONS(2364),
    [anon_sym_globallycoherent] = ACTIONS(2364),
    [anon_sym_centroid] = ACTIONS(2364),
    [anon_sym_noperspective] = ACTIONS(2364),
    [anon_sym_nointerpolation] = ACTIONS(2364),
    [anon_sym_sample] = ACTIONS(2364),
    [anon_sym_linear] = ACTIONS(2364),
    [anon_sym_snorm] = ACTIONS(2364),
    [anon_sym_unorm] = ACTIONS(2364),
    [anon_sym_point] = ACTIONS(2364),
    [anon_sym_line] = ACTIONS(2364),
    [anon_sym_triangleadj] = ACTIONS(2364),
    [anon_sym_lineadj] = ACTIONS(2364),
    [anon_sym_triangle] = ACTIONS(2364),
    [anon_sym_cbuffer] = ACTIONS(2364),
  },
  [898] = {
    [ts_builtin_sym_end] = ACTIONS(2438),
    [sym_identifier] = ACTIONS(2436),
    [aux_sym_preproc_include_token1] = ACTIONS(2436),
    [aux_sym_preproc_def_token1] = ACTIONS(2436),
    [aux_sym_preproc_if_token1] = ACTIONS(2436),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2436),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2436),
    [sym_preproc_directive] = ACTIONS(2436),
    [anon_sym_LPAREN2] = ACTIONS(2438),
    [anon_sym_BANG] = ACTIONS(2438),
    [anon_sym_TILDE] = ACTIONS(2438),
    [anon_sym_DASH] = ACTIONS(2436),
    [anon_sym_PLUS] = ACTIONS(2436),
    [anon_sym_STAR] = ACTIONS(2438),
    [anon_sym_AMP_AMP] = ACTIONS(2438),
    [anon_sym_AMP] = ACTIONS(2436),
    [anon_sym_SEMI] = ACTIONS(2438),
    [anon_sym___extension__] = ACTIONS(2436),
    [anon_sym_typedef] = ACTIONS(2436),
    [anon_sym_in] = ACTIONS(2436),
    [anon_sym_out] = ACTIONS(2436),
    [anon_sym_inout] = ACTIONS(2436),
    [anon_sym_extern] = ACTIONS(2436),
    [anon_sym___attribute__] = ACTIONS(2436),
    [anon_sym_COLON_COLON] = ACTIONS(2438),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2438),
    [anon_sym___declspec] = ACTIONS(2436),
    [anon_sym___based] = ACTIONS(2436),
    [anon_sym___cdecl] = ACTIONS(2436),
    [anon_sym___clrcall] = ACTIONS(2436),
    [anon_sym___stdcall] = ACTIONS(2436),
    [anon_sym___fastcall] = ACTIONS(2436),
    [anon_sym___thiscall] = ACTIONS(2436),
    [anon_sym___vectorcall] = ACTIONS(2436),
    [anon_sym_LBRACE] = ACTIONS(2438),
    [anon_sym_signed] = ACTIONS(2436),
    [anon_sym_unsigned] = ACTIONS(2436),
    [anon_sym_long] = ACTIONS(2436),
    [anon_sym_short] = ACTIONS(2436),
    [anon_sym_LBRACK] = ACTIONS(2436),
    [anon_sym_static] = ACTIONS(2436),
    [anon_sym_register] = ACTIONS(2436),
    [anon_sym_inline] = ACTIONS(2436),
    [anon_sym___inline] = ACTIONS(2436),
    [anon_sym___inline__] = ACTIONS(2436),
    [anon_sym___forceinline] = ACTIONS(2436),
    [anon_sym_thread_local] = ACTIONS(2436),
    [anon_sym___thread] = ACTIONS(2436),
    [anon_sym_const] = ACTIONS(2436),
    [anon_sym_constexpr] = ACTIONS(2436),
    [anon_sym_volatile] = ACTIONS(2436),
    [anon_sym_restrict] = ACTIONS(2436),
    [anon_sym___restrict__] = ACTIONS(2436),
    [anon_sym__Atomic] = ACTIONS(2436),
    [anon_sym__Noreturn] = ACTIONS(2436),
    [anon_sym_noreturn] = ACTIONS(2436),
    [anon_sym_mutable] = ACTIONS(2436),
    [anon_sym_constinit] = ACTIONS(2436),
    [anon_sym_consteval] = ACTIONS(2436),
    [sym_primitive_type] = ACTIONS(2436),
    [anon_sym_enum] = ACTIONS(2436),
    [anon_sym_class] = ACTIONS(2436),
    [anon_sym_struct] = ACTIONS(2436),
    [anon_sym_union] = ACTIONS(2436),
    [anon_sym_if] = ACTIONS(2436),
    [anon_sym_else] = ACTIONS(2436),
    [anon_sym_switch] = ACTIONS(2436),
    [anon_sym_case] = ACTIONS(2436),
    [anon_sym_default] = ACTIONS(2436),
    [anon_sym_while] = ACTIONS(2436),
    [anon_sym_do] = ACTIONS(2436),
    [anon_sym_for] = ACTIONS(2436),
    [anon_sym_return] = ACTIONS(2436),
    [anon_sym_break] = ACTIONS(2436),
    [anon_sym_continue] = ACTIONS(2436),
    [anon_sym_goto] = ACTIONS(2436),
    [anon_sym___try] = ACTIONS(2436),
    [anon_sym___leave] = ACTIONS(2436),
    [anon_sym_not] = ACTIONS(2436),
    [anon_sym_compl] = ACTIONS(2436),
    [anon_sym_DASH_DASH] = ACTIONS(2438),
    [anon_sym_PLUS_PLUS] = ACTIONS(2438),
    [anon_sym_sizeof] = ACTIONS(2436),
    [anon_sym___alignof__] = ACTIONS(2436),
    [anon_sym___alignof] = ACTIONS(2436),
    [anon_sym__alignof] = ACTIONS(2436),
    [anon_sym_alignof] = ACTIONS(2436),
    [anon_sym__Alignof] = ACTIONS(2436),
    [anon_sym_offsetof] = ACTIONS(2436),
    [anon_sym__Generic] = ACTIONS(2436),
    [anon_sym_asm] = ACTIONS(2436),
    [anon_sym___asm__] = ACTIONS(2436),
    [sym_number_literal] = ACTIONS(2438),
    [anon_sym_L_SQUOTE] = ACTIONS(2438),
    [anon_sym_u_SQUOTE] = ACTIONS(2438),
    [anon_sym_U_SQUOTE] = ACTIONS(2438),
    [anon_sym_u8_SQUOTE] = ACTIONS(2438),
    [anon_sym_SQUOTE] = ACTIONS(2438),
    [anon_sym_L_DQUOTE] = ACTIONS(2438),
    [anon_sym_u_DQUOTE] = ACTIONS(2438),
    [anon_sym_U_DQUOTE] = ACTIONS(2438),
    [anon_sym_u8_DQUOTE] = ACTIONS(2438),
    [anon_sym_DQUOTE] = ACTIONS(2438),
    [sym_true] = ACTIONS(2436),
    [sym_false] = ACTIONS(2436),
    [anon_sym_NULL] = ACTIONS(2436),
    [anon_sym_nullptr] = ACTIONS(2436),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2436),
    [anon_sym_decltype] = ACTIONS(2436),
    [anon_sym_virtual] = ACTIONS(2436),
    [anon_sym_alignas] = ACTIONS(2436),
    [anon_sym_explicit] = ACTIONS(2436),
    [anon_sym_typename] = ACTIONS(2436),
    [anon_sym_template] = ACTIONS(2436),
    [anon_sym_operator] = ACTIONS(2436),
    [anon_sym_try] = ACTIONS(2436),
    [anon_sym_delete] = ACTIONS(2436),
    [anon_sym_throw] = ACTIONS(2436),
    [anon_sym_namespace] = ACTIONS(2436),
    [anon_sym_using] = ACTIONS(2436),
    [anon_sym_static_assert] = ACTIONS(2436),
    [anon_sym_concept] = ACTIONS(2436),
    [anon_sym_co_return] = ACTIONS(2436),
    [anon_sym_co_yield] = ACTIONS(2436),
    [anon_sym_R_DQUOTE] = ACTIONS(2438),
    [anon_sym_LR_DQUOTE] = ACTIONS(2438),
    [anon_sym_uR_DQUOTE] = ACTIONS(2438),
    [anon_sym_UR_DQUOTE] = ACTIONS(2438),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2438),
    [anon_sym_co_await] = ACTIONS(2436),
    [anon_sym_new] = ACTIONS(2436),
    [anon_sym_requires] = ACTIONS(2436),
    [sym_this] = ACTIONS(2436),
    [anon_sym_discard] = ACTIONS(2436),
    [anon_sym_precise] = ACTIONS(2436),
    [anon_sym_shared] = ACTIONS(2436),
    [anon_sym_groupshared] = ACTIONS(2436),
    [anon_sym_uniform] = ACTIONS(2436),
    [anon_sym_row_major] = ACTIONS(2436),
    [anon_sym_column_major] = ACTIONS(2436),
    [anon_sym_globallycoherent] = ACTIONS(2436),
    [anon_sym_centroid] = ACTIONS(2436),
    [anon_sym_noperspective] = ACTIONS(2436),
    [anon_sym_nointerpolation] = ACTIONS(2436),
    [anon_sym_sample] = ACTIONS(2436),
    [anon_sym_linear] = ACTIONS(2436),
    [anon_sym_snorm] = ACTIONS(2436),
    [anon_sym_unorm] = ACTIONS(2436),
    [anon_sym_point] = ACTIONS(2436),
    [anon_sym_line] = ACTIONS(2436),
    [anon_sym_triangleadj] = ACTIONS(2436),
    [anon_sym_lineadj] = ACTIONS(2436),
    [anon_sym_triangle] = ACTIONS(2436),
    [anon_sym_cbuffer] = ACTIONS(2436),
  },
  [899] = {
    [ts_builtin_sym_end] = ACTIONS(2366),
    [sym_identifier] = ACTIONS(2364),
    [aux_sym_preproc_include_token1] = ACTIONS(2364),
    [aux_sym_preproc_def_token1] = ACTIONS(2364),
    [aux_sym_preproc_if_token1] = ACTIONS(2364),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2364),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2364),
    [sym_preproc_directive] = ACTIONS(2364),
    [anon_sym_LPAREN2] = ACTIONS(2366),
    [anon_sym_BANG] = ACTIONS(2366),
    [anon_sym_TILDE] = ACTIONS(2366),
    [anon_sym_DASH] = ACTIONS(2364),
    [anon_sym_PLUS] = ACTIONS(2364),
    [anon_sym_STAR] = ACTIONS(2366),
    [anon_sym_AMP_AMP] = ACTIONS(2366),
    [anon_sym_AMP] = ACTIONS(2364),
    [anon_sym_SEMI] = ACTIONS(2366),
    [anon_sym___extension__] = ACTIONS(2364),
    [anon_sym_typedef] = ACTIONS(2364),
    [anon_sym_in] = ACTIONS(2364),
    [anon_sym_out] = ACTIONS(2364),
    [anon_sym_inout] = ACTIONS(2364),
    [anon_sym_extern] = ACTIONS(2364),
    [anon_sym___attribute__] = ACTIONS(2364),
    [anon_sym_COLON_COLON] = ACTIONS(2366),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2366),
    [anon_sym___declspec] = ACTIONS(2364),
    [anon_sym___based] = ACTIONS(2364),
    [anon_sym___cdecl] = ACTIONS(2364),
    [anon_sym___clrcall] = ACTIONS(2364),
    [anon_sym___stdcall] = ACTIONS(2364),
    [anon_sym___fastcall] = ACTIONS(2364),
    [anon_sym___thiscall] = ACTIONS(2364),
    [anon_sym___vectorcall] = ACTIONS(2364),
    [anon_sym_LBRACE] = ACTIONS(2366),
    [anon_sym_signed] = ACTIONS(2364),
    [anon_sym_unsigned] = ACTIONS(2364),
    [anon_sym_long] = ACTIONS(2364),
    [anon_sym_short] = ACTIONS(2364),
    [anon_sym_LBRACK] = ACTIONS(2364),
    [anon_sym_static] = ACTIONS(2364),
    [anon_sym_register] = ACTIONS(2364),
    [anon_sym_inline] = ACTIONS(2364),
    [anon_sym___inline] = ACTIONS(2364),
    [anon_sym___inline__] = ACTIONS(2364),
    [anon_sym___forceinline] = ACTIONS(2364),
    [anon_sym_thread_local] = ACTIONS(2364),
    [anon_sym___thread] = ACTIONS(2364),
    [anon_sym_const] = ACTIONS(2364),
    [anon_sym_constexpr] = ACTIONS(2364),
    [anon_sym_volatile] = ACTIONS(2364),
    [anon_sym_restrict] = ACTIONS(2364),
    [anon_sym___restrict__] = ACTIONS(2364),
    [anon_sym__Atomic] = ACTIONS(2364),
    [anon_sym__Noreturn] = ACTIONS(2364),
    [anon_sym_noreturn] = ACTIONS(2364),
    [anon_sym_mutable] = ACTIONS(2364),
    [anon_sym_constinit] = ACTIONS(2364),
    [anon_sym_consteval] = ACTIONS(2364),
    [sym_primitive_type] = ACTIONS(2364),
    [anon_sym_enum] = ACTIONS(2364),
    [anon_sym_class] = ACTIONS(2364),
    [anon_sym_struct] = ACTIONS(2364),
    [anon_sym_union] = ACTIONS(2364),
    [anon_sym_if] = ACTIONS(2364),
    [anon_sym_else] = ACTIONS(2364),
    [anon_sym_switch] = ACTIONS(2364),
    [anon_sym_case] = ACTIONS(2364),
    [anon_sym_default] = ACTIONS(2364),
    [anon_sym_while] = ACTIONS(2364),
    [anon_sym_do] = ACTIONS(2364),
    [anon_sym_for] = ACTIONS(2364),
    [anon_sym_return] = ACTIONS(2364),
    [anon_sym_break] = ACTIONS(2364),
    [anon_sym_continue] = ACTIONS(2364),
    [anon_sym_goto] = ACTIONS(2364),
    [anon_sym___try] = ACTIONS(2364),
    [anon_sym___leave] = ACTIONS(2364),
    [anon_sym_not] = ACTIONS(2364),
    [anon_sym_compl] = ACTIONS(2364),
    [anon_sym_DASH_DASH] = ACTIONS(2366),
    [anon_sym_PLUS_PLUS] = ACTIONS(2366),
    [anon_sym_sizeof] = ACTIONS(2364),
    [anon_sym___alignof__] = ACTIONS(2364),
    [anon_sym___alignof] = ACTIONS(2364),
    [anon_sym__alignof] = ACTIONS(2364),
    [anon_sym_alignof] = ACTIONS(2364),
    [anon_sym__Alignof] = ACTIONS(2364),
    [anon_sym_offsetof] = ACTIONS(2364),
    [anon_sym__Generic] = ACTIONS(2364),
    [anon_sym_asm] = ACTIONS(2364),
    [anon_sym___asm__] = ACTIONS(2364),
    [sym_number_literal] = ACTIONS(2366),
    [anon_sym_L_SQUOTE] = ACTIONS(2366),
    [anon_sym_u_SQUOTE] = ACTIONS(2366),
    [anon_sym_U_SQUOTE] = ACTIONS(2366),
    [anon_sym_u8_SQUOTE] = ACTIONS(2366),
    [anon_sym_SQUOTE] = ACTIONS(2366),
    [anon_sym_L_DQUOTE] = ACTIONS(2366),
    [anon_sym_u_DQUOTE] = ACTIONS(2366),
    [anon_sym_U_DQUOTE] = ACTIONS(2366),
    [anon_sym_u8_DQUOTE] = ACTIONS(2366),
    [anon_sym_DQUOTE] = ACTIONS(2366),
    [sym_true] = ACTIONS(2364),
    [sym_false] = ACTIONS(2364),
    [anon_sym_NULL] = ACTIONS(2364),
    [anon_sym_nullptr] = ACTIONS(2364),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2364),
    [anon_sym_decltype] = ACTIONS(2364),
    [anon_sym_virtual] = ACTIONS(2364),
    [anon_sym_alignas] = ACTIONS(2364),
    [anon_sym_explicit] = ACTIONS(2364),
    [anon_sym_typename] = ACTIONS(2364),
    [anon_sym_template] = ACTIONS(2364),
    [anon_sym_operator] = ACTIONS(2364),
    [anon_sym_try] = ACTIONS(2364),
    [anon_sym_delete] = ACTIONS(2364),
    [anon_sym_throw] = ACTIONS(2364),
    [anon_sym_namespace] = ACTIONS(2364),
    [anon_sym_using] = ACTIONS(2364),
    [anon_sym_static_assert] = ACTIONS(2364),
    [anon_sym_concept] = ACTIONS(2364),
    [anon_sym_co_return] = ACTIONS(2364),
    [anon_sym_co_yield] = ACTIONS(2364),
    [anon_sym_R_DQUOTE] = ACTIONS(2366),
    [anon_sym_LR_DQUOTE] = ACTIONS(2366),
    [anon_sym_uR_DQUOTE] = ACTIONS(2366),
    [anon_sym_UR_DQUOTE] = ACTIONS(2366),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2366),
    [anon_sym_co_await] = ACTIONS(2364),
    [anon_sym_new] = ACTIONS(2364),
    [anon_sym_requires] = ACTIONS(2364),
    [sym_this] = ACTIONS(2364),
    [anon_sym_discard] = ACTIONS(2364),
    [anon_sym_precise] = ACTIONS(2364),
    [anon_sym_shared] = ACTIONS(2364),
    [anon_sym_groupshared] = ACTIONS(2364),
    [anon_sym_uniform] = ACTIONS(2364),
    [anon_sym_row_major] = ACTIONS(2364),
    [anon_sym_column_major] = ACTIONS(2364),
    [anon_sym_globallycoherent] = ACTIONS(2364),
    [anon_sym_centroid] = ACTIONS(2364),
    [anon_sym_noperspective] = ACTIONS(2364),
    [anon_sym_nointerpolation] = ACTIONS(2364),
    [anon_sym_sample] = ACTIONS(2364),
    [anon_sym_linear] = ACTIONS(2364),
    [anon_sym_snorm] = ACTIONS(2364),
    [anon_sym_unorm] = ACTIONS(2364),
    [anon_sym_point] = ACTIONS(2364),
    [anon_sym_line] = ACTIONS(2364),
    [anon_sym_triangleadj] = ACTIONS(2364),
    [anon_sym_lineadj] = ACTIONS(2364),
    [anon_sym_triangle] = ACTIONS(2364),
    [anon_sym_cbuffer] = ACTIONS(2364),
  },
  [900] = {
    [ts_builtin_sym_end] = ACTIONS(2366),
    [sym_identifier] = ACTIONS(2364),
    [aux_sym_preproc_include_token1] = ACTIONS(2364),
    [aux_sym_preproc_def_token1] = ACTIONS(2364),
    [aux_sym_preproc_if_token1] = ACTIONS(2364),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2364),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2364),
    [sym_preproc_directive] = ACTIONS(2364),
    [anon_sym_LPAREN2] = ACTIONS(2366),
    [anon_sym_BANG] = ACTIONS(2366),
    [anon_sym_TILDE] = ACTIONS(2366),
    [anon_sym_DASH] = ACTIONS(2364),
    [anon_sym_PLUS] = ACTIONS(2364),
    [anon_sym_STAR] = ACTIONS(2366),
    [anon_sym_AMP_AMP] = ACTIONS(2366),
    [anon_sym_AMP] = ACTIONS(2364),
    [anon_sym_SEMI] = ACTIONS(2366),
    [anon_sym___extension__] = ACTIONS(2364),
    [anon_sym_typedef] = ACTIONS(2364),
    [anon_sym_in] = ACTIONS(2364),
    [anon_sym_out] = ACTIONS(2364),
    [anon_sym_inout] = ACTIONS(2364),
    [anon_sym_extern] = ACTIONS(2364),
    [anon_sym___attribute__] = ACTIONS(2364),
    [anon_sym_COLON_COLON] = ACTIONS(2366),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2366),
    [anon_sym___declspec] = ACTIONS(2364),
    [anon_sym___based] = ACTIONS(2364),
    [anon_sym___cdecl] = ACTIONS(2364),
    [anon_sym___clrcall] = ACTIONS(2364),
    [anon_sym___stdcall] = ACTIONS(2364),
    [anon_sym___fastcall] = ACTIONS(2364),
    [anon_sym___thiscall] = ACTIONS(2364),
    [anon_sym___vectorcall] = ACTIONS(2364),
    [anon_sym_LBRACE] = ACTIONS(2366),
    [anon_sym_signed] = ACTIONS(2364),
    [anon_sym_unsigned] = ACTIONS(2364),
    [anon_sym_long] = ACTIONS(2364),
    [anon_sym_short] = ACTIONS(2364),
    [anon_sym_LBRACK] = ACTIONS(2364),
    [anon_sym_static] = ACTIONS(2364),
    [anon_sym_register] = ACTIONS(2364),
    [anon_sym_inline] = ACTIONS(2364),
    [anon_sym___inline] = ACTIONS(2364),
    [anon_sym___inline__] = ACTIONS(2364),
    [anon_sym___forceinline] = ACTIONS(2364),
    [anon_sym_thread_local] = ACTIONS(2364),
    [anon_sym___thread] = ACTIONS(2364),
    [anon_sym_const] = ACTIONS(2364),
    [anon_sym_constexpr] = ACTIONS(2364),
    [anon_sym_volatile] = ACTIONS(2364),
    [anon_sym_restrict] = ACTIONS(2364),
    [anon_sym___restrict__] = ACTIONS(2364),
    [anon_sym__Atomic] = ACTIONS(2364),
    [anon_sym__Noreturn] = ACTIONS(2364),
    [anon_sym_noreturn] = ACTIONS(2364),
    [anon_sym_mutable] = ACTIONS(2364),
    [anon_sym_constinit] = ACTIONS(2364),
    [anon_sym_consteval] = ACTIONS(2364),
    [sym_primitive_type] = ACTIONS(2364),
    [anon_sym_enum] = ACTIONS(2364),
    [anon_sym_class] = ACTIONS(2364),
    [anon_sym_struct] = ACTIONS(2364),
    [anon_sym_union] = ACTIONS(2364),
    [anon_sym_if] = ACTIONS(2364),
    [anon_sym_else] = ACTIONS(2364),
    [anon_sym_switch] = ACTIONS(2364),
    [anon_sym_case] = ACTIONS(2364),
    [anon_sym_default] = ACTIONS(2364),
    [anon_sym_while] = ACTIONS(2364),
    [anon_sym_do] = ACTIONS(2364),
    [anon_sym_for] = ACTIONS(2364),
    [anon_sym_return] = ACTIONS(2364),
    [anon_sym_break] = ACTIONS(2364),
    [anon_sym_continue] = ACTIONS(2364),
    [anon_sym_goto] = ACTIONS(2364),
    [anon_sym___try] = ACTIONS(2364),
    [anon_sym___leave] = ACTIONS(2364),
    [anon_sym_not] = ACTIONS(2364),
    [anon_sym_compl] = ACTIONS(2364),
    [anon_sym_DASH_DASH] = ACTIONS(2366),
    [anon_sym_PLUS_PLUS] = ACTIONS(2366),
    [anon_sym_sizeof] = ACTIONS(2364),
    [anon_sym___alignof__] = ACTIONS(2364),
    [anon_sym___alignof] = ACTIONS(2364),
    [anon_sym__alignof] = ACTIONS(2364),
    [anon_sym_alignof] = ACTIONS(2364),
    [anon_sym__Alignof] = ACTIONS(2364),
    [anon_sym_offsetof] = ACTIONS(2364),
    [anon_sym__Generic] = ACTIONS(2364),
    [anon_sym_asm] = ACTIONS(2364),
    [anon_sym___asm__] = ACTIONS(2364),
    [sym_number_literal] = ACTIONS(2366),
    [anon_sym_L_SQUOTE] = ACTIONS(2366),
    [anon_sym_u_SQUOTE] = ACTIONS(2366),
    [anon_sym_U_SQUOTE] = ACTIONS(2366),
    [anon_sym_u8_SQUOTE] = ACTIONS(2366),
    [anon_sym_SQUOTE] = ACTIONS(2366),
    [anon_sym_L_DQUOTE] = ACTIONS(2366),
    [anon_sym_u_DQUOTE] = ACTIONS(2366),
    [anon_sym_U_DQUOTE] = ACTIONS(2366),
    [anon_sym_u8_DQUOTE] = ACTIONS(2366),
    [anon_sym_DQUOTE] = ACTIONS(2366),
    [sym_true] = ACTIONS(2364),
    [sym_false] = ACTIONS(2364),
    [anon_sym_NULL] = ACTIONS(2364),
    [anon_sym_nullptr] = ACTIONS(2364),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2364),
    [anon_sym_decltype] = ACTIONS(2364),
    [anon_sym_virtual] = ACTIONS(2364),
    [anon_sym_alignas] = ACTIONS(2364),
    [anon_sym_explicit] = ACTIONS(2364),
    [anon_sym_typename] = ACTIONS(2364),
    [anon_sym_template] = ACTIONS(2364),
    [anon_sym_operator] = ACTIONS(2364),
    [anon_sym_try] = ACTIONS(2364),
    [anon_sym_delete] = ACTIONS(2364),
    [anon_sym_throw] = ACTIONS(2364),
    [anon_sym_namespace] = ACTIONS(2364),
    [anon_sym_using] = ACTIONS(2364),
    [anon_sym_static_assert] = ACTIONS(2364),
    [anon_sym_concept] = ACTIONS(2364),
    [anon_sym_co_return] = ACTIONS(2364),
    [anon_sym_co_yield] = ACTIONS(2364),
    [anon_sym_R_DQUOTE] = ACTIONS(2366),
    [anon_sym_LR_DQUOTE] = ACTIONS(2366),
    [anon_sym_uR_DQUOTE] = ACTIONS(2366),
    [anon_sym_UR_DQUOTE] = ACTIONS(2366),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2366),
    [anon_sym_co_await] = ACTIONS(2364),
    [anon_sym_new] = ACTIONS(2364),
    [anon_sym_requires] = ACTIONS(2364),
    [sym_this] = ACTIONS(2364),
    [anon_sym_discard] = ACTIONS(2364),
    [anon_sym_precise] = ACTIONS(2364),
    [anon_sym_shared] = ACTIONS(2364),
    [anon_sym_groupshared] = ACTIONS(2364),
    [anon_sym_uniform] = ACTIONS(2364),
    [anon_sym_row_major] = ACTIONS(2364),
    [anon_sym_column_major] = ACTIONS(2364),
    [anon_sym_globallycoherent] = ACTIONS(2364),
    [anon_sym_centroid] = ACTIONS(2364),
    [anon_sym_noperspective] = ACTIONS(2364),
    [anon_sym_nointerpolation] = ACTIONS(2364),
    [anon_sym_sample] = ACTIONS(2364),
    [anon_sym_linear] = ACTIONS(2364),
    [anon_sym_snorm] = ACTIONS(2364),
    [anon_sym_unorm] = ACTIONS(2364),
    [anon_sym_point] = ACTIONS(2364),
    [anon_sym_line] = ACTIONS(2364),
    [anon_sym_triangleadj] = ACTIONS(2364),
    [anon_sym_lineadj] = ACTIONS(2364),
    [anon_sym_triangle] = ACTIONS(2364),
    [anon_sym_cbuffer] = ACTIONS(2364),
  },
  [901] = {
    [sym_identifier] = ACTIONS(2330),
    [aux_sym_preproc_include_token1] = ACTIONS(2330),
    [aux_sym_preproc_def_token1] = ACTIONS(2330),
    [aux_sym_preproc_if_token1] = ACTIONS(2330),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2330),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2330),
    [sym_preproc_directive] = ACTIONS(2330),
    [anon_sym_LPAREN2] = ACTIONS(2332),
    [anon_sym_BANG] = ACTIONS(2332),
    [anon_sym_TILDE] = ACTIONS(2332),
    [anon_sym_DASH] = ACTIONS(2330),
    [anon_sym_PLUS] = ACTIONS(2330),
    [anon_sym_STAR] = ACTIONS(2332),
    [anon_sym_AMP_AMP] = ACTIONS(2332),
    [anon_sym_AMP] = ACTIONS(2330),
    [anon_sym_SEMI] = ACTIONS(2332),
    [anon_sym___extension__] = ACTIONS(2330),
    [anon_sym_typedef] = ACTIONS(2330),
    [anon_sym_in] = ACTIONS(2330),
    [anon_sym_out] = ACTIONS(2330),
    [anon_sym_inout] = ACTIONS(2330),
    [anon_sym_extern] = ACTIONS(2330),
    [anon_sym___attribute__] = ACTIONS(2330),
    [anon_sym_COLON_COLON] = ACTIONS(2332),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2332),
    [anon_sym___declspec] = ACTIONS(2330),
    [anon_sym___based] = ACTIONS(2330),
    [anon_sym___cdecl] = ACTIONS(2330),
    [anon_sym___clrcall] = ACTIONS(2330),
    [anon_sym___stdcall] = ACTIONS(2330),
    [anon_sym___fastcall] = ACTIONS(2330),
    [anon_sym___thiscall] = ACTIONS(2330),
    [anon_sym___vectorcall] = ACTIONS(2330),
    [anon_sym_LBRACE] = ACTIONS(2332),
    [anon_sym_RBRACE] = ACTIONS(2332),
    [anon_sym_signed] = ACTIONS(2330),
    [anon_sym_unsigned] = ACTIONS(2330),
    [anon_sym_long] = ACTIONS(2330),
    [anon_sym_short] = ACTIONS(2330),
    [anon_sym_LBRACK] = ACTIONS(2330),
    [anon_sym_static] = ACTIONS(2330),
    [anon_sym_register] = ACTIONS(2330),
    [anon_sym_inline] = ACTIONS(2330),
    [anon_sym___inline] = ACTIONS(2330),
    [anon_sym___inline__] = ACTIONS(2330),
    [anon_sym___forceinline] = ACTIONS(2330),
    [anon_sym_thread_local] = ACTIONS(2330),
    [anon_sym___thread] = ACTIONS(2330),
    [anon_sym_const] = ACTIONS(2330),
    [anon_sym_constexpr] = ACTIONS(2330),
    [anon_sym_volatile] = ACTIONS(2330),
    [anon_sym_restrict] = ACTIONS(2330),
    [anon_sym___restrict__] = ACTIONS(2330),
    [anon_sym__Atomic] = ACTIONS(2330),
    [anon_sym__Noreturn] = ACTIONS(2330),
    [anon_sym_noreturn] = ACTIONS(2330),
    [anon_sym_mutable] = ACTIONS(2330),
    [anon_sym_constinit] = ACTIONS(2330),
    [anon_sym_consteval] = ACTIONS(2330),
    [sym_primitive_type] = ACTIONS(2330),
    [anon_sym_enum] = ACTIONS(2330),
    [anon_sym_class] = ACTIONS(2330),
    [anon_sym_struct] = ACTIONS(2330),
    [anon_sym_union] = ACTIONS(2330),
    [anon_sym_if] = ACTIONS(2330),
    [anon_sym_else] = ACTIONS(2330),
    [anon_sym_switch] = ACTIONS(2330),
    [anon_sym_case] = ACTIONS(2330),
    [anon_sym_default] = ACTIONS(2330),
    [anon_sym_while] = ACTIONS(2330),
    [anon_sym_do] = ACTIONS(2330),
    [anon_sym_for] = ACTIONS(2330),
    [anon_sym_return] = ACTIONS(2330),
    [anon_sym_break] = ACTIONS(2330),
    [anon_sym_continue] = ACTIONS(2330),
    [anon_sym_goto] = ACTIONS(2330),
    [anon_sym___try] = ACTIONS(2330),
    [anon_sym___leave] = ACTIONS(2330),
    [anon_sym_not] = ACTIONS(2330),
    [anon_sym_compl] = ACTIONS(2330),
    [anon_sym_DASH_DASH] = ACTIONS(2332),
    [anon_sym_PLUS_PLUS] = ACTIONS(2332),
    [anon_sym_sizeof] = ACTIONS(2330),
    [anon_sym___alignof__] = ACTIONS(2330),
    [anon_sym___alignof] = ACTIONS(2330),
    [anon_sym__alignof] = ACTIONS(2330),
    [anon_sym_alignof] = ACTIONS(2330),
    [anon_sym__Alignof] = ACTIONS(2330),
    [anon_sym_offsetof] = ACTIONS(2330),
    [anon_sym__Generic] = ACTIONS(2330),
    [anon_sym_asm] = ACTIONS(2330),
    [anon_sym___asm__] = ACTIONS(2330),
    [sym_number_literal] = ACTIONS(2332),
    [anon_sym_L_SQUOTE] = ACTIONS(2332),
    [anon_sym_u_SQUOTE] = ACTIONS(2332),
    [anon_sym_U_SQUOTE] = ACTIONS(2332),
    [anon_sym_u8_SQUOTE] = ACTIONS(2332),
    [anon_sym_SQUOTE] = ACTIONS(2332),
    [anon_sym_L_DQUOTE] = ACTIONS(2332),
    [anon_sym_u_DQUOTE] = ACTIONS(2332),
    [anon_sym_U_DQUOTE] = ACTIONS(2332),
    [anon_sym_u8_DQUOTE] = ACTIONS(2332),
    [anon_sym_DQUOTE] = ACTIONS(2332),
    [sym_true] = ACTIONS(2330),
    [sym_false] = ACTIONS(2330),
    [anon_sym_NULL] = ACTIONS(2330),
    [anon_sym_nullptr] = ACTIONS(2330),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2330),
    [anon_sym_decltype] = ACTIONS(2330),
    [anon_sym_virtual] = ACTIONS(2330),
    [anon_sym_alignas] = ACTIONS(2330),
    [anon_sym_explicit] = ACTIONS(2330),
    [anon_sym_typename] = ACTIONS(2330),
    [anon_sym_template] = ACTIONS(2330),
    [anon_sym_operator] = ACTIONS(2330),
    [anon_sym_try] = ACTIONS(2330),
    [anon_sym_delete] = ACTIONS(2330),
    [anon_sym_throw] = ACTIONS(2330),
    [anon_sym_namespace] = ACTIONS(2330),
    [anon_sym_using] = ACTIONS(2330),
    [anon_sym_static_assert] = ACTIONS(2330),
    [anon_sym_concept] = ACTIONS(2330),
    [anon_sym_co_return] = ACTIONS(2330),
    [anon_sym_co_yield] = ACTIONS(2330),
    [anon_sym_R_DQUOTE] = ACTIONS(2332),
    [anon_sym_LR_DQUOTE] = ACTIONS(2332),
    [anon_sym_uR_DQUOTE] = ACTIONS(2332),
    [anon_sym_UR_DQUOTE] = ACTIONS(2332),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2332),
    [anon_sym_co_await] = ACTIONS(2330),
    [anon_sym_new] = ACTIONS(2330),
    [anon_sym_requires] = ACTIONS(2330),
    [sym_this] = ACTIONS(2330),
    [anon_sym_discard] = ACTIONS(2330),
    [anon_sym_precise] = ACTIONS(2330),
    [anon_sym_shared] = ACTIONS(2330),
    [anon_sym_groupshared] = ACTIONS(2330),
    [anon_sym_uniform] = ACTIONS(2330),
    [anon_sym_row_major] = ACTIONS(2330),
    [anon_sym_column_major] = ACTIONS(2330),
    [anon_sym_globallycoherent] = ACTIONS(2330),
    [anon_sym_centroid] = ACTIONS(2330),
    [anon_sym_noperspective] = ACTIONS(2330),
    [anon_sym_nointerpolation] = ACTIONS(2330),
    [anon_sym_sample] = ACTIONS(2330),
    [anon_sym_linear] = ACTIONS(2330),
    [anon_sym_snorm] = ACTIONS(2330),
    [anon_sym_unorm] = ACTIONS(2330),
    [anon_sym_point] = ACTIONS(2330),
    [anon_sym_line] = ACTIONS(2330),
    [anon_sym_triangleadj] = ACTIONS(2330),
    [anon_sym_lineadj] = ACTIONS(2330),
    [anon_sym_triangle] = ACTIONS(2330),
    [anon_sym_cbuffer] = ACTIONS(2330),
  },
  [902] = {
    [sym_identifier] = ACTIONS(2364),
    [aux_sym_preproc_include_token1] = ACTIONS(2364),
    [aux_sym_preproc_def_token1] = ACTIONS(2364),
    [aux_sym_preproc_if_token1] = ACTIONS(2364),
    [aux_sym_preproc_if_token2] = ACTIONS(2364),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2364),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2364),
    [sym_preproc_directive] = ACTIONS(2364),
    [anon_sym_LPAREN2] = ACTIONS(2366),
    [anon_sym_BANG] = ACTIONS(2366),
    [anon_sym_TILDE] = ACTIONS(2366),
    [anon_sym_DASH] = ACTIONS(2364),
    [anon_sym_PLUS] = ACTIONS(2364),
    [anon_sym_STAR] = ACTIONS(2366),
    [anon_sym_AMP_AMP] = ACTIONS(2366),
    [anon_sym_AMP] = ACTIONS(2364),
    [anon_sym_SEMI] = ACTIONS(2366),
    [anon_sym___extension__] = ACTIONS(2364),
    [anon_sym_typedef] = ACTIONS(2364),
    [anon_sym_in] = ACTIONS(2364),
    [anon_sym_out] = ACTIONS(2364),
    [anon_sym_inout] = ACTIONS(2364),
    [anon_sym_extern] = ACTIONS(2364),
    [anon_sym___attribute__] = ACTIONS(2364),
    [anon_sym_COLON_COLON] = ACTIONS(2366),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2366),
    [anon_sym___declspec] = ACTIONS(2364),
    [anon_sym___based] = ACTIONS(2364),
    [anon_sym___cdecl] = ACTIONS(2364),
    [anon_sym___clrcall] = ACTIONS(2364),
    [anon_sym___stdcall] = ACTIONS(2364),
    [anon_sym___fastcall] = ACTIONS(2364),
    [anon_sym___thiscall] = ACTIONS(2364),
    [anon_sym___vectorcall] = ACTIONS(2364),
    [anon_sym_LBRACE] = ACTIONS(2366),
    [anon_sym_signed] = ACTIONS(2364),
    [anon_sym_unsigned] = ACTIONS(2364),
    [anon_sym_long] = ACTIONS(2364),
    [anon_sym_short] = ACTIONS(2364),
    [anon_sym_LBRACK] = ACTIONS(2364),
    [anon_sym_static] = ACTIONS(2364),
    [anon_sym_register] = ACTIONS(2364),
    [anon_sym_inline] = ACTIONS(2364),
    [anon_sym___inline] = ACTIONS(2364),
    [anon_sym___inline__] = ACTIONS(2364),
    [anon_sym___forceinline] = ACTIONS(2364),
    [anon_sym_thread_local] = ACTIONS(2364),
    [anon_sym___thread] = ACTIONS(2364),
    [anon_sym_const] = ACTIONS(2364),
    [anon_sym_constexpr] = ACTIONS(2364),
    [anon_sym_volatile] = ACTIONS(2364),
    [anon_sym_restrict] = ACTIONS(2364),
    [anon_sym___restrict__] = ACTIONS(2364),
    [anon_sym__Atomic] = ACTIONS(2364),
    [anon_sym__Noreturn] = ACTIONS(2364),
    [anon_sym_noreturn] = ACTIONS(2364),
    [anon_sym_mutable] = ACTIONS(2364),
    [anon_sym_constinit] = ACTIONS(2364),
    [anon_sym_consteval] = ACTIONS(2364),
    [sym_primitive_type] = ACTIONS(2364),
    [anon_sym_enum] = ACTIONS(2364),
    [anon_sym_class] = ACTIONS(2364),
    [anon_sym_struct] = ACTIONS(2364),
    [anon_sym_union] = ACTIONS(2364),
    [anon_sym_if] = ACTIONS(2364),
    [anon_sym_else] = ACTIONS(2364),
    [anon_sym_switch] = ACTIONS(2364),
    [anon_sym_case] = ACTIONS(2364),
    [anon_sym_default] = ACTIONS(2364),
    [anon_sym_while] = ACTIONS(2364),
    [anon_sym_do] = ACTIONS(2364),
    [anon_sym_for] = ACTIONS(2364),
    [anon_sym_return] = ACTIONS(2364),
    [anon_sym_break] = ACTIONS(2364),
    [anon_sym_continue] = ACTIONS(2364),
    [anon_sym_goto] = ACTIONS(2364),
    [anon_sym___try] = ACTIONS(2364),
    [anon_sym___leave] = ACTIONS(2364),
    [anon_sym_not] = ACTIONS(2364),
    [anon_sym_compl] = ACTIONS(2364),
    [anon_sym_DASH_DASH] = ACTIONS(2366),
    [anon_sym_PLUS_PLUS] = ACTIONS(2366),
    [anon_sym_sizeof] = ACTIONS(2364),
    [anon_sym___alignof__] = ACTIONS(2364),
    [anon_sym___alignof] = ACTIONS(2364),
    [anon_sym__alignof] = ACTIONS(2364),
    [anon_sym_alignof] = ACTIONS(2364),
    [anon_sym__Alignof] = ACTIONS(2364),
    [anon_sym_offsetof] = ACTIONS(2364),
    [anon_sym__Generic] = ACTIONS(2364),
    [anon_sym_asm] = ACTIONS(2364),
    [anon_sym___asm__] = ACTIONS(2364),
    [sym_number_literal] = ACTIONS(2366),
    [anon_sym_L_SQUOTE] = ACTIONS(2366),
    [anon_sym_u_SQUOTE] = ACTIONS(2366),
    [anon_sym_U_SQUOTE] = ACTIONS(2366),
    [anon_sym_u8_SQUOTE] = ACTIONS(2366),
    [anon_sym_SQUOTE] = ACTIONS(2366),
    [anon_sym_L_DQUOTE] = ACTIONS(2366),
    [anon_sym_u_DQUOTE] = ACTIONS(2366),
    [anon_sym_U_DQUOTE] = ACTIONS(2366),
    [anon_sym_u8_DQUOTE] = ACTIONS(2366),
    [anon_sym_DQUOTE] = ACTIONS(2366),
    [sym_true] = ACTIONS(2364),
    [sym_false] = ACTIONS(2364),
    [anon_sym_NULL] = ACTIONS(2364),
    [anon_sym_nullptr] = ACTIONS(2364),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2364),
    [anon_sym_decltype] = ACTIONS(2364),
    [anon_sym_virtual] = ACTIONS(2364),
    [anon_sym_alignas] = ACTIONS(2364),
    [anon_sym_explicit] = ACTIONS(2364),
    [anon_sym_typename] = ACTIONS(2364),
    [anon_sym_template] = ACTIONS(2364),
    [anon_sym_operator] = ACTIONS(2364),
    [anon_sym_try] = ACTIONS(2364),
    [anon_sym_delete] = ACTIONS(2364),
    [anon_sym_throw] = ACTIONS(2364),
    [anon_sym_namespace] = ACTIONS(2364),
    [anon_sym_using] = ACTIONS(2364),
    [anon_sym_static_assert] = ACTIONS(2364),
    [anon_sym_concept] = ACTIONS(2364),
    [anon_sym_co_return] = ACTIONS(2364),
    [anon_sym_co_yield] = ACTIONS(2364),
    [anon_sym_R_DQUOTE] = ACTIONS(2366),
    [anon_sym_LR_DQUOTE] = ACTIONS(2366),
    [anon_sym_uR_DQUOTE] = ACTIONS(2366),
    [anon_sym_UR_DQUOTE] = ACTIONS(2366),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2366),
    [anon_sym_co_await] = ACTIONS(2364),
    [anon_sym_new] = ACTIONS(2364),
    [anon_sym_requires] = ACTIONS(2364),
    [sym_this] = ACTIONS(2364),
    [anon_sym_discard] = ACTIONS(2364),
    [anon_sym_precise] = ACTIONS(2364),
    [anon_sym_shared] = ACTIONS(2364),
    [anon_sym_groupshared] = ACTIONS(2364),
    [anon_sym_uniform] = ACTIONS(2364),
    [anon_sym_row_major] = ACTIONS(2364),
    [anon_sym_column_major] = ACTIONS(2364),
    [anon_sym_globallycoherent] = ACTIONS(2364),
    [anon_sym_centroid] = ACTIONS(2364),
    [anon_sym_noperspective] = ACTIONS(2364),
    [anon_sym_nointerpolation] = ACTIONS(2364),
    [anon_sym_sample] = ACTIONS(2364),
    [anon_sym_linear] = ACTIONS(2364),
    [anon_sym_snorm] = ACTIONS(2364),
    [anon_sym_unorm] = ACTIONS(2364),
    [anon_sym_point] = ACTIONS(2364),
    [anon_sym_line] = ACTIONS(2364),
    [anon_sym_triangleadj] = ACTIONS(2364),
    [anon_sym_lineadj] = ACTIONS(2364),
    [anon_sym_triangle] = ACTIONS(2364),
    [anon_sym_cbuffer] = ACTIONS(2364),
  },
  [903] = {
    [sym_identifier] = ACTIONS(2364),
    [aux_sym_preproc_include_token1] = ACTIONS(2364),
    [aux_sym_preproc_def_token1] = ACTIONS(2364),
    [aux_sym_preproc_if_token1] = ACTIONS(2364),
    [aux_sym_preproc_if_token2] = ACTIONS(2364),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2364),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2364),
    [sym_preproc_directive] = ACTIONS(2364),
    [anon_sym_LPAREN2] = ACTIONS(2366),
    [anon_sym_BANG] = ACTIONS(2366),
    [anon_sym_TILDE] = ACTIONS(2366),
    [anon_sym_DASH] = ACTIONS(2364),
    [anon_sym_PLUS] = ACTIONS(2364),
    [anon_sym_STAR] = ACTIONS(2366),
    [anon_sym_AMP_AMP] = ACTIONS(2366),
    [anon_sym_AMP] = ACTIONS(2364),
    [anon_sym_SEMI] = ACTIONS(2366),
    [anon_sym___extension__] = ACTIONS(2364),
    [anon_sym_typedef] = ACTIONS(2364),
    [anon_sym_in] = ACTIONS(2364),
    [anon_sym_out] = ACTIONS(2364),
    [anon_sym_inout] = ACTIONS(2364),
    [anon_sym_extern] = ACTIONS(2364),
    [anon_sym___attribute__] = ACTIONS(2364),
    [anon_sym_COLON_COLON] = ACTIONS(2366),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2366),
    [anon_sym___declspec] = ACTIONS(2364),
    [anon_sym___based] = ACTIONS(2364),
    [anon_sym___cdecl] = ACTIONS(2364),
    [anon_sym___clrcall] = ACTIONS(2364),
    [anon_sym___stdcall] = ACTIONS(2364),
    [anon_sym___fastcall] = ACTIONS(2364),
    [anon_sym___thiscall] = ACTIONS(2364),
    [anon_sym___vectorcall] = ACTIONS(2364),
    [anon_sym_LBRACE] = ACTIONS(2366),
    [anon_sym_signed] = ACTIONS(2364),
    [anon_sym_unsigned] = ACTIONS(2364),
    [anon_sym_long] = ACTIONS(2364),
    [anon_sym_short] = ACTIONS(2364),
    [anon_sym_LBRACK] = ACTIONS(2364),
    [anon_sym_static] = ACTIONS(2364),
    [anon_sym_register] = ACTIONS(2364),
    [anon_sym_inline] = ACTIONS(2364),
    [anon_sym___inline] = ACTIONS(2364),
    [anon_sym___inline__] = ACTIONS(2364),
    [anon_sym___forceinline] = ACTIONS(2364),
    [anon_sym_thread_local] = ACTIONS(2364),
    [anon_sym___thread] = ACTIONS(2364),
    [anon_sym_const] = ACTIONS(2364),
    [anon_sym_constexpr] = ACTIONS(2364),
    [anon_sym_volatile] = ACTIONS(2364),
    [anon_sym_restrict] = ACTIONS(2364),
    [anon_sym___restrict__] = ACTIONS(2364),
    [anon_sym__Atomic] = ACTIONS(2364),
    [anon_sym__Noreturn] = ACTIONS(2364),
    [anon_sym_noreturn] = ACTIONS(2364),
    [anon_sym_mutable] = ACTIONS(2364),
    [anon_sym_constinit] = ACTIONS(2364),
    [anon_sym_consteval] = ACTIONS(2364),
    [sym_primitive_type] = ACTIONS(2364),
    [anon_sym_enum] = ACTIONS(2364),
    [anon_sym_class] = ACTIONS(2364),
    [anon_sym_struct] = ACTIONS(2364),
    [anon_sym_union] = ACTIONS(2364),
    [anon_sym_if] = ACTIONS(2364),
    [anon_sym_else] = ACTIONS(2364),
    [anon_sym_switch] = ACTIONS(2364),
    [anon_sym_case] = ACTIONS(2364),
    [anon_sym_default] = ACTIONS(2364),
    [anon_sym_while] = ACTIONS(2364),
    [anon_sym_do] = ACTIONS(2364),
    [anon_sym_for] = ACTIONS(2364),
    [anon_sym_return] = ACTIONS(2364),
    [anon_sym_break] = ACTIONS(2364),
    [anon_sym_continue] = ACTIONS(2364),
    [anon_sym_goto] = ACTIONS(2364),
    [anon_sym___try] = ACTIONS(2364),
    [anon_sym___leave] = ACTIONS(2364),
    [anon_sym_not] = ACTIONS(2364),
    [anon_sym_compl] = ACTIONS(2364),
    [anon_sym_DASH_DASH] = ACTIONS(2366),
    [anon_sym_PLUS_PLUS] = ACTIONS(2366),
    [anon_sym_sizeof] = ACTIONS(2364),
    [anon_sym___alignof__] = ACTIONS(2364),
    [anon_sym___alignof] = ACTIONS(2364),
    [anon_sym__alignof] = ACTIONS(2364),
    [anon_sym_alignof] = ACTIONS(2364),
    [anon_sym__Alignof] = ACTIONS(2364),
    [anon_sym_offsetof] = ACTIONS(2364),
    [anon_sym__Generic] = ACTIONS(2364),
    [anon_sym_asm] = ACTIONS(2364),
    [anon_sym___asm__] = ACTIONS(2364),
    [sym_number_literal] = ACTIONS(2366),
    [anon_sym_L_SQUOTE] = ACTIONS(2366),
    [anon_sym_u_SQUOTE] = ACTIONS(2366),
    [anon_sym_U_SQUOTE] = ACTIONS(2366),
    [anon_sym_u8_SQUOTE] = ACTIONS(2366),
    [anon_sym_SQUOTE] = ACTIONS(2366),
    [anon_sym_L_DQUOTE] = ACTIONS(2366),
    [anon_sym_u_DQUOTE] = ACTIONS(2366),
    [anon_sym_U_DQUOTE] = ACTIONS(2366),
    [anon_sym_u8_DQUOTE] = ACTIONS(2366),
    [anon_sym_DQUOTE] = ACTIONS(2366),
    [sym_true] = ACTIONS(2364),
    [sym_false] = ACTIONS(2364),
    [anon_sym_NULL] = ACTIONS(2364),
    [anon_sym_nullptr] = ACTIONS(2364),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2364),
    [anon_sym_decltype] = ACTIONS(2364),
    [anon_sym_virtual] = ACTIONS(2364),
    [anon_sym_alignas] = ACTIONS(2364),
    [anon_sym_explicit] = ACTIONS(2364),
    [anon_sym_typename] = ACTIONS(2364),
    [anon_sym_template] = ACTIONS(2364),
    [anon_sym_operator] = ACTIONS(2364),
    [anon_sym_try] = ACTIONS(2364),
    [anon_sym_delete] = ACTIONS(2364),
    [anon_sym_throw] = ACTIONS(2364),
    [anon_sym_namespace] = ACTIONS(2364),
    [anon_sym_using] = ACTIONS(2364),
    [anon_sym_static_assert] = ACTIONS(2364),
    [anon_sym_concept] = ACTIONS(2364),
    [anon_sym_co_return] = ACTIONS(2364),
    [anon_sym_co_yield] = ACTIONS(2364),
    [anon_sym_R_DQUOTE] = ACTIONS(2366),
    [anon_sym_LR_DQUOTE] = ACTIONS(2366),
    [anon_sym_uR_DQUOTE] = ACTIONS(2366),
    [anon_sym_UR_DQUOTE] = ACTIONS(2366),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2366),
    [anon_sym_co_await] = ACTIONS(2364),
    [anon_sym_new] = ACTIONS(2364),
    [anon_sym_requires] = ACTIONS(2364),
    [sym_this] = ACTIONS(2364),
    [anon_sym_discard] = ACTIONS(2364),
    [anon_sym_precise] = ACTIONS(2364),
    [anon_sym_shared] = ACTIONS(2364),
    [anon_sym_groupshared] = ACTIONS(2364),
    [anon_sym_uniform] = ACTIONS(2364),
    [anon_sym_row_major] = ACTIONS(2364),
    [anon_sym_column_major] = ACTIONS(2364),
    [anon_sym_globallycoherent] = ACTIONS(2364),
    [anon_sym_centroid] = ACTIONS(2364),
    [anon_sym_noperspective] = ACTIONS(2364),
    [anon_sym_nointerpolation] = ACTIONS(2364),
    [anon_sym_sample] = ACTIONS(2364),
    [anon_sym_linear] = ACTIONS(2364),
    [anon_sym_snorm] = ACTIONS(2364),
    [anon_sym_unorm] = ACTIONS(2364),
    [anon_sym_point] = ACTIONS(2364),
    [anon_sym_line] = ACTIONS(2364),
    [anon_sym_triangleadj] = ACTIONS(2364),
    [anon_sym_lineadj] = ACTIONS(2364),
    [anon_sym_triangle] = ACTIONS(2364),
    [anon_sym_cbuffer] = ACTIONS(2364),
  },
  [904] = {
    [sym_identifier] = ACTIONS(2364),
    [aux_sym_preproc_include_token1] = ACTIONS(2364),
    [aux_sym_preproc_def_token1] = ACTIONS(2364),
    [aux_sym_preproc_if_token1] = ACTIONS(2364),
    [aux_sym_preproc_if_token2] = ACTIONS(2364),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2364),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2364),
    [sym_preproc_directive] = ACTIONS(2364),
    [anon_sym_LPAREN2] = ACTIONS(2366),
    [anon_sym_BANG] = ACTIONS(2366),
    [anon_sym_TILDE] = ACTIONS(2366),
    [anon_sym_DASH] = ACTIONS(2364),
    [anon_sym_PLUS] = ACTIONS(2364),
    [anon_sym_STAR] = ACTIONS(2366),
    [anon_sym_AMP_AMP] = ACTIONS(2366),
    [anon_sym_AMP] = ACTIONS(2364),
    [anon_sym_SEMI] = ACTIONS(2366),
    [anon_sym___extension__] = ACTIONS(2364),
    [anon_sym_typedef] = ACTIONS(2364),
    [anon_sym_in] = ACTIONS(2364),
    [anon_sym_out] = ACTIONS(2364),
    [anon_sym_inout] = ACTIONS(2364),
    [anon_sym_extern] = ACTIONS(2364),
    [anon_sym___attribute__] = ACTIONS(2364),
    [anon_sym_COLON_COLON] = ACTIONS(2366),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2366),
    [anon_sym___declspec] = ACTIONS(2364),
    [anon_sym___based] = ACTIONS(2364),
    [anon_sym___cdecl] = ACTIONS(2364),
    [anon_sym___clrcall] = ACTIONS(2364),
    [anon_sym___stdcall] = ACTIONS(2364),
    [anon_sym___fastcall] = ACTIONS(2364),
    [anon_sym___thiscall] = ACTIONS(2364),
    [anon_sym___vectorcall] = ACTIONS(2364),
    [anon_sym_LBRACE] = ACTIONS(2366),
    [anon_sym_signed] = ACTIONS(2364),
    [anon_sym_unsigned] = ACTIONS(2364),
    [anon_sym_long] = ACTIONS(2364),
    [anon_sym_short] = ACTIONS(2364),
    [anon_sym_LBRACK] = ACTIONS(2364),
    [anon_sym_static] = ACTIONS(2364),
    [anon_sym_register] = ACTIONS(2364),
    [anon_sym_inline] = ACTIONS(2364),
    [anon_sym___inline] = ACTIONS(2364),
    [anon_sym___inline__] = ACTIONS(2364),
    [anon_sym___forceinline] = ACTIONS(2364),
    [anon_sym_thread_local] = ACTIONS(2364),
    [anon_sym___thread] = ACTIONS(2364),
    [anon_sym_const] = ACTIONS(2364),
    [anon_sym_constexpr] = ACTIONS(2364),
    [anon_sym_volatile] = ACTIONS(2364),
    [anon_sym_restrict] = ACTIONS(2364),
    [anon_sym___restrict__] = ACTIONS(2364),
    [anon_sym__Atomic] = ACTIONS(2364),
    [anon_sym__Noreturn] = ACTIONS(2364),
    [anon_sym_noreturn] = ACTIONS(2364),
    [anon_sym_mutable] = ACTIONS(2364),
    [anon_sym_constinit] = ACTIONS(2364),
    [anon_sym_consteval] = ACTIONS(2364),
    [sym_primitive_type] = ACTIONS(2364),
    [anon_sym_enum] = ACTIONS(2364),
    [anon_sym_class] = ACTIONS(2364),
    [anon_sym_struct] = ACTIONS(2364),
    [anon_sym_union] = ACTIONS(2364),
    [anon_sym_if] = ACTIONS(2364),
    [anon_sym_else] = ACTIONS(2364),
    [anon_sym_switch] = ACTIONS(2364),
    [anon_sym_case] = ACTIONS(2364),
    [anon_sym_default] = ACTIONS(2364),
    [anon_sym_while] = ACTIONS(2364),
    [anon_sym_do] = ACTIONS(2364),
    [anon_sym_for] = ACTIONS(2364),
    [anon_sym_return] = ACTIONS(2364),
    [anon_sym_break] = ACTIONS(2364),
    [anon_sym_continue] = ACTIONS(2364),
    [anon_sym_goto] = ACTIONS(2364),
    [anon_sym___try] = ACTIONS(2364),
    [anon_sym___leave] = ACTIONS(2364),
    [anon_sym_not] = ACTIONS(2364),
    [anon_sym_compl] = ACTIONS(2364),
    [anon_sym_DASH_DASH] = ACTIONS(2366),
    [anon_sym_PLUS_PLUS] = ACTIONS(2366),
    [anon_sym_sizeof] = ACTIONS(2364),
    [anon_sym___alignof__] = ACTIONS(2364),
    [anon_sym___alignof] = ACTIONS(2364),
    [anon_sym__alignof] = ACTIONS(2364),
    [anon_sym_alignof] = ACTIONS(2364),
    [anon_sym__Alignof] = ACTIONS(2364),
    [anon_sym_offsetof] = ACTIONS(2364),
    [anon_sym__Generic] = ACTIONS(2364),
    [anon_sym_asm] = ACTIONS(2364),
    [anon_sym___asm__] = ACTIONS(2364),
    [sym_number_literal] = ACTIONS(2366),
    [anon_sym_L_SQUOTE] = ACTIONS(2366),
    [anon_sym_u_SQUOTE] = ACTIONS(2366),
    [anon_sym_U_SQUOTE] = ACTIONS(2366),
    [anon_sym_u8_SQUOTE] = ACTIONS(2366),
    [anon_sym_SQUOTE] = ACTIONS(2366),
    [anon_sym_L_DQUOTE] = ACTIONS(2366),
    [anon_sym_u_DQUOTE] = ACTIONS(2366),
    [anon_sym_U_DQUOTE] = ACTIONS(2366),
    [anon_sym_u8_DQUOTE] = ACTIONS(2366),
    [anon_sym_DQUOTE] = ACTIONS(2366),
    [sym_true] = ACTIONS(2364),
    [sym_false] = ACTIONS(2364),
    [anon_sym_NULL] = ACTIONS(2364),
    [anon_sym_nullptr] = ACTIONS(2364),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2364),
    [anon_sym_decltype] = ACTIONS(2364),
    [anon_sym_virtual] = ACTIONS(2364),
    [anon_sym_alignas] = ACTIONS(2364),
    [anon_sym_explicit] = ACTIONS(2364),
    [anon_sym_typename] = ACTIONS(2364),
    [anon_sym_template] = ACTIONS(2364),
    [anon_sym_operator] = ACTIONS(2364),
    [anon_sym_try] = ACTIONS(2364),
    [anon_sym_delete] = ACTIONS(2364),
    [anon_sym_throw] = ACTIONS(2364),
    [anon_sym_namespace] = ACTIONS(2364),
    [anon_sym_using] = ACTIONS(2364),
    [anon_sym_static_assert] = ACTIONS(2364),
    [anon_sym_concept] = ACTIONS(2364),
    [anon_sym_co_return] = ACTIONS(2364),
    [anon_sym_co_yield] = ACTIONS(2364),
    [anon_sym_R_DQUOTE] = ACTIONS(2366),
    [anon_sym_LR_DQUOTE] = ACTIONS(2366),
    [anon_sym_uR_DQUOTE] = ACTIONS(2366),
    [anon_sym_UR_DQUOTE] = ACTIONS(2366),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2366),
    [anon_sym_co_await] = ACTIONS(2364),
    [anon_sym_new] = ACTIONS(2364),
    [anon_sym_requires] = ACTIONS(2364),
    [sym_this] = ACTIONS(2364),
    [anon_sym_discard] = ACTIONS(2364),
    [anon_sym_precise] = ACTIONS(2364),
    [anon_sym_shared] = ACTIONS(2364),
    [anon_sym_groupshared] = ACTIONS(2364),
    [anon_sym_uniform] = ACTIONS(2364),
    [anon_sym_row_major] = ACTIONS(2364),
    [anon_sym_column_major] = ACTIONS(2364),
    [anon_sym_globallycoherent] = ACTIONS(2364),
    [anon_sym_centroid] = ACTIONS(2364),
    [anon_sym_noperspective] = ACTIONS(2364),
    [anon_sym_nointerpolation] = ACTIONS(2364),
    [anon_sym_sample] = ACTIONS(2364),
    [anon_sym_linear] = ACTIONS(2364),
    [anon_sym_snorm] = ACTIONS(2364),
    [anon_sym_unorm] = ACTIONS(2364),
    [anon_sym_point] = ACTIONS(2364),
    [anon_sym_line] = ACTIONS(2364),
    [anon_sym_triangleadj] = ACTIONS(2364),
    [anon_sym_lineadj] = ACTIONS(2364),
    [anon_sym_triangle] = ACTIONS(2364),
    [anon_sym_cbuffer] = ACTIONS(2364),
  },
  [905] = {
    [ts_builtin_sym_end] = ACTIONS(2366),
    [sym_identifier] = ACTIONS(2364),
    [aux_sym_preproc_include_token1] = ACTIONS(2364),
    [aux_sym_preproc_def_token1] = ACTIONS(2364),
    [aux_sym_preproc_if_token1] = ACTIONS(2364),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2364),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2364),
    [sym_preproc_directive] = ACTIONS(2364),
    [anon_sym_LPAREN2] = ACTIONS(2366),
    [anon_sym_BANG] = ACTIONS(2366),
    [anon_sym_TILDE] = ACTIONS(2366),
    [anon_sym_DASH] = ACTIONS(2364),
    [anon_sym_PLUS] = ACTIONS(2364),
    [anon_sym_STAR] = ACTIONS(2366),
    [anon_sym_AMP_AMP] = ACTIONS(2366),
    [anon_sym_AMP] = ACTIONS(2364),
    [anon_sym_SEMI] = ACTIONS(2366),
    [anon_sym___extension__] = ACTIONS(2364),
    [anon_sym_typedef] = ACTIONS(2364),
    [anon_sym_in] = ACTIONS(2364),
    [anon_sym_out] = ACTIONS(2364),
    [anon_sym_inout] = ACTIONS(2364),
    [anon_sym_extern] = ACTIONS(2364),
    [anon_sym___attribute__] = ACTIONS(2364),
    [anon_sym_COLON_COLON] = ACTIONS(2366),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2366),
    [anon_sym___declspec] = ACTIONS(2364),
    [anon_sym___based] = ACTIONS(2364),
    [anon_sym___cdecl] = ACTIONS(2364),
    [anon_sym___clrcall] = ACTIONS(2364),
    [anon_sym___stdcall] = ACTIONS(2364),
    [anon_sym___fastcall] = ACTIONS(2364),
    [anon_sym___thiscall] = ACTIONS(2364),
    [anon_sym___vectorcall] = ACTIONS(2364),
    [anon_sym_LBRACE] = ACTIONS(2366),
    [anon_sym_signed] = ACTIONS(2364),
    [anon_sym_unsigned] = ACTIONS(2364),
    [anon_sym_long] = ACTIONS(2364),
    [anon_sym_short] = ACTIONS(2364),
    [anon_sym_LBRACK] = ACTIONS(2364),
    [anon_sym_static] = ACTIONS(2364),
    [anon_sym_register] = ACTIONS(2364),
    [anon_sym_inline] = ACTIONS(2364),
    [anon_sym___inline] = ACTIONS(2364),
    [anon_sym___inline__] = ACTIONS(2364),
    [anon_sym___forceinline] = ACTIONS(2364),
    [anon_sym_thread_local] = ACTIONS(2364),
    [anon_sym___thread] = ACTIONS(2364),
    [anon_sym_const] = ACTIONS(2364),
    [anon_sym_constexpr] = ACTIONS(2364),
    [anon_sym_volatile] = ACTIONS(2364),
    [anon_sym_restrict] = ACTIONS(2364),
    [anon_sym___restrict__] = ACTIONS(2364),
    [anon_sym__Atomic] = ACTIONS(2364),
    [anon_sym__Noreturn] = ACTIONS(2364),
    [anon_sym_noreturn] = ACTIONS(2364),
    [anon_sym_mutable] = ACTIONS(2364),
    [anon_sym_constinit] = ACTIONS(2364),
    [anon_sym_consteval] = ACTIONS(2364),
    [sym_primitive_type] = ACTIONS(2364),
    [anon_sym_enum] = ACTIONS(2364),
    [anon_sym_class] = ACTIONS(2364),
    [anon_sym_struct] = ACTIONS(2364),
    [anon_sym_union] = ACTIONS(2364),
    [anon_sym_if] = ACTIONS(2364),
    [anon_sym_else] = ACTIONS(2364),
    [anon_sym_switch] = ACTIONS(2364),
    [anon_sym_case] = ACTIONS(2364),
    [anon_sym_default] = ACTIONS(2364),
    [anon_sym_while] = ACTIONS(2364),
    [anon_sym_do] = ACTIONS(2364),
    [anon_sym_for] = ACTIONS(2364),
    [anon_sym_return] = ACTIONS(2364),
    [anon_sym_break] = ACTIONS(2364),
    [anon_sym_continue] = ACTIONS(2364),
    [anon_sym_goto] = ACTIONS(2364),
    [anon_sym___try] = ACTIONS(2364),
    [anon_sym___leave] = ACTIONS(2364),
    [anon_sym_not] = ACTIONS(2364),
    [anon_sym_compl] = ACTIONS(2364),
    [anon_sym_DASH_DASH] = ACTIONS(2366),
    [anon_sym_PLUS_PLUS] = ACTIONS(2366),
    [anon_sym_sizeof] = ACTIONS(2364),
    [anon_sym___alignof__] = ACTIONS(2364),
    [anon_sym___alignof] = ACTIONS(2364),
    [anon_sym__alignof] = ACTIONS(2364),
    [anon_sym_alignof] = ACTIONS(2364),
    [anon_sym__Alignof] = ACTIONS(2364),
    [anon_sym_offsetof] = ACTIONS(2364),
    [anon_sym__Generic] = ACTIONS(2364),
    [anon_sym_asm] = ACTIONS(2364),
    [anon_sym___asm__] = ACTIONS(2364),
    [sym_number_literal] = ACTIONS(2366),
    [anon_sym_L_SQUOTE] = ACTIONS(2366),
    [anon_sym_u_SQUOTE] = ACTIONS(2366),
    [anon_sym_U_SQUOTE] = ACTIONS(2366),
    [anon_sym_u8_SQUOTE] = ACTIONS(2366),
    [anon_sym_SQUOTE] = ACTIONS(2366),
    [anon_sym_L_DQUOTE] = ACTIONS(2366),
    [anon_sym_u_DQUOTE] = ACTIONS(2366),
    [anon_sym_U_DQUOTE] = ACTIONS(2366),
    [anon_sym_u8_DQUOTE] = ACTIONS(2366),
    [anon_sym_DQUOTE] = ACTIONS(2366),
    [sym_true] = ACTIONS(2364),
    [sym_false] = ACTIONS(2364),
    [anon_sym_NULL] = ACTIONS(2364),
    [anon_sym_nullptr] = ACTIONS(2364),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2364),
    [anon_sym_decltype] = ACTIONS(2364),
    [anon_sym_virtual] = ACTIONS(2364),
    [anon_sym_alignas] = ACTIONS(2364),
    [anon_sym_explicit] = ACTIONS(2364),
    [anon_sym_typename] = ACTIONS(2364),
    [anon_sym_template] = ACTIONS(2364),
    [anon_sym_operator] = ACTIONS(2364),
    [anon_sym_try] = ACTIONS(2364),
    [anon_sym_delete] = ACTIONS(2364),
    [anon_sym_throw] = ACTIONS(2364),
    [anon_sym_namespace] = ACTIONS(2364),
    [anon_sym_using] = ACTIONS(2364),
    [anon_sym_static_assert] = ACTIONS(2364),
    [anon_sym_concept] = ACTIONS(2364),
    [anon_sym_co_return] = ACTIONS(2364),
    [anon_sym_co_yield] = ACTIONS(2364),
    [anon_sym_R_DQUOTE] = ACTIONS(2366),
    [anon_sym_LR_DQUOTE] = ACTIONS(2366),
    [anon_sym_uR_DQUOTE] = ACTIONS(2366),
    [anon_sym_UR_DQUOTE] = ACTIONS(2366),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2366),
    [anon_sym_co_await] = ACTIONS(2364),
    [anon_sym_new] = ACTIONS(2364),
    [anon_sym_requires] = ACTIONS(2364),
    [sym_this] = ACTIONS(2364),
    [anon_sym_discard] = ACTIONS(2364),
    [anon_sym_precise] = ACTIONS(2364),
    [anon_sym_shared] = ACTIONS(2364),
    [anon_sym_groupshared] = ACTIONS(2364),
    [anon_sym_uniform] = ACTIONS(2364),
    [anon_sym_row_major] = ACTIONS(2364),
    [anon_sym_column_major] = ACTIONS(2364),
    [anon_sym_globallycoherent] = ACTIONS(2364),
    [anon_sym_centroid] = ACTIONS(2364),
    [anon_sym_noperspective] = ACTIONS(2364),
    [anon_sym_nointerpolation] = ACTIONS(2364),
    [anon_sym_sample] = ACTIONS(2364),
    [anon_sym_linear] = ACTIONS(2364),
    [anon_sym_snorm] = ACTIONS(2364),
    [anon_sym_unorm] = ACTIONS(2364),
    [anon_sym_point] = ACTIONS(2364),
    [anon_sym_line] = ACTIONS(2364),
    [anon_sym_triangleadj] = ACTIONS(2364),
    [anon_sym_lineadj] = ACTIONS(2364),
    [anon_sym_triangle] = ACTIONS(2364),
    [anon_sym_cbuffer] = ACTIONS(2364),
  },
  [906] = {
    [ts_builtin_sym_end] = ACTIONS(2366),
    [sym_identifier] = ACTIONS(2364),
    [aux_sym_preproc_include_token1] = ACTIONS(2364),
    [aux_sym_preproc_def_token1] = ACTIONS(2364),
    [aux_sym_preproc_if_token1] = ACTIONS(2364),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2364),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2364),
    [sym_preproc_directive] = ACTIONS(2364),
    [anon_sym_LPAREN2] = ACTIONS(2366),
    [anon_sym_BANG] = ACTIONS(2366),
    [anon_sym_TILDE] = ACTIONS(2366),
    [anon_sym_DASH] = ACTIONS(2364),
    [anon_sym_PLUS] = ACTIONS(2364),
    [anon_sym_STAR] = ACTIONS(2366),
    [anon_sym_AMP_AMP] = ACTIONS(2366),
    [anon_sym_AMP] = ACTIONS(2364),
    [anon_sym_SEMI] = ACTIONS(2366),
    [anon_sym___extension__] = ACTIONS(2364),
    [anon_sym_typedef] = ACTIONS(2364),
    [anon_sym_in] = ACTIONS(2364),
    [anon_sym_out] = ACTIONS(2364),
    [anon_sym_inout] = ACTIONS(2364),
    [anon_sym_extern] = ACTIONS(2364),
    [anon_sym___attribute__] = ACTIONS(2364),
    [anon_sym_COLON_COLON] = ACTIONS(2366),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2366),
    [anon_sym___declspec] = ACTIONS(2364),
    [anon_sym___based] = ACTIONS(2364),
    [anon_sym___cdecl] = ACTIONS(2364),
    [anon_sym___clrcall] = ACTIONS(2364),
    [anon_sym___stdcall] = ACTIONS(2364),
    [anon_sym___fastcall] = ACTIONS(2364),
    [anon_sym___thiscall] = ACTIONS(2364),
    [anon_sym___vectorcall] = ACTIONS(2364),
    [anon_sym_LBRACE] = ACTIONS(2366),
    [anon_sym_signed] = ACTIONS(2364),
    [anon_sym_unsigned] = ACTIONS(2364),
    [anon_sym_long] = ACTIONS(2364),
    [anon_sym_short] = ACTIONS(2364),
    [anon_sym_LBRACK] = ACTIONS(2364),
    [anon_sym_static] = ACTIONS(2364),
    [anon_sym_register] = ACTIONS(2364),
    [anon_sym_inline] = ACTIONS(2364),
    [anon_sym___inline] = ACTIONS(2364),
    [anon_sym___inline__] = ACTIONS(2364),
    [anon_sym___forceinline] = ACTIONS(2364),
    [anon_sym_thread_local] = ACTIONS(2364),
    [anon_sym___thread] = ACTIONS(2364),
    [anon_sym_const] = ACTIONS(2364),
    [anon_sym_constexpr] = ACTIONS(2364),
    [anon_sym_volatile] = ACTIONS(2364),
    [anon_sym_restrict] = ACTIONS(2364),
    [anon_sym___restrict__] = ACTIONS(2364),
    [anon_sym__Atomic] = ACTIONS(2364),
    [anon_sym__Noreturn] = ACTIONS(2364),
    [anon_sym_noreturn] = ACTIONS(2364),
    [anon_sym_mutable] = ACTIONS(2364),
    [anon_sym_constinit] = ACTIONS(2364),
    [anon_sym_consteval] = ACTIONS(2364),
    [sym_primitive_type] = ACTIONS(2364),
    [anon_sym_enum] = ACTIONS(2364),
    [anon_sym_class] = ACTIONS(2364),
    [anon_sym_struct] = ACTIONS(2364),
    [anon_sym_union] = ACTIONS(2364),
    [anon_sym_if] = ACTIONS(2364),
    [anon_sym_else] = ACTIONS(2364),
    [anon_sym_switch] = ACTIONS(2364),
    [anon_sym_case] = ACTIONS(2364),
    [anon_sym_default] = ACTIONS(2364),
    [anon_sym_while] = ACTIONS(2364),
    [anon_sym_do] = ACTIONS(2364),
    [anon_sym_for] = ACTIONS(2364),
    [anon_sym_return] = ACTIONS(2364),
    [anon_sym_break] = ACTIONS(2364),
    [anon_sym_continue] = ACTIONS(2364),
    [anon_sym_goto] = ACTIONS(2364),
    [anon_sym___try] = ACTIONS(2364),
    [anon_sym___leave] = ACTIONS(2364),
    [anon_sym_not] = ACTIONS(2364),
    [anon_sym_compl] = ACTIONS(2364),
    [anon_sym_DASH_DASH] = ACTIONS(2366),
    [anon_sym_PLUS_PLUS] = ACTIONS(2366),
    [anon_sym_sizeof] = ACTIONS(2364),
    [anon_sym___alignof__] = ACTIONS(2364),
    [anon_sym___alignof] = ACTIONS(2364),
    [anon_sym__alignof] = ACTIONS(2364),
    [anon_sym_alignof] = ACTIONS(2364),
    [anon_sym__Alignof] = ACTIONS(2364),
    [anon_sym_offsetof] = ACTIONS(2364),
    [anon_sym__Generic] = ACTIONS(2364),
    [anon_sym_asm] = ACTIONS(2364),
    [anon_sym___asm__] = ACTIONS(2364),
    [sym_number_literal] = ACTIONS(2366),
    [anon_sym_L_SQUOTE] = ACTIONS(2366),
    [anon_sym_u_SQUOTE] = ACTIONS(2366),
    [anon_sym_U_SQUOTE] = ACTIONS(2366),
    [anon_sym_u8_SQUOTE] = ACTIONS(2366),
    [anon_sym_SQUOTE] = ACTIONS(2366),
    [anon_sym_L_DQUOTE] = ACTIONS(2366),
    [anon_sym_u_DQUOTE] = ACTIONS(2366),
    [anon_sym_U_DQUOTE] = ACTIONS(2366),
    [anon_sym_u8_DQUOTE] = ACTIONS(2366),
    [anon_sym_DQUOTE] = ACTIONS(2366),
    [sym_true] = ACTIONS(2364),
    [sym_false] = ACTIONS(2364),
    [anon_sym_NULL] = ACTIONS(2364),
    [anon_sym_nullptr] = ACTIONS(2364),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2364),
    [anon_sym_decltype] = ACTIONS(2364),
    [anon_sym_virtual] = ACTIONS(2364),
    [anon_sym_alignas] = ACTIONS(2364),
    [anon_sym_explicit] = ACTIONS(2364),
    [anon_sym_typename] = ACTIONS(2364),
    [anon_sym_template] = ACTIONS(2364),
    [anon_sym_operator] = ACTIONS(2364),
    [anon_sym_try] = ACTIONS(2364),
    [anon_sym_delete] = ACTIONS(2364),
    [anon_sym_throw] = ACTIONS(2364),
    [anon_sym_namespace] = ACTIONS(2364),
    [anon_sym_using] = ACTIONS(2364),
    [anon_sym_static_assert] = ACTIONS(2364),
    [anon_sym_concept] = ACTIONS(2364),
    [anon_sym_co_return] = ACTIONS(2364),
    [anon_sym_co_yield] = ACTIONS(2364),
    [anon_sym_R_DQUOTE] = ACTIONS(2366),
    [anon_sym_LR_DQUOTE] = ACTIONS(2366),
    [anon_sym_uR_DQUOTE] = ACTIONS(2366),
    [anon_sym_UR_DQUOTE] = ACTIONS(2366),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2366),
    [anon_sym_co_await] = ACTIONS(2364),
    [anon_sym_new] = ACTIONS(2364),
    [anon_sym_requires] = ACTIONS(2364),
    [sym_this] = ACTIONS(2364),
    [anon_sym_discard] = ACTIONS(2364),
    [anon_sym_precise] = ACTIONS(2364),
    [anon_sym_shared] = ACTIONS(2364),
    [anon_sym_groupshared] = ACTIONS(2364),
    [anon_sym_uniform] = ACTIONS(2364),
    [anon_sym_row_major] = ACTIONS(2364),
    [anon_sym_column_major] = ACTIONS(2364),
    [anon_sym_globallycoherent] = ACTIONS(2364),
    [anon_sym_centroid] = ACTIONS(2364),
    [anon_sym_noperspective] = ACTIONS(2364),
    [anon_sym_nointerpolation] = ACTIONS(2364),
    [anon_sym_sample] = ACTIONS(2364),
    [anon_sym_linear] = ACTIONS(2364),
    [anon_sym_snorm] = ACTIONS(2364),
    [anon_sym_unorm] = ACTIONS(2364),
    [anon_sym_point] = ACTIONS(2364),
    [anon_sym_line] = ACTIONS(2364),
    [anon_sym_triangleadj] = ACTIONS(2364),
    [anon_sym_lineadj] = ACTIONS(2364),
    [anon_sym_triangle] = ACTIONS(2364),
    [anon_sym_cbuffer] = ACTIONS(2364),
  },
  [907] = {
    [sym_identifier] = ACTIONS(2364),
    [aux_sym_preproc_include_token1] = ACTIONS(2364),
    [aux_sym_preproc_def_token1] = ACTIONS(2364),
    [aux_sym_preproc_if_token1] = ACTIONS(2364),
    [aux_sym_preproc_if_token2] = ACTIONS(2364),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2364),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2364),
    [sym_preproc_directive] = ACTIONS(2364),
    [anon_sym_LPAREN2] = ACTIONS(2366),
    [anon_sym_BANG] = ACTIONS(2366),
    [anon_sym_TILDE] = ACTIONS(2366),
    [anon_sym_DASH] = ACTIONS(2364),
    [anon_sym_PLUS] = ACTIONS(2364),
    [anon_sym_STAR] = ACTIONS(2366),
    [anon_sym_AMP_AMP] = ACTIONS(2366),
    [anon_sym_AMP] = ACTIONS(2364),
    [anon_sym_SEMI] = ACTIONS(2366),
    [anon_sym___extension__] = ACTIONS(2364),
    [anon_sym_typedef] = ACTIONS(2364),
    [anon_sym_in] = ACTIONS(2364),
    [anon_sym_out] = ACTIONS(2364),
    [anon_sym_inout] = ACTIONS(2364),
    [anon_sym_extern] = ACTIONS(2364),
    [anon_sym___attribute__] = ACTIONS(2364),
    [anon_sym_COLON_COLON] = ACTIONS(2366),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2366),
    [anon_sym___declspec] = ACTIONS(2364),
    [anon_sym___based] = ACTIONS(2364),
    [anon_sym___cdecl] = ACTIONS(2364),
    [anon_sym___clrcall] = ACTIONS(2364),
    [anon_sym___stdcall] = ACTIONS(2364),
    [anon_sym___fastcall] = ACTIONS(2364),
    [anon_sym___thiscall] = ACTIONS(2364),
    [anon_sym___vectorcall] = ACTIONS(2364),
    [anon_sym_LBRACE] = ACTIONS(2366),
    [anon_sym_signed] = ACTIONS(2364),
    [anon_sym_unsigned] = ACTIONS(2364),
    [anon_sym_long] = ACTIONS(2364),
    [anon_sym_short] = ACTIONS(2364),
    [anon_sym_LBRACK] = ACTIONS(2364),
    [anon_sym_static] = ACTIONS(2364),
    [anon_sym_register] = ACTIONS(2364),
    [anon_sym_inline] = ACTIONS(2364),
    [anon_sym___inline] = ACTIONS(2364),
    [anon_sym___inline__] = ACTIONS(2364),
    [anon_sym___forceinline] = ACTIONS(2364),
    [anon_sym_thread_local] = ACTIONS(2364),
    [anon_sym___thread] = ACTIONS(2364),
    [anon_sym_const] = ACTIONS(2364),
    [anon_sym_constexpr] = ACTIONS(2364),
    [anon_sym_volatile] = ACTIONS(2364),
    [anon_sym_restrict] = ACTIONS(2364),
    [anon_sym___restrict__] = ACTIONS(2364),
    [anon_sym__Atomic] = ACTIONS(2364),
    [anon_sym__Noreturn] = ACTIONS(2364),
    [anon_sym_noreturn] = ACTIONS(2364),
    [anon_sym_mutable] = ACTIONS(2364),
    [anon_sym_constinit] = ACTIONS(2364),
    [anon_sym_consteval] = ACTIONS(2364),
    [sym_primitive_type] = ACTIONS(2364),
    [anon_sym_enum] = ACTIONS(2364),
    [anon_sym_class] = ACTIONS(2364),
    [anon_sym_struct] = ACTIONS(2364),
    [anon_sym_union] = ACTIONS(2364),
    [anon_sym_if] = ACTIONS(2364),
    [anon_sym_else] = ACTIONS(2364),
    [anon_sym_switch] = ACTIONS(2364),
    [anon_sym_case] = ACTIONS(2364),
    [anon_sym_default] = ACTIONS(2364),
    [anon_sym_while] = ACTIONS(2364),
    [anon_sym_do] = ACTIONS(2364),
    [anon_sym_for] = ACTIONS(2364),
    [anon_sym_return] = ACTIONS(2364),
    [anon_sym_break] = ACTIONS(2364),
    [anon_sym_continue] = ACTIONS(2364),
    [anon_sym_goto] = ACTIONS(2364),
    [anon_sym___try] = ACTIONS(2364),
    [anon_sym___leave] = ACTIONS(2364),
    [anon_sym_not] = ACTIONS(2364),
    [anon_sym_compl] = ACTIONS(2364),
    [anon_sym_DASH_DASH] = ACTIONS(2366),
    [anon_sym_PLUS_PLUS] = ACTIONS(2366),
    [anon_sym_sizeof] = ACTIONS(2364),
    [anon_sym___alignof__] = ACTIONS(2364),
    [anon_sym___alignof] = ACTIONS(2364),
    [anon_sym__alignof] = ACTIONS(2364),
    [anon_sym_alignof] = ACTIONS(2364),
    [anon_sym__Alignof] = ACTIONS(2364),
    [anon_sym_offsetof] = ACTIONS(2364),
    [anon_sym__Generic] = ACTIONS(2364),
    [anon_sym_asm] = ACTIONS(2364),
    [anon_sym___asm__] = ACTIONS(2364),
    [sym_number_literal] = ACTIONS(2366),
    [anon_sym_L_SQUOTE] = ACTIONS(2366),
    [anon_sym_u_SQUOTE] = ACTIONS(2366),
    [anon_sym_U_SQUOTE] = ACTIONS(2366),
    [anon_sym_u8_SQUOTE] = ACTIONS(2366),
    [anon_sym_SQUOTE] = ACTIONS(2366),
    [anon_sym_L_DQUOTE] = ACTIONS(2366),
    [anon_sym_u_DQUOTE] = ACTIONS(2366),
    [anon_sym_U_DQUOTE] = ACTIONS(2366),
    [anon_sym_u8_DQUOTE] = ACTIONS(2366),
    [anon_sym_DQUOTE] = ACTIONS(2366),
    [sym_true] = ACTIONS(2364),
    [sym_false] = ACTIONS(2364),
    [anon_sym_NULL] = ACTIONS(2364),
    [anon_sym_nullptr] = ACTIONS(2364),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2364),
    [anon_sym_decltype] = ACTIONS(2364),
    [anon_sym_virtual] = ACTIONS(2364),
    [anon_sym_alignas] = ACTIONS(2364),
    [anon_sym_explicit] = ACTIONS(2364),
    [anon_sym_typename] = ACTIONS(2364),
    [anon_sym_template] = ACTIONS(2364),
    [anon_sym_operator] = ACTIONS(2364),
    [anon_sym_try] = ACTIONS(2364),
    [anon_sym_delete] = ACTIONS(2364),
    [anon_sym_throw] = ACTIONS(2364),
    [anon_sym_namespace] = ACTIONS(2364),
    [anon_sym_using] = ACTIONS(2364),
    [anon_sym_static_assert] = ACTIONS(2364),
    [anon_sym_concept] = ACTIONS(2364),
    [anon_sym_co_return] = ACTIONS(2364),
    [anon_sym_co_yield] = ACTIONS(2364),
    [anon_sym_R_DQUOTE] = ACTIONS(2366),
    [anon_sym_LR_DQUOTE] = ACTIONS(2366),
    [anon_sym_uR_DQUOTE] = ACTIONS(2366),
    [anon_sym_UR_DQUOTE] = ACTIONS(2366),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2366),
    [anon_sym_co_await] = ACTIONS(2364),
    [anon_sym_new] = ACTIONS(2364),
    [anon_sym_requires] = ACTIONS(2364),
    [sym_this] = ACTIONS(2364),
    [anon_sym_discard] = ACTIONS(2364),
    [anon_sym_precise] = ACTIONS(2364),
    [anon_sym_shared] = ACTIONS(2364),
    [anon_sym_groupshared] = ACTIONS(2364),
    [anon_sym_uniform] = ACTIONS(2364),
    [anon_sym_row_major] = ACTIONS(2364),
    [anon_sym_column_major] = ACTIONS(2364),
    [anon_sym_globallycoherent] = ACTIONS(2364),
    [anon_sym_centroid] = ACTIONS(2364),
    [anon_sym_noperspective] = ACTIONS(2364),
    [anon_sym_nointerpolation] = ACTIONS(2364),
    [anon_sym_sample] = ACTIONS(2364),
    [anon_sym_linear] = ACTIONS(2364),
    [anon_sym_snorm] = ACTIONS(2364),
    [anon_sym_unorm] = ACTIONS(2364),
    [anon_sym_point] = ACTIONS(2364),
    [anon_sym_line] = ACTIONS(2364),
    [anon_sym_triangleadj] = ACTIONS(2364),
    [anon_sym_lineadj] = ACTIONS(2364),
    [anon_sym_triangle] = ACTIONS(2364),
    [anon_sym_cbuffer] = ACTIONS(2364),
  },
  [908] = {
    [sym_identifier] = ACTIONS(2330),
    [aux_sym_preproc_include_token1] = ACTIONS(2330),
    [aux_sym_preproc_def_token1] = ACTIONS(2330),
    [aux_sym_preproc_if_token1] = ACTIONS(2330),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2330),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2330),
    [sym_preproc_directive] = ACTIONS(2330),
    [anon_sym_LPAREN2] = ACTIONS(2332),
    [anon_sym_BANG] = ACTIONS(2332),
    [anon_sym_TILDE] = ACTIONS(2332),
    [anon_sym_DASH] = ACTIONS(2330),
    [anon_sym_PLUS] = ACTIONS(2330),
    [anon_sym_STAR] = ACTIONS(2332),
    [anon_sym_AMP_AMP] = ACTIONS(2332),
    [anon_sym_AMP] = ACTIONS(2330),
    [anon_sym_SEMI] = ACTIONS(2332),
    [anon_sym___extension__] = ACTIONS(2330),
    [anon_sym_typedef] = ACTIONS(2330),
    [anon_sym_in] = ACTIONS(2330),
    [anon_sym_out] = ACTIONS(2330),
    [anon_sym_inout] = ACTIONS(2330),
    [anon_sym_extern] = ACTIONS(2330),
    [anon_sym___attribute__] = ACTIONS(2330),
    [anon_sym_COLON_COLON] = ACTIONS(2332),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2332),
    [anon_sym___declspec] = ACTIONS(2330),
    [anon_sym___based] = ACTIONS(2330),
    [anon_sym___cdecl] = ACTIONS(2330),
    [anon_sym___clrcall] = ACTIONS(2330),
    [anon_sym___stdcall] = ACTIONS(2330),
    [anon_sym___fastcall] = ACTIONS(2330),
    [anon_sym___thiscall] = ACTIONS(2330),
    [anon_sym___vectorcall] = ACTIONS(2330),
    [anon_sym_LBRACE] = ACTIONS(2332),
    [anon_sym_RBRACE] = ACTIONS(2332),
    [anon_sym_signed] = ACTIONS(2330),
    [anon_sym_unsigned] = ACTIONS(2330),
    [anon_sym_long] = ACTIONS(2330),
    [anon_sym_short] = ACTIONS(2330),
    [anon_sym_LBRACK] = ACTIONS(2330),
    [anon_sym_static] = ACTIONS(2330),
    [anon_sym_register] = ACTIONS(2330),
    [anon_sym_inline] = ACTIONS(2330),
    [anon_sym___inline] = ACTIONS(2330),
    [anon_sym___inline__] = ACTIONS(2330),
    [anon_sym___forceinline] = ACTIONS(2330),
    [anon_sym_thread_local] = ACTIONS(2330),
    [anon_sym___thread] = ACTIONS(2330),
    [anon_sym_const] = ACTIONS(2330),
    [anon_sym_constexpr] = ACTIONS(2330),
    [anon_sym_volatile] = ACTIONS(2330),
    [anon_sym_restrict] = ACTIONS(2330),
    [anon_sym___restrict__] = ACTIONS(2330),
    [anon_sym__Atomic] = ACTIONS(2330),
    [anon_sym__Noreturn] = ACTIONS(2330),
    [anon_sym_noreturn] = ACTIONS(2330),
    [anon_sym_mutable] = ACTIONS(2330),
    [anon_sym_constinit] = ACTIONS(2330),
    [anon_sym_consteval] = ACTIONS(2330),
    [sym_primitive_type] = ACTIONS(2330),
    [anon_sym_enum] = ACTIONS(2330),
    [anon_sym_class] = ACTIONS(2330),
    [anon_sym_struct] = ACTIONS(2330),
    [anon_sym_union] = ACTIONS(2330),
    [anon_sym_if] = ACTIONS(2330),
    [anon_sym_else] = ACTIONS(2330),
    [anon_sym_switch] = ACTIONS(2330),
    [anon_sym_case] = ACTIONS(2330),
    [anon_sym_default] = ACTIONS(2330),
    [anon_sym_while] = ACTIONS(2330),
    [anon_sym_do] = ACTIONS(2330),
    [anon_sym_for] = ACTIONS(2330),
    [anon_sym_return] = ACTIONS(2330),
    [anon_sym_break] = ACTIONS(2330),
    [anon_sym_continue] = ACTIONS(2330),
    [anon_sym_goto] = ACTIONS(2330),
    [anon_sym___try] = ACTIONS(2330),
    [anon_sym___leave] = ACTIONS(2330),
    [anon_sym_not] = ACTIONS(2330),
    [anon_sym_compl] = ACTIONS(2330),
    [anon_sym_DASH_DASH] = ACTIONS(2332),
    [anon_sym_PLUS_PLUS] = ACTIONS(2332),
    [anon_sym_sizeof] = ACTIONS(2330),
    [anon_sym___alignof__] = ACTIONS(2330),
    [anon_sym___alignof] = ACTIONS(2330),
    [anon_sym__alignof] = ACTIONS(2330),
    [anon_sym_alignof] = ACTIONS(2330),
    [anon_sym__Alignof] = ACTIONS(2330),
    [anon_sym_offsetof] = ACTIONS(2330),
    [anon_sym__Generic] = ACTIONS(2330),
    [anon_sym_asm] = ACTIONS(2330),
    [anon_sym___asm__] = ACTIONS(2330),
    [sym_number_literal] = ACTIONS(2332),
    [anon_sym_L_SQUOTE] = ACTIONS(2332),
    [anon_sym_u_SQUOTE] = ACTIONS(2332),
    [anon_sym_U_SQUOTE] = ACTIONS(2332),
    [anon_sym_u8_SQUOTE] = ACTIONS(2332),
    [anon_sym_SQUOTE] = ACTIONS(2332),
    [anon_sym_L_DQUOTE] = ACTIONS(2332),
    [anon_sym_u_DQUOTE] = ACTIONS(2332),
    [anon_sym_U_DQUOTE] = ACTIONS(2332),
    [anon_sym_u8_DQUOTE] = ACTIONS(2332),
    [anon_sym_DQUOTE] = ACTIONS(2332),
    [sym_true] = ACTIONS(2330),
    [sym_false] = ACTIONS(2330),
    [anon_sym_NULL] = ACTIONS(2330),
    [anon_sym_nullptr] = ACTIONS(2330),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2330),
    [anon_sym_decltype] = ACTIONS(2330),
    [anon_sym_virtual] = ACTIONS(2330),
    [anon_sym_alignas] = ACTIONS(2330),
    [anon_sym_explicit] = ACTIONS(2330),
    [anon_sym_typename] = ACTIONS(2330),
    [anon_sym_template] = ACTIONS(2330),
    [anon_sym_operator] = ACTIONS(2330),
    [anon_sym_try] = ACTIONS(2330),
    [anon_sym_delete] = ACTIONS(2330),
    [anon_sym_throw] = ACTIONS(2330),
    [anon_sym_namespace] = ACTIONS(2330),
    [anon_sym_using] = ACTIONS(2330),
    [anon_sym_static_assert] = ACTIONS(2330),
    [anon_sym_concept] = ACTIONS(2330),
    [anon_sym_co_return] = ACTIONS(2330),
    [anon_sym_co_yield] = ACTIONS(2330),
    [anon_sym_R_DQUOTE] = ACTIONS(2332),
    [anon_sym_LR_DQUOTE] = ACTIONS(2332),
    [anon_sym_uR_DQUOTE] = ACTIONS(2332),
    [anon_sym_UR_DQUOTE] = ACTIONS(2332),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2332),
    [anon_sym_co_await] = ACTIONS(2330),
    [anon_sym_new] = ACTIONS(2330),
    [anon_sym_requires] = ACTIONS(2330),
    [sym_this] = ACTIONS(2330),
    [anon_sym_discard] = ACTIONS(2330),
    [anon_sym_precise] = ACTIONS(2330),
    [anon_sym_shared] = ACTIONS(2330),
    [anon_sym_groupshared] = ACTIONS(2330),
    [anon_sym_uniform] = ACTIONS(2330),
    [anon_sym_row_major] = ACTIONS(2330),
    [anon_sym_column_major] = ACTIONS(2330),
    [anon_sym_globallycoherent] = ACTIONS(2330),
    [anon_sym_centroid] = ACTIONS(2330),
    [anon_sym_noperspective] = ACTIONS(2330),
    [anon_sym_nointerpolation] = ACTIONS(2330),
    [anon_sym_sample] = ACTIONS(2330),
    [anon_sym_linear] = ACTIONS(2330),
    [anon_sym_snorm] = ACTIONS(2330),
    [anon_sym_unorm] = ACTIONS(2330),
    [anon_sym_point] = ACTIONS(2330),
    [anon_sym_line] = ACTIONS(2330),
    [anon_sym_triangleadj] = ACTIONS(2330),
    [anon_sym_lineadj] = ACTIONS(2330),
    [anon_sym_triangle] = ACTIONS(2330),
    [anon_sym_cbuffer] = ACTIONS(2330),
  },
  [909] = {
    [sym_identifier] = ACTIONS(2330),
    [aux_sym_preproc_include_token1] = ACTIONS(2330),
    [aux_sym_preproc_def_token1] = ACTIONS(2330),
    [aux_sym_preproc_if_token1] = ACTIONS(2330),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2330),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2330),
    [sym_preproc_directive] = ACTIONS(2330),
    [anon_sym_LPAREN2] = ACTIONS(2332),
    [anon_sym_BANG] = ACTIONS(2332),
    [anon_sym_TILDE] = ACTIONS(2332),
    [anon_sym_DASH] = ACTIONS(2330),
    [anon_sym_PLUS] = ACTIONS(2330),
    [anon_sym_STAR] = ACTIONS(2332),
    [anon_sym_AMP_AMP] = ACTIONS(2332),
    [anon_sym_AMP] = ACTIONS(2330),
    [anon_sym_SEMI] = ACTIONS(2332),
    [anon_sym___extension__] = ACTIONS(2330),
    [anon_sym_typedef] = ACTIONS(2330),
    [anon_sym_in] = ACTIONS(2330),
    [anon_sym_out] = ACTIONS(2330),
    [anon_sym_inout] = ACTIONS(2330),
    [anon_sym_extern] = ACTIONS(2330),
    [anon_sym___attribute__] = ACTIONS(2330),
    [anon_sym_COLON_COLON] = ACTIONS(2332),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2332),
    [anon_sym___declspec] = ACTIONS(2330),
    [anon_sym___based] = ACTIONS(2330),
    [anon_sym___cdecl] = ACTIONS(2330),
    [anon_sym___clrcall] = ACTIONS(2330),
    [anon_sym___stdcall] = ACTIONS(2330),
    [anon_sym___fastcall] = ACTIONS(2330),
    [anon_sym___thiscall] = ACTIONS(2330),
    [anon_sym___vectorcall] = ACTIONS(2330),
    [anon_sym_LBRACE] = ACTIONS(2332),
    [anon_sym_RBRACE] = ACTIONS(2332),
    [anon_sym_signed] = ACTIONS(2330),
    [anon_sym_unsigned] = ACTIONS(2330),
    [anon_sym_long] = ACTIONS(2330),
    [anon_sym_short] = ACTIONS(2330),
    [anon_sym_LBRACK] = ACTIONS(2330),
    [anon_sym_static] = ACTIONS(2330),
    [anon_sym_register] = ACTIONS(2330),
    [anon_sym_inline] = ACTIONS(2330),
    [anon_sym___inline] = ACTIONS(2330),
    [anon_sym___inline__] = ACTIONS(2330),
    [anon_sym___forceinline] = ACTIONS(2330),
    [anon_sym_thread_local] = ACTIONS(2330),
    [anon_sym___thread] = ACTIONS(2330),
    [anon_sym_const] = ACTIONS(2330),
    [anon_sym_constexpr] = ACTIONS(2330),
    [anon_sym_volatile] = ACTIONS(2330),
    [anon_sym_restrict] = ACTIONS(2330),
    [anon_sym___restrict__] = ACTIONS(2330),
    [anon_sym__Atomic] = ACTIONS(2330),
    [anon_sym__Noreturn] = ACTIONS(2330),
    [anon_sym_noreturn] = ACTIONS(2330),
    [anon_sym_mutable] = ACTIONS(2330),
    [anon_sym_constinit] = ACTIONS(2330),
    [anon_sym_consteval] = ACTIONS(2330),
    [sym_primitive_type] = ACTIONS(2330),
    [anon_sym_enum] = ACTIONS(2330),
    [anon_sym_class] = ACTIONS(2330),
    [anon_sym_struct] = ACTIONS(2330),
    [anon_sym_union] = ACTIONS(2330),
    [anon_sym_if] = ACTIONS(2330),
    [anon_sym_else] = ACTIONS(2330),
    [anon_sym_switch] = ACTIONS(2330),
    [anon_sym_case] = ACTIONS(2330),
    [anon_sym_default] = ACTIONS(2330),
    [anon_sym_while] = ACTIONS(2330),
    [anon_sym_do] = ACTIONS(2330),
    [anon_sym_for] = ACTIONS(2330),
    [anon_sym_return] = ACTIONS(2330),
    [anon_sym_break] = ACTIONS(2330),
    [anon_sym_continue] = ACTIONS(2330),
    [anon_sym_goto] = ACTIONS(2330),
    [anon_sym___try] = ACTIONS(2330),
    [anon_sym___leave] = ACTIONS(2330),
    [anon_sym_not] = ACTIONS(2330),
    [anon_sym_compl] = ACTIONS(2330),
    [anon_sym_DASH_DASH] = ACTIONS(2332),
    [anon_sym_PLUS_PLUS] = ACTIONS(2332),
    [anon_sym_sizeof] = ACTIONS(2330),
    [anon_sym___alignof__] = ACTIONS(2330),
    [anon_sym___alignof] = ACTIONS(2330),
    [anon_sym__alignof] = ACTIONS(2330),
    [anon_sym_alignof] = ACTIONS(2330),
    [anon_sym__Alignof] = ACTIONS(2330),
    [anon_sym_offsetof] = ACTIONS(2330),
    [anon_sym__Generic] = ACTIONS(2330),
    [anon_sym_asm] = ACTIONS(2330),
    [anon_sym___asm__] = ACTIONS(2330),
    [sym_number_literal] = ACTIONS(2332),
    [anon_sym_L_SQUOTE] = ACTIONS(2332),
    [anon_sym_u_SQUOTE] = ACTIONS(2332),
    [anon_sym_U_SQUOTE] = ACTIONS(2332),
    [anon_sym_u8_SQUOTE] = ACTIONS(2332),
    [anon_sym_SQUOTE] = ACTIONS(2332),
    [anon_sym_L_DQUOTE] = ACTIONS(2332),
    [anon_sym_u_DQUOTE] = ACTIONS(2332),
    [anon_sym_U_DQUOTE] = ACTIONS(2332),
    [anon_sym_u8_DQUOTE] = ACTIONS(2332),
    [anon_sym_DQUOTE] = ACTIONS(2332),
    [sym_true] = ACTIONS(2330),
    [sym_false] = ACTIONS(2330),
    [anon_sym_NULL] = ACTIONS(2330),
    [anon_sym_nullptr] = ACTIONS(2330),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2330),
    [anon_sym_decltype] = ACTIONS(2330),
    [anon_sym_virtual] = ACTIONS(2330),
    [anon_sym_alignas] = ACTIONS(2330),
    [anon_sym_explicit] = ACTIONS(2330),
    [anon_sym_typename] = ACTIONS(2330),
    [anon_sym_template] = ACTIONS(2330),
    [anon_sym_operator] = ACTIONS(2330),
    [anon_sym_try] = ACTIONS(2330),
    [anon_sym_delete] = ACTIONS(2330),
    [anon_sym_throw] = ACTIONS(2330),
    [anon_sym_namespace] = ACTIONS(2330),
    [anon_sym_using] = ACTIONS(2330),
    [anon_sym_static_assert] = ACTIONS(2330),
    [anon_sym_concept] = ACTIONS(2330),
    [anon_sym_co_return] = ACTIONS(2330),
    [anon_sym_co_yield] = ACTIONS(2330),
    [anon_sym_R_DQUOTE] = ACTIONS(2332),
    [anon_sym_LR_DQUOTE] = ACTIONS(2332),
    [anon_sym_uR_DQUOTE] = ACTIONS(2332),
    [anon_sym_UR_DQUOTE] = ACTIONS(2332),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2332),
    [anon_sym_co_await] = ACTIONS(2330),
    [anon_sym_new] = ACTIONS(2330),
    [anon_sym_requires] = ACTIONS(2330),
    [sym_this] = ACTIONS(2330),
    [anon_sym_discard] = ACTIONS(2330),
    [anon_sym_precise] = ACTIONS(2330),
    [anon_sym_shared] = ACTIONS(2330),
    [anon_sym_groupshared] = ACTIONS(2330),
    [anon_sym_uniform] = ACTIONS(2330),
    [anon_sym_row_major] = ACTIONS(2330),
    [anon_sym_column_major] = ACTIONS(2330),
    [anon_sym_globallycoherent] = ACTIONS(2330),
    [anon_sym_centroid] = ACTIONS(2330),
    [anon_sym_noperspective] = ACTIONS(2330),
    [anon_sym_nointerpolation] = ACTIONS(2330),
    [anon_sym_sample] = ACTIONS(2330),
    [anon_sym_linear] = ACTIONS(2330),
    [anon_sym_snorm] = ACTIONS(2330),
    [anon_sym_unorm] = ACTIONS(2330),
    [anon_sym_point] = ACTIONS(2330),
    [anon_sym_line] = ACTIONS(2330),
    [anon_sym_triangleadj] = ACTIONS(2330),
    [anon_sym_lineadj] = ACTIONS(2330),
    [anon_sym_triangle] = ACTIONS(2330),
    [anon_sym_cbuffer] = ACTIONS(2330),
  },
  [910] = {
    [sym_identifier] = ACTIONS(2330),
    [aux_sym_preproc_include_token1] = ACTIONS(2330),
    [aux_sym_preproc_def_token1] = ACTIONS(2330),
    [aux_sym_preproc_if_token1] = ACTIONS(2330),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2330),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2330),
    [sym_preproc_directive] = ACTIONS(2330),
    [anon_sym_LPAREN2] = ACTIONS(2332),
    [anon_sym_BANG] = ACTIONS(2332),
    [anon_sym_TILDE] = ACTIONS(2332),
    [anon_sym_DASH] = ACTIONS(2330),
    [anon_sym_PLUS] = ACTIONS(2330),
    [anon_sym_STAR] = ACTIONS(2332),
    [anon_sym_AMP_AMP] = ACTIONS(2332),
    [anon_sym_AMP] = ACTIONS(2330),
    [anon_sym_SEMI] = ACTIONS(2332),
    [anon_sym___extension__] = ACTIONS(2330),
    [anon_sym_typedef] = ACTIONS(2330),
    [anon_sym_in] = ACTIONS(2330),
    [anon_sym_out] = ACTIONS(2330),
    [anon_sym_inout] = ACTIONS(2330),
    [anon_sym_extern] = ACTIONS(2330),
    [anon_sym___attribute__] = ACTIONS(2330),
    [anon_sym_COLON_COLON] = ACTIONS(2332),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2332),
    [anon_sym___declspec] = ACTIONS(2330),
    [anon_sym___based] = ACTIONS(2330),
    [anon_sym___cdecl] = ACTIONS(2330),
    [anon_sym___clrcall] = ACTIONS(2330),
    [anon_sym___stdcall] = ACTIONS(2330),
    [anon_sym___fastcall] = ACTIONS(2330),
    [anon_sym___thiscall] = ACTIONS(2330),
    [anon_sym___vectorcall] = ACTIONS(2330),
    [anon_sym_LBRACE] = ACTIONS(2332),
    [anon_sym_RBRACE] = ACTIONS(2332),
    [anon_sym_signed] = ACTIONS(2330),
    [anon_sym_unsigned] = ACTIONS(2330),
    [anon_sym_long] = ACTIONS(2330),
    [anon_sym_short] = ACTIONS(2330),
    [anon_sym_LBRACK] = ACTIONS(2330),
    [anon_sym_static] = ACTIONS(2330),
    [anon_sym_register] = ACTIONS(2330),
    [anon_sym_inline] = ACTIONS(2330),
    [anon_sym___inline] = ACTIONS(2330),
    [anon_sym___inline__] = ACTIONS(2330),
    [anon_sym___forceinline] = ACTIONS(2330),
    [anon_sym_thread_local] = ACTIONS(2330),
    [anon_sym___thread] = ACTIONS(2330),
    [anon_sym_const] = ACTIONS(2330),
    [anon_sym_constexpr] = ACTIONS(2330),
    [anon_sym_volatile] = ACTIONS(2330),
    [anon_sym_restrict] = ACTIONS(2330),
    [anon_sym___restrict__] = ACTIONS(2330),
    [anon_sym__Atomic] = ACTIONS(2330),
    [anon_sym__Noreturn] = ACTIONS(2330),
    [anon_sym_noreturn] = ACTIONS(2330),
    [anon_sym_mutable] = ACTIONS(2330),
    [anon_sym_constinit] = ACTIONS(2330),
    [anon_sym_consteval] = ACTIONS(2330),
    [sym_primitive_type] = ACTIONS(2330),
    [anon_sym_enum] = ACTIONS(2330),
    [anon_sym_class] = ACTIONS(2330),
    [anon_sym_struct] = ACTIONS(2330),
    [anon_sym_union] = ACTIONS(2330),
    [anon_sym_if] = ACTIONS(2330),
    [anon_sym_else] = ACTIONS(2330),
    [anon_sym_switch] = ACTIONS(2330),
    [anon_sym_case] = ACTIONS(2330),
    [anon_sym_default] = ACTIONS(2330),
    [anon_sym_while] = ACTIONS(2330),
    [anon_sym_do] = ACTIONS(2330),
    [anon_sym_for] = ACTIONS(2330),
    [anon_sym_return] = ACTIONS(2330),
    [anon_sym_break] = ACTIONS(2330),
    [anon_sym_continue] = ACTIONS(2330),
    [anon_sym_goto] = ACTIONS(2330),
    [anon_sym___try] = ACTIONS(2330),
    [anon_sym___leave] = ACTIONS(2330),
    [anon_sym_not] = ACTIONS(2330),
    [anon_sym_compl] = ACTIONS(2330),
    [anon_sym_DASH_DASH] = ACTIONS(2332),
    [anon_sym_PLUS_PLUS] = ACTIONS(2332),
    [anon_sym_sizeof] = ACTIONS(2330),
    [anon_sym___alignof__] = ACTIONS(2330),
    [anon_sym___alignof] = ACTIONS(2330),
    [anon_sym__alignof] = ACTIONS(2330),
    [anon_sym_alignof] = ACTIONS(2330),
    [anon_sym__Alignof] = ACTIONS(2330),
    [anon_sym_offsetof] = ACTIONS(2330),
    [anon_sym__Generic] = ACTIONS(2330),
    [anon_sym_asm] = ACTIONS(2330),
    [anon_sym___asm__] = ACTIONS(2330),
    [sym_number_literal] = ACTIONS(2332),
    [anon_sym_L_SQUOTE] = ACTIONS(2332),
    [anon_sym_u_SQUOTE] = ACTIONS(2332),
    [anon_sym_U_SQUOTE] = ACTIONS(2332),
    [anon_sym_u8_SQUOTE] = ACTIONS(2332),
    [anon_sym_SQUOTE] = ACTIONS(2332),
    [anon_sym_L_DQUOTE] = ACTIONS(2332),
    [anon_sym_u_DQUOTE] = ACTIONS(2332),
    [anon_sym_U_DQUOTE] = ACTIONS(2332),
    [anon_sym_u8_DQUOTE] = ACTIONS(2332),
    [anon_sym_DQUOTE] = ACTIONS(2332),
    [sym_true] = ACTIONS(2330),
    [sym_false] = ACTIONS(2330),
    [anon_sym_NULL] = ACTIONS(2330),
    [anon_sym_nullptr] = ACTIONS(2330),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2330),
    [anon_sym_decltype] = ACTIONS(2330),
    [anon_sym_virtual] = ACTIONS(2330),
    [anon_sym_alignas] = ACTIONS(2330),
    [anon_sym_explicit] = ACTIONS(2330),
    [anon_sym_typename] = ACTIONS(2330),
    [anon_sym_template] = ACTIONS(2330),
    [anon_sym_operator] = ACTIONS(2330),
    [anon_sym_try] = ACTIONS(2330),
    [anon_sym_delete] = ACTIONS(2330),
    [anon_sym_throw] = ACTIONS(2330),
    [anon_sym_namespace] = ACTIONS(2330),
    [anon_sym_using] = ACTIONS(2330),
    [anon_sym_static_assert] = ACTIONS(2330),
    [anon_sym_concept] = ACTIONS(2330),
    [anon_sym_co_return] = ACTIONS(2330),
    [anon_sym_co_yield] = ACTIONS(2330),
    [anon_sym_R_DQUOTE] = ACTIONS(2332),
    [anon_sym_LR_DQUOTE] = ACTIONS(2332),
    [anon_sym_uR_DQUOTE] = ACTIONS(2332),
    [anon_sym_UR_DQUOTE] = ACTIONS(2332),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2332),
    [anon_sym_co_await] = ACTIONS(2330),
    [anon_sym_new] = ACTIONS(2330),
    [anon_sym_requires] = ACTIONS(2330),
    [sym_this] = ACTIONS(2330),
    [anon_sym_discard] = ACTIONS(2330),
    [anon_sym_precise] = ACTIONS(2330),
    [anon_sym_shared] = ACTIONS(2330),
    [anon_sym_groupshared] = ACTIONS(2330),
    [anon_sym_uniform] = ACTIONS(2330),
    [anon_sym_row_major] = ACTIONS(2330),
    [anon_sym_column_major] = ACTIONS(2330),
    [anon_sym_globallycoherent] = ACTIONS(2330),
    [anon_sym_centroid] = ACTIONS(2330),
    [anon_sym_noperspective] = ACTIONS(2330),
    [anon_sym_nointerpolation] = ACTIONS(2330),
    [anon_sym_sample] = ACTIONS(2330),
    [anon_sym_linear] = ACTIONS(2330),
    [anon_sym_snorm] = ACTIONS(2330),
    [anon_sym_unorm] = ACTIONS(2330),
    [anon_sym_point] = ACTIONS(2330),
    [anon_sym_line] = ACTIONS(2330),
    [anon_sym_triangleadj] = ACTIONS(2330),
    [anon_sym_lineadj] = ACTIONS(2330),
    [anon_sym_triangle] = ACTIONS(2330),
    [anon_sym_cbuffer] = ACTIONS(2330),
  },
  [911] = {
    [sym_identifier] = ACTIONS(2330),
    [aux_sym_preproc_include_token1] = ACTIONS(2330),
    [aux_sym_preproc_def_token1] = ACTIONS(2330),
    [aux_sym_preproc_if_token1] = ACTIONS(2330),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2330),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2330),
    [sym_preproc_directive] = ACTIONS(2330),
    [anon_sym_LPAREN2] = ACTIONS(2332),
    [anon_sym_BANG] = ACTIONS(2332),
    [anon_sym_TILDE] = ACTIONS(2332),
    [anon_sym_DASH] = ACTIONS(2330),
    [anon_sym_PLUS] = ACTIONS(2330),
    [anon_sym_STAR] = ACTIONS(2332),
    [anon_sym_AMP_AMP] = ACTIONS(2332),
    [anon_sym_AMP] = ACTIONS(2330),
    [anon_sym_SEMI] = ACTIONS(2332),
    [anon_sym___extension__] = ACTIONS(2330),
    [anon_sym_typedef] = ACTIONS(2330),
    [anon_sym_in] = ACTIONS(2330),
    [anon_sym_out] = ACTIONS(2330),
    [anon_sym_inout] = ACTIONS(2330),
    [anon_sym_extern] = ACTIONS(2330),
    [anon_sym___attribute__] = ACTIONS(2330),
    [anon_sym_COLON_COLON] = ACTIONS(2332),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2332),
    [anon_sym___declspec] = ACTIONS(2330),
    [anon_sym___based] = ACTIONS(2330),
    [anon_sym___cdecl] = ACTIONS(2330),
    [anon_sym___clrcall] = ACTIONS(2330),
    [anon_sym___stdcall] = ACTIONS(2330),
    [anon_sym___fastcall] = ACTIONS(2330),
    [anon_sym___thiscall] = ACTIONS(2330),
    [anon_sym___vectorcall] = ACTIONS(2330),
    [anon_sym_LBRACE] = ACTIONS(2332),
    [anon_sym_RBRACE] = ACTIONS(2332),
    [anon_sym_signed] = ACTIONS(2330),
    [anon_sym_unsigned] = ACTIONS(2330),
    [anon_sym_long] = ACTIONS(2330),
    [anon_sym_short] = ACTIONS(2330),
    [anon_sym_LBRACK] = ACTIONS(2330),
    [anon_sym_static] = ACTIONS(2330),
    [anon_sym_register] = ACTIONS(2330),
    [anon_sym_inline] = ACTIONS(2330),
    [anon_sym___inline] = ACTIONS(2330),
    [anon_sym___inline__] = ACTIONS(2330),
    [anon_sym___forceinline] = ACTIONS(2330),
    [anon_sym_thread_local] = ACTIONS(2330),
    [anon_sym___thread] = ACTIONS(2330),
    [anon_sym_const] = ACTIONS(2330),
    [anon_sym_constexpr] = ACTIONS(2330),
    [anon_sym_volatile] = ACTIONS(2330),
    [anon_sym_restrict] = ACTIONS(2330),
    [anon_sym___restrict__] = ACTIONS(2330),
    [anon_sym__Atomic] = ACTIONS(2330),
    [anon_sym__Noreturn] = ACTIONS(2330),
    [anon_sym_noreturn] = ACTIONS(2330),
    [anon_sym_mutable] = ACTIONS(2330),
    [anon_sym_constinit] = ACTIONS(2330),
    [anon_sym_consteval] = ACTIONS(2330),
    [sym_primitive_type] = ACTIONS(2330),
    [anon_sym_enum] = ACTIONS(2330),
    [anon_sym_class] = ACTIONS(2330),
    [anon_sym_struct] = ACTIONS(2330),
    [anon_sym_union] = ACTIONS(2330),
    [anon_sym_if] = ACTIONS(2330),
    [anon_sym_else] = ACTIONS(2330),
    [anon_sym_switch] = ACTIONS(2330),
    [anon_sym_case] = ACTIONS(2330),
    [anon_sym_default] = ACTIONS(2330),
    [anon_sym_while] = ACTIONS(2330),
    [anon_sym_do] = ACTIONS(2330),
    [anon_sym_for] = ACTIONS(2330),
    [anon_sym_return] = ACTIONS(2330),
    [anon_sym_break] = ACTIONS(2330),
    [anon_sym_continue] = ACTIONS(2330),
    [anon_sym_goto] = ACTIONS(2330),
    [anon_sym___try] = ACTIONS(2330),
    [anon_sym___leave] = ACTIONS(2330),
    [anon_sym_not] = ACTIONS(2330),
    [anon_sym_compl] = ACTIONS(2330),
    [anon_sym_DASH_DASH] = ACTIONS(2332),
    [anon_sym_PLUS_PLUS] = ACTIONS(2332),
    [anon_sym_sizeof] = ACTIONS(2330),
    [anon_sym___alignof__] = ACTIONS(2330),
    [anon_sym___alignof] = ACTIONS(2330),
    [anon_sym__alignof] = ACTIONS(2330),
    [anon_sym_alignof] = ACTIONS(2330),
    [anon_sym__Alignof] = ACTIONS(2330),
    [anon_sym_offsetof] = ACTIONS(2330),
    [anon_sym__Generic] = ACTIONS(2330),
    [anon_sym_asm] = ACTIONS(2330),
    [anon_sym___asm__] = ACTIONS(2330),
    [sym_number_literal] = ACTIONS(2332),
    [anon_sym_L_SQUOTE] = ACTIONS(2332),
    [anon_sym_u_SQUOTE] = ACTIONS(2332),
    [anon_sym_U_SQUOTE] = ACTIONS(2332),
    [anon_sym_u8_SQUOTE] = ACTIONS(2332),
    [anon_sym_SQUOTE] = ACTIONS(2332),
    [anon_sym_L_DQUOTE] = ACTIONS(2332),
    [anon_sym_u_DQUOTE] = ACTIONS(2332),
    [anon_sym_U_DQUOTE] = ACTIONS(2332),
    [anon_sym_u8_DQUOTE] = ACTIONS(2332),
    [anon_sym_DQUOTE] = ACTIONS(2332),
    [sym_true] = ACTIONS(2330),
    [sym_false] = ACTIONS(2330),
    [anon_sym_NULL] = ACTIONS(2330),
    [anon_sym_nullptr] = ACTIONS(2330),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2330),
    [anon_sym_decltype] = ACTIONS(2330),
    [anon_sym_virtual] = ACTIONS(2330),
    [anon_sym_alignas] = ACTIONS(2330),
    [anon_sym_explicit] = ACTIONS(2330),
    [anon_sym_typename] = ACTIONS(2330),
    [anon_sym_template] = ACTIONS(2330),
    [anon_sym_operator] = ACTIONS(2330),
    [anon_sym_try] = ACTIONS(2330),
    [anon_sym_delete] = ACTIONS(2330),
    [anon_sym_throw] = ACTIONS(2330),
    [anon_sym_namespace] = ACTIONS(2330),
    [anon_sym_using] = ACTIONS(2330),
    [anon_sym_static_assert] = ACTIONS(2330),
    [anon_sym_concept] = ACTIONS(2330),
    [anon_sym_co_return] = ACTIONS(2330),
    [anon_sym_co_yield] = ACTIONS(2330),
    [anon_sym_R_DQUOTE] = ACTIONS(2332),
    [anon_sym_LR_DQUOTE] = ACTIONS(2332),
    [anon_sym_uR_DQUOTE] = ACTIONS(2332),
    [anon_sym_UR_DQUOTE] = ACTIONS(2332),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2332),
    [anon_sym_co_await] = ACTIONS(2330),
    [anon_sym_new] = ACTIONS(2330),
    [anon_sym_requires] = ACTIONS(2330),
    [sym_this] = ACTIONS(2330),
    [anon_sym_discard] = ACTIONS(2330),
    [anon_sym_precise] = ACTIONS(2330),
    [anon_sym_shared] = ACTIONS(2330),
    [anon_sym_groupshared] = ACTIONS(2330),
    [anon_sym_uniform] = ACTIONS(2330),
    [anon_sym_row_major] = ACTIONS(2330),
    [anon_sym_column_major] = ACTIONS(2330),
    [anon_sym_globallycoherent] = ACTIONS(2330),
    [anon_sym_centroid] = ACTIONS(2330),
    [anon_sym_noperspective] = ACTIONS(2330),
    [anon_sym_nointerpolation] = ACTIONS(2330),
    [anon_sym_sample] = ACTIONS(2330),
    [anon_sym_linear] = ACTIONS(2330),
    [anon_sym_snorm] = ACTIONS(2330),
    [anon_sym_unorm] = ACTIONS(2330),
    [anon_sym_point] = ACTIONS(2330),
    [anon_sym_line] = ACTIONS(2330),
    [anon_sym_triangleadj] = ACTIONS(2330),
    [anon_sym_lineadj] = ACTIONS(2330),
    [anon_sym_triangle] = ACTIONS(2330),
    [anon_sym_cbuffer] = ACTIONS(2330),
  },
  [912] = {
    [sym_identifier] = ACTIONS(2496),
    [aux_sym_preproc_include_token1] = ACTIONS(2496),
    [aux_sym_preproc_def_token1] = ACTIONS(2496),
    [aux_sym_preproc_if_token1] = ACTIONS(2496),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2496),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2496),
    [sym_preproc_directive] = ACTIONS(2496),
    [anon_sym_LPAREN2] = ACTIONS(2498),
    [anon_sym_BANG] = ACTIONS(2498),
    [anon_sym_TILDE] = ACTIONS(2498),
    [anon_sym_DASH] = ACTIONS(2496),
    [anon_sym_PLUS] = ACTIONS(2496),
    [anon_sym_STAR] = ACTIONS(2498),
    [anon_sym_AMP_AMP] = ACTIONS(2498),
    [anon_sym_AMP] = ACTIONS(2496),
    [anon_sym_SEMI] = ACTIONS(2498),
    [anon_sym___extension__] = ACTIONS(2496),
    [anon_sym_typedef] = ACTIONS(2496),
    [anon_sym_in] = ACTIONS(2496),
    [anon_sym_out] = ACTIONS(2496),
    [anon_sym_inout] = ACTIONS(2496),
    [anon_sym_extern] = ACTIONS(2496),
    [anon_sym___attribute__] = ACTIONS(2496),
    [anon_sym_COLON_COLON] = ACTIONS(2498),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2498),
    [anon_sym___declspec] = ACTIONS(2496),
    [anon_sym___based] = ACTIONS(2496),
    [anon_sym___cdecl] = ACTIONS(2496),
    [anon_sym___clrcall] = ACTIONS(2496),
    [anon_sym___stdcall] = ACTIONS(2496),
    [anon_sym___fastcall] = ACTIONS(2496),
    [anon_sym___thiscall] = ACTIONS(2496),
    [anon_sym___vectorcall] = ACTIONS(2496),
    [anon_sym_LBRACE] = ACTIONS(2498),
    [anon_sym_RBRACE] = ACTIONS(2498),
    [anon_sym_signed] = ACTIONS(2496),
    [anon_sym_unsigned] = ACTIONS(2496),
    [anon_sym_long] = ACTIONS(2496),
    [anon_sym_short] = ACTIONS(2496),
    [anon_sym_LBRACK] = ACTIONS(2496),
    [anon_sym_static] = ACTIONS(2496),
    [anon_sym_register] = ACTIONS(2496),
    [anon_sym_inline] = ACTIONS(2496),
    [anon_sym___inline] = ACTIONS(2496),
    [anon_sym___inline__] = ACTIONS(2496),
    [anon_sym___forceinline] = ACTIONS(2496),
    [anon_sym_thread_local] = ACTIONS(2496),
    [anon_sym___thread] = ACTIONS(2496),
    [anon_sym_const] = ACTIONS(2496),
    [anon_sym_constexpr] = ACTIONS(2496),
    [anon_sym_volatile] = ACTIONS(2496),
    [anon_sym_restrict] = ACTIONS(2496),
    [anon_sym___restrict__] = ACTIONS(2496),
    [anon_sym__Atomic] = ACTIONS(2496),
    [anon_sym__Noreturn] = ACTIONS(2496),
    [anon_sym_noreturn] = ACTIONS(2496),
    [anon_sym_mutable] = ACTIONS(2496),
    [anon_sym_constinit] = ACTIONS(2496),
    [anon_sym_consteval] = ACTIONS(2496),
    [sym_primitive_type] = ACTIONS(2496),
    [anon_sym_enum] = ACTIONS(2496),
    [anon_sym_class] = ACTIONS(2496),
    [anon_sym_struct] = ACTIONS(2496),
    [anon_sym_union] = ACTIONS(2496),
    [anon_sym_if] = ACTIONS(2496),
    [anon_sym_else] = ACTIONS(2496),
    [anon_sym_switch] = ACTIONS(2496),
    [anon_sym_case] = ACTIONS(2496),
    [anon_sym_default] = ACTIONS(2496),
    [anon_sym_while] = ACTIONS(2496),
    [anon_sym_do] = ACTIONS(2496),
    [anon_sym_for] = ACTIONS(2496),
    [anon_sym_return] = ACTIONS(2496),
    [anon_sym_break] = ACTIONS(2496),
    [anon_sym_continue] = ACTIONS(2496),
    [anon_sym_goto] = ACTIONS(2496),
    [anon_sym___try] = ACTIONS(2496),
    [anon_sym___leave] = ACTIONS(2496),
    [anon_sym_not] = ACTIONS(2496),
    [anon_sym_compl] = ACTIONS(2496),
    [anon_sym_DASH_DASH] = ACTIONS(2498),
    [anon_sym_PLUS_PLUS] = ACTIONS(2498),
    [anon_sym_sizeof] = ACTIONS(2496),
    [anon_sym___alignof__] = ACTIONS(2496),
    [anon_sym___alignof] = ACTIONS(2496),
    [anon_sym__alignof] = ACTIONS(2496),
    [anon_sym_alignof] = ACTIONS(2496),
    [anon_sym__Alignof] = ACTIONS(2496),
    [anon_sym_offsetof] = ACTIONS(2496),
    [anon_sym__Generic] = ACTIONS(2496),
    [anon_sym_asm] = ACTIONS(2496),
    [anon_sym___asm__] = ACTIONS(2496),
    [sym_number_literal] = ACTIONS(2498),
    [anon_sym_L_SQUOTE] = ACTIONS(2498),
    [anon_sym_u_SQUOTE] = ACTIONS(2498),
    [anon_sym_U_SQUOTE] = ACTIONS(2498),
    [anon_sym_u8_SQUOTE] = ACTIONS(2498),
    [anon_sym_SQUOTE] = ACTIONS(2498),
    [anon_sym_L_DQUOTE] = ACTIONS(2498),
    [anon_sym_u_DQUOTE] = ACTIONS(2498),
    [anon_sym_U_DQUOTE] = ACTIONS(2498),
    [anon_sym_u8_DQUOTE] = ACTIONS(2498),
    [anon_sym_DQUOTE] = ACTIONS(2498),
    [sym_true] = ACTIONS(2496),
    [sym_false] = ACTIONS(2496),
    [anon_sym_NULL] = ACTIONS(2496),
    [anon_sym_nullptr] = ACTIONS(2496),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2496),
    [anon_sym_decltype] = ACTIONS(2496),
    [anon_sym_virtual] = ACTIONS(2496),
    [anon_sym_alignas] = ACTIONS(2496),
    [anon_sym_explicit] = ACTIONS(2496),
    [anon_sym_typename] = ACTIONS(2496),
    [anon_sym_template] = ACTIONS(2496),
    [anon_sym_operator] = ACTIONS(2496),
    [anon_sym_try] = ACTIONS(2496),
    [anon_sym_delete] = ACTIONS(2496),
    [anon_sym_throw] = ACTIONS(2496),
    [anon_sym_namespace] = ACTIONS(2496),
    [anon_sym_using] = ACTIONS(2496),
    [anon_sym_static_assert] = ACTIONS(2496),
    [anon_sym_concept] = ACTIONS(2496),
    [anon_sym_co_return] = ACTIONS(2496),
    [anon_sym_co_yield] = ACTIONS(2496),
    [anon_sym_R_DQUOTE] = ACTIONS(2498),
    [anon_sym_LR_DQUOTE] = ACTIONS(2498),
    [anon_sym_uR_DQUOTE] = ACTIONS(2498),
    [anon_sym_UR_DQUOTE] = ACTIONS(2498),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2498),
    [anon_sym_co_await] = ACTIONS(2496),
    [anon_sym_new] = ACTIONS(2496),
    [anon_sym_requires] = ACTIONS(2496),
    [sym_this] = ACTIONS(2496),
    [anon_sym_discard] = ACTIONS(2496),
    [anon_sym_precise] = ACTIONS(2496),
    [anon_sym_shared] = ACTIONS(2496),
    [anon_sym_groupshared] = ACTIONS(2496),
    [anon_sym_uniform] = ACTIONS(2496),
    [anon_sym_row_major] = ACTIONS(2496),
    [anon_sym_column_major] = ACTIONS(2496),
    [anon_sym_globallycoherent] = ACTIONS(2496),
    [anon_sym_centroid] = ACTIONS(2496),
    [anon_sym_noperspective] = ACTIONS(2496),
    [anon_sym_nointerpolation] = ACTIONS(2496),
    [anon_sym_sample] = ACTIONS(2496),
    [anon_sym_linear] = ACTIONS(2496),
    [anon_sym_snorm] = ACTIONS(2496),
    [anon_sym_unorm] = ACTIONS(2496),
    [anon_sym_point] = ACTIONS(2496),
    [anon_sym_line] = ACTIONS(2496),
    [anon_sym_triangleadj] = ACTIONS(2496),
    [anon_sym_lineadj] = ACTIONS(2496),
    [anon_sym_triangle] = ACTIONS(2496),
    [anon_sym_cbuffer] = ACTIONS(2496),
  },
  [913] = {
    [sym_identifier] = ACTIONS(2322),
    [aux_sym_preproc_include_token1] = ACTIONS(2322),
    [aux_sym_preproc_def_token1] = ACTIONS(2322),
    [aux_sym_preproc_if_token1] = ACTIONS(2322),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2322),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2322),
    [sym_preproc_directive] = ACTIONS(2322),
    [anon_sym_LPAREN2] = ACTIONS(2324),
    [anon_sym_BANG] = ACTIONS(2324),
    [anon_sym_TILDE] = ACTIONS(2324),
    [anon_sym_DASH] = ACTIONS(2322),
    [anon_sym_PLUS] = ACTIONS(2322),
    [anon_sym_STAR] = ACTIONS(2324),
    [anon_sym_AMP_AMP] = ACTIONS(2324),
    [anon_sym_AMP] = ACTIONS(2322),
    [anon_sym_SEMI] = ACTIONS(2324),
    [anon_sym___extension__] = ACTIONS(2322),
    [anon_sym_typedef] = ACTIONS(2322),
    [anon_sym_in] = ACTIONS(2322),
    [anon_sym_out] = ACTIONS(2322),
    [anon_sym_inout] = ACTIONS(2322),
    [anon_sym_extern] = ACTIONS(2322),
    [anon_sym___attribute__] = ACTIONS(2322),
    [anon_sym_COLON_COLON] = ACTIONS(2324),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2324),
    [anon_sym___declspec] = ACTIONS(2322),
    [anon_sym___based] = ACTIONS(2322),
    [anon_sym___cdecl] = ACTIONS(2322),
    [anon_sym___clrcall] = ACTIONS(2322),
    [anon_sym___stdcall] = ACTIONS(2322),
    [anon_sym___fastcall] = ACTIONS(2322),
    [anon_sym___thiscall] = ACTIONS(2322),
    [anon_sym___vectorcall] = ACTIONS(2322),
    [anon_sym_LBRACE] = ACTIONS(2324),
    [anon_sym_RBRACE] = ACTIONS(2324),
    [anon_sym_signed] = ACTIONS(2322),
    [anon_sym_unsigned] = ACTIONS(2322),
    [anon_sym_long] = ACTIONS(2322),
    [anon_sym_short] = ACTIONS(2322),
    [anon_sym_LBRACK] = ACTIONS(2322),
    [anon_sym_static] = ACTIONS(2322),
    [anon_sym_register] = ACTIONS(2322),
    [anon_sym_inline] = ACTIONS(2322),
    [anon_sym___inline] = ACTIONS(2322),
    [anon_sym___inline__] = ACTIONS(2322),
    [anon_sym___forceinline] = ACTIONS(2322),
    [anon_sym_thread_local] = ACTIONS(2322),
    [anon_sym___thread] = ACTIONS(2322),
    [anon_sym_const] = ACTIONS(2322),
    [anon_sym_constexpr] = ACTIONS(2322),
    [anon_sym_volatile] = ACTIONS(2322),
    [anon_sym_restrict] = ACTIONS(2322),
    [anon_sym___restrict__] = ACTIONS(2322),
    [anon_sym__Atomic] = ACTIONS(2322),
    [anon_sym__Noreturn] = ACTIONS(2322),
    [anon_sym_noreturn] = ACTIONS(2322),
    [anon_sym_mutable] = ACTIONS(2322),
    [anon_sym_constinit] = ACTIONS(2322),
    [anon_sym_consteval] = ACTIONS(2322),
    [sym_primitive_type] = ACTIONS(2322),
    [anon_sym_enum] = ACTIONS(2322),
    [anon_sym_class] = ACTIONS(2322),
    [anon_sym_struct] = ACTIONS(2322),
    [anon_sym_union] = ACTIONS(2322),
    [anon_sym_if] = ACTIONS(2322),
    [anon_sym_else] = ACTIONS(2322),
    [anon_sym_switch] = ACTIONS(2322),
    [anon_sym_case] = ACTIONS(2322),
    [anon_sym_default] = ACTIONS(2322),
    [anon_sym_while] = ACTIONS(2322),
    [anon_sym_do] = ACTIONS(2322),
    [anon_sym_for] = ACTIONS(2322),
    [anon_sym_return] = ACTIONS(2322),
    [anon_sym_break] = ACTIONS(2322),
    [anon_sym_continue] = ACTIONS(2322),
    [anon_sym_goto] = ACTIONS(2322),
    [anon_sym___try] = ACTIONS(2322),
    [anon_sym___leave] = ACTIONS(2322),
    [anon_sym_not] = ACTIONS(2322),
    [anon_sym_compl] = ACTIONS(2322),
    [anon_sym_DASH_DASH] = ACTIONS(2324),
    [anon_sym_PLUS_PLUS] = ACTIONS(2324),
    [anon_sym_sizeof] = ACTIONS(2322),
    [anon_sym___alignof__] = ACTIONS(2322),
    [anon_sym___alignof] = ACTIONS(2322),
    [anon_sym__alignof] = ACTIONS(2322),
    [anon_sym_alignof] = ACTIONS(2322),
    [anon_sym__Alignof] = ACTIONS(2322),
    [anon_sym_offsetof] = ACTIONS(2322),
    [anon_sym__Generic] = ACTIONS(2322),
    [anon_sym_asm] = ACTIONS(2322),
    [anon_sym___asm__] = ACTIONS(2322),
    [sym_number_literal] = ACTIONS(2324),
    [anon_sym_L_SQUOTE] = ACTIONS(2324),
    [anon_sym_u_SQUOTE] = ACTIONS(2324),
    [anon_sym_U_SQUOTE] = ACTIONS(2324),
    [anon_sym_u8_SQUOTE] = ACTIONS(2324),
    [anon_sym_SQUOTE] = ACTIONS(2324),
    [anon_sym_L_DQUOTE] = ACTIONS(2324),
    [anon_sym_u_DQUOTE] = ACTIONS(2324),
    [anon_sym_U_DQUOTE] = ACTIONS(2324),
    [anon_sym_u8_DQUOTE] = ACTIONS(2324),
    [anon_sym_DQUOTE] = ACTIONS(2324),
    [sym_true] = ACTIONS(2322),
    [sym_false] = ACTIONS(2322),
    [anon_sym_NULL] = ACTIONS(2322),
    [anon_sym_nullptr] = ACTIONS(2322),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2322),
    [anon_sym_decltype] = ACTIONS(2322),
    [anon_sym_virtual] = ACTIONS(2322),
    [anon_sym_alignas] = ACTIONS(2322),
    [anon_sym_explicit] = ACTIONS(2322),
    [anon_sym_typename] = ACTIONS(2322),
    [anon_sym_template] = ACTIONS(2322),
    [anon_sym_operator] = ACTIONS(2322),
    [anon_sym_try] = ACTIONS(2322),
    [anon_sym_delete] = ACTIONS(2322),
    [anon_sym_throw] = ACTIONS(2322),
    [anon_sym_namespace] = ACTIONS(2322),
    [anon_sym_using] = ACTIONS(2322),
    [anon_sym_static_assert] = ACTIONS(2322),
    [anon_sym_concept] = ACTIONS(2322),
    [anon_sym_co_return] = ACTIONS(2322),
    [anon_sym_co_yield] = ACTIONS(2322),
    [anon_sym_R_DQUOTE] = ACTIONS(2324),
    [anon_sym_LR_DQUOTE] = ACTIONS(2324),
    [anon_sym_uR_DQUOTE] = ACTIONS(2324),
    [anon_sym_UR_DQUOTE] = ACTIONS(2324),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2324),
    [anon_sym_co_await] = ACTIONS(2322),
    [anon_sym_new] = ACTIONS(2322),
    [anon_sym_requires] = ACTIONS(2322),
    [sym_this] = ACTIONS(2322),
    [anon_sym_discard] = ACTIONS(2322),
    [anon_sym_precise] = ACTIONS(2322),
    [anon_sym_shared] = ACTIONS(2322),
    [anon_sym_groupshared] = ACTIONS(2322),
    [anon_sym_uniform] = ACTIONS(2322),
    [anon_sym_row_major] = ACTIONS(2322),
    [anon_sym_column_major] = ACTIONS(2322),
    [anon_sym_globallycoherent] = ACTIONS(2322),
    [anon_sym_centroid] = ACTIONS(2322),
    [anon_sym_noperspective] = ACTIONS(2322),
    [anon_sym_nointerpolation] = ACTIONS(2322),
    [anon_sym_sample] = ACTIONS(2322),
    [anon_sym_linear] = ACTIONS(2322),
    [anon_sym_snorm] = ACTIONS(2322),
    [anon_sym_unorm] = ACTIONS(2322),
    [anon_sym_point] = ACTIONS(2322),
    [anon_sym_line] = ACTIONS(2322),
    [anon_sym_triangleadj] = ACTIONS(2322),
    [anon_sym_lineadj] = ACTIONS(2322),
    [anon_sym_triangle] = ACTIONS(2322),
    [anon_sym_cbuffer] = ACTIONS(2322),
  },
  [914] = {
    [sym_identifier] = ACTIONS(2330),
    [aux_sym_preproc_include_token1] = ACTIONS(2330),
    [aux_sym_preproc_def_token1] = ACTIONS(2330),
    [aux_sym_preproc_if_token1] = ACTIONS(2330),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2330),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2330),
    [sym_preproc_directive] = ACTIONS(2330),
    [anon_sym_LPAREN2] = ACTIONS(2332),
    [anon_sym_BANG] = ACTIONS(2332),
    [anon_sym_TILDE] = ACTIONS(2332),
    [anon_sym_DASH] = ACTIONS(2330),
    [anon_sym_PLUS] = ACTIONS(2330),
    [anon_sym_STAR] = ACTIONS(2332),
    [anon_sym_AMP_AMP] = ACTIONS(2332),
    [anon_sym_AMP] = ACTIONS(2330),
    [anon_sym_SEMI] = ACTIONS(2332),
    [anon_sym___extension__] = ACTIONS(2330),
    [anon_sym_typedef] = ACTIONS(2330),
    [anon_sym_in] = ACTIONS(2330),
    [anon_sym_out] = ACTIONS(2330),
    [anon_sym_inout] = ACTIONS(2330),
    [anon_sym_extern] = ACTIONS(2330),
    [anon_sym___attribute__] = ACTIONS(2330),
    [anon_sym_COLON_COLON] = ACTIONS(2332),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2332),
    [anon_sym___declspec] = ACTIONS(2330),
    [anon_sym___based] = ACTIONS(2330),
    [anon_sym___cdecl] = ACTIONS(2330),
    [anon_sym___clrcall] = ACTIONS(2330),
    [anon_sym___stdcall] = ACTIONS(2330),
    [anon_sym___fastcall] = ACTIONS(2330),
    [anon_sym___thiscall] = ACTIONS(2330),
    [anon_sym___vectorcall] = ACTIONS(2330),
    [anon_sym_LBRACE] = ACTIONS(2332),
    [anon_sym_RBRACE] = ACTIONS(2332),
    [anon_sym_signed] = ACTIONS(2330),
    [anon_sym_unsigned] = ACTIONS(2330),
    [anon_sym_long] = ACTIONS(2330),
    [anon_sym_short] = ACTIONS(2330),
    [anon_sym_LBRACK] = ACTIONS(2330),
    [anon_sym_static] = ACTIONS(2330),
    [anon_sym_register] = ACTIONS(2330),
    [anon_sym_inline] = ACTIONS(2330),
    [anon_sym___inline] = ACTIONS(2330),
    [anon_sym___inline__] = ACTIONS(2330),
    [anon_sym___forceinline] = ACTIONS(2330),
    [anon_sym_thread_local] = ACTIONS(2330),
    [anon_sym___thread] = ACTIONS(2330),
    [anon_sym_const] = ACTIONS(2330),
    [anon_sym_constexpr] = ACTIONS(2330),
    [anon_sym_volatile] = ACTIONS(2330),
    [anon_sym_restrict] = ACTIONS(2330),
    [anon_sym___restrict__] = ACTIONS(2330),
    [anon_sym__Atomic] = ACTIONS(2330),
    [anon_sym__Noreturn] = ACTIONS(2330),
    [anon_sym_noreturn] = ACTIONS(2330),
    [anon_sym_mutable] = ACTIONS(2330),
    [anon_sym_constinit] = ACTIONS(2330),
    [anon_sym_consteval] = ACTIONS(2330),
    [sym_primitive_type] = ACTIONS(2330),
    [anon_sym_enum] = ACTIONS(2330),
    [anon_sym_class] = ACTIONS(2330),
    [anon_sym_struct] = ACTIONS(2330),
    [anon_sym_union] = ACTIONS(2330),
    [anon_sym_if] = ACTIONS(2330),
    [anon_sym_else] = ACTIONS(2330),
    [anon_sym_switch] = ACTIONS(2330),
    [anon_sym_case] = ACTIONS(2330),
    [anon_sym_default] = ACTIONS(2330),
    [anon_sym_while] = ACTIONS(2330),
    [anon_sym_do] = ACTIONS(2330),
    [anon_sym_for] = ACTIONS(2330),
    [anon_sym_return] = ACTIONS(2330),
    [anon_sym_break] = ACTIONS(2330),
    [anon_sym_continue] = ACTIONS(2330),
    [anon_sym_goto] = ACTIONS(2330),
    [anon_sym___try] = ACTIONS(2330),
    [anon_sym___leave] = ACTIONS(2330),
    [anon_sym_not] = ACTIONS(2330),
    [anon_sym_compl] = ACTIONS(2330),
    [anon_sym_DASH_DASH] = ACTIONS(2332),
    [anon_sym_PLUS_PLUS] = ACTIONS(2332),
    [anon_sym_sizeof] = ACTIONS(2330),
    [anon_sym___alignof__] = ACTIONS(2330),
    [anon_sym___alignof] = ACTIONS(2330),
    [anon_sym__alignof] = ACTIONS(2330),
    [anon_sym_alignof] = ACTIONS(2330),
    [anon_sym__Alignof] = ACTIONS(2330),
    [anon_sym_offsetof] = ACTIONS(2330),
    [anon_sym__Generic] = ACTIONS(2330),
    [anon_sym_asm] = ACTIONS(2330),
    [anon_sym___asm__] = ACTIONS(2330),
    [sym_number_literal] = ACTIONS(2332),
    [anon_sym_L_SQUOTE] = ACTIONS(2332),
    [anon_sym_u_SQUOTE] = ACTIONS(2332),
    [anon_sym_U_SQUOTE] = ACTIONS(2332),
    [anon_sym_u8_SQUOTE] = ACTIONS(2332),
    [anon_sym_SQUOTE] = ACTIONS(2332),
    [anon_sym_L_DQUOTE] = ACTIONS(2332),
    [anon_sym_u_DQUOTE] = ACTIONS(2332),
    [anon_sym_U_DQUOTE] = ACTIONS(2332),
    [anon_sym_u8_DQUOTE] = ACTIONS(2332),
    [anon_sym_DQUOTE] = ACTIONS(2332),
    [sym_true] = ACTIONS(2330),
    [sym_false] = ACTIONS(2330),
    [anon_sym_NULL] = ACTIONS(2330),
    [anon_sym_nullptr] = ACTIONS(2330),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2330),
    [anon_sym_decltype] = ACTIONS(2330),
    [anon_sym_virtual] = ACTIONS(2330),
    [anon_sym_alignas] = ACTIONS(2330),
    [anon_sym_explicit] = ACTIONS(2330),
    [anon_sym_typename] = ACTIONS(2330),
    [anon_sym_template] = ACTIONS(2330),
    [anon_sym_operator] = ACTIONS(2330),
    [anon_sym_try] = ACTIONS(2330),
    [anon_sym_delete] = ACTIONS(2330),
    [anon_sym_throw] = ACTIONS(2330),
    [anon_sym_namespace] = ACTIONS(2330),
    [anon_sym_using] = ACTIONS(2330),
    [anon_sym_static_assert] = ACTIONS(2330),
    [anon_sym_concept] = ACTIONS(2330),
    [anon_sym_co_return] = ACTIONS(2330),
    [anon_sym_co_yield] = ACTIONS(2330),
    [anon_sym_R_DQUOTE] = ACTIONS(2332),
    [anon_sym_LR_DQUOTE] = ACTIONS(2332),
    [anon_sym_uR_DQUOTE] = ACTIONS(2332),
    [anon_sym_UR_DQUOTE] = ACTIONS(2332),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2332),
    [anon_sym_co_await] = ACTIONS(2330),
    [anon_sym_new] = ACTIONS(2330),
    [anon_sym_requires] = ACTIONS(2330),
    [sym_this] = ACTIONS(2330),
    [anon_sym_discard] = ACTIONS(2330),
    [anon_sym_precise] = ACTIONS(2330),
    [anon_sym_shared] = ACTIONS(2330),
    [anon_sym_groupshared] = ACTIONS(2330),
    [anon_sym_uniform] = ACTIONS(2330),
    [anon_sym_row_major] = ACTIONS(2330),
    [anon_sym_column_major] = ACTIONS(2330),
    [anon_sym_globallycoherent] = ACTIONS(2330),
    [anon_sym_centroid] = ACTIONS(2330),
    [anon_sym_noperspective] = ACTIONS(2330),
    [anon_sym_nointerpolation] = ACTIONS(2330),
    [anon_sym_sample] = ACTIONS(2330),
    [anon_sym_linear] = ACTIONS(2330),
    [anon_sym_snorm] = ACTIONS(2330),
    [anon_sym_unorm] = ACTIONS(2330),
    [anon_sym_point] = ACTIONS(2330),
    [anon_sym_line] = ACTIONS(2330),
    [anon_sym_triangleadj] = ACTIONS(2330),
    [anon_sym_lineadj] = ACTIONS(2330),
    [anon_sym_triangle] = ACTIONS(2330),
    [anon_sym_cbuffer] = ACTIONS(2330),
  },
  [915] = {
    [sym_identifier] = ACTIONS(2364),
    [aux_sym_preproc_include_token1] = ACTIONS(2364),
    [aux_sym_preproc_def_token1] = ACTIONS(2364),
    [aux_sym_preproc_if_token1] = ACTIONS(2364),
    [aux_sym_preproc_if_token2] = ACTIONS(2364),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2364),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2364),
    [sym_preproc_directive] = ACTIONS(2364),
    [anon_sym_LPAREN2] = ACTIONS(2366),
    [anon_sym_BANG] = ACTIONS(2366),
    [anon_sym_TILDE] = ACTIONS(2366),
    [anon_sym_DASH] = ACTIONS(2364),
    [anon_sym_PLUS] = ACTIONS(2364),
    [anon_sym_STAR] = ACTIONS(2366),
    [anon_sym_AMP_AMP] = ACTIONS(2366),
    [anon_sym_AMP] = ACTIONS(2364),
    [anon_sym_SEMI] = ACTIONS(2366),
    [anon_sym___extension__] = ACTIONS(2364),
    [anon_sym_typedef] = ACTIONS(2364),
    [anon_sym_in] = ACTIONS(2364),
    [anon_sym_out] = ACTIONS(2364),
    [anon_sym_inout] = ACTIONS(2364),
    [anon_sym_extern] = ACTIONS(2364),
    [anon_sym___attribute__] = ACTIONS(2364),
    [anon_sym_COLON_COLON] = ACTIONS(2366),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2366),
    [anon_sym___declspec] = ACTIONS(2364),
    [anon_sym___based] = ACTIONS(2364),
    [anon_sym___cdecl] = ACTIONS(2364),
    [anon_sym___clrcall] = ACTIONS(2364),
    [anon_sym___stdcall] = ACTIONS(2364),
    [anon_sym___fastcall] = ACTIONS(2364),
    [anon_sym___thiscall] = ACTIONS(2364),
    [anon_sym___vectorcall] = ACTIONS(2364),
    [anon_sym_LBRACE] = ACTIONS(2366),
    [anon_sym_signed] = ACTIONS(2364),
    [anon_sym_unsigned] = ACTIONS(2364),
    [anon_sym_long] = ACTIONS(2364),
    [anon_sym_short] = ACTIONS(2364),
    [anon_sym_LBRACK] = ACTIONS(2364),
    [anon_sym_static] = ACTIONS(2364),
    [anon_sym_register] = ACTIONS(2364),
    [anon_sym_inline] = ACTIONS(2364),
    [anon_sym___inline] = ACTIONS(2364),
    [anon_sym___inline__] = ACTIONS(2364),
    [anon_sym___forceinline] = ACTIONS(2364),
    [anon_sym_thread_local] = ACTIONS(2364),
    [anon_sym___thread] = ACTIONS(2364),
    [anon_sym_const] = ACTIONS(2364),
    [anon_sym_constexpr] = ACTIONS(2364),
    [anon_sym_volatile] = ACTIONS(2364),
    [anon_sym_restrict] = ACTIONS(2364),
    [anon_sym___restrict__] = ACTIONS(2364),
    [anon_sym__Atomic] = ACTIONS(2364),
    [anon_sym__Noreturn] = ACTIONS(2364),
    [anon_sym_noreturn] = ACTIONS(2364),
    [anon_sym_mutable] = ACTIONS(2364),
    [anon_sym_constinit] = ACTIONS(2364),
    [anon_sym_consteval] = ACTIONS(2364),
    [sym_primitive_type] = ACTIONS(2364),
    [anon_sym_enum] = ACTIONS(2364),
    [anon_sym_class] = ACTIONS(2364),
    [anon_sym_struct] = ACTIONS(2364),
    [anon_sym_union] = ACTIONS(2364),
    [anon_sym_if] = ACTIONS(2364),
    [anon_sym_else] = ACTIONS(2364),
    [anon_sym_switch] = ACTIONS(2364),
    [anon_sym_case] = ACTIONS(2364),
    [anon_sym_default] = ACTIONS(2364),
    [anon_sym_while] = ACTIONS(2364),
    [anon_sym_do] = ACTIONS(2364),
    [anon_sym_for] = ACTIONS(2364),
    [anon_sym_return] = ACTIONS(2364),
    [anon_sym_break] = ACTIONS(2364),
    [anon_sym_continue] = ACTIONS(2364),
    [anon_sym_goto] = ACTIONS(2364),
    [anon_sym___try] = ACTIONS(2364),
    [anon_sym___leave] = ACTIONS(2364),
    [anon_sym_not] = ACTIONS(2364),
    [anon_sym_compl] = ACTIONS(2364),
    [anon_sym_DASH_DASH] = ACTIONS(2366),
    [anon_sym_PLUS_PLUS] = ACTIONS(2366),
    [anon_sym_sizeof] = ACTIONS(2364),
    [anon_sym___alignof__] = ACTIONS(2364),
    [anon_sym___alignof] = ACTIONS(2364),
    [anon_sym__alignof] = ACTIONS(2364),
    [anon_sym_alignof] = ACTIONS(2364),
    [anon_sym__Alignof] = ACTIONS(2364),
    [anon_sym_offsetof] = ACTIONS(2364),
    [anon_sym__Generic] = ACTIONS(2364),
    [anon_sym_asm] = ACTIONS(2364),
    [anon_sym___asm__] = ACTIONS(2364),
    [sym_number_literal] = ACTIONS(2366),
    [anon_sym_L_SQUOTE] = ACTIONS(2366),
    [anon_sym_u_SQUOTE] = ACTIONS(2366),
    [anon_sym_U_SQUOTE] = ACTIONS(2366),
    [anon_sym_u8_SQUOTE] = ACTIONS(2366),
    [anon_sym_SQUOTE] = ACTIONS(2366),
    [anon_sym_L_DQUOTE] = ACTIONS(2366),
    [anon_sym_u_DQUOTE] = ACTIONS(2366),
    [anon_sym_U_DQUOTE] = ACTIONS(2366),
    [anon_sym_u8_DQUOTE] = ACTIONS(2366),
    [anon_sym_DQUOTE] = ACTIONS(2366),
    [sym_true] = ACTIONS(2364),
    [sym_false] = ACTIONS(2364),
    [anon_sym_NULL] = ACTIONS(2364),
    [anon_sym_nullptr] = ACTIONS(2364),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2364),
    [anon_sym_decltype] = ACTIONS(2364),
    [anon_sym_virtual] = ACTIONS(2364),
    [anon_sym_alignas] = ACTIONS(2364),
    [anon_sym_explicit] = ACTIONS(2364),
    [anon_sym_typename] = ACTIONS(2364),
    [anon_sym_template] = ACTIONS(2364),
    [anon_sym_operator] = ACTIONS(2364),
    [anon_sym_try] = ACTIONS(2364),
    [anon_sym_delete] = ACTIONS(2364),
    [anon_sym_throw] = ACTIONS(2364),
    [anon_sym_namespace] = ACTIONS(2364),
    [anon_sym_using] = ACTIONS(2364),
    [anon_sym_static_assert] = ACTIONS(2364),
    [anon_sym_concept] = ACTIONS(2364),
    [anon_sym_co_return] = ACTIONS(2364),
    [anon_sym_co_yield] = ACTIONS(2364),
    [anon_sym_R_DQUOTE] = ACTIONS(2366),
    [anon_sym_LR_DQUOTE] = ACTIONS(2366),
    [anon_sym_uR_DQUOTE] = ACTIONS(2366),
    [anon_sym_UR_DQUOTE] = ACTIONS(2366),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2366),
    [anon_sym_co_await] = ACTIONS(2364),
    [anon_sym_new] = ACTIONS(2364),
    [anon_sym_requires] = ACTIONS(2364),
    [sym_this] = ACTIONS(2364),
    [anon_sym_discard] = ACTIONS(2364),
    [anon_sym_precise] = ACTIONS(2364),
    [anon_sym_shared] = ACTIONS(2364),
    [anon_sym_groupshared] = ACTIONS(2364),
    [anon_sym_uniform] = ACTIONS(2364),
    [anon_sym_row_major] = ACTIONS(2364),
    [anon_sym_column_major] = ACTIONS(2364),
    [anon_sym_globallycoherent] = ACTIONS(2364),
    [anon_sym_centroid] = ACTIONS(2364),
    [anon_sym_noperspective] = ACTIONS(2364),
    [anon_sym_nointerpolation] = ACTIONS(2364),
    [anon_sym_sample] = ACTIONS(2364),
    [anon_sym_linear] = ACTIONS(2364),
    [anon_sym_snorm] = ACTIONS(2364),
    [anon_sym_unorm] = ACTIONS(2364),
    [anon_sym_point] = ACTIONS(2364),
    [anon_sym_line] = ACTIONS(2364),
    [anon_sym_triangleadj] = ACTIONS(2364),
    [anon_sym_lineadj] = ACTIONS(2364),
    [anon_sym_triangle] = ACTIONS(2364),
    [anon_sym_cbuffer] = ACTIONS(2364),
  },
  [916] = {
    [sym_identifier] = ACTIONS(2364),
    [aux_sym_preproc_include_token1] = ACTIONS(2364),
    [aux_sym_preproc_def_token1] = ACTIONS(2364),
    [aux_sym_preproc_if_token1] = ACTIONS(2364),
    [aux_sym_preproc_if_token2] = ACTIONS(2364),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2364),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2364),
    [sym_preproc_directive] = ACTIONS(2364),
    [anon_sym_LPAREN2] = ACTIONS(2366),
    [anon_sym_BANG] = ACTIONS(2366),
    [anon_sym_TILDE] = ACTIONS(2366),
    [anon_sym_DASH] = ACTIONS(2364),
    [anon_sym_PLUS] = ACTIONS(2364),
    [anon_sym_STAR] = ACTIONS(2366),
    [anon_sym_AMP_AMP] = ACTIONS(2366),
    [anon_sym_AMP] = ACTIONS(2364),
    [anon_sym_SEMI] = ACTIONS(2366),
    [anon_sym___extension__] = ACTIONS(2364),
    [anon_sym_typedef] = ACTIONS(2364),
    [anon_sym_in] = ACTIONS(2364),
    [anon_sym_out] = ACTIONS(2364),
    [anon_sym_inout] = ACTIONS(2364),
    [anon_sym_extern] = ACTIONS(2364),
    [anon_sym___attribute__] = ACTIONS(2364),
    [anon_sym_COLON_COLON] = ACTIONS(2366),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2366),
    [anon_sym___declspec] = ACTIONS(2364),
    [anon_sym___based] = ACTIONS(2364),
    [anon_sym___cdecl] = ACTIONS(2364),
    [anon_sym___clrcall] = ACTIONS(2364),
    [anon_sym___stdcall] = ACTIONS(2364),
    [anon_sym___fastcall] = ACTIONS(2364),
    [anon_sym___thiscall] = ACTIONS(2364),
    [anon_sym___vectorcall] = ACTIONS(2364),
    [anon_sym_LBRACE] = ACTIONS(2366),
    [anon_sym_signed] = ACTIONS(2364),
    [anon_sym_unsigned] = ACTIONS(2364),
    [anon_sym_long] = ACTIONS(2364),
    [anon_sym_short] = ACTIONS(2364),
    [anon_sym_LBRACK] = ACTIONS(2364),
    [anon_sym_static] = ACTIONS(2364),
    [anon_sym_register] = ACTIONS(2364),
    [anon_sym_inline] = ACTIONS(2364),
    [anon_sym___inline] = ACTIONS(2364),
    [anon_sym___inline__] = ACTIONS(2364),
    [anon_sym___forceinline] = ACTIONS(2364),
    [anon_sym_thread_local] = ACTIONS(2364),
    [anon_sym___thread] = ACTIONS(2364),
    [anon_sym_const] = ACTIONS(2364),
    [anon_sym_constexpr] = ACTIONS(2364),
    [anon_sym_volatile] = ACTIONS(2364),
    [anon_sym_restrict] = ACTIONS(2364),
    [anon_sym___restrict__] = ACTIONS(2364),
    [anon_sym__Atomic] = ACTIONS(2364),
    [anon_sym__Noreturn] = ACTIONS(2364),
    [anon_sym_noreturn] = ACTIONS(2364),
    [anon_sym_mutable] = ACTIONS(2364),
    [anon_sym_constinit] = ACTIONS(2364),
    [anon_sym_consteval] = ACTIONS(2364),
    [sym_primitive_type] = ACTIONS(2364),
    [anon_sym_enum] = ACTIONS(2364),
    [anon_sym_class] = ACTIONS(2364),
    [anon_sym_struct] = ACTIONS(2364),
    [anon_sym_union] = ACTIONS(2364),
    [anon_sym_if] = ACTIONS(2364),
    [anon_sym_else] = ACTIONS(2364),
    [anon_sym_switch] = ACTIONS(2364),
    [anon_sym_case] = ACTIONS(2364),
    [anon_sym_default] = ACTIONS(2364),
    [anon_sym_while] = ACTIONS(2364),
    [anon_sym_do] = ACTIONS(2364),
    [anon_sym_for] = ACTIONS(2364),
    [anon_sym_return] = ACTIONS(2364),
    [anon_sym_break] = ACTIONS(2364),
    [anon_sym_continue] = ACTIONS(2364),
    [anon_sym_goto] = ACTIONS(2364),
    [anon_sym___try] = ACTIONS(2364),
    [anon_sym___leave] = ACTIONS(2364),
    [anon_sym_not] = ACTIONS(2364),
    [anon_sym_compl] = ACTIONS(2364),
    [anon_sym_DASH_DASH] = ACTIONS(2366),
    [anon_sym_PLUS_PLUS] = ACTIONS(2366),
    [anon_sym_sizeof] = ACTIONS(2364),
    [anon_sym___alignof__] = ACTIONS(2364),
    [anon_sym___alignof] = ACTIONS(2364),
    [anon_sym__alignof] = ACTIONS(2364),
    [anon_sym_alignof] = ACTIONS(2364),
    [anon_sym__Alignof] = ACTIONS(2364),
    [anon_sym_offsetof] = ACTIONS(2364),
    [anon_sym__Generic] = ACTIONS(2364),
    [anon_sym_asm] = ACTIONS(2364),
    [anon_sym___asm__] = ACTIONS(2364),
    [sym_number_literal] = ACTIONS(2366),
    [anon_sym_L_SQUOTE] = ACTIONS(2366),
    [anon_sym_u_SQUOTE] = ACTIONS(2366),
    [anon_sym_U_SQUOTE] = ACTIONS(2366),
    [anon_sym_u8_SQUOTE] = ACTIONS(2366),
    [anon_sym_SQUOTE] = ACTIONS(2366),
    [anon_sym_L_DQUOTE] = ACTIONS(2366),
    [anon_sym_u_DQUOTE] = ACTIONS(2366),
    [anon_sym_U_DQUOTE] = ACTIONS(2366),
    [anon_sym_u8_DQUOTE] = ACTIONS(2366),
    [anon_sym_DQUOTE] = ACTIONS(2366),
    [sym_true] = ACTIONS(2364),
    [sym_false] = ACTIONS(2364),
    [anon_sym_NULL] = ACTIONS(2364),
    [anon_sym_nullptr] = ACTIONS(2364),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2364),
    [anon_sym_decltype] = ACTIONS(2364),
    [anon_sym_virtual] = ACTIONS(2364),
    [anon_sym_alignas] = ACTIONS(2364),
    [anon_sym_explicit] = ACTIONS(2364),
    [anon_sym_typename] = ACTIONS(2364),
    [anon_sym_template] = ACTIONS(2364),
    [anon_sym_operator] = ACTIONS(2364),
    [anon_sym_try] = ACTIONS(2364),
    [anon_sym_delete] = ACTIONS(2364),
    [anon_sym_throw] = ACTIONS(2364),
    [anon_sym_namespace] = ACTIONS(2364),
    [anon_sym_using] = ACTIONS(2364),
    [anon_sym_static_assert] = ACTIONS(2364),
    [anon_sym_concept] = ACTIONS(2364),
    [anon_sym_co_return] = ACTIONS(2364),
    [anon_sym_co_yield] = ACTIONS(2364),
    [anon_sym_R_DQUOTE] = ACTIONS(2366),
    [anon_sym_LR_DQUOTE] = ACTIONS(2366),
    [anon_sym_uR_DQUOTE] = ACTIONS(2366),
    [anon_sym_UR_DQUOTE] = ACTIONS(2366),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2366),
    [anon_sym_co_await] = ACTIONS(2364),
    [anon_sym_new] = ACTIONS(2364),
    [anon_sym_requires] = ACTIONS(2364),
    [sym_this] = ACTIONS(2364),
    [anon_sym_discard] = ACTIONS(2364),
    [anon_sym_precise] = ACTIONS(2364),
    [anon_sym_shared] = ACTIONS(2364),
    [anon_sym_groupshared] = ACTIONS(2364),
    [anon_sym_uniform] = ACTIONS(2364),
    [anon_sym_row_major] = ACTIONS(2364),
    [anon_sym_column_major] = ACTIONS(2364),
    [anon_sym_globallycoherent] = ACTIONS(2364),
    [anon_sym_centroid] = ACTIONS(2364),
    [anon_sym_noperspective] = ACTIONS(2364),
    [anon_sym_nointerpolation] = ACTIONS(2364),
    [anon_sym_sample] = ACTIONS(2364),
    [anon_sym_linear] = ACTIONS(2364),
    [anon_sym_snorm] = ACTIONS(2364),
    [anon_sym_unorm] = ACTIONS(2364),
    [anon_sym_point] = ACTIONS(2364),
    [anon_sym_line] = ACTIONS(2364),
    [anon_sym_triangleadj] = ACTIONS(2364),
    [anon_sym_lineadj] = ACTIONS(2364),
    [anon_sym_triangle] = ACTIONS(2364),
    [anon_sym_cbuffer] = ACTIONS(2364),
  },
  [917] = {
    [sym_identifier] = ACTIONS(2500),
    [aux_sym_preproc_include_token1] = ACTIONS(2500),
    [aux_sym_preproc_def_token1] = ACTIONS(2500),
    [aux_sym_preproc_if_token1] = ACTIONS(2500),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2500),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2500),
    [sym_preproc_directive] = ACTIONS(2500),
    [anon_sym_LPAREN2] = ACTIONS(2502),
    [anon_sym_BANG] = ACTIONS(2502),
    [anon_sym_TILDE] = ACTIONS(2502),
    [anon_sym_DASH] = ACTIONS(2500),
    [anon_sym_PLUS] = ACTIONS(2500),
    [anon_sym_STAR] = ACTIONS(2502),
    [anon_sym_AMP_AMP] = ACTIONS(2502),
    [anon_sym_AMP] = ACTIONS(2500),
    [anon_sym_SEMI] = ACTIONS(2502),
    [anon_sym___extension__] = ACTIONS(2500),
    [anon_sym_typedef] = ACTIONS(2500),
    [anon_sym_in] = ACTIONS(2500),
    [anon_sym_out] = ACTIONS(2500),
    [anon_sym_inout] = ACTIONS(2500),
    [anon_sym_extern] = ACTIONS(2500),
    [anon_sym___attribute__] = ACTIONS(2500),
    [anon_sym_COLON_COLON] = ACTIONS(2502),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2502),
    [anon_sym___declspec] = ACTIONS(2500),
    [anon_sym___based] = ACTIONS(2500),
    [anon_sym___cdecl] = ACTIONS(2500),
    [anon_sym___clrcall] = ACTIONS(2500),
    [anon_sym___stdcall] = ACTIONS(2500),
    [anon_sym___fastcall] = ACTIONS(2500),
    [anon_sym___thiscall] = ACTIONS(2500),
    [anon_sym___vectorcall] = ACTIONS(2500),
    [anon_sym_LBRACE] = ACTIONS(2502),
    [anon_sym_RBRACE] = ACTIONS(2502),
    [anon_sym_signed] = ACTIONS(2500),
    [anon_sym_unsigned] = ACTIONS(2500),
    [anon_sym_long] = ACTIONS(2500),
    [anon_sym_short] = ACTIONS(2500),
    [anon_sym_LBRACK] = ACTIONS(2500),
    [anon_sym_static] = ACTIONS(2500),
    [anon_sym_register] = ACTIONS(2500),
    [anon_sym_inline] = ACTIONS(2500),
    [anon_sym___inline] = ACTIONS(2500),
    [anon_sym___inline__] = ACTIONS(2500),
    [anon_sym___forceinline] = ACTIONS(2500),
    [anon_sym_thread_local] = ACTIONS(2500),
    [anon_sym___thread] = ACTIONS(2500),
    [anon_sym_const] = ACTIONS(2500),
    [anon_sym_constexpr] = ACTIONS(2500),
    [anon_sym_volatile] = ACTIONS(2500),
    [anon_sym_restrict] = ACTIONS(2500),
    [anon_sym___restrict__] = ACTIONS(2500),
    [anon_sym__Atomic] = ACTIONS(2500),
    [anon_sym__Noreturn] = ACTIONS(2500),
    [anon_sym_noreturn] = ACTIONS(2500),
    [anon_sym_mutable] = ACTIONS(2500),
    [anon_sym_constinit] = ACTIONS(2500),
    [anon_sym_consteval] = ACTIONS(2500),
    [sym_primitive_type] = ACTIONS(2500),
    [anon_sym_enum] = ACTIONS(2500),
    [anon_sym_class] = ACTIONS(2500),
    [anon_sym_struct] = ACTIONS(2500),
    [anon_sym_union] = ACTIONS(2500),
    [anon_sym_if] = ACTIONS(2500),
    [anon_sym_else] = ACTIONS(2500),
    [anon_sym_switch] = ACTIONS(2500),
    [anon_sym_case] = ACTIONS(2500),
    [anon_sym_default] = ACTIONS(2500),
    [anon_sym_while] = ACTIONS(2500),
    [anon_sym_do] = ACTIONS(2500),
    [anon_sym_for] = ACTIONS(2500),
    [anon_sym_return] = ACTIONS(2500),
    [anon_sym_break] = ACTIONS(2500),
    [anon_sym_continue] = ACTIONS(2500),
    [anon_sym_goto] = ACTIONS(2500),
    [anon_sym___try] = ACTIONS(2500),
    [anon_sym___leave] = ACTIONS(2500),
    [anon_sym_not] = ACTIONS(2500),
    [anon_sym_compl] = ACTIONS(2500),
    [anon_sym_DASH_DASH] = ACTIONS(2502),
    [anon_sym_PLUS_PLUS] = ACTIONS(2502),
    [anon_sym_sizeof] = ACTIONS(2500),
    [anon_sym___alignof__] = ACTIONS(2500),
    [anon_sym___alignof] = ACTIONS(2500),
    [anon_sym__alignof] = ACTIONS(2500),
    [anon_sym_alignof] = ACTIONS(2500),
    [anon_sym__Alignof] = ACTIONS(2500),
    [anon_sym_offsetof] = ACTIONS(2500),
    [anon_sym__Generic] = ACTIONS(2500),
    [anon_sym_asm] = ACTIONS(2500),
    [anon_sym___asm__] = ACTIONS(2500),
    [sym_number_literal] = ACTIONS(2502),
    [anon_sym_L_SQUOTE] = ACTIONS(2502),
    [anon_sym_u_SQUOTE] = ACTIONS(2502),
    [anon_sym_U_SQUOTE] = ACTIONS(2502),
    [anon_sym_u8_SQUOTE] = ACTIONS(2502),
    [anon_sym_SQUOTE] = ACTIONS(2502),
    [anon_sym_L_DQUOTE] = ACTIONS(2502),
    [anon_sym_u_DQUOTE] = ACTIONS(2502),
    [anon_sym_U_DQUOTE] = ACTIONS(2502),
    [anon_sym_u8_DQUOTE] = ACTIONS(2502),
    [anon_sym_DQUOTE] = ACTIONS(2502),
    [sym_true] = ACTIONS(2500),
    [sym_false] = ACTIONS(2500),
    [anon_sym_NULL] = ACTIONS(2500),
    [anon_sym_nullptr] = ACTIONS(2500),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2500),
    [anon_sym_decltype] = ACTIONS(2500),
    [anon_sym_virtual] = ACTIONS(2500),
    [anon_sym_alignas] = ACTIONS(2500),
    [anon_sym_explicit] = ACTIONS(2500),
    [anon_sym_typename] = ACTIONS(2500),
    [anon_sym_template] = ACTIONS(2500),
    [anon_sym_operator] = ACTIONS(2500),
    [anon_sym_try] = ACTIONS(2500),
    [anon_sym_delete] = ACTIONS(2500),
    [anon_sym_throw] = ACTIONS(2500),
    [anon_sym_namespace] = ACTIONS(2500),
    [anon_sym_using] = ACTIONS(2500),
    [anon_sym_static_assert] = ACTIONS(2500),
    [anon_sym_concept] = ACTIONS(2500),
    [anon_sym_co_return] = ACTIONS(2500),
    [anon_sym_co_yield] = ACTIONS(2500),
    [anon_sym_R_DQUOTE] = ACTIONS(2502),
    [anon_sym_LR_DQUOTE] = ACTIONS(2502),
    [anon_sym_uR_DQUOTE] = ACTIONS(2502),
    [anon_sym_UR_DQUOTE] = ACTIONS(2502),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2502),
    [anon_sym_co_await] = ACTIONS(2500),
    [anon_sym_new] = ACTIONS(2500),
    [anon_sym_requires] = ACTIONS(2500),
    [sym_this] = ACTIONS(2500),
    [anon_sym_discard] = ACTIONS(2500),
    [anon_sym_precise] = ACTIONS(2500),
    [anon_sym_shared] = ACTIONS(2500),
    [anon_sym_groupshared] = ACTIONS(2500),
    [anon_sym_uniform] = ACTIONS(2500),
    [anon_sym_row_major] = ACTIONS(2500),
    [anon_sym_column_major] = ACTIONS(2500),
    [anon_sym_globallycoherent] = ACTIONS(2500),
    [anon_sym_centroid] = ACTIONS(2500),
    [anon_sym_noperspective] = ACTIONS(2500),
    [anon_sym_nointerpolation] = ACTIONS(2500),
    [anon_sym_sample] = ACTIONS(2500),
    [anon_sym_linear] = ACTIONS(2500),
    [anon_sym_snorm] = ACTIONS(2500),
    [anon_sym_unorm] = ACTIONS(2500),
    [anon_sym_point] = ACTIONS(2500),
    [anon_sym_line] = ACTIONS(2500),
    [anon_sym_triangleadj] = ACTIONS(2500),
    [anon_sym_lineadj] = ACTIONS(2500),
    [anon_sym_triangle] = ACTIONS(2500),
    [anon_sym_cbuffer] = ACTIONS(2500),
  },
  [918] = {
    [sym_identifier] = ACTIONS(2330),
    [aux_sym_preproc_include_token1] = ACTIONS(2330),
    [aux_sym_preproc_def_token1] = ACTIONS(2330),
    [aux_sym_preproc_if_token1] = ACTIONS(2330),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2330),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2330),
    [sym_preproc_directive] = ACTIONS(2330),
    [anon_sym_LPAREN2] = ACTIONS(2332),
    [anon_sym_BANG] = ACTIONS(2332),
    [anon_sym_TILDE] = ACTIONS(2332),
    [anon_sym_DASH] = ACTIONS(2330),
    [anon_sym_PLUS] = ACTIONS(2330),
    [anon_sym_STAR] = ACTIONS(2332),
    [anon_sym_AMP_AMP] = ACTIONS(2332),
    [anon_sym_AMP] = ACTIONS(2330),
    [anon_sym_SEMI] = ACTIONS(2332),
    [anon_sym___extension__] = ACTIONS(2330),
    [anon_sym_typedef] = ACTIONS(2330),
    [anon_sym_in] = ACTIONS(2330),
    [anon_sym_out] = ACTIONS(2330),
    [anon_sym_inout] = ACTIONS(2330),
    [anon_sym_extern] = ACTIONS(2330),
    [anon_sym___attribute__] = ACTIONS(2330),
    [anon_sym_COLON_COLON] = ACTIONS(2332),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2332),
    [anon_sym___declspec] = ACTIONS(2330),
    [anon_sym___based] = ACTIONS(2330),
    [anon_sym___cdecl] = ACTIONS(2330),
    [anon_sym___clrcall] = ACTIONS(2330),
    [anon_sym___stdcall] = ACTIONS(2330),
    [anon_sym___fastcall] = ACTIONS(2330),
    [anon_sym___thiscall] = ACTIONS(2330),
    [anon_sym___vectorcall] = ACTIONS(2330),
    [anon_sym_LBRACE] = ACTIONS(2332),
    [anon_sym_RBRACE] = ACTIONS(2332),
    [anon_sym_signed] = ACTIONS(2330),
    [anon_sym_unsigned] = ACTIONS(2330),
    [anon_sym_long] = ACTIONS(2330),
    [anon_sym_short] = ACTIONS(2330),
    [anon_sym_LBRACK] = ACTIONS(2330),
    [anon_sym_static] = ACTIONS(2330),
    [anon_sym_register] = ACTIONS(2330),
    [anon_sym_inline] = ACTIONS(2330),
    [anon_sym___inline] = ACTIONS(2330),
    [anon_sym___inline__] = ACTIONS(2330),
    [anon_sym___forceinline] = ACTIONS(2330),
    [anon_sym_thread_local] = ACTIONS(2330),
    [anon_sym___thread] = ACTIONS(2330),
    [anon_sym_const] = ACTIONS(2330),
    [anon_sym_constexpr] = ACTIONS(2330),
    [anon_sym_volatile] = ACTIONS(2330),
    [anon_sym_restrict] = ACTIONS(2330),
    [anon_sym___restrict__] = ACTIONS(2330),
    [anon_sym__Atomic] = ACTIONS(2330),
    [anon_sym__Noreturn] = ACTIONS(2330),
    [anon_sym_noreturn] = ACTIONS(2330),
    [anon_sym_mutable] = ACTIONS(2330),
    [anon_sym_constinit] = ACTIONS(2330),
    [anon_sym_consteval] = ACTIONS(2330),
    [sym_primitive_type] = ACTIONS(2330),
    [anon_sym_enum] = ACTIONS(2330),
    [anon_sym_class] = ACTIONS(2330),
    [anon_sym_struct] = ACTIONS(2330),
    [anon_sym_union] = ACTIONS(2330),
    [anon_sym_if] = ACTIONS(2330),
    [anon_sym_else] = ACTIONS(2330),
    [anon_sym_switch] = ACTIONS(2330),
    [anon_sym_case] = ACTIONS(2330),
    [anon_sym_default] = ACTIONS(2330),
    [anon_sym_while] = ACTIONS(2330),
    [anon_sym_do] = ACTIONS(2330),
    [anon_sym_for] = ACTIONS(2330),
    [anon_sym_return] = ACTIONS(2330),
    [anon_sym_break] = ACTIONS(2330),
    [anon_sym_continue] = ACTIONS(2330),
    [anon_sym_goto] = ACTIONS(2330),
    [anon_sym___try] = ACTIONS(2330),
    [anon_sym___leave] = ACTIONS(2330),
    [anon_sym_not] = ACTIONS(2330),
    [anon_sym_compl] = ACTIONS(2330),
    [anon_sym_DASH_DASH] = ACTIONS(2332),
    [anon_sym_PLUS_PLUS] = ACTIONS(2332),
    [anon_sym_sizeof] = ACTIONS(2330),
    [anon_sym___alignof__] = ACTIONS(2330),
    [anon_sym___alignof] = ACTIONS(2330),
    [anon_sym__alignof] = ACTIONS(2330),
    [anon_sym_alignof] = ACTIONS(2330),
    [anon_sym__Alignof] = ACTIONS(2330),
    [anon_sym_offsetof] = ACTIONS(2330),
    [anon_sym__Generic] = ACTIONS(2330),
    [anon_sym_asm] = ACTIONS(2330),
    [anon_sym___asm__] = ACTIONS(2330),
    [sym_number_literal] = ACTIONS(2332),
    [anon_sym_L_SQUOTE] = ACTIONS(2332),
    [anon_sym_u_SQUOTE] = ACTIONS(2332),
    [anon_sym_U_SQUOTE] = ACTIONS(2332),
    [anon_sym_u8_SQUOTE] = ACTIONS(2332),
    [anon_sym_SQUOTE] = ACTIONS(2332),
    [anon_sym_L_DQUOTE] = ACTIONS(2332),
    [anon_sym_u_DQUOTE] = ACTIONS(2332),
    [anon_sym_U_DQUOTE] = ACTIONS(2332),
    [anon_sym_u8_DQUOTE] = ACTIONS(2332),
    [anon_sym_DQUOTE] = ACTIONS(2332),
    [sym_true] = ACTIONS(2330),
    [sym_false] = ACTIONS(2330),
    [anon_sym_NULL] = ACTIONS(2330),
    [anon_sym_nullptr] = ACTIONS(2330),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2330),
    [anon_sym_decltype] = ACTIONS(2330),
    [anon_sym_virtual] = ACTIONS(2330),
    [anon_sym_alignas] = ACTIONS(2330),
    [anon_sym_explicit] = ACTIONS(2330),
    [anon_sym_typename] = ACTIONS(2330),
    [anon_sym_template] = ACTIONS(2330),
    [anon_sym_operator] = ACTIONS(2330),
    [anon_sym_try] = ACTIONS(2330),
    [anon_sym_delete] = ACTIONS(2330),
    [anon_sym_throw] = ACTIONS(2330),
    [anon_sym_namespace] = ACTIONS(2330),
    [anon_sym_using] = ACTIONS(2330),
    [anon_sym_static_assert] = ACTIONS(2330),
    [anon_sym_concept] = ACTIONS(2330),
    [anon_sym_co_return] = ACTIONS(2330),
    [anon_sym_co_yield] = ACTIONS(2330),
    [anon_sym_R_DQUOTE] = ACTIONS(2332),
    [anon_sym_LR_DQUOTE] = ACTIONS(2332),
    [anon_sym_uR_DQUOTE] = ACTIONS(2332),
    [anon_sym_UR_DQUOTE] = ACTIONS(2332),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2332),
    [anon_sym_co_await] = ACTIONS(2330),
    [anon_sym_new] = ACTIONS(2330),
    [anon_sym_requires] = ACTIONS(2330),
    [sym_this] = ACTIONS(2330),
    [anon_sym_discard] = ACTIONS(2330),
    [anon_sym_precise] = ACTIONS(2330),
    [anon_sym_shared] = ACTIONS(2330),
    [anon_sym_groupshared] = ACTIONS(2330),
    [anon_sym_uniform] = ACTIONS(2330),
    [anon_sym_row_major] = ACTIONS(2330),
    [anon_sym_column_major] = ACTIONS(2330),
    [anon_sym_globallycoherent] = ACTIONS(2330),
    [anon_sym_centroid] = ACTIONS(2330),
    [anon_sym_noperspective] = ACTIONS(2330),
    [anon_sym_nointerpolation] = ACTIONS(2330),
    [anon_sym_sample] = ACTIONS(2330),
    [anon_sym_linear] = ACTIONS(2330),
    [anon_sym_snorm] = ACTIONS(2330),
    [anon_sym_unorm] = ACTIONS(2330),
    [anon_sym_point] = ACTIONS(2330),
    [anon_sym_line] = ACTIONS(2330),
    [anon_sym_triangleadj] = ACTIONS(2330),
    [anon_sym_lineadj] = ACTIONS(2330),
    [anon_sym_triangle] = ACTIONS(2330),
    [anon_sym_cbuffer] = ACTIONS(2330),
  },
  [919] = {
    [sym_identifier] = ACTIONS(2330),
    [aux_sym_preproc_include_token1] = ACTIONS(2330),
    [aux_sym_preproc_def_token1] = ACTIONS(2330),
    [aux_sym_preproc_if_token1] = ACTIONS(2330),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2330),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2330),
    [sym_preproc_directive] = ACTIONS(2330),
    [anon_sym_LPAREN2] = ACTIONS(2332),
    [anon_sym_BANG] = ACTIONS(2332),
    [anon_sym_TILDE] = ACTIONS(2332),
    [anon_sym_DASH] = ACTIONS(2330),
    [anon_sym_PLUS] = ACTIONS(2330),
    [anon_sym_STAR] = ACTIONS(2332),
    [anon_sym_AMP_AMP] = ACTIONS(2332),
    [anon_sym_AMP] = ACTIONS(2330),
    [anon_sym_SEMI] = ACTIONS(2332),
    [anon_sym___extension__] = ACTIONS(2330),
    [anon_sym_typedef] = ACTIONS(2330),
    [anon_sym_in] = ACTIONS(2330),
    [anon_sym_out] = ACTIONS(2330),
    [anon_sym_inout] = ACTIONS(2330),
    [anon_sym_extern] = ACTIONS(2330),
    [anon_sym___attribute__] = ACTIONS(2330),
    [anon_sym_COLON_COLON] = ACTIONS(2332),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2332),
    [anon_sym___declspec] = ACTIONS(2330),
    [anon_sym___based] = ACTIONS(2330),
    [anon_sym___cdecl] = ACTIONS(2330),
    [anon_sym___clrcall] = ACTIONS(2330),
    [anon_sym___stdcall] = ACTIONS(2330),
    [anon_sym___fastcall] = ACTIONS(2330),
    [anon_sym___thiscall] = ACTIONS(2330),
    [anon_sym___vectorcall] = ACTIONS(2330),
    [anon_sym_LBRACE] = ACTIONS(2332),
    [anon_sym_RBRACE] = ACTIONS(2332),
    [anon_sym_signed] = ACTIONS(2330),
    [anon_sym_unsigned] = ACTIONS(2330),
    [anon_sym_long] = ACTIONS(2330),
    [anon_sym_short] = ACTIONS(2330),
    [anon_sym_LBRACK] = ACTIONS(2330),
    [anon_sym_static] = ACTIONS(2330),
    [anon_sym_register] = ACTIONS(2330),
    [anon_sym_inline] = ACTIONS(2330),
    [anon_sym___inline] = ACTIONS(2330),
    [anon_sym___inline__] = ACTIONS(2330),
    [anon_sym___forceinline] = ACTIONS(2330),
    [anon_sym_thread_local] = ACTIONS(2330),
    [anon_sym___thread] = ACTIONS(2330),
    [anon_sym_const] = ACTIONS(2330),
    [anon_sym_constexpr] = ACTIONS(2330),
    [anon_sym_volatile] = ACTIONS(2330),
    [anon_sym_restrict] = ACTIONS(2330),
    [anon_sym___restrict__] = ACTIONS(2330),
    [anon_sym__Atomic] = ACTIONS(2330),
    [anon_sym__Noreturn] = ACTIONS(2330),
    [anon_sym_noreturn] = ACTIONS(2330),
    [anon_sym_mutable] = ACTIONS(2330),
    [anon_sym_constinit] = ACTIONS(2330),
    [anon_sym_consteval] = ACTIONS(2330),
    [sym_primitive_type] = ACTIONS(2330),
    [anon_sym_enum] = ACTIONS(2330),
    [anon_sym_class] = ACTIONS(2330),
    [anon_sym_struct] = ACTIONS(2330),
    [anon_sym_union] = ACTIONS(2330),
    [anon_sym_if] = ACTIONS(2330),
    [anon_sym_else] = ACTIONS(2330),
    [anon_sym_switch] = ACTIONS(2330),
    [anon_sym_case] = ACTIONS(2330),
    [anon_sym_default] = ACTIONS(2330),
    [anon_sym_while] = ACTIONS(2330),
    [anon_sym_do] = ACTIONS(2330),
    [anon_sym_for] = ACTIONS(2330),
    [anon_sym_return] = ACTIONS(2330),
    [anon_sym_break] = ACTIONS(2330),
    [anon_sym_continue] = ACTIONS(2330),
    [anon_sym_goto] = ACTIONS(2330),
    [anon_sym___try] = ACTIONS(2330),
    [anon_sym___leave] = ACTIONS(2330),
    [anon_sym_not] = ACTIONS(2330),
    [anon_sym_compl] = ACTIONS(2330),
    [anon_sym_DASH_DASH] = ACTIONS(2332),
    [anon_sym_PLUS_PLUS] = ACTIONS(2332),
    [anon_sym_sizeof] = ACTIONS(2330),
    [anon_sym___alignof__] = ACTIONS(2330),
    [anon_sym___alignof] = ACTIONS(2330),
    [anon_sym__alignof] = ACTIONS(2330),
    [anon_sym_alignof] = ACTIONS(2330),
    [anon_sym__Alignof] = ACTIONS(2330),
    [anon_sym_offsetof] = ACTIONS(2330),
    [anon_sym__Generic] = ACTIONS(2330),
    [anon_sym_asm] = ACTIONS(2330),
    [anon_sym___asm__] = ACTIONS(2330),
    [sym_number_literal] = ACTIONS(2332),
    [anon_sym_L_SQUOTE] = ACTIONS(2332),
    [anon_sym_u_SQUOTE] = ACTIONS(2332),
    [anon_sym_U_SQUOTE] = ACTIONS(2332),
    [anon_sym_u8_SQUOTE] = ACTIONS(2332),
    [anon_sym_SQUOTE] = ACTIONS(2332),
    [anon_sym_L_DQUOTE] = ACTIONS(2332),
    [anon_sym_u_DQUOTE] = ACTIONS(2332),
    [anon_sym_U_DQUOTE] = ACTIONS(2332),
    [anon_sym_u8_DQUOTE] = ACTIONS(2332),
    [anon_sym_DQUOTE] = ACTIONS(2332),
    [sym_true] = ACTIONS(2330),
    [sym_false] = ACTIONS(2330),
    [anon_sym_NULL] = ACTIONS(2330),
    [anon_sym_nullptr] = ACTIONS(2330),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2330),
    [anon_sym_decltype] = ACTIONS(2330),
    [anon_sym_virtual] = ACTIONS(2330),
    [anon_sym_alignas] = ACTIONS(2330),
    [anon_sym_explicit] = ACTIONS(2330),
    [anon_sym_typename] = ACTIONS(2330),
    [anon_sym_template] = ACTIONS(2330),
    [anon_sym_operator] = ACTIONS(2330),
    [anon_sym_try] = ACTIONS(2330),
    [anon_sym_delete] = ACTIONS(2330),
    [anon_sym_throw] = ACTIONS(2330),
    [anon_sym_namespace] = ACTIONS(2330),
    [anon_sym_using] = ACTIONS(2330),
    [anon_sym_static_assert] = ACTIONS(2330),
    [anon_sym_concept] = ACTIONS(2330),
    [anon_sym_co_return] = ACTIONS(2330),
    [anon_sym_co_yield] = ACTIONS(2330),
    [anon_sym_R_DQUOTE] = ACTIONS(2332),
    [anon_sym_LR_DQUOTE] = ACTIONS(2332),
    [anon_sym_uR_DQUOTE] = ACTIONS(2332),
    [anon_sym_UR_DQUOTE] = ACTIONS(2332),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2332),
    [anon_sym_co_await] = ACTIONS(2330),
    [anon_sym_new] = ACTIONS(2330),
    [anon_sym_requires] = ACTIONS(2330),
    [sym_this] = ACTIONS(2330),
    [anon_sym_discard] = ACTIONS(2330),
    [anon_sym_precise] = ACTIONS(2330),
    [anon_sym_shared] = ACTIONS(2330),
    [anon_sym_groupshared] = ACTIONS(2330),
    [anon_sym_uniform] = ACTIONS(2330),
    [anon_sym_row_major] = ACTIONS(2330),
    [anon_sym_column_major] = ACTIONS(2330),
    [anon_sym_globallycoherent] = ACTIONS(2330),
    [anon_sym_centroid] = ACTIONS(2330),
    [anon_sym_noperspective] = ACTIONS(2330),
    [anon_sym_nointerpolation] = ACTIONS(2330),
    [anon_sym_sample] = ACTIONS(2330),
    [anon_sym_linear] = ACTIONS(2330),
    [anon_sym_snorm] = ACTIONS(2330),
    [anon_sym_unorm] = ACTIONS(2330),
    [anon_sym_point] = ACTIONS(2330),
    [anon_sym_line] = ACTIONS(2330),
    [anon_sym_triangleadj] = ACTIONS(2330),
    [anon_sym_lineadj] = ACTIONS(2330),
    [anon_sym_triangle] = ACTIONS(2330),
    [anon_sym_cbuffer] = ACTIONS(2330),
  },
  [920] = {
    [sym_identifier] = ACTIONS(2330),
    [aux_sym_preproc_include_token1] = ACTIONS(2330),
    [aux_sym_preproc_def_token1] = ACTIONS(2330),
    [aux_sym_preproc_if_token1] = ACTIONS(2330),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2330),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2330),
    [sym_preproc_directive] = ACTIONS(2330),
    [anon_sym_LPAREN2] = ACTIONS(2332),
    [anon_sym_BANG] = ACTIONS(2332),
    [anon_sym_TILDE] = ACTIONS(2332),
    [anon_sym_DASH] = ACTIONS(2330),
    [anon_sym_PLUS] = ACTIONS(2330),
    [anon_sym_STAR] = ACTIONS(2332),
    [anon_sym_AMP_AMP] = ACTIONS(2332),
    [anon_sym_AMP] = ACTIONS(2330),
    [anon_sym_SEMI] = ACTIONS(2332),
    [anon_sym___extension__] = ACTIONS(2330),
    [anon_sym_typedef] = ACTIONS(2330),
    [anon_sym_in] = ACTIONS(2330),
    [anon_sym_out] = ACTIONS(2330),
    [anon_sym_inout] = ACTIONS(2330),
    [anon_sym_extern] = ACTIONS(2330),
    [anon_sym___attribute__] = ACTIONS(2330),
    [anon_sym_COLON_COLON] = ACTIONS(2332),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2332),
    [anon_sym___declspec] = ACTIONS(2330),
    [anon_sym___based] = ACTIONS(2330),
    [anon_sym___cdecl] = ACTIONS(2330),
    [anon_sym___clrcall] = ACTIONS(2330),
    [anon_sym___stdcall] = ACTIONS(2330),
    [anon_sym___fastcall] = ACTIONS(2330),
    [anon_sym___thiscall] = ACTIONS(2330),
    [anon_sym___vectorcall] = ACTIONS(2330),
    [anon_sym_LBRACE] = ACTIONS(2332),
    [anon_sym_RBRACE] = ACTIONS(2332),
    [anon_sym_signed] = ACTIONS(2330),
    [anon_sym_unsigned] = ACTIONS(2330),
    [anon_sym_long] = ACTIONS(2330),
    [anon_sym_short] = ACTIONS(2330),
    [anon_sym_LBRACK] = ACTIONS(2330),
    [anon_sym_static] = ACTIONS(2330),
    [anon_sym_register] = ACTIONS(2330),
    [anon_sym_inline] = ACTIONS(2330),
    [anon_sym___inline] = ACTIONS(2330),
    [anon_sym___inline__] = ACTIONS(2330),
    [anon_sym___forceinline] = ACTIONS(2330),
    [anon_sym_thread_local] = ACTIONS(2330),
    [anon_sym___thread] = ACTIONS(2330),
    [anon_sym_const] = ACTIONS(2330),
    [anon_sym_constexpr] = ACTIONS(2330),
    [anon_sym_volatile] = ACTIONS(2330),
    [anon_sym_restrict] = ACTIONS(2330),
    [anon_sym___restrict__] = ACTIONS(2330),
    [anon_sym__Atomic] = ACTIONS(2330),
    [anon_sym__Noreturn] = ACTIONS(2330),
    [anon_sym_noreturn] = ACTIONS(2330),
    [anon_sym_mutable] = ACTIONS(2330),
    [anon_sym_constinit] = ACTIONS(2330),
    [anon_sym_consteval] = ACTIONS(2330),
    [sym_primitive_type] = ACTIONS(2330),
    [anon_sym_enum] = ACTIONS(2330),
    [anon_sym_class] = ACTIONS(2330),
    [anon_sym_struct] = ACTIONS(2330),
    [anon_sym_union] = ACTIONS(2330),
    [anon_sym_if] = ACTIONS(2330),
    [anon_sym_else] = ACTIONS(2330),
    [anon_sym_switch] = ACTIONS(2330),
    [anon_sym_case] = ACTIONS(2330),
    [anon_sym_default] = ACTIONS(2330),
    [anon_sym_while] = ACTIONS(2330),
    [anon_sym_do] = ACTIONS(2330),
    [anon_sym_for] = ACTIONS(2330),
    [anon_sym_return] = ACTIONS(2330),
    [anon_sym_break] = ACTIONS(2330),
    [anon_sym_continue] = ACTIONS(2330),
    [anon_sym_goto] = ACTIONS(2330),
    [anon_sym___try] = ACTIONS(2330),
    [anon_sym___leave] = ACTIONS(2330),
    [anon_sym_not] = ACTIONS(2330),
    [anon_sym_compl] = ACTIONS(2330),
    [anon_sym_DASH_DASH] = ACTIONS(2332),
    [anon_sym_PLUS_PLUS] = ACTIONS(2332),
    [anon_sym_sizeof] = ACTIONS(2330),
    [anon_sym___alignof__] = ACTIONS(2330),
    [anon_sym___alignof] = ACTIONS(2330),
    [anon_sym__alignof] = ACTIONS(2330),
    [anon_sym_alignof] = ACTIONS(2330),
    [anon_sym__Alignof] = ACTIONS(2330),
    [anon_sym_offsetof] = ACTIONS(2330),
    [anon_sym__Generic] = ACTIONS(2330),
    [anon_sym_asm] = ACTIONS(2330),
    [anon_sym___asm__] = ACTIONS(2330),
    [sym_number_literal] = ACTIONS(2332),
    [anon_sym_L_SQUOTE] = ACTIONS(2332),
    [anon_sym_u_SQUOTE] = ACTIONS(2332),
    [anon_sym_U_SQUOTE] = ACTIONS(2332),
    [anon_sym_u8_SQUOTE] = ACTIONS(2332),
    [anon_sym_SQUOTE] = ACTIONS(2332),
    [anon_sym_L_DQUOTE] = ACTIONS(2332),
    [anon_sym_u_DQUOTE] = ACTIONS(2332),
    [anon_sym_U_DQUOTE] = ACTIONS(2332),
    [anon_sym_u8_DQUOTE] = ACTIONS(2332),
    [anon_sym_DQUOTE] = ACTIONS(2332),
    [sym_true] = ACTIONS(2330),
    [sym_false] = ACTIONS(2330),
    [anon_sym_NULL] = ACTIONS(2330),
    [anon_sym_nullptr] = ACTIONS(2330),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2330),
    [anon_sym_decltype] = ACTIONS(2330),
    [anon_sym_virtual] = ACTIONS(2330),
    [anon_sym_alignas] = ACTIONS(2330),
    [anon_sym_explicit] = ACTIONS(2330),
    [anon_sym_typename] = ACTIONS(2330),
    [anon_sym_template] = ACTIONS(2330),
    [anon_sym_operator] = ACTIONS(2330),
    [anon_sym_try] = ACTIONS(2330),
    [anon_sym_delete] = ACTIONS(2330),
    [anon_sym_throw] = ACTIONS(2330),
    [anon_sym_namespace] = ACTIONS(2330),
    [anon_sym_using] = ACTIONS(2330),
    [anon_sym_static_assert] = ACTIONS(2330),
    [anon_sym_concept] = ACTIONS(2330),
    [anon_sym_co_return] = ACTIONS(2330),
    [anon_sym_co_yield] = ACTIONS(2330),
    [anon_sym_R_DQUOTE] = ACTIONS(2332),
    [anon_sym_LR_DQUOTE] = ACTIONS(2332),
    [anon_sym_uR_DQUOTE] = ACTIONS(2332),
    [anon_sym_UR_DQUOTE] = ACTIONS(2332),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2332),
    [anon_sym_co_await] = ACTIONS(2330),
    [anon_sym_new] = ACTIONS(2330),
    [anon_sym_requires] = ACTIONS(2330),
    [sym_this] = ACTIONS(2330),
    [anon_sym_discard] = ACTIONS(2330),
    [anon_sym_precise] = ACTIONS(2330),
    [anon_sym_shared] = ACTIONS(2330),
    [anon_sym_groupshared] = ACTIONS(2330),
    [anon_sym_uniform] = ACTIONS(2330),
    [anon_sym_row_major] = ACTIONS(2330),
    [anon_sym_column_major] = ACTIONS(2330),
    [anon_sym_globallycoherent] = ACTIONS(2330),
    [anon_sym_centroid] = ACTIONS(2330),
    [anon_sym_noperspective] = ACTIONS(2330),
    [anon_sym_nointerpolation] = ACTIONS(2330),
    [anon_sym_sample] = ACTIONS(2330),
    [anon_sym_linear] = ACTIONS(2330),
    [anon_sym_snorm] = ACTIONS(2330),
    [anon_sym_unorm] = ACTIONS(2330),
    [anon_sym_point] = ACTIONS(2330),
    [anon_sym_line] = ACTIONS(2330),
    [anon_sym_triangleadj] = ACTIONS(2330),
    [anon_sym_lineadj] = ACTIONS(2330),
    [anon_sym_triangle] = ACTIONS(2330),
    [anon_sym_cbuffer] = ACTIONS(2330),
  },
  [921] = {
    [sym_identifier] = ACTIONS(2364),
    [aux_sym_preproc_include_token1] = ACTIONS(2364),
    [aux_sym_preproc_def_token1] = ACTIONS(2364),
    [aux_sym_preproc_if_token1] = ACTIONS(2364),
    [aux_sym_preproc_if_token2] = ACTIONS(2364),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2364),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2364),
    [sym_preproc_directive] = ACTIONS(2364),
    [anon_sym_LPAREN2] = ACTIONS(2366),
    [anon_sym_BANG] = ACTIONS(2366),
    [anon_sym_TILDE] = ACTIONS(2366),
    [anon_sym_DASH] = ACTIONS(2364),
    [anon_sym_PLUS] = ACTIONS(2364),
    [anon_sym_STAR] = ACTIONS(2366),
    [anon_sym_AMP_AMP] = ACTIONS(2366),
    [anon_sym_AMP] = ACTIONS(2364),
    [anon_sym_SEMI] = ACTIONS(2366),
    [anon_sym___extension__] = ACTIONS(2364),
    [anon_sym_typedef] = ACTIONS(2364),
    [anon_sym_in] = ACTIONS(2364),
    [anon_sym_out] = ACTIONS(2364),
    [anon_sym_inout] = ACTIONS(2364),
    [anon_sym_extern] = ACTIONS(2364),
    [anon_sym___attribute__] = ACTIONS(2364),
    [anon_sym_COLON_COLON] = ACTIONS(2366),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2366),
    [anon_sym___declspec] = ACTIONS(2364),
    [anon_sym___based] = ACTIONS(2364),
    [anon_sym___cdecl] = ACTIONS(2364),
    [anon_sym___clrcall] = ACTIONS(2364),
    [anon_sym___stdcall] = ACTIONS(2364),
    [anon_sym___fastcall] = ACTIONS(2364),
    [anon_sym___thiscall] = ACTIONS(2364),
    [anon_sym___vectorcall] = ACTIONS(2364),
    [anon_sym_LBRACE] = ACTIONS(2366),
    [anon_sym_signed] = ACTIONS(2364),
    [anon_sym_unsigned] = ACTIONS(2364),
    [anon_sym_long] = ACTIONS(2364),
    [anon_sym_short] = ACTIONS(2364),
    [anon_sym_LBRACK] = ACTIONS(2364),
    [anon_sym_static] = ACTIONS(2364),
    [anon_sym_register] = ACTIONS(2364),
    [anon_sym_inline] = ACTIONS(2364),
    [anon_sym___inline] = ACTIONS(2364),
    [anon_sym___inline__] = ACTIONS(2364),
    [anon_sym___forceinline] = ACTIONS(2364),
    [anon_sym_thread_local] = ACTIONS(2364),
    [anon_sym___thread] = ACTIONS(2364),
    [anon_sym_const] = ACTIONS(2364),
    [anon_sym_constexpr] = ACTIONS(2364),
    [anon_sym_volatile] = ACTIONS(2364),
    [anon_sym_restrict] = ACTIONS(2364),
    [anon_sym___restrict__] = ACTIONS(2364),
    [anon_sym__Atomic] = ACTIONS(2364),
    [anon_sym__Noreturn] = ACTIONS(2364),
    [anon_sym_noreturn] = ACTIONS(2364),
    [anon_sym_mutable] = ACTIONS(2364),
    [anon_sym_constinit] = ACTIONS(2364),
    [anon_sym_consteval] = ACTIONS(2364),
    [sym_primitive_type] = ACTIONS(2364),
    [anon_sym_enum] = ACTIONS(2364),
    [anon_sym_class] = ACTIONS(2364),
    [anon_sym_struct] = ACTIONS(2364),
    [anon_sym_union] = ACTIONS(2364),
    [anon_sym_if] = ACTIONS(2364),
    [anon_sym_else] = ACTIONS(2364),
    [anon_sym_switch] = ACTIONS(2364),
    [anon_sym_case] = ACTIONS(2364),
    [anon_sym_default] = ACTIONS(2364),
    [anon_sym_while] = ACTIONS(2364),
    [anon_sym_do] = ACTIONS(2364),
    [anon_sym_for] = ACTIONS(2364),
    [anon_sym_return] = ACTIONS(2364),
    [anon_sym_break] = ACTIONS(2364),
    [anon_sym_continue] = ACTIONS(2364),
    [anon_sym_goto] = ACTIONS(2364),
    [anon_sym___try] = ACTIONS(2364),
    [anon_sym___leave] = ACTIONS(2364),
    [anon_sym_not] = ACTIONS(2364),
    [anon_sym_compl] = ACTIONS(2364),
    [anon_sym_DASH_DASH] = ACTIONS(2366),
    [anon_sym_PLUS_PLUS] = ACTIONS(2366),
    [anon_sym_sizeof] = ACTIONS(2364),
    [anon_sym___alignof__] = ACTIONS(2364),
    [anon_sym___alignof] = ACTIONS(2364),
    [anon_sym__alignof] = ACTIONS(2364),
    [anon_sym_alignof] = ACTIONS(2364),
    [anon_sym__Alignof] = ACTIONS(2364),
    [anon_sym_offsetof] = ACTIONS(2364),
    [anon_sym__Generic] = ACTIONS(2364),
    [anon_sym_asm] = ACTIONS(2364),
    [anon_sym___asm__] = ACTIONS(2364),
    [sym_number_literal] = ACTIONS(2366),
    [anon_sym_L_SQUOTE] = ACTIONS(2366),
    [anon_sym_u_SQUOTE] = ACTIONS(2366),
    [anon_sym_U_SQUOTE] = ACTIONS(2366),
    [anon_sym_u8_SQUOTE] = ACTIONS(2366),
    [anon_sym_SQUOTE] = ACTIONS(2366),
    [anon_sym_L_DQUOTE] = ACTIONS(2366),
    [anon_sym_u_DQUOTE] = ACTIONS(2366),
    [anon_sym_U_DQUOTE] = ACTIONS(2366),
    [anon_sym_u8_DQUOTE] = ACTIONS(2366),
    [anon_sym_DQUOTE] = ACTIONS(2366),
    [sym_true] = ACTIONS(2364),
    [sym_false] = ACTIONS(2364),
    [anon_sym_NULL] = ACTIONS(2364),
    [anon_sym_nullptr] = ACTIONS(2364),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2364),
    [anon_sym_decltype] = ACTIONS(2364),
    [anon_sym_virtual] = ACTIONS(2364),
    [anon_sym_alignas] = ACTIONS(2364),
    [anon_sym_explicit] = ACTIONS(2364),
    [anon_sym_typename] = ACTIONS(2364),
    [anon_sym_template] = ACTIONS(2364),
    [anon_sym_operator] = ACTIONS(2364),
    [anon_sym_try] = ACTIONS(2364),
    [anon_sym_delete] = ACTIONS(2364),
    [anon_sym_throw] = ACTIONS(2364),
    [anon_sym_namespace] = ACTIONS(2364),
    [anon_sym_using] = ACTIONS(2364),
    [anon_sym_static_assert] = ACTIONS(2364),
    [anon_sym_concept] = ACTIONS(2364),
    [anon_sym_co_return] = ACTIONS(2364),
    [anon_sym_co_yield] = ACTIONS(2364),
    [anon_sym_R_DQUOTE] = ACTIONS(2366),
    [anon_sym_LR_DQUOTE] = ACTIONS(2366),
    [anon_sym_uR_DQUOTE] = ACTIONS(2366),
    [anon_sym_UR_DQUOTE] = ACTIONS(2366),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2366),
    [anon_sym_co_await] = ACTIONS(2364),
    [anon_sym_new] = ACTIONS(2364),
    [anon_sym_requires] = ACTIONS(2364),
    [sym_this] = ACTIONS(2364),
    [anon_sym_discard] = ACTIONS(2364),
    [anon_sym_precise] = ACTIONS(2364),
    [anon_sym_shared] = ACTIONS(2364),
    [anon_sym_groupshared] = ACTIONS(2364),
    [anon_sym_uniform] = ACTIONS(2364),
    [anon_sym_row_major] = ACTIONS(2364),
    [anon_sym_column_major] = ACTIONS(2364),
    [anon_sym_globallycoherent] = ACTIONS(2364),
    [anon_sym_centroid] = ACTIONS(2364),
    [anon_sym_noperspective] = ACTIONS(2364),
    [anon_sym_nointerpolation] = ACTIONS(2364),
    [anon_sym_sample] = ACTIONS(2364),
    [anon_sym_linear] = ACTIONS(2364),
    [anon_sym_snorm] = ACTIONS(2364),
    [anon_sym_unorm] = ACTIONS(2364),
    [anon_sym_point] = ACTIONS(2364),
    [anon_sym_line] = ACTIONS(2364),
    [anon_sym_triangleadj] = ACTIONS(2364),
    [anon_sym_lineadj] = ACTIONS(2364),
    [anon_sym_triangle] = ACTIONS(2364),
    [anon_sym_cbuffer] = ACTIONS(2364),
  },
  [922] = {
    [ts_builtin_sym_end] = ACTIONS(2430),
    [sym_identifier] = ACTIONS(2428),
    [aux_sym_preproc_include_token1] = ACTIONS(2428),
    [aux_sym_preproc_def_token1] = ACTIONS(2428),
    [aux_sym_preproc_if_token1] = ACTIONS(2428),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2428),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2428),
    [sym_preproc_directive] = ACTIONS(2428),
    [anon_sym_LPAREN2] = ACTIONS(2430),
    [anon_sym_BANG] = ACTIONS(2430),
    [anon_sym_TILDE] = ACTIONS(2430),
    [anon_sym_DASH] = ACTIONS(2428),
    [anon_sym_PLUS] = ACTIONS(2428),
    [anon_sym_STAR] = ACTIONS(2430),
    [anon_sym_AMP_AMP] = ACTIONS(2430),
    [anon_sym_AMP] = ACTIONS(2428),
    [anon_sym_SEMI] = ACTIONS(2430),
    [anon_sym___extension__] = ACTIONS(2428),
    [anon_sym_typedef] = ACTIONS(2428),
    [anon_sym_in] = ACTIONS(2428),
    [anon_sym_out] = ACTIONS(2428),
    [anon_sym_inout] = ACTIONS(2428),
    [anon_sym_extern] = ACTIONS(2428),
    [anon_sym___attribute__] = ACTIONS(2428),
    [anon_sym_COLON_COLON] = ACTIONS(2430),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2430),
    [anon_sym___declspec] = ACTIONS(2428),
    [anon_sym___based] = ACTIONS(2428),
    [anon_sym___cdecl] = ACTIONS(2428),
    [anon_sym___clrcall] = ACTIONS(2428),
    [anon_sym___stdcall] = ACTIONS(2428),
    [anon_sym___fastcall] = ACTIONS(2428),
    [anon_sym___thiscall] = ACTIONS(2428),
    [anon_sym___vectorcall] = ACTIONS(2428),
    [anon_sym_LBRACE] = ACTIONS(2430),
    [anon_sym_signed] = ACTIONS(2428),
    [anon_sym_unsigned] = ACTIONS(2428),
    [anon_sym_long] = ACTIONS(2428),
    [anon_sym_short] = ACTIONS(2428),
    [anon_sym_LBRACK] = ACTIONS(2428),
    [anon_sym_static] = ACTIONS(2428),
    [anon_sym_register] = ACTIONS(2428),
    [anon_sym_inline] = ACTIONS(2428),
    [anon_sym___inline] = ACTIONS(2428),
    [anon_sym___inline__] = ACTIONS(2428),
    [anon_sym___forceinline] = ACTIONS(2428),
    [anon_sym_thread_local] = ACTIONS(2428),
    [anon_sym___thread] = ACTIONS(2428),
    [anon_sym_const] = ACTIONS(2428),
    [anon_sym_constexpr] = ACTIONS(2428),
    [anon_sym_volatile] = ACTIONS(2428),
    [anon_sym_restrict] = ACTIONS(2428),
    [anon_sym___restrict__] = ACTIONS(2428),
    [anon_sym__Atomic] = ACTIONS(2428),
    [anon_sym__Noreturn] = ACTIONS(2428),
    [anon_sym_noreturn] = ACTIONS(2428),
    [anon_sym_mutable] = ACTIONS(2428),
    [anon_sym_constinit] = ACTIONS(2428),
    [anon_sym_consteval] = ACTIONS(2428),
    [sym_primitive_type] = ACTIONS(2428),
    [anon_sym_enum] = ACTIONS(2428),
    [anon_sym_class] = ACTIONS(2428),
    [anon_sym_struct] = ACTIONS(2428),
    [anon_sym_union] = ACTIONS(2428),
    [anon_sym_if] = ACTIONS(2428),
    [anon_sym_else] = ACTIONS(2428),
    [anon_sym_switch] = ACTIONS(2428),
    [anon_sym_case] = ACTIONS(2428),
    [anon_sym_default] = ACTIONS(2428),
    [anon_sym_while] = ACTIONS(2428),
    [anon_sym_do] = ACTIONS(2428),
    [anon_sym_for] = ACTIONS(2428),
    [anon_sym_return] = ACTIONS(2428),
    [anon_sym_break] = ACTIONS(2428),
    [anon_sym_continue] = ACTIONS(2428),
    [anon_sym_goto] = ACTIONS(2428),
    [anon_sym___try] = ACTIONS(2428),
    [anon_sym___leave] = ACTIONS(2428),
    [anon_sym_not] = ACTIONS(2428),
    [anon_sym_compl] = ACTIONS(2428),
    [anon_sym_DASH_DASH] = ACTIONS(2430),
    [anon_sym_PLUS_PLUS] = ACTIONS(2430),
    [anon_sym_sizeof] = ACTIONS(2428),
    [anon_sym___alignof__] = ACTIONS(2428),
    [anon_sym___alignof] = ACTIONS(2428),
    [anon_sym__alignof] = ACTIONS(2428),
    [anon_sym_alignof] = ACTIONS(2428),
    [anon_sym__Alignof] = ACTIONS(2428),
    [anon_sym_offsetof] = ACTIONS(2428),
    [anon_sym__Generic] = ACTIONS(2428),
    [anon_sym_asm] = ACTIONS(2428),
    [anon_sym___asm__] = ACTIONS(2428),
    [sym_number_literal] = ACTIONS(2430),
    [anon_sym_L_SQUOTE] = ACTIONS(2430),
    [anon_sym_u_SQUOTE] = ACTIONS(2430),
    [anon_sym_U_SQUOTE] = ACTIONS(2430),
    [anon_sym_u8_SQUOTE] = ACTIONS(2430),
    [anon_sym_SQUOTE] = ACTIONS(2430),
    [anon_sym_L_DQUOTE] = ACTIONS(2430),
    [anon_sym_u_DQUOTE] = ACTIONS(2430),
    [anon_sym_U_DQUOTE] = ACTIONS(2430),
    [anon_sym_u8_DQUOTE] = ACTIONS(2430),
    [anon_sym_DQUOTE] = ACTIONS(2430),
    [sym_true] = ACTIONS(2428),
    [sym_false] = ACTIONS(2428),
    [anon_sym_NULL] = ACTIONS(2428),
    [anon_sym_nullptr] = ACTIONS(2428),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2428),
    [anon_sym_decltype] = ACTIONS(2428),
    [anon_sym_virtual] = ACTIONS(2428),
    [anon_sym_alignas] = ACTIONS(2428),
    [anon_sym_explicit] = ACTIONS(2428),
    [anon_sym_typename] = ACTIONS(2428),
    [anon_sym_template] = ACTIONS(2428),
    [anon_sym_operator] = ACTIONS(2428),
    [anon_sym_try] = ACTIONS(2428),
    [anon_sym_delete] = ACTIONS(2428),
    [anon_sym_throw] = ACTIONS(2428),
    [anon_sym_namespace] = ACTIONS(2428),
    [anon_sym_using] = ACTIONS(2428),
    [anon_sym_static_assert] = ACTIONS(2428),
    [anon_sym_concept] = ACTIONS(2428),
    [anon_sym_co_return] = ACTIONS(2428),
    [anon_sym_co_yield] = ACTIONS(2428),
    [anon_sym_R_DQUOTE] = ACTIONS(2430),
    [anon_sym_LR_DQUOTE] = ACTIONS(2430),
    [anon_sym_uR_DQUOTE] = ACTIONS(2430),
    [anon_sym_UR_DQUOTE] = ACTIONS(2430),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2430),
    [anon_sym_co_await] = ACTIONS(2428),
    [anon_sym_new] = ACTIONS(2428),
    [anon_sym_requires] = ACTIONS(2428),
    [sym_this] = ACTIONS(2428),
    [anon_sym_discard] = ACTIONS(2428),
    [anon_sym_precise] = ACTIONS(2428),
    [anon_sym_shared] = ACTIONS(2428),
    [anon_sym_groupshared] = ACTIONS(2428),
    [anon_sym_uniform] = ACTIONS(2428),
    [anon_sym_row_major] = ACTIONS(2428),
    [anon_sym_column_major] = ACTIONS(2428),
    [anon_sym_globallycoherent] = ACTIONS(2428),
    [anon_sym_centroid] = ACTIONS(2428),
    [anon_sym_noperspective] = ACTIONS(2428),
    [anon_sym_nointerpolation] = ACTIONS(2428),
    [anon_sym_sample] = ACTIONS(2428),
    [anon_sym_linear] = ACTIONS(2428),
    [anon_sym_snorm] = ACTIONS(2428),
    [anon_sym_unorm] = ACTIONS(2428),
    [anon_sym_point] = ACTIONS(2428),
    [anon_sym_line] = ACTIONS(2428),
    [anon_sym_triangleadj] = ACTIONS(2428),
    [anon_sym_lineadj] = ACTIONS(2428),
    [anon_sym_triangle] = ACTIONS(2428),
    [anon_sym_cbuffer] = ACTIONS(2428),
  },
  [923] = {
    [ts_builtin_sym_end] = ACTIONS(2426),
    [sym_identifier] = ACTIONS(2424),
    [aux_sym_preproc_include_token1] = ACTIONS(2424),
    [aux_sym_preproc_def_token1] = ACTIONS(2424),
    [aux_sym_preproc_if_token1] = ACTIONS(2424),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2424),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2424),
    [sym_preproc_directive] = ACTIONS(2424),
    [anon_sym_LPAREN2] = ACTIONS(2426),
    [anon_sym_BANG] = ACTIONS(2426),
    [anon_sym_TILDE] = ACTIONS(2426),
    [anon_sym_DASH] = ACTIONS(2424),
    [anon_sym_PLUS] = ACTIONS(2424),
    [anon_sym_STAR] = ACTIONS(2426),
    [anon_sym_AMP_AMP] = ACTIONS(2426),
    [anon_sym_AMP] = ACTIONS(2424),
    [anon_sym_SEMI] = ACTIONS(2426),
    [anon_sym___extension__] = ACTIONS(2424),
    [anon_sym_typedef] = ACTIONS(2424),
    [anon_sym_in] = ACTIONS(2424),
    [anon_sym_out] = ACTIONS(2424),
    [anon_sym_inout] = ACTIONS(2424),
    [anon_sym_extern] = ACTIONS(2424),
    [anon_sym___attribute__] = ACTIONS(2424),
    [anon_sym_COLON_COLON] = ACTIONS(2426),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2426),
    [anon_sym___declspec] = ACTIONS(2424),
    [anon_sym___based] = ACTIONS(2424),
    [anon_sym___cdecl] = ACTIONS(2424),
    [anon_sym___clrcall] = ACTIONS(2424),
    [anon_sym___stdcall] = ACTIONS(2424),
    [anon_sym___fastcall] = ACTIONS(2424),
    [anon_sym___thiscall] = ACTIONS(2424),
    [anon_sym___vectorcall] = ACTIONS(2424),
    [anon_sym_LBRACE] = ACTIONS(2426),
    [anon_sym_signed] = ACTIONS(2424),
    [anon_sym_unsigned] = ACTIONS(2424),
    [anon_sym_long] = ACTIONS(2424),
    [anon_sym_short] = ACTIONS(2424),
    [anon_sym_LBRACK] = ACTIONS(2424),
    [anon_sym_static] = ACTIONS(2424),
    [anon_sym_register] = ACTIONS(2424),
    [anon_sym_inline] = ACTIONS(2424),
    [anon_sym___inline] = ACTIONS(2424),
    [anon_sym___inline__] = ACTIONS(2424),
    [anon_sym___forceinline] = ACTIONS(2424),
    [anon_sym_thread_local] = ACTIONS(2424),
    [anon_sym___thread] = ACTIONS(2424),
    [anon_sym_const] = ACTIONS(2424),
    [anon_sym_constexpr] = ACTIONS(2424),
    [anon_sym_volatile] = ACTIONS(2424),
    [anon_sym_restrict] = ACTIONS(2424),
    [anon_sym___restrict__] = ACTIONS(2424),
    [anon_sym__Atomic] = ACTIONS(2424),
    [anon_sym__Noreturn] = ACTIONS(2424),
    [anon_sym_noreturn] = ACTIONS(2424),
    [anon_sym_mutable] = ACTIONS(2424),
    [anon_sym_constinit] = ACTIONS(2424),
    [anon_sym_consteval] = ACTIONS(2424),
    [sym_primitive_type] = ACTIONS(2424),
    [anon_sym_enum] = ACTIONS(2424),
    [anon_sym_class] = ACTIONS(2424),
    [anon_sym_struct] = ACTIONS(2424),
    [anon_sym_union] = ACTIONS(2424),
    [anon_sym_if] = ACTIONS(2424),
    [anon_sym_else] = ACTIONS(2424),
    [anon_sym_switch] = ACTIONS(2424),
    [anon_sym_case] = ACTIONS(2424),
    [anon_sym_default] = ACTIONS(2424),
    [anon_sym_while] = ACTIONS(2424),
    [anon_sym_do] = ACTIONS(2424),
    [anon_sym_for] = ACTIONS(2424),
    [anon_sym_return] = ACTIONS(2424),
    [anon_sym_break] = ACTIONS(2424),
    [anon_sym_continue] = ACTIONS(2424),
    [anon_sym_goto] = ACTIONS(2424),
    [anon_sym___try] = ACTIONS(2424),
    [anon_sym___leave] = ACTIONS(2424),
    [anon_sym_not] = ACTIONS(2424),
    [anon_sym_compl] = ACTIONS(2424),
    [anon_sym_DASH_DASH] = ACTIONS(2426),
    [anon_sym_PLUS_PLUS] = ACTIONS(2426),
    [anon_sym_sizeof] = ACTIONS(2424),
    [anon_sym___alignof__] = ACTIONS(2424),
    [anon_sym___alignof] = ACTIONS(2424),
    [anon_sym__alignof] = ACTIONS(2424),
    [anon_sym_alignof] = ACTIONS(2424),
    [anon_sym__Alignof] = ACTIONS(2424),
    [anon_sym_offsetof] = ACTIONS(2424),
    [anon_sym__Generic] = ACTIONS(2424),
    [anon_sym_asm] = ACTIONS(2424),
    [anon_sym___asm__] = ACTIONS(2424),
    [sym_number_literal] = ACTIONS(2426),
    [anon_sym_L_SQUOTE] = ACTIONS(2426),
    [anon_sym_u_SQUOTE] = ACTIONS(2426),
    [anon_sym_U_SQUOTE] = ACTIONS(2426),
    [anon_sym_u8_SQUOTE] = ACTIONS(2426),
    [anon_sym_SQUOTE] = ACTIONS(2426),
    [anon_sym_L_DQUOTE] = ACTIONS(2426),
    [anon_sym_u_DQUOTE] = ACTIONS(2426),
    [anon_sym_U_DQUOTE] = ACTIONS(2426),
    [anon_sym_u8_DQUOTE] = ACTIONS(2426),
    [anon_sym_DQUOTE] = ACTIONS(2426),
    [sym_true] = ACTIONS(2424),
    [sym_false] = ACTIONS(2424),
    [anon_sym_NULL] = ACTIONS(2424),
    [anon_sym_nullptr] = ACTIONS(2424),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2424),
    [anon_sym_decltype] = ACTIONS(2424),
    [anon_sym_virtual] = ACTIONS(2424),
    [anon_sym_alignas] = ACTIONS(2424),
    [anon_sym_explicit] = ACTIONS(2424),
    [anon_sym_typename] = ACTIONS(2424),
    [anon_sym_template] = ACTIONS(2424),
    [anon_sym_operator] = ACTIONS(2424),
    [anon_sym_try] = ACTIONS(2424),
    [anon_sym_delete] = ACTIONS(2424),
    [anon_sym_throw] = ACTIONS(2424),
    [anon_sym_namespace] = ACTIONS(2424),
    [anon_sym_using] = ACTIONS(2424),
    [anon_sym_static_assert] = ACTIONS(2424),
    [anon_sym_concept] = ACTIONS(2424),
    [anon_sym_co_return] = ACTIONS(2424),
    [anon_sym_co_yield] = ACTIONS(2424),
    [anon_sym_R_DQUOTE] = ACTIONS(2426),
    [anon_sym_LR_DQUOTE] = ACTIONS(2426),
    [anon_sym_uR_DQUOTE] = ACTIONS(2426),
    [anon_sym_UR_DQUOTE] = ACTIONS(2426),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2426),
    [anon_sym_co_await] = ACTIONS(2424),
    [anon_sym_new] = ACTIONS(2424),
    [anon_sym_requires] = ACTIONS(2424),
    [sym_this] = ACTIONS(2424),
    [anon_sym_discard] = ACTIONS(2424),
    [anon_sym_precise] = ACTIONS(2424),
    [anon_sym_shared] = ACTIONS(2424),
    [anon_sym_groupshared] = ACTIONS(2424),
    [anon_sym_uniform] = ACTIONS(2424),
    [anon_sym_row_major] = ACTIONS(2424),
    [anon_sym_column_major] = ACTIONS(2424),
    [anon_sym_globallycoherent] = ACTIONS(2424),
    [anon_sym_centroid] = ACTIONS(2424),
    [anon_sym_noperspective] = ACTIONS(2424),
    [anon_sym_nointerpolation] = ACTIONS(2424),
    [anon_sym_sample] = ACTIONS(2424),
    [anon_sym_linear] = ACTIONS(2424),
    [anon_sym_snorm] = ACTIONS(2424),
    [anon_sym_unorm] = ACTIONS(2424),
    [anon_sym_point] = ACTIONS(2424),
    [anon_sym_line] = ACTIONS(2424),
    [anon_sym_triangleadj] = ACTIONS(2424),
    [anon_sym_lineadj] = ACTIONS(2424),
    [anon_sym_triangle] = ACTIONS(2424),
    [anon_sym_cbuffer] = ACTIONS(2424),
  },
  [924] = {
    [sym_identifier] = ACTIONS(2364),
    [aux_sym_preproc_include_token1] = ACTIONS(2364),
    [aux_sym_preproc_def_token1] = ACTIONS(2364),
    [aux_sym_preproc_if_token1] = ACTIONS(2364),
    [aux_sym_preproc_if_token2] = ACTIONS(2364),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2364),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2364),
    [sym_preproc_directive] = ACTIONS(2364),
    [anon_sym_LPAREN2] = ACTIONS(2366),
    [anon_sym_BANG] = ACTIONS(2366),
    [anon_sym_TILDE] = ACTIONS(2366),
    [anon_sym_DASH] = ACTIONS(2364),
    [anon_sym_PLUS] = ACTIONS(2364),
    [anon_sym_STAR] = ACTIONS(2366),
    [anon_sym_AMP_AMP] = ACTIONS(2366),
    [anon_sym_AMP] = ACTIONS(2364),
    [anon_sym_SEMI] = ACTIONS(2366),
    [anon_sym___extension__] = ACTIONS(2364),
    [anon_sym_typedef] = ACTIONS(2364),
    [anon_sym_in] = ACTIONS(2364),
    [anon_sym_out] = ACTIONS(2364),
    [anon_sym_inout] = ACTIONS(2364),
    [anon_sym_extern] = ACTIONS(2364),
    [anon_sym___attribute__] = ACTIONS(2364),
    [anon_sym_COLON_COLON] = ACTIONS(2366),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2366),
    [anon_sym___declspec] = ACTIONS(2364),
    [anon_sym___based] = ACTIONS(2364),
    [anon_sym___cdecl] = ACTIONS(2364),
    [anon_sym___clrcall] = ACTIONS(2364),
    [anon_sym___stdcall] = ACTIONS(2364),
    [anon_sym___fastcall] = ACTIONS(2364),
    [anon_sym___thiscall] = ACTIONS(2364),
    [anon_sym___vectorcall] = ACTIONS(2364),
    [anon_sym_LBRACE] = ACTIONS(2366),
    [anon_sym_signed] = ACTIONS(2364),
    [anon_sym_unsigned] = ACTIONS(2364),
    [anon_sym_long] = ACTIONS(2364),
    [anon_sym_short] = ACTIONS(2364),
    [anon_sym_LBRACK] = ACTIONS(2364),
    [anon_sym_static] = ACTIONS(2364),
    [anon_sym_register] = ACTIONS(2364),
    [anon_sym_inline] = ACTIONS(2364),
    [anon_sym___inline] = ACTIONS(2364),
    [anon_sym___inline__] = ACTIONS(2364),
    [anon_sym___forceinline] = ACTIONS(2364),
    [anon_sym_thread_local] = ACTIONS(2364),
    [anon_sym___thread] = ACTIONS(2364),
    [anon_sym_const] = ACTIONS(2364),
    [anon_sym_constexpr] = ACTIONS(2364),
    [anon_sym_volatile] = ACTIONS(2364),
    [anon_sym_restrict] = ACTIONS(2364),
    [anon_sym___restrict__] = ACTIONS(2364),
    [anon_sym__Atomic] = ACTIONS(2364),
    [anon_sym__Noreturn] = ACTIONS(2364),
    [anon_sym_noreturn] = ACTIONS(2364),
    [anon_sym_mutable] = ACTIONS(2364),
    [anon_sym_constinit] = ACTIONS(2364),
    [anon_sym_consteval] = ACTIONS(2364),
    [sym_primitive_type] = ACTIONS(2364),
    [anon_sym_enum] = ACTIONS(2364),
    [anon_sym_class] = ACTIONS(2364),
    [anon_sym_struct] = ACTIONS(2364),
    [anon_sym_union] = ACTIONS(2364),
    [anon_sym_if] = ACTIONS(2364),
    [anon_sym_else] = ACTIONS(2364),
    [anon_sym_switch] = ACTIONS(2364),
    [anon_sym_case] = ACTIONS(2364),
    [anon_sym_default] = ACTIONS(2364),
    [anon_sym_while] = ACTIONS(2364),
    [anon_sym_do] = ACTIONS(2364),
    [anon_sym_for] = ACTIONS(2364),
    [anon_sym_return] = ACTIONS(2364),
    [anon_sym_break] = ACTIONS(2364),
    [anon_sym_continue] = ACTIONS(2364),
    [anon_sym_goto] = ACTIONS(2364),
    [anon_sym___try] = ACTIONS(2364),
    [anon_sym___leave] = ACTIONS(2364),
    [anon_sym_not] = ACTIONS(2364),
    [anon_sym_compl] = ACTIONS(2364),
    [anon_sym_DASH_DASH] = ACTIONS(2366),
    [anon_sym_PLUS_PLUS] = ACTIONS(2366),
    [anon_sym_sizeof] = ACTIONS(2364),
    [anon_sym___alignof__] = ACTIONS(2364),
    [anon_sym___alignof] = ACTIONS(2364),
    [anon_sym__alignof] = ACTIONS(2364),
    [anon_sym_alignof] = ACTIONS(2364),
    [anon_sym__Alignof] = ACTIONS(2364),
    [anon_sym_offsetof] = ACTIONS(2364),
    [anon_sym__Generic] = ACTIONS(2364),
    [anon_sym_asm] = ACTIONS(2364),
    [anon_sym___asm__] = ACTIONS(2364),
    [sym_number_literal] = ACTIONS(2366),
    [anon_sym_L_SQUOTE] = ACTIONS(2366),
    [anon_sym_u_SQUOTE] = ACTIONS(2366),
    [anon_sym_U_SQUOTE] = ACTIONS(2366),
    [anon_sym_u8_SQUOTE] = ACTIONS(2366),
    [anon_sym_SQUOTE] = ACTIONS(2366),
    [anon_sym_L_DQUOTE] = ACTIONS(2366),
    [anon_sym_u_DQUOTE] = ACTIONS(2366),
    [anon_sym_U_DQUOTE] = ACTIONS(2366),
    [anon_sym_u8_DQUOTE] = ACTIONS(2366),
    [anon_sym_DQUOTE] = ACTIONS(2366),
    [sym_true] = ACTIONS(2364),
    [sym_false] = ACTIONS(2364),
    [anon_sym_NULL] = ACTIONS(2364),
    [anon_sym_nullptr] = ACTIONS(2364),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2364),
    [anon_sym_decltype] = ACTIONS(2364),
    [anon_sym_virtual] = ACTIONS(2364),
    [anon_sym_alignas] = ACTIONS(2364),
    [anon_sym_explicit] = ACTIONS(2364),
    [anon_sym_typename] = ACTIONS(2364),
    [anon_sym_template] = ACTIONS(2364),
    [anon_sym_operator] = ACTIONS(2364),
    [anon_sym_try] = ACTIONS(2364),
    [anon_sym_delete] = ACTIONS(2364),
    [anon_sym_throw] = ACTIONS(2364),
    [anon_sym_namespace] = ACTIONS(2364),
    [anon_sym_using] = ACTIONS(2364),
    [anon_sym_static_assert] = ACTIONS(2364),
    [anon_sym_concept] = ACTIONS(2364),
    [anon_sym_co_return] = ACTIONS(2364),
    [anon_sym_co_yield] = ACTIONS(2364),
    [anon_sym_R_DQUOTE] = ACTIONS(2366),
    [anon_sym_LR_DQUOTE] = ACTIONS(2366),
    [anon_sym_uR_DQUOTE] = ACTIONS(2366),
    [anon_sym_UR_DQUOTE] = ACTIONS(2366),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2366),
    [anon_sym_co_await] = ACTIONS(2364),
    [anon_sym_new] = ACTIONS(2364),
    [anon_sym_requires] = ACTIONS(2364),
    [sym_this] = ACTIONS(2364),
    [anon_sym_discard] = ACTIONS(2364),
    [anon_sym_precise] = ACTIONS(2364),
    [anon_sym_shared] = ACTIONS(2364),
    [anon_sym_groupshared] = ACTIONS(2364),
    [anon_sym_uniform] = ACTIONS(2364),
    [anon_sym_row_major] = ACTIONS(2364),
    [anon_sym_column_major] = ACTIONS(2364),
    [anon_sym_globallycoherent] = ACTIONS(2364),
    [anon_sym_centroid] = ACTIONS(2364),
    [anon_sym_noperspective] = ACTIONS(2364),
    [anon_sym_nointerpolation] = ACTIONS(2364),
    [anon_sym_sample] = ACTIONS(2364),
    [anon_sym_linear] = ACTIONS(2364),
    [anon_sym_snorm] = ACTIONS(2364),
    [anon_sym_unorm] = ACTIONS(2364),
    [anon_sym_point] = ACTIONS(2364),
    [anon_sym_line] = ACTIONS(2364),
    [anon_sym_triangleadj] = ACTIONS(2364),
    [anon_sym_lineadj] = ACTIONS(2364),
    [anon_sym_triangle] = ACTIONS(2364),
    [anon_sym_cbuffer] = ACTIONS(2364),
  },
  [925] = {
    [ts_builtin_sym_end] = ACTIONS(2366),
    [sym_identifier] = ACTIONS(2364),
    [aux_sym_preproc_include_token1] = ACTIONS(2364),
    [aux_sym_preproc_def_token1] = ACTIONS(2364),
    [aux_sym_preproc_if_token1] = ACTIONS(2364),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2364),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2364),
    [sym_preproc_directive] = ACTIONS(2364),
    [anon_sym_LPAREN2] = ACTIONS(2366),
    [anon_sym_BANG] = ACTIONS(2366),
    [anon_sym_TILDE] = ACTIONS(2366),
    [anon_sym_DASH] = ACTIONS(2364),
    [anon_sym_PLUS] = ACTIONS(2364),
    [anon_sym_STAR] = ACTIONS(2366),
    [anon_sym_AMP_AMP] = ACTIONS(2366),
    [anon_sym_AMP] = ACTIONS(2364),
    [anon_sym_SEMI] = ACTIONS(2366),
    [anon_sym___extension__] = ACTIONS(2364),
    [anon_sym_typedef] = ACTIONS(2364),
    [anon_sym_in] = ACTIONS(2364),
    [anon_sym_out] = ACTIONS(2364),
    [anon_sym_inout] = ACTIONS(2364),
    [anon_sym_extern] = ACTIONS(2364),
    [anon_sym___attribute__] = ACTIONS(2364),
    [anon_sym_COLON_COLON] = ACTIONS(2366),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2366),
    [anon_sym___declspec] = ACTIONS(2364),
    [anon_sym___based] = ACTIONS(2364),
    [anon_sym___cdecl] = ACTIONS(2364),
    [anon_sym___clrcall] = ACTIONS(2364),
    [anon_sym___stdcall] = ACTIONS(2364),
    [anon_sym___fastcall] = ACTIONS(2364),
    [anon_sym___thiscall] = ACTIONS(2364),
    [anon_sym___vectorcall] = ACTIONS(2364),
    [anon_sym_LBRACE] = ACTIONS(2366),
    [anon_sym_signed] = ACTIONS(2364),
    [anon_sym_unsigned] = ACTIONS(2364),
    [anon_sym_long] = ACTIONS(2364),
    [anon_sym_short] = ACTIONS(2364),
    [anon_sym_LBRACK] = ACTIONS(2364),
    [anon_sym_static] = ACTIONS(2364),
    [anon_sym_register] = ACTIONS(2364),
    [anon_sym_inline] = ACTIONS(2364),
    [anon_sym___inline] = ACTIONS(2364),
    [anon_sym___inline__] = ACTIONS(2364),
    [anon_sym___forceinline] = ACTIONS(2364),
    [anon_sym_thread_local] = ACTIONS(2364),
    [anon_sym___thread] = ACTIONS(2364),
    [anon_sym_const] = ACTIONS(2364),
    [anon_sym_constexpr] = ACTIONS(2364),
    [anon_sym_volatile] = ACTIONS(2364),
    [anon_sym_restrict] = ACTIONS(2364),
    [anon_sym___restrict__] = ACTIONS(2364),
    [anon_sym__Atomic] = ACTIONS(2364),
    [anon_sym__Noreturn] = ACTIONS(2364),
    [anon_sym_noreturn] = ACTIONS(2364),
    [anon_sym_mutable] = ACTIONS(2364),
    [anon_sym_constinit] = ACTIONS(2364),
    [anon_sym_consteval] = ACTIONS(2364),
    [sym_primitive_type] = ACTIONS(2364),
    [anon_sym_enum] = ACTIONS(2364),
    [anon_sym_class] = ACTIONS(2364),
    [anon_sym_struct] = ACTIONS(2364),
    [anon_sym_union] = ACTIONS(2364),
    [anon_sym_if] = ACTIONS(2364),
    [anon_sym_else] = ACTIONS(2364),
    [anon_sym_switch] = ACTIONS(2364),
    [anon_sym_case] = ACTIONS(2364),
    [anon_sym_default] = ACTIONS(2364),
    [anon_sym_while] = ACTIONS(2364),
    [anon_sym_do] = ACTIONS(2364),
    [anon_sym_for] = ACTIONS(2364),
    [anon_sym_return] = ACTIONS(2364),
    [anon_sym_break] = ACTIONS(2364),
    [anon_sym_continue] = ACTIONS(2364),
    [anon_sym_goto] = ACTIONS(2364),
    [anon_sym___try] = ACTIONS(2364),
    [anon_sym___leave] = ACTIONS(2364),
    [anon_sym_not] = ACTIONS(2364),
    [anon_sym_compl] = ACTIONS(2364),
    [anon_sym_DASH_DASH] = ACTIONS(2366),
    [anon_sym_PLUS_PLUS] = ACTIONS(2366),
    [anon_sym_sizeof] = ACTIONS(2364),
    [anon_sym___alignof__] = ACTIONS(2364),
    [anon_sym___alignof] = ACTIONS(2364),
    [anon_sym__alignof] = ACTIONS(2364),
    [anon_sym_alignof] = ACTIONS(2364),
    [anon_sym__Alignof] = ACTIONS(2364),
    [anon_sym_offsetof] = ACTIONS(2364),
    [anon_sym__Generic] = ACTIONS(2364),
    [anon_sym_asm] = ACTIONS(2364),
    [anon_sym___asm__] = ACTIONS(2364),
    [sym_number_literal] = ACTIONS(2366),
    [anon_sym_L_SQUOTE] = ACTIONS(2366),
    [anon_sym_u_SQUOTE] = ACTIONS(2366),
    [anon_sym_U_SQUOTE] = ACTIONS(2366),
    [anon_sym_u8_SQUOTE] = ACTIONS(2366),
    [anon_sym_SQUOTE] = ACTIONS(2366),
    [anon_sym_L_DQUOTE] = ACTIONS(2366),
    [anon_sym_u_DQUOTE] = ACTIONS(2366),
    [anon_sym_U_DQUOTE] = ACTIONS(2366),
    [anon_sym_u8_DQUOTE] = ACTIONS(2366),
    [anon_sym_DQUOTE] = ACTIONS(2366),
    [sym_true] = ACTIONS(2364),
    [sym_false] = ACTIONS(2364),
    [anon_sym_NULL] = ACTIONS(2364),
    [anon_sym_nullptr] = ACTIONS(2364),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2364),
    [anon_sym_decltype] = ACTIONS(2364),
    [anon_sym_virtual] = ACTIONS(2364),
    [anon_sym_alignas] = ACTIONS(2364),
    [anon_sym_explicit] = ACTIONS(2364),
    [anon_sym_typename] = ACTIONS(2364),
    [anon_sym_template] = ACTIONS(2364),
    [anon_sym_operator] = ACTIONS(2364),
    [anon_sym_try] = ACTIONS(2364),
    [anon_sym_delete] = ACTIONS(2364),
    [anon_sym_throw] = ACTIONS(2364),
    [anon_sym_namespace] = ACTIONS(2364),
    [anon_sym_using] = ACTIONS(2364),
    [anon_sym_static_assert] = ACTIONS(2364),
    [anon_sym_concept] = ACTIONS(2364),
    [anon_sym_co_return] = ACTIONS(2364),
    [anon_sym_co_yield] = ACTIONS(2364),
    [anon_sym_R_DQUOTE] = ACTIONS(2366),
    [anon_sym_LR_DQUOTE] = ACTIONS(2366),
    [anon_sym_uR_DQUOTE] = ACTIONS(2366),
    [anon_sym_UR_DQUOTE] = ACTIONS(2366),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2366),
    [anon_sym_co_await] = ACTIONS(2364),
    [anon_sym_new] = ACTIONS(2364),
    [anon_sym_requires] = ACTIONS(2364),
    [sym_this] = ACTIONS(2364),
    [anon_sym_discard] = ACTIONS(2364),
    [anon_sym_precise] = ACTIONS(2364),
    [anon_sym_shared] = ACTIONS(2364),
    [anon_sym_groupshared] = ACTIONS(2364),
    [anon_sym_uniform] = ACTIONS(2364),
    [anon_sym_row_major] = ACTIONS(2364),
    [anon_sym_column_major] = ACTIONS(2364),
    [anon_sym_globallycoherent] = ACTIONS(2364),
    [anon_sym_centroid] = ACTIONS(2364),
    [anon_sym_noperspective] = ACTIONS(2364),
    [anon_sym_nointerpolation] = ACTIONS(2364),
    [anon_sym_sample] = ACTIONS(2364),
    [anon_sym_linear] = ACTIONS(2364),
    [anon_sym_snorm] = ACTIONS(2364),
    [anon_sym_unorm] = ACTIONS(2364),
    [anon_sym_point] = ACTIONS(2364),
    [anon_sym_line] = ACTIONS(2364),
    [anon_sym_triangleadj] = ACTIONS(2364),
    [anon_sym_lineadj] = ACTIONS(2364),
    [anon_sym_triangle] = ACTIONS(2364),
    [anon_sym_cbuffer] = ACTIONS(2364),
  },
  [926] = {
    [ts_builtin_sym_end] = ACTIONS(2402),
    [sym_identifier] = ACTIONS(2400),
    [aux_sym_preproc_include_token1] = ACTIONS(2400),
    [aux_sym_preproc_def_token1] = ACTIONS(2400),
    [aux_sym_preproc_if_token1] = ACTIONS(2400),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2400),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2400),
    [sym_preproc_directive] = ACTIONS(2400),
    [anon_sym_LPAREN2] = ACTIONS(2402),
    [anon_sym_BANG] = ACTIONS(2402),
    [anon_sym_TILDE] = ACTIONS(2402),
    [anon_sym_DASH] = ACTIONS(2400),
    [anon_sym_PLUS] = ACTIONS(2400),
    [anon_sym_STAR] = ACTIONS(2402),
    [anon_sym_AMP_AMP] = ACTIONS(2402),
    [anon_sym_AMP] = ACTIONS(2400),
    [anon_sym_SEMI] = ACTIONS(2402),
    [anon_sym___extension__] = ACTIONS(2400),
    [anon_sym_typedef] = ACTIONS(2400),
    [anon_sym_in] = ACTIONS(2400),
    [anon_sym_out] = ACTIONS(2400),
    [anon_sym_inout] = ACTIONS(2400),
    [anon_sym_extern] = ACTIONS(2400),
    [anon_sym___attribute__] = ACTIONS(2400),
    [anon_sym_COLON_COLON] = ACTIONS(2402),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2402),
    [anon_sym___declspec] = ACTIONS(2400),
    [anon_sym___based] = ACTIONS(2400),
    [anon_sym___cdecl] = ACTIONS(2400),
    [anon_sym___clrcall] = ACTIONS(2400),
    [anon_sym___stdcall] = ACTIONS(2400),
    [anon_sym___fastcall] = ACTIONS(2400),
    [anon_sym___thiscall] = ACTIONS(2400),
    [anon_sym___vectorcall] = ACTIONS(2400),
    [anon_sym_LBRACE] = ACTIONS(2402),
    [anon_sym_signed] = ACTIONS(2400),
    [anon_sym_unsigned] = ACTIONS(2400),
    [anon_sym_long] = ACTIONS(2400),
    [anon_sym_short] = ACTIONS(2400),
    [anon_sym_LBRACK] = ACTIONS(2400),
    [anon_sym_static] = ACTIONS(2400),
    [anon_sym_register] = ACTIONS(2400),
    [anon_sym_inline] = ACTIONS(2400),
    [anon_sym___inline] = ACTIONS(2400),
    [anon_sym___inline__] = ACTIONS(2400),
    [anon_sym___forceinline] = ACTIONS(2400),
    [anon_sym_thread_local] = ACTIONS(2400),
    [anon_sym___thread] = ACTIONS(2400),
    [anon_sym_const] = ACTIONS(2400),
    [anon_sym_constexpr] = ACTIONS(2400),
    [anon_sym_volatile] = ACTIONS(2400),
    [anon_sym_restrict] = ACTIONS(2400),
    [anon_sym___restrict__] = ACTIONS(2400),
    [anon_sym__Atomic] = ACTIONS(2400),
    [anon_sym__Noreturn] = ACTIONS(2400),
    [anon_sym_noreturn] = ACTIONS(2400),
    [anon_sym_mutable] = ACTIONS(2400),
    [anon_sym_constinit] = ACTIONS(2400),
    [anon_sym_consteval] = ACTIONS(2400),
    [sym_primitive_type] = ACTIONS(2400),
    [anon_sym_enum] = ACTIONS(2400),
    [anon_sym_class] = ACTIONS(2400),
    [anon_sym_struct] = ACTIONS(2400),
    [anon_sym_union] = ACTIONS(2400),
    [anon_sym_if] = ACTIONS(2400),
    [anon_sym_else] = ACTIONS(2400),
    [anon_sym_switch] = ACTIONS(2400),
    [anon_sym_case] = ACTIONS(2400),
    [anon_sym_default] = ACTIONS(2400),
    [anon_sym_while] = ACTIONS(2400),
    [anon_sym_do] = ACTIONS(2400),
    [anon_sym_for] = ACTIONS(2400),
    [anon_sym_return] = ACTIONS(2400),
    [anon_sym_break] = ACTIONS(2400),
    [anon_sym_continue] = ACTIONS(2400),
    [anon_sym_goto] = ACTIONS(2400),
    [anon_sym___try] = ACTIONS(2400),
    [anon_sym___leave] = ACTIONS(2400),
    [anon_sym_not] = ACTIONS(2400),
    [anon_sym_compl] = ACTIONS(2400),
    [anon_sym_DASH_DASH] = ACTIONS(2402),
    [anon_sym_PLUS_PLUS] = ACTIONS(2402),
    [anon_sym_sizeof] = ACTIONS(2400),
    [anon_sym___alignof__] = ACTIONS(2400),
    [anon_sym___alignof] = ACTIONS(2400),
    [anon_sym__alignof] = ACTIONS(2400),
    [anon_sym_alignof] = ACTIONS(2400),
    [anon_sym__Alignof] = ACTIONS(2400),
    [anon_sym_offsetof] = ACTIONS(2400),
    [anon_sym__Generic] = ACTIONS(2400),
    [anon_sym_asm] = ACTIONS(2400),
    [anon_sym___asm__] = ACTIONS(2400),
    [sym_number_literal] = ACTIONS(2402),
    [anon_sym_L_SQUOTE] = ACTIONS(2402),
    [anon_sym_u_SQUOTE] = ACTIONS(2402),
    [anon_sym_U_SQUOTE] = ACTIONS(2402),
    [anon_sym_u8_SQUOTE] = ACTIONS(2402),
    [anon_sym_SQUOTE] = ACTIONS(2402),
    [anon_sym_L_DQUOTE] = ACTIONS(2402),
    [anon_sym_u_DQUOTE] = ACTIONS(2402),
    [anon_sym_U_DQUOTE] = ACTIONS(2402),
    [anon_sym_u8_DQUOTE] = ACTIONS(2402),
    [anon_sym_DQUOTE] = ACTIONS(2402),
    [sym_true] = ACTIONS(2400),
    [sym_false] = ACTIONS(2400),
    [anon_sym_NULL] = ACTIONS(2400),
    [anon_sym_nullptr] = ACTIONS(2400),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2400),
    [anon_sym_decltype] = ACTIONS(2400),
    [anon_sym_virtual] = ACTIONS(2400),
    [anon_sym_alignas] = ACTIONS(2400),
    [anon_sym_explicit] = ACTIONS(2400),
    [anon_sym_typename] = ACTIONS(2400),
    [anon_sym_template] = ACTIONS(2400),
    [anon_sym_operator] = ACTIONS(2400),
    [anon_sym_try] = ACTIONS(2400),
    [anon_sym_delete] = ACTIONS(2400),
    [anon_sym_throw] = ACTIONS(2400),
    [anon_sym_namespace] = ACTIONS(2400),
    [anon_sym_using] = ACTIONS(2400),
    [anon_sym_static_assert] = ACTIONS(2400),
    [anon_sym_concept] = ACTIONS(2400),
    [anon_sym_co_return] = ACTIONS(2400),
    [anon_sym_co_yield] = ACTIONS(2400),
    [anon_sym_R_DQUOTE] = ACTIONS(2402),
    [anon_sym_LR_DQUOTE] = ACTIONS(2402),
    [anon_sym_uR_DQUOTE] = ACTIONS(2402),
    [anon_sym_UR_DQUOTE] = ACTIONS(2402),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2402),
    [anon_sym_co_await] = ACTIONS(2400),
    [anon_sym_new] = ACTIONS(2400),
    [anon_sym_requires] = ACTIONS(2400),
    [sym_this] = ACTIONS(2400),
    [anon_sym_discard] = ACTIONS(2400),
    [anon_sym_precise] = ACTIONS(2400),
    [anon_sym_shared] = ACTIONS(2400),
    [anon_sym_groupshared] = ACTIONS(2400),
    [anon_sym_uniform] = ACTIONS(2400),
    [anon_sym_row_major] = ACTIONS(2400),
    [anon_sym_column_major] = ACTIONS(2400),
    [anon_sym_globallycoherent] = ACTIONS(2400),
    [anon_sym_centroid] = ACTIONS(2400),
    [anon_sym_noperspective] = ACTIONS(2400),
    [anon_sym_nointerpolation] = ACTIONS(2400),
    [anon_sym_sample] = ACTIONS(2400),
    [anon_sym_linear] = ACTIONS(2400),
    [anon_sym_snorm] = ACTIONS(2400),
    [anon_sym_unorm] = ACTIONS(2400),
    [anon_sym_point] = ACTIONS(2400),
    [anon_sym_line] = ACTIONS(2400),
    [anon_sym_triangleadj] = ACTIONS(2400),
    [anon_sym_lineadj] = ACTIONS(2400),
    [anon_sym_triangle] = ACTIONS(2400),
    [anon_sym_cbuffer] = ACTIONS(2400),
  },
  [927] = {
    [sym_identifier] = ACTIONS(2238),
    [aux_sym_preproc_include_token1] = ACTIONS(2238),
    [aux_sym_preproc_def_token1] = ACTIONS(2238),
    [anon_sym_COMMA] = ACTIONS(2358),
    [aux_sym_preproc_if_token1] = ACTIONS(2238),
    [aux_sym_preproc_if_token2] = ACTIONS(2238),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2238),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2238),
    [sym_preproc_directive] = ACTIONS(2238),
    [anon_sym_LPAREN2] = ACTIONS(2236),
    [anon_sym_BANG] = ACTIONS(2236),
    [anon_sym_TILDE] = ACTIONS(2236),
    [anon_sym_DASH] = ACTIONS(2238),
    [anon_sym_PLUS] = ACTIONS(2238),
    [anon_sym_STAR] = ACTIONS(2236),
    [anon_sym_AMP_AMP] = ACTIONS(2236),
    [anon_sym_AMP] = ACTIONS(2238),
    [anon_sym_SEMI] = ACTIONS(2358),
    [anon_sym___extension__] = ACTIONS(2238),
    [anon_sym_typedef] = ACTIONS(2238),
    [anon_sym_in] = ACTIONS(2238),
    [anon_sym_out] = ACTIONS(2238),
    [anon_sym_inout] = ACTIONS(2238),
    [anon_sym_extern] = ACTIONS(2238),
    [anon_sym___attribute__] = ACTIONS(2238),
    [anon_sym_COLON_COLON] = ACTIONS(2236),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2236),
    [anon_sym___declspec] = ACTIONS(2238),
    [anon_sym___based] = ACTIONS(2238),
    [anon_sym___cdecl] = ACTIONS(2238),
    [anon_sym___clrcall] = ACTIONS(2238),
    [anon_sym___stdcall] = ACTIONS(2238),
    [anon_sym___fastcall] = ACTIONS(2238),
    [anon_sym___thiscall] = ACTIONS(2238),
    [anon_sym___vectorcall] = ACTIONS(2238),
    [anon_sym_LBRACE] = ACTIONS(2236),
    [anon_sym_signed] = ACTIONS(2238),
    [anon_sym_unsigned] = ACTIONS(2238),
    [anon_sym_long] = ACTIONS(2238),
    [anon_sym_short] = ACTIONS(2238),
    [anon_sym_LBRACK] = ACTIONS(2238),
    [anon_sym_static] = ACTIONS(2238),
    [anon_sym_register] = ACTIONS(2238),
    [anon_sym_inline] = ACTIONS(2238),
    [anon_sym___inline] = ACTIONS(2238),
    [anon_sym___inline__] = ACTIONS(2238),
    [anon_sym___forceinline] = ACTIONS(2238),
    [anon_sym_thread_local] = ACTIONS(2238),
    [anon_sym___thread] = ACTIONS(2238),
    [anon_sym_const] = ACTIONS(2238),
    [anon_sym_constexpr] = ACTIONS(2238),
    [anon_sym_volatile] = ACTIONS(2238),
    [anon_sym_restrict] = ACTIONS(2238),
    [anon_sym___restrict__] = ACTIONS(2238),
    [anon_sym__Atomic] = ACTIONS(2238),
    [anon_sym__Noreturn] = ACTIONS(2238),
    [anon_sym_noreturn] = ACTIONS(2238),
    [anon_sym_mutable] = ACTIONS(2238),
    [anon_sym_constinit] = ACTIONS(2238),
    [anon_sym_consteval] = ACTIONS(2238),
    [sym_primitive_type] = ACTIONS(2238),
    [anon_sym_enum] = ACTIONS(2238),
    [anon_sym_class] = ACTIONS(2238),
    [anon_sym_struct] = ACTIONS(2238),
    [anon_sym_union] = ACTIONS(2238),
    [anon_sym_if] = ACTIONS(2238),
    [anon_sym_switch] = ACTIONS(2238),
    [anon_sym_case] = ACTIONS(2238),
    [anon_sym_default] = ACTIONS(2238),
    [anon_sym_while] = ACTIONS(2238),
    [anon_sym_do] = ACTIONS(2238),
    [anon_sym_for] = ACTIONS(2238),
    [anon_sym_return] = ACTIONS(2238),
    [anon_sym_break] = ACTIONS(2238),
    [anon_sym_continue] = ACTIONS(2238),
    [anon_sym_goto] = ACTIONS(2238),
    [anon_sym___try] = ACTIONS(2238),
    [anon_sym___leave] = ACTIONS(2238),
    [anon_sym_not] = ACTIONS(2238),
    [anon_sym_compl] = ACTIONS(2238),
    [anon_sym_DASH_DASH] = ACTIONS(2236),
    [anon_sym_PLUS_PLUS] = ACTIONS(2236),
    [anon_sym_sizeof] = ACTIONS(2238),
    [anon_sym___alignof__] = ACTIONS(2238),
    [anon_sym___alignof] = ACTIONS(2238),
    [anon_sym__alignof] = ACTIONS(2238),
    [anon_sym_alignof] = ACTIONS(2238),
    [anon_sym__Alignof] = ACTIONS(2238),
    [anon_sym_offsetof] = ACTIONS(2238),
    [anon_sym__Generic] = ACTIONS(2238),
    [anon_sym_asm] = ACTIONS(2238),
    [anon_sym___asm__] = ACTIONS(2238),
    [sym_number_literal] = ACTIONS(2236),
    [anon_sym_L_SQUOTE] = ACTIONS(2236),
    [anon_sym_u_SQUOTE] = ACTIONS(2236),
    [anon_sym_U_SQUOTE] = ACTIONS(2236),
    [anon_sym_u8_SQUOTE] = ACTIONS(2236),
    [anon_sym_SQUOTE] = ACTIONS(2236),
    [anon_sym_L_DQUOTE] = ACTIONS(2236),
    [anon_sym_u_DQUOTE] = ACTIONS(2236),
    [anon_sym_U_DQUOTE] = ACTIONS(2236),
    [anon_sym_u8_DQUOTE] = ACTIONS(2236),
    [anon_sym_DQUOTE] = ACTIONS(2236),
    [sym_true] = ACTIONS(2238),
    [sym_false] = ACTIONS(2238),
    [anon_sym_NULL] = ACTIONS(2238),
    [anon_sym_nullptr] = ACTIONS(2238),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2238),
    [anon_sym_decltype] = ACTIONS(2238),
    [anon_sym_virtual] = ACTIONS(2238),
    [anon_sym_alignas] = ACTIONS(2238),
    [anon_sym_explicit] = ACTIONS(2238),
    [anon_sym_typename] = ACTIONS(2238),
    [anon_sym_template] = ACTIONS(2238),
    [anon_sym_operator] = ACTIONS(2238),
    [anon_sym_try] = ACTIONS(2238),
    [anon_sym_delete] = ACTIONS(2238),
    [anon_sym_throw] = ACTIONS(2238),
    [anon_sym_namespace] = ACTIONS(2238),
    [anon_sym_using] = ACTIONS(2238),
    [anon_sym_static_assert] = ACTIONS(2238),
    [anon_sym_concept] = ACTIONS(2238),
    [anon_sym_co_return] = ACTIONS(2238),
    [anon_sym_co_yield] = ACTIONS(2238),
    [anon_sym_R_DQUOTE] = ACTIONS(2236),
    [anon_sym_LR_DQUOTE] = ACTIONS(2236),
    [anon_sym_uR_DQUOTE] = ACTIONS(2236),
    [anon_sym_UR_DQUOTE] = ACTIONS(2236),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2236),
    [anon_sym_co_await] = ACTIONS(2238),
    [anon_sym_new] = ACTIONS(2238),
    [anon_sym_requires] = ACTIONS(2238),
    [sym_this] = ACTIONS(2238),
    [anon_sym_discard] = ACTIONS(2238),
    [anon_sym_precise] = ACTIONS(2238),
    [anon_sym_shared] = ACTIONS(2238),
    [anon_sym_groupshared] = ACTIONS(2238),
    [anon_sym_uniform] = ACTIONS(2238),
    [anon_sym_row_major] = ACTIONS(2238),
    [anon_sym_column_major] = ACTIONS(2238),
    [anon_sym_globallycoherent] = ACTIONS(2238),
    [anon_sym_centroid] = ACTIONS(2238),
    [anon_sym_noperspective] = ACTIONS(2238),
    [anon_sym_nointerpolation] = ACTIONS(2238),
    [anon_sym_sample] = ACTIONS(2238),
    [anon_sym_linear] = ACTIONS(2238),
    [anon_sym_snorm] = ACTIONS(2238),
    [anon_sym_unorm] = ACTIONS(2238),
    [anon_sym_point] = ACTIONS(2238),
    [anon_sym_line] = ACTIONS(2238),
    [anon_sym_triangleadj] = ACTIONS(2238),
    [anon_sym_lineadj] = ACTIONS(2238),
    [anon_sym_triangle] = ACTIONS(2238),
    [anon_sym_cbuffer] = ACTIONS(2238),
  },
  [928] = {
    [sym_identifier] = ACTIONS(2364),
    [aux_sym_preproc_include_token1] = ACTIONS(2364),
    [aux_sym_preproc_def_token1] = ACTIONS(2364),
    [aux_sym_preproc_if_token1] = ACTIONS(2364),
    [aux_sym_preproc_if_token2] = ACTIONS(2364),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2364),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2364),
    [sym_preproc_directive] = ACTIONS(2364),
    [anon_sym_LPAREN2] = ACTIONS(2366),
    [anon_sym_BANG] = ACTIONS(2366),
    [anon_sym_TILDE] = ACTIONS(2366),
    [anon_sym_DASH] = ACTIONS(2364),
    [anon_sym_PLUS] = ACTIONS(2364),
    [anon_sym_STAR] = ACTIONS(2366),
    [anon_sym_AMP_AMP] = ACTIONS(2366),
    [anon_sym_AMP] = ACTIONS(2364),
    [anon_sym_SEMI] = ACTIONS(2366),
    [anon_sym___extension__] = ACTIONS(2364),
    [anon_sym_typedef] = ACTIONS(2364),
    [anon_sym_in] = ACTIONS(2364),
    [anon_sym_out] = ACTIONS(2364),
    [anon_sym_inout] = ACTIONS(2364),
    [anon_sym_extern] = ACTIONS(2364),
    [anon_sym___attribute__] = ACTIONS(2364),
    [anon_sym_COLON_COLON] = ACTIONS(2366),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2366),
    [anon_sym___declspec] = ACTIONS(2364),
    [anon_sym___based] = ACTIONS(2364),
    [anon_sym___cdecl] = ACTIONS(2364),
    [anon_sym___clrcall] = ACTIONS(2364),
    [anon_sym___stdcall] = ACTIONS(2364),
    [anon_sym___fastcall] = ACTIONS(2364),
    [anon_sym___thiscall] = ACTIONS(2364),
    [anon_sym___vectorcall] = ACTIONS(2364),
    [anon_sym_LBRACE] = ACTIONS(2366),
    [anon_sym_signed] = ACTIONS(2364),
    [anon_sym_unsigned] = ACTIONS(2364),
    [anon_sym_long] = ACTIONS(2364),
    [anon_sym_short] = ACTIONS(2364),
    [anon_sym_LBRACK] = ACTIONS(2364),
    [anon_sym_static] = ACTIONS(2364),
    [anon_sym_register] = ACTIONS(2364),
    [anon_sym_inline] = ACTIONS(2364),
    [anon_sym___inline] = ACTIONS(2364),
    [anon_sym___inline__] = ACTIONS(2364),
    [anon_sym___forceinline] = ACTIONS(2364),
    [anon_sym_thread_local] = ACTIONS(2364),
    [anon_sym___thread] = ACTIONS(2364),
    [anon_sym_const] = ACTIONS(2364),
    [anon_sym_constexpr] = ACTIONS(2364),
    [anon_sym_volatile] = ACTIONS(2364),
    [anon_sym_restrict] = ACTIONS(2364),
    [anon_sym___restrict__] = ACTIONS(2364),
    [anon_sym__Atomic] = ACTIONS(2364),
    [anon_sym__Noreturn] = ACTIONS(2364),
    [anon_sym_noreturn] = ACTIONS(2364),
    [anon_sym_mutable] = ACTIONS(2364),
    [anon_sym_constinit] = ACTIONS(2364),
    [anon_sym_consteval] = ACTIONS(2364),
    [sym_primitive_type] = ACTIONS(2364),
    [anon_sym_enum] = ACTIONS(2364),
    [anon_sym_class] = ACTIONS(2364),
    [anon_sym_struct] = ACTIONS(2364),
    [anon_sym_union] = ACTIONS(2364),
    [anon_sym_if] = ACTIONS(2364),
    [anon_sym_else] = ACTIONS(2364),
    [anon_sym_switch] = ACTIONS(2364),
    [anon_sym_case] = ACTIONS(2364),
    [anon_sym_default] = ACTIONS(2364),
    [anon_sym_while] = ACTIONS(2364),
    [anon_sym_do] = ACTIONS(2364),
    [anon_sym_for] = ACTIONS(2364),
    [anon_sym_return] = ACTIONS(2364),
    [anon_sym_break] = ACTIONS(2364),
    [anon_sym_continue] = ACTIONS(2364),
    [anon_sym_goto] = ACTIONS(2364),
    [anon_sym___try] = ACTIONS(2364),
    [anon_sym___leave] = ACTIONS(2364),
    [anon_sym_not] = ACTIONS(2364),
    [anon_sym_compl] = ACTIONS(2364),
    [anon_sym_DASH_DASH] = ACTIONS(2366),
    [anon_sym_PLUS_PLUS] = ACTIONS(2366),
    [anon_sym_sizeof] = ACTIONS(2364),
    [anon_sym___alignof__] = ACTIONS(2364),
    [anon_sym___alignof] = ACTIONS(2364),
    [anon_sym__alignof] = ACTIONS(2364),
    [anon_sym_alignof] = ACTIONS(2364),
    [anon_sym__Alignof] = ACTIONS(2364),
    [anon_sym_offsetof] = ACTIONS(2364),
    [anon_sym__Generic] = ACTIONS(2364),
    [anon_sym_asm] = ACTIONS(2364),
    [anon_sym___asm__] = ACTIONS(2364),
    [sym_number_literal] = ACTIONS(2366),
    [anon_sym_L_SQUOTE] = ACTIONS(2366),
    [anon_sym_u_SQUOTE] = ACTIONS(2366),
    [anon_sym_U_SQUOTE] = ACTIONS(2366),
    [anon_sym_u8_SQUOTE] = ACTIONS(2366),
    [anon_sym_SQUOTE] = ACTIONS(2366),
    [anon_sym_L_DQUOTE] = ACTIONS(2366),
    [anon_sym_u_DQUOTE] = ACTIONS(2366),
    [anon_sym_U_DQUOTE] = ACTIONS(2366),
    [anon_sym_u8_DQUOTE] = ACTIONS(2366),
    [anon_sym_DQUOTE] = ACTIONS(2366),
    [sym_true] = ACTIONS(2364),
    [sym_false] = ACTIONS(2364),
    [anon_sym_NULL] = ACTIONS(2364),
    [anon_sym_nullptr] = ACTIONS(2364),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2364),
    [anon_sym_decltype] = ACTIONS(2364),
    [anon_sym_virtual] = ACTIONS(2364),
    [anon_sym_alignas] = ACTIONS(2364),
    [anon_sym_explicit] = ACTIONS(2364),
    [anon_sym_typename] = ACTIONS(2364),
    [anon_sym_template] = ACTIONS(2364),
    [anon_sym_operator] = ACTIONS(2364),
    [anon_sym_try] = ACTIONS(2364),
    [anon_sym_delete] = ACTIONS(2364),
    [anon_sym_throw] = ACTIONS(2364),
    [anon_sym_namespace] = ACTIONS(2364),
    [anon_sym_using] = ACTIONS(2364),
    [anon_sym_static_assert] = ACTIONS(2364),
    [anon_sym_concept] = ACTIONS(2364),
    [anon_sym_co_return] = ACTIONS(2364),
    [anon_sym_co_yield] = ACTIONS(2364),
    [anon_sym_R_DQUOTE] = ACTIONS(2366),
    [anon_sym_LR_DQUOTE] = ACTIONS(2366),
    [anon_sym_uR_DQUOTE] = ACTIONS(2366),
    [anon_sym_UR_DQUOTE] = ACTIONS(2366),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2366),
    [anon_sym_co_await] = ACTIONS(2364),
    [anon_sym_new] = ACTIONS(2364),
    [anon_sym_requires] = ACTIONS(2364),
    [sym_this] = ACTIONS(2364),
    [anon_sym_discard] = ACTIONS(2364),
    [anon_sym_precise] = ACTIONS(2364),
    [anon_sym_shared] = ACTIONS(2364),
    [anon_sym_groupshared] = ACTIONS(2364),
    [anon_sym_uniform] = ACTIONS(2364),
    [anon_sym_row_major] = ACTIONS(2364),
    [anon_sym_column_major] = ACTIONS(2364),
    [anon_sym_globallycoherent] = ACTIONS(2364),
    [anon_sym_centroid] = ACTIONS(2364),
    [anon_sym_noperspective] = ACTIONS(2364),
    [anon_sym_nointerpolation] = ACTIONS(2364),
    [anon_sym_sample] = ACTIONS(2364),
    [anon_sym_linear] = ACTIONS(2364),
    [anon_sym_snorm] = ACTIONS(2364),
    [anon_sym_unorm] = ACTIONS(2364),
    [anon_sym_point] = ACTIONS(2364),
    [anon_sym_line] = ACTIONS(2364),
    [anon_sym_triangleadj] = ACTIONS(2364),
    [anon_sym_lineadj] = ACTIONS(2364),
    [anon_sym_triangle] = ACTIONS(2364),
    [anon_sym_cbuffer] = ACTIONS(2364),
  },
  [929] = {
    [sym_identifier] = ACTIONS(2330),
    [aux_sym_preproc_include_token1] = ACTIONS(2330),
    [aux_sym_preproc_def_token1] = ACTIONS(2330),
    [aux_sym_preproc_if_token1] = ACTIONS(2330),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2330),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2330),
    [sym_preproc_directive] = ACTIONS(2330),
    [anon_sym_LPAREN2] = ACTIONS(2332),
    [anon_sym_BANG] = ACTIONS(2332),
    [anon_sym_TILDE] = ACTIONS(2332),
    [anon_sym_DASH] = ACTIONS(2330),
    [anon_sym_PLUS] = ACTIONS(2330),
    [anon_sym_STAR] = ACTIONS(2332),
    [anon_sym_AMP_AMP] = ACTIONS(2332),
    [anon_sym_AMP] = ACTIONS(2330),
    [anon_sym_SEMI] = ACTIONS(2332),
    [anon_sym___extension__] = ACTIONS(2330),
    [anon_sym_typedef] = ACTIONS(2330),
    [anon_sym_in] = ACTIONS(2330),
    [anon_sym_out] = ACTIONS(2330),
    [anon_sym_inout] = ACTIONS(2330),
    [anon_sym_extern] = ACTIONS(2330),
    [anon_sym___attribute__] = ACTIONS(2330),
    [anon_sym_COLON_COLON] = ACTIONS(2332),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2332),
    [anon_sym___declspec] = ACTIONS(2330),
    [anon_sym___based] = ACTIONS(2330),
    [anon_sym___cdecl] = ACTIONS(2330),
    [anon_sym___clrcall] = ACTIONS(2330),
    [anon_sym___stdcall] = ACTIONS(2330),
    [anon_sym___fastcall] = ACTIONS(2330),
    [anon_sym___thiscall] = ACTIONS(2330),
    [anon_sym___vectorcall] = ACTIONS(2330),
    [anon_sym_LBRACE] = ACTIONS(2332),
    [anon_sym_RBRACE] = ACTIONS(2332),
    [anon_sym_signed] = ACTIONS(2330),
    [anon_sym_unsigned] = ACTIONS(2330),
    [anon_sym_long] = ACTIONS(2330),
    [anon_sym_short] = ACTIONS(2330),
    [anon_sym_LBRACK] = ACTIONS(2330),
    [anon_sym_static] = ACTIONS(2330),
    [anon_sym_register] = ACTIONS(2330),
    [anon_sym_inline] = ACTIONS(2330),
    [anon_sym___inline] = ACTIONS(2330),
    [anon_sym___inline__] = ACTIONS(2330),
    [anon_sym___forceinline] = ACTIONS(2330),
    [anon_sym_thread_local] = ACTIONS(2330),
    [anon_sym___thread] = ACTIONS(2330),
    [anon_sym_const] = ACTIONS(2330),
    [anon_sym_constexpr] = ACTIONS(2330),
    [anon_sym_volatile] = ACTIONS(2330),
    [anon_sym_restrict] = ACTIONS(2330),
    [anon_sym___restrict__] = ACTIONS(2330),
    [anon_sym__Atomic] = ACTIONS(2330),
    [anon_sym__Noreturn] = ACTIONS(2330),
    [anon_sym_noreturn] = ACTIONS(2330),
    [anon_sym_mutable] = ACTIONS(2330),
    [anon_sym_constinit] = ACTIONS(2330),
    [anon_sym_consteval] = ACTIONS(2330),
    [sym_primitive_type] = ACTIONS(2330),
    [anon_sym_enum] = ACTIONS(2330),
    [anon_sym_class] = ACTIONS(2330),
    [anon_sym_struct] = ACTIONS(2330),
    [anon_sym_union] = ACTIONS(2330),
    [anon_sym_if] = ACTIONS(2330),
    [anon_sym_else] = ACTIONS(2330),
    [anon_sym_switch] = ACTIONS(2330),
    [anon_sym_case] = ACTIONS(2330),
    [anon_sym_default] = ACTIONS(2330),
    [anon_sym_while] = ACTIONS(2330),
    [anon_sym_do] = ACTIONS(2330),
    [anon_sym_for] = ACTIONS(2330),
    [anon_sym_return] = ACTIONS(2330),
    [anon_sym_break] = ACTIONS(2330),
    [anon_sym_continue] = ACTIONS(2330),
    [anon_sym_goto] = ACTIONS(2330),
    [anon_sym___try] = ACTIONS(2330),
    [anon_sym___leave] = ACTIONS(2330),
    [anon_sym_not] = ACTIONS(2330),
    [anon_sym_compl] = ACTIONS(2330),
    [anon_sym_DASH_DASH] = ACTIONS(2332),
    [anon_sym_PLUS_PLUS] = ACTIONS(2332),
    [anon_sym_sizeof] = ACTIONS(2330),
    [anon_sym___alignof__] = ACTIONS(2330),
    [anon_sym___alignof] = ACTIONS(2330),
    [anon_sym__alignof] = ACTIONS(2330),
    [anon_sym_alignof] = ACTIONS(2330),
    [anon_sym__Alignof] = ACTIONS(2330),
    [anon_sym_offsetof] = ACTIONS(2330),
    [anon_sym__Generic] = ACTIONS(2330),
    [anon_sym_asm] = ACTIONS(2330),
    [anon_sym___asm__] = ACTIONS(2330),
    [sym_number_literal] = ACTIONS(2332),
    [anon_sym_L_SQUOTE] = ACTIONS(2332),
    [anon_sym_u_SQUOTE] = ACTIONS(2332),
    [anon_sym_U_SQUOTE] = ACTIONS(2332),
    [anon_sym_u8_SQUOTE] = ACTIONS(2332),
    [anon_sym_SQUOTE] = ACTIONS(2332),
    [anon_sym_L_DQUOTE] = ACTIONS(2332),
    [anon_sym_u_DQUOTE] = ACTIONS(2332),
    [anon_sym_U_DQUOTE] = ACTIONS(2332),
    [anon_sym_u8_DQUOTE] = ACTIONS(2332),
    [anon_sym_DQUOTE] = ACTIONS(2332),
    [sym_true] = ACTIONS(2330),
    [sym_false] = ACTIONS(2330),
    [anon_sym_NULL] = ACTIONS(2330),
    [anon_sym_nullptr] = ACTIONS(2330),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2330),
    [anon_sym_decltype] = ACTIONS(2330),
    [anon_sym_virtual] = ACTIONS(2330),
    [anon_sym_alignas] = ACTIONS(2330),
    [anon_sym_explicit] = ACTIONS(2330),
    [anon_sym_typename] = ACTIONS(2330),
    [anon_sym_template] = ACTIONS(2330),
    [anon_sym_operator] = ACTIONS(2330),
    [anon_sym_try] = ACTIONS(2330),
    [anon_sym_delete] = ACTIONS(2330),
    [anon_sym_throw] = ACTIONS(2330),
    [anon_sym_namespace] = ACTIONS(2330),
    [anon_sym_using] = ACTIONS(2330),
    [anon_sym_static_assert] = ACTIONS(2330),
    [anon_sym_concept] = ACTIONS(2330),
    [anon_sym_co_return] = ACTIONS(2330),
    [anon_sym_co_yield] = ACTIONS(2330),
    [anon_sym_R_DQUOTE] = ACTIONS(2332),
    [anon_sym_LR_DQUOTE] = ACTIONS(2332),
    [anon_sym_uR_DQUOTE] = ACTIONS(2332),
    [anon_sym_UR_DQUOTE] = ACTIONS(2332),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2332),
    [anon_sym_co_await] = ACTIONS(2330),
    [anon_sym_new] = ACTIONS(2330),
    [anon_sym_requires] = ACTIONS(2330),
    [sym_this] = ACTIONS(2330),
    [anon_sym_discard] = ACTIONS(2330),
    [anon_sym_precise] = ACTIONS(2330),
    [anon_sym_shared] = ACTIONS(2330),
    [anon_sym_groupshared] = ACTIONS(2330),
    [anon_sym_uniform] = ACTIONS(2330),
    [anon_sym_row_major] = ACTIONS(2330),
    [anon_sym_column_major] = ACTIONS(2330),
    [anon_sym_globallycoherent] = ACTIONS(2330),
    [anon_sym_centroid] = ACTIONS(2330),
    [anon_sym_noperspective] = ACTIONS(2330),
    [anon_sym_nointerpolation] = ACTIONS(2330),
    [anon_sym_sample] = ACTIONS(2330),
    [anon_sym_linear] = ACTIONS(2330),
    [anon_sym_snorm] = ACTIONS(2330),
    [anon_sym_unorm] = ACTIONS(2330),
    [anon_sym_point] = ACTIONS(2330),
    [anon_sym_line] = ACTIONS(2330),
    [anon_sym_triangleadj] = ACTIONS(2330),
    [anon_sym_lineadj] = ACTIONS(2330),
    [anon_sym_triangle] = ACTIONS(2330),
    [anon_sym_cbuffer] = ACTIONS(2330),
  },
  [930] = {
    [sym_identifier] = ACTIONS(2330),
    [aux_sym_preproc_include_token1] = ACTIONS(2330),
    [aux_sym_preproc_def_token1] = ACTIONS(2330),
    [aux_sym_preproc_if_token1] = ACTIONS(2330),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2330),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2330),
    [sym_preproc_directive] = ACTIONS(2330),
    [anon_sym_LPAREN2] = ACTIONS(2332),
    [anon_sym_BANG] = ACTIONS(2332),
    [anon_sym_TILDE] = ACTIONS(2332),
    [anon_sym_DASH] = ACTIONS(2330),
    [anon_sym_PLUS] = ACTIONS(2330),
    [anon_sym_STAR] = ACTIONS(2332),
    [anon_sym_AMP_AMP] = ACTIONS(2332),
    [anon_sym_AMP] = ACTIONS(2330),
    [anon_sym_SEMI] = ACTIONS(2332),
    [anon_sym___extension__] = ACTIONS(2330),
    [anon_sym_typedef] = ACTIONS(2330),
    [anon_sym_in] = ACTIONS(2330),
    [anon_sym_out] = ACTIONS(2330),
    [anon_sym_inout] = ACTIONS(2330),
    [anon_sym_extern] = ACTIONS(2330),
    [anon_sym___attribute__] = ACTIONS(2330),
    [anon_sym_COLON_COLON] = ACTIONS(2332),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2332),
    [anon_sym___declspec] = ACTIONS(2330),
    [anon_sym___based] = ACTIONS(2330),
    [anon_sym___cdecl] = ACTIONS(2330),
    [anon_sym___clrcall] = ACTIONS(2330),
    [anon_sym___stdcall] = ACTIONS(2330),
    [anon_sym___fastcall] = ACTIONS(2330),
    [anon_sym___thiscall] = ACTIONS(2330),
    [anon_sym___vectorcall] = ACTIONS(2330),
    [anon_sym_LBRACE] = ACTIONS(2332),
    [anon_sym_RBRACE] = ACTIONS(2332),
    [anon_sym_signed] = ACTIONS(2330),
    [anon_sym_unsigned] = ACTIONS(2330),
    [anon_sym_long] = ACTIONS(2330),
    [anon_sym_short] = ACTIONS(2330),
    [anon_sym_LBRACK] = ACTIONS(2330),
    [anon_sym_static] = ACTIONS(2330),
    [anon_sym_register] = ACTIONS(2330),
    [anon_sym_inline] = ACTIONS(2330),
    [anon_sym___inline] = ACTIONS(2330),
    [anon_sym___inline__] = ACTIONS(2330),
    [anon_sym___forceinline] = ACTIONS(2330),
    [anon_sym_thread_local] = ACTIONS(2330),
    [anon_sym___thread] = ACTIONS(2330),
    [anon_sym_const] = ACTIONS(2330),
    [anon_sym_constexpr] = ACTIONS(2330),
    [anon_sym_volatile] = ACTIONS(2330),
    [anon_sym_restrict] = ACTIONS(2330),
    [anon_sym___restrict__] = ACTIONS(2330),
    [anon_sym__Atomic] = ACTIONS(2330),
    [anon_sym__Noreturn] = ACTIONS(2330),
    [anon_sym_noreturn] = ACTIONS(2330),
    [anon_sym_mutable] = ACTIONS(2330),
    [anon_sym_constinit] = ACTIONS(2330),
    [anon_sym_consteval] = ACTIONS(2330),
    [sym_primitive_type] = ACTIONS(2330),
    [anon_sym_enum] = ACTIONS(2330),
    [anon_sym_class] = ACTIONS(2330),
    [anon_sym_struct] = ACTIONS(2330),
    [anon_sym_union] = ACTIONS(2330),
    [anon_sym_if] = ACTIONS(2330),
    [anon_sym_else] = ACTIONS(2330),
    [anon_sym_switch] = ACTIONS(2330),
    [anon_sym_case] = ACTIONS(2330),
    [anon_sym_default] = ACTIONS(2330),
    [anon_sym_while] = ACTIONS(2330),
    [anon_sym_do] = ACTIONS(2330),
    [anon_sym_for] = ACTIONS(2330),
    [anon_sym_return] = ACTIONS(2330),
    [anon_sym_break] = ACTIONS(2330),
    [anon_sym_continue] = ACTIONS(2330),
    [anon_sym_goto] = ACTIONS(2330),
    [anon_sym___try] = ACTIONS(2330),
    [anon_sym___leave] = ACTIONS(2330),
    [anon_sym_not] = ACTIONS(2330),
    [anon_sym_compl] = ACTIONS(2330),
    [anon_sym_DASH_DASH] = ACTIONS(2332),
    [anon_sym_PLUS_PLUS] = ACTIONS(2332),
    [anon_sym_sizeof] = ACTIONS(2330),
    [anon_sym___alignof__] = ACTIONS(2330),
    [anon_sym___alignof] = ACTIONS(2330),
    [anon_sym__alignof] = ACTIONS(2330),
    [anon_sym_alignof] = ACTIONS(2330),
    [anon_sym__Alignof] = ACTIONS(2330),
    [anon_sym_offsetof] = ACTIONS(2330),
    [anon_sym__Generic] = ACTIONS(2330),
    [anon_sym_asm] = ACTIONS(2330),
    [anon_sym___asm__] = ACTIONS(2330),
    [sym_number_literal] = ACTIONS(2332),
    [anon_sym_L_SQUOTE] = ACTIONS(2332),
    [anon_sym_u_SQUOTE] = ACTIONS(2332),
    [anon_sym_U_SQUOTE] = ACTIONS(2332),
    [anon_sym_u8_SQUOTE] = ACTIONS(2332),
    [anon_sym_SQUOTE] = ACTIONS(2332),
    [anon_sym_L_DQUOTE] = ACTIONS(2332),
    [anon_sym_u_DQUOTE] = ACTIONS(2332),
    [anon_sym_U_DQUOTE] = ACTIONS(2332),
    [anon_sym_u8_DQUOTE] = ACTIONS(2332),
    [anon_sym_DQUOTE] = ACTIONS(2332),
    [sym_true] = ACTIONS(2330),
    [sym_false] = ACTIONS(2330),
    [anon_sym_NULL] = ACTIONS(2330),
    [anon_sym_nullptr] = ACTIONS(2330),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2330),
    [anon_sym_decltype] = ACTIONS(2330),
    [anon_sym_virtual] = ACTIONS(2330),
    [anon_sym_alignas] = ACTIONS(2330),
    [anon_sym_explicit] = ACTIONS(2330),
    [anon_sym_typename] = ACTIONS(2330),
    [anon_sym_template] = ACTIONS(2330),
    [anon_sym_operator] = ACTIONS(2330),
    [anon_sym_try] = ACTIONS(2330),
    [anon_sym_delete] = ACTIONS(2330),
    [anon_sym_throw] = ACTIONS(2330),
    [anon_sym_namespace] = ACTIONS(2330),
    [anon_sym_using] = ACTIONS(2330),
    [anon_sym_static_assert] = ACTIONS(2330),
    [anon_sym_concept] = ACTIONS(2330),
    [anon_sym_co_return] = ACTIONS(2330),
    [anon_sym_co_yield] = ACTIONS(2330),
    [anon_sym_R_DQUOTE] = ACTIONS(2332),
    [anon_sym_LR_DQUOTE] = ACTIONS(2332),
    [anon_sym_uR_DQUOTE] = ACTIONS(2332),
    [anon_sym_UR_DQUOTE] = ACTIONS(2332),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2332),
    [anon_sym_co_await] = ACTIONS(2330),
    [anon_sym_new] = ACTIONS(2330),
    [anon_sym_requires] = ACTIONS(2330),
    [sym_this] = ACTIONS(2330),
    [anon_sym_discard] = ACTIONS(2330),
    [anon_sym_precise] = ACTIONS(2330),
    [anon_sym_shared] = ACTIONS(2330),
    [anon_sym_groupshared] = ACTIONS(2330),
    [anon_sym_uniform] = ACTIONS(2330),
    [anon_sym_row_major] = ACTIONS(2330),
    [anon_sym_column_major] = ACTIONS(2330),
    [anon_sym_globallycoherent] = ACTIONS(2330),
    [anon_sym_centroid] = ACTIONS(2330),
    [anon_sym_noperspective] = ACTIONS(2330),
    [anon_sym_nointerpolation] = ACTIONS(2330),
    [anon_sym_sample] = ACTIONS(2330),
    [anon_sym_linear] = ACTIONS(2330),
    [anon_sym_snorm] = ACTIONS(2330),
    [anon_sym_unorm] = ACTIONS(2330),
    [anon_sym_point] = ACTIONS(2330),
    [anon_sym_line] = ACTIONS(2330),
    [anon_sym_triangleadj] = ACTIONS(2330),
    [anon_sym_lineadj] = ACTIONS(2330),
    [anon_sym_triangle] = ACTIONS(2330),
    [anon_sym_cbuffer] = ACTIONS(2330),
  },
  [931] = {
    [sym_identifier] = ACTIONS(2364),
    [aux_sym_preproc_include_token1] = ACTIONS(2364),
    [aux_sym_preproc_def_token1] = ACTIONS(2364),
    [aux_sym_preproc_if_token1] = ACTIONS(2364),
    [aux_sym_preproc_if_token2] = ACTIONS(2364),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2364),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2364),
    [sym_preproc_directive] = ACTIONS(2364),
    [anon_sym_LPAREN2] = ACTIONS(2366),
    [anon_sym_BANG] = ACTIONS(2366),
    [anon_sym_TILDE] = ACTIONS(2366),
    [anon_sym_DASH] = ACTIONS(2364),
    [anon_sym_PLUS] = ACTIONS(2364),
    [anon_sym_STAR] = ACTIONS(2366),
    [anon_sym_AMP_AMP] = ACTIONS(2366),
    [anon_sym_AMP] = ACTIONS(2364),
    [anon_sym_SEMI] = ACTIONS(2366),
    [anon_sym___extension__] = ACTIONS(2364),
    [anon_sym_typedef] = ACTIONS(2364),
    [anon_sym_in] = ACTIONS(2364),
    [anon_sym_out] = ACTIONS(2364),
    [anon_sym_inout] = ACTIONS(2364),
    [anon_sym_extern] = ACTIONS(2364),
    [anon_sym___attribute__] = ACTIONS(2364),
    [anon_sym_COLON_COLON] = ACTIONS(2366),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2366),
    [anon_sym___declspec] = ACTIONS(2364),
    [anon_sym___based] = ACTIONS(2364),
    [anon_sym___cdecl] = ACTIONS(2364),
    [anon_sym___clrcall] = ACTIONS(2364),
    [anon_sym___stdcall] = ACTIONS(2364),
    [anon_sym___fastcall] = ACTIONS(2364),
    [anon_sym___thiscall] = ACTIONS(2364),
    [anon_sym___vectorcall] = ACTIONS(2364),
    [anon_sym_LBRACE] = ACTIONS(2366),
    [anon_sym_signed] = ACTIONS(2364),
    [anon_sym_unsigned] = ACTIONS(2364),
    [anon_sym_long] = ACTIONS(2364),
    [anon_sym_short] = ACTIONS(2364),
    [anon_sym_LBRACK] = ACTIONS(2364),
    [anon_sym_static] = ACTIONS(2364),
    [anon_sym_register] = ACTIONS(2364),
    [anon_sym_inline] = ACTIONS(2364),
    [anon_sym___inline] = ACTIONS(2364),
    [anon_sym___inline__] = ACTIONS(2364),
    [anon_sym___forceinline] = ACTIONS(2364),
    [anon_sym_thread_local] = ACTIONS(2364),
    [anon_sym___thread] = ACTIONS(2364),
    [anon_sym_const] = ACTIONS(2364),
    [anon_sym_constexpr] = ACTIONS(2364),
    [anon_sym_volatile] = ACTIONS(2364),
    [anon_sym_restrict] = ACTIONS(2364),
    [anon_sym___restrict__] = ACTIONS(2364),
    [anon_sym__Atomic] = ACTIONS(2364),
    [anon_sym__Noreturn] = ACTIONS(2364),
    [anon_sym_noreturn] = ACTIONS(2364),
    [anon_sym_mutable] = ACTIONS(2364),
    [anon_sym_constinit] = ACTIONS(2364),
    [anon_sym_consteval] = ACTIONS(2364),
    [sym_primitive_type] = ACTIONS(2364),
    [anon_sym_enum] = ACTIONS(2364),
    [anon_sym_class] = ACTIONS(2364),
    [anon_sym_struct] = ACTIONS(2364),
    [anon_sym_union] = ACTIONS(2364),
    [anon_sym_if] = ACTIONS(2364),
    [anon_sym_else] = ACTIONS(2364),
    [anon_sym_switch] = ACTIONS(2364),
    [anon_sym_case] = ACTIONS(2364),
    [anon_sym_default] = ACTIONS(2364),
    [anon_sym_while] = ACTIONS(2364),
    [anon_sym_do] = ACTIONS(2364),
    [anon_sym_for] = ACTIONS(2364),
    [anon_sym_return] = ACTIONS(2364),
    [anon_sym_break] = ACTIONS(2364),
    [anon_sym_continue] = ACTIONS(2364),
    [anon_sym_goto] = ACTIONS(2364),
    [anon_sym___try] = ACTIONS(2364),
    [anon_sym___leave] = ACTIONS(2364),
    [anon_sym_not] = ACTIONS(2364),
    [anon_sym_compl] = ACTIONS(2364),
    [anon_sym_DASH_DASH] = ACTIONS(2366),
    [anon_sym_PLUS_PLUS] = ACTIONS(2366),
    [anon_sym_sizeof] = ACTIONS(2364),
    [anon_sym___alignof__] = ACTIONS(2364),
    [anon_sym___alignof] = ACTIONS(2364),
    [anon_sym__alignof] = ACTIONS(2364),
    [anon_sym_alignof] = ACTIONS(2364),
    [anon_sym__Alignof] = ACTIONS(2364),
    [anon_sym_offsetof] = ACTIONS(2364),
    [anon_sym__Generic] = ACTIONS(2364),
    [anon_sym_asm] = ACTIONS(2364),
    [anon_sym___asm__] = ACTIONS(2364),
    [sym_number_literal] = ACTIONS(2366),
    [anon_sym_L_SQUOTE] = ACTIONS(2366),
    [anon_sym_u_SQUOTE] = ACTIONS(2366),
    [anon_sym_U_SQUOTE] = ACTIONS(2366),
    [anon_sym_u8_SQUOTE] = ACTIONS(2366),
    [anon_sym_SQUOTE] = ACTIONS(2366),
    [anon_sym_L_DQUOTE] = ACTIONS(2366),
    [anon_sym_u_DQUOTE] = ACTIONS(2366),
    [anon_sym_U_DQUOTE] = ACTIONS(2366),
    [anon_sym_u8_DQUOTE] = ACTIONS(2366),
    [anon_sym_DQUOTE] = ACTIONS(2366),
    [sym_true] = ACTIONS(2364),
    [sym_false] = ACTIONS(2364),
    [anon_sym_NULL] = ACTIONS(2364),
    [anon_sym_nullptr] = ACTIONS(2364),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2364),
    [anon_sym_decltype] = ACTIONS(2364),
    [anon_sym_virtual] = ACTIONS(2364),
    [anon_sym_alignas] = ACTIONS(2364),
    [anon_sym_explicit] = ACTIONS(2364),
    [anon_sym_typename] = ACTIONS(2364),
    [anon_sym_template] = ACTIONS(2364),
    [anon_sym_operator] = ACTIONS(2364),
    [anon_sym_try] = ACTIONS(2364),
    [anon_sym_delete] = ACTIONS(2364),
    [anon_sym_throw] = ACTIONS(2364),
    [anon_sym_namespace] = ACTIONS(2364),
    [anon_sym_using] = ACTIONS(2364),
    [anon_sym_static_assert] = ACTIONS(2364),
    [anon_sym_concept] = ACTIONS(2364),
    [anon_sym_co_return] = ACTIONS(2364),
    [anon_sym_co_yield] = ACTIONS(2364),
    [anon_sym_R_DQUOTE] = ACTIONS(2366),
    [anon_sym_LR_DQUOTE] = ACTIONS(2366),
    [anon_sym_uR_DQUOTE] = ACTIONS(2366),
    [anon_sym_UR_DQUOTE] = ACTIONS(2366),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2366),
    [anon_sym_co_await] = ACTIONS(2364),
    [anon_sym_new] = ACTIONS(2364),
    [anon_sym_requires] = ACTIONS(2364),
    [sym_this] = ACTIONS(2364),
    [anon_sym_discard] = ACTIONS(2364),
    [anon_sym_precise] = ACTIONS(2364),
    [anon_sym_shared] = ACTIONS(2364),
    [anon_sym_groupshared] = ACTIONS(2364),
    [anon_sym_uniform] = ACTIONS(2364),
    [anon_sym_row_major] = ACTIONS(2364),
    [anon_sym_column_major] = ACTIONS(2364),
    [anon_sym_globallycoherent] = ACTIONS(2364),
    [anon_sym_centroid] = ACTIONS(2364),
    [anon_sym_noperspective] = ACTIONS(2364),
    [anon_sym_nointerpolation] = ACTIONS(2364),
    [anon_sym_sample] = ACTIONS(2364),
    [anon_sym_linear] = ACTIONS(2364),
    [anon_sym_snorm] = ACTIONS(2364),
    [anon_sym_unorm] = ACTIONS(2364),
    [anon_sym_point] = ACTIONS(2364),
    [anon_sym_line] = ACTIONS(2364),
    [anon_sym_triangleadj] = ACTIONS(2364),
    [anon_sym_lineadj] = ACTIONS(2364),
    [anon_sym_triangle] = ACTIONS(2364),
    [anon_sym_cbuffer] = ACTIONS(2364),
  },
  [932] = {
    [ts_builtin_sym_end] = ACTIONS(2418),
    [sym_identifier] = ACTIONS(2416),
    [aux_sym_preproc_include_token1] = ACTIONS(2416),
    [aux_sym_preproc_def_token1] = ACTIONS(2416),
    [aux_sym_preproc_if_token1] = ACTIONS(2416),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2416),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2416),
    [sym_preproc_directive] = ACTIONS(2416),
    [anon_sym_LPAREN2] = ACTIONS(2418),
    [anon_sym_BANG] = ACTIONS(2418),
    [anon_sym_TILDE] = ACTIONS(2418),
    [anon_sym_DASH] = ACTIONS(2416),
    [anon_sym_PLUS] = ACTIONS(2416),
    [anon_sym_STAR] = ACTIONS(2418),
    [anon_sym_AMP_AMP] = ACTIONS(2418),
    [anon_sym_AMP] = ACTIONS(2416),
    [anon_sym_SEMI] = ACTIONS(2418),
    [anon_sym___extension__] = ACTIONS(2416),
    [anon_sym_typedef] = ACTIONS(2416),
    [anon_sym_in] = ACTIONS(2416),
    [anon_sym_out] = ACTIONS(2416),
    [anon_sym_inout] = ACTIONS(2416),
    [anon_sym_extern] = ACTIONS(2416),
    [anon_sym___attribute__] = ACTIONS(2416),
    [anon_sym_COLON_COLON] = ACTIONS(2418),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2418),
    [anon_sym___declspec] = ACTIONS(2416),
    [anon_sym___based] = ACTIONS(2416),
    [anon_sym___cdecl] = ACTIONS(2416),
    [anon_sym___clrcall] = ACTIONS(2416),
    [anon_sym___stdcall] = ACTIONS(2416),
    [anon_sym___fastcall] = ACTIONS(2416),
    [anon_sym___thiscall] = ACTIONS(2416),
    [anon_sym___vectorcall] = ACTIONS(2416),
    [anon_sym_LBRACE] = ACTIONS(2418),
    [anon_sym_signed] = ACTIONS(2416),
    [anon_sym_unsigned] = ACTIONS(2416),
    [anon_sym_long] = ACTIONS(2416),
    [anon_sym_short] = ACTIONS(2416),
    [anon_sym_LBRACK] = ACTIONS(2416),
    [anon_sym_static] = ACTIONS(2416),
    [anon_sym_register] = ACTIONS(2416),
    [anon_sym_inline] = ACTIONS(2416),
    [anon_sym___inline] = ACTIONS(2416),
    [anon_sym___inline__] = ACTIONS(2416),
    [anon_sym___forceinline] = ACTIONS(2416),
    [anon_sym_thread_local] = ACTIONS(2416),
    [anon_sym___thread] = ACTIONS(2416),
    [anon_sym_const] = ACTIONS(2416),
    [anon_sym_constexpr] = ACTIONS(2416),
    [anon_sym_volatile] = ACTIONS(2416),
    [anon_sym_restrict] = ACTIONS(2416),
    [anon_sym___restrict__] = ACTIONS(2416),
    [anon_sym__Atomic] = ACTIONS(2416),
    [anon_sym__Noreturn] = ACTIONS(2416),
    [anon_sym_noreturn] = ACTIONS(2416),
    [anon_sym_mutable] = ACTIONS(2416),
    [anon_sym_constinit] = ACTIONS(2416),
    [anon_sym_consteval] = ACTIONS(2416),
    [sym_primitive_type] = ACTIONS(2416),
    [anon_sym_enum] = ACTIONS(2416),
    [anon_sym_class] = ACTIONS(2416),
    [anon_sym_struct] = ACTIONS(2416),
    [anon_sym_union] = ACTIONS(2416),
    [anon_sym_if] = ACTIONS(2416),
    [anon_sym_else] = ACTIONS(2416),
    [anon_sym_switch] = ACTIONS(2416),
    [anon_sym_case] = ACTIONS(2416),
    [anon_sym_default] = ACTIONS(2416),
    [anon_sym_while] = ACTIONS(2416),
    [anon_sym_do] = ACTIONS(2416),
    [anon_sym_for] = ACTIONS(2416),
    [anon_sym_return] = ACTIONS(2416),
    [anon_sym_break] = ACTIONS(2416),
    [anon_sym_continue] = ACTIONS(2416),
    [anon_sym_goto] = ACTIONS(2416),
    [anon_sym___try] = ACTIONS(2416),
    [anon_sym___leave] = ACTIONS(2416),
    [anon_sym_not] = ACTIONS(2416),
    [anon_sym_compl] = ACTIONS(2416),
    [anon_sym_DASH_DASH] = ACTIONS(2418),
    [anon_sym_PLUS_PLUS] = ACTIONS(2418),
    [anon_sym_sizeof] = ACTIONS(2416),
    [anon_sym___alignof__] = ACTIONS(2416),
    [anon_sym___alignof] = ACTIONS(2416),
    [anon_sym__alignof] = ACTIONS(2416),
    [anon_sym_alignof] = ACTIONS(2416),
    [anon_sym__Alignof] = ACTIONS(2416),
    [anon_sym_offsetof] = ACTIONS(2416),
    [anon_sym__Generic] = ACTIONS(2416),
    [anon_sym_asm] = ACTIONS(2416),
    [anon_sym___asm__] = ACTIONS(2416),
    [sym_number_literal] = ACTIONS(2418),
    [anon_sym_L_SQUOTE] = ACTIONS(2418),
    [anon_sym_u_SQUOTE] = ACTIONS(2418),
    [anon_sym_U_SQUOTE] = ACTIONS(2418),
    [anon_sym_u8_SQUOTE] = ACTIONS(2418),
    [anon_sym_SQUOTE] = ACTIONS(2418),
    [anon_sym_L_DQUOTE] = ACTIONS(2418),
    [anon_sym_u_DQUOTE] = ACTIONS(2418),
    [anon_sym_U_DQUOTE] = ACTIONS(2418),
    [anon_sym_u8_DQUOTE] = ACTIONS(2418),
    [anon_sym_DQUOTE] = ACTIONS(2418),
    [sym_true] = ACTIONS(2416),
    [sym_false] = ACTIONS(2416),
    [anon_sym_NULL] = ACTIONS(2416),
    [anon_sym_nullptr] = ACTIONS(2416),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2416),
    [anon_sym_decltype] = ACTIONS(2416),
    [anon_sym_virtual] = ACTIONS(2416),
    [anon_sym_alignas] = ACTIONS(2416),
    [anon_sym_explicit] = ACTIONS(2416),
    [anon_sym_typename] = ACTIONS(2416),
    [anon_sym_template] = ACTIONS(2416),
    [anon_sym_operator] = ACTIONS(2416),
    [anon_sym_try] = ACTIONS(2416),
    [anon_sym_delete] = ACTIONS(2416),
    [anon_sym_throw] = ACTIONS(2416),
    [anon_sym_namespace] = ACTIONS(2416),
    [anon_sym_using] = ACTIONS(2416),
    [anon_sym_static_assert] = ACTIONS(2416),
    [anon_sym_concept] = ACTIONS(2416),
    [anon_sym_co_return] = ACTIONS(2416),
    [anon_sym_co_yield] = ACTIONS(2416),
    [anon_sym_R_DQUOTE] = ACTIONS(2418),
    [anon_sym_LR_DQUOTE] = ACTIONS(2418),
    [anon_sym_uR_DQUOTE] = ACTIONS(2418),
    [anon_sym_UR_DQUOTE] = ACTIONS(2418),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2418),
    [anon_sym_co_await] = ACTIONS(2416),
    [anon_sym_new] = ACTIONS(2416),
    [anon_sym_requires] = ACTIONS(2416),
    [sym_this] = ACTIONS(2416),
    [anon_sym_discard] = ACTIONS(2416),
    [anon_sym_precise] = ACTIONS(2416),
    [anon_sym_shared] = ACTIONS(2416),
    [anon_sym_groupshared] = ACTIONS(2416),
    [anon_sym_uniform] = ACTIONS(2416),
    [anon_sym_row_major] = ACTIONS(2416),
    [anon_sym_column_major] = ACTIONS(2416),
    [anon_sym_globallycoherent] = ACTIONS(2416),
    [anon_sym_centroid] = ACTIONS(2416),
    [anon_sym_noperspective] = ACTIONS(2416),
    [anon_sym_nointerpolation] = ACTIONS(2416),
    [anon_sym_sample] = ACTIONS(2416),
    [anon_sym_linear] = ACTIONS(2416),
    [anon_sym_snorm] = ACTIONS(2416),
    [anon_sym_unorm] = ACTIONS(2416),
    [anon_sym_point] = ACTIONS(2416),
    [anon_sym_line] = ACTIONS(2416),
    [anon_sym_triangleadj] = ACTIONS(2416),
    [anon_sym_lineadj] = ACTIONS(2416),
    [anon_sym_triangle] = ACTIONS(2416),
    [anon_sym_cbuffer] = ACTIONS(2416),
  },
  [933] = {
    [sym_identifier] = ACTIONS(2330),
    [aux_sym_preproc_include_token1] = ACTIONS(2330),
    [aux_sym_preproc_def_token1] = ACTIONS(2330),
    [aux_sym_preproc_if_token1] = ACTIONS(2330),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2330),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2330),
    [sym_preproc_directive] = ACTIONS(2330),
    [anon_sym_LPAREN2] = ACTIONS(2332),
    [anon_sym_BANG] = ACTIONS(2332),
    [anon_sym_TILDE] = ACTIONS(2332),
    [anon_sym_DASH] = ACTIONS(2330),
    [anon_sym_PLUS] = ACTIONS(2330),
    [anon_sym_STAR] = ACTIONS(2332),
    [anon_sym_AMP_AMP] = ACTIONS(2332),
    [anon_sym_AMP] = ACTIONS(2330),
    [anon_sym_SEMI] = ACTIONS(2332),
    [anon_sym___extension__] = ACTIONS(2330),
    [anon_sym_typedef] = ACTIONS(2330),
    [anon_sym_in] = ACTIONS(2330),
    [anon_sym_out] = ACTIONS(2330),
    [anon_sym_inout] = ACTIONS(2330),
    [anon_sym_extern] = ACTIONS(2330),
    [anon_sym___attribute__] = ACTIONS(2330),
    [anon_sym_COLON_COLON] = ACTIONS(2332),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2332),
    [anon_sym___declspec] = ACTIONS(2330),
    [anon_sym___based] = ACTIONS(2330),
    [anon_sym___cdecl] = ACTIONS(2330),
    [anon_sym___clrcall] = ACTIONS(2330),
    [anon_sym___stdcall] = ACTIONS(2330),
    [anon_sym___fastcall] = ACTIONS(2330),
    [anon_sym___thiscall] = ACTIONS(2330),
    [anon_sym___vectorcall] = ACTIONS(2330),
    [anon_sym_LBRACE] = ACTIONS(2332),
    [anon_sym_RBRACE] = ACTIONS(2332),
    [anon_sym_signed] = ACTIONS(2330),
    [anon_sym_unsigned] = ACTIONS(2330),
    [anon_sym_long] = ACTIONS(2330),
    [anon_sym_short] = ACTIONS(2330),
    [anon_sym_LBRACK] = ACTIONS(2330),
    [anon_sym_static] = ACTIONS(2330),
    [anon_sym_register] = ACTIONS(2330),
    [anon_sym_inline] = ACTIONS(2330),
    [anon_sym___inline] = ACTIONS(2330),
    [anon_sym___inline__] = ACTIONS(2330),
    [anon_sym___forceinline] = ACTIONS(2330),
    [anon_sym_thread_local] = ACTIONS(2330),
    [anon_sym___thread] = ACTIONS(2330),
    [anon_sym_const] = ACTIONS(2330),
    [anon_sym_constexpr] = ACTIONS(2330),
    [anon_sym_volatile] = ACTIONS(2330),
    [anon_sym_restrict] = ACTIONS(2330),
    [anon_sym___restrict__] = ACTIONS(2330),
    [anon_sym__Atomic] = ACTIONS(2330),
    [anon_sym__Noreturn] = ACTIONS(2330),
    [anon_sym_noreturn] = ACTIONS(2330),
    [anon_sym_mutable] = ACTIONS(2330),
    [anon_sym_constinit] = ACTIONS(2330),
    [anon_sym_consteval] = ACTIONS(2330),
    [sym_primitive_type] = ACTIONS(2330),
    [anon_sym_enum] = ACTIONS(2330),
    [anon_sym_class] = ACTIONS(2330),
    [anon_sym_struct] = ACTIONS(2330),
    [anon_sym_union] = ACTIONS(2330),
    [anon_sym_if] = ACTIONS(2330),
    [anon_sym_else] = ACTIONS(2330),
    [anon_sym_switch] = ACTIONS(2330),
    [anon_sym_case] = ACTIONS(2330),
    [anon_sym_default] = ACTIONS(2330),
    [anon_sym_while] = ACTIONS(2330),
    [anon_sym_do] = ACTIONS(2330),
    [anon_sym_for] = ACTIONS(2330),
    [anon_sym_return] = ACTIONS(2330),
    [anon_sym_break] = ACTIONS(2330),
    [anon_sym_continue] = ACTIONS(2330),
    [anon_sym_goto] = ACTIONS(2330),
    [anon_sym___try] = ACTIONS(2330),
    [anon_sym___leave] = ACTIONS(2330),
    [anon_sym_not] = ACTIONS(2330),
    [anon_sym_compl] = ACTIONS(2330),
    [anon_sym_DASH_DASH] = ACTIONS(2332),
    [anon_sym_PLUS_PLUS] = ACTIONS(2332),
    [anon_sym_sizeof] = ACTIONS(2330),
    [anon_sym___alignof__] = ACTIONS(2330),
    [anon_sym___alignof] = ACTIONS(2330),
    [anon_sym__alignof] = ACTIONS(2330),
    [anon_sym_alignof] = ACTIONS(2330),
    [anon_sym__Alignof] = ACTIONS(2330),
    [anon_sym_offsetof] = ACTIONS(2330),
    [anon_sym__Generic] = ACTIONS(2330),
    [anon_sym_asm] = ACTIONS(2330),
    [anon_sym___asm__] = ACTIONS(2330),
    [sym_number_literal] = ACTIONS(2332),
    [anon_sym_L_SQUOTE] = ACTIONS(2332),
    [anon_sym_u_SQUOTE] = ACTIONS(2332),
    [anon_sym_U_SQUOTE] = ACTIONS(2332),
    [anon_sym_u8_SQUOTE] = ACTIONS(2332),
    [anon_sym_SQUOTE] = ACTIONS(2332),
    [anon_sym_L_DQUOTE] = ACTIONS(2332),
    [anon_sym_u_DQUOTE] = ACTIONS(2332),
    [anon_sym_U_DQUOTE] = ACTIONS(2332),
    [anon_sym_u8_DQUOTE] = ACTIONS(2332),
    [anon_sym_DQUOTE] = ACTIONS(2332),
    [sym_true] = ACTIONS(2330),
    [sym_false] = ACTIONS(2330),
    [anon_sym_NULL] = ACTIONS(2330),
    [anon_sym_nullptr] = ACTIONS(2330),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2330),
    [anon_sym_decltype] = ACTIONS(2330),
    [anon_sym_virtual] = ACTIONS(2330),
    [anon_sym_alignas] = ACTIONS(2330),
    [anon_sym_explicit] = ACTIONS(2330),
    [anon_sym_typename] = ACTIONS(2330),
    [anon_sym_template] = ACTIONS(2330),
    [anon_sym_operator] = ACTIONS(2330),
    [anon_sym_try] = ACTIONS(2330),
    [anon_sym_delete] = ACTIONS(2330),
    [anon_sym_throw] = ACTIONS(2330),
    [anon_sym_namespace] = ACTIONS(2330),
    [anon_sym_using] = ACTIONS(2330),
    [anon_sym_static_assert] = ACTIONS(2330),
    [anon_sym_concept] = ACTIONS(2330),
    [anon_sym_co_return] = ACTIONS(2330),
    [anon_sym_co_yield] = ACTIONS(2330),
    [anon_sym_R_DQUOTE] = ACTIONS(2332),
    [anon_sym_LR_DQUOTE] = ACTIONS(2332),
    [anon_sym_uR_DQUOTE] = ACTIONS(2332),
    [anon_sym_UR_DQUOTE] = ACTIONS(2332),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2332),
    [anon_sym_co_await] = ACTIONS(2330),
    [anon_sym_new] = ACTIONS(2330),
    [anon_sym_requires] = ACTIONS(2330),
    [sym_this] = ACTIONS(2330),
    [anon_sym_discard] = ACTIONS(2330),
    [anon_sym_precise] = ACTIONS(2330),
    [anon_sym_shared] = ACTIONS(2330),
    [anon_sym_groupshared] = ACTIONS(2330),
    [anon_sym_uniform] = ACTIONS(2330),
    [anon_sym_row_major] = ACTIONS(2330),
    [anon_sym_column_major] = ACTIONS(2330),
    [anon_sym_globallycoherent] = ACTIONS(2330),
    [anon_sym_centroid] = ACTIONS(2330),
    [anon_sym_noperspective] = ACTIONS(2330),
    [anon_sym_nointerpolation] = ACTIONS(2330),
    [anon_sym_sample] = ACTIONS(2330),
    [anon_sym_linear] = ACTIONS(2330),
    [anon_sym_snorm] = ACTIONS(2330),
    [anon_sym_unorm] = ACTIONS(2330),
    [anon_sym_point] = ACTIONS(2330),
    [anon_sym_line] = ACTIONS(2330),
    [anon_sym_triangleadj] = ACTIONS(2330),
    [anon_sym_lineadj] = ACTIONS(2330),
    [anon_sym_triangle] = ACTIONS(2330),
    [anon_sym_cbuffer] = ACTIONS(2330),
  },
  [934] = {
    [ts_builtin_sym_end] = ACTIONS(2394),
    [sym_identifier] = ACTIONS(2392),
    [aux_sym_preproc_include_token1] = ACTIONS(2392),
    [aux_sym_preproc_def_token1] = ACTIONS(2392),
    [aux_sym_preproc_if_token1] = ACTIONS(2392),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2392),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2392),
    [sym_preproc_directive] = ACTIONS(2392),
    [anon_sym_LPAREN2] = ACTIONS(2394),
    [anon_sym_BANG] = ACTIONS(2394),
    [anon_sym_TILDE] = ACTIONS(2394),
    [anon_sym_DASH] = ACTIONS(2392),
    [anon_sym_PLUS] = ACTIONS(2392),
    [anon_sym_STAR] = ACTIONS(2394),
    [anon_sym_AMP_AMP] = ACTIONS(2394),
    [anon_sym_AMP] = ACTIONS(2392),
    [anon_sym_SEMI] = ACTIONS(2394),
    [anon_sym___extension__] = ACTIONS(2392),
    [anon_sym_typedef] = ACTIONS(2392),
    [anon_sym_in] = ACTIONS(2392),
    [anon_sym_out] = ACTIONS(2392),
    [anon_sym_inout] = ACTIONS(2392),
    [anon_sym_extern] = ACTIONS(2392),
    [anon_sym___attribute__] = ACTIONS(2392),
    [anon_sym_COLON_COLON] = ACTIONS(2394),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2394),
    [anon_sym___declspec] = ACTIONS(2392),
    [anon_sym___based] = ACTIONS(2392),
    [anon_sym___cdecl] = ACTIONS(2392),
    [anon_sym___clrcall] = ACTIONS(2392),
    [anon_sym___stdcall] = ACTIONS(2392),
    [anon_sym___fastcall] = ACTIONS(2392),
    [anon_sym___thiscall] = ACTIONS(2392),
    [anon_sym___vectorcall] = ACTIONS(2392),
    [anon_sym_LBRACE] = ACTIONS(2394),
    [anon_sym_signed] = ACTIONS(2392),
    [anon_sym_unsigned] = ACTIONS(2392),
    [anon_sym_long] = ACTIONS(2392),
    [anon_sym_short] = ACTIONS(2392),
    [anon_sym_LBRACK] = ACTIONS(2392),
    [anon_sym_static] = ACTIONS(2392),
    [anon_sym_register] = ACTIONS(2392),
    [anon_sym_inline] = ACTIONS(2392),
    [anon_sym___inline] = ACTIONS(2392),
    [anon_sym___inline__] = ACTIONS(2392),
    [anon_sym___forceinline] = ACTIONS(2392),
    [anon_sym_thread_local] = ACTIONS(2392),
    [anon_sym___thread] = ACTIONS(2392),
    [anon_sym_const] = ACTIONS(2392),
    [anon_sym_constexpr] = ACTIONS(2392),
    [anon_sym_volatile] = ACTIONS(2392),
    [anon_sym_restrict] = ACTIONS(2392),
    [anon_sym___restrict__] = ACTIONS(2392),
    [anon_sym__Atomic] = ACTIONS(2392),
    [anon_sym__Noreturn] = ACTIONS(2392),
    [anon_sym_noreturn] = ACTIONS(2392),
    [anon_sym_mutable] = ACTIONS(2392),
    [anon_sym_constinit] = ACTIONS(2392),
    [anon_sym_consteval] = ACTIONS(2392),
    [sym_primitive_type] = ACTIONS(2392),
    [anon_sym_enum] = ACTIONS(2392),
    [anon_sym_class] = ACTIONS(2392),
    [anon_sym_struct] = ACTIONS(2392),
    [anon_sym_union] = ACTIONS(2392),
    [anon_sym_if] = ACTIONS(2392),
    [anon_sym_else] = ACTIONS(2392),
    [anon_sym_switch] = ACTIONS(2392),
    [anon_sym_case] = ACTIONS(2392),
    [anon_sym_default] = ACTIONS(2392),
    [anon_sym_while] = ACTIONS(2392),
    [anon_sym_do] = ACTIONS(2392),
    [anon_sym_for] = ACTIONS(2392),
    [anon_sym_return] = ACTIONS(2392),
    [anon_sym_break] = ACTIONS(2392),
    [anon_sym_continue] = ACTIONS(2392),
    [anon_sym_goto] = ACTIONS(2392),
    [anon_sym___try] = ACTIONS(2392),
    [anon_sym___leave] = ACTIONS(2392),
    [anon_sym_not] = ACTIONS(2392),
    [anon_sym_compl] = ACTIONS(2392),
    [anon_sym_DASH_DASH] = ACTIONS(2394),
    [anon_sym_PLUS_PLUS] = ACTIONS(2394),
    [anon_sym_sizeof] = ACTIONS(2392),
    [anon_sym___alignof__] = ACTIONS(2392),
    [anon_sym___alignof] = ACTIONS(2392),
    [anon_sym__alignof] = ACTIONS(2392),
    [anon_sym_alignof] = ACTIONS(2392),
    [anon_sym__Alignof] = ACTIONS(2392),
    [anon_sym_offsetof] = ACTIONS(2392),
    [anon_sym__Generic] = ACTIONS(2392),
    [anon_sym_asm] = ACTIONS(2392),
    [anon_sym___asm__] = ACTIONS(2392),
    [sym_number_literal] = ACTIONS(2394),
    [anon_sym_L_SQUOTE] = ACTIONS(2394),
    [anon_sym_u_SQUOTE] = ACTIONS(2394),
    [anon_sym_U_SQUOTE] = ACTIONS(2394),
    [anon_sym_u8_SQUOTE] = ACTIONS(2394),
    [anon_sym_SQUOTE] = ACTIONS(2394),
    [anon_sym_L_DQUOTE] = ACTIONS(2394),
    [anon_sym_u_DQUOTE] = ACTIONS(2394),
    [anon_sym_U_DQUOTE] = ACTIONS(2394),
    [anon_sym_u8_DQUOTE] = ACTIONS(2394),
    [anon_sym_DQUOTE] = ACTIONS(2394),
    [sym_true] = ACTIONS(2392),
    [sym_false] = ACTIONS(2392),
    [anon_sym_NULL] = ACTIONS(2392),
    [anon_sym_nullptr] = ACTIONS(2392),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2392),
    [anon_sym_decltype] = ACTIONS(2392),
    [anon_sym_virtual] = ACTIONS(2392),
    [anon_sym_alignas] = ACTIONS(2392),
    [anon_sym_explicit] = ACTIONS(2392),
    [anon_sym_typename] = ACTIONS(2392),
    [anon_sym_template] = ACTIONS(2392),
    [anon_sym_operator] = ACTIONS(2392),
    [anon_sym_try] = ACTIONS(2392),
    [anon_sym_delete] = ACTIONS(2392),
    [anon_sym_throw] = ACTIONS(2392),
    [anon_sym_namespace] = ACTIONS(2392),
    [anon_sym_using] = ACTIONS(2392),
    [anon_sym_static_assert] = ACTIONS(2392),
    [anon_sym_concept] = ACTIONS(2392),
    [anon_sym_co_return] = ACTIONS(2392),
    [anon_sym_co_yield] = ACTIONS(2392),
    [anon_sym_R_DQUOTE] = ACTIONS(2394),
    [anon_sym_LR_DQUOTE] = ACTIONS(2394),
    [anon_sym_uR_DQUOTE] = ACTIONS(2394),
    [anon_sym_UR_DQUOTE] = ACTIONS(2394),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2394),
    [anon_sym_co_await] = ACTIONS(2392),
    [anon_sym_new] = ACTIONS(2392),
    [anon_sym_requires] = ACTIONS(2392),
    [sym_this] = ACTIONS(2392),
    [anon_sym_discard] = ACTIONS(2392),
    [anon_sym_precise] = ACTIONS(2392),
    [anon_sym_shared] = ACTIONS(2392),
    [anon_sym_groupshared] = ACTIONS(2392),
    [anon_sym_uniform] = ACTIONS(2392),
    [anon_sym_row_major] = ACTIONS(2392),
    [anon_sym_column_major] = ACTIONS(2392),
    [anon_sym_globallycoherent] = ACTIONS(2392),
    [anon_sym_centroid] = ACTIONS(2392),
    [anon_sym_noperspective] = ACTIONS(2392),
    [anon_sym_nointerpolation] = ACTIONS(2392),
    [anon_sym_sample] = ACTIONS(2392),
    [anon_sym_linear] = ACTIONS(2392),
    [anon_sym_snorm] = ACTIONS(2392),
    [anon_sym_unorm] = ACTIONS(2392),
    [anon_sym_point] = ACTIONS(2392),
    [anon_sym_line] = ACTIONS(2392),
    [anon_sym_triangleadj] = ACTIONS(2392),
    [anon_sym_lineadj] = ACTIONS(2392),
    [anon_sym_triangle] = ACTIONS(2392),
    [anon_sym_cbuffer] = ACTIONS(2392),
  },
  [935] = {
    [ts_builtin_sym_end] = ACTIONS(2366),
    [sym_identifier] = ACTIONS(2364),
    [aux_sym_preproc_include_token1] = ACTIONS(2364),
    [aux_sym_preproc_def_token1] = ACTIONS(2364),
    [aux_sym_preproc_if_token1] = ACTIONS(2364),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2364),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2364),
    [sym_preproc_directive] = ACTIONS(2364),
    [anon_sym_LPAREN2] = ACTIONS(2366),
    [anon_sym_BANG] = ACTIONS(2366),
    [anon_sym_TILDE] = ACTIONS(2366),
    [anon_sym_DASH] = ACTIONS(2364),
    [anon_sym_PLUS] = ACTIONS(2364),
    [anon_sym_STAR] = ACTIONS(2366),
    [anon_sym_AMP_AMP] = ACTIONS(2366),
    [anon_sym_AMP] = ACTIONS(2364),
    [anon_sym_SEMI] = ACTIONS(2366),
    [anon_sym___extension__] = ACTIONS(2364),
    [anon_sym_typedef] = ACTIONS(2364),
    [anon_sym_in] = ACTIONS(2364),
    [anon_sym_out] = ACTIONS(2364),
    [anon_sym_inout] = ACTIONS(2364),
    [anon_sym_extern] = ACTIONS(2364),
    [anon_sym___attribute__] = ACTIONS(2364),
    [anon_sym_COLON_COLON] = ACTIONS(2366),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2366),
    [anon_sym___declspec] = ACTIONS(2364),
    [anon_sym___based] = ACTIONS(2364),
    [anon_sym___cdecl] = ACTIONS(2364),
    [anon_sym___clrcall] = ACTIONS(2364),
    [anon_sym___stdcall] = ACTIONS(2364),
    [anon_sym___fastcall] = ACTIONS(2364),
    [anon_sym___thiscall] = ACTIONS(2364),
    [anon_sym___vectorcall] = ACTIONS(2364),
    [anon_sym_LBRACE] = ACTIONS(2366),
    [anon_sym_signed] = ACTIONS(2364),
    [anon_sym_unsigned] = ACTIONS(2364),
    [anon_sym_long] = ACTIONS(2364),
    [anon_sym_short] = ACTIONS(2364),
    [anon_sym_LBRACK] = ACTIONS(2364),
    [anon_sym_static] = ACTIONS(2364),
    [anon_sym_register] = ACTIONS(2364),
    [anon_sym_inline] = ACTIONS(2364),
    [anon_sym___inline] = ACTIONS(2364),
    [anon_sym___inline__] = ACTIONS(2364),
    [anon_sym___forceinline] = ACTIONS(2364),
    [anon_sym_thread_local] = ACTIONS(2364),
    [anon_sym___thread] = ACTIONS(2364),
    [anon_sym_const] = ACTIONS(2364),
    [anon_sym_constexpr] = ACTIONS(2364),
    [anon_sym_volatile] = ACTIONS(2364),
    [anon_sym_restrict] = ACTIONS(2364),
    [anon_sym___restrict__] = ACTIONS(2364),
    [anon_sym__Atomic] = ACTIONS(2364),
    [anon_sym__Noreturn] = ACTIONS(2364),
    [anon_sym_noreturn] = ACTIONS(2364),
    [anon_sym_mutable] = ACTIONS(2364),
    [anon_sym_constinit] = ACTIONS(2364),
    [anon_sym_consteval] = ACTIONS(2364),
    [sym_primitive_type] = ACTIONS(2364),
    [anon_sym_enum] = ACTIONS(2364),
    [anon_sym_class] = ACTIONS(2364),
    [anon_sym_struct] = ACTIONS(2364),
    [anon_sym_union] = ACTIONS(2364),
    [anon_sym_if] = ACTIONS(2364),
    [anon_sym_else] = ACTIONS(2364),
    [anon_sym_switch] = ACTIONS(2364),
    [anon_sym_case] = ACTIONS(2364),
    [anon_sym_default] = ACTIONS(2364),
    [anon_sym_while] = ACTIONS(2364),
    [anon_sym_do] = ACTIONS(2364),
    [anon_sym_for] = ACTIONS(2364),
    [anon_sym_return] = ACTIONS(2364),
    [anon_sym_break] = ACTIONS(2364),
    [anon_sym_continue] = ACTIONS(2364),
    [anon_sym_goto] = ACTIONS(2364),
    [anon_sym___try] = ACTIONS(2364),
    [anon_sym___leave] = ACTIONS(2364),
    [anon_sym_not] = ACTIONS(2364),
    [anon_sym_compl] = ACTIONS(2364),
    [anon_sym_DASH_DASH] = ACTIONS(2366),
    [anon_sym_PLUS_PLUS] = ACTIONS(2366),
    [anon_sym_sizeof] = ACTIONS(2364),
    [anon_sym___alignof__] = ACTIONS(2364),
    [anon_sym___alignof] = ACTIONS(2364),
    [anon_sym__alignof] = ACTIONS(2364),
    [anon_sym_alignof] = ACTIONS(2364),
    [anon_sym__Alignof] = ACTIONS(2364),
    [anon_sym_offsetof] = ACTIONS(2364),
    [anon_sym__Generic] = ACTIONS(2364),
    [anon_sym_asm] = ACTIONS(2364),
    [anon_sym___asm__] = ACTIONS(2364),
    [sym_number_literal] = ACTIONS(2366),
    [anon_sym_L_SQUOTE] = ACTIONS(2366),
    [anon_sym_u_SQUOTE] = ACTIONS(2366),
    [anon_sym_U_SQUOTE] = ACTIONS(2366),
    [anon_sym_u8_SQUOTE] = ACTIONS(2366),
    [anon_sym_SQUOTE] = ACTIONS(2366),
    [anon_sym_L_DQUOTE] = ACTIONS(2366),
    [anon_sym_u_DQUOTE] = ACTIONS(2366),
    [anon_sym_U_DQUOTE] = ACTIONS(2366),
    [anon_sym_u8_DQUOTE] = ACTIONS(2366),
    [anon_sym_DQUOTE] = ACTIONS(2366),
    [sym_true] = ACTIONS(2364),
    [sym_false] = ACTIONS(2364),
    [anon_sym_NULL] = ACTIONS(2364),
    [anon_sym_nullptr] = ACTIONS(2364),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2364),
    [anon_sym_decltype] = ACTIONS(2364),
    [anon_sym_virtual] = ACTIONS(2364),
    [anon_sym_alignas] = ACTIONS(2364),
    [anon_sym_explicit] = ACTIONS(2364),
    [anon_sym_typename] = ACTIONS(2364),
    [anon_sym_template] = ACTIONS(2364),
    [anon_sym_operator] = ACTIONS(2364),
    [anon_sym_try] = ACTIONS(2364),
    [anon_sym_delete] = ACTIONS(2364),
    [anon_sym_throw] = ACTIONS(2364),
    [anon_sym_namespace] = ACTIONS(2364),
    [anon_sym_using] = ACTIONS(2364),
    [anon_sym_static_assert] = ACTIONS(2364),
    [anon_sym_concept] = ACTIONS(2364),
    [anon_sym_co_return] = ACTIONS(2364),
    [anon_sym_co_yield] = ACTIONS(2364),
    [anon_sym_R_DQUOTE] = ACTIONS(2366),
    [anon_sym_LR_DQUOTE] = ACTIONS(2366),
    [anon_sym_uR_DQUOTE] = ACTIONS(2366),
    [anon_sym_UR_DQUOTE] = ACTIONS(2366),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2366),
    [anon_sym_co_await] = ACTIONS(2364),
    [anon_sym_new] = ACTIONS(2364),
    [anon_sym_requires] = ACTIONS(2364),
    [sym_this] = ACTIONS(2364),
    [anon_sym_discard] = ACTIONS(2364),
    [anon_sym_precise] = ACTIONS(2364),
    [anon_sym_shared] = ACTIONS(2364),
    [anon_sym_groupshared] = ACTIONS(2364),
    [anon_sym_uniform] = ACTIONS(2364),
    [anon_sym_row_major] = ACTIONS(2364),
    [anon_sym_column_major] = ACTIONS(2364),
    [anon_sym_globallycoherent] = ACTIONS(2364),
    [anon_sym_centroid] = ACTIONS(2364),
    [anon_sym_noperspective] = ACTIONS(2364),
    [anon_sym_nointerpolation] = ACTIONS(2364),
    [anon_sym_sample] = ACTIONS(2364),
    [anon_sym_linear] = ACTIONS(2364),
    [anon_sym_snorm] = ACTIONS(2364),
    [anon_sym_unorm] = ACTIONS(2364),
    [anon_sym_point] = ACTIONS(2364),
    [anon_sym_line] = ACTIONS(2364),
    [anon_sym_triangleadj] = ACTIONS(2364),
    [anon_sym_lineadj] = ACTIONS(2364),
    [anon_sym_triangle] = ACTIONS(2364),
    [anon_sym_cbuffer] = ACTIONS(2364),
  },
  [936] = {
    [sym_identifier] = ACTIONS(2448),
    [aux_sym_preproc_include_token1] = ACTIONS(2448),
    [aux_sym_preproc_def_token1] = ACTIONS(2448),
    [aux_sym_preproc_if_token1] = ACTIONS(2448),
    [aux_sym_preproc_if_token2] = ACTIONS(2448),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2448),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2448),
    [sym_preproc_directive] = ACTIONS(2448),
    [anon_sym_LPAREN2] = ACTIONS(2450),
    [anon_sym_BANG] = ACTIONS(2450),
    [anon_sym_TILDE] = ACTIONS(2450),
    [anon_sym_DASH] = ACTIONS(2448),
    [anon_sym_PLUS] = ACTIONS(2448),
    [anon_sym_STAR] = ACTIONS(2450),
    [anon_sym_AMP_AMP] = ACTIONS(2450),
    [anon_sym_AMP] = ACTIONS(2448),
    [anon_sym_SEMI] = ACTIONS(2450),
    [anon_sym___extension__] = ACTIONS(2448),
    [anon_sym_typedef] = ACTIONS(2448),
    [anon_sym_in] = ACTIONS(2448),
    [anon_sym_out] = ACTIONS(2448),
    [anon_sym_inout] = ACTIONS(2448),
    [anon_sym_extern] = ACTIONS(2448),
    [anon_sym___attribute__] = ACTIONS(2448),
    [anon_sym_COLON_COLON] = ACTIONS(2450),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2450),
    [anon_sym___declspec] = ACTIONS(2448),
    [anon_sym___based] = ACTIONS(2448),
    [anon_sym___cdecl] = ACTIONS(2448),
    [anon_sym___clrcall] = ACTIONS(2448),
    [anon_sym___stdcall] = ACTIONS(2448),
    [anon_sym___fastcall] = ACTIONS(2448),
    [anon_sym___thiscall] = ACTIONS(2448),
    [anon_sym___vectorcall] = ACTIONS(2448),
    [anon_sym_LBRACE] = ACTIONS(2450),
    [anon_sym_signed] = ACTIONS(2448),
    [anon_sym_unsigned] = ACTIONS(2448),
    [anon_sym_long] = ACTIONS(2448),
    [anon_sym_short] = ACTIONS(2448),
    [anon_sym_LBRACK] = ACTIONS(2448),
    [anon_sym_static] = ACTIONS(2448),
    [anon_sym_register] = ACTIONS(2448),
    [anon_sym_inline] = ACTIONS(2448),
    [anon_sym___inline] = ACTIONS(2448),
    [anon_sym___inline__] = ACTIONS(2448),
    [anon_sym___forceinline] = ACTIONS(2448),
    [anon_sym_thread_local] = ACTIONS(2448),
    [anon_sym___thread] = ACTIONS(2448),
    [anon_sym_const] = ACTIONS(2448),
    [anon_sym_constexpr] = ACTIONS(2448),
    [anon_sym_volatile] = ACTIONS(2448),
    [anon_sym_restrict] = ACTIONS(2448),
    [anon_sym___restrict__] = ACTIONS(2448),
    [anon_sym__Atomic] = ACTIONS(2448),
    [anon_sym__Noreturn] = ACTIONS(2448),
    [anon_sym_noreturn] = ACTIONS(2448),
    [anon_sym_mutable] = ACTIONS(2448),
    [anon_sym_constinit] = ACTIONS(2448),
    [anon_sym_consteval] = ACTIONS(2448),
    [sym_primitive_type] = ACTIONS(2448),
    [anon_sym_enum] = ACTIONS(2448),
    [anon_sym_class] = ACTIONS(2448),
    [anon_sym_struct] = ACTIONS(2448),
    [anon_sym_union] = ACTIONS(2448),
    [anon_sym_if] = ACTIONS(2448),
    [anon_sym_else] = ACTIONS(2448),
    [anon_sym_switch] = ACTIONS(2448),
    [anon_sym_case] = ACTIONS(2448),
    [anon_sym_default] = ACTIONS(2448),
    [anon_sym_while] = ACTIONS(2448),
    [anon_sym_do] = ACTIONS(2448),
    [anon_sym_for] = ACTIONS(2448),
    [anon_sym_return] = ACTIONS(2448),
    [anon_sym_break] = ACTIONS(2448),
    [anon_sym_continue] = ACTIONS(2448),
    [anon_sym_goto] = ACTIONS(2448),
    [anon_sym___try] = ACTIONS(2448),
    [anon_sym___leave] = ACTIONS(2448),
    [anon_sym_not] = ACTIONS(2448),
    [anon_sym_compl] = ACTIONS(2448),
    [anon_sym_DASH_DASH] = ACTIONS(2450),
    [anon_sym_PLUS_PLUS] = ACTIONS(2450),
    [anon_sym_sizeof] = ACTIONS(2448),
    [anon_sym___alignof__] = ACTIONS(2448),
    [anon_sym___alignof] = ACTIONS(2448),
    [anon_sym__alignof] = ACTIONS(2448),
    [anon_sym_alignof] = ACTIONS(2448),
    [anon_sym__Alignof] = ACTIONS(2448),
    [anon_sym_offsetof] = ACTIONS(2448),
    [anon_sym__Generic] = ACTIONS(2448),
    [anon_sym_asm] = ACTIONS(2448),
    [anon_sym___asm__] = ACTIONS(2448),
    [sym_number_literal] = ACTIONS(2450),
    [anon_sym_L_SQUOTE] = ACTIONS(2450),
    [anon_sym_u_SQUOTE] = ACTIONS(2450),
    [anon_sym_U_SQUOTE] = ACTIONS(2450),
    [anon_sym_u8_SQUOTE] = ACTIONS(2450),
    [anon_sym_SQUOTE] = ACTIONS(2450),
    [anon_sym_L_DQUOTE] = ACTIONS(2450),
    [anon_sym_u_DQUOTE] = ACTIONS(2450),
    [anon_sym_U_DQUOTE] = ACTIONS(2450),
    [anon_sym_u8_DQUOTE] = ACTIONS(2450),
    [anon_sym_DQUOTE] = ACTIONS(2450),
    [sym_true] = ACTIONS(2448),
    [sym_false] = ACTIONS(2448),
    [anon_sym_NULL] = ACTIONS(2448),
    [anon_sym_nullptr] = ACTIONS(2448),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2448),
    [anon_sym_decltype] = ACTIONS(2448),
    [anon_sym_virtual] = ACTIONS(2448),
    [anon_sym_alignas] = ACTIONS(2448),
    [anon_sym_explicit] = ACTIONS(2448),
    [anon_sym_typename] = ACTIONS(2448),
    [anon_sym_template] = ACTIONS(2448),
    [anon_sym_operator] = ACTIONS(2448),
    [anon_sym_try] = ACTIONS(2448),
    [anon_sym_delete] = ACTIONS(2448),
    [anon_sym_throw] = ACTIONS(2448),
    [anon_sym_namespace] = ACTIONS(2448),
    [anon_sym_using] = ACTIONS(2448),
    [anon_sym_static_assert] = ACTIONS(2448),
    [anon_sym_concept] = ACTIONS(2448),
    [anon_sym_co_return] = ACTIONS(2448),
    [anon_sym_co_yield] = ACTIONS(2448),
    [anon_sym_R_DQUOTE] = ACTIONS(2450),
    [anon_sym_LR_DQUOTE] = ACTIONS(2450),
    [anon_sym_uR_DQUOTE] = ACTIONS(2450),
    [anon_sym_UR_DQUOTE] = ACTIONS(2450),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2450),
    [anon_sym_co_await] = ACTIONS(2448),
    [anon_sym_new] = ACTIONS(2448),
    [anon_sym_requires] = ACTIONS(2448),
    [sym_this] = ACTIONS(2448),
    [anon_sym_discard] = ACTIONS(2448),
    [anon_sym_precise] = ACTIONS(2448),
    [anon_sym_shared] = ACTIONS(2448),
    [anon_sym_groupshared] = ACTIONS(2448),
    [anon_sym_uniform] = ACTIONS(2448),
    [anon_sym_row_major] = ACTIONS(2448),
    [anon_sym_column_major] = ACTIONS(2448),
    [anon_sym_globallycoherent] = ACTIONS(2448),
    [anon_sym_centroid] = ACTIONS(2448),
    [anon_sym_noperspective] = ACTIONS(2448),
    [anon_sym_nointerpolation] = ACTIONS(2448),
    [anon_sym_sample] = ACTIONS(2448),
    [anon_sym_linear] = ACTIONS(2448),
    [anon_sym_snorm] = ACTIONS(2448),
    [anon_sym_unorm] = ACTIONS(2448),
    [anon_sym_point] = ACTIONS(2448),
    [anon_sym_line] = ACTIONS(2448),
    [anon_sym_triangleadj] = ACTIONS(2448),
    [anon_sym_lineadj] = ACTIONS(2448),
    [anon_sym_triangle] = ACTIONS(2448),
    [anon_sym_cbuffer] = ACTIONS(2448),
  },
  [937] = {
    [ts_builtin_sym_end] = ACTIONS(2352),
    [sym_identifier] = ACTIONS(2350),
    [aux_sym_preproc_include_token1] = ACTIONS(2350),
    [aux_sym_preproc_def_token1] = ACTIONS(2350),
    [aux_sym_preproc_if_token1] = ACTIONS(2350),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2350),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2350),
    [sym_preproc_directive] = ACTIONS(2350),
    [anon_sym_LPAREN2] = ACTIONS(2352),
    [anon_sym_BANG] = ACTIONS(2352),
    [anon_sym_TILDE] = ACTIONS(2352),
    [anon_sym_DASH] = ACTIONS(2350),
    [anon_sym_PLUS] = ACTIONS(2350),
    [anon_sym_STAR] = ACTIONS(2352),
    [anon_sym_AMP_AMP] = ACTIONS(2352),
    [anon_sym_AMP] = ACTIONS(2350),
    [anon_sym_SEMI] = ACTIONS(2352),
    [anon_sym___extension__] = ACTIONS(2350),
    [anon_sym_typedef] = ACTIONS(2350),
    [anon_sym_in] = ACTIONS(2350),
    [anon_sym_out] = ACTIONS(2350),
    [anon_sym_inout] = ACTIONS(2350),
    [anon_sym_extern] = ACTIONS(2350),
    [anon_sym___attribute__] = ACTIONS(2350),
    [anon_sym_COLON_COLON] = ACTIONS(2352),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2352),
    [anon_sym___declspec] = ACTIONS(2350),
    [anon_sym___based] = ACTIONS(2350),
    [anon_sym___cdecl] = ACTIONS(2350),
    [anon_sym___clrcall] = ACTIONS(2350),
    [anon_sym___stdcall] = ACTIONS(2350),
    [anon_sym___fastcall] = ACTIONS(2350),
    [anon_sym___thiscall] = ACTIONS(2350),
    [anon_sym___vectorcall] = ACTIONS(2350),
    [anon_sym_LBRACE] = ACTIONS(2352),
    [anon_sym_signed] = ACTIONS(2350),
    [anon_sym_unsigned] = ACTIONS(2350),
    [anon_sym_long] = ACTIONS(2350),
    [anon_sym_short] = ACTIONS(2350),
    [anon_sym_LBRACK] = ACTIONS(2350),
    [anon_sym_static] = ACTIONS(2350),
    [anon_sym_register] = ACTIONS(2350),
    [anon_sym_inline] = ACTIONS(2350),
    [anon_sym___inline] = ACTIONS(2350),
    [anon_sym___inline__] = ACTIONS(2350),
    [anon_sym___forceinline] = ACTIONS(2350),
    [anon_sym_thread_local] = ACTIONS(2350),
    [anon_sym___thread] = ACTIONS(2350),
    [anon_sym_const] = ACTIONS(2350),
    [anon_sym_constexpr] = ACTIONS(2350),
    [anon_sym_volatile] = ACTIONS(2350),
    [anon_sym_restrict] = ACTIONS(2350),
    [anon_sym___restrict__] = ACTIONS(2350),
    [anon_sym__Atomic] = ACTIONS(2350),
    [anon_sym__Noreturn] = ACTIONS(2350),
    [anon_sym_noreturn] = ACTIONS(2350),
    [anon_sym_mutable] = ACTIONS(2350),
    [anon_sym_constinit] = ACTIONS(2350),
    [anon_sym_consteval] = ACTIONS(2350),
    [sym_primitive_type] = ACTIONS(2350),
    [anon_sym_enum] = ACTIONS(2350),
    [anon_sym_class] = ACTIONS(2350),
    [anon_sym_struct] = ACTIONS(2350),
    [anon_sym_union] = ACTIONS(2350),
    [anon_sym_if] = ACTIONS(2350),
    [anon_sym_else] = ACTIONS(2350),
    [anon_sym_switch] = ACTIONS(2350),
    [anon_sym_case] = ACTIONS(2350),
    [anon_sym_default] = ACTIONS(2350),
    [anon_sym_while] = ACTIONS(2350),
    [anon_sym_do] = ACTIONS(2350),
    [anon_sym_for] = ACTIONS(2350),
    [anon_sym_return] = ACTIONS(2350),
    [anon_sym_break] = ACTIONS(2350),
    [anon_sym_continue] = ACTIONS(2350),
    [anon_sym_goto] = ACTIONS(2350),
    [anon_sym___try] = ACTIONS(2350),
    [anon_sym___leave] = ACTIONS(2350),
    [anon_sym_not] = ACTIONS(2350),
    [anon_sym_compl] = ACTIONS(2350),
    [anon_sym_DASH_DASH] = ACTIONS(2352),
    [anon_sym_PLUS_PLUS] = ACTIONS(2352),
    [anon_sym_sizeof] = ACTIONS(2350),
    [anon_sym___alignof__] = ACTIONS(2350),
    [anon_sym___alignof] = ACTIONS(2350),
    [anon_sym__alignof] = ACTIONS(2350),
    [anon_sym_alignof] = ACTIONS(2350),
    [anon_sym__Alignof] = ACTIONS(2350),
    [anon_sym_offsetof] = ACTIONS(2350),
    [anon_sym__Generic] = ACTIONS(2350),
    [anon_sym_asm] = ACTIONS(2350),
    [anon_sym___asm__] = ACTIONS(2350),
    [sym_number_literal] = ACTIONS(2352),
    [anon_sym_L_SQUOTE] = ACTIONS(2352),
    [anon_sym_u_SQUOTE] = ACTIONS(2352),
    [anon_sym_U_SQUOTE] = ACTIONS(2352),
    [anon_sym_u8_SQUOTE] = ACTIONS(2352),
    [anon_sym_SQUOTE] = ACTIONS(2352),
    [anon_sym_L_DQUOTE] = ACTIONS(2352),
    [anon_sym_u_DQUOTE] = ACTIONS(2352),
    [anon_sym_U_DQUOTE] = ACTIONS(2352),
    [anon_sym_u8_DQUOTE] = ACTIONS(2352),
    [anon_sym_DQUOTE] = ACTIONS(2352),
    [sym_true] = ACTIONS(2350),
    [sym_false] = ACTIONS(2350),
    [anon_sym_NULL] = ACTIONS(2350),
    [anon_sym_nullptr] = ACTIONS(2350),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2350),
    [anon_sym_decltype] = ACTIONS(2350),
    [anon_sym_virtual] = ACTIONS(2350),
    [anon_sym_alignas] = ACTIONS(2350),
    [anon_sym_explicit] = ACTIONS(2350),
    [anon_sym_typename] = ACTIONS(2350),
    [anon_sym_template] = ACTIONS(2350),
    [anon_sym_operator] = ACTIONS(2350),
    [anon_sym_try] = ACTIONS(2350),
    [anon_sym_delete] = ACTIONS(2350),
    [anon_sym_throw] = ACTIONS(2350),
    [anon_sym_namespace] = ACTIONS(2350),
    [anon_sym_using] = ACTIONS(2350),
    [anon_sym_static_assert] = ACTIONS(2350),
    [anon_sym_concept] = ACTIONS(2350),
    [anon_sym_co_return] = ACTIONS(2350),
    [anon_sym_co_yield] = ACTIONS(2350),
    [anon_sym_R_DQUOTE] = ACTIONS(2352),
    [anon_sym_LR_DQUOTE] = ACTIONS(2352),
    [anon_sym_uR_DQUOTE] = ACTIONS(2352),
    [anon_sym_UR_DQUOTE] = ACTIONS(2352),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2352),
    [anon_sym_co_await] = ACTIONS(2350),
    [anon_sym_new] = ACTIONS(2350),
    [anon_sym_requires] = ACTIONS(2350),
    [sym_this] = ACTIONS(2350),
    [anon_sym_discard] = ACTIONS(2350),
    [anon_sym_precise] = ACTIONS(2350),
    [anon_sym_shared] = ACTIONS(2350),
    [anon_sym_groupshared] = ACTIONS(2350),
    [anon_sym_uniform] = ACTIONS(2350),
    [anon_sym_row_major] = ACTIONS(2350),
    [anon_sym_column_major] = ACTIONS(2350),
    [anon_sym_globallycoherent] = ACTIONS(2350),
    [anon_sym_centroid] = ACTIONS(2350),
    [anon_sym_noperspective] = ACTIONS(2350),
    [anon_sym_nointerpolation] = ACTIONS(2350),
    [anon_sym_sample] = ACTIONS(2350),
    [anon_sym_linear] = ACTIONS(2350),
    [anon_sym_snorm] = ACTIONS(2350),
    [anon_sym_unorm] = ACTIONS(2350),
    [anon_sym_point] = ACTIONS(2350),
    [anon_sym_line] = ACTIONS(2350),
    [anon_sym_triangleadj] = ACTIONS(2350),
    [anon_sym_lineadj] = ACTIONS(2350),
    [anon_sym_triangle] = ACTIONS(2350),
    [anon_sym_cbuffer] = ACTIONS(2350),
  },
  [938] = {
    [sym_identifier] = ACTIONS(2330),
    [aux_sym_preproc_include_token1] = ACTIONS(2330),
    [aux_sym_preproc_def_token1] = ACTIONS(2330),
    [aux_sym_preproc_if_token1] = ACTIONS(2330),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2330),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2330),
    [sym_preproc_directive] = ACTIONS(2330),
    [anon_sym_LPAREN2] = ACTIONS(2332),
    [anon_sym_BANG] = ACTIONS(2332),
    [anon_sym_TILDE] = ACTIONS(2332),
    [anon_sym_DASH] = ACTIONS(2330),
    [anon_sym_PLUS] = ACTIONS(2330),
    [anon_sym_STAR] = ACTIONS(2332),
    [anon_sym_AMP_AMP] = ACTIONS(2332),
    [anon_sym_AMP] = ACTIONS(2330),
    [anon_sym_SEMI] = ACTIONS(2332),
    [anon_sym___extension__] = ACTIONS(2330),
    [anon_sym_typedef] = ACTIONS(2330),
    [anon_sym_in] = ACTIONS(2330),
    [anon_sym_out] = ACTIONS(2330),
    [anon_sym_inout] = ACTIONS(2330),
    [anon_sym_extern] = ACTIONS(2330),
    [anon_sym___attribute__] = ACTIONS(2330),
    [anon_sym_COLON_COLON] = ACTIONS(2332),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2332),
    [anon_sym___declspec] = ACTIONS(2330),
    [anon_sym___based] = ACTIONS(2330),
    [anon_sym___cdecl] = ACTIONS(2330),
    [anon_sym___clrcall] = ACTIONS(2330),
    [anon_sym___stdcall] = ACTIONS(2330),
    [anon_sym___fastcall] = ACTIONS(2330),
    [anon_sym___thiscall] = ACTIONS(2330),
    [anon_sym___vectorcall] = ACTIONS(2330),
    [anon_sym_LBRACE] = ACTIONS(2332),
    [anon_sym_RBRACE] = ACTIONS(2332),
    [anon_sym_signed] = ACTIONS(2330),
    [anon_sym_unsigned] = ACTIONS(2330),
    [anon_sym_long] = ACTIONS(2330),
    [anon_sym_short] = ACTIONS(2330),
    [anon_sym_LBRACK] = ACTIONS(2330),
    [anon_sym_static] = ACTIONS(2330),
    [anon_sym_register] = ACTIONS(2330),
    [anon_sym_inline] = ACTIONS(2330),
    [anon_sym___inline] = ACTIONS(2330),
    [anon_sym___inline__] = ACTIONS(2330),
    [anon_sym___forceinline] = ACTIONS(2330),
    [anon_sym_thread_local] = ACTIONS(2330),
    [anon_sym___thread] = ACTIONS(2330),
    [anon_sym_const] = ACTIONS(2330),
    [anon_sym_constexpr] = ACTIONS(2330),
    [anon_sym_volatile] = ACTIONS(2330),
    [anon_sym_restrict] = ACTIONS(2330),
    [anon_sym___restrict__] = ACTIONS(2330),
    [anon_sym__Atomic] = ACTIONS(2330),
    [anon_sym__Noreturn] = ACTIONS(2330),
    [anon_sym_noreturn] = ACTIONS(2330),
    [anon_sym_mutable] = ACTIONS(2330),
    [anon_sym_constinit] = ACTIONS(2330),
    [anon_sym_consteval] = ACTIONS(2330),
    [sym_primitive_type] = ACTIONS(2330),
    [anon_sym_enum] = ACTIONS(2330),
    [anon_sym_class] = ACTIONS(2330),
    [anon_sym_struct] = ACTIONS(2330),
    [anon_sym_union] = ACTIONS(2330),
    [anon_sym_if] = ACTIONS(2330),
    [anon_sym_else] = ACTIONS(2330),
    [anon_sym_switch] = ACTIONS(2330),
    [anon_sym_case] = ACTIONS(2330),
    [anon_sym_default] = ACTIONS(2330),
    [anon_sym_while] = ACTIONS(2330),
    [anon_sym_do] = ACTIONS(2330),
    [anon_sym_for] = ACTIONS(2330),
    [anon_sym_return] = ACTIONS(2330),
    [anon_sym_break] = ACTIONS(2330),
    [anon_sym_continue] = ACTIONS(2330),
    [anon_sym_goto] = ACTIONS(2330),
    [anon_sym___try] = ACTIONS(2330),
    [anon_sym___leave] = ACTIONS(2330),
    [anon_sym_not] = ACTIONS(2330),
    [anon_sym_compl] = ACTIONS(2330),
    [anon_sym_DASH_DASH] = ACTIONS(2332),
    [anon_sym_PLUS_PLUS] = ACTIONS(2332),
    [anon_sym_sizeof] = ACTIONS(2330),
    [anon_sym___alignof__] = ACTIONS(2330),
    [anon_sym___alignof] = ACTIONS(2330),
    [anon_sym__alignof] = ACTIONS(2330),
    [anon_sym_alignof] = ACTIONS(2330),
    [anon_sym__Alignof] = ACTIONS(2330),
    [anon_sym_offsetof] = ACTIONS(2330),
    [anon_sym__Generic] = ACTIONS(2330),
    [anon_sym_asm] = ACTIONS(2330),
    [anon_sym___asm__] = ACTIONS(2330),
    [sym_number_literal] = ACTIONS(2332),
    [anon_sym_L_SQUOTE] = ACTIONS(2332),
    [anon_sym_u_SQUOTE] = ACTIONS(2332),
    [anon_sym_U_SQUOTE] = ACTIONS(2332),
    [anon_sym_u8_SQUOTE] = ACTIONS(2332),
    [anon_sym_SQUOTE] = ACTIONS(2332),
    [anon_sym_L_DQUOTE] = ACTIONS(2332),
    [anon_sym_u_DQUOTE] = ACTIONS(2332),
    [anon_sym_U_DQUOTE] = ACTIONS(2332),
    [anon_sym_u8_DQUOTE] = ACTIONS(2332),
    [anon_sym_DQUOTE] = ACTIONS(2332),
    [sym_true] = ACTIONS(2330),
    [sym_false] = ACTIONS(2330),
    [anon_sym_NULL] = ACTIONS(2330),
    [anon_sym_nullptr] = ACTIONS(2330),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2330),
    [anon_sym_decltype] = ACTIONS(2330),
    [anon_sym_virtual] = ACTIONS(2330),
    [anon_sym_alignas] = ACTIONS(2330),
    [anon_sym_explicit] = ACTIONS(2330),
    [anon_sym_typename] = ACTIONS(2330),
    [anon_sym_template] = ACTIONS(2330),
    [anon_sym_operator] = ACTIONS(2330),
    [anon_sym_try] = ACTIONS(2330),
    [anon_sym_delete] = ACTIONS(2330),
    [anon_sym_throw] = ACTIONS(2330),
    [anon_sym_namespace] = ACTIONS(2330),
    [anon_sym_using] = ACTIONS(2330),
    [anon_sym_static_assert] = ACTIONS(2330),
    [anon_sym_concept] = ACTIONS(2330),
    [anon_sym_co_return] = ACTIONS(2330),
    [anon_sym_co_yield] = ACTIONS(2330),
    [anon_sym_R_DQUOTE] = ACTIONS(2332),
    [anon_sym_LR_DQUOTE] = ACTIONS(2332),
    [anon_sym_uR_DQUOTE] = ACTIONS(2332),
    [anon_sym_UR_DQUOTE] = ACTIONS(2332),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2332),
    [anon_sym_co_await] = ACTIONS(2330),
    [anon_sym_new] = ACTIONS(2330),
    [anon_sym_requires] = ACTIONS(2330),
    [sym_this] = ACTIONS(2330),
    [anon_sym_discard] = ACTIONS(2330),
    [anon_sym_precise] = ACTIONS(2330),
    [anon_sym_shared] = ACTIONS(2330),
    [anon_sym_groupshared] = ACTIONS(2330),
    [anon_sym_uniform] = ACTIONS(2330),
    [anon_sym_row_major] = ACTIONS(2330),
    [anon_sym_column_major] = ACTIONS(2330),
    [anon_sym_globallycoherent] = ACTIONS(2330),
    [anon_sym_centroid] = ACTIONS(2330),
    [anon_sym_noperspective] = ACTIONS(2330),
    [anon_sym_nointerpolation] = ACTIONS(2330),
    [anon_sym_sample] = ACTIONS(2330),
    [anon_sym_linear] = ACTIONS(2330),
    [anon_sym_snorm] = ACTIONS(2330),
    [anon_sym_unorm] = ACTIONS(2330),
    [anon_sym_point] = ACTIONS(2330),
    [anon_sym_line] = ACTIONS(2330),
    [anon_sym_triangleadj] = ACTIONS(2330),
    [anon_sym_lineadj] = ACTIONS(2330),
    [anon_sym_triangle] = ACTIONS(2330),
    [anon_sym_cbuffer] = ACTIONS(2330),
  },
  [939] = {
    [sym_identifier] = ACTIONS(2330),
    [aux_sym_preproc_include_token1] = ACTIONS(2330),
    [aux_sym_preproc_def_token1] = ACTIONS(2330),
    [aux_sym_preproc_if_token1] = ACTIONS(2330),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2330),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2330),
    [sym_preproc_directive] = ACTIONS(2330),
    [anon_sym_LPAREN2] = ACTIONS(2332),
    [anon_sym_BANG] = ACTIONS(2332),
    [anon_sym_TILDE] = ACTIONS(2332),
    [anon_sym_DASH] = ACTIONS(2330),
    [anon_sym_PLUS] = ACTIONS(2330),
    [anon_sym_STAR] = ACTIONS(2332),
    [anon_sym_AMP_AMP] = ACTIONS(2332),
    [anon_sym_AMP] = ACTIONS(2330),
    [anon_sym_SEMI] = ACTIONS(2332),
    [anon_sym___extension__] = ACTIONS(2330),
    [anon_sym_typedef] = ACTIONS(2330),
    [anon_sym_in] = ACTIONS(2330),
    [anon_sym_out] = ACTIONS(2330),
    [anon_sym_inout] = ACTIONS(2330),
    [anon_sym_extern] = ACTIONS(2330),
    [anon_sym___attribute__] = ACTIONS(2330),
    [anon_sym_COLON_COLON] = ACTIONS(2332),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2332),
    [anon_sym___declspec] = ACTIONS(2330),
    [anon_sym___based] = ACTIONS(2330),
    [anon_sym___cdecl] = ACTIONS(2330),
    [anon_sym___clrcall] = ACTIONS(2330),
    [anon_sym___stdcall] = ACTIONS(2330),
    [anon_sym___fastcall] = ACTIONS(2330),
    [anon_sym___thiscall] = ACTIONS(2330),
    [anon_sym___vectorcall] = ACTIONS(2330),
    [anon_sym_LBRACE] = ACTIONS(2332),
    [anon_sym_RBRACE] = ACTIONS(2332),
    [anon_sym_signed] = ACTIONS(2330),
    [anon_sym_unsigned] = ACTIONS(2330),
    [anon_sym_long] = ACTIONS(2330),
    [anon_sym_short] = ACTIONS(2330),
    [anon_sym_LBRACK] = ACTIONS(2330),
    [anon_sym_static] = ACTIONS(2330),
    [anon_sym_register] = ACTIONS(2330),
    [anon_sym_inline] = ACTIONS(2330),
    [anon_sym___inline] = ACTIONS(2330),
    [anon_sym___inline__] = ACTIONS(2330),
    [anon_sym___forceinline] = ACTIONS(2330),
    [anon_sym_thread_local] = ACTIONS(2330),
    [anon_sym___thread] = ACTIONS(2330),
    [anon_sym_const] = ACTIONS(2330),
    [anon_sym_constexpr] = ACTIONS(2330),
    [anon_sym_volatile] = ACTIONS(2330),
    [anon_sym_restrict] = ACTIONS(2330),
    [anon_sym___restrict__] = ACTIONS(2330),
    [anon_sym__Atomic] = ACTIONS(2330),
    [anon_sym__Noreturn] = ACTIONS(2330),
    [anon_sym_noreturn] = ACTIONS(2330),
    [anon_sym_mutable] = ACTIONS(2330),
    [anon_sym_constinit] = ACTIONS(2330),
    [anon_sym_consteval] = ACTIONS(2330),
    [sym_primitive_type] = ACTIONS(2330),
    [anon_sym_enum] = ACTIONS(2330),
    [anon_sym_class] = ACTIONS(2330),
    [anon_sym_struct] = ACTIONS(2330),
    [anon_sym_union] = ACTIONS(2330),
    [anon_sym_if] = ACTIONS(2330),
    [anon_sym_else] = ACTIONS(2330),
    [anon_sym_switch] = ACTIONS(2330),
    [anon_sym_case] = ACTIONS(2330),
    [anon_sym_default] = ACTIONS(2330),
    [anon_sym_while] = ACTIONS(2330),
    [anon_sym_do] = ACTIONS(2330),
    [anon_sym_for] = ACTIONS(2330),
    [anon_sym_return] = ACTIONS(2330),
    [anon_sym_break] = ACTIONS(2330),
    [anon_sym_continue] = ACTIONS(2330),
    [anon_sym_goto] = ACTIONS(2330),
    [anon_sym___try] = ACTIONS(2330),
    [anon_sym___leave] = ACTIONS(2330),
    [anon_sym_not] = ACTIONS(2330),
    [anon_sym_compl] = ACTIONS(2330),
    [anon_sym_DASH_DASH] = ACTIONS(2332),
    [anon_sym_PLUS_PLUS] = ACTIONS(2332),
    [anon_sym_sizeof] = ACTIONS(2330),
    [anon_sym___alignof__] = ACTIONS(2330),
    [anon_sym___alignof] = ACTIONS(2330),
    [anon_sym__alignof] = ACTIONS(2330),
    [anon_sym_alignof] = ACTIONS(2330),
    [anon_sym__Alignof] = ACTIONS(2330),
    [anon_sym_offsetof] = ACTIONS(2330),
    [anon_sym__Generic] = ACTIONS(2330),
    [anon_sym_asm] = ACTIONS(2330),
    [anon_sym___asm__] = ACTIONS(2330),
    [sym_number_literal] = ACTIONS(2332),
    [anon_sym_L_SQUOTE] = ACTIONS(2332),
    [anon_sym_u_SQUOTE] = ACTIONS(2332),
    [anon_sym_U_SQUOTE] = ACTIONS(2332),
    [anon_sym_u8_SQUOTE] = ACTIONS(2332),
    [anon_sym_SQUOTE] = ACTIONS(2332),
    [anon_sym_L_DQUOTE] = ACTIONS(2332),
    [anon_sym_u_DQUOTE] = ACTIONS(2332),
    [anon_sym_U_DQUOTE] = ACTIONS(2332),
    [anon_sym_u8_DQUOTE] = ACTIONS(2332),
    [anon_sym_DQUOTE] = ACTIONS(2332),
    [sym_true] = ACTIONS(2330),
    [sym_false] = ACTIONS(2330),
    [anon_sym_NULL] = ACTIONS(2330),
    [anon_sym_nullptr] = ACTIONS(2330),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2330),
    [anon_sym_decltype] = ACTIONS(2330),
    [anon_sym_virtual] = ACTIONS(2330),
    [anon_sym_alignas] = ACTIONS(2330),
    [anon_sym_explicit] = ACTIONS(2330),
    [anon_sym_typename] = ACTIONS(2330),
    [anon_sym_template] = ACTIONS(2330),
    [anon_sym_operator] = ACTIONS(2330),
    [anon_sym_try] = ACTIONS(2330),
    [anon_sym_delete] = ACTIONS(2330),
    [anon_sym_throw] = ACTIONS(2330),
    [anon_sym_namespace] = ACTIONS(2330),
    [anon_sym_using] = ACTIONS(2330),
    [anon_sym_static_assert] = ACTIONS(2330),
    [anon_sym_concept] = ACTIONS(2330),
    [anon_sym_co_return] = ACTIONS(2330),
    [anon_sym_co_yield] = ACTIONS(2330),
    [anon_sym_R_DQUOTE] = ACTIONS(2332),
    [anon_sym_LR_DQUOTE] = ACTIONS(2332),
    [anon_sym_uR_DQUOTE] = ACTIONS(2332),
    [anon_sym_UR_DQUOTE] = ACTIONS(2332),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2332),
    [anon_sym_co_await] = ACTIONS(2330),
    [anon_sym_new] = ACTIONS(2330),
    [anon_sym_requires] = ACTIONS(2330),
    [sym_this] = ACTIONS(2330),
    [anon_sym_discard] = ACTIONS(2330),
    [anon_sym_precise] = ACTIONS(2330),
    [anon_sym_shared] = ACTIONS(2330),
    [anon_sym_groupshared] = ACTIONS(2330),
    [anon_sym_uniform] = ACTIONS(2330),
    [anon_sym_row_major] = ACTIONS(2330),
    [anon_sym_column_major] = ACTIONS(2330),
    [anon_sym_globallycoherent] = ACTIONS(2330),
    [anon_sym_centroid] = ACTIONS(2330),
    [anon_sym_noperspective] = ACTIONS(2330),
    [anon_sym_nointerpolation] = ACTIONS(2330),
    [anon_sym_sample] = ACTIONS(2330),
    [anon_sym_linear] = ACTIONS(2330),
    [anon_sym_snorm] = ACTIONS(2330),
    [anon_sym_unorm] = ACTIONS(2330),
    [anon_sym_point] = ACTIONS(2330),
    [anon_sym_line] = ACTIONS(2330),
    [anon_sym_triangleadj] = ACTIONS(2330),
    [anon_sym_lineadj] = ACTIONS(2330),
    [anon_sym_triangle] = ACTIONS(2330),
    [anon_sym_cbuffer] = ACTIONS(2330),
  },
  [940] = {
    [sym_identifier] = ACTIONS(2364),
    [aux_sym_preproc_include_token1] = ACTIONS(2364),
    [aux_sym_preproc_def_token1] = ACTIONS(2364),
    [aux_sym_preproc_if_token1] = ACTIONS(2364),
    [aux_sym_preproc_if_token2] = ACTIONS(2364),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2364),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2364),
    [sym_preproc_directive] = ACTIONS(2364),
    [anon_sym_LPAREN2] = ACTIONS(2366),
    [anon_sym_BANG] = ACTIONS(2366),
    [anon_sym_TILDE] = ACTIONS(2366),
    [anon_sym_DASH] = ACTIONS(2364),
    [anon_sym_PLUS] = ACTIONS(2364),
    [anon_sym_STAR] = ACTIONS(2366),
    [anon_sym_AMP_AMP] = ACTIONS(2366),
    [anon_sym_AMP] = ACTIONS(2364),
    [anon_sym_SEMI] = ACTIONS(2366),
    [anon_sym___extension__] = ACTIONS(2364),
    [anon_sym_typedef] = ACTIONS(2364),
    [anon_sym_in] = ACTIONS(2364),
    [anon_sym_out] = ACTIONS(2364),
    [anon_sym_inout] = ACTIONS(2364),
    [anon_sym_extern] = ACTIONS(2364),
    [anon_sym___attribute__] = ACTIONS(2364),
    [anon_sym_COLON_COLON] = ACTIONS(2366),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2366),
    [anon_sym___declspec] = ACTIONS(2364),
    [anon_sym___based] = ACTIONS(2364),
    [anon_sym___cdecl] = ACTIONS(2364),
    [anon_sym___clrcall] = ACTIONS(2364),
    [anon_sym___stdcall] = ACTIONS(2364),
    [anon_sym___fastcall] = ACTIONS(2364),
    [anon_sym___thiscall] = ACTIONS(2364),
    [anon_sym___vectorcall] = ACTIONS(2364),
    [anon_sym_LBRACE] = ACTIONS(2366),
    [anon_sym_signed] = ACTIONS(2364),
    [anon_sym_unsigned] = ACTIONS(2364),
    [anon_sym_long] = ACTIONS(2364),
    [anon_sym_short] = ACTIONS(2364),
    [anon_sym_LBRACK] = ACTIONS(2364),
    [anon_sym_static] = ACTIONS(2364),
    [anon_sym_register] = ACTIONS(2364),
    [anon_sym_inline] = ACTIONS(2364),
    [anon_sym___inline] = ACTIONS(2364),
    [anon_sym___inline__] = ACTIONS(2364),
    [anon_sym___forceinline] = ACTIONS(2364),
    [anon_sym_thread_local] = ACTIONS(2364),
    [anon_sym___thread] = ACTIONS(2364),
    [anon_sym_const] = ACTIONS(2364),
    [anon_sym_constexpr] = ACTIONS(2364),
    [anon_sym_volatile] = ACTIONS(2364),
    [anon_sym_restrict] = ACTIONS(2364),
    [anon_sym___restrict__] = ACTIONS(2364),
    [anon_sym__Atomic] = ACTIONS(2364),
    [anon_sym__Noreturn] = ACTIONS(2364),
    [anon_sym_noreturn] = ACTIONS(2364),
    [anon_sym_mutable] = ACTIONS(2364),
    [anon_sym_constinit] = ACTIONS(2364),
    [anon_sym_consteval] = ACTIONS(2364),
    [sym_primitive_type] = ACTIONS(2364),
    [anon_sym_enum] = ACTIONS(2364),
    [anon_sym_class] = ACTIONS(2364),
    [anon_sym_struct] = ACTIONS(2364),
    [anon_sym_union] = ACTIONS(2364),
    [anon_sym_if] = ACTIONS(2364),
    [anon_sym_else] = ACTIONS(2364),
    [anon_sym_switch] = ACTIONS(2364),
    [anon_sym_case] = ACTIONS(2364),
    [anon_sym_default] = ACTIONS(2364),
    [anon_sym_while] = ACTIONS(2364),
    [anon_sym_do] = ACTIONS(2364),
    [anon_sym_for] = ACTIONS(2364),
    [anon_sym_return] = ACTIONS(2364),
    [anon_sym_break] = ACTIONS(2364),
    [anon_sym_continue] = ACTIONS(2364),
    [anon_sym_goto] = ACTIONS(2364),
    [anon_sym___try] = ACTIONS(2364),
    [anon_sym___leave] = ACTIONS(2364),
    [anon_sym_not] = ACTIONS(2364),
    [anon_sym_compl] = ACTIONS(2364),
    [anon_sym_DASH_DASH] = ACTIONS(2366),
    [anon_sym_PLUS_PLUS] = ACTIONS(2366),
    [anon_sym_sizeof] = ACTIONS(2364),
    [anon_sym___alignof__] = ACTIONS(2364),
    [anon_sym___alignof] = ACTIONS(2364),
    [anon_sym__alignof] = ACTIONS(2364),
    [anon_sym_alignof] = ACTIONS(2364),
    [anon_sym__Alignof] = ACTIONS(2364),
    [anon_sym_offsetof] = ACTIONS(2364),
    [anon_sym__Generic] = ACTIONS(2364),
    [anon_sym_asm] = ACTIONS(2364),
    [anon_sym___asm__] = ACTIONS(2364),
    [sym_number_literal] = ACTIONS(2366),
    [anon_sym_L_SQUOTE] = ACTIONS(2366),
    [anon_sym_u_SQUOTE] = ACTIONS(2366),
    [anon_sym_U_SQUOTE] = ACTIONS(2366),
    [anon_sym_u8_SQUOTE] = ACTIONS(2366),
    [anon_sym_SQUOTE] = ACTIONS(2366),
    [anon_sym_L_DQUOTE] = ACTIONS(2366),
    [anon_sym_u_DQUOTE] = ACTIONS(2366),
    [anon_sym_U_DQUOTE] = ACTIONS(2366),
    [anon_sym_u8_DQUOTE] = ACTIONS(2366),
    [anon_sym_DQUOTE] = ACTIONS(2366),
    [sym_true] = ACTIONS(2364),
    [sym_false] = ACTIONS(2364),
    [anon_sym_NULL] = ACTIONS(2364),
    [anon_sym_nullptr] = ACTIONS(2364),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2364),
    [anon_sym_decltype] = ACTIONS(2364),
    [anon_sym_virtual] = ACTIONS(2364),
    [anon_sym_alignas] = ACTIONS(2364),
    [anon_sym_explicit] = ACTIONS(2364),
    [anon_sym_typename] = ACTIONS(2364),
    [anon_sym_template] = ACTIONS(2364),
    [anon_sym_operator] = ACTIONS(2364),
    [anon_sym_try] = ACTIONS(2364),
    [anon_sym_delete] = ACTIONS(2364),
    [anon_sym_throw] = ACTIONS(2364),
    [anon_sym_namespace] = ACTIONS(2364),
    [anon_sym_using] = ACTIONS(2364),
    [anon_sym_static_assert] = ACTIONS(2364),
    [anon_sym_concept] = ACTIONS(2364),
    [anon_sym_co_return] = ACTIONS(2364),
    [anon_sym_co_yield] = ACTIONS(2364),
    [anon_sym_R_DQUOTE] = ACTIONS(2366),
    [anon_sym_LR_DQUOTE] = ACTIONS(2366),
    [anon_sym_uR_DQUOTE] = ACTIONS(2366),
    [anon_sym_UR_DQUOTE] = ACTIONS(2366),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2366),
    [anon_sym_co_await] = ACTIONS(2364),
    [anon_sym_new] = ACTIONS(2364),
    [anon_sym_requires] = ACTIONS(2364),
    [sym_this] = ACTIONS(2364),
    [anon_sym_discard] = ACTIONS(2364),
    [anon_sym_precise] = ACTIONS(2364),
    [anon_sym_shared] = ACTIONS(2364),
    [anon_sym_groupshared] = ACTIONS(2364),
    [anon_sym_uniform] = ACTIONS(2364),
    [anon_sym_row_major] = ACTIONS(2364),
    [anon_sym_column_major] = ACTIONS(2364),
    [anon_sym_globallycoherent] = ACTIONS(2364),
    [anon_sym_centroid] = ACTIONS(2364),
    [anon_sym_noperspective] = ACTIONS(2364),
    [anon_sym_nointerpolation] = ACTIONS(2364),
    [anon_sym_sample] = ACTIONS(2364),
    [anon_sym_linear] = ACTIONS(2364),
    [anon_sym_snorm] = ACTIONS(2364),
    [anon_sym_unorm] = ACTIONS(2364),
    [anon_sym_point] = ACTIONS(2364),
    [anon_sym_line] = ACTIONS(2364),
    [anon_sym_triangleadj] = ACTIONS(2364),
    [anon_sym_lineadj] = ACTIONS(2364),
    [anon_sym_triangle] = ACTIONS(2364),
    [anon_sym_cbuffer] = ACTIONS(2364),
  },
  [941] = {
    [sym_identifier] = ACTIONS(2330),
    [aux_sym_preproc_include_token1] = ACTIONS(2330),
    [aux_sym_preproc_def_token1] = ACTIONS(2330),
    [aux_sym_preproc_if_token1] = ACTIONS(2330),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2330),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2330),
    [sym_preproc_directive] = ACTIONS(2330),
    [anon_sym_LPAREN2] = ACTIONS(2332),
    [anon_sym_BANG] = ACTIONS(2332),
    [anon_sym_TILDE] = ACTIONS(2332),
    [anon_sym_DASH] = ACTIONS(2330),
    [anon_sym_PLUS] = ACTIONS(2330),
    [anon_sym_STAR] = ACTIONS(2332),
    [anon_sym_AMP_AMP] = ACTIONS(2332),
    [anon_sym_AMP] = ACTIONS(2330),
    [anon_sym_SEMI] = ACTIONS(2332),
    [anon_sym___extension__] = ACTIONS(2330),
    [anon_sym_typedef] = ACTIONS(2330),
    [anon_sym_in] = ACTIONS(2330),
    [anon_sym_out] = ACTIONS(2330),
    [anon_sym_inout] = ACTIONS(2330),
    [anon_sym_extern] = ACTIONS(2330),
    [anon_sym___attribute__] = ACTIONS(2330),
    [anon_sym_COLON_COLON] = ACTIONS(2332),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2332),
    [anon_sym___declspec] = ACTIONS(2330),
    [anon_sym___based] = ACTIONS(2330),
    [anon_sym___cdecl] = ACTIONS(2330),
    [anon_sym___clrcall] = ACTIONS(2330),
    [anon_sym___stdcall] = ACTIONS(2330),
    [anon_sym___fastcall] = ACTIONS(2330),
    [anon_sym___thiscall] = ACTIONS(2330),
    [anon_sym___vectorcall] = ACTIONS(2330),
    [anon_sym_LBRACE] = ACTIONS(2332),
    [anon_sym_RBRACE] = ACTIONS(2332),
    [anon_sym_signed] = ACTIONS(2330),
    [anon_sym_unsigned] = ACTIONS(2330),
    [anon_sym_long] = ACTIONS(2330),
    [anon_sym_short] = ACTIONS(2330),
    [anon_sym_LBRACK] = ACTIONS(2330),
    [anon_sym_static] = ACTIONS(2330),
    [anon_sym_register] = ACTIONS(2330),
    [anon_sym_inline] = ACTIONS(2330),
    [anon_sym___inline] = ACTIONS(2330),
    [anon_sym___inline__] = ACTIONS(2330),
    [anon_sym___forceinline] = ACTIONS(2330),
    [anon_sym_thread_local] = ACTIONS(2330),
    [anon_sym___thread] = ACTIONS(2330),
    [anon_sym_const] = ACTIONS(2330),
    [anon_sym_constexpr] = ACTIONS(2330),
    [anon_sym_volatile] = ACTIONS(2330),
    [anon_sym_restrict] = ACTIONS(2330),
    [anon_sym___restrict__] = ACTIONS(2330),
    [anon_sym__Atomic] = ACTIONS(2330),
    [anon_sym__Noreturn] = ACTIONS(2330),
    [anon_sym_noreturn] = ACTIONS(2330),
    [anon_sym_mutable] = ACTIONS(2330),
    [anon_sym_constinit] = ACTIONS(2330),
    [anon_sym_consteval] = ACTIONS(2330),
    [sym_primitive_type] = ACTIONS(2330),
    [anon_sym_enum] = ACTIONS(2330),
    [anon_sym_class] = ACTIONS(2330),
    [anon_sym_struct] = ACTIONS(2330),
    [anon_sym_union] = ACTIONS(2330),
    [anon_sym_if] = ACTIONS(2330),
    [anon_sym_else] = ACTIONS(2330),
    [anon_sym_switch] = ACTIONS(2330),
    [anon_sym_case] = ACTIONS(2330),
    [anon_sym_default] = ACTIONS(2330),
    [anon_sym_while] = ACTIONS(2330),
    [anon_sym_do] = ACTIONS(2330),
    [anon_sym_for] = ACTIONS(2330),
    [anon_sym_return] = ACTIONS(2330),
    [anon_sym_break] = ACTIONS(2330),
    [anon_sym_continue] = ACTIONS(2330),
    [anon_sym_goto] = ACTIONS(2330),
    [anon_sym___try] = ACTIONS(2330),
    [anon_sym___leave] = ACTIONS(2330),
    [anon_sym_not] = ACTIONS(2330),
    [anon_sym_compl] = ACTIONS(2330),
    [anon_sym_DASH_DASH] = ACTIONS(2332),
    [anon_sym_PLUS_PLUS] = ACTIONS(2332),
    [anon_sym_sizeof] = ACTIONS(2330),
    [anon_sym___alignof__] = ACTIONS(2330),
    [anon_sym___alignof] = ACTIONS(2330),
    [anon_sym__alignof] = ACTIONS(2330),
    [anon_sym_alignof] = ACTIONS(2330),
    [anon_sym__Alignof] = ACTIONS(2330),
    [anon_sym_offsetof] = ACTIONS(2330),
    [anon_sym__Generic] = ACTIONS(2330),
    [anon_sym_asm] = ACTIONS(2330),
    [anon_sym___asm__] = ACTIONS(2330),
    [sym_number_literal] = ACTIONS(2332),
    [anon_sym_L_SQUOTE] = ACTIONS(2332),
    [anon_sym_u_SQUOTE] = ACTIONS(2332),
    [anon_sym_U_SQUOTE] = ACTIONS(2332),
    [anon_sym_u8_SQUOTE] = ACTIONS(2332),
    [anon_sym_SQUOTE] = ACTIONS(2332),
    [anon_sym_L_DQUOTE] = ACTIONS(2332),
    [anon_sym_u_DQUOTE] = ACTIONS(2332),
    [anon_sym_U_DQUOTE] = ACTIONS(2332),
    [anon_sym_u8_DQUOTE] = ACTIONS(2332),
    [anon_sym_DQUOTE] = ACTIONS(2332),
    [sym_true] = ACTIONS(2330),
    [sym_false] = ACTIONS(2330),
    [anon_sym_NULL] = ACTIONS(2330),
    [anon_sym_nullptr] = ACTIONS(2330),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2330),
    [anon_sym_decltype] = ACTIONS(2330),
    [anon_sym_virtual] = ACTIONS(2330),
    [anon_sym_alignas] = ACTIONS(2330),
    [anon_sym_explicit] = ACTIONS(2330),
    [anon_sym_typename] = ACTIONS(2330),
    [anon_sym_template] = ACTIONS(2330),
    [anon_sym_operator] = ACTIONS(2330),
    [anon_sym_try] = ACTIONS(2330),
    [anon_sym_delete] = ACTIONS(2330),
    [anon_sym_throw] = ACTIONS(2330),
    [anon_sym_namespace] = ACTIONS(2330),
    [anon_sym_using] = ACTIONS(2330),
    [anon_sym_static_assert] = ACTIONS(2330),
    [anon_sym_concept] = ACTIONS(2330),
    [anon_sym_co_return] = ACTIONS(2330),
    [anon_sym_co_yield] = ACTIONS(2330),
    [anon_sym_R_DQUOTE] = ACTIONS(2332),
    [anon_sym_LR_DQUOTE] = ACTIONS(2332),
    [anon_sym_uR_DQUOTE] = ACTIONS(2332),
    [anon_sym_UR_DQUOTE] = ACTIONS(2332),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2332),
    [anon_sym_co_await] = ACTIONS(2330),
    [anon_sym_new] = ACTIONS(2330),
    [anon_sym_requires] = ACTIONS(2330),
    [sym_this] = ACTIONS(2330),
    [anon_sym_discard] = ACTIONS(2330),
    [anon_sym_precise] = ACTIONS(2330),
    [anon_sym_shared] = ACTIONS(2330),
    [anon_sym_groupshared] = ACTIONS(2330),
    [anon_sym_uniform] = ACTIONS(2330),
    [anon_sym_row_major] = ACTIONS(2330),
    [anon_sym_column_major] = ACTIONS(2330),
    [anon_sym_globallycoherent] = ACTIONS(2330),
    [anon_sym_centroid] = ACTIONS(2330),
    [anon_sym_noperspective] = ACTIONS(2330),
    [anon_sym_nointerpolation] = ACTIONS(2330),
    [anon_sym_sample] = ACTIONS(2330),
    [anon_sym_linear] = ACTIONS(2330),
    [anon_sym_snorm] = ACTIONS(2330),
    [anon_sym_unorm] = ACTIONS(2330),
    [anon_sym_point] = ACTIONS(2330),
    [anon_sym_line] = ACTIONS(2330),
    [anon_sym_triangleadj] = ACTIONS(2330),
    [anon_sym_lineadj] = ACTIONS(2330),
    [anon_sym_triangle] = ACTIONS(2330),
    [anon_sym_cbuffer] = ACTIONS(2330),
  },
  [942] = {
    [sym_identifier] = ACTIONS(2364),
    [aux_sym_preproc_include_token1] = ACTIONS(2364),
    [aux_sym_preproc_def_token1] = ACTIONS(2364),
    [aux_sym_preproc_if_token1] = ACTIONS(2364),
    [aux_sym_preproc_if_token2] = ACTIONS(2364),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2364),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2364),
    [sym_preproc_directive] = ACTIONS(2364),
    [anon_sym_LPAREN2] = ACTIONS(2366),
    [anon_sym_BANG] = ACTIONS(2366),
    [anon_sym_TILDE] = ACTIONS(2366),
    [anon_sym_DASH] = ACTIONS(2364),
    [anon_sym_PLUS] = ACTIONS(2364),
    [anon_sym_STAR] = ACTIONS(2366),
    [anon_sym_AMP_AMP] = ACTIONS(2366),
    [anon_sym_AMP] = ACTIONS(2364),
    [anon_sym_SEMI] = ACTIONS(2366),
    [anon_sym___extension__] = ACTIONS(2364),
    [anon_sym_typedef] = ACTIONS(2364),
    [anon_sym_in] = ACTIONS(2364),
    [anon_sym_out] = ACTIONS(2364),
    [anon_sym_inout] = ACTIONS(2364),
    [anon_sym_extern] = ACTIONS(2364),
    [anon_sym___attribute__] = ACTIONS(2364),
    [anon_sym_COLON_COLON] = ACTIONS(2366),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2366),
    [anon_sym___declspec] = ACTIONS(2364),
    [anon_sym___based] = ACTIONS(2364),
    [anon_sym___cdecl] = ACTIONS(2364),
    [anon_sym___clrcall] = ACTIONS(2364),
    [anon_sym___stdcall] = ACTIONS(2364),
    [anon_sym___fastcall] = ACTIONS(2364),
    [anon_sym___thiscall] = ACTIONS(2364),
    [anon_sym___vectorcall] = ACTIONS(2364),
    [anon_sym_LBRACE] = ACTIONS(2366),
    [anon_sym_signed] = ACTIONS(2364),
    [anon_sym_unsigned] = ACTIONS(2364),
    [anon_sym_long] = ACTIONS(2364),
    [anon_sym_short] = ACTIONS(2364),
    [anon_sym_LBRACK] = ACTIONS(2364),
    [anon_sym_static] = ACTIONS(2364),
    [anon_sym_register] = ACTIONS(2364),
    [anon_sym_inline] = ACTIONS(2364),
    [anon_sym___inline] = ACTIONS(2364),
    [anon_sym___inline__] = ACTIONS(2364),
    [anon_sym___forceinline] = ACTIONS(2364),
    [anon_sym_thread_local] = ACTIONS(2364),
    [anon_sym___thread] = ACTIONS(2364),
    [anon_sym_const] = ACTIONS(2364),
    [anon_sym_constexpr] = ACTIONS(2364),
    [anon_sym_volatile] = ACTIONS(2364),
    [anon_sym_restrict] = ACTIONS(2364),
    [anon_sym___restrict__] = ACTIONS(2364),
    [anon_sym__Atomic] = ACTIONS(2364),
    [anon_sym__Noreturn] = ACTIONS(2364),
    [anon_sym_noreturn] = ACTIONS(2364),
    [anon_sym_mutable] = ACTIONS(2364),
    [anon_sym_constinit] = ACTIONS(2364),
    [anon_sym_consteval] = ACTIONS(2364),
    [sym_primitive_type] = ACTIONS(2364),
    [anon_sym_enum] = ACTIONS(2364),
    [anon_sym_class] = ACTIONS(2364),
    [anon_sym_struct] = ACTIONS(2364),
    [anon_sym_union] = ACTIONS(2364),
    [anon_sym_if] = ACTIONS(2364),
    [anon_sym_else] = ACTIONS(2364),
    [anon_sym_switch] = ACTIONS(2364),
    [anon_sym_case] = ACTIONS(2364),
    [anon_sym_default] = ACTIONS(2364),
    [anon_sym_while] = ACTIONS(2364),
    [anon_sym_do] = ACTIONS(2364),
    [anon_sym_for] = ACTIONS(2364),
    [anon_sym_return] = ACTIONS(2364),
    [anon_sym_break] = ACTIONS(2364),
    [anon_sym_continue] = ACTIONS(2364),
    [anon_sym_goto] = ACTIONS(2364),
    [anon_sym___try] = ACTIONS(2364),
    [anon_sym___leave] = ACTIONS(2364),
    [anon_sym_not] = ACTIONS(2364),
    [anon_sym_compl] = ACTIONS(2364),
    [anon_sym_DASH_DASH] = ACTIONS(2366),
    [anon_sym_PLUS_PLUS] = ACTIONS(2366),
    [anon_sym_sizeof] = ACTIONS(2364),
    [anon_sym___alignof__] = ACTIONS(2364),
    [anon_sym___alignof] = ACTIONS(2364),
    [anon_sym__alignof] = ACTIONS(2364),
    [anon_sym_alignof] = ACTIONS(2364),
    [anon_sym__Alignof] = ACTIONS(2364),
    [anon_sym_offsetof] = ACTIONS(2364),
    [anon_sym__Generic] = ACTIONS(2364),
    [anon_sym_asm] = ACTIONS(2364),
    [anon_sym___asm__] = ACTIONS(2364),
    [sym_number_literal] = ACTIONS(2366),
    [anon_sym_L_SQUOTE] = ACTIONS(2366),
    [anon_sym_u_SQUOTE] = ACTIONS(2366),
    [anon_sym_U_SQUOTE] = ACTIONS(2366),
    [anon_sym_u8_SQUOTE] = ACTIONS(2366),
    [anon_sym_SQUOTE] = ACTIONS(2366),
    [anon_sym_L_DQUOTE] = ACTIONS(2366),
    [anon_sym_u_DQUOTE] = ACTIONS(2366),
    [anon_sym_U_DQUOTE] = ACTIONS(2366),
    [anon_sym_u8_DQUOTE] = ACTIONS(2366),
    [anon_sym_DQUOTE] = ACTIONS(2366),
    [sym_true] = ACTIONS(2364),
    [sym_false] = ACTIONS(2364),
    [anon_sym_NULL] = ACTIONS(2364),
    [anon_sym_nullptr] = ACTIONS(2364),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2364),
    [anon_sym_decltype] = ACTIONS(2364),
    [anon_sym_virtual] = ACTIONS(2364),
    [anon_sym_alignas] = ACTIONS(2364),
    [anon_sym_explicit] = ACTIONS(2364),
    [anon_sym_typename] = ACTIONS(2364),
    [anon_sym_template] = ACTIONS(2364),
    [anon_sym_operator] = ACTIONS(2364),
    [anon_sym_try] = ACTIONS(2364),
    [anon_sym_delete] = ACTIONS(2364),
    [anon_sym_throw] = ACTIONS(2364),
    [anon_sym_namespace] = ACTIONS(2364),
    [anon_sym_using] = ACTIONS(2364),
    [anon_sym_static_assert] = ACTIONS(2364),
    [anon_sym_concept] = ACTIONS(2364),
    [anon_sym_co_return] = ACTIONS(2364),
    [anon_sym_co_yield] = ACTIONS(2364),
    [anon_sym_R_DQUOTE] = ACTIONS(2366),
    [anon_sym_LR_DQUOTE] = ACTIONS(2366),
    [anon_sym_uR_DQUOTE] = ACTIONS(2366),
    [anon_sym_UR_DQUOTE] = ACTIONS(2366),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2366),
    [anon_sym_co_await] = ACTIONS(2364),
    [anon_sym_new] = ACTIONS(2364),
    [anon_sym_requires] = ACTIONS(2364),
    [sym_this] = ACTIONS(2364),
    [anon_sym_discard] = ACTIONS(2364),
    [anon_sym_precise] = ACTIONS(2364),
    [anon_sym_shared] = ACTIONS(2364),
    [anon_sym_groupshared] = ACTIONS(2364),
    [anon_sym_uniform] = ACTIONS(2364),
    [anon_sym_row_major] = ACTIONS(2364),
    [anon_sym_column_major] = ACTIONS(2364),
    [anon_sym_globallycoherent] = ACTIONS(2364),
    [anon_sym_centroid] = ACTIONS(2364),
    [anon_sym_noperspective] = ACTIONS(2364),
    [anon_sym_nointerpolation] = ACTIONS(2364),
    [anon_sym_sample] = ACTIONS(2364),
    [anon_sym_linear] = ACTIONS(2364),
    [anon_sym_snorm] = ACTIONS(2364),
    [anon_sym_unorm] = ACTIONS(2364),
    [anon_sym_point] = ACTIONS(2364),
    [anon_sym_line] = ACTIONS(2364),
    [anon_sym_triangleadj] = ACTIONS(2364),
    [anon_sym_lineadj] = ACTIONS(2364),
    [anon_sym_triangle] = ACTIONS(2364),
    [anon_sym_cbuffer] = ACTIONS(2364),
  },
  [943] = {
    [sym_identifier] = ACTIONS(2364),
    [aux_sym_preproc_include_token1] = ACTIONS(2364),
    [aux_sym_preproc_def_token1] = ACTIONS(2364),
    [aux_sym_preproc_if_token1] = ACTIONS(2364),
    [aux_sym_preproc_if_token2] = ACTIONS(2364),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2364),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2364),
    [sym_preproc_directive] = ACTIONS(2364),
    [anon_sym_LPAREN2] = ACTIONS(2366),
    [anon_sym_BANG] = ACTIONS(2366),
    [anon_sym_TILDE] = ACTIONS(2366),
    [anon_sym_DASH] = ACTIONS(2364),
    [anon_sym_PLUS] = ACTIONS(2364),
    [anon_sym_STAR] = ACTIONS(2366),
    [anon_sym_AMP_AMP] = ACTIONS(2366),
    [anon_sym_AMP] = ACTIONS(2364),
    [anon_sym_SEMI] = ACTIONS(2366),
    [anon_sym___extension__] = ACTIONS(2364),
    [anon_sym_typedef] = ACTIONS(2364),
    [anon_sym_in] = ACTIONS(2364),
    [anon_sym_out] = ACTIONS(2364),
    [anon_sym_inout] = ACTIONS(2364),
    [anon_sym_extern] = ACTIONS(2364),
    [anon_sym___attribute__] = ACTIONS(2364),
    [anon_sym_COLON_COLON] = ACTIONS(2366),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2366),
    [anon_sym___declspec] = ACTIONS(2364),
    [anon_sym___based] = ACTIONS(2364),
    [anon_sym___cdecl] = ACTIONS(2364),
    [anon_sym___clrcall] = ACTIONS(2364),
    [anon_sym___stdcall] = ACTIONS(2364),
    [anon_sym___fastcall] = ACTIONS(2364),
    [anon_sym___thiscall] = ACTIONS(2364),
    [anon_sym___vectorcall] = ACTIONS(2364),
    [anon_sym_LBRACE] = ACTIONS(2366),
    [anon_sym_signed] = ACTIONS(2364),
    [anon_sym_unsigned] = ACTIONS(2364),
    [anon_sym_long] = ACTIONS(2364),
    [anon_sym_short] = ACTIONS(2364),
    [anon_sym_LBRACK] = ACTIONS(2364),
    [anon_sym_static] = ACTIONS(2364),
    [anon_sym_register] = ACTIONS(2364),
    [anon_sym_inline] = ACTIONS(2364),
    [anon_sym___inline] = ACTIONS(2364),
    [anon_sym___inline__] = ACTIONS(2364),
    [anon_sym___forceinline] = ACTIONS(2364),
    [anon_sym_thread_local] = ACTIONS(2364),
    [anon_sym___thread] = ACTIONS(2364),
    [anon_sym_const] = ACTIONS(2364),
    [anon_sym_constexpr] = ACTIONS(2364),
    [anon_sym_volatile] = ACTIONS(2364),
    [anon_sym_restrict] = ACTIONS(2364),
    [anon_sym___restrict__] = ACTIONS(2364),
    [anon_sym__Atomic] = ACTIONS(2364),
    [anon_sym__Noreturn] = ACTIONS(2364),
    [anon_sym_noreturn] = ACTIONS(2364),
    [anon_sym_mutable] = ACTIONS(2364),
    [anon_sym_constinit] = ACTIONS(2364),
    [anon_sym_consteval] = ACTIONS(2364),
    [sym_primitive_type] = ACTIONS(2364),
    [anon_sym_enum] = ACTIONS(2364),
    [anon_sym_class] = ACTIONS(2364),
    [anon_sym_struct] = ACTIONS(2364),
    [anon_sym_union] = ACTIONS(2364),
    [anon_sym_if] = ACTIONS(2364),
    [anon_sym_else] = ACTIONS(2364),
    [anon_sym_switch] = ACTIONS(2364),
    [anon_sym_case] = ACTIONS(2364),
    [anon_sym_default] = ACTIONS(2364),
    [anon_sym_while] = ACTIONS(2364),
    [anon_sym_do] = ACTIONS(2364),
    [anon_sym_for] = ACTIONS(2364),
    [anon_sym_return] = ACTIONS(2364),
    [anon_sym_break] = ACTIONS(2364),
    [anon_sym_continue] = ACTIONS(2364),
    [anon_sym_goto] = ACTIONS(2364),
    [anon_sym___try] = ACTIONS(2364),
    [anon_sym___leave] = ACTIONS(2364),
    [anon_sym_not] = ACTIONS(2364),
    [anon_sym_compl] = ACTIONS(2364),
    [anon_sym_DASH_DASH] = ACTIONS(2366),
    [anon_sym_PLUS_PLUS] = ACTIONS(2366),
    [anon_sym_sizeof] = ACTIONS(2364),
    [anon_sym___alignof__] = ACTIONS(2364),
    [anon_sym___alignof] = ACTIONS(2364),
    [anon_sym__alignof] = ACTIONS(2364),
    [anon_sym_alignof] = ACTIONS(2364),
    [anon_sym__Alignof] = ACTIONS(2364),
    [anon_sym_offsetof] = ACTIONS(2364),
    [anon_sym__Generic] = ACTIONS(2364),
    [anon_sym_asm] = ACTIONS(2364),
    [anon_sym___asm__] = ACTIONS(2364),
    [sym_number_literal] = ACTIONS(2366),
    [anon_sym_L_SQUOTE] = ACTIONS(2366),
    [anon_sym_u_SQUOTE] = ACTIONS(2366),
    [anon_sym_U_SQUOTE] = ACTIONS(2366),
    [anon_sym_u8_SQUOTE] = ACTIONS(2366),
    [anon_sym_SQUOTE] = ACTIONS(2366),
    [anon_sym_L_DQUOTE] = ACTIONS(2366),
    [anon_sym_u_DQUOTE] = ACTIONS(2366),
    [anon_sym_U_DQUOTE] = ACTIONS(2366),
    [anon_sym_u8_DQUOTE] = ACTIONS(2366),
    [anon_sym_DQUOTE] = ACTIONS(2366),
    [sym_true] = ACTIONS(2364),
    [sym_false] = ACTIONS(2364),
    [anon_sym_NULL] = ACTIONS(2364),
    [anon_sym_nullptr] = ACTIONS(2364),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2364),
    [anon_sym_decltype] = ACTIONS(2364),
    [anon_sym_virtual] = ACTIONS(2364),
    [anon_sym_alignas] = ACTIONS(2364),
    [anon_sym_explicit] = ACTIONS(2364),
    [anon_sym_typename] = ACTIONS(2364),
    [anon_sym_template] = ACTIONS(2364),
    [anon_sym_operator] = ACTIONS(2364),
    [anon_sym_try] = ACTIONS(2364),
    [anon_sym_delete] = ACTIONS(2364),
    [anon_sym_throw] = ACTIONS(2364),
    [anon_sym_namespace] = ACTIONS(2364),
    [anon_sym_using] = ACTIONS(2364),
    [anon_sym_static_assert] = ACTIONS(2364),
    [anon_sym_concept] = ACTIONS(2364),
    [anon_sym_co_return] = ACTIONS(2364),
    [anon_sym_co_yield] = ACTIONS(2364),
    [anon_sym_R_DQUOTE] = ACTIONS(2366),
    [anon_sym_LR_DQUOTE] = ACTIONS(2366),
    [anon_sym_uR_DQUOTE] = ACTIONS(2366),
    [anon_sym_UR_DQUOTE] = ACTIONS(2366),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2366),
    [anon_sym_co_await] = ACTIONS(2364),
    [anon_sym_new] = ACTIONS(2364),
    [anon_sym_requires] = ACTIONS(2364),
    [sym_this] = ACTIONS(2364),
    [anon_sym_discard] = ACTIONS(2364),
    [anon_sym_precise] = ACTIONS(2364),
    [anon_sym_shared] = ACTIONS(2364),
    [anon_sym_groupshared] = ACTIONS(2364),
    [anon_sym_uniform] = ACTIONS(2364),
    [anon_sym_row_major] = ACTIONS(2364),
    [anon_sym_column_major] = ACTIONS(2364),
    [anon_sym_globallycoherent] = ACTIONS(2364),
    [anon_sym_centroid] = ACTIONS(2364),
    [anon_sym_noperspective] = ACTIONS(2364),
    [anon_sym_nointerpolation] = ACTIONS(2364),
    [anon_sym_sample] = ACTIONS(2364),
    [anon_sym_linear] = ACTIONS(2364),
    [anon_sym_snorm] = ACTIONS(2364),
    [anon_sym_unorm] = ACTIONS(2364),
    [anon_sym_point] = ACTIONS(2364),
    [anon_sym_line] = ACTIONS(2364),
    [anon_sym_triangleadj] = ACTIONS(2364),
    [anon_sym_lineadj] = ACTIONS(2364),
    [anon_sym_triangle] = ACTIONS(2364),
    [anon_sym_cbuffer] = ACTIONS(2364),
  },
  [944] = {
    [ts_builtin_sym_end] = ACTIONS(2348),
    [sym_identifier] = ACTIONS(2346),
    [aux_sym_preproc_include_token1] = ACTIONS(2346),
    [aux_sym_preproc_def_token1] = ACTIONS(2346),
    [aux_sym_preproc_if_token1] = ACTIONS(2346),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2346),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2346),
    [sym_preproc_directive] = ACTIONS(2346),
    [anon_sym_LPAREN2] = ACTIONS(2348),
    [anon_sym_BANG] = ACTIONS(2348),
    [anon_sym_TILDE] = ACTIONS(2348),
    [anon_sym_DASH] = ACTIONS(2346),
    [anon_sym_PLUS] = ACTIONS(2346),
    [anon_sym_STAR] = ACTIONS(2348),
    [anon_sym_AMP_AMP] = ACTIONS(2348),
    [anon_sym_AMP] = ACTIONS(2346),
    [anon_sym_SEMI] = ACTIONS(2348),
    [anon_sym___extension__] = ACTIONS(2346),
    [anon_sym_typedef] = ACTIONS(2346),
    [anon_sym_in] = ACTIONS(2346),
    [anon_sym_out] = ACTIONS(2346),
    [anon_sym_inout] = ACTIONS(2346),
    [anon_sym_extern] = ACTIONS(2346),
    [anon_sym___attribute__] = ACTIONS(2346),
    [anon_sym_COLON_COLON] = ACTIONS(2348),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2348),
    [anon_sym___declspec] = ACTIONS(2346),
    [anon_sym___based] = ACTIONS(2346),
    [anon_sym___cdecl] = ACTIONS(2346),
    [anon_sym___clrcall] = ACTIONS(2346),
    [anon_sym___stdcall] = ACTIONS(2346),
    [anon_sym___fastcall] = ACTIONS(2346),
    [anon_sym___thiscall] = ACTIONS(2346),
    [anon_sym___vectorcall] = ACTIONS(2346),
    [anon_sym_LBRACE] = ACTIONS(2348),
    [anon_sym_signed] = ACTIONS(2346),
    [anon_sym_unsigned] = ACTIONS(2346),
    [anon_sym_long] = ACTIONS(2346),
    [anon_sym_short] = ACTIONS(2346),
    [anon_sym_LBRACK] = ACTIONS(2346),
    [anon_sym_static] = ACTIONS(2346),
    [anon_sym_register] = ACTIONS(2346),
    [anon_sym_inline] = ACTIONS(2346),
    [anon_sym___inline] = ACTIONS(2346),
    [anon_sym___inline__] = ACTIONS(2346),
    [anon_sym___forceinline] = ACTIONS(2346),
    [anon_sym_thread_local] = ACTIONS(2346),
    [anon_sym___thread] = ACTIONS(2346),
    [anon_sym_const] = ACTIONS(2346),
    [anon_sym_constexpr] = ACTIONS(2346),
    [anon_sym_volatile] = ACTIONS(2346),
    [anon_sym_restrict] = ACTIONS(2346),
    [anon_sym___restrict__] = ACTIONS(2346),
    [anon_sym__Atomic] = ACTIONS(2346),
    [anon_sym__Noreturn] = ACTIONS(2346),
    [anon_sym_noreturn] = ACTIONS(2346),
    [anon_sym_mutable] = ACTIONS(2346),
    [anon_sym_constinit] = ACTIONS(2346),
    [anon_sym_consteval] = ACTIONS(2346),
    [sym_primitive_type] = ACTIONS(2346),
    [anon_sym_enum] = ACTIONS(2346),
    [anon_sym_class] = ACTIONS(2346),
    [anon_sym_struct] = ACTIONS(2346),
    [anon_sym_union] = ACTIONS(2346),
    [anon_sym_if] = ACTIONS(2346),
    [anon_sym_else] = ACTIONS(2346),
    [anon_sym_switch] = ACTIONS(2346),
    [anon_sym_case] = ACTIONS(2346),
    [anon_sym_default] = ACTIONS(2346),
    [anon_sym_while] = ACTIONS(2346),
    [anon_sym_do] = ACTIONS(2346),
    [anon_sym_for] = ACTIONS(2346),
    [anon_sym_return] = ACTIONS(2346),
    [anon_sym_break] = ACTIONS(2346),
    [anon_sym_continue] = ACTIONS(2346),
    [anon_sym_goto] = ACTIONS(2346),
    [anon_sym___try] = ACTIONS(2346),
    [anon_sym___leave] = ACTIONS(2346),
    [anon_sym_not] = ACTIONS(2346),
    [anon_sym_compl] = ACTIONS(2346),
    [anon_sym_DASH_DASH] = ACTIONS(2348),
    [anon_sym_PLUS_PLUS] = ACTIONS(2348),
    [anon_sym_sizeof] = ACTIONS(2346),
    [anon_sym___alignof__] = ACTIONS(2346),
    [anon_sym___alignof] = ACTIONS(2346),
    [anon_sym__alignof] = ACTIONS(2346),
    [anon_sym_alignof] = ACTIONS(2346),
    [anon_sym__Alignof] = ACTIONS(2346),
    [anon_sym_offsetof] = ACTIONS(2346),
    [anon_sym__Generic] = ACTIONS(2346),
    [anon_sym_asm] = ACTIONS(2346),
    [anon_sym___asm__] = ACTIONS(2346),
    [sym_number_literal] = ACTIONS(2348),
    [anon_sym_L_SQUOTE] = ACTIONS(2348),
    [anon_sym_u_SQUOTE] = ACTIONS(2348),
    [anon_sym_U_SQUOTE] = ACTIONS(2348),
    [anon_sym_u8_SQUOTE] = ACTIONS(2348),
    [anon_sym_SQUOTE] = ACTIONS(2348),
    [anon_sym_L_DQUOTE] = ACTIONS(2348),
    [anon_sym_u_DQUOTE] = ACTIONS(2348),
    [anon_sym_U_DQUOTE] = ACTIONS(2348),
    [anon_sym_u8_DQUOTE] = ACTIONS(2348),
    [anon_sym_DQUOTE] = ACTIONS(2348),
    [sym_true] = ACTIONS(2346),
    [sym_false] = ACTIONS(2346),
    [anon_sym_NULL] = ACTIONS(2346),
    [anon_sym_nullptr] = ACTIONS(2346),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2346),
    [anon_sym_decltype] = ACTIONS(2346),
    [anon_sym_virtual] = ACTIONS(2346),
    [anon_sym_alignas] = ACTIONS(2346),
    [anon_sym_explicit] = ACTIONS(2346),
    [anon_sym_typename] = ACTIONS(2346),
    [anon_sym_template] = ACTIONS(2346),
    [anon_sym_operator] = ACTIONS(2346),
    [anon_sym_try] = ACTIONS(2346),
    [anon_sym_delete] = ACTIONS(2346),
    [anon_sym_throw] = ACTIONS(2346),
    [anon_sym_namespace] = ACTIONS(2346),
    [anon_sym_using] = ACTIONS(2346),
    [anon_sym_static_assert] = ACTIONS(2346),
    [anon_sym_concept] = ACTIONS(2346),
    [anon_sym_co_return] = ACTIONS(2346),
    [anon_sym_co_yield] = ACTIONS(2346),
    [anon_sym_R_DQUOTE] = ACTIONS(2348),
    [anon_sym_LR_DQUOTE] = ACTIONS(2348),
    [anon_sym_uR_DQUOTE] = ACTIONS(2348),
    [anon_sym_UR_DQUOTE] = ACTIONS(2348),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2348),
    [anon_sym_co_await] = ACTIONS(2346),
    [anon_sym_new] = ACTIONS(2346),
    [anon_sym_requires] = ACTIONS(2346),
    [sym_this] = ACTIONS(2346),
    [anon_sym_discard] = ACTIONS(2346),
    [anon_sym_precise] = ACTIONS(2346),
    [anon_sym_shared] = ACTIONS(2346),
    [anon_sym_groupshared] = ACTIONS(2346),
    [anon_sym_uniform] = ACTIONS(2346),
    [anon_sym_row_major] = ACTIONS(2346),
    [anon_sym_column_major] = ACTIONS(2346),
    [anon_sym_globallycoherent] = ACTIONS(2346),
    [anon_sym_centroid] = ACTIONS(2346),
    [anon_sym_noperspective] = ACTIONS(2346),
    [anon_sym_nointerpolation] = ACTIONS(2346),
    [anon_sym_sample] = ACTIONS(2346),
    [anon_sym_linear] = ACTIONS(2346),
    [anon_sym_snorm] = ACTIONS(2346),
    [anon_sym_unorm] = ACTIONS(2346),
    [anon_sym_point] = ACTIONS(2346),
    [anon_sym_line] = ACTIONS(2346),
    [anon_sym_triangleadj] = ACTIONS(2346),
    [anon_sym_lineadj] = ACTIONS(2346),
    [anon_sym_triangle] = ACTIONS(2346),
    [anon_sym_cbuffer] = ACTIONS(2346),
  },
  [945] = {
    [sym_identifier] = ACTIONS(2364),
    [aux_sym_preproc_include_token1] = ACTIONS(2364),
    [aux_sym_preproc_def_token1] = ACTIONS(2364),
    [aux_sym_preproc_if_token1] = ACTIONS(2364),
    [aux_sym_preproc_if_token2] = ACTIONS(2364),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2364),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2364),
    [sym_preproc_directive] = ACTIONS(2364),
    [anon_sym_LPAREN2] = ACTIONS(2366),
    [anon_sym_BANG] = ACTIONS(2366),
    [anon_sym_TILDE] = ACTIONS(2366),
    [anon_sym_DASH] = ACTIONS(2364),
    [anon_sym_PLUS] = ACTIONS(2364),
    [anon_sym_STAR] = ACTIONS(2366),
    [anon_sym_AMP_AMP] = ACTIONS(2366),
    [anon_sym_AMP] = ACTIONS(2364),
    [anon_sym_SEMI] = ACTIONS(2366),
    [anon_sym___extension__] = ACTIONS(2364),
    [anon_sym_typedef] = ACTIONS(2364),
    [anon_sym_in] = ACTIONS(2364),
    [anon_sym_out] = ACTIONS(2364),
    [anon_sym_inout] = ACTIONS(2364),
    [anon_sym_extern] = ACTIONS(2364),
    [anon_sym___attribute__] = ACTIONS(2364),
    [anon_sym_COLON_COLON] = ACTIONS(2366),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2366),
    [anon_sym___declspec] = ACTIONS(2364),
    [anon_sym___based] = ACTIONS(2364),
    [anon_sym___cdecl] = ACTIONS(2364),
    [anon_sym___clrcall] = ACTIONS(2364),
    [anon_sym___stdcall] = ACTIONS(2364),
    [anon_sym___fastcall] = ACTIONS(2364),
    [anon_sym___thiscall] = ACTIONS(2364),
    [anon_sym___vectorcall] = ACTIONS(2364),
    [anon_sym_LBRACE] = ACTIONS(2366),
    [anon_sym_signed] = ACTIONS(2364),
    [anon_sym_unsigned] = ACTIONS(2364),
    [anon_sym_long] = ACTIONS(2364),
    [anon_sym_short] = ACTIONS(2364),
    [anon_sym_LBRACK] = ACTIONS(2364),
    [anon_sym_static] = ACTIONS(2364),
    [anon_sym_register] = ACTIONS(2364),
    [anon_sym_inline] = ACTIONS(2364),
    [anon_sym___inline] = ACTIONS(2364),
    [anon_sym___inline__] = ACTIONS(2364),
    [anon_sym___forceinline] = ACTIONS(2364),
    [anon_sym_thread_local] = ACTIONS(2364),
    [anon_sym___thread] = ACTIONS(2364),
    [anon_sym_const] = ACTIONS(2364),
    [anon_sym_constexpr] = ACTIONS(2364),
    [anon_sym_volatile] = ACTIONS(2364),
    [anon_sym_restrict] = ACTIONS(2364),
    [anon_sym___restrict__] = ACTIONS(2364),
    [anon_sym__Atomic] = ACTIONS(2364),
    [anon_sym__Noreturn] = ACTIONS(2364),
    [anon_sym_noreturn] = ACTIONS(2364),
    [anon_sym_mutable] = ACTIONS(2364),
    [anon_sym_constinit] = ACTIONS(2364),
    [anon_sym_consteval] = ACTIONS(2364),
    [sym_primitive_type] = ACTIONS(2364),
    [anon_sym_enum] = ACTIONS(2364),
    [anon_sym_class] = ACTIONS(2364),
    [anon_sym_struct] = ACTIONS(2364),
    [anon_sym_union] = ACTIONS(2364),
    [anon_sym_if] = ACTIONS(2364),
    [anon_sym_else] = ACTIONS(2364),
    [anon_sym_switch] = ACTIONS(2364),
    [anon_sym_case] = ACTIONS(2364),
    [anon_sym_default] = ACTIONS(2364),
    [anon_sym_while] = ACTIONS(2364),
    [anon_sym_do] = ACTIONS(2364),
    [anon_sym_for] = ACTIONS(2364),
    [anon_sym_return] = ACTIONS(2364),
    [anon_sym_break] = ACTIONS(2364),
    [anon_sym_continue] = ACTIONS(2364),
    [anon_sym_goto] = ACTIONS(2364),
    [anon_sym___try] = ACTIONS(2364),
    [anon_sym___leave] = ACTIONS(2364),
    [anon_sym_not] = ACTIONS(2364),
    [anon_sym_compl] = ACTIONS(2364),
    [anon_sym_DASH_DASH] = ACTIONS(2366),
    [anon_sym_PLUS_PLUS] = ACTIONS(2366),
    [anon_sym_sizeof] = ACTIONS(2364),
    [anon_sym___alignof__] = ACTIONS(2364),
    [anon_sym___alignof] = ACTIONS(2364),
    [anon_sym__alignof] = ACTIONS(2364),
    [anon_sym_alignof] = ACTIONS(2364),
    [anon_sym__Alignof] = ACTIONS(2364),
    [anon_sym_offsetof] = ACTIONS(2364),
    [anon_sym__Generic] = ACTIONS(2364),
    [anon_sym_asm] = ACTIONS(2364),
    [anon_sym___asm__] = ACTIONS(2364),
    [sym_number_literal] = ACTIONS(2366),
    [anon_sym_L_SQUOTE] = ACTIONS(2366),
    [anon_sym_u_SQUOTE] = ACTIONS(2366),
    [anon_sym_U_SQUOTE] = ACTIONS(2366),
    [anon_sym_u8_SQUOTE] = ACTIONS(2366),
    [anon_sym_SQUOTE] = ACTIONS(2366),
    [anon_sym_L_DQUOTE] = ACTIONS(2366),
    [anon_sym_u_DQUOTE] = ACTIONS(2366),
    [anon_sym_U_DQUOTE] = ACTIONS(2366),
    [anon_sym_u8_DQUOTE] = ACTIONS(2366),
    [anon_sym_DQUOTE] = ACTIONS(2366),
    [sym_true] = ACTIONS(2364),
    [sym_false] = ACTIONS(2364),
    [anon_sym_NULL] = ACTIONS(2364),
    [anon_sym_nullptr] = ACTIONS(2364),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2364),
    [anon_sym_decltype] = ACTIONS(2364),
    [anon_sym_virtual] = ACTIONS(2364),
    [anon_sym_alignas] = ACTIONS(2364),
    [anon_sym_explicit] = ACTIONS(2364),
    [anon_sym_typename] = ACTIONS(2364),
    [anon_sym_template] = ACTIONS(2364),
    [anon_sym_operator] = ACTIONS(2364),
    [anon_sym_try] = ACTIONS(2364),
    [anon_sym_delete] = ACTIONS(2364),
    [anon_sym_throw] = ACTIONS(2364),
    [anon_sym_namespace] = ACTIONS(2364),
    [anon_sym_using] = ACTIONS(2364),
    [anon_sym_static_assert] = ACTIONS(2364),
    [anon_sym_concept] = ACTIONS(2364),
    [anon_sym_co_return] = ACTIONS(2364),
    [anon_sym_co_yield] = ACTIONS(2364),
    [anon_sym_R_DQUOTE] = ACTIONS(2366),
    [anon_sym_LR_DQUOTE] = ACTIONS(2366),
    [anon_sym_uR_DQUOTE] = ACTIONS(2366),
    [anon_sym_UR_DQUOTE] = ACTIONS(2366),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2366),
    [anon_sym_co_await] = ACTIONS(2364),
    [anon_sym_new] = ACTIONS(2364),
    [anon_sym_requires] = ACTIONS(2364),
    [sym_this] = ACTIONS(2364),
    [anon_sym_discard] = ACTIONS(2364),
    [anon_sym_precise] = ACTIONS(2364),
    [anon_sym_shared] = ACTIONS(2364),
    [anon_sym_groupshared] = ACTIONS(2364),
    [anon_sym_uniform] = ACTIONS(2364),
    [anon_sym_row_major] = ACTIONS(2364),
    [anon_sym_column_major] = ACTIONS(2364),
    [anon_sym_globallycoherent] = ACTIONS(2364),
    [anon_sym_centroid] = ACTIONS(2364),
    [anon_sym_noperspective] = ACTIONS(2364),
    [anon_sym_nointerpolation] = ACTIONS(2364),
    [anon_sym_sample] = ACTIONS(2364),
    [anon_sym_linear] = ACTIONS(2364),
    [anon_sym_snorm] = ACTIONS(2364),
    [anon_sym_unorm] = ACTIONS(2364),
    [anon_sym_point] = ACTIONS(2364),
    [anon_sym_line] = ACTIONS(2364),
    [anon_sym_triangleadj] = ACTIONS(2364),
    [anon_sym_lineadj] = ACTIONS(2364),
    [anon_sym_triangle] = ACTIONS(2364),
    [anon_sym_cbuffer] = ACTIONS(2364),
  },
  [946] = {
    [sym_identifier] = ACTIONS(2364),
    [aux_sym_preproc_include_token1] = ACTIONS(2364),
    [aux_sym_preproc_def_token1] = ACTIONS(2364),
    [aux_sym_preproc_if_token1] = ACTIONS(2364),
    [aux_sym_preproc_if_token2] = ACTIONS(2364),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2364),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2364),
    [sym_preproc_directive] = ACTIONS(2364),
    [anon_sym_LPAREN2] = ACTIONS(2366),
    [anon_sym_BANG] = ACTIONS(2366),
    [anon_sym_TILDE] = ACTIONS(2366),
    [anon_sym_DASH] = ACTIONS(2364),
    [anon_sym_PLUS] = ACTIONS(2364),
    [anon_sym_STAR] = ACTIONS(2366),
    [anon_sym_AMP_AMP] = ACTIONS(2366),
    [anon_sym_AMP] = ACTIONS(2364),
    [anon_sym_SEMI] = ACTIONS(2366),
    [anon_sym___extension__] = ACTIONS(2364),
    [anon_sym_typedef] = ACTIONS(2364),
    [anon_sym_in] = ACTIONS(2364),
    [anon_sym_out] = ACTIONS(2364),
    [anon_sym_inout] = ACTIONS(2364),
    [anon_sym_extern] = ACTIONS(2364),
    [anon_sym___attribute__] = ACTIONS(2364),
    [anon_sym_COLON_COLON] = ACTIONS(2366),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2366),
    [anon_sym___declspec] = ACTIONS(2364),
    [anon_sym___based] = ACTIONS(2364),
    [anon_sym___cdecl] = ACTIONS(2364),
    [anon_sym___clrcall] = ACTIONS(2364),
    [anon_sym___stdcall] = ACTIONS(2364),
    [anon_sym___fastcall] = ACTIONS(2364),
    [anon_sym___thiscall] = ACTIONS(2364),
    [anon_sym___vectorcall] = ACTIONS(2364),
    [anon_sym_LBRACE] = ACTIONS(2366),
    [anon_sym_signed] = ACTIONS(2364),
    [anon_sym_unsigned] = ACTIONS(2364),
    [anon_sym_long] = ACTIONS(2364),
    [anon_sym_short] = ACTIONS(2364),
    [anon_sym_LBRACK] = ACTIONS(2364),
    [anon_sym_static] = ACTIONS(2364),
    [anon_sym_register] = ACTIONS(2364),
    [anon_sym_inline] = ACTIONS(2364),
    [anon_sym___inline] = ACTIONS(2364),
    [anon_sym___inline__] = ACTIONS(2364),
    [anon_sym___forceinline] = ACTIONS(2364),
    [anon_sym_thread_local] = ACTIONS(2364),
    [anon_sym___thread] = ACTIONS(2364),
    [anon_sym_const] = ACTIONS(2364),
    [anon_sym_constexpr] = ACTIONS(2364),
    [anon_sym_volatile] = ACTIONS(2364),
    [anon_sym_restrict] = ACTIONS(2364),
    [anon_sym___restrict__] = ACTIONS(2364),
    [anon_sym__Atomic] = ACTIONS(2364),
    [anon_sym__Noreturn] = ACTIONS(2364),
    [anon_sym_noreturn] = ACTIONS(2364),
    [anon_sym_mutable] = ACTIONS(2364),
    [anon_sym_constinit] = ACTIONS(2364),
    [anon_sym_consteval] = ACTIONS(2364),
    [sym_primitive_type] = ACTIONS(2364),
    [anon_sym_enum] = ACTIONS(2364),
    [anon_sym_class] = ACTIONS(2364),
    [anon_sym_struct] = ACTIONS(2364),
    [anon_sym_union] = ACTIONS(2364),
    [anon_sym_if] = ACTIONS(2364),
    [anon_sym_else] = ACTIONS(2364),
    [anon_sym_switch] = ACTIONS(2364),
    [anon_sym_case] = ACTIONS(2364),
    [anon_sym_default] = ACTIONS(2364),
    [anon_sym_while] = ACTIONS(2364),
    [anon_sym_do] = ACTIONS(2364),
    [anon_sym_for] = ACTIONS(2364),
    [anon_sym_return] = ACTIONS(2364),
    [anon_sym_break] = ACTIONS(2364),
    [anon_sym_continue] = ACTIONS(2364),
    [anon_sym_goto] = ACTIONS(2364),
    [anon_sym___try] = ACTIONS(2364),
    [anon_sym___leave] = ACTIONS(2364),
    [anon_sym_not] = ACTIONS(2364),
    [anon_sym_compl] = ACTIONS(2364),
    [anon_sym_DASH_DASH] = ACTIONS(2366),
    [anon_sym_PLUS_PLUS] = ACTIONS(2366),
    [anon_sym_sizeof] = ACTIONS(2364),
    [anon_sym___alignof__] = ACTIONS(2364),
    [anon_sym___alignof] = ACTIONS(2364),
    [anon_sym__alignof] = ACTIONS(2364),
    [anon_sym_alignof] = ACTIONS(2364),
    [anon_sym__Alignof] = ACTIONS(2364),
    [anon_sym_offsetof] = ACTIONS(2364),
    [anon_sym__Generic] = ACTIONS(2364),
    [anon_sym_asm] = ACTIONS(2364),
    [anon_sym___asm__] = ACTIONS(2364),
    [sym_number_literal] = ACTIONS(2366),
    [anon_sym_L_SQUOTE] = ACTIONS(2366),
    [anon_sym_u_SQUOTE] = ACTIONS(2366),
    [anon_sym_U_SQUOTE] = ACTIONS(2366),
    [anon_sym_u8_SQUOTE] = ACTIONS(2366),
    [anon_sym_SQUOTE] = ACTIONS(2366),
    [anon_sym_L_DQUOTE] = ACTIONS(2366),
    [anon_sym_u_DQUOTE] = ACTIONS(2366),
    [anon_sym_U_DQUOTE] = ACTIONS(2366),
    [anon_sym_u8_DQUOTE] = ACTIONS(2366),
    [anon_sym_DQUOTE] = ACTIONS(2366),
    [sym_true] = ACTIONS(2364),
    [sym_false] = ACTIONS(2364),
    [anon_sym_NULL] = ACTIONS(2364),
    [anon_sym_nullptr] = ACTIONS(2364),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2364),
    [anon_sym_decltype] = ACTIONS(2364),
    [anon_sym_virtual] = ACTIONS(2364),
    [anon_sym_alignas] = ACTIONS(2364),
    [anon_sym_explicit] = ACTIONS(2364),
    [anon_sym_typename] = ACTIONS(2364),
    [anon_sym_template] = ACTIONS(2364),
    [anon_sym_operator] = ACTIONS(2364),
    [anon_sym_try] = ACTIONS(2364),
    [anon_sym_delete] = ACTIONS(2364),
    [anon_sym_throw] = ACTIONS(2364),
    [anon_sym_namespace] = ACTIONS(2364),
    [anon_sym_using] = ACTIONS(2364),
    [anon_sym_static_assert] = ACTIONS(2364),
    [anon_sym_concept] = ACTIONS(2364),
    [anon_sym_co_return] = ACTIONS(2364),
    [anon_sym_co_yield] = ACTIONS(2364),
    [anon_sym_R_DQUOTE] = ACTIONS(2366),
    [anon_sym_LR_DQUOTE] = ACTIONS(2366),
    [anon_sym_uR_DQUOTE] = ACTIONS(2366),
    [anon_sym_UR_DQUOTE] = ACTIONS(2366),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2366),
    [anon_sym_co_await] = ACTIONS(2364),
    [anon_sym_new] = ACTIONS(2364),
    [anon_sym_requires] = ACTIONS(2364),
    [sym_this] = ACTIONS(2364),
    [anon_sym_discard] = ACTIONS(2364),
    [anon_sym_precise] = ACTIONS(2364),
    [anon_sym_shared] = ACTIONS(2364),
    [anon_sym_groupshared] = ACTIONS(2364),
    [anon_sym_uniform] = ACTIONS(2364),
    [anon_sym_row_major] = ACTIONS(2364),
    [anon_sym_column_major] = ACTIONS(2364),
    [anon_sym_globallycoherent] = ACTIONS(2364),
    [anon_sym_centroid] = ACTIONS(2364),
    [anon_sym_noperspective] = ACTIONS(2364),
    [anon_sym_nointerpolation] = ACTIONS(2364),
    [anon_sym_sample] = ACTIONS(2364),
    [anon_sym_linear] = ACTIONS(2364),
    [anon_sym_snorm] = ACTIONS(2364),
    [anon_sym_unorm] = ACTIONS(2364),
    [anon_sym_point] = ACTIONS(2364),
    [anon_sym_line] = ACTIONS(2364),
    [anon_sym_triangleadj] = ACTIONS(2364),
    [anon_sym_lineadj] = ACTIONS(2364),
    [anon_sym_triangle] = ACTIONS(2364),
    [anon_sym_cbuffer] = ACTIONS(2364),
  },
  [947] = {
    [ts_builtin_sym_end] = ACTIONS(2344),
    [sym_identifier] = ACTIONS(2342),
    [aux_sym_preproc_include_token1] = ACTIONS(2342),
    [aux_sym_preproc_def_token1] = ACTIONS(2342),
    [aux_sym_preproc_if_token1] = ACTIONS(2342),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2342),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2342),
    [sym_preproc_directive] = ACTIONS(2342),
    [anon_sym_LPAREN2] = ACTIONS(2344),
    [anon_sym_BANG] = ACTIONS(2344),
    [anon_sym_TILDE] = ACTIONS(2344),
    [anon_sym_DASH] = ACTIONS(2342),
    [anon_sym_PLUS] = ACTIONS(2342),
    [anon_sym_STAR] = ACTIONS(2344),
    [anon_sym_AMP_AMP] = ACTIONS(2344),
    [anon_sym_AMP] = ACTIONS(2342),
    [anon_sym_SEMI] = ACTIONS(2344),
    [anon_sym___extension__] = ACTIONS(2342),
    [anon_sym_typedef] = ACTIONS(2342),
    [anon_sym_in] = ACTIONS(2342),
    [anon_sym_out] = ACTIONS(2342),
    [anon_sym_inout] = ACTIONS(2342),
    [anon_sym_extern] = ACTIONS(2342),
    [anon_sym___attribute__] = ACTIONS(2342),
    [anon_sym_COLON_COLON] = ACTIONS(2344),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2344),
    [anon_sym___declspec] = ACTIONS(2342),
    [anon_sym___based] = ACTIONS(2342),
    [anon_sym___cdecl] = ACTIONS(2342),
    [anon_sym___clrcall] = ACTIONS(2342),
    [anon_sym___stdcall] = ACTIONS(2342),
    [anon_sym___fastcall] = ACTIONS(2342),
    [anon_sym___thiscall] = ACTIONS(2342),
    [anon_sym___vectorcall] = ACTIONS(2342),
    [anon_sym_LBRACE] = ACTIONS(2344),
    [anon_sym_signed] = ACTIONS(2342),
    [anon_sym_unsigned] = ACTIONS(2342),
    [anon_sym_long] = ACTIONS(2342),
    [anon_sym_short] = ACTIONS(2342),
    [anon_sym_LBRACK] = ACTIONS(2342),
    [anon_sym_static] = ACTIONS(2342),
    [anon_sym_register] = ACTIONS(2342),
    [anon_sym_inline] = ACTIONS(2342),
    [anon_sym___inline] = ACTIONS(2342),
    [anon_sym___inline__] = ACTIONS(2342),
    [anon_sym___forceinline] = ACTIONS(2342),
    [anon_sym_thread_local] = ACTIONS(2342),
    [anon_sym___thread] = ACTIONS(2342),
    [anon_sym_const] = ACTIONS(2342),
    [anon_sym_constexpr] = ACTIONS(2342),
    [anon_sym_volatile] = ACTIONS(2342),
    [anon_sym_restrict] = ACTIONS(2342),
    [anon_sym___restrict__] = ACTIONS(2342),
    [anon_sym__Atomic] = ACTIONS(2342),
    [anon_sym__Noreturn] = ACTIONS(2342),
    [anon_sym_noreturn] = ACTIONS(2342),
    [anon_sym_mutable] = ACTIONS(2342),
    [anon_sym_constinit] = ACTIONS(2342),
    [anon_sym_consteval] = ACTIONS(2342),
    [sym_primitive_type] = ACTIONS(2342),
    [anon_sym_enum] = ACTIONS(2342),
    [anon_sym_class] = ACTIONS(2342),
    [anon_sym_struct] = ACTIONS(2342),
    [anon_sym_union] = ACTIONS(2342),
    [anon_sym_if] = ACTIONS(2342),
    [anon_sym_else] = ACTIONS(2342),
    [anon_sym_switch] = ACTIONS(2342),
    [anon_sym_case] = ACTIONS(2342),
    [anon_sym_default] = ACTIONS(2342),
    [anon_sym_while] = ACTIONS(2342),
    [anon_sym_do] = ACTIONS(2342),
    [anon_sym_for] = ACTIONS(2342),
    [anon_sym_return] = ACTIONS(2342),
    [anon_sym_break] = ACTIONS(2342),
    [anon_sym_continue] = ACTIONS(2342),
    [anon_sym_goto] = ACTIONS(2342),
    [anon_sym___try] = ACTIONS(2342),
    [anon_sym___leave] = ACTIONS(2342),
    [anon_sym_not] = ACTIONS(2342),
    [anon_sym_compl] = ACTIONS(2342),
    [anon_sym_DASH_DASH] = ACTIONS(2344),
    [anon_sym_PLUS_PLUS] = ACTIONS(2344),
    [anon_sym_sizeof] = ACTIONS(2342),
    [anon_sym___alignof__] = ACTIONS(2342),
    [anon_sym___alignof] = ACTIONS(2342),
    [anon_sym__alignof] = ACTIONS(2342),
    [anon_sym_alignof] = ACTIONS(2342),
    [anon_sym__Alignof] = ACTIONS(2342),
    [anon_sym_offsetof] = ACTIONS(2342),
    [anon_sym__Generic] = ACTIONS(2342),
    [anon_sym_asm] = ACTIONS(2342),
    [anon_sym___asm__] = ACTIONS(2342),
    [sym_number_literal] = ACTIONS(2344),
    [anon_sym_L_SQUOTE] = ACTIONS(2344),
    [anon_sym_u_SQUOTE] = ACTIONS(2344),
    [anon_sym_U_SQUOTE] = ACTIONS(2344),
    [anon_sym_u8_SQUOTE] = ACTIONS(2344),
    [anon_sym_SQUOTE] = ACTIONS(2344),
    [anon_sym_L_DQUOTE] = ACTIONS(2344),
    [anon_sym_u_DQUOTE] = ACTIONS(2344),
    [anon_sym_U_DQUOTE] = ACTIONS(2344),
    [anon_sym_u8_DQUOTE] = ACTIONS(2344),
    [anon_sym_DQUOTE] = ACTIONS(2344),
    [sym_true] = ACTIONS(2342),
    [sym_false] = ACTIONS(2342),
    [anon_sym_NULL] = ACTIONS(2342),
    [anon_sym_nullptr] = ACTIONS(2342),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2342),
    [anon_sym_decltype] = ACTIONS(2342),
    [anon_sym_virtual] = ACTIONS(2342),
    [anon_sym_alignas] = ACTIONS(2342),
    [anon_sym_explicit] = ACTIONS(2342),
    [anon_sym_typename] = ACTIONS(2342),
    [anon_sym_template] = ACTIONS(2342),
    [anon_sym_operator] = ACTIONS(2342),
    [anon_sym_try] = ACTIONS(2342),
    [anon_sym_delete] = ACTIONS(2342),
    [anon_sym_throw] = ACTIONS(2342),
    [anon_sym_namespace] = ACTIONS(2342),
    [anon_sym_using] = ACTIONS(2342),
    [anon_sym_static_assert] = ACTIONS(2342),
    [anon_sym_concept] = ACTIONS(2342),
    [anon_sym_co_return] = ACTIONS(2342),
    [anon_sym_co_yield] = ACTIONS(2342),
    [anon_sym_R_DQUOTE] = ACTIONS(2344),
    [anon_sym_LR_DQUOTE] = ACTIONS(2344),
    [anon_sym_uR_DQUOTE] = ACTIONS(2344),
    [anon_sym_UR_DQUOTE] = ACTIONS(2344),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2344),
    [anon_sym_co_await] = ACTIONS(2342),
    [anon_sym_new] = ACTIONS(2342),
    [anon_sym_requires] = ACTIONS(2342),
    [sym_this] = ACTIONS(2342),
    [anon_sym_discard] = ACTIONS(2342),
    [anon_sym_precise] = ACTIONS(2342),
    [anon_sym_shared] = ACTIONS(2342),
    [anon_sym_groupshared] = ACTIONS(2342),
    [anon_sym_uniform] = ACTIONS(2342),
    [anon_sym_row_major] = ACTIONS(2342),
    [anon_sym_column_major] = ACTIONS(2342),
    [anon_sym_globallycoherent] = ACTIONS(2342),
    [anon_sym_centroid] = ACTIONS(2342),
    [anon_sym_noperspective] = ACTIONS(2342),
    [anon_sym_nointerpolation] = ACTIONS(2342),
    [anon_sym_sample] = ACTIONS(2342),
    [anon_sym_linear] = ACTIONS(2342),
    [anon_sym_snorm] = ACTIONS(2342),
    [anon_sym_unorm] = ACTIONS(2342),
    [anon_sym_point] = ACTIONS(2342),
    [anon_sym_line] = ACTIONS(2342),
    [anon_sym_triangleadj] = ACTIONS(2342),
    [anon_sym_lineadj] = ACTIONS(2342),
    [anon_sym_triangle] = ACTIONS(2342),
    [anon_sym_cbuffer] = ACTIONS(2342),
  },
  [948] = {
    [sym_identifier] = ACTIONS(2464),
    [aux_sym_preproc_include_token1] = ACTIONS(2464),
    [aux_sym_preproc_def_token1] = ACTIONS(2464),
    [aux_sym_preproc_if_token1] = ACTIONS(2464),
    [aux_sym_preproc_if_token2] = ACTIONS(2464),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2464),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2464),
    [sym_preproc_directive] = ACTIONS(2464),
    [anon_sym_LPAREN2] = ACTIONS(2466),
    [anon_sym_BANG] = ACTIONS(2466),
    [anon_sym_TILDE] = ACTIONS(2466),
    [anon_sym_DASH] = ACTIONS(2464),
    [anon_sym_PLUS] = ACTIONS(2464),
    [anon_sym_STAR] = ACTIONS(2466),
    [anon_sym_AMP_AMP] = ACTIONS(2466),
    [anon_sym_AMP] = ACTIONS(2464),
    [anon_sym_SEMI] = ACTIONS(2466),
    [anon_sym___extension__] = ACTIONS(2464),
    [anon_sym_typedef] = ACTIONS(2464),
    [anon_sym_in] = ACTIONS(2464),
    [anon_sym_out] = ACTIONS(2464),
    [anon_sym_inout] = ACTIONS(2464),
    [anon_sym_extern] = ACTIONS(2464),
    [anon_sym___attribute__] = ACTIONS(2464),
    [anon_sym_COLON_COLON] = ACTIONS(2466),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2466),
    [anon_sym___declspec] = ACTIONS(2464),
    [anon_sym___based] = ACTIONS(2464),
    [anon_sym___cdecl] = ACTIONS(2464),
    [anon_sym___clrcall] = ACTIONS(2464),
    [anon_sym___stdcall] = ACTIONS(2464),
    [anon_sym___fastcall] = ACTIONS(2464),
    [anon_sym___thiscall] = ACTIONS(2464),
    [anon_sym___vectorcall] = ACTIONS(2464),
    [anon_sym_LBRACE] = ACTIONS(2466),
    [anon_sym_signed] = ACTIONS(2464),
    [anon_sym_unsigned] = ACTIONS(2464),
    [anon_sym_long] = ACTIONS(2464),
    [anon_sym_short] = ACTIONS(2464),
    [anon_sym_LBRACK] = ACTIONS(2464),
    [anon_sym_static] = ACTIONS(2464),
    [anon_sym_register] = ACTIONS(2464),
    [anon_sym_inline] = ACTIONS(2464),
    [anon_sym___inline] = ACTIONS(2464),
    [anon_sym___inline__] = ACTIONS(2464),
    [anon_sym___forceinline] = ACTIONS(2464),
    [anon_sym_thread_local] = ACTIONS(2464),
    [anon_sym___thread] = ACTIONS(2464),
    [anon_sym_const] = ACTIONS(2464),
    [anon_sym_constexpr] = ACTIONS(2464),
    [anon_sym_volatile] = ACTIONS(2464),
    [anon_sym_restrict] = ACTIONS(2464),
    [anon_sym___restrict__] = ACTIONS(2464),
    [anon_sym__Atomic] = ACTIONS(2464),
    [anon_sym__Noreturn] = ACTIONS(2464),
    [anon_sym_noreturn] = ACTIONS(2464),
    [anon_sym_mutable] = ACTIONS(2464),
    [anon_sym_constinit] = ACTIONS(2464),
    [anon_sym_consteval] = ACTIONS(2464),
    [sym_primitive_type] = ACTIONS(2464),
    [anon_sym_enum] = ACTIONS(2464),
    [anon_sym_class] = ACTIONS(2464),
    [anon_sym_struct] = ACTIONS(2464),
    [anon_sym_union] = ACTIONS(2464),
    [anon_sym_if] = ACTIONS(2464),
    [anon_sym_else] = ACTIONS(2464),
    [anon_sym_switch] = ACTIONS(2464),
    [anon_sym_case] = ACTIONS(2464),
    [anon_sym_default] = ACTIONS(2464),
    [anon_sym_while] = ACTIONS(2464),
    [anon_sym_do] = ACTIONS(2464),
    [anon_sym_for] = ACTIONS(2464),
    [anon_sym_return] = ACTIONS(2464),
    [anon_sym_break] = ACTIONS(2464),
    [anon_sym_continue] = ACTIONS(2464),
    [anon_sym_goto] = ACTIONS(2464),
    [anon_sym___try] = ACTIONS(2464),
    [anon_sym___leave] = ACTIONS(2464),
    [anon_sym_not] = ACTIONS(2464),
    [anon_sym_compl] = ACTIONS(2464),
    [anon_sym_DASH_DASH] = ACTIONS(2466),
    [anon_sym_PLUS_PLUS] = ACTIONS(2466),
    [anon_sym_sizeof] = ACTIONS(2464),
    [anon_sym___alignof__] = ACTIONS(2464),
    [anon_sym___alignof] = ACTIONS(2464),
    [anon_sym__alignof] = ACTIONS(2464),
    [anon_sym_alignof] = ACTIONS(2464),
    [anon_sym__Alignof] = ACTIONS(2464),
    [anon_sym_offsetof] = ACTIONS(2464),
    [anon_sym__Generic] = ACTIONS(2464),
    [anon_sym_asm] = ACTIONS(2464),
    [anon_sym___asm__] = ACTIONS(2464),
    [sym_number_literal] = ACTIONS(2466),
    [anon_sym_L_SQUOTE] = ACTIONS(2466),
    [anon_sym_u_SQUOTE] = ACTIONS(2466),
    [anon_sym_U_SQUOTE] = ACTIONS(2466),
    [anon_sym_u8_SQUOTE] = ACTIONS(2466),
    [anon_sym_SQUOTE] = ACTIONS(2466),
    [anon_sym_L_DQUOTE] = ACTIONS(2466),
    [anon_sym_u_DQUOTE] = ACTIONS(2466),
    [anon_sym_U_DQUOTE] = ACTIONS(2466),
    [anon_sym_u8_DQUOTE] = ACTIONS(2466),
    [anon_sym_DQUOTE] = ACTIONS(2466),
    [sym_true] = ACTIONS(2464),
    [sym_false] = ACTIONS(2464),
    [anon_sym_NULL] = ACTIONS(2464),
    [anon_sym_nullptr] = ACTIONS(2464),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2464),
    [anon_sym_decltype] = ACTIONS(2464),
    [anon_sym_virtual] = ACTIONS(2464),
    [anon_sym_alignas] = ACTIONS(2464),
    [anon_sym_explicit] = ACTIONS(2464),
    [anon_sym_typename] = ACTIONS(2464),
    [anon_sym_template] = ACTIONS(2464),
    [anon_sym_operator] = ACTIONS(2464),
    [anon_sym_try] = ACTIONS(2464),
    [anon_sym_delete] = ACTIONS(2464),
    [anon_sym_throw] = ACTIONS(2464),
    [anon_sym_namespace] = ACTIONS(2464),
    [anon_sym_using] = ACTIONS(2464),
    [anon_sym_static_assert] = ACTIONS(2464),
    [anon_sym_concept] = ACTIONS(2464),
    [anon_sym_co_return] = ACTIONS(2464),
    [anon_sym_co_yield] = ACTIONS(2464),
    [anon_sym_R_DQUOTE] = ACTIONS(2466),
    [anon_sym_LR_DQUOTE] = ACTIONS(2466),
    [anon_sym_uR_DQUOTE] = ACTIONS(2466),
    [anon_sym_UR_DQUOTE] = ACTIONS(2466),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2466),
    [anon_sym_co_await] = ACTIONS(2464),
    [anon_sym_new] = ACTIONS(2464),
    [anon_sym_requires] = ACTIONS(2464),
    [sym_this] = ACTIONS(2464),
    [anon_sym_discard] = ACTIONS(2464),
    [anon_sym_precise] = ACTIONS(2464),
    [anon_sym_shared] = ACTIONS(2464),
    [anon_sym_groupshared] = ACTIONS(2464),
    [anon_sym_uniform] = ACTIONS(2464),
    [anon_sym_row_major] = ACTIONS(2464),
    [anon_sym_column_major] = ACTIONS(2464),
    [anon_sym_globallycoherent] = ACTIONS(2464),
    [anon_sym_centroid] = ACTIONS(2464),
    [anon_sym_noperspective] = ACTIONS(2464),
    [anon_sym_nointerpolation] = ACTIONS(2464),
    [anon_sym_sample] = ACTIONS(2464),
    [anon_sym_linear] = ACTIONS(2464),
    [anon_sym_snorm] = ACTIONS(2464),
    [anon_sym_unorm] = ACTIONS(2464),
    [anon_sym_point] = ACTIONS(2464),
    [anon_sym_line] = ACTIONS(2464),
    [anon_sym_triangleadj] = ACTIONS(2464),
    [anon_sym_lineadj] = ACTIONS(2464),
    [anon_sym_triangle] = ACTIONS(2464),
    [anon_sym_cbuffer] = ACTIONS(2464),
  },
  [949] = {
    [ts_builtin_sym_end] = ACTIONS(2366),
    [sym_identifier] = ACTIONS(2364),
    [aux_sym_preproc_include_token1] = ACTIONS(2364),
    [aux_sym_preproc_def_token1] = ACTIONS(2364),
    [aux_sym_preproc_if_token1] = ACTIONS(2364),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2364),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2364),
    [sym_preproc_directive] = ACTIONS(2364),
    [anon_sym_LPAREN2] = ACTIONS(2366),
    [anon_sym_BANG] = ACTIONS(2366),
    [anon_sym_TILDE] = ACTIONS(2366),
    [anon_sym_DASH] = ACTIONS(2364),
    [anon_sym_PLUS] = ACTIONS(2364),
    [anon_sym_STAR] = ACTIONS(2366),
    [anon_sym_AMP_AMP] = ACTIONS(2366),
    [anon_sym_AMP] = ACTIONS(2364),
    [anon_sym_SEMI] = ACTIONS(2366),
    [anon_sym___extension__] = ACTIONS(2364),
    [anon_sym_typedef] = ACTIONS(2364),
    [anon_sym_in] = ACTIONS(2364),
    [anon_sym_out] = ACTIONS(2364),
    [anon_sym_inout] = ACTIONS(2364),
    [anon_sym_extern] = ACTIONS(2364),
    [anon_sym___attribute__] = ACTIONS(2364),
    [anon_sym_COLON_COLON] = ACTIONS(2366),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2366),
    [anon_sym___declspec] = ACTIONS(2364),
    [anon_sym___based] = ACTIONS(2364),
    [anon_sym___cdecl] = ACTIONS(2364),
    [anon_sym___clrcall] = ACTIONS(2364),
    [anon_sym___stdcall] = ACTIONS(2364),
    [anon_sym___fastcall] = ACTIONS(2364),
    [anon_sym___thiscall] = ACTIONS(2364),
    [anon_sym___vectorcall] = ACTIONS(2364),
    [anon_sym_LBRACE] = ACTIONS(2366),
    [anon_sym_signed] = ACTIONS(2364),
    [anon_sym_unsigned] = ACTIONS(2364),
    [anon_sym_long] = ACTIONS(2364),
    [anon_sym_short] = ACTIONS(2364),
    [anon_sym_LBRACK] = ACTIONS(2364),
    [anon_sym_static] = ACTIONS(2364),
    [anon_sym_register] = ACTIONS(2364),
    [anon_sym_inline] = ACTIONS(2364),
    [anon_sym___inline] = ACTIONS(2364),
    [anon_sym___inline__] = ACTIONS(2364),
    [anon_sym___forceinline] = ACTIONS(2364),
    [anon_sym_thread_local] = ACTIONS(2364),
    [anon_sym___thread] = ACTIONS(2364),
    [anon_sym_const] = ACTIONS(2364),
    [anon_sym_constexpr] = ACTIONS(2364),
    [anon_sym_volatile] = ACTIONS(2364),
    [anon_sym_restrict] = ACTIONS(2364),
    [anon_sym___restrict__] = ACTIONS(2364),
    [anon_sym__Atomic] = ACTIONS(2364),
    [anon_sym__Noreturn] = ACTIONS(2364),
    [anon_sym_noreturn] = ACTIONS(2364),
    [anon_sym_mutable] = ACTIONS(2364),
    [anon_sym_constinit] = ACTIONS(2364),
    [anon_sym_consteval] = ACTIONS(2364),
    [sym_primitive_type] = ACTIONS(2364),
    [anon_sym_enum] = ACTIONS(2364),
    [anon_sym_class] = ACTIONS(2364),
    [anon_sym_struct] = ACTIONS(2364),
    [anon_sym_union] = ACTIONS(2364),
    [anon_sym_if] = ACTIONS(2364),
    [anon_sym_else] = ACTIONS(2364),
    [anon_sym_switch] = ACTIONS(2364),
    [anon_sym_case] = ACTIONS(2364),
    [anon_sym_default] = ACTIONS(2364),
    [anon_sym_while] = ACTIONS(2364),
    [anon_sym_do] = ACTIONS(2364),
    [anon_sym_for] = ACTIONS(2364),
    [anon_sym_return] = ACTIONS(2364),
    [anon_sym_break] = ACTIONS(2364),
    [anon_sym_continue] = ACTIONS(2364),
    [anon_sym_goto] = ACTIONS(2364),
    [anon_sym___try] = ACTIONS(2364),
    [anon_sym___leave] = ACTIONS(2364),
    [anon_sym_not] = ACTIONS(2364),
    [anon_sym_compl] = ACTIONS(2364),
    [anon_sym_DASH_DASH] = ACTIONS(2366),
    [anon_sym_PLUS_PLUS] = ACTIONS(2366),
    [anon_sym_sizeof] = ACTIONS(2364),
    [anon_sym___alignof__] = ACTIONS(2364),
    [anon_sym___alignof] = ACTIONS(2364),
    [anon_sym__alignof] = ACTIONS(2364),
    [anon_sym_alignof] = ACTIONS(2364),
    [anon_sym__Alignof] = ACTIONS(2364),
    [anon_sym_offsetof] = ACTIONS(2364),
    [anon_sym__Generic] = ACTIONS(2364),
    [anon_sym_asm] = ACTIONS(2364),
    [anon_sym___asm__] = ACTIONS(2364),
    [sym_number_literal] = ACTIONS(2366),
    [anon_sym_L_SQUOTE] = ACTIONS(2366),
    [anon_sym_u_SQUOTE] = ACTIONS(2366),
    [anon_sym_U_SQUOTE] = ACTIONS(2366),
    [anon_sym_u8_SQUOTE] = ACTIONS(2366),
    [anon_sym_SQUOTE] = ACTIONS(2366),
    [anon_sym_L_DQUOTE] = ACTIONS(2366),
    [anon_sym_u_DQUOTE] = ACTIONS(2366),
    [anon_sym_U_DQUOTE] = ACTIONS(2366),
    [anon_sym_u8_DQUOTE] = ACTIONS(2366),
    [anon_sym_DQUOTE] = ACTIONS(2366),
    [sym_true] = ACTIONS(2364),
    [sym_false] = ACTIONS(2364),
    [anon_sym_NULL] = ACTIONS(2364),
    [anon_sym_nullptr] = ACTIONS(2364),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2364),
    [anon_sym_decltype] = ACTIONS(2364),
    [anon_sym_virtual] = ACTIONS(2364),
    [anon_sym_alignas] = ACTIONS(2364),
    [anon_sym_explicit] = ACTIONS(2364),
    [anon_sym_typename] = ACTIONS(2364),
    [anon_sym_template] = ACTIONS(2364),
    [anon_sym_operator] = ACTIONS(2364),
    [anon_sym_try] = ACTIONS(2364),
    [anon_sym_delete] = ACTIONS(2364),
    [anon_sym_throw] = ACTIONS(2364),
    [anon_sym_namespace] = ACTIONS(2364),
    [anon_sym_using] = ACTIONS(2364),
    [anon_sym_static_assert] = ACTIONS(2364),
    [anon_sym_concept] = ACTIONS(2364),
    [anon_sym_co_return] = ACTIONS(2364),
    [anon_sym_co_yield] = ACTIONS(2364),
    [anon_sym_R_DQUOTE] = ACTIONS(2366),
    [anon_sym_LR_DQUOTE] = ACTIONS(2366),
    [anon_sym_uR_DQUOTE] = ACTIONS(2366),
    [anon_sym_UR_DQUOTE] = ACTIONS(2366),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2366),
    [anon_sym_co_await] = ACTIONS(2364),
    [anon_sym_new] = ACTIONS(2364),
    [anon_sym_requires] = ACTIONS(2364),
    [sym_this] = ACTIONS(2364),
    [anon_sym_discard] = ACTIONS(2364),
    [anon_sym_precise] = ACTIONS(2364),
    [anon_sym_shared] = ACTIONS(2364),
    [anon_sym_groupshared] = ACTIONS(2364),
    [anon_sym_uniform] = ACTIONS(2364),
    [anon_sym_row_major] = ACTIONS(2364),
    [anon_sym_column_major] = ACTIONS(2364),
    [anon_sym_globallycoherent] = ACTIONS(2364),
    [anon_sym_centroid] = ACTIONS(2364),
    [anon_sym_noperspective] = ACTIONS(2364),
    [anon_sym_nointerpolation] = ACTIONS(2364),
    [anon_sym_sample] = ACTIONS(2364),
    [anon_sym_linear] = ACTIONS(2364),
    [anon_sym_snorm] = ACTIONS(2364),
    [anon_sym_unorm] = ACTIONS(2364),
    [anon_sym_point] = ACTIONS(2364),
    [anon_sym_line] = ACTIONS(2364),
    [anon_sym_triangleadj] = ACTIONS(2364),
    [anon_sym_lineadj] = ACTIONS(2364),
    [anon_sym_triangle] = ACTIONS(2364),
    [anon_sym_cbuffer] = ACTIONS(2364),
  },
  [950] = {
    [ts_builtin_sym_end] = ACTIONS(2366),
    [sym_identifier] = ACTIONS(2364),
    [aux_sym_preproc_include_token1] = ACTIONS(2364),
    [aux_sym_preproc_def_token1] = ACTIONS(2364),
    [aux_sym_preproc_if_token1] = ACTIONS(2364),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2364),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2364),
    [sym_preproc_directive] = ACTIONS(2364),
    [anon_sym_LPAREN2] = ACTIONS(2366),
    [anon_sym_BANG] = ACTIONS(2366),
    [anon_sym_TILDE] = ACTIONS(2366),
    [anon_sym_DASH] = ACTIONS(2364),
    [anon_sym_PLUS] = ACTIONS(2364),
    [anon_sym_STAR] = ACTIONS(2366),
    [anon_sym_AMP_AMP] = ACTIONS(2366),
    [anon_sym_AMP] = ACTIONS(2364),
    [anon_sym_SEMI] = ACTIONS(2366),
    [anon_sym___extension__] = ACTIONS(2364),
    [anon_sym_typedef] = ACTIONS(2364),
    [anon_sym_in] = ACTIONS(2364),
    [anon_sym_out] = ACTIONS(2364),
    [anon_sym_inout] = ACTIONS(2364),
    [anon_sym_extern] = ACTIONS(2364),
    [anon_sym___attribute__] = ACTIONS(2364),
    [anon_sym_COLON_COLON] = ACTIONS(2366),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2366),
    [anon_sym___declspec] = ACTIONS(2364),
    [anon_sym___based] = ACTIONS(2364),
    [anon_sym___cdecl] = ACTIONS(2364),
    [anon_sym___clrcall] = ACTIONS(2364),
    [anon_sym___stdcall] = ACTIONS(2364),
    [anon_sym___fastcall] = ACTIONS(2364),
    [anon_sym___thiscall] = ACTIONS(2364),
    [anon_sym___vectorcall] = ACTIONS(2364),
    [anon_sym_LBRACE] = ACTIONS(2366),
    [anon_sym_signed] = ACTIONS(2364),
    [anon_sym_unsigned] = ACTIONS(2364),
    [anon_sym_long] = ACTIONS(2364),
    [anon_sym_short] = ACTIONS(2364),
    [anon_sym_LBRACK] = ACTIONS(2364),
    [anon_sym_static] = ACTIONS(2364),
    [anon_sym_register] = ACTIONS(2364),
    [anon_sym_inline] = ACTIONS(2364),
    [anon_sym___inline] = ACTIONS(2364),
    [anon_sym___inline__] = ACTIONS(2364),
    [anon_sym___forceinline] = ACTIONS(2364),
    [anon_sym_thread_local] = ACTIONS(2364),
    [anon_sym___thread] = ACTIONS(2364),
    [anon_sym_const] = ACTIONS(2364),
    [anon_sym_constexpr] = ACTIONS(2364),
    [anon_sym_volatile] = ACTIONS(2364),
    [anon_sym_restrict] = ACTIONS(2364),
    [anon_sym___restrict__] = ACTIONS(2364),
    [anon_sym__Atomic] = ACTIONS(2364),
    [anon_sym__Noreturn] = ACTIONS(2364),
    [anon_sym_noreturn] = ACTIONS(2364),
    [anon_sym_mutable] = ACTIONS(2364),
    [anon_sym_constinit] = ACTIONS(2364),
    [anon_sym_consteval] = ACTIONS(2364),
    [sym_primitive_type] = ACTIONS(2364),
    [anon_sym_enum] = ACTIONS(2364),
    [anon_sym_class] = ACTIONS(2364),
    [anon_sym_struct] = ACTIONS(2364),
    [anon_sym_union] = ACTIONS(2364),
    [anon_sym_if] = ACTIONS(2364),
    [anon_sym_else] = ACTIONS(2364),
    [anon_sym_switch] = ACTIONS(2364),
    [anon_sym_case] = ACTIONS(2364),
    [anon_sym_default] = ACTIONS(2364),
    [anon_sym_while] = ACTIONS(2364),
    [anon_sym_do] = ACTIONS(2364),
    [anon_sym_for] = ACTIONS(2364),
    [anon_sym_return] = ACTIONS(2364),
    [anon_sym_break] = ACTIONS(2364),
    [anon_sym_continue] = ACTIONS(2364),
    [anon_sym_goto] = ACTIONS(2364),
    [anon_sym___try] = ACTIONS(2364),
    [anon_sym___leave] = ACTIONS(2364),
    [anon_sym_not] = ACTIONS(2364),
    [anon_sym_compl] = ACTIONS(2364),
    [anon_sym_DASH_DASH] = ACTIONS(2366),
    [anon_sym_PLUS_PLUS] = ACTIONS(2366),
    [anon_sym_sizeof] = ACTIONS(2364),
    [anon_sym___alignof__] = ACTIONS(2364),
    [anon_sym___alignof] = ACTIONS(2364),
    [anon_sym__alignof] = ACTIONS(2364),
    [anon_sym_alignof] = ACTIONS(2364),
    [anon_sym__Alignof] = ACTIONS(2364),
    [anon_sym_offsetof] = ACTIONS(2364),
    [anon_sym__Generic] = ACTIONS(2364),
    [anon_sym_asm] = ACTIONS(2364),
    [anon_sym___asm__] = ACTIONS(2364),
    [sym_number_literal] = ACTIONS(2366),
    [anon_sym_L_SQUOTE] = ACTIONS(2366),
    [anon_sym_u_SQUOTE] = ACTIONS(2366),
    [anon_sym_U_SQUOTE] = ACTIONS(2366),
    [anon_sym_u8_SQUOTE] = ACTIONS(2366),
    [anon_sym_SQUOTE] = ACTIONS(2366),
    [anon_sym_L_DQUOTE] = ACTIONS(2366),
    [anon_sym_u_DQUOTE] = ACTIONS(2366),
    [anon_sym_U_DQUOTE] = ACTIONS(2366),
    [anon_sym_u8_DQUOTE] = ACTIONS(2366),
    [anon_sym_DQUOTE] = ACTIONS(2366),
    [sym_true] = ACTIONS(2364),
    [sym_false] = ACTIONS(2364),
    [anon_sym_NULL] = ACTIONS(2364),
    [anon_sym_nullptr] = ACTIONS(2364),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2364),
    [anon_sym_decltype] = ACTIONS(2364),
    [anon_sym_virtual] = ACTIONS(2364),
    [anon_sym_alignas] = ACTIONS(2364),
    [anon_sym_explicit] = ACTIONS(2364),
    [anon_sym_typename] = ACTIONS(2364),
    [anon_sym_template] = ACTIONS(2364),
    [anon_sym_operator] = ACTIONS(2364),
    [anon_sym_try] = ACTIONS(2364),
    [anon_sym_delete] = ACTIONS(2364),
    [anon_sym_throw] = ACTIONS(2364),
    [anon_sym_namespace] = ACTIONS(2364),
    [anon_sym_using] = ACTIONS(2364),
    [anon_sym_static_assert] = ACTIONS(2364),
    [anon_sym_concept] = ACTIONS(2364),
    [anon_sym_co_return] = ACTIONS(2364),
    [anon_sym_co_yield] = ACTIONS(2364),
    [anon_sym_R_DQUOTE] = ACTIONS(2366),
    [anon_sym_LR_DQUOTE] = ACTIONS(2366),
    [anon_sym_uR_DQUOTE] = ACTIONS(2366),
    [anon_sym_UR_DQUOTE] = ACTIONS(2366),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2366),
    [anon_sym_co_await] = ACTIONS(2364),
    [anon_sym_new] = ACTIONS(2364),
    [anon_sym_requires] = ACTIONS(2364),
    [sym_this] = ACTIONS(2364),
    [anon_sym_discard] = ACTIONS(2364),
    [anon_sym_precise] = ACTIONS(2364),
    [anon_sym_shared] = ACTIONS(2364),
    [anon_sym_groupshared] = ACTIONS(2364),
    [anon_sym_uniform] = ACTIONS(2364),
    [anon_sym_row_major] = ACTIONS(2364),
    [anon_sym_column_major] = ACTIONS(2364),
    [anon_sym_globallycoherent] = ACTIONS(2364),
    [anon_sym_centroid] = ACTIONS(2364),
    [anon_sym_noperspective] = ACTIONS(2364),
    [anon_sym_nointerpolation] = ACTIONS(2364),
    [anon_sym_sample] = ACTIONS(2364),
    [anon_sym_linear] = ACTIONS(2364),
    [anon_sym_snorm] = ACTIONS(2364),
    [anon_sym_unorm] = ACTIONS(2364),
    [anon_sym_point] = ACTIONS(2364),
    [anon_sym_line] = ACTIONS(2364),
    [anon_sym_triangleadj] = ACTIONS(2364),
    [anon_sym_lineadj] = ACTIONS(2364),
    [anon_sym_triangle] = ACTIONS(2364),
    [anon_sym_cbuffer] = ACTIONS(2364),
  },
  [951] = {
    [sym_identifier] = ACTIONS(2318),
    [aux_sym_preproc_include_token1] = ACTIONS(2318),
    [aux_sym_preproc_def_token1] = ACTIONS(2318),
    [aux_sym_preproc_if_token1] = ACTIONS(2318),
    [aux_sym_preproc_if_token2] = ACTIONS(2318),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2318),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2318),
    [sym_preproc_directive] = ACTIONS(2318),
    [anon_sym_LPAREN2] = ACTIONS(2320),
    [anon_sym_BANG] = ACTIONS(2320),
    [anon_sym_TILDE] = ACTIONS(2320),
    [anon_sym_DASH] = ACTIONS(2318),
    [anon_sym_PLUS] = ACTIONS(2318),
    [anon_sym_STAR] = ACTIONS(2320),
    [anon_sym_AMP_AMP] = ACTIONS(2320),
    [anon_sym_AMP] = ACTIONS(2318),
    [anon_sym_SEMI] = ACTIONS(2320),
    [anon_sym___extension__] = ACTIONS(2318),
    [anon_sym_typedef] = ACTIONS(2318),
    [anon_sym_in] = ACTIONS(2318),
    [anon_sym_out] = ACTIONS(2318),
    [anon_sym_inout] = ACTIONS(2318),
    [anon_sym_extern] = ACTIONS(2318),
    [anon_sym___attribute__] = ACTIONS(2318),
    [anon_sym_COLON_COLON] = ACTIONS(2320),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2320),
    [anon_sym___declspec] = ACTIONS(2318),
    [anon_sym___based] = ACTIONS(2318),
    [anon_sym___cdecl] = ACTIONS(2318),
    [anon_sym___clrcall] = ACTIONS(2318),
    [anon_sym___stdcall] = ACTIONS(2318),
    [anon_sym___fastcall] = ACTIONS(2318),
    [anon_sym___thiscall] = ACTIONS(2318),
    [anon_sym___vectorcall] = ACTIONS(2318),
    [anon_sym_LBRACE] = ACTIONS(2320),
    [anon_sym_signed] = ACTIONS(2318),
    [anon_sym_unsigned] = ACTIONS(2318),
    [anon_sym_long] = ACTIONS(2318),
    [anon_sym_short] = ACTIONS(2318),
    [anon_sym_LBRACK] = ACTIONS(2318),
    [anon_sym_static] = ACTIONS(2318),
    [anon_sym_register] = ACTIONS(2318),
    [anon_sym_inline] = ACTIONS(2318),
    [anon_sym___inline] = ACTIONS(2318),
    [anon_sym___inline__] = ACTIONS(2318),
    [anon_sym___forceinline] = ACTIONS(2318),
    [anon_sym_thread_local] = ACTIONS(2318),
    [anon_sym___thread] = ACTIONS(2318),
    [anon_sym_const] = ACTIONS(2318),
    [anon_sym_constexpr] = ACTIONS(2318),
    [anon_sym_volatile] = ACTIONS(2318),
    [anon_sym_restrict] = ACTIONS(2318),
    [anon_sym___restrict__] = ACTIONS(2318),
    [anon_sym__Atomic] = ACTIONS(2318),
    [anon_sym__Noreturn] = ACTIONS(2318),
    [anon_sym_noreturn] = ACTIONS(2318),
    [anon_sym_mutable] = ACTIONS(2318),
    [anon_sym_constinit] = ACTIONS(2318),
    [anon_sym_consteval] = ACTIONS(2318),
    [sym_primitive_type] = ACTIONS(2318),
    [anon_sym_enum] = ACTIONS(2318),
    [anon_sym_class] = ACTIONS(2318),
    [anon_sym_struct] = ACTIONS(2318),
    [anon_sym_union] = ACTIONS(2318),
    [anon_sym_if] = ACTIONS(2318),
    [anon_sym_else] = ACTIONS(2318),
    [anon_sym_switch] = ACTIONS(2318),
    [anon_sym_case] = ACTIONS(2318),
    [anon_sym_default] = ACTIONS(2318),
    [anon_sym_while] = ACTIONS(2318),
    [anon_sym_do] = ACTIONS(2318),
    [anon_sym_for] = ACTIONS(2318),
    [anon_sym_return] = ACTIONS(2318),
    [anon_sym_break] = ACTIONS(2318),
    [anon_sym_continue] = ACTIONS(2318),
    [anon_sym_goto] = ACTIONS(2318),
    [anon_sym___try] = ACTIONS(2318),
    [anon_sym___leave] = ACTIONS(2318),
    [anon_sym_not] = ACTIONS(2318),
    [anon_sym_compl] = ACTIONS(2318),
    [anon_sym_DASH_DASH] = ACTIONS(2320),
    [anon_sym_PLUS_PLUS] = ACTIONS(2320),
    [anon_sym_sizeof] = ACTIONS(2318),
    [anon_sym___alignof__] = ACTIONS(2318),
    [anon_sym___alignof] = ACTIONS(2318),
    [anon_sym__alignof] = ACTIONS(2318),
    [anon_sym_alignof] = ACTIONS(2318),
    [anon_sym__Alignof] = ACTIONS(2318),
    [anon_sym_offsetof] = ACTIONS(2318),
    [anon_sym__Generic] = ACTIONS(2318),
    [anon_sym_asm] = ACTIONS(2318),
    [anon_sym___asm__] = ACTIONS(2318),
    [sym_number_literal] = ACTIONS(2320),
    [anon_sym_L_SQUOTE] = ACTIONS(2320),
    [anon_sym_u_SQUOTE] = ACTIONS(2320),
    [anon_sym_U_SQUOTE] = ACTIONS(2320),
    [anon_sym_u8_SQUOTE] = ACTIONS(2320),
    [anon_sym_SQUOTE] = ACTIONS(2320),
    [anon_sym_L_DQUOTE] = ACTIONS(2320),
    [anon_sym_u_DQUOTE] = ACTIONS(2320),
    [anon_sym_U_DQUOTE] = ACTIONS(2320),
    [anon_sym_u8_DQUOTE] = ACTIONS(2320),
    [anon_sym_DQUOTE] = ACTIONS(2320),
    [sym_true] = ACTIONS(2318),
    [sym_false] = ACTIONS(2318),
    [anon_sym_NULL] = ACTIONS(2318),
    [anon_sym_nullptr] = ACTIONS(2318),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2318),
    [anon_sym_decltype] = ACTIONS(2318),
    [anon_sym_virtual] = ACTIONS(2318),
    [anon_sym_alignas] = ACTIONS(2318),
    [anon_sym_explicit] = ACTIONS(2318),
    [anon_sym_typename] = ACTIONS(2318),
    [anon_sym_template] = ACTIONS(2318),
    [anon_sym_operator] = ACTIONS(2318),
    [anon_sym_try] = ACTIONS(2318),
    [anon_sym_delete] = ACTIONS(2318),
    [anon_sym_throw] = ACTIONS(2318),
    [anon_sym_namespace] = ACTIONS(2318),
    [anon_sym_using] = ACTIONS(2318),
    [anon_sym_static_assert] = ACTIONS(2318),
    [anon_sym_concept] = ACTIONS(2318),
    [anon_sym_co_return] = ACTIONS(2318),
    [anon_sym_co_yield] = ACTIONS(2318),
    [anon_sym_R_DQUOTE] = ACTIONS(2320),
    [anon_sym_LR_DQUOTE] = ACTIONS(2320),
    [anon_sym_uR_DQUOTE] = ACTIONS(2320),
    [anon_sym_UR_DQUOTE] = ACTIONS(2320),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2320),
    [anon_sym_co_await] = ACTIONS(2318),
    [anon_sym_new] = ACTIONS(2318),
    [anon_sym_requires] = ACTIONS(2318),
    [sym_this] = ACTIONS(2318),
    [anon_sym_discard] = ACTIONS(2318),
    [anon_sym_precise] = ACTIONS(2318),
    [anon_sym_shared] = ACTIONS(2318),
    [anon_sym_groupshared] = ACTIONS(2318),
    [anon_sym_uniform] = ACTIONS(2318),
    [anon_sym_row_major] = ACTIONS(2318),
    [anon_sym_column_major] = ACTIONS(2318),
    [anon_sym_globallycoherent] = ACTIONS(2318),
    [anon_sym_centroid] = ACTIONS(2318),
    [anon_sym_noperspective] = ACTIONS(2318),
    [anon_sym_nointerpolation] = ACTIONS(2318),
    [anon_sym_sample] = ACTIONS(2318),
    [anon_sym_linear] = ACTIONS(2318),
    [anon_sym_snorm] = ACTIONS(2318),
    [anon_sym_unorm] = ACTIONS(2318),
    [anon_sym_point] = ACTIONS(2318),
    [anon_sym_line] = ACTIONS(2318),
    [anon_sym_triangleadj] = ACTIONS(2318),
    [anon_sym_lineadj] = ACTIONS(2318),
    [anon_sym_triangle] = ACTIONS(2318),
    [anon_sym_cbuffer] = ACTIONS(2318),
  },
  [952] = {
    [ts_builtin_sym_end] = ACTIONS(2490),
    [sym_identifier] = ACTIONS(2488),
    [aux_sym_preproc_include_token1] = ACTIONS(2488),
    [aux_sym_preproc_def_token1] = ACTIONS(2488),
    [aux_sym_preproc_if_token1] = ACTIONS(2488),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2488),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2488),
    [sym_preproc_directive] = ACTIONS(2488),
    [anon_sym_LPAREN2] = ACTIONS(2490),
    [anon_sym_BANG] = ACTIONS(2490),
    [anon_sym_TILDE] = ACTIONS(2490),
    [anon_sym_DASH] = ACTIONS(2488),
    [anon_sym_PLUS] = ACTIONS(2488),
    [anon_sym_STAR] = ACTIONS(2490),
    [anon_sym_AMP_AMP] = ACTIONS(2490),
    [anon_sym_AMP] = ACTIONS(2488),
    [anon_sym_SEMI] = ACTIONS(2490),
    [anon_sym___extension__] = ACTIONS(2488),
    [anon_sym_typedef] = ACTIONS(2488),
    [anon_sym_in] = ACTIONS(2488),
    [anon_sym_out] = ACTIONS(2488),
    [anon_sym_inout] = ACTIONS(2488),
    [anon_sym_extern] = ACTIONS(2488),
    [anon_sym___attribute__] = ACTIONS(2488),
    [anon_sym_COLON_COLON] = ACTIONS(2490),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2490),
    [anon_sym___declspec] = ACTIONS(2488),
    [anon_sym___based] = ACTIONS(2488),
    [anon_sym___cdecl] = ACTIONS(2488),
    [anon_sym___clrcall] = ACTIONS(2488),
    [anon_sym___stdcall] = ACTIONS(2488),
    [anon_sym___fastcall] = ACTIONS(2488),
    [anon_sym___thiscall] = ACTIONS(2488),
    [anon_sym___vectorcall] = ACTIONS(2488),
    [anon_sym_LBRACE] = ACTIONS(2490),
    [anon_sym_signed] = ACTIONS(2488),
    [anon_sym_unsigned] = ACTIONS(2488),
    [anon_sym_long] = ACTIONS(2488),
    [anon_sym_short] = ACTIONS(2488),
    [anon_sym_LBRACK] = ACTIONS(2488),
    [anon_sym_static] = ACTIONS(2488),
    [anon_sym_register] = ACTIONS(2488),
    [anon_sym_inline] = ACTIONS(2488),
    [anon_sym___inline] = ACTIONS(2488),
    [anon_sym___inline__] = ACTIONS(2488),
    [anon_sym___forceinline] = ACTIONS(2488),
    [anon_sym_thread_local] = ACTIONS(2488),
    [anon_sym___thread] = ACTIONS(2488),
    [anon_sym_const] = ACTIONS(2488),
    [anon_sym_constexpr] = ACTIONS(2488),
    [anon_sym_volatile] = ACTIONS(2488),
    [anon_sym_restrict] = ACTIONS(2488),
    [anon_sym___restrict__] = ACTIONS(2488),
    [anon_sym__Atomic] = ACTIONS(2488),
    [anon_sym__Noreturn] = ACTIONS(2488),
    [anon_sym_noreturn] = ACTIONS(2488),
    [anon_sym_mutable] = ACTIONS(2488),
    [anon_sym_constinit] = ACTIONS(2488),
    [anon_sym_consteval] = ACTIONS(2488),
    [sym_primitive_type] = ACTIONS(2488),
    [anon_sym_enum] = ACTIONS(2488),
    [anon_sym_class] = ACTIONS(2488),
    [anon_sym_struct] = ACTIONS(2488),
    [anon_sym_union] = ACTIONS(2488),
    [anon_sym_if] = ACTIONS(2488),
    [anon_sym_else] = ACTIONS(2488),
    [anon_sym_switch] = ACTIONS(2488),
    [anon_sym_case] = ACTIONS(2488),
    [anon_sym_default] = ACTIONS(2488),
    [anon_sym_while] = ACTIONS(2488),
    [anon_sym_do] = ACTIONS(2488),
    [anon_sym_for] = ACTIONS(2488),
    [anon_sym_return] = ACTIONS(2488),
    [anon_sym_break] = ACTIONS(2488),
    [anon_sym_continue] = ACTIONS(2488),
    [anon_sym_goto] = ACTIONS(2488),
    [anon_sym___try] = ACTIONS(2488),
    [anon_sym___leave] = ACTIONS(2488),
    [anon_sym_not] = ACTIONS(2488),
    [anon_sym_compl] = ACTIONS(2488),
    [anon_sym_DASH_DASH] = ACTIONS(2490),
    [anon_sym_PLUS_PLUS] = ACTIONS(2490),
    [anon_sym_sizeof] = ACTIONS(2488),
    [anon_sym___alignof__] = ACTIONS(2488),
    [anon_sym___alignof] = ACTIONS(2488),
    [anon_sym__alignof] = ACTIONS(2488),
    [anon_sym_alignof] = ACTIONS(2488),
    [anon_sym__Alignof] = ACTIONS(2488),
    [anon_sym_offsetof] = ACTIONS(2488),
    [anon_sym__Generic] = ACTIONS(2488),
    [anon_sym_asm] = ACTIONS(2488),
    [anon_sym___asm__] = ACTIONS(2488),
    [sym_number_literal] = ACTIONS(2490),
    [anon_sym_L_SQUOTE] = ACTIONS(2490),
    [anon_sym_u_SQUOTE] = ACTIONS(2490),
    [anon_sym_U_SQUOTE] = ACTIONS(2490),
    [anon_sym_u8_SQUOTE] = ACTIONS(2490),
    [anon_sym_SQUOTE] = ACTIONS(2490),
    [anon_sym_L_DQUOTE] = ACTIONS(2490),
    [anon_sym_u_DQUOTE] = ACTIONS(2490),
    [anon_sym_U_DQUOTE] = ACTIONS(2490),
    [anon_sym_u8_DQUOTE] = ACTIONS(2490),
    [anon_sym_DQUOTE] = ACTIONS(2490),
    [sym_true] = ACTIONS(2488),
    [sym_false] = ACTIONS(2488),
    [anon_sym_NULL] = ACTIONS(2488),
    [anon_sym_nullptr] = ACTIONS(2488),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2488),
    [anon_sym_decltype] = ACTIONS(2488),
    [anon_sym_virtual] = ACTIONS(2488),
    [anon_sym_alignas] = ACTIONS(2488),
    [anon_sym_explicit] = ACTIONS(2488),
    [anon_sym_typename] = ACTIONS(2488),
    [anon_sym_template] = ACTIONS(2488),
    [anon_sym_operator] = ACTIONS(2488),
    [anon_sym_try] = ACTIONS(2488),
    [anon_sym_delete] = ACTIONS(2488),
    [anon_sym_throw] = ACTIONS(2488),
    [anon_sym_namespace] = ACTIONS(2488),
    [anon_sym_using] = ACTIONS(2488),
    [anon_sym_static_assert] = ACTIONS(2488),
    [anon_sym_concept] = ACTIONS(2488),
    [anon_sym_co_return] = ACTIONS(2488),
    [anon_sym_co_yield] = ACTIONS(2488),
    [anon_sym_R_DQUOTE] = ACTIONS(2490),
    [anon_sym_LR_DQUOTE] = ACTIONS(2490),
    [anon_sym_uR_DQUOTE] = ACTIONS(2490),
    [anon_sym_UR_DQUOTE] = ACTIONS(2490),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2490),
    [anon_sym_co_await] = ACTIONS(2488),
    [anon_sym_new] = ACTIONS(2488),
    [anon_sym_requires] = ACTIONS(2488),
    [sym_this] = ACTIONS(2488),
    [anon_sym_discard] = ACTIONS(2488),
    [anon_sym_precise] = ACTIONS(2488),
    [anon_sym_shared] = ACTIONS(2488),
    [anon_sym_groupshared] = ACTIONS(2488),
    [anon_sym_uniform] = ACTIONS(2488),
    [anon_sym_row_major] = ACTIONS(2488),
    [anon_sym_column_major] = ACTIONS(2488),
    [anon_sym_globallycoherent] = ACTIONS(2488),
    [anon_sym_centroid] = ACTIONS(2488),
    [anon_sym_noperspective] = ACTIONS(2488),
    [anon_sym_nointerpolation] = ACTIONS(2488),
    [anon_sym_sample] = ACTIONS(2488),
    [anon_sym_linear] = ACTIONS(2488),
    [anon_sym_snorm] = ACTIONS(2488),
    [anon_sym_unorm] = ACTIONS(2488),
    [anon_sym_point] = ACTIONS(2488),
    [anon_sym_line] = ACTIONS(2488),
    [anon_sym_triangleadj] = ACTIONS(2488),
    [anon_sym_lineadj] = ACTIONS(2488),
    [anon_sym_triangle] = ACTIONS(2488),
    [anon_sym_cbuffer] = ACTIONS(2488),
  },
  [953] = {
    [sym_identifier] = ACTIONS(2318),
    [aux_sym_preproc_include_token1] = ACTIONS(2318),
    [aux_sym_preproc_def_token1] = ACTIONS(2318),
    [aux_sym_preproc_if_token1] = ACTIONS(2318),
    [aux_sym_preproc_if_token2] = ACTIONS(2318),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2318),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2318),
    [sym_preproc_directive] = ACTIONS(2318),
    [anon_sym_LPAREN2] = ACTIONS(2320),
    [anon_sym_BANG] = ACTIONS(2320),
    [anon_sym_TILDE] = ACTIONS(2320),
    [anon_sym_DASH] = ACTIONS(2318),
    [anon_sym_PLUS] = ACTIONS(2318),
    [anon_sym_STAR] = ACTIONS(2320),
    [anon_sym_AMP_AMP] = ACTIONS(2320),
    [anon_sym_AMP] = ACTIONS(2318),
    [anon_sym_SEMI] = ACTIONS(2320),
    [anon_sym___extension__] = ACTIONS(2318),
    [anon_sym_typedef] = ACTIONS(2318),
    [anon_sym_in] = ACTIONS(2318),
    [anon_sym_out] = ACTIONS(2318),
    [anon_sym_inout] = ACTIONS(2318),
    [anon_sym_extern] = ACTIONS(2318),
    [anon_sym___attribute__] = ACTIONS(2318),
    [anon_sym_COLON_COLON] = ACTIONS(2320),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2320),
    [anon_sym___declspec] = ACTIONS(2318),
    [anon_sym___based] = ACTIONS(2318),
    [anon_sym___cdecl] = ACTIONS(2318),
    [anon_sym___clrcall] = ACTIONS(2318),
    [anon_sym___stdcall] = ACTIONS(2318),
    [anon_sym___fastcall] = ACTIONS(2318),
    [anon_sym___thiscall] = ACTIONS(2318),
    [anon_sym___vectorcall] = ACTIONS(2318),
    [anon_sym_LBRACE] = ACTIONS(2320),
    [anon_sym_signed] = ACTIONS(2318),
    [anon_sym_unsigned] = ACTIONS(2318),
    [anon_sym_long] = ACTIONS(2318),
    [anon_sym_short] = ACTIONS(2318),
    [anon_sym_LBRACK] = ACTIONS(2318),
    [anon_sym_static] = ACTIONS(2318),
    [anon_sym_register] = ACTIONS(2318),
    [anon_sym_inline] = ACTIONS(2318),
    [anon_sym___inline] = ACTIONS(2318),
    [anon_sym___inline__] = ACTIONS(2318),
    [anon_sym___forceinline] = ACTIONS(2318),
    [anon_sym_thread_local] = ACTIONS(2318),
    [anon_sym___thread] = ACTIONS(2318),
    [anon_sym_const] = ACTIONS(2318),
    [anon_sym_constexpr] = ACTIONS(2318),
    [anon_sym_volatile] = ACTIONS(2318),
    [anon_sym_restrict] = ACTIONS(2318),
    [anon_sym___restrict__] = ACTIONS(2318),
    [anon_sym__Atomic] = ACTIONS(2318),
    [anon_sym__Noreturn] = ACTIONS(2318),
    [anon_sym_noreturn] = ACTIONS(2318),
    [anon_sym_mutable] = ACTIONS(2318),
    [anon_sym_constinit] = ACTIONS(2318),
    [anon_sym_consteval] = ACTIONS(2318),
    [sym_primitive_type] = ACTIONS(2318),
    [anon_sym_enum] = ACTIONS(2318),
    [anon_sym_class] = ACTIONS(2318),
    [anon_sym_struct] = ACTIONS(2318),
    [anon_sym_union] = ACTIONS(2318),
    [anon_sym_if] = ACTIONS(2318),
    [anon_sym_else] = ACTIONS(2318),
    [anon_sym_switch] = ACTIONS(2318),
    [anon_sym_case] = ACTIONS(2318),
    [anon_sym_default] = ACTIONS(2318),
    [anon_sym_while] = ACTIONS(2318),
    [anon_sym_do] = ACTIONS(2318),
    [anon_sym_for] = ACTIONS(2318),
    [anon_sym_return] = ACTIONS(2318),
    [anon_sym_break] = ACTIONS(2318),
    [anon_sym_continue] = ACTIONS(2318),
    [anon_sym_goto] = ACTIONS(2318),
    [anon_sym___try] = ACTIONS(2318),
    [anon_sym___leave] = ACTIONS(2318),
    [anon_sym_not] = ACTIONS(2318),
    [anon_sym_compl] = ACTIONS(2318),
    [anon_sym_DASH_DASH] = ACTIONS(2320),
    [anon_sym_PLUS_PLUS] = ACTIONS(2320),
    [anon_sym_sizeof] = ACTIONS(2318),
    [anon_sym___alignof__] = ACTIONS(2318),
    [anon_sym___alignof] = ACTIONS(2318),
    [anon_sym__alignof] = ACTIONS(2318),
    [anon_sym_alignof] = ACTIONS(2318),
    [anon_sym__Alignof] = ACTIONS(2318),
    [anon_sym_offsetof] = ACTIONS(2318),
    [anon_sym__Generic] = ACTIONS(2318),
    [anon_sym_asm] = ACTIONS(2318),
    [anon_sym___asm__] = ACTIONS(2318),
    [sym_number_literal] = ACTIONS(2320),
    [anon_sym_L_SQUOTE] = ACTIONS(2320),
    [anon_sym_u_SQUOTE] = ACTIONS(2320),
    [anon_sym_U_SQUOTE] = ACTIONS(2320),
    [anon_sym_u8_SQUOTE] = ACTIONS(2320),
    [anon_sym_SQUOTE] = ACTIONS(2320),
    [anon_sym_L_DQUOTE] = ACTIONS(2320),
    [anon_sym_u_DQUOTE] = ACTIONS(2320),
    [anon_sym_U_DQUOTE] = ACTIONS(2320),
    [anon_sym_u8_DQUOTE] = ACTIONS(2320),
    [anon_sym_DQUOTE] = ACTIONS(2320),
    [sym_true] = ACTIONS(2318),
    [sym_false] = ACTIONS(2318),
    [anon_sym_NULL] = ACTIONS(2318),
    [anon_sym_nullptr] = ACTIONS(2318),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2318),
    [anon_sym_decltype] = ACTIONS(2318),
    [anon_sym_virtual] = ACTIONS(2318),
    [anon_sym_alignas] = ACTIONS(2318),
    [anon_sym_explicit] = ACTIONS(2318),
    [anon_sym_typename] = ACTIONS(2318),
    [anon_sym_template] = ACTIONS(2318),
    [anon_sym_operator] = ACTIONS(2318),
    [anon_sym_try] = ACTIONS(2318),
    [anon_sym_delete] = ACTIONS(2318),
    [anon_sym_throw] = ACTIONS(2318),
    [anon_sym_namespace] = ACTIONS(2318),
    [anon_sym_using] = ACTIONS(2318),
    [anon_sym_static_assert] = ACTIONS(2318),
    [anon_sym_concept] = ACTIONS(2318),
    [anon_sym_co_return] = ACTIONS(2318),
    [anon_sym_co_yield] = ACTIONS(2318),
    [anon_sym_R_DQUOTE] = ACTIONS(2320),
    [anon_sym_LR_DQUOTE] = ACTIONS(2320),
    [anon_sym_uR_DQUOTE] = ACTIONS(2320),
    [anon_sym_UR_DQUOTE] = ACTIONS(2320),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2320),
    [anon_sym_co_await] = ACTIONS(2318),
    [anon_sym_new] = ACTIONS(2318),
    [anon_sym_requires] = ACTIONS(2318),
    [sym_this] = ACTIONS(2318),
    [anon_sym_discard] = ACTIONS(2318),
    [anon_sym_precise] = ACTIONS(2318),
    [anon_sym_shared] = ACTIONS(2318),
    [anon_sym_groupshared] = ACTIONS(2318),
    [anon_sym_uniform] = ACTIONS(2318),
    [anon_sym_row_major] = ACTIONS(2318),
    [anon_sym_column_major] = ACTIONS(2318),
    [anon_sym_globallycoherent] = ACTIONS(2318),
    [anon_sym_centroid] = ACTIONS(2318),
    [anon_sym_noperspective] = ACTIONS(2318),
    [anon_sym_nointerpolation] = ACTIONS(2318),
    [anon_sym_sample] = ACTIONS(2318),
    [anon_sym_linear] = ACTIONS(2318),
    [anon_sym_snorm] = ACTIONS(2318),
    [anon_sym_unorm] = ACTIONS(2318),
    [anon_sym_point] = ACTIONS(2318),
    [anon_sym_line] = ACTIONS(2318),
    [anon_sym_triangleadj] = ACTIONS(2318),
    [anon_sym_lineadj] = ACTIONS(2318),
    [anon_sym_triangle] = ACTIONS(2318),
    [anon_sym_cbuffer] = ACTIONS(2318),
  },
  [954] = {
    [sym_identifier] = ACTIONS(2456),
    [aux_sym_preproc_include_token1] = ACTIONS(2456),
    [aux_sym_preproc_def_token1] = ACTIONS(2456),
    [aux_sym_preproc_if_token1] = ACTIONS(2456),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2456),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2456),
    [sym_preproc_directive] = ACTIONS(2456),
    [anon_sym_LPAREN2] = ACTIONS(2458),
    [anon_sym_BANG] = ACTIONS(2458),
    [anon_sym_TILDE] = ACTIONS(2458),
    [anon_sym_DASH] = ACTIONS(2456),
    [anon_sym_PLUS] = ACTIONS(2456),
    [anon_sym_STAR] = ACTIONS(2458),
    [anon_sym_AMP_AMP] = ACTIONS(2458),
    [anon_sym_AMP] = ACTIONS(2456),
    [anon_sym_SEMI] = ACTIONS(2458),
    [anon_sym___extension__] = ACTIONS(2456),
    [anon_sym_typedef] = ACTIONS(2456),
    [anon_sym_in] = ACTIONS(2456),
    [anon_sym_out] = ACTIONS(2456),
    [anon_sym_inout] = ACTIONS(2456),
    [anon_sym_extern] = ACTIONS(2456),
    [anon_sym___attribute__] = ACTIONS(2456),
    [anon_sym_COLON_COLON] = ACTIONS(2458),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2458),
    [anon_sym___declspec] = ACTIONS(2456),
    [anon_sym___based] = ACTIONS(2456),
    [anon_sym___cdecl] = ACTIONS(2456),
    [anon_sym___clrcall] = ACTIONS(2456),
    [anon_sym___stdcall] = ACTIONS(2456),
    [anon_sym___fastcall] = ACTIONS(2456),
    [anon_sym___thiscall] = ACTIONS(2456),
    [anon_sym___vectorcall] = ACTIONS(2456),
    [anon_sym_LBRACE] = ACTIONS(2458),
    [anon_sym_RBRACE] = ACTIONS(2458),
    [anon_sym_signed] = ACTIONS(2456),
    [anon_sym_unsigned] = ACTIONS(2456),
    [anon_sym_long] = ACTIONS(2456),
    [anon_sym_short] = ACTIONS(2456),
    [anon_sym_LBRACK] = ACTIONS(2456),
    [anon_sym_static] = ACTIONS(2456),
    [anon_sym_register] = ACTIONS(2456),
    [anon_sym_inline] = ACTIONS(2456),
    [anon_sym___inline] = ACTIONS(2456),
    [anon_sym___inline__] = ACTIONS(2456),
    [anon_sym___forceinline] = ACTIONS(2456),
    [anon_sym_thread_local] = ACTIONS(2456),
    [anon_sym___thread] = ACTIONS(2456),
    [anon_sym_const] = ACTIONS(2456),
    [anon_sym_constexpr] = ACTIONS(2456),
    [anon_sym_volatile] = ACTIONS(2456),
    [anon_sym_restrict] = ACTIONS(2456),
    [anon_sym___restrict__] = ACTIONS(2456),
    [anon_sym__Atomic] = ACTIONS(2456),
    [anon_sym__Noreturn] = ACTIONS(2456),
    [anon_sym_noreturn] = ACTIONS(2456),
    [anon_sym_mutable] = ACTIONS(2456),
    [anon_sym_constinit] = ACTIONS(2456),
    [anon_sym_consteval] = ACTIONS(2456),
    [sym_primitive_type] = ACTIONS(2456),
    [anon_sym_enum] = ACTIONS(2456),
    [anon_sym_class] = ACTIONS(2456),
    [anon_sym_struct] = ACTIONS(2456),
    [anon_sym_union] = ACTIONS(2456),
    [anon_sym_if] = ACTIONS(2456),
    [anon_sym_else] = ACTIONS(2456),
    [anon_sym_switch] = ACTIONS(2456),
    [anon_sym_case] = ACTIONS(2456),
    [anon_sym_default] = ACTIONS(2456),
    [anon_sym_while] = ACTIONS(2456),
    [anon_sym_do] = ACTIONS(2456),
    [anon_sym_for] = ACTIONS(2456),
    [anon_sym_return] = ACTIONS(2456),
    [anon_sym_break] = ACTIONS(2456),
    [anon_sym_continue] = ACTIONS(2456),
    [anon_sym_goto] = ACTIONS(2456),
    [anon_sym___try] = ACTIONS(2456),
    [anon_sym___leave] = ACTIONS(2456),
    [anon_sym_not] = ACTIONS(2456),
    [anon_sym_compl] = ACTIONS(2456),
    [anon_sym_DASH_DASH] = ACTIONS(2458),
    [anon_sym_PLUS_PLUS] = ACTIONS(2458),
    [anon_sym_sizeof] = ACTIONS(2456),
    [anon_sym___alignof__] = ACTIONS(2456),
    [anon_sym___alignof] = ACTIONS(2456),
    [anon_sym__alignof] = ACTIONS(2456),
    [anon_sym_alignof] = ACTIONS(2456),
    [anon_sym__Alignof] = ACTIONS(2456),
    [anon_sym_offsetof] = ACTIONS(2456),
    [anon_sym__Generic] = ACTIONS(2456),
    [anon_sym_asm] = ACTIONS(2456),
    [anon_sym___asm__] = ACTIONS(2456),
    [sym_number_literal] = ACTIONS(2458),
    [anon_sym_L_SQUOTE] = ACTIONS(2458),
    [anon_sym_u_SQUOTE] = ACTIONS(2458),
    [anon_sym_U_SQUOTE] = ACTIONS(2458),
    [anon_sym_u8_SQUOTE] = ACTIONS(2458),
    [anon_sym_SQUOTE] = ACTIONS(2458),
    [anon_sym_L_DQUOTE] = ACTIONS(2458),
    [anon_sym_u_DQUOTE] = ACTIONS(2458),
    [anon_sym_U_DQUOTE] = ACTIONS(2458),
    [anon_sym_u8_DQUOTE] = ACTIONS(2458),
    [anon_sym_DQUOTE] = ACTIONS(2458),
    [sym_true] = ACTIONS(2456),
    [sym_false] = ACTIONS(2456),
    [anon_sym_NULL] = ACTIONS(2456),
    [anon_sym_nullptr] = ACTIONS(2456),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2456),
    [anon_sym_decltype] = ACTIONS(2456),
    [anon_sym_virtual] = ACTIONS(2456),
    [anon_sym_alignas] = ACTIONS(2456),
    [anon_sym_explicit] = ACTIONS(2456),
    [anon_sym_typename] = ACTIONS(2456),
    [anon_sym_template] = ACTIONS(2456),
    [anon_sym_operator] = ACTIONS(2456),
    [anon_sym_try] = ACTIONS(2456),
    [anon_sym_delete] = ACTIONS(2456),
    [anon_sym_throw] = ACTIONS(2456),
    [anon_sym_namespace] = ACTIONS(2456),
    [anon_sym_using] = ACTIONS(2456),
    [anon_sym_static_assert] = ACTIONS(2456),
    [anon_sym_concept] = ACTIONS(2456),
    [anon_sym_co_return] = ACTIONS(2456),
    [anon_sym_co_yield] = ACTIONS(2456),
    [anon_sym_R_DQUOTE] = ACTIONS(2458),
    [anon_sym_LR_DQUOTE] = ACTIONS(2458),
    [anon_sym_uR_DQUOTE] = ACTIONS(2458),
    [anon_sym_UR_DQUOTE] = ACTIONS(2458),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2458),
    [anon_sym_co_await] = ACTIONS(2456),
    [anon_sym_new] = ACTIONS(2456),
    [anon_sym_requires] = ACTIONS(2456),
    [sym_this] = ACTIONS(2456),
    [anon_sym_discard] = ACTIONS(2456),
    [anon_sym_precise] = ACTIONS(2456),
    [anon_sym_shared] = ACTIONS(2456),
    [anon_sym_groupshared] = ACTIONS(2456),
    [anon_sym_uniform] = ACTIONS(2456),
    [anon_sym_row_major] = ACTIONS(2456),
    [anon_sym_column_major] = ACTIONS(2456),
    [anon_sym_globallycoherent] = ACTIONS(2456),
    [anon_sym_centroid] = ACTIONS(2456),
    [anon_sym_noperspective] = ACTIONS(2456),
    [anon_sym_nointerpolation] = ACTIONS(2456),
    [anon_sym_sample] = ACTIONS(2456),
    [anon_sym_linear] = ACTIONS(2456),
    [anon_sym_snorm] = ACTIONS(2456),
    [anon_sym_unorm] = ACTIONS(2456),
    [anon_sym_point] = ACTIONS(2456),
    [anon_sym_line] = ACTIONS(2456),
    [anon_sym_triangleadj] = ACTIONS(2456),
    [anon_sym_lineadj] = ACTIONS(2456),
    [anon_sym_triangle] = ACTIONS(2456),
    [anon_sym_cbuffer] = ACTIONS(2456),
  },
  [955] = {
    [sym_identifier] = ACTIONS(2330),
    [aux_sym_preproc_include_token1] = ACTIONS(2330),
    [aux_sym_preproc_def_token1] = ACTIONS(2330),
    [aux_sym_preproc_if_token1] = ACTIONS(2330),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2330),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2330),
    [sym_preproc_directive] = ACTIONS(2330),
    [anon_sym_LPAREN2] = ACTIONS(2332),
    [anon_sym_BANG] = ACTIONS(2332),
    [anon_sym_TILDE] = ACTIONS(2332),
    [anon_sym_DASH] = ACTIONS(2330),
    [anon_sym_PLUS] = ACTIONS(2330),
    [anon_sym_STAR] = ACTIONS(2332),
    [anon_sym_AMP_AMP] = ACTIONS(2332),
    [anon_sym_AMP] = ACTIONS(2330),
    [anon_sym_SEMI] = ACTIONS(2332),
    [anon_sym___extension__] = ACTIONS(2330),
    [anon_sym_typedef] = ACTIONS(2330),
    [anon_sym_in] = ACTIONS(2330),
    [anon_sym_out] = ACTIONS(2330),
    [anon_sym_inout] = ACTIONS(2330),
    [anon_sym_extern] = ACTIONS(2330),
    [anon_sym___attribute__] = ACTIONS(2330),
    [anon_sym_COLON_COLON] = ACTIONS(2332),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2332),
    [anon_sym___declspec] = ACTIONS(2330),
    [anon_sym___based] = ACTIONS(2330),
    [anon_sym___cdecl] = ACTIONS(2330),
    [anon_sym___clrcall] = ACTIONS(2330),
    [anon_sym___stdcall] = ACTIONS(2330),
    [anon_sym___fastcall] = ACTIONS(2330),
    [anon_sym___thiscall] = ACTIONS(2330),
    [anon_sym___vectorcall] = ACTIONS(2330),
    [anon_sym_LBRACE] = ACTIONS(2332),
    [anon_sym_RBRACE] = ACTIONS(2332),
    [anon_sym_signed] = ACTIONS(2330),
    [anon_sym_unsigned] = ACTIONS(2330),
    [anon_sym_long] = ACTIONS(2330),
    [anon_sym_short] = ACTIONS(2330),
    [anon_sym_LBRACK] = ACTIONS(2330),
    [anon_sym_static] = ACTIONS(2330),
    [anon_sym_register] = ACTIONS(2330),
    [anon_sym_inline] = ACTIONS(2330),
    [anon_sym___inline] = ACTIONS(2330),
    [anon_sym___inline__] = ACTIONS(2330),
    [anon_sym___forceinline] = ACTIONS(2330),
    [anon_sym_thread_local] = ACTIONS(2330),
    [anon_sym___thread] = ACTIONS(2330),
    [anon_sym_const] = ACTIONS(2330),
    [anon_sym_constexpr] = ACTIONS(2330),
    [anon_sym_volatile] = ACTIONS(2330),
    [anon_sym_restrict] = ACTIONS(2330),
    [anon_sym___restrict__] = ACTIONS(2330),
    [anon_sym__Atomic] = ACTIONS(2330),
    [anon_sym__Noreturn] = ACTIONS(2330),
    [anon_sym_noreturn] = ACTIONS(2330),
    [anon_sym_mutable] = ACTIONS(2330),
    [anon_sym_constinit] = ACTIONS(2330),
    [anon_sym_consteval] = ACTIONS(2330),
    [sym_primitive_type] = ACTIONS(2330),
    [anon_sym_enum] = ACTIONS(2330),
    [anon_sym_class] = ACTIONS(2330),
    [anon_sym_struct] = ACTIONS(2330),
    [anon_sym_union] = ACTIONS(2330),
    [anon_sym_if] = ACTIONS(2330),
    [anon_sym_else] = ACTIONS(2330),
    [anon_sym_switch] = ACTIONS(2330),
    [anon_sym_case] = ACTIONS(2330),
    [anon_sym_default] = ACTIONS(2330),
    [anon_sym_while] = ACTIONS(2330),
    [anon_sym_do] = ACTIONS(2330),
    [anon_sym_for] = ACTIONS(2330),
    [anon_sym_return] = ACTIONS(2330),
    [anon_sym_break] = ACTIONS(2330),
    [anon_sym_continue] = ACTIONS(2330),
    [anon_sym_goto] = ACTIONS(2330),
    [anon_sym___try] = ACTIONS(2330),
    [anon_sym___leave] = ACTIONS(2330),
    [anon_sym_not] = ACTIONS(2330),
    [anon_sym_compl] = ACTIONS(2330),
    [anon_sym_DASH_DASH] = ACTIONS(2332),
    [anon_sym_PLUS_PLUS] = ACTIONS(2332),
    [anon_sym_sizeof] = ACTIONS(2330),
    [anon_sym___alignof__] = ACTIONS(2330),
    [anon_sym___alignof] = ACTIONS(2330),
    [anon_sym__alignof] = ACTIONS(2330),
    [anon_sym_alignof] = ACTIONS(2330),
    [anon_sym__Alignof] = ACTIONS(2330),
    [anon_sym_offsetof] = ACTIONS(2330),
    [anon_sym__Generic] = ACTIONS(2330),
    [anon_sym_asm] = ACTIONS(2330),
    [anon_sym___asm__] = ACTIONS(2330),
    [sym_number_literal] = ACTIONS(2332),
    [anon_sym_L_SQUOTE] = ACTIONS(2332),
    [anon_sym_u_SQUOTE] = ACTIONS(2332),
    [anon_sym_U_SQUOTE] = ACTIONS(2332),
    [anon_sym_u8_SQUOTE] = ACTIONS(2332),
    [anon_sym_SQUOTE] = ACTIONS(2332),
    [anon_sym_L_DQUOTE] = ACTIONS(2332),
    [anon_sym_u_DQUOTE] = ACTIONS(2332),
    [anon_sym_U_DQUOTE] = ACTIONS(2332),
    [anon_sym_u8_DQUOTE] = ACTIONS(2332),
    [anon_sym_DQUOTE] = ACTIONS(2332),
    [sym_true] = ACTIONS(2330),
    [sym_false] = ACTIONS(2330),
    [anon_sym_NULL] = ACTIONS(2330),
    [anon_sym_nullptr] = ACTIONS(2330),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2330),
    [anon_sym_decltype] = ACTIONS(2330),
    [anon_sym_virtual] = ACTIONS(2330),
    [anon_sym_alignas] = ACTIONS(2330),
    [anon_sym_explicit] = ACTIONS(2330),
    [anon_sym_typename] = ACTIONS(2330),
    [anon_sym_template] = ACTIONS(2330),
    [anon_sym_operator] = ACTIONS(2330),
    [anon_sym_try] = ACTIONS(2330),
    [anon_sym_delete] = ACTIONS(2330),
    [anon_sym_throw] = ACTIONS(2330),
    [anon_sym_namespace] = ACTIONS(2330),
    [anon_sym_using] = ACTIONS(2330),
    [anon_sym_static_assert] = ACTIONS(2330),
    [anon_sym_concept] = ACTIONS(2330),
    [anon_sym_co_return] = ACTIONS(2330),
    [anon_sym_co_yield] = ACTIONS(2330),
    [anon_sym_R_DQUOTE] = ACTIONS(2332),
    [anon_sym_LR_DQUOTE] = ACTIONS(2332),
    [anon_sym_uR_DQUOTE] = ACTIONS(2332),
    [anon_sym_UR_DQUOTE] = ACTIONS(2332),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2332),
    [anon_sym_co_await] = ACTIONS(2330),
    [anon_sym_new] = ACTIONS(2330),
    [anon_sym_requires] = ACTIONS(2330),
    [sym_this] = ACTIONS(2330),
    [anon_sym_discard] = ACTIONS(2330),
    [anon_sym_precise] = ACTIONS(2330),
    [anon_sym_shared] = ACTIONS(2330),
    [anon_sym_groupshared] = ACTIONS(2330),
    [anon_sym_uniform] = ACTIONS(2330),
    [anon_sym_row_major] = ACTIONS(2330),
    [anon_sym_column_major] = ACTIONS(2330),
    [anon_sym_globallycoherent] = ACTIONS(2330),
    [anon_sym_centroid] = ACTIONS(2330),
    [anon_sym_noperspective] = ACTIONS(2330),
    [anon_sym_nointerpolation] = ACTIONS(2330),
    [anon_sym_sample] = ACTIONS(2330),
    [anon_sym_linear] = ACTIONS(2330),
    [anon_sym_snorm] = ACTIONS(2330),
    [anon_sym_unorm] = ACTIONS(2330),
    [anon_sym_point] = ACTIONS(2330),
    [anon_sym_line] = ACTIONS(2330),
    [anon_sym_triangleadj] = ACTIONS(2330),
    [anon_sym_lineadj] = ACTIONS(2330),
    [anon_sym_triangle] = ACTIONS(2330),
    [anon_sym_cbuffer] = ACTIONS(2330),
  },
  [956] = {
    [sym_identifier] = ACTIONS(2460),
    [aux_sym_preproc_include_token1] = ACTIONS(2460),
    [aux_sym_preproc_def_token1] = ACTIONS(2460),
    [aux_sym_preproc_if_token1] = ACTIONS(2460),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2460),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2460),
    [sym_preproc_directive] = ACTIONS(2460),
    [anon_sym_LPAREN2] = ACTIONS(2462),
    [anon_sym_BANG] = ACTIONS(2462),
    [anon_sym_TILDE] = ACTIONS(2462),
    [anon_sym_DASH] = ACTIONS(2460),
    [anon_sym_PLUS] = ACTIONS(2460),
    [anon_sym_STAR] = ACTIONS(2462),
    [anon_sym_AMP_AMP] = ACTIONS(2462),
    [anon_sym_AMP] = ACTIONS(2460),
    [anon_sym_SEMI] = ACTIONS(2462),
    [anon_sym___extension__] = ACTIONS(2460),
    [anon_sym_typedef] = ACTIONS(2460),
    [anon_sym_in] = ACTIONS(2460),
    [anon_sym_out] = ACTIONS(2460),
    [anon_sym_inout] = ACTIONS(2460),
    [anon_sym_extern] = ACTIONS(2460),
    [anon_sym___attribute__] = ACTIONS(2460),
    [anon_sym_COLON_COLON] = ACTIONS(2462),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2462),
    [anon_sym___declspec] = ACTIONS(2460),
    [anon_sym___based] = ACTIONS(2460),
    [anon_sym___cdecl] = ACTIONS(2460),
    [anon_sym___clrcall] = ACTIONS(2460),
    [anon_sym___stdcall] = ACTIONS(2460),
    [anon_sym___fastcall] = ACTIONS(2460),
    [anon_sym___thiscall] = ACTIONS(2460),
    [anon_sym___vectorcall] = ACTIONS(2460),
    [anon_sym_LBRACE] = ACTIONS(2462),
    [anon_sym_RBRACE] = ACTIONS(2462),
    [anon_sym_signed] = ACTIONS(2460),
    [anon_sym_unsigned] = ACTIONS(2460),
    [anon_sym_long] = ACTIONS(2460),
    [anon_sym_short] = ACTIONS(2460),
    [anon_sym_LBRACK] = ACTIONS(2460),
    [anon_sym_static] = ACTIONS(2460),
    [anon_sym_register] = ACTIONS(2460),
    [anon_sym_inline] = ACTIONS(2460),
    [anon_sym___inline] = ACTIONS(2460),
    [anon_sym___inline__] = ACTIONS(2460),
    [anon_sym___forceinline] = ACTIONS(2460),
    [anon_sym_thread_local] = ACTIONS(2460),
    [anon_sym___thread] = ACTIONS(2460),
    [anon_sym_const] = ACTIONS(2460),
    [anon_sym_constexpr] = ACTIONS(2460),
    [anon_sym_volatile] = ACTIONS(2460),
    [anon_sym_restrict] = ACTIONS(2460),
    [anon_sym___restrict__] = ACTIONS(2460),
    [anon_sym__Atomic] = ACTIONS(2460),
    [anon_sym__Noreturn] = ACTIONS(2460),
    [anon_sym_noreturn] = ACTIONS(2460),
    [anon_sym_mutable] = ACTIONS(2460),
    [anon_sym_constinit] = ACTIONS(2460),
    [anon_sym_consteval] = ACTIONS(2460),
    [sym_primitive_type] = ACTIONS(2460),
    [anon_sym_enum] = ACTIONS(2460),
    [anon_sym_class] = ACTIONS(2460),
    [anon_sym_struct] = ACTIONS(2460),
    [anon_sym_union] = ACTIONS(2460),
    [anon_sym_if] = ACTIONS(2460),
    [anon_sym_else] = ACTIONS(2460),
    [anon_sym_switch] = ACTIONS(2460),
    [anon_sym_case] = ACTIONS(2460),
    [anon_sym_default] = ACTIONS(2460),
    [anon_sym_while] = ACTIONS(2460),
    [anon_sym_do] = ACTIONS(2460),
    [anon_sym_for] = ACTIONS(2460),
    [anon_sym_return] = ACTIONS(2460),
    [anon_sym_break] = ACTIONS(2460),
    [anon_sym_continue] = ACTIONS(2460),
    [anon_sym_goto] = ACTIONS(2460),
    [anon_sym___try] = ACTIONS(2460),
    [anon_sym___leave] = ACTIONS(2460),
    [anon_sym_not] = ACTIONS(2460),
    [anon_sym_compl] = ACTIONS(2460),
    [anon_sym_DASH_DASH] = ACTIONS(2462),
    [anon_sym_PLUS_PLUS] = ACTIONS(2462),
    [anon_sym_sizeof] = ACTIONS(2460),
    [anon_sym___alignof__] = ACTIONS(2460),
    [anon_sym___alignof] = ACTIONS(2460),
    [anon_sym__alignof] = ACTIONS(2460),
    [anon_sym_alignof] = ACTIONS(2460),
    [anon_sym__Alignof] = ACTIONS(2460),
    [anon_sym_offsetof] = ACTIONS(2460),
    [anon_sym__Generic] = ACTIONS(2460),
    [anon_sym_asm] = ACTIONS(2460),
    [anon_sym___asm__] = ACTIONS(2460),
    [sym_number_literal] = ACTIONS(2462),
    [anon_sym_L_SQUOTE] = ACTIONS(2462),
    [anon_sym_u_SQUOTE] = ACTIONS(2462),
    [anon_sym_U_SQUOTE] = ACTIONS(2462),
    [anon_sym_u8_SQUOTE] = ACTIONS(2462),
    [anon_sym_SQUOTE] = ACTIONS(2462),
    [anon_sym_L_DQUOTE] = ACTIONS(2462),
    [anon_sym_u_DQUOTE] = ACTIONS(2462),
    [anon_sym_U_DQUOTE] = ACTIONS(2462),
    [anon_sym_u8_DQUOTE] = ACTIONS(2462),
    [anon_sym_DQUOTE] = ACTIONS(2462),
    [sym_true] = ACTIONS(2460),
    [sym_false] = ACTIONS(2460),
    [anon_sym_NULL] = ACTIONS(2460),
    [anon_sym_nullptr] = ACTIONS(2460),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2460),
    [anon_sym_decltype] = ACTIONS(2460),
    [anon_sym_virtual] = ACTIONS(2460),
    [anon_sym_alignas] = ACTIONS(2460),
    [anon_sym_explicit] = ACTIONS(2460),
    [anon_sym_typename] = ACTIONS(2460),
    [anon_sym_template] = ACTIONS(2460),
    [anon_sym_operator] = ACTIONS(2460),
    [anon_sym_try] = ACTIONS(2460),
    [anon_sym_delete] = ACTIONS(2460),
    [anon_sym_throw] = ACTIONS(2460),
    [anon_sym_namespace] = ACTIONS(2460),
    [anon_sym_using] = ACTIONS(2460),
    [anon_sym_static_assert] = ACTIONS(2460),
    [anon_sym_concept] = ACTIONS(2460),
    [anon_sym_co_return] = ACTIONS(2460),
    [anon_sym_co_yield] = ACTIONS(2460),
    [anon_sym_R_DQUOTE] = ACTIONS(2462),
    [anon_sym_LR_DQUOTE] = ACTIONS(2462),
    [anon_sym_uR_DQUOTE] = ACTIONS(2462),
    [anon_sym_UR_DQUOTE] = ACTIONS(2462),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2462),
    [anon_sym_co_await] = ACTIONS(2460),
    [anon_sym_new] = ACTIONS(2460),
    [anon_sym_requires] = ACTIONS(2460),
    [sym_this] = ACTIONS(2460),
    [anon_sym_discard] = ACTIONS(2460),
    [anon_sym_precise] = ACTIONS(2460),
    [anon_sym_shared] = ACTIONS(2460),
    [anon_sym_groupshared] = ACTIONS(2460),
    [anon_sym_uniform] = ACTIONS(2460),
    [anon_sym_row_major] = ACTIONS(2460),
    [anon_sym_column_major] = ACTIONS(2460),
    [anon_sym_globallycoherent] = ACTIONS(2460),
    [anon_sym_centroid] = ACTIONS(2460),
    [anon_sym_noperspective] = ACTIONS(2460),
    [anon_sym_nointerpolation] = ACTIONS(2460),
    [anon_sym_sample] = ACTIONS(2460),
    [anon_sym_linear] = ACTIONS(2460),
    [anon_sym_snorm] = ACTIONS(2460),
    [anon_sym_unorm] = ACTIONS(2460),
    [anon_sym_point] = ACTIONS(2460),
    [anon_sym_line] = ACTIONS(2460),
    [anon_sym_triangleadj] = ACTIONS(2460),
    [anon_sym_lineadj] = ACTIONS(2460),
    [anon_sym_triangle] = ACTIONS(2460),
    [anon_sym_cbuffer] = ACTIONS(2460),
  },
  [957] = {
    [sym_identifier] = ACTIONS(2444),
    [aux_sym_preproc_include_token1] = ACTIONS(2444),
    [aux_sym_preproc_def_token1] = ACTIONS(2444),
    [aux_sym_preproc_if_token1] = ACTIONS(2444),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2444),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2444),
    [sym_preproc_directive] = ACTIONS(2444),
    [anon_sym_LPAREN2] = ACTIONS(2446),
    [anon_sym_BANG] = ACTIONS(2446),
    [anon_sym_TILDE] = ACTIONS(2446),
    [anon_sym_DASH] = ACTIONS(2444),
    [anon_sym_PLUS] = ACTIONS(2444),
    [anon_sym_STAR] = ACTIONS(2446),
    [anon_sym_AMP_AMP] = ACTIONS(2446),
    [anon_sym_AMP] = ACTIONS(2444),
    [anon_sym_SEMI] = ACTIONS(2446),
    [anon_sym___extension__] = ACTIONS(2444),
    [anon_sym_typedef] = ACTIONS(2444),
    [anon_sym_in] = ACTIONS(2444),
    [anon_sym_out] = ACTIONS(2444),
    [anon_sym_inout] = ACTIONS(2444),
    [anon_sym_extern] = ACTIONS(2444),
    [anon_sym___attribute__] = ACTIONS(2444),
    [anon_sym_COLON_COLON] = ACTIONS(2446),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2446),
    [anon_sym___declspec] = ACTIONS(2444),
    [anon_sym___based] = ACTIONS(2444),
    [anon_sym___cdecl] = ACTIONS(2444),
    [anon_sym___clrcall] = ACTIONS(2444),
    [anon_sym___stdcall] = ACTIONS(2444),
    [anon_sym___fastcall] = ACTIONS(2444),
    [anon_sym___thiscall] = ACTIONS(2444),
    [anon_sym___vectorcall] = ACTIONS(2444),
    [anon_sym_LBRACE] = ACTIONS(2446),
    [anon_sym_RBRACE] = ACTIONS(2446),
    [anon_sym_signed] = ACTIONS(2444),
    [anon_sym_unsigned] = ACTIONS(2444),
    [anon_sym_long] = ACTIONS(2444),
    [anon_sym_short] = ACTIONS(2444),
    [anon_sym_LBRACK] = ACTIONS(2444),
    [anon_sym_static] = ACTIONS(2444),
    [anon_sym_register] = ACTIONS(2444),
    [anon_sym_inline] = ACTIONS(2444),
    [anon_sym___inline] = ACTIONS(2444),
    [anon_sym___inline__] = ACTIONS(2444),
    [anon_sym___forceinline] = ACTIONS(2444),
    [anon_sym_thread_local] = ACTIONS(2444),
    [anon_sym___thread] = ACTIONS(2444),
    [anon_sym_const] = ACTIONS(2444),
    [anon_sym_constexpr] = ACTIONS(2444),
    [anon_sym_volatile] = ACTIONS(2444),
    [anon_sym_restrict] = ACTIONS(2444),
    [anon_sym___restrict__] = ACTIONS(2444),
    [anon_sym__Atomic] = ACTIONS(2444),
    [anon_sym__Noreturn] = ACTIONS(2444),
    [anon_sym_noreturn] = ACTIONS(2444),
    [anon_sym_mutable] = ACTIONS(2444),
    [anon_sym_constinit] = ACTIONS(2444),
    [anon_sym_consteval] = ACTIONS(2444),
    [sym_primitive_type] = ACTIONS(2444),
    [anon_sym_enum] = ACTIONS(2444),
    [anon_sym_class] = ACTIONS(2444),
    [anon_sym_struct] = ACTIONS(2444),
    [anon_sym_union] = ACTIONS(2444),
    [anon_sym_if] = ACTIONS(2444),
    [anon_sym_else] = ACTIONS(2444),
    [anon_sym_switch] = ACTIONS(2444),
    [anon_sym_case] = ACTIONS(2444),
    [anon_sym_default] = ACTIONS(2444),
    [anon_sym_while] = ACTIONS(2444),
    [anon_sym_do] = ACTIONS(2444),
    [anon_sym_for] = ACTIONS(2444),
    [anon_sym_return] = ACTIONS(2444),
    [anon_sym_break] = ACTIONS(2444),
    [anon_sym_continue] = ACTIONS(2444),
    [anon_sym_goto] = ACTIONS(2444),
    [anon_sym___try] = ACTIONS(2444),
    [anon_sym___leave] = ACTIONS(2444),
    [anon_sym_not] = ACTIONS(2444),
    [anon_sym_compl] = ACTIONS(2444),
    [anon_sym_DASH_DASH] = ACTIONS(2446),
    [anon_sym_PLUS_PLUS] = ACTIONS(2446),
    [anon_sym_sizeof] = ACTIONS(2444),
    [anon_sym___alignof__] = ACTIONS(2444),
    [anon_sym___alignof] = ACTIONS(2444),
    [anon_sym__alignof] = ACTIONS(2444),
    [anon_sym_alignof] = ACTIONS(2444),
    [anon_sym__Alignof] = ACTIONS(2444),
    [anon_sym_offsetof] = ACTIONS(2444),
    [anon_sym__Generic] = ACTIONS(2444),
    [anon_sym_asm] = ACTIONS(2444),
    [anon_sym___asm__] = ACTIONS(2444),
    [sym_number_literal] = ACTIONS(2446),
    [anon_sym_L_SQUOTE] = ACTIONS(2446),
    [anon_sym_u_SQUOTE] = ACTIONS(2446),
    [anon_sym_U_SQUOTE] = ACTIONS(2446),
    [anon_sym_u8_SQUOTE] = ACTIONS(2446),
    [anon_sym_SQUOTE] = ACTIONS(2446),
    [anon_sym_L_DQUOTE] = ACTIONS(2446),
    [anon_sym_u_DQUOTE] = ACTIONS(2446),
    [anon_sym_U_DQUOTE] = ACTIONS(2446),
    [anon_sym_u8_DQUOTE] = ACTIONS(2446),
    [anon_sym_DQUOTE] = ACTIONS(2446),
    [sym_true] = ACTIONS(2444),
    [sym_false] = ACTIONS(2444),
    [anon_sym_NULL] = ACTIONS(2444),
    [anon_sym_nullptr] = ACTIONS(2444),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2444),
    [anon_sym_decltype] = ACTIONS(2444),
    [anon_sym_virtual] = ACTIONS(2444),
    [anon_sym_alignas] = ACTIONS(2444),
    [anon_sym_explicit] = ACTIONS(2444),
    [anon_sym_typename] = ACTIONS(2444),
    [anon_sym_template] = ACTIONS(2444),
    [anon_sym_operator] = ACTIONS(2444),
    [anon_sym_try] = ACTIONS(2444),
    [anon_sym_delete] = ACTIONS(2444),
    [anon_sym_throw] = ACTIONS(2444),
    [anon_sym_namespace] = ACTIONS(2444),
    [anon_sym_using] = ACTIONS(2444),
    [anon_sym_static_assert] = ACTIONS(2444),
    [anon_sym_concept] = ACTIONS(2444),
    [anon_sym_co_return] = ACTIONS(2444),
    [anon_sym_co_yield] = ACTIONS(2444),
    [anon_sym_R_DQUOTE] = ACTIONS(2446),
    [anon_sym_LR_DQUOTE] = ACTIONS(2446),
    [anon_sym_uR_DQUOTE] = ACTIONS(2446),
    [anon_sym_UR_DQUOTE] = ACTIONS(2446),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2446),
    [anon_sym_co_await] = ACTIONS(2444),
    [anon_sym_new] = ACTIONS(2444),
    [anon_sym_requires] = ACTIONS(2444),
    [sym_this] = ACTIONS(2444),
    [anon_sym_discard] = ACTIONS(2444),
    [anon_sym_precise] = ACTIONS(2444),
    [anon_sym_shared] = ACTIONS(2444),
    [anon_sym_groupshared] = ACTIONS(2444),
    [anon_sym_uniform] = ACTIONS(2444),
    [anon_sym_row_major] = ACTIONS(2444),
    [anon_sym_column_major] = ACTIONS(2444),
    [anon_sym_globallycoherent] = ACTIONS(2444),
    [anon_sym_centroid] = ACTIONS(2444),
    [anon_sym_noperspective] = ACTIONS(2444),
    [anon_sym_nointerpolation] = ACTIONS(2444),
    [anon_sym_sample] = ACTIONS(2444),
    [anon_sym_linear] = ACTIONS(2444),
    [anon_sym_snorm] = ACTIONS(2444),
    [anon_sym_unorm] = ACTIONS(2444),
    [anon_sym_point] = ACTIONS(2444),
    [anon_sym_line] = ACTIONS(2444),
    [anon_sym_triangleadj] = ACTIONS(2444),
    [anon_sym_lineadj] = ACTIONS(2444),
    [anon_sym_triangle] = ACTIONS(2444),
    [anon_sym_cbuffer] = ACTIONS(2444),
  },
  [958] = {
    [sym_identifier] = ACTIONS(2238),
    [aux_sym_preproc_include_token1] = ACTIONS(2238),
    [aux_sym_preproc_def_token1] = ACTIONS(2238),
    [anon_sym_COMMA] = ACTIONS(2358),
    [aux_sym_preproc_if_token1] = ACTIONS(2238),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2238),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2238),
    [sym_preproc_directive] = ACTIONS(2238),
    [anon_sym_LPAREN2] = ACTIONS(2236),
    [anon_sym_BANG] = ACTIONS(2236),
    [anon_sym_TILDE] = ACTIONS(2236),
    [anon_sym_DASH] = ACTIONS(2238),
    [anon_sym_PLUS] = ACTIONS(2238),
    [anon_sym_STAR] = ACTIONS(2236),
    [anon_sym_AMP_AMP] = ACTIONS(2236),
    [anon_sym_AMP] = ACTIONS(2238),
    [anon_sym_SEMI] = ACTIONS(2358),
    [anon_sym___extension__] = ACTIONS(2238),
    [anon_sym_typedef] = ACTIONS(2238),
    [anon_sym_in] = ACTIONS(2238),
    [anon_sym_out] = ACTIONS(2238),
    [anon_sym_inout] = ACTIONS(2238),
    [anon_sym_extern] = ACTIONS(2238),
    [anon_sym___attribute__] = ACTIONS(2238),
    [anon_sym_COLON_COLON] = ACTIONS(2236),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2236),
    [anon_sym___declspec] = ACTIONS(2238),
    [anon_sym___based] = ACTIONS(2238),
    [anon_sym___cdecl] = ACTIONS(2238),
    [anon_sym___clrcall] = ACTIONS(2238),
    [anon_sym___stdcall] = ACTIONS(2238),
    [anon_sym___fastcall] = ACTIONS(2238),
    [anon_sym___thiscall] = ACTIONS(2238),
    [anon_sym___vectorcall] = ACTIONS(2238),
    [anon_sym_LBRACE] = ACTIONS(2236),
    [anon_sym_RBRACE] = ACTIONS(2236),
    [anon_sym_signed] = ACTIONS(2238),
    [anon_sym_unsigned] = ACTIONS(2238),
    [anon_sym_long] = ACTIONS(2238),
    [anon_sym_short] = ACTIONS(2238),
    [anon_sym_LBRACK] = ACTIONS(2238),
    [anon_sym_static] = ACTIONS(2238),
    [anon_sym_register] = ACTIONS(2238),
    [anon_sym_inline] = ACTIONS(2238),
    [anon_sym___inline] = ACTIONS(2238),
    [anon_sym___inline__] = ACTIONS(2238),
    [anon_sym___forceinline] = ACTIONS(2238),
    [anon_sym_thread_local] = ACTIONS(2238),
    [anon_sym___thread] = ACTIONS(2238),
    [anon_sym_const] = ACTIONS(2238),
    [anon_sym_constexpr] = ACTIONS(2238),
    [anon_sym_volatile] = ACTIONS(2238),
    [anon_sym_restrict] = ACTIONS(2238),
    [anon_sym___restrict__] = ACTIONS(2238),
    [anon_sym__Atomic] = ACTIONS(2238),
    [anon_sym__Noreturn] = ACTIONS(2238),
    [anon_sym_noreturn] = ACTIONS(2238),
    [anon_sym_mutable] = ACTIONS(2238),
    [anon_sym_constinit] = ACTIONS(2238),
    [anon_sym_consteval] = ACTIONS(2238),
    [sym_primitive_type] = ACTIONS(2238),
    [anon_sym_enum] = ACTIONS(2238),
    [anon_sym_class] = ACTIONS(2238),
    [anon_sym_struct] = ACTIONS(2238),
    [anon_sym_union] = ACTIONS(2238),
    [anon_sym_if] = ACTIONS(2238),
    [anon_sym_switch] = ACTIONS(2238),
    [anon_sym_case] = ACTIONS(2238),
    [anon_sym_default] = ACTIONS(2238),
    [anon_sym_while] = ACTIONS(2238),
    [anon_sym_do] = ACTIONS(2238),
    [anon_sym_for] = ACTIONS(2238),
    [anon_sym_return] = ACTIONS(2238),
    [anon_sym_break] = ACTIONS(2238),
    [anon_sym_continue] = ACTIONS(2238),
    [anon_sym_goto] = ACTIONS(2238),
    [anon_sym___try] = ACTIONS(2238),
    [anon_sym___leave] = ACTIONS(2238),
    [anon_sym_not] = ACTIONS(2238),
    [anon_sym_compl] = ACTIONS(2238),
    [anon_sym_DASH_DASH] = ACTIONS(2236),
    [anon_sym_PLUS_PLUS] = ACTIONS(2236),
    [anon_sym_sizeof] = ACTIONS(2238),
    [anon_sym___alignof__] = ACTIONS(2238),
    [anon_sym___alignof] = ACTIONS(2238),
    [anon_sym__alignof] = ACTIONS(2238),
    [anon_sym_alignof] = ACTIONS(2238),
    [anon_sym__Alignof] = ACTIONS(2238),
    [anon_sym_offsetof] = ACTIONS(2238),
    [anon_sym__Generic] = ACTIONS(2238),
    [anon_sym_asm] = ACTIONS(2238),
    [anon_sym___asm__] = ACTIONS(2238),
    [sym_number_literal] = ACTIONS(2236),
    [anon_sym_L_SQUOTE] = ACTIONS(2236),
    [anon_sym_u_SQUOTE] = ACTIONS(2236),
    [anon_sym_U_SQUOTE] = ACTIONS(2236),
    [anon_sym_u8_SQUOTE] = ACTIONS(2236),
    [anon_sym_SQUOTE] = ACTIONS(2236),
    [anon_sym_L_DQUOTE] = ACTIONS(2236),
    [anon_sym_u_DQUOTE] = ACTIONS(2236),
    [anon_sym_U_DQUOTE] = ACTIONS(2236),
    [anon_sym_u8_DQUOTE] = ACTIONS(2236),
    [anon_sym_DQUOTE] = ACTIONS(2236),
    [sym_true] = ACTIONS(2238),
    [sym_false] = ACTIONS(2238),
    [anon_sym_NULL] = ACTIONS(2238),
    [anon_sym_nullptr] = ACTIONS(2238),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2238),
    [anon_sym_decltype] = ACTIONS(2238),
    [anon_sym_virtual] = ACTIONS(2238),
    [anon_sym_alignas] = ACTIONS(2238),
    [anon_sym_explicit] = ACTIONS(2238),
    [anon_sym_typename] = ACTIONS(2238),
    [anon_sym_template] = ACTIONS(2238),
    [anon_sym_operator] = ACTIONS(2238),
    [anon_sym_try] = ACTIONS(2238),
    [anon_sym_delete] = ACTIONS(2238),
    [anon_sym_throw] = ACTIONS(2238),
    [anon_sym_namespace] = ACTIONS(2238),
    [anon_sym_using] = ACTIONS(2238),
    [anon_sym_static_assert] = ACTIONS(2238),
    [anon_sym_concept] = ACTIONS(2238),
    [anon_sym_co_return] = ACTIONS(2238),
    [anon_sym_co_yield] = ACTIONS(2238),
    [anon_sym_R_DQUOTE] = ACTIONS(2236),
    [anon_sym_LR_DQUOTE] = ACTIONS(2236),
    [anon_sym_uR_DQUOTE] = ACTIONS(2236),
    [anon_sym_UR_DQUOTE] = ACTIONS(2236),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2236),
    [anon_sym_co_await] = ACTIONS(2238),
    [anon_sym_new] = ACTIONS(2238),
    [anon_sym_requires] = ACTIONS(2238),
    [sym_this] = ACTIONS(2238),
    [anon_sym_discard] = ACTIONS(2238),
    [anon_sym_precise] = ACTIONS(2238),
    [anon_sym_shared] = ACTIONS(2238),
    [anon_sym_groupshared] = ACTIONS(2238),
    [anon_sym_uniform] = ACTIONS(2238),
    [anon_sym_row_major] = ACTIONS(2238),
    [anon_sym_column_major] = ACTIONS(2238),
    [anon_sym_globallycoherent] = ACTIONS(2238),
    [anon_sym_centroid] = ACTIONS(2238),
    [anon_sym_noperspective] = ACTIONS(2238),
    [anon_sym_nointerpolation] = ACTIONS(2238),
    [anon_sym_sample] = ACTIONS(2238),
    [anon_sym_linear] = ACTIONS(2238),
    [anon_sym_snorm] = ACTIONS(2238),
    [anon_sym_unorm] = ACTIONS(2238),
    [anon_sym_point] = ACTIONS(2238),
    [anon_sym_line] = ACTIONS(2238),
    [anon_sym_triangleadj] = ACTIONS(2238),
    [anon_sym_lineadj] = ACTIONS(2238),
    [anon_sym_triangle] = ACTIONS(2238),
    [anon_sym_cbuffer] = ACTIONS(2238),
  },
  [959] = {
    [sym_identifier] = ACTIONS(2444),
    [aux_sym_preproc_include_token1] = ACTIONS(2444),
    [aux_sym_preproc_def_token1] = ACTIONS(2444),
    [aux_sym_preproc_if_token1] = ACTIONS(2444),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2444),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2444),
    [sym_preproc_directive] = ACTIONS(2444),
    [anon_sym_LPAREN2] = ACTIONS(2446),
    [anon_sym_BANG] = ACTIONS(2446),
    [anon_sym_TILDE] = ACTIONS(2446),
    [anon_sym_DASH] = ACTIONS(2444),
    [anon_sym_PLUS] = ACTIONS(2444),
    [anon_sym_STAR] = ACTIONS(2446),
    [anon_sym_AMP_AMP] = ACTIONS(2446),
    [anon_sym_AMP] = ACTIONS(2444),
    [anon_sym_SEMI] = ACTIONS(2446),
    [anon_sym___extension__] = ACTIONS(2444),
    [anon_sym_typedef] = ACTIONS(2444),
    [anon_sym_in] = ACTIONS(2444),
    [anon_sym_out] = ACTIONS(2444),
    [anon_sym_inout] = ACTIONS(2444),
    [anon_sym_extern] = ACTIONS(2444),
    [anon_sym___attribute__] = ACTIONS(2444),
    [anon_sym_COLON_COLON] = ACTIONS(2446),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2446),
    [anon_sym___declspec] = ACTIONS(2444),
    [anon_sym___based] = ACTIONS(2444),
    [anon_sym___cdecl] = ACTIONS(2444),
    [anon_sym___clrcall] = ACTIONS(2444),
    [anon_sym___stdcall] = ACTIONS(2444),
    [anon_sym___fastcall] = ACTIONS(2444),
    [anon_sym___thiscall] = ACTIONS(2444),
    [anon_sym___vectorcall] = ACTIONS(2444),
    [anon_sym_LBRACE] = ACTIONS(2446),
    [anon_sym_RBRACE] = ACTIONS(2446),
    [anon_sym_signed] = ACTIONS(2444),
    [anon_sym_unsigned] = ACTIONS(2444),
    [anon_sym_long] = ACTIONS(2444),
    [anon_sym_short] = ACTIONS(2444),
    [anon_sym_LBRACK] = ACTIONS(2444),
    [anon_sym_static] = ACTIONS(2444),
    [anon_sym_register] = ACTIONS(2444),
    [anon_sym_inline] = ACTIONS(2444),
    [anon_sym___inline] = ACTIONS(2444),
    [anon_sym___inline__] = ACTIONS(2444),
    [anon_sym___forceinline] = ACTIONS(2444),
    [anon_sym_thread_local] = ACTIONS(2444),
    [anon_sym___thread] = ACTIONS(2444),
    [anon_sym_const] = ACTIONS(2444),
    [anon_sym_constexpr] = ACTIONS(2444),
    [anon_sym_volatile] = ACTIONS(2444),
    [anon_sym_restrict] = ACTIONS(2444),
    [anon_sym___restrict__] = ACTIONS(2444),
    [anon_sym__Atomic] = ACTIONS(2444),
    [anon_sym__Noreturn] = ACTIONS(2444),
    [anon_sym_noreturn] = ACTIONS(2444),
    [anon_sym_mutable] = ACTIONS(2444),
    [anon_sym_constinit] = ACTIONS(2444),
    [anon_sym_consteval] = ACTIONS(2444),
    [sym_primitive_type] = ACTIONS(2444),
    [anon_sym_enum] = ACTIONS(2444),
    [anon_sym_class] = ACTIONS(2444),
    [anon_sym_struct] = ACTIONS(2444),
    [anon_sym_union] = ACTIONS(2444),
    [anon_sym_if] = ACTIONS(2444),
    [anon_sym_else] = ACTIONS(2444),
    [anon_sym_switch] = ACTIONS(2444),
    [anon_sym_case] = ACTIONS(2444),
    [anon_sym_default] = ACTIONS(2444),
    [anon_sym_while] = ACTIONS(2444),
    [anon_sym_do] = ACTIONS(2444),
    [anon_sym_for] = ACTIONS(2444),
    [anon_sym_return] = ACTIONS(2444),
    [anon_sym_break] = ACTIONS(2444),
    [anon_sym_continue] = ACTIONS(2444),
    [anon_sym_goto] = ACTIONS(2444),
    [anon_sym___try] = ACTIONS(2444),
    [anon_sym___leave] = ACTIONS(2444),
    [anon_sym_not] = ACTIONS(2444),
    [anon_sym_compl] = ACTIONS(2444),
    [anon_sym_DASH_DASH] = ACTIONS(2446),
    [anon_sym_PLUS_PLUS] = ACTIONS(2446),
    [anon_sym_sizeof] = ACTIONS(2444),
    [anon_sym___alignof__] = ACTIONS(2444),
    [anon_sym___alignof] = ACTIONS(2444),
    [anon_sym__alignof] = ACTIONS(2444),
    [anon_sym_alignof] = ACTIONS(2444),
    [anon_sym__Alignof] = ACTIONS(2444),
    [anon_sym_offsetof] = ACTIONS(2444),
    [anon_sym__Generic] = ACTIONS(2444),
    [anon_sym_asm] = ACTIONS(2444),
    [anon_sym___asm__] = ACTIONS(2444),
    [sym_number_literal] = ACTIONS(2446),
    [anon_sym_L_SQUOTE] = ACTIONS(2446),
    [anon_sym_u_SQUOTE] = ACTIONS(2446),
    [anon_sym_U_SQUOTE] = ACTIONS(2446),
    [anon_sym_u8_SQUOTE] = ACTIONS(2446),
    [anon_sym_SQUOTE] = ACTIONS(2446),
    [anon_sym_L_DQUOTE] = ACTIONS(2446),
    [anon_sym_u_DQUOTE] = ACTIONS(2446),
    [anon_sym_U_DQUOTE] = ACTIONS(2446),
    [anon_sym_u8_DQUOTE] = ACTIONS(2446),
    [anon_sym_DQUOTE] = ACTIONS(2446),
    [sym_true] = ACTIONS(2444),
    [sym_false] = ACTIONS(2444),
    [anon_sym_NULL] = ACTIONS(2444),
    [anon_sym_nullptr] = ACTIONS(2444),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2444),
    [anon_sym_decltype] = ACTIONS(2444),
    [anon_sym_virtual] = ACTIONS(2444),
    [anon_sym_alignas] = ACTIONS(2444),
    [anon_sym_explicit] = ACTIONS(2444),
    [anon_sym_typename] = ACTIONS(2444),
    [anon_sym_template] = ACTIONS(2444),
    [anon_sym_operator] = ACTIONS(2444),
    [anon_sym_try] = ACTIONS(2444),
    [anon_sym_delete] = ACTIONS(2444),
    [anon_sym_throw] = ACTIONS(2444),
    [anon_sym_namespace] = ACTIONS(2444),
    [anon_sym_using] = ACTIONS(2444),
    [anon_sym_static_assert] = ACTIONS(2444),
    [anon_sym_concept] = ACTIONS(2444),
    [anon_sym_co_return] = ACTIONS(2444),
    [anon_sym_co_yield] = ACTIONS(2444),
    [anon_sym_R_DQUOTE] = ACTIONS(2446),
    [anon_sym_LR_DQUOTE] = ACTIONS(2446),
    [anon_sym_uR_DQUOTE] = ACTIONS(2446),
    [anon_sym_UR_DQUOTE] = ACTIONS(2446),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2446),
    [anon_sym_co_await] = ACTIONS(2444),
    [anon_sym_new] = ACTIONS(2444),
    [anon_sym_requires] = ACTIONS(2444),
    [sym_this] = ACTIONS(2444),
    [anon_sym_discard] = ACTIONS(2444),
    [anon_sym_precise] = ACTIONS(2444),
    [anon_sym_shared] = ACTIONS(2444),
    [anon_sym_groupshared] = ACTIONS(2444),
    [anon_sym_uniform] = ACTIONS(2444),
    [anon_sym_row_major] = ACTIONS(2444),
    [anon_sym_column_major] = ACTIONS(2444),
    [anon_sym_globallycoherent] = ACTIONS(2444),
    [anon_sym_centroid] = ACTIONS(2444),
    [anon_sym_noperspective] = ACTIONS(2444),
    [anon_sym_nointerpolation] = ACTIONS(2444),
    [anon_sym_sample] = ACTIONS(2444),
    [anon_sym_linear] = ACTIONS(2444),
    [anon_sym_snorm] = ACTIONS(2444),
    [anon_sym_unorm] = ACTIONS(2444),
    [anon_sym_point] = ACTIONS(2444),
    [anon_sym_line] = ACTIONS(2444),
    [anon_sym_triangleadj] = ACTIONS(2444),
    [anon_sym_lineadj] = ACTIONS(2444),
    [anon_sym_triangle] = ACTIONS(2444),
    [anon_sym_cbuffer] = ACTIONS(2444),
  },
  [960] = {
    [sym_identifier] = ACTIONS(2444),
    [aux_sym_preproc_include_token1] = ACTIONS(2444),
    [aux_sym_preproc_def_token1] = ACTIONS(2444),
    [aux_sym_preproc_if_token1] = ACTIONS(2444),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2444),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2444),
    [sym_preproc_directive] = ACTIONS(2444),
    [anon_sym_LPAREN2] = ACTIONS(2446),
    [anon_sym_BANG] = ACTIONS(2446),
    [anon_sym_TILDE] = ACTIONS(2446),
    [anon_sym_DASH] = ACTIONS(2444),
    [anon_sym_PLUS] = ACTIONS(2444),
    [anon_sym_STAR] = ACTIONS(2446),
    [anon_sym_AMP_AMP] = ACTIONS(2446),
    [anon_sym_AMP] = ACTIONS(2444),
    [anon_sym_SEMI] = ACTIONS(2446),
    [anon_sym___extension__] = ACTIONS(2444),
    [anon_sym_typedef] = ACTIONS(2444),
    [anon_sym_in] = ACTIONS(2444),
    [anon_sym_out] = ACTIONS(2444),
    [anon_sym_inout] = ACTIONS(2444),
    [anon_sym_extern] = ACTIONS(2444),
    [anon_sym___attribute__] = ACTIONS(2444),
    [anon_sym_COLON_COLON] = ACTIONS(2446),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2446),
    [anon_sym___declspec] = ACTIONS(2444),
    [anon_sym___based] = ACTIONS(2444),
    [anon_sym___cdecl] = ACTIONS(2444),
    [anon_sym___clrcall] = ACTIONS(2444),
    [anon_sym___stdcall] = ACTIONS(2444),
    [anon_sym___fastcall] = ACTIONS(2444),
    [anon_sym___thiscall] = ACTIONS(2444),
    [anon_sym___vectorcall] = ACTIONS(2444),
    [anon_sym_LBRACE] = ACTIONS(2446),
    [anon_sym_RBRACE] = ACTIONS(2446),
    [anon_sym_signed] = ACTIONS(2444),
    [anon_sym_unsigned] = ACTIONS(2444),
    [anon_sym_long] = ACTIONS(2444),
    [anon_sym_short] = ACTIONS(2444),
    [anon_sym_LBRACK] = ACTIONS(2444),
    [anon_sym_static] = ACTIONS(2444),
    [anon_sym_register] = ACTIONS(2444),
    [anon_sym_inline] = ACTIONS(2444),
    [anon_sym___inline] = ACTIONS(2444),
    [anon_sym___inline__] = ACTIONS(2444),
    [anon_sym___forceinline] = ACTIONS(2444),
    [anon_sym_thread_local] = ACTIONS(2444),
    [anon_sym___thread] = ACTIONS(2444),
    [anon_sym_const] = ACTIONS(2444),
    [anon_sym_constexpr] = ACTIONS(2444),
    [anon_sym_volatile] = ACTIONS(2444),
    [anon_sym_restrict] = ACTIONS(2444),
    [anon_sym___restrict__] = ACTIONS(2444),
    [anon_sym__Atomic] = ACTIONS(2444),
    [anon_sym__Noreturn] = ACTIONS(2444),
    [anon_sym_noreturn] = ACTIONS(2444),
    [anon_sym_mutable] = ACTIONS(2444),
    [anon_sym_constinit] = ACTIONS(2444),
    [anon_sym_consteval] = ACTIONS(2444),
    [sym_primitive_type] = ACTIONS(2444),
    [anon_sym_enum] = ACTIONS(2444),
    [anon_sym_class] = ACTIONS(2444),
    [anon_sym_struct] = ACTIONS(2444),
    [anon_sym_union] = ACTIONS(2444),
    [anon_sym_if] = ACTIONS(2444),
    [anon_sym_else] = ACTIONS(2444),
    [anon_sym_switch] = ACTIONS(2444),
    [anon_sym_case] = ACTIONS(2444),
    [anon_sym_default] = ACTIONS(2444),
    [anon_sym_while] = ACTIONS(2444),
    [anon_sym_do] = ACTIONS(2444),
    [anon_sym_for] = ACTIONS(2444),
    [anon_sym_return] = ACTIONS(2444),
    [anon_sym_break] = ACTIONS(2444),
    [anon_sym_continue] = ACTIONS(2444),
    [anon_sym_goto] = ACTIONS(2444),
    [anon_sym___try] = ACTIONS(2444),
    [anon_sym___leave] = ACTIONS(2444),
    [anon_sym_not] = ACTIONS(2444),
    [anon_sym_compl] = ACTIONS(2444),
    [anon_sym_DASH_DASH] = ACTIONS(2446),
    [anon_sym_PLUS_PLUS] = ACTIONS(2446),
    [anon_sym_sizeof] = ACTIONS(2444),
    [anon_sym___alignof__] = ACTIONS(2444),
    [anon_sym___alignof] = ACTIONS(2444),
    [anon_sym__alignof] = ACTIONS(2444),
    [anon_sym_alignof] = ACTIONS(2444),
    [anon_sym__Alignof] = ACTIONS(2444),
    [anon_sym_offsetof] = ACTIONS(2444),
    [anon_sym__Generic] = ACTIONS(2444),
    [anon_sym_asm] = ACTIONS(2444),
    [anon_sym___asm__] = ACTIONS(2444),
    [sym_number_literal] = ACTIONS(2446),
    [anon_sym_L_SQUOTE] = ACTIONS(2446),
    [anon_sym_u_SQUOTE] = ACTIONS(2446),
    [anon_sym_U_SQUOTE] = ACTIONS(2446),
    [anon_sym_u8_SQUOTE] = ACTIONS(2446),
    [anon_sym_SQUOTE] = ACTIONS(2446),
    [anon_sym_L_DQUOTE] = ACTIONS(2446),
    [anon_sym_u_DQUOTE] = ACTIONS(2446),
    [anon_sym_U_DQUOTE] = ACTIONS(2446),
    [anon_sym_u8_DQUOTE] = ACTIONS(2446),
    [anon_sym_DQUOTE] = ACTIONS(2446),
    [sym_true] = ACTIONS(2444),
    [sym_false] = ACTIONS(2444),
    [anon_sym_NULL] = ACTIONS(2444),
    [anon_sym_nullptr] = ACTIONS(2444),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2444),
    [anon_sym_decltype] = ACTIONS(2444),
    [anon_sym_virtual] = ACTIONS(2444),
    [anon_sym_alignas] = ACTIONS(2444),
    [anon_sym_explicit] = ACTIONS(2444),
    [anon_sym_typename] = ACTIONS(2444),
    [anon_sym_template] = ACTIONS(2444),
    [anon_sym_operator] = ACTIONS(2444),
    [anon_sym_try] = ACTIONS(2444),
    [anon_sym_delete] = ACTIONS(2444),
    [anon_sym_throw] = ACTIONS(2444),
    [anon_sym_namespace] = ACTIONS(2444),
    [anon_sym_using] = ACTIONS(2444),
    [anon_sym_static_assert] = ACTIONS(2444),
    [anon_sym_concept] = ACTIONS(2444),
    [anon_sym_co_return] = ACTIONS(2444),
    [anon_sym_co_yield] = ACTIONS(2444),
    [anon_sym_R_DQUOTE] = ACTIONS(2446),
    [anon_sym_LR_DQUOTE] = ACTIONS(2446),
    [anon_sym_uR_DQUOTE] = ACTIONS(2446),
    [anon_sym_UR_DQUOTE] = ACTIONS(2446),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2446),
    [anon_sym_co_await] = ACTIONS(2444),
    [anon_sym_new] = ACTIONS(2444),
    [anon_sym_requires] = ACTIONS(2444),
    [sym_this] = ACTIONS(2444),
    [anon_sym_discard] = ACTIONS(2444),
    [anon_sym_precise] = ACTIONS(2444),
    [anon_sym_shared] = ACTIONS(2444),
    [anon_sym_groupshared] = ACTIONS(2444),
    [anon_sym_uniform] = ACTIONS(2444),
    [anon_sym_row_major] = ACTIONS(2444),
    [anon_sym_column_major] = ACTIONS(2444),
    [anon_sym_globallycoherent] = ACTIONS(2444),
    [anon_sym_centroid] = ACTIONS(2444),
    [anon_sym_noperspective] = ACTIONS(2444),
    [anon_sym_nointerpolation] = ACTIONS(2444),
    [anon_sym_sample] = ACTIONS(2444),
    [anon_sym_linear] = ACTIONS(2444),
    [anon_sym_snorm] = ACTIONS(2444),
    [anon_sym_unorm] = ACTIONS(2444),
    [anon_sym_point] = ACTIONS(2444),
    [anon_sym_line] = ACTIONS(2444),
    [anon_sym_triangleadj] = ACTIONS(2444),
    [anon_sym_lineadj] = ACTIONS(2444),
    [anon_sym_triangle] = ACTIONS(2444),
    [anon_sym_cbuffer] = ACTIONS(2444),
  },
  [961] = {
    [sym_identifier] = ACTIONS(2444),
    [aux_sym_preproc_include_token1] = ACTIONS(2444),
    [aux_sym_preproc_def_token1] = ACTIONS(2444),
    [aux_sym_preproc_if_token1] = ACTIONS(2444),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2444),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2444),
    [sym_preproc_directive] = ACTIONS(2444),
    [anon_sym_LPAREN2] = ACTIONS(2446),
    [anon_sym_BANG] = ACTIONS(2446),
    [anon_sym_TILDE] = ACTIONS(2446),
    [anon_sym_DASH] = ACTIONS(2444),
    [anon_sym_PLUS] = ACTIONS(2444),
    [anon_sym_STAR] = ACTIONS(2446),
    [anon_sym_AMP_AMP] = ACTIONS(2446),
    [anon_sym_AMP] = ACTIONS(2444),
    [anon_sym_SEMI] = ACTIONS(2446),
    [anon_sym___extension__] = ACTIONS(2444),
    [anon_sym_typedef] = ACTIONS(2444),
    [anon_sym_in] = ACTIONS(2444),
    [anon_sym_out] = ACTIONS(2444),
    [anon_sym_inout] = ACTIONS(2444),
    [anon_sym_extern] = ACTIONS(2444),
    [anon_sym___attribute__] = ACTIONS(2444),
    [anon_sym_COLON_COLON] = ACTIONS(2446),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2446),
    [anon_sym___declspec] = ACTIONS(2444),
    [anon_sym___based] = ACTIONS(2444),
    [anon_sym___cdecl] = ACTIONS(2444),
    [anon_sym___clrcall] = ACTIONS(2444),
    [anon_sym___stdcall] = ACTIONS(2444),
    [anon_sym___fastcall] = ACTIONS(2444),
    [anon_sym___thiscall] = ACTIONS(2444),
    [anon_sym___vectorcall] = ACTIONS(2444),
    [anon_sym_LBRACE] = ACTIONS(2446),
    [anon_sym_RBRACE] = ACTIONS(2446),
    [anon_sym_signed] = ACTIONS(2444),
    [anon_sym_unsigned] = ACTIONS(2444),
    [anon_sym_long] = ACTIONS(2444),
    [anon_sym_short] = ACTIONS(2444),
    [anon_sym_LBRACK] = ACTIONS(2444),
    [anon_sym_static] = ACTIONS(2444),
    [anon_sym_register] = ACTIONS(2444),
    [anon_sym_inline] = ACTIONS(2444),
    [anon_sym___inline] = ACTIONS(2444),
    [anon_sym___inline__] = ACTIONS(2444),
    [anon_sym___forceinline] = ACTIONS(2444),
    [anon_sym_thread_local] = ACTIONS(2444),
    [anon_sym___thread] = ACTIONS(2444),
    [anon_sym_const] = ACTIONS(2444),
    [anon_sym_constexpr] = ACTIONS(2444),
    [anon_sym_volatile] = ACTIONS(2444),
    [anon_sym_restrict] = ACTIONS(2444),
    [anon_sym___restrict__] = ACTIONS(2444),
    [anon_sym__Atomic] = ACTIONS(2444),
    [anon_sym__Noreturn] = ACTIONS(2444),
    [anon_sym_noreturn] = ACTIONS(2444),
    [anon_sym_mutable] = ACTIONS(2444),
    [anon_sym_constinit] = ACTIONS(2444),
    [anon_sym_consteval] = ACTIONS(2444),
    [sym_primitive_type] = ACTIONS(2444),
    [anon_sym_enum] = ACTIONS(2444),
    [anon_sym_class] = ACTIONS(2444),
    [anon_sym_struct] = ACTIONS(2444),
    [anon_sym_union] = ACTIONS(2444),
    [anon_sym_if] = ACTIONS(2444),
    [anon_sym_else] = ACTIONS(2444),
    [anon_sym_switch] = ACTIONS(2444),
    [anon_sym_case] = ACTIONS(2444),
    [anon_sym_default] = ACTIONS(2444),
    [anon_sym_while] = ACTIONS(2444),
    [anon_sym_do] = ACTIONS(2444),
    [anon_sym_for] = ACTIONS(2444),
    [anon_sym_return] = ACTIONS(2444),
    [anon_sym_break] = ACTIONS(2444),
    [anon_sym_continue] = ACTIONS(2444),
    [anon_sym_goto] = ACTIONS(2444),
    [anon_sym___try] = ACTIONS(2444),
    [anon_sym___leave] = ACTIONS(2444),
    [anon_sym_not] = ACTIONS(2444),
    [anon_sym_compl] = ACTIONS(2444),
    [anon_sym_DASH_DASH] = ACTIONS(2446),
    [anon_sym_PLUS_PLUS] = ACTIONS(2446),
    [anon_sym_sizeof] = ACTIONS(2444),
    [anon_sym___alignof__] = ACTIONS(2444),
    [anon_sym___alignof] = ACTIONS(2444),
    [anon_sym__alignof] = ACTIONS(2444),
    [anon_sym_alignof] = ACTIONS(2444),
    [anon_sym__Alignof] = ACTIONS(2444),
    [anon_sym_offsetof] = ACTIONS(2444),
    [anon_sym__Generic] = ACTIONS(2444),
    [anon_sym_asm] = ACTIONS(2444),
    [anon_sym___asm__] = ACTIONS(2444),
    [sym_number_literal] = ACTIONS(2446),
    [anon_sym_L_SQUOTE] = ACTIONS(2446),
    [anon_sym_u_SQUOTE] = ACTIONS(2446),
    [anon_sym_U_SQUOTE] = ACTIONS(2446),
    [anon_sym_u8_SQUOTE] = ACTIONS(2446),
    [anon_sym_SQUOTE] = ACTIONS(2446),
    [anon_sym_L_DQUOTE] = ACTIONS(2446),
    [anon_sym_u_DQUOTE] = ACTIONS(2446),
    [anon_sym_U_DQUOTE] = ACTIONS(2446),
    [anon_sym_u8_DQUOTE] = ACTIONS(2446),
    [anon_sym_DQUOTE] = ACTIONS(2446),
    [sym_true] = ACTIONS(2444),
    [sym_false] = ACTIONS(2444),
    [anon_sym_NULL] = ACTIONS(2444),
    [anon_sym_nullptr] = ACTIONS(2444),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2444),
    [anon_sym_decltype] = ACTIONS(2444),
    [anon_sym_virtual] = ACTIONS(2444),
    [anon_sym_alignas] = ACTIONS(2444),
    [anon_sym_explicit] = ACTIONS(2444),
    [anon_sym_typename] = ACTIONS(2444),
    [anon_sym_template] = ACTIONS(2444),
    [anon_sym_operator] = ACTIONS(2444),
    [anon_sym_try] = ACTIONS(2444),
    [anon_sym_delete] = ACTIONS(2444),
    [anon_sym_throw] = ACTIONS(2444),
    [anon_sym_namespace] = ACTIONS(2444),
    [anon_sym_using] = ACTIONS(2444),
    [anon_sym_static_assert] = ACTIONS(2444),
    [anon_sym_concept] = ACTIONS(2444),
    [anon_sym_co_return] = ACTIONS(2444),
    [anon_sym_co_yield] = ACTIONS(2444),
    [anon_sym_R_DQUOTE] = ACTIONS(2446),
    [anon_sym_LR_DQUOTE] = ACTIONS(2446),
    [anon_sym_uR_DQUOTE] = ACTIONS(2446),
    [anon_sym_UR_DQUOTE] = ACTIONS(2446),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2446),
    [anon_sym_co_await] = ACTIONS(2444),
    [anon_sym_new] = ACTIONS(2444),
    [anon_sym_requires] = ACTIONS(2444),
    [sym_this] = ACTIONS(2444),
    [anon_sym_discard] = ACTIONS(2444),
    [anon_sym_precise] = ACTIONS(2444),
    [anon_sym_shared] = ACTIONS(2444),
    [anon_sym_groupshared] = ACTIONS(2444),
    [anon_sym_uniform] = ACTIONS(2444),
    [anon_sym_row_major] = ACTIONS(2444),
    [anon_sym_column_major] = ACTIONS(2444),
    [anon_sym_globallycoherent] = ACTIONS(2444),
    [anon_sym_centroid] = ACTIONS(2444),
    [anon_sym_noperspective] = ACTIONS(2444),
    [anon_sym_nointerpolation] = ACTIONS(2444),
    [anon_sym_sample] = ACTIONS(2444),
    [anon_sym_linear] = ACTIONS(2444),
    [anon_sym_snorm] = ACTIONS(2444),
    [anon_sym_unorm] = ACTIONS(2444),
    [anon_sym_point] = ACTIONS(2444),
    [anon_sym_line] = ACTIONS(2444),
    [anon_sym_triangleadj] = ACTIONS(2444),
    [anon_sym_lineadj] = ACTIONS(2444),
    [anon_sym_triangle] = ACTIONS(2444),
    [anon_sym_cbuffer] = ACTIONS(2444),
  },
  [962] = {
    [sym_identifier] = ACTIONS(2468),
    [aux_sym_preproc_include_token1] = ACTIONS(2468),
    [aux_sym_preproc_def_token1] = ACTIONS(2468),
    [aux_sym_preproc_if_token1] = ACTIONS(2468),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2468),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2468),
    [sym_preproc_directive] = ACTIONS(2468),
    [anon_sym_LPAREN2] = ACTIONS(2470),
    [anon_sym_BANG] = ACTIONS(2470),
    [anon_sym_TILDE] = ACTIONS(2470),
    [anon_sym_DASH] = ACTIONS(2468),
    [anon_sym_PLUS] = ACTIONS(2468),
    [anon_sym_STAR] = ACTIONS(2470),
    [anon_sym_AMP_AMP] = ACTIONS(2470),
    [anon_sym_AMP] = ACTIONS(2468),
    [anon_sym_SEMI] = ACTIONS(2470),
    [anon_sym___extension__] = ACTIONS(2468),
    [anon_sym_typedef] = ACTIONS(2468),
    [anon_sym_in] = ACTIONS(2468),
    [anon_sym_out] = ACTIONS(2468),
    [anon_sym_inout] = ACTIONS(2468),
    [anon_sym_extern] = ACTIONS(2468),
    [anon_sym___attribute__] = ACTIONS(2468),
    [anon_sym_COLON_COLON] = ACTIONS(2470),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2470),
    [anon_sym___declspec] = ACTIONS(2468),
    [anon_sym___based] = ACTIONS(2468),
    [anon_sym___cdecl] = ACTIONS(2468),
    [anon_sym___clrcall] = ACTIONS(2468),
    [anon_sym___stdcall] = ACTIONS(2468),
    [anon_sym___fastcall] = ACTIONS(2468),
    [anon_sym___thiscall] = ACTIONS(2468),
    [anon_sym___vectorcall] = ACTIONS(2468),
    [anon_sym_LBRACE] = ACTIONS(2470),
    [anon_sym_RBRACE] = ACTIONS(2470),
    [anon_sym_signed] = ACTIONS(2468),
    [anon_sym_unsigned] = ACTIONS(2468),
    [anon_sym_long] = ACTIONS(2468),
    [anon_sym_short] = ACTIONS(2468),
    [anon_sym_LBRACK] = ACTIONS(2468),
    [anon_sym_static] = ACTIONS(2468),
    [anon_sym_register] = ACTIONS(2468),
    [anon_sym_inline] = ACTIONS(2468),
    [anon_sym___inline] = ACTIONS(2468),
    [anon_sym___inline__] = ACTIONS(2468),
    [anon_sym___forceinline] = ACTIONS(2468),
    [anon_sym_thread_local] = ACTIONS(2468),
    [anon_sym___thread] = ACTIONS(2468),
    [anon_sym_const] = ACTIONS(2468),
    [anon_sym_constexpr] = ACTIONS(2468),
    [anon_sym_volatile] = ACTIONS(2468),
    [anon_sym_restrict] = ACTIONS(2468),
    [anon_sym___restrict__] = ACTIONS(2468),
    [anon_sym__Atomic] = ACTIONS(2468),
    [anon_sym__Noreturn] = ACTIONS(2468),
    [anon_sym_noreturn] = ACTIONS(2468),
    [anon_sym_mutable] = ACTIONS(2468),
    [anon_sym_constinit] = ACTIONS(2468),
    [anon_sym_consteval] = ACTIONS(2468),
    [sym_primitive_type] = ACTIONS(2468),
    [anon_sym_enum] = ACTIONS(2468),
    [anon_sym_class] = ACTIONS(2468),
    [anon_sym_struct] = ACTIONS(2468),
    [anon_sym_union] = ACTIONS(2468),
    [anon_sym_if] = ACTIONS(2468),
    [anon_sym_else] = ACTIONS(2468),
    [anon_sym_switch] = ACTIONS(2468),
    [anon_sym_case] = ACTIONS(2468),
    [anon_sym_default] = ACTIONS(2468),
    [anon_sym_while] = ACTIONS(2468),
    [anon_sym_do] = ACTIONS(2468),
    [anon_sym_for] = ACTIONS(2468),
    [anon_sym_return] = ACTIONS(2468),
    [anon_sym_break] = ACTIONS(2468),
    [anon_sym_continue] = ACTIONS(2468),
    [anon_sym_goto] = ACTIONS(2468),
    [anon_sym___try] = ACTIONS(2468),
    [anon_sym___leave] = ACTIONS(2468),
    [anon_sym_not] = ACTIONS(2468),
    [anon_sym_compl] = ACTIONS(2468),
    [anon_sym_DASH_DASH] = ACTIONS(2470),
    [anon_sym_PLUS_PLUS] = ACTIONS(2470),
    [anon_sym_sizeof] = ACTIONS(2468),
    [anon_sym___alignof__] = ACTIONS(2468),
    [anon_sym___alignof] = ACTIONS(2468),
    [anon_sym__alignof] = ACTIONS(2468),
    [anon_sym_alignof] = ACTIONS(2468),
    [anon_sym__Alignof] = ACTIONS(2468),
    [anon_sym_offsetof] = ACTIONS(2468),
    [anon_sym__Generic] = ACTIONS(2468),
    [anon_sym_asm] = ACTIONS(2468),
    [anon_sym___asm__] = ACTIONS(2468),
    [sym_number_literal] = ACTIONS(2470),
    [anon_sym_L_SQUOTE] = ACTIONS(2470),
    [anon_sym_u_SQUOTE] = ACTIONS(2470),
    [anon_sym_U_SQUOTE] = ACTIONS(2470),
    [anon_sym_u8_SQUOTE] = ACTIONS(2470),
    [anon_sym_SQUOTE] = ACTIONS(2470),
    [anon_sym_L_DQUOTE] = ACTIONS(2470),
    [anon_sym_u_DQUOTE] = ACTIONS(2470),
    [anon_sym_U_DQUOTE] = ACTIONS(2470),
    [anon_sym_u8_DQUOTE] = ACTIONS(2470),
    [anon_sym_DQUOTE] = ACTIONS(2470),
    [sym_true] = ACTIONS(2468),
    [sym_false] = ACTIONS(2468),
    [anon_sym_NULL] = ACTIONS(2468),
    [anon_sym_nullptr] = ACTIONS(2468),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2468),
    [anon_sym_decltype] = ACTIONS(2468),
    [anon_sym_virtual] = ACTIONS(2468),
    [anon_sym_alignas] = ACTIONS(2468),
    [anon_sym_explicit] = ACTIONS(2468),
    [anon_sym_typename] = ACTIONS(2468),
    [anon_sym_template] = ACTIONS(2468),
    [anon_sym_operator] = ACTIONS(2468),
    [anon_sym_try] = ACTIONS(2468),
    [anon_sym_delete] = ACTIONS(2468),
    [anon_sym_throw] = ACTIONS(2468),
    [anon_sym_namespace] = ACTIONS(2468),
    [anon_sym_using] = ACTIONS(2468),
    [anon_sym_static_assert] = ACTIONS(2468),
    [anon_sym_concept] = ACTIONS(2468),
    [anon_sym_co_return] = ACTIONS(2468),
    [anon_sym_co_yield] = ACTIONS(2468),
    [anon_sym_R_DQUOTE] = ACTIONS(2470),
    [anon_sym_LR_DQUOTE] = ACTIONS(2470),
    [anon_sym_uR_DQUOTE] = ACTIONS(2470),
    [anon_sym_UR_DQUOTE] = ACTIONS(2470),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2470),
    [anon_sym_co_await] = ACTIONS(2468),
    [anon_sym_new] = ACTIONS(2468),
    [anon_sym_requires] = ACTIONS(2468),
    [sym_this] = ACTIONS(2468),
    [anon_sym_discard] = ACTIONS(2468),
    [anon_sym_precise] = ACTIONS(2468),
    [anon_sym_shared] = ACTIONS(2468),
    [anon_sym_groupshared] = ACTIONS(2468),
    [anon_sym_uniform] = ACTIONS(2468),
    [anon_sym_row_major] = ACTIONS(2468),
    [anon_sym_column_major] = ACTIONS(2468),
    [anon_sym_globallycoherent] = ACTIONS(2468),
    [anon_sym_centroid] = ACTIONS(2468),
    [anon_sym_noperspective] = ACTIONS(2468),
    [anon_sym_nointerpolation] = ACTIONS(2468),
    [anon_sym_sample] = ACTIONS(2468),
    [anon_sym_linear] = ACTIONS(2468),
    [anon_sym_snorm] = ACTIONS(2468),
    [anon_sym_unorm] = ACTIONS(2468),
    [anon_sym_point] = ACTIONS(2468),
    [anon_sym_line] = ACTIONS(2468),
    [anon_sym_triangleadj] = ACTIONS(2468),
    [anon_sym_lineadj] = ACTIONS(2468),
    [anon_sym_triangle] = ACTIONS(2468),
    [anon_sym_cbuffer] = ACTIONS(2468),
  },
  [963] = {
    [sym_identifier] = ACTIONS(2330),
    [aux_sym_preproc_include_token1] = ACTIONS(2330),
    [aux_sym_preproc_def_token1] = ACTIONS(2330),
    [aux_sym_preproc_if_token1] = ACTIONS(2330),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2330),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2330),
    [sym_preproc_directive] = ACTIONS(2330),
    [anon_sym_LPAREN2] = ACTIONS(2332),
    [anon_sym_BANG] = ACTIONS(2332),
    [anon_sym_TILDE] = ACTIONS(2332),
    [anon_sym_DASH] = ACTIONS(2330),
    [anon_sym_PLUS] = ACTIONS(2330),
    [anon_sym_STAR] = ACTIONS(2332),
    [anon_sym_AMP_AMP] = ACTIONS(2332),
    [anon_sym_AMP] = ACTIONS(2330),
    [anon_sym_SEMI] = ACTIONS(2332),
    [anon_sym___extension__] = ACTIONS(2330),
    [anon_sym_typedef] = ACTIONS(2330),
    [anon_sym_in] = ACTIONS(2330),
    [anon_sym_out] = ACTIONS(2330),
    [anon_sym_inout] = ACTIONS(2330),
    [anon_sym_extern] = ACTIONS(2330),
    [anon_sym___attribute__] = ACTIONS(2330),
    [anon_sym_COLON_COLON] = ACTIONS(2332),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2332),
    [anon_sym___declspec] = ACTIONS(2330),
    [anon_sym___based] = ACTIONS(2330),
    [anon_sym___cdecl] = ACTIONS(2330),
    [anon_sym___clrcall] = ACTIONS(2330),
    [anon_sym___stdcall] = ACTIONS(2330),
    [anon_sym___fastcall] = ACTIONS(2330),
    [anon_sym___thiscall] = ACTIONS(2330),
    [anon_sym___vectorcall] = ACTIONS(2330),
    [anon_sym_LBRACE] = ACTIONS(2332),
    [anon_sym_RBRACE] = ACTIONS(2332),
    [anon_sym_signed] = ACTIONS(2330),
    [anon_sym_unsigned] = ACTIONS(2330),
    [anon_sym_long] = ACTIONS(2330),
    [anon_sym_short] = ACTIONS(2330),
    [anon_sym_LBRACK] = ACTIONS(2330),
    [anon_sym_static] = ACTIONS(2330),
    [anon_sym_register] = ACTIONS(2330),
    [anon_sym_inline] = ACTIONS(2330),
    [anon_sym___inline] = ACTIONS(2330),
    [anon_sym___inline__] = ACTIONS(2330),
    [anon_sym___forceinline] = ACTIONS(2330),
    [anon_sym_thread_local] = ACTIONS(2330),
    [anon_sym___thread] = ACTIONS(2330),
    [anon_sym_const] = ACTIONS(2330),
    [anon_sym_constexpr] = ACTIONS(2330),
    [anon_sym_volatile] = ACTIONS(2330),
    [anon_sym_restrict] = ACTIONS(2330),
    [anon_sym___restrict__] = ACTIONS(2330),
    [anon_sym__Atomic] = ACTIONS(2330),
    [anon_sym__Noreturn] = ACTIONS(2330),
    [anon_sym_noreturn] = ACTIONS(2330),
    [anon_sym_mutable] = ACTIONS(2330),
    [anon_sym_constinit] = ACTIONS(2330),
    [anon_sym_consteval] = ACTIONS(2330),
    [sym_primitive_type] = ACTIONS(2330),
    [anon_sym_enum] = ACTIONS(2330),
    [anon_sym_class] = ACTIONS(2330),
    [anon_sym_struct] = ACTIONS(2330),
    [anon_sym_union] = ACTIONS(2330),
    [anon_sym_if] = ACTIONS(2330),
    [anon_sym_else] = ACTIONS(2330),
    [anon_sym_switch] = ACTIONS(2330),
    [anon_sym_case] = ACTIONS(2330),
    [anon_sym_default] = ACTIONS(2330),
    [anon_sym_while] = ACTIONS(2330),
    [anon_sym_do] = ACTIONS(2330),
    [anon_sym_for] = ACTIONS(2330),
    [anon_sym_return] = ACTIONS(2330),
    [anon_sym_break] = ACTIONS(2330),
    [anon_sym_continue] = ACTIONS(2330),
    [anon_sym_goto] = ACTIONS(2330),
    [anon_sym___try] = ACTIONS(2330),
    [anon_sym___leave] = ACTIONS(2330),
    [anon_sym_not] = ACTIONS(2330),
    [anon_sym_compl] = ACTIONS(2330),
    [anon_sym_DASH_DASH] = ACTIONS(2332),
    [anon_sym_PLUS_PLUS] = ACTIONS(2332),
    [anon_sym_sizeof] = ACTIONS(2330),
    [anon_sym___alignof__] = ACTIONS(2330),
    [anon_sym___alignof] = ACTIONS(2330),
    [anon_sym__alignof] = ACTIONS(2330),
    [anon_sym_alignof] = ACTIONS(2330),
    [anon_sym__Alignof] = ACTIONS(2330),
    [anon_sym_offsetof] = ACTIONS(2330),
    [anon_sym__Generic] = ACTIONS(2330),
    [anon_sym_asm] = ACTIONS(2330),
    [anon_sym___asm__] = ACTIONS(2330),
    [sym_number_literal] = ACTIONS(2332),
    [anon_sym_L_SQUOTE] = ACTIONS(2332),
    [anon_sym_u_SQUOTE] = ACTIONS(2332),
    [anon_sym_U_SQUOTE] = ACTIONS(2332),
    [anon_sym_u8_SQUOTE] = ACTIONS(2332),
    [anon_sym_SQUOTE] = ACTIONS(2332),
    [anon_sym_L_DQUOTE] = ACTIONS(2332),
    [anon_sym_u_DQUOTE] = ACTIONS(2332),
    [anon_sym_U_DQUOTE] = ACTIONS(2332),
    [anon_sym_u8_DQUOTE] = ACTIONS(2332),
    [anon_sym_DQUOTE] = ACTIONS(2332),
    [sym_true] = ACTIONS(2330),
    [sym_false] = ACTIONS(2330),
    [anon_sym_NULL] = ACTIONS(2330),
    [anon_sym_nullptr] = ACTIONS(2330),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2330),
    [anon_sym_decltype] = ACTIONS(2330),
    [anon_sym_virtual] = ACTIONS(2330),
    [anon_sym_alignas] = ACTIONS(2330),
    [anon_sym_explicit] = ACTIONS(2330),
    [anon_sym_typename] = ACTIONS(2330),
    [anon_sym_template] = ACTIONS(2330),
    [anon_sym_operator] = ACTIONS(2330),
    [anon_sym_try] = ACTIONS(2330),
    [anon_sym_delete] = ACTIONS(2330),
    [anon_sym_throw] = ACTIONS(2330),
    [anon_sym_namespace] = ACTIONS(2330),
    [anon_sym_using] = ACTIONS(2330),
    [anon_sym_static_assert] = ACTIONS(2330),
    [anon_sym_concept] = ACTIONS(2330),
    [anon_sym_co_return] = ACTIONS(2330),
    [anon_sym_co_yield] = ACTIONS(2330),
    [anon_sym_R_DQUOTE] = ACTIONS(2332),
    [anon_sym_LR_DQUOTE] = ACTIONS(2332),
    [anon_sym_uR_DQUOTE] = ACTIONS(2332),
    [anon_sym_UR_DQUOTE] = ACTIONS(2332),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2332),
    [anon_sym_co_await] = ACTIONS(2330),
    [anon_sym_new] = ACTIONS(2330),
    [anon_sym_requires] = ACTIONS(2330),
    [sym_this] = ACTIONS(2330),
    [anon_sym_discard] = ACTIONS(2330),
    [anon_sym_precise] = ACTIONS(2330),
    [anon_sym_shared] = ACTIONS(2330),
    [anon_sym_groupshared] = ACTIONS(2330),
    [anon_sym_uniform] = ACTIONS(2330),
    [anon_sym_row_major] = ACTIONS(2330),
    [anon_sym_column_major] = ACTIONS(2330),
    [anon_sym_globallycoherent] = ACTIONS(2330),
    [anon_sym_centroid] = ACTIONS(2330),
    [anon_sym_noperspective] = ACTIONS(2330),
    [anon_sym_nointerpolation] = ACTIONS(2330),
    [anon_sym_sample] = ACTIONS(2330),
    [anon_sym_linear] = ACTIONS(2330),
    [anon_sym_snorm] = ACTIONS(2330),
    [anon_sym_unorm] = ACTIONS(2330),
    [anon_sym_point] = ACTIONS(2330),
    [anon_sym_line] = ACTIONS(2330),
    [anon_sym_triangleadj] = ACTIONS(2330),
    [anon_sym_lineadj] = ACTIONS(2330),
    [anon_sym_triangle] = ACTIONS(2330),
    [anon_sym_cbuffer] = ACTIONS(2330),
  },
  [964] = {
    [sym_identifier] = ACTIONS(2508),
    [aux_sym_preproc_include_token1] = ACTIONS(2508),
    [aux_sym_preproc_def_token1] = ACTIONS(2508),
    [aux_sym_preproc_if_token1] = ACTIONS(2508),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2508),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2508),
    [sym_preproc_directive] = ACTIONS(2508),
    [anon_sym_LPAREN2] = ACTIONS(2510),
    [anon_sym_BANG] = ACTIONS(2510),
    [anon_sym_TILDE] = ACTIONS(2510),
    [anon_sym_DASH] = ACTIONS(2508),
    [anon_sym_PLUS] = ACTIONS(2508),
    [anon_sym_STAR] = ACTIONS(2510),
    [anon_sym_AMP_AMP] = ACTIONS(2510),
    [anon_sym_AMP] = ACTIONS(2508),
    [anon_sym_SEMI] = ACTIONS(2510),
    [anon_sym___extension__] = ACTIONS(2508),
    [anon_sym_typedef] = ACTIONS(2508),
    [anon_sym_in] = ACTIONS(2508),
    [anon_sym_out] = ACTIONS(2508),
    [anon_sym_inout] = ACTIONS(2508),
    [anon_sym_extern] = ACTIONS(2508),
    [anon_sym___attribute__] = ACTIONS(2508),
    [anon_sym_COLON_COLON] = ACTIONS(2510),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2510),
    [anon_sym___declspec] = ACTIONS(2508),
    [anon_sym___based] = ACTIONS(2508),
    [anon_sym___cdecl] = ACTIONS(2508),
    [anon_sym___clrcall] = ACTIONS(2508),
    [anon_sym___stdcall] = ACTIONS(2508),
    [anon_sym___fastcall] = ACTIONS(2508),
    [anon_sym___thiscall] = ACTIONS(2508),
    [anon_sym___vectorcall] = ACTIONS(2508),
    [anon_sym_LBRACE] = ACTIONS(2510),
    [anon_sym_RBRACE] = ACTIONS(2510),
    [anon_sym_signed] = ACTIONS(2508),
    [anon_sym_unsigned] = ACTIONS(2508),
    [anon_sym_long] = ACTIONS(2508),
    [anon_sym_short] = ACTIONS(2508),
    [anon_sym_LBRACK] = ACTIONS(2508),
    [anon_sym_static] = ACTIONS(2508),
    [anon_sym_register] = ACTIONS(2508),
    [anon_sym_inline] = ACTIONS(2508),
    [anon_sym___inline] = ACTIONS(2508),
    [anon_sym___inline__] = ACTIONS(2508),
    [anon_sym___forceinline] = ACTIONS(2508),
    [anon_sym_thread_local] = ACTIONS(2508),
    [anon_sym___thread] = ACTIONS(2508),
    [anon_sym_const] = ACTIONS(2508),
    [anon_sym_constexpr] = ACTIONS(2508),
    [anon_sym_volatile] = ACTIONS(2508),
    [anon_sym_restrict] = ACTIONS(2508),
    [anon_sym___restrict__] = ACTIONS(2508),
    [anon_sym__Atomic] = ACTIONS(2508),
    [anon_sym__Noreturn] = ACTIONS(2508),
    [anon_sym_noreturn] = ACTIONS(2508),
    [anon_sym_mutable] = ACTIONS(2508),
    [anon_sym_constinit] = ACTIONS(2508),
    [anon_sym_consteval] = ACTIONS(2508),
    [sym_primitive_type] = ACTIONS(2508),
    [anon_sym_enum] = ACTIONS(2508),
    [anon_sym_class] = ACTIONS(2508),
    [anon_sym_struct] = ACTIONS(2508),
    [anon_sym_union] = ACTIONS(2508),
    [anon_sym_if] = ACTIONS(2508),
    [anon_sym_else] = ACTIONS(2508),
    [anon_sym_switch] = ACTIONS(2508),
    [anon_sym_case] = ACTIONS(2508),
    [anon_sym_default] = ACTIONS(2508),
    [anon_sym_while] = ACTIONS(2508),
    [anon_sym_do] = ACTIONS(2508),
    [anon_sym_for] = ACTIONS(2508),
    [anon_sym_return] = ACTIONS(2508),
    [anon_sym_break] = ACTIONS(2508),
    [anon_sym_continue] = ACTIONS(2508),
    [anon_sym_goto] = ACTIONS(2508),
    [anon_sym___try] = ACTIONS(2508),
    [anon_sym___leave] = ACTIONS(2508),
    [anon_sym_not] = ACTIONS(2508),
    [anon_sym_compl] = ACTIONS(2508),
    [anon_sym_DASH_DASH] = ACTIONS(2510),
    [anon_sym_PLUS_PLUS] = ACTIONS(2510),
    [anon_sym_sizeof] = ACTIONS(2508),
    [anon_sym___alignof__] = ACTIONS(2508),
    [anon_sym___alignof] = ACTIONS(2508),
    [anon_sym__alignof] = ACTIONS(2508),
    [anon_sym_alignof] = ACTIONS(2508),
    [anon_sym__Alignof] = ACTIONS(2508),
    [anon_sym_offsetof] = ACTIONS(2508),
    [anon_sym__Generic] = ACTIONS(2508),
    [anon_sym_asm] = ACTIONS(2508),
    [anon_sym___asm__] = ACTIONS(2508),
    [sym_number_literal] = ACTIONS(2510),
    [anon_sym_L_SQUOTE] = ACTIONS(2510),
    [anon_sym_u_SQUOTE] = ACTIONS(2510),
    [anon_sym_U_SQUOTE] = ACTIONS(2510),
    [anon_sym_u8_SQUOTE] = ACTIONS(2510),
    [anon_sym_SQUOTE] = ACTIONS(2510),
    [anon_sym_L_DQUOTE] = ACTIONS(2510),
    [anon_sym_u_DQUOTE] = ACTIONS(2510),
    [anon_sym_U_DQUOTE] = ACTIONS(2510),
    [anon_sym_u8_DQUOTE] = ACTIONS(2510),
    [anon_sym_DQUOTE] = ACTIONS(2510),
    [sym_true] = ACTIONS(2508),
    [sym_false] = ACTIONS(2508),
    [anon_sym_NULL] = ACTIONS(2508),
    [anon_sym_nullptr] = ACTIONS(2508),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2508),
    [anon_sym_decltype] = ACTIONS(2508),
    [anon_sym_virtual] = ACTIONS(2508),
    [anon_sym_alignas] = ACTIONS(2508),
    [anon_sym_explicit] = ACTIONS(2508),
    [anon_sym_typename] = ACTIONS(2508),
    [anon_sym_template] = ACTIONS(2508),
    [anon_sym_operator] = ACTIONS(2508),
    [anon_sym_try] = ACTIONS(2508),
    [anon_sym_delete] = ACTIONS(2508),
    [anon_sym_throw] = ACTIONS(2508),
    [anon_sym_namespace] = ACTIONS(2508),
    [anon_sym_using] = ACTIONS(2508),
    [anon_sym_static_assert] = ACTIONS(2508),
    [anon_sym_concept] = ACTIONS(2508),
    [anon_sym_co_return] = ACTIONS(2508),
    [anon_sym_co_yield] = ACTIONS(2508),
    [anon_sym_R_DQUOTE] = ACTIONS(2510),
    [anon_sym_LR_DQUOTE] = ACTIONS(2510),
    [anon_sym_uR_DQUOTE] = ACTIONS(2510),
    [anon_sym_UR_DQUOTE] = ACTIONS(2510),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2510),
    [anon_sym_co_await] = ACTIONS(2508),
    [anon_sym_new] = ACTIONS(2508),
    [anon_sym_requires] = ACTIONS(2508),
    [sym_this] = ACTIONS(2508),
    [anon_sym_discard] = ACTIONS(2508),
    [anon_sym_precise] = ACTIONS(2508),
    [anon_sym_shared] = ACTIONS(2508),
    [anon_sym_groupshared] = ACTIONS(2508),
    [anon_sym_uniform] = ACTIONS(2508),
    [anon_sym_row_major] = ACTIONS(2508),
    [anon_sym_column_major] = ACTIONS(2508),
    [anon_sym_globallycoherent] = ACTIONS(2508),
    [anon_sym_centroid] = ACTIONS(2508),
    [anon_sym_noperspective] = ACTIONS(2508),
    [anon_sym_nointerpolation] = ACTIONS(2508),
    [anon_sym_sample] = ACTIONS(2508),
    [anon_sym_linear] = ACTIONS(2508),
    [anon_sym_snorm] = ACTIONS(2508),
    [anon_sym_unorm] = ACTIONS(2508),
    [anon_sym_point] = ACTIONS(2508),
    [anon_sym_line] = ACTIONS(2508),
    [anon_sym_triangleadj] = ACTIONS(2508),
    [anon_sym_lineadj] = ACTIONS(2508),
    [anon_sym_triangle] = ACTIONS(2508),
    [anon_sym_cbuffer] = ACTIONS(2508),
  },
  [965] = {
    [ts_builtin_sym_end] = ACTIONS(2340),
    [sym_identifier] = ACTIONS(2338),
    [aux_sym_preproc_include_token1] = ACTIONS(2338),
    [aux_sym_preproc_def_token1] = ACTIONS(2338),
    [aux_sym_preproc_if_token1] = ACTIONS(2338),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2338),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2338),
    [sym_preproc_directive] = ACTIONS(2338),
    [anon_sym_LPAREN2] = ACTIONS(2340),
    [anon_sym_BANG] = ACTIONS(2340),
    [anon_sym_TILDE] = ACTIONS(2340),
    [anon_sym_DASH] = ACTIONS(2338),
    [anon_sym_PLUS] = ACTIONS(2338),
    [anon_sym_STAR] = ACTIONS(2340),
    [anon_sym_AMP_AMP] = ACTIONS(2340),
    [anon_sym_AMP] = ACTIONS(2338),
    [anon_sym_SEMI] = ACTIONS(2340),
    [anon_sym___extension__] = ACTIONS(2338),
    [anon_sym_typedef] = ACTIONS(2338),
    [anon_sym_in] = ACTIONS(2338),
    [anon_sym_out] = ACTIONS(2338),
    [anon_sym_inout] = ACTIONS(2338),
    [anon_sym_extern] = ACTIONS(2338),
    [anon_sym___attribute__] = ACTIONS(2338),
    [anon_sym_COLON_COLON] = ACTIONS(2340),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2340),
    [anon_sym___declspec] = ACTIONS(2338),
    [anon_sym___based] = ACTIONS(2338),
    [anon_sym___cdecl] = ACTIONS(2338),
    [anon_sym___clrcall] = ACTIONS(2338),
    [anon_sym___stdcall] = ACTIONS(2338),
    [anon_sym___fastcall] = ACTIONS(2338),
    [anon_sym___thiscall] = ACTIONS(2338),
    [anon_sym___vectorcall] = ACTIONS(2338),
    [anon_sym_LBRACE] = ACTIONS(2340),
    [anon_sym_signed] = ACTIONS(2338),
    [anon_sym_unsigned] = ACTIONS(2338),
    [anon_sym_long] = ACTIONS(2338),
    [anon_sym_short] = ACTIONS(2338),
    [anon_sym_LBRACK] = ACTIONS(2338),
    [anon_sym_static] = ACTIONS(2338),
    [anon_sym_register] = ACTIONS(2338),
    [anon_sym_inline] = ACTIONS(2338),
    [anon_sym___inline] = ACTIONS(2338),
    [anon_sym___inline__] = ACTIONS(2338),
    [anon_sym___forceinline] = ACTIONS(2338),
    [anon_sym_thread_local] = ACTIONS(2338),
    [anon_sym___thread] = ACTIONS(2338),
    [anon_sym_const] = ACTIONS(2338),
    [anon_sym_constexpr] = ACTIONS(2338),
    [anon_sym_volatile] = ACTIONS(2338),
    [anon_sym_restrict] = ACTIONS(2338),
    [anon_sym___restrict__] = ACTIONS(2338),
    [anon_sym__Atomic] = ACTIONS(2338),
    [anon_sym__Noreturn] = ACTIONS(2338),
    [anon_sym_noreturn] = ACTIONS(2338),
    [anon_sym_mutable] = ACTIONS(2338),
    [anon_sym_constinit] = ACTIONS(2338),
    [anon_sym_consteval] = ACTIONS(2338),
    [sym_primitive_type] = ACTIONS(2338),
    [anon_sym_enum] = ACTIONS(2338),
    [anon_sym_class] = ACTIONS(2338),
    [anon_sym_struct] = ACTIONS(2338),
    [anon_sym_union] = ACTIONS(2338),
    [anon_sym_if] = ACTIONS(2338),
    [anon_sym_else] = ACTIONS(2338),
    [anon_sym_switch] = ACTIONS(2338),
    [anon_sym_case] = ACTIONS(2338),
    [anon_sym_default] = ACTIONS(2338),
    [anon_sym_while] = ACTIONS(2338),
    [anon_sym_do] = ACTIONS(2338),
    [anon_sym_for] = ACTIONS(2338),
    [anon_sym_return] = ACTIONS(2338),
    [anon_sym_break] = ACTIONS(2338),
    [anon_sym_continue] = ACTIONS(2338),
    [anon_sym_goto] = ACTIONS(2338),
    [anon_sym___try] = ACTIONS(2338),
    [anon_sym___leave] = ACTIONS(2338),
    [anon_sym_not] = ACTIONS(2338),
    [anon_sym_compl] = ACTIONS(2338),
    [anon_sym_DASH_DASH] = ACTIONS(2340),
    [anon_sym_PLUS_PLUS] = ACTIONS(2340),
    [anon_sym_sizeof] = ACTIONS(2338),
    [anon_sym___alignof__] = ACTIONS(2338),
    [anon_sym___alignof] = ACTIONS(2338),
    [anon_sym__alignof] = ACTIONS(2338),
    [anon_sym_alignof] = ACTIONS(2338),
    [anon_sym__Alignof] = ACTIONS(2338),
    [anon_sym_offsetof] = ACTIONS(2338),
    [anon_sym__Generic] = ACTIONS(2338),
    [anon_sym_asm] = ACTIONS(2338),
    [anon_sym___asm__] = ACTIONS(2338),
    [sym_number_literal] = ACTIONS(2340),
    [anon_sym_L_SQUOTE] = ACTIONS(2340),
    [anon_sym_u_SQUOTE] = ACTIONS(2340),
    [anon_sym_U_SQUOTE] = ACTIONS(2340),
    [anon_sym_u8_SQUOTE] = ACTIONS(2340),
    [anon_sym_SQUOTE] = ACTIONS(2340),
    [anon_sym_L_DQUOTE] = ACTIONS(2340),
    [anon_sym_u_DQUOTE] = ACTIONS(2340),
    [anon_sym_U_DQUOTE] = ACTIONS(2340),
    [anon_sym_u8_DQUOTE] = ACTIONS(2340),
    [anon_sym_DQUOTE] = ACTIONS(2340),
    [sym_true] = ACTIONS(2338),
    [sym_false] = ACTIONS(2338),
    [anon_sym_NULL] = ACTIONS(2338),
    [anon_sym_nullptr] = ACTIONS(2338),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2338),
    [anon_sym_decltype] = ACTIONS(2338),
    [anon_sym_virtual] = ACTIONS(2338),
    [anon_sym_alignas] = ACTIONS(2338),
    [anon_sym_explicit] = ACTIONS(2338),
    [anon_sym_typename] = ACTIONS(2338),
    [anon_sym_template] = ACTIONS(2338),
    [anon_sym_operator] = ACTIONS(2338),
    [anon_sym_try] = ACTIONS(2338),
    [anon_sym_delete] = ACTIONS(2338),
    [anon_sym_throw] = ACTIONS(2338),
    [anon_sym_namespace] = ACTIONS(2338),
    [anon_sym_using] = ACTIONS(2338),
    [anon_sym_static_assert] = ACTIONS(2338),
    [anon_sym_concept] = ACTIONS(2338),
    [anon_sym_co_return] = ACTIONS(2338),
    [anon_sym_co_yield] = ACTIONS(2338),
    [anon_sym_R_DQUOTE] = ACTIONS(2340),
    [anon_sym_LR_DQUOTE] = ACTIONS(2340),
    [anon_sym_uR_DQUOTE] = ACTIONS(2340),
    [anon_sym_UR_DQUOTE] = ACTIONS(2340),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2340),
    [anon_sym_co_await] = ACTIONS(2338),
    [anon_sym_new] = ACTIONS(2338),
    [anon_sym_requires] = ACTIONS(2338),
    [sym_this] = ACTIONS(2338),
    [anon_sym_discard] = ACTIONS(2338),
    [anon_sym_precise] = ACTIONS(2338),
    [anon_sym_shared] = ACTIONS(2338),
    [anon_sym_groupshared] = ACTIONS(2338),
    [anon_sym_uniform] = ACTIONS(2338),
    [anon_sym_row_major] = ACTIONS(2338),
    [anon_sym_column_major] = ACTIONS(2338),
    [anon_sym_globallycoherent] = ACTIONS(2338),
    [anon_sym_centroid] = ACTIONS(2338),
    [anon_sym_noperspective] = ACTIONS(2338),
    [anon_sym_nointerpolation] = ACTIONS(2338),
    [anon_sym_sample] = ACTIONS(2338),
    [anon_sym_linear] = ACTIONS(2338),
    [anon_sym_snorm] = ACTIONS(2338),
    [anon_sym_unorm] = ACTIONS(2338),
    [anon_sym_point] = ACTIONS(2338),
    [anon_sym_line] = ACTIONS(2338),
    [anon_sym_triangleadj] = ACTIONS(2338),
    [anon_sym_lineadj] = ACTIONS(2338),
    [anon_sym_triangle] = ACTIONS(2338),
    [anon_sym_cbuffer] = ACTIONS(2338),
  },
  [966] = {
    [ts_builtin_sym_end] = ACTIONS(2356),
    [sym_identifier] = ACTIONS(2354),
    [aux_sym_preproc_include_token1] = ACTIONS(2354),
    [aux_sym_preproc_def_token1] = ACTIONS(2354),
    [aux_sym_preproc_if_token1] = ACTIONS(2354),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2354),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2354),
    [sym_preproc_directive] = ACTIONS(2354),
    [anon_sym_LPAREN2] = ACTIONS(2356),
    [anon_sym_BANG] = ACTIONS(2356),
    [anon_sym_TILDE] = ACTIONS(2356),
    [anon_sym_DASH] = ACTIONS(2354),
    [anon_sym_PLUS] = ACTIONS(2354),
    [anon_sym_STAR] = ACTIONS(2356),
    [anon_sym_AMP_AMP] = ACTIONS(2356),
    [anon_sym_AMP] = ACTIONS(2354),
    [anon_sym_SEMI] = ACTIONS(2356),
    [anon_sym___extension__] = ACTIONS(2354),
    [anon_sym_typedef] = ACTIONS(2354),
    [anon_sym_in] = ACTIONS(2354),
    [anon_sym_out] = ACTIONS(2354),
    [anon_sym_inout] = ACTIONS(2354),
    [anon_sym_extern] = ACTIONS(2354),
    [anon_sym___attribute__] = ACTIONS(2354),
    [anon_sym_COLON_COLON] = ACTIONS(2356),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2356),
    [anon_sym___declspec] = ACTIONS(2354),
    [anon_sym___based] = ACTIONS(2354),
    [anon_sym___cdecl] = ACTIONS(2354),
    [anon_sym___clrcall] = ACTIONS(2354),
    [anon_sym___stdcall] = ACTIONS(2354),
    [anon_sym___fastcall] = ACTIONS(2354),
    [anon_sym___thiscall] = ACTIONS(2354),
    [anon_sym___vectorcall] = ACTIONS(2354),
    [anon_sym_LBRACE] = ACTIONS(2356),
    [anon_sym_signed] = ACTIONS(2354),
    [anon_sym_unsigned] = ACTIONS(2354),
    [anon_sym_long] = ACTIONS(2354),
    [anon_sym_short] = ACTIONS(2354),
    [anon_sym_LBRACK] = ACTIONS(2354),
    [anon_sym_static] = ACTIONS(2354),
    [anon_sym_register] = ACTIONS(2354),
    [anon_sym_inline] = ACTIONS(2354),
    [anon_sym___inline] = ACTIONS(2354),
    [anon_sym___inline__] = ACTIONS(2354),
    [anon_sym___forceinline] = ACTIONS(2354),
    [anon_sym_thread_local] = ACTIONS(2354),
    [anon_sym___thread] = ACTIONS(2354),
    [anon_sym_const] = ACTIONS(2354),
    [anon_sym_constexpr] = ACTIONS(2354),
    [anon_sym_volatile] = ACTIONS(2354),
    [anon_sym_restrict] = ACTIONS(2354),
    [anon_sym___restrict__] = ACTIONS(2354),
    [anon_sym__Atomic] = ACTIONS(2354),
    [anon_sym__Noreturn] = ACTIONS(2354),
    [anon_sym_noreturn] = ACTIONS(2354),
    [anon_sym_mutable] = ACTIONS(2354),
    [anon_sym_constinit] = ACTIONS(2354),
    [anon_sym_consteval] = ACTIONS(2354),
    [sym_primitive_type] = ACTIONS(2354),
    [anon_sym_enum] = ACTIONS(2354),
    [anon_sym_class] = ACTIONS(2354),
    [anon_sym_struct] = ACTIONS(2354),
    [anon_sym_union] = ACTIONS(2354),
    [anon_sym_if] = ACTIONS(2354),
    [anon_sym_else] = ACTIONS(2354),
    [anon_sym_switch] = ACTIONS(2354),
    [anon_sym_case] = ACTIONS(2354),
    [anon_sym_default] = ACTIONS(2354),
    [anon_sym_while] = ACTIONS(2354),
    [anon_sym_do] = ACTIONS(2354),
    [anon_sym_for] = ACTIONS(2354),
    [anon_sym_return] = ACTIONS(2354),
    [anon_sym_break] = ACTIONS(2354),
    [anon_sym_continue] = ACTIONS(2354),
    [anon_sym_goto] = ACTIONS(2354),
    [anon_sym___try] = ACTIONS(2354),
    [anon_sym___leave] = ACTIONS(2354),
    [anon_sym_not] = ACTIONS(2354),
    [anon_sym_compl] = ACTIONS(2354),
    [anon_sym_DASH_DASH] = ACTIONS(2356),
    [anon_sym_PLUS_PLUS] = ACTIONS(2356),
    [anon_sym_sizeof] = ACTIONS(2354),
    [anon_sym___alignof__] = ACTIONS(2354),
    [anon_sym___alignof] = ACTIONS(2354),
    [anon_sym__alignof] = ACTIONS(2354),
    [anon_sym_alignof] = ACTIONS(2354),
    [anon_sym__Alignof] = ACTIONS(2354),
    [anon_sym_offsetof] = ACTIONS(2354),
    [anon_sym__Generic] = ACTIONS(2354),
    [anon_sym_asm] = ACTIONS(2354),
    [anon_sym___asm__] = ACTIONS(2354),
    [sym_number_literal] = ACTIONS(2356),
    [anon_sym_L_SQUOTE] = ACTIONS(2356),
    [anon_sym_u_SQUOTE] = ACTIONS(2356),
    [anon_sym_U_SQUOTE] = ACTIONS(2356),
    [anon_sym_u8_SQUOTE] = ACTIONS(2356),
    [anon_sym_SQUOTE] = ACTIONS(2356),
    [anon_sym_L_DQUOTE] = ACTIONS(2356),
    [anon_sym_u_DQUOTE] = ACTIONS(2356),
    [anon_sym_U_DQUOTE] = ACTIONS(2356),
    [anon_sym_u8_DQUOTE] = ACTIONS(2356),
    [anon_sym_DQUOTE] = ACTIONS(2356),
    [sym_true] = ACTIONS(2354),
    [sym_false] = ACTIONS(2354),
    [anon_sym_NULL] = ACTIONS(2354),
    [anon_sym_nullptr] = ACTIONS(2354),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2354),
    [anon_sym_decltype] = ACTIONS(2354),
    [anon_sym_virtual] = ACTIONS(2354),
    [anon_sym_alignas] = ACTIONS(2354),
    [anon_sym_explicit] = ACTIONS(2354),
    [anon_sym_typename] = ACTIONS(2354),
    [anon_sym_template] = ACTIONS(2354),
    [anon_sym_operator] = ACTIONS(2354),
    [anon_sym_try] = ACTIONS(2354),
    [anon_sym_delete] = ACTIONS(2354),
    [anon_sym_throw] = ACTIONS(2354),
    [anon_sym_namespace] = ACTIONS(2354),
    [anon_sym_using] = ACTIONS(2354),
    [anon_sym_static_assert] = ACTIONS(2354),
    [anon_sym_concept] = ACTIONS(2354),
    [anon_sym_co_return] = ACTIONS(2354),
    [anon_sym_co_yield] = ACTIONS(2354),
    [anon_sym_R_DQUOTE] = ACTIONS(2356),
    [anon_sym_LR_DQUOTE] = ACTIONS(2356),
    [anon_sym_uR_DQUOTE] = ACTIONS(2356),
    [anon_sym_UR_DQUOTE] = ACTIONS(2356),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2356),
    [anon_sym_co_await] = ACTIONS(2354),
    [anon_sym_new] = ACTIONS(2354),
    [anon_sym_requires] = ACTIONS(2354),
    [sym_this] = ACTIONS(2354),
    [anon_sym_discard] = ACTIONS(2354),
    [anon_sym_precise] = ACTIONS(2354),
    [anon_sym_shared] = ACTIONS(2354),
    [anon_sym_groupshared] = ACTIONS(2354),
    [anon_sym_uniform] = ACTIONS(2354),
    [anon_sym_row_major] = ACTIONS(2354),
    [anon_sym_column_major] = ACTIONS(2354),
    [anon_sym_globallycoherent] = ACTIONS(2354),
    [anon_sym_centroid] = ACTIONS(2354),
    [anon_sym_noperspective] = ACTIONS(2354),
    [anon_sym_nointerpolation] = ACTIONS(2354),
    [anon_sym_sample] = ACTIONS(2354),
    [anon_sym_linear] = ACTIONS(2354),
    [anon_sym_snorm] = ACTIONS(2354),
    [anon_sym_unorm] = ACTIONS(2354),
    [anon_sym_point] = ACTIONS(2354),
    [anon_sym_line] = ACTIONS(2354),
    [anon_sym_triangleadj] = ACTIONS(2354),
    [anon_sym_lineadj] = ACTIONS(2354),
    [anon_sym_triangle] = ACTIONS(2354),
    [anon_sym_cbuffer] = ACTIONS(2354),
  },
  [967] = {
    [sym_identifier] = ACTIONS(2404),
    [aux_sym_preproc_include_token1] = ACTIONS(2404),
    [aux_sym_preproc_def_token1] = ACTIONS(2404),
    [aux_sym_preproc_if_token1] = ACTIONS(2404),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2404),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2404),
    [sym_preproc_directive] = ACTIONS(2404),
    [anon_sym_LPAREN2] = ACTIONS(2406),
    [anon_sym_BANG] = ACTIONS(2406),
    [anon_sym_TILDE] = ACTIONS(2406),
    [anon_sym_DASH] = ACTIONS(2404),
    [anon_sym_PLUS] = ACTIONS(2404),
    [anon_sym_STAR] = ACTIONS(2406),
    [anon_sym_AMP_AMP] = ACTIONS(2406),
    [anon_sym_AMP] = ACTIONS(2404),
    [anon_sym_SEMI] = ACTIONS(2406),
    [anon_sym___extension__] = ACTIONS(2404),
    [anon_sym_typedef] = ACTIONS(2404),
    [anon_sym_in] = ACTIONS(2404),
    [anon_sym_out] = ACTIONS(2404),
    [anon_sym_inout] = ACTIONS(2404),
    [anon_sym_extern] = ACTIONS(2404),
    [anon_sym___attribute__] = ACTIONS(2404),
    [anon_sym_COLON_COLON] = ACTIONS(2406),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2406),
    [anon_sym___declspec] = ACTIONS(2404),
    [anon_sym___based] = ACTIONS(2404),
    [anon_sym___cdecl] = ACTIONS(2404),
    [anon_sym___clrcall] = ACTIONS(2404),
    [anon_sym___stdcall] = ACTIONS(2404),
    [anon_sym___fastcall] = ACTIONS(2404),
    [anon_sym___thiscall] = ACTIONS(2404),
    [anon_sym___vectorcall] = ACTIONS(2404),
    [anon_sym_LBRACE] = ACTIONS(2406),
    [anon_sym_RBRACE] = ACTIONS(2406),
    [anon_sym_signed] = ACTIONS(2404),
    [anon_sym_unsigned] = ACTIONS(2404),
    [anon_sym_long] = ACTIONS(2404),
    [anon_sym_short] = ACTIONS(2404),
    [anon_sym_LBRACK] = ACTIONS(2404),
    [anon_sym_static] = ACTIONS(2404),
    [anon_sym_register] = ACTIONS(2404),
    [anon_sym_inline] = ACTIONS(2404),
    [anon_sym___inline] = ACTIONS(2404),
    [anon_sym___inline__] = ACTIONS(2404),
    [anon_sym___forceinline] = ACTIONS(2404),
    [anon_sym_thread_local] = ACTIONS(2404),
    [anon_sym___thread] = ACTIONS(2404),
    [anon_sym_const] = ACTIONS(2404),
    [anon_sym_constexpr] = ACTIONS(2404),
    [anon_sym_volatile] = ACTIONS(2404),
    [anon_sym_restrict] = ACTIONS(2404),
    [anon_sym___restrict__] = ACTIONS(2404),
    [anon_sym__Atomic] = ACTIONS(2404),
    [anon_sym__Noreturn] = ACTIONS(2404),
    [anon_sym_noreturn] = ACTIONS(2404),
    [anon_sym_mutable] = ACTIONS(2404),
    [anon_sym_constinit] = ACTIONS(2404),
    [anon_sym_consteval] = ACTIONS(2404),
    [sym_primitive_type] = ACTIONS(2404),
    [anon_sym_enum] = ACTIONS(2404),
    [anon_sym_class] = ACTIONS(2404),
    [anon_sym_struct] = ACTIONS(2404),
    [anon_sym_union] = ACTIONS(2404),
    [anon_sym_if] = ACTIONS(2404),
    [anon_sym_else] = ACTIONS(2404),
    [anon_sym_switch] = ACTIONS(2404),
    [anon_sym_case] = ACTIONS(2404),
    [anon_sym_default] = ACTIONS(2404),
    [anon_sym_while] = ACTIONS(2404),
    [anon_sym_do] = ACTIONS(2404),
    [anon_sym_for] = ACTIONS(2404),
    [anon_sym_return] = ACTIONS(2404),
    [anon_sym_break] = ACTIONS(2404),
    [anon_sym_continue] = ACTIONS(2404),
    [anon_sym_goto] = ACTIONS(2404),
    [anon_sym___try] = ACTIONS(2404),
    [anon_sym___leave] = ACTIONS(2404),
    [anon_sym_not] = ACTIONS(2404),
    [anon_sym_compl] = ACTIONS(2404),
    [anon_sym_DASH_DASH] = ACTIONS(2406),
    [anon_sym_PLUS_PLUS] = ACTIONS(2406),
    [anon_sym_sizeof] = ACTIONS(2404),
    [anon_sym___alignof__] = ACTIONS(2404),
    [anon_sym___alignof] = ACTIONS(2404),
    [anon_sym__alignof] = ACTIONS(2404),
    [anon_sym_alignof] = ACTIONS(2404),
    [anon_sym__Alignof] = ACTIONS(2404),
    [anon_sym_offsetof] = ACTIONS(2404),
    [anon_sym__Generic] = ACTIONS(2404),
    [anon_sym_asm] = ACTIONS(2404),
    [anon_sym___asm__] = ACTIONS(2404),
    [sym_number_literal] = ACTIONS(2406),
    [anon_sym_L_SQUOTE] = ACTIONS(2406),
    [anon_sym_u_SQUOTE] = ACTIONS(2406),
    [anon_sym_U_SQUOTE] = ACTIONS(2406),
    [anon_sym_u8_SQUOTE] = ACTIONS(2406),
    [anon_sym_SQUOTE] = ACTIONS(2406),
    [anon_sym_L_DQUOTE] = ACTIONS(2406),
    [anon_sym_u_DQUOTE] = ACTIONS(2406),
    [anon_sym_U_DQUOTE] = ACTIONS(2406),
    [anon_sym_u8_DQUOTE] = ACTIONS(2406),
    [anon_sym_DQUOTE] = ACTIONS(2406),
    [sym_true] = ACTIONS(2404),
    [sym_false] = ACTIONS(2404),
    [anon_sym_NULL] = ACTIONS(2404),
    [anon_sym_nullptr] = ACTIONS(2404),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2404),
    [anon_sym_decltype] = ACTIONS(2404),
    [anon_sym_virtual] = ACTIONS(2404),
    [anon_sym_alignas] = ACTIONS(2404),
    [anon_sym_explicit] = ACTIONS(2404),
    [anon_sym_typename] = ACTIONS(2404),
    [anon_sym_template] = ACTIONS(2404),
    [anon_sym_operator] = ACTIONS(2404),
    [anon_sym_try] = ACTIONS(2404),
    [anon_sym_delete] = ACTIONS(2404),
    [anon_sym_throw] = ACTIONS(2404),
    [anon_sym_namespace] = ACTIONS(2404),
    [anon_sym_using] = ACTIONS(2404),
    [anon_sym_static_assert] = ACTIONS(2404),
    [anon_sym_concept] = ACTIONS(2404),
    [anon_sym_co_return] = ACTIONS(2404),
    [anon_sym_co_yield] = ACTIONS(2404),
    [anon_sym_R_DQUOTE] = ACTIONS(2406),
    [anon_sym_LR_DQUOTE] = ACTIONS(2406),
    [anon_sym_uR_DQUOTE] = ACTIONS(2406),
    [anon_sym_UR_DQUOTE] = ACTIONS(2406),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2406),
    [anon_sym_co_await] = ACTIONS(2404),
    [anon_sym_new] = ACTIONS(2404),
    [anon_sym_requires] = ACTIONS(2404),
    [sym_this] = ACTIONS(2404),
    [anon_sym_discard] = ACTIONS(2404),
    [anon_sym_precise] = ACTIONS(2404),
    [anon_sym_shared] = ACTIONS(2404),
    [anon_sym_groupshared] = ACTIONS(2404),
    [anon_sym_uniform] = ACTIONS(2404),
    [anon_sym_row_major] = ACTIONS(2404),
    [anon_sym_column_major] = ACTIONS(2404),
    [anon_sym_globallycoherent] = ACTIONS(2404),
    [anon_sym_centroid] = ACTIONS(2404),
    [anon_sym_noperspective] = ACTIONS(2404),
    [anon_sym_nointerpolation] = ACTIONS(2404),
    [anon_sym_sample] = ACTIONS(2404),
    [anon_sym_linear] = ACTIONS(2404),
    [anon_sym_snorm] = ACTIONS(2404),
    [anon_sym_unorm] = ACTIONS(2404),
    [anon_sym_point] = ACTIONS(2404),
    [anon_sym_line] = ACTIONS(2404),
    [anon_sym_triangleadj] = ACTIONS(2404),
    [anon_sym_lineadj] = ACTIONS(2404),
    [anon_sym_triangle] = ACTIONS(2404),
    [anon_sym_cbuffer] = ACTIONS(2404),
  },
  [968] = {
    [sym_identifier] = ACTIONS(2504),
    [aux_sym_preproc_include_token1] = ACTIONS(2504),
    [aux_sym_preproc_def_token1] = ACTIONS(2504),
    [aux_sym_preproc_if_token1] = ACTIONS(2504),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2504),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2504),
    [sym_preproc_directive] = ACTIONS(2504),
    [anon_sym_LPAREN2] = ACTIONS(2506),
    [anon_sym_BANG] = ACTIONS(2506),
    [anon_sym_TILDE] = ACTIONS(2506),
    [anon_sym_DASH] = ACTIONS(2504),
    [anon_sym_PLUS] = ACTIONS(2504),
    [anon_sym_STAR] = ACTIONS(2506),
    [anon_sym_AMP_AMP] = ACTIONS(2506),
    [anon_sym_AMP] = ACTIONS(2504),
    [anon_sym_SEMI] = ACTIONS(2506),
    [anon_sym___extension__] = ACTIONS(2504),
    [anon_sym_typedef] = ACTIONS(2504),
    [anon_sym_in] = ACTIONS(2504),
    [anon_sym_out] = ACTIONS(2504),
    [anon_sym_inout] = ACTIONS(2504),
    [anon_sym_extern] = ACTIONS(2504),
    [anon_sym___attribute__] = ACTIONS(2504),
    [anon_sym_COLON_COLON] = ACTIONS(2506),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2506),
    [anon_sym___declspec] = ACTIONS(2504),
    [anon_sym___based] = ACTIONS(2504),
    [anon_sym___cdecl] = ACTIONS(2504),
    [anon_sym___clrcall] = ACTIONS(2504),
    [anon_sym___stdcall] = ACTIONS(2504),
    [anon_sym___fastcall] = ACTIONS(2504),
    [anon_sym___thiscall] = ACTIONS(2504),
    [anon_sym___vectorcall] = ACTIONS(2504),
    [anon_sym_LBRACE] = ACTIONS(2506),
    [anon_sym_RBRACE] = ACTIONS(2506),
    [anon_sym_signed] = ACTIONS(2504),
    [anon_sym_unsigned] = ACTIONS(2504),
    [anon_sym_long] = ACTIONS(2504),
    [anon_sym_short] = ACTIONS(2504),
    [anon_sym_LBRACK] = ACTIONS(2504),
    [anon_sym_static] = ACTIONS(2504),
    [anon_sym_register] = ACTIONS(2504),
    [anon_sym_inline] = ACTIONS(2504),
    [anon_sym___inline] = ACTIONS(2504),
    [anon_sym___inline__] = ACTIONS(2504),
    [anon_sym___forceinline] = ACTIONS(2504),
    [anon_sym_thread_local] = ACTIONS(2504),
    [anon_sym___thread] = ACTIONS(2504),
    [anon_sym_const] = ACTIONS(2504),
    [anon_sym_constexpr] = ACTIONS(2504),
    [anon_sym_volatile] = ACTIONS(2504),
    [anon_sym_restrict] = ACTIONS(2504),
    [anon_sym___restrict__] = ACTIONS(2504),
    [anon_sym__Atomic] = ACTIONS(2504),
    [anon_sym__Noreturn] = ACTIONS(2504),
    [anon_sym_noreturn] = ACTIONS(2504),
    [anon_sym_mutable] = ACTIONS(2504),
    [anon_sym_constinit] = ACTIONS(2504),
    [anon_sym_consteval] = ACTIONS(2504),
    [sym_primitive_type] = ACTIONS(2504),
    [anon_sym_enum] = ACTIONS(2504),
    [anon_sym_class] = ACTIONS(2504),
    [anon_sym_struct] = ACTIONS(2504),
    [anon_sym_union] = ACTIONS(2504),
    [anon_sym_if] = ACTIONS(2504),
    [anon_sym_else] = ACTIONS(2504),
    [anon_sym_switch] = ACTIONS(2504),
    [anon_sym_case] = ACTIONS(2504),
    [anon_sym_default] = ACTIONS(2504),
    [anon_sym_while] = ACTIONS(2504),
    [anon_sym_do] = ACTIONS(2504),
    [anon_sym_for] = ACTIONS(2504),
    [anon_sym_return] = ACTIONS(2504),
    [anon_sym_break] = ACTIONS(2504),
    [anon_sym_continue] = ACTIONS(2504),
    [anon_sym_goto] = ACTIONS(2504),
    [anon_sym___try] = ACTIONS(2504),
    [anon_sym___leave] = ACTIONS(2504),
    [anon_sym_not] = ACTIONS(2504),
    [anon_sym_compl] = ACTIONS(2504),
    [anon_sym_DASH_DASH] = ACTIONS(2506),
    [anon_sym_PLUS_PLUS] = ACTIONS(2506),
    [anon_sym_sizeof] = ACTIONS(2504),
    [anon_sym___alignof__] = ACTIONS(2504),
    [anon_sym___alignof] = ACTIONS(2504),
    [anon_sym__alignof] = ACTIONS(2504),
    [anon_sym_alignof] = ACTIONS(2504),
    [anon_sym__Alignof] = ACTIONS(2504),
    [anon_sym_offsetof] = ACTIONS(2504),
    [anon_sym__Generic] = ACTIONS(2504),
    [anon_sym_asm] = ACTIONS(2504),
    [anon_sym___asm__] = ACTIONS(2504),
    [sym_number_literal] = ACTIONS(2506),
    [anon_sym_L_SQUOTE] = ACTIONS(2506),
    [anon_sym_u_SQUOTE] = ACTIONS(2506),
    [anon_sym_U_SQUOTE] = ACTIONS(2506),
    [anon_sym_u8_SQUOTE] = ACTIONS(2506),
    [anon_sym_SQUOTE] = ACTIONS(2506),
    [anon_sym_L_DQUOTE] = ACTIONS(2506),
    [anon_sym_u_DQUOTE] = ACTIONS(2506),
    [anon_sym_U_DQUOTE] = ACTIONS(2506),
    [anon_sym_u8_DQUOTE] = ACTIONS(2506),
    [anon_sym_DQUOTE] = ACTIONS(2506),
    [sym_true] = ACTIONS(2504),
    [sym_false] = ACTIONS(2504),
    [anon_sym_NULL] = ACTIONS(2504),
    [anon_sym_nullptr] = ACTIONS(2504),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2504),
    [anon_sym_decltype] = ACTIONS(2504),
    [anon_sym_virtual] = ACTIONS(2504),
    [anon_sym_alignas] = ACTIONS(2504),
    [anon_sym_explicit] = ACTIONS(2504),
    [anon_sym_typename] = ACTIONS(2504),
    [anon_sym_template] = ACTIONS(2504),
    [anon_sym_operator] = ACTIONS(2504),
    [anon_sym_try] = ACTIONS(2504),
    [anon_sym_delete] = ACTIONS(2504),
    [anon_sym_throw] = ACTIONS(2504),
    [anon_sym_namespace] = ACTIONS(2504),
    [anon_sym_using] = ACTIONS(2504),
    [anon_sym_static_assert] = ACTIONS(2504),
    [anon_sym_concept] = ACTIONS(2504),
    [anon_sym_co_return] = ACTIONS(2504),
    [anon_sym_co_yield] = ACTIONS(2504),
    [anon_sym_R_DQUOTE] = ACTIONS(2506),
    [anon_sym_LR_DQUOTE] = ACTIONS(2506),
    [anon_sym_uR_DQUOTE] = ACTIONS(2506),
    [anon_sym_UR_DQUOTE] = ACTIONS(2506),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2506),
    [anon_sym_co_await] = ACTIONS(2504),
    [anon_sym_new] = ACTIONS(2504),
    [anon_sym_requires] = ACTIONS(2504),
    [sym_this] = ACTIONS(2504),
    [anon_sym_discard] = ACTIONS(2504),
    [anon_sym_precise] = ACTIONS(2504),
    [anon_sym_shared] = ACTIONS(2504),
    [anon_sym_groupshared] = ACTIONS(2504),
    [anon_sym_uniform] = ACTIONS(2504),
    [anon_sym_row_major] = ACTIONS(2504),
    [anon_sym_column_major] = ACTIONS(2504),
    [anon_sym_globallycoherent] = ACTIONS(2504),
    [anon_sym_centroid] = ACTIONS(2504),
    [anon_sym_noperspective] = ACTIONS(2504),
    [anon_sym_nointerpolation] = ACTIONS(2504),
    [anon_sym_sample] = ACTIONS(2504),
    [anon_sym_linear] = ACTIONS(2504),
    [anon_sym_snorm] = ACTIONS(2504),
    [anon_sym_unorm] = ACTIONS(2504),
    [anon_sym_point] = ACTIONS(2504),
    [anon_sym_line] = ACTIONS(2504),
    [anon_sym_triangleadj] = ACTIONS(2504),
    [anon_sym_lineadj] = ACTIONS(2504),
    [anon_sym_triangle] = ACTIONS(2504),
    [anon_sym_cbuffer] = ACTIONS(2504),
  },
  [969] = {
    [ts_builtin_sym_end] = ACTIONS(2356),
    [sym_identifier] = ACTIONS(2354),
    [aux_sym_preproc_include_token1] = ACTIONS(2354),
    [aux_sym_preproc_def_token1] = ACTIONS(2354),
    [aux_sym_preproc_if_token1] = ACTIONS(2354),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2354),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2354),
    [sym_preproc_directive] = ACTIONS(2354),
    [anon_sym_LPAREN2] = ACTIONS(2356),
    [anon_sym_BANG] = ACTIONS(2356),
    [anon_sym_TILDE] = ACTIONS(2356),
    [anon_sym_DASH] = ACTIONS(2354),
    [anon_sym_PLUS] = ACTIONS(2354),
    [anon_sym_STAR] = ACTIONS(2356),
    [anon_sym_AMP_AMP] = ACTIONS(2356),
    [anon_sym_AMP] = ACTIONS(2354),
    [anon_sym_SEMI] = ACTIONS(2356),
    [anon_sym___extension__] = ACTIONS(2354),
    [anon_sym_typedef] = ACTIONS(2354),
    [anon_sym_in] = ACTIONS(2354),
    [anon_sym_out] = ACTIONS(2354),
    [anon_sym_inout] = ACTIONS(2354),
    [anon_sym_extern] = ACTIONS(2354),
    [anon_sym___attribute__] = ACTIONS(2354),
    [anon_sym_COLON_COLON] = ACTIONS(2356),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2356),
    [anon_sym___declspec] = ACTIONS(2354),
    [anon_sym___based] = ACTIONS(2354),
    [anon_sym___cdecl] = ACTIONS(2354),
    [anon_sym___clrcall] = ACTIONS(2354),
    [anon_sym___stdcall] = ACTIONS(2354),
    [anon_sym___fastcall] = ACTIONS(2354),
    [anon_sym___thiscall] = ACTIONS(2354),
    [anon_sym___vectorcall] = ACTIONS(2354),
    [anon_sym_LBRACE] = ACTIONS(2356),
    [anon_sym_signed] = ACTIONS(2354),
    [anon_sym_unsigned] = ACTIONS(2354),
    [anon_sym_long] = ACTIONS(2354),
    [anon_sym_short] = ACTIONS(2354),
    [anon_sym_LBRACK] = ACTIONS(2354),
    [anon_sym_static] = ACTIONS(2354),
    [anon_sym_register] = ACTIONS(2354),
    [anon_sym_inline] = ACTIONS(2354),
    [anon_sym___inline] = ACTIONS(2354),
    [anon_sym___inline__] = ACTIONS(2354),
    [anon_sym___forceinline] = ACTIONS(2354),
    [anon_sym_thread_local] = ACTIONS(2354),
    [anon_sym___thread] = ACTIONS(2354),
    [anon_sym_const] = ACTIONS(2354),
    [anon_sym_constexpr] = ACTIONS(2354),
    [anon_sym_volatile] = ACTIONS(2354),
    [anon_sym_restrict] = ACTIONS(2354),
    [anon_sym___restrict__] = ACTIONS(2354),
    [anon_sym__Atomic] = ACTIONS(2354),
    [anon_sym__Noreturn] = ACTIONS(2354),
    [anon_sym_noreturn] = ACTIONS(2354),
    [anon_sym_mutable] = ACTIONS(2354),
    [anon_sym_constinit] = ACTIONS(2354),
    [anon_sym_consteval] = ACTIONS(2354),
    [sym_primitive_type] = ACTIONS(2354),
    [anon_sym_enum] = ACTIONS(2354),
    [anon_sym_class] = ACTIONS(2354),
    [anon_sym_struct] = ACTIONS(2354),
    [anon_sym_union] = ACTIONS(2354),
    [anon_sym_if] = ACTIONS(2354),
    [anon_sym_else] = ACTIONS(2354),
    [anon_sym_switch] = ACTIONS(2354),
    [anon_sym_case] = ACTIONS(2354),
    [anon_sym_default] = ACTIONS(2354),
    [anon_sym_while] = ACTIONS(2354),
    [anon_sym_do] = ACTIONS(2354),
    [anon_sym_for] = ACTIONS(2354),
    [anon_sym_return] = ACTIONS(2354),
    [anon_sym_break] = ACTIONS(2354),
    [anon_sym_continue] = ACTIONS(2354),
    [anon_sym_goto] = ACTIONS(2354),
    [anon_sym___try] = ACTIONS(2354),
    [anon_sym___leave] = ACTIONS(2354),
    [anon_sym_not] = ACTIONS(2354),
    [anon_sym_compl] = ACTIONS(2354),
    [anon_sym_DASH_DASH] = ACTIONS(2356),
    [anon_sym_PLUS_PLUS] = ACTIONS(2356),
    [anon_sym_sizeof] = ACTIONS(2354),
    [anon_sym___alignof__] = ACTIONS(2354),
    [anon_sym___alignof] = ACTIONS(2354),
    [anon_sym__alignof] = ACTIONS(2354),
    [anon_sym_alignof] = ACTIONS(2354),
    [anon_sym__Alignof] = ACTIONS(2354),
    [anon_sym_offsetof] = ACTIONS(2354),
    [anon_sym__Generic] = ACTIONS(2354),
    [anon_sym_asm] = ACTIONS(2354),
    [anon_sym___asm__] = ACTIONS(2354),
    [sym_number_literal] = ACTIONS(2356),
    [anon_sym_L_SQUOTE] = ACTIONS(2356),
    [anon_sym_u_SQUOTE] = ACTIONS(2356),
    [anon_sym_U_SQUOTE] = ACTIONS(2356),
    [anon_sym_u8_SQUOTE] = ACTIONS(2356),
    [anon_sym_SQUOTE] = ACTIONS(2356),
    [anon_sym_L_DQUOTE] = ACTIONS(2356),
    [anon_sym_u_DQUOTE] = ACTIONS(2356),
    [anon_sym_U_DQUOTE] = ACTIONS(2356),
    [anon_sym_u8_DQUOTE] = ACTIONS(2356),
    [anon_sym_DQUOTE] = ACTIONS(2356),
    [sym_true] = ACTIONS(2354),
    [sym_false] = ACTIONS(2354),
    [anon_sym_NULL] = ACTIONS(2354),
    [anon_sym_nullptr] = ACTIONS(2354),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2354),
    [anon_sym_decltype] = ACTIONS(2354),
    [anon_sym_virtual] = ACTIONS(2354),
    [anon_sym_alignas] = ACTIONS(2354),
    [anon_sym_explicit] = ACTIONS(2354),
    [anon_sym_typename] = ACTIONS(2354),
    [anon_sym_template] = ACTIONS(2354),
    [anon_sym_operator] = ACTIONS(2354),
    [anon_sym_try] = ACTIONS(2354),
    [anon_sym_delete] = ACTIONS(2354),
    [anon_sym_throw] = ACTIONS(2354),
    [anon_sym_namespace] = ACTIONS(2354),
    [anon_sym_using] = ACTIONS(2354),
    [anon_sym_static_assert] = ACTIONS(2354),
    [anon_sym_concept] = ACTIONS(2354),
    [anon_sym_co_return] = ACTIONS(2354),
    [anon_sym_co_yield] = ACTIONS(2354),
    [anon_sym_R_DQUOTE] = ACTIONS(2356),
    [anon_sym_LR_DQUOTE] = ACTIONS(2356),
    [anon_sym_uR_DQUOTE] = ACTIONS(2356),
    [anon_sym_UR_DQUOTE] = ACTIONS(2356),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2356),
    [anon_sym_co_await] = ACTIONS(2354),
    [anon_sym_new] = ACTIONS(2354),
    [anon_sym_requires] = ACTIONS(2354),
    [sym_this] = ACTIONS(2354),
    [anon_sym_discard] = ACTIONS(2354),
    [anon_sym_precise] = ACTIONS(2354),
    [anon_sym_shared] = ACTIONS(2354),
    [anon_sym_groupshared] = ACTIONS(2354),
    [anon_sym_uniform] = ACTIONS(2354),
    [anon_sym_row_major] = ACTIONS(2354),
    [anon_sym_column_major] = ACTIONS(2354),
    [anon_sym_globallycoherent] = ACTIONS(2354),
    [anon_sym_centroid] = ACTIONS(2354),
    [anon_sym_noperspective] = ACTIONS(2354),
    [anon_sym_nointerpolation] = ACTIONS(2354),
    [anon_sym_sample] = ACTIONS(2354),
    [anon_sym_linear] = ACTIONS(2354),
    [anon_sym_snorm] = ACTIONS(2354),
    [anon_sym_unorm] = ACTIONS(2354),
    [anon_sym_point] = ACTIONS(2354),
    [anon_sym_line] = ACTIONS(2354),
    [anon_sym_triangleadj] = ACTIONS(2354),
    [anon_sym_lineadj] = ACTIONS(2354),
    [anon_sym_triangle] = ACTIONS(2354),
    [anon_sym_cbuffer] = ACTIONS(2354),
  },
  [970] = {
    [sym_identifier] = ACTIONS(2512),
    [aux_sym_preproc_include_token1] = ACTIONS(2512),
    [aux_sym_preproc_def_token1] = ACTIONS(2512),
    [aux_sym_preproc_if_token1] = ACTIONS(2512),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2512),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2512),
    [sym_preproc_directive] = ACTIONS(2512),
    [anon_sym_LPAREN2] = ACTIONS(2514),
    [anon_sym_BANG] = ACTIONS(2514),
    [anon_sym_TILDE] = ACTIONS(2514),
    [anon_sym_DASH] = ACTIONS(2512),
    [anon_sym_PLUS] = ACTIONS(2512),
    [anon_sym_STAR] = ACTIONS(2514),
    [anon_sym_AMP_AMP] = ACTIONS(2514),
    [anon_sym_AMP] = ACTIONS(2512),
    [anon_sym_SEMI] = ACTIONS(2514),
    [anon_sym___extension__] = ACTIONS(2512),
    [anon_sym_typedef] = ACTIONS(2512),
    [anon_sym_in] = ACTIONS(2512),
    [anon_sym_out] = ACTIONS(2512),
    [anon_sym_inout] = ACTIONS(2512),
    [anon_sym_extern] = ACTIONS(2512),
    [anon_sym___attribute__] = ACTIONS(2512),
    [anon_sym_COLON_COLON] = ACTIONS(2514),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2514),
    [anon_sym___declspec] = ACTIONS(2512),
    [anon_sym___based] = ACTIONS(2512),
    [anon_sym___cdecl] = ACTIONS(2512),
    [anon_sym___clrcall] = ACTIONS(2512),
    [anon_sym___stdcall] = ACTIONS(2512),
    [anon_sym___fastcall] = ACTIONS(2512),
    [anon_sym___thiscall] = ACTIONS(2512),
    [anon_sym___vectorcall] = ACTIONS(2512),
    [anon_sym_LBRACE] = ACTIONS(2514),
    [anon_sym_RBRACE] = ACTIONS(2514),
    [anon_sym_signed] = ACTIONS(2512),
    [anon_sym_unsigned] = ACTIONS(2512),
    [anon_sym_long] = ACTIONS(2512),
    [anon_sym_short] = ACTIONS(2512),
    [anon_sym_LBRACK] = ACTIONS(2512),
    [anon_sym_static] = ACTIONS(2512),
    [anon_sym_register] = ACTIONS(2512),
    [anon_sym_inline] = ACTIONS(2512),
    [anon_sym___inline] = ACTIONS(2512),
    [anon_sym___inline__] = ACTIONS(2512),
    [anon_sym___forceinline] = ACTIONS(2512),
    [anon_sym_thread_local] = ACTIONS(2512),
    [anon_sym___thread] = ACTIONS(2512),
    [anon_sym_const] = ACTIONS(2512),
    [anon_sym_constexpr] = ACTIONS(2512),
    [anon_sym_volatile] = ACTIONS(2512),
    [anon_sym_restrict] = ACTIONS(2512),
    [anon_sym___restrict__] = ACTIONS(2512),
    [anon_sym__Atomic] = ACTIONS(2512),
    [anon_sym__Noreturn] = ACTIONS(2512),
    [anon_sym_noreturn] = ACTIONS(2512),
    [anon_sym_mutable] = ACTIONS(2512),
    [anon_sym_constinit] = ACTIONS(2512),
    [anon_sym_consteval] = ACTIONS(2512),
    [sym_primitive_type] = ACTIONS(2512),
    [anon_sym_enum] = ACTIONS(2512),
    [anon_sym_class] = ACTIONS(2512),
    [anon_sym_struct] = ACTIONS(2512),
    [anon_sym_union] = ACTIONS(2512),
    [anon_sym_if] = ACTIONS(2512),
    [anon_sym_else] = ACTIONS(2512),
    [anon_sym_switch] = ACTIONS(2512),
    [anon_sym_case] = ACTIONS(2512),
    [anon_sym_default] = ACTIONS(2512),
    [anon_sym_while] = ACTIONS(2512),
    [anon_sym_do] = ACTIONS(2512),
    [anon_sym_for] = ACTIONS(2512),
    [anon_sym_return] = ACTIONS(2512),
    [anon_sym_break] = ACTIONS(2512),
    [anon_sym_continue] = ACTIONS(2512),
    [anon_sym_goto] = ACTIONS(2512),
    [anon_sym___try] = ACTIONS(2512),
    [anon_sym___leave] = ACTIONS(2512),
    [anon_sym_not] = ACTIONS(2512),
    [anon_sym_compl] = ACTIONS(2512),
    [anon_sym_DASH_DASH] = ACTIONS(2514),
    [anon_sym_PLUS_PLUS] = ACTIONS(2514),
    [anon_sym_sizeof] = ACTIONS(2512),
    [anon_sym___alignof__] = ACTIONS(2512),
    [anon_sym___alignof] = ACTIONS(2512),
    [anon_sym__alignof] = ACTIONS(2512),
    [anon_sym_alignof] = ACTIONS(2512),
    [anon_sym__Alignof] = ACTIONS(2512),
    [anon_sym_offsetof] = ACTIONS(2512),
    [anon_sym__Generic] = ACTIONS(2512),
    [anon_sym_asm] = ACTIONS(2512),
    [anon_sym___asm__] = ACTIONS(2512),
    [sym_number_literal] = ACTIONS(2514),
    [anon_sym_L_SQUOTE] = ACTIONS(2514),
    [anon_sym_u_SQUOTE] = ACTIONS(2514),
    [anon_sym_U_SQUOTE] = ACTIONS(2514),
    [anon_sym_u8_SQUOTE] = ACTIONS(2514),
    [anon_sym_SQUOTE] = ACTIONS(2514),
    [anon_sym_L_DQUOTE] = ACTIONS(2514),
    [anon_sym_u_DQUOTE] = ACTIONS(2514),
    [anon_sym_U_DQUOTE] = ACTIONS(2514),
    [anon_sym_u8_DQUOTE] = ACTIONS(2514),
    [anon_sym_DQUOTE] = ACTIONS(2514),
    [sym_true] = ACTIONS(2512),
    [sym_false] = ACTIONS(2512),
    [anon_sym_NULL] = ACTIONS(2512),
    [anon_sym_nullptr] = ACTIONS(2512),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2512),
    [anon_sym_decltype] = ACTIONS(2512),
    [anon_sym_virtual] = ACTIONS(2512),
    [anon_sym_alignas] = ACTIONS(2512),
    [anon_sym_explicit] = ACTIONS(2512),
    [anon_sym_typename] = ACTIONS(2512),
    [anon_sym_template] = ACTIONS(2512),
    [anon_sym_operator] = ACTIONS(2512),
    [anon_sym_try] = ACTIONS(2512),
    [anon_sym_delete] = ACTIONS(2512),
    [anon_sym_throw] = ACTIONS(2512),
    [anon_sym_namespace] = ACTIONS(2512),
    [anon_sym_using] = ACTIONS(2512),
    [anon_sym_static_assert] = ACTIONS(2512),
    [anon_sym_concept] = ACTIONS(2512),
    [anon_sym_co_return] = ACTIONS(2512),
    [anon_sym_co_yield] = ACTIONS(2512),
    [anon_sym_R_DQUOTE] = ACTIONS(2514),
    [anon_sym_LR_DQUOTE] = ACTIONS(2514),
    [anon_sym_uR_DQUOTE] = ACTIONS(2514),
    [anon_sym_UR_DQUOTE] = ACTIONS(2514),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2514),
    [anon_sym_co_await] = ACTIONS(2512),
    [anon_sym_new] = ACTIONS(2512),
    [anon_sym_requires] = ACTIONS(2512),
    [sym_this] = ACTIONS(2512),
    [anon_sym_discard] = ACTIONS(2512),
    [anon_sym_precise] = ACTIONS(2512),
    [anon_sym_shared] = ACTIONS(2512),
    [anon_sym_groupshared] = ACTIONS(2512),
    [anon_sym_uniform] = ACTIONS(2512),
    [anon_sym_row_major] = ACTIONS(2512),
    [anon_sym_column_major] = ACTIONS(2512),
    [anon_sym_globallycoherent] = ACTIONS(2512),
    [anon_sym_centroid] = ACTIONS(2512),
    [anon_sym_noperspective] = ACTIONS(2512),
    [anon_sym_nointerpolation] = ACTIONS(2512),
    [anon_sym_sample] = ACTIONS(2512),
    [anon_sym_linear] = ACTIONS(2512),
    [anon_sym_snorm] = ACTIONS(2512),
    [anon_sym_unorm] = ACTIONS(2512),
    [anon_sym_point] = ACTIONS(2512),
    [anon_sym_line] = ACTIONS(2512),
    [anon_sym_triangleadj] = ACTIONS(2512),
    [anon_sym_lineadj] = ACTIONS(2512),
    [anon_sym_triangle] = ACTIONS(2512),
    [anon_sym_cbuffer] = ACTIONS(2512),
  },
  [971] = {
    [sym_identifier] = ACTIONS(2444),
    [aux_sym_preproc_include_token1] = ACTIONS(2444),
    [aux_sym_preproc_def_token1] = ACTIONS(2444),
    [aux_sym_preproc_if_token1] = ACTIONS(2444),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2444),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2444),
    [sym_preproc_directive] = ACTIONS(2444),
    [anon_sym_LPAREN2] = ACTIONS(2446),
    [anon_sym_BANG] = ACTIONS(2446),
    [anon_sym_TILDE] = ACTIONS(2446),
    [anon_sym_DASH] = ACTIONS(2444),
    [anon_sym_PLUS] = ACTIONS(2444),
    [anon_sym_STAR] = ACTIONS(2446),
    [anon_sym_AMP_AMP] = ACTIONS(2446),
    [anon_sym_AMP] = ACTIONS(2444),
    [anon_sym_SEMI] = ACTIONS(2446),
    [anon_sym___extension__] = ACTIONS(2444),
    [anon_sym_typedef] = ACTIONS(2444),
    [anon_sym_in] = ACTIONS(2444),
    [anon_sym_out] = ACTIONS(2444),
    [anon_sym_inout] = ACTIONS(2444),
    [anon_sym_extern] = ACTIONS(2444),
    [anon_sym___attribute__] = ACTIONS(2444),
    [anon_sym_COLON_COLON] = ACTIONS(2446),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2446),
    [anon_sym___declspec] = ACTIONS(2444),
    [anon_sym___based] = ACTIONS(2444),
    [anon_sym___cdecl] = ACTIONS(2444),
    [anon_sym___clrcall] = ACTIONS(2444),
    [anon_sym___stdcall] = ACTIONS(2444),
    [anon_sym___fastcall] = ACTIONS(2444),
    [anon_sym___thiscall] = ACTIONS(2444),
    [anon_sym___vectorcall] = ACTIONS(2444),
    [anon_sym_LBRACE] = ACTIONS(2446),
    [anon_sym_RBRACE] = ACTIONS(2446),
    [anon_sym_signed] = ACTIONS(2444),
    [anon_sym_unsigned] = ACTIONS(2444),
    [anon_sym_long] = ACTIONS(2444),
    [anon_sym_short] = ACTIONS(2444),
    [anon_sym_LBRACK] = ACTIONS(2444),
    [anon_sym_static] = ACTIONS(2444),
    [anon_sym_register] = ACTIONS(2444),
    [anon_sym_inline] = ACTIONS(2444),
    [anon_sym___inline] = ACTIONS(2444),
    [anon_sym___inline__] = ACTIONS(2444),
    [anon_sym___forceinline] = ACTIONS(2444),
    [anon_sym_thread_local] = ACTIONS(2444),
    [anon_sym___thread] = ACTIONS(2444),
    [anon_sym_const] = ACTIONS(2444),
    [anon_sym_constexpr] = ACTIONS(2444),
    [anon_sym_volatile] = ACTIONS(2444),
    [anon_sym_restrict] = ACTIONS(2444),
    [anon_sym___restrict__] = ACTIONS(2444),
    [anon_sym__Atomic] = ACTIONS(2444),
    [anon_sym__Noreturn] = ACTIONS(2444),
    [anon_sym_noreturn] = ACTIONS(2444),
    [anon_sym_mutable] = ACTIONS(2444),
    [anon_sym_constinit] = ACTIONS(2444),
    [anon_sym_consteval] = ACTIONS(2444),
    [sym_primitive_type] = ACTIONS(2444),
    [anon_sym_enum] = ACTIONS(2444),
    [anon_sym_class] = ACTIONS(2444),
    [anon_sym_struct] = ACTIONS(2444),
    [anon_sym_union] = ACTIONS(2444),
    [anon_sym_if] = ACTIONS(2444),
    [anon_sym_else] = ACTIONS(2444),
    [anon_sym_switch] = ACTIONS(2444),
    [anon_sym_case] = ACTIONS(2444),
    [anon_sym_default] = ACTIONS(2444),
    [anon_sym_while] = ACTIONS(2444),
    [anon_sym_do] = ACTIONS(2444),
    [anon_sym_for] = ACTIONS(2444),
    [anon_sym_return] = ACTIONS(2444),
    [anon_sym_break] = ACTIONS(2444),
    [anon_sym_continue] = ACTIONS(2444),
    [anon_sym_goto] = ACTIONS(2444),
    [anon_sym___try] = ACTIONS(2444),
    [anon_sym___leave] = ACTIONS(2444),
    [anon_sym_not] = ACTIONS(2444),
    [anon_sym_compl] = ACTIONS(2444),
    [anon_sym_DASH_DASH] = ACTIONS(2446),
    [anon_sym_PLUS_PLUS] = ACTIONS(2446),
    [anon_sym_sizeof] = ACTIONS(2444),
    [anon_sym___alignof__] = ACTIONS(2444),
    [anon_sym___alignof] = ACTIONS(2444),
    [anon_sym__alignof] = ACTIONS(2444),
    [anon_sym_alignof] = ACTIONS(2444),
    [anon_sym__Alignof] = ACTIONS(2444),
    [anon_sym_offsetof] = ACTIONS(2444),
    [anon_sym__Generic] = ACTIONS(2444),
    [anon_sym_asm] = ACTIONS(2444),
    [anon_sym___asm__] = ACTIONS(2444),
    [sym_number_literal] = ACTIONS(2446),
    [anon_sym_L_SQUOTE] = ACTIONS(2446),
    [anon_sym_u_SQUOTE] = ACTIONS(2446),
    [anon_sym_U_SQUOTE] = ACTIONS(2446),
    [anon_sym_u8_SQUOTE] = ACTIONS(2446),
    [anon_sym_SQUOTE] = ACTIONS(2446),
    [anon_sym_L_DQUOTE] = ACTIONS(2446),
    [anon_sym_u_DQUOTE] = ACTIONS(2446),
    [anon_sym_U_DQUOTE] = ACTIONS(2446),
    [anon_sym_u8_DQUOTE] = ACTIONS(2446),
    [anon_sym_DQUOTE] = ACTIONS(2446),
    [sym_true] = ACTIONS(2444),
    [sym_false] = ACTIONS(2444),
    [anon_sym_NULL] = ACTIONS(2444),
    [anon_sym_nullptr] = ACTIONS(2444),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2444),
    [anon_sym_decltype] = ACTIONS(2444),
    [anon_sym_virtual] = ACTIONS(2444),
    [anon_sym_alignas] = ACTIONS(2444),
    [anon_sym_explicit] = ACTIONS(2444),
    [anon_sym_typename] = ACTIONS(2444),
    [anon_sym_template] = ACTIONS(2444),
    [anon_sym_operator] = ACTIONS(2444),
    [anon_sym_try] = ACTIONS(2444),
    [anon_sym_delete] = ACTIONS(2444),
    [anon_sym_throw] = ACTIONS(2444),
    [anon_sym_namespace] = ACTIONS(2444),
    [anon_sym_using] = ACTIONS(2444),
    [anon_sym_static_assert] = ACTIONS(2444),
    [anon_sym_concept] = ACTIONS(2444),
    [anon_sym_co_return] = ACTIONS(2444),
    [anon_sym_co_yield] = ACTIONS(2444),
    [anon_sym_R_DQUOTE] = ACTIONS(2446),
    [anon_sym_LR_DQUOTE] = ACTIONS(2446),
    [anon_sym_uR_DQUOTE] = ACTIONS(2446),
    [anon_sym_UR_DQUOTE] = ACTIONS(2446),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2446),
    [anon_sym_co_await] = ACTIONS(2444),
    [anon_sym_new] = ACTIONS(2444),
    [anon_sym_requires] = ACTIONS(2444),
    [sym_this] = ACTIONS(2444),
    [anon_sym_discard] = ACTIONS(2444),
    [anon_sym_precise] = ACTIONS(2444),
    [anon_sym_shared] = ACTIONS(2444),
    [anon_sym_groupshared] = ACTIONS(2444),
    [anon_sym_uniform] = ACTIONS(2444),
    [anon_sym_row_major] = ACTIONS(2444),
    [anon_sym_column_major] = ACTIONS(2444),
    [anon_sym_globallycoherent] = ACTIONS(2444),
    [anon_sym_centroid] = ACTIONS(2444),
    [anon_sym_noperspective] = ACTIONS(2444),
    [anon_sym_nointerpolation] = ACTIONS(2444),
    [anon_sym_sample] = ACTIONS(2444),
    [anon_sym_linear] = ACTIONS(2444),
    [anon_sym_snorm] = ACTIONS(2444),
    [anon_sym_unorm] = ACTIONS(2444),
    [anon_sym_point] = ACTIONS(2444),
    [anon_sym_line] = ACTIONS(2444),
    [anon_sym_triangleadj] = ACTIONS(2444),
    [anon_sym_lineadj] = ACTIONS(2444),
    [anon_sym_triangle] = ACTIONS(2444),
    [anon_sym_cbuffer] = ACTIONS(2444),
  },
  [972] = {
    [sym_identifier] = ACTIONS(2408),
    [aux_sym_preproc_include_token1] = ACTIONS(2408),
    [aux_sym_preproc_def_token1] = ACTIONS(2408),
    [aux_sym_preproc_if_token1] = ACTIONS(2408),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2408),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2408),
    [sym_preproc_directive] = ACTIONS(2408),
    [anon_sym_LPAREN2] = ACTIONS(2410),
    [anon_sym_BANG] = ACTIONS(2410),
    [anon_sym_TILDE] = ACTIONS(2410),
    [anon_sym_DASH] = ACTIONS(2408),
    [anon_sym_PLUS] = ACTIONS(2408),
    [anon_sym_STAR] = ACTIONS(2410),
    [anon_sym_AMP_AMP] = ACTIONS(2410),
    [anon_sym_AMP] = ACTIONS(2408),
    [anon_sym_SEMI] = ACTIONS(2410),
    [anon_sym___extension__] = ACTIONS(2408),
    [anon_sym_typedef] = ACTIONS(2408),
    [anon_sym_in] = ACTIONS(2408),
    [anon_sym_out] = ACTIONS(2408),
    [anon_sym_inout] = ACTIONS(2408),
    [anon_sym_extern] = ACTIONS(2408),
    [anon_sym___attribute__] = ACTIONS(2408),
    [anon_sym_COLON_COLON] = ACTIONS(2410),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2410),
    [anon_sym___declspec] = ACTIONS(2408),
    [anon_sym___based] = ACTIONS(2408),
    [anon_sym___cdecl] = ACTIONS(2408),
    [anon_sym___clrcall] = ACTIONS(2408),
    [anon_sym___stdcall] = ACTIONS(2408),
    [anon_sym___fastcall] = ACTIONS(2408),
    [anon_sym___thiscall] = ACTIONS(2408),
    [anon_sym___vectorcall] = ACTIONS(2408),
    [anon_sym_LBRACE] = ACTIONS(2410),
    [anon_sym_RBRACE] = ACTIONS(2410),
    [anon_sym_signed] = ACTIONS(2408),
    [anon_sym_unsigned] = ACTIONS(2408),
    [anon_sym_long] = ACTIONS(2408),
    [anon_sym_short] = ACTIONS(2408),
    [anon_sym_LBRACK] = ACTIONS(2408),
    [anon_sym_static] = ACTIONS(2408),
    [anon_sym_register] = ACTIONS(2408),
    [anon_sym_inline] = ACTIONS(2408),
    [anon_sym___inline] = ACTIONS(2408),
    [anon_sym___inline__] = ACTIONS(2408),
    [anon_sym___forceinline] = ACTIONS(2408),
    [anon_sym_thread_local] = ACTIONS(2408),
    [anon_sym___thread] = ACTIONS(2408),
    [anon_sym_const] = ACTIONS(2408),
    [anon_sym_constexpr] = ACTIONS(2408),
    [anon_sym_volatile] = ACTIONS(2408),
    [anon_sym_restrict] = ACTIONS(2408),
    [anon_sym___restrict__] = ACTIONS(2408),
    [anon_sym__Atomic] = ACTIONS(2408),
    [anon_sym__Noreturn] = ACTIONS(2408),
    [anon_sym_noreturn] = ACTIONS(2408),
    [anon_sym_mutable] = ACTIONS(2408),
    [anon_sym_constinit] = ACTIONS(2408),
    [anon_sym_consteval] = ACTIONS(2408),
    [sym_primitive_type] = ACTIONS(2408),
    [anon_sym_enum] = ACTIONS(2408),
    [anon_sym_class] = ACTIONS(2408),
    [anon_sym_struct] = ACTIONS(2408),
    [anon_sym_union] = ACTIONS(2408),
    [anon_sym_if] = ACTIONS(2408),
    [anon_sym_else] = ACTIONS(2408),
    [anon_sym_switch] = ACTIONS(2408),
    [anon_sym_case] = ACTIONS(2408),
    [anon_sym_default] = ACTIONS(2408),
    [anon_sym_while] = ACTIONS(2408),
    [anon_sym_do] = ACTIONS(2408),
    [anon_sym_for] = ACTIONS(2408),
    [anon_sym_return] = ACTIONS(2408),
    [anon_sym_break] = ACTIONS(2408),
    [anon_sym_continue] = ACTIONS(2408),
    [anon_sym_goto] = ACTIONS(2408),
    [anon_sym___try] = ACTIONS(2408),
    [anon_sym___leave] = ACTIONS(2408),
    [anon_sym_not] = ACTIONS(2408),
    [anon_sym_compl] = ACTIONS(2408),
    [anon_sym_DASH_DASH] = ACTIONS(2410),
    [anon_sym_PLUS_PLUS] = ACTIONS(2410),
    [anon_sym_sizeof] = ACTIONS(2408),
    [anon_sym___alignof__] = ACTIONS(2408),
    [anon_sym___alignof] = ACTIONS(2408),
    [anon_sym__alignof] = ACTIONS(2408),
    [anon_sym_alignof] = ACTIONS(2408),
    [anon_sym__Alignof] = ACTIONS(2408),
    [anon_sym_offsetof] = ACTIONS(2408),
    [anon_sym__Generic] = ACTIONS(2408),
    [anon_sym_asm] = ACTIONS(2408),
    [anon_sym___asm__] = ACTIONS(2408),
    [sym_number_literal] = ACTIONS(2410),
    [anon_sym_L_SQUOTE] = ACTIONS(2410),
    [anon_sym_u_SQUOTE] = ACTIONS(2410),
    [anon_sym_U_SQUOTE] = ACTIONS(2410),
    [anon_sym_u8_SQUOTE] = ACTIONS(2410),
    [anon_sym_SQUOTE] = ACTIONS(2410),
    [anon_sym_L_DQUOTE] = ACTIONS(2410),
    [anon_sym_u_DQUOTE] = ACTIONS(2410),
    [anon_sym_U_DQUOTE] = ACTIONS(2410),
    [anon_sym_u8_DQUOTE] = ACTIONS(2410),
    [anon_sym_DQUOTE] = ACTIONS(2410),
    [sym_true] = ACTIONS(2408),
    [sym_false] = ACTIONS(2408),
    [anon_sym_NULL] = ACTIONS(2408),
    [anon_sym_nullptr] = ACTIONS(2408),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2408),
    [anon_sym_decltype] = ACTIONS(2408),
    [anon_sym_virtual] = ACTIONS(2408),
    [anon_sym_alignas] = ACTIONS(2408),
    [anon_sym_explicit] = ACTIONS(2408),
    [anon_sym_typename] = ACTIONS(2408),
    [anon_sym_template] = ACTIONS(2408),
    [anon_sym_operator] = ACTIONS(2408),
    [anon_sym_try] = ACTIONS(2408),
    [anon_sym_delete] = ACTIONS(2408),
    [anon_sym_throw] = ACTIONS(2408),
    [anon_sym_namespace] = ACTIONS(2408),
    [anon_sym_using] = ACTIONS(2408),
    [anon_sym_static_assert] = ACTIONS(2408),
    [anon_sym_concept] = ACTIONS(2408),
    [anon_sym_co_return] = ACTIONS(2408),
    [anon_sym_co_yield] = ACTIONS(2408),
    [anon_sym_R_DQUOTE] = ACTIONS(2410),
    [anon_sym_LR_DQUOTE] = ACTIONS(2410),
    [anon_sym_uR_DQUOTE] = ACTIONS(2410),
    [anon_sym_UR_DQUOTE] = ACTIONS(2410),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2410),
    [anon_sym_co_await] = ACTIONS(2408),
    [anon_sym_new] = ACTIONS(2408),
    [anon_sym_requires] = ACTIONS(2408),
    [sym_this] = ACTIONS(2408),
    [anon_sym_discard] = ACTIONS(2408),
    [anon_sym_precise] = ACTIONS(2408),
    [anon_sym_shared] = ACTIONS(2408),
    [anon_sym_groupshared] = ACTIONS(2408),
    [anon_sym_uniform] = ACTIONS(2408),
    [anon_sym_row_major] = ACTIONS(2408),
    [anon_sym_column_major] = ACTIONS(2408),
    [anon_sym_globallycoherent] = ACTIONS(2408),
    [anon_sym_centroid] = ACTIONS(2408),
    [anon_sym_noperspective] = ACTIONS(2408),
    [anon_sym_nointerpolation] = ACTIONS(2408),
    [anon_sym_sample] = ACTIONS(2408),
    [anon_sym_linear] = ACTIONS(2408),
    [anon_sym_snorm] = ACTIONS(2408),
    [anon_sym_unorm] = ACTIONS(2408),
    [anon_sym_point] = ACTIONS(2408),
    [anon_sym_line] = ACTIONS(2408),
    [anon_sym_triangleadj] = ACTIONS(2408),
    [anon_sym_lineadj] = ACTIONS(2408),
    [anon_sym_triangle] = ACTIONS(2408),
    [anon_sym_cbuffer] = ACTIONS(2408),
  },
  [973] = {
    [ts_builtin_sym_end] = ACTIONS(2454),
    [sym_identifier] = ACTIONS(2452),
    [aux_sym_preproc_include_token1] = ACTIONS(2452),
    [aux_sym_preproc_def_token1] = ACTIONS(2452),
    [aux_sym_preproc_if_token1] = ACTIONS(2452),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2452),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2452),
    [sym_preproc_directive] = ACTIONS(2452),
    [anon_sym_LPAREN2] = ACTIONS(2454),
    [anon_sym_BANG] = ACTIONS(2454),
    [anon_sym_TILDE] = ACTIONS(2454),
    [anon_sym_DASH] = ACTIONS(2452),
    [anon_sym_PLUS] = ACTIONS(2452),
    [anon_sym_STAR] = ACTIONS(2454),
    [anon_sym_AMP_AMP] = ACTIONS(2454),
    [anon_sym_AMP] = ACTIONS(2452),
    [anon_sym_SEMI] = ACTIONS(2454),
    [anon_sym___extension__] = ACTIONS(2452),
    [anon_sym_typedef] = ACTIONS(2452),
    [anon_sym_in] = ACTIONS(2452),
    [anon_sym_out] = ACTIONS(2452),
    [anon_sym_inout] = ACTIONS(2452),
    [anon_sym_extern] = ACTIONS(2452),
    [anon_sym___attribute__] = ACTIONS(2452),
    [anon_sym_COLON_COLON] = ACTIONS(2454),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2454),
    [anon_sym___declspec] = ACTIONS(2452),
    [anon_sym___based] = ACTIONS(2452),
    [anon_sym___cdecl] = ACTIONS(2452),
    [anon_sym___clrcall] = ACTIONS(2452),
    [anon_sym___stdcall] = ACTIONS(2452),
    [anon_sym___fastcall] = ACTIONS(2452),
    [anon_sym___thiscall] = ACTIONS(2452),
    [anon_sym___vectorcall] = ACTIONS(2452),
    [anon_sym_LBRACE] = ACTIONS(2454),
    [anon_sym_signed] = ACTIONS(2452),
    [anon_sym_unsigned] = ACTIONS(2452),
    [anon_sym_long] = ACTIONS(2452),
    [anon_sym_short] = ACTIONS(2452),
    [anon_sym_LBRACK] = ACTIONS(2452),
    [anon_sym_static] = ACTIONS(2452),
    [anon_sym_register] = ACTIONS(2452),
    [anon_sym_inline] = ACTIONS(2452),
    [anon_sym___inline] = ACTIONS(2452),
    [anon_sym___inline__] = ACTIONS(2452),
    [anon_sym___forceinline] = ACTIONS(2452),
    [anon_sym_thread_local] = ACTIONS(2452),
    [anon_sym___thread] = ACTIONS(2452),
    [anon_sym_const] = ACTIONS(2452),
    [anon_sym_constexpr] = ACTIONS(2452),
    [anon_sym_volatile] = ACTIONS(2452),
    [anon_sym_restrict] = ACTIONS(2452),
    [anon_sym___restrict__] = ACTIONS(2452),
    [anon_sym__Atomic] = ACTIONS(2452),
    [anon_sym__Noreturn] = ACTIONS(2452),
    [anon_sym_noreturn] = ACTIONS(2452),
    [anon_sym_mutable] = ACTIONS(2452),
    [anon_sym_constinit] = ACTIONS(2452),
    [anon_sym_consteval] = ACTIONS(2452),
    [sym_primitive_type] = ACTIONS(2452),
    [anon_sym_enum] = ACTIONS(2452),
    [anon_sym_class] = ACTIONS(2452),
    [anon_sym_struct] = ACTIONS(2452),
    [anon_sym_union] = ACTIONS(2452),
    [anon_sym_if] = ACTIONS(2452),
    [anon_sym_else] = ACTIONS(2452),
    [anon_sym_switch] = ACTIONS(2452),
    [anon_sym_case] = ACTIONS(2452),
    [anon_sym_default] = ACTIONS(2452),
    [anon_sym_while] = ACTIONS(2452),
    [anon_sym_do] = ACTIONS(2452),
    [anon_sym_for] = ACTIONS(2452),
    [anon_sym_return] = ACTIONS(2452),
    [anon_sym_break] = ACTIONS(2452),
    [anon_sym_continue] = ACTIONS(2452),
    [anon_sym_goto] = ACTIONS(2452),
    [anon_sym___try] = ACTIONS(2452),
    [anon_sym___leave] = ACTIONS(2452),
    [anon_sym_not] = ACTIONS(2452),
    [anon_sym_compl] = ACTIONS(2452),
    [anon_sym_DASH_DASH] = ACTIONS(2454),
    [anon_sym_PLUS_PLUS] = ACTIONS(2454),
    [anon_sym_sizeof] = ACTIONS(2452),
    [anon_sym___alignof__] = ACTIONS(2452),
    [anon_sym___alignof] = ACTIONS(2452),
    [anon_sym__alignof] = ACTIONS(2452),
    [anon_sym_alignof] = ACTIONS(2452),
    [anon_sym__Alignof] = ACTIONS(2452),
    [anon_sym_offsetof] = ACTIONS(2452),
    [anon_sym__Generic] = ACTIONS(2452),
    [anon_sym_asm] = ACTIONS(2452),
    [anon_sym___asm__] = ACTIONS(2452),
    [sym_number_literal] = ACTIONS(2454),
    [anon_sym_L_SQUOTE] = ACTIONS(2454),
    [anon_sym_u_SQUOTE] = ACTIONS(2454),
    [anon_sym_U_SQUOTE] = ACTIONS(2454),
    [anon_sym_u8_SQUOTE] = ACTIONS(2454),
    [anon_sym_SQUOTE] = ACTIONS(2454),
    [anon_sym_L_DQUOTE] = ACTIONS(2454),
    [anon_sym_u_DQUOTE] = ACTIONS(2454),
    [anon_sym_U_DQUOTE] = ACTIONS(2454),
    [anon_sym_u8_DQUOTE] = ACTIONS(2454),
    [anon_sym_DQUOTE] = ACTIONS(2454),
    [sym_true] = ACTIONS(2452),
    [sym_false] = ACTIONS(2452),
    [anon_sym_NULL] = ACTIONS(2452),
    [anon_sym_nullptr] = ACTIONS(2452),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2452),
    [anon_sym_decltype] = ACTIONS(2452),
    [anon_sym_virtual] = ACTIONS(2452),
    [anon_sym_alignas] = ACTIONS(2452),
    [anon_sym_explicit] = ACTIONS(2452),
    [anon_sym_typename] = ACTIONS(2452),
    [anon_sym_template] = ACTIONS(2452),
    [anon_sym_operator] = ACTIONS(2452),
    [anon_sym_try] = ACTIONS(2452),
    [anon_sym_delete] = ACTIONS(2452),
    [anon_sym_throw] = ACTIONS(2452),
    [anon_sym_namespace] = ACTIONS(2452),
    [anon_sym_using] = ACTIONS(2452),
    [anon_sym_static_assert] = ACTIONS(2452),
    [anon_sym_concept] = ACTIONS(2452),
    [anon_sym_co_return] = ACTIONS(2452),
    [anon_sym_co_yield] = ACTIONS(2452),
    [anon_sym_R_DQUOTE] = ACTIONS(2454),
    [anon_sym_LR_DQUOTE] = ACTIONS(2454),
    [anon_sym_uR_DQUOTE] = ACTIONS(2454),
    [anon_sym_UR_DQUOTE] = ACTIONS(2454),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2454),
    [anon_sym_co_await] = ACTIONS(2452),
    [anon_sym_new] = ACTIONS(2452),
    [anon_sym_requires] = ACTIONS(2452),
    [sym_this] = ACTIONS(2452),
    [anon_sym_discard] = ACTIONS(2452),
    [anon_sym_precise] = ACTIONS(2452),
    [anon_sym_shared] = ACTIONS(2452),
    [anon_sym_groupshared] = ACTIONS(2452),
    [anon_sym_uniform] = ACTIONS(2452),
    [anon_sym_row_major] = ACTIONS(2452),
    [anon_sym_column_major] = ACTIONS(2452),
    [anon_sym_globallycoherent] = ACTIONS(2452),
    [anon_sym_centroid] = ACTIONS(2452),
    [anon_sym_noperspective] = ACTIONS(2452),
    [anon_sym_nointerpolation] = ACTIONS(2452),
    [anon_sym_sample] = ACTIONS(2452),
    [anon_sym_linear] = ACTIONS(2452),
    [anon_sym_snorm] = ACTIONS(2452),
    [anon_sym_unorm] = ACTIONS(2452),
    [anon_sym_point] = ACTIONS(2452),
    [anon_sym_line] = ACTIONS(2452),
    [anon_sym_triangleadj] = ACTIONS(2452),
    [anon_sym_lineadj] = ACTIONS(2452),
    [anon_sym_triangle] = ACTIONS(2452),
    [anon_sym_cbuffer] = ACTIONS(2452),
  },
  [974] = {
    [sym_identifier] = ACTIONS(2364),
    [aux_sym_preproc_include_token1] = ACTIONS(2364),
    [aux_sym_preproc_def_token1] = ACTIONS(2364),
    [aux_sym_preproc_if_token1] = ACTIONS(2364),
    [aux_sym_preproc_if_token2] = ACTIONS(2364),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2364),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2364),
    [sym_preproc_directive] = ACTIONS(2364),
    [anon_sym_LPAREN2] = ACTIONS(2366),
    [anon_sym_BANG] = ACTIONS(2366),
    [anon_sym_TILDE] = ACTIONS(2366),
    [anon_sym_DASH] = ACTIONS(2364),
    [anon_sym_PLUS] = ACTIONS(2364),
    [anon_sym_STAR] = ACTIONS(2366),
    [anon_sym_AMP_AMP] = ACTIONS(2366),
    [anon_sym_AMP] = ACTIONS(2364),
    [anon_sym_SEMI] = ACTIONS(2366),
    [anon_sym___extension__] = ACTIONS(2364),
    [anon_sym_typedef] = ACTIONS(2364),
    [anon_sym_in] = ACTIONS(2364),
    [anon_sym_out] = ACTIONS(2364),
    [anon_sym_inout] = ACTIONS(2364),
    [anon_sym_extern] = ACTIONS(2364),
    [anon_sym___attribute__] = ACTIONS(2364),
    [anon_sym_COLON_COLON] = ACTIONS(2366),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2366),
    [anon_sym___declspec] = ACTIONS(2364),
    [anon_sym___based] = ACTIONS(2364),
    [anon_sym___cdecl] = ACTIONS(2364),
    [anon_sym___clrcall] = ACTIONS(2364),
    [anon_sym___stdcall] = ACTIONS(2364),
    [anon_sym___fastcall] = ACTIONS(2364),
    [anon_sym___thiscall] = ACTIONS(2364),
    [anon_sym___vectorcall] = ACTIONS(2364),
    [anon_sym_LBRACE] = ACTIONS(2366),
    [anon_sym_signed] = ACTIONS(2364),
    [anon_sym_unsigned] = ACTIONS(2364),
    [anon_sym_long] = ACTIONS(2364),
    [anon_sym_short] = ACTIONS(2364),
    [anon_sym_LBRACK] = ACTIONS(2364),
    [anon_sym_static] = ACTIONS(2364),
    [anon_sym_register] = ACTIONS(2364),
    [anon_sym_inline] = ACTIONS(2364),
    [anon_sym___inline] = ACTIONS(2364),
    [anon_sym___inline__] = ACTIONS(2364),
    [anon_sym___forceinline] = ACTIONS(2364),
    [anon_sym_thread_local] = ACTIONS(2364),
    [anon_sym___thread] = ACTIONS(2364),
    [anon_sym_const] = ACTIONS(2364),
    [anon_sym_constexpr] = ACTIONS(2364),
    [anon_sym_volatile] = ACTIONS(2364),
    [anon_sym_restrict] = ACTIONS(2364),
    [anon_sym___restrict__] = ACTIONS(2364),
    [anon_sym__Atomic] = ACTIONS(2364),
    [anon_sym__Noreturn] = ACTIONS(2364),
    [anon_sym_noreturn] = ACTIONS(2364),
    [anon_sym_mutable] = ACTIONS(2364),
    [anon_sym_constinit] = ACTIONS(2364),
    [anon_sym_consteval] = ACTIONS(2364),
    [sym_primitive_type] = ACTIONS(2364),
    [anon_sym_enum] = ACTIONS(2364),
    [anon_sym_class] = ACTIONS(2364),
    [anon_sym_struct] = ACTIONS(2364),
    [anon_sym_union] = ACTIONS(2364),
    [anon_sym_if] = ACTIONS(2364),
    [anon_sym_else] = ACTIONS(2364),
    [anon_sym_switch] = ACTIONS(2364),
    [anon_sym_case] = ACTIONS(2364),
    [anon_sym_default] = ACTIONS(2364),
    [anon_sym_while] = ACTIONS(2364),
    [anon_sym_do] = ACTIONS(2364),
    [anon_sym_for] = ACTIONS(2364),
    [anon_sym_return] = ACTIONS(2364),
    [anon_sym_break] = ACTIONS(2364),
    [anon_sym_continue] = ACTIONS(2364),
    [anon_sym_goto] = ACTIONS(2364),
    [anon_sym___try] = ACTIONS(2364),
    [anon_sym___leave] = ACTIONS(2364),
    [anon_sym_not] = ACTIONS(2364),
    [anon_sym_compl] = ACTIONS(2364),
    [anon_sym_DASH_DASH] = ACTIONS(2366),
    [anon_sym_PLUS_PLUS] = ACTIONS(2366),
    [anon_sym_sizeof] = ACTIONS(2364),
    [anon_sym___alignof__] = ACTIONS(2364),
    [anon_sym___alignof] = ACTIONS(2364),
    [anon_sym__alignof] = ACTIONS(2364),
    [anon_sym_alignof] = ACTIONS(2364),
    [anon_sym__Alignof] = ACTIONS(2364),
    [anon_sym_offsetof] = ACTIONS(2364),
    [anon_sym__Generic] = ACTIONS(2364),
    [anon_sym_asm] = ACTIONS(2364),
    [anon_sym___asm__] = ACTIONS(2364),
    [sym_number_literal] = ACTIONS(2366),
    [anon_sym_L_SQUOTE] = ACTIONS(2366),
    [anon_sym_u_SQUOTE] = ACTIONS(2366),
    [anon_sym_U_SQUOTE] = ACTIONS(2366),
    [anon_sym_u8_SQUOTE] = ACTIONS(2366),
    [anon_sym_SQUOTE] = ACTIONS(2366),
    [anon_sym_L_DQUOTE] = ACTIONS(2366),
    [anon_sym_u_DQUOTE] = ACTIONS(2366),
    [anon_sym_U_DQUOTE] = ACTIONS(2366),
    [anon_sym_u8_DQUOTE] = ACTIONS(2366),
    [anon_sym_DQUOTE] = ACTIONS(2366),
    [sym_true] = ACTIONS(2364),
    [sym_false] = ACTIONS(2364),
    [anon_sym_NULL] = ACTIONS(2364),
    [anon_sym_nullptr] = ACTIONS(2364),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2364),
    [anon_sym_decltype] = ACTIONS(2364),
    [anon_sym_virtual] = ACTIONS(2364),
    [anon_sym_alignas] = ACTIONS(2364),
    [anon_sym_explicit] = ACTIONS(2364),
    [anon_sym_typename] = ACTIONS(2364),
    [anon_sym_template] = ACTIONS(2364),
    [anon_sym_operator] = ACTIONS(2364),
    [anon_sym_try] = ACTIONS(2364),
    [anon_sym_delete] = ACTIONS(2364),
    [anon_sym_throw] = ACTIONS(2364),
    [anon_sym_namespace] = ACTIONS(2364),
    [anon_sym_using] = ACTIONS(2364),
    [anon_sym_static_assert] = ACTIONS(2364),
    [anon_sym_concept] = ACTIONS(2364),
    [anon_sym_co_return] = ACTIONS(2364),
    [anon_sym_co_yield] = ACTIONS(2364),
    [anon_sym_R_DQUOTE] = ACTIONS(2366),
    [anon_sym_LR_DQUOTE] = ACTIONS(2366),
    [anon_sym_uR_DQUOTE] = ACTIONS(2366),
    [anon_sym_UR_DQUOTE] = ACTIONS(2366),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2366),
    [anon_sym_co_await] = ACTIONS(2364),
    [anon_sym_new] = ACTIONS(2364),
    [anon_sym_requires] = ACTIONS(2364),
    [sym_this] = ACTIONS(2364),
    [anon_sym_discard] = ACTIONS(2364),
    [anon_sym_precise] = ACTIONS(2364),
    [anon_sym_shared] = ACTIONS(2364),
    [anon_sym_groupshared] = ACTIONS(2364),
    [anon_sym_uniform] = ACTIONS(2364),
    [anon_sym_row_major] = ACTIONS(2364),
    [anon_sym_column_major] = ACTIONS(2364),
    [anon_sym_globallycoherent] = ACTIONS(2364),
    [anon_sym_centroid] = ACTIONS(2364),
    [anon_sym_noperspective] = ACTIONS(2364),
    [anon_sym_nointerpolation] = ACTIONS(2364),
    [anon_sym_sample] = ACTIONS(2364),
    [anon_sym_linear] = ACTIONS(2364),
    [anon_sym_snorm] = ACTIONS(2364),
    [anon_sym_unorm] = ACTIONS(2364),
    [anon_sym_point] = ACTIONS(2364),
    [anon_sym_line] = ACTIONS(2364),
    [anon_sym_triangleadj] = ACTIONS(2364),
    [anon_sym_lineadj] = ACTIONS(2364),
    [anon_sym_triangle] = ACTIONS(2364),
    [anon_sym_cbuffer] = ACTIONS(2364),
  },
  [975] = {
    [sym_identifier] = ACTIONS(2354),
    [aux_sym_preproc_include_token1] = ACTIONS(2354),
    [aux_sym_preproc_def_token1] = ACTIONS(2354),
    [aux_sym_preproc_if_token1] = ACTIONS(2354),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2354),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2354),
    [sym_preproc_directive] = ACTIONS(2354),
    [anon_sym_LPAREN2] = ACTIONS(2356),
    [anon_sym_BANG] = ACTIONS(2356),
    [anon_sym_TILDE] = ACTIONS(2356),
    [anon_sym_DASH] = ACTIONS(2354),
    [anon_sym_PLUS] = ACTIONS(2354),
    [anon_sym_STAR] = ACTIONS(2356),
    [anon_sym_AMP_AMP] = ACTIONS(2356),
    [anon_sym_AMP] = ACTIONS(2354),
    [anon_sym_SEMI] = ACTIONS(2356),
    [anon_sym___extension__] = ACTIONS(2354),
    [anon_sym_typedef] = ACTIONS(2354),
    [anon_sym_in] = ACTIONS(2354),
    [anon_sym_out] = ACTIONS(2354),
    [anon_sym_inout] = ACTIONS(2354),
    [anon_sym_extern] = ACTIONS(2354),
    [anon_sym___attribute__] = ACTIONS(2354),
    [anon_sym_COLON_COLON] = ACTIONS(2356),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2356),
    [anon_sym___declspec] = ACTIONS(2354),
    [anon_sym___based] = ACTIONS(2354),
    [anon_sym___cdecl] = ACTIONS(2354),
    [anon_sym___clrcall] = ACTIONS(2354),
    [anon_sym___stdcall] = ACTIONS(2354),
    [anon_sym___fastcall] = ACTIONS(2354),
    [anon_sym___thiscall] = ACTIONS(2354),
    [anon_sym___vectorcall] = ACTIONS(2354),
    [anon_sym_LBRACE] = ACTIONS(2356),
    [anon_sym_RBRACE] = ACTIONS(2356),
    [anon_sym_signed] = ACTIONS(2354),
    [anon_sym_unsigned] = ACTIONS(2354),
    [anon_sym_long] = ACTIONS(2354),
    [anon_sym_short] = ACTIONS(2354),
    [anon_sym_LBRACK] = ACTIONS(2354),
    [anon_sym_static] = ACTIONS(2354),
    [anon_sym_register] = ACTIONS(2354),
    [anon_sym_inline] = ACTIONS(2354),
    [anon_sym___inline] = ACTIONS(2354),
    [anon_sym___inline__] = ACTIONS(2354),
    [anon_sym___forceinline] = ACTIONS(2354),
    [anon_sym_thread_local] = ACTIONS(2354),
    [anon_sym___thread] = ACTIONS(2354),
    [anon_sym_const] = ACTIONS(2354),
    [anon_sym_constexpr] = ACTIONS(2354),
    [anon_sym_volatile] = ACTIONS(2354),
    [anon_sym_restrict] = ACTIONS(2354),
    [anon_sym___restrict__] = ACTIONS(2354),
    [anon_sym__Atomic] = ACTIONS(2354),
    [anon_sym__Noreturn] = ACTIONS(2354),
    [anon_sym_noreturn] = ACTIONS(2354),
    [anon_sym_mutable] = ACTIONS(2354),
    [anon_sym_constinit] = ACTIONS(2354),
    [anon_sym_consteval] = ACTIONS(2354),
    [sym_primitive_type] = ACTIONS(2354),
    [anon_sym_enum] = ACTIONS(2354),
    [anon_sym_class] = ACTIONS(2354),
    [anon_sym_struct] = ACTIONS(2354),
    [anon_sym_union] = ACTIONS(2354),
    [anon_sym_if] = ACTIONS(2354),
    [anon_sym_else] = ACTIONS(2354),
    [anon_sym_switch] = ACTIONS(2354),
    [anon_sym_case] = ACTIONS(2354),
    [anon_sym_default] = ACTIONS(2354),
    [anon_sym_while] = ACTIONS(2354),
    [anon_sym_do] = ACTIONS(2354),
    [anon_sym_for] = ACTIONS(2354),
    [anon_sym_return] = ACTIONS(2354),
    [anon_sym_break] = ACTIONS(2354),
    [anon_sym_continue] = ACTIONS(2354),
    [anon_sym_goto] = ACTIONS(2354),
    [anon_sym___try] = ACTIONS(2354),
    [anon_sym___leave] = ACTIONS(2354),
    [anon_sym_not] = ACTIONS(2354),
    [anon_sym_compl] = ACTIONS(2354),
    [anon_sym_DASH_DASH] = ACTIONS(2356),
    [anon_sym_PLUS_PLUS] = ACTIONS(2356),
    [anon_sym_sizeof] = ACTIONS(2354),
    [anon_sym___alignof__] = ACTIONS(2354),
    [anon_sym___alignof] = ACTIONS(2354),
    [anon_sym__alignof] = ACTIONS(2354),
    [anon_sym_alignof] = ACTIONS(2354),
    [anon_sym__Alignof] = ACTIONS(2354),
    [anon_sym_offsetof] = ACTIONS(2354),
    [anon_sym__Generic] = ACTIONS(2354),
    [anon_sym_asm] = ACTIONS(2354),
    [anon_sym___asm__] = ACTIONS(2354),
    [sym_number_literal] = ACTIONS(2356),
    [anon_sym_L_SQUOTE] = ACTIONS(2356),
    [anon_sym_u_SQUOTE] = ACTIONS(2356),
    [anon_sym_U_SQUOTE] = ACTIONS(2356),
    [anon_sym_u8_SQUOTE] = ACTIONS(2356),
    [anon_sym_SQUOTE] = ACTIONS(2356),
    [anon_sym_L_DQUOTE] = ACTIONS(2356),
    [anon_sym_u_DQUOTE] = ACTIONS(2356),
    [anon_sym_U_DQUOTE] = ACTIONS(2356),
    [anon_sym_u8_DQUOTE] = ACTIONS(2356),
    [anon_sym_DQUOTE] = ACTIONS(2356),
    [sym_true] = ACTIONS(2354),
    [sym_false] = ACTIONS(2354),
    [anon_sym_NULL] = ACTIONS(2354),
    [anon_sym_nullptr] = ACTIONS(2354),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2354),
    [anon_sym_decltype] = ACTIONS(2354),
    [anon_sym_virtual] = ACTIONS(2354),
    [anon_sym_alignas] = ACTIONS(2354),
    [anon_sym_explicit] = ACTIONS(2354),
    [anon_sym_typename] = ACTIONS(2354),
    [anon_sym_template] = ACTIONS(2354),
    [anon_sym_operator] = ACTIONS(2354),
    [anon_sym_try] = ACTIONS(2354),
    [anon_sym_delete] = ACTIONS(2354),
    [anon_sym_throw] = ACTIONS(2354),
    [anon_sym_namespace] = ACTIONS(2354),
    [anon_sym_using] = ACTIONS(2354),
    [anon_sym_static_assert] = ACTIONS(2354),
    [anon_sym_concept] = ACTIONS(2354),
    [anon_sym_co_return] = ACTIONS(2354),
    [anon_sym_co_yield] = ACTIONS(2354),
    [anon_sym_R_DQUOTE] = ACTIONS(2356),
    [anon_sym_LR_DQUOTE] = ACTIONS(2356),
    [anon_sym_uR_DQUOTE] = ACTIONS(2356),
    [anon_sym_UR_DQUOTE] = ACTIONS(2356),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2356),
    [anon_sym_co_await] = ACTIONS(2354),
    [anon_sym_new] = ACTIONS(2354),
    [anon_sym_requires] = ACTIONS(2354),
    [sym_this] = ACTIONS(2354),
    [anon_sym_discard] = ACTIONS(2354),
    [anon_sym_precise] = ACTIONS(2354),
    [anon_sym_shared] = ACTIONS(2354),
    [anon_sym_groupshared] = ACTIONS(2354),
    [anon_sym_uniform] = ACTIONS(2354),
    [anon_sym_row_major] = ACTIONS(2354),
    [anon_sym_column_major] = ACTIONS(2354),
    [anon_sym_globallycoherent] = ACTIONS(2354),
    [anon_sym_centroid] = ACTIONS(2354),
    [anon_sym_noperspective] = ACTIONS(2354),
    [anon_sym_nointerpolation] = ACTIONS(2354),
    [anon_sym_sample] = ACTIONS(2354),
    [anon_sym_linear] = ACTIONS(2354),
    [anon_sym_snorm] = ACTIONS(2354),
    [anon_sym_unorm] = ACTIONS(2354),
    [anon_sym_point] = ACTIONS(2354),
    [anon_sym_line] = ACTIONS(2354),
    [anon_sym_triangleadj] = ACTIONS(2354),
    [anon_sym_lineadj] = ACTIONS(2354),
    [anon_sym_triangle] = ACTIONS(2354),
    [anon_sym_cbuffer] = ACTIONS(2354),
  },
  [976] = {
    [sym_identifier] = ACTIONS(2412),
    [aux_sym_preproc_include_token1] = ACTIONS(2412),
    [aux_sym_preproc_def_token1] = ACTIONS(2412),
    [aux_sym_preproc_if_token1] = ACTIONS(2412),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2412),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2412),
    [sym_preproc_directive] = ACTIONS(2412),
    [anon_sym_LPAREN2] = ACTIONS(2414),
    [anon_sym_BANG] = ACTIONS(2414),
    [anon_sym_TILDE] = ACTIONS(2414),
    [anon_sym_DASH] = ACTIONS(2412),
    [anon_sym_PLUS] = ACTIONS(2412),
    [anon_sym_STAR] = ACTIONS(2414),
    [anon_sym_AMP_AMP] = ACTIONS(2414),
    [anon_sym_AMP] = ACTIONS(2412),
    [anon_sym_SEMI] = ACTIONS(2414),
    [anon_sym___extension__] = ACTIONS(2412),
    [anon_sym_typedef] = ACTIONS(2412),
    [anon_sym_in] = ACTIONS(2412),
    [anon_sym_out] = ACTIONS(2412),
    [anon_sym_inout] = ACTIONS(2412),
    [anon_sym_extern] = ACTIONS(2412),
    [anon_sym___attribute__] = ACTIONS(2412),
    [anon_sym_COLON_COLON] = ACTIONS(2414),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2414),
    [anon_sym___declspec] = ACTIONS(2412),
    [anon_sym___based] = ACTIONS(2412),
    [anon_sym___cdecl] = ACTIONS(2412),
    [anon_sym___clrcall] = ACTIONS(2412),
    [anon_sym___stdcall] = ACTIONS(2412),
    [anon_sym___fastcall] = ACTIONS(2412),
    [anon_sym___thiscall] = ACTIONS(2412),
    [anon_sym___vectorcall] = ACTIONS(2412),
    [anon_sym_LBRACE] = ACTIONS(2414),
    [anon_sym_RBRACE] = ACTIONS(2414),
    [anon_sym_signed] = ACTIONS(2412),
    [anon_sym_unsigned] = ACTIONS(2412),
    [anon_sym_long] = ACTIONS(2412),
    [anon_sym_short] = ACTIONS(2412),
    [anon_sym_LBRACK] = ACTIONS(2412),
    [anon_sym_static] = ACTIONS(2412),
    [anon_sym_register] = ACTIONS(2412),
    [anon_sym_inline] = ACTIONS(2412),
    [anon_sym___inline] = ACTIONS(2412),
    [anon_sym___inline__] = ACTIONS(2412),
    [anon_sym___forceinline] = ACTIONS(2412),
    [anon_sym_thread_local] = ACTIONS(2412),
    [anon_sym___thread] = ACTIONS(2412),
    [anon_sym_const] = ACTIONS(2412),
    [anon_sym_constexpr] = ACTIONS(2412),
    [anon_sym_volatile] = ACTIONS(2412),
    [anon_sym_restrict] = ACTIONS(2412),
    [anon_sym___restrict__] = ACTIONS(2412),
    [anon_sym__Atomic] = ACTIONS(2412),
    [anon_sym__Noreturn] = ACTIONS(2412),
    [anon_sym_noreturn] = ACTIONS(2412),
    [anon_sym_mutable] = ACTIONS(2412),
    [anon_sym_constinit] = ACTIONS(2412),
    [anon_sym_consteval] = ACTIONS(2412),
    [sym_primitive_type] = ACTIONS(2412),
    [anon_sym_enum] = ACTIONS(2412),
    [anon_sym_class] = ACTIONS(2412),
    [anon_sym_struct] = ACTIONS(2412),
    [anon_sym_union] = ACTIONS(2412),
    [anon_sym_if] = ACTIONS(2412),
    [anon_sym_else] = ACTIONS(2412),
    [anon_sym_switch] = ACTIONS(2412),
    [anon_sym_case] = ACTIONS(2412),
    [anon_sym_default] = ACTIONS(2412),
    [anon_sym_while] = ACTIONS(2412),
    [anon_sym_do] = ACTIONS(2412),
    [anon_sym_for] = ACTIONS(2412),
    [anon_sym_return] = ACTIONS(2412),
    [anon_sym_break] = ACTIONS(2412),
    [anon_sym_continue] = ACTIONS(2412),
    [anon_sym_goto] = ACTIONS(2412),
    [anon_sym___try] = ACTIONS(2412),
    [anon_sym___leave] = ACTIONS(2412),
    [anon_sym_not] = ACTIONS(2412),
    [anon_sym_compl] = ACTIONS(2412),
    [anon_sym_DASH_DASH] = ACTIONS(2414),
    [anon_sym_PLUS_PLUS] = ACTIONS(2414),
    [anon_sym_sizeof] = ACTIONS(2412),
    [anon_sym___alignof__] = ACTIONS(2412),
    [anon_sym___alignof] = ACTIONS(2412),
    [anon_sym__alignof] = ACTIONS(2412),
    [anon_sym_alignof] = ACTIONS(2412),
    [anon_sym__Alignof] = ACTIONS(2412),
    [anon_sym_offsetof] = ACTIONS(2412),
    [anon_sym__Generic] = ACTIONS(2412),
    [anon_sym_asm] = ACTIONS(2412),
    [anon_sym___asm__] = ACTIONS(2412),
    [sym_number_literal] = ACTIONS(2414),
    [anon_sym_L_SQUOTE] = ACTIONS(2414),
    [anon_sym_u_SQUOTE] = ACTIONS(2414),
    [anon_sym_U_SQUOTE] = ACTIONS(2414),
    [anon_sym_u8_SQUOTE] = ACTIONS(2414),
    [anon_sym_SQUOTE] = ACTIONS(2414),
    [anon_sym_L_DQUOTE] = ACTIONS(2414),
    [anon_sym_u_DQUOTE] = ACTIONS(2414),
    [anon_sym_U_DQUOTE] = ACTIONS(2414),
    [anon_sym_u8_DQUOTE] = ACTIONS(2414),
    [anon_sym_DQUOTE] = ACTIONS(2414),
    [sym_true] = ACTIONS(2412),
    [sym_false] = ACTIONS(2412),
    [anon_sym_NULL] = ACTIONS(2412),
    [anon_sym_nullptr] = ACTIONS(2412),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2412),
    [anon_sym_decltype] = ACTIONS(2412),
    [anon_sym_virtual] = ACTIONS(2412),
    [anon_sym_alignas] = ACTIONS(2412),
    [anon_sym_explicit] = ACTIONS(2412),
    [anon_sym_typename] = ACTIONS(2412),
    [anon_sym_template] = ACTIONS(2412),
    [anon_sym_operator] = ACTIONS(2412),
    [anon_sym_try] = ACTIONS(2412),
    [anon_sym_delete] = ACTIONS(2412),
    [anon_sym_throw] = ACTIONS(2412),
    [anon_sym_namespace] = ACTIONS(2412),
    [anon_sym_using] = ACTIONS(2412),
    [anon_sym_static_assert] = ACTIONS(2412),
    [anon_sym_concept] = ACTIONS(2412),
    [anon_sym_co_return] = ACTIONS(2412),
    [anon_sym_co_yield] = ACTIONS(2412),
    [anon_sym_R_DQUOTE] = ACTIONS(2414),
    [anon_sym_LR_DQUOTE] = ACTIONS(2414),
    [anon_sym_uR_DQUOTE] = ACTIONS(2414),
    [anon_sym_UR_DQUOTE] = ACTIONS(2414),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2414),
    [anon_sym_co_await] = ACTIONS(2412),
    [anon_sym_new] = ACTIONS(2412),
    [anon_sym_requires] = ACTIONS(2412),
    [sym_this] = ACTIONS(2412),
    [anon_sym_discard] = ACTIONS(2412),
    [anon_sym_precise] = ACTIONS(2412),
    [anon_sym_shared] = ACTIONS(2412),
    [anon_sym_groupshared] = ACTIONS(2412),
    [anon_sym_uniform] = ACTIONS(2412),
    [anon_sym_row_major] = ACTIONS(2412),
    [anon_sym_column_major] = ACTIONS(2412),
    [anon_sym_globallycoherent] = ACTIONS(2412),
    [anon_sym_centroid] = ACTIONS(2412),
    [anon_sym_noperspective] = ACTIONS(2412),
    [anon_sym_nointerpolation] = ACTIONS(2412),
    [anon_sym_sample] = ACTIONS(2412),
    [anon_sym_linear] = ACTIONS(2412),
    [anon_sym_snorm] = ACTIONS(2412),
    [anon_sym_unorm] = ACTIONS(2412),
    [anon_sym_point] = ACTIONS(2412),
    [anon_sym_line] = ACTIONS(2412),
    [anon_sym_triangleadj] = ACTIONS(2412),
    [anon_sym_lineadj] = ACTIONS(2412),
    [anon_sym_triangle] = ACTIONS(2412),
    [anon_sym_cbuffer] = ACTIONS(2412),
  },
  [977] = {
    [sym_identifier] = ACTIONS(2420),
    [aux_sym_preproc_include_token1] = ACTIONS(2420),
    [aux_sym_preproc_def_token1] = ACTIONS(2420),
    [aux_sym_preproc_if_token1] = ACTIONS(2420),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2420),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2420),
    [sym_preproc_directive] = ACTIONS(2420),
    [anon_sym_LPAREN2] = ACTIONS(2422),
    [anon_sym_BANG] = ACTIONS(2422),
    [anon_sym_TILDE] = ACTIONS(2422),
    [anon_sym_DASH] = ACTIONS(2420),
    [anon_sym_PLUS] = ACTIONS(2420),
    [anon_sym_STAR] = ACTIONS(2422),
    [anon_sym_AMP_AMP] = ACTIONS(2422),
    [anon_sym_AMP] = ACTIONS(2420),
    [anon_sym_SEMI] = ACTIONS(2422),
    [anon_sym___extension__] = ACTIONS(2420),
    [anon_sym_typedef] = ACTIONS(2420),
    [anon_sym_in] = ACTIONS(2420),
    [anon_sym_out] = ACTIONS(2420),
    [anon_sym_inout] = ACTIONS(2420),
    [anon_sym_extern] = ACTIONS(2420),
    [anon_sym___attribute__] = ACTIONS(2420),
    [anon_sym_COLON_COLON] = ACTIONS(2422),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2422),
    [anon_sym___declspec] = ACTIONS(2420),
    [anon_sym___based] = ACTIONS(2420),
    [anon_sym___cdecl] = ACTIONS(2420),
    [anon_sym___clrcall] = ACTIONS(2420),
    [anon_sym___stdcall] = ACTIONS(2420),
    [anon_sym___fastcall] = ACTIONS(2420),
    [anon_sym___thiscall] = ACTIONS(2420),
    [anon_sym___vectorcall] = ACTIONS(2420),
    [anon_sym_LBRACE] = ACTIONS(2422),
    [anon_sym_RBRACE] = ACTIONS(2422),
    [anon_sym_signed] = ACTIONS(2420),
    [anon_sym_unsigned] = ACTIONS(2420),
    [anon_sym_long] = ACTIONS(2420),
    [anon_sym_short] = ACTIONS(2420),
    [anon_sym_LBRACK] = ACTIONS(2420),
    [anon_sym_static] = ACTIONS(2420),
    [anon_sym_register] = ACTIONS(2420),
    [anon_sym_inline] = ACTIONS(2420),
    [anon_sym___inline] = ACTIONS(2420),
    [anon_sym___inline__] = ACTIONS(2420),
    [anon_sym___forceinline] = ACTIONS(2420),
    [anon_sym_thread_local] = ACTIONS(2420),
    [anon_sym___thread] = ACTIONS(2420),
    [anon_sym_const] = ACTIONS(2420),
    [anon_sym_constexpr] = ACTIONS(2420),
    [anon_sym_volatile] = ACTIONS(2420),
    [anon_sym_restrict] = ACTIONS(2420),
    [anon_sym___restrict__] = ACTIONS(2420),
    [anon_sym__Atomic] = ACTIONS(2420),
    [anon_sym__Noreturn] = ACTIONS(2420),
    [anon_sym_noreturn] = ACTIONS(2420),
    [anon_sym_mutable] = ACTIONS(2420),
    [anon_sym_constinit] = ACTIONS(2420),
    [anon_sym_consteval] = ACTIONS(2420),
    [sym_primitive_type] = ACTIONS(2420),
    [anon_sym_enum] = ACTIONS(2420),
    [anon_sym_class] = ACTIONS(2420),
    [anon_sym_struct] = ACTIONS(2420),
    [anon_sym_union] = ACTIONS(2420),
    [anon_sym_if] = ACTIONS(2420),
    [anon_sym_else] = ACTIONS(2420),
    [anon_sym_switch] = ACTIONS(2420),
    [anon_sym_case] = ACTIONS(2420),
    [anon_sym_default] = ACTIONS(2420),
    [anon_sym_while] = ACTIONS(2420),
    [anon_sym_do] = ACTIONS(2420),
    [anon_sym_for] = ACTIONS(2420),
    [anon_sym_return] = ACTIONS(2420),
    [anon_sym_break] = ACTIONS(2420),
    [anon_sym_continue] = ACTIONS(2420),
    [anon_sym_goto] = ACTIONS(2420),
    [anon_sym___try] = ACTIONS(2420),
    [anon_sym___leave] = ACTIONS(2420),
    [anon_sym_not] = ACTIONS(2420),
    [anon_sym_compl] = ACTIONS(2420),
    [anon_sym_DASH_DASH] = ACTIONS(2422),
    [anon_sym_PLUS_PLUS] = ACTIONS(2422),
    [anon_sym_sizeof] = ACTIONS(2420),
    [anon_sym___alignof__] = ACTIONS(2420),
    [anon_sym___alignof] = ACTIONS(2420),
    [anon_sym__alignof] = ACTIONS(2420),
    [anon_sym_alignof] = ACTIONS(2420),
    [anon_sym__Alignof] = ACTIONS(2420),
    [anon_sym_offsetof] = ACTIONS(2420),
    [anon_sym__Generic] = ACTIONS(2420),
    [anon_sym_asm] = ACTIONS(2420),
    [anon_sym___asm__] = ACTIONS(2420),
    [sym_number_literal] = ACTIONS(2422),
    [anon_sym_L_SQUOTE] = ACTIONS(2422),
    [anon_sym_u_SQUOTE] = ACTIONS(2422),
    [anon_sym_U_SQUOTE] = ACTIONS(2422),
    [anon_sym_u8_SQUOTE] = ACTIONS(2422),
    [anon_sym_SQUOTE] = ACTIONS(2422),
    [anon_sym_L_DQUOTE] = ACTIONS(2422),
    [anon_sym_u_DQUOTE] = ACTIONS(2422),
    [anon_sym_U_DQUOTE] = ACTIONS(2422),
    [anon_sym_u8_DQUOTE] = ACTIONS(2422),
    [anon_sym_DQUOTE] = ACTIONS(2422),
    [sym_true] = ACTIONS(2420),
    [sym_false] = ACTIONS(2420),
    [anon_sym_NULL] = ACTIONS(2420),
    [anon_sym_nullptr] = ACTIONS(2420),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2420),
    [anon_sym_decltype] = ACTIONS(2420),
    [anon_sym_virtual] = ACTIONS(2420),
    [anon_sym_alignas] = ACTIONS(2420),
    [anon_sym_explicit] = ACTIONS(2420),
    [anon_sym_typename] = ACTIONS(2420),
    [anon_sym_template] = ACTIONS(2420),
    [anon_sym_operator] = ACTIONS(2420),
    [anon_sym_try] = ACTIONS(2420),
    [anon_sym_delete] = ACTIONS(2420),
    [anon_sym_throw] = ACTIONS(2420),
    [anon_sym_namespace] = ACTIONS(2420),
    [anon_sym_using] = ACTIONS(2420),
    [anon_sym_static_assert] = ACTIONS(2420),
    [anon_sym_concept] = ACTIONS(2420),
    [anon_sym_co_return] = ACTIONS(2420),
    [anon_sym_co_yield] = ACTIONS(2420),
    [anon_sym_R_DQUOTE] = ACTIONS(2422),
    [anon_sym_LR_DQUOTE] = ACTIONS(2422),
    [anon_sym_uR_DQUOTE] = ACTIONS(2422),
    [anon_sym_UR_DQUOTE] = ACTIONS(2422),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2422),
    [anon_sym_co_await] = ACTIONS(2420),
    [anon_sym_new] = ACTIONS(2420),
    [anon_sym_requires] = ACTIONS(2420),
    [sym_this] = ACTIONS(2420),
    [anon_sym_discard] = ACTIONS(2420),
    [anon_sym_precise] = ACTIONS(2420),
    [anon_sym_shared] = ACTIONS(2420),
    [anon_sym_groupshared] = ACTIONS(2420),
    [anon_sym_uniform] = ACTIONS(2420),
    [anon_sym_row_major] = ACTIONS(2420),
    [anon_sym_column_major] = ACTIONS(2420),
    [anon_sym_globallycoherent] = ACTIONS(2420),
    [anon_sym_centroid] = ACTIONS(2420),
    [anon_sym_noperspective] = ACTIONS(2420),
    [anon_sym_nointerpolation] = ACTIONS(2420),
    [anon_sym_sample] = ACTIONS(2420),
    [anon_sym_linear] = ACTIONS(2420),
    [anon_sym_snorm] = ACTIONS(2420),
    [anon_sym_unorm] = ACTIONS(2420),
    [anon_sym_point] = ACTIONS(2420),
    [anon_sym_line] = ACTIONS(2420),
    [anon_sym_triangleadj] = ACTIONS(2420),
    [anon_sym_lineadj] = ACTIONS(2420),
    [anon_sym_triangle] = ACTIONS(2420),
    [anon_sym_cbuffer] = ACTIONS(2420),
  },
  [978] = {
    [sym_identifier] = ACTIONS(2330),
    [aux_sym_preproc_include_token1] = ACTIONS(2330),
    [aux_sym_preproc_def_token1] = ACTIONS(2330),
    [aux_sym_preproc_if_token1] = ACTIONS(2330),
    [aux_sym_preproc_if_token2] = ACTIONS(2330),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2330),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2330),
    [sym_preproc_directive] = ACTIONS(2330),
    [anon_sym_LPAREN2] = ACTIONS(2332),
    [anon_sym_BANG] = ACTIONS(2332),
    [anon_sym_TILDE] = ACTIONS(2332),
    [anon_sym_DASH] = ACTIONS(2330),
    [anon_sym_PLUS] = ACTIONS(2330),
    [anon_sym_STAR] = ACTIONS(2332),
    [anon_sym_AMP_AMP] = ACTIONS(2332),
    [anon_sym_AMP] = ACTIONS(2330),
    [anon_sym_SEMI] = ACTIONS(2332),
    [anon_sym___extension__] = ACTIONS(2330),
    [anon_sym_typedef] = ACTIONS(2330),
    [anon_sym_in] = ACTIONS(2330),
    [anon_sym_out] = ACTIONS(2330),
    [anon_sym_inout] = ACTIONS(2330),
    [anon_sym_extern] = ACTIONS(2330),
    [anon_sym___attribute__] = ACTIONS(2330),
    [anon_sym_COLON_COLON] = ACTIONS(2332),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2332),
    [anon_sym___declspec] = ACTIONS(2330),
    [anon_sym___based] = ACTIONS(2330),
    [anon_sym___cdecl] = ACTIONS(2330),
    [anon_sym___clrcall] = ACTIONS(2330),
    [anon_sym___stdcall] = ACTIONS(2330),
    [anon_sym___fastcall] = ACTIONS(2330),
    [anon_sym___thiscall] = ACTIONS(2330),
    [anon_sym___vectorcall] = ACTIONS(2330),
    [anon_sym_LBRACE] = ACTIONS(2332),
    [anon_sym_signed] = ACTIONS(2330),
    [anon_sym_unsigned] = ACTIONS(2330),
    [anon_sym_long] = ACTIONS(2330),
    [anon_sym_short] = ACTIONS(2330),
    [anon_sym_LBRACK] = ACTIONS(2330),
    [anon_sym_static] = ACTIONS(2330),
    [anon_sym_register] = ACTIONS(2330),
    [anon_sym_inline] = ACTIONS(2330),
    [anon_sym___inline] = ACTIONS(2330),
    [anon_sym___inline__] = ACTIONS(2330),
    [anon_sym___forceinline] = ACTIONS(2330),
    [anon_sym_thread_local] = ACTIONS(2330),
    [anon_sym___thread] = ACTIONS(2330),
    [anon_sym_const] = ACTIONS(2330),
    [anon_sym_constexpr] = ACTIONS(2330),
    [anon_sym_volatile] = ACTIONS(2330),
    [anon_sym_restrict] = ACTIONS(2330),
    [anon_sym___restrict__] = ACTIONS(2330),
    [anon_sym__Atomic] = ACTIONS(2330),
    [anon_sym__Noreturn] = ACTIONS(2330),
    [anon_sym_noreturn] = ACTIONS(2330),
    [anon_sym_mutable] = ACTIONS(2330),
    [anon_sym_constinit] = ACTIONS(2330),
    [anon_sym_consteval] = ACTIONS(2330),
    [sym_primitive_type] = ACTIONS(2330),
    [anon_sym_enum] = ACTIONS(2330),
    [anon_sym_class] = ACTIONS(2330),
    [anon_sym_struct] = ACTIONS(2330),
    [anon_sym_union] = ACTIONS(2330),
    [anon_sym_if] = ACTIONS(2330),
    [anon_sym_else] = ACTIONS(2330),
    [anon_sym_switch] = ACTIONS(2330),
    [anon_sym_case] = ACTIONS(2330),
    [anon_sym_default] = ACTIONS(2330),
    [anon_sym_while] = ACTIONS(2330),
    [anon_sym_do] = ACTIONS(2330),
    [anon_sym_for] = ACTIONS(2330),
    [anon_sym_return] = ACTIONS(2330),
    [anon_sym_break] = ACTIONS(2330),
    [anon_sym_continue] = ACTIONS(2330),
    [anon_sym_goto] = ACTIONS(2330),
    [anon_sym___try] = ACTIONS(2330),
    [anon_sym___leave] = ACTIONS(2330),
    [anon_sym_not] = ACTIONS(2330),
    [anon_sym_compl] = ACTIONS(2330),
    [anon_sym_DASH_DASH] = ACTIONS(2332),
    [anon_sym_PLUS_PLUS] = ACTIONS(2332),
    [anon_sym_sizeof] = ACTIONS(2330),
    [anon_sym___alignof__] = ACTIONS(2330),
    [anon_sym___alignof] = ACTIONS(2330),
    [anon_sym__alignof] = ACTIONS(2330),
    [anon_sym_alignof] = ACTIONS(2330),
    [anon_sym__Alignof] = ACTIONS(2330),
    [anon_sym_offsetof] = ACTIONS(2330),
    [anon_sym__Generic] = ACTIONS(2330),
    [anon_sym_asm] = ACTIONS(2330),
    [anon_sym___asm__] = ACTIONS(2330),
    [sym_number_literal] = ACTIONS(2332),
    [anon_sym_L_SQUOTE] = ACTIONS(2332),
    [anon_sym_u_SQUOTE] = ACTIONS(2332),
    [anon_sym_U_SQUOTE] = ACTIONS(2332),
    [anon_sym_u8_SQUOTE] = ACTIONS(2332),
    [anon_sym_SQUOTE] = ACTIONS(2332),
    [anon_sym_L_DQUOTE] = ACTIONS(2332),
    [anon_sym_u_DQUOTE] = ACTIONS(2332),
    [anon_sym_U_DQUOTE] = ACTIONS(2332),
    [anon_sym_u8_DQUOTE] = ACTIONS(2332),
    [anon_sym_DQUOTE] = ACTIONS(2332),
    [sym_true] = ACTIONS(2330),
    [sym_false] = ACTIONS(2330),
    [anon_sym_NULL] = ACTIONS(2330),
    [anon_sym_nullptr] = ACTIONS(2330),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2330),
    [anon_sym_decltype] = ACTIONS(2330),
    [anon_sym_virtual] = ACTIONS(2330),
    [anon_sym_alignas] = ACTIONS(2330),
    [anon_sym_explicit] = ACTIONS(2330),
    [anon_sym_typename] = ACTIONS(2330),
    [anon_sym_template] = ACTIONS(2330),
    [anon_sym_operator] = ACTIONS(2330),
    [anon_sym_try] = ACTIONS(2330),
    [anon_sym_delete] = ACTIONS(2330),
    [anon_sym_throw] = ACTIONS(2330),
    [anon_sym_namespace] = ACTIONS(2330),
    [anon_sym_using] = ACTIONS(2330),
    [anon_sym_static_assert] = ACTIONS(2330),
    [anon_sym_concept] = ACTIONS(2330),
    [anon_sym_co_return] = ACTIONS(2330),
    [anon_sym_co_yield] = ACTIONS(2330),
    [anon_sym_R_DQUOTE] = ACTIONS(2332),
    [anon_sym_LR_DQUOTE] = ACTIONS(2332),
    [anon_sym_uR_DQUOTE] = ACTIONS(2332),
    [anon_sym_UR_DQUOTE] = ACTIONS(2332),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2332),
    [anon_sym_co_await] = ACTIONS(2330),
    [anon_sym_new] = ACTIONS(2330),
    [anon_sym_requires] = ACTIONS(2330),
    [sym_this] = ACTIONS(2330),
    [anon_sym_discard] = ACTIONS(2330),
    [anon_sym_precise] = ACTIONS(2330),
    [anon_sym_shared] = ACTIONS(2330),
    [anon_sym_groupshared] = ACTIONS(2330),
    [anon_sym_uniform] = ACTIONS(2330),
    [anon_sym_row_major] = ACTIONS(2330),
    [anon_sym_column_major] = ACTIONS(2330),
    [anon_sym_globallycoherent] = ACTIONS(2330),
    [anon_sym_centroid] = ACTIONS(2330),
    [anon_sym_noperspective] = ACTIONS(2330),
    [anon_sym_nointerpolation] = ACTIONS(2330),
    [anon_sym_sample] = ACTIONS(2330),
    [anon_sym_linear] = ACTIONS(2330),
    [anon_sym_snorm] = ACTIONS(2330),
    [anon_sym_unorm] = ACTIONS(2330),
    [anon_sym_point] = ACTIONS(2330),
    [anon_sym_line] = ACTIONS(2330),
    [anon_sym_triangleadj] = ACTIONS(2330),
    [anon_sym_lineadj] = ACTIONS(2330),
    [anon_sym_triangle] = ACTIONS(2330),
    [anon_sym_cbuffer] = ACTIONS(2330),
  },
  [979] = {
    [sym_identifier] = ACTIONS(2354),
    [aux_sym_preproc_include_token1] = ACTIONS(2354),
    [aux_sym_preproc_def_token1] = ACTIONS(2354),
    [aux_sym_preproc_if_token1] = ACTIONS(2354),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2354),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2354),
    [sym_preproc_directive] = ACTIONS(2354),
    [anon_sym_LPAREN2] = ACTIONS(2356),
    [anon_sym_BANG] = ACTIONS(2356),
    [anon_sym_TILDE] = ACTIONS(2356),
    [anon_sym_DASH] = ACTIONS(2354),
    [anon_sym_PLUS] = ACTIONS(2354),
    [anon_sym_STAR] = ACTIONS(2356),
    [anon_sym_AMP_AMP] = ACTIONS(2356),
    [anon_sym_AMP] = ACTIONS(2354),
    [anon_sym_SEMI] = ACTIONS(2356),
    [anon_sym___extension__] = ACTIONS(2354),
    [anon_sym_typedef] = ACTIONS(2354),
    [anon_sym_in] = ACTIONS(2354),
    [anon_sym_out] = ACTIONS(2354),
    [anon_sym_inout] = ACTIONS(2354),
    [anon_sym_extern] = ACTIONS(2354),
    [anon_sym___attribute__] = ACTIONS(2354),
    [anon_sym_COLON_COLON] = ACTIONS(2356),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2356),
    [anon_sym___declspec] = ACTIONS(2354),
    [anon_sym___based] = ACTIONS(2354),
    [anon_sym___cdecl] = ACTIONS(2354),
    [anon_sym___clrcall] = ACTIONS(2354),
    [anon_sym___stdcall] = ACTIONS(2354),
    [anon_sym___fastcall] = ACTIONS(2354),
    [anon_sym___thiscall] = ACTIONS(2354),
    [anon_sym___vectorcall] = ACTIONS(2354),
    [anon_sym_LBRACE] = ACTIONS(2356),
    [anon_sym_RBRACE] = ACTIONS(2356),
    [anon_sym_signed] = ACTIONS(2354),
    [anon_sym_unsigned] = ACTIONS(2354),
    [anon_sym_long] = ACTIONS(2354),
    [anon_sym_short] = ACTIONS(2354),
    [anon_sym_LBRACK] = ACTIONS(2354),
    [anon_sym_static] = ACTIONS(2354),
    [anon_sym_register] = ACTIONS(2354),
    [anon_sym_inline] = ACTIONS(2354),
    [anon_sym___inline] = ACTIONS(2354),
    [anon_sym___inline__] = ACTIONS(2354),
    [anon_sym___forceinline] = ACTIONS(2354),
    [anon_sym_thread_local] = ACTIONS(2354),
    [anon_sym___thread] = ACTIONS(2354),
    [anon_sym_const] = ACTIONS(2354),
    [anon_sym_constexpr] = ACTIONS(2354),
    [anon_sym_volatile] = ACTIONS(2354),
    [anon_sym_restrict] = ACTIONS(2354),
    [anon_sym___restrict__] = ACTIONS(2354),
    [anon_sym__Atomic] = ACTIONS(2354),
    [anon_sym__Noreturn] = ACTIONS(2354),
    [anon_sym_noreturn] = ACTIONS(2354),
    [anon_sym_mutable] = ACTIONS(2354),
    [anon_sym_constinit] = ACTIONS(2354),
    [anon_sym_consteval] = ACTIONS(2354),
    [sym_primitive_type] = ACTIONS(2354),
    [anon_sym_enum] = ACTIONS(2354),
    [anon_sym_class] = ACTIONS(2354),
    [anon_sym_struct] = ACTIONS(2354),
    [anon_sym_union] = ACTIONS(2354),
    [anon_sym_if] = ACTIONS(2354),
    [anon_sym_else] = ACTIONS(2354),
    [anon_sym_switch] = ACTIONS(2354),
    [anon_sym_case] = ACTIONS(2354),
    [anon_sym_default] = ACTIONS(2354),
    [anon_sym_while] = ACTIONS(2354),
    [anon_sym_do] = ACTIONS(2354),
    [anon_sym_for] = ACTIONS(2354),
    [anon_sym_return] = ACTIONS(2354),
    [anon_sym_break] = ACTIONS(2354),
    [anon_sym_continue] = ACTIONS(2354),
    [anon_sym_goto] = ACTIONS(2354),
    [anon_sym___try] = ACTIONS(2354),
    [anon_sym___leave] = ACTIONS(2354),
    [anon_sym_not] = ACTIONS(2354),
    [anon_sym_compl] = ACTIONS(2354),
    [anon_sym_DASH_DASH] = ACTIONS(2356),
    [anon_sym_PLUS_PLUS] = ACTIONS(2356),
    [anon_sym_sizeof] = ACTIONS(2354),
    [anon_sym___alignof__] = ACTIONS(2354),
    [anon_sym___alignof] = ACTIONS(2354),
    [anon_sym__alignof] = ACTIONS(2354),
    [anon_sym_alignof] = ACTIONS(2354),
    [anon_sym__Alignof] = ACTIONS(2354),
    [anon_sym_offsetof] = ACTIONS(2354),
    [anon_sym__Generic] = ACTIONS(2354),
    [anon_sym_asm] = ACTIONS(2354),
    [anon_sym___asm__] = ACTIONS(2354),
    [sym_number_literal] = ACTIONS(2356),
    [anon_sym_L_SQUOTE] = ACTIONS(2356),
    [anon_sym_u_SQUOTE] = ACTIONS(2356),
    [anon_sym_U_SQUOTE] = ACTIONS(2356),
    [anon_sym_u8_SQUOTE] = ACTIONS(2356),
    [anon_sym_SQUOTE] = ACTIONS(2356),
    [anon_sym_L_DQUOTE] = ACTIONS(2356),
    [anon_sym_u_DQUOTE] = ACTIONS(2356),
    [anon_sym_U_DQUOTE] = ACTIONS(2356),
    [anon_sym_u8_DQUOTE] = ACTIONS(2356),
    [anon_sym_DQUOTE] = ACTIONS(2356),
    [sym_true] = ACTIONS(2354),
    [sym_false] = ACTIONS(2354),
    [anon_sym_NULL] = ACTIONS(2354),
    [anon_sym_nullptr] = ACTIONS(2354),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2354),
    [anon_sym_decltype] = ACTIONS(2354),
    [anon_sym_virtual] = ACTIONS(2354),
    [anon_sym_alignas] = ACTIONS(2354),
    [anon_sym_explicit] = ACTIONS(2354),
    [anon_sym_typename] = ACTIONS(2354),
    [anon_sym_template] = ACTIONS(2354),
    [anon_sym_operator] = ACTIONS(2354),
    [anon_sym_try] = ACTIONS(2354),
    [anon_sym_delete] = ACTIONS(2354),
    [anon_sym_throw] = ACTIONS(2354),
    [anon_sym_namespace] = ACTIONS(2354),
    [anon_sym_using] = ACTIONS(2354),
    [anon_sym_static_assert] = ACTIONS(2354),
    [anon_sym_concept] = ACTIONS(2354),
    [anon_sym_co_return] = ACTIONS(2354),
    [anon_sym_co_yield] = ACTIONS(2354),
    [anon_sym_R_DQUOTE] = ACTIONS(2356),
    [anon_sym_LR_DQUOTE] = ACTIONS(2356),
    [anon_sym_uR_DQUOTE] = ACTIONS(2356),
    [anon_sym_UR_DQUOTE] = ACTIONS(2356),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2356),
    [anon_sym_co_await] = ACTIONS(2354),
    [anon_sym_new] = ACTIONS(2354),
    [anon_sym_requires] = ACTIONS(2354),
    [sym_this] = ACTIONS(2354),
    [anon_sym_discard] = ACTIONS(2354),
    [anon_sym_precise] = ACTIONS(2354),
    [anon_sym_shared] = ACTIONS(2354),
    [anon_sym_groupshared] = ACTIONS(2354),
    [anon_sym_uniform] = ACTIONS(2354),
    [anon_sym_row_major] = ACTIONS(2354),
    [anon_sym_column_major] = ACTIONS(2354),
    [anon_sym_globallycoherent] = ACTIONS(2354),
    [anon_sym_centroid] = ACTIONS(2354),
    [anon_sym_noperspective] = ACTIONS(2354),
    [anon_sym_nointerpolation] = ACTIONS(2354),
    [anon_sym_sample] = ACTIONS(2354),
    [anon_sym_linear] = ACTIONS(2354),
    [anon_sym_snorm] = ACTIONS(2354),
    [anon_sym_unorm] = ACTIONS(2354),
    [anon_sym_point] = ACTIONS(2354),
    [anon_sym_line] = ACTIONS(2354),
    [anon_sym_triangleadj] = ACTIONS(2354),
    [anon_sym_lineadj] = ACTIONS(2354),
    [anon_sym_triangle] = ACTIONS(2354),
    [anon_sym_cbuffer] = ACTIONS(2354),
  },
  [980] = {
    [sym_identifier] = ACTIONS(2444),
    [aux_sym_preproc_include_token1] = ACTIONS(2444),
    [aux_sym_preproc_def_token1] = ACTIONS(2444),
    [aux_sym_preproc_if_token1] = ACTIONS(2444),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2444),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2444),
    [sym_preproc_directive] = ACTIONS(2444),
    [anon_sym_LPAREN2] = ACTIONS(2446),
    [anon_sym_BANG] = ACTIONS(2446),
    [anon_sym_TILDE] = ACTIONS(2446),
    [anon_sym_DASH] = ACTIONS(2444),
    [anon_sym_PLUS] = ACTIONS(2444),
    [anon_sym_STAR] = ACTIONS(2446),
    [anon_sym_AMP_AMP] = ACTIONS(2446),
    [anon_sym_AMP] = ACTIONS(2444),
    [anon_sym_SEMI] = ACTIONS(2446),
    [anon_sym___extension__] = ACTIONS(2444),
    [anon_sym_typedef] = ACTIONS(2444),
    [anon_sym_in] = ACTIONS(2444),
    [anon_sym_out] = ACTIONS(2444),
    [anon_sym_inout] = ACTIONS(2444),
    [anon_sym_extern] = ACTIONS(2444),
    [anon_sym___attribute__] = ACTIONS(2444),
    [anon_sym_COLON_COLON] = ACTIONS(2446),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2446),
    [anon_sym___declspec] = ACTIONS(2444),
    [anon_sym___based] = ACTIONS(2444),
    [anon_sym___cdecl] = ACTIONS(2444),
    [anon_sym___clrcall] = ACTIONS(2444),
    [anon_sym___stdcall] = ACTIONS(2444),
    [anon_sym___fastcall] = ACTIONS(2444),
    [anon_sym___thiscall] = ACTIONS(2444),
    [anon_sym___vectorcall] = ACTIONS(2444),
    [anon_sym_LBRACE] = ACTIONS(2446),
    [anon_sym_RBRACE] = ACTIONS(2446),
    [anon_sym_signed] = ACTIONS(2444),
    [anon_sym_unsigned] = ACTIONS(2444),
    [anon_sym_long] = ACTIONS(2444),
    [anon_sym_short] = ACTIONS(2444),
    [anon_sym_LBRACK] = ACTIONS(2444),
    [anon_sym_static] = ACTIONS(2444),
    [anon_sym_register] = ACTIONS(2444),
    [anon_sym_inline] = ACTIONS(2444),
    [anon_sym___inline] = ACTIONS(2444),
    [anon_sym___inline__] = ACTIONS(2444),
    [anon_sym___forceinline] = ACTIONS(2444),
    [anon_sym_thread_local] = ACTIONS(2444),
    [anon_sym___thread] = ACTIONS(2444),
    [anon_sym_const] = ACTIONS(2444),
    [anon_sym_constexpr] = ACTIONS(2444),
    [anon_sym_volatile] = ACTIONS(2444),
    [anon_sym_restrict] = ACTIONS(2444),
    [anon_sym___restrict__] = ACTIONS(2444),
    [anon_sym__Atomic] = ACTIONS(2444),
    [anon_sym__Noreturn] = ACTIONS(2444),
    [anon_sym_noreturn] = ACTIONS(2444),
    [anon_sym_mutable] = ACTIONS(2444),
    [anon_sym_constinit] = ACTIONS(2444),
    [anon_sym_consteval] = ACTIONS(2444),
    [sym_primitive_type] = ACTIONS(2444),
    [anon_sym_enum] = ACTIONS(2444),
    [anon_sym_class] = ACTIONS(2444),
    [anon_sym_struct] = ACTIONS(2444),
    [anon_sym_union] = ACTIONS(2444),
    [anon_sym_if] = ACTIONS(2444),
    [anon_sym_else] = ACTIONS(2444),
    [anon_sym_switch] = ACTIONS(2444),
    [anon_sym_case] = ACTIONS(2444),
    [anon_sym_default] = ACTIONS(2444),
    [anon_sym_while] = ACTIONS(2444),
    [anon_sym_do] = ACTIONS(2444),
    [anon_sym_for] = ACTIONS(2444),
    [anon_sym_return] = ACTIONS(2444),
    [anon_sym_break] = ACTIONS(2444),
    [anon_sym_continue] = ACTIONS(2444),
    [anon_sym_goto] = ACTIONS(2444),
    [anon_sym___try] = ACTIONS(2444),
    [anon_sym___leave] = ACTIONS(2444),
    [anon_sym_not] = ACTIONS(2444),
    [anon_sym_compl] = ACTIONS(2444),
    [anon_sym_DASH_DASH] = ACTIONS(2446),
    [anon_sym_PLUS_PLUS] = ACTIONS(2446),
    [anon_sym_sizeof] = ACTIONS(2444),
    [anon_sym___alignof__] = ACTIONS(2444),
    [anon_sym___alignof] = ACTIONS(2444),
    [anon_sym__alignof] = ACTIONS(2444),
    [anon_sym_alignof] = ACTIONS(2444),
    [anon_sym__Alignof] = ACTIONS(2444),
    [anon_sym_offsetof] = ACTIONS(2444),
    [anon_sym__Generic] = ACTIONS(2444),
    [anon_sym_asm] = ACTIONS(2444),
    [anon_sym___asm__] = ACTIONS(2444),
    [sym_number_literal] = ACTIONS(2446),
    [anon_sym_L_SQUOTE] = ACTIONS(2446),
    [anon_sym_u_SQUOTE] = ACTIONS(2446),
    [anon_sym_U_SQUOTE] = ACTIONS(2446),
    [anon_sym_u8_SQUOTE] = ACTIONS(2446),
    [anon_sym_SQUOTE] = ACTIONS(2446),
    [anon_sym_L_DQUOTE] = ACTIONS(2446),
    [anon_sym_u_DQUOTE] = ACTIONS(2446),
    [anon_sym_U_DQUOTE] = ACTIONS(2446),
    [anon_sym_u8_DQUOTE] = ACTIONS(2446),
    [anon_sym_DQUOTE] = ACTIONS(2446),
    [sym_true] = ACTIONS(2444),
    [sym_false] = ACTIONS(2444),
    [anon_sym_NULL] = ACTIONS(2444),
    [anon_sym_nullptr] = ACTIONS(2444),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2444),
    [anon_sym_decltype] = ACTIONS(2444),
    [anon_sym_virtual] = ACTIONS(2444),
    [anon_sym_alignas] = ACTIONS(2444),
    [anon_sym_explicit] = ACTIONS(2444),
    [anon_sym_typename] = ACTIONS(2444),
    [anon_sym_template] = ACTIONS(2444),
    [anon_sym_operator] = ACTIONS(2444),
    [anon_sym_try] = ACTIONS(2444),
    [anon_sym_delete] = ACTIONS(2444),
    [anon_sym_throw] = ACTIONS(2444),
    [anon_sym_namespace] = ACTIONS(2444),
    [anon_sym_using] = ACTIONS(2444),
    [anon_sym_static_assert] = ACTIONS(2444),
    [anon_sym_concept] = ACTIONS(2444),
    [anon_sym_co_return] = ACTIONS(2444),
    [anon_sym_co_yield] = ACTIONS(2444),
    [anon_sym_R_DQUOTE] = ACTIONS(2446),
    [anon_sym_LR_DQUOTE] = ACTIONS(2446),
    [anon_sym_uR_DQUOTE] = ACTIONS(2446),
    [anon_sym_UR_DQUOTE] = ACTIONS(2446),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2446),
    [anon_sym_co_await] = ACTIONS(2444),
    [anon_sym_new] = ACTIONS(2444),
    [anon_sym_requires] = ACTIONS(2444),
    [sym_this] = ACTIONS(2444),
    [anon_sym_discard] = ACTIONS(2444),
    [anon_sym_precise] = ACTIONS(2444),
    [anon_sym_shared] = ACTIONS(2444),
    [anon_sym_groupshared] = ACTIONS(2444),
    [anon_sym_uniform] = ACTIONS(2444),
    [anon_sym_row_major] = ACTIONS(2444),
    [anon_sym_column_major] = ACTIONS(2444),
    [anon_sym_globallycoherent] = ACTIONS(2444),
    [anon_sym_centroid] = ACTIONS(2444),
    [anon_sym_noperspective] = ACTIONS(2444),
    [anon_sym_nointerpolation] = ACTIONS(2444),
    [anon_sym_sample] = ACTIONS(2444),
    [anon_sym_linear] = ACTIONS(2444),
    [anon_sym_snorm] = ACTIONS(2444),
    [anon_sym_unorm] = ACTIONS(2444),
    [anon_sym_point] = ACTIONS(2444),
    [anon_sym_line] = ACTIONS(2444),
    [anon_sym_triangleadj] = ACTIONS(2444),
    [anon_sym_lineadj] = ACTIONS(2444),
    [anon_sym_triangle] = ACTIONS(2444),
    [anon_sym_cbuffer] = ACTIONS(2444),
  },
  [981] = {
    [sym_identifier] = ACTIONS(2330),
    [aux_sym_preproc_include_token1] = ACTIONS(2330),
    [aux_sym_preproc_def_token1] = ACTIONS(2330),
    [aux_sym_preproc_if_token1] = ACTIONS(2330),
    [aux_sym_preproc_if_token2] = ACTIONS(2330),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2330),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2330),
    [sym_preproc_directive] = ACTIONS(2330),
    [anon_sym_LPAREN2] = ACTIONS(2332),
    [anon_sym_BANG] = ACTIONS(2332),
    [anon_sym_TILDE] = ACTIONS(2332),
    [anon_sym_DASH] = ACTIONS(2330),
    [anon_sym_PLUS] = ACTIONS(2330),
    [anon_sym_STAR] = ACTIONS(2332),
    [anon_sym_AMP_AMP] = ACTIONS(2332),
    [anon_sym_AMP] = ACTIONS(2330),
    [anon_sym_SEMI] = ACTIONS(2332),
    [anon_sym___extension__] = ACTIONS(2330),
    [anon_sym_typedef] = ACTIONS(2330),
    [anon_sym_in] = ACTIONS(2330),
    [anon_sym_out] = ACTIONS(2330),
    [anon_sym_inout] = ACTIONS(2330),
    [anon_sym_extern] = ACTIONS(2330),
    [anon_sym___attribute__] = ACTIONS(2330),
    [anon_sym_COLON_COLON] = ACTIONS(2332),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2332),
    [anon_sym___declspec] = ACTIONS(2330),
    [anon_sym___based] = ACTIONS(2330),
    [anon_sym___cdecl] = ACTIONS(2330),
    [anon_sym___clrcall] = ACTIONS(2330),
    [anon_sym___stdcall] = ACTIONS(2330),
    [anon_sym___fastcall] = ACTIONS(2330),
    [anon_sym___thiscall] = ACTIONS(2330),
    [anon_sym___vectorcall] = ACTIONS(2330),
    [anon_sym_LBRACE] = ACTIONS(2332),
    [anon_sym_signed] = ACTIONS(2330),
    [anon_sym_unsigned] = ACTIONS(2330),
    [anon_sym_long] = ACTIONS(2330),
    [anon_sym_short] = ACTIONS(2330),
    [anon_sym_LBRACK] = ACTIONS(2330),
    [anon_sym_static] = ACTIONS(2330),
    [anon_sym_register] = ACTIONS(2330),
    [anon_sym_inline] = ACTIONS(2330),
    [anon_sym___inline] = ACTIONS(2330),
    [anon_sym___inline__] = ACTIONS(2330),
    [anon_sym___forceinline] = ACTIONS(2330),
    [anon_sym_thread_local] = ACTIONS(2330),
    [anon_sym___thread] = ACTIONS(2330),
    [anon_sym_const] = ACTIONS(2330),
    [anon_sym_constexpr] = ACTIONS(2330),
    [anon_sym_volatile] = ACTIONS(2330),
    [anon_sym_restrict] = ACTIONS(2330),
    [anon_sym___restrict__] = ACTIONS(2330),
    [anon_sym__Atomic] = ACTIONS(2330),
    [anon_sym__Noreturn] = ACTIONS(2330),
    [anon_sym_noreturn] = ACTIONS(2330),
    [anon_sym_mutable] = ACTIONS(2330),
    [anon_sym_constinit] = ACTIONS(2330),
    [anon_sym_consteval] = ACTIONS(2330),
    [sym_primitive_type] = ACTIONS(2330),
    [anon_sym_enum] = ACTIONS(2330),
    [anon_sym_class] = ACTIONS(2330),
    [anon_sym_struct] = ACTIONS(2330),
    [anon_sym_union] = ACTIONS(2330),
    [anon_sym_if] = ACTIONS(2330),
    [anon_sym_else] = ACTIONS(2330),
    [anon_sym_switch] = ACTIONS(2330),
    [anon_sym_case] = ACTIONS(2330),
    [anon_sym_default] = ACTIONS(2330),
    [anon_sym_while] = ACTIONS(2330),
    [anon_sym_do] = ACTIONS(2330),
    [anon_sym_for] = ACTIONS(2330),
    [anon_sym_return] = ACTIONS(2330),
    [anon_sym_break] = ACTIONS(2330),
    [anon_sym_continue] = ACTIONS(2330),
    [anon_sym_goto] = ACTIONS(2330),
    [anon_sym___try] = ACTIONS(2330),
    [anon_sym___leave] = ACTIONS(2330),
    [anon_sym_not] = ACTIONS(2330),
    [anon_sym_compl] = ACTIONS(2330),
    [anon_sym_DASH_DASH] = ACTIONS(2332),
    [anon_sym_PLUS_PLUS] = ACTIONS(2332),
    [anon_sym_sizeof] = ACTIONS(2330),
    [anon_sym___alignof__] = ACTIONS(2330),
    [anon_sym___alignof] = ACTIONS(2330),
    [anon_sym__alignof] = ACTIONS(2330),
    [anon_sym_alignof] = ACTIONS(2330),
    [anon_sym__Alignof] = ACTIONS(2330),
    [anon_sym_offsetof] = ACTIONS(2330),
    [anon_sym__Generic] = ACTIONS(2330),
    [anon_sym_asm] = ACTIONS(2330),
    [anon_sym___asm__] = ACTIONS(2330),
    [sym_number_literal] = ACTIONS(2332),
    [anon_sym_L_SQUOTE] = ACTIONS(2332),
    [anon_sym_u_SQUOTE] = ACTIONS(2332),
    [anon_sym_U_SQUOTE] = ACTIONS(2332),
    [anon_sym_u8_SQUOTE] = ACTIONS(2332),
    [anon_sym_SQUOTE] = ACTIONS(2332),
    [anon_sym_L_DQUOTE] = ACTIONS(2332),
    [anon_sym_u_DQUOTE] = ACTIONS(2332),
    [anon_sym_U_DQUOTE] = ACTIONS(2332),
    [anon_sym_u8_DQUOTE] = ACTIONS(2332),
    [anon_sym_DQUOTE] = ACTIONS(2332),
    [sym_true] = ACTIONS(2330),
    [sym_false] = ACTIONS(2330),
    [anon_sym_NULL] = ACTIONS(2330),
    [anon_sym_nullptr] = ACTIONS(2330),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2330),
    [anon_sym_decltype] = ACTIONS(2330),
    [anon_sym_virtual] = ACTIONS(2330),
    [anon_sym_alignas] = ACTIONS(2330),
    [anon_sym_explicit] = ACTIONS(2330),
    [anon_sym_typename] = ACTIONS(2330),
    [anon_sym_template] = ACTIONS(2330),
    [anon_sym_operator] = ACTIONS(2330),
    [anon_sym_try] = ACTIONS(2330),
    [anon_sym_delete] = ACTIONS(2330),
    [anon_sym_throw] = ACTIONS(2330),
    [anon_sym_namespace] = ACTIONS(2330),
    [anon_sym_using] = ACTIONS(2330),
    [anon_sym_static_assert] = ACTIONS(2330),
    [anon_sym_concept] = ACTIONS(2330),
    [anon_sym_co_return] = ACTIONS(2330),
    [anon_sym_co_yield] = ACTIONS(2330),
    [anon_sym_R_DQUOTE] = ACTIONS(2332),
    [anon_sym_LR_DQUOTE] = ACTIONS(2332),
    [anon_sym_uR_DQUOTE] = ACTIONS(2332),
    [anon_sym_UR_DQUOTE] = ACTIONS(2332),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2332),
    [anon_sym_co_await] = ACTIONS(2330),
    [anon_sym_new] = ACTIONS(2330),
    [anon_sym_requires] = ACTIONS(2330),
    [sym_this] = ACTIONS(2330),
    [anon_sym_discard] = ACTIONS(2330),
    [anon_sym_precise] = ACTIONS(2330),
    [anon_sym_shared] = ACTIONS(2330),
    [anon_sym_groupshared] = ACTIONS(2330),
    [anon_sym_uniform] = ACTIONS(2330),
    [anon_sym_row_major] = ACTIONS(2330),
    [anon_sym_column_major] = ACTIONS(2330),
    [anon_sym_globallycoherent] = ACTIONS(2330),
    [anon_sym_centroid] = ACTIONS(2330),
    [anon_sym_noperspective] = ACTIONS(2330),
    [anon_sym_nointerpolation] = ACTIONS(2330),
    [anon_sym_sample] = ACTIONS(2330),
    [anon_sym_linear] = ACTIONS(2330),
    [anon_sym_snorm] = ACTIONS(2330),
    [anon_sym_unorm] = ACTIONS(2330),
    [anon_sym_point] = ACTIONS(2330),
    [anon_sym_line] = ACTIONS(2330),
    [anon_sym_triangleadj] = ACTIONS(2330),
    [anon_sym_lineadj] = ACTIONS(2330),
    [anon_sym_triangle] = ACTIONS(2330),
    [anon_sym_cbuffer] = ACTIONS(2330),
  },
  [982] = {
    [ts_builtin_sym_end] = ACTIONS(2486),
    [sym_identifier] = ACTIONS(2484),
    [aux_sym_preproc_include_token1] = ACTIONS(2484),
    [aux_sym_preproc_def_token1] = ACTIONS(2484),
    [aux_sym_preproc_if_token1] = ACTIONS(2484),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2484),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2484),
    [sym_preproc_directive] = ACTIONS(2484),
    [anon_sym_LPAREN2] = ACTIONS(2486),
    [anon_sym_BANG] = ACTIONS(2486),
    [anon_sym_TILDE] = ACTIONS(2486),
    [anon_sym_DASH] = ACTIONS(2484),
    [anon_sym_PLUS] = ACTIONS(2484),
    [anon_sym_STAR] = ACTIONS(2486),
    [anon_sym_AMP_AMP] = ACTIONS(2486),
    [anon_sym_AMP] = ACTIONS(2484),
    [anon_sym_SEMI] = ACTIONS(2486),
    [anon_sym___extension__] = ACTIONS(2484),
    [anon_sym_typedef] = ACTIONS(2484),
    [anon_sym_in] = ACTIONS(2484),
    [anon_sym_out] = ACTIONS(2484),
    [anon_sym_inout] = ACTIONS(2484),
    [anon_sym_extern] = ACTIONS(2484),
    [anon_sym___attribute__] = ACTIONS(2484),
    [anon_sym_COLON_COLON] = ACTIONS(2486),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2486),
    [anon_sym___declspec] = ACTIONS(2484),
    [anon_sym___based] = ACTIONS(2484),
    [anon_sym___cdecl] = ACTIONS(2484),
    [anon_sym___clrcall] = ACTIONS(2484),
    [anon_sym___stdcall] = ACTIONS(2484),
    [anon_sym___fastcall] = ACTIONS(2484),
    [anon_sym___thiscall] = ACTIONS(2484),
    [anon_sym___vectorcall] = ACTIONS(2484),
    [anon_sym_LBRACE] = ACTIONS(2486),
    [anon_sym_signed] = ACTIONS(2484),
    [anon_sym_unsigned] = ACTIONS(2484),
    [anon_sym_long] = ACTIONS(2484),
    [anon_sym_short] = ACTIONS(2484),
    [anon_sym_LBRACK] = ACTIONS(2484),
    [anon_sym_static] = ACTIONS(2484),
    [anon_sym_register] = ACTIONS(2484),
    [anon_sym_inline] = ACTIONS(2484),
    [anon_sym___inline] = ACTIONS(2484),
    [anon_sym___inline__] = ACTIONS(2484),
    [anon_sym___forceinline] = ACTIONS(2484),
    [anon_sym_thread_local] = ACTIONS(2484),
    [anon_sym___thread] = ACTIONS(2484),
    [anon_sym_const] = ACTIONS(2484),
    [anon_sym_constexpr] = ACTIONS(2484),
    [anon_sym_volatile] = ACTIONS(2484),
    [anon_sym_restrict] = ACTIONS(2484),
    [anon_sym___restrict__] = ACTIONS(2484),
    [anon_sym__Atomic] = ACTIONS(2484),
    [anon_sym__Noreturn] = ACTIONS(2484),
    [anon_sym_noreturn] = ACTIONS(2484),
    [anon_sym_mutable] = ACTIONS(2484),
    [anon_sym_constinit] = ACTIONS(2484),
    [anon_sym_consteval] = ACTIONS(2484),
    [sym_primitive_type] = ACTIONS(2484),
    [anon_sym_enum] = ACTIONS(2484),
    [anon_sym_class] = ACTIONS(2484),
    [anon_sym_struct] = ACTIONS(2484),
    [anon_sym_union] = ACTIONS(2484),
    [anon_sym_if] = ACTIONS(2484),
    [anon_sym_else] = ACTIONS(2484),
    [anon_sym_switch] = ACTIONS(2484),
    [anon_sym_case] = ACTIONS(2484),
    [anon_sym_default] = ACTIONS(2484),
    [anon_sym_while] = ACTIONS(2484),
    [anon_sym_do] = ACTIONS(2484),
    [anon_sym_for] = ACTIONS(2484),
    [anon_sym_return] = ACTIONS(2484),
    [anon_sym_break] = ACTIONS(2484),
    [anon_sym_continue] = ACTIONS(2484),
    [anon_sym_goto] = ACTIONS(2484),
    [anon_sym___try] = ACTIONS(2484),
    [anon_sym___leave] = ACTIONS(2484),
    [anon_sym_not] = ACTIONS(2484),
    [anon_sym_compl] = ACTIONS(2484),
    [anon_sym_DASH_DASH] = ACTIONS(2486),
    [anon_sym_PLUS_PLUS] = ACTIONS(2486),
    [anon_sym_sizeof] = ACTIONS(2484),
    [anon_sym___alignof__] = ACTIONS(2484),
    [anon_sym___alignof] = ACTIONS(2484),
    [anon_sym__alignof] = ACTIONS(2484),
    [anon_sym_alignof] = ACTIONS(2484),
    [anon_sym__Alignof] = ACTIONS(2484),
    [anon_sym_offsetof] = ACTIONS(2484),
    [anon_sym__Generic] = ACTIONS(2484),
    [anon_sym_asm] = ACTIONS(2484),
    [anon_sym___asm__] = ACTIONS(2484),
    [sym_number_literal] = ACTIONS(2486),
    [anon_sym_L_SQUOTE] = ACTIONS(2486),
    [anon_sym_u_SQUOTE] = ACTIONS(2486),
    [anon_sym_U_SQUOTE] = ACTIONS(2486),
    [anon_sym_u8_SQUOTE] = ACTIONS(2486),
    [anon_sym_SQUOTE] = ACTIONS(2486),
    [anon_sym_L_DQUOTE] = ACTIONS(2486),
    [anon_sym_u_DQUOTE] = ACTIONS(2486),
    [anon_sym_U_DQUOTE] = ACTIONS(2486),
    [anon_sym_u8_DQUOTE] = ACTIONS(2486),
    [anon_sym_DQUOTE] = ACTIONS(2486),
    [sym_true] = ACTIONS(2484),
    [sym_false] = ACTIONS(2484),
    [anon_sym_NULL] = ACTIONS(2484),
    [anon_sym_nullptr] = ACTIONS(2484),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2484),
    [anon_sym_decltype] = ACTIONS(2484),
    [anon_sym_virtual] = ACTIONS(2484),
    [anon_sym_alignas] = ACTIONS(2484),
    [anon_sym_explicit] = ACTIONS(2484),
    [anon_sym_typename] = ACTIONS(2484),
    [anon_sym_template] = ACTIONS(2484),
    [anon_sym_operator] = ACTIONS(2484),
    [anon_sym_try] = ACTIONS(2484),
    [anon_sym_delete] = ACTIONS(2484),
    [anon_sym_throw] = ACTIONS(2484),
    [anon_sym_namespace] = ACTIONS(2484),
    [anon_sym_using] = ACTIONS(2484),
    [anon_sym_static_assert] = ACTIONS(2484),
    [anon_sym_concept] = ACTIONS(2484),
    [anon_sym_co_return] = ACTIONS(2484),
    [anon_sym_co_yield] = ACTIONS(2484),
    [anon_sym_R_DQUOTE] = ACTIONS(2486),
    [anon_sym_LR_DQUOTE] = ACTIONS(2486),
    [anon_sym_uR_DQUOTE] = ACTIONS(2486),
    [anon_sym_UR_DQUOTE] = ACTIONS(2486),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2486),
    [anon_sym_co_await] = ACTIONS(2484),
    [anon_sym_new] = ACTIONS(2484),
    [anon_sym_requires] = ACTIONS(2484),
    [sym_this] = ACTIONS(2484),
    [anon_sym_discard] = ACTIONS(2484),
    [anon_sym_precise] = ACTIONS(2484),
    [anon_sym_shared] = ACTIONS(2484),
    [anon_sym_groupshared] = ACTIONS(2484),
    [anon_sym_uniform] = ACTIONS(2484),
    [anon_sym_row_major] = ACTIONS(2484),
    [anon_sym_column_major] = ACTIONS(2484),
    [anon_sym_globallycoherent] = ACTIONS(2484),
    [anon_sym_centroid] = ACTIONS(2484),
    [anon_sym_noperspective] = ACTIONS(2484),
    [anon_sym_nointerpolation] = ACTIONS(2484),
    [anon_sym_sample] = ACTIONS(2484),
    [anon_sym_linear] = ACTIONS(2484),
    [anon_sym_snorm] = ACTIONS(2484),
    [anon_sym_unorm] = ACTIONS(2484),
    [anon_sym_point] = ACTIONS(2484),
    [anon_sym_line] = ACTIONS(2484),
    [anon_sym_triangleadj] = ACTIONS(2484),
    [anon_sym_lineadj] = ACTIONS(2484),
    [anon_sym_triangle] = ACTIONS(2484),
    [anon_sym_cbuffer] = ACTIONS(2484),
  },
  [983] = {
    [sym_identifier] = ACTIONS(2444),
    [aux_sym_preproc_include_token1] = ACTIONS(2444),
    [aux_sym_preproc_def_token1] = ACTIONS(2444),
    [aux_sym_preproc_if_token1] = ACTIONS(2444),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2444),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2444),
    [sym_preproc_directive] = ACTIONS(2444),
    [anon_sym_LPAREN2] = ACTIONS(2446),
    [anon_sym_BANG] = ACTIONS(2446),
    [anon_sym_TILDE] = ACTIONS(2446),
    [anon_sym_DASH] = ACTIONS(2444),
    [anon_sym_PLUS] = ACTIONS(2444),
    [anon_sym_STAR] = ACTIONS(2446),
    [anon_sym_AMP_AMP] = ACTIONS(2446),
    [anon_sym_AMP] = ACTIONS(2444),
    [anon_sym_SEMI] = ACTIONS(2446),
    [anon_sym___extension__] = ACTIONS(2444),
    [anon_sym_typedef] = ACTIONS(2444),
    [anon_sym_in] = ACTIONS(2444),
    [anon_sym_out] = ACTIONS(2444),
    [anon_sym_inout] = ACTIONS(2444),
    [anon_sym_extern] = ACTIONS(2444),
    [anon_sym___attribute__] = ACTIONS(2444),
    [anon_sym_COLON_COLON] = ACTIONS(2446),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2446),
    [anon_sym___declspec] = ACTIONS(2444),
    [anon_sym___based] = ACTIONS(2444),
    [anon_sym___cdecl] = ACTIONS(2444),
    [anon_sym___clrcall] = ACTIONS(2444),
    [anon_sym___stdcall] = ACTIONS(2444),
    [anon_sym___fastcall] = ACTIONS(2444),
    [anon_sym___thiscall] = ACTIONS(2444),
    [anon_sym___vectorcall] = ACTIONS(2444),
    [anon_sym_LBRACE] = ACTIONS(2446),
    [anon_sym_RBRACE] = ACTIONS(2446),
    [anon_sym_signed] = ACTIONS(2444),
    [anon_sym_unsigned] = ACTIONS(2444),
    [anon_sym_long] = ACTIONS(2444),
    [anon_sym_short] = ACTIONS(2444),
    [anon_sym_LBRACK] = ACTIONS(2444),
    [anon_sym_static] = ACTIONS(2444),
    [anon_sym_register] = ACTIONS(2444),
    [anon_sym_inline] = ACTIONS(2444),
    [anon_sym___inline] = ACTIONS(2444),
    [anon_sym___inline__] = ACTIONS(2444),
    [anon_sym___forceinline] = ACTIONS(2444),
    [anon_sym_thread_local] = ACTIONS(2444),
    [anon_sym___thread] = ACTIONS(2444),
    [anon_sym_const] = ACTIONS(2444),
    [anon_sym_constexpr] = ACTIONS(2444),
    [anon_sym_volatile] = ACTIONS(2444),
    [anon_sym_restrict] = ACTIONS(2444),
    [anon_sym___restrict__] = ACTIONS(2444),
    [anon_sym__Atomic] = ACTIONS(2444),
    [anon_sym__Noreturn] = ACTIONS(2444),
    [anon_sym_noreturn] = ACTIONS(2444),
    [anon_sym_mutable] = ACTIONS(2444),
    [anon_sym_constinit] = ACTIONS(2444),
    [anon_sym_consteval] = ACTIONS(2444),
    [sym_primitive_type] = ACTIONS(2444),
    [anon_sym_enum] = ACTIONS(2444),
    [anon_sym_class] = ACTIONS(2444),
    [anon_sym_struct] = ACTIONS(2444),
    [anon_sym_union] = ACTIONS(2444),
    [anon_sym_if] = ACTIONS(2444),
    [anon_sym_else] = ACTIONS(2444),
    [anon_sym_switch] = ACTIONS(2444),
    [anon_sym_case] = ACTIONS(2444),
    [anon_sym_default] = ACTIONS(2444),
    [anon_sym_while] = ACTIONS(2444),
    [anon_sym_do] = ACTIONS(2444),
    [anon_sym_for] = ACTIONS(2444),
    [anon_sym_return] = ACTIONS(2444),
    [anon_sym_break] = ACTIONS(2444),
    [anon_sym_continue] = ACTIONS(2444),
    [anon_sym_goto] = ACTIONS(2444),
    [anon_sym___try] = ACTIONS(2444),
    [anon_sym___leave] = ACTIONS(2444),
    [anon_sym_not] = ACTIONS(2444),
    [anon_sym_compl] = ACTIONS(2444),
    [anon_sym_DASH_DASH] = ACTIONS(2446),
    [anon_sym_PLUS_PLUS] = ACTIONS(2446),
    [anon_sym_sizeof] = ACTIONS(2444),
    [anon_sym___alignof__] = ACTIONS(2444),
    [anon_sym___alignof] = ACTIONS(2444),
    [anon_sym__alignof] = ACTIONS(2444),
    [anon_sym_alignof] = ACTIONS(2444),
    [anon_sym__Alignof] = ACTIONS(2444),
    [anon_sym_offsetof] = ACTIONS(2444),
    [anon_sym__Generic] = ACTIONS(2444),
    [anon_sym_asm] = ACTIONS(2444),
    [anon_sym___asm__] = ACTIONS(2444),
    [sym_number_literal] = ACTIONS(2446),
    [anon_sym_L_SQUOTE] = ACTIONS(2446),
    [anon_sym_u_SQUOTE] = ACTIONS(2446),
    [anon_sym_U_SQUOTE] = ACTIONS(2446),
    [anon_sym_u8_SQUOTE] = ACTIONS(2446),
    [anon_sym_SQUOTE] = ACTIONS(2446),
    [anon_sym_L_DQUOTE] = ACTIONS(2446),
    [anon_sym_u_DQUOTE] = ACTIONS(2446),
    [anon_sym_U_DQUOTE] = ACTIONS(2446),
    [anon_sym_u8_DQUOTE] = ACTIONS(2446),
    [anon_sym_DQUOTE] = ACTIONS(2446),
    [sym_true] = ACTIONS(2444),
    [sym_false] = ACTIONS(2444),
    [anon_sym_NULL] = ACTIONS(2444),
    [anon_sym_nullptr] = ACTIONS(2444),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2444),
    [anon_sym_decltype] = ACTIONS(2444),
    [anon_sym_virtual] = ACTIONS(2444),
    [anon_sym_alignas] = ACTIONS(2444),
    [anon_sym_explicit] = ACTIONS(2444),
    [anon_sym_typename] = ACTIONS(2444),
    [anon_sym_template] = ACTIONS(2444),
    [anon_sym_operator] = ACTIONS(2444),
    [anon_sym_try] = ACTIONS(2444),
    [anon_sym_delete] = ACTIONS(2444),
    [anon_sym_throw] = ACTIONS(2444),
    [anon_sym_namespace] = ACTIONS(2444),
    [anon_sym_using] = ACTIONS(2444),
    [anon_sym_static_assert] = ACTIONS(2444),
    [anon_sym_concept] = ACTIONS(2444),
    [anon_sym_co_return] = ACTIONS(2444),
    [anon_sym_co_yield] = ACTIONS(2444),
    [anon_sym_R_DQUOTE] = ACTIONS(2446),
    [anon_sym_LR_DQUOTE] = ACTIONS(2446),
    [anon_sym_uR_DQUOTE] = ACTIONS(2446),
    [anon_sym_UR_DQUOTE] = ACTIONS(2446),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2446),
    [anon_sym_co_await] = ACTIONS(2444),
    [anon_sym_new] = ACTIONS(2444),
    [anon_sym_requires] = ACTIONS(2444),
    [sym_this] = ACTIONS(2444),
    [anon_sym_discard] = ACTIONS(2444),
    [anon_sym_precise] = ACTIONS(2444),
    [anon_sym_shared] = ACTIONS(2444),
    [anon_sym_groupshared] = ACTIONS(2444),
    [anon_sym_uniform] = ACTIONS(2444),
    [anon_sym_row_major] = ACTIONS(2444),
    [anon_sym_column_major] = ACTIONS(2444),
    [anon_sym_globallycoherent] = ACTIONS(2444),
    [anon_sym_centroid] = ACTIONS(2444),
    [anon_sym_noperspective] = ACTIONS(2444),
    [anon_sym_nointerpolation] = ACTIONS(2444),
    [anon_sym_sample] = ACTIONS(2444),
    [anon_sym_linear] = ACTIONS(2444),
    [anon_sym_snorm] = ACTIONS(2444),
    [anon_sym_unorm] = ACTIONS(2444),
    [anon_sym_point] = ACTIONS(2444),
    [anon_sym_line] = ACTIONS(2444),
    [anon_sym_triangleadj] = ACTIONS(2444),
    [anon_sym_lineadj] = ACTIONS(2444),
    [anon_sym_triangle] = ACTIONS(2444),
    [anon_sym_cbuffer] = ACTIONS(2444),
  },
  [984] = {
    [sym_identifier] = ACTIONS(2444),
    [aux_sym_preproc_include_token1] = ACTIONS(2444),
    [aux_sym_preproc_def_token1] = ACTIONS(2444),
    [aux_sym_preproc_if_token1] = ACTIONS(2444),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2444),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2444),
    [sym_preproc_directive] = ACTIONS(2444),
    [anon_sym_LPAREN2] = ACTIONS(2446),
    [anon_sym_BANG] = ACTIONS(2446),
    [anon_sym_TILDE] = ACTIONS(2446),
    [anon_sym_DASH] = ACTIONS(2444),
    [anon_sym_PLUS] = ACTIONS(2444),
    [anon_sym_STAR] = ACTIONS(2446),
    [anon_sym_AMP_AMP] = ACTIONS(2446),
    [anon_sym_AMP] = ACTIONS(2444),
    [anon_sym_SEMI] = ACTIONS(2446),
    [anon_sym___extension__] = ACTIONS(2444),
    [anon_sym_typedef] = ACTIONS(2444),
    [anon_sym_in] = ACTIONS(2444),
    [anon_sym_out] = ACTIONS(2444),
    [anon_sym_inout] = ACTIONS(2444),
    [anon_sym_extern] = ACTIONS(2444),
    [anon_sym___attribute__] = ACTIONS(2444),
    [anon_sym_COLON_COLON] = ACTIONS(2446),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2446),
    [anon_sym___declspec] = ACTIONS(2444),
    [anon_sym___based] = ACTIONS(2444),
    [anon_sym___cdecl] = ACTIONS(2444),
    [anon_sym___clrcall] = ACTIONS(2444),
    [anon_sym___stdcall] = ACTIONS(2444),
    [anon_sym___fastcall] = ACTIONS(2444),
    [anon_sym___thiscall] = ACTIONS(2444),
    [anon_sym___vectorcall] = ACTIONS(2444),
    [anon_sym_LBRACE] = ACTIONS(2446),
    [anon_sym_RBRACE] = ACTIONS(2446),
    [anon_sym_signed] = ACTIONS(2444),
    [anon_sym_unsigned] = ACTIONS(2444),
    [anon_sym_long] = ACTIONS(2444),
    [anon_sym_short] = ACTIONS(2444),
    [anon_sym_LBRACK] = ACTIONS(2444),
    [anon_sym_static] = ACTIONS(2444),
    [anon_sym_register] = ACTIONS(2444),
    [anon_sym_inline] = ACTIONS(2444),
    [anon_sym___inline] = ACTIONS(2444),
    [anon_sym___inline__] = ACTIONS(2444),
    [anon_sym___forceinline] = ACTIONS(2444),
    [anon_sym_thread_local] = ACTIONS(2444),
    [anon_sym___thread] = ACTIONS(2444),
    [anon_sym_const] = ACTIONS(2444),
    [anon_sym_constexpr] = ACTIONS(2444),
    [anon_sym_volatile] = ACTIONS(2444),
    [anon_sym_restrict] = ACTIONS(2444),
    [anon_sym___restrict__] = ACTIONS(2444),
    [anon_sym__Atomic] = ACTIONS(2444),
    [anon_sym__Noreturn] = ACTIONS(2444),
    [anon_sym_noreturn] = ACTIONS(2444),
    [anon_sym_mutable] = ACTIONS(2444),
    [anon_sym_constinit] = ACTIONS(2444),
    [anon_sym_consteval] = ACTIONS(2444),
    [sym_primitive_type] = ACTIONS(2444),
    [anon_sym_enum] = ACTIONS(2444),
    [anon_sym_class] = ACTIONS(2444),
    [anon_sym_struct] = ACTIONS(2444),
    [anon_sym_union] = ACTIONS(2444),
    [anon_sym_if] = ACTIONS(2444),
    [anon_sym_else] = ACTIONS(2444),
    [anon_sym_switch] = ACTIONS(2444),
    [anon_sym_case] = ACTIONS(2444),
    [anon_sym_default] = ACTIONS(2444),
    [anon_sym_while] = ACTIONS(2444),
    [anon_sym_do] = ACTIONS(2444),
    [anon_sym_for] = ACTIONS(2444),
    [anon_sym_return] = ACTIONS(2444),
    [anon_sym_break] = ACTIONS(2444),
    [anon_sym_continue] = ACTIONS(2444),
    [anon_sym_goto] = ACTIONS(2444),
    [anon_sym___try] = ACTIONS(2444),
    [anon_sym___leave] = ACTIONS(2444),
    [anon_sym_not] = ACTIONS(2444),
    [anon_sym_compl] = ACTIONS(2444),
    [anon_sym_DASH_DASH] = ACTIONS(2446),
    [anon_sym_PLUS_PLUS] = ACTIONS(2446),
    [anon_sym_sizeof] = ACTIONS(2444),
    [anon_sym___alignof__] = ACTIONS(2444),
    [anon_sym___alignof] = ACTIONS(2444),
    [anon_sym__alignof] = ACTIONS(2444),
    [anon_sym_alignof] = ACTIONS(2444),
    [anon_sym__Alignof] = ACTIONS(2444),
    [anon_sym_offsetof] = ACTIONS(2444),
    [anon_sym__Generic] = ACTIONS(2444),
    [anon_sym_asm] = ACTIONS(2444),
    [anon_sym___asm__] = ACTIONS(2444),
    [sym_number_literal] = ACTIONS(2446),
    [anon_sym_L_SQUOTE] = ACTIONS(2446),
    [anon_sym_u_SQUOTE] = ACTIONS(2446),
    [anon_sym_U_SQUOTE] = ACTIONS(2446),
    [anon_sym_u8_SQUOTE] = ACTIONS(2446),
    [anon_sym_SQUOTE] = ACTIONS(2446),
    [anon_sym_L_DQUOTE] = ACTIONS(2446),
    [anon_sym_u_DQUOTE] = ACTIONS(2446),
    [anon_sym_U_DQUOTE] = ACTIONS(2446),
    [anon_sym_u8_DQUOTE] = ACTIONS(2446),
    [anon_sym_DQUOTE] = ACTIONS(2446),
    [sym_true] = ACTIONS(2444),
    [sym_false] = ACTIONS(2444),
    [anon_sym_NULL] = ACTIONS(2444),
    [anon_sym_nullptr] = ACTIONS(2444),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2444),
    [anon_sym_decltype] = ACTIONS(2444),
    [anon_sym_virtual] = ACTIONS(2444),
    [anon_sym_alignas] = ACTIONS(2444),
    [anon_sym_explicit] = ACTIONS(2444),
    [anon_sym_typename] = ACTIONS(2444),
    [anon_sym_template] = ACTIONS(2444),
    [anon_sym_operator] = ACTIONS(2444),
    [anon_sym_try] = ACTIONS(2444),
    [anon_sym_delete] = ACTIONS(2444),
    [anon_sym_throw] = ACTIONS(2444),
    [anon_sym_namespace] = ACTIONS(2444),
    [anon_sym_using] = ACTIONS(2444),
    [anon_sym_static_assert] = ACTIONS(2444),
    [anon_sym_concept] = ACTIONS(2444),
    [anon_sym_co_return] = ACTIONS(2444),
    [anon_sym_co_yield] = ACTIONS(2444),
    [anon_sym_R_DQUOTE] = ACTIONS(2446),
    [anon_sym_LR_DQUOTE] = ACTIONS(2446),
    [anon_sym_uR_DQUOTE] = ACTIONS(2446),
    [anon_sym_UR_DQUOTE] = ACTIONS(2446),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2446),
    [anon_sym_co_await] = ACTIONS(2444),
    [anon_sym_new] = ACTIONS(2444),
    [anon_sym_requires] = ACTIONS(2444),
    [sym_this] = ACTIONS(2444),
    [anon_sym_discard] = ACTIONS(2444),
    [anon_sym_precise] = ACTIONS(2444),
    [anon_sym_shared] = ACTIONS(2444),
    [anon_sym_groupshared] = ACTIONS(2444),
    [anon_sym_uniform] = ACTIONS(2444),
    [anon_sym_row_major] = ACTIONS(2444),
    [anon_sym_column_major] = ACTIONS(2444),
    [anon_sym_globallycoherent] = ACTIONS(2444),
    [anon_sym_centroid] = ACTIONS(2444),
    [anon_sym_noperspective] = ACTIONS(2444),
    [anon_sym_nointerpolation] = ACTIONS(2444),
    [anon_sym_sample] = ACTIONS(2444),
    [anon_sym_linear] = ACTIONS(2444),
    [anon_sym_snorm] = ACTIONS(2444),
    [anon_sym_unorm] = ACTIONS(2444),
    [anon_sym_point] = ACTIONS(2444),
    [anon_sym_line] = ACTIONS(2444),
    [anon_sym_triangleadj] = ACTIONS(2444),
    [anon_sym_lineadj] = ACTIONS(2444),
    [anon_sym_triangle] = ACTIONS(2444),
    [anon_sym_cbuffer] = ACTIONS(2444),
  },
  [985] = {
    [sym_identifier] = ACTIONS(2330),
    [aux_sym_preproc_include_token1] = ACTIONS(2330),
    [aux_sym_preproc_def_token1] = ACTIONS(2330),
    [aux_sym_preproc_if_token1] = ACTIONS(2330),
    [aux_sym_preproc_if_token2] = ACTIONS(2330),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2330),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2330),
    [sym_preproc_directive] = ACTIONS(2330),
    [anon_sym_LPAREN2] = ACTIONS(2332),
    [anon_sym_BANG] = ACTIONS(2332),
    [anon_sym_TILDE] = ACTIONS(2332),
    [anon_sym_DASH] = ACTIONS(2330),
    [anon_sym_PLUS] = ACTIONS(2330),
    [anon_sym_STAR] = ACTIONS(2332),
    [anon_sym_AMP_AMP] = ACTIONS(2332),
    [anon_sym_AMP] = ACTIONS(2330),
    [anon_sym_SEMI] = ACTIONS(2332),
    [anon_sym___extension__] = ACTIONS(2330),
    [anon_sym_typedef] = ACTIONS(2330),
    [anon_sym_in] = ACTIONS(2330),
    [anon_sym_out] = ACTIONS(2330),
    [anon_sym_inout] = ACTIONS(2330),
    [anon_sym_extern] = ACTIONS(2330),
    [anon_sym___attribute__] = ACTIONS(2330),
    [anon_sym_COLON_COLON] = ACTIONS(2332),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2332),
    [anon_sym___declspec] = ACTIONS(2330),
    [anon_sym___based] = ACTIONS(2330),
    [anon_sym___cdecl] = ACTIONS(2330),
    [anon_sym___clrcall] = ACTIONS(2330),
    [anon_sym___stdcall] = ACTIONS(2330),
    [anon_sym___fastcall] = ACTIONS(2330),
    [anon_sym___thiscall] = ACTIONS(2330),
    [anon_sym___vectorcall] = ACTIONS(2330),
    [anon_sym_LBRACE] = ACTIONS(2332),
    [anon_sym_signed] = ACTIONS(2330),
    [anon_sym_unsigned] = ACTIONS(2330),
    [anon_sym_long] = ACTIONS(2330),
    [anon_sym_short] = ACTIONS(2330),
    [anon_sym_LBRACK] = ACTIONS(2330),
    [anon_sym_static] = ACTIONS(2330),
    [anon_sym_register] = ACTIONS(2330),
    [anon_sym_inline] = ACTIONS(2330),
    [anon_sym___inline] = ACTIONS(2330),
    [anon_sym___inline__] = ACTIONS(2330),
    [anon_sym___forceinline] = ACTIONS(2330),
    [anon_sym_thread_local] = ACTIONS(2330),
    [anon_sym___thread] = ACTIONS(2330),
    [anon_sym_const] = ACTIONS(2330),
    [anon_sym_constexpr] = ACTIONS(2330),
    [anon_sym_volatile] = ACTIONS(2330),
    [anon_sym_restrict] = ACTIONS(2330),
    [anon_sym___restrict__] = ACTIONS(2330),
    [anon_sym__Atomic] = ACTIONS(2330),
    [anon_sym__Noreturn] = ACTIONS(2330),
    [anon_sym_noreturn] = ACTIONS(2330),
    [anon_sym_mutable] = ACTIONS(2330),
    [anon_sym_constinit] = ACTIONS(2330),
    [anon_sym_consteval] = ACTIONS(2330),
    [sym_primitive_type] = ACTIONS(2330),
    [anon_sym_enum] = ACTIONS(2330),
    [anon_sym_class] = ACTIONS(2330),
    [anon_sym_struct] = ACTIONS(2330),
    [anon_sym_union] = ACTIONS(2330),
    [anon_sym_if] = ACTIONS(2330),
    [anon_sym_else] = ACTIONS(2330),
    [anon_sym_switch] = ACTIONS(2330),
    [anon_sym_case] = ACTIONS(2330),
    [anon_sym_default] = ACTIONS(2330),
    [anon_sym_while] = ACTIONS(2330),
    [anon_sym_do] = ACTIONS(2330),
    [anon_sym_for] = ACTIONS(2330),
    [anon_sym_return] = ACTIONS(2330),
    [anon_sym_break] = ACTIONS(2330),
    [anon_sym_continue] = ACTIONS(2330),
    [anon_sym_goto] = ACTIONS(2330),
    [anon_sym___try] = ACTIONS(2330),
    [anon_sym___leave] = ACTIONS(2330),
    [anon_sym_not] = ACTIONS(2330),
    [anon_sym_compl] = ACTIONS(2330),
    [anon_sym_DASH_DASH] = ACTIONS(2332),
    [anon_sym_PLUS_PLUS] = ACTIONS(2332),
    [anon_sym_sizeof] = ACTIONS(2330),
    [anon_sym___alignof__] = ACTIONS(2330),
    [anon_sym___alignof] = ACTIONS(2330),
    [anon_sym__alignof] = ACTIONS(2330),
    [anon_sym_alignof] = ACTIONS(2330),
    [anon_sym__Alignof] = ACTIONS(2330),
    [anon_sym_offsetof] = ACTIONS(2330),
    [anon_sym__Generic] = ACTIONS(2330),
    [anon_sym_asm] = ACTIONS(2330),
    [anon_sym___asm__] = ACTIONS(2330),
    [sym_number_literal] = ACTIONS(2332),
    [anon_sym_L_SQUOTE] = ACTIONS(2332),
    [anon_sym_u_SQUOTE] = ACTIONS(2332),
    [anon_sym_U_SQUOTE] = ACTIONS(2332),
    [anon_sym_u8_SQUOTE] = ACTIONS(2332),
    [anon_sym_SQUOTE] = ACTIONS(2332),
    [anon_sym_L_DQUOTE] = ACTIONS(2332),
    [anon_sym_u_DQUOTE] = ACTIONS(2332),
    [anon_sym_U_DQUOTE] = ACTIONS(2332),
    [anon_sym_u8_DQUOTE] = ACTIONS(2332),
    [anon_sym_DQUOTE] = ACTIONS(2332),
    [sym_true] = ACTIONS(2330),
    [sym_false] = ACTIONS(2330),
    [anon_sym_NULL] = ACTIONS(2330),
    [anon_sym_nullptr] = ACTIONS(2330),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2330),
    [anon_sym_decltype] = ACTIONS(2330),
    [anon_sym_virtual] = ACTIONS(2330),
    [anon_sym_alignas] = ACTIONS(2330),
    [anon_sym_explicit] = ACTIONS(2330),
    [anon_sym_typename] = ACTIONS(2330),
    [anon_sym_template] = ACTIONS(2330),
    [anon_sym_operator] = ACTIONS(2330),
    [anon_sym_try] = ACTIONS(2330),
    [anon_sym_delete] = ACTIONS(2330),
    [anon_sym_throw] = ACTIONS(2330),
    [anon_sym_namespace] = ACTIONS(2330),
    [anon_sym_using] = ACTIONS(2330),
    [anon_sym_static_assert] = ACTIONS(2330),
    [anon_sym_concept] = ACTIONS(2330),
    [anon_sym_co_return] = ACTIONS(2330),
    [anon_sym_co_yield] = ACTIONS(2330),
    [anon_sym_R_DQUOTE] = ACTIONS(2332),
    [anon_sym_LR_DQUOTE] = ACTIONS(2332),
    [anon_sym_uR_DQUOTE] = ACTIONS(2332),
    [anon_sym_UR_DQUOTE] = ACTIONS(2332),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2332),
    [anon_sym_co_await] = ACTIONS(2330),
    [anon_sym_new] = ACTIONS(2330),
    [anon_sym_requires] = ACTIONS(2330),
    [sym_this] = ACTIONS(2330),
    [anon_sym_discard] = ACTIONS(2330),
    [anon_sym_precise] = ACTIONS(2330),
    [anon_sym_shared] = ACTIONS(2330),
    [anon_sym_groupshared] = ACTIONS(2330),
    [anon_sym_uniform] = ACTIONS(2330),
    [anon_sym_row_major] = ACTIONS(2330),
    [anon_sym_column_major] = ACTIONS(2330),
    [anon_sym_globallycoherent] = ACTIONS(2330),
    [anon_sym_centroid] = ACTIONS(2330),
    [anon_sym_noperspective] = ACTIONS(2330),
    [anon_sym_nointerpolation] = ACTIONS(2330),
    [anon_sym_sample] = ACTIONS(2330),
    [anon_sym_linear] = ACTIONS(2330),
    [anon_sym_snorm] = ACTIONS(2330),
    [anon_sym_unorm] = ACTIONS(2330),
    [anon_sym_point] = ACTIONS(2330),
    [anon_sym_line] = ACTIONS(2330),
    [anon_sym_triangleadj] = ACTIONS(2330),
    [anon_sym_lineadj] = ACTIONS(2330),
    [anon_sym_triangle] = ACTIONS(2330),
    [anon_sym_cbuffer] = ACTIONS(2330),
  },
  [986] = {
    [sym_identifier] = ACTIONS(2330),
    [aux_sym_preproc_include_token1] = ACTIONS(2330),
    [aux_sym_preproc_def_token1] = ACTIONS(2330),
    [aux_sym_preproc_if_token1] = ACTIONS(2330),
    [aux_sym_preproc_if_token2] = ACTIONS(2330),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2330),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2330),
    [sym_preproc_directive] = ACTIONS(2330),
    [anon_sym_LPAREN2] = ACTIONS(2332),
    [anon_sym_BANG] = ACTIONS(2332),
    [anon_sym_TILDE] = ACTIONS(2332),
    [anon_sym_DASH] = ACTIONS(2330),
    [anon_sym_PLUS] = ACTIONS(2330),
    [anon_sym_STAR] = ACTIONS(2332),
    [anon_sym_AMP_AMP] = ACTIONS(2332),
    [anon_sym_AMP] = ACTIONS(2330),
    [anon_sym_SEMI] = ACTIONS(2332),
    [anon_sym___extension__] = ACTIONS(2330),
    [anon_sym_typedef] = ACTIONS(2330),
    [anon_sym_in] = ACTIONS(2330),
    [anon_sym_out] = ACTIONS(2330),
    [anon_sym_inout] = ACTIONS(2330),
    [anon_sym_extern] = ACTIONS(2330),
    [anon_sym___attribute__] = ACTIONS(2330),
    [anon_sym_COLON_COLON] = ACTIONS(2332),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2332),
    [anon_sym___declspec] = ACTIONS(2330),
    [anon_sym___based] = ACTIONS(2330),
    [anon_sym___cdecl] = ACTIONS(2330),
    [anon_sym___clrcall] = ACTIONS(2330),
    [anon_sym___stdcall] = ACTIONS(2330),
    [anon_sym___fastcall] = ACTIONS(2330),
    [anon_sym___thiscall] = ACTIONS(2330),
    [anon_sym___vectorcall] = ACTIONS(2330),
    [anon_sym_LBRACE] = ACTIONS(2332),
    [anon_sym_signed] = ACTIONS(2330),
    [anon_sym_unsigned] = ACTIONS(2330),
    [anon_sym_long] = ACTIONS(2330),
    [anon_sym_short] = ACTIONS(2330),
    [anon_sym_LBRACK] = ACTIONS(2330),
    [anon_sym_static] = ACTIONS(2330),
    [anon_sym_register] = ACTIONS(2330),
    [anon_sym_inline] = ACTIONS(2330),
    [anon_sym___inline] = ACTIONS(2330),
    [anon_sym___inline__] = ACTIONS(2330),
    [anon_sym___forceinline] = ACTIONS(2330),
    [anon_sym_thread_local] = ACTIONS(2330),
    [anon_sym___thread] = ACTIONS(2330),
    [anon_sym_const] = ACTIONS(2330),
    [anon_sym_constexpr] = ACTIONS(2330),
    [anon_sym_volatile] = ACTIONS(2330),
    [anon_sym_restrict] = ACTIONS(2330),
    [anon_sym___restrict__] = ACTIONS(2330),
    [anon_sym__Atomic] = ACTIONS(2330),
    [anon_sym__Noreturn] = ACTIONS(2330),
    [anon_sym_noreturn] = ACTIONS(2330),
    [anon_sym_mutable] = ACTIONS(2330),
    [anon_sym_constinit] = ACTIONS(2330),
    [anon_sym_consteval] = ACTIONS(2330),
    [sym_primitive_type] = ACTIONS(2330),
    [anon_sym_enum] = ACTIONS(2330),
    [anon_sym_class] = ACTIONS(2330),
    [anon_sym_struct] = ACTIONS(2330),
    [anon_sym_union] = ACTIONS(2330),
    [anon_sym_if] = ACTIONS(2330),
    [anon_sym_else] = ACTIONS(2330),
    [anon_sym_switch] = ACTIONS(2330),
    [anon_sym_case] = ACTIONS(2330),
    [anon_sym_default] = ACTIONS(2330),
    [anon_sym_while] = ACTIONS(2330),
    [anon_sym_do] = ACTIONS(2330),
    [anon_sym_for] = ACTIONS(2330),
    [anon_sym_return] = ACTIONS(2330),
    [anon_sym_break] = ACTIONS(2330),
    [anon_sym_continue] = ACTIONS(2330),
    [anon_sym_goto] = ACTIONS(2330),
    [anon_sym___try] = ACTIONS(2330),
    [anon_sym___leave] = ACTIONS(2330),
    [anon_sym_not] = ACTIONS(2330),
    [anon_sym_compl] = ACTIONS(2330),
    [anon_sym_DASH_DASH] = ACTIONS(2332),
    [anon_sym_PLUS_PLUS] = ACTIONS(2332),
    [anon_sym_sizeof] = ACTIONS(2330),
    [anon_sym___alignof__] = ACTIONS(2330),
    [anon_sym___alignof] = ACTIONS(2330),
    [anon_sym__alignof] = ACTIONS(2330),
    [anon_sym_alignof] = ACTIONS(2330),
    [anon_sym__Alignof] = ACTIONS(2330),
    [anon_sym_offsetof] = ACTIONS(2330),
    [anon_sym__Generic] = ACTIONS(2330),
    [anon_sym_asm] = ACTIONS(2330),
    [anon_sym___asm__] = ACTIONS(2330),
    [sym_number_literal] = ACTIONS(2332),
    [anon_sym_L_SQUOTE] = ACTIONS(2332),
    [anon_sym_u_SQUOTE] = ACTIONS(2332),
    [anon_sym_U_SQUOTE] = ACTIONS(2332),
    [anon_sym_u8_SQUOTE] = ACTIONS(2332),
    [anon_sym_SQUOTE] = ACTIONS(2332),
    [anon_sym_L_DQUOTE] = ACTIONS(2332),
    [anon_sym_u_DQUOTE] = ACTIONS(2332),
    [anon_sym_U_DQUOTE] = ACTIONS(2332),
    [anon_sym_u8_DQUOTE] = ACTIONS(2332),
    [anon_sym_DQUOTE] = ACTIONS(2332),
    [sym_true] = ACTIONS(2330),
    [sym_false] = ACTIONS(2330),
    [anon_sym_NULL] = ACTIONS(2330),
    [anon_sym_nullptr] = ACTIONS(2330),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2330),
    [anon_sym_decltype] = ACTIONS(2330),
    [anon_sym_virtual] = ACTIONS(2330),
    [anon_sym_alignas] = ACTIONS(2330),
    [anon_sym_explicit] = ACTIONS(2330),
    [anon_sym_typename] = ACTIONS(2330),
    [anon_sym_template] = ACTIONS(2330),
    [anon_sym_operator] = ACTIONS(2330),
    [anon_sym_try] = ACTIONS(2330),
    [anon_sym_delete] = ACTIONS(2330),
    [anon_sym_throw] = ACTIONS(2330),
    [anon_sym_namespace] = ACTIONS(2330),
    [anon_sym_using] = ACTIONS(2330),
    [anon_sym_static_assert] = ACTIONS(2330),
    [anon_sym_concept] = ACTIONS(2330),
    [anon_sym_co_return] = ACTIONS(2330),
    [anon_sym_co_yield] = ACTIONS(2330),
    [anon_sym_R_DQUOTE] = ACTIONS(2332),
    [anon_sym_LR_DQUOTE] = ACTIONS(2332),
    [anon_sym_uR_DQUOTE] = ACTIONS(2332),
    [anon_sym_UR_DQUOTE] = ACTIONS(2332),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2332),
    [anon_sym_co_await] = ACTIONS(2330),
    [anon_sym_new] = ACTIONS(2330),
    [anon_sym_requires] = ACTIONS(2330),
    [sym_this] = ACTIONS(2330),
    [anon_sym_discard] = ACTIONS(2330),
    [anon_sym_precise] = ACTIONS(2330),
    [anon_sym_shared] = ACTIONS(2330),
    [anon_sym_groupshared] = ACTIONS(2330),
    [anon_sym_uniform] = ACTIONS(2330),
    [anon_sym_row_major] = ACTIONS(2330),
    [anon_sym_column_major] = ACTIONS(2330),
    [anon_sym_globallycoherent] = ACTIONS(2330),
    [anon_sym_centroid] = ACTIONS(2330),
    [anon_sym_noperspective] = ACTIONS(2330),
    [anon_sym_nointerpolation] = ACTIONS(2330),
    [anon_sym_sample] = ACTIONS(2330),
    [anon_sym_linear] = ACTIONS(2330),
    [anon_sym_snorm] = ACTIONS(2330),
    [anon_sym_unorm] = ACTIONS(2330),
    [anon_sym_point] = ACTIONS(2330),
    [anon_sym_line] = ACTIONS(2330),
    [anon_sym_triangleadj] = ACTIONS(2330),
    [anon_sym_lineadj] = ACTIONS(2330),
    [anon_sym_triangle] = ACTIONS(2330),
    [anon_sym_cbuffer] = ACTIONS(2330),
  },
  [987] = {
    [sym_identifier] = ACTIONS(2444),
    [aux_sym_preproc_include_token1] = ACTIONS(2444),
    [aux_sym_preproc_def_token1] = ACTIONS(2444),
    [aux_sym_preproc_if_token1] = ACTIONS(2444),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2444),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2444),
    [sym_preproc_directive] = ACTIONS(2444),
    [anon_sym_LPAREN2] = ACTIONS(2446),
    [anon_sym_BANG] = ACTIONS(2446),
    [anon_sym_TILDE] = ACTIONS(2446),
    [anon_sym_DASH] = ACTIONS(2444),
    [anon_sym_PLUS] = ACTIONS(2444),
    [anon_sym_STAR] = ACTIONS(2446),
    [anon_sym_AMP_AMP] = ACTIONS(2446),
    [anon_sym_AMP] = ACTIONS(2444),
    [anon_sym_SEMI] = ACTIONS(2446),
    [anon_sym___extension__] = ACTIONS(2444),
    [anon_sym_typedef] = ACTIONS(2444),
    [anon_sym_in] = ACTIONS(2444),
    [anon_sym_out] = ACTIONS(2444),
    [anon_sym_inout] = ACTIONS(2444),
    [anon_sym_extern] = ACTIONS(2444),
    [anon_sym___attribute__] = ACTIONS(2444),
    [anon_sym_COLON_COLON] = ACTIONS(2446),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2446),
    [anon_sym___declspec] = ACTIONS(2444),
    [anon_sym___based] = ACTIONS(2444),
    [anon_sym___cdecl] = ACTIONS(2444),
    [anon_sym___clrcall] = ACTIONS(2444),
    [anon_sym___stdcall] = ACTIONS(2444),
    [anon_sym___fastcall] = ACTIONS(2444),
    [anon_sym___thiscall] = ACTIONS(2444),
    [anon_sym___vectorcall] = ACTIONS(2444),
    [anon_sym_LBRACE] = ACTIONS(2446),
    [anon_sym_RBRACE] = ACTIONS(2446),
    [anon_sym_signed] = ACTIONS(2444),
    [anon_sym_unsigned] = ACTIONS(2444),
    [anon_sym_long] = ACTIONS(2444),
    [anon_sym_short] = ACTIONS(2444),
    [anon_sym_LBRACK] = ACTIONS(2444),
    [anon_sym_static] = ACTIONS(2444),
    [anon_sym_register] = ACTIONS(2444),
    [anon_sym_inline] = ACTIONS(2444),
    [anon_sym___inline] = ACTIONS(2444),
    [anon_sym___inline__] = ACTIONS(2444),
    [anon_sym___forceinline] = ACTIONS(2444),
    [anon_sym_thread_local] = ACTIONS(2444),
    [anon_sym___thread] = ACTIONS(2444),
    [anon_sym_const] = ACTIONS(2444),
    [anon_sym_constexpr] = ACTIONS(2444),
    [anon_sym_volatile] = ACTIONS(2444),
    [anon_sym_restrict] = ACTIONS(2444),
    [anon_sym___restrict__] = ACTIONS(2444),
    [anon_sym__Atomic] = ACTIONS(2444),
    [anon_sym__Noreturn] = ACTIONS(2444),
    [anon_sym_noreturn] = ACTIONS(2444),
    [anon_sym_mutable] = ACTIONS(2444),
    [anon_sym_constinit] = ACTIONS(2444),
    [anon_sym_consteval] = ACTIONS(2444),
    [sym_primitive_type] = ACTIONS(2444),
    [anon_sym_enum] = ACTIONS(2444),
    [anon_sym_class] = ACTIONS(2444),
    [anon_sym_struct] = ACTIONS(2444),
    [anon_sym_union] = ACTIONS(2444),
    [anon_sym_if] = ACTIONS(2444),
    [anon_sym_else] = ACTIONS(2444),
    [anon_sym_switch] = ACTIONS(2444),
    [anon_sym_case] = ACTIONS(2444),
    [anon_sym_default] = ACTIONS(2444),
    [anon_sym_while] = ACTIONS(2444),
    [anon_sym_do] = ACTIONS(2444),
    [anon_sym_for] = ACTIONS(2444),
    [anon_sym_return] = ACTIONS(2444),
    [anon_sym_break] = ACTIONS(2444),
    [anon_sym_continue] = ACTIONS(2444),
    [anon_sym_goto] = ACTIONS(2444),
    [anon_sym___try] = ACTIONS(2444),
    [anon_sym___leave] = ACTIONS(2444),
    [anon_sym_not] = ACTIONS(2444),
    [anon_sym_compl] = ACTIONS(2444),
    [anon_sym_DASH_DASH] = ACTIONS(2446),
    [anon_sym_PLUS_PLUS] = ACTIONS(2446),
    [anon_sym_sizeof] = ACTIONS(2444),
    [anon_sym___alignof__] = ACTIONS(2444),
    [anon_sym___alignof] = ACTIONS(2444),
    [anon_sym__alignof] = ACTIONS(2444),
    [anon_sym_alignof] = ACTIONS(2444),
    [anon_sym__Alignof] = ACTIONS(2444),
    [anon_sym_offsetof] = ACTIONS(2444),
    [anon_sym__Generic] = ACTIONS(2444),
    [anon_sym_asm] = ACTIONS(2444),
    [anon_sym___asm__] = ACTIONS(2444),
    [sym_number_literal] = ACTIONS(2446),
    [anon_sym_L_SQUOTE] = ACTIONS(2446),
    [anon_sym_u_SQUOTE] = ACTIONS(2446),
    [anon_sym_U_SQUOTE] = ACTIONS(2446),
    [anon_sym_u8_SQUOTE] = ACTIONS(2446),
    [anon_sym_SQUOTE] = ACTIONS(2446),
    [anon_sym_L_DQUOTE] = ACTIONS(2446),
    [anon_sym_u_DQUOTE] = ACTIONS(2446),
    [anon_sym_U_DQUOTE] = ACTIONS(2446),
    [anon_sym_u8_DQUOTE] = ACTIONS(2446),
    [anon_sym_DQUOTE] = ACTIONS(2446),
    [sym_true] = ACTIONS(2444),
    [sym_false] = ACTIONS(2444),
    [anon_sym_NULL] = ACTIONS(2444),
    [anon_sym_nullptr] = ACTIONS(2444),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2444),
    [anon_sym_decltype] = ACTIONS(2444),
    [anon_sym_virtual] = ACTIONS(2444),
    [anon_sym_alignas] = ACTIONS(2444),
    [anon_sym_explicit] = ACTIONS(2444),
    [anon_sym_typename] = ACTIONS(2444),
    [anon_sym_template] = ACTIONS(2444),
    [anon_sym_operator] = ACTIONS(2444),
    [anon_sym_try] = ACTIONS(2444),
    [anon_sym_delete] = ACTIONS(2444),
    [anon_sym_throw] = ACTIONS(2444),
    [anon_sym_namespace] = ACTIONS(2444),
    [anon_sym_using] = ACTIONS(2444),
    [anon_sym_static_assert] = ACTIONS(2444),
    [anon_sym_concept] = ACTIONS(2444),
    [anon_sym_co_return] = ACTIONS(2444),
    [anon_sym_co_yield] = ACTIONS(2444),
    [anon_sym_R_DQUOTE] = ACTIONS(2446),
    [anon_sym_LR_DQUOTE] = ACTIONS(2446),
    [anon_sym_uR_DQUOTE] = ACTIONS(2446),
    [anon_sym_UR_DQUOTE] = ACTIONS(2446),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2446),
    [anon_sym_co_await] = ACTIONS(2444),
    [anon_sym_new] = ACTIONS(2444),
    [anon_sym_requires] = ACTIONS(2444),
    [sym_this] = ACTIONS(2444),
    [anon_sym_discard] = ACTIONS(2444),
    [anon_sym_precise] = ACTIONS(2444),
    [anon_sym_shared] = ACTIONS(2444),
    [anon_sym_groupshared] = ACTIONS(2444),
    [anon_sym_uniform] = ACTIONS(2444),
    [anon_sym_row_major] = ACTIONS(2444),
    [anon_sym_column_major] = ACTIONS(2444),
    [anon_sym_globallycoherent] = ACTIONS(2444),
    [anon_sym_centroid] = ACTIONS(2444),
    [anon_sym_noperspective] = ACTIONS(2444),
    [anon_sym_nointerpolation] = ACTIONS(2444),
    [anon_sym_sample] = ACTIONS(2444),
    [anon_sym_linear] = ACTIONS(2444),
    [anon_sym_snorm] = ACTIONS(2444),
    [anon_sym_unorm] = ACTIONS(2444),
    [anon_sym_point] = ACTIONS(2444),
    [anon_sym_line] = ACTIONS(2444),
    [anon_sym_triangleadj] = ACTIONS(2444),
    [anon_sym_lineadj] = ACTIONS(2444),
    [anon_sym_triangle] = ACTIONS(2444),
    [anon_sym_cbuffer] = ACTIONS(2444),
  },
  [988] = {
    [ts_builtin_sym_end] = ACTIONS(2482),
    [sym_identifier] = ACTIONS(2480),
    [aux_sym_preproc_include_token1] = ACTIONS(2480),
    [aux_sym_preproc_def_token1] = ACTIONS(2480),
    [aux_sym_preproc_if_token1] = ACTIONS(2480),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2480),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2480),
    [sym_preproc_directive] = ACTIONS(2480),
    [anon_sym_LPAREN2] = ACTIONS(2482),
    [anon_sym_BANG] = ACTIONS(2482),
    [anon_sym_TILDE] = ACTIONS(2482),
    [anon_sym_DASH] = ACTIONS(2480),
    [anon_sym_PLUS] = ACTIONS(2480),
    [anon_sym_STAR] = ACTIONS(2482),
    [anon_sym_AMP_AMP] = ACTIONS(2482),
    [anon_sym_AMP] = ACTIONS(2480),
    [anon_sym_SEMI] = ACTIONS(2482),
    [anon_sym___extension__] = ACTIONS(2480),
    [anon_sym_typedef] = ACTIONS(2480),
    [anon_sym_in] = ACTIONS(2480),
    [anon_sym_out] = ACTIONS(2480),
    [anon_sym_inout] = ACTIONS(2480),
    [anon_sym_extern] = ACTIONS(2480),
    [anon_sym___attribute__] = ACTIONS(2480),
    [anon_sym_COLON_COLON] = ACTIONS(2482),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2482),
    [anon_sym___declspec] = ACTIONS(2480),
    [anon_sym___based] = ACTIONS(2480),
    [anon_sym___cdecl] = ACTIONS(2480),
    [anon_sym___clrcall] = ACTIONS(2480),
    [anon_sym___stdcall] = ACTIONS(2480),
    [anon_sym___fastcall] = ACTIONS(2480),
    [anon_sym___thiscall] = ACTIONS(2480),
    [anon_sym___vectorcall] = ACTIONS(2480),
    [anon_sym_LBRACE] = ACTIONS(2482),
    [anon_sym_signed] = ACTIONS(2480),
    [anon_sym_unsigned] = ACTIONS(2480),
    [anon_sym_long] = ACTIONS(2480),
    [anon_sym_short] = ACTIONS(2480),
    [anon_sym_LBRACK] = ACTIONS(2480),
    [anon_sym_static] = ACTIONS(2480),
    [anon_sym_register] = ACTIONS(2480),
    [anon_sym_inline] = ACTIONS(2480),
    [anon_sym___inline] = ACTIONS(2480),
    [anon_sym___inline__] = ACTIONS(2480),
    [anon_sym___forceinline] = ACTIONS(2480),
    [anon_sym_thread_local] = ACTIONS(2480),
    [anon_sym___thread] = ACTIONS(2480),
    [anon_sym_const] = ACTIONS(2480),
    [anon_sym_constexpr] = ACTIONS(2480),
    [anon_sym_volatile] = ACTIONS(2480),
    [anon_sym_restrict] = ACTIONS(2480),
    [anon_sym___restrict__] = ACTIONS(2480),
    [anon_sym__Atomic] = ACTIONS(2480),
    [anon_sym__Noreturn] = ACTIONS(2480),
    [anon_sym_noreturn] = ACTIONS(2480),
    [anon_sym_mutable] = ACTIONS(2480),
    [anon_sym_constinit] = ACTIONS(2480),
    [anon_sym_consteval] = ACTIONS(2480),
    [sym_primitive_type] = ACTIONS(2480),
    [anon_sym_enum] = ACTIONS(2480),
    [anon_sym_class] = ACTIONS(2480),
    [anon_sym_struct] = ACTIONS(2480),
    [anon_sym_union] = ACTIONS(2480),
    [anon_sym_if] = ACTIONS(2480),
    [anon_sym_else] = ACTIONS(2480),
    [anon_sym_switch] = ACTIONS(2480),
    [anon_sym_case] = ACTIONS(2480),
    [anon_sym_default] = ACTIONS(2480),
    [anon_sym_while] = ACTIONS(2480),
    [anon_sym_do] = ACTIONS(2480),
    [anon_sym_for] = ACTIONS(2480),
    [anon_sym_return] = ACTIONS(2480),
    [anon_sym_break] = ACTIONS(2480),
    [anon_sym_continue] = ACTIONS(2480),
    [anon_sym_goto] = ACTIONS(2480),
    [anon_sym___try] = ACTIONS(2480),
    [anon_sym___leave] = ACTIONS(2480),
    [anon_sym_not] = ACTIONS(2480),
    [anon_sym_compl] = ACTIONS(2480),
    [anon_sym_DASH_DASH] = ACTIONS(2482),
    [anon_sym_PLUS_PLUS] = ACTIONS(2482),
    [anon_sym_sizeof] = ACTIONS(2480),
    [anon_sym___alignof__] = ACTIONS(2480),
    [anon_sym___alignof] = ACTIONS(2480),
    [anon_sym__alignof] = ACTIONS(2480),
    [anon_sym_alignof] = ACTIONS(2480),
    [anon_sym__Alignof] = ACTIONS(2480),
    [anon_sym_offsetof] = ACTIONS(2480),
    [anon_sym__Generic] = ACTIONS(2480),
    [anon_sym_asm] = ACTIONS(2480),
    [anon_sym___asm__] = ACTIONS(2480),
    [sym_number_literal] = ACTIONS(2482),
    [anon_sym_L_SQUOTE] = ACTIONS(2482),
    [anon_sym_u_SQUOTE] = ACTIONS(2482),
    [anon_sym_U_SQUOTE] = ACTIONS(2482),
    [anon_sym_u8_SQUOTE] = ACTIONS(2482),
    [anon_sym_SQUOTE] = ACTIONS(2482),
    [anon_sym_L_DQUOTE] = ACTIONS(2482),
    [anon_sym_u_DQUOTE] = ACTIONS(2482),
    [anon_sym_U_DQUOTE] = ACTIONS(2482),
    [anon_sym_u8_DQUOTE] = ACTIONS(2482),
    [anon_sym_DQUOTE] = ACTIONS(2482),
    [sym_true] = ACTIONS(2480),
    [sym_false] = ACTIONS(2480),
    [anon_sym_NULL] = ACTIONS(2480),
    [anon_sym_nullptr] = ACTIONS(2480),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2480),
    [anon_sym_decltype] = ACTIONS(2480),
    [anon_sym_virtual] = ACTIONS(2480),
    [anon_sym_alignas] = ACTIONS(2480),
    [anon_sym_explicit] = ACTIONS(2480),
    [anon_sym_typename] = ACTIONS(2480),
    [anon_sym_template] = ACTIONS(2480),
    [anon_sym_operator] = ACTIONS(2480),
    [anon_sym_try] = ACTIONS(2480),
    [anon_sym_delete] = ACTIONS(2480),
    [anon_sym_throw] = ACTIONS(2480),
    [anon_sym_namespace] = ACTIONS(2480),
    [anon_sym_using] = ACTIONS(2480),
    [anon_sym_static_assert] = ACTIONS(2480),
    [anon_sym_concept] = ACTIONS(2480),
    [anon_sym_co_return] = ACTIONS(2480),
    [anon_sym_co_yield] = ACTIONS(2480),
    [anon_sym_R_DQUOTE] = ACTIONS(2482),
    [anon_sym_LR_DQUOTE] = ACTIONS(2482),
    [anon_sym_uR_DQUOTE] = ACTIONS(2482),
    [anon_sym_UR_DQUOTE] = ACTIONS(2482),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2482),
    [anon_sym_co_await] = ACTIONS(2480),
    [anon_sym_new] = ACTIONS(2480),
    [anon_sym_requires] = ACTIONS(2480),
    [sym_this] = ACTIONS(2480),
    [anon_sym_discard] = ACTIONS(2480),
    [anon_sym_precise] = ACTIONS(2480),
    [anon_sym_shared] = ACTIONS(2480),
    [anon_sym_groupshared] = ACTIONS(2480),
    [anon_sym_uniform] = ACTIONS(2480),
    [anon_sym_row_major] = ACTIONS(2480),
    [anon_sym_column_major] = ACTIONS(2480),
    [anon_sym_globallycoherent] = ACTIONS(2480),
    [anon_sym_centroid] = ACTIONS(2480),
    [anon_sym_noperspective] = ACTIONS(2480),
    [anon_sym_nointerpolation] = ACTIONS(2480),
    [anon_sym_sample] = ACTIONS(2480),
    [anon_sym_linear] = ACTIONS(2480),
    [anon_sym_snorm] = ACTIONS(2480),
    [anon_sym_unorm] = ACTIONS(2480),
    [anon_sym_point] = ACTIONS(2480),
    [anon_sym_line] = ACTIONS(2480),
    [anon_sym_triangleadj] = ACTIONS(2480),
    [anon_sym_lineadj] = ACTIONS(2480),
    [anon_sym_triangle] = ACTIONS(2480),
    [anon_sym_cbuffer] = ACTIONS(2480),
  },
  [989] = {
    [ts_builtin_sym_end] = ACTIONS(2478),
    [sym_identifier] = ACTIONS(2476),
    [aux_sym_preproc_include_token1] = ACTIONS(2476),
    [aux_sym_preproc_def_token1] = ACTIONS(2476),
    [aux_sym_preproc_if_token1] = ACTIONS(2476),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2476),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2476),
    [sym_preproc_directive] = ACTIONS(2476),
    [anon_sym_LPAREN2] = ACTIONS(2478),
    [anon_sym_BANG] = ACTIONS(2478),
    [anon_sym_TILDE] = ACTIONS(2478),
    [anon_sym_DASH] = ACTIONS(2476),
    [anon_sym_PLUS] = ACTIONS(2476),
    [anon_sym_STAR] = ACTIONS(2478),
    [anon_sym_AMP_AMP] = ACTIONS(2478),
    [anon_sym_AMP] = ACTIONS(2476),
    [anon_sym_SEMI] = ACTIONS(2478),
    [anon_sym___extension__] = ACTIONS(2476),
    [anon_sym_typedef] = ACTIONS(2476),
    [anon_sym_in] = ACTIONS(2476),
    [anon_sym_out] = ACTIONS(2476),
    [anon_sym_inout] = ACTIONS(2476),
    [anon_sym_extern] = ACTIONS(2476),
    [anon_sym___attribute__] = ACTIONS(2476),
    [anon_sym_COLON_COLON] = ACTIONS(2478),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2478),
    [anon_sym___declspec] = ACTIONS(2476),
    [anon_sym___based] = ACTIONS(2476),
    [anon_sym___cdecl] = ACTIONS(2476),
    [anon_sym___clrcall] = ACTIONS(2476),
    [anon_sym___stdcall] = ACTIONS(2476),
    [anon_sym___fastcall] = ACTIONS(2476),
    [anon_sym___thiscall] = ACTIONS(2476),
    [anon_sym___vectorcall] = ACTIONS(2476),
    [anon_sym_LBRACE] = ACTIONS(2478),
    [anon_sym_signed] = ACTIONS(2476),
    [anon_sym_unsigned] = ACTIONS(2476),
    [anon_sym_long] = ACTIONS(2476),
    [anon_sym_short] = ACTIONS(2476),
    [anon_sym_LBRACK] = ACTIONS(2476),
    [anon_sym_static] = ACTIONS(2476),
    [anon_sym_register] = ACTIONS(2476),
    [anon_sym_inline] = ACTIONS(2476),
    [anon_sym___inline] = ACTIONS(2476),
    [anon_sym___inline__] = ACTIONS(2476),
    [anon_sym___forceinline] = ACTIONS(2476),
    [anon_sym_thread_local] = ACTIONS(2476),
    [anon_sym___thread] = ACTIONS(2476),
    [anon_sym_const] = ACTIONS(2476),
    [anon_sym_constexpr] = ACTIONS(2476),
    [anon_sym_volatile] = ACTIONS(2476),
    [anon_sym_restrict] = ACTIONS(2476),
    [anon_sym___restrict__] = ACTIONS(2476),
    [anon_sym__Atomic] = ACTIONS(2476),
    [anon_sym__Noreturn] = ACTIONS(2476),
    [anon_sym_noreturn] = ACTIONS(2476),
    [anon_sym_mutable] = ACTIONS(2476),
    [anon_sym_constinit] = ACTIONS(2476),
    [anon_sym_consteval] = ACTIONS(2476),
    [sym_primitive_type] = ACTIONS(2476),
    [anon_sym_enum] = ACTIONS(2476),
    [anon_sym_class] = ACTIONS(2476),
    [anon_sym_struct] = ACTIONS(2476),
    [anon_sym_union] = ACTIONS(2476),
    [anon_sym_if] = ACTIONS(2476),
    [anon_sym_else] = ACTIONS(2476),
    [anon_sym_switch] = ACTIONS(2476),
    [anon_sym_case] = ACTIONS(2476),
    [anon_sym_default] = ACTIONS(2476),
    [anon_sym_while] = ACTIONS(2476),
    [anon_sym_do] = ACTIONS(2476),
    [anon_sym_for] = ACTIONS(2476),
    [anon_sym_return] = ACTIONS(2476),
    [anon_sym_break] = ACTIONS(2476),
    [anon_sym_continue] = ACTIONS(2476),
    [anon_sym_goto] = ACTIONS(2476),
    [anon_sym___try] = ACTIONS(2476),
    [anon_sym___leave] = ACTIONS(2476),
    [anon_sym_not] = ACTIONS(2476),
    [anon_sym_compl] = ACTIONS(2476),
    [anon_sym_DASH_DASH] = ACTIONS(2478),
    [anon_sym_PLUS_PLUS] = ACTIONS(2478),
    [anon_sym_sizeof] = ACTIONS(2476),
    [anon_sym___alignof__] = ACTIONS(2476),
    [anon_sym___alignof] = ACTIONS(2476),
    [anon_sym__alignof] = ACTIONS(2476),
    [anon_sym_alignof] = ACTIONS(2476),
    [anon_sym__Alignof] = ACTIONS(2476),
    [anon_sym_offsetof] = ACTIONS(2476),
    [anon_sym__Generic] = ACTIONS(2476),
    [anon_sym_asm] = ACTIONS(2476),
    [anon_sym___asm__] = ACTIONS(2476),
    [sym_number_literal] = ACTIONS(2478),
    [anon_sym_L_SQUOTE] = ACTIONS(2478),
    [anon_sym_u_SQUOTE] = ACTIONS(2478),
    [anon_sym_U_SQUOTE] = ACTIONS(2478),
    [anon_sym_u8_SQUOTE] = ACTIONS(2478),
    [anon_sym_SQUOTE] = ACTIONS(2478),
    [anon_sym_L_DQUOTE] = ACTIONS(2478),
    [anon_sym_u_DQUOTE] = ACTIONS(2478),
    [anon_sym_U_DQUOTE] = ACTIONS(2478),
    [anon_sym_u8_DQUOTE] = ACTIONS(2478),
    [anon_sym_DQUOTE] = ACTIONS(2478),
    [sym_true] = ACTIONS(2476),
    [sym_false] = ACTIONS(2476),
    [anon_sym_NULL] = ACTIONS(2476),
    [anon_sym_nullptr] = ACTIONS(2476),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2476),
    [anon_sym_decltype] = ACTIONS(2476),
    [anon_sym_virtual] = ACTIONS(2476),
    [anon_sym_alignas] = ACTIONS(2476),
    [anon_sym_explicit] = ACTIONS(2476),
    [anon_sym_typename] = ACTIONS(2476),
    [anon_sym_template] = ACTIONS(2476),
    [anon_sym_operator] = ACTIONS(2476),
    [anon_sym_try] = ACTIONS(2476),
    [anon_sym_delete] = ACTIONS(2476),
    [anon_sym_throw] = ACTIONS(2476),
    [anon_sym_namespace] = ACTIONS(2476),
    [anon_sym_using] = ACTIONS(2476),
    [anon_sym_static_assert] = ACTIONS(2476),
    [anon_sym_concept] = ACTIONS(2476),
    [anon_sym_co_return] = ACTIONS(2476),
    [anon_sym_co_yield] = ACTIONS(2476),
    [anon_sym_R_DQUOTE] = ACTIONS(2478),
    [anon_sym_LR_DQUOTE] = ACTIONS(2478),
    [anon_sym_uR_DQUOTE] = ACTIONS(2478),
    [anon_sym_UR_DQUOTE] = ACTIONS(2478),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2478),
    [anon_sym_co_await] = ACTIONS(2476),
    [anon_sym_new] = ACTIONS(2476),
    [anon_sym_requires] = ACTIONS(2476),
    [sym_this] = ACTIONS(2476),
    [anon_sym_discard] = ACTIONS(2476),
    [anon_sym_precise] = ACTIONS(2476),
    [anon_sym_shared] = ACTIONS(2476),
    [anon_sym_groupshared] = ACTIONS(2476),
    [anon_sym_uniform] = ACTIONS(2476),
    [anon_sym_row_major] = ACTIONS(2476),
    [anon_sym_column_major] = ACTIONS(2476),
    [anon_sym_globallycoherent] = ACTIONS(2476),
    [anon_sym_centroid] = ACTIONS(2476),
    [anon_sym_noperspective] = ACTIONS(2476),
    [anon_sym_nointerpolation] = ACTIONS(2476),
    [anon_sym_sample] = ACTIONS(2476),
    [anon_sym_linear] = ACTIONS(2476),
    [anon_sym_snorm] = ACTIONS(2476),
    [anon_sym_unorm] = ACTIONS(2476),
    [anon_sym_point] = ACTIONS(2476),
    [anon_sym_line] = ACTIONS(2476),
    [anon_sym_triangleadj] = ACTIONS(2476),
    [anon_sym_lineadj] = ACTIONS(2476),
    [anon_sym_triangle] = ACTIONS(2476),
    [anon_sym_cbuffer] = ACTIONS(2476),
  },
  [990] = {
    [sym_identifier] = ACTIONS(2330),
    [aux_sym_preproc_include_token1] = ACTIONS(2330),
    [aux_sym_preproc_def_token1] = ACTIONS(2330),
    [aux_sym_preproc_if_token1] = ACTIONS(2330),
    [aux_sym_preproc_if_token2] = ACTIONS(2330),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2330),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2330),
    [sym_preproc_directive] = ACTIONS(2330),
    [anon_sym_LPAREN2] = ACTIONS(2332),
    [anon_sym_BANG] = ACTIONS(2332),
    [anon_sym_TILDE] = ACTIONS(2332),
    [anon_sym_DASH] = ACTIONS(2330),
    [anon_sym_PLUS] = ACTIONS(2330),
    [anon_sym_STAR] = ACTIONS(2332),
    [anon_sym_AMP_AMP] = ACTIONS(2332),
    [anon_sym_AMP] = ACTIONS(2330),
    [anon_sym_SEMI] = ACTIONS(2332),
    [anon_sym___extension__] = ACTIONS(2330),
    [anon_sym_typedef] = ACTIONS(2330),
    [anon_sym_in] = ACTIONS(2330),
    [anon_sym_out] = ACTIONS(2330),
    [anon_sym_inout] = ACTIONS(2330),
    [anon_sym_extern] = ACTIONS(2330),
    [anon_sym___attribute__] = ACTIONS(2330),
    [anon_sym_COLON_COLON] = ACTIONS(2332),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2332),
    [anon_sym___declspec] = ACTIONS(2330),
    [anon_sym___based] = ACTIONS(2330),
    [anon_sym___cdecl] = ACTIONS(2330),
    [anon_sym___clrcall] = ACTIONS(2330),
    [anon_sym___stdcall] = ACTIONS(2330),
    [anon_sym___fastcall] = ACTIONS(2330),
    [anon_sym___thiscall] = ACTIONS(2330),
    [anon_sym___vectorcall] = ACTIONS(2330),
    [anon_sym_LBRACE] = ACTIONS(2332),
    [anon_sym_signed] = ACTIONS(2330),
    [anon_sym_unsigned] = ACTIONS(2330),
    [anon_sym_long] = ACTIONS(2330),
    [anon_sym_short] = ACTIONS(2330),
    [anon_sym_LBRACK] = ACTIONS(2330),
    [anon_sym_static] = ACTIONS(2330),
    [anon_sym_register] = ACTIONS(2330),
    [anon_sym_inline] = ACTIONS(2330),
    [anon_sym___inline] = ACTIONS(2330),
    [anon_sym___inline__] = ACTIONS(2330),
    [anon_sym___forceinline] = ACTIONS(2330),
    [anon_sym_thread_local] = ACTIONS(2330),
    [anon_sym___thread] = ACTIONS(2330),
    [anon_sym_const] = ACTIONS(2330),
    [anon_sym_constexpr] = ACTIONS(2330),
    [anon_sym_volatile] = ACTIONS(2330),
    [anon_sym_restrict] = ACTIONS(2330),
    [anon_sym___restrict__] = ACTIONS(2330),
    [anon_sym__Atomic] = ACTIONS(2330),
    [anon_sym__Noreturn] = ACTIONS(2330),
    [anon_sym_noreturn] = ACTIONS(2330),
    [anon_sym_mutable] = ACTIONS(2330),
    [anon_sym_constinit] = ACTIONS(2330),
    [anon_sym_consteval] = ACTIONS(2330),
    [sym_primitive_type] = ACTIONS(2330),
    [anon_sym_enum] = ACTIONS(2330),
    [anon_sym_class] = ACTIONS(2330),
    [anon_sym_struct] = ACTIONS(2330),
    [anon_sym_union] = ACTIONS(2330),
    [anon_sym_if] = ACTIONS(2330),
    [anon_sym_else] = ACTIONS(2330),
    [anon_sym_switch] = ACTIONS(2330),
    [anon_sym_case] = ACTIONS(2330),
    [anon_sym_default] = ACTIONS(2330),
    [anon_sym_while] = ACTIONS(2330),
    [anon_sym_do] = ACTIONS(2330),
    [anon_sym_for] = ACTIONS(2330),
    [anon_sym_return] = ACTIONS(2330),
    [anon_sym_break] = ACTIONS(2330),
    [anon_sym_continue] = ACTIONS(2330),
    [anon_sym_goto] = ACTIONS(2330),
    [anon_sym___try] = ACTIONS(2330),
    [anon_sym___leave] = ACTIONS(2330),
    [anon_sym_not] = ACTIONS(2330),
    [anon_sym_compl] = ACTIONS(2330),
    [anon_sym_DASH_DASH] = ACTIONS(2332),
    [anon_sym_PLUS_PLUS] = ACTIONS(2332),
    [anon_sym_sizeof] = ACTIONS(2330),
    [anon_sym___alignof__] = ACTIONS(2330),
    [anon_sym___alignof] = ACTIONS(2330),
    [anon_sym__alignof] = ACTIONS(2330),
    [anon_sym_alignof] = ACTIONS(2330),
    [anon_sym__Alignof] = ACTIONS(2330),
    [anon_sym_offsetof] = ACTIONS(2330),
    [anon_sym__Generic] = ACTIONS(2330),
    [anon_sym_asm] = ACTIONS(2330),
    [anon_sym___asm__] = ACTIONS(2330),
    [sym_number_literal] = ACTIONS(2332),
    [anon_sym_L_SQUOTE] = ACTIONS(2332),
    [anon_sym_u_SQUOTE] = ACTIONS(2332),
    [anon_sym_U_SQUOTE] = ACTIONS(2332),
    [anon_sym_u8_SQUOTE] = ACTIONS(2332),
    [anon_sym_SQUOTE] = ACTIONS(2332),
    [anon_sym_L_DQUOTE] = ACTIONS(2332),
    [anon_sym_u_DQUOTE] = ACTIONS(2332),
    [anon_sym_U_DQUOTE] = ACTIONS(2332),
    [anon_sym_u8_DQUOTE] = ACTIONS(2332),
    [anon_sym_DQUOTE] = ACTIONS(2332),
    [sym_true] = ACTIONS(2330),
    [sym_false] = ACTIONS(2330),
    [anon_sym_NULL] = ACTIONS(2330),
    [anon_sym_nullptr] = ACTIONS(2330),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2330),
    [anon_sym_decltype] = ACTIONS(2330),
    [anon_sym_virtual] = ACTIONS(2330),
    [anon_sym_alignas] = ACTIONS(2330),
    [anon_sym_explicit] = ACTIONS(2330),
    [anon_sym_typename] = ACTIONS(2330),
    [anon_sym_template] = ACTIONS(2330),
    [anon_sym_operator] = ACTIONS(2330),
    [anon_sym_try] = ACTIONS(2330),
    [anon_sym_delete] = ACTIONS(2330),
    [anon_sym_throw] = ACTIONS(2330),
    [anon_sym_namespace] = ACTIONS(2330),
    [anon_sym_using] = ACTIONS(2330),
    [anon_sym_static_assert] = ACTIONS(2330),
    [anon_sym_concept] = ACTIONS(2330),
    [anon_sym_co_return] = ACTIONS(2330),
    [anon_sym_co_yield] = ACTIONS(2330),
    [anon_sym_R_DQUOTE] = ACTIONS(2332),
    [anon_sym_LR_DQUOTE] = ACTIONS(2332),
    [anon_sym_uR_DQUOTE] = ACTIONS(2332),
    [anon_sym_UR_DQUOTE] = ACTIONS(2332),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2332),
    [anon_sym_co_await] = ACTIONS(2330),
    [anon_sym_new] = ACTIONS(2330),
    [anon_sym_requires] = ACTIONS(2330),
    [sym_this] = ACTIONS(2330),
    [anon_sym_discard] = ACTIONS(2330),
    [anon_sym_precise] = ACTIONS(2330),
    [anon_sym_shared] = ACTIONS(2330),
    [anon_sym_groupshared] = ACTIONS(2330),
    [anon_sym_uniform] = ACTIONS(2330),
    [anon_sym_row_major] = ACTIONS(2330),
    [anon_sym_column_major] = ACTIONS(2330),
    [anon_sym_globallycoherent] = ACTIONS(2330),
    [anon_sym_centroid] = ACTIONS(2330),
    [anon_sym_noperspective] = ACTIONS(2330),
    [anon_sym_nointerpolation] = ACTIONS(2330),
    [anon_sym_sample] = ACTIONS(2330),
    [anon_sym_linear] = ACTIONS(2330),
    [anon_sym_snorm] = ACTIONS(2330),
    [anon_sym_unorm] = ACTIONS(2330),
    [anon_sym_point] = ACTIONS(2330),
    [anon_sym_line] = ACTIONS(2330),
    [anon_sym_triangleadj] = ACTIONS(2330),
    [anon_sym_lineadj] = ACTIONS(2330),
    [anon_sym_triangle] = ACTIONS(2330),
    [anon_sym_cbuffer] = ACTIONS(2330),
  },
  [991] = {
    [sym_identifier] = ACTIONS(2472),
    [aux_sym_preproc_include_token1] = ACTIONS(2472),
    [aux_sym_preproc_def_token1] = ACTIONS(2472),
    [aux_sym_preproc_if_token1] = ACTIONS(2472),
    [aux_sym_preproc_if_token2] = ACTIONS(2472),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2472),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2472),
    [sym_preproc_directive] = ACTIONS(2472),
    [anon_sym_LPAREN2] = ACTIONS(2474),
    [anon_sym_BANG] = ACTIONS(2474),
    [anon_sym_TILDE] = ACTIONS(2474),
    [anon_sym_DASH] = ACTIONS(2472),
    [anon_sym_PLUS] = ACTIONS(2472),
    [anon_sym_STAR] = ACTIONS(2474),
    [anon_sym_AMP_AMP] = ACTIONS(2474),
    [anon_sym_AMP] = ACTIONS(2472),
    [anon_sym_SEMI] = ACTIONS(2474),
    [anon_sym___extension__] = ACTIONS(2472),
    [anon_sym_typedef] = ACTIONS(2472),
    [anon_sym_in] = ACTIONS(2472),
    [anon_sym_out] = ACTIONS(2472),
    [anon_sym_inout] = ACTIONS(2472),
    [anon_sym_extern] = ACTIONS(2472),
    [anon_sym___attribute__] = ACTIONS(2472),
    [anon_sym_COLON_COLON] = ACTIONS(2474),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2474),
    [anon_sym___declspec] = ACTIONS(2472),
    [anon_sym___based] = ACTIONS(2472),
    [anon_sym___cdecl] = ACTIONS(2472),
    [anon_sym___clrcall] = ACTIONS(2472),
    [anon_sym___stdcall] = ACTIONS(2472),
    [anon_sym___fastcall] = ACTIONS(2472),
    [anon_sym___thiscall] = ACTIONS(2472),
    [anon_sym___vectorcall] = ACTIONS(2472),
    [anon_sym_LBRACE] = ACTIONS(2474),
    [anon_sym_signed] = ACTIONS(2472),
    [anon_sym_unsigned] = ACTIONS(2472),
    [anon_sym_long] = ACTIONS(2472),
    [anon_sym_short] = ACTIONS(2472),
    [anon_sym_LBRACK] = ACTIONS(2472),
    [anon_sym_static] = ACTIONS(2472),
    [anon_sym_register] = ACTIONS(2472),
    [anon_sym_inline] = ACTIONS(2472),
    [anon_sym___inline] = ACTIONS(2472),
    [anon_sym___inline__] = ACTIONS(2472),
    [anon_sym___forceinline] = ACTIONS(2472),
    [anon_sym_thread_local] = ACTIONS(2472),
    [anon_sym___thread] = ACTIONS(2472),
    [anon_sym_const] = ACTIONS(2472),
    [anon_sym_constexpr] = ACTIONS(2472),
    [anon_sym_volatile] = ACTIONS(2472),
    [anon_sym_restrict] = ACTIONS(2472),
    [anon_sym___restrict__] = ACTIONS(2472),
    [anon_sym__Atomic] = ACTIONS(2472),
    [anon_sym__Noreturn] = ACTIONS(2472),
    [anon_sym_noreturn] = ACTIONS(2472),
    [anon_sym_mutable] = ACTIONS(2472),
    [anon_sym_constinit] = ACTIONS(2472),
    [anon_sym_consteval] = ACTIONS(2472),
    [sym_primitive_type] = ACTIONS(2472),
    [anon_sym_enum] = ACTIONS(2472),
    [anon_sym_class] = ACTIONS(2472),
    [anon_sym_struct] = ACTIONS(2472),
    [anon_sym_union] = ACTIONS(2472),
    [anon_sym_if] = ACTIONS(2472),
    [anon_sym_else] = ACTIONS(2472),
    [anon_sym_switch] = ACTIONS(2472),
    [anon_sym_case] = ACTIONS(2472),
    [anon_sym_default] = ACTIONS(2472),
    [anon_sym_while] = ACTIONS(2472),
    [anon_sym_do] = ACTIONS(2472),
    [anon_sym_for] = ACTIONS(2472),
    [anon_sym_return] = ACTIONS(2472),
    [anon_sym_break] = ACTIONS(2472),
    [anon_sym_continue] = ACTIONS(2472),
    [anon_sym_goto] = ACTIONS(2472),
    [anon_sym___try] = ACTIONS(2472),
    [anon_sym___leave] = ACTIONS(2472),
    [anon_sym_not] = ACTIONS(2472),
    [anon_sym_compl] = ACTIONS(2472),
    [anon_sym_DASH_DASH] = ACTIONS(2474),
    [anon_sym_PLUS_PLUS] = ACTIONS(2474),
    [anon_sym_sizeof] = ACTIONS(2472),
    [anon_sym___alignof__] = ACTIONS(2472),
    [anon_sym___alignof] = ACTIONS(2472),
    [anon_sym__alignof] = ACTIONS(2472),
    [anon_sym_alignof] = ACTIONS(2472),
    [anon_sym__Alignof] = ACTIONS(2472),
    [anon_sym_offsetof] = ACTIONS(2472),
    [anon_sym__Generic] = ACTIONS(2472),
    [anon_sym_asm] = ACTIONS(2472),
    [anon_sym___asm__] = ACTIONS(2472),
    [sym_number_literal] = ACTIONS(2474),
    [anon_sym_L_SQUOTE] = ACTIONS(2474),
    [anon_sym_u_SQUOTE] = ACTIONS(2474),
    [anon_sym_U_SQUOTE] = ACTIONS(2474),
    [anon_sym_u8_SQUOTE] = ACTIONS(2474),
    [anon_sym_SQUOTE] = ACTIONS(2474),
    [anon_sym_L_DQUOTE] = ACTIONS(2474),
    [anon_sym_u_DQUOTE] = ACTIONS(2474),
    [anon_sym_U_DQUOTE] = ACTIONS(2474),
    [anon_sym_u8_DQUOTE] = ACTIONS(2474),
    [anon_sym_DQUOTE] = ACTIONS(2474),
    [sym_true] = ACTIONS(2472),
    [sym_false] = ACTIONS(2472),
    [anon_sym_NULL] = ACTIONS(2472),
    [anon_sym_nullptr] = ACTIONS(2472),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2472),
    [anon_sym_decltype] = ACTIONS(2472),
    [anon_sym_virtual] = ACTIONS(2472),
    [anon_sym_alignas] = ACTIONS(2472),
    [anon_sym_explicit] = ACTIONS(2472),
    [anon_sym_typename] = ACTIONS(2472),
    [anon_sym_template] = ACTIONS(2472),
    [anon_sym_operator] = ACTIONS(2472),
    [anon_sym_try] = ACTIONS(2472),
    [anon_sym_delete] = ACTIONS(2472),
    [anon_sym_throw] = ACTIONS(2472),
    [anon_sym_namespace] = ACTIONS(2472),
    [anon_sym_using] = ACTIONS(2472),
    [anon_sym_static_assert] = ACTIONS(2472),
    [anon_sym_concept] = ACTIONS(2472),
    [anon_sym_co_return] = ACTIONS(2472),
    [anon_sym_co_yield] = ACTIONS(2472),
    [anon_sym_R_DQUOTE] = ACTIONS(2474),
    [anon_sym_LR_DQUOTE] = ACTIONS(2474),
    [anon_sym_uR_DQUOTE] = ACTIONS(2474),
    [anon_sym_UR_DQUOTE] = ACTIONS(2474),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2474),
    [anon_sym_co_await] = ACTIONS(2472),
    [anon_sym_new] = ACTIONS(2472),
    [anon_sym_requires] = ACTIONS(2472),
    [sym_this] = ACTIONS(2472),
    [anon_sym_discard] = ACTIONS(2472),
    [anon_sym_precise] = ACTIONS(2472),
    [anon_sym_shared] = ACTIONS(2472),
    [anon_sym_groupshared] = ACTIONS(2472),
    [anon_sym_uniform] = ACTIONS(2472),
    [anon_sym_row_major] = ACTIONS(2472),
    [anon_sym_column_major] = ACTIONS(2472),
    [anon_sym_globallycoherent] = ACTIONS(2472),
    [anon_sym_centroid] = ACTIONS(2472),
    [anon_sym_noperspective] = ACTIONS(2472),
    [anon_sym_nointerpolation] = ACTIONS(2472),
    [anon_sym_sample] = ACTIONS(2472),
    [anon_sym_linear] = ACTIONS(2472),
    [anon_sym_snorm] = ACTIONS(2472),
    [anon_sym_unorm] = ACTIONS(2472),
    [anon_sym_point] = ACTIONS(2472),
    [anon_sym_line] = ACTIONS(2472),
    [anon_sym_triangleadj] = ACTIONS(2472),
    [anon_sym_lineadj] = ACTIONS(2472),
    [anon_sym_triangle] = ACTIONS(2472),
    [anon_sym_cbuffer] = ACTIONS(2472),
  },
  [992] = {
    [sym_identifier] = ACTIONS(2476),
    [aux_sym_preproc_include_token1] = ACTIONS(2476),
    [aux_sym_preproc_def_token1] = ACTIONS(2476),
    [aux_sym_preproc_if_token1] = ACTIONS(2476),
    [aux_sym_preproc_if_token2] = ACTIONS(2476),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2476),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2476),
    [sym_preproc_directive] = ACTIONS(2476),
    [anon_sym_LPAREN2] = ACTIONS(2478),
    [anon_sym_BANG] = ACTIONS(2478),
    [anon_sym_TILDE] = ACTIONS(2478),
    [anon_sym_DASH] = ACTIONS(2476),
    [anon_sym_PLUS] = ACTIONS(2476),
    [anon_sym_STAR] = ACTIONS(2478),
    [anon_sym_AMP_AMP] = ACTIONS(2478),
    [anon_sym_AMP] = ACTIONS(2476),
    [anon_sym_SEMI] = ACTIONS(2478),
    [anon_sym___extension__] = ACTIONS(2476),
    [anon_sym_typedef] = ACTIONS(2476),
    [anon_sym_in] = ACTIONS(2476),
    [anon_sym_out] = ACTIONS(2476),
    [anon_sym_inout] = ACTIONS(2476),
    [anon_sym_extern] = ACTIONS(2476),
    [anon_sym___attribute__] = ACTIONS(2476),
    [anon_sym_COLON_COLON] = ACTIONS(2478),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2478),
    [anon_sym___declspec] = ACTIONS(2476),
    [anon_sym___based] = ACTIONS(2476),
    [anon_sym___cdecl] = ACTIONS(2476),
    [anon_sym___clrcall] = ACTIONS(2476),
    [anon_sym___stdcall] = ACTIONS(2476),
    [anon_sym___fastcall] = ACTIONS(2476),
    [anon_sym___thiscall] = ACTIONS(2476),
    [anon_sym___vectorcall] = ACTIONS(2476),
    [anon_sym_LBRACE] = ACTIONS(2478),
    [anon_sym_signed] = ACTIONS(2476),
    [anon_sym_unsigned] = ACTIONS(2476),
    [anon_sym_long] = ACTIONS(2476),
    [anon_sym_short] = ACTIONS(2476),
    [anon_sym_LBRACK] = ACTIONS(2476),
    [anon_sym_static] = ACTIONS(2476),
    [anon_sym_register] = ACTIONS(2476),
    [anon_sym_inline] = ACTIONS(2476),
    [anon_sym___inline] = ACTIONS(2476),
    [anon_sym___inline__] = ACTIONS(2476),
    [anon_sym___forceinline] = ACTIONS(2476),
    [anon_sym_thread_local] = ACTIONS(2476),
    [anon_sym___thread] = ACTIONS(2476),
    [anon_sym_const] = ACTIONS(2476),
    [anon_sym_constexpr] = ACTIONS(2476),
    [anon_sym_volatile] = ACTIONS(2476),
    [anon_sym_restrict] = ACTIONS(2476),
    [anon_sym___restrict__] = ACTIONS(2476),
    [anon_sym__Atomic] = ACTIONS(2476),
    [anon_sym__Noreturn] = ACTIONS(2476),
    [anon_sym_noreturn] = ACTIONS(2476),
    [anon_sym_mutable] = ACTIONS(2476),
    [anon_sym_constinit] = ACTIONS(2476),
    [anon_sym_consteval] = ACTIONS(2476),
    [sym_primitive_type] = ACTIONS(2476),
    [anon_sym_enum] = ACTIONS(2476),
    [anon_sym_class] = ACTIONS(2476),
    [anon_sym_struct] = ACTIONS(2476),
    [anon_sym_union] = ACTIONS(2476),
    [anon_sym_if] = ACTIONS(2476),
    [anon_sym_else] = ACTIONS(2476),
    [anon_sym_switch] = ACTIONS(2476),
    [anon_sym_case] = ACTIONS(2476),
    [anon_sym_default] = ACTIONS(2476),
    [anon_sym_while] = ACTIONS(2476),
    [anon_sym_do] = ACTIONS(2476),
    [anon_sym_for] = ACTIONS(2476),
    [anon_sym_return] = ACTIONS(2476),
    [anon_sym_break] = ACTIONS(2476),
    [anon_sym_continue] = ACTIONS(2476),
    [anon_sym_goto] = ACTIONS(2476),
    [anon_sym___try] = ACTIONS(2476),
    [anon_sym___leave] = ACTIONS(2476),
    [anon_sym_not] = ACTIONS(2476),
    [anon_sym_compl] = ACTIONS(2476),
    [anon_sym_DASH_DASH] = ACTIONS(2478),
    [anon_sym_PLUS_PLUS] = ACTIONS(2478),
    [anon_sym_sizeof] = ACTIONS(2476),
    [anon_sym___alignof__] = ACTIONS(2476),
    [anon_sym___alignof] = ACTIONS(2476),
    [anon_sym__alignof] = ACTIONS(2476),
    [anon_sym_alignof] = ACTIONS(2476),
    [anon_sym__Alignof] = ACTIONS(2476),
    [anon_sym_offsetof] = ACTIONS(2476),
    [anon_sym__Generic] = ACTIONS(2476),
    [anon_sym_asm] = ACTIONS(2476),
    [anon_sym___asm__] = ACTIONS(2476),
    [sym_number_literal] = ACTIONS(2478),
    [anon_sym_L_SQUOTE] = ACTIONS(2478),
    [anon_sym_u_SQUOTE] = ACTIONS(2478),
    [anon_sym_U_SQUOTE] = ACTIONS(2478),
    [anon_sym_u8_SQUOTE] = ACTIONS(2478),
    [anon_sym_SQUOTE] = ACTIONS(2478),
    [anon_sym_L_DQUOTE] = ACTIONS(2478),
    [anon_sym_u_DQUOTE] = ACTIONS(2478),
    [anon_sym_U_DQUOTE] = ACTIONS(2478),
    [anon_sym_u8_DQUOTE] = ACTIONS(2478),
    [anon_sym_DQUOTE] = ACTIONS(2478),
    [sym_true] = ACTIONS(2476),
    [sym_false] = ACTIONS(2476),
    [anon_sym_NULL] = ACTIONS(2476),
    [anon_sym_nullptr] = ACTIONS(2476),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2476),
    [anon_sym_decltype] = ACTIONS(2476),
    [anon_sym_virtual] = ACTIONS(2476),
    [anon_sym_alignas] = ACTIONS(2476),
    [anon_sym_explicit] = ACTIONS(2476),
    [anon_sym_typename] = ACTIONS(2476),
    [anon_sym_template] = ACTIONS(2476),
    [anon_sym_operator] = ACTIONS(2476),
    [anon_sym_try] = ACTIONS(2476),
    [anon_sym_delete] = ACTIONS(2476),
    [anon_sym_throw] = ACTIONS(2476),
    [anon_sym_namespace] = ACTIONS(2476),
    [anon_sym_using] = ACTIONS(2476),
    [anon_sym_static_assert] = ACTIONS(2476),
    [anon_sym_concept] = ACTIONS(2476),
    [anon_sym_co_return] = ACTIONS(2476),
    [anon_sym_co_yield] = ACTIONS(2476),
    [anon_sym_R_DQUOTE] = ACTIONS(2478),
    [anon_sym_LR_DQUOTE] = ACTIONS(2478),
    [anon_sym_uR_DQUOTE] = ACTIONS(2478),
    [anon_sym_UR_DQUOTE] = ACTIONS(2478),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2478),
    [anon_sym_co_await] = ACTIONS(2476),
    [anon_sym_new] = ACTIONS(2476),
    [anon_sym_requires] = ACTIONS(2476),
    [sym_this] = ACTIONS(2476),
    [anon_sym_discard] = ACTIONS(2476),
    [anon_sym_precise] = ACTIONS(2476),
    [anon_sym_shared] = ACTIONS(2476),
    [anon_sym_groupshared] = ACTIONS(2476),
    [anon_sym_uniform] = ACTIONS(2476),
    [anon_sym_row_major] = ACTIONS(2476),
    [anon_sym_column_major] = ACTIONS(2476),
    [anon_sym_globallycoherent] = ACTIONS(2476),
    [anon_sym_centroid] = ACTIONS(2476),
    [anon_sym_noperspective] = ACTIONS(2476),
    [anon_sym_nointerpolation] = ACTIONS(2476),
    [anon_sym_sample] = ACTIONS(2476),
    [anon_sym_linear] = ACTIONS(2476),
    [anon_sym_snorm] = ACTIONS(2476),
    [anon_sym_unorm] = ACTIONS(2476),
    [anon_sym_point] = ACTIONS(2476),
    [anon_sym_line] = ACTIONS(2476),
    [anon_sym_triangleadj] = ACTIONS(2476),
    [anon_sym_lineadj] = ACTIONS(2476),
    [anon_sym_triangle] = ACTIONS(2476),
    [anon_sym_cbuffer] = ACTIONS(2476),
  },
  [993] = {
    [sym_identifier] = ACTIONS(2318),
    [aux_sym_preproc_include_token1] = ACTIONS(2318),
    [aux_sym_preproc_def_token1] = ACTIONS(2318),
    [aux_sym_preproc_if_token1] = ACTIONS(2318),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2318),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2318),
    [sym_preproc_directive] = ACTIONS(2318),
    [anon_sym_LPAREN2] = ACTIONS(2320),
    [anon_sym_BANG] = ACTIONS(2320),
    [anon_sym_TILDE] = ACTIONS(2320),
    [anon_sym_DASH] = ACTIONS(2318),
    [anon_sym_PLUS] = ACTIONS(2318),
    [anon_sym_STAR] = ACTIONS(2320),
    [anon_sym_AMP_AMP] = ACTIONS(2320),
    [anon_sym_AMP] = ACTIONS(2318),
    [anon_sym_SEMI] = ACTIONS(2320),
    [anon_sym___extension__] = ACTIONS(2318),
    [anon_sym_typedef] = ACTIONS(2318),
    [anon_sym_in] = ACTIONS(2318),
    [anon_sym_out] = ACTIONS(2318),
    [anon_sym_inout] = ACTIONS(2318),
    [anon_sym_extern] = ACTIONS(2318),
    [anon_sym___attribute__] = ACTIONS(2318),
    [anon_sym_COLON_COLON] = ACTIONS(2320),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2320),
    [anon_sym___declspec] = ACTIONS(2318),
    [anon_sym___based] = ACTIONS(2318),
    [anon_sym___cdecl] = ACTIONS(2318),
    [anon_sym___clrcall] = ACTIONS(2318),
    [anon_sym___stdcall] = ACTIONS(2318),
    [anon_sym___fastcall] = ACTIONS(2318),
    [anon_sym___thiscall] = ACTIONS(2318),
    [anon_sym___vectorcall] = ACTIONS(2318),
    [anon_sym_LBRACE] = ACTIONS(2320),
    [anon_sym_RBRACE] = ACTIONS(2320),
    [anon_sym_signed] = ACTIONS(2318),
    [anon_sym_unsigned] = ACTIONS(2318),
    [anon_sym_long] = ACTIONS(2318),
    [anon_sym_short] = ACTIONS(2318),
    [anon_sym_LBRACK] = ACTIONS(2318),
    [anon_sym_static] = ACTIONS(2318),
    [anon_sym_register] = ACTIONS(2318),
    [anon_sym_inline] = ACTIONS(2318),
    [anon_sym___inline] = ACTIONS(2318),
    [anon_sym___inline__] = ACTIONS(2318),
    [anon_sym___forceinline] = ACTIONS(2318),
    [anon_sym_thread_local] = ACTIONS(2318),
    [anon_sym___thread] = ACTIONS(2318),
    [anon_sym_const] = ACTIONS(2318),
    [anon_sym_constexpr] = ACTIONS(2318),
    [anon_sym_volatile] = ACTIONS(2318),
    [anon_sym_restrict] = ACTIONS(2318),
    [anon_sym___restrict__] = ACTIONS(2318),
    [anon_sym__Atomic] = ACTIONS(2318),
    [anon_sym__Noreturn] = ACTIONS(2318),
    [anon_sym_noreturn] = ACTIONS(2318),
    [anon_sym_mutable] = ACTIONS(2318),
    [anon_sym_constinit] = ACTIONS(2318),
    [anon_sym_consteval] = ACTIONS(2318),
    [sym_primitive_type] = ACTIONS(2318),
    [anon_sym_enum] = ACTIONS(2318),
    [anon_sym_class] = ACTIONS(2318),
    [anon_sym_struct] = ACTIONS(2318),
    [anon_sym_union] = ACTIONS(2318),
    [anon_sym_if] = ACTIONS(2318),
    [anon_sym_else] = ACTIONS(2318),
    [anon_sym_switch] = ACTIONS(2318),
    [anon_sym_case] = ACTIONS(2318),
    [anon_sym_default] = ACTIONS(2318),
    [anon_sym_while] = ACTIONS(2318),
    [anon_sym_do] = ACTIONS(2318),
    [anon_sym_for] = ACTIONS(2318),
    [anon_sym_return] = ACTIONS(2318),
    [anon_sym_break] = ACTIONS(2318),
    [anon_sym_continue] = ACTIONS(2318),
    [anon_sym_goto] = ACTIONS(2318),
    [anon_sym___try] = ACTIONS(2318),
    [anon_sym___leave] = ACTIONS(2318),
    [anon_sym_not] = ACTIONS(2318),
    [anon_sym_compl] = ACTIONS(2318),
    [anon_sym_DASH_DASH] = ACTIONS(2320),
    [anon_sym_PLUS_PLUS] = ACTIONS(2320),
    [anon_sym_sizeof] = ACTIONS(2318),
    [anon_sym___alignof__] = ACTIONS(2318),
    [anon_sym___alignof] = ACTIONS(2318),
    [anon_sym__alignof] = ACTIONS(2318),
    [anon_sym_alignof] = ACTIONS(2318),
    [anon_sym__Alignof] = ACTIONS(2318),
    [anon_sym_offsetof] = ACTIONS(2318),
    [anon_sym__Generic] = ACTIONS(2318),
    [anon_sym_asm] = ACTIONS(2318),
    [anon_sym___asm__] = ACTIONS(2318),
    [sym_number_literal] = ACTIONS(2320),
    [anon_sym_L_SQUOTE] = ACTIONS(2320),
    [anon_sym_u_SQUOTE] = ACTIONS(2320),
    [anon_sym_U_SQUOTE] = ACTIONS(2320),
    [anon_sym_u8_SQUOTE] = ACTIONS(2320),
    [anon_sym_SQUOTE] = ACTIONS(2320),
    [anon_sym_L_DQUOTE] = ACTIONS(2320),
    [anon_sym_u_DQUOTE] = ACTIONS(2320),
    [anon_sym_U_DQUOTE] = ACTIONS(2320),
    [anon_sym_u8_DQUOTE] = ACTIONS(2320),
    [anon_sym_DQUOTE] = ACTIONS(2320),
    [sym_true] = ACTIONS(2318),
    [sym_false] = ACTIONS(2318),
    [anon_sym_NULL] = ACTIONS(2318),
    [anon_sym_nullptr] = ACTIONS(2318),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2318),
    [anon_sym_decltype] = ACTIONS(2318),
    [anon_sym_virtual] = ACTIONS(2318),
    [anon_sym_alignas] = ACTIONS(2318),
    [anon_sym_explicit] = ACTIONS(2318),
    [anon_sym_typename] = ACTIONS(2318),
    [anon_sym_template] = ACTIONS(2318),
    [anon_sym_operator] = ACTIONS(2318),
    [anon_sym_try] = ACTIONS(2318),
    [anon_sym_delete] = ACTIONS(2318),
    [anon_sym_throw] = ACTIONS(2318),
    [anon_sym_namespace] = ACTIONS(2318),
    [anon_sym_using] = ACTIONS(2318),
    [anon_sym_static_assert] = ACTIONS(2318),
    [anon_sym_concept] = ACTIONS(2318),
    [anon_sym_co_return] = ACTIONS(2318),
    [anon_sym_co_yield] = ACTIONS(2318),
    [anon_sym_R_DQUOTE] = ACTIONS(2320),
    [anon_sym_LR_DQUOTE] = ACTIONS(2320),
    [anon_sym_uR_DQUOTE] = ACTIONS(2320),
    [anon_sym_UR_DQUOTE] = ACTIONS(2320),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2320),
    [anon_sym_co_await] = ACTIONS(2318),
    [anon_sym_new] = ACTIONS(2318),
    [anon_sym_requires] = ACTIONS(2318),
    [sym_this] = ACTIONS(2318),
    [anon_sym_discard] = ACTIONS(2318),
    [anon_sym_precise] = ACTIONS(2318),
    [anon_sym_shared] = ACTIONS(2318),
    [anon_sym_groupshared] = ACTIONS(2318),
    [anon_sym_uniform] = ACTIONS(2318),
    [anon_sym_row_major] = ACTIONS(2318),
    [anon_sym_column_major] = ACTIONS(2318),
    [anon_sym_globallycoherent] = ACTIONS(2318),
    [anon_sym_centroid] = ACTIONS(2318),
    [anon_sym_noperspective] = ACTIONS(2318),
    [anon_sym_nointerpolation] = ACTIONS(2318),
    [anon_sym_sample] = ACTIONS(2318),
    [anon_sym_linear] = ACTIONS(2318),
    [anon_sym_snorm] = ACTIONS(2318),
    [anon_sym_unorm] = ACTIONS(2318),
    [anon_sym_point] = ACTIONS(2318),
    [anon_sym_line] = ACTIONS(2318),
    [anon_sym_triangleadj] = ACTIONS(2318),
    [anon_sym_lineadj] = ACTIONS(2318),
    [anon_sym_triangle] = ACTIONS(2318),
    [anon_sym_cbuffer] = ACTIONS(2318),
  },
  [994] = {
    [sym_identifier] = ACTIONS(2480),
    [aux_sym_preproc_include_token1] = ACTIONS(2480),
    [aux_sym_preproc_def_token1] = ACTIONS(2480),
    [aux_sym_preproc_if_token1] = ACTIONS(2480),
    [aux_sym_preproc_if_token2] = ACTIONS(2480),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2480),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2480),
    [sym_preproc_directive] = ACTIONS(2480),
    [anon_sym_LPAREN2] = ACTIONS(2482),
    [anon_sym_BANG] = ACTIONS(2482),
    [anon_sym_TILDE] = ACTIONS(2482),
    [anon_sym_DASH] = ACTIONS(2480),
    [anon_sym_PLUS] = ACTIONS(2480),
    [anon_sym_STAR] = ACTIONS(2482),
    [anon_sym_AMP_AMP] = ACTIONS(2482),
    [anon_sym_AMP] = ACTIONS(2480),
    [anon_sym_SEMI] = ACTIONS(2482),
    [anon_sym___extension__] = ACTIONS(2480),
    [anon_sym_typedef] = ACTIONS(2480),
    [anon_sym_in] = ACTIONS(2480),
    [anon_sym_out] = ACTIONS(2480),
    [anon_sym_inout] = ACTIONS(2480),
    [anon_sym_extern] = ACTIONS(2480),
    [anon_sym___attribute__] = ACTIONS(2480),
    [anon_sym_COLON_COLON] = ACTIONS(2482),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2482),
    [anon_sym___declspec] = ACTIONS(2480),
    [anon_sym___based] = ACTIONS(2480),
    [anon_sym___cdecl] = ACTIONS(2480),
    [anon_sym___clrcall] = ACTIONS(2480),
    [anon_sym___stdcall] = ACTIONS(2480),
    [anon_sym___fastcall] = ACTIONS(2480),
    [anon_sym___thiscall] = ACTIONS(2480),
    [anon_sym___vectorcall] = ACTIONS(2480),
    [anon_sym_LBRACE] = ACTIONS(2482),
    [anon_sym_signed] = ACTIONS(2480),
    [anon_sym_unsigned] = ACTIONS(2480),
    [anon_sym_long] = ACTIONS(2480),
    [anon_sym_short] = ACTIONS(2480),
    [anon_sym_LBRACK] = ACTIONS(2480),
    [anon_sym_static] = ACTIONS(2480),
    [anon_sym_register] = ACTIONS(2480),
    [anon_sym_inline] = ACTIONS(2480),
    [anon_sym___inline] = ACTIONS(2480),
    [anon_sym___inline__] = ACTIONS(2480),
    [anon_sym___forceinline] = ACTIONS(2480),
    [anon_sym_thread_local] = ACTIONS(2480),
    [anon_sym___thread] = ACTIONS(2480),
    [anon_sym_const] = ACTIONS(2480),
    [anon_sym_constexpr] = ACTIONS(2480),
    [anon_sym_volatile] = ACTIONS(2480),
    [anon_sym_restrict] = ACTIONS(2480),
    [anon_sym___restrict__] = ACTIONS(2480),
    [anon_sym__Atomic] = ACTIONS(2480),
    [anon_sym__Noreturn] = ACTIONS(2480),
    [anon_sym_noreturn] = ACTIONS(2480),
    [anon_sym_mutable] = ACTIONS(2480),
    [anon_sym_constinit] = ACTIONS(2480),
    [anon_sym_consteval] = ACTIONS(2480),
    [sym_primitive_type] = ACTIONS(2480),
    [anon_sym_enum] = ACTIONS(2480),
    [anon_sym_class] = ACTIONS(2480),
    [anon_sym_struct] = ACTIONS(2480),
    [anon_sym_union] = ACTIONS(2480),
    [anon_sym_if] = ACTIONS(2480),
    [anon_sym_else] = ACTIONS(2480),
    [anon_sym_switch] = ACTIONS(2480),
    [anon_sym_case] = ACTIONS(2480),
    [anon_sym_default] = ACTIONS(2480),
    [anon_sym_while] = ACTIONS(2480),
    [anon_sym_do] = ACTIONS(2480),
    [anon_sym_for] = ACTIONS(2480),
    [anon_sym_return] = ACTIONS(2480),
    [anon_sym_break] = ACTIONS(2480),
    [anon_sym_continue] = ACTIONS(2480),
    [anon_sym_goto] = ACTIONS(2480),
    [anon_sym___try] = ACTIONS(2480),
    [anon_sym___leave] = ACTIONS(2480),
    [anon_sym_not] = ACTIONS(2480),
    [anon_sym_compl] = ACTIONS(2480),
    [anon_sym_DASH_DASH] = ACTIONS(2482),
    [anon_sym_PLUS_PLUS] = ACTIONS(2482),
    [anon_sym_sizeof] = ACTIONS(2480),
    [anon_sym___alignof__] = ACTIONS(2480),
    [anon_sym___alignof] = ACTIONS(2480),
    [anon_sym__alignof] = ACTIONS(2480),
    [anon_sym_alignof] = ACTIONS(2480),
    [anon_sym__Alignof] = ACTIONS(2480),
    [anon_sym_offsetof] = ACTIONS(2480),
    [anon_sym__Generic] = ACTIONS(2480),
    [anon_sym_asm] = ACTIONS(2480),
    [anon_sym___asm__] = ACTIONS(2480),
    [sym_number_literal] = ACTIONS(2482),
    [anon_sym_L_SQUOTE] = ACTIONS(2482),
    [anon_sym_u_SQUOTE] = ACTIONS(2482),
    [anon_sym_U_SQUOTE] = ACTIONS(2482),
    [anon_sym_u8_SQUOTE] = ACTIONS(2482),
    [anon_sym_SQUOTE] = ACTIONS(2482),
    [anon_sym_L_DQUOTE] = ACTIONS(2482),
    [anon_sym_u_DQUOTE] = ACTIONS(2482),
    [anon_sym_U_DQUOTE] = ACTIONS(2482),
    [anon_sym_u8_DQUOTE] = ACTIONS(2482),
    [anon_sym_DQUOTE] = ACTIONS(2482),
    [sym_true] = ACTIONS(2480),
    [sym_false] = ACTIONS(2480),
    [anon_sym_NULL] = ACTIONS(2480),
    [anon_sym_nullptr] = ACTIONS(2480),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2480),
    [anon_sym_decltype] = ACTIONS(2480),
    [anon_sym_virtual] = ACTIONS(2480),
    [anon_sym_alignas] = ACTIONS(2480),
    [anon_sym_explicit] = ACTIONS(2480),
    [anon_sym_typename] = ACTIONS(2480),
    [anon_sym_template] = ACTIONS(2480),
    [anon_sym_operator] = ACTIONS(2480),
    [anon_sym_try] = ACTIONS(2480),
    [anon_sym_delete] = ACTIONS(2480),
    [anon_sym_throw] = ACTIONS(2480),
    [anon_sym_namespace] = ACTIONS(2480),
    [anon_sym_using] = ACTIONS(2480),
    [anon_sym_static_assert] = ACTIONS(2480),
    [anon_sym_concept] = ACTIONS(2480),
    [anon_sym_co_return] = ACTIONS(2480),
    [anon_sym_co_yield] = ACTIONS(2480),
    [anon_sym_R_DQUOTE] = ACTIONS(2482),
    [anon_sym_LR_DQUOTE] = ACTIONS(2482),
    [anon_sym_uR_DQUOTE] = ACTIONS(2482),
    [anon_sym_UR_DQUOTE] = ACTIONS(2482),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2482),
    [anon_sym_co_await] = ACTIONS(2480),
    [anon_sym_new] = ACTIONS(2480),
    [anon_sym_requires] = ACTIONS(2480),
    [sym_this] = ACTIONS(2480),
    [anon_sym_discard] = ACTIONS(2480),
    [anon_sym_precise] = ACTIONS(2480),
    [anon_sym_shared] = ACTIONS(2480),
    [anon_sym_groupshared] = ACTIONS(2480),
    [anon_sym_uniform] = ACTIONS(2480),
    [anon_sym_row_major] = ACTIONS(2480),
    [anon_sym_column_major] = ACTIONS(2480),
    [anon_sym_globallycoherent] = ACTIONS(2480),
    [anon_sym_centroid] = ACTIONS(2480),
    [anon_sym_noperspective] = ACTIONS(2480),
    [anon_sym_nointerpolation] = ACTIONS(2480),
    [anon_sym_sample] = ACTIONS(2480),
    [anon_sym_linear] = ACTIONS(2480),
    [anon_sym_snorm] = ACTIONS(2480),
    [anon_sym_unorm] = ACTIONS(2480),
    [anon_sym_point] = ACTIONS(2480),
    [anon_sym_line] = ACTIONS(2480),
    [anon_sym_triangleadj] = ACTIONS(2480),
    [anon_sym_lineadj] = ACTIONS(2480),
    [anon_sym_triangle] = ACTIONS(2480),
    [anon_sym_cbuffer] = ACTIONS(2480),
  },
  [995] = {
    [ts_builtin_sym_end] = ACTIONS(2474),
    [sym_identifier] = ACTIONS(2472),
    [aux_sym_preproc_include_token1] = ACTIONS(2472),
    [aux_sym_preproc_def_token1] = ACTIONS(2472),
    [aux_sym_preproc_if_token1] = ACTIONS(2472),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2472),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2472),
    [sym_preproc_directive] = ACTIONS(2472),
    [anon_sym_LPAREN2] = ACTIONS(2474),
    [anon_sym_BANG] = ACTIONS(2474),
    [anon_sym_TILDE] = ACTIONS(2474),
    [anon_sym_DASH] = ACTIONS(2472),
    [anon_sym_PLUS] = ACTIONS(2472),
    [anon_sym_STAR] = ACTIONS(2474),
    [anon_sym_AMP_AMP] = ACTIONS(2474),
    [anon_sym_AMP] = ACTIONS(2472),
    [anon_sym_SEMI] = ACTIONS(2474),
    [anon_sym___extension__] = ACTIONS(2472),
    [anon_sym_typedef] = ACTIONS(2472),
    [anon_sym_in] = ACTIONS(2472),
    [anon_sym_out] = ACTIONS(2472),
    [anon_sym_inout] = ACTIONS(2472),
    [anon_sym_extern] = ACTIONS(2472),
    [anon_sym___attribute__] = ACTIONS(2472),
    [anon_sym_COLON_COLON] = ACTIONS(2474),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2474),
    [anon_sym___declspec] = ACTIONS(2472),
    [anon_sym___based] = ACTIONS(2472),
    [anon_sym___cdecl] = ACTIONS(2472),
    [anon_sym___clrcall] = ACTIONS(2472),
    [anon_sym___stdcall] = ACTIONS(2472),
    [anon_sym___fastcall] = ACTIONS(2472),
    [anon_sym___thiscall] = ACTIONS(2472),
    [anon_sym___vectorcall] = ACTIONS(2472),
    [anon_sym_LBRACE] = ACTIONS(2474),
    [anon_sym_signed] = ACTIONS(2472),
    [anon_sym_unsigned] = ACTIONS(2472),
    [anon_sym_long] = ACTIONS(2472),
    [anon_sym_short] = ACTIONS(2472),
    [anon_sym_LBRACK] = ACTIONS(2472),
    [anon_sym_static] = ACTIONS(2472),
    [anon_sym_register] = ACTIONS(2472),
    [anon_sym_inline] = ACTIONS(2472),
    [anon_sym___inline] = ACTIONS(2472),
    [anon_sym___inline__] = ACTIONS(2472),
    [anon_sym___forceinline] = ACTIONS(2472),
    [anon_sym_thread_local] = ACTIONS(2472),
    [anon_sym___thread] = ACTIONS(2472),
    [anon_sym_const] = ACTIONS(2472),
    [anon_sym_constexpr] = ACTIONS(2472),
    [anon_sym_volatile] = ACTIONS(2472),
    [anon_sym_restrict] = ACTIONS(2472),
    [anon_sym___restrict__] = ACTIONS(2472),
    [anon_sym__Atomic] = ACTIONS(2472),
    [anon_sym__Noreturn] = ACTIONS(2472),
    [anon_sym_noreturn] = ACTIONS(2472),
    [anon_sym_mutable] = ACTIONS(2472),
    [anon_sym_constinit] = ACTIONS(2472),
    [anon_sym_consteval] = ACTIONS(2472),
    [sym_primitive_type] = ACTIONS(2472),
    [anon_sym_enum] = ACTIONS(2472),
    [anon_sym_class] = ACTIONS(2472),
    [anon_sym_struct] = ACTIONS(2472),
    [anon_sym_union] = ACTIONS(2472),
    [anon_sym_if] = ACTIONS(2472),
    [anon_sym_else] = ACTIONS(2472),
    [anon_sym_switch] = ACTIONS(2472),
    [anon_sym_case] = ACTIONS(2472),
    [anon_sym_default] = ACTIONS(2472),
    [anon_sym_while] = ACTIONS(2472),
    [anon_sym_do] = ACTIONS(2472),
    [anon_sym_for] = ACTIONS(2472),
    [anon_sym_return] = ACTIONS(2472),
    [anon_sym_break] = ACTIONS(2472),
    [anon_sym_continue] = ACTIONS(2472),
    [anon_sym_goto] = ACTIONS(2472),
    [anon_sym___try] = ACTIONS(2472),
    [anon_sym___leave] = ACTIONS(2472),
    [anon_sym_not] = ACTIONS(2472),
    [anon_sym_compl] = ACTIONS(2472),
    [anon_sym_DASH_DASH] = ACTIONS(2474),
    [anon_sym_PLUS_PLUS] = ACTIONS(2474),
    [anon_sym_sizeof] = ACTIONS(2472),
    [anon_sym___alignof__] = ACTIONS(2472),
    [anon_sym___alignof] = ACTIONS(2472),
    [anon_sym__alignof] = ACTIONS(2472),
    [anon_sym_alignof] = ACTIONS(2472),
    [anon_sym__Alignof] = ACTIONS(2472),
    [anon_sym_offsetof] = ACTIONS(2472),
    [anon_sym__Generic] = ACTIONS(2472),
    [anon_sym_asm] = ACTIONS(2472),
    [anon_sym___asm__] = ACTIONS(2472),
    [sym_number_literal] = ACTIONS(2474),
    [anon_sym_L_SQUOTE] = ACTIONS(2474),
    [anon_sym_u_SQUOTE] = ACTIONS(2474),
    [anon_sym_U_SQUOTE] = ACTIONS(2474),
    [anon_sym_u8_SQUOTE] = ACTIONS(2474),
    [anon_sym_SQUOTE] = ACTIONS(2474),
    [anon_sym_L_DQUOTE] = ACTIONS(2474),
    [anon_sym_u_DQUOTE] = ACTIONS(2474),
    [anon_sym_U_DQUOTE] = ACTIONS(2474),
    [anon_sym_u8_DQUOTE] = ACTIONS(2474),
    [anon_sym_DQUOTE] = ACTIONS(2474),
    [sym_true] = ACTIONS(2472),
    [sym_false] = ACTIONS(2472),
    [anon_sym_NULL] = ACTIONS(2472),
    [anon_sym_nullptr] = ACTIONS(2472),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2472),
    [anon_sym_decltype] = ACTIONS(2472),
    [anon_sym_virtual] = ACTIONS(2472),
    [anon_sym_alignas] = ACTIONS(2472),
    [anon_sym_explicit] = ACTIONS(2472),
    [anon_sym_typename] = ACTIONS(2472),
    [anon_sym_template] = ACTIONS(2472),
    [anon_sym_operator] = ACTIONS(2472),
    [anon_sym_try] = ACTIONS(2472),
    [anon_sym_delete] = ACTIONS(2472),
    [anon_sym_throw] = ACTIONS(2472),
    [anon_sym_namespace] = ACTIONS(2472),
    [anon_sym_using] = ACTIONS(2472),
    [anon_sym_static_assert] = ACTIONS(2472),
    [anon_sym_concept] = ACTIONS(2472),
    [anon_sym_co_return] = ACTIONS(2472),
    [anon_sym_co_yield] = ACTIONS(2472),
    [anon_sym_R_DQUOTE] = ACTIONS(2474),
    [anon_sym_LR_DQUOTE] = ACTIONS(2474),
    [anon_sym_uR_DQUOTE] = ACTIONS(2474),
    [anon_sym_UR_DQUOTE] = ACTIONS(2474),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2474),
    [anon_sym_co_await] = ACTIONS(2472),
    [anon_sym_new] = ACTIONS(2472),
    [anon_sym_requires] = ACTIONS(2472),
    [sym_this] = ACTIONS(2472),
    [anon_sym_discard] = ACTIONS(2472),
    [anon_sym_precise] = ACTIONS(2472),
    [anon_sym_shared] = ACTIONS(2472),
    [anon_sym_groupshared] = ACTIONS(2472),
    [anon_sym_uniform] = ACTIONS(2472),
    [anon_sym_row_major] = ACTIONS(2472),
    [anon_sym_column_major] = ACTIONS(2472),
    [anon_sym_globallycoherent] = ACTIONS(2472),
    [anon_sym_centroid] = ACTIONS(2472),
    [anon_sym_noperspective] = ACTIONS(2472),
    [anon_sym_nointerpolation] = ACTIONS(2472),
    [anon_sym_sample] = ACTIONS(2472),
    [anon_sym_linear] = ACTIONS(2472),
    [anon_sym_snorm] = ACTIONS(2472),
    [anon_sym_unorm] = ACTIONS(2472),
    [anon_sym_point] = ACTIONS(2472),
    [anon_sym_line] = ACTIONS(2472),
    [anon_sym_triangleadj] = ACTIONS(2472),
    [anon_sym_lineadj] = ACTIONS(2472),
    [anon_sym_triangle] = ACTIONS(2472),
    [anon_sym_cbuffer] = ACTIONS(2472),
  },
  [996] = {
    [sym_identifier] = ACTIONS(2484),
    [aux_sym_preproc_include_token1] = ACTIONS(2484),
    [aux_sym_preproc_def_token1] = ACTIONS(2484),
    [aux_sym_preproc_if_token1] = ACTIONS(2484),
    [aux_sym_preproc_if_token2] = ACTIONS(2484),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2484),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2484),
    [sym_preproc_directive] = ACTIONS(2484),
    [anon_sym_LPAREN2] = ACTIONS(2486),
    [anon_sym_BANG] = ACTIONS(2486),
    [anon_sym_TILDE] = ACTIONS(2486),
    [anon_sym_DASH] = ACTIONS(2484),
    [anon_sym_PLUS] = ACTIONS(2484),
    [anon_sym_STAR] = ACTIONS(2486),
    [anon_sym_AMP_AMP] = ACTIONS(2486),
    [anon_sym_AMP] = ACTIONS(2484),
    [anon_sym_SEMI] = ACTIONS(2486),
    [anon_sym___extension__] = ACTIONS(2484),
    [anon_sym_typedef] = ACTIONS(2484),
    [anon_sym_in] = ACTIONS(2484),
    [anon_sym_out] = ACTIONS(2484),
    [anon_sym_inout] = ACTIONS(2484),
    [anon_sym_extern] = ACTIONS(2484),
    [anon_sym___attribute__] = ACTIONS(2484),
    [anon_sym_COLON_COLON] = ACTIONS(2486),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2486),
    [anon_sym___declspec] = ACTIONS(2484),
    [anon_sym___based] = ACTIONS(2484),
    [anon_sym___cdecl] = ACTIONS(2484),
    [anon_sym___clrcall] = ACTIONS(2484),
    [anon_sym___stdcall] = ACTIONS(2484),
    [anon_sym___fastcall] = ACTIONS(2484),
    [anon_sym___thiscall] = ACTIONS(2484),
    [anon_sym___vectorcall] = ACTIONS(2484),
    [anon_sym_LBRACE] = ACTIONS(2486),
    [anon_sym_signed] = ACTIONS(2484),
    [anon_sym_unsigned] = ACTIONS(2484),
    [anon_sym_long] = ACTIONS(2484),
    [anon_sym_short] = ACTIONS(2484),
    [anon_sym_LBRACK] = ACTIONS(2484),
    [anon_sym_static] = ACTIONS(2484),
    [anon_sym_register] = ACTIONS(2484),
    [anon_sym_inline] = ACTIONS(2484),
    [anon_sym___inline] = ACTIONS(2484),
    [anon_sym___inline__] = ACTIONS(2484),
    [anon_sym___forceinline] = ACTIONS(2484),
    [anon_sym_thread_local] = ACTIONS(2484),
    [anon_sym___thread] = ACTIONS(2484),
    [anon_sym_const] = ACTIONS(2484),
    [anon_sym_constexpr] = ACTIONS(2484),
    [anon_sym_volatile] = ACTIONS(2484),
    [anon_sym_restrict] = ACTIONS(2484),
    [anon_sym___restrict__] = ACTIONS(2484),
    [anon_sym__Atomic] = ACTIONS(2484),
    [anon_sym__Noreturn] = ACTIONS(2484),
    [anon_sym_noreturn] = ACTIONS(2484),
    [anon_sym_mutable] = ACTIONS(2484),
    [anon_sym_constinit] = ACTIONS(2484),
    [anon_sym_consteval] = ACTIONS(2484),
    [sym_primitive_type] = ACTIONS(2484),
    [anon_sym_enum] = ACTIONS(2484),
    [anon_sym_class] = ACTIONS(2484),
    [anon_sym_struct] = ACTIONS(2484),
    [anon_sym_union] = ACTIONS(2484),
    [anon_sym_if] = ACTIONS(2484),
    [anon_sym_else] = ACTIONS(2484),
    [anon_sym_switch] = ACTIONS(2484),
    [anon_sym_case] = ACTIONS(2484),
    [anon_sym_default] = ACTIONS(2484),
    [anon_sym_while] = ACTIONS(2484),
    [anon_sym_do] = ACTIONS(2484),
    [anon_sym_for] = ACTIONS(2484),
    [anon_sym_return] = ACTIONS(2484),
    [anon_sym_break] = ACTIONS(2484),
    [anon_sym_continue] = ACTIONS(2484),
    [anon_sym_goto] = ACTIONS(2484),
    [anon_sym___try] = ACTIONS(2484),
    [anon_sym___leave] = ACTIONS(2484),
    [anon_sym_not] = ACTIONS(2484),
    [anon_sym_compl] = ACTIONS(2484),
    [anon_sym_DASH_DASH] = ACTIONS(2486),
    [anon_sym_PLUS_PLUS] = ACTIONS(2486),
    [anon_sym_sizeof] = ACTIONS(2484),
    [anon_sym___alignof__] = ACTIONS(2484),
    [anon_sym___alignof] = ACTIONS(2484),
    [anon_sym__alignof] = ACTIONS(2484),
    [anon_sym_alignof] = ACTIONS(2484),
    [anon_sym__Alignof] = ACTIONS(2484),
    [anon_sym_offsetof] = ACTIONS(2484),
    [anon_sym__Generic] = ACTIONS(2484),
    [anon_sym_asm] = ACTIONS(2484),
    [anon_sym___asm__] = ACTIONS(2484),
    [sym_number_literal] = ACTIONS(2486),
    [anon_sym_L_SQUOTE] = ACTIONS(2486),
    [anon_sym_u_SQUOTE] = ACTIONS(2486),
    [anon_sym_U_SQUOTE] = ACTIONS(2486),
    [anon_sym_u8_SQUOTE] = ACTIONS(2486),
    [anon_sym_SQUOTE] = ACTIONS(2486),
    [anon_sym_L_DQUOTE] = ACTIONS(2486),
    [anon_sym_u_DQUOTE] = ACTIONS(2486),
    [anon_sym_U_DQUOTE] = ACTIONS(2486),
    [anon_sym_u8_DQUOTE] = ACTIONS(2486),
    [anon_sym_DQUOTE] = ACTIONS(2486),
    [sym_true] = ACTIONS(2484),
    [sym_false] = ACTIONS(2484),
    [anon_sym_NULL] = ACTIONS(2484),
    [anon_sym_nullptr] = ACTIONS(2484),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2484),
    [anon_sym_decltype] = ACTIONS(2484),
    [anon_sym_virtual] = ACTIONS(2484),
    [anon_sym_alignas] = ACTIONS(2484),
    [anon_sym_explicit] = ACTIONS(2484),
    [anon_sym_typename] = ACTIONS(2484),
    [anon_sym_template] = ACTIONS(2484),
    [anon_sym_operator] = ACTIONS(2484),
    [anon_sym_try] = ACTIONS(2484),
    [anon_sym_delete] = ACTIONS(2484),
    [anon_sym_throw] = ACTIONS(2484),
    [anon_sym_namespace] = ACTIONS(2484),
    [anon_sym_using] = ACTIONS(2484),
    [anon_sym_static_assert] = ACTIONS(2484),
    [anon_sym_concept] = ACTIONS(2484),
    [anon_sym_co_return] = ACTIONS(2484),
    [anon_sym_co_yield] = ACTIONS(2484),
    [anon_sym_R_DQUOTE] = ACTIONS(2486),
    [anon_sym_LR_DQUOTE] = ACTIONS(2486),
    [anon_sym_uR_DQUOTE] = ACTIONS(2486),
    [anon_sym_UR_DQUOTE] = ACTIONS(2486),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2486),
    [anon_sym_co_await] = ACTIONS(2484),
    [anon_sym_new] = ACTIONS(2484),
    [anon_sym_requires] = ACTIONS(2484),
    [sym_this] = ACTIONS(2484),
    [anon_sym_discard] = ACTIONS(2484),
    [anon_sym_precise] = ACTIONS(2484),
    [anon_sym_shared] = ACTIONS(2484),
    [anon_sym_groupshared] = ACTIONS(2484),
    [anon_sym_uniform] = ACTIONS(2484),
    [anon_sym_row_major] = ACTIONS(2484),
    [anon_sym_column_major] = ACTIONS(2484),
    [anon_sym_globallycoherent] = ACTIONS(2484),
    [anon_sym_centroid] = ACTIONS(2484),
    [anon_sym_noperspective] = ACTIONS(2484),
    [anon_sym_nointerpolation] = ACTIONS(2484),
    [anon_sym_sample] = ACTIONS(2484),
    [anon_sym_linear] = ACTIONS(2484),
    [anon_sym_snorm] = ACTIONS(2484),
    [anon_sym_unorm] = ACTIONS(2484),
    [anon_sym_point] = ACTIONS(2484),
    [anon_sym_line] = ACTIONS(2484),
    [anon_sym_triangleadj] = ACTIONS(2484),
    [anon_sym_lineadj] = ACTIONS(2484),
    [anon_sym_triangle] = ACTIONS(2484),
    [anon_sym_cbuffer] = ACTIONS(2484),
  },
  [997] = {
    [sym_identifier] = ACTIONS(2464),
    [aux_sym_preproc_include_token1] = ACTIONS(2464),
    [aux_sym_preproc_def_token1] = ACTIONS(2464),
    [aux_sym_preproc_if_token1] = ACTIONS(2464),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2464),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2464),
    [sym_preproc_directive] = ACTIONS(2464),
    [anon_sym_LPAREN2] = ACTIONS(2466),
    [anon_sym_BANG] = ACTIONS(2466),
    [anon_sym_TILDE] = ACTIONS(2466),
    [anon_sym_DASH] = ACTIONS(2464),
    [anon_sym_PLUS] = ACTIONS(2464),
    [anon_sym_STAR] = ACTIONS(2466),
    [anon_sym_AMP_AMP] = ACTIONS(2466),
    [anon_sym_AMP] = ACTIONS(2464),
    [anon_sym_SEMI] = ACTIONS(2466),
    [anon_sym___extension__] = ACTIONS(2464),
    [anon_sym_typedef] = ACTIONS(2464),
    [anon_sym_in] = ACTIONS(2464),
    [anon_sym_out] = ACTIONS(2464),
    [anon_sym_inout] = ACTIONS(2464),
    [anon_sym_extern] = ACTIONS(2464),
    [anon_sym___attribute__] = ACTIONS(2464),
    [anon_sym_COLON_COLON] = ACTIONS(2466),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2466),
    [anon_sym___declspec] = ACTIONS(2464),
    [anon_sym___based] = ACTIONS(2464),
    [anon_sym___cdecl] = ACTIONS(2464),
    [anon_sym___clrcall] = ACTIONS(2464),
    [anon_sym___stdcall] = ACTIONS(2464),
    [anon_sym___fastcall] = ACTIONS(2464),
    [anon_sym___thiscall] = ACTIONS(2464),
    [anon_sym___vectorcall] = ACTIONS(2464),
    [anon_sym_LBRACE] = ACTIONS(2466),
    [anon_sym_RBRACE] = ACTIONS(2466),
    [anon_sym_signed] = ACTIONS(2464),
    [anon_sym_unsigned] = ACTIONS(2464),
    [anon_sym_long] = ACTIONS(2464),
    [anon_sym_short] = ACTIONS(2464),
    [anon_sym_LBRACK] = ACTIONS(2464),
    [anon_sym_static] = ACTIONS(2464),
    [anon_sym_register] = ACTIONS(2464),
    [anon_sym_inline] = ACTIONS(2464),
    [anon_sym___inline] = ACTIONS(2464),
    [anon_sym___inline__] = ACTIONS(2464),
    [anon_sym___forceinline] = ACTIONS(2464),
    [anon_sym_thread_local] = ACTIONS(2464),
    [anon_sym___thread] = ACTIONS(2464),
    [anon_sym_const] = ACTIONS(2464),
    [anon_sym_constexpr] = ACTIONS(2464),
    [anon_sym_volatile] = ACTIONS(2464),
    [anon_sym_restrict] = ACTIONS(2464),
    [anon_sym___restrict__] = ACTIONS(2464),
    [anon_sym__Atomic] = ACTIONS(2464),
    [anon_sym__Noreturn] = ACTIONS(2464),
    [anon_sym_noreturn] = ACTIONS(2464),
    [anon_sym_mutable] = ACTIONS(2464),
    [anon_sym_constinit] = ACTIONS(2464),
    [anon_sym_consteval] = ACTIONS(2464),
    [sym_primitive_type] = ACTIONS(2464),
    [anon_sym_enum] = ACTIONS(2464),
    [anon_sym_class] = ACTIONS(2464),
    [anon_sym_struct] = ACTIONS(2464),
    [anon_sym_union] = ACTIONS(2464),
    [anon_sym_if] = ACTIONS(2464),
    [anon_sym_else] = ACTIONS(2464),
    [anon_sym_switch] = ACTIONS(2464),
    [anon_sym_case] = ACTIONS(2464),
    [anon_sym_default] = ACTIONS(2464),
    [anon_sym_while] = ACTIONS(2464),
    [anon_sym_do] = ACTIONS(2464),
    [anon_sym_for] = ACTIONS(2464),
    [anon_sym_return] = ACTIONS(2464),
    [anon_sym_break] = ACTIONS(2464),
    [anon_sym_continue] = ACTIONS(2464),
    [anon_sym_goto] = ACTIONS(2464),
    [anon_sym___try] = ACTIONS(2464),
    [anon_sym___leave] = ACTIONS(2464),
    [anon_sym_not] = ACTIONS(2464),
    [anon_sym_compl] = ACTIONS(2464),
    [anon_sym_DASH_DASH] = ACTIONS(2466),
    [anon_sym_PLUS_PLUS] = ACTIONS(2466),
    [anon_sym_sizeof] = ACTIONS(2464),
    [anon_sym___alignof__] = ACTIONS(2464),
    [anon_sym___alignof] = ACTIONS(2464),
    [anon_sym__alignof] = ACTIONS(2464),
    [anon_sym_alignof] = ACTIONS(2464),
    [anon_sym__Alignof] = ACTIONS(2464),
    [anon_sym_offsetof] = ACTIONS(2464),
    [anon_sym__Generic] = ACTIONS(2464),
    [anon_sym_asm] = ACTIONS(2464),
    [anon_sym___asm__] = ACTIONS(2464),
    [sym_number_literal] = ACTIONS(2466),
    [anon_sym_L_SQUOTE] = ACTIONS(2466),
    [anon_sym_u_SQUOTE] = ACTIONS(2466),
    [anon_sym_U_SQUOTE] = ACTIONS(2466),
    [anon_sym_u8_SQUOTE] = ACTIONS(2466),
    [anon_sym_SQUOTE] = ACTIONS(2466),
    [anon_sym_L_DQUOTE] = ACTIONS(2466),
    [anon_sym_u_DQUOTE] = ACTIONS(2466),
    [anon_sym_U_DQUOTE] = ACTIONS(2466),
    [anon_sym_u8_DQUOTE] = ACTIONS(2466),
    [anon_sym_DQUOTE] = ACTIONS(2466),
    [sym_true] = ACTIONS(2464),
    [sym_false] = ACTIONS(2464),
    [anon_sym_NULL] = ACTIONS(2464),
    [anon_sym_nullptr] = ACTIONS(2464),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2464),
    [anon_sym_decltype] = ACTIONS(2464),
    [anon_sym_virtual] = ACTIONS(2464),
    [anon_sym_alignas] = ACTIONS(2464),
    [anon_sym_explicit] = ACTIONS(2464),
    [anon_sym_typename] = ACTIONS(2464),
    [anon_sym_template] = ACTIONS(2464),
    [anon_sym_operator] = ACTIONS(2464),
    [anon_sym_try] = ACTIONS(2464),
    [anon_sym_delete] = ACTIONS(2464),
    [anon_sym_throw] = ACTIONS(2464),
    [anon_sym_namespace] = ACTIONS(2464),
    [anon_sym_using] = ACTIONS(2464),
    [anon_sym_static_assert] = ACTIONS(2464),
    [anon_sym_concept] = ACTIONS(2464),
    [anon_sym_co_return] = ACTIONS(2464),
    [anon_sym_co_yield] = ACTIONS(2464),
    [anon_sym_R_DQUOTE] = ACTIONS(2466),
    [anon_sym_LR_DQUOTE] = ACTIONS(2466),
    [anon_sym_uR_DQUOTE] = ACTIONS(2466),
    [anon_sym_UR_DQUOTE] = ACTIONS(2466),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2466),
    [anon_sym_co_await] = ACTIONS(2464),
    [anon_sym_new] = ACTIONS(2464),
    [anon_sym_requires] = ACTIONS(2464),
    [sym_this] = ACTIONS(2464),
    [anon_sym_discard] = ACTIONS(2464),
    [anon_sym_precise] = ACTIONS(2464),
    [anon_sym_shared] = ACTIONS(2464),
    [anon_sym_groupshared] = ACTIONS(2464),
    [anon_sym_uniform] = ACTIONS(2464),
    [anon_sym_row_major] = ACTIONS(2464),
    [anon_sym_column_major] = ACTIONS(2464),
    [anon_sym_globallycoherent] = ACTIONS(2464),
    [anon_sym_centroid] = ACTIONS(2464),
    [anon_sym_noperspective] = ACTIONS(2464),
    [anon_sym_nointerpolation] = ACTIONS(2464),
    [anon_sym_sample] = ACTIONS(2464),
    [anon_sym_linear] = ACTIONS(2464),
    [anon_sym_snorm] = ACTIONS(2464),
    [anon_sym_unorm] = ACTIONS(2464),
    [anon_sym_point] = ACTIONS(2464),
    [anon_sym_line] = ACTIONS(2464),
    [anon_sym_triangleadj] = ACTIONS(2464),
    [anon_sym_lineadj] = ACTIONS(2464),
    [anon_sym_triangle] = ACTIONS(2464),
    [anon_sym_cbuffer] = ACTIONS(2464),
  },
  [998] = {
    [sym_identifier] = ACTIONS(2354),
    [aux_sym_preproc_include_token1] = ACTIONS(2354),
    [aux_sym_preproc_def_token1] = ACTIONS(2354),
    [aux_sym_preproc_if_token1] = ACTIONS(2354),
    [aux_sym_preproc_if_token2] = ACTIONS(2354),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2354),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2354),
    [sym_preproc_directive] = ACTIONS(2354),
    [anon_sym_LPAREN2] = ACTIONS(2356),
    [anon_sym_BANG] = ACTIONS(2356),
    [anon_sym_TILDE] = ACTIONS(2356),
    [anon_sym_DASH] = ACTIONS(2354),
    [anon_sym_PLUS] = ACTIONS(2354),
    [anon_sym_STAR] = ACTIONS(2356),
    [anon_sym_AMP_AMP] = ACTIONS(2356),
    [anon_sym_AMP] = ACTIONS(2354),
    [anon_sym_SEMI] = ACTIONS(2356),
    [anon_sym___extension__] = ACTIONS(2354),
    [anon_sym_typedef] = ACTIONS(2354),
    [anon_sym_in] = ACTIONS(2354),
    [anon_sym_out] = ACTIONS(2354),
    [anon_sym_inout] = ACTIONS(2354),
    [anon_sym_extern] = ACTIONS(2354),
    [anon_sym___attribute__] = ACTIONS(2354),
    [anon_sym_COLON_COLON] = ACTIONS(2356),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2356),
    [anon_sym___declspec] = ACTIONS(2354),
    [anon_sym___based] = ACTIONS(2354),
    [anon_sym___cdecl] = ACTIONS(2354),
    [anon_sym___clrcall] = ACTIONS(2354),
    [anon_sym___stdcall] = ACTIONS(2354),
    [anon_sym___fastcall] = ACTIONS(2354),
    [anon_sym___thiscall] = ACTIONS(2354),
    [anon_sym___vectorcall] = ACTIONS(2354),
    [anon_sym_LBRACE] = ACTIONS(2356),
    [anon_sym_signed] = ACTIONS(2354),
    [anon_sym_unsigned] = ACTIONS(2354),
    [anon_sym_long] = ACTIONS(2354),
    [anon_sym_short] = ACTIONS(2354),
    [anon_sym_LBRACK] = ACTIONS(2354),
    [anon_sym_static] = ACTIONS(2354),
    [anon_sym_register] = ACTIONS(2354),
    [anon_sym_inline] = ACTIONS(2354),
    [anon_sym___inline] = ACTIONS(2354),
    [anon_sym___inline__] = ACTIONS(2354),
    [anon_sym___forceinline] = ACTIONS(2354),
    [anon_sym_thread_local] = ACTIONS(2354),
    [anon_sym___thread] = ACTIONS(2354),
    [anon_sym_const] = ACTIONS(2354),
    [anon_sym_constexpr] = ACTIONS(2354),
    [anon_sym_volatile] = ACTIONS(2354),
    [anon_sym_restrict] = ACTIONS(2354),
    [anon_sym___restrict__] = ACTIONS(2354),
    [anon_sym__Atomic] = ACTIONS(2354),
    [anon_sym__Noreturn] = ACTIONS(2354),
    [anon_sym_noreturn] = ACTIONS(2354),
    [anon_sym_mutable] = ACTIONS(2354),
    [anon_sym_constinit] = ACTIONS(2354),
    [anon_sym_consteval] = ACTIONS(2354),
    [sym_primitive_type] = ACTIONS(2354),
    [anon_sym_enum] = ACTIONS(2354),
    [anon_sym_class] = ACTIONS(2354),
    [anon_sym_struct] = ACTIONS(2354),
    [anon_sym_union] = ACTIONS(2354),
    [anon_sym_if] = ACTIONS(2354),
    [anon_sym_else] = ACTIONS(2354),
    [anon_sym_switch] = ACTIONS(2354),
    [anon_sym_case] = ACTIONS(2354),
    [anon_sym_default] = ACTIONS(2354),
    [anon_sym_while] = ACTIONS(2354),
    [anon_sym_do] = ACTIONS(2354),
    [anon_sym_for] = ACTIONS(2354),
    [anon_sym_return] = ACTIONS(2354),
    [anon_sym_break] = ACTIONS(2354),
    [anon_sym_continue] = ACTIONS(2354),
    [anon_sym_goto] = ACTIONS(2354),
    [anon_sym___try] = ACTIONS(2354),
    [anon_sym___leave] = ACTIONS(2354),
    [anon_sym_not] = ACTIONS(2354),
    [anon_sym_compl] = ACTIONS(2354),
    [anon_sym_DASH_DASH] = ACTIONS(2356),
    [anon_sym_PLUS_PLUS] = ACTIONS(2356),
    [anon_sym_sizeof] = ACTIONS(2354),
    [anon_sym___alignof__] = ACTIONS(2354),
    [anon_sym___alignof] = ACTIONS(2354),
    [anon_sym__alignof] = ACTIONS(2354),
    [anon_sym_alignof] = ACTIONS(2354),
    [anon_sym__Alignof] = ACTIONS(2354),
    [anon_sym_offsetof] = ACTIONS(2354),
    [anon_sym__Generic] = ACTIONS(2354),
    [anon_sym_asm] = ACTIONS(2354),
    [anon_sym___asm__] = ACTIONS(2354),
    [sym_number_literal] = ACTIONS(2356),
    [anon_sym_L_SQUOTE] = ACTIONS(2356),
    [anon_sym_u_SQUOTE] = ACTIONS(2356),
    [anon_sym_U_SQUOTE] = ACTIONS(2356),
    [anon_sym_u8_SQUOTE] = ACTIONS(2356),
    [anon_sym_SQUOTE] = ACTIONS(2356),
    [anon_sym_L_DQUOTE] = ACTIONS(2356),
    [anon_sym_u_DQUOTE] = ACTIONS(2356),
    [anon_sym_U_DQUOTE] = ACTIONS(2356),
    [anon_sym_u8_DQUOTE] = ACTIONS(2356),
    [anon_sym_DQUOTE] = ACTIONS(2356),
    [sym_true] = ACTIONS(2354),
    [sym_false] = ACTIONS(2354),
    [anon_sym_NULL] = ACTIONS(2354),
    [anon_sym_nullptr] = ACTIONS(2354),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2354),
    [anon_sym_decltype] = ACTIONS(2354),
    [anon_sym_virtual] = ACTIONS(2354),
    [anon_sym_alignas] = ACTIONS(2354),
    [anon_sym_explicit] = ACTIONS(2354),
    [anon_sym_typename] = ACTIONS(2354),
    [anon_sym_template] = ACTIONS(2354),
    [anon_sym_operator] = ACTIONS(2354),
    [anon_sym_try] = ACTIONS(2354),
    [anon_sym_delete] = ACTIONS(2354),
    [anon_sym_throw] = ACTIONS(2354),
    [anon_sym_namespace] = ACTIONS(2354),
    [anon_sym_using] = ACTIONS(2354),
    [anon_sym_static_assert] = ACTIONS(2354),
    [anon_sym_concept] = ACTIONS(2354),
    [anon_sym_co_return] = ACTIONS(2354),
    [anon_sym_co_yield] = ACTIONS(2354),
    [anon_sym_R_DQUOTE] = ACTIONS(2356),
    [anon_sym_LR_DQUOTE] = ACTIONS(2356),
    [anon_sym_uR_DQUOTE] = ACTIONS(2356),
    [anon_sym_UR_DQUOTE] = ACTIONS(2356),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2356),
    [anon_sym_co_await] = ACTIONS(2354),
    [anon_sym_new] = ACTIONS(2354),
    [anon_sym_requires] = ACTIONS(2354),
    [sym_this] = ACTIONS(2354),
    [anon_sym_discard] = ACTIONS(2354),
    [anon_sym_precise] = ACTIONS(2354),
    [anon_sym_shared] = ACTIONS(2354),
    [anon_sym_groupshared] = ACTIONS(2354),
    [anon_sym_uniform] = ACTIONS(2354),
    [anon_sym_row_major] = ACTIONS(2354),
    [anon_sym_column_major] = ACTIONS(2354),
    [anon_sym_globallycoherent] = ACTIONS(2354),
    [anon_sym_centroid] = ACTIONS(2354),
    [anon_sym_noperspective] = ACTIONS(2354),
    [anon_sym_nointerpolation] = ACTIONS(2354),
    [anon_sym_sample] = ACTIONS(2354),
    [anon_sym_linear] = ACTIONS(2354),
    [anon_sym_snorm] = ACTIONS(2354),
    [anon_sym_unorm] = ACTIONS(2354),
    [anon_sym_point] = ACTIONS(2354),
    [anon_sym_line] = ACTIONS(2354),
    [anon_sym_triangleadj] = ACTIONS(2354),
    [anon_sym_lineadj] = ACTIONS(2354),
    [anon_sym_triangle] = ACTIONS(2354),
    [anon_sym_cbuffer] = ACTIONS(2354),
  },
  [999] = {
    [sym_identifier] = ACTIONS(2444),
    [aux_sym_preproc_include_token1] = ACTIONS(2444),
    [aux_sym_preproc_def_token1] = ACTIONS(2444),
    [aux_sym_preproc_if_token1] = ACTIONS(2444),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2444),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2444),
    [sym_preproc_directive] = ACTIONS(2444),
    [anon_sym_LPAREN2] = ACTIONS(2446),
    [anon_sym_BANG] = ACTIONS(2446),
    [anon_sym_TILDE] = ACTIONS(2446),
    [anon_sym_DASH] = ACTIONS(2444),
    [anon_sym_PLUS] = ACTIONS(2444),
    [anon_sym_STAR] = ACTIONS(2446),
    [anon_sym_AMP_AMP] = ACTIONS(2446),
    [anon_sym_AMP] = ACTIONS(2444),
    [anon_sym_SEMI] = ACTIONS(2446),
    [anon_sym___extension__] = ACTIONS(2444),
    [anon_sym_typedef] = ACTIONS(2444),
    [anon_sym_in] = ACTIONS(2444),
    [anon_sym_out] = ACTIONS(2444),
    [anon_sym_inout] = ACTIONS(2444),
    [anon_sym_extern] = ACTIONS(2444),
    [anon_sym___attribute__] = ACTIONS(2444),
    [anon_sym_COLON_COLON] = ACTIONS(2446),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2446),
    [anon_sym___declspec] = ACTIONS(2444),
    [anon_sym___based] = ACTIONS(2444),
    [anon_sym___cdecl] = ACTIONS(2444),
    [anon_sym___clrcall] = ACTIONS(2444),
    [anon_sym___stdcall] = ACTIONS(2444),
    [anon_sym___fastcall] = ACTIONS(2444),
    [anon_sym___thiscall] = ACTIONS(2444),
    [anon_sym___vectorcall] = ACTIONS(2444),
    [anon_sym_LBRACE] = ACTIONS(2446),
    [anon_sym_RBRACE] = ACTIONS(2446),
    [anon_sym_signed] = ACTIONS(2444),
    [anon_sym_unsigned] = ACTIONS(2444),
    [anon_sym_long] = ACTIONS(2444),
    [anon_sym_short] = ACTIONS(2444),
    [anon_sym_LBRACK] = ACTIONS(2444),
    [anon_sym_static] = ACTIONS(2444),
    [anon_sym_register] = ACTIONS(2444),
    [anon_sym_inline] = ACTIONS(2444),
    [anon_sym___inline] = ACTIONS(2444),
    [anon_sym___inline__] = ACTIONS(2444),
    [anon_sym___forceinline] = ACTIONS(2444),
    [anon_sym_thread_local] = ACTIONS(2444),
    [anon_sym___thread] = ACTIONS(2444),
    [anon_sym_const] = ACTIONS(2444),
    [anon_sym_constexpr] = ACTIONS(2444),
    [anon_sym_volatile] = ACTIONS(2444),
    [anon_sym_restrict] = ACTIONS(2444),
    [anon_sym___restrict__] = ACTIONS(2444),
    [anon_sym__Atomic] = ACTIONS(2444),
    [anon_sym__Noreturn] = ACTIONS(2444),
    [anon_sym_noreturn] = ACTIONS(2444),
    [anon_sym_mutable] = ACTIONS(2444),
    [anon_sym_constinit] = ACTIONS(2444),
    [anon_sym_consteval] = ACTIONS(2444),
    [sym_primitive_type] = ACTIONS(2444),
    [anon_sym_enum] = ACTIONS(2444),
    [anon_sym_class] = ACTIONS(2444),
    [anon_sym_struct] = ACTIONS(2444),
    [anon_sym_union] = ACTIONS(2444),
    [anon_sym_if] = ACTIONS(2444),
    [anon_sym_else] = ACTIONS(2444),
    [anon_sym_switch] = ACTIONS(2444),
    [anon_sym_case] = ACTIONS(2444),
    [anon_sym_default] = ACTIONS(2444),
    [anon_sym_while] = ACTIONS(2444),
    [anon_sym_do] = ACTIONS(2444),
    [anon_sym_for] = ACTIONS(2444),
    [anon_sym_return] = ACTIONS(2444),
    [anon_sym_break] = ACTIONS(2444),
    [anon_sym_continue] = ACTIONS(2444),
    [anon_sym_goto] = ACTIONS(2444),
    [anon_sym___try] = ACTIONS(2444),
    [anon_sym___leave] = ACTIONS(2444),
    [anon_sym_not] = ACTIONS(2444),
    [anon_sym_compl] = ACTIONS(2444),
    [anon_sym_DASH_DASH] = ACTIONS(2446),
    [anon_sym_PLUS_PLUS] = ACTIONS(2446),
    [anon_sym_sizeof] = ACTIONS(2444),
    [anon_sym___alignof__] = ACTIONS(2444),
    [anon_sym___alignof] = ACTIONS(2444),
    [anon_sym__alignof] = ACTIONS(2444),
    [anon_sym_alignof] = ACTIONS(2444),
    [anon_sym__Alignof] = ACTIONS(2444),
    [anon_sym_offsetof] = ACTIONS(2444),
    [anon_sym__Generic] = ACTIONS(2444),
    [anon_sym_asm] = ACTIONS(2444),
    [anon_sym___asm__] = ACTIONS(2444),
    [sym_number_literal] = ACTIONS(2446),
    [anon_sym_L_SQUOTE] = ACTIONS(2446),
    [anon_sym_u_SQUOTE] = ACTIONS(2446),
    [anon_sym_U_SQUOTE] = ACTIONS(2446),
    [anon_sym_u8_SQUOTE] = ACTIONS(2446),
    [anon_sym_SQUOTE] = ACTIONS(2446),
    [anon_sym_L_DQUOTE] = ACTIONS(2446),
    [anon_sym_u_DQUOTE] = ACTIONS(2446),
    [anon_sym_U_DQUOTE] = ACTIONS(2446),
    [anon_sym_u8_DQUOTE] = ACTIONS(2446),
    [anon_sym_DQUOTE] = ACTIONS(2446),
    [sym_true] = ACTIONS(2444),
    [sym_false] = ACTIONS(2444),
    [anon_sym_NULL] = ACTIONS(2444),
    [anon_sym_nullptr] = ACTIONS(2444),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2444),
    [anon_sym_decltype] = ACTIONS(2444),
    [anon_sym_virtual] = ACTIONS(2444),
    [anon_sym_alignas] = ACTIONS(2444),
    [anon_sym_explicit] = ACTIONS(2444),
    [anon_sym_typename] = ACTIONS(2444),
    [anon_sym_template] = ACTIONS(2444),
    [anon_sym_operator] = ACTIONS(2444),
    [anon_sym_try] = ACTIONS(2444),
    [anon_sym_delete] = ACTIONS(2444),
    [anon_sym_throw] = ACTIONS(2444),
    [anon_sym_namespace] = ACTIONS(2444),
    [anon_sym_using] = ACTIONS(2444),
    [anon_sym_static_assert] = ACTIONS(2444),
    [anon_sym_concept] = ACTIONS(2444),
    [anon_sym_co_return] = ACTIONS(2444),
    [anon_sym_co_yield] = ACTIONS(2444),
    [anon_sym_R_DQUOTE] = ACTIONS(2446),
    [anon_sym_LR_DQUOTE] = ACTIONS(2446),
    [anon_sym_uR_DQUOTE] = ACTIONS(2446),
    [anon_sym_UR_DQUOTE] = ACTIONS(2446),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2446),
    [anon_sym_co_await] = ACTIONS(2444),
    [anon_sym_new] = ACTIONS(2444),
    [anon_sym_requires] = ACTIONS(2444),
    [sym_this] = ACTIONS(2444),
    [anon_sym_discard] = ACTIONS(2444),
    [anon_sym_precise] = ACTIONS(2444),
    [anon_sym_shared] = ACTIONS(2444),
    [anon_sym_groupshared] = ACTIONS(2444),
    [anon_sym_uniform] = ACTIONS(2444),
    [anon_sym_row_major] = ACTIONS(2444),
    [anon_sym_column_major] = ACTIONS(2444),
    [anon_sym_globallycoherent] = ACTIONS(2444),
    [anon_sym_centroid] = ACTIONS(2444),
    [anon_sym_noperspective] = ACTIONS(2444),
    [anon_sym_nointerpolation] = ACTIONS(2444),
    [anon_sym_sample] = ACTIONS(2444),
    [anon_sym_linear] = ACTIONS(2444),
    [anon_sym_snorm] = ACTIONS(2444),
    [anon_sym_unorm] = ACTIONS(2444),
    [anon_sym_point] = ACTIONS(2444),
    [anon_sym_line] = ACTIONS(2444),
    [anon_sym_triangleadj] = ACTIONS(2444),
    [anon_sym_lineadj] = ACTIONS(2444),
    [anon_sym_triangle] = ACTIONS(2444),
    [anon_sym_cbuffer] = ACTIONS(2444),
  },
  [1000] = {
    [sym_identifier] = ACTIONS(2318),
    [aux_sym_preproc_include_token1] = ACTIONS(2318),
    [aux_sym_preproc_def_token1] = ACTIONS(2318),
    [aux_sym_preproc_if_token1] = ACTIONS(2318),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2318),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2318),
    [sym_preproc_directive] = ACTIONS(2318),
    [anon_sym_LPAREN2] = ACTIONS(2320),
    [anon_sym_BANG] = ACTIONS(2320),
    [anon_sym_TILDE] = ACTIONS(2320),
    [anon_sym_DASH] = ACTIONS(2318),
    [anon_sym_PLUS] = ACTIONS(2318),
    [anon_sym_STAR] = ACTIONS(2320),
    [anon_sym_AMP_AMP] = ACTIONS(2320),
    [anon_sym_AMP] = ACTIONS(2318),
    [anon_sym_SEMI] = ACTIONS(2320),
    [anon_sym___extension__] = ACTIONS(2318),
    [anon_sym_typedef] = ACTIONS(2318),
    [anon_sym_in] = ACTIONS(2318),
    [anon_sym_out] = ACTIONS(2318),
    [anon_sym_inout] = ACTIONS(2318),
    [anon_sym_extern] = ACTIONS(2318),
    [anon_sym___attribute__] = ACTIONS(2318),
    [anon_sym_COLON_COLON] = ACTIONS(2320),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2320),
    [anon_sym___declspec] = ACTIONS(2318),
    [anon_sym___based] = ACTIONS(2318),
    [anon_sym___cdecl] = ACTIONS(2318),
    [anon_sym___clrcall] = ACTIONS(2318),
    [anon_sym___stdcall] = ACTIONS(2318),
    [anon_sym___fastcall] = ACTIONS(2318),
    [anon_sym___thiscall] = ACTIONS(2318),
    [anon_sym___vectorcall] = ACTIONS(2318),
    [anon_sym_LBRACE] = ACTIONS(2320),
    [anon_sym_RBRACE] = ACTIONS(2320),
    [anon_sym_signed] = ACTIONS(2318),
    [anon_sym_unsigned] = ACTIONS(2318),
    [anon_sym_long] = ACTIONS(2318),
    [anon_sym_short] = ACTIONS(2318),
    [anon_sym_LBRACK] = ACTIONS(2318),
    [anon_sym_static] = ACTIONS(2318),
    [anon_sym_register] = ACTIONS(2318),
    [anon_sym_inline] = ACTIONS(2318),
    [anon_sym___inline] = ACTIONS(2318),
    [anon_sym___inline__] = ACTIONS(2318),
    [anon_sym___forceinline] = ACTIONS(2318),
    [anon_sym_thread_local] = ACTIONS(2318),
    [anon_sym___thread] = ACTIONS(2318),
    [anon_sym_const] = ACTIONS(2318),
    [anon_sym_constexpr] = ACTIONS(2318),
    [anon_sym_volatile] = ACTIONS(2318),
    [anon_sym_restrict] = ACTIONS(2318),
    [anon_sym___restrict__] = ACTIONS(2318),
    [anon_sym__Atomic] = ACTIONS(2318),
    [anon_sym__Noreturn] = ACTIONS(2318),
    [anon_sym_noreturn] = ACTIONS(2318),
    [anon_sym_mutable] = ACTIONS(2318),
    [anon_sym_constinit] = ACTIONS(2318),
    [anon_sym_consteval] = ACTIONS(2318),
    [sym_primitive_type] = ACTIONS(2318),
    [anon_sym_enum] = ACTIONS(2318),
    [anon_sym_class] = ACTIONS(2318),
    [anon_sym_struct] = ACTIONS(2318),
    [anon_sym_union] = ACTIONS(2318),
    [anon_sym_if] = ACTIONS(2318),
    [anon_sym_else] = ACTIONS(2318),
    [anon_sym_switch] = ACTIONS(2318),
    [anon_sym_case] = ACTIONS(2318),
    [anon_sym_default] = ACTIONS(2318),
    [anon_sym_while] = ACTIONS(2318),
    [anon_sym_do] = ACTIONS(2318),
    [anon_sym_for] = ACTIONS(2318),
    [anon_sym_return] = ACTIONS(2318),
    [anon_sym_break] = ACTIONS(2318),
    [anon_sym_continue] = ACTIONS(2318),
    [anon_sym_goto] = ACTIONS(2318),
    [anon_sym___try] = ACTIONS(2318),
    [anon_sym___leave] = ACTIONS(2318),
    [anon_sym_not] = ACTIONS(2318),
    [anon_sym_compl] = ACTIONS(2318),
    [anon_sym_DASH_DASH] = ACTIONS(2320),
    [anon_sym_PLUS_PLUS] = ACTIONS(2320),
    [anon_sym_sizeof] = ACTIONS(2318),
    [anon_sym___alignof__] = ACTIONS(2318),
    [anon_sym___alignof] = ACTIONS(2318),
    [anon_sym__alignof] = ACTIONS(2318),
    [anon_sym_alignof] = ACTIONS(2318),
    [anon_sym__Alignof] = ACTIONS(2318),
    [anon_sym_offsetof] = ACTIONS(2318),
    [anon_sym__Generic] = ACTIONS(2318),
    [anon_sym_asm] = ACTIONS(2318),
    [anon_sym___asm__] = ACTIONS(2318),
    [sym_number_literal] = ACTIONS(2320),
    [anon_sym_L_SQUOTE] = ACTIONS(2320),
    [anon_sym_u_SQUOTE] = ACTIONS(2320),
    [anon_sym_U_SQUOTE] = ACTIONS(2320),
    [anon_sym_u8_SQUOTE] = ACTIONS(2320),
    [anon_sym_SQUOTE] = ACTIONS(2320),
    [anon_sym_L_DQUOTE] = ACTIONS(2320),
    [anon_sym_u_DQUOTE] = ACTIONS(2320),
    [anon_sym_U_DQUOTE] = ACTIONS(2320),
    [anon_sym_u8_DQUOTE] = ACTIONS(2320),
    [anon_sym_DQUOTE] = ACTIONS(2320),
    [sym_true] = ACTIONS(2318),
    [sym_false] = ACTIONS(2318),
    [anon_sym_NULL] = ACTIONS(2318),
    [anon_sym_nullptr] = ACTIONS(2318),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2318),
    [anon_sym_decltype] = ACTIONS(2318),
    [anon_sym_virtual] = ACTIONS(2318),
    [anon_sym_alignas] = ACTIONS(2318),
    [anon_sym_explicit] = ACTIONS(2318),
    [anon_sym_typename] = ACTIONS(2318),
    [anon_sym_template] = ACTIONS(2318),
    [anon_sym_operator] = ACTIONS(2318),
    [anon_sym_try] = ACTIONS(2318),
    [anon_sym_delete] = ACTIONS(2318),
    [anon_sym_throw] = ACTIONS(2318),
    [anon_sym_namespace] = ACTIONS(2318),
    [anon_sym_using] = ACTIONS(2318),
    [anon_sym_static_assert] = ACTIONS(2318),
    [anon_sym_concept] = ACTIONS(2318),
    [anon_sym_co_return] = ACTIONS(2318),
    [anon_sym_co_yield] = ACTIONS(2318),
    [anon_sym_R_DQUOTE] = ACTIONS(2320),
    [anon_sym_LR_DQUOTE] = ACTIONS(2320),
    [anon_sym_uR_DQUOTE] = ACTIONS(2320),
    [anon_sym_UR_DQUOTE] = ACTIONS(2320),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2320),
    [anon_sym_co_await] = ACTIONS(2318),
    [anon_sym_new] = ACTIONS(2318),
    [anon_sym_requires] = ACTIONS(2318),
    [sym_this] = ACTIONS(2318),
    [anon_sym_discard] = ACTIONS(2318),
    [anon_sym_precise] = ACTIONS(2318),
    [anon_sym_shared] = ACTIONS(2318),
    [anon_sym_groupshared] = ACTIONS(2318),
    [anon_sym_uniform] = ACTIONS(2318),
    [anon_sym_row_major] = ACTIONS(2318),
    [anon_sym_column_major] = ACTIONS(2318),
    [anon_sym_globallycoherent] = ACTIONS(2318),
    [anon_sym_centroid] = ACTIONS(2318),
    [anon_sym_noperspective] = ACTIONS(2318),
    [anon_sym_nointerpolation] = ACTIONS(2318),
    [anon_sym_sample] = ACTIONS(2318),
    [anon_sym_linear] = ACTIONS(2318),
    [anon_sym_snorm] = ACTIONS(2318),
    [anon_sym_unorm] = ACTIONS(2318),
    [anon_sym_point] = ACTIONS(2318),
    [anon_sym_line] = ACTIONS(2318),
    [anon_sym_triangleadj] = ACTIONS(2318),
    [anon_sym_lineadj] = ACTIONS(2318),
    [anon_sym_triangle] = ACTIONS(2318),
    [anon_sym_cbuffer] = ACTIONS(2318),
  },
  [1001] = {
    [sym_identifier] = ACTIONS(2330),
    [aux_sym_preproc_include_token1] = ACTIONS(2330),
    [aux_sym_preproc_def_token1] = ACTIONS(2330),
    [aux_sym_preproc_if_token1] = ACTIONS(2330),
    [aux_sym_preproc_if_token2] = ACTIONS(2330),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2330),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2330),
    [sym_preproc_directive] = ACTIONS(2330),
    [anon_sym_LPAREN2] = ACTIONS(2332),
    [anon_sym_BANG] = ACTIONS(2332),
    [anon_sym_TILDE] = ACTIONS(2332),
    [anon_sym_DASH] = ACTIONS(2330),
    [anon_sym_PLUS] = ACTIONS(2330),
    [anon_sym_STAR] = ACTIONS(2332),
    [anon_sym_AMP_AMP] = ACTIONS(2332),
    [anon_sym_AMP] = ACTIONS(2330),
    [anon_sym_SEMI] = ACTIONS(2332),
    [anon_sym___extension__] = ACTIONS(2330),
    [anon_sym_typedef] = ACTIONS(2330),
    [anon_sym_in] = ACTIONS(2330),
    [anon_sym_out] = ACTIONS(2330),
    [anon_sym_inout] = ACTIONS(2330),
    [anon_sym_extern] = ACTIONS(2330),
    [anon_sym___attribute__] = ACTIONS(2330),
    [anon_sym_COLON_COLON] = ACTIONS(2332),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2332),
    [anon_sym___declspec] = ACTIONS(2330),
    [anon_sym___based] = ACTIONS(2330),
    [anon_sym___cdecl] = ACTIONS(2330),
    [anon_sym___clrcall] = ACTIONS(2330),
    [anon_sym___stdcall] = ACTIONS(2330),
    [anon_sym___fastcall] = ACTIONS(2330),
    [anon_sym___thiscall] = ACTIONS(2330),
    [anon_sym___vectorcall] = ACTIONS(2330),
    [anon_sym_LBRACE] = ACTIONS(2332),
    [anon_sym_signed] = ACTIONS(2330),
    [anon_sym_unsigned] = ACTIONS(2330),
    [anon_sym_long] = ACTIONS(2330),
    [anon_sym_short] = ACTIONS(2330),
    [anon_sym_LBRACK] = ACTIONS(2330),
    [anon_sym_static] = ACTIONS(2330),
    [anon_sym_register] = ACTIONS(2330),
    [anon_sym_inline] = ACTIONS(2330),
    [anon_sym___inline] = ACTIONS(2330),
    [anon_sym___inline__] = ACTIONS(2330),
    [anon_sym___forceinline] = ACTIONS(2330),
    [anon_sym_thread_local] = ACTIONS(2330),
    [anon_sym___thread] = ACTIONS(2330),
    [anon_sym_const] = ACTIONS(2330),
    [anon_sym_constexpr] = ACTIONS(2330),
    [anon_sym_volatile] = ACTIONS(2330),
    [anon_sym_restrict] = ACTIONS(2330),
    [anon_sym___restrict__] = ACTIONS(2330),
    [anon_sym__Atomic] = ACTIONS(2330),
    [anon_sym__Noreturn] = ACTIONS(2330),
    [anon_sym_noreturn] = ACTIONS(2330),
    [anon_sym_mutable] = ACTIONS(2330),
    [anon_sym_constinit] = ACTIONS(2330),
    [anon_sym_consteval] = ACTIONS(2330),
    [sym_primitive_type] = ACTIONS(2330),
    [anon_sym_enum] = ACTIONS(2330),
    [anon_sym_class] = ACTIONS(2330),
    [anon_sym_struct] = ACTIONS(2330),
    [anon_sym_union] = ACTIONS(2330),
    [anon_sym_if] = ACTIONS(2330),
    [anon_sym_else] = ACTIONS(2330),
    [anon_sym_switch] = ACTIONS(2330),
    [anon_sym_case] = ACTIONS(2330),
    [anon_sym_default] = ACTIONS(2330),
    [anon_sym_while] = ACTIONS(2330),
    [anon_sym_do] = ACTIONS(2330),
    [anon_sym_for] = ACTIONS(2330),
    [anon_sym_return] = ACTIONS(2330),
    [anon_sym_break] = ACTIONS(2330),
    [anon_sym_continue] = ACTIONS(2330),
    [anon_sym_goto] = ACTIONS(2330),
    [anon_sym___try] = ACTIONS(2330),
    [anon_sym___leave] = ACTIONS(2330),
    [anon_sym_not] = ACTIONS(2330),
    [anon_sym_compl] = ACTIONS(2330),
    [anon_sym_DASH_DASH] = ACTIONS(2332),
    [anon_sym_PLUS_PLUS] = ACTIONS(2332),
    [anon_sym_sizeof] = ACTIONS(2330),
    [anon_sym___alignof__] = ACTIONS(2330),
    [anon_sym___alignof] = ACTIONS(2330),
    [anon_sym__alignof] = ACTIONS(2330),
    [anon_sym_alignof] = ACTIONS(2330),
    [anon_sym__Alignof] = ACTIONS(2330),
    [anon_sym_offsetof] = ACTIONS(2330),
    [anon_sym__Generic] = ACTIONS(2330),
    [anon_sym_asm] = ACTIONS(2330),
    [anon_sym___asm__] = ACTIONS(2330),
    [sym_number_literal] = ACTIONS(2332),
    [anon_sym_L_SQUOTE] = ACTIONS(2332),
    [anon_sym_u_SQUOTE] = ACTIONS(2332),
    [anon_sym_U_SQUOTE] = ACTIONS(2332),
    [anon_sym_u8_SQUOTE] = ACTIONS(2332),
    [anon_sym_SQUOTE] = ACTIONS(2332),
    [anon_sym_L_DQUOTE] = ACTIONS(2332),
    [anon_sym_u_DQUOTE] = ACTIONS(2332),
    [anon_sym_U_DQUOTE] = ACTIONS(2332),
    [anon_sym_u8_DQUOTE] = ACTIONS(2332),
    [anon_sym_DQUOTE] = ACTIONS(2332),
    [sym_true] = ACTIONS(2330),
    [sym_false] = ACTIONS(2330),
    [anon_sym_NULL] = ACTIONS(2330),
    [anon_sym_nullptr] = ACTIONS(2330),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2330),
    [anon_sym_decltype] = ACTIONS(2330),
    [anon_sym_virtual] = ACTIONS(2330),
    [anon_sym_alignas] = ACTIONS(2330),
    [anon_sym_explicit] = ACTIONS(2330),
    [anon_sym_typename] = ACTIONS(2330),
    [anon_sym_template] = ACTIONS(2330),
    [anon_sym_operator] = ACTIONS(2330),
    [anon_sym_try] = ACTIONS(2330),
    [anon_sym_delete] = ACTIONS(2330),
    [anon_sym_throw] = ACTIONS(2330),
    [anon_sym_namespace] = ACTIONS(2330),
    [anon_sym_using] = ACTIONS(2330),
    [anon_sym_static_assert] = ACTIONS(2330),
    [anon_sym_concept] = ACTIONS(2330),
    [anon_sym_co_return] = ACTIONS(2330),
    [anon_sym_co_yield] = ACTIONS(2330),
    [anon_sym_R_DQUOTE] = ACTIONS(2332),
    [anon_sym_LR_DQUOTE] = ACTIONS(2332),
    [anon_sym_uR_DQUOTE] = ACTIONS(2332),
    [anon_sym_UR_DQUOTE] = ACTIONS(2332),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2332),
    [anon_sym_co_await] = ACTIONS(2330),
    [anon_sym_new] = ACTIONS(2330),
    [anon_sym_requires] = ACTIONS(2330),
    [sym_this] = ACTIONS(2330),
    [anon_sym_discard] = ACTIONS(2330),
    [anon_sym_precise] = ACTIONS(2330),
    [anon_sym_shared] = ACTIONS(2330),
    [anon_sym_groupshared] = ACTIONS(2330),
    [anon_sym_uniform] = ACTIONS(2330),
    [anon_sym_row_major] = ACTIONS(2330),
    [anon_sym_column_major] = ACTIONS(2330),
    [anon_sym_globallycoherent] = ACTIONS(2330),
    [anon_sym_centroid] = ACTIONS(2330),
    [anon_sym_noperspective] = ACTIONS(2330),
    [anon_sym_nointerpolation] = ACTIONS(2330),
    [anon_sym_sample] = ACTIONS(2330),
    [anon_sym_linear] = ACTIONS(2330),
    [anon_sym_snorm] = ACTIONS(2330),
    [anon_sym_unorm] = ACTIONS(2330),
    [anon_sym_point] = ACTIONS(2330),
    [anon_sym_line] = ACTIONS(2330),
    [anon_sym_triangleadj] = ACTIONS(2330),
    [anon_sym_lineadj] = ACTIONS(2330),
    [anon_sym_triangle] = ACTIONS(2330),
    [anon_sym_cbuffer] = ACTIONS(2330),
  },
  [1002] = {
    [ts_builtin_sym_end] = ACTIONS(2370),
    [sym_identifier] = ACTIONS(2368),
    [aux_sym_preproc_include_token1] = ACTIONS(2368),
    [aux_sym_preproc_def_token1] = ACTIONS(2368),
    [aux_sym_preproc_if_token1] = ACTIONS(2368),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2368),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2368),
    [sym_preproc_directive] = ACTIONS(2368),
    [anon_sym_LPAREN2] = ACTIONS(2370),
    [anon_sym_BANG] = ACTIONS(2370),
    [anon_sym_TILDE] = ACTIONS(2370),
    [anon_sym_DASH] = ACTIONS(2368),
    [anon_sym_PLUS] = ACTIONS(2368),
    [anon_sym_STAR] = ACTIONS(2370),
    [anon_sym_AMP_AMP] = ACTIONS(2370),
    [anon_sym_AMP] = ACTIONS(2368),
    [anon_sym_SEMI] = ACTIONS(2370),
    [anon_sym___extension__] = ACTIONS(2368),
    [anon_sym_typedef] = ACTIONS(2368),
    [anon_sym_in] = ACTIONS(2368),
    [anon_sym_out] = ACTIONS(2368),
    [anon_sym_inout] = ACTIONS(2368),
    [anon_sym_extern] = ACTIONS(2368),
    [anon_sym___attribute__] = ACTIONS(2368),
    [anon_sym_COLON_COLON] = ACTIONS(2370),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2370),
    [anon_sym___declspec] = ACTIONS(2368),
    [anon_sym___based] = ACTIONS(2368),
    [anon_sym___cdecl] = ACTIONS(2368),
    [anon_sym___clrcall] = ACTIONS(2368),
    [anon_sym___stdcall] = ACTIONS(2368),
    [anon_sym___fastcall] = ACTIONS(2368),
    [anon_sym___thiscall] = ACTIONS(2368),
    [anon_sym___vectorcall] = ACTIONS(2368),
    [anon_sym_LBRACE] = ACTIONS(2370),
    [anon_sym_signed] = ACTIONS(2368),
    [anon_sym_unsigned] = ACTIONS(2368),
    [anon_sym_long] = ACTIONS(2368),
    [anon_sym_short] = ACTIONS(2368),
    [anon_sym_LBRACK] = ACTIONS(2368),
    [anon_sym_static] = ACTIONS(2368),
    [anon_sym_register] = ACTIONS(2368),
    [anon_sym_inline] = ACTIONS(2368),
    [anon_sym___inline] = ACTIONS(2368),
    [anon_sym___inline__] = ACTIONS(2368),
    [anon_sym___forceinline] = ACTIONS(2368),
    [anon_sym_thread_local] = ACTIONS(2368),
    [anon_sym___thread] = ACTIONS(2368),
    [anon_sym_const] = ACTIONS(2368),
    [anon_sym_constexpr] = ACTIONS(2368),
    [anon_sym_volatile] = ACTIONS(2368),
    [anon_sym_restrict] = ACTIONS(2368),
    [anon_sym___restrict__] = ACTIONS(2368),
    [anon_sym__Atomic] = ACTIONS(2368),
    [anon_sym__Noreturn] = ACTIONS(2368),
    [anon_sym_noreturn] = ACTIONS(2368),
    [anon_sym_mutable] = ACTIONS(2368),
    [anon_sym_constinit] = ACTIONS(2368),
    [anon_sym_consteval] = ACTIONS(2368),
    [sym_primitive_type] = ACTIONS(2368),
    [anon_sym_enum] = ACTIONS(2368),
    [anon_sym_class] = ACTIONS(2368),
    [anon_sym_struct] = ACTIONS(2368),
    [anon_sym_union] = ACTIONS(2368),
    [anon_sym_if] = ACTIONS(2368),
    [anon_sym_else] = ACTIONS(2368),
    [anon_sym_switch] = ACTIONS(2368),
    [anon_sym_case] = ACTIONS(2368),
    [anon_sym_default] = ACTIONS(2368),
    [anon_sym_while] = ACTIONS(2368),
    [anon_sym_do] = ACTIONS(2368),
    [anon_sym_for] = ACTIONS(2368),
    [anon_sym_return] = ACTIONS(2368),
    [anon_sym_break] = ACTIONS(2368),
    [anon_sym_continue] = ACTIONS(2368),
    [anon_sym_goto] = ACTIONS(2368),
    [anon_sym___try] = ACTIONS(2368),
    [anon_sym___leave] = ACTIONS(2368),
    [anon_sym_not] = ACTIONS(2368),
    [anon_sym_compl] = ACTIONS(2368),
    [anon_sym_DASH_DASH] = ACTIONS(2370),
    [anon_sym_PLUS_PLUS] = ACTIONS(2370),
    [anon_sym_sizeof] = ACTIONS(2368),
    [anon_sym___alignof__] = ACTIONS(2368),
    [anon_sym___alignof] = ACTIONS(2368),
    [anon_sym__alignof] = ACTIONS(2368),
    [anon_sym_alignof] = ACTIONS(2368),
    [anon_sym__Alignof] = ACTIONS(2368),
    [anon_sym_offsetof] = ACTIONS(2368),
    [anon_sym__Generic] = ACTIONS(2368),
    [anon_sym_asm] = ACTIONS(2368),
    [anon_sym___asm__] = ACTIONS(2368),
    [sym_number_literal] = ACTIONS(2370),
    [anon_sym_L_SQUOTE] = ACTIONS(2370),
    [anon_sym_u_SQUOTE] = ACTIONS(2370),
    [anon_sym_U_SQUOTE] = ACTIONS(2370),
    [anon_sym_u8_SQUOTE] = ACTIONS(2370),
    [anon_sym_SQUOTE] = ACTIONS(2370),
    [anon_sym_L_DQUOTE] = ACTIONS(2370),
    [anon_sym_u_DQUOTE] = ACTIONS(2370),
    [anon_sym_U_DQUOTE] = ACTIONS(2370),
    [anon_sym_u8_DQUOTE] = ACTIONS(2370),
    [anon_sym_DQUOTE] = ACTIONS(2370),
    [sym_true] = ACTIONS(2368),
    [sym_false] = ACTIONS(2368),
    [anon_sym_NULL] = ACTIONS(2368),
    [anon_sym_nullptr] = ACTIONS(2368),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2368),
    [anon_sym_decltype] = ACTIONS(2368),
    [anon_sym_virtual] = ACTIONS(2368),
    [anon_sym_alignas] = ACTIONS(2368),
    [anon_sym_explicit] = ACTIONS(2368),
    [anon_sym_typename] = ACTIONS(2368),
    [anon_sym_template] = ACTIONS(2368),
    [anon_sym_operator] = ACTIONS(2368),
    [anon_sym_try] = ACTIONS(2368),
    [anon_sym_delete] = ACTIONS(2368),
    [anon_sym_throw] = ACTIONS(2368),
    [anon_sym_namespace] = ACTIONS(2368),
    [anon_sym_using] = ACTIONS(2368),
    [anon_sym_static_assert] = ACTIONS(2368),
    [anon_sym_concept] = ACTIONS(2368),
    [anon_sym_co_return] = ACTIONS(2368),
    [anon_sym_co_yield] = ACTIONS(2368),
    [anon_sym_R_DQUOTE] = ACTIONS(2370),
    [anon_sym_LR_DQUOTE] = ACTIONS(2370),
    [anon_sym_uR_DQUOTE] = ACTIONS(2370),
    [anon_sym_UR_DQUOTE] = ACTIONS(2370),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2370),
    [anon_sym_co_await] = ACTIONS(2368),
    [anon_sym_new] = ACTIONS(2368),
    [anon_sym_requires] = ACTIONS(2368),
    [sym_this] = ACTIONS(2368),
    [anon_sym_discard] = ACTIONS(2368),
    [anon_sym_precise] = ACTIONS(2368),
    [anon_sym_shared] = ACTIONS(2368),
    [anon_sym_groupshared] = ACTIONS(2368),
    [anon_sym_uniform] = ACTIONS(2368),
    [anon_sym_row_major] = ACTIONS(2368),
    [anon_sym_column_major] = ACTIONS(2368),
    [anon_sym_globallycoherent] = ACTIONS(2368),
    [anon_sym_centroid] = ACTIONS(2368),
    [anon_sym_noperspective] = ACTIONS(2368),
    [anon_sym_nointerpolation] = ACTIONS(2368),
    [anon_sym_sample] = ACTIONS(2368),
    [anon_sym_linear] = ACTIONS(2368),
    [anon_sym_snorm] = ACTIONS(2368),
    [anon_sym_unorm] = ACTIONS(2368),
    [anon_sym_point] = ACTIONS(2368),
    [anon_sym_line] = ACTIONS(2368),
    [anon_sym_triangleadj] = ACTIONS(2368),
    [anon_sym_lineadj] = ACTIONS(2368),
    [anon_sym_triangle] = ACTIONS(2368),
    [anon_sym_cbuffer] = ACTIONS(2368),
  },
  [1003] = {
    [sym_identifier] = ACTIONS(2444),
    [aux_sym_preproc_include_token1] = ACTIONS(2444),
    [aux_sym_preproc_def_token1] = ACTIONS(2444),
    [aux_sym_preproc_if_token1] = ACTIONS(2444),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2444),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2444),
    [sym_preproc_directive] = ACTIONS(2444),
    [anon_sym_LPAREN2] = ACTIONS(2446),
    [anon_sym_BANG] = ACTIONS(2446),
    [anon_sym_TILDE] = ACTIONS(2446),
    [anon_sym_DASH] = ACTIONS(2444),
    [anon_sym_PLUS] = ACTIONS(2444),
    [anon_sym_STAR] = ACTIONS(2446),
    [anon_sym_AMP_AMP] = ACTIONS(2446),
    [anon_sym_AMP] = ACTIONS(2444),
    [anon_sym_SEMI] = ACTIONS(2446),
    [anon_sym___extension__] = ACTIONS(2444),
    [anon_sym_typedef] = ACTIONS(2444),
    [anon_sym_in] = ACTIONS(2444),
    [anon_sym_out] = ACTIONS(2444),
    [anon_sym_inout] = ACTIONS(2444),
    [anon_sym_extern] = ACTIONS(2444),
    [anon_sym___attribute__] = ACTIONS(2444),
    [anon_sym_COLON_COLON] = ACTIONS(2446),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2446),
    [anon_sym___declspec] = ACTIONS(2444),
    [anon_sym___based] = ACTIONS(2444),
    [anon_sym___cdecl] = ACTIONS(2444),
    [anon_sym___clrcall] = ACTIONS(2444),
    [anon_sym___stdcall] = ACTIONS(2444),
    [anon_sym___fastcall] = ACTIONS(2444),
    [anon_sym___thiscall] = ACTIONS(2444),
    [anon_sym___vectorcall] = ACTIONS(2444),
    [anon_sym_LBRACE] = ACTIONS(2446),
    [anon_sym_RBRACE] = ACTIONS(2446),
    [anon_sym_signed] = ACTIONS(2444),
    [anon_sym_unsigned] = ACTIONS(2444),
    [anon_sym_long] = ACTIONS(2444),
    [anon_sym_short] = ACTIONS(2444),
    [anon_sym_LBRACK] = ACTIONS(2444),
    [anon_sym_static] = ACTIONS(2444),
    [anon_sym_register] = ACTIONS(2444),
    [anon_sym_inline] = ACTIONS(2444),
    [anon_sym___inline] = ACTIONS(2444),
    [anon_sym___inline__] = ACTIONS(2444),
    [anon_sym___forceinline] = ACTIONS(2444),
    [anon_sym_thread_local] = ACTIONS(2444),
    [anon_sym___thread] = ACTIONS(2444),
    [anon_sym_const] = ACTIONS(2444),
    [anon_sym_constexpr] = ACTIONS(2444),
    [anon_sym_volatile] = ACTIONS(2444),
    [anon_sym_restrict] = ACTIONS(2444),
    [anon_sym___restrict__] = ACTIONS(2444),
    [anon_sym__Atomic] = ACTIONS(2444),
    [anon_sym__Noreturn] = ACTIONS(2444),
    [anon_sym_noreturn] = ACTIONS(2444),
    [anon_sym_mutable] = ACTIONS(2444),
    [anon_sym_constinit] = ACTIONS(2444),
    [anon_sym_consteval] = ACTIONS(2444),
    [sym_primitive_type] = ACTIONS(2444),
    [anon_sym_enum] = ACTIONS(2444),
    [anon_sym_class] = ACTIONS(2444),
    [anon_sym_struct] = ACTIONS(2444),
    [anon_sym_union] = ACTIONS(2444),
    [anon_sym_if] = ACTIONS(2444),
    [anon_sym_else] = ACTIONS(2444),
    [anon_sym_switch] = ACTIONS(2444),
    [anon_sym_case] = ACTIONS(2444),
    [anon_sym_default] = ACTIONS(2444),
    [anon_sym_while] = ACTIONS(2444),
    [anon_sym_do] = ACTIONS(2444),
    [anon_sym_for] = ACTIONS(2444),
    [anon_sym_return] = ACTIONS(2444),
    [anon_sym_break] = ACTIONS(2444),
    [anon_sym_continue] = ACTIONS(2444),
    [anon_sym_goto] = ACTIONS(2444),
    [anon_sym___try] = ACTIONS(2444),
    [anon_sym___leave] = ACTIONS(2444),
    [anon_sym_not] = ACTIONS(2444),
    [anon_sym_compl] = ACTIONS(2444),
    [anon_sym_DASH_DASH] = ACTIONS(2446),
    [anon_sym_PLUS_PLUS] = ACTIONS(2446),
    [anon_sym_sizeof] = ACTIONS(2444),
    [anon_sym___alignof__] = ACTIONS(2444),
    [anon_sym___alignof] = ACTIONS(2444),
    [anon_sym__alignof] = ACTIONS(2444),
    [anon_sym_alignof] = ACTIONS(2444),
    [anon_sym__Alignof] = ACTIONS(2444),
    [anon_sym_offsetof] = ACTIONS(2444),
    [anon_sym__Generic] = ACTIONS(2444),
    [anon_sym_asm] = ACTIONS(2444),
    [anon_sym___asm__] = ACTIONS(2444),
    [sym_number_literal] = ACTIONS(2446),
    [anon_sym_L_SQUOTE] = ACTIONS(2446),
    [anon_sym_u_SQUOTE] = ACTIONS(2446),
    [anon_sym_U_SQUOTE] = ACTIONS(2446),
    [anon_sym_u8_SQUOTE] = ACTIONS(2446),
    [anon_sym_SQUOTE] = ACTIONS(2446),
    [anon_sym_L_DQUOTE] = ACTIONS(2446),
    [anon_sym_u_DQUOTE] = ACTIONS(2446),
    [anon_sym_U_DQUOTE] = ACTIONS(2446),
    [anon_sym_u8_DQUOTE] = ACTIONS(2446),
    [anon_sym_DQUOTE] = ACTIONS(2446),
    [sym_true] = ACTIONS(2444),
    [sym_false] = ACTIONS(2444),
    [anon_sym_NULL] = ACTIONS(2444),
    [anon_sym_nullptr] = ACTIONS(2444),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2444),
    [anon_sym_decltype] = ACTIONS(2444),
    [anon_sym_virtual] = ACTIONS(2444),
    [anon_sym_alignas] = ACTIONS(2444),
    [anon_sym_explicit] = ACTIONS(2444),
    [anon_sym_typename] = ACTIONS(2444),
    [anon_sym_template] = ACTIONS(2444),
    [anon_sym_operator] = ACTIONS(2444),
    [anon_sym_try] = ACTIONS(2444),
    [anon_sym_delete] = ACTIONS(2444),
    [anon_sym_throw] = ACTIONS(2444),
    [anon_sym_namespace] = ACTIONS(2444),
    [anon_sym_using] = ACTIONS(2444),
    [anon_sym_static_assert] = ACTIONS(2444),
    [anon_sym_concept] = ACTIONS(2444),
    [anon_sym_co_return] = ACTIONS(2444),
    [anon_sym_co_yield] = ACTIONS(2444),
    [anon_sym_R_DQUOTE] = ACTIONS(2446),
    [anon_sym_LR_DQUOTE] = ACTIONS(2446),
    [anon_sym_uR_DQUOTE] = ACTIONS(2446),
    [anon_sym_UR_DQUOTE] = ACTIONS(2446),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2446),
    [anon_sym_co_await] = ACTIONS(2444),
    [anon_sym_new] = ACTIONS(2444),
    [anon_sym_requires] = ACTIONS(2444),
    [sym_this] = ACTIONS(2444),
    [anon_sym_discard] = ACTIONS(2444),
    [anon_sym_precise] = ACTIONS(2444),
    [anon_sym_shared] = ACTIONS(2444),
    [anon_sym_groupshared] = ACTIONS(2444),
    [anon_sym_uniform] = ACTIONS(2444),
    [anon_sym_row_major] = ACTIONS(2444),
    [anon_sym_column_major] = ACTIONS(2444),
    [anon_sym_globallycoherent] = ACTIONS(2444),
    [anon_sym_centroid] = ACTIONS(2444),
    [anon_sym_noperspective] = ACTIONS(2444),
    [anon_sym_nointerpolation] = ACTIONS(2444),
    [anon_sym_sample] = ACTIONS(2444),
    [anon_sym_linear] = ACTIONS(2444),
    [anon_sym_snorm] = ACTIONS(2444),
    [anon_sym_unorm] = ACTIONS(2444),
    [anon_sym_point] = ACTIONS(2444),
    [anon_sym_line] = ACTIONS(2444),
    [anon_sym_triangleadj] = ACTIONS(2444),
    [anon_sym_lineadj] = ACTIONS(2444),
    [anon_sym_triangle] = ACTIONS(2444),
    [anon_sym_cbuffer] = ACTIONS(2444),
  },
  [1004] = {
    [sym_identifier] = ACTIONS(2448),
    [aux_sym_preproc_include_token1] = ACTIONS(2448),
    [aux_sym_preproc_def_token1] = ACTIONS(2448),
    [aux_sym_preproc_if_token1] = ACTIONS(2448),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2448),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2448),
    [sym_preproc_directive] = ACTIONS(2448),
    [anon_sym_LPAREN2] = ACTIONS(2450),
    [anon_sym_BANG] = ACTIONS(2450),
    [anon_sym_TILDE] = ACTIONS(2450),
    [anon_sym_DASH] = ACTIONS(2448),
    [anon_sym_PLUS] = ACTIONS(2448),
    [anon_sym_STAR] = ACTIONS(2450),
    [anon_sym_AMP_AMP] = ACTIONS(2450),
    [anon_sym_AMP] = ACTIONS(2448),
    [anon_sym_SEMI] = ACTIONS(2450),
    [anon_sym___extension__] = ACTIONS(2448),
    [anon_sym_typedef] = ACTIONS(2448),
    [anon_sym_in] = ACTIONS(2448),
    [anon_sym_out] = ACTIONS(2448),
    [anon_sym_inout] = ACTIONS(2448),
    [anon_sym_extern] = ACTIONS(2448),
    [anon_sym___attribute__] = ACTIONS(2448),
    [anon_sym_COLON_COLON] = ACTIONS(2450),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2450),
    [anon_sym___declspec] = ACTIONS(2448),
    [anon_sym___based] = ACTIONS(2448),
    [anon_sym___cdecl] = ACTIONS(2448),
    [anon_sym___clrcall] = ACTIONS(2448),
    [anon_sym___stdcall] = ACTIONS(2448),
    [anon_sym___fastcall] = ACTIONS(2448),
    [anon_sym___thiscall] = ACTIONS(2448),
    [anon_sym___vectorcall] = ACTIONS(2448),
    [anon_sym_LBRACE] = ACTIONS(2450),
    [anon_sym_RBRACE] = ACTIONS(2450),
    [anon_sym_signed] = ACTIONS(2448),
    [anon_sym_unsigned] = ACTIONS(2448),
    [anon_sym_long] = ACTIONS(2448),
    [anon_sym_short] = ACTIONS(2448),
    [anon_sym_LBRACK] = ACTIONS(2448),
    [anon_sym_static] = ACTIONS(2448),
    [anon_sym_register] = ACTIONS(2448),
    [anon_sym_inline] = ACTIONS(2448),
    [anon_sym___inline] = ACTIONS(2448),
    [anon_sym___inline__] = ACTIONS(2448),
    [anon_sym___forceinline] = ACTIONS(2448),
    [anon_sym_thread_local] = ACTIONS(2448),
    [anon_sym___thread] = ACTIONS(2448),
    [anon_sym_const] = ACTIONS(2448),
    [anon_sym_constexpr] = ACTIONS(2448),
    [anon_sym_volatile] = ACTIONS(2448),
    [anon_sym_restrict] = ACTIONS(2448),
    [anon_sym___restrict__] = ACTIONS(2448),
    [anon_sym__Atomic] = ACTIONS(2448),
    [anon_sym__Noreturn] = ACTIONS(2448),
    [anon_sym_noreturn] = ACTIONS(2448),
    [anon_sym_mutable] = ACTIONS(2448),
    [anon_sym_constinit] = ACTIONS(2448),
    [anon_sym_consteval] = ACTIONS(2448),
    [sym_primitive_type] = ACTIONS(2448),
    [anon_sym_enum] = ACTIONS(2448),
    [anon_sym_class] = ACTIONS(2448),
    [anon_sym_struct] = ACTIONS(2448),
    [anon_sym_union] = ACTIONS(2448),
    [anon_sym_if] = ACTIONS(2448),
    [anon_sym_else] = ACTIONS(2448),
    [anon_sym_switch] = ACTIONS(2448),
    [anon_sym_case] = ACTIONS(2448),
    [anon_sym_default] = ACTIONS(2448),
    [anon_sym_while] = ACTIONS(2448),
    [anon_sym_do] = ACTIONS(2448),
    [anon_sym_for] = ACTIONS(2448),
    [anon_sym_return] = ACTIONS(2448),
    [anon_sym_break] = ACTIONS(2448),
    [anon_sym_continue] = ACTIONS(2448),
    [anon_sym_goto] = ACTIONS(2448),
    [anon_sym___try] = ACTIONS(2448),
    [anon_sym___leave] = ACTIONS(2448),
    [anon_sym_not] = ACTIONS(2448),
    [anon_sym_compl] = ACTIONS(2448),
    [anon_sym_DASH_DASH] = ACTIONS(2450),
    [anon_sym_PLUS_PLUS] = ACTIONS(2450),
    [anon_sym_sizeof] = ACTIONS(2448),
    [anon_sym___alignof__] = ACTIONS(2448),
    [anon_sym___alignof] = ACTIONS(2448),
    [anon_sym__alignof] = ACTIONS(2448),
    [anon_sym_alignof] = ACTIONS(2448),
    [anon_sym__Alignof] = ACTIONS(2448),
    [anon_sym_offsetof] = ACTIONS(2448),
    [anon_sym__Generic] = ACTIONS(2448),
    [anon_sym_asm] = ACTIONS(2448),
    [anon_sym___asm__] = ACTIONS(2448),
    [sym_number_literal] = ACTIONS(2450),
    [anon_sym_L_SQUOTE] = ACTIONS(2450),
    [anon_sym_u_SQUOTE] = ACTIONS(2450),
    [anon_sym_U_SQUOTE] = ACTIONS(2450),
    [anon_sym_u8_SQUOTE] = ACTIONS(2450),
    [anon_sym_SQUOTE] = ACTIONS(2450),
    [anon_sym_L_DQUOTE] = ACTIONS(2450),
    [anon_sym_u_DQUOTE] = ACTIONS(2450),
    [anon_sym_U_DQUOTE] = ACTIONS(2450),
    [anon_sym_u8_DQUOTE] = ACTIONS(2450),
    [anon_sym_DQUOTE] = ACTIONS(2450),
    [sym_true] = ACTIONS(2448),
    [sym_false] = ACTIONS(2448),
    [anon_sym_NULL] = ACTIONS(2448),
    [anon_sym_nullptr] = ACTIONS(2448),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2448),
    [anon_sym_decltype] = ACTIONS(2448),
    [anon_sym_virtual] = ACTIONS(2448),
    [anon_sym_alignas] = ACTIONS(2448),
    [anon_sym_explicit] = ACTIONS(2448),
    [anon_sym_typename] = ACTIONS(2448),
    [anon_sym_template] = ACTIONS(2448),
    [anon_sym_operator] = ACTIONS(2448),
    [anon_sym_try] = ACTIONS(2448),
    [anon_sym_delete] = ACTIONS(2448),
    [anon_sym_throw] = ACTIONS(2448),
    [anon_sym_namespace] = ACTIONS(2448),
    [anon_sym_using] = ACTIONS(2448),
    [anon_sym_static_assert] = ACTIONS(2448),
    [anon_sym_concept] = ACTIONS(2448),
    [anon_sym_co_return] = ACTIONS(2448),
    [anon_sym_co_yield] = ACTIONS(2448),
    [anon_sym_R_DQUOTE] = ACTIONS(2450),
    [anon_sym_LR_DQUOTE] = ACTIONS(2450),
    [anon_sym_uR_DQUOTE] = ACTIONS(2450),
    [anon_sym_UR_DQUOTE] = ACTIONS(2450),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2450),
    [anon_sym_co_await] = ACTIONS(2448),
    [anon_sym_new] = ACTIONS(2448),
    [anon_sym_requires] = ACTIONS(2448),
    [sym_this] = ACTIONS(2448),
    [anon_sym_discard] = ACTIONS(2448),
    [anon_sym_precise] = ACTIONS(2448),
    [anon_sym_shared] = ACTIONS(2448),
    [anon_sym_groupshared] = ACTIONS(2448),
    [anon_sym_uniform] = ACTIONS(2448),
    [anon_sym_row_major] = ACTIONS(2448),
    [anon_sym_column_major] = ACTIONS(2448),
    [anon_sym_globallycoherent] = ACTIONS(2448),
    [anon_sym_centroid] = ACTIONS(2448),
    [anon_sym_noperspective] = ACTIONS(2448),
    [anon_sym_nointerpolation] = ACTIONS(2448),
    [anon_sym_sample] = ACTIONS(2448),
    [anon_sym_linear] = ACTIONS(2448),
    [anon_sym_snorm] = ACTIONS(2448),
    [anon_sym_unorm] = ACTIONS(2448),
    [anon_sym_point] = ACTIONS(2448),
    [anon_sym_line] = ACTIONS(2448),
    [anon_sym_triangleadj] = ACTIONS(2448),
    [anon_sym_lineadj] = ACTIONS(2448),
    [anon_sym_triangle] = ACTIONS(2448),
    [anon_sym_cbuffer] = ACTIONS(2448),
  },
  [1005] = {
    [sym_identifier] = ACTIONS(2444),
    [aux_sym_preproc_include_token1] = ACTIONS(2444),
    [aux_sym_preproc_def_token1] = ACTIONS(2444),
    [aux_sym_preproc_if_token1] = ACTIONS(2444),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2444),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2444),
    [sym_preproc_directive] = ACTIONS(2444),
    [anon_sym_LPAREN2] = ACTIONS(2446),
    [anon_sym_BANG] = ACTIONS(2446),
    [anon_sym_TILDE] = ACTIONS(2446),
    [anon_sym_DASH] = ACTIONS(2444),
    [anon_sym_PLUS] = ACTIONS(2444),
    [anon_sym_STAR] = ACTIONS(2446),
    [anon_sym_AMP_AMP] = ACTIONS(2446),
    [anon_sym_AMP] = ACTIONS(2444),
    [anon_sym_SEMI] = ACTIONS(2446),
    [anon_sym___extension__] = ACTIONS(2444),
    [anon_sym_typedef] = ACTIONS(2444),
    [anon_sym_in] = ACTIONS(2444),
    [anon_sym_out] = ACTIONS(2444),
    [anon_sym_inout] = ACTIONS(2444),
    [anon_sym_extern] = ACTIONS(2444),
    [anon_sym___attribute__] = ACTIONS(2444),
    [anon_sym_COLON_COLON] = ACTIONS(2446),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2446),
    [anon_sym___declspec] = ACTIONS(2444),
    [anon_sym___based] = ACTIONS(2444),
    [anon_sym___cdecl] = ACTIONS(2444),
    [anon_sym___clrcall] = ACTIONS(2444),
    [anon_sym___stdcall] = ACTIONS(2444),
    [anon_sym___fastcall] = ACTIONS(2444),
    [anon_sym___thiscall] = ACTIONS(2444),
    [anon_sym___vectorcall] = ACTIONS(2444),
    [anon_sym_LBRACE] = ACTIONS(2446),
    [anon_sym_RBRACE] = ACTIONS(2446),
    [anon_sym_signed] = ACTIONS(2444),
    [anon_sym_unsigned] = ACTIONS(2444),
    [anon_sym_long] = ACTIONS(2444),
    [anon_sym_short] = ACTIONS(2444),
    [anon_sym_LBRACK] = ACTIONS(2444),
    [anon_sym_static] = ACTIONS(2444),
    [anon_sym_register] = ACTIONS(2444),
    [anon_sym_inline] = ACTIONS(2444),
    [anon_sym___inline] = ACTIONS(2444),
    [anon_sym___inline__] = ACTIONS(2444),
    [anon_sym___forceinline] = ACTIONS(2444),
    [anon_sym_thread_local] = ACTIONS(2444),
    [anon_sym___thread] = ACTIONS(2444),
    [anon_sym_const] = ACTIONS(2444),
    [anon_sym_constexpr] = ACTIONS(2444),
    [anon_sym_volatile] = ACTIONS(2444),
    [anon_sym_restrict] = ACTIONS(2444),
    [anon_sym___restrict__] = ACTIONS(2444),
    [anon_sym__Atomic] = ACTIONS(2444),
    [anon_sym__Noreturn] = ACTIONS(2444),
    [anon_sym_noreturn] = ACTIONS(2444),
    [anon_sym_mutable] = ACTIONS(2444),
    [anon_sym_constinit] = ACTIONS(2444),
    [anon_sym_consteval] = ACTIONS(2444),
    [sym_primitive_type] = ACTIONS(2444),
    [anon_sym_enum] = ACTIONS(2444),
    [anon_sym_class] = ACTIONS(2444),
    [anon_sym_struct] = ACTIONS(2444),
    [anon_sym_union] = ACTIONS(2444),
    [anon_sym_if] = ACTIONS(2444),
    [anon_sym_else] = ACTIONS(2444),
    [anon_sym_switch] = ACTIONS(2444),
    [anon_sym_case] = ACTIONS(2444),
    [anon_sym_default] = ACTIONS(2444),
    [anon_sym_while] = ACTIONS(2444),
    [anon_sym_do] = ACTIONS(2444),
    [anon_sym_for] = ACTIONS(2444),
    [anon_sym_return] = ACTIONS(2444),
    [anon_sym_break] = ACTIONS(2444),
    [anon_sym_continue] = ACTIONS(2444),
    [anon_sym_goto] = ACTIONS(2444),
    [anon_sym___try] = ACTIONS(2444),
    [anon_sym___leave] = ACTIONS(2444),
    [anon_sym_not] = ACTIONS(2444),
    [anon_sym_compl] = ACTIONS(2444),
    [anon_sym_DASH_DASH] = ACTIONS(2446),
    [anon_sym_PLUS_PLUS] = ACTIONS(2446),
    [anon_sym_sizeof] = ACTIONS(2444),
    [anon_sym___alignof__] = ACTIONS(2444),
    [anon_sym___alignof] = ACTIONS(2444),
    [anon_sym__alignof] = ACTIONS(2444),
    [anon_sym_alignof] = ACTIONS(2444),
    [anon_sym__Alignof] = ACTIONS(2444),
    [anon_sym_offsetof] = ACTIONS(2444),
    [anon_sym__Generic] = ACTIONS(2444),
    [anon_sym_asm] = ACTIONS(2444),
    [anon_sym___asm__] = ACTIONS(2444),
    [sym_number_literal] = ACTIONS(2446),
    [anon_sym_L_SQUOTE] = ACTIONS(2446),
    [anon_sym_u_SQUOTE] = ACTIONS(2446),
    [anon_sym_U_SQUOTE] = ACTIONS(2446),
    [anon_sym_u8_SQUOTE] = ACTIONS(2446),
    [anon_sym_SQUOTE] = ACTIONS(2446),
    [anon_sym_L_DQUOTE] = ACTIONS(2446),
    [anon_sym_u_DQUOTE] = ACTIONS(2446),
    [anon_sym_U_DQUOTE] = ACTIONS(2446),
    [anon_sym_u8_DQUOTE] = ACTIONS(2446),
    [anon_sym_DQUOTE] = ACTIONS(2446),
    [sym_true] = ACTIONS(2444),
    [sym_false] = ACTIONS(2444),
    [anon_sym_NULL] = ACTIONS(2444),
    [anon_sym_nullptr] = ACTIONS(2444),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2444),
    [anon_sym_decltype] = ACTIONS(2444),
    [anon_sym_virtual] = ACTIONS(2444),
    [anon_sym_alignas] = ACTIONS(2444),
    [anon_sym_explicit] = ACTIONS(2444),
    [anon_sym_typename] = ACTIONS(2444),
    [anon_sym_template] = ACTIONS(2444),
    [anon_sym_operator] = ACTIONS(2444),
    [anon_sym_try] = ACTIONS(2444),
    [anon_sym_delete] = ACTIONS(2444),
    [anon_sym_throw] = ACTIONS(2444),
    [anon_sym_namespace] = ACTIONS(2444),
    [anon_sym_using] = ACTIONS(2444),
    [anon_sym_static_assert] = ACTIONS(2444),
    [anon_sym_concept] = ACTIONS(2444),
    [anon_sym_co_return] = ACTIONS(2444),
    [anon_sym_co_yield] = ACTIONS(2444),
    [anon_sym_R_DQUOTE] = ACTIONS(2446),
    [anon_sym_LR_DQUOTE] = ACTIONS(2446),
    [anon_sym_uR_DQUOTE] = ACTIONS(2446),
    [anon_sym_UR_DQUOTE] = ACTIONS(2446),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2446),
    [anon_sym_co_await] = ACTIONS(2444),
    [anon_sym_new] = ACTIONS(2444),
    [anon_sym_requires] = ACTIONS(2444),
    [sym_this] = ACTIONS(2444),
    [anon_sym_discard] = ACTIONS(2444),
    [anon_sym_precise] = ACTIONS(2444),
    [anon_sym_shared] = ACTIONS(2444),
    [anon_sym_groupshared] = ACTIONS(2444),
    [anon_sym_uniform] = ACTIONS(2444),
    [anon_sym_row_major] = ACTIONS(2444),
    [anon_sym_column_major] = ACTIONS(2444),
    [anon_sym_globallycoherent] = ACTIONS(2444),
    [anon_sym_centroid] = ACTIONS(2444),
    [anon_sym_noperspective] = ACTIONS(2444),
    [anon_sym_nointerpolation] = ACTIONS(2444),
    [anon_sym_sample] = ACTIONS(2444),
    [anon_sym_linear] = ACTIONS(2444),
    [anon_sym_snorm] = ACTIONS(2444),
    [anon_sym_unorm] = ACTIONS(2444),
    [anon_sym_point] = ACTIONS(2444),
    [anon_sym_line] = ACTIONS(2444),
    [anon_sym_triangleadj] = ACTIONS(2444),
    [anon_sym_lineadj] = ACTIONS(2444),
    [anon_sym_triangle] = ACTIONS(2444),
    [anon_sym_cbuffer] = ACTIONS(2444),
  },
  [1006] = {
    [sym_identifier] = ACTIONS(2330),
    [aux_sym_preproc_include_token1] = ACTIONS(2330),
    [aux_sym_preproc_def_token1] = ACTIONS(2330),
    [aux_sym_preproc_if_token1] = ACTIONS(2330),
    [aux_sym_preproc_if_token2] = ACTIONS(2330),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2330),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2330),
    [sym_preproc_directive] = ACTIONS(2330),
    [anon_sym_LPAREN2] = ACTIONS(2332),
    [anon_sym_BANG] = ACTIONS(2332),
    [anon_sym_TILDE] = ACTIONS(2332),
    [anon_sym_DASH] = ACTIONS(2330),
    [anon_sym_PLUS] = ACTIONS(2330),
    [anon_sym_STAR] = ACTIONS(2332),
    [anon_sym_AMP_AMP] = ACTIONS(2332),
    [anon_sym_AMP] = ACTIONS(2330),
    [anon_sym_SEMI] = ACTIONS(2332),
    [anon_sym___extension__] = ACTIONS(2330),
    [anon_sym_typedef] = ACTIONS(2330),
    [anon_sym_in] = ACTIONS(2330),
    [anon_sym_out] = ACTIONS(2330),
    [anon_sym_inout] = ACTIONS(2330),
    [anon_sym_extern] = ACTIONS(2330),
    [anon_sym___attribute__] = ACTIONS(2330),
    [anon_sym_COLON_COLON] = ACTIONS(2332),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2332),
    [anon_sym___declspec] = ACTIONS(2330),
    [anon_sym___based] = ACTIONS(2330),
    [anon_sym___cdecl] = ACTIONS(2330),
    [anon_sym___clrcall] = ACTIONS(2330),
    [anon_sym___stdcall] = ACTIONS(2330),
    [anon_sym___fastcall] = ACTIONS(2330),
    [anon_sym___thiscall] = ACTIONS(2330),
    [anon_sym___vectorcall] = ACTIONS(2330),
    [anon_sym_LBRACE] = ACTIONS(2332),
    [anon_sym_signed] = ACTIONS(2330),
    [anon_sym_unsigned] = ACTIONS(2330),
    [anon_sym_long] = ACTIONS(2330),
    [anon_sym_short] = ACTIONS(2330),
    [anon_sym_LBRACK] = ACTIONS(2330),
    [anon_sym_static] = ACTIONS(2330),
    [anon_sym_register] = ACTIONS(2330),
    [anon_sym_inline] = ACTIONS(2330),
    [anon_sym___inline] = ACTIONS(2330),
    [anon_sym___inline__] = ACTIONS(2330),
    [anon_sym___forceinline] = ACTIONS(2330),
    [anon_sym_thread_local] = ACTIONS(2330),
    [anon_sym___thread] = ACTIONS(2330),
    [anon_sym_const] = ACTIONS(2330),
    [anon_sym_constexpr] = ACTIONS(2330),
    [anon_sym_volatile] = ACTIONS(2330),
    [anon_sym_restrict] = ACTIONS(2330),
    [anon_sym___restrict__] = ACTIONS(2330),
    [anon_sym__Atomic] = ACTIONS(2330),
    [anon_sym__Noreturn] = ACTIONS(2330),
    [anon_sym_noreturn] = ACTIONS(2330),
    [anon_sym_mutable] = ACTIONS(2330),
    [anon_sym_constinit] = ACTIONS(2330),
    [anon_sym_consteval] = ACTIONS(2330),
    [sym_primitive_type] = ACTIONS(2330),
    [anon_sym_enum] = ACTIONS(2330),
    [anon_sym_class] = ACTIONS(2330),
    [anon_sym_struct] = ACTIONS(2330),
    [anon_sym_union] = ACTIONS(2330),
    [anon_sym_if] = ACTIONS(2330),
    [anon_sym_else] = ACTIONS(2330),
    [anon_sym_switch] = ACTIONS(2330),
    [anon_sym_case] = ACTIONS(2330),
    [anon_sym_default] = ACTIONS(2330),
    [anon_sym_while] = ACTIONS(2330),
    [anon_sym_do] = ACTIONS(2330),
    [anon_sym_for] = ACTIONS(2330),
    [anon_sym_return] = ACTIONS(2330),
    [anon_sym_break] = ACTIONS(2330),
    [anon_sym_continue] = ACTIONS(2330),
    [anon_sym_goto] = ACTIONS(2330),
    [anon_sym___try] = ACTIONS(2330),
    [anon_sym___leave] = ACTIONS(2330),
    [anon_sym_not] = ACTIONS(2330),
    [anon_sym_compl] = ACTIONS(2330),
    [anon_sym_DASH_DASH] = ACTIONS(2332),
    [anon_sym_PLUS_PLUS] = ACTIONS(2332),
    [anon_sym_sizeof] = ACTIONS(2330),
    [anon_sym___alignof__] = ACTIONS(2330),
    [anon_sym___alignof] = ACTIONS(2330),
    [anon_sym__alignof] = ACTIONS(2330),
    [anon_sym_alignof] = ACTIONS(2330),
    [anon_sym__Alignof] = ACTIONS(2330),
    [anon_sym_offsetof] = ACTIONS(2330),
    [anon_sym__Generic] = ACTIONS(2330),
    [anon_sym_asm] = ACTIONS(2330),
    [anon_sym___asm__] = ACTIONS(2330),
    [sym_number_literal] = ACTIONS(2332),
    [anon_sym_L_SQUOTE] = ACTIONS(2332),
    [anon_sym_u_SQUOTE] = ACTIONS(2332),
    [anon_sym_U_SQUOTE] = ACTIONS(2332),
    [anon_sym_u8_SQUOTE] = ACTIONS(2332),
    [anon_sym_SQUOTE] = ACTIONS(2332),
    [anon_sym_L_DQUOTE] = ACTIONS(2332),
    [anon_sym_u_DQUOTE] = ACTIONS(2332),
    [anon_sym_U_DQUOTE] = ACTIONS(2332),
    [anon_sym_u8_DQUOTE] = ACTIONS(2332),
    [anon_sym_DQUOTE] = ACTIONS(2332),
    [sym_true] = ACTIONS(2330),
    [sym_false] = ACTIONS(2330),
    [anon_sym_NULL] = ACTIONS(2330),
    [anon_sym_nullptr] = ACTIONS(2330),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2330),
    [anon_sym_decltype] = ACTIONS(2330),
    [anon_sym_virtual] = ACTIONS(2330),
    [anon_sym_alignas] = ACTIONS(2330),
    [anon_sym_explicit] = ACTIONS(2330),
    [anon_sym_typename] = ACTIONS(2330),
    [anon_sym_template] = ACTIONS(2330),
    [anon_sym_operator] = ACTIONS(2330),
    [anon_sym_try] = ACTIONS(2330),
    [anon_sym_delete] = ACTIONS(2330),
    [anon_sym_throw] = ACTIONS(2330),
    [anon_sym_namespace] = ACTIONS(2330),
    [anon_sym_using] = ACTIONS(2330),
    [anon_sym_static_assert] = ACTIONS(2330),
    [anon_sym_concept] = ACTIONS(2330),
    [anon_sym_co_return] = ACTIONS(2330),
    [anon_sym_co_yield] = ACTIONS(2330),
    [anon_sym_R_DQUOTE] = ACTIONS(2332),
    [anon_sym_LR_DQUOTE] = ACTIONS(2332),
    [anon_sym_uR_DQUOTE] = ACTIONS(2332),
    [anon_sym_UR_DQUOTE] = ACTIONS(2332),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2332),
    [anon_sym_co_await] = ACTIONS(2330),
    [anon_sym_new] = ACTIONS(2330),
    [anon_sym_requires] = ACTIONS(2330),
    [sym_this] = ACTIONS(2330),
    [anon_sym_discard] = ACTIONS(2330),
    [anon_sym_precise] = ACTIONS(2330),
    [anon_sym_shared] = ACTIONS(2330),
    [anon_sym_groupshared] = ACTIONS(2330),
    [anon_sym_uniform] = ACTIONS(2330),
    [anon_sym_row_major] = ACTIONS(2330),
    [anon_sym_column_major] = ACTIONS(2330),
    [anon_sym_globallycoherent] = ACTIONS(2330),
    [anon_sym_centroid] = ACTIONS(2330),
    [anon_sym_noperspective] = ACTIONS(2330),
    [anon_sym_nointerpolation] = ACTIONS(2330),
    [anon_sym_sample] = ACTIONS(2330),
    [anon_sym_linear] = ACTIONS(2330),
    [anon_sym_snorm] = ACTIONS(2330),
    [anon_sym_unorm] = ACTIONS(2330),
    [anon_sym_point] = ACTIONS(2330),
    [anon_sym_line] = ACTIONS(2330),
    [anon_sym_triangleadj] = ACTIONS(2330),
    [anon_sym_lineadj] = ACTIONS(2330),
    [anon_sym_triangle] = ACTIONS(2330),
    [anon_sym_cbuffer] = ACTIONS(2330),
  },
  [1007] = {
    [sym_identifier] = ACTIONS(2354),
    [aux_sym_preproc_include_token1] = ACTIONS(2354),
    [aux_sym_preproc_def_token1] = ACTIONS(2354),
    [aux_sym_preproc_if_token1] = ACTIONS(2354),
    [aux_sym_preproc_if_token2] = ACTIONS(2354),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2354),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2354),
    [sym_preproc_directive] = ACTIONS(2354),
    [anon_sym_LPAREN2] = ACTIONS(2356),
    [anon_sym_BANG] = ACTIONS(2356),
    [anon_sym_TILDE] = ACTIONS(2356),
    [anon_sym_DASH] = ACTIONS(2354),
    [anon_sym_PLUS] = ACTIONS(2354),
    [anon_sym_STAR] = ACTIONS(2356),
    [anon_sym_AMP_AMP] = ACTIONS(2356),
    [anon_sym_AMP] = ACTIONS(2354),
    [anon_sym_SEMI] = ACTIONS(2356),
    [anon_sym___extension__] = ACTIONS(2354),
    [anon_sym_typedef] = ACTIONS(2354),
    [anon_sym_in] = ACTIONS(2354),
    [anon_sym_out] = ACTIONS(2354),
    [anon_sym_inout] = ACTIONS(2354),
    [anon_sym_extern] = ACTIONS(2354),
    [anon_sym___attribute__] = ACTIONS(2354),
    [anon_sym_COLON_COLON] = ACTIONS(2356),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2356),
    [anon_sym___declspec] = ACTIONS(2354),
    [anon_sym___based] = ACTIONS(2354),
    [anon_sym___cdecl] = ACTIONS(2354),
    [anon_sym___clrcall] = ACTIONS(2354),
    [anon_sym___stdcall] = ACTIONS(2354),
    [anon_sym___fastcall] = ACTIONS(2354),
    [anon_sym___thiscall] = ACTIONS(2354),
    [anon_sym___vectorcall] = ACTIONS(2354),
    [anon_sym_LBRACE] = ACTIONS(2356),
    [anon_sym_signed] = ACTIONS(2354),
    [anon_sym_unsigned] = ACTIONS(2354),
    [anon_sym_long] = ACTIONS(2354),
    [anon_sym_short] = ACTIONS(2354),
    [anon_sym_LBRACK] = ACTIONS(2354),
    [anon_sym_static] = ACTIONS(2354),
    [anon_sym_register] = ACTIONS(2354),
    [anon_sym_inline] = ACTIONS(2354),
    [anon_sym___inline] = ACTIONS(2354),
    [anon_sym___inline__] = ACTIONS(2354),
    [anon_sym___forceinline] = ACTIONS(2354),
    [anon_sym_thread_local] = ACTIONS(2354),
    [anon_sym___thread] = ACTIONS(2354),
    [anon_sym_const] = ACTIONS(2354),
    [anon_sym_constexpr] = ACTIONS(2354),
    [anon_sym_volatile] = ACTIONS(2354),
    [anon_sym_restrict] = ACTIONS(2354),
    [anon_sym___restrict__] = ACTIONS(2354),
    [anon_sym__Atomic] = ACTIONS(2354),
    [anon_sym__Noreturn] = ACTIONS(2354),
    [anon_sym_noreturn] = ACTIONS(2354),
    [anon_sym_mutable] = ACTIONS(2354),
    [anon_sym_constinit] = ACTIONS(2354),
    [anon_sym_consteval] = ACTIONS(2354),
    [sym_primitive_type] = ACTIONS(2354),
    [anon_sym_enum] = ACTIONS(2354),
    [anon_sym_class] = ACTIONS(2354),
    [anon_sym_struct] = ACTIONS(2354),
    [anon_sym_union] = ACTIONS(2354),
    [anon_sym_if] = ACTIONS(2354),
    [anon_sym_else] = ACTIONS(2354),
    [anon_sym_switch] = ACTIONS(2354),
    [anon_sym_case] = ACTIONS(2354),
    [anon_sym_default] = ACTIONS(2354),
    [anon_sym_while] = ACTIONS(2354),
    [anon_sym_do] = ACTIONS(2354),
    [anon_sym_for] = ACTIONS(2354),
    [anon_sym_return] = ACTIONS(2354),
    [anon_sym_break] = ACTIONS(2354),
    [anon_sym_continue] = ACTIONS(2354),
    [anon_sym_goto] = ACTIONS(2354),
    [anon_sym___try] = ACTIONS(2354),
    [anon_sym___leave] = ACTIONS(2354),
    [anon_sym_not] = ACTIONS(2354),
    [anon_sym_compl] = ACTIONS(2354),
    [anon_sym_DASH_DASH] = ACTIONS(2356),
    [anon_sym_PLUS_PLUS] = ACTIONS(2356),
    [anon_sym_sizeof] = ACTIONS(2354),
    [anon_sym___alignof__] = ACTIONS(2354),
    [anon_sym___alignof] = ACTIONS(2354),
    [anon_sym__alignof] = ACTIONS(2354),
    [anon_sym_alignof] = ACTIONS(2354),
    [anon_sym__Alignof] = ACTIONS(2354),
    [anon_sym_offsetof] = ACTIONS(2354),
    [anon_sym__Generic] = ACTIONS(2354),
    [anon_sym_asm] = ACTIONS(2354),
    [anon_sym___asm__] = ACTIONS(2354),
    [sym_number_literal] = ACTIONS(2356),
    [anon_sym_L_SQUOTE] = ACTIONS(2356),
    [anon_sym_u_SQUOTE] = ACTIONS(2356),
    [anon_sym_U_SQUOTE] = ACTIONS(2356),
    [anon_sym_u8_SQUOTE] = ACTIONS(2356),
    [anon_sym_SQUOTE] = ACTIONS(2356),
    [anon_sym_L_DQUOTE] = ACTIONS(2356),
    [anon_sym_u_DQUOTE] = ACTIONS(2356),
    [anon_sym_U_DQUOTE] = ACTIONS(2356),
    [anon_sym_u8_DQUOTE] = ACTIONS(2356),
    [anon_sym_DQUOTE] = ACTIONS(2356),
    [sym_true] = ACTIONS(2354),
    [sym_false] = ACTIONS(2354),
    [anon_sym_NULL] = ACTIONS(2354),
    [anon_sym_nullptr] = ACTIONS(2354),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2354),
    [anon_sym_decltype] = ACTIONS(2354),
    [anon_sym_virtual] = ACTIONS(2354),
    [anon_sym_alignas] = ACTIONS(2354),
    [anon_sym_explicit] = ACTIONS(2354),
    [anon_sym_typename] = ACTIONS(2354),
    [anon_sym_template] = ACTIONS(2354),
    [anon_sym_operator] = ACTIONS(2354),
    [anon_sym_try] = ACTIONS(2354),
    [anon_sym_delete] = ACTIONS(2354),
    [anon_sym_throw] = ACTIONS(2354),
    [anon_sym_namespace] = ACTIONS(2354),
    [anon_sym_using] = ACTIONS(2354),
    [anon_sym_static_assert] = ACTIONS(2354),
    [anon_sym_concept] = ACTIONS(2354),
    [anon_sym_co_return] = ACTIONS(2354),
    [anon_sym_co_yield] = ACTIONS(2354),
    [anon_sym_R_DQUOTE] = ACTIONS(2356),
    [anon_sym_LR_DQUOTE] = ACTIONS(2356),
    [anon_sym_uR_DQUOTE] = ACTIONS(2356),
    [anon_sym_UR_DQUOTE] = ACTIONS(2356),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2356),
    [anon_sym_co_await] = ACTIONS(2354),
    [anon_sym_new] = ACTIONS(2354),
    [anon_sym_requires] = ACTIONS(2354),
    [sym_this] = ACTIONS(2354),
    [anon_sym_discard] = ACTIONS(2354),
    [anon_sym_precise] = ACTIONS(2354),
    [anon_sym_shared] = ACTIONS(2354),
    [anon_sym_groupshared] = ACTIONS(2354),
    [anon_sym_uniform] = ACTIONS(2354),
    [anon_sym_row_major] = ACTIONS(2354),
    [anon_sym_column_major] = ACTIONS(2354),
    [anon_sym_globallycoherent] = ACTIONS(2354),
    [anon_sym_centroid] = ACTIONS(2354),
    [anon_sym_noperspective] = ACTIONS(2354),
    [anon_sym_nointerpolation] = ACTIONS(2354),
    [anon_sym_sample] = ACTIONS(2354),
    [anon_sym_linear] = ACTIONS(2354),
    [anon_sym_snorm] = ACTIONS(2354),
    [anon_sym_unorm] = ACTIONS(2354),
    [anon_sym_point] = ACTIONS(2354),
    [anon_sym_line] = ACTIONS(2354),
    [anon_sym_triangleadj] = ACTIONS(2354),
    [anon_sym_lineadj] = ACTIONS(2354),
    [anon_sym_triangle] = ACTIONS(2354),
    [anon_sym_cbuffer] = ACTIONS(2354),
  },
  [1008] = {
    [sym_identifier] = ACTIONS(2330),
    [aux_sym_preproc_include_token1] = ACTIONS(2330),
    [aux_sym_preproc_def_token1] = ACTIONS(2330),
    [aux_sym_preproc_if_token1] = ACTIONS(2330),
    [aux_sym_preproc_if_token2] = ACTIONS(2330),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2330),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2330),
    [sym_preproc_directive] = ACTIONS(2330),
    [anon_sym_LPAREN2] = ACTIONS(2332),
    [anon_sym_BANG] = ACTIONS(2332),
    [anon_sym_TILDE] = ACTIONS(2332),
    [anon_sym_DASH] = ACTIONS(2330),
    [anon_sym_PLUS] = ACTIONS(2330),
    [anon_sym_STAR] = ACTIONS(2332),
    [anon_sym_AMP_AMP] = ACTIONS(2332),
    [anon_sym_AMP] = ACTIONS(2330),
    [anon_sym_SEMI] = ACTIONS(2332),
    [anon_sym___extension__] = ACTIONS(2330),
    [anon_sym_typedef] = ACTIONS(2330),
    [anon_sym_in] = ACTIONS(2330),
    [anon_sym_out] = ACTIONS(2330),
    [anon_sym_inout] = ACTIONS(2330),
    [anon_sym_extern] = ACTIONS(2330),
    [anon_sym___attribute__] = ACTIONS(2330),
    [anon_sym_COLON_COLON] = ACTIONS(2332),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2332),
    [anon_sym___declspec] = ACTIONS(2330),
    [anon_sym___based] = ACTIONS(2330),
    [anon_sym___cdecl] = ACTIONS(2330),
    [anon_sym___clrcall] = ACTIONS(2330),
    [anon_sym___stdcall] = ACTIONS(2330),
    [anon_sym___fastcall] = ACTIONS(2330),
    [anon_sym___thiscall] = ACTIONS(2330),
    [anon_sym___vectorcall] = ACTIONS(2330),
    [anon_sym_LBRACE] = ACTIONS(2332),
    [anon_sym_signed] = ACTIONS(2330),
    [anon_sym_unsigned] = ACTIONS(2330),
    [anon_sym_long] = ACTIONS(2330),
    [anon_sym_short] = ACTIONS(2330),
    [anon_sym_LBRACK] = ACTIONS(2330),
    [anon_sym_static] = ACTIONS(2330),
    [anon_sym_register] = ACTIONS(2330),
    [anon_sym_inline] = ACTIONS(2330),
    [anon_sym___inline] = ACTIONS(2330),
    [anon_sym___inline__] = ACTIONS(2330),
    [anon_sym___forceinline] = ACTIONS(2330),
    [anon_sym_thread_local] = ACTIONS(2330),
    [anon_sym___thread] = ACTIONS(2330),
    [anon_sym_const] = ACTIONS(2330),
    [anon_sym_constexpr] = ACTIONS(2330),
    [anon_sym_volatile] = ACTIONS(2330),
    [anon_sym_restrict] = ACTIONS(2330),
    [anon_sym___restrict__] = ACTIONS(2330),
    [anon_sym__Atomic] = ACTIONS(2330),
    [anon_sym__Noreturn] = ACTIONS(2330),
    [anon_sym_noreturn] = ACTIONS(2330),
    [anon_sym_mutable] = ACTIONS(2330),
    [anon_sym_constinit] = ACTIONS(2330),
    [anon_sym_consteval] = ACTIONS(2330),
    [sym_primitive_type] = ACTIONS(2330),
    [anon_sym_enum] = ACTIONS(2330),
    [anon_sym_class] = ACTIONS(2330),
    [anon_sym_struct] = ACTIONS(2330),
    [anon_sym_union] = ACTIONS(2330),
    [anon_sym_if] = ACTIONS(2330),
    [anon_sym_else] = ACTIONS(2330),
    [anon_sym_switch] = ACTIONS(2330),
    [anon_sym_case] = ACTIONS(2330),
    [anon_sym_default] = ACTIONS(2330),
    [anon_sym_while] = ACTIONS(2330),
    [anon_sym_do] = ACTIONS(2330),
    [anon_sym_for] = ACTIONS(2330),
    [anon_sym_return] = ACTIONS(2330),
    [anon_sym_break] = ACTIONS(2330),
    [anon_sym_continue] = ACTIONS(2330),
    [anon_sym_goto] = ACTIONS(2330),
    [anon_sym___try] = ACTIONS(2330),
    [anon_sym___leave] = ACTIONS(2330),
    [anon_sym_not] = ACTIONS(2330),
    [anon_sym_compl] = ACTIONS(2330),
    [anon_sym_DASH_DASH] = ACTIONS(2332),
    [anon_sym_PLUS_PLUS] = ACTIONS(2332),
    [anon_sym_sizeof] = ACTIONS(2330),
    [anon_sym___alignof__] = ACTIONS(2330),
    [anon_sym___alignof] = ACTIONS(2330),
    [anon_sym__alignof] = ACTIONS(2330),
    [anon_sym_alignof] = ACTIONS(2330),
    [anon_sym__Alignof] = ACTIONS(2330),
    [anon_sym_offsetof] = ACTIONS(2330),
    [anon_sym__Generic] = ACTIONS(2330),
    [anon_sym_asm] = ACTIONS(2330),
    [anon_sym___asm__] = ACTIONS(2330),
    [sym_number_literal] = ACTIONS(2332),
    [anon_sym_L_SQUOTE] = ACTIONS(2332),
    [anon_sym_u_SQUOTE] = ACTIONS(2332),
    [anon_sym_U_SQUOTE] = ACTIONS(2332),
    [anon_sym_u8_SQUOTE] = ACTIONS(2332),
    [anon_sym_SQUOTE] = ACTIONS(2332),
    [anon_sym_L_DQUOTE] = ACTIONS(2332),
    [anon_sym_u_DQUOTE] = ACTIONS(2332),
    [anon_sym_U_DQUOTE] = ACTIONS(2332),
    [anon_sym_u8_DQUOTE] = ACTIONS(2332),
    [anon_sym_DQUOTE] = ACTIONS(2332),
    [sym_true] = ACTIONS(2330),
    [sym_false] = ACTIONS(2330),
    [anon_sym_NULL] = ACTIONS(2330),
    [anon_sym_nullptr] = ACTIONS(2330),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2330),
    [anon_sym_decltype] = ACTIONS(2330),
    [anon_sym_virtual] = ACTIONS(2330),
    [anon_sym_alignas] = ACTIONS(2330),
    [anon_sym_explicit] = ACTIONS(2330),
    [anon_sym_typename] = ACTIONS(2330),
    [anon_sym_template] = ACTIONS(2330),
    [anon_sym_operator] = ACTIONS(2330),
    [anon_sym_try] = ACTIONS(2330),
    [anon_sym_delete] = ACTIONS(2330),
    [anon_sym_throw] = ACTIONS(2330),
    [anon_sym_namespace] = ACTIONS(2330),
    [anon_sym_using] = ACTIONS(2330),
    [anon_sym_static_assert] = ACTIONS(2330),
    [anon_sym_concept] = ACTIONS(2330),
    [anon_sym_co_return] = ACTIONS(2330),
    [anon_sym_co_yield] = ACTIONS(2330),
    [anon_sym_R_DQUOTE] = ACTIONS(2332),
    [anon_sym_LR_DQUOTE] = ACTIONS(2332),
    [anon_sym_uR_DQUOTE] = ACTIONS(2332),
    [anon_sym_UR_DQUOTE] = ACTIONS(2332),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2332),
    [anon_sym_co_await] = ACTIONS(2330),
    [anon_sym_new] = ACTIONS(2330),
    [anon_sym_requires] = ACTIONS(2330),
    [sym_this] = ACTIONS(2330),
    [anon_sym_discard] = ACTIONS(2330),
    [anon_sym_precise] = ACTIONS(2330),
    [anon_sym_shared] = ACTIONS(2330),
    [anon_sym_groupshared] = ACTIONS(2330),
    [anon_sym_uniform] = ACTIONS(2330),
    [anon_sym_row_major] = ACTIONS(2330),
    [anon_sym_column_major] = ACTIONS(2330),
    [anon_sym_globallycoherent] = ACTIONS(2330),
    [anon_sym_centroid] = ACTIONS(2330),
    [anon_sym_noperspective] = ACTIONS(2330),
    [anon_sym_nointerpolation] = ACTIONS(2330),
    [anon_sym_sample] = ACTIONS(2330),
    [anon_sym_linear] = ACTIONS(2330),
    [anon_sym_snorm] = ACTIONS(2330),
    [anon_sym_unorm] = ACTIONS(2330),
    [anon_sym_point] = ACTIONS(2330),
    [anon_sym_line] = ACTIONS(2330),
    [anon_sym_triangleadj] = ACTIONS(2330),
    [anon_sym_lineadj] = ACTIONS(2330),
    [anon_sym_triangle] = ACTIONS(2330),
    [anon_sym_cbuffer] = ACTIONS(2330),
  },
  [1009] = {
    [sym_identifier] = ACTIONS(2384),
    [aux_sym_preproc_include_token1] = ACTIONS(2384),
    [aux_sym_preproc_def_token1] = ACTIONS(2384),
    [aux_sym_preproc_if_token1] = ACTIONS(2384),
    [aux_sym_preproc_if_token2] = ACTIONS(2384),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2384),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2384),
    [sym_preproc_directive] = ACTIONS(2384),
    [anon_sym_LPAREN2] = ACTIONS(2386),
    [anon_sym_BANG] = ACTIONS(2386),
    [anon_sym_TILDE] = ACTIONS(2386),
    [anon_sym_DASH] = ACTIONS(2384),
    [anon_sym_PLUS] = ACTIONS(2384),
    [anon_sym_STAR] = ACTIONS(2386),
    [anon_sym_AMP_AMP] = ACTIONS(2386),
    [anon_sym_AMP] = ACTIONS(2384),
    [anon_sym_SEMI] = ACTIONS(2386),
    [anon_sym___extension__] = ACTIONS(2384),
    [anon_sym_typedef] = ACTIONS(2384),
    [anon_sym_in] = ACTIONS(2384),
    [anon_sym_out] = ACTIONS(2384),
    [anon_sym_inout] = ACTIONS(2384),
    [anon_sym_extern] = ACTIONS(2384),
    [anon_sym___attribute__] = ACTIONS(2384),
    [anon_sym_COLON_COLON] = ACTIONS(2386),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2386),
    [anon_sym___declspec] = ACTIONS(2384),
    [anon_sym___based] = ACTIONS(2384),
    [anon_sym___cdecl] = ACTIONS(2384),
    [anon_sym___clrcall] = ACTIONS(2384),
    [anon_sym___stdcall] = ACTIONS(2384),
    [anon_sym___fastcall] = ACTIONS(2384),
    [anon_sym___thiscall] = ACTIONS(2384),
    [anon_sym___vectorcall] = ACTIONS(2384),
    [anon_sym_LBRACE] = ACTIONS(2386),
    [anon_sym_signed] = ACTIONS(2384),
    [anon_sym_unsigned] = ACTIONS(2384),
    [anon_sym_long] = ACTIONS(2384),
    [anon_sym_short] = ACTIONS(2384),
    [anon_sym_LBRACK] = ACTIONS(2384),
    [anon_sym_static] = ACTIONS(2384),
    [anon_sym_register] = ACTIONS(2384),
    [anon_sym_inline] = ACTIONS(2384),
    [anon_sym___inline] = ACTIONS(2384),
    [anon_sym___inline__] = ACTIONS(2384),
    [anon_sym___forceinline] = ACTIONS(2384),
    [anon_sym_thread_local] = ACTIONS(2384),
    [anon_sym___thread] = ACTIONS(2384),
    [anon_sym_const] = ACTIONS(2384),
    [anon_sym_constexpr] = ACTIONS(2384),
    [anon_sym_volatile] = ACTIONS(2384),
    [anon_sym_restrict] = ACTIONS(2384),
    [anon_sym___restrict__] = ACTIONS(2384),
    [anon_sym__Atomic] = ACTIONS(2384),
    [anon_sym__Noreturn] = ACTIONS(2384),
    [anon_sym_noreturn] = ACTIONS(2384),
    [anon_sym_mutable] = ACTIONS(2384),
    [anon_sym_constinit] = ACTIONS(2384),
    [anon_sym_consteval] = ACTIONS(2384),
    [sym_primitive_type] = ACTIONS(2384),
    [anon_sym_enum] = ACTIONS(2384),
    [anon_sym_class] = ACTIONS(2384),
    [anon_sym_struct] = ACTIONS(2384),
    [anon_sym_union] = ACTIONS(2384),
    [anon_sym_if] = ACTIONS(2384),
    [anon_sym_else] = ACTIONS(2384),
    [anon_sym_switch] = ACTIONS(2384),
    [anon_sym_case] = ACTIONS(2384),
    [anon_sym_default] = ACTIONS(2384),
    [anon_sym_while] = ACTIONS(2384),
    [anon_sym_do] = ACTIONS(2384),
    [anon_sym_for] = ACTIONS(2384),
    [anon_sym_return] = ACTIONS(2384),
    [anon_sym_break] = ACTIONS(2384),
    [anon_sym_continue] = ACTIONS(2384),
    [anon_sym_goto] = ACTIONS(2384),
    [anon_sym___try] = ACTIONS(2384),
    [anon_sym___leave] = ACTIONS(2384),
    [anon_sym_not] = ACTIONS(2384),
    [anon_sym_compl] = ACTIONS(2384),
    [anon_sym_DASH_DASH] = ACTIONS(2386),
    [anon_sym_PLUS_PLUS] = ACTIONS(2386),
    [anon_sym_sizeof] = ACTIONS(2384),
    [anon_sym___alignof__] = ACTIONS(2384),
    [anon_sym___alignof] = ACTIONS(2384),
    [anon_sym__alignof] = ACTIONS(2384),
    [anon_sym_alignof] = ACTIONS(2384),
    [anon_sym__Alignof] = ACTIONS(2384),
    [anon_sym_offsetof] = ACTIONS(2384),
    [anon_sym__Generic] = ACTIONS(2384),
    [anon_sym_asm] = ACTIONS(2384),
    [anon_sym___asm__] = ACTIONS(2384),
    [sym_number_literal] = ACTIONS(2386),
    [anon_sym_L_SQUOTE] = ACTIONS(2386),
    [anon_sym_u_SQUOTE] = ACTIONS(2386),
    [anon_sym_U_SQUOTE] = ACTIONS(2386),
    [anon_sym_u8_SQUOTE] = ACTIONS(2386),
    [anon_sym_SQUOTE] = ACTIONS(2386),
    [anon_sym_L_DQUOTE] = ACTIONS(2386),
    [anon_sym_u_DQUOTE] = ACTIONS(2386),
    [anon_sym_U_DQUOTE] = ACTIONS(2386),
    [anon_sym_u8_DQUOTE] = ACTIONS(2386),
    [anon_sym_DQUOTE] = ACTIONS(2386),
    [sym_true] = ACTIONS(2384),
    [sym_false] = ACTIONS(2384),
    [anon_sym_NULL] = ACTIONS(2384),
    [anon_sym_nullptr] = ACTIONS(2384),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2384),
    [anon_sym_decltype] = ACTIONS(2384),
    [anon_sym_virtual] = ACTIONS(2384),
    [anon_sym_alignas] = ACTIONS(2384),
    [anon_sym_explicit] = ACTIONS(2384),
    [anon_sym_typename] = ACTIONS(2384),
    [anon_sym_template] = ACTIONS(2384),
    [anon_sym_operator] = ACTIONS(2384),
    [anon_sym_try] = ACTIONS(2384),
    [anon_sym_delete] = ACTIONS(2384),
    [anon_sym_throw] = ACTIONS(2384),
    [anon_sym_namespace] = ACTIONS(2384),
    [anon_sym_using] = ACTIONS(2384),
    [anon_sym_static_assert] = ACTIONS(2384),
    [anon_sym_concept] = ACTIONS(2384),
    [anon_sym_co_return] = ACTIONS(2384),
    [anon_sym_co_yield] = ACTIONS(2384),
    [anon_sym_R_DQUOTE] = ACTIONS(2386),
    [anon_sym_LR_DQUOTE] = ACTIONS(2386),
    [anon_sym_uR_DQUOTE] = ACTIONS(2386),
    [anon_sym_UR_DQUOTE] = ACTIONS(2386),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2386),
    [anon_sym_co_await] = ACTIONS(2384),
    [anon_sym_new] = ACTIONS(2384),
    [anon_sym_requires] = ACTIONS(2384),
    [sym_this] = ACTIONS(2384),
    [anon_sym_discard] = ACTIONS(2384),
    [anon_sym_precise] = ACTIONS(2384),
    [anon_sym_shared] = ACTIONS(2384),
    [anon_sym_groupshared] = ACTIONS(2384),
    [anon_sym_uniform] = ACTIONS(2384),
    [anon_sym_row_major] = ACTIONS(2384),
    [anon_sym_column_major] = ACTIONS(2384),
    [anon_sym_globallycoherent] = ACTIONS(2384),
    [anon_sym_centroid] = ACTIONS(2384),
    [anon_sym_noperspective] = ACTIONS(2384),
    [anon_sym_nointerpolation] = ACTIONS(2384),
    [anon_sym_sample] = ACTIONS(2384),
    [anon_sym_linear] = ACTIONS(2384),
    [anon_sym_snorm] = ACTIONS(2384),
    [anon_sym_unorm] = ACTIONS(2384),
    [anon_sym_point] = ACTIONS(2384),
    [anon_sym_line] = ACTIONS(2384),
    [anon_sym_triangleadj] = ACTIONS(2384),
    [anon_sym_lineadj] = ACTIONS(2384),
    [anon_sym_triangle] = ACTIONS(2384),
    [anon_sym_cbuffer] = ACTIONS(2384),
  },
  [1010] = {
    [sym_identifier] = ACTIONS(2330),
    [aux_sym_preproc_include_token1] = ACTIONS(2330),
    [aux_sym_preproc_def_token1] = ACTIONS(2330),
    [aux_sym_preproc_if_token1] = ACTIONS(2330),
    [aux_sym_preproc_if_token2] = ACTIONS(2330),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2330),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2330),
    [sym_preproc_directive] = ACTIONS(2330),
    [anon_sym_LPAREN2] = ACTIONS(2332),
    [anon_sym_BANG] = ACTIONS(2332),
    [anon_sym_TILDE] = ACTIONS(2332),
    [anon_sym_DASH] = ACTIONS(2330),
    [anon_sym_PLUS] = ACTIONS(2330),
    [anon_sym_STAR] = ACTIONS(2332),
    [anon_sym_AMP_AMP] = ACTIONS(2332),
    [anon_sym_AMP] = ACTIONS(2330),
    [anon_sym_SEMI] = ACTIONS(2332),
    [anon_sym___extension__] = ACTIONS(2330),
    [anon_sym_typedef] = ACTIONS(2330),
    [anon_sym_in] = ACTIONS(2330),
    [anon_sym_out] = ACTIONS(2330),
    [anon_sym_inout] = ACTIONS(2330),
    [anon_sym_extern] = ACTIONS(2330),
    [anon_sym___attribute__] = ACTIONS(2330),
    [anon_sym_COLON_COLON] = ACTIONS(2332),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2332),
    [anon_sym___declspec] = ACTIONS(2330),
    [anon_sym___based] = ACTIONS(2330),
    [anon_sym___cdecl] = ACTIONS(2330),
    [anon_sym___clrcall] = ACTIONS(2330),
    [anon_sym___stdcall] = ACTIONS(2330),
    [anon_sym___fastcall] = ACTIONS(2330),
    [anon_sym___thiscall] = ACTIONS(2330),
    [anon_sym___vectorcall] = ACTIONS(2330),
    [anon_sym_LBRACE] = ACTIONS(2332),
    [anon_sym_signed] = ACTIONS(2330),
    [anon_sym_unsigned] = ACTIONS(2330),
    [anon_sym_long] = ACTIONS(2330),
    [anon_sym_short] = ACTIONS(2330),
    [anon_sym_LBRACK] = ACTIONS(2330),
    [anon_sym_static] = ACTIONS(2330),
    [anon_sym_register] = ACTIONS(2330),
    [anon_sym_inline] = ACTIONS(2330),
    [anon_sym___inline] = ACTIONS(2330),
    [anon_sym___inline__] = ACTIONS(2330),
    [anon_sym___forceinline] = ACTIONS(2330),
    [anon_sym_thread_local] = ACTIONS(2330),
    [anon_sym___thread] = ACTIONS(2330),
    [anon_sym_const] = ACTIONS(2330),
    [anon_sym_constexpr] = ACTIONS(2330),
    [anon_sym_volatile] = ACTIONS(2330),
    [anon_sym_restrict] = ACTIONS(2330),
    [anon_sym___restrict__] = ACTIONS(2330),
    [anon_sym__Atomic] = ACTIONS(2330),
    [anon_sym__Noreturn] = ACTIONS(2330),
    [anon_sym_noreturn] = ACTIONS(2330),
    [anon_sym_mutable] = ACTIONS(2330),
    [anon_sym_constinit] = ACTIONS(2330),
    [anon_sym_consteval] = ACTIONS(2330),
    [sym_primitive_type] = ACTIONS(2330),
    [anon_sym_enum] = ACTIONS(2330),
    [anon_sym_class] = ACTIONS(2330),
    [anon_sym_struct] = ACTIONS(2330),
    [anon_sym_union] = ACTIONS(2330),
    [anon_sym_if] = ACTIONS(2330),
    [anon_sym_else] = ACTIONS(2330),
    [anon_sym_switch] = ACTIONS(2330),
    [anon_sym_case] = ACTIONS(2330),
    [anon_sym_default] = ACTIONS(2330),
    [anon_sym_while] = ACTIONS(2330),
    [anon_sym_do] = ACTIONS(2330),
    [anon_sym_for] = ACTIONS(2330),
    [anon_sym_return] = ACTIONS(2330),
    [anon_sym_break] = ACTIONS(2330),
    [anon_sym_continue] = ACTIONS(2330),
    [anon_sym_goto] = ACTIONS(2330),
    [anon_sym___try] = ACTIONS(2330),
    [anon_sym___leave] = ACTIONS(2330),
    [anon_sym_not] = ACTIONS(2330),
    [anon_sym_compl] = ACTIONS(2330),
    [anon_sym_DASH_DASH] = ACTIONS(2332),
    [anon_sym_PLUS_PLUS] = ACTIONS(2332),
    [anon_sym_sizeof] = ACTIONS(2330),
    [anon_sym___alignof__] = ACTIONS(2330),
    [anon_sym___alignof] = ACTIONS(2330),
    [anon_sym__alignof] = ACTIONS(2330),
    [anon_sym_alignof] = ACTIONS(2330),
    [anon_sym__Alignof] = ACTIONS(2330),
    [anon_sym_offsetof] = ACTIONS(2330),
    [anon_sym__Generic] = ACTIONS(2330),
    [anon_sym_asm] = ACTIONS(2330),
    [anon_sym___asm__] = ACTIONS(2330),
    [sym_number_literal] = ACTIONS(2332),
    [anon_sym_L_SQUOTE] = ACTIONS(2332),
    [anon_sym_u_SQUOTE] = ACTIONS(2332),
    [anon_sym_U_SQUOTE] = ACTIONS(2332),
    [anon_sym_u8_SQUOTE] = ACTIONS(2332),
    [anon_sym_SQUOTE] = ACTIONS(2332),
    [anon_sym_L_DQUOTE] = ACTIONS(2332),
    [anon_sym_u_DQUOTE] = ACTIONS(2332),
    [anon_sym_U_DQUOTE] = ACTIONS(2332),
    [anon_sym_u8_DQUOTE] = ACTIONS(2332),
    [anon_sym_DQUOTE] = ACTIONS(2332),
    [sym_true] = ACTIONS(2330),
    [sym_false] = ACTIONS(2330),
    [anon_sym_NULL] = ACTIONS(2330),
    [anon_sym_nullptr] = ACTIONS(2330),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2330),
    [anon_sym_decltype] = ACTIONS(2330),
    [anon_sym_virtual] = ACTIONS(2330),
    [anon_sym_alignas] = ACTIONS(2330),
    [anon_sym_explicit] = ACTIONS(2330),
    [anon_sym_typename] = ACTIONS(2330),
    [anon_sym_template] = ACTIONS(2330),
    [anon_sym_operator] = ACTIONS(2330),
    [anon_sym_try] = ACTIONS(2330),
    [anon_sym_delete] = ACTIONS(2330),
    [anon_sym_throw] = ACTIONS(2330),
    [anon_sym_namespace] = ACTIONS(2330),
    [anon_sym_using] = ACTIONS(2330),
    [anon_sym_static_assert] = ACTIONS(2330),
    [anon_sym_concept] = ACTIONS(2330),
    [anon_sym_co_return] = ACTIONS(2330),
    [anon_sym_co_yield] = ACTIONS(2330),
    [anon_sym_R_DQUOTE] = ACTIONS(2332),
    [anon_sym_LR_DQUOTE] = ACTIONS(2332),
    [anon_sym_uR_DQUOTE] = ACTIONS(2332),
    [anon_sym_UR_DQUOTE] = ACTIONS(2332),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2332),
    [anon_sym_co_await] = ACTIONS(2330),
    [anon_sym_new] = ACTIONS(2330),
    [anon_sym_requires] = ACTIONS(2330),
    [sym_this] = ACTIONS(2330),
    [anon_sym_discard] = ACTIONS(2330),
    [anon_sym_precise] = ACTIONS(2330),
    [anon_sym_shared] = ACTIONS(2330),
    [anon_sym_groupshared] = ACTIONS(2330),
    [anon_sym_uniform] = ACTIONS(2330),
    [anon_sym_row_major] = ACTIONS(2330),
    [anon_sym_column_major] = ACTIONS(2330),
    [anon_sym_globallycoherent] = ACTIONS(2330),
    [anon_sym_centroid] = ACTIONS(2330),
    [anon_sym_noperspective] = ACTIONS(2330),
    [anon_sym_nointerpolation] = ACTIONS(2330),
    [anon_sym_sample] = ACTIONS(2330),
    [anon_sym_linear] = ACTIONS(2330),
    [anon_sym_snorm] = ACTIONS(2330),
    [anon_sym_unorm] = ACTIONS(2330),
    [anon_sym_point] = ACTIONS(2330),
    [anon_sym_line] = ACTIONS(2330),
    [anon_sym_triangleadj] = ACTIONS(2330),
    [anon_sym_lineadj] = ACTIONS(2330),
    [anon_sym_triangle] = ACTIONS(2330),
    [anon_sym_cbuffer] = ACTIONS(2330),
  },
  [1011] = {
    [sym_identifier] = ACTIONS(2330),
    [aux_sym_preproc_include_token1] = ACTIONS(2330),
    [aux_sym_preproc_def_token1] = ACTIONS(2330),
    [aux_sym_preproc_if_token1] = ACTIONS(2330),
    [aux_sym_preproc_if_token2] = ACTIONS(2330),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2330),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2330),
    [sym_preproc_directive] = ACTIONS(2330),
    [anon_sym_LPAREN2] = ACTIONS(2332),
    [anon_sym_BANG] = ACTIONS(2332),
    [anon_sym_TILDE] = ACTIONS(2332),
    [anon_sym_DASH] = ACTIONS(2330),
    [anon_sym_PLUS] = ACTIONS(2330),
    [anon_sym_STAR] = ACTIONS(2332),
    [anon_sym_AMP_AMP] = ACTIONS(2332),
    [anon_sym_AMP] = ACTIONS(2330),
    [anon_sym_SEMI] = ACTIONS(2332),
    [anon_sym___extension__] = ACTIONS(2330),
    [anon_sym_typedef] = ACTIONS(2330),
    [anon_sym_in] = ACTIONS(2330),
    [anon_sym_out] = ACTIONS(2330),
    [anon_sym_inout] = ACTIONS(2330),
    [anon_sym_extern] = ACTIONS(2330),
    [anon_sym___attribute__] = ACTIONS(2330),
    [anon_sym_COLON_COLON] = ACTIONS(2332),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2332),
    [anon_sym___declspec] = ACTIONS(2330),
    [anon_sym___based] = ACTIONS(2330),
    [anon_sym___cdecl] = ACTIONS(2330),
    [anon_sym___clrcall] = ACTIONS(2330),
    [anon_sym___stdcall] = ACTIONS(2330),
    [anon_sym___fastcall] = ACTIONS(2330),
    [anon_sym___thiscall] = ACTIONS(2330),
    [anon_sym___vectorcall] = ACTIONS(2330),
    [anon_sym_LBRACE] = ACTIONS(2332),
    [anon_sym_signed] = ACTIONS(2330),
    [anon_sym_unsigned] = ACTIONS(2330),
    [anon_sym_long] = ACTIONS(2330),
    [anon_sym_short] = ACTIONS(2330),
    [anon_sym_LBRACK] = ACTIONS(2330),
    [anon_sym_static] = ACTIONS(2330),
    [anon_sym_register] = ACTIONS(2330),
    [anon_sym_inline] = ACTIONS(2330),
    [anon_sym___inline] = ACTIONS(2330),
    [anon_sym___inline__] = ACTIONS(2330),
    [anon_sym___forceinline] = ACTIONS(2330),
    [anon_sym_thread_local] = ACTIONS(2330),
    [anon_sym___thread] = ACTIONS(2330),
    [anon_sym_const] = ACTIONS(2330),
    [anon_sym_constexpr] = ACTIONS(2330),
    [anon_sym_volatile] = ACTIONS(2330),
    [anon_sym_restrict] = ACTIONS(2330),
    [anon_sym___restrict__] = ACTIONS(2330),
    [anon_sym__Atomic] = ACTIONS(2330),
    [anon_sym__Noreturn] = ACTIONS(2330),
    [anon_sym_noreturn] = ACTIONS(2330),
    [anon_sym_mutable] = ACTIONS(2330),
    [anon_sym_constinit] = ACTIONS(2330),
    [anon_sym_consteval] = ACTIONS(2330),
    [sym_primitive_type] = ACTIONS(2330),
    [anon_sym_enum] = ACTIONS(2330),
    [anon_sym_class] = ACTIONS(2330),
    [anon_sym_struct] = ACTIONS(2330),
    [anon_sym_union] = ACTIONS(2330),
    [anon_sym_if] = ACTIONS(2330),
    [anon_sym_else] = ACTIONS(2330),
    [anon_sym_switch] = ACTIONS(2330),
    [anon_sym_case] = ACTIONS(2330),
    [anon_sym_default] = ACTIONS(2330),
    [anon_sym_while] = ACTIONS(2330),
    [anon_sym_do] = ACTIONS(2330),
    [anon_sym_for] = ACTIONS(2330),
    [anon_sym_return] = ACTIONS(2330),
    [anon_sym_break] = ACTIONS(2330),
    [anon_sym_continue] = ACTIONS(2330),
    [anon_sym_goto] = ACTIONS(2330),
    [anon_sym___try] = ACTIONS(2330),
    [anon_sym___leave] = ACTIONS(2330),
    [anon_sym_not] = ACTIONS(2330),
    [anon_sym_compl] = ACTIONS(2330),
    [anon_sym_DASH_DASH] = ACTIONS(2332),
    [anon_sym_PLUS_PLUS] = ACTIONS(2332),
    [anon_sym_sizeof] = ACTIONS(2330),
    [anon_sym___alignof__] = ACTIONS(2330),
    [anon_sym___alignof] = ACTIONS(2330),
    [anon_sym__alignof] = ACTIONS(2330),
    [anon_sym_alignof] = ACTIONS(2330),
    [anon_sym__Alignof] = ACTIONS(2330),
    [anon_sym_offsetof] = ACTIONS(2330),
    [anon_sym__Generic] = ACTIONS(2330),
    [anon_sym_asm] = ACTIONS(2330),
    [anon_sym___asm__] = ACTIONS(2330),
    [sym_number_literal] = ACTIONS(2332),
    [anon_sym_L_SQUOTE] = ACTIONS(2332),
    [anon_sym_u_SQUOTE] = ACTIONS(2332),
    [anon_sym_U_SQUOTE] = ACTIONS(2332),
    [anon_sym_u8_SQUOTE] = ACTIONS(2332),
    [anon_sym_SQUOTE] = ACTIONS(2332),
    [anon_sym_L_DQUOTE] = ACTIONS(2332),
    [anon_sym_u_DQUOTE] = ACTIONS(2332),
    [anon_sym_U_DQUOTE] = ACTIONS(2332),
    [anon_sym_u8_DQUOTE] = ACTIONS(2332),
    [anon_sym_DQUOTE] = ACTIONS(2332),
    [sym_true] = ACTIONS(2330),
    [sym_false] = ACTIONS(2330),
    [anon_sym_NULL] = ACTIONS(2330),
    [anon_sym_nullptr] = ACTIONS(2330),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2330),
    [anon_sym_decltype] = ACTIONS(2330),
    [anon_sym_virtual] = ACTIONS(2330),
    [anon_sym_alignas] = ACTIONS(2330),
    [anon_sym_explicit] = ACTIONS(2330),
    [anon_sym_typename] = ACTIONS(2330),
    [anon_sym_template] = ACTIONS(2330),
    [anon_sym_operator] = ACTIONS(2330),
    [anon_sym_try] = ACTIONS(2330),
    [anon_sym_delete] = ACTIONS(2330),
    [anon_sym_throw] = ACTIONS(2330),
    [anon_sym_namespace] = ACTIONS(2330),
    [anon_sym_using] = ACTIONS(2330),
    [anon_sym_static_assert] = ACTIONS(2330),
    [anon_sym_concept] = ACTIONS(2330),
    [anon_sym_co_return] = ACTIONS(2330),
    [anon_sym_co_yield] = ACTIONS(2330),
    [anon_sym_R_DQUOTE] = ACTIONS(2332),
    [anon_sym_LR_DQUOTE] = ACTIONS(2332),
    [anon_sym_uR_DQUOTE] = ACTIONS(2332),
    [anon_sym_UR_DQUOTE] = ACTIONS(2332),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2332),
    [anon_sym_co_await] = ACTIONS(2330),
    [anon_sym_new] = ACTIONS(2330),
    [anon_sym_requires] = ACTIONS(2330),
    [sym_this] = ACTIONS(2330),
    [anon_sym_discard] = ACTIONS(2330),
    [anon_sym_precise] = ACTIONS(2330),
    [anon_sym_shared] = ACTIONS(2330),
    [anon_sym_groupshared] = ACTIONS(2330),
    [anon_sym_uniform] = ACTIONS(2330),
    [anon_sym_row_major] = ACTIONS(2330),
    [anon_sym_column_major] = ACTIONS(2330),
    [anon_sym_globallycoherent] = ACTIONS(2330),
    [anon_sym_centroid] = ACTIONS(2330),
    [anon_sym_noperspective] = ACTIONS(2330),
    [anon_sym_nointerpolation] = ACTIONS(2330),
    [anon_sym_sample] = ACTIONS(2330),
    [anon_sym_linear] = ACTIONS(2330),
    [anon_sym_snorm] = ACTIONS(2330),
    [anon_sym_unorm] = ACTIONS(2330),
    [anon_sym_point] = ACTIONS(2330),
    [anon_sym_line] = ACTIONS(2330),
    [anon_sym_triangleadj] = ACTIONS(2330),
    [anon_sym_lineadj] = ACTIONS(2330),
    [anon_sym_triangle] = ACTIONS(2330),
    [anon_sym_cbuffer] = ACTIONS(2330),
  },
  [1012] = {
    [sym_identifier] = ACTIONS(2444),
    [aux_sym_preproc_include_token1] = ACTIONS(2444),
    [aux_sym_preproc_def_token1] = ACTIONS(2444),
    [aux_sym_preproc_if_token1] = ACTIONS(2444),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2444),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2444),
    [sym_preproc_directive] = ACTIONS(2444),
    [anon_sym_LPAREN2] = ACTIONS(2446),
    [anon_sym_BANG] = ACTIONS(2446),
    [anon_sym_TILDE] = ACTIONS(2446),
    [anon_sym_DASH] = ACTIONS(2444),
    [anon_sym_PLUS] = ACTIONS(2444),
    [anon_sym_STAR] = ACTIONS(2446),
    [anon_sym_AMP_AMP] = ACTIONS(2446),
    [anon_sym_AMP] = ACTIONS(2444),
    [anon_sym_SEMI] = ACTIONS(2446),
    [anon_sym___extension__] = ACTIONS(2444),
    [anon_sym_typedef] = ACTIONS(2444),
    [anon_sym_in] = ACTIONS(2444),
    [anon_sym_out] = ACTIONS(2444),
    [anon_sym_inout] = ACTIONS(2444),
    [anon_sym_extern] = ACTIONS(2444),
    [anon_sym___attribute__] = ACTIONS(2444),
    [anon_sym_COLON_COLON] = ACTIONS(2446),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2446),
    [anon_sym___declspec] = ACTIONS(2444),
    [anon_sym___based] = ACTIONS(2444),
    [anon_sym___cdecl] = ACTIONS(2444),
    [anon_sym___clrcall] = ACTIONS(2444),
    [anon_sym___stdcall] = ACTIONS(2444),
    [anon_sym___fastcall] = ACTIONS(2444),
    [anon_sym___thiscall] = ACTIONS(2444),
    [anon_sym___vectorcall] = ACTIONS(2444),
    [anon_sym_LBRACE] = ACTIONS(2446),
    [anon_sym_RBRACE] = ACTIONS(2446),
    [anon_sym_signed] = ACTIONS(2444),
    [anon_sym_unsigned] = ACTIONS(2444),
    [anon_sym_long] = ACTIONS(2444),
    [anon_sym_short] = ACTIONS(2444),
    [anon_sym_LBRACK] = ACTIONS(2444),
    [anon_sym_static] = ACTIONS(2444),
    [anon_sym_register] = ACTIONS(2444),
    [anon_sym_inline] = ACTIONS(2444),
    [anon_sym___inline] = ACTIONS(2444),
    [anon_sym___inline__] = ACTIONS(2444),
    [anon_sym___forceinline] = ACTIONS(2444),
    [anon_sym_thread_local] = ACTIONS(2444),
    [anon_sym___thread] = ACTIONS(2444),
    [anon_sym_const] = ACTIONS(2444),
    [anon_sym_constexpr] = ACTIONS(2444),
    [anon_sym_volatile] = ACTIONS(2444),
    [anon_sym_restrict] = ACTIONS(2444),
    [anon_sym___restrict__] = ACTIONS(2444),
    [anon_sym__Atomic] = ACTIONS(2444),
    [anon_sym__Noreturn] = ACTIONS(2444),
    [anon_sym_noreturn] = ACTIONS(2444),
    [anon_sym_mutable] = ACTIONS(2444),
    [anon_sym_constinit] = ACTIONS(2444),
    [anon_sym_consteval] = ACTIONS(2444),
    [sym_primitive_type] = ACTIONS(2444),
    [anon_sym_enum] = ACTIONS(2444),
    [anon_sym_class] = ACTIONS(2444),
    [anon_sym_struct] = ACTIONS(2444),
    [anon_sym_union] = ACTIONS(2444),
    [anon_sym_if] = ACTIONS(2444),
    [anon_sym_else] = ACTIONS(2444),
    [anon_sym_switch] = ACTIONS(2444),
    [anon_sym_case] = ACTIONS(2444),
    [anon_sym_default] = ACTIONS(2444),
    [anon_sym_while] = ACTIONS(2444),
    [anon_sym_do] = ACTIONS(2444),
    [anon_sym_for] = ACTIONS(2444),
    [anon_sym_return] = ACTIONS(2444),
    [anon_sym_break] = ACTIONS(2444),
    [anon_sym_continue] = ACTIONS(2444),
    [anon_sym_goto] = ACTIONS(2444),
    [anon_sym___try] = ACTIONS(2444),
    [anon_sym___leave] = ACTIONS(2444),
    [anon_sym_not] = ACTIONS(2444),
    [anon_sym_compl] = ACTIONS(2444),
    [anon_sym_DASH_DASH] = ACTIONS(2446),
    [anon_sym_PLUS_PLUS] = ACTIONS(2446),
    [anon_sym_sizeof] = ACTIONS(2444),
    [anon_sym___alignof__] = ACTIONS(2444),
    [anon_sym___alignof] = ACTIONS(2444),
    [anon_sym__alignof] = ACTIONS(2444),
    [anon_sym_alignof] = ACTIONS(2444),
    [anon_sym__Alignof] = ACTIONS(2444),
    [anon_sym_offsetof] = ACTIONS(2444),
    [anon_sym__Generic] = ACTIONS(2444),
    [anon_sym_asm] = ACTIONS(2444),
    [anon_sym___asm__] = ACTIONS(2444),
    [sym_number_literal] = ACTIONS(2446),
    [anon_sym_L_SQUOTE] = ACTIONS(2446),
    [anon_sym_u_SQUOTE] = ACTIONS(2446),
    [anon_sym_U_SQUOTE] = ACTIONS(2446),
    [anon_sym_u8_SQUOTE] = ACTIONS(2446),
    [anon_sym_SQUOTE] = ACTIONS(2446),
    [anon_sym_L_DQUOTE] = ACTIONS(2446),
    [anon_sym_u_DQUOTE] = ACTIONS(2446),
    [anon_sym_U_DQUOTE] = ACTIONS(2446),
    [anon_sym_u8_DQUOTE] = ACTIONS(2446),
    [anon_sym_DQUOTE] = ACTIONS(2446),
    [sym_true] = ACTIONS(2444),
    [sym_false] = ACTIONS(2444),
    [anon_sym_NULL] = ACTIONS(2444),
    [anon_sym_nullptr] = ACTIONS(2444),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2444),
    [anon_sym_decltype] = ACTIONS(2444),
    [anon_sym_virtual] = ACTIONS(2444),
    [anon_sym_alignas] = ACTIONS(2444),
    [anon_sym_explicit] = ACTIONS(2444),
    [anon_sym_typename] = ACTIONS(2444),
    [anon_sym_template] = ACTIONS(2444),
    [anon_sym_operator] = ACTIONS(2444),
    [anon_sym_try] = ACTIONS(2444),
    [anon_sym_delete] = ACTIONS(2444),
    [anon_sym_throw] = ACTIONS(2444),
    [anon_sym_namespace] = ACTIONS(2444),
    [anon_sym_using] = ACTIONS(2444),
    [anon_sym_static_assert] = ACTIONS(2444),
    [anon_sym_concept] = ACTIONS(2444),
    [anon_sym_co_return] = ACTIONS(2444),
    [anon_sym_co_yield] = ACTIONS(2444),
    [anon_sym_R_DQUOTE] = ACTIONS(2446),
    [anon_sym_LR_DQUOTE] = ACTIONS(2446),
    [anon_sym_uR_DQUOTE] = ACTIONS(2446),
    [anon_sym_UR_DQUOTE] = ACTIONS(2446),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2446),
    [anon_sym_co_await] = ACTIONS(2444),
    [anon_sym_new] = ACTIONS(2444),
    [anon_sym_requires] = ACTIONS(2444),
    [sym_this] = ACTIONS(2444),
    [anon_sym_discard] = ACTIONS(2444),
    [anon_sym_precise] = ACTIONS(2444),
    [anon_sym_shared] = ACTIONS(2444),
    [anon_sym_groupshared] = ACTIONS(2444),
    [anon_sym_uniform] = ACTIONS(2444),
    [anon_sym_row_major] = ACTIONS(2444),
    [anon_sym_column_major] = ACTIONS(2444),
    [anon_sym_globallycoherent] = ACTIONS(2444),
    [anon_sym_centroid] = ACTIONS(2444),
    [anon_sym_noperspective] = ACTIONS(2444),
    [anon_sym_nointerpolation] = ACTIONS(2444),
    [anon_sym_sample] = ACTIONS(2444),
    [anon_sym_linear] = ACTIONS(2444),
    [anon_sym_snorm] = ACTIONS(2444),
    [anon_sym_unorm] = ACTIONS(2444),
    [anon_sym_point] = ACTIONS(2444),
    [anon_sym_line] = ACTIONS(2444),
    [anon_sym_triangleadj] = ACTIONS(2444),
    [anon_sym_lineadj] = ACTIONS(2444),
    [anon_sym_triangle] = ACTIONS(2444),
    [anon_sym_cbuffer] = ACTIONS(2444),
  },
  [1013] = {
    [sym_identifier] = ACTIONS(2444),
    [aux_sym_preproc_include_token1] = ACTIONS(2444),
    [aux_sym_preproc_def_token1] = ACTIONS(2444),
    [aux_sym_preproc_if_token1] = ACTIONS(2444),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2444),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2444),
    [sym_preproc_directive] = ACTIONS(2444),
    [anon_sym_LPAREN2] = ACTIONS(2446),
    [anon_sym_BANG] = ACTIONS(2446),
    [anon_sym_TILDE] = ACTIONS(2446),
    [anon_sym_DASH] = ACTIONS(2444),
    [anon_sym_PLUS] = ACTIONS(2444),
    [anon_sym_STAR] = ACTIONS(2446),
    [anon_sym_AMP_AMP] = ACTIONS(2446),
    [anon_sym_AMP] = ACTIONS(2444),
    [anon_sym_SEMI] = ACTIONS(2446),
    [anon_sym___extension__] = ACTIONS(2444),
    [anon_sym_typedef] = ACTIONS(2444),
    [anon_sym_in] = ACTIONS(2444),
    [anon_sym_out] = ACTIONS(2444),
    [anon_sym_inout] = ACTIONS(2444),
    [anon_sym_extern] = ACTIONS(2444),
    [anon_sym___attribute__] = ACTIONS(2444),
    [anon_sym_COLON_COLON] = ACTIONS(2446),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2446),
    [anon_sym___declspec] = ACTIONS(2444),
    [anon_sym___based] = ACTIONS(2444),
    [anon_sym___cdecl] = ACTIONS(2444),
    [anon_sym___clrcall] = ACTIONS(2444),
    [anon_sym___stdcall] = ACTIONS(2444),
    [anon_sym___fastcall] = ACTIONS(2444),
    [anon_sym___thiscall] = ACTIONS(2444),
    [anon_sym___vectorcall] = ACTIONS(2444),
    [anon_sym_LBRACE] = ACTIONS(2446),
    [anon_sym_RBRACE] = ACTIONS(2446),
    [anon_sym_signed] = ACTIONS(2444),
    [anon_sym_unsigned] = ACTIONS(2444),
    [anon_sym_long] = ACTIONS(2444),
    [anon_sym_short] = ACTIONS(2444),
    [anon_sym_LBRACK] = ACTIONS(2444),
    [anon_sym_static] = ACTIONS(2444),
    [anon_sym_register] = ACTIONS(2444),
    [anon_sym_inline] = ACTIONS(2444),
    [anon_sym___inline] = ACTIONS(2444),
    [anon_sym___inline__] = ACTIONS(2444),
    [anon_sym___forceinline] = ACTIONS(2444),
    [anon_sym_thread_local] = ACTIONS(2444),
    [anon_sym___thread] = ACTIONS(2444),
    [anon_sym_const] = ACTIONS(2444),
    [anon_sym_constexpr] = ACTIONS(2444),
    [anon_sym_volatile] = ACTIONS(2444),
    [anon_sym_restrict] = ACTIONS(2444),
    [anon_sym___restrict__] = ACTIONS(2444),
    [anon_sym__Atomic] = ACTIONS(2444),
    [anon_sym__Noreturn] = ACTIONS(2444),
    [anon_sym_noreturn] = ACTIONS(2444),
    [anon_sym_mutable] = ACTIONS(2444),
    [anon_sym_constinit] = ACTIONS(2444),
    [anon_sym_consteval] = ACTIONS(2444),
    [sym_primitive_type] = ACTIONS(2444),
    [anon_sym_enum] = ACTIONS(2444),
    [anon_sym_class] = ACTIONS(2444),
    [anon_sym_struct] = ACTIONS(2444),
    [anon_sym_union] = ACTIONS(2444),
    [anon_sym_if] = ACTIONS(2444),
    [anon_sym_else] = ACTIONS(2444),
    [anon_sym_switch] = ACTIONS(2444),
    [anon_sym_case] = ACTIONS(2444),
    [anon_sym_default] = ACTIONS(2444),
    [anon_sym_while] = ACTIONS(2444),
    [anon_sym_do] = ACTIONS(2444),
    [anon_sym_for] = ACTIONS(2444),
    [anon_sym_return] = ACTIONS(2444),
    [anon_sym_break] = ACTIONS(2444),
    [anon_sym_continue] = ACTIONS(2444),
    [anon_sym_goto] = ACTIONS(2444),
    [anon_sym___try] = ACTIONS(2444),
    [anon_sym___leave] = ACTIONS(2444),
    [anon_sym_not] = ACTIONS(2444),
    [anon_sym_compl] = ACTIONS(2444),
    [anon_sym_DASH_DASH] = ACTIONS(2446),
    [anon_sym_PLUS_PLUS] = ACTIONS(2446),
    [anon_sym_sizeof] = ACTIONS(2444),
    [anon_sym___alignof__] = ACTIONS(2444),
    [anon_sym___alignof] = ACTIONS(2444),
    [anon_sym__alignof] = ACTIONS(2444),
    [anon_sym_alignof] = ACTIONS(2444),
    [anon_sym__Alignof] = ACTIONS(2444),
    [anon_sym_offsetof] = ACTIONS(2444),
    [anon_sym__Generic] = ACTIONS(2444),
    [anon_sym_asm] = ACTIONS(2444),
    [anon_sym___asm__] = ACTIONS(2444),
    [sym_number_literal] = ACTIONS(2446),
    [anon_sym_L_SQUOTE] = ACTIONS(2446),
    [anon_sym_u_SQUOTE] = ACTIONS(2446),
    [anon_sym_U_SQUOTE] = ACTIONS(2446),
    [anon_sym_u8_SQUOTE] = ACTIONS(2446),
    [anon_sym_SQUOTE] = ACTIONS(2446),
    [anon_sym_L_DQUOTE] = ACTIONS(2446),
    [anon_sym_u_DQUOTE] = ACTIONS(2446),
    [anon_sym_U_DQUOTE] = ACTIONS(2446),
    [anon_sym_u8_DQUOTE] = ACTIONS(2446),
    [anon_sym_DQUOTE] = ACTIONS(2446),
    [sym_true] = ACTIONS(2444),
    [sym_false] = ACTIONS(2444),
    [anon_sym_NULL] = ACTIONS(2444),
    [anon_sym_nullptr] = ACTIONS(2444),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2444),
    [anon_sym_decltype] = ACTIONS(2444),
    [anon_sym_virtual] = ACTIONS(2444),
    [anon_sym_alignas] = ACTIONS(2444),
    [anon_sym_explicit] = ACTIONS(2444),
    [anon_sym_typename] = ACTIONS(2444),
    [anon_sym_template] = ACTIONS(2444),
    [anon_sym_operator] = ACTIONS(2444),
    [anon_sym_try] = ACTIONS(2444),
    [anon_sym_delete] = ACTIONS(2444),
    [anon_sym_throw] = ACTIONS(2444),
    [anon_sym_namespace] = ACTIONS(2444),
    [anon_sym_using] = ACTIONS(2444),
    [anon_sym_static_assert] = ACTIONS(2444),
    [anon_sym_concept] = ACTIONS(2444),
    [anon_sym_co_return] = ACTIONS(2444),
    [anon_sym_co_yield] = ACTIONS(2444),
    [anon_sym_R_DQUOTE] = ACTIONS(2446),
    [anon_sym_LR_DQUOTE] = ACTIONS(2446),
    [anon_sym_uR_DQUOTE] = ACTIONS(2446),
    [anon_sym_UR_DQUOTE] = ACTIONS(2446),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2446),
    [anon_sym_co_await] = ACTIONS(2444),
    [anon_sym_new] = ACTIONS(2444),
    [anon_sym_requires] = ACTIONS(2444),
    [sym_this] = ACTIONS(2444),
    [anon_sym_discard] = ACTIONS(2444),
    [anon_sym_precise] = ACTIONS(2444),
    [anon_sym_shared] = ACTIONS(2444),
    [anon_sym_groupshared] = ACTIONS(2444),
    [anon_sym_uniform] = ACTIONS(2444),
    [anon_sym_row_major] = ACTIONS(2444),
    [anon_sym_column_major] = ACTIONS(2444),
    [anon_sym_globallycoherent] = ACTIONS(2444),
    [anon_sym_centroid] = ACTIONS(2444),
    [anon_sym_noperspective] = ACTIONS(2444),
    [anon_sym_nointerpolation] = ACTIONS(2444),
    [anon_sym_sample] = ACTIONS(2444),
    [anon_sym_linear] = ACTIONS(2444),
    [anon_sym_snorm] = ACTIONS(2444),
    [anon_sym_unorm] = ACTIONS(2444),
    [anon_sym_point] = ACTIONS(2444),
    [anon_sym_line] = ACTIONS(2444),
    [anon_sym_triangleadj] = ACTIONS(2444),
    [anon_sym_lineadj] = ACTIONS(2444),
    [anon_sym_triangle] = ACTIONS(2444),
    [anon_sym_cbuffer] = ACTIONS(2444),
  },
  [1014] = {
    [sym_identifier] = ACTIONS(2512),
    [aux_sym_preproc_include_token1] = ACTIONS(2512),
    [aux_sym_preproc_def_token1] = ACTIONS(2512),
    [aux_sym_preproc_if_token1] = ACTIONS(2512),
    [aux_sym_preproc_if_token2] = ACTIONS(2512),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2512),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2512),
    [sym_preproc_directive] = ACTIONS(2512),
    [anon_sym_LPAREN2] = ACTIONS(2514),
    [anon_sym_BANG] = ACTIONS(2514),
    [anon_sym_TILDE] = ACTIONS(2514),
    [anon_sym_DASH] = ACTIONS(2512),
    [anon_sym_PLUS] = ACTIONS(2512),
    [anon_sym_STAR] = ACTIONS(2514),
    [anon_sym_AMP_AMP] = ACTIONS(2514),
    [anon_sym_AMP] = ACTIONS(2512),
    [anon_sym_SEMI] = ACTIONS(2514),
    [anon_sym___extension__] = ACTIONS(2512),
    [anon_sym_typedef] = ACTIONS(2512),
    [anon_sym_in] = ACTIONS(2512),
    [anon_sym_out] = ACTIONS(2512),
    [anon_sym_inout] = ACTIONS(2512),
    [anon_sym_extern] = ACTIONS(2512),
    [anon_sym___attribute__] = ACTIONS(2512),
    [anon_sym_COLON_COLON] = ACTIONS(2514),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2514),
    [anon_sym___declspec] = ACTIONS(2512),
    [anon_sym___based] = ACTIONS(2512),
    [anon_sym___cdecl] = ACTIONS(2512),
    [anon_sym___clrcall] = ACTIONS(2512),
    [anon_sym___stdcall] = ACTIONS(2512),
    [anon_sym___fastcall] = ACTIONS(2512),
    [anon_sym___thiscall] = ACTIONS(2512),
    [anon_sym___vectorcall] = ACTIONS(2512),
    [anon_sym_LBRACE] = ACTIONS(2514),
    [anon_sym_signed] = ACTIONS(2512),
    [anon_sym_unsigned] = ACTIONS(2512),
    [anon_sym_long] = ACTIONS(2512),
    [anon_sym_short] = ACTIONS(2512),
    [anon_sym_LBRACK] = ACTIONS(2512),
    [anon_sym_static] = ACTIONS(2512),
    [anon_sym_register] = ACTIONS(2512),
    [anon_sym_inline] = ACTIONS(2512),
    [anon_sym___inline] = ACTIONS(2512),
    [anon_sym___inline__] = ACTIONS(2512),
    [anon_sym___forceinline] = ACTIONS(2512),
    [anon_sym_thread_local] = ACTIONS(2512),
    [anon_sym___thread] = ACTIONS(2512),
    [anon_sym_const] = ACTIONS(2512),
    [anon_sym_constexpr] = ACTIONS(2512),
    [anon_sym_volatile] = ACTIONS(2512),
    [anon_sym_restrict] = ACTIONS(2512),
    [anon_sym___restrict__] = ACTIONS(2512),
    [anon_sym__Atomic] = ACTIONS(2512),
    [anon_sym__Noreturn] = ACTIONS(2512),
    [anon_sym_noreturn] = ACTIONS(2512),
    [anon_sym_mutable] = ACTIONS(2512),
    [anon_sym_constinit] = ACTIONS(2512),
    [anon_sym_consteval] = ACTIONS(2512),
    [sym_primitive_type] = ACTIONS(2512),
    [anon_sym_enum] = ACTIONS(2512),
    [anon_sym_class] = ACTIONS(2512),
    [anon_sym_struct] = ACTIONS(2512),
    [anon_sym_union] = ACTIONS(2512),
    [anon_sym_if] = ACTIONS(2512),
    [anon_sym_else] = ACTIONS(2512),
    [anon_sym_switch] = ACTIONS(2512),
    [anon_sym_case] = ACTIONS(2512),
    [anon_sym_default] = ACTIONS(2512),
    [anon_sym_while] = ACTIONS(2512),
    [anon_sym_do] = ACTIONS(2512),
    [anon_sym_for] = ACTIONS(2512),
    [anon_sym_return] = ACTIONS(2512),
    [anon_sym_break] = ACTIONS(2512),
    [anon_sym_continue] = ACTIONS(2512),
    [anon_sym_goto] = ACTIONS(2512),
    [anon_sym___try] = ACTIONS(2512),
    [anon_sym___leave] = ACTIONS(2512),
    [anon_sym_not] = ACTIONS(2512),
    [anon_sym_compl] = ACTIONS(2512),
    [anon_sym_DASH_DASH] = ACTIONS(2514),
    [anon_sym_PLUS_PLUS] = ACTIONS(2514),
    [anon_sym_sizeof] = ACTIONS(2512),
    [anon_sym___alignof__] = ACTIONS(2512),
    [anon_sym___alignof] = ACTIONS(2512),
    [anon_sym__alignof] = ACTIONS(2512),
    [anon_sym_alignof] = ACTIONS(2512),
    [anon_sym__Alignof] = ACTIONS(2512),
    [anon_sym_offsetof] = ACTIONS(2512),
    [anon_sym__Generic] = ACTIONS(2512),
    [anon_sym_asm] = ACTIONS(2512),
    [anon_sym___asm__] = ACTIONS(2512),
    [sym_number_literal] = ACTIONS(2514),
    [anon_sym_L_SQUOTE] = ACTIONS(2514),
    [anon_sym_u_SQUOTE] = ACTIONS(2514),
    [anon_sym_U_SQUOTE] = ACTIONS(2514),
    [anon_sym_u8_SQUOTE] = ACTIONS(2514),
    [anon_sym_SQUOTE] = ACTIONS(2514),
    [anon_sym_L_DQUOTE] = ACTIONS(2514),
    [anon_sym_u_DQUOTE] = ACTIONS(2514),
    [anon_sym_U_DQUOTE] = ACTIONS(2514),
    [anon_sym_u8_DQUOTE] = ACTIONS(2514),
    [anon_sym_DQUOTE] = ACTIONS(2514),
    [sym_true] = ACTIONS(2512),
    [sym_false] = ACTIONS(2512),
    [anon_sym_NULL] = ACTIONS(2512),
    [anon_sym_nullptr] = ACTIONS(2512),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2512),
    [anon_sym_decltype] = ACTIONS(2512),
    [anon_sym_virtual] = ACTIONS(2512),
    [anon_sym_alignas] = ACTIONS(2512),
    [anon_sym_explicit] = ACTIONS(2512),
    [anon_sym_typename] = ACTIONS(2512),
    [anon_sym_template] = ACTIONS(2512),
    [anon_sym_operator] = ACTIONS(2512),
    [anon_sym_try] = ACTIONS(2512),
    [anon_sym_delete] = ACTIONS(2512),
    [anon_sym_throw] = ACTIONS(2512),
    [anon_sym_namespace] = ACTIONS(2512),
    [anon_sym_using] = ACTIONS(2512),
    [anon_sym_static_assert] = ACTIONS(2512),
    [anon_sym_concept] = ACTIONS(2512),
    [anon_sym_co_return] = ACTIONS(2512),
    [anon_sym_co_yield] = ACTIONS(2512),
    [anon_sym_R_DQUOTE] = ACTIONS(2514),
    [anon_sym_LR_DQUOTE] = ACTIONS(2514),
    [anon_sym_uR_DQUOTE] = ACTIONS(2514),
    [anon_sym_UR_DQUOTE] = ACTIONS(2514),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2514),
    [anon_sym_co_await] = ACTIONS(2512),
    [anon_sym_new] = ACTIONS(2512),
    [anon_sym_requires] = ACTIONS(2512),
    [sym_this] = ACTIONS(2512),
    [anon_sym_discard] = ACTIONS(2512),
    [anon_sym_precise] = ACTIONS(2512),
    [anon_sym_shared] = ACTIONS(2512),
    [anon_sym_groupshared] = ACTIONS(2512),
    [anon_sym_uniform] = ACTIONS(2512),
    [anon_sym_row_major] = ACTIONS(2512),
    [anon_sym_column_major] = ACTIONS(2512),
    [anon_sym_globallycoherent] = ACTIONS(2512),
    [anon_sym_centroid] = ACTIONS(2512),
    [anon_sym_noperspective] = ACTIONS(2512),
    [anon_sym_nointerpolation] = ACTIONS(2512),
    [anon_sym_sample] = ACTIONS(2512),
    [anon_sym_linear] = ACTIONS(2512),
    [anon_sym_snorm] = ACTIONS(2512),
    [anon_sym_unorm] = ACTIONS(2512),
    [anon_sym_point] = ACTIONS(2512),
    [anon_sym_line] = ACTIONS(2512),
    [anon_sym_triangleadj] = ACTIONS(2512),
    [anon_sym_lineadj] = ACTIONS(2512),
    [anon_sym_triangle] = ACTIONS(2512),
    [anon_sym_cbuffer] = ACTIONS(2512),
  },
  [1015] = {
    [sym_identifier] = ACTIONS(2444),
    [aux_sym_preproc_include_token1] = ACTIONS(2444),
    [aux_sym_preproc_def_token1] = ACTIONS(2444),
    [aux_sym_preproc_if_token1] = ACTIONS(2444),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2444),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2444),
    [sym_preproc_directive] = ACTIONS(2444),
    [anon_sym_LPAREN2] = ACTIONS(2446),
    [anon_sym_BANG] = ACTIONS(2446),
    [anon_sym_TILDE] = ACTIONS(2446),
    [anon_sym_DASH] = ACTIONS(2444),
    [anon_sym_PLUS] = ACTIONS(2444),
    [anon_sym_STAR] = ACTIONS(2446),
    [anon_sym_AMP_AMP] = ACTIONS(2446),
    [anon_sym_AMP] = ACTIONS(2444),
    [anon_sym_SEMI] = ACTIONS(2446),
    [anon_sym___extension__] = ACTIONS(2444),
    [anon_sym_typedef] = ACTIONS(2444),
    [anon_sym_in] = ACTIONS(2444),
    [anon_sym_out] = ACTIONS(2444),
    [anon_sym_inout] = ACTIONS(2444),
    [anon_sym_extern] = ACTIONS(2444),
    [anon_sym___attribute__] = ACTIONS(2444),
    [anon_sym_COLON_COLON] = ACTIONS(2446),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2446),
    [anon_sym___declspec] = ACTIONS(2444),
    [anon_sym___based] = ACTIONS(2444),
    [anon_sym___cdecl] = ACTIONS(2444),
    [anon_sym___clrcall] = ACTIONS(2444),
    [anon_sym___stdcall] = ACTIONS(2444),
    [anon_sym___fastcall] = ACTIONS(2444),
    [anon_sym___thiscall] = ACTIONS(2444),
    [anon_sym___vectorcall] = ACTIONS(2444),
    [anon_sym_LBRACE] = ACTIONS(2446),
    [anon_sym_RBRACE] = ACTIONS(2446),
    [anon_sym_signed] = ACTIONS(2444),
    [anon_sym_unsigned] = ACTIONS(2444),
    [anon_sym_long] = ACTIONS(2444),
    [anon_sym_short] = ACTIONS(2444),
    [anon_sym_LBRACK] = ACTIONS(2444),
    [anon_sym_static] = ACTIONS(2444),
    [anon_sym_register] = ACTIONS(2444),
    [anon_sym_inline] = ACTIONS(2444),
    [anon_sym___inline] = ACTIONS(2444),
    [anon_sym___inline__] = ACTIONS(2444),
    [anon_sym___forceinline] = ACTIONS(2444),
    [anon_sym_thread_local] = ACTIONS(2444),
    [anon_sym___thread] = ACTIONS(2444),
    [anon_sym_const] = ACTIONS(2444),
    [anon_sym_constexpr] = ACTIONS(2444),
    [anon_sym_volatile] = ACTIONS(2444),
    [anon_sym_restrict] = ACTIONS(2444),
    [anon_sym___restrict__] = ACTIONS(2444),
    [anon_sym__Atomic] = ACTIONS(2444),
    [anon_sym__Noreturn] = ACTIONS(2444),
    [anon_sym_noreturn] = ACTIONS(2444),
    [anon_sym_mutable] = ACTIONS(2444),
    [anon_sym_constinit] = ACTIONS(2444),
    [anon_sym_consteval] = ACTIONS(2444),
    [sym_primitive_type] = ACTIONS(2444),
    [anon_sym_enum] = ACTIONS(2444),
    [anon_sym_class] = ACTIONS(2444),
    [anon_sym_struct] = ACTIONS(2444),
    [anon_sym_union] = ACTIONS(2444),
    [anon_sym_if] = ACTIONS(2444),
    [anon_sym_else] = ACTIONS(2444),
    [anon_sym_switch] = ACTIONS(2444),
    [anon_sym_case] = ACTIONS(2444),
    [anon_sym_default] = ACTIONS(2444),
    [anon_sym_while] = ACTIONS(2444),
    [anon_sym_do] = ACTIONS(2444),
    [anon_sym_for] = ACTIONS(2444),
    [anon_sym_return] = ACTIONS(2444),
    [anon_sym_break] = ACTIONS(2444),
    [anon_sym_continue] = ACTIONS(2444),
    [anon_sym_goto] = ACTIONS(2444),
    [anon_sym___try] = ACTIONS(2444),
    [anon_sym___leave] = ACTIONS(2444),
    [anon_sym_not] = ACTIONS(2444),
    [anon_sym_compl] = ACTIONS(2444),
    [anon_sym_DASH_DASH] = ACTIONS(2446),
    [anon_sym_PLUS_PLUS] = ACTIONS(2446),
    [anon_sym_sizeof] = ACTIONS(2444),
    [anon_sym___alignof__] = ACTIONS(2444),
    [anon_sym___alignof] = ACTIONS(2444),
    [anon_sym__alignof] = ACTIONS(2444),
    [anon_sym_alignof] = ACTIONS(2444),
    [anon_sym__Alignof] = ACTIONS(2444),
    [anon_sym_offsetof] = ACTIONS(2444),
    [anon_sym__Generic] = ACTIONS(2444),
    [anon_sym_asm] = ACTIONS(2444),
    [anon_sym___asm__] = ACTIONS(2444),
    [sym_number_literal] = ACTIONS(2446),
    [anon_sym_L_SQUOTE] = ACTIONS(2446),
    [anon_sym_u_SQUOTE] = ACTIONS(2446),
    [anon_sym_U_SQUOTE] = ACTIONS(2446),
    [anon_sym_u8_SQUOTE] = ACTIONS(2446),
    [anon_sym_SQUOTE] = ACTIONS(2446),
    [anon_sym_L_DQUOTE] = ACTIONS(2446),
    [anon_sym_u_DQUOTE] = ACTIONS(2446),
    [anon_sym_U_DQUOTE] = ACTIONS(2446),
    [anon_sym_u8_DQUOTE] = ACTIONS(2446),
    [anon_sym_DQUOTE] = ACTIONS(2446),
    [sym_true] = ACTIONS(2444),
    [sym_false] = ACTIONS(2444),
    [anon_sym_NULL] = ACTIONS(2444),
    [anon_sym_nullptr] = ACTIONS(2444),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2444),
    [anon_sym_decltype] = ACTIONS(2444),
    [anon_sym_virtual] = ACTIONS(2444),
    [anon_sym_alignas] = ACTIONS(2444),
    [anon_sym_explicit] = ACTIONS(2444),
    [anon_sym_typename] = ACTIONS(2444),
    [anon_sym_template] = ACTIONS(2444),
    [anon_sym_operator] = ACTIONS(2444),
    [anon_sym_try] = ACTIONS(2444),
    [anon_sym_delete] = ACTIONS(2444),
    [anon_sym_throw] = ACTIONS(2444),
    [anon_sym_namespace] = ACTIONS(2444),
    [anon_sym_using] = ACTIONS(2444),
    [anon_sym_static_assert] = ACTIONS(2444),
    [anon_sym_concept] = ACTIONS(2444),
    [anon_sym_co_return] = ACTIONS(2444),
    [anon_sym_co_yield] = ACTIONS(2444),
    [anon_sym_R_DQUOTE] = ACTIONS(2446),
    [anon_sym_LR_DQUOTE] = ACTIONS(2446),
    [anon_sym_uR_DQUOTE] = ACTIONS(2446),
    [anon_sym_UR_DQUOTE] = ACTIONS(2446),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2446),
    [anon_sym_co_await] = ACTIONS(2444),
    [anon_sym_new] = ACTIONS(2444),
    [anon_sym_requires] = ACTIONS(2444),
    [sym_this] = ACTIONS(2444),
    [anon_sym_discard] = ACTIONS(2444),
    [anon_sym_precise] = ACTIONS(2444),
    [anon_sym_shared] = ACTIONS(2444),
    [anon_sym_groupshared] = ACTIONS(2444),
    [anon_sym_uniform] = ACTIONS(2444),
    [anon_sym_row_major] = ACTIONS(2444),
    [anon_sym_column_major] = ACTIONS(2444),
    [anon_sym_globallycoherent] = ACTIONS(2444),
    [anon_sym_centroid] = ACTIONS(2444),
    [anon_sym_noperspective] = ACTIONS(2444),
    [anon_sym_nointerpolation] = ACTIONS(2444),
    [anon_sym_sample] = ACTIONS(2444),
    [anon_sym_linear] = ACTIONS(2444),
    [anon_sym_snorm] = ACTIONS(2444),
    [anon_sym_unorm] = ACTIONS(2444),
    [anon_sym_point] = ACTIONS(2444),
    [anon_sym_line] = ACTIONS(2444),
    [anon_sym_triangleadj] = ACTIONS(2444),
    [anon_sym_lineadj] = ACTIONS(2444),
    [anon_sym_triangle] = ACTIONS(2444),
    [anon_sym_cbuffer] = ACTIONS(2444),
  },
  [1016] = {
    [sym_identifier] = ACTIONS(2444),
    [aux_sym_preproc_include_token1] = ACTIONS(2444),
    [aux_sym_preproc_def_token1] = ACTIONS(2444),
    [aux_sym_preproc_if_token1] = ACTIONS(2444),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2444),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2444),
    [sym_preproc_directive] = ACTIONS(2444),
    [anon_sym_LPAREN2] = ACTIONS(2446),
    [anon_sym_BANG] = ACTIONS(2446),
    [anon_sym_TILDE] = ACTIONS(2446),
    [anon_sym_DASH] = ACTIONS(2444),
    [anon_sym_PLUS] = ACTIONS(2444),
    [anon_sym_STAR] = ACTIONS(2446),
    [anon_sym_AMP_AMP] = ACTIONS(2446),
    [anon_sym_AMP] = ACTIONS(2444),
    [anon_sym_SEMI] = ACTIONS(2446),
    [anon_sym___extension__] = ACTIONS(2444),
    [anon_sym_typedef] = ACTIONS(2444),
    [anon_sym_in] = ACTIONS(2444),
    [anon_sym_out] = ACTIONS(2444),
    [anon_sym_inout] = ACTIONS(2444),
    [anon_sym_extern] = ACTIONS(2444),
    [anon_sym___attribute__] = ACTIONS(2444),
    [anon_sym_COLON_COLON] = ACTIONS(2446),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2446),
    [anon_sym___declspec] = ACTIONS(2444),
    [anon_sym___based] = ACTIONS(2444),
    [anon_sym___cdecl] = ACTIONS(2444),
    [anon_sym___clrcall] = ACTIONS(2444),
    [anon_sym___stdcall] = ACTIONS(2444),
    [anon_sym___fastcall] = ACTIONS(2444),
    [anon_sym___thiscall] = ACTIONS(2444),
    [anon_sym___vectorcall] = ACTIONS(2444),
    [anon_sym_LBRACE] = ACTIONS(2446),
    [anon_sym_RBRACE] = ACTIONS(2446),
    [anon_sym_signed] = ACTIONS(2444),
    [anon_sym_unsigned] = ACTIONS(2444),
    [anon_sym_long] = ACTIONS(2444),
    [anon_sym_short] = ACTIONS(2444),
    [anon_sym_LBRACK] = ACTIONS(2444),
    [anon_sym_static] = ACTIONS(2444),
    [anon_sym_register] = ACTIONS(2444),
    [anon_sym_inline] = ACTIONS(2444),
    [anon_sym___inline] = ACTIONS(2444),
    [anon_sym___inline__] = ACTIONS(2444),
    [anon_sym___forceinline] = ACTIONS(2444),
    [anon_sym_thread_local] = ACTIONS(2444),
    [anon_sym___thread] = ACTIONS(2444),
    [anon_sym_const] = ACTIONS(2444),
    [anon_sym_constexpr] = ACTIONS(2444),
    [anon_sym_volatile] = ACTIONS(2444),
    [anon_sym_restrict] = ACTIONS(2444),
    [anon_sym___restrict__] = ACTIONS(2444),
    [anon_sym__Atomic] = ACTIONS(2444),
    [anon_sym__Noreturn] = ACTIONS(2444),
    [anon_sym_noreturn] = ACTIONS(2444),
    [anon_sym_mutable] = ACTIONS(2444),
    [anon_sym_constinit] = ACTIONS(2444),
    [anon_sym_consteval] = ACTIONS(2444),
    [sym_primitive_type] = ACTIONS(2444),
    [anon_sym_enum] = ACTIONS(2444),
    [anon_sym_class] = ACTIONS(2444),
    [anon_sym_struct] = ACTIONS(2444),
    [anon_sym_union] = ACTIONS(2444),
    [anon_sym_if] = ACTIONS(2444),
    [anon_sym_else] = ACTIONS(2444),
    [anon_sym_switch] = ACTIONS(2444),
    [anon_sym_case] = ACTIONS(2444),
    [anon_sym_default] = ACTIONS(2444),
    [anon_sym_while] = ACTIONS(2444),
    [anon_sym_do] = ACTIONS(2444),
    [anon_sym_for] = ACTIONS(2444),
    [anon_sym_return] = ACTIONS(2444),
    [anon_sym_break] = ACTIONS(2444),
    [anon_sym_continue] = ACTIONS(2444),
    [anon_sym_goto] = ACTIONS(2444),
    [anon_sym___try] = ACTIONS(2444),
    [anon_sym___leave] = ACTIONS(2444),
    [anon_sym_not] = ACTIONS(2444),
    [anon_sym_compl] = ACTIONS(2444),
    [anon_sym_DASH_DASH] = ACTIONS(2446),
    [anon_sym_PLUS_PLUS] = ACTIONS(2446),
    [anon_sym_sizeof] = ACTIONS(2444),
    [anon_sym___alignof__] = ACTIONS(2444),
    [anon_sym___alignof] = ACTIONS(2444),
    [anon_sym__alignof] = ACTIONS(2444),
    [anon_sym_alignof] = ACTIONS(2444),
    [anon_sym__Alignof] = ACTIONS(2444),
    [anon_sym_offsetof] = ACTIONS(2444),
    [anon_sym__Generic] = ACTIONS(2444),
    [anon_sym_asm] = ACTIONS(2444),
    [anon_sym___asm__] = ACTIONS(2444),
    [sym_number_literal] = ACTIONS(2446),
    [anon_sym_L_SQUOTE] = ACTIONS(2446),
    [anon_sym_u_SQUOTE] = ACTIONS(2446),
    [anon_sym_U_SQUOTE] = ACTIONS(2446),
    [anon_sym_u8_SQUOTE] = ACTIONS(2446),
    [anon_sym_SQUOTE] = ACTIONS(2446),
    [anon_sym_L_DQUOTE] = ACTIONS(2446),
    [anon_sym_u_DQUOTE] = ACTIONS(2446),
    [anon_sym_U_DQUOTE] = ACTIONS(2446),
    [anon_sym_u8_DQUOTE] = ACTIONS(2446),
    [anon_sym_DQUOTE] = ACTIONS(2446),
    [sym_true] = ACTIONS(2444),
    [sym_false] = ACTIONS(2444),
    [anon_sym_NULL] = ACTIONS(2444),
    [anon_sym_nullptr] = ACTIONS(2444),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2444),
    [anon_sym_decltype] = ACTIONS(2444),
    [anon_sym_virtual] = ACTIONS(2444),
    [anon_sym_alignas] = ACTIONS(2444),
    [anon_sym_explicit] = ACTIONS(2444),
    [anon_sym_typename] = ACTIONS(2444),
    [anon_sym_template] = ACTIONS(2444),
    [anon_sym_operator] = ACTIONS(2444),
    [anon_sym_try] = ACTIONS(2444),
    [anon_sym_delete] = ACTIONS(2444),
    [anon_sym_throw] = ACTIONS(2444),
    [anon_sym_namespace] = ACTIONS(2444),
    [anon_sym_using] = ACTIONS(2444),
    [anon_sym_static_assert] = ACTIONS(2444),
    [anon_sym_concept] = ACTIONS(2444),
    [anon_sym_co_return] = ACTIONS(2444),
    [anon_sym_co_yield] = ACTIONS(2444),
    [anon_sym_R_DQUOTE] = ACTIONS(2446),
    [anon_sym_LR_DQUOTE] = ACTIONS(2446),
    [anon_sym_uR_DQUOTE] = ACTIONS(2446),
    [anon_sym_UR_DQUOTE] = ACTIONS(2446),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2446),
    [anon_sym_co_await] = ACTIONS(2444),
    [anon_sym_new] = ACTIONS(2444),
    [anon_sym_requires] = ACTIONS(2444),
    [sym_this] = ACTIONS(2444),
    [anon_sym_discard] = ACTIONS(2444),
    [anon_sym_precise] = ACTIONS(2444),
    [anon_sym_shared] = ACTIONS(2444),
    [anon_sym_groupshared] = ACTIONS(2444),
    [anon_sym_uniform] = ACTIONS(2444),
    [anon_sym_row_major] = ACTIONS(2444),
    [anon_sym_column_major] = ACTIONS(2444),
    [anon_sym_globallycoherent] = ACTIONS(2444),
    [anon_sym_centroid] = ACTIONS(2444),
    [anon_sym_noperspective] = ACTIONS(2444),
    [anon_sym_nointerpolation] = ACTIONS(2444),
    [anon_sym_sample] = ACTIONS(2444),
    [anon_sym_linear] = ACTIONS(2444),
    [anon_sym_snorm] = ACTIONS(2444),
    [anon_sym_unorm] = ACTIONS(2444),
    [anon_sym_point] = ACTIONS(2444),
    [anon_sym_line] = ACTIONS(2444),
    [anon_sym_triangleadj] = ACTIONS(2444),
    [anon_sym_lineadj] = ACTIONS(2444),
    [anon_sym_triangle] = ACTIONS(2444),
    [anon_sym_cbuffer] = ACTIONS(2444),
  },
  [1017] = {
    [sym_identifier] = ACTIONS(2452),
    [aux_sym_preproc_include_token1] = ACTIONS(2452),
    [aux_sym_preproc_def_token1] = ACTIONS(2452),
    [aux_sym_preproc_if_token1] = ACTIONS(2452),
    [aux_sym_preproc_if_token2] = ACTIONS(2452),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2452),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2452),
    [sym_preproc_directive] = ACTIONS(2452),
    [anon_sym_LPAREN2] = ACTIONS(2454),
    [anon_sym_BANG] = ACTIONS(2454),
    [anon_sym_TILDE] = ACTIONS(2454),
    [anon_sym_DASH] = ACTIONS(2452),
    [anon_sym_PLUS] = ACTIONS(2452),
    [anon_sym_STAR] = ACTIONS(2454),
    [anon_sym_AMP_AMP] = ACTIONS(2454),
    [anon_sym_AMP] = ACTIONS(2452),
    [anon_sym_SEMI] = ACTIONS(2454),
    [anon_sym___extension__] = ACTIONS(2452),
    [anon_sym_typedef] = ACTIONS(2452),
    [anon_sym_in] = ACTIONS(2452),
    [anon_sym_out] = ACTIONS(2452),
    [anon_sym_inout] = ACTIONS(2452),
    [anon_sym_extern] = ACTIONS(2452),
    [anon_sym___attribute__] = ACTIONS(2452),
    [anon_sym_COLON_COLON] = ACTIONS(2454),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2454),
    [anon_sym___declspec] = ACTIONS(2452),
    [anon_sym___based] = ACTIONS(2452),
    [anon_sym___cdecl] = ACTIONS(2452),
    [anon_sym___clrcall] = ACTIONS(2452),
    [anon_sym___stdcall] = ACTIONS(2452),
    [anon_sym___fastcall] = ACTIONS(2452),
    [anon_sym___thiscall] = ACTIONS(2452),
    [anon_sym___vectorcall] = ACTIONS(2452),
    [anon_sym_LBRACE] = ACTIONS(2454),
    [anon_sym_signed] = ACTIONS(2452),
    [anon_sym_unsigned] = ACTIONS(2452),
    [anon_sym_long] = ACTIONS(2452),
    [anon_sym_short] = ACTIONS(2452),
    [anon_sym_LBRACK] = ACTIONS(2452),
    [anon_sym_static] = ACTIONS(2452),
    [anon_sym_register] = ACTIONS(2452),
    [anon_sym_inline] = ACTIONS(2452),
    [anon_sym___inline] = ACTIONS(2452),
    [anon_sym___inline__] = ACTIONS(2452),
    [anon_sym___forceinline] = ACTIONS(2452),
    [anon_sym_thread_local] = ACTIONS(2452),
    [anon_sym___thread] = ACTIONS(2452),
    [anon_sym_const] = ACTIONS(2452),
    [anon_sym_constexpr] = ACTIONS(2452),
    [anon_sym_volatile] = ACTIONS(2452),
    [anon_sym_restrict] = ACTIONS(2452),
    [anon_sym___restrict__] = ACTIONS(2452),
    [anon_sym__Atomic] = ACTIONS(2452),
    [anon_sym__Noreturn] = ACTIONS(2452),
    [anon_sym_noreturn] = ACTIONS(2452),
    [anon_sym_mutable] = ACTIONS(2452),
    [anon_sym_constinit] = ACTIONS(2452),
    [anon_sym_consteval] = ACTIONS(2452),
    [sym_primitive_type] = ACTIONS(2452),
    [anon_sym_enum] = ACTIONS(2452),
    [anon_sym_class] = ACTIONS(2452),
    [anon_sym_struct] = ACTIONS(2452),
    [anon_sym_union] = ACTIONS(2452),
    [anon_sym_if] = ACTIONS(2452),
    [anon_sym_else] = ACTIONS(2452),
    [anon_sym_switch] = ACTIONS(2452),
    [anon_sym_case] = ACTIONS(2452),
    [anon_sym_default] = ACTIONS(2452),
    [anon_sym_while] = ACTIONS(2452),
    [anon_sym_do] = ACTIONS(2452),
    [anon_sym_for] = ACTIONS(2452),
    [anon_sym_return] = ACTIONS(2452),
    [anon_sym_break] = ACTIONS(2452),
    [anon_sym_continue] = ACTIONS(2452),
    [anon_sym_goto] = ACTIONS(2452),
    [anon_sym___try] = ACTIONS(2452),
    [anon_sym___leave] = ACTIONS(2452),
    [anon_sym_not] = ACTIONS(2452),
    [anon_sym_compl] = ACTIONS(2452),
    [anon_sym_DASH_DASH] = ACTIONS(2454),
    [anon_sym_PLUS_PLUS] = ACTIONS(2454),
    [anon_sym_sizeof] = ACTIONS(2452),
    [anon_sym___alignof__] = ACTIONS(2452),
    [anon_sym___alignof] = ACTIONS(2452),
    [anon_sym__alignof] = ACTIONS(2452),
    [anon_sym_alignof] = ACTIONS(2452),
    [anon_sym__Alignof] = ACTIONS(2452),
    [anon_sym_offsetof] = ACTIONS(2452),
    [anon_sym__Generic] = ACTIONS(2452),
    [anon_sym_asm] = ACTIONS(2452),
    [anon_sym___asm__] = ACTIONS(2452),
    [sym_number_literal] = ACTIONS(2454),
    [anon_sym_L_SQUOTE] = ACTIONS(2454),
    [anon_sym_u_SQUOTE] = ACTIONS(2454),
    [anon_sym_U_SQUOTE] = ACTIONS(2454),
    [anon_sym_u8_SQUOTE] = ACTIONS(2454),
    [anon_sym_SQUOTE] = ACTIONS(2454),
    [anon_sym_L_DQUOTE] = ACTIONS(2454),
    [anon_sym_u_DQUOTE] = ACTIONS(2454),
    [anon_sym_U_DQUOTE] = ACTIONS(2454),
    [anon_sym_u8_DQUOTE] = ACTIONS(2454),
    [anon_sym_DQUOTE] = ACTIONS(2454),
    [sym_true] = ACTIONS(2452),
    [sym_false] = ACTIONS(2452),
    [anon_sym_NULL] = ACTIONS(2452),
    [anon_sym_nullptr] = ACTIONS(2452),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2452),
    [anon_sym_decltype] = ACTIONS(2452),
    [anon_sym_virtual] = ACTIONS(2452),
    [anon_sym_alignas] = ACTIONS(2452),
    [anon_sym_explicit] = ACTIONS(2452),
    [anon_sym_typename] = ACTIONS(2452),
    [anon_sym_template] = ACTIONS(2452),
    [anon_sym_operator] = ACTIONS(2452),
    [anon_sym_try] = ACTIONS(2452),
    [anon_sym_delete] = ACTIONS(2452),
    [anon_sym_throw] = ACTIONS(2452),
    [anon_sym_namespace] = ACTIONS(2452),
    [anon_sym_using] = ACTIONS(2452),
    [anon_sym_static_assert] = ACTIONS(2452),
    [anon_sym_concept] = ACTIONS(2452),
    [anon_sym_co_return] = ACTIONS(2452),
    [anon_sym_co_yield] = ACTIONS(2452),
    [anon_sym_R_DQUOTE] = ACTIONS(2454),
    [anon_sym_LR_DQUOTE] = ACTIONS(2454),
    [anon_sym_uR_DQUOTE] = ACTIONS(2454),
    [anon_sym_UR_DQUOTE] = ACTIONS(2454),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2454),
    [anon_sym_co_await] = ACTIONS(2452),
    [anon_sym_new] = ACTIONS(2452),
    [anon_sym_requires] = ACTIONS(2452),
    [sym_this] = ACTIONS(2452),
    [anon_sym_discard] = ACTIONS(2452),
    [anon_sym_precise] = ACTIONS(2452),
    [anon_sym_shared] = ACTIONS(2452),
    [anon_sym_groupshared] = ACTIONS(2452),
    [anon_sym_uniform] = ACTIONS(2452),
    [anon_sym_row_major] = ACTIONS(2452),
    [anon_sym_column_major] = ACTIONS(2452),
    [anon_sym_globallycoherent] = ACTIONS(2452),
    [anon_sym_centroid] = ACTIONS(2452),
    [anon_sym_noperspective] = ACTIONS(2452),
    [anon_sym_nointerpolation] = ACTIONS(2452),
    [anon_sym_sample] = ACTIONS(2452),
    [anon_sym_linear] = ACTIONS(2452),
    [anon_sym_snorm] = ACTIONS(2452),
    [anon_sym_unorm] = ACTIONS(2452),
    [anon_sym_point] = ACTIONS(2452),
    [anon_sym_line] = ACTIONS(2452),
    [anon_sym_triangleadj] = ACTIONS(2452),
    [anon_sym_lineadj] = ACTIONS(2452),
    [anon_sym_triangle] = ACTIONS(2452),
    [anon_sym_cbuffer] = ACTIONS(2452),
  },
  [1018] = {
    [sym_identifier] = ACTIONS(2444),
    [aux_sym_preproc_include_token1] = ACTIONS(2444),
    [aux_sym_preproc_def_token1] = ACTIONS(2444),
    [aux_sym_preproc_if_token1] = ACTIONS(2444),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2444),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2444),
    [sym_preproc_directive] = ACTIONS(2444),
    [anon_sym_LPAREN2] = ACTIONS(2446),
    [anon_sym_BANG] = ACTIONS(2446),
    [anon_sym_TILDE] = ACTIONS(2446),
    [anon_sym_DASH] = ACTIONS(2444),
    [anon_sym_PLUS] = ACTIONS(2444),
    [anon_sym_STAR] = ACTIONS(2446),
    [anon_sym_AMP_AMP] = ACTIONS(2446),
    [anon_sym_AMP] = ACTIONS(2444),
    [anon_sym_SEMI] = ACTIONS(2446),
    [anon_sym___extension__] = ACTIONS(2444),
    [anon_sym_typedef] = ACTIONS(2444),
    [anon_sym_in] = ACTIONS(2444),
    [anon_sym_out] = ACTIONS(2444),
    [anon_sym_inout] = ACTIONS(2444),
    [anon_sym_extern] = ACTIONS(2444),
    [anon_sym___attribute__] = ACTIONS(2444),
    [anon_sym_COLON_COLON] = ACTIONS(2446),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2446),
    [anon_sym___declspec] = ACTIONS(2444),
    [anon_sym___based] = ACTIONS(2444),
    [anon_sym___cdecl] = ACTIONS(2444),
    [anon_sym___clrcall] = ACTIONS(2444),
    [anon_sym___stdcall] = ACTIONS(2444),
    [anon_sym___fastcall] = ACTIONS(2444),
    [anon_sym___thiscall] = ACTIONS(2444),
    [anon_sym___vectorcall] = ACTIONS(2444),
    [anon_sym_LBRACE] = ACTIONS(2446),
    [anon_sym_RBRACE] = ACTIONS(2446),
    [anon_sym_signed] = ACTIONS(2444),
    [anon_sym_unsigned] = ACTIONS(2444),
    [anon_sym_long] = ACTIONS(2444),
    [anon_sym_short] = ACTIONS(2444),
    [anon_sym_LBRACK] = ACTIONS(2444),
    [anon_sym_static] = ACTIONS(2444),
    [anon_sym_register] = ACTIONS(2444),
    [anon_sym_inline] = ACTIONS(2444),
    [anon_sym___inline] = ACTIONS(2444),
    [anon_sym___inline__] = ACTIONS(2444),
    [anon_sym___forceinline] = ACTIONS(2444),
    [anon_sym_thread_local] = ACTIONS(2444),
    [anon_sym___thread] = ACTIONS(2444),
    [anon_sym_const] = ACTIONS(2444),
    [anon_sym_constexpr] = ACTIONS(2444),
    [anon_sym_volatile] = ACTIONS(2444),
    [anon_sym_restrict] = ACTIONS(2444),
    [anon_sym___restrict__] = ACTIONS(2444),
    [anon_sym__Atomic] = ACTIONS(2444),
    [anon_sym__Noreturn] = ACTIONS(2444),
    [anon_sym_noreturn] = ACTIONS(2444),
    [anon_sym_mutable] = ACTIONS(2444),
    [anon_sym_constinit] = ACTIONS(2444),
    [anon_sym_consteval] = ACTIONS(2444),
    [sym_primitive_type] = ACTIONS(2444),
    [anon_sym_enum] = ACTIONS(2444),
    [anon_sym_class] = ACTIONS(2444),
    [anon_sym_struct] = ACTIONS(2444),
    [anon_sym_union] = ACTIONS(2444),
    [anon_sym_if] = ACTIONS(2444),
    [anon_sym_else] = ACTIONS(2444),
    [anon_sym_switch] = ACTIONS(2444),
    [anon_sym_case] = ACTIONS(2444),
    [anon_sym_default] = ACTIONS(2444),
    [anon_sym_while] = ACTIONS(2444),
    [anon_sym_do] = ACTIONS(2444),
    [anon_sym_for] = ACTIONS(2444),
    [anon_sym_return] = ACTIONS(2444),
    [anon_sym_break] = ACTIONS(2444),
    [anon_sym_continue] = ACTIONS(2444),
    [anon_sym_goto] = ACTIONS(2444),
    [anon_sym___try] = ACTIONS(2444),
    [anon_sym___leave] = ACTIONS(2444),
    [anon_sym_not] = ACTIONS(2444),
    [anon_sym_compl] = ACTIONS(2444),
    [anon_sym_DASH_DASH] = ACTIONS(2446),
    [anon_sym_PLUS_PLUS] = ACTIONS(2446),
    [anon_sym_sizeof] = ACTIONS(2444),
    [anon_sym___alignof__] = ACTIONS(2444),
    [anon_sym___alignof] = ACTIONS(2444),
    [anon_sym__alignof] = ACTIONS(2444),
    [anon_sym_alignof] = ACTIONS(2444),
    [anon_sym__Alignof] = ACTIONS(2444),
    [anon_sym_offsetof] = ACTIONS(2444),
    [anon_sym__Generic] = ACTIONS(2444),
    [anon_sym_asm] = ACTIONS(2444),
    [anon_sym___asm__] = ACTIONS(2444),
    [sym_number_literal] = ACTIONS(2446),
    [anon_sym_L_SQUOTE] = ACTIONS(2446),
    [anon_sym_u_SQUOTE] = ACTIONS(2446),
    [anon_sym_U_SQUOTE] = ACTIONS(2446),
    [anon_sym_u8_SQUOTE] = ACTIONS(2446),
    [anon_sym_SQUOTE] = ACTIONS(2446),
    [anon_sym_L_DQUOTE] = ACTIONS(2446),
    [anon_sym_u_DQUOTE] = ACTIONS(2446),
    [anon_sym_U_DQUOTE] = ACTIONS(2446),
    [anon_sym_u8_DQUOTE] = ACTIONS(2446),
    [anon_sym_DQUOTE] = ACTIONS(2446),
    [sym_true] = ACTIONS(2444),
    [sym_false] = ACTIONS(2444),
    [anon_sym_NULL] = ACTIONS(2444),
    [anon_sym_nullptr] = ACTIONS(2444),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2444),
    [anon_sym_decltype] = ACTIONS(2444),
    [anon_sym_virtual] = ACTIONS(2444),
    [anon_sym_alignas] = ACTIONS(2444),
    [anon_sym_explicit] = ACTIONS(2444),
    [anon_sym_typename] = ACTIONS(2444),
    [anon_sym_template] = ACTIONS(2444),
    [anon_sym_operator] = ACTIONS(2444),
    [anon_sym_try] = ACTIONS(2444),
    [anon_sym_delete] = ACTIONS(2444),
    [anon_sym_throw] = ACTIONS(2444),
    [anon_sym_namespace] = ACTIONS(2444),
    [anon_sym_using] = ACTIONS(2444),
    [anon_sym_static_assert] = ACTIONS(2444),
    [anon_sym_concept] = ACTIONS(2444),
    [anon_sym_co_return] = ACTIONS(2444),
    [anon_sym_co_yield] = ACTIONS(2444),
    [anon_sym_R_DQUOTE] = ACTIONS(2446),
    [anon_sym_LR_DQUOTE] = ACTIONS(2446),
    [anon_sym_uR_DQUOTE] = ACTIONS(2446),
    [anon_sym_UR_DQUOTE] = ACTIONS(2446),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2446),
    [anon_sym_co_await] = ACTIONS(2444),
    [anon_sym_new] = ACTIONS(2444),
    [anon_sym_requires] = ACTIONS(2444),
    [sym_this] = ACTIONS(2444),
    [anon_sym_discard] = ACTIONS(2444),
    [anon_sym_precise] = ACTIONS(2444),
    [anon_sym_shared] = ACTIONS(2444),
    [anon_sym_groupshared] = ACTIONS(2444),
    [anon_sym_uniform] = ACTIONS(2444),
    [anon_sym_row_major] = ACTIONS(2444),
    [anon_sym_column_major] = ACTIONS(2444),
    [anon_sym_globallycoherent] = ACTIONS(2444),
    [anon_sym_centroid] = ACTIONS(2444),
    [anon_sym_noperspective] = ACTIONS(2444),
    [anon_sym_nointerpolation] = ACTIONS(2444),
    [anon_sym_sample] = ACTIONS(2444),
    [anon_sym_linear] = ACTIONS(2444),
    [anon_sym_snorm] = ACTIONS(2444),
    [anon_sym_unorm] = ACTIONS(2444),
    [anon_sym_point] = ACTIONS(2444),
    [anon_sym_line] = ACTIONS(2444),
    [anon_sym_triangleadj] = ACTIONS(2444),
    [anon_sym_lineadj] = ACTIONS(2444),
    [anon_sym_triangle] = ACTIONS(2444),
    [anon_sym_cbuffer] = ACTIONS(2444),
  },
  [1019] = {
    [sym_identifier] = ACTIONS(2330),
    [aux_sym_preproc_include_token1] = ACTIONS(2330),
    [aux_sym_preproc_def_token1] = ACTIONS(2330),
    [aux_sym_preproc_if_token1] = ACTIONS(2330),
    [aux_sym_preproc_if_token2] = ACTIONS(2330),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2330),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2330),
    [sym_preproc_directive] = ACTIONS(2330),
    [anon_sym_LPAREN2] = ACTIONS(2332),
    [anon_sym_BANG] = ACTIONS(2332),
    [anon_sym_TILDE] = ACTIONS(2332),
    [anon_sym_DASH] = ACTIONS(2330),
    [anon_sym_PLUS] = ACTIONS(2330),
    [anon_sym_STAR] = ACTIONS(2332),
    [anon_sym_AMP_AMP] = ACTIONS(2332),
    [anon_sym_AMP] = ACTIONS(2330),
    [anon_sym_SEMI] = ACTIONS(2332),
    [anon_sym___extension__] = ACTIONS(2330),
    [anon_sym_typedef] = ACTIONS(2330),
    [anon_sym_in] = ACTIONS(2330),
    [anon_sym_out] = ACTIONS(2330),
    [anon_sym_inout] = ACTIONS(2330),
    [anon_sym_extern] = ACTIONS(2330),
    [anon_sym___attribute__] = ACTIONS(2330),
    [anon_sym_COLON_COLON] = ACTIONS(2332),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2332),
    [anon_sym___declspec] = ACTIONS(2330),
    [anon_sym___based] = ACTIONS(2330),
    [anon_sym___cdecl] = ACTIONS(2330),
    [anon_sym___clrcall] = ACTIONS(2330),
    [anon_sym___stdcall] = ACTIONS(2330),
    [anon_sym___fastcall] = ACTIONS(2330),
    [anon_sym___thiscall] = ACTIONS(2330),
    [anon_sym___vectorcall] = ACTIONS(2330),
    [anon_sym_LBRACE] = ACTIONS(2332),
    [anon_sym_signed] = ACTIONS(2330),
    [anon_sym_unsigned] = ACTIONS(2330),
    [anon_sym_long] = ACTIONS(2330),
    [anon_sym_short] = ACTIONS(2330),
    [anon_sym_LBRACK] = ACTIONS(2330),
    [anon_sym_static] = ACTIONS(2330),
    [anon_sym_register] = ACTIONS(2330),
    [anon_sym_inline] = ACTIONS(2330),
    [anon_sym___inline] = ACTIONS(2330),
    [anon_sym___inline__] = ACTIONS(2330),
    [anon_sym___forceinline] = ACTIONS(2330),
    [anon_sym_thread_local] = ACTIONS(2330),
    [anon_sym___thread] = ACTIONS(2330),
    [anon_sym_const] = ACTIONS(2330),
    [anon_sym_constexpr] = ACTIONS(2330),
    [anon_sym_volatile] = ACTIONS(2330),
    [anon_sym_restrict] = ACTIONS(2330),
    [anon_sym___restrict__] = ACTIONS(2330),
    [anon_sym__Atomic] = ACTIONS(2330),
    [anon_sym__Noreturn] = ACTIONS(2330),
    [anon_sym_noreturn] = ACTIONS(2330),
    [anon_sym_mutable] = ACTIONS(2330),
    [anon_sym_constinit] = ACTIONS(2330),
    [anon_sym_consteval] = ACTIONS(2330),
    [sym_primitive_type] = ACTIONS(2330),
    [anon_sym_enum] = ACTIONS(2330),
    [anon_sym_class] = ACTIONS(2330),
    [anon_sym_struct] = ACTIONS(2330),
    [anon_sym_union] = ACTIONS(2330),
    [anon_sym_if] = ACTIONS(2330),
    [anon_sym_else] = ACTIONS(2330),
    [anon_sym_switch] = ACTIONS(2330),
    [anon_sym_case] = ACTIONS(2330),
    [anon_sym_default] = ACTIONS(2330),
    [anon_sym_while] = ACTIONS(2330),
    [anon_sym_do] = ACTIONS(2330),
    [anon_sym_for] = ACTIONS(2330),
    [anon_sym_return] = ACTIONS(2330),
    [anon_sym_break] = ACTIONS(2330),
    [anon_sym_continue] = ACTIONS(2330),
    [anon_sym_goto] = ACTIONS(2330),
    [anon_sym___try] = ACTIONS(2330),
    [anon_sym___leave] = ACTIONS(2330),
    [anon_sym_not] = ACTIONS(2330),
    [anon_sym_compl] = ACTIONS(2330),
    [anon_sym_DASH_DASH] = ACTIONS(2332),
    [anon_sym_PLUS_PLUS] = ACTIONS(2332),
    [anon_sym_sizeof] = ACTIONS(2330),
    [anon_sym___alignof__] = ACTIONS(2330),
    [anon_sym___alignof] = ACTIONS(2330),
    [anon_sym__alignof] = ACTIONS(2330),
    [anon_sym_alignof] = ACTIONS(2330),
    [anon_sym__Alignof] = ACTIONS(2330),
    [anon_sym_offsetof] = ACTIONS(2330),
    [anon_sym__Generic] = ACTIONS(2330),
    [anon_sym_asm] = ACTIONS(2330),
    [anon_sym___asm__] = ACTIONS(2330),
    [sym_number_literal] = ACTIONS(2332),
    [anon_sym_L_SQUOTE] = ACTIONS(2332),
    [anon_sym_u_SQUOTE] = ACTIONS(2332),
    [anon_sym_U_SQUOTE] = ACTIONS(2332),
    [anon_sym_u8_SQUOTE] = ACTIONS(2332),
    [anon_sym_SQUOTE] = ACTIONS(2332),
    [anon_sym_L_DQUOTE] = ACTIONS(2332),
    [anon_sym_u_DQUOTE] = ACTIONS(2332),
    [anon_sym_U_DQUOTE] = ACTIONS(2332),
    [anon_sym_u8_DQUOTE] = ACTIONS(2332),
    [anon_sym_DQUOTE] = ACTIONS(2332),
    [sym_true] = ACTIONS(2330),
    [sym_false] = ACTIONS(2330),
    [anon_sym_NULL] = ACTIONS(2330),
    [anon_sym_nullptr] = ACTIONS(2330),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2330),
    [anon_sym_decltype] = ACTIONS(2330),
    [anon_sym_virtual] = ACTIONS(2330),
    [anon_sym_alignas] = ACTIONS(2330),
    [anon_sym_explicit] = ACTIONS(2330),
    [anon_sym_typename] = ACTIONS(2330),
    [anon_sym_template] = ACTIONS(2330),
    [anon_sym_operator] = ACTIONS(2330),
    [anon_sym_try] = ACTIONS(2330),
    [anon_sym_delete] = ACTIONS(2330),
    [anon_sym_throw] = ACTIONS(2330),
    [anon_sym_namespace] = ACTIONS(2330),
    [anon_sym_using] = ACTIONS(2330),
    [anon_sym_static_assert] = ACTIONS(2330),
    [anon_sym_concept] = ACTIONS(2330),
    [anon_sym_co_return] = ACTIONS(2330),
    [anon_sym_co_yield] = ACTIONS(2330),
    [anon_sym_R_DQUOTE] = ACTIONS(2332),
    [anon_sym_LR_DQUOTE] = ACTIONS(2332),
    [anon_sym_uR_DQUOTE] = ACTIONS(2332),
    [anon_sym_UR_DQUOTE] = ACTIONS(2332),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2332),
    [anon_sym_co_await] = ACTIONS(2330),
    [anon_sym_new] = ACTIONS(2330),
    [anon_sym_requires] = ACTIONS(2330),
    [sym_this] = ACTIONS(2330),
    [anon_sym_discard] = ACTIONS(2330),
    [anon_sym_precise] = ACTIONS(2330),
    [anon_sym_shared] = ACTIONS(2330),
    [anon_sym_groupshared] = ACTIONS(2330),
    [anon_sym_uniform] = ACTIONS(2330),
    [anon_sym_row_major] = ACTIONS(2330),
    [anon_sym_column_major] = ACTIONS(2330),
    [anon_sym_globallycoherent] = ACTIONS(2330),
    [anon_sym_centroid] = ACTIONS(2330),
    [anon_sym_noperspective] = ACTIONS(2330),
    [anon_sym_nointerpolation] = ACTIONS(2330),
    [anon_sym_sample] = ACTIONS(2330),
    [anon_sym_linear] = ACTIONS(2330),
    [anon_sym_snorm] = ACTIONS(2330),
    [anon_sym_unorm] = ACTIONS(2330),
    [anon_sym_point] = ACTIONS(2330),
    [anon_sym_line] = ACTIONS(2330),
    [anon_sym_triangleadj] = ACTIONS(2330),
    [anon_sym_lineadj] = ACTIONS(2330),
    [anon_sym_triangle] = ACTIONS(2330),
    [anon_sym_cbuffer] = ACTIONS(2330),
  },
  [1020] = {
    [sym_identifier] = ACTIONS(2364),
    [aux_sym_preproc_include_token1] = ACTIONS(2364),
    [aux_sym_preproc_def_token1] = ACTIONS(2364),
    [aux_sym_preproc_if_token1] = ACTIONS(2364),
    [aux_sym_preproc_if_token2] = ACTIONS(2364),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2364),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2364),
    [sym_preproc_directive] = ACTIONS(2364),
    [anon_sym_LPAREN2] = ACTIONS(2366),
    [anon_sym_BANG] = ACTIONS(2366),
    [anon_sym_TILDE] = ACTIONS(2366),
    [anon_sym_DASH] = ACTIONS(2364),
    [anon_sym_PLUS] = ACTIONS(2364),
    [anon_sym_STAR] = ACTIONS(2366),
    [anon_sym_AMP_AMP] = ACTIONS(2366),
    [anon_sym_AMP] = ACTIONS(2364),
    [anon_sym_SEMI] = ACTIONS(2366),
    [anon_sym___extension__] = ACTIONS(2364),
    [anon_sym_typedef] = ACTIONS(2364),
    [anon_sym_in] = ACTIONS(2364),
    [anon_sym_out] = ACTIONS(2364),
    [anon_sym_inout] = ACTIONS(2364),
    [anon_sym_extern] = ACTIONS(2364),
    [anon_sym___attribute__] = ACTIONS(2364),
    [anon_sym_COLON_COLON] = ACTIONS(2366),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2366),
    [anon_sym___declspec] = ACTIONS(2364),
    [anon_sym___based] = ACTIONS(2364),
    [anon_sym___cdecl] = ACTIONS(2364),
    [anon_sym___clrcall] = ACTIONS(2364),
    [anon_sym___stdcall] = ACTIONS(2364),
    [anon_sym___fastcall] = ACTIONS(2364),
    [anon_sym___thiscall] = ACTIONS(2364),
    [anon_sym___vectorcall] = ACTIONS(2364),
    [anon_sym_LBRACE] = ACTIONS(2366),
    [anon_sym_signed] = ACTIONS(2364),
    [anon_sym_unsigned] = ACTIONS(2364),
    [anon_sym_long] = ACTIONS(2364),
    [anon_sym_short] = ACTIONS(2364),
    [anon_sym_LBRACK] = ACTIONS(2364),
    [anon_sym_static] = ACTIONS(2364),
    [anon_sym_register] = ACTIONS(2364),
    [anon_sym_inline] = ACTIONS(2364),
    [anon_sym___inline] = ACTIONS(2364),
    [anon_sym___inline__] = ACTIONS(2364),
    [anon_sym___forceinline] = ACTIONS(2364),
    [anon_sym_thread_local] = ACTIONS(2364),
    [anon_sym___thread] = ACTIONS(2364),
    [anon_sym_const] = ACTIONS(2364),
    [anon_sym_constexpr] = ACTIONS(2364),
    [anon_sym_volatile] = ACTIONS(2364),
    [anon_sym_restrict] = ACTIONS(2364),
    [anon_sym___restrict__] = ACTIONS(2364),
    [anon_sym__Atomic] = ACTIONS(2364),
    [anon_sym__Noreturn] = ACTIONS(2364),
    [anon_sym_noreturn] = ACTIONS(2364),
    [anon_sym_mutable] = ACTIONS(2364),
    [anon_sym_constinit] = ACTIONS(2364),
    [anon_sym_consteval] = ACTIONS(2364),
    [sym_primitive_type] = ACTIONS(2364),
    [anon_sym_enum] = ACTIONS(2364),
    [anon_sym_class] = ACTIONS(2364),
    [anon_sym_struct] = ACTIONS(2364),
    [anon_sym_union] = ACTIONS(2364),
    [anon_sym_if] = ACTIONS(2364),
    [anon_sym_else] = ACTIONS(2364),
    [anon_sym_switch] = ACTIONS(2364),
    [anon_sym_case] = ACTIONS(2364),
    [anon_sym_default] = ACTIONS(2364),
    [anon_sym_while] = ACTIONS(2364),
    [anon_sym_do] = ACTIONS(2364),
    [anon_sym_for] = ACTIONS(2364),
    [anon_sym_return] = ACTIONS(2364),
    [anon_sym_break] = ACTIONS(2364),
    [anon_sym_continue] = ACTIONS(2364),
    [anon_sym_goto] = ACTIONS(2364),
    [anon_sym___try] = ACTIONS(2364),
    [anon_sym___leave] = ACTIONS(2364),
    [anon_sym_not] = ACTIONS(2364),
    [anon_sym_compl] = ACTIONS(2364),
    [anon_sym_DASH_DASH] = ACTIONS(2366),
    [anon_sym_PLUS_PLUS] = ACTIONS(2366),
    [anon_sym_sizeof] = ACTIONS(2364),
    [anon_sym___alignof__] = ACTIONS(2364),
    [anon_sym___alignof] = ACTIONS(2364),
    [anon_sym__alignof] = ACTIONS(2364),
    [anon_sym_alignof] = ACTIONS(2364),
    [anon_sym__Alignof] = ACTIONS(2364),
    [anon_sym_offsetof] = ACTIONS(2364),
    [anon_sym__Generic] = ACTIONS(2364),
    [anon_sym_asm] = ACTIONS(2364),
    [anon_sym___asm__] = ACTIONS(2364),
    [sym_number_literal] = ACTIONS(2366),
    [anon_sym_L_SQUOTE] = ACTIONS(2366),
    [anon_sym_u_SQUOTE] = ACTIONS(2366),
    [anon_sym_U_SQUOTE] = ACTIONS(2366),
    [anon_sym_u8_SQUOTE] = ACTIONS(2366),
    [anon_sym_SQUOTE] = ACTIONS(2366),
    [anon_sym_L_DQUOTE] = ACTIONS(2366),
    [anon_sym_u_DQUOTE] = ACTIONS(2366),
    [anon_sym_U_DQUOTE] = ACTIONS(2366),
    [anon_sym_u8_DQUOTE] = ACTIONS(2366),
    [anon_sym_DQUOTE] = ACTIONS(2366),
    [sym_true] = ACTIONS(2364),
    [sym_false] = ACTIONS(2364),
    [anon_sym_NULL] = ACTIONS(2364),
    [anon_sym_nullptr] = ACTIONS(2364),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2364),
    [anon_sym_decltype] = ACTIONS(2364),
    [anon_sym_virtual] = ACTIONS(2364),
    [anon_sym_alignas] = ACTIONS(2364),
    [anon_sym_explicit] = ACTIONS(2364),
    [anon_sym_typename] = ACTIONS(2364),
    [anon_sym_template] = ACTIONS(2364),
    [anon_sym_operator] = ACTIONS(2364),
    [anon_sym_try] = ACTIONS(2364),
    [anon_sym_delete] = ACTIONS(2364),
    [anon_sym_throw] = ACTIONS(2364),
    [anon_sym_namespace] = ACTIONS(2364),
    [anon_sym_using] = ACTIONS(2364),
    [anon_sym_static_assert] = ACTIONS(2364),
    [anon_sym_concept] = ACTIONS(2364),
    [anon_sym_co_return] = ACTIONS(2364),
    [anon_sym_co_yield] = ACTIONS(2364),
    [anon_sym_R_DQUOTE] = ACTIONS(2366),
    [anon_sym_LR_DQUOTE] = ACTIONS(2366),
    [anon_sym_uR_DQUOTE] = ACTIONS(2366),
    [anon_sym_UR_DQUOTE] = ACTIONS(2366),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2366),
    [anon_sym_co_await] = ACTIONS(2364),
    [anon_sym_new] = ACTIONS(2364),
    [anon_sym_requires] = ACTIONS(2364),
    [sym_this] = ACTIONS(2364),
    [anon_sym_discard] = ACTIONS(2364),
    [anon_sym_precise] = ACTIONS(2364),
    [anon_sym_shared] = ACTIONS(2364),
    [anon_sym_groupshared] = ACTIONS(2364),
    [anon_sym_uniform] = ACTIONS(2364),
    [anon_sym_row_major] = ACTIONS(2364),
    [anon_sym_column_major] = ACTIONS(2364),
    [anon_sym_globallycoherent] = ACTIONS(2364),
    [anon_sym_centroid] = ACTIONS(2364),
    [anon_sym_noperspective] = ACTIONS(2364),
    [anon_sym_nointerpolation] = ACTIONS(2364),
    [anon_sym_sample] = ACTIONS(2364),
    [anon_sym_linear] = ACTIONS(2364),
    [anon_sym_snorm] = ACTIONS(2364),
    [anon_sym_unorm] = ACTIONS(2364),
    [anon_sym_point] = ACTIONS(2364),
    [anon_sym_line] = ACTIONS(2364),
    [anon_sym_triangleadj] = ACTIONS(2364),
    [anon_sym_lineadj] = ACTIONS(2364),
    [anon_sym_triangle] = ACTIONS(2364),
    [anon_sym_cbuffer] = ACTIONS(2364),
  },
  [1021] = {
    [sym_identifier] = ACTIONS(2350),
    [aux_sym_preproc_include_token1] = ACTIONS(2350),
    [aux_sym_preproc_def_token1] = ACTIONS(2350),
    [aux_sym_preproc_if_token1] = ACTIONS(2350),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2350),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2350),
    [sym_preproc_directive] = ACTIONS(2350),
    [anon_sym_LPAREN2] = ACTIONS(2352),
    [anon_sym_BANG] = ACTIONS(2352),
    [anon_sym_TILDE] = ACTIONS(2352),
    [anon_sym_DASH] = ACTIONS(2350),
    [anon_sym_PLUS] = ACTIONS(2350),
    [anon_sym_STAR] = ACTIONS(2352),
    [anon_sym_AMP_AMP] = ACTIONS(2352),
    [anon_sym_AMP] = ACTIONS(2350),
    [anon_sym_SEMI] = ACTIONS(2352),
    [anon_sym___extension__] = ACTIONS(2350),
    [anon_sym_typedef] = ACTIONS(2350),
    [anon_sym_in] = ACTIONS(2350),
    [anon_sym_out] = ACTIONS(2350),
    [anon_sym_inout] = ACTIONS(2350),
    [anon_sym_extern] = ACTIONS(2350),
    [anon_sym___attribute__] = ACTIONS(2350),
    [anon_sym_COLON_COLON] = ACTIONS(2352),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2352),
    [anon_sym___declspec] = ACTIONS(2350),
    [anon_sym___based] = ACTIONS(2350),
    [anon_sym___cdecl] = ACTIONS(2350),
    [anon_sym___clrcall] = ACTIONS(2350),
    [anon_sym___stdcall] = ACTIONS(2350),
    [anon_sym___fastcall] = ACTIONS(2350),
    [anon_sym___thiscall] = ACTIONS(2350),
    [anon_sym___vectorcall] = ACTIONS(2350),
    [anon_sym_LBRACE] = ACTIONS(2352),
    [anon_sym_RBRACE] = ACTIONS(2352),
    [anon_sym_signed] = ACTIONS(2350),
    [anon_sym_unsigned] = ACTIONS(2350),
    [anon_sym_long] = ACTIONS(2350),
    [anon_sym_short] = ACTIONS(2350),
    [anon_sym_LBRACK] = ACTIONS(2350),
    [anon_sym_static] = ACTIONS(2350),
    [anon_sym_register] = ACTIONS(2350),
    [anon_sym_inline] = ACTIONS(2350),
    [anon_sym___inline] = ACTIONS(2350),
    [anon_sym___inline__] = ACTIONS(2350),
    [anon_sym___forceinline] = ACTIONS(2350),
    [anon_sym_thread_local] = ACTIONS(2350),
    [anon_sym___thread] = ACTIONS(2350),
    [anon_sym_const] = ACTIONS(2350),
    [anon_sym_constexpr] = ACTIONS(2350),
    [anon_sym_volatile] = ACTIONS(2350),
    [anon_sym_restrict] = ACTIONS(2350),
    [anon_sym___restrict__] = ACTIONS(2350),
    [anon_sym__Atomic] = ACTIONS(2350),
    [anon_sym__Noreturn] = ACTIONS(2350),
    [anon_sym_noreturn] = ACTIONS(2350),
    [anon_sym_mutable] = ACTIONS(2350),
    [anon_sym_constinit] = ACTIONS(2350),
    [anon_sym_consteval] = ACTIONS(2350),
    [sym_primitive_type] = ACTIONS(2350),
    [anon_sym_enum] = ACTIONS(2350),
    [anon_sym_class] = ACTIONS(2350),
    [anon_sym_struct] = ACTIONS(2350),
    [anon_sym_union] = ACTIONS(2350),
    [anon_sym_if] = ACTIONS(2350),
    [anon_sym_else] = ACTIONS(2350),
    [anon_sym_switch] = ACTIONS(2350),
    [anon_sym_case] = ACTIONS(2350),
    [anon_sym_default] = ACTIONS(2350),
    [anon_sym_while] = ACTIONS(2350),
    [anon_sym_do] = ACTIONS(2350),
    [anon_sym_for] = ACTIONS(2350),
    [anon_sym_return] = ACTIONS(2350),
    [anon_sym_break] = ACTIONS(2350),
    [anon_sym_continue] = ACTIONS(2350),
    [anon_sym_goto] = ACTIONS(2350),
    [anon_sym___try] = ACTIONS(2350),
    [anon_sym___leave] = ACTIONS(2350),
    [anon_sym_not] = ACTIONS(2350),
    [anon_sym_compl] = ACTIONS(2350),
    [anon_sym_DASH_DASH] = ACTIONS(2352),
    [anon_sym_PLUS_PLUS] = ACTIONS(2352),
    [anon_sym_sizeof] = ACTIONS(2350),
    [anon_sym___alignof__] = ACTIONS(2350),
    [anon_sym___alignof] = ACTIONS(2350),
    [anon_sym__alignof] = ACTIONS(2350),
    [anon_sym_alignof] = ACTIONS(2350),
    [anon_sym__Alignof] = ACTIONS(2350),
    [anon_sym_offsetof] = ACTIONS(2350),
    [anon_sym__Generic] = ACTIONS(2350),
    [anon_sym_asm] = ACTIONS(2350),
    [anon_sym___asm__] = ACTIONS(2350),
    [sym_number_literal] = ACTIONS(2352),
    [anon_sym_L_SQUOTE] = ACTIONS(2352),
    [anon_sym_u_SQUOTE] = ACTIONS(2352),
    [anon_sym_U_SQUOTE] = ACTIONS(2352),
    [anon_sym_u8_SQUOTE] = ACTIONS(2352),
    [anon_sym_SQUOTE] = ACTIONS(2352),
    [anon_sym_L_DQUOTE] = ACTIONS(2352),
    [anon_sym_u_DQUOTE] = ACTIONS(2352),
    [anon_sym_U_DQUOTE] = ACTIONS(2352),
    [anon_sym_u8_DQUOTE] = ACTIONS(2352),
    [anon_sym_DQUOTE] = ACTIONS(2352),
    [sym_true] = ACTIONS(2350),
    [sym_false] = ACTIONS(2350),
    [anon_sym_NULL] = ACTIONS(2350),
    [anon_sym_nullptr] = ACTIONS(2350),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2350),
    [anon_sym_decltype] = ACTIONS(2350),
    [anon_sym_virtual] = ACTIONS(2350),
    [anon_sym_alignas] = ACTIONS(2350),
    [anon_sym_explicit] = ACTIONS(2350),
    [anon_sym_typename] = ACTIONS(2350),
    [anon_sym_template] = ACTIONS(2350),
    [anon_sym_operator] = ACTIONS(2350),
    [anon_sym_try] = ACTIONS(2350),
    [anon_sym_delete] = ACTIONS(2350),
    [anon_sym_throw] = ACTIONS(2350),
    [anon_sym_namespace] = ACTIONS(2350),
    [anon_sym_using] = ACTIONS(2350),
    [anon_sym_static_assert] = ACTIONS(2350),
    [anon_sym_concept] = ACTIONS(2350),
    [anon_sym_co_return] = ACTIONS(2350),
    [anon_sym_co_yield] = ACTIONS(2350),
    [anon_sym_R_DQUOTE] = ACTIONS(2352),
    [anon_sym_LR_DQUOTE] = ACTIONS(2352),
    [anon_sym_uR_DQUOTE] = ACTIONS(2352),
    [anon_sym_UR_DQUOTE] = ACTIONS(2352),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2352),
    [anon_sym_co_await] = ACTIONS(2350),
    [anon_sym_new] = ACTIONS(2350),
    [anon_sym_requires] = ACTIONS(2350),
    [sym_this] = ACTIONS(2350),
    [anon_sym_discard] = ACTIONS(2350),
    [anon_sym_precise] = ACTIONS(2350),
    [anon_sym_shared] = ACTIONS(2350),
    [anon_sym_groupshared] = ACTIONS(2350),
    [anon_sym_uniform] = ACTIONS(2350),
    [anon_sym_row_major] = ACTIONS(2350),
    [anon_sym_column_major] = ACTIONS(2350),
    [anon_sym_globallycoherent] = ACTIONS(2350),
    [anon_sym_centroid] = ACTIONS(2350),
    [anon_sym_noperspective] = ACTIONS(2350),
    [anon_sym_nointerpolation] = ACTIONS(2350),
    [anon_sym_sample] = ACTIONS(2350),
    [anon_sym_linear] = ACTIONS(2350),
    [anon_sym_snorm] = ACTIONS(2350),
    [anon_sym_unorm] = ACTIONS(2350),
    [anon_sym_point] = ACTIONS(2350),
    [anon_sym_line] = ACTIONS(2350),
    [anon_sym_triangleadj] = ACTIONS(2350),
    [anon_sym_lineadj] = ACTIONS(2350),
    [anon_sym_triangle] = ACTIONS(2350),
    [anon_sym_cbuffer] = ACTIONS(2350),
  },
  [1022] = {
    [sym_identifier] = ACTIONS(2330),
    [aux_sym_preproc_include_token1] = ACTIONS(2330),
    [aux_sym_preproc_def_token1] = ACTIONS(2330),
    [aux_sym_preproc_if_token1] = ACTIONS(2330),
    [aux_sym_preproc_if_token2] = ACTIONS(2330),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2330),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2330),
    [sym_preproc_directive] = ACTIONS(2330),
    [anon_sym_LPAREN2] = ACTIONS(2332),
    [anon_sym_BANG] = ACTIONS(2332),
    [anon_sym_TILDE] = ACTIONS(2332),
    [anon_sym_DASH] = ACTIONS(2330),
    [anon_sym_PLUS] = ACTIONS(2330),
    [anon_sym_STAR] = ACTIONS(2332),
    [anon_sym_AMP_AMP] = ACTIONS(2332),
    [anon_sym_AMP] = ACTIONS(2330),
    [anon_sym_SEMI] = ACTIONS(2332),
    [anon_sym___extension__] = ACTIONS(2330),
    [anon_sym_typedef] = ACTIONS(2330),
    [anon_sym_in] = ACTIONS(2330),
    [anon_sym_out] = ACTIONS(2330),
    [anon_sym_inout] = ACTIONS(2330),
    [anon_sym_extern] = ACTIONS(2330),
    [anon_sym___attribute__] = ACTIONS(2330),
    [anon_sym_COLON_COLON] = ACTIONS(2332),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2332),
    [anon_sym___declspec] = ACTIONS(2330),
    [anon_sym___based] = ACTIONS(2330),
    [anon_sym___cdecl] = ACTIONS(2330),
    [anon_sym___clrcall] = ACTIONS(2330),
    [anon_sym___stdcall] = ACTIONS(2330),
    [anon_sym___fastcall] = ACTIONS(2330),
    [anon_sym___thiscall] = ACTIONS(2330),
    [anon_sym___vectorcall] = ACTIONS(2330),
    [anon_sym_LBRACE] = ACTIONS(2332),
    [anon_sym_signed] = ACTIONS(2330),
    [anon_sym_unsigned] = ACTIONS(2330),
    [anon_sym_long] = ACTIONS(2330),
    [anon_sym_short] = ACTIONS(2330),
    [anon_sym_LBRACK] = ACTIONS(2330),
    [anon_sym_static] = ACTIONS(2330),
    [anon_sym_register] = ACTIONS(2330),
    [anon_sym_inline] = ACTIONS(2330),
    [anon_sym___inline] = ACTIONS(2330),
    [anon_sym___inline__] = ACTIONS(2330),
    [anon_sym___forceinline] = ACTIONS(2330),
    [anon_sym_thread_local] = ACTIONS(2330),
    [anon_sym___thread] = ACTIONS(2330),
    [anon_sym_const] = ACTIONS(2330),
    [anon_sym_constexpr] = ACTIONS(2330),
    [anon_sym_volatile] = ACTIONS(2330),
    [anon_sym_restrict] = ACTIONS(2330),
    [anon_sym___restrict__] = ACTIONS(2330),
    [anon_sym__Atomic] = ACTIONS(2330),
    [anon_sym__Noreturn] = ACTIONS(2330),
    [anon_sym_noreturn] = ACTIONS(2330),
    [anon_sym_mutable] = ACTIONS(2330),
    [anon_sym_constinit] = ACTIONS(2330),
    [anon_sym_consteval] = ACTIONS(2330),
    [sym_primitive_type] = ACTIONS(2330),
    [anon_sym_enum] = ACTIONS(2330),
    [anon_sym_class] = ACTIONS(2330),
    [anon_sym_struct] = ACTIONS(2330),
    [anon_sym_union] = ACTIONS(2330),
    [anon_sym_if] = ACTIONS(2330),
    [anon_sym_else] = ACTIONS(2330),
    [anon_sym_switch] = ACTIONS(2330),
    [anon_sym_case] = ACTIONS(2330),
    [anon_sym_default] = ACTIONS(2330),
    [anon_sym_while] = ACTIONS(2330),
    [anon_sym_do] = ACTIONS(2330),
    [anon_sym_for] = ACTIONS(2330),
    [anon_sym_return] = ACTIONS(2330),
    [anon_sym_break] = ACTIONS(2330),
    [anon_sym_continue] = ACTIONS(2330),
    [anon_sym_goto] = ACTIONS(2330),
    [anon_sym___try] = ACTIONS(2330),
    [anon_sym___leave] = ACTIONS(2330),
    [anon_sym_not] = ACTIONS(2330),
    [anon_sym_compl] = ACTIONS(2330),
    [anon_sym_DASH_DASH] = ACTIONS(2332),
    [anon_sym_PLUS_PLUS] = ACTIONS(2332),
    [anon_sym_sizeof] = ACTIONS(2330),
    [anon_sym___alignof__] = ACTIONS(2330),
    [anon_sym___alignof] = ACTIONS(2330),
    [anon_sym__alignof] = ACTIONS(2330),
    [anon_sym_alignof] = ACTIONS(2330),
    [anon_sym__Alignof] = ACTIONS(2330),
    [anon_sym_offsetof] = ACTIONS(2330),
    [anon_sym__Generic] = ACTIONS(2330),
    [anon_sym_asm] = ACTIONS(2330),
    [anon_sym___asm__] = ACTIONS(2330),
    [sym_number_literal] = ACTIONS(2332),
    [anon_sym_L_SQUOTE] = ACTIONS(2332),
    [anon_sym_u_SQUOTE] = ACTIONS(2332),
    [anon_sym_U_SQUOTE] = ACTIONS(2332),
    [anon_sym_u8_SQUOTE] = ACTIONS(2332),
    [anon_sym_SQUOTE] = ACTIONS(2332),
    [anon_sym_L_DQUOTE] = ACTIONS(2332),
    [anon_sym_u_DQUOTE] = ACTIONS(2332),
    [anon_sym_U_DQUOTE] = ACTIONS(2332),
    [anon_sym_u8_DQUOTE] = ACTIONS(2332),
    [anon_sym_DQUOTE] = ACTIONS(2332),
    [sym_true] = ACTIONS(2330),
    [sym_false] = ACTIONS(2330),
    [anon_sym_NULL] = ACTIONS(2330),
    [anon_sym_nullptr] = ACTIONS(2330),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2330),
    [anon_sym_decltype] = ACTIONS(2330),
    [anon_sym_virtual] = ACTIONS(2330),
    [anon_sym_alignas] = ACTIONS(2330),
    [anon_sym_explicit] = ACTIONS(2330),
    [anon_sym_typename] = ACTIONS(2330),
    [anon_sym_template] = ACTIONS(2330),
    [anon_sym_operator] = ACTIONS(2330),
    [anon_sym_try] = ACTIONS(2330),
    [anon_sym_delete] = ACTIONS(2330),
    [anon_sym_throw] = ACTIONS(2330),
    [anon_sym_namespace] = ACTIONS(2330),
    [anon_sym_using] = ACTIONS(2330),
    [anon_sym_static_assert] = ACTIONS(2330),
    [anon_sym_concept] = ACTIONS(2330),
    [anon_sym_co_return] = ACTIONS(2330),
    [anon_sym_co_yield] = ACTIONS(2330),
    [anon_sym_R_DQUOTE] = ACTIONS(2332),
    [anon_sym_LR_DQUOTE] = ACTIONS(2332),
    [anon_sym_uR_DQUOTE] = ACTIONS(2332),
    [anon_sym_UR_DQUOTE] = ACTIONS(2332),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2332),
    [anon_sym_co_await] = ACTIONS(2330),
    [anon_sym_new] = ACTIONS(2330),
    [anon_sym_requires] = ACTIONS(2330),
    [sym_this] = ACTIONS(2330),
    [anon_sym_discard] = ACTIONS(2330),
    [anon_sym_precise] = ACTIONS(2330),
    [anon_sym_shared] = ACTIONS(2330),
    [anon_sym_groupshared] = ACTIONS(2330),
    [anon_sym_uniform] = ACTIONS(2330),
    [anon_sym_row_major] = ACTIONS(2330),
    [anon_sym_column_major] = ACTIONS(2330),
    [anon_sym_globallycoherent] = ACTIONS(2330),
    [anon_sym_centroid] = ACTIONS(2330),
    [anon_sym_noperspective] = ACTIONS(2330),
    [anon_sym_nointerpolation] = ACTIONS(2330),
    [anon_sym_sample] = ACTIONS(2330),
    [anon_sym_linear] = ACTIONS(2330),
    [anon_sym_snorm] = ACTIONS(2330),
    [anon_sym_unorm] = ACTIONS(2330),
    [anon_sym_point] = ACTIONS(2330),
    [anon_sym_line] = ACTIONS(2330),
    [anon_sym_triangleadj] = ACTIONS(2330),
    [anon_sym_lineadj] = ACTIONS(2330),
    [anon_sym_triangle] = ACTIONS(2330),
    [anon_sym_cbuffer] = ACTIONS(2330),
  },
  [1023] = {
    [sym_identifier] = ACTIONS(2452),
    [aux_sym_preproc_include_token1] = ACTIONS(2452),
    [aux_sym_preproc_def_token1] = ACTIONS(2452),
    [aux_sym_preproc_if_token1] = ACTIONS(2452),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2452),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2452),
    [sym_preproc_directive] = ACTIONS(2452),
    [anon_sym_LPAREN2] = ACTIONS(2454),
    [anon_sym_BANG] = ACTIONS(2454),
    [anon_sym_TILDE] = ACTIONS(2454),
    [anon_sym_DASH] = ACTIONS(2452),
    [anon_sym_PLUS] = ACTIONS(2452),
    [anon_sym_STAR] = ACTIONS(2454),
    [anon_sym_AMP_AMP] = ACTIONS(2454),
    [anon_sym_AMP] = ACTIONS(2452),
    [anon_sym_SEMI] = ACTIONS(2454),
    [anon_sym___extension__] = ACTIONS(2452),
    [anon_sym_typedef] = ACTIONS(2452),
    [anon_sym_in] = ACTIONS(2452),
    [anon_sym_out] = ACTIONS(2452),
    [anon_sym_inout] = ACTIONS(2452),
    [anon_sym_extern] = ACTIONS(2452),
    [anon_sym___attribute__] = ACTIONS(2452),
    [anon_sym_COLON_COLON] = ACTIONS(2454),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2454),
    [anon_sym___declspec] = ACTIONS(2452),
    [anon_sym___based] = ACTIONS(2452),
    [anon_sym___cdecl] = ACTIONS(2452),
    [anon_sym___clrcall] = ACTIONS(2452),
    [anon_sym___stdcall] = ACTIONS(2452),
    [anon_sym___fastcall] = ACTIONS(2452),
    [anon_sym___thiscall] = ACTIONS(2452),
    [anon_sym___vectorcall] = ACTIONS(2452),
    [anon_sym_LBRACE] = ACTIONS(2454),
    [anon_sym_RBRACE] = ACTIONS(2454),
    [anon_sym_signed] = ACTIONS(2452),
    [anon_sym_unsigned] = ACTIONS(2452),
    [anon_sym_long] = ACTIONS(2452),
    [anon_sym_short] = ACTIONS(2452),
    [anon_sym_LBRACK] = ACTIONS(2452),
    [anon_sym_static] = ACTIONS(2452),
    [anon_sym_register] = ACTIONS(2452),
    [anon_sym_inline] = ACTIONS(2452),
    [anon_sym___inline] = ACTIONS(2452),
    [anon_sym___inline__] = ACTIONS(2452),
    [anon_sym___forceinline] = ACTIONS(2452),
    [anon_sym_thread_local] = ACTIONS(2452),
    [anon_sym___thread] = ACTIONS(2452),
    [anon_sym_const] = ACTIONS(2452),
    [anon_sym_constexpr] = ACTIONS(2452),
    [anon_sym_volatile] = ACTIONS(2452),
    [anon_sym_restrict] = ACTIONS(2452),
    [anon_sym___restrict__] = ACTIONS(2452),
    [anon_sym__Atomic] = ACTIONS(2452),
    [anon_sym__Noreturn] = ACTIONS(2452),
    [anon_sym_noreturn] = ACTIONS(2452),
    [anon_sym_mutable] = ACTIONS(2452),
    [anon_sym_constinit] = ACTIONS(2452),
    [anon_sym_consteval] = ACTIONS(2452),
    [sym_primitive_type] = ACTIONS(2452),
    [anon_sym_enum] = ACTIONS(2452),
    [anon_sym_class] = ACTIONS(2452),
    [anon_sym_struct] = ACTIONS(2452),
    [anon_sym_union] = ACTIONS(2452),
    [anon_sym_if] = ACTIONS(2452),
    [anon_sym_else] = ACTIONS(2452),
    [anon_sym_switch] = ACTIONS(2452),
    [anon_sym_case] = ACTIONS(2452),
    [anon_sym_default] = ACTIONS(2452),
    [anon_sym_while] = ACTIONS(2452),
    [anon_sym_do] = ACTIONS(2452),
    [anon_sym_for] = ACTIONS(2452),
    [anon_sym_return] = ACTIONS(2452),
    [anon_sym_break] = ACTIONS(2452),
    [anon_sym_continue] = ACTIONS(2452),
    [anon_sym_goto] = ACTIONS(2452),
    [anon_sym___try] = ACTIONS(2452),
    [anon_sym___leave] = ACTIONS(2452),
    [anon_sym_not] = ACTIONS(2452),
    [anon_sym_compl] = ACTIONS(2452),
    [anon_sym_DASH_DASH] = ACTIONS(2454),
    [anon_sym_PLUS_PLUS] = ACTIONS(2454),
    [anon_sym_sizeof] = ACTIONS(2452),
    [anon_sym___alignof__] = ACTIONS(2452),
    [anon_sym___alignof] = ACTIONS(2452),
    [anon_sym__alignof] = ACTIONS(2452),
    [anon_sym_alignof] = ACTIONS(2452),
    [anon_sym__Alignof] = ACTIONS(2452),
    [anon_sym_offsetof] = ACTIONS(2452),
    [anon_sym__Generic] = ACTIONS(2452),
    [anon_sym_asm] = ACTIONS(2452),
    [anon_sym___asm__] = ACTIONS(2452),
    [sym_number_literal] = ACTIONS(2454),
    [anon_sym_L_SQUOTE] = ACTIONS(2454),
    [anon_sym_u_SQUOTE] = ACTIONS(2454),
    [anon_sym_U_SQUOTE] = ACTIONS(2454),
    [anon_sym_u8_SQUOTE] = ACTIONS(2454),
    [anon_sym_SQUOTE] = ACTIONS(2454),
    [anon_sym_L_DQUOTE] = ACTIONS(2454),
    [anon_sym_u_DQUOTE] = ACTIONS(2454),
    [anon_sym_U_DQUOTE] = ACTIONS(2454),
    [anon_sym_u8_DQUOTE] = ACTIONS(2454),
    [anon_sym_DQUOTE] = ACTIONS(2454),
    [sym_true] = ACTIONS(2452),
    [sym_false] = ACTIONS(2452),
    [anon_sym_NULL] = ACTIONS(2452),
    [anon_sym_nullptr] = ACTIONS(2452),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2452),
    [anon_sym_decltype] = ACTIONS(2452),
    [anon_sym_virtual] = ACTIONS(2452),
    [anon_sym_alignas] = ACTIONS(2452),
    [anon_sym_explicit] = ACTIONS(2452),
    [anon_sym_typename] = ACTIONS(2452),
    [anon_sym_template] = ACTIONS(2452),
    [anon_sym_operator] = ACTIONS(2452),
    [anon_sym_try] = ACTIONS(2452),
    [anon_sym_delete] = ACTIONS(2452),
    [anon_sym_throw] = ACTIONS(2452),
    [anon_sym_namespace] = ACTIONS(2452),
    [anon_sym_using] = ACTIONS(2452),
    [anon_sym_static_assert] = ACTIONS(2452),
    [anon_sym_concept] = ACTIONS(2452),
    [anon_sym_co_return] = ACTIONS(2452),
    [anon_sym_co_yield] = ACTIONS(2452),
    [anon_sym_R_DQUOTE] = ACTIONS(2454),
    [anon_sym_LR_DQUOTE] = ACTIONS(2454),
    [anon_sym_uR_DQUOTE] = ACTIONS(2454),
    [anon_sym_UR_DQUOTE] = ACTIONS(2454),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2454),
    [anon_sym_co_await] = ACTIONS(2452),
    [anon_sym_new] = ACTIONS(2452),
    [anon_sym_requires] = ACTIONS(2452),
    [sym_this] = ACTIONS(2452),
    [anon_sym_discard] = ACTIONS(2452),
    [anon_sym_precise] = ACTIONS(2452),
    [anon_sym_shared] = ACTIONS(2452),
    [anon_sym_groupshared] = ACTIONS(2452),
    [anon_sym_uniform] = ACTIONS(2452),
    [anon_sym_row_major] = ACTIONS(2452),
    [anon_sym_column_major] = ACTIONS(2452),
    [anon_sym_globallycoherent] = ACTIONS(2452),
    [anon_sym_centroid] = ACTIONS(2452),
    [anon_sym_noperspective] = ACTIONS(2452),
    [anon_sym_nointerpolation] = ACTIONS(2452),
    [anon_sym_sample] = ACTIONS(2452),
    [anon_sym_linear] = ACTIONS(2452),
    [anon_sym_snorm] = ACTIONS(2452),
    [anon_sym_unorm] = ACTIONS(2452),
    [anon_sym_point] = ACTIONS(2452),
    [anon_sym_line] = ACTIONS(2452),
    [anon_sym_triangleadj] = ACTIONS(2452),
    [anon_sym_lineadj] = ACTIONS(2452),
    [anon_sym_triangle] = ACTIONS(2452),
    [anon_sym_cbuffer] = ACTIONS(2452),
  },
  [1024] = {
    [sym_identifier] = ACTIONS(2330),
    [aux_sym_preproc_include_token1] = ACTIONS(2330),
    [aux_sym_preproc_def_token1] = ACTIONS(2330),
    [aux_sym_preproc_if_token1] = ACTIONS(2330),
    [aux_sym_preproc_if_token2] = ACTIONS(2330),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2330),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2330),
    [sym_preproc_directive] = ACTIONS(2330),
    [anon_sym_LPAREN2] = ACTIONS(2332),
    [anon_sym_BANG] = ACTIONS(2332),
    [anon_sym_TILDE] = ACTIONS(2332),
    [anon_sym_DASH] = ACTIONS(2330),
    [anon_sym_PLUS] = ACTIONS(2330),
    [anon_sym_STAR] = ACTIONS(2332),
    [anon_sym_AMP_AMP] = ACTIONS(2332),
    [anon_sym_AMP] = ACTIONS(2330),
    [anon_sym_SEMI] = ACTIONS(2332),
    [anon_sym___extension__] = ACTIONS(2330),
    [anon_sym_typedef] = ACTIONS(2330),
    [anon_sym_in] = ACTIONS(2330),
    [anon_sym_out] = ACTIONS(2330),
    [anon_sym_inout] = ACTIONS(2330),
    [anon_sym_extern] = ACTIONS(2330),
    [anon_sym___attribute__] = ACTIONS(2330),
    [anon_sym_COLON_COLON] = ACTIONS(2332),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2332),
    [anon_sym___declspec] = ACTIONS(2330),
    [anon_sym___based] = ACTIONS(2330),
    [anon_sym___cdecl] = ACTIONS(2330),
    [anon_sym___clrcall] = ACTIONS(2330),
    [anon_sym___stdcall] = ACTIONS(2330),
    [anon_sym___fastcall] = ACTIONS(2330),
    [anon_sym___thiscall] = ACTIONS(2330),
    [anon_sym___vectorcall] = ACTIONS(2330),
    [anon_sym_LBRACE] = ACTIONS(2332),
    [anon_sym_signed] = ACTIONS(2330),
    [anon_sym_unsigned] = ACTIONS(2330),
    [anon_sym_long] = ACTIONS(2330),
    [anon_sym_short] = ACTIONS(2330),
    [anon_sym_LBRACK] = ACTIONS(2330),
    [anon_sym_static] = ACTIONS(2330),
    [anon_sym_register] = ACTIONS(2330),
    [anon_sym_inline] = ACTIONS(2330),
    [anon_sym___inline] = ACTIONS(2330),
    [anon_sym___inline__] = ACTIONS(2330),
    [anon_sym___forceinline] = ACTIONS(2330),
    [anon_sym_thread_local] = ACTIONS(2330),
    [anon_sym___thread] = ACTIONS(2330),
    [anon_sym_const] = ACTIONS(2330),
    [anon_sym_constexpr] = ACTIONS(2330),
    [anon_sym_volatile] = ACTIONS(2330),
    [anon_sym_restrict] = ACTIONS(2330),
    [anon_sym___restrict__] = ACTIONS(2330),
    [anon_sym__Atomic] = ACTIONS(2330),
    [anon_sym__Noreturn] = ACTIONS(2330),
    [anon_sym_noreturn] = ACTIONS(2330),
    [anon_sym_mutable] = ACTIONS(2330),
    [anon_sym_constinit] = ACTIONS(2330),
    [anon_sym_consteval] = ACTIONS(2330),
    [sym_primitive_type] = ACTIONS(2330),
    [anon_sym_enum] = ACTIONS(2330),
    [anon_sym_class] = ACTIONS(2330),
    [anon_sym_struct] = ACTIONS(2330),
    [anon_sym_union] = ACTIONS(2330),
    [anon_sym_if] = ACTIONS(2330),
    [anon_sym_else] = ACTIONS(2330),
    [anon_sym_switch] = ACTIONS(2330),
    [anon_sym_case] = ACTIONS(2330),
    [anon_sym_default] = ACTIONS(2330),
    [anon_sym_while] = ACTIONS(2330),
    [anon_sym_do] = ACTIONS(2330),
    [anon_sym_for] = ACTIONS(2330),
    [anon_sym_return] = ACTIONS(2330),
    [anon_sym_break] = ACTIONS(2330),
    [anon_sym_continue] = ACTIONS(2330),
    [anon_sym_goto] = ACTIONS(2330),
    [anon_sym___try] = ACTIONS(2330),
    [anon_sym___leave] = ACTIONS(2330),
    [anon_sym_not] = ACTIONS(2330),
    [anon_sym_compl] = ACTIONS(2330),
    [anon_sym_DASH_DASH] = ACTIONS(2332),
    [anon_sym_PLUS_PLUS] = ACTIONS(2332),
    [anon_sym_sizeof] = ACTIONS(2330),
    [anon_sym___alignof__] = ACTIONS(2330),
    [anon_sym___alignof] = ACTIONS(2330),
    [anon_sym__alignof] = ACTIONS(2330),
    [anon_sym_alignof] = ACTIONS(2330),
    [anon_sym__Alignof] = ACTIONS(2330),
    [anon_sym_offsetof] = ACTIONS(2330),
    [anon_sym__Generic] = ACTIONS(2330),
    [anon_sym_asm] = ACTIONS(2330),
    [anon_sym___asm__] = ACTIONS(2330),
    [sym_number_literal] = ACTIONS(2332),
    [anon_sym_L_SQUOTE] = ACTIONS(2332),
    [anon_sym_u_SQUOTE] = ACTIONS(2332),
    [anon_sym_U_SQUOTE] = ACTIONS(2332),
    [anon_sym_u8_SQUOTE] = ACTIONS(2332),
    [anon_sym_SQUOTE] = ACTIONS(2332),
    [anon_sym_L_DQUOTE] = ACTIONS(2332),
    [anon_sym_u_DQUOTE] = ACTIONS(2332),
    [anon_sym_U_DQUOTE] = ACTIONS(2332),
    [anon_sym_u8_DQUOTE] = ACTIONS(2332),
    [anon_sym_DQUOTE] = ACTIONS(2332),
    [sym_true] = ACTIONS(2330),
    [sym_false] = ACTIONS(2330),
    [anon_sym_NULL] = ACTIONS(2330),
    [anon_sym_nullptr] = ACTIONS(2330),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2330),
    [anon_sym_decltype] = ACTIONS(2330),
    [anon_sym_virtual] = ACTIONS(2330),
    [anon_sym_alignas] = ACTIONS(2330),
    [anon_sym_explicit] = ACTIONS(2330),
    [anon_sym_typename] = ACTIONS(2330),
    [anon_sym_template] = ACTIONS(2330),
    [anon_sym_operator] = ACTIONS(2330),
    [anon_sym_try] = ACTIONS(2330),
    [anon_sym_delete] = ACTIONS(2330),
    [anon_sym_throw] = ACTIONS(2330),
    [anon_sym_namespace] = ACTIONS(2330),
    [anon_sym_using] = ACTIONS(2330),
    [anon_sym_static_assert] = ACTIONS(2330),
    [anon_sym_concept] = ACTIONS(2330),
    [anon_sym_co_return] = ACTIONS(2330),
    [anon_sym_co_yield] = ACTIONS(2330),
    [anon_sym_R_DQUOTE] = ACTIONS(2332),
    [anon_sym_LR_DQUOTE] = ACTIONS(2332),
    [anon_sym_uR_DQUOTE] = ACTIONS(2332),
    [anon_sym_UR_DQUOTE] = ACTIONS(2332),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2332),
    [anon_sym_co_await] = ACTIONS(2330),
    [anon_sym_new] = ACTIONS(2330),
    [anon_sym_requires] = ACTIONS(2330),
    [sym_this] = ACTIONS(2330),
    [anon_sym_discard] = ACTIONS(2330),
    [anon_sym_precise] = ACTIONS(2330),
    [anon_sym_shared] = ACTIONS(2330),
    [anon_sym_groupshared] = ACTIONS(2330),
    [anon_sym_uniform] = ACTIONS(2330),
    [anon_sym_row_major] = ACTIONS(2330),
    [anon_sym_column_major] = ACTIONS(2330),
    [anon_sym_globallycoherent] = ACTIONS(2330),
    [anon_sym_centroid] = ACTIONS(2330),
    [anon_sym_noperspective] = ACTIONS(2330),
    [anon_sym_nointerpolation] = ACTIONS(2330),
    [anon_sym_sample] = ACTIONS(2330),
    [anon_sym_linear] = ACTIONS(2330),
    [anon_sym_snorm] = ACTIONS(2330),
    [anon_sym_unorm] = ACTIONS(2330),
    [anon_sym_point] = ACTIONS(2330),
    [anon_sym_line] = ACTIONS(2330),
    [anon_sym_triangleadj] = ACTIONS(2330),
    [anon_sym_lineadj] = ACTIONS(2330),
    [anon_sym_triangle] = ACTIONS(2330),
    [anon_sym_cbuffer] = ACTIONS(2330),
  },
  [1025] = {
    [sym_identifier] = ACTIONS(2504),
    [aux_sym_preproc_include_token1] = ACTIONS(2504),
    [aux_sym_preproc_def_token1] = ACTIONS(2504),
    [aux_sym_preproc_if_token1] = ACTIONS(2504),
    [aux_sym_preproc_if_token2] = ACTIONS(2504),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2504),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2504),
    [sym_preproc_directive] = ACTIONS(2504),
    [anon_sym_LPAREN2] = ACTIONS(2506),
    [anon_sym_BANG] = ACTIONS(2506),
    [anon_sym_TILDE] = ACTIONS(2506),
    [anon_sym_DASH] = ACTIONS(2504),
    [anon_sym_PLUS] = ACTIONS(2504),
    [anon_sym_STAR] = ACTIONS(2506),
    [anon_sym_AMP_AMP] = ACTIONS(2506),
    [anon_sym_AMP] = ACTIONS(2504),
    [anon_sym_SEMI] = ACTIONS(2506),
    [anon_sym___extension__] = ACTIONS(2504),
    [anon_sym_typedef] = ACTIONS(2504),
    [anon_sym_in] = ACTIONS(2504),
    [anon_sym_out] = ACTIONS(2504),
    [anon_sym_inout] = ACTIONS(2504),
    [anon_sym_extern] = ACTIONS(2504),
    [anon_sym___attribute__] = ACTIONS(2504),
    [anon_sym_COLON_COLON] = ACTIONS(2506),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2506),
    [anon_sym___declspec] = ACTIONS(2504),
    [anon_sym___based] = ACTIONS(2504),
    [anon_sym___cdecl] = ACTIONS(2504),
    [anon_sym___clrcall] = ACTIONS(2504),
    [anon_sym___stdcall] = ACTIONS(2504),
    [anon_sym___fastcall] = ACTIONS(2504),
    [anon_sym___thiscall] = ACTIONS(2504),
    [anon_sym___vectorcall] = ACTIONS(2504),
    [anon_sym_LBRACE] = ACTIONS(2506),
    [anon_sym_signed] = ACTIONS(2504),
    [anon_sym_unsigned] = ACTIONS(2504),
    [anon_sym_long] = ACTIONS(2504),
    [anon_sym_short] = ACTIONS(2504),
    [anon_sym_LBRACK] = ACTIONS(2504),
    [anon_sym_static] = ACTIONS(2504),
    [anon_sym_register] = ACTIONS(2504),
    [anon_sym_inline] = ACTIONS(2504),
    [anon_sym___inline] = ACTIONS(2504),
    [anon_sym___inline__] = ACTIONS(2504),
    [anon_sym___forceinline] = ACTIONS(2504),
    [anon_sym_thread_local] = ACTIONS(2504),
    [anon_sym___thread] = ACTIONS(2504),
    [anon_sym_const] = ACTIONS(2504),
    [anon_sym_constexpr] = ACTIONS(2504),
    [anon_sym_volatile] = ACTIONS(2504),
    [anon_sym_restrict] = ACTIONS(2504),
    [anon_sym___restrict__] = ACTIONS(2504),
    [anon_sym__Atomic] = ACTIONS(2504),
    [anon_sym__Noreturn] = ACTIONS(2504),
    [anon_sym_noreturn] = ACTIONS(2504),
    [anon_sym_mutable] = ACTIONS(2504),
    [anon_sym_constinit] = ACTIONS(2504),
    [anon_sym_consteval] = ACTIONS(2504),
    [sym_primitive_type] = ACTIONS(2504),
    [anon_sym_enum] = ACTIONS(2504),
    [anon_sym_class] = ACTIONS(2504),
    [anon_sym_struct] = ACTIONS(2504),
    [anon_sym_union] = ACTIONS(2504),
    [anon_sym_if] = ACTIONS(2504),
    [anon_sym_else] = ACTIONS(2504),
    [anon_sym_switch] = ACTIONS(2504),
    [anon_sym_case] = ACTIONS(2504),
    [anon_sym_default] = ACTIONS(2504),
    [anon_sym_while] = ACTIONS(2504),
    [anon_sym_do] = ACTIONS(2504),
    [anon_sym_for] = ACTIONS(2504),
    [anon_sym_return] = ACTIONS(2504),
    [anon_sym_break] = ACTIONS(2504),
    [anon_sym_continue] = ACTIONS(2504),
    [anon_sym_goto] = ACTIONS(2504),
    [anon_sym___try] = ACTIONS(2504),
    [anon_sym___leave] = ACTIONS(2504),
    [anon_sym_not] = ACTIONS(2504),
    [anon_sym_compl] = ACTIONS(2504),
    [anon_sym_DASH_DASH] = ACTIONS(2506),
    [anon_sym_PLUS_PLUS] = ACTIONS(2506),
    [anon_sym_sizeof] = ACTIONS(2504),
    [anon_sym___alignof__] = ACTIONS(2504),
    [anon_sym___alignof] = ACTIONS(2504),
    [anon_sym__alignof] = ACTIONS(2504),
    [anon_sym_alignof] = ACTIONS(2504),
    [anon_sym__Alignof] = ACTIONS(2504),
    [anon_sym_offsetof] = ACTIONS(2504),
    [anon_sym__Generic] = ACTIONS(2504),
    [anon_sym_asm] = ACTIONS(2504),
    [anon_sym___asm__] = ACTIONS(2504),
    [sym_number_literal] = ACTIONS(2506),
    [anon_sym_L_SQUOTE] = ACTIONS(2506),
    [anon_sym_u_SQUOTE] = ACTIONS(2506),
    [anon_sym_U_SQUOTE] = ACTIONS(2506),
    [anon_sym_u8_SQUOTE] = ACTIONS(2506),
    [anon_sym_SQUOTE] = ACTIONS(2506),
    [anon_sym_L_DQUOTE] = ACTIONS(2506),
    [anon_sym_u_DQUOTE] = ACTIONS(2506),
    [anon_sym_U_DQUOTE] = ACTIONS(2506),
    [anon_sym_u8_DQUOTE] = ACTIONS(2506),
    [anon_sym_DQUOTE] = ACTIONS(2506),
    [sym_true] = ACTIONS(2504),
    [sym_false] = ACTIONS(2504),
    [anon_sym_NULL] = ACTIONS(2504),
    [anon_sym_nullptr] = ACTIONS(2504),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2504),
    [anon_sym_decltype] = ACTIONS(2504),
    [anon_sym_virtual] = ACTIONS(2504),
    [anon_sym_alignas] = ACTIONS(2504),
    [anon_sym_explicit] = ACTIONS(2504),
    [anon_sym_typename] = ACTIONS(2504),
    [anon_sym_template] = ACTIONS(2504),
    [anon_sym_operator] = ACTIONS(2504),
    [anon_sym_try] = ACTIONS(2504),
    [anon_sym_delete] = ACTIONS(2504),
    [anon_sym_throw] = ACTIONS(2504),
    [anon_sym_namespace] = ACTIONS(2504),
    [anon_sym_using] = ACTIONS(2504),
    [anon_sym_static_assert] = ACTIONS(2504),
    [anon_sym_concept] = ACTIONS(2504),
    [anon_sym_co_return] = ACTIONS(2504),
    [anon_sym_co_yield] = ACTIONS(2504),
    [anon_sym_R_DQUOTE] = ACTIONS(2506),
    [anon_sym_LR_DQUOTE] = ACTIONS(2506),
    [anon_sym_uR_DQUOTE] = ACTIONS(2506),
    [anon_sym_UR_DQUOTE] = ACTIONS(2506),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2506),
    [anon_sym_co_await] = ACTIONS(2504),
    [anon_sym_new] = ACTIONS(2504),
    [anon_sym_requires] = ACTIONS(2504),
    [sym_this] = ACTIONS(2504),
    [anon_sym_discard] = ACTIONS(2504),
    [anon_sym_precise] = ACTIONS(2504),
    [anon_sym_shared] = ACTIONS(2504),
    [anon_sym_groupshared] = ACTIONS(2504),
    [anon_sym_uniform] = ACTIONS(2504),
    [anon_sym_row_major] = ACTIONS(2504),
    [anon_sym_column_major] = ACTIONS(2504),
    [anon_sym_globallycoherent] = ACTIONS(2504),
    [anon_sym_centroid] = ACTIONS(2504),
    [anon_sym_noperspective] = ACTIONS(2504),
    [anon_sym_nointerpolation] = ACTIONS(2504),
    [anon_sym_sample] = ACTIONS(2504),
    [anon_sym_linear] = ACTIONS(2504),
    [anon_sym_snorm] = ACTIONS(2504),
    [anon_sym_unorm] = ACTIONS(2504),
    [anon_sym_point] = ACTIONS(2504),
    [anon_sym_line] = ACTIONS(2504),
    [anon_sym_triangleadj] = ACTIONS(2504),
    [anon_sym_lineadj] = ACTIONS(2504),
    [anon_sym_triangle] = ACTIONS(2504),
    [anon_sym_cbuffer] = ACTIONS(2504),
  },
  [1026] = {
    [sym_identifier] = ACTIONS(2330),
    [aux_sym_preproc_include_token1] = ACTIONS(2330),
    [aux_sym_preproc_def_token1] = ACTIONS(2330),
    [aux_sym_preproc_if_token1] = ACTIONS(2330),
    [aux_sym_preproc_if_token2] = ACTIONS(2330),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2330),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2330),
    [sym_preproc_directive] = ACTIONS(2330),
    [anon_sym_LPAREN2] = ACTIONS(2332),
    [anon_sym_BANG] = ACTIONS(2332),
    [anon_sym_TILDE] = ACTIONS(2332),
    [anon_sym_DASH] = ACTIONS(2330),
    [anon_sym_PLUS] = ACTIONS(2330),
    [anon_sym_STAR] = ACTIONS(2332),
    [anon_sym_AMP_AMP] = ACTIONS(2332),
    [anon_sym_AMP] = ACTIONS(2330),
    [anon_sym_SEMI] = ACTIONS(2332),
    [anon_sym___extension__] = ACTIONS(2330),
    [anon_sym_typedef] = ACTIONS(2330),
    [anon_sym_in] = ACTIONS(2330),
    [anon_sym_out] = ACTIONS(2330),
    [anon_sym_inout] = ACTIONS(2330),
    [anon_sym_extern] = ACTIONS(2330),
    [anon_sym___attribute__] = ACTIONS(2330),
    [anon_sym_COLON_COLON] = ACTIONS(2332),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2332),
    [anon_sym___declspec] = ACTIONS(2330),
    [anon_sym___based] = ACTIONS(2330),
    [anon_sym___cdecl] = ACTIONS(2330),
    [anon_sym___clrcall] = ACTIONS(2330),
    [anon_sym___stdcall] = ACTIONS(2330),
    [anon_sym___fastcall] = ACTIONS(2330),
    [anon_sym___thiscall] = ACTIONS(2330),
    [anon_sym___vectorcall] = ACTIONS(2330),
    [anon_sym_LBRACE] = ACTIONS(2332),
    [anon_sym_signed] = ACTIONS(2330),
    [anon_sym_unsigned] = ACTIONS(2330),
    [anon_sym_long] = ACTIONS(2330),
    [anon_sym_short] = ACTIONS(2330),
    [anon_sym_LBRACK] = ACTIONS(2330),
    [anon_sym_static] = ACTIONS(2330),
    [anon_sym_register] = ACTIONS(2330),
    [anon_sym_inline] = ACTIONS(2330),
    [anon_sym___inline] = ACTIONS(2330),
    [anon_sym___inline__] = ACTIONS(2330),
    [anon_sym___forceinline] = ACTIONS(2330),
    [anon_sym_thread_local] = ACTIONS(2330),
    [anon_sym___thread] = ACTIONS(2330),
    [anon_sym_const] = ACTIONS(2330),
    [anon_sym_constexpr] = ACTIONS(2330),
    [anon_sym_volatile] = ACTIONS(2330),
    [anon_sym_restrict] = ACTIONS(2330),
    [anon_sym___restrict__] = ACTIONS(2330),
    [anon_sym__Atomic] = ACTIONS(2330),
    [anon_sym__Noreturn] = ACTIONS(2330),
    [anon_sym_noreturn] = ACTIONS(2330),
    [anon_sym_mutable] = ACTIONS(2330),
    [anon_sym_constinit] = ACTIONS(2330),
    [anon_sym_consteval] = ACTIONS(2330),
    [sym_primitive_type] = ACTIONS(2330),
    [anon_sym_enum] = ACTIONS(2330),
    [anon_sym_class] = ACTIONS(2330),
    [anon_sym_struct] = ACTIONS(2330),
    [anon_sym_union] = ACTIONS(2330),
    [anon_sym_if] = ACTIONS(2330),
    [anon_sym_else] = ACTIONS(2330),
    [anon_sym_switch] = ACTIONS(2330),
    [anon_sym_case] = ACTIONS(2330),
    [anon_sym_default] = ACTIONS(2330),
    [anon_sym_while] = ACTIONS(2330),
    [anon_sym_do] = ACTIONS(2330),
    [anon_sym_for] = ACTIONS(2330),
    [anon_sym_return] = ACTIONS(2330),
    [anon_sym_break] = ACTIONS(2330),
    [anon_sym_continue] = ACTIONS(2330),
    [anon_sym_goto] = ACTIONS(2330),
    [anon_sym___try] = ACTIONS(2330),
    [anon_sym___leave] = ACTIONS(2330),
    [anon_sym_not] = ACTIONS(2330),
    [anon_sym_compl] = ACTIONS(2330),
    [anon_sym_DASH_DASH] = ACTIONS(2332),
    [anon_sym_PLUS_PLUS] = ACTIONS(2332),
    [anon_sym_sizeof] = ACTIONS(2330),
    [anon_sym___alignof__] = ACTIONS(2330),
    [anon_sym___alignof] = ACTIONS(2330),
    [anon_sym__alignof] = ACTIONS(2330),
    [anon_sym_alignof] = ACTIONS(2330),
    [anon_sym__Alignof] = ACTIONS(2330),
    [anon_sym_offsetof] = ACTIONS(2330),
    [anon_sym__Generic] = ACTIONS(2330),
    [anon_sym_asm] = ACTIONS(2330),
    [anon_sym___asm__] = ACTIONS(2330),
    [sym_number_literal] = ACTIONS(2332),
    [anon_sym_L_SQUOTE] = ACTIONS(2332),
    [anon_sym_u_SQUOTE] = ACTIONS(2332),
    [anon_sym_U_SQUOTE] = ACTIONS(2332),
    [anon_sym_u8_SQUOTE] = ACTIONS(2332),
    [anon_sym_SQUOTE] = ACTIONS(2332),
    [anon_sym_L_DQUOTE] = ACTIONS(2332),
    [anon_sym_u_DQUOTE] = ACTIONS(2332),
    [anon_sym_U_DQUOTE] = ACTIONS(2332),
    [anon_sym_u8_DQUOTE] = ACTIONS(2332),
    [anon_sym_DQUOTE] = ACTIONS(2332),
    [sym_true] = ACTIONS(2330),
    [sym_false] = ACTIONS(2330),
    [anon_sym_NULL] = ACTIONS(2330),
    [anon_sym_nullptr] = ACTIONS(2330),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2330),
    [anon_sym_decltype] = ACTIONS(2330),
    [anon_sym_virtual] = ACTIONS(2330),
    [anon_sym_alignas] = ACTIONS(2330),
    [anon_sym_explicit] = ACTIONS(2330),
    [anon_sym_typename] = ACTIONS(2330),
    [anon_sym_template] = ACTIONS(2330),
    [anon_sym_operator] = ACTIONS(2330),
    [anon_sym_try] = ACTIONS(2330),
    [anon_sym_delete] = ACTIONS(2330),
    [anon_sym_throw] = ACTIONS(2330),
    [anon_sym_namespace] = ACTIONS(2330),
    [anon_sym_using] = ACTIONS(2330),
    [anon_sym_static_assert] = ACTIONS(2330),
    [anon_sym_concept] = ACTIONS(2330),
    [anon_sym_co_return] = ACTIONS(2330),
    [anon_sym_co_yield] = ACTIONS(2330),
    [anon_sym_R_DQUOTE] = ACTIONS(2332),
    [anon_sym_LR_DQUOTE] = ACTIONS(2332),
    [anon_sym_uR_DQUOTE] = ACTIONS(2332),
    [anon_sym_UR_DQUOTE] = ACTIONS(2332),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2332),
    [anon_sym_co_await] = ACTIONS(2330),
    [anon_sym_new] = ACTIONS(2330),
    [anon_sym_requires] = ACTIONS(2330),
    [sym_this] = ACTIONS(2330),
    [anon_sym_discard] = ACTIONS(2330),
    [anon_sym_precise] = ACTIONS(2330),
    [anon_sym_shared] = ACTIONS(2330),
    [anon_sym_groupshared] = ACTIONS(2330),
    [anon_sym_uniform] = ACTIONS(2330),
    [anon_sym_row_major] = ACTIONS(2330),
    [anon_sym_column_major] = ACTIONS(2330),
    [anon_sym_globallycoherent] = ACTIONS(2330),
    [anon_sym_centroid] = ACTIONS(2330),
    [anon_sym_noperspective] = ACTIONS(2330),
    [anon_sym_nointerpolation] = ACTIONS(2330),
    [anon_sym_sample] = ACTIONS(2330),
    [anon_sym_linear] = ACTIONS(2330),
    [anon_sym_snorm] = ACTIONS(2330),
    [anon_sym_unorm] = ACTIONS(2330),
    [anon_sym_point] = ACTIONS(2330),
    [anon_sym_line] = ACTIONS(2330),
    [anon_sym_triangleadj] = ACTIONS(2330),
    [anon_sym_lineadj] = ACTIONS(2330),
    [anon_sym_triangle] = ACTIONS(2330),
    [anon_sym_cbuffer] = ACTIONS(2330),
  },
  [1027] = {
    [sym_identifier] = ACTIONS(2330),
    [aux_sym_preproc_include_token1] = ACTIONS(2330),
    [aux_sym_preproc_def_token1] = ACTIONS(2330),
    [aux_sym_preproc_if_token1] = ACTIONS(2330),
    [aux_sym_preproc_if_token2] = ACTIONS(2330),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2330),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2330),
    [sym_preproc_directive] = ACTIONS(2330),
    [anon_sym_LPAREN2] = ACTIONS(2332),
    [anon_sym_BANG] = ACTIONS(2332),
    [anon_sym_TILDE] = ACTIONS(2332),
    [anon_sym_DASH] = ACTIONS(2330),
    [anon_sym_PLUS] = ACTIONS(2330),
    [anon_sym_STAR] = ACTIONS(2332),
    [anon_sym_AMP_AMP] = ACTIONS(2332),
    [anon_sym_AMP] = ACTIONS(2330),
    [anon_sym_SEMI] = ACTIONS(2332),
    [anon_sym___extension__] = ACTIONS(2330),
    [anon_sym_typedef] = ACTIONS(2330),
    [anon_sym_in] = ACTIONS(2330),
    [anon_sym_out] = ACTIONS(2330),
    [anon_sym_inout] = ACTIONS(2330),
    [anon_sym_extern] = ACTIONS(2330),
    [anon_sym___attribute__] = ACTIONS(2330),
    [anon_sym_COLON_COLON] = ACTIONS(2332),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2332),
    [anon_sym___declspec] = ACTIONS(2330),
    [anon_sym___based] = ACTIONS(2330),
    [anon_sym___cdecl] = ACTIONS(2330),
    [anon_sym___clrcall] = ACTIONS(2330),
    [anon_sym___stdcall] = ACTIONS(2330),
    [anon_sym___fastcall] = ACTIONS(2330),
    [anon_sym___thiscall] = ACTIONS(2330),
    [anon_sym___vectorcall] = ACTIONS(2330),
    [anon_sym_LBRACE] = ACTIONS(2332),
    [anon_sym_signed] = ACTIONS(2330),
    [anon_sym_unsigned] = ACTIONS(2330),
    [anon_sym_long] = ACTIONS(2330),
    [anon_sym_short] = ACTIONS(2330),
    [anon_sym_LBRACK] = ACTIONS(2330),
    [anon_sym_static] = ACTIONS(2330),
    [anon_sym_register] = ACTIONS(2330),
    [anon_sym_inline] = ACTIONS(2330),
    [anon_sym___inline] = ACTIONS(2330),
    [anon_sym___inline__] = ACTIONS(2330),
    [anon_sym___forceinline] = ACTIONS(2330),
    [anon_sym_thread_local] = ACTIONS(2330),
    [anon_sym___thread] = ACTIONS(2330),
    [anon_sym_const] = ACTIONS(2330),
    [anon_sym_constexpr] = ACTIONS(2330),
    [anon_sym_volatile] = ACTIONS(2330),
    [anon_sym_restrict] = ACTIONS(2330),
    [anon_sym___restrict__] = ACTIONS(2330),
    [anon_sym__Atomic] = ACTIONS(2330),
    [anon_sym__Noreturn] = ACTIONS(2330),
    [anon_sym_noreturn] = ACTIONS(2330),
    [anon_sym_mutable] = ACTIONS(2330),
    [anon_sym_constinit] = ACTIONS(2330),
    [anon_sym_consteval] = ACTIONS(2330),
    [sym_primitive_type] = ACTIONS(2330),
    [anon_sym_enum] = ACTIONS(2330),
    [anon_sym_class] = ACTIONS(2330),
    [anon_sym_struct] = ACTIONS(2330),
    [anon_sym_union] = ACTIONS(2330),
    [anon_sym_if] = ACTIONS(2330),
    [anon_sym_else] = ACTIONS(2330),
    [anon_sym_switch] = ACTIONS(2330),
    [anon_sym_case] = ACTIONS(2330),
    [anon_sym_default] = ACTIONS(2330),
    [anon_sym_while] = ACTIONS(2330),
    [anon_sym_do] = ACTIONS(2330),
    [anon_sym_for] = ACTIONS(2330),
    [anon_sym_return] = ACTIONS(2330),
    [anon_sym_break] = ACTIONS(2330),
    [anon_sym_continue] = ACTIONS(2330),
    [anon_sym_goto] = ACTIONS(2330),
    [anon_sym___try] = ACTIONS(2330),
    [anon_sym___leave] = ACTIONS(2330),
    [anon_sym_not] = ACTIONS(2330),
    [anon_sym_compl] = ACTIONS(2330),
    [anon_sym_DASH_DASH] = ACTIONS(2332),
    [anon_sym_PLUS_PLUS] = ACTIONS(2332),
    [anon_sym_sizeof] = ACTIONS(2330),
    [anon_sym___alignof__] = ACTIONS(2330),
    [anon_sym___alignof] = ACTIONS(2330),
    [anon_sym__alignof] = ACTIONS(2330),
    [anon_sym_alignof] = ACTIONS(2330),
    [anon_sym__Alignof] = ACTIONS(2330),
    [anon_sym_offsetof] = ACTIONS(2330),
    [anon_sym__Generic] = ACTIONS(2330),
    [anon_sym_asm] = ACTIONS(2330),
    [anon_sym___asm__] = ACTIONS(2330),
    [sym_number_literal] = ACTIONS(2332),
    [anon_sym_L_SQUOTE] = ACTIONS(2332),
    [anon_sym_u_SQUOTE] = ACTIONS(2332),
    [anon_sym_U_SQUOTE] = ACTIONS(2332),
    [anon_sym_u8_SQUOTE] = ACTIONS(2332),
    [anon_sym_SQUOTE] = ACTIONS(2332),
    [anon_sym_L_DQUOTE] = ACTIONS(2332),
    [anon_sym_u_DQUOTE] = ACTIONS(2332),
    [anon_sym_U_DQUOTE] = ACTIONS(2332),
    [anon_sym_u8_DQUOTE] = ACTIONS(2332),
    [anon_sym_DQUOTE] = ACTIONS(2332),
    [sym_true] = ACTIONS(2330),
    [sym_false] = ACTIONS(2330),
    [anon_sym_NULL] = ACTIONS(2330),
    [anon_sym_nullptr] = ACTIONS(2330),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2330),
    [anon_sym_decltype] = ACTIONS(2330),
    [anon_sym_virtual] = ACTIONS(2330),
    [anon_sym_alignas] = ACTIONS(2330),
    [anon_sym_explicit] = ACTIONS(2330),
    [anon_sym_typename] = ACTIONS(2330),
    [anon_sym_template] = ACTIONS(2330),
    [anon_sym_operator] = ACTIONS(2330),
    [anon_sym_try] = ACTIONS(2330),
    [anon_sym_delete] = ACTIONS(2330),
    [anon_sym_throw] = ACTIONS(2330),
    [anon_sym_namespace] = ACTIONS(2330),
    [anon_sym_using] = ACTIONS(2330),
    [anon_sym_static_assert] = ACTIONS(2330),
    [anon_sym_concept] = ACTIONS(2330),
    [anon_sym_co_return] = ACTIONS(2330),
    [anon_sym_co_yield] = ACTIONS(2330),
    [anon_sym_R_DQUOTE] = ACTIONS(2332),
    [anon_sym_LR_DQUOTE] = ACTIONS(2332),
    [anon_sym_uR_DQUOTE] = ACTIONS(2332),
    [anon_sym_UR_DQUOTE] = ACTIONS(2332),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2332),
    [anon_sym_co_await] = ACTIONS(2330),
    [anon_sym_new] = ACTIONS(2330),
    [anon_sym_requires] = ACTIONS(2330),
    [sym_this] = ACTIONS(2330),
    [anon_sym_discard] = ACTIONS(2330),
    [anon_sym_precise] = ACTIONS(2330),
    [anon_sym_shared] = ACTIONS(2330),
    [anon_sym_groupshared] = ACTIONS(2330),
    [anon_sym_uniform] = ACTIONS(2330),
    [anon_sym_row_major] = ACTIONS(2330),
    [anon_sym_column_major] = ACTIONS(2330),
    [anon_sym_globallycoherent] = ACTIONS(2330),
    [anon_sym_centroid] = ACTIONS(2330),
    [anon_sym_noperspective] = ACTIONS(2330),
    [anon_sym_nointerpolation] = ACTIONS(2330),
    [anon_sym_sample] = ACTIONS(2330),
    [anon_sym_linear] = ACTIONS(2330),
    [anon_sym_snorm] = ACTIONS(2330),
    [anon_sym_unorm] = ACTIONS(2330),
    [anon_sym_point] = ACTIONS(2330),
    [anon_sym_line] = ACTIONS(2330),
    [anon_sym_triangleadj] = ACTIONS(2330),
    [anon_sym_lineadj] = ACTIONS(2330),
    [anon_sym_triangle] = ACTIONS(2330),
    [anon_sym_cbuffer] = ACTIONS(2330),
  },
  [1028] = {
    [sym_identifier] = ACTIONS(2330),
    [aux_sym_preproc_include_token1] = ACTIONS(2330),
    [aux_sym_preproc_def_token1] = ACTIONS(2330),
    [aux_sym_preproc_if_token1] = ACTIONS(2330),
    [aux_sym_preproc_if_token2] = ACTIONS(2330),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2330),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2330),
    [sym_preproc_directive] = ACTIONS(2330),
    [anon_sym_LPAREN2] = ACTIONS(2332),
    [anon_sym_BANG] = ACTIONS(2332),
    [anon_sym_TILDE] = ACTIONS(2332),
    [anon_sym_DASH] = ACTIONS(2330),
    [anon_sym_PLUS] = ACTIONS(2330),
    [anon_sym_STAR] = ACTIONS(2332),
    [anon_sym_AMP_AMP] = ACTIONS(2332),
    [anon_sym_AMP] = ACTIONS(2330),
    [anon_sym_SEMI] = ACTIONS(2332),
    [anon_sym___extension__] = ACTIONS(2330),
    [anon_sym_typedef] = ACTIONS(2330),
    [anon_sym_in] = ACTIONS(2330),
    [anon_sym_out] = ACTIONS(2330),
    [anon_sym_inout] = ACTIONS(2330),
    [anon_sym_extern] = ACTIONS(2330),
    [anon_sym___attribute__] = ACTIONS(2330),
    [anon_sym_COLON_COLON] = ACTIONS(2332),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2332),
    [anon_sym___declspec] = ACTIONS(2330),
    [anon_sym___based] = ACTIONS(2330),
    [anon_sym___cdecl] = ACTIONS(2330),
    [anon_sym___clrcall] = ACTIONS(2330),
    [anon_sym___stdcall] = ACTIONS(2330),
    [anon_sym___fastcall] = ACTIONS(2330),
    [anon_sym___thiscall] = ACTIONS(2330),
    [anon_sym___vectorcall] = ACTIONS(2330),
    [anon_sym_LBRACE] = ACTIONS(2332),
    [anon_sym_signed] = ACTIONS(2330),
    [anon_sym_unsigned] = ACTIONS(2330),
    [anon_sym_long] = ACTIONS(2330),
    [anon_sym_short] = ACTIONS(2330),
    [anon_sym_LBRACK] = ACTIONS(2330),
    [anon_sym_static] = ACTIONS(2330),
    [anon_sym_register] = ACTIONS(2330),
    [anon_sym_inline] = ACTIONS(2330),
    [anon_sym___inline] = ACTIONS(2330),
    [anon_sym___inline__] = ACTIONS(2330),
    [anon_sym___forceinline] = ACTIONS(2330),
    [anon_sym_thread_local] = ACTIONS(2330),
    [anon_sym___thread] = ACTIONS(2330),
    [anon_sym_const] = ACTIONS(2330),
    [anon_sym_constexpr] = ACTIONS(2330),
    [anon_sym_volatile] = ACTIONS(2330),
    [anon_sym_restrict] = ACTIONS(2330),
    [anon_sym___restrict__] = ACTIONS(2330),
    [anon_sym__Atomic] = ACTIONS(2330),
    [anon_sym__Noreturn] = ACTIONS(2330),
    [anon_sym_noreturn] = ACTIONS(2330),
    [anon_sym_mutable] = ACTIONS(2330),
    [anon_sym_constinit] = ACTIONS(2330),
    [anon_sym_consteval] = ACTIONS(2330),
    [sym_primitive_type] = ACTIONS(2330),
    [anon_sym_enum] = ACTIONS(2330),
    [anon_sym_class] = ACTIONS(2330),
    [anon_sym_struct] = ACTIONS(2330),
    [anon_sym_union] = ACTIONS(2330),
    [anon_sym_if] = ACTIONS(2330),
    [anon_sym_else] = ACTIONS(2330),
    [anon_sym_switch] = ACTIONS(2330),
    [anon_sym_case] = ACTIONS(2330),
    [anon_sym_default] = ACTIONS(2330),
    [anon_sym_while] = ACTIONS(2330),
    [anon_sym_do] = ACTIONS(2330),
    [anon_sym_for] = ACTIONS(2330),
    [anon_sym_return] = ACTIONS(2330),
    [anon_sym_break] = ACTIONS(2330),
    [anon_sym_continue] = ACTIONS(2330),
    [anon_sym_goto] = ACTIONS(2330),
    [anon_sym___try] = ACTIONS(2330),
    [anon_sym___leave] = ACTIONS(2330),
    [anon_sym_not] = ACTIONS(2330),
    [anon_sym_compl] = ACTIONS(2330),
    [anon_sym_DASH_DASH] = ACTIONS(2332),
    [anon_sym_PLUS_PLUS] = ACTIONS(2332),
    [anon_sym_sizeof] = ACTIONS(2330),
    [anon_sym___alignof__] = ACTIONS(2330),
    [anon_sym___alignof] = ACTIONS(2330),
    [anon_sym__alignof] = ACTIONS(2330),
    [anon_sym_alignof] = ACTIONS(2330),
    [anon_sym__Alignof] = ACTIONS(2330),
    [anon_sym_offsetof] = ACTIONS(2330),
    [anon_sym__Generic] = ACTIONS(2330),
    [anon_sym_asm] = ACTIONS(2330),
    [anon_sym___asm__] = ACTIONS(2330),
    [sym_number_literal] = ACTIONS(2332),
    [anon_sym_L_SQUOTE] = ACTIONS(2332),
    [anon_sym_u_SQUOTE] = ACTIONS(2332),
    [anon_sym_U_SQUOTE] = ACTIONS(2332),
    [anon_sym_u8_SQUOTE] = ACTIONS(2332),
    [anon_sym_SQUOTE] = ACTIONS(2332),
    [anon_sym_L_DQUOTE] = ACTIONS(2332),
    [anon_sym_u_DQUOTE] = ACTIONS(2332),
    [anon_sym_U_DQUOTE] = ACTIONS(2332),
    [anon_sym_u8_DQUOTE] = ACTIONS(2332),
    [anon_sym_DQUOTE] = ACTIONS(2332),
    [sym_true] = ACTIONS(2330),
    [sym_false] = ACTIONS(2330),
    [anon_sym_NULL] = ACTIONS(2330),
    [anon_sym_nullptr] = ACTIONS(2330),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2330),
    [anon_sym_decltype] = ACTIONS(2330),
    [anon_sym_virtual] = ACTIONS(2330),
    [anon_sym_alignas] = ACTIONS(2330),
    [anon_sym_explicit] = ACTIONS(2330),
    [anon_sym_typename] = ACTIONS(2330),
    [anon_sym_template] = ACTIONS(2330),
    [anon_sym_operator] = ACTIONS(2330),
    [anon_sym_try] = ACTIONS(2330),
    [anon_sym_delete] = ACTIONS(2330),
    [anon_sym_throw] = ACTIONS(2330),
    [anon_sym_namespace] = ACTIONS(2330),
    [anon_sym_using] = ACTIONS(2330),
    [anon_sym_static_assert] = ACTIONS(2330),
    [anon_sym_concept] = ACTIONS(2330),
    [anon_sym_co_return] = ACTIONS(2330),
    [anon_sym_co_yield] = ACTIONS(2330),
    [anon_sym_R_DQUOTE] = ACTIONS(2332),
    [anon_sym_LR_DQUOTE] = ACTIONS(2332),
    [anon_sym_uR_DQUOTE] = ACTIONS(2332),
    [anon_sym_UR_DQUOTE] = ACTIONS(2332),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2332),
    [anon_sym_co_await] = ACTIONS(2330),
    [anon_sym_new] = ACTIONS(2330),
    [anon_sym_requires] = ACTIONS(2330),
    [sym_this] = ACTIONS(2330),
    [anon_sym_discard] = ACTIONS(2330),
    [anon_sym_precise] = ACTIONS(2330),
    [anon_sym_shared] = ACTIONS(2330),
    [anon_sym_groupshared] = ACTIONS(2330),
    [anon_sym_uniform] = ACTIONS(2330),
    [anon_sym_row_major] = ACTIONS(2330),
    [anon_sym_column_major] = ACTIONS(2330),
    [anon_sym_globallycoherent] = ACTIONS(2330),
    [anon_sym_centroid] = ACTIONS(2330),
    [anon_sym_noperspective] = ACTIONS(2330),
    [anon_sym_nointerpolation] = ACTIONS(2330),
    [anon_sym_sample] = ACTIONS(2330),
    [anon_sym_linear] = ACTIONS(2330),
    [anon_sym_snorm] = ACTIONS(2330),
    [anon_sym_unorm] = ACTIONS(2330),
    [anon_sym_point] = ACTIONS(2330),
    [anon_sym_line] = ACTIONS(2330),
    [anon_sym_triangleadj] = ACTIONS(2330),
    [anon_sym_lineadj] = ACTIONS(2330),
    [anon_sym_triangle] = ACTIONS(2330),
    [anon_sym_cbuffer] = ACTIONS(2330),
  },
  [1029] = {
    [sym_identifier] = ACTIONS(2330),
    [aux_sym_preproc_include_token1] = ACTIONS(2330),
    [aux_sym_preproc_def_token1] = ACTIONS(2330),
    [aux_sym_preproc_if_token1] = ACTIONS(2330),
    [aux_sym_preproc_if_token2] = ACTIONS(2330),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2330),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2330),
    [sym_preproc_directive] = ACTIONS(2330),
    [anon_sym_LPAREN2] = ACTIONS(2332),
    [anon_sym_BANG] = ACTIONS(2332),
    [anon_sym_TILDE] = ACTIONS(2332),
    [anon_sym_DASH] = ACTIONS(2330),
    [anon_sym_PLUS] = ACTIONS(2330),
    [anon_sym_STAR] = ACTIONS(2332),
    [anon_sym_AMP_AMP] = ACTIONS(2332),
    [anon_sym_AMP] = ACTIONS(2330),
    [anon_sym_SEMI] = ACTIONS(2332),
    [anon_sym___extension__] = ACTIONS(2330),
    [anon_sym_typedef] = ACTIONS(2330),
    [anon_sym_in] = ACTIONS(2330),
    [anon_sym_out] = ACTIONS(2330),
    [anon_sym_inout] = ACTIONS(2330),
    [anon_sym_extern] = ACTIONS(2330),
    [anon_sym___attribute__] = ACTIONS(2330),
    [anon_sym_COLON_COLON] = ACTIONS(2332),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2332),
    [anon_sym___declspec] = ACTIONS(2330),
    [anon_sym___based] = ACTIONS(2330),
    [anon_sym___cdecl] = ACTIONS(2330),
    [anon_sym___clrcall] = ACTIONS(2330),
    [anon_sym___stdcall] = ACTIONS(2330),
    [anon_sym___fastcall] = ACTIONS(2330),
    [anon_sym___thiscall] = ACTIONS(2330),
    [anon_sym___vectorcall] = ACTIONS(2330),
    [anon_sym_LBRACE] = ACTIONS(2332),
    [anon_sym_signed] = ACTIONS(2330),
    [anon_sym_unsigned] = ACTIONS(2330),
    [anon_sym_long] = ACTIONS(2330),
    [anon_sym_short] = ACTIONS(2330),
    [anon_sym_LBRACK] = ACTIONS(2330),
    [anon_sym_static] = ACTIONS(2330),
    [anon_sym_register] = ACTIONS(2330),
    [anon_sym_inline] = ACTIONS(2330),
    [anon_sym___inline] = ACTIONS(2330),
    [anon_sym___inline__] = ACTIONS(2330),
    [anon_sym___forceinline] = ACTIONS(2330),
    [anon_sym_thread_local] = ACTIONS(2330),
    [anon_sym___thread] = ACTIONS(2330),
    [anon_sym_const] = ACTIONS(2330),
    [anon_sym_constexpr] = ACTIONS(2330),
    [anon_sym_volatile] = ACTIONS(2330),
    [anon_sym_restrict] = ACTIONS(2330),
    [anon_sym___restrict__] = ACTIONS(2330),
    [anon_sym__Atomic] = ACTIONS(2330),
    [anon_sym__Noreturn] = ACTIONS(2330),
    [anon_sym_noreturn] = ACTIONS(2330),
    [anon_sym_mutable] = ACTIONS(2330),
    [anon_sym_constinit] = ACTIONS(2330),
    [anon_sym_consteval] = ACTIONS(2330),
    [sym_primitive_type] = ACTIONS(2330),
    [anon_sym_enum] = ACTIONS(2330),
    [anon_sym_class] = ACTIONS(2330),
    [anon_sym_struct] = ACTIONS(2330),
    [anon_sym_union] = ACTIONS(2330),
    [anon_sym_if] = ACTIONS(2330),
    [anon_sym_else] = ACTIONS(2330),
    [anon_sym_switch] = ACTIONS(2330),
    [anon_sym_case] = ACTIONS(2330),
    [anon_sym_default] = ACTIONS(2330),
    [anon_sym_while] = ACTIONS(2330),
    [anon_sym_do] = ACTIONS(2330),
    [anon_sym_for] = ACTIONS(2330),
    [anon_sym_return] = ACTIONS(2330),
    [anon_sym_break] = ACTIONS(2330),
    [anon_sym_continue] = ACTIONS(2330),
    [anon_sym_goto] = ACTIONS(2330),
    [anon_sym___try] = ACTIONS(2330),
    [anon_sym___leave] = ACTIONS(2330),
    [anon_sym_not] = ACTIONS(2330),
    [anon_sym_compl] = ACTIONS(2330),
    [anon_sym_DASH_DASH] = ACTIONS(2332),
    [anon_sym_PLUS_PLUS] = ACTIONS(2332),
    [anon_sym_sizeof] = ACTIONS(2330),
    [anon_sym___alignof__] = ACTIONS(2330),
    [anon_sym___alignof] = ACTIONS(2330),
    [anon_sym__alignof] = ACTIONS(2330),
    [anon_sym_alignof] = ACTIONS(2330),
    [anon_sym__Alignof] = ACTIONS(2330),
    [anon_sym_offsetof] = ACTIONS(2330),
    [anon_sym__Generic] = ACTIONS(2330),
    [anon_sym_asm] = ACTIONS(2330),
    [anon_sym___asm__] = ACTIONS(2330),
    [sym_number_literal] = ACTIONS(2332),
    [anon_sym_L_SQUOTE] = ACTIONS(2332),
    [anon_sym_u_SQUOTE] = ACTIONS(2332),
    [anon_sym_U_SQUOTE] = ACTIONS(2332),
    [anon_sym_u8_SQUOTE] = ACTIONS(2332),
    [anon_sym_SQUOTE] = ACTIONS(2332),
    [anon_sym_L_DQUOTE] = ACTIONS(2332),
    [anon_sym_u_DQUOTE] = ACTIONS(2332),
    [anon_sym_U_DQUOTE] = ACTIONS(2332),
    [anon_sym_u8_DQUOTE] = ACTIONS(2332),
    [anon_sym_DQUOTE] = ACTIONS(2332),
    [sym_true] = ACTIONS(2330),
    [sym_false] = ACTIONS(2330),
    [anon_sym_NULL] = ACTIONS(2330),
    [anon_sym_nullptr] = ACTIONS(2330),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2330),
    [anon_sym_decltype] = ACTIONS(2330),
    [anon_sym_virtual] = ACTIONS(2330),
    [anon_sym_alignas] = ACTIONS(2330),
    [anon_sym_explicit] = ACTIONS(2330),
    [anon_sym_typename] = ACTIONS(2330),
    [anon_sym_template] = ACTIONS(2330),
    [anon_sym_operator] = ACTIONS(2330),
    [anon_sym_try] = ACTIONS(2330),
    [anon_sym_delete] = ACTIONS(2330),
    [anon_sym_throw] = ACTIONS(2330),
    [anon_sym_namespace] = ACTIONS(2330),
    [anon_sym_using] = ACTIONS(2330),
    [anon_sym_static_assert] = ACTIONS(2330),
    [anon_sym_concept] = ACTIONS(2330),
    [anon_sym_co_return] = ACTIONS(2330),
    [anon_sym_co_yield] = ACTIONS(2330),
    [anon_sym_R_DQUOTE] = ACTIONS(2332),
    [anon_sym_LR_DQUOTE] = ACTIONS(2332),
    [anon_sym_uR_DQUOTE] = ACTIONS(2332),
    [anon_sym_UR_DQUOTE] = ACTIONS(2332),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2332),
    [anon_sym_co_await] = ACTIONS(2330),
    [anon_sym_new] = ACTIONS(2330),
    [anon_sym_requires] = ACTIONS(2330),
    [sym_this] = ACTIONS(2330),
    [anon_sym_discard] = ACTIONS(2330),
    [anon_sym_precise] = ACTIONS(2330),
    [anon_sym_shared] = ACTIONS(2330),
    [anon_sym_groupshared] = ACTIONS(2330),
    [anon_sym_uniform] = ACTIONS(2330),
    [anon_sym_row_major] = ACTIONS(2330),
    [anon_sym_column_major] = ACTIONS(2330),
    [anon_sym_globallycoherent] = ACTIONS(2330),
    [anon_sym_centroid] = ACTIONS(2330),
    [anon_sym_noperspective] = ACTIONS(2330),
    [anon_sym_nointerpolation] = ACTIONS(2330),
    [anon_sym_sample] = ACTIONS(2330),
    [anon_sym_linear] = ACTIONS(2330),
    [anon_sym_snorm] = ACTIONS(2330),
    [anon_sym_unorm] = ACTIONS(2330),
    [anon_sym_point] = ACTIONS(2330),
    [anon_sym_line] = ACTIONS(2330),
    [anon_sym_triangleadj] = ACTIONS(2330),
    [anon_sym_lineadj] = ACTIONS(2330),
    [anon_sym_triangle] = ACTIONS(2330),
    [anon_sym_cbuffer] = ACTIONS(2330),
  },
  [1030] = {
    [ts_builtin_sym_end] = ACTIONS(2336),
    [sym_identifier] = ACTIONS(2334),
    [aux_sym_preproc_include_token1] = ACTIONS(2334),
    [aux_sym_preproc_def_token1] = ACTIONS(2334),
    [aux_sym_preproc_if_token1] = ACTIONS(2334),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2334),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2334),
    [sym_preproc_directive] = ACTIONS(2334),
    [anon_sym_LPAREN2] = ACTIONS(2336),
    [anon_sym_BANG] = ACTIONS(2336),
    [anon_sym_TILDE] = ACTIONS(2336),
    [anon_sym_DASH] = ACTIONS(2334),
    [anon_sym_PLUS] = ACTIONS(2334),
    [anon_sym_STAR] = ACTIONS(2336),
    [anon_sym_AMP_AMP] = ACTIONS(2336),
    [anon_sym_AMP] = ACTIONS(2334),
    [anon_sym_SEMI] = ACTIONS(2336),
    [anon_sym___extension__] = ACTIONS(2334),
    [anon_sym_typedef] = ACTIONS(2334),
    [anon_sym_in] = ACTIONS(2334),
    [anon_sym_out] = ACTIONS(2334),
    [anon_sym_inout] = ACTIONS(2334),
    [anon_sym_extern] = ACTIONS(2334),
    [anon_sym___attribute__] = ACTIONS(2334),
    [anon_sym_COLON_COLON] = ACTIONS(2336),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2336),
    [anon_sym___declspec] = ACTIONS(2334),
    [anon_sym___based] = ACTIONS(2334),
    [anon_sym___cdecl] = ACTIONS(2334),
    [anon_sym___clrcall] = ACTIONS(2334),
    [anon_sym___stdcall] = ACTIONS(2334),
    [anon_sym___fastcall] = ACTIONS(2334),
    [anon_sym___thiscall] = ACTIONS(2334),
    [anon_sym___vectorcall] = ACTIONS(2334),
    [anon_sym_LBRACE] = ACTIONS(2336),
    [anon_sym_signed] = ACTIONS(2334),
    [anon_sym_unsigned] = ACTIONS(2334),
    [anon_sym_long] = ACTIONS(2334),
    [anon_sym_short] = ACTIONS(2334),
    [anon_sym_LBRACK] = ACTIONS(2334),
    [anon_sym_static] = ACTIONS(2334),
    [anon_sym_register] = ACTIONS(2334),
    [anon_sym_inline] = ACTIONS(2334),
    [anon_sym___inline] = ACTIONS(2334),
    [anon_sym___inline__] = ACTIONS(2334),
    [anon_sym___forceinline] = ACTIONS(2334),
    [anon_sym_thread_local] = ACTIONS(2334),
    [anon_sym___thread] = ACTIONS(2334),
    [anon_sym_const] = ACTIONS(2334),
    [anon_sym_constexpr] = ACTIONS(2334),
    [anon_sym_volatile] = ACTIONS(2334),
    [anon_sym_restrict] = ACTIONS(2334),
    [anon_sym___restrict__] = ACTIONS(2334),
    [anon_sym__Atomic] = ACTIONS(2334),
    [anon_sym__Noreturn] = ACTIONS(2334),
    [anon_sym_noreturn] = ACTIONS(2334),
    [anon_sym_mutable] = ACTIONS(2334),
    [anon_sym_constinit] = ACTIONS(2334),
    [anon_sym_consteval] = ACTIONS(2334),
    [sym_primitive_type] = ACTIONS(2334),
    [anon_sym_enum] = ACTIONS(2334),
    [anon_sym_class] = ACTIONS(2334),
    [anon_sym_struct] = ACTIONS(2334),
    [anon_sym_union] = ACTIONS(2334),
    [anon_sym_if] = ACTIONS(2334),
    [anon_sym_else] = ACTIONS(2334),
    [anon_sym_switch] = ACTIONS(2334),
    [anon_sym_case] = ACTIONS(2334),
    [anon_sym_default] = ACTIONS(2334),
    [anon_sym_while] = ACTIONS(2334),
    [anon_sym_do] = ACTIONS(2334),
    [anon_sym_for] = ACTIONS(2334),
    [anon_sym_return] = ACTIONS(2334),
    [anon_sym_break] = ACTIONS(2334),
    [anon_sym_continue] = ACTIONS(2334),
    [anon_sym_goto] = ACTIONS(2334),
    [anon_sym___try] = ACTIONS(2334),
    [anon_sym___leave] = ACTIONS(2334),
    [anon_sym_not] = ACTIONS(2334),
    [anon_sym_compl] = ACTIONS(2334),
    [anon_sym_DASH_DASH] = ACTIONS(2336),
    [anon_sym_PLUS_PLUS] = ACTIONS(2336),
    [anon_sym_sizeof] = ACTIONS(2334),
    [anon_sym___alignof__] = ACTIONS(2334),
    [anon_sym___alignof] = ACTIONS(2334),
    [anon_sym__alignof] = ACTIONS(2334),
    [anon_sym_alignof] = ACTIONS(2334),
    [anon_sym__Alignof] = ACTIONS(2334),
    [anon_sym_offsetof] = ACTIONS(2334),
    [anon_sym__Generic] = ACTIONS(2334),
    [anon_sym_asm] = ACTIONS(2334),
    [anon_sym___asm__] = ACTIONS(2334),
    [sym_number_literal] = ACTIONS(2336),
    [anon_sym_L_SQUOTE] = ACTIONS(2336),
    [anon_sym_u_SQUOTE] = ACTIONS(2336),
    [anon_sym_U_SQUOTE] = ACTIONS(2336),
    [anon_sym_u8_SQUOTE] = ACTIONS(2336),
    [anon_sym_SQUOTE] = ACTIONS(2336),
    [anon_sym_L_DQUOTE] = ACTIONS(2336),
    [anon_sym_u_DQUOTE] = ACTIONS(2336),
    [anon_sym_U_DQUOTE] = ACTIONS(2336),
    [anon_sym_u8_DQUOTE] = ACTIONS(2336),
    [anon_sym_DQUOTE] = ACTIONS(2336),
    [sym_true] = ACTIONS(2334),
    [sym_false] = ACTIONS(2334),
    [anon_sym_NULL] = ACTIONS(2334),
    [anon_sym_nullptr] = ACTIONS(2334),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2334),
    [anon_sym_decltype] = ACTIONS(2334),
    [anon_sym_virtual] = ACTIONS(2334),
    [anon_sym_alignas] = ACTIONS(2334),
    [anon_sym_explicit] = ACTIONS(2334),
    [anon_sym_typename] = ACTIONS(2334),
    [anon_sym_template] = ACTIONS(2334),
    [anon_sym_operator] = ACTIONS(2334),
    [anon_sym_try] = ACTIONS(2334),
    [anon_sym_delete] = ACTIONS(2334),
    [anon_sym_throw] = ACTIONS(2334),
    [anon_sym_namespace] = ACTIONS(2334),
    [anon_sym_using] = ACTIONS(2334),
    [anon_sym_static_assert] = ACTIONS(2334),
    [anon_sym_concept] = ACTIONS(2334),
    [anon_sym_co_return] = ACTIONS(2334),
    [anon_sym_co_yield] = ACTIONS(2334),
    [anon_sym_R_DQUOTE] = ACTIONS(2336),
    [anon_sym_LR_DQUOTE] = ACTIONS(2336),
    [anon_sym_uR_DQUOTE] = ACTIONS(2336),
    [anon_sym_UR_DQUOTE] = ACTIONS(2336),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2336),
    [anon_sym_co_await] = ACTIONS(2334),
    [anon_sym_new] = ACTIONS(2334),
    [anon_sym_requires] = ACTIONS(2334),
    [sym_this] = ACTIONS(2334),
    [anon_sym_discard] = ACTIONS(2334),
    [anon_sym_precise] = ACTIONS(2334),
    [anon_sym_shared] = ACTIONS(2334),
    [anon_sym_groupshared] = ACTIONS(2334),
    [anon_sym_uniform] = ACTIONS(2334),
    [anon_sym_row_major] = ACTIONS(2334),
    [anon_sym_column_major] = ACTIONS(2334),
    [anon_sym_globallycoherent] = ACTIONS(2334),
    [anon_sym_centroid] = ACTIONS(2334),
    [anon_sym_noperspective] = ACTIONS(2334),
    [anon_sym_nointerpolation] = ACTIONS(2334),
    [anon_sym_sample] = ACTIONS(2334),
    [anon_sym_linear] = ACTIONS(2334),
    [anon_sym_snorm] = ACTIONS(2334),
    [anon_sym_unorm] = ACTIONS(2334),
    [anon_sym_point] = ACTIONS(2334),
    [anon_sym_line] = ACTIONS(2334),
    [anon_sym_triangleadj] = ACTIONS(2334),
    [anon_sym_lineadj] = ACTIONS(2334),
    [anon_sym_triangle] = ACTIONS(2334),
    [anon_sym_cbuffer] = ACTIONS(2334),
  },
  [1031] = {
    [sym_identifier] = ACTIONS(2330),
    [aux_sym_preproc_include_token1] = ACTIONS(2330),
    [aux_sym_preproc_def_token1] = ACTIONS(2330),
    [aux_sym_preproc_if_token1] = ACTIONS(2330),
    [aux_sym_preproc_if_token2] = ACTIONS(2330),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2330),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2330),
    [sym_preproc_directive] = ACTIONS(2330),
    [anon_sym_LPAREN2] = ACTIONS(2332),
    [anon_sym_BANG] = ACTIONS(2332),
    [anon_sym_TILDE] = ACTIONS(2332),
    [anon_sym_DASH] = ACTIONS(2330),
    [anon_sym_PLUS] = ACTIONS(2330),
    [anon_sym_STAR] = ACTIONS(2332),
    [anon_sym_AMP_AMP] = ACTIONS(2332),
    [anon_sym_AMP] = ACTIONS(2330),
    [anon_sym_SEMI] = ACTIONS(2332),
    [anon_sym___extension__] = ACTIONS(2330),
    [anon_sym_typedef] = ACTIONS(2330),
    [anon_sym_in] = ACTIONS(2330),
    [anon_sym_out] = ACTIONS(2330),
    [anon_sym_inout] = ACTIONS(2330),
    [anon_sym_extern] = ACTIONS(2330),
    [anon_sym___attribute__] = ACTIONS(2330),
    [anon_sym_COLON_COLON] = ACTIONS(2332),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2332),
    [anon_sym___declspec] = ACTIONS(2330),
    [anon_sym___based] = ACTIONS(2330),
    [anon_sym___cdecl] = ACTIONS(2330),
    [anon_sym___clrcall] = ACTIONS(2330),
    [anon_sym___stdcall] = ACTIONS(2330),
    [anon_sym___fastcall] = ACTIONS(2330),
    [anon_sym___thiscall] = ACTIONS(2330),
    [anon_sym___vectorcall] = ACTIONS(2330),
    [anon_sym_LBRACE] = ACTIONS(2332),
    [anon_sym_signed] = ACTIONS(2330),
    [anon_sym_unsigned] = ACTIONS(2330),
    [anon_sym_long] = ACTIONS(2330),
    [anon_sym_short] = ACTIONS(2330),
    [anon_sym_LBRACK] = ACTIONS(2330),
    [anon_sym_static] = ACTIONS(2330),
    [anon_sym_register] = ACTIONS(2330),
    [anon_sym_inline] = ACTIONS(2330),
    [anon_sym___inline] = ACTIONS(2330),
    [anon_sym___inline__] = ACTIONS(2330),
    [anon_sym___forceinline] = ACTIONS(2330),
    [anon_sym_thread_local] = ACTIONS(2330),
    [anon_sym___thread] = ACTIONS(2330),
    [anon_sym_const] = ACTIONS(2330),
    [anon_sym_constexpr] = ACTIONS(2330),
    [anon_sym_volatile] = ACTIONS(2330),
    [anon_sym_restrict] = ACTIONS(2330),
    [anon_sym___restrict__] = ACTIONS(2330),
    [anon_sym__Atomic] = ACTIONS(2330),
    [anon_sym__Noreturn] = ACTIONS(2330),
    [anon_sym_noreturn] = ACTIONS(2330),
    [anon_sym_mutable] = ACTIONS(2330),
    [anon_sym_constinit] = ACTIONS(2330),
    [anon_sym_consteval] = ACTIONS(2330),
    [sym_primitive_type] = ACTIONS(2330),
    [anon_sym_enum] = ACTIONS(2330),
    [anon_sym_class] = ACTIONS(2330),
    [anon_sym_struct] = ACTIONS(2330),
    [anon_sym_union] = ACTIONS(2330),
    [anon_sym_if] = ACTIONS(2330),
    [anon_sym_else] = ACTIONS(2330),
    [anon_sym_switch] = ACTIONS(2330),
    [anon_sym_case] = ACTIONS(2330),
    [anon_sym_default] = ACTIONS(2330),
    [anon_sym_while] = ACTIONS(2330),
    [anon_sym_do] = ACTIONS(2330),
    [anon_sym_for] = ACTIONS(2330),
    [anon_sym_return] = ACTIONS(2330),
    [anon_sym_break] = ACTIONS(2330),
    [anon_sym_continue] = ACTIONS(2330),
    [anon_sym_goto] = ACTIONS(2330),
    [anon_sym___try] = ACTIONS(2330),
    [anon_sym___leave] = ACTIONS(2330),
    [anon_sym_not] = ACTIONS(2330),
    [anon_sym_compl] = ACTIONS(2330),
    [anon_sym_DASH_DASH] = ACTIONS(2332),
    [anon_sym_PLUS_PLUS] = ACTIONS(2332),
    [anon_sym_sizeof] = ACTIONS(2330),
    [anon_sym___alignof__] = ACTIONS(2330),
    [anon_sym___alignof] = ACTIONS(2330),
    [anon_sym__alignof] = ACTIONS(2330),
    [anon_sym_alignof] = ACTIONS(2330),
    [anon_sym__Alignof] = ACTIONS(2330),
    [anon_sym_offsetof] = ACTIONS(2330),
    [anon_sym__Generic] = ACTIONS(2330),
    [anon_sym_asm] = ACTIONS(2330),
    [anon_sym___asm__] = ACTIONS(2330),
    [sym_number_literal] = ACTIONS(2332),
    [anon_sym_L_SQUOTE] = ACTIONS(2332),
    [anon_sym_u_SQUOTE] = ACTIONS(2332),
    [anon_sym_U_SQUOTE] = ACTIONS(2332),
    [anon_sym_u8_SQUOTE] = ACTIONS(2332),
    [anon_sym_SQUOTE] = ACTIONS(2332),
    [anon_sym_L_DQUOTE] = ACTIONS(2332),
    [anon_sym_u_DQUOTE] = ACTIONS(2332),
    [anon_sym_U_DQUOTE] = ACTIONS(2332),
    [anon_sym_u8_DQUOTE] = ACTIONS(2332),
    [anon_sym_DQUOTE] = ACTIONS(2332),
    [sym_true] = ACTIONS(2330),
    [sym_false] = ACTIONS(2330),
    [anon_sym_NULL] = ACTIONS(2330),
    [anon_sym_nullptr] = ACTIONS(2330),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2330),
    [anon_sym_decltype] = ACTIONS(2330),
    [anon_sym_virtual] = ACTIONS(2330),
    [anon_sym_alignas] = ACTIONS(2330),
    [anon_sym_explicit] = ACTIONS(2330),
    [anon_sym_typename] = ACTIONS(2330),
    [anon_sym_template] = ACTIONS(2330),
    [anon_sym_operator] = ACTIONS(2330),
    [anon_sym_try] = ACTIONS(2330),
    [anon_sym_delete] = ACTIONS(2330),
    [anon_sym_throw] = ACTIONS(2330),
    [anon_sym_namespace] = ACTIONS(2330),
    [anon_sym_using] = ACTIONS(2330),
    [anon_sym_static_assert] = ACTIONS(2330),
    [anon_sym_concept] = ACTIONS(2330),
    [anon_sym_co_return] = ACTIONS(2330),
    [anon_sym_co_yield] = ACTIONS(2330),
    [anon_sym_R_DQUOTE] = ACTIONS(2332),
    [anon_sym_LR_DQUOTE] = ACTIONS(2332),
    [anon_sym_uR_DQUOTE] = ACTIONS(2332),
    [anon_sym_UR_DQUOTE] = ACTIONS(2332),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2332),
    [anon_sym_co_await] = ACTIONS(2330),
    [anon_sym_new] = ACTIONS(2330),
    [anon_sym_requires] = ACTIONS(2330),
    [sym_this] = ACTIONS(2330),
    [anon_sym_discard] = ACTIONS(2330),
    [anon_sym_precise] = ACTIONS(2330),
    [anon_sym_shared] = ACTIONS(2330),
    [anon_sym_groupshared] = ACTIONS(2330),
    [anon_sym_uniform] = ACTIONS(2330),
    [anon_sym_row_major] = ACTIONS(2330),
    [anon_sym_column_major] = ACTIONS(2330),
    [anon_sym_globallycoherent] = ACTIONS(2330),
    [anon_sym_centroid] = ACTIONS(2330),
    [anon_sym_noperspective] = ACTIONS(2330),
    [anon_sym_nointerpolation] = ACTIONS(2330),
    [anon_sym_sample] = ACTIONS(2330),
    [anon_sym_linear] = ACTIONS(2330),
    [anon_sym_snorm] = ACTIONS(2330),
    [anon_sym_unorm] = ACTIONS(2330),
    [anon_sym_point] = ACTIONS(2330),
    [anon_sym_line] = ACTIONS(2330),
    [anon_sym_triangleadj] = ACTIONS(2330),
    [anon_sym_lineadj] = ACTIONS(2330),
    [anon_sym_triangle] = ACTIONS(2330),
    [anon_sym_cbuffer] = ACTIONS(2330),
  },
  [1032] = {
    [sym_identifier] = ACTIONS(2508),
    [aux_sym_preproc_include_token1] = ACTIONS(2508),
    [aux_sym_preproc_def_token1] = ACTIONS(2508),
    [aux_sym_preproc_if_token1] = ACTIONS(2508),
    [aux_sym_preproc_if_token2] = ACTIONS(2508),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2508),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2508),
    [sym_preproc_directive] = ACTIONS(2508),
    [anon_sym_LPAREN2] = ACTIONS(2510),
    [anon_sym_BANG] = ACTIONS(2510),
    [anon_sym_TILDE] = ACTIONS(2510),
    [anon_sym_DASH] = ACTIONS(2508),
    [anon_sym_PLUS] = ACTIONS(2508),
    [anon_sym_STAR] = ACTIONS(2510),
    [anon_sym_AMP_AMP] = ACTIONS(2510),
    [anon_sym_AMP] = ACTIONS(2508),
    [anon_sym_SEMI] = ACTIONS(2510),
    [anon_sym___extension__] = ACTIONS(2508),
    [anon_sym_typedef] = ACTIONS(2508),
    [anon_sym_in] = ACTIONS(2508),
    [anon_sym_out] = ACTIONS(2508),
    [anon_sym_inout] = ACTIONS(2508),
    [anon_sym_extern] = ACTIONS(2508),
    [anon_sym___attribute__] = ACTIONS(2508),
    [anon_sym_COLON_COLON] = ACTIONS(2510),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2510),
    [anon_sym___declspec] = ACTIONS(2508),
    [anon_sym___based] = ACTIONS(2508),
    [anon_sym___cdecl] = ACTIONS(2508),
    [anon_sym___clrcall] = ACTIONS(2508),
    [anon_sym___stdcall] = ACTIONS(2508),
    [anon_sym___fastcall] = ACTIONS(2508),
    [anon_sym___thiscall] = ACTIONS(2508),
    [anon_sym___vectorcall] = ACTIONS(2508),
    [anon_sym_LBRACE] = ACTIONS(2510),
    [anon_sym_signed] = ACTIONS(2508),
    [anon_sym_unsigned] = ACTIONS(2508),
    [anon_sym_long] = ACTIONS(2508),
    [anon_sym_short] = ACTIONS(2508),
    [anon_sym_LBRACK] = ACTIONS(2508),
    [anon_sym_static] = ACTIONS(2508),
    [anon_sym_register] = ACTIONS(2508),
    [anon_sym_inline] = ACTIONS(2508),
    [anon_sym___inline] = ACTIONS(2508),
    [anon_sym___inline__] = ACTIONS(2508),
    [anon_sym___forceinline] = ACTIONS(2508),
    [anon_sym_thread_local] = ACTIONS(2508),
    [anon_sym___thread] = ACTIONS(2508),
    [anon_sym_const] = ACTIONS(2508),
    [anon_sym_constexpr] = ACTIONS(2508),
    [anon_sym_volatile] = ACTIONS(2508),
    [anon_sym_restrict] = ACTIONS(2508),
    [anon_sym___restrict__] = ACTIONS(2508),
    [anon_sym__Atomic] = ACTIONS(2508),
    [anon_sym__Noreturn] = ACTIONS(2508),
    [anon_sym_noreturn] = ACTIONS(2508),
    [anon_sym_mutable] = ACTIONS(2508),
    [anon_sym_constinit] = ACTIONS(2508),
    [anon_sym_consteval] = ACTIONS(2508),
    [sym_primitive_type] = ACTIONS(2508),
    [anon_sym_enum] = ACTIONS(2508),
    [anon_sym_class] = ACTIONS(2508),
    [anon_sym_struct] = ACTIONS(2508),
    [anon_sym_union] = ACTIONS(2508),
    [anon_sym_if] = ACTIONS(2508),
    [anon_sym_else] = ACTIONS(2508),
    [anon_sym_switch] = ACTIONS(2508),
    [anon_sym_case] = ACTIONS(2508),
    [anon_sym_default] = ACTIONS(2508),
    [anon_sym_while] = ACTIONS(2508),
    [anon_sym_do] = ACTIONS(2508),
    [anon_sym_for] = ACTIONS(2508),
    [anon_sym_return] = ACTIONS(2508),
    [anon_sym_break] = ACTIONS(2508),
    [anon_sym_continue] = ACTIONS(2508),
    [anon_sym_goto] = ACTIONS(2508),
    [anon_sym___try] = ACTIONS(2508),
    [anon_sym___leave] = ACTIONS(2508),
    [anon_sym_not] = ACTIONS(2508),
    [anon_sym_compl] = ACTIONS(2508),
    [anon_sym_DASH_DASH] = ACTIONS(2510),
    [anon_sym_PLUS_PLUS] = ACTIONS(2510),
    [anon_sym_sizeof] = ACTIONS(2508),
    [anon_sym___alignof__] = ACTIONS(2508),
    [anon_sym___alignof] = ACTIONS(2508),
    [anon_sym__alignof] = ACTIONS(2508),
    [anon_sym_alignof] = ACTIONS(2508),
    [anon_sym__Alignof] = ACTIONS(2508),
    [anon_sym_offsetof] = ACTIONS(2508),
    [anon_sym__Generic] = ACTIONS(2508),
    [anon_sym_asm] = ACTIONS(2508),
    [anon_sym___asm__] = ACTIONS(2508),
    [sym_number_literal] = ACTIONS(2510),
    [anon_sym_L_SQUOTE] = ACTIONS(2510),
    [anon_sym_u_SQUOTE] = ACTIONS(2510),
    [anon_sym_U_SQUOTE] = ACTIONS(2510),
    [anon_sym_u8_SQUOTE] = ACTIONS(2510),
    [anon_sym_SQUOTE] = ACTIONS(2510),
    [anon_sym_L_DQUOTE] = ACTIONS(2510),
    [anon_sym_u_DQUOTE] = ACTIONS(2510),
    [anon_sym_U_DQUOTE] = ACTIONS(2510),
    [anon_sym_u8_DQUOTE] = ACTIONS(2510),
    [anon_sym_DQUOTE] = ACTIONS(2510),
    [sym_true] = ACTIONS(2508),
    [sym_false] = ACTIONS(2508),
    [anon_sym_NULL] = ACTIONS(2508),
    [anon_sym_nullptr] = ACTIONS(2508),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2508),
    [anon_sym_decltype] = ACTIONS(2508),
    [anon_sym_virtual] = ACTIONS(2508),
    [anon_sym_alignas] = ACTIONS(2508),
    [anon_sym_explicit] = ACTIONS(2508),
    [anon_sym_typename] = ACTIONS(2508),
    [anon_sym_template] = ACTIONS(2508),
    [anon_sym_operator] = ACTIONS(2508),
    [anon_sym_try] = ACTIONS(2508),
    [anon_sym_delete] = ACTIONS(2508),
    [anon_sym_throw] = ACTIONS(2508),
    [anon_sym_namespace] = ACTIONS(2508),
    [anon_sym_using] = ACTIONS(2508),
    [anon_sym_static_assert] = ACTIONS(2508),
    [anon_sym_concept] = ACTIONS(2508),
    [anon_sym_co_return] = ACTIONS(2508),
    [anon_sym_co_yield] = ACTIONS(2508),
    [anon_sym_R_DQUOTE] = ACTIONS(2510),
    [anon_sym_LR_DQUOTE] = ACTIONS(2510),
    [anon_sym_uR_DQUOTE] = ACTIONS(2510),
    [anon_sym_UR_DQUOTE] = ACTIONS(2510),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2510),
    [anon_sym_co_await] = ACTIONS(2508),
    [anon_sym_new] = ACTIONS(2508),
    [anon_sym_requires] = ACTIONS(2508),
    [sym_this] = ACTIONS(2508),
    [anon_sym_discard] = ACTIONS(2508),
    [anon_sym_precise] = ACTIONS(2508),
    [anon_sym_shared] = ACTIONS(2508),
    [anon_sym_groupshared] = ACTIONS(2508),
    [anon_sym_uniform] = ACTIONS(2508),
    [anon_sym_row_major] = ACTIONS(2508),
    [anon_sym_column_major] = ACTIONS(2508),
    [anon_sym_globallycoherent] = ACTIONS(2508),
    [anon_sym_centroid] = ACTIONS(2508),
    [anon_sym_noperspective] = ACTIONS(2508),
    [anon_sym_nointerpolation] = ACTIONS(2508),
    [anon_sym_sample] = ACTIONS(2508),
    [anon_sym_linear] = ACTIONS(2508),
    [anon_sym_snorm] = ACTIONS(2508),
    [anon_sym_unorm] = ACTIONS(2508),
    [anon_sym_point] = ACTIONS(2508),
    [anon_sym_line] = ACTIONS(2508),
    [anon_sym_triangleadj] = ACTIONS(2508),
    [anon_sym_lineadj] = ACTIONS(2508),
    [anon_sym_triangle] = ACTIONS(2508),
    [anon_sym_cbuffer] = ACTIONS(2508),
  },
  [1033] = {
    [ts_builtin_sym_end] = ACTIONS(2328),
    [sym_identifier] = ACTIONS(2326),
    [aux_sym_preproc_include_token1] = ACTIONS(2326),
    [aux_sym_preproc_def_token1] = ACTIONS(2326),
    [aux_sym_preproc_if_token1] = ACTIONS(2326),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2326),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2326),
    [sym_preproc_directive] = ACTIONS(2326),
    [anon_sym_LPAREN2] = ACTIONS(2328),
    [anon_sym_BANG] = ACTIONS(2328),
    [anon_sym_TILDE] = ACTIONS(2328),
    [anon_sym_DASH] = ACTIONS(2326),
    [anon_sym_PLUS] = ACTIONS(2326),
    [anon_sym_STAR] = ACTIONS(2328),
    [anon_sym_AMP_AMP] = ACTIONS(2328),
    [anon_sym_AMP] = ACTIONS(2326),
    [anon_sym_SEMI] = ACTIONS(2328),
    [anon_sym___extension__] = ACTIONS(2326),
    [anon_sym_typedef] = ACTIONS(2326),
    [anon_sym_in] = ACTIONS(2326),
    [anon_sym_out] = ACTIONS(2326),
    [anon_sym_inout] = ACTIONS(2326),
    [anon_sym_extern] = ACTIONS(2326),
    [anon_sym___attribute__] = ACTIONS(2326),
    [anon_sym_COLON_COLON] = ACTIONS(2328),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2328),
    [anon_sym___declspec] = ACTIONS(2326),
    [anon_sym___based] = ACTIONS(2326),
    [anon_sym___cdecl] = ACTIONS(2326),
    [anon_sym___clrcall] = ACTIONS(2326),
    [anon_sym___stdcall] = ACTIONS(2326),
    [anon_sym___fastcall] = ACTIONS(2326),
    [anon_sym___thiscall] = ACTIONS(2326),
    [anon_sym___vectorcall] = ACTIONS(2326),
    [anon_sym_LBRACE] = ACTIONS(2328),
    [anon_sym_signed] = ACTIONS(2326),
    [anon_sym_unsigned] = ACTIONS(2326),
    [anon_sym_long] = ACTIONS(2326),
    [anon_sym_short] = ACTIONS(2326),
    [anon_sym_LBRACK] = ACTIONS(2326),
    [anon_sym_static] = ACTIONS(2326),
    [anon_sym_register] = ACTIONS(2326),
    [anon_sym_inline] = ACTIONS(2326),
    [anon_sym___inline] = ACTIONS(2326),
    [anon_sym___inline__] = ACTIONS(2326),
    [anon_sym___forceinline] = ACTIONS(2326),
    [anon_sym_thread_local] = ACTIONS(2326),
    [anon_sym___thread] = ACTIONS(2326),
    [anon_sym_const] = ACTIONS(2326),
    [anon_sym_constexpr] = ACTIONS(2326),
    [anon_sym_volatile] = ACTIONS(2326),
    [anon_sym_restrict] = ACTIONS(2326),
    [anon_sym___restrict__] = ACTIONS(2326),
    [anon_sym__Atomic] = ACTIONS(2326),
    [anon_sym__Noreturn] = ACTIONS(2326),
    [anon_sym_noreturn] = ACTIONS(2326),
    [anon_sym_mutable] = ACTIONS(2326),
    [anon_sym_constinit] = ACTIONS(2326),
    [anon_sym_consteval] = ACTIONS(2326),
    [sym_primitive_type] = ACTIONS(2326),
    [anon_sym_enum] = ACTIONS(2326),
    [anon_sym_class] = ACTIONS(2326),
    [anon_sym_struct] = ACTIONS(2326),
    [anon_sym_union] = ACTIONS(2326),
    [anon_sym_if] = ACTIONS(2326),
    [anon_sym_else] = ACTIONS(2326),
    [anon_sym_switch] = ACTIONS(2326),
    [anon_sym_case] = ACTIONS(2326),
    [anon_sym_default] = ACTIONS(2326),
    [anon_sym_while] = ACTIONS(2326),
    [anon_sym_do] = ACTIONS(2326),
    [anon_sym_for] = ACTIONS(2326),
    [anon_sym_return] = ACTIONS(2326),
    [anon_sym_break] = ACTIONS(2326),
    [anon_sym_continue] = ACTIONS(2326),
    [anon_sym_goto] = ACTIONS(2326),
    [anon_sym___try] = ACTIONS(2326),
    [anon_sym___leave] = ACTIONS(2326),
    [anon_sym_not] = ACTIONS(2326),
    [anon_sym_compl] = ACTIONS(2326),
    [anon_sym_DASH_DASH] = ACTIONS(2328),
    [anon_sym_PLUS_PLUS] = ACTIONS(2328),
    [anon_sym_sizeof] = ACTIONS(2326),
    [anon_sym___alignof__] = ACTIONS(2326),
    [anon_sym___alignof] = ACTIONS(2326),
    [anon_sym__alignof] = ACTIONS(2326),
    [anon_sym_alignof] = ACTIONS(2326),
    [anon_sym__Alignof] = ACTIONS(2326),
    [anon_sym_offsetof] = ACTIONS(2326),
    [anon_sym__Generic] = ACTIONS(2326),
    [anon_sym_asm] = ACTIONS(2326),
    [anon_sym___asm__] = ACTIONS(2326),
    [sym_number_literal] = ACTIONS(2328),
    [anon_sym_L_SQUOTE] = ACTIONS(2328),
    [anon_sym_u_SQUOTE] = ACTIONS(2328),
    [anon_sym_U_SQUOTE] = ACTIONS(2328),
    [anon_sym_u8_SQUOTE] = ACTIONS(2328),
    [anon_sym_SQUOTE] = ACTIONS(2328),
    [anon_sym_L_DQUOTE] = ACTIONS(2328),
    [anon_sym_u_DQUOTE] = ACTIONS(2328),
    [anon_sym_U_DQUOTE] = ACTIONS(2328),
    [anon_sym_u8_DQUOTE] = ACTIONS(2328),
    [anon_sym_DQUOTE] = ACTIONS(2328),
    [sym_true] = ACTIONS(2326),
    [sym_false] = ACTIONS(2326),
    [anon_sym_NULL] = ACTIONS(2326),
    [anon_sym_nullptr] = ACTIONS(2326),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2326),
    [anon_sym_decltype] = ACTIONS(2326),
    [anon_sym_virtual] = ACTIONS(2326),
    [anon_sym_alignas] = ACTIONS(2326),
    [anon_sym_explicit] = ACTIONS(2326),
    [anon_sym_typename] = ACTIONS(2326),
    [anon_sym_template] = ACTIONS(2326),
    [anon_sym_operator] = ACTIONS(2326),
    [anon_sym_try] = ACTIONS(2326),
    [anon_sym_delete] = ACTIONS(2326),
    [anon_sym_throw] = ACTIONS(2326),
    [anon_sym_namespace] = ACTIONS(2326),
    [anon_sym_using] = ACTIONS(2326),
    [anon_sym_static_assert] = ACTIONS(2326),
    [anon_sym_concept] = ACTIONS(2326),
    [anon_sym_co_return] = ACTIONS(2326),
    [anon_sym_co_yield] = ACTIONS(2326),
    [anon_sym_R_DQUOTE] = ACTIONS(2328),
    [anon_sym_LR_DQUOTE] = ACTIONS(2328),
    [anon_sym_uR_DQUOTE] = ACTIONS(2328),
    [anon_sym_UR_DQUOTE] = ACTIONS(2328),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2328),
    [anon_sym_co_await] = ACTIONS(2326),
    [anon_sym_new] = ACTIONS(2326),
    [anon_sym_requires] = ACTIONS(2326),
    [sym_this] = ACTIONS(2326),
    [anon_sym_discard] = ACTIONS(2326),
    [anon_sym_precise] = ACTIONS(2326),
    [anon_sym_shared] = ACTIONS(2326),
    [anon_sym_groupshared] = ACTIONS(2326),
    [anon_sym_uniform] = ACTIONS(2326),
    [anon_sym_row_major] = ACTIONS(2326),
    [anon_sym_column_major] = ACTIONS(2326),
    [anon_sym_globallycoherent] = ACTIONS(2326),
    [anon_sym_centroid] = ACTIONS(2326),
    [anon_sym_noperspective] = ACTIONS(2326),
    [anon_sym_nointerpolation] = ACTIONS(2326),
    [anon_sym_sample] = ACTIONS(2326),
    [anon_sym_linear] = ACTIONS(2326),
    [anon_sym_snorm] = ACTIONS(2326),
    [anon_sym_unorm] = ACTIONS(2326),
    [anon_sym_point] = ACTIONS(2326),
    [anon_sym_line] = ACTIONS(2326),
    [anon_sym_triangleadj] = ACTIONS(2326),
    [anon_sym_lineadj] = ACTIONS(2326),
    [anon_sym_triangle] = ACTIONS(2326),
    [anon_sym_cbuffer] = ACTIONS(2326),
  },
  [1034] = {
    [sym_identifier] = ACTIONS(2330),
    [aux_sym_preproc_include_token1] = ACTIONS(2330),
    [aux_sym_preproc_def_token1] = ACTIONS(2330),
    [aux_sym_preproc_if_token1] = ACTIONS(2330),
    [aux_sym_preproc_if_token2] = ACTIONS(2330),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2330),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2330),
    [sym_preproc_directive] = ACTIONS(2330),
    [anon_sym_LPAREN2] = ACTIONS(2332),
    [anon_sym_BANG] = ACTIONS(2332),
    [anon_sym_TILDE] = ACTIONS(2332),
    [anon_sym_DASH] = ACTIONS(2330),
    [anon_sym_PLUS] = ACTIONS(2330),
    [anon_sym_STAR] = ACTIONS(2332),
    [anon_sym_AMP_AMP] = ACTIONS(2332),
    [anon_sym_AMP] = ACTIONS(2330),
    [anon_sym_SEMI] = ACTIONS(2332),
    [anon_sym___extension__] = ACTIONS(2330),
    [anon_sym_typedef] = ACTIONS(2330),
    [anon_sym_in] = ACTIONS(2330),
    [anon_sym_out] = ACTIONS(2330),
    [anon_sym_inout] = ACTIONS(2330),
    [anon_sym_extern] = ACTIONS(2330),
    [anon_sym___attribute__] = ACTIONS(2330),
    [anon_sym_COLON_COLON] = ACTIONS(2332),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2332),
    [anon_sym___declspec] = ACTIONS(2330),
    [anon_sym___based] = ACTIONS(2330),
    [anon_sym___cdecl] = ACTIONS(2330),
    [anon_sym___clrcall] = ACTIONS(2330),
    [anon_sym___stdcall] = ACTIONS(2330),
    [anon_sym___fastcall] = ACTIONS(2330),
    [anon_sym___thiscall] = ACTIONS(2330),
    [anon_sym___vectorcall] = ACTIONS(2330),
    [anon_sym_LBRACE] = ACTIONS(2332),
    [anon_sym_signed] = ACTIONS(2330),
    [anon_sym_unsigned] = ACTIONS(2330),
    [anon_sym_long] = ACTIONS(2330),
    [anon_sym_short] = ACTIONS(2330),
    [anon_sym_LBRACK] = ACTIONS(2330),
    [anon_sym_static] = ACTIONS(2330),
    [anon_sym_register] = ACTIONS(2330),
    [anon_sym_inline] = ACTIONS(2330),
    [anon_sym___inline] = ACTIONS(2330),
    [anon_sym___inline__] = ACTIONS(2330),
    [anon_sym___forceinline] = ACTIONS(2330),
    [anon_sym_thread_local] = ACTIONS(2330),
    [anon_sym___thread] = ACTIONS(2330),
    [anon_sym_const] = ACTIONS(2330),
    [anon_sym_constexpr] = ACTIONS(2330),
    [anon_sym_volatile] = ACTIONS(2330),
    [anon_sym_restrict] = ACTIONS(2330),
    [anon_sym___restrict__] = ACTIONS(2330),
    [anon_sym__Atomic] = ACTIONS(2330),
    [anon_sym__Noreturn] = ACTIONS(2330),
    [anon_sym_noreturn] = ACTIONS(2330),
    [anon_sym_mutable] = ACTIONS(2330),
    [anon_sym_constinit] = ACTIONS(2330),
    [anon_sym_consteval] = ACTIONS(2330),
    [sym_primitive_type] = ACTIONS(2330),
    [anon_sym_enum] = ACTIONS(2330),
    [anon_sym_class] = ACTIONS(2330),
    [anon_sym_struct] = ACTIONS(2330),
    [anon_sym_union] = ACTIONS(2330),
    [anon_sym_if] = ACTIONS(2330),
    [anon_sym_else] = ACTIONS(2330),
    [anon_sym_switch] = ACTIONS(2330),
    [anon_sym_case] = ACTIONS(2330),
    [anon_sym_default] = ACTIONS(2330),
    [anon_sym_while] = ACTIONS(2330),
    [anon_sym_do] = ACTIONS(2330),
    [anon_sym_for] = ACTIONS(2330),
    [anon_sym_return] = ACTIONS(2330),
    [anon_sym_break] = ACTIONS(2330),
    [anon_sym_continue] = ACTIONS(2330),
    [anon_sym_goto] = ACTIONS(2330),
    [anon_sym___try] = ACTIONS(2330),
    [anon_sym___leave] = ACTIONS(2330),
    [anon_sym_not] = ACTIONS(2330),
    [anon_sym_compl] = ACTIONS(2330),
    [anon_sym_DASH_DASH] = ACTIONS(2332),
    [anon_sym_PLUS_PLUS] = ACTIONS(2332),
    [anon_sym_sizeof] = ACTIONS(2330),
    [anon_sym___alignof__] = ACTIONS(2330),
    [anon_sym___alignof] = ACTIONS(2330),
    [anon_sym__alignof] = ACTIONS(2330),
    [anon_sym_alignof] = ACTIONS(2330),
    [anon_sym__Alignof] = ACTIONS(2330),
    [anon_sym_offsetof] = ACTIONS(2330),
    [anon_sym__Generic] = ACTIONS(2330),
    [anon_sym_asm] = ACTIONS(2330),
    [anon_sym___asm__] = ACTIONS(2330),
    [sym_number_literal] = ACTIONS(2332),
    [anon_sym_L_SQUOTE] = ACTIONS(2332),
    [anon_sym_u_SQUOTE] = ACTIONS(2332),
    [anon_sym_U_SQUOTE] = ACTIONS(2332),
    [anon_sym_u8_SQUOTE] = ACTIONS(2332),
    [anon_sym_SQUOTE] = ACTIONS(2332),
    [anon_sym_L_DQUOTE] = ACTIONS(2332),
    [anon_sym_u_DQUOTE] = ACTIONS(2332),
    [anon_sym_U_DQUOTE] = ACTIONS(2332),
    [anon_sym_u8_DQUOTE] = ACTIONS(2332),
    [anon_sym_DQUOTE] = ACTIONS(2332),
    [sym_true] = ACTIONS(2330),
    [sym_false] = ACTIONS(2330),
    [anon_sym_NULL] = ACTIONS(2330),
    [anon_sym_nullptr] = ACTIONS(2330),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2330),
    [anon_sym_decltype] = ACTIONS(2330),
    [anon_sym_virtual] = ACTIONS(2330),
    [anon_sym_alignas] = ACTIONS(2330),
    [anon_sym_explicit] = ACTIONS(2330),
    [anon_sym_typename] = ACTIONS(2330),
    [anon_sym_template] = ACTIONS(2330),
    [anon_sym_operator] = ACTIONS(2330),
    [anon_sym_try] = ACTIONS(2330),
    [anon_sym_delete] = ACTIONS(2330),
    [anon_sym_throw] = ACTIONS(2330),
    [anon_sym_namespace] = ACTIONS(2330),
    [anon_sym_using] = ACTIONS(2330),
    [anon_sym_static_assert] = ACTIONS(2330),
    [anon_sym_concept] = ACTIONS(2330),
    [anon_sym_co_return] = ACTIONS(2330),
    [anon_sym_co_yield] = ACTIONS(2330),
    [anon_sym_R_DQUOTE] = ACTIONS(2332),
    [anon_sym_LR_DQUOTE] = ACTIONS(2332),
    [anon_sym_uR_DQUOTE] = ACTIONS(2332),
    [anon_sym_UR_DQUOTE] = ACTIONS(2332),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2332),
    [anon_sym_co_await] = ACTIONS(2330),
    [anon_sym_new] = ACTIONS(2330),
    [anon_sym_requires] = ACTIONS(2330),
    [sym_this] = ACTIONS(2330),
    [anon_sym_discard] = ACTIONS(2330),
    [anon_sym_precise] = ACTIONS(2330),
    [anon_sym_shared] = ACTIONS(2330),
    [anon_sym_groupshared] = ACTIONS(2330),
    [anon_sym_uniform] = ACTIONS(2330),
    [anon_sym_row_major] = ACTIONS(2330),
    [anon_sym_column_major] = ACTIONS(2330),
    [anon_sym_globallycoherent] = ACTIONS(2330),
    [anon_sym_centroid] = ACTIONS(2330),
    [anon_sym_noperspective] = ACTIONS(2330),
    [anon_sym_nointerpolation] = ACTIONS(2330),
    [anon_sym_sample] = ACTIONS(2330),
    [anon_sym_linear] = ACTIONS(2330),
    [anon_sym_snorm] = ACTIONS(2330),
    [anon_sym_unorm] = ACTIONS(2330),
    [anon_sym_point] = ACTIONS(2330),
    [anon_sym_line] = ACTIONS(2330),
    [anon_sym_triangleadj] = ACTIONS(2330),
    [anon_sym_lineadj] = ACTIONS(2330),
    [anon_sym_triangle] = ACTIONS(2330),
    [anon_sym_cbuffer] = ACTIONS(2330),
  },
  [1035] = {
    [sym_identifier] = ACTIONS(2330),
    [aux_sym_preproc_include_token1] = ACTIONS(2330),
    [aux_sym_preproc_def_token1] = ACTIONS(2330),
    [aux_sym_preproc_if_token1] = ACTIONS(2330),
    [aux_sym_preproc_if_token2] = ACTIONS(2330),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2330),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2330),
    [sym_preproc_directive] = ACTIONS(2330),
    [anon_sym_LPAREN2] = ACTIONS(2332),
    [anon_sym_BANG] = ACTIONS(2332),
    [anon_sym_TILDE] = ACTIONS(2332),
    [anon_sym_DASH] = ACTIONS(2330),
    [anon_sym_PLUS] = ACTIONS(2330),
    [anon_sym_STAR] = ACTIONS(2332),
    [anon_sym_AMP_AMP] = ACTIONS(2332),
    [anon_sym_AMP] = ACTIONS(2330),
    [anon_sym_SEMI] = ACTIONS(2332),
    [anon_sym___extension__] = ACTIONS(2330),
    [anon_sym_typedef] = ACTIONS(2330),
    [anon_sym_in] = ACTIONS(2330),
    [anon_sym_out] = ACTIONS(2330),
    [anon_sym_inout] = ACTIONS(2330),
    [anon_sym_extern] = ACTIONS(2330),
    [anon_sym___attribute__] = ACTIONS(2330),
    [anon_sym_COLON_COLON] = ACTIONS(2332),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2332),
    [anon_sym___declspec] = ACTIONS(2330),
    [anon_sym___based] = ACTIONS(2330),
    [anon_sym___cdecl] = ACTIONS(2330),
    [anon_sym___clrcall] = ACTIONS(2330),
    [anon_sym___stdcall] = ACTIONS(2330),
    [anon_sym___fastcall] = ACTIONS(2330),
    [anon_sym___thiscall] = ACTIONS(2330),
    [anon_sym___vectorcall] = ACTIONS(2330),
    [anon_sym_LBRACE] = ACTIONS(2332),
    [anon_sym_signed] = ACTIONS(2330),
    [anon_sym_unsigned] = ACTIONS(2330),
    [anon_sym_long] = ACTIONS(2330),
    [anon_sym_short] = ACTIONS(2330),
    [anon_sym_LBRACK] = ACTIONS(2330),
    [anon_sym_static] = ACTIONS(2330),
    [anon_sym_register] = ACTIONS(2330),
    [anon_sym_inline] = ACTIONS(2330),
    [anon_sym___inline] = ACTIONS(2330),
    [anon_sym___inline__] = ACTIONS(2330),
    [anon_sym___forceinline] = ACTIONS(2330),
    [anon_sym_thread_local] = ACTIONS(2330),
    [anon_sym___thread] = ACTIONS(2330),
    [anon_sym_const] = ACTIONS(2330),
    [anon_sym_constexpr] = ACTIONS(2330),
    [anon_sym_volatile] = ACTIONS(2330),
    [anon_sym_restrict] = ACTIONS(2330),
    [anon_sym___restrict__] = ACTIONS(2330),
    [anon_sym__Atomic] = ACTIONS(2330),
    [anon_sym__Noreturn] = ACTIONS(2330),
    [anon_sym_noreturn] = ACTIONS(2330),
    [anon_sym_mutable] = ACTIONS(2330),
    [anon_sym_constinit] = ACTIONS(2330),
    [anon_sym_consteval] = ACTIONS(2330),
    [sym_primitive_type] = ACTIONS(2330),
    [anon_sym_enum] = ACTIONS(2330),
    [anon_sym_class] = ACTIONS(2330),
    [anon_sym_struct] = ACTIONS(2330),
    [anon_sym_union] = ACTIONS(2330),
    [anon_sym_if] = ACTIONS(2330),
    [anon_sym_else] = ACTIONS(2330),
    [anon_sym_switch] = ACTIONS(2330),
    [anon_sym_case] = ACTIONS(2330),
    [anon_sym_default] = ACTIONS(2330),
    [anon_sym_while] = ACTIONS(2330),
    [anon_sym_do] = ACTIONS(2330),
    [anon_sym_for] = ACTIONS(2330),
    [anon_sym_return] = ACTIONS(2330),
    [anon_sym_break] = ACTIONS(2330),
    [anon_sym_continue] = ACTIONS(2330),
    [anon_sym_goto] = ACTIONS(2330),
    [anon_sym___try] = ACTIONS(2330),
    [anon_sym___leave] = ACTIONS(2330),
    [anon_sym_not] = ACTIONS(2330),
    [anon_sym_compl] = ACTIONS(2330),
    [anon_sym_DASH_DASH] = ACTIONS(2332),
    [anon_sym_PLUS_PLUS] = ACTIONS(2332),
    [anon_sym_sizeof] = ACTIONS(2330),
    [anon_sym___alignof__] = ACTIONS(2330),
    [anon_sym___alignof] = ACTIONS(2330),
    [anon_sym__alignof] = ACTIONS(2330),
    [anon_sym_alignof] = ACTIONS(2330),
    [anon_sym__Alignof] = ACTIONS(2330),
    [anon_sym_offsetof] = ACTIONS(2330),
    [anon_sym__Generic] = ACTIONS(2330),
    [anon_sym_asm] = ACTIONS(2330),
    [anon_sym___asm__] = ACTIONS(2330),
    [sym_number_literal] = ACTIONS(2332),
    [anon_sym_L_SQUOTE] = ACTIONS(2332),
    [anon_sym_u_SQUOTE] = ACTIONS(2332),
    [anon_sym_U_SQUOTE] = ACTIONS(2332),
    [anon_sym_u8_SQUOTE] = ACTIONS(2332),
    [anon_sym_SQUOTE] = ACTIONS(2332),
    [anon_sym_L_DQUOTE] = ACTIONS(2332),
    [anon_sym_u_DQUOTE] = ACTIONS(2332),
    [anon_sym_U_DQUOTE] = ACTIONS(2332),
    [anon_sym_u8_DQUOTE] = ACTIONS(2332),
    [anon_sym_DQUOTE] = ACTIONS(2332),
    [sym_true] = ACTIONS(2330),
    [sym_false] = ACTIONS(2330),
    [anon_sym_NULL] = ACTIONS(2330),
    [anon_sym_nullptr] = ACTIONS(2330),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2330),
    [anon_sym_decltype] = ACTIONS(2330),
    [anon_sym_virtual] = ACTIONS(2330),
    [anon_sym_alignas] = ACTIONS(2330),
    [anon_sym_explicit] = ACTIONS(2330),
    [anon_sym_typename] = ACTIONS(2330),
    [anon_sym_template] = ACTIONS(2330),
    [anon_sym_operator] = ACTIONS(2330),
    [anon_sym_try] = ACTIONS(2330),
    [anon_sym_delete] = ACTIONS(2330),
    [anon_sym_throw] = ACTIONS(2330),
    [anon_sym_namespace] = ACTIONS(2330),
    [anon_sym_using] = ACTIONS(2330),
    [anon_sym_static_assert] = ACTIONS(2330),
    [anon_sym_concept] = ACTIONS(2330),
    [anon_sym_co_return] = ACTIONS(2330),
    [anon_sym_co_yield] = ACTIONS(2330),
    [anon_sym_R_DQUOTE] = ACTIONS(2332),
    [anon_sym_LR_DQUOTE] = ACTIONS(2332),
    [anon_sym_uR_DQUOTE] = ACTIONS(2332),
    [anon_sym_UR_DQUOTE] = ACTIONS(2332),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2332),
    [anon_sym_co_await] = ACTIONS(2330),
    [anon_sym_new] = ACTIONS(2330),
    [anon_sym_requires] = ACTIONS(2330),
    [sym_this] = ACTIONS(2330),
    [anon_sym_discard] = ACTIONS(2330),
    [anon_sym_precise] = ACTIONS(2330),
    [anon_sym_shared] = ACTIONS(2330),
    [anon_sym_groupshared] = ACTIONS(2330),
    [anon_sym_uniform] = ACTIONS(2330),
    [anon_sym_row_major] = ACTIONS(2330),
    [anon_sym_column_major] = ACTIONS(2330),
    [anon_sym_globallycoherent] = ACTIONS(2330),
    [anon_sym_centroid] = ACTIONS(2330),
    [anon_sym_noperspective] = ACTIONS(2330),
    [anon_sym_nointerpolation] = ACTIONS(2330),
    [anon_sym_sample] = ACTIONS(2330),
    [anon_sym_linear] = ACTIONS(2330),
    [anon_sym_snorm] = ACTIONS(2330),
    [anon_sym_unorm] = ACTIONS(2330),
    [anon_sym_point] = ACTIONS(2330),
    [anon_sym_line] = ACTIONS(2330),
    [anon_sym_triangleadj] = ACTIONS(2330),
    [anon_sym_lineadj] = ACTIONS(2330),
    [anon_sym_triangle] = ACTIONS(2330),
    [anon_sym_cbuffer] = ACTIONS(2330),
  },
  [1036] = {
    [sym_identifier] = ACTIONS(2330),
    [aux_sym_preproc_include_token1] = ACTIONS(2330),
    [aux_sym_preproc_def_token1] = ACTIONS(2330),
    [aux_sym_preproc_if_token1] = ACTIONS(2330),
    [aux_sym_preproc_if_token2] = ACTIONS(2330),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2330),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2330),
    [sym_preproc_directive] = ACTIONS(2330),
    [anon_sym_LPAREN2] = ACTIONS(2332),
    [anon_sym_BANG] = ACTIONS(2332),
    [anon_sym_TILDE] = ACTIONS(2332),
    [anon_sym_DASH] = ACTIONS(2330),
    [anon_sym_PLUS] = ACTIONS(2330),
    [anon_sym_STAR] = ACTIONS(2332),
    [anon_sym_AMP_AMP] = ACTIONS(2332),
    [anon_sym_AMP] = ACTIONS(2330),
    [anon_sym_SEMI] = ACTIONS(2332),
    [anon_sym___extension__] = ACTIONS(2330),
    [anon_sym_typedef] = ACTIONS(2330),
    [anon_sym_in] = ACTIONS(2330),
    [anon_sym_out] = ACTIONS(2330),
    [anon_sym_inout] = ACTIONS(2330),
    [anon_sym_extern] = ACTIONS(2330),
    [anon_sym___attribute__] = ACTIONS(2330),
    [anon_sym_COLON_COLON] = ACTIONS(2332),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2332),
    [anon_sym___declspec] = ACTIONS(2330),
    [anon_sym___based] = ACTIONS(2330),
    [anon_sym___cdecl] = ACTIONS(2330),
    [anon_sym___clrcall] = ACTIONS(2330),
    [anon_sym___stdcall] = ACTIONS(2330),
    [anon_sym___fastcall] = ACTIONS(2330),
    [anon_sym___thiscall] = ACTIONS(2330),
    [anon_sym___vectorcall] = ACTIONS(2330),
    [anon_sym_LBRACE] = ACTIONS(2332),
    [anon_sym_signed] = ACTIONS(2330),
    [anon_sym_unsigned] = ACTIONS(2330),
    [anon_sym_long] = ACTIONS(2330),
    [anon_sym_short] = ACTIONS(2330),
    [anon_sym_LBRACK] = ACTIONS(2330),
    [anon_sym_static] = ACTIONS(2330),
    [anon_sym_register] = ACTIONS(2330),
    [anon_sym_inline] = ACTIONS(2330),
    [anon_sym___inline] = ACTIONS(2330),
    [anon_sym___inline__] = ACTIONS(2330),
    [anon_sym___forceinline] = ACTIONS(2330),
    [anon_sym_thread_local] = ACTIONS(2330),
    [anon_sym___thread] = ACTIONS(2330),
    [anon_sym_const] = ACTIONS(2330),
    [anon_sym_constexpr] = ACTIONS(2330),
    [anon_sym_volatile] = ACTIONS(2330),
    [anon_sym_restrict] = ACTIONS(2330),
    [anon_sym___restrict__] = ACTIONS(2330),
    [anon_sym__Atomic] = ACTIONS(2330),
    [anon_sym__Noreturn] = ACTIONS(2330),
    [anon_sym_noreturn] = ACTIONS(2330),
    [anon_sym_mutable] = ACTIONS(2330),
    [anon_sym_constinit] = ACTIONS(2330),
    [anon_sym_consteval] = ACTIONS(2330),
    [sym_primitive_type] = ACTIONS(2330),
    [anon_sym_enum] = ACTIONS(2330),
    [anon_sym_class] = ACTIONS(2330),
    [anon_sym_struct] = ACTIONS(2330),
    [anon_sym_union] = ACTIONS(2330),
    [anon_sym_if] = ACTIONS(2330),
    [anon_sym_else] = ACTIONS(2330),
    [anon_sym_switch] = ACTIONS(2330),
    [anon_sym_case] = ACTIONS(2330),
    [anon_sym_default] = ACTIONS(2330),
    [anon_sym_while] = ACTIONS(2330),
    [anon_sym_do] = ACTIONS(2330),
    [anon_sym_for] = ACTIONS(2330),
    [anon_sym_return] = ACTIONS(2330),
    [anon_sym_break] = ACTIONS(2330),
    [anon_sym_continue] = ACTIONS(2330),
    [anon_sym_goto] = ACTIONS(2330),
    [anon_sym___try] = ACTIONS(2330),
    [anon_sym___leave] = ACTIONS(2330),
    [anon_sym_not] = ACTIONS(2330),
    [anon_sym_compl] = ACTIONS(2330),
    [anon_sym_DASH_DASH] = ACTIONS(2332),
    [anon_sym_PLUS_PLUS] = ACTIONS(2332),
    [anon_sym_sizeof] = ACTIONS(2330),
    [anon_sym___alignof__] = ACTIONS(2330),
    [anon_sym___alignof] = ACTIONS(2330),
    [anon_sym__alignof] = ACTIONS(2330),
    [anon_sym_alignof] = ACTIONS(2330),
    [anon_sym__Alignof] = ACTIONS(2330),
    [anon_sym_offsetof] = ACTIONS(2330),
    [anon_sym__Generic] = ACTIONS(2330),
    [anon_sym_asm] = ACTIONS(2330),
    [anon_sym___asm__] = ACTIONS(2330),
    [sym_number_literal] = ACTIONS(2332),
    [anon_sym_L_SQUOTE] = ACTIONS(2332),
    [anon_sym_u_SQUOTE] = ACTIONS(2332),
    [anon_sym_U_SQUOTE] = ACTIONS(2332),
    [anon_sym_u8_SQUOTE] = ACTIONS(2332),
    [anon_sym_SQUOTE] = ACTIONS(2332),
    [anon_sym_L_DQUOTE] = ACTIONS(2332),
    [anon_sym_u_DQUOTE] = ACTIONS(2332),
    [anon_sym_U_DQUOTE] = ACTIONS(2332),
    [anon_sym_u8_DQUOTE] = ACTIONS(2332),
    [anon_sym_DQUOTE] = ACTIONS(2332),
    [sym_true] = ACTIONS(2330),
    [sym_false] = ACTIONS(2330),
    [anon_sym_NULL] = ACTIONS(2330),
    [anon_sym_nullptr] = ACTIONS(2330),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2330),
    [anon_sym_decltype] = ACTIONS(2330),
    [anon_sym_virtual] = ACTIONS(2330),
    [anon_sym_alignas] = ACTIONS(2330),
    [anon_sym_explicit] = ACTIONS(2330),
    [anon_sym_typename] = ACTIONS(2330),
    [anon_sym_template] = ACTIONS(2330),
    [anon_sym_operator] = ACTIONS(2330),
    [anon_sym_try] = ACTIONS(2330),
    [anon_sym_delete] = ACTIONS(2330),
    [anon_sym_throw] = ACTIONS(2330),
    [anon_sym_namespace] = ACTIONS(2330),
    [anon_sym_using] = ACTIONS(2330),
    [anon_sym_static_assert] = ACTIONS(2330),
    [anon_sym_concept] = ACTIONS(2330),
    [anon_sym_co_return] = ACTIONS(2330),
    [anon_sym_co_yield] = ACTIONS(2330),
    [anon_sym_R_DQUOTE] = ACTIONS(2332),
    [anon_sym_LR_DQUOTE] = ACTIONS(2332),
    [anon_sym_uR_DQUOTE] = ACTIONS(2332),
    [anon_sym_UR_DQUOTE] = ACTIONS(2332),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2332),
    [anon_sym_co_await] = ACTIONS(2330),
    [anon_sym_new] = ACTIONS(2330),
    [anon_sym_requires] = ACTIONS(2330),
    [sym_this] = ACTIONS(2330),
    [anon_sym_discard] = ACTIONS(2330),
    [anon_sym_precise] = ACTIONS(2330),
    [anon_sym_shared] = ACTIONS(2330),
    [anon_sym_groupshared] = ACTIONS(2330),
    [anon_sym_uniform] = ACTIONS(2330),
    [anon_sym_row_major] = ACTIONS(2330),
    [anon_sym_column_major] = ACTIONS(2330),
    [anon_sym_globallycoherent] = ACTIONS(2330),
    [anon_sym_centroid] = ACTIONS(2330),
    [anon_sym_noperspective] = ACTIONS(2330),
    [anon_sym_nointerpolation] = ACTIONS(2330),
    [anon_sym_sample] = ACTIONS(2330),
    [anon_sym_linear] = ACTIONS(2330),
    [anon_sym_snorm] = ACTIONS(2330),
    [anon_sym_unorm] = ACTIONS(2330),
    [anon_sym_point] = ACTIONS(2330),
    [anon_sym_line] = ACTIONS(2330),
    [anon_sym_triangleadj] = ACTIONS(2330),
    [anon_sym_lineadj] = ACTIONS(2330),
    [anon_sym_triangle] = ACTIONS(2330),
    [anon_sym_cbuffer] = ACTIONS(2330),
  },
  [1037] = {
    [sym_identifier] = ACTIONS(2330),
    [aux_sym_preproc_include_token1] = ACTIONS(2330),
    [aux_sym_preproc_def_token1] = ACTIONS(2330),
    [aux_sym_preproc_if_token1] = ACTIONS(2330),
    [aux_sym_preproc_if_token2] = ACTIONS(2330),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2330),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2330),
    [sym_preproc_directive] = ACTIONS(2330),
    [anon_sym_LPAREN2] = ACTIONS(2332),
    [anon_sym_BANG] = ACTIONS(2332),
    [anon_sym_TILDE] = ACTIONS(2332),
    [anon_sym_DASH] = ACTIONS(2330),
    [anon_sym_PLUS] = ACTIONS(2330),
    [anon_sym_STAR] = ACTIONS(2332),
    [anon_sym_AMP_AMP] = ACTIONS(2332),
    [anon_sym_AMP] = ACTIONS(2330),
    [anon_sym_SEMI] = ACTIONS(2332),
    [anon_sym___extension__] = ACTIONS(2330),
    [anon_sym_typedef] = ACTIONS(2330),
    [anon_sym_in] = ACTIONS(2330),
    [anon_sym_out] = ACTIONS(2330),
    [anon_sym_inout] = ACTIONS(2330),
    [anon_sym_extern] = ACTIONS(2330),
    [anon_sym___attribute__] = ACTIONS(2330),
    [anon_sym_COLON_COLON] = ACTIONS(2332),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2332),
    [anon_sym___declspec] = ACTIONS(2330),
    [anon_sym___based] = ACTIONS(2330),
    [anon_sym___cdecl] = ACTIONS(2330),
    [anon_sym___clrcall] = ACTIONS(2330),
    [anon_sym___stdcall] = ACTIONS(2330),
    [anon_sym___fastcall] = ACTIONS(2330),
    [anon_sym___thiscall] = ACTIONS(2330),
    [anon_sym___vectorcall] = ACTIONS(2330),
    [anon_sym_LBRACE] = ACTIONS(2332),
    [anon_sym_signed] = ACTIONS(2330),
    [anon_sym_unsigned] = ACTIONS(2330),
    [anon_sym_long] = ACTIONS(2330),
    [anon_sym_short] = ACTIONS(2330),
    [anon_sym_LBRACK] = ACTIONS(2330),
    [anon_sym_static] = ACTIONS(2330),
    [anon_sym_register] = ACTIONS(2330),
    [anon_sym_inline] = ACTIONS(2330),
    [anon_sym___inline] = ACTIONS(2330),
    [anon_sym___inline__] = ACTIONS(2330),
    [anon_sym___forceinline] = ACTIONS(2330),
    [anon_sym_thread_local] = ACTIONS(2330),
    [anon_sym___thread] = ACTIONS(2330),
    [anon_sym_const] = ACTIONS(2330),
    [anon_sym_constexpr] = ACTIONS(2330),
    [anon_sym_volatile] = ACTIONS(2330),
    [anon_sym_restrict] = ACTIONS(2330),
    [anon_sym___restrict__] = ACTIONS(2330),
    [anon_sym__Atomic] = ACTIONS(2330),
    [anon_sym__Noreturn] = ACTIONS(2330),
    [anon_sym_noreturn] = ACTIONS(2330),
    [anon_sym_mutable] = ACTIONS(2330),
    [anon_sym_constinit] = ACTIONS(2330),
    [anon_sym_consteval] = ACTIONS(2330),
    [sym_primitive_type] = ACTIONS(2330),
    [anon_sym_enum] = ACTIONS(2330),
    [anon_sym_class] = ACTIONS(2330),
    [anon_sym_struct] = ACTIONS(2330),
    [anon_sym_union] = ACTIONS(2330),
    [anon_sym_if] = ACTIONS(2330),
    [anon_sym_else] = ACTIONS(2330),
    [anon_sym_switch] = ACTIONS(2330),
    [anon_sym_case] = ACTIONS(2330),
    [anon_sym_default] = ACTIONS(2330),
    [anon_sym_while] = ACTIONS(2330),
    [anon_sym_do] = ACTIONS(2330),
    [anon_sym_for] = ACTIONS(2330),
    [anon_sym_return] = ACTIONS(2330),
    [anon_sym_break] = ACTIONS(2330),
    [anon_sym_continue] = ACTIONS(2330),
    [anon_sym_goto] = ACTIONS(2330),
    [anon_sym___try] = ACTIONS(2330),
    [anon_sym___leave] = ACTIONS(2330),
    [anon_sym_not] = ACTIONS(2330),
    [anon_sym_compl] = ACTIONS(2330),
    [anon_sym_DASH_DASH] = ACTIONS(2332),
    [anon_sym_PLUS_PLUS] = ACTIONS(2332),
    [anon_sym_sizeof] = ACTIONS(2330),
    [anon_sym___alignof__] = ACTIONS(2330),
    [anon_sym___alignof] = ACTIONS(2330),
    [anon_sym__alignof] = ACTIONS(2330),
    [anon_sym_alignof] = ACTIONS(2330),
    [anon_sym__Alignof] = ACTIONS(2330),
    [anon_sym_offsetof] = ACTIONS(2330),
    [anon_sym__Generic] = ACTIONS(2330),
    [anon_sym_asm] = ACTIONS(2330),
    [anon_sym___asm__] = ACTIONS(2330),
    [sym_number_literal] = ACTIONS(2332),
    [anon_sym_L_SQUOTE] = ACTIONS(2332),
    [anon_sym_u_SQUOTE] = ACTIONS(2332),
    [anon_sym_U_SQUOTE] = ACTIONS(2332),
    [anon_sym_u8_SQUOTE] = ACTIONS(2332),
    [anon_sym_SQUOTE] = ACTIONS(2332),
    [anon_sym_L_DQUOTE] = ACTIONS(2332),
    [anon_sym_u_DQUOTE] = ACTIONS(2332),
    [anon_sym_U_DQUOTE] = ACTIONS(2332),
    [anon_sym_u8_DQUOTE] = ACTIONS(2332),
    [anon_sym_DQUOTE] = ACTIONS(2332),
    [sym_true] = ACTIONS(2330),
    [sym_false] = ACTIONS(2330),
    [anon_sym_NULL] = ACTIONS(2330),
    [anon_sym_nullptr] = ACTIONS(2330),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2330),
    [anon_sym_decltype] = ACTIONS(2330),
    [anon_sym_virtual] = ACTIONS(2330),
    [anon_sym_alignas] = ACTIONS(2330),
    [anon_sym_explicit] = ACTIONS(2330),
    [anon_sym_typename] = ACTIONS(2330),
    [anon_sym_template] = ACTIONS(2330),
    [anon_sym_operator] = ACTIONS(2330),
    [anon_sym_try] = ACTIONS(2330),
    [anon_sym_delete] = ACTIONS(2330),
    [anon_sym_throw] = ACTIONS(2330),
    [anon_sym_namespace] = ACTIONS(2330),
    [anon_sym_using] = ACTIONS(2330),
    [anon_sym_static_assert] = ACTIONS(2330),
    [anon_sym_concept] = ACTIONS(2330),
    [anon_sym_co_return] = ACTIONS(2330),
    [anon_sym_co_yield] = ACTIONS(2330),
    [anon_sym_R_DQUOTE] = ACTIONS(2332),
    [anon_sym_LR_DQUOTE] = ACTIONS(2332),
    [anon_sym_uR_DQUOTE] = ACTIONS(2332),
    [anon_sym_UR_DQUOTE] = ACTIONS(2332),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2332),
    [anon_sym_co_await] = ACTIONS(2330),
    [anon_sym_new] = ACTIONS(2330),
    [anon_sym_requires] = ACTIONS(2330),
    [sym_this] = ACTIONS(2330),
    [anon_sym_discard] = ACTIONS(2330),
    [anon_sym_precise] = ACTIONS(2330),
    [anon_sym_shared] = ACTIONS(2330),
    [anon_sym_groupshared] = ACTIONS(2330),
    [anon_sym_uniform] = ACTIONS(2330),
    [anon_sym_row_major] = ACTIONS(2330),
    [anon_sym_column_major] = ACTIONS(2330),
    [anon_sym_globallycoherent] = ACTIONS(2330),
    [anon_sym_centroid] = ACTIONS(2330),
    [anon_sym_noperspective] = ACTIONS(2330),
    [anon_sym_nointerpolation] = ACTIONS(2330),
    [anon_sym_sample] = ACTIONS(2330),
    [anon_sym_linear] = ACTIONS(2330),
    [anon_sym_snorm] = ACTIONS(2330),
    [anon_sym_unorm] = ACTIONS(2330),
    [anon_sym_point] = ACTIONS(2330),
    [anon_sym_line] = ACTIONS(2330),
    [anon_sym_triangleadj] = ACTIONS(2330),
    [anon_sym_lineadj] = ACTIONS(2330),
    [anon_sym_triangle] = ACTIONS(2330),
    [anon_sym_cbuffer] = ACTIONS(2330),
  },
  [1038] = {
    [sym_identifier] = ACTIONS(2765),
    [aux_sym_preproc_include_token1] = ACTIONS(2765),
    [aux_sym_preproc_def_token1] = ACTIONS(2765),
    [aux_sym_preproc_if_token1] = ACTIONS(2765),
    [aux_sym_preproc_if_token2] = ACTIONS(2765),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2765),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2765),
    [sym_preproc_directive] = ACTIONS(2765),
    [anon_sym_LPAREN2] = ACTIONS(2767),
    [anon_sym_BANG] = ACTIONS(2767),
    [anon_sym_TILDE] = ACTIONS(2767),
    [anon_sym_DASH] = ACTIONS(2765),
    [anon_sym_PLUS] = ACTIONS(2765),
    [anon_sym_STAR] = ACTIONS(2767),
    [anon_sym_AMP_AMP] = ACTIONS(2767),
    [anon_sym_AMP] = ACTIONS(2765),
    [anon_sym_SEMI] = ACTIONS(2767),
    [anon_sym___extension__] = ACTIONS(2765),
    [anon_sym_typedef] = ACTIONS(2765),
    [anon_sym_in] = ACTIONS(2765),
    [anon_sym_out] = ACTIONS(2765),
    [anon_sym_inout] = ACTIONS(2765),
    [anon_sym_extern] = ACTIONS(2765),
    [anon_sym___attribute__] = ACTIONS(2765),
    [anon_sym_COLON_COLON] = ACTIONS(2767),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2767),
    [anon_sym___declspec] = ACTIONS(2765),
    [anon_sym___based] = ACTIONS(2765),
    [anon_sym___cdecl] = ACTIONS(2765),
    [anon_sym___clrcall] = ACTIONS(2765),
    [anon_sym___stdcall] = ACTIONS(2765),
    [anon_sym___fastcall] = ACTIONS(2765),
    [anon_sym___thiscall] = ACTIONS(2765),
    [anon_sym___vectorcall] = ACTIONS(2765),
    [anon_sym_LBRACE] = ACTIONS(2767),
    [anon_sym_signed] = ACTIONS(2765),
    [anon_sym_unsigned] = ACTIONS(2765),
    [anon_sym_long] = ACTIONS(2765),
    [anon_sym_short] = ACTIONS(2765),
    [anon_sym_LBRACK] = ACTIONS(2765),
    [anon_sym_static] = ACTIONS(2765),
    [anon_sym_register] = ACTIONS(2765),
    [anon_sym_inline] = ACTIONS(2765),
    [anon_sym___inline] = ACTIONS(2765),
    [anon_sym___inline__] = ACTIONS(2765),
    [anon_sym___forceinline] = ACTIONS(2765),
    [anon_sym_thread_local] = ACTIONS(2765),
    [anon_sym___thread] = ACTIONS(2765),
    [anon_sym_const] = ACTIONS(2765),
    [anon_sym_constexpr] = ACTIONS(2765),
    [anon_sym_volatile] = ACTIONS(2765),
    [anon_sym_restrict] = ACTIONS(2765),
    [anon_sym___restrict__] = ACTIONS(2765),
    [anon_sym__Atomic] = ACTIONS(2765),
    [anon_sym__Noreturn] = ACTIONS(2765),
    [anon_sym_noreturn] = ACTIONS(2765),
    [anon_sym_mutable] = ACTIONS(2765),
    [anon_sym_constinit] = ACTIONS(2765),
    [anon_sym_consteval] = ACTIONS(2765),
    [sym_primitive_type] = ACTIONS(2765),
    [anon_sym_enum] = ACTIONS(2765),
    [anon_sym_class] = ACTIONS(2765),
    [anon_sym_struct] = ACTIONS(2765),
    [anon_sym_union] = ACTIONS(2765),
    [anon_sym_if] = ACTIONS(2765),
    [anon_sym_switch] = ACTIONS(2765),
    [anon_sym_case] = ACTIONS(2765),
    [anon_sym_default] = ACTIONS(2765),
    [anon_sym_while] = ACTIONS(2765),
    [anon_sym_do] = ACTIONS(2765),
    [anon_sym_for] = ACTIONS(2765),
    [anon_sym_return] = ACTIONS(2765),
    [anon_sym_break] = ACTIONS(2765),
    [anon_sym_continue] = ACTIONS(2765),
    [anon_sym_goto] = ACTIONS(2765),
    [anon_sym___try] = ACTIONS(2765),
    [anon_sym___leave] = ACTIONS(2765),
    [anon_sym_not] = ACTIONS(2765),
    [anon_sym_compl] = ACTIONS(2765),
    [anon_sym_DASH_DASH] = ACTIONS(2767),
    [anon_sym_PLUS_PLUS] = ACTIONS(2767),
    [anon_sym_sizeof] = ACTIONS(2765),
    [anon_sym___alignof__] = ACTIONS(2765),
    [anon_sym___alignof] = ACTIONS(2765),
    [anon_sym__alignof] = ACTIONS(2765),
    [anon_sym_alignof] = ACTIONS(2765),
    [anon_sym__Alignof] = ACTIONS(2765),
    [anon_sym_offsetof] = ACTIONS(2765),
    [anon_sym__Generic] = ACTIONS(2765),
    [anon_sym_asm] = ACTIONS(2765),
    [anon_sym___asm__] = ACTIONS(2765),
    [sym_number_literal] = ACTIONS(2767),
    [anon_sym_L_SQUOTE] = ACTIONS(2767),
    [anon_sym_u_SQUOTE] = ACTIONS(2767),
    [anon_sym_U_SQUOTE] = ACTIONS(2767),
    [anon_sym_u8_SQUOTE] = ACTIONS(2767),
    [anon_sym_SQUOTE] = ACTIONS(2767),
    [anon_sym_L_DQUOTE] = ACTIONS(2767),
    [anon_sym_u_DQUOTE] = ACTIONS(2767),
    [anon_sym_U_DQUOTE] = ACTIONS(2767),
    [anon_sym_u8_DQUOTE] = ACTIONS(2767),
    [anon_sym_DQUOTE] = ACTIONS(2767),
    [sym_true] = ACTIONS(2765),
    [sym_false] = ACTIONS(2765),
    [anon_sym_NULL] = ACTIONS(2765),
    [anon_sym_nullptr] = ACTIONS(2765),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2765),
    [anon_sym_decltype] = ACTIONS(2765),
    [anon_sym_virtual] = ACTIONS(2765),
    [anon_sym_alignas] = ACTIONS(2765),
    [anon_sym_explicit] = ACTIONS(2765),
    [anon_sym_typename] = ACTIONS(2765),
    [anon_sym_template] = ACTIONS(2765),
    [anon_sym_operator] = ACTIONS(2765),
    [anon_sym_try] = ACTIONS(2765),
    [anon_sym_delete] = ACTIONS(2765),
    [anon_sym_throw] = ACTIONS(2765),
    [anon_sym_namespace] = ACTIONS(2765),
    [anon_sym_using] = ACTIONS(2765),
    [anon_sym_static_assert] = ACTIONS(2765),
    [anon_sym_concept] = ACTIONS(2765),
    [anon_sym_co_return] = ACTIONS(2765),
    [anon_sym_co_yield] = ACTIONS(2765),
    [anon_sym_R_DQUOTE] = ACTIONS(2767),
    [anon_sym_LR_DQUOTE] = ACTIONS(2767),
    [anon_sym_uR_DQUOTE] = ACTIONS(2767),
    [anon_sym_UR_DQUOTE] = ACTIONS(2767),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2767),
    [anon_sym_co_await] = ACTIONS(2765),
    [anon_sym_new] = ACTIONS(2765),
    [anon_sym_requires] = ACTIONS(2765),
    [sym_this] = ACTIONS(2765),
    [anon_sym_discard] = ACTIONS(2765),
    [anon_sym_precise] = ACTIONS(2765),
    [anon_sym_shared] = ACTIONS(2765),
    [anon_sym_groupshared] = ACTIONS(2765),
    [anon_sym_uniform] = ACTIONS(2765),
    [anon_sym_row_major] = ACTIONS(2765),
    [anon_sym_column_major] = ACTIONS(2765),
    [anon_sym_globallycoherent] = ACTIONS(2765),
    [anon_sym_centroid] = ACTIONS(2765),
    [anon_sym_noperspective] = ACTIONS(2765),
    [anon_sym_nointerpolation] = ACTIONS(2765),
    [anon_sym_sample] = ACTIONS(2765),
    [anon_sym_linear] = ACTIONS(2765),
    [anon_sym_snorm] = ACTIONS(2765),
    [anon_sym_unorm] = ACTIONS(2765),
    [anon_sym_point] = ACTIONS(2765),
    [anon_sym_line] = ACTIONS(2765),
    [anon_sym_triangleadj] = ACTIONS(2765),
    [anon_sym_lineadj] = ACTIONS(2765),
    [anon_sym_triangle] = ACTIONS(2765),
    [anon_sym_cbuffer] = ACTIONS(2765),
  },
  [1039] = {
    [sym_identifier] = ACTIONS(2805),
    [aux_sym_preproc_include_token1] = ACTIONS(2805),
    [aux_sym_preproc_def_token1] = ACTIONS(2805),
    [aux_sym_preproc_if_token1] = ACTIONS(2805),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2805),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2805),
    [sym_preproc_directive] = ACTIONS(2805),
    [anon_sym_LPAREN2] = ACTIONS(2807),
    [anon_sym_BANG] = ACTIONS(2807),
    [anon_sym_TILDE] = ACTIONS(2807),
    [anon_sym_DASH] = ACTIONS(2805),
    [anon_sym_PLUS] = ACTIONS(2805),
    [anon_sym_STAR] = ACTIONS(2807),
    [anon_sym_AMP_AMP] = ACTIONS(2807),
    [anon_sym_AMP] = ACTIONS(2805),
    [anon_sym_SEMI] = ACTIONS(2807),
    [anon_sym___extension__] = ACTIONS(2805),
    [anon_sym_typedef] = ACTIONS(2805),
    [anon_sym_in] = ACTIONS(2805),
    [anon_sym_out] = ACTIONS(2805),
    [anon_sym_inout] = ACTIONS(2805),
    [anon_sym_extern] = ACTIONS(2805),
    [anon_sym___attribute__] = ACTIONS(2805),
    [anon_sym_COLON_COLON] = ACTIONS(2807),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2807),
    [anon_sym___declspec] = ACTIONS(2805),
    [anon_sym___based] = ACTIONS(2805),
    [anon_sym___cdecl] = ACTIONS(2805),
    [anon_sym___clrcall] = ACTIONS(2805),
    [anon_sym___stdcall] = ACTIONS(2805),
    [anon_sym___fastcall] = ACTIONS(2805),
    [anon_sym___thiscall] = ACTIONS(2805),
    [anon_sym___vectorcall] = ACTIONS(2805),
    [anon_sym_LBRACE] = ACTIONS(2807),
    [anon_sym_RBRACE] = ACTIONS(2807),
    [anon_sym_signed] = ACTIONS(2805),
    [anon_sym_unsigned] = ACTIONS(2805),
    [anon_sym_long] = ACTIONS(2805),
    [anon_sym_short] = ACTIONS(2805),
    [anon_sym_LBRACK] = ACTIONS(2805),
    [anon_sym_static] = ACTIONS(2805),
    [anon_sym_register] = ACTIONS(2805),
    [anon_sym_inline] = ACTIONS(2805),
    [anon_sym___inline] = ACTIONS(2805),
    [anon_sym___inline__] = ACTIONS(2805),
    [anon_sym___forceinline] = ACTIONS(2805),
    [anon_sym_thread_local] = ACTIONS(2805),
    [anon_sym___thread] = ACTIONS(2805),
    [anon_sym_const] = ACTIONS(2805),
    [anon_sym_constexpr] = ACTIONS(2805),
    [anon_sym_volatile] = ACTIONS(2805),
    [anon_sym_restrict] = ACTIONS(2805),
    [anon_sym___restrict__] = ACTIONS(2805),
    [anon_sym__Atomic] = ACTIONS(2805),
    [anon_sym__Noreturn] = ACTIONS(2805),
    [anon_sym_noreturn] = ACTIONS(2805),
    [anon_sym_mutable] = ACTIONS(2805),
    [anon_sym_constinit] = ACTIONS(2805),
    [anon_sym_consteval] = ACTIONS(2805),
    [sym_primitive_type] = ACTIONS(2805),
    [anon_sym_enum] = ACTIONS(2805),
    [anon_sym_class] = ACTIONS(2805),
    [anon_sym_struct] = ACTIONS(2805),
    [anon_sym_union] = ACTIONS(2805),
    [anon_sym_if] = ACTIONS(2805),
    [anon_sym_switch] = ACTIONS(2805),
    [anon_sym_case] = ACTIONS(2805),
    [anon_sym_default] = ACTIONS(2805),
    [anon_sym_while] = ACTIONS(2805),
    [anon_sym_do] = ACTIONS(2805),
    [anon_sym_for] = ACTIONS(2805),
    [anon_sym_return] = ACTIONS(2805),
    [anon_sym_break] = ACTIONS(2805),
    [anon_sym_continue] = ACTIONS(2805),
    [anon_sym_goto] = ACTIONS(2805),
    [anon_sym___try] = ACTIONS(2805),
    [anon_sym___leave] = ACTIONS(2805),
    [anon_sym_not] = ACTIONS(2805),
    [anon_sym_compl] = ACTIONS(2805),
    [anon_sym_DASH_DASH] = ACTIONS(2807),
    [anon_sym_PLUS_PLUS] = ACTIONS(2807),
    [anon_sym_sizeof] = ACTIONS(2805),
    [anon_sym___alignof__] = ACTIONS(2805),
    [anon_sym___alignof] = ACTIONS(2805),
    [anon_sym__alignof] = ACTIONS(2805),
    [anon_sym_alignof] = ACTIONS(2805),
    [anon_sym__Alignof] = ACTIONS(2805),
    [anon_sym_offsetof] = ACTIONS(2805),
    [anon_sym__Generic] = ACTIONS(2805),
    [anon_sym_asm] = ACTIONS(2805),
    [anon_sym___asm__] = ACTIONS(2805),
    [sym_number_literal] = ACTIONS(2807),
    [anon_sym_L_SQUOTE] = ACTIONS(2807),
    [anon_sym_u_SQUOTE] = ACTIONS(2807),
    [anon_sym_U_SQUOTE] = ACTIONS(2807),
    [anon_sym_u8_SQUOTE] = ACTIONS(2807),
    [anon_sym_SQUOTE] = ACTIONS(2807),
    [anon_sym_L_DQUOTE] = ACTIONS(2807),
    [anon_sym_u_DQUOTE] = ACTIONS(2807),
    [anon_sym_U_DQUOTE] = ACTIONS(2807),
    [anon_sym_u8_DQUOTE] = ACTIONS(2807),
    [anon_sym_DQUOTE] = ACTIONS(2807),
    [sym_true] = ACTIONS(2805),
    [sym_false] = ACTIONS(2805),
    [anon_sym_NULL] = ACTIONS(2805),
    [anon_sym_nullptr] = ACTIONS(2805),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2805),
    [anon_sym_decltype] = ACTIONS(2805),
    [anon_sym_virtual] = ACTIONS(2805),
    [anon_sym_alignas] = ACTIONS(2805),
    [anon_sym_explicit] = ACTIONS(2805),
    [anon_sym_typename] = ACTIONS(2805),
    [anon_sym_template] = ACTIONS(2805),
    [anon_sym_operator] = ACTIONS(2805),
    [anon_sym_try] = ACTIONS(2805),
    [anon_sym_delete] = ACTIONS(2805),
    [anon_sym_throw] = ACTIONS(2805),
    [anon_sym_namespace] = ACTIONS(2805),
    [anon_sym_using] = ACTIONS(2805),
    [anon_sym_static_assert] = ACTIONS(2805),
    [anon_sym_concept] = ACTIONS(2805),
    [anon_sym_co_return] = ACTIONS(2805),
    [anon_sym_co_yield] = ACTIONS(2805),
    [anon_sym_R_DQUOTE] = ACTIONS(2807),
    [anon_sym_LR_DQUOTE] = ACTIONS(2807),
    [anon_sym_uR_DQUOTE] = ACTIONS(2807),
    [anon_sym_UR_DQUOTE] = ACTIONS(2807),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2807),
    [anon_sym_co_await] = ACTIONS(2805),
    [anon_sym_new] = ACTIONS(2805),
    [anon_sym_requires] = ACTIONS(2805),
    [sym_this] = ACTIONS(2805),
    [anon_sym_discard] = ACTIONS(2805),
    [anon_sym_precise] = ACTIONS(2805),
    [anon_sym_shared] = ACTIONS(2805),
    [anon_sym_groupshared] = ACTIONS(2805),
    [anon_sym_uniform] = ACTIONS(2805),
    [anon_sym_row_major] = ACTIONS(2805),
    [anon_sym_column_major] = ACTIONS(2805),
    [anon_sym_globallycoherent] = ACTIONS(2805),
    [anon_sym_centroid] = ACTIONS(2805),
    [anon_sym_noperspective] = ACTIONS(2805),
    [anon_sym_nointerpolation] = ACTIONS(2805),
    [anon_sym_sample] = ACTIONS(2805),
    [anon_sym_linear] = ACTIONS(2805),
    [anon_sym_snorm] = ACTIONS(2805),
    [anon_sym_unorm] = ACTIONS(2805),
    [anon_sym_point] = ACTIONS(2805),
    [anon_sym_line] = ACTIONS(2805),
    [anon_sym_triangleadj] = ACTIONS(2805),
    [anon_sym_lineadj] = ACTIONS(2805),
    [anon_sym_triangle] = ACTIONS(2805),
    [anon_sym_cbuffer] = ACTIONS(2805),
  },
  [1040] = {
    [sym_identifier] = ACTIONS(2681),
    [aux_sym_preproc_include_token1] = ACTIONS(2681),
    [aux_sym_preproc_def_token1] = ACTIONS(2681),
    [aux_sym_preproc_if_token1] = ACTIONS(2681),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2681),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2681),
    [sym_preproc_directive] = ACTIONS(2681),
    [anon_sym_LPAREN2] = ACTIONS(2683),
    [anon_sym_BANG] = ACTIONS(2683),
    [anon_sym_TILDE] = ACTIONS(2683),
    [anon_sym_DASH] = ACTIONS(2681),
    [anon_sym_PLUS] = ACTIONS(2681),
    [anon_sym_STAR] = ACTIONS(2683),
    [anon_sym_AMP_AMP] = ACTIONS(2683),
    [anon_sym_AMP] = ACTIONS(2681),
    [anon_sym_SEMI] = ACTIONS(2683),
    [anon_sym___extension__] = ACTIONS(2681),
    [anon_sym_typedef] = ACTIONS(2681),
    [anon_sym_in] = ACTIONS(2681),
    [anon_sym_out] = ACTIONS(2681),
    [anon_sym_inout] = ACTIONS(2681),
    [anon_sym_extern] = ACTIONS(2681),
    [anon_sym___attribute__] = ACTIONS(2681),
    [anon_sym_COLON_COLON] = ACTIONS(2683),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2683),
    [anon_sym___declspec] = ACTIONS(2681),
    [anon_sym___based] = ACTIONS(2681),
    [anon_sym___cdecl] = ACTIONS(2681),
    [anon_sym___clrcall] = ACTIONS(2681),
    [anon_sym___stdcall] = ACTIONS(2681),
    [anon_sym___fastcall] = ACTIONS(2681),
    [anon_sym___thiscall] = ACTIONS(2681),
    [anon_sym___vectorcall] = ACTIONS(2681),
    [anon_sym_LBRACE] = ACTIONS(2683),
    [anon_sym_RBRACE] = ACTIONS(2683),
    [anon_sym_signed] = ACTIONS(2681),
    [anon_sym_unsigned] = ACTIONS(2681),
    [anon_sym_long] = ACTIONS(2681),
    [anon_sym_short] = ACTIONS(2681),
    [anon_sym_LBRACK] = ACTIONS(2681),
    [anon_sym_static] = ACTIONS(2681),
    [anon_sym_register] = ACTIONS(2681),
    [anon_sym_inline] = ACTIONS(2681),
    [anon_sym___inline] = ACTIONS(2681),
    [anon_sym___inline__] = ACTIONS(2681),
    [anon_sym___forceinline] = ACTIONS(2681),
    [anon_sym_thread_local] = ACTIONS(2681),
    [anon_sym___thread] = ACTIONS(2681),
    [anon_sym_const] = ACTIONS(2681),
    [anon_sym_constexpr] = ACTIONS(2681),
    [anon_sym_volatile] = ACTIONS(2681),
    [anon_sym_restrict] = ACTIONS(2681),
    [anon_sym___restrict__] = ACTIONS(2681),
    [anon_sym__Atomic] = ACTIONS(2681),
    [anon_sym__Noreturn] = ACTIONS(2681),
    [anon_sym_noreturn] = ACTIONS(2681),
    [anon_sym_mutable] = ACTIONS(2681),
    [anon_sym_constinit] = ACTIONS(2681),
    [anon_sym_consteval] = ACTIONS(2681),
    [sym_primitive_type] = ACTIONS(2681),
    [anon_sym_enum] = ACTIONS(2681),
    [anon_sym_class] = ACTIONS(2681),
    [anon_sym_struct] = ACTIONS(2681),
    [anon_sym_union] = ACTIONS(2681),
    [anon_sym_if] = ACTIONS(2681),
    [anon_sym_switch] = ACTIONS(2681),
    [anon_sym_case] = ACTIONS(2681),
    [anon_sym_default] = ACTIONS(2681),
    [anon_sym_while] = ACTIONS(2681),
    [anon_sym_do] = ACTIONS(2681),
    [anon_sym_for] = ACTIONS(2681),
    [anon_sym_return] = ACTIONS(2681),
    [anon_sym_break] = ACTIONS(2681),
    [anon_sym_continue] = ACTIONS(2681),
    [anon_sym_goto] = ACTIONS(2681),
    [anon_sym___try] = ACTIONS(2681),
    [anon_sym___leave] = ACTIONS(2681),
    [anon_sym_not] = ACTIONS(2681),
    [anon_sym_compl] = ACTIONS(2681),
    [anon_sym_DASH_DASH] = ACTIONS(2683),
    [anon_sym_PLUS_PLUS] = ACTIONS(2683),
    [anon_sym_sizeof] = ACTIONS(2681),
    [anon_sym___alignof__] = ACTIONS(2681),
    [anon_sym___alignof] = ACTIONS(2681),
    [anon_sym__alignof] = ACTIONS(2681),
    [anon_sym_alignof] = ACTIONS(2681),
    [anon_sym__Alignof] = ACTIONS(2681),
    [anon_sym_offsetof] = ACTIONS(2681),
    [anon_sym__Generic] = ACTIONS(2681),
    [anon_sym_asm] = ACTIONS(2681),
    [anon_sym___asm__] = ACTIONS(2681),
    [sym_number_literal] = ACTIONS(2683),
    [anon_sym_L_SQUOTE] = ACTIONS(2683),
    [anon_sym_u_SQUOTE] = ACTIONS(2683),
    [anon_sym_U_SQUOTE] = ACTIONS(2683),
    [anon_sym_u8_SQUOTE] = ACTIONS(2683),
    [anon_sym_SQUOTE] = ACTIONS(2683),
    [anon_sym_L_DQUOTE] = ACTIONS(2683),
    [anon_sym_u_DQUOTE] = ACTIONS(2683),
    [anon_sym_U_DQUOTE] = ACTIONS(2683),
    [anon_sym_u8_DQUOTE] = ACTIONS(2683),
    [anon_sym_DQUOTE] = ACTIONS(2683),
    [sym_true] = ACTIONS(2681),
    [sym_false] = ACTIONS(2681),
    [anon_sym_NULL] = ACTIONS(2681),
    [anon_sym_nullptr] = ACTIONS(2681),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2681),
    [anon_sym_decltype] = ACTIONS(2681),
    [anon_sym_virtual] = ACTIONS(2681),
    [anon_sym_alignas] = ACTIONS(2681),
    [anon_sym_explicit] = ACTIONS(2681),
    [anon_sym_typename] = ACTIONS(2681),
    [anon_sym_template] = ACTIONS(2681),
    [anon_sym_operator] = ACTIONS(2681),
    [anon_sym_try] = ACTIONS(2681),
    [anon_sym_delete] = ACTIONS(2681),
    [anon_sym_throw] = ACTIONS(2681),
    [anon_sym_namespace] = ACTIONS(2681),
    [anon_sym_using] = ACTIONS(2681),
    [anon_sym_static_assert] = ACTIONS(2681),
    [anon_sym_concept] = ACTIONS(2681),
    [anon_sym_co_return] = ACTIONS(2681),
    [anon_sym_co_yield] = ACTIONS(2681),
    [anon_sym_R_DQUOTE] = ACTIONS(2683),
    [anon_sym_LR_DQUOTE] = ACTIONS(2683),
    [anon_sym_uR_DQUOTE] = ACTIONS(2683),
    [anon_sym_UR_DQUOTE] = ACTIONS(2683),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2683),
    [anon_sym_co_await] = ACTIONS(2681),
    [anon_sym_new] = ACTIONS(2681),
    [anon_sym_requires] = ACTIONS(2681),
    [sym_this] = ACTIONS(2681),
    [anon_sym_discard] = ACTIONS(2681),
    [anon_sym_precise] = ACTIONS(2681),
    [anon_sym_shared] = ACTIONS(2681),
    [anon_sym_groupshared] = ACTIONS(2681),
    [anon_sym_uniform] = ACTIONS(2681),
    [anon_sym_row_major] = ACTIONS(2681),
    [anon_sym_column_major] = ACTIONS(2681),
    [anon_sym_globallycoherent] = ACTIONS(2681),
    [anon_sym_centroid] = ACTIONS(2681),
    [anon_sym_noperspective] = ACTIONS(2681),
    [anon_sym_nointerpolation] = ACTIONS(2681),
    [anon_sym_sample] = ACTIONS(2681),
    [anon_sym_linear] = ACTIONS(2681),
    [anon_sym_snorm] = ACTIONS(2681),
    [anon_sym_unorm] = ACTIONS(2681),
    [anon_sym_point] = ACTIONS(2681),
    [anon_sym_line] = ACTIONS(2681),
    [anon_sym_triangleadj] = ACTIONS(2681),
    [anon_sym_lineadj] = ACTIONS(2681),
    [anon_sym_triangle] = ACTIONS(2681),
    [anon_sym_cbuffer] = ACTIONS(2681),
  },
  [1041] = {
    [sym_identifier] = ACTIONS(2789),
    [aux_sym_preproc_include_token1] = ACTIONS(2789),
    [aux_sym_preproc_def_token1] = ACTIONS(2789),
    [aux_sym_preproc_if_token1] = ACTIONS(2789),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2789),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2789),
    [sym_preproc_directive] = ACTIONS(2789),
    [anon_sym_LPAREN2] = ACTIONS(2791),
    [anon_sym_BANG] = ACTIONS(2791),
    [anon_sym_TILDE] = ACTIONS(2791),
    [anon_sym_DASH] = ACTIONS(2789),
    [anon_sym_PLUS] = ACTIONS(2789),
    [anon_sym_STAR] = ACTIONS(2791),
    [anon_sym_AMP_AMP] = ACTIONS(2791),
    [anon_sym_AMP] = ACTIONS(2789),
    [anon_sym_SEMI] = ACTIONS(2791),
    [anon_sym___extension__] = ACTIONS(2789),
    [anon_sym_typedef] = ACTIONS(2789),
    [anon_sym_in] = ACTIONS(2789),
    [anon_sym_out] = ACTIONS(2789),
    [anon_sym_inout] = ACTIONS(2789),
    [anon_sym_extern] = ACTIONS(2789),
    [anon_sym___attribute__] = ACTIONS(2789),
    [anon_sym_COLON_COLON] = ACTIONS(2791),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2791),
    [anon_sym___declspec] = ACTIONS(2789),
    [anon_sym___based] = ACTIONS(2789),
    [anon_sym___cdecl] = ACTIONS(2789),
    [anon_sym___clrcall] = ACTIONS(2789),
    [anon_sym___stdcall] = ACTIONS(2789),
    [anon_sym___fastcall] = ACTIONS(2789),
    [anon_sym___thiscall] = ACTIONS(2789),
    [anon_sym___vectorcall] = ACTIONS(2789),
    [anon_sym_LBRACE] = ACTIONS(2791),
    [anon_sym_RBRACE] = ACTIONS(2791),
    [anon_sym_signed] = ACTIONS(2789),
    [anon_sym_unsigned] = ACTIONS(2789),
    [anon_sym_long] = ACTIONS(2789),
    [anon_sym_short] = ACTIONS(2789),
    [anon_sym_LBRACK] = ACTIONS(2789),
    [anon_sym_static] = ACTIONS(2789),
    [anon_sym_register] = ACTIONS(2789),
    [anon_sym_inline] = ACTIONS(2789),
    [anon_sym___inline] = ACTIONS(2789),
    [anon_sym___inline__] = ACTIONS(2789),
    [anon_sym___forceinline] = ACTIONS(2789),
    [anon_sym_thread_local] = ACTIONS(2789),
    [anon_sym___thread] = ACTIONS(2789),
    [anon_sym_const] = ACTIONS(2789),
    [anon_sym_constexpr] = ACTIONS(2789),
    [anon_sym_volatile] = ACTIONS(2789),
    [anon_sym_restrict] = ACTIONS(2789),
    [anon_sym___restrict__] = ACTIONS(2789),
    [anon_sym__Atomic] = ACTIONS(2789),
    [anon_sym__Noreturn] = ACTIONS(2789),
    [anon_sym_noreturn] = ACTIONS(2789),
    [anon_sym_mutable] = ACTIONS(2789),
    [anon_sym_constinit] = ACTIONS(2789),
    [anon_sym_consteval] = ACTIONS(2789),
    [sym_primitive_type] = ACTIONS(2789),
    [anon_sym_enum] = ACTIONS(2789),
    [anon_sym_class] = ACTIONS(2789),
    [anon_sym_struct] = ACTIONS(2789),
    [anon_sym_union] = ACTIONS(2789),
    [anon_sym_if] = ACTIONS(2789),
    [anon_sym_switch] = ACTIONS(2789),
    [anon_sym_case] = ACTIONS(2789),
    [anon_sym_default] = ACTIONS(2789),
    [anon_sym_while] = ACTIONS(2789),
    [anon_sym_do] = ACTIONS(2789),
    [anon_sym_for] = ACTIONS(2789),
    [anon_sym_return] = ACTIONS(2789),
    [anon_sym_break] = ACTIONS(2789),
    [anon_sym_continue] = ACTIONS(2789),
    [anon_sym_goto] = ACTIONS(2789),
    [anon_sym___try] = ACTIONS(2789),
    [anon_sym___leave] = ACTIONS(2789),
    [anon_sym_not] = ACTIONS(2789),
    [anon_sym_compl] = ACTIONS(2789),
    [anon_sym_DASH_DASH] = ACTIONS(2791),
    [anon_sym_PLUS_PLUS] = ACTIONS(2791),
    [anon_sym_sizeof] = ACTIONS(2789),
    [anon_sym___alignof__] = ACTIONS(2789),
    [anon_sym___alignof] = ACTIONS(2789),
    [anon_sym__alignof] = ACTIONS(2789),
    [anon_sym_alignof] = ACTIONS(2789),
    [anon_sym__Alignof] = ACTIONS(2789),
    [anon_sym_offsetof] = ACTIONS(2789),
    [anon_sym__Generic] = ACTIONS(2789),
    [anon_sym_asm] = ACTIONS(2789),
    [anon_sym___asm__] = ACTIONS(2789),
    [sym_number_literal] = ACTIONS(2791),
    [anon_sym_L_SQUOTE] = ACTIONS(2791),
    [anon_sym_u_SQUOTE] = ACTIONS(2791),
    [anon_sym_U_SQUOTE] = ACTIONS(2791),
    [anon_sym_u8_SQUOTE] = ACTIONS(2791),
    [anon_sym_SQUOTE] = ACTIONS(2791),
    [anon_sym_L_DQUOTE] = ACTIONS(2791),
    [anon_sym_u_DQUOTE] = ACTIONS(2791),
    [anon_sym_U_DQUOTE] = ACTIONS(2791),
    [anon_sym_u8_DQUOTE] = ACTIONS(2791),
    [anon_sym_DQUOTE] = ACTIONS(2791),
    [sym_true] = ACTIONS(2789),
    [sym_false] = ACTIONS(2789),
    [anon_sym_NULL] = ACTIONS(2789),
    [anon_sym_nullptr] = ACTIONS(2789),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2789),
    [anon_sym_decltype] = ACTIONS(2789),
    [anon_sym_virtual] = ACTIONS(2789),
    [anon_sym_alignas] = ACTIONS(2789),
    [anon_sym_explicit] = ACTIONS(2789),
    [anon_sym_typename] = ACTIONS(2789),
    [anon_sym_template] = ACTIONS(2789),
    [anon_sym_operator] = ACTIONS(2789),
    [anon_sym_try] = ACTIONS(2789),
    [anon_sym_delete] = ACTIONS(2789),
    [anon_sym_throw] = ACTIONS(2789),
    [anon_sym_namespace] = ACTIONS(2789),
    [anon_sym_using] = ACTIONS(2789),
    [anon_sym_static_assert] = ACTIONS(2789),
    [anon_sym_concept] = ACTIONS(2789),
    [anon_sym_co_return] = ACTIONS(2789),
    [anon_sym_co_yield] = ACTIONS(2789),
    [anon_sym_R_DQUOTE] = ACTIONS(2791),
    [anon_sym_LR_DQUOTE] = ACTIONS(2791),
    [anon_sym_uR_DQUOTE] = ACTIONS(2791),
    [anon_sym_UR_DQUOTE] = ACTIONS(2791),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2791),
    [anon_sym_co_await] = ACTIONS(2789),
    [anon_sym_new] = ACTIONS(2789),
    [anon_sym_requires] = ACTIONS(2789),
    [sym_this] = ACTIONS(2789),
    [anon_sym_discard] = ACTIONS(2789),
    [anon_sym_precise] = ACTIONS(2789),
    [anon_sym_shared] = ACTIONS(2789),
    [anon_sym_groupshared] = ACTIONS(2789),
    [anon_sym_uniform] = ACTIONS(2789),
    [anon_sym_row_major] = ACTIONS(2789),
    [anon_sym_column_major] = ACTIONS(2789),
    [anon_sym_globallycoherent] = ACTIONS(2789),
    [anon_sym_centroid] = ACTIONS(2789),
    [anon_sym_noperspective] = ACTIONS(2789),
    [anon_sym_nointerpolation] = ACTIONS(2789),
    [anon_sym_sample] = ACTIONS(2789),
    [anon_sym_linear] = ACTIONS(2789),
    [anon_sym_snorm] = ACTIONS(2789),
    [anon_sym_unorm] = ACTIONS(2789),
    [anon_sym_point] = ACTIONS(2789),
    [anon_sym_line] = ACTIONS(2789),
    [anon_sym_triangleadj] = ACTIONS(2789),
    [anon_sym_lineadj] = ACTIONS(2789),
    [anon_sym_triangle] = ACTIONS(2789),
    [anon_sym_cbuffer] = ACTIONS(2789),
  },
  [1042] = {
    [sym_identifier] = ACTIONS(2520),
    [aux_sym_preproc_include_token1] = ACTIONS(2520),
    [aux_sym_preproc_def_token1] = ACTIONS(2520),
    [aux_sym_preproc_if_token1] = ACTIONS(2520),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2520),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2520),
    [sym_preproc_directive] = ACTIONS(2520),
    [anon_sym_LPAREN2] = ACTIONS(2522),
    [anon_sym_BANG] = ACTIONS(2522),
    [anon_sym_TILDE] = ACTIONS(2522),
    [anon_sym_DASH] = ACTIONS(2520),
    [anon_sym_PLUS] = ACTIONS(2520),
    [anon_sym_STAR] = ACTIONS(2522),
    [anon_sym_AMP_AMP] = ACTIONS(2522),
    [anon_sym_AMP] = ACTIONS(2520),
    [anon_sym_SEMI] = ACTIONS(2522),
    [anon_sym___extension__] = ACTIONS(2520),
    [anon_sym_typedef] = ACTIONS(2520),
    [anon_sym_in] = ACTIONS(2520),
    [anon_sym_out] = ACTIONS(2520),
    [anon_sym_inout] = ACTIONS(2520),
    [anon_sym_extern] = ACTIONS(2520),
    [anon_sym___attribute__] = ACTIONS(2520),
    [anon_sym_COLON_COLON] = ACTIONS(2522),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2522),
    [anon_sym___declspec] = ACTIONS(2520),
    [anon_sym___based] = ACTIONS(2520),
    [anon_sym___cdecl] = ACTIONS(2520),
    [anon_sym___clrcall] = ACTIONS(2520),
    [anon_sym___stdcall] = ACTIONS(2520),
    [anon_sym___fastcall] = ACTIONS(2520),
    [anon_sym___thiscall] = ACTIONS(2520),
    [anon_sym___vectorcall] = ACTIONS(2520),
    [anon_sym_LBRACE] = ACTIONS(2522),
    [anon_sym_RBRACE] = ACTIONS(2522),
    [anon_sym_signed] = ACTIONS(2520),
    [anon_sym_unsigned] = ACTIONS(2520),
    [anon_sym_long] = ACTIONS(2520),
    [anon_sym_short] = ACTIONS(2520),
    [anon_sym_LBRACK] = ACTIONS(2520),
    [anon_sym_static] = ACTIONS(2520),
    [anon_sym_register] = ACTIONS(2520),
    [anon_sym_inline] = ACTIONS(2520),
    [anon_sym___inline] = ACTIONS(2520),
    [anon_sym___inline__] = ACTIONS(2520),
    [anon_sym___forceinline] = ACTIONS(2520),
    [anon_sym_thread_local] = ACTIONS(2520),
    [anon_sym___thread] = ACTIONS(2520),
    [anon_sym_const] = ACTIONS(2520),
    [anon_sym_constexpr] = ACTIONS(2520),
    [anon_sym_volatile] = ACTIONS(2520),
    [anon_sym_restrict] = ACTIONS(2520),
    [anon_sym___restrict__] = ACTIONS(2520),
    [anon_sym__Atomic] = ACTIONS(2520),
    [anon_sym__Noreturn] = ACTIONS(2520),
    [anon_sym_noreturn] = ACTIONS(2520),
    [anon_sym_mutable] = ACTIONS(2520),
    [anon_sym_constinit] = ACTIONS(2520),
    [anon_sym_consteval] = ACTIONS(2520),
    [sym_primitive_type] = ACTIONS(2520),
    [anon_sym_enum] = ACTIONS(2520),
    [anon_sym_class] = ACTIONS(2520),
    [anon_sym_struct] = ACTIONS(2520),
    [anon_sym_union] = ACTIONS(2520),
    [anon_sym_if] = ACTIONS(2520),
    [anon_sym_switch] = ACTIONS(2520),
    [anon_sym_case] = ACTIONS(2520),
    [anon_sym_default] = ACTIONS(2520),
    [anon_sym_while] = ACTIONS(2520),
    [anon_sym_do] = ACTIONS(2520),
    [anon_sym_for] = ACTIONS(2520),
    [anon_sym_return] = ACTIONS(2520),
    [anon_sym_break] = ACTIONS(2520),
    [anon_sym_continue] = ACTIONS(2520),
    [anon_sym_goto] = ACTIONS(2520),
    [anon_sym___try] = ACTIONS(2520),
    [anon_sym___leave] = ACTIONS(2520),
    [anon_sym_not] = ACTIONS(2520),
    [anon_sym_compl] = ACTIONS(2520),
    [anon_sym_DASH_DASH] = ACTIONS(2522),
    [anon_sym_PLUS_PLUS] = ACTIONS(2522),
    [anon_sym_sizeof] = ACTIONS(2520),
    [anon_sym___alignof__] = ACTIONS(2520),
    [anon_sym___alignof] = ACTIONS(2520),
    [anon_sym__alignof] = ACTIONS(2520),
    [anon_sym_alignof] = ACTIONS(2520),
    [anon_sym__Alignof] = ACTIONS(2520),
    [anon_sym_offsetof] = ACTIONS(2520),
    [anon_sym__Generic] = ACTIONS(2520),
    [anon_sym_asm] = ACTIONS(2520),
    [anon_sym___asm__] = ACTIONS(2520),
    [sym_number_literal] = ACTIONS(2522),
    [anon_sym_L_SQUOTE] = ACTIONS(2522),
    [anon_sym_u_SQUOTE] = ACTIONS(2522),
    [anon_sym_U_SQUOTE] = ACTIONS(2522),
    [anon_sym_u8_SQUOTE] = ACTIONS(2522),
    [anon_sym_SQUOTE] = ACTIONS(2522),
    [anon_sym_L_DQUOTE] = ACTIONS(2522),
    [anon_sym_u_DQUOTE] = ACTIONS(2522),
    [anon_sym_U_DQUOTE] = ACTIONS(2522),
    [anon_sym_u8_DQUOTE] = ACTIONS(2522),
    [anon_sym_DQUOTE] = ACTIONS(2522),
    [sym_true] = ACTIONS(2520),
    [sym_false] = ACTIONS(2520),
    [anon_sym_NULL] = ACTIONS(2520),
    [anon_sym_nullptr] = ACTIONS(2520),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2520),
    [anon_sym_decltype] = ACTIONS(2520),
    [anon_sym_virtual] = ACTIONS(2520),
    [anon_sym_alignas] = ACTIONS(2520),
    [anon_sym_explicit] = ACTIONS(2520),
    [anon_sym_typename] = ACTIONS(2520),
    [anon_sym_template] = ACTIONS(2520),
    [anon_sym_operator] = ACTIONS(2520),
    [anon_sym_try] = ACTIONS(2520),
    [anon_sym_delete] = ACTIONS(2520),
    [anon_sym_throw] = ACTIONS(2520),
    [anon_sym_namespace] = ACTIONS(2520),
    [anon_sym_using] = ACTIONS(2520),
    [anon_sym_static_assert] = ACTIONS(2520),
    [anon_sym_concept] = ACTIONS(2520),
    [anon_sym_co_return] = ACTIONS(2520),
    [anon_sym_co_yield] = ACTIONS(2520),
    [anon_sym_R_DQUOTE] = ACTIONS(2522),
    [anon_sym_LR_DQUOTE] = ACTIONS(2522),
    [anon_sym_uR_DQUOTE] = ACTIONS(2522),
    [anon_sym_UR_DQUOTE] = ACTIONS(2522),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2522),
    [anon_sym_co_await] = ACTIONS(2520),
    [anon_sym_new] = ACTIONS(2520),
    [anon_sym_requires] = ACTIONS(2520),
    [sym_this] = ACTIONS(2520),
    [anon_sym_discard] = ACTIONS(2520),
    [anon_sym_precise] = ACTIONS(2520),
    [anon_sym_shared] = ACTIONS(2520),
    [anon_sym_groupshared] = ACTIONS(2520),
    [anon_sym_uniform] = ACTIONS(2520),
    [anon_sym_row_major] = ACTIONS(2520),
    [anon_sym_column_major] = ACTIONS(2520),
    [anon_sym_globallycoherent] = ACTIONS(2520),
    [anon_sym_centroid] = ACTIONS(2520),
    [anon_sym_noperspective] = ACTIONS(2520),
    [anon_sym_nointerpolation] = ACTIONS(2520),
    [anon_sym_sample] = ACTIONS(2520),
    [anon_sym_linear] = ACTIONS(2520),
    [anon_sym_snorm] = ACTIONS(2520),
    [anon_sym_unorm] = ACTIONS(2520),
    [anon_sym_point] = ACTIONS(2520),
    [anon_sym_line] = ACTIONS(2520),
    [anon_sym_triangleadj] = ACTIONS(2520),
    [anon_sym_lineadj] = ACTIONS(2520),
    [anon_sym_triangle] = ACTIONS(2520),
    [anon_sym_cbuffer] = ACTIONS(2520),
  },
  [1043] = {
    [sym_identifier] = ACTIONS(2633),
    [aux_sym_preproc_include_token1] = ACTIONS(2633),
    [aux_sym_preproc_def_token1] = ACTIONS(2633),
    [aux_sym_preproc_if_token1] = ACTIONS(2633),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2633),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2633),
    [sym_preproc_directive] = ACTIONS(2633),
    [anon_sym_LPAREN2] = ACTIONS(2635),
    [anon_sym_BANG] = ACTIONS(2635),
    [anon_sym_TILDE] = ACTIONS(2635),
    [anon_sym_DASH] = ACTIONS(2633),
    [anon_sym_PLUS] = ACTIONS(2633),
    [anon_sym_STAR] = ACTIONS(2635),
    [anon_sym_AMP_AMP] = ACTIONS(2635),
    [anon_sym_AMP] = ACTIONS(2633),
    [anon_sym_SEMI] = ACTIONS(2635),
    [anon_sym___extension__] = ACTIONS(2633),
    [anon_sym_typedef] = ACTIONS(2633),
    [anon_sym_in] = ACTIONS(2633),
    [anon_sym_out] = ACTIONS(2633),
    [anon_sym_inout] = ACTIONS(2633),
    [anon_sym_extern] = ACTIONS(2633),
    [anon_sym___attribute__] = ACTIONS(2633),
    [anon_sym_COLON_COLON] = ACTIONS(2635),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2635),
    [anon_sym___declspec] = ACTIONS(2633),
    [anon_sym___based] = ACTIONS(2633),
    [anon_sym___cdecl] = ACTIONS(2633),
    [anon_sym___clrcall] = ACTIONS(2633),
    [anon_sym___stdcall] = ACTIONS(2633),
    [anon_sym___fastcall] = ACTIONS(2633),
    [anon_sym___thiscall] = ACTIONS(2633),
    [anon_sym___vectorcall] = ACTIONS(2633),
    [anon_sym_LBRACE] = ACTIONS(2635),
    [anon_sym_RBRACE] = ACTIONS(2635),
    [anon_sym_signed] = ACTIONS(2633),
    [anon_sym_unsigned] = ACTIONS(2633),
    [anon_sym_long] = ACTIONS(2633),
    [anon_sym_short] = ACTIONS(2633),
    [anon_sym_LBRACK] = ACTIONS(2633),
    [anon_sym_static] = ACTIONS(2633),
    [anon_sym_register] = ACTIONS(2633),
    [anon_sym_inline] = ACTIONS(2633),
    [anon_sym___inline] = ACTIONS(2633),
    [anon_sym___inline__] = ACTIONS(2633),
    [anon_sym___forceinline] = ACTIONS(2633),
    [anon_sym_thread_local] = ACTIONS(2633),
    [anon_sym___thread] = ACTIONS(2633),
    [anon_sym_const] = ACTIONS(2633),
    [anon_sym_constexpr] = ACTIONS(2633),
    [anon_sym_volatile] = ACTIONS(2633),
    [anon_sym_restrict] = ACTIONS(2633),
    [anon_sym___restrict__] = ACTIONS(2633),
    [anon_sym__Atomic] = ACTIONS(2633),
    [anon_sym__Noreturn] = ACTIONS(2633),
    [anon_sym_noreturn] = ACTIONS(2633),
    [anon_sym_mutable] = ACTIONS(2633),
    [anon_sym_constinit] = ACTIONS(2633),
    [anon_sym_consteval] = ACTIONS(2633),
    [sym_primitive_type] = ACTIONS(2633),
    [anon_sym_enum] = ACTIONS(2633),
    [anon_sym_class] = ACTIONS(2633),
    [anon_sym_struct] = ACTIONS(2633),
    [anon_sym_union] = ACTIONS(2633),
    [anon_sym_if] = ACTIONS(2633),
    [anon_sym_switch] = ACTIONS(2633),
    [anon_sym_case] = ACTIONS(2633),
    [anon_sym_default] = ACTIONS(2633),
    [anon_sym_while] = ACTIONS(2633),
    [anon_sym_do] = ACTIONS(2633),
    [anon_sym_for] = ACTIONS(2633),
    [anon_sym_return] = ACTIONS(2633),
    [anon_sym_break] = ACTIONS(2633),
    [anon_sym_continue] = ACTIONS(2633),
    [anon_sym_goto] = ACTIONS(2633),
    [anon_sym___try] = ACTIONS(2633),
    [anon_sym___leave] = ACTIONS(2633),
    [anon_sym_not] = ACTIONS(2633),
    [anon_sym_compl] = ACTIONS(2633),
    [anon_sym_DASH_DASH] = ACTIONS(2635),
    [anon_sym_PLUS_PLUS] = ACTIONS(2635),
    [anon_sym_sizeof] = ACTIONS(2633),
    [anon_sym___alignof__] = ACTIONS(2633),
    [anon_sym___alignof] = ACTIONS(2633),
    [anon_sym__alignof] = ACTIONS(2633),
    [anon_sym_alignof] = ACTIONS(2633),
    [anon_sym__Alignof] = ACTIONS(2633),
    [anon_sym_offsetof] = ACTIONS(2633),
    [anon_sym__Generic] = ACTIONS(2633),
    [anon_sym_asm] = ACTIONS(2633),
    [anon_sym___asm__] = ACTIONS(2633),
    [sym_number_literal] = ACTIONS(2635),
    [anon_sym_L_SQUOTE] = ACTIONS(2635),
    [anon_sym_u_SQUOTE] = ACTIONS(2635),
    [anon_sym_U_SQUOTE] = ACTIONS(2635),
    [anon_sym_u8_SQUOTE] = ACTIONS(2635),
    [anon_sym_SQUOTE] = ACTIONS(2635),
    [anon_sym_L_DQUOTE] = ACTIONS(2635),
    [anon_sym_u_DQUOTE] = ACTIONS(2635),
    [anon_sym_U_DQUOTE] = ACTIONS(2635),
    [anon_sym_u8_DQUOTE] = ACTIONS(2635),
    [anon_sym_DQUOTE] = ACTIONS(2635),
    [sym_true] = ACTIONS(2633),
    [sym_false] = ACTIONS(2633),
    [anon_sym_NULL] = ACTIONS(2633),
    [anon_sym_nullptr] = ACTIONS(2633),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2633),
    [anon_sym_decltype] = ACTIONS(2633),
    [anon_sym_virtual] = ACTIONS(2633),
    [anon_sym_alignas] = ACTIONS(2633),
    [anon_sym_explicit] = ACTIONS(2633),
    [anon_sym_typename] = ACTIONS(2633),
    [anon_sym_template] = ACTIONS(2633),
    [anon_sym_operator] = ACTIONS(2633),
    [anon_sym_try] = ACTIONS(2633),
    [anon_sym_delete] = ACTIONS(2633),
    [anon_sym_throw] = ACTIONS(2633),
    [anon_sym_namespace] = ACTIONS(2633),
    [anon_sym_using] = ACTIONS(2633),
    [anon_sym_static_assert] = ACTIONS(2633),
    [anon_sym_concept] = ACTIONS(2633),
    [anon_sym_co_return] = ACTIONS(2633),
    [anon_sym_co_yield] = ACTIONS(2633),
    [anon_sym_R_DQUOTE] = ACTIONS(2635),
    [anon_sym_LR_DQUOTE] = ACTIONS(2635),
    [anon_sym_uR_DQUOTE] = ACTIONS(2635),
    [anon_sym_UR_DQUOTE] = ACTIONS(2635),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2635),
    [anon_sym_co_await] = ACTIONS(2633),
    [anon_sym_new] = ACTIONS(2633),
    [anon_sym_requires] = ACTIONS(2633),
    [sym_this] = ACTIONS(2633),
    [anon_sym_discard] = ACTIONS(2633),
    [anon_sym_precise] = ACTIONS(2633),
    [anon_sym_shared] = ACTIONS(2633),
    [anon_sym_groupshared] = ACTIONS(2633),
    [anon_sym_uniform] = ACTIONS(2633),
    [anon_sym_row_major] = ACTIONS(2633),
    [anon_sym_column_major] = ACTIONS(2633),
    [anon_sym_globallycoherent] = ACTIONS(2633),
    [anon_sym_centroid] = ACTIONS(2633),
    [anon_sym_noperspective] = ACTIONS(2633),
    [anon_sym_nointerpolation] = ACTIONS(2633),
    [anon_sym_sample] = ACTIONS(2633),
    [anon_sym_linear] = ACTIONS(2633),
    [anon_sym_snorm] = ACTIONS(2633),
    [anon_sym_unorm] = ACTIONS(2633),
    [anon_sym_point] = ACTIONS(2633),
    [anon_sym_line] = ACTIONS(2633),
    [anon_sym_triangleadj] = ACTIONS(2633),
    [anon_sym_lineadj] = ACTIONS(2633),
    [anon_sym_triangle] = ACTIONS(2633),
    [anon_sym_cbuffer] = ACTIONS(2633),
  },
  [1044] = {
    [sym_identifier] = ACTIONS(2809),
    [aux_sym_preproc_include_token1] = ACTIONS(2809),
    [aux_sym_preproc_def_token1] = ACTIONS(2809),
    [aux_sym_preproc_if_token1] = ACTIONS(2809),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2809),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2809),
    [sym_preproc_directive] = ACTIONS(2809),
    [anon_sym_LPAREN2] = ACTIONS(2811),
    [anon_sym_BANG] = ACTIONS(2811),
    [anon_sym_TILDE] = ACTIONS(2811),
    [anon_sym_DASH] = ACTIONS(2809),
    [anon_sym_PLUS] = ACTIONS(2809),
    [anon_sym_STAR] = ACTIONS(2811),
    [anon_sym_AMP_AMP] = ACTIONS(2811),
    [anon_sym_AMP] = ACTIONS(2809),
    [anon_sym_SEMI] = ACTIONS(2811),
    [anon_sym___extension__] = ACTIONS(2809),
    [anon_sym_typedef] = ACTIONS(2809),
    [anon_sym_in] = ACTIONS(2809),
    [anon_sym_out] = ACTIONS(2809),
    [anon_sym_inout] = ACTIONS(2809),
    [anon_sym_extern] = ACTIONS(2809),
    [anon_sym___attribute__] = ACTIONS(2809),
    [anon_sym_COLON_COLON] = ACTIONS(2811),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2811),
    [anon_sym___declspec] = ACTIONS(2809),
    [anon_sym___based] = ACTIONS(2809),
    [anon_sym___cdecl] = ACTIONS(2809),
    [anon_sym___clrcall] = ACTIONS(2809),
    [anon_sym___stdcall] = ACTIONS(2809),
    [anon_sym___fastcall] = ACTIONS(2809),
    [anon_sym___thiscall] = ACTIONS(2809),
    [anon_sym___vectorcall] = ACTIONS(2809),
    [anon_sym_LBRACE] = ACTIONS(2811),
    [anon_sym_RBRACE] = ACTIONS(2811),
    [anon_sym_signed] = ACTIONS(2809),
    [anon_sym_unsigned] = ACTIONS(2809),
    [anon_sym_long] = ACTIONS(2809),
    [anon_sym_short] = ACTIONS(2809),
    [anon_sym_LBRACK] = ACTIONS(2809),
    [anon_sym_static] = ACTIONS(2809),
    [anon_sym_register] = ACTIONS(2809),
    [anon_sym_inline] = ACTIONS(2809),
    [anon_sym___inline] = ACTIONS(2809),
    [anon_sym___inline__] = ACTIONS(2809),
    [anon_sym___forceinline] = ACTIONS(2809),
    [anon_sym_thread_local] = ACTIONS(2809),
    [anon_sym___thread] = ACTIONS(2809),
    [anon_sym_const] = ACTIONS(2809),
    [anon_sym_constexpr] = ACTIONS(2809),
    [anon_sym_volatile] = ACTIONS(2809),
    [anon_sym_restrict] = ACTIONS(2809),
    [anon_sym___restrict__] = ACTIONS(2809),
    [anon_sym__Atomic] = ACTIONS(2809),
    [anon_sym__Noreturn] = ACTIONS(2809),
    [anon_sym_noreturn] = ACTIONS(2809),
    [anon_sym_mutable] = ACTIONS(2809),
    [anon_sym_constinit] = ACTIONS(2809),
    [anon_sym_consteval] = ACTIONS(2809),
    [sym_primitive_type] = ACTIONS(2809),
    [anon_sym_enum] = ACTIONS(2809),
    [anon_sym_class] = ACTIONS(2809),
    [anon_sym_struct] = ACTIONS(2809),
    [anon_sym_union] = ACTIONS(2809),
    [anon_sym_if] = ACTIONS(2809),
    [anon_sym_switch] = ACTIONS(2809),
    [anon_sym_case] = ACTIONS(2809),
    [anon_sym_default] = ACTIONS(2809),
    [anon_sym_while] = ACTIONS(2809),
    [anon_sym_do] = ACTIONS(2809),
    [anon_sym_for] = ACTIONS(2809),
    [anon_sym_return] = ACTIONS(2809),
    [anon_sym_break] = ACTIONS(2809),
    [anon_sym_continue] = ACTIONS(2809),
    [anon_sym_goto] = ACTIONS(2809),
    [anon_sym___try] = ACTIONS(2809),
    [anon_sym___leave] = ACTIONS(2809),
    [anon_sym_not] = ACTIONS(2809),
    [anon_sym_compl] = ACTIONS(2809),
    [anon_sym_DASH_DASH] = ACTIONS(2811),
    [anon_sym_PLUS_PLUS] = ACTIONS(2811),
    [anon_sym_sizeof] = ACTIONS(2809),
    [anon_sym___alignof__] = ACTIONS(2809),
    [anon_sym___alignof] = ACTIONS(2809),
    [anon_sym__alignof] = ACTIONS(2809),
    [anon_sym_alignof] = ACTIONS(2809),
    [anon_sym__Alignof] = ACTIONS(2809),
    [anon_sym_offsetof] = ACTIONS(2809),
    [anon_sym__Generic] = ACTIONS(2809),
    [anon_sym_asm] = ACTIONS(2809),
    [anon_sym___asm__] = ACTIONS(2809),
    [sym_number_literal] = ACTIONS(2811),
    [anon_sym_L_SQUOTE] = ACTIONS(2811),
    [anon_sym_u_SQUOTE] = ACTIONS(2811),
    [anon_sym_U_SQUOTE] = ACTIONS(2811),
    [anon_sym_u8_SQUOTE] = ACTIONS(2811),
    [anon_sym_SQUOTE] = ACTIONS(2811),
    [anon_sym_L_DQUOTE] = ACTIONS(2811),
    [anon_sym_u_DQUOTE] = ACTIONS(2811),
    [anon_sym_U_DQUOTE] = ACTIONS(2811),
    [anon_sym_u8_DQUOTE] = ACTIONS(2811),
    [anon_sym_DQUOTE] = ACTIONS(2811),
    [sym_true] = ACTIONS(2809),
    [sym_false] = ACTIONS(2809),
    [anon_sym_NULL] = ACTIONS(2809),
    [anon_sym_nullptr] = ACTIONS(2809),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2809),
    [anon_sym_decltype] = ACTIONS(2809),
    [anon_sym_virtual] = ACTIONS(2809),
    [anon_sym_alignas] = ACTIONS(2809),
    [anon_sym_explicit] = ACTIONS(2809),
    [anon_sym_typename] = ACTIONS(2809),
    [anon_sym_template] = ACTIONS(2809),
    [anon_sym_operator] = ACTIONS(2809),
    [anon_sym_try] = ACTIONS(2809),
    [anon_sym_delete] = ACTIONS(2809),
    [anon_sym_throw] = ACTIONS(2809),
    [anon_sym_namespace] = ACTIONS(2809),
    [anon_sym_using] = ACTIONS(2809),
    [anon_sym_static_assert] = ACTIONS(2809),
    [anon_sym_concept] = ACTIONS(2809),
    [anon_sym_co_return] = ACTIONS(2809),
    [anon_sym_co_yield] = ACTIONS(2809),
    [anon_sym_R_DQUOTE] = ACTIONS(2811),
    [anon_sym_LR_DQUOTE] = ACTIONS(2811),
    [anon_sym_uR_DQUOTE] = ACTIONS(2811),
    [anon_sym_UR_DQUOTE] = ACTIONS(2811),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2811),
    [anon_sym_co_await] = ACTIONS(2809),
    [anon_sym_new] = ACTIONS(2809),
    [anon_sym_requires] = ACTIONS(2809),
    [sym_this] = ACTIONS(2809),
    [anon_sym_discard] = ACTIONS(2809),
    [anon_sym_precise] = ACTIONS(2809),
    [anon_sym_shared] = ACTIONS(2809),
    [anon_sym_groupshared] = ACTIONS(2809),
    [anon_sym_uniform] = ACTIONS(2809),
    [anon_sym_row_major] = ACTIONS(2809),
    [anon_sym_column_major] = ACTIONS(2809),
    [anon_sym_globallycoherent] = ACTIONS(2809),
    [anon_sym_centroid] = ACTIONS(2809),
    [anon_sym_noperspective] = ACTIONS(2809),
    [anon_sym_nointerpolation] = ACTIONS(2809),
    [anon_sym_sample] = ACTIONS(2809),
    [anon_sym_linear] = ACTIONS(2809),
    [anon_sym_snorm] = ACTIONS(2809),
    [anon_sym_unorm] = ACTIONS(2809),
    [anon_sym_point] = ACTIONS(2809),
    [anon_sym_line] = ACTIONS(2809),
    [anon_sym_triangleadj] = ACTIONS(2809),
    [anon_sym_lineadj] = ACTIONS(2809),
    [anon_sym_triangle] = ACTIONS(2809),
    [anon_sym_cbuffer] = ACTIONS(2809),
  },
  [1045] = {
    [sym_identifier] = ACTIONS(2694),
    [aux_sym_preproc_include_token1] = ACTIONS(2694),
    [aux_sym_preproc_def_token1] = ACTIONS(2694),
    [aux_sym_preproc_if_token1] = ACTIONS(2694),
    [aux_sym_preproc_if_token2] = ACTIONS(2694),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2694),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2694),
    [sym_preproc_directive] = ACTIONS(2694),
    [anon_sym_LPAREN2] = ACTIONS(2696),
    [anon_sym_BANG] = ACTIONS(2696),
    [anon_sym_TILDE] = ACTIONS(2696),
    [anon_sym_DASH] = ACTIONS(2694),
    [anon_sym_PLUS] = ACTIONS(2694),
    [anon_sym_STAR] = ACTIONS(2696),
    [anon_sym_AMP_AMP] = ACTIONS(2696),
    [anon_sym_AMP] = ACTIONS(2694),
    [anon_sym_SEMI] = ACTIONS(2696),
    [anon_sym___extension__] = ACTIONS(2694),
    [anon_sym_typedef] = ACTIONS(2694),
    [anon_sym_in] = ACTIONS(2694),
    [anon_sym_out] = ACTIONS(2694),
    [anon_sym_inout] = ACTIONS(2694),
    [anon_sym_extern] = ACTIONS(2694),
    [anon_sym___attribute__] = ACTIONS(2694),
    [anon_sym_COLON_COLON] = ACTIONS(2696),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2696),
    [anon_sym___declspec] = ACTIONS(2694),
    [anon_sym___based] = ACTIONS(2694),
    [anon_sym___cdecl] = ACTIONS(2694),
    [anon_sym___clrcall] = ACTIONS(2694),
    [anon_sym___stdcall] = ACTIONS(2694),
    [anon_sym___fastcall] = ACTIONS(2694),
    [anon_sym___thiscall] = ACTIONS(2694),
    [anon_sym___vectorcall] = ACTIONS(2694),
    [anon_sym_LBRACE] = ACTIONS(2696),
    [anon_sym_signed] = ACTIONS(2694),
    [anon_sym_unsigned] = ACTIONS(2694),
    [anon_sym_long] = ACTIONS(2694),
    [anon_sym_short] = ACTIONS(2694),
    [anon_sym_LBRACK] = ACTIONS(2694),
    [anon_sym_static] = ACTIONS(2694),
    [anon_sym_register] = ACTIONS(2694),
    [anon_sym_inline] = ACTIONS(2694),
    [anon_sym___inline] = ACTIONS(2694),
    [anon_sym___inline__] = ACTIONS(2694),
    [anon_sym___forceinline] = ACTIONS(2694),
    [anon_sym_thread_local] = ACTIONS(2694),
    [anon_sym___thread] = ACTIONS(2694),
    [anon_sym_const] = ACTIONS(2694),
    [anon_sym_constexpr] = ACTIONS(2694),
    [anon_sym_volatile] = ACTIONS(2694),
    [anon_sym_restrict] = ACTIONS(2694),
    [anon_sym___restrict__] = ACTIONS(2694),
    [anon_sym__Atomic] = ACTIONS(2694),
    [anon_sym__Noreturn] = ACTIONS(2694),
    [anon_sym_noreturn] = ACTIONS(2694),
    [anon_sym_mutable] = ACTIONS(2694),
    [anon_sym_constinit] = ACTIONS(2694),
    [anon_sym_consteval] = ACTIONS(2694),
    [sym_primitive_type] = ACTIONS(2694),
    [anon_sym_enum] = ACTIONS(2694),
    [anon_sym_class] = ACTIONS(2694),
    [anon_sym_struct] = ACTIONS(2694),
    [anon_sym_union] = ACTIONS(2694),
    [anon_sym_if] = ACTIONS(2694),
    [anon_sym_switch] = ACTIONS(2694),
    [anon_sym_case] = ACTIONS(2694),
    [anon_sym_default] = ACTIONS(2694),
    [anon_sym_while] = ACTIONS(2694),
    [anon_sym_do] = ACTIONS(2694),
    [anon_sym_for] = ACTIONS(2694),
    [anon_sym_return] = ACTIONS(2694),
    [anon_sym_break] = ACTIONS(2694),
    [anon_sym_continue] = ACTIONS(2694),
    [anon_sym_goto] = ACTIONS(2694),
    [anon_sym___try] = ACTIONS(2694),
    [anon_sym___leave] = ACTIONS(2694),
    [anon_sym_not] = ACTIONS(2694),
    [anon_sym_compl] = ACTIONS(2694),
    [anon_sym_DASH_DASH] = ACTIONS(2696),
    [anon_sym_PLUS_PLUS] = ACTIONS(2696),
    [anon_sym_sizeof] = ACTIONS(2694),
    [anon_sym___alignof__] = ACTIONS(2694),
    [anon_sym___alignof] = ACTIONS(2694),
    [anon_sym__alignof] = ACTIONS(2694),
    [anon_sym_alignof] = ACTIONS(2694),
    [anon_sym__Alignof] = ACTIONS(2694),
    [anon_sym_offsetof] = ACTIONS(2694),
    [anon_sym__Generic] = ACTIONS(2694),
    [anon_sym_asm] = ACTIONS(2694),
    [anon_sym___asm__] = ACTIONS(2694),
    [sym_number_literal] = ACTIONS(2696),
    [anon_sym_L_SQUOTE] = ACTIONS(2696),
    [anon_sym_u_SQUOTE] = ACTIONS(2696),
    [anon_sym_U_SQUOTE] = ACTIONS(2696),
    [anon_sym_u8_SQUOTE] = ACTIONS(2696),
    [anon_sym_SQUOTE] = ACTIONS(2696),
    [anon_sym_L_DQUOTE] = ACTIONS(2696),
    [anon_sym_u_DQUOTE] = ACTIONS(2696),
    [anon_sym_U_DQUOTE] = ACTIONS(2696),
    [anon_sym_u8_DQUOTE] = ACTIONS(2696),
    [anon_sym_DQUOTE] = ACTIONS(2696),
    [sym_true] = ACTIONS(2694),
    [sym_false] = ACTIONS(2694),
    [anon_sym_NULL] = ACTIONS(2694),
    [anon_sym_nullptr] = ACTIONS(2694),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2694),
    [anon_sym_decltype] = ACTIONS(2694),
    [anon_sym_virtual] = ACTIONS(2694),
    [anon_sym_alignas] = ACTIONS(2694),
    [anon_sym_explicit] = ACTIONS(2694),
    [anon_sym_typename] = ACTIONS(2694),
    [anon_sym_template] = ACTIONS(2694),
    [anon_sym_operator] = ACTIONS(2694),
    [anon_sym_try] = ACTIONS(2694),
    [anon_sym_delete] = ACTIONS(2694),
    [anon_sym_throw] = ACTIONS(2694),
    [anon_sym_namespace] = ACTIONS(2694),
    [anon_sym_using] = ACTIONS(2694),
    [anon_sym_static_assert] = ACTIONS(2694),
    [anon_sym_concept] = ACTIONS(2694),
    [anon_sym_co_return] = ACTIONS(2694),
    [anon_sym_co_yield] = ACTIONS(2694),
    [anon_sym_R_DQUOTE] = ACTIONS(2696),
    [anon_sym_LR_DQUOTE] = ACTIONS(2696),
    [anon_sym_uR_DQUOTE] = ACTIONS(2696),
    [anon_sym_UR_DQUOTE] = ACTIONS(2696),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2696),
    [anon_sym_co_await] = ACTIONS(2694),
    [anon_sym_new] = ACTIONS(2694),
    [anon_sym_requires] = ACTIONS(2694),
    [sym_this] = ACTIONS(2694),
    [anon_sym_discard] = ACTIONS(2694),
    [anon_sym_precise] = ACTIONS(2694),
    [anon_sym_shared] = ACTIONS(2694),
    [anon_sym_groupshared] = ACTIONS(2694),
    [anon_sym_uniform] = ACTIONS(2694),
    [anon_sym_row_major] = ACTIONS(2694),
    [anon_sym_column_major] = ACTIONS(2694),
    [anon_sym_globallycoherent] = ACTIONS(2694),
    [anon_sym_centroid] = ACTIONS(2694),
    [anon_sym_noperspective] = ACTIONS(2694),
    [anon_sym_nointerpolation] = ACTIONS(2694),
    [anon_sym_sample] = ACTIONS(2694),
    [anon_sym_linear] = ACTIONS(2694),
    [anon_sym_snorm] = ACTIONS(2694),
    [anon_sym_unorm] = ACTIONS(2694),
    [anon_sym_point] = ACTIONS(2694),
    [anon_sym_line] = ACTIONS(2694),
    [anon_sym_triangleadj] = ACTIONS(2694),
    [anon_sym_lineadj] = ACTIONS(2694),
    [anon_sym_triangle] = ACTIONS(2694),
    [anon_sym_cbuffer] = ACTIONS(2694),
  },
  [1046] = {
    [sym_identifier] = ACTIONS(2681),
    [aux_sym_preproc_include_token1] = ACTIONS(2681),
    [aux_sym_preproc_def_token1] = ACTIONS(2681),
    [aux_sym_preproc_if_token1] = ACTIONS(2681),
    [aux_sym_preproc_if_token2] = ACTIONS(2681),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2681),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2681),
    [sym_preproc_directive] = ACTIONS(2681),
    [anon_sym_LPAREN2] = ACTIONS(2683),
    [anon_sym_BANG] = ACTIONS(2683),
    [anon_sym_TILDE] = ACTIONS(2683),
    [anon_sym_DASH] = ACTIONS(2681),
    [anon_sym_PLUS] = ACTIONS(2681),
    [anon_sym_STAR] = ACTIONS(2683),
    [anon_sym_AMP_AMP] = ACTIONS(2683),
    [anon_sym_AMP] = ACTIONS(2681),
    [anon_sym_SEMI] = ACTIONS(2683),
    [anon_sym___extension__] = ACTIONS(2681),
    [anon_sym_typedef] = ACTIONS(2681),
    [anon_sym_in] = ACTIONS(2681),
    [anon_sym_out] = ACTIONS(2681),
    [anon_sym_inout] = ACTIONS(2681),
    [anon_sym_extern] = ACTIONS(2681),
    [anon_sym___attribute__] = ACTIONS(2681),
    [anon_sym_COLON_COLON] = ACTIONS(2683),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2683),
    [anon_sym___declspec] = ACTIONS(2681),
    [anon_sym___based] = ACTIONS(2681),
    [anon_sym___cdecl] = ACTIONS(2681),
    [anon_sym___clrcall] = ACTIONS(2681),
    [anon_sym___stdcall] = ACTIONS(2681),
    [anon_sym___fastcall] = ACTIONS(2681),
    [anon_sym___thiscall] = ACTIONS(2681),
    [anon_sym___vectorcall] = ACTIONS(2681),
    [anon_sym_LBRACE] = ACTIONS(2683),
    [anon_sym_signed] = ACTIONS(2681),
    [anon_sym_unsigned] = ACTIONS(2681),
    [anon_sym_long] = ACTIONS(2681),
    [anon_sym_short] = ACTIONS(2681),
    [anon_sym_LBRACK] = ACTIONS(2681),
    [anon_sym_static] = ACTIONS(2681),
    [anon_sym_register] = ACTIONS(2681),
    [anon_sym_inline] = ACTIONS(2681),
    [anon_sym___inline] = ACTIONS(2681),
    [anon_sym___inline__] = ACTIONS(2681),
    [anon_sym___forceinline] = ACTIONS(2681),
    [anon_sym_thread_local] = ACTIONS(2681),
    [anon_sym___thread] = ACTIONS(2681),
    [anon_sym_const] = ACTIONS(2681),
    [anon_sym_constexpr] = ACTIONS(2681),
    [anon_sym_volatile] = ACTIONS(2681),
    [anon_sym_restrict] = ACTIONS(2681),
    [anon_sym___restrict__] = ACTIONS(2681),
    [anon_sym__Atomic] = ACTIONS(2681),
    [anon_sym__Noreturn] = ACTIONS(2681),
    [anon_sym_noreturn] = ACTIONS(2681),
    [anon_sym_mutable] = ACTIONS(2681),
    [anon_sym_constinit] = ACTIONS(2681),
    [anon_sym_consteval] = ACTIONS(2681),
    [sym_primitive_type] = ACTIONS(2681),
    [anon_sym_enum] = ACTIONS(2681),
    [anon_sym_class] = ACTIONS(2681),
    [anon_sym_struct] = ACTIONS(2681),
    [anon_sym_union] = ACTIONS(2681),
    [anon_sym_if] = ACTIONS(2681),
    [anon_sym_switch] = ACTIONS(2681),
    [anon_sym_case] = ACTIONS(2681),
    [anon_sym_default] = ACTIONS(2681),
    [anon_sym_while] = ACTIONS(2681),
    [anon_sym_do] = ACTIONS(2681),
    [anon_sym_for] = ACTIONS(2681),
    [anon_sym_return] = ACTIONS(2681),
    [anon_sym_break] = ACTIONS(2681),
    [anon_sym_continue] = ACTIONS(2681),
    [anon_sym_goto] = ACTIONS(2681),
    [anon_sym___try] = ACTIONS(2681),
    [anon_sym___leave] = ACTIONS(2681),
    [anon_sym_not] = ACTIONS(2681),
    [anon_sym_compl] = ACTIONS(2681),
    [anon_sym_DASH_DASH] = ACTIONS(2683),
    [anon_sym_PLUS_PLUS] = ACTIONS(2683),
    [anon_sym_sizeof] = ACTIONS(2681),
    [anon_sym___alignof__] = ACTIONS(2681),
    [anon_sym___alignof] = ACTIONS(2681),
    [anon_sym__alignof] = ACTIONS(2681),
    [anon_sym_alignof] = ACTIONS(2681),
    [anon_sym__Alignof] = ACTIONS(2681),
    [anon_sym_offsetof] = ACTIONS(2681),
    [anon_sym__Generic] = ACTIONS(2681),
    [anon_sym_asm] = ACTIONS(2681),
    [anon_sym___asm__] = ACTIONS(2681),
    [sym_number_literal] = ACTIONS(2683),
    [anon_sym_L_SQUOTE] = ACTIONS(2683),
    [anon_sym_u_SQUOTE] = ACTIONS(2683),
    [anon_sym_U_SQUOTE] = ACTIONS(2683),
    [anon_sym_u8_SQUOTE] = ACTIONS(2683),
    [anon_sym_SQUOTE] = ACTIONS(2683),
    [anon_sym_L_DQUOTE] = ACTIONS(2683),
    [anon_sym_u_DQUOTE] = ACTIONS(2683),
    [anon_sym_U_DQUOTE] = ACTIONS(2683),
    [anon_sym_u8_DQUOTE] = ACTIONS(2683),
    [anon_sym_DQUOTE] = ACTIONS(2683),
    [sym_true] = ACTIONS(2681),
    [sym_false] = ACTIONS(2681),
    [anon_sym_NULL] = ACTIONS(2681),
    [anon_sym_nullptr] = ACTIONS(2681),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2681),
    [anon_sym_decltype] = ACTIONS(2681),
    [anon_sym_virtual] = ACTIONS(2681),
    [anon_sym_alignas] = ACTIONS(2681),
    [anon_sym_explicit] = ACTIONS(2681),
    [anon_sym_typename] = ACTIONS(2681),
    [anon_sym_template] = ACTIONS(2681),
    [anon_sym_operator] = ACTIONS(2681),
    [anon_sym_try] = ACTIONS(2681),
    [anon_sym_delete] = ACTIONS(2681),
    [anon_sym_throw] = ACTIONS(2681),
    [anon_sym_namespace] = ACTIONS(2681),
    [anon_sym_using] = ACTIONS(2681),
    [anon_sym_static_assert] = ACTIONS(2681),
    [anon_sym_concept] = ACTIONS(2681),
    [anon_sym_co_return] = ACTIONS(2681),
    [anon_sym_co_yield] = ACTIONS(2681),
    [anon_sym_R_DQUOTE] = ACTIONS(2683),
    [anon_sym_LR_DQUOTE] = ACTIONS(2683),
    [anon_sym_uR_DQUOTE] = ACTIONS(2683),
    [anon_sym_UR_DQUOTE] = ACTIONS(2683),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2683),
    [anon_sym_co_await] = ACTIONS(2681),
    [anon_sym_new] = ACTIONS(2681),
    [anon_sym_requires] = ACTIONS(2681),
    [sym_this] = ACTIONS(2681),
    [anon_sym_discard] = ACTIONS(2681),
    [anon_sym_precise] = ACTIONS(2681),
    [anon_sym_shared] = ACTIONS(2681),
    [anon_sym_groupshared] = ACTIONS(2681),
    [anon_sym_uniform] = ACTIONS(2681),
    [anon_sym_row_major] = ACTIONS(2681),
    [anon_sym_column_major] = ACTIONS(2681),
    [anon_sym_globallycoherent] = ACTIONS(2681),
    [anon_sym_centroid] = ACTIONS(2681),
    [anon_sym_noperspective] = ACTIONS(2681),
    [anon_sym_nointerpolation] = ACTIONS(2681),
    [anon_sym_sample] = ACTIONS(2681),
    [anon_sym_linear] = ACTIONS(2681),
    [anon_sym_snorm] = ACTIONS(2681),
    [anon_sym_unorm] = ACTIONS(2681),
    [anon_sym_point] = ACTIONS(2681),
    [anon_sym_line] = ACTIONS(2681),
    [anon_sym_triangleadj] = ACTIONS(2681),
    [anon_sym_lineadj] = ACTIONS(2681),
    [anon_sym_triangle] = ACTIONS(2681),
    [anon_sym_cbuffer] = ACTIONS(2681),
  },
  [1047] = {
    [sym_identifier] = ACTIONS(2769),
    [aux_sym_preproc_include_token1] = ACTIONS(2769),
    [aux_sym_preproc_def_token1] = ACTIONS(2769),
    [aux_sym_preproc_if_token1] = ACTIONS(2769),
    [aux_sym_preproc_if_token2] = ACTIONS(2769),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2769),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2769),
    [sym_preproc_directive] = ACTIONS(2769),
    [anon_sym_LPAREN2] = ACTIONS(2771),
    [anon_sym_BANG] = ACTIONS(2771),
    [anon_sym_TILDE] = ACTIONS(2771),
    [anon_sym_DASH] = ACTIONS(2769),
    [anon_sym_PLUS] = ACTIONS(2769),
    [anon_sym_STAR] = ACTIONS(2771),
    [anon_sym_AMP_AMP] = ACTIONS(2771),
    [anon_sym_AMP] = ACTIONS(2769),
    [anon_sym_SEMI] = ACTIONS(2771),
    [anon_sym___extension__] = ACTIONS(2769),
    [anon_sym_typedef] = ACTIONS(2769),
    [anon_sym_in] = ACTIONS(2769),
    [anon_sym_out] = ACTIONS(2769),
    [anon_sym_inout] = ACTIONS(2769),
    [anon_sym_extern] = ACTIONS(2769),
    [anon_sym___attribute__] = ACTIONS(2769),
    [anon_sym_COLON_COLON] = ACTIONS(2771),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2771),
    [anon_sym___declspec] = ACTIONS(2769),
    [anon_sym___based] = ACTIONS(2769),
    [anon_sym___cdecl] = ACTIONS(2769),
    [anon_sym___clrcall] = ACTIONS(2769),
    [anon_sym___stdcall] = ACTIONS(2769),
    [anon_sym___fastcall] = ACTIONS(2769),
    [anon_sym___thiscall] = ACTIONS(2769),
    [anon_sym___vectorcall] = ACTIONS(2769),
    [anon_sym_LBRACE] = ACTIONS(2771),
    [anon_sym_signed] = ACTIONS(2769),
    [anon_sym_unsigned] = ACTIONS(2769),
    [anon_sym_long] = ACTIONS(2769),
    [anon_sym_short] = ACTIONS(2769),
    [anon_sym_LBRACK] = ACTIONS(2769),
    [anon_sym_static] = ACTIONS(2769),
    [anon_sym_register] = ACTIONS(2769),
    [anon_sym_inline] = ACTIONS(2769),
    [anon_sym___inline] = ACTIONS(2769),
    [anon_sym___inline__] = ACTIONS(2769),
    [anon_sym___forceinline] = ACTIONS(2769),
    [anon_sym_thread_local] = ACTIONS(2769),
    [anon_sym___thread] = ACTIONS(2769),
    [anon_sym_const] = ACTIONS(2769),
    [anon_sym_constexpr] = ACTIONS(2769),
    [anon_sym_volatile] = ACTIONS(2769),
    [anon_sym_restrict] = ACTIONS(2769),
    [anon_sym___restrict__] = ACTIONS(2769),
    [anon_sym__Atomic] = ACTIONS(2769),
    [anon_sym__Noreturn] = ACTIONS(2769),
    [anon_sym_noreturn] = ACTIONS(2769),
    [anon_sym_mutable] = ACTIONS(2769),
    [anon_sym_constinit] = ACTIONS(2769),
    [anon_sym_consteval] = ACTIONS(2769),
    [sym_primitive_type] = ACTIONS(2769),
    [anon_sym_enum] = ACTIONS(2769),
    [anon_sym_class] = ACTIONS(2769),
    [anon_sym_struct] = ACTIONS(2769),
    [anon_sym_union] = ACTIONS(2769),
    [anon_sym_if] = ACTIONS(2769),
    [anon_sym_switch] = ACTIONS(2769),
    [anon_sym_case] = ACTIONS(2769),
    [anon_sym_default] = ACTIONS(2769),
    [anon_sym_while] = ACTIONS(2769),
    [anon_sym_do] = ACTIONS(2769),
    [anon_sym_for] = ACTIONS(2769),
    [anon_sym_return] = ACTIONS(2769),
    [anon_sym_break] = ACTIONS(2769),
    [anon_sym_continue] = ACTIONS(2769),
    [anon_sym_goto] = ACTIONS(2769),
    [anon_sym___try] = ACTIONS(2769),
    [anon_sym___leave] = ACTIONS(2769),
    [anon_sym_not] = ACTIONS(2769),
    [anon_sym_compl] = ACTIONS(2769),
    [anon_sym_DASH_DASH] = ACTIONS(2771),
    [anon_sym_PLUS_PLUS] = ACTIONS(2771),
    [anon_sym_sizeof] = ACTIONS(2769),
    [anon_sym___alignof__] = ACTIONS(2769),
    [anon_sym___alignof] = ACTIONS(2769),
    [anon_sym__alignof] = ACTIONS(2769),
    [anon_sym_alignof] = ACTIONS(2769),
    [anon_sym__Alignof] = ACTIONS(2769),
    [anon_sym_offsetof] = ACTIONS(2769),
    [anon_sym__Generic] = ACTIONS(2769),
    [anon_sym_asm] = ACTIONS(2769),
    [anon_sym___asm__] = ACTIONS(2769),
    [sym_number_literal] = ACTIONS(2771),
    [anon_sym_L_SQUOTE] = ACTIONS(2771),
    [anon_sym_u_SQUOTE] = ACTIONS(2771),
    [anon_sym_U_SQUOTE] = ACTIONS(2771),
    [anon_sym_u8_SQUOTE] = ACTIONS(2771),
    [anon_sym_SQUOTE] = ACTIONS(2771),
    [anon_sym_L_DQUOTE] = ACTIONS(2771),
    [anon_sym_u_DQUOTE] = ACTIONS(2771),
    [anon_sym_U_DQUOTE] = ACTIONS(2771),
    [anon_sym_u8_DQUOTE] = ACTIONS(2771),
    [anon_sym_DQUOTE] = ACTIONS(2771),
    [sym_true] = ACTIONS(2769),
    [sym_false] = ACTIONS(2769),
    [anon_sym_NULL] = ACTIONS(2769),
    [anon_sym_nullptr] = ACTIONS(2769),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2769),
    [anon_sym_decltype] = ACTIONS(2769),
    [anon_sym_virtual] = ACTIONS(2769),
    [anon_sym_alignas] = ACTIONS(2769),
    [anon_sym_explicit] = ACTIONS(2769),
    [anon_sym_typename] = ACTIONS(2769),
    [anon_sym_template] = ACTIONS(2769),
    [anon_sym_operator] = ACTIONS(2769),
    [anon_sym_try] = ACTIONS(2769),
    [anon_sym_delete] = ACTIONS(2769),
    [anon_sym_throw] = ACTIONS(2769),
    [anon_sym_namespace] = ACTIONS(2769),
    [anon_sym_using] = ACTIONS(2769),
    [anon_sym_static_assert] = ACTIONS(2769),
    [anon_sym_concept] = ACTIONS(2769),
    [anon_sym_co_return] = ACTIONS(2769),
    [anon_sym_co_yield] = ACTIONS(2769),
    [anon_sym_R_DQUOTE] = ACTIONS(2771),
    [anon_sym_LR_DQUOTE] = ACTIONS(2771),
    [anon_sym_uR_DQUOTE] = ACTIONS(2771),
    [anon_sym_UR_DQUOTE] = ACTIONS(2771),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2771),
    [anon_sym_co_await] = ACTIONS(2769),
    [anon_sym_new] = ACTIONS(2769),
    [anon_sym_requires] = ACTIONS(2769),
    [sym_this] = ACTIONS(2769),
    [anon_sym_discard] = ACTIONS(2769),
    [anon_sym_precise] = ACTIONS(2769),
    [anon_sym_shared] = ACTIONS(2769),
    [anon_sym_groupshared] = ACTIONS(2769),
    [anon_sym_uniform] = ACTIONS(2769),
    [anon_sym_row_major] = ACTIONS(2769),
    [anon_sym_column_major] = ACTIONS(2769),
    [anon_sym_globallycoherent] = ACTIONS(2769),
    [anon_sym_centroid] = ACTIONS(2769),
    [anon_sym_noperspective] = ACTIONS(2769),
    [anon_sym_nointerpolation] = ACTIONS(2769),
    [anon_sym_sample] = ACTIONS(2769),
    [anon_sym_linear] = ACTIONS(2769),
    [anon_sym_snorm] = ACTIONS(2769),
    [anon_sym_unorm] = ACTIONS(2769),
    [anon_sym_point] = ACTIONS(2769),
    [anon_sym_line] = ACTIONS(2769),
    [anon_sym_triangleadj] = ACTIONS(2769),
    [anon_sym_lineadj] = ACTIONS(2769),
    [anon_sym_triangle] = ACTIONS(2769),
    [anon_sym_cbuffer] = ACTIONS(2769),
  },
  [1048] = {
    [sym_identifier] = ACTIONS(2694),
    [aux_sym_preproc_include_token1] = ACTIONS(2694),
    [aux_sym_preproc_def_token1] = ACTIONS(2694),
    [aux_sym_preproc_if_token1] = ACTIONS(2694),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2694),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2694),
    [sym_preproc_directive] = ACTIONS(2694),
    [anon_sym_LPAREN2] = ACTIONS(2696),
    [anon_sym_BANG] = ACTIONS(2696),
    [anon_sym_TILDE] = ACTIONS(2696),
    [anon_sym_DASH] = ACTIONS(2694),
    [anon_sym_PLUS] = ACTIONS(2694),
    [anon_sym_STAR] = ACTIONS(2696),
    [anon_sym_AMP_AMP] = ACTIONS(2696),
    [anon_sym_AMP] = ACTIONS(2694),
    [anon_sym_SEMI] = ACTIONS(2696),
    [anon_sym___extension__] = ACTIONS(2694),
    [anon_sym_typedef] = ACTIONS(2694),
    [anon_sym_in] = ACTIONS(2694),
    [anon_sym_out] = ACTIONS(2694),
    [anon_sym_inout] = ACTIONS(2694),
    [anon_sym_extern] = ACTIONS(2694),
    [anon_sym___attribute__] = ACTIONS(2694),
    [anon_sym_COLON_COLON] = ACTIONS(2696),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2696),
    [anon_sym___declspec] = ACTIONS(2694),
    [anon_sym___based] = ACTIONS(2694),
    [anon_sym___cdecl] = ACTIONS(2694),
    [anon_sym___clrcall] = ACTIONS(2694),
    [anon_sym___stdcall] = ACTIONS(2694),
    [anon_sym___fastcall] = ACTIONS(2694),
    [anon_sym___thiscall] = ACTIONS(2694),
    [anon_sym___vectorcall] = ACTIONS(2694),
    [anon_sym_LBRACE] = ACTIONS(2696),
    [anon_sym_RBRACE] = ACTIONS(2696),
    [anon_sym_signed] = ACTIONS(2694),
    [anon_sym_unsigned] = ACTIONS(2694),
    [anon_sym_long] = ACTIONS(2694),
    [anon_sym_short] = ACTIONS(2694),
    [anon_sym_LBRACK] = ACTIONS(2694),
    [anon_sym_static] = ACTIONS(2694),
    [anon_sym_register] = ACTIONS(2694),
    [anon_sym_inline] = ACTIONS(2694),
    [anon_sym___inline] = ACTIONS(2694),
    [anon_sym___inline__] = ACTIONS(2694),
    [anon_sym___forceinline] = ACTIONS(2694),
    [anon_sym_thread_local] = ACTIONS(2694),
    [anon_sym___thread] = ACTIONS(2694),
    [anon_sym_const] = ACTIONS(2694),
    [anon_sym_constexpr] = ACTIONS(2694),
    [anon_sym_volatile] = ACTIONS(2694),
    [anon_sym_restrict] = ACTIONS(2694),
    [anon_sym___restrict__] = ACTIONS(2694),
    [anon_sym__Atomic] = ACTIONS(2694),
    [anon_sym__Noreturn] = ACTIONS(2694),
    [anon_sym_noreturn] = ACTIONS(2694),
    [anon_sym_mutable] = ACTIONS(2694),
    [anon_sym_constinit] = ACTIONS(2694),
    [anon_sym_consteval] = ACTIONS(2694),
    [sym_primitive_type] = ACTIONS(2694),
    [anon_sym_enum] = ACTIONS(2694),
    [anon_sym_class] = ACTIONS(2694),
    [anon_sym_struct] = ACTIONS(2694),
    [anon_sym_union] = ACTIONS(2694),
    [anon_sym_if] = ACTIONS(2694),
    [anon_sym_switch] = ACTIONS(2694),
    [anon_sym_case] = ACTIONS(2694),
    [anon_sym_default] = ACTIONS(2694),
    [anon_sym_while] = ACTIONS(2694),
    [anon_sym_do] = ACTIONS(2694),
    [anon_sym_for] = ACTIONS(2694),
    [anon_sym_return] = ACTIONS(2694),
    [anon_sym_break] = ACTIONS(2694),
    [anon_sym_continue] = ACTIONS(2694),
    [anon_sym_goto] = ACTIONS(2694),
    [anon_sym___try] = ACTIONS(2694),
    [anon_sym___leave] = ACTIONS(2694),
    [anon_sym_not] = ACTIONS(2694),
    [anon_sym_compl] = ACTIONS(2694),
    [anon_sym_DASH_DASH] = ACTIONS(2696),
    [anon_sym_PLUS_PLUS] = ACTIONS(2696),
    [anon_sym_sizeof] = ACTIONS(2694),
    [anon_sym___alignof__] = ACTIONS(2694),
    [anon_sym___alignof] = ACTIONS(2694),
    [anon_sym__alignof] = ACTIONS(2694),
    [anon_sym_alignof] = ACTIONS(2694),
    [anon_sym__Alignof] = ACTIONS(2694),
    [anon_sym_offsetof] = ACTIONS(2694),
    [anon_sym__Generic] = ACTIONS(2694),
    [anon_sym_asm] = ACTIONS(2694),
    [anon_sym___asm__] = ACTIONS(2694),
    [sym_number_literal] = ACTIONS(2696),
    [anon_sym_L_SQUOTE] = ACTIONS(2696),
    [anon_sym_u_SQUOTE] = ACTIONS(2696),
    [anon_sym_U_SQUOTE] = ACTIONS(2696),
    [anon_sym_u8_SQUOTE] = ACTIONS(2696),
    [anon_sym_SQUOTE] = ACTIONS(2696),
    [anon_sym_L_DQUOTE] = ACTIONS(2696),
    [anon_sym_u_DQUOTE] = ACTIONS(2696),
    [anon_sym_U_DQUOTE] = ACTIONS(2696),
    [anon_sym_u8_DQUOTE] = ACTIONS(2696),
    [anon_sym_DQUOTE] = ACTIONS(2696),
    [sym_true] = ACTIONS(2694),
    [sym_false] = ACTIONS(2694),
    [anon_sym_NULL] = ACTIONS(2694),
    [anon_sym_nullptr] = ACTIONS(2694),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2694),
    [anon_sym_decltype] = ACTIONS(2694),
    [anon_sym_virtual] = ACTIONS(2694),
    [anon_sym_alignas] = ACTIONS(2694),
    [anon_sym_explicit] = ACTIONS(2694),
    [anon_sym_typename] = ACTIONS(2694),
    [anon_sym_template] = ACTIONS(2694),
    [anon_sym_operator] = ACTIONS(2694),
    [anon_sym_try] = ACTIONS(2694),
    [anon_sym_delete] = ACTIONS(2694),
    [anon_sym_throw] = ACTIONS(2694),
    [anon_sym_namespace] = ACTIONS(2694),
    [anon_sym_using] = ACTIONS(2694),
    [anon_sym_static_assert] = ACTIONS(2694),
    [anon_sym_concept] = ACTIONS(2694),
    [anon_sym_co_return] = ACTIONS(2694),
    [anon_sym_co_yield] = ACTIONS(2694),
    [anon_sym_R_DQUOTE] = ACTIONS(2696),
    [anon_sym_LR_DQUOTE] = ACTIONS(2696),
    [anon_sym_uR_DQUOTE] = ACTIONS(2696),
    [anon_sym_UR_DQUOTE] = ACTIONS(2696),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2696),
    [anon_sym_co_await] = ACTIONS(2694),
    [anon_sym_new] = ACTIONS(2694),
    [anon_sym_requires] = ACTIONS(2694),
    [sym_this] = ACTIONS(2694),
    [anon_sym_discard] = ACTIONS(2694),
    [anon_sym_precise] = ACTIONS(2694),
    [anon_sym_shared] = ACTIONS(2694),
    [anon_sym_groupshared] = ACTIONS(2694),
    [anon_sym_uniform] = ACTIONS(2694),
    [anon_sym_row_major] = ACTIONS(2694),
    [anon_sym_column_major] = ACTIONS(2694),
    [anon_sym_globallycoherent] = ACTIONS(2694),
    [anon_sym_centroid] = ACTIONS(2694),
    [anon_sym_noperspective] = ACTIONS(2694),
    [anon_sym_nointerpolation] = ACTIONS(2694),
    [anon_sym_sample] = ACTIONS(2694),
    [anon_sym_linear] = ACTIONS(2694),
    [anon_sym_snorm] = ACTIONS(2694),
    [anon_sym_unorm] = ACTIONS(2694),
    [anon_sym_point] = ACTIONS(2694),
    [anon_sym_line] = ACTIONS(2694),
    [anon_sym_triangleadj] = ACTIONS(2694),
    [anon_sym_lineadj] = ACTIONS(2694),
    [anon_sym_triangle] = ACTIONS(2694),
    [anon_sym_cbuffer] = ACTIONS(2694),
  },
  [1049] = {
    [sym_identifier] = ACTIONS(2781),
    [aux_sym_preproc_include_token1] = ACTIONS(2781),
    [aux_sym_preproc_def_token1] = ACTIONS(2781),
    [aux_sym_preproc_if_token1] = ACTIONS(2781),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2781),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2781),
    [sym_preproc_directive] = ACTIONS(2781),
    [anon_sym_LPAREN2] = ACTIONS(2783),
    [anon_sym_BANG] = ACTIONS(2783),
    [anon_sym_TILDE] = ACTIONS(2783),
    [anon_sym_DASH] = ACTIONS(2781),
    [anon_sym_PLUS] = ACTIONS(2781),
    [anon_sym_STAR] = ACTIONS(2783),
    [anon_sym_AMP_AMP] = ACTIONS(2783),
    [anon_sym_AMP] = ACTIONS(2781),
    [anon_sym_SEMI] = ACTIONS(2783),
    [anon_sym___extension__] = ACTIONS(2781),
    [anon_sym_typedef] = ACTIONS(2781),
    [anon_sym_in] = ACTIONS(2781),
    [anon_sym_out] = ACTIONS(2781),
    [anon_sym_inout] = ACTIONS(2781),
    [anon_sym_extern] = ACTIONS(2781),
    [anon_sym___attribute__] = ACTIONS(2781),
    [anon_sym_COLON_COLON] = ACTIONS(2783),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2783),
    [anon_sym___declspec] = ACTIONS(2781),
    [anon_sym___based] = ACTIONS(2781),
    [anon_sym___cdecl] = ACTIONS(2781),
    [anon_sym___clrcall] = ACTIONS(2781),
    [anon_sym___stdcall] = ACTIONS(2781),
    [anon_sym___fastcall] = ACTIONS(2781),
    [anon_sym___thiscall] = ACTIONS(2781),
    [anon_sym___vectorcall] = ACTIONS(2781),
    [anon_sym_LBRACE] = ACTIONS(2783),
    [anon_sym_RBRACE] = ACTIONS(2783),
    [anon_sym_signed] = ACTIONS(2781),
    [anon_sym_unsigned] = ACTIONS(2781),
    [anon_sym_long] = ACTIONS(2781),
    [anon_sym_short] = ACTIONS(2781),
    [anon_sym_LBRACK] = ACTIONS(2781),
    [anon_sym_static] = ACTIONS(2781),
    [anon_sym_register] = ACTIONS(2781),
    [anon_sym_inline] = ACTIONS(2781),
    [anon_sym___inline] = ACTIONS(2781),
    [anon_sym___inline__] = ACTIONS(2781),
    [anon_sym___forceinline] = ACTIONS(2781),
    [anon_sym_thread_local] = ACTIONS(2781),
    [anon_sym___thread] = ACTIONS(2781),
    [anon_sym_const] = ACTIONS(2781),
    [anon_sym_constexpr] = ACTIONS(2781),
    [anon_sym_volatile] = ACTIONS(2781),
    [anon_sym_restrict] = ACTIONS(2781),
    [anon_sym___restrict__] = ACTIONS(2781),
    [anon_sym__Atomic] = ACTIONS(2781),
    [anon_sym__Noreturn] = ACTIONS(2781),
    [anon_sym_noreturn] = ACTIONS(2781),
    [anon_sym_mutable] = ACTIONS(2781),
    [anon_sym_constinit] = ACTIONS(2781),
    [anon_sym_consteval] = ACTIONS(2781),
    [sym_primitive_type] = ACTIONS(2781),
    [anon_sym_enum] = ACTIONS(2781),
    [anon_sym_class] = ACTIONS(2781),
    [anon_sym_struct] = ACTIONS(2781),
    [anon_sym_union] = ACTIONS(2781),
    [anon_sym_if] = ACTIONS(2781),
    [anon_sym_switch] = ACTIONS(2781),
    [anon_sym_case] = ACTIONS(2781),
    [anon_sym_default] = ACTIONS(2781),
    [anon_sym_while] = ACTIONS(2781),
    [anon_sym_do] = ACTIONS(2781),
    [anon_sym_for] = ACTIONS(2781),
    [anon_sym_return] = ACTIONS(2781),
    [anon_sym_break] = ACTIONS(2781),
    [anon_sym_continue] = ACTIONS(2781),
    [anon_sym_goto] = ACTIONS(2781),
    [anon_sym___try] = ACTIONS(2781),
    [anon_sym___leave] = ACTIONS(2781),
    [anon_sym_not] = ACTIONS(2781),
    [anon_sym_compl] = ACTIONS(2781),
    [anon_sym_DASH_DASH] = ACTIONS(2783),
    [anon_sym_PLUS_PLUS] = ACTIONS(2783),
    [anon_sym_sizeof] = ACTIONS(2781),
    [anon_sym___alignof__] = ACTIONS(2781),
    [anon_sym___alignof] = ACTIONS(2781),
    [anon_sym__alignof] = ACTIONS(2781),
    [anon_sym_alignof] = ACTIONS(2781),
    [anon_sym__Alignof] = ACTIONS(2781),
    [anon_sym_offsetof] = ACTIONS(2781),
    [anon_sym__Generic] = ACTIONS(2781),
    [anon_sym_asm] = ACTIONS(2781),
    [anon_sym___asm__] = ACTIONS(2781),
    [sym_number_literal] = ACTIONS(2783),
    [anon_sym_L_SQUOTE] = ACTIONS(2783),
    [anon_sym_u_SQUOTE] = ACTIONS(2783),
    [anon_sym_U_SQUOTE] = ACTIONS(2783),
    [anon_sym_u8_SQUOTE] = ACTIONS(2783),
    [anon_sym_SQUOTE] = ACTIONS(2783),
    [anon_sym_L_DQUOTE] = ACTIONS(2783),
    [anon_sym_u_DQUOTE] = ACTIONS(2783),
    [anon_sym_U_DQUOTE] = ACTIONS(2783),
    [anon_sym_u8_DQUOTE] = ACTIONS(2783),
    [anon_sym_DQUOTE] = ACTIONS(2783),
    [sym_true] = ACTIONS(2781),
    [sym_false] = ACTIONS(2781),
    [anon_sym_NULL] = ACTIONS(2781),
    [anon_sym_nullptr] = ACTIONS(2781),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2781),
    [anon_sym_decltype] = ACTIONS(2781),
    [anon_sym_virtual] = ACTIONS(2781),
    [anon_sym_alignas] = ACTIONS(2781),
    [anon_sym_explicit] = ACTIONS(2781),
    [anon_sym_typename] = ACTIONS(2781),
    [anon_sym_template] = ACTIONS(2781),
    [anon_sym_operator] = ACTIONS(2781),
    [anon_sym_try] = ACTIONS(2781),
    [anon_sym_delete] = ACTIONS(2781),
    [anon_sym_throw] = ACTIONS(2781),
    [anon_sym_namespace] = ACTIONS(2781),
    [anon_sym_using] = ACTIONS(2781),
    [anon_sym_static_assert] = ACTIONS(2781),
    [anon_sym_concept] = ACTIONS(2781),
    [anon_sym_co_return] = ACTIONS(2781),
    [anon_sym_co_yield] = ACTIONS(2781),
    [anon_sym_R_DQUOTE] = ACTIONS(2783),
    [anon_sym_LR_DQUOTE] = ACTIONS(2783),
    [anon_sym_uR_DQUOTE] = ACTIONS(2783),
    [anon_sym_UR_DQUOTE] = ACTIONS(2783),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2783),
    [anon_sym_co_await] = ACTIONS(2781),
    [anon_sym_new] = ACTIONS(2781),
    [anon_sym_requires] = ACTIONS(2781),
    [sym_this] = ACTIONS(2781),
    [anon_sym_discard] = ACTIONS(2781),
    [anon_sym_precise] = ACTIONS(2781),
    [anon_sym_shared] = ACTIONS(2781),
    [anon_sym_groupshared] = ACTIONS(2781),
    [anon_sym_uniform] = ACTIONS(2781),
    [anon_sym_row_major] = ACTIONS(2781),
    [anon_sym_column_major] = ACTIONS(2781),
    [anon_sym_globallycoherent] = ACTIONS(2781),
    [anon_sym_centroid] = ACTIONS(2781),
    [anon_sym_noperspective] = ACTIONS(2781),
    [anon_sym_nointerpolation] = ACTIONS(2781),
    [anon_sym_sample] = ACTIONS(2781),
    [anon_sym_linear] = ACTIONS(2781),
    [anon_sym_snorm] = ACTIONS(2781),
    [anon_sym_unorm] = ACTIONS(2781),
    [anon_sym_point] = ACTIONS(2781),
    [anon_sym_line] = ACTIONS(2781),
    [anon_sym_triangleadj] = ACTIONS(2781),
    [anon_sym_lineadj] = ACTIONS(2781),
    [anon_sym_triangle] = ACTIONS(2781),
    [anon_sym_cbuffer] = ACTIONS(2781),
  },
  [1050] = {
    [sym_identifier] = ACTIONS(2649),
    [aux_sym_preproc_include_token1] = ACTIONS(2649),
    [aux_sym_preproc_def_token1] = ACTIONS(2649),
    [aux_sym_preproc_if_token1] = ACTIONS(2649),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2649),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2649),
    [sym_preproc_directive] = ACTIONS(2649),
    [anon_sym_LPAREN2] = ACTIONS(2651),
    [anon_sym_BANG] = ACTIONS(2651),
    [anon_sym_TILDE] = ACTIONS(2651),
    [anon_sym_DASH] = ACTIONS(2649),
    [anon_sym_PLUS] = ACTIONS(2649),
    [anon_sym_STAR] = ACTIONS(2651),
    [anon_sym_AMP_AMP] = ACTIONS(2651),
    [anon_sym_AMP] = ACTIONS(2649),
    [anon_sym_SEMI] = ACTIONS(2651),
    [anon_sym___extension__] = ACTIONS(2649),
    [anon_sym_typedef] = ACTIONS(2649),
    [anon_sym_in] = ACTIONS(2649),
    [anon_sym_out] = ACTIONS(2649),
    [anon_sym_inout] = ACTIONS(2649),
    [anon_sym_extern] = ACTIONS(2649),
    [anon_sym___attribute__] = ACTIONS(2649),
    [anon_sym_COLON_COLON] = ACTIONS(2651),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2651),
    [anon_sym___declspec] = ACTIONS(2649),
    [anon_sym___based] = ACTIONS(2649),
    [anon_sym___cdecl] = ACTIONS(2649),
    [anon_sym___clrcall] = ACTIONS(2649),
    [anon_sym___stdcall] = ACTIONS(2649),
    [anon_sym___fastcall] = ACTIONS(2649),
    [anon_sym___thiscall] = ACTIONS(2649),
    [anon_sym___vectorcall] = ACTIONS(2649),
    [anon_sym_LBRACE] = ACTIONS(2651),
    [anon_sym_RBRACE] = ACTIONS(2651),
    [anon_sym_signed] = ACTIONS(2649),
    [anon_sym_unsigned] = ACTIONS(2649),
    [anon_sym_long] = ACTIONS(2649),
    [anon_sym_short] = ACTIONS(2649),
    [anon_sym_LBRACK] = ACTIONS(2649),
    [anon_sym_static] = ACTIONS(2649),
    [anon_sym_register] = ACTIONS(2649),
    [anon_sym_inline] = ACTIONS(2649),
    [anon_sym___inline] = ACTIONS(2649),
    [anon_sym___inline__] = ACTIONS(2649),
    [anon_sym___forceinline] = ACTIONS(2649),
    [anon_sym_thread_local] = ACTIONS(2649),
    [anon_sym___thread] = ACTIONS(2649),
    [anon_sym_const] = ACTIONS(2649),
    [anon_sym_constexpr] = ACTIONS(2649),
    [anon_sym_volatile] = ACTIONS(2649),
    [anon_sym_restrict] = ACTIONS(2649),
    [anon_sym___restrict__] = ACTIONS(2649),
    [anon_sym__Atomic] = ACTIONS(2649),
    [anon_sym__Noreturn] = ACTIONS(2649),
    [anon_sym_noreturn] = ACTIONS(2649),
    [anon_sym_mutable] = ACTIONS(2649),
    [anon_sym_constinit] = ACTIONS(2649),
    [anon_sym_consteval] = ACTIONS(2649),
    [sym_primitive_type] = ACTIONS(2649),
    [anon_sym_enum] = ACTIONS(2649),
    [anon_sym_class] = ACTIONS(2649),
    [anon_sym_struct] = ACTIONS(2649),
    [anon_sym_union] = ACTIONS(2649),
    [anon_sym_if] = ACTIONS(2649),
    [anon_sym_switch] = ACTIONS(2649),
    [anon_sym_case] = ACTIONS(2649),
    [anon_sym_default] = ACTIONS(2649),
    [anon_sym_while] = ACTIONS(2649),
    [anon_sym_do] = ACTIONS(2649),
    [anon_sym_for] = ACTIONS(2649),
    [anon_sym_return] = ACTIONS(2649),
    [anon_sym_break] = ACTIONS(2649),
    [anon_sym_continue] = ACTIONS(2649),
    [anon_sym_goto] = ACTIONS(2649),
    [anon_sym___try] = ACTIONS(2649),
    [anon_sym___leave] = ACTIONS(2649),
    [anon_sym_not] = ACTIONS(2649),
    [anon_sym_compl] = ACTIONS(2649),
    [anon_sym_DASH_DASH] = ACTIONS(2651),
    [anon_sym_PLUS_PLUS] = ACTIONS(2651),
    [anon_sym_sizeof] = ACTIONS(2649),
    [anon_sym___alignof__] = ACTIONS(2649),
    [anon_sym___alignof] = ACTIONS(2649),
    [anon_sym__alignof] = ACTIONS(2649),
    [anon_sym_alignof] = ACTIONS(2649),
    [anon_sym__Alignof] = ACTIONS(2649),
    [anon_sym_offsetof] = ACTIONS(2649),
    [anon_sym__Generic] = ACTIONS(2649),
    [anon_sym_asm] = ACTIONS(2649),
    [anon_sym___asm__] = ACTIONS(2649),
    [sym_number_literal] = ACTIONS(2651),
    [anon_sym_L_SQUOTE] = ACTIONS(2651),
    [anon_sym_u_SQUOTE] = ACTIONS(2651),
    [anon_sym_U_SQUOTE] = ACTIONS(2651),
    [anon_sym_u8_SQUOTE] = ACTIONS(2651),
    [anon_sym_SQUOTE] = ACTIONS(2651),
    [anon_sym_L_DQUOTE] = ACTIONS(2651),
    [anon_sym_u_DQUOTE] = ACTIONS(2651),
    [anon_sym_U_DQUOTE] = ACTIONS(2651),
    [anon_sym_u8_DQUOTE] = ACTIONS(2651),
    [anon_sym_DQUOTE] = ACTIONS(2651),
    [sym_true] = ACTIONS(2649),
    [sym_false] = ACTIONS(2649),
    [anon_sym_NULL] = ACTIONS(2649),
    [anon_sym_nullptr] = ACTIONS(2649),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2649),
    [anon_sym_decltype] = ACTIONS(2649),
    [anon_sym_virtual] = ACTIONS(2649),
    [anon_sym_alignas] = ACTIONS(2649),
    [anon_sym_explicit] = ACTIONS(2649),
    [anon_sym_typename] = ACTIONS(2649),
    [anon_sym_template] = ACTIONS(2649),
    [anon_sym_operator] = ACTIONS(2649),
    [anon_sym_try] = ACTIONS(2649),
    [anon_sym_delete] = ACTIONS(2649),
    [anon_sym_throw] = ACTIONS(2649),
    [anon_sym_namespace] = ACTIONS(2649),
    [anon_sym_using] = ACTIONS(2649),
    [anon_sym_static_assert] = ACTIONS(2649),
    [anon_sym_concept] = ACTIONS(2649),
    [anon_sym_co_return] = ACTIONS(2649),
    [anon_sym_co_yield] = ACTIONS(2649),
    [anon_sym_R_DQUOTE] = ACTIONS(2651),
    [anon_sym_LR_DQUOTE] = ACTIONS(2651),
    [anon_sym_uR_DQUOTE] = ACTIONS(2651),
    [anon_sym_UR_DQUOTE] = ACTIONS(2651),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2651),
    [anon_sym_co_await] = ACTIONS(2649),
    [anon_sym_new] = ACTIONS(2649),
    [anon_sym_requires] = ACTIONS(2649),
    [sym_this] = ACTIONS(2649),
    [anon_sym_discard] = ACTIONS(2649),
    [anon_sym_precise] = ACTIONS(2649),
    [anon_sym_shared] = ACTIONS(2649),
    [anon_sym_groupshared] = ACTIONS(2649),
    [anon_sym_uniform] = ACTIONS(2649),
    [anon_sym_row_major] = ACTIONS(2649),
    [anon_sym_column_major] = ACTIONS(2649),
    [anon_sym_globallycoherent] = ACTIONS(2649),
    [anon_sym_centroid] = ACTIONS(2649),
    [anon_sym_noperspective] = ACTIONS(2649),
    [anon_sym_nointerpolation] = ACTIONS(2649),
    [anon_sym_sample] = ACTIONS(2649),
    [anon_sym_linear] = ACTIONS(2649),
    [anon_sym_snorm] = ACTIONS(2649),
    [anon_sym_unorm] = ACTIONS(2649),
    [anon_sym_point] = ACTIONS(2649),
    [anon_sym_line] = ACTIONS(2649),
    [anon_sym_triangleadj] = ACTIONS(2649),
    [anon_sym_lineadj] = ACTIONS(2649),
    [anon_sym_triangle] = ACTIONS(2649),
    [anon_sym_cbuffer] = ACTIONS(2649),
  },
  [1051] = {
    [sym_identifier] = ACTIONS(2520),
    [aux_sym_preproc_include_token1] = ACTIONS(2520),
    [aux_sym_preproc_def_token1] = ACTIONS(2520),
    [aux_sym_preproc_if_token1] = ACTIONS(2520),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2520),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2520),
    [sym_preproc_directive] = ACTIONS(2520),
    [anon_sym_LPAREN2] = ACTIONS(2522),
    [anon_sym_BANG] = ACTIONS(2522),
    [anon_sym_TILDE] = ACTIONS(2522),
    [anon_sym_DASH] = ACTIONS(2520),
    [anon_sym_PLUS] = ACTIONS(2520),
    [anon_sym_STAR] = ACTIONS(2522),
    [anon_sym_AMP_AMP] = ACTIONS(2522),
    [anon_sym_AMP] = ACTIONS(2520),
    [anon_sym_SEMI] = ACTIONS(2522),
    [anon_sym___extension__] = ACTIONS(2520),
    [anon_sym_typedef] = ACTIONS(2520),
    [anon_sym_in] = ACTIONS(2520),
    [anon_sym_out] = ACTIONS(2520),
    [anon_sym_inout] = ACTIONS(2520),
    [anon_sym_extern] = ACTIONS(2520),
    [anon_sym___attribute__] = ACTIONS(2520),
    [anon_sym_COLON_COLON] = ACTIONS(2522),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2522),
    [anon_sym___declspec] = ACTIONS(2520),
    [anon_sym___based] = ACTIONS(2520),
    [anon_sym___cdecl] = ACTIONS(2520),
    [anon_sym___clrcall] = ACTIONS(2520),
    [anon_sym___stdcall] = ACTIONS(2520),
    [anon_sym___fastcall] = ACTIONS(2520),
    [anon_sym___thiscall] = ACTIONS(2520),
    [anon_sym___vectorcall] = ACTIONS(2520),
    [anon_sym_LBRACE] = ACTIONS(2522),
    [anon_sym_RBRACE] = ACTIONS(2522),
    [anon_sym_signed] = ACTIONS(2520),
    [anon_sym_unsigned] = ACTIONS(2520),
    [anon_sym_long] = ACTIONS(2520),
    [anon_sym_short] = ACTIONS(2520),
    [anon_sym_LBRACK] = ACTIONS(2520),
    [anon_sym_static] = ACTIONS(2520),
    [anon_sym_register] = ACTIONS(2520),
    [anon_sym_inline] = ACTIONS(2520),
    [anon_sym___inline] = ACTIONS(2520),
    [anon_sym___inline__] = ACTIONS(2520),
    [anon_sym___forceinline] = ACTIONS(2520),
    [anon_sym_thread_local] = ACTIONS(2520),
    [anon_sym___thread] = ACTIONS(2520),
    [anon_sym_const] = ACTIONS(2520),
    [anon_sym_constexpr] = ACTIONS(2520),
    [anon_sym_volatile] = ACTIONS(2520),
    [anon_sym_restrict] = ACTIONS(2520),
    [anon_sym___restrict__] = ACTIONS(2520),
    [anon_sym__Atomic] = ACTIONS(2520),
    [anon_sym__Noreturn] = ACTIONS(2520),
    [anon_sym_noreturn] = ACTIONS(2520),
    [anon_sym_mutable] = ACTIONS(2520),
    [anon_sym_constinit] = ACTIONS(2520),
    [anon_sym_consteval] = ACTIONS(2520),
    [sym_primitive_type] = ACTIONS(2520),
    [anon_sym_enum] = ACTIONS(2520),
    [anon_sym_class] = ACTIONS(2520),
    [anon_sym_struct] = ACTIONS(2520),
    [anon_sym_union] = ACTIONS(2520),
    [anon_sym_if] = ACTIONS(2520),
    [anon_sym_switch] = ACTIONS(2520),
    [anon_sym_case] = ACTIONS(2520),
    [anon_sym_default] = ACTIONS(2520),
    [anon_sym_while] = ACTIONS(2520),
    [anon_sym_do] = ACTIONS(2520),
    [anon_sym_for] = ACTIONS(2520),
    [anon_sym_return] = ACTIONS(2520),
    [anon_sym_break] = ACTIONS(2520),
    [anon_sym_continue] = ACTIONS(2520),
    [anon_sym_goto] = ACTIONS(2520),
    [anon_sym___try] = ACTIONS(2520),
    [anon_sym___leave] = ACTIONS(2520),
    [anon_sym_not] = ACTIONS(2520),
    [anon_sym_compl] = ACTIONS(2520),
    [anon_sym_DASH_DASH] = ACTIONS(2522),
    [anon_sym_PLUS_PLUS] = ACTIONS(2522),
    [anon_sym_sizeof] = ACTIONS(2520),
    [anon_sym___alignof__] = ACTIONS(2520),
    [anon_sym___alignof] = ACTIONS(2520),
    [anon_sym__alignof] = ACTIONS(2520),
    [anon_sym_alignof] = ACTIONS(2520),
    [anon_sym__Alignof] = ACTIONS(2520),
    [anon_sym_offsetof] = ACTIONS(2520),
    [anon_sym__Generic] = ACTIONS(2520),
    [anon_sym_asm] = ACTIONS(2520),
    [anon_sym___asm__] = ACTIONS(2520),
    [sym_number_literal] = ACTIONS(2522),
    [anon_sym_L_SQUOTE] = ACTIONS(2522),
    [anon_sym_u_SQUOTE] = ACTIONS(2522),
    [anon_sym_U_SQUOTE] = ACTIONS(2522),
    [anon_sym_u8_SQUOTE] = ACTIONS(2522),
    [anon_sym_SQUOTE] = ACTIONS(2522),
    [anon_sym_L_DQUOTE] = ACTIONS(2522),
    [anon_sym_u_DQUOTE] = ACTIONS(2522),
    [anon_sym_U_DQUOTE] = ACTIONS(2522),
    [anon_sym_u8_DQUOTE] = ACTIONS(2522),
    [anon_sym_DQUOTE] = ACTIONS(2522),
    [sym_true] = ACTIONS(2520),
    [sym_false] = ACTIONS(2520),
    [anon_sym_NULL] = ACTIONS(2520),
    [anon_sym_nullptr] = ACTIONS(2520),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2520),
    [anon_sym_decltype] = ACTIONS(2520),
    [anon_sym_virtual] = ACTIONS(2520),
    [anon_sym_alignas] = ACTIONS(2520),
    [anon_sym_explicit] = ACTIONS(2520),
    [anon_sym_typename] = ACTIONS(2520),
    [anon_sym_template] = ACTIONS(2520),
    [anon_sym_operator] = ACTIONS(2520),
    [anon_sym_try] = ACTIONS(2520),
    [anon_sym_delete] = ACTIONS(2520),
    [anon_sym_throw] = ACTIONS(2520),
    [anon_sym_namespace] = ACTIONS(2520),
    [anon_sym_using] = ACTIONS(2520),
    [anon_sym_static_assert] = ACTIONS(2520),
    [anon_sym_concept] = ACTIONS(2520),
    [anon_sym_co_return] = ACTIONS(2520),
    [anon_sym_co_yield] = ACTIONS(2520),
    [anon_sym_R_DQUOTE] = ACTIONS(2522),
    [anon_sym_LR_DQUOTE] = ACTIONS(2522),
    [anon_sym_uR_DQUOTE] = ACTIONS(2522),
    [anon_sym_UR_DQUOTE] = ACTIONS(2522),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2522),
    [anon_sym_co_await] = ACTIONS(2520),
    [anon_sym_new] = ACTIONS(2520),
    [anon_sym_requires] = ACTIONS(2520),
    [sym_this] = ACTIONS(2520),
    [anon_sym_discard] = ACTIONS(2520),
    [anon_sym_precise] = ACTIONS(2520),
    [anon_sym_shared] = ACTIONS(2520),
    [anon_sym_groupshared] = ACTIONS(2520),
    [anon_sym_uniform] = ACTIONS(2520),
    [anon_sym_row_major] = ACTIONS(2520),
    [anon_sym_column_major] = ACTIONS(2520),
    [anon_sym_globallycoherent] = ACTIONS(2520),
    [anon_sym_centroid] = ACTIONS(2520),
    [anon_sym_noperspective] = ACTIONS(2520),
    [anon_sym_nointerpolation] = ACTIONS(2520),
    [anon_sym_sample] = ACTIONS(2520),
    [anon_sym_linear] = ACTIONS(2520),
    [anon_sym_snorm] = ACTIONS(2520),
    [anon_sym_unorm] = ACTIONS(2520),
    [anon_sym_point] = ACTIONS(2520),
    [anon_sym_line] = ACTIONS(2520),
    [anon_sym_triangleadj] = ACTIONS(2520),
    [anon_sym_lineadj] = ACTIONS(2520),
    [anon_sym_triangle] = ACTIONS(2520),
    [anon_sym_cbuffer] = ACTIONS(2520),
  },
  [1052] = {
    [sym_identifier] = ACTIONS(2805),
    [aux_sym_preproc_include_token1] = ACTIONS(2805),
    [aux_sym_preproc_def_token1] = ACTIONS(2805),
    [aux_sym_preproc_if_token1] = ACTIONS(2805),
    [aux_sym_preproc_if_token2] = ACTIONS(2805),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2805),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2805),
    [sym_preproc_directive] = ACTIONS(2805),
    [anon_sym_LPAREN2] = ACTIONS(2807),
    [anon_sym_BANG] = ACTIONS(2807),
    [anon_sym_TILDE] = ACTIONS(2807),
    [anon_sym_DASH] = ACTIONS(2805),
    [anon_sym_PLUS] = ACTIONS(2805),
    [anon_sym_STAR] = ACTIONS(2807),
    [anon_sym_AMP_AMP] = ACTIONS(2807),
    [anon_sym_AMP] = ACTIONS(2805),
    [anon_sym_SEMI] = ACTIONS(2807),
    [anon_sym___extension__] = ACTIONS(2805),
    [anon_sym_typedef] = ACTIONS(2805),
    [anon_sym_in] = ACTIONS(2805),
    [anon_sym_out] = ACTIONS(2805),
    [anon_sym_inout] = ACTIONS(2805),
    [anon_sym_extern] = ACTIONS(2805),
    [anon_sym___attribute__] = ACTIONS(2805),
    [anon_sym_COLON_COLON] = ACTIONS(2807),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2807),
    [anon_sym___declspec] = ACTIONS(2805),
    [anon_sym___based] = ACTIONS(2805),
    [anon_sym___cdecl] = ACTIONS(2805),
    [anon_sym___clrcall] = ACTIONS(2805),
    [anon_sym___stdcall] = ACTIONS(2805),
    [anon_sym___fastcall] = ACTIONS(2805),
    [anon_sym___thiscall] = ACTIONS(2805),
    [anon_sym___vectorcall] = ACTIONS(2805),
    [anon_sym_LBRACE] = ACTIONS(2807),
    [anon_sym_signed] = ACTIONS(2805),
    [anon_sym_unsigned] = ACTIONS(2805),
    [anon_sym_long] = ACTIONS(2805),
    [anon_sym_short] = ACTIONS(2805),
    [anon_sym_LBRACK] = ACTIONS(2805),
    [anon_sym_static] = ACTIONS(2805),
    [anon_sym_register] = ACTIONS(2805),
    [anon_sym_inline] = ACTIONS(2805),
    [anon_sym___inline] = ACTIONS(2805),
    [anon_sym___inline__] = ACTIONS(2805),
    [anon_sym___forceinline] = ACTIONS(2805),
    [anon_sym_thread_local] = ACTIONS(2805),
    [anon_sym___thread] = ACTIONS(2805),
    [anon_sym_const] = ACTIONS(2805),
    [anon_sym_constexpr] = ACTIONS(2805),
    [anon_sym_volatile] = ACTIONS(2805),
    [anon_sym_restrict] = ACTIONS(2805),
    [anon_sym___restrict__] = ACTIONS(2805),
    [anon_sym__Atomic] = ACTIONS(2805),
    [anon_sym__Noreturn] = ACTIONS(2805),
    [anon_sym_noreturn] = ACTIONS(2805),
    [anon_sym_mutable] = ACTIONS(2805),
    [anon_sym_constinit] = ACTIONS(2805),
    [anon_sym_consteval] = ACTIONS(2805),
    [sym_primitive_type] = ACTIONS(2805),
    [anon_sym_enum] = ACTIONS(2805),
    [anon_sym_class] = ACTIONS(2805),
    [anon_sym_struct] = ACTIONS(2805),
    [anon_sym_union] = ACTIONS(2805),
    [anon_sym_if] = ACTIONS(2805),
    [anon_sym_switch] = ACTIONS(2805),
    [anon_sym_case] = ACTIONS(2805),
    [anon_sym_default] = ACTIONS(2805),
    [anon_sym_while] = ACTIONS(2805),
    [anon_sym_do] = ACTIONS(2805),
    [anon_sym_for] = ACTIONS(2805),
    [anon_sym_return] = ACTIONS(2805),
    [anon_sym_break] = ACTIONS(2805),
    [anon_sym_continue] = ACTIONS(2805),
    [anon_sym_goto] = ACTIONS(2805),
    [anon_sym___try] = ACTIONS(2805),
    [anon_sym___leave] = ACTIONS(2805),
    [anon_sym_not] = ACTIONS(2805),
    [anon_sym_compl] = ACTIONS(2805),
    [anon_sym_DASH_DASH] = ACTIONS(2807),
    [anon_sym_PLUS_PLUS] = ACTIONS(2807),
    [anon_sym_sizeof] = ACTIONS(2805),
    [anon_sym___alignof__] = ACTIONS(2805),
    [anon_sym___alignof] = ACTIONS(2805),
    [anon_sym__alignof] = ACTIONS(2805),
    [anon_sym_alignof] = ACTIONS(2805),
    [anon_sym__Alignof] = ACTIONS(2805),
    [anon_sym_offsetof] = ACTIONS(2805),
    [anon_sym__Generic] = ACTIONS(2805),
    [anon_sym_asm] = ACTIONS(2805),
    [anon_sym___asm__] = ACTIONS(2805),
    [sym_number_literal] = ACTIONS(2807),
    [anon_sym_L_SQUOTE] = ACTIONS(2807),
    [anon_sym_u_SQUOTE] = ACTIONS(2807),
    [anon_sym_U_SQUOTE] = ACTIONS(2807),
    [anon_sym_u8_SQUOTE] = ACTIONS(2807),
    [anon_sym_SQUOTE] = ACTIONS(2807),
    [anon_sym_L_DQUOTE] = ACTIONS(2807),
    [anon_sym_u_DQUOTE] = ACTIONS(2807),
    [anon_sym_U_DQUOTE] = ACTIONS(2807),
    [anon_sym_u8_DQUOTE] = ACTIONS(2807),
    [anon_sym_DQUOTE] = ACTIONS(2807),
    [sym_true] = ACTIONS(2805),
    [sym_false] = ACTIONS(2805),
    [anon_sym_NULL] = ACTIONS(2805),
    [anon_sym_nullptr] = ACTIONS(2805),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2805),
    [anon_sym_decltype] = ACTIONS(2805),
    [anon_sym_virtual] = ACTIONS(2805),
    [anon_sym_alignas] = ACTIONS(2805),
    [anon_sym_explicit] = ACTIONS(2805),
    [anon_sym_typename] = ACTIONS(2805),
    [anon_sym_template] = ACTIONS(2805),
    [anon_sym_operator] = ACTIONS(2805),
    [anon_sym_try] = ACTIONS(2805),
    [anon_sym_delete] = ACTIONS(2805),
    [anon_sym_throw] = ACTIONS(2805),
    [anon_sym_namespace] = ACTIONS(2805),
    [anon_sym_using] = ACTIONS(2805),
    [anon_sym_static_assert] = ACTIONS(2805),
    [anon_sym_concept] = ACTIONS(2805),
    [anon_sym_co_return] = ACTIONS(2805),
    [anon_sym_co_yield] = ACTIONS(2805),
    [anon_sym_R_DQUOTE] = ACTIONS(2807),
    [anon_sym_LR_DQUOTE] = ACTIONS(2807),
    [anon_sym_uR_DQUOTE] = ACTIONS(2807),
    [anon_sym_UR_DQUOTE] = ACTIONS(2807),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2807),
    [anon_sym_co_await] = ACTIONS(2805),
    [anon_sym_new] = ACTIONS(2805),
    [anon_sym_requires] = ACTIONS(2805),
    [sym_this] = ACTIONS(2805),
    [anon_sym_discard] = ACTIONS(2805),
    [anon_sym_precise] = ACTIONS(2805),
    [anon_sym_shared] = ACTIONS(2805),
    [anon_sym_groupshared] = ACTIONS(2805),
    [anon_sym_uniform] = ACTIONS(2805),
    [anon_sym_row_major] = ACTIONS(2805),
    [anon_sym_column_major] = ACTIONS(2805),
    [anon_sym_globallycoherent] = ACTIONS(2805),
    [anon_sym_centroid] = ACTIONS(2805),
    [anon_sym_noperspective] = ACTIONS(2805),
    [anon_sym_nointerpolation] = ACTIONS(2805),
    [anon_sym_sample] = ACTIONS(2805),
    [anon_sym_linear] = ACTIONS(2805),
    [anon_sym_snorm] = ACTIONS(2805),
    [anon_sym_unorm] = ACTIONS(2805),
    [anon_sym_point] = ACTIONS(2805),
    [anon_sym_line] = ACTIONS(2805),
    [anon_sym_triangleadj] = ACTIONS(2805),
    [anon_sym_lineadj] = ACTIONS(2805),
    [anon_sym_triangle] = ACTIONS(2805),
    [anon_sym_cbuffer] = ACTIONS(2805),
  },
  [1053] = {
    [sym_identifier] = ACTIONS(2677),
    [aux_sym_preproc_include_token1] = ACTIONS(2677),
    [aux_sym_preproc_def_token1] = ACTIONS(2677),
    [aux_sym_preproc_if_token1] = ACTIONS(2677),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2677),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2677),
    [sym_preproc_directive] = ACTIONS(2677),
    [anon_sym_LPAREN2] = ACTIONS(2679),
    [anon_sym_BANG] = ACTIONS(2679),
    [anon_sym_TILDE] = ACTIONS(2679),
    [anon_sym_DASH] = ACTIONS(2677),
    [anon_sym_PLUS] = ACTIONS(2677),
    [anon_sym_STAR] = ACTIONS(2679),
    [anon_sym_AMP_AMP] = ACTIONS(2679),
    [anon_sym_AMP] = ACTIONS(2677),
    [anon_sym_SEMI] = ACTIONS(2679),
    [anon_sym___extension__] = ACTIONS(2677),
    [anon_sym_typedef] = ACTIONS(2677),
    [anon_sym_in] = ACTIONS(2677),
    [anon_sym_out] = ACTIONS(2677),
    [anon_sym_inout] = ACTIONS(2677),
    [anon_sym_extern] = ACTIONS(2677),
    [anon_sym___attribute__] = ACTIONS(2677),
    [anon_sym_COLON_COLON] = ACTIONS(2679),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2679),
    [anon_sym___declspec] = ACTIONS(2677),
    [anon_sym___based] = ACTIONS(2677),
    [anon_sym___cdecl] = ACTIONS(2677),
    [anon_sym___clrcall] = ACTIONS(2677),
    [anon_sym___stdcall] = ACTIONS(2677),
    [anon_sym___fastcall] = ACTIONS(2677),
    [anon_sym___thiscall] = ACTIONS(2677),
    [anon_sym___vectorcall] = ACTIONS(2677),
    [anon_sym_LBRACE] = ACTIONS(2679),
    [anon_sym_RBRACE] = ACTIONS(2679),
    [anon_sym_signed] = ACTIONS(2677),
    [anon_sym_unsigned] = ACTIONS(2677),
    [anon_sym_long] = ACTIONS(2677),
    [anon_sym_short] = ACTIONS(2677),
    [anon_sym_LBRACK] = ACTIONS(2677),
    [anon_sym_static] = ACTIONS(2677),
    [anon_sym_register] = ACTIONS(2677),
    [anon_sym_inline] = ACTIONS(2677),
    [anon_sym___inline] = ACTIONS(2677),
    [anon_sym___inline__] = ACTIONS(2677),
    [anon_sym___forceinline] = ACTIONS(2677),
    [anon_sym_thread_local] = ACTIONS(2677),
    [anon_sym___thread] = ACTIONS(2677),
    [anon_sym_const] = ACTIONS(2677),
    [anon_sym_constexpr] = ACTIONS(2677),
    [anon_sym_volatile] = ACTIONS(2677),
    [anon_sym_restrict] = ACTIONS(2677),
    [anon_sym___restrict__] = ACTIONS(2677),
    [anon_sym__Atomic] = ACTIONS(2677),
    [anon_sym__Noreturn] = ACTIONS(2677),
    [anon_sym_noreturn] = ACTIONS(2677),
    [anon_sym_mutable] = ACTIONS(2677),
    [anon_sym_constinit] = ACTIONS(2677),
    [anon_sym_consteval] = ACTIONS(2677),
    [sym_primitive_type] = ACTIONS(2677),
    [anon_sym_enum] = ACTIONS(2677),
    [anon_sym_class] = ACTIONS(2677),
    [anon_sym_struct] = ACTIONS(2677),
    [anon_sym_union] = ACTIONS(2677),
    [anon_sym_if] = ACTIONS(2677),
    [anon_sym_switch] = ACTIONS(2677),
    [anon_sym_case] = ACTIONS(2677),
    [anon_sym_default] = ACTIONS(2677),
    [anon_sym_while] = ACTIONS(2677),
    [anon_sym_do] = ACTIONS(2677),
    [anon_sym_for] = ACTIONS(2677),
    [anon_sym_return] = ACTIONS(2677),
    [anon_sym_break] = ACTIONS(2677),
    [anon_sym_continue] = ACTIONS(2677),
    [anon_sym_goto] = ACTIONS(2677),
    [anon_sym___try] = ACTIONS(2677),
    [anon_sym___leave] = ACTIONS(2677),
    [anon_sym_not] = ACTIONS(2677),
    [anon_sym_compl] = ACTIONS(2677),
    [anon_sym_DASH_DASH] = ACTIONS(2679),
    [anon_sym_PLUS_PLUS] = ACTIONS(2679),
    [anon_sym_sizeof] = ACTIONS(2677),
    [anon_sym___alignof__] = ACTIONS(2677),
    [anon_sym___alignof] = ACTIONS(2677),
    [anon_sym__alignof] = ACTIONS(2677),
    [anon_sym_alignof] = ACTIONS(2677),
    [anon_sym__Alignof] = ACTIONS(2677),
    [anon_sym_offsetof] = ACTIONS(2677),
    [anon_sym__Generic] = ACTIONS(2677),
    [anon_sym_asm] = ACTIONS(2677),
    [anon_sym___asm__] = ACTIONS(2677),
    [sym_number_literal] = ACTIONS(2679),
    [anon_sym_L_SQUOTE] = ACTIONS(2679),
    [anon_sym_u_SQUOTE] = ACTIONS(2679),
    [anon_sym_U_SQUOTE] = ACTIONS(2679),
    [anon_sym_u8_SQUOTE] = ACTIONS(2679),
    [anon_sym_SQUOTE] = ACTIONS(2679),
    [anon_sym_L_DQUOTE] = ACTIONS(2679),
    [anon_sym_u_DQUOTE] = ACTIONS(2679),
    [anon_sym_U_DQUOTE] = ACTIONS(2679),
    [anon_sym_u8_DQUOTE] = ACTIONS(2679),
    [anon_sym_DQUOTE] = ACTIONS(2679),
    [sym_true] = ACTIONS(2677),
    [sym_false] = ACTIONS(2677),
    [anon_sym_NULL] = ACTIONS(2677),
    [anon_sym_nullptr] = ACTIONS(2677),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2677),
    [anon_sym_decltype] = ACTIONS(2677),
    [anon_sym_virtual] = ACTIONS(2677),
    [anon_sym_alignas] = ACTIONS(2677),
    [anon_sym_explicit] = ACTIONS(2677),
    [anon_sym_typename] = ACTIONS(2677),
    [anon_sym_template] = ACTIONS(2677),
    [anon_sym_operator] = ACTIONS(2677),
    [anon_sym_try] = ACTIONS(2677),
    [anon_sym_delete] = ACTIONS(2677),
    [anon_sym_throw] = ACTIONS(2677),
    [anon_sym_namespace] = ACTIONS(2677),
    [anon_sym_using] = ACTIONS(2677),
    [anon_sym_static_assert] = ACTIONS(2677),
    [anon_sym_concept] = ACTIONS(2677),
    [anon_sym_co_return] = ACTIONS(2677),
    [anon_sym_co_yield] = ACTIONS(2677),
    [anon_sym_R_DQUOTE] = ACTIONS(2679),
    [anon_sym_LR_DQUOTE] = ACTIONS(2679),
    [anon_sym_uR_DQUOTE] = ACTIONS(2679),
    [anon_sym_UR_DQUOTE] = ACTIONS(2679),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2679),
    [anon_sym_co_await] = ACTIONS(2677),
    [anon_sym_new] = ACTIONS(2677),
    [anon_sym_requires] = ACTIONS(2677),
    [sym_this] = ACTIONS(2677),
    [anon_sym_discard] = ACTIONS(2677),
    [anon_sym_precise] = ACTIONS(2677),
    [anon_sym_shared] = ACTIONS(2677),
    [anon_sym_groupshared] = ACTIONS(2677),
    [anon_sym_uniform] = ACTIONS(2677),
    [anon_sym_row_major] = ACTIONS(2677),
    [anon_sym_column_major] = ACTIONS(2677),
    [anon_sym_globallycoherent] = ACTIONS(2677),
    [anon_sym_centroid] = ACTIONS(2677),
    [anon_sym_noperspective] = ACTIONS(2677),
    [anon_sym_nointerpolation] = ACTIONS(2677),
    [anon_sym_sample] = ACTIONS(2677),
    [anon_sym_linear] = ACTIONS(2677),
    [anon_sym_snorm] = ACTIONS(2677),
    [anon_sym_unorm] = ACTIONS(2677),
    [anon_sym_point] = ACTIONS(2677),
    [anon_sym_line] = ACTIONS(2677),
    [anon_sym_triangleadj] = ACTIONS(2677),
    [anon_sym_lineadj] = ACTIONS(2677),
    [anon_sym_triangle] = ACTIONS(2677),
    [anon_sym_cbuffer] = ACTIONS(2677),
  },
  [1054] = {
    [sym_identifier] = ACTIONS(2688),
    [aux_sym_preproc_include_token1] = ACTIONS(2688),
    [aux_sym_preproc_def_token1] = ACTIONS(2688),
    [aux_sym_preproc_if_token1] = ACTIONS(2688),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2688),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2688),
    [sym_preproc_directive] = ACTIONS(2688),
    [anon_sym_LPAREN2] = ACTIONS(2690),
    [anon_sym_BANG] = ACTIONS(2690),
    [anon_sym_TILDE] = ACTIONS(2690),
    [anon_sym_DASH] = ACTIONS(2688),
    [anon_sym_PLUS] = ACTIONS(2688),
    [anon_sym_STAR] = ACTIONS(2690),
    [anon_sym_AMP_AMP] = ACTIONS(2690),
    [anon_sym_AMP] = ACTIONS(2688),
    [anon_sym_SEMI] = ACTIONS(2690),
    [anon_sym___extension__] = ACTIONS(2688),
    [anon_sym_typedef] = ACTIONS(2688),
    [anon_sym_in] = ACTIONS(2688),
    [anon_sym_out] = ACTIONS(2688),
    [anon_sym_inout] = ACTIONS(2688),
    [anon_sym_extern] = ACTIONS(2688),
    [anon_sym___attribute__] = ACTIONS(2688),
    [anon_sym_COLON_COLON] = ACTIONS(2690),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2690),
    [anon_sym___declspec] = ACTIONS(2688),
    [anon_sym___based] = ACTIONS(2688),
    [anon_sym___cdecl] = ACTIONS(2688),
    [anon_sym___clrcall] = ACTIONS(2688),
    [anon_sym___stdcall] = ACTIONS(2688),
    [anon_sym___fastcall] = ACTIONS(2688),
    [anon_sym___thiscall] = ACTIONS(2688),
    [anon_sym___vectorcall] = ACTIONS(2688),
    [anon_sym_LBRACE] = ACTIONS(2690),
    [anon_sym_RBRACE] = ACTIONS(2690),
    [anon_sym_signed] = ACTIONS(2688),
    [anon_sym_unsigned] = ACTIONS(2688),
    [anon_sym_long] = ACTIONS(2688),
    [anon_sym_short] = ACTIONS(2688),
    [anon_sym_LBRACK] = ACTIONS(2688),
    [anon_sym_static] = ACTIONS(2688),
    [anon_sym_register] = ACTIONS(2688),
    [anon_sym_inline] = ACTIONS(2688),
    [anon_sym___inline] = ACTIONS(2688),
    [anon_sym___inline__] = ACTIONS(2688),
    [anon_sym___forceinline] = ACTIONS(2688),
    [anon_sym_thread_local] = ACTIONS(2688),
    [anon_sym___thread] = ACTIONS(2688),
    [anon_sym_const] = ACTIONS(2688),
    [anon_sym_constexpr] = ACTIONS(2688),
    [anon_sym_volatile] = ACTIONS(2688),
    [anon_sym_restrict] = ACTIONS(2688),
    [anon_sym___restrict__] = ACTIONS(2688),
    [anon_sym__Atomic] = ACTIONS(2688),
    [anon_sym__Noreturn] = ACTIONS(2688),
    [anon_sym_noreturn] = ACTIONS(2688),
    [anon_sym_mutable] = ACTIONS(2688),
    [anon_sym_constinit] = ACTIONS(2688),
    [anon_sym_consteval] = ACTIONS(2688),
    [sym_primitive_type] = ACTIONS(2688),
    [anon_sym_enum] = ACTIONS(2688),
    [anon_sym_class] = ACTIONS(2688),
    [anon_sym_struct] = ACTIONS(2688),
    [anon_sym_union] = ACTIONS(2688),
    [anon_sym_if] = ACTIONS(2688),
    [anon_sym_switch] = ACTIONS(2688),
    [anon_sym_case] = ACTIONS(2688),
    [anon_sym_default] = ACTIONS(2688),
    [anon_sym_while] = ACTIONS(2688),
    [anon_sym_do] = ACTIONS(2688),
    [anon_sym_for] = ACTIONS(2688),
    [anon_sym_return] = ACTIONS(2688),
    [anon_sym_break] = ACTIONS(2688),
    [anon_sym_continue] = ACTIONS(2688),
    [anon_sym_goto] = ACTIONS(2688),
    [anon_sym___try] = ACTIONS(2688),
    [anon_sym___leave] = ACTIONS(2688),
    [anon_sym_not] = ACTIONS(2688),
    [anon_sym_compl] = ACTIONS(2688),
    [anon_sym_DASH_DASH] = ACTIONS(2690),
    [anon_sym_PLUS_PLUS] = ACTIONS(2690),
    [anon_sym_sizeof] = ACTIONS(2688),
    [anon_sym___alignof__] = ACTIONS(2688),
    [anon_sym___alignof] = ACTIONS(2688),
    [anon_sym__alignof] = ACTIONS(2688),
    [anon_sym_alignof] = ACTIONS(2688),
    [anon_sym__Alignof] = ACTIONS(2688),
    [anon_sym_offsetof] = ACTIONS(2688),
    [anon_sym__Generic] = ACTIONS(2688),
    [anon_sym_asm] = ACTIONS(2688),
    [anon_sym___asm__] = ACTIONS(2688),
    [sym_number_literal] = ACTIONS(2690),
    [anon_sym_L_SQUOTE] = ACTIONS(2690),
    [anon_sym_u_SQUOTE] = ACTIONS(2690),
    [anon_sym_U_SQUOTE] = ACTIONS(2690),
    [anon_sym_u8_SQUOTE] = ACTIONS(2690),
    [anon_sym_SQUOTE] = ACTIONS(2690),
    [anon_sym_L_DQUOTE] = ACTIONS(2690),
    [anon_sym_u_DQUOTE] = ACTIONS(2690),
    [anon_sym_U_DQUOTE] = ACTIONS(2690),
    [anon_sym_u8_DQUOTE] = ACTIONS(2690),
    [anon_sym_DQUOTE] = ACTIONS(2690),
    [sym_true] = ACTIONS(2688),
    [sym_false] = ACTIONS(2688),
    [anon_sym_NULL] = ACTIONS(2688),
    [anon_sym_nullptr] = ACTIONS(2688),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2688),
    [anon_sym_decltype] = ACTIONS(2688),
    [anon_sym_virtual] = ACTIONS(2688),
    [anon_sym_alignas] = ACTIONS(2688),
    [anon_sym_explicit] = ACTIONS(2688),
    [anon_sym_typename] = ACTIONS(2688),
    [anon_sym_template] = ACTIONS(2688),
    [anon_sym_operator] = ACTIONS(2688),
    [anon_sym_try] = ACTIONS(2688),
    [anon_sym_delete] = ACTIONS(2688),
    [anon_sym_throw] = ACTIONS(2688),
    [anon_sym_namespace] = ACTIONS(2688),
    [anon_sym_using] = ACTIONS(2688),
    [anon_sym_static_assert] = ACTIONS(2688),
    [anon_sym_concept] = ACTIONS(2688),
    [anon_sym_co_return] = ACTIONS(2688),
    [anon_sym_co_yield] = ACTIONS(2688),
    [anon_sym_R_DQUOTE] = ACTIONS(2690),
    [anon_sym_LR_DQUOTE] = ACTIONS(2690),
    [anon_sym_uR_DQUOTE] = ACTIONS(2690),
    [anon_sym_UR_DQUOTE] = ACTIONS(2690),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2690),
    [anon_sym_co_await] = ACTIONS(2688),
    [anon_sym_new] = ACTIONS(2688),
    [anon_sym_requires] = ACTIONS(2688),
    [sym_this] = ACTIONS(2688),
    [anon_sym_discard] = ACTIONS(2688),
    [anon_sym_precise] = ACTIONS(2688),
    [anon_sym_shared] = ACTIONS(2688),
    [anon_sym_groupshared] = ACTIONS(2688),
    [anon_sym_uniform] = ACTIONS(2688),
    [anon_sym_row_major] = ACTIONS(2688),
    [anon_sym_column_major] = ACTIONS(2688),
    [anon_sym_globallycoherent] = ACTIONS(2688),
    [anon_sym_centroid] = ACTIONS(2688),
    [anon_sym_noperspective] = ACTIONS(2688),
    [anon_sym_nointerpolation] = ACTIONS(2688),
    [anon_sym_sample] = ACTIONS(2688),
    [anon_sym_linear] = ACTIONS(2688),
    [anon_sym_snorm] = ACTIONS(2688),
    [anon_sym_unorm] = ACTIONS(2688),
    [anon_sym_point] = ACTIONS(2688),
    [anon_sym_line] = ACTIONS(2688),
    [anon_sym_triangleadj] = ACTIONS(2688),
    [anon_sym_lineadj] = ACTIONS(2688),
    [anon_sym_triangle] = ACTIONS(2688),
    [anon_sym_cbuffer] = ACTIONS(2688),
  },
  [1055] = {
    [sym_identifier] = ACTIONS(2516),
    [aux_sym_preproc_include_token1] = ACTIONS(2516),
    [aux_sym_preproc_def_token1] = ACTIONS(2516),
    [aux_sym_preproc_if_token1] = ACTIONS(2516),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2516),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2516),
    [sym_preproc_directive] = ACTIONS(2516),
    [anon_sym_LPAREN2] = ACTIONS(2518),
    [anon_sym_BANG] = ACTIONS(2518),
    [anon_sym_TILDE] = ACTIONS(2518),
    [anon_sym_DASH] = ACTIONS(2516),
    [anon_sym_PLUS] = ACTIONS(2516),
    [anon_sym_STAR] = ACTIONS(2518),
    [anon_sym_AMP_AMP] = ACTIONS(2518),
    [anon_sym_AMP] = ACTIONS(2516),
    [anon_sym_SEMI] = ACTIONS(2518),
    [anon_sym___extension__] = ACTIONS(2516),
    [anon_sym_typedef] = ACTIONS(2516),
    [anon_sym_in] = ACTIONS(2516),
    [anon_sym_out] = ACTIONS(2516),
    [anon_sym_inout] = ACTIONS(2516),
    [anon_sym_extern] = ACTIONS(2516),
    [anon_sym___attribute__] = ACTIONS(2516),
    [anon_sym_COLON_COLON] = ACTIONS(2518),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2518),
    [anon_sym___declspec] = ACTIONS(2516),
    [anon_sym___based] = ACTIONS(2516),
    [anon_sym___cdecl] = ACTIONS(2516),
    [anon_sym___clrcall] = ACTIONS(2516),
    [anon_sym___stdcall] = ACTIONS(2516),
    [anon_sym___fastcall] = ACTIONS(2516),
    [anon_sym___thiscall] = ACTIONS(2516),
    [anon_sym___vectorcall] = ACTIONS(2516),
    [anon_sym_LBRACE] = ACTIONS(2518),
    [anon_sym_RBRACE] = ACTIONS(2518),
    [anon_sym_signed] = ACTIONS(2516),
    [anon_sym_unsigned] = ACTIONS(2516),
    [anon_sym_long] = ACTIONS(2516),
    [anon_sym_short] = ACTIONS(2516),
    [anon_sym_LBRACK] = ACTIONS(2516),
    [anon_sym_static] = ACTIONS(2516),
    [anon_sym_register] = ACTIONS(2516),
    [anon_sym_inline] = ACTIONS(2516),
    [anon_sym___inline] = ACTIONS(2516),
    [anon_sym___inline__] = ACTIONS(2516),
    [anon_sym___forceinline] = ACTIONS(2516),
    [anon_sym_thread_local] = ACTIONS(2516),
    [anon_sym___thread] = ACTIONS(2516),
    [anon_sym_const] = ACTIONS(2516),
    [anon_sym_constexpr] = ACTIONS(2516),
    [anon_sym_volatile] = ACTIONS(2516),
    [anon_sym_restrict] = ACTIONS(2516),
    [anon_sym___restrict__] = ACTIONS(2516),
    [anon_sym__Atomic] = ACTIONS(2516),
    [anon_sym__Noreturn] = ACTIONS(2516),
    [anon_sym_noreturn] = ACTIONS(2516),
    [anon_sym_mutable] = ACTIONS(2516),
    [anon_sym_constinit] = ACTIONS(2516),
    [anon_sym_consteval] = ACTIONS(2516),
    [sym_primitive_type] = ACTIONS(2516),
    [anon_sym_enum] = ACTIONS(2516),
    [anon_sym_class] = ACTIONS(2516),
    [anon_sym_struct] = ACTIONS(2516),
    [anon_sym_union] = ACTIONS(2516),
    [anon_sym_if] = ACTIONS(2516),
    [anon_sym_switch] = ACTIONS(2516),
    [anon_sym_case] = ACTIONS(2516),
    [anon_sym_default] = ACTIONS(2516),
    [anon_sym_while] = ACTIONS(2516),
    [anon_sym_do] = ACTIONS(2516),
    [anon_sym_for] = ACTIONS(2516),
    [anon_sym_return] = ACTIONS(2516),
    [anon_sym_break] = ACTIONS(2516),
    [anon_sym_continue] = ACTIONS(2516),
    [anon_sym_goto] = ACTIONS(2516),
    [anon_sym___try] = ACTIONS(2516),
    [anon_sym___leave] = ACTIONS(2516),
    [anon_sym_not] = ACTIONS(2516),
    [anon_sym_compl] = ACTIONS(2516),
    [anon_sym_DASH_DASH] = ACTIONS(2518),
    [anon_sym_PLUS_PLUS] = ACTIONS(2518),
    [anon_sym_sizeof] = ACTIONS(2516),
    [anon_sym___alignof__] = ACTIONS(2516),
    [anon_sym___alignof] = ACTIONS(2516),
    [anon_sym__alignof] = ACTIONS(2516),
    [anon_sym_alignof] = ACTIONS(2516),
    [anon_sym__Alignof] = ACTIONS(2516),
    [anon_sym_offsetof] = ACTIONS(2516),
    [anon_sym__Generic] = ACTIONS(2516),
    [anon_sym_asm] = ACTIONS(2516),
    [anon_sym___asm__] = ACTIONS(2516),
    [sym_number_literal] = ACTIONS(2518),
    [anon_sym_L_SQUOTE] = ACTIONS(2518),
    [anon_sym_u_SQUOTE] = ACTIONS(2518),
    [anon_sym_U_SQUOTE] = ACTIONS(2518),
    [anon_sym_u8_SQUOTE] = ACTIONS(2518),
    [anon_sym_SQUOTE] = ACTIONS(2518),
    [anon_sym_L_DQUOTE] = ACTIONS(2518),
    [anon_sym_u_DQUOTE] = ACTIONS(2518),
    [anon_sym_U_DQUOTE] = ACTIONS(2518),
    [anon_sym_u8_DQUOTE] = ACTIONS(2518),
    [anon_sym_DQUOTE] = ACTIONS(2518),
    [sym_true] = ACTIONS(2516),
    [sym_false] = ACTIONS(2516),
    [anon_sym_NULL] = ACTIONS(2516),
    [anon_sym_nullptr] = ACTIONS(2516),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2516),
    [anon_sym_decltype] = ACTIONS(2516),
    [anon_sym_virtual] = ACTIONS(2516),
    [anon_sym_alignas] = ACTIONS(2516),
    [anon_sym_explicit] = ACTIONS(2516),
    [anon_sym_typename] = ACTIONS(2516),
    [anon_sym_template] = ACTIONS(2516),
    [anon_sym_operator] = ACTIONS(2516),
    [anon_sym_try] = ACTIONS(2516),
    [anon_sym_delete] = ACTIONS(2516),
    [anon_sym_throw] = ACTIONS(2516),
    [anon_sym_namespace] = ACTIONS(2516),
    [anon_sym_using] = ACTIONS(2516),
    [anon_sym_static_assert] = ACTIONS(2516),
    [anon_sym_concept] = ACTIONS(2516),
    [anon_sym_co_return] = ACTIONS(2516),
    [anon_sym_co_yield] = ACTIONS(2516),
    [anon_sym_R_DQUOTE] = ACTIONS(2518),
    [anon_sym_LR_DQUOTE] = ACTIONS(2518),
    [anon_sym_uR_DQUOTE] = ACTIONS(2518),
    [anon_sym_UR_DQUOTE] = ACTIONS(2518),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2518),
    [anon_sym_co_await] = ACTIONS(2516),
    [anon_sym_new] = ACTIONS(2516),
    [anon_sym_requires] = ACTIONS(2516),
    [sym_this] = ACTIONS(2516),
    [anon_sym_discard] = ACTIONS(2516),
    [anon_sym_precise] = ACTIONS(2516),
    [anon_sym_shared] = ACTIONS(2516),
    [anon_sym_groupshared] = ACTIONS(2516),
    [anon_sym_uniform] = ACTIONS(2516),
    [anon_sym_row_major] = ACTIONS(2516),
    [anon_sym_column_major] = ACTIONS(2516),
    [anon_sym_globallycoherent] = ACTIONS(2516),
    [anon_sym_centroid] = ACTIONS(2516),
    [anon_sym_noperspective] = ACTIONS(2516),
    [anon_sym_nointerpolation] = ACTIONS(2516),
    [anon_sym_sample] = ACTIONS(2516),
    [anon_sym_linear] = ACTIONS(2516),
    [anon_sym_snorm] = ACTIONS(2516),
    [anon_sym_unorm] = ACTIONS(2516),
    [anon_sym_point] = ACTIONS(2516),
    [anon_sym_line] = ACTIONS(2516),
    [anon_sym_triangleadj] = ACTIONS(2516),
    [anon_sym_lineadj] = ACTIONS(2516),
    [anon_sym_triangle] = ACTIONS(2516),
    [anon_sym_cbuffer] = ACTIONS(2516),
  },
  [1056] = {
    [sym_identifier] = ACTIONS(2717),
    [aux_sym_preproc_include_token1] = ACTIONS(2717),
    [aux_sym_preproc_def_token1] = ACTIONS(2717),
    [aux_sym_preproc_if_token1] = ACTIONS(2717),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2717),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2717),
    [sym_preproc_directive] = ACTIONS(2717),
    [anon_sym_LPAREN2] = ACTIONS(2719),
    [anon_sym_BANG] = ACTIONS(2719),
    [anon_sym_TILDE] = ACTIONS(2719),
    [anon_sym_DASH] = ACTIONS(2717),
    [anon_sym_PLUS] = ACTIONS(2717),
    [anon_sym_STAR] = ACTIONS(2719),
    [anon_sym_AMP_AMP] = ACTIONS(2719),
    [anon_sym_AMP] = ACTIONS(2717),
    [anon_sym_SEMI] = ACTIONS(2719),
    [anon_sym___extension__] = ACTIONS(2717),
    [anon_sym_typedef] = ACTIONS(2717),
    [anon_sym_in] = ACTIONS(2717),
    [anon_sym_out] = ACTIONS(2717),
    [anon_sym_inout] = ACTIONS(2717),
    [anon_sym_extern] = ACTIONS(2717),
    [anon_sym___attribute__] = ACTIONS(2717),
    [anon_sym_COLON_COLON] = ACTIONS(2719),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2719),
    [anon_sym___declspec] = ACTIONS(2717),
    [anon_sym___based] = ACTIONS(2717),
    [anon_sym___cdecl] = ACTIONS(2717),
    [anon_sym___clrcall] = ACTIONS(2717),
    [anon_sym___stdcall] = ACTIONS(2717),
    [anon_sym___fastcall] = ACTIONS(2717),
    [anon_sym___thiscall] = ACTIONS(2717),
    [anon_sym___vectorcall] = ACTIONS(2717),
    [anon_sym_LBRACE] = ACTIONS(2719),
    [anon_sym_RBRACE] = ACTIONS(2719),
    [anon_sym_signed] = ACTIONS(2717),
    [anon_sym_unsigned] = ACTIONS(2717),
    [anon_sym_long] = ACTIONS(2717),
    [anon_sym_short] = ACTIONS(2717),
    [anon_sym_LBRACK] = ACTIONS(2717),
    [anon_sym_static] = ACTIONS(2717),
    [anon_sym_register] = ACTIONS(2717),
    [anon_sym_inline] = ACTIONS(2717),
    [anon_sym___inline] = ACTIONS(2717),
    [anon_sym___inline__] = ACTIONS(2717),
    [anon_sym___forceinline] = ACTIONS(2717),
    [anon_sym_thread_local] = ACTIONS(2717),
    [anon_sym___thread] = ACTIONS(2717),
    [anon_sym_const] = ACTIONS(2717),
    [anon_sym_constexpr] = ACTIONS(2717),
    [anon_sym_volatile] = ACTIONS(2717),
    [anon_sym_restrict] = ACTIONS(2717),
    [anon_sym___restrict__] = ACTIONS(2717),
    [anon_sym__Atomic] = ACTIONS(2717),
    [anon_sym__Noreturn] = ACTIONS(2717),
    [anon_sym_noreturn] = ACTIONS(2717),
    [anon_sym_mutable] = ACTIONS(2717),
    [anon_sym_constinit] = ACTIONS(2717),
    [anon_sym_consteval] = ACTIONS(2717),
    [sym_primitive_type] = ACTIONS(2717),
    [anon_sym_enum] = ACTIONS(2717),
    [anon_sym_class] = ACTIONS(2717),
    [anon_sym_struct] = ACTIONS(2717),
    [anon_sym_union] = ACTIONS(2717),
    [anon_sym_if] = ACTIONS(2717),
    [anon_sym_switch] = ACTIONS(2717),
    [anon_sym_case] = ACTIONS(2717),
    [anon_sym_default] = ACTIONS(2717),
    [anon_sym_while] = ACTIONS(2717),
    [anon_sym_do] = ACTIONS(2717),
    [anon_sym_for] = ACTIONS(2717),
    [anon_sym_return] = ACTIONS(2717),
    [anon_sym_break] = ACTIONS(2717),
    [anon_sym_continue] = ACTIONS(2717),
    [anon_sym_goto] = ACTIONS(2717),
    [anon_sym___try] = ACTIONS(2717),
    [anon_sym___leave] = ACTIONS(2717),
    [anon_sym_not] = ACTIONS(2717),
    [anon_sym_compl] = ACTIONS(2717),
    [anon_sym_DASH_DASH] = ACTIONS(2719),
    [anon_sym_PLUS_PLUS] = ACTIONS(2719),
    [anon_sym_sizeof] = ACTIONS(2717),
    [anon_sym___alignof__] = ACTIONS(2717),
    [anon_sym___alignof] = ACTIONS(2717),
    [anon_sym__alignof] = ACTIONS(2717),
    [anon_sym_alignof] = ACTIONS(2717),
    [anon_sym__Alignof] = ACTIONS(2717),
    [anon_sym_offsetof] = ACTIONS(2717),
    [anon_sym__Generic] = ACTIONS(2717),
    [anon_sym_asm] = ACTIONS(2717),
    [anon_sym___asm__] = ACTIONS(2717),
    [sym_number_literal] = ACTIONS(2719),
    [anon_sym_L_SQUOTE] = ACTIONS(2719),
    [anon_sym_u_SQUOTE] = ACTIONS(2719),
    [anon_sym_U_SQUOTE] = ACTIONS(2719),
    [anon_sym_u8_SQUOTE] = ACTIONS(2719),
    [anon_sym_SQUOTE] = ACTIONS(2719),
    [anon_sym_L_DQUOTE] = ACTIONS(2719),
    [anon_sym_u_DQUOTE] = ACTIONS(2719),
    [anon_sym_U_DQUOTE] = ACTIONS(2719),
    [anon_sym_u8_DQUOTE] = ACTIONS(2719),
    [anon_sym_DQUOTE] = ACTIONS(2719),
    [sym_true] = ACTIONS(2717),
    [sym_false] = ACTIONS(2717),
    [anon_sym_NULL] = ACTIONS(2717),
    [anon_sym_nullptr] = ACTIONS(2717),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2717),
    [anon_sym_decltype] = ACTIONS(2717),
    [anon_sym_virtual] = ACTIONS(2717),
    [anon_sym_alignas] = ACTIONS(2717),
    [anon_sym_explicit] = ACTIONS(2717),
    [anon_sym_typename] = ACTIONS(2717),
    [anon_sym_template] = ACTIONS(2717),
    [anon_sym_operator] = ACTIONS(2717),
    [anon_sym_try] = ACTIONS(2717),
    [anon_sym_delete] = ACTIONS(2717),
    [anon_sym_throw] = ACTIONS(2717),
    [anon_sym_namespace] = ACTIONS(2717),
    [anon_sym_using] = ACTIONS(2717),
    [anon_sym_static_assert] = ACTIONS(2717),
    [anon_sym_concept] = ACTIONS(2717),
    [anon_sym_co_return] = ACTIONS(2717),
    [anon_sym_co_yield] = ACTIONS(2717),
    [anon_sym_R_DQUOTE] = ACTIONS(2719),
    [anon_sym_LR_DQUOTE] = ACTIONS(2719),
    [anon_sym_uR_DQUOTE] = ACTIONS(2719),
    [anon_sym_UR_DQUOTE] = ACTIONS(2719),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2719),
    [anon_sym_co_await] = ACTIONS(2717),
    [anon_sym_new] = ACTIONS(2717),
    [anon_sym_requires] = ACTIONS(2717),
    [sym_this] = ACTIONS(2717),
    [anon_sym_discard] = ACTIONS(2717),
    [anon_sym_precise] = ACTIONS(2717),
    [anon_sym_shared] = ACTIONS(2717),
    [anon_sym_groupshared] = ACTIONS(2717),
    [anon_sym_uniform] = ACTIONS(2717),
    [anon_sym_row_major] = ACTIONS(2717),
    [anon_sym_column_major] = ACTIONS(2717),
    [anon_sym_globallycoherent] = ACTIONS(2717),
    [anon_sym_centroid] = ACTIONS(2717),
    [anon_sym_noperspective] = ACTIONS(2717),
    [anon_sym_nointerpolation] = ACTIONS(2717),
    [anon_sym_sample] = ACTIONS(2717),
    [anon_sym_linear] = ACTIONS(2717),
    [anon_sym_snorm] = ACTIONS(2717),
    [anon_sym_unorm] = ACTIONS(2717),
    [anon_sym_point] = ACTIONS(2717),
    [anon_sym_line] = ACTIONS(2717),
    [anon_sym_triangleadj] = ACTIONS(2717),
    [anon_sym_lineadj] = ACTIONS(2717),
    [anon_sym_triangle] = ACTIONS(2717),
    [anon_sym_cbuffer] = ACTIONS(2717),
  },
  [1057] = {
    [sym_identifier] = ACTIONS(2698),
    [aux_sym_preproc_include_token1] = ACTIONS(2698),
    [aux_sym_preproc_def_token1] = ACTIONS(2698),
    [aux_sym_preproc_if_token1] = ACTIONS(2698),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2698),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2698),
    [sym_preproc_directive] = ACTIONS(2698),
    [anon_sym_LPAREN2] = ACTIONS(2700),
    [anon_sym_BANG] = ACTIONS(2700),
    [anon_sym_TILDE] = ACTIONS(2700),
    [anon_sym_DASH] = ACTIONS(2698),
    [anon_sym_PLUS] = ACTIONS(2698),
    [anon_sym_STAR] = ACTIONS(2700),
    [anon_sym_AMP_AMP] = ACTIONS(2700),
    [anon_sym_AMP] = ACTIONS(2698),
    [anon_sym_SEMI] = ACTIONS(2700),
    [anon_sym___extension__] = ACTIONS(2698),
    [anon_sym_typedef] = ACTIONS(2698),
    [anon_sym_in] = ACTIONS(2698),
    [anon_sym_out] = ACTIONS(2698),
    [anon_sym_inout] = ACTIONS(2698),
    [anon_sym_extern] = ACTIONS(2698),
    [anon_sym___attribute__] = ACTIONS(2698),
    [anon_sym_COLON_COLON] = ACTIONS(2700),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2700),
    [anon_sym___declspec] = ACTIONS(2698),
    [anon_sym___based] = ACTIONS(2698),
    [anon_sym___cdecl] = ACTIONS(2698),
    [anon_sym___clrcall] = ACTIONS(2698),
    [anon_sym___stdcall] = ACTIONS(2698),
    [anon_sym___fastcall] = ACTIONS(2698),
    [anon_sym___thiscall] = ACTIONS(2698),
    [anon_sym___vectorcall] = ACTIONS(2698),
    [anon_sym_LBRACE] = ACTIONS(2700),
    [anon_sym_RBRACE] = ACTIONS(2700),
    [anon_sym_signed] = ACTIONS(2698),
    [anon_sym_unsigned] = ACTIONS(2698),
    [anon_sym_long] = ACTIONS(2698),
    [anon_sym_short] = ACTIONS(2698),
    [anon_sym_LBRACK] = ACTIONS(2698),
    [anon_sym_static] = ACTIONS(2698),
    [anon_sym_register] = ACTIONS(2698),
    [anon_sym_inline] = ACTIONS(2698),
    [anon_sym___inline] = ACTIONS(2698),
    [anon_sym___inline__] = ACTIONS(2698),
    [anon_sym___forceinline] = ACTIONS(2698),
    [anon_sym_thread_local] = ACTIONS(2698),
    [anon_sym___thread] = ACTIONS(2698),
    [anon_sym_const] = ACTIONS(2698),
    [anon_sym_constexpr] = ACTIONS(2698),
    [anon_sym_volatile] = ACTIONS(2698),
    [anon_sym_restrict] = ACTIONS(2698),
    [anon_sym___restrict__] = ACTIONS(2698),
    [anon_sym__Atomic] = ACTIONS(2698),
    [anon_sym__Noreturn] = ACTIONS(2698),
    [anon_sym_noreturn] = ACTIONS(2698),
    [anon_sym_mutable] = ACTIONS(2698),
    [anon_sym_constinit] = ACTIONS(2698),
    [anon_sym_consteval] = ACTIONS(2698),
    [sym_primitive_type] = ACTIONS(2698),
    [anon_sym_enum] = ACTIONS(2698),
    [anon_sym_class] = ACTIONS(2698),
    [anon_sym_struct] = ACTIONS(2698),
    [anon_sym_union] = ACTIONS(2698),
    [anon_sym_if] = ACTIONS(2698),
    [anon_sym_switch] = ACTIONS(2698),
    [anon_sym_case] = ACTIONS(2698),
    [anon_sym_default] = ACTIONS(2698),
    [anon_sym_while] = ACTIONS(2698),
    [anon_sym_do] = ACTIONS(2698),
    [anon_sym_for] = ACTIONS(2698),
    [anon_sym_return] = ACTIONS(2698),
    [anon_sym_break] = ACTIONS(2698),
    [anon_sym_continue] = ACTIONS(2698),
    [anon_sym_goto] = ACTIONS(2698),
    [anon_sym___try] = ACTIONS(2698),
    [anon_sym___leave] = ACTIONS(2698),
    [anon_sym_not] = ACTIONS(2698),
    [anon_sym_compl] = ACTIONS(2698),
    [anon_sym_DASH_DASH] = ACTIONS(2700),
    [anon_sym_PLUS_PLUS] = ACTIONS(2700),
    [anon_sym_sizeof] = ACTIONS(2698),
    [anon_sym___alignof__] = ACTIONS(2698),
    [anon_sym___alignof] = ACTIONS(2698),
    [anon_sym__alignof] = ACTIONS(2698),
    [anon_sym_alignof] = ACTIONS(2698),
    [anon_sym__Alignof] = ACTIONS(2698),
    [anon_sym_offsetof] = ACTIONS(2698),
    [anon_sym__Generic] = ACTIONS(2698),
    [anon_sym_asm] = ACTIONS(2698),
    [anon_sym___asm__] = ACTIONS(2698),
    [sym_number_literal] = ACTIONS(2700),
    [anon_sym_L_SQUOTE] = ACTIONS(2700),
    [anon_sym_u_SQUOTE] = ACTIONS(2700),
    [anon_sym_U_SQUOTE] = ACTIONS(2700),
    [anon_sym_u8_SQUOTE] = ACTIONS(2700),
    [anon_sym_SQUOTE] = ACTIONS(2700),
    [anon_sym_L_DQUOTE] = ACTIONS(2700),
    [anon_sym_u_DQUOTE] = ACTIONS(2700),
    [anon_sym_U_DQUOTE] = ACTIONS(2700),
    [anon_sym_u8_DQUOTE] = ACTIONS(2700),
    [anon_sym_DQUOTE] = ACTIONS(2700),
    [sym_true] = ACTIONS(2698),
    [sym_false] = ACTIONS(2698),
    [anon_sym_NULL] = ACTIONS(2698),
    [anon_sym_nullptr] = ACTIONS(2698),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2698),
    [anon_sym_decltype] = ACTIONS(2698),
    [anon_sym_virtual] = ACTIONS(2698),
    [anon_sym_alignas] = ACTIONS(2698),
    [anon_sym_explicit] = ACTIONS(2698),
    [anon_sym_typename] = ACTIONS(2698),
    [anon_sym_template] = ACTIONS(2698),
    [anon_sym_operator] = ACTIONS(2698),
    [anon_sym_try] = ACTIONS(2698),
    [anon_sym_delete] = ACTIONS(2698),
    [anon_sym_throw] = ACTIONS(2698),
    [anon_sym_namespace] = ACTIONS(2698),
    [anon_sym_using] = ACTIONS(2698),
    [anon_sym_static_assert] = ACTIONS(2698),
    [anon_sym_concept] = ACTIONS(2698),
    [anon_sym_co_return] = ACTIONS(2698),
    [anon_sym_co_yield] = ACTIONS(2698),
    [anon_sym_R_DQUOTE] = ACTIONS(2700),
    [anon_sym_LR_DQUOTE] = ACTIONS(2700),
    [anon_sym_uR_DQUOTE] = ACTIONS(2700),
    [anon_sym_UR_DQUOTE] = ACTIONS(2700),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2700),
    [anon_sym_co_await] = ACTIONS(2698),
    [anon_sym_new] = ACTIONS(2698),
    [anon_sym_requires] = ACTIONS(2698),
    [sym_this] = ACTIONS(2698),
    [anon_sym_discard] = ACTIONS(2698),
    [anon_sym_precise] = ACTIONS(2698),
    [anon_sym_shared] = ACTIONS(2698),
    [anon_sym_groupshared] = ACTIONS(2698),
    [anon_sym_uniform] = ACTIONS(2698),
    [anon_sym_row_major] = ACTIONS(2698),
    [anon_sym_column_major] = ACTIONS(2698),
    [anon_sym_globallycoherent] = ACTIONS(2698),
    [anon_sym_centroid] = ACTIONS(2698),
    [anon_sym_noperspective] = ACTIONS(2698),
    [anon_sym_nointerpolation] = ACTIONS(2698),
    [anon_sym_sample] = ACTIONS(2698),
    [anon_sym_linear] = ACTIONS(2698),
    [anon_sym_snorm] = ACTIONS(2698),
    [anon_sym_unorm] = ACTIONS(2698),
    [anon_sym_point] = ACTIONS(2698),
    [anon_sym_line] = ACTIONS(2698),
    [anon_sym_triangleadj] = ACTIONS(2698),
    [anon_sym_lineadj] = ACTIONS(2698),
    [anon_sym_triangle] = ACTIONS(2698),
    [anon_sym_cbuffer] = ACTIONS(2698),
  },
  [1058] = {
    [sym_identifier] = ACTIONS(2733),
    [aux_sym_preproc_include_token1] = ACTIONS(2733),
    [aux_sym_preproc_def_token1] = ACTIONS(2733),
    [aux_sym_preproc_if_token1] = ACTIONS(2733),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2733),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2733),
    [sym_preproc_directive] = ACTIONS(2733),
    [anon_sym_LPAREN2] = ACTIONS(2735),
    [anon_sym_BANG] = ACTIONS(2735),
    [anon_sym_TILDE] = ACTIONS(2735),
    [anon_sym_DASH] = ACTIONS(2733),
    [anon_sym_PLUS] = ACTIONS(2733),
    [anon_sym_STAR] = ACTIONS(2735),
    [anon_sym_AMP_AMP] = ACTIONS(2735),
    [anon_sym_AMP] = ACTIONS(2733),
    [anon_sym_SEMI] = ACTIONS(2735),
    [anon_sym___extension__] = ACTIONS(2733),
    [anon_sym_typedef] = ACTIONS(2733),
    [anon_sym_in] = ACTIONS(2733),
    [anon_sym_out] = ACTIONS(2733),
    [anon_sym_inout] = ACTIONS(2733),
    [anon_sym_extern] = ACTIONS(2733),
    [anon_sym___attribute__] = ACTIONS(2733),
    [anon_sym_COLON_COLON] = ACTIONS(2735),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2735),
    [anon_sym___declspec] = ACTIONS(2733),
    [anon_sym___based] = ACTIONS(2733),
    [anon_sym___cdecl] = ACTIONS(2733),
    [anon_sym___clrcall] = ACTIONS(2733),
    [anon_sym___stdcall] = ACTIONS(2733),
    [anon_sym___fastcall] = ACTIONS(2733),
    [anon_sym___thiscall] = ACTIONS(2733),
    [anon_sym___vectorcall] = ACTIONS(2733),
    [anon_sym_LBRACE] = ACTIONS(2735),
    [anon_sym_RBRACE] = ACTIONS(2735),
    [anon_sym_signed] = ACTIONS(2733),
    [anon_sym_unsigned] = ACTIONS(2733),
    [anon_sym_long] = ACTIONS(2733),
    [anon_sym_short] = ACTIONS(2733),
    [anon_sym_LBRACK] = ACTIONS(2733),
    [anon_sym_static] = ACTIONS(2733),
    [anon_sym_register] = ACTIONS(2733),
    [anon_sym_inline] = ACTIONS(2733),
    [anon_sym___inline] = ACTIONS(2733),
    [anon_sym___inline__] = ACTIONS(2733),
    [anon_sym___forceinline] = ACTIONS(2733),
    [anon_sym_thread_local] = ACTIONS(2733),
    [anon_sym___thread] = ACTIONS(2733),
    [anon_sym_const] = ACTIONS(2733),
    [anon_sym_constexpr] = ACTIONS(2733),
    [anon_sym_volatile] = ACTIONS(2733),
    [anon_sym_restrict] = ACTIONS(2733),
    [anon_sym___restrict__] = ACTIONS(2733),
    [anon_sym__Atomic] = ACTIONS(2733),
    [anon_sym__Noreturn] = ACTIONS(2733),
    [anon_sym_noreturn] = ACTIONS(2733),
    [anon_sym_mutable] = ACTIONS(2733),
    [anon_sym_constinit] = ACTIONS(2733),
    [anon_sym_consteval] = ACTIONS(2733),
    [sym_primitive_type] = ACTIONS(2733),
    [anon_sym_enum] = ACTIONS(2733),
    [anon_sym_class] = ACTIONS(2733),
    [anon_sym_struct] = ACTIONS(2733),
    [anon_sym_union] = ACTIONS(2733),
    [anon_sym_if] = ACTIONS(2733),
    [anon_sym_switch] = ACTIONS(2733),
    [anon_sym_case] = ACTIONS(2733),
    [anon_sym_default] = ACTIONS(2733),
    [anon_sym_while] = ACTIONS(2733),
    [anon_sym_do] = ACTIONS(2733),
    [anon_sym_for] = ACTIONS(2733),
    [anon_sym_return] = ACTIONS(2733),
    [anon_sym_break] = ACTIONS(2733),
    [anon_sym_continue] = ACTIONS(2733),
    [anon_sym_goto] = ACTIONS(2733),
    [anon_sym___try] = ACTIONS(2733),
    [anon_sym___leave] = ACTIONS(2733),
    [anon_sym_not] = ACTIONS(2733),
    [anon_sym_compl] = ACTIONS(2733),
    [anon_sym_DASH_DASH] = ACTIONS(2735),
    [anon_sym_PLUS_PLUS] = ACTIONS(2735),
    [anon_sym_sizeof] = ACTIONS(2733),
    [anon_sym___alignof__] = ACTIONS(2733),
    [anon_sym___alignof] = ACTIONS(2733),
    [anon_sym__alignof] = ACTIONS(2733),
    [anon_sym_alignof] = ACTIONS(2733),
    [anon_sym__Alignof] = ACTIONS(2733),
    [anon_sym_offsetof] = ACTIONS(2733),
    [anon_sym__Generic] = ACTIONS(2733),
    [anon_sym_asm] = ACTIONS(2733),
    [anon_sym___asm__] = ACTIONS(2733),
    [sym_number_literal] = ACTIONS(2735),
    [anon_sym_L_SQUOTE] = ACTIONS(2735),
    [anon_sym_u_SQUOTE] = ACTIONS(2735),
    [anon_sym_U_SQUOTE] = ACTIONS(2735),
    [anon_sym_u8_SQUOTE] = ACTIONS(2735),
    [anon_sym_SQUOTE] = ACTIONS(2735),
    [anon_sym_L_DQUOTE] = ACTIONS(2735),
    [anon_sym_u_DQUOTE] = ACTIONS(2735),
    [anon_sym_U_DQUOTE] = ACTIONS(2735),
    [anon_sym_u8_DQUOTE] = ACTIONS(2735),
    [anon_sym_DQUOTE] = ACTIONS(2735),
    [sym_true] = ACTIONS(2733),
    [sym_false] = ACTIONS(2733),
    [anon_sym_NULL] = ACTIONS(2733),
    [anon_sym_nullptr] = ACTIONS(2733),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2733),
    [anon_sym_decltype] = ACTIONS(2733),
    [anon_sym_virtual] = ACTIONS(2733),
    [anon_sym_alignas] = ACTIONS(2733),
    [anon_sym_explicit] = ACTIONS(2733),
    [anon_sym_typename] = ACTIONS(2733),
    [anon_sym_template] = ACTIONS(2733),
    [anon_sym_operator] = ACTIONS(2733),
    [anon_sym_try] = ACTIONS(2733),
    [anon_sym_delete] = ACTIONS(2733),
    [anon_sym_throw] = ACTIONS(2733),
    [anon_sym_namespace] = ACTIONS(2733),
    [anon_sym_using] = ACTIONS(2733),
    [anon_sym_static_assert] = ACTIONS(2733),
    [anon_sym_concept] = ACTIONS(2733),
    [anon_sym_co_return] = ACTIONS(2733),
    [anon_sym_co_yield] = ACTIONS(2733),
    [anon_sym_R_DQUOTE] = ACTIONS(2735),
    [anon_sym_LR_DQUOTE] = ACTIONS(2735),
    [anon_sym_uR_DQUOTE] = ACTIONS(2735),
    [anon_sym_UR_DQUOTE] = ACTIONS(2735),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2735),
    [anon_sym_co_await] = ACTIONS(2733),
    [anon_sym_new] = ACTIONS(2733),
    [anon_sym_requires] = ACTIONS(2733),
    [sym_this] = ACTIONS(2733),
    [anon_sym_discard] = ACTIONS(2733),
    [anon_sym_precise] = ACTIONS(2733),
    [anon_sym_shared] = ACTIONS(2733),
    [anon_sym_groupshared] = ACTIONS(2733),
    [anon_sym_uniform] = ACTIONS(2733),
    [anon_sym_row_major] = ACTIONS(2733),
    [anon_sym_column_major] = ACTIONS(2733),
    [anon_sym_globallycoherent] = ACTIONS(2733),
    [anon_sym_centroid] = ACTIONS(2733),
    [anon_sym_noperspective] = ACTIONS(2733),
    [anon_sym_nointerpolation] = ACTIONS(2733),
    [anon_sym_sample] = ACTIONS(2733),
    [anon_sym_linear] = ACTIONS(2733),
    [anon_sym_snorm] = ACTIONS(2733),
    [anon_sym_unorm] = ACTIONS(2733),
    [anon_sym_point] = ACTIONS(2733),
    [anon_sym_line] = ACTIONS(2733),
    [anon_sym_triangleadj] = ACTIONS(2733),
    [anon_sym_lineadj] = ACTIONS(2733),
    [anon_sym_triangle] = ACTIONS(2733),
    [anon_sym_cbuffer] = ACTIONS(2733),
  },
  [1059] = {
    [sym_identifier] = ACTIONS(2765),
    [aux_sym_preproc_include_token1] = ACTIONS(2765),
    [aux_sym_preproc_def_token1] = ACTIONS(2765),
    [aux_sym_preproc_if_token1] = ACTIONS(2765),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2765),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2765),
    [sym_preproc_directive] = ACTIONS(2765),
    [anon_sym_LPAREN2] = ACTIONS(2767),
    [anon_sym_BANG] = ACTIONS(2767),
    [anon_sym_TILDE] = ACTIONS(2767),
    [anon_sym_DASH] = ACTIONS(2765),
    [anon_sym_PLUS] = ACTIONS(2765),
    [anon_sym_STAR] = ACTIONS(2767),
    [anon_sym_AMP_AMP] = ACTIONS(2767),
    [anon_sym_AMP] = ACTIONS(2765),
    [anon_sym_SEMI] = ACTIONS(2767),
    [anon_sym___extension__] = ACTIONS(2765),
    [anon_sym_typedef] = ACTIONS(2765),
    [anon_sym_in] = ACTIONS(2765),
    [anon_sym_out] = ACTIONS(2765),
    [anon_sym_inout] = ACTIONS(2765),
    [anon_sym_extern] = ACTIONS(2765),
    [anon_sym___attribute__] = ACTIONS(2765),
    [anon_sym_COLON_COLON] = ACTIONS(2767),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2767),
    [anon_sym___declspec] = ACTIONS(2765),
    [anon_sym___based] = ACTIONS(2765),
    [anon_sym___cdecl] = ACTIONS(2765),
    [anon_sym___clrcall] = ACTIONS(2765),
    [anon_sym___stdcall] = ACTIONS(2765),
    [anon_sym___fastcall] = ACTIONS(2765),
    [anon_sym___thiscall] = ACTIONS(2765),
    [anon_sym___vectorcall] = ACTIONS(2765),
    [anon_sym_LBRACE] = ACTIONS(2767),
    [anon_sym_RBRACE] = ACTIONS(2767),
    [anon_sym_signed] = ACTIONS(2765),
    [anon_sym_unsigned] = ACTIONS(2765),
    [anon_sym_long] = ACTIONS(2765),
    [anon_sym_short] = ACTIONS(2765),
    [anon_sym_LBRACK] = ACTIONS(2765),
    [anon_sym_static] = ACTIONS(2765),
    [anon_sym_register] = ACTIONS(2765),
    [anon_sym_inline] = ACTIONS(2765),
    [anon_sym___inline] = ACTIONS(2765),
    [anon_sym___inline__] = ACTIONS(2765),
    [anon_sym___forceinline] = ACTIONS(2765),
    [anon_sym_thread_local] = ACTIONS(2765),
    [anon_sym___thread] = ACTIONS(2765),
    [anon_sym_const] = ACTIONS(2765),
    [anon_sym_constexpr] = ACTIONS(2765),
    [anon_sym_volatile] = ACTIONS(2765),
    [anon_sym_restrict] = ACTIONS(2765),
    [anon_sym___restrict__] = ACTIONS(2765),
    [anon_sym__Atomic] = ACTIONS(2765),
    [anon_sym__Noreturn] = ACTIONS(2765),
    [anon_sym_noreturn] = ACTIONS(2765),
    [anon_sym_mutable] = ACTIONS(2765),
    [anon_sym_constinit] = ACTIONS(2765),
    [anon_sym_consteval] = ACTIONS(2765),
    [sym_primitive_type] = ACTIONS(2765),
    [anon_sym_enum] = ACTIONS(2765),
    [anon_sym_class] = ACTIONS(2765),
    [anon_sym_struct] = ACTIONS(2765),
    [anon_sym_union] = ACTIONS(2765),
    [anon_sym_if] = ACTIONS(2765),
    [anon_sym_switch] = ACTIONS(2765),
    [anon_sym_case] = ACTIONS(2765),
    [anon_sym_default] = ACTIONS(2765),
    [anon_sym_while] = ACTIONS(2765),
    [anon_sym_do] = ACTIONS(2765),
    [anon_sym_for] = ACTIONS(2765),
    [anon_sym_return] = ACTIONS(2765),
    [anon_sym_break] = ACTIONS(2765),
    [anon_sym_continue] = ACTIONS(2765),
    [anon_sym_goto] = ACTIONS(2765),
    [anon_sym___try] = ACTIONS(2765),
    [anon_sym___leave] = ACTIONS(2765),
    [anon_sym_not] = ACTIONS(2765),
    [anon_sym_compl] = ACTIONS(2765),
    [anon_sym_DASH_DASH] = ACTIONS(2767),
    [anon_sym_PLUS_PLUS] = ACTIONS(2767),
    [anon_sym_sizeof] = ACTIONS(2765),
    [anon_sym___alignof__] = ACTIONS(2765),
    [anon_sym___alignof] = ACTIONS(2765),
    [anon_sym__alignof] = ACTIONS(2765),
    [anon_sym_alignof] = ACTIONS(2765),
    [anon_sym__Alignof] = ACTIONS(2765),
    [anon_sym_offsetof] = ACTIONS(2765),
    [anon_sym__Generic] = ACTIONS(2765),
    [anon_sym_asm] = ACTIONS(2765),
    [anon_sym___asm__] = ACTIONS(2765),
    [sym_number_literal] = ACTIONS(2767),
    [anon_sym_L_SQUOTE] = ACTIONS(2767),
    [anon_sym_u_SQUOTE] = ACTIONS(2767),
    [anon_sym_U_SQUOTE] = ACTIONS(2767),
    [anon_sym_u8_SQUOTE] = ACTIONS(2767),
    [anon_sym_SQUOTE] = ACTIONS(2767),
    [anon_sym_L_DQUOTE] = ACTIONS(2767),
    [anon_sym_u_DQUOTE] = ACTIONS(2767),
    [anon_sym_U_DQUOTE] = ACTIONS(2767),
    [anon_sym_u8_DQUOTE] = ACTIONS(2767),
    [anon_sym_DQUOTE] = ACTIONS(2767),
    [sym_true] = ACTIONS(2765),
    [sym_false] = ACTIONS(2765),
    [anon_sym_NULL] = ACTIONS(2765),
    [anon_sym_nullptr] = ACTIONS(2765),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2765),
    [anon_sym_decltype] = ACTIONS(2765),
    [anon_sym_virtual] = ACTIONS(2765),
    [anon_sym_alignas] = ACTIONS(2765),
    [anon_sym_explicit] = ACTIONS(2765),
    [anon_sym_typename] = ACTIONS(2765),
    [anon_sym_template] = ACTIONS(2765),
    [anon_sym_operator] = ACTIONS(2765),
    [anon_sym_try] = ACTIONS(2765),
    [anon_sym_delete] = ACTIONS(2765),
    [anon_sym_throw] = ACTIONS(2765),
    [anon_sym_namespace] = ACTIONS(2765),
    [anon_sym_using] = ACTIONS(2765),
    [anon_sym_static_assert] = ACTIONS(2765),
    [anon_sym_concept] = ACTIONS(2765),
    [anon_sym_co_return] = ACTIONS(2765),
    [anon_sym_co_yield] = ACTIONS(2765),
    [anon_sym_R_DQUOTE] = ACTIONS(2767),
    [anon_sym_LR_DQUOTE] = ACTIONS(2767),
    [anon_sym_uR_DQUOTE] = ACTIONS(2767),
    [anon_sym_UR_DQUOTE] = ACTIONS(2767),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2767),
    [anon_sym_co_await] = ACTIONS(2765),
    [anon_sym_new] = ACTIONS(2765),
    [anon_sym_requires] = ACTIONS(2765),
    [sym_this] = ACTIONS(2765),
    [anon_sym_discard] = ACTIONS(2765),
    [anon_sym_precise] = ACTIONS(2765),
    [anon_sym_shared] = ACTIONS(2765),
    [anon_sym_groupshared] = ACTIONS(2765),
    [anon_sym_uniform] = ACTIONS(2765),
    [anon_sym_row_major] = ACTIONS(2765),
    [anon_sym_column_major] = ACTIONS(2765),
    [anon_sym_globallycoherent] = ACTIONS(2765),
    [anon_sym_centroid] = ACTIONS(2765),
    [anon_sym_noperspective] = ACTIONS(2765),
    [anon_sym_nointerpolation] = ACTIONS(2765),
    [anon_sym_sample] = ACTIONS(2765),
    [anon_sym_linear] = ACTIONS(2765),
    [anon_sym_snorm] = ACTIONS(2765),
    [anon_sym_unorm] = ACTIONS(2765),
    [anon_sym_point] = ACTIONS(2765),
    [anon_sym_line] = ACTIONS(2765),
    [anon_sym_triangleadj] = ACTIONS(2765),
    [anon_sym_lineadj] = ACTIONS(2765),
    [anon_sym_triangle] = ACTIONS(2765),
    [anon_sym_cbuffer] = ACTIONS(2765),
  },
  [1060] = {
    [sym_identifier] = ACTIONS(2769),
    [aux_sym_preproc_include_token1] = ACTIONS(2769),
    [aux_sym_preproc_def_token1] = ACTIONS(2769),
    [aux_sym_preproc_if_token1] = ACTIONS(2769),
    [aux_sym_preproc_if_token2] = ACTIONS(2769),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2769),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2769),
    [sym_preproc_directive] = ACTIONS(2769),
    [anon_sym_LPAREN2] = ACTIONS(2771),
    [anon_sym_BANG] = ACTIONS(2771),
    [anon_sym_TILDE] = ACTIONS(2771),
    [anon_sym_DASH] = ACTIONS(2769),
    [anon_sym_PLUS] = ACTIONS(2769),
    [anon_sym_STAR] = ACTIONS(2771),
    [anon_sym_AMP_AMP] = ACTIONS(2771),
    [anon_sym_AMP] = ACTIONS(2769),
    [anon_sym_SEMI] = ACTIONS(2771),
    [anon_sym___extension__] = ACTIONS(2769),
    [anon_sym_typedef] = ACTIONS(2769),
    [anon_sym_in] = ACTIONS(2769),
    [anon_sym_out] = ACTIONS(2769),
    [anon_sym_inout] = ACTIONS(2769),
    [anon_sym_extern] = ACTIONS(2769),
    [anon_sym___attribute__] = ACTIONS(2769),
    [anon_sym_COLON_COLON] = ACTIONS(2771),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2771),
    [anon_sym___declspec] = ACTIONS(2769),
    [anon_sym___based] = ACTIONS(2769),
    [anon_sym___cdecl] = ACTIONS(2769),
    [anon_sym___clrcall] = ACTIONS(2769),
    [anon_sym___stdcall] = ACTIONS(2769),
    [anon_sym___fastcall] = ACTIONS(2769),
    [anon_sym___thiscall] = ACTIONS(2769),
    [anon_sym___vectorcall] = ACTIONS(2769),
    [anon_sym_LBRACE] = ACTIONS(2771),
    [anon_sym_signed] = ACTIONS(2769),
    [anon_sym_unsigned] = ACTIONS(2769),
    [anon_sym_long] = ACTIONS(2769),
    [anon_sym_short] = ACTIONS(2769),
    [anon_sym_LBRACK] = ACTIONS(2769),
    [anon_sym_static] = ACTIONS(2769),
    [anon_sym_register] = ACTIONS(2769),
    [anon_sym_inline] = ACTIONS(2769),
    [anon_sym___inline] = ACTIONS(2769),
    [anon_sym___inline__] = ACTIONS(2769),
    [anon_sym___forceinline] = ACTIONS(2769),
    [anon_sym_thread_local] = ACTIONS(2769),
    [anon_sym___thread] = ACTIONS(2769),
    [anon_sym_const] = ACTIONS(2769),
    [anon_sym_constexpr] = ACTIONS(2769),
    [anon_sym_volatile] = ACTIONS(2769),
    [anon_sym_restrict] = ACTIONS(2769),
    [anon_sym___restrict__] = ACTIONS(2769),
    [anon_sym__Atomic] = ACTIONS(2769),
    [anon_sym__Noreturn] = ACTIONS(2769),
    [anon_sym_noreturn] = ACTIONS(2769),
    [anon_sym_mutable] = ACTIONS(2769),
    [anon_sym_constinit] = ACTIONS(2769),
    [anon_sym_consteval] = ACTIONS(2769),
    [sym_primitive_type] = ACTIONS(2769),
    [anon_sym_enum] = ACTIONS(2769),
    [anon_sym_class] = ACTIONS(2769),
    [anon_sym_struct] = ACTIONS(2769),
    [anon_sym_union] = ACTIONS(2769),
    [anon_sym_if] = ACTIONS(2769),
    [anon_sym_switch] = ACTIONS(2769),
    [anon_sym_case] = ACTIONS(2769),
    [anon_sym_default] = ACTIONS(2769),
    [anon_sym_while] = ACTIONS(2769),
    [anon_sym_do] = ACTIONS(2769),
    [anon_sym_for] = ACTIONS(2769),
    [anon_sym_return] = ACTIONS(2769),
    [anon_sym_break] = ACTIONS(2769),
    [anon_sym_continue] = ACTIONS(2769),
    [anon_sym_goto] = ACTIONS(2769),
    [anon_sym___try] = ACTIONS(2769),
    [anon_sym___leave] = ACTIONS(2769),
    [anon_sym_not] = ACTIONS(2769),
    [anon_sym_compl] = ACTIONS(2769),
    [anon_sym_DASH_DASH] = ACTIONS(2771),
    [anon_sym_PLUS_PLUS] = ACTIONS(2771),
    [anon_sym_sizeof] = ACTIONS(2769),
    [anon_sym___alignof__] = ACTIONS(2769),
    [anon_sym___alignof] = ACTIONS(2769),
    [anon_sym__alignof] = ACTIONS(2769),
    [anon_sym_alignof] = ACTIONS(2769),
    [anon_sym__Alignof] = ACTIONS(2769),
    [anon_sym_offsetof] = ACTIONS(2769),
    [anon_sym__Generic] = ACTIONS(2769),
    [anon_sym_asm] = ACTIONS(2769),
    [anon_sym___asm__] = ACTIONS(2769),
    [sym_number_literal] = ACTIONS(2771),
    [anon_sym_L_SQUOTE] = ACTIONS(2771),
    [anon_sym_u_SQUOTE] = ACTIONS(2771),
    [anon_sym_U_SQUOTE] = ACTIONS(2771),
    [anon_sym_u8_SQUOTE] = ACTIONS(2771),
    [anon_sym_SQUOTE] = ACTIONS(2771),
    [anon_sym_L_DQUOTE] = ACTIONS(2771),
    [anon_sym_u_DQUOTE] = ACTIONS(2771),
    [anon_sym_U_DQUOTE] = ACTIONS(2771),
    [anon_sym_u8_DQUOTE] = ACTIONS(2771),
    [anon_sym_DQUOTE] = ACTIONS(2771),
    [sym_true] = ACTIONS(2769),
    [sym_false] = ACTIONS(2769),
    [anon_sym_NULL] = ACTIONS(2769),
    [anon_sym_nullptr] = ACTIONS(2769),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2769),
    [anon_sym_decltype] = ACTIONS(2769),
    [anon_sym_virtual] = ACTIONS(2769),
    [anon_sym_alignas] = ACTIONS(2769),
    [anon_sym_explicit] = ACTIONS(2769),
    [anon_sym_typename] = ACTIONS(2769),
    [anon_sym_template] = ACTIONS(2769),
    [anon_sym_operator] = ACTIONS(2769),
    [anon_sym_try] = ACTIONS(2769),
    [anon_sym_delete] = ACTIONS(2769),
    [anon_sym_throw] = ACTIONS(2769),
    [anon_sym_namespace] = ACTIONS(2769),
    [anon_sym_using] = ACTIONS(2769),
    [anon_sym_static_assert] = ACTIONS(2769),
    [anon_sym_concept] = ACTIONS(2769),
    [anon_sym_co_return] = ACTIONS(2769),
    [anon_sym_co_yield] = ACTIONS(2769),
    [anon_sym_R_DQUOTE] = ACTIONS(2771),
    [anon_sym_LR_DQUOTE] = ACTIONS(2771),
    [anon_sym_uR_DQUOTE] = ACTIONS(2771),
    [anon_sym_UR_DQUOTE] = ACTIONS(2771),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2771),
    [anon_sym_co_await] = ACTIONS(2769),
    [anon_sym_new] = ACTIONS(2769),
    [anon_sym_requires] = ACTIONS(2769),
    [sym_this] = ACTIONS(2769),
    [anon_sym_discard] = ACTIONS(2769),
    [anon_sym_precise] = ACTIONS(2769),
    [anon_sym_shared] = ACTIONS(2769),
    [anon_sym_groupshared] = ACTIONS(2769),
    [anon_sym_uniform] = ACTIONS(2769),
    [anon_sym_row_major] = ACTIONS(2769),
    [anon_sym_column_major] = ACTIONS(2769),
    [anon_sym_globallycoherent] = ACTIONS(2769),
    [anon_sym_centroid] = ACTIONS(2769),
    [anon_sym_noperspective] = ACTIONS(2769),
    [anon_sym_nointerpolation] = ACTIONS(2769),
    [anon_sym_sample] = ACTIONS(2769),
    [anon_sym_linear] = ACTIONS(2769),
    [anon_sym_snorm] = ACTIONS(2769),
    [anon_sym_unorm] = ACTIONS(2769),
    [anon_sym_point] = ACTIONS(2769),
    [anon_sym_line] = ACTIONS(2769),
    [anon_sym_triangleadj] = ACTIONS(2769),
    [anon_sym_lineadj] = ACTIONS(2769),
    [anon_sym_triangle] = ACTIONS(2769),
    [anon_sym_cbuffer] = ACTIONS(2769),
  },
  [1061] = {
    [sym_identifier] = ACTIONS(2747),
    [aux_sym_preproc_include_token1] = ACTIONS(2747),
    [aux_sym_preproc_def_token1] = ACTIONS(2747),
    [aux_sym_preproc_if_token1] = ACTIONS(2747),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2747),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2747),
    [sym_preproc_directive] = ACTIONS(2747),
    [anon_sym_LPAREN2] = ACTIONS(2749),
    [anon_sym_BANG] = ACTIONS(2749),
    [anon_sym_TILDE] = ACTIONS(2749),
    [anon_sym_DASH] = ACTIONS(2747),
    [anon_sym_PLUS] = ACTIONS(2747),
    [anon_sym_STAR] = ACTIONS(2749),
    [anon_sym_AMP_AMP] = ACTIONS(2749),
    [anon_sym_AMP] = ACTIONS(2747),
    [anon_sym_SEMI] = ACTIONS(2749),
    [anon_sym___extension__] = ACTIONS(2747),
    [anon_sym_typedef] = ACTIONS(2747),
    [anon_sym_in] = ACTIONS(2747),
    [anon_sym_out] = ACTIONS(2747),
    [anon_sym_inout] = ACTIONS(2747),
    [anon_sym_extern] = ACTIONS(2747),
    [anon_sym___attribute__] = ACTIONS(2747),
    [anon_sym_COLON_COLON] = ACTIONS(2749),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2749),
    [anon_sym___declspec] = ACTIONS(2747),
    [anon_sym___based] = ACTIONS(2747),
    [anon_sym___cdecl] = ACTIONS(2747),
    [anon_sym___clrcall] = ACTIONS(2747),
    [anon_sym___stdcall] = ACTIONS(2747),
    [anon_sym___fastcall] = ACTIONS(2747),
    [anon_sym___thiscall] = ACTIONS(2747),
    [anon_sym___vectorcall] = ACTIONS(2747),
    [anon_sym_LBRACE] = ACTIONS(2749),
    [anon_sym_RBRACE] = ACTIONS(2749),
    [anon_sym_signed] = ACTIONS(2747),
    [anon_sym_unsigned] = ACTIONS(2747),
    [anon_sym_long] = ACTIONS(2747),
    [anon_sym_short] = ACTIONS(2747),
    [anon_sym_LBRACK] = ACTIONS(2747),
    [anon_sym_static] = ACTIONS(2747),
    [anon_sym_register] = ACTIONS(2747),
    [anon_sym_inline] = ACTIONS(2747),
    [anon_sym___inline] = ACTIONS(2747),
    [anon_sym___inline__] = ACTIONS(2747),
    [anon_sym___forceinline] = ACTIONS(2747),
    [anon_sym_thread_local] = ACTIONS(2747),
    [anon_sym___thread] = ACTIONS(2747),
    [anon_sym_const] = ACTIONS(2747),
    [anon_sym_constexpr] = ACTIONS(2747),
    [anon_sym_volatile] = ACTIONS(2747),
    [anon_sym_restrict] = ACTIONS(2747),
    [anon_sym___restrict__] = ACTIONS(2747),
    [anon_sym__Atomic] = ACTIONS(2747),
    [anon_sym__Noreturn] = ACTIONS(2747),
    [anon_sym_noreturn] = ACTIONS(2747),
    [anon_sym_mutable] = ACTIONS(2747),
    [anon_sym_constinit] = ACTIONS(2747),
    [anon_sym_consteval] = ACTIONS(2747),
    [sym_primitive_type] = ACTIONS(2747),
    [anon_sym_enum] = ACTIONS(2747),
    [anon_sym_class] = ACTIONS(2747),
    [anon_sym_struct] = ACTIONS(2747),
    [anon_sym_union] = ACTIONS(2747),
    [anon_sym_if] = ACTIONS(2747),
    [anon_sym_switch] = ACTIONS(2747),
    [anon_sym_case] = ACTIONS(2747),
    [anon_sym_default] = ACTIONS(2747),
    [anon_sym_while] = ACTIONS(2747),
    [anon_sym_do] = ACTIONS(2747),
    [anon_sym_for] = ACTIONS(2747),
    [anon_sym_return] = ACTIONS(2747),
    [anon_sym_break] = ACTIONS(2747),
    [anon_sym_continue] = ACTIONS(2747),
    [anon_sym_goto] = ACTIONS(2747),
    [anon_sym___try] = ACTIONS(2747),
    [anon_sym___leave] = ACTIONS(2747),
    [anon_sym_not] = ACTIONS(2747),
    [anon_sym_compl] = ACTIONS(2747),
    [anon_sym_DASH_DASH] = ACTIONS(2749),
    [anon_sym_PLUS_PLUS] = ACTIONS(2749),
    [anon_sym_sizeof] = ACTIONS(2747),
    [anon_sym___alignof__] = ACTIONS(2747),
    [anon_sym___alignof] = ACTIONS(2747),
    [anon_sym__alignof] = ACTIONS(2747),
    [anon_sym_alignof] = ACTIONS(2747),
    [anon_sym__Alignof] = ACTIONS(2747),
    [anon_sym_offsetof] = ACTIONS(2747),
    [anon_sym__Generic] = ACTIONS(2747),
    [anon_sym_asm] = ACTIONS(2747),
    [anon_sym___asm__] = ACTIONS(2747),
    [sym_number_literal] = ACTIONS(2749),
    [anon_sym_L_SQUOTE] = ACTIONS(2749),
    [anon_sym_u_SQUOTE] = ACTIONS(2749),
    [anon_sym_U_SQUOTE] = ACTIONS(2749),
    [anon_sym_u8_SQUOTE] = ACTIONS(2749),
    [anon_sym_SQUOTE] = ACTIONS(2749),
    [anon_sym_L_DQUOTE] = ACTIONS(2749),
    [anon_sym_u_DQUOTE] = ACTIONS(2749),
    [anon_sym_U_DQUOTE] = ACTIONS(2749),
    [anon_sym_u8_DQUOTE] = ACTIONS(2749),
    [anon_sym_DQUOTE] = ACTIONS(2749),
    [sym_true] = ACTIONS(2747),
    [sym_false] = ACTIONS(2747),
    [anon_sym_NULL] = ACTIONS(2747),
    [anon_sym_nullptr] = ACTIONS(2747),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2747),
    [anon_sym_decltype] = ACTIONS(2747),
    [anon_sym_virtual] = ACTIONS(2747),
    [anon_sym_alignas] = ACTIONS(2747),
    [anon_sym_explicit] = ACTIONS(2747),
    [anon_sym_typename] = ACTIONS(2747),
    [anon_sym_template] = ACTIONS(2747),
    [anon_sym_operator] = ACTIONS(2747),
    [anon_sym_try] = ACTIONS(2747),
    [anon_sym_delete] = ACTIONS(2747),
    [anon_sym_throw] = ACTIONS(2747),
    [anon_sym_namespace] = ACTIONS(2747),
    [anon_sym_using] = ACTIONS(2747),
    [anon_sym_static_assert] = ACTIONS(2747),
    [anon_sym_concept] = ACTIONS(2747),
    [anon_sym_co_return] = ACTIONS(2747),
    [anon_sym_co_yield] = ACTIONS(2747),
    [anon_sym_R_DQUOTE] = ACTIONS(2749),
    [anon_sym_LR_DQUOTE] = ACTIONS(2749),
    [anon_sym_uR_DQUOTE] = ACTIONS(2749),
    [anon_sym_UR_DQUOTE] = ACTIONS(2749),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2749),
    [anon_sym_co_await] = ACTIONS(2747),
    [anon_sym_new] = ACTIONS(2747),
    [anon_sym_requires] = ACTIONS(2747),
    [sym_this] = ACTIONS(2747),
    [anon_sym_discard] = ACTIONS(2747),
    [anon_sym_precise] = ACTIONS(2747),
    [anon_sym_shared] = ACTIONS(2747),
    [anon_sym_groupshared] = ACTIONS(2747),
    [anon_sym_uniform] = ACTIONS(2747),
    [anon_sym_row_major] = ACTIONS(2747),
    [anon_sym_column_major] = ACTIONS(2747),
    [anon_sym_globallycoherent] = ACTIONS(2747),
    [anon_sym_centroid] = ACTIONS(2747),
    [anon_sym_noperspective] = ACTIONS(2747),
    [anon_sym_nointerpolation] = ACTIONS(2747),
    [anon_sym_sample] = ACTIONS(2747),
    [anon_sym_linear] = ACTIONS(2747),
    [anon_sym_snorm] = ACTIONS(2747),
    [anon_sym_unorm] = ACTIONS(2747),
    [anon_sym_point] = ACTIONS(2747),
    [anon_sym_line] = ACTIONS(2747),
    [anon_sym_triangleadj] = ACTIONS(2747),
    [anon_sym_lineadj] = ACTIONS(2747),
    [anon_sym_triangle] = ACTIONS(2747),
    [anon_sym_cbuffer] = ACTIONS(2747),
  },
  [1062] = {
    [sym_identifier] = ACTIONS(2765),
    [aux_sym_preproc_include_token1] = ACTIONS(2765),
    [aux_sym_preproc_def_token1] = ACTIONS(2765),
    [aux_sym_preproc_if_token1] = ACTIONS(2765),
    [aux_sym_preproc_if_token2] = ACTIONS(2765),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2765),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2765),
    [sym_preproc_directive] = ACTIONS(2765),
    [anon_sym_LPAREN2] = ACTIONS(2767),
    [anon_sym_BANG] = ACTIONS(2767),
    [anon_sym_TILDE] = ACTIONS(2767),
    [anon_sym_DASH] = ACTIONS(2765),
    [anon_sym_PLUS] = ACTIONS(2765),
    [anon_sym_STAR] = ACTIONS(2767),
    [anon_sym_AMP_AMP] = ACTIONS(2767),
    [anon_sym_AMP] = ACTIONS(2765),
    [anon_sym_SEMI] = ACTIONS(2767),
    [anon_sym___extension__] = ACTIONS(2765),
    [anon_sym_typedef] = ACTIONS(2765),
    [anon_sym_in] = ACTIONS(2765),
    [anon_sym_out] = ACTIONS(2765),
    [anon_sym_inout] = ACTIONS(2765),
    [anon_sym_extern] = ACTIONS(2765),
    [anon_sym___attribute__] = ACTIONS(2765),
    [anon_sym_COLON_COLON] = ACTIONS(2767),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2767),
    [anon_sym___declspec] = ACTIONS(2765),
    [anon_sym___based] = ACTIONS(2765),
    [anon_sym___cdecl] = ACTIONS(2765),
    [anon_sym___clrcall] = ACTIONS(2765),
    [anon_sym___stdcall] = ACTIONS(2765),
    [anon_sym___fastcall] = ACTIONS(2765),
    [anon_sym___thiscall] = ACTIONS(2765),
    [anon_sym___vectorcall] = ACTIONS(2765),
    [anon_sym_LBRACE] = ACTIONS(2767),
    [anon_sym_signed] = ACTIONS(2765),
    [anon_sym_unsigned] = ACTIONS(2765),
    [anon_sym_long] = ACTIONS(2765),
    [anon_sym_short] = ACTIONS(2765),
    [anon_sym_LBRACK] = ACTIONS(2765),
    [anon_sym_static] = ACTIONS(2765),
    [anon_sym_register] = ACTIONS(2765),
    [anon_sym_inline] = ACTIONS(2765),
    [anon_sym___inline] = ACTIONS(2765),
    [anon_sym___inline__] = ACTIONS(2765),
    [anon_sym___forceinline] = ACTIONS(2765),
    [anon_sym_thread_local] = ACTIONS(2765),
    [anon_sym___thread] = ACTIONS(2765),
    [anon_sym_const] = ACTIONS(2765),
    [anon_sym_constexpr] = ACTIONS(2765),
    [anon_sym_volatile] = ACTIONS(2765),
    [anon_sym_restrict] = ACTIONS(2765),
    [anon_sym___restrict__] = ACTIONS(2765),
    [anon_sym__Atomic] = ACTIONS(2765),
    [anon_sym__Noreturn] = ACTIONS(2765),
    [anon_sym_noreturn] = ACTIONS(2765),
    [anon_sym_mutable] = ACTIONS(2765),
    [anon_sym_constinit] = ACTIONS(2765),
    [anon_sym_consteval] = ACTIONS(2765),
    [sym_primitive_type] = ACTIONS(2765),
    [anon_sym_enum] = ACTIONS(2765),
    [anon_sym_class] = ACTIONS(2765),
    [anon_sym_struct] = ACTIONS(2765),
    [anon_sym_union] = ACTIONS(2765),
    [anon_sym_if] = ACTIONS(2765),
    [anon_sym_switch] = ACTIONS(2765),
    [anon_sym_case] = ACTIONS(2765),
    [anon_sym_default] = ACTIONS(2765),
    [anon_sym_while] = ACTIONS(2765),
    [anon_sym_do] = ACTIONS(2765),
    [anon_sym_for] = ACTIONS(2765),
    [anon_sym_return] = ACTIONS(2765),
    [anon_sym_break] = ACTIONS(2765),
    [anon_sym_continue] = ACTIONS(2765),
    [anon_sym_goto] = ACTIONS(2765),
    [anon_sym___try] = ACTIONS(2765),
    [anon_sym___leave] = ACTIONS(2765),
    [anon_sym_not] = ACTIONS(2765),
    [anon_sym_compl] = ACTIONS(2765),
    [anon_sym_DASH_DASH] = ACTIONS(2767),
    [anon_sym_PLUS_PLUS] = ACTIONS(2767),
    [anon_sym_sizeof] = ACTIONS(2765),
    [anon_sym___alignof__] = ACTIONS(2765),
    [anon_sym___alignof] = ACTIONS(2765),
    [anon_sym__alignof] = ACTIONS(2765),
    [anon_sym_alignof] = ACTIONS(2765),
    [anon_sym__Alignof] = ACTIONS(2765),
    [anon_sym_offsetof] = ACTIONS(2765),
    [anon_sym__Generic] = ACTIONS(2765),
    [anon_sym_asm] = ACTIONS(2765),
    [anon_sym___asm__] = ACTIONS(2765),
    [sym_number_literal] = ACTIONS(2767),
    [anon_sym_L_SQUOTE] = ACTIONS(2767),
    [anon_sym_u_SQUOTE] = ACTIONS(2767),
    [anon_sym_U_SQUOTE] = ACTIONS(2767),
    [anon_sym_u8_SQUOTE] = ACTIONS(2767),
    [anon_sym_SQUOTE] = ACTIONS(2767),
    [anon_sym_L_DQUOTE] = ACTIONS(2767),
    [anon_sym_u_DQUOTE] = ACTIONS(2767),
    [anon_sym_U_DQUOTE] = ACTIONS(2767),
    [anon_sym_u8_DQUOTE] = ACTIONS(2767),
    [anon_sym_DQUOTE] = ACTIONS(2767),
    [sym_true] = ACTIONS(2765),
    [sym_false] = ACTIONS(2765),
    [anon_sym_NULL] = ACTIONS(2765),
    [anon_sym_nullptr] = ACTIONS(2765),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2765),
    [anon_sym_decltype] = ACTIONS(2765),
    [anon_sym_virtual] = ACTIONS(2765),
    [anon_sym_alignas] = ACTIONS(2765),
    [anon_sym_explicit] = ACTIONS(2765),
    [anon_sym_typename] = ACTIONS(2765),
    [anon_sym_template] = ACTIONS(2765),
    [anon_sym_operator] = ACTIONS(2765),
    [anon_sym_try] = ACTIONS(2765),
    [anon_sym_delete] = ACTIONS(2765),
    [anon_sym_throw] = ACTIONS(2765),
    [anon_sym_namespace] = ACTIONS(2765),
    [anon_sym_using] = ACTIONS(2765),
    [anon_sym_static_assert] = ACTIONS(2765),
    [anon_sym_concept] = ACTIONS(2765),
    [anon_sym_co_return] = ACTIONS(2765),
    [anon_sym_co_yield] = ACTIONS(2765),
    [anon_sym_R_DQUOTE] = ACTIONS(2767),
    [anon_sym_LR_DQUOTE] = ACTIONS(2767),
    [anon_sym_uR_DQUOTE] = ACTIONS(2767),
    [anon_sym_UR_DQUOTE] = ACTIONS(2767),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2767),
    [anon_sym_co_await] = ACTIONS(2765),
    [anon_sym_new] = ACTIONS(2765),
    [anon_sym_requires] = ACTIONS(2765),
    [sym_this] = ACTIONS(2765),
    [anon_sym_discard] = ACTIONS(2765),
    [anon_sym_precise] = ACTIONS(2765),
    [anon_sym_shared] = ACTIONS(2765),
    [anon_sym_groupshared] = ACTIONS(2765),
    [anon_sym_uniform] = ACTIONS(2765),
    [anon_sym_row_major] = ACTIONS(2765),
    [anon_sym_column_major] = ACTIONS(2765),
    [anon_sym_globallycoherent] = ACTIONS(2765),
    [anon_sym_centroid] = ACTIONS(2765),
    [anon_sym_noperspective] = ACTIONS(2765),
    [anon_sym_nointerpolation] = ACTIONS(2765),
    [anon_sym_sample] = ACTIONS(2765),
    [anon_sym_linear] = ACTIONS(2765),
    [anon_sym_snorm] = ACTIONS(2765),
    [anon_sym_unorm] = ACTIONS(2765),
    [anon_sym_point] = ACTIONS(2765),
    [anon_sym_line] = ACTIONS(2765),
    [anon_sym_triangleadj] = ACTIONS(2765),
    [anon_sym_lineadj] = ACTIONS(2765),
    [anon_sym_triangle] = ACTIONS(2765),
    [anon_sym_cbuffer] = ACTIONS(2765),
  },
  [1063] = {
    [sym_identifier] = ACTIONS(2621),
    [aux_sym_preproc_include_token1] = ACTIONS(2621),
    [aux_sym_preproc_def_token1] = ACTIONS(2621),
    [aux_sym_preproc_if_token1] = ACTIONS(2621),
    [aux_sym_preproc_if_token2] = ACTIONS(2621),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2621),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2621),
    [sym_preproc_directive] = ACTIONS(2621),
    [anon_sym_LPAREN2] = ACTIONS(2623),
    [anon_sym_BANG] = ACTIONS(2623),
    [anon_sym_TILDE] = ACTIONS(2623),
    [anon_sym_DASH] = ACTIONS(2621),
    [anon_sym_PLUS] = ACTIONS(2621),
    [anon_sym_STAR] = ACTIONS(2623),
    [anon_sym_AMP_AMP] = ACTIONS(2623),
    [anon_sym_AMP] = ACTIONS(2621),
    [anon_sym_SEMI] = ACTIONS(2623),
    [anon_sym___extension__] = ACTIONS(2621),
    [anon_sym_typedef] = ACTIONS(2621),
    [anon_sym_in] = ACTIONS(2621),
    [anon_sym_out] = ACTIONS(2621),
    [anon_sym_inout] = ACTIONS(2621),
    [anon_sym_extern] = ACTIONS(2621),
    [anon_sym___attribute__] = ACTIONS(2621),
    [anon_sym_COLON_COLON] = ACTIONS(2623),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2623),
    [anon_sym___declspec] = ACTIONS(2621),
    [anon_sym___based] = ACTIONS(2621),
    [anon_sym___cdecl] = ACTIONS(2621),
    [anon_sym___clrcall] = ACTIONS(2621),
    [anon_sym___stdcall] = ACTIONS(2621),
    [anon_sym___fastcall] = ACTIONS(2621),
    [anon_sym___thiscall] = ACTIONS(2621),
    [anon_sym___vectorcall] = ACTIONS(2621),
    [anon_sym_LBRACE] = ACTIONS(2623),
    [anon_sym_signed] = ACTIONS(2621),
    [anon_sym_unsigned] = ACTIONS(2621),
    [anon_sym_long] = ACTIONS(2621),
    [anon_sym_short] = ACTIONS(2621),
    [anon_sym_LBRACK] = ACTIONS(2621),
    [anon_sym_static] = ACTIONS(2621),
    [anon_sym_register] = ACTIONS(2621),
    [anon_sym_inline] = ACTIONS(2621),
    [anon_sym___inline] = ACTIONS(2621),
    [anon_sym___inline__] = ACTIONS(2621),
    [anon_sym___forceinline] = ACTIONS(2621),
    [anon_sym_thread_local] = ACTIONS(2621),
    [anon_sym___thread] = ACTIONS(2621),
    [anon_sym_const] = ACTIONS(2621),
    [anon_sym_constexpr] = ACTIONS(2621),
    [anon_sym_volatile] = ACTIONS(2621),
    [anon_sym_restrict] = ACTIONS(2621),
    [anon_sym___restrict__] = ACTIONS(2621),
    [anon_sym__Atomic] = ACTIONS(2621),
    [anon_sym__Noreturn] = ACTIONS(2621),
    [anon_sym_noreturn] = ACTIONS(2621),
    [anon_sym_mutable] = ACTIONS(2621),
    [anon_sym_constinit] = ACTIONS(2621),
    [anon_sym_consteval] = ACTIONS(2621),
    [sym_primitive_type] = ACTIONS(2621),
    [anon_sym_enum] = ACTIONS(2621),
    [anon_sym_class] = ACTIONS(2621),
    [anon_sym_struct] = ACTIONS(2621),
    [anon_sym_union] = ACTIONS(2621),
    [anon_sym_if] = ACTIONS(2621),
    [anon_sym_switch] = ACTIONS(2621),
    [anon_sym_case] = ACTIONS(2621),
    [anon_sym_default] = ACTIONS(2621),
    [anon_sym_while] = ACTIONS(2621),
    [anon_sym_do] = ACTIONS(2621),
    [anon_sym_for] = ACTIONS(2621),
    [anon_sym_return] = ACTIONS(2621),
    [anon_sym_break] = ACTIONS(2621),
    [anon_sym_continue] = ACTIONS(2621),
    [anon_sym_goto] = ACTIONS(2621),
    [anon_sym___try] = ACTIONS(2621),
    [anon_sym___leave] = ACTIONS(2621),
    [anon_sym_not] = ACTIONS(2621),
    [anon_sym_compl] = ACTIONS(2621),
    [anon_sym_DASH_DASH] = ACTIONS(2623),
    [anon_sym_PLUS_PLUS] = ACTIONS(2623),
    [anon_sym_sizeof] = ACTIONS(2621),
    [anon_sym___alignof__] = ACTIONS(2621),
    [anon_sym___alignof] = ACTIONS(2621),
    [anon_sym__alignof] = ACTIONS(2621),
    [anon_sym_alignof] = ACTIONS(2621),
    [anon_sym__Alignof] = ACTIONS(2621),
    [anon_sym_offsetof] = ACTIONS(2621),
    [anon_sym__Generic] = ACTIONS(2621),
    [anon_sym_asm] = ACTIONS(2621),
    [anon_sym___asm__] = ACTIONS(2621),
    [sym_number_literal] = ACTIONS(2623),
    [anon_sym_L_SQUOTE] = ACTIONS(2623),
    [anon_sym_u_SQUOTE] = ACTIONS(2623),
    [anon_sym_U_SQUOTE] = ACTIONS(2623),
    [anon_sym_u8_SQUOTE] = ACTIONS(2623),
    [anon_sym_SQUOTE] = ACTIONS(2623),
    [anon_sym_L_DQUOTE] = ACTIONS(2623),
    [anon_sym_u_DQUOTE] = ACTIONS(2623),
    [anon_sym_U_DQUOTE] = ACTIONS(2623),
    [anon_sym_u8_DQUOTE] = ACTIONS(2623),
    [anon_sym_DQUOTE] = ACTIONS(2623),
    [sym_true] = ACTIONS(2621),
    [sym_false] = ACTIONS(2621),
    [anon_sym_NULL] = ACTIONS(2621),
    [anon_sym_nullptr] = ACTIONS(2621),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2621),
    [anon_sym_decltype] = ACTIONS(2621),
    [anon_sym_virtual] = ACTIONS(2621),
    [anon_sym_alignas] = ACTIONS(2621),
    [anon_sym_explicit] = ACTIONS(2621),
    [anon_sym_typename] = ACTIONS(2621),
    [anon_sym_template] = ACTIONS(2621),
    [anon_sym_operator] = ACTIONS(2621),
    [anon_sym_try] = ACTIONS(2621),
    [anon_sym_delete] = ACTIONS(2621),
    [anon_sym_throw] = ACTIONS(2621),
    [anon_sym_namespace] = ACTIONS(2621),
    [anon_sym_using] = ACTIONS(2621),
    [anon_sym_static_assert] = ACTIONS(2621),
    [anon_sym_concept] = ACTIONS(2621),
    [anon_sym_co_return] = ACTIONS(2621),
    [anon_sym_co_yield] = ACTIONS(2621),
    [anon_sym_R_DQUOTE] = ACTIONS(2623),
    [anon_sym_LR_DQUOTE] = ACTIONS(2623),
    [anon_sym_uR_DQUOTE] = ACTIONS(2623),
    [anon_sym_UR_DQUOTE] = ACTIONS(2623),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2623),
    [anon_sym_co_await] = ACTIONS(2621),
    [anon_sym_new] = ACTIONS(2621),
    [anon_sym_requires] = ACTIONS(2621),
    [sym_this] = ACTIONS(2621),
    [anon_sym_discard] = ACTIONS(2621),
    [anon_sym_precise] = ACTIONS(2621),
    [anon_sym_shared] = ACTIONS(2621),
    [anon_sym_groupshared] = ACTIONS(2621),
    [anon_sym_uniform] = ACTIONS(2621),
    [anon_sym_row_major] = ACTIONS(2621),
    [anon_sym_column_major] = ACTIONS(2621),
    [anon_sym_globallycoherent] = ACTIONS(2621),
    [anon_sym_centroid] = ACTIONS(2621),
    [anon_sym_noperspective] = ACTIONS(2621),
    [anon_sym_nointerpolation] = ACTIONS(2621),
    [anon_sym_sample] = ACTIONS(2621),
    [anon_sym_linear] = ACTIONS(2621),
    [anon_sym_snorm] = ACTIONS(2621),
    [anon_sym_unorm] = ACTIONS(2621),
    [anon_sym_point] = ACTIONS(2621),
    [anon_sym_line] = ACTIONS(2621),
    [anon_sym_triangleadj] = ACTIONS(2621),
    [anon_sym_lineadj] = ACTIONS(2621),
    [anon_sym_triangle] = ACTIONS(2621),
    [anon_sym_cbuffer] = ACTIONS(2621),
  },
  [1064] = {
    [sym_identifier] = ACTIONS(2629),
    [aux_sym_preproc_include_token1] = ACTIONS(2629),
    [aux_sym_preproc_def_token1] = ACTIONS(2629),
    [aux_sym_preproc_if_token1] = ACTIONS(2629),
    [aux_sym_preproc_if_token2] = ACTIONS(2629),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2629),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2629),
    [sym_preproc_directive] = ACTIONS(2629),
    [anon_sym_LPAREN2] = ACTIONS(2631),
    [anon_sym_BANG] = ACTIONS(2631),
    [anon_sym_TILDE] = ACTIONS(2631),
    [anon_sym_DASH] = ACTIONS(2629),
    [anon_sym_PLUS] = ACTIONS(2629),
    [anon_sym_STAR] = ACTIONS(2631),
    [anon_sym_AMP_AMP] = ACTIONS(2631),
    [anon_sym_AMP] = ACTIONS(2629),
    [anon_sym_SEMI] = ACTIONS(2631),
    [anon_sym___extension__] = ACTIONS(2629),
    [anon_sym_typedef] = ACTIONS(2629),
    [anon_sym_in] = ACTIONS(2629),
    [anon_sym_out] = ACTIONS(2629),
    [anon_sym_inout] = ACTIONS(2629),
    [anon_sym_extern] = ACTIONS(2629),
    [anon_sym___attribute__] = ACTIONS(2629),
    [anon_sym_COLON_COLON] = ACTIONS(2631),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2631),
    [anon_sym___declspec] = ACTIONS(2629),
    [anon_sym___based] = ACTIONS(2629),
    [anon_sym___cdecl] = ACTIONS(2629),
    [anon_sym___clrcall] = ACTIONS(2629),
    [anon_sym___stdcall] = ACTIONS(2629),
    [anon_sym___fastcall] = ACTIONS(2629),
    [anon_sym___thiscall] = ACTIONS(2629),
    [anon_sym___vectorcall] = ACTIONS(2629),
    [anon_sym_LBRACE] = ACTIONS(2631),
    [anon_sym_signed] = ACTIONS(2629),
    [anon_sym_unsigned] = ACTIONS(2629),
    [anon_sym_long] = ACTIONS(2629),
    [anon_sym_short] = ACTIONS(2629),
    [anon_sym_LBRACK] = ACTIONS(2629),
    [anon_sym_static] = ACTIONS(2629),
    [anon_sym_register] = ACTIONS(2629),
    [anon_sym_inline] = ACTIONS(2629),
    [anon_sym___inline] = ACTIONS(2629),
    [anon_sym___inline__] = ACTIONS(2629),
    [anon_sym___forceinline] = ACTIONS(2629),
    [anon_sym_thread_local] = ACTIONS(2629),
    [anon_sym___thread] = ACTIONS(2629),
    [anon_sym_const] = ACTIONS(2629),
    [anon_sym_constexpr] = ACTIONS(2629),
    [anon_sym_volatile] = ACTIONS(2629),
    [anon_sym_restrict] = ACTIONS(2629),
    [anon_sym___restrict__] = ACTIONS(2629),
    [anon_sym__Atomic] = ACTIONS(2629),
    [anon_sym__Noreturn] = ACTIONS(2629),
    [anon_sym_noreturn] = ACTIONS(2629),
    [anon_sym_mutable] = ACTIONS(2629),
    [anon_sym_constinit] = ACTIONS(2629),
    [anon_sym_consteval] = ACTIONS(2629),
    [sym_primitive_type] = ACTIONS(2629),
    [anon_sym_enum] = ACTIONS(2629),
    [anon_sym_class] = ACTIONS(2629),
    [anon_sym_struct] = ACTIONS(2629),
    [anon_sym_union] = ACTIONS(2629),
    [anon_sym_if] = ACTIONS(2629),
    [anon_sym_switch] = ACTIONS(2629),
    [anon_sym_case] = ACTIONS(2629),
    [anon_sym_default] = ACTIONS(2629),
    [anon_sym_while] = ACTIONS(2629),
    [anon_sym_do] = ACTIONS(2629),
    [anon_sym_for] = ACTIONS(2629),
    [anon_sym_return] = ACTIONS(2629),
    [anon_sym_break] = ACTIONS(2629),
    [anon_sym_continue] = ACTIONS(2629),
    [anon_sym_goto] = ACTIONS(2629),
    [anon_sym___try] = ACTIONS(2629),
    [anon_sym___leave] = ACTIONS(2629),
    [anon_sym_not] = ACTIONS(2629),
    [anon_sym_compl] = ACTIONS(2629),
    [anon_sym_DASH_DASH] = ACTIONS(2631),
    [anon_sym_PLUS_PLUS] = ACTIONS(2631),
    [anon_sym_sizeof] = ACTIONS(2629),
    [anon_sym___alignof__] = ACTIONS(2629),
    [anon_sym___alignof] = ACTIONS(2629),
    [anon_sym__alignof] = ACTIONS(2629),
    [anon_sym_alignof] = ACTIONS(2629),
    [anon_sym__Alignof] = ACTIONS(2629),
    [anon_sym_offsetof] = ACTIONS(2629),
    [anon_sym__Generic] = ACTIONS(2629),
    [anon_sym_asm] = ACTIONS(2629),
    [anon_sym___asm__] = ACTIONS(2629),
    [sym_number_literal] = ACTIONS(2631),
    [anon_sym_L_SQUOTE] = ACTIONS(2631),
    [anon_sym_u_SQUOTE] = ACTIONS(2631),
    [anon_sym_U_SQUOTE] = ACTIONS(2631),
    [anon_sym_u8_SQUOTE] = ACTIONS(2631),
    [anon_sym_SQUOTE] = ACTIONS(2631),
    [anon_sym_L_DQUOTE] = ACTIONS(2631),
    [anon_sym_u_DQUOTE] = ACTIONS(2631),
    [anon_sym_U_DQUOTE] = ACTIONS(2631),
    [anon_sym_u8_DQUOTE] = ACTIONS(2631),
    [anon_sym_DQUOTE] = ACTIONS(2631),
    [sym_true] = ACTIONS(2629),
    [sym_false] = ACTIONS(2629),
    [anon_sym_NULL] = ACTIONS(2629),
    [anon_sym_nullptr] = ACTIONS(2629),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2629),
    [anon_sym_decltype] = ACTIONS(2629),
    [anon_sym_virtual] = ACTIONS(2629),
    [anon_sym_alignas] = ACTIONS(2629),
    [anon_sym_explicit] = ACTIONS(2629),
    [anon_sym_typename] = ACTIONS(2629),
    [anon_sym_template] = ACTIONS(2629),
    [anon_sym_operator] = ACTIONS(2629),
    [anon_sym_try] = ACTIONS(2629),
    [anon_sym_delete] = ACTIONS(2629),
    [anon_sym_throw] = ACTIONS(2629),
    [anon_sym_namespace] = ACTIONS(2629),
    [anon_sym_using] = ACTIONS(2629),
    [anon_sym_static_assert] = ACTIONS(2629),
    [anon_sym_concept] = ACTIONS(2629),
    [anon_sym_co_return] = ACTIONS(2629),
    [anon_sym_co_yield] = ACTIONS(2629),
    [anon_sym_R_DQUOTE] = ACTIONS(2631),
    [anon_sym_LR_DQUOTE] = ACTIONS(2631),
    [anon_sym_uR_DQUOTE] = ACTIONS(2631),
    [anon_sym_UR_DQUOTE] = ACTIONS(2631),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2631),
    [anon_sym_co_await] = ACTIONS(2629),
    [anon_sym_new] = ACTIONS(2629),
    [anon_sym_requires] = ACTIONS(2629),
    [sym_this] = ACTIONS(2629),
    [anon_sym_discard] = ACTIONS(2629),
    [anon_sym_precise] = ACTIONS(2629),
    [anon_sym_shared] = ACTIONS(2629),
    [anon_sym_groupshared] = ACTIONS(2629),
    [anon_sym_uniform] = ACTIONS(2629),
    [anon_sym_row_major] = ACTIONS(2629),
    [anon_sym_column_major] = ACTIONS(2629),
    [anon_sym_globallycoherent] = ACTIONS(2629),
    [anon_sym_centroid] = ACTIONS(2629),
    [anon_sym_noperspective] = ACTIONS(2629),
    [anon_sym_nointerpolation] = ACTIONS(2629),
    [anon_sym_sample] = ACTIONS(2629),
    [anon_sym_linear] = ACTIONS(2629),
    [anon_sym_snorm] = ACTIONS(2629),
    [anon_sym_unorm] = ACTIONS(2629),
    [anon_sym_point] = ACTIONS(2629),
    [anon_sym_line] = ACTIONS(2629),
    [anon_sym_triangleadj] = ACTIONS(2629),
    [anon_sym_lineadj] = ACTIONS(2629),
    [anon_sym_triangle] = ACTIONS(2629),
    [anon_sym_cbuffer] = ACTIONS(2629),
  },
  [1065] = {
    [sym_identifier] = ACTIONS(2725),
    [aux_sym_preproc_include_token1] = ACTIONS(2725),
    [aux_sym_preproc_def_token1] = ACTIONS(2725),
    [aux_sym_preproc_if_token1] = ACTIONS(2725),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2725),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2725),
    [sym_preproc_directive] = ACTIONS(2725),
    [anon_sym_LPAREN2] = ACTIONS(2727),
    [anon_sym_BANG] = ACTIONS(2727),
    [anon_sym_TILDE] = ACTIONS(2727),
    [anon_sym_DASH] = ACTIONS(2725),
    [anon_sym_PLUS] = ACTIONS(2725),
    [anon_sym_STAR] = ACTIONS(2727),
    [anon_sym_AMP_AMP] = ACTIONS(2727),
    [anon_sym_AMP] = ACTIONS(2725),
    [anon_sym_SEMI] = ACTIONS(2727),
    [anon_sym___extension__] = ACTIONS(2725),
    [anon_sym_typedef] = ACTIONS(2725),
    [anon_sym_in] = ACTIONS(2725),
    [anon_sym_out] = ACTIONS(2725),
    [anon_sym_inout] = ACTIONS(2725),
    [anon_sym_extern] = ACTIONS(2725),
    [anon_sym___attribute__] = ACTIONS(2725),
    [anon_sym_COLON_COLON] = ACTIONS(2727),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2727),
    [anon_sym___declspec] = ACTIONS(2725),
    [anon_sym___based] = ACTIONS(2725),
    [anon_sym___cdecl] = ACTIONS(2725),
    [anon_sym___clrcall] = ACTIONS(2725),
    [anon_sym___stdcall] = ACTIONS(2725),
    [anon_sym___fastcall] = ACTIONS(2725),
    [anon_sym___thiscall] = ACTIONS(2725),
    [anon_sym___vectorcall] = ACTIONS(2725),
    [anon_sym_LBRACE] = ACTIONS(2727),
    [anon_sym_RBRACE] = ACTIONS(2727),
    [anon_sym_signed] = ACTIONS(2725),
    [anon_sym_unsigned] = ACTIONS(2725),
    [anon_sym_long] = ACTIONS(2725),
    [anon_sym_short] = ACTIONS(2725),
    [anon_sym_LBRACK] = ACTIONS(2725),
    [anon_sym_static] = ACTIONS(2725),
    [anon_sym_register] = ACTIONS(2725),
    [anon_sym_inline] = ACTIONS(2725),
    [anon_sym___inline] = ACTIONS(2725),
    [anon_sym___inline__] = ACTIONS(2725),
    [anon_sym___forceinline] = ACTIONS(2725),
    [anon_sym_thread_local] = ACTIONS(2725),
    [anon_sym___thread] = ACTIONS(2725),
    [anon_sym_const] = ACTIONS(2725),
    [anon_sym_constexpr] = ACTIONS(2725),
    [anon_sym_volatile] = ACTIONS(2725),
    [anon_sym_restrict] = ACTIONS(2725),
    [anon_sym___restrict__] = ACTIONS(2725),
    [anon_sym__Atomic] = ACTIONS(2725),
    [anon_sym__Noreturn] = ACTIONS(2725),
    [anon_sym_noreturn] = ACTIONS(2725),
    [anon_sym_mutable] = ACTIONS(2725),
    [anon_sym_constinit] = ACTIONS(2725),
    [anon_sym_consteval] = ACTIONS(2725),
    [sym_primitive_type] = ACTIONS(2725),
    [anon_sym_enum] = ACTIONS(2725),
    [anon_sym_class] = ACTIONS(2725),
    [anon_sym_struct] = ACTIONS(2725),
    [anon_sym_union] = ACTIONS(2725),
    [anon_sym_if] = ACTIONS(2725),
    [anon_sym_switch] = ACTIONS(2725),
    [anon_sym_case] = ACTIONS(2725),
    [anon_sym_default] = ACTIONS(2725),
    [anon_sym_while] = ACTIONS(2725),
    [anon_sym_do] = ACTIONS(2725),
    [anon_sym_for] = ACTIONS(2725),
    [anon_sym_return] = ACTIONS(2725),
    [anon_sym_break] = ACTIONS(2725),
    [anon_sym_continue] = ACTIONS(2725),
    [anon_sym_goto] = ACTIONS(2725),
    [anon_sym___try] = ACTIONS(2725),
    [anon_sym___leave] = ACTIONS(2725),
    [anon_sym_not] = ACTIONS(2725),
    [anon_sym_compl] = ACTIONS(2725),
    [anon_sym_DASH_DASH] = ACTIONS(2727),
    [anon_sym_PLUS_PLUS] = ACTIONS(2727),
    [anon_sym_sizeof] = ACTIONS(2725),
    [anon_sym___alignof__] = ACTIONS(2725),
    [anon_sym___alignof] = ACTIONS(2725),
    [anon_sym__alignof] = ACTIONS(2725),
    [anon_sym_alignof] = ACTIONS(2725),
    [anon_sym__Alignof] = ACTIONS(2725),
    [anon_sym_offsetof] = ACTIONS(2725),
    [anon_sym__Generic] = ACTIONS(2725),
    [anon_sym_asm] = ACTIONS(2725),
    [anon_sym___asm__] = ACTIONS(2725),
    [sym_number_literal] = ACTIONS(2727),
    [anon_sym_L_SQUOTE] = ACTIONS(2727),
    [anon_sym_u_SQUOTE] = ACTIONS(2727),
    [anon_sym_U_SQUOTE] = ACTIONS(2727),
    [anon_sym_u8_SQUOTE] = ACTIONS(2727),
    [anon_sym_SQUOTE] = ACTIONS(2727),
    [anon_sym_L_DQUOTE] = ACTIONS(2727),
    [anon_sym_u_DQUOTE] = ACTIONS(2727),
    [anon_sym_U_DQUOTE] = ACTIONS(2727),
    [anon_sym_u8_DQUOTE] = ACTIONS(2727),
    [anon_sym_DQUOTE] = ACTIONS(2727),
    [sym_true] = ACTIONS(2725),
    [sym_false] = ACTIONS(2725),
    [anon_sym_NULL] = ACTIONS(2725),
    [anon_sym_nullptr] = ACTIONS(2725),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2725),
    [anon_sym_decltype] = ACTIONS(2725),
    [anon_sym_virtual] = ACTIONS(2725),
    [anon_sym_alignas] = ACTIONS(2725),
    [anon_sym_explicit] = ACTIONS(2725),
    [anon_sym_typename] = ACTIONS(2725),
    [anon_sym_template] = ACTIONS(2725),
    [anon_sym_operator] = ACTIONS(2725),
    [anon_sym_try] = ACTIONS(2725),
    [anon_sym_delete] = ACTIONS(2725),
    [anon_sym_throw] = ACTIONS(2725),
    [anon_sym_namespace] = ACTIONS(2725),
    [anon_sym_using] = ACTIONS(2725),
    [anon_sym_static_assert] = ACTIONS(2725),
    [anon_sym_concept] = ACTIONS(2725),
    [anon_sym_co_return] = ACTIONS(2725),
    [anon_sym_co_yield] = ACTIONS(2725),
    [anon_sym_R_DQUOTE] = ACTIONS(2727),
    [anon_sym_LR_DQUOTE] = ACTIONS(2727),
    [anon_sym_uR_DQUOTE] = ACTIONS(2727),
    [anon_sym_UR_DQUOTE] = ACTIONS(2727),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2727),
    [anon_sym_co_await] = ACTIONS(2725),
    [anon_sym_new] = ACTIONS(2725),
    [anon_sym_requires] = ACTIONS(2725),
    [sym_this] = ACTIONS(2725),
    [anon_sym_discard] = ACTIONS(2725),
    [anon_sym_precise] = ACTIONS(2725),
    [anon_sym_shared] = ACTIONS(2725),
    [anon_sym_groupshared] = ACTIONS(2725),
    [anon_sym_uniform] = ACTIONS(2725),
    [anon_sym_row_major] = ACTIONS(2725),
    [anon_sym_column_major] = ACTIONS(2725),
    [anon_sym_globallycoherent] = ACTIONS(2725),
    [anon_sym_centroid] = ACTIONS(2725),
    [anon_sym_noperspective] = ACTIONS(2725),
    [anon_sym_nointerpolation] = ACTIONS(2725),
    [anon_sym_sample] = ACTIONS(2725),
    [anon_sym_linear] = ACTIONS(2725),
    [anon_sym_snorm] = ACTIONS(2725),
    [anon_sym_unorm] = ACTIONS(2725),
    [anon_sym_point] = ACTIONS(2725),
    [anon_sym_line] = ACTIONS(2725),
    [anon_sym_triangleadj] = ACTIONS(2725),
    [anon_sym_lineadj] = ACTIONS(2725),
    [anon_sym_triangle] = ACTIONS(2725),
    [anon_sym_cbuffer] = ACTIONS(2725),
  },
  [1066] = {
    [sym_identifier] = ACTIONS(2817),
    [aux_sym_preproc_include_token1] = ACTIONS(2817),
    [aux_sym_preproc_def_token1] = ACTIONS(2817),
    [aux_sym_preproc_if_token1] = ACTIONS(2817),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2817),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2817),
    [sym_preproc_directive] = ACTIONS(2817),
    [anon_sym_LPAREN2] = ACTIONS(2819),
    [anon_sym_BANG] = ACTIONS(2819),
    [anon_sym_TILDE] = ACTIONS(2819),
    [anon_sym_DASH] = ACTIONS(2817),
    [anon_sym_PLUS] = ACTIONS(2817),
    [anon_sym_STAR] = ACTIONS(2819),
    [anon_sym_AMP_AMP] = ACTIONS(2819),
    [anon_sym_AMP] = ACTIONS(2817),
    [anon_sym_SEMI] = ACTIONS(2819),
    [anon_sym___extension__] = ACTIONS(2817),
    [anon_sym_typedef] = ACTIONS(2817),
    [anon_sym_in] = ACTIONS(2817),
    [anon_sym_out] = ACTIONS(2817),
    [anon_sym_inout] = ACTIONS(2817),
    [anon_sym_extern] = ACTIONS(2817),
    [anon_sym___attribute__] = ACTIONS(2817),
    [anon_sym_COLON_COLON] = ACTIONS(2819),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2819),
    [anon_sym___declspec] = ACTIONS(2817),
    [anon_sym___based] = ACTIONS(2817),
    [anon_sym___cdecl] = ACTIONS(2817),
    [anon_sym___clrcall] = ACTIONS(2817),
    [anon_sym___stdcall] = ACTIONS(2817),
    [anon_sym___fastcall] = ACTIONS(2817),
    [anon_sym___thiscall] = ACTIONS(2817),
    [anon_sym___vectorcall] = ACTIONS(2817),
    [anon_sym_LBRACE] = ACTIONS(2819),
    [anon_sym_RBRACE] = ACTIONS(2819),
    [anon_sym_signed] = ACTIONS(2817),
    [anon_sym_unsigned] = ACTIONS(2817),
    [anon_sym_long] = ACTIONS(2817),
    [anon_sym_short] = ACTIONS(2817),
    [anon_sym_LBRACK] = ACTIONS(2817),
    [anon_sym_static] = ACTIONS(2817),
    [anon_sym_register] = ACTIONS(2817),
    [anon_sym_inline] = ACTIONS(2817),
    [anon_sym___inline] = ACTIONS(2817),
    [anon_sym___inline__] = ACTIONS(2817),
    [anon_sym___forceinline] = ACTIONS(2817),
    [anon_sym_thread_local] = ACTIONS(2817),
    [anon_sym___thread] = ACTIONS(2817),
    [anon_sym_const] = ACTIONS(2817),
    [anon_sym_constexpr] = ACTIONS(2817),
    [anon_sym_volatile] = ACTIONS(2817),
    [anon_sym_restrict] = ACTIONS(2817),
    [anon_sym___restrict__] = ACTIONS(2817),
    [anon_sym__Atomic] = ACTIONS(2817),
    [anon_sym__Noreturn] = ACTIONS(2817),
    [anon_sym_noreturn] = ACTIONS(2817),
    [anon_sym_mutable] = ACTIONS(2817),
    [anon_sym_constinit] = ACTIONS(2817),
    [anon_sym_consteval] = ACTIONS(2817),
    [sym_primitive_type] = ACTIONS(2817),
    [anon_sym_enum] = ACTIONS(2817),
    [anon_sym_class] = ACTIONS(2817),
    [anon_sym_struct] = ACTIONS(2817),
    [anon_sym_union] = ACTIONS(2817),
    [anon_sym_if] = ACTIONS(2817),
    [anon_sym_switch] = ACTIONS(2817),
    [anon_sym_case] = ACTIONS(2817),
    [anon_sym_default] = ACTIONS(2817),
    [anon_sym_while] = ACTIONS(2817),
    [anon_sym_do] = ACTIONS(2817),
    [anon_sym_for] = ACTIONS(2817),
    [anon_sym_return] = ACTIONS(2817),
    [anon_sym_break] = ACTIONS(2817),
    [anon_sym_continue] = ACTIONS(2817),
    [anon_sym_goto] = ACTIONS(2817),
    [anon_sym___try] = ACTIONS(2817),
    [anon_sym___leave] = ACTIONS(2817),
    [anon_sym_not] = ACTIONS(2817),
    [anon_sym_compl] = ACTIONS(2817),
    [anon_sym_DASH_DASH] = ACTIONS(2819),
    [anon_sym_PLUS_PLUS] = ACTIONS(2819),
    [anon_sym_sizeof] = ACTIONS(2817),
    [anon_sym___alignof__] = ACTIONS(2817),
    [anon_sym___alignof] = ACTIONS(2817),
    [anon_sym__alignof] = ACTIONS(2817),
    [anon_sym_alignof] = ACTIONS(2817),
    [anon_sym__Alignof] = ACTIONS(2817),
    [anon_sym_offsetof] = ACTIONS(2817),
    [anon_sym__Generic] = ACTIONS(2817),
    [anon_sym_asm] = ACTIONS(2817),
    [anon_sym___asm__] = ACTIONS(2817),
    [sym_number_literal] = ACTIONS(2819),
    [anon_sym_L_SQUOTE] = ACTIONS(2819),
    [anon_sym_u_SQUOTE] = ACTIONS(2819),
    [anon_sym_U_SQUOTE] = ACTIONS(2819),
    [anon_sym_u8_SQUOTE] = ACTIONS(2819),
    [anon_sym_SQUOTE] = ACTIONS(2819),
    [anon_sym_L_DQUOTE] = ACTIONS(2819),
    [anon_sym_u_DQUOTE] = ACTIONS(2819),
    [anon_sym_U_DQUOTE] = ACTIONS(2819),
    [anon_sym_u8_DQUOTE] = ACTIONS(2819),
    [anon_sym_DQUOTE] = ACTIONS(2819),
    [sym_true] = ACTIONS(2817),
    [sym_false] = ACTIONS(2817),
    [anon_sym_NULL] = ACTIONS(2817),
    [anon_sym_nullptr] = ACTIONS(2817),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2817),
    [anon_sym_decltype] = ACTIONS(2817),
    [anon_sym_virtual] = ACTIONS(2817),
    [anon_sym_alignas] = ACTIONS(2817),
    [anon_sym_explicit] = ACTIONS(2817),
    [anon_sym_typename] = ACTIONS(2817),
    [anon_sym_template] = ACTIONS(2817),
    [anon_sym_operator] = ACTIONS(2817),
    [anon_sym_try] = ACTIONS(2817),
    [anon_sym_delete] = ACTIONS(2817),
    [anon_sym_throw] = ACTIONS(2817),
    [anon_sym_namespace] = ACTIONS(2817),
    [anon_sym_using] = ACTIONS(2817),
    [anon_sym_static_assert] = ACTIONS(2817),
    [anon_sym_concept] = ACTIONS(2817),
    [anon_sym_co_return] = ACTIONS(2817),
    [anon_sym_co_yield] = ACTIONS(2817),
    [anon_sym_R_DQUOTE] = ACTIONS(2819),
    [anon_sym_LR_DQUOTE] = ACTIONS(2819),
    [anon_sym_uR_DQUOTE] = ACTIONS(2819),
    [anon_sym_UR_DQUOTE] = ACTIONS(2819),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2819),
    [anon_sym_co_await] = ACTIONS(2817),
    [anon_sym_new] = ACTIONS(2817),
    [anon_sym_requires] = ACTIONS(2817),
    [sym_this] = ACTIONS(2817),
    [anon_sym_discard] = ACTIONS(2817),
    [anon_sym_precise] = ACTIONS(2817),
    [anon_sym_shared] = ACTIONS(2817),
    [anon_sym_groupshared] = ACTIONS(2817),
    [anon_sym_uniform] = ACTIONS(2817),
    [anon_sym_row_major] = ACTIONS(2817),
    [anon_sym_column_major] = ACTIONS(2817),
    [anon_sym_globallycoherent] = ACTIONS(2817),
    [anon_sym_centroid] = ACTIONS(2817),
    [anon_sym_noperspective] = ACTIONS(2817),
    [anon_sym_nointerpolation] = ACTIONS(2817),
    [anon_sym_sample] = ACTIONS(2817),
    [anon_sym_linear] = ACTIONS(2817),
    [anon_sym_snorm] = ACTIONS(2817),
    [anon_sym_unorm] = ACTIONS(2817),
    [anon_sym_point] = ACTIONS(2817),
    [anon_sym_line] = ACTIONS(2817),
    [anon_sym_triangleadj] = ACTIONS(2817),
    [anon_sym_lineadj] = ACTIONS(2817),
    [anon_sym_triangle] = ACTIONS(2817),
    [anon_sym_cbuffer] = ACTIONS(2817),
  },
  [1067] = {
    [sym_identifier] = ACTIONS(2813),
    [aux_sym_preproc_include_token1] = ACTIONS(2813),
    [aux_sym_preproc_def_token1] = ACTIONS(2813),
    [aux_sym_preproc_if_token1] = ACTIONS(2813),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2813),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2813),
    [sym_preproc_directive] = ACTIONS(2813),
    [anon_sym_LPAREN2] = ACTIONS(2815),
    [anon_sym_BANG] = ACTIONS(2815),
    [anon_sym_TILDE] = ACTIONS(2815),
    [anon_sym_DASH] = ACTIONS(2813),
    [anon_sym_PLUS] = ACTIONS(2813),
    [anon_sym_STAR] = ACTIONS(2815),
    [anon_sym_AMP_AMP] = ACTIONS(2815),
    [anon_sym_AMP] = ACTIONS(2813),
    [anon_sym_SEMI] = ACTIONS(2815),
    [anon_sym___extension__] = ACTIONS(2813),
    [anon_sym_typedef] = ACTIONS(2813),
    [anon_sym_in] = ACTIONS(2813),
    [anon_sym_out] = ACTIONS(2813),
    [anon_sym_inout] = ACTIONS(2813),
    [anon_sym_extern] = ACTIONS(2813),
    [anon_sym___attribute__] = ACTIONS(2813),
    [anon_sym_COLON_COLON] = ACTIONS(2815),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2815),
    [anon_sym___declspec] = ACTIONS(2813),
    [anon_sym___based] = ACTIONS(2813),
    [anon_sym___cdecl] = ACTIONS(2813),
    [anon_sym___clrcall] = ACTIONS(2813),
    [anon_sym___stdcall] = ACTIONS(2813),
    [anon_sym___fastcall] = ACTIONS(2813),
    [anon_sym___thiscall] = ACTIONS(2813),
    [anon_sym___vectorcall] = ACTIONS(2813),
    [anon_sym_LBRACE] = ACTIONS(2815),
    [anon_sym_RBRACE] = ACTIONS(2815),
    [anon_sym_signed] = ACTIONS(2813),
    [anon_sym_unsigned] = ACTIONS(2813),
    [anon_sym_long] = ACTIONS(2813),
    [anon_sym_short] = ACTIONS(2813),
    [anon_sym_LBRACK] = ACTIONS(2813),
    [anon_sym_static] = ACTIONS(2813),
    [anon_sym_register] = ACTIONS(2813),
    [anon_sym_inline] = ACTIONS(2813),
    [anon_sym___inline] = ACTIONS(2813),
    [anon_sym___inline__] = ACTIONS(2813),
    [anon_sym___forceinline] = ACTIONS(2813),
    [anon_sym_thread_local] = ACTIONS(2813),
    [anon_sym___thread] = ACTIONS(2813),
    [anon_sym_const] = ACTIONS(2813),
    [anon_sym_constexpr] = ACTIONS(2813),
    [anon_sym_volatile] = ACTIONS(2813),
    [anon_sym_restrict] = ACTIONS(2813),
    [anon_sym___restrict__] = ACTIONS(2813),
    [anon_sym__Atomic] = ACTIONS(2813),
    [anon_sym__Noreturn] = ACTIONS(2813),
    [anon_sym_noreturn] = ACTIONS(2813),
    [anon_sym_mutable] = ACTIONS(2813),
    [anon_sym_constinit] = ACTIONS(2813),
    [anon_sym_consteval] = ACTIONS(2813),
    [sym_primitive_type] = ACTIONS(2813),
    [anon_sym_enum] = ACTIONS(2813),
    [anon_sym_class] = ACTIONS(2813),
    [anon_sym_struct] = ACTIONS(2813),
    [anon_sym_union] = ACTIONS(2813),
    [anon_sym_if] = ACTIONS(2813),
    [anon_sym_switch] = ACTIONS(2813),
    [anon_sym_case] = ACTIONS(2813),
    [anon_sym_default] = ACTIONS(2813),
    [anon_sym_while] = ACTIONS(2813),
    [anon_sym_do] = ACTIONS(2813),
    [anon_sym_for] = ACTIONS(2813),
    [anon_sym_return] = ACTIONS(2813),
    [anon_sym_break] = ACTIONS(2813),
    [anon_sym_continue] = ACTIONS(2813),
    [anon_sym_goto] = ACTIONS(2813),
    [anon_sym___try] = ACTIONS(2813),
    [anon_sym___leave] = ACTIONS(2813),
    [anon_sym_not] = ACTIONS(2813),
    [anon_sym_compl] = ACTIONS(2813),
    [anon_sym_DASH_DASH] = ACTIONS(2815),
    [anon_sym_PLUS_PLUS] = ACTIONS(2815),
    [anon_sym_sizeof] = ACTIONS(2813),
    [anon_sym___alignof__] = ACTIONS(2813),
    [anon_sym___alignof] = ACTIONS(2813),
    [anon_sym__alignof] = ACTIONS(2813),
    [anon_sym_alignof] = ACTIONS(2813),
    [anon_sym__Alignof] = ACTIONS(2813),
    [anon_sym_offsetof] = ACTIONS(2813),
    [anon_sym__Generic] = ACTIONS(2813),
    [anon_sym_asm] = ACTIONS(2813),
    [anon_sym___asm__] = ACTIONS(2813),
    [sym_number_literal] = ACTIONS(2815),
    [anon_sym_L_SQUOTE] = ACTIONS(2815),
    [anon_sym_u_SQUOTE] = ACTIONS(2815),
    [anon_sym_U_SQUOTE] = ACTIONS(2815),
    [anon_sym_u8_SQUOTE] = ACTIONS(2815),
    [anon_sym_SQUOTE] = ACTIONS(2815),
    [anon_sym_L_DQUOTE] = ACTIONS(2815),
    [anon_sym_u_DQUOTE] = ACTIONS(2815),
    [anon_sym_U_DQUOTE] = ACTIONS(2815),
    [anon_sym_u8_DQUOTE] = ACTIONS(2815),
    [anon_sym_DQUOTE] = ACTIONS(2815),
    [sym_true] = ACTIONS(2813),
    [sym_false] = ACTIONS(2813),
    [anon_sym_NULL] = ACTIONS(2813),
    [anon_sym_nullptr] = ACTIONS(2813),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2813),
    [anon_sym_decltype] = ACTIONS(2813),
    [anon_sym_virtual] = ACTIONS(2813),
    [anon_sym_alignas] = ACTIONS(2813),
    [anon_sym_explicit] = ACTIONS(2813),
    [anon_sym_typename] = ACTIONS(2813),
    [anon_sym_template] = ACTIONS(2813),
    [anon_sym_operator] = ACTIONS(2813),
    [anon_sym_try] = ACTIONS(2813),
    [anon_sym_delete] = ACTIONS(2813),
    [anon_sym_throw] = ACTIONS(2813),
    [anon_sym_namespace] = ACTIONS(2813),
    [anon_sym_using] = ACTIONS(2813),
    [anon_sym_static_assert] = ACTIONS(2813),
    [anon_sym_concept] = ACTIONS(2813),
    [anon_sym_co_return] = ACTIONS(2813),
    [anon_sym_co_yield] = ACTIONS(2813),
    [anon_sym_R_DQUOTE] = ACTIONS(2815),
    [anon_sym_LR_DQUOTE] = ACTIONS(2815),
    [anon_sym_uR_DQUOTE] = ACTIONS(2815),
    [anon_sym_UR_DQUOTE] = ACTIONS(2815),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2815),
    [anon_sym_co_await] = ACTIONS(2813),
    [anon_sym_new] = ACTIONS(2813),
    [anon_sym_requires] = ACTIONS(2813),
    [sym_this] = ACTIONS(2813),
    [anon_sym_discard] = ACTIONS(2813),
    [anon_sym_precise] = ACTIONS(2813),
    [anon_sym_shared] = ACTIONS(2813),
    [anon_sym_groupshared] = ACTIONS(2813),
    [anon_sym_uniform] = ACTIONS(2813),
    [anon_sym_row_major] = ACTIONS(2813),
    [anon_sym_column_major] = ACTIONS(2813),
    [anon_sym_globallycoherent] = ACTIONS(2813),
    [anon_sym_centroid] = ACTIONS(2813),
    [anon_sym_noperspective] = ACTIONS(2813),
    [anon_sym_nointerpolation] = ACTIONS(2813),
    [anon_sym_sample] = ACTIONS(2813),
    [anon_sym_linear] = ACTIONS(2813),
    [anon_sym_snorm] = ACTIONS(2813),
    [anon_sym_unorm] = ACTIONS(2813),
    [anon_sym_point] = ACTIONS(2813),
    [anon_sym_line] = ACTIONS(2813),
    [anon_sym_triangleadj] = ACTIONS(2813),
    [anon_sym_lineadj] = ACTIONS(2813),
    [anon_sym_triangle] = ACTIONS(2813),
    [anon_sym_cbuffer] = ACTIONS(2813),
  },
  [1068] = {
    [sym_identifier] = ACTIONS(2765),
    [aux_sym_preproc_include_token1] = ACTIONS(2765),
    [aux_sym_preproc_def_token1] = ACTIONS(2765),
    [aux_sym_preproc_if_token1] = ACTIONS(2765),
    [aux_sym_preproc_if_token2] = ACTIONS(2765),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2765),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2765),
    [sym_preproc_directive] = ACTIONS(2765),
    [anon_sym_LPAREN2] = ACTIONS(2767),
    [anon_sym_BANG] = ACTIONS(2767),
    [anon_sym_TILDE] = ACTIONS(2767),
    [anon_sym_DASH] = ACTIONS(2765),
    [anon_sym_PLUS] = ACTIONS(2765),
    [anon_sym_STAR] = ACTIONS(2767),
    [anon_sym_AMP_AMP] = ACTIONS(2767),
    [anon_sym_AMP] = ACTIONS(2765),
    [anon_sym_SEMI] = ACTIONS(2767),
    [anon_sym___extension__] = ACTIONS(2765),
    [anon_sym_typedef] = ACTIONS(2765),
    [anon_sym_in] = ACTIONS(2765),
    [anon_sym_out] = ACTIONS(2765),
    [anon_sym_inout] = ACTIONS(2765),
    [anon_sym_extern] = ACTIONS(2765),
    [anon_sym___attribute__] = ACTIONS(2765),
    [anon_sym_COLON_COLON] = ACTIONS(2767),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2767),
    [anon_sym___declspec] = ACTIONS(2765),
    [anon_sym___based] = ACTIONS(2765),
    [anon_sym___cdecl] = ACTIONS(2765),
    [anon_sym___clrcall] = ACTIONS(2765),
    [anon_sym___stdcall] = ACTIONS(2765),
    [anon_sym___fastcall] = ACTIONS(2765),
    [anon_sym___thiscall] = ACTIONS(2765),
    [anon_sym___vectorcall] = ACTIONS(2765),
    [anon_sym_LBRACE] = ACTIONS(2767),
    [anon_sym_signed] = ACTIONS(2765),
    [anon_sym_unsigned] = ACTIONS(2765),
    [anon_sym_long] = ACTIONS(2765),
    [anon_sym_short] = ACTIONS(2765),
    [anon_sym_LBRACK] = ACTIONS(2765),
    [anon_sym_static] = ACTIONS(2765),
    [anon_sym_register] = ACTIONS(2765),
    [anon_sym_inline] = ACTIONS(2765),
    [anon_sym___inline] = ACTIONS(2765),
    [anon_sym___inline__] = ACTIONS(2765),
    [anon_sym___forceinline] = ACTIONS(2765),
    [anon_sym_thread_local] = ACTIONS(2765),
    [anon_sym___thread] = ACTIONS(2765),
    [anon_sym_const] = ACTIONS(2765),
    [anon_sym_constexpr] = ACTIONS(2765),
    [anon_sym_volatile] = ACTIONS(2765),
    [anon_sym_restrict] = ACTIONS(2765),
    [anon_sym___restrict__] = ACTIONS(2765),
    [anon_sym__Atomic] = ACTIONS(2765),
    [anon_sym__Noreturn] = ACTIONS(2765),
    [anon_sym_noreturn] = ACTIONS(2765),
    [anon_sym_mutable] = ACTIONS(2765),
    [anon_sym_constinit] = ACTIONS(2765),
    [anon_sym_consteval] = ACTIONS(2765),
    [sym_primitive_type] = ACTIONS(2765),
    [anon_sym_enum] = ACTIONS(2765),
    [anon_sym_class] = ACTIONS(2765),
    [anon_sym_struct] = ACTIONS(2765),
    [anon_sym_union] = ACTIONS(2765),
    [anon_sym_if] = ACTIONS(2765),
    [anon_sym_switch] = ACTIONS(2765),
    [anon_sym_case] = ACTIONS(2765),
    [anon_sym_default] = ACTIONS(2765),
    [anon_sym_while] = ACTIONS(2765),
    [anon_sym_do] = ACTIONS(2765),
    [anon_sym_for] = ACTIONS(2765),
    [anon_sym_return] = ACTIONS(2765),
    [anon_sym_break] = ACTIONS(2765),
    [anon_sym_continue] = ACTIONS(2765),
    [anon_sym_goto] = ACTIONS(2765),
    [anon_sym___try] = ACTIONS(2765),
    [anon_sym___leave] = ACTIONS(2765),
    [anon_sym_not] = ACTIONS(2765),
    [anon_sym_compl] = ACTIONS(2765),
    [anon_sym_DASH_DASH] = ACTIONS(2767),
    [anon_sym_PLUS_PLUS] = ACTIONS(2767),
    [anon_sym_sizeof] = ACTIONS(2765),
    [anon_sym___alignof__] = ACTIONS(2765),
    [anon_sym___alignof] = ACTIONS(2765),
    [anon_sym__alignof] = ACTIONS(2765),
    [anon_sym_alignof] = ACTIONS(2765),
    [anon_sym__Alignof] = ACTIONS(2765),
    [anon_sym_offsetof] = ACTIONS(2765),
    [anon_sym__Generic] = ACTIONS(2765),
    [anon_sym_asm] = ACTIONS(2765),
    [anon_sym___asm__] = ACTIONS(2765),
    [sym_number_literal] = ACTIONS(2767),
    [anon_sym_L_SQUOTE] = ACTIONS(2767),
    [anon_sym_u_SQUOTE] = ACTIONS(2767),
    [anon_sym_U_SQUOTE] = ACTIONS(2767),
    [anon_sym_u8_SQUOTE] = ACTIONS(2767),
    [anon_sym_SQUOTE] = ACTIONS(2767),
    [anon_sym_L_DQUOTE] = ACTIONS(2767),
    [anon_sym_u_DQUOTE] = ACTIONS(2767),
    [anon_sym_U_DQUOTE] = ACTIONS(2767),
    [anon_sym_u8_DQUOTE] = ACTIONS(2767),
    [anon_sym_DQUOTE] = ACTIONS(2767),
    [sym_true] = ACTIONS(2765),
    [sym_false] = ACTIONS(2765),
    [anon_sym_NULL] = ACTIONS(2765),
    [anon_sym_nullptr] = ACTIONS(2765),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2765),
    [anon_sym_decltype] = ACTIONS(2765),
    [anon_sym_virtual] = ACTIONS(2765),
    [anon_sym_alignas] = ACTIONS(2765),
    [anon_sym_explicit] = ACTIONS(2765),
    [anon_sym_typename] = ACTIONS(2765),
    [anon_sym_template] = ACTIONS(2765),
    [anon_sym_operator] = ACTIONS(2765),
    [anon_sym_try] = ACTIONS(2765),
    [anon_sym_delete] = ACTIONS(2765),
    [anon_sym_throw] = ACTIONS(2765),
    [anon_sym_namespace] = ACTIONS(2765),
    [anon_sym_using] = ACTIONS(2765),
    [anon_sym_static_assert] = ACTIONS(2765),
    [anon_sym_concept] = ACTIONS(2765),
    [anon_sym_co_return] = ACTIONS(2765),
    [anon_sym_co_yield] = ACTIONS(2765),
    [anon_sym_R_DQUOTE] = ACTIONS(2767),
    [anon_sym_LR_DQUOTE] = ACTIONS(2767),
    [anon_sym_uR_DQUOTE] = ACTIONS(2767),
    [anon_sym_UR_DQUOTE] = ACTIONS(2767),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2767),
    [anon_sym_co_await] = ACTIONS(2765),
    [anon_sym_new] = ACTIONS(2765),
    [anon_sym_requires] = ACTIONS(2765),
    [sym_this] = ACTIONS(2765),
    [anon_sym_discard] = ACTIONS(2765),
    [anon_sym_precise] = ACTIONS(2765),
    [anon_sym_shared] = ACTIONS(2765),
    [anon_sym_groupshared] = ACTIONS(2765),
    [anon_sym_uniform] = ACTIONS(2765),
    [anon_sym_row_major] = ACTIONS(2765),
    [anon_sym_column_major] = ACTIONS(2765),
    [anon_sym_globallycoherent] = ACTIONS(2765),
    [anon_sym_centroid] = ACTIONS(2765),
    [anon_sym_noperspective] = ACTIONS(2765),
    [anon_sym_nointerpolation] = ACTIONS(2765),
    [anon_sym_sample] = ACTIONS(2765),
    [anon_sym_linear] = ACTIONS(2765),
    [anon_sym_snorm] = ACTIONS(2765),
    [anon_sym_unorm] = ACTIONS(2765),
    [anon_sym_point] = ACTIONS(2765),
    [anon_sym_line] = ACTIONS(2765),
    [anon_sym_triangleadj] = ACTIONS(2765),
    [anon_sym_lineadj] = ACTIONS(2765),
    [anon_sym_triangle] = ACTIONS(2765),
    [anon_sym_cbuffer] = ACTIONS(2765),
  },
  [1069] = {
    [sym_identifier] = ACTIONS(2813),
    [aux_sym_preproc_include_token1] = ACTIONS(2813),
    [aux_sym_preproc_def_token1] = ACTIONS(2813),
    [aux_sym_preproc_if_token1] = ACTIONS(2813),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2813),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2813),
    [sym_preproc_directive] = ACTIONS(2813),
    [anon_sym_LPAREN2] = ACTIONS(2815),
    [anon_sym_BANG] = ACTIONS(2815),
    [anon_sym_TILDE] = ACTIONS(2815),
    [anon_sym_DASH] = ACTIONS(2813),
    [anon_sym_PLUS] = ACTIONS(2813),
    [anon_sym_STAR] = ACTIONS(2815),
    [anon_sym_AMP_AMP] = ACTIONS(2815),
    [anon_sym_AMP] = ACTIONS(2813),
    [anon_sym_SEMI] = ACTIONS(2815),
    [anon_sym___extension__] = ACTIONS(2813),
    [anon_sym_typedef] = ACTIONS(2813),
    [anon_sym_in] = ACTIONS(2813),
    [anon_sym_out] = ACTIONS(2813),
    [anon_sym_inout] = ACTIONS(2813),
    [anon_sym_extern] = ACTIONS(2813),
    [anon_sym___attribute__] = ACTIONS(2813),
    [anon_sym_COLON_COLON] = ACTIONS(2815),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2815),
    [anon_sym___declspec] = ACTIONS(2813),
    [anon_sym___based] = ACTIONS(2813),
    [anon_sym___cdecl] = ACTIONS(2813),
    [anon_sym___clrcall] = ACTIONS(2813),
    [anon_sym___stdcall] = ACTIONS(2813),
    [anon_sym___fastcall] = ACTIONS(2813),
    [anon_sym___thiscall] = ACTIONS(2813),
    [anon_sym___vectorcall] = ACTIONS(2813),
    [anon_sym_LBRACE] = ACTIONS(2815),
    [anon_sym_RBRACE] = ACTIONS(2815),
    [anon_sym_signed] = ACTIONS(2813),
    [anon_sym_unsigned] = ACTIONS(2813),
    [anon_sym_long] = ACTIONS(2813),
    [anon_sym_short] = ACTIONS(2813),
    [anon_sym_LBRACK] = ACTIONS(2813),
    [anon_sym_static] = ACTIONS(2813),
    [anon_sym_register] = ACTIONS(2813),
    [anon_sym_inline] = ACTIONS(2813),
    [anon_sym___inline] = ACTIONS(2813),
    [anon_sym___inline__] = ACTIONS(2813),
    [anon_sym___forceinline] = ACTIONS(2813),
    [anon_sym_thread_local] = ACTIONS(2813),
    [anon_sym___thread] = ACTIONS(2813),
    [anon_sym_const] = ACTIONS(2813),
    [anon_sym_constexpr] = ACTIONS(2813),
    [anon_sym_volatile] = ACTIONS(2813),
    [anon_sym_restrict] = ACTIONS(2813),
    [anon_sym___restrict__] = ACTIONS(2813),
    [anon_sym__Atomic] = ACTIONS(2813),
    [anon_sym__Noreturn] = ACTIONS(2813),
    [anon_sym_noreturn] = ACTIONS(2813),
    [anon_sym_mutable] = ACTIONS(2813),
    [anon_sym_constinit] = ACTIONS(2813),
    [anon_sym_consteval] = ACTIONS(2813),
    [sym_primitive_type] = ACTIONS(2813),
    [anon_sym_enum] = ACTIONS(2813),
    [anon_sym_class] = ACTIONS(2813),
    [anon_sym_struct] = ACTIONS(2813),
    [anon_sym_union] = ACTIONS(2813),
    [anon_sym_if] = ACTIONS(2813),
    [anon_sym_switch] = ACTIONS(2813),
    [anon_sym_case] = ACTIONS(2813),
    [anon_sym_default] = ACTIONS(2813),
    [anon_sym_while] = ACTIONS(2813),
    [anon_sym_do] = ACTIONS(2813),
    [anon_sym_for] = ACTIONS(2813),
    [anon_sym_return] = ACTIONS(2813),
    [anon_sym_break] = ACTIONS(2813),
    [anon_sym_continue] = ACTIONS(2813),
    [anon_sym_goto] = ACTIONS(2813),
    [anon_sym___try] = ACTIONS(2813),
    [anon_sym___leave] = ACTIONS(2813),
    [anon_sym_not] = ACTIONS(2813),
    [anon_sym_compl] = ACTIONS(2813),
    [anon_sym_DASH_DASH] = ACTIONS(2815),
    [anon_sym_PLUS_PLUS] = ACTIONS(2815),
    [anon_sym_sizeof] = ACTIONS(2813),
    [anon_sym___alignof__] = ACTIONS(2813),
    [anon_sym___alignof] = ACTIONS(2813),
    [anon_sym__alignof] = ACTIONS(2813),
    [anon_sym_alignof] = ACTIONS(2813),
    [anon_sym__Alignof] = ACTIONS(2813),
    [anon_sym_offsetof] = ACTIONS(2813),
    [anon_sym__Generic] = ACTIONS(2813),
    [anon_sym_asm] = ACTIONS(2813),
    [anon_sym___asm__] = ACTIONS(2813),
    [sym_number_literal] = ACTIONS(2815),
    [anon_sym_L_SQUOTE] = ACTIONS(2815),
    [anon_sym_u_SQUOTE] = ACTIONS(2815),
    [anon_sym_U_SQUOTE] = ACTIONS(2815),
    [anon_sym_u8_SQUOTE] = ACTIONS(2815),
    [anon_sym_SQUOTE] = ACTIONS(2815),
    [anon_sym_L_DQUOTE] = ACTIONS(2815),
    [anon_sym_u_DQUOTE] = ACTIONS(2815),
    [anon_sym_U_DQUOTE] = ACTIONS(2815),
    [anon_sym_u8_DQUOTE] = ACTIONS(2815),
    [anon_sym_DQUOTE] = ACTIONS(2815),
    [sym_true] = ACTIONS(2813),
    [sym_false] = ACTIONS(2813),
    [anon_sym_NULL] = ACTIONS(2813),
    [anon_sym_nullptr] = ACTIONS(2813),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2813),
    [anon_sym_decltype] = ACTIONS(2813),
    [anon_sym_virtual] = ACTIONS(2813),
    [anon_sym_alignas] = ACTIONS(2813),
    [anon_sym_explicit] = ACTIONS(2813),
    [anon_sym_typename] = ACTIONS(2813),
    [anon_sym_template] = ACTIONS(2813),
    [anon_sym_operator] = ACTIONS(2813),
    [anon_sym_try] = ACTIONS(2813),
    [anon_sym_delete] = ACTIONS(2813),
    [anon_sym_throw] = ACTIONS(2813),
    [anon_sym_namespace] = ACTIONS(2813),
    [anon_sym_using] = ACTIONS(2813),
    [anon_sym_static_assert] = ACTIONS(2813),
    [anon_sym_concept] = ACTIONS(2813),
    [anon_sym_co_return] = ACTIONS(2813),
    [anon_sym_co_yield] = ACTIONS(2813),
    [anon_sym_R_DQUOTE] = ACTIONS(2815),
    [anon_sym_LR_DQUOTE] = ACTIONS(2815),
    [anon_sym_uR_DQUOTE] = ACTIONS(2815),
    [anon_sym_UR_DQUOTE] = ACTIONS(2815),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2815),
    [anon_sym_co_await] = ACTIONS(2813),
    [anon_sym_new] = ACTIONS(2813),
    [anon_sym_requires] = ACTIONS(2813),
    [sym_this] = ACTIONS(2813),
    [anon_sym_discard] = ACTIONS(2813),
    [anon_sym_precise] = ACTIONS(2813),
    [anon_sym_shared] = ACTIONS(2813),
    [anon_sym_groupshared] = ACTIONS(2813),
    [anon_sym_uniform] = ACTIONS(2813),
    [anon_sym_row_major] = ACTIONS(2813),
    [anon_sym_column_major] = ACTIONS(2813),
    [anon_sym_globallycoherent] = ACTIONS(2813),
    [anon_sym_centroid] = ACTIONS(2813),
    [anon_sym_noperspective] = ACTIONS(2813),
    [anon_sym_nointerpolation] = ACTIONS(2813),
    [anon_sym_sample] = ACTIONS(2813),
    [anon_sym_linear] = ACTIONS(2813),
    [anon_sym_snorm] = ACTIONS(2813),
    [anon_sym_unorm] = ACTIONS(2813),
    [anon_sym_point] = ACTIONS(2813),
    [anon_sym_line] = ACTIONS(2813),
    [anon_sym_triangleadj] = ACTIONS(2813),
    [anon_sym_lineadj] = ACTIONS(2813),
    [anon_sym_triangle] = ACTIONS(2813),
    [anon_sym_cbuffer] = ACTIONS(2813),
  },
  [1070] = {
    [sym_identifier] = ACTIONS(2641),
    [aux_sym_preproc_include_token1] = ACTIONS(2641),
    [aux_sym_preproc_def_token1] = ACTIONS(2641),
    [aux_sym_preproc_if_token1] = ACTIONS(2641),
    [aux_sym_preproc_if_token2] = ACTIONS(2641),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2641),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2641),
    [sym_preproc_directive] = ACTIONS(2641),
    [anon_sym_LPAREN2] = ACTIONS(2643),
    [anon_sym_BANG] = ACTIONS(2643),
    [anon_sym_TILDE] = ACTIONS(2643),
    [anon_sym_DASH] = ACTIONS(2641),
    [anon_sym_PLUS] = ACTIONS(2641),
    [anon_sym_STAR] = ACTIONS(2643),
    [anon_sym_AMP_AMP] = ACTIONS(2643),
    [anon_sym_AMP] = ACTIONS(2641),
    [anon_sym_SEMI] = ACTIONS(2643),
    [anon_sym___extension__] = ACTIONS(2641),
    [anon_sym_typedef] = ACTIONS(2641),
    [anon_sym_in] = ACTIONS(2641),
    [anon_sym_out] = ACTIONS(2641),
    [anon_sym_inout] = ACTIONS(2641),
    [anon_sym_extern] = ACTIONS(2641),
    [anon_sym___attribute__] = ACTIONS(2641),
    [anon_sym_COLON_COLON] = ACTIONS(2643),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2643),
    [anon_sym___declspec] = ACTIONS(2641),
    [anon_sym___based] = ACTIONS(2641),
    [anon_sym___cdecl] = ACTIONS(2641),
    [anon_sym___clrcall] = ACTIONS(2641),
    [anon_sym___stdcall] = ACTIONS(2641),
    [anon_sym___fastcall] = ACTIONS(2641),
    [anon_sym___thiscall] = ACTIONS(2641),
    [anon_sym___vectorcall] = ACTIONS(2641),
    [anon_sym_LBRACE] = ACTIONS(2643),
    [anon_sym_signed] = ACTIONS(2641),
    [anon_sym_unsigned] = ACTIONS(2641),
    [anon_sym_long] = ACTIONS(2641),
    [anon_sym_short] = ACTIONS(2641),
    [anon_sym_LBRACK] = ACTIONS(2641),
    [anon_sym_static] = ACTIONS(2641),
    [anon_sym_register] = ACTIONS(2641),
    [anon_sym_inline] = ACTIONS(2641),
    [anon_sym___inline] = ACTIONS(2641),
    [anon_sym___inline__] = ACTIONS(2641),
    [anon_sym___forceinline] = ACTIONS(2641),
    [anon_sym_thread_local] = ACTIONS(2641),
    [anon_sym___thread] = ACTIONS(2641),
    [anon_sym_const] = ACTIONS(2641),
    [anon_sym_constexpr] = ACTIONS(2641),
    [anon_sym_volatile] = ACTIONS(2641),
    [anon_sym_restrict] = ACTIONS(2641),
    [anon_sym___restrict__] = ACTIONS(2641),
    [anon_sym__Atomic] = ACTIONS(2641),
    [anon_sym__Noreturn] = ACTIONS(2641),
    [anon_sym_noreturn] = ACTIONS(2641),
    [anon_sym_mutable] = ACTIONS(2641),
    [anon_sym_constinit] = ACTIONS(2641),
    [anon_sym_consteval] = ACTIONS(2641),
    [sym_primitive_type] = ACTIONS(2641),
    [anon_sym_enum] = ACTIONS(2641),
    [anon_sym_class] = ACTIONS(2641),
    [anon_sym_struct] = ACTIONS(2641),
    [anon_sym_union] = ACTIONS(2641),
    [anon_sym_if] = ACTIONS(2641),
    [anon_sym_switch] = ACTIONS(2641),
    [anon_sym_case] = ACTIONS(2641),
    [anon_sym_default] = ACTIONS(2641),
    [anon_sym_while] = ACTIONS(2641),
    [anon_sym_do] = ACTIONS(2641),
    [anon_sym_for] = ACTIONS(2641),
    [anon_sym_return] = ACTIONS(2641),
    [anon_sym_break] = ACTIONS(2641),
    [anon_sym_continue] = ACTIONS(2641),
    [anon_sym_goto] = ACTIONS(2641),
    [anon_sym___try] = ACTIONS(2641),
    [anon_sym___leave] = ACTIONS(2641),
    [anon_sym_not] = ACTIONS(2641),
    [anon_sym_compl] = ACTIONS(2641),
    [anon_sym_DASH_DASH] = ACTIONS(2643),
    [anon_sym_PLUS_PLUS] = ACTIONS(2643),
    [anon_sym_sizeof] = ACTIONS(2641),
    [anon_sym___alignof__] = ACTIONS(2641),
    [anon_sym___alignof] = ACTIONS(2641),
    [anon_sym__alignof] = ACTIONS(2641),
    [anon_sym_alignof] = ACTIONS(2641),
    [anon_sym__Alignof] = ACTIONS(2641),
    [anon_sym_offsetof] = ACTIONS(2641),
    [anon_sym__Generic] = ACTIONS(2641),
    [anon_sym_asm] = ACTIONS(2641),
    [anon_sym___asm__] = ACTIONS(2641),
    [sym_number_literal] = ACTIONS(2643),
    [anon_sym_L_SQUOTE] = ACTIONS(2643),
    [anon_sym_u_SQUOTE] = ACTIONS(2643),
    [anon_sym_U_SQUOTE] = ACTIONS(2643),
    [anon_sym_u8_SQUOTE] = ACTIONS(2643),
    [anon_sym_SQUOTE] = ACTIONS(2643),
    [anon_sym_L_DQUOTE] = ACTIONS(2643),
    [anon_sym_u_DQUOTE] = ACTIONS(2643),
    [anon_sym_U_DQUOTE] = ACTIONS(2643),
    [anon_sym_u8_DQUOTE] = ACTIONS(2643),
    [anon_sym_DQUOTE] = ACTIONS(2643),
    [sym_true] = ACTIONS(2641),
    [sym_false] = ACTIONS(2641),
    [anon_sym_NULL] = ACTIONS(2641),
    [anon_sym_nullptr] = ACTIONS(2641),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2641),
    [anon_sym_decltype] = ACTIONS(2641),
    [anon_sym_virtual] = ACTIONS(2641),
    [anon_sym_alignas] = ACTIONS(2641),
    [anon_sym_explicit] = ACTIONS(2641),
    [anon_sym_typename] = ACTIONS(2641),
    [anon_sym_template] = ACTIONS(2641),
    [anon_sym_operator] = ACTIONS(2641),
    [anon_sym_try] = ACTIONS(2641),
    [anon_sym_delete] = ACTIONS(2641),
    [anon_sym_throw] = ACTIONS(2641),
    [anon_sym_namespace] = ACTIONS(2641),
    [anon_sym_using] = ACTIONS(2641),
    [anon_sym_static_assert] = ACTIONS(2641),
    [anon_sym_concept] = ACTIONS(2641),
    [anon_sym_co_return] = ACTIONS(2641),
    [anon_sym_co_yield] = ACTIONS(2641),
    [anon_sym_R_DQUOTE] = ACTIONS(2643),
    [anon_sym_LR_DQUOTE] = ACTIONS(2643),
    [anon_sym_uR_DQUOTE] = ACTIONS(2643),
    [anon_sym_UR_DQUOTE] = ACTIONS(2643),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2643),
    [anon_sym_co_await] = ACTIONS(2641),
    [anon_sym_new] = ACTIONS(2641),
    [anon_sym_requires] = ACTIONS(2641),
    [sym_this] = ACTIONS(2641),
    [anon_sym_discard] = ACTIONS(2641),
    [anon_sym_precise] = ACTIONS(2641),
    [anon_sym_shared] = ACTIONS(2641),
    [anon_sym_groupshared] = ACTIONS(2641),
    [anon_sym_uniform] = ACTIONS(2641),
    [anon_sym_row_major] = ACTIONS(2641),
    [anon_sym_column_major] = ACTIONS(2641),
    [anon_sym_globallycoherent] = ACTIONS(2641),
    [anon_sym_centroid] = ACTIONS(2641),
    [anon_sym_noperspective] = ACTIONS(2641),
    [anon_sym_nointerpolation] = ACTIONS(2641),
    [anon_sym_sample] = ACTIONS(2641),
    [anon_sym_linear] = ACTIONS(2641),
    [anon_sym_snorm] = ACTIONS(2641),
    [anon_sym_unorm] = ACTIONS(2641),
    [anon_sym_point] = ACTIONS(2641),
    [anon_sym_line] = ACTIONS(2641),
    [anon_sym_triangleadj] = ACTIONS(2641),
    [anon_sym_lineadj] = ACTIONS(2641),
    [anon_sym_triangle] = ACTIONS(2641),
    [anon_sym_cbuffer] = ACTIONS(2641),
  },
  [1071] = {
    [sym_identifier] = ACTIONS(2721),
    [aux_sym_preproc_include_token1] = ACTIONS(2721),
    [aux_sym_preproc_def_token1] = ACTIONS(2721),
    [aux_sym_preproc_if_token1] = ACTIONS(2721),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2721),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2721),
    [sym_preproc_directive] = ACTIONS(2721),
    [anon_sym_LPAREN2] = ACTIONS(2723),
    [anon_sym_BANG] = ACTIONS(2723),
    [anon_sym_TILDE] = ACTIONS(2723),
    [anon_sym_DASH] = ACTIONS(2721),
    [anon_sym_PLUS] = ACTIONS(2721),
    [anon_sym_STAR] = ACTIONS(2723),
    [anon_sym_AMP_AMP] = ACTIONS(2723),
    [anon_sym_AMP] = ACTIONS(2721),
    [anon_sym_SEMI] = ACTIONS(2723),
    [anon_sym___extension__] = ACTIONS(2721),
    [anon_sym_typedef] = ACTIONS(2721),
    [anon_sym_in] = ACTIONS(2721),
    [anon_sym_out] = ACTIONS(2721),
    [anon_sym_inout] = ACTIONS(2721),
    [anon_sym_extern] = ACTIONS(2721),
    [anon_sym___attribute__] = ACTIONS(2721),
    [anon_sym_COLON_COLON] = ACTIONS(2723),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2723),
    [anon_sym___declspec] = ACTIONS(2721),
    [anon_sym___based] = ACTIONS(2721),
    [anon_sym___cdecl] = ACTIONS(2721),
    [anon_sym___clrcall] = ACTIONS(2721),
    [anon_sym___stdcall] = ACTIONS(2721),
    [anon_sym___fastcall] = ACTIONS(2721),
    [anon_sym___thiscall] = ACTIONS(2721),
    [anon_sym___vectorcall] = ACTIONS(2721),
    [anon_sym_LBRACE] = ACTIONS(2723),
    [anon_sym_RBRACE] = ACTIONS(2723),
    [anon_sym_signed] = ACTIONS(2721),
    [anon_sym_unsigned] = ACTIONS(2721),
    [anon_sym_long] = ACTIONS(2721),
    [anon_sym_short] = ACTIONS(2721),
    [anon_sym_LBRACK] = ACTIONS(2721),
    [anon_sym_static] = ACTIONS(2721),
    [anon_sym_register] = ACTIONS(2721),
    [anon_sym_inline] = ACTIONS(2721),
    [anon_sym___inline] = ACTIONS(2721),
    [anon_sym___inline__] = ACTIONS(2721),
    [anon_sym___forceinline] = ACTIONS(2721),
    [anon_sym_thread_local] = ACTIONS(2721),
    [anon_sym___thread] = ACTIONS(2721),
    [anon_sym_const] = ACTIONS(2721),
    [anon_sym_constexpr] = ACTIONS(2721),
    [anon_sym_volatile] = ACTIONS(2721),
    [anon_sym_restrict] = ACTIONS(2721),
    [anon_sym___restrict__] = ACTIONS(2721),
    [anon_sym__Atomic] = ACTIONS(2721),
    [anon_sym__Noreturn] = ACTIONS(2721),
    [anon_sym_noreturn] = ACTIONS(2721),
    [anon_sym_mutable] = ACTIONS(2721),
    [anon_sym_constinit] = ACTIONS(2721),
    [anon_sym_consteval] = ACTIONS(2721),
    [sym_primitive_type] = ACTIONS(2721),
    [anon_sym_enum] = ACTIONS(2721),
    [anon_sym_class] = ACTIONS(2721),
    [anon_sym_struct] = ACTIONS(2721),
    [anon_sym_union] = ACTIONS(2721),
    [anon_sym_if] = ACTIONS(2721),
    [anon_sym_switch] = ACTIONS(2721),
    [anon_sym_case] = ACTIONS(2721),
    [anon_sym_default] = ACTIONS(2721),
    [anon_sym_while] = ACTIONS(2721),
    [anon_sym_do] = ACTIONS(2721),
    [anon_sym_for] = ACTIONS(2721),
    [anon_sym_return] = ACTIONS(2721),
    [anon_sym_break] = ACTIONS(2721),
    [anon_sym_continue] = ACTIONS(2721),
    [anon_sym_goto] = ACTIONS(2721),
    [anon_sym___try] = ACTIONS(2721),
    [anon_sym___leave] = ACTIONS(2721),
    [anon_sym_not] = ACTIONS(2721),
    [anon_sym_compl] = ACTIONS(2721),
    [anon_sym_DASH_DASH] = ACTIONS(2723),
    [anon_sym_PLUS_PLUS] = ACTIONS(2723),
    [anon_sym_sizeof] = ACTIONS(2721),
    [anon_sym___alignof__] = ACTIONS(2721),
    [anon_sym___alignof] = ACTIONS(2721),
    [anon_sym__alignof] = ACTIONS(2721),
    [anon_sym_alignof] = ACTIONS(2721),
    [anon_sym__Alignof] = ACTIONS(2721),
    [anon_sym_offsetof] = ACTIONS(2721),
    [anon_sym__Generic] = ACTIONS(2721),
    [anon_sym_asm] = ACTIONS(2721),
    [anon_sym___asm__] = ACTIONS(2721),
    [sym_number_literal] = ACTIONS(2723),
    [anon_sym_L_SQUOTE] = ACTIONS(2723),
    [anon_sym_u_SQUOTE] = ACTIONS(2723),
    [anon_sym_U_SQUOTE] = ACTIONS(2723),
    [anon_sym_u8_SQUOTE] = ACTIONS(2723),
    [anon_sym_SQUOTE] = ACTIONS(2723),
    [anon_sym_L_DQUOTE] = ACTIONS(2723),
    [anon_sym_u_DQUOTE] = ACTIONS(2723),
    [anon_sym_U_DQUOTE] = ACTIONS(2723),
    [anon_sym_u8_DQUOTE] = ACTIONS(2723),
    [anon_sym_DQUOTE] = ACTIONS(2723),
    [sym_true] = ACTIONS(2721),
    [sym_false] = ACTIONS(2721),
    [anon_sym_NULL] = ACTIONS(2721),
    [anon_sym_nullptr] = ACTIONS(2721),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2721),
    [anon_sym_decltype] = ACTIONS(2721),
    [anon_sym_virtual] = ACTIONS(2721),
    [anon_sym_alignas] = ACTIONS(2721),
    [anon_sym_explicit] = ACTIONS(2721),
    [anon_sym_typename] = ACTIONS(2721),
    [anon_sym_template] = ACTIONS(2721),
    [anon_sym_operator] = ACTIONS(2721),
    [anon_sym_try] = ACTIONS(2721),
    [anon_sym_delete] = ACTIONS(2721),
    [anon_sym_throw] = ACTIONS(2721),
    [anon_sym_namespace] = ACTIONS(2721),
    [anon_sym_using] = ACTIONS(2721),
    [anon_sym_static_assert] = ACTIONS(2721),
    [anon_sym_concept] = ACTIONS(2721),
    [anon_sym_co_return] = ACTIONS(2721),
    [anon_sym_co_yield] = ACTIONS(2721),
    [anon_sym_R_DQUOTE] = ACTIONS(2723),
    [anon_sym_LR_DQUOTE] = ACTIONS(2723),
    [anon_sym_uR_DQUOTE] = ACTIONS(2723),
    [anon_sym_UR_DQUOTE] = ACTIONS(2723),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2723),
    [anon_sym_co_await] = ACTIONS(2721),
    [anon_sym_new] = ACTIONS(2721),
    [anon_sym_requires] = ACTIONS(2721),
    [sym_this] = ACTIONS(2721),
    [anon_sym_discard] = ACTIONS(2721),
    [anon_sym_precise] = ACTIONS(2721),
    [anon_sym_shared] = ACTIONS(2721),
    [anon_sym_groupshared] = ACTIONS(2721),
    [anon_sym_uniform] = ACTIONS(2721),
    [anon_sym_row_major] = ACTIONS(2721),
    [anon_sym_column_major] = ACTIONS(2721),
    [anon_sym_globallycoherent] = ACTIONS(2721),
    [anon_sym_centroid] = ACTIONS(2721),
    [anon_sym_noperspective] = ACTIONS(2721),
    [anon_sym_nointerpolation] = ACTIONS(2721),
    [anon_sym_sample] = ACTIONS(2721),
    [anon_sym_linear] = ACTIONS(2721),
    [anon_sym_snorm] = ACTIONS(2721),
    [anon_sym_unorm] = ACTIONS(2721),
    [anon_sym_point] = ACTIONS(2721),
    [anon_sym_line] = ACTIONS(2721),
    [anon_sym_triangleadj] = ACTIONS(2721),
    [anon_sym_lineadj] = ACTIONS(2721),
    [anon_sym_triangle] = ACTIONS(2721),
    [anon_sym_cbuffer] = ACTIONS(2721),
  },
  [1072] = {
    [sym_identifier] = ACTIONS(2673),
    [aux_sym_preproc_include_token1] = ACTIONS(2673),
    [aux_sym_preproc_def_token1] = ACTIONS(2673),
    [aux_sym_preproc_if_token1] = ACTIONS(2673),
    [aux_sym_preproc_if_token2] = ACTIONS(2673),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2673),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2673),
    [sym_preproc_directive] = ACTIONS(2673),
    [anon_sym_LPAREN2] = ACTIONS(2675),
    [anon_sym_BANG] = ACTIONS(2675),
    [anon_sym_TILDE] = ACTIONS(2675),
    [anon_sym_DASH] = ACTIONS(2673),
    [anon_sym_PLUS] = ACTIONS(2673),
    [anon_sym_STAR] = ACTIONS(2675),
    [anon_sym_AMP_AMP] = ACTIONS(2675),
    [anon_sym_AMP] = ACTIONS(2673),
    [anon_sym_SEMI] = ACTIONS(2675),
    [anon_sym___extension__] = ACTIONS(2673),
    [anon_sym_typedef] = ACTIONS(2673),
    [anon_sym_in] = ACTIONS(2673),
    [anon_sym_out] = ACTIONS(2673),
    [anon_sym_inout] = ACTIONS(2673),
    [anon_sym_extern] = ACTIONS(2673),
    [anon_sym___attribute__] = ACTIONS(2673),
    [anon_sym_COLON_COLON] = ACTIONS(2675),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2675),
    [anon_sym___declspec] = ACTIONS(2673),
    [anon_sym___based] = ACTIONS(2673),
    [anon_sym___cdecl] = ACTIONS(2673),
    [anon_sym___clrcall] = ACTIONS(2673),
    [anon_sym___stdcall] = ACTIONS(2673),
    [anon_sym___fastcall] = ACTIONS(2673),
    [anon_sym___thiscall] = ACTIONS(2673),
    [anon_sym___vectorcall] = ACTIONS(2673),
    [anon_sym_LBRACE] = ACTIONS(2675),
    [anon_sym_signed] = ACTIONS(2673),
    [anon_sym_unsigned] = ACTIONS(2673),
    [anon_sym_long] = ACTIONS(2673),
    [anon_sym_short] = ACTIONS(2673),
    [anon_sym_LBRACK] = ACTIONS(2673),
    [anon_sym_static] = ACTIONS(2673),
    [anon_sym_register] = ACTIONS(2673),
    [anon_sym_inline] = ACTIONS(2673),
    [anon_sym___inline] = ACTIONS(2673),
    [anon_sym___inline__] = ACTIONS(2673),
    [anon_sym___forceinline] = ACTIONS(2673),
    [anon_sym_thread_local] = ACTIONS(2673),
    [anon_sym___thread] = ACTIONS(2673),
    [anon_sym_const] = ACTIONS(2673),
    [anon_sym_constexpr] = ACTIONS(2673),
    [anon_sym_volatile] = ACTIONS(2673),
    [anon_sym_restrict] = ACTIONS(2673),
    [anon_sym___restrict__] = ACTIONS(2673),
    [anon_sym__Atomic] = ACTIONS(2673),
    [anon_sym__Noreturn] = ACTIONS(2673),
    [anon_sym_noreturn] = ACTIONS(2673),
    [anon_sym_mutable] = ACTIONS(2673),
    [anon_sym_constinit] = ACTIONS(2673),
    [anon_sym_consteval] = ACTIONS(2673),
    [sym_primitive_type] = ACTIONS(2673),
    [anon_sym_enum] = ACTIONS(2673),
    [anon_sym_class] = ACTIONS(2673),
    [anon_sym_struct] = ACTIONS(2673),
    [anon_sym_union] = ACTIONS(2673),
    [anon_sym_if] = ACTIONS(2673),
    [anon_sym_switch] = ACTIONS(2673),
    [anon_sym_case] = ACTIONS(2673),
    [anon_sym_default] = ACTIONS(2673),
    [anon_sym_while] = ACTIONS(2673),
    [anon_sym_do] = ACTIONS(2673),
    [anon_sym_for] = ACTIONS(2673),
    [anon_sym_return] = ACTIONS(2673),
    [anon_sym_break] = ACTIONS(2673),
    [anon_sym_continue] = ACTIONS(2673),
    [anon_sym_goto] = ACTIONS(2673),
    [anon_sym___try] = ACTIONS(2673),
    [anon_sym___leave] = ACTIONS(2673),
    [anon_sym_not] = ACTIONS(2673),
    [anon_sym_compl] = ACTIONS(2673),
    [anon_sym_DASH_DASH] = ACTIONS(2675),
    [anon_sym_PLUS_PLUS] = ACTIONS(2675),
    [anon_sym_sizeof] = ACTIONS(2673),
    [anon_sym___alignof__] = ACTIONS(2673),
    [anon_sym___alignof] = ACTIONS(2673),
    [anon_sym__alignof] = ACTIONS(2673),
    [anon_sym_alignof] = ACTIONS(2673),
    [anon_sym__Alignof] = ACTIONS(2673),
    [anon_sym_offsetof] = ACTIONS(2673),
    [anon_sym__Generic] = ACTIONS(2673),
    [anon_sym_asm] = ACTIONS(2673),
    [anon_sym___asm__] = ACTIONS(2673),
    [sym_number_literal] = ACTIONS(2675),
    [anon_sym_L_SQUOTE] = ACTIONS(2675),
    [anon_sym_u_SQUOTE] = ACTIONS(2675),
    [anon_sym_U_SQUOTE] = ACTIONS(2675),
    [anon_sym_u8_SQUOTE] = ACTIONS(2675),
    [anon_sym_SQUOTE] = ACTIONS(2675),
    [anon_sym_L_DQUOTE] = ACTIONS(2675),
    [anon_sym_u_DQUOTE] = ACTIONS(2675),
    [anon_sym_U_DQUOTE] = ACTIONS(2675),
    [anon_sym_u8_DQUOTE] = ACTIONS(2675),
    [anon_sym_DQUOTE] = ACTIONS(2675),
    [sym_true] = ACTIONS(2673),
    [sym_false] = ACTIONS(2673),
    [anon_sym_NULL] = ACTIONS(2673),
    [anon_sym_nullptr] = ACTIONS(2673),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2673),
    [anon_sym_decltype] = ACTIONS(2673),
    [anon_sym_virtual] = ACTIONS(2673),
    [anon_sym_alignas] = ACTIONS(2673),
    [anon_sym_explicit] = ACTIONS(2673),
    [anon_sym_typename] = ACTIONS(2673),
    [anon_sym_template] = ACTIONS(2673),
    [anon_sym_operator] = ACTIONS(2673),
    [anon_sym_try] = ACTIONS(2673),
    [anon_sym_delete] = ACTIONS(2673),
    [anon_sym_throw] = ACTIONS(2673),
    [anon_sym_namespace] = ACTIONS(2673),
    [anon_sym_using] = ACTIONS(2673),
    [anon_sym_static_assert] = ACTIONS(2673),
    [anon_sym_concept] = ACTIONS(2673),
    [anon_sym_co_return] = ACTIONS(2673),
    [anon_sym_co_yield] = ACTIONS(2673),
    [anon_sym_R_DQUOTE] = ACTIONS(2675),
    [anon_sym_LR_DQUOTE] = ACTIONS(2675),
    [anon_sym_uR_DQUOTE] = ACTIONS(2675),
    [anon_sym_UR_DQUOTE] = ACTIONS(2675),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2675),
    [anon_sym_co_await] = ACTIONS(2673),
    [anon_sym_new] = ACTIONS(2673),
    [anon_sym_requires] = ACTIONS(2673),
    [sym_this] = ACTIONS(2673),
    [anon_sym_discard] = ACTIONS(2673),
    [anon_sym_precise] = ACTIONS(2673),
    [anon_sym_shared] = ACTIONS(2673),
    [anon_sym_groupshared] = ACTIONS(2673),
    [anon_sym_uniform] = ACTIONS(2673),
    [anon_sym_row_major] = ACTIONS(2673),
    [anon_sym_column_major] = ACTIONS(2673),
    [anon_sym_globallycoherent] = ACTIONS(2673),
    [anon_sym_centroid] = ACTIONS(2673),
    [anon_sym_noperspective] = ACTIONS(2673),
    [anon_sym_nointerpolation] = ACTIONS(2673),
    [anon_sym_sample] = ACTIONS(2673),
    [anon_sym_linear] = ACTIONS(2673),
    [anon_sym_snorm] = ACTIONS(2673),
    [anon_sym_unorm] = ACTIONS(2673),
    [anon_sym_point] = ACTIONS(2673),
    [anon_sym_line] = ACTIONS(2673),
    [anon_sym_triangleadj] = ACTIONS(2673),
    [anon_sym_lineadj] = ACTIONS(2673),
    [anon_sym_triangle] = ACTIONS(2673),
    [anon_sym_cbuffer] = ACTIONS(2673),
  },
  [1073] = {
    [sym_identifier] = ACTIONS(2604),
    [aux_sym_preproc_include_token1] = ACTIONS(2604),
    [aux_sym_preproc_def_token1] = ACTIONS(2604),
    [aux_sym_preproc_if_token1] = ACTIONS(2604),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2604),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2604),
    [sym_preproc_directive] = ACTIONS(2604),
    [anon_sym_LPAREN2] = ACTIONS(2606),
    [anon_sym_BANG] = ACTIONS(2606),
    [anon_sym_TILDE] = ACTIONS(2606),
    [anon_sym_DASH] = ACTIONS(2604),
    [anon_sym_PLUS] = ACTIONS(2604),
    [anon_sym_STAR] = ACTIONS(2606),
    [anon_sym_AMP_AMP] = ACTIONS(2606),
    [anon_sym_AMP] = ACTIONS(2604),
    [anon_sym_SEMI] = ACTIONS(2606),
    [anon_sym___extension__] = ACTIONS(2604),
    [anon_sym_typedef] = ACTIONS(2604),
    [anon_sym_in] = ACTIONS(2604),
    [anon_sym_out] = ACTIONS(2604),
    [anon_sym_inout] = ACTIONS(2604),
    [anon_sym_extern] = ACTIONS(2604),
    [anon_sym___attribute__] = ACTIONS(2604),
    [anon_sym_COLON_COLON] = ACTIONS(2606),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2606),
    [anon_sym___declspec] = ACTIONS(2604),
    [anon_sym___based] = ACTIONS(2604),
    [anon_sym___cdecl] = ACTIONS(2604),
    [anon_sym___clrcall] = ACTIONS(2604),
    [anon_sym___stdcall] = ACTIONS(2604),
    [anon_sym___fastcall] = ACTIONS(2604),
    [anon_sym___thiscall] = ACTIONS(2604),
    [anon_sym___vectorcall] = ACTIONS(2604),
    [anon_sym_LBRACE] = ACTIONS(2606),
    [anon_sym_RBRACE] = ACTIONS(2606),
    [anon_sym_signed] = ACTIONS(2604),
    [anon_sym_unsigned] = ACTIONS(2604),
    [anon_sym_long] = ACTIONS(2604),
    [anon_sym_short] = ACTIONS(2604),
    [anon_sym_LBRACK] = ACTIONS(2604),
    [anon_sym_static] = ACTIONS(2604),
    [anon_sym_register] = ACTIONS(2604),
    [anon_sym_inline] = ACTIONS(2604),
    [anon_sym___inline] = ACTIONS(2604),
    [anon_sym___inline__] = ACTIONS(2604),
    [anon_sym___forceinline] = ACTIONS(2604),
    [anon_sym_thread_local] = ACTIONS(2604),
    [anon_sym___thread] = ACTIONS(2604),
    [anon_sym_const] = ACTIONS(2604),
    [anon_sym_constexpr] = ACTIONS(2604),
    [anon_sym_volatile] = ACTIONS(2604),
    [anon_sym_restrict] = ACTIONS(2604),
    [anon_sym___restrict__] = ACTIONS(2604),
    [anon_sym__Atomic] = ACTIONS(2604),
    [anon_sym__Noreturn] = ACTIONS(2604),
    [anon_sym_noreturn] = ACTIONS(2604),
    [anon_sym_mutable] = ACTIONS(2604),
    [anon_sym_constinit] = ACTIONS(2604),
    [anon_sym_consteval] = ACTIONS(2604),
    [sym_primitive_type] = ACTIONS(2604),
    [anon_sym_enum] = ACTIONS(2604),
    [anon_sym_class] = ACTIONS(2604),
    [anon_sym_struct] = ACTIONS(2604),
    [anon_sym_union] = ACTIONS(2604),
    [anon_sym_if] = ACTIONS(2604),
    [anon_sym_switch] = ACTIONS(2604),
    [anon_sym_case] = ACTIONS(2604),
    [anon_sym_default] = ACTIONS(2604),
    [anon_sym_while] = ACTIONS(2604),
    [anon_sym_do] = ACTIONS(2604),
    [anon_sym_for] = ACTIONS(2604),
    [anon_sym_return] = ACTIONS(2604),
    [anon_sym_break] = ACTIONS(2604),
    [anon_sym_continue] = ACTIONS(2604),
    [anon_sym_goto] = ACTIONS(2604),
    [anon_sym___try] = ACTIONS(2604),
    [anon_sym___leave] = ACTIONS(2604),
    [anon_sym_not] = ACTIONS(2604),
    [anon_sym_compl] = ACTIONS(2604),
    [anon_sym_DASH_DASH] = ACTIONS(2606),
    [anon_sym_PLUS_PLUS] = ACTIONS(2606),
    [anon_sym_sizeof] = ACTIONS(2604),
    [anon_sym___alignof__] = ACTIONS(2604),
    [anon_sym___alignof] = ACTIONS(2604),
    [anon_sym__alignof] = ACTIONS(2604),
    [anon_sym_alignof] = ACTIONS(2604),
    [anon_sym__Alignof] = ACTIONS(2604),
    [anon_sym_offsetof] = ACTIONS(2604),
    [anon_sym__Generic] = ACTIONS(2604),
    [anon_sym_asm] = ACTIONS(2604),
    [anon_sym___asm__] = ACTIONS(2604),
    [sym_number_literal] = ACTIONS(2606),
    [anon_sym_L_SQUOTE] = ACTIONS(2606),
    [anon_sym_u_SQUOTE] = ACTIONS(2606),
    [anon_sym_U_SQUOTE] = ACTIONS(2606),
    [anon_sym_u8_SQUOTE] = ACTIONS(2606),
    [anon_sym_SQUOTE] = ACTIONS(2606),
    [anon_sym_L_DQUOTE] = ACTIONS(2606),
    [anon_sym_u_DQUOTE] = ACTIONS(2606),
    [anon_sym_U_DQUOTE] = ACTIONS(2606),
    [anon_sym_u8_DQUOTE] = ACTIONS(2606),
    [anon_sym_DQUOTE] = ACTIONS(2606),
    [sym_true] = ACTIONS(2604),
    [sym_false] = ACTIONS(2604),
    [anon_sym_NULL] = ACTIONS(2604),
    [anon_sym_nullptr] = ACTIONS(2604),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2604),
    [anon_sym_decltype] = ACTIONS(2604),
    [anon_sym_virtual] = ACTIONS(2604),
    [anon_sym_alignas] = ACTIONS(2604),
    [anon_sym_explicit] = ACTIONS(2604),
    [anon_sym_typename] = ACTIONS(2604),
    [anon_sym_template] = ACTIONS(2604),
    [anon_sym_operator] = ACTIONS(2604),
    [anon_sym_try] = ACTIONS(2604),
    [anon_sym_delete] = ACTIONS(2604),
    [anon_sym_throw] = ACTIONS(2604),
    [anon_sym_namespace] = ACTIONS(2604),
    [anon_sym_using] = ACTIONS(2604),
    [anon_sym_static_assert] = ACTIONS(2604),
    [anon_sym_concept] = ACTIONS(2604),
    [anon_sym_co_return] = ACTIONS(2604),
    [anon_sym_co_yield] = ACTIONS(2604),
    [anon_sym_R_DQUOTE] = ACTIONS(2606),
    [anon_sym_LR_DQUOTE] = ACTIONS(2606),
    [anon_sym_uR_DQUOTE] = ACTIONS(2606),
    [anon_sym_UR_DQUOTE] = ACTIONS(2606),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2606),
    [anon_sym_co_await] = ACTIONS(2604),
    [anon_sym_new] = ACTIONS(2604),
    [anon_sym_requires] = ACTIONS(2604),
    [sym_this] = ACTIONS(2604),
    [anon_sym_discard] = ACTIONS(2604),
    [anon_sym_precise] = ACTIONS(2604),
    [anon_sym_shared] = ACTIONS(2604),
    [anon_sym_groupshared] = ACTIONS(2604),
    [anon_sym_uniform] = ACTIONS(2604),
    [anon_sym_row_major] = ACTIONS(2604),
    [anon_sym_column_major] = ACTIONS(2604),
    [anon_sym_globallycoherent] = ACTIONS(2604),
    [anon_sym_centroid] = ACTIONS(2604),
    [anon_sym_noperspective] = ACTIONS(2604),
    [anon_sym_nointerpolation] = ACTIONS(2604),
    [anon_sym_sample] = ACTIONS(2604),
    [anon_sym_linear] = ACTIONS(2604),
    [anon_sym_snorm] = ACTIONS(2604),
    [anon_sym_unorm] = ACTIONS(2604),
    [anon_sym_point] = ACTIONS(2604),
    [anon_sym_line] = ACTIONS(2604),
    [anon_sym_triangleadj] = ACTIONS(2604),
    [anon_sym_lineadj] = ACTIONS(2604),
    [anon_sym_triangle] = ACTIONS(2604),
    [anon_sym_cbuffer] = ACTIONS(2604),
  },
  [1074] = {
    [sym_identifier] = ACTIONS(2821),
    [aux_sym_preproc_include_token1] = ACTIONS(2821),
    [aux_sym_preproc_def_token1] = ACTIONS(2821),
    [aux_sym_preproc_if_token1] = ACTIONS(2821),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2821),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2821),
    [sym_preproc_directive] = ACTIONS(2821),
    [anon_sym_LPAREN2] = ACTIONS(2823),
    [anon_sym_BANG] = ACTIONS(2823),
    [anon_sym_TILDE] = ACTIONS(2823),
    [anon_sym_DASH] = ACTIONS(2821),
    [anon_sym_PLUS] = ACTIONS(2821),
    [anon_sym_STAR] = ACTIONS(2823),
    [anon_sym_AMP_AMP] = ACTIONS(2823),
    [anon_sym_AMP] = ACTIONS(2821),
    [anon_sym_SEMI] = ACTIONS(2823),
    [anon_sym___extension__] = ACTIONS(2821),
    [anon_sym_typedef] = ACTIONS(2821),
    [anon_sym_in] = ACTIONS(2821),
    [anon_sym_out] = ACTIONS(2821),
    [anon_sym_inout] = ACTIONS(2821),
    [anon_sym_extern] = ACTIONS(2821),
    [anon_sym___attribute__] = ACTIONS(2821),
    [anon_sym_COLON_COLON] = ACTIONS(2823),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2823),
    [anon_sym___declspec] = ACTIONS(2821),
    [anon_sym___based] = ACTIONS(2821),
    [anon_sym___cdecl] = ACTIONS(2821),
    [anon_sym___clrcall] = ACTIONS(2821),
    [anon_sym___stdcall] = ACTIONS(2821),
    [anon_sym___fastcall] = ACTIONS(2821),
    [anon_sym___thiscall] = ACTIONS(2821),
    [anon_sym___vectorcall] = ACTIONS(2821),
    [anon_sym_LBRACE] = ACTIONS(2823),
    [anon_sym_RBRACE] = ACTIONS(2823),
    [anon_sym_signed] = ACTIONS(2821),
    [anon_sym_unsigned] = ACTIONS(2821),
    [anon_sym_long] = ACTIONS(2821),
    [anon_sym_short] = ACTIONS(2821),
    [anon_sym_LBRACK] = ACTIONS(2821),
    [anon_sym_static] = ACTIONS(2821),
    [anon_sym_register] = ACTIONS(2821),
    [anon_sym_inline] = ACTIONS(2821),
    [anon_sym___inline] = ACTIONS(2821),
    [anon_sym___inline__] = ACTIONS(2821),
    [anon_sym___forceinline] = ACTIONS(2821),
    [anon_sym_thread_local] = ACTIONS(2821),
    [anon_sym___thread] = ACTIONS(2821),
    [anon_sym_const] = ACTIONS(2821),
    [anon_sym_constexpr] = ACTIONS(2821),
    [anon_sym_volatile] = ACTIONS(2821),
    [anon_sym_restrict] = ACTIONS(2821),
    [anon_sym___restrict__] = ACTIONS(2821),
    [anon_sym__Atomic] = ACTIONS(2821),
    [anon_sym__Noreturn] = ACTIONS(2821),
    [anon_sym_noreturn] = ACTIONS(2821),
    [anon_sym_mutable] = ACTIONS(2821),
    [anon_sym_constinit] = ACTIONS(2821),
    [anon_sym_consteval] = ACTIONS(2821),
    [sym_primitive_type] = ACTIONS(2821),
    [anon_sym_enum] = ACTIONS(2821),
    [anon_sym_class] = ACTIONS(2821),
    [anon_sym_struct] = ACTIONS(2821),
    [anon_sym_union] = ACTIONS(2821),
    [anon_sym_if] = ACTIONS(2821),
    [anon_sym_switch] = ACTIONS(2821),
    [anon_sym_case] = ACTIONS(2821),
    [anon_sym_default] = ACTIONS(2821),
    [anon_sym_while] = ACTIONS(2821),
    [anon_sym_do] = ACTIONS(2821),
    [anon_sym_for] = ACTIONS(2821),
    [anon_sym_return] = ACTIONS(2821),
    [anon_sym_break] = ACTIONS(2821),
    [anon_sym_continue] = ACTIONS(2821),
    [anon_sym_goto] = ACTIONS(2821),
    [anon_sym___try] = ACTIONS(2821),
    [anon_sym___leave] = ACTIONS(2821),
    [anon_sym_not] = ACTIONS(2821),
    [anon_sym_compl] = ACTIONS(2821),
    [anon_sym_DASH_DASH] = ACTIONS(2823),
    [anon_sym_PLUS_PLUS] = ACTIONS(2823),
    [anon_sym_sizeof] = ACTIONS(2821),
    [anon_sym___alignof__] = ACTIONS(2821),
    [anon_sym___alignof] = ACTIONS(2821),
    [anon_sym__alignof] = ACTIONS(2821),
    [anon_sym_alignof] = ACTIONS(2821),
    [anon_sym__Alignof] = ACTIONS(2821),
    [anon_sym_offsetof] = ACTIONS(2821),
    [anon_sym__Generic] = ACTIONS(2821),
    [anon_sym_asm] = ACTIONS(2821),
    [anon_sym___asm__] = ACTIONS(2821),
    [sym_number_literal] = ACTIONS(2823),
    [anon_sym_L_SQUOTE] = ACTIONS(2823),
    [anon_sym_u_SQUOTE] = ACTIONS(2823),
    [anon_sym_U_SQUOTE] = ACTIONS(2823),
    [anon_sym_u8_SQUOTE] = ACTIONS(2823),
    [anon_sym_SQUOTE] = ACTIONS(2823),
    [anon_sym_L_DQUOTE] = ACTIONS(2823),
    [anon_sym_u_DQUOTE] = ACTIONS(2823),
    [anon_sym_U_DQUOTE] = ACTIONS(2823),
    [anon_sym_u8_DQUOTE] = ACTIONS(2823),
    [anon_sym_DQUOTE] = ACTIONS(2823),
    [sym_true] = ACTIONS(2821),
    [sym_false] = ACTIONS(2821),
    [anon_sym_NULL] = ACTIONS(2821),
    [anon_sym_nullptr] = ACTIONS(2821),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2821),
    [anon_sym_decltype] = ACTIONS(2821),
    [anon_sym_virtual] = ACTIONS(2821),
    [anon_sym_alignas] = ACTIONS(2821),
    [anon_sym_explicit] = ACTIONS(2821),
    [anon_sym_typename] = ACTIONS(2821),
    [anon_sym_template] = ACTIONS(2821),
    [anon_sym_operator] = ACTIONS(2821),
    [anon_sym_try] = ACTIONS(2821),
    [anon_sym_delete] = ACTIONS(2821),
    [anon_sym_throw] = ACTIONS(2821),
    [anon_sym_namespace] = ACTIONS(2821),
    [anon_sym_using] = ACTIONS(2821),
    [anon_sym_static_assert] = ACTIONS(2821),
    [anon_sym_concept] = ACTIONS(2821),
    [anon_sym_co_return] = ACTIONS(2821),
    [anon_sym_co_yield] = ACTIONS(2821),
    [anon_sym_R_DQUOTE] = ACTIONS(2823),
    [anon_sym_LR_DQUOTE] = ACTIONS(2823),
    [anon_sym_uR_DQUOTE] = ACTIONS(2823),
    [anon_sym_UR_DQUOTE] = ACTIONS(2823),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2823),
    [anon_sym_co_await] = ACTIONS(2821),
    [anon_sym_new] = ACTIONS(2821),
    [anon_sym_requires] = ACTIONS(2821),
    [sym_this] = ACTIONS(2821),
    [anon_sym_discard] = ACTIONS(2821),
    [anon_sym_precise] = ACTIONS(2821),
    [anon_sym_shared] = ACTIONS(2821),
    [anon_sym_groupshared] = ACTIONS(2821),
    [anon_sym_uniform] = ACTIONS(2821),
    [anon_sym_row_major] = ACTIONS(2821),
    [anon_sym_column_major] = ACTIONS(2821),
    [anon_sym_globallycoherent] = ACTIONS(2821),
    [anon_sym_centroid] = ACTIONS(2821),
    [anon_sym_noperspective] = ACTIONS(2821),
    [anon_sym_nointerpolation] = ACTIONS(2821),
    [anon_sym_sample] = ACTIONS(2821),
    [anon_sym_linear] = ACTIONS(2821),
    [anon_sym_snorm] = ACTIONS(2821),
    [anon_sym_unorm] = ACTIONS(2821),
    [anon_sym_point] = ACTIONS(2821),
    [anon_sym_line] = ACTIONS(2821),
    [anon_sym_triangleadj] = ACTIONS(2821),
    [anon_sym_lineadj] = ACTIONS(2821),
    [anon_sym_triangle] = ACTIONS(2821),
    [anon_sym_cbuffer] = ACTIONS(2821),
  },
  [1075] = {
    [sym_identifier] = ACTIONS(2669),
    [aux_sym_preproc_include_token1] = ACTIONS(2669),
    [aux_sym_preproc_def_token1] = ACTIONS(2669),
    [aux_sym_preproc_if_token1] = ACTIONS(2669),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2669),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2669),
    [sym_preproc_directive] = ACTIONS(2669),
    [anon_sym_LPAREN2] = ACTIONS(2671),
    [anon_sym_BANG] = ACTIONS(2671),
    [anon_sym_TILDE] = ACTIONS(2671),
    [anon_sym_DASH] = ACTIONS(2669),
    [anon_sym_PLUS] = ACTIONS(2669),
    [anon_sym_STAR] = ACTIONS(2671),
    [anon_sym_AMP_AMP] = ACTIONS(2671),
    [anon_sym_AMP] = ACTIONS(2669),
    [anon_sym_SEMI] = ACTIONS(2671),
    [anon_sym___extension__] = ACTIONS(2669),
    [anon_sym_typedef] = ACTIONS(2669),
    [anon_sym_in] = ACTIONS(2669),
    [anon_sym_out] = ACTIONS(2669),
    [anon_sym_inout] = ACTIONS(2669),
    [anon_sym_extern] = ACTIONS(2669),
    [anon_sym___attribute__] = ACTIONS(2669),
    [anon_sym_COLON_COLON] = ACTIONS(2671),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2671),
    [anon_sym___declspec] = ACTIONS(2669),
    [anon_sym___based] = ACTIONS(2669),
    [anon_sym___cdecl] = ACTIONS(2669),
    [anon_sym___clrcall] = ACTIONS(2669),
    [anon_sym___stdcall] = ACTIONS(2669),
    [anon_sym___fastcall] = ACTIONS(2669),
    [anon_sym___thiscall] = ACTIONS(2669),
    [anon_sym___vectorcall] = ACTIONS(2669),
    [anon_sym_LBRACE] = ACTIONS(2671),
    [anon_sym_RBRACE] = ACTIONS(2671),
    [anon_sym_signed] = ACTIONS(2669),
    [anon_sym_unsigned] = ACTIONS(2669),
    [anon_sym_long] = ACTIONS(2669),
    [anon_sym_short] = ACTIONS(2669),
    [anon_sym_LBRACK] = ACTIONS(2669),
    [anon_sym_static] = ACTIONS(2669),
    [anon_sym_register] = ACTIONS(2669),
    [anon_sym_inline] = ACTIONS(2669),
    [anon_sym___inline] = ACTIONS(2669),
    [anon_sym___inline__] = ACTIONS(2669),
    [anon_sym___forceinline] = ACTIONS(2669),
    [anon_sym_thread_local] = ACTIONS(2669),
    [anon_sym___thread] = ACTIONS(2669),
    [anon_sym_const] = ACTIONS(2669),
    [anon_sym_constexpr] = ACTIONS(2669),
    [anon_sym_volatile] = ACTIONS(2669),
    [anon_sym_restrict] = ACTIONS(2669),
    [anon_sym___restrict__] = ACTIONS(2669),
    [anon_sym__Atomic] = ACTIONS(2669),
    [anon_sym__Noreturn] = ACTIONS(2669),
    [anon_sym_noreturn] = ACTIONS(2669),
    [anon_sym_mutable] = ACTIONS(2669),
    [anon_sym_constinit] = ACTIONS(2669),
    [anon_sym_consteval] = ACTIONS(2669),
    [sym_primitive_type] = ACTIONS(2669),
    [anon_sym_enum] = ACTIONS(2669),
    [anon_sym_class] = ACTIONS(2669),
    [anon_sym_struct] = ACTIONS(2669),
    [anon_sym_union] = ACTIONS(2669),
    [anon_sym_if] = ACTIONS(2669),
    [anon_sym_switch] = ACTIONS(2669),
    [anon_sym_case] = ACTIONS(2669),
    [anon_sym_default] = ACTIONS(2669),
    [anon_sym_while] = ACTIONS(2669),
    [anon_sym_do] = ACTIONS(2669),
    [anon_sym_for] = ACTIONS(2669),
    [anon_sym_return] = ACTIONS(2669),
    [anon_sym_break] = ACTIONS(2669),
    [anon_sym_continue] = ACTIONS(2669),
    [anon_sym_goto] = ACTIONS(2669),
    [anon_sym___try] = ACTIONS(2669),
    [anon_sym___leave] = ACTIONS(2669),
    [anon_sym_not] = ACTIONS(2669),
    [anon_sym_compl] = ACTIONS(2669),
    [anon_sym_DASH_DASH] = ACTIONS(2671),
    [anon_sym_PLUS_PLUS] = ACTIONS(2671),
    [anon_sym_sizeof] = ACTIONS(2669),
    [anon_sym___alignof__] = ACTIONS(2669),
    [anon_sym___alignof] = ACTIONS(2669),
    [anon_sym__alignof] = ACTIONS(2669),
    [anon_sym_alignof] = ACTIONS(2669),
    [anon_sym__Alignof] = ACTIONS(2669),
    [anon_sym_offsetof] = ACTIONS(2669),
    [anon_sym__Generic] = ACTIONS(2669),
    [anon_sym_asm] = ACTIONS(2669),
    [anon_sym___asm__] = ACTIONS(2669),
    [sym_number_literal] = ACTIONS(2671),
    [anon_sym_L_SQUOTE] = ACTIONS(2671),
    [anon_sym_u_SQUOTE] = ACTIONS(2671),
    [anon_sym_U_SQUOTE] = ACTIONS(2671),
    [anon_sym_u8_SQUOTE] = ACTIONS(2671),
    [anon_sym_SQUOTE] = ACTIONS(2671),
    [anon_sym_L_DQUOTE] = ACTIONS(2671),
    [anon_sym_u_DQUOTE] = ACTIONS(2671),
    [anon_sym_U_DQUOTE] = ACTIONS(2671),
    [anon_sym_u8_DQUOTE] = ACTIONS(2671),
    [anon_sym_DQUOTE] = ACTIONS(2671),
    [sym_true] = ACTIONS(2669),
    [sym_false] = ACTIONS(2669),
    [anon_sym_NULL] = ACTIONS(2669),
    [anon_sym_nullptr] = ACTIONS(2669),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2669),
    [anon_sym_decltype] = ACTIONS(2669),
    [anon_sym_virtual] = ACTIONS(2669),
    [anon_sym_alignas] = ACTIONS(2669),
    [anon_sym_explicit] = ACTIONS(2669),
    [anon_sym_typename] = ACTIONS(2669),
    [anon_sym_template] = ACTIONS(2669),
    [anon_sym_operator] = ACTIONS(2669),
    [anon_sym_try] = ACTIONS(2669),
    [anon_sym_delete] = ACTIONS(2669),
    [anon_sym_throw] = ACTIONS(2669),
    [anon_sym_namespace] = ACTIONS(2669),
    [anon_sym_using] = ACTIONS(2669),
    [anon_sym_static_assert] = ACTIONS(2669),
    [anon_sym_concept] = ACTIONS(2669),
    [anon_sym_co_return] = ACTIONS(2669),
    [anon_sym_co_yield] = ACTIONS(2669),
    [anon_sym_R_DQUOTE] = ACTIONS(2671),
    [anon_sym_LR_DQUOTE] = ACTIONS(2671),
    [anon_sym_uR_DQUOTE] = ACTIONS(2671),
    [anon_sym_UR_DQUOTE] = ACTIONS(2671),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2671),
    [anon_sym_co_await] = ACTIONS(2669),
    [anon_sym_new] = ACTIONS(2669),
    [anon_sym_requires] = ACTIONS(2669),
    [sym_this] = ACTIONS(2669),
    [anon_sym_discard] = ACTIONS(2669),
    [anon_sym_precise] = ACTIONS(2669),
    [anon_sym_shared] = ACTIONS(2669),
    [anon_sym_groupshared] = ACTIONS(2669),
    [anon_sym_uniform] = ACTIONS(2669),
    [anon_sym_row_major] = ACTIONS(2669),
    [anon_sym_column_major] = ACTIONS(2669),
    [anon_sym_globallycoherent] = ACTIONS(2669),
    [anon_sym_centroid] = ACTIONS(2669),
    [anon_sym_noperspective] = ACTIONS(2669),
    [anon_sym_nointerpolation] = ACTIONS(2669),
    [anon_sym_sample] = ACTIONS(2669),
    [anon_sym_linear] = ACTIONS(2669),
    [anon_sym_snorm] = ACTIONS(2669),
    [anon_sym_unorm] = ACTIONS(2669),
    [anon_sym_point] = ACTIONS(2669),
    [anon_sym_line] = ACTIONS(2669),
    [anon_sym_triangleadj] = ACTIONS(2669),
    [anon_sym_lineadj] = ACTIONS(2669),
    [anon_sym_triangle] = ACTIONS(2669),
    [anon_sym_cbuffer] = ACTIONS(2669),
  },
  [1076] = {
    [sym_identifier] = ACTIONS(2829),
    [aux_sym_preproc_include_token1] = ACTIONS(2829),
    [aux_sym_preproc_def_token1] = ACTIONS(2829),
    [aux_sym_preproc_if_token1] = ACTIONS(2829),
    [aux_sym_preproc_if_token2] = ACTIONS(2829),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2829),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2829),
    [sym_preproc_directive] = ACTIONS(2829),
    [anon_sym_LPAREN2] = ACTIONS(2831),
    [anon_sym_BANG] = ACTIONS(2831),
    [anon_sym_TILDE] = ACTIONS(2831),
    [anon_sym_DASH] = ACTIONS(2829),
    [anon_sym_PLUS] = ACTIONS(2829),
    [anon_sym_STAR] = ACTIONS(2831),
    [anon_sym_AMP_AMP] = ACTIONS(2831),
    [anon_sym_AMP] = ACTIONS(2829),
    [anon_sym_SEMI] = ACTIONS(2831),
    [anon_sym___extension__] = ACTIONS(2829),
    [anon_sym_typedef] = ACTIONS(2829),
    [anon_sym_in] = ACTIONS(2829),
    [anon_sym_out] = ACTIONS(2829),
    [anon_sym_inout] = ACTIONS(2829),
    [anon_sym_extern] = ACTIONS(2829),
    [anon_sym___attribute__] = ACTIONS(2829),
    [anon_sym_COLON_COLON] = ACTIONS(2831),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2831),
    [anon_sym___declspec] = ACTIONS(2829),
    [anon_sym___based] = ACTIONS(2829),
    [anon_sym___cdecl] = ACTIONS(2829),
    [anon_sym___clrcall] = ACTIONS(2829),
    [anon_sym___stdcall] = ACTIONS(2829),
    [anon_sym___fastcall] = ACTIONS(2829),
    [anon_sym___thiscall] = ACTIONS(2829),
    [anon_sym___vectorcall] = ACTIONS(2829),
    [anon_sym_LBRACE] = ACTIONS(2831),
    [anon_sym_signed] = ACTIONS(2829),
    [anon_sym_unsigned] = ACTIONS(2829),
    [anon_sym_long] = ACTIONS(2829),
    [anon_sym_short] = ACTIONS(2829),
    [anon_sym_LBRACK] = ACTIONS(2829),
    [anon_sym_static] = ACTIONS(2829),
    [anon_sym_register] = ACTIONS(2829),
    [anon_sym_inline] = ACTIONS(2829),
    [anon_sym___inline] = ACTIONS(2829),
    [anon_sym___inline__] = ACTIONS(2829),
    [anon_sym___forceinline] = ACTIONS(2829),
    [anon_sym_thread_local] = ACTIONS(2829),
    [anon_sym___thread] = ACTIONS(2829),
    [anon_sym_const] = ACTIONS(2829),
    [anon_sym_constexpr] = ACTIONS(2829),
    [anon_sym_volatile] = ACTIONS(2829),
    [anon_sym_restrict] = ACTIONS(2829),
    [anon_sym___restrict__] = ACTIONS(2829),
    [anon_sym__Atomic] = ACTIONS(2829),
    [anon_sym__Noreturn] = ACTIONS(2829),
    [anon_sym_noreturn] = ACTIONS(2829),
    [anon_sym_mutable] = ACTIONS(2829),
    [anon_sym_constinit] = ACTIONS(2829),
    [anon_sym_consteval] = ACTIONS(2829),
    [sym_primitive_type] = ACTIONS(2829),
    [anon_sym_enum] = ACTIONS(2829),
    [anon_sym_class] = ACTIONS(2829),
    [anon_sym_struct] = ACTIONS(2829),
    [anon_sym_union] = ACTIONS(2829),
    [anon_sym_if] = ACTIONS(2829),
    [anon_sym_switch] = ACTIONS(2829),
    [anon_sym_case] = ACTIONS(2829),
    [anon_sym_default] = ACTIONS(2829),
    [anon_sym_while] = ACTIONS(2829),
    [anon_sym_do] = ACTIONS(2829),
    [anon_sym_for] = ACTIONS(2829),
    [anon_sym_return] = ACTIONS(2829),
    [anon_sym_break] = ACTIONS(2829),
    [anon_sym_continue] = ACTIONS(2829),
    [anon_sym_goto] = ACTIONS(2829),
    [anon_sym___try] = ACTIONS(2829),
    [anon_sym___leave] = ACTIONS(2829),
    [anon_sym_not] = ACTIONS(2829),
    [anon_sym_compl] = ACTIONS(2829),
    [anon_sym_DASH_DASH] = ACTIONS(2831),
    [anon_sym_PLUS_PLUS] = ACTIONS(2831),
    [anon_sym_sizeof] = ACTIONS(2829),
    [anon_sym___alignof__] = ACTIONS(2829),
    [anon_sym___alignof] = ACTIONS(2829),
    [anon_sym__alignof] = ACTIONS(2829),
    [anon_sym_alignof] = ACTIONS(2829),
    [anon_sym__Alignof] = ACTIONS(2829),
    [anon_sym_offsetof] = ACTIONS(2829),
    [anon_sym__Generic] = ACTIONS(2829),
    [anon_sym_asm] = ACTIONS(2829),
    [anon_sym___asm__] = ACTIONS(2829),
    [sym_number_literal] = ACTIONS(2831),
    [anon_sym_L_SQUOTE] = ACTIONS(2831),
    [anon_sym_u_SQUOTE] = ACTIONS(2831),
    [anon_sym_U_SQUOTE] = ACTIONS(2831),
    [anon_sym_u8_SQUOTE] = ACTIONS(2831),
    [anon_sym_SQUOTE] = ACTIONS(2831),
    [anon_sym_L_DQUOTE] = ACTIONS(2831),
    [anon_sym_u_DQUOTE] = ACTIONS(2831),
    [anon_sym_U_DQUOTE] = ACTIONS(2831),
    [anon_sym_u8_DQUOTE] = ACTIONS(2831),
    [anon_sym_DQUOTE] = ACTIONS(2831),
    [sym_true] = ACTIONS(2829),
    [sym_false] = ACTIONS(2829),
    [anon_sym_NULL] = ACTIONS(2829),
    [anon_sym_nullptr] = ACTIONS(2829),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2829),
    [anon_sym_decltype] = ACTIONS(2829),
    [anon_sym_virtual] = ACTIONS(2829),
    [anon_sym_alignas] = ACTIONS(2829),
    [anon_sym_explicit] = ACTIONS(2829),
    [anon_sym_typename] = ACTIONS(2829),
    [anon_sym_template] = ACTIONS(2829),
    [anon_sym_operator] = ACTIONS(2829),
    [anon_sym_try] = ACTIONS(2829),
    [anon_sym_delete] = ACTIONS(2829),
    [anon_sym_throw] = ACTIONS(2829),
    [anon_sym_namespace] = ACTIONS(2829),
    [anon_sym_using] = ACTIONS(2829),
    [anon_sym_static_assert] = ACTIONS(2829),
    [anon_sym_concept] = ACTIONS(2829),
    [anon_sym_co_return] = ACTIONS(2829),
    [anon_sym_co_yield] = ACTIONS(2829),
    [anon_sym_R_DQUOTE] = ACTIONS(2831),
    [anon_sym_LR_DQUOTE] = ACTIONS(2831),
    [anon_sym_uR_DQUOTE] = ACTIONS(2831),
    [anon_sym_UR_DQUOTE] = ACTIONS(2831),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2831),
    [anon_sym_co_await] = ACTIONS(2829),
    [anon_sym_new] = ACTIONS(2829),
    [anon_sym_requires] = ACTIONS(2829),
    [sym_this] = ACTIONS(2829),
    [anon_sym_discard] = ACTIONS(2829),
    [anon_sym_precise] = ACTIONS(2829),
    [anon_sym_shared] = ACTIONS(2829),
    [anon_sym_groupshared] = ACTIONS(2829),
    [anon_sym_uniform] = ACTIONS(2829),
    [anon_sym_row_major] = ACTIONS(2829),
    [anon_sym_column_major] = ACTIONS(2829),
    [anon_sym_globallycoherent] = ACTIONS(2829),
    [anon_sym_centroid] = ACTIONS(2829),
    [anon_sym_noperspective] = ACTIONS(2829),
    [anon_sym_nointerpolation] = ACTIONS(2829),
    [anon_sym_sample] = ACTIONS(2829),
    [anon_sym_linear] = ACTIONS(2829),
    [anon_sym_snorm] = ACTIONS(2829),
    [anon_sym_unorm] = ACTIONS(2829),
    [anon_sym_point] = ACTIONS(2829),
    [anon_sym_line] = ACTIONS(2829),
    [anon_sym_triangleadj] = ACTIONS(2829),
    [anon_sym_lineadj] = ACTIONS(2829),
    [anon_sym_triangle] = ACTIONS(2829),
    [anon_sym_cbuffer] = ACTIONS(2829),
  },
  [1077] = {
    [sym_identifier] = ACTIONS(2702),
    [aux_sym_preproc_include_token1] = ACTIONS(2702),
    [aux_sym_preproc_def_token1] = ACTIONS(2702),
    [aux_sym_preproc_if_token1] = ACTIONS(2702),
    [aux_sym_preproc_if_token2] = ACTIONS(2702),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2702),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2702),
    [sym_preproc_directive] = ACTIONS(2702),
    [anon_sym_LPAREN2] = ACTIONS(2704),
    [anon_sym_BANG] = ACTIONS(2704),
    [anon_sym_TILDE] = ACTIONS(2704),
    [anon_sym_DASH] = ACTIONS(2702),
    [anon_sym_PLUS] = ACTIONS(2702),
    [anon_sym_STAR] = ACTIONS(2704),
    [anon_sym_AMP_AMP] = ACTIONS(2704),
    [anon_sym_AMP] = ACTIONS(2702),
    [anon_sym_SEMI] = ACTIONS(2704),
    [anon_sym___extension__] = ACTIONS(2702),
    [anon_sym_typedef] = ACTIONS(2702),
    [anon_sym_in] = ACTIONS(2702),
    [anon_sym_out] = ACTIONS(2702),
    [anon_sym_inout] = ACTIONS(2702),
    [anon_sym_extern] = ACTIONS(2702),
    [anon_sym___attribute__] = ACTIONS(2702),
    [anon_sym_COLON_COLON] = ACTIONS(2704),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2704),
    [anon_sym___declspec] = ACTIONS(2702),
    [anon_sym___based] = ACTIONS(2702),
    [anon_sym___cdecl] = ACTIONS(2702),
    [anon_sym___clrcall] = ACTIONS(2702),
    [anon_sym___stdcall] = ACTIONS(2702),
    [anon_sym___fastcall] = ACTIONS(2702),
    [anon_sym___thiscall] = ACTIONS(2702),
    [anon_sym___vectorcall] = ACTIONS(2702),
    [anon_sym_LBRACE] = ACTIONS(2704),
    [anon_sym_signed] = ACTIONS(2702),
    [anon_sym_unsigned] = ACTIONS(2702),
    [anon_sym_long] = ACTIONS(2702),
    [anon_sym_short] = ACTIONS(2702),
    [anon_sym_LBRACK] = ACTIONS(2702),
    [anon_sym_static] = ACTIONS(2702),
    [anon_sym_register] = ACTIONS(2702),
    [anon_sym_inline] = ACTIONS(2702),
    [anon_sym___inline] = ACTIONS(2702),
    [anon_sym___inline__] = ACTIONS(2702),
    [anon_sym___forceinline] = ACTIONS(2702),
    [anon_sym_thread_local] = ACTIONS(2702),
    [anon_sym___thread] = ACTIONS(2702),
    [anon_sym_const] = ACTIONS(2702),
    [anon_sym_constexpr] = ACTIONS(2702),
    [anon_sym_volatile] = ACTIONS(2702),
    [anon_sym_restrict] = ACTIONS(2702),
    [anon_sym___restrict__] = ACTIONS(2702),
    [anon_sym__Atomic] = ACTIONS(2702),
    [anon_sym__Noreturn] = ACTIONS(2702),
    [anon_sym_noreturn] = ACTIONS(2702),
    [anon_sym_mutable] = ACTIONS(2702),
    [anon_sym_constinit] = ACTIONS(2702),
    [anon_sym_consteval] = ACTIONS(2702),
    [sym_primitive_type] = ACTIONS(2702),
    [anon_sym_enum] = ACTIONS(2702),
    [anon_sym_class] = ACTIONS(2702),
    [anon_sym_struct] = ACTIONS(2702),
    [anon_sym_union] = ACTIONS(2702),
    [anon_sym_if] = ACTIONS(2702),
    [anon_sym_switch] = ACTIONS(2702),
    [anon_sym_case] = ACTIONS(2702),
    [anon_sym_default] = ACTIONS(2702),
    [anon_sym_while] = ACTIONS(2702),
    [anon_sym_do] = ACTIONS(2702),
    [anon_sym_for] = ACTIONS(2702),
    [anon_sym_return] = ACTIONS(2702),
    [anon_sym_break] = ACTIONS(2702),
    [anon_sym_continue] = ACTIONS(2702),
    [anon_sym_goto] = ACTIONS(2702),
    [anon_sym___try] = ACTIONS(2702),
    [anon_sym___leave] = ACTIONS(2702),
    [anon_sym_not] = ACTIONS(2702),
    [anon_sym_compl] = ACTIONS(2702),
    [anon_sym_DASH_DASH] = ACTIONS(2704),
    [anon_sym_PLUS_PLUS] = ACTIONS(2704),
    [anon_sym_sizeof] = ACTIONS(2702),
    [anon_sym___alignof__] = ACTIONS(2702),
    [anon_sym___alignof] = ACTIONS(2702),
    [anon_sym__alignof] = ACTIONS(2702),
    [anon_sym_alignof] = ACTIONS(2702),
    [anon_sym__Alignof] = ACTIONS(2702),
    [anon_sym_offsetof] = ACTIONS(2702),
    [anon_sym__Generic] = ACTIONS(2702),
    [anon_sym_asm] = ACTIONS(2702),
    [anon_sym___asm__] = ACTIONS(2702),
    [sym_number_literal] = ACTIONS(2704),
    [anon_sym_L_SQUOTE] = ACTIONS(2704),
    [anon_sym_u_SQUOTE] = ACTIONS(2704),
    [anon_sym_U_SQUOTE] = ACTIONS(2704),
    [anon_sym_u8_SQUOTE] = ACTIONS(2704),
    [anon_sym_SQUOTE] = ACTIONS(2704),
    [anon_sym_L_DQUOTE] = ACTIONS(2704),
    [anon_sym_u_DQUOTE] = ACTIONS(2704),
    [anon_sym_U_DQUOTE] = ACTIONS(2704),
    [anon_sym_u8_DQUOTE] = ACTIONS(2704),
    [anon_sym_DQUOTE] = ACTIONS(2704),
    [sym_true] = ACTIONS(2702),
    [sym_false] = ACTIONS(2702),
    [anon_sym_NULL] = ACTIONS(2702),
    [anon_sym_nullptr] = ACTIONS(2702),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2702),
    [anon_sym_decltype] = ACTIONS(2702),
    [anon_sym_virtual] = ACTIONS(2702),
    [anon_sym_alignas] = ACTIONS(2702),
    [anon_sym_explicit] = ACTIONS(2702),
    [anon_sym_typename] = ACTIONS(2702),
    [anon_sym_template] = ACTIONS(2702),
    [anon_sym_operator] = ACTIONS(2702),
    [anon_sym_try] = ACTIONS(2702),
    [anon_sym_delete] = ACTIONS(2702),
    [anon_sym_throw] = ACTIONS(2702),
    [anon_sym_namespace] = ACTIONS(2702),
    [anon_sym_using] = ACTIONS(2702),
    [anon_sym_static_assert] = ACTIONS(2702),
    [anon_sym_concept] = ACTIONS(2702),
    [anon_sym_co_return] = ACTIONS(2702),
    [anon_sym_co_yield] = ACTIONS(2702),
    [anon_sym_R_DQUOTE] = ACTIONS(2704),
    [anon_sym_LR_DQUOTE] = ACTIONS(2704),
    [anon_sym_uR_DQUOTE] = ACTIONS(2704),
    [anon_sym_UR_DQUOTE] = ACTIONS(2704),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2704),
    [anon_sym_co_await] = ACTIONS(2702),
    [anon_sym_new] = ACTIONS(2702),
    [anon_sym_requires] = ACTIONS(2702),
    [sym_this] = ACTIONS(2702),
    [anon_sym_discard] = ACTIONS(2702),
    [anon_sym_precise] = ACTIONS(2702),
    [anon_sym_shared] = ACTIONS(2702),
    [anon_sym_groupshared] = ACTIONS(2702),
    [anon_sym_uniform] = ACTIONS(2702),
    [anon_sym_row_major] = ACTIONS(2702),
    [anon_sym_column_major] = ACTIONS(2702),
    [anon_sym_globallycoherent] = ACTIONS(2702),
    [anon_sym_centroid] = ACTIONS(2702),
    [anon_sym_noperspective] = ACTIONS(2702),
    [anon_sym_nointerpolation] = ACTIONS(2702),
    [anon_sym_sample] = ACTIONS(2702),
    [anon_sym_linear] = ACTIONS(2702),
    [anon_sym_snorm] = ACTIONS(2702),
    [anon_sym_unorm] = ACTIONS(2702),
    [anon_sym_point] = ACTIONS(2702),
    [anon_sym_line] = ACTIONS(2702),
    [anon_sym_triangleadj] = ACTIONS(2702),
    [anon_sym_lineadj] = ACTIONS(2702),
    [anon_sym_triangle] = ACTIONS(2702),
    [anon_sym_cbuffer] = ACTIONS(2702),
  },
  [1078] = {
    [sym_identifier] = ACTIONS(2657),
    [aux_sym_preproc_include_token1] = ACTIONS(2657),
    [aux_sym_preproc_def_token1] = ACTIONS(2657),
    [aux_sym_preproc_if_token1] = ACTIONS(2657),
    [aux_sym_preproc_if_token2] = ACTIONS(2657),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2657),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2657),
    [sym_preproc_directive] = ACTIONS(2657),
    [anon_sym_LPAREN2] = ACTIONS(2659),
    [anon_sym_BANG] = ACTIONS(2659),
    [anon_sym_TILDE] = ACTIONS(2659),
    [anon_sym_DASH] = ACTIONS(2657),
    [anon_sym_PLUS] = ACTIONS(2657),
    [anon_sym_STAR] = ACTIONS(2659),
    [anon_sym_AMP_AMP] = ACTIONS(2659),
    [anon_sym_AMP] = ACTIONS(2657),
    [anon_sym_SEMI] = ACTIONS(2659),
    [anon_sym___extension__] = ACTIONS(2657),
    [anon_sym_typedef] = ACTIONS(2657),
    [anon_sym_in] = ACTIONS(2657),
    [anon_sym_out] = ACTIONS(2657),
    [anon_sym_inout] = ACTIONS(2657),
    [anon_sym_extern] = ACTIONS(2657),
    [anon_sym___attribute__] = ACTIONS(2657),
    [anon_sym_COLON_COLON] = ACTIONS(2659),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2659),
    [anon_sym___declspec] = ACTIONS(2657),
    [anon_sym___based] = ACTIONS(2657),
    [anon_sym___cdecl] = ACTIONS(2657),
    [anon_sym___clrcall] = ACTIONS(2657),
    [anon_sym___stdcall] = ACTIONS(2657),
    [anon_sym___fastcall] = ACTIONS(2657),
    [anon_sym___thiscall] = ACTIONS(2657),
    [anon_sym___vectorcall] = ACTIONS(2657),
    [anon_sym_LBRACE] = ACTIONS(2659),
    [anon_sym_signed] = ACTIONS(2657),
    [anon_sym_unsigned] = ACTIONS(2657),
    [anon_sym_long] = ACTIONS(2657),
    [anon_sym_short] = ACTIONS(2657),
    [anon_sym_LBRACK] = ACTIONS(2657),
    [anon_sym_static] = ACTIONS(2657),
    [anon_sym_register] = ACTIONS(2657),
    [anon_sym_inline] = ACTIONS(2657),
    [anon_sym___inline] = ACTIONS(2657),
    [anon_sym___inline__] = ACTIONS(2657),
    [anon_sym___forceinline] = ACTIONS(2657),
    [anon_sym_thread_local] = ACTIONS(2657),
    [anon_sym___thread] = ACTIONS(2657),
    [anon_sym_const] = ACTIONS(2657),
    [anon_sym_constexpr] = ACTIONS(2657),
    [anon_sym_volatile] = ACTIONS(2657),
    [anon_sym_restrict] = ACTIONS(2657),
    [anon_sym___restrict__] = ACTIONS(2657),
    [anon_sym__Atomic] = ACTIONS(2657),
    [anon_sym__Noreturn] = ACTIONS(2657),
    [anon_sym_noreturn] = ACTIONS(2657),
    [anon_sym_mutable] = ACTIONS(2657),
    [anon_sym_constinit] = ACTIONS(2657),
    [anon_sym_consteval] = ACTIONS(2657),
    [sym_primitive_type] = ACTIONS(2657),
    [anon_sym_enum] = ACTIONS(2657),
    [anon_sym_class] = ACTIONS(2657),
    [anon_sym_struct] = ACTIONS(2657),
    [anon_sym_union] = ACTIONS(2657),
    [anon_sym_if] = ACTIONS(2657),
    [anon_sym_switch] = ACTIONS(2657),
    [anon_sym_case] = ACTIONS(2657),
    [anon_sym_default] = ACTIONS(2657),
    [anon_sym_while] = ACTIONS(2657),
    [anon_sym_do] = ACTIONS(2657),
    [anon_sym_for] = ACTIONS(2657),
    [anon_sym_return] = ACTIONS(2657),
    [anon_sym_break] = ACTIONS(2657),
    [anon_sym_continue] = ACTIONS(2657),
    [anon_sym_goto] = ACTIONS(2657),
    [anon_sym___try] = ACTIONS(2657),
    [anon_sym___leave] = ACTIONS(2657),
    [anon_sym_not] = ACTIONS(2657),
    [anon_sym_compl] = ACTIONS(2657),
    [anon_sym_DASH_DASH] = ACTIONS(2659),
    [anon_sym_PLUS_PLUS] = ACTIONS(2659),
    [anon_sym_sizeof] = ACTIONS(2657),
    [anon_sym___alignof__] = ACTIONS(2657),
    [anon_sym___alignof] = ACTIONS(2657),
    [anon_sym__alignof] = ACTIONS(2657),
    [anon_sym_alignof] = ACTIONS(2657),
    [anon_sym__Alignof] = ACTIONS(2657),
    [anon_sym_offsetof] = ACTIONS(2657),
    [anon_sym__Generic] = ACTIONS(2657),
    [anon_sym_asm] = ACTIONS(2657),
    [anon_sym___asm__] = ACTIONS(2657),
    [sym_number_literal] = ACTIONS(2659),
    [anon_sym_L_SQUOTE] = ACTIONS(2659),
    [anon_sym_u_SQUOTE] = ACTIONS(2659),
    [anon_sym_U_SQUOTE] = ACTIONS(2659),
    [anon_sym_u8_SQUOTE] = ACTIONS(2659),
    [anon_sym_SQUOTE] = ACTIONS(2659),
    [anon_sym_L_DQUOTE] = ACTIONS(2659),
    [anon_sym_u_DQUOTE] = ACTIONS(2659),
    [anon_sym_U_DQUOTE] = ACTIONS(2659),
    [anon_sym_u8_DQUOTE] = ACTIONS(2659),
    [anon_sym_DQUOTE] = ACTIONS(2659),
    [sym_true] = ACTIONS(2657),
    [sym_false] = ACTIONS(2657),
    [anon_sym_NULL] = ACTIONS(2657),
    [anon_sym_nullptr] = ACTIONS(2657),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2657),
    [anon_sym_decltype] = ACTIONS(2657),
    [anon_sym_virtual] = ACTIONS(2657),
    [anon_sym_alignas] = ACTIONS(2657),
    [anon_sym_explicit] = ACTIONS(2657),
    [anon_sym_typename] = ACTIONS(2657),
    [anon_sym_template] = ACTIONS(2657),
    [anon_sym_operator] = ACTIONS(2657),
    [anon_sym_try] = ACTIONS(2657),
    [anon_sym_delete] = ACTIONS(2657),
    [anon_sym_throw] = ACTIONS(2657),
    [anon_sym_namespace] = ACTIONS(2657),
    [anon_sym_using] = ACTIONS(2657),
    [anon_sym_static_assert] = ACTIONS(2657),
    [anon_sym_concept] = ACTIONS(2657),
    [anon_sym_co_return] = ACTIONS(2657),
    [anon_sym_co_yield] = ACTIONS(2657),
    [anon_sym_R_DQUOTE] = ACTIONS(2659),
    [anon_sym_LR_DQUOTE] = ACTIONS(2659),
    [anon_sym_uR_DQUOTE] = ACTIONS(2659),
    [anon_sym_UR_DQUOTE] = ACTIONS(2659),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2659),
    [anon_sym_co_await] = ACTIONS(2657),
    [anon_sym_new] = ACTIONS(2657),
    [anon_sym_requires] = ACTIONS(2657),
    [sym_this] = ACTIONS(2657),
    [anon_sym_discard] = ACTIONS(2657),
    [anon_sym_precise] = ACTIONS(2657),
    [anon_sym_shared] = ACTIONS(2657),
    [anon_sym_groupshared] = ACTIONS(2657),
    [anon_sym_uniform] = ACTIONS(2657),
    [anon_sym_row_major] = ACTIONS(2657),
    [anon_sym_column_major] = ACTIONS(2657),
    [anon_sym_globallycoherent] = ACTIONS(2657),
    [anon_sym_centroid] = ACTIONS(2657),
    [anon_sym_noperspective] = ACTIONS(2657),
    [anon_sym_nointerpolation] = ACTIONS(2657),
    [anon_sym_sample] = ACTIONS(2657),
    [anon_sym_linear] = ACTIONS(2657),
    [anon_sym_snorm] = ACTIONS(2657),
    [anon_sym_unorm] = ACTIONS(2657),
    [anon_sym_point] = ACTIONS(2657),
    [anon_sym_line] = ACTIONS(2657),
    [anon_sym_triangleadj] = ACTIONS(2657),
    [anon_sym_lineadj] = ACTIONS(2657),
    [anon_sym_triangle] = ACTIONS(2657),
    [anon_sym_cbuffer] = ACTIONS(2657),
  },
  [1079] = {
    [sym_identifier] = ACTIONS(2777),
    [aux_sym_preproc_include_token1] = ACTIONS(2777),
    [aux_sym_preproc_def_token1] = ACTIONS(2777),
    [aux_sym_preproc_if_token1] = ACTIONS(2777),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2777),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2777),
    [sym_preproc_directive] = ACTIONS(2777),
    [anon_sym_LPAREN2] = ACTIONS(2779),
    [anon_sym_BANG] = ACTIONS(2779),
    [anon_sym_TILDE] = ACTIONS(2779),
    [anon_sym_DASH] = ACTIONS(2777),
    [anon_sym_PLUS] = ACTIONS(2777),
    [anon_sym_STAR] = ACTIONS(2779),
    [anon_sym_AMP_AMP] = ACTIONS(2779),
    [anon_sym_AMP] = ACTIONS(2777),
    [anon_sym_SEMI] = ACTIONS(2779),
    [anon_sym___extension__] = ACTIONS(2777),
    [anon_sym_typedef] = ACTIONS(2777),
    [anon_sym_in] = ACTIONS(2777),
    [anon_sym_out] = ACTIONS(2777),
    [anon_sym_inout] = ACTIONS(2777),
    [anon_sym_extern] = ACTIONS(2777),
    [anon_sym___attribute__] = ACTIONS(2777),
    [anon_sym_COLON_COLON] = ACTIONS(2779),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2779),
    [anon_sym___declspec] = ACTIONS(2777),
    [anon_sym___based] = ACTIONS(2777),
    [anon_sym___cdecl] = ACTIONS(2777),
    [anon_sym___clrcall] = ACTIONS(2777),
    [anon_sym___stdcall] = ACTIONS(2777),
    [anon_sym___fastcall] = ACTIONS(2777),
    [anon_sym___thiscall] = ACTIONS(2777),
    [anon_sym___vectorcall] = ACTIONS(2777),
    [anon_sym_LBRACE] = ACTIONS(2779),
    [anon_sym_RBRACE] = ACTIONS(2779),
    [anon_sym_signed] = ACTIONS(2777),
    [anon_sym_unsigned] = ACTIONS(2777),
    [anon_sym_long] = ACTIONS(2777),
    [anon_sym_short] = ACTIONS(2777),
    [anon_sym_LBRACK] = ACTIONS(2777),
    [anon_sym_static] = ACTIONS(2777),
    [anon_sym_register] = ACTIONS(2777),
    [anon_sym_inline] = ACTIONS(2777),
    [anon_sym___inline] = ACTIONS(2777),
    [anon_sym___inline__] = ACTIONS(2777),
    [anon_sym___forceinline] = ACTIONS(2777),
    [anon_sym_thread_local] = ACTIONS(2777),
    [anon_sym___thread] = ACTIONS(2777),
    [anon_sym_const] = ACTIONS(2777),
    [anon_sym_constexpr] = ACTIONS(2777),
    [anon_sym_volatile] = ACTIONS(2777),
    [anon_sym_restrict] = ACTIONS(2777),
    [anon_sym___restrict__] = ACTIONS(2777),
    [anon_sym__Atomic] = ACTIONS(2777),
    [anon_sym__Noreturn] = ACTIONS(2777),
    [anon_sym_noreturn] = ACTIONS(2777),
    [anon_sym_mutable] = ACTIONS(2777),
    [anon_sym_constinit] = ACTIONS(2777),
    [anon_sym_consteval] = ACTIONS(2777),
    [sym_primitive_type] = ACTIONS(2777),
    [anon_sym_enum] = ACTIONS(2777),
    [anon_sym_class] = ACTIONS(2777),
    [anon_sym_struct] = ACTIONS(2777),
    [anon_sym_union] = ACTIONS(2777),
    [anon_sym_if] = ACTIONS(2777),
    [anon_sym_switch] = ACTIONS(2777),
    [anon_sym_case] = ACTIONS(2777),
    [anon_sym_default] = ACTIONS(2777),
    [anon_sym_while] = ACTIONS(2777),
    [anon_sym_do] = ACTIONS(2777),
    [anon_sym_for] = ACTIONS(2777),
    [anon_sym_return] = ACTIONS(2777),
    [anon_sym_break] = ACTIONS(2777),
    [anon_sym_continue] = ACTIONS(2777),
    [anon_sym_goto] = ACTIONS(2777),
    [anon_sym___try] = ACTIONS(2777),
    [anon_sym___leave] = ACTIONS(2777),
    [anon_sym_not] = ACTIONS(2777),
    [anon_sym_compl] = ACTIONS(2777),
    [anon_sym_DASH_DASH] = ACTIONS(2779),
    [anon_sym_PLUS_PLUS] = ACTIONS(2779),
    [anon_sym_sizeof] = ACTIONS(2777),
    [anon_sym___alignof__] = ACTIONS(2777),
    [anon_sym___alignof] = ACTIONS(2777),
    [anon_sym__alignof] = ACTIONS(2777),
    [anon_sym_alignof] = ACTIONS(2777),
    [anon_sym__Alignof] = ACTIONS(2777),
    [anon_sym_offsetof] = ACTIONS(2777),
    [anon_sym__Generic] = ACTIONS(2777),
    [anon_sym_asm] = ACTIONS(2777),
    [anon_sym___asm__] = ACTIONS(2777),
    [sym_number_literal] = ACTIONS(2779),
    [anon_sym_L_SQUOTE] = ACTIONS(2779),
    [anon_sym_u_SQUOTE] = ACTIONS(2779),
    [anon_sym_U_SQUOTE] = ACTIONS(2779),
    [anon_sym_u8_SQUOTE] = ACTIONS(2779),
    [anon_sym_SQUOTE] = ACTIONS(2779),
    [anon_sym_L_DQUOTE] = ACTIONS(2779),
    [anon_sym_u_DQUOTE] = ACTIONS(2779),
    [anon_sym_U_DQUOTE] = ACTIONS(2779),
    [anon_sym_u8_DQUOTE] = ACTIONS(2779),
    [anon_sym_DQUOTE] = ACTIONS(2779),
    [sym_true] = ACTIONS(2777),
    [sym_false] = ACTIONS(2777),
    [anon_sym_NULL] = ACTIONS(2777),
    [anon_sym_nullptr] = ACTIONS(2777),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2777),
    [anon_sym_decltype] = ACTIONS(2777),
    [anon_sym_virtual] = ACTIONS(2777),
    [anon_sym_alignas] = ACTIONS(2777),
    [anon_sym_explicit] = ACTIONS(2777),
    [anon_sym_typename] = ACTIONS(2777),
    [anon_sym_template] = ACTIONS(2777),
    [anon_sym_operator] = ACTIONS(2777),
    [anon_sym_try] = ACTIONS(2777),
    [anon_sym_delete] = ACTIONS(2777),
    [anon_sym_throw] = ACTIONS(2777),
    [anon_sym_namespace] = ACTIONS(2777),
    [anon_sym_using] = ACTIONS(2777),
    [anon_sym_static_assert] = ACTIONS(2777),
    [anon_sym_concept] = ACTIONS(2777),
    [anon_sym_co_return] = ACTIONS(2777),
    [anon_sym_co_yield] = ACTIONS(2777),
    [anon_sym_R_DQUOTE] = ACTIONS(2779),
    [anon_sym_LR_DQUOTE] = ACTIONS(2779),
    [anon_sym_uR_DQUOTE] = ACTIONS(2779),
    [anon_sym_UR_DQUOTE] = ACTIONS(2779),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2779),
    [anon_sym_co_await] = ACTIONS(2777),
    [anon_sym_new] = ACTIONS(2777),
    [anon_sym_requires] = ACTIONS(2777),
    [sym_this] = ACTIONS(2777),
    [anon_sym_discard] = ACTIONS(2777),
    [anon_sym_precise] = ACTIONS(2777),
    [anon_sym_shared] = ACTIONS(2777),
    [anon_sym_groupshared] = ACTIONS(2777),
    [anon_sym_uniform] = ACTIONS(2777),
    [anon_sym_row_major] = ACTIONS(2777),
    [anon_sym_column_major] = ACTIONS(2777),
    [anon_sym_globallycoherent] = ACTIONS(2777),
    [anon_sym_centroid] = ACTIONS(2777),
    [anon_sym_noperspective] = ACTIONS(2777),
    [anon_sym_nointerpolation] = ACTIONS(2777),
    [anon_sym_sample] = ACTIONS(2777),
    [anon_sym_linear] = ACTIONS(2777),
    [anon_sym_snorm] = ACTIONS(2777),
    [anon_sym_unorm] = ACTIONS(2777),
    [anon_sym_point] = ACTIONS(2777),
    [anon_sym_line] = ACTIONS(2777),
    [anon_sym_triangleadj] = ACTIONS(2777),
    [anon_sym_lineadj] = ACTIONS(2777),
    [anon_sym_triangle] = ACTIONS(2777),
    [anon_sym_cbuffer] = ACTIONS(2777),
  },
  [1080] = {
    [sym_preproc_def] = STATE(1199),
    [sym_preproc_function_def] = STATE(1199),
    [sym_preproc_call] = STATE(1199),
    [sym_preproc_if_in_field_declaration_list] = STATE(1199),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(1199),
    [sym_preproc_else_in_field_declaration_list] = STATE(10185),
    [sym_preproc_elif_in_field_declaration_list] = STATE(10185),
    [sym_type_definition] = STATE(1199),
    [sym__declaration_modifiers] = STATE(3159),
    [sym__declaration_specifiers] = STATE(6914),
    [sym_attribute_specifier] = STATE(3159),
    [sym_attribute_declaration] = STATE(3159),
    [sym_ms_declspec_modifier] = STATE(3159),
    [sym_ms_based_modifier] = STATE(10332),
    [sym__declarator] = STATE(7978),
    [sym_parenthesized_declarator] = STATE(7680),
    [sym_attributed_declarator] = STATE(7680),
    [sym_pointer_declarator] = STATE(7680),
    [sym_function_declarator] = STATE(7532),
    [sym_array_declarator] = STATE(7680),
    [sym_storage_class_specifier] = STATE(3159),
    [sym_type_qualifier] = STATE(3159),
    [sym__type_specifier] = STATE(2827),
    [sym_sized_type_specifier] = STATE(3085),
    [sym_enum_specifier] = STATE(3085),
    [sym_struct_specifier] = STATE(3085),
    [sym_union_specifier] = STATE(3085),
    [sym__field_declaration_list_item] = STATE(1199),
    [sym_field_declaration] = STATE(1199),
    [sym_placeholder_type_specifier] = STATE(3085),
    [sym_decltype_auto] = STATE(3091),
    [sym_decltype] = STATE(3050),
    [sym_class_specifier] = STATE(3085),
    [sym_virtual] = STATE(3159),
    [sym_alignas_specifier] = STATE(3159),
    [sym_explicit_function_specifier] = STATE(2521),
    [sym_dependent_type] = STATE(3085),
    [sym_template_declaration] = STATE(1199),
    [sym_operator_cast] = STATE(8041),
    [sym_inline_method_definition] = STATE(1199),
    [sym__constructor_specifiers] = STATE(2521),
    [sym_operator_cast_definition] = STATE(1199),
    [sym_operator_cast_declaration] = STATE(1199),
    [sym_constructor_or_destructor_definition] = STATE(1199),
    [sym_constructor_or_destructor_declaration] = STATE(1199),
    [sym_friend_declaration] = STATE(1199),
    [sym_access_specifier] = STATE(10120),
    [sym_reference_declarator] = STATE(7680),
    [sym_structured_binding_declarator] = STATE(7680),
    [sym_template_type] = STATE(3050),
    [sym_template_function] = STATE(7680),
    [sym_using_declaration] = STATE(1199),
    [sym_alias_declaration] = STATE(1199),
    [sym_static_assert_declaration] = STATE(1199),
    [sym_destructor_name] = STATE(7680),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6733),
    [sym_qualified_identifier] = STATE(7680),
    [sym_qualified_type_identifier] = STATE(3068),
    [sym_qualified_operator_cast_identifier] = STATE(8041),
    [sym_operator_name] = STATE(7680),
    [sym_qualifiers] = STATE(3159),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(1199),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2680),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3021),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2521),
    [sym_identifier] = ACTIONS(2857),
    [aux_sym_preproc_def_token1] = ACTIONS(2988),
    [aux_sym_preproc_if_token1] = ACTIONS(2990),
    [aux_sym_preproc_if_token2] = ACTIONS(2992),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2994),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2994),
    [aux_sym_preproc_else_token1] = ACTIONS(2867),
    [aux_sym_preproc_elif_token1] = ACTIONS(2869),
    [sym_preproc_directive] = ACTIONS(2996),
    [anon_sym_LPAREN2] = ACTIONS(2875),
    [anon_sym_TILDE] = ACTIONS(2877),
    [anon_sym_STAR] = ACTIONS(2879),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(2881),
    [anon_sym___extension__] = ACTIONS(2998),
    [anon_sym_typedef] = ACTIONS(3000),
    [anon_sym_in] = ACTIONS(37),
    [anon_sym_out] = ACTIONS(37),
    [anon_sym_inout] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(2887),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2096),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(2889),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(2891),
    [anon_sym_enum] = ACTIONS(2893),
    [anon_sym_class] = ACTIONS(2895),
    [anon_sym_struct] = ACTIONS(2897),
    [anon_sym_union] = ACTIONS(2899),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [anon_sym_virtual] = ACTIONS(123),
    [anon_sym_alignas] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(2901),
    [anon_sym_template] = ACTIONS(3002),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_friend] = ACTIONS(3004),
    [anon_sym_public] = ACTIONS(2907),
    [anon_sym_private] = ACTIONS(2907),
    [anon_sym_protected] = ACTIONS(2907),
    [anon_sym_using] = ACTIONS(3006),
    [anon_sym_static_assert] = ACTIONS(3008),
    [anon_sym_precise] = ACTIONS(161),
    [anon_sym_shared] = ACTIONS(161),
    [anon_sym_groupshared] = ACTIONS(161),
    [anon_sym_uniform] = ACTIONS(161),
    [anon_sym_row_major] = ACTIONS(161),
    [anon_sym_column_major] = ACTIONS(161),
    [anon_sym_globallycoherent] = ACTIONS(161),
    [anon_sym_centroid] = ACTIONS(161),
    [anon_sym_noperspective] = ACTIONS(161),
    [anon_sym_nointerpolation] = ACTIONS(161),
    [anon_sym_sample] = ACTIONS(161),
    [anon_sym_linear] = ACTIONS(161),
    [anon_sym_snorm] = ACTIONS(161),
    [anon_sym_unorm] = ACTIONS(161),
    [anon_sym_point] = ACTIONS(161),
    [anon_sym_line] = ACTIONS(161),
    [anon_sym_triangleadj] = ACTIONS(161),
    [anon_sym_lineadj] = ACTIONS(161),
    [anon_sym_triangle] = ACTIONS(161),
  },
  [1081] = {
    [sym_identifier] = ACTIONS(2765),
    [aux_sym_preproc_include_token1] = ACTIONS(2765),
    [aux_sym_preproc_def_token1] = ACTIONS(2765),
    [aux_sym_preproc_if_token1] = ACTIONS(2765),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2765),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2765),
    [sym_preproc_directive] = ACTIONS(2765),
    [anon_sym_LPAREN2] = ACTIONS(2767),
    [anon_sym_BANG] = ACTIONS(2767),
    [anon_sym_TILDE] = ACTIONS(2767),
    [anon_sym_DASH] = ACTIONS(2765),
    [anon_sym_PLUS] = ACTIONS(2765),
    [anon_sym_STAR] = ACTIONS(2767),
    [anon_sym_AMP_AMP] = ACTIONS(2767),
    [anon_sym_AMP] = ACTIONS(2765),
    [anon_sym_SEMI] = ACTIONS(2767),
    [anon_sym___extension__] = ACTIONS(2765),
    [anon_sym_typedef] = ACTIONS(2765),
    [anon_sym_in] = ACTIONS(2765),
    [anon_sym_out] = ACTIONS(2765),
    [anon_sym_inout] = ACTIONS(2765),
    [anon_sym_extern] = ACTIONS(2765),
    [anon_sym___attribute__] = ACTIONS(2765),
    [anon_sym_COLON_COLON] = ACTIONS(2767),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2767),
    [anon_sym___declspec] = ACTIONS(2765),
    [anon_sym___based] = ACTIONS(2765),
    [anon_sym___cdecl] = ACTIONS(2765),
    [anon_sym___clrcall] = ACTIONS(2765),
    [anon_sym___stdcall] = ACTIONS(2765),
    [anon_sym___fastcall] = ACTIONS(2765),
    [anon_sym___thiscall] = ACTIONS(2765),
    [anon_sym___vectorcall] = ACTIONS(2765),
    [anon_sym_LBRACE] = ACTIONS(2767),
    [anon_sym_RBRACE] = ACTIONS(2767),
    [anon_sym_signed] = ACTIONS(2765),
    [anon_sym_unsigned] = ACTIONS(2765),
    [anon_sym_long] = ACTIONS(2765),
    [anon_sym_short] = ACTIONS(2765),
    [anon_sym_LBRACK] = ACTIONS(2765),
    [anon_sym_static] = ACTIONS(2765),
    [anon_sym_register] = ACTIONS(2765),
    [anon_sym_inline] = ACTIONS(2765),
    [anon_sym___inline] = ACTIONS(2765),
    [anon_sym___inline__] = ACTIONS(2765),
    [anon_sym___forceinline] = ACTIONS(2765),
    [anon_sym_thread_local] = ACTIONS(2765),
    [anon_sym___thread] = ACTIONS(2765),
    [anon_sym_const] = ACTIONS(2765),
    [anon_sym_constexpr] = ACTIONS(2765),
    [anon_sym_volatile] = ACTIONS(2765),
    [anon_sym_restrict] = ACTIONS(2765),
    [anon_sym___restrict__] = ACTIONS(2765),
    [anon_sym__Atomic] = ACTIONS(2765),
    [anon_sym__Noreturn] = ACTIONS(2765),
    [anon_sym_noreturn] = ACTIONS(2765),
    [anon_sym_mutable] = ACTIONS(2765),
    [anon_sym_constinit] = ACTIONS(2765),
    [anon_sym_consteval] = ACTIONS(2765),
    [sym_primitive_type] = ACTIONS(2765),
    [anon_sym_enum] = ACTIONS(2765),
    [anon_sym_class] = ACTIONS(2765),
    [anon_sym_struct] = ACTIONS(2765),
    [anon_sym_union] = ACTIONS(2765),
    [anon_sym_if] = ACTIONS(2765),
    [anon_sym_switch] = ACTIONS(2765),
    [anon_sym_case] = ACTIONS(2765),
    [anon_sym_default] = ACTIONS(2765),
    [anon_sym_while] = ACTIONS(2765),
    [anon_sym_do] = ACTIONS(2765),
    [anon_sym_for] = ACTIONS(2765),
    [anon_sym_return] = ACTIONS(2765),
    [anon_sym_break] = ACTIONS(2765),
    [anon_sym_continue] = ACTIONS(2765),
    [anon_sym_goto] = ACTIONS(2765),
    [anon_sym___try] = ACTIONS(2765),
    [anon_sym___leave] = ACTIONS(2765),
    [anon_sym_not] = ACTIONS(2765),
    [anon_sym_compl] = ACTIONS(2765),
    [anon_sym_DASH_DASH] = ACTIONS(2767),
    [anon_sym_PLUS_PLUS] = ACTIONS(2767),
    [anon_sym_sizeof] = ACTIONS(2765),
    [anon_sym___alignof__] = ACTIONS(2765),
    [anon_sym___alignof] = ACTIONS(2765),
    [anon_sym__alignof] = ACTIONS(2765),
    [anon_sym_alignof] = ACTIONS(2765),
    [anon_sym__Alignof] = ACTIONS(2765),
    [anon_sym_offsetof] = ACTIONS(2765),
    [anon_sym__Generic] = ACTIONS(2765),
    [anon_sym_asm] = ACTIONS(2765),
    [anon_sym___asm__] = ACTIONS(2765),
    [sym_number_literal] = ACTIONS(2767),
    [anon_sym_L_SQUOTE] = ACTIONS(2767),
    [anon_sym_u_SQUOTE] = ACTIONS(2767),
    [anon_sym_U_SQUOTE] = ACTIONS(2767),
    [anon_sym_u8_SQUOTE] = ACTIONS(2767),
    [anon_sym_SQUOTE] = ACTIONS(2767),
    [anon_sym_L_DQUOTE] = ACTIONS(2767),
    [anon_sym_u_DQUOTE] = ACTIONS(2767),
    [anon_sym_U_DQUOTE] = ACTIONS(2767),
    [anon_sym_u8_DQUOTE] = ACTIONS(2767),
    [anon_sym_DQUOTE] = ACTIONS(2767),
    [sym_true] = ACTIONS(2765),
    [sym_false] = ACTIONS(2765),
    [anon_sym_NULL] = ACTIONS(2765),
    [anon_sym_nullptr] = ACTIONS(2765),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2765),
    [anon_sym_decltype] = ACTIONS(2765),
    [anon_sym_virtual] = ACTIONS(2765),
    [anon_sym_alignas] = ACTIONS(2765),
    [anon_sym_explicit] = ACTIONS(2765),
    [anon_sym_typename] = ACTIONS(2765),
    [anon_sym_template] = ACTIONS(2765),
    [anon_sym_operator] = ACTIONS(2765),
    [anon_sym_try] = ACTIONS(2765),
    [anon_sym_delete] = ACTIONS(2765),
    [anon_sym_throw] = ACTIONS(2765),
    [anon_sym_namespace] = ACTIONS(2765),
    [anon_sym_using] = ACTIONS(2765),
    [anon_sym_static_assert] = ACTIONS(2765),
    [anon_sym_concept] = ACTIONS(2765),
    [anon_sym_co_return] = ACTIONS(2765),
    [anon_sym_co_yield] = ACTIONS(2765),
    [anon_sym_R_DQUOTE] = ACTIONS(2767),
    [anon_sym_LR_DQUOTE] = ACTIONS(2767),
    [anon_sym_uR_DQUOTE] = ACTIONS(2767),
    [anon_sym_UR_DQUOTE] = ACTIONS(2767),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2767),
    [anon_sym_co_await] = ACTIONS(2765),
    [anon_sym_new] = ACTIONS(2765),
    [anon_sym_requires] = ACTIONS(2765),
    [sym_this] = ACTIONS(2765),
    [anon_sym_discard] = ACTIONS(2765),
    [anon_sym_precise] = ACTIONS(2765),
    [anon_sym_shared] = ACTIONS(2765),
    [anon_sym_groupshared] = ACTIONS(2765),
    [anon_sym_uniform] = ACTIONS(2765),
    [anon_sym_row_major] = ACTIONS(2765),
    [anon_sym_column_major] = ACTIONS(2765),
    [anon_sym_globallycoherent] = ACTIONS(2765),
    [anon_sym_centroid] = ACTIONS(2765),
    [anon_sym_noperspective] = ACTIONS(2765),
    [anon_sym_nointerpolation] = ACTIONS(2765),
    [anon_sym_sample] = ACTIONS(2765),
    [anon_sym_linear] = ACTIONS(2765),
    [anon_sym_snorm] = ACTIONS(2765),
    [anon_sym_unorm] = ACTIONS(2765),
    [anon_sym_point] = ACTIONS(2765),
    [anon_sym_line] = ACTIONS(2765),
    [anon_sym_triangleadj] = ACTIONS(2765),
    [anon_sym_lineadj] = ACTIONS(2765),
    [anon_sym_triangle] = ACTIONS(2765),
    [anon_sym_cbuffer] = ACTIONS(2765),
  },
  [1082] = {
    [sym_identifier] = ACTIONS(2837),
    [aux_sym_preproc_include_token1] = ACTIONS(2837),
    [aux_sym_preproc_def_token1] = ACTIONS(2837),
    [aux_sym_preproc_if_token1] = ACTIONS(2837),
    [aux_sym_preproc_if_token2] = ACTIONS(2837),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2837),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2837),
    [sym_preproc_directive] = ACTIONS(2837),
    [anon_sym_LPAREN2] = ACTIONS(2839),
    [anon_sym_BANG] = ACTIONS(2839),
    [anon_sym_TILDE] = ACTIONS(2839),
    [anon_sym_DASH] = ACTIONS(2837),
    [anon_sym_PLUS] = ACTIONS(2837),
    [anon_sym_STAR] = ACTIONS(2839),
    [anon_sym_AMP_AMP] = ACTIONS(2839),
    [anon_sym_AMP] = ACTIONS(2837),
    [anon_sym_SEMI] = ACTIONS(2839),
    [anon_sym___extension__] = ACTIONS(2837),
    [anon_sym_typedef] = ACTIONS(2837),
    [anon_sym_in] = ACTIONS(2837),
    [anon_sym_out] = ACTIONS(2837),
    [anon_sym_inout] = ACTIONS(2837),
    [anon_sym_extern] = ACTIONS(2837),
    [anon_sym___attribute__] = ACTIONS(2837),
    [anon_sym_COLON_COLON] = ACTIONS(2839),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2839),
    [anon_sym___declspec] = ACTIONS(2837),
    [anon_sym___based] = ACTIONS(2837),
    [anon_sym___cdecl] = ACTIONS(2837),
    [anon_sym___clrcall] = ACTIONS(2837),
    [anon_sym___stdcall] = ACTIONS(2837),
    [anon_sym___fastcall] = ACTIONS(2837),
    [anon_sym___thiscall] = ACTIONS(2837),
    [anon_sym___vectorcall] = ACTIONS(2837),
    [anon_sym_LBRACE] = ACTIONS(2839),
    [anon_sym_signed] = ACTIONS(2837),
    [anon_sym_unsigned] = ACTIONS(2837),
    [anon_sym_long] = ACTIONS(2837),
    [anon_sym_short] = ACTIONS(2837),
    [anon_sym_LBRACK] = ACTIONS(2837),
    [anon_sym_static] = ACTIONS(2837),
    [anon_sym_register] = ACTIONS(2837),
    [anon_sym_inline] = ACTIONS(2837),
    [anon_sym___inline] = ACTIONS(2837),
    [anon_sym___inline__] = ACTIONS(2837),
    [anon_sym___forceinline] = ACTIONS(2837),
    [anon_sym_thread_local] = ACTIONS(2837),
    [anon_sym___thread] = ACTIONS(2837),
    [anon_sym_const] = ACTIONS(2837),
    [anon_sym_constexpr] = ACTIONS(2837),
    [anon_sym_volatile] = ACTIONS(2837),
    [anon_sym_restrict] = ACTIONS(2837),
    [anon_sym___restrict__] = ACTIONS(2837),
    [anon_sym__Atomic] = ACTIONS(2837),
    [anon_sym__Noreturn] = ACTIONS(2837),
    [anon_sym_noreturn] = ACTIONS(2837),
    [anon_sym_mutable] = ACTIONS(2837),
    [anon_sym_constinit] = ACTIONS(2837),
    [anon_sym_consteval] = ACTIONS(2837),
    [sym_primitive_type] = ACTIONS(2837),
    [anon_sym_enum] = ACTIONS(2837),
    [anon_sym_class] = ACTIONS(2837),
    [anon_sym_struct] = ACTIONS(2837),
    [anon_sym_union] = ACTIONS(2837),
    [anon_sym_if] = ACTIONS(2837),
    [anon_sym_switch] = ACTIONS(2837),
    [anon_sym_case] = ACTIONS(2837),
    [anon_sym_default] = ACTIONS(2837),
    [anon_sym_while] = ACTIONS(2837),
    [anon_sym_do] = ACTIONS(2837),
    [anon_sym_for] = ACTIONS(2837),
    [anon_sym_return] = ACTIONS(2837),
    [anon_sym_break] = ACTIONS(2837),
    [anon_sym_continue] = ACTIONS(2837),
    [anon_sym_goto] = ACTIONS(2837),
    [anon_sym___try] = ACTIONS(2837),
    [anon_sym___leave] = ACTIONS(2837),
    [anon_sym_not] = ACTIONS(2837),
    [anon_sym_compl] = ACTIONS(2837),
    [anon_sym_DASH_DASH] = ACTIONS(2839),
    [anon_sym_PLUS_PLUS] = ACTIONS(2839),
    [anon_sym_sizeof] = ACTIONS(2837),
    [anon_sym___alignof__] = ACTIONS(2837),
    [anon_sym___alignof] = ACTIONS(2837),
    [anon_sym__alignof] = ACTIONS(2837),
    [anon_sym_alignof] = ACTIONS(2837),
    [anon_sym__Alignof] = ACTIONS(2837),
    [anon_sym_offsetof] = ACTIONS(2837),
    [anon_sym__Generic] = ACTIONS(2837),
    [anon_sym_asm] = ACTIONS(2837),
    [anon_sym___asm__] = ACTIONS(2837),
    [sym_number_literal] = ACTIONS(2839),
    [anon_sym_L_SQUOTE] = ACTIONS(2839),
    [anon_sym_u_SQUOTE] = ACTIONS(2839),
    [anon_sym_U_SQUOTE] = ACTIONS(2839),
    [anon_sym_u8_SQUOTE] = ACTIONS(2839),
    [anon_sym_SQUOTE] = ACTIONS(2839),
    [anon_sym_L_DQUOTE] = ACTIONS(2839),
    [anon_sym_u_DQUOTE] = ACTIONS(2839),
    [anon_sym_U_DQUOTE] = ACTIONS(2839),
    [anon_sym_u8_DQUOTE] = ACTIONS(2839),
    [anon_sym_DQUOTE] = ACTIONS(2839),
    [sym_true] = ACTIONS(2837),
    [sym_false] = ACTIONS(2837),
    [anon_sym_NULL] = ACTIONS(2837),
    [anon_sym_nullptr] = ACTIONS(2837),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2837),
    [anon_sym_decltype] = ACTIONS(2837),
    [anon_sym_virtual] = ACTIONS(2837),
    [anon_sym_alignas] = ACTIONS(2837),
    [anon_sym_explicit] = ACTIONS(2837),
    [anon_sym_typename] = ACTIONS(2837),
    [anon_sym_template] = ACTIONS(2837),
    [anon_sym_operator] = ACTIONS(2837),
    [anon_sym_try] = ACTIONS(2837),
    [anon_sym_delete] = ACTIONS(2837),
    [anon_sym_throw] = ACTIONS(2837),
    [anon_sym_namespace] = ACTIONS(2837),
    [anon_sym_using] = ACTIONS(2837),
    [anon_sym_static_assert] = ACTIONS(2837),
    [anon_sym_concept] = ACTIONS(2837),
    [anon_sym_co_return] = ACTIONS(2837),
    [anon_sym_co_yield] = ACTIONS(2837),
    [anon_sym_R_DQUOTE] = ACTIONS(2839),
    [anon_sym_LR_DQUOTE] = ACTIONS(2839),
    [anon_sym_uR_DQUOTE] = ACTIONS(2839),
    [anon_sym_UR_DQUOTE] = ACTIONS(2839),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2839),
    [anon_sym_co_await] = ACTIONS(2837),
    [anon_sym_new] = ACTIONS(2837),
    [anon_sym_requires] = ACTIONS(2837),
    [sym_this] = ACTIONS(2837),
    [anon_sym_discard] = ACTIONS(2837),
    [anon_sym_precise] = ACTIONS(2837),
    [anon_sym_shared] = ACTIONS(2837),
    [anon_sym_groupshared] = ACTIONS(2837),
    [anon_sym_uniform] = ACTIONS(2837),
    [anon_sym_row_major] = ACTIONS(2837),
    [anon_sym_column_major] = ACTIONS(2837),
    [anon_sym_globallycoherent] = ACTIONS(2837),
    [anon_sym_centroid] = ACTIONS(2837),
    [anon_sym_noperspective] = ACTIONS(2837),
    [anon_sym_nointerpolation] = ACTIONS(2837),
    [anon_sym_sample] = ACTIONS(2837),
    [anon_sym_linear] = ACTIONS(2837),
    [anon_sym_snorm] = ACTIONS(2837),
    [anon_sym_unorm] = ACTIONS(2837),
    [anon_sym_point] = ACTIONS(2837),
    [anon_sym_line] = ACTIONS(2837),
    [anon_sym_triangleadj] = ACTIONS(2837),
    [anon_sym_lineadj] = ACTIONS(2837),
    [anon_sym_triangle] = ACTIONS(2837),
    [anon_sym_cbuffer] = ACTIONS(2837),
  },
  [1083] = {
    [sym_identifier] = ACTIONS(2608),
    [aux_sym_preproc_include_token1] = ACTIONS(2608),
    [aux_sym_preproc_def_token1] = ACTIONS(2608),
    [aux_sym_preproc_if_token1] = ACTIONS(2608),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2608),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2608),
    [sym_preproc_directive] = ACTIONS(2608),
    [anon_sym_LPAREN2] = ACTIONS(2610),
    [anon_sym_BANG] = ACTIONS(2610),
    [anon_sym_TILDE] = ACTIONS(2610),
    [anon_sym_DASH] = ACTIONS(2608),
    [anon_sym_PLUS] = ACTIONS(2608),
    [anon_sym_STAR] = ACTIONS(2610),
    [anon_sym_AMP_AMP] = ACTIONS(2610),
    [anon_sym_AMP] = ACTIONS(2608),
    [anon_sym_SEMI] = ACTIONS(2610),
    [anon_sym___extension__] = ACTIONS(2608),
    [anon_sym_typedef] = ACTIONS(2608),
    [anon_sym_in] = ACTIONS(2608),
    [anon_sym_out] = ACTIONS(2608),
    [anon_sym_inout] = ACTIONS(2608),
    [anon_sym_extern] = ACTIONS(2608),
    [anon_sym___attribute__] = ACTIONS(2608),
    [anon_sym_COLON_COLON] = ACTIONS(2610),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2610),
    [anon_sym___declspec] = ACTIONS(2608),
    [anon_sym___based] = ACTIONS(2608),
    [anon_sym___cdecl] = ACTIONS(2608),
    [anon_sym___clrcall] = ACTIONS(2608),
    [anon_sym___stdcall] = ACTIONS(2608),
    [anon_sym___fastcall] = ACTIONS(2608),
    [anon_sym___thiscall] = ACTIONS(2608),
    [anon_sym___vectorcall] = ACTIONS(2608),
    [anon_sym_LBRACE] = ACTIONS(2610),
    [anon_sym_RBRACE] = ACTIONS(2610),
    [anon_sym_signed] = ACTIONS(2608),
    [anon_sym_unsigned] = ACTIONS(2608),
    [anon_sym_long] = ACTIONS(2608),
    [anon_sym_short] = ACTIONS(2608),
    [anon_sym_LBRACK] = ACTIONS(2608),
    [anon_sym_static] = ACTIONS(2608),
    [anon_sym_register] = ACTIONS(2608),
    [anon_sym_inline] = ACTIONS(2608),
    [anon_sym___inline] = ACTIONS(2608),
    [anon_sym___inline__] = ACTIONS(2608),
    [anon_sym___forceinline] = ACTIONS(2608),
    [anon_sym_thread_local] = ACTIONS(2608),
    [anon_sym___thread] = ACTIONS(2608),
    [anon_sym_const] = ACTIONS(2608),
    [anon_sym_constexpr] = ACTIONS(2608),
    [anon_sym_volatile] = ACTIONS(2608),
    [anon_sym_restrict] = ACTIONS(2608),
    [anon_sym___restrict__] = ACTIONS(2608),
    [anon_sym__Atomic] = ACTIONS(2608),
    [anon_sym__Noreturn] = ACTIONS(2608),
    [anon_sym_noreturn] = ACTIONS(2608),
    [anon_sym_mutable] = ACTIONS(2608),
    [anon_sym_constinit] = ACTIONS(2608),
    [anon_sym_consteval] = ACTIONS(2608),
    [sym_primitive_type] = ACTIONS(2608),
    [anon_sym_enum] = ACTIONS(2608),
    [anon_sym_class] = ACTIONS(2608),
    [anon_sym_struct] = ACTIONS(2608),
    [anon_sym_union] = ACTIONS(2608),
    [anon_sym_if] = ACTIONS(2608),
    [anon_sym_switch] = ACTIONS(2608),
    [anon_sym_case] = ACTIONS(2608),
    [anon_sym_default] = ACTIONS(2608),
    [anon_sym_while] = ACTIONS(2608),
    [anon_sym_do] = ACTIONS(2608),
    [anon_sym_for] = ACTIONS(2608),
    [anon_sym_return] = ACTIONS(2608),
    [anon_sym_break] = ACTIONS(2608),
    [anon_sym_continue] = ACTIONS(2608),
    [anon_sym_goto] = ACTIONS(2608),
    [anon_sym___try] = ACTIONS(2608),
    [anon_sym___leave] = ACTIONS(2608),
    [anon_sym_not] = ACTIONS(2608),
    [anon_sym_compl] = ACTIONS(2608),
    [anon_sym_DASH_DASH] = ACTIONS(2610),
    [anon_sym_PLUS_PLUS] = ACTIONS(2610),
    [anon_sym_sizeof] = ACTIONS(2608),
    [anon_sym___alignof__] = ACTIONS(2608),
    [anon_sym___alignof] = ACTIONS(2608),
    [anon_sym__alignof] = ACTIONS(2608),
    [anon_sym_alignof] = ACTIONS(2608),
    [anon_sym__Alignof] = ACTIONS(2608),
    [anon_sym_offsetof] = ACTIONS(2608),
    [anon_sym__Generic] = ACTIONS(2608),
    [anon_sym_asm] = ACTIONS(2608),
    [anon_sym___asm__] = ACTIONS(2608),
    [sym_number_literal] = ACTIONS(2610),
    [anon_sym_L_SQUOTE] = ACTIONS(2610),
    [anon_sym_u_SQUOTE] = ACTIONS(2610),
    [anon_sym_U_SQUOTE] = ACTIONS(2610),
    [anon_sym_u8_SQUOTE] = ACTIONS(2610),
    [anon_sym_SQUOTE] = ACTIONS(2610),
    [anon_sym_L_DQUOTE] = ACTIONS(2610),
    [anon_sym_u_DQUOTE] = ACTIONS(2610),
    [anon_sym_U_DQUOTE] = ACTIONS(2610),
    [anon_sym_u8_DQUOTE] = ACTIONS(2610),
    [anon_sym_DQUOTE] = ACTIONS(2610),
    [sym_true] = ACTIONS(2608),
    [sym_false] = ACTIONS(2608),
    [anon_sym_NULL] = ACTIONS(2608),
    [anon_sym_nullptr] = ACTIONS(2608),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2608),
    [anon_sym_decltype] = ACTIONS(2608),
    [anon_sym_virtual] = ACTIONS(2608),
    [anon_sym_alignas] = ACTIONS(2608),
    [anon_sym_explicit] = ACTIONS(2608),
    [anon_sym_typename] = ACTIONS(2608),
    [anon_sym_template] = ACTIONS(2608),
    [anon_sym_operator] = ACTIONS(2608),
    [anon_sym_try] = ACTIONS(2608),
    [anon_sym_delete] = ACTIONS(2608),
    [anon_sym_throw] = ACTIONS(2608),
    [anon_sym_namespace] = ACTIONS(2608),
    [anon_sym_using] = ACTIONS(2608),
    [anon_sym_static_assert] = ACTIONS(2608),
    [anon_sym_concept] = ACTIONS(2608),
    [anon_sym_co_return] = ACTIONS(2608),
    [anon_sym_co_yield] = ACTIONS(2608),
    [anon_sym_R_DQUOTE] = ACTIONS(2610),
    [anon_sym_LR_DQUOTE] = ACTIONS(2610),
    [anon_sym_uR_DQUOTE] = ACTIONS(2610),
    [anon_sym_UR_DQUOTE] = ACTIONS(2610),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2610),
    [anon_sym_co_await] = ACTIONS(2608),
    [anon_sym_new] = ACTIONS(2608),
    [anon_sym_requires] = ACTIONS(2608),
    [sym_this] = ACTIONS(2608),
    [anon_sym_discard] = ACTIONS(2608),
    [anon_sym_precise] = ACTIONS(2608),
    [anon_sym_shared] = ACTIONS(2608),
    [anon_sym_groupshared] = ACTIONS(2608),
    [anon_sym_uniform] = ACTIONS(2608),
    [anon_sym_row_major] = ACTIONS(2608),
    [anon_sym_column_major] = ACTIONS(2608),
    [anon_sym_globallycoherent] = ACTIONS(2608),
    [anon_sym_centroid] = ACTIONS(2608),
    [anon_sym_noperspective] = ACTIONS(2608),
    [anon_sym_nointerpolation] = ACTIONS(2608),
    [anon_sym_sample] = ACTIONS(2608),
    [anon_sym_linear] = ACTIONS(2608),
    [anon_sym_snorm] = ACTIONS(2608),
    [anon_sym_unorm] = ACTIONS(2608),
    [anon_sym_point] = ACTIONS(2608),
    [anon_sym_line] = ACTIONS(2608),
    [anon_sym_triangleadj] = ACTIONS(2608),
    [anon_sym_lineadj] = ACTIONS(2608),
    [anon_sym_triangle] = ACTIONS(2608),
    [anon_sym_cbuffer] = ACTIONS(2608),
  },
  [1084] = {
    [sym_identifier] = ACTIONS(2797),
    [aux_sym_preproc_include_token1] = ACTIONS(2797),
    [aux_sym_preproc_def_token1] = ACTIONS(2797),
    [aux_sym_preproc_if_token1] = ACTIONS(2797),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2797),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2797),
    [sym_preproc_directive] = ACTIONS(2797),
    [anon_sym_LPAREN2] = ACTIONS(2799),
    [anon_sym_BANG] = ACTIONS(2799),
    [anon_sym_TILDE] = ACTIONS(2799),
    [anon_sym_DASH] = ACTIONS(2797),
    [anon_sym_PLUS] = ACTIONS(2797),
    [anon_sym_STAR] = ACTIONS(2799),
    [anon_sym_AMP_AMP] = ACTIONS(2799),
    [anon_sym_AMP] = ACTIONS(2797),
    [anon_sym_SEMI] = ACTIONS(2799),
    [anon_sym___extension__] = ACTIONS(2797),
    [anon_sym_typedef] = ACTIONS(2797),
    [anon_sym_in] = ACTIONS(2797),
    [anon_sym_out] = ACTIONS(2797),
    [anon_sym_inout] = ACTIONS(2797),
    [anon_sym_extern] = ACTIONS(2797),
    [anon_sym___attribute__] = ACTIONS(2797),
    [anon_sym_COLON_COLON] = ACTIONS(2799),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2799),
    [anon_sym___declspec] = ACTIONS(2797),
    [anon_sym___based] = ACTIONS(2797),
    [anon_sym___cdecl] = ACTIONS(2797),
    [anon_sym___clrcall] = ACTIONS(2797),
    [anon_sym___stdcall] = ACTIONS(2797),
    [anon_sym___fastcall] = ACTIONS(2797),
    [anon_sym___thiscall] = ACTIONS(2797),
    [anon_sym___vectorcall] = ACTIONS(2797),
    [anon_sym_LBRACE] = ACTIONS(2799),
    [anon_sym_RBRACE] = ACTIONS(2799),
    [anon_sym_signed] = ACTIONS(2797),
    [anon_sym_unsigned] = ACTIONS(2797),
    [anon_sym_long] = ACTIONS(2797),
    [anon_sym_short] = ACTIONS(2797),
    [anon_sym_LBRACK] = ACTIONS(2797),
    [anon_sym_static] = ACTIONS(2797),
    [anon_sym_register] = ACTIONS(2797),
    [anon_sym_inline] = ACTIONS(2797),
    [anon_sym___inline] = ACTIONS(2797),
    [anon_sym___inline__] = ACTIONS(2797),
    [anon_sym___forceinline] = ACTIONS(2797),
    [anon_sym_thread_local] = ACTIONS(2797),
    [anon_sym___thread] = ACTIONS(2797),
    [anon_sym_const] = ACTIONS(2797),
    [anon_sym_constexpr] = ACTIONS(2797),
    [anon_sym_volatile] = ACTIONS(2797),
    [anon_sym_restrict] = ACTIONS(2797),
    [anon_sym___restrict__] = ACTIONS(2797),
    [anon_sym__Atomic] = ACTIONS(2797),
    [anon_sym__Noreturn] = ACTIONS(2797),
    [anon_sym_noreturn] = ACTIONS(2797),
    [anon_sym_mutable] = ACTIONS(2797),
    [anon_sym_constinit] = ACTIONS(2797),
    [anon_sym_consteval] = ACTIONS(2797),
    [sym_primitive_type] = ACTIONS(2797),
    [anon_sym_enum] = ACTIONS(2797),
    [anon_sym_class] = ACTIONS(2797),
    [anon_sym_struct] = ACTIONS(2797),
    [anon_sym_union] = ACTIONS(2797),
    [anon_sym_if] = ACTIONS(2797),
    [anon_sym_switch] = ACTIONS(2797),
    [anon_sym_case] = ACTIONS(2797),
    [anon_sym_default] = ACTIONS(2797),
    [anon_sym_while] = ACTIONS(2797),
    [anon_sym_do] = ACTIONS(2797),
    [anon_sym_for] = ACTIONS(2797),
    [anon_sym_return] = ACTIONS(2797),
    [anon_sym_break] = ACTIONS(2797),
    [anon_sym_continue] = ACTIONS(2797),
    [anon_sym_goto] = ACTIONS(2797),
    [anon_sym___try] = ACTIONS(2797),
    [anon_sym___leave] = ACTIONS(2797),
    [anon_sym_not] = ACTIONS(2797),
    [anon_sym_compl] = ACTIONS(2797),
    [anon_sym_DASH_DASH] = ACTIONS(2799),
    [anon_sym_PLUS_PLUS] = ACTIONS(2799),
    [anon_sym_sizeof] = ACTIONS(2797),
    [anon_sym___alignof__] = ACTIONS(2797),
    [anon_sym___alignof] = ACTIONS(2797),
    [anon_sym__alignof] = ACTIONS(2797),
    [anon_sym_alignof] = ACTIONS(2797),
    [anon_sym__Alignof] = ACTIONS(2797),
    [anon_sym_offsetof] = ACTIONS(2797),
    [anon_sym__Generic] = ACTIONS(2797),
    [anon_sym_asm] = ACTIONS(2797),
    [anon_sym___asm__] = ACTIONS(2797),
    [sym_number_literal] = ACTIONS(2799),
    [anon_sym_L_SQUOTE] = ACTIONS(2799),
    [anon_sym_u_SQUOTE] = ACTIONS(2799),
    [anon_sym_U_SQUOTE] = ACTIONS(2799),
    [anon_sym_u8_SQUOTE] = ACTIONS(2799),
    [anon_sym_SQUOTE] = ACTIONS(2799),
    [anon_sym_L_DQUOTE] = ACTIONS(2799),
    [anon_sym_u_DQUOTE] = ACTIONS(2799),
    [anon_sym_U_DQUOTE] = ACTIONS(2799),
    [anon_sym_u8_DQUOTE] = ACTIONS(2799),
    [anon_sym_DQUOTE] = ACTIONS(2799),
    [sym_true] = ACTIONS(2797),
    [sym_false] = ACTIONS(2797),
    [anon_sym_NULL] = ACTIONS(2797),
    [anon_sym_nullptr] = ACTIONS(2797),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2797),
    [anon_sym_decltype] = ACTIONS(2797),
    [anon_sym_virtual] = ACTIONS(2797),
    [anon_sym_alignas] = ACTIONS(2797),
    [anon_sym_explicit] = ACTIONS(2797),
    [anon_sym_typename] = ACTIONS(2797),
    [anon_sym_template] = ACTIONS(2797),
    [anon_sym_operator] = ACTIONS(2797),
    [anon_sym_try] = ACTIONS(2797),
    [anon_sym_delete] = ACTIONS(2797),
    [anon_sym_throw] = ACTIONS(2797),
    [anon_sym_namespace] = ACTIONS(2797),
    [anon_sym_using] = ACTIONS(2797),
    [anon_sym_static_assert] = ACTIONS(2797),
    [anon_sym_concept] = ACTIONS(2797),
    [anon_sym_co_return] = ACTIONS(2797),
    [anon_sym_co_yield] = ACTIONS(2797),
    [anon_sym_R_DQUOTE] = ACTIONS(2799),
    [anon_sym_LR_DQUOTE] = ACTIONS(2799),
    [anon_sym_uR_DQUOTE] = ACTIONS(2799),
    [anon_sym_UR_DQUOTE] = ACTIONS(2799),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2799),
    [anon_sym_co_await] = ACTIONS(2797),
    [anon_sym_new] = ACTIONS(2797),
    [anon_sym_requires] = ACTIONS(2797),
    [sym_this] = ACTIONS(2797),
    [anon_sym_discard] = ACTIONS(2797),
    [anon_sym_precise] = ACTIONS(2797),
    [anon_sym_shared] = ACTIONS(2797),
    [anon_sym_groupshared] = ACTIONS(2797),
    [anon_sym_uniform] = ACTIONS(2797),
    [anon_sym_row_major] = ACTIONS(2797),
    [anon_sym_column_major] = ACTIONS(2797),
    [anon_sym_globallycoherent] = ACTIONS(2797),
    [anon_sym_centroid] = ACTIONS(2797),
    [anon_sym_noperspective] = ACTIONS(2797),
    [anon_sym_nointerpolation] = ACTIONS(2797),
    [anon_sym_sample] = ACTIONS(2797),
    [anon_sym_linear] = ACTIONS(2797),
    [anon_sym_snorm] = ACTIONS(2797),
    [anon_sym_unorm] = ACTIONS(2797),
    [anon_sym_point] = ACTIONS(2797),
    [anon_sym_line] = ACTIONS(2797),
    [anon_sym_triangleadj] = ACTIONS(2797),
    [anon_sym_lineadj] = ACTIONS(2797),
    [anon_sym_triangle] = ACTIONS(2797),
    [anon_sym_cbuffer] = ACTIONS(2797),
  },
  [1085] = {
    [sym_identifier] = ACTIONS(2797),
    [aux_sym_preproc_include_token1] = ACTIONS(2797),
    [aux_sym_preproc_def_token1] = ACTIONS(2797),
    [aux_sym_preproc_if_token1] = ACTIONS(2797),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2797),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2797),
    [sym_preproc_directive] = ACTIONS(2797),
    [anon_sym_LPAREN2] = ACTIONS(2799),
    [anon_sym_BANG] = ACTIONS(2799),
    [anon_sym_TILDE] = ACTIONS(2799),
    [anon_sym_DASH] = ACTIONS(2797),
    [anon_sym_PLUS] = ACTIONS(2797),
    [anon_sym_STAR] = ACTIONS(2799),
    [anon_sym_AMP_AMP] = ACTIONS(2799),
    [anon_sym_AMP] = ACTIONS(2797),
    [anon_sym_SEMI] = ACTIONS(2799),
    [anon_sym___extension__] = ACTIONS(2797),
    [anon_sym_typedef] = ACTIONS(2797),
    [anon_sym_in] = ACTIONS(2797),
    [anon_sym_out] = ACTIONS(2797),
    [anon_sym_inout] = ACTIONS(2797),
    [anon_sym_extern] = ACTIONS(2797),
    [anon_sym___attribute__] = ACTIONS(2797),
    [anon_sym_COLON_COLON] = ACTIONS(2799),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2799),
    [anon_sym___declspec] = ACTIONS(2797),
    [anon_sym___based] = ACTIONS(2797),
    [anon_sym___cdecl] = ACTIONS(2797),
    [anon_sym___clrcall] = ACTIONS(2797),
    [anon_sym___stdcall] = ACTIONS(2797),
    [anon_sym___fastcall] = ACTIONS(2797),
    [anon_sym___thiscall] = ACTIONS(2797),
    [anon_sym___vectorcall] = ACTIONS(2797),
    [anon_sym_LBRACE] = ACTIONS(2799),
    [anon_sym_RBRACE] = ACTIONS(2799),
    [anon_sym_signed] = ACTIONS(2797),
    [anon_sym_unsigned] = ACTIONS(2797),
    [anon_sym_long] = ACTIONS(2797),
    [anon_sym_short] = ACTIONS(2797),
    [anon_sym_LBRACK] = ACTIONS(2797),
    [anon_sym_static] = ACTIONS(2797),
    [anon_sym_register] = ACTIONS(2797),
    [anon_sym_inline] = ACTIONS(2797),
    [anon_sym___inline] = ACTIONS(2797),
    [anon_sym___inline__] = ACTIONS(2797),
    [anon_sym___forceinline] = ACTIONS(2797),
    [anon_sym_thread_local] = ACTIONS(2797),
    [anon_sym___thread] = ACTIONS(2797),
    [anon_sym_const] = ACTIONS(2797),
    [anon_sym_constexpr] = ACTIONS(2797),
    [anon_sym_volatile] = ACTIONS(2797),
    [anon_sym_restrict] = ACTIONS(2797),
    [anon_sym___restrict__] = ACTIONS(2797),
    [anon_sym__Atomic] = ACTIONS(2797),
    [anon_sym__Noreturn] = ACTIONS(2797),
    [anon_sym_noreturn] = ACTIONS(2797),
    [anon_sym_mutable] = ACTIONS(2797),
    [anon_sym_constinit] = ACTIONS(2797),
    [anon_sym_consteval] = ACTIONS(2797),
    [sym_primitive_type] = ACTIONS(2797),
    [anon_sym_enum] = ACTIONS(2797),
    [anon_sym_class] = ACTIONS(2797),
    [anon_sym_struct] = ACTIONS(2797),
    [anon_sym_union] = ACTIONS(2797),
    [anon_sym_if] = ACTIONS(2797),
    [anon_sym_switch] = ACTIONS(2797),
    [anon_sym_case] = ACTIONS(2797),
    [anon_sym_default] = ACTIONS(2797),
    [anon_sym_while] = ACTIONS(2797),
    [anon_sym_do] = ACTIONS(2797),
    [anon_sym_for] = ACTIONS(2797),
    [anon_sym_return] = ACTIONS(2797),
    [anon_sym_break] = ACTIONS(2797),
    [anon_sym_continue] = ACTIONS(2797),
    [anon_sym_goto] = ACTIONS(2797),
    [anon_sym___try] = ACTIONS(2797),
    [anon_sym___leave] = ACTIONS(2797),
    [anon_sym_not] = ACTIONS(2797),
    [anon_sym_compl] = ACTIONS(2797),
    [anon_sym_DASH_DASH] = ACTIONS(2799),
    [anon_sym_PLUS_PLUS] = ACTIONS(2799),
    [anon_sym_sizeof] = ACTIONS(2797),
    [anon_sym___alignof__] = ACTIONS(2797),
    [anon_sym___alignof] = ACTIONS(2797),
    [anon_sym__alignof] = ACTIONS(2797),
    [anon_sym_alignof] = ACTIONS(2797),
    [anon_sym__Alignof] = ACTIONS(2797),
    [anon_sym_offsetof] = ACTIONS(2797),
    [anon_sym__Generic] = ACTIONS(2797),
    [anon_sym_asm] = ACTIONS(2797),
    [anon_sym___asm__] = ACTIONS(2797),
    [sym_number_literal] = ACTIONS(2799),
    [anon_sym_L_SQUOTE] = ACTIONS(2799),
    [anon_sym_u_SQUOTE] = ACTIONS(2799),
    [anon_sym_U_SQUOTE] = ACTIONS(2799),
    [anon_sym_u8_SQUOTE] = ACTIONS(2799),
    [anon_sym_SQUOTE] = ACTIONS(2799),
    [anon_sym_L_DQUOTE] = ACTIONS(2799),
    [anon_sym_u_DQUOTE] = ACTIONS(2799),
    [anon_sym_U_DQUOTE] = ACTIONS(2799),
    [anon_sym_u8_DQUOTE] = ACTIONS(2799),
    [anon_sym_DQUOTE] = ACTIONS(2799),
    [sym_true] = ACTIONS(2797),
    [sym_false] = ACTIONS(2797),
    [anon_sym_NULL] = ACTIONS(2797),
    [anon_sym_nullptr] = ACTIONS(2797),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2797),
    [anon_sym_decltype] = ACTIONS(2797),
    [anon_sym_virtual] = ACTIONS(2797),
    [anon_sym_alignas] = ACTIONS(2797),
    [anon_sym_explicit] = ACTIONS(2797),
    [anon_sym_typename] = ACTIONS(2797),
    [anon_sym_template] = ACTIONS(2797),
    [anon_sym_operator] = ACTIONS(2797),
    [anon_sym_try] = ACTIONS(2797),
    [anon_sym_delete] = ACTIONS(2797),
    [anon_sym_throw] = ACTIONS(2797),
    [anon_sym_namespace] = ACTIONS(2797),
    [anon_sym_using] = ACTIONS(2797),
    [anon_sym_static_assert] = ACTIONS(2797),
    [anon_sym_concept] = ACTIONS(2797),
    [anon_sym_co_return] = ACTIONS(2797),
    [anon_sym_co_yield] = ACTIONS(2797),
    [anon_sym_R_DQUOTE] = ACTIONS(2799),
    [anon_sym_LR_DQUOTE] = ACTIONS(2799),
    [anon_sym_uR_DQUOTE] = ACTIONS(2799),
    [anon_sym_UR_DQUOTE] = ACTIONS(2799),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2799),
    [anon_sym_co_await] = ACTIONS(2797),
    [anon_sym_new] = ACTIONS(2797),
    [anon_sym_requires] = ACTIONS(2797),
    [sym_this] = ACTIONS(2797),
    [anon_sym_discard] = ACTIONS(2797),
    [anon_sym_precise] = ACTIONS(2797),
    [anon_sym_shared] = ACTIONS(2797),
    [anon_sym_groupshared] = ACTIONS(2797),
    [anon_sym_uniform] = ACTIONS(2797),
    [anon_sym_row_major] = ACTIONS(2797),
    [anon_sym_column_major] = ACTIONS(2797),
    [anon_sym_globallycoherent] = ACTIONS(2797),
    [anon_sym_centroid] = ACTIONS(2797),
    [anon_sym_noperspective] = ACTIONS(2797),
    [anon_sym_nointerpolation] = ACTIONS(2797),
    [anon_sym_sample] = ACTIONS(2797),
    [anon_sym_linear] = ACTIONS(2797),
    [anon_sym_snorm] = ACTIONS(2797),
    [anon_sym_unorm] = ACTIONS(2797),
    [anon_sym_point] = ACTIONS(2797),
    [anon_sym_line] = ACTIONS(2797),
    [anon_sym_triangleadj] = ACTIONS(2797),
    [anon_sym_lineadj] = ACTIONS(2797),
    [anon_sym_triangle] = ACTIONS(2797),
    [anon_sym_cbuffer] = ACTIONS(2797),
  },
  [1086] = {
    [sym_identifier] = ACTIONS(2837),
    [aux_sym_preproc_include_token1] = ACTIONS(2837),
    [aux_sym_preproc_def_token1] = ACTIONS(2837),
    [aux_sym_preproc_if_token1] = ACTIONS(2837),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2837),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2837),
    [sym_preproc_directive] = ACTIONS(2837),
    [anon_sym_LPAREN2] = ACTIONS(2839),
    [anon_sym_BANG] = ACTIONS(2839),
    [anon_sym_TILDE] = ACTIONS(2839),
    [anon_sym_DASH] = ACTIONS(2837),
    [anon_sym_PLUS] = ACTIONS(2837),
    [anon_sym_STAR] = ACTIONS(2839),
    [anon_sym_AMP_AMP] = ACTIONS(2839),
    [anon_sym_AMP] = ACTIONS(2837),
    [anon_sym_SEMI] = ACTIONS(2839),
    [anon_sym___extension__] = ACTIONS(2837),
    [anon_sym_typedef] = ACTIONS(2837),
    [anon_sym_in] = ACTIONS(2837),
    [anon_sym_out] = ACTIONS(2837),
    [anon_sym_inout] = ACTIONS(2837),
    [anon_sym_extern] = ACTIONS(2837),
    [anon_sym___attribute__] = ACTIONS(2837),
    [anon_sym_COLON_COLON] = ACTIONS(2839),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2839),
    [anon_sym___declspec] = ACTIONS(2837),
    [anon_sym___based] = ACTIONS(2837),
    [anon_sym___cdecl] = ACTIONS(2837),
    [anon_sym___clrcall] = ACTIONS(2837),
    [anon_sym___stdcall] = ACTIONS(2837),
    [anon_sym___fastcall] = ACTIONS(2837),
    [anon_sym___thiscall] = ACTIONS(2837),
    [anon_sym___vectorcall] = ACTIONS(2837),
    [anon_sym_LBRACE] = ACTIONS(2839),
    [anon_sym_RBRACE] = ACTIONS(2839),
    [anon_sym_signed] = ACTIONS(2837),
    [anon_sym_unsigned] = ACTIONS(2837),
    [anon_sym_long] = ACTIONS(2837),
    [anon_sym_short] = ACTIONS(2837),
    [anon_sym_LBRACK] = ACTIONS(2837),
    [anon_sym_static] = ACTIONS(2837),
    [anon_sym_register] = ACTIONS(2837),
    [anon_sym_inline] = ACTIONS(2837),
    [anon_sym___inline] = ACTIONS(2837),
    [anon_sym___inline__] = ACTIONS(2837),
    [anon_sym___forceinline] = ACTIONS(2837),
    [anon_sym_thread_local] = ACTIONS(2837),
    [anon_sym___thread] = ACTIONS(2837),
    [anon_sym_const] = ACTIONS(2837),
    [anon_sym_constexpr] = ACTIONS(2837),
    [anon_sym_volatile] = ACTIONS(2837),
    [anon_sym_restrict] = ACTIONS(2837),
    [anon_sym___restrict__] = ACTIONS(2837),
    [anon_sym__Atomic] = ACTIONS(2837),
    [anon_sym__Noreturn] = ACTIONS(2837),
    [anon_sym_noreturn] = ACTIONS(2837),
    [anon_sym_mutable] = ACTIONS(2837),
    [anon_sym_constinit] = ACTIONS(2837),
    [anon_sym_consteval] = ACTIONS(2837),
    [sym_primitive_type] = ACTIONS(2837),
    [anon_sym_enum] = ACTIONS(2837),
    [anon_sym_class] = ACTIONS(2837),
    [anon_sym_struct] = ACTIONS(2837),
    [anon_sym_union] = ACTIONS(2837),
    [anon_sym_if] = ACTIONS(2837),
    [anon_sym_switch] = ACTIONS(2837),
    [anon_sym_case] = ACTIONS(2837),
    [anon_sym_default] = ACTIONS(2837),
    [anon_sym_while] = ACTIONS(2837),
    [anon_sym_do] = ACTIONS(2837),
    [anon_sym_for] = ACTIONS(2837),
    [anon_sym_return] = ACTIONS(2837),
    [anon_sym_break] = ACTIONS(2837),
    [anon_sym_continue] = ACTIONS(2837),
    [anon_sym_goto] = ACTIONS(2837),
    [anon_sym___try] = ACTIONS(2837),
    [anon_sym___leave] = ACTIONS(2837),
    [anon_sym_not] = ACTIONS(2837),
    [anon_sym_compl] = ACTIONS(2837),
    [anon_sym_DASH_DASH] = ACTIONS(2839),
    [anon_sym_PLUS_PLUS] = ACTIONS(2839),
    [anon_sym_sizeof] = ACTIONS(2837),
    [anon_sym___alignof__] = ACTIONS(2837),
    [anon_sym___alignof] = ACTIONS(2837),
    [anon_sym__alignof] = ACTIONS(2837),
    [anon_sym_alignof] = ACTIONS(2837),
    [anon_sym__Alignof] = ACTIONS(2837),
    [anon_sym_offsetof] = ACTIONS(2837),
    [anon_sym__Generic] = ACTIONS(2837),
    [anon_sym_asm] = ACTIONS(2837),
    [anon_sym___asm__] = ACTIONS(2837),
    [sym_number_literal] = ACTIONS(2839),
    [anon_sym_L_SQUOTE] = ACTIONS(2839),
    [anon_sym_u_SQUOTE] = ACTIONS(2839),
    [anon_sym_U_SQUOTE] = ACTIONS(2839),
    [anon_sym_u8_SQUOTE] = ACTIONS(2839),
    [anon_sym_SQUOTE] = ACTIONS(2839),
    [anon_sym_L_DQUOTE] = ACTIONS(2839),
    [anon_sym_u_DQUOTE] = ACTIONS(2839),
    [anon_sym_U_DQUOTE] = ACTIONS(2839),
    [anon_sym_u8_DQUOTE] = ACTIONS(2839),
    [anon_sym_DQUOTE] = ACTIONS(2839),
    [sym_true] = ACTIONS(2837),
    [sym_false] = ACTIONS(2837),
    [anon_sym_NULL] = ACTIONS(2837),
    [anon_sym_nullptr] = ACTIONS(2837),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2837),
    [anon_sym_decltype] = ACTIONS(2837),
    [anon_sym_virtual] = ACTIONS(2837),
    [anon_sym_alignas] = ACTIONS(2837),
    [anon_sym_explicit] = ACTIONS(2837),
    [anon_sym_typename] = ACTIONS(2837),
    [anon_sym_template] = ACTIONS(2837),
    [anon_sym_operator] = ACTIONS(2837),
    [anon_sym_try] = ACTIONS(2837),
    [anon_sym_delete] = ACTIONS(2837),
    [anon_sym_throw] = ACTIONS(2837),
    [anon_sym_namespace] = ACTIONS(2837),
    [anon_sym_using] = ACTIONS(2837),
    [anon_sym_static_assert] = ACTIONS(2837),
    [anon_sym_concept] = ACTIONS(2837),
    [anon_sym_co_return] = ACTIONS(2837),
    [anon_sym_co_yield] = ACTIONS(2837),
    [anon_sym_R_DQUOTE] = ACTIONS(2839),
    [anon_sym_LR_DQUOTE] = ACTIONS(2839),
    [anon_sym_uR_DQUOTE] = ACTIONS(2839),
    [anon_sym_UR_DQUOTE] = ACTIONS(2839),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2839),
    [anon_sym_co_await] = ACTIONS(2837),
    [anon_sym_new] = ACTIONS(2837),
    [anon_sym_requires] = ACTIONS(2837),
    [sym_this] = ACTIONS(2837),
    [anon_sym_discard] = ACTIONS(2837),
    [anon_sym_precise] = ACTIONS(2837),
    [anon_sym_shared] = ACTIONS(2837),
    [anon_sym_groupshared] = ACTIONS(2837),
    [anon_sym_uniform] = ACTIONS(2837),
    [anon_sym_row_major] = ACTIONS(2837),
    [anon_sym_column_major] = ACTIONS(2837),
    [anon_sym_globallycoherent] = ACTIONS(2837),
    [anon_sym_centroid] = ACTIONS(2837),
    [anon_sym_noperspective] = ACTIONS(2837),
    [anon_sym_nointerpolation] = ACTIONS(2837),
    [anon_sym_sample] = ACTIONS(2837),
    [anon_sym_linear] = ACTIONS(2837),
    [anon_sym_snorm] = ACTIONS(2837),
    [anon_sym_unorm] = ACTIONS(2837),
    [anon_sym_point] = ACTIONS(2837),
    [anon_sym_line] = ACTIONS(2837),
    [anon_sym_triangleadj] = ACTIONS(2837),
    [anon_sym_lineadj] = ACTIONS(2837),
    [anon_sym_triangle] = ACTIONS(2837),
    [anon_sym_cbuffer] = ACTIONS(2837),
  },
  [1087] = {
    [sym_identifier] = ACTIONS(2520),
    [aux_sym_preproc_include_token1] = ACTIONS(2520),
    [aux_sym_preproc_def_token1] = ACTIONS(2520),
    [aux_sym_preproc_if_token1] = ACTIONS(2520),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2520),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2520),
    [sym_preproc_directive] = ACTIONS(2520),
    [anon_sym_LPAREN2] = ACTIONS(2522),
    [anon_sym_BANG] = ACTIONS(2522),
    [anon_sym_TILDE] = ACTIONS(2522),
    [anon_sym_DASH] = ACTIONS(2520),
    [anon_sym_PLUS] = ACTIONS(2520),
    [anon_sym_STAR] = ACTIONS(2522),
    [anon_sym_AMP_AMP] = ACTIONS(2522),
    [anon_sym_AMP] = ACTIONS(2520),
    [anon_sym_SEMI] = ACTIONS(2522),
    [anon_sym___extension__] = ACTIONS(2520),
    [anon_sym_typedef] = ACTIONS(2520),
    [anon_sym_in] = ACTIONS(2520),
    [anon_sym_out] = ACTIONS(2520),
    [anon_sym_inout] = ACTIONS(2520),
    [anon_sym_extern] = ACTIONS(2520),
    [anon_sym___attribute__] = ACTIONS(2520),
    [anon_sym_COLON_COLON] = ACTIONS(2522),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2522),
    [anon_sym___declspec] = ACTIONS(2520),
    [anon_sym___based] = ACTIONS(2520),
    [anon_sym___cdecl] = ACTIONS(2520),
    [anon_sym___clrcall] = ACTIONS(2520),
    [anon_sym___stdcall] = ACTIONS(2520),
    [anon_sym___fastcall] = ACTIONS(2520),
    [anon_sym___thiscall] = ACTIONS(2520),
    [anon_sym___vectorcall] = ACTIONS(2520),
    [anon_sym_LBRACE] = ACTIONS(2522),
    [anon_sym_RBRACE] = ACTIONS(2522),
    [anon_sym_signed] = ACTIONS(2520),
    [anon_sym_unsigned] = ACTIONS(2520),
    [anon_sym_long] = ACTIONS(2520),
    [anon_sym_short] = ACTIONS(2520),
    [anon_sym_LBRACK] = ACTIONS(2520),
    [anon_sym_static] = ACTIONS(2520),
    [anon_sym_register] = ACTIONS(2520),
    [anon_sym_inline] = ACTIONS(2520),
    [anon_sym___inline] = ACTIONS(2520),
    [anon_sym___inline__] = ACTIONS(2520),
    [anon_sym___forceinline] = ACTIONS(2520),
    [anon_sym_thread_local] = ACTIONS(2520),
    [anon_sym___thread] = ACTIONS(2520),
    [anon_sym_const] = ACTIONS(2520),
    [anon_sym_constexpr] = ACTIONS(2520),
    [anon_sym_volatile] = ACTIONS(2520),
    [anon_sym_restrict] = ACTIONS(2520),
    [anon_sym___restrict__] = ACTIONS(2520),
    [anon_sym__Atomic] = ACTIONS(2520),
    [anon_sym__Noreturn] = ACTIONS(2520),
    [anon_sym_noreturn] = ACTIONS(2520),
    [anon_sym_mutable] = ACTIONS(2520),
    [anon_sym_constinit] = ACTIONS(2520),
    [anon_sym_consteval] = ACTIONS(2520),
    [sym_primitive_type] = ACTIONS(2520),
    [anon_sym_enum] = ACTIONS(2520),
    [anon_sym_class] = ACTIONS(2520),
    [anon_sym_struct] = ACTIONS(2520),
    [anon_sym_union] = ACTIONS(2520),
    [anon_sym_if] = ACTIONS(2520),
    [anon_sym_switch] = ACTIONS(2520),
    [anon_sym_case] = ACTIONS(2520),
    [anon_sym_default] = ACTIONS(2520),
    [anon_sym_while] = ACTIONS(2520),
    [anon_sym_do] = ACTIONS(2520),
    [anon_sym_for] = ACTIONS(2520),
    [anon_sym_return] = ACTIONS(2520),
    [anon_sym_break] = ACTIONS(2520),
    [anon_sym_continue] = ACTIONS(2520),
    [anon_sym_goto] = ACTIONS(2520),
    [anon_sym___try] = ACTIONS(2520),
    [anon_sym___leave] = ACTIONS(2520),
    [anon_sym_not] = ACTIONS(2520),
    [anon_sym_compl] = ACTIONS(2520),
    [anon_sym_DASH_DASH] = ACTIONS(2522),
    [anon_sym_PLUS_PLUS] = ACTIONS(2522),
    [anon_sym_sizeof] = ACTIONS(2520),
    [anon_sym___alignof__] = ACTIONS(2520),
    [anon_sym___alignof] = ACTIONS(2520),
    [anon_sym__alignof] = ACTIONS(2520),
    [anon_sym_alignof] = ACTIONS(2520),
    [anon_sym__Alignof] = ACTIONS(2520),
    [anon_sym_offsetof] = ACTIONS(2520),
    [anon_sym__Generic] = ACTIONS(2520),
    [anon_sym_asm] = ACTIONS(2520),
    [anon_sym___asm__] = ACTIONS(2520),
    [sym_number_literal] = ACTIONS(2522),
    [anon_sym_L_SQUOTE] = ACTIONS(2522),
    [anon_sym_u_SQUOTE] = ACTIONS(2522),
    [anon_sym_U_SQUOTE] = ACTIONS(2522),
    [anon_sym_u8_SQUOTE] = ACTIONS(2522),
    [anon_sym_SQUOTE] = ACTIONS(2522),
    [anon_sym_L_DQUOTE] = ACTIONS(2522),
    [anon_sym_u_DQUOTE] = ACTIONS(2522),
    [anon_sym_U_DQUOTE] = ACTIONS(2522),
    [anon_sym_u8_DQUOTE] = ACTIONS(2522),
    [anon_sym_DQUOTE] = ACTIONS(2522),
    [sym_true] = ACTIONS(2520),
    [sym_false] = ACTIONS(2520),
    [anon_sym_NULL] = ACTIONS(2520),
    [anon_sym_nullptr] = ACTIONS(2520),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2520),
    [anon_sym_decltype] = ACTIONS(2520),
    [anon_sym_virtual] = ACTIONS(2520),
    [anon_sym_alignas] = ACTIONS(2520),
    [anon_sym_explicit] = ACTIONS(2520),
    [anon_sym_typename] = ACTIONS(2520),
    [anon_sym_template] = ACTIONS(2520),
    [anon_sym_operator] = ACTIONS(2520),
    [anon_sym_try] = ACTIONS(2520),
    [anon_sym_delete] = ACTIONS(2520),
    [anon_sym_throw] = ACTIONS(2520),
    [anon_sym_namespace] = ACTIONS(2520),
    [anon_sym_using] = ACTIONS(2520),
    [anon_sym_static_assert] = ACTIONS(2520),
    [anon_sym_concept] = ACTIONS(2520),
    [anon_sym_co_return] = ACTIONS(2520),
    [anon_sym_co_yield] = ACTIONS(2520),
    [anon_sym_R_DQUOTE] = ACTIONS(2522),
    [anon_sym_LR_DQUOTE] = ACTIONS(2522),
    [anon_sym_uR_DQUOTE] = ACTIONS(2522),
    [anon_sym_UR_DQUOTE] = ACTIONS(2522),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2522),
    [anon_sym_co_await] = ACTIONS(2520),
    [anon_sym_new] = ACTIONS(2520),
    [anon_sym_requires] = ACTIONS(2520),
    [sym_this] = ACTIONS(2520),
    [anon_sym_discard] = ACTIONS(2520),
    [anon_sym_precise] = ACTIONS(2520),
    [anon_sym_shared] = ACTIONS(2520),
    [anon_sym_groupshared] = ACTIONS(2520),
    [anon_sym_uniform] = ACTIONS(2520),
    [anon_sym_row_major] = ACTIONS(2520),
    [anon_sym_column_major] = ACTIONS(2520),
    [anon_sym_globallycoherent] = ACTIONS(2520),
    [anon_sym_centroid] = ACTIONS(2520),
    [anon_sym_noperspective] = ACTIONS(2520),
    [anon_sym_nointerpolation] = ACTIONS(2520),
    [anon_sym_sample] = ACTIONS(2520),
    [anon_sym_linear] = ACTIONS(2520),
    [anon_sym_snorm] = ACTIONS(2520),
    [anon_sym_unorm] = ACTIONS(2520),
    [anon_sym_point] = ACTIONS(2520),
    [anon_sym_line] = ACTIONS(2520),
    [anon_sym_triangleadj] = ACTIONS(2520),
    [anon_sym_lineadj] = ACTIONS(2520),
    [anon_sym_triangle] = ACTIONS(2520),
    [anon_sym_cbuffer] = ACTIONS(2520),
  },
  [1088] = {
    [sym_identifier] = ACTIONS(2841),
    [aux_sym_preproc_include_token1] = ACTIONS(2841),
    [aux_sym_preproc_def_token1] = ACTIONS(2841),
    [aux_sym_preproc_if_token1] = ACTIONS(2841),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2841),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2841),
    [sym_preproc_directive] = ACTIONS(2841),
    [anon_sym_LPAREN2] = ACTIONS(2843),
    [anon_sym_BANG] = ACTIONS(2843),
    [anon_sym_TILDE] = ACTIONS(2843),
    [anon_sym_DASH] = ACTIONS(2841),
    [anon_sym_PLUS] = ACTIONS(2841),
    [anon_sym_STAR] = ACTIONS(2843),
    [anon_sym_AMP_AMP] = ACTIONS(2843),
    [anon_sym_AMP] = ACTIONS(2841),
    [anon_sym_SEMI] = ACTIONS(2843),
    [anon_sym___extension__] = ACTIONS(2841),
    [anon_sym_typedef] = ACTIONS(2841),
    [anon_sym_in] = ACTIONS(2841),
    [anon_sym_out] = ACTIONS(2841),
    [anon_sym_inout] = ACTIONS(2841),
    [anon_sym_extern] = ACTIONS(2841),
    [anon_sym___attribute__] = ACTIONS(2841),
    [anon_sym_COLON_COLON] = ACTIONS(2843),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2843),
    [anon_sym___declspec] = ACTIONS(2841),
    [anon_sym___based] = ACTIONS(2841),
    [anon_sym___cdecl] = ACTIONS(2841),
    [anon_sym___clrcall] = ACTIONS(2841),
    [anon_sym___stdcall] = ACTIONS(2841),
    [anon_sym___fastcall] = ACTIONS(2841),
    [anon_sym___thiscall] = ACTIONS(2841),
    [anon_sym___vectorcall] = ACTIONS(2841),
    [anon_sym_LBRACE] = ACTIONS(2843),
    [anon_sym_RBRACE] = ACTIONS(2843),
    [anon_sym_signed] = ACTIONS(2841),
    [anon_sym_unsigned] = ACTIONS(2841),
    [anon_sym_long] = ACTIONS(2841),
    [anon_sym_short] = ACTIONS(2841),
    [anon_sym_LBRACK] = ACTIONS(2841),
    [anon_sym_static] = ACTIONS(2841),
    [anon_sym_register] = ACTIONS(2841),
    [anon_sym_inline] = ACTIONS(2841),
    [anon_sym___inline] = ACTIONS(2841),
    [anon_sym___inline__] = ACTIONS(2841),
    [anon_sym___forceinline] = ACTIONS(2841),
    [anon_sym_thread_local] = ACTIONS(2841),
    [anon_sym___thread] = ACTIONS(2841),
    [anon_sym_const] = ACTIONS(2841),
    [anon_sym_constexpr] = ACTIONS(2841),
    [anon_sym_volatile] = ACTIONS(2841),
    [anon_sym_restrict] = ACTIONS(2841),
    [anon_sym___restrict__] = ACTIONS(2841),
    [anon_sym__Atomic] = ACTIONS(2841),
    [anon_sym__Noreturn] = ACTIONS(2841),
    [anon_sym_noreturn] = ACTIONS(2841),
    [anon_sym_mutable] = ACTIONS(2841),
    [anon_sym_constinit] = ACTIONS(2841),
    [anon_sym_consteval] = ACTIONS(2841),
    [sym_primitive_type] = ACTIONS(2841),
    [anon_sym_enum] = ACTIONS(2841),
    [anon_sym_class] = ACTIONS(2841),
    [anon_sym_struct] = ACTIONS(2841),
    [anon_sym_union] = ACTIONS(2841),
    [anon_sym_if] = ACTIONS(2841),
    [anon_sym_switch] = ACTIONS(2841),
    [anon_sym_case] = ACTIONS(2841),
    [anon_sym_default] = ACTIONS(2841),
    [anon_sym_while] = ACTIONS(2841),
    [anon_sym_do] = ACTIONS(2841),
    [anon_sym_for] = ACTIONS(2841),
    [anon_sym_return] = ACTIONS(2841),
    [anon_sym_break] = ACTIONS(2841),
    [anon_sym_continue] = ACTIONS(2841),
    [anon_sym_goto] = ACTIONS(2841),
    [anon_sym___try] = ACTIONS(2841),
    [anon_sym___leave] = ACTIONS(2841),
    [anon_sym_not] = ACTIONS(2841),
    [anon_sym_compl] = ACTIONS(2841),
    [anon_sym_DASH_DASH] = ACTIONS(2843),
    [anon_sym_PLUS_PLUS] = ACTIONS(2843),
    [anon_sym_sizeof] = ACTIONS(2841),
    [anon_sym___alignof__] = ACTIONS(2841),
    [anon_sym___alignof] = ACTIONS(2841),
    [anon_sym__alignof] = ACTIONS(2841),
    [anon_sym_alignof] = ACTIONS(2841),
    [anon_sym__Alignof] = ACTIONS(2841),
    [anon_sym_offsetof] = ACTIONS(2841),
    [anon_sym__Generic] = ACTIONS(2841),
    [anon_sym_asm] = ACTIONS(2841),
    [anon_sym___asm__] = ACTIONS(2841),
    [sym_number_literal] = ACTIONS(2843),
    [anon_sym_L_SQUOTE] = ACTIONS(2843),
    [anon_sym_u_SQUOTE] = ACTIONS(2843),
    [anon_sym_U_SQUOTE] = ACTIONS(2843),
    [anon_sym_u8_SQUOTE] = ACTIONS(2843),
    [anon_sym_SQUOTE] = ACTIONS(2843),
    [anon_sym_L_DQUOTE] = ACTIONS(2843),
    [anon_sym_u_DQUOTE] = ACTIONS(2843),
    [anon_sym_U_DQUOTE] = ACTIONS(2843),
    [anon_sym_u8_DQUOTE] = ACTIONS(2843),
    [anon_sym_DQUOTE] = ACTIONS(2843),
    [sym_true] = ACTIONS(2841),
    [sym_false] = ACTIONS(2841),
    [anon_sym_NULL] = ACTIONS(2841),
    [anon_sym_nullptr] = ACTIONS(2841),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2841),
    [anon_sym_decltype] = ACTIONS(2841),
    [anon_sym_virtual] = ACTIONS(2841),
    [anon_sym_alignas] = ACTIONS(2841),
    [anon_sym_explicit] = ACTIONS(2841),
    [anon_sym_typename] = ACTIONS(2841),
    [anon_sym_template] = ACTIONS(2841),
    [anon_sym_operator] = ACTIONS(2841),
    [anon_sym_try] = ACTIONS(2841),
    [anon_sym_delete] = ACTIONS(2841),
    [anon_sym_throw] = ACTIONS(2841),
    [anon_sym_namespace] = ACTIONS(2841),
    [anon_sym_using] = ACTIONS(2841),
    [anon_sym_static_assert] = ACTIONS(2841),
    [anon_sym_concept] = ACTIONS(2841),
    [anon_sym_co_return] = ACTIONS(2841),
    [anon_sym_co_yield] = ACTIONS(2841),
    [anon_sym_R_DQUOTE] = ACTIONS(2843),
    [anon_sym_LR_DQUOTE] = ACTIONS(2843),
    [anon_sym_uR_DQUOTE] = ACTIONS(2843),
    [anon_sym_UR_DQUOTE] = ACTIONS(2843),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2843),
    [anon_sym_co_await] = ACTIONS(2841),
    [anon_sym_new] = ACTIONS(2841),
    [anon_sym_requires] = ACTIONS(2841),
    [sym_this] = ACTIONS(2841),
    [anon_sym_discard] = ACTIONS(2841),
    [anon_sym_precise] = ACTIONS(2841),
    [anon_sym_shared] = ACTIONS(2841),
    [anon_sym_groupshared] = ACTIONS(2841),
    [anon_sym_uniform] = ACTIONS(2841),
    [anon_sym_row_major] = ACTIONS(2841),
    [anon_sym_column_major] = ACTIONS(2841),
    [anon_sym_globallycoherent] = ACTIONS(2841),
    [anon_sym_centroid] = ACTIONS(2841),
    [anon_sym_noperspective] = ACTIONS(2841),
    [anon_sym_nointerpolation] = ACTIONS(2841),
    [anon_sym_sample] = ACTIONS(2841),
    [anon_sym_linear] = ACTIONS(2841),
    [anon_sym_snorm] = ACTIONS(2841),
    [anon_sym_unorm] = ACTIONS(2841),
    [anon_sym_point] = ACTIONS(2841),
    [anon_sym_line] = ACTIONS(2841),
    [anon_sym_triangleadj] = ACTIONS(2841),
    [anon_sym_lineadj] = ACTIONS(2841),
    [anon_sym_triangle] = ACTIONS(2841),
    [anon_sym_cbuffer] = ACTIONS(2841),
  },
  [1089] = {
    [sym_preproc_def] = STATE(1119),
    [sym_preproc_function_def] = STATE(1119),
    [sym_preproc_call] = STATE(1119),
    [sym_preproc_if_in_field_declaration_list] = STATE(1119),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(1119),
    [sym_preproc_else_in_field_declaration_list] = STATE(10063),
    [sym_preproc_elif_in_field_declaration_list] = STATE(10063),
    [sym_type_definition] = STATE(1119),
    [sym__declaration_modifiers] = STATE(3159),
    [sym__declaration_specifiers] = STATE(6914),
    [sym_attribute_specifier] = STATE(3159),
    [sym_attribute_declaration] = STATE(3159),
    [sym_ms_declspec_modifier] = STATE(3159),
    [sym_ms_based_modifier] = STATE(10332),
    [sym__declarator] = STATE(7978),
    [sym_parenthesized_declarator] = STATE(7680),
    [sym_attributed_declarator] = STATE(7680),
    [sym_pointer_declarator] = STATE(7680),
    [sym_function_declarator] = STATE(7532),
    [sym_array_declarator] = STATE(7680),
    [sym_storage_class_specifier] = STATE(3159),
    [sym_type_qualifier] = STATE(3159),
    [sym__type_specifier] = STATE(2827),
    [sym_sized_type_specifier] = STATE(3085),
    [sym_enum_specifier] = STATE(3085),
    [sym_struct_specifier] = STATE(3085),
    [sym_union_specifier] = STATE(3085),
    [sym__field_declaration_list_item] = STATE(1119),
    [sym_field_declaration] = STATE(1119),
    [sym_placeholder_type_specifier] = STATE(3085),
    [sym_decltype_auto] = STATE(3091),
    [sym_decltype] = STATE(3050),
    [sym_class_specifier] = STATE(3085),
    [sym_virtual] = STATE(3159),
    [sym_alignas_specifier] = STATE(3159),
    [sym_explicit_function_specifier] = STATE(2521),
    [sym_dependent_type] = STATE(3085),
    [sym_template_declaration] = STATE(1119),
    [sym_operator_cast] = STATE(8041),
    [sym_inline_method_definition] = STATE(1119),
    [sym__constructor_specifiers] = STATE(2521),
    [sym_operator_cast_definition] = STATE(1119),
    [sym_operator_cast_declaration] = STATE(1119),
    [sym_constructor_or_destructor_definition] = STATE(1119),
    [sym_constructor_or_destructor_declaration] = STATE(1119),
    [sym_friend_declaration] = STATE(1119),
    [sym_access_specifier] = STATE(10120),
    [sym_reference_declarator] = STATE(7680),
    [sym_structured_binding_declarator] = STATE(7680),
    [sym_template_type] = STATE(3050),
    [sym_template_function] = STATE(7680),
    [sym_using_declaration] = STATE(1119),
    [sym_alias_declaration] = STATE(1119),
    [sym_static_assert_declaration] = STATE(1119),
    [sym_destructor_name] = STATE(7680),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6733),
    [sym_qualified_identifier] = STATE(7680),
    [sym_qualified_type_identifier] = STATE(3068),
    [sym_qualified_operator_cast_identifier] = STATE(8041),
    [sym_operator_name] = STATE(7680),
    [sym_qualifiers] = STATE(3159),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(1119),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2680),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3021),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2521),
    [sym_identifier] = ACTIONS(2857),
    [aux_sym_preproc_def_token1] = ACTIONS(2988),
    [aux_sym_preproc_if_token1] = ACTIONS(2990),
    [aux_sym_preproc_if_token2] = ACTIONS(3010),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2994),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2994),
    [aux_sym_preproc_else_token1] = ACTIONS(2867),
    [aux_sym_preproc_elif_token1] = ACTIONS(2869),
    [sym_preproc_directive] = ACTIONS(2996),
    [anon_sym_LPAREN2] = ACTIONS(2875),
    [anon_sym_TILDE] = ACTIONS(2877),
    [anon_sym_STAR] = ACTIONS(2879),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(2881),
    [anon_sym___extension__] = ACTIONS(2998),
    [anon_sym_typedef] = ACTIONS(3000),
    [anon_sym_in] = ACTIONS(37),
    [anon_sym_out] = ACTIONS(37),
    [anon_sym_inout] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(2887),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2096),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(2889),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(2891),
    [anon_sym_enum] = ACTIONS(2893),
    [anon_sym_class] = ACTIONS(2895),
    [anon_sym_struct] = ACTIONS(2897),
    [anon_sym_union] = ACTIONS(2899),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [anon_sym_virtual] = ACTIONS(123),
    [anon_sym_alignas] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(2901),
    [anon_sym_template] = ACTIONS(3002),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_friend] = ACTIONS(3004),
    [anon_sym_public] = ACTIONS(2907),
    [anon_sym_private] = ACTIONS(2907),
    [anon_sym_protected] = ACTIONS(2907),
    [anon_sym_using] = ACTIONS(3006),
    [anon_sym_static_assert] = ACTIONS(3008),
    [anon_sym_precise] = ACTIONS(161),
    [anon_sym_shared] = ACTIONS(161),
    [anon_sym_groupshared] = ACTIONS(161),
    [anon_sym_uniform] = ACTIONS(161),
    [anon_sym_row_major] = ACTIONS(161),
    [anon_sym_column_major] = ACTIONS(161),
    [anon_sym_globallycoherent] = ACTIONS(161),
    [anon_sym_centroid] = ACTIONS(161),
    [anon_sym_noperspective] = ACTIONS(161),
    [anon_sym_nointerpolation] = ACTIONS(161),
    [anon_sym_sample] = ACTIONS(161),
    [anon_sym_linear] = ACTIONS(161),
    [anon_sym_snorm] = ACTIONS(161),
    [anon_sym_unorm] = ACTIONS(161),
    [anon_sym_point] = ACTIONS(161),
    [anon_sym_line] = ACTIONS(161),
    [anon_sym_triangleadj] = ACTIONS(161),
    [anon_sym_lineadj] = ACTIONS(161),
    [anon_sym_triangle] = ACTIONS(161),
  },
  [1090] = {
    [sym_identifier] = ACTIONS(2608),
    [aux_sym_preproc_include_token1] = ACTIONS(2608),
    [aux_sym_preproc_def_token1] = ACTIONS(2608),
    [aux_sym_preproc_if_token1] = ACTIONS(2608),
    [aux_sym_preproc_if_token2] = ACTIONS(2608),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2608),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2608),
    [sym_preproc_directive] = ACTIONS(2608),
    [anon_sym_LPAREN2] = ACTIONS(2610),
    [anon_sym_BANG] = ACTIONS(2610),
    [anon_sym_TILDE] = ACTIONS(2610),
    [anon_sym_DASH] = ACTIONS(2608),
    [anon_sym_PLUS] = ACTIONS(2608),
    [anon_sym_STAR] = ACTIONS(2610),
    [anon_sym_AMP_AMP] = ACTIONS(2610),
    [anon_sym_AMP] = ACTIONS(2608),
    [anon_sym_SEMI] = ACTIONS(2610),
    [anon_sym___extension__] = ACTIONS(2608),
    [anon_sym_typedef] = ACTIONS(2608),
    [anon_sym_in] = ACTIONS(2608),
    [anon_sym_out] = ACTIONS(2608),
    [anon_sym_inout] = ACTIONS(2608),
    [anon_sym_extern] = ACTIONS(2608),
    [anon_sym___attribute__] = ACTIONS(2608),
    [anon_sym_COLON_COLON] = ACTIONS(2610),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2610),
    [anon_sym___declspec] = ACTIONS(2608),
    [anon_sym___based] = ACTIONS(2608),
    [anon_sym___cdecl] = ACTIONS(2608),
    [anon_sym___clrcall] = ACTIONS(2608),
    [anon_sym___stdcall] = ACTIONS(2608),
    [anon_sym___fastcall] = ACTIONS(2608),
    [anon_sym___thiscall] = ACTIONS(2608),
    [anon_sym___vectorcall] = ACTIONS(2608),
    [anon_sym_LBRACE] = ACTIONS(2610),
    [anon_sym_signed] = ACTIONS(2608),
    [anon_sym_unsigned] = ACTIONS(2608),
    [anon_sym_long] = ACTIONS(2608),
    [anon_sym_short] = ACTIONS(2608),
    [anon_sym_LBRACK] = ACTIONS(2608),
    [anon_sym_static] = ACTIONS(2608),
    [anon_sym_register] = ACTIONS(2608),
    [anon_sym_inline] = ACTIONS(2608),
    [anon_sym___inline] = ACTIONS(2608),
    [anon_sym___inline__] = ACTIONS(2608),
    [anon_sym___forceinline] = ACTIONS(2608),
    [anon_sym_thread_local] = ACTIONS(2608),
    [anon_sym___thread] = ACTIONS(2608),
    [anon_sym_const] = ACTIONS(2608),
    [anon_sym_constexpr] = ACTIONS(2608),
    [anon_sym_volatile] = ACTIONS(2608),
    [anon_sym_restrict] = ACTIONS(2608),
    [anon_sym___restrict__] = ACTIONS(2608),
    [anon_sym__Atomic] = ACTIONS(2608),
    [anon_sym__Noreturn] = ACTIONS(2608),
    [anon_sym_noreturn] = ACTIONS(2608),
    [anon_sym_mutable] = ACTIONS(2608),
    [anon_sym_constinit] = ACTIONS(2608),
    [anon_sym_consteval] = ACTIONS(2608),
    [sym_primitive_type] = ACTIONS(2608),
    [anon_sym_enum] = ACTIONS(2608),
    [anon_sym_class] = ACTIONS(2608),
    [anon_sym_struct] = ACTIONS(2608),
    [anon_sym_union] = ACTIONS(2608),
    [anon_sym_if] = ACTIONS(2608),
    [anon_sym_switch] = ACTIONS(2608),
    [anon_sym_case] = ACTIONS(2608),
    [anon_sym_default] = ACTIONS(2608),
    [anon_sym_while] = ACTIONS(2608),
    [anon_sym_do] = ACTIONS(2608),
    [anon_sym_for] = ACTIONS(2608),
    [anon_sym_return] = ACTIONS(2608),
    [anon_sym_break] = ACTIONS(2608),
    [anon_sym_continue] = ACTIONS(2608),
    [anon_sym_goto] = ACTIONS(2608),
    [anon_sym___try] = ACTIONS(2608),
    [anon_sym___leave] = ACTIONS(2608),
    [anon_sym_not] = ACTIONS(2608),
    [anon_sym_compl] = ACTIONS(2608),
    [anon_sym_DASH_DASH] = ACTIONS(2610),
    [anon_sym_PLUS_PLUS] = ACTIONS(2610),
    [anon_sym_sizeof] = ACTIONS(2608),
    [anon_sym___alignof__] = ACTIONS(2608),
    [anon_sym___alignof] = ACTIONS(2608),
    [anon_sym__alignof] = ACTIONS(2608),
    [anon_sym_alignof] = ACTIONS(2608),
    [anon_sym__Alignof] = ACTIONS(2608),
    [anon_sym_offsetof] = ACTIONS(2608),
    [anon_sym__Generic] = ACTIONS(2608),
    [anon_sym_asm] = ACTIONS(2608),
    [anon_sym___asm__] = ACTIONS(2608),
    [sym_number_literal] = ACTIONS(2610),
    [anon_sym_L_SQUOTE] = ACTIONS(2610),
    [anon_sym_u_SQUOTE] = ACTIONS(2610),
    [anon_sym_U_SQUOTE] = ACTIONS(2610),
    [anon_sym_u8_SQUOTE] = ACTIONS(2610),
    [anon_sym_SQUOTE] = ACTIONS(2610),
    [anon_sym_L_DQUOTE] = ACTIONS(2610),
    [anon_sym_u_DQUOTE] = ACTIONS(2610),
    [anon_sym_U_DQUOTE] = ACTIONS(2610),
    [anon_sym_u8_DQUOTE] = ACTIONS(2610),
    [anon_sym_DQUOTE] = ACTIONS(2610),
    [sym_true] = ACTIONS(2608),
    [sym_false] = ACTIONS(2608),
    [anon_sym_NULL] = ACTIONS(2608),
    [anon_sym_nullptr] = ACTIONS(2608),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2608),
    [anon_sym_decltype] = ACTIONS(2608),
    [anon_sym_virtual] = ACTIONS(2608),
    [anon_sym_alignas] = ACTIONS(2608),
    [anon_sym_explicit] = ACTIONS(2608),
    [anon_sym_typename] = ACTIONS(2608),
    [anon_sym_template] = ACTIONS(2608),
    [anon_sym_operator] = ACTIONS(2608),
    [anon_sym_try] = ACTIONS(2608),
    [anon_sym_delete] = ACTIONS(2608),
    [anon_sym_throw] = ACTIONS(2608),
    [anon_sym_namespace] = ACTIONS(2608),
    [anon_sym_using] = ACTIONS(2608),
    [anon_sym_static_assert] = ACTIONS(2608),
    [anon_sym_concept] = ACTIONS(2608),
    [anon_sym_co_return] = ACTIONS(2608),
    [anon_sym_co_yield] = ACTIONS(2608),
    [anon_sym_R_DQUOTE] = ACTIONS(2610),
    [anon_sym_LR_DQUOTE] = ACTIONS(2610),
    [anon_sym_uR_DQUOTE] = ACTIONS(2610),
    [anon_sym_UR_DQUOTE] = ACTIONS(2610),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2610),
    [anon_sym_co_await] = ACTIONS(2608),
    [anon_sym_new] = ACTIONS(2608),
    [anon_sym_requires] = ACTIONS(2608),
    [sym_this] = ACTIONS(2608),
    [anon_sym_discard] = ACTIONS(2608),
    [anon_sym_precise] = ACTIONS(2608),
    [anon_sym_shared] = ACTIONS(2608),
    [anon_sym_groupshared] = ACTIONS(2608),
    [anon_sym_uniform] = ACTIONS(2608),
    [anon_sym_row_major] = ACTIONS(2608),
    [anon_sym_column_major] = ACTIONS(2608),
    [anon_sym_globallycoherent] = ACTIONS(2608),
    [anon_sym_centroid] = ACTIONS(2608),
    [anon_sym_noperspective] = ACTIONS(2608),
    [anon_sym_nointerpolation] = ACTIONS(2608),
    [anon_sym_sample] = ACTIONS(2608),
    [anon_sym_linear] = ACTIONS(2608),
    [anon_sym_snorm] = ACTIONS(2608),
    [anon_sym_unorm] = ACTIONS(2608),
    [anon_sym_point] = ACTIONS(2608),
    [anon_sym_line] = ACTIONS(2608),
    [anon_sym_triangleadj] = ACTIONS(2608),
    [anon_sym_lineadj] = ACTIONS(2608),
    [anon_sym_triangle] = ACTIONS(2608),
    [anon_sym_cbuffer] = ACTIONS(2608),
  },
  [1091] = {
    [sym_identifier] = ACTIONS(2845),
    [aux_sym_preproc_include_token1] = ACTIONS(2845),
    [aux_sym_preproc_def_token1] = ACTIONS(2845),
    [aux_sym_preproc_if_token1] = ACTIONS(2845),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2845),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2845),
    [sym_preproc_directive] = ACTIONS(2845),
    [anon_sym_LPAREN2] = ACTIONS(2847),
    [anon_sym_BANG] = ACTIONS(2847),
    [anon_sym_TILDE] = ACTIONS(2847),
    [anon_sym_DASH] = ACTIONS(2845),
    [anon_sym_PLUS] = ACTIONS(2845),
    [anon_sym_STAR] = ACTIONS(2847),
    [anon_sym_AMP_AMP] = ACTIONS(2847),
    [anon_sym_AMP] = ACTIONS(2845),
    [anon_sym_SEMI] = ACTIONS(2847),
    [anon_sym___extension__] = ACTIONS(2845),
    [anon_sym_typedef] = ACTIONS(2845),
    [anon_sym_in] = ACTIONS(2845),
    [anon_sym_out] = ACTIONS(2845),
    [anon_sym_inout] = ACTIONS(2845),
    [anon_sym_extern] = ACTIONS(2845),
    [anon_sym___attribute__] = ACTIONS(2845),
    [anon_sym_COLON_COLON] = ACTIONS(2847),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2847),
    [anon_sym___declspec] = ACTIONS(2845),
    [anon_sym___based] = ACTIONS(2845),
    [anon_sym___cdecl] = ACTIONS(2845),
    [anon_sym___clrcall] = ACTIONS(2845),
    [anon_sym___stdcall] = ACTIONS(2845),
    [anon_sym___fastcall] = ACTIONS(2845),
    [anon_sym___thiscall] = ACTIONS(2845),
    [anon_sym___vectorcall] = ACTIONS(2845),
    [anon_sym_LBRACE] = ACTIONS(2847),
    [anon_sym_RBRACE] = ACTIONS(2847),
    [anon_sym_signed] = ACTIONS(2845),
    [anon_sym_unsigned] = ACTIONS(2845),
    [anon_sym_long] = ACTIONS(2845),
    [anon_sym_short] = ACTIONS(2845),
    [anon_sym_LBRACK] = ACTIONS(2845),
    [anon_sym_static] = ACTIONS(2845),
    [anon_sym_register] = ACTIONS(2845),
    [anon_sym_inline] = ACTIONS(2845),
    [anon_sym___inline] = ACTIONS(2845),
    [anon_sym___inline__] = ACTIONS(2845),
    [anon_sym___forceinline] = ACTIONS(2845),
    [anon_sym_thread_local] = ACTIONS(2845),
    [anon_sym___thread] = ACTIONS(2845),
    [anon_sym_const] = ACTIONS(2845),
    [anon_sym_constexpr] = ACTIONS(2845),
    [anon_sym_volatile] = ACTIONS(2845),
    [anon_sym_restrict] = ACTIONS(2845),
    [anon_sym___restrict__] = ACTIONS(2845),
    [anon_sym__Atomic] = ACTIONS(2845),
    [anon_sym__Noreturn] = ACTIONS(2845),
    [anon_sym_noreturn] = ACTIONS(2845),
    [anon_sym_mutable] = ACTIONS(2845),
    [anon_sym_constinit] = ACTIONS(2845),
    [anon_sym_consteval] = ACTIONS(2845),
    [sym_primitive_type] = ACTIONS(2845),
    [anon_sym_enum] = ACTIONS(2845),
    [anon_sym_class] = ACTIONS(2845),
    [anon_sym_struct] = ACTIONS(2845),
    [anon_sym_union] = ACTIONS(2845),
    [anon_sym_if] = ACTIONS(2845),
    [anon_sym_switch] = ACTIONS(2845),
    [anon_sym_case] = ACTIONS(2845),
    [anon_sym_default] = ACTIONS(2845),
    [anon_sym_while] = ACTIONS(2845),
    [anon_sym_do] = ACTIONS(2845),
    [anon_sym_for] = ACTIONS(2845),
    [anon_sym_return] = ACTIONS(2845),
    [anon_sym_break] = ACTIONS(2845),
    [anon_sym_continue] = ACTIONS(2845),
    [anon_sym_goto] = ACTIONS(2845),
    [anon_sym___try] = ACTIONS(2845),
    [anon_sym___leave] = ACTIONS(2845),
    [anon_sym_not] = ACTIONS(2845),
    [anon_sym_compl] = ACTIONS(2845),
    [anon_sym_DASH_DASH] = ACTIONS(2847),
    [anon_sym_PLUS_PLUS] = ACTIONS(2847),
    [anon_sym_sizeof] = ACTIONS(2845),
    [anon_sym___alignof__] = ACTIONS(2845),
    [anon_sym___alignof] = ACTIONS(2845),
    [anon_sym__alignof] = ACTIONS(2845),
    [anon_sym_alignof] = ACTIONS(2845),
    [anon_sym__Alignof] = ACTIONS(2845),
    [anon_sym_offsetof] = ACTIONS(2845),
    [anon_sym__Generic] = ACTIONS(2845),
    [anon_sym_asm] = ACTIONS(2845),
    [anon_sym___asm__] = ACTIONS(2845),
    [sym_number_literal] = ACTIONS(2847),
    [anon_sym_L_SQUOTE] = ACTIONS(2847),
    [anon_sym_u_SQUOTE] = ACTIONS(2847),
    [anon_sym_U_SQUOTE] = ACTIONS(2847),
    [anon_sym_u8_SQUOTE] = ACTIONS(2847),
    [anon_sym_SQUOTE] = ACTIONS(2847),
    [anon_sym_L_DQUOTE] = ACTIONS(2847),
    [anon_sym_u_DQUOTE] = ACTIONS(2847),
    [anon_sym_U_DQUOTE] = ACTIONS(2847),
    [anon_sym_u8_DQUOTE] = ACTIONS(2847),
    [anon_sym_DQUOTE] = ACTIONS(2847),
    [sym_true] = ACTIONS(2845),
    [sym_false] = ACTIONS(2845),
    [anon_sym_NULL] = ACTIONS(2845),
    [anon_sym_nullptr] = ACTIONS(2845),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2845),
    [anon_sym_decltype] = ACTIONS(2845),
    [anon_sym_virtual] = ACTIONS(2845),
    [anon_sym_alignas] = ACTIONS(2845),
    [anon_sym_explicit] = ACTIONS(2845),
    [anon_sym_typename] = ACTIONS(2845),
    [anon_sym_template] = ACTIONS(2845),
    [anon_sym_operator] = ACTIONS(2845),
    [anon_sym_try] = ACTIONS(2845),
    [anon_sym_delete] = ACTIONS(2845),
    [anon_sym_throw] = ACTIONS(2845),
    [anon_sym_namespace] = ACTIONS(2845),
    [anon_sym_using] = ACTIONS(2845),
    [anon_sym_static_assert] = ACTIONS(2845),
    [anon_sym_concept] = ACTIONS(2845),
    [anon_sym_co_return] = ACTIONS(2845),
    [anon_sym_co_yield] = ACTIONS(2845),
    [anon_sym_R_DQUOTE] = ACTIONS(2847),
    [anon_sym_LR_DQUOTE] = ACTIONS(2847),
    [anon_sym_uR_DQUOTE] = ACTIONS(2847),
    [anon_sym_UR_DQUOTE] = ACTIONS(2847),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2847),
    [anon_sym_co_await] = ACTIONS(2845),
    [anon_sym_new] = ACTIONS(2845),
    [anon_sym_requires] = ACTIONS(2845),
    [sym_this] = ACTIONS(2845),
    [anon_sym_discard] = ACTIONS(2845),
    [anon_sym_precise] = ACTIONS(2845),
    [anon_sym_shared] = ACTIONS(2845),
    [anon_sym_groupshared] = ACTIONS(2845),
    [anon_sym_uniform] = ACTIONS(2845),
    [anon_sym_row_major] = ACTIONS(2845),
    [anon_sym_column_major] = ACTIONS(2845),
    [anon_sym_globallycoherent] = ACTIONS(2845),
    [anon_sym_centroid] = ACTIONS(2845),
    [anon_sym_noperspective] = ACTIONS(2845),
    [anon_sym_nointerpolation] = ACTIONS(2845),
    [anon_sym_sample] = ACTIONS(2845),
    [anon_sym_linear] = ACTIONS(2845),
    [anon_sym_snorm] = ACTIONS(2845),
    [anon_sym_unorm] = ACTIONS(2845),
    [anon_sym_point] = ACTIONS(2845),
    [anon_sym_line] = ACTIONS(2845),
    [anon_sym_triangleadj] = ACTIONS(2845),
    [anon_sym_lineadj] = ACTIONS(2845),
    [anon_sym_triangle] = ACTIONS(2845),
    [anon_sym_cbuffer] = ACTIONS(2845),
  },
  [1092] = {
    [sym_identifier] = ACTIONS(2520),
    [aux_sym_preproc_include_token1] = ACTIONS(2520),
    [aux_sym_preproc_def_token1] = ACTIONS(2520),
    [aux_sym_preproc_if_token1] = ACTIONS(2520),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2520),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2520),
    [sym_preproc_directive] = ACTIONS(2520),
    [anon_sym_LPAREN2] = ACTIONS(2522),
    [anon_sym_BANG] = ACTIONS(2522),
    [anon_sym_TILDE] = ACTIONS(2522),
    [anon_sym_DASH] = ACTIONS(2520),
    [anon_sym_PLUS] = ACTIONS(2520),
    [anon_sym_STAR] = ACTIONS(2522),
    [anon_sym_AMP_AMP] = ACTIONS(2522),
    [anon_sym_AMP] = ACTIONS(2520),
    [anon_sym_SEMI] = ACTIONS(2522),
    [anon_sym___extension__] = ACTIONS(2520),
    [anon_sym_typedef] = ACTIONS(2520),
    [anon_sym_in] = ACTIONS(2520),
    [anon_sym_out] = ACTIONS(2520),
    [anon_sym_inout] = ACTIONS(2520),
    [anon_sym_extern] = ACTIONS(2520),
    [anon_sym___attribute__] = ACTIONS(2520),
    [anon_sym_COLON_COLON] = ACTIONS(2522),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2522),
    [anon_sym___declspec] = ACTIONS(2520),
    [anon_sym___based] = ACTIONS(2520),
    [anon_sym___cdecl] = ACTIONS(2520),
    [anon_sym___clrcall] = ACTIONS(2520),
    [anon_sym___stdcall] = ACTIONS(2520),
    [anon_sym___fastcall] = ACTIONS(2520),
    [anon_sym___thiscall] = ACTIONS(2520),
    [anon_sym___vectorcall] = ACTIONS(2520),
    [anon_sym_LBRACE] = ACTIONS(2522),
    [anon_sym_RBRACE] = ACTIONS(2522),
    [anon_sym_signed] = ACTIONS(2520),
    [anon_sym_unsigned] = ACTIONS(2520),
    [anon_sym_long] = ACTIONS(2520),
    [anon_sym_short] = ACTIONS(2520),
    [anon_sym_LBRACK] = ACTIONS(2520),
    [anon_sym_static] = ACTIONS(2520),
    [anon_sym_register] = ACTIONS(2520),
    [anon_sym_inline] = ACTIONS(2520),
    [anon_sym___inline] = ACTIONS(2520),
    [anon_sym___inline__] = ACTIONS(2520),
    [anon_sym___forceinline] = ACTIONS(2520),
    [anon_sym_thread_local] = ACTIONS(2520),
    [anon_sym___thread] = ACTIONS(2520),
    [anon_sym_const] = ACTIONS(2520),
    [anon_sym_constexpr] = ACTIONS(2520),
    [anon_sym_volatile] = ACTIONS(2520),
    [anon_sym_restrict] = ACTIONS(2520),
    [anon_sym___restrict__] = ACTIONS(2520),
    [anon_sym__Atomic] = ACTIONS(2520),
    [anon_sym__Noreturn] = ACTIONS(2520),
    [anon_sym_noreturn] = ACTIONS(2520),
    [anon_sym_mutable] = ACTIONS(2520),
    [anon_sym_constinit] = ACTIONS(2520),
    [anon_sym_consteval] = ACTIONS(2520),
    [sym_primitive_type] = ACTIONS(2520),
    [anon_sym_enum] = ACTIONS(2520),
    [anon_sym_class] = ACTIONS(2520),
    [anon_sym_struct] = ACTIONS(2520),
    [anon_sym_union] = ACTIONS(2520),
    [anon_sym_if] = ACTIONS(2520),
    [anon_sym_switch] = ACTIONS(2520),
    [anon_sym_case] = ACTIONS(2520),
    [anon_sym_default] = ACTIONS(2520),
    [anon_sym_while] = ACTIONS(2520),
    [anon_sym_do] = ACTIONS(2520),
    [anon_sym_for] = ACTIONS(2520),
    [anon_sym_return] = ACTIONS(2520),
    [anon_sym_break] = ACTIONS(2520),
    [anon_sym_continue] = ACTIONS(2520),
    [anon_sym_goto] = ACTIONS(2520),
    [anon_sym___try] = ACTIONS(2520),
    [anon_sym___leave] = ACTIONS(2520),
    [anon_sym_not] = ACTIONS(2520),
    [anon_sym_compl] = ACTIONS(2520),
    [anon_sym_DASH_DASH] = ACTIONS(2522),
    [anon_sym_PLUS_PLUS] = ACTIONS(2522),
    [anon_sym_sizeof] = ACTIONS(2520),
    [anon_sym___alignof__] = ACTIONS(2520),
    [anon_sym___alignof] = ACTIONS(2520),
    [anon_sym__alignof] = ACTIONS(2520),
    [anon_sym_alignof] = ACTIONS(2520),
    [anon_sym__Alignof] = ACTIONS(2520),
    [anon_sym_offsetof] = ACTIONS(2520),
    [anon_sym__Generic] = ACTIONS(2520),
    [anon_sym_asm] = ACTIONS(2520),
    [anon_sym___asm__] = ACTIONS(2520),
    [sym_number_literal] = ACTIONS(2522),
    [anon_sym_L_SQUOTE] = ACTIONS(2522),
    [anon_sym_u_SQUOTE] = ACTIONS(2522),
    [anon_sym_U_SQUOTE] = ACTIONS(2522),
    [anon_sym_u8_SQUOTE] = ACTIONS(2522),
    [anon_sym_SQUOTE] = ACTIONS(2522),
    [anon_sym_L_DQUOTE] = ACTIONS(2522),
    [anon_sym_u_DQUOTE] = ACTIONS(2522),
    [anon_sym_U_DQUOTE] = ACTIONS(2522),
    [anon_sym_u8_DQUOTE] = ACTIONS(2522),
    [anon_sym_DQUOTE] = ACTIONS(2522),
    [sym_true] = ACTIONS(2520),
    [sym_false] = ACTIONS(2520),
    [anon_sym_NULL] = ACTIONS(2520),
    [anon_sym_nullptr] = ACTIONS(2520),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2520),
    [anon_sym_decltype] = ACTIONS(2520),
    [anon_sym_virtual] = ACTIONS(2520),
    [anon_sym_alignas] = ACTIONS(2520),
    [anon_sym_explicit] = ACTIONS(2520),
    [anon_sym_typename] = ACTIONS(2520),
    [anon_sym_template] = ACTIONS(2520),
    [anon_sym_operator] = ACTIONS(2520),
    [anon_sym_try] = ACTIONS(2520),
    [anon_sym_delete] = ACTIONS(2520),
    [anon_sym_throw] = ACTIONS(2520),
    [anon_sym_namespace] = ACTIONS(2520),
    [anon_sym_using] = ACTIONS(2520),
    [anon_sym_static_assert] = ACTIONS(2520),
    [anon_sym_concept] = ACTIONS(2520),
    [anon_sym_co_return] = ACTIONS(2520),
    [anon_sym_co_yield] = ACTIONS(2520),
    [anon_sym_R_DQUOTE] = ACTIONS(2522),
    [anon_sym_LR_DQUOTE] = ACTIONS(2522),
    [anon_sym_uR_DQUOTE] = ACTIONS(2522),
    [anon_sym_UR_DQUOTE] = ACTIONS(2522),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2522),
    [anon_sym_co_await] = ACTIONS(2520),
    [anon_sym_new] = ACTIONS(2520),
    [anon_sym_requires] = ACTIONS(2520),
    [sym_this] = ACTIONS(2520),
    [anon_sym_discard] = ACTIONS(2520),
    [anon_sym_precise] = ACTIONS(2520),
    [anon_sym_shared] = ACTIONS(2520),
    [anon_sym_groupshared] = ACTIONS(2520),
    [anon_sym_uniform] = ACTIONS(2520),
    [anon_sym_row_major] = ACTIONS(2520),
    [anon_sym_column_major] = ACTIONS(2520),
    [anon_sym_globallycoherent] = ACTIONS(2520),
    [anon_sym_centroid] = ACTIONS(2520),
    [anon_sym_noperspective] = ACTIONS(2520),
    [anon_sym_nointerpolation] = ACTIONS(2520),
    [anon_sym_sample] = ACTIONS(2520),
    [anon_sym_linear] = ACTIONS(2520),
    [anon_sym_snorm] = ACTIONS(2520),
    [anon_sym_unorm] = ACTIONS(2520),
    [anon_sym_point] = ACTIONS(2520),
    [anon_sym_line] = ACTIONS(2520),
    [anon_sym_triangleadj] = ACTIONS(2520),
    [anon_sym_lineadj] = ACTIONS(2520),
    [anon_sym_triangle] = ACTIONS(2520),
    [anon_sym_cbuffer] = ACTIONS(2520),
  },
  [1093] = {
    [sym_identifier] = ACTIONS(2821),
    [aux_sym_preproc_include_token1] = ACTIONS(2821),
    [aux_sym_preproc_def_token1] = ACTIONS(2821),
    [aux_sym_preproc_if_token1] = ACTIONS(2821),
    [aux_sym_preproc_if_token2] = ACTIONS(2821),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2821),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2821),
    [sym_preproc_directive] = ACTIONS(2821),
    [anon_sym_LPAREN2] = ACTIONS(2823),
    [anon_sym_BANG] = ACTIONS(2823),
    [anon_sym_TILDE] = ACTIONS(2823),
    [anon_sym_DASH] = ACTIONS(2821),
    [anon_sym_PLUS] = ACTIONS(2821),
    [anon_sym_STAR] = ACTIONS(2823),
    [anon_sym_AMP_AMP] = ACTIONS(2823),
    [anon_sym_AMP] = ACTIONS(2821),
    [anon_sym_SEMI] = ACTIONS(2823),
    [anon_sym___extension__] = ACTIONS(2821),
    [anon_sym_typedef] = ACTIONS(2821),
    [anon_sym_in] = ACTIONS(2821),
    [anon_sym_out] = ACTIONS(2821),
    [anon_sym_inout] = ACTIONS(2821),
    [anon_sym_extern] = ACTIONS(2821),
    [anon_sym___attribute__] = ACTIONS(2821),
    [anon_sym_COLON_COLON] = ACTIONS(2823),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2823),
    [anon_sym___declspec] = ACTIONS(2821),
    [anon_sym___based] = ACTIONS(2821),
    [anon_sym___cdecl] = ACTIONS(2821),
    [anon_sym___clrcall] = ACTIONS(2821),
    [anon_sym___stdcall] = ACTIONS(2821),
    [anon_sym___fastcall] = ACTIONS(2821),
    [anon_sym___thiscall] = ACTIONS(2821),
    [anon_sym___vectorcall] = ACTIONS(2821),
    [anon_sym_LBRACE] = ACTIONS(2823),
    [anon_sym_signed] = ACTIONS(2821),
    [anon_sym_unsigned] = ACTIONS(2821),
    [anon_sym_long] = ACTIONS(2821),
    [anon_sym_short] = ACTIONS(2821),
    [anon_sym_LBRACK] = ACTIONS(2821),
    [anon_sym_static] = ACTIONS(2821),
    [anon_sym_register] = ACTIONS(2821),
    [anon_sym_inline] = ACTIONS(2821),
    [anon_sym___inline] = ACTIONS(2821),
    [anon_sym___inline__] = ACTIONS(2821),
    [anon_sym___forceinline] = ACTIONS(2821),
    [anon_sym_thread_local] = ACTIONS(2821),
    [anon_sym___thread] = ACTIONS(2821),
    [anon_sym_const] = ACTIONS(2821),
    [anon_sym_constexpr] = ACTIONS(2821),
    [anon_sym_volatile] = ACTIONS(2821),
    [anon_sym_restrict] = ACTIONS(2821),
    [anon_sym___restrict__] = ACTIONS(2821),
    [anon_sym__Atomic] = ACTIONS(2821),
    [anon_sym__Noreturn] = ACTIONS(2821),
    [anon_sym_noreturn] = ACTIONS(2821),
    [anon_sym_mutable] = ACTIONS(2821),
    [anon_sym_constinit] = ACTIONS(2821),
    [anon_sym_consteval] = ACTIONS(2821),
    [sym_primitive_type] = ACTIONS(2821),
    [anon_sym_enum] = ACTIONS(2821),
    [anon_sym_class] = ACTIONS(2821),
    [anon_sym_struct] = ACTIONS(2821),
    [anon_sym_union] = ACTIONS(2821),
    [anon_sym_if] = ACTIONS(2821),
    [anon_sym_switch] = ACTIONS(2821),
    [anon_sym_case] = ACTIONS(2821),
    [anon_sym_default] = ACTIONS(2821),
    [anon_sym_while] = ACTIONS(2821),
    [anon_sym_do] = ACTIONS(2821),
    [anon_sym_for] = ACTIONS(2821),
    [anon_sym_return] = ACTIONS(2821),
    [anon_sym_break] = ACTIONS(2821),
    [anon_sym_continue] = ACTIONS(2821),
    [anon_sym_goto] = ACTIONS(2821),
    [anon_sym___try] = ACTIONS(2821),
    [anon_sym___leave] = ACTIONS(2821),
    [anon_sym_not] = ACTIONS(2821),
    [anon_sym_compl] = ACTIONS(2821),
    [anon_sym_DASH_DASH] = ACTIONS(2823),
    [anon_sym_PLUS_PLUS] = ACTIONS(2823),
    [anon_sym_sizeof] = ACTIONS(2821),
    [anon_sym___alignof__] = ACTIONS(2821),
    [anon_sym___alignof] = ACTIONS(2821),
    [anon_sym__alignof] = ACTIONS(2821),
    [anon_sym_alignof] = ACTIONS(2821),
    [anon_sym__Alignof] = ACTIONS(2821),
    [anon_sym_offsetof] = ACTIONS(2821),
    [anon_sym__Generic] = ACTIONS(2821),
    [anon_sym_asm] = ACTIONS(2821),
    [anon_sym___asm__] = ACTIONS(2821),
    [sym_number_literal] = ACTIONS(2823),
    [anon_sym_L_SQUOTE] = ACTIONS(2823),
    [anon_sym_u_SQUOTE] = ACTIONS(2823),
    [anon_sym_U_SQUOTE] = ACTIONS(2823),
    [anon_sym_u8_SQUOTE] = ACTIONS(2823),
    [anon_sym_SQUOTE] = ACTIONS(2823),
    [anon_sym_L_DQUOTE] = ACTIONS(2823),
    [anon_sym_u_DQUOTE] = ACTIONS(2823),
    [anon_sym_U_DQUOTE] = ACTIONS(2823),
    [anon_sym_u8_DQUOTE] = ACTIONS(2823),
    [anon_sym_DQUOTE] = ACTIONS(2823),
    [sym_true] = ACTIONS(2821),
    [sym_false] = ACTIONS(2821),
    [anon_sym_NULL] = ACTIONS(2821),
    [anon_sym_nullptr] = ACTIONS(2821),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2821),
    [anon_sym_decltype] = ACTIONS(2821),
    [anon_sym_virtual] = ACTIONS(2821),
    [anon_sym_alignas] = ACTIONS(2821),
    [anon_sym_explicit] = ACTIONS(2821),
    [anon_sym_typename] = ACTIONS(2821),
    [anon_sym_template] = ACTIONS(2821),
    [anon_sym_operator] = ACTIONS(2821),
    [anon_sym_try] = ACTIONS(2821),
    [anon_sym_delete] = ACTIONS(2821),
    [anon_sym_throw] = ACTIONS(2821),
    [anon_sym_namespace] = ACTIONS(2821),
    [anon_sym_using] = ACTIONS(2821),
    [anon_sym_static_assert] = ACTIONS(2821),
    [anon_sym_concept] = ACTIONS(2821),
    [anon_sym_co_return] = ACTIONS(2821),
    [anon_sym_co_yield] = ACTIONS(2821),
    [anon_sym_R_DQUOTE] = ACTIONS(2823),
    [anon_sym_LR_DQUOTE] = ACTIONS(2823),
    [anon_sym_uR_DQUOTE] = ACTIONS(2823),
    [anon_sym_UR_DQUOTE] = ACTIONS(2823),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2823),
    [anon_sym_co_await] = ACTIONS(2821),
    [anon_sym_new] = ACTIONS(2821),
    [anon_sym_requires] = ACTIONS(2821),
    [sym_this] = ACTIONS(2821),
    [anon_sym_discard] = ACTIONS(2821),
    [anon_sym_precise] = ACTIONS(2821),
    [anon_sym_shared] = ACTIONS(2821),
    [anon_sym_groupshared] = ACTIONS(2821),
    [anon_sym_uniform] = ACTIONS(2821),
    [anon_sym_row_major] = ACTIONS(2821),
    [anon_sym_column_major] = ACTIONS(2821),
    [anon_sym_globallycoherent] = ACTIONS(2821),
    [anon_sym_centroid] = ACTIONS(2821),
    [anon_sym_noperspective] = ACTIONS(2821),
    [anon_sym_nointerpolation] = ACTIONS(2821),
    [anon_sym_sample] = ACTIONS(2821),
    [anon_sym_linear] = ACTIONS(2821),
    [anon_sym_snorm] = ACTIONS(2821),
    [anon_sym_unorm] = ACTIONS(2821),
    [anon_sym_point] = ACTIONS(2821),
    [anon_sym_line] = ACTIONS(2821),
    [anon_sym_triangleadj] = ACTIONS(2821),
    [anon_sym_lineadj] = ACTIONS(2821),
    [anon_sym_triangle] = ACTIONS(2821),
    [anon_sym_cbuffer] = ACTIONS(2821),
  },
  [1094] = {
    [sym_preproc_def] = STATE(1190),
    [sym_preproc_function_def] = STATE(1190),
    [sym_preproc_call] = STATE(1190),
    [sym_preproc_if_in_field_declaration_list] = STATE(1190),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(1190),
    [sym_preproc_else_in_field_declaration_list] = STATE(10262),
    [sym_preproc_elif_in_field_declaration_list] = STATE(10262),
    [sym_type_definition] = STATE(1190),
    [sym__declaration_modifiers] = STATE(3159),
    [sym__declaration_specifiers] = STATE(6914),
    [sym_attribute_specifier] = STATE(3159),
    [sym_attribute_declaration] = STATE(3159),
    [sym_ms_declspec_modifier] = STATE(3159),
    [sym_ms_based_modifier] = STATE(10332),
    [sym__declarator] = STATE(7978),
    [sym_parenthesized_declarator] = STATE(7680),
    [sym_attributed_declarator] = STATE(7680),
    [sym_pointer_declarator] = STATE(7680),
    [sym_function_declarator] = STATE(7532),
    [sym_array_declarator] = STATE(7680),
    [sym_storage_class_specifier] = STATE(3159),
    [sym_type_qualifier] = STATE(3159),
    [sym__type_specifier] = STATE(2827),
    [sym_sized_type_specifier] = STATE(3085),
    [sym_enum_specifier] = STATE(3085),
    [sym_struct_specifier] = STATE(3085),
    [sym_union_specifier] = STATE(3085),
    [sym__field_declaration_list_item] = STATE(1190),
    [sym_field_declaration] = STATE(1190),
    [sym_placeholder_type_specifier] = STATE(3085),
    [sym_decltype_auto] = STATE(3091),
    [sym_decltype] = STATE(3050),
    [sym_class_specifier] = STATE(3085),
    [sym_virtual] = STATE(3159),
    [sym_alignas_specifier] = STATE(3159),
    [sym_explicit_function_specifier] = STATE(2521),
    [sym_dependent_type] = STATE(3085),
    [sym_template_declaration] = STATE(1190),
    [sym_operator_cast] = STATE(8041),
    [sym_inline_method_definition] = STATE(1190),
    [sym__constructor_specifiers] = STATE(2521),
    [sym_operator_cast_definition] = STATE(1190),
    [sym_operator_cast_declaration] = STATE(1190),
    [sym_constructor_or_destructor_definition] = STATE(1190),
    [sym_constructor_or_destructor_declaration] = STATE(1190),
    [sym_friend_declaration] = STATE(1190),
    [sym_access_specifier] = STATE(10120),
    [sym_reference_declarator] = STATE(7680),
    [sym_structured_binding_declarator] = STATE(7680),
    [sym_template_type] = STATE(3050),
    [sym_template_function] = STATE(7680),
    [sym_using_declaration] = STATE(1190),
    [sym_alias_declaration] = STATE(1190),
    [sym_static_assert_declaration] = STATE(1190),
    [sym_destructor_name] = STATE(7680),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6733),
    [sym_qualified_identifier] = STATE(7680),
    [sym_qualified_type_identifier] = STATE(3068),
    [sym_qualified_operator_cast_identifier] = STATE(8041),
    [sym_operator_name] = STATE(7680),
    [sym_qualifiers] = STATE(3159),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(1190),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2680),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3021),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2521),
    [sym_identifier] = ACTIONS(2857),
    [aux_sym_preproc_def_token1] = ACTIONS(2988),
    [aux_sym_preproc_if_token1] = ACTIONS(2990),
    [aux_sym_preproc_if_token2] = ACTIONS(3012),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2994),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2994),
    [aux_sym_preproc_else_token1] = ACTIONS(2867),
    [aux_sym_preproc_elif_token1] = ACTIONS(2869),
    [sym_preproc_directive] = ACTIONS(2996),
    [anon_sym_LPAREN2] = ACTIONS(2875),
    [anon_sym_TILDE] = ACTIONS(2877),
    [anon_sym_STAR] = ACTIONS(2879),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(2881),
    [anon_sym___extension__] = ACTIONS(2998),
    [anon_sym_typedef] = ACTIONS(3000),
    [anon_sym_in] = ACTIONS(37),
    [anon_sym_out] = ACTIONS(37),
    [anon_sym_inout] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(2887),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2096),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(2889),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(2891),
    [anon_sym_enum] = ACTIONS(2893),
    [anon_sym_class] = ACTIONS(2895),
    [anon_sym_struct] = ACTIONS(2897),
    [anon_sym_union] = ACTIONS(2899),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [anon_sym_virtual] = ACTIONS(123),
    [anon_sym_alignas] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(2901),
    [anon_sym_template] = ACTIONS(3002),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_friend] = ACTIONS(3004),
    [anon_sym_public] = ACTIONS(2907),
    [anon_sym_private] = ACTIONS(2907),
    [anon_sym_protected] = ACTIONS(2907),
    [anon_sym_using] = ACTIONS(3006),
    [anon_sym_static_assert] = ACTIONS(3008),
    [anon_sym_precise] = ACTIONS(161),
    [anon_sym_shared] = ACTIONS(161),
    [anon_sym_groupshared] = ACTIONS(161),
    [anon_sym_uniform] = ACTIONS(161),
    [anon_sym_row_major] = ACTIONS(161),
    [anon_sym_column_major] = ACTIONS(161),
    [anon_sym_globallycoherent] = ACTIONS(161),
    [anon_sym_centroid] = ACTIONS(161),
    [anon_sym_noperspective] = ACTIONS(161),
    [anon_sym_nointerpolation] = ACTIONS(161),
    [anon_sym_sample] = ACTIONS(161),
    [anon_sym_linear] = ACTIONS(161),
    [anon_sym_snorm] = ACTIONS(161),
    [anon_sym_unorm] = ACTIONS(161),
    [anon_sym_point] = ACTIONS(161),
    [anon_sym_line] = ACTIONS(161),
    [anon_sym_triangleadj] = ACTIONS(161),
    [anon_sym_lineadj] = ACTIONS(161),
    [anon_sym_triangle] = ACTIONS(161),
  },
  [1095] = {
    [sym_identifier] = ACTIONS(2817),
    [aux_sym_preproc_include_token1] = ACTIONS(2817),
    [aux_sym_preproc_def_token1] = ACTIONS(2817),
    [aux_sym_preproc_if_token1] = ACTIONS(2817),
    [aux_sym_preproc_if_token2] = ACTIONS(2817),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2817),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2817),
    [sym_preproc_directive] = ACTIONS(2817),
    [anon_sym_LPAREN2] = ACTIONS(2819),
    [anon_sym_BANG] = ACTIONS(2819),
    [anon_sym_TILDE] = ACTIONS(2819),
    [anon_sym_DASH] = ACTIONS(2817),
    [anon_sym_PLUS] = ACTIONS(2817),
    [anon_sym_STAR] = ACTIONS(2819),
    [anon_sym_AMP_AMP] = ACTIONS(2819),
    [anon_sym_AMP] = ACTIONS(2817),
    [anon_sym_SEMI] = ACTIONS(2819),
    [anon_sym___extension__] = ACTIONS(2817),
    [anon_sym_typedef] = ACTIONS(2817),
    [anon_sym_in] = ACTIONS(2817),
    [anon_sym_out] = ACTIONS(2817),
    [anon_sym_inout] = ACTIONS(2817),
    [anon_sym_extern] = ACTIONS(2817),
    [anon_sym___attribute__] = ACTIONS(2817),
    [anon_sym_COLON_COLON] = ACTIONS(2819),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2819),
    [anon_sym___declspec] = ACTIONS(2817),
    [anon_sym___based] = ACTIONS(2817),
    [anon_sym___cdecl] = ACTIONS(2817),
    [anon_sym___clrcall] = ACTIONS(2817),
    [anon_sym___stdcall] = ACTIONS(2817),
    [anon_sym___fastcall] = ACTIONS(2817),
    [anon_sym___thiscall] = ACTIONS(2817),
    [anon_sym___vectorcall] = ACTIONS(2817),
    [anon_sym_LBRACE] = ACTIONS(2819),
    [anon_sym_signed] = ACTIONS(2817),
    [anon_sym_unsigned] = ACTIONS(2817),
    [anon_sym_long] = ACTIONS(2817),
    [anon_sym_short] = ACTIONS(2817),
    [anon_sym_LBRACK] = ACTIONS(2817),
    [anon_sym_static] = ACTIONS(2817),
    [anon_sym_register] = ACTIONS(2817),
    [anon_sym_inline] = ACTIONS(2817),
    [anon_sym___inline] = ACTIONS(2817),
    [anon_sym___inline__] = ACTIONS(2817),
    [anon_sym___forceinline] = ACTIONS(2817),
    [anon_sym_thread_local] = ACTIONS(2817),
    [anon_sym___thread] = ACTIONS(2817),
    [anon_sym_const] = ACTIONS(2817),
    [anon_sym_constexpr] = ACTIONS(2817),
    [anon_sym_volatile] = ACTIONS(2817),
    [anon_sym_restrict] = ACTIONS(2817),
    [anon_sym___restrict__] = ACTIONS(2817),
    [anon_sym__Atomic] = ACTIONS(2817),
    [anon_sym__Noreturn] = ACTIONS(2817),
    [anon_sym_noreturn] = ACTIONS(2817),
    [anon_sym_mutable] = ACTIONS(2817),
    [anon_sym_constinit] = ACTIONS(2817),
    [anon_sym_consteval] = ACTIONS(2817),
    [sym_primitive_type] = ACTIONS(2817),
    [anon_sym_enum] = ACTIONS(2817),
    [anon_sym_class] = ACTIONS(2817),
    [anon_sym_struct] = ACTIONS(2817),
    [anon_sym_union] = ACTIONS(2817),
    [anon_sym_if] = ACTIONS(2817),
    [anon_sym_switch] = ACTIONS(2817),
    [anon_sym_case] = ACTIONS(2817),
    [anon_sym_default] = ACTIONS(2817),
    [anon_sym_while] = ACTIONS(2817),
    [anon_sym_do] = ACTIONS(2817),
    [anon_sym_for] = ACTIONS(2817),
    [anon_sym_return] = ACTIONS(2817),
    [anon_sym_break] = ACTIONS(2817),
    [anon_sym_continue] = ACTIONS(2817),
    [anon_sym_goto] = ACTIONS(2817),
    [anon_sym___try] = ACTIONS(2817),
    [anon_sym___leave] = ACTIONS(2817),
    [anon_sym_not] = ACTIONS(2817),
    [anon_sym_compl] = ACTIONS(2817),
    [anon_sym_DASH_DASH] = ACTIONS(2819),
    [anon_sym_PLUS_PLUS] = ACTIONS(2819),
    [anon_sym_sizeof] = ACTIONS(2817),
    [anon_sym___alignof__] = ACTIONS(2817),
    [anon_sym___alignof] = ACTIONS(2817),
    [anon_sym__alignof] = ACTIONS(2817),
    [anon_sym_alignof] = ACTIONS(2817),
    [anon_sym__Alignof] = ACTIONS(2817),
    [anon_sym_offsetof] = ACTIONS(2817),
    [anon_sym__Generic] = ACTIONS(2817),
    [anon_sym_asm] = ACTIONS(2817),
    [anon_sym___asm__] = ACTIONS(2817),
    [sym_number_literal] = ACTIONS(2819),
    [anon_sym_L_SQUOTE] = ACTIONS(2819),
    [anon_sym_u_SQUOTE] = ACTIONS(2819),
    [anon_sym_U_SQUOTE] = ACTIONS(2819),
    [anon_sym_u8_SQUOTE] = ACTIONS(2819),
    [anon_sym_SQUOTE] = ACTIONS(2819),
    [anon_sym_L_DQUOTE] = ACTIONS(2819),
    [anon_sym_u_DQUOTE] = ACTIONS(2819),
    [anon_sym_U_DQUOTE] = ACTIONS(2819),
    [anon_sym_u8_DQUOTE] = ACTIONS(2819),
    [anon_sym_DQUOTE] = ACTIONS(2819),
    [sym_true] = ACTIONS(2817),
    [sym_false] = ACTIONS(2817),
    [anon_sym_NULL] = ACTIONS(2817),
    [anon_sym_nullptr] = ACTIONS(2817),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2817),
    [anon_sym_decltype] = ACTIONS(2817),
    [anon_sym_virtual] = ACTIONS(2817),
    [anon_sym_alignas] = ACTIONS(2817),
    [anon_sym_explicit] = ACTIONS(2817),
    [anon_sym_typename] = ACTIONS(2817),
    [anon_sym_template] = ACTIONS(2817),
    [anon_sym_operator] = ACTIONS(2817),
    [anon_sym_try] = ACTIONS(2817),
    [anon_sym_delete] = ACTIONS(2817),
    [anon_sym_throw] = ACTIONS(2817),
    [anon_sym_namespace] = ACTIONS(2817),
    [anon_sym_using] = ACTIONS(2817),
    [anon_sym_static_assert] = ACTIONS(2817),
    [anon_sym_concept] = ACTIONS(2817),
    [anon_sym_co_return] = ACTIONS(2817),
    [anon_sym_co_yield] = ACTIONS(2817),
    [anon_sym_R_DQUOTE] = ACTIONS(2819),
    [anon_sym_LR_DQUOTE] = ACTIONS(2819),
    [anon_sym_uR_DQUOTE] = ACTIONS(2819),
    [anon_sym_UR_DQUOTE] = ACTIONS(2819),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2819),
    [anon_sym_co_await] = ACTIONS(2817),
    [anon_sym_new] = ACTIONS(2817),
    [anon_sym_requires] = ACTIONS(2817),
    [sym_this] = ACTIONS(2817),
    [anon_sym_discard] = ACTIONS(2817),
    [anon_sym_precise] = ACTIONS(2817),
    [anon_sym_shared] = ACTIONS(2817),
    [anon_sym_groupshared] = ACTIONS(2817),
    [anon_sym_uniform] = ACTIONS(2817),
    [anon_sym_row_major] = ACTIONS(2817),
    [anon_sym_column_major] = ACTIONS(2817),
    [anon_sym_globallycoherent] = ACTIONS(2817),
    [anon_sym_centroid] = ACTIONS(2817),
    [anon_sym_noperspective] = ACTIONS(2817),
    [anon_sym_nointerpolation] = ACTIONS(2817),
    [anon_sym_sample] = ACTIONS(2817),
    [anon_sym_linear] = ACTIONS(2817),
    [anon_sym_snorm] = ACTIONS(2817),
    [anon_sym_unorm] = ACTIONS(2817),
    [anon_sym_point] = ACTIONS(2817),
    [anon_sym_line] = ACTIONS(2817),
    [anon_sym_triangleadj] = ACTIONS(2817),
    [anon_sym_lineadj] = ACTIONS(2817),
    [anon_sym_triangle] = ACTIONS(2817),
    [anon_sym_cbuffer] = ACTIONS(2817),
  },
  [1096] = {
    [sym_identifier] = ACTIONS(2733),
    [aux_sym_preproc_include_token1] = ACTIONS(2733),
    [aux_sym_preproc_def_token1] = ACTIONS(2733),
    [aux_sym_preproc_if_token1] = ACTIONS(2733),
    [aux_sym_preproc_if_token2] = ACTIONS(2733),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2733),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2733),
    [sym_preproc_directive] = ACTIONS(2733),
    [anon_sym_LPAREN2] = ACTIONS(2735),
    [anon_sym_BANG] = ACTIONS(2735),
    [anon_sym_TILDE] = ACTIONS(2735),
    [anon_sym_DASH] = ACTIONS(2733),
    [anon_sym_PLUS] = ACTIONS(2733),
    [anon_sym_STAR] = ACTIONS(2735),
    [anon_sym_AMP_AMP] = ACTIONS(2735),
    [anon_sym_AMP] = ACTIONS(2733),
    [anon_sym_SEMI] = ACTIONS(2735),
    [anon_sym___extension__] = ACTIONS(2733),
    [anon_sym_typedef] = ACTIONS(2733),
    [anon_sym_in] = ACTIONS(2733),
    [anon_sym_out] = ACTIONS(2733),
    [anon_sym_inout] = ACTIONS(2733),
    [anon_sym_extern] = ACTIONS(2733),
    [anon_sym___attribute__] = ACTIONS(2733),
    [anon_sym_COLON_COLON] = ACTIONS(2735),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2735),
    [anon_sym___declspec] = ACTIONS(2733),
    [anon_sym___based] = ACTIONS(2733),
    [anon_sym___cdecl] = ACTIONS(2733),
    [anon_sym___clrcall] = ACTIONS(2733),
    [anon_sym___stdcall] = ACTIONS(2733),
    [anon_sym___fastcall] = ACTIONS(2733),
    [anon_sym___thiscall] = ACTIONS(2733),
    [anon_sym___vectorcall] = ACTIONS(2733),
    [anon_sym_LBRACE] = ACTIONS(2735),
    [anon_sym_signed] = ACTIONS(2733),
    [anon_sym_unsigned] = ACTIONS(2733),
    [anon_sym_long] = ACTIONS(2733),
    [anon_sym_short] = ACTIONS(2733),
    [anon_sym_LBRACK] = ACTIONS(2733),
    [anon_sym_static] = ACTIONS(2733),
    [anon_sym_register] = ACTIONS(2733),
    [anon_sym_inline] = ACTIONS(2733),
    [anon_sym___inline] = ACTIONS(2733),
    [anon_sym___inline__] = ACTIONS(2733),
    [anon_sym___forceinline] = ACTIONS(2733),
    [anon_sym_thread_local] = ACTIONS(2733),
    [anon_sym___thread] = ACTIONS(2733),
    [anon_sym_const] = ACTIONS(2733),
    [anon_sym_constexpr] = ACTIONS(2733),
    [anon_sym_volatile] = ACTIONS(2733),
    [anon_sym_restrict] = ACTIONS(2733),
    [anon_sym___restrict__] = ACTIONS(2733),
    [anon_sym__Atomic] = ACTIONS(2733),
    [anon_sym__Noreturn] = ACTIONS(2733),
    [anon_sym_noreturn] = ACTIONS(2733),
    [anon_sym_mutable] = ACTIONS(2733),
    [anon_sym_constinit] = ACTIONS(2733),
    [anon_sym_consteval] = ACTIONS(2733),
    [sym_primitive_type] = ACTIONS(2733),
    [anon_sym_enum] = ACTIONS(2733),
    [anon_sym_class] = ACTIONS(2733),
    [anon_sym_struct] = ACTIONS(2733),
    [anon_sym_union] = ACTIONS(2733),
    [anon_sym_if] = ACTIONS(2733),
    [anon_sym_switch] = ACTIONS(2733),
    [anon_sym_case] = ACTIONS(2733),
    [anon_sym_default] = ACTIONS(2733),
    [anon_sym_while] = ACTIONS(2733),
    [anon_sym_do] = ACTIONS(2733),
    [anon_sym_for] = ACTIONS(2733),
    [anon_sym_return] = ACTIONS(2733),
    [anon_sym_break] = ACTIONS(2733),
    [anon_sym_continue] = ACTIONS(2733),
    [anon_sym_goto] = ACTIONS(2733),
    [anon_sym___try] = ACTIONS(2733),
    [anon_sym___leave] = ACTIONS(2733),
    [anon_sym_not] = ACTIONS(2733),
    [anon_sym_compl] = ACTIONS(2733),
    [anon_sym_DASH_DASH] = ACTIONS(2735),
    [anon_sym_PLUS_PLUS] = ACTIONS(2735),
    [anon_sym_sizeof] = ACTIONS(2733),
    [anon_sym___alignof__] = ACTIONS(2733),
    [anon_sym___alignof] = ACTIONS(2733),
    [anon_sym__alignof] = ACTIONS(2733),
    [anon_sym_alignof] = ACTIONS(2733),
    [anon_sym__Alignof] = ACTIONS(2733),
    [anon_sym_offsetof] = ACTIONS(2733),
    [anon_sym__Generic] = ACTIONS(2733),
    [anon_sym_asm] = ACTIONS(2733),
    [anon_sym___asm__] = ACTIONS(2733),
    [sym_number_literal] = ACTIONS(2735),
    [anon_sym_L_SQUOTE] = ACTIONS(2735),
    [anon_sym_u_SQUOTE] = ACTIONS(2735),
    [anon_sym_U_SQUOTE] = ACTIONS(2735),
    [anon_sym_u8_SQUOTE] = ACTIONS(2735),
    [anon_sym_SQUOTE] = ACTIONS(2735),
    [anon_sym_L_DQUOTE] = ACTIONS(2735),
    [anon_sym_u_DQUOTE] = ACTIONS(2735),
    [anon_sym_U_DQUOTE] = ACTIONS(2735),
    [anon_sym_u8_DQUOTE] = ACTIONS(2735),
    [anon_sym_DQUOTE] = ACTIONS(2735),
    [sym_true] = ACTIONS(2733),
    [sym_false] = ACTIONS(2733),
    [anon_sym_NULL] = ACTIONS(2733),
    [anon_sym_nullptr] = ACTIONS(2733),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2733),
    [anon_sym_decltype] = ACTIONS(2733),
    [anon_sym_virtual] = ACTIONS(2733),
    [anon_sym_alignas] = ACTIONS(2733),
    [anon_sym_explicit] = ACTIONS(2733),
    [anon_sym_typename] = ACTIONS(2733),
    [anon_sym_template] = ACTIONS(2733),
    [anon_sym_operator] = ACTIONS(2733),
    [anon_sym_try] = ACTIONS(2733),
    [anon_sym_delete] = ACTIONS(2733),
    [anon_sym_throw] = ACTIONS(2733),
    [anon_sym_namespace] = ACTIONS(2733),
    [anon_sym_using] = ACTIONS(2733),
    [anon_sym_static_assert] = ACTIONS(2733),
    [anon_sym_concept] = ACTIONS(2733),
    [anon_sym_co_return] = ACTIONS(2733),
    [anon_sym_co_yield] = ACTIONS(2733),
    [anon_sym_R_DQUOTE] = ACTIONS(2735),
    [anon_sym_LR_DQUOTE] = ACTIONS(2735),
    [anon_sym_uR_DQUOTE] = ACTIONS(2735),
    [anon_sym_UR_DQUOTE] = ACTIONS(2735),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2735),
    [anon_sym_co_await] = ACTIONS(2733),
    [anon_sym_new] = ACTIONS(2733),
    [anon_sym_requires] = ACTIONS(2733),
    [sym_this] = ACTIONS(2733),
    [anon_sym_discard] = ACTIONS(2733),
    [anon_sym_precise] = ACTIONS(2733),
    [anon_sym_shared] = ACTIONS(2733),
    [anon_sym_groupshared] = ACTIONS(2733),
    [anon_sym_uniform] = ACTIONS(2733),
    [anon_sym_row_major] = ACTIONS(2733),
    [anon_sym_column_major] = ACTIONS(2733),
    [anon_sym_globallycoherent] = ACTIONS(2733),
    [anon_sym_centroid] = ACTIONS(2733),
    [anon_sym_noperspective] = ACTIONS(2733),
    [anon_sym_nointerpolation] = ACTIONS(2733),
    [anon_sym_sample] = ACTIONS(2733),
    [anon_sym_linear] = ACTIONS(2733),
    [anon_sym_snorm] = ACTIONS(2733),
    [anon_sym_unorm] = ACTIONS(2733),
    [anon_sym_point] = ACTIONS(2733),
    [anon_sym_line] = ACTIONS(2733),
    [anon_sym_triangleadj] = ACTIONS(2733),
    [anon_sym_lineadj] = ACTIONS(2733),
    [anon_sym_triangle] = ACTIONS(2733),
    [anon_sym_cbuffer] = ACTIONS(2733),
  },
  [1097] = {
    [sym_identifier] = ACTIONS(2765),
    [aux_sym_preproc_include_token1] = ACTIONS(2765),
    [aux_sym_preproc_def_token1] = ACTIONS(2765),
    [aux_sym_preproc_if_token1] = ACTIONS(2765),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2765),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2765),
    [sym_preproc_directive] = ACTIONS(2765),
    [anon_sym_LPAREN2] = ACTIONS(2767),
    [anon_sym_BANG] = ACTIONS(2767),
    [anon_sym_TILDE] = ACTIONS(2767),
    [anon_sym_DASH] = ACTIONS(2765),
    [anon_sym_PLUS] = ACTIONS(2765),
    [anon_sym_STAR] = ACTIONS(2767),
    [anon_sym_AMP_AMP] = ACTIONS(2767),
    [anon_sym_AMP] = ACTIONS(2765),
    [anon_sym_SEMI] = ACTIONS(2767),
    [anon_sym___extension__] = ACTIONS(2765),
    [anon_sym_typedef] = ACTIONS(2765),
    [anon_sym_in] = ACTIONS(2765),
    [anon_sym_out] = ACTIONS(2765),
    [anon_sym_inout] = ACTIONS(2765),
    [anon_sym_extern] = ACTIONS(2765),
    [anon_sym___attribute__] = ACTIONS(2765),
    [anon_sym_COLON_COLON] = ACTIONS(2767),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2767),
    [anon_sym___declspec] = ACTIONS(2765),
    [anon_sym___based] = ACTIONS(2765),
    [anon_sym___cdecl] = ACTIONS(2765),
    [anon_sym___clrcall] = ACTIONS(2765),
    [anon_sym___stdcall] = ACTIONS(2765),
    [anon_sym___fastcall] = ACTIONS(2765),
    [anon_sym___thiscall] = ACTIONS(2765),
    [anon_sym___vectorcall] = ACTIONS(2765),
    [anon_sym_LBRACE] = ACTIONS(2767),
    [anon_sym_RBRACE] = ACTIONS(2767),
    [anon_sym_signed] = ACTIONS(2765),
    [anon_sym_unsigned] = ACTIONS(2765),
    [anon_sym_long] = ACTIONS(2765),
    [anon_sym_short] = ACTIONS(2765),
    [anon_sym_LBRACK] = ACTIONS(2765),
    [anon_sym_static] = ACTIONS(2765),
    [anon_sym_register] = ACTIONS(2765),
    [anon_sym_inline] = ACTIONS(2765),
    [anon_sym___inline] = ACTIONS(2765),
    [anon_sym___inline__] = ACTIONS(2765),
    [anon_sym___forceinline] = ACTIONS(2765),
    [anon_sym_thread_local] = ACTIONS(2765),
    [anon_sym___thread] = ACTIONS(2765),
    [anon_sym_const] = ACTIONS(2765),
    [anon_sym_constexpr] = ACTIONS(2765),
    [anon_sym_volatile] = ACTIONS(2765),
    [anon_sym_restrict] = ACTIONS(2765),
    [anon_sym___restrict__] = ACTIONS(2765),
    [anon_sym__Atomic] = ACTIONS(2765),
    [anon_sym__Noreturn] = ACTIONS(2765),
    [anon_sym_noreturn] = ACTIONS(2765),
    [anon_sym_mutable] = ACTIONS(2765),
    [anon_sym_constinit] = ACTIONS(2765),
    [anon_sym_consteval] = ACTIONS(2765),
    [sym_primitive_type] = ACTIONS(2765),
    [anon_sym_enum] = ACTIONS(2765),
    [anon_sym_class] = ACTIONS(2765),
    [anon_sym_struct] = ACTIONS(2765),
    [anon_sym_union] = ACTIONS(2765),
    [anon_sym_if] = ACTIONS(2765),
    [anon_sym_switch] = ACTIONS(2765),
    [anon_sym_case] = ACTIONS(2765),
    [anon_sym_default] = ACTIONS(2765),
    [anon_sym_while] = ACTIONS(2765),
    [anon_sym_do] = ACTIONS(2765),
    [anon_sym_for] = ACTIONS(2765),
    [anon_sym_return] = ACTIONS(2765),
    [anon_sym_break] = ACTIONS(2765),
    [anon_sym_continue] = ACTIONS(2765),
    [anon_sym_goto] = ACTIONS(2765),
    [anon_sym___try] = ACTIONS(2765),
    [anon_sym___leave] = ACTIONS(2765),
    [anon_sym_not] = ACTIONS(2765),
    [anon_sym_compl] = ACTIONS(2765),
    [anon_sym_DASH_DASH] = ACTIONS(2767),
    [anon_sym_PLUS_PLUS] = ACTIONS(2767),
    [anon_sym_sizeof] = ACTIONS(2765),
    [anon_sym___alignof__] = ACTIONS(2765),
    [anon_sym___alignof] = ACTIONS(2765),
    [anon_sym__alignof] = ACTIONS(2765),
    [anon_sym_alignof] = ACTIONS(2765),
    [anon_sym__Alignof] = ACTIONS(2765),
    [anon_sym_offsetof] = ACTIONS(2765),
    [anon_sym__Generic] = ACTIONS(2765),
    [anon_sym_asm] = ACTIONS(2765),
    [anon_sym___asm__] = ACTIONS(2765),
    [sym_number_literal] = ACTIONS(2767),
    [anon_sym_L_SQUOTE] = ACTIONS(2767),
    [anon_sym_u_SQUOTE] = ACTIONS(2767),
    [anon_sym_U_SQUOTE] = ACTIONS(2767),
    [anon_sym_u8_SQUOTE] = ACTIONS(2767),
    [anon_sym_SQUOTE] = ACTIONS(2767),
    [anon_sym_L_DQUOTE] = ACTIONS(2767),
    [anon_sym_u_DQUOTE] = ACTIONS(2767),
    [anon_sym_U_DQUOTE] = ACTIONS(2767),
    [anon_sym_u8_DQUOTE] = ACTIONS(2767),
    [anon_sym_DQUOTE] = ACTIONS(2767),
    [sym_true] = ACTIONS(2765),
    [sym_false] = ACTIONS(2765),
    [anon_sym_NULL] = ACTIONS(2765),
    [anon_sym_nullptr] = ACTIONS(2765),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2765),
    [anon_sym_decltype] = ACTIONS(2765),
    [anon_sym_virtual] = ACTIONS(2765),
    [anon_sym_alignas] = ACTIONS(2765),
    [anon_sym_explicit] = ACTIONS(2765),
    [anon_sym_typename] = ACTIONS(2765),
    [anon_sym_template] = ACTIONS(2765),
    [anon_sym_operator] = ACTIONS(2765),
    [anon_sym_try] = ACTIONS(2765),
    [anon_sym_delete] = ACTIONS(2765),
    [anon_sym_throw] = ACTIONS(2765),
    [anon_sym_namespace] = ACTIONS(2765),
    [anon_sym_using] = ACTIONS(2765),
    [anon_sym_static_assert] = ACTIONS(2765),
    [anon_sym_concept] = ACTIONS(2765),
    [anon_sym_co_return] = ACTIONS(2765),
    [anon_sym_co_yield] = ACTIONS(2765),
    [anon_sym_R_DQUOTE] = ACTIONS(2767),
    [anon_sym_LR_DQUOTE] = ACTIONS(2767),
    [anon_sym_uR_DQUOTE] = ACTIONS(2767),
    [anon_sym_UR_DQUOTE] = ACTIONS(2767),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2767),
    [anon_sym_co_await] = ACTIONS(2765),
    [anon_sym_new] = ACTIONS(2765),
    [anon_sym_requires] = ACTIONS(2765),
    [sym_this] = ACTIONS(2765),
    [anon_sym_discard] = ACTIONS(2765),
    [anon_sym_precise] = ACTIONS(2765),
    [anon_sym_shared] = ACTIONS(2765),
    [anon_sym_groupshared] = ACTIONS(2765),
    [anon_sym_uniform] = ACTIONS(2765),
    [anon_sym_row_major] = ACTIONS(2765),
    [anon_sym_column_major] = ACTIONS(2765),
    [anon_sym_globallycoherent] = ACTIONS(2765),
    [anon_sym_centroid] = ACTIONS(2765),
    [anon_sym_noperspective] = ACTIONS(2765),
    [anon_sym_nointerpolation] = ACTIONS(2765),
    [anon_sym_sample] = ACTIONS(2765),
    [anon_sym_linear] = ACTIONS(2765),
    [anon_sym_snorm] = ACTIONS(2765),
    [anon_sym_unorm] = ACTIONS(2765),
    [anon_sym_point] = ACTIONS(2765),
    [anon_sym_line] = ACTIONS(2765),
    [anon_sym_triangleadj] = ACTIONS(2765),
    [anon_sym_lineadj] = ACTIONS(2765),
    [anon_sym_triangle] = ACTIONS(2765),
    [anon_sym_cbuffer] = ACTIONS(2765),
  },
  [1098] = {
    [sym_identifier] = ACTIONS(2637),
    [aux_sym_preproc_include_token1] = ACTIONS(2637),
    [aux_sym_preproc_def_token1] = ACTIONS(2637),
    [aux_sym_preproc_if_token1] = ACTIONS(2637),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2637),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2637),
    [sym_preproc_directive] = ACTIONS(2637),
    [anon_sym_LPAREN2] = ACTIONS(2639),
    [anon_sym_BANG] = ACTIONS(2639),
    [anon_sym_TILDE] = ACTIONS(2639),
    [anon_sym_DASH] = ACTIONS(2637),
    [anon_sym_PLUS] = ACTIONS(2637),
    [anon_sym_STAR] = ACTIONS(2639),
    [anon_sym_AMP_AMP] = ACTIONS(2639),
    [anon_sym_AMP] = ACTIONS(2637),
    [anon_sym_SEMI] = ACTIONS(2639),
    [anon_sym___extension__] = ACTIONS(2637),
    [anon_sym_typedef] = ACTIONS(2637),
    [anon_sym_in] = ACTIONS(2637),
    [anon_sym_out] = ACTIONS(2637),
    [anon_sym_inout] = ACTIONS(2637),
    [anon_sym_extern] = ACTIONS(2637),
    [anon_sym___attribute__] = ACTIONS(2637),
    [anon_sym_COLON_COLON] = ACTIONS(2639),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2639),
    [anon_sym___declspec] = ACTIONS(2637),
    [anon_sym___based] = ACTIONS(2637),
    [anon_sym___cdecl] = ACTIONS(2637),
    [anon_sym___clrcall] = ACTIONS(2637),
    [anon_sym___stdcall] = ACTIONS(2637),
    [anon_sym___fastcall] = ACTIONS(2637),
    [anon_sym___thiscall] = ACTIONS(2637),
    [anon_sym___vectorcall] = ACTIONS(2637),
    [anon_sym_LBRACE] = ACTIONS(2639),
    [anon_sym_RBRACE] = ACTIONS(2639),
    [anon_sym_signed] = ACTIONS(2637),
    [anon_sym_unsigned] = ACTIONS(2637),
    [anon_sym_long] = ACTIONS(2637),
    [anon_sym_short] = ACTIONS(2637),
    [anon_sym_LBRACK] = ACTIONS(2637),
    [anon_sym_static] = ACTIONS(2637),
    [anon_sym_register] = ACTIONS(2637),
    [anon_sym_inline] = ACTIONS(2637),
    [anon_sym___inline] = ACTIONS(2637),
    [anon_sym___inline__] = ACTIONS(2637),
    [anon_sym___forceinline] = ACTIONS(2637),
    [anon_sym_thread_local] = ACTIONS(2637),
    [anon_sym___thread] = ACTIONS(2637),
    [anon_sym_const] = ACTIONS(2637),
    [anon_sym_constexpr] = ACTIONS(2637),
    [anon_sym_volatile] = ACTIONS(2637),
    [anon_sym_restrict] = ACTIONS(2637),
    [anon_sym___restrict__] = ACTIONS(2637),
    [anon_sym__Atomic] = ACTIONS(2637),
    [anon_sym__Noreturn] = ACTIONS(2637),
    [anon_sym_noreturn] = ACTIONS(2637),
    [anon_sym_mutable] = ACTIONS(2637),
    [anon_sym_constinit] = ACTIONS(2637),
    [anon_sym_consteval] = ACTIONS(2637),
    [sym_primitive_type] = ACTIONS(2637),
    [anon_sym_enum] = ACTIONS(2637),
    [anon_sym_class] = ACTIONS(2637),
    [anon_sym_struct] = ACTIONS(2637),
    [anon_sym_union] = ACTIONS(2637),
    [anon_sym_if] = ACTIONS(2637),
    [anon_sym_switch] = ACTIONS(2637),
    [anon_sym_case] = ACTIONS(2637),
    [anon_sym_default] = ACTIONS(2637),
    [anon_sym_while] = ACTIONS(2637),
    [anon_sym_do] = ACTIONS(2637),
    [anon_sym_for] = ACTIONS(2637),
    [anon_sym_return] = ACTIONS(2637),
    [anon_sym_break] = ACTIONS(2637),
    [anon_sym_continue] = ACTIONS(2637),
    [anon_sym_goto] = ACTIONS(2637),
    [anon_sym___try] = ACTIONS(2637),
    [anon_sym___leave] = ACTIONS(2637),
    [anon_sym_not] = ACTIONS(2637),
    [anon_sym_compl] = ACTIONS(2637),
    [anon_sym_DASH_DASH] = ACTIONS(2639),
    [anon_sym_PLUS_PLUS] = ACTIONS(2639),
    [anon_sym_sizeof] = ACTIONS(2637),
    [anon_sym___alignof__] = ACTIONS(2637),
    [anon_sym___alignof] = ACTIONS(2637),
    [anon_sym__alignof] = ACTIONS(2637),
    [anon_sym_alignof] = ACTIONS(2637),
    [anon_sym__Alignof] = ACTIONS(2637),
    [anon_sym_offsetof] = ACTIONS(2637),
    [anon_sym__Generic] = ACTIONS(2637),
    [anon_sym_asm] = ACTIONS(2637),
    [anon_sym___asm__] = ACTIONS(2637),
    [sym_number_literal] = ACTIONS(2639),
    [anon_sym_L_SQUOTE] = ACTIONS(2639),
    [anon_sym_u_SQUOTE] = ACTIONS(2639),
    [anon_sym_U_SQUOTE] = ACTIONS(2639),
    [anon_sym_u8_SQUOTE] = ACTIONS(2639),
    [anon_sym_SQUOTE] = ACTIONS(2639),
    [anon_sym_L_DQUOTE] = ACTIONS(2639),
    [anon_sym_u_DQUOTE] = ACTIONS(2639),
    [anon_sym_U_DQUOTE] = ACTIONS(2639),
    [anon_sym_u8_DQUOTE] = ACTIONS(2639),
    [anon_sym_DQUOTE] = ACTIONS(2639),
    [sym_true] = ACTIONS(2637),
    [sym_false] = ACTIONS(2637),
    [anon_sym_NULL] = ACTIONS(2637),
    [anon_sym_nullptr] = ACTIONS(2637),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2637),
    [anon_sym_decltype] = ACTIONS(2637),
    [anon_sym_virtual] = ACTIONS(2637),
    [anon_sym_alignas] = ACTIONS(2637),
    [anon_sym_explicit] = ACTIONS(2637),
    [anon_sym_typename] = ACTIONS(2637),
    [anon_sym_template] = ACTIONS(2637),
    [anon_sym_operator] = ACTIONS(2637),
    [anon_sym_try] = ACTIONS(2637),
    [anon_sym_delete] = ACTIONS(2637),
    [anon_sym_throw] = ACTIONS(2637),
    [anon_sym_namespace] = ACTIONS(2637),
    [anon_sym_using] = ACTIONS(2637),
    [anon_sym_static_assert] = ACTIONS(2637),
    [anon_sym_concept] = ACTIONS(2637),
    [anon_sym_co_return] = ACTIONS(2637),
    [anon_sym_co_yield] = ACTIONS(2637),
    [anon_sym_R_DQUOTE] = ACTIONS(2639),
    [anon_sym_LR_DQUOTE] = ACTIONS(2639),
    [anon_sym_uR_DQUOTE] = ACTIONS(2639),
    [anon_sym_UR_DQUOTE] = ACTIONS(2639),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2639),
    [anon_sym_co_await] = ACTIONS(2637),
    [anon_sym_new] = ACTIONS(2637),
    [anon_sym_requires] = ACTIONS(2637),
    [sym_this] = ACTIONS(2637),
    [anon_sym_discard] = ACTIONS(2637),
    [anon_sym_precise] = ACTIONS(2637),
    [anon_sym_shared] = ACTIONS(2637),
    [anon_sym_groupshared] = ACTIONS(2637),
    [anon_sym_uniform] = ACTIONS(2637),
    [anon_sym_row_major] = ACTIONS(2637),
    [anon_sym_column_major] = ACTIONS(2637),
    [anon_sym_globallycoherent] = ACTIONS(2637),
    [anon_sym_centroid] = ACTIONS(2637),
    [anon_sym_noperspective] = ACTIONS(2637),
    [anon_sym_nointerpolation] = ACTIONS(2637),
    [anon_sym_sample] = ACTIONS(2637),
    [anon_sym_linear] = ACTIONS(2637),
    [anon_sym_snorm] = ACTIONS(2637),
    [anon_sym_unorm] = ACTIONS(2637),
    [anon_sym_point] = ACTIONS(2637),
    [anon_sym_line] = ACTIONS(2637),
    [anon_sym_triangleadj] = ACTIONS(2637),
    [anon_sym_lineadj] = ACTIONS(2637),
    [anon_sym_triangle] = ACTIONS(2637),
    [anon_sym_cbuffer] = ACTIONS(2637),
  },
  [1099] = {
    [sym_identifier] = ACTIONS(2853),
    [aux_sym_preproc_include_token1] = ACTIONS(2853),
    [aux_sym_preproc_def_token1] = ACTIONS(2853),
    [aux_sym_preproc_if_token1] = ACTIONS(2853),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2853),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2853),
    [sym_preproc_directive] = ACTIONS(2853),
    [anon_sym_LPAREN2] = ACTIONS(2855),
    [anon_sym_BANG] = ACTIONS(2855),
    [anon_sym_TILDE] = ACTIONS(2855),
    [anon_sym_DASH] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(2853),
    [anon_sym_STAR] = ACTIONS(2855),
    [anon_sym_AMP_AMP] = ACTIONS(2855),
    [anon_sym_AMP] = ACTIONS(2853),
    [anon_sym_SEMI] = ACTIONS(2855),
    [anon_sym___extension__] = ACTIONS(2853),
    [anon_sym_typedef] = ACTIONS(2853),
    [anon_sym_in] = ACTIONS(2853),
    [anon_sym_out] = ACTIONS(2853),
    [anon_sym_inout] = ACTIONS(2853),
    [anon_sym_extern] = ACTIONS(2853),
    [anon_sym___attribute__] = ACTIONS(2853),
    [anon_sym_COLON_COLON] = ACTIONS(2855),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2855),
    [anon_sym___declspec] = ACTIONS(2853),
    [anon_sym___based] = ACTIONS(2853),
    [anon_sym___cdecl] = ACTIONS(2853),
    [anon_sym___clrcall] = ACTIONS(2853),
    [anon_sym___stdcall] = ACTIONS(2853),
    [anon_sym___fastcall] = ACTIONS(2853),
    [anon_sym___thiscall] = ACTIONS(2853),
    [anon_sym___vectorcall] = ACTIONS(2853),
    [anon_sym_LBRACE] = ACTIONS(2855),
    [anon_sym_RBRACE] = ACTIONS(2855),
    [anon_sym_signed] = ACTIONS(2853),
    [anon_sym_unsigned] = ACTIONS(2853),
    [anon_sym_long] = ACTIONS(2853),
    [anon_sym_short] = ACTIONS(2853),
    [anon_sym_LBRACK] = ACTIONS(2853),
    [anon_sym_static] = ACTIONS(2853),
    [anon_sym_register] = ACTIONS(2853),
    [anon_sym_inline] = ACTIONS(2853),
    [anon_sym___inline] = ACTIONS(2853),
    [anon_sym___inline__] = ACTIONS(2853),
    [anon_sym___forceinline] = ACTIONS(2853),
    [anon_sym_thread_local] = ACTIONS(2853),
    [anon_sym___thread] = ACTIONS(2853),
    [anon_sym_const] = ACTIONS(2853),
    [anon_sym_constexpr] = ACTIONS(2853),
    [anon_sym_volatile] = ACTIONS(2853),
    [anon_sym_restrict] = ACTIONS(2853),
    [anon_sym___restrict__] = ACTIONS(2853),
    [anon_sym__Atomic] = ACTIONS(2853),
    [anon_sym__Noreturn] = ACTIONS(2853),
    [anon_sym_noreturn] = ACTIONS(2853),
    [anon_sym_mutable] = ACTIONS(2853),
    [anon_sym_constinit] = ACTIONS(2853),
    [anon_sym_consteval] = ACTIONS(2853),
    [sym_primitive_type] = ACTIONS(2853),
    [anon_sym_enum] = ACTIONS(2853),
    [anon_sym_class] = ACTIONS(2853),
    [anon_sym_struct] = ACTIONS(2853),
    [anon_sym_union] = ACTIONS(2853),
    [anon_sym_if] = ACTIONS(2853),
    [anon_sym_switch] = ACTIONS(2853),
    [anon_sym_case] = ACTIONS(2853),
    [anon_sym_default] = ACTIONS(2853),
    [anon_sym_while] = ACTIONS(2853),
    [anon_sym_do] = ACTIONS(2853),
    [anon_sym_for] = ACTIONS(2853),
    [anon_sym_return] = ACTIONS(2853),
    [anon_sym_break] = ACTIONS(2853),
    [anon_sym_continue] = ACTIONS(2853),
    [anon_sym_goto] = ACTIONS(2853),
    [anon_sym___try] = ACTIONS(2853),
    [anon_sym___leave] = ACTIONS(2853),
    [anon_sym_not] = ACTIONS(2853),
    [anon_sym_compl] = ACTIONS(2853),
    [anon_sym_DASH_DASH] = ACTIONS(2855),
    [anon_sym_PLUS_PLUS] = ACTIONS(2855),
    [anon_sym_sizeof] = ACTIONS(2853),
    [anon_sym___alignof__] = ACTIONS(2853),
    [anon_sym___alignof] = ACTIONS(2853),
    [anon_sym__alignof] = ACTIONS(2853),
    [anon_sym_alignof] = ACTIONS(2853),
    [anon_sym__Alignof] = ACTIONS(2853),
    [anon_sym_offsetof] = ACTIONS(2853),
    [anon_sym__Generic] = ACTIONS(2853),
    [anon_sym_asm] = ACTIONS(2853),
    [anon_sym___asm__] = ACTIONS(2853),
    [sym_number_literal] = ACTIONS(2855),
    [anon_sym_L_SQUOTE] = ACTIONS(2855),
    [anon_sym_u_SQUOTE] = ACTIONS(2855),
    [anon_sym_U_SQUOTE] = ACTIONS(2855),
    [anon_sym_u8_SQUOTE] = ACTIONS(2855),
    [anon_sym_SQUOTE] = ACTIONS(2855),
    [anon_sym_L_DQUOTE] = ACTIONS(2855),
    [anon_sym_u_DQUOTE] = ACTIONS(2855),
    [anon_sym_U_DQUOTE] = ACTIONS(2855),
    [anon_sym_u8_DQUOTE] = ACTIONS(2855),
    [anon_sym_DQUOTE] = ACTIONS(2855),
    [sym_true] = ACTIONS(2853),
    [sym_false] = ACTIONS(2853),
    [anon_sym_NULL] = ACTIONS(2853),
    [anon_sym_nullptr] = ACTIONS(2853),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2853),
    [anon_sym_decltype] = ACTIONS(2853),
    [anon_sym_virtual] = ACTIONS(2853),
    [anon_sym_alignas] = ACTIONS(2853),
    [anon_sym_explicit] = ACTIONS(2853),
    [anon_sym_typename] = ACTIONS(2853),
    [anon_sym_template] = ACTIONS(2853),
    [anon_sym_operator] = ACTIONS(2853),
    [anon_sym_try] = ACTIONS(2853),
    [anon_sym_delete] = ACTIONS(2853),
    [anon_sym_throw] = ACTIONS(2853),
    [anon_sym_namespace] = ACTIONS(2853),
    [anon_sym_using] = ACTIONS(2853),
    [anon_sym_static_assert] = ACTIONS(2853),
    [anon_sym_concept] = ACTIONS(2853),
    [anon_sym_co_return] = ACTIONS(2853),
    [anon_sym_co_yield] = ACTIONS(2853),
    [anon_sym_R_DQUOTE] = ACTIONS(2855),
    [anon_sym_LR_DQUOTE] = ACTIONS(2855),
    [anon_sym_uR_DQUOTE] = ACTIONS(2855),
    [anon_sym_UR_DQUOTE] = ACTIONS(2855),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2855),
    [anon_sym_co_await] = ACTIONS(2853),
    [anon_sym_new] = ACTIONS(2853),
    [anon_sym_requires] = ACTIONS(2853),
    [sym_this] = ACTIONS(2853),
    [anon_sym_discard] = ACTIONS(2853),
    [anon_sym_precise] = ACTIONS(2853),
    [anon_sym_shared] = ACTIONS(2853),
    [anon_sym_groupshared] = ACTIONS(2853),
    [anon_sym_uniform] = ACTIONS(2853),
    [anon_sym_row_major] = ACTIONS(2853),
    [anon_sym_column_major] = ACTIONS(2853),
    [anon_sym_globallycoherent] = ACTIONS(2853),
    [anon_sym_centroid] = ACTIONS(2853),
    [anon_sym_noperspective] = ACTIONS(2853),
    [anon_sym_nointerpolation] = ACTIONS(2853),
    [anon_sym_sample] = ACTIONS(2853),
    [anon_sym_linear] = ACTIONS(2853),
    [anon_sym_snorm] = ACTIONS(2853),
    [anon_sym_unorm] = ACTIONS(2853),
    [anon_sym_point] = ACTIONS(2853),
    [anon_sym_line] = ACTIONS(2853),
    [anon_sym_triangleadj] = ACTIONS(2853),
    [anon_sym_lineadj] = ACTIONS(2853),
    [anon_sym_triangle] = ACTIONS(2853),
    [anon_sym_cbuffer] = ACTIONS(2853),
  },
  [1100] = {
    [sym_identifier] = ACTIONS(2520),
    [aux_sym_preproc_include_token1] = ACTIONS(2520),
    [aux_sym_preproc_def_token1] = ACTIONS(2520),
    [aux_sym_preproc_if_token1] = ACTIONS(2520),
    [aux_sym_preproc_if_token2] = ACTIONS(2520),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2520),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2520),
    [sym_preproc_directive] = ACTIONS(2520),
    [anon_sym_LPAREN2] = ACTIONS(2522),
    [anon_sym_BANG] = ACTIONS(2522),
    [anon_sym_TILDE] = ACTIONS(2522),
    [anon_sym_DASH] = ACTIONS(2520),
    [anon_sym_PLUS] = ACTIONS(2520),
    [anon_sym_STAR] = ACTIONS(2522),
    [anon_sym_AMP_AMP] = ACTIONS(2522),
    [anon_sym_AMP] = ACTIONS(2520),
    [anon_sym_SEMI] = ACTIONS(2522),
    [anon_sym___extension__] = ACTIONS(2520),
    [anon_sym_typedef] = ACTIONS(2520),
    [anon_sym_in] = ACTIONS(2520),
    [anon_sym_out] = ACTIONS(2520),
    [anon_sym_inout] = ACTIONS(2520),
    [anon_sym_extern] = ACTIONS(2520),
    [anon_sym___attribute__] = ACTIONS(2520),
    [anon_sym_COLON_COLON] = ACTIONS(2522),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2522),
    [anon_sym___declspec] = ACTIONS(2520),
    [anon_sym___based] = ACTIONS(2520),
    [anon_sym___cdecl] = ACTIONS(2520),
    [anon_sym___clrcall] = ACTIONS(2520),
    [anon_sym___stdcall] = ACTIONS(2520),
    [anon_sym___fastcall] = ACTIONS(2520),
    [anon_sym___thiscall] = ACTIONS(2520),
    [anon_sym___vectorcall] = ACTIONS(2520),
    [anon_sym_LBRACE] = ACTIONS(2522),
    [anon_sym_signed] = ACTIONS(2520),
    [anon_sym_unsigned] = ACTIONS(2520),
    [anon_sym_long] = ACTIONS(2520),
    [anon_sym_short] = ACTIONS(2520),
    [anon_sym_LBRACK] = ACTIONS(2520),
    [anon_sym_static] = ACTIONS(2520),
    [anon_sym_register] = ACTIONS(2520),
    [anon_sym_inline] = ACTIONS(2520),
    [anon_sym___inline] = ACTIONS(2520),
    [anon_sym___inline__] = ACTIONS(2520),
    [anon_sym___forceinline] = ACTIONS(2520),
    [anon_sym_thread_local] = ACTIONS(2520),
    [anon_sym___thread] = ACTIONS(2520),
    [anon_sym_const] = ACTIONS(2520),
    [anon_sym_constexpr] = ACTIONS(2520),
    [anon_sym_volatile] = ACTIONS(2520),
    [anon_sym_restrict] = ACTIONS(2520),
    [anon_sym___restrict__] = ACTIONS(2520),
    [anon_sym__Atomic] = ACTIONS(2520),
    [anon_sym__Noreturn] = ACTIONS(2520),
    [anon_sym_noreturn] = ACTIONS(2520),
    [anon_sym_mutable] = ACTIONS(2520),
    [anon_sym_constinit] = ACTIONS(2520),
    [anon_sym_consteval] = ACTIONS(2520),
    [sym_primitive_type] = ACTIONS(2520),
    [anon_sym_enum] = ACTIONS(2520),
    [anon_sym_class] = ACTIONS(2520),
    [anon_sym_struct] = ACTIONS(2520),
    [anon_sym_union] = ACTIONS(2520),
    [anon_sym_if] = ACTIONS(2520),
    [anon_sym_switch] = ACTIONS(2520),
    [anon_sym_case] = ACTIONS(2520),
    [anon_sym_default] = ACTIONS(2520),
    [anon_sym_while] = ACTIONS(2520),
    [anon_sym_do] = ACTIONS(2520),
    [anon_sym_for] = ACTIONS(2520),
    [anon_sym_return] = ACTIONS(2520),
    [anon_sym_break] = ACTIONS(2520),
    [anon_sym_continue] = ACTIONS(2520),
    [anon_sym_goto] = ACTIONS(2520),
    [anon_sym___try] = ACTIONS(2520),
    [anon_sym___leave] = ACTIONS(2520),
    [anon_sym_not] = ACTIONS(2520),
    [anon_sym_compl] = ACTIONS(2520),
    [anon_sym_DASH_DASH] = ACTIONS(2522),
    [anon_sym_PLUS_PLUS] = ACTIONS(2522),
    [anon_sym_sizeof] = ACTIONS(2520),
    [anon_sym___alignof__] = ACTIONS(2520),
    [anon_sym___alignof] = ACTIONS(2520),
    [anon_sym__alignof] = ACTIONS(2520),
    [anon_sym_alignof] = ACTIONS(2520),
    [anon_sym__Alignof] = ACTIONS(2520),
    [anon_sym_offsetof] = ACTIONS(2520),
    [anon_sym__Generic] = ACTIONS(2520),
    [anon_sym_asm] = ACTIONS(2520),
    [anon_sym___asm__] = ACTIONS(2520),
    [sym_number_literal] = ACTIONS(2522),
    [anon_sym_L_SQUOTE] = ACTIONS(2522),
    [anon_sym_u_SQUOTE] = ACTIONS(2522),
    [anon_sym_U_SQUOTE] = ACTIONS(2522),
    [anon_sym_u8_SQUOTE] = ACTIONS(2522),
    [anon_sym_SQUOTE] = ACTIONS(2522),
    [anon_sym_L_DQUOTE] = ACTIONS(2522),
    [anon_sym_u_DQUOTE] = ACTIONS(2522),
    [anon_sym_U_DQUOTE] = ACTIONS(2522),
    [anon_sym_u8_DQUOTE] = ACTIONS(2522),
    [anon_sym_DQUOTE] = ACTIONS(2522),
    [sym_true] = ACTIONS(2520),
    [sym_false] = ACTIONS(2520),
    [anon_sym_NULL] = ACTIONS(2520),
    [anon_sym_nullptr] = ACTIONS(2520),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2520),
    [anon_sym_decltype] = ACTIONS(2520),
    [anon_sym_virtual] = ACTIONS(2520),
    [anon_sym_alignas] = ACTIONS(2520),
    [anon_sym_explicit] = ACTIONS(2520),
    [anon_sym_typename] = ACTIONS(2520),
    [anon_sym_template] = ACTIONS(2520),
    [anon_sym_operator] = ACTIONS(2520),
    [anon_sym_try] = ACTIONS(2520),
    [anon_sym_delete] = ACTIONS(2520),
    [anon_sym_throw] = ACTIONS(2520),
    [anon_sym_namespace] = ACTIONS(2520),
    [anon_sym_using] = ACTIONS(2520),
    [anon_sym_static_assert] = ACTIONS(2520),
    [anon_sym_concept] = ACTIONS(2520),
    [anon_sym_co_return] = ACTIONS(2520),
    [anon_sym_co_yield] = ACTIONS(2520),
    [anon_sym_R_DQUOTE] = ACTIONS(2522),
    [anon_sym_LR_DQUOTE] = ACTIONS(2522),
    [anon_sym_uR_DQUOTE] = ACTIONS(2522),
    [anon_sym_UR_DQUOTE] = ACTIONS(2522),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2522),
    [anon_sym_co_await] = ACTIONS(2520),
    [anon_sym_new] = ACTIONS(2520),
    [anon_sym_requires] = ACTIONS(2520),
    [sym_this] = ACTIONS(2520),
    [anon_sym_discard] = ACTIONS(2520),
    [anon_sym_precise] = ACTIONS(2520),
    [anon_sym_shared] = ACTIONS(2520),
    [anon_sym_groupshared] = ACTIONS(2520),
    [anon_sym_uniform] = ACTIONS(2520),
    [anon_sym_row_major] = ACTIONS(2520),
    [anon_sym_column_major] = ACTIONS(2520),
    [anon_sym_globallycoherent] = ACTIONS(2520),
    [anon_sym_centroid] = ACTIONS(2520),
    [anon_sym_noperspective] = ACTIONS(2520),
    [anon_sym_nointerpolation] = ACTIONS(2520),
    [anon_sym_sample] = ACTIONS(2520),
    [anon_sym_linear] = ACTIONS(2520),
    [anon_sym_snorm] = ACTIONS(2520),
    [anon_sym_unorm] = ACTIONS(2520),
    [anon_sym_point] = ACTIONS(2520),
    [anon_sym_line] = ACTIONS(2520),
    [anon_sym_triangleadj] = ACTIONS(2520),
    [anon_sym_lineadj] = ACTIONS(2520),
    [anon_sym_triangle] = ACTIONS(2520),
    [anon_sym_cbuffer] = ACTIONS(2520),
  },
  [1101] = {
    [sym_identifier] = ACTIONS(2520),
    [aux_sym_preproc_include_token1] = ACTIONS(2520),
    [aux_sym_preproc_def_token1] = ACTIONS(2520),
    [aux_sym_preproc_if_token1] = ACTIONS(2520),
    [aux_sym_preproc_if_token2] = ACTIONS(2520),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2520),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2520),
    [sym_preproc_directive] = ACTIONS(2520),
    [anon_sym_LPAREN2] = ACTIONS(2522),
    [anon_sym_BANG] = ACTIONS(2522),
    [anon_sym_TILDE] = ACTIONS(2522),
    [anon_sym_DASH] = ACTIONS(2520),
    [anon_sym_PLUS] = ACTIONS(2520),
    [anon_sym_STAR] = ACTIONS(2522),
    [anon_sym_AMP_AMP] = ACTIONS(2522),
    [anon_sym_AMP] = ACTIONS(2520),
    [anon_sym_SEMI] = ACTIONS(2522),
    [anon_sym___extension__] = ACTIONS(2520),
    [anon_sym_typedef] = ACTIONS(2520),
    [anon_sym_in] = ACTIONS(2520),
    [anon_sym_out] = ACTIONS(2520),
    [anon_sym_inout] = ACTIONS(2520),
    [anon_sym_extern] = ACTIONS(2520),
    [anon_sym___attribute__] = ACTIONS(2520),
    [anon_sym_COLON_COLON] = ACTIONS(2522),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2522),
    [anon_sym___declspec] = ACTIONS(2520),
    [anon_sym___based] = ACTIONS(2520),
    [anon_sym___cdecl] = ACTIONS(2520),
    [anon_sym___clrcall] = ACTIONS(2520),
    [anon_sym___stdcall] = ACTIONS(2520),
    [anon_sym___fastcall] = ACTIONS(2520),
    [anon_sym___thiscall] = ACTIONS(2520),
    [anon_sym___vectorcall] = ACTIONS(2520),
    [anon_sym_LBRACE] = ACTIONS(2522),
    [anon_sym_signed] = ACTIONS(2520),
    [anon_sym_unsigned] = ACTIONS(2520),
    [anon_sym_long] = ACTIONS(2520),
    [anon_sym_short] = ACTIONS(2520),
    [anon_sym_LBRACK] = ACTIONS(2520),
    [anon_sym_static] = ACTIONS(2520),
    [anon_sym_register] = ACTIONS(2520),
    [anon_sym_inline] = ACTIONS(2520),
    [anon_sym___inline] = ACTIONS(2520),
    [anon_sym___inline__] = ACTIONS(2520),
    [anon_sym___forceinline] = ACTIONS(2520),
    [anon_sym_thread_local] = ACTIONS(2520),
    [anon_sym___thread] = ACTIONS(2520),
    [anon_sym_const] = ACTIONS(2520),
    [anon_sym_constexpr] = ACTIONS(2520),
    [anon_sym_volatile] = ACTIONS(2520),
    [anon_sym_restrict] = ACTIONS(2520),
    [anon_sym___restrict__] = ACTIONS(2520),
    [anon_sym__Atomic] = ACTIONS(2520),
    [anon_sym__Noreturn] = ACTIONS(2520),
    [anon_sym_noreturn] = ACTIONS(2520),
    [anon_sym_mutable] = ACTIONS(2520),
    [anon_sym_constinit] = ACTIONS(2520),
    [anon_sym_consteval] = ACTIONS(2520),
    [sym_primitive_type] = ACTIONS(2520),
    [anon_sym_enum] = ACTIONS(2520),
    [anon_sym_class] = ACTIONS(2520),
    [anon_sym_struct] = ACTIONS(2520),
    [anon_sym_union] = ACTIONS(2520),
    [anon_sym_if] = ACTIONS(2520),
    [anon_sym_switch] = ACTIONS(2520),
    [anon_sym_case] = ACTIONS(2520),
    [anon_sym_default] = ACTIONS(2520),
    [anon_sym_while] = ACTIONS(2520),
    [anon_sym_do] = ACTIONS(2520),
    [anon_sym_for] = ACTIONS(2520),
    [anon_sym_return] = ACTIONS(2520),
    [anon_sym_break] = ACTIONS(2520),
    [anon_sym_continue] = ACTIONS(2520),
    [anon_sym_goto] = ACTIONS(2520),
    [anon_sym___try] = ACTIONS(2520),
    [anon_sym___leave] = ACTIONS(2520),
    [anon_sym_not] = ACTIONS(2520),
    [anon_sym_compl] = ACTIONS(2520),
    [anon_sym_DASH_DASH] = ACTIONS(2522),
    [anon_sym_PLUS_PLUS] = ACTIONS(2522),
    [anon_sym_sizeof] = ACTIONS(2520),
    [anon_sym___alignof__] = ACTIONS(2520),
    [anon_sym___alignof] = ACTIONS(2520),
    [anon_sym__alignof] = ACTIONS(2520),
    [anon_sym_alignof] = ACTIONS(2520),
    [anon_sym__Alignof] = ACTIONS(2520),
    [anon_sym_offsetof] = ACTIONS(2520),
    [anon_sym__Generic] = ACTIONS(2520),
    [anon_sym_asm] = ACTIONS(2520),
    [anon_sym___asm__] = ACTIONS(2520),
    [sym_number_literal] = ACTIONS(2522),
    [anon_sym_L_SQUOTE] = ACTIONS(2522),
    [anon_sym_u_SQUOTE] = ACTIONS(2522),
    [anon_sym_U_SQUOTE] = ACTIONS(2522),
    [anon_sym_u8_SQUOTE] = ACTIONS(2522),
    [anon_sym_SQUOTE] = ACTIONS(2522),
    [anon_sym_L_DQUOTE] = ACTIONS(2522),
    [anon_sym_u_DQUOTE] = ACTIONS(2522),
    [anon_sym_U_DQUOTE] = ACTIONS(2522),
    [anon_sym_u8_DQUOTE] = ACTIONS(2522),
    [anon_sym_DQUOTE] = ACTIONS(2522),
    [sym_true] = ACTIONS(2520),
    [sym_false] = ACTIONS(2520),
    [anon_sym_NULL] = ACTIONS(2520),
    [anon_sym_nullptr] = ACTIONS(2520),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2520),
    [anon_sym_decltype] = ACTIONS(2520),
    [anon_sym_virtual] = ACTIONS(2520),
    [anon_sym_alignas] = ACTIONS(2520),
    [anon_sym_explicit] = ACTIONS(2520),
    [anon_sym_typename] = ACTIONS(2520),
    [anon_sym_template] = ACTIONS(2520),
    [anon_sym_operator] = ACTIONS(2520),
    [anon_sym_try] = ACTIONS(2520),
    [anon_sym_delete] = ACTIONS(2520),
    [anon_sym_throw] = ACTIONS(2520),
    [anon_sym_namespace] = ACTIONS(2520),
    [anon_sym_using] = ACTIONS(2520),
    [anon_sym_static_assert] = ACTIONS(2520),
    [anon_sym_concept] = ACTIONS(2520),
    [anon_sym_co_return] = ACTIONS(2520),
    [anon_sym_co_yield] = ACTIONS(2520),
    [anon_sym_R_DQUOTE] = ACTIONS(2522),
    [anon_sym_LR_DQUOTE] = ACTIONS(2522),
    [anon_sym_uR_DQUOTE] = ACTIONS(2522),
    [anon_sym_UR_DQUOTE] = ACTIONS(2522),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2522),
    [anon_sym_co_await] = ACTIONS(2520),
    [anon_sym_new] = ACTIONS(2520),
    [anon_sym_requires] = ACTIONS(2520),
    [sym_this] = ACTIONS(2520),
    [anon_sym_discard] = ACTIONS(2520),
    [anon_sym_precise] = ACTIONS(2520),
    [anon_sym_shared] = ACTIONS(2520),
    [anon_sym_groupshared] = ACTIONS(2520),
    [anon_sym_uniform] = ACTIONS(2520),
    [anon_sym_row_major] = ACTIONS(2520),
    [anon_sym_column_major] = ACTIONS(2520),
    [anon_sym_globallycoherent] = ACTIONS(2520),
    [anon_sym_centroid] = ACTIONS(2520),
    [anon_sym_noperspective] = ACTIONS(2520),
    [anon_sym_nointerpolation] = ACTIONS(2520),
    [anon_sym_sample] = ACTIONS(2520),
    [anon_sym_linear] = ACTIONS(2520),
    [anon_sym_snorm] = ACTIONS(2520),
    [anon_sym_unorm] = ACTIONS(2520),
    [anon_sym_point] = ACTIONS(2520),
    [anon_sym_line] = ACTIONS(2520),
    [anon_sym_triangleadj] = ACTIONS(2520),
    [anon_sym_lineadj] = ACTIONS(2520),
    [anon_sym_triangle] = ACTIONS(2520),
    [anon_sym_cbuffer] = ACTIONS(2520),
  },
  [1102] = {
    [sym_preproc_def] = STATE(1102),
    [sym_preproc_function_def] = STATE(1102),
    [sym_preproc_call] = STATE(1102),
    [sym_preproc_if_in_field_declaration_list] = STATE(1102),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(1102),
    [sym_type_definition] = STATE(1102),
    [sym__declaration_modifiers] = STATE(3159),
    [sym__declaration_specifiers] = STATE(6906),
    [sym_attribute_specifier] = STATE(3159),
    [sym_attribute_declaration] = STATE(3159),
    [sym_ms_declspec_modifier] = STATE(3159),
    [sym_ms_based_modifier] = STATE(10332),
    [sym__declarator] = STATE(7978),
    [sym_parenthesized_declarator] = STATE(7680),
    [sym_attributed_declarator] = STATE(7680),
    [sym_pointer_declarator] = STATE(7680),
    [sym_function_declarator] = STATE(7506),
    [sym_array_declarator] = STATE(7680),
    [sym_storage_class_specifier] = STATE(3159),
    [sym_type_qualifier] = STATE(3159),
    [sym__type_specifier] = STATE(2827),
    [sym_sized_type_specifier] = STATE(3085),
    [sym_enum_specifier] = STATE(3085),
    [sym_struct_specifier] = STATE(3085),
    [sym_union_specifier] = STATE(3085),
    [sym__field_declaration_list_item] = STATE(1102),
    [sym_field_declaration] = STATE(1102),
    [sym_placeholder_type_specifier] = STATE(3085),
    [sym_decltype_auto] = STATE(3091),
    [sym_decltype] = STATE(3050),
    [sym_class_specifier] = STATE(3085),
    [sym_virtual] = STATE(3159),
    [sym_alignas_specifier] = STATE(3159),
    [sym_explicit_function_specifier] = STATE(2515),
    [sym_dependent_type] = STATE(3085),
    [sym_template_declaration] = STATE(1102),
    [sym_operator_cast] = STATE(8047),
    [sym_inline_method_definition] = STATE(1102),
    [sym__constructor_specifiers] = STATE(2515),
    [sym_operator_cast_definition] = STATE(1102),
    [sym_operator_cast_declaration] = STATE(1102),
    [sym_constructor_or_destructor_definition] = STATE(1102),
    [sym_constructor_or_destructor_declaration] = STATE(1102),
    [sym_friend_declaration] = STATE(1102),
    [sym_access_specifier] = STATE(9869),
    [sym_reference_declarator] = STATE(7680),
    [sym_structured_binding_declarator] = STATE(7680),
    [sym_template_type] = STATE(3050),
    [sym_template_function] = STATE(7680),
    [sym_using_declaration] = STATE(1102),
    [sym_alias_declaration] = STATE(1102),
    [sym_static_assert_declaration] = STATE(1102),
    [sym_destructor_name] = STATE(7680),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6733),
    [sym_qualified_identifier] = STATE(7680),
    [sym_qualified_type_identifier] = STATE(3068),
    [sym_qualified_operator_cast_identifier] = STATE(8047),
    [sym_operator_name] = STATE(7680),
    [sym_qualifiers] = STATE(3159),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(1102),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2680),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3021),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2515),
    [sym_identifier] = ACTIONS(3014),
    [aux_sym_preproc_def_token1] = ACTIONS(3017),
    [aux_sym_preproc_if_token1] = ACTIONS(3020),
    [aux_sym_preproc_if_token2] = ACTIONS(3023),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3025),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3025),
    [aux_sym_preproc_else_token1] = ACTIONS(3023),
    [aux_sym_preproc_elif_token1] = ACTIONS(3023),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3023),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3023),
    [sym_preproc_directive] = ACTIONS(3028),
    [anon_sym_LPAREN2] = ACTIONS(3031),
    [anon_sym_TILDE] = ACTIONS(3034),
    [anon_sym_STAR] = ACTIONS(3037),
    [anon_sym_AMP_AMP] = ACTIONS(3040),
    [anon_sym_AMP] = ACTIONS(3043),
    [anon_sym___extension__] = ACTIONS(3046),
    [anon_sym_typedef] = ACTIONS(3049),
    [anon_sym_in] = ACTIONS(3052),
    [anon_sym_out] = ACTIONS(3052),
    [anon_sym_inout] = ACTIONS(3052),
    [anon_sym_extern] = ACTIONS(3055),
    [anon_sym___attribute__] = ACTIONS(3058),
    [anon_sym_COLON_COLON] = ACTIONS(3061),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3064),
    [anon_sym___declspec] = ACTIONS(3067),
    [anon_sym___based] = ACTIONS(3070),
    [anon_sym_signed] = ACTIONS(3073),
    [anon_sym_unsigned] = ACTIONS(3073),
    [anon_sym_long] = ACTIONS(3073),
    [anon_sym_short] = ACTIONS(3073),
    [anon_sym_LBRACK] = ACTIONS(3076),
    [anon_sym_static] = ACTIONS(3055),
    [anon_sym_register] = ACTIONS(3055),
    [anon_sym_inline] = ACTIONS(3055),
    [anon_sym___inline] = ACTIONS(3055),
    [anon_sym___inline__] = ACTIONS(3055),
    [anon_sym___forceinline] = ACTIONS(3055),
    [anon_sym_thread_local] = ACTIONS(3055),
    [anon_sym___thread] = ACTIONS(3055),
    [anon_sym_const] = ACTIONS(3079),
    [anon_sym_constexpr] = ACTIONS(3079),
    [anon_sym_volatile] = ACTIONS(3079),
    [anon_sym_restrict] = ACTIONS(3079),
    [anon_sym___restrict__] = ACTIONS(3079),
    [anon_sym__Atomic] = ACTIONS(3079),
    [anon_sym__Noreturn] = ACTIONS(3079),
    [anon_sym_noreturn] = ACTIONS(3079),
    [anon_sym_mutable] = ACTIONS(3079),
    [anon_sym_constinit] = ACTIONS(3079),
    [anon_sym_consteval] = ACTIONS(3079),
    [sym_primitive_type] = ACTIONS(3082),
    [anon_sym_enum] = ACTIONS(3085),
    [anon_sym_class] = ACTIONS(3088),
    [anon_sym_struct] = ACTIONS(3091),
    [anon_sym_union] = ACTIONS(3094),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3097),
    [anon_sym_decltype] = ACTIONS(3100),
    [anon_sym_virtual] = ACTIONS(3103),
    [anon_sym_alignas] = ACTIONS(3106),
    [anon_sym_explicit] = ACTIONS(3109),
    [anon_sym_typename] = ACTIONS(3112),
    [anon_sym_template] = ACTIONS(3115),
    [anon_sym_operator] = ACTIONS(3118),
    [anon_sym_friend] = ACTIONS(3121),
    [anon_sym_public] = ACTIONS(3124),
    [anon_sym_private] = ACTIONS(3124),
    [anon_sym_protected] = ACTIONS(3124),
    [anon_sym_using] = ACTIONS(3127),
    [anon_sym_static_assert] = ACTIONS(3130),
    [anon_sym_precise] = ACTIONS(3133),
    [anon_sym_shared] = ACTIONS(3133),
    [anon_sym_groupshared] = ACTIONS(3133),
    [anon_sym_uniform] = ACTIONS(3133),
    [anon_sym_row_major] = ACTIONS(3133),
    [anon_sym_column_major] = ACTIONS(3133),
    [anon_sym_globallycoherent] = ACTIONS(3133),
    [anon_sym_centroid] = ACTIONS(3133),
    [anon_sym_noperspective] = ACTIONS(3133),
    [anon_sym_nointerpolation] = ACTIONS(3133),
    [anon_sym_sample] = ACTIONS(3133),
    [anon_sym_linear] = ACTIONS(3133),
    [anon_sym_snorm] = ACTIONS(3133),
    [anon_sym_unorm] = ACTIONS(3133),
    [anon_sym_point] = ACTIONS(3133),
    [anon_sym_line] = ACTIONS(3133),
    [anon_sym_triangleadj] = ACTIONS(3133),
    [anon_sym_lineadj] = ACTIONS(3133),
    [anon_sym_triangle] = ACTIONS(3133),
  },
  [1103] = {
    [sym_identifier] = ACTIONS(2604),
    [aux_sym_preproc_include_token1] = ACTIONS(2604),
    [aux_sym_preproc_def_token1] = ACTIONS(2604),
    [aux_sym_preproc_if_token1] = ACTIONS(2604),
    [aux_sym_preproc_if_token2] = ACTIONS(2604),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2604),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2604),
    [sym_preproc_directive] = ACTIONS(2604),
    [anon_sym_LPAREN2] = ACTIONS(2606),
    [anon_sym_BANG] = ACTIONS(2606),
    [anon_sym_TILDE] = ACTIONS(2606),
    [anon_sym_DASH] = ACTIONS(2604),
    [anon_sym_PLUS] = ACTIONS(2604),
    [anon_sym_STAR] = ACTIONS(2606),
    [anon_sym_AMP_AMP] = ACTIONS(2606),
    [anon_sym_AMP] = ACTIONS(2604),
    [anon_sym_SEMI] = ACTIONS(2606),
    [anon_sym___extension__] = ACTIONS(2604),
    [anon_sym_typedef] = ACTIONS(2604),
    [anon_sym_in] = ACTIONS(2604),
    [anon_sym_out] = ACTIONS(2604),
    [anon_sym_inout] = ACTIONS(2604),
    [anon_sym_extern] = ACTIONS(2604),
    [anon_sym___attribute__] = ACTIONS(2604),
    [anon_sym_COLON_COLON] = ACTIONS(2606),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2606),
    [anon_sym___declspec] = ACTIONS(2604),
    [anon_sym___based] = ACTIONS(2604),
    [anon_sym___cdecl] = ACTIONS(2604),
    [anon_sym___clrcall] = ACTIONS(2604),
    [anon_sym___stdcall] = ACTIONS(2604),
    [anon_sym___fastcall] = ACTIONS(2604),
    [anon_sym___thiscall] = ACTIONS(2604),
    [anon_sym___vectorcall] = ACTIONS(2604),
    [anon_sym_LBRACE] = ACTIONS(2606),
    [anon_sym_signed] = ACTIONS(2604),
    [anon_sym_unsigned] = ACTIONS(2604),
    [anon_sym_long] = ACTIONS(2604),
    [anon_sym_short] = ACTIONS(2604),
    [anon_sym_LBRACK] = ACTIONS(2604),
    [anon_sym_static] = ACTIONS(2604),
    [anon_sym_register] = ACTIONS(2604),
    [anon_sym_inline] = ACTIONS(2604),
    [anon_sym___inline] = ACTIONS(2604),
    [anon_sym___inline__] = ACTIONS(2604),
    [anon_sym___forceinline] = ACTIONS(2604),
    [anon_sym_thread_local] = ACTIONS(2604),
    [anon_sym___thread] = ACTIONS(2604),
    [anon_sym_const] = ACTIONS(2604),
    [anon_sym_constexpr] = ACTIONS(2604),
    [anon_sym_volatile] = ACTIONS(2604),
    [anon_sym_restrict] = ACTIONS(2604),
    [anon_sym___restrict__] = ACTIONS(2604),
    [anon_sym__Atomic] = ACTIONS(2604),
    [anon_sym__Noreturn] = ACTIONS(2604),
    [anon_sym_noreturn] = ACTIONS(2604),
    [anon_sym_mutable] = ACTIONS(2604),
    [anon_sym_constinit] = ACTIONS(2604),
    [anon_sym_consteval] = ACTIONS(2604),
    [sym_primitive_type] = ACTIONS(2604),
    [anon_sym_enum] = ACTIONS(2604),
    [anon_sym_class] = ACTIONS(2604),
    [anon_sym_struct] = ACTIONS(2604),
    [anon_sym_union] = ACTIONS(2604),
    [anon_sym_if] = ACTIONS(2604),
    [anon_sym_switch] = ACTIONS(2604),
    [anon_sym_case] = ACTIONS(2604),
    [anon_sym_default] = ACTIONS(2604),
    [anon_sym_while] = ACTIONS(2604),
    [anon_sym_do] = ACTIONS(2604),
    [anon_sym_for] = ACTIONS(2604),
    [anon_sym_return] = ACTIONS(2604),
    [anon_sym_break] = ACTIONS(2604),
    [anon_sym_continue] = ACTIONS(2604),
    [anon_sym_goto] = ACTIONS(2604),
    [anon_sym___try] = ACTIONS(2604),
    [anon_sym___leave] = ACTIONS(2604),
    [anon_sym_not] = ACTIONS(2604),
    [anon_sym_compl] = ACTIONS(2604),
    [anon_sym_DASH_DASH] = ACTIONS(2606),
    [anon_sym_PLUS_PLUS] = ACTIONS(2606),
    [anon_sym_sizeof] = ACTIONS(2604),
    [anon_sym___alignof__] = ACTIONS(2604),
    [anon_sym___alignof] = ACTIONS(2604),
    [anon_sym__alignof] = ACTIONS(2604),
    [anon_sym_alignof] = ACTIONS(2604),
    [anon_sym__Alignof] = ACTIONS(2604),
    [anon_sym_offsetof] = ACTIONS(2604),
    [anon_sym__Generic] = ACTIONS(2604),
    [anon_sym_asm] = ACTIONS(2604),
    [anon_sym___asm__] = ACTIONS(2604),
    [sym_number_literal] = ACTIONS(2606),
    [anon_sym_L_SQUOTE] = ACTIONS(2606),
    [anon_sym_u_SQUOTE] = ACTIONS(2606),
    [anon_sym_U_SQUOTE] = ACTIONS(2606),
    [anon_sym_u8_SQUOTE] = ACTIONS(2606),
    [anon_sym_SQUOTE] = ACTIONS(2606),
    [anon_sym_L_DQUOTE] = ACTIONS(2606),
    [anon_sym_u_DQUOTE] = ACTIONS(2606),
    [anon_sym_U_DQUOTE] = ACTIONS(2606),
    [anon_sym_u8_DQUOTE] = ACTIONS(2606),
    [anon_sym_DQUOTE] = ACTIONS(2606),
    [sym_true] = ACTIONS(2604),
    [sym_false] = ACTIONS(2604),
    [anon_sym_NULL] = ACTIONS(2604),
    [anon_sym_nullptr] = ACTIONS(2604),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2604),
    [anon_sym_decltype] = ACTIONS(2604),
    [anon_sym_virtual] = ACTIONS(2604),
    [anon_sym_alignas] = ACTIONS(2604),
    [anon_sym_explicit] = ACTIONS(2604),
    [anon_sym_typename] = ACTIONS(2604),
    [anon_sym_template] = ACTIONS(2604),
    [anon_sym_operator] = ACTIONS(2604),
    [anon_sym_try] = ACTIONS(2604),
    [anon_sym_delete] = ACTIONS(2604),
    [anon_sym_throw] = ACTIONS(2604),
    [anon_sym_namespace] = ACTIONS(2604),
    [anon_sym_using] = ACTIONS(2604),
    [anon_sym_static_assert] = ACTIONS(2604),
    [anon_sym_concept] = ACTIONS(2604),
    [anon_sym_co_return] = ACTIONS(2604),
    [anon_sym_co_yield] = ACTIONS(2604),
    [anon_sym_R_DQUOTE] = ACTIONS(2606),
    [anon_sym_LR_DQUOTE] = ACTIONS(2606),
    [anon_sym_uR_DQUOTE] = ACTIONS(2606),
    [anon_sym_UR_DQUOTE] = ACTIONS(2606),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2606),
    [anon_sym_co_await] = ACTIONS(2604),
    [anon_sym_new] = ACTIONS(2604),
    [anon_sym_requires] = ACTIONS(2604),
    [sym_this] = ACTIONS(2604),
    [anon_sym_discard] = ACTIONS(2604),
    [anon_sym_precise] = ACTIONS(2604),
    [anon_sym_shared] = ACTIONS(2604),
    [anon_sym_groupshared] = ACTIONS(2604),
    [anon_sym_uniform] = ACTIONS(2604),
    [anon_sym_row_major] = ACTIONS(2604),
    [anon_sym_column_major] = ACTIONS(2604),
    [anon_sym_globallycoherent] = ACTIONS(2604),
    [anon_sym_centroid] = ACTIONS(2604),
    [anon_sym_noperspective] = ACTIONS(2604),
    [anon_sym_nointerpolation] = ACTIONS(2604),
    [anon_sym_sample] = ACTIONS(2604),
    [anon_sym_linear] = ACTIONS(2604),
    [anon_sym_snorm] = ACTIONS(2604),
    [anon_sym_unorm] = ACTIONS(2604),
    [anon_sym_point] = ACTIONS(2604),
    [anon_sym_line] = ACTIONS(2604),
    [anon_sym_triangleadj] = ACTIONS(2604),
    [anon_sym_lineadj] = ACTIONS(2604),
    [anon_sym_triangle] = ACTIONS(2604),
    [anon_sym_cbuffer] = ACTIONS(2604),
  },
  [1104] = {
    [sym_preproc_def] = STATE(1199),
    [sym_preproc_function_def] = STATE(1199),
    [sym_preproc_call] = STATE(1199),
    [sym_preproc_if_in_field_declaration_list] = STATE(1199),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(1199),
    [sym_preproc_else_in_field_declaration_list] = STATE(10124),
    [sym_preproc_elif_in_field_declaration_list] = STATE(10124),
    [sym_type_definition] = STATE(1199),
    [sym__declaration_modifiers] = STATE(3159),
    [sym__declaration_specifiers] = STATE(6914),
    [sym_attribute_specifier] = STATE(3159),
    [sym_attribute_declaration] = STATE(3159),
    [sym_ms_declspec_modifier] = STATE(3159),
    [sym_ms_based_modifier] = STATE(10332),
    [sym__declarator] = STATE(7978),
    [sym_parenthesized_declarator] = STATE(7680),
    [sym_attributed_declarator] = STATE(7680),
    [sym_pointer_declarator] = STATE(7680),
    [sym_function_declarator] = STATE(7532),
    [sym_array_declarator] = STATE(7680),
    [sym_storage_class_specifier] = STATE(3159),
    [sym_type_qualifier] = STATE(3159),
    [sym__type_specifier] = STATE(2827),
    [sym_sized_type_specifier] = STATE(3085),
    [sym_enum_specifier] = STATE(3085),
    [sym_struct_specifier] = STATE(3085),
    [sym_union_specifier] = STATE(3085),
    [sym__field_declaration_list_item] = STATE(1199),
    [sym_field_declaration] = STATE(1199),
    [sym_placeholder_type_specifier] = STATE(3085),
    [sym_decltype_auto] = STATE(3091),
    [sym_decltype] = STATE(3050),
    [sym_class_specifier] = STATE(3085),
    [sym_virtual] = STATE(3159),
    [sym_alignas_specifier] = STATE(3159),
    [sym_explicit_function_specifier] = STATE(2521),
    [sym_dependent_type] = STATE(3085),
    [sym_template_declaration] = STATE(1199),
    [sym_operator_cast] = STATE(8041),
    [sym_inline_method_definition] = STATE(1199),
    [sym__constructor_specifiers] = STATE(2521),
    [sym_operator_cast_definition] = STATE(1199),
    [sym_operator_cast_declaration] = STATE(1199),
    [sym_constructor_or_destructor_definition] = STATE(1199),
    [sym_constructor_or_destructor_declaration] = STATE(1199),
    [sym_friend_declaration] = STATE(1199),
    [sym_access_specifier] = STATE(10120),
    [sym_reference_declarator] = STATE(7680),
    [sym_structured_binding_declarator] = STATE(7680),
    [sym_template_type] = STATE(3050),
    [sym_template_function] = STATE(7680),
    [sym_using_declaration] = STATE(1199),
    [sym_alias_declaration] = STATE(1199),
    [sym_static_assert_declaration] = STATE(1199),
    [sym_destructor_name] = STATE(7680),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6733),
    [sym_qualified_identifier] = STATE(7680),
    [sym_qualified_type_identifier] = STATE(3068),
    [sym_qualified_operator_cast_identifier] = STATE(8041),
    [sym_operator_name] = STATE(7680),
    [sym_qualifiers] = STATE(3159),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(1199),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2680),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3021),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2521),
    [sym_identifier] = ACTIONS(2857),
    [aux_sym_preproc_def_token1] = ACTIONS(2988),
    [aux_sym_preproc_if_token1] = ACTIONS(2990),
    [aux_sym_preproc_if_token2] = ACTIONS(3136),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2994),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2994),
    [aux_sym_preproc_else_token1] = ACTIONS(2867),
    [aux_sym_preproc_elif_token1] = ACTIONS(2869),
    [sym_preproc_directive] = ACTIONS(2996),
    [anon_sym_LPAREN2] = ACTIONS(2875),
    [anon_sym_TILDE] = ACTIONS(2877),
    [anon_sym_STAR] = ACTIONS(2879),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(2881),
    [anon_sym___extension__] = ACTIONS(2998),
    [anon_sym_typedef] = ACTIONS(3000),
    [anon_sym_in] = ACTIONS(37),
    [anon_sym_out] = ACTIONS(37),
    [anon_sym_inout] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(2887),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2096),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(2889),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(2891),
    [anon_sym_enum] = ACTIONS(2893),
    [anon_sym_class] = ACTIONS(2895),
    [anon_sym_struct] = ACTIONS(2897),
    [anon_sym_union] = ACTIONS(2899),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [anon_sym_virtual] = ACTIONS(123),
    [anon_sym_alignas] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(2901),
    [anon_sym_template] = ACTIONS(3002),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_friend] = ACTIONS(3004),
    [anon_sym_public] = ACTIONS(2907),
    [anon_sym_private] = ACTIONS(2907),
    [anon_sym_protected] = ACTIONS(2907),
    [anon_sym_using] = ACTIONS(3006),
    [anon_sym_static_assert] = ACTIONS(3008),
    [anon_sym_precise] = ACTIONS(161),
    [anon_sym_shared] = ACTIONS(161),
    [anon_sym_groupshared] = ACTIONS(161),
    [anon_sym_uniform] = ACTIONS(161),
    [anon_sym_row_major] = ACTIONS(161),
    [anon_sym_column_major] = ACTIONS(161),
    [anon_sym_globallycoherent] = ACTIONS(161),
    [anon_sym_centroid] = ACTIONS(161),
    [anon_sym_noperspective] = ACTIONS(161),
    [anon_sym_nointerpolation] = ACTIONS(161),
    [anon_sym_sample] = ACTIONS(161),
    [anon_sym_linear] = ACTIONS(161),
    [anon_sym_snorm] = ACTIONS(161),
    [anon_sym_unorm] = ACTIONS(161),
    [anon_sym_point] = ACTIONS(161),
    [anon_sym_line] = ACTIONS(161),
    [anon_sym_triangleadj] = ACTIONS(161),
    [anon_sym_lineadj] = ACTIONS(161),
    [anon_sym_triangle] = ACTIONS(161),
  },
  [1105] = {
    [sym_identifier] = ACTIONS(2773),
    [aux_sym_preproc_include_token1] = ACTIONS(2773),
    [aux_sym_preproc_def_token1] = ACTIONS(2773),
    [aux_sym_preproc_if_token1] = ACTIONS(2773),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2773),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2773),
    [sym_preproc_directive] = ACTIONS(2773),
    [anon_sym_LPAREN2] = ACTIONS(2775),
    [anon_sym_BANG] = ACTIONS(2775),
    [anon_sym_TILDE] = ACTIONS(2775),
    [anon_sym_DASH] = ACTIONS(2773),
    [anon_sym_PLUS] = ACTIONS(2773),
    [anon_sym_STAR] = ACTIONS(2775),
    [anon_sym_AMP_AMP] = ACTIONS(2775),
    [anon_sym_AMP] = ACTIONS(2773),
    [anon_sym_SEMI] = ACTIONS(2775),
    [anon_sym___extension__] = ACTIONS(2773),
    [anon_sym_typedef] = ACTIONS(2773),
    [anon_sym_in] = ACTIONS(2773),
    [anon_sym_out] = ACTIONS(2773),
    [anon_sym_inout] = ACTIONS(2773),
    [anon_sym_extern] = ACTIONS(2773),
    [anon_sym___attribute__] = ACTIONS(2773),
    [anon_sym_COLON_COLON] = ACTIONS(2775),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2775),
    [anon_sym___declspec] = ACTIONS(2773),
    [anon_sym___based] = ACTIONS(2773),
    [anon_sym___cdecl] = ACTIONS(2773),
    [anon_sym___clrcall] = ACTIONS(2773),
    [anon_sym___stdcall] = ACTIONS(2773),
    [anon_sym___fastcall] = ACTIONS(2773),
    [anon_sym___thiscall] = ACTIONS(2773),
    [anon_sym___vectorcall] = ACTIONS(2773),
    [anon_sym_LBRACE] = ACTIONS(2775),
    [anon_sym_RBRACE] = ACTIONS(2775),
    [anon_sym_signed] = ACTIONS(2773),
    [anon_sym_unsigned] = ACTIONS(2773),
    [anon_sym_long] = ACTIONS(2773),
    [anon_sym_short] = ACTIONS(2773),
    [anon_sym_LBRACK] = ACTIONS(2773),
    [anon_sym_static] = ACTIONS(2773),
    [anon_sym_register] = ACTIONS(2773),
    [anon_sym_inline] = ACTIONS(2773),
    [anon_sym___inline] = ACTIONS(2773),
    [anon_sym___inline__] = ACTIONS(2773),
    [anon_sym___forceinline] = ACTIONS(2773),
    [anon_sym_thread_local] = ACTIONS(2773),
    [anon_sym___thread] = ACTIONS(2773),
    [anon_sym_const] = ACTIONS(2773),
    [anon_sym_constexpr] = ACTIONS(2773),
    [anon_sym_volatile] = ACTIONS(2773),
    [anon_sym_restrict] = ACTIONS(2773),
    [anon_sym___restrict__] = ACTIONS(2773),
    [anon_sym__Atomic] = ACTIONS(2773),
    [anon_sym__Noreturn] = ACTIONS(2773),
    [anon_sym_noreturn] = ACTIONS(2773),
    [anon_sym_mutable] = ACTIONS(2773),
    [anon_sym_constinit] = ACTIONS(2773),
    [anon_sym_consteval] = ACTIONS(2773),
    [sym_primitive_type] = ACTIONS(2773),
    [anon_sym_enum] = ACTIONS(2773),
    [anon_sym_class] = ACTIONS(2773),
    [anon_sym_struct] = ACTIONS(2773),
    [anon_sym_union] = ACTIONS(2773),
    [anon_sym_if] = ACTIONS(2773),
    [anon_sym_switch] = ACTIONS(2773),
    [anon_sym_case] = ACTIONS(2773),
    [anon_sym_default] = ACTIONS(2773),
    [anon_sym_while] = ACTIONS(2773),
    [anon_sym_do] = ACTIONS(2773),
    [anon_sym_for] = ACTIONS(2773),
    [anon_sym_return] = ACTIONS(2773),
    [anon_sym_break] = ACTIONS(2773),
    [anon_sym_continue] = ACTIONS(2773),
    [anon_sym_goto] = ACTIONS(2773),
    [anon_sym___try] = ACTIONS(2773),
    [anon_sym___leave] = ACTIONS(2773),
    [anon_sym_not] = ACTIONS(2773),
    [anon_sym_compl] = ACTIONS(2773),
    [anon_sym_DASH_DASH] = ACTIONS(2775),
    [anon_sym_PLUS_PLUS] = ACTIONS(2775),
    [anon_sym_sizeof] = ACTIONS(2773),
    [anon_sym___alignof__] = ACTIONS(2773),
    [anon_sym___alignof] = ACTIONS(2773),
    [anon_sym__alignof] = ACTIONS(2773),
    [anon_sym_alignof] = ACTIONS(2773),
    [anon_sym__Alignof] = ACTIONS(2773),
    [anon_sym_offsetof] = ACTIONS(2773),
    [anon_sym__Generic] = ACTIONS(2773),
    [anon_sym_asm] = ACTIONS(2773),
    [anon_sym___asm__] = ACTIONS(2773),
    [sym_number_literal] = ACTIONS(2775),
    [anon_sym_L_SQUOTE] = ACTIONS(2775),
    [anon_sym_u_SQUOTE] = ACTIONS(2775),
    [anon_sym_U_SQUOTE] = ACTIONS(2775),
    [anon_sym_u8_SQUOTE] = ACTIONS(2775),
    [anon_sym_SQUOTE] = ACTIONS(2775),
    [anon_sym_L_DQUOTE] = ACTIONS(2775),
    [anon_sym_u_DQUOTE] = ACTIONS(2775),
    [anon_sym_U_DQUOTE] = ACTIONS(2775),
    [anon_sym_u8_DQUOTE] = ACTIONS(2775),
    [anon_sym_DQUOTE] = ACTIONS(2775),
    [sym_true] = ACTIONS(2773),
    [sym_false] = ACTIONS(2773),
    [anon_sym_NULL] = ACTIONS(2773),
    [anon_sym_nullptr] = ACTIONS(2773),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2773),
    [anon_sym_decltype] = ACTIONS(2773),
    [anon_sym_virtual] = ACTIONS(2773),
    [anon_sym_alignas] = ACTIONS(2773),
    [anon_sym_explicit] = ACTIONS(2773),
    [anon_sym_typename] = ACTIONS(2773),
    [anon_sym_template] = ACTIONS(2773),
    [anon_sym_operator] = ACTIONS(2773),
    [anon_sym_try] = ACTIONS(2773),
    [anon_sym_delete] = ACTIONS(2773),
    [anon_sym_throw] = ACTIONS(2773),
    [anon_sym_namespace] = ACTIONS(2773),
    [anon_sym_using] = ACTIONS(2773),
    [anon_sym_static_assert] = ACTIONS(2773),
    [anon_sym_concept] = ACTIONS(2773),
    [anon_sym_co_return] = ACTIONS(2773),
    [anon_sym_co_yield] = ACTIONS(2773),
    [anon_sym_R_DQUOTE] = ACTIONS(2775),
    [anon_sym_LR_DQUOTE] = ACTIONS(2775),
    [anon_sym_uR_DQUOTE] = ACTIONS(2775),
    [anon_sym_UR_DQUOTE] = ACTIONS(2775),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2775),
    [anon_sym_co_await] = ACTIONS(2773),
    [anon_sym_new] = ACTIONS(2773),
    [anon_sym_requires] = ACTIONS(2773),
    [sym_this] = ACTIONS(2773),
    [anon_sym_discard] = ACTIONS(2773),
    [anon_sym_precise] = ACTIONS(2773),
    [anon_sym_shared] = ACTIONS(2773),
    [anon_sym_groupshared] = ACTIONS(2773),
    [anon_sym_uniform] = ACTIONS(2773),
    [anon_sym_row_major] = ACTIONS(2773),
    [anon_sym_column_major] = ACTIONS(2773),
    [anon_sym_globallycoherent] = ACTIONS(2773),
    [anon_sym_centroid] = ACTIONS(2773),
    [anon_sym_noperspective] = ACTIONS(2773),
    [anon_sym_nointerpolation] = ACTIONS(2773),
    [anon_sym_sample] = ACTIONS(2773),
    [anon_sym_linear] = ACTIONS(2773),
    [anon_sym_snorm] = ACTIONS(2773),
    [anon_sym_unorm] = ACTIONS(2773),
    [anon_sym_point] = ACTIONS(2773),
    [anon_sym_line] = ACTIONS(2773),
    [anon_sym_triangleadj] = ACTIONS(2773),
    [anon_sym_lineadj] = ACTIONS(2773),
    [anon_sym_triangle] = ACTIONS(2773),
    [anon_sym_cbuffer] = ACTIONS(2773),
  },
  [1106] = {
    [sym_identifier] = ACTIONS(2729),
    [aux_sym_preproc_include_token1] = ACTIONS(2729),
    [aux_sym_preproc_def_token1] = ACTIONS(2729),
    [aux_sym_preproc_if_token1] = ACTIONS(2729),
    [aux_sym_preproc_if_token2] = ACTIONS(2729),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2729),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2729),
    [sym_preproc_directive] = ACTIONS(2729),
    [anon_sym_LPAREN2] = ACTIONS(2731),
    [anon_sym_BANG] = ACTIONS(2731),
    [anon_sym_TILDE] = ACTIONS(2731),
    [anon_sym_DASH] = ACTIONS(2729),
    [anon_sym_PLUS] = ACTIONS(2729),
    [anon_sym_STAR] = ACTIONS(2731),
    [anon_sym_AMP_AMP] = ACTIONS(2731),
    [anon_sym_AMP] = ACTIONS(2729),
    [anon_sym_SEMI] = ACTIONS(2731),
    [anon_sym___extension__] = ACTIONS(2729),
    [anon_sym_typedef] = ACTIONS(2729),
    [anon_sym_in] = ACTIONS(2729),
    [anon_sym_out] = ACTIONS(2729),
    [anon_sym_inout] = ACTIONS(2729),
    [anon_sym_extern] = ACTIONS(2729),
    [anon_sym___attribute__] = ACTIONS(2729),
    [anon_sym_COLON_COLON] = ACTIONS(2731),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2731),
    [anon_sym___declspec] = ACTIONS(2729),
    [anon_sym___based] = ACTIONS(2729),
    [anon_sym___cdecl] = ACTIONS(2729),
    [anon_sym___clrcall] = ACTIONS(2729),
    [anon_sym___stdcall] = ACTIONS(2729),
    [anon_sym___fastcall] = ACTIONS(2729),
    [anon_sym___thiscall] = ACTIONS(2729),
    [anon_sym___vectorcall] = ACTIONS(2729),
    [anon_sym_LBRACE] = ACTIONS(2731),
    [anon_sym_signed] = ACTIONS(2729),
    [anon_sym_unsigned] = ACTIONS(2729),
    [anon_sym_long] = ACTIONS(2729),
    [anon_sym_short] = ACTIONS(2729),
    [anon_sym_LBRACK] = ACTIONS(2729),
    [anon_sym_static] = ACTIONS(2729),
    [anon_sym_register] = ACTIONS(2729),
    [anon_sym_inline] = ACTIONS(2729),
    [anon_sym___inline] = ACTIONS(2729),
    [anon_sym___inline__] = ACTIONS(2729),
    [anon_sym___forceinline] = ACTIONS(2729),
    [anon_sym_thread_local] = ACTIONS(2729),
    [anon_sym___thread] = ACTIONS(2729),
    [anon_sym_const] = ACTIONS(2729),
    [anon_sym_constexpr] = ACTIONS(2729),
    [anon_sym_volatile] = ACTIONS(2729),
    [anon_sym_restrict] = ACTIONS(2729),
    [anon_sym___restrict__] = ACTIONS(2729),
    [anon_sym__Atomic] = ACTIONS(2729),
    [anon_sym__Noreturn] = ACTIONS(2729),
    [anon_sym_noreturn] = ACTIONS(2729),
    [anon_sym_mutable] = ACTIONS(2729),
    [anon_sym_constinit] = ACTIONS(2729),
    [anon_sym_consteval] = ACTIONS(2729),
    [sym_primitive_type] = ACTIONS(2729),
    [anon_sym_enum] = ACTIONS(2729),
    [anon_sym_class] = ACTIONS(2729),
    [anon_sym_struct] = ACTIONS(2729),
    [anon_sym_union] = ACTIONS(2729),
    [anon_sym_if] = ACTIONS(2729),
    [anon_sym_switch] = ACTIONS(2729),
    [anon_sym_case] = ACTIONS(2729),
    [anon_sym_default] = ACTIONS(2729),
    [anon_sym_while] = ACTIONS(2729),
    [anon_sym_do] = ACTIONS(2729),
    [anon_sym_for] = ACTIONS(2729),
    [anon_sym_return] = ACTIONS(2729),
    [anon_sym_break] = ACTIONS(2729),
    [anon_sym_continue] = ACTIONS(2729),
    [anon_sym_goto] = ACTIONS(2729),
    [anon_sym___try] = ACTIONS(2729),
    [anon_sym___leave] = ACTIONS(2729),
    [anon_sym_not] = ACTIONS(2729),
    [anon_sym_compl] = ACTIONS(2729),
    [anon_sym_DASH_DASH] = ACTIONS(2731),
    [anon_sym_PLUS_PLUS] = ACTIONS(2731),
    [anon_sym_sizeof] = ACTIONS(2729),
    [anon_sym___alignof__] = ACTIONS(2729),
    [anon_sym___alignof] = ACTIONS(2729),
    [anon_sym__alignof] = ACTIONS(2729),
    [anon_sym_alignof] = ACTIONS(2729),
    [anon_sym__Alignof] = ACTIONS(2729),
    [anon_sym_offsetof] = ACTIONS(2729),
    [anon_sym__Generic] = ACTIONS(2729),
    [anon_sym_asm] = ACTIONS(2729),
    [anon_sym___asm__] = ACTIONS(2729),
    [sym_number_literal] = ACTIONS(2731),
    [anon_sym_L_SQUOTE] = ACTIONS(2731),
    [anon_sym_u_SQUOTE] = ACTIONS(2731),
    [anon_sym_U_SQUOTE] = ACTIONS(2731),
    [anon_sym_u8_SQUOTE] = ACTIONS(2731),
    [anon_sym_SQUOTE] = ACTIONS(2731),
    [anon_sym_L_DQUOTE] = ACTIONS(2731),
    [anon_sym_u_DQUOTE] = ACTIONS(2731),
    [anon_sym_U_DQUOTE] = ACTIONS(2731),
    [anon_sym_u8_DQUOTE] = ACTIONS(2731),
    [anon_sym_DQUOTE] = ACTIONS(2731),
    [sym_true] = ACTIONS(2729),
    [sym_false] = ACTIONS(2729),
    [anon_sym_NULL] = ACTIONS(2729),
    [anon_sym_nullptr] = ACTIONS(2729),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2729),
    [anon_sym_decltype] = ACTIONS(2729),
    [anon_sym_virtual] = ACTIONS(2729),
    [anon_sym_alignas] = ACTIONS(2729),
    [anon_sym_explicit] = ACTIONS(2729),
    [anon_sym_typename] = ACTIONS(2729),
    [anon_sym_template] = ACTIONS(2729),
    [anon_sym_operator] = ACTIONS(2729),
    [anon_sym_try] = ACTIONS(2729),
    [anon_sym_delete] = ACTIONS(2729),
    [anon_sym_throw] = ACTIONS(2729),
    [anon_sym_namespace] = ACTIONS(2729),
    [anon_sym_using] = ACTIONS(2729),
    [anon_sym_static_assert] = ACTIONS(2729),
    [anon_sym_concept] = ACTIONS(2729),
    [anon_sym_co_return] = ACTIONS(2729),
    [anon_sym_co_yield] = ACTIONS(2729),
    [anon_sym_R_DQUOTE] = ACTIONS(2731),
    [anon_sym_LR_DQUOTE] = ACTIONS(2731),
    [anon_sym_uR_DQUOTE] = ACTIONS(2731),
    [anon_sym_UR_DQUOTE] = ACTIONS(2731),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2731),
    [anon_sym_co_await] = ACTIONS(2729),
    [anon_sym_new] = ACTIONS(2729),
    [anon_sym_requires] = ACTIONS(2729),
    [sym_this] = ACTIONS(2729),
    [anon_sym_discard] = ACTIONS(2729),
    [anon_sym_precise] = ACTIONS(2729),
    [anon_sym_shared] = ACTIONS(2729),
    [anon_sym_groupshared] = ACTIONS(2729),
    [anon_sym_uniform] = ACTIONS(2729),
    [anon_sym_row_major] = ACTIONS(2729),
    [anon_sym_column_major] = ACTIONS(2729),
    [anon_sym_globallycoherent] = ACTIONS(2729),
    [anon_sym_centroid] = ACTIONS(2729),
    [anon_sym_noperspective] = ACTIONS(2729),
    [anon_sym_nointerpolation] = ACTIONS(2729),
    [anon_sym_sample] = ACTIONS(2729),
    [anon_sym_linear] = ACTIONS(2729),
    [anon_sym_snorm] = ACTIONS(2729),
    [anon_sym_unorm] = ACTIONS(2729),
    [anon_sym_point] = ACTIONS(2729),
    [anon_sym_line] = ACTIONS(2729),
    [anon_sym_triangleadj] = ACTIONS(2729),
    [anon_sym_lineadj] = ACTIONS(2729),
    [anon_sym_triangle] = ACTIONS(2729),
    [anon_sym_cbuffer] = ACTIONS(2729),
  },
  [1107] = {
    [sym_identifier] = ACTIONS(2625),
    [aux_sym_preproc_include_token1] = ACTIONS(2625),
    [aux_sym_preproc_def_token1] = ACTIONS(2625),
    [aux_sym_preproc_if_token1] = ACTIONS(2625),
    [aux_sym_preproc_if_token2] = ACTIONS(2625),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2625),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2625),
    [sym_preproc_directive] = ACTIONS(2625),
    [anon_sym_LPAREN2] = ACTIONS(2627),
    [anon_sym_BANG] = ACTIONS(2627),
    [anon_sym_TILDE] = ACTIONS(2627),
    [anon_sym_DASH] = ACTIONS(2625),
    [anon_sym_PLUS] = ACTIONS(2625),
    [anon_sym_STAR] = ACTIONS(2627),
    [anon_sym_AMP_AMP] = ACTIONS(2627),
    [anon_sym_AMP] = ACTIONS(2625),
    [anon_sym_SEMI] = ACTIONS(2627),
    [anon_sym___extension__] = ACTIONS(2625),
    [anon_sym_typedef] = ACTIONS(2625),
    [anon_sym_in] = ACTIONS(2625),
    [anon_sym_out] = ACTIONS(2625),
    [anon_sym_inout] = ACTIONS(2625),
    [anon_sym_extern] = ACTIONS(2625),
    [anon_sym___attribute__] = ACTIONS(2625),
    [anon_sym_COLON_COLON] = ACTIONS(2627),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2627),
    [anon_sym___declspec] = ACTIONS(2625),
    [anon_sym___based] = ACTIONS(2625),
    [anon_sym___cdecl] = ACTIONS(2625),
    [anon_sym___clrcall] = ACTIONS(2625),
    [anon_sym___stdcall] = ACTIONS(2625),
    [anon_sym___fastcall] = ACTIONS(2625),
    [anon_sym___thiscall] = ACTIONS(2625),
    [anon_sym___vectorcall] = ACTIONS(2625),
    [anon_sym_LBRACE] = ACTIONS(2627),
    [anon_sym_signed] = ACTIONS(2625),
    [anon_sym_unsigned] = ACTIONS(2625),
    [anon_sym_long] = ACTIONS(2625),
    [anon_sym_short] = ACTIONS(2625),
    [anon_sym_LBRACK] = ACTIONS(2625),
    [anon_sym_static] = ACTIONS(2625),
    [anon_sym_register] = ACTIONS(2625),
    [anon_sym_inline] = ACTIONS(2625),
    [anon_sym___inline] = ACTIONS(2625),
    [anon_sym___inline__] = ACTIONS(2625),
    [anon_sym___forceinline] = ACTIONS(2625),
    [anon_sym_thread_local] = ACTIONS(2625),
    [anon_sym___thread] = ACTIONS(2625),
    [anon_sym_const] = ACTIONS(2625),
    [anon_sym_constexpr] = ACTIONS(2625),
    [anon_sym_volatile] = ACTIONS(2625),
    [anon_sym_restrict] = ACTIONS(2625),
    [anon_sym___restrict__] = ACTIONS(2625),
    [anon_sym__Atomic] = ACTIONS(2625),
    [anon_sym__Noreturn] = ACTIONS(2625),
    [anon_sym_noreturn] = ACTIONS(2625),
    [anon_sym_mutable] = ACTIONS(2625),
    [anon_sym_constinit] = ACTIONS(2625),
    [anon_sym_consteval] = ACTIONS(2625),
    [sym_primitive_type] = ACTIONS(2625),
    [anon_sym_enum] = ACTIONS(2625),
    [anon_sym_class] = ACTIONS(2625),
    [anon_sym_struct] = ACTIONS(2625),
    [anon_sym_union] = ACTIONS(2625),
    [anon_sym_if] = ACTIONS(2625),
    [anon_sym_switch] = ACTIONS(2625),
    [anon_sym_case] = ACTIONS(2625),
    [anon_sym_default] = ACTIONS(2625),
    [anon_sym_while] = ACTIONS(2625),
    [anon_sym_do] = ACTIONS(2625),
    [anon_sym_for] = ACTIONS(2625),
    [anon_sym_return] = ACTIONS(2625),
    [anon_sym_break] = ACTIONS(2625),
    [anon_sym_continue] = ACTIONS(2625),
    [anon_sym_goto] = ACTIONS(2625),
    [anon_sym___try] = ACTIONS(2625),
    [anon_sym___leave] = ACTIONS(2625),
    [anon_sym_not] = ACTIONS(2625),
    [anon_sym_compl] = ACTIONS(2625),
    [anon_sym_DASH_DASH] = ACTIONS(2627),
    [anon_sym_PLUS_PLUS] = ACTIONS(2627),
    [anon_sym_sizeof] = ACTIONS(2625),
    [anon_sym___alignof__] = ACTIONS(2625),
    [anon_sym___alignof] = ACTIONS(2625),
    [anon_sym__alignof] = ACTIONS(2625),
    [anon_sym_alignof] = ACTIONS(2625),
    [anon_sym__Alignof] = ACTIONS(2625),
    [anon_sym_offsetof] = ACTIONS(2625),
    [anon_sym__Generic] = ACTIONS(2625),
    [anon_sym_asm] = ACTIONS(2625),
    [anon_sym___asm__] = ACTIONS(2625),
    [sym_number_literal] = ACTIONS(2627),
    [anon_sym_L_SQUOTE] = ACTIONS(2627),
    [anon_sym_u_SQUOTE] = ACTIONS(2627),
    [anon_sym_U_SQUOTE] = ACTIONS(2627),
    [anon_sym_u8_SQUOTE] = ACTIONS(2627),
    [anon_sym_SQUOTE] = ACTIONS(2627),
    [anon_sym_L_DQUOTE] = ACTIONS(2627),
    [anon_sym_u_DQUOTE] = ACTIONS(2627),
    [anon_sym_U_DQUOTE] = ACTIONS(2627),
    [anon_sym_u8_DQUOTE] = ACTIONS(2627),
    [anon_sym_DQUOTE] = ACTIONS(2627),
    [sym_true] = ACTIONS(2625),
    [sym_false] = ACTIONS(2625),
    [anon_sym_NULL] = ACTIONS(2625),
    [anon_sym_nullptr] = ACTIONS(2625),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2625),
    [anon_sym_decltype] = ACTIONS(2625),
    [anon_sym_virtual] = ACTIONS(2625),
    [anon_sym_alignas] = ACTIONS(2625),
    [anon_sym_explicit] = ACTIONS(2625),
    [anon_sym_typename] = ACTIONS(2625),
    [anon_sym_template] = ACTIONS(2625),
    [anon_sym_operator] = ACTIONS(2625),
    [anon_sym_try] = ACTIONS(2625),
    [anon_sym_delete] = ACTIONS(2625),
    [anon_sym_throw] = ACTIONS(2625),
    [anon_sym_namespace] = ACTIONS(2625),
    [anon_sym_using] = ACTIONS(2625),
    [anon_sym_static_assert] = ACTIONS(2625),
    [anon_sym_concept] = ACTIONS(2625),
    [anon_sym_co_return] = ACTIONS(2625),
    [anon_sym_co_yield] = ACTIONS(2625),
    [anon_sym_R_DQUOTE] = ACTIONS(2627),
    [anon_sym_LR_DQUOTE] = ACTIONS(2627),
    [anon_sym_uR_DQUOTE] = ACTIONS(2627),
    [anon_sym_UR_DQUOTE] = ACTIONS(2627),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2627),
    [anon_sym_co_await] = ACTIONS(2625),
    [anon_sym_new] = ACTIONS(2625),
    [anon_sym_requires] = ACTIONS(2625),
    [sym_this] = ACTIONS(2625),
    [anon_sym_discard] = ACTIONS(2625),
    [anon_sym_precise] = ACTIONS(2625),
    [anon_sym_shared] = ACTIONS(2625),
    [anon_sym_groupshared] = ACTIONS(2625),
    [anon_sym_uniform] = ACTIONS(2625),
    [anon_sym_row_major] = ACTIONS(2625),
    [anon_sym_column_major] = ACTIONS(2625),
    [anon_sym_globallycoherent] = ACTIONS(2625),
    [anon_sym_centroid] = ACTIONS(2625),
    [anon_sym_noperspective] = ACTIONS(2625),
    [anon_sym_nointerpolation] = ACTIONS(2625),
    [anon_sym_sample] = ACTIONS(2625),
    [anon_sym_linear] = ACTIONS(2625),
    [anon_sym_snorm] = ACTIONS(2625),
    [anon_sym_unorm] = ACTIONS(2625),
    [anon_sym_point] = ACTIONS(2625),
    [anon_sym_line] = ACTIONS(2625),
    [anon_sym_triangleadj] = ACTIONS(2625),
    [anon_sym_lineadj] = ACTIONS(2625),
    [anon_sym_triangle] = ACTIONS(2625),
    [anon_sym_cbuffer] = ACTIONS(2625),
  },
  [1108] = {
    [sym_identifier] = ACTIONS(2617),
    [aux_sym_preproc_include_token1] = ACTIONS(2617),
    [aux_sym_preproc_def_token1] = ACTIONS(2617),
    [aux_sym_preproc_if_token1] = ACTIONS(2617),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2617),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2617),
    [sym_preproc_directive] = ACTIONS(2617),
    [anon_sym_LPAREN2] = ACTIONS(2619),
    [anon_sym_BANG] = ACTIONS(2619),
    [anon_sym_TILDE] = ACTIONS(2619),
    [anon_sym_DASH] = ACTIONS(2617),
    [anon_sym_PLUS] = ACTIONS(2617),
    [anon_sym_STAR] = ACTIONS(2619),
    [anon_sym_AMP_AMP] = ACTIONS(2619),
    [anon_sym_AMP] = ACTIONS(2617),
    [anon_sym_SEMI] = ACTIONS(2619),
    [anon_sym___extension__] = ACTIONS(2617),
    [anon_sym_typedef] = ACTIONS(2617),
    [anon_sym_in] = ACTIONS(2617),
    [anon_sym_out] = ACTIONS(2617),
    [anon_sym_inout] = ACTIONS(2617),
    [anon_sym_extern] = ACTIONS(2617),
    [anon_sym___attribute__] = ACTIONS(2617),
    [anon_sym_COLON_COLON] = ACTIONS(2619),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2619),
    [anon_sym___declspec] = ACTIONS(2617),
    [anon_sym___based] = ACTIONS(2617),
    [anon_sym___cdecl] = ACTIONS(2617),
    [anon_sym___clrcall] = ACTIONS(2617),
    [anon_sym___stdcall] = ACTIONS(2617),
    [anon_sym___fastcall] = ACTIONS(2617),
    [anon_sym___thiscall] = ACTIONS(2617),
    [anon_sym___vectorcall] = ACTIONS(2617),
    [anon_sym_LBRACE] = ACTIONS(2619),
    [anon_sym_RBRACE] = ACTIONS(2619),
    [anon_sym_signed] = ACTIONS(2617),
    [anon_sym_unsigned] = ACTIONS(2617),
    [anon_sym_long] = ACTIONS(2617),
    [anon_sym_short] = ACTIONS(2617),
    [anon_sym_LBRACK] = ACTIONS(2617),
    [anon_sym_static] = ACTIONS(2617),
    [anon_sym_register] = ACTIONS(2617),
    [anon_sym_inline] = ACTIONS(2617),
    [anon_sym___inline] = ACTIONS(2617),
    [anon_sym___inline__] = ACTIONS(2617),
    [anon_sym___forceinline] = ACTIONS(2617),
    [anon_sym_thread_local] = ACTIONS(2617),
    [anon_sym___thread] = ACTIONS(2617),
    [anon_sym_const] = ACTIONS(2617),
    [anon_sym_constexpr] = ACTIONS(2617),
    [anon_sym_volatile] = ACTIONS(2617),
    [anon_sym_restrict] = ACTIONS(2617),
    [anon_sym___restrict__] = ACTIONS(2617),
    [anon_sym__Atomic] = ACTIONS(2617),
    [anon_sym__Noreturn] = ACTIONS(2617),
    [anon_sym_noreturn] = ACTIONS(2617),
    [anon_sym_mutable] = ACTIONS(2617),
    [anon_sym_constinit] = ACTIONS(2617),
    [anon_sym_consteval] = ACTIONS(2617),
    [sym_primitive_type] = ACTIONS(2617),
    [anon_sym_enum] = ACTIONS(2617),
    [anon_sym_class] = ACTIONS(2617),
    [anon_sym_struct] = ACTIONS(2617),
    [anon_sym_union] = ACTIONS(2617),
    [anon_sym_if] = ACTIONS(2617),
    [anon_sym_switch] = ACTIONS(2617),
    [anon_sym_case] = ACTIONS(2617),
    [anon_sym_default] = ACTIONS(2617),
    [anon_sym_while] = ACTIONS(2617),
    [anon_sym_do] = ACTIONS(2617),
    [anon_sym_for] = ACTIONS(2617),
    [anon_sym_return] = ACTIONS(2617),
    [anon_sym_break] = ACTIONS(2617),
    [anon_sym_continue] = ACTIONS(2617),
    [anon_sym_goto] = ACTIONS(2617),
    [anon_sym___try] = ACTIONS(2617),
    [anon_sym___leave] = ACTIONS(2617),
    [anon_sym_not] = ACTIONS(2617),
    [anon_sym_compl] = ACTIONS(2617),
    [anon_sym_DASH_DASH] = ACTIONS(2619),
    [anon_sym_PLUS_PLUS] = ACTIONS(2619),
    [anon_sym_sizeof] = ACTIONS(2617),
    [anon_sym___alignof__] = ACTIONS(2617),
    [anon_sym___alignof] = ACTIONS(2617),
    [anon_sym__alignof] = ACTIONS(2617),
    [anon_sym_alignof] = ACTIONS(2617),
    [anon_sym__Alignof] = ACTIONS(2617),
    [anon_sym_offsetof] = ACTIONS(2617),
    [anon_sym__Generic] = ACTIONS(2617),
    [anon_sym_asm] = ACTIONS(2617),
    [anon_sym___asm__] = ACTIONS(2617),
    [sym_number_literal] = ACTIONS(2619),
    [anon_sym_L_SQUOTE] = ACTIONS(2619),
    [anon_sym_u_SQUOTE] = ACTIONS(2619),
    [anon_sym_U_SQUOTE] = ACTIONS(2619),
    [anon_sym_u8_SQUOTE] = ACTIONS(2619),
    [anon_sym_SQUOTE] = ACTIONS(2619),
    [anon_sym_L_DQUOTE] = ACTIONS(2619),
    [anon_sym_u_DQUOTE] = ACTIONS(2619),
    [anon_sym_U_DQUOTE] = ACTIONS(2619),
    [anon_sym_u8_DQUOTE] = ACTIONS(2619),
    [anon_sym_DQUOTE] = ACTIONS(2619),
    [sym_true] = ACTIONS(2617),
    [sym_false] = ACTIONS(2617),
    [anon_sym_NULL] = ACTIONS(2617),
    [anon_sym_nullptr] = ACTIONS(2617),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2617),
    [anon_sym_decltype] = ACTIONS(2617),
    [anon_sym_virtual] = ACTIONS(2617),
    [anon_sym_alignas] = ACTIONS(2617),
    [anon_sym_explicit] = ACTIONS(2617),
    [anon_sym_typename] = ACTIONS(2617),
    [anon_sym_template] = ACTIONS(2617),
    [anon_sym_operator] = ACTIONS(2617),
    [anon_sym_try] = ACTIONS(2617),
    [anon_sym_delete] = ACTIONS(2617),
    [anon_sym_throw] = ACTIONS(2617),
    [anon_sym_namespace] = ACTIONS(2617),
    [anon_sym_using] = ACTIONS(2617),
    [anon_sym_static_assert] = ACTIONS(2617),
    [anon_sym_concept] = ACTIONS(2617),
    [anon_sym_co_return] = ACTIONS(2617),
    [anon_sym_co_yield] = ACTIONS(2617),
    [anon_sym_R_DQUOTE] = ACTIONS(2619),
    [anon_sym_LR_DQUOTE] = ACTIONS(2619),
    [anon_sym_uR_DQUOTE] = ACTIONS(2619),
    [anon_sym_UR_DQUOTE] = ACTIONS(2619),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2619),
    [anon_sym_co_await] = ACTIONS(2617),
    [anon_sym_new] = ACTIONS(2617),
    [anon_sym_requires] = ACTIONS(2617),
    [sym_this] = ACTIONS(2617),
    [anon_sym_discard] = ACTIONS(2617),
    [anon_sym_precise] = ACTIONS(2617),
    [anon_sym_shared] = ACTIONS(2617),
    [anon_sym_groupshared] = ACTIONS(2617),
    [anon_sym_uniform] = ACTIONS(2617),
    [anon_sym_row_major] = ACTIONS(2617),
    [anon_sym_column_major] = ACTIONS(2617),
    [anon_sym_globallycoherent] = ACTIONS(2617),
    [anon_sym_centroid] = ACTIONS(2617),
    [anon_sym_noperspective] = ACTIONS(2617),
    [anon_sym_nointerpolation] = ACTIONS(2617),
    [anon_sym_sample] = ACTIONS(2617),
    [anon_sym_linear] = ACTIONS(2617),
    [anon_sym_snorm] = ACTIONS(2617),
    [anon_sym_unorm] = ACTIONS(2617),
    [anon_sym_point] = ACTIONS(2617),
    [anon_sym_line] = ACTIONS(2617),
    [anon_sym_triangleadj] = ACTIONS(2617),
    [anon_sym_lineadj] = ACTIONS(2617),
    [anon_sym_triangle] = ACTIONS(2617),
    [anon_sym_cbuffer] = ACTIONS(2617),
  },
  [1109] = {
    [sym_identifier] = ACTIONS(2759),
    [aux_sym_preproc_include_token1] = ACTIONS(2759),
    [aux_sym_preproc_def_token1] = ACTIONS(2759),
    [aux_sym_preproc_if_token1] = ACTIONS(2759),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2759),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2759),
    [sym_preproc_directive] = ACTIONS(2759),
    [anon_sym_LPAREN2] = ACTIONS(2761),
    [anon_sym_BANG] = ACTIONS(2761),
    [anon_sym_TILDE] = ACTIONS(2761),
    [anon_sym_DASH] = ACTIONS(2759),
    [anon_sym_PLUS] = ACTIONS(2759),
    [anon_sym_STAR] = ACTIONS(2761),
    [anon_sym_AMP_AMP] = ACTIONS(2761),
    [anon_sym_AMP] = ACTIONS(2759),
    [anon_sym_SEMI] = ACTIONS(2761),
    [anon_sym___extension__] = ACTIONS(2759),
    [anon_sym_typedef] = ACTIONS(2759),
    [anon_sym_in] = ACTIONS(2759),
    [anon_sym_out] = ACTIONS(2759),
    [anon_sym_inout] = ACTIONS(2759),
    [anon_sym_extern] = ACTIONS(2759),
    [anon_sym___attribute__] = ACTIONS(2759),
    [anon_sym_COLON_COLON] = ACTIONS(2761),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2761),
    [anon_sym___declspec] = ACTIONS(2759),
    [anon_sym___based] = ACTIONS(2759),
    [anon_sym___cdecl] = ACTIONS(2759),
    [anon_sym___clrcall] = ACTIONS(2759),
    [anon_sym___stdcall] = ACTIONS(2759),
    [anon_sym___fastcall] = ACTIONS(2759),
    [anon_sym___thiscall] = ACTIONS(2759),
    [anon_sym___vectorcall] = ACTIONS(2759),
    [anon_sym_LBRACE] = ACTIONS(2761),
    [anon_sym_RBRACE] = ACTIONS(2761),
    [anon_sym_signed] = ACTIONS(2759),
    [anon_sym_unsigned] = ACTIONS(2759),
    [anon_sym_long] = ACTIONS(2759),
    [anon_sym_short] = ACTIONS(2759),
    [anon_sym_LBRACK] = ACTIONS(2759),
    [anon_sym_static] = ACTIONS(2759),
    [anon_sym_register] = ACTIONS(2759),
    [anon_sym_inline] = ACTIONS(2759),
    [anon_sym___inline] = ACTIONS(2759),
    [anon_sym___inline__] = ACTIONS(2759),
    [anon_sym___forceinline] = ACTIONS(2759),
    [anon_sym_thread_local] = ACTIONS(2759),
    [anon_sym___thread] = ACTIONS(2759),
    [anon_sym_const] = ACTIONS(2759),
    [anon_sym_constexpr] = ACTIONS(2759),
    [anon_sym_volatile] = ACTIONS(2759),
    [anon_sym_restrict] = ACTIONS(2759),
    [anon_sym___restrict__] = ACTIONS(2759),
    [anon_sym__Atomic] = ACTIONS(2759),
    [anon_sym__Noreturn] = ACTIONS(2759),
    [anon_sym_noreturn] = ACTIONS(2759),
    [anon_sym_mutable] = ACTIONS(2759),
    [anon_sym_constinit] = ACTIONS(2759),
    [anon_sym_consteval] = ACTIONS(2759),
    [sym_primitive_type] = ACTIONS(2759),
    [anon_sym_enum] = ACTIONS(2759),
    [anon_sym_class] = ACTIONS(2759),
    [anon_sym_struct] = ACTIONS(2759),
    [anon_sym_union] = ACTIONS(2759),
    [anon_sym_if] = ACTIONS(2759),
    [anon_sym_switch] = ACTIONS(2759),
    [anon_sym_case] = ACTIONS(2759),
    [anon_sym_default] = ACTIONS(2759),
    [anon_sym_while] = ACTIONS(2759),
    [anon_sym_do] = ACTIONS(2759),
    [anon_sym_for] = ACTIONS(2759),
    [anon_sym_return] = ACTIONS(2759),
    [anon_sym_break] = ACTIONS(2759),
    [anon_sym_continue] = ACTIONS(2759),
    [anon_sym_goto] = ACTIONS(2759),
    [anon_sym___try] = ACTIONS(2759),
    [anon_sym___leave] = ACTIONS(2759),
    [anon_sym_not] = ACTIONS(2759),
    [anon_sym_compl] = ACTIONS(2759),
    [anon_sym_DASH_DASH] = ACTIONS(2761),
    [anon_sym_PLUS_PLUS] = ACTIONS(2761),
    [anon_sym_sizeof] = ACTIONS(2759),
    [anon_sym___alignof__] = ACTIONS(2759),
    [anon_sym___alignof] = ACTIONS(2759),
    [anon_sym__alignof] = ACTIONS(2759),
    [anon_sym_alignof] = ACTIONS(2759),
    [anon_sym__Alignof] = ACTIONS(2759),
    [anon_sym_offsetof] = ACTIONS(2759),
    [anon_sym__Generic] = ACTIONS(2759),
    [anon_sym_asm] = ACTIONS(2759),
    [anon_sym___asm__] = ACTIONS(2759),
    [sym_number_literal] = ACTIONS(2761),
    [anon_sym_L_SQUOTE] = ACTIONS(2761),
    [anon_sym_u_SQUOTE] = ACTIONS(2761),
    [anon_sym_U_SQUOTE] = ACTIONS(2761),
    [anon_sym_u8_SQUOTE] = ACTIONS(2761),
    [anon_sym_SQUOTE] = ACTIONS(2761),
    [anon_sym_L_DQUOTE] = ACTIONS(2761),
    [anon_sym_u_DQUOTE] = ACTIONS(2761),
    [anon_sym_U_DQUOTE] = ACTIONS(2761),
    [anon_sym_u8_DQUOTE] = ACTIONS(2761),
    [anon_sym_DQUOTE] = ACTIONS(2761),
    [sym_true] = ACTIONS(2759),
    [sym_false] = ACTIONS(2759),
    [anon_sym_NULL] = ACTIONS(2759),
    [anon_sym_nullptr] = ACTIONS(2759),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2759),
    [anon_sym_decltype] = ACTIONS(2759),
    [anon_sym_virtual] = ACTIONS(2759),
    [anon_sym_alignas] = ACTIONS(2759),
    [anon_sym_explicit] = ACTIONS(2759),
    [anon_sym_typename] = ACTIONS(2759),
    [anon_sym_template] = ACTIONS(2759),
    [anon_sym_operator] = ACTIONS(2759),
    [anon_sym_try] = ACTIONS(2759),
    [anon_sym_delete] = ACTIONS(2759),
    [anon_sym_throw] = ACTIONS(2759),
    [anon_sym_namespace] = ACTIONS(2759),
    [anon_sym_using] = ACTIONS(2759),
    [anon_sym_static_assert] = ACTIONS(2759),
    [anon_sym_concept] = ACTIONS(2759),
    [anon_sym_co_return] = ACTIONS(2759),
    [anon_sym_co_yield] = ACTIONS(2759),
    [anon_sym_R_DQUOTE] = ACTIONS(2761),
    [anon_sym_LR_DQUOTE] = ACTIONS(2761),
    [anon_sym_uR_DQUOTE] = ACTIONS(2761),
    [anon_sym_UR_DQUOTE] = ACTIONS(2761),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2761),
    [anon_sym_co_await] = ACTIONS(2759),
    [anon_sym_new] = ACTIONS(2759),
    [anon_sym_requires] = ACTIONS(2759),
    [sym_this] = ACTIONS(2759),
    [anon_sym_discard] = ACTIONS(2759),
    [anon_sym_precise] = ACTIONS(2759),
    [anon_sym_shared] = ACTIONS(2759),
    [anon_sym_groupshared] = ACTIONS(2759),
    [anon_sym_uniform] = ACTIONS(2759),
    [anon_sym_row_major] = ACTIONS(2759),
    [anon_sym_column_major] = ACTIONS(2759),
    [anon_sym_globallycoherent] = ACTIONS(2759),
    [anon_sym_centroid] = ACTIONS(2759),
    [anon_sym_noperspective] = ACTIONS(2759),
    [anon_sym_nointerpolation] = ACTIONS(2759),
    [anon_sym_sample] = ACTIONS(2759),
    [anon_sym_linear] = ACTIONS(2759),
    [anon_sym_snorm] = ACTIONS(2759),
    [anon_sym_unorm] = ACTIONS(2759),
    [anon_sym_point] = ACTIONS(2759),
    [anon_sym_line] = ACTIONS(2759),
    [anon_sym_triangleadj] = ACTIONS(2759),
    [anon_sym_lineadj] = ACTIONS(2759),
    [anon_sym_triangle] = ACTIONS(2759),
    [anon_sym_cbuffer] = ACTIONS(2759),
  },
  [1110] = {
    [sym_preproc_def] = STATE(1199),
    [sym_preproc_function_def] = STATE(1199),
    [sym_preproc_call] = STATE(1199),
    [sym_preproc_if_in_field_declaration_list] = STATE(1199),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(1199),
    [sym_preproc_else_in_field_declaration_list] = STATE(9454),
    [sym_preproc_elif_in_field_declaration_list] = STATE(9454),
    [sym_type_definition] = STATE(1199),
    [sym__declaration_modifiers] = STATE(3159),
    [sym__declaration_specifiers] = STATE(6914),
    [sym_attribute_specifier] = STATE(3159),
    [sym_attribute_declaration] = STATE(3159),
    [sym_ms_declspec_modifier] = STATE(3159),
    [sym_ms_based_modifier] = STATE(10332),
    [sym__declarator] = STATE(7978),
    [sym_parenthesized_declarator] = STATE(7680),
    [sym_attributed_declarator] = STATE(7680),
    [sym_pointer_declarator] = STATE(7680),
    [sym_function_declarator] = STATE(7532),
    [sym_array_declarator] = STATE(7680),
    [sym_storage_class_specifier] = STATE(3159),
    [sym_type_qualifier] = STATE(3159),
    [sym__type_specifier] = STATE(2827),
    [sym_sized_type_specifier] = STATE(3085),
    [sym_enum_specifier] = STATE(3085),
    [sym_struct_specifier] = STATE(3085),
    [sym_union_specifier] = STATE(3085),
    [sym__field_declaration_list_item] = STATE(1199),
    [sym_field_declaration] = STATE(1199),
    [sym_placeholder_type_specifier] = STATE(3085),
    [sym_decltype_auto] = STATE(3091),
    [sym_decltype] = STATE(3050),
    [sym_class_specifier] = STATE(3085),
    [sym_virtual] = STATE(3159),
    [sym_alignas_specifier] = STATE(3159),
    [sym_explicit_function_specifier] = STATE(2521),
    [sym_dependent_type] = STATE(3085),
    [sym_template_declaration] = STATE(1199),
    [sym_operator_cast] = STATE(8041),
    [sym_inline_method_definition] = STATE(1199),
    [sym__constructor_specifiers] = STATE(2521),
    [sym_operator_cast_definition] = STATE(1199),
    [sym_operator_cast_declaration] = STATE(1199),
    [sym_constructor_or_destructor_definition] = STATE(1199),
    [sym_constructor_or_destructor_declaration] = STATE(1199),
    [sym_friend_declaration] = STATE(1199),
    [sym_access_specifier] = STATE(10120),
    [sym_reference_declarator] = STATE(7680),
    [sym_structured_binding_declarator] = STATE(7680),
    [sym_template_type] = STATE(3050),
    [sym_template_function] = STATE(7680),
    [sym_using_declaration] = STATE(1199),
    [sym_alias_declaration] = STATE(1199),
    [sym_static_assert_declaration] = STATE(1199),
    [sym_destructor_name] = STATE(7680),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6733),
    [sym_qualified_identifier] = STATE(7680),
    [sym_qualified_type_identifier] = STATE(3068),
    [sym_qualified_operator_cast_identifier] = STATE(8041),
    [sym_operator_name] = STATE(7680),
    [sym_qualifiers] = STATE(3159),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(1199),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2680),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3021),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2521),
    [sym_identifier] = ACTIONS(2857),
    [aux_sym_preproc_def_token1] = ACTIONS(2988),
    [aux_sym_preproc_if_token1] = ACTIONS(2990),
    [aux_sym_preproc_if_token2] = ACTIONS(3138),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2994),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2994),
    [aux_sym_preproc_else_token1] = ACTIONS(2867),
    [aux_sym_preproc_elif_token1] = ACTIONS(2869),
    [sym_preproc_directive] = ACTIONS(2996),
    [anon_sym_LPAREN2] = ACTIONS(2875),
    [anon_sym_TILDE] = ACTIONS(2877),
    [anon_sym_STAR] = ACTIONS(2879),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(2881),
    [anon_sym___extension__] = ACTIONS(2998),
    [anon_sym_typedef] = ACTIONS(3000),
    [anon_sym_in] = ACTIONS(37),
    [anon_sym_out] = ACTIONS(37),
    [anon_sym_inout] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(2887),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2096),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(2889),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(2891),
    [anon_sym_enum] = ACTIONS(2893),
    [anon_sym_class] = ACTIONS(2895),
    [anon_sym_struct] = ACTIONS(2897),
    [anon_sym_union] = ACTIONS(2899),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [anon_sym_virtual] = ACTIONS(123),
    [anon_sym_alignas] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(2901),
    [anon_sym_template] = ACTIONS(3002),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_friend] = ACTIONS(3004),
    [anon_sym_public] = ACTIONS(2907),
    [anon_sym_private] = ACTIONS(2907),
    [anon_sym_protected] = ACTIONS(2907),
    [anon_sym_using] = ACTIONS(3006),
    [anon_sym_static_assert] = ACTIONS(3008),
    [anon_sym_precise] = ACTIONS(161),
    [anon_sym_shared] = ACTIONS(161),
    [anon_sym_groupshared] = ACTIONS(161),
    [anon_sym_uniform] = ACTIONS(161),
    [anon_sym_row_major] = ACTIONS(161),
    [anon_sym_column_major] = ACTIONS(161),
    [anon_sym_globallycoherent] = ACTIONS(161),
    [anon_sym_centroid] = ACTIONS(161),
    [anon_sym_noperspective] = ACTIONS(161),
    [anon_sym_nointerpolation] = ACTIONS(161),
    [anon_sym_sample] = ACTIONS(161),
    [anon_sym_linear] = ACTIONS(161),
    [anon_sym_snorm] = ACTIONS(161),
    [anon_sym_unorm] = ACTIONS(161),
    [anon_sym_point] = ACTIONS(161),
    [anon_sym_line] = ACTIONS(161),
    [anon_sym_triangleadj] = ACTIONS(161),
    [anon_sym_lineadj] = ACTIONS(161),
    [anon_sym_triangle] = ACTIONS(161),
  },
  [1111] = {
    [sym__expression] = STATE(5615),
    [sym__expression_not_binary] = STATE(5024),
    [sym__string] = STATE(5024),
    [sym_conditional_expression] = STATE(5024),
    [sym_assignment_expression] = STATE(5024),
    [sym_pointer_expression] = STATE(4507),
    [sym_unary_expression] = STATE(5024),
    [sym_binary_expression] = STATE(5024),
    [sym_update_expression] = STATE(5024),
    [sym_cast_expression] = STATE(5024),
    [sym_sizeof_expression] = STATE(5024),
    [sym_alignof_expression] = STATE(5024),
    [sym_offsetof_expression] = STATE(5024),
    [sym_generic_expression] = STATE(5024),
    [sym_subscript_expression] = STATE(4507),
    [sym_call_expression] = STATE(4507),
    [sym_gnu_asm_expression] = STATE(5024),
    [sym_field_expression] = STATE(4507),
    [sym_compound_literal_expression] = STATE(5024),
    [sym_parenthesized_expression] = STATE(4507),
    [sym_char_literal] = STATE(5374),
    [sym_concatenated_string] = STATE(5377),
    [sym_string_literal] = STATE(4206),
    [sym_null] = STATE(5024),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9352),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(5024),
    [sym_raw_string_literal] = STATE(4217),
    [sym_co_await_expression] = STATE(5024),
    [sym_new_expression] = STATE(5024),
    [sym_delete_expression] = STATE(5024),
    [sym_requires_clause] = STATE(5024),
    [sym_requires_expression] = STATE(5024),
    [sym_lambda_expression] = STATE(5024),
    [sym_lambda_capture_specifier] = STATE(7184),
    [sym_fold_expression] = STATE(5024),
    [sym_parameter_pack_expansion] = STATE(5024),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6886),
    [sym_qualified_identifier] = STATE(4507),
    [sym_qualified_type_identifier] = STATE(9352),
    [sym_user_defined_literal] = STATE(4507),
    [sym_identifier] = ACTIONS(3140),
    [anon_sym_LPAREN2] = ACTIONS(1472),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1474),
    [anon_sym_AMP] = ACTIONS(1474),
    [anon_sym___extension__] = ACTIONS(3142),
    [anon_sym_in] = ACTIONS(3142),
    [anon_sym_out] = ACTIONS(3142),
    [anon_sym_inout] = ACTIONS(3142),
    [anon_sym_extern] = ACTIONS(3142),
    [anon_sym___attribute__] = ACTIONS(3142),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3144),
    [anon_sym___declspec] = ACTIONS(3142),
    [anon_sym_signed] = ACTIONS(3142),
    [anon_sym_unsigned] = ACTIONS(3142),
    [anon_sym_long] = ACTIONS(3142),
    [anon_sym_short] = ACTIONS(3142),
    [anon_sym_LBRACK] = ACTIONS(2098),
    [anon_sym_static] = ACTIONS(3142),
    [anon_sym_register] = ACTIONS(3142),
    [anon_sym_inline] = ACTIONS(3142),
    [anon_sym___inline] = ACTIONS(3142),
    [anon_sym___inline__] = ACTIONS(3142),
    [anon_sym___forceinline] = ACTIONS(3142),
    [anon_sym_thread_local] = ACTIONS(3142),
    [anon_sym___thread] = ACTIONS(3142),
    [anon_sym_const] = ACTIONS(3142),
    [anon_sym_constexpr] = ACTIONS(3142),
    [anon_sym_volatile] = ACTIONS(3142),
    [anon_sym_restrict] = ACTIONS(3142),
    [anon_sym___restrict__] = ACTIONS(3142),
    [anon_sym__Atomic] = ACTIONS(3142),
    [anon_sym__Noreturn] = ACTIONS(3142),
    [anon_sym_noreturn] = ACTIONS(3142),
    [anon_sym_mutable] = ACTIONS(3142),
    [anon_sym_constinit] = ACTIONS(3142),
    [anon_sym_consteval] = ACTIONS(3142),
    [sym_primitive_type] = ACTIONS(3146),
    [anon_sym_enum] = ACTIONS(3142),
    [anon_sym_class] = ACTIONS(3142),
    [anon_sym_struct] = ACTIONS(3142),
    [anon_sym_union] = ACTIONS(3142),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3142),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_virtual] = ACTIONS(3142),
    [anon_sym_alignas] = ACTIONS(3142),
    [anon_sym_typename] = ACTIONS(3142),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
    [anon_sym_precise] = ACTIONS(3142),
    [anon_sym_shared] = ACTIONS(3142),
    [anon_sym_groupshared] = ACTIONS(3142),
    [anon_sym_uniform] = ACTIONS(3142),
    [anon_sym_row_major] = ACTIONS(3142),
    [anon_sym_column_major] = ACTIONS(3142),
    [anon_sym_globallycoherent] = ACTIONS(3142),
    [anon_sym_centroid] = ACTIONS(3142),
    [anon_sym_noperspective] = ACTIONS(3142),
    [anon_sym_nointerpolation] = ACTIONS(3142),
    [anon_sym_sample] = ACTIONS(3142),
    [anon_sym_linear] = ACTIONS(3142),
    [anon_sym_snorm] = ACTIONS(3142),
    [anon_sym_unorm] = ACTIONS(3142),
    [anon_sym_point] = ACTIONS(3142),
    [anon_sym_line] = ACTIONS(3142),
    [anon_sym_triangleadj] = ACTIONS(3142),
    [anon_sym_lineadj] = ACTIONS(3142),
    [anon_sym_triangle] = ACTIONS(3142),
  },
  [1112] = {
    [sym_identifier] = ACTIONS(2617),
    [aux_sym_preproc_include_token1] = ACTIONS(2617),
    [aux_sym_preproc_def_token1] = ACTIONS(2617),
    [aux_sym_preproc_if_token1] = ACTIONS(2617),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2617),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2617),
    [sym_preproc_directive] = ACTIONS(2617),
    [anon_sym_LPAREN2] = ACTIONS(2619),
    [anon_sym_BANG] = ACTIONS(2619),
    [anon_sym_TILDE] = ACTIONS(2619),
    [anon_sym_DASH] = ACTIONS(2617),
    [anon_sym_PLUS] = ACTIONS(2617),
    [anon_sym_STAR] = ACTIONS(2619),
    [anon_sym_AMP_AMP] = ACTIONS(2619),
    [anon_sym_AMP] = ACTIONS(2617),
    [anon_sym_SEMI] = ACTIONS(2619),
    [anon_sym___extension__] = ACTIONS(2617),
    [anon_sym_typedef] = ACTIONS(2617),
    [anon_sym_in] = ACTIONS(2617),
    [anon_sym_out] = ACTIONS(2617),
    [anon_sym_inout] = ACTIONS(2617),
    [anon_sym_extern] = ACTIONS(2617),
    [anon_sym___attribute__] = ACTIONS(2617),
    [anon_sym_COLON_COLON] = ACTIONS(2619),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2619),
    [anon_sym___declspec] = ACTIONS(2617),
    [anon_sym___based] = ACTIONS(2617),
    [anon_sym___cdecl] = ACTIONS(2617),
    [anon_sym___clrcall] = ACTIONS(2617),
    [anon_sym___stdcall] = ACTIONS(2617),
    [anon_sym___fastcall] = ACTIONS(2617),
    [anon_sym___thiscall] = ACTIONS(2617),
    [anon_sym___vectorcall] = ACTIONS(2617),
    [anon_sym_LBRACE] = ACTIONS(2619),
    [anon_sym_RBRACE] = ACTIONS(2619),
    [anon_sym_signed] = ACTIONS(2617),
    [anon_sym_unsigned] = ACTIONS(2617),
    [anon_sym_long] = ACTIONS(2617),
    [anon_sym_short] = ACTIONS(2617),
    [anon_sym_LBRACK] = ACTIONS(2617),
    [anon_sym_static] = ACTIONS(2617),
    [anon_sym_register] = ACTIONS(2617),
    [anon_sym_inline] = ACTIONS(2617),
    [anon_sym___inline] = ACTIONS(2617),
    [anon_sym___inline__] = ACTIONS(2617),
    [anon_sym___forceinline] = ACTIONS(2617),
    [anon_sym_thread_local] = ACTIONS(2617),
    [anon_sym___thread] = ACTIONS(2617),
    [anon_sym_const] = ACTIONS(2617),
    [anon_sym_constexpr] = ACTIONS(2617),
    [anon_sym_volatile] = ACTIONS(2617),
    [anon_sym_restrict] = ACTIONS(2617),
    [anon_sym___restrict__] = ACTIONS(2617),
    [anon_sym__Atomic] = ACTIONS(2617),
    [anon_sym__Noreturn] = ACTIONS(2617),
    [anon_sym_noreturn] = ACTIONS(2617),
    [anon_sym_mutable] = ACTIONS(2617),
    [anon_sym_constinit] = ACTIONS(2617),
    [anon_sym_consteval] = ACTIONS(2617),
    [sym_primitive_type] = ACTIONS(2617),
    [anon_sym_enum] = ACTIONS(2617),
    [anon_sym_class] = ACTIONS(2617),
    [anon_sym_struct] = ACTIONS(2617),
    [anon_sym_union] = ACTIONS(2617),
    [anon_sym_if] = ACTIONS(2617),
    [anon_sym_switch] = ACTIONS(2617),
    [anon_sym_case] = ACTIONS(2617),
    [anon_sym_default] = ACTIONS(2617),
    [anon_sym_while] = ACTIONS(2617),
    [anon_sym_do] = ACTIONS(2617),
    [anon_sym_for] = ACTIONS(2617),
    [anon_sym_return] = ACTIONS(2617),
    [anon_sym_break] = ACTIONS(2617),
    [anon_sym_continue] = ACTIONS(2617),
    [anon_sym_goto] = ACTIONS(2617),
    [anon_sym___try] = ACTIONS(2617),
    [anon_sym___leave] = ACTIONS(2617),
    [anon_sym_not] = ACTIONS(2617),
    [anon_sym_compl] = ACTIONS(2617),
    [anon_sym_DASH_DASH] = ACTIONS(2619),
    [anon_sym_PLUS_PLUS] = ACTIONS(2619),
    [anon_sym_sizeof] = ACTIONS(2617),
    [anon_sym___alignof__] = ACTIONS(2617),
    [anon_sym___alignof] = ACTIONS(2617),
    [anon_sym__alignof] = ACTIONS(2617),
    [anon_sym_alignof] = ACTIONS(2617),
    [anon_sym__Alignof] = ACTIONS(2617),
    [anon_sym_offsetof] = ACTIONS(2617),
    [anon_sym__Generic] = ACTIONS(2617),
    [anon_sym_asm] = ACTIONS(2617),
    [anon_sym___asm__] = ACTIONS(2617),
    [sym_number_literal] = ACTIONS(2619),
    [anon_sym_L_SQUOTE] = ACTIONS(2619),
    [anon_sym_u_SQUOTE] = ACTIONS(2619),
    [anon_sym_U_SQUOTE] = ACTIONS(2619),
    [anon_sym_u8_SQUOTE] = ACTIONS(2619),
    [anon_sym_SQUOTE] = ACTIONS(2619),
    [anon_sym_L_DQUOTE] = ACTIONS(2619),
    [anon_sym_u_DQUOTE] = ACTIONS(2619),
    [anon_sym_U_DQUOTE] = ACTIONS(2619),
    [anon_sym_u8_DQUOTE] = ACTIONS(2619),
    [anon_sym_DQUOTE] = ACTIONS(2619),
    [sym_true] = ACTIONS(2617),
    [sym_false] = ACTIONS(2617),
    [anon_sym_NULL] = ACTIONS(2617),
    [anon_sym_nullptr] = ACTIONS(2617),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2617),
    [anon_sym_decltype] = ACTIONS(2617),
    [anon_sym_virtual] = ACTIONS(2617),
    [anon_sym_alignas] = ACTIONS(2617),
    [anon_sym_explicit] = ACTIONS(2617),
    [anon_sym_typename] = ACTIONS(2617),
    [anon_sym_template] = ACTIONS(2617),
    [anon_sym_operator] = ACTIONS(2617),
    [anon_sym_try] = ACTIONS(2617),
    [anon_sym_delete] = ACTIONS(2617),
    [anon_sym_throw] = ACTIONS(2617),
    [anon_sym_namespace] = ACTIONS(2617),
    [anon_sym_using] = ACTIONS(2617),
    [anon_sym_static_assert] = ACTIONS(2617),
    [anon_sym_concept] = ACTIONS(2617),
    [anon_sym_co_return] = ACTIONS(2617),
    [anon_sym_co_yield] = ACTIONS(2617),
    [anon_sym_R_DQUOTE] = ACTIONS(2619),
    [anon_sym_LR_DQUOTE] = ACTIONS(2619),
    [anon_sym_uR_DQUOTE] = ACTIONS(2619),
    [anon_sym_UR_DQUOTE] = ACTIONS(2619),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2619),
    [anon_sym_co_await] = ACTIONS(2617),
    [anon_sym_new] = ACTIONS(2617),
    [anon_sym_requires] = ACTIONS(2617),
    [sym_this] = ACTIONS(2617),
    [anon_sym_discard] = ACTIONS(2617),
    [anon_sym_precise] = ACTIONS(2617),
    [anon_sym_shared] = ACTIONS(2617),
    [anon_sym_groupshared] = ACTIONS(2617),
    [anon_sym_uniform] = ACTIONS(2617),
    [anon_sym_row_major] = ACTIONS(2617),
    [anon_sym_column_major] = ACTIONS(2617),
    [anon_sym_globallycoherent] = ACTIONS(2617),
    [anon_sym_centroid] = ACTIONS(2617),
    [anon_sym_noperspective] = ACTIONS(2617),
    [anon_sym_nointerpolation] = ACTIONS(2617),
    [anon_sym_sample] = ACTIONS(2617),
    [anon_sym_linear] = ACTIONS(2617),
    [anon_sym_snorm] = ACTIONS(2617),
    [anon_sym_unorm] = ACTIONS(2617),
    [anon_sym_point] = ACTIONS(2617),
    [anon_sym_line] = ACTIONS(2617),
    [anon_sym_triangleadj] = ACTIONS(2617),
    [anon_sym_lineadj] = ACTIONS(2617),
    [anon_sym_triangle] = ACTIONS(2617),
    [anon_sym_cbuffer] = ACTIONS(2617),
  },
  [1113] = {
    [sym_identifier] = ACTIONS(2600),
    [aux_sym_preproc_include_token1] = ACTIONS(2600),
    [aux_sym_preproc_def_token1] = ACTIONS(2600),
    [aux_sym_preproc_if_token1] = ACTIONS(2600),
    [aux_sym_preproc_if_token2] = ACTIONS(2600),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2600),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2600),
    [sym_preproc_directive] = ACTIONS(2600),
    [anon_sym_LPAREN2] = ACTIONS(2602),
    [anon_sym_BANG] = ACTIONS(2602),
    [anon_sym_TILDE] = ACTIONS(2602),
    [anon_sym_DASH] = ACTIONS(2600),
    [anon_sym_PLUS] = ACTIONS(2600),
    [anon_sym_STAR] = ACTIONS(2602),
    [anon_sym_AMP_AMP] = ACTIONS(2602),
    [anon_sym_AMP] = ACTIONS(2600),
    [anon_sym_SEMI] = ACTIONS(2602),
    [anon_sym___extension__] = ACTIONS(2600),
    [anon_sym_typedef] = ACTIONS(2600),
    [anon_sym_in] = ACTIONS(2600),
    [anon_sym_out] = ACTIONS(2600),
    [anon_sym_inout] = ACTIONS(2600),
    [anon_sym_extern] = ACTIONS(2600),
    [anon_sym___attribute__] = ACTIONS(2600),
    [anon_sym_COLON_COLON] = ACTIONS(2602),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2602),
    [anon_sym___declspec] = ACTIONS(2600),
    [anon_sym___based] = ACTIONS(2600),
    [anon_sym___cdecl] = ACTIONS(2600),
    [anon_sym___clrcall] = ACTIONS(2600),
    [anon_sym___stdcall] = ACTIONS(2600),
    [anon_sym___fastcall] = ACTIONS(2600),
    [anon_sym___thiscall] = ACTIONS(2600),
    [anon_sym___vectorcall] = ACTIONS(2600),
    [anon_sym_LBRACE] = ACTIONS(2602),
    [anon_sym_signed] = ACTIONS(2600),
    [anon_sym_unsigned] = ACTIONS(2600),
    [anon_sym_long] = ACTIONS(2600),
    [anon_sym_short] = ACTIONS(2600),
    [anon_sym_LBRACK] = ACTIONS(2600),
    [anon_sym_static] = ACTIONS(2600),
    [anon_sym_register] = ACTIONS(2600),
    [anon_sym_inline] = ACTIONS(2600),
    [anon_sym___inline] = ACTIONS(2600),
    [anon_sym___inline__] = ACTIONS(2600),
    [anon_sym___forceinline] = ACTIONS(2600),
    [anon_sym_thread_local] = ACTIONS(2600),
    [anon_sym___thread] = ACTIONS(2600),
    [anon_sym_const] = ACTIONS(2600),
    [anon_sym_constexpr] = ACTIONS(2600),
    [anon_sym_volatile] = ACTIONS(2600),
    [anon_sym_restrict] = ACTIONS(2600),
    [anon_sym___restrict__] = ACTIONS(2600),
    [anon_sym__Atomic] = ACTIONS(2600),
    [anon_sym__Noreturn] = ACTIONS(2600),
    [anon_sym_noreturn] = ACTIONS(2600),
    [anon_sym_mutable] = ACTIONS(2600),
    [anon_sym_constinit] = ACTIONS(2600),
    [anon_sym_consteval] = ACTIONS(2600),
    [sym_primitive_type] = ACTIONS(2600),
    [anon_sym_enum] = ACTIONS(2600),
    [anon_sym_class] = ACTIONS(2600),
    [anon_sym_struct] = ACTIONS(2600),
    [anon_sym_union] = ACTIONS(2600),
    [anon_sym_if] = ACTIONS(2600),
    [anon_sym_switch] = ACTIONS(2600),
    [anon_sym_case] = ACTIONS(2600),
    [anon_sym_default] = ACTIONS(2600),
    [anon_sym_while] = ACTIONS(2600),
    [anon_sym_do] = ACTIONS(2600),
    [anon_sym_for] = ACTIONS(2600),
    [anon_sym_return] = ACTIONS(2600),
    [anon_sym_break] = ACTIONS(2600),
    [anon_sym_continue] = ACTIONS(2600),
    [anon_sym_goto] = ACTIONS(2600),
    [anon_sym___try] = ACTIONS(2600),
    [anon_sym___leave] = ACTIONS(2600),
    [anon_sym_not] = ACTIONS(2600),
    [anon_sym_compl] = ACTIONS(2600),
    [anon_sym_DASH_DASH] = ACTIONS(2602),
    [anon_sym_PLUS_PLUS] = ACTIONS(2602),
    [anon_sym_sizeof] = ACTIONS(2600),
    [anon_sym___alignof__] = ACTIONS(2600),
    [anon_sym___alignof] = ACTIONS(2600),
    [anon_sym__alignof] = ACTIONS(2600),
    [anon_sym_alignof] = ACTIONS(2600),
    [anon_sym__Alignof] = ACTIONS(2600),
    [anon_sym_offsetof] = ACTIONS(2600),
    [anon_sym__Generic] = ACTIONS(2600),
    [anon_sym_asm] = ACTIONS(2600),
    [anon_sym___asm__] = ACTIONS(2600),
    [sym_number_literal] = ACTIONS(2602),
    [anon_sym_L_SQUOTE] = ACTIONS(2602),
    [anon_sym_u_SQUOTE] = ACTIONS(2602),
    [anon_sym_U_SQUOTE] = ACTIONS(2602),
    [anon_sym_u8_SQUOTE] = ACTIONS(2602),
    [anon_sym_SQUOTE] = ACTIONS(2602),
    [anon_sym_L_DQUOTE] = ACTIONS(2602),
    [anon_sym_u_DQUOTE] = ACTIONS(2602),
    [anon_sym_U_DQUOTE] = ACTIONS(2602),
    [anon_sym_u8_DQUOTE] = ACTIONS(2602),
    [anon_sym_DQUOTE] = ACTIONS(2602),
    [sym_true] = ACTIONS(2600),
    [sym_false] = ACTIONS(2600),
    [anon_sym_NULL] = ACTIONS(2600),
    [anon_sym_nullptr] = ACTIONS(2600),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2600),
    [anon_sym_decltype] = ACTIONS(2600),
    [anon_sym_virtual] = ACTIONS(2600),
    [anon_sym_alignas] = ACTIONS(2600),
    [anon_sym_explicit] = ACTIONS(2600),
    [anon_sym_typename] = ACTIONS(2600),
    [anon_sym_template] = ACTIONS(2600),
    [anon_sym_operator] = ACTIONS(2600),
    [anon_sym_try] = ACTIONS(2600),
    [anon_sym_delete] = ACTIONS(2600),
    [anon_sym_throw] = ACTIONS(2600),
    [anon_sym_namespace] = ACTIONS(2600),
    [anon_sym_using] = ACTIONS(2600),
    [anon_sym_static_assert] = ACTIONS(2600),
    [anon_sym_concept] = ACTIONS(2600),
    [anon_sym_co_return] = ACTIONS(2600),
    [anon_sym_co_yield] = ACTIONS(2600),
    [anon_sym_R_DQUOTE] = ACTIONS(2602),
    [anon_sym_LR_DQUOTE] = ACTIONS(2602),
    [anon_sym_uR_DQUOTE] = ACTIONS(2602),
    [anon_sym_UR_DQUOTE] = ACTIONS(2602),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2602),
    [anon_sym_co_await] = ACTIONS(2600),
    [anon_sym_new] = ACTIONS(2600),
    [anon_sym_requires] = ACTIONS(2600),
    [sym_this] = ACTIONS(2600),
    [anon_sym_discard] = ACTIONS(2600),
    [anon_sym_precise] = ACTIONS(2600),
    [anon_sym_shared] = ACTIONS(2600),
    [anon_sym_groupshared] = ACTIONS(2600),
    [anon_sym_uniform] = ACTIONS(2600),
    [anon_sym_row_major] = ACTIONS(2600),
    [anon_sym_column_major] = ACTIONS(2600),
    [anon_sym_globallycoherent] = ACTIONS(2600),
    [anon_sym_centroid] = ACTIONS(2600),
    [anon_sym_noperspective] = ACTIONS(2600),
    [anon_sym_nointerpolation] = ACTIONS(2600),
    [anon_sym_sample] = ACTIONS(2600),
    [anon_sym_linear] = ACTIONS(2600),
    [anon_sym_snorm] = ACTIONS(2600),
    [anon_sym_unorm] = ACTIONS(2600),
    [anon_sym_point] = ACTIONS(2600),
    [anon_sym_line] = ACTIONS(2600),
    [anon_sym_triangleadj] = ACTIONS(2600),
    [anon_sym_lineadj] = ACTIONS(2600),
    [anon_sym_triangle] = ACTIONS(2600),
    [anon_sym_cbuffer] = ACTIONS(2600),
  },
  [1114] = {
    [sym_identifier] = ACTIONS(2813),
    [aux_sym_preproc_include_token1] = ACTIONS(2813),
    [aux_sym_preproc_def_token1] = ACTIONS(2813),
    [aux_sym_preproc_if_token1] = ACTIONS(2813),
    [aux_sym_preproc_if_token2] = ACTIONS(2813),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2813),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2813),
    [sym_preproc_directive] = ACTIONS(2813),
    [anon_sym_LPAREN2] = ACTIONS(2815),
    [anon_sym_BANG] = ACTIONS(2815),
    [anon_sym_TILDE] = ACTIONS(2815),
    [anon_sym_DASH] = ACTIONS(2813),
    [anon_sym_PLUS] = ACTIONS(2813),
    [anon_sym_STAR] = ACTIONS(2815),
    [anon_sym_AMP_AMP] = ACTIONS(2815),
    [anon_sym_AMP] = ACTIONS(2813),
    [anon_sym_SEMI] = ACTIONS(2815),
    [anon_sym___extension__] = ACTIONS(2813),
    [anon_sym_typedef] = ACTIONS(2813),
    [anon_sym_in] = ACTIONS(2813),
    [anon_sym_out] = ACTIONS(2813),
    [anon_sym_inout] = ACTIONS(2813),
    [anon_sym_extern] = ACTIONS(2813),
    [anon_sym___attribute__] = ACTIONS(2813),
    [anon_sym_COLON_COLON] = ACTIONS(2815),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2815),
    [anon_sym___declspec] = ACTIONS(2813),
    [anon_sym___based] = ACTIONS(2813),
    [anon_sym___cdecl] = ACTIONS(2813),
    [anon_sym___clrcall] = ACTIONS(2813),
    [anon_sym___stdcall] = ACTIONS(2813),
    [anon_sym___fastcall] = ACTIONS(2813),
    [anon_sym___thiscall] = ACTIONS(2813),
    [anon_sym___vectorcall] = ACTIONS(2813),
    [anon_sym_LBRACE] = ACTIONS(2815),
    [anon_sym_signed] = ACTIONS(2813),
    [anon_sym_unsigned] = ACTIONS(2813),
    [anon_sym_long] = ACTIONS(2813),
    [anon_sym_short] = ACTIONS(2813),
    [anon_sym_LBRACK] = ACTIONS(2813),
    [anon_sym_static] = ACTIONS(2813),
    [anon_sym_register] = ACTIONS(2813),
    [anon_sym_inline] = ACTIONS(2813),
    [anon_sym___inline] = ACTIONS(2813),
    [anon_sym___inline__] = ACTIONS(2813),
    [anon_sym___forceinline] = ACTIONS(2813),
    [anon_sym_thread_local] = ACTIONS(2813),
    [anon_sym___thread] = ACTIONS(2813),
    [anon_sym_const] = ACTIONS(2813),
    [anon_sym_constexpr] = ACTIONS(2813),
    [anon_sym_volatile] = ACTIONS(2813),
    [anon_sym_restrict] = ACTIONS(2813),
    [anon_sym___restrict__] = ACTIONS(2813),
    [anon_sym__Atomic] = ACTIONS(2813),
    [anon_sym__Noreturn] = ACTIONS(2813),
    [anon_sym_noreturn] = ACTIONS(2813),
    [anon_sym_mutable] = ACTIONS(2813),
    [anon_sym_constinit] = ACTIONS(2813),
    [anon_sym_consteval] = ACTIONS(2813),
    [sym_primitive_type] = ACTIONS(2813),
    [anon_sym_enum] = ACTIONS(2813),
    [anon_sym_class] = ACTIONS(2813),
    [anon_sym_struct] = ACTIONS(2813),
    [anon_sym_union] = ACTIONS(2813),
    [anon_sym_if] = ACTIONS(2813),
    [anon_sym_switch] = ACTIONS(2813),
    [anon_sym_case] = ACTIONS(2813),
    [anon_sym_default] = ACTIONS(2813),
    [anon_sym_while] = ACTIONS(2813),
    [anon_sym_do] = ACTIONS(2813),
    [anon_sym_for] = ACTIONS(2813),
    [anon_sym_return] = ACTIONS(2813),
    [anon_sym_break] = ACTIONS(2813),
    [anon_sym_continue] = ACTIONS(2813),
    [anon_sym_goto] = ACTIONS(2813),
    [anon_sym___try] = ACTIONS(2813),
    [anon_sym___leave] = ACTIONS(2813),
    [anon_sym_not] = ACTIONS(2813),
    [anon_sym_compl] = ACTIONS(2813),
    [anon_sym_DASH_DASH] = ACTIONS(2815),
    [anon_sym_PLUS_PLUS] = ACTIONS(2815),
    [anon_sym_sizeof] = ACTIONS(2813),
    [anon_sym___alignof__] = ACTIONS(2813),
    [anon_sym___alignof] = ACTIONS(2813),
    [anon_sym__alignof] = ACTIONS(2813),
    [anon_sym_alignof] = ACTIONS(2813),
    [anon_sym__Alignof] = ACTIONS(2813),
    [anon_sym_offsetof] = ACTIONS(2813),
    [anon_sym__Generic] = ACTIONS(2813),
    [anon_sym_asm] = ACTIONS(2813),
    [anon_sym___asm__] = ACTIONS(2813),
    [sym_number_literal] = ACTIONS(2815),
    [anon_sym_L_SQUOTE] = ACTIONS(2815),
    [anon_sym_u_SQUOTE] = ACTIONS(2815),
    [anon_sym_U_SQUOTE] = ACTIONS(2815),
    [anon_sym_u8_SQUOTE] = ACTIONS(2815),
    [anon_sym_SQUOTE] = ACTIONS(2815),
    [anon_sym_L_DQUOTE] = ACTIONS(2815),
    [anon_sym_u_DQUOTE] = ACTIONS(2815),
    [anon_sym_U_DQUOTE] = ACTIONS(2815),
    [anon_sym_u8_DQUOTE] = ACTIONS(2815),
    [anon_sym_DQUOTE] = ACTIONS(2815),
    [sym_true] = ACTIONS(2813),
    [sym_false] = ACTIONS(2813),
    [anon_sym_NULL] = ACTIONS(2813),
    [anon_sym_nullptr] = ACTIONS(2813),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2813),
    [anon_sym_decltype] = ACTIONS(2813),
    [anon_sym_virtual] = ACTIONS(2813),
    [anon_sym_alignas] = ACTIONS(2813),
    [anon_sym_explicit] = ACTIONS(2813),
    [anon_sym_typename] = ACTIONS(2813),
    [anon_sym_template] = ACTIONS(2813),
    [anon_sym_operator] = ACTIONS(2813),
    [anon_sym_try] = ACTIONS(2813),
    [anon_sym_delete] = ACTIONS(2813),
    [anon_sym_throw] = ACTIONS(2813),
    [anon_sym_namespace] = ACTIONS(2813),
    [anon_sym_using] = ACTIONS(2813),
    [anon_sym_static_assert] = ACTIONS(2813),
    [anon_sym_concept] = ACTIONS(2813),
    [anon_sym_co_return] = ACTIONS(2813),
    [anon_sym_co_yield] = ACTIONS(2813),
    [anon_sym_R_DQUOTE] = ACTIONS(2815),
    [anon_sym_LR_DQUOTE] = ACTIONS(2815),
    [anon_sym_uR_DQUOTE] = ACTIONS(2815),
    [anon_sym_UR_DQUOTE] = ACTIONS(2815),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2815),
    [anon_sym_co_await] = ACTIONS(2813),
    [anon_sym_new] = ACTIONS(2813),
    [anon_sym_requires] = ACTIONS(2813),
    [sym_this] = ACTIONS(2813),
    [anon_sym_discard] = ACTIONS(2813),
    [anon_sym_precise] = ACTIONS(2813),
    [anon_sym_shared] = ACTIONS(2813),
    [anon_sym_groupshared] = ACTIONS(2813),
    [anon_sym_uniform] = ACTIONS(2813),
    [anon_sym_row_major] = ACTIONS(2813),
    [anon_sym_column_major] = ACTIONS(2813),
    [anon_sym_globallycoherent] = ACTIONS(2813),
    [anon_sym_centroid] = ACTIONS(2813),
    [anon_sym_noperspective] = ACTIONS(2813),
    [anon_sym_nointerpolation] = ACTIONS(2813),
    [anon_sym_sample] = ACTIONS(2813),
    [anon_sym_linear] = ACTIONS(2813),
    [anon_sym_snorm] = ACTIONS(2813),
    [anon_sym_unorm] = ACTIONS(2813),
    [anon_sym_point] = ACTIONS(2813),
    [anon_sym_line] = ACTIONS(2813),
    [anon_sym_triangleadj] = ACTIONS(2813),
    [anon_sym_lineadj] = ACTIONS(2813),
    [anon_sym_triangle] = ACTIONS(2813),
    [anon_sym_cbuffer] = ACTIONS(2813),
  },
  [1115] = {
    [sym_identifier] = ACTIONS(2813),
    [aux_sym_preproc_include_token1] = ACTIONS(2813),
    [aux_sym_preproc_def_token1] = ACTIONS(2813),
    [aux_sym_preproc_if_token1] = ACTIONS(2813),
    [aux_sym_preproc_if_token2] = ACTIONS(2813),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2813),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2813),
    [sym_preproc_directive] = ACTIONS(2813),
    [anon_sym_LPAREN2] = ACTIONS(2815),
    [anon_sym_BANG] = ACTIONS(2815),
    [anon_sym_TILDE] = ACTIONS(2815),
    [anon_sym_DASH] = ACTIONS(2813),
    [anon_sym_PLUS] = ACTIONS(2813),
    [anon_sym_STAR] = ACTIONS(2815),
    [anon_sym_AMP_AMP] = ACTIONS(2815),
    [anon_sym_AMP] = ACTIONS(2813),
    [anon_sym_SEMI] = ACTIONS(2815),
    [anon_sym___extension__] = ACTIONS(2813),
    [anon_sym_typedef] = ACTIONS(2813),
    [anon_sym_in] = ACTIONS(2813),
    [anon_sym_out] = ACTIONS(2813),
    [anon_sym_inout] = ACTIONS(2813),
    [anon_sym_extern] = ACTIONS(2813),
    [anon_sym___attribute__] = ACTIONS(2813),
    [anon_sym_COLON_COLON] = ACTIONS(2815),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2815),
    [anon_sym___declspec] = ACTIONS(2813),
    [anon_sym___based] = ACTIONS(2813),
    [anon_sym___cdecl] = ACTIONS(2813),
    [anon_sym___clrcall] = ACTIONS(2813),
    [anon_sym___stdcall] = ACTIONS(2813),
    [anon_sym___fastcall] = ACTIONS(2813),
    [anon_sym___thiscall] = ACTIONS(2813),
    [anon_sym___vectorcall] = ACTIONS(2813),
    [anon_sym_LBRACE] = ACTIONS(2815),
    [anon_sym_signed] = ACTIONS(2813),
    [anon_sym_unsigned] = ACTIONS(2813),
    [anon_sym_long] = ACTIONS(2813),
    [anon_sym_short] = ACTIONS(2813),
    [anon_sym_LBRACK] = ACTIONS(2813),
    [anon_sym_static] = ACTIONS(2813),
    [anon_sym_register] = ACTIONS(2813),
    [anon_sym_inline] = ACTIONS(2813),
    [anon_sym___inline] = ACTIONS(2813),
    [anon_sym___inline__] = ACTIONS(2813),
    [anon_sym___forceinline] = ACTIONS(2813),
    [anon_sym_thread_local] = ACTIONS(2813),
    [anon_sym___thread] = ACTIONS(2813),
    [anon_sym_const] = ACTIONS(2813),
    [anon_sym_constexpr] = ACTIONS(2813),
    [anon_sym_volatile] = ACTIONS(2813),
    [anon_sym_restrict] = ACTIONS(2813),
    [anon_sym___restrict__] = ACTIONS(2813),
    [anon_sym__Atomic] = ACTIONS(2813),
    [anon_sym__Noreturn] = ACTIONS(2813),
    [anon_sym_noreturn] = ACTIONS(2813),
    [anon_sym_mutable] = ACTIONS(2813),
    [anon_sym_constinit] = ACTIONS(2813),
    [anon_sym_consteval] = ACTIONS(2813),
    [sym_primitive_type] = ACTIONS(2813),
    [anon_sym_enum] = ACTIONS(2813),
    [anon_sym_class] = ACTIONS(2813),
    [anon_sym_struct] = ACTIONS(2813),
    [anon_sym_union] = ACTIONS(2813),
    [anon_sym_if] = ACTIONS(2813),
    [anon_sym_switch] = ACTIONS(2813),
    [anon_sym_case] = ACTIONS(2813),
    [anon_sym_default] = ACTIONS(2813),
    [anon_sym_while] = ACTIONS(2813),
    [anon_sym_do] = ACTIONS(2813),
    [anon_sym_for] = ACTIONS(2813),
    [anon_sym_return] = ACTIONS(2813),
    [anon_sym_break] = ACTIONS(2813),
    [anon_sym_continue] = ACTIONS(2813),
    [anon_sym_goto] = ACTIONS(2813),
    [anon_sym___try] = ACTIONS(2813),
    [anon_sym___leave] = ACTIONS(2813),
    [anon_sym_not] = ACTIONS(2813),
    [anon_sym_compl] = ACTIONS(2813),
    [anon_sym_DASH_DASH] = ACTIONS(2815),
    [anon_sym_PLUS_PLUS] = ACTIONS(2815),
    [anon_sym_sizeof] = ACTIONS(2813),
    [anon_sym___alignof__] = ACTIONS(2813),
    [anon_sym___alignof] = ACTIONS(2813),
    [anon_sym__alignof] = ACTIONS(2813),
    [anon_sym_alignof] = ACTIONS(2813),
    [anon_sym__Alignof] = ACTIONS(2813),
    [anon_sym_offsetof] = ACTIONS(2813),
    [anon_sym__Generic] = ACTIONS(2813),
    [anon_sym_asm] = ACTIONS(2813),
    [anon_sym___asm__] = ACTIONS(2813),
    [sym_number_literal] = ACTIONS(2815),
    [anon_sym_L_SQUOTE] = ACTIONS(2815),
    [anon_sym_u_SQUOTE] = ACTIONS(2815),
    [anon_sym_U_SQUOTE] = ACTIONS(2815),
    [anon_sym_u8_SQUOTE] = ACTIONS(2815),
    [anon_sym_SQUOTE] = ACTIONS(2815),
    [anon_sym_L_DQUOTE] = ACTIONS(2815),
    [anon_sym_u_DQUOTE] = ACTIONS(2815),
    [anon_sym_U_DQUOTE] = ACTIONS(2815),
    [anon_sym_u8_DQUOTE] = ACTIONS(2815),
    [anon_sym_DQUOTE] = ACTIONS(2815),
    [sym_true] = ACTIONS(2813),
    [sym_false] = ACTIONS(2813),
    [anon_sym_NULL] = ACTIONS(2813),
    [anon_sym_nullptr] = ACTIONS(2813),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2813),
    [anon_sym_decltype] = ACTIONS(2813),
    [anon_sym_virtual] = ACTIONS(2813),
    [anon_sym_alignas] = ACTIONS(2813),
    [anon_sym_explicit] = ACTIONS(2813),
    [anon_sym_typename] = ACTIONS(2813),
    [anon_sym_template] = ACTIONS(2813),
    [anon_sym_operator] = ACTIONS(2813),
    [anon_sym_try] = ACTIONS(2813),
    [anon_sym_delete] = ACTIONS(2813),
    [anon_sym_throw] = ACTIONS(2813),
    [anon_sym_namespace] = ACTIONS(2813),
    [anon_sym_using] = ACTIONS(2813),
    [anon_sym_static_assert] = ACTIONS(2813),
    [anon_sym_concept] = ACTIONS(2813),
    [anon_sym_co_return] = ACTIONS(2813),
    [anon_sym_co_yield] = ACTIONS(2813),
    [anon_sym_R_DQUOTE] = ACTIONS(2815),
    [anon_sym_LR_DQUOTE] = ACTIONS(2815),
    [anon_sym_uR_DQUOTE] = ACTIONS(2815),
    [anon_sym_UR_DQUOTE] = ACTIONS(2815),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2815),
    [anon_sym_co_await] = ACTIONS(2813),
    [anon_sym_new] = ACTIONS(2813),
    [anon_sym_requires] = ACTIONS(2813),
    [sym_this] = ACTIONS(2813),
    [anon_sym_discard] = ACTIONS(2813),
    [anon_sym_precise] = ACTIONS(2813),
    [anon_sym_shared] = ACTIONS(2813),
    [anon_sym_groupshared] = ACTIONS(2813),
    [anon_sym_uniform] = ACTIONS(2813),
    [anon_sym_row_major] = ACTIONS(2813),
    [anon_sym_column_major] = ACTIONS(2813),
    [anon_sym_globallycoherent] = ACTIONS(2813),
    [anon_sym_centroid] = ACTIONS(2813),
    [anon_sym_noperspective] = ACTIONS(2813),
    [anon_sym_nointerpolation] = ACTIONS(2813),
    [anon_sym_sample] = ACTIONS(2813),
    [anon_sym_linear] = ACTIONS(2813),
    [anon_sym_snorm] = ACTIONS(2813),
    [anon_sym_unorm] = ACTIONS(2813),
    [anon_sym_point] = ACTIONS(2813),
    [anon_sym_line] = ACTIONS(2813),
    [anon_sym_triangleadj] = ACTIONS(2813),
    [anon_sym_lineadj] = ACTIONS(2813),
    [anon_sym_triangle] = ACTIONS(2813),
    [anon_sym_cbuffer] = ACTIONS(2813),
  },
  [1116] = {
    [sym_identifier] = ACTIONS(2669),
    [aux_sym_preproc_include_token1] = ACTIONS(2669),
    [aux_sym_preproc_def_token1] = ACTIONS(2669),
    [aux_sym_preproc_if_token1] = ACTIONS(2669),
    [aux_sym_preproc_if_token2] = ACTIONS(2669),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2669),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2669),
    [sym_preproc_directive] = ACTIONS(2669),
    [anon_sym_LPAREN2] = ACTIONS(2671),
    [anon_sym_BANG] = ACTIONS(2671),
    [anon_sym_TILDE] = ACTIONS(2671),
    [anon_sym_DASH] = ACTIONS(2669),
    [anon_sym_PLUS] = ACTIONS(2669),
    [anon_sym_STAR] = ACTIONS(2671),
    [anon_sym_AMP_AMP] = ACTIONS(2671),
    [anon_sym_AMP] = ACTIONS(2669),
    [anon_sym_SEMI] = ACTIONS(2671),
    [anon_sym___extension__] = ACTIONS(2669),
    [anon_sym_typedef] = ACTIONS(2669),
    [anon_sym_in] = ACTIONS(2669),
    [anon_sym_out] = ACTIONS(2669),
    [anon_sym_inout] = ACTIONS(2669),
    [anon_sym_extern] = ACTIONS(2669),
    [anon_sym___attribute__] = ACTIONS(2669),
    [anon_sym_COLON_COLON] = ACTIONS(2671),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2671),
    [anon_sym___declspec] = ACTIONS(2669),
    [anon_sym___based] = ACTIONS(2669),
    [anon_sym___cdecl] = ACTIONS(2669),
    [anon_sym___clrcall] = ACTIONS(2669),
    [anon_sym___stdcall] = ACTIONS(2669),
    [anon_sym___fastcall] = ACTIONS(2669),
    [anon_sym___thiscall] = ACTIONS(2669),
    [anon_sym___vectorcall] = ACTIONS(2669),
    [anon_sym_LBRACE] = ACTIONS(2671),
    [anon_sym_signed] = ACTIONS(2669),
    [anon_sym_unsigned] = ACTIONS(2669),
    [anon_sym_long] = ACTIONS(2669),
    [anon_sym_short] = ACTIONS(2669),
    [anon_sym_LBRACK] = ACTIONS(2669),
    [anon_sym_static] = ACTIONS(2669),
    [anon_sym_register] = ACTIONS(2669),
    [anon_sym_inline] = ACTIONS(2669),
    [anon_sym___inline] = ACTIONS(2669),
    [anon_sym___inline__] = ACTIONS(2669),
    [anon_sym___forceinline] = ACTIONS(2669),
    [anon_sym_thread_local] = ACTIONS(2669),
    [anon_sym___thread] = ACTIONS(2669),
    [anon_sym_const] = ACTIONS(2669),
    [anon_sym_constexpr] = ACTIONS(2669),
    [anon_sym_volatile] = ACTIONS(2669),
    [anon_sym_restrict] = ACTIONS(2669),
    [anon_sym___restrict__] = ACTIONS(2669),
    [anon_sym__Atomic] = ACTIONS(2669),
    [anon_sym__Noreturn] = ACTIONS(2669),
    [anon_sym_noreturn] = ACTIONS(2669),
    [anon_sym_mutable] = ACTIONS(2669),
    [anon_sym_constinit] = ACTIONS(2669),
    [anon_sym_consteval] = ACTIONS(2669),
    [sym_primitive_type] = ACTIONS(2669),
    [anon_sym_enum] = ACTIONS(2669),
    [anon_sym_class] = ACTIONS(2669),
    [anon_sym_struct] = ACTIONS(2669),
    [anon_sym_union] = ACTIONS(2669),
    [anon_sym_if] = ACTIONS(2669),
    [anon_sym_switch] = ACTIONS(2669),
    [anon_sym_case] = ACTIONS(2669),
    [anon_sym_default] = ACTIONS(2669),
    [anon_sym_while] = ACTIONS(2669),
    [anon_sym_do] = ACTIONS(2669),
    [anon_sym_for] = ACTIONS(2669),
    [anon_sym_return] = ACTIONS(2669),
    [anon_sym_break] = ACTIONS(2669),
    [anon_sym_continue] = ACTIONS(2669),
    [anon_sym_goto] = ACTIONS(2669),
    [anon_sym___try] = ACTIONS(2669),
    [anon_sym___leave] = ACTIONS(2669),
    [anon_sym_not] = ACTIONS(2669),
    [anon_sym_compl] = ACTIONS(2669),
    [anon_sym_DASH_DASH] = ACTIONS(2671),
    [anon_sym_PLUS_PLUS] = ACTIONS(2671),
    [anon_sym_sizeof] = ACTIONS(2669),
    [anon_sym___alignof__] = ACTIONS(2669),
    [anon_sym___alignof] = ACTIONS(2669),
    [anon_sym__alignof] = ACTIONS(2669),
    [anon_sym_alignof] = ACTIONS(2669),
    [anon_sym__Alignof] = ACTIONS(2669),
    [anon_sym_offsetof] = ACTIONS(2669),
    [anon_sym__Generic] = ACTIONS(2669),
    [anon_sym_asm] = ACTIONS(2669),
    [anon_sym___asm__] = ACTIONS(2669),
    [sym_number_literal] = ACTIONS(2671),
    [anon_sym_L_SQUOTE] = ACTIONS(2671),
    [anon_sym_u_SQUOTE] = ACTIONS(2671),
    [anon_sym_U_SQUOTE] = ACTIONS(2671),
    [anon_sym_u8_SQUOTE] = ACTIONS(2671),
    [anon_sym_SQUOTE] = ACTIONS(2671),
    [anon_sym_L_DQUOTE] = ACTIONS(2671),
    [anon_sym_u_DQUOTE] = ACTIONS(2671),
    [anon_sym_U_DQUOTE] = ACTIONS(2671),
    [anon_sym_u8_DQUOTE] = ACTIONS(2671),
    [anon_sym_DQUOTE] = ACTIONS(2671),
    [sym_true] = ACTIONS(2669),
    [sym_false] = ACTIONS(2669),
    [anon_sym_NULL] = ACTIONS(2669),
    [anon_sym_nullptr] = ACTIONS(2669),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2669),
    [anon_sym_decltype] = ACTIONS(2669),
    [anon_sym_virtual] = ACTIONS(2669),
    [anon_sym_alignas] = ACTIONS(2669),
    [anon_sym_explicit] = ACTIONS(2669),
    [anon_sym_typename] = ACTIONS(2669),
    [anon_sym_template] = ACTIONS(2669),
    [anon_sym_operator] = ACTIONS(2669),
    [anon_sym_try] = ACTIONS(2669),
    [anon_sym_delete] = ACTIONS(2669),
    [anon_sym_throw] = ACTIONS(2669),
    [anon_sym_namespace] = ACTIONS(2669),
    [anon_sym_using] = ACTIONS(2669),
    [anon_sym_static_assert] = ACTIONS(2669),
    [anon_sym_concept] = ACTIONS(2669),
    [anon_sym_co_return] = ACTIONS(2669),
    [anon_sym_co_yield] = ACTIONS(2669),
    [anon_sym_R_DQUOTE] = ACTIONS(2671),
    [anon_sym_LR_DQUOTE] = ACTIONS(2671),
    [anon_sym_uR_DQUOTE] = ACTIONS(2671),
    [anon_sym_UR_DQUOTE] = ACTIONS(2671),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2671),
    [anon_sym_co_await] = ACTIONS(2669),
    [anon_sym_new] = ACTIONS(2669),
    [anon_sym_requires] = ACTIONS(2669),
    [sym_this] = ACTIONS(2669),
    [anon_sym_discard] = ACTIONS(2669),
    [anon_sym_precise] = ACTIONS(2669),
    [anon_sym_shared] = ACTIONS(2669),
    [anon_sym_groupshared] = ACTIONS(2669),
    [anon_sym_uniform] = ACTIONS(2669),
    [anon_sym_row_major] = ACTIONS(2669),
    [anon_sym_column_major] = ACTIONS(2669),
    [anon_sym_globallycoherent] = ACTIONS(2669),
    [anon_sym_centroid] = ACTIONS(2669),
    [anon_sym_noperspective] = ACTIONS(2669),
    [anon_sym_nointerpolation] = ACTIONS(2669),
    [anon_sym_sample] = ACTIONS(2669),
    [anon_sym_linear] = ACTIONS(2669),
    [anon_sym_snorm] = ACTIONS(2669),
    [anon_sym_unorm] = ACTIONS(2669),
    [anon_sym_point] = ACTIONS(2669),
    [anon_sym_line] = ACTIONS(2669),
    [anon_sym_triangleadj] = ACTIONS(2669),
    [anon_sym_lineadj] = ACTIONS(2669),
    [anon_sym_triangle] = ACTIONS(2669),
    [anon_sym_cbuffer] = ACTIONS(2669),
  },
  [1117] = {
    [sym_identifier] = ACTIONS(2755),
    [aux_sym_preproc_include_token1] = ACTIONS(2755),
    [aux_sym_preproc_def_token1] = ACTIONS(2755),
    [aux_sym_preproc_if_token1] = ACTIONS(2755),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2755),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2755),
    [sym_preproc_directive] = ACTIONS(2755),
    [anon_sym_LPAREN2] = ACTIONS(2757),
    [anon_sym_BANG] = ACTIONS(2757),
    [anon_sym_TILDE] = ACTIONS(2757),
    [anon_sym_DASH] = ACTIONS(2755),
    [anon_sym_PLUS] = ACTIONS(2755),
    [anon_sym_STAR] = ACTIONS(2757),
    [anon_sym_AMP_AMP] = ACTIONS(2757),
    [anon_sym_AMP] = ACTIONS(2755),
    [anon_sym_SEMI] = ACTIONS(2757),
    [anon_sym___extension__] = ACTIONS(2755),
    [anon_sym_typedef] = ACTIONS(2755),
    [anon_sym_in] = ACTIONS(2755),
    [anon_sym_out] = ACTIONS(2755),
    [anon_sym_inout] = ACTIONS(2755),
    [anon_sym_extern] = ACTIONS(2755),
    [anon_sym___attribute__] = ACTIONS(2755),
    [anon_sym_COLON_COLON] = ACTIONS(2757),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2757),
    [anon_sym___declspec] = ACTIONS(2755),
    [anon_sym___based] = ACTIONS(2755),
    [anon_sym___cdecl] = ACTIONS(2755),
    [anon_sym___clrcall] = ACTIONS(2755),
    [anon_sym___stdcall] = ACTIONS(2755),
    [anon_sym___fastcall] = ACTIONS(2755),
    [anon_sym___thiscall] = ACTIONS(2755),
    [anon_sym___vectorcall] = ACTIONS(2755),
    [anon_sym_LBRACE] = ACTIONS(2757),
    [anon_sym_RBRACE] = ACTIONS(2757),
    [anon_sym_signed] = ACTIONS(2755),
    [anon_sym_unsigned] = ACTIONS(2755),
    [anon_sym_long] = ACTIONS(2755),
    [anon_sym_short] = ACTIONS(2755),
    [anon_sym_LBRACK] = ACTIONS(2755),
    [anon_sym_static] = ACTIONS(2755),
    [anon_sym_register] = ACTIONS(2755),
    [anon_sym_inline] = ACTIONS(2755),
    [anon_sym___inline] = ACTIONS(2755),
    [anon_sym___inline__] = ACTIONS(2755),
    [anon_sym___forceinline] = ACTIONS(2755),
    [anon_sym_thread_local] = ACTIONS(2755),
    [anon_sym___thread] = ACTIONS(2755),
    [anon_sym_const] = ACTIONS(2755),
    [anon_sym_constexpr] = ACTIONS(2755),
    [anon_sym_volatile] = ACTIONS(2755),
    [anon_sym_restrict] = ACTIONS(2755),
    [anon_sym___restrict__] = ACTIONS(2755),
    [anon_sym__Atomic] = ACTIONS(2755),
    [anon_sym__Noreturn] = ACTIONS(2755),
    [anon_sym_noreturn] = ACTIONS(2755),
    [anon_sym_mutable] = ACTIONS(2755),
    [anon_sym_constinit] = ACTIONS(2755),
    [anon_sym_consteval] = ACTIONS(2755),
    [sym_primitive_type] = ACTIONS(2755),
    [anon_sym_enum] = ACTIONS(2755),
    [anon_sym_class] = ACTIONS(2755),
    [anon_sym_struct] = ACTIONS(2755),
    [anon_sym_union] = ACTIONS(2755),
    [anon_sym_if] = ACTIONS(2755),
    [anon_sym_switch] = ACTIONS(2755),
    [anon_sym_case] = ACTIONS(2755),
    [anon_sym_default] = ACTIONS(2755),
    [anon_sym_while] = ACTIONS(2755),
    [anon_sym_do] = ACTIONS(2755),
    [anon_sym_for] = ACTIONS(2755),
    [anon_sym_return] = ACTIONS(2755),
    [anon_sym_break] = ACTIONS(2755),
    [anon_sym_continue] = ACTIONS(2755),
    [anon_sym_goto] = ACTIONS(2755),
    [anon_sym___try] = ACTIONS(2755),
    [anon_sym___leave] = ACTIONS(2755),
    [anon_sym_not] = ACTIONS(2755),
    [anon_sym_compl] = ACTIONS(2755),
    [anon_sym_DASH_DASH] = ACTIONS(2757),
    [anon_sym_PLUS_PLUS] = ACTIONS(2757),
    [anon_sym_sizeof] = ACTIONS(2755),
    [anon_sym___alignof__] = ACTIONS(2755),
    [anon_sym___alignof] = ACTIONS(2755),
    [anon_sym__alignof] = ACTIONS(2755),
    [anon_sym_alignof] = ACTIONS(2755),
    [anon_sym__Alignof] = ACTIONS(2755),
    [anon_sym_offsetof] = ACTIONS(2755),
    [anon_sym__Generic] = ACTIONS(2755),
    [anon_sym_asm] = ACTIONS(2755),
    [anon_sym___asm__] = ACTIONS(2755),
    [sym_number_literal] = ACTIONS(2757),
    [anon_sym_L_SQUOTE] = ACTIONS(2757),
    [anon_sym_u_SQUOTE] = ACTIONS(2757),
    [anon_sym_U_SQUOTE] = ACTIONS(2757),
    [anon_sym_u8_SQUOTE] = ACTIONS(2757),
    [anon_sym_SQUOTE] = ACTIONS(2757),
    [anon_sym_L_DQUOTE] = ACTIONS(2757),
    [anon_sym_u_DQUOTE] = ACTIONS(2757),
    [anon_sym_U_DQUOTE] = ACTIONS(2757),
    [anon_sym_u8_DQUOTE] = ACTIONS(2757),
    [anon_sym_DQUOTE] = ACTIONS(2757),
    [sym_true] = ACTIONS(2755),
    [sym_false] = ACTIONS(2755),
    [anon_sym_NULL] = ACTIONS(2755),
    [anon_sym_nullptr] = ACTIONS(2755),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2755),
    [anon_sym_decltype] = ACTIONS(2755),
    [anon_sym_virtual] = ACTIONS(2755),
    [anon_sym_alignas] = ACTIONS(2755),
    [anon_sym_explicit] = ACTIONS(2755),
    [anon_sym_typename] = ACTIONS(2755),
    [anon_sym_template] = ACTIONS(2755),
    [anon_sym_operator] = ACTIONS(2755),
    [anon_sym_try] = ACTIONS(2755),
    [anon_sym_delete] = ACTIONS(2755),
    [anon_sym_throw] = ACTIONS(2755),
    [anon_sym_namespace] = ACTIONS(2755),
    [anon_sym_using] = ACTIONS(2755),
    [anon_sym_static_assert] = ACTIONS(2755),
    [anon_sym_concept] = ACTIONS(2755),
    [anon_sym_co_return] = ACTIONS(2755),
    [anon_sym_co_yield] = ACTIONS(2755),
    [anon_sym_R_DQUOTE] = ACTIONS(2757),
    [anon_sym_LR_DQUOTE] = ACTIONS(2757),
    [anon_sym_uR_DQUOTE] = ACTIONS(2757),
    [anon_sym_UR_DQUOTE] = ACTIONS(2757),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2757),
    [anon_sym_co_await] = ACTIONS(2755),
    [anon_sym_new] = ACTIONS(2755),
    [anon_sym_requires] = ACTIONS(2755),
    [sym_this] = ACTIONS(2755),
    [anon_sym_discard] = ACTIONS(2755),
    [anon_sym_precise] = ACTIONS(2755),
    [anon_sym_shared] = ACTIONS(2755),
    [anon_sym_groupshared] = ACTIONS(2755),
    [anon_sym_uniform] = ACTIONS(2755),
    [anon_sym_row_major] = ACTIONS(2755),
    [anon_sym_column_major] = ACTIONS(2755),
    [anon_sym_globallycoherent] = ACTIONS(2755),
    [anon_sym_centroid] = ACTIONS(2755),
    [anon_sym_noperspective] = ACTIONS(2755),
    [anon_sym_nointerpolation] = ACTIONS(2755),
    [anon_sym_sample] = ACTIONS(2755),
    [anon_sym_linear] = ACTIONS(2755),
    [anon_sym_snorm] = ACTIONS(2755),
    [anon_sym_unorm] = ACTIONS(2755),
    [anon_sym_point] = ACTIONS(2755),
    [anon_sym_line] = ACTIONS(2755),
    [anon_sym_triangleadj] = ACTIONS(2755),
    [anon_sym_lineadj] = ACTIONS(2755),
    [anon_sym_triangle] = ACTIONS(2755),
    [anon_sym_cbuffer] = ACTIONS(2755),
  },
  [1118] = {
    [sym_identifier] = ACTIONS(2706),
    [aux_sym_preproc_include_token1] = ACTIONS(2706),
    [aux_sym_preproc_def_token1] = ACTIONS(2706),
    [aux_sym_preproc_if_token1] = ACTIONS(2706),
    [aux_sym_preproc_if_token2] = ACTIONS(2706),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2706),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2706),
    [sym_preproc_directive] = ACTIONS(2706),
    [anon_sym_LPAREN2] = ACTIONS(2708),
    [anon_sym_BANG] = ACTIONS(2708),
    [anon_sym_TILDE] = ACTIONS(2708),
    [anon_sym_DASH] = ACTIONS(2706),
    [anon_sym_PLUS] = ACTIONS(2706),
    [anon_sym_STAR] = ACTIONS(2708),
    [anon_sym_AMP_AMP] = ACTIONS(2708),
    [anon_sym_AMP] = ACTIONS(2706),
    [anon_sym_SEMI] = ACTIONS(2708),
    [anon_sym___extension__] = ACTIONS(2706),
    [anon_sym_typedef] = ACTIONS(2706),
    [anon_sym_in] = ACTIONS(2706),
    [anon_sym_out] = ACTIONS(2706),
    [anon_sym_inout] = ACTIONS(2706),
    [anon_sym_extern] = ACTIONS(2706),
    [anon_sym___attribute__] = ACTIONS(2706),
    [anon_sym_COLON_COLON] = ACTIONS(2708),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2708),
    [anon_sym___declspec] = ACTIONS(2706),
    [anon_sym___based] = ACTIONS(2706),
    [anon_sym___cdecl] = ACTIONS(2706),
    [anon_sym___clrcall] = ACTIONS(2706),
    [anon_sym___stdcall] = ACTIONS(2706),
    [anon_sym___fastcall] = ACTIONS(2706),
    [anon_sym___thiscall] = ACTIONS(2706),
    [anon_sym___vectorcall] = ACTIONS(2706),
    [anon_sym_LBRACE] = ACTIONS(2708),
    [anon_sym_signed] = ACTIONS(2706),
    [anon_sym_unsigned] = ACTIONS(2706),
    [anon_sym_long] = ACTIONS(2706),
    [anon_sym_short] = ACTIONS(2706),
    [anon_sym_LBRACK] = ACTIONS(2706),
    [anon_sym_static] = ACTIONS(2706),
    [anon_sym_register] = ACTIONS(2706),
    [anon_sym_inline] = ACTIONS(2706),
    [anon_sym___inline] = ACTIONS(2706),
    [anon_sym___inline__] = ACTIONS(2706),
    [anon_sym___forceinline] = ACTIONS(2706),
    [anon_sym_thread_local] = ACTIONS(2706),
    [anon_sym___thread] = ACTIONS(2706),
    [anon_sym_const] = ACTIONS(2706),
    [anon_sym_constexpr] = ACTIONS(2706),
    [anon_sym_volatile] = ACTIONS(2706),
    [anon_sym_restrict] = ACTIONS(2706),
    [anon_sym___restrict__] = ACTIONS(2706),
    [anon_sym__Atomic] = ACTIONS(2706),
    [anon_sym__Noreturn] = ACTIONS(2706),
    [anon_sym_noreturn] = ACTIONS(2706),
    [anon_sym_mutable] = ACTIONS(2706),
    [anon_sym_constinit] = ACTIONS(2706),
    [anon_sym_consteval] = ACTIONS(2706),
    [sym_primitive_type] = ACTIONS(2706),
    [anon_sym_enum] = ACTIONS(2706),
    [anon_sym_class] = ACTIONS(2706),
    [anon_sym_struct] = ACTIONS(2706),
    [anon_sym_union] = ACTIONS(2706),
    [anon_sym_if] = ACTIONS(2706),
    [anon_sym_switch] = ACTIONS(2706),
    [anon_sym_case] = ACTIONS(2706),
    [anon_sym_default] = ACTIONS(2706),
    [anon_sym_while] = ACTIONS(2706),
    [anon_sym_do] = ACTIONS(2706),
    [anon_sym_for] = ACTIONS(2706),
    [anon_sym_return] = ACTIONS(2706),
    [anon_sym_break] = ACTIONS(2706),
    [anon_sym_continue] = ACTIONS(2706),
    [anon_sym_goto] = ACTIONS(2706),
    [anon_sym___try] = ACTIONS(2706),
    [anon_sym___leave] = ACTIONS(2706),
    [anon_sym_not] = ACTIONS(2706),
    [anon_sym_compl] = ACTIONS(2706),
    [anon_sym_DASH_DASH] = ACTIONS(2708),
    [anon_sym_PLUS_PLUS] = ACTIONS(2708),
    [anon_sym_sizeof] = ACTIONS(2706),
    [anon_sym___alignof__] = ACTIONS(2706),
    [anon_sym___alignof] = ACTIONS(2706),
    [anon_sym__alignof] = ACTIONS(2706),
    [anon_sym_alignof] = ACTIONS(2706),
    [anon_sym__Alignof] = ACTIONS(2706),
    [anon_sym_offsetof] = ACTIONS(2706),
    [anon_sym__Generic] = ACTIONS(2706),
    [anon_sym_asm] = ACTIONS(2706),
    [anon_sym___asm__] = ACTIONS(2706),
    [sym_number_literal] = ACTIONS(2708),
    [anon_sym_L_SQUOTE] = ACTIONS(2708),
    [anon_sym_u_SQUOTE] = ACTIONS(2708),
    [anon_sym_U_SQUOTE] = ACTIONS(2708),
    [anon_sym_u8_SQUOTE] = ACTIONS(2708),
    [anon_sym_SQUOTE] = ACTIONS(2708),
    [anon_sym_L_DQUOTE] = ACTIONS(2708),
    [anon_sym_u_DQUOTE] = ACTIONS(2708),
    [anon_sym_U_DQUOTE] = ACTIONS(2708),
    [anon_sym_u8_DQUOTE] = ACTIONS(2708),
    [anon_sym_DQUOTE] = ACTIONS(2708),
    [sym_true] = ACTIONS(2706),
    [sym_false] = ACTIONS(2706),
    [anon_sym_NULL] = ACTIONS(2706),
    [anon_sym_nullptr] = ACTIONS(2706),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2706),
    [anon_sym_decltype] = ACTIONS(2706),
    [anon_sym_virtual] = ACTIONS(2706),
    [anon_sym_alignas] = ACTIONS(2706),
    [anon_sym_explicit] = ACTIONS(2706),
    [anon_sym_typename] = ACTIONS(2706),
    [anon_sym_template] = ACTIONS(2706),
    [anon_sym_operator] = ACTIONS(2706),
    [anon_sym_try] = ACTIONS(2706),
    [anon_sym_delete] = ACTIONS(2706),
    [anon_sym_throw] = ACTIONS(2706),
    [anon_sym_namespace] = ACTIONS(2706),
    [anon_sym_using] = ACTIONS(2706),
    [anon_sym_static_assert] = ACTIONS(2706),
    [anon_sym_concept] = ACTIONS(2706),
    [anon_sym_co_return] = ACTIONS(2706),
    [anon_sym_co_yield] = ACTIONS(2706),
    [anon_sym_R_DQUOTE] = ACTIONS(2708),
    [anon_sym_LR_DQUOTE] = ACTIONS(2708),
    [anon_sym_uR_DQUOTE] = ACTIONS(2708),
    [anon_sym_UR_DQUOTE] = ACTIONS(2708),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2708),
    [anon_sym_co_await] = ACTIONS(2706),
    [anon_sym_new] = ACTIONS(2706),
    [anon_sym_requires] = ACTIONS(2706),
    [sym_this] = ACTIONS(2706),
    [anon_sym_discard] = ACTIONS(2706),
    [anon_sym_precise] = ACTIONS(2706),
    [anon_sym_shared] = ACTIONS(2706),
    [anon_sym_groupshared] = ACTIONS(2706),
    [anon_sym_uniform] = ACTIONS(2706),
    [anon_sym_row_major] = ACTIONS(2706),
    [anon_sym_column_major] = ACTIONS(2706),
    [anon_sym_globallycoherent] = ACTIONS(2706),
    [anon_sym_centroid] = ACTIONS(2706),
    [anon_sym_noperspective] = ACTIONS(2706),
    [anon_sym_nointerpolation] = ACTIONS(2706),
    [anon_sym_sample] = ACTIONS(2706),
    [anon_sym_linear] = ACTIONS(2706),
    [anon_sym_snorm] = ACTIONS(2706),
    [anon_sym_unorm] = ACTIONS(2706),
    [anon_sym_point] = ACTIONS(2706),
    [anon_sym_line] = ACTIONS(2706),
    [anon_sym_triangleadj] = ACTIONS(2706),
    [anon_sym_lineadj] = ACTIONS(2706),
    [anon_sym_triangle] = ACTIONS(2706),
    [anon_sym_cbuffer] = ACTIONS(2706),
  },
  [1119] = {
    [sym_preproc_def] = STATE(1199),
    [sym_preproc_function_def] = STATE(1199),
    [sym_preproc_call] = STATE(1199),
    [sym_preproc_if_in_field_declaration_list] = STATE(1199),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(1199),
    [sym_preproc_else_in_field_declaration_list] = STATE(10443),
    [sym_preproc_elif_in_field_declaration_list] = STATE(10443),
    [sym_type_definition] = STATE(1199),
    [sym__declaration_modifiers] = STATE(3159),
    [sym__declaration_specifiers] = STATE(6914),
    [sym_attribute_specifier] = STATE(3159),
    [sym_attribute_declaration] = STATE(3159),
    [sym_ms_declspec_modifier] = STATE(3159),
    [sym_ms_based_modifier] = STATE(10332),
    [sym__declarator] = STATE(7978),
    [sym_parenthesized_declarator] = STATE(7680),
    [sym_attributed_declarator] = STATE(7680),
    [sym_pointer_declarator] = STATE(7680),
    [sym_function_declarator] = STATE(7532),
    [sym_array_declarator] = STATE(7680),
    [sym_storage_class_specifier] = STATE(3159),
    [sym_type_qualifier] = STATE(3159),
    [sym__type_specifier] = STATE(2827),
    [sym_sized_type_specifier] = STATE(3085),
    [sym_enum_specifier] = STATE(3085),
    [sym_struct_specifier] = STATE(3085),
    [sym_union_specifier] = STATE(3085),
    [sym__field_declaration_list_item] = STATE(1199),
    [sym_field_declaration] = STATE(1199),
    [sym_placeholder_type_specifier] = STATE(3085),
    [sym_decltype_auto] = STATE(3091),
    [sym_decltype] = STATE(3050),
    [sym_class_specifier] = STATE(3085),
    [sym_virtual] = STATE(3159),
    [sym_alignas_specifier] = STATE(3159),
    [sym_explicit_function_specifier] = STATE(2521),
    [sym_dependent_type] = STATE(3085),
    [sym_template_declaration] = STATE(1199),
    [sym_operator_cast] = STATE(8041),
    [sym_inline_method_definition] = STATE(1199),
    [sym__constructor_specifiers] = STATE(2521),
    [sym_operator_cast_definition] = STATE(1199),
    [sym_operator_cast_declaration] = STATE(1199),
    [sym_constructor_or_destructor_definition] = STATE(1199),
    [sym_constructor_or_destructor_declaration] = STATE(1199),
    [sym_friend_declaration] = STATE(1199),
    [sym_access_specifier] = STATE(10120),
    [sym_reference_declarator] = STATE(7680),
    [sym_structured_binding_declarator] = STATE(7680),
    [sym_template_type] = STATE(3050),
    [sym_template_function] = STATE(7680),
    [sym_using_declaration] = STATE(1199),
    [sym_alias_declaration] = STATE(1199),
    [sym_static_assert_declaration] = STATE(1199),
    [sym_destructor_name] = STATE(7680),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6733),
    [sym_qualified_identifier] = STATE(7680),
    [sym_qualified_type_identifier] = STATE(3068),
    [sym_qualified_operator_cast_identifier] = STATE(8041),
    [sym_operator_name] = STATE(7680),
    [sym_qualifiers] = STATE(3159),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(1199),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2680),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3021),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2521),
    [sym_identifier] = ACTIONS(2857),
    [aux_sym_preproc_def_token1] = ACTIONS(2988),
    [aux_sym_preproc_if_token1] = ACTIONS(2990),
    [aux_sym_preproc_if_token2] = ACTIONS(3150),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2994),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2994),
    [aux_sym_preproc_else_token1] = ACTIONS(2867),
    [aux_sym_preproc_elif_token1] = ACTIONS(2869),
    [sym_preproc_directive] = ACTIONS(2996),
    [anon_sym_LPAREN2] = ACTIONS(2875),
    [anon_sym_TILDE] = ACTIONS(2877),
    [anon_sym_STAR] = ACTIONS(2879),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(2881),
    [anon_sym___extension__] = ACTIONS(2998),
    [anon_sym_typedef] = ACTIONS(3000),
    [anon_sym_in] = ACTIONS(37),
    [anon_sym_out] = ACTIONS(37),
    [anon_sym_inout] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(2887),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2096),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(2889),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(2891),
    [anon_sym_enum] = ACTIONS(2893),
    [anon_sym_class] = ACTIONS(2895),
    [anon_sym_struct] = ACTIONS(2897),
    [anon_sym_union] = ACTIONS(2899),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [anon_sym_virtual] = ACTIONS(123),
    [anon_sym_alignas] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(2901),
    [anon_sym_template] = ACTIONS(3002),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_friend] = ACTIONS(3004),
    [anon_sym_public] = ACTIONS(2907),
    [anon_sym_private] = ACTIONS(2907),
    [anon_sym_protected] = ACTIONS(2907),
    [anon_sym_using] = ACTIONS(3006),
    [anon_sym_static_assert] = ACTIONS(3008),
    [anon_sym_precise] = ACTIONS(161),
    [anon_sym_shared] = ACTIONS(161),
    [anon_sym_groupshared] = ACTIONS(161),
    [anon_sym_uniform] = ACTIONS(161),
    [anon_sym_row_major] = ACTIONS(161),
    [anon_sym_column_major] = ACTIONS(161),
    [anon_sym_globallycoherent] = ACTIONS(161),
    [anon_sym_centroid] = ACTIONS(161),
    [anon_sym_noperspective] = ACTIONS(161),
    [anon_sym_nointerpolation] = ACTIONS(161),
    [anon_sym_sample] = ACTIONS(161),
    [anon_sym_linear] = ACTIONS(161),
    [anon_sym_snorm] = ACTIONS(161),
    [anon_sym_unorm] = ACTIONS(161),
    [anon_sym_point] = ACTIONS(161),
    [anon_sym_line] = ACTIONS(161),
    [anon_sym_triangleadj] = ACTIONS(161),
    [anon_sym_lineadj] = ACTIONS(161),
    [anon_sym_triangle] = ACTIONS(161),
  },
  [1120] = {
    [sym_preproc_def] = STATE(1104),
    [sym_preproc_function_def] = STATE(1104),
    [sym_preproc_call] = STATE(1104),
    [sym_preproc_if_in_field_declaration_list] = STATE(1104),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(1104),
    [sym_preproc_else_in_field_declaration_list] = STATE(10440),
    [sym_preproc_elif_in_field_declaration_list] = STATE(10440),
    [sym_type_definition] = STATE(1104),
    [sym__declaration_modifiers] = STATE(3159),
    [sym__declaration_specifiers] = STATE(6914),
    [sym_attribute_specifier] = STATE(3159),
    [sym_attribute_declaration] = STATE(3159),
    [sym_ms_declspec_modifier] = STATE(3159),
    [sym_ms_based_modifier] = STATE(10332),
    [sym__declarator] = STATE(7978),
    [sym_parenthesized_declarator] = STATE(7680),
    [sym_attributed_declarator] = STATE(7680),
    [sym_pointer_declarator] = STATE(7680),
    [sym_function_declarator] = STATE(7532),
    [sym_array_declarator] = STATE(7680),
    [sym_storage_class_specifier] = STATE(3159),
    [sym_type_qualifier] = STATE(3159),
    [sym__type_specifier] = STATE(2827),
    [sym_sized_type_specifier] = STATE(3085),
    [sym_enum_specifier] = STATE(3085),
    [sym_struct_specifier] = STATE(3085),
    [sym_union_specifier] = STATE(3085),
    [sym__field_declaration_list_item] = STATE(1104),
    [sym_field_declaration] = STATE(1104),
    [sym_placeholder_type_specifier] = STATE(3085),
    [sym_decltype_auto] = STATE(3091),
    [sym_decltype] = STATE(3050),
    [sym_class_specifier] = STATE(3085),
    [sym_virtual] = STATE(3159),
    [sym_alignas_specifier] = STATE(3159),
    [sym_explicit_function_specifier] = STATE(2521),
    [sym_dependent_type] = STATE(3085),
    [sym_template_declaration] = STATE(1104),
    [sym_operator_cast] = STATE(8041),
    [sym_inline_method_definition] = STATE(1104),
    [sym__constructor_specifiers] = STATE(2521),
    [sym_operator_cast_definition] = STATE(1104),
    [sym_operator_cast_declaration] = STATE(1104),
    [sym_constructor_or_destructor_definition] = STATE(1104),
    [sym_constructor_or_destructor_declaration] = STATE(1104),
    [sym_friend_declaration] = STATE(1104),
    [sym_access_specifier] = STATE(10120),
    [sym_reference_declarator] = STATE(7680),
    [sym_structured_binding_declarator] = STATE(7680),
    [sym_template_type] = STATE(3050),
    [sym_template_function] = STATE(7680),
    [sym_using_declaration] = STATE(1104),
    [sym_alias_declaration] = STATE(1104),
    [sym_static_assert_declaration] = STATE(1104),
    [sym_destructor_name] = STATE(7680),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6733),
    [sym_qualified_identifier] = STATE(7680),
    [sym_qualified_type_identifier] = STATE(3068),
    [sym_qualified_operator_cast_identifier] = STATE(8041),
    [sym_operator_name] = STATE(7680),
    [sym_qualifiers] = STATE(3159),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(1104),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2680),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3021),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2521),
    [sym_identifier] = ACTIONS(2857),
    [aux_sym_preproc_def_token1] = ACTIONS(2988),
    [aux_sym_preproc_if_token1] = ACTIONS(2990),
    [aux_sym_preproc_if_token2] = ACTIONS(3152),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2994),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2994),
    [aux_sym_preproc_else_token1] = ACTIONS(2867),
    [aux_sym_preproc_elif_token1] = ACTIONS(2869),
    [sym_preproc_directive] = ACTIONS(2996),
    [anon_sym_LPAREN2] = ACTIONS(2875),
    [anon_sym_TILDE] = ACTIONS(2877),
    [anon_sym_STAR] = ACTIONS(2879),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(2881),
    [anon_sym___extension__] = ACTIONS(2998),
    [anon_sym_typedef] = ACTIONS(3000),
    [anon_sym_in] = ACTIONS(37),
    [anon_sym_out] = ACTIONS(37),
    [anon_sym_inout] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(2887),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2096),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(2889),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(2891),
    [anon_sym_enum] = ACTIONS(2893),
    [anon_sym_class] = ACTIONS(2895),
    [anon_sym_struct] = ACTIONS(2897),
    [anon_sym_union] = ACTIONS(2899),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [anon_sym_virtual] = ACTIONS(123),
    [anon_sym_alignas] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(2901),
    [anon_sym_template] = ACTIONS(3002),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_friend] = ACTIONS(3004),
    [anon_sym_public] = ACTIONS(2907),
    [anon_sym_private] = ACTIONS(2907),
    [anon_sym_protected] = ACTIONS(2907),
    [anon_sym_using] = ACTIONS(3006),
    [anon_sym_static_assert] = ACTIONS(3008),
    [anon_sym_precise] = ACTIONS(161),
    [anon_sym_shared] = ACTIONS(161),
    [anon_sym_groupshared] = ACTIONS(161),
    [anon_sym_uniform] = ACTIONS(161),
    [anon_sym_row_major] = ACTIONS(161),
    [anon_sym_column_major] = ACTIONS(161),
    [anon_sym_globallycoherent] = ACTIONS(161),
    [anon_sym_centroid] = ACTIONS(161),
    [anon_sym_noperspective] = ACTIONS(161),
    [anon_sym_nointerpolation] = ACTIONS(161),
    [anon_sym_sample] = ACTIONS(161),
    [anon_sym_linear] = ACTIONS(161),
    [anon_sym_snorm] = ACTIONS(161),
    [anon_sym_unorm] = ACTIONS(161),
    [anon_sym_point] = ACTIONS(161),
    [anon_sym_line] = ACTIONS(161),
    [anon_sym_triangleadj] = ACTIONS(161),
    [anon_sym_lineadj] = ACTIONS(161),
    [anon_sym_triangle] = ACTIONS(161),
  },
  [1121] = {
    [sym_identifier] = ACTIONS(2665),
    [aux_sym_preproc_include_token1] = ACTIONS(2665),
    [aux_sym_preproc_def_token1] = ACTIONS(2665),
    [aux_sym_preproc_if_token1] = ACTIONS(2665),
    [aux_sym_preproc_if_token2] = ACTIONS(2665),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2665),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2665),
    [sym_preproc_directive] = ACTIONS(2665),
    [anon_sym_LPAREN2] = ACTIONS(2667),
    [anon_sym_BANG] = ACTIONS(2667),
    [anon_sym_TILDE] = ACTIONS(2667),
    [anon_sym_DASH] = ACTIONS(2665),
    [anon_sym_PLUS] = ACTIONS(2665),
    [anon_sym_STAR] = ACTIONS(2667),
    [anon_sym_AMP_AMP] = ACTIONS(2667),
    [anon_sym_AMP] = ACTIONS(2665),
    [anon_sym_SEMI] = ACTIONS(2667),
    [anon_sym___extension__] = ACTIONS(2665),
    [anon_sym_typedef] = ACTIONS(2665),
    [anon_sym_in] = ACTIONS(2665),
    [anon_sym_out] = ACTIONS(2665),
    [anon_sym_inout] = ACTIONS(2665),
    [anon_sym_extern] = ACTIONS(2665),
    [anon_sym___attribute__] = ACTIONS(2665),
    [anon_sym_COLON_COLON] = ACTIONS(2667),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2667),
    [anon_sym___declspec] = ACTIONS(2665),
    [anon_sym___based] = ACTIONS(2665),
    [anon_sym___cdecl] = ACTIONS(2665),
    [anon_sym___clrcall] = ACTIONS(2665),
    [anon_sym___stdcall] = ACTIONS(2665),
    [anon_sym___fastcall] = ACTIONS(2665),
    [anon_sym___thiscall] = ACTIONS(2665),
    [anon_sym___vectorcall] = ACTIONS(2665),
    [anon_sym_LBRACE] = ACTIONS(2667),
    [anon_sym_signed] = ACTIONS(2665),
    [anon_sym_unsigned] = ACTIONS(2665),
    [anon_sym_long] = ACTIONS(2665),
    [anon_sym_short] = ACTIONS(2665),
    [anon_sym_LBRACK] = ACTIONS(2665),
    [anon_sym_static] = ACTIONS(2665),
    [anon_sym_register] = ACTIONS(2665),
    [anon_sym_inline] = ACTIONS(2665),
    [anon_sym___inline] = ACTIONS(2665),
    [anon_sym___inline__] = ACTIONS(2665),
    [anon_sym___forceinline] = ACTIONS(2665),
    [anon_sym_thread_local] = ACTIONS(2665),
    [anon_sym___thread] = ACTIONS(2665),
    [anon_sym_const] = ACTIONS(2665),
    [anon_sym_constexpr] = ACTIONS(2665),
    [anon_sym_volatile] = ACTIONS(2665),
    [anon_sym_restrict] = ACTIONS(2665),
    [anon_sym___restrict__] = ACTIONS(2665),
    [anon_sym__Atomic] = ACTIONS(2665),
    [anon_sym__Noreturn] = ACTIONS(2665),
    [anon_sym_noreturn] = ACTIONS(2665),
    [anon_sym_mutable] = ACTIONS(2665),
    [anon_sym_constinit] = ACTIONS(2665),
    [anon_sym_consteval] = ACTIONS(2665),
    [sym_primitive_type] = ACTIONS(2665),
    [anon_sym_enum] = ACTIONS(2665),
    [anon_sym_class] = ACTIONS(2665),
    [anon_sym_struct] = ACTIONS(2665),
    [anon_sym_union] = ACTIONS(2665),
    [anon_sym_if] = ACTIONS(2665),
    [anon_sym_switch] = ACTIONS(2665),
    [anon_sym_case] = ACTIONS(2665),
    [anon_sym_default] = ACTIONS(2665),
    [anon_sym_while] = ACTIONS(2665),
    [anon_sym_do] = ACTIONS(2665),
    [anon_sym_for] = ACTIONS(2665),
    [anon_sym_return] = ACTIONS(2665),
    [anon_sym_break] = ACTIONS(2665),
    [anon_sym_continue] = ACTIONS(2665),
    [anon_sym_goto] = ACTIONS(2665),
    [anon_sym___try] = ACTIONS(2665),
    [anon_sym___leave] = ACTIONS(2665),
    [anon_sym_not] = ACTIONS(2665),
    [anon_sym_compl] = ACTIONS(2665),
    [anon_sym_DASH_DASH] = ACTIONS(2667),
    [anon_sym_PLUS_PLUS] = ACTIONS(2667),
    [anon_sym_sizeof] = ACTIONS(2665),
    [anon_sym___alignof__] = ACTIONS(2665),
    [anon_sym___alignof] = ACTIONS(2665),
    [anon_sym__alignof] = ACTIONS(2665),
    [anon_sym_alignof] = ACTIONS(2665),
    [anon_sym__Alignof] = ACTIONS(2665),
    [anon_sym_offsetof] = ACTIONS(2665),
    [anon_sym__Generic] = ACTIONS(2665),
    [anon_sym_asm] = ACTIONS(2665),
    [anon_sym___asm__] = ACTIONS(2665),
    [sym_number_literal] = ACTIONS(2667),
    [anon_sym_L_SQUOTE] = ACTIONS(2667),
    [anon_sym_u_SQUOTE] = ACTIONS(2667),
    [anon_sym_U_SQUOTE] = ACTIONS(2667),
    [anon_sym_u8_SQUOTE] = ACTIONS(2667),
    [anon_sym_SQUOTE] = ACTIONS(2667),
    [anon_sym_L_DQUOTE] = ACTIONS(2667),
    [anon_sym_u_DQUOTE] = ACTIONS(2667),
    [anon_sym_U_DQUOTE] = ACTIONS(2667),
    [anon_sym_u8_DQUOTE] = ACTIONS(2667),
    [anon_sym_DQUOTE] = ACTIONS(2667),
    [sym_true] = ACTIONS(2665),
    [sym_false] = ACTIONS(2665),
    [anon_sym_NULL] = ACTIONS(2665),
    [anon_sym_nullptr] = ACTIONS(2665),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2665),
    [anon_sym_decltype] = ACTIONS(2665),
    [anon_sym_virtual] = ACTIONS(2665),
    [anon_sym_alignas] = ACTIONS(2665),
    [anon_sym_explicit] = ACTIONS(2665),
    [anon_sym_typename] = ACTIONS(2665),
    [anon_sym_template] = ACTIONS(2665),
    [anon_sym_operator] = ACTIONS(2665),
    [anon_sym_try] = ACTIONS(2665),
    [anon_sym_delete] = ACTIONS(2665),
    [anon_sym_throw] = ACTIONS(2665),
    [anon_sym_namespace] = ACTIONS(2665),
    [anon_sym_using] = ACTIONS(2665),
    [anon_sym_static_assert] = ACTIONS(2665),
    [anon_sym_concept] = ACTIONS(2665),
    [anon_sym_co_return] = ACTIONS(2665),
    [anon_sym_co_yield] = ACTIONS(2665),
    [anon_sym_R_DQUOTE] = ACTIONS(2667),
    [anon_sym_LR_DQUOTE] = ACTIONS(2667),
    [anon_sym_uR_DQUOTE] = ACTIONS(2667),
    [anon_sym_UR_DQUOTE] = ACTIONS(2667),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2667),
    [anon_sym_co_await] = ACTIONS(2665),
    [anon_sym_new] = ACTIONS(2665),
    [anon_sym_requires] = ACTIONS(2665),
    [sym_this] = ACTIONS(2665),
    [anon_sym_discard] = ACTIONS(2665),
    [anon_sym_precise] = ACTIONS(2665),
    [anon_sym_shared] = ACTIONS(2665),
    [anon_sym_groupshared] = ACTIONS(2665),
    [anon_sym_uniform] = ACTIONS(2665),
    [anon_sym_row_major] = ACTIONS(2665),
    [anon_sym_column_major] = ACTIONS(2665),
    [anon_sym_globallycoherent] = ACTIONS(2665),
    [anon_sym_centroid] = ACTIONS(2665),
    [anon_sym_noperspective] = ACTIONS(2665),
    [anon_sym_nointerpolation] = ACTIONS(2665),
    [anon_sym_sample] = ACTIONS(2665),
    [anon_sym_linear] = ACTIONS(2665),
    [anon_sym_snorm] = ACTIONS(2665),
    [anon_sym_unorm] = ACTIONS(2665),
    [anon_sym_point] = ACTIONS(2665),
    [anon_sym_line] = ACTIONS(2665),
    [anon_sym_triangleadj] = ACTIONS(2665),
    [anon_sym_lineadj] = ACTIONS(2665),
    [anon_sym_triangle] = ACTIONS(2665),
    [anon_sym_cbuffer] = ACTIONS(2665),
  },
  [1122] = {
    [sym_identifier] = ACTIONS(2729),
    [aux_sym_preproc_include_token1] = ACTIONS(2729),
    [aux_sym_preproc_def_token1] = ACTIONS(2729),
    [aux_sym_preproc_if_token1] = ACTIONS(2729),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2729),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2729),
    [sym_preproc_directive] = ACTIONS(2729),
    [anon_sym_LPAREN2] = ACTIONS(2731),
    [anon_sym_BANG] = ACTIONS(2731),
    [anon_sym_TILDE] = ACTIONS(2731),
    [anon_sym_DASH] = ACTIONS(2729),
    [anon_sym_PLUS] = ACTIONS(2729),
    [anon_sym_STAR] = ACTIONS(2731),
    [anon_sym_AMP_AMP] = ACTIONS(2731),
    [anon_sym_AMP] = ACTIONS(2729),
    [anon_sym_SEMI] = ACTIONS(2731),
    [anon_sym___extension__] = ACTIONS(2729),
    [anon_sym_typedef] = ACTIONS(2729),
    [anon_sym_in] = ACTIONS(2729),
    [anon_sym_out] = ACTIONS(2729),
    [anon_sym_inout] = ACTIONS(2729),
    [anon_sym_extern] = ACTIONS(2729),
    [anon_sym___attribute__] = ACTIONS(2729),
    [anon_sym_COLON_COLON] = ACTIONS(2731),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2731),
    [anon_sym___declspec] = ACTIONS(2729),
    [anon_sym___based] = ACTIONS(2729),
    [anon_sym___cdecl] = ACTIONS(2729),
    [anon_sym___clrcall] = ACTIONS(2729),
    [anon_sym___stdcall] = ACTIONS(2729),
    [anon_sym___fastcall] = ACTIONS(2729),
    [anon_sym___thiscall] = ACTIONS(2729),
    [anon_sym___vectorcall] = ACTIONS(2729),
    [anon_sym_LBRACE] = ACTIONS(2731),
    [anon_sym_RBRACE] = ACTIONS(2731),
    [anon_sym_signed] = ACTIONS(2729),
    [anon_sym_unsigned] = ACTIONS(2729),
    [anon_sym_long] = ACTIONS(2729),
    [anon_sym_short] = ACTIONS(2729),
    [anon_sym_LBRACK] = ACTIONS(2729),
    [anon_sym_static] = ACTIONS(2729),
    [anon_sym_register] = ACTIONS(2729),
    [anon_sym_inline] = ACTIONS(2729),
    [anon_sym___inline] = ACTIONS(2729),
    [anon_sym___inline__] = ACTIONS(2729),
    [anon_sym___forceinline] = ACTIONS(2729),
    [anon_sym_thread_local] = ACTIONS(2729),
    [anon_sym___thread] = ACTIONS(2729),
    [anon_sym_const] = ACTIONS(2729),
    [anon_sym_constexpr] = ACTIONS(2729),
    [anon_sym_volatile] = ACTIONS(2729),
    [anon_sym_restrict] = ACTIONS(2729),
    [anon_sym___restrict__] = ACTIONS(2729),
    [anon_sym__Atomic] = ACTIONS(2729),
    [anon_sym__Noreturn] = ACTIONS(2729),
    [anon_sym_noreturn] = ACTIONS(2729),
    [anon_sym_mutable] = ACTIONS(2729),
    [anon_sym_constinit] = ACTIONS(2729),
    [anon_sym_consteval] = ACTIONS(2729),
    [sym_primitive_type] = ACTIONS(2729),
    [anon_sym_enum] = ACTIONS(2729),
    [anon_sym_class] = ACTIONS(2729),
    [anon_sym_struct] = ACTIONS(2729),
    [anon_sym_union] = ACTIONS(2729),
    [anon_sym_if] = ACTIONS(2729),
    [anon_sym_switch] = ACTIONS(2729),
    [anon_sym_case] = ACTIONS(2729),
    [anon_sym_default] = ACTIONS(2729),
    [anon_sym_while] = ACTIONS(2729),
    [anon_sym_do] = ACTIONS(2729),
    [anon_sym_for] = ACTIONS(2729),
    [anon_sym_return] = ACTIONS(2729),
    [anon_sym_break] = ACTIONS(2729),
    [anon_sym_continue] = ACTIONS(2729),
    [anon_sym_goto] = ACTIONS(2729),
    [anon_sym___try] = ACTIONS(2729),
    [anon_sym___leave] = ACTIONS(2729),
    [anon_sym_not] = ACTIONS(2729),
    [anon_sym_compl] = ACTIONS(2729),
    [anon_sym_DASH_DASH] = ACTIONS(2731),
    [anon_sym_PLUS_PLUS] = ACTIONS(2731),
    [anon_sym_sizeof] = ACTIONS(2729),
    [anon_sym___alignof__] = ACTIONS(2729),
    [anon_sym___alignof] = ACTIONS(2729),
    [anon_sym__alignof] = ACTIONS(2729),
    [anon_sym_alignof] = ACTIONS(2729),
    [anon_sym__Alignof] = ACTIONS(2729),
    [anon_sym_offsetof] = ACTIONS(2729),
    [anon_sym__Generic] = ACTIONS(2729),
    [anon_sym_asm] = ACTIONS(2729),
    [anon_sym___asm__] = ACTIONS(2729),
    [sym_number_literal] = ACTIONS(2731),
    [anon_sym_L_SQUOTE] = ACTIONS(2731),
    [anon_sym_u_SQUOTE] = ACTIONS(2731),
    [anon_sym_U_SQUOTE] = ACTIONS(2731),
    [anon_sym_u8_SQUOTE] = ACTIONS(2731),
    [anon_sym_SQUOTE] = ACTIONS(2731),
    [anon_sym_L_DQUOTE] = ACTIONS(2731),
    [anon_sym_u_DQUOTE] = ACTIONS(2731),
    [anon_sym_U_DQUOTE] = ACTIONS(2731),
    [anon_sym_u8_DQUOTE] = ACTIONS(2731),
    [anon_sym_DQUOTE] = ACTIONS(2731),
    [sym_true] = ACTIONS(2729),
    [sym_false] = ACTIONS(2729),
    [anon_sym_NULL] = ACTIONS(2729),
    [anon_sym_nullptr] = ACTIONS(2729),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2729),
    [anon_sym_decltype] = ACTIONS(2729),
    [anon_sym_virtual] = ACTIONS(2729),
    [anon_sym_alignas] = ACTIONS(2729),
    [anon_sym_explicit] = ACTIONS(2729),
    [anon_sym_typename] = ACTIONS(2729),
    [anon_sym_template] = ACTIONS(2729),
    [anon_sym_operator] = ACTIONS(2729),
    [anon_sym_try] = ACTIONS(2729),
    [anon_sym_delete] = ACTIONS(2729),
    [anon_sym_throw] = ACTIONS(2729),
    [anon_sym_namespace] = ACTIONS(2729),
    [anon_sym_using] = ACTIONS(2729),
    [anon_sym_static_assert] = ACTIONS(2729),
    [anon_sym_concept] = ACTIONS(2729),
    [anon_sym_co_return] = ACTIONS(2729),
    [anon_sym_co_yield] = ACTIONS(2729),
    [anon_sym_R_DQUOTE] = ACTIONS(2731),
    [anon_sym_LR_DQUOTE] = ACTIONS(2731),
    [anon_sym_uR_DQUOTE] = ACTIONS(2731),
    [anon_sym_UR_DQUOTE] = ACTIONS(2731),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2731),
    [anon_sym_co_await] = ACTIONS(2729),
    [anon_sym_new] = ACTIONS(2729),
    [anon_sym_requires] = ACTIONS(2729),
    [sym_this] = ACTIONS(2729),
    [anon_sym_discard] = ACTIONS(2729),
    [anon_sym_precise] = ACTIONS(2729),
    [anon_sym_shared] = ACTIONS(2729),
    [anon_sym_groupshared] = ACTIONS(2729),
    [anon_sym_uniform] = ACTIONS(2729),
    [anon_sym_row_major] = ACTIONS(2729),
    [anon_sym_column_major] = ACTIONS(2729),
    [anon_sym_globallycoherent] = ACTIONS(2729),
    [anon_sym_centroid] = ACTIONS(2729),
    [anon_sym_noperspective] = ACTIONS(2729),
    [anon_sym_nointerpolation] = ACTIONS(2729),
    [anon_sym_sample] = ACTIONS(2729),
    [anon_sym_linear] = ACTIONS(2729),
    [anon_sym_snorm] = ACTIONS(2729),
    [anon_sym_unorm] = ACTIONS(2729),
    [anon_sym_point] = ACTIONS(2729),
    [anon_sym_line] = ACTIONS(2729),
    [anon_sym_triangleadj] = ACTIONS(2729),
    [anon_sym_lineadj] = ACTIONS(2729),
    [anon_sym_triangle] = ACTIONS(2729),
    [anon_sym_cbuffer] = ACTIONS(2729),
  },
  [1123] = {
    [sym_preproc_def] = STATE(1080),
    [sym_preproc_function_def] = STATE(1080),
    [sym_preproc_call] = STATE(1080),
    [sym_preproc_if_in_field_declaration_list] = STATE(1080),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(1080),
    [sym_preproc_else_in_field_declaration_list] = STATE(9950),
    [sym_preproc_elif_in_field_declaration_list] = STATE(9950),
    [sym_type_definition] = STATE(1080),
    [sym__declaration_modifiers] = STATE(3159),
    [sym__declaration_specifiers] = STATE(6914),
    [sym_attribute_specifier] = STATE(3159),
    [sym_attribute_declaration] = STATE(3159),
    [sym_ms_declspec_modifier] = STATE(3159),
    [sym_ms_based_modifier] = STATE(10332),
    [sym__declarator] = STATE(7978),
    [sym_parenthesized_declarator] = STATE(7680),
    [sym_attributed_declarator] = STATE(7680),
    [sym_pointer_declarator] = STATE(7680),
    [sym_function_declarator] = STATE(7532),
    [sym_array_declarator] = STATE(7680),
    [sym_storage_class_specifier] = STATE(3159),
    [sym_type_qualifier] = STATE(3159),
    [sym__type_specifier] = STATE(2827),
    [sym_sized_type_specifier] = STATE(3085),
    [sym_enum_specifier] = STATE(3085),
    [sym_struct_specifier] = STATE(3085),
    [sym_union_specifier] = STATE(3085),
    [sym__field_declaration_list_item] = STATE(1080),
    [sym_field_declaration] = STATE(1080),
    [sym_placeholder_type_specifier] = STATE(3085),
    [sym_decltype_auto] = STATE(3091),
    [sym_decltype] = STATE(3050),
    [sym_class_specifier] = STATE(3085),
    [sym_virtual] = STATE(3159),
    [sym_alignas_specifier] = STATE(3159),
    [sym_explicit_function_specifier] = STATE(2521),
    [sym_dependent_type] = STATE(3085),
    [sym_template_declaration] = STATE(1080),
    [sym_operator_cast] = STATE(8041),
    [sym_inline_method_definition] = STATE(1080),
    [sym__constructor_specifiers] = STATE(2521),
    [sym_operator_cast_definition] = STATE(1080),
    [sym_operator_cast_declaration] = STATE(1080),
    [sym_constructor_or_destructor_definition] = STATE(1080),
    [sym_constructor_or_destructor_declaration] = STATE(1080),
    [sym_friend_declaration] = STATE(1080),
    [sym_access_specifier] = STATE(10120),
    [sym_reference_declarator] = STATE(7680),
    [sym_structured_binding_declarator] = STATE(7680),
    [sym_template_type] = STATE(3050),
    [sym_template_function] = STATE(7680),
    [sym_using_declaration] = STATE(1080),
    [sym_alias_declaration] = STATE(1080),
    [sym_static_assert_declaration] = STATE(1080),
    [sym_destructor_name] = STATE(7680),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6733),
    [sym_qualified_identifier] = STATE(7680),
    [sym_qualified_type_identifier] = STATE(3068),
    [sym_qualified_operator_cast_identifier] = STATE(8041),
    [sym_operator_name] = STATE(7680),
    [sym_qualifiers] = STATE(3159),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(1080),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2680),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3021),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2521),
    [sym_identifier] = ACTIONS(2857),
    [aux_sym_preproc_def_token1] = ACTIONS(2988),
    [aux_sym_preproc_if_token1] = ACTIONS(2990),
    [aux_sym_preproc_if_token2] = ACTIONS(3154),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2994),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2994),
    [aux_sym_preproc_else_token1] = ACTIONS(2867),
    [aux_sym_preproc_elif_token1] = ACTIONS(2869),
    [sym_preproc_directive] = ACTIONS(2996),
    [anon_sym_LPAREN2] = ACTIONS(2875),
    [anon_sym_TILDE] = ACTIONS(2877),
    [anon_sym_STAR] = ACTIONS(2879),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(2881),
    [anon_sym___extension__] = ACTIONS(2998),
    [anon_sym_typedef] = ACTIONS(3000),
    [anon_sym_in] = ACTIONS(37),
    [anon_sym_out] = ACTIONS(37),
    [anon_sym_inout] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(2887),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2096),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(2889),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(2891),
    [anon_sym_enum] = ACTIONS(2893),
    [anon_sym_class] = ACTIONS(2895),
    [anon_sym_struct] = ACTIONS(2897),
    [anon_sym_union] = ACTIONS(2899),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [anon_sym_virtual] = ACTIONS(123),
    [anon_sym_alignas] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(2901),
    [anon_sym_template] = ACTIONS(3002),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_friend] = ACTIONS(3004),
    [anon_sym_public] = ACTIONS(2907),
    [anon_sym_private] = ACTIONS(2907),
    [anon_sym_protected] = ACTIONS(2907),
    [anon_sym_using] = ACTIONS(3006),
    [anon_sym_static_assert] = ACTIONS(3008),
    [anon_sym_precise] = ACTIONS(161),
    [anon_sym_shared] = ACTIONS(161),
    [anon_sym_groupshared] = ACTIONS(161),
    [anon_sym_uniform] = ACTIONS(161),
    [anon_sym_row_major] = ACTIONS(161),
    [anon_sym_column_major] = ACTIONS(161),
    [anon_sym_globallycoherent] = ACTIONS(161),
    [anon_sym_centroid] = ACTIONS(161),
    [anon_sym_noperspective] = ACTIONS(161),
    [anon_sym_nointerpolation] = ACTIONS(161),
    [anon_sym_sample] = ACTIONS(161),
    [anon_sym_linear] = ACTIONS(161),
    [anon_sym_snorm] = ACTIONS(161),
    [anon_sym_unorm] = ACTIONS(161),
    [anon_sym_point] = ACTIONS(161),
    [anon_sym_line] = ACTIONS(161),
    [anon_sym_triangleadj] = ACTIONS(161),
    [anon_sym_lineadj] = ACTIONS(161),
    [anon_sym_triangle] = ACTIONS(161),
  },
  [1124] = {
    [sym_identifier] = ACTIONS(2516),
    [aux_sym_preproc_include_token1] = ACTIONS(2516),
    [aux_sym_preproc_def_token1] = ACTIONS(2516),
    [aux_sym_preproc_if_token1] = ACTIONS(2516),
    [aux_sym_preproc_if_token2] = ACTIONS(2516),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2516),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2516),
    [sym_preproc_directive] = ACTIONS(2516),
    [anon_sym_LPAREN2] = ACTIONS(2518),
    [anon_sym_BANG] = ACTIONS(2518),
    [anon_sym_TILDE] = ACTIONS(2518),
    [anon_sym_DASH] = ACTIONS(2516),
    [anon_sym_PLUS] = ACTIONS(2516),
    [anon_sym_STAR] = ACTIONS(2518),
    [anon_sym_AMP_AMP] = ACTIONS(2518),
    [anon_sym_AMP] = ACTIONS(2516),
    [anon_sym_SEMI] = ACTIONS(2518),
    [anon_sym___extension__] = ACTIONS(2516),
    [anon_sym_typedef] = ACTIONS(2516),
    [anon_sym_in] = ACTIONS(2516),
    [anon_sym_out] = ACTIONS(2516),
    [anon_sym_inout] = ACTIONS(2516),
    [anon_sym_extern] = ACTIONS(2516),
    [anon_sym___attribute__] = ACTIONS(2516),
    [anon_sym_COLON_COLON] = ACTIONS(2518),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2518),
    [anon_sym___declspec] = ACTIONS(2516),
    [anon_sym___based] = ACTIONS(2516),
    [anon_sym___cdecl] = ACTIONS(2516),
    [anon_sym___clrcall] = ACTIONS(2516),
    [anon_sym___stdcall] = ACTIONS(2516),
    [anon_sym___fastcall] = ACTIONS(2516),
    [anon_sym___thiscall] = ACTIONS(2516),
    [anon_sym___vectorcall] = ACTIONS(2516),
    [anon_sym_LBRACE] = ACTIONS(2518),
    [anon_sym_signed] = ACTIONS(2516),
    [anon_sym_unsigned] = ACTIONS(2516),
    [anon_sym_long] = ACTIONS(2516),
    [anon_sym_short] = ACTIONS(2516),
    [anon_sym_LBRACK] = ACTIONS(2516),
    [anon_sym_static] = ACTIONS(2516),
    [anon_sym_register] = ACTIONS(2516),
    [anon_sym_inline] = ACTIONS(2516),
    [anon_sym___inline] = ACTIONS(2516),
    [anon_sym___inline__] = ACTIONS(2516),
    [anon_sym___forceinline] = ACTIONS(2516),
    [anon_sym_thread_local] = ACTIONS(2516),
    [anon_sym___thread] = ACTIONS(2516),
    [anon_sym_const] = ACTIONS(2516),
    [anon_sym_constexpr] = ACTIONS(2516),
    [anon_sym_volatile] = ACTIONS(2516),
    [anon_sym_restrict] = ACTIONS(2516),
    [anon_sym___restrict__] = ACTIONS(2516),
    [anon_sym__Atomic] = ACTIONS(2516),
    [anon_sym__Noreturn] = ACTIONS(2516),
    [anon_sym_noreturn] = ACTIONS(2516),
    [anon_sym_mutable] = ACTIONS(2516),
    [anon_sym_constinit] = ACTIONS(2516),
    [anon_sym_consteval] = ACTIONS(2516),
    [sym_primitive_type] = ACTIONS(2516),
    [anon_sym_enum] = ACTIONS(2516),
    [anon_sym_class] = ACTIONS(2516),
    [anon_sym_struct] = ACTIONS(2516),
    [anon_sym_union] = ACTIONS(2516),
    [anon_sym_if] = ACTIONS(2516),
    [anon_sym_switch] = ACTIONS(2516),
    [anon_sym_case] = ACTIONS(2516),
    [anon_sym_default] = ACTIONS(2516),
    [anon_sym_while] = ACTIONS(2516),
    [anon_sym_do] = ACTIONS(2516),
    [anon_sym_for] = ACTIONS(2516),
    [anon_sym_return] = ACTIONS(2516),
    [anon_sym_break] = ACTIONS(2516),
    [anon_sym_continue] = ACTIONS(2516),
    [anon_sym_goto] = ACTIONS(2516),
    [anon_sym___try] = ACTIONS(2516),
    [anon_sym___leave] = ACTIONS(2516),
    [anon_sym_not] = ACTIONS(2516),
    [anon_sym_compl] = ACTIONS(2516),
    [anon_sym_DASH_DASH] = ACTIONS(2518),
    [anon_sym_PLUS_PLUS] = ACTIONS(2518),
    [anon_sym_sizeof] = ACTIONS(2516),
    [anon_sym___alignof__] = ACTIONS(2516),
    [anon_sym___alignof] = ACTIONS(2516),
    [anon_sym__alignof] = ACTIONS(2516),
    [anon_sym_alignof] = ACTIONS(2516),
    [anon_sym__Alignof] = ACTIONS(2516),
    [anon_sym_offsetof] = ACTIONS(2516),
    [anon_sym__Generic] = ACTIONS(2516),
    [anon_sym_asm] = ACTIONS(2516),
    [anon_sym___asm__] = ACTIONS(2516),
    [sym_number_literal] = ACTIONS(2518),
    [anon_sym_L_SQUOTE] = ACTIONS(2518),
    [anon_sym_u_SQUOTE] = ACTIONS(2518),
    [anon_sym_U_SQUOTE] = ACTIONS(2518),
    [anon_sym_u8_SQUOTE] = ACTIONS(2518),
    [anon_sym_SQUOTE] = ACTIONS(2518),
    [anon_sym_L_DQUOTE] = ACTIONS(2518),
    [anon_sym_u_DQUOTE] = ACTIONS(2518),
    [anon_sym_U_DQUOTE] = ACTIONS(2518),
    [anon_sym_u8_DQUOTE] = ACTIONS(2518),
    [anon_sym_DQUOTE] = ACTIONS(2518),
    [sym_true] = ACTIONS(2516),
    [sym_false] = ACTIONS(2516),
    [anon_sym_NULL] = ACTIONS(2516),
    [anon_sym_nullptr] = ACTIONS(2516),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2516),
    [anon_sym_decltype] = ACTIONS(2516),
    [anon_sym_virtual] = ACTIONS(2516),
    [anon_sym_alignas] = ACTIONS(2516),
    [anon_sym_explicit] = ACTIONS(2516),
    [anon_sym_typename] = ACTIONS(2516),
    [anon_sym_template] = ACTIONS(2516),
    [anon_sym_operator] = ACTIONS(2516),
    [anon_sym_try] = ACTIONS(2516),
    [anon_sym_delete] = ACTIONS(2516),
    [anon_sym_throw] = ACTIONS(2516),
    [anon_sym_namespace] = ACTIONS(2516),
    [anon_sym_using] = ACTIONS(2516),
    [anon_sym_static_assert] = ACTIONS(2516),
    [anon_sym_concept] = ACTIONS(2516),
    [anon_sym_co_return] = ACTIONS(2516),
    [anon_sym_co_yield] = ACTIONS(2516),
    [anon_sym_R_DQUOTE] = ACTIONS(2518),
    [anon_sym_LR_DQUOTE] = ACTIONS(2518),
    [anon_sym_uR_DQUOTE] = ACTIONS(2518),
    [anon_sym_UR_DQUOTE] = ACTIONS(2518),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2518),
    [anon_sym_co_await] = ACTIONS(2516),
    [anon_sym_new] = ACTIONS(2516),
    [anon_sym_requires] = ACTIONS(2516),
    [sym_this] = ACTIONS(2516),
    [anon_sym_discard] = ACTIONS(2516),
    [anon_sym_precise] = ACTIONS(2516),
    [anon_sym_shared] = ACTIONS(2516),
    [anon_sym_groupshared] = ACTIONS(2516),
    [anon_sym_uniform] = ACTIONS(2516),
    [anon_sym_row_major] = ACTIONS(2516),
    [anon_sym_column_major] = ACTIONS(2516),
    [anon_sym_globallycoherent] = ACTIONS(2516),
    [anon_sym_centroid] = ACTIONS(2516),
    [anon_sym_noperspective] = ACTIONS(2516),
    [anon_sym_nointerpolation] = ACTIONS(2516),
    [anon_sym_sample] = ACTIONS(2516),
    [anon_sym_linear] = ACTIONS(2516),
    [anon_sym_snorm] = ACTIONS(2516),
    [anon_sym_unorm] = ACTIONS(2516),
    [anon_sym_point] = ACTIONS(2516),
    [anon_sym_line] = ACTIONS(2516),
    [anon_sym_triangleadj] = ACTIONS(2516),
    [anon_sym_lineadj] = ACTIONS(2516),
    [anon_sym_triangle] = ACTIONS(2516),
    [anon_sym_cbuffer] = ACTIONS(2516),
  },
  [1125] = {
    [sym_identifier] = ACTIONS(2621),
    [aux_sym_preproc_include_token1] = ACTIONS(2621),
    [aux_sym_preproc_def_token1] = ACTIONS(2621),
    [aux_sym_preproc_if_token1] = ACTIONS(2621),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2621),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2621),
    [sym_preproc_directive] = ACTIONS(2621),
    [anon_sym_LPAREN2] = ACTIONS(2623),
    [anon_sym_BANG] = ACTIONS(2623),
    [anon_sym_TILDE] = ACTIONS(2623),
    [anon_sym_DASH] = ACTIONS(2621),
    [anon_sym_PLUS] = ACTIONS(2621),
    [anon_sym_STAR] = ACTIONS(2623),
    [anon_sym_AMP_AMP] = ACTIONS(2623),
    [anon_sym_AMP] = ACTIONS(2621),
    [anon_sym_SEMI] = ACTIONS(2623),
    [anon_sym___extension__] = ACTIONS(2621),
    [anon_sym_typedef] = ACTIONS(2621),
    [anon_sym_in] = ACTIONS(2621),
    [anon_sym_out] = ACTIONS(2621),
    [anon_sym_inout] = ACTIONS(2621),
    [anon_sym_extern] = ACTIONS(2621),
    [anon_sym___attribute__] = ACTIONS(2621),
    [anon_sym_COLON_COLON] = ACTIONS(2623),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2623),
    [anon_sym___declspec] = ACTIONS(2621),
    [anon_sym___based] = ACTIONS(2621),
    [anon_sym___cdecl] = ACTIONS(2621),
    [anon_sym___clrcall] = ACTIONS(2621),
    [anon_sym___stdcall] = ACTIONS(2621),
    [anon_sym___fastcall] = ACTIONS(2621),
    [anon_sym___thiscall] = ACTIONS(2621),
    [anon_sym___vectorcall] = ACTIONS(2621),
    [anon_sym_LBRACE] = ACTIONS(2623),
    [anon_sym_RBRACE] = ACTIONS(2623),
    [anon_sym_signed] = ACTIONS(2621),
    [anon_sym_unsigned] = ACTIONS(2621),
    [anon_sym_long] = ACTIONS(2621),
    [anon_sym_short] = ACTIONS(2621),
    [anon_sym_LBRACK] = ACTIONS(2621),
    [anon_sym_static] = ACTIONS(2621),
    [anon_sym_register] = ACTIONS(2621),
    [anon_sym_inline] = ACTIONS(2621),
    [anon_sym___inline] = ACTIONS(2621),
    [anon_sym___inline__] = ACTIONS(2621),
    [anon_sym___forceinline] = ACTIONS(2621),
    [anon_sym_thread_local] = ACTIONS(2621),
    [anon_sym___thread] = ACTIONS(2621),
    [anon_sym_const] = ACTIONS(2621),
    [anon_sym_constexpr] = ACTIONS(2621),
    [anon_sym_volatile] = ACTIONS(2621),
    [anon_sym_restrict] = ACTIONS(2621),
    [anon_sym___restrict__] = ACTIONS(2621),
    [anon_sym__Atomic] = ACTIONS(2621),
    [anon_sym__Noreturn] = ACTIONS(2621),
    [anon_sym_noreturn] = ACTIONS(2621),
    [anon_sym_mutable] = ACTIONS(2621),
    [anon_sym_constinit] = ACTIONS(2621),
    [anon_sym_consteval] = ACTIONS(2621),
    [sym_primitive_type] = ACTIONS(2621),
    [anon_sym_enum] = ACTIONS(2621),
    [anon_sym_class] = ACTIONS(2621),
    [anon_sym_struct] = ACTIONS(2621),
    [anon_sym_union] = ACTIONS(2621),
    [anon_sym_if] = ACTIONS(2621),
    [anon_sym_switch] = ACTIONS(2621),
    [anon_sym_case] = ACTIONS(2621),
    [anon_sym_default] = ACTIONS(2621),
    [anon_sym_while] = ACTIONS(2621),
    [anon_sym_do] = ACTIONS(2621),
    [anon_sym_for] = ACTIONS(2621),
    [anon_sym_return] = ACTIONS(2621),
    [anon_sym_break] = ACTIONS(2621),
    [anon_sym_continue] = ACTIONS(2621),
    [anon_sym_goto] = ACTIONS(2621),
    [anon_sym___try] = ACTIONS(2621),
    [anon_sym___leave] = ACTIONS(2621),
    [anon_sym_not] = ACTIONS(2621),
    [anon_sym_compl] = ACTIONS(2621),
    [anon_sym_DASH_DASH] = ACTIONS(2623),
    [anon_sym_PLUS_PLUS] = ACTIONS(2623),
    [anon_sym_sizeof] = ACTIONS(2621),
    [anon_sym___alignof__] = ACTIONS(2621),
    [anon_sym___alignof] = ACTIONS(2621),
    [anon_sym__alignof] = ACTIONS(2621),
    [anon_sym_alignof] = ACTIONS(2621),
    [anon_sym__Alignof] = ACTIONS(2621),
    [anon_sym_offsetof] = ACTIONS(2621),
    [anon_sym__Generic] = ACTIONS(2621),
    [anon_sym_asm] = ACTIONS(2621),
    [anon_sym___asm__] = ACTIONS(2621),
    [sym_number_literal] = ACTIONS(2623),
    [anon_sym_L_SQUOTE] = ACTIONS(2623),
    [anon_sym_u_SQUOTE] = ACTIONS(2623),
    [anon_sym_U_SQUOTE] = ACTIONS(2623),
    [anon_sym_u8_SQUOTE] = ACTIONS(2623),
    [anon_sym_SQUOTE] = ACTIONS(2623),
    [anon_sym_L_DQUOTE] = ACTIONS(2623),
    [anon_sym_u_DQUOTE] = ACTIONS(2623),
    [anon_sym_U_DQUOTE] = ACTIONS(2623),
    [anon_sym_u8_DQUOTE] = ACTIONS(2623),
    [anon_sym_DQUOTE] = ACTIONS(2623),
    [sym_true] = ACTIONS(2621),
    [sym_false] = ACTIONS(2621),
    [anon_sym_NULL] = ACTIONS(2621),
    [anon_sym_nullptr] = ACTIONS(2621),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2621),
    [anon_sym_decltype] = ACTIONS(2621),
    [anon_sym_virtual] = ACTIONS(2621),
    [anon_sym_alignas] = ACTIONS(2621),
    [anon_sym_explicit] = ACTIONS(2621),
    [anon_sym_typename] = ACTIONS(2621),
    [anon_sym_template] = ACTIONS(2621),
    [anon_sym_operator] = ACTIONS(2621),
    [anon_sym_try] = ACTIONS(2621),
    [anon_sym_delete] = ACTIONS(2621),
    [anon_sym_throw] = ACTIONS(2621),
    [anon_sym_namespace] = ACTIONS(2621),
    [anon_sym_using] = ACTIONS(2621),
    [anon_sym_static_assert] = ACTIONS(2621),
    [anon_sym_concept] = ACTIONS(2621),
    [anon_sym_co_return] = ACTIONS(2621),
    [anon_sym_co_yield] = ACTIONS(2621),
    [anon_sym_R_DQUOTE] = ACTIONS(2623),
    [anon_sym_LR_DQUOTE] = ACTIONS(2623),
    [anon_sym_uR_DQUOTE] = ACTIONS(2623),
    [anon_sym_UR_DQUOTE] = ACTIONS(2623),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2623),
    [anon_sym_co_await] = ACTIONS(2621),
    [anon_sym_new] = ACTIONS(2621),
    [anon_sym_requires] = ACTIONS(2621),
    [sym_this] = ACTIONS(2621),
    [anon_sym_discard] = ACTIONS(2621),
    [anon_sym_precise] = ACTIONS(2621),
    [anon_sym_shared] = ACTIONS(2621),
    [anon_sym_groupshared] = ACTIONS(2621),
    [anon_sym_uniform] = ACTIONS(2621),
    [anon_sym_row_major] = ACTIONS(2621),
    [anon_sym_column_major] = ACTIONS(2621),
    [anon_sym_globallycoherent] = ACTIONS(2621),
    [anon_sym_centroid] = ACTIONS(2621),
    [anon_sym_noperspective] = ACTIONS(2621),
    [anon_sym_nointerpolation] = ACTIONS(2621),
    [anon_sym_sample] = ACTIONS(2621),
    [anon_sym_linear] = ACTIONS(2621),
    [anon_sym_snorm] = ACTIONS(2621),
    [anon_sym_unorm] = ACTIONS(2621),
    [anon_sym_point] = ACTIONS(2621),
    [anon_sym_line] = ACTIONS(2621),
    [anon_sym_triangleadj] = ACTIONS(2621),
    [anon_sym_lineadj] = ACTIONS(2621),
    [anon_sym_triangle] = ACTIONS(2621),
    [anon_sym_cbuffer] = ACTIONS(2621),
  },
  [1126] = {
    [sym_identifier] = ACTIONS(2629),
    [aux_sym_preproc_include_token1] = ACTIONS(2629),
    [aux_sym_preproc_def_token1] = ACTIONS(2629),
    [aux_sym_preproc_if_token1] = ACTIONS(2629),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2629),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2629),
    [sym_preproc_directive] = ACTIONS(2629),
    [anon_sym_LPAREN2] = ACTIONS(2631),
    [anon_sym_BANG] = ACTIONS(2631),
    [anon_sym_TILDE] = ACTIONS(2631),
    [anon_sym_DASH] = ACTIONS(2629),
    [anon_sym_PLUS] = ACTIONS(2629),
    [anon_sym_STAR] = ACTIONS(2631),
    [anon_sym_AMP_AMP] = ACTIONS(2631),
    [anon_sym_AMP] = ACTIONS(2629),
    [anon_sym_SEMI] = ACTIONS(2631),
    [anon_sym___extension__] = ACTIONS(2629),
    [anon_sym_typedef] = ACTIONS(2629),
    [anon_sym_in] = ACTIONS(2629),
    [anon_sym_out] = ACTIONS(2629),
    [anon_sym_inout] = ACTIONS(2629),
    [anon_sym_extern] = ACTIONS(2629),
    [anon_sym___attribute__] = ACTIONS(2629),
    [anon_sym_COLON_COLON] = ACTIONS(2631),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2631),
    [anon_sym___declspec] = ACTIONS(2629),
    [anon_sym___based] = ACTIONS(2629),
    [anon_sym___cdecl] = ACTIONS(2629),
    [anon_sym___clrcall] = ACTIONS(2629),
    [anon_sym___stdcall] = ACTIONS(2629),
    [anon_sym___fastcall] = ACTIONS(2629),
    [anon_sym___thiscall] = ACTIONS(2629),
    [anon_sym___vectorcall] = ACTIONS(2629),
    [anon_sym_LBRACE] = ACTIONS(2631),
    [anon_sym_RBRACE] = ACTIONS(2631),
    [anon_sym_signed] = ACTIONS(2629),
    [anon_sym_unsigned] = ACTIONS(2629),
    [anon_sym_long] = ACTIONS(2629),
    [anon_sym_short] = ACTIONS(2629),
    [anon_sym_LBRACK] = ACTIONS(2629),
    [anon_sym_static] = ACTIONS(2629),
    [anon_sym_register] = ACTIONS(2629),
    [anon_sym_inline] = ACTIONS(2629),
    [anon_sym___inline] = ACTIONS(2629),
    [anon_sym___inline__] = ACTIONS(2629),
    [anon_sym___forceinline] = ACTIONS(2629),
    [anon_sym_thread_local] = ACTIONS(2629),
    [anon_sym___thread] = ACTIONS(2629),
    [anon_sym_const] = ACTIONS(2629),
    [anon_sym_constexpr] = ACTIONS(2629),
    [anon_sym_volatile] = ACTIONS(2629),
    [anon_sym_restrict] = ACTIONS(2629),
    [anon_sym___restrict__] = ACTIONS(2629),
    [anon_sym__Atomic] = ACTIONS(2629),
    [anon_sym__Noreturn] = ACTIONS(2629),
    [anon_sym_noreturn] = ACTIONS(2629),
    [anon_sym_mutable] = ACTIONS(2629),
    [anon_sym_constinit] = ACTIONS(2629),
    [anon_sym_consteval] = ACTIONS(2629),
    [sym_primitive_type] = ACTIONS(2629),
    [anon_sym_enum] = ACTIONS(2629),
    [anon_sym_class] = ACTIONS(2629),
    [anon_sym_struct] = ACTIONS(2629),
    [anon_sym_union] = ACTIONS(2629),
    [anon_sym_if] = ACTIONS(2629),
    [anon_sym_switch] = ACTIONS(2629),
    [anon_sym_case] = ACTIONS(2629),
    [anon_sym_default] = ACTIONS(2629),
    [anon_sym_while] = ACTIONS(2629),
    [anon_sym_do] = ACTIONS(2629),
    [anon_sym_for] = ACTIONS(2629),
    [anon_sym_return] = ACTIONS(2629),
    [anon_sym_break] = ACTIONS(2629),
    [anon_sym_continue] = ACTIONS(2629),
    [anon_sym_goto] = ACTIONS(2629),
    [anon_sym___try] = ACTIONS(2629),
    [anon_sym___leave] = ACTIONS(2629),
    [anon_sym_not] = ACTIONS(2629),
    [anon_sym_compl] = ACTIONS(2629),
    [anon_sym_DASH_DASH] = ACTIONS(2631),
    [anon_sym_PLUS_PLUS] = ACTIONS(2631),
    [anon_sym_sizeof] = ACTIONS(2629),
    [anon_sym___alignof__] = ACTIONS(2629),
    [anon_sym___alignof] = ACTIONS(2629),
    [anon_sym__alignof] = ACTIONS(2629),
    [anon_sym_alignof] = ACTIONS(2629),
    [anon_sym__Alignof] = ACTIONS(2629),
    [anon_sym_offsetof] = ACTIONS(2629),
    [anon_sym__Generic] = ACTIONS(2629),
    [anon_sym_asm] = ACTIONS(2629),
    [anon_sym___asm__] = ACTIONS(2629),
    [sym_number_literal] = ACTIONS(2631),
    [anon_sym_L_SQUOTE] = ACTIONS(2631),
    [anon_sym_u_SQUOTE] = ACTIONS(2631),
    [anon_sym_U_SQUOTE] = ACTIONS(2631),
    [anon_sym_u8_SQUOTE] = ACTIONS(2631),
    [anon_sym_SQUOTE] = ACTIONS(2631),
    [anon_sym_L_DQUOTE] = ACTIONS(2631),
    [anon_sym_u_DQUOTE] = ACTIONS(2631),
    [anon_sym_U_DQUOTE] = ACTIONS(2631),
    [anon_sym_u8_DQUOTE] = ACTIONS(2631),
    [anon_sym_DQUOTE] = ACTIONS(2631),
    [sym_true] = ACTIONS(2629),
    [sym_false] = ACTIONS(2629),
    [anon_sym_NULL] = ACTIONS(2629),
    [anon_sym_nullptr] = ACTIONS(2629),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2629),
    [anon_sym_decltype] = ACTIONS(2629),
    [anon_sym_virtual] = ACTIONS(2629),
    [anon_sym_alignas] = ACTIONS(2629),
    [anon_sym_explicit] = ACTIONS(2629),
    [anon_sym_typename] = ACTIONS(2629),
    [anon_sym_template] = ACTIONS(2629),
    [anon_sym_operator] = ACTIONS(2629),
    [anon_sym_try] = ACTIONS(2629),
    [anon_sym_delete] = ACTIONS(2629),
    [anon_sym_throw] = ACTIONS(2629),
    [anon_sym_namespace] = ACTIONS(2629),
    [anon_sym_using] = ACTIONS(2629),
    [anon_sym_static_assert] = ACTIONS(2629),
    [anon_sym_concept] = ACTIONS(2629),
    [anon_sym_co_return] = ACTIONS(2629),
    [anon_sym_co_yield] = ACTIONS(2629),
    [anon_sym_R_DQUOTE] = ACTIONS(2631),
    [anon_sym_LR_DQUOTE] = ACTIONS(2631),
    [anon_sym_uR_DQUOTE] = ACTIONS(2631),
    [anon_sym_UR_DQUOTE] = ACTIONS(2631),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2631),
    [anon_sym_co_await] = ACTIONS(2629),
    [anon_sym_new] = ACTIONS(2629),
    [anon_sym_requires] = ACTIONS(2629),
    [sym_this] = ACTIONS(2629),
    [anon_sym_discard] = ACTIONS(2629),
    [anon_sym_precise] = ACTIONS(2629),
    [anon_sym_shared] = ACTIONS(2629),
    [anon_sym_groupshared] = ACTIONS(2629),
    [anon_sym_uniform] = ACTIONS(2629),
    [anon_sym_row_major] = ACTIONS(2629),
    [anon_sym_column_major] = ACTIONS(2629),
    [anon_sym_globallycoherent] = ACTIONS(2629),
    [anon_sym_centroid] = ACTIONS(2629),
    [anon_sym_noperspective] = ACTIONS(2629),
    [anon_sym_nointerpolation] = ACTIONS(2629),
    [anon_sym_sample] = ACTIONS(2629),
    [anon_sym_linear] = ACTIONS(2629),
    [anon_sym_snorm] = ACTIONS(2629),
    [anon_sym_unorm] = ACTIONS(2629),
    [anon_sym_point] = ACTIONS(2629),
    [anon_sym_line] = ACTIONS(2629),
    [anon_sym_triangleadj] = ACTIONS(2629),
    [anon_sym_lineadj] = ACTIONS(2629),
    [anon_sym_triangle] = ACTIONS(2629),
    [anon_sym_cbuffer] = ACTIONS(2629),
  },
  [1127] = {
    [sym_identifier] = ACTIONS(2717),
    [aux_sym_preproc_include_token1] = ACTIONS(2717),
    [aux_sym_preproc_def_token1] = ACTIONS(2717),
    [aux_sym_preproc_if_token1] = ACTIONS(2717),
    [aux_sym_preproc_if_token2] = ACTIONS(2717),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2717),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2717),
    [sym_preproc_directive] = ACTIONS(2717),
    [anon_sym_LPAREN2] = ACTIONS(2719),
    [anon_sym_BANG] = ACTIONS(2719),
    [anon_sym_TILDE] = ACTIONS(2719),
    [anon_sym_DASH] = ACTIONS(2717),
    [anon_sym_PLUS] = ACTIONS(2717),
    [anon_sym_STAR] = ACTIONS(2719),
    [anon_sym_AMP_AMP] = ACTIONS(2719),
    [anon_sym_AMP] = ACTIONS(2717),
    [anon_sym_SEMI] = ACTIONS(2719),
    [anon_sym___extension__] = ACTIONS(2717),
    [anon_sym_typedef] = ACTIONS(2717),
    [anon_sym_in] = ACTIONS(2717),
    [anon_sym_out] = ACTIONS(2717),
    [anon_sym_inout] = ACTIONS(2717),
    [anon_sym_extern] = ACTIONS(2717),
    [anon_sym___attribute__] = ACTIONS(2717),
    [anon_sym_COLON_COLON] = ACTIONS(2719),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2719),
    [anon_sym___declspec] = ACTIONS(2717),
    [anon_sym___based] = ACTIONS(2717),
    [anon_sym___cdecl] = ACTIONS(2717),
    [anon_sym___clrcall] = ACTIONS(2717),
    [anon_sym___stdcall] = ACTIONS(2717),
    [anon_sym___fastcall] = ACTIONS(2717),
    [anon_sym___thiscall] = ACTIONS(2717),
    [anon_sym___vectorcall] = ACTIONS(2717),
    [anon_sym_LBRACE] = ACTIONS(2719),
    [anon_sym_signed] = ACTIONS(2717),
    [anon_sym_unsigned] = ACTIONS(2717),
    [anon_sym_long] = ACTIONS(2717),
    [anon_sym_short] = ACTIONS(2717),
    [anon_sym_LBRACK] = ACTIONS(2717),
    [anon_sym_static] = ACTIONS(2717),
    [anon_sym_register] = ACTIONS(2717),
    [anon_sym_inline] = ACTIONS(2717),
    [anon_sym___inline] = ACTIONS(2717),
    [anon_sym___inline__] = ACTIONS(2717),
    [anon_sym___forceinline] = ACTIONS(2717),
    [anon_sym_thread_local] = ACTIONS(2717),
    [anon_sym___thread] = ACTIONS(2717),
    [anon_sym_const] = ACTIONS(2717),
    [anon_sym_constexpr] = ACTIONS(2717),
    [anon_sym_volatile] = ACTIONS(2717),
    [anon_sym_restrict] = ACTIONS(2717),
    [anon_sym___restrict__] = ACTIONS(2717),
    [anon_sym__Atomic] = ACTIONS(2717),
    [anon_sym__Noreturn] = ACTIONS(2717),
    [anon_sym_noreturn] = ACTIONS(2717),
    [anon_sym_mutable] = ACTIONS(2717),
    [anon_sym_constinit] = ACTIONS(2717),
    [anon_sym_consteval] = ACTIONS(2717),
    [sym_primitive_type] = ACTIONS(2717),
    [anon_sym_enum] = ACTIONS(2717),
    [anon_sym_class] = ACTIONS(2717),
    [anon_sym_struct] = ACTIONS(2717),
    [anon_sym_union] = ACTIONS(2717),
    [anon_sym_if] = ACTIONS(2717),
    [anon_sym_switch] = ACTIONS(2717),
    [anon_sym_case] = ACTIONS(2717),
    [anon_sym_default] = ACTIONS(2717),
    [anon_sym_while] = ACTIONS(2717),
    [anon_sym_do] = ACTIONS(2717),
    [anon_sym_for] = ACTIONS(2717),
    [anon_sym_return] = ACTIONS(2717),
    [anon_sym_break] = ACTIONS(2717),
    [anon_sym_continue] = ACTIONS(2717),
    [anon_sym_goto] = ACTIONS(2717),
    [anon_sym___try] = ACTIONS(2717),
    [anon_sym___leave] = ACTIONS(2717),
    [anon_sym_not] = ACTIONS(2717),
    [anon_sym_compl] = ACTIONS(2717),
    [anon_sym_DASH_DASH] = ACTIONS(2719),
    [anon_sym_PLUS_PLUS] = ACTIONS(2719),
    [anon_sym_sizeof] = ACTIONS(2717),
    [anon_sym___alignof__] = ACTIONS(2717),
    [anon_sym___alignof] = ACTIONS(2717),
    [anon_sym__alignof] = ACTIONS(2717),
    [anon_sym_alignof] = ACTIONS(2717),
    [anon_sym__Alignof] = ACTIONS(2717),
    [anon_sym_offsetof] = ACTIONS(2717),
    [anon_sym__Generic] = ACTIONS(2717),
    [anon_sym_asm] = ACTIONS(2717),
    [anon_sym___asm__] = ACTIONS(2717),
    [sym_number_literal] = ACTIONS(2719),
    [anon_sym_L_SQUOTE] = ACTIONS(2719),
    [anon_sym_u_SQUOTE] = ACTIONS(2719),
    [anon_sym_U_SQUOTE] = ACTIONS(2719),
    [anon_sym_u8_SQUOTE] = ACTIONS(2719),
    [anon_sym_SQUOTE] = ACTIONS(2719),
    [anon_sym_L_DQUOTE] = ACTIONS(2719),
    [anon_sym_u_DQUOTE] = ACTIONS(2719),
    [anon_sym_U_DQUOTE] = ACTIONS(2719),
    [anon_sym_u8_DQUOTE] = ACTIONS(2719),
    [anon_sym_DQUOTE] = ACTIONS(2719),
    [sym_true] = ACTIONS(2717),
    [sym_false] = ACTIONS(2717),
    [anon_sym_NULL] = ACTIONS(2717),
    [anon_sym_nullptr] = ACTIONS(2717),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2717),
    [anon_sym_decltype] = ACTIONS(2717),
    [anon_sym_virtual] = ACTIONS(2717),
    [anon_sym_alignas] = ACTIONS(2717),
    [anon_sym_explicit] = ACTIONS(2717),
    [anon_sym_typename] = ACTIONS(2717),
    [anon_sym_template] = ACTIONS(2717),
    [anon_sym_operator] = ACTIONS(2717),
    [anon_sym_try] = ACTIONS(2717),
    [anon_sym_delete] = ACTIONS(2717),
    [anon_sym_throw] = ACTIONS(2717),
    [anon_sym_namespace] = ACTIONS(2717),
    [anon_sym_using] = ACTIONS(2717),
    [anon_sym_static_assert] = ACTIONS(2717),
    [anon_sym_concept] = ACTIONS(2717),
    [anon_sym_co_return] = ACTIONS(2717),
    [anon_sym_co_yield] = ACTIONS(2717),
    [anon_sym_R_DQUOTE] = ACTIONS(2719),
    [anon_sym_LR_DQUOTE] = ACTIONS(2719),
    [anon_sym_uR_DQUOTE] = ACTIONS(2719),
    [anon_sym_UR_DQUOTE] = ACTIONS(2719),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2719),
    [anon_sym_co_await] = ACTIONS(2717),
    [anon_sym_new] = ACTIONS(2717),
    [anon_sym_requires] = ACTIONS(2717),
    [sym_this] = ACTIONS(2717),
    [anon_sym_discard] = ACTIONS(2717),
    [anon_sym_precise] = ACTIONS(2717),
    [anon_sym_shared] = ACTIONS(2717),
    [anon_sym_groupshared] = ACTIONS(2717),
    [anon_sym_uniform] = ACTIONS(2717),
    [anon_sym_row_major] = ACTIONS(2717),
    [anon_sym_column_major] = ACTIONS(2717),
    [anon_sym_globallycoherent] = ACTIONS(2717),
    [anon_sym_centroid] = ACTIONS(2717),
    [anon_sym_noperspective] = ACTIONS(2717),
    [anon_sym_nointerpolation] = ACTIONS(2717),
    [anon_sym_sample] = ACTIONS(2717),
    [anon_sym_linear] = ACTIONS(2717),
    [anon_sym_snorm] = ACTIONS(2717),
    [anon_sym_unorm] = ACTIONS(2717),
    [anon_sym_point] = ACTIONS(2717),
    [anon_sym_line] = ACTIONS(2717),
    [anon_sym_triangleadj] = ACTIONS(2717),
    [anon_sym_lineadj] = ACTIONS(2717),
    [anon_sym_triangle] = ACTIONS(2717),
    [anon_sym_cbuffer] = ACTIONS(2717),
  },
  [1128] = {
    [sym_identifier] = ACTIONS(2520),
    [aux_sym_preproc_include_token1] = ACTIONS(2520),
    [aux_sym_preproc_def_token1] = ACTIONS(2520),
    [aux_sym_preproc_if_token1] = ACTIONS(2520),
    [aux_sym_preproc_if_token2] = ACTIONS(2520),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2520),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2520),
    [sym_preproc_directive] = ACTIONS(2520),
    [anon_sym_LPAREN2] = ACTIONS(2522),
    [anon_sym_BANG] = ACTIONS(2522),
    [anon_sym_TILDE] = ACTIONS(2522),
    [anon_sym_DASH] = ACTIONS(2520),
    [anon_sym_PLUS] = ACTIONS(2520),
    [anon_sym_STAR] = ACTIONS(2522),
    [anon_sym_AMP_AMP] = ACTIONS(2522),
    [anon_sym_AMP] = ACTIONS(2520),
    [anon_sym_SEMI] = ACTIONS(2522),
    [anon_sym___extension__] = ACTIONS(2520),
    [anon_sym_typedef] = ACTIONS(2520),
    [anon_sym_in] = ACTIONS(2520),
    [anon_sym_out] = ACTIONS(2520),
    [anon_sym_inout] = ACTIONS(2520),
    [anon_sym_extern] = ACTIONS(2520),
    [anon_sym___attribute__] = ACTIONS(2520),
    [anon_sym_COLON_COLON] = ACTIONS(2522),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2522),
    [anon_sym___declspec] = ACTIONS(2520),
    [anon_sym___based] = ACTIONS(2520),
    [anon_sym___cdecl] = ACTIONS(2520),
    [anon_sym___clrcall] = ACTIONS(2520),
    [anon_sym___stdcall] = ACTIONS(2520),
    [anon_sym___fastcall] = ACTIONS(2520),
    [anon_sym___thiscall] = ACTIONS(2520),
    [anon_sym___vectorcall] = ACTIONS(2520),
    [anon_sym_LBRACE] = ACTIONS(2522),
    [anon_sym_signed] = ACTIONS(2520),
    [anon_sym_unsigned] = ACTIONS(2520),
    [anon_sym_long] = ACTIONS(2520),
    [anon_sym_short] = ACTIONS(2520),
    [anon_sym_LBRACK] = ACTIONS(2520),
    [anon_sym_static] = ACTIONS(2520),
    [anon_sym_register] = ACTIONS(2520),
    [anon_sym_inline] = ACTIONS(2520),
    [anon_sym___inline] = ACTIONS(2520),
    [anon_sym___inline__] = ACTIONS(2520),
    [anon_sym___forceinline] = ACTIONS(2520),
    [anon_sym_thread_local] = ACTIONS(2520),
    [anon_sym___thread] = ACTIONS(2520),
    [anon_sym_const] = ACTIONS(2520),
    [anon_sym_constexpr] = ACTIONS(2520),
    [anon_sym_volatile] = ACTIONS(2520),
    [anon_sym_restrict] = ACTIONS(2520),
    [anon_sym___restrict__] = ACTIONS(2520),
    [anon_sym__Atomic] = ACTIONS(2520),
    [anon_sym__Noreturn] = ACTIONS(2520),
    [anon_sym_noreturn] = ACTIONS(2520),
    [anon_sym_mutable] = ACTIONS(2520),
    [anon_sym_constinit] = ACTIONS(2520),
    [anon_sym_consteval] = ACTIONS(2520),
    [sym_primitive_type] = ACTIONS(2520),
    [anon_sym_enum] = ACTIONS(2520),
    [anon_sym_class] = ACTIONS(2520),
    [anon_sym_struct] = ACTIONS(2520),
    [anon_sym_union] = ACTIONS(2520),
    [anon_sym_if] = ACTIONS(2520),
    [anon_sym_switch] = ACTIONS(2520),
    [anon_sym_case] = ACTIONS(2520),
    [anon_sym_default] = ACTIONS(2520),
    [anon_sym_while] = ACTIONS(2520),
    [anon_sym_do] = ACTIONS(2520),
    [anon_sym_for] = ACTIONS(2520),
    [anon_sym_return] = ACTIONS(2520),
    [anon_sym_break] = ACTIONS(2520),
    [anon_sym_continue] = ACTIONS(2520),
    [anon_sym_goto] = ACTIONS(2520),
    [anon_sym___try] = ACTIONS(2520),
    [anon_sym___leave] = ACTIONS(2520),
    [anon_sym_not] = ACTIONS(2520),
    [anon_sym_compl] = ACTIONS(2520),
    [anon_sym_DASH_DASH] = ACTIONS(2522),
    [anon_sym_PLUS_PLUS] = ACTIONS(2522),
    [anon_sym_sizeof] = ACTIONS(2520),
    [anon_sym___alignof__] = ACTIONS(2520),
    [anon_sym___alignof] = ACTIONS(2520),
    [anon_sym__alignof] = ACTIONS(2520),
    [anon_sym_alignof] = ACTIONS(2520),
    [anon_sym__Alignof] = ACTIONS(2520),
    [anon_sym_offsetof] = ACTIONS(2520),
    [anon_sym__Generic] = ACTIONS(2520),
    [anon_sym_asm] = ACTIONS(2520),
    [anon_sym___asm__] = ACTIONS(2520),
    [sym_number_literal] = ACTIONS(2522),
    [anon_sym_L_SQUOTE] = ACTIONS(2522),
    [anon_sym_u_SQUOTE] = ACTIONS(2522),
    [anon_sym_U_SQUOTE] = ACTIONS(2522),
    [anon_sym_u8_SQUOTE] = ACTIONS(2522),
    [anon_sym_SQUOTE] = ACTIONS(2522),
    [anon_sym_L_DQUOTE] = ACTIONS(2522),
    [anon_sym_u_DQUOTE] = ACTIONS(2522),
    [anon_sym_U_DQUOTE] = ACTIONS(2522),
    [anon_sym_u8_DQUOTE] = ACTIONS(2522),
    [anon_sym_DQUOTE] = ACTIONS(2522),
    [sym_true] = ACTIONS(2520),
    [sym_false] = ACTIONS(2520),
    [anon_sym_NULL] = ACTIONS(2520),
    [anon_sym_nullptr] = ACTIONS(2520),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2520),
    [anon_sym_decltype] = ACTIONS(2520),
    [anon_sym_virtual] = ACTIONS(2520),
    [anon_sym_alignas] = ACTIONS(2520),
    [anon_sym_explicit] = ACTIONS(2520),
    [anon_sym_typename] = ACTIONS(2520),
    [anon_sym_template] = ACTIONS(2520),
    [anon_sym_operator] = ACTIONS(2520),
    [anon_sym_try] = ACTIONS(2520),
    [anon_sym_delete] = ACTIONS(2520),
    [anon_sym_throw] = ACTIONS(2520),
    [anon_sym_namespace] = ACTIONS(2520),
    [anon_sym_using] = ACTIONS(2520),
    [anon_sym_static_assert] = ACTIONS(2520),
    [anon_sym_concept] = ACTIONS(2520),
    [anon_sym_co_return] = ACTIONS(2520),
    [anon_sym_co_yield] = ACTIONS(2520),
    [anon_sym_R_DQUOTE] = ACTIONS(2522),
    [anon_sym_LR_DQUOTE] = ACTIONS(2522),
    [anon_sym_uR_DQUOTE] = ACTIONS(2522),
    [anon_sym_UR_DQUOTE] = ACTIONS(2522),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2522),
    [anon_sym_co_await] = ACTIONS(2520),
    [anon_sym_new] = ACTIONS(2520),
    [anon_sym_requires] = ACTIONS(2520),
    [sym_this] = ACTIONS(2520),
    [anon_sym_discard] = ACTIONS(2520),
    [anon_sym_precise] = ACTIONS(2520),
    [anon_sym_shared] = ACTIONS(2520),
    [anon_sym_groupshared] = ACTIONS(2520),
    [anon_sym_uniform] = ACTIONS(2520),
    [anon_sym_row_major] = ACTIONS(2520),
    [anon_sym_column_major] = ACTIONS(2520),
    [anon_sym_globallycoherent] = ACTIONS(2520),
    [anon_sym_centroid] = ACTIONS(2520),
    [anon_sym_noperspective] = ACTIONS(2520),
    [anon_sym_nointerpolation] = ACTIONS(2520),
    [anon_sym_sample] = ACTIONS(2520),
    [anon_sym_linear] = ACTIONS(2520),
    [anon_sym_snorm] = ACTIONS(2520),
    [anon_sym_unorm] = ACTIONS(2520),
    [anon_sym_point] = ACTIONS(2520),
    [anon_sym_line] = ACTIONS(2520),
    [anon_sym_triangleadj] = ACTIONS(2520),
    [anon_sym_lineadj] = ACTIONS(2520),
    [anon_sym_triangle] = ACTIONS(2520),
    [anon_sym_cbuffer] = ACTIONS(2520),
  },
  [1129] = {
    [sym_identifier] = ACTIONS(2520),
    [aux_sym_preproc_include_token1] = ACTIONS(2520),
    [aux_sym_preproc_def_token1] = ACTIONS(2520),
    [aux_sym_preproc_if_token1] = ACTIONS(2520),
    [aux_sym_preproc_if_token2] = ACTIONS(2520),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2520),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2520),
    [sym_preproc_directive] = ACTIONS(2520),
    [anon_sym_LPAREN2] = ACTIONS(2522),
    [anon_sym_BANG] = ACTIONS(2522),
    [anon_sym_TILDE] = ACTIONS(2522),
    [anon_sym_DASH] = ACTIONS(2520),
    [anon_sym_PLUS] = ACTIONS(2520),
    [anon_sym_STAR] = ACTIONS(2522),
    [anon_sym_AMP_AMP] = ACTIONS(2522),
    [anon_sym_AMP] = ACTIONS(2520),
    [anon_sym_SEMI] = ACTIONS(2522),
    [anon_sym___extension__] = ACTIONS(2520),
    [anon_sym_typedef] = ACTIONS(2520),
    [anon_sym_in] = ACTIONS(2520),
    [anon_sym_out] = ACTIONS(2520),
    [anon_sym_inout] = ACTIONS(2520),
    [anon_sym_extern] = ACTIONS(2520),
    [anon_sym___attribute__] = ACTIONS(2520),
    [anon_sym_COLON_COLON] = ACTIONS(2522),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2522),
    [anon_sym___declspec] = ACTIONS(2520),
    [anon_sym___based] = ACTIONS(2520),
    [anon_sym___cdecl] = ACTIONS(2520),
    [anon_sym___clrcall] = ACTIONS(2520),
    [anon_sym___stdcall] = ACTIONS(2520),
    [anon_sym___fastcall] = ACTIONS(2520),
    [anon_sym___thiscall] = ACTIONS(2520),
    [anon_sym___vectorcall] = ACTIONS(2520),
    [anon_sym_LBRACE] = ACTIONS(2522),
    [anon_sym_signed] = ACTIONS(2520),
    [anon_sym_unsigned] = ACTIONS(2520),
    [anon_sym_long] = ACTIONS(2520),
    [anon_sym_short] = ACTIONS(2520),
    [anon_sym_LBRACK] = ACTIONS(2520),
    [anon_sym_static] = ACTIONS(2520),
    [anon_sym_register] = ACTIONS(2520),
    [anon_sym_inline] = ACTIONS(2520),
    [anon_sym___inline] = ACTIONS(2520),
    [anon_sym___inline__] = ACTIONS(2520),
    [anon_sym___forceinline] = ACTIONS(2520),
    [anon_sym_thread_local] = ACTIONS(2520),
    [anon_sym___thread] = ACTIONS(2520),
    [anon_sym_const] = ACTIONS(2520),
    [anon_sym_constexpr] = ACTIONS(2520),
    [anon_sym_volatile] = ACTIONS(2520),
    [anon_sym_restrict] = ACTIONS(2520),
    [anon_sym___restrict__] = ACTIONS(2520),
    [anon_sym__Atomic] = ACTIONS(2520),
    [anon_sym__Noreturn] = ACTIONS(2520),
    [anon_sym_noreturn] = ACTIONS(2520),
    [anon_sym_mutable] = ACTIONS(2520),
    [anon_sym_constinit] = ACTIONS(2520),
    [anon_sym_consteval] = ACTIONS(2520),
    [sym_primitive_type] = ACTIONS(2520),
    [anon_sym_enum] = ACTIONS(2520),
    [anon_sym_class] = ACTIONS(2520),
    [anon_sym_struct] = ACTIONS(2520),
    [anon_sym_union] = ACTIONS(2520),
    [anon_sym_if] = ACTIONS(2520),
    [anon_sym_switch] = ACTIONS(2520),
    [anon_sym_case] = ACTIONS(2520),
    [anon_sym_default] = ACTIONS(2520),
    [anon_sym_while] = ACTIONS(2520),
    [anon_sym_do] = ACTIONS(2520),
    [anon_sym_for] = ACTIONS(2520),
    [anon_sym_return] = ACTIONS(2520),
    [anon_sym_break] = ACTIONS(2520),
    [anon_sym_continue] = ACTIONS(2520),
    [anon_sym_goto] = ACTIONS(2520),
    [anon_sym___try] = ACTIONS(2520),
    [anon_sym___leave] = ACTIONS(2520),
    [anon_sym_not] = ACTIONS(2520),
    [anon_sym_compl] = ACTIONS(2520),
    [anon_sym_DASH_DASH] = ACTIONS(2522),
    [anon_sym_PLUS_PLUS] = ACTIONS(2522),
    [anon_sym_sizeof] = ACTIONS(2520),
    [anon_sym___alignof__] = ACTIONS(2520),
    [anon_sym___alignof] = ACTIONS(2520),
    [anon_sym__alignof] = ACTIONS(2520),
    [anon_sym_alignof] = ACTIONS(2520),
    [anon_sym__Alignof] = ACTIONS(2520),
    [anon_sym_offsetof] = ACTIONS(2520),
    [anon_sym__Generic] = ACTIONS(2520),
    [anon_sym_asm] = ACTIONS(2520),
    [anon_sym___asm__] = ACTIONS(2520),
    [sym_number_literal] = ACTIONS(2522),
    [anon_sym_L_SQUOTE] = ACTIONS(2522),
    [anon_sym_u_SQUOTE] = ACTIONS(2522),
    [anon_sym_U_SQUOTE] = ACTIONS(2522),
    [anon_sym_u8_SQUOTE] = ACTIONS(2522),
    [anon_sym_SQUOTE] = ACTIONS(2522),
    [anon_sym_L_DQUOTE] = ACTIONS(2522),
    [anon_sym_u_DQUOTE] = ACTIONS(2522),
    [anon_sym_U_DQUOTE] = ACTIONS(2522),
    [anon_sym_u8_DQUOTE] = ACTIONS(2522),
    [anon_sym_DQUOTE] = ACTIONS(2522),
    [sym_true] = ACTIONS(2520),
    [sym_false] = ACTIONS(2520),
    [anon_sym_NULL] = ACTIONS(2520),
    [anon_sym_nullptr] = ACTIONS(2520),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2520),
    [anon_sym_decltype] = ACTIONS(2520),
    [anon_sym_virtual] = ACTIONS(2520),
    [anon_sym_alignas] = ACTIONS(2520),
    [anon_sym_explicit] = ACTIONS(2520),
    [anon_sym_typename] = ACTIONS(2520),
    [anon_sym_template] = ACTIONS(2520),
    [anon_sym_operator] = ACTIONS(2520),
    [anon_sym_try] = ACTIONS(2520),
    [anon_sym_delete] = ACTIONS(2520),
    [anon_sym_throw] = ACTIONS(2520),
    [anon_sym_namespace] = ACTIONS(2520),
    [anon_sym_using] = ACTIONS(2520),
    [anon_sym_static_assert] = ACTIONS(2520),
    [anon_sym_concept] = ACTIONS(2520),
    [anon_sym_co_return] = ACTIONS(2520),
    [anon_sym_co_yield] = ACTIONS(2520),
    [anon_sym_R_DQUOTE] = ACTIONS(2522),
    [anon_sym_LR_DQUOTE] = ACTIONS(2522),
    [anon_sym_uR_DQUOTE] = ACTIONS(2522),
    [anon_sym_UR_DQUOTE] = ACTIONS(2522),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2522),
    [anon_sym_co_await] = ACTIONS(2520),
    [anon_sym_new] = ACTIONS(2520),
    [anon_sym_requires] = ACTIONS(2520),
    [sym_this] = ACTIONS(2520),
    [anon_sym_discard] = ACTIONS(2520),
    [anon_sym_precise] = ACTIONS(2520),
    [anon_sym_shared] = ACTIONS(2520),
    [anon_sym_groupshared] = ACTIONS(2520),
    [anon_sym_uniform] = ACTIONS(2520),
    [anon_sym_row_major] = ACTIONS(2520),
    [anon_sym_column_major] = ACTIONS(2520),
    [anon_sym_globallycoherent] = ACTIONS(2520),
    [anon_sym_centroid] = ACTIONS(2520),
    [anon_sym_noperspective] = ACTIONS(2520),
    [anon_sym_nointerpolation] = ACTIONS(2520),
    [anon_sym_sample] = ACTIONS(2520),
    [anon_sym_linear] = ACTIONS(2520),
    [anon_sym_snorm] = ACTIONS(2520),
    [anon_sym_unorm] = ACTIONS(2520),
    [anon_sym_point] = ACTIONS(2520),
    [anon_sym_line] = ACTIONS(2520),
    [anon_sym_triangleadj] = ACTIONS(2520),
    [anon_sym_lineadj] = ACTIONS(2520),
    [anon_sym_triangle] = ACTIONS(2520),
    [anon_sym_cbuffer] = ACTIONS(2520),
  },
  [1130] = {
    [sym_identifier] = ACTIONS(2617),
    [aux_sym_preproc_include_token1] = ACTIONS(2617),
    [aux_sym_preproc_def_token1] = ACTIONS(2617),
    [aux_sym_preproc_if_token1] = ACTIONS(2617),
    [aux_sym_preproc_if_token2] = ACTIONS(2617),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2617),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2617),
    [sym_preproc_directive] = ACTIONS(2617),
    [anon_sym_LPAREN2] = ACTIONS(2619),
    [anon_sym_BANG] = ACTIONS(2619),
    [anon_sym_TILDE] = ACTIONS(2619),
    [anon_sym_DASH] = ACTIONS(2617),
    [anon_sym_PLUS] = ACTIONS(2617),
    [anon_sym_STAR] = ACTIONS(2619),
    [anon_sym_AMP_AMP] = ACTIONS(2619),
    [anon_sym_AMP] = ACTIONS(2617),
    [anon_sym_SEMI] = ACTIONS(2619),
    [anon_sym___extension__] = ACTIONS(2617),
    [anon_sym_typedef] = ACTIONS(2617),
    [anon_sym_in] = ACTIONS(2617),
    [anon_sym_out] = ACTIONS(2617),
    [anon_sym_inout] = ACTIONS(2617),
    [anon_sym_extern] = ACTIONS(2617),
    [anon_sym___attribute__] = ACTIONS(2617),
    [anon_sym_COLON_COLON] = ACTIONS(2619),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2619),
    [anon_sym___declspec] = ACTIONS(2617),
    [anon_sym___based] = ACTIONS(2617),
    [anon_sym___cdecl] = ACTIONS(2617),
    [anon_sym___clrcall] = ACTIONS(2617),
    [anon_sym___stdcall] = ACTIONS(2617),
    [anon_sym___fastcall] = ACTIONS(2617),
    [anon_sym___thiscall] = ACTIONS(2617),
    [anon_sym___vectorcall] = ACTIONS(2617),
    [anon_sym_LBRACE] = ACTIONS(2619),
    [anon_sym_signed] = ACTIONS(2617),
    [anon_sym_unsigned] = ACTIONS(2617),
    [anon_sym_long] = ACTIONS(2617),
    [anon_sym_short] = ACTIONS(2617),
    [anon_sym_LBRACK] = ACTIONS(2617),
    [anon_sym_static] = ACTIONS(2617),
    [anon_sym_register] = ACTIONS(2617),
    [anon_sym_inline] = ACTIONS(2617),
    [anon_sym___inline] = ACTIONS(2617),
    [anon_sym___inline__] = ACTIONS(2617),
    [anon_sym___forceinline] = ACTIONS(2617),
    [anon_sym_thread_local] = ACTIONS(2617),
    [anon_sym___thread] = ACTIONS(2617),
    [anon_sym_const] = ACTIONS(2617),
    [anon_sym_constexpr] = ACTIONS(2617),
    [anon_sym_volatile] = ACTIONS(2617),
    [anon_sym_restrict] = ACTIONS(2617),
    [anon_sym___restrict__] = ACTIONS(2617),
    [anon_sym__Atomic] = ACTIONS(2617),
    [anon_sym__Noreturn] = ACTIONS(2617),
    [anon_sym_noreturn] = ACTIONS(2617),
    [anon_sym_mutable] = ACTIONS(2617),
    [anon_sym_constinit] = ACTIONS(2617),
    [anon_sym_consteval] = ACTIONS(2617),
    [sym_primitive_type] = ACTIONS(2617),
    [anon_sym_enum] = ACTIONS(2617),
    [anon_sym_class] = ACTIONS(2617),
    [anon_sym_struct] = ACTIONS(2617),
    [anon_sym_union] = ACTIONS(2617),
    [anon_sym_if] = ACTIONS(2617),
    [anon_sym_switch] = ACTIONS(2617),
    [anon_sym_case] = ACTIONS(2617),
    [anon_sym_default] = ACTIONS(2617),
    [anon_sym_while] = ACTIONS(2617),
    [anon_sym_do] = ACTIONS(2617),
    [anon_sym_for] = ACTIONS(2617),
    [anon_sym_return] = ACTIONS(2617),
    [anon_sym_break] = ACTIONS(2617),
    [anon_sym_continue] = ACTIONS(2617),
    [anon_sym_goto] = ACTIONS(2617),
    [anon_sym___try] = ACTIONS(2617),
    [anon_sym___leave] = ACTIONS(2617),
    [anon_sym_not] = ACTIONS(2617),
    [anon_sym_compl] = ACTIONS(2617),
    [anon_sym_DASH_DASH] = ACTIONS(2619),
    [anon_sym_PLUS_PLUS] = ACTIONS(2619),
    [anon_sym_sizeof] = ACTIONS(2617),
    [anon_sym___alignof__] = ACTIONS(2617),
    [anon_sym___alignof] = ACTIONS(2617),
    [anon_sym__alignof] = ACTIONS(2617),
    [anon_sym_alignof] = ACTIONS(2617),
    [anon_sym__Alignof] = ACTIONS(2617),
    [anon_sym_offsetof] = ACTIONS(2617),
    [anon_sym__Generic] = ACTIONS(2617),
    [anon_sym_asm] = ACTIONS(2617),
    [anon_sym___asm__] = ACTIONS(2617),
    [sym_number_literal] = ACTIONS(2619),
    [anon_sym_L_SQUOTE] = ACTIONS(2619),
    [anon_sym_u_SQUOTE] = ACTIONS(2619),
    [anon_sym_U_SQUOTE] = ACTIONS(2619),
    [anon_sym_u8_SQUOTE] = ACTIONS(2619),
    [anon_sym_SQUOTE] = ACTIONS(2619),
    [anon_sym_L_DQUOTE] = ACTIONS(2619),
    [anon_sym_u_DQUOTE] = ACTIONS(2619),
    [anon_sym_U_DQUOTE] = ACTIONS(2619),
    [anon_sym_u8_DQUOTE] = ACTIONS(2619),
    [anon_sym_DQUOTE] = ACTIONS(2619),
    [sym_true] = ACTIONS(2617),
    [sym_false] = ACTIONS(2617),
    [anon_sym_NULL] = ACTIONS(2617),
    [anon_sym_nullptr] = ACTIONS(2617),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2617),
    [anon_sym_decltype] = ACTIONS(2617),
    [anon_sym_virtual] = ACTIONS(2617),
    [anon_sym_alignas] = ACTIONS(2617),
    [anon_sym_explicit] = ACTIONS(2617),
    [anon_sym_typename] = ACTIONS(2617),
    [anon_sym_template] = ACTIONS(2617),
    [anon_sym_operator] = ACTIONS(2617),
    [anon_sym_try] = ACTIONS(2617),
    [anon_sym_delete] = ACTIONS(2617),
    [anon_sym_throw] = ACTIONS(2617),
    [anon_sym_namespace] = ACTIONS(2617),
    [anon_sym_using] = ACTIONS(2617),
    [anon_sym_static_assert] = ACTIONS(2617),
    [anon_sym_concept] = ACTIONS(2617),
    [anon_sym_co_return] = ACTIONS(2617),
    [anon_sym_co_yield] = ACTIONS(2617),
    [anon_sym_R_DQUOTE] = ACTIONS(2619),
    [anon_sym_LR_DQUOTE] = ACTIONS(2619),
    [anon_sym_uR_DQUOTE] = ACTIONS(2619),
    [anon_sym_UR_DQUOTE] = ACTIONS(2619),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2619),
    [anon_sym_co_await] = ACTIONS(2617),
    [anon_sym_new] = ACTIONS(2617),
    [anon_sym_requires] = ACTIONS(2617),
    [sym_this] = ACTIONS(2617),
    [anon_sym_discard] = ACTIONS(2617),
    [anon_sym_precise] = ACTIONS(2617),
    [anon_sym_shared] = ACTIONS(2617),
    [anon_sym_groupshared] = ACTIONS(2617),
    [anon_sym_uniform] = ACTIONS(2617),
    [anon_sym_row_major] = ACTIONS(2617),
    [anon_sym_column_major] = ACTIONS(2617),
    [anon_sym_globallycoherent] = ACTIONS(2617),
    [anon_sym_centroid] = ACTIONS(2617),
    [anon_sym_noperspective] = ACTIONS(2617),
    [anon_sym_nointerpolation] = ACTIONS(2617),
    [anon_sym_sample] = ACTIONS(2617),
    [anon_sym_linear] = ACTIONS(2617),
    [anon_sym_snorm] = ACTIONS(2617),
    [anon_sym_unorm] = ACTIONS(2617),
    [anon_sym_point] = ACTIONS(2617),
    [anon_sym_line] = ACTIONS(2617),
    [anon_sym_triangleadj] = ACTIONS(2617),
    [anon_sym_lineadj] = ACTIONS(2617),
    [anon_sym_triangle] = ACTIONS(2617),
    [anon_sym_cbuffer] = ACTIONS(2617),
  },
  [1131] = {
    [sym_identifier] = ACTIONS(2765),
    [aux_sym_preproc_include_token1] = ACTIONS(2765),
    [aux_sym_preproc_def_token1] = ACTIONS(2765),
    [aux_sym_preproc_if_token1] = ACTIONS(2765),
    [aux_sym_preproc_if_token2] = ACTIONS(2765),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2765),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2765),
    [sym_preproc_directive] = ACTIONS(2765),
    [anon_sym_LPAREN2] = ACTIONS(2767),
    [anon_sym_BANG] = ACTIONS(2767),
    [anon_sym_TILDE] = ACTIONS(2767),
    [anon_sym_DASH] = ACTIONS(2765),
    [anon_sym_PLUS] = ACTIONS(2765),
    [anon_sym_STAR] = ACTIONS(2767),
    [anon_sym_AMP_AMP] = ACTIONS(2767),
    [anon_sym_AMP] = ACTIONS(2765),
    [anon_sym_SEMI] = ACTIONS(2767),
    [anon_sym___extension__] = ACTIONS(2765),
    [anon_sym_typedef] = ACTIONS(2765),
    [anon_sym_in] = ACTIONS(2765),
    [anon_sym_out] = ACTIONS(2765),
    [anon_sym_inout] = ACTIONS(2765),
    [anon_sym_extern] = ACTIONS(2765),
    [anon_sym___attribute__] = ACTIONS(2765),
    [anon_sym_COLON_COLON] = ACTIONS(2767),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2767),
    [anon_sym___declspec] = ACTIONS(2765),
    [anon_sym___based] = ACTIONS(2765),
    [anon_sym___cdecl] = ACTIONS(2765),
    [anon_sym___clrcall] = ACTIONS(2765),
    [anon_sym___stdcall] = ACTIONS(2765),
    [anon_sym___fastcall] = ACTIONS(2765),
    [anon_sym___thiscall] = ACTIONS(2765),
    [anon_sym___vectorcall] = ACTIONS(2765),
    [anon_sym_LBRACE] = ACTIONS(2767),
    [anon_sym_signed] = ACTIONS(2765),
    [anon_sym_unsigned] = ACTIONS(2765),
    [anon_sym_long] = ACTIONS(2765),
    [anon_sym_short] = ACTIONS(2765),
    [anon_sym_LBRACK] = ACTIONS(2765),
    [anon_sym_static] = ACTIONS(2765),
    [anon_sym_register] = ACTIONS(2765),
    [anon_sym_inline] = ACTIONS(2765),
    [anon_sym___inline] = ACTIONS(2765),
    [anon_sym___inline__] = ACTIONS(2765),
    [anon_sym___forceinline] = ACTIONS(2765),
    [anon_sym_thread_local] = ACTIONS(2765),
    [anon_sym___thread] = ACTIONS(2765),
    [anon_sym_const] = ACTIONS(2765),
    [anon_sym_constexpr] = ACTIONS(2765),
    [anon_sym_volatile] = ACTIONS(2765),
    [anon_sym_restrict] = ACTIONS(2765),
    [anon_sym___restrict__] = ACTIONS(2765),
    [anon_sym__Atomic] = ACTIONS(2765),
    [anon_sym__Noreturn] = ACTIONS(2765),
    [anon_sym_noreturn] = ACTIONS(2765),
    [anon_sym_mutable] = ACTIONS(2765),
    [anon_sym_constinit] = ACTIONS(2765),
    [anon_sym_consteval] = ACTIONS(2765),
    [sym_primitive_type] = ACTIONS(2765),
    [anon_sym_enum] = ACTIONS(2765),
    [anon_sym_class] = ACTIONS(2765),
    [anon_sym_struct] = ACTIONS(2765),
    [anon_sym_union] = ACTIONS(2765),
    [anon_sym_if] = ACTIONS(2765),
    [anon_sym_switch] = ACTIONS(2765),
    [anon_sym_case] = ACTIONS(2765),
    [anon_sym_default] = ACTIONS(2765),
    [anon_sym_while] = ACTIONS(2765),
    [anon_sym_do] = ACTIONS(2765),
    [anon_sym_for] = ACTIONS(2765),
    [anon_sym_return] = ACTIONS(2765),
    [anon_sym_break] = ACTIONS(2765),
    [anon_sym_continue] = ACTIONS(2765),
    [anon_sym_goto] = ACTIONS(2765),
    [anon_sym___try] = ACTIONS(2765),
    [anon_sym___leave] = ACTIONS(2765),
    [anon_sym_not] = ACTIONS(2765),
    [anon_sym_compl] = ACTIONS(2765),
    [anon_sym_DASH_DASH] = ACTIONS(2767),
    [anon_sym_PLUS_PLUS] = ACTIONS(2767),
    [anon_sym_sizeof] = ACTIONS(2765),
    [anon_sym___alignof__] = ACTIONS(2765),
    [anon_sym___alignof] = ACTIONS(2765),
    [anon_sym__alignof] = ACTIONS(2765),
    [anon_sym_alignof] = ACTIONS(2765),
    [anon_sym__Alignof] = ACTIONS(2765),
    [anon_sym_offsetof] = ACTIONS(2765),
    [anon_sym__Generic] = ACTIONS(2765),
    [anon_sym_asm] = ACTIONS(2765),
    [anon_sym___asm__] = ACTIONS(2765),
    [sym_number_literal] = ACTIONS(2767),
    [anon_sym_L_SQUOTE] = ACTIONS(2767),
    [anon_sym_u_SQUOTE] = ACTIONS(2767),
    [anon_sym_U_SQUOTE] = ACTIONS(2767),
    [anon_sym_u8_SQUOTE] = ACTIONS(2767),
    [anon_sym_SQUOTE] = ACTIONS(2767),
    [anon_sym_L_DQUOTE] = ACTIONS(2767),
    [anon_sym_u_DQUOTE] = ACTIONS(2767),
    [anon_sym_U_DQUOTE] = ACTIONS(2767),
    [anon_sym_u8_DQUOTE] = ACTIONS(2767),
    [anon_sym_DQUOTE] = ACTIONS(2767),
    [sym_true] = ACTIONS(2765),
    [sym_false] = ACTIONS(2765),
    [anon_sym_NULL] = ACTIONS(2765),
    [anon_sym_nullptr] = ACTIONS(2765),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2765),
    [anon_sym_decltype] = ACTIONS(2765),
    [anon_sym_virtual] = ACTIONS(2765),
    [anon_sym_alignas] = ACTIONS(2765),
    [anon_sym_explicit] = ACTIONS(2765),
    [anon_sym_typename] = ACTIONS(2765),
    [anon_sym_template] = ACTIONS(2765),
    [anon_sym_operator] = ACTIONS(2765),
    [anon_sym_try] = ACTIONS(2765),
    [anon_sym_delete] = ACTIONS(2765),
    [anon_sym_throw] = ACTIONS(2765),
    [anon_sym_namespace] = ACTIONS(2765),
    [anon_sym_using] = ACTIONS(2765),
    [anon_sym_static_assert] = ACTIONS(2765),
    [anon_sym_concept] = ACTIONS(2765),
    [anon_sym_co_return] = ACTIONS(2765),
    [anon_sym_co_yield] = ACTIONS(2765),
    [anon_sym_R_DQUOTE] = ACTIONS(2767),
    [anon_sym_LR_DQUOTE] = ACTIONS(2767),
    [anon_sym_uR_DQUOTE] = ACTIONS(2767),
    [anon_sym_UR_DQUOTE] = ACTIONS(2767),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2767),
    [anon_sym_co_await] = ACTIONS(2765),
    [anon_sym_new] = ACTIONS(2765),
    [anon_sym_requires] = ACTIONS(2765),
    [sym_this] = ACTIONS(2765),
    [anon_sym_discard] = ACTIONS(2765),
    [anon_sym_precise] = ACTIONS(2765),
    [anon_sym_shared] = ACTIONS(2765),
    [anon_sym_groupshared] = ACTIONS(2765),
    [anon_sym_uniform] = ACTIONS(2765),
    [anon_sym_row_major] = ACTIONS(2765),
    [anon_sym_column_major] = ACTIONS(2765),
    [anon_sym_globallycoherent] = ACTIONS(2765),
    [anon_sym_centroid] = ACTIONS(2765),
    [anon_sym_noperspective] = ACTIONS(2765),
    [anon_sym_nointerpolation] = ACTIONS(2765),
    [anon_sym_sample] = ACTIONS(2765),
    [anon_sym_linear] = ACTIONS(2765),
    [anon_sym_snorm] = ACTIONS(2765),
    [anon_sym_unorm] = ACTIONS(2765),
    [anon_sym_point] = ACTIONS(2765),
    [anon_sym_line] = ACTIONS(2765),
    [anon_sym_triangleadj] = ACTIONS(2765),
    [anon_sym_lineadj] = ACTIONS(2765),
    [anon_sym_triangle] = ACTIONS(2765),
    [anon_sym_cbuffer] = ACTIONS(2765),
  },
  [1132] = {
    [sym_identifier] = ACTIONS(2653),
    [aux_sym_preproc_include_token1] = ACTIONS(2653),
    [aux_sym_preproc_def_token1] = ACTIONS(2653),
    [aux_sym_preproc_if_token1] = ACTIONS(2653),
    [aux_sym_preproc_if_token2] = ACTIONS(2653),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2653),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2653),
    [sym_preproc_directive] = ACTIONS(2653),
    [anon_sym_LPAREN2] = ACTIONS(2655),
    [anon_sym_BANG] = ACTIONS(2655),
    [anon_sym_TILDE] = ACTIONS(2655),
    [anon_sym_DASH] = ACTIONS(2653),
    [anon_sym_PLUS] = ACTIONS(2653),
    [anon_sym_STAR] = ACTIONS(2655),
    [anon_sym_AMP_AMP] = ACTIONS(2655),
    [anon_sym_AMP] = ACTIONS(2653),
    [anon_sym_SEMI] = ACTIONS(2655),
    [anon_sym___extension__] = ACTIONS(2653),
    [anon_sym_typedef] = ACTIONS(2653),
    [anon_sym_in] = ACTIONS(2653),
    [anon_sym_out] = ACTIONS(2653),
    [anon_sym_inout] = ACTIONS(2653),
    [anon_sym_extern] = ACTIONS(2653),
    [anon_sym___attribute__] = ACTIONS(2653),
    [anon_sym_COLON_COLON] = ACTIONS(2655),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2655),
    [anon_sym___declspec] = ACTIONS(2653),
    [anon_sym___based] = ACTIONS(2653),
    [anon_sym___cdecl] = ACTIONS(2653),
    [anon_sym___clrcall] = ACTIONS(2653),
    [anon_sym___stdcall] = ACTIONS(2653),
    [anon_sym___fastcall] = ACTIONS(2653),
    [anon_sym___thiscall] = ACTIONS(2653),
    [anon_sym___vectorcall] = ACTIONS(2653),
    [anon_sym_LBRACE] = ACTIONS(2655),
    [anon_sym_signed] = ACTIONS(2653),
    [anon_sym_unsigned] = ACTIONS(2653),
    [anon_sym_long] = ACTIONS(2653),
    [anon_sym_short] = ACTIONS(2653),
    [anon_sym_LBRACK] = ACTIONS(2653),
    [anon_sym_static] = ACTIONS(2653),
    [anon_sym_register] = ACTIONS(2653),
    [anon_sym_inline] = ACTIONS(2653),
    [anon_sym___inline] = ACTIONS(2653),
    [anon_sym___inline__] = ACTIONS(2653),
    [anon_sym___forceinline] = ACTIONS(2653),
    [anon_sym_thread_local] = ACTIONS(2653),
    [anon_sym___thread] = ACTIONS(2653),
    [anon_sym_const] = ACTIONS(2653),
    [anon_sym_constexpr] = ACTIONS(2653),
    [anon_sym_volatile] = ACTIONS(2653),
    [anon_sym_restrict] = ACTIONS(2653),
    [anon_sym___restrict__] = ACTIONS(2653),
    [anon_sym__Atomic] = ACTIONS(2653),
    [anon_sym__Noreturn] = ACTIONS(2653),
    [anon_sym_noreturn] = ACTIONS(2653),
    [anon_sym_mutable] = ACTIONS(2653),
    [anon_sym_constinit] = ACTIONS(2653),
    [anon_sym_consteval] = ACTIONS(2653),
    [sym_primitive_type] = ACTIONS(2653),
    [anon_sym_enum] = ACTIONS(2653),
    [anon_sym_class] = ACTIONS(2653),
    [anon_sym_struct] = ACTIONS(2653),
    [anon_sym_union] = ACTIONS(2653),
    [anon_sym_if] = ACTIONS(2653),
    [anon_sym_switch] = ACTIONS(2653),
    [anon_sym_case] = ACTIONS(2653),
    [anon_sym_default] = ACTIONS(2653),
    [anon_sym_while] = ACTIONS(2653),
    [anon_sym_do] = ACTIONS(2653),
    [anon_sym_for] = ACTIONS(2653),
    [anon_sym_return] = ACTIONS(2653),
    [anon_sym_break] = ACTIONS(2653),
    [anon_sym_continue] = ACTIONS(2653),
    [anon_sym_goto] = ACTIONS(2653),
    [anon_sym___try] = ACTIONS(2653),
    [anon_sym___leave] = ACTIONS(2653),
    [anon_sym_not] = ACTIONS(2653),
    [anon_sym_compl] = ACTIONS(2653),
    [anon_sym_DASH_DASH] = ACTIONS(2655),
    [anon_sym_PLUS_PLUS] = ACTIONS(2655),
    [anon_sym_sizeof] = ACTIONS(2653),
    [anon_sym___alignof__] = ACTIONS(2653),
    [anon_sym___alignof] = ACTIONS(2653),
    [anon_sym__alignof] = ACTIONS(2653),
    [anon_sym_alignof] = ACTIONS(2653),
    [anon_sym__Alignof] = ACTIONS(2653),
    [anon_sym_offsetof] = ACTIONS(2653),
    [anon_sym__Generic] = ACTIONS(2653),
    [anon_sym_asm] = ACTIONS(2653),
    [anon_sym___asm__] = ACTIONS(2653),
    [sym_number_literal] = ACTIONS(2655),
    [anon_sym_L_SQUOTE] = ACTIONS(2655),
    [anon_sym_u_SQUOTE] = ACTIONS(2655),
    [anon_sym_U_SQUOTE] = ACTIONS(2655),
    [anon_sym_u8_SQUOTE] = ACTIONS(2655),
    [anon_sym_SQUOTE] = ACTIONS(2655),
    [anon_sym_L_DQUOTE] = ACTIONS(2655),
    [anon_sym_u_DQUOTE] = ACTIONS(2655),
    [anon_sym_U_DQUOTE] = ACTIONS(2655),
    [anon_sym_u8_DQUOTE] = ACTIONS(2655),
    [anon_sym_DQUOTE] = ACTIONS(2655),
    [sym_true] = ACTIONS(2653),
    [sym_false] = ACTIONS(2653),
    [anon_sym_NULL] = ACTIONS(2653),
    [anon_sym_nullptr] = ACTIONS(2653),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2653),
    [anon_sym_decltype] = ACTIONS(2653),
    [anon_sym_virtual] = ACTIONS(2653),
    [anon_sym_alignas] = ACTIONS(2653),
    [anon_sym_explicit] = ACTIONS(2653),
    [anon_sym_typename] = ACTIONS(2653),
    [anon_sym_template] = ACTIONS(2653),
    [anon_sym_operator] = ACTIONS(2653),
    [anon_sym_try] = ACTIONS(2653),
    [anon_sym_delete] = ACTIONS(2653),
    [anon_sym_throw] = ACTIONS(2653),
    [anon_sym_namespace] = ACTIONS(2653),
    [anon_sym_using] = ACTIONS(2653),
    [anon_sym_static_assert] = ACTIONS(2653),
    [anon_sym_concept] = ACTIONS(2653),
    [anon_sym_co_return] = ACTIONS(2653),
    [anon_sym_co_yield] = ACTIONS(2653),
    [anon_sym_R_DQUOTE] = ACTIONS(2655),
    [anon_sym_LR_DQUOTE] = ACTIONS(2655),
    [anon_sym_uR_DQUOTE] = ACTIONS(2655),
    [anon_sym_UR_DQUOTE] = ACTIONS(2655),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2655),
    [anon_sym_co_await] = ACTIONS(2653),
    [anon_sym_new] = ACTIONS(2653),
    [anon_sym_requires] = ACTIONS(2653),
    [sym_this] = ACTIONS(2653),
    [anon_sym_discard] = ACTIONS(2653),
    [anon_sym_precise] = ACTIONS(2653),
    [anon_sym_shared] = ACTIONS(2653),
    [anon_sym_groupshared] = ACTIONS(2653),
    [anon_sym_uniform] = ACTIONS(2653),
    [anon_sym_row_major] = ACTIONS(2653),
    [anon_sym_column_major] = ACTIONS(2653),
    [anon_sym_globallycoherent] = ACTIONS(2653),
    [anon_sym_centroid] = ACTIONS(2653),
    [anon_sym_noperspective] = ACTIONS(2653),
    [anon_sym_nointerpolation] = ACTIONS(2653),
    [anon_sym_sample] = ACTIONS(2653),
    [anon_sym_linear] = ACTIONS(2653),
    [anon_sym_snorm] = ACTIONS(2653),
    [anon_sym_unorm] = ACTIONS(2653),
    [anon_sym_point] = ACTIONS(2653),
    [anon_sym_line] = ACTIONS(2653),
    [anon_sym_triangleadj] = ACTIONS(2653),
    [anon_sym_lineadj] = ACTIONS(2653),
    [anon_sym_triangle] = ACTIONS(2653),
    [anon_sym_cbuffer] = ACTIONS(2653),
  },
  [1133] = {
    [sym_identifier] = ACTIONS(2841),
    [aux_sym_preproc_include_token1] = ACTIONS(2841),
    [aux_sym_preproc_def_token1] = ACTIONS(2841),
    [aux_sym_preproc_if_token1] = ACTIONS(2841),
    [aux_sym_preproc_if_token2] = ACTIONS(2841),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2841),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2841),
    [sym_preproc_directive] = ACTIONS(2841),
    [anon_sym_LPAREN2] = ACTIONS(2843),
    [anon_sym_BANG] = ACTIONS(2843),
    [anon_sym_TILDE] = ACTIONS(2843),
    [anon_sym_DASH] = ACTIONS(2841),
    [anon_sym_PLUS] = ACTIONS(2841),
    [anon_sym_STAR] = ACTIONS(2843),
    [anon_sym_AMP_AMP] = ACTIONS(2843),
    [anon_sym_AMP] = ACTIONS(2841),
    [anon_sym_SEMI] = ACTIONS(2843),
    [anon_sym___extension__] = ACTIONS(2841),
    [anon_sym_typedef] = ACTIONS(2841),
    [anon_sym_in] = ACTIONS(2841),
    [anon_sym_out] = ACTIONS(2841),
    [anon_sym_inout] = ACTIONS(2841),
    [anon_sym_extern] = ACTIONS(2841),
    [anon_sym___attribute__] = ACTIONS(2841),
    [anon_sym_COLON_COLON] = ACTIONS(2843),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2843),
    [anon_sym___declspec] = ACTIONS(2841),
    [anon_sym___based] = ACTIONS(2841),
    [anon_sym___cdecl] = ACTIONS(2841),
    [anon_sym___clrcall] = ACTIONS(2841),
    [anon_sym___stdcall] = ACTIONS(2841),
    [anon_sym___fastcall] = ACTIONS(2841),
    [anon_sym___thiscall] = ACTIONS(2841),
    [anon_sym___vectorcall] = ACTIONS(2841),
    [anon_sym_LBRACE] = ACTIONS(2843),
    [anon_sym_signed] = ACTIONS(2841),
    [anon_sym_unsigned] = ACTIONS(2841),
    [anon_sym_long] = ACTIONS(2841),
    [anon_sym_short] = ACTIONS(2841),
    [anon_sym_LBRACK] = ACTIONS(2841),
    [anon_sym_static] = ACTIONS(2841),
    [anon_sym_register] = ACTIONS(2841),
    [anon_sym_inline] = ACTIONS(2841),
    [anon_sym___inline] = ACTIONS(2841),
    [anon_sym___inline__] = ACTIONS(2841),
    [anon_sym___forceinline] = ACTIONS(2841),
    [anon_sym_thread_local] = ACTIONS(2841),
    [anon_sym___thread] = ACTIONS(2841),
    [anon_sym_const] = ACTIONS(2841),
    [anon_sym_constexpr] = ACTIONS(2841),
    [anon_sym_volatile] = ACTIONS(2841),
    [anon_sym_restrict] = ACTIONS(2841),
    [anon_sym___restrict__] = ACTIONS(2841),
    [anon_sym__Atomic] = ACTIONS(2841),
    [anon_sym__Noreturn] = ACTIONS(2841),
    [anon_sym_noreturn] = ACTIONS(2841),
    [anon_sym_mutable] = ACTIONS(2841),
    [anon_sym_constinit] = ACTIONS(2841),
    [anon_sym_consteval] = ACTIONS(2841),
    [sym_primitive_type] = ACTIONS(2841),
    [anon_sym_enum] = ACTIONS(2841),
    [anon_sym_class] = ACTIONS(2841),
    [anon_sym_struct] = ACTIONS(2841),
    [anon_sym_union] = ACTIONS(2841),
    [anon_sym_if] = ACTIONS(2841),
    [anon_sym_switch] = ACTIONS(2841),
    [anon_sym_case] = ACTIONS(2841),
    [anon_sym_default] = ACTIONS(2841),
    [anon_sym_while] = ACTIONS(2841),
    [anon_sym_do] = ACTIONS(2841),
    [anon_sym_for] = ACTIONS(2841),
    [anon_sym_return] = ACTIONS(2841),
    [anon_sym_break] = ACTIONS(2841),
    [anon_sym_continue] = ACTIONS(2841),
    [anon_sym_goto] = ACTIONS(2841),
    [anon_sym___try] = ACTIONS(2841),
    [anon_sym___leave] = ACTIONS(2841),
    [anon_sym_not] = ACTIONS(2841),
    [anon_sym_compl] = ACTIONS(2841),
    [anon_sym_DASH_DASH] = ACTIONS(2843),
    [anon_sym_PLUS_PLUS] = ACTIONS(2843),
    [anon_sym_sizeof] = ACTIONS(2841),
    [anon_sym___alignof__] = ACTIONS(2841),
    [anon_sym___alignof] = ACTIONS(2841),
    [anon_sym__alignof] = ACTIONS(2841),
    [anon_sym_alignof] = ACTIONS(2841),
    [anon_sym__Alignof] = ACTIONS(2841),
    [anon_sym_offsetof] = ACTIONS(2841),
    [anon_sym__Generic] = ACTIONS(2841),
    [anon_sym_asm] = ACTIONS(2841),
    [anon_sym___asm__] = ACTIONS(2841),
    [sym_number_literal] = ACTIONS(2843),
    [anon_sym_L_SQUOTE] = ACTIONS(2843),
    [anon_sym_u_SQUOTE] = ACTIONS(2843),
    [anon_sym_U_SQUOTE] = ACTIONS(2843),
    [anon_sym_u8_SQUOTE] = ACTIONS(2843),
    [anon_sym_SQUOTE] = ACTIONS(2843),
    [anon_sym_L_DQUOTE] = ACTIONS(2843),
    [anon_sym_u_DQUOTE] = ACTIONS(2843),
    [anon_sym_U_DQUOTE] = ACTIONS(2843),
    [anon_sym_u8_DQUOTE] = ACTIONS(2843),
    [anon_sym_DQUOTE] = ACTIONS(2843),
    [sym_true] = ACTIONS(2841),
    [sym_false] = ACTIONS(2841),
    [anon_sym_NULL] = ACTIONS(2841),
    [anon_sym_nullptr] = ACTIONS(2841),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2841),
    [anon_sym_decltype] = ACTIONS(2841),
    [anon_sym_virtual] = ACTIONS(2841),
    [anon_sym_alignas] = ACTIONS(2841),
    [anon_sym_explicit] = ACTIONS(2841),
    [anon_sym_typename] = ACTIONS(2841),
    [anon_sym_template] = ACTIONS(2841),
    [anon_sym_operator] = ACTIONS(2841),
    [anon_sym_try] = ACTIONS(2841),
    [anon_sym_delete] = ACTIONS(2841),
    [anon_sym_throw] = ACTIONS(2841),
    [anon_sym_namespace] = ACTIONS(2841),
    [anon_sym_using] = ACTIONS(2841),
    [anon_sym_static_assert] = ACTIONS(2841),
    [anon_sym_concept] = ACTIONS(2841),
    [anon_sym_co_return] = ACTIONS(2841),
    [anon_sym_co_yield] = ACTIONS(2841),
    [anon_sym_R_DQUOTE] = ACTIONS(2843),
    [anon_sym_LR_DQUOTE] = ACTIONS(2843),
    [anon_sym_uR_DQUOTE] = ACTIONS(2843),
    [anon_sym_UR_DQUOTE] = ACTIONS(2843),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2843),
    [anon_sym_co_await] = ACTIONS(2841),
    [anon_sym_new] = ACTIONS(2841),
    [anon_sym_requires] = ACTIONS(2841),
    [sym_this] = ACTIONS(2841),
    [anon_sym_discard] = ACTIONS(2841),
    [anon_sym_precise] = ACTIONS(2841),
    [anon_sym_shared] = ACTIONS(2841),
    [anon_sym_groupshared] = ACTIONS(2841),
    [anon_sym_uniform] = ACTIONS(2841),
    [anon_sym_row_major] = ACTIONS(2841),
    [anon_sym_column_major] = ACTIONS(2841),
    [anon_sym_globallycoherent] = ACTIONS(2841),
    [anon_sym_centroid] = ACTIONS(2841),
    [anon_sym_noperspective] = ACTIONS(2841),
    [anon_sym_nointerpolation] = ACTIONS(2841),
    [anon_sym_sample] = ACTIONS(2841),
    [anon_sym_linear] = ACTIONS(2841),
    [anon_sym_snorm] = ACTIONS(2841),
    [anon_sym_unorm] = ACTIONS(2841),
    [anon_sym_point] = ACTIONS(2841),
    [anon_sym_line] = ACTIONS(2841),
    [anon_sym_triangleadj] = ACTIONS(2841),
    [anon_sym_lineadj] = ACTIONS(2841),
    [anon_sym_triangle] = ACTIONS(2841),
    [anon_sym_cbuffer] = ACTIONS(2841),
  },
  [1134] = {
    [sym_identifier] = ACTIONS(2845),
    [aux_sym_preproc_include_token1] = ACTIONS(2845),
    [aux_sym_preproc_def_token1] = ACTIONS(2845),
    [aux_sym_preproc_if_token1] = ACTIONS(2845),
    [aux_sym_preproc_if_token2] = ACTIONS(2845),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2845),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2845),
    [sym_preproc_directive] = ACTIONS(2845),
    [anon_sym_LPAREN2] = ACTIONS(2847),
    [anon_sym_BANG] = ACTIONS(2847),
    [anon_sym_TILDE] = ACTIONS(2847),
    [anon_sym_DASH] = ACTIONS(2845),
    [anon_sym_PLUS] = ACTIONS(2845),
    [anon_sym_STAR] = ACTIONS(2847),
    [anon_sym_AMP_AMP] = ACTIONS(2847),
    [anon_sym_AMP] = ACTIONS(2845),
    [anon_sym_SEMI] = ACTIONS(2847),
    [anon_sym___extension__] = ACTIONS(2845),
    [anon_sym_typedef] = ACTIONS(2845),
    [anon_sym_in] = ACTIONS(2845),
    [anon_sym_out] = ACTIONS(2845),
    [anon_sym_inout] = ACTIONS(2845),
    [anon_sym_extern] = ACTIONS(2845),
    [anon_sym___attribute__] = ACTIONS(2845),
    [anon_sym_COLON_COLON] = ACTIONS(2847),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2847),
    [anon_sym___declspec] = ACTIONS(2845),
    [anon_sym___based] = ACTIONS(2845),
    [anon_sym___cdecl] = ACTIONS(2845),
    [anon_sym___clrcall] = ACTIONS(2845),
    [anon_sym___stdcall] = ACTIONS(2845),
    [anon_sym___fastcall] = ACTIONS(2845),
    [anon_sym___thiscall] = ACTIONS(2845),
    [anon_sym___vectorcall] = ACTIONS(2845),
    [anon_sym_LBRACE] = ACTIONS(2847),
    [anon_sym_signed] = ACTIONS(2845),
    [anon_sym_unsigned] = ACTIONS(2845),
    [anon_sym_long] = ACTIONS(2845),
    [anon_sym_short] = ACTIONS(2845),
    [anon_sym_LBRACK] = ACTIONS(2845),
    [anon_sym_static] = ACTIONS(2845),
    [anon_sym_register] = ACTIONS(2845),
    [anon_sym_inline] = ACTIONS(2845),
    [anon_sym___inline] = ACTIONS(2845),
    [anon_sym___inline__] = ACTIONS(2845),
    [anon_sym___forceinline] = ACTIONS(2845),
    [anon_sym_thread_local] = ACTIONS(2845),
    [anon_sym___thread] = ACTIONS(2845),
    [anon_sym_const] = ACTIONS(2845),
    [anon_sym_constexpr] = ACTIONS(2845),
    [anon_sym_volatile] = ACTIONS(2845),
    [anon_sym_restrict] = ACTIONS(2845),
    [anon_sym___restrict__] = ACTIONS(2845),
    [anon_sym__Atomic] = ACTIONS(2845),
    [anon_sym__Noreturn] = ACTIONS(2845),
    [anon_sym_noreturn] = ACTIONS(2845),
    [anon_sym_mutable] = ACTIONS(2845),
    [anon_sym_constinit] = ACTIONS(2845),
    [anon_sym_consteval] = ACTIONS(2845),
    [sym_primitive_type] = ACTIONS(2845),
    [anon_sym_enum] = ACTIONS(2845),
    [anon_sym_class] = ACTIONS(2845),
    [anon_sym_struct] = ACTIONS(2845),
    [anon_sym_union] = ACTIONS(2845),
    [anon_sym_if] = ACTIONS(2845),
    [anon_sym_switch] = ACTIONS(2845),
    [anon_sym_case] = ACTIONS(2845),
    [anon_sym_default] = ACTIONS(2845),
    [anon_sym_while] = ACTIONS(2845),
    [anon_sym_do] = ACTIONS(2845),
    [anon_sym_for] = ACTIONS(2845),
    [anon_sym_return] = ACTIONS(2845),
    [anon_sym_break] = ACTIONS(2845),
    [anon_sym_continue] = ACTIONS(2845),
    [anon_sym_goto] = ACTIONS(2845),
    [anon_sym___try] = ACTIONS(2845),
    [anon_sym___leave] = ACTIONS(2845),
    [anon_sym_not] = ACTIONS(2845),
    [anon_sym_compl] = ACTIONS(2845),
    [anon_sym_DASH_DASH] = ACTIONS(2847),
    [anon_sym_PLUS_PLUS] = ACTIONS(2847),
    [anon_sym_sizeof] = ACTIONS(2845),
    [anon_sym___alignof__] = ACTIONS(2845),
    [anon_sym___alignof] = ACTIONS(2845),
    [anon_sym__alignof] = ACTIONS(2845),
    [anon_sym_alignof] = ACTIONS(2845),
    [anon_sym__Alignof] = ACTIONS(2845),
    [anon_sym_offsetof] = ACTIONS(2845),
    [anon_sym__Generic] = ACTIONS(2845),
    [anon_sym_asm] = ACTIONS(2845),
    [anon_sym___asm__] = ACTIONS(2845),
    [sym_number_literal] = ACTIONS(2847),
    [anon_sym_L_SQUOTE] = ACTIONS(2847),
    [anon_sym_u_SQUOTE] = ACTIONS(2847),
    [anon_sym_U_SQUOTE] = ACTIONS(2847),
    [anon_sym_u8_SQUOTE] = ACTIONS(2847),
    [anon_sym_SQUOTE] = ACTIONS(2847),
    [anon_sym_L_DQUOTE] = ACTIONS(2847),
    [anon_sym_u_DQUOTE] = ACTIONS(2847),
    [anon_sym_U_DQUOTE] = ACTIONS(2847),
    [anon_sym_u8_DQUOTE] = ACTIONS(2847),
    [anon_sym_DQUOTE] = ACTIONS(2847),
    [sym_true] = ACTIONS(2845),
    [sym_false] = ACTIONS(2845),
    [anon_sym_NULL] = ACTIONS(2845),
    [anon_sym_nullptr] = ACTIONS(2845),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2845),
    [anon_sym_decltype] = ACTIONS(2845),
    [anon_sym_virtual] = ACTIONS(2845),
    [anon_sym_alignas] = ACTIONS(2845),
    [anon_sym_explicit] = ACTIONS(2845),
    [anon_sym_typename] = ACTIONS(2845),
    [anon_sym_template] = ACTIONS(2845),
    [anon_sym_operator] = ACTIONS(2845),
    [anon_sym_try] = ACTIONS(2845),
    [anon_sym_delete] = ACTIONS(2845),
    [anon_sym_throw] = ACTIONS(2845),
    [anon_sym_namespace] = ACTIONS(2845),
    [anon_sym_using] = ACTIONS(2845),
    [anon_sym_static_assert] = ACTIONS(2845),
    [anon_sym_concept] = ACTIONS(2845),
    [anon_sym_co_return] = ACTIONS(2845),
    [anon_sym_co_yield] = ACTIONS(2845),
    [anon_sym_R_DQUOTE] = ACTIONS(2847),
    [anon_sym_LR_DQUOTE] = ACTIONS(2847),
    [anon_sym_uR_DQUOTE] = ACTIONS(2847),
    [anon_sym_UR_DQUOTE] = ACTIONS(2847),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2847),
    [anon_sym_co_await] = ACTIONS(2845),
    [anon_sym_new] = ACTIONS(2845),
    [anon_sym_requires] = ACTIONS(2845),
    [sym_this] = ACTIONS(2845),
    [anon_sym_discard] = ACTIONS(2845),
    [anon_sym_precise] = ACTIONS(2845),
    [anon_sym_shared] = ACTIONS(2845),
    [anon_sym_groupshared] = ACTIONS(2845),
    [anon_sym_uniform] = ACTIONS(2845),
    [anon_sym_row_major] = ACTIONS(2845),
    [anon_sym_column_major] = ACTIONS(2845),
    [anon_sym_globallycoherent] = ACTIONS(2845),
    [anon_sym_centroid] = ACTIONS(2845),
    [anon_sym_noperspective] = ACTIONS(2845),
    [anon_sym_nointerpolation] = ACTIONS(2845),
    [anon_sym_sample] = ACTIONS(2845),
    [anon_sym_linear] = ACTIONS(2845),
    [anon_sym_snorm] = ACTIONS(2845),
    [anon_sym_unorm] = ACTIONS(2845),
    [anon_sym_point] = ACTIONS(2845),
    [anon_sym_line] = ACTIONS(2845),
    [anon_sym_triangleadj] = ACTIONS(2845),
    [anon_sym_lineadj] = ACTIONS(2845),
    [anon_sym_triangle] = ACTIONS(2845),
    [anon_sym_cbuffer] = ACTIONS(2845),
  },
  [1135] = {
    [sym_identifier] = ACTIONS(2617),
    [aux_sym_preproc_include_token1] = ACTIONS(2617),
    [aux_sym_preproc_def_token1] = ACTIONS(2617),
    [aux_sym_preproc_if_token1] = ACTIONS(2617),
    [aux_sym_preproc_if_token2] = ACTIONS(2617),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2617),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2617),
    [sym_preproc_directive] = ACTIONS(2617),
    [anon_sym_LPAREN2] = ACTIONS(2619),
    [anon_sym_BANG] = ACTIONS(2619),
    [anon_sym_TILDE] = ACTIONS(2619),
    [anon_sym_DASH] = ACTIONS(2617),
    [anon_sym_PLUS] = ACTIONS(2617),
    [anon_sym_STAR] = ACTIONS(2619),
    [anon_sym_AMP_AMP] = ACTIONS(2619),
    [anon_sym_AMP] = ACTIONS(2617),
    [anon_sym_SEMI] = ACTIONS(2619),
    [anon_sym___extension__] = ACTIONS(2617),
    [anon_sym_typedef] = ACTIONS(2617),
    [anon_sym_in] = ACTIONS(2617),
    [anon_sym_out] = ACTIONS(2617),
    [anon_sym_inout] = ACTIONS(2617),
    [anon_sym_extern] = ACTIONS(2617),
    [anon_sym___attribute__] = ACTIONS(2617),
    [anon_sym_COLON_COLON] = ACTIONS(2619),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2619),
    [anon_sym___declspec] = ACTIONS(2617),
    [anon_sym___based] = ACTIONS(2617),
    [anon_sym___cdecl] = ACTIONS(2617),
    [anon_sym___clrcall] = ACTIONS(2617),
    [anon_sym___stdcall] = ACTIONS(2617),
    [anon_sym___fastcall] = ACTIONS(2617),
    [anon_sym___thiscall] = ACTIONS(2617),
    [anon_sym___vectorcall] = ACTIONS(2617),
    [anon_sym_LBRACE] = ACTIONS(2619),
    [anon_sym_signed] = ACTIONS(2617),
    [anon_sym_unsigned] = ACTIONS(2617),
    [anon_sym_long] = ACTIONS(2617),
    [anon_sym_short] = ACTIONS(2617),
    [anon_sym_LBRACK] = ACTIONS(2617),
    [anon_sym_static] = ACTIONS(2617),
    [anon_sym_register] = ACTIONS(2617),
    [anon_sym_inline] = ACTIONS(2617),
    [anon_sym___inline] = ACTIONS(2617),
    [anon_sym___inline__] = ACTIONS(2617),
    [anon_sym___forceinline] = ACTIONS(2617),
    [anon_sym_thread_local] = ACTIONS(2617),
    [anon_sym___thread] = ACTIONS(2617),
    [anon_sym_const] = ACTIONS(2617),
    [anon_sym_constexpr] = ACTIONS(2617),
    [anon_sym_volatile] = ACTIONS(2617),
    [anon_sym_restrict] = ACTIONS(2617),
    [anon_sym___restrict__] = ACTIONS(2617),
    [anon_sym__Atomic] = ACTIONS(2617),
    [anon_sym__Noreturn] = ACTIONS(2617),
    [anon_sym_noreturn] = ACTIONS(2617),
    [anon_sym_mutable] = ACTIONS(2617),
    [anon_sym_constinit] = ACTIONS(2617),
    [anon_sym_consteval] = ACTIONS(2617),
    [sym_primitive_type] = ACTIONS(2617),
    [anon_sym_enum] = ACTIONS(2617),
    [anon_sym_class] = ACTIONS(2617),
    [anon_sym_struct] = ACTIONS(2617),
    [anon_sym_union] = ACTIONS(2617),
    [anon_sym_if] = ACTIONS(2617),
    [anon_sym_switch] = ACTIONS(2617),
    [anon_sym_case] = ACTIONS(2617),
    [anon_sym_default] = ACTIONS(2617),
    [anon_sym_while] = ACTIONS(2617),
    [anon_sym_do] = ACTIONS(2617),
    [anon_sym_for] = ACTIONS(2617),
    [anon_sym_return] = ACTIONS(2617),
    [anon_sym_break] = ACTIONS(2617),
    [anon_sym_continue] = ACTIONS(2617),
    [anon_sym_goto] = ACTIONS(2617),
    [anon_sym___try] = ACTIONS(2617),
    [anon_sym___leave] = ACTIONS(2617),
    [anon_sym_not] = ACTIONS(2617),
    [anon_sym_compl] = ACTIONS(2617),
    [anon_sym_DASH_DASH] = ACTIONS(2619),
    [anon_sym_PLUS_PLUS] = ACTIONS(2619),
    [anon_sym_sizeof] = ACTIONS(2617),
    [anon_sym___alignof__] = ACTIONS(2617),
    [anon_sym___alignof] = ACTIONS(2617),
    [anon_sym__alignof] = ACTIONS(2617),
    [anon_sym_alignof] = ACTIONS(2617),
    [anon_sym__Alignof] = ACTIONS(2617),
    [anon_sym_offsetof] = ACTIONS(2617),
    [anon_sym__Generic] = ACTIONS(2617),
    [anon_sym_asm] = ACTIONS(2617),
    [anon_sym___asm__] = ACTIONS(2617),
    [sym_number_literal] = ACTIONS(2619),
    [anon_sym_L_SQUOTE] = ACTIONS(2619),
    [anon_sym_u_SQUOTE] = ACTIONS(2619),
    [anon_sym_U_SQUOTE] = ACTIONS(2619),
    [anon_sym_u8_SQUOTE] = ACTIONS(2619),
    [anon_sym_SQUOTE] = ACTIONS(2619),
    [anon_sym_L_DQUOTE] = ACTIONS(2619),
    [anon_sym_u_DQUOTE] = ACTIONS(2619),
    [anon_sym_U_DQUOTE] = ACTIONS(2619),
    [anon_sym_u8_DQUOTE] = ACTIONS(2619),
    [anon_sym_DQUOTE] = ACTIONS(2619),
    [sym_true] = ACTIONS(2617),
    [sym_false] = ACTIONS(2617),
    [anon_sym_NULL] = ACTIONS(2617),
    [anon_sym_nullptr] = ACTIONS(2617),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2617),
    [anon_sym_decltype] = ACTIONS(2617),
    [anon_sym_virtual] = ACTIONS(2617),
    [anon_sym_alignas] = ACTIONS(2617),
    [anon_sym_explicit] = ACTIONS(2617),
    [anon_sym_typename] = ACTIONS(2617),
    [anon_sym_template] = ACTIONS(2617),
    [anon_sym_operator] = ACTIONS(2617),
    [anon_sym_try] = ACTIONS(2617),
    [anon_sym_delete] = ACTIONS(2617),
    [anon_sym_throw] = ACTIONS(2617),
    [anon_sym_namespace] = ACTIONS(2617),
    [anon_sym_using] = ACTIONS(2617),
    [anon_sym_static_assert] = ACTIONS(2617),
    [anon_sym_concept] = ACTIONS(2617),
    [anon_sym_co_return] = ACTIONS(2617),
    [anon_sym_co_yield] = ACTIONS(2617),
    [anon_sym_R_DQUOTE] = ACTIONS(2619),
    [anon_sym_LR_DQUOTE] = ACTIONS(2619),
    [anon_sym_uR_DQUOTE] = ACTIONS(2619),
    [anon_sym_UR_DQUOTE] = ACTIONS(2619),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2619),
    [anon_sym_co_await] = ACTIONS(2617),
    [anon_sym_new] = ACTIONS(2617),
    [anon_sym_requires] = ACTIONS(2617),
    [sym_this] = ACTIONS(2617),
    [anon_sym_discard] = ACTIONS(2617),
    [anon_sym_precise] = ACTIONS(2617),
    [anon_sym_shared] = ACTIONS(2617),
    [anon_sym_groupshared] = ACTIONS(2617),
    [anon_sym_uniform] = ACTIONS(2617),
    [anon_sym_row_major] = ACTIONS(2617),
    [anon_sym_column_major] = ACTIONS(2617),
    [anon_sym_globallycoherent] = ACTIONS(2617),
    [anon_sym_centroid] = ACTIONS(2617),
    [anon_sym_noperspective] = ACTIONS(2617),
    [anon_sym_nointerpolation] = ACTIONS(2617),
    [anon_sym_sample] = ACTIONS(2617),
    [anon_sym_linear] = ACTIONS(2617),
    [anon_sym_snorm] = ACTIONS(2617),
    [anon_sym_unorm] = ACTIONS(2617),
    [anon_sym_point] = ACTIONS(2617),
    [anon_sym_line] = ACTIONS(2617),
    [anon_sym_triangleadj] = ACTIONS(2617),
    [anon_sym_lineadj] = ACTIONS(2617),
    [anon_sym_triangle] = ACTIONS(2617),
    [anon_sym_cbuffer] = ACTIONS(2617),
  },
  [1136] = {
    [sym_identifier] = ACTIONS(2853),
    [aux_sym_preproc_include_token1] = ACTIONS(2853),
    [aux_sym_preproc_def_token1] = ACTIONS(2853),
    [aux_sym_preproc_if_token1] = ACTIONS(2853),
    [aux_sym_preproc_if_token2] = ACTIONS(2853),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2853),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2853),
    [sym_preproc_directive] = ACTIONS(2853),
    [anon_sym_LPAREN2] = ACTIONS(2855),
    [anon_sym_BANG] = ACTIONS(2855),
    [anon_sym_TILDE] = ACTIONS(2855),
    [anon_sym_DASH] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(2853),
    [anon_sym_STAR] = ACTIONS(2855),
    [anon_sym_AMP_AMP] = ACTIONS(2855),
    [anon_sym_AMP] = ACTIONS(2853),
    [anon_sym_SEMI] = ACTIONS(2855),
    [anon_sym___extension__] = ACTIONS(2853),
    [anon_sym_typedef] = ACTIONS(2853),
    [anon_sym_in] = ACTIONS(2853),
    [anon_sym_out] = ACTIONS(2853),
    [anon_sym_inout] = ACTIONS(2853),
    [anon_sym_extern] = ACTIONS(2853),
    [anon_sym___attribute__] = ACTIONS(2853),
    [anon_sym_COLON_COLON] = ACTIONS(2855),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2855),
    [anon_sym___declspec] = ACTIONS(2853),
    [anon_sym___based] = ACTIONS(2853),
    [anon_sym___cdecl] = ACTIONS(2853),
    [anon_sym___clrcall] = ACTIONS(2853),
    [anon_sym___stdcall] = ACTIONS(2853),
    [anon_sym___fastcall] = ACTIONS(2853),
    [anon_sym___thiscall] = ACTIONS(2853),
    [anon_sym___vectorcall] = ACTIONS(2853),
    [anon_sym_LBRACE] = ACTIONS(2855),
    [anon_sym_signed] = ACTIONS(2853),
    [anon_sym_unsigned] = ACTIONS(2853),
    [anon_sym_long] = ACTIONS(2853),
    [anon_sym_short] = ACTIONS(2853),
    [anon_sym_LBRACK] = ACTIONS(2853),
    [anon_sym_static] = ACTIONS(2853),
    [anon_sym_register] = ACTIONS(2853),
    [anon_sym_inline] = ACTIONS(2853),
    [anon_sym___inline] = ACTIONS(2853),
    [anon_sym___inline__] = ACTIONS(2853),
    [anon_sym___forceinline] = ACTIONS(2853),
    [anon_sym_thread_local] = ACTIONS(2853),
    [anon_sym___thread] = ACTIONS(2853),
    [anon_sym_const] = ACTIONS(2853),
    [anon_sym_constexpr] = ACTIONS(2853),
    [anon_sym_volatile] = ACTIONS(2853),
    [anon_sym_restrict] = ACTIONS(2853),
    [anon_sym___restrict__] = ACTIONS(2853),
    [anon_sym__Atomic] = ACTIONS(2853),
    [anon_sym__Noreturn] = ACTIONS(2853),
    [anon_sym_noreturn] = ACTIONS(2853),
    [anon_sym_mutable] = ACTIONS(2853),
    [anon_sym_constinit] = ACTIONS(2853),
    [anon_sym_consteval] = ACTIONS(2853),
    [sym_primitive_type] = ACTIONS(2853),
    [anon_sym_enum] = ACTIONS(2853),
    [anon_sym_class] = ACTIONS(2853),
    [anon_sym_struct] = ACTIONS(2853),
    [anon_sym_union] = ACTIONS(2853),
    [anon_sym_if] = ACTIONS(2853),
    [anon_sym_switch] = ACTIONS(2853),
    [anon_sym_case] = ACTIONS(2853),
    [anon_sym_default] = ACTIONS(2853),
    [anon_sym_while] = ACTIONS(2853),
    [anon_sym_do] = ACTIONS(2853),
    [anon_sym_for] = ACTIONS(2853),
    [anon_sym_return] = ACTIONS(2853),
    [anon_sym_break] = ACTIONS(2853),
    [anon_sym_continue] = ACTIONS(2853),
    [anon_sym_goto] = ACTIONS(2853),
    [anon_sym___try] = ACTIONS(2853),
    [anon_sym___leave] = ACTIONS(2853),
    [anon_sym_not] = ACTIONS(2853),
    [anon_sym_compl] = ACTIONS(2853),
    [anon_sym_DASH_DASH] = ACTIONS(2855),
    [anon_sym_PLUS_PLUS] = ACTIONS(2855),
    [anon_sym_sizeof] = ACTIONS(2853),
    [anon_sym___alignof__] = ACTIONS(2853),
    [anon_sym___alignof] = ACTIONS(2853),
    [anon_sym__alignof] = ACTIONS(2853),
    [anon_sym_alignof] = ACTIONS(2853),
    [anon_sym__Alignof] = ACTIONS(2853),
    [anon_sym_offsetof] = ACTIONS(2853),
    [anon_sym__Generic] = ACTIONS(2853),
    [anon_sym_asm] = ACTIONS(2853),
    [anon_sym___asm__] = ACTIONS(2853),
    [sym_number_literal] = ACTIONS(2855),
    [anon_sym_L_SQUOTE] = ACTIONS(2855),
    [anon_sym_u_SQUOTE] = ACTIONS(2855),
    [anon_sym_U_SQUOTE] = ACTIONS(2855),
    [anon_sym_u8_SQUOTE] = ACTIONS(2855),
    [anon_sym_SQUOTE] = ACTIONS(2855),
    [anon_sym_L_DQUOTE] = ACTIONS(2855),
    [anon_sym_u_DQUOTE] = ACTIONS(2855),
    [anon_sym_U_DQUOTE] = ACTIONS(2855),
    [anon_sym_u8_DQUOTE] = ACTIONS(2855),
    [anon_sym_DQUOTE] = ACTIONS(2855),
    [sym_true] = ACTIONS(2853),
    [sym_false] = ACTIONS(2853),
    [anon_sym_NULL] = ACTIONS(2853),
    [anon_sym_nullptr] = ACTIONS(2853),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2853),
    [anon_sym_decltype] = ACTIONS(2853),
    [anon_sym_virtual] = ACTIONS(2853),
    [anon_sym_alignas] = ACTIONS(2853),
    [anon_sym_explicit] = ACTIONS(2853),
    [anon_sym_typename] = ACTIONS(2853),
    [anon_sym_template] = ACTIONS(2853),
    [anon_sym_operator] = ACTIONS(2853),
    [anon_sym_try] = ACTIONS(2853),
    [anon_sym_delete] = ACTIONS(2853),
    [anon_sym_throw] = ACTIONS(2853),
    [anon_sym_namespace] = ACTIONS(2853),
    [anon_sym_using] = ACTIONS(2853),
    [anon_sym_static_assert] = ACTIONS(2853),
    [anon_sym_concept] = ACTIONS(2853),
    [anon_sym_co_return] = ACTIONS(2853),
    [anon_sym_co_yield] = ACTIONS(2853),
    [anon_sym_R_DQUOTE] = ACTIONS(2855),
    [anon_sym_LR_DQUOTE] = ACTIONS(2855),
    [anon_sym_uR_DQUOTE] = ACTIONS(2855),
    [anon_sym_UR_DQUOTE] = ACTIONS(2855),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2855),
    [anon_sym_co_await] = ACTIONS(2853),
    [anon_sym_new] = ACTIONS(2853),
    [anon_sym_requires] = ACTIONS(2853),
    [sym_this] = ACTIONS(2853),
    [anon_sym_discard] = ACTIONS(2853),
    [anon_sym_precise] = ACTIONS(2853),
    [anon_sym_shared] = ACTIONS(2853),
    [anon_sym_groupshared] = ACTIONS(2853),
    [anon_sym_uniform] = ACTIONS(2853),
    [anon_sym_row_major] = ACTIONS(2853),
    [anon_sym_column_major] = ACTIONS(2853),
    [anon_sym_globallycoherent] = ACTIONS(2853),
    [anon_sym_centroid] = ACTIONS(2853),
    [anon_sym_noperspective] = ACTIONS(2853),
    [anon_sym_nointerpolation] = ACTIONS(2853),
    [anon_sym_sample] = ACTIONS(2853),
    [anon_sym_linear] = ACTIONS(2853),
    [anon_sym_snorm] = ACTIONS(2853),
    [anon_sym_unorm] = ACTIONS(2853),
    [anon_sym_point] = ACTIONS(2853),
    [anon_sym_line] = ACTIONS(2853),
    [anon_sym_triangleadj] = ACTIONS(2853),
    [anon_sym_lineadj] = ACTIONS(2853),
    [anon_sym_triangle] = ACTIONS(2853),
    [anon_sym_cbuffer] = ACTIONS(2853),
  },
  [1137] = {
    [sym_identifier] = ACTIONS(2793),
    [aux_sym_preproc_include_token1] = ACTIONS(2793),
    [aux_sym_preproc_def_token1] = ACTIONS(2793),
    [aux_sym_preproc_if_token1] = ACTIONS(2793),
    [aux_sym_preproc_if_token2] = ACTIONS(2793),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2793),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2793),
    [sym_preproc_directive] = ACTIONS(2793),
    [anon_sym_LPAREN2] = ACTIONS(2795),
    [anon_sym_BANG] = ACTIONS(2795),
    [anon_sym_TILDE] = ACTIONS(2795),
    [anon_sym_DASH] = ACTIONS(2793),
    [anon_sym_PLUS] = ACTIONS(2793),
    [anon_sym_STAR] = ACTIONS(2795),
    [anon_sym_AMP_AMP] = ACTIONS(2795),
    [anon_sym_AMP] = ACTIONS(2793),
    [anon_sym_SEMI] = ACTIONS(2795),
    [anon_sym___extension__] = ACTIONS(2793),
    [anon_sym_typedef] = ACTIONS(2793),
    [anon_sym_in] = ACTIONS(2793),
    [anon_sym_out] = ACTIONS(2793),
    [anon_sym_inout] = ACTIONS(2793),
    [anon_sym_extern] = ACTIONS(2793),
    [anon_sym___attribute__] = ACTIONS(2793),
    [anon_sym_COLON_COLON] = ACTIONS(2795),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2795),
    [anon_sym___declspec] = ACTIONS(2793),
    [anon_sym___based] = ACTIONS(2793),
    [anon_sym___cdecl] = ACTIONS(2793),
    [anon_sym___clrcall] = ACTIONS(2793),
    [anon_sym___stdcall] = ACTIONS(2793),
    [anon_sym___fastcall] = ACTIONS(2793),
    [anon_sym___thiscall] = ACTIONS(2793),
    [anon_sym___vectorcall] = ACTIONS(2793),
    [anon_sym_LBRACE] = ACTIONS(2795),
    [anon_sym_signed] = ACTIONS(2793),
    [anon_sym_unsigned] = ACTIONS(2793),
    [anon_sym_long] = ACTIONS(2793),
    [anon_sym_short] = ACTIONS(2793),
    [anon_sym_LBRACK] = ACTIONS(2793),
    [anon_sym_static] = ACTIONS(2793),
    [anon_sym_register] = ACTIONS(2793),
    [anon_sym_inline] = ACTIONS(2793),
    [anon_sym___inline] = ACTIONS(2793),
    [anon_sym___inline__] = ACTIONS(2793),
    [anon_sym___forceinline] = ACTIONS(2793),
    [anon_sym_thread_local] = ACTIONS(2793),
    [anon_sym___thread] = ACTIONS(2793),
    [anon_sym_const] = ACTIONS(2793),
    [anon_sym_constexpr] = ACTIONS(2793),
    [anon_sym_volatile] = ACTIONS(2793),
    [anon_sym_restrict] = ACTIONS(2793),
    [anon_sym___restrict__] = ACTIONS(2793),
    [anon_sym__Atomic] = ACTIONS(2793),
    [anon_sym__Noreturn] = ACTIONS(2793),
    [anon_sym_noreturn] = ACTIONS(2793),
    [anon_sym_mutable] = ACTIONS(2793),
    [anon_sym_constinit] = ACTIONS(2793),
    [anon_sym_consteval] = ACTIONS(2793),
    [sym_primitive_type] = ACTIONS(2793),
    [anon_sym_enum] = ACTIONS(2793),
    [anon_sym_class] = ACTIONS(2793),
    [anon_sym_struct] = ACTIONS(2793),
    [anon_sym_union] = ACTIONS(2793),
    [anon_sym_if] = ACTIONS(2793),
    [anon_sym_switch] = ACTIONS(2793),
    [anon_sym_case] = ACTIONS(2793),
    [anon_sym_default] = ACTIONS(2793),
    [anon_sym_while] = ACTIONS(2793),
    [anon_sym_do] = ACTIONS(2793),
    [anon_sym_for] = ACTIONS(2793),
    [anon_sym_return] = ACTIONS(2793),
    [anon_sym_break] = ACTIONS(2793),
    [anon_sym_continue] = ACTIONS(2793),
    [anon_sym_goto] = ACTIONS(2793),
    [anon_sym___try] = ACTIONS(2793),
    [anon_sym___leave] = ACTIONS(2793),
    [anon_sym_not] = ACTIONS(2793),
    [anon_sym_compl] = ACTIONS(2793),
    [anon_sym_DASH_DASH] = ACTIONS(2795),
    [anon_sym_PLUS_PLUS] = ACTIONS(2795),
    [anon_sym_sizeof] = ACTIONS(2793),
    [anon_sym___alignof__] = ACTIONS(2793),
    [anon_sym___alignof] = ACTIONS(2793),
    [anon_sym__alignof] = ACTIONS(2793),
    [anon_sym_alignof] = ACTIONS(2793),
    [anon_sym__Alignof] = ACTIONS(2793),
    [anon_sym_offsetof] = ACTIONS(2793),
    [anon_sym__Generic] = ACTIONS(2793),
    [anon_sym_asm] = ACTIONS(2793),
    [anon_sym___asm__] = ACTIONS(2793),
    [sym_number_literal] = ACTIONS(2795),
    [anon_sym_L_SQUOTE] = ACTIONS(2795),
    [anon_sym_u_SQUOTE] = ACTIONS(2795),
    [anon_sym_U_SQUOTE] = ACTIONS(2795),
    [anon_sym_u8_SQUOTE] = ACTIONS(2795),
    [anon_sym_SQUOTE] = ACTIONS(2795),
    [anon_sym_L_DQUOTE] = ACTIONS(2795),
    [anon_sym_u_DQUOTE] = ACTIONS(2795),
    [anon_sym_U_DQUOTE] = ACTIONS(2795),
    [anon_sym_u8_DQUOTE] = ACTIONS(2795),
    [anon_sym_DQUOTE] = ACTIONS(2795),
    [sym_true] = ACTIONS(2793),
    [sym_false] = ACTIONS(2793),
    [anon_sym_NULL] = ACTIONS(2793),
    [anon_sym_nullptr] = ACTIONS(2793),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2793),
    [anon_sym_decltype] = ACTIONS(2793),
    [anon_sym_virtual] = ACTIONS(2793),
    [anon_sym_alignas] = ACTIONS(2793),
    [anon_sym_explicit] = ACTIONS(2793),
    [anon_sym_typename] = ACTIONS(2793),
    [anon_sym_template] = ACTIONS(2793),
    [anon_sym_operator] = ACTIONS(2793),
    [anon_sym_try] = ACTIONS(2793),
    [anon_sym_delete] = ACTIONS(2793),
    [anon_sym_throw] = ACTIONS(2793),
    [anon_sym_namespace] = ACTIONS(2793),
    [anon_sym_using] = ACTIONS(2793),
    [anon_sym_static_assert] = ACTIONS(2793),
    [anon_sym_concept] = ACTIONS(2793),
    [anon_sym_co_return] = ACTIONS(2793),
    [anon_sym_co_yield] = ACTIONS(2793),
    [anon_sym_R_DQUOTE] = ACTIONS(2795),
    [anon_sym_LR_DQUOTE] = ACTIONS(2795),
    [anon_sym_uR_DQUOTE] = ACTIONS(2795),
    [anon_sym_UR_DQUOTE] = ACTIONS(2795),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2795),
    [anon_sym_co_await] = ACTIONS(2793),
    [anon_sym_new] = ACTIONS(2793),
    [anon_sym_requires] = ACTIONS(2793),
    [sym_this] = ACTIONS(2793),
    [anon_sym_discard] = ACTIONS(2793),
    [anon_sym_precise] = ACTIONS(2793),
    [anon_sym_shared] = ACTIONS(2793),
    [anon_sym_groupshared] = ACTIONS(2793),
    [anon_sym_uniform] = ACTIONS(2793),
    [anon_sym_row_major] = ACTIONS(2793),
    [anon_sym_column_major] = ACTIONS(2793),
    [anon_sym_globallycoherent] = ACTIONS(2793),
    [anon_sym_centroid] = ACTIONS(2793),
    [anon_sym_noperspective] = ACTIONS(2793),
    [anon_sym_nointerpolation] = ACTIONS(2793),
    [anon_sym_sample] = ACTIONS(2793),
    [anon_sym_linear] = ACTIONS(2793),
    [anon_sym_snorm] = ACTIONS(2793),
    [anon_sym_unorm] = ACTIONS(2793),
    [anon_sym_point] = ACTIONS(2793),
    [anon_sym_line] = ACTIONS(2793),
    [anon_sym_triangleadj] = ACTIONS(2793),
    [anon_sym_lineadj] = ACTIONS(2793),
    [anon_sym_triangle] = ACTIONS(2793),
    [anon_sym_cbuffer] = ACTIONS(2793),
  },
  [1138] = {
    [sym_identifier] = ACTIONS(2751),
    [aux_sym_preproc_include_token1] = ACTIONS(2751),
    [aux_sym_preproc_def_token1] = ACTIONS(2751),
    [aux_sym_preproc_if_token1] = ACTIONS(2751),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2751),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2751),
    [sym_preproc_directive] = ACTIONS(2751),
    [anon_sym_LPAREN2] = ACTIONS(2753),
    [anon_sym_BANG] = ACTIONS(2753),
    [anon_sym_TILDE] = ACTIONS(2753),
    [anon_sym_DASH] = ACTIONS(2751),
    [anon_sym_PLUS] = ACTIONS(2751),
    [anon_sym_STAR] = ACTIONS(2753),
    [anon_sym_AMP_AMP] = ACTIONS(2753),
    [anon_sym_AMP] = ACTIONS(2751),
    [anon_sym_SEMI] = ACTIONS(2753),
    [anon_sym___extension__] = ACTIONS(2751),
    [anon_sym_typedef] = ACTIONS(2751),
    [anon_sym_in] = ACTIONS(2751),
    [anon_sym_out] = ACTIONS(2751),
    [anon_sym_inout] = ACTIONS(2751),
    [anon_sym_extern] = ACTIONS(2751),
    [anon_sym___attribute__] = ACTIONS(2751),
    [anon_sym_COLON_COLON] = ACTIONS(2753),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2753),
    [anon_sym___declspec] = ACTIONS(2751),
    [anon_sym___based] = ACTIONS(2751),
    [anon_sym___cdecl] = ACTIONS(2751),
    [anon_sym___clrcall] = ACTIONS(2751),
    [anon_sym___stdcall] = ACTIONS(2751),
    [anon_sym___fastcall] = ACTIONS(2751),
    [anon_sym___thiscall] = ACTIONS(2751),
    [anon_sym___vectorcall] = ACTIONS(2751),
    [anon_sym_LBRACE] = ACTIONS(2753),
    [anon_sym_RBRACE] = ACTIONS(2753),
    [anon_sym_signed] = ACTIONS(2751),
    [anon_sym_unsigned] = ACTIONS(2751),
    [anon_sym_long] = ACTIONS(2751),
    [anon_sym_short] = ACTIONS(2751),
    [anon_sym_LBRACK] = ACTIONS(2751),
    [anon_sym_static] = ACTIONS(2751),
    [anon_sym_register] = ACTIONS(2751),
    [anon_sym_inline] = ACTIONS(2751),
    [anon_sym___inline] = ACTIONS(2751),
    [anon_sym___inline__] = ACTIONS(2751),
    [anon_sym___forceinline] = ACTIONS(2751),
    [anon_sym_thread_local] = ACTIONS(2751),
    [anon_sym___thread] = ACTIONS(2751),
    [anon_sym_const] = ACTIONS(2751),
    [anon_sym_constexpr] = ACTIONS(2751),
    [anon_sym_volatile] = ACTIONS(2751),
    [anon_sym_restrict] = ACTIONS(2751),
    [anon_sym___restrict__] = ACTIONS(2751),
    [anon_sym__Atomic] = ACTIONS(2751),
    [anon_sym__Noreturn] = ACTIONS(2751),
    [anon_sym_noreturn] = ACTIONS(2751),
    [anon_sym_mutable] = ACTIONS(2751),
    [anon_sym_constinit] = ACTIONS(2751),
    [anon_sym_consteval] = ACTIONS(2751),
    [sym_primitive_type] = ACTIONS(2751),
    [anon_sym_enum] = ACTIONS(2751),
    [anon_sym_class] = ACTIONS(2751),
    [anon_sym_struct] = ACTIONS(2751),
    [anon_sym_union] = ACTIONS(2751),
    [anon_sym_if] = ACTIONS(2751),
    [anon_sym_switch] = ACTIONS(2751),
    [anon_sym_case] = ACTIONS(2751),
    [anon_sym_default] = ACTIONS(2751),
    [anon_sym_while] = ACTIONS(2751),
    [anon_sym_do] = ACTIONS(2751),
    [anon_sym_for] = ACTIONS(2751),
    [anon_sym_return] = ACTIONS(2751),
    [anon_sym_break] = ACTIONS(2751),
    [anon_sym_continue] = ACTIONS(2751),
    [anon_sym_goto] = ACTIONS(2751),
    [anon_sym___try] = ACTIONS(2751),
    [anon_sym___leave] = ACTIONS(2751),
    [anon_sym_not] = ACTIONS(2751),
    [anon_sym_compl] = ACTIONS(2751),
    [anon_sym_DASH_DASH] = ACTIONS(2753),
    [anon_sym_PLUS_PLUS] = ACTIONS(2753),
    [anon_sym_sizeof] = ACTIONS(2751),
    [anon_sym___alignof__] = ACTIONS(2751),
    [anon_sym___alignof] = ACTIONS(2751),
    [anon_sym__alignof] = ACTIONS(2751),
    [anon_sym_alignof] = ACTIONS(2751),
    [anon_sym__Alignof] = ACTIONS(2751),
    [anon_sym_offsetof] = ACTIONS(2751),
    [anon_sym__Generic] = ACTIONS(2751),
    [anon_sym_asm] = ACTIONS(2751),
    [anon_sym___asm__] = ACTIONS(2751),
    [sym_number_literal] = ACTIONS(2753),
    [anon_sym_L_SQUOTE] = ACTIONS(2753),
    [anon_sym_u_SQUOTE] = ACTIONS(2753),
    [anon_sym_U_SQUOTE] = ACTIONS(2753),
    [anon_sym_u8_SQUOTE] = ACTIONS(2753),
    [anon_sym_SQUOTE] = ACTIONS(2753),
    [anon_sym_L_DQUOTE] = ACTIONS(2753),
    [anon_sym_u_DQUOTE] = ACTIONS(2753),
    [anon_sym_U_DQUOTE] = ACTIONS(2753),
    [anon_sym_u8_DQUOTE] = ACTIONS(2753),
    [anon_sym_DQUOTE] = ACTIONS(2753),
    [sym_true] = ACTIONS(2751),
    [sym_false] = ACTIONS(2751),
    [anon_sym_NULL] = ACTIONS(2751),
    [anon_sym_nullptr] = ACTIONS(2751),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2751),
    [anon_sym_decltype] = ACTIONS(2751),
    [anon_sym_virtual] = ACTIONS(2751),
    [anon_sym_alignas] = ACTIONS(2751),
    [anon_sym_explicit] = ACTIONS(2751),
    [anon_sym_typename] = ACTIONS(2751),
    [anon_sym_template] = ACTIONS(2751),
    [anon_sym_operator] = ACTIONS(2751),
    [anon_sym_try] = ACTIONS(2751),
    [anon_sym_delete] = ACTIONS(2751),
    [anon_sym_throw] = ACTIONS(2751),
    [anon_sym_namespace] = ACTIONS(2751),
    [anon_sym_using] = ACTIONS(2751),
    [anon_sym_static_assert] = ACTIONS(2751),
    [anon_sym_concept] = ACTIONS(2751),
    [anon_sym_co_return] = ACTIONS(2751),
    [anon_sym_co_yield] = ACTIONS(2751),
    [anon_sym_R_DQUOTE] = ACTIONS(2753),
    [anon_sym_LR_DQUOTE] = ACTIONS(2753),
    [anon_sym_uR_DQUOTE] = ACTIONS(2753),
    [anon_sym_UR_DQUOTE] = ACTIONS(2753),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2753),
    [anon_sym_co_await] = ACTIONS(2751),
    [anon_sym_new] = ACTIONS(2751),
    [anon_sym_requires] = ACTIONS(2751),
    [sym_this] = ACTIONS(2751),
    [anon_sym_discard] = ACTIONS(2751),
    [anon_sym_precise] = ACTIONS(2751),
    [anon_sym_shared] = ACTIONS(2751),
    [anon_sym_groupshared] = ACTIONS(2751),
    [anon_sym_uniform] = ACTIONS(2751),
    [anon_sym_row_major] = ACTIONS(2751),
    [anon_sym_column_major] = ACTIONS(2751),
    [anon_sym_globallycoherent] = ACTIONS(2751),
    [anon_sym_centroid] = ACTIONS(2751),
    [anon_sym_noperspective] = ACTIONS(2751),
    [anon_sym_nointerpolation] = ACTIONS(2751),
    [anon_sym_sample] = ACTIONS(2751),
    [anon_sym_linear] = ACTIONS(2751),
    [anon_sym_snorm] = ACTIONS(2751),
    [anon_sym_unorm] = ACTIONS(2751),
    [anon_sym_point] = ACTIONS(2751),
    [anon_sym_line] = ACTIONS(2751),
    [anon_sym_triangleadj] = ACTIONS(2751),
    [anon_sym_lineadj] = ACTIONS(2751),
    [anon_sym_triangle] = ACTIONS(2751),
    [anon_sym_cbuffer] = ACTIONS(2751),
  },
  [1139] = {
    [sym_identifier] = ACTIONS(2661),
    [aux_sym_preproc_include_token1] = ACTIONS(2661),
    [aux_sym_preproc_def_token1] = ACTIONS(2661),
    [aux_sym_preproc_if_token1] = ACTIONS(2661),
    [aux_sym_preproc_if_token2] = ACTIONS(2661),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2661),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2661),
    [sym_preproc_directive] = ACTIONS(2661),
    [anon_sym_LPAREN2] = ACTIONS(2663),
    [anon_sym_BANG] = ACTIONS(2663),
    [anon_sym_TILDE] = ACTIONS(2663),
    [anon_sym_DASH] = ACTIONS(2661),
    [anon_sym_PLUS] = ACTIONS(2661),
    [anon_sym_STAR] = ACTIONS(2663),
    [anon_sym_AMP_AMP] = ACTIONS(2663),
    [anon_sym_AMP] = ACTIONS(2661),
    [anon_sym_SEMI] = ACTIONS(2663),
    [anon_sym___extension__] = ACTIONS(2661),
    [anon_sym_typedef] = ACTIONS(2661),
    [anon_sym_in] = ACTIONS(2661),
    [anon_sym_out] = ACTIONS(2661),
    [anon_sym_inout] = ACTIONS(2661),
    [anon_sym_extern] = ACTIONS(2661),
    [anon_sym___attribute__] = ACTIONS(2661),
    [anon_sym_COLON_COLON] = ACTIONS(2663),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2663),
    [anon_sym___declspec] = ACTIONS(2661),
    [anon_sym___based] = ACTIONS(2661),
    [anon_sym___cdecl] = ACTIONS(2661),
    [anon_sym___clrcall] = ACTIONS(2661),
    [anon_sym___stdcall] = ACTIONS(2661),
    [anon_sym___fastcall] = ACTIONS(2661),
    [anon_sym___thiscall] = ACTIONS(2661),
    [anon_sym___vectorcall] = ACTIONS(2661),
    [anon_sym_LBRACE] = ACTIONS(2663),
    [anon_sym_signed] = ACTIONS(2661),
    [anon_sym_unsigned] = ACTIONS(2661),
    [anon_sym_long] = ACTIONS(2661),
    [anon_sym_short] = ACTIONS(2661),
    [anon_sym_LBRACK] = ACTIONS(2661),
    [anon_sym_static] = ACTIONS(2661),
    [anon_sym_register] = ACTIONS(2661),
    [anon_sym_inline] = ACTIONS(2661),
    [anon_sym___inline] = ACTIONS(2661),
    [anon_sym___inline__] = ACTIONS(2661),
    [anon_sym___forceinline] = ACTIONS(2661),
    [anon_sym_thread_local] = ACTIONS(2661),
    [anon_sym___thread] = ACTIONS(2661),
    [anon_sym_const] = ACTIONS(2661),
    [anon_sym_constexpr] = ACTIONS(2661),
    [anon_sym_volatile] = ACTIONS(2661),
    [anon_sym_restrict] = ACTIONS(2661),
    [anon_sym___restrict__] = ACTIONS(2661),
    [anon_sym__Atomic] = ACTIONS(2661),
    [anon_sym__Noreturn] = ACTIONS(2661),
    [anon_sym_noreturn] = ACTIONS(2661),
    [anon_sym_mutable] = ACTIONS(2661),
    [anon_sym_constinit] = ACTIONS(2661),
    [anon_sym_consteval] = ACTIONS(2661),
    [sym_primitive_type] = ACTIONS(2661),
    [anon_sym_enum] = ACTIONS(2661),
    [anon_sym_class] = ACTIONS(2661),
    [anon_sym_struct] = ACTIONS(2661),
    [anon_sym_union] = ACTIONS(2661),
    [anon_sym_if] = ACTIONS(2661),
    [anon_sym_switch] = ACTIONS(2661),
    [anon_sym_case] = ACTIONS(2661),
    [anon_sym_default] = ACTIONS(2661),
    [anon_sym_while] = ACTIONS(2661),
    [anon_sym_do] = ACTIONS(2661),
    [anon_sym_for] = ACTIONS(2661),
    [anon_sym_return] = ACTIONS(2661),
    [anon_sym_break] = ACTIONS(2661),
    [anon_sym_continue] = ACTIONS(2661),
    [anon_sym_goto] = ACTIONS(2661),
    [anon_sym___try] = ACTIONS(2661),
    [anon_sym___leave] = ACTIONS(2661),
    [anon_sym_not] = ACTIONS(2661),
    [anon_sym_compl] = ACTIONS(2661),
    [anon_sym_DASH_DASH] = ACTIONS(2663),
    [anon_sym_PLUS_PLUS] = ACTIONS(2663),
    [anon_sym_sizeof] = ACTIONS(2661),
    [anon_sym___alignof__] = ACTIONS(2661),
    [anon_sym___alignof] = ACTIONS(2661),
    [anon_sym__alignof] = ACTIONS(2661),
    [anon_sym_alignof] = ACTIONS(2661),
    [anon_sym__Alignof] = ACTIONS(2661),
    [anon_sym_offsetof] = ACTIONS(2661),
    [anon_sym__Generic] = ACTIONS(2661),
    [anon_sym_asm] = ACTIONS(2661),
    [anon_sym___asm__] = ACTIONS(2661),
    [sym_number_literal] = ACTIONS(2663),
    [anon_sym_L_SQUOTE] = ACTIONS(2663),
    [anon_sym_u_SQUOTE] = ACTIONS(2663),
    [anon_sym_U_SQUOTE] = ACTIONS(2663),
    [anon_sym_u8_SQUOTE] = ACTIONS(2663),
    [anon_sym_SQUOTE] = ACTIONS(2663),
    [anon_sym_L_DQUOTE] = ACTIONS(2663),
    [anon_sym_u_DQUOTE] = ACTIONS(2663),
    [anon_sym_U_DQUOTE] = ACTIONS(2663),
    [anon_sym_u8_DQUOTE] = ACTIONS(2663),
    [anon_sym_DQUOTE] = ACTIONS(2663),
    [sym_true] = ACTIONS(2661),
    [sym_false] = ACTIONS(2661),
    [anon_sym_NULL] = ACTIONS(2661),
    [anon_sym_nullptr] = ACTIONS(2661),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2661),
    [anon_sym_decltype] = ACTIONS(2661),
    [anon_sym_virtual] = ACTIONS(2661),
    [anon_sym_alignas] = ACTIONS(2661),
    [anon_sym_explicit] = ACTIONS(2661),
    [anon_sym_typename] = ACTIONS(2661),
    [anon_sym_template] = ACTIONS(2661),
    [anon_sym_operator] = ACTIONS(2661),
    [anon_sym_try] = ACTIONS(2661),
    [anon_sym_delete] = ACTIONS(2661),
    [anon_sym_throw] = ACTIONS(2661),
    [anon_sym_namespace] = ACTIONS(2661),
    [anon_sym_using] = ACTIONS(2661),
    [anon_sym_static_assert] = ACTIONS(2661),
    [anon_sym_concept] = ACTIONS(2661),
    [anon_sym_co_return] = ACTIONS(2661),
    [anon_sym_co_yield] = ACTIONS(2661),
    [anon_sym_R_DQUOTE] = ACTIONS(2663),
    [anon_sym_LR_DQUOTE] = ACTIONS(2663),
    [anon_sym_uR_DQUOTE] = ACTIONS(2663),
    [anon_sym_UR_DQUOTE] = ACTIONS(2663),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2663),
    [anon_sym_co_await] = ACTIONS(2661),
    [anon_sym_new] = ACTIONS(2661),
    [anon_sym_requires] = ACTIONS(2661),
    [sym_this] = ACTIONS(2661),
    [anon_sym_discard] = ACTIONS(2661),
    [anon_sym_precise] = ACTIONS(2661),
    [anon_sym_shared] = ACTIONS(2661),
    [anon_sym_groupshared] = ACTIONS(2661),
    [anon_sym_uniform] = ACTIONS(2661),
    [anon_sym_row_major] = ACTIONS(2661),
    [anon_sym_column_major] = ACTIONS(2661),
    [anon_sym_globallycoherent] = ACTIONS(2661),
    [anon_sym_centroid] = ACTIONS(2661),
    [anon_sym_noperspective] = ACTIONS(2661),
    [anon_sym_nointerpolation] = ACTIONS(2661),
    [anon_sym_sample] = ACTIONS(2661),
    [anon_sym_linear] = ACTIONS(2661),
    [anon_sym_snorm] = ACTIONS(2661),
    [anon_sym_unorm] = ACTIONS(2661),
    [anon_sym_point] = ACTIONS(2661),
    [anon_sym_line] = ACTIONS(2661),
    [anon_sym_triangleadj] = ACTIONS(2661),
    [anon_sym_lineadj] = ACTIONS(2661),
    [anon_sym_triangle] = ACTIONS(2661),
    [anon_sym_cbuffer] = ACTIONS(2661),
  },
  [1140] = {
    [sym_identifier] = ACTIONS(2657),
    [aux_sym_preproc_include_token1] = ACTIONS(2657),
    [aux_sym_preproc_def_token1] = ACTIONS(2657),
    [aux_sym_preproc_if_token1] = ACTIONS(2657),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2657),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2657),
    [sym_preproc_directive] = ACTIONS(2657),
    [anon_sym_LPAREN2] = ACTIONS(2659),
    [anon_sym_BANG] = ACTIONS(2659),
    [anon_sym_TILDE] = ACTIONS(2659),
    [anon_sym_DASH] = ACTIONS(2657),
    [anon_sym_PLUS] = ACTIONS(2657),
    [anon_sym_STAR] = ACTIONS(2659),
    [anon_sym_AMP_AMP] = ACTIONS(2659),
    [anon_sym_AMP] = ACTIONS(2657),
    [anon_sym_SEMI] = ACTIONS(2659),
    [anon_sym___extension__] = ACTIONS(2657),
    [anon_sym_typedef] = ACTIONS(2657),
    [anon_sym_in] = ACTIONS(2657),
    [anon_sym_out] = ACTIONS(2657),
    [anon_sym_inout] = ACTIONS(2657),
    [anon_sym_extern] = ACTIONS(2657),
    [anon_sym___attribute__] = ACTIONS(2657),
    [anon_sym_COLON_COLON] = ACTIONS(2659),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2659),
    [anon_sym___declspec] = ACTIONS(2657),
    [anon_sym___based] = ACTIONS(2657),
    [anon_sym___cdecl] = ACTIONS(2657),
    [anon_sym___clrcall] = ACTIONS(2657),
    [anon_sym___stdcall] = ACTIONS(2657),
    [anon_sym___fastcall] = ACTIONS(2657),
    [anon_sym___thiscall] = ACTIONS(2657),
    [anon_sym___vectorcall] = ACTIONS(2657),
    [anon_sym_LBRACE] = ACTIONS(2659),
    [anon_sym_RBRACE] = ACTIONS(2659),
    [anon_sym_signed] = ACTIONS(2657),
    [anon_sym_unsigned] = ACTIONS(2657),
    [anon_sym_long] = ACTIONS(2657),
    [anon_sym_short] = ACTIONS(2657),
    [anon_sym_LBRACK] = ACTIONS(2657),
    [anon_sym_static] = ACTIONS(2657),
    [anon_sym_register] = ACTIONS(2657),
    [anon_sym_inline] = ACTIONS(2657),
    [anon_sym___inline] = ACTIONS(2657),
    [anon_sym___inline__] = ACTIONS(2657),
    [anon_sym___forceinline] = ACTIONS(2657),
    [anon_sym_thread_local] = ACTIONS(2657),
    [anon_sym___thread] = ACTIONS(2657),
    [anon_sym_const] = ACTIONS(2657),
    [anon_sym_constexpr] = ACTIONS(2657),
    [anon_sym_volatile] = ACTIONS(2657),
    [anon_sym_restrict] = ACTIONS(2657),
    [anon_sym___restrict__] = ACTIONS(2657),
    [anon_sym__Atomic] = ACTIONS(2657),
    [anon_sym__Noreturn] = ACTIONS(2657),
    [anon_sym_noreturn] = ACTIONS(2657),
    [anon_sym_mutable] = ACTIONS(2657),
    [anon_sym_constinit] = ACTIONS(2657),
    [anon_sym_consteval] = ACTIONS(2657),
    [sym_primitive_type] = ACTIONS(2657),
    [anon_sym_enum] = ACTIONS(2657),
    [anon_sym_class] = ACTIONS(2657),
    [anon_sym_struct] = ACTIONS(2657),
    [anon_sym_union] = ACTIONS(2657),
    [anon_sym_if] = ACTIONS(2657),
    [anon_sym_switch] = ACTIONS(2657),
    [anon_sym_case] = ACTIONS(2657),
    [anon_sym_default] = ACTIONS(2657),
    [anon_sym_while] = ACTIONS(2657),
    [anon_sym_do] = ACTIONS(2657),
    [anon_sym_for] = ACTIONS(2657),
    [anon_sym_return] = ACTIONS(2657),
    [anon_sym_break] = ACTIONS(2657),
    [anon_sym_continue] = ACTIONS(2657),
    [anon_sym_goto] = ACTIONS(2657),
    [anon_sym___try] = ACTIONS(2657),
    [anon_sym___leave] = ACTIONS(2657),
    [anon_sym_not] = ACTIONS(2657),
    [anon_sym_compl] = ACTIONS(2657),
    [anon_sym_DASH_DASH] = ACTIONS(2659),
    [anon_sym_PLUS_PLUS] = ACTIONS(2659),
    [anon_sym_sizeof] = ACTIONS(2657),
    [anon_sym___alignof__] = ACTIONS(2657),
    [anon_sym___alignof] = ACTIONS(2657),
    [anon_sym__alignof] = ACTIONS(2657),
    [anon_sym_alignof] = ACTIONS(2657),
    [anon_sym__Alignof] = ACTIONS(2657),
    [anon_sym_offsetof] = ACTIONS(2657),
    [anon_sym__Generic] = ACTIONS(2657),
    [anon_sym_asm] = ACTIONS(2657),
    [anon_sym___asm__] = ACTIONS(2657),
    [sym_number_literal] = ACTIONS(2659),
    [anon_sym_L_SQUOTE] = ACTIONS(2659),
    [anon_sym_u_SQUOTE] = ACTIONS(2659),
    [anon_sym_U_SQUOTE] = ACTIONS(2659),
    [anon_sym_u8_SQUOTE] = ACTIONS(2659),
    [anon_sym_SQUOTE] = ACTIONS(2659),
    [anon_sym_L_DQUOTE] = ACTIONS(2659),
    [anon_sym_u_DQUOTE] = ACTIONS(2659),
    [anon_sym_U_DQUOTE] = ACTIONS(2659),
    [anon_sym_u8_DQUOTE] = ACTIONS(2659),
    [anon_sym_DQUOTE] = ACTIONS(2659),
    [sym_true] = ACTIONS(2657),
    [sym_false] = ACTIONS(2657),
    [anon_sym_NULL] = ACTIONS(2657),
    [anon_sym_nullptr] = ACTIONS(2657),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2657),
    [anon_sym_decltype] = ACTIONS(2657),
    [anon_sym_virtual] = ACTIONS(2657),
    [anon_sym_alignas] = ACTIONS(2657),
    [anon_sym_explicit] = ACTIONS(2657),
    [anon_sym_typename] = ACTIONS(2657),
    [anon_sym_template] = ACTIONS(2657),
    [anon_sym_operator] = ACTIONS(2657),
    [anon_sym_try] = ACTIONS(2657),
    [anon_sym_delete] = ACTIONS(2657),
    [anon_sym_throw] = ACTIONS(2657),
    [anon_sym_namespace] = ACTIONS(2657),
    [anon_sym_using] = ACTIONS(2657),
    [anon_sym_static_assert] = ACTIONS(2657),
    [anon_sym_concept] = ACTIONS(2657),
    [anon_sym_co_return] = ACTIONS(2657),
    [anon_sym_co_yield] = ACTIONS(2657),
    [anon_sym_R_DQUOTE] = ACTIONS(2659),
    [anon_sym_LR_DQUOTE] = ACTIONS(2659),
    [anon_sym_uR_DQUOTE] = ACTIONS(2659),
    [anon_sym_UR_DQUOTE] = ACTIONS(2659),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2659),
    [anon_sym_co_await] = ACTIONS(2657),
    [anon_sym_new] = ACTIONS(2657),
    [anon_sym_requires] = ACTIONS(2657),
    [sym_this] = ACTIONS(2657),
    [anon_sym_discard] = ACTIONS(2657),
    [anon_sym_precise] = ACTIONS(2657),
    [anon_sym_shared] = ACTIONS(2657),
    [anon_sym_groupshared] = ACTIONS(2657),
    [anon_sym_uniform] = ACTIONS(2657),
    [anon_sym_row_major] = ACTIONS(2657),
    [anon_sym_column_major] = ACTIONS(2657),
    [anon_sym_globallycoherent] = ACTIONS(2657),
    [anon_sym_centroid] = ACTIONS(2657),
    [anon_sym_noperspective] = ACTIONS(2657),
    [anon_sym_nointerpolation] = ACTIONS(2657),
    [anon_sym_sample] = ACTIONS(2657),
    [anon_sym_linear] = ACTIONS(2657),
    [anon_sym_snorm] = ACTIONS(2657),
    [anon_sym_unorm] = ACTIONS(2657),
    [anon_sym_point] = ACTIONS(2657),
    [anon_sym_line] = ACTIONS(2657),
    [anon_sym_triangleadj] = ACTIONS(2657),
    [anon_sym_lineadj] = ACTIONS(2657),
    [anon_sym_triangle] = ACTIONS(2657),
    [anon_sym_cbuffer] = ACTIONS(2657),
  },
  [1141] = {
    [sym_identifier] = ACTIONS(2743),
    [aux_sym_preproc_include_token1] = ACTIONS(2743),
    [aux_sym_preproc_def_token1] = ACTIONS(2743),
    [aux_sym_preproc_if_token1] = ACTIONS(2743),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2743),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2743),
    [sym_preproc_directive] = ACTIONS(2743),
    [anon_sym_LPAREN2] = ACTIONS(2745),
    [anon_sym_BANG] = ACTIONS(2745),
    [anon_sym_TILDE] = ACTIONS(2745),
    [anon_sym_DASH] = ACTIONS(2743),
    [anon_sym_PLUS] = ACTIONS(2743),
    [anon_sym_STAR] = ACTIONS(2745),
    [anon_sym_AMP_AMP] = ACTIONS(2745),
    [anon_sym_AMP] = ACTIONS(2743),
    [anon_sym_SEMI] = ACTIONS(2745),
    [anon_sym___extension__] = ACTIONS(2743),
    [anon_sym_typedef] = ACTIONS(2743),
    [anon_sym_in] = ACTIONS(2743),
    [anon_sym_out] = ACTIONS(2743),
    [anon_sym_inout] = ACTIONS(2743),
    [anon_sym_extern] = ACTIONS(2743),
    [anon_sym___attribute__] = ACTIONS(2743),
    [anon_sym_COLON_COLON] = ACTIONS(2745),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2745),
    [anon_sym___declspec] = ACTIONS(2743),
    [anon_sym___based] = ACTIONS(2743),
    [anon_sym___cdecl] = ACTIONS(2743),
    [anon_sym___clrcall] = ACTIONS(2743),
    [anon_sym___stdcall] = ACTIONS(2743),
    [anon_sym___fastcall] = ACTIONS(2743),
    [anon_sym___thiscall] = ACTIONS(2743),
    [anon_sym___vectorcall] = ACTIONS(2743),
    [anon_sym_LBRACE] = ACTIONS(2745),
    [anon_sym_RBRACE] = ACTIONS(2745),
    [anon_sym_signed] = ACTIONS(2743),
    [anon_sym_unsigned] = ACTIONS(2743),
    [anon_sym_long] = ACTIONS(2743),
    [anon_sym_short] = ACTIONS(2743),
    [anon_sym_LBRACK] = ACTIONS(2743),
    [anon_sym_static] = ACTIONS(2743),
    [anon_sym_register] = ACTIONS(2743),
    [anon_sym_inline] = ACTIONS(2743),
    [anon_sym___inline] = ACTIONS(2743),
    [anon_sym___inline__] = ACTIONS(2743),
    [anon_sym___forceinline] = ACTIONS(2743),
    [anon_sym_thread_local] = ACTIONS(2743),
    [anon_sym___thread] = ACTIONS(2743),
    [anon_sym_const] = ACTIONS(2743),
    [anon_sym_constexpr] = ACTIONS(2743),
    [anon_sym_volatile] = ACTIONS(2743),
    [anon_sym_restrict] = ACTIONS(2743),
    [anon_sym___restrict__] = ACTIONS(2743),
    [anon_sym__Atomic] = ACTIONS(2743),
    [anon_sym__Noreturn] = ACTIONS(2743),
    [anon_sym_noreturn] = ACTIONS(2743),
    [anon_sym_mutable] = ACTIONS(2743),
    [anon_sym_constinit] = ACTIONS(2743),
    [anon_sym_consteval] = ACTIONS(2743),
    [sym_primitive_type] = ACTIONS(2743),
    [anon_sym_enum] = ACTIONS(2743),
    [anon_sym_class] = ACTIONS(2743),
    [anon_sym_struct] = ACTIONS(2743),
    [anon_sym_union] = ACTIONS(2743),
    [anon_sym_if] = ACTIONS(2743),
    [anon_sym_switch] = ACTIONS(2743),
    [anon_sym_case] = ACTIONS(2743),
    [anon_sym_default] = ACTIONS(2743),
    [anon_sym_while] = ACTIONS(2743),
    [anon_sym_do] = ACTIONS(2743),
    [anon_sym_for] = ACTIONS(2743),
    [anon_sym_return] = ACTIONS(2743),
    [anon_sym_break] = ACTIONS(2743),
    [anon_sym_continue] = ACTIONS(2743),
    [anon_sym_goto] = ACTIONS(2743),
    [anon_sym___try] = ACTIONS(2743),
    [anon_sym___leave] = ACTIONS(2743),
    [anon_sym_not] = ACTIONS(2743),
    [anon_sym_compl] = ACTIONS(2743),
    [anon_sym_DASH_DASH] = ACTIONS(2745),
    [anon_sym_PLUS_PLUS] = ACTIONS(2745),
    [anon_sym_sizeof] = ACTIONS(2743),
    [anon_sym___alignof__] = ACTIONS(2743),
    [anon_sym___alignof] = ACTIONS(2743),
    [anon_sym__alignof] = ACTIONS(2743),
    [anon_sym_alignof] = ACTIONS(2743),
    [anon_sym__Alignof] = ACTIONS(2743),
    [anon_sym_offsetof] = ACTIONS(2743),
    [anon_sym__Generic] = ACTIONS(2743),
    [anon_sym_asm] = ACTIONS(2743),
    [anon_sym___asm__] = ACTIONS(2743),
    [sym_number_literal] = ACTIONS(2745),
    [anon_sym_L_SQUOTE] = ACTIONS(2745),
    [anon_sym_u_SQUOTE] = ACTIONS(2745),
    [anon_sym_U_SQUOTE] = ACTIONS(2745),
    [anon_sym_u8_SQUOTE] = ACTIONS(2745),
    [anon_sym_SQUOTE] = ACTIONS(2745),
    [anon_sym_L_DQUOTE] = ACTIONS(2745),
    [anon_sym_u_DQUOTE] = ACTIONS(2745),
    [anon_sym_U_DQUOTE] = ACTIONS(2745),
    [anon_sym_u8_DQUOTE] = ACTIONS(2745),
    [anon_sym_DQUOTE] = ACTIONS(2745),
    [sym_true] = ACTIONS(2743),
    [sym_false] = ACTIONS(2743),
    [anon_sym_NULL] = ACTIONS(2743),
    [anon_sym_nullptr] = ACTIONS(2743),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2743),
    [anon_sym_decltype] = ACTIONS(2743),
    [anon_sym_virtual] = ACTIONS(2743),
    [anon_sym_alignas] = ACTIONS(2743),
    [anon_sym_explicit] = ACTIONS(2743),
    [anon_sym_typename] = ACTIONS(2743),
    [anon_sym_template] = ACTIONS(2743),
    [anon_sym_operator] = ACTIONS(2743),
    [anon_sym_try] = ACTIONS(2743),
    [anon_sym_delete] = ACTIONS(2743),
    [anon_sym_throw] = ACTIONS(2743),
    [anon_sym_namespace] = ACTIONS(2743),
    [anon_sym_using] = ACTIONS(2743),
    [anon_sym_static_assert] = ACTIONS(2743),
    [anon_sym_concept] = ACTIONS(2743),
    [anon_sym_co_return] = ACTIONS(2743),
    [anon_sym_co_yield] = ACTIONS(2743),
    [anon_sym_R_DQUOTE] = ACTIONS(2745),
    [anon_sym_LR_DQUOTE] = ACTIONS(2745),
    [anon_sym_uR_DQUOTE] = ACTIONS(2745),
    [anon_sym_UR_DQUOTE] = ACTIONS(2745),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2745),
    [anon_sym_co_await] = ACTIONS(2743),
    [anon_sym_new] = ACTIONS(2743),
    [anon_sym_requires] = ACTIONS(2743),
    [sym_this] = ACTIONS(2743),
    [anon_sym_discard] = ACTIONS(2743),
    [anon_sym_precise] = ACTIONS(2743),
    [anon_sym_shared] = ACTIONS(2743),
    [anon_sym_groupshared] = ACTIONS(2743),
    [anon_sym_uniform] = ACTIONS(2743),
    [anon_sym_row_major] = ACTIONS(2743),
    [anon_sym_column_major] = ACTIONS(2743),
    [anon_sym_globallycoherent] = ACTIONS(2743),
    [anon_sym_centroid] = ACTIONS(2743),
    [anon_sym_noperspective] = ACTIONS(2743),
    [anon_sym_nointerpolation] = ACTIONS(2743),
    [anon_sym_sample] = ACTIONS(2743),
    [anon_sym_linear] = ACTIONS(2743),
    [anon_sym_snorm] = ACTIONS(2743),
    [anon_sym_unorm] = ACTIONS(2743),
    [anon_sym_point] = ACTIONS(2743),
    [anon_sym_line] = ACTIONS(2743),
    [anon_sym_triangleadj] = ACTIONS(2743),
    [anon_sym_lineadj] = ACTIONS(2743),
    [anon_sym_triangle] = ACTIONS(2743),
    [anon_sym_cbuffer] = ACTIONS(2743),
  },
  [1142] = {
    [sym_identifier] = ACTIONS(2739),
    [aux_sym_preproc_include_token1] = ACTIONS(2739),
    [aux_sym_preproc_def_token1] = ACTIONS(2739),
    [aux_sym_preproc_if_token1] = ACTIONS(2739),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2739),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2739),
    [sym_preproc_directive] = ACTIONS(2739),
    [anon_sym_LPAREN2] = ACTIONS(2741),
    [anon_sym_BANG] = ACTIONS(2741),
    [anon_sym_TILDE] = ACTIONS(2741),
    [anon_sym_DASH] = ACTIONS(2739),
    [anon_sym_PLUS] = ACTIONS(2739),
    [anon_sym_STAR] = ACTIONS(2741),
    [anon_sym_AMP_AMP] = ACTIONS(2741),
    [anon_sym_AMP] = ACTIONS(2739),
    [anon_sym_SEMI] = ACTIONS(2741),
    [anon_sym___extension__] = ACTIONS(2739),
    [anon_sym_typedef] = ACTIONS(2739),
    [anon_sym_in] = ACTIONS(2739),
    [anon_sym_out] = ACTIONS(2739),
    [anon_sym_inout] = ACTIONS(2739),
    [anon_sym_extern] = ACTIONS(2739),
    [anon_sym___attribute__] = ACTIONS(2739),
    [anon_sym_COLON_COLON] = ACTIONS(2741),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2741),
    [anon_sym___declspec] = ACTIONS(2739),
    [anon_sym___based] = ACTIONS(2739),
    [anon_sym___cdecl] = ACTIONS(2739),
    [anon_sym___clrcall] = ACTIONS(2739),
    [anon_sym___stdcall] = ACTIONS(2739),
    [anon_sym___fastcall] = ACTIONS(2739),
    [anon_sym___thiscall] = ACTIONS(2739),
    [anon_sym___vectorcall] = ACTIONS(2739),
    [anon_sym_LBRACE] = ACTIONS(2741),
    [anon_sym_RBRACE] = ACTIONS(2741),
    [anon_sym_signed] = ACTIONS(2739),
    [anon_sym_unsigned] = ACTIONS(2739),
    [anon_sym_long] = ACTIONS(2739),
    [anon_sym_short] = ACTIONS(2739),
    [anon_sym_LBRACK] = ACTIONS(2739),
    [anon_sym_static] = ACTIONS(2739),
    [anon_sym_register] = ACTIONS(2739),
    [anon_sym_inline] = ACTIONS(2739),
    [anon_sym___inline] = ACTIONS(2739),
    [anon_sym___inline__] = ACTIONS(2739),
    [anon_sym___forceinline] = ACTIONS(2739),
    [anon_sym_thread_local] = ACTIONS(2739),
    [anon_sym___thread] = ACTIONS(2739),
    [anon_sym_const] = ACTIONS(2739),
    [anon_sym_constexpr] = ACTIONS(2739),
    [anon_sym_volatile] = ACTIONS(2739),
    [anon_sym_restrict] = ACTIONS(2739),
    [anon_sym___restrict__] = ACTIONS(2739),
    [anon_sym__Atomic] = ACTIONS(2739),
    [anon_sym__Noreturn] = ACTIONS(2739),
    [anon_sym_noreturn] = ACTIONS(2739),
    [anon_sym_mutable] = ACTIONS(2739),
    [anon_sym_constinit] = ACTIONS(2739),
    [anon_sym_consteval] = ACTIONS(2739),
    [sym_primitive_type] = ACTIONS(2739),
    [anon_sym_enum] = ACTIONS(2739),
    [anon_sym_class] = ACTIONS(2739),
    [anon_sym_struct] = ACTIONS(2739),
    [anon_sym_union] = ACTIONS(2739),
    [anon_sym_if] = ACTIONS(2739),
    [anon_sym_switch] = ACTIONS(2739),
    [anon_sym_case] = ACTIONS(2739),
    [anon_sym_default] = ACTIONS(2739),
    [anon_sym_while] = ACTIONS(2739),
    [anon_sym_do] = ACTIONS(2739),
    [anon_sym_for] = ACTIONS(2739),
    [anon_sym_return] = ACTIONS(2739),
    [anon_sym_break] = ACTIONS(2739),
    [anon_sym_continue] = ACTIONS(2739),
    [anon_sym_goto] = ACTIONS(2739),
    [anon_sym___try] = ACTIONS(2739),
    [anon_sym___leave] = ACTIONS(2739),
    [anon_sym_not] = ACTIONS(2739),
    [anon_sym_compl] = ACTIONS(2739),
    [anon_sym_DASH_DASH] = ACTIONS(2741),
    [anon_sym_PLUS_PLUS] = ACTIONS(2741),
    [anon_sym_sizeof] = ACTIONS(2739),
    [anon_sym___alignof__] = ACTIONS(2739),
    [anon_sym___alignof] = ACTIONS(2739),
    [anon_sym__alignof] = ACTIONS(2739),
    [anon_sym_alignof] = ACTIONS(2739),
    [anon_sym__Alignof] = ACTIONS(2739),
    [anon_sym_offsetof] = ACTIONS(2739),
    [anon_sym__Generic] = ACTIONS(2739),
    [anon_sym_asm] = ACTIONS(2739),
    [anon_sym___asm__] = ACTIONS(2739),
    [sym_number_literal] = ACTIONS(2741),
    [anon_sym_L_SQUOTE] = ACTIONS(2741),
    [anon_sym_u_SQUOTE] = ACTIONS(2741),
    [anon_sym_U_SQUOTE] = ACTIONS(2741),
    [anon_sym_u8_SQUOTE] = ACTIONS(2741),
    [anon_sym_SQUOTE] = ACTIONS(2741),
    [anon_sym_L_DQUOTE] = ACTIONS(2741),
    [anon_sym_u_DQUOTE] = ACTIONS(2741),
    [anon_sym_U_DQUOTE] = ACTIONS(2741),
    [anon_sym_u8_DQUOTE] = ACTIONS(2741),
    [anon_sym_DQUOTE] = ACTIONS(2741),
    [sym_true] = ACTIONS(2739),
    [sym_false] = ACTIONS(2739),
    [anon_sym_NULL] = ACTIONS(2739),
    [anon_sym_nullptr] = ACTIONS(2739),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2739),
    [anon_sym_decltype] = ACTIONS(2739),
    [anon_sym_virtual] = ACTIONS(2739),
    [anon_sym_alignas] = ACTIONS(2739),
    [anon_sym_explicit] = ACTIONS(2739),
    [anon_sym_typename] = ACTIONS(2739),
    [anon_sym_template] = ACTIONS(2739),
    [anon_sym_operator] = ACTIONS(2739),
    [anon_sym_try] = ACTIONS(2739),
    [anon_sym_delete] = ACTIONS(2739),
    [anon_sym_throw] = ACTIONS(2739),
    [anon_sym_namespace] = ACTIONS(2739),
    [anon_sym_using] = ACTIONS(2739),
    [anon_sym_static_assert] = ACTIONS(2739),
    [anon_sym_concept] = ACTIONS(2739),
    [anon_sym_co_return] = ACTIONS(2739),
    [anon_sym_co_yield] = ACTIONS(2739),
    [anon_sym_R_DQUOTE] = ACTIONS(2741),
    [anon_sym_LR_DQUOTE] = ACTIONS(2741),
    [anon_sym_uR_DQUOTE] = ACTIONS(2741),
    [anon_sym_UR_DQUOTE] = ACTIONS(2741),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2741),
    [anon_sym_co_await] = ACTIONS(2739),
    [anon_sym_new] = ACTIONS(2739),
    [anon_sym_requires] = ACTIONS(2739),
    [sym_this] = ACTIONS(2739),
    [anon_sym_discard] = ACTIONS(2739),
    [anon_sym_precise] = ACTIONS(2739),
    [anon_sym_shared] = ACTIONS(2739),
    [anon_sym_groupshared] = ACTIONS(2739),
    [anon_sym_uniform] = ACTIONS(2739),
    [anon_sym_row_major] = ACTIONS(2739),
    [anon_sym_column_major] = ACTIONS(2739),
    [anon_sym_globallycoherent] = ACTIONS(2739),
    [anon_sym_centroid] = ACTIONS(2739),
    [anon_sym_noperspective] = ACTIONS(2739),
    [anon_sym_nointerpolation] = ACTIONS(2739),
    [anon_sym_sample] = ACTIONS(2739),
    [anon_sym_linear] = ACTIONS(2739),
    [anon_sym_snorm] = ACTIONS(2739),
    [anon_sym_unorm] = ACTIONS(2739),
    [anon_sym_point] = ACTIONS(2739),
    [anon_sym_line] = ACTIONS(2739),
    [anon_sym_triangleadj] = ACTIONS(2739),
    [anon_sym_lineadj] = ACTIONS(2739),
    [anon_sym_triangle] = ACTIONS(2739),
    [anon_sym_cbuffer] = ACTIONS(2739),
  },
  [1143] = {
    [sym_identifier] = ACTIONS(2751),
    [aux_sym_preproc_include_token1] = ACTIONS(2751),
    [aux_sym_preproc_def_token1] = ACTIONS(2751),
    [aux_sym_preproc_if_token1] = ACTIONS(2751),
    [aux_sym_preproc_if_token2] = ACTIONS(2751),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2751),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2751),
    [sym_preproc_directive] = ACTIONS(2751),
    [anon_sym_LPAREN2] = ACTIONS(2753),
    [anon_sym_BANG] = ACTIONS(2753),
    [anon_sym_TILDE] = ACTIONS(2753),
    [anon_sym_DASH] = ACTIONS(2751),
    [anon_sym_PLUS] = ACTIONS(2751),
    [anon_sym_STAR] = ACTIONS(2753),
    [anon_sym_AMP_AMP] = ACTIONS(2753),
    [anon_sym_AMP] = ACTIONS(2751),
    [anon_sym_SEMI] = ACTIONS(2753),
    [anon_sym___extension__] = ACTIONS(2751),
    [anon_sym_typedef] = ACTIONS(2751),
    [anon_sym_in] = ACTIONS(2751),
    [anon_sym_out] = ACTIONS(2751),
    [anon_sym_inout] = ACTIONS(2751),
    [anon_sym_extern] = ACTIONS(2751),
    [anon_sym___attribute__] = ACTIONS(2751),
    [anon_sym_COLON_COLON] = ACTIONS(2753),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2753),
    [anon_sym___declspec] = ACTIONS(2751),
    [anon_sym___based] = ACTIONS(2751),
    [anon_sym___cdecl] = ACTIONS(2751),
    [anon_sym___clrcall] = ACTIONS(2751),
    [anon_sym___stdcall] = ACTIONS(2751),
    [anon_sym___fastcall] = ACTIONS(2751),
    [anon_sym___thiscall] = ACTIONS(2751),
    [anon_sym___vectorcall] = ACTIONS(2751),
    [anon_sym_LBRACE] = ACTIONS(2753),
    [anon_sym_signed] = ACTIONS(2751),
    [anon_sym_unsigned] = ACTIONS(2751),
    [anon_sym_long] = ACTIONS(2751),
    [anon_sym_short] = ACTIONS(2751),
    [anon_sym_LBRACK] = ACTIONS(2751),
    [anon_sym_static] = ACTIONS(2751),
    [anon_sym_register] = ACTIONS(2751),
    [anon_sym_inline] = ACTIONS(2751),
    [anon_sym___inline] = ACTIONS(2751),
    [anon_sym___inline__] = ACTIONS(2751),
    [anon_sym___forceinline] = ACTIONS(2751),
    [anon_sym_thread_local] = ACTIONS(2751),
    [anon_sym___thread] = ACTIONS(2751),
    [anon_sym_const] = ACTIONS(2751),
    [anon_sym_constexpr] = ACTIONS(2751),
    [anon_sym_volatile] = ACTIONS(2751),
    [anon_sym_restrict] = ACTIONS(2751),
    [anon_sym___restrict__] = ACTIONS(2751),
    [anon_sym__Atomic] = ACTIONS(2751),
    [anon_sym__Noreturn] = ACTIONS(2751),
    [anon_sym_noreturn] = ACTIONS(2751),
    [anon_sym_mutable] = ACTIONS(2751),
    [anon_sym_constinit] = ACTIONS(2751),
    [anon_sym_consteval] = ACTIONS(2751),
    [sym_primitive_type] = ACTIONS(2751),
    [anon_sym_enum] = ACTIONS(2751),
    [anon_sym_class] = ACTIONS(2751),
    [anon_sym_struct] = ACTIONS(2751),
    [anon_sym_union] = ACTIONS(2751),
    [anon_sym_if] = ACTIONS(2751),
    [anon_sym_switch] = ACTIONS(2751),
    [anon_sym_case] = ACTIONS(2751),
    [anon_sym_default] = ACTIONS(2751),
    [anon_sym_while] = ACTIONS(2751),
    [anon_sym_do] = ACTIONS(2751),
    [anon_sym_for] = ACTIONS(2751),
    [anon_sym_return] = ACTIONS(2751),
    [anon_sym_break] = ACTIONS(2751),
    [anon_sym_continue] = ACTIONS(2751),
    [anon_sym_goto] = ACTIONS(2751),
    [anon_sym___try] = ACTIONS(2751),
    [anon_sym___leave] = ACTIONS(2751),
    [anon_sym_not] = ACTIONS(2751),
    [anon_sym_compl] = ACTIONS(2751),
    [anon_sym_DASH_DASH] = ACTIONS(2753),
    [anon_sym_PLUS_PLUS] = ACTIONS(2753),
    [anon_sym_sizeof] = ACTIONS(2751),
    [anon_sym___alignof__] = ACTIONS(2751),
    [anon_sym___alignof] = ACTIONS(2751),
    [anon_sym__alignof] = ACTIONS(2751),
    [anon_sym_alignof] = ACTIONS(2751),
    [anon_sym__Alignof] = ACTIONS(2751),
    [anon_sym_offsetof] = ACTIONS(2751),
    [anon_sym__Generic] = ACTIONS(2751),
    [anon_sym_asm] = ACTIONS(2751),
    [anon_sym___asm__] = ACTIONS(2751),
    [sym_number_literal] = ACTIONS(2753),
    [anon_sym_L_SQUOTE] = ACTIONS(2753),
    [anon_sym_u_SQUOTE] = ACTIONS(2753),
    [anon_sym_U_SQUOTE] = ACTIONS(2753),
    [anon_sym_u8_SQUOTE] = ACTIONS(2753),
    [anon_sym_SQUOTE] = ACTIONS(2753),
    [anon_sym_L_DQUOTE] = ACTIONS(2753),
    [anon_sym_u_DQUOTE] = ACTIONS(2753),
    [anon_sym_U_DQUOTE] = ACTIONS(2753),
    [anon_sym_u8_DQUOTE] = ACTIONS(2753),
    [anon_sym_DQUOTE] = ACTIONS(2753),
    [sym_true] = ACTIONS(2751),
    [sym_false] = ACTIONS(2751),
    [anon_sym_NULL] = ACTIONS(2751),
    [anon_sym_nullptr] = ACTIONS(2751),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2751),
    [anon_sym_decltype] = ACTIONS(2751),
    [anon_sym_virtual] = ACTIONS(2751),
    [anon_sym_alignas] = ACTIONS(2751),
    [anon_sym_explicit] = ACTIONS(2751),
    [anon_sym_typename] = ACTIONS(2751),
    [anon_sym_template] = ACTIONS(2751),
    [anon_sym_operator] = ACTIONS(2751),
    [anon_sym_try] = ACTIONS(2751),
    [anon_sym_delete] = ACTIONS(2751),
    [anon_sym_throw] = ACTIONS(2751),
    [anon_sym_namespace] = ACTIONS(2751),
    [anon_sym_using] = ACTIONS(2751),
    [anon_sym_static_assert] = ACTIONS(2751),
    [anon_sym_concept] = ACTIONS(2751),
    [anon_sym_co_return] = ACTIONS(2751),
    [anon_sym_co_yield] = ACTIONS(2751),
    [anon_sym_R_DQUOTE] = ACTIONS(2753),
    [anon_sym_LR_DQUOTE] = ACTIONS(2753),
    [anon_sym_uR_DQUOTE] = ACTIONS(2753),
    [anon_sym_UR_DQUOTE] = ACTIONS(2753),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2753),
    [anon_sym_co_await] = ACTIONS(2751),
    [anon_sym_new] = ACTIONS(2751),
    [anon_sym_requires] = ACTIONS(2751),
    [sym_this] = ACTIONS(2751),
    [anon_sym_discard] = ACTIONS(2751),
    [anon_sym_precise] = ACTIONS(2751),
    [anon_sym_shared] = ACTIONS(2751),
    [anon_sym_groupshared] = ACTIONS(2751),
    [anon_sym_uniform] = ACTIONS(2751),
    [anon_sym_row_major] = ACTIONS(2751),
    [anon_sym_column_major] = ACTIONS(2751),
    [anon_sym_globallycoherent] = ACTIONS(2751),
    [anon_sym_centroid] = ACTIONS(2751),
    [anon_sym_noperspective] = ACTIONS(2751),
    [anon_sym_nointerpolation] = ACTIONS(2751),
    [anon_sym_sample] = ACTIONS(2751),
    [anon_sym_linear] = ACTIONS(2751),
    [anon_sym_snorm] = ACTIONS(2751),
    [anon_sym_unorm] = ACTIONS(2751),
    [anon_sym_point] = ACTIONS(2751),
    [anon_sym_line] = ACTIONS(2751),
    [anon_sym_triangleadj] = ACTIONS(2751),
    [anon_sym_lineadj] = ACTIONS(2751),
    [anon_sym_triangle] = ACTIONS(2751),
    [anon_sym_cbuffer] = ACTIONS(2751),
  },
  [1144] = {
    [sym_identifier] = ACTIONS(2645),
    [aux_sym_preproc_include_token1] = ACTIONS(2645),
    [aux_sym_preproc_def_token1] = ACTIONS(2645),
    [aux_sym_preproc_if_token1] = ACTIONS(2645),
    [aux_sym_preproc_if_token2] = ACTIONS(2645),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2645),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2645),
    [sym_preproc_directive] = ACTIONS(2645),
    [anon_sym_LPAREN2] = ACTIONS(2647),
    [anon_sym_BANG] = ACTIONS(2647),
    [anon_sym_TILDE] = ACTIONS(2647),
    [anon_sym_DASH] = ACTIONS(2645),
    [anon_sym_PLUS] = ACTIONS(2645),
    [anon_sym_STAR] = ACTIONS(2647),
    [anon_sym_AMP_AMP] = ACTIONS(2647),
    [anon_sym_AMP] = ACTIONS(2645),
    [anon_sym_SEMI] = ACTIONS(2647),
    [anon_sym___extension__] = ACTIONS(2645),
    [anon_sym_typedef] = ACTIONS(2645),
    [anon_sym_in] = ACTIONS(2645),
    [anon_sym_out] = ACTIONS(2645),
    [anon_sym_inout] = ACTIONS(2645),
    [anon_sym_extern] = ACTIONS(2645),
    [anon_sym___attribute__] = ACTIONS(2645),
    [anon_sym_COLON_COLON] = ACTIONS(2647),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2647),
    [anon_sym___declspec] = ACTIONS(2645),
    [anon_sym___based] = ACTIONS(2645),
    [anon_sym___cdecl] = ACTIONS(2645),
    [anon_sym___clrcall] = ACTIONS(2645),
    [anon_sym___stdcall] = ACTIONS(2645),
    [anon_sym___fastcall] = ACTIONS(2645),
    [anon_sym___thiscall] = ACTIONS(2645),
    [anon_sym___vectorcall] = ACTIONS(2645),
    [anon_sym_LBRACE] = ACTIONS(2647),
    [anon_sym_signed] = ACTIONS(2645),
    [anon_sym_unsigned] = ACTIONS(2645),
    [anon_sym_long] = ACTIONS(2645),
    [anon_sym_short] = ACTIONS(2645),
    [anon_sym_LBRACK] = ACTIONS(2645),
    [anon_sym_static] = ACTIONS(2645),
    [anon_sym_register] = ACTIONS(2645),
    [anon_sym_inline] = ACTIONS(2645),
    [anon_sym___inline] = ACTIONS(2645),
    [anon_sym___inline__] = ACTIONS(2645),
    [anon_sym___forceinline] = ACTIONS(2645),
    [anon_sym_thread_local] = ACTIONS(2645),
    [anon_sym___thread] = ACTIONS(2645),
    [anon_sym_const] = ACTIONS(2645),
    [anon_sym_constexpr] = ACTIONS(2645),
    [anon_sym_volatile] = ACTIONS(2645),
    [anon_sym_restrict] = ACTIONS(2645),
    [anon_sym___restrict__] = ACTIONS(2645),
    [anon_sym__Atomic] = ACTIONS(2645),
    [anon_sym__Noreturn] = ACTIONS(2645),
    [anon_sym_noreturn] = ACTIONS(2645),
    [anon_sym_mutable] = ACTIONS(2645),
    [anon_sym_constinit] = ACTIONS(2645),
    [anon_sym_consteval] = ACTIONS(2645),
    [sym_primitive_type] = ACTIONS(2645),
    [anon_sym_enum] = ACTIONS(2645),
    [anon_sym_class] = ACTIONS(2645),
    [anon_sym_struct] = ACTIONS(2645),
    [anon_sym_union] = ACTIONS(2645),
    [anon_sym_if] = ACTIONS(2645),
    [anon_sym_switch] = ACTIONS(2645),
    [anon_sym_case] = ACTIONS(2645),
    [anon_sym_default] = ACTIONS(2645),
    [anon_sym_while] = ACTIONS(2645),
    [anon_sym_do] = ACTIONS(2645),
    [anon_sym_for] = ACTIONS(2645),
    [anon_sym_return] = ACTIONS(2645),
    [anon_sym_break] = ACTIONS(2645),
    [anon_sym_continue] = ACTIONS(2645),
    [anon_sym_goto] = ACTIONS(2645),
    [anon_sym___try] = ACTIONS(2645),
    [anon_sym___leave] = ACTIONS(2645),
    [anon_sym_not] = ACTIONS(2645),
    [anon_sym_compl] = ACTIONS(2645),
    [anon_sym_DASH_DASH] = ACTIONS(2647),
    [anon_sym_PLUS_PLUS] = ACTIONS(2647),
    [anon_sym_sizeof] = ACTIONS(2645),
    [anon_sym___alignof__] = ACTIONS(2645),
    [anon_sym___alignof] = ACTIONS(2645),
    [anon_sym__alignof] = ACTIONS(2645),
    [anon_sym_alignof] = ACTIONS(2645),
    [anon_sym__Alignof] = ACTIONS(2645),
    [anon_sym_offsetof] = ACTIONS(2645),
    [anon_sym__Generic] = ACTIONS(2645),
    [anon_sym_asm] = ACTIONS(2645),
    [anon_sym___asm__] = ACTIONS(2645),
    [sym_number_literal] = ACTIONS(2647),
    [anon_sym_L_SQUOTE] = ACTIONS(2647),
    [anon_sym_u_SQUOTE] = ACTIONS(2647),
    [anon_sym_U_SQUOTE] = ACTIONS(2647),
    [anon_sym_u8_SQUOTE] = ACTIONS(2647),
    [anon_sym_SQUOTE] = ACTIONS(2647),
    [anon_sym_L_DQUOTE] = ACTIONS(2647),
    [anon_sym_u_DQUOTE] = ACTIONS(2647),
    [anon_sym_U_DQUOTE] = ACTIONS(2647),
    [anon_sym_u8_DQUOTE] = ACTIONS(2647),
    [anon_sym_DQUOTE] = ACTIONS(2647),
    [sym_true] = ACTIONS(2645),
    [sym_false] = ACTIONS(2645),
    [anon_sym_NULL] = ACTIONS(2645),
    [anon_sym_nullptr] = ACTIONS(2645),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2645),
    [anon_sym_decltype] = ACTIONS(2645),
    [anon_sym_virtual] = ACTIONS(2645),
    [anon_sym_alignas] = ACTIONS(2645),
    [anon_sym_explicit] = ACTIONS(2645),
    [anon_sym_typename] = ACTIONS(2645),
    [anon_sym_template] = ACTIONS(2645),
    [anon_sym_operator] = ACTIONS(2645),
    [anon_sym_try] = ACTIONS(2645),
    [anon_sym_delete] = ACTIONS(2645),
    [anon_sym_throw] = ACTIONS(2645),
    [anon_sym_namespace] = ACTIONS(2645),
    [anon_sym_using] = ACTIONS(2645),
    [anon_sym_static_assert] = ACTIONS(2645),
    [anon_sym_concept] = ACTIONS(2645),
    [anon_sym_co_return] = ACTIONS(2645),
    [anon_sym_co_yield] = ACTIONS(2645),
    [anon_sym_R_DQUOTE] = ACTIONS(2647),
    [anon_sym_LR_DQUOTE] = ACTIONS(2647),
    [anon_sym_uR_DQUOTE] = ACTIONS(2647),
    [anon_sym_UR_DQUOTE] = ACTIONS(2647),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2647),
    [anon_sym_co_await] = ACTIONS(2645),
    [anon_sym_new] = ACTIONS(2645),
    [anon_sym_requires] = ACTIONS(2645),
    [sym_this] = ACTIONS(2645),
    [anon_sym_discard] = ACTIONS(2645),
    [anon_sym_precise] = ACTIONS(2645),
    [anon_sym_shared] = ACTIONS(2645),
    [anon_sym_groupshared] = ACTIONS(2645),
    [anon_sym_uniform] = ACTIONS(2645),
    [anon_sym_row_major] = ACTIONS(2645),
    [anon_sym_column_major] = ACTIONS(2645),
    [anon_sym_globallycoherent] = ACTIONS(2645),
    [anon_sym_centroid] = ACTIONS(2645),
    [anon_sym_noperspective] = ACTIONS(2645),
    [anon_sym_nointerpolation] = ACTIONS(2645),
    [anon_sym_sample] = ACTIONS(2645),
    [anon_sym_linear] = ACTIONS(2645),
    [anon_sym_snorm] = ACTIONS(2645),
    [anon_sym_unorm] = ACTIONS(2645),
    [anon_sym_point] = ACTIONS(2645),
    [anon_sym_line] = ACTIONS(2645),
    [anon_sym_triangleadj] = ACTIONS(2645),
    [anon_sym_lineadj] = ACTIONS(2645),
    [anon_sym_triangle] = ACTIONS(2645),
    [anon_sym_cbuffer] = ACTIONS(2645),
  },
  [1145] = {
    [sym_identifier] = ACTIONS(2633),
    [aux_sym_preproc_include_token1] = ACTIONS(2633),
    [aux_sym_preproc_def_token1] = ACTIONS(2633),
    [aux_sym_preproc_if_token1] = ACTIONS(2633),
    [aux_sym_preproc_if_token2] = ACTIONS(2633),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2633),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2633),
    [sym_preproc_directive] = ACTIONS(2633),
    [anon_sym_LPAREN2] = ACTIONS(2635),
    [anon_sym_BANG] = ACTIONS(2635),
    [anon_sym_TILDE] = ACTIONS(2635),
    [anon_sym_DASH] = ACTIONS(2633),
    [anon_sym_PLUS] = ACTIONS(2633),
    [anon_sym_STAR] = ACTIONS(2635),
    [anon_sym_AMP_AMP] = ACTIONS(2635),
    [anon_sym_AMP] = ACTIONS(2633),
    [anon_sym_SEMI] = ACTIONS(2635),
    [anon_sym___extension__] = ACTIONS(2633),
    [anon_sym_typedef] = ACTIONS(2633),
    [anon_sym_in] = ACTIONS(2633),
    [anon_sym_out] = ACTIONS(2633),
    [anon_sym_inout] = ACTIONS(2633),
    [anon_sym_extern] = ACTIONS(2633),
    [anon_sym___attribute__] = ACTIONS(2633),
    [anon_sym_COLON_COLON] = ACTIONS(2635),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2635),
    [anon_sym___declspec] = ACTIONS(2633),
    [anon_sym___based] = ACTIONS(2633),
    [anon_sym___cdecl] = ACTIONS(2633),
    [anon_sym___clrcall] = ACTIONS(2633),
    [anon_sym___stdcall] = ACTIONS(2633),
    [anon_sym___fastcall] = ACTIONS(2633),
    [anon_sym___thiscall] = ACTIONS(2633),
    [anon_sym___vectorcall] = ACTIONS(2633),
    [anon_sym_LBRACE] = ACTIONS(2635),
    [anon_sym_signed] = ACTIONS(2633),
    [anon_sym_unsigned] = ACTIONS(2633),
    [anon_sym_long] = ACTIONS(2633),
    [anon_sym_short] = ACTIONS(2633),
    [anon_sym_LBRACK] = ACTIONS(2633),
    [anon_sym_static] = ACTIONS(2633),
    [anon_sym_register] = ACTIONS(2633),
    [anon_sym_inline] = ACTIONS(2633),
    [anon_sym___inline] = ACTIONS(2633),
    [anon_sym___inline__] = ACTIONS(2633),
    [anon_sym___forceinline] = ACTIONS(2633),
    [anon_sym_thread_local] = ACTIONS(2633),
    [anon_sym___thread] = ACTIONS(2633),
    [anon_sym_const] = ACTIONS(2633),
    [anon_sym_constexpr] = ACTIONS(2633),
    [anon_sym_volatile] = ACTIONS(2633),
    [anon_sym_restrict] = ACTIONS(2633),
    [anon_sym___restrict__] = ACTIONS(2633),
    [anon_sym__Atomic] = ACTIONS(2633),
    [anon_sym__Noreturn] = ACTIONS(2633),
    [anon_sym_noreturn] = ACTIONS(2633),
    [anon_sym_mutable] = ACTIONS(2633),
    [anon_sym_constinit] = ACTIONS(2633),
    [anon_sym_consteval] = ACTIONS(2633),
    [sym_primitive_type] = ACTIONS(2633),
    [anon_sym_enum] = ACTIONS(2633),
    [anon_sym_class] = ACTIONS(2633),
    [anon_sym_struct] = ACTIONS(2633),
    [anon_sym_union] = ACTIONS(2633),
    [anon_sym_if] = ACTIONS(2633),
    [anon_sym_switch] = ACTIONS(2633),
    [anon_sym_case] = ACTIONS(2633),
    [anon_sym_default] = ACTIONS(2633),
    [anon_sym_while] = ACTIONS(2633),
    [anon_sym_do] = ACTIONS(2633),
    [anon_sym_for] = ACTIONS(2633),
    [anon_sym_return] = ACTIONS(2633),
    [anon_sym_break] = ACTIONS(2633),
    [anon_sym_continue] = ACTIONS(2633),
    [anon_sym_goto] = ACTIONS(2633),
    [anon_sym___try] = ACTIONS(2633),
    [anon_sym___leave] = ACTIONS(2633),
    [anon_sym_not] = ACTIONS(2633),
    [anon_sym_compl] = ACTIONS(2633),
    [anon_sym_DASH_DASH] = ACTIONS(2635),
    [anon_sym_PLUS_PLUS] = ACTIONS(2635),
    [anon_sym_sizeof] = ACTIONS(2633),
    [anon_sym___alignof__] = ACTIONS(2633),
    [anon_sym___alignof] = ACTIONS(2633),
    [anon_sym__alignof] = ACTIONS(2633),
    [anon_sym_alignof] = ACTIONS(2633),
    [anon_sym__Alignof] = ACTIONS(2633),
    [anon_sym_offsetof] = ACTIONS(2633),
    [anon_sym__Generic] = ACTIONS(2633),
    [anon_sym_asm] = ACTIONS(2633),
    [anon_sym___asm__] = ACTIONS(2633),
    [sym_number_literal] = ACTIONS(2635),
    [anon_sym_L_SQUOTE] = ACTIONS(2635),
    [anon_sym_u_SQUOTE] = ACTIONS(2635),
    [anon_sym_U_SQUOTE] = ACTIONS(2635),
    [anon_sym_u8_SQUOTE] = ACTIONS(2635),
    [anon_sym_SQUOTE] = ACTIONS(2635),
    [anon_sym_L_DQUOTE] = ACTIONS(2635),
    [anon_sym_u_DQUOTE] = ACTIONS(2635),
    [anon_sym_U_DQUOTE] = ACTIONS(2635),
    [anon_sym_u8_DQUOTE] = ACTIONS(2635),
    [anon_sym_DQUOTE] = ACTIONS(2635),
    [sym_true] = ACTIONS(2633),
    [sym_false] = ACTIONS(2633),
    [anon_sym_NULL] = ACTIONS(2633),
    [anon_sym_nullptr] = ACTIONS(2633),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2633),
    [anon_sym_decltype] = ACTIONS(2633),
    [anon_sym_virtual] = ACTIONS(2633),
    [anon_sym_alignas] = ACTIONS(2633),
    [anon_sym_explicit] = ACTIONS(2633),
    [anon_sym_typename] = ACTIONS(2633),
    [anon_sym_template] = ACTIONS(2633),
    [anon_sym_operator] = ACTIONS(2633),
    [anon_sym_try] = ACTIONS(2633),
    [anon_sym_delete] = ACTIONS(2633),
    [anon_sym_throw] = ACTIONS(2633),
    [anon_sym_namespace] = ACTIONS(2633),
    [anon_sym_using] = ACTIONS(2633),
    [anon_sym_static_assert] = ACTIONS(2633),
    [anon_sym_concept] = ACTIONS(2633),
    [anon_sym_co_return] = ACTIONS(2633),
    [anon_sym_co_yield] = ACTIONS(2633),
    [anon_sym_R_DQUOTE] = ACTIONS(2635),
    [anon_sym_LR_DQUOTE] = ACTIONS(2635),
    [anon_sym_uR_DQUOTE] = ACTIONS(2635),
    [anon_sym_UR_DQUOTE] = ACTIONS(2635),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2635),
    [anon_sym_co_await] = ACTIONS(2633),
    [anon_sym_new] = ACTIONS(2633),
    [anon_sym_requires] = ACTIONS(2633),
    [sym_this] = ACTIONS(2633),
    [anon_sym_discard] = ACTIONS(2633),
    [anon_sym_precise] = ACTIONS(2633),
    [anon_sym_shared] = ACTIONS(2633),
    [anon_sym_groupshared] = ACTIONS(2633),
    [anon_sym_uniform] = ACTIONS(2633),
    [anon_sym_row_major] = ACTIONS(2633),
    [anon_sym_column_major] = ACTIONS(2633),
    [anon_sym_globallycoherent] = ACTIONS(2633),
    [anon_sym_centroid] = ACTIONS(2633),
    [anon_sym_noperspective] = ACTIONS(2633),
    [anon_sym_nointerpolation] = ACTIONS(2633),
    [anon_sym_sample] = ACTIONS(2633),
    [anon_sym_linear] = ACTIONS(2633),
    [anon_sym_snorm] = ACTIONS(2633),
    [anon_sym_unorm] = ACTIONS(2633),
    [anon_sym_point] = ACTIONS(2633),
    [anon_sym_line] = ACTIONS(2633),
    [anon_sym_triangleadj] = ACTIONS(2633),
    [anon_sym_lineadj] = ACTIONS(2633),
    [anon_sym_triangle] = ACTIONS(2633),
    [anon_sym_cbuffer] = ACTIONS(2633),
  },
  [1146] = {
    [sym_identifier] = ACTIONS(2649),
    [aux_sym_preproc_include_token1] = ACTIONS(2649),
    [aux_sym_preproc_def_token1] = ACTIONS(2649),
    [aux_sym_preproc_if_token1] = ACTIONS(2649),
    [aux_sym_preproc_if_token2] = ACTIONS(2649),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2649),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2649),
    [sym_preproc_directive] = ACTIONS(2649),
    [anon_sym_LPAREN2] = ACTIONS(2651),
    [anon_sym_BANG] = ACTIONS(2651),
    [anon_sym_TILDE] = ACTIONS(2651),
    [anon_sym_DASH] = ACTIONS(2649),
    [anon_sym_PLUS] = ACTIONS(2649),
    [anon_sym_STAR] = ACTIONS(2651),
    [anon_sym_AMP_AMP] = ACTIONS(2651),
    [anon_sym_AMP] = ACTIONS(2649),
    [anon_sym_SEMI] = ACTIONS(2651),
    [anon_sym___extension__] = ACTIONS(2649),
    [anon_sym_typedef] = ACTIONS(2649),
    [anon_sym_in] = ACTIONS(2649),
    [anon_sym_out] = ACTIONS(2649),
    [anon_sym_inout] = ACTIONS(2649),
    [anon_sym_extern] = ACTIONS(2649),
    [anon_sym___attribute__] = ACTIONS(2649),
    [anon_sym_COLON_COLON] = ACTIONS(2651),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2651),
    [anon_sym___declspec] = ACTIONS(2649),
    [anon_sym___based] = ACTIONS(2649),
    [anon_sym___cdecl] = ACTIONS(2649),
    [anon_sym___clrcall] = ACTIONS(2649),
    [anon_sym___stdcall] = ACTIONS(2649),
    [anon_sym___fastcall] = ACTIONS(2649),
    [anon_sym___thiscall] = ACTIONS(2649),
    [anon_sym___vectorcall] = ACTIONS(2649),
    [anon_sym_LBRACE] = ACTIONS(2651),
    [anon_sym_signed] = ACTIONS(2649),
    [anon_sym_unsigned] = ACTIONS(2649),
    [anon_sym_long] = ACTIONS(2649),
    [anon_sym_short] = ACTIONS(2649),
    [anon_sym_LBRACK] = ACTIONS(2649),
    [anon_sym_static] = ACTIONS(2649),
    [anon_sym_register] = ACTIONS(2649),
    [anon_sym_inline] = ACTIONS(2649),
    [anon_sym___inline] = ACTIONS(2649),
    [anon_sym___inline__] = ACTIONS(2649),
    [anon_sym___forceinline] = ACTIONS(2649),
    [anon_sym_thread_local] = ACTIONS(2649),
    [anon_sym___thread] = ACTIONS(2649),
    [anon_sym_const] = ACTIONS(2649),
    [anon_sym_constexpr] = ACTIONS(2649),
    [anon_sym_volatile] = ACTIONS(2649),
    [anon_sym_restrict] = ACTIONS(2649),
    [anon_sym___restrict__] = ACTIONS(2649),
    [anon_sym__Atomic] = ACTIONS(2649),
    [anon_sym__Noreturn] = ACTIONS(2649),
    [anon_sym_noreturn] = ACTIONS(2649),
    [anon_sym_mutable] = ACTIONS(2649),
    [anon_sym_constinit] = ACTIONS(2649),
    [anon_sym_consteval] = ACTIONS(2649),
    [sym_primitive_type] = ACTIONS(2649),
    [anon_sym_enum] = ACTIONS(2649),
    [anon_sym_class] = ACTIONS(2649),
    [anon_sym_struct] = ACTIONS(2649),
    [anon_sym_union] = ACTIONS(2649),
    [anon_sym_if] = ACTIONS(2649),
    [anon_sym_switch] = ACTIONS(2649),
    [anon_sym_case] = ACTIONS(2649),
    [anon_sym_default] = ACTIONS(2649),
    [anon_sym_while] = ACTIONS(2649),
    [anon_sym_do] = ACTIONS(2649),
    [anon_sym_for] = ACTIONS(2649),
    [anon_sym_return] = ACTIONS(2649),
    [anon_sym_break] = ACTIONS(2649),
    [anon_sym_continue] = ACTIONS(2649),
    [anon_sym_goto] = ACTIONS(2649),
    [anon_sym___try] = ACTIONS(2649),
    [anon_sym___leave] = ACTIONS(2649),
    [anon_sym_not] = ACTIONS(2649),
    [anon_sym_compl] = ACTIONS(2649),
    [anon_sym_DASH_DASH] = ACTIONS(2651),
    [anon_sym_PLUS_PLUS] = ACTIONS(2651),
    [anon_sym_sizeof] = ACTIONS(2649),
    [anon_sym___alignof__] = ACTIONS(2649),
    [anon_sym___alignof] = ACTIONS(2649),
    [anon_sym__alignof] = ACTIONS(2649),
    [anon_sym_alignof] = ACTIONS(2649),
    [anon_sym__Alignof] = ACTIONS(2649),
    [anon_sym_offsetof] = ACTIONS(2649),
    [anon_sym__Generic] = ACTIONS(2649),
    [anon_sym_asm] = ACTIONS(2649),
    [anon_sym___asm__] = ACTIONS(2649),
    [sym_number_literal] = ACTIONS(2651),
    [anon_sym_L_SQUOTE] = ACTIONS(2651),
    [anon_sym_u_SQUOTE] = ACTIONS(2651),
    [anon_sym_U_SQUOTE] = ACTIONS(2651),
    [anon_sym_u8_SQUOTE] = ACTIONS(2651),
    [anon_sym_SQUOTE] = ACTIONS(2651),
    [anon_sym_L_DQUOTE] = ACTIONS(2651),
    [anon_sym_u_DQUOTE] = ACTIONS(2651),
    [anon_sym_U_DQUOTE] = ACTIONS(2651),
    [anon_sym_u8_DQUOTE] = ACTIONS(2651),
    [anon_sym_DQUOTE] = ACTIONS(2651),
    [sym_true] = ACTIONS(2649),
    [sym_false] = ACTIONS(2649),
    [anon_sym_NULL] = ACTIONS(2649),
    [anon_sym_nullptr] = ACTIONS(2649),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2649),
    [anon_sym_decltype] = ACTIONS(2649),
    [anon_sym_virtual] = ACTIONS(2649),
    [anon_sym_alignas] = ACTIONS(2649),
    [anon_sym_explicit] = ACTIONS(2649),
    [anon_sym_typename] = ACTIONS(2649),
    [anon_sym_template] = ACTIONS(2649),
    [anon_sym_operator] = ACTIONS(2649),
    [anon_sym_try] = ACTIONS(2649),
    [anon_sym_delete] = ACTIONS(2649),
    [anon_sym_throw] = ACTIONS(2649),
    [anon_sym_namespace] = ACTIONS(2649),
    [anon_sym_using] = ACTIONS(2649),
    [anon_sym_static_assert] = ACTIONS(2649),
    [anon_sym_concept] = ACTIONS(2649),
    [anon_sym_co_return] = ACTIONS(2649),
    [anon_sym_co_yield] = ACTIONS(2649),
    [anon_sym_R_DQUOTE] = ACTIONS(2651),
    [anon_sym_LR_DQUOTE] = ACTIONS(2651),
    [anon_sym_uR_DQUOTE] = ACTIONS(2651),
    [anon_sym_UR_DQUOTE] = ACTIONS(2651),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2651),
    [anon_sym_co_await] = ACTIONS(2649),
    [anon_sym_new] = ACTIONS(2649),
    [anon_sym_requires] = ACTIONS(2649),
    [sym_this] = ACTIONS(2649),
    [anon_sym_discard] = ACTIONS(2649),
    [anon_sym_precise] = ACTIONS(2649),
    [anon_sym_shared] = ACTIONS(2649),
    [anon_sym_groupshared] = ACTIONS(2649),
    [anon_sym_uniform] = ACTIONS(2649),
    [anon_sym_row_major] = ACTIONS(2649),
    [anon_sym_column_major] = ACTIONS(2649),
    [anon_sym_globallycoherent] = ACTIONS(2649),
    [anon_sym_centroid] = ACTIONS(2649),
    [anon_sym_noperspective] = ACTIONS(2649),
    [anon_sym_nointerpolation] = ACTIONS(2649),
    [anon_sym_sample] = ACTIONS(2649),
    [anon_sym_linear] = ACTIONS(2649),
    [anon_sym_snorm] = ACTIONS(2649),
    [anon_sym_unorm] = ACTIONS(2649),
    [anon_sym_point] = ACTIONS(2649),
    [anon_sym_line] = ACTIONS(2649),
    [anon_sym_triangleadj] = ACTIONS(2649),
    [anon_sym_lineadj] = ACTIONS(2649),
    [anon_sym_triangle] = ACTIONS(2649),
    [anon_sym_cbuffer] = ACTIONS(2649),
  },
  [1147] = {
    [sym_identifier] = ACTIONS(2661),
    [aux_sym_preproc_include_token1] = ACTIONS(2661),
    [aux_sym_preproc_def_token1] = ACTIONS(2661),
    [aux_sym_preproc_if_token1] = ACTIONS(2661),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2661),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2661),
    [sym_preproc_directive] = ACTIONS(2661),
    [anon_sym_LPAREN2] = ACTIONS(2663),
    [anon_sym_BANG] = ACTIONS(2663),
    [anon_sym_TILDE] = ACTIONS(2663),
    [anon_sym_DASH] = ACTIONS(2661),
    [anon_sym_PLUS] = ACTIONS(2661),
    [anon_sym_STAR] = ACTIONS(2663),
    [anon_sym_AMP_AMP] = ACTIONS(2663),
    [anon_sym_AMP] = ACTIONS(2661),
    [anon_sym_SEMI] = ACTIONS(2663),
    [anon_sym___extension__] = ACTIONS(2661),
    [anon_sym_typedef] = ACTIONS(2661),
    [anon_sym_in] = ACTIONS(2661),
    [anon_sym_out] = ACTIONS(2661),
    [anon_sym_inout] = ACTIONS(2661),
    [anon_sym_extern] = ACTIONS(2661),
    [anon_sym___attribute__] = ACTIONS(2661),
    [anon_sym_COLON_COLON] = ACTIONS(2663),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2663),
    [anon_sym___declspec] = ACTIONS(2661),
    [anon_sym___based] = ACTIONS(2661),
    [anon_sym___cdecl] = ACTIONS(2661),
    [anon_sym___clrcall] = ACTIONS(2661),
    [anon_sym___stdcall] = ACTIONS(2661),
    [anon_sym___fastcall] = ACTIONS(2661),
    [anon_sym___thiscall] = ACTIONS(2661),
    [anon_sym___vectorcall] = ACTIONS(2661),
    [anon_sym_LBRACE] = ACTIONS(2663),
    [anon_sym_RBRACE] = ACTIONS(2663),
    [anon_sym_signed] = ACTIONS(2661),
    [anon_sym_unsigned] = ACTIONS(2661),
    [anon_sym_long] = ACTIONS(2661),
    [anon_sym_short] = ACTIONS(2661),
    [anon_sym_LBRACK] = ACTIONS(2661),
    [anon_sym_static] = ACTIONS(2661),
    [anon_sym_register] = ACTIONS(2661),
    [anon_sym_inline] = ACTIONS(2661),
    [anon_sym___inline] = ACTIONS(2661),
    [anon_sym___inline__] = ACTIONS(2661),
    [anon_sym___forceinline] = ACTIONS(2661),
    [anon_sym_thread_local] = ACTIONS(2661),
    [anon_sym___thread] = ACTIONS(2661),
    [anon_sym_const] = ACTIONS(2661),
    [anon_sym_constexpr] = ACTIONS(2661),
    [anon_sym_volatile] = ACTIONS(2661),
    [anon_sym_restrict] = ACTIONS(2661),
    [anon_sym___restrict__] = ACTIONS(2661),
    [anon_sym__Atomic] = ACTIONS(2661),
    [anon_sym__Noreturn] = ACTIONS(2661),
    [anon_sym_noreturn] = ACTIONS(2661),
    [anon_sym_mutable] = ACTIONS(2661),
    [anon_sym_constinit] = ACTIONS(2661),
    [anon_sym_consteval] = ACTIONS(2661),
    [sym_primitive_type] = ACTIONS(2661),
    [anon_sym_enum] = ACTIONS(2661),
    [anon_sym_class] = ACTIONS(2661),
    [anon_sym_struct] = ACTIONS(2661),
    [anon_sym_union] = ACTIONS(2661),
    [anon_sym_if] = ACTIONS(2661),
    [anon_sym_switch] = ACTIONS(2661),
    [anon_sym_case] = ACTIONS(2661),
    [anon_sym_default] = ACTIONS(2661),
    [anon_sym_while] = ACTIONS(2661),
    [anon_sym_do] = ACTIONS(2661),
    [anon_sym_for] = ACTIONS(2661),
    [anon_sym_return] = ACTIONS(2661),
    [anon_sym_break] = ACTIONS(2661),
    [anon_sym_continue] = ACTIONS(2661),
    [anon_sym_goto] = ACTIONS(2661),
    [anon_sym___try] = ACTIONS(2661),
    [anon_sym___leave] = ACTIONS(2661),
    [anon_sym_not] = ACTIONS(2661),
    [anon_sym_compl] = ACTIONS(2661),
    [anon_sym_DASH_DASH] = ACTIONS(2663),
    [anon_sym_PLUS_PLUS] = ACTIONS(2663),
    [anon_sym_sizeof] = ACTIONS(2661),
    [anon_sym___alignof__] = ACTIONS(2661),
    [anon_sym___alignof] = ACTIONS(2661),
    [anon_sym__alignof] = ACTIONS(2661),
    [anon_sym_alignof] = ACTIONS(2661),
    [anon_sym__Alignof] = ACTIONS(2661),
    [anon_sym_offsetof] = ACTIONS(2661),
    [anon_sym__Generic] = ACTIONS(2661),
    [anon_sym_asm] = ACTIONS(2661),
    [anon_sym___asm__] = ACTIONS(2661),
    [sym_number_literal] = ACTIONS(2663),
    [anon_sym_L_SQUOTE] = ACTIONS(2663),
    [anon_sym_u_SQUOTE] = ACTIONS(2663),
    [anon_sym_U_SQUOTE] = ACTIONS(2663),
    [anon_sym_u8_SQUOTE] = ACTIONS(2663),
    [anon_sym_SQUOTE] = ACTIONS(2663),
    [anon_sym_L_DQUOTE] = ACTIONS(2663),
    [anon_sym_u_DQUOTE] = ACTIONS(2663),
    [anon_sym_U_DQUOTE] = ACTIONS(2663),
    [anon_sym_u8_DQUOTE] = ACTIONS(2663),
    [anon_sym_DQUOTE] = ACTIONS(2663),
    [sym_true] = ACTIONS(2661),
    [sym_false] = ACTIONS(2661),
    [anon_sym_NULL] = ACTIONS(2661),
    [anon_sym_nullptr] = ACTIONS(2661),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2661),
    [anon_sym_decltype] = ACTIONS(2661),
    [anon_sym_virtual] = ACTIONS(2661),
    [anon_sym_alignas] = ACTIONS(2661),
    [anon_sym_explicit] = ACTIONS(2661),
    [anon_sym_typename] = ACTIONS(2661),
    [anon_sym_template] = ACTIONS(2661),
    [anon_sym_operator] = ACTIONS(2661),
    [anon_sym_try] = ACTIONS(2661),
    [anon_sym_delete] = ACTIONS(2661),
    [anon_sym_throw] = ACTIONS(2661),
    [anon_sym_namespace] = ACTIONS(2661),
    [anon_sym_using] = ACTIONS(2661),
    [anon_sym_static_assert] = ACTIONS(2661),
    [anon_sym_concept] = ACTIONS(2661),
    [anon_sym_co_return] = ACTIONS(2661),
    [anon_sym_co_yield] = ACTIONS(2661),
    [anon_sym_R_DQUOTE] = ACTIONS(2663),
    [anon_sym_LR_DQUOTE] = ACTIONS(2663),
    [anon_sym_uR_DQUOTE] = ACTIONS(2663),
    [anon_sym_UR_DQUOTE] = ACTIONS(2663),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2663),
    [anon_sym_co_await] = ACTIONS(2661),
    [anon_sym_new] = ACTIONS(2661),
    [anon_sym_requires] = ACTIONS(2661),
    [sym_this] = ACTIONS(2661),
    [anon_sym_discard] = ACTIONS(2661),
    [anon_sym_precise] = ACTIONS(2661),
    [anon_sym_shared] = ACTIONS(2661),
    [anon_sym_groupshared] = ACTIONS(2661),
    [anon_sym_uniform] = ACTIONS(2661),
    [anon_sym_row_major] = ACTIONS(2661),
    [anon_sym_column_major] = ACTIONS(2661),
    [anon_sym_globallycoherent] = ACTIONS(2661),
    [anon_sym_centroid] = ACTIONS(2661),
    [anon_sym_noperspective] = ACTIONS(2661),
    [anon_sym_nointerpolation] = ACTIONS(2661),
    [anon_sym_sample] = ACTIONS(2661),
    [anon_sym_linear] = ACTIONS(2661),
    [anon_sym_snorm] = ACTIONS(2661),
    [anon_sym_unorm] = ACTIONS(2661),
    [anon_sym_point] = ACTIONS(2661),
    [anon_sym_line] = ACTIONS(2661),
    [anon_sym_triangleadj] = ACTIONS(2661),
    [anon_sym_lineadj] = ACTIONS(2661),
    [anon_sym_triangle] = ACTIONS(2661),
    [anon_sym_cbuffer] = ACTIONS(2661),
  },
  [1148] = {
    [sym_identifier] = ACTIONS(2524),
    [aux_sym_preproc_include_token1] = ACTIONS(2524),
    [aux_sym_preproc_def_token1] = ACTIONS(2524),
    [aux_sym_preproc_if_token1] = ACTIONS(2524),
    [aux_sym_preproc_if_token2] = ACTIONS(2524),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2524),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2524),
    [sym_preproc_directive] = ACTIONS(2524),
    [anon_sym_LPAREN2] = ACTIONS(2526),
    [anon_sym_BANG] = ACTIONS(2526),
    [anon_sym_TILDE] = ACTIONS(2526),
    [anon_sym_DASH] = ACTIONS(2524),
    [anon_sym_PLUS] = ACTIONS(2524),
    [anon_sym_STAR] = ACTIONS(2526),
    [anon_sym_AMP_AMP] = ACTIONS(2526),
    [anon_sym_AMP] = ACTIONS(2524),
    [anon_sym_SEMI] = ACTIONS(2526),
    [anon_sym___extension__] = ACTIONS(2524),
    [anon_sym_typedef] = ACTIONS(2524),
    [anon_sym_in] = ACTIONS(2524),
    [anon_sym_out] = ACTIONS(2524),
    [anon_sym_inout] = ACTIONS(2524),
    [anon_sym_extern] = ACTIONS(2524),
    [anon_sym___attribute__] = ACTIONS(2524),
    [anon_sym_COLON_COLON] = ACTIONS(2526),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2526),
    [anon_sym___declspec] = ACTIONS(2524),
    [anon_sym___based] = ACTIONS(2524),
    [anon_sym___cdecl] = ACTIONS(2524),
    [anon_sym___clrcall] = ACTIONS(2524),
    [anon_sym___stdcall] = ACTIONS(2524),
    [anon_sym___fastcall] = ACTIONS(2524),
    [anon_sym___thiscall] = ACTIONS(2524),
    [anon_sym___vectorcall] = ACTIONS(2524),
    [anon_sym_LBRACE] = ACTIONS(2526),
    [anon_sym_signed] = ACTIONS(2524),
    [anon_sym_unsigned] = ACTIONS(2524),
    [anon_sym_long] = ACTIONS(2524),
    [anon_sym_short] = ACTIONS(2524),
    [anon_sym_LBRACK] = ACTIONS(2524),
    [anon_sym_static] = ACTIONS(2524),
    [anon_sym_register] = ACTIONS(2524),
    [anon_sym_inline] = ACTIONS(2524),
    [anon_sym___inline] = ACTIONS(2524),
    [anon_sym___inline__] = ACTIONS(2524),
    [anon_sym___forceinline] = ACTIONS(2524),
    [anon_sym_thread_local] = ACTIONS(2524),
    [anon_sym___thread] = ACTIONS(2524),
    [anon_sym_const] = ACTIONS(2524),
    [anon_sym_constexpr] = ACTIONS(2524),
    [anon_sym_volatile] = ACTIONS(2524),
    [anon_sym_restrict] = ACTIONS(2524),
    [anon_sym___restrict__] = ACTIONS(2524),
    [anon_sym__Atomic] = ACTIONS(2524),
    [anon_sym__Noreturn] = ACTIONS(2524),
    [anon_sym_noreturn] = ACTIONS(2524),
    [anon_sym_mutable] = ACTIONS(2524),
    [anon_sym_constinit] = ACTIONS(2524),
    [anon_sym_consteval] = ACTIONS(2524),
    [sym_primitive_type] = ACTIONS(2524),
    [anon_sym_enum] = ACTIONS(2524),
    [anon_sym_class] = ACTIONS(2524),
    [anon_sym_struct] = ACTIONS(2524),
    [anon_sym_union] = ACTIONS(2524),
    [anon_sym_if] = ACTIONS(2524),
    [anon_sym_switch] = ACTIONS(2524),
    [anon_sym_case] = ACTIONS(2524),
    [anon_sym_default] = ACTIONS(2524),
    [anon_sym_while] = ACTIONS(2524),
    [anon_sym_do] = ACTIONS(2524),
    [anon_sym_for] = ACTIONS(2524),
    [anon_sym_return] = ACTIONS(2524),
    [anon_sym_break] = ACTIONS(2524),
    [anon_sym_continue] = ACTIONS(2524),
    [anon_sym_goto] = ACTIONS(2524),
    [anon_sym___try] = ACTIONS(2524),
    [anon_sym___leave] = ACTIONS(2524),
    [anon_sym_not] = ACTIONS(2524),
    [anon_sym_compl] = ACTIONS(2524),
    [anon_sym_DASH_DASH] = ACTIONS(2526),
    [anon_sym_PLUS_PLUS] = ACTIONS(2526),
    [anon_sym_sizeof] = ACTIONS(2524),
    [anon_sym___alignof__] = ACTIONS(2524),
    [anon_sym___alignof] = ACTIONS(2524),
    [anon_sym__alignof] = ACTIONS(2524),
    [anon_sym_alignof] = ACTIONS(2524),
    [anon_sym__Alignof] = ACTIONS(2524),
    [anon_sym_offsetof] = ACTIONS(2524),
    [anon_sym__Generic] = ACTIONS(2524),
    [anon_sym_asm] = ACTIONS(2524),
    [anon_sym___asm__] = ACTIONS(2524),
    [sym_number_literal] = ACTIONS(2526),
    [anon_sym_L_SQUOTE] = ACTIONS(2526),
    [anon_sym_u_SQUOTE] = ACTIONS(2526),
    [anon_sym_U_SQUOTE] = ACTIONS(2526),
    [anon_sym_u8_SQUOTE] = ACTIONS(2526),
    [anon_sym_SQUOTE] = ACTIONS(2526),
    [anon_sym_L_DQUOTE] = ACTIONS(2526),
    [anon_sym_u_DQUOTE] = ACTIONS(2526),
    [anon_sym_U_DQUOTE] = ACTIONS(2526),
    [anon_sym_u8_DQUOTE] = ACTIONS(2526),
    [anon_sym_DQUOTE] = ACTIONS(2526),
    [sym_true] = ACTIONS(2524),
    [sym_false] = ACTIONS(2524),
    [anon_sym_NULL] = ACTIONS(2524),
    [anon_sym_nullptr] = ACTIONS(2524),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2524),
    [anon_sym_decltype] = ACTIONS(2524),
    [anon_sym_virtual] = ACTIONS(2524),
    [anon_sym_alignas] = ACTIONS(2524),
    [anon_sym_explicit] = ACTIONS(2524),
    [anon_sym_typename] = ACTIONS(2524),
    [anon_sym_template] = ACTIONS(2524),
    [anon_sym_operator] = ACTIONS(2524),
    [anon_sym_try] = ACTIONS(2524),
    [anon_sym_delete] = ACTIONS(2524),
    [anon_sym_throw] = ACTIONS(2524),
    [anon_sym_namespace] = ACTIONS(2524),
    [anon_sym_using] = ACTIONS(2524),
    [anon_sym_static_assert] = ACTIONS(2524),
    [anon_sym_concept] = ACTIONS(2524),
    [anon_sym_co_return] = ACTIONS(2524),
    [anon_sym_co_yield] = ACTIONS(2524),
    [anon_sym_R_DQUOTE] = ACTIONS(2526),
    [anon_sym_LR_DQUOTE] = ACTIONS(2526),
    [anon_sym_uR_DQUOTE] = ACTIONS(2526),
    [anon_sym_UR_DQUOTE] = ACTIONS(2526),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2526),
    [anon_sym_co_await] = ACTIONS(2524),
    [anon_sym_new] = ACTIONS(2524),
    [anon_sym_requires] = ACTIONS(2524),
    [sym_this] = ACTIONS(2524),
    [anon_sym_discard] = ACTIONS(2524),
    [anon_sym_precise] = ACTIONS(2524),
    [anon_sym_shared] = ACTIONS(2524),
    [anon_sym_groupshared] = ACTIONS(2524),
    [anon_sym_uniform] = ACTIONS(2524),
    [anon_sym_row_major] = ACTIONS(2524),
    [anon_sym_column_major] = ACTIONS(2524),
    [anon_sym_globallycoherent] = ACTIONS(2524),
    [anon_sym_centroid] = ACTIONS(2524),
    [anon_sym_noperspective] = ACTIONS(2524),
    [anon_sym_nointerpolation] = ACTIONS(2524),
    [anon_sym_sample] = ACTIONS(2524),
    [anon_sym_linear] = ACTIONS(2524),
    [anon_sym_snorm] = ACTIONS(2524),
    [anon_sym_unorm] = ACTIONS(2524),
    [anon_sym_point] = ACTIONS(2524),
    [anon_sym_line] = ACTIONS(2524),
    [anon_sym_triangleadj] = ACTIONS(2524),
    [anon_sym_lineadj] = ACTIONS(2524),
    [anon_sym_triangle] = ACTIONS(2524),
    [anon_sym_cbuffer] = ACTIONS(2524),
  },
  [1149] = {
    [sym_identifier] = ACTIONS(2665),
    [aux_sym_preproc_include_token1] = ACTIONS(2665),
    [aux_sym_preproc_def_token1] = ACTIONS(2665),
    [aux_sym_preproc_if_token1] = ACTIONS(2665),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2665),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2665),
    [sym_preproc_directive] = ACTIONS(2665),
    [anon_sym_LPAREN2] = ACTIONS(2667),
    [anon_sym_BANG] = ACTIONS(2667),
    [anon_sym_TILDE] = ACTIONS(2667),
    [anon_sym_DASH] = ACTIONS(2665),
    [anon_sym_PLUS] = ACTIONS(2665),
    [anon_sym_STAR] = ACTIONS(2667),
    [anon_sym_AMP_AMP] = ACTIONS(2667),
    [anon_sym_AMP] = ACTIONS(2665),
    [anon_sym_SEMI] = ACTIONS(2667),
    [anon_sym___extension__] = ACTIONS(2665),
    [anon_sym_typedef] = ACTIONS(2665),
    [anon_sym_in] = ACTIONS(2665),
    [anon_sym_out] = ACTIONS(2665),
    [anon_sym_inout] = ACTIONS(2665),
    [anon_sym_extern] = ACTIONS(2665),
    [anon_sym___attribute__] = ACTIONS(2665),
    [anon_sym_COLON_COLON] = ACTIONS(2667),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2667),
    [anon_sym___declspec] = ACTIONS(2665),
    [anon_sym___based] = ACTIONS(2665),
    [anon_sym___cdecl] = ACTIONS(2665),
    [anon_sym___clrcall] = ACTIONS(2665),
    [anon_sym___stdcall] = ACTIONS(2665),
    [anon_sym___fastcall] = ACTIONS(2665),
    [anon_sym___thiscall] = ACTIONS(2665),
    [anon_sym___vectorcall] = ACTIONS(2665),
    [anon_sym_LBRACE] = ACTIONS(2667),
    [anon_sym_RBRACE] = ACTIONS(2667),
    [anon_sym_signed] = ACTIONS(2665),
    [anon_sym_unsigned] = ACTIONS(2665),
    [anon_sym_long] = ACTIONS(2665),
    [anon_sym_short] = ACTIONS(2665),
    [anon_sym_LBRACK] = ACTIONS(2665),
    [anon_sym_static] = ACTIONS(2665),
    [anon_sym_register] = ACTIONS(2665),
    [anon_sym_inline] = ACTIONS(2665),
    [anon_sym___inline] = ACTIONS(2665),
    [anon_sym___inline__] = ACTIONS(2665),
    [anon_sym___forceinline] = ACTIONS(2665),
    [anon_sym_thread_local] = ACTIONS(2665),
    [anon_sym___thread] = ACTIONS(2665),
    [anon_sym_const] = ACTIONS(2665),
    [anon_sym_constexpr] = ACTIONS(2665),
    [anon_sym_volatile] = ACTIONS(2665),
    [anon_sym_restrict] = ACTIONS(2665),
    [anon_sym___restrict__] = ACTIONS(2665),
    [anon_sym__Atomic] = ACTIONS(2665),
    [anon_sym__Noreturn] = ACTIONS(2665),
    [anon_sym_noreturn] = ACTIONS(2665),
    [anon_sym_mutable] = ACTIONS(2665),
    [anon_sym_constinit] = ACTIONS(2665),
    [anon_sym_consteval] = ACTIONS(2665),
    [sym_primitive_type] = ACTIONS(2665),
    [anon_sym_enum] = ACTIONS(2665),
    [anon_sym_class] = ACTIONS(2665),
    [anon_sym_struct] = ACTIONS(2665),
    [anon_sym_union] = ACTIONS(2665),
    [anon_sym_if] = ACTIONS(2665),
    [anon_sym_switch] = ACTIONS(2665),
    [anon_sym_case] = ACTIONS(2665),
    [anon_sym_default] = ACTIONS(2665),
    [anon_sym_while] = ACTIONS(2665),
    [anon_sym_do] = ACTIONS(2665),
    [anon_sym_for] = ACTIONS(2665),
    [anon_sym_return] = ACTIONS(2665),
    [anon_sym_break] = ACTIONS(2665),
    [anon_sym_continue] = ACTIONS(2665),
    [anon_sym_goto] = ACTIONS(2665),
    [anon_sym___try] = ACTIONS(2665),
    [anon_sym___leave] = ACTIONS(2665),
    [anon_sym_not] = ACTIONS(2665),
    [anon_sym_compl] = ACTIONS(2665),
    [anon_sym_DASH_DASH] = ACTIONS(2667),
    [anon_sym_PLUS_PLUS] = ACTIONS(2667),
    [anon_sym_sizeof] = ACTIONS(2665),
    [anon_sym___alignof__] = ACTIONS(2665),
    [anon_sym___alignof] = ACTIONS(2665),
    [anon_sym__alignof] = ACTIONS(2665),
    [anon_sym_alignof] = ACTIONS(2665),
    [anon_sym__Alignof] = ACTIONS(2665),
    [anon_sym_offsetof] = ACTIONS(2665),
    [anon_sym__Generic] = ACTIONS(2665),
    [anon_sym_asm] = ACTIONS(2665),
    [anon_sym___asm__] = ACTIONS(2665),
    [sym_number_literal] = ACTIONS(2667),
    [anon_sym_L_SQUOTE] = ACTIONS(2667),
    [anon_sym_u_SQUOTE] = ACTIONS(2667),
    [anon_sym_U_SQUOTE] = ACTIONS(2667),
    [anon_sym_u8_SQUOTE] = ACTIONS(2667),
    [anon_sym_SQUOTE] = ACTIONS(2667),
    [anon_sym_L_DQUOTE] = ACTIONS(2667),
    [anon_sym_u_DQUOTE] = ACTIONS(2667),
    [anon_sym_U_DQUOTE] = ACTIONS(2667),
    [anon_sym_u8_DQUOTE] = ACTIONS(2667),
    [anon_sym_DQUOTE] = ACTIONS(2667),
    [sym_true] = ACTIONS(2665),
    [sym_false] = ACTIONS(2665),
    [anon_sym_NULL] = ACTIONS(2665),
    [anon_sym_nullptr] = ACTIONS(2665),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2665),
    [anon_sym_decltype] = ACTIONS(2665),
    [anon_sym_virtual] = ACTIONS(2665),
    [anon_sym_alignas] = ACTIONS(2665),
    [anon_sym_explicit] = ACTIONS(2665),
    [anon_sym_typename] = ACTIONS(2665),
    [anon_sym_template] = ACTIONS(2665),
    [anon_sym_operator] = ACTIONS(2665),
    [anon_sym_try] = ACTIONS(2665),
    [anon_sym_delete] = ACTIONS(2665),
    [anon_sym_throw] = ACTIONS(2665),
    [anon_sym_namespace] = ACTIONS(2665),
    [anon_sym_using] = ACTIONS(2665),
    [anon_sym_static_assert] = ACTIONS(2665),
    [anon_sym_concept] = ACTIONS(2665),
    [anon_sym_co_return] = ACTIONS(2665),
    [anon_sym_co_yield] = ACTIONS(2665),
    [anon_sym_R_DQUOTE] = ACTIONS(2667),
    [anon_sym_LR_DQUOTE] = ACTIONS(2667),
    [anon_sym_uR_DQUOTE] = ACTIONS(2667),
    [anon_sym_UR_DQUOTE] = ACTIONS(2667),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2667),
    [anon_sym_co_await] = ACTIONS(2665),
    [anon_sym_new] = ACTIONS(2665),
    [anon_sym_requires] = ACTIONS(2665),
    [sym_this] = ACTIONS(2665),
    [anon_sym_discard] = ACTIONS(2665),
    [anon_sym_precise] = ACTIONS(2665),
    [anon_sym_shared] = ACTIONS(2665),
    [anon_sym_groupshared] = ACTIONS(2665),
    [anon_sym_uniform] = ACTIONS(2665),
    [anon_sym_row_major] = ACTIONS(2665),
    [anon_sym_column_major] = ACTIONS(2665),
    [anon_sym_globallycoherent] = ACTIONS(2665),
    [anon_sym_centroid] = ACTIONS(2665),
    [anon_sym_noperspective] = ACTIONS(2665),
    [anon_sym_nointerpolation] = ACTIONS(2665),
    [anon_sym_sample] = ACTIONS(2665),
    [anon_sym_linear] = ACTIONS(2665),
    [anon_sym_snorm] = ACTIONS(2665),
    [anon_sym_unorm] = ACTIONS(2665),
    [anon_sym_point] = ACTIONS(2665),
    [anon_sym_line] = ACTIONS(2665),
    [anon_sym_triangleadj] = ACTIONS(2665),
    [anon_sym_lineadj] = ACTIONS(2665),
    [anon_sym_triangle] = ACTIONS(2665),
    [anon_sym_cbuffer] = ACTIONS(2665),
  },
  [1150] = {
    [sym_identifier] = ACTIONS(2809),
    [aux_sym_preproc_include_token1] = ACTIONS(2809),
    [aux_sym_preproc_def_token1] = ACTIONS(2809),
    [aux_sym_preproc_if_token1] = ACTIONS(2809),
    [aux_sym_preproc_if_token2] = ACTIONS(2809),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2809),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2809),
    [sym_preproc_directive] = ACTIONS(2809),
    [anon_sym_LPAREN2] = ACTIONS(2811),
    [anon_sym_BANG] = ACTIONS(2811),
    [anon_sym_TILDE] = ACTIONS(2811),
    [anon_sym_DASH] = ACTIONS(2809),
    [anon_sym_PLUS] = ACTIONS(2809),
    [anon_sym_STAR] = ACTIONS(2811),
    [anon_sym_AMP_AMP] = ACTIONS(2811),
    [anon_sym_AMP] = ACTIONS(2809),
    [anon_sym_SEMI] = ACTIONS(2811),
    [anon_sym___extension__] = ACTIONS(2809),
    [anon_sym_typedef] = ACTIONS(2809),
    [anon_sym_in] = ACTIONS(2809),
    [anon_sym_out] = ACTIONS(2809),
    [anon_sym_inout] = ACTIONS(2809),
    [anon_sym_extern] = ACTIONS(2809),
    [anon_sym___attribute__] = ACTIONS(2809),
    [anon_sym_COLON_COLON] = ACTIONS(2811),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2811),
    [anon_sym___declspec] = ACTIONS(2809),
    [anon_sym___based] = ACTIONS(2809),
    [anon_sym___cdecl] = ACTIONS(2809),
    [anon_sym___clrcall] = ACTIONS(2809),
    [anon_sym___stdcall] = ACTIONS(2809),
    [anon_sym___fastcall] = ACTIONS(2809),
    [anon_sym___thiscall] = ACTIONS(2809),
    [anon_sym___vectorcall] = ACTIONS(2809),
    [anon_sym_LBRACE] = ACTIONS(2811),
    [anon_sym_signed] = ACTIONS(2809),
    [anon_sym_unsigned] = ACTIONS(2809),
    [anon_sym_long] = ACTIONS(2809),
    [anon_sym_short] = ACTIONS(2809),
    [anon_sym_LBRACK] = ACTIONS(2809),
    [anon_sym_static] = ACTIONS(2809),
    [anon_sym_register] = ACTIONS(2809),
    [anon_sym_inline] = ACTIONS(2809),
    [anon_sym___inline] = ACTIONS(2809),
    [anon_sym___inline__] = ACTIONS(2809),
    [anon_sym___forceinline] = ACTIONS(2809),
    [anon_sym_thread_local] = ACTIONS(2809),
    [anon_sym___thread] = ACTIONS(2809),
    [anon_sym_const] = ACTIONS(2809),
    [anon_sym_constexpr] = ACTIONS(2809),
    [anon_sym_volatile] = ACTIONS(2809),
    [anon_sym_restrict] = ACTIONS(2809),
    [anon_sym___restrict__] = ACTIONS(2809),
    [anon_sym__Atomic] = ACTIONS(2809),
    [anon_sym__Noreturn] = ACTIONS(2809),
    [anon_sym_noreturn] = ACTIONS(2809),
    [anon_sym_mutable] = ACTIONS(2809),
    [anon_sym_constinit] = ACTIONS(2809),
    [anon_sym_consteval] = ACTIONS(2809),
    [sym_primitive_type] = ACTIONS(2809),
    [anon_sym_enum] = ACTIONS(2809),
    [anon_sym_class] = ACTIONS(2809),
    [anon_sym_struct] = ACTIONS(2809),
    [anon_sym_union] = ACTIONS(2809),
    [anon_sym_if] = ACTIONS(2809),
    [anon_sym_switch] = ACTIONS(2809),
    [anon_sym_case] = ACTIONS(2809),
    [anon_sym_default] = ACTIONS(2809),
    [anon_sym_while] = ACTIONS(2809),
    [anon_sym_do] = ACTIONS(2809),
    [anon_sym_for] = ACTIONS(2809),
    [anon_sym_return] = ACTIONS(2809),
    [anon_sym_break] = ACTIONS(2809),
    [anon_sym_continue] = ACTIONS(2809),
    [anon_sym_goto] = ACTIONS(2809),
    [anon_sym___try] = ACTIONS(2809),
    [anon_sym___leave] = ACTIONS(2809),
    [anon_sym_not] = ACTIONS(2809),
    [anon_sym_compl] = ACTIONS(2809),
    [anon_sym_DASH_DASH] = ACTIONS(2811),
    [anon_sym_PLUS_PLUS] = ACTIONS(2811),
    [anon_sym_sizeof] = ACTIONS(2809),
    [anon_sym___alignof__] = ACTIONS(2809),
    [anon_sym___alignof] = ACTIONS(2809),
    [anon_sym__alignof] = ACTIONS(2809),
    [anon_sym_alignof] = ACTIONS(2809),
    [anon_sym__Alignof] = ACTIONS(2809),
    [anon_sym_offsetof] = ACTIONS(2809),
    [anon_sym__Generic] = ACTIONS(2809),
    [anon_sym_asm] = ACTIONS(2809),
    [anon_sym___asm__] = ACTIONS(2809),
    [sym_number_literal] = ACTIONS(2811),
    [anon_sym_L_SQUOTE] = ACTIONS(2811),
    [anon_sym_u_SQUOTE] = ACTIONS(2811),
    [anon_sym_U_SQUOTE] = ACTIONS(2811),
    [anon_sym_u8_SQUOTE] = ACTIONS(2811),
    [anon_sym_SQUOTE] = ACTIONS(2811),
    [anon_sym_L_DQUOTE] = ACTIONS(2811),
    [anon_sym_u_DQUOTE] = ACTIONS(2811),
    [anon_sym_U_DQUOTE] = ACTIONS(2811),
    [anon_sym_u8_DQUOTE] = ACTIONS(2811),
    [anon_sym_DQUOTE] = ACTIONS(2811),
    [sym_true] = ACTIONS(2809),
    [sym_false] = ACTIONS(2809),
    [anon_sym_NULL] = ACTIONS(2809),
    [anon_sym_nullptr] = ACTIONS(2809),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2809),
    [anon_sym_decltype] = ACTIONS(2809),
    [anon_sym_virtual] = ACTIONS(2809),
    [anon_sym_alignas] = ACTIONS(2809),
    [anon_sym_explicit] = ACTIONS(2809),
    [anon_sym_typename] = ACTIONS(2809),
    [anon_sym_template] = ACTIONS(2809),
    [anon_sym_operator] = ACTIONS(2809),
    [anon_sym_try] = ACTIONS(2809),
    [anon_sym_delete] = ACTIONS(2809),
    [anon_sym_throw] = ACTIONS(2809),
    [anon_sym_namespace] = ACTIONS(2809),
    [anon_sym_using] = ACTIONS(2809),
    [anon_sym_static_assert] = ACTIONS(2809),
    [anon_sym_concept] = ACTIONS(2809),
    [anon_sym_co_return] = ACTIONS(2809),
    [anon_sym_co_yield] = ACTIONS(2809),
    [anon_sym_R_DQUOTE] = ACTIONS(2811),
    [anon_sym_LR_DQUOTE] = ACTIONS(2811),
    [anon_sym_uR_DQUOTE] = ACTIONS(2811),
    [anon_sym_UR_DQUOTE] = ACTIONS(2811),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2811),
    [anon_sym_co_await] = ACTIONS(2809),
    [anon_sym_new] = ACTIONS(2809),
    [anon_sym_requires] = ACTIONS(2809),
    [sym_this] = ACTIONS(2809),
    [anon_sym_discard] = ACTIONS(2809),
    [anon_sym_precise] = ACTIONS(2809),
    [anon_sym_shared] = ACTIONS(2809),
    [anon_sym_groupshared] = ACTIONS(2809),
    [anon_sym_uniform] = ACTIONS(2809),
    [anon_sym_row_major] = ACTIONS(2809),
    [anon_sym_column_major] = ACTIONS(2809),
    [anon_sym_globallycoherent] = ACTIONS(2809),
    [anon_sym_centroid] = ACTIONS(2809),
    [anon_sym_noperspective] = ACTIONS(2809),
    [anon_sym_nointerpolation] = ACTIONS(2809),
    [anon_sym_sample] = ACTIONS(2809),
    [anon_sym_linear] = ACTIONS(2809),
    [anon_sym_snorm] = ACTIONS(2809),
    [anon_sym_unorm] = ACTIONS(2809),
    [anon_sym_point] = ACTIONS(2809),
    [anon_sym_line] = ACTIONS(2809),
    [anon_sym_triangleadj] = ACTIONS(2809),
    [anon_sym_lineadj] = ACTIONS(2809),
    [anon_sym_triangle] = ACTIONS(2809),
    [anon_sym_cbuffer] = ACTIONS(2809),
  },
  [1151] = {
    [sym_identifier] = ACTIONS(2710),
    [aux_sym_preproc_include_token1] = ACTIONS(2710),
    [aux_sym_preproc_def_token1] = ACTIONS(2710),
    [aux_sym_preproc_if_token1] = ACTIONS(2710),
    [aux_sym_preproc_if_token2] = ACTIONS(2710),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2710),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2710),
    [sym_preproc_directive] = ACTIONS(2710),
    [anon_sym_LPAREN2] = ACTIONS(2712),
    [anon_sym_BANG] = ACTIONS(2712),
    [anon_sym_TILDE] = ACTIONS(2712),
    [anon_sym_DASH] = ACTIONS(2710),
    [anon_sym_PLUS] = ACTIONS(2710),
    [anon_sym_STAR] = ACTIONS(2712),
    [anon_sym_AMP_AMP] = ACTIONS(2712),
    [anon_sym_AMP] = ACTIONS(2710),
    [anon_sym_SEMI] = ACTIONS(2712),
    [anon_sym___extension__] = ACTIONS(2710),
    [anon_sym_typedef] = ACTIONS(2710),
    [anon_sym_in] = ACTIONS(2710),
    [anon_sym_out] = ACTIONS(2710),
    [anon_sym_inout] = ACTIONS(2710),
    [anon_sym_extern] = ACTIONS(2710),
    [anon_sym___attribute__] = ACTIONS(2710),
    [anon_sym_COLON_COLON] = ACTIONS(2712),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2712),
    [anon_sym___declspec] = ACTIONS(2710),
    [anon_sym___based] = ACTIONS(2710),
    [anon_sym___cdecl] = ACTIONS(2710),
    [anon_sym___clrcall] = ACTIONS(2710),
    [anon_sym___stdcall] = ACTIONS(2710),
    [anon_sym___fastcall] = ACTIONS(2710),
    [anon_sym___thiscall] = ACTIONS(2710),
    [anon_sym___vectorcall] = ACTIONS(2710),
    [anon_sym_LBRACE] = ACTIONS(2712),
    [anon_sym_signed] = ACTIONS(2710),
    [anon_sym_unsigned] = ACTIONS(2710),
    [anon_sym_long] = ACTIONS(2710),
    [anon_sym_short] = ACTIONS(2710),
    [anon_sym_LBRACK] = ACTIONS(2710),
    [anon_sym_static] = ACTIONS(2710),
    [anon_sym_register] = ACTIONS(2710),
    [anon_sym_inline] = ACTIONS(2710),
    [anon_sym___inline] = ACTIONS(2710),
    [anon_sym___inline__] = ACTIONS(2710),
    [anon_sym___forceinline] = ACTIONS(2710),
    [anon_sym_thread_local] = ACTIONS(2710),
    [anon_sym___thread] = ACTIONS(2710),
    [anon_sym_const] = ACTIONS(2710),
    [anon_sym_constexpr] = ACTIONS(2710),
    [anon_sym_volatile] = ACTIONS(2710),
    [anon_sym_restrict] = ACTIONS(2710),
    [anon_sym___restrict__] = ACTIONS(2710),
    [anon_sym__Atomic] = ACTIONS(2710),
    [anon_sym__Noreturn] = ACTIONS(2710),
    [anon_sym_noreturn] = ACTIONS(2710),
    [anon_sym_mutable] = ACTIONS(2710),
    [anon_sym_constinit] = ACTIONS(2710),
    [anon_sym_consteval] = ACTIONS(2710),
    [sym_primitive_type] = ACTIONS(2710),
    [anon_sym_enum] = ACTIONS(2710),
    [anon_sym_class] = ACTIONS(2710),
    [anon_sym_struct] = ACTIONS(2710),
    [anon_sym_union] = ACTIONS(2710),
    [anon_sym_if] = ACTIONS(2710),
    [anon_sym_switch] = ACTIONS(2710),
    [anon_sym_case] = ACTIONS(2710),
    [anon_sym_default] = ACTIONS(2710),
    [anon_sym_while] = ACTIONS(2710),
    [anon_sym_do] = ACTIONS(2710),
    [anon_sym_for] = ACTIONS(2710),
    [anon_sym_return] = ACTIONS(2710),
    [anon_sym_break] = ACTIONS(2710),
    [anon_sym_continue] = ACTIONS(2710),
    [anon_sym_goto] = ACTIONS(2710),
    [anon_sym___try] = ACTIONS(2710),
    [anon_sym___leave] = ACTIONS(2710),
    [anon_sym_not] = ACTIONS(2710),
    [anon_sym_compl] = ACTIONS(2710),
    [anon_sym_DASH_DASH] = ACTIONS(2712),
    [anon_sym_PLUS_PLUS] = ACTIONS(2712),
    [anon_sym_sizeof] = ACTIONS(2710),
    [anon_sym___alignof__] = ACTIONS(2710),
    [anon_sym___alignof] = ACTIONS(2710),
    [anon_sym__alignof] = ACTIONS(2710),
    [anon_sym_alignof] = ACTIONS(2710),
    [anon_sym__Alignof] = ACTIONS(2710),
    [anon_sym_offsetof] = ACTIONS(2710),
    [anon_sym__Generic] = ACTIONS(2710),
    [anon_sym_asm] = ACTIONS(2710),
    [anon_sym___asm__] = ACTIONS(2710),
    [sym_number_literal] = ACTIONS(2712),
    [anon_sym_L_SQUOTE] = ACTIONS(2712),
    [anon_sym_u_SQUOTE] = ACTIONS(2712),
    [anon_sym_U_SQUOTE] = ACTIONS(2712),
    [anon_sym_u8_SQUOTE] = ACTIONS(2712),
    [anon_sym_SQUOTE] = ACTIONS(2712),
    [anon_sym_L_DQUOTE] = ACTIONS(2712),
    [anon_sym_u_DQUOTE] = ACTIONS(2712),
    [anon_sym_U_DQUOTE] = ACTIONS(2712),
    [anon_sym_u8_DQUOTE] = ACTIONS(2712),
    [anon_sym_DQUOTE] = ACTIONS(2712),
    [sym_true] = ACTIONS(2710),
    [sym_false] = ACTIONS(2710),
    [anon_sym_NULL] = ACTIONS(2710),
    [anon_sym_nullptr] = ACTIONS(2710),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2710),
    [anon_sym_decltype] = ACTIONS(2710),
    [anon_sym_virtual] = ACTIONS(2710),
    [anon_sym_alignas] = ACTIONS(2710),
    [anon_sym_explicit] = ACTIONS(2710),
    [anon_sym_typename] = ACTIONS(2710),
    [anon_sym_template] = ACTIONS(2710),
    [anon_sym_operator] = ACTIONS(2710),
    [anon_sym_try] = ACTIONS(2710),
    [anon_sym_delete] = ACTIONS(2710),
    [anon_sym_throw] = ACTIONS(2710),
    [anon_sym_namespace] = ACTIONS(2710),
    [anon_sym_using] = ACTIONS(2710),
    [anon_sym_static_assert] = ACTIONS(2710),
    [anon_sym_concept] = ACTIONS(2710),
    [anon_sym_co_return] = ACTIONS(2710),
    [anon_sym_co_yield] = ACTIONS(2710),
    [anon_sym_R_DQUOTE] = ACTIONS(2712),
    [anon_sym_LR_DQUOTE] = ACTIONS(2712),
    [anon_sym_uR_DQUOTE] = ACTIONS(2712),
    [anon_sym_UR_DQUOTE] = ACTIONS(2712),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2712),
    [anon_sym_co_await] = ACTIONS(2710),
    [anon_sym_new] = ACTIONS(2710),
    [anon_sym_requires] = ACTIONS(2710),
    [sym_this] = ACTIONS(2710),
    [anon_sym_discard] = ACTIONS(2710),
    [anon_sym_precise] = ACTIONS(2710),
    [anon_sym_shared] = ACTIONS(2710),
    [anon_sym_groupshared] = ACTIONS(2710),
    [anon_sym_uniform] = ACTIONS(2710),
    [anon_sym_row_major] = ACTIONS(2710),
    [anon_sym_column_major] = ACTIONS(2710),
    [anon_sym_globallycoherent] = ACTIONS(2710),
    [anon_sym_centroid] = ACTIONS(2710),
    [anon_sym_noperspective] = ACTIONS(2710),
    [anon_sym_nointerpolation] = ACTIONS(2710),
    [anon_sym_sample] = ACTIONS(2710),
    [anon_sym_linear] = ACTIONS(2710),
    [anon_sym_snorm] = ACTIONS(2710),
    [anon_sym_unorm] = ACTIONS(2710),
    [anon_sym_point] = ACTIONS(2710),
    [anon_sym_line] = ACTIONS(2710),
    [anon_sym_triangleadj] = ACTIONS(2710),
    [anon_sym_lineadj] = ACTIONS(2710),
    [anon_sym_triangle] = ACTIONS(2710),
    [anon_sym_cbuffer] = ACTIONS(2710),
  },
  [1152] = {
    [sym_identifier] = ACTIONS(2793),
    [aux_sym_preproc_include_token1] = ACTIONS(2793),
    [aux_sym_preproc_def_token1] = ACTIONS(2793),
    [aux_sym_preproc_if_token1] = ACTIONS(2793),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2793),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2793),
    [sym_preproc_directive] = ACTIONS(2793),
    [anon_sym_LPAREN2] = ACTIONS(2795),
    [anon_sym_BANG] = ACTIONS(2795),
    [anon_sym_TILDE] = ACTIONS(2795),
    [anon_sym_DASH] = ACTIONS(2793),
    [anon_sym_PLUS] = ACTIONS(2793),
    [anon_sym_STAR] = ACTIONS(2795),
    [anon_sym_AMP_AMP] = ACTIONS(2795),
    [anon_sym_AMP] = ACTIONS(2793),
    [anon_sym_SEMI] = ACTIONS(2795),
    [anon_sym___extension__] = ACTIONS(2793),
    [anon_sym_typedef] = ACTIONS(2793),
    [anon_sym_in] = ACTIONS(2793),
    [anon_sym_out] = ACTIONS(2793),
    [anon_sym_inout] = ACTIONS(2793),
    [anon_sym_extern] = ACTIONS(2793),
    [anon_sym___attribute__] = ACTIONS(2793),
    [anon_sym_COLON_COLON] = ACTIONS(2795),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2795),
    [anon_sym___declspec] = ACTIONS(2793),
    [anon_sym___based] = ACTIONS(2793),
    [anon_sym___cdecl] = ACTIONS(2793),
    [anon_sym___clrcall] = ACTIONS(2793),
    [anon_sym___stdcall] = ACTIONS(2793),
    [anon_sym___fastcall] = ACTIONS(2793),
    [anon_sym___thiscall] = ACTIONS(2793),
    [anon_sym___vectorcall] = ACTIONS(2793),
    [anon_sym_LBRACE] = ACTIONS(2795),
    [anon_sym_RBRACE] = ACTIONS(2795),
    [anon_sym_signed] = ACTIONS(2793),
    [anon_sym_unsigned] = ACTIONS(2793),
    [anon_sym_long] = ACTIONS(2793),
    [anon_sym_short] = ACTIONS(2793),
    [anon_sym_LBRACK] = ACTIONS(2793),
    [anon_sym_static] = ACTIONS(2793),
    [anon_sym_register] = ACTIONS(2793),
    [anon_sym_inline] = ACTIONS(2793),
    [anon_sym___inline] = ACTIONS(2793),
    [anon_sym___inline__] = ACTIONS(2793),
    [anon_sym___forceinline] = ACTIONS(2793),
    [anon_sym_thread_local] = ACTIONS(2793),
    [anon_sym___thread] = ACTIONS(2793),
    [anon_sym_const] = ACTIONS(2793),
    [anon_sym_constexpr] = ACTIONS(2793),
    [anon_sym_volatile] = ACTIONS(2793),
    [anon_sym_restrict] = ACTIONS(2793),
    [anon_sym___restrict__] = ACTIONS(2793),
    [anon_sym__Atomic] = ACTIONS(2793),
    [anon_sym__Noreturn] = ACTIONS(2793),
    [anon_sym_noreturn] = ACTIONS(2793),
    [anon_sym_mutable] = ACTIONS(2793),
    [anon_sym_constinit] = ACTIONS(2793),
    [anon_sym_consteval] = ACTIONS(2793),
    [sym_primitive_type] = ACTIONS(2793),
    [anon_sym_enum] = ACTIONS(2793),
    [anon_sym_class] = ACTIONS(2793),
    [anon_sym_struct] = ACTIONS(2793),
    [anon_sym_union] = ACTIONS(2793),
    [anon_sym_if] = ACTIONS(2793),
    [anon_sym_switch] = ACTIONS(2793),
    [anon_sym_case] = ACTIONS(2793),
    [anon_sym_default] = ACTIONS(2793),
    [anon_sym_while] = ACTIONS(2793),
    [anon_sym_do] = ACTIONS(2793),
    [anon_sym_for] = ACTIONS(2793),
    [anon_sym_return] = ACTIONS(2793),
    [anon_sym_break] = ACTIONS(2793),
    [anon_sym_continue] = ACTIONS(2793),
    [anon_sym_goto] = ACTIONS(2793),
    [anon_sym___try] = ACTIONS(2793),
    [anon_sym___leave] = ACTIONS(2793),
    [anon_sym_not] = ACTIONS(2793),
    [anon_sym_compl] = ACTIONS(2793),
    [anon_sym_DASH_DASH] = ACTIONS(2795),
    [anon_sym_PLUS_PLUS] = ACTIONS(2795),
    [anon_sym_sizeof] = ACTIONS(2793),
    [anon_sym___alignof__] = ACTIONS(2793),
    [anon_sym___alignof] = ACTIONS(2793),
    [anon_sym__alignof] = ACTIONS(2793),
    [anon_sym_alignof] = ACTIONS(2793),
    [anon_sym__Alignof] = ACTIONS(2793),
    [anon_sym_offsetof] = ACTIONS(2793),
    [anon_sym__Generic] = ACTIONS(2793),
    [anon_sym_asm] = ACTIONS(2793),
    [anon_sym___asm__] = ACTIONS(2793),
    [sym_number_literal] = ACTIONS(2795),
    [anon_sym_L_SQUOTE] = ACTIONS(2795),
    [anon_sym_u_SQUOTE] = ACTIONS(2795),
    [anon_sym_U_SQUOTE] = ACTIONS(2795),
    [anon_sym_u8_SQUOTE] = ACTIONS(2795),
    [anon_sym_SQUOTE] = ACTIONS(2795),
    [anon_sym_L_DQUOTE] = ACTIONS(2795),
    [anon_sym_u_DQUOTE] = ACTIONS(2795),
    [anon_sym_U_DQUOTE] = ACTIONS(2795),
    [anon_sym_u8_DQUOTE] = ACTIONS(2795),
    [anon_sym_DQUOTE] = ACTIONS(2795),
    [sym_true] = ACTIONS(2793),
    [sym_false] = ACTIONS(2793),
    [anon_sym_NULL] = ACTIONS(2793),
    [anon_sym_nullptr] = ACTIONS(2793),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2793),
    [anon_sym_decltype] = ACTIONS(2793),
    [anon_sym_virtual] = ACTIONS(2793),
    [anon_sym_alignas] = ACTIONS(2793),
    [anon_sym_explicit] = ACTIONS(2793),
    [anon_sym_typename] = ACTIONS(2793),
    [anon_sym_template] = ACTIONS(2793),
    [anon_sym_operator] = ACTIONS(2793),
    [anon_sym_try] = ACTIONS(2793),
    [anon_sym_delete] = ACTIONS(2793),
    [anon_sym_throw] = ACTIONS(2793),
    [anon_sym_namespace] = ACTIONS(2793),
    [anon_sym_using] = ACTIONS(2793),
    [anon_sym_static_assert] = ACTIONS(2793),
    [anon_sym_concept] = ACTIONS(2793),
    [anon_sym_co_return] = ACTIONS(2793),
    [anon_sym_co_yield] = ACTIONS(2793),
    [anon_sym_R_DQUOTE] = ACTIONS(2795),
    [anon_sym_LR_DQUOTE] = ACTIONS(2795),
    [anon_sym_uR_DQUOTE] = ACTIONS(2795),
    [anon_sym_UR_DQUOTE] = ACTIONS(2795),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2795),
    [anon_sym_co_await] = ACTIONS(2793),
    [anon_sym_new] = ACTIONS(2793),
    [anon_sym_requires] = ACTIONS(2793),
    [sym_this] = ACTIONS(2793),
    [anon_sym_discard] = ACTIONS(2793),
    [anon_sym_precise] = ACTIONS(2793),
    [anon_sym_shared] = ACTIONS(2793),
    [anon_sym_groupshared] = ACTIONS(2793),
    [anon_sym_uniform] = ACTIONS(2793),
    [anon_sym_row_major] = ACTIONS(2793),
    [anon_sym_column_major] = ACTIONS(2793),
    [anon_sym_globallycoherent] = ACTIONS(2793),
    [anon_sym_centroid] = ACTIONS(2793),
    [anon_sym_noperspective] = ACTIONS(2793),
    [anon_sym_nointerpolation] = ACTIONS(2793),
    [anon_sym_sample] = ACTIONS(2793),
    [anon_sym_linear] = ACTIONS(2793),
    [anon_sym_snorm] = ACTIONS(2793),
    [anon_sym_unorm] = ACTIONS(2793),
    [anon_sym_point] = ACTIONS(2793),
    [anon_sym_line] = ACTIONS(2793),
    [anon_sym_triangleadj] = ACTIONS(2793),
    [anon_sym_lineadj] = ACTIONS(2793),
    [anon_sym_triangle] = ACTIONS(2793),
    [anon_sym_cbuffer] = ACTIONS(2793),
  },
  [1153] = {
    [sym_identifier] = ACTIONS(2789),
    [aux_sym_preproc_include_token1] = ACTIONS(2789),
    [aux_sym_preproc_def_token1] = ACTIONS(2789),
    [aux_sym_preproc_if_token1] = ACTIONS(2789),
    [aux_sym_preproc_if_token2] = ACTIONS(2789),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2789),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2789),
    [sym_preproc_directive] = ACTIONS(2789),
    [anon_sym_LPAREN2] = ACTIONS(2791),
    [anon_sym_BANG] = ACTIONS(2791),
    [anon_sym_TILDE] = ACTIONS(2791),
    [anon_sym_DASH] = ACTIONS(2789),
    [anon_sym_PLUS] = ACTIONS(2789),
    [anon_sym_STAR] = ACTIONS(2791),
    [anon_sym_AMP_AMP] = ACTIONS(2791),
    [anon_sym_AMP] = ACTIONS(2789),
    [anon_sym_SEMI] = ACTIONS(2791),
    [anon_sym___extension__] = ACTIONS(2789),
    [anon_sym_typedef] = ACTIONS(2789),
    [anon_sym_in] = ACTIONS(2789),
    [anon_sym_out] = ACTIONS(2789),
    [anon_sym_inout] = ACTIONS(2789),
    [anon_sym_extern] = ACTIONS(2789),
    [anon_sym___attribute__] = ACTIONS(2789),
    [anon_sym_COLON_COLON] = ACTIONS(2791),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2791),
    [anon_sym___declspec] = ACTIONS(2789),
    [anon_sym___based] = ACTIONS(2789),
    [anon_sym___cdecl] = ACTIONS(2789),
    [anon_sym___clrcall] = ACTIONS(2789),
    [anon_sym___stdcall] = ACTIONS(2789),
    [anon_sym___fastcall] = ACTIONS(2789),
    [anon_sym___thiscall] = ACTIONS(2789),
    [anon_sym___vectorcall] = ACTIONS(2789),
    [anon_sym_LBRACE] = ACTIONS(2791),
    [anon_sym_signed] = ACTIONS(2789),
    [anon_sym_unsigned] = ACTIONS(2789),
    [anon_sym_long] = ACTIONS(2789),
    [anon_sym_short] = ACTIONS(2789),
    [anon_sym_LBRACK] = ACTIONS(2789),
    [anon_sym_static] = ACTIONS(2789),
    [anon_sym_register] = ACTIONS(2789),
    [anon_sym_inline] = ACTIONS(2789),
    [anon_sym___inline] = ACTIONS(2789),
    [anon_sym___inline__] = ACTIONS(2789),
    [anon_sym___forceinline] = ACTIONS(2789),
    [anon_sym_thread_local] = ACTIONS(2789),
    [anon_sym___thread] = ACTIONS(2789),
    [anon_sym_const] = ACTIONS(2789),
    [anon_sym_constexpr] = ACTIONS(2789),
    [anon_sym_volatile] = ACTIONS(2789),
    [anon_sym_restrict] = ACTIONS(2789),
    [anon_sym___restrict__] = ACTIONS(2789),
    [anon_sym__Atomic] = ACTIONS(2789),
    [anon_sym__Noreturn] = ACTIONS(2789),
    [anon_sym_noreturn] = ACTIONS(2789),
    [anon_sym_mutable] = ACTIONS(2789),
    [anon_sym_constinit] = ACTIONS(2789),
    [anon_sym_consteval] = ACTIONS(2789),
    [sym_primitive_type] = ACTIONS(2789),
    [anon_sym_enum] = ACTIONS(2789),
    [anon_sym_class] = ACTIONS(2789),
    [anon_sym_struct] = ACTIONS(2789),
    [anon_sym_union] = ACTIONS(2789),
    [anon_sym_if] = ACTIONS(2789),
    [anon_sym_switch] = ACTIONS(2789),
    [anon_sym_case] = ACTIONS(2789),
    [anon_sym_default] = ACTIONS(2789),
    [anon_sym_while] = ACTIONS(2789),
    [anon_sym_do] = ACTIONS(2789),
    [anon_sym_for] = ACTIONS(2789),
    [anon_sym_return] = ACTIONS(2789),
    [anon_sym_break] = ACTIONS(2789),
    [anon_sym_continue] = ACTIONS(2789),
    [anon_sym_goto] = ACTIONS(2789),
    [anon_sym___try] = ACTIONS(2789),
    [anon_sym___leave] = ACTIONS(2789),
    [anon_sym_not] = ACTIONS(2789),
    [anon_sym_compl] = ACTIONS(2789),
    [anon_sym_DASH_DASH] = ACTIONS(2791),
    [anon_sym_PLUS_PLUS] = ACTIONS(2791),
    [anon_sym_sizeof] = ACTIONS(2789),
    [anon_sym___alignof__] = ACTIONS(2789),
    [anon_sym___alignof] = ACTIONS(2789),
    [anon_sym__alignof] = ACTIONS(2789),
    [anon_sym_alignof] = ACTIONS(2789),
    [anon_sym__Alignof] = ACTIONS(2789),
    [anon_sym_offsetof] = ACTIONS(2789),
    [anon_sym__Generic] = ACTIONS(2789),
    [anon_sym_asm] = ACTIONS(2789),
    [anon_sym___asm__] = ACTIONS(2789),
    [sym_number_literal] = ACTIONS(2791),
    [anon_sym_L_SQUOTE] = ACTIONS(2791),
    [anon_sym_u_SQUOTE] = ACTIONS(2791),
    [anon_sym_U_SQUOTE] = ACTIONS(2791),
    [anon_sym_u8_SQUOTE] = ACTIONS(2791),
    [anon_sym_SQUOTE] = ACTIONS(2791),
    [anon_sym_L_DQUOTE] = ACTIONS(2791),
    [anon_sym_u_DQUOTE] = ACTIONS(2791),
    [anon_sym_U_DQUOTE] = ACTIONS(2791),
    [anon_sym_u8_DQUOTE] = ACTIONS(2791),
    [anon_sym_DQUOTE] = ACTIONS(2791),
    [sym_true] = ACTIONS(2789),
    [sym_false] = ACTIONS(2789),
    [anon_sym_NULL] = ACTIONS(2789),
    [anon_sym_nullptr] = ACTIONS(2789),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2789),
    [anon_sym_decltype] = ACTIONS(2789),
    [anon_sym_virtual] = ACTIONS(2789),
    [anon_sym_alignas] = ACTIONS(2789),
    [anon_sym_explicit] = ACTIONS(2789),
    [anon_sym_typename] = ACTIONS(2789),
    [anon_sym_template] = ACTIONS(2789),
    [anon_sym_operator] = ACTIONS(2789),
    [anon_sym_try] = ACTIONS(2789),
    [anon_sym_delete] = ACTIONS(2789),
    [anon_sym_throw] = ACTIONS(2789),
    [anon_sym_namespace] = ACTIONS(2789),
    [anon_sym_using] = ACTIONS(2789),
    [anon_sym_static_assert] = ACTIONS(2789),
    [anon_sym_concept] = ACTIONS(2789),
    [anon_sym_co_return] = ACTIONS(2789),
    [anon_sym_co_yield] = ACTIONS(2789),
    [anon_sym_R_DQUOTE] = ACTIONS(2791),
    [anon_sym_LR_DQUOTE] = ACTIONS(2791),
    [anon_sym_uR_DQUOTE] = ACTIONS(2791),
    [anon_sym_UR_DQUOTE] = ACTIONS(2791),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2791),
    [anon_sym_co_await] = ACTIONS(2789),
    [anon_sym_new] = ACTIONS(2789),
    [anon_sym_requires] = ACTIONS(2789),
    [sym_this] = ACTIONS(2789),
    [anon_sym_discard] = ACTIONS(2789),
    [anon_sym_precise] = ACTIONS(2789),
    [anon_sym_shared] = ACTIONS(2789),
    [anon_sym_groupshared] = ACTIONS(2789),
    [anon_sym_uniform] = ACTIONS(2789),
    [anon_sym_row_major] = ACTIONS(2789),
    [anon_sym_column_major] = ACTIONS(2789),
    [anon_sym_globallycoherent] = ACTIONS(2789),
    [anon_sym_centroid] = ACTIONS(2789),
    [anon_sym_noperspective] = ACTIONS(2789),
    [anon_sym_nointerpolation] = ACTIONS(2789),
    [anon_sym_sample] = ACTIONS(2789),
    [anon_sym_linear] = ACTIONS(2789),
    [anon_sym_snorm] = ACTIONS(2789),
    [anon_sym_unorm] = ACTIONS(2789),
    [anon_sym_point] = ACTIONS(2789),
    [anon_sym_line] = ACTIONS(2789),
    [anon_sym_triangleadj] = ACTIONS(2789),
    [anon_sym_lineadj] = ACTIONS(2789),
    [anon_sym_triangle] = ACTIONS(2789),
    [anon_sym_cbuffer] = ACTIONS(2789),
  },
  [1154] = {
    [sym_identifier] = ACTIONS(2785),
    [aux_sym_preproc_include_token1] = ACTIONS(2785),
    [aux_sym_preproc_def_token1] = ACTIONS(2785),
    [aux_sym_preproc_if_token1] = ACTIONS(2785),
    [aux_sym_preproc_if_token2] = ACTIONS(2785),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2785),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2785),
    [sym_preproc_directive] = ACTIONS(2785),
    [anon_sym_LPAREN2] = ACTIONS(2787),
    [anon_sym_BANG] = ACTIONS(2787),
    [anon_sym_TILDE] = ACTIONS(2787),
    [anon_sym_DASH] = ACTIONS(2785),
    [anon_sym_PLUS] = ACTIONS(2785),
    [anon_sym_STAR] = ACTIONS(2787),
    [anon_sym_AMP_AMP] = ACTIONS(2787),
    [anon_sym_AMP] = ACTIONS(2785),
    [anon_sym_SEMI] = ACTIONS(2787),
    [anon_sym___extension__] = ACTIONS(2785),
    [anon_sym_typedef] = ACTIONS(2785),
    [anon_sym_in] = ACTIONS(2785),
    [anon_sym_out] = ACTIONS(2785),
    [anon_sym_inout] = ACTIONS(2785),
    [anon_sym_extern] = ACTIONS(2785),
    [anon_sym___attribute__] = ACTIONS(2785),
    [anon_sym_COLON_COLON] = ACTIONS(2787),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2787),
    [anon_sym___declspec] = ACTIONS(2785),
    [anon_sym___based] = ACTIONS(2785),
    [anon_sym___cdecl] = ACTIONS(2785),
    [anon_sym___clrcall] = ACTIONS(2785),
    [anon_sym___stdcall] = ACTIONS(2785),
    [anon_sym___fastcall] = ACTIONS(2785),
    [anon_sym___thiscall] = ACTIONS(2785),
    [anon_sym___vectorcall] = ACTIONS(2785),
    [anon_sym_LBRACE] = ACTIONS(2787),
    [anon_sym_signed] = ACTIONS(2785),
    [anon_sym_unsigned] = ACTIONS(2785),
    [anon_sym_long] = ACTIONS(2785),
    [anon_sym_short] = ACTIONS(2785),
    [anon_sym_LBRACK] = ACTIONS(2785),
    [anon_sym_static] = ACTIONS(2785),
    [anon_sym_register] = ACTIONS(2785),
    [anon_sym_inline] = ACTIONS(2785),
    [anon_sym___inline] = ACTIONS(2785),
    [anon_sym___inline__] = ACTIONS(2785),
    [anon_sym___forceinline] = ACTIONS(2785),
    [anon_sym_thread_local] = ACTIONS(2785),
    [anon_sym___thread] = ACTIONS(2785),
    [anon_sym_const] = ACTIONS(2785),
    [anon_sym_constexpr] = ACTIONS(2785),
    [anon_sym_volatile] = ACTIONS(2785),
    [anon_sym_restrict] = ACTIONS(2785),
    [anon_sym___restrict__] = ACTIONS(2785),
    [anon_sym__Atomic] = ACTIONS(2785),
    [anon_sym__Noreturn] = ACTIONS(2785),
    [anon_sym_noreturn] = ACTIONS(2785),
    [anon_sym_mutable] = ACTIONS(2785),
    [anon_sym_constinit] = ACTIONS(2785),
    [anon_sym_consteval] = ACTIONS(2785),
    [sym_primitive_type] = ACTIONS(2785),
    [anon_sym_enum] = ACTIONS(2785),
    [anon_sym_class] = ACTIONS(2785),
    [anon_sym_struct] = ACTIONS(2785),
    [anon_sym_union] = ACTIONS(2785),
    [anon_sym_if] = ACTIONS(2785),
    [anon_sym_switch] = ACTIONS(2785),
    [anon_sym_case] = ACTIONS(2785),
    [anon_sym_default] = ACTIONS(2785),
    [anon_sym_while] = ACTIONS(2785),
    [anon_sym_do] = ACTIONS(2785),
    [anon_sym_for] = ACTIONS(2785),
    [anon_sym_return] = ACTIONS(2785),
    [anon_sym_break] = ACTIONS(2785),
    [anon_sym_continue] = ACTIONS(2785),
    [anon_sym_goto] = ACTIONS(2785),
    [anon_sym___try] = ACTIONS(2785),
    [anon_sym___leave] = ACTIONS(2785),
    [anon_sym_not] = ACTIONS(2785),
    [anon_sym_compl] = ACTIONS(2785),
    [anon_sym_DASH_DASH] = ACTIONS(2787),
    [anon_sym_PLUS_PLUS] = ACTIONS(2787),
    [anon_sym_sizeof] = ACTIONS(2785),
    [anon_sym___alignof__] = ACTIONS(2785),
    [anon_sym___alignof] = ACTIONS(2785),
    [anon_sym__alignof] = ACTIONS(2785),
    [anon_sym_alignof] = ACTIONS(2785),
    [anon_sym__Alignof] = ACTIONS(2785),
    [anon_sym_offsetof] = ACTIONS(2785),
    [anon_sym__Generic] = ACTIONS(2785),
    [anon_sym_asm] = ACTIONS(2785),
    [anon_sym___asm__] = ACTIONS(2785),
    [sym_number_literal] = ACTIONS(2787),
    [anon_sym_L_SQUOTE] = ACTIONS(2787),
    [anon_sym_u_SQUOTE] = ACTIONS(2787),
    [anon_sym_U_SQUOTE] = ACTIONS(2787),
    [anon_sym_u8_SQUOTE] = ACTIONS(2787),
    [anon_sym_SQUOTE] = ACTIONS(2787),
    [anon_sym_L_DQUOTE] = ACTIONS(2787),
    [anon_sym_u_DQUOTE] = ACTIONS(2787),
    [anon_sym_U_DQUOTE] = ACTIONS(2787),
    [anon_sym_u8_DQUOTE] = ACTIONS(2787),
    [anon_sym_DQUOTE] = ACTIONS(2787),
    [sym_true] = ACTIONS(2785),
    [sym_false] = ACTIONS(2785),
    [anon_sym_NULL] = ACTIONS(2785),
    [anon_sym_nullptr] = ACTIONS(2785),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2785),
    [anon_sym_decltype] = ACTIONS(2785),
    [anon_sym_virtual] = ACTIONS(2785),
    [anon_sym_alignas] = ACTIONS(2785),
    [anon_sym_explicit] = ACTIONS(2785),
    [anon_sym_typename] = ACTIONS(2785),
    [anon_sym_template] = ACTIONS(2785),
    [anon_sym_operator] = ACTIONS(2785),
    [anon_sym_try] = ACTIONS(2785),
    [anon_sym_delete] = ACTIONS(2785),
    [anon_sym_throw] = ACTIONS(2785),
    [anon_sym_namespace] = ACTIONS(2785),
    [anon_sym_using] = ACTIONS(2785),
    [anon_sym_static_assert] = ACTIONS(2785),
    [anon_sym_concept] = ACTIONS(2785),
    [anon_sym_co_return] = ACTIONS(2785),
    [anon_sym_co_yield] = ACTIONS(2785),
    [anon_sym_R_DQUOTE] = ACTIONS(2787),
    [anon_sym_LR_DQUOTE] = ACTIONS(2787),
    [anon_sym_uR_DQUOTE] = ACTIONS(2787),
    [anon_sym_UR_DQUOTE] = ACTIONS(2787),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2787),
    [anon_sym_co_await] = ACTIONS(2785),
    [anon_sym_new] = ACTIONS(2785),
    [anon_sym_requires] = ACTIONS(2785),
    [sym_this] = ACTIONS(2785),
    [anon_sym_discard] = ACTIONS(2785),
    [anon_sym_precise] = ACTIONS(2785),
    [anon_sym_shared] = ACTIONS(2785),
    [anon_sym_groupshared] = ACTIONS(2785),
    [anon_sym_uniform] = ACTIONS(2785),
    [anon_sym_row_major] = ACTIONS(2785),
    [anon_sym_column_major] = ACTIONS(2785),
    [anon_sym_globallycoherent] = ACTIONS(2785),
    [anon_sym_centroid] = ACTIONS(2785),
    [anon_sym_noperspective] = ACTIONS(2785),
    [anon_sym_nointerpolation] = ACTIONS(2785),
    [anon_sym_sample] = ACTIONS(2785),
    [anon_sym_linear] = ACTIONS(2785),
    [anon_sym_snorm] = ACTIONS(2785),
    [anon_sym_unorm] = ACTIONS(2785),
    [anon_sym_point] = ACTIONS(2785),
    [anon_sym_line] = ACTIONS(2785),
    [anon_sym_triangleadj] = ACTIONS(2785),
    [anon_sym_lineadj] = ACTIONS(2785),
    [anon_sym_triangle] = ACTIONS(2785),
    [anon_sym_cbuffer] = ACTIONS(2785),
  },
  [1155] = {
    [sym_identifier] = ACTIONS(2829),
    [aux_sym_preproc_include_token1] = ACTIONS(2829),
    [aux_sym_preproc_def_token1] = ACTIONS(2829),
    [aux_sym_preproc_if_token1] = ACTIONS(2829),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2829),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2829),
    [sym_preproc_directive] = ACTIONS(2829),
    [anon_sym_LPAREN2] = ACTIONS(2831),
    [anon_sym_BANG] = ACTIONS(2831),
    [anon_sym_TILDE] = ACTIONS(2831),
    [anon_sym_DASH] = ACTIONS(2829),
    [anon_sym_PLUS] = ACTIONS(2829),
    [anon_sym_STAR] = ACTIONS(2831),
    [anon_sym_AMP_AMP] = ACTIONS(2831),
    [anon_sym_AMP] = ACTIONS(2829),
    [anon_sym_SEMI] = ACTIONS(2831),
    [anon_sym___extension__] = ACTIONS(2829),
    [anon_sym_typedef] = ACTIONS(2829),
    [anon_sym_in] = ACTIONS(2829),
    [anon_sym_out] = ACTIONS(2829),
    [anon_sym_inout] = ACTIONS(2829),
    [anon_sym_extern] = ACTIONS(2829),
    [anon_sym___attribute__] = ACTIONS(2829),
    [anon_sym_COLON_COLON] = ACTIONS(2831),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2831),
    [anon_sym___declspec] = ACTIONS(2829),
    [anon_sym___based] = ACTIONS(2829),
    [anon_sym___cdecl] = ACTIONS(2829),
    [anon_sym___clrcall] = ACTIONS(2829),
    [anon_sym___stdcall] = ACTIONS(2829),
    [anon_sym___fastcall] = ACTIONS(2829),
    [anon_sym___thiscall] = ACTIONS(2829),
    [anon_sym___vectorcall] = ACTIONS(2829),
    [anon_sym_LBRACE] = ACTIONS(2831),
    [anon_sym_RBRACE] = ACTIONS(2831),
    [anon_sym_signed] = ACTIONS(2829),
    [anon_sym_unsigned] = ACTIONS(2829),
    [anon_sym_long] = ACTIONS(2829),
    [anon_sym_short] = ACTIONS(2829),
    [anon_sym_LBRACK] = ACTIONS(2829),
    [anon_sym_static] = ACTIONS(2829),
    [anon_sym_register] = ACTIONS(2829),
    [anon_sym_inline] = ACTIONS(2829),
    [anon_sym___inline] = ACTIONS(2829),
    [anon_sym___inline__] = ACTIONS(2829),
    [anon_sym___forceinline] = ACTIONS(2829),
    [anon_sym_thread_local] = ACTIONS(2829),
    [anon_sym___thread] = ACTIONS(2829),
    [anon_sym_const] = ACTIONS(2829),
    [anon_sym_constexpr] = ACTIONS(2829),
    [anon_sym_volatile] = ACTIONS(2829),
    [anon_sym_restrict] = ACTIONS(2829),
    [anon_sym___restrict__] = ACTIONS(2829),
    [anon_sym__Atomic] = ACTIONS(2829),
    [anon_sym__Noreturn] = ACTIONS(2829),
    [anon_sym_noreturn] = ACTIONS(2829),
    [anon_sym_mutable] = ACTIONS(2829),
    [anon_sym_constinit] = ACTIONS(2829),
    [anon_sym_consteval] = ACTIONS(2829),
    [sym_primitive_type] = ACTIONS(2829),
    [anon_sym_enum] = ACTIONS(2829),
    [anon_sym_class] = ACTIONS(2829),
    [anon_sym_struct] = ACTIONS(2829),
    [anon_sym_union] = ACTIONS(2829),
    [anon_sym_if] = ACTIONS(2829),
    [anon_sym_switch] = ACTIONS(2829),
    [anon_sym_case] = ACTIONS(2829),
    [anon_sym_default] = ACTIONS(2829),
    [anon_sym_while] = ACTIONS(2829),
    [anon_sym_do] = ACTIONS(2829),
    [anon_sym_for] = ACTIONS(2829),
    [anon_sym_return] = ACTIONS(2829),
    [anon_sym_break] = ACTIONS(2829),
    [anon_sym_continue] = ACTIONS(2829),
    [anon_sym_goto] = ACTIONS(2829),
    [anon_sym___try] = ACTIONS(2829),
    [anon_sym___leave] = ACTIONS(2829),
    [anon_sym_not] = ACTIONS(2829),
    [anon_sym_compl] = ACTIONS(2829),
    [anon_sym_DASH_DASH] = ACTIONS(2831),
    [anon_sym_PLUS_PLUS] = ACTIONS(2831),
    [anon_sym_sizeof] = ACTIONS(2829),
    [anon_sym___alignof__] = ACTIONS(2829),
    [anon_sym___alignof] = ACTIONS(2829),
    [anon_sym__alignof] = ACTIONS(2829),
    [anon_sym_alignof] = ACTIONS(2829),
    [anon_sym__Alignof] = ACTIONS(2829),
    [anon_sym_offsetof] = ACTIONS(2829),
    [anon_sym__Generic] = ACTIONS(2829),
    [anon_sym_asm] = ACTIONS(2829),
    [anon_sym___asm__] = ACTIONS(2829),
    [sym_number_literal] = ACTIONS(2831),
    [anon_sym_L_SQUOTE] = ACTIONS(2831),
    [anon_sym_u_SQUOTE] = ACTIONS(2831),
    [anon_sym_U_SQUOTE] = ACTIONS(2831),
    [anon_sym_u8_SQUOTE] = ACTIONS(2831),
    [anon_sym_SQUOTE] = ACTIONS(2831),
    [anon_sym_L_DQUOTE] = ACTIONS(2831),
    [anon_sym_u_DQUOTE] = ACTIONS(2831),
    [anon_sym_U_DQUOTE] = ACTIONS(2831),
    [anon_sym_u8_DQUOTE] = ACTIONS(2831),
    [anon_sym_DQUOTE] = ACTIONS(2831),
    [sym_true] = ACTIONS(2829),
    [sym_false] = ACTIONS(2829),
    [anon_sym_NULL] = ACTIONS(2829),
    [anon_sym_nullptr] = ACTIONS(2829),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2829),
    [anon_sym_decltype] = ACTIONS(2829),
    [anon_sym_virtual] = ACTIONS(2829),
    [anon_sym_alignas] = ACTIONS(2829),
    [anon_sym_explicit] = ACTIONS(2829),
    [anon_sym_typename] = ACTIONS(2829),
    [anon_sym_template] = ACTIONS(2829),
    [anon_sym_operator] = ACTIONS(2829),
    [anon_sym_try] = ACTIONS(2829),
    [anon_sym_delete] = ACTIONS(2829),
    [anon_sym_throw] = ACTIONS(2829),
    [anon_sym_namespace] = ACTIONS(2829),
    [anon_sym_using] = ACTIONS(2829),
    [anon_sym_static_assert] = ACTIONS(2829),
    [anon_sym_concept] = ACTIONS(2829),
    [anon_sym_co_return] = ACTIONS(2829),
    [anon_sym_co_yield] = ACTIONS(2829),
    [anon_sym_R_DQUOTE] = ACTIONS(2831),
    [anon_sym_LR_DQUOTE] = ACTIONS(2831),
    [anon_sym_uR_DQUOTE] = ACTIONS(2831),
    [anon_sym_UR_DQUOTE] = ACTIONS(2831),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2831),
    [anon_sym_co_await] = ACTIONS(2829),
    [anon_sym_new] = ACTIONS(2829),
    [anon_sym_requires] = ACTIONS(2829),
    [sym_this] = ACTIONS(2829),
    [anon_sym_discard] = ACTIONS(2829),
    [anon_sym_precise] = ACTIONS(2829),
    [anon_sym_shared] = ACTIONS(2829),
    [anon_sym_groupshared] = ACTIONS(2829),
    [anon_sym_uniform] = ACTIONS(2829),
    [anon_sym_row_major] = ACTIONS(2829),
    [anon_sym_column_major] = ACTIONS(2829),
    [anon_sym_globallycoherent] = ACTIONS(2829),
    [anon_sym_centroid] = ACTIONS(2829),
    [anon_sym_noperspective] = ACTIONS(2829),
    [anon_sym_nointerpolation] = ACTIONS(2829),
    [anon_sym_sample] = ACTIONS(2829),
    [anon_sym_linear] = ACTIONS(2829),
    [anon_sym_snorm] = ACTIONS(2829),
    [anon_sym_unorm] = ACTIONS(2829),
    [anon_sym_point] = ACTIONS(2829),
    [anon_sym_line] = ACTIONS(2829),
    [anon_sym_triangleadj] = ACTIONS(2829),
    [anon_sym_lineadj] = ACTIONS(2829),
    [anon_sym_triangle] = ACTIONS(2829),
    [anon_sym_cbuffer] = ACTIONS(2829),
  },
  [1156] = {
    [sym_identifier] = ACTIONS(2833),
    [aux_sym_preproc_include_token1] = ACTIONS(2833),
    [aux_sym_preproc_def_token1] = ACTIONS(2833),
    [aux_sym_preproc_if_token1] = ACTIONS(2833),
    [aux_sym_preproc_if_token2] = ACTIONS(2833),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2833),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2833),
    [sym_preproc_directive] = ACTIONS(2833),
    [anon_sym_LPAREN2] = ACTIONS(2835),
    [anon_sym_BANG] = ACTIONS(2835),
    [anon_sym_TILDE] = ACTIONS(2835),
    [anon_sym_DASH] = ACTIONS(2833),
    [anon_sym_PLUS] = ACTIONS(2833),
    [anon_sym_STAR] = ACTIONS(2835),
    [anon_sym_AMP_AMP] = ACTIONS(2835),
    [anon_sym_AMP] = ACTIONS(2833),
    [anon_sym_SEMI] = ACTIONS(2835),
    [anon_sym___extension__] = ACTIONS(2833),
    [anon_sym_typedef] = ACTIONS(2833),
    [anon_sym_in] = ACTIONS(2833),
    [anon_sym_out] = ACTIONS(2833),
    [anon_sym_inout] = ACTIONS(2833),
    [anon_sym_extern] = ACTIONS(2833),
    [anon_sym___attribute__] = ACTIONS(2833),
    [anon_sym_COLON_COLON] = ACTIONS(2835),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2835),
    [anon_sym___declspec] = ACTIONS(2833),
    [anon_sym___based] = ACTIONS(2833),
    [anon_sym___cdecl] = ACTIONS(2833),
    [anon_sym___clrcall] = ACTIONS(2833),
    [anon_sym___stdcall] = ACTIONS(2833),
    [anon_sym___fastcall] = ACTIONS(2833),
    [anon_sym___thiscall] = ACTIONS(2833),
    [anon_sym___vectorcall] = ACTIONS(2833),
    [anon_sym_LBRACE] = ACTIONS(2835),
    [anon_sym_signed] = ACTIONS(2833),
    [anon_sym_unsigned] = ACTIONS(2833),
    [anon_sym_long] = ACTIONS(2833),
    [anon_sym_short] = ACTIONS(2833),
    [anon_sym_LBRACK] = ACTIONS(2833),
    [anon_sym_static] = ACTIONS(2833),
    [anon_sym_register] = ACTIONS(2833),
    [anon_sym_inline] = ACTIONS(2833),
    [anon_sym___inline] = ACTIONS(2833),
    [anon_sym___inline__] = ACTIONS(2833),
    [anon_sym___forceinline] = ACTIONS(2833),
    [anon_sym_thread_local] = ACTIONS(2833),
    [anon_sym___thread] = ACTIONS(2833),
    [anon_sym_const] = ACTIONS(2833),
    [anon_sym_constexpr] = ACTIONS(2833),
    [anon_sym_volatile] = ACTIONS(2833),
    [anon_sym_restrict] = ACTIONS(2833),
    [anon_sym___restrict__] = ACTIONS(2833),
    [anon_sym__Atomic] = ACTIONS(2833),
    [anon_sym__Noreturn] = ACTIONS(2833),
    [anon_sym_noreturn] = ACTIONS(2833),
    [anon_sym_mutable] = ACTIONS(2833),
    [anon_sym_constinit] = ACTIONS(2833),
    [anon_sym_consteval] = ACTIONS(2833),
    [sym_primitive_type] = ACTIONS(2833),
    [anon_sym_enum] = ACTIONS(2833),
    [anon_sym_class] = ACTIONS(2833),
    [anon_sym_struct] = ACTIONS(2833),
    [anon_sym_union] = ACTIONS(2833),
    [anon_sym_if] = ACTIONS(2833),
    [anon_sym_switch] = ACTIONS(2833),
    [anon_sym_case] = ACTIONS(2833),
    [anon_sym_default] = ACTIONS(2833),
    [anon_sym_while] = ACTIONS(2833),
    [anon_sym_do] = ACTIONS(2833),
    [anon_sym_for] = ACTIONS(2833),
    [anon_sym_return] = ACTIONS(2833),
    [anon_sym_break] = ACTIONS(2833),
    [anon_sym_continue] = ACTIONS(2833),
    [anon_sym_goto] = ACTIONS(2833),
    [anon_sym___try] = ACTIONS(2833),
    [anon_sym___leave] = ACTIONS(2833),
    [anon_sym_not] = ACTIONS(2833),
    [anon_sym_compl] = ACTIONS(2833),
    [anon_sym_DASH_DASH] = ACTIONS(2835),
    [anon_sym_PLUS_PLUS] = ACTIONS(2835),
    [anon_sym_sizeof] = ACTIONS(2833),
    [anon_sym___alignof__] = ACTIONS(2833),
    [anon_sym___alignof] = ACTIONS(2833),
    [anon_sym__alignof] = ACTIONS(2833),
    [anon_sym_alignof] = ACTIONS(2833),
    [anon_sym__Alignof] = ACTIONS(2833),
    [anon_sym_offsetof] = ACTIONS(2833),
    [anon_sym__Generic] = ACTIONS(2833),
    [anon_sym_asm] = ACTIONS(2833),
    [anon_sym___asm__] = ACTIONS(2833),
    [sym_number_literal] = ACTIONS(2835),
    [anon_sym_L_SQUOTE] = ACTIONS(2835),
    [anon_sym_u_SQUOTE] = ACTIONS(2835),
    [anon_sym_U_SQUOTE] = ACTIONS(2835),
    [anon_sym_u8_SQUOTE] = ACTIONS(2835),
    [anon_sym_SQUOTE] = ACTIONS(2835),
    [anon_sym_L_DQUOTE] = ACTIONS(2835),
    [anon_sym_u_DQUOTE] = ACTIONS(2835),
    [anon_sym_U_DQUOTE] = ACTIONS(2835),
    [anon_sym_u8_DQUOTE] = ACTIONS(2835),
    [anon_sym_DQUOTE] = ACTIONS(2835),
    [sym_true] = ACTIONS(2833),
    [sym_false] = ACTIONS(2833),
    [anon_sym_NULL] = ACTIONS(2833),
    [anon_sym_nullptr] = ACTIONS(2833),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2833),
    [anon_sym_decltype] = ACTIONS(2833),
    [anon_sym_virtual] = ACTIONS(2833),
    [anon_sym_alignas] = ACTIONS(2833),
    [anon_sym_explicit] = ACTIONS(2833),
    [anon_sym_typename] = ACTIONS(2833),
    [anon_sym_template] = ACTIONS(2833),
    [anon_sym_operator] = ACTIONS(2833),
    [anon_sym_try] = ACTIONS(2833),
    [anon_sym_delete] = ACTIONS(2833),
    [anon_sym_throw] = ACTIONS(2833),
    [anon_sym_namespace] = ACTIONS(2833),
    [anon_sym_using] = ACTIONS(2833),
    [anon_sym_static_assert] = ACTIONS(2833),
    [anon_sym_concept] = ACTIONS(2833),
    [anon_sym_co_return] = ACTIONS(2833),
    [anon_sym_co_yield] = ACTIONS(2833),
    [anon_sym_R_DQUOTE] = ACTIONS(2835),
    [anon_sym_LR_DQUOTE] = ACTIONS(2835),
    [anon_sym_uR_DQUOTE] = ACTIONS(2835),
    [anon_sym_UR_DQUOTE] = ACTIONS(2835),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2835),
    [anon_sym_co_await] = ACTIONS(2833),
    [anon_sym_new] = ACTIONS(2833),
    [anon_sym_requires] = ACTIONS(2833),
    [sym_this] = ACTIONS(2833),
    [anon_sym_discard] = ACTIONS(2833),
    [anon_sym_precise] = ACTIONS(2833),
    [anon_sym_shared] = ACTIONS(2833),
    [anon_sym_groupshared] = ACTIONS(2833),
    [anon_sym_uniform] = ACTIONS(2833),
    [anon_sym_row_major] = ACTIONS(2833),
    [anon_sym_column_major] = ACTIONS(2833),
    [anon_sym_globallycoherent] = ACTIONS(2833),
    [anon_sym_centroid] = ACTIONS(2833),
    [anon_sym_noperspective] = ACTIONS(2833),
    [anon_sym_nointerpolation] = ACTIONS(2833),
    [anon_sym_sample] = ACTIONS(2833),
    [anon_sym_linear] = ACTIONS(2833),
    [anon_sym_snorm] = ACTIONS(2833),
    [anon_sym_unorm] = ACTIONS(2833),
    [anon_sym_point] = ACTIONS(2833),
    [anon_sym_line] = ACTIONS(2833),
    [anon_sym_triangleadj] = ACTIONS(2833),
    [anon_sym_lineadj] = ACTIONS(2833),
    [anon_sym_triangle] = ACTIONS(2833),
    [anon_sym_cbuffer] = ACTIONS(2833),
  },
  [1157] = {
    [sym_identifier] = ACTIONS(2781),
    [aux_sym_preproc_include_token1] = ACTIONS(2781),
    [aux_sym_preproc_def_token1] = ACTIONS(2781),
    [aux_sym_preproc_if_token1] = ACTIONS(2781),
    [aux_sym_preproc_if_token2] = ACTIONS(2781),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2781),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2781),
    [sym_preproc_directive] = ACTIONS(2781),
    [anon_sym_LPAREN2] = ACTIONS(2783),
    [anon_sym_BANG] = ACTIONS(2783),
    [anon_sym_TILDE] = ACTIONS(2783),
    [anon_sym_DASH] = ACTIONS(2781),
    [anon_sym_PLUS] = ACTIONS(2781),
    [anon_sym_STAR] = ACTIONS(2783),
    [anon_sym_AMP_AMP] = ACTIONS(2783),
    [anon_sym_AMP] = ACTIONS(2781),
    [anon_sym_SEMI] = ACTIONS(2783),
    [anon_sym___extension__] = ACTIONS(2781),
    [anon_sym_typedef] = ACTIONS(2781),
    [anon_sym_in] = ACTIONS(2781),
    [anon_sym_out] = ACTIONS(2781),
    [anon_sym_inout] = ACTIONS(2781),
    [anon_sym_extern] = ACTIONS(2781),
    [anon_sym___attribute__] = ACTIONS(2781),
    [anon_sym_COLON_COLON] = ACTIONS(2783),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2783),
    [anon_sym___declspec] = ACTIONS(2781),
    [anon_sym___based] = ACTIONS(2781),
    [anon_sym___cdecl] = ACTIONS(2781),
    [anon_sym___clrcall] = ACTIONS(2781),
    [anon_sym___stdcall] = ACTIONS(2781),
    [anon_sym___fastcall] = ACTIONS(2781),
    [anon_sym___thiscall] = ACTIONS(2781),
    [anon_sym___vectorcall] = ACTIONS(2781),
    [anon_sym_LBRACE] = ACTIONS(2783),
    [anon_sym_signed] = ACTIONS(2781),
    [anon_sym_unsigned] = ACTIONS(2781),
    [anon_sym_long] = ACTIONS(2781),
    [anon_sym_short] = ACTIONS(2781),
    [anon_sym_LBRACK] = ACTIONS(2781),
    [anon_sym_static] = ACTIONS(2781),
    [anon_sym_register] = ACTIONS(2781),
    [anon_sym_inline] = ACTIONS(2781),
    [anon_sym___inline] = ACTIONS(2781),
    [anon_sym___inline__] = ACTIONS(2781),
    [anon_sym___forceinline] = ACTIONS(2781),
    [anon_sym_thread_local] = ACTIONS(2781),
    [anon_sym___thread] = ACTIONS(2781),
    [anon_sym_const] = ACTIONS(2781),
    [anon_sym_constexpr] = ACTIONS(2781),
    [anon_sym_volatile] = ACTIONS(2781),
    [anon_sym_restrict] = ACTIONS(2781),
    [anon_sym___restrict__] = ACTIONS(2781),
    [anon_sym__Atomic] = ACTIONS(2781),
    [anon_sym__Noreturn] = ACTIONS(2781),
    [anon_sym_noreturn] = ACTIONS(2781),
    [anon_sym_mutable] = ACTIONS(2781),
    [anon_sym_constinit] = ACTIONS(2781),
    [anon_sym_consteval] = ACTIONS(2781),
    [sym_primitive_type] = ACTIONS(2781),
    [anon_sym_enum] = ACTIONS(2781),
    [anon_sym_class] = ACTIONS(2781),
    [anon_sym_struct] = ACTIONS(2781),
    [anon_sym_union] = ACTIONS(2781),
    [anon_sym_if] = ACTIONS(2781),
    [anon_sym_switch] = ACTIONS(2781),
    [anon_sym_case] = ACTIONS(2781),
    [anon_sym_default] = ACTIONS(2781),
    [anon_sym_while] = ACTIONS(2781),
    [anon_sym_do] = ACTIONS(2781),
    [anon_sym_for] = ACTIONS(2781),
    [anon_sym_return] = ACTIONS(2781),
    [anon_sym_break] = ACTIONS(2781),
    [anon_sym_continue] = ACTIONS(2781),
    [anon_sym_goto] = ACTIONS(2781),
    [anon_sym___try] = ACTIONS(2781),
    [anon_sym___leave] = ACTIONS(2781),
    [anon_sym_not] = ACTIONS(2781),
    [anon_sym_compl] = ACTIONS(2781),
    [anon_sym_DASH_DASH] = ACTIONS(2783),
    [anon_sym_PLUS_PLUS] = ACTIONS(2783),
    [anon_sym_sizeof] = ACTIONS(2781),
    [anon_sym___alignof__] = ACTIONS(2781),
    [anon_sym___alignof] = ACTIONS(2781),
    [anon_sym__alignof] = ACTIONS(2781),
    [anon_sym_alignof] = ACTIONS(2781),
    [anon_sym__Alignof] = ACTIONS(2781),
    [anon_sym_offsetof] = ACTIONS(2781),
    [anon_sym__Generic] = ACTIONS(2781),
    [anon_sym_asm] = ACTIONS(2781),
    [anon_sym___asm__] = ACTIONS(2781),
    [sym_number_literal] = ACTIONS(2783),
    [anon_sym_L_SQUOTE] = ACTIONS(2783),
    [anon_sym_u_SQUOTE] = ACTIONS(2783),
    [anon_sym_U_SQUOTE] = ACTIONS(2783),
    [anon_sym_u8_SQUOTE] = ACTIONS(2783),
    [anon_sym_SQUOTE] = ACTIONS(2783),
    [anon_sym_L_DQUOTE] = ACTIONS(2783),
    [anon_sym_u_DQUOTE] = ACTIONS(2783),
    [anon_sym_U_DQUOTE] = ACTIONS(2783),
    [anon_sym_u8_DQUOTE] = ACTIONS(2783),
    [anon_sym_DQUOTE] = ACTIONS(2783),
    [sym_true] = ACTIONS(2781),
    [sym_false] = ACTIONS(2781),
    [anon_sym_NULL] = ACTIONS(2781),
    [anon_sym_nullptr] = ACTIONS(2781),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2781),
    [anon_sym_decltype] = ACTIONS(2781),
    [anon_sym_virtual] = ACTIONS(2781),
    [anon_sym_alignas] = ACTIONS(2781),
    [anon_sym_explicit] = ACTIONS(2781),
    [anon_sym_typename] = ACTIONS(2781),
    [anon_sym_template] = ACTIONS(2781),
    [anon_sym_operator] = ACTIONS(2781),
    [anon_sym_try] = ACTIONS(2781),
    [anon_sym_delete] = ACTIONS(2781),
    [anon_sym_throw] = ACTIONS(2781),
    [anon_sym_namespace] = ACTIONS(2781),
    [anon_sym_using] = ACTIONS(2781),
    [anon_sym_static_assert] = ACTIONS(2781),
    [anon_sym_concept] = ACTIONS(2781),
    [anon_sym_co_return] = ACTIONS(2781),
    [anon_sym_co_yield] = ACTIONS(2781),
    [anon_sym_R_DQUOTE] = ACTIONS(2783),
    [anon_sym_LR_DQUOTE] = ACTIONS(2783),
    [anon_sym_uR_DQUOTE] = ACTIONS(2783),
    [anon_sym_UR_DQUOTE] = ACTIONS(2783),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2783),
    [anon_sym_co_await] = ACTIONS(2781),
    [anon_sym_new] = ACTIONS(2781),
    [anon_sym_requires] = ACTIONS(2781),
    [sym_this] = ACTIONS(2781),
    [anon_sym_discard] = ACTIONS(2781),
    [anon_sym_precise] = ACTIONS(2781),
    [anon_sym_shared] = ACTIONS(2781),
    [anon_sym_groupshared] = ACTIONS(2781),
    [anon_sym_uniform] = ACTIONS(2781),
    [anon_sym_row_major] = ACTIONS(2781),
    [anon_sym_column_major] = ACTIONS(2781),
    [anon_sym_globallycoherent] = ACTIONS(2781),
    [anon_sym_centroid] = ACTIONS(2781),
    [anon_sym_noperspective] = ACTIONS(2781),
    [anon_sym_nointerpolation] = ACTIONS(2781),
    [anon_sym_sample] = ACTIONS(2781),
    [anon_sym_linear] = ACTIONS(2781),
    [anon_sym_snorm] = ACTIONS(2781),
    [anon_sym_unorm] = ACTIONS(2781),
    [anon_sym_point] = ACTIONS(2781),
    [anon_sym_line] = ACTIONS(2781),
    [anon_sym_triangleadj] = ACTIONS(2781),
    [anon_sym_lineadj] = ACTIONS(2781),
    [anon_sym_triangle] = ACTIONS(2781),
    [anon_sym_cbuffer] = ACTIONS(2781),
  },
  [1158] = {
    [sym_identifier] = ACTIONS(2600),
    [aux_sym_preproc_include_token1] = ACTIONS(2600),
    [aux_sym_preproc_def_token1] = ACTIONS(2600),
    [aux_sym_preproc_if_token1] = ACTIONS(2600),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2600),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2600),
    [sym_preproc_directive] = ACTIONS(2600),
    [anon_sym_LPAREN2] = ACTIONS(2602),
    [anon_sym_BANG] = ACTIONS(2602),
    [anon_sym_TILDE] = ACTIONS(2602),
    [anon_sym_DASH] = ACTIONS(2600),
    [anon_sym_PLUS] = ACTIONS(2600),
    [anon_sym_STAR] = ACTIONS(2602),
    [anon_sym_AMP_AMP] = ACTIONS(2602),
    [anon_sym_AMP] = ACTIONS(2600),
    [anon_sym_SEMI] = ACTIONS(2602),
    [anon_sym___extension__] = ACTIONS(2600),
    [anon_sym_typedef] = ACTIONS(2600),
    [anon_sym_in] = ACTIONS(2600),
    [anon_sym_out] = ACTIONS(2600),
    [anon_sym_inout] = ACTIONS(2600),
    [anon_sym_extern] = ACTIONS(2600),
    [anon_sym___attribute__] = ACTIONS(2600),
    [anon_sym_COLON_COLON] = ACTIONS(2602),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2602),
    [anon_sym___declspec] = ACTIONS(2600),
    [anon_sym___based] = ACTIONS(2600),
    [anon_sym___cdecl] = ACTIONS(2600),
    [anon_sym___clrcall] = ACTIONS(2600),
    [anon_sym___stdcall] = ACTIONS(2600),
    [anon_sym___fastcall] = ACTIONS(2600),
    [anon_sym___thiscall] = ACTIONS(2600),
    [anon_sym___vectorcall] = ACTIONS(2600),
    [anon_sym_LBRACE] = ACTIONS(2602),
    [anon_sym_RBRACE] = ACTIONS(2602),
    [anon_sym_signed] = ACTIONS(2600),
    [anon_sym_unsigned] = ACTIONS(2600),
    [anon_sym_long] = ACTIONS(2600),
    [anon_sym_short] = ACTIONS(2600),
    [anon_sym_LBRACK] = ACTIONS(2600),
    [anon_sym_static] = ACTIONS(2600),
    [anon_sym_register] = ACTIONS(2600),
    [anon_sym_inline] = ACTIONS(2600),
    [anon_sym___inline] = ACTIONS(2600),
    [anon_sym___inline__] = ACTIONS(2600),
    [anon_sym___forceinline] = ACTIONS(2600),
    [anon_sym_thread_local] = ACTIONS(2600),
    [anon_sym___thread] = ACTIONS(2600),
    [anon_sym_const] = ACTIONS(2600),
    [anon_sym_constexpr] = ACTIONS(2600),
    [anon_sym_volatile] = ACTIONS(2600),
    [anon_sym_restrict] = ACTIONS(2600),
    [anon_sym___restrict__] = ACTIONS(2600),
    [anon_sym__Atomic] = ACTIONS(2600),
    [anon_sym__Noreturn] = ACTIONS(2600),
    [anon_sym_noreturn] = ACTIONS(2600),
    [anon_sym_mutable] = ACTIONS(2600),
    [anon_sym_constinit] = ACTIONS(2600),
    [anon_sym_consteval] = ACTIONS(2600),
    [sym_primitive_type] = ACTIONS(2600),
    [anon_sym_enum] = ACTIONS(2600),
    [anon_sym_class] = ACTIONS(2600),
    [anon_sym_struct] = ACTIONS(2600),
    [anon_sym_union] = ACTIONS(2600),
    [anon_sym_if] = ACTIONS(2600),
    [anon_sym_switch] = ACTIONS(2600),
    [anon_sym_case] = ACTIONS(2600),
    [anon_sym_default] = ACTIONS(2600),
    [anon_sym_while] = ACTIONS(2600),
    [anon_sym_do] = ACTIONS(2600),
    [anon_sym_for] = ACTIONS(2600),
    [anon_sym_return] = ACTIONS(2600),
    [anon_sym_break] = ACTIONS(2600),
    [anon_sym_continue] = ACTIONS(2600),
    [anon_sym_goto] = ACTIONS(2600),
    [anon_sym___try] = ACTIONS(2600),
    [anon_sym___leave] = ACTIONS(2600),
    [anon_sym_not] = ACTIONS(2600),
    [anon_sym_compl] = ACTIONS(2600),
    [anon_sym_DASH_DASH] = ACTIONS(2602),
    [anon_sym_PLUS_PLUS] = ACTIONS(2602),
    [anon_sym_sizeof] = ACTIONS(2600),
    [anon_sym___alignof__] = ACTIONS(2600),
    [anon_sym___alignof] = ACTIONS(2600),
    [anon_sym__alignof] = ACTIONS(2600),
    [anon_sym_alignof] = ACTIONS(2600),
    [anon_sym__Alignof] = ACTIONS(2600),
    [anon_sym_offsetof] = ACTIONS(2600),
    [anon_sym__Generic] = ACTIONS(2600),
    [anon_sym_asm] = ACTIONS(2600),
    [anon_sym___asm__] = ACTIONS(2600),
    [sym_number_literal] = ACTIONS(2602),
    [anon_sym_L_SQUOTE] = ACTIONS(2602),
    [anon_sym_u_SQUOTE] = ACTIONS(2602),
    [anon_sym_U_SQUOTE] = ACTIONS(2602),
    [anon_sym_u8_SQUOTE] = ACTIONS(2602),
    [anon_sym_SQUOTE] = ACTIONS(2602),
    [anon_sym_L_DQUOTE] = ACTIONS(2602),
    [anon_sym_u_DQUOTE] = ACTIONS(2602),
    [anon_sym_U_DQUOTE] = ACTIONS(2602),
    [anon_sym_u8_DQUOTE] = ACTIONS(2602),
    [anon_sym_DQUOTE] = ACTIONS(2602),
    [sym_true] = ACTIONS(2600),
    [sym_false] = ACTIONS(2600),
    [anon_sym_NULL] = ACTIONS(2600),
    [anon_sym_nullptr] = ACTIONS(2600),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2600),
    [anon_sym_decltype] = ACTIONS(2600),
    [anon_sym_virtual] = ACTIONS(2600),
    [anon_sym_alignas] = ACTIONS(2600),
    [anon_sym_explicit] = ACTIONS(2600),
    [anon_sym_typename] = ACTIONS(2600),
    [anon_sym_template] = ACTIONS(2600),
    [anon_sym_operator] = ACTIONS(2600),
    [anon_sym_try] = ACTIONS(2600),
    [anon_sym_delete] = ACTIONS(2600),
    [anon_sym_throw] = ACTIONS(2600),
    [anon_sym_namespace] = ACTIONS(2600),
    [anon_sym_using] = ACTIONS(2600),
    [anon_sym_static_assert] = ACTIONS(2600),
    [anon_sym_concept] = ACTIONS(2600),
    [anon_sym_co_return] = ACTIONS(2600),
    [anon_sym_co_yield] = ACTIONS(2600),
    [anon_sym_R_DQUOTE] = ACTIONS(2602),
    [anon_sym_LR_DQUOTE] = ACTIONS(2602),
    [anon_sym_uR_DQUOTE] = ACTIONS(2602),
    [anon_sym_UR_DQUOTE] = ACTIONS(2602),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2602),
    [anon_sym_co_await] = ACTIONS(2600),
    [anon_sym_new] = ACTIONS(2600),
    [anon_sym_requires] = ACTIONS(2600),
    [sym_this] = ACTIONS(2600),
    [anon_sym_discard] = ACTIONS(2600),
    [anon_sym_precise] = ACTIONS(2600),
    [anon_sym_shared] = ACTIONS(2600),
    [anon_sym_groupshared] = ACTIONS(2600),
    [anon_sym_uniform] = ACTIONS(2600),
    [anon_sym_row_major] = ACTIONS(2600),
    [anon_sym_column_major] = ACTIONS(2600),
    [anon_sym_globallycoherent] = ACTIONS(2600),
    [anon_sym_centroid] = ACTIONS(2600),
    [anon_sym_noperspective] = ACTIONS(2600),
    [anon_sym_nointerpolation] = ACTIONS(2600),
    [anon_sym_sample] = ACTIONS(2600),
    [anon_sym_linear] = ACTIONS(2600),
    [anon_sym_snorm] = ACTIONS(2600),
    [anon_sym_unorm] = ACTIONS(2600),
    [anon_sym_point] = ACTIONS(2600),
    [anon_sym_line] = ACTIONS(2600),
    [anon_sym_triangleadj] = ACTIONS(2600),
    [anon_sym_lineadj] = ACTIONS(2600),
    [anon_sym_triangle] = ACTIONS(2600),
    [anon_sym_cbuffer] = ACTIONS(2600),
  },
  [1159] = {
    [sym_identifier] = ACTIONS(2777),
    [aux_sym_preproc_include_token1] = ACTIONS(2777),
    [aux_sym_preproc_def_token1] = ACTIONS(2777),
    [aux_sym_preproc_if_token1] = ACTIONS(2777),
    [aux_sym_preproc_if_token2] = ACTIONS(2777),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2777),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2777),
    [sym_preproc_directive] = ACTIONS(2777),
    [anon_sym_LPAREN2] = ACTIONS(2779),
    [anon_sym_BANG] = ACTIONS(2779),
    [anon_sym_TILDE] = ACTIONS(2779),
    [anon_sym_DASH] = ACTIONS(2777),
    [anon_sym_PLUS] = ACTIONS(2777),
    [anon_sym_STAR] = ACTIONS(2779),
    [anon_sym_AMP_AMP] = ACTIONS(2779),
    [anon_sym_AMP] = ACTIONS(2777),
    [anon_sym_SEMI] = ACTIONS(2779),
    [anon_sym___extension__] = ACTIONS(2777),
    [anon_sym_typedef] = ACTIONS(2777),
    [anon_sym_in] = ACTIONS(2777),
    [anon_sym_out] = ACTIONS(2777),
    [anon_sym_inout] = ACTIONS(2777),
    [anon_sym_extern] = ACTIONS(2777),
    [anon_sym___attribute__] = ACTIONS(2777),
    [anon_sym_COLON_COLON] = ACTIONS(2779),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2779),
    [anon_sym___declspec] = ACTIONS(2777),
    [anon_sym___based] = ACTIONS(2777),
    [anon_sym___cdecl] = ACTIONS(2777),
    [anon_sym___clrcall] = ACTIONS(2777),
    [anon_sym___stdcall] = ACTIONS(2777),
    [anon_sym___fastcall] = ACTIONS(2777),
    [anon_sym___thiscall] = ACTIONS(2777),
    [anon_sym___vectorcall] = ACTIONS(2777),
    [anon_sym_LBRACE] = ACTIONS(2779),
    [anon_sym_signed] = ACTIONS(2777),
    [anon_sym_unsigned] = ACTIONS(2777),
    [anon_sym_long] = ACTIONS(2777),
    [anon_sym_short] = ACTIONS(2777),
    [anon_sym_LBRACK] = ACTIONS(2777),
    [anon_sym_static] = ACTIONS(2777),
    [anon_sym_register] = ACTIONS(2777),
    [anon_sym_inline] = ACTIONS(2777),
    [anon_sym___inline] = ACTIONS(2777),
    [anon_sym___inline__] = ACTIONS(2777),
    [anon_sym___forceinline] = ACTIONS(2777),
    [anon_sym_thread_local] = ACTIONS(2777),
    [anon_sym___thread] = ACTIONS(2777),
    [anon_sym_const] = ACTIONS(2777),
    [anon_sym_constexpr] = ACTIONS(2777),
    [anon_sym_volatile] = ACTIONS(2777),
    [anon_sym_restrict] = ACTIONS(2777),
    [anon_sym___restrict__] = ACTIONS(2777),
    [anon_sym__Atomic] = ACTIONS(2777),
    [anon_sym__Noreturn] = ACTIONS(2777),
    [anon_sym_noreturn] = ACTIONS(2777),
    [anon_sym_mutable] = ACTIONS(2777),
    [anon_sym_constinit] = ACTIONS(2777),
    [anon_sym_consteval] = ACTIONS(2777),
    [sym_primitive_type] = ACTIONS(2777),
    [anon_sym_enum] = ACTIONS(2777),
    [anon_sym_class] = ACTIONS(2777),
    [anon_sym_struct] = ACTIONS(2777),
    [anon_sym_union] = ACTIONS(2777),
    [anon_sym_if] = ACTIONS(2777),
    [anon_sym_switch] = ACTIONS(2777),
    [anon_sym_case] = ACTIONS(2777),
    [anon_sym_default] = ACTIONS(2777),
    [anon_sym_while] = ACTIONS(2777),
    [anon_sym_do] = ACTIONS(2777),
    [anon_sym_for] = ACTIONS(2777),
    [anon_sym_return] = ACTIONS(2777),
    [anon_sym_break] = ACTIONS(2777),
    [anon_sym_continue] = ACTIONS(2777),
    [anon_sym_goto] = ACTIONS(2777),
    [anon_sym___try] = ACTIONS(2777),
    [anon_sym___leave] = ACTIONS(2777),
    [anon_sym_not] = ACTIONS(2777),
    [anon_sym_compl] = ACTIONS(2777),
    [anon_sym_DASH_DASH] = ACTIONS(2779),
    [anon_sym_PLUS_PLUS] = ACTIONS(2779),
    [anon_sym_sizeof] = ACTIONS(2777),
    [anon_sym___alignof__] = ACTIONS(2777),
    [anon_sym___alignof] = ACTIONS(2777),
    [anon_sym__alignof] = ACTIONS(2777),
    [anon_sym_alignof] = ACTIONS(2777),
    [anon_sym__Alignof] = ACTIONS(2777),
    [anon_sym_offsetof] = ACTIONS(2777),
    [anon_sym__Generic] = ACTIONS(2777),
    [anon_sym_asm] = ACTIONS(2777),
    [anon_sym___asm__] = ACTIONS(2777),
    [sym_number_literal] = ACTIONS(2779),
    [anon_sym_L_SQUOTE] = ACTIONS(2779),
    [anon_sym_u_SQUOTE] = ACTIONS(2779),
    [anon_sym_U_SQUOTE] = ACTIONS(2779),
    [anon_sym_u8_SQUOTE] = ACTIONS(2779),
    [anon_sym_SQUOTE] = ACTIONS(2779),
    [anon_sym_L_DQUOTE] = ACTIONS(2779),
    [anon_sym_u_DQUOTE] = ACTIONS(2779),
    [anon_sym_U_DQUOTE] = ACTIONS(2779),
    [anon_sym_u8_DQUOTE] = ACTIONS(2779),
    [anon_sym_DQUOTE] = ACTIONS(2779),
    [sym_true] = ACTIONS(2777),
    [sym_false] = ACTIONS(2777),
    [anon_sym_NULL] = ACTIONS(2777),
    [anon_sym_nullptr] = ACTIONS(2777),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2777),
    [anon_sym_decltype] = ACTIONS(2777),
    [anon_sym_virtual] = ACTIONS(2777),
    [anon_sym_alignas] = ACTIONS(2777),
    [anon_sym_explicit] = ACTIONS(2777),
    [anon_sym_typename] = ACTIONS(2777),
    [anon_sym_template] = ACTIONS(2777),
    [anon_sym_operator] = ACTIONS(2777),
    [anon_sym_try] = ACTIONS(2777),
    [anon_sym_delete] = ACTIONS(2777),
    [anon_sym_throw] = ACTIONS(2777),
    [anon_sym_namespace] = ACTIONS(2777),
    [anon_sym_using] = ACTIONS(2777),
    [anon_sym_static_assert] = ACTIONS(2777),
    [anon_sym_concept] = ACTIONS(2777),
    [anon_sym_co_return] = ACTIONS(2777),
    [anon_sym_co_yield] = ACTIONS(2777),
    [anon_sym_R_DQUOTE] = ACTIONS(2779),
    [anon_sym_LR_DQUOTE] = ACTIONS(2779),
    [anon_sym_uR_DQUOTE] = ACTIONS(2779),
    [anon_sym_UR_DQUOTE] = ACTIONS(2779),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2779),
    [anon_sym_co_await] = ACTIONS(2777),
    [anon_sym_new] = ACTIONS(2777),
    [anon_sym_requires] = ACTIONS(2777),
    [sym_this] = ACTIONS(2777),
    [anon_sym_discard] = ACTIONS(2777),
    [anon_sym_precise] = ACTIONS(2777),
    [anon_sym_shared] = ACTIONS(2777),
    [anon_sym_groupshared] = ACTIONS(2777),
    [anon_sym_uniform] = ACTIONS(2777),
    [anon_sym_row_major] = ACTIONS(2777),
    [anon_sym_column_major] = ACTIONS(2777),
    [anon_sym_globallycoherent] = ACTIONS(2777),
    [anon_sym_centroid] = ACTIONS(2777),
    [anon_sym_noperspective] = ACTIONS(2777),
    [anon_sym_nointerpolation] = ACTIONS(2777),
    [anon_sym_sample] = ACTIONS(2777),
    [anon_sym_linear] = ACTIONS(2777),
    [anon_sym_snorm] = ACTIONS(2777),
    [anon_sym_unorm] = ACTIONS(2777),
    [anon_sym_point] = ACTIONS(2777),
    [anon_sym_line] = ACTIONS(2777),
    [anon_sym_triangleadj] = ACTIONS(2777),
    [anon_sym_lineadj] = ACTIONS(2777),
    [anon_sym_triangle] = ACTIONS(2777),
    [anon_sym_cbuffer] = ACTIONS(2777),
  },
  [1160] = {
    [sym_identifier] = ACTIONS(2747),
    [aux_sym_preproc_include_token1] = ACTIONS(2747),
    [aux_sym_preproc_def_token1] = ACTIONS(2747),
    [aux_sym_preproc_if_token1] = ACTIONS(2747),
    [aux_sym_preproc_if_token2] = ACTIONS(2747),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2747),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2747),
    [sym_preproc_directive] = ACTIONS(2747),
    [anon_sym_LPAREN2] = ACTIONS(2749),
    [anon_sym_BANG] = ACTIONS(2749),
    [anon_sym_TILDE] = ACTIONS(2749),
    [anon_sym_DASH] = ACTIONS(2747),
    [anon_sym_PLUS] = ACTIONS(2747),
    [anon_sym_STAR] = ACTIONS(2749),
    [anon_sym_AMP_AMP] = ACTIONS(2749),
    [anon_sym_AMP] = ACTIONS(2747),
    [anon_sym_SEMI] = ACTIONS(2749),
    [anon_sym___extension__] = ACTIONS(2747),
    [anon_sym_typedef] = ACTIONS(2747),
    [anon_sym_in] = ACTIONS(2747),
    [anon_sym_out] = ACTIONS(2747),
    [anon_sym_inout] = ACTIONS(2747),
    [anon_sym_extern] = ACTIONS(2747),
    [anon_sym___attribute__] = ACTIONS(2747),
    [anon_sym_COLON_COLON] = ACTIONS(2749),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2749),
    [anon_sym___declspec] = ACTIONS(2747),
    [anon_sym___based] = ACTIONS(2747),
    [anon_sym___cdecl] = ACTIONS(2747),
    [anon_sym___clrcall] = ACTIONS(2747),
    [anon_sym___stdcall] = ACTIONS(2747),
    [anon_sym___fastcall] = ACTIONS(2747),
    [anon_sym___thiscall] = ACTIONS(2747),
    [anon_sym___vectorcall] = ACTIONS(2747),
    [anon_sym_LBRACE] = ACTIONS(2749),
    [anon_sym_signed] = ACTIONS(2747),
    [anon_sym_unsigned] = ACTIONS(2747),
    [anon_sym_long] = ACTIONS(2747),
    [anon_sym_short] = ACTIONS(2747),
    [anon_sym_LBRACK] = ACTIONS(2747),
    [anon_sym_static] = ACTIONS(2747),
    [anon_sym_register] = ACTIONS(2747),
    [anon_sym_inline] = ACTIONS(2747),
    [anon_sym___inline] = ACTIONS(2747),
    [anon_sym___inline__] = ACTIONS(2747),
    [anon_sym___forceinline] = ACTIONS(2747),
    [anon_sym_thread_local] = ACTIONS(2747),
    [anon_sym___thread] = ACTIONS(2747),
    [anon_sym_const] = ACTIONS(2747),
    [anon_sym_constexpr] = ACTIONS(2747),
    [anon_sym_volatile] = ACTIONS(2747),
    [anon_sym_restrict] = ACTIONS(2747),
    [anon_sym___restrict__] = ACTIONS(2747),
    [anon_sym__Atomic] = ACTIONS(2747),
    [anon_sym__Noreturn] = ACTIONS(2747),
    [anon_sym_noreturn] = ACTIONS(2747),
    [anon_sym_mutable] = ACTIONS(2747),
    [anon_sym_constinit] = ACTIONS(2747),
    [anon_sym_consteval] = ACTIONS(2747),
    [sym_primitive_type] = ACTIONS(2747),
    [anon_sym_enum] = ACTIONS(2747),
    [anon_sym_class] = ACTIONS(2747),
    [anon_sym_struct] = ACTIONS(2747),
    [anon_sym_union] = ACTIONS(2747),
    [anon_sym_if] = ACTIONS(2747),
    [anon_sym_switch] = ACTIONS(2747),
    [anon_sym_case] = ACTIONS(2747),
    [anon_sym_default] = ACTIONS(2747),
    [anon_sym_while] = ACTIONS(2747),
    [anon_sym_do] = ACTIONS(2747),
    [anon_sym_for] = ACTIONS(2747),
    [anon_sym_return] = ACTIONS(2747),
    [anon_sym_break] = ACTIONS(2747),
    [anon_sym_continue] = ACTIONS(2747),
    [anon_sym_goto] = ACTIONS(2747),
    [anon_sym___try] = ACTIONS(2747),
    [anon_sym___leave] = ACTIONS(2747),
    [anon_sym_not] = ACTIONS(2747),
    [anon_sym_compl] = ACTIONS(2747),
    [anon_sym_DASH_DASH] = ACTIONS(2749),
    [anon_sym_PLUS_PLUS] = ACTIONS(2749),
    [anon_sym_sizeof] = ACTIONS(2747),
    [anon_sym___alignof__] = ACTIONS(2747),
    [anon_sym___alignof] = ACTIONS(2747),
    [anon_sym__alignof] = ACTIONS(2747),
    [anon_sym_alignof] = ACTIONS(2747),
    [anon_sym__Alignof] = ACTIONS(2747),
    [anon_sym_offsetof] = ACTIONS(2747),
    [anon_sym__Generic] = ACTIONS(2747),
    [anon_sym_asm] = ACTIONS(2747),
    [anon_sym___asm__] = ACTIONS(2747),
    [sym_number_literal] = ACTIONS(2749),
    [anon_sym_L_SQUOTE] = ACTIONS(2749),
    [anon_sym_u_SQUOTE] = ACTIONS(2749),
    [anon_sym_U_SQUOTE] = ACTIONS(2749),
    [anon_sym_u8_SQUOTE] = ACTIONS(2749),
    [anon_sym_SQUOTE] = ACTIONS(2749),
    [anon_sym_L_DQUOTE] = ACTIONS(2749),
    [anon_sym_u_DQUOTE] = ACTIONS(2749),
    [anon_sym_U_DQUOTE] = ACTIONS(2749),
    [anon_sym_u8_DQUOTE] = ACTIONS(2749),
    [anon_sym_DQUOTE] = ACTIONS(2749),
    [sym_true] = ACTIONS(2747),
    [sym_false] = ACTIONS(2747),
    [anon_sym_NULL] = ACTIONS(2747),
    [anon_sym_nullptr] = ACTIONS(2747),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2747),
    [anon_sym_decltype] = ACTIONS(2747),
    [anon_sym_virtual] = ACTIONS(2747),
    [anon_sym_alignas] = ACTIONS(2747),
    [anon_sym_explicit] = ACTIONS(2747),
    [anon_sym_typename] = ACTIONS(2747),
    [anon_sym_template] = ACTIONS(2747),
    [anon_sym_operator] = ACTIONS(2747),
    [anon_sym_try] = ACTIONS(2747),
    [anon_sym_delete] = ACTIONS(2747),
    [anon_sym_throw] = ACTIONS(2747),
    [anon_sym_namespace] = ACTIONS(2747),
    [anon_sym_using] = ACTIONS(2747),
    [anon_sym_static_assert] = ACTIONS(2747),
    [anon_sym_concept] = ACTIONS(2747),
    [anon_sym_co_return] = ACTIONS(2747),
    [anon_sym_co_yield] = ACTIONS(2747),
    [anon_sym_R_DQUOTE] = ACTIONS(2749),
    [anon_sym_LR_DQUOTE] = ACTIONS(2749),
    [anon_sym_uR_DQUOTE] = ACTIONS(2749),
    [anon_sym_UR_DQUOTE] = ACTIONS(2749),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2749),
    [anon_sym_co_await] = ACTIONS(2747),
    [anon_sym_new] = ACTIONS(2747),
    [anon_sym_requires] = ACTIONS(2747),
    [sym_this] = ACTIONS(2747),
    [anon_sym_discard] = ACTIONS(2747),
    [anon_sym_precise] = ACTIONS(2747),
    [anon_sym_shared] = ACTIONS(2747),
    [anon_sym_groupshared] = ACTIONS(2747),
    [anon_sym_uniform] = ACTIONS(2747),
    [anon_sym_row_major] = ACTIONS(2747),
    [anon_sym_column_major] = ACTIONS(2747),
    [anon_sym_globallycoherent] = ACTIONS(2747),
    [anon_sym_centroid] = ACTIONS(2747),
    [anon_sym_noperspective] = ACTIONS(2747),
    [anon_sym_nointerpolation] = ACTIONS(2747),
    [anon_sym_sample] = ACTIONS(2747),
    [anon_sym_linear] = ACTIONS(2747),
    [anon_sym_snorm] = ACTIONS(2747),
    [anon_sym_unorm] = ACTIONS(2747),
    [anon_sym_point] = ACTIONS(2747),
    [anon_sym_line] = ACTIONS(2747),
    [anon_sym_triangleadj] = ACTIONS(2747),
    [anon_sym_lineadj] = ACTIONS(2747),
    [anon_sym_triangle] = ACTIONS(2747),
    [anon_sym_cbuffer] = ACTIONS(2747),
  },
  [1161] = {
    [sym_identifier] = ACTIONS(2698),
    [aux_sym_preproc_include_token1] = ACTIONS(2698),
    [aux_sym_preproc_def_token1] = ACTIONS(2698),
    [aux_sym_preproc_if_token1] = ACTIONS(2698),
    [aux_sym_preproc_if_token2] = ACTIONS(2698),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2698),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2698),
    [sym_preproc_directive] = ACTIONS(2698),
    [anon_sym_LPAREN2] = ACTIONS(2700),
    [anon_sym_BANG] = ACTIONS(2700),
    [anon_sym_TILDE] = ACTIONS(2700),
    [anon_sym_DASH] = ACTIONS(2698),
    [anon_sym_PLUS] = ACTIONS(2698),
    [anon_sym_STAR] = ACTIONS(2700),
    [anon_sym_AMP_AMP] = ACTIONS(2700),
    [anon_sym_AMP] = ACTIONS(2698),
    [anon_sym_SEMI] = ACTIONS(2700),
    [anon_sym___extension__] = ACTIONS(2698),
    [anon_sym_typedef] = ACTIONS(2698),
    [anon_sym_in] = ACTIONS(2698),
    [anon_sym_out] = ACTIONS(2698),
    [anon_sym_inout] = ACTIONS(2698),
    [anon_sym_extern] = ACTIONS(2698),
    [anon_sym___attribute__] = ACTIONS(2698),
    [anon_sym_COLON_COLON] = ACTIONS(2700),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2700),
    [anon_sym___declspec] = ACTIONS(2698),
    [anon_sym___based] = ACTIONS(2698),
    [anon_sym___cdecl] = ACTIONS(2698),
    [anon_sym___clrcall] = ACTIONS(2698),
    [anon_sym___stdcall] = ACTIONS(2698),
    [anon_sym___fastcall] = ACTIONS(2698),
    [anon_sym___thiscall] = ACTIONS(2698),
    [anon_sym___vectorcall] = ACTIONS(2698),
    [anon_sym_LBRACE] = ACTIONS(2700),
    [anon_sym_signed] = ACTIONS(2698),
    [anon_sym_unsigned] = ACTIONS(2698),
    [anon_sym_long] = ACTIONS(2698),
    [anon_sym_short] = ACTIONS(2698),
    [anon_sym_LBRACK] = ACTIONS(2698),
    [anon_sym_static] = ACTIONS(2698),
    [anon_sym_register] = ACTIONS(2698),
    [anon_sym_inline] = ACTIONS(2698),
    [anon_sym___inline] = ACTIONS(2698),
    [anon_sym___inline__] = ACTIONS(2698),
    [anon_sym___forceinline] = ACTIONS(2698),
    [anon_sym_thread_local] = ACTIONS(2698),
    [anon_sym___thread] = ACTIONS(2698),
    [anon_sym_const] = ACTIONS(2698),
    [anon_sym_constexpr] = ACTIONS(2698),
    [anon_sym_volatile] = ACTIONS(2698),
    [anon_sym_restrict] = ACTIONS(2698),
    [anon_sym___restrict__] = ACTIONS(2698),
    [anon_sym__Atomic] = ACTIONS(2698),
    [anon_sym__Noreturn] = ACTIONS(2698),
    [anon_sym_noreturn] = ACTIONS(2698),
    [anon_sym_mutable] = ACTIONS(2698),
    [anon_sym_constinit] = ACTIONS(2698),
    [anon_sym_consteval] = ACTIONS(2698),
    [sym_primitive_type] = ACTIONS(2698),
    [anon_sym_enum] = ACTIONS(2698),
    [anon_sym_class] = ACTIONS(2698),
    [anon_sym_struct] = ACTIONS(2698),
    [anon_sym_union] = ACTIONS(2698),
    [anon_sym_if] = ACTIONS(2698),
    [anon_sym_switch] = ACTIONS(2698),
    [anon_sym_case] = ACTIONS(2698),
    [anon_sym_default] = ACTIONS(2698),
    [anon_sym_while] = ACTIONS(2698),
    [anon_sym_do] = ACTIONS(2698),
    [anon_sym_for] = ACTIONS(2698),
    [anon_sym_return] = ACTIONS(2698),
    [anon_sym_break] = ACTIONS(2698),
    [anon_sym_continue] = ACTIONS(2698),
    [anon_sym_goto] = ACTIONS(2698),
    [anon_sym___try] = ACTIONS(2698),
    [anon_sym___leave] = ACTIONS(2698),
    [anon_sym_not] = ACTIONS(2698),
    [anon_sym_compl] = ACTIONS(2698),
    [anon_sym_DASH_DASH] = ACTIONS(2700),
    [anon_sym_PLUS_PLUS] = ACTIONS(2700),
    [anon_sym_sizeof] = ACTIONS(2698),
    [anon_sym___alignof__] = ACTIONS(2698),
    [anon_sym___alignof] = ACTIONS(2698),
    [anon_sym__alignof] = ACTIONS(2698),
    [anon_sym_alignof] = ACTIONS(2698),
    [anon_sym__Alignof] = ACTIONS(2698),
    [anon_sym_offsetof] = ACTIONS(2698),
    [anon_sym__Generic] = ACTIONS(2698),
    [anon_sym_asm] = ACTIONS(2698),
    [anon_sym___asm__] = ACTIONS(2698),
    [sym_number_literal] = ACTIONS(2700),
    [anon_sym_L_SQUOTE] = ACTIONS(2700),
    [anon_sym_u_SQUOTE] = ACTIONS(2700),
    [anon_sym_U_SQUOTE] = ACTIONS(2700),
    [anon_sym_u8_SQUOTE] = ACTIONS(2700),
    [anon_sym_SQUOTE] = ACTIONS(2700),
    [anon_sym_L_DQUOTE] = ACTIONS(2700),
    [anon_sym_u_DQUOTE] = ACTIONS(2700),
    [anon_sym_U_DQUOTE] = ACTIONS(2700),
    [anon_sym_u8_DQUOTE] = ACTIONS(2700),
    [anon_sym_DQUOTE] = ACTIONS(2700),
    [sym_true] = ACTIONS(2698),
    [sym_false] = ACTIONS(2698),
    [anon_sym_NULL] = ACTIONS(2698),
    [anon_sym_nullptr] = ACTIONS(2698),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2698),
    [anon_sym_decltype] = ACTIONS(2698),
    [anon_sym_virtual] = ACTIONS(2698),
    [anon_sym_alignas] = ACTIONS(2698),
    [anon_sym_explicit] = ACTIONS(2698),
    [anon_sym_typename] = ACTIONS(2698),
    [anon_sym_template] = ACTIONS(2698),
    [anon_sym_operator] = ACTIONS(2698),
    [anon_sym_try] = ACTIONS(2698),
    [anon_sym_delete] = ACTIONS(2698),
    [anon_sym_throw] = ACTIONS(2698),
    [anon_sym_namespace] = ACTIONS(2698),
    [anon_sym_using] = ACTIONS(2698),
    [anon_sym_static_assert] = ACTIONS(2698),
    [anon_sym_concept] = ACTIONS(2698),
    [anon_sym_co_return] = ACTIONS(2698),
    [anon_sym_co_yield] = ACTIONS(2698),
    [anon_sym_R_DQUOTE] = ACTIONS(2700),
    [anon_sym_LR_DQUOTE] = ACTIONS(2700),
    [anon_sym_uR_DQUOTE] = ACTIONS(2700),
    [anon_sym_UR_DQUOTE] = ACTIONS(2700),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2700),
    [anon_sym_co_await] = ACTIONS(2698),
    [anon_sym_new] = ACTIONS(2698),
    [anon_sym_requires] = ACTIONS(2698),
    [sym_this] = ACTIONS(2698),
    [anon_sym_discard] = ACTIONS(2698),
    [anon_sym_precise] = ACTIONS(2698),
    [anon_sym_shared] = ACTIONS(2698),
    [anon_sym_groupshared] = ACTIONS(2698),
    [anon_sym_uniform] = ACTIONS(2698),
    [anon_sym_row_major] = ACTIONS(2698),
    [anon_sym_column_major] = ACTIONS(2698),
    [anon_sym_globallycoherent] = ACTIONS(2698),
    [anon_sym_centroid] = ACTIONS(2698),
    [anon_sym_noperspective] = ACTIONS(2698),
    [anon_sym_nointerpolation] = ACTIONS(2698),
    [anon_sym_sample] = ACTIONS(2698),
    [anon_sym_linear] = ACTIONS(2698),
    [anon_sym_snorm] = ACTIONS(2698),
    [anon_sym_unorm] = ACTIONS(2698),
    [anon_sym_point] = ACTIONS(2698),
    [anon_sym_line] = ACTIONS(2698),
    [anon_sym_triangleadj] = ACTIONS(2698),
    [anon_sym_lineadj] = ACTIONS(2698),
    [anon_sym_triangle] = ACTIONS(2698),
    [anon_sym_cbuffer] = ACTIONS(2698),
  },
  [1162] = {
    [sym_identifier] = ACTIONS(2702),
    [aux_sym_preproc_include_token1] = ACTIONS(2702),
    [aux_sym_preproc_def_token1] = ACTIONS(2702),
    [aux_sym_preproc_if_token1] = ACTIONS(2702),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2702),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2702),
    [sym_preproc_directive] = ACTIONS(2702),
    [anon_sym_LPAREN2] = ACTIONS(2704),
    [anon_sym_BANG] = ACTIONS(2704),
    [anon_sym_TILDE] = ACTIONS(2704),
    [anon_sym_DASH] = ACTIONS(2702),
    [anon_sym_PLUS] = ACTIONS(2702),
    [anon_sym_STAR] = ACTIONS(2704),
    [anon_sym_AMP_AMP] = ACTIONS(2704),
    [anon_sym_AMP] = ACTIONS(2702),
    [anon_sym_SEMI] = ACTIONS(2704),
    [anon_sym___extension__] = ACTIONS(2702),
    [anon_sym_typedef] = ACTIONS(2702),
    [anon_sym_in] = ACTIONS(2702),
    [anon_sym_out] = ACTIONS(2702),
    [anon_sym_inout] = ACTIONS(2702),
    [anon_sym_extern] = ACTIONS(2702),
    [anon_sym___attribute__] = ACTIONS(2702),
    [anon_sym_COLON_COLON] = ACTIONS(2704),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2704),
    [anon_sym___declspec] = ACTIONS(2702),
    [anon_sym___based] = ACTIONS(2702),
    [anon_sym___cdecl] = ACTIONS(2702),
    [anon_sym___clrcall] = ACTIONS(2702),
    [anon_sym___stdcall] = ACTIONS(2702),
    [anon_sym___fastcall] = ACTIONS(2702),
    [anon_sym___thiscall] = ACTIONS(2702),
    [anon_sym___vectorcall] = ACTIONS(2702),
    [anon_sym_LBRACE] = ACTIONS(2704),
    [anon_sym_RBRACE] = ACTIONS(2704),
    [anon_sym_signed] = ACTIONS(2702),
    [anon_sym_unsigned] = ACTIONS(2702),
    [anon_sym_long] = ACTIONS(2702),
    [anon_sym_short] = ACTIONS(2702),
    [anon_sym_LBRACK] = ACTIONS(2702),
    [anon_sym_static] = ACTIONS(2702),
    [anon_sym_register] = ACTIONS(2702),
    [anon_sym_inline] = ACTIONS(2702),
    [anon_sym___inline] = ACTIONS(2702),
    [anon_sym___inline__] = ACTIONS(2702),
    [anon_sym___forceinline] = ACTIONS(2702),
    [anon_sym_thread_local] = ACTIONS(2702),
    [anon_sym___thread] = ACTIONS(2702),
    [anon_sym_const] = ACTIONS(2702),
    [anon_sym_constexpr] = ACTIONS(2702),
    [anon_sym_volatile] = ACTIONS(2702),
    [anon_sym_restrict] = ACTIONS(2702),
    [anon_sym___restrict__] = ACTIONS(2702),
    [anon_sym__Atomic] = ACTIONS(2702),
    [anon_sym__Noreturn] = ACTIONS(2702),
    [anon_sym_noreturn] = ACTIONS(2702),
    [anon_sym_mutable] = ACTIONS(2702),
    [anon_sym_constinit] = ACTIONS(2702),
    [anon_sym_consteval] = ACTIONS(2702),
    [sym_primitive_type] = ACTIONS(2702),
    [anon_sym_enum] = ACTIONS(2702),
    [anon_sym_class] = ACTIONS(2702),
    [anon_sym_struct] = ACTIONS(2702),
    [anon_sym_union] = ACTIONS(2702),
    [anon_sym_if] = ACTIONS(2702),
    [anon_sym_switch] = ACTIONS(2702),
    [anon_sym_case] = ACTIONS(2702),
    [anon_sym_default] = ACTIONS(2702),
    [anon_sym_while] = ACTIONS(2702),
    [anon_sym_do] = ACTIONS(2702),
    [anon_sym_for] = ACTIONS(2702),
    [anon_sym_return] = ACTIONS(2702),
    [anon_sym_break] = ACTIONS(2702),
    [anon_sym_continue] = ACTIONS(2702),
    [anon_sym_goto] = ACTIONS(2702),
    [anon_sym___try] = ACTIONS(2702),
    [anon_sym___leave] = ACTIONS(2702),
    [anon_sym_not] = ACTIONS(2702),
    [anon_sym_compl] = ACTIONS(2702),
    [anon_sym_DASH_DASH] = ACTIONS(2704),
    [anon_sym_PLUS_PLUS] = ACTIONS(2704),
    [anon_sym_sizeof] = ACTIONS(2702),
    [anon_sym___alignof__] = ACTIONS(2702),
    [anon_sym___alignof] = ACTIONS(2702),
    [anon_sym__alignof] = ACTIONS(2702),
    [anon_sym_alignof] = ACTIONS(2702),
    [anon_sym__Alignof] = ACTIONS(2702),
    [anon_sym_offsetof] = ACTIONS(2702),
    [anon_sym__Generic] = ACTIONS(2702),
    [anon_sym_asm] = ACTIONS(2702),
    [anon_sym___asm__] = ACTIONS(2702),
    [sym_number_literal] = ACTIONS(2704),
    [anon_sym_L_SQUOTE] = ACTIONS(2704),
    [anon_sym_u_SQUOTE] = ACTIONS(2704),
    [anon_sym_U_SQUOTE] = ACTIONS(2704),
    [anon_sym_u8_SQUOTE] = ACTIONS(2704),
    [anon_sym_SQUOTE] = ACTIONS(2704),
    [anon_sym_L_DQUOTE] = ACTIONS(2704),
    [anon_sym_u_DQUOTE] = ACTIONS(2704),
    [anon_sym_U_DQUOTE] = ACTIONS(2704),
    [anon_sym_u8_DQUOTE] = ACTIONS(2704),
    [anon_sym_DQUOTE] = ACTIONS(2704),
    [sym_true] = ACTIONS(2702),
    [sym_false] = ACTIONS(2702),
    [anon_sym_NULL] = ACTIONS(2702),
    [anon_sym_nullptr] = ACTIONS(2702),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2702),
    [anon_sym_decltype] = ACTIONS(2702),
    [anon_sym_virtual] = ACTIONS(2702),
    [anon_sym_alignas] = ACTIONS(2702),
    [anon_sym_explicit] = ACTIONS(2702),
    [anon_sym_typename] = ACTIONS(2702),
    [anon_sym_template] = ACTIONS(2702),
    [anon_sym_operator] = ACTIONS(2702),
    [anon_sym_try] = ACTIONS(2702),
    [anon_sym_delete] = ACTIONS(2702),
    [anon_sym_throw] = ACTIONS(2702),
    [anon_sym_namespace] = ACTIONS(2702),
    [anon_sym_using] = ACTIONS(2702),
    [anon_sym_static_assert] = ACTIONS(2702),
    [anon_sym_concept] = ACTIONS(2702),
    [anon_sym_co_return] = ACTIONS(2702),
    [anon_sym_co_yield] = ACTIONS(2702),
    [anon_sym_R_DQUOTE] = ACTIONS(2704),
    [anon_sym_LR_DQUOTE] = ACTIONS(2704),
    [anon_sym_uR_DQUOTE] = ACTIONS(2704),
    [anon_sym_UR_DQUOTE] = ACTIONS(2704),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2704),
    [anon_sym_co_await] = ACTIONS(2702),
    [anon_sym_new] = ACTIONS(2702),
    [anon_sym_requires] = ACTIONS(2702),
    [sym_this] = ACTIONS(2702),
    [anon_sym_discard] = ACTIONS(2702),
    [anon_sym_precise] = ACTIONS(2702),
    [anon_sym_shared] = ACTIONS(2702),
    [anon_sym_groupshared] = ACTIONS(2702),
    [anon_sym_uniform] = ACTIONS(2702),
    [anon_sym_row_major] = ACTIONS(2702),
    [anon_sym_column_major] = ACTIONS(2702),
    [anon_sym_globallycoherent] = ACTIONS(2702),
    [anon_sym_centroid] = ACTIONS(2702),
    [anon_sym_noperspective] = ACTIONS(2702),
    [anon_sym_nointerpolation] = ACTIONS(2702),
    [anon_sym_sample] = ACTIONS(2702),
    [anon_sym_linear] = ACTIONS(2702),
    [anon_sym_snorm] = ACTIONS(2702),
    [anon_sym_unorm] = ACTIONS(2702),
    [anon_sym_point] = ACTIONS(2702),
    [anon_sym_line] = ACTIONS(2702),
    [anon_sym_triangleadj] = ACTIONS(2702),
    [anon_sym_lineadj] = ACTIONS(2702),
    [anon_sym_triangle] = ACTIONS(2702),
    [anon_sym_cbuffer] = ACTIONS(2702),
  },
  [1163] = {
    [sym_identifier] = ACTIONS(2849),
    [aux_sym_preproc_include_token1] = ACTIONS(2849),
    [aux_sym_preproc_def_token1] = ACTIONS(2849),
    [aux_sym_preproc_if_token1] = ACTIONS(2849),
    [aux_sym_preproc_if_token2] = ACTIONS(2849),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2849),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2849),
    [sym_preproc_directive] = ACTIONS(2849),
    [anon_sym_LPAREN2] = ACTIONS(2851),
    [anon_sym_BANG] = ACTIONS(2851),
    [anon_sym_TILDE] = ACTIONS(2851),
    [anon_sym_DASH] = ACTIONS(2849),
    [anon_sym_PLUS] = ACTIONS(2849),
    [anon_sym_STAR] = ACTIONS(2851),
    [anon_sym_AMP_AMP] = ACTIONS(2851),
    [anon_sym_AMP] = ACTIONS(2849),
    [anon_sym_SEMI] = ACTIONS(2851),
    [anon_sym___extension__] = ACTIONS(2849),
    [anon_sym_typedef] = ACTIONS(2849),
    [anon_sym_in] = ACTIONS(2849),
    [anon_sym_out] = ACTIONS(2849),
    [anon_sym_inout] = ACTIONS(2849),
    [anon_sym_extern] = ACTIONS(2849),
    [anon_sym___attribute__] = ACTIONS(2849),
    [anon_sym_COLON_COLON] = ACTIONS(2851),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2851),
    [anon_sym___declspec] = ACTIONS(2849),
    [anon_sym___based] = ACTIONS(2849),
    [anon_sym___cdecl] = ACTIONS(2849),
    [anon_sym___clrcall] = ACTIONS(2849),
    [anon_sym___stdcall] = ACTIONS(2849),
    [anon_sym___fastcall] = ACTIONS(2849),
    [anon_sym___thiscall] = ACTIONS(2849),
    [anon_sym___vectorcall] = ACTIONS(2849),
    [anon_sym_LBRACE] = ACTIONS(2851),
    [anon_sym_signed] = ACTIONS(2849),
    [anon_sym_unsigned] = ACTIONS(2849),
    [anon_sym_long] = ACTIONS(2849),
    [anon_sym_short] = ACTIONS(2849),
    [anon_sym_LBRACK] = ACTIONS(2849),
    [anon_sym_static] = ACTIONS(2849),
    [anon_sym_register] = ACTIONS(2849),
    [anon_sym_inline] = ACTIONS(2849),
    [anon_sym___inline] = ACTIONS(2849),
    [anon_sym___inline__] = ACTIONS(2849),
    [anon_sym___forceinline] = ACTIONS(2849),
    [anon_sym_thread_local] = ACTIONS(2849),
    [anon_sym___thread] = ACTIONS(2849),
    [anon_sym_const] = ACTIONS(2849),
    [anon_sym_constexpr] = ACTIONS(2849),
    [anon_sym_volatile] = ACTIONS(2849),
    [anon_sym_restrict] = ACTIONS(2849),
    [anon_sym___restrict__] = ACTIONS(2849),
    [anon_sym__Atomic] = ACTIONS(2849),
    [anon_sym__Noreturn] = ACTIONS(2849),
    [anon_sym_noreturn] = ACTIONS(2849),
    [anon_sym_mutable] = ACTIONS(2849),
    [anon_sym_constinit] = ACTIONS(2849),
    [anon_sym_consteval] = ACTIONS(2849),
    [sym_primitive_type] = ACTIONS(2849),
    [anon_sym_enum] = ACTIONS(2849),
    [anon_sym_class] = ACTIONS(2849),
    [anon_sym_struct] = ACTIONS(2849),
    [anon_sym_union] = ACTIONS(2849),
    [anon_sym_if] = ACTIONS(2849),
    [anon_sym_switch] = ACTIONS(2849),
    [anon_sym_case] = ACTIONS(2849),
    [anon_sym_default] = ACTIONS(2849),
    [anon_sym_while] = ACTIONS(2849),
    [anon_sym_do] = ACTIONS(2849),
    [anon_sym_for] = ACTIONS(2849),
    [anon_sym_return] = ACTIONS(2849),
    [anon_sym_break] = ACTIONS(2849),
    [anon_sym_continue] = ACTIONS(2849),
    [anon_sym_goto] = ACTIONS(2849),
    [anon_sym___try] = ACTIONS(2849),
    [anon_sym___leave] = ACTIONS(2849),
    [anon_sym_not] = ACTIONS(2849),
    [anon_sym_compl] = ACTIONS(2849),
    [anon_sym_DASH_DASH] = ACTIONS(2851),
    [anon_sym_PLUS_PLUS] = ACTIONS(2851),
    [anon_sym_sizeof] = ACTIONS(2849),
    [anon_sym___alignof__] = ACTIONS(2849),
    [anon_sym___alignof] = ACTIONS(2849),
    [anon_sym__alignof] = ACTIONS(2849),
    [anon_sym_alignof] = ACTIONS(2849),
    [anon_sym__Alignof] = ACTIONS(2849),
    [anon_sym_offsetof] = ACTIONS(2849),
    [anon_sym__Generic] = ACTIONS(2849),
    [anon_sym_asm] = ACTIONS(2849),
    [anon_sym___asm__] = ACTIONS(2849),
    [sym_number_literal] = ACTIONS(2851),
    [anon_sym_L_SQUOTE] = ACTIONS(2851),
    [anon_sym_u_SQUOTE] = ACTIONS(2851),
    [anon_sym_U_SQUOTE] = ACTIONS(2851),
    [anon_sym_u8_SQUOTE] = ACTIONS(2851),
    [anon_sym_SQUOTE] = ACTIONS(2851),
    [anon_sym_L_DQUOTE] = ACTIONS(2851),
    [anon_sym_u_DQUOTE] = ACTIONS(2851),
    [anon_sym_U_DQUOTE] = ACTIONS(2851),
    [anon_sym_u8_DQUOTE] = ACTIONS(2851),
    [anon_sym_DQUOTE] = ACTIONS(2851),
    [sym_true] = ACTIONS(2849),
    [sym_false] = ACTIONS(2849),
    [anon_sym_NULL] = ACTIONS(2849),
    [anon_sym_nullptr] = ACTIONS(2849),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2849),
    [anon_sym_decltype] = ACTIONS(2849),
    [anon_sym_virtual] = ACTIONS(2849),
    [anon_sym_alignas] = ACTIONS(2849),
    [anon_sym_explicit] = ACTIONS(2849),
    [anon_sym_typename] = ACTIONS(2849),
    [anon_sym_template] = ACTIONS(2849),
    [anon_sym_operator] = ACTIONS(2849),
    [anon_sym_try] = ACTIONS(2849),
    [anon_sym_delete] = ACTIONS(2849),
    [anon_sym_throw] = ACTIONS(2849),
    [anon_sym_namespace] = ACTIONS(2849),
    [anon_sym_using] = ACTIONS(2849),
    [anon_sym_static_assert] = ACTIONS(2849),
    [anon_sym_concept] = ACTIONS(2849),
    [anon_sym_co_return] = ACTIONS(2849),
    [anon_sym_co_yield] = ACTIONS(2849),
    [anon_sym_R_DQUOTE] = ACTIONS(2851),
    [anon_sym_LR_DQUOTE] = ACTIONS(2851),
    [anon_sym_uR_DQUOTE] = ACTIONS(2851),
    [anon_sym_UR_DQUOTE] = ACTIONS(2851),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2851),
    [anon_sym_co_await] = ACTIONS(2849),
    [anon_sym_new] = ACTIONS(2849),
    [anon_sym_requires] = ACTIONS(2849),
    [sym_this] = ACTIONS(2849),
    [anon_sym_discard] = ACTIONS(2849),
    [anon_sym_precise] = ACTIONS(2849),
    [anon_sym_shared] = ACTIONS(2849),
    [anon_sym_groupshared] = ACTIONS(2849),
    [anon_sym_uniform] = ACTIONS(2849),
    [anon_sym_row_major] = ACTIONS(2849),
    [anon_sym_column_major] = ACTIONS(2849),
    [anon_sym_globallycoherent] = ACTIONS(2849),
    [anon_sym_centroid] = ACTIONS(2849),
    [anon_sym_noperspective] = ACTIONS(2849),
    [anon_sym_nointerpolation] = ACTIONS(2849),
    [anon_sym_sample] = ACTIONS(2849),
    [anon_sym_linear] = ACTIONS(2849),
    [anon_sym_snorm] = ACTIONS(2849),
    [anon_sym_unorm] = ACTIONS(2849),
    [anon_sym_point] = ACTIONS(2849),
    [anon_sym_line] = ACTIONS(2849),
    [anon_sym_triangleadj] = ACTIONS(2849),
    [anon_sym_lineadj] = ACTIONS(2849),
    [anon_sym_triangle] = ACTIONS(2849),
    [anon_sym_cbuffer] = ACTIONS(2849),
  },
  [1164] = {
    [sym_identifier] = ACTIONS(2755),
    [aux_sym_preproc_include_token1] = ACTIONS(2755),
    [aux_sym_preproc_def_token1] = ACTIONS(2755),
    [aux_sym_preproc_if_token1] = ACTIONS(2755),
    [aux_sym_preproc_if_token2] = ACTIONS(2755),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2755),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2755),
    [sym_preproc_directive] = ACTIONS(2755),
    [anon_sym_LPAREN2] = ACTIONS(2757),
    [anon_sym_BANG] = ACTIONS(2757),
    [anon_sym_TILDE] = ACTIONS(2757),
    [anon_sym_DASH] = ACTIONS(2755),
    [anon_sym_PLUS] = ACTIONS(2755),
    [anon_sym_STAR] = ACTIONS(2757),
    [anon_sym_AMP_AMP] = ACTIONS(2757),
    [anon_sym_AMP] = ACTIONS(2755),
    [anon_sym_SEMI] = ACTIONS(2757),
    [anon_sym___extension__] = ACTIONS(2755),
    [anon_sym_typedef] = ACTIONS(2755),
    [anon_sym_in] = ACTIONS(2755),
    [anon_sym_out] = ACTIONS(2755),
    [anon_sym_inout] = ACTIONS(2755),
    [anon_sym_extern] = ACTIONS(2755),
    [anon_sym___attribute__] = ACTIONS(2755),
    [anon_sym_COLON_COLON] = ACTIONS(2757),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2757),
    [anon_sym___declspec] = ACTIONS(2755),
    [anon_sym___based] = ACTIONS(2755),
    [anon_sym___cdecl] = ACTIONS(2755),
    [anon_sym___clrcall] = ACTIONS(2755),
    [anon_sym___stdcall] = ACTIONS(2755),
    [anon_sym___fastcall] = ACTIONS(2755),
    [anon_sym___thiscall] = ACTIONS(2755),
    [anon_sym___vectorcall] = ACTIONS(2755),
    [anon_sym_LBRACE] = ACTIONS(2757),
    [anon_sym_signed] = ACTIONS(2755),
    [anon_sym_unsigned] = ACTIONS(2755),
    [anon_sym_long] = ACTIONS(2755),
    [anon_sym_short] = ACTIONS(2755),
    [anon_sym_LBRACK] = ACTIONS(2755),
    [anon_sym_static] = ACTIONS(2755),
    [anon_sym_register] = ACTIONS(2755),
    [anon_sym_inline] = ACTIONS(2755),
    [anon_sym___inline] = ACTIONS(2755),
    [anon_sym___inline__] = ACTIONS(2755),
    [anon_sym___forceinline] = ACTIONS(2755),
    [anon_sym_thread_local] = ACTIONS(2755),
    [anon_sym___thread] = ACTIONS(2755),
    [anon_sym_const] = ACTIONS(2755),
    [anon_sym_constexpr] = ACTIONS(2755),
    [anon_sym_volatile] = ACTIONS(2755),
    [anon_sym_restrict] = ACTIONS(2755),
    [anon_sym___restrict__] = ACTIONS(2755),
    [anon_sym__Atomic] = ACTIONS(2755),
    [anon_sym__Noreturn] = ACTIONS(2755),
    [anon_sym_noreturn] = ACTIONS(2755),
    [anon_sym_mutable] = ACTIONS(2755),
    [anon_sym_constinit] = ACTIONS(2755),
    [anon_sym_consteval] = ACTIONS(2755),
    [sym_primitive_type] = ACTIONS(2755),
    [anon_sym_enum] = ACTIONS(2755),
    [anon_sym_class] = ACTIONS(2755),
    [anon_sym_struct] = ACTIONS(2755),
    [anon_sym_union] = ACTIONS(2755),
    [anon_sym_if] = ACTIONS(2755),
    [anon_sym_switch] = ACTIONS(2755),
    [anon_sym_case] = ACTIONS(2755),
    [anon_sym_default] = ACTIONS(2755),
    [anon_sym_while] = ACTIONS(2755),
    [anon_sym_do] = ACTIONS(2755),
    [anon_sym_for] = ACTIONS(2755),
    [anon_sym_return] = ACTIONS(2755),
    [anon_sym_break] = ACTIONS(2755),
    [anon_sym_continue] = ACTIONS(2755),
    [anon_sym_goto] = ACTIONS(2755),
    [anon_sym___try] = ACTIONS(2755),
    [anon_sym___leave] = ACTIONS(2755),
    [anon_sym_not] = ACTIONS(2755),
    [anon_sym_compl] = ACTIONS(2755),
    [anon_sym_DASH_DASH] = ACTIONS(2757),
    [anon_sym_PLUS_PLUS] = ACTIONS(2757),
    [anon_sym_sizeof] = ACTIONS(2755),
    [anon_sym___alignof__] = ACTIONS(2755),
    [anon_sym___alignof] = ACTIONS(2755),
    [anon_sym__alignof] = ACTIONS(2755),
    [anon_sym_alignof] = ACTIONS(2755),
    [anon_sym__Alignof] = ACTIONS(2755),
    [anon_sym_offsetof] = ACTIONS(2755),
    [anon_sym__Generic] = ACTIONS(2755),
    [anon_sym_asm] = ACTIONS(2755),
    [anon_sym___asm__] = ACTIONS(2755),
    [sym_number_literal] = ACTIONS(2757),
    [anon_sym_L_SQUOTE] = ACTIONS(2757),
    [anon_sym_u_SQUOTE] = ACTIONS(2757),
    [anon_sym_U_SQUOTE] = ACTIONS(2757),
    [anon_sym_u8_SQUOTE] = ACTIONS(2757),
    [anon_sym_SQUOTE] = ACTIONS(2757),
    [anon_sym_L_DQUOTE] = ACTIONS(2757),
    [anon_sym_u_DQUOTE] = ACTIONS(2757),
    [anon_sym_U_DQUOTE] = ACTIONS(2757),
    [anon_sym_u8_DQUOTE] = ACTIONS(2757),
    [anon_sym_DQUOTE] = ACTIONS(2757),
    [sym_true] = ACTIONS(2755),
    [sym_false] = ACTIONS(2755),
    [anon_sym_NULL] = ACTIONS(2755),
    [anon_sym_nullptr] = ACTIONS(2755),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2755),
    [anon_sym_decltype] = ACTIONS(2755),
    [anon_sym_virtual] = ACTIONS(2755),
    [anon_sym_alignas] = ACTIONS(2755),
    [anon_sym_explicit] = ACTIONS(2755),
    [anon_sym_typename] = ACTIONS(2755),
    [anon_sym_template] = ACTIONS(2755),
    [anon_sym_operator] = ACTIONS(2755),
    [anon_sym_try] = ACTIONS(2755),
    [anon_sym_delete] = ACTIONS(2755),
    [anon_sym_throw] = ACTIONS(2755),
    [anon_sym_namespace] = ACTIONS(2755),
    [anon_sym_using] = ACTIONS(2755),
    [anon_sym_static_assert] = ACTIONS(2755),
    [anon_sym_concept] = ACTIONS(2755),
    [anon_sym_co_return] = ACTIONS(2755),
    [anon_sym_co_yield] = ACTIONS(2755),
    [anon_sym_R_DQUOTE] = ACTIONS(2757),
    [anon_sym_LR_DQUOTE] = ACTIONS(2757),
    [anon_sym_uR_DQUOTE] = ACTIONS(2757),
    [anon_sym_UR_DQUOTE] = ACTIONS(2757),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2757),
    [anon_sym_co_await] = ACTIONS(2755),
    [anon_sym_new] = ACTIONS(2755),
    [anon_sym_requires] = ACTIONS(2755),
    [sym_this] = ACTIONS(2755),
    [anon_sym_discard] = ACTIONS(2755),
    [anon_sym_precise] = ACTIONS(2755),
    [anon_sym_shared] = ACTIONS(2755),
    [anon_sym_groupshared] = ACTIONS(2755),
    [anon_sym_uniform] = ACTIONS(2755),
    [anon_sym_row_major] = ACTIONS(2755),
    [anon_sym_column_major] = ACTIONS(2755),
    [anon_sym_globallycoherent] = ACTIONS(2755),
    [anon_sym_centroid] = ACTIONS(2755),
    [anon_sym_noperspective] = ACTIONS(2755),
    [anon_sym_nointerpolation] = ACTIONS(2755),
    [anon_sym_sample] = ACTIONS(2755),
    [anon_sym_linear] = ACTIONS(2755),
    [anon_sym_snorm] = ACTIONS(2755),
    [anon_sym_unorm] = ACTIONS(2755),
    [anon_sym_point] = ACTIONS(2755),
    [anon_sym_line] = ACTIONS(2755),
    [anon_sym_triangleadj] = ACTIONS(2755),
    [anon_sym_lineadj] = ACTIONS(2755),
    [anon_sym_triangle] = ACTIONS(2755),
    [anon_sym_cbuffer] = ACTIONS(2755),
  },
  [1165] = {
    [sym_identifier] = ACTIONS(2825),
    [aux_sym_preproc_include_token1] = ACTIONS(2825),
    [aux_sym_preproc_def_token1] = ACTIONS(2825),
    [aux_sym_preproc_if_token1] = ACTIONS(2825),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2825),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2825),
    [sym_preproc_directive] = ACTIONS(2825),
    [anon_sym_LPAREN2] = ACTIONS(2827),
    [anon_sym_BANG] = ACTIONS(2827),
    [anon_sym_TILDE] = ACTIONS(2827),
    [anon_sym_DASH] = ACTIONS(2825),
    [anon_sym_PLUS] = ACTIONS(2825),
    [anon_sym_STAR] = ACTIONS(2827),
    [anon_sym_AMP_AMP] = ACTIONS(2827),
    [anon_sym_AMP] = ACTIONS(2825),
    [anon_sym_SEMI] = ACTIONS(2827),
    [anon_sym___extension__] = ACTIONS(2825),
    [anon_sym_typedef] = ACTIONS(2825),
    [anon_sym_in] = ACTIONS(2825),
    [anon_sym_out] = ACTIONS(2825),
    [anon_sym_inout] = ACTIONS(2825),
    [anon_sym_extern] = ACTIONS(2825),
    [anon_sym___attribute__] = ACTIONS(2825),
    [anon_sym_COLON_COLON] = ACTIONS(2827),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2827),
    [anon_sym___declspec] = ACTIONS(2825),
    [anon_sym___based] = ACTIONS(2825),
    [anon_sym___cdecl] = ACTIONS(2825),
    [anon_sym___clrcall] = ACTIONS(2825),
    [anon_sym___stdcall] = ACTIONS(2825),
    [anon_sym___fastcall] = ACTIONS(2825),
    [anon_sym___thiscall] = ACTIONS(2825),
    [anon_sym___vectorcall] = ACTIONS(2825),
    [anon_sym_LBRACE] = ACTIONS(2827),
    [anon_sym_RBRACE] = ACTIONS(2827),
    [anon_sym_signed] = ACTIONS(2825),
    [anon_sym_unsigned] = ACTIONS(2825),
    [anon_sym_long] = ACTIONS(2825),
    [anon_sym_short] = ACTIONS(2825),
    [anon_sym_LBRACK] = ACTIONS(2825),
    [anon_sym_static] = ACTIONS(2825),
    [anon_sym_register] = ACTIONS(2825),
    [anon_sym_inline] = ACTIONS(2825),
    [anon_sym___inline] = ACTIONS(2825),
    [anon_sym___inline__] = ACTIONS(2825),
    [anon_sym___forceinline] = ACTIONS(2825),
    [anon_sym_thread_local] = ACTIONS(2825),
    [anon_sym___thread] = ACTIONS(2825),
    [anon_sym_const] = ACTIONS(2825),
    [anon_sym_constexpr] = ACTIONS(2825),
    [anon_sym_volatile] = ACTIONS(2825),
    [anon_sym_restrict] = ACTIONS(2825),
    [anon_sym___restrict__] = ACTIONS(2825),
    [anon_sym__Atomic] = ACTIONS(2825),
    [anon_sym__Noreturn] = ACTIONS(2825),
    [anon_sym_noreturn] = ACTIONS(2825),
    [anon_sym_mutable] = ACTIONS(2825),
    [anon_sym_constinit] = ACTIONS(2825),
    [anon_sym_consteval] = ACTIONS(2825),
    [sym_primitive_type] = ACTIONS(2825),
    [anon_sym_enum] = ACTIONS(2825),
    [anon_sym_class] = ACTIONS(2825),
    [anon_sym_struct] = ACTIONS(2825),
    [anon_sym_union] = ACTIONS(2825),
    [anon_sym_if] = ACTIONS(2825),
    [anon_sym_switch] = ACTIONS(2825),
    [anon_sym_case] = ACTIONS(2825),
    [anon_sym_default] = ACTIONS(2825),
    [anon_sym_while] = ACTIONS(2825),
    [anon_sym_do] = ACTIONS(2825),
    [anon_sym_for] = ACTIONS(2825),
    [anon_sym_return] = ACTIONS(2825),
    [anon_sym_break] = ACTIONS(2825),
    [anon_sym_continue] = ACTIONS(2825),
    [anon_sym_goto] = ACTIONS(2825),
    [anon_sym___try] = ACTIONS(2825),
    [anon_sym___leave] = ACTIONS(2825),
    [anon_sym_not] = ACTIONS(2825),
    [anon_sym_compl] = ACTIONS(2825),
    [anon_sym_DASH_DASH] = ACTIONS(2827),
    [anon_sym_PLUS_PLUS] = ACTIONS(2827),
    [anon_sym_sizeof] = ACTIONS(2825),
    [anon_sym___alignof__] = ACTIONS(2825),
    [anon_sym___alignof] = ACTIONS(2825),
    [anon_sym__alignof] = ACTIONS(2825),
    [anon_sym_alignof] = ACTIONS(2825),
    [anon_sym__Alignof] = ACTIONS(2825),
    [anon_sym_offsetof] = ACTIONS(2825),
    [anon_sym__Generic] = ACTIONS(2825),
    [anon_sym_asm] = ACTIONS(2825),
    [anon_sym___asm__] = ACTIONS(2825),
    [sym_number_literal] = ACTIONS(2827),
    [anon_sym_L_SQUOTE] = ACTIONS(2827),
    [anon_sym_u_SQUOTE] = ACTIONS(2827),
    [anon_sym_U_SQUOTE] = ACTIONS(2827),
    [anon_sym_u8_SQUOTE] = ACTIONS(2827),
    [anon_sym_SQUOTE] = ACTIONS(2827),
    [anon_sym_L_DQUOTE] = ACTIONS(2827),
    [anon_sym_u_DQUOTE] = ACTIONS(2827),
    [anon_sym_U_DQUOTE] = ACTIONS(2827),
    [anon_sym_u8_DQUOTE] = ACTIONS(2827),
    [anon_sym_DQUOTE] = ACTIONS(2827),
    [sym_true] = ACTIONS(2825),
    [sym_false] = ACTIONS(2825),
    [anon_sym_NULL] = ACTIONS(2825),
    [anon_sym_nullptr] = ACTIONS(2825),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2825),
    [anon_sym_decltype] = ACTIONS(2825),
    [anon_sym_virtual] = ACTIONS(2825),
    [anon_sym_alignas] = ACTIONS(2825),
    [anon_sym_explicit] = ACTIONS(2825),
    [anon_sym_typename] = ACTIONS(2825),
    [anon_sym_template] = ACTIONS(2825),
    [anon_sym_operator] = ACTIONS(2825),
    [anon_sym_try] = ACTIONS(2825),
    [anon_sym_delete] = ACTIONS(2825),
    [anon_sym_throw] = ACTIONS(2825),
    [anon_sym_namespace] = ACTIONS(2825),
    [anon_sym_using] = ACTIONS(2825),
    [anon_sym_static_assert] = ACTIONS(2825),
    [anon_sym_concept] = ACTIONS(2825),
    [anon_sym_co_return] = ACTIONS(2825),
    [anon_sym_co_yield] = ACTIONS(2825),
    [anon_sym_R_DQUOTE] = ACTIONS(2827),
    [anon_sym_LR_DQUOTE] = ACTIONS(2827),
    [anon_sym_uR_DQUOTE] = ACTIONS(2827),
    [anon_sym_UR_DQUOTE] = ACTIONS(2827),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2827),
    [anon_sym_co_await] = ACTIONS(2825),
    [anon_sym_new] = ACTIONS(2825),
    [anon_sym_requires] = ACTIONS(2825),
    [sym_this] = ACTIONS(2825),
    [anon_sym_discard] = ACTIONS(2825),
    [anon_sym_precise] = ACTIONS(2825),
    [anon_sym_shared] = ACTIONS(2825),
    [anon_sym_groupshared] = ACTIONS(2825),
    [anon_sym_uniform] = ACTIONS(2825),
    [anon_sym_row_major] = ACTIONS(2825),
    [anon_sym_column_major] = ACTIONS(2825),
    [anon_sym_globallycoherent] = ACTIONS(2825),
    [anon_sym_centroid] = ACTIONS(2825),
    [anon_sym_noperspective] = ACTIONS(2825),
    [anon_sym_nointerpolation] = ACTIONS(2825),
    [anon_sym_sample] = ACTIONS(2825),
    [anon_sym_linear] = ACTIONS(2825),
    [anon_sym_snorm] = ACTIONS(2825),
    [anon_sym_unorm] = ACTIONS(2825),
    [anon_sym_point] = ACTIONS(2825),
    [anon_sym_line] = ACTIONS(2825),
    [anon_sym_triangleadj] = ACTIONS(2825),
    [anon_sym_lineadj] = ACTIONS(2825),
    [anon_sym_triangle] = ACTIONS(2825),
    [anon_sym_cbuffer] = ACTIONS(2825),
  },
  [1166] = {
    [sym_preproc_def] = STATE(1178),
    [sym_preproc_function_def] = STATE(1178),
    [sym_preproc_call] = STATE(1178),
    [sym_preproc_if_in_field_declaration_list] = STATE(1178),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(1178),
    [sym_preproc_else_in_field_declaration_list] = STATE(9951),
    [sym_preproc_elif_in_field_declaration_list] = STATE(9951),
    [sym_type_definition] = STATE(1178),
    [sym__declaration_modifiers] = STATE(3159),
    [sym__declaration_specifiers] = STATE(6914),
    [sym_attribute_specifier] = STATE(3159),
    [sym_attribute_declaration] = STATE(3159),
    [sym_ms_declspec_modifier] = STATE(3159),
    [sym_ms_based_modifier] = STATE(10332),
    [sym__declarator] = STATE(7978),
    [sym_parenthesized_declarator] = STATE(7680),
    [sym_attributed_declarator] = STATE(7680),
    [sym_pointer_declarator] = STATE(7680),
    [sym_function_declarator] = STATE(7532),
    [sym_array_declarator] = STATE(7680),
    [sym_storage_class_specifier] = STATE(3159),
    [sym_type_qualifier] = STATE(3159),
    [sym__type_specifier] = STATE(2827),
    [sym_sized_type_specifier] = STATE(3085),
    [sym_enum_specifier] = STATE(3085),
    [sym_struct_specifier] = STATE(3085),
    [sym_union_specifier] = STATE(3085),
    [sym__field_declaration_list_item] = STATE(1178),
    [sym_field_declaration] = STATE(1178),
    [sym_placeholder_type_specifier] = STATE(3085),
    [sym_decltype_auto] = STATE(3091),
    [sym_decltype] = STATE(3050),
    [sym_class_specifier] = STATE(3085),
    [sym_virtual] = STATE(3159),
    [sym_alignas_specifier] = STATE(3159),
    [sym_explicit_function_specifier] = STATE(2521),
    [sym_dependent_type] = STATE(3085),
    [sym_template_declaration] = STATE(1178),
    [sym_operator_cast] = STATE(8041),
    [sym_inline_method_definition] = STATE(1178),
    [sym__constructor_specifiers] = STATE(2521),
    [sym_operator_cast_definition] = STATE(1178),
    [sym_operator_cast_declaration] = STATE(1178),
    [sym_constructor_or_destructor_definition] = STATE(1178),
    [sym_constructor_or_destructor_declaration] = STATE(1178),
    [sym_friend_declaration] = STATE(1178),
    [sym_access_specifier] = STATE(10120),
    [sym_reference_declarator] = STATE(7680),
    [sym_structured_binding_declarator] = STATE(7680),
    [sym_template_type] = STATE(3050),
    [sym_template_function] = STATE(7680),
    [sym_using_declaration] = STATE(1178),
    [sym_alias_declaration] = STATE(1178),
    [sym_static_assert_declaration] = STATE(1178),
    [sym_destructor_name] = STATE(7680),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6733),
    [sym_qualified_identifier] = STATE(7680),
    [sym_qualified_type_identifier] = STATE(3068),
    [sym_qualified_operator_cast_identifier] = STATE(8041),
    [sym_operator_name] = STATE(7680),
    [sym_qualifiers] = STATE(3159),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(1178),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2680),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3021),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2521),
    [sym_identifier] = ACTIONS(2857),
    [aux_sym_preproc_def_token1] = ACTIONS(2988),
    [aux_sym_preproc_if_token1] = ACTIONS(2990),
    [aux_sym_preproc_if_token2] = ACTIONS(3156),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2994),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2994),
    [aux_sym_preproc_else_token1] = ACTIONS(2867),
    [aux_sym_preproc_elif_token1] = ACTIONS(2869),
    [sym_preproc_directive] = ACTIONS(2996),
    [anon_sym_LPAREN2] = ACTIONS(2875),
    [anon_sym_TILDE] = ACTIONS(2877),
    [anon_sym_STAR] = ACTIONS(2879),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(2881),
    [anon_sym___extension__] = ACTIONS(2998),
    [anon_sym_typedef] = ACTIONS(3000),
    [anon_sym_in] = ACTIONS(37),
    [anon_sym_out] = ACTIONS(37),
    [anon_sym_inout] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(2887),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2096),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(2889),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(2891),
    [anon_sym_enum] = ACTIONS(2893),
    [anon_sym_class] = ACTIONS(2895),
    [anon_sym_struct] = ACTIONS(2897),
    [anon_sym_union] = ACTIONS(2899),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [anon_sym_virtual] = ACTIONS(123),
    [anon_sym_alignas] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(2901),
    [anon_sym_template] = ACTIONS(3002),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_friend] = ACTIONS(3004),
    [anon_sym_public] = ACTIONS(2907),
    [anon_sym_private] = ACTIONS(2907),
    [anon_sym_protected] = ACTIONS(2907),
    [anon_sym_using] = ACTIONS(3006),
    [anon_sym_static_assert] = ACTIONS(3008),
    [anon_sym_precise] = ACTIONS(161),
    [anon_sym_shared] = ACTIONS(161),
    [anon_sym_groupshared] = ACTIONS(161),
    [anon_sym_uniform] = ACTIONS(161),
    [anon_sym_row_major] = ACTIONS(161),
    [anon_sym_column_major] = ACTIONS(161),
    [anon_sym_globallycoherent] = ACTIONS(161),
    [anon_sym_centroid] = ACTIONS(161),
    [anon_sym_noperspective] = ACTIONS(161),
    [anon_sym_nointerpolation] = ACTIONS(161),
    [anon_sym_sample] = ACTIONS(161),
    [anon_sym_linear] = ACTIONS(161),
    [anon_sym_snorm] = ACTIONS(161),
    [anon_sym_unorm] = ACTIONS(161),
    [anon_sym_point] = ACTIONS(161),
    [anon_sym_line] = ACTIONS(161),
    [anon_sym_triangleadj] = ACTIONS(161),
    [anon_sym_lineadj] = ACTIONS(161),
    [anon_sym_triangle] = ACTIONS(161),
  },
  [1167] = {
    [sym_identifier] = ACTIONS(2797),
    [aux_sym_preproc_include_token1] = ACTIONS(2797),
    [aux_sym_preproc_def_token1] = ACTIONS(2797),
    [aux_sym_preproc_if_token1] = ACTIONS(2797),
    [aux_sym_preproc_if_token2] = ACTIONS(2797),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2797),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2797),
    [sym_preproc_directive] = ACTIONS(2797),
    [anon_sym_LPAREN2] = ACTIONS(2799),
    [anon_sym_BANG] = ACTIONS(2799),
    [anon_sym_TILDE] = ACTIONS(2799),
    [anon_sym_DASH] = ACTIONS(2797),
    [anon_sym_PLUS] = ACTIONS(2797),
    [anon_sym_STAR] = ACTIONS(2799),
    [anon_sym_AMP_AMP] = ACTIONS(2799),
    [anon_sym_AMP] = ACTIONS(2797),
    [anon_sym_SEMI] = ACTIONS(2799),
    [anon_sym___extension__] = ACTIONS(2797),
    [anon_sym_typedef] = ACTIONS(2797),
    [anon_sym_in] = ACTIONS(2797),
    [anon_sym_out] = ACTIONS(2797),
    [anon_sym_inout] = ACTIONS(2797),
    [anon_sym_extern] = ACTIONS(2797),
    [anon_sym___attribute__] = ACTIONS(2797),
    [anon_sym_COLON_COLON] = ACTIONS(2799),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2799),
    [anon_sym___declspec] = ACTIONS(2797),
    [anon_sym___based] = ACTIONS(2797),
    [anon_sym___cdecl] = ACTIONS(2797),
    [anon_sym___clrcall] = ACTIONS(2797),
    [anon_sym___stdcall] = ACTIONS(2797),
    [anon_sym___fastcall] = ACTIONS(2797),
    [anon_sym___thiscall] = ACTIONS(2797),
    [anon_sym___vectorcall] = ACTIONS(2797),
    [anon_sym_LBRACE] = ACTIONS(2799),
    [anon_sym_signed] = ACTIONS(2797),
    [anon_sym_unsigned] = ACTIONS(2797),
    [anon_sym_long] = ACTIONS(2797),
    [anon_sym_short] = ACTIONS(2797),
    [anon_sym_LBRACK] = ACTIONS(2797),
    [anon_sym_static] = ACTIONS(2797),
    [anon_sym_register] = ACTIONS(2797),
    [anon_sym_inline] = ACTIONS(2797),
    [anon_sym___inline] = ACTIONS(2797),
    [anon_sym___inline__] = ACTIONS(2797),
    [anon_sym___forceinline] = ACTIONS(2797),
    [anon_sym_thread_local] = ACTIONS(2797),
    [anon_sym___thread] = ACTIONS(2797),
    [anon_sym_const] = ACTIONS(2797),
    [anon_sym_constexpr] = ACTIONS(2797),
    [anon_sym_volatile] = ACTIONS(2797),
    [anon_sym_restrict] = ACTIONS(2797),
    [anon_sym___restrict__] = ACTIONS(2797),
    [anon_sym__Atomic] = ACTIONS(2797),
    [anon_sym__Noreturn] = ACTIONS(2797),
    [anon_sym_noreturn] = ACTIONS(2797),
    [anon_sym_mutable] = ACTIONS(2797),
    [anon_sym_constinit] = ACTIONS(2797),
    [anon_sym_consteval] = ACTIONS(2797),
    [sym_primitive_type] = ACTIONS(2797),
    [anon_sym_enum] = ACTIONS(2797),
    [anon_sym_class] = ACTIONS(2797),
    [anon_sym_struct] = ACTIONS(2797),
    [anon_sym_union] = ACTIONS(2797),
    [anon_sym_if] = ACTIONS(2797),
    [anon_sym_switch] = ACTIONS(2797),
    [anon_sym_case] = ACTIONS(2797),
    [anon_sym_default] = ACTIONS(2797),
    [anon_sym_while] = ACTIONS(2797),
    [anon_sym_do] = ACTIONS(2797),
    [anon_sym_for] = ACTIONS(2797),
    [anon_sym_return] = ACTIONS(2797),
    [anon_sym_break] = ACTIONS(2797),
    [anon_sym_continue] = ACTIONS(2797),
    [anon_sym_goto] = ACTIONS(2797),
    [anon_sym___try] = ACTIONS(2797),
    [anon_sym___leave] = ACTIONS(2797),
    [anon_sym_not] = ACTIONS(2797),
    [anon_sym_compl] = ACTIONS(2797),
    [anon_sym_DASH_DASH] = ACTIONS(2799),
    [anon_sym_PLUS_PLUS] = ACTIONS(2799),
    [anon_sym_sizeof] = ACTIONS(2797),
    [anon_sym___alignof__] = ACTIONS(2797),
    [anon_sym___alignof] = ACTIONS(2797),
    [anon_sym__alignof] = ACTIONS(2797),
    [anon_sym_alignof] = ACTIONS(2797),
    [anon_sym__Alignof] = ACTIONS(2797),
    [anon_sym_offsetof] = ACTIONS(2797),
    [anon_sym__Generic] = ACTIONS(2797),
    [anon_sym_asm] = ACTIONS(2797),
    [anon_sym___asm__] = ACTIONS(2797),
    [sym_number_literal] = ACTIONS(2799),
    [anon_sym_L_SQUOTE] = ACTIONS(2799),
    [anon_sym_u_SQUOTE] = ACTIONS(2799),
    [anon_sym_U_SQUOTE] = ACTIONS(2799),
    [anon_sym_u8_SQUOTE] = ACTIONS(2799),
    [anon_sym_SQUOTE] = ACTIONS(2799),
    [anon_sym_L_DQUOTE] = ACTIONS(2799),
    [anon_sym_u_DQUOTE] = ACTIONS(2799),
    [anon_sym_U_DQUOTE] = ACTIONS(2799),
    [anon_sym_u8_DQUOTE] = ACTIONS(2799),
    [anon_sym_DQUOTE] = ACTIONS(2799),
    [sym_true] = ACTIONS(2797),
    [sym_false] = ACTIONS(2797),
    [anon_sym_NULL] = ACTIONS(2797),
    [anon_sym_nullptr] = ACTIONS(2797),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2797),
    [anon_sym_decltype] = ACTIONS(2797),
    [anon_sym_virtual] = ACTIONS(2797),
    [anon_sym_alignas] = ACTIONS(2797),
    [anon_sym_explicit] = ACTIONS(2797),
    [anon_sym_typename] = ACTIONS(2797),
    [anon_sym_template] = ACTIONS(2797),
    [anon_sym_operator] = ACTIONS(2797),
    [anon_sym_try] = ACTIONS(2797),
    [anon_sym_delete] = ACTIONS(2797),
    [anon_sym_throw] = ACTIONS(2797),
    [anon_sym_namespace] = ACTIONS(2797),
    [anon_sym_using] = ACTIONS(2797),
    [anon_sym_static_assert] = ACTIONS(2797),
    [anon_sym_concept] = ACTIONS(2797),
    [anon_sym_co_return] = ACTIONS(2797),
    [anon_sym_co_yield] = ACTIONS(2797),
    [anon_sym_R_DQUOTE] = ACTIONS(2799),
    [anon_sym_LR_DQUOTE] = ACTIONS(2799),
    [anon_sym_uR_DQUOTE] = ACTIONS(2799),
    [anon_sym_UR_DQUOTE] = ACTIONS(2799),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2799),
    [anon_sym_co_await] = ACTIONS(2797),
    [anon_sym_new] = ACTIONS(2797),
    [anon_sym_requires] = ACTIONS(2797),
    [sym_this] = ACTIONS(2797),
    [anon_sym_discard] = ACTIONS(2797),
    [anon_sym_precise] = ACTIONS(2797),
    [anon_sym_shared] = ACTIONS(2797),
    [anon_sym_groupshared] = ACTIONS(2797),
    [anon_sym_uniform] = ACTIONS(2797),
    [anon_sym_row_major] = ACTIONS(2797),
    [anon_sym_column_major] = ACTIONS(2797),
    [anon_sym_globallycoherent] = ACTIONS(2797),
    [anon_sym_centroid] = ACTIONS(2797),
    [anon_sym_noperspective] = ACTIONS(2797),
    [anon_sym_nointerpolation] = ACTIONS(2797),
    [anon_sym_sample] = ACTIONS(2797),
    [anon_sym_linear] = ACTIONS(2797),
    [anon_sym_snorm] = ACTIONS(2797),
    [anon_sym_unorm] = ACTIONS(2797),
    [anon_sym_point] = ACTIONS(2797),
    [anon_sym_line] = ACTIONS(2797),
    [anon_sym_triangleadj] = ACTIONS(2797),
    [anon_sym_lineadj] = ACTIONS(2797),
    [anon_sym_triangle] = ACTIONS(2797),
    [anon_sym_cbuffer] = ACTIONS(2797),
  },
  [1168] = {
    [sym_identifier] = ACTIONS(2759),
    [aux_sym_preproc_include_token1] = ACTIONS(2759),
    [aux_sym_preproc_def_token1] = ACTIONS(2759),
    [aux_sym_preproc_if_token1] = ACTIONS(2759),
    [aux_sym_preproc_if_token2] = ACTIONS(2759),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2759),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2759),
    [sym_preproc_directive] = ACTIONS(2759),
    [anon_sym_LPAREN2] = ACTIONS(2761),
    [anon_sym_BANG] = ACTIONS(2761),
    [anon_sym_TILDE] = ACTIONS(2761),
    [anon_sym_DASH] = ACTIONS(2759),
    [anon_sym_PLUS] = ACTIONS(2759),
    [anon_sym_STAR] = ACTIONS(2761),
    [anon_sym_AMP_AMP] = ACTIONS(2761),
    [anon_sym_AMP] = ACTIONS(2759),
    [anon_sym_SEMI] = ACTIONS(2761),
    [anon_sym___extension__] = ACTIONS(2759),
    [anon_sym_typedef] = ACTIONS(2759),
    [anon_sym_in] = ACTIONS(2759),
    [anon_sym_out] = ACTIONS(2759),
    [anon_sym_inout] = ACTIONS(2759),
    [anon_sym_extern] = ACTIONS(2759),
    [anon_sym___attribute__] = ACTIONS(2759),
    [anon_sym_COLON_COLON] = ACTIONS(2761),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2761),
    [anon_sym___declspec] = ACTIONS(2759),
    [anon_sym___based] = ACTIONS(2759),
    [anon_sym___cdecl] = ACTIONS(2759),
    [anon_sym___clrcall] = ACTIONS(2759),
    [anon_sym___stdcall] = ACTIONS(2759),
    [anon_sym___fastcall] = ACTIONS(2759),
    [anon_sym___thiscall] = ACTIONS(2759),
    [anon_sym___vectorcall] = ACTIONS(2759),
    [anon_sym_LBRACE] = ACTIONS(2761),
    [anon_sym_signed] = ACTIONS(2759),
    [anon_sym_unsigned] = ACTIONS(2759),
    [anon_sym_long] = ACTIONS(2759),
    [anon_sym_short] = ACTIONS(2759),
    [anon_sym_LBRACK] = ACTIONS(2759),
    [anon_sym_static] = ACTIONS(2759),
    [anon_sym_register] = ACTIONS(2759),
    [anon_sym_inline] = ACTIONS(2759),
    [anon_sym___inline] = ACTIONS(2759),
    [anon_sym___inline__] = ACTIONS(2759),
    [anon_sym___forceinline] = ACTIONS(2759),
    [anon_sym_thread_local] = ACTIONS(2759),
    [anon_sym___thread] = ACTIONS(2759),
    [anon_sym_const] = ACTIONS(2759),
    [anon_sym_constexpr] = ACTIONS(2759),
    [anon_sym_volatile] = ACTIONS(2759),
    [anon_sym_restrict] = ACTIONS(2759),
    [anon_sym___restrict__] = ACTIONS(2759),
    [anon_sym__Atomic] = ACTIONS(2759),
    [anon_sym__Noreturn] = ACTIONS(2759),
    [anon_sym_noreturn] = ACTIONS(2759),
    [anon_sym_mutable] = ACTIONS(2759),
    [anon_sym_constinit] = ACTIONS(2759),
    [anon_sym_consteval] = ACTIONS(2759),
    [sym_primitive_type] = ACTIONS(2759),
    [anon_sym_enum] = ACTIONS(2759),
    [anon_sym_class] = ACTIONS(2759),
    [anon_sym_struct] = ACTIONS(2759),
    [anon_sym_union] = ACTIONS(2759),
    [anon_sym_if] = ACTIONS(2759),
    [anon_sym_switch] = ACTIONS(2759),
    [anon_sym_case] = ACTIONS(2759),
    [anon_sym_default] = ACTIONS(2759),
    [anon_sym_while] = ACTIONS(2759),
    [anon_sym_do] = ACTIONS(2759),
    [anon_sym_for] = ACTIONS(2759),
    [anon_sym_return] = ACTIONS(2759),
    [anon_sym_break] = ACTIONS(2759),
    [anon_sym_continue] = ACTIONS(2759),
    [anon_sym_goto] = ACTIONS(2759),
    [anon_sym___try] = ACTIONS(2759),
    [anon_sym___leave] = ACTIONS(2759),
    [anon_sym_not] = ACTIONS(2759),
    [anon_sym_compl] = ACTIONS(2759),
    [anon_sym_DASH_DASH] = ACTIONS(2761),
    [anon_sym_PLUS_PLUS] = ACTIONS(2761),
    [anon_sym_sizeof] = ACTIONS(2759),
    [anon_sym___alignof__] = ACTIONS(2759),
    [anon_sym___alignof] = ACTIONS(2759),
    [anon_sym__alignof] = ACTIONS(2759),
    [anon_sym_alignof] = ACTIONS(2759),
    [anon_sym__Alignof] = ACTIONS(2759),
    [anon_sym_offsetof] = ACTIONS(2759),
    [anon_sym__Generic] = ACTIONS(2759),
    [anon_sym_asm] = ACTIONS(2759),
    [anon_sym___asm__] = ACTIONS(2759),
    [sym_number_literal] = ACTIONS(2761),
    [anon_sym_L_SQUOTE] = ACTIONS(2761),
    [anon_sym_u_SQUOTE] = ACTIONS(2761),
    [anon_sym_U_SQUOTE] = ACTIONS(2761),
    [anon_sym_u8_SQUOTE] = ACTIONS(2761),
    [anon_sym_SQUOTE] = ACTIONS(2761),
    [anon_sym_L_DQUOTE] = ACTIONS(2761),
    [anon_sym_u_DQUOTE] = ACTIONS(2761),
    [anon_sym_U_DQUOTE] = ACTIONS(2761),
    [anon_sym_u8_DQUOTE] = ACTIONS(2761),
    [anon_sym_DQUOTE] = ACTIONS(2761),
    [sym_true] = ACTIONS(2759),
    [sym_false] = ACTIONS(2759),
    [anon_sym_NULL] = ACTIONS(2759),
    [anon_sym_nullptr] = ACTIONS(2759),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2759),
    [anon_sym_decltype] = ACTIONS(2759),
    [anon_sym_virtual] = ACTIONS(2759),
    [anon_sym_alignas] = ACTIONS(2759),
    [anon_sym_explicit] = ACTIONS(2759),
    [anon_sym_typename] = ACTIONS(2759),
    [anon_sym_template] = ACTIONS(2759),
    [anon_sym_operator] = ACTIONS(2759),
    [anon_sym_try] = ACTIONS(2759),
    [anon_sym_delete] = ACTIONS(2759),
    [anon_sym_throw] = ACTIONS(2759),
    [anon_sym_namespace] = ACTIONS(2759),
    [anon_sym_using] = ACTIONS(2759),
    [anon_sym_static_assert] = ACTIONS(2759),
    [anon_sym_concept] = ACTIONS(2759),
    [anon_sym_co_return] = ACTIONS(2759),
    [anon_sym_co_yield] = ACTIONS(2759),
    [anon_sym_R_DQUOTE] = ACTIONS(2761),
    [anon_sym_LR_DQUOTE] = ACTIONS(2761),
    [anon_sym_uR_DQUOTE] = ACTIONS(2761),
    [anon_sym_UR_DQUOTE] = ACTIONS(2761),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2761),
    [anon_sym_co_await] = ACTIONS(2759),
    [anon_sym_new] = ACTIONS(2759),
    [anon_sym_requires] = ACTIONS(2759),
    [sym_this] = ACTIONS(2759),
    [anon_sym_discard] = ACTIONS(2759),
    [anon_sym_precise] = ACTIONS(2759),
    [anon_sym_shared] = ACTIONS(2759),
    [anon_sym_groupshared] = ACTIONS(2759),
    [anon_sym_uniform] = ACTIONS(2759),
    [anon_sym_row_major] = ACTIONS(2759),
    [anon_sym_column_major] = ACTIONS(2759),
    [anon_sym_globallycoherent] = ACTIONS(2759),
    [anon_sym_centroid] = ACTIONS(2759),
    [anon_sym_noperspective] = ACTIONS(2759),
    [anon_sym_nointerpolation] = ACTIONS(2759),
    [anon_sym_sample] = ACTIONS(2759),
    [anon_sym_linear] = ACTIONS(2759),
    [anon_sym_snorm] = ACTIONS(2759),
    [anon_sym_unorm] = ACTIONS(2759),
    [anon_sym_point] = ACTIONS(2759),
    [anon_sym_line] = ACTIONS(2759),
    [anon_sym_triangleadj] = ACTIONS(2759),
    [anon_sym_lineadj] = ACTIONS(2759),
    [anon_sym_triangle] = ACTIONS(2759),
    [anon_sym_cbuffer] = ACTIONS(2759),
  },
  [1169] = {
    [sym_identifier] = ACTIONS(2625),
    [aux_sym_preproc_include_token1] = ACTIONS(2625),
    [aux_sym_preproc_def_token1] = ACTIONS(2625),
    [aux_sym_preproc_if_token1] = ACTIONS(2625),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2625),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2625),
    [sym_preproc_directive] = ACTIONS(2625),
    [anon_sym_LPAREN2] = ACTIONS(2627),
    [anon_sym_BANG] = ACTIONS(2627),
    [anon_sym_TILDE] = ACTIONS(2627),
    [anon_sym_DASH] = ACTIONS(2625),
    [anon_sym_PLUS] = ACTIONS(2625),
    [anon_sym_STAR] = ACTIONS(2627),
    [anon_sym_AMP_AMP] = ACTIONS(2627),
    [anon_sym_AMP] = ACTIONS(2625),
    [anon_sym_SEMI] = ACTIONS(2627),
    [anon_sym___extension__] = ACTIONS(2625),
    [anon_sym_typedef] = ACTIONS(2625),
    [anon_sym_in] = ACTIONS(2625),
    [anon_sym_out] = ACTIONS(2625),
    [anon_sym_inout] = ACTIONS(2625),
    [anon_sym_extern] = ACTIONS(2625),
    [anon_sym___attribute__] = ACTIONS(2625),
    [anon_sym_COLON_COLON] = ACTIONS(2627),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2627),
    [anon_sym___declspec] = ACTIONS(2625),
    [anon_sym___based] = ACTIONS(2625),
    [anon_sym___cdecl] = ACTIONS(2625),
    [anon_sym___clrcall] = ACTIONS(2625),
    [anon_sym___stdcall] = ACTIONS(2625),
    [anon_sym___fastcall] = ACTIONS(2625),
    [anon_sym___thiscall] = ACTIONS(2625),
    [anon_sym___vectorcall] = ACTIONS(2625),
    [anon_sym_LBRACE] = ACTIONS(2627),
    [anon_sym_RBRACE] = ACTIONS(2627),
    [anon_sym_signed] = ACTIONS(2625),
    [anon_sym_unsigned] = ACTIONS(2625),
    [anon_sym_long] = ACTIONS(2625),
    [anon_sym_short] = ACTIONS(2625),
    [anon_sym_LBRACK] = ACTIONS(2625),
    [anon_sym_static] = ACTIONS(2625),
    [anon_sym_register] = ACTIONS(2625),
    [anon_sym_inline] = ACTIONS(2625),
    [anon_sym___inline] = ACTIONS(2625),
    [anon_sym___inline__] = ACTIONS(2625),
    [anon_sym___forceinline] = ACTIONS(2625),
    [anon_sym_thread_local] = ACTIONS(2625),
    [anon_sym___thread] = ACTIONS(2625),
    [anon_sym_const] = ACTIONS(2625),
    [anon_sym_constexpr] = ACTIONS(2625),
    [anon_sym_volatile] = ACTIONS(2625),
    [anon_sym_restrict] = ACTIONS(2625),
    [anon_sym___restrict__] = ACTIONS(2625),
    [anon_sym__Atomic] = ACTIONS(2625),
    [anon_sym__Noreturn] = ACTIONS(2625),
    [anon_sym_noreturn] = ACTIONS(2625),
    [anon_sym_mutable] = ACTIONS(2625),
    [anon_sym_constinit] = ACTIONS(2625),
    [anon_sym_consteval] = ACTIONS(2625),
    [sym_primitive_type] = ACTIONS(2625),
    [anon_sym_enum] = ACTIONS(2625),
    [anon_sym_class] = ACTIONS(2625),
    [anon_sym_struct] = ACTIONS(2625),
    [anon_sym_union] = ACTIONS(2625),
    [anon_sym_if] = ACTIONS(2625),
    [anon_sym_switch] = ACTIONS(2625),
    [anon_sym_case] = ACTIONS(2625),
    [anon_sym_default] = ACTIONS(2625),
    [anon_sym_while] = ACTIONS(2625),
    [anon_sym_do] = ACTIONS(2625),
    [anon_sym_for] = ACTIONS(2625),
    [anon_sym_return] = ACTIONS(2625),
    [anon_sym_break] = ACTIONS(2625),
    [anon_sym_continue] = ACTIONS(2625),
    [anon_sym_goto] = ACTIONS(2625),
    [anon_sym___try] = ACTIONS(2625),
    [anon_sym___leave] = ACTIONS(2625),
    [anon_sym_not] = ACTIONS(2625),
    [anon_sym_compl] = ACTIONS(2625),
    [anon_sym_DASH_DASH] = ACTIONS(2627),
    [anon_sym_PLUS_PLUS] = ACTIONS(2627),
    [anon_sym_sizeof] = ACTIONS(2625),
    [anon_sym___alignof__] = ACTIONS(2625),
    [anon_sym___alignof] = ACTIONS(2625),
    [anon_sym__alignof] = ACTIONS(2625),
    [anon_sym_alignof] = ACTIONS(2625),
    [anon_sym__Alignof] = ACTIONS(2625),
    [anon_sym_offsetof] = ACTIONS(2625),
    [anon_sym__Generic] = ACTIONS(2625),
    [anon_sym_asm] = ACTIONS(2625),
    [anon_sym___asm__] = ACTIONS(2625),
    [sym_number_literal] = ACTIONS(2627),
    [anon_sym_L_SQUOTE] = ACTIONS(2627),
    [anon_sym_u_SQUOTE] = ACTIONS(2627),
    [anon_sym_U_SQUOTE] = ACTIONS(2627),
    [anon_sym_u8_SQUOTE] = ACTIONS(2627),
    [anon_sym_SQUOTE] = ACTIONS(2627),
    [anon_sym_L_DQUOTE] = ACTIONS(2627),
    [anon_sym_u_DQUOTE] = ACTIONS(2627),
    [anon_sym_U_DQUOTE] = ACTIONS(2627),
    [anon_sym_u8_DQUOTE] = ACTIONS(2627),
    [anon_sym_DQUOTE] = ACTIONS(2627),
    [sym_true] = ACTIONS(2625),
    [sym_false] = ACTIONS(2625),
    [anon_sym_NULL] = ACTIONS(2625),
    [anon_sym_nullptr] = ACTIONS(2625),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2625),
    [anon_sym_decltype] = ACTIONS(2625),
    [anon_sym_virtual] = ACTIONS(2625),
    [anon_sym_alignas] = ACTIONS(2625),
    [anon_sym_explicit] = ACTIONS(2625),
    [anon_sym_typename] = ACTIONS(2625),
    [anon_sym_template] = ACTIONS(2625),
    [anon_sym_operator] = ACTIONS(2625),
    [anon_sym_try] = ACTIONS(2625),
    [anon_sym_delete] = ACTIONS(2625),
    [anon_sym_throw] = ACTIONS(2625),
    [anon_sym_namespace] = ACTIONS(2625),
    [anon_sym_using] = ACTIONS(2625),
    [anon_sym_static_assert] = ACTIONS(2625),
    [anon_sym_concept] = ACTIONS(2625),
    [anon_sym_co_return] = ACTIONS(2625),
    [anon_sym_co_yield] = ACTIONS(2625),
    [anon_sym_R_DQUOTE] = ACTIONS(2627),
    [anon_sym_LR_DQUOTE] = ACTIONS(2627),
    [anon_sym_uR_DQUOTE] = ACTIONS(2627),
    [anon_sym_UR_DQUOTE] = ACTIONS(2627),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2627),
    [anon_sym_co_await] = ACTIONS(2625),
    [anon_sym_new] = ACTIONS(2625),
    [anon_sym_requires] = ACTIONS(2625),
    [sym_this] = ACTIONS(2625),
    [anon_sym_discard] = ACTIONS(2625),
    [anon_sym_precise] = ACTIONS(2625),
    [anon_sym_shared] = ACTIONS(2625),
    [anon_sym_groupshared] = ACTIONS(2625),
    [anon_sym_uniform] = ACTIONS(2625),
    [anon_sym_row_major] = ACTIONS(2625),
    [anon_sym_column_major] = ACTIONS(2625),
    [anon_sym_globallycoherent] = ACTIONS(2625),
    [anon_sym_centroid] = ACTIONS(2625),
    [anon_sym_noperspective] = ACTIONS(2625),
    [anon_sym_nointerpolation] = ACTIONS(2625),
    [anon_sym_sample] = ACTIONS(2625),
    [anon_sym_linear] = ACTIONS(2625),
    [anon_sym_snorm] = ACTIONS(2625),
    [anon_sym_unorm] = ACTIONS(2625),
    [anon_sym_point] = ACTIONS(2625),
    [anon_sym_line] = ACTIONS(2625),
    [anon_sym_triangleadj] = ACTIONS(2625),
    [anon_sym_lineadj] = ACTIONS(2625),
    [anon_sym_triangle] = ACTIONS(2625),
    [anon_sym_cbuffer] = ACTIONS(2625),
  },
  [1170] = {
    [sym_identifier] = ACTIONS(2797),
    [aux_sym_preproc_include_token1] = ACTIONS(2797),
    [aux_sym_preproc_def_token1] = ACTIONS(2797),
    [aux_sym_preproc_if_token1] = ACTIONS(2797),
    [aux_sym_preproc_if_token2] = ACTIONS(2797),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2797),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2797),
    [sym_preproc_directive] = ACTIONS(2797),
    [anon_sym_LPAREN2] = ACTIONS(2799),
    [anon_sym_BANG] = ACTIONS(2799),
    [anon_sym_TILDE] = ACTIONS(2799),
    [anon_sym_DASH] = ACTIONS(2797),
    [anon_sym_PLUS] = ACTIONS(2797),
    [anon_sym_STAR] = ACTIONS(2799),
    [anon_sym_AMP_AMP] = ACTIONS(2799),
    [anon_sym_AMP] = ACTIONS(2797),
    [anon_sym_SEMI] = ACTIONS(2799),
    [anon_sym___extension__] = ACTIONS(2797),
    [anon_sym_typedef] = ACTIONS(2797),
    [anon_sym_in] = ACTIONS(2797),
    [anon_sym_out] = ACTIONS(2797),
    [anon_sym_inout] = ACTIONS(2797),
    [anon_sym_extern] = ACTIONS(2797),
    [anon_sym___attribute__] = ACTIONS(2797),
    [anon_sym_COLON_COLON] = ACTIONS(2799),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2799),
    [anon_sym___declspec] = ACTIONS(2797),
    [anon_sym___based] = ACTIONS(2797),
    [anon_sym___cdecl] = ACTIONS(2797),
    [anon_sym___clrcall] = ACTIONS(2797),
    [anon_sym___stdcall] = ACTIONS(2797),
    [anon_sym___fastcall] = ACTIONS(2797),
    [anon_sym___thiscall] = ACTIONS(2797),
    [anon_sym___vectorcall] = ACTIONS(2797),
    [anon_sym_LBRACE] = ACTIONS(2799),
    [anon_sym_signed] = ACTIONS(2797),
    [anon_sym_unsigned] = ACTIONS(2797),
    [anon_sym_long] = ACTIONS(2797),
    [anon_sym_short] = ACTIONS(2797),
    [anon_sym_LBRACK] = ACTIONS(2797),
    [anon_sym_static] = ACTIONS(2797),
    [anon_sym_register] = ACTIONS(2797),
    [anon_sym_inline] = ACTIONS(2797),
    [anon_sym___inline] = ACTIONS(2797),
    [anon_sym___inline__] = ACTIONS(2797),
    [anon_sym___forceinline] = ACTIONS(2797),
    [anon_sym_thread_local] = ACTIONS(2797),
    [anon_sym___thread] = ACTIONS(2797),
    [anon_sym_const] = ACTIONS(2797),
    [anon_sym_constexpr] = ACTIONS(2797),
    [anon_sym_volatile] = ACTIONS(2797),
    [anon_sym_restrict] = ACTIONS(2797),
    [anon_sym___restrict__] = ACTIONS(2797),
    [anon_sym__Atomic] = ACTIONS(2797),
    [anon_sym__Noreturn] = ACTIONS(2797),
    [anon_sym_noreturn] = ACTIONS(2797),
    [anon_sym_mutable] = ACTIONS(2797),
    [anon_sym_constinit] = ACTIONS(2797),
    [anon_sym_consteval] = ACTIONS(2797),
    [sym_primitive_type] = ACTIONS(2797),
    [anon_sym_enum] = ACTIONS(2797),
    [anon_sym_class] = ACTIONS(2797),
    [anon_sym_struct] = ACTIONS(2797),
    [anon_sym_union] = ACTIONS(2797),
    [anon_sym_if] = ACTIONS(2797),
    [anon_sym_switch] = ACTIONS(2797),
    [anon_sym_case] = ACTIONS(2797),
    [anon_sym_default] = ACTIONS(2797),
    [anon_sym_while] = ACTIONS(2797),
    [anon_sym_do] = ACTIONS(2797),
    [anon_sym_for] = ACTIONS(2797),
    [anon_sym_return] = ACTIONS(2797),
    [anon_sym_break] = ACTIONS(2797),
    [anon_sym_continue] = ACTIONS(2797),
    [anon_sym_goto] = ACTIONS(2797),
    [anon_sym___try] = ACTIONS(2797),
    [anon_sym___leave] = ACTIONS(2797),
    [anon_sym_not] = ACTIONS(2797),
    [anon_sym_compl] = ACTIONS(2797),
    [anon_sym_DASH_DASH] = ACTIONS(2799),
    [anon_sym_PLUS_PLUS] = ACTIONS(2799),
    [anon_sym_sizeof] = ACTIONS(2797),
    [anon_sym___alignof__] = ACTIONS(2797),
    [anon_sym___alignof] = ACTIONS(2797),
    [anon_sym__alignof] = ACTIONS(2797),
    [anon_sym_alignof] = ACTIONS(2797),
    [anon_sym__Alignof] = ACTIONS(2797),
    [anon_sym_offsetof] = ACTIONS(2797),
    [anon_sym__Generic] = ACTIONS(2797),
    [anon_sym_asm] = ACTIONS(2797),
    [anon_sym___asm__] = ACTIONS(2797),
    [sym_number_literal] = ACTIONS(2799),
    [anon_sym_L_SQUOTE] = ACTIONS(2799),
    [anon_sym_u_SQUOTE] = ACTIONS(2799),
    [anon_sym_U_SQUOTE] = ACTIONS(2799),
    [anon_sym_u8_SQUOTE] = ACTIONS(2799),
    [anon_sym_SQUOTE] = ACTIONS(2799),
    [anon_sym_L_DQUOTE] = ACTIONS(2799),
    [anon_sym_u_DQUOTE] = ACTIONS(2799),
    [anon_sym_U_DQUOTE] = ACTIONS(2799),
    [anon_sym_u8_DQUOTE] = ACTIONS(2799),
    [anon_sym_DQUOTE] = ACTIONS(2799),
    [sym_true] = ACTIONS(2797),
    [sym_false] = ACTIONS(2797),
    [anon_sym_NULL] = ACTIONS(2797),
    [anon_sym_nullptr] = ACTIONS(2797),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2797),
    [anon_sym_decltype] = ACTIONS(2797),
    [anon_sym_virtual] = ACTIONS(2797),
    [anon_sym_alignas] = ACTIONS(2797),
    [anon_sym_explicit] = ACTIONS(2797),
    [anon_sym_typename] = ACTIONS(2797),
    [anon_sym_template] = ACTIONS(2797),
    [anon_sym_operator] = ACTIONS(2797),
    [anon_sym_try] = ACTIONS(2797),
    [anon_sym_delete] = ACTIONS(2797),
    [anon_sym_throw] = ACTIONS(2797),
    [anon_sym_namespace] = ACTIONS(2797),
    [anon_sym_using] = ACTIONS(2797),
    [anon_sym_static_assert] = ACTIONS(2797),
    [anon_sym_concept] = ACTIONS(2797),
    [anon_sym_co_return] = ACTIONS(2797),
    [anon_sym_co_yield] = ACTIONS(2797),
    [anon_sym_R_DQUOTE] = ACTIONS(2799),
    [anon_sym_LR_DQUOTE] = ACTIONS(2799),
    [anon_sym_uR_DQUOTE] = ACTIONS(2799),
    [anon_sym_UR_DQUOTE] = ACTIONS(2799),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2799),
    [anon_sym_co_await] = ACTIONS(2797),
    [anon_sym_new] = ACTIONS(2797),
    [anon_sym_requires] = ACTIONS(2797),
    [sym_this] = ACTIONS(2797),
    [anon_sym_discard] = ACTIONS(2797),
    [anon_sym_precise] = ACTIONS(2797),
    [anon_sym_shared] = ACTIONS(2797),
    [anon_sym_groupshared] = ACTIONS(2797),
    [anon_sym_uniform] = ACTIONS(2797),
    [anon_sym_row_major] = ACTIONS(2797),
    [anon_sym_column_major] = ACTIONS(2797),
    [anon_sym_globallycoherent] = ACTIONS(2797),
    [anon_sym_centroid] = ACTIONS(2797),
    [anon_sym_noperspective] = ACTIONS(2797),
    [anon_sym_nointerpolation] = ACTIONS(2797),
    [anon_sym_sample] = ACTIONS(2797),
    [anon_sym_linear] = ACTIONS(2797),
    [anon_sym_snorm] = ACTIONS(2797),
    [anon_sym_unorm] = ACTIONS(2797),
    [anon_sym_point] = ACTIONS(2797),
    [anon_sym_line] = ACTIONS(2797),
    [anon_sym_triangleadj] = ACTIONS(2797),
    [anon_sym_lineadj] = ACTIONS(2797),
    [anon_sym_triangle] = ACTIONS(2797),
    [anon_sym_cbuffer] = ACTIONS(2797),
  },
  [1171] = {
    [sym_identifier] = ACTIONS(2825),
    [aux_sym_preproc_include_token1] = ACTIONS(2825),
    [aux_sym_preproc_def_token1] = ACTIONS(2825),
    [aux_sym_preproc_if_token1] = ACTIONS(2825),
    [aux_sym_preproc_if_token2] = ACTIONS(2825),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2825),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2825),
    [sym_preproc_directive] = ACTIONS(2825),
    [anon_sym_LPAREN2] = ACTIONS(2827),
    [anon_sym_BANG] = ACTIONS(2827),
    [anon_sym_TILDE] = ACTIONS(2827),
    [anon_sym_DASH] = ACTIONS(2825),
    [anon_sym_PLUS] = ACTIONS(2825),
    [anon_sym_STAR] = ACTIONS(2827),
    [anon_sym_AMP_AMP] = ACTIONS(2827),
    [anon_sym_AMP] = ACTIONS(2825),
    [anon_sym_SEMI] = ACTIONS(2827),
    [anon_sym___extension__] = ACTIONS(2825),
    [anon_sym_typedef] = ACTIONS(2825),
    [anon_sym_in] = ACTIONS(2825),
    [anon_sym_out] = ACTIONS(2825),
    [anon_sym_inout] = ACTIONS(2825),
    [anon_sym_extern] = ACTIONS(2825),
    [anon_sym___attribute__] = ACTIONS(2825),
    [anon_sym_COLON_COLON] = ACTIONS(2827),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2827),
    [anon_sym___declspec] = ACTIONS(2825),
    [anon_sym___based] = ACTIONS(2825),
    [anon_sym___cdecl] = ACTIONS(2825),
    [anon_sym___clrcall] = ACTIONS(2825),
    [anon_sym___stdcall] = ACTIONS(2825),
    [anon_sym___fastcall] = ACTIONS(2825),
    [anon_sym___thiscall] = ACTIONS(2825),
    [anon_sym___vectorcall] = ACTIONS(2825),
    [anon_sym_LBRACE] = ACTIONS(2827),
    [anon_sym_signed] = ACTIONS(2825),
    [anon_sym_unsigned] = ACTIONS(2825),
    [anon_sym_long] = ACTIONS(2825),
    [anon_sym_short] = ACTIONS(2825),
    [anon_sym_LBRACK] = ACTIONS(2825),
    [anon_sym_static] = ACTIONS(2825),
    [anon_sym_register] = ACTIONS(2825),
    [anon_sym_inline] = ACTIONS(2825),
    [anon_sym___inline] = ACTIONS(2825),
    [anon_sym___inline__] = ACTIONS(2825),
    [anon_sym___forceinline] = ACTIONS(2825),
    [anon_sym_thread_local] = ACTIONS(2825),
    [anon_sym___thread] = ACTIONS(2825),
    [anon_sym_const] = ACTIONS(2825),
    [anon_sym_constexpr] = ACTIONS(2825),
    [anon_sym_volatile] = ACTIONS(2825),
    [anon_sym_restrict] = ACTIONS(2825),
    [anon_sym___restrict__] = ACTIONS(2825),
    [anon_sym__Atomic] = ACTIONS(2825),
    [anon_sym__Noreturn] = ACTIONS(2825),
    [anon_sym_noreturn] = ACTIONS(2825),
    [anon_sym_mutable] = ACTIONS(2825),
    [anon_sym_constinit] = ACTIONS(2825),
    [anon_sym_consteval] = ACTIONS(2825),
    [sym_primitive_type] = ACTIONS(2825),
    [anon_sym_enum] = ACTIONS(2825),
    [anon_sym_class] = ACTIONS(2825),
    [anon_sym_struct] = ACTIONS(2825),
    [anon_sym_union] = ACTIONS(2825),
    [anon_sym_if] = ACTIONS(2825),
    [anon_sym_switch] = ACTIONS(2825),
    [anon_sym_case] = ACTIONS(2825),
    [anon_sym_default] = ACTIONS(2825),
    [anon_sym_while] = ACTIONS(2825),
    [anon_sym_do] = ACTIONS(2825),
    [anon_sym_for] = ACTIONS(2825),
    [anon_sym_return] = ACTIONS(2825),
    [anon_sym_break] = ACTIONS(2825),
    [anon_sym_continue] = ACTIONS(2825),
    [anon_sym_goto] = ACTIONS(2825),
    [anon_sym___try] = ACTIONS(2825),
    [anon_sym___leave] = ACTIONS(2825),
    [anon_sym_not] = ACTIONS(2825),
    [anon_sym_compl] = ACTIONS(2825),
    [anon_sym_DASH_DASH] = ACTIONS(2827),
    [anon_sym_PLUS_PLUS] = ACTIONS(2827),
    [anon_sym_sizeof] = ACTIONS(2825),
    [anon_sym___alignof__] = ACTIONS(2825),
    [anon_sym___alignof] = ACTIONS(2825),
    [anon_sym__alignof] = ACTIONS(2825),
    [anon_sym_alignof] = ACTIONS(2825),
    [anon_sym__Alignof] = ACTIONS(2825),
    [anon_sym_offsetof] = ACTIONS(2825),
    [anon_sym__Generic] = ACTIONS(2825),
    [anon_sym_asm] = ACTIONS(2825),
    [anon_sym___asm__] = ACTIONS(2825),
    [sym_number_literal] = ACTIONS(2827),
    [anon_sym_L_SQUOTE] = ACTIONS(2827),
    [anon_sym_u_SQUOTE] = ACTIONS(2827),
    [anon_sym_U_SQUOTE] = ACTIONS(2827),
    [anon_sym_u8_SQUOTE] = ACTIONS(2827),
    [anon_sym_SQUOTE] = ACTIONS(2827),
    [anon_sym_L_DQUOTE] = ACTIONS(2827),
    [anon_sym_u_DQUOTE] = ACTIONS(2827),
    [anon_sym_U_DQUOTE] = ACTIONS(2827),
    [anon_sym_u8_DQUOTE] = ACTIONS(2827),
    [anon_sym_DQUOTE] = ACTIONS(2827),
    [sym_true] = ACTIONS(2825),
    [sym_false] = ACTIONS(2825),
    [anon_sym_NULL] = ACTIONS(2825),
    [anon_sym_nullptr] = ACTIONS(2825),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2825),
    [anon_sym_decltype] = ACTIONS(2825),
    [anon_sym_virtual] = ACTIONS(2825),
    [anon_sym_alignas] = ACTIONS(2825),
    [anon_sym_explicit] = ACTIONS(2825),
    [anon_sym_typename] = ACTIONS(2825),
    [anon_sym_template] = ACTIONS(2825),
    [anon_sym_operator] = ACTIONS(2825),
    [anon_sym_try] = ACTIONS(2825),
    [anon_sym_delete] = ACTIONS(2825),
    [anon_sym_throw] = ACTIONS(2825),
    [anon_sym_namespace] = ACTIONS(2825),
    [anon_sym_using] = ACTIONS(2825),
    [anon_sym_static_assert] = ACTIONS(2825),
    [anon_sym_concept] = ACTIONS(2825),
    [anon_sym_co_return] = ACTIONS(2825),
    [anon_sym_co_yield] = ACTIONS(2825),
    [anon_sym_R_DQUOTE] = ACTIONS(2827),
    [anon_sym_LR_DQUOTE] = ACTIONS(2827),
    [anon_sym_uR_DQUOTE] = ACTIONS(2827),
    [anon_sym_UR_DQUOTE] = ACTIONS(2827),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2827),
    [anon_sym_co_await] = ACTIONS(2825),
    [anon_sym_new] = ACTIONS(2825),
    [anon_sym_requires] = ACTIONS(2825),
    [sym_this] = ACTIONS(2825),
    [anon_sym_discard] = ACTIONS(2825),
    [anon_sym_precise] = ACTIONS(2825),
    [anon_sym_shared] = ACTIONS(2825),
    [anon_sym_groupshared] = ACTIONS(2825),
    [anon_sym_uniform] = ACTIONS(2825),
    [anon_sym_row_major] = ACTIONS(2825),
    [anon_sym_column_major] = ACTIONS(2825),
    [anon_sym_globallycoherent] = ACTIONS(2825),
    [anon_sym_centroid] = ACTIONS(2825),
    [anon_sym_noperspective] = ACTIONS(2825),
    [anon_sym_nointerpolation] = ACTIONS(2825),
    [anon_sym_sample] = ACTIONS(2825),
    [anon_sym_linear] = ACTIONS(2825),
    [anon_sym_snorm] = ACTIONS(2825),
    [anon_sym_unorm] = ACTIONS(2825),
    [anon_sym_point] = ACTIONS(2825),
    [anon_sym_line] = ACTIONS(2825),
    [anon_sym_triangleadj] = ACTIONS(2825),
    [anon_sym_lineadj] = ACTIONS(2825),
    [anon_sym_triangle] = ACTIONS(2825),
    [anon_sym_cbuffer] = ACTIONS(2825),
  },
  [1172] = {
    [sym_identifier] = ACTIONS(2653),
    [aux_sym_preproc_include_token1] = ACTIONS(2653),
    [aux_sym_preproc_def_token1] = ACTIONS(2653),
    [aux_sym_preproc_if_token1] = ACTIONS(2653),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2653),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2653),
    [sym_preproc_directive] = ACTIONS(2653),
    [anon_sym_LPAREN2] = ACTIONS(2655),
    [anon_sym_BANG] = ACTIONS(2655),
    [anon_sym_TILDE] = ACTIONS(2655),
    [anon_sym_DASH] = ACTIONS(2653),
    [anon_sym_PLUS] = ACTIONS(2653),
    [anon_sym_STAR] = ACTIONS(2655),
    [anon_sym_AMP_AMP] = ACTIONS(2655),
    [anon_sym_AMP] = ACTIONS(2653),
    [anon_sym_SEMI] = ACTIONS(2655),
    [anon_sym___extension__] = ACTIONS(2653),
    [anon_sym_typedef] = ACTIONS(2653),
    [anon_sym_in] = ACTIONS(2653),
    [anon_sym_out] = ACTIONS(2653),
    [anon_sym_inout] = ACTIONS(2653),
    [anon_sym_extern] = ACTIONS(2653),
    [anon_sym___attribute__] = ACTIONS(2653),
    [anon_sym_COLON_COLON] = ACTIONS(2655),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2655),
    [anon_sym___declspec] = ACTIONS(2653),
    [anon_sym___based] = ACTIONS(2653),
    [anon_sym___cdecl] = ACTIONS(2653),
    [anon_sym___clrcall] = ACTIONS(2653),
    [anon_sym___stdcall] = ACTIONS(2653),
    [anon_sym___fastcall] = ACTIONS(2653),
    [anon_sym___thiscall] = ACTIONS(2653),
    [anon_sym___vectorcall] = ACTIONS(2653),
    [anon_sym_LBRACE] = ACTIONS(2655),
    [anon_sym_RBRACE] = ACTIONS(2655),
    [anon_sym_signed] = ACTIONS(2653),
    [anon_sym_unsigned] = ACTIONS(2653),
    [anon_sym_long] = ACTIONS(2653),
    [anon_sym_short] = ACTIONS(2653),
    [anon_sym_LBRACK] = ACTIONS(2653),
    [anon_sym_static] = ACTIONS(2653),
    [anon_sym_register] = ACTIONS(2653),
    [anon_sym_inline] = ACTIONS(2653),
    [anon_sym___inline] = ACTIONS(2653),
    [anon_sym___inline__] = ACTIONS(2653),
    [anon_sym___forceinline] = ACTIONS(2653),
    [anon_sym_thread_local] = ACTIONS(2653),
    [anon_sym___thread] = ACTIONS(2653),
    [anon_sym_const] = ACTIONS(2653),
    [anon_sym_constexpr] = ACTIONS(2653),
    [anon_sym_volatile] = ACTIONS(2653),
    [anon_sym_restrict] = ACTIONS(2653),
    [anon_sym___restrict__] = ACTIONS(2653),
    [anon_sym__Atomic] = ACTIONS(2653),
    [anon_sym__Noreturn] = ACTIONS(2653),
    [anon_sym_noreturn] = ACTIONS(2653),
    [anon_sym_mutable] = ACTIONS(2653),
    [anon_sym_constinit] = ACTIONS(2653),
    [anon_sym_consteval] = ACTIONS(2653),
    [sym_primitive_type] = ACTIONS(2653),
    [anon_sym_enum] = ACTIONS(2653),
    [anon_sym_class] = ACTIONS(2653),
    [anon_sym_struct] = ACTIONS(2653),
    [anon_sym_union] = ACTIONS(2653),
    [anon_sym_if] = ACTIONS(2653),
    [anon_sym_switch] = ACTIONS(2653),
    [anon_sym_case] = ACTIONS(2653),
    [anon_sym_default] = ACTIONS(2653),
    [anon_sym_while] = ACTIONS(2653),
    [anon_sym_do] = ACTIONS(2653),
    [anon_sym_for] = ACTIONS(2653),
    [anon_sym_return] = ACTIONS(2653),
    [anon_sym_break] = ACTIONS(2653),
    [anon_sym_continue] = ACTIONS(2653),
    [anon_sym_goto] = ACTIONS(2653),
    [anon_sym___try] = ACTIONS(2653),
    [anon_sym___leave] = ACTIONS(2653),
    [anon_sym_not] = ACTIONS(2653),
    [anon_sym_compl] = ACTIONS(2653),
    [anon_sym_DASH_DASH] = ACTIONS(2655),
    [anon_sym_PLUS_PLUS] = ACTIONS(2655),
    [anon_sym_sizeof] = ACTIONS(2653),
    [anon_sym___alignof__] = ACTIONS(2653),
    [anon_sym___alignof] = ACTIONS(2653),
    [anon_sym__alignof] = ACTIONS(2653),
    [anon_sym_alignof] = ACTIONS(2653),
    [anon_sym__Alignof] = ACTIONS(2653),
    [anon_sym_offsetof] = ACTIONS(2653),
    [anon_sym__Generic] = ACTIONS(2653),
    [anon_sym_asm] = ACTIONS(2653),
    [anon_sym___asm__] = ACTIONS(2653),
    [sym_number_literal] = ACTIONS(2655),
    [anon_sym_L_SQUOTE] = ACTIONS(2655),
    [anon_sym_u_SQUOTE] = ACTIONS(2655),
    [anon_sym_U_SQUOTE] = ACTIONS(2655),
    [anon_sym_u8_SQUOTE] = ACTIONS(2655),
    [anon_sym_SQUOTE] = ACTIONS(2655),
    [anon_sym_L_DQUOTE] = ACTIONS(2655),
    [anon_sym_u_DQUOTE] = ACTIONS(2655),
    [anon_sym_U_DQUOTE] = ACTIONS(2655),
    [anon_sym_u8_DQUOTE] = ACTIONS(2655),
    [anon_sym_DQUOTE] = ACTIONS(2655),
    [sym_true] = ACTIONS(2653),
    [sym_false] = ACTIONS(2653),
    [anon_sym_NULL] = ACTIONS(2653),
    [anon_sym_nullptr] = ACTIONS(2653),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2653),
    [anon_sym_decltype] = ACTIONS(2653),
    [anon_sym_virtual] = ACTIONS(2653),
    [anon_sym_alignas] = ACTIONS(2653),
    [anon_sym_explicit] = ACTIONS(2653),
    [anon_sym_typename] = ACTIONS(2653),
    [anon_sym_template] = ACTIONS(2653),
    [anon_sym_operator] = ACTIONS(2653),
    [anon_sym_try] = ACTIONS(2653),
    [anon_sym_delete] = ACTIONS(2653),
    [anon_sym_throw] = ACTIONS(2653),
    [anon_sym_namespace] = ACTIONS(2653),
    [anon_sym_using] = ACTIONS(2653),
    [anon_sym_static_assert] = ACTIONS(2653),
    [anon_sym_concept] = ACTIONS(2653),
    [anon_sym_co_return] = ACTIONS(2653),
    [anon_sym_co_yield] = ACTIONS(2653),
    [anon_sym_R_DQUOTE] = ACTIONS(2655),
    [anon_sym_LR_DQUOTE] = ACTIONS(2655),
    [anon_sym_uR_DQUOTE] = ACTIONS(2655),
    [anon_sym_UR_DQUOTE] = ACTIONS(2655),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2655),
    [anon_sym_co_await] = ACTIONS(2653),
    [anon_sym_new] = ACTIONS(2653),
    [anon_sym_requires] = ACTIONS(2653),
    [sym_this] = ACTIONS(2653),
    [anon_sym_discard] = ACTIONS(2653),
    [anon_sym_precise] = ACTIONS(2653),
    [anon_sym_shared] = ACTIONS(2653),
    [anon_sym_groupshared] = ACTIONS(2653),
    [anon_sym_uniform] = ACTIONS(2653),
    [anon_sym_row_major] = ACTIONS(2653),
    [anon_sym_column_major] = ACTIONS(2653),
    [anon_sym_globallycoherent] = ACTIONS(2653),
    [anon_sym_centroid] = ACTIONS(2653),
    [anon_sym_noperspective] = ACTIONS(2653),
    [anon_sym_nointerpolation] = ACTIONS(2653),
    [anon_sym_sample] = ACTIONS(2653),
    [anon_sym_linear] = ACTIONS(2653),
    [anon_sym_snorm] = ACTIONS(2653),
    [anon_sym_unorm] = ACTIONS(2653),
    [anon_sym_point] = ACTIONS(2653),
    [anon_sym_line] = ACTIONS(2653),
    [anon_sym_triangleadj] = ACTIONS(2653),
    [anon_sym_lineadj] = ACTIONS(2653),
    [anon_sym_triangle] = ACTIONS(2653),
    [anon_sym_cbuffer] = ACTIONS(2653),
  },
  [1173] = {
    [sym_identifier] = ACTIONS(2769),
    [aux_sym_preproc_include_token1] = ACTIONS(2769),
    [aux_sym_preproc_def_token1] = ACTIONS(2769),
    [aux_sym_preproc_if_token1] = ACTIONS(2769),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2769),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2769),
    [sym_preproc_directive] = ACTIONS(2769),
    [anon_sym_LPAREN2] = ACTIONS(2771),
    [anon_sym_BANG] = ACTIONS(2771),
    [anon_sym_TILDE] = ACTIONS(2771),
    [anon_sym_DASH] = ACTIONS(2769),
    [anon_sym_PLUS] = ACTIONS(2769),
    [anon_sym_STAR] = ACTIONS(2771),
    [anon_sym_AMP_AMP] = ACTIONS(2771),
    [anon_sym_AMP] = ACTIONS(2769),
    [anon_sym_SEMI] = ACTIONS(2771),
    [anon_sym___extension__] = ACTIONS(2769),
    [anon_sym_typedef] = ACTIONS(2769),
    [anon_sym_in] = ACTIONS(2769),
    [anon_sym_out] = ACTIONS(2769),
    [anon_sym_inout] = ACTIONS(2769),
    [anon_sym_extern] = ACTIONS(2769),
    [anon_sym___attribute__] = ACTIONS(2769),
    [anon_sym_COLON_COLON] = ACTIONS(2771),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2771),
    [anon_sym___declspec] = ACTIONS(2769),
    [anon_sym___based] = ACTIONS(2769),
    [anon_sym___cdecl] = ACTIONS(2769),
    [anon_sym___clrcall] = ACTIONS(2769),
    [anon_sym___stdcall] = ACTIONS(2769),
    [anon_sym___fastcall] = ACTIONS(2769),
    [anon_sym___thiscall] = ACTIONS(2769),
    [anon_sym___vectorcall] = ACTIONS(2769),
    [anon_sym_LBRACE] = ACTIONS(2771),
    [anon_sym_RBRACE] = ACTIONS(2771),
    [anon_sym_signed] = ACTIONS(2769),
    [anon_sym_unsigned] = ACTIONS(2769),
    [anon_sym_long] = ACTIONS(2769),
    [anon_sym_short] = ACTIONS(2769),
    [anon_sym_LBRACK] = ACTIONS(2769),
    [anon_sym_static] = ACTIONS(2769),
    [anon_sym_register] = ACTIONS(2769),
    [anon_sym_inline] = ACTIONS(2769),
    [anon_sym___inline] = ACTIONS(2769),
    [anon_sym___inline__] = ACTIONS(2769),
    [anon_sym___forceinline] = ACTIONS(2769),
    [anon_sym_thread_local] = ACTIONS(2769),
    [anon_sym___thread] = ACTIONS(2769),
    [anon_sym_const] = ACTIONS(2769),
    [anon_sym_constexpr] = ACTIONS(2769),
    [anon_sym_volatile] = ACTIONS(2769),
    [anon_sym_restrict] = ACTIONS(2769),
    [anon_sym___restrict__] = ACTIONS(2769),
    [anon_sym__Atomic] = ACTIONS(2769),
    [anon_sym__Noreturn] = ACTIONS(2769),
    [anon_sym_noreturn] = ACTIONS(2769),
    [anon_sym_mutable] = ACTIONS(2769),
    [anon_sym_constinit] = ACTIONS(2769),
    [anon_sym_consteval] = ACTIONS(2769),
    [sym_primitive_type] = ACTIONS(2769),
    [anon_sym_enum] = ACTIONS(2769),
    [anon_sym_class] = ACTIONS(2769),
    [anon_sym_struct] = ACTIONS(2769),
    [anon_sym_union] = ACTIONS(2769),
    [anon_sym_if] = ACTIONS(2769),
    [anon_sym_switch] = ACTIONS(2769),
    [anon_sym_case] = ACTIONS(2769),
    [anon_sym_default] = ACTIONS(2769),
    [anon_sym_while] = ACTIONS(2769),
    [anon_sym_do] = ACTIONS(2769),
    [anon_sym_for] = ACTIONS(2769),
    [anon_sym_return] = ACTIONS(2769),
    [anon_sym_break] = ACTIONS(2769),
    [anon_sym_continue] = ACTIONS(2769),
    [anon_sym_goto] = ACTIONS(2769),
    [anon_sym___try] = ACTIONS(2769),
    [anon_sym___leave] = ACTIONS(2769),
    [anon_sym_not] = ACTIONS(2769),
    [anon_sym_compl] = ACTIONS(2769),
    [anon_sym_DASH_DASH] = ACTIONS(2771),
    [anon_sym_PLUS_PLUS] = ACTIONS(2771),
    [anon_sym_sizeof] = ACTIONS(2769),
    [anon_sym___alignof__] = ACTIONS(2769),
    [anon_sym___alignof] = ACTIONS(2769),
    [anon_sym__alignof] = ACTIONS(2769),
    [anon_sym_alignof] = ACTIONS(2769),
    [anon_sym__Alignof] = ACTIONS(2769),
    [anon_sym_offsetof] = ACTIONS(2769),
    [anon_sym__Generic] = ACTIONS(2769),
    [anon_sym_asm] = ACTIONS(2769),
    [anon_sym___asm__] = ACTIONS(2769),
    [sym_number_literal] = ACTIONS(2771),
    [anon_sym_L_SQUOTE] = ACTIONS(2771),
    [anon_sym_u_SQUOTE] = ACTIONS(2771),
    [anon_sym_U_SQUOTE] = ACTIONS(2771),
    [anon_sym_u8_SQUOTE] = ACTIONS(2771),
    [anon_sym_SQUOTE] = ACTIONS(2771),
    [anon_sym_L_DQUOTE] = ACTIONS(2771),
    [anon_sym_u_DQUOTE] = ACTIONS(2771),
    [anon_sym_U_DQUOTE] = ACTIONS(2771),
    [anon_sym_u8_DQUOTE] = ACTIONS(2771),
    [anon_sym_DQUOTE] = ACTIONS(2771),
    [sym_true] = ACTIONS(2769),
    [sym_false] = ACTIONS(2769),
    [anon_sym_NULL] = ACTIONS(2769),
    [anon_sym_nullptr] = ACTIONS(2769),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2769),
    [anon_sym_decltype] = ACTIONS(2769),
    [anon_sym_virtual] = ACTIONS(2769),
    [anon_sym_alignas] = ACTIONS(2769),
    [anon_sym_explicit] = ACTIONS(2769),
    [anon_sym_typename] = ACTIONS(2769),
    [anon_sym_template] = ACTIONS(2769),
    [anon_sym_operator] = ACTIONS(2769),
    [anon_sym_try] = ACTIONS(2769),
    [anon_sym_delete] = ACTIONS(2769),
    [anon_sym_throw] = ACTIONS(2769),
    [anon_sym_namespace] = ACTIONS(2769),
    [anon_sym_using] = ACTIONS(2769),
    [anon_sym_static_assert] = ACTIONS(2769),
    [anon_sym_concept] = ACTIONS(2769),
    [anon_sym_co_return] = ACTIONS(2769),
    [anon_sym_co_yield] = ACTIONS(2769),
    [anon_sym_R_DQUOTE] = ACTIONS(2771),
    [anon_sym_LR_DQUOTE] = ACTIONS(2771),
    [anon_sym_uR_DQUOTE] = ACTIONS(2771),
    [anon_sym_UR_DQUOTE] = ACTIONS(2771),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2771),
    [anon_sym_co_await] = ACTIONS(2769),
    [anon_sym_new] = ACTIONS(2769),
    [anon_sym_requires] = ACTIONS(2769),
    [sym_this] = ACTIONS(2769),
    [anon_sym_discard] = ACTIONS(2769),
    [anon_sym_precise] = ACTIONS(2769),
    [anon_sym_shared] = ACTIONS(2769),
    [anon_sym_groupshared] = ACTIONS(2769),
    [anon_sym_uniform] = ACTIONS(2769),
    [anon_sym_row_major] = ACTIONS(2769),
    [anon_sym_column_major] = ACTIONS(2769),
    [anon_sym_globallycoherent] = ACTIONS(2769),
    [anon_sym_centroid] = ACTIONS(2769),
    [anon_sym_noperspective] = ACTIONS(2769),
    [anon_sym_nointerpolation] = ACTIONS(2769),
    [anon_sym_sample] = ACTIONS(2769),
    [anon_sym_linear] = ACTIONS(2769),
    [anon_sym_snorm] = ACTIONS(2769),
    [anon_sym_unorm] = ACTIONS(2769),
    [anon_sym_point] = ACTIONS(2769),
    [anon_sym_line] = ACTIONS(2769),
    [anon_sym_triangleadj] = ACTIONS(2769),
    [anon_sym_lineadj] = ACTIONS(2769),
    [anon_sym_triangle] = ACTIONS(2769),
    [anon_sym_cbuffer] = ACTIONS(2769),
  },
  [1174] = {
    [sym_identifier] = ACTIONS(2833),
    [aux_sym_preproc_include_token1] = ACTIONS(2833),
    [aux_sym_preproc_def_token1] = ACTIONS(2833),
    [aux_sym_preproc_if_token1] = ACTIONS(2833),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2833),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2833),
    [sym_preproc_directive] = ACTIONS(2833),
    [anon_sym_LPAREN2] = ACTIONS(2835),
    [anon_sym_BANG] = ACTIONS(2835),
    [anon_sym_TILDE] = ACTIONS(2835),
    [anon_sym_DASH] = ACTIONS(2833),
    [anon_sym_PLUS] = ACTIONS(2833),
    [anon_sym_STAR] = ACTIONS(2835),
    [anon_sym_AMP_AMP] = ACTIONS(2835),
    [anon_sym_AMP] = ACTIONS(2833),
    [anon_sym_SEMI] = ACTIONS(2835),
    [anon_sym___extension__] = ACTIONS(2833),
    [anon_sym_typedef] = ACTIONS(2833),
    [anon_sym_in] = ACTIONS(2833),
    [anon_sym_out] = ACTIONS(2833),
    [anon_sym_inout] = ACTIONS(2833),
    [anon_sym_extern] = ACTIONS(2833),
    [anon_sym___attribute__] = ACTIONS(2833),
    [anon_sym_COLON_COLON] = ACTIONS(2835),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2835),
    [anon_sym___declspec] = ACTIONS(2833),
    [anon_sym___based] = ACTIONS(2833),
    [anon_sym___cdecl] = ACTIONS(2833),
    [anon_sym___clrcall] = ACTIONS(2833),
    [anon_sym___stdcall] = ACTIONS(2833),
    [anon_sym___fastcall] = ACTIONS(2833),
    [anon_sym___thiscall] = ACTIONS(2833),
    [anon_sym___vectorcall] = ACTIONS(2833),
    [anon_sym_LBRACE] = ACTIONS(2835),
    [anon_sym_RBRACE] = ACTIONS(2835),
    [anon_sym_signed] = ACTIONS(2833),
    [anon_sym_unsigned] = ACTIONS(2833),
    [anon_sym_long] = ACTIONS(2833),
    [anon_sym_short] = ACTIONS(2833),
    [anon_sym_LBRACK] = ACTIONS(2833),
    [anon_sym_static] = ACTIONS(2833),
    [anon_sym_register] = ACTIONS(2833),
    [anon_sym_inline] = ACTIONS(2833),
    [anon_sym___inline] = ACTIONS(2833),
    [anon_sym___inline__] = ACTIONS(2833),
    [anon_sym___forceinline] = ACTIONS(2833),
    [anon_sym_thread_local] = ACTIONS(2833),
    [anon_sym___thread] = ACTIONS(2833),
    [anon_sym_const] = ACTIONS(2833),
    [anon_sym_constexpr] = ACTIONS(2833),
    [anon_sym_volatile] = ACTIONS(2833),
    [anon_sym_restrict] = ACTIONS(2833),
    [anon_sym___restrict__] = ACTIONS(2833),
    [anon_sym__Atomic] = ACTIONS(2833),
    [anon_sym__Noreturn] = ACTIONS(2833),
    [anon_sym_noreturn] = ACTIONS(2833),
    [anon_sym_mutable] = ACTIONS(2833),
    [anon_sym_constinit] = ACTIONS(2833),
    [anon_sym_consteval] = ACTIONS(2833),
    [sym_primitive_type] = ACTIONS(2833),
    [anon_sym_enum] = ACTIONS(2833),
    [anon_sym_class] = ACTIONS(2833),
    [anon_sym_struct] = ACTIONS(2833),
    [anon_sym_union] = ACTIONS(2833),
    [anon_sym_if] = ACTIONS(2833),
    [anon_sym_switch] = ACTIONS(2833),
    [anon_sym_case] = ACTIONS(2833),
    [anon_sym_default] = ACTIONS(2833),
    [anon_sym_while] = ACTIONS(2833),
    [anon_sym_do] = ACTIONS(2833),
    [anon_sym_for] = ACTIONS(2833),
    [anon_sym_return] = ACTIONS(2833),
    [anon_sym_break] = ACTIONS(2833),
    [anon_sym_continue] = ACTIONS(2833),
    [anon_sym_goto] = ACTIONS(2833),
    [anon_sym___try] = ACTIONS(2833),
    [anon_sym___leave] = ACTIONS(2833),
    [anon_sym_not] = ACTIONS(2833),
    [anon_sym_compl] = ACTIONS(2833),
    [anon_sym_DASH_DASH] = ACTIONS(2835),
    [anon_sym_PLUS_PLUS] = ACTIONS(2835),
    [anon_sym_sizeof] = ACTIONS(2833),
    [anon_sym___alignof__] = ACTIONS(2833),
    [anon_sym___alignof] = ACTIONS(2833),
    [anon_sym__alignof] = ACTIONS(2833),
    [anon_sym_alignof] = ACTIONS(2833),
    [anon_sym__Alignof] = ACTIONS(2833),
    [anon_sym_offsetof] = ACTIONS(2833),
    [anon_sym__Generic] = ACTIONS(2833),
    [anon_sym_asm] = ACTIONS(2833),
    [anon_sym___asm__] = ACTIONS(2833),
    [sym_number_literal] = ACTIONS(2835),
    [anon_sym_L_SQUOTE] = ACTIONS(2835),
    [anon_sym_u_SQUOTE] = ACTIONS(2835),
    [anon_sym_U_SQUOTE] = ACTIONS(2835),
    [anon_sym_u8_SQUOTE] = ACTIONS(2835),
    [anon_sym_SQUOTE] = ACTIONS(2835),
    [anon_sym_L_DQUOTE] = ACTIONS(2835),
    [anon_sym_u_DQUOTE] = ACTIONS(2835),
    [anon_sym_U_DQUOTE] = ACTIONS(2835),
    [anon_sym_u8_DQUOTE] = ACTIONS(2835),
    [anon_sym_DQUOTE] = ACTIONS(2835),
    [sym_true] = ACTIONS(2833),
    [sym_false] = ACTIONS(2833),
    [anon_sym_NULL] = ACTIONS(2833),
    [anon_sym_nullptr] = ACTIONS(2833),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2833),
    [anon_sym_decltype] = ACTIONS(2833),
    [anon_sym_virtual] = ACTIONS(2833),
    [anon_sym_alignas] = ACTIONS(2833),
    [anon_sym_explicit] = ACTIONS(2833),
    [anon_sym_typename] = ACTIONS(2833),
    [anon_sym_template] = ACTIONS(2833),
    [anon_sym_operator] = ACTIONS(2833),
    [anon_sym_try] = ACTIONS(2833),
    [anon_sym_delete] = ACTIONS(2833),
    [anon_sym_throw] = ACTIONS(2833),
    [anon_sym_namespace] = ACTIONS(2833),
    [anon_sym_using] = ACTIONS(2833),
    [anon_sym_static_assert] = ACTIONS(2833),
    [anon_sym_concept] = ACTIONS(2833),
    [anon_sym_co_return] = ACTIONS(2833),
    [anon_sym_co_yield] = ACTIONS(2833),
    [anon_sym_R_DQUOTE] = ACTIONS(2835),
    [anon_sym_LR_DQUOTE] = ACTIONS(2835),
    [anon_sym_uR_DQUOTE] = ACTIONS(2835),
    [anon_sym_UR_DQUOTE] = ACTIONS(2835),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2835),
    [anon_sym_co_await] = ACTIONS(2833),
    [anon_sym_new] = ACTIONS(2833),
    [anon_sym_requires] = ACTIONS(2833),
    [sym_this] = ACTIONS(2833),
    [anon_sym_discard] = ACTIONS(2833),
    [anon_sym_precise] = ACTIONS(2833),
    [anon_sym_shared] = ACTIONS(2833),
    [anon_sym_groupshared] = ACTIONS(2833),
    [anon_sym_uniform] = ACTIONS(2833),
    [anon_sym_row_major] = ACTIONS(2833),
    [anon_sym_column_major] = ACTIONS(2833),
    [anon_sym_globallycoherent] = ACTIONS(2833),
    [anon_sym_centroid] = ACTIONS(2833),
    [anon_sym_noperspective] = ACTIONS(2833),
    [anon_sym_nointerpolation] = ACTIONS(2833),
    [anon_sym_sample] = ACTIONS(2833),
    [anon_sym_linear] = ACTIONS(2833),
    [anon_sym_snorm] = ACTIONS(2833),
    [anon_sym_unorm] = ACTIONS(2833),
    [anon_sym_point] = ACTIONS(2833),
    [anon_sym_line] = ACTIONS(2833),
    [anon_sym_triangleadj] = ACTIONS(2833),
    [anon_sym_lineadj] = ACTIONS(2833),
    [anon_sym_triangle] = ACTIONS(2833),
    [anon_sym_cbuffer] = ACTIONS(2833),
  },
  [1175] = {
    [sym_identifier] = ACTIONS(2785),
    [aux_sym_preproc_include_token1] = ACTIONS(2785),
    [aux_sym_preproc_def_token1] = ACTIONS(2785),
    [aux_sym_preproc_if_token1] = ACTIONS(2785),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2785),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2785),
    [sym_preproc_directive] = ACTIONS(2785),
    [anon_sym_LPAREN2] = ACTIONS(2787),
    [anon_sym_BANG] = ACTIONS(2787),
    [anon_sym_TILDE] = ACTIONS(2787),
    [anon_sym_DASH] = ACTIONS(2785),
    [anon_sym_PLUS] = ACTIONS(2785),
    [anon_sym_STAR] = ACTIONS(2787),
    [anon_sym_AMP_AMP] = ACTIONS(2787),
    [anon_sym_AMP] = ACTIONS(2785),
    [anon_sym_SEMI] = ACTIONS(2787),
    [anon_sym___extension__] = ACTIONS(2785),
    [anon_sym_typedef] = ACTIONS(2785),
    [anon_sym_in] = ACTIONS(2785),
    [anon_sym_out] = ACTIONS(2785),
    [anon_sym_inout] = ACTIONS(2785),
    [anon_sym_extern] = ACTIONS(2785),
    [anon_sym___attribute__] = ACTIONS(2785),
    [anon_sym_COLON_COLON] = ACTIONS(2787),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2787),
    [anon_sym___declspec] = ACTIONS(2785),
    [anon_sym___based] = ACTIONS(2785),
    [anon_sym___cdecl] = ACTIONS(2785),
    [anon_sym___clrcall] = ACTIONS(2785),
    [anon_sym___stdcall] = ACTIONS(2785),
    [anon_sym___fastcall] = ACTIONS(2785),
    [anon_sym___thiscall] = ACTIONS(2785),
    [anon_sym___vectorcall] = ACTIONS(2785),
    [anon_sym_LBRACE] = ACTIONS(2787),
    [anon_sym_RBRACE] = ACTIONS(2787),
    [anon_sym_signed] = ACTIONS(2785),
    [anon_sym_unsigned] = ACTIONS(2785),
    [anon_sym_long] = ACTIONS(2785),
    [anon_sym_short] = ACTIONS(2785),
    [anon_sym_LBRACK] = ACTIONS(2785),
    [anon_sym_static] = ACTIONS(2785),
    [anon_sym_register] = ACTIONS(2785),
    [anon_sym_inline] = ACTIONS(2785),
    [anon_sym___inline] = ACTIONS(2785),
    [anon_sym___inline__] = ACTIONS(2785),
    [anon_sym___forceinline] = ACTIONS(2785),
    [anon_sym_thread_local] = ACTIONS(2785),
    [anon_sym___thread] = ACTIONS(2785),
    [anon_sym_const] = ACTIONS(2785),
    [anon_sym_constexpr] = ACTIONS(2785),
    [anon_sym_volatile] = ACTIONS(2785),
    [anon_sym_restrict] = ACTIONS(2785),
    [anon_sym___restrict__] = ACTIONS(2785),
    [anon_sym__Atomic] = ACTIONS(2785),
    [anon_sym__Noreturn] = ACTIONS(2785),
    [anon_sym_noreturn] = ACTIONS(2785),
    [anon_sym_mutable] = ACTIONS(2785),
    [anon_sym_constinit] = ACTIONS(2785),
    [anon_sym_consteval] = ACTIONS(2785),
    [sym_primitive_type] = ACTIONS(2785),
    [anon_sym_enum] = ACTIONS(2785),
    [anon_sym_class] = ACTIONS(2785),
    [anon_sym_struct] = ACTIONS(2785),
    [anon_sym_union] = ACTIONS(2785),
    [anon_sym_if] = ACTIONS(2785),
    [anon_sym_switch] = ACTIONS(2785),
    [anon_sym_case] = ACTIONS(2785),
    [anon_sym_default] = ACTIONS(2785),
    [anon_sym_while] = ACTIONS(2785),
    [anon_sym_do] = ACTIONS(2785),
    [anon_sym_for] = ACTIONS(2785),
    [anon_sym_return] = ACTIONS(2785),
    [anon_sym_break] = ACTIONS(2785),
    [anon_sym_continue] = ACTIONS(2785),
    [anon_sym_goto] = ACTIONS(2785),
    [anon_sym___try] = ACTIONS(2785),
    [anon_sym___leave] = ACTIONS(2785),
    [anon_sym_not] = ACTIONS(2785),
    [anon_sym_compl] = ACTIONS(2785),
    [anon_sym_DASH_DASH] = ACTIONS(2787),
    [anon_sym_PLUS_PLUS] = ACTIONS(2787),
    [anon_sym_sizeof] = ACTIONS(2785),
    [anon_sym___alignof__] = ACTIONS(2785),
    [anon_sym___alignof] = ACTIONS(2785),
    [anon_sym__alignof] = ACTIONS(2785),
    [anon_sym_alignof] = ACTIONS(2785),
    [anon_sym__Alignof] = ACTIONS(2785),
    [anon_sym_offsetof] = ACTIONS(2785),
    [anon_sym__Generic] = ACTIONS(2785),
    [anon_sym_asm] = ACTIONS(2785),
    [anon_sym___asm__] = ACTIONS(2785),
    [sym_number_literal] = ACTIONS(2787),
    [anon_sym_L_SQUOTE] = ACTIONS(2787),
    [anon_sym_u_SQUOTE] = ACTIONS(2787),
    [anon_sym_U_SQUOTE] = ACTIONS(2787),
    [anon_sym_u8_SQUOTE] = ACTIONS(2787),
    [anon_sym_SQUOTE] = ACTIONS(2787),
    [anon_sym_L_DQUOTE] = ACTIONS(2787),
    [anon_sym_u_DQUOTE] = ACTIONS(2787),
    [anon_sym_U_DQUOTE] = ACTIONS(2787),
    [anon_sym_u8_DQUOTE] = ACTIONS(2787),
    [anon_sym_DQUOTE] = ACTIONS(2787),
    [sym_true] = ACTIONS(2785),
    [sym_false] = ACTIONS(2785),
    [anon_sym_NULL] = ACTIONS(2785),
    [anon_sym_nullptr] = ACTIONS(2785),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2785),
    [anon_sym_decltype] = ACTIONS(2785),
    [anon_sym_virtual] = ACTIONS(2785),
    [anon_sym_alignas] = ACTIONS(2785),
    [anon_sym_explicit] = ACTIONS(2785),
    [anon_sym_typename] = ACTIONS(2785),
    [anon_sym_template] = ACTIONS(2785),
    [anon_sym_operator] = ACTIONS(2785),
    [anon_sym_try] = ACTIONS(2785),
    [anon_sym_delete] = ACTIONS(2785),
    [anon_sym_throw] = ACTIONS(2785),
    [anon_sym_namespace] = ACTIONS(2785),
    [anon_sym_using] = ACTIONS(2785),
    [anon_sym_static_assert] = ACTIONS(2785),
    [anon_sym_concept] = ACTIONS(2785),
    [anon_sym_co_return] = ACTIONS(2785),
    [anon_sym_co_yield] = ACTIONS(2785),
    [anon_sym_R_DQUOTE] = ACTIONS(2787),
    [anon_sym_LR_DQUOTE] = ACTIONS(2787),
    [anon_sym_uR_DQUOTE] = ACTIONS(2787),
    [anon_sym_UR_DQUOTE] = ACTIONS(2787),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2787),
    [anon_sym_co_await] = ACTIONS(2785),
    [anon_sym_new] = ACTIONS(2785),
    [anon_sym_requires] = ACTIONS(2785),
    [sym_this] = ACTIONS(2785),
    [anon_sym_discard] = ACTIONS(2785),
    [anon_sym_precise] = ACTIONS(2785),
    [anon_sym_shared] = ACTIONS(2785),
    [anon_sym_groupshared] = ACTIONS(2785),
    [anon_sym_uniform] = ACTIONS(2785),
    [anon_sym_row_major] = ACTIONS(2785),
    [anon_sym_column_major] = ACTIONS(2785),
    [anon_sym_globallycoherent] = ACTIONS(2785),
    [anon_sym_centroid] = ACTIONS(2785),
    [anon_sym_noperspective] = ACTIONS(2785),
    [anon_sym_nointerpolation] = ACTIONS(2785),
    [anon_sym_sample] = ACTIONS(2785),
    [anon_sym_linear] = ACTIONS(2785),
    [anon_sym_snorm] = ACTIONS(2785),
    [anon_sym_unorm] = ACTIONS(2785),
    [anon_sym_point] = ACTIONS(2785),
    [anon_sym_line] = ACTIONS(2785),
    [anon_sym_triangleadj] = ACTIONS(2785),
    [anon_sym_lineadj] = ACTIONS(2785),
    [anon_sym_triangle] = ACTIONS(2785),
    [anon_sym_cbuffer] = ACTIONS(2785),
  },
  [1176] = {
    [sym_identifier] = ACTIONS(2641),
    [aux_sym_preproc_include_token1] = ACTIONS(2641),
    [aux_sym_preproc_def_token1] = ACTIONS(2641),
    [aux_sym_preproc_if_token1] = ACTIONS(2641),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2641),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2641),
    [sym_preproc_directive] = ACTIONS(2641),
    [anon_sym_LPAREN2] = ACTIONS(2643),
    [anon_sym_BANG] = ACTIONS(2643),
    [anon_sym_TILDE] = ACTIONS(2643),
    [anon_sym_DASH] = ACTIONS(2641),
    [anon_sym_PLUS] = ACTIONS(2641),
    [anon_sym_STAR] = ACTIONS(2643),
    [anon_sym_AMP_AMP] = ACTIONS(2643),
    [anon_sym_AMP] = ACTIONS(2641),
    [anon_sym_SEMI] = ACTIONS(2643),
    [anon_sym___extension__] = ACTIONS(2641),
    [anon_sym_typedef] = ACTIONS(2641),
    [anon_sym_in] = ACTIONS(2641),
    [anon_sym_out] = ACTIONS(2641),
    [anon_sym_inout] = ACTIONS(2641),
    [anon_sym_extern] = ACTIONS(2641),
    [anon_sym___attribute__] = ACTIONS(2641),
    [anon_sym_COLON_COLON] = ACTIONS(2643),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2643),
    [anon_sym___declspec] = ACTIONS(2641),
    [anon_sym___based] = ACTIONS(2641),
    [anon_sym___cdecl] = ACTIONS(2641),
    [anon_sym___clrcall] = ACTIONS(2641),
    [anon_sym___stdcall] = ACTIONS(2641),
    [anon_sym___fastcall] = ACTIONS(2641),
    [anon_sym___thiscall] = ACTIONS(2641),
    [anon_sym___vectorcall] = ACTIONS(2641),
    [anon_sym_LBRACE] = ACTIONS(2643),
    [anon_sym_RBRACE] = ACTIONS(2643),
    [anon_sym_signed] = ACTIONS(2641),
    [anon_sym_unsigned] = ACTIONS(2641),
    [anon_sym_long] = ACTIONS(2641),
    [anon_sym_short] = ACTIONS(2641),
    [anon_sym_LBRACK] = ACTIONS(2641),
    [anon_sym_static] = ACTIONS(2641),
    [anon_sym_register] = ACTIONS(2641),
    [anon_sym_inline] = ACTIONS(2641),
    [anon_sym___inline] = ACTIONS(2641),
    [anon_sym___inline__] = ACTIONS(2641),
    [anon_sym___forceinline] = ACTIONS(2641),
    [anon_sym_thread_local] = ACTIONS(2641),
    [anon_sym___thread] = ACTIONS(2641),
    [anon_sym_const] = ACTIONS(2641),
    [anon_sym_constexpr] = ACTIONS(2641),
    [anon_sym_volatile] = ACTIONS(2641),
    [anon_sym_restrict] = ACTIONS(2641),
    [anon_sym___restrict__] = ACTIONS(2641),
    [anon_sym__Atomic] = ACTIONS(2641),
    [anon_sym__Noreturn] = ACTIONS(2641),
    [anon_sym_noreturn] = ACTIONS(2641),
    [anon_sym_mutable] = ACTIONS(2641),
    [anon_sym_constinit] = ACTIONS(2641),
    [anon_sym_consteval] = ACTIONS(2641),
    [sym_primitive_type] = ACTIONS(2641),
    [anon_sym_enum] = ACTIONS(2641),
    [anon_sym_class] = ACTIONS(2641),
    [anon_sym_struct] = ACTIONS(2641),
    [anon_sym_union] = ACTIONS(2641),
    [anon_sym_if] = ACTIONS(2641),
    [anon_sym_switch] = ACTIONS(2641),
    [anon_sym_case] = ACTIONS(2641),
    [anon_sym_default] = ACTIONS(2641),
    [anon_sym_while] = ACTIONS(2641),
    [anon_sym_do] = ACTIONS(2641),
    [anon_sym_for] = ACTIONS(2641),
    [anon_sym_return] = ACTIONS(2641),
    [anon_sym_break] = ACTIONS(2641),
    [anon_sym_continue] = ACTIONS(2641),
    [anon_sym_goto] = ACTIONS(2641),
    [anon_sym___try] = ACTIONS(2641),
    [anon_sym___leave] = ACTIONS(2641),
    [anon_sym_not] = ACTIONS(2641),
    [anon_sym_compl] = ACTIONS(2641),
    [anon_sym_DASH_DASH] = ACTIONS(2643),
    [anon_sym_PLUS_PLUS] = ACTIONS(2643),
    [anon_sym_sizeof] = ACTIONS(2641),
    [anon_sym___alignof__] = ACTIONS(2641),
    [anon_sym___alignof] = ACTIONS(2641),
    [anon_sym__alignof] = ACTIONS(2641),
    [anon_sym_alignof] = ACTIONS(2641),
    [anon_sym__Alignof] = ACTIONS(2641),
    [anon_sym_offsetof] = ACTIONS(2641),
    [anon_sym__Generic] = ACTIONS(2641),
    [anon_sym_asm] = ACTIONS(2641),
    [anon_sym___asm__] = ACTIONS(2641),
    [sym_number_literal] = ACTIONS(2643),
    [anon_sym_L_SQUOTE] = ACTIONS(2643),
    [anon_sym_u_SQUOTE] = ACTIONS(2643),
    [anon_sym_U_SQUOTE] = ACTIONS(2643),
    [anon_sym_u8_SQUOTE] = ACTIONS(2643),
    [anon_sym_SQUOTE] = ACTIONS(2643),
    [anon_sym_L_DQUOTE] = ACTIONS(2643),
    [anon_sym_u_DQUOTE] = ACTIONS(2643),
    [anon_sym_U_DQUOTE] = ACTIONS(2643),
    [anon_sym_u8_DQUOTE] = ACTIONS(2643),
    [anon_sym_DQUOTE] = ACTIONS(2643),
    [sym_true] = ACTIONS(2641),
    [sym_false] = ACTIONS(2641),
    [anon_sym_NULL] = ACTIONS(2641),
    [anon_sym_nullptr] = ACTIONS(2641),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2641),
    [anon_sym_decltype] = ACTIONS(2641),
    [anon_sym_virtual] = ACTIONS(2641),
    [anon_sym_alignas] = ACTIONS(2641),
    [anon_sym_explicit] = ACTIONS(2641),
    [anon_sym_typename] = ACTIONS(2641),
    [anon_sym_template] = ACTIONS(2641),
    [anon_sym_operator] = ACTIONS(2641),
    [anon_sym_try] = ACTIONS(2641),
    [anon_sym_delete] = ACTIONS(2641),
    [anon_sym_throw] = ACTIONS(2641),
    [anon_sym_namespace] = ACTIONS(2641),
    [anon_sym_using] = ACTIONS(2641),
    [anon_sym_static_assert] = ACTIONS(2641),
    [anon_sym_concept] = ACTIONS(2641),
    [anon_sym_co_return] = ACTIONS(2641),
    [anon_sym_co_yield] = ACTIONS(2641),
    [anon_sym_R_DQUOTE] = ACTIONS(2643),
    [anon_sym_LR_DQUOTE] = ACTIONS(2643),
    [anon_sym_uR_DQUOTE] = ACTIONS(2643),
    [anon_sym_UR_DQUOTE] = ACTIONS(2643),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2643),
    [anon_sym_co_await] = ACTIONS(2641),
    [anon_sym_new] = ACTIONS(2641),
    [anon_sym_requires] = ACTIONS(2641),
    [sym_this] = ACTIONS(2641),
    [anon_sym_discard] = ACTIONS(2641),
    [anon_sym_precise] = ACTIONS(2641),
    [anon_sym_shared] = ACTIONS(2641),
    [anon_sym_groupshared] = ACTIONS(2641),
    [anon_sym_uniform] = ACTIONS(2641),
    [anon_sym_row_major] = ACTIONS(2641),
    [anon_sym_column_major] = ACTIONS(2641),
    [anon_sym_globallycoherent] = ACTIONS(2641),
    [anon_sym_centroid] = ACTIONS(2641),
    [anon_sym_noperspective] = ACTIONS(2641),
    [anon_sym_nointerpolation] = ACTIONS(2641),
    [anon_sym_sample] = ACTIONS(2641),
    [anon_sym_linear] = ACTIONS(2641),
    [anon_sym_snorm] = ACTIONS(2641),
    [anon_sym_unorm] = ACTIONS(2641),
    [anon_sym_point] = ACTIONS(2641),
    [anon_sym_line] = ACTIONS(2641),
    [anon_sym_triangleadj] = ACTIONS(2641),
    [anon_sym_lineadj] = ACTIONS(2641),
    [anon_sym_triangle] = ACTIONS(2641),
    [anon_sym_cbuffer] = ACTIONS(2641),
  },
  [1177] = {
    [sym_identifier] = ACTIONS(2769),
    [aux_sym_preproc_include_token1] = ACTIONS(2769),
    [aux_sym_preproc_def_token1] = ACTIONS(2769),
    [aux_sym_preproc_if_token1] = ACTIONS(2769),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2769),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2769),
    [sym_preproc_directive] = ACTIONS(2769),
    [anon_sym_LPAREN2] = ACTIONS(2771),
    [anon_sym_BANG] = ACTIONS(2771),
    [anon_sym_TILDE] = ACTIONS(2771),
    [anon_sym_DASH] = ACTIONS(2769),
    [anon_sym_PLUS] = ACTIONS(2769),
    [anon_sym_STAR] = ACTIONS(2771),
    [anon_sym_AMP_AMP] = ACTIONS(2771),
    [anon_sym_AMP] = ACTIONS(2769),
    [anon_sym_SEMI] = ACTIONS(2771),
    [anon_sym___extension__] = ACTIONS(2769),
    [anon_sym_typedef] = ACTIONS(2769),
    [anon_sym_in] = ACTIONS(2769),
    [anon_sym_out] = ACTIONS(2769),
    [anon_sym_inout] = ACTIONS(2769),
    [anon_sym_extern] = ACTIONS(2769),
    [anon_sym___attribute__] = ACTIONS(2769),
    [anon_sym_COLON_COLON] = ACTIONS(2771),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2771),
    [anon_sym___declspec] = ACTIONS(2769),
    [anon_sym___based] = ACTIONS(2769),
    [anon_sym___cdecl] = ACTIONS(2769),
    [anon_sym___clrcall] = ACTIONS(2769),
    [anon_sym___stdcall] = ACTIONS(2769),
    [anon_sym___fastcall] = ACTIONS(2769),
    [anon_sym___thiscall] = ACTIONS(2769),
    [anon_sym___vectorcall] = ACTIONS(2769),
    [anon_sym_LBRACE] = ACTIONS(2771),
    [anon_sym_RBRACE] = ACTIONS(2771),
    [anon_sym_signed] = ACTIONS(2769),
    [anon_sym_unsigned] = ACTIONS(2769),
    [anon_sym_long] = ACTIONS(2769),
    [anon_sym_short] = ACTIONS(2769),
    [anon_sym_LBRACK] = ACTIONS(2769),
    [anon_sym_static] = ACTIONS(2769),
    [anon_sym_register] = ACTIONS(2769),
    [anon_sym_inline] = ACTIONS(2769),
    [anon_sym___inline] = ACTIONS(2769),
    [anon_sym___inline__] = ACTIONS(2769),
    [anon_sym___forceinline] = ACTIONS(2769),
    [anon_sym_thread_local] = ACTIONS(2769),
    [anon_sym___thread] = ACTIONS(2769),
    [anon_sym_const] = ACTIONS(2769),
    [anon_sym_constexpr] = ACTIONS(2769),
    [anon_sym_volatile] = ACTIONS(2769),
    [anon_sym_restrict] = ACTIONS(2769),
    [anon_sym___restrict__] = ACTIONS(2769),
    [anon_sym__Atomic] = ACTIONS(2769),
    [anon_sym__Noreturn] = ACTIONS(2769),
    [anon_sym_noreturn] = ACTIONS(2769),
    [anon_sym_mutable] = ACTIONS(2769),
    [anon_sym_constinit] = ACTIONS(2769),
    [anon_sym_consteval] = ACTIONS(2769),
    [sym_primitive_type] = ACTIONS(2769),
    [anon_sym_enum] = ACTIONS(2769),
    [anon_sym_class] = ACTIONS(2769),
    [anon_sym_struct] = ACTIONS(2769),
    [anon_sym_union] = ACTIONS(2769),
    [anon_sym_if] = ACTIONS(2769),
    [anon_sym_switch] = ACTIONS(2769),
    [anon_sym_case] = ACTIONS(2769),
    [anon_sym_default] = ACTIONS(2769),
    [anon_sym_while] = ACTIONS(2769),
    [anon_sym_do] = ACTIONS(2769),
    [anon_sym_for] = ACTIONS(2769),
    [anon_sym_return] = ACTIONS(2769),
    [anon_sym_break] = ACTIONS(2769),
    [anon_sym_continue] = ACTIONS(2769),
    [anon_sym_goto] = ACTIONS(2769),
    [anon_sym___try] = ACTIONS(2769),
    [anon_sym___leave] = ACTIONS(2769),
    [anon_sym_not] = ACTIONS(2769),
    [anon_sym_compl] = ACTIONS(2769),
    [anon_sym_DASH_DASH] = ACTIONS(2771),
    [anon_sym_PLUS_PLUS] = ACTIONS(2771),
    [anon_sym_sizeof] = ACTIONS(2769),
    [anon_sym___alignof__] = ACTIONS(2769),
    [anon_sym___alignof] = ACTIONS(2769),
    [anon_sym__alignof] = ACTIONS(2769),
    [anon_sym_alignof] = ACTIONS(2769),
    [anon_sym__Alignof] = ACTIONS(2769),
    [anon_sym_offsetof] = ACTIONS(2769),
    [anon_sym__Generic] = ACTIONS(2769),
    [anon_sym_asm] = ACTIONS(2769),
    [anon_sym___asm__] = ACTIONS(2769),
    [sym_number_literal] = ACTIONS(2771),
    [anon_sym_L_SQUOTE] = ACTIONS(2771),
    [anon_sym_u_SQUOTE] = ACTIONS(2771),
    [anon_sym_U_SQUOTE] = ACTIONS(2771),
    [anon_sym_u8_SQUOTE] = ACTIONS(2771),
    [anon_sym_SQUOTE] = ACTIONS(2771),
    [anon_sym_L_DQUOTE] = ACTIONS(2771),
    [anon_sym_u_DQUOTE] = ACTIONS(2771),
    [anon_sym_U_DQUOTE] = ACTIONS(2771),
    [anon_sym_u8_DQUOTE] = ACTIONS(2771),
    [anon_sym_DQUOTE] = ACTIONS(2771),
    [sym_true] = ACTIONS(2769),
    [sym_false] = ACTIONS(2769),
    [anon_sym_NULL] = ACTIONS(2769),
    [anon_sym_nullptr] = ACTIONS(2769),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2769),
    [anon_sym_decltype] = ACTIONS(2769),
    [anon_sym_virtual] = ACTIONS(2769),
    [anon_sym_alignas] = ACTIONS(2769),
    [anon_sym_explicit] = ACTIONS(2769),
    [anon_sym_typename] = ACTIONS(2769),
    [anon_sym_template] = ACTIONS(2769),
    [anon_sym_operator] = ACTIONS(2769),
    [anon_sym_try] = ACTIONS(2769),
    [anon_sym_delete] = ACTIONS(2769),
    [anon_sym_throw] = ACTIONS(2769),
    [anon_sym_namespace] = ACTIONS(2769),
    [anon_sym_using] = ACTIONS(2769),
    [anon_sym_static_assert] = ACTIONS(2769),
    [anon_sym_concept] = ACTIONS(2769),
    [anon_sym_co_return] = ACTIONS(2769),
    [anon_sym_co_yield] = ACTIONS(2769),
    [anon_sym_R_DQUOTE] = ACTIONS(2771),
    [anon_sym_LR_DQUOTE] = ACTIONS(2771),
    [anon_sym_uR_DQUOTE] = ACTIONS(2771),
    [anon_sym_UR_DQUOTE] = ACTIONS(2771),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2771),
    [anon_sym_co_await] = ACTIONS(2769),
    [anon_sym_new] = ACTIONS(2769),
    [anon_sym_requires] = ACTIONS(2769),
    [sym_this] = ACTIONS(2769),
    [anon_sym_discard] = ACTIONS(2769),
    [anon_sym_precise] = ACTIONS(2769),
    [anon_sym_shared] = ACTIONS(2769),
    [anon_sym_groupshared] = ACTIONS(2769),
    [anon_sym_uniform] = ACTIONS(2769),
    [anon_sym_row_major] = ACTIONS(2769),
    [anon_sym_column_major] = ACTIONS(2769),
    [anon_sym_globallycoherent] = ACTIONS(2769),
    [anon_sym_centroid] = ACTIONS(2769),
    [anon_sym_noperspective] = ACTIONS(2769),
    [anon_sym_nointerpolation] = ACTIONS(2769),
    [anon_sym_sample] = ACTIONS(2769),
    [anon_sym_linear] = ACTIONS(2769),
    [anon_sym_snorm] = ACTIONS(2769),
    [anon_sym_unorm] = ACTIONS(2769),
    [anon_sym_point] = ACTIONS(2769),
    [anon_sym_line] = ACTIONS(2769),
    [anon_sym_triangleadj] = ACTIONS(2769),
    [anon_sym_lineadj] = ACTIONS(2769),
    [anon_sym_triangle] = ACTIONS(2769),
    [anon_sym_cbuffer] = ACTIONS(2769),
  },
  [1178] = {
    [sym_preproc_def] = STATE(1199),
    [sym_preproc_function_def] = STATE(1199),
    [sym_preproc_call] = STATE(1199),
    [sym_preproc_if_in_field_declaration_list] = STATE(1199),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(1199),
    [sym_preproc_else_in_field_declaration_list] = STATE(9938),
    [sym_preproc_elif_in_field_declaration_list] = STATE(9938),
    [sym_type_definition] = STATE(1199),
    [sym__declaration_modifiers] = STATE(3159),
    [sym__declaration_specifiers] = STATE(6914),
    [sym_attribute_specifier] = STATE(3159),
    [sym_attribute_declaration] = STATE(3159),
    [sym_ms_declspec_modifier] = STATE(3159),
    [sym_ms_based_modifier] = STATE(10332),
    [sym__declarator] = STATE(7978),
    [sym_parenthesized_declarator] = STATE(7680),
    [sym_attributed_declarator] = STATE(7680),
    [sym_pointer_declarator] = STATE(7680),
    [sym_function_declarator] = STATE(7532),
    [sym_array_declarator] = STATE(7680),
    [sym_storage_class_specifier] = STATE(3159),
    [sym_type_qualifier] = STATE(3159),
    [sym__type_specifier] = STATE(2827),
    [sym_sized_type_specifier] = STATE(3085),
    [sym_enum_specifier] = STATE(3085),
    [sym_struct_specifier] = STATE(3085),
    [sym_union_specifier] = STATE(3085),
    [sym__field_declaration_list_item] = STATE(1199),
    [sym_field_declaration] = STATE(1199),
    [sym_placeholder_type_specifier] = STATE(3085),
    [sym_decltype_auto] = STATE(3091),
    [sym_decltype] = STATE(3050),
    [sym_class_specifier] = STATE(3085),
    [sym_virtual] = STATE(3159),
    [sym_alignas_specifier] = STATE(3159),
    [sym_explicit_function_specifier] = STATE(2521),
    [sym_dependent_type] = STATE(3085),
    [sym_template_declaration] = STATE(1199),
    [sym_operator_cast] = STATE(8041),
    [sym_inline_method_definition] = STATE(1199),
    [sym__constructor_specifiers] = STATE(2521),
    [sym_operator_cast_definition] = STATE(1199),
    [sym_operator_cast_declaration] = STATE(1199),
    [sym_constructor_or_destructor_definition] = STATE(1199),
    [sym_constructor_or_destructor_declaration] = STATE(1199),
    [sym_friend_declaration] = STATE(1199),
    [sym_access_specifier] = STATE(10120),
    [sym_reference_declarator] = STATE(7680),
    [sym_structured_binding_declarator] = STATE(7680),
    [sym_template_type] = STATE(3050),
    [sym_template_function] = STATE(7680),
    [sym_using_declaration] = STATE(1199),
    [sym_alias_declaration] = STATE(1199),
    [sym_static_assert_declaration] = STATE(1199),
    [sym_destructor_name] = STATE(7680),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6733),
    [sym_qualified_identifier] = STATE(7680),
    [sym_qualified_type_identifier] = STATE(3068),
    [sym_qualified_operator_cast_identifier] = STATE(8041),
    [sym_operator_name] = STATE(7680),
    [sym_qualifiers] = STATE(3159),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(1199),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2680),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3021),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2521),
    [sym_identifier] = ACTIONS(2857),
    [aux_sym_preproc_def_token1] = ACTIONS(2988),
    [aux_sym_preproc_if_token1] = ACTIONS(2990),
    [aux_sym_preproc_if_token2] = ACTIONS(3158),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2994),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2994),
    [aux_sym_preproc_else_token1] = ACTIONS(2867),
    [aux_sym_preproc_elif_token1] = ACTIONS(2869),
    [sym_preproc_directive] = ACTIONS(2996),
    [anon_sym_LPAREN2] = ACTIONS(2875),
    [anon_sym_TILDE] = ACTIONS(2877),
    [anon_sym_STAR] = ACTIONS(2879),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(2881),
    [anon_sym___extension__] = ACTIONS(2998),
    [anon_sym_typedef] = ACTIONS(3000),
    [anon_sym_in] = ACTIONS(37),
    [anon_sym_out] = ACTIONS(37),
    [anon_sym_inout] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(2887),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2096),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(2889),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(2891),
    [anon_sym_enum] = ACTIONS(2893),
    [anon_sym_class] = ACTIONS(2895),
    [anon_sym_struct] = ACTIONS(2897),
    [anon_sym_union] = ACTIONS(2899),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [anon_sym_virtual] = ACTIONS(123),
    [anon_sym_alignas] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(2901),
    [anon_sym_template] = ACTIONS(3002),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_friend] = ACTIONS(3004),
    [anon_sym_public] = ACTIONS(2907),
    [anon_sym_private] = ACTIONS(2907),
    [anon_sym_protected] = ACTIONS(2907),
    [anon_sym_using] = ACTIONS(3006),
    [anon_sym_static_assert] = ACTIONS(3008),
    [anon_sym_precise] = ACTIONS(161),
    [anon_sym_shared] = ACTIONS(161),
    [anon_sym_groupshared] = ACTIONS(161),
    [anon_sym_uniform] = ACTIONS(161),
    [anon_sym_row_major] = ACTIONS(161),
    [anon_sym_column_major] = ACTIONS(161),
    [anon_sym_globallycoherent] = ACTIONS(161),
    [anon_sym_centroid] = ACTIONS(161),
    [anon_sym_noperspective] = ACTIONS(161),
    [anon_sym_nointerpolation] = ACTIONS(161),
    [anon_sym_sample] = ACTIONS(161),
    [anon_sym_linear] = ACTIONS(161),
    [anon_sym_snorm] = ACTIONS(161),
    [anon_sym_unorm] = ACTIONS(161),
    [anon_sym_point] = ACTIONS(161),
    [anon_sym_line] = ACTIONS(161),
    [anon_sym_triangleadj] = ACTIONS(161),
    [anon_sym_lineadj] = ACTIONS(161),
    [anon_sym_triangle] = ACTIONS(161),
  },
  [1179] = {
    [sym_identifier] = ACTIONS(2801),
    [aux_sym_preproc_include_token1] = ACTIONS(2801),
    [aux_sym_preproc_def_token1] = ACTIONS(2801),
    [aux_sym_preproc_if_token1] = ACTIONS(2801),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2801),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2801),
    [sym_preproc_directive] = ACTIONS(2801),
    [anon_sym_LPAREN2] = ACTIONS(2803),
    [anon_sym_BANG] = ACTIONS(2803),
    [anon_sym_TILDE] = ACTIONS(2803),
    [anon_sym_DASH] = ACTIONS(2801),
    [anon_sym_PLUS] = ACTIONS(2801),
    [anon_sym_STAR] = ACTIONS(2803),
    [anon_sym_AMP_AMP] = ACTIONS(2803),
    [anon_sym_AMP] = ACTIONS(2801),
    [anon_sym_SEMI] = ACTIONS(2803),
    [anon_sym___extension__] = ACTIONS(2801),
    [anon_sym_typedef] = ACTIONS(2801),
    [anon_sym_in] = ACTIONS(2801),
    [anon_sym_out] = ACTIONS(2801),
    [anon_sym_inout] = ACTIONS(2801),
    [anon_sym_extern] = ACTIONS(2801),
    [anon_sym___attribute__] = ACTIONS(2801),
    [anon_sym_COLON_COLON] = ACTIONS(2803),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2803),
    [anon_sym___declspec] = ACTIONS(2801),
    [anon_sym___based] = ACTIONS(2801),
    [anon_sym___cdecl] = ACTIONS(2801),
    [anon_sym___clrcall] = ACTIONS(2801),
    [anon_sym___stdcall] = ACTIONS(2801),
    [anon_sym___fastcall] = ACTIONS(2801),
    [anon_sym___thiscall] = ACTIONS(2801),
    [anon_sym___vectorcall] = ACTIONS(2801),
    [anon_sym_LBRACE] = ACTIONS(2803),
    [anon_sym_RBRACE] = ACTIONS(2803),
    [anon_sym_signed] = ACTIONS(2801),
    [anon_sym_unsigned] = ACTIONS(2801),
    [anon_sym_long] = ACTIONS(2801),
    [anon_sym_short] = ACTIONS(2801),
    [anon_sym_LBRACK] = ACTIONS(2801),
    [anon_sym_static] = ACTIONS(2801),
    [anon_sym_register] = ACTIONS(2801),
    [anon_sym_inline] = ACTIONS(2801),
    [anon_sym___inline] = ACTIONS(2801),
    [anon_sym___inline__] = ACTIONS(2801),
    [anon_sym___forceinline] = ACTIONS(2801),
    [anon_sym_thread_local] = ACTIONS(2801),
    [anon_sym___thread] = ACTIONS(2801),
    [anon_sym_const] = ACTIONS(2801),
    [anon_sym_constexpr] = ACTIONS(2801),
    [anon_sym_volatile] = ACTIONS(2801),
    [anon_sym_restrict] = ACTIONS(2801),
    [anon_sym___restrict__] = ACTIONS(2801),
    [anon_sym__Atomic] = ACTIONS(2801),
    [anon_sym__Noreturn] = ACTIONS(2801),
    [anon_sym_noreturn] = ACTIONS(2801),
    [anon_sym_mutable] = ACTIONS(2801),
    [anon_sym_constinit] = ACTIONS(2801),
    [anon_sym_consteval] = ACTIONS(2801),
    [sym_primitive_type] = ACTIONS(2801),
    [anon_sym_enum] = ACTIONS(2801),
    [anon_sym_class] = ACTIONS(2801),
    [anon_sym_struct] = ACTIONS(2801),
    [anon_sym_union] = ACTIONS(2801),
    [anon_sym_if] = ACTIONS(2801),
    [anon_sym_switch] = ACTIONS(2801),
    [anon_sym_case] = ACTIONS(2801),
    [anon_sym_default] = ACTIONS(2801),
    [anon_sym_while] = ACTIONS(2801),
    [anon_sym_do] = ACTIONS(2801),
    [anon_sym_for] = ACTIONS(2801),
    [anon_sym_return] = ACTIONS(2801),
    [anon_sym_break] = ACTIONS(2801),
    [anon_sym_continue] = ACTIONS(2801),
    [anon_sym_goto] = ACTIONS(2801),
    [anon_sym___try] = ACTIONS(2801),
    [anon_sym___leave] = ACTIONS(2801),
    [anon_sym_not] = ACTIONS(2801),
    [anon_sym_compl] = ACTIONS(2801),
    [anon_sym_DASH_DASH] = ACTIONS(2803),
    [anon_sym_PLUS_PLUS] = ACTIONS(2803),
    [anon_sym_sizeof] = ACTIONS(2801),
    [anon_sym___alignof__] = ACTIONS(2801),
    [anon_sym___alignof] = ACTIONS(2801),
    [anon_sym__alignof] = ACTIONS(2801),
    [anon_sym_alignof] = ACTIONS(2801),
    [anon_sym__Alignof] = ACTIONS(2801),
    [anon_sym_offsetof] = ACTIONS(2801),
    [anon_sym__Generic] = ACTIONS(2801),
    [anon_sym_asm] = ACTIONS(2801),
    [anon_sym___asm__] = ACTIONS(2801),
    [sym_number_literal] = ACTIONS(2803),
    [anon_sym_L_SQUOTE] = ACTIONS(2803),
    [anon_sym_u_SQUOTE] = ACTIONS(2803),
    [anon_sym_U_SQUOTE] = ACTIONS(2803),
    [anon_sym_u8_SQUOTE] = ACTIONS(2803),
    [anon_sym_SQUOTE] = ACTIONS(2803),
    [anon_sym_L_DQUOTE] = ACTIONS(2803),
    [anon_sym_u_DQUOTE] = ACTIONS(2803),
    [anon_sym_U_DQUOTE] = ACTIONS(2803),
    [anon_sym_u8_DQUOTE] = ACTIONS(2803),
    [anon_sym_DQUOTE] = ACTIONS(2803),
    [sym_true] = ACTIONS(2801),
    [sym_false] = ACTIONS(2801),
    [anon_sym_NULL] = ACTIONS(2801),
    [anon_sym_nullptr] = ACTIONS(2801),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2801),
    [anon_sym_decltype] = ACTIONS(2801),
    [anon_sym_virtual] = ACTIONS(2801),
    [anon_sym_alignas] = ACTIONS(2801),
    [anon_sym_explicit] = ACTIONS(2801),
    [anon_sym_typename] = ACTIONS(2801),
    [anon_sym_template] = ACTIONS(2801),
    [anon_sym_operator] = ACTIONS(2801),
    [anon_sym_try] = ACTIONS(2801),
    [anon_sym_delete] = ACTIONS(2801),
    [anon_sym_throw] = ACTIONS(2801),
    [anon_sym_namespace] = ACTIONS(2801),
    [anon_sym_using] = ACTIONS(2801),
    [anon_sym_static_assert] = ACTIONS(2801),
    [anon_sym_concept] = ACTIONS(2801),
    [anon_sym_co_return] = ACTIONS(2801),
    [anon_sym_co_yield] = ACTIONS(2801),
    [anon_sym_R_DQUOTE] = ACTIONS(2803),
    [anon_sym_LR_DQUOTE] = ACTIONS(2803),
    [anon_sym_uR_DQUOTE] = ACTIONS(2803),
    [anon_sym_UR_DQUOTE] = ACTIONS(2803),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2803),
    [anon_sym_co_await] = ACTIONS(2801),
    [anon_sym_new] = ACTIONS(2801),
    [anon_sym_requires] = ACTIONS(2801),
    [sym_this] = ACTIONS(2801),
    [anon_sym_discard] = ACTIONS(2801),
    [anon_sym_precise] = ACTIONS(2801),
    [anon_sym_shared] = ACTIONS(2801),
    [anon_sym_groupshared] = ACTIONS(2801),
    [anon_sym_uniform] = ACTIONS(2801),
    [anon_sym_row_major] = ACTIONS(2801),
    [anon_sym_column_major] = ACTIONS(2801),
    [anon_sym_globallycoherent] = ACTIONS(2801),
    [anon_sym_centroid] = ACTIONS(2801),
    [anon_sym_noperspective] = ACTIONS(2801),
    [anon_sym_nointerpolation] = ACTIONS(2801),
    [anon_sym_sample] = ACTIONS(2801),
    [anon_sym_linear] = ACTIONS(2801),
    [anon_sym_snorm] = ACTIONS(2801),
    [anon_sym_unorm] = ACTIONS(2801),
    [anon_sym_point] = ACTIONS(2801),
    [anon_sym_line] = ACTIONS(2801),
    [anon_sym_triangleadj] = ACTIONS(2801),
    [anon_sym_lineadj] = ACTIONS(2801),
    [anon_sym_triangle] = ACTIONS(2801),
    [anon_sym_cbuffer] = ACTIONS(2801),
  },
  [1180] = {
    [sym_identifier] = ACTIONS(2673),
    [aux_sym_preproc_include_token1] = ACTIONS(2673),
    [aux_sym_preproc_def_token1] = ACTIONS(2673),
    [aux_sym_preproc_if_token1] = ACTIONS(2673),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2673),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2673),
    [sym_preproc_directive] = ACTIONS(2673),
    [anon_sym_LPAREN2] = ACTIONS(2675),
    [anon_sym_BANG] = ACTIONS(2675),
    [anon_sym_TILDE] = ACTIONS(2675),
    [anon_sym_DASH] = ACTIONS(2673),
    [anon_sym_PLUS] = ACTIONS(2673),
    [anon_sym_STAR] = ACTIONS(2675),
    [anon_sym_AMP_AMP] = ACTIONS(2675),
    [anon_sym_AMP] = ACTIONS(2673),
    [anon_sym_SEMI] = ACTIONS(2675),
    [anon_sym___extension__] = ACTIONS(2673),
    [anon_sym_typedef] = ACTIONS(2673),
    [anon_sym_in] = ACTIONS(2673),
    [anon_sym_out] = ACTIONS(2673),
    [anon_sym_inout] = ACTIONS(2673),
    [anon_sym_extern] = ACTIONS(2673),
    [anon_sym___attribute__] = ACTIONS(2673),
    [anon_sym_COLON_COLON] = ACTIONS(2675),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2675),
    [anon_sym___declspec] = ACTIONS(2673),
    [anon_sym___based] = ACTIONS(2673),
    [anon_sym___cdecl] = ACTIONS(2673),
    [anon_sym___clrcall] = ACTIONS(2673),
    [anon_sym___stdcall] = ACTIONS(2673),
    [anon_sym___fastcall] = ACTIONS(2673),
    [anon_sym___thiscall] = ACTIONS(2673),
    [anon_sym___vectorcall] = ACTIONS(2673),
    [anon_sym_LBRACE] = ACTIONS(2675),
    [anon_sym_RBRACE] = ACTIONS(2675),
    [anon_sym_signed] = ACTIONS(2673),
    [anon_sym_unsigned] = ACTIONS(2673),
    [anon_sym_long] = ACTIONS(2673),
    [anon_sym_short] = ACTIONS(2673),
    [anon_sym_LBRACK] = ACTIONS(2673),
    [anon_sym_static] = ACTIONS(2673),
    [anon_sym_register] = ACTIONS(2673),
    [anon_sym_inline] = ACTIONS(2673),
    [anon_sym___inline] = ACTIONS(2673),
    [anon_sym___inline__] = ACTIONS(2673),
    [anon_sym___forceinline] = ACTIONS(2673),
    [anon_sym_thread_local] = ACTIONS(2673),
    [anon_sym___thread] = ACTIONS(2673),
    [anon_sym_const] = ACTIONS(2673),
    [anon_sym_constexpr] = ACTIONS(2673),
    [anon_sym_volatile] = ACTIONS(2673),
    [anon_sym_restrict] = ACTIONS(2673),
    [anon_sym___restrict__] = ACTIONS(2673),
    [anon_sym__Atomic] = ACTIONS(2673),
    [anon_sym__Noreturn] = ACTIONS(2673),
    [anon_sym_noreturn] = ACTIONS(2673),
    [anon_sym_mutable] = ACTIONS(2673),
    [anon_sym_constinit] = ACTIONS(2673),
    [anon_sym_consteval] = ACTIONS(2673),
    [sym_primitive_type] = ACTIONS(2673),
    [anon_sym_enum] = ACTIONS(2673),
    [anon_sym_class] = ACTIONS(2673),
    [anon_sym_struct] = ACTIONS(2673),
    [anon_sym_union] = ACTIONS(2673),
    [anon_sym_if] = ACTIONS(2673),
    [anon_sym_switch] = ACTIONS(2673),
    [anon_sym_case] = ACTIONS(2673),
    [anon_sym_default] = ACTIONS(2673),
    [anon_sym_while] = ACTIONS(2673),
    [anon_sym_do] = ACTIONS(2673),
    [anon_sym_for] = ACTIONS(2673),
    [anon_sym_return] = ACTIONS(2673),
    [anon_sym_break] = ACTIONS(2673),
    [anon_sym_continue] = ACTIONS(2673),
    [anon_sym_goto] = ACTIONS(2673),
    [anon_sym___try] = ACTIONS(2673),
    [anon_sym___leave] = ACTIONS(2673),
    [anon_sym_not] = ACTIONS(2673),
    [anon_sym_compl] = ACTIONS(2673),
    [anon_sym_DASH_DASH] = ACTIONS(2675),
    [anon_sym_PLUS_PLUS] = ACTIONS(2675),
    [anon_sym_sizeof] = ACTIONS(2673),
    [anon_sym___alignof__] = ACTIONS(2673),
    [anon_sym___alignof] = ACTIONS(2673),
    [anon_sym__alignof] = ACTIONS(2673),
    [anon_sym_alignof] = ACTIONS(2673),
    [anon_sym__Alignof] = ACTIONS(2673),
    [anon_sym_offsetof] = ACTIONS(2673),
    [anon_sym__Generic] = ACTIONS(2673),
    [anon_sym_asm] = ACTIONS(2673),
    [anon_sym___asm__] = ACTIONS(2673),
    [sym_number_literal] = ACTIONS(2675),
    [anon_sym_L_SQUOTE] = ACTIONS(2675),
    [anon_sym_u_SQUOTE] = ACTIONS(2675),
    [anon_sym_U_SQUOTE] = ACTIONS(2675),
    [anon_sym_u8_SQUOTE] = ACTIONS(2675),
    [anon_sym_SQUOTE] = ACTIONS(2675),
    [anon_sym_L_DQUOTE] = ACTIONS(2675),
    [anon_sym_u_DQUOTE] = ACTIONS(2675),
    [anon_sym_U_DQUOTE] = ACTIONS(2675),
    [anon_sym_u8_DQUOTE] = ACTIONS(2675),
    [anon_sym_DQUOTE] = ACTIONS(2675),
    [sym_true] = ACTIONS(2673),
    [sym_false] = ACTIONS(2673),
    [anon_sym_NULL] = ACTIONS(2673),
    [anon_sym_nullptr] = ACTIONS(2673),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2673),
    [anon_sym_decltype] = ACTIONS(2673),
    [anon_sym_virtual] = ACTIONS(2673),
    [anon_sym_alignas] = ACTIONS(2673),
    [anon_sym_explicit] = ACTIONS(2673),
    [anon_sym_typename] = ACTIONS(2673),
    [anon_sym_template] = ACTIONS(2673),
    [anon_sym_operator] = ACTIONS(2673),
    [anon_sym_try] = ACTIONS(2673),
    [anon_sym_delete] = ACTIONS(2673),
    [anon_sym_throw] = ACTIONS(2673),
    [anon_sym_namespace] = ACTIONS(2673),
    [anon_sym_using] = ACTIONS(2673),
    [anon_sym_static_assert] = ACTIONS(2673),
    [anon_sym_concept] = ACTIONS(2673),
    [anon_sym_co_return] = ACTIONS(2673),
    [anon_sym_co_yield] = ACTIONS(2673),
    [anon_sym_R_DQUOTE] = ACTIONS(2675),
    [anon_sym_LR_DQUOTE] = ACTIONS(2675),
    [anon_sym_uR_DQUOTE] = ACTIONS(2675),
    [anon_sym_UR_DQUOTE] = ACTIONS(2675),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2675),
    [anon_sym_co_await] = ACTIONS(2673),
    [anon_sym_new] = ACTIONS(2673),
    [anon_sym_requires] = ACTIONS(2673),
    [sym_this] = ACTIONS(2673),
    [anon_sym_discard] = ACTIONS(2673),
    [anon_sym_precise] = ACTIONS(2673),
    [anon_sym_shared] = ACTIONS(2673),
    [anon_sym_groupshared] = ACTIONS(2673),
    [anon_sym_uniform] = ACTIONS(2673),
    [anon_sym_row_major] = ACTIONS(2673),
    [anon_sym_column_major] = ACTIONS(2673),
    [anon_sym_globallycoherent] = ACTIONS(2673),
    [anon_sym_centroid] = ACTIONS(2673),
    [anon_sym_noperspective] = ACTIONS(2673),
    [anon_sym_nointerpolation] = ACTIONS(2673),
    [anon_sym_sample] = ACTIONS(2673),
    [anon_sym_linear] = ACTIONS(2673),
    [anon_sym_snorm] = ACTIONS(2673),
    [anon_sym_unorm] = ACTIONS(2673),
    [anon_sym_point] = ACTIONS(2673),
    [anon_sym_line] = ACTIONS(2673),
    [anon_sym_triangleadj] = ACTIONS(2673),
    [anon_sym_lineadj] = ACTIONS(2673),
    [anon_sym_triangle] = ACTIONS(2673),
    [anon_sym_cbuffer] = ACTIONS(2673),
  },
  [1181] = {
    [sym_preproc_def] = STATE(1110),
    [sym_preproc_function_def] = STATE(1110),
    [sym_preproc_call] = STATE(1110),
    [sym_preproc_if_in_field_declaration_list] = STATE(1110),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(1110),
    [sym_preproc_else_in_field_declaration_list] = STATE(9475),
    [sym_preproc_elif_in_field_declaration_list] = STATE(9475),
    [sym_type_definition] = STATE(1110),
    [sym__declaration_modifiers] = STATE(3159),
    [sym__declaration_specifiers] = STATE(6914),
    [sym_attribute_specifier] = STATE(3159),
    [sym_attribute_declaration] = STATE(3159),
    [sym_ms_declspec_modifier] = STATE(3159),
    [sym_ms_based_modifier] = STATE(10332),
    [sym__declarator] = STATE(7978),
    [sym_parenthesized_declarator] = STATE(7680),
    [sym_attributed_declarator] = STATE(7680),
    [sym_pointer_declarator] = STATE(7680),
    [sym_function_declarator] = STATE(7532),
    [sym_array_declarator] = STATE(7680),
    [sym_storage_class_specifier] = STATE(3159),
    [sym_type_qualifier] = STATE(3159),
    [sym__type_specifier] = STATE(2827),
    [sym_sized_type_specifier] = STATE(3085),
    [sym_enum_specifier] = STATE(3085),
    [sym_struct_specifier] = STATE(3085),
    [sym_union_specifier] = STATE(3085),
    [sym__field_declaration_list_item] = STATE(1110),
    [sym_field_declaration] = STATE(1110),
    [sym_placeholder_type_specifier] = STATE(3085),
    [sym_decltype_auto] = STATE(3091),
    [sym_decltype] = STATE(3050),
    [sym_class_specifier] = STATE(3085),
    [sym_virtual] = STATE(3159),
    [sym_alignas_specifier] = STATE(3159),
    [sym_explicit_function_specifier] = STATE(2521),
    [sym_dependent_type] = STATE(3085),
    [sym_template_declaration] = STATE(1110),
    [sym_operator_cast] = STATE(8041),
    [sym_inline_method_definition] = STATE(1110),
    [sym__constructor_specifiers] = STATE(2521),
    [sym_operator_cast_definition] = STATE(1110),
    [sym_operator_cast_declaration] = STATE(1110),
    [sym_constructor_or_destructor_definition] = STATE(1110),
    [sym_constructor_or_destructor_declaration] = STATE(1110),
    [sym_friend_declaration] = STATE(1110),
    [sym_access_specifier] = STATE(10120),
    [sym_reference_declarator] = STATE(7680),
    [sym_structured_binding_declarator] = STATE(7680),
    [sym_template_type] = STATE(3050),
    [sym_template_function] = STATE(7680),
    [sym_using_declaration] = STATE(1110),
    [sym_alias_declaration] = STATE(1110),
    [sym_static_assert_declaration] = STATE(1110),
    [sym_destructor_name] = STATE(7680),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6733),
    [sym_qualified_identifier] = STATE(7680),
    [sym_qualified_type_identifier] = STATE(3068),
    [sym_qualified_operator_cast_identifier] = STATE(8041),
    [sym_operator_name] = STATE(7680),
    [sym_qualifiers] = STATE(3159),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(1110),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2680),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3021),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2521),
    [sym_identifier] = ACTIONS(2857),
    [aux_sym_preproc_def_token1] = ACTIONS(2988),
    [aux_sym_preproc_if_token1] = ACTIONS(2990),
    [aux_sym_preproc_if_token2] = ACTIONS(3160),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2994),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2994),
    [aux_sym_preproc_else_token1] = ACTIONS(2867),
    [aux_sym_preproc_elif_token1] = ACTIONS(2869),
    [sym_preproc_directive] = ACTIONS(2996),
    [anon_sym_LPAREN2] = ACTIONS(2875),
    [anon_sym_TILDE] = ACTIONS(2877),
    [anon_sym_STAR] = ACTIONS(2879),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(2881),
    [anon_sym___extension__] = ACTIONS(2998),
    [anon_sym_typedef] = ACTIONS(3000),
    [anon_sym_in] = ACTIONS(37),
    [anon_sym_out] = ACTIONS(37),
    [anon_sym_inout] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(2887),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2096),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(2889),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(2891),
    [anon_sym_enum] = ACTIONS(2893),
    [anon_sym_class] = ACTIONS(2895),
    [anon_sym_struct] = ACTIONS(2897),
    [anon_sym_union] = ACTIONS(2899),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [anon_sym_virtual] = ACTIONS(123),
    [anon_sym_alignas] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(2901),
    [anon_sym_template] = ACTIONS(3002),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_friend] = ACTIONS(3004),
    [anon_sym_public] = ACTIONS(2907),
    [anon_sym_private] = ACTIONS(2907),
    [anon_sym_protected] = ACTIONS(2907),
    [anon_sym_using] = ACTIONS(3006),
    [anon_sym_static_assert] = ACTIONS(3008),
    [anon_sym_precise] = ACTIONS(161),
    [anon_sym_shared] = ACTIONS(161),
    [anon_sym_groupshared] = ACTIONS(161),
    [anon_sym_uniform] = ACTIONS(161),
    [anon_sym_row_major] = ACTIONS(161),
    [anon_sym_column_major] = ACTIONS(161),
    [anon_sym_globallycoherent] = ACTIONS(161),
    [anon_sym_centroid] = ACTIONS(161),
    [anon_sym_noperspective] = ACTIONS(161),
    [anon_sym_nointerpolation] = ACTIONS(161),
    [anon_sym_sample] = ACTIONS(161),
    [anon_sym_linear] = ACTIONS(161),
    [anon_sym_snorm] = ACTIONS(161),
    [anon_sym_unorm] = ACTIONS(161),
    [anon_sym_point] = ACTIONS(161),
    [anon_sym_line] = ACTIONS(161),
    [anon_sym_triangleadj] = ACTIONS(161),
    [anon_sym_lineadj] = ACTIONS(161),
    [anon_sym_triangle] = ACTIONS(161),
  },
  [1182] = {
    [sym_identifier] = ACTIONS(2801),
    [aux_sym_preproc_include_token1] = ACTIONS(2801),
    [aux_sym_preproc_def_token1] = ACTIONS(2801),
    [aux_sym_preproc_if_token1] = ACTIONS(2801),
    [aux_sym_preproc_if_token2] = ACTIONS(2801),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2801),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2801),
    [sym_preproc_directive] = ACTIONS(2801),
    [anon_sym_LPAREN2] = ACTIONS(2803),
    [anon_sym_BANG] = ACTIONS(2803),
    [anon_sym_TILDE] = ACTIONS(2803),
    [anon_sym_DASH] = ACTIONS(2801),
    [anon_sym_PLUS] = ACTIONS(2801),
    [anon_sym_STAR] = ACTIONS(2803),
    [anon_sym_AMP_AMP] = ACTIONS(2803),
    [anon_sym_AMP] = ACTIONS(2801),
    [anon_sym_SEMI] = ACTIONS(2803),
    [anon_sym___extension__] = ACTIONS(2801),
    [anon_sym_typedef] = ACTIONS(2801),
    [anon_sym_in] = ACTIONS(2801),
    [anon_sym_out] = ACTIONS(2801),
    [anon_sym_inout] = ACTIONS(2801),
    [anon_sym_extern] = ACTIONS(2801),
    [anon_sym___attribute__] = ACTIONS(2801),
    [anon_sym_COLON_COLON] = ACTIONS(2803),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2803),
    [anon_sym___declspec] = ACTIONS(2801),
    [anon_sym___based] = ACTIONS(2801),
    [anon_sym___cdecl] = ACTIONS(2801),
    [anon_sym___clrcall] = ACTIONS(2801),
    [anon_sym___stdcall] = ACTIONS(2801),
    [anon_sym___fastcall] = ACTIONS(2801),
    [anon_sym___thiscall] = ACTIONS(2801),
    [anon_sym___vectorcall] = ACTIONS(2801),
    [anon_sym_LBRACE] = ACTIONS(2803),
    [anon_sym_signed] = ACTIONS(2801),
    [anon_sym_unsigned] = ACTIONS(2801),
    [anon_sym_long] = ACTIONS(2801),
    [anon_sym_short] = ACTIONS(2801),
    [anon_sym_LBRACK] = ACTIONS(2801),
    [anon_sym_static] = ACTIONS(2801),
    [anon_sym_register] = ACTIONS(2801),
    [anon_sym_inline] = ACTIONS(2801),
    [anon_sym___inline] = ACTIONS(2801),
    [anon_sym___inline__] = ACTIONS(2801),
    [anon_sym___forceinline] = ACTIONS(2801),
    [anon_sym_thread_local] = ACTIONS(2801),
    [anon_sym___thread] = ACTIONS(2801),
    [anon_sym_const] = ACTIONS(2801),
    [anon_sym_constexpr] = ACTIONS(2801),
    [anon_sym_volatile] = ACTIONS(2801),
    [anon_sym_restrict] = ACTIONS(2801),
    [anon_sym___restrict__] = ACTIONS(2801),
    [anon_sym__Atomic] = ACTIONS(2801),
    [anon_sym__Noreturn] = ACTIONS(2801),
    [anon_sym_noreturn] = ACTIONS(2801),
    [anon_sym_mutable] = ACTIONS(2801),
    [anon_sym_constinit] = ACTIONS(2801),
    [anon_sym_consteval] = ACTIONS(2801),
    [sym_primitive_type] = ACTIONS(2801),
    [anon_sym_enum] = ACTIONS(2801),
    [anon_sym_class] = ACTIONS(2801),
    [anon_sym_struct] = ACTIONS(2801),
    [anon_sym_union] = ACTIONS(2801),
    [anon_sym_if] = ACTIONS(2801),
    [anon_sym_switch] = ACTIONS(2801),
    [anon_sym_case] = ACTIONS(2801),
    [anon_sym_default] = ACTIONS(2801),
    [anon_sym_while] = ACTIONS(2801),
    [anon_sym_do] = ACTIONS(2801),
    [anon_sym_for] = ACTIONS(2801),
    [anon_sym_return] = ACTIONS(2801),
    [anon_sym_break] = ACTIONS(2801),
    [anon_sym_continue] = ACTIONS(2801),
    [anon_sym_goto] = ACTIONS(2801),
    [anon_sym___try] = ACTIONS(2801),
    [anon_sym___leave] = ACTIONS(2801),
    [anon_sym_not] = ACTIONS(2801),
    [anon_sym_compl] = ACTIONS(2801),
    [anon_sym_DASH_DASH] = ACTIONS(2803),
    [anon_sym_PLUS_PLUS] = ACTIONS(2803),
    [anon_sym_sizeof] = ACTIONS(2801),
    [anon_sym___alignof__] = ACTIONS(2801),
    [anon_sym___alignof] = ACTIONS(2801),
    [anon_sym__alignof] = ACTIONS(2801),
    [anon_sym_alignof] = ACTIONS(2801),
    [anon_sym__Alignof] = ACTIONS(2801),
    [anon_sym_offsetof] = ACTIONS(2801),
    [anon_sym__Generic] = ACTIONS(2801),
    [anon_sym_asm] = ACTIONS(2801),
    [anon_sym___asm__] = ACTIONS(2801),
    [sym_number_literal] = ACTIONS(2803),
    [anon_sym_L_SQUOTE] = ACTIONS(2803),
    [anon_sym_u_SQUOTE] = ACTIONS(2803),
    [anon_sym_U_SQUOTE] = ACTIONS(2803),
    [anon_sym_u8_SQUOTE] = ACTIONS(2803),
    [anon_sym_SQUOTE] = ACTIONS(2803),
    [anon_sym_L_DQUOTE] = ACTIONS(2803),
    [anon_sym_u_DQUOTE] = ACTIONS(2803),
    [anon_sym_U_DQUOTE] = ACTIONS(2803),
    [anon_sym_u8_DQUOTE] = ACTIONS(2803),
    [anon_sym_DQUOTE] = ACTIONS(2803),
    [sym_true] = ACTIONS(2801),
    [sym_false] = ACTIONS(2801),
    [anon_sym_NULL] = ACTIONS(2801),
    [anon_sym_nullptr] = ACTIONS(2801),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2801),
    [anon_sym_decltype] = ACTIONS(2801),
    [anon_sym_virtual] = ACTIONS(2801),
    [anon_sym_alignas] = ACTIONS(2801),
    [anon_sym_explicit] = ACTIONS(2801),
    [anon_sym_typename] = ACTIONS(2801),
    [anon_sym_template] = ACTIONS(2801),
    [anon_sym_operator] = ACTIONS(2801),
    [anon_sym_try] = ACTIONS(2801),
    [anon_sym_delete] = ACTIONS(2801),
    [anon_sym_throw] = ACTIONS(2801),
    [anon_sym_namespace] = ACTIONS(2801),
    [anon_sym_using] = ACTIONS(2801),
    [anon_sym_static_assert] = ACTIONS(2801),
    [anon_sym_concept] = ACTIONS(2801),
    [anon_sym_co_return] = ACTIONS(2801),
    [anon_sym_co_yield] = ACTIONS(2801),
    [anon_sym_R_DQUOTE] = ACTIONS(2803),
    [anon_sym_LR_DQUOTE] = ACTIONS(2803),
    [anon_sym_uR_DQUOTE] = ACTIONS(2803),
    [anon_sym_UR_DQUOTE] = ACTIONS(2803),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2803),
    [anon_sym_co_await] = ACTIONS(2801),
    [anon_sym_new] = ACTIONS(2801),
    [anon_sym_requires] = ACTIONS(2801),
    [sym_this] = ACTIONS(2801),
    [anon_sym_discard] = ACTIONS(2801),
    [anon_sym_precise] = ACTIONS(2801),
    [anon_sym_shared] = ACTIONS(2801),
    [anon_sym_groupshared] = ACTIONS(2801),
    [anon_sym_uniform] = ACTIONS(2801),
    [anon_sym_row_major] = ACTIONS(2801),
    [anon_sym_column_major] = ACTIONS(2801),
    [anon_sym_globallycoherent] = ACTIONS(2801),
    [anon_sym_centroid] = ACTIONS(2801),
    [anon_sym_noperspective] = ACTIONS(2801),
    [anon_sym_nointerpolation] = ACTIONS(2801),
    [anon_sym_sample] = ACTIONS(2801),
    [anon_sym_linear] = ACTIONS(2801),
    [anon_sym_snorm] = ACTIONS(2801),
    [anon_sym_unorm] = ACTIONS(2801),
    [anon_sym_point] = ACTIONS(2801),
    [anon_sym_line] = ACTIONS(2801),
    [anon_sym_triangleadj] = ACTIONS(2801),
    [anon_sym_lineadj] = ACTIONS(2801),
    [anon_sym_triangle] = ACTIONS(2801),
    [anon_sym_cbuffer] = ACTIONS(2801),
  },
  [1183] = {
    [sym_identifier] = ACTIONS(2524),
    [aux_sym_preproc_include_token1] = ACTIONS(2524),
    [aux_sym_preproc_def_token1] = ACTIONS(2524),
    [aux_sym_preproc_if_token1] = ACTIONS(2524),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2524),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2524),
    [sym_preproc_directive] = ACTIONS(2524),
    [anon_sym_LPAREN2] = ACTIONS(2526),
    [anon_sym_BANG] = ACTIONS(2526),
    [anon_sym_TILDE] = ACTIONS(2526),
    [anon_sym_DASH] = ACTIONS(2524),
    [anon_sym_PLUS] = ACTIONS(2524),
    [anon_sym_STAR] = ACTIONS(2526),
    [anon_sym_AMP_AMP] = ACTIONS(2526),
    [anon_sym_AMP] = ACTIONS(2524),
    [anon_sym_SEMI] = ACTIONS(2526),
    [anon_sym___extension__] = ACTIONS(2524),
    [anon_sym_typedef] = ACTIONS(2524),
    [anon_sym_in] = ACTIONS(2524),
    [anon_sym_out] = ACTIONS(2524),
    [anon_sym_inout] = ACTIONS(2524),
    [anon_sym_extern] = ACTIONS(2524),
    [anon_sym___attribute__] = ACTIONS(2524),
    [anon_sym_COLON_COLON] = ACTIONS(2526),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2526),
    [anon_sym___declspec] = ACTIONS(2524),
    [anon_sym___based] = ACTIONS(2524),
    [anon_sym___cdecl] = ACTIONS(2524),
    [anon_sym___clrcall] = ACTIONS(2524),
    [anon_sym___stdcall] = ACTIONS(2524),
    [anon_sym___fastcall] = ACTIONS(2524),
    [anon_sym___thiscall] = ACTIONS(2524),
    [anon_sym___vectorcall] = ACTIONS(2524),
    [anon_sym_LBRACE] = ACTIONS(2526),
    [anon_sym_RBRACE] = ACTIONS(2526),
    [anon_sym_signed] = ACTIONS(2524),
    [anon_sym_unsigned] = ACTIONS(2524),
    [anon_sym_long] = ACTIONS(2524),
    [anon_sym_short] = ACTIONS(2524),
    [anon_sym_LBRACK] = ACTIONS(2524),
    [anon_sym_static] = ACTIONS(2524),
    [anon_sym_register] = ACTIONS(2524),
    [anon_sym_inline] = ACTIONS(2524),
    [anon_sym___inline] = ACTIONS(2524),
    [anon_sym___inline__] = ACTIONS(2524),
    [anon_sym___forceinline] = ACTIONS(2524),
    [anon_sym_thread_local] = ACTIONS(2524),
    [anon_sym___thread] = ACTIONS(2524),
    [anon_sym_const] = ACTIONS(2524),
    [anon_sym_constexpr] = ACTIONS(2524),
    [anon_sym_volatile] = ACTIONS(2524),
    [anon_sym_restrict] = ACTIONS(2524),
    [anon_sym___restrict__] = ACTIONS(2524),
    [anon_sym__Atomic] = ACTIONS(2524),
    [anon_sym__Noreturn] = ACTIONS(2524),
    [anon_sym_noreturn] = ACTIONS(2524),
    [anon_sym_mutable] = ACTIONS(2524),
    [anon_sym_constinit] = ACTIONS(2524),
    [anon_sym_consteval] = ACTIONS(2524),
    [sym_primitive_type] = ACTIONS(2524),
    [anon_sym_enum] = ACTIONS(2524),
    [anon_sym_class] = ACTIONS(2524),
    [anon_sym_struct] = ACTIONS(2524),
    [anon_sym_union] = ACTIONS(2524),
    [anon_sym_if] = ACTIONS(2524),
    [anon_sym_switch] = ACTIONS(2524),
    [anon_sym_case] = ACTIONS(2524),
    [anon_sym_default] = ACTIONS(2524),
    [anon_sym_while] = ACTIONS(2524),
    [anon_sym_do] = ACTIONS(2524),
    [anon_sym_for] = ACTIONS(2524),
    [anon_sym_return] = ACTIONS(2524),
    [anon_sym_break] = ACTIONS(2524),
    [anon_sym_continue] = ACTIONS(2524),
    [anon_sym_goto] = ACTIONS(2524),
    [anon_sym___try] = ACTIONS(2524),
    [anon_sym___leave] = ACTIONS(2524),
    [anon_sym_not] = ACTIONS(2524),
    [anon_sym_compl] = ACTIONS(2524),
    [anon_sym_DASH_DASH] = ACTIONS(2526),
    [anon_sym_PLUS_PLUS] = ACTIONS(2526),
    [anon_sym_sizeof] = ACTIONS(2524),
    [anon_sym___alignof__] = ACTIONS(2524),
    [anon_sym___alignof] = ACTIONS(2524),
    [anon_sym__alignof] = ACTIONS(2524),
    [anon_sym_alignof] = ACTIONS(2524),
    [anon_sym__Alignof] = ACTIONS(2524),
    [anon_sym_offsetof] = ACTIONS(2524),
    [anon_sym__Generic] = ACTIONS(2524),
    [anon_sym_asm] = ACTIONS(2524),
    [anon_sym___asm__] = ACTIONS(2524),
    [sym_number_literal] = ACTIONS(2526),
    [anon_sym_L_SQUOTE] = ACTIONS(2526),
    [anon_sym_u_SQUOTE] = ACTIONS(2526),
    [anon_sym_U_SQUOTE] = ACTIONS(2526),
    [anon_sym_u8_SQUOTE] = ACTIONS(2526),
    [anon_sym_SQUOTE] = ACTIONS(2526),
    [anon_sym_L_DQUOTE] = ACTIONS(2526),
    [anon_sym_u_DQUOTE] = ACTIONS(2526),
    [anon_sym_U_DQUOTE] = ACTIONS(2526),
    [anon_sym_u8_DQUOTE] = ACTIONS(2526),
    [anon_sym_DQUOTE] = ACTIONS(2526),
    [sym_true] = ACTIONS(2524),
    [sym_false] = ACTIONS(2524),
    [anon_sym_NULL] = ACTIONS(2524),
    [anon_sym_nullptr] = ACTIONS(2524),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2524),
    [anon_sym_decltype] = ACTIONS(2524),
    [anon_sym_virtual] = ACTIONS(2524),
    [anon_sym_alignas] = ACTIONS(2524),
    [anon_sym_explicit] = ACTIONS(2524),
    [anon_sym_typename] = ACTIONS(2524),
    [anon_sym_template] = ACTIONS(2524),
    [anon_sym_operator] = ACTIONS(2524),
    [anon_sym_try] = ACTIONS(2524),
    [anon_sym_delete] = ACTIONS(2524),
    [anon_sym_throw] = ACTIONS(2524),
    [anon_sym_namespace] = ACTIONS(2524),
    [anon_sym_using] = ACTIONS(2524),
    [anon_sym_static_assert] = ACTIONS(2524),
    [anon_sym_concept] = ACTIONS(2524),
    [anon_sym_co_return] = ACTIONS(2524),
    [anon_sym_co_yield] = ACTIONS(2524),
    [anon_sym_R_DQUOTE] = ACTIONS(2526),
    [anon_sym_LR_DQUOTE] = ACTIONS(2526),
    [anon_sym_uR_DQUOTE] = ACTIONS(2526),
    [anon_sym_UR_DQUOTE] = ACTIONS(2526),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2526),
    [anon_sym_co_await] = ACTIONS(2524),
    [anon_sym_new] = ACTIONS(2524),
    [anon_sym_requires] = ACTIONS(2524),
    [sym_this] = ACTIONS(2524),
    [anon_sym_discard] = ACTIONS(2524),
    [anon_sym_precise] = ACTIONS(2524),
    [anon_sym_shared] = ACTIONS(2524),
    [anon_sym_groupshared] = ACTIONS(2524),
    [anon_sym_uniform] = ACTIONS(2524),
    [anon_sym_row_major] = ACTIONS(2524),
    [anon_sym_column_major] = ACTIONS(2524),
    [anon_sym_globallycoherent] = ACTIONS(2524),
    [anon_sym_centroid] = ACTIONS(2524),
    [anon_sym_noperspective] = ACTIONS(2524),
    [anon_sym_nointerpolation] = ACTIONS(2524),
    [anon_sym_sample] = ACTIONS(2524),
    [anon_sym_linear] = ACTIONS(2524),
    [anon_sym_snorm] = ACTIONS(2524),
    [anon_sym_unorm] = ACTIONS(2524),
    [anon_sym_point] = ACTIONS(2524),
    [anon_sym_line] = ACTIONS(2524),
    [anon_sym_triangleadj] = ACTIONS(2524),
    [anon_sym_lineadj] = ACTIONS(2524),
    [anon_sym_triangle] = ACTIONS(2524),
    [anon_sym_cbuffer] = ACTIONS(2524),
  },
  [1184] = {
    [sym_identifier] = ACTIONS(2637),
    [aux_sym_preproc_include_token1] = ACTIONS(2637),
    [aux_sym_preproc_def_token1] = ACTIONS(2637),
    [aux_sym_preproc_if_token1] = ACTIONS(2637),
    [aux_sym_preproc_if_token2] = ACTIONS(2637),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2637),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2637),
    [sym_preproc_directive] = ACTIONS(2637),
    [anon_sym_LPAREN2] = ACTIONS(2639),
    [anon_sym_BANG] = ACTIONS(2639),
    [anon_sym_TILDE] = ACTIONS(2639),
    [anon_sym_DASH] = ACTIONS(2637),
    [anon_sym_PLUS] = ACTIONS(2637),
    [anon_sym_STAR] = ACTIONS(2639),
    [anon_sym_AMP_AMP] = ACTIONS(2639),
    [anon_sym_AMP] = ACTIONS(2637),
    [anon_sym_SEMI] = ACTIONS(2639),
    [anon_sym___extension__] = ACTIONS(2637),
    [anon_sym_typedef] = ACTIONS(2637),
    [anon_sym_in] = ACTIONS(2637),
    [anon_sym_out] = ACTIONS(2637),
    [anon_sym_inout] = ACTIONS(2637),
    [anon_sym_extern] = ACTIONS(2637),
    [anon_sym___attribute__] = ACTIONS(2637),
    [anon_sym_COLON_COLON] = ACTIONS(2639),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2639),
    [anon_sym___declspec] = ACTIONS(2637),
    [anon_sym___based] = ACTIONS(2637),
    [anon_sym___cdecl] = ACTIONS(2637),
    [anon_sym___clrcall] = ACTIONS(2637),
    [anon_sym___stdcall] = ACTIONS(2637),
    [anon_sym___fastcall] = ACTIONS(2637),
    [anon_sym___thiscall] = ACTIONS(2637),
    [anon_sym___vectorcall] = ACTIONS(2637),
    [anon_sym_LBRACE] = ACTIONS(2639),
    [anon_sym_signed] = ACTIONS(2637),
    [anon_sym_unsigned] = ACTIONS(2637),
    [anon_sym_long] = ACTIONS(2637),
    [anon_sym_short] = ACTIONS(2637),
    [anon_sym_LBRACK] = ACTIONS(2637),
    [anon_sym_static] = ACTIONS(2637),
    [anon_sym_register] = ACTIONS(2637),
    [anon_sym_inline] = ACTIONS(2637),
    [anon_sym___inline] = ACTIONS(2637),
    [anon_sym___inline__] = ACTIONS(2637),
    [anon_sym___forceinline] = ACTIONS(2637),
    [anon_sym_thread_local] = ACTIONS(2637),
    [anon_sym___thread] = ACTIONS(2637),
    [anon_sym_const] = ACTIONS(2637),
    [anon_sym_constexpr] = ACTIONS(2637),
    [anon_sym_volatile] = ACTIONS(2637),
    [anon_sym_restrict] = ACTIONS(2637),
    [anon_sym___restrict__] = ACTIONS(2637),
    [anon_sym__Atomic] = ACTIONS(2637),
    [anon_sym__Noreturn] = ACTIONS(2637),
    [anon_sym_noreturn] = ACTIONS(2637),
    [anon_sym_mutable] = ACTIONS(2637),
    [anon_sym_constinit] = ACTIONS(2637),
    [anon_sym_consteval] = ACTIONS(2637),
    [sym_primitive_type] = ACTIONS(2637),
    [anon_sym_enum] = ACTIONS(2637),
    [anon_sym_class] = ACTIONS(2637),
    [anon_sym_struct] = ACTIONS(2637),
    [anon_sym_union] = ACTIONS(2637),
    [anon_sym_if] = ACTIONS(2637),
    [anon_sym_switch] = ACTIONS(2637),
    [anon_sym_case] = ACTIONS(2637),
    [anon_sym_default] = ACTIONS(2637),
    [anon_sym_while] = ACTIONS(2637),
    [anon_sym_do] = ACTIONS(2637),
    [anon_sym_for] = ACTIONS(2637),
    [anon_sym_return] = ACTIONS(2637),
    [anon_sym_break] = ACTIONS(2637),
    [anon_sym_continue] = ACTIONS(2637),
    [anon_sym_goto] = ACTIONS(2637),
    [anon_sym___try] = ACTIONS(2637),
    [anon_sym___leave] = ACTIONS(2637),
    [anon_sym_not] = ACTIONS(2637),
    [anon_sym_compl] = ACTIONS(2637),
    [anon_sym_DASH_DASH] = ACTIONS(2639),
    [anon_sym_PLUS_PLUS] = ACTIONS(2639),
    [anon_sym_sizeof] = ACTIONS(2637),
    [anon_sym___alignof__] = ACTIONS(2637),
    [anon_sym___alignof] = ACTIONS(2637),
    [anon_sym__alignof] = ACTIONS(2637),
    [anon_sym_alignof] = ACTIONS(2637),
    [anon_sym__Alignof] = ACTIONS(2637),
    [anon_sym_offsetof] = ACTIONS(2637),
    [anon_sym__Generic] = ACTIONS(2637),
    [anon_sym_asm] = ACTIONS(2637),
    [anon_sym___asm__] = ACTIONS(2637),
    [sym_number_literal] = ACTIONS(2639),
    [anon_sym_L_SQUOTE] = ACTIONS(2639),
    [anon_sym_u_SQUOTE] = ACTIONS(2639),
    [anon_sym_U_SQUOTE] = ACTIONS(2639),
    [anon_sym_u8_SQUOTE] = ACTIONS(2639),
    [anon_sym_SQUOTE] = ACTIONS(2639),
    [anon_sym_L_DQUOTE] = ACTIONS(2639),
    [anon_sym_u_DQUOTE] = ACTIONS(2639),
    [anon_sym_U_DQUOTE] = ACTIONS(2639),
    [anon_sym_u8_DQUOTE] = ACTIONS(2639),
    [anon_sym_DQUOTE] = ACTIONS(2639),
    [sym_true] = ACTIONS(2637),
    [sym_false] = ACTIONS(2637),
    [anon_sym_NULL] = ACTIONS(2637),
    [anon_sym_nullptr] = ACTIONS(2637),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2637),
    [anon_sym_decltype] = ACTIONS(2637),
    [anon_sym_virtual] = ACTIONS(2637),
    [anon_sym_alignas] = ACTIONS(2637),
    [anon_sym_explicit] = ACTIONS(2637),
    [anon_sym_typename] = ACTIONS(2637),
    [anon_sym_template] = ACTIONS(2637),
    [anon_sym_operator] = ACTIONS(2637),
    [anon_sym_try] = ACTIONS(2637),
    [anon_sym_delete] = ACTIONS(2637),
    [anon_sym_throw] = ACTIONS(2637),
    [anon_sym_namespace] = ACTIONS(2637),
    [anon_sym_using] = ACTIONS(2637),
    [anon_sym_static_assert] = ACTIONS(2637),
    [anon_sym_concept] = ACTIONS(2637),
    [anon_sym_co_return] = ACTIONS(2637),
    [anon_sym_co_yield] = ACTIONS(2637),
    [anon_sym_R_DQUOTE] = ACTIONS(2639),
    [anon_sym_LR_DQUOTE] = ACTIONS(2639),
    [anon_sym_uR_DQUOTE] = ACTIONS(2639),
    [anon_sym_UR_DQUOTE] = ACTIONS(2639),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2639),
    [anon_sym_co_await] = ACTIONS(2637),
    [anon_sym_new] = ACTIONS(2637),
    [anon_sym_requires] = ACTIONS(2637),
    [sym_this] = ACTIONS(2637),
    [anon_sym_discard] = ACTIONS(2637),
    [anon_sym_precise] = ACTIONS(2637),
    [anon_sym_shared] = ACTIONS(2637),
    [anon_sym_groupshared] = ACTIONS(2637),
    [anon_sym_uniform] = ACTIONS(2637),
    [anon_sym_row_major] = ACTIONS(2637),
    [anon_sym_column_major] = ACTIONS(2637),
    [anon_sym_globallycoherent] = ACTIONS(2637),
    [anon_sym_centroid] = ACTIONS(2637),
    [anon_sym_noperspective] = ACTIONS(2637),
    [anon_sym_nointerpolation] = ACTIONS(2637),
    [anon_sym_sample] = ACTIONS(2637),
    [anon_sym_linear] = ACTIONS(2637),
    [anon_sym_snorm] = ACTIONS(2637),
    [anon_sym_unorm] = ACTIONS(2637),
    [anon_sym_point] = ACTIONS(2637),
    [anon_sym_line] = ACTIONS(2637),
    [anon_sym_triangleadj] = ACTIONS(2637),
    [anon_sym_lineadj] = ACTIONS(2637),
    [anon_sym_triangle] = ACTIONS(2637),
    [anon_sym_cbuffer] = ACTIONS(2637),
  },
  [1185] = {
    [sym_identifier] = ACTIONS(2721),
    [aux_sym_preproc_include_token1] = ACTIONS(2721),
    [aux_sym_preproc_def_token1] = ACTIONS(2721),
    [aux_sym_preproc_if_token1] = ACTIONS(2721),
    [aux_sym_preproc_if_token2] = ACTIONS(2721),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2721),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2721),
    [sym_preproc_directive] = ACTIONS(2721),
    [anon_sym_LPAREN2] = ACTIONS(2723),
    [anon_sym_BANG] = ACTIONS(2723),
    [anon_sym_TILDE] = ACTIONS(2723),
    [anon_sym_DASH] = ACTIONS(2721),
    [anon_sym_PLUS] = ACTIONS(2721),
    [anon_sym_STAR] = ACTIONS(2723),
    [anon_sym_AMP_AMP] = ACTIONS(2723),
    [anon_sym_AMP] = ACTIONS(2721),
    [anon_sym_SEMI] = ACTIONS(2723),
    [anon_sym___extension__] = ACTIONS(2721),
    [anon_sym_typedef] = ACTIONS(2721),
    [anon_sym_in] = ACTIONS(2721),
    [anon_sym_out] = ACTIONS(2721),
    [anon_sym_inout] = ACTIONS(2721),
    [anon_sym_extern] = ACTIONS(2721),
    [anon_sym___attribute__] = ACTIONS(2721),
    [anon_sym_COLON_COLON] = ACTIONS(2723),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2723),
    [anon_sym___declspec] = ACTIONS(2721),
    [anon_sym___based] = ACTIONS(2721),
    [anon_sym___cdecl] = ACTIONS(2721),
    [anon_sym___clrcall] = ACTIONS(2721),
    [anon_sym___stdcall] = ACTIONS(2721),
    [anon_sym___fastcall] = ACTIONS(2721),
    [anon_sym___thiscall] = ACTIONS(2721),
    [anon_sym___vectorcall] = ACTIONS(2721),
    [anon_sym_LBRACE] = ACTIONS(2723),
    [anon_sym_signed] = ACTIONS(2721),
    [anon_sym_unsigned] = ACTIONS(2721),
    [anon_sym_long] = ACTIONS(2721),
    [anon_sym_short] = ACTIONS(2721),
    [anon_sym_LBRACK] = ACTIONS(2721),
    [anon_sym_static] = ACTIONS(2721),
    [anon_sym_register] = ACTIONS(2721),
    [anon_sym_inline] = ACTIONS(2721),
    [anon_sym___inline] = ACTIONS(2721),
    [anon_sym___inline__] = ACTIONS(2721),
    [anon_sym___forceinline] = ACTIONS(2721),
    [anon_sym_thread_local] = ACTIONS(2721),
    [anon_sym___thread] = ACTIONS(2721),
    [anon_sym_const] = ACTIONS(2721),
    [anon_sym_constexpr] = ACTIONS(2721),
    [anon_sym_volatile] = ACTIONS(2721),
    [anon_sym_restrict] = ACTIONS(2721),
    [anon_sym___restrict__] = ACTIONS(2721),
    [anon_sym__Atomic] = ACTIONS(2721),
    [anon_sym__Noreturn] = ACTIONS(2721),
    [anon_sym_noreturn] = ACTIONS(2721),
    [anon_sym_mutable] = ACTIONS(2721),
    [anon_sym_constinit] = ACTIONS(2721),
    [anon_sym_consteval] = ACTIONS(2721),
    [sym_primitive_type] = ACTIONS(2721),
    [anon_sym_enum] = ACTIONS(2721),
    [anon_sym_class] = ACTIONS(2721),
    [anon_sym_struct] = ACTIONS(2721),
    [anon_sym_union] = ACTIONS(2721),
    [anon_sym_if] = ACTIONS(2721),
    [anon_sym_switch] = ACTIONS(2721),
    [anon_sym_case] = ACTIONS(2721),
    [anon_sym_default] = ACTIONS(2721),
    [anon_sym_while] = ACTIONS(2721),
    [anon_sym_do] = ACTIONS(2721),
    [anon_sym_for] = ACTIONS(2721),
    [anon_sym_return] = ACTIONS(2721),
    [anon_sym_break] = ACTIONS(2721),
    [anon_sym_continue] = ACTIONS(2721),
    [anon_sym_goto] = ACTIONS(2721),
    [anon_sym___try] = ACTIONS(2721),
    [anon_sym___leave] = ACTIONS(2721),
    [anon_sym_not] = ACTIONS(2721),
    [anon_sym_compl] = ACTIONS(2721),
    [anon_sym_DASH_DASH] = ACTIONS(2723),
    [anon_sym_PLUS_PLUS] = ACTIONS(2723),
    [anon_sym_sizeof] = ACTIONS(2721),
    [anon_sym___alignof__] = ACTIONS(2721),
    [anon_sym___alignof] = ACTIONS(2721),
    [anon_sym__alignof] = ACTIONS(2721),
    [anon_sym_alignof] = ACTIONS(2721),
    [anon_sym__Alignof] = ACTIONS(2721),
    [anon_sym_offsetof] = ACTIONS(2721),
    [anon_sym__Generic] = ACTIONS(2721),
    [anon_sym_asm] = ACTIONS(2721),
    [anon_sym___asm__] = ACTIONS(2721),
    [sym_number_literal] = ACTIONS(2723),
    [anon_sym_L_SQUOTE] = ACTIONS(2723),
    [anon_sym_u_SQUOTE] = ACTIONS(2723),
    [anon_sym_U_SQUOTE] = ACTIONS(2723),
    [anon_sym_u8_SQUOTE] = ACTIONS(2723),
    [anon_sym_SQUOTE] = ACTIONS(2723),
    [anon_sym_L_DQUOTE] = ACTIONS(2723),
    [anon_sym_u_DQUOTE] = ACTIONS(2723),
    [anon_sym_U_DQUOTE] = ACTIONS(2723),
    [anon_sym_u8_DQUOTE] = ACTIONS(2723),
    [anon_sym_DQUOTE] = ACTIONS(2723),
    [sym_true] = ACTIONS(2721),
    [sym_false] = ACTIONS(2721),
    [anon_sym_NULL] = ACTIONS(2721),
    [anon_sym_nullptr] = ACTIONS(2721),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2721),
    [anon_sym_decltype] = ACTIONS(2721),
    [anon_sym_virtual] = ACTIONS(2721),
    [anon_sym_alignas] = ACTIONS(2721),
    [anon_sym_explicit] = ACTIONS(2721),
    [anon_sym_typename] = ACTIONS(2721),
    [anon_sym_template] = ACTIONS(2721),
    [anon_sym_operator] = ACTIONS(2721),
    [anon_sym_try] = ACTIONS(2721),
    [anon_sym_delete] = ACTIONS(2721),
    [anon_sym_throw] = ACTIONS(2721),
    [anon_sym_namespace] = ACTIONS(2721),
    [anon_sym_using] = ACTIONS(2721),
    [anon_sym_static_assert] = ACTIONS(2721),
    [anon_sym_concept] = ACTIONS(2721),
    [anon_sym_co_return] = ACTIONS(2721),
    [anon_sym_co_yield] = ACTIONS(2721),
    [anon_sym_R_DQUOTE] = ACTIONS(2723),
    [anon_sym_LR_DQUOTE] = ACTIONS(2723),
    [anon_sym_uR_DQUOTE] = ACTIONS(2723),
    [anon_sym_UR_DQUOTE] = ACTIONS(2723),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2723),
    [anon_sym_co_await] = ACTIONS(2721),
    [anon_sym_new] = ACTIONS(2721),
    [anon_sym_requires] = ACTIONS(2721),
    [sym_this] = ACTIONS(2721),
    [anon_sym_discard] = ACTIONS(2721),
    [anon_sym_precise] = ACTIONS(2721),
    [anon_sym_shared] = ACTIONS(2721),
    [anon_sym_groupshared] = ACTIONS(2721),
    [anon_sym_uniform] = ACTIONS(2721),
    [anon_sym_row_major] = ACTIONS(2721),
    [anon_sym_column_major] = ACTIONS(2721),
    [anon_sym_globallycoherent] = ACTIONS(2721),
    [anon_sym_centroid] = ACTIONS(2721),
    [anon_sym_noperspective] = ACTIONS(2721),
    [anon_sym_nointerpolation] = ACTIONS(2721),
    [anon_sym_sample] = ACTIONS(2721),
    [anon_sym_linear] = ACTIONS(2721),
    [anon_sym_snorm] = ACTIONS(2721),
    [anon_sym_unorm] = ACTIONS(2721),
    [anon_sym_point] = ACTIONS(2721),
    [anon_sym_line] = ACTIONS(2721),
    [anon_sym_triangleadj] = ACTIONS(2721),
    [anon_sym_lineadj] = ACTIONS(2721),
    [anon_sym_triangle] = ACTIONS(2721),
    [anon_sym_cbuffer] = ACTIONS(2721),
  },
  [1186] = {
    [sym_identifier] = ACTIONS(2725),
    [aux_sym_preproc_include_token1] = ACTIONS(2725),
    [aux_sym_preproc_def_token1] = ACTIONS(2725),
    [aux_sym_preproc_if_token1] = ACTIONS(2725),
    [aux_sym_preproc_if_token2] = ACTIONS(2725),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2725),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2725),
    [sym_preproc_directive] = ACTIONS(2725),
    [anon_sym_LPAREN2] = ACTIONS(2727),
    [anon_sym_BANG] = ACTIONS(2727),
    [anon_sym_TILDE] = ACTIONS(2727),
    [anon_sym_DASH] = ACTIONS(2725),
    [anon_sym_PLUS] = ACTIONS(2725),
    [anon_sym_STAR] = ACTIONS(2727),
    [anon_sym_AMP_AMP] = ACTIONS(2727),
    [anon_sym_AMP] = ACTIONS(2725),
    [anon_sym_SEMI] = ACTIONS(2727),
    [anon_sym___extension__] = ACTIONS(2725),
    [anon_sym_typedef] = ACTIONS(2725),
    [anon_sym_in] = ACTIONS(2725),
    [anon_sym_out] = ACTIONS(2725),
    [anon_sym_inout] = ACTIONS(2725),
    [anon_sym_extern] = ACTIONS(2725),
    [anon_sym___attribute__] = ACTIONS(2725),
    [anon_sym_COLON_COLON] = ACTIONS(2727),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2727),
    [anon_sym___declspec] = ACTIONS(2725),
    [anon_sym___based] = ACTIONS(2725),
    [anon_sym___cdecl] = ACTIONS(2725),
    [anon_sym___clrcall] = ACTIONS(2725),
    [anon_sym___stdcall] = ACTIONS(2725),
    [anon_sym___fastcall] = ACTIONS(2725),
    [anon_sym___thiscall] = ACTIONS(2725),
    [anon_sym___vectorcall] = ACTIONS(2725),
    [anon_sym_LBRACE] = ACTIONS(2727),
    [anon_sym_signed] = ACTIONS(2725),
    [anon_sym_unsigned] = ACTIONS(2725),
    [anon_sym_long] = ACTIONS(2725),
    [anon_sym_short] = ACTIONS(2725),
    [anon_sym_LBRACK] = ACTIONS(2725),
    [anon_sym_static] = ACTIONS(2725),
    [anon_sym_register] = ACTIONS(2725),
    [anon_sym_inline] = ACTIONS(2725),
    [anon_sym___inline] = ACTIONS(2725),
    [anon_sym___inline__] = ACTIONS(2725),
    [anon_sym___forceinline] = ACTIONS(2725),
    [anon_sym_thread_local] = ACTIONS(2725),
    [anon_sym___thread] = ACTIONS(2725),
    [anon_sym_const] = ACTIONS(2725),
    [anon_sym_constexpr] = ACTIONS(2725),
    [anon_sym_volatile] = ACTIONS(2725),
    [anon_sym_restrict] = ACTIONS(2725),
    [anon_sym___restrict__] = ACTIONS(2725),
    [anon_sym__Atomic] = ACTIONS(2725),
    [anon_sym__Noreturn] = ACTIONS(2725),
    [anon_sym_noreturn] = ACTIONS(2725),
    [anon_sym_mutable] = ACTIONS(2725),
    [anon_sym_constinit] = ACTIONS(2725),
    [anon_sym_consteval] = ACTIONS(2725),
    [sym_primitive_type] = ACTIONS(2725),
    [anon_sym_enum] = ACTIONS(2725),
    [anon_sym_class] = ACTIONS(2725),
    [anon_sym_struct] = ACTIONS(2725),
    [anon_sym_union] = ACTIONS(2725),
    [anon_sym_if] = ACTIONS(2725),
    [anon_sym_switch] = ACTIONS(2725),
    [anon_sym_case] = ACTIONS(2725),
    [anon_sym_default] = ACTIONS(2725),
    [anon_sym_while] = ACTIONS(2725),
    [anon_sym_do] = ACTIONS(2725),
    [anon_sym_for] = ACTIONS(2725),
    [anon_sym_return] = ACTIONS(2725),
    [anon_sym_break] = ACTIONS(2725),
    [anon_sym_continue] = ACTIONS(2725),
    [anon_sym_goto] = ACTIONS(2725),
    [anon_sym___try] = ACTIONS(2725),
    [anon_sym___leave] = ACTIONS(2725),
    [anon_sym_not] = ACTIONS(2725),
    [anon_sym_compl] = ACTIONS(2725),
    [anon_sym_DASH_DASH] = ACTIONS(2727),
    [anon_sym_PLUS_PLUS] = ACTIONS(2727),
    [anon_sym_sizeof] = ACTIONS(2725),
    [anon_sym___alignof__] = ACTIONS(2725),
    [anon_sym___alignof] = ACTIONS(2725),
    [anon_sym__alignof] = ACTIONS(2725),
    [anon_sym_alignof] = ACTIONS(2725),
    [anon_sym__Alignof] = ACTIONS(2725),
    [anon_sym_offsetof] = ACTIONS(2725),
    [anon_sym__Generic] = ACTIONS(2725),
    [anon_sym_asm] = ACTIONS(2725),
    [anon_sym___asm__] = ACTIONS(2725),
    [sym_number_literal] = ACTIONS(2727),
    [anon_sym_L_SQUOTE] = ACTIONS(2727),
    [anon_sym_u_SQUOTE] = ACTIONS(2727),
    [anon_sym_U_SQUOTE] = ACTIONS(2727),
    [anon_sym_u8_SQUOTE] = ACTIONS(2727),
    [anon_sym_SQUOTE] = ACTIONS(2727),
    [anon_sym_L_DQUOTE] = ACTIONS(2727),
    [anon_sym_u_DQUOTE] = ACTIONS(2727),
    [anon_sym_U_DQUOTE] = ACTIONS(2727),
    [anon_sym_u8_DQUOTE] = ACTIONS(2727),
    [anon_sym_DQUOTE] = ACTIONS(2727),
    [sym_true] = ACTIONS(2725),
    [sym_false] = ACTIONS(2725),
    [anon_sym_NULL] = ACTIONS(2725),
    [anon_sym_nullptr] = ACTIONS(2725),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2725),
    [anon_sym_decltype] = ACTIONS(2725),
    [anon_sym_virtual] = ACTIONS(2725),
    [anon_sym_alignas] = ACTIONS(2725),
    [anon_sym_explicit] = ACTIONS(2725),
    [anon_sym_typename] = ACTIONS(2725),
    [anon_sym_template] = ACTIONS(2725),
    [anon_sym_operator] = ACTIONS(2725),
    [anon_sym_try] = ACTIONS(2725),
    [anon_sym_delete] = ACTIONS(2725),
    [anon_sym_throw] = ACTIONS(2725),
    [anon_sym_namespace] = ACTIONS(2725),
    [anon_sym_using] = ACTIONS(2725),
    [anon_sym_static_assert] = ACTIONS(2725),
    [anon_sym_concept] = ACTIONS(2725),
    [anon_sym_co_return] = ACTIONS(2725),
    [anon_sym_co_yield] = ACTIONS(2725),
    [anon_sym_R_DQUOTE] = ACTIONS(2727),
    [anon_sym_LR_DQUOTE] = ACTIONS(2727),
    [anon_sym_uR_DQUOTE] = ACTIONS(2727),
    [anon_sym_UR_DQUOTE] = ACTIONS(2727),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2727),
    [anon_sym_co_await] = ACTIONS(2725),
    [anon_sym_new] = ACTIONS(2725),
    [anon_sym_requires] = ACTIONS(2725),
    [sym_this] = ACTIONS(2725),
    [anon_sym_discard] = ACTIONS(2725),
    [anon_sym_precise] = ACTIONS(2725),
    [anon_sym_shared] = ACTIONS(2725),
    [anon_sym_groupshared] = ACTIONS(2725),
    [anon_sym_uniform] = ACTIONS(2725),
    [anon_sym_row_major] = ACTIONS(2725),
    [anon_sym_column_major] = ACTIONS(2725),
    [anon_sym_globallycoherent] = ACTIONS(2725),
    [anon_sym_centroid] = ACTIONS(2725),
    [anon_sym_noperspective] = ACTIONS(2725),
    [anon_sym_nointerpolation] = ACTIONS(2725),
    [anon_sym_sample] = ACTIONS(2725),
    [anon_sym_linear] = ACTIONS(2725),
    [anon_sym_snorm] = ACTIONS(2725),
    [anon_sym_unorm] = ACTIONS(2725),
    [anon_sym_point] = ACTIONS(2725),
    [anon_sym_line] = ACTIONS(2725),
    [anon_sym_triangleadj] = ACTIONS(2725),
    [anon_sym_lineadj] = ACTIONS(2725),
    [anon_sym_triangle] = ACTIONS(2725),
    [anon_sym_cbuffer] = ACTIONS(2725),
  },
  [1187] = {
    [sym_identifier] = ACTIONS(2710),
    [aux_sym_preproc_include_token1] = ACTIONS(2710),
    [aux_sym_preproc_def_token1] = ACTIONS(2710),
    [aux_sym_preproc_if_token1] = ACTIONS(2710),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2710),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2710),
    [sym_preproc_directive] = ACTIONS(2710),
    [anon_sym_LPAREN2] = ACTIONS(2712),
    [anon_sym_BANG] = ACTIONS(2712),
    [anon_sym_TILDE] = ACTIONS(2712),
    [anon_sym_DASH] = ACTIONS(2710),
    [anon_sym_PLUS] = ACTIONS(2710),
    [anon_sym_STAR] = ACTIONS(2712),
    [anon_sym_AMP_AMP] = ACTIONS(2712),
    [anon_sym_AMP] = ACTIONS(2710),
    [anon_sym_SEMI] = ACTIONS(2712),
    [anon_sym___extension__] = ACTIONS(2710),
    [anon_sym_typedef] = ACTIONS(2710),
    [anon_sym_in] = ACTIONS(2710),
    [anon_sym_out] = ACTIONS(2710),
    [anon_sym_inout] = ACTIONS(2710),
    [anon_sym_extern] = ACTIONS(2710),
    [anon_sym___attribute__] = ACTIONS(2710),
    [anon_sym_COLON_COLON] = ACTIONS(2712),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2712),
    [anon_sym___declspec] = ACTIONS(2710),
    [anon_sym___based] = ACTIONS(2710),
    [anon_sym___cdecl] = ACTIONS(2710),
    [anon_sym___clrcall] = ACTIONS(2710),
    [anon_sym___stdcall] = ACTIONS(2710),
    [anon_sym___fastcall] = ACTIONS(2710),
    [anon_sym___thiscall] = ACTIONS(2710),
    [anon_sym___vectorcall] = ACTIONS(2710),
    [anon_sym_LBRACE] = ACTIONS(2712),
    [anon_sym_RBRACE] = ACTIONS(2712),
    [anon_sym_signed] = ACTIONS(2710),
    [anon_sym_unsigned] = ACTIONS(2710),
    [anon_sym_long] = ACTIONS(2710),
    [anon_sym_short] = ACTIONS(2710),
    [anon_sym_LBRACK] = ACTIONS(2710),
    [anon_sym_static] = ACTIONS(2710),
    [anon_sym_register] = ACTIONS(2710),
    [anon_sym_inline] = ACTIONS(2710),
    [anon_sym___inline] = ACTIONS(2710),
    [anon_sym___inline__] = ACTIONS(2710),
    [anon_sym___forceinline] = ACTIONS(2710),
    [anon_sym_thread_local] = ACTIONS(2710),
    [anon_sym___thread] = ACTIONS(2710),
    [anon_sym_const] = ACTIONS(2710),
    [anon_sym_constexpr] = ACTIONS(2710),
    [anon_sym_volatile] = ACTIONS(2710),
    [anon_sym_restrict] = ACTIONS(2710),
    [anon_sym___restrict__] = ACTIONS(2710),
    [anon_sym__Atomic] = ACTIONS(2710),
    [anon_sym__Noreturn] = ACTIONS(2710),
    [anon_sym_noreturn] = ACTIONS(2710),
    [anon_sym_mutable] = ACTIONS(2710),
    [anon_sym_constinit] = ACTIONS(2710),
    [anon_sym_consteval] = ACTIONS(2710),
    [sym_primitive_type] = ACTIONS(2710),
    [anon_sym_enum] = ACTIONS(2710),
    [anon_sym_class] = ACTIONS(2710),
    [anon_sym_struct] = ACTIONS(2710),
    [anon_sym_union] = ACTIONS(2710),
    [anon_sym_if] = ACTIONS(2710),
    [anon_sym_switch] = ACTIONS(2710),
    [anon_sym_case] = ACTIONS(2710),
    [anon_sym_default] = ACTIONS(2710),
    [anon_sym_while] = ACTIONS(2710),
    [anon_sym_do] = ACTIONS(2710),
    [anon_sym_for] = ACTIONS(2710),
    [anon_sym_return] = ACTIONS(2710),
    [anon_sym_break] = ACTIONS(2710),
    [anon_sym_continue] = ACTIONS(2710),
    [anon_sym_goto] = ACTIONS(2710),
    [anon_sym___try] = ACTIONS(2710),
    [anon_sym___leave] = ACTIONS(2710),
    [anon_sym_not] = ACTIONS(2710),
    [anon_sym_compl] = ACTIONS(2710),
    [anon_sym_DASH_DASH] = ACTIONS(2712),
    [anon_sym_PLUS_PLUS] = ACTIONS(2712),
    [anon_sym_sizeof] = ACTIONS(2710),
    [anon_sym___alignof__] = ACTIONS(2710),
    [anon_sym___alignof] = ACTIONS(2710),
    [anon_sym__alignof] = ACTIONS(2710),
    [anon_sym_alignof] = ACTIONS(2710),
    [anon_sym__Alignof] = ACTIONS(2710),
    [anon_sym_offsetof] = ACTIONS(2710),
    [anon_sym__Generic] = ACTIONS(2710),
    [anon_sym_asm] = ACTIONS(2710),
    [anon_sym___asm__] = ACTIONS(2710),
    [sym_number_literal] = ACTIONS(2712),
    [anon_sym_L_SQUOTE] = ACTIONS(2712),
    [anon_sym_u_SQUOTE] = ACTIONS(2712),
    [anon_sym_U_SQUOTE] = ACTIONS(2712),
    [anon_sym_u8_SQUOTE] = ACTIONS(2712),
    [anon_sym_SQUOTE] = ACTIONS(2712),
    [anon_sym_L_DQUOTE] = ACTIONS(2712),
    [anon_sym_u_DQUOTE] = ACTIONS(2712),
    [anon_sym_U_DQUOTE] = ACTIONS(2712),
    [anon_sym_u8_DQUOTE] = ACTIONS(2712),
    [anon_sym_DQUOTE] = ACTIONS(2712),
    [sym_true] = ACTIONS(2710),
    [sym_false] = ACTIONS(2710),
    [anon_sym_NULL] = ACTIONS(2710),
    [anon_sym_nullptr] = ACTIONS(2710),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2710),
    [anon_sym_decltype] = ACTIONS(2710),
    [anon_sym_virtual] = ACTIONS(2710),
    [anon_sym_alignas] = ACTIONS(2710),
    [anon_sym_explicit] = ACTIONS(2710),
    [anon_sym_typename] = ACTIONS(2710),
    [anon_sym_template] = ACTIONS(2710),
    [anon_sym_operator] = ACTIONS(2710),
    [anon_sym_try] = ACTIONS(2710),
    [anon_sym_delete] = ACTIONS(2710),
    [anon_sym_throw] = ACTIONS(2710),
    [anon_sym_namespace] = ACTIONS(2710),
    [anon_sym_using] = ACTIONS(2710),
    [anon_sym_static_assert] = ACTIONS(2710),
    [anon_sym_concept] = ACTIONS(2710),
    [anon_sym_co_return] = ACTIONS(2710),
    [anon_sym_co_yield] = ACTIONS(2710),
    [anon_sym_R_DQUOTE] = ACTIONS(2712),
    [anon_sym_LR_DQUOTE] = ACTIONS(2712),
    [anon_sym_uR_DQUOTE] = ACTIONS(2712),
    [anon_sym_UR_DQUOTE] = ACTIONS(2712),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2712),
    [anon_sym_co_await] = ACTIONS(2710),
    [anon_sym_new] = ACTIONS(2710),
    [anon_sym_requires] = ACTIONS(2710),
    [sym_this] = ACTIONS(2710),
    [anon_sym_discard] = ACTIONS(2710),
    [anon_sym_precise] = ACTIONS(2710),
    [anon_sym_shared] = ACTIONS(2710),
    [anon_sym_groupshared] = ACTIONS(2710),
    [anon_sym_uniform] = ACTIONS(2710),
    [anon_sym_row_major] = ACTIONS(2710),
    [anon_sym_column_major] = ACTIONS(2710),
    [anon_sym_globallycoherent] = ACTIONS(2710),
    [anon_sym_centroid] = ACTIONS(2710),
    [anon_sym_noperspective] = ACTIONS(2710),
    [anon_sym_nointerpolation] = ACTIONS(2710),
    [anon_sym_sample] = ACTIONS(2710),
    [anon_sym_linear] = ACTIONS(2710),
    [anon_sym_snorm] = ACTIONS(2710),
    [anon_sym_unorm] = ACTIONS(2710),
    [anon_sym_point] = ACTIONS(2710),
    [anon_sym_line] = ACTIONS(2710),
    [anon_sym_triangleadj] = ACTIONS(2710),
    [anon_sym_lineadj] = ACTIONS(2710),
    [anon_sym_triangle] = ACTIONS(2710),
    [anon_sym_cbuffer] = ACTIONS(2710),
  },
  [1188] = {
    [sym_identifier] = ACTIONS(2688),
    [aux_sym_preproc_include_token1] = ACTIONS(2688),
    [aux_sym_preproc_def_token1] = ACTIONS(2688),
    [aux_sym_preproc_if_token1] = ACTIONS(2688),
    [aux_sym_preproc_if_token2] = ACTIONS(2688),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2688),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2688),
    [sym_preproc_directive] = ACTIONS(2688),
    [anon_sym_LPAREN2] = ACTIONS(2690),
    [anon_sym_BANG] = ACTIONS(2690),
    [anon_sym_TILDE] = ACTIONS(2690),
    [anon_sym_DASH] = ACTIONS(2688),
    [anon_sym_PLUS] = ACTIONS(2688),
    [anon_sym_STAR] = ACTIONS(2690),
    [anon_sym_AMP_AMP] = ACTIONS(2690),
    [anon_sym_AMP] = ACTIONS(2688),
    [anon_sym_SEMI] = ACTIONS(2690),
    [anon_sym___extension__] = ACTIONS(2688),
    [anon_sym_typedef] = ACTIONS(2688),
    [anon_sym_in] = ACTIONS(2688),
    [anon_sym_out] = ACTIONS(2688),
    [anon_sym_inout] = ACTIONS(2688),
    [anon_sym_extern] = ACTIONS(2688),
    [anon_sym___attribute__] = ACTIONS(2688),
    [anon_sym_COLON_COLON] = ACTIONS(2690),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2690),
    [anon_sym___declspec] = ACTIONS(2688),
    [anon_sym___based] = ACTIONS(2688),
    [anon_sym___cdecl] = ACTIONS(2688),
    [anon_sym___clrcall] = ACTIONS(2688),
    [anon_sym___stdcall] = ACTIONS(2688),
    [anon_sym___fastcall] = ACTIONS(2688),
    [anon_sym___thiscall] = ACTIONS(2688),
    [anon_sym___vectorcall] = ACTIONS(2688),
    [anon_sym_LBRACE] = ACTIONS(2690),
    [anon_sym_signed] = ACTIONS(2688),
    [anon_sym_unsigned] = ACTIONS(2688),
    [anon_sym_long] = ACTIONS(2688),
    [anon_sym_short] = ACTIONS(2688),
    [anon_sym_LBRACK] = ACTIONS(2688),
    [anon_sym_static] = ACTIONS(2688),
    [anon_sym_register] = ACTIONS(2688),
    [anon_sym_inline] = ACTIONS(2688),
    [anon_sym___inline] = ACTIONS(2688),
    [anon_sym___inline__] = ACTIONS(2688),
    [anon_sym___forceinline] = ACTIONS(2688),
    [anon_sym_thread_local] = ACTIONS(2688),
    [anon_sym___thread] = ACTIONS(2688),
    [anon_sym_const] = ACTIONS(2688),
    [anon_sym_constexpr] = ACTIONS(2688),
    [anon_sym_volatile] = ACTIONS(2688),
    [anon_sym_restrict] = ACTIONS(2688),
    [anon_sym___restrict__] = ACTIONS(2688),
    [anon_sym__Atomic] = ACTIONS(2688),
    [anon_sym__Noreturn] = ACTIONS(2688),
    [anon_sym_noreturn] = ACTIONS(2688),
    [anon_sym_mutable] = ACTIONS(2688),
    [anon_sym_constinit] = ACTIONS(2688),
    [anon_sym_consteval] = ACTIONS(2688),
    [sym_primitive_type] = ACTIONS(2688),
    [anon_sym_enum] = ACTIONS(2688),
    [anon_sym_class] = ACTIONS(2688),
    [anon_sym_struct] = ACTIONS(2688),
    [anon_sym_union] = ACTIONS(2688),
    [anon_sym_if] = ACTIONS(2688),
    [anon_sym_switch] = ACTIONS(2688),
    [anon_sym_case] = ACTIONS(2688),
    [anon_sym_default] = ACTIONS(2688),
    [anon_sym_while] = ACTIONS(2688),
    [anon_sym_do] = ACTIONS(2688),
    [anon_sym_for] = ACTIONS(2688),
    [anon_sym_return] = ACTIONS(2688),
    [anon_sym_break] = ACTIONS(2688),
    [anon_sym_continue] = ACTIONS(2688),
    [anon_sym_goto] = ACTIONS(2688),
    [anon_sym___try] = ACTIONS(2688),
    [anon_sym___leave] = ACTIONS(2688),
    [anon_sym_not] = ACTIONS(2688),
    [anon_sym_compl] = ACTIONS(2688),
    [anon_sym_DASH_DASH] = ACTIONS(2690),
    [anon_sym_PLUS_PLUS] = ACTIONS(2690),
    [anon_sym_sizeof] = ACTIONS(2688),
    [anon_sym___alignof__] = ACTIONS(2688),
    [anon_sym___alignof] = ACTIONS(2688),
    [anon_sym__alignof] = ACTIONS(2688),
    [anon_sym_alignof] = ACTIONS(2688),
    [anon_sym__Alignof] = ACTIONS(2688),
    [anon_sym_offsetof] = ACTIONS(2688),
    [anon_sym__Generic] = ACTIONS(2688),
    [anon_sym_asm] = ACTIONS(2688),
    [anon_sym___asm__] = ACTIONS(2688),
    [sym_number_literal] = ACTIONS(2690),
    [anon_sym_L_SQUOTE] = ACTIONS(2690),
    [anon_sym_u_SQUOTE] = ACTIONS(2690),
    [anon_sym_U_SQUOTE] = ACTIONS(2690),
    [anon_sym_u8_SQUOTE] = ACTIONS(2690),
    [anon_sym_SQUOTE] = ACTIONS(2690),
    [anon_sym_L_DQUOTE] = ACTIONS(2690),
    [anon_sym_u_DQUOTE] = ACTIONS(2690),
    [anon_sym_U_DQUOTE] = ACTIONS(2690),
    [anon_sym_u8_DQUOTE] = ACTIONS(2690),
    [anon_sym_DQUOTE] = ACTIONS(2690),
    [sym_true] = ACTIONS(2688),
    [sym_false] = ACTIONS(2688),
    [anon_sym_NULL] = ACTIONS(2688),
    [anon_sym_nullptr] = ACTIONS(2688),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2688),
    [anon_sym_decltype] = ACTIONS(2688),
    [anon_sym_virtual] = ACTIONS(2688),
    [anon_sym_alignas] = ACTIONS(2688),
    [anon_sym_explicit] = ACTIONS(2688),
    [anon_sym_typename] = ACTIONS(2688),
    [anon_sym_template] = ACTIONS(2688),
    [anon_sym_operator] = ACTIONS(2688),
    [anon_sym_try] = ACTIONS(2688),
    [anon_sym_delete] = ACTIONS(2688),
    [anon_sym_throw] = ACTIONS(2688),
    [anon_sym_namespace] = ACTIONS(2688),
    [anon_sym_using] = ACTIONS(2688),
    [anon_sym_static_assert] = ACTIONS(2688),
    [anon_sym_concept] = ACTIONS(2688),
    [anon_sym_co_return] = ACTIONS(2688),
    [anon_sym_co_yield] = ACTIONS(2688),
    [anon_sym_R_DQUOTE] = ACTIONS(2690),
    [anon_sym_LR_DQUOTE] = ACTIONS(2690),
    [anon_sym_uR_DQUOTE] = ACTIONS(2690),
    [anon_sym_UR_DQUOTE] = ACTIONS(2690),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2690),
    [anon_sym_co_await] = ACTIONS(2688),
    [anon_sym_new] = ACTIONS(2688),
    [anon_sym_requires] = ACTIONS(2688),
    [sym_this] = ACTIONS(2688),
    [anon_sym_discard] = ACTIONS(2688),
    [anon_sym_precise] = ACTIONS(2688),
    [anon_sym_shared] = ACTIONS(2688),
    [anon_sym_groupshared] = ACTIONS(2688),
    [anon_sym_uniform] = ACTIONS(2688),
    [anon_sym_row_major] = ACTIONS(2688),
    [anon_sym_column_major] = ACTIONS(2688),
    [anon_sym_globallycoherent] = ACTIONS(2688),
    [anon_sym_centroid] = ACTIONS(2688),
    [anon_sym_noperspective] = ACTIONS(2688),
    [anon_sym_nointerpolation] = ACTIONS(2688),
    [anon_sym_sample] = ACTIONS(2688),
    [anon_sym_linear] = ACTIONS(2688),
    [anon_sym_snorm] = ACTIONS(2688),
    [anon_sym_unorm] = ACTIONS(2688),
    [anon_sym_point] = ACTIONS(2688),
    [anon_sym_line] = ACTIONS(2688),
    [anon_sym_triangleadj] = ACTIONS(2688),
    [anon_sym_lineadj] = ACTIONS(2688),
    [anon_sym_triangle] = ACTIONS(2688),
    [anon_sym_cbuffer] = ACTIONS(2688),
  },
  [1189] = {
    [sym_identifier] = ACTIONS(2773),
    [aux_sym_preproc_include_token1] = ACTIONS(2773),
    [aux_sym_preproc_def_token1] = ACTIONS(2773),
    [aux_sym_preproc_if_token1] = ACTIONS(2773),
    [aux_sym_preproc_if_token2] = ACTIONS(2773),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2773),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2773),
    [sym_preproc_directive] = ACTIONS(2773),
    [anon_sym_LPAREN2] = ACTIONS(2775),
    [anon_sym_BANG] = ACTIONS(2775),
    [anon_sym_TILDE] = ACTIONS(2775),
    [anon_sym_DASH] = ACTIONS(2773),
    [anon_sym_PLUS] = ACTIONS(2773),
    [anon_sym_STAR] = ACTIONS(2775),
    [anon_sym_AMP_AMP] = ACTIONS(2775),
    [anon_sym_AMP] = ACTIONS(2773),
    [anon_sym_SEMI] = ACTIONS(2775),
    [anon_sym___extension__] = ACTIONS(2773),
    [anon_sym_typedef] = ACTIONS(2773),
    [anon_sym_in] = ACTIONS(2773),
    [anon_sym_out] = ACTIONS(2773),
    [anon_sym_inout] = ACTIONS(2773),
    [anon_sym_extern] = ACTIONS(2773),
    [anon_sym___attribute__] = ACTIONS(2773),
    [anon_sym_COLON_COLON] = ACTIONS(2775),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2775),
    [anon_sym___declspec] = ACTIONS(2773),
    [anon_sym___based] = ACTIONS(2773),
    [anon_sym___cdecl] = ACTIONS(2773),
    [anon_sym___clrcall] = ACTIONS(2773),
    [anon_sym___stdcall] = ACTIONS(2773),
    [anon_sym___fastcall] = ACTIONS(2773),
    [anon_sym___thiscall] = ACTIONS(2773),
    [anon_sym___vectorcall] = ACTIONS(2773),
    [anon_sym_LBRACE] = ACTIONS(2775),
    [anon_sym_signed] = ACTIONS(2773),
    [anon_sym_unsigned] = ACTIONS(2773),
    [anon_sym_long] = ACTIONS(2773),
    [anon_sym_short] = ACTIONS(2773),
    [anon_sym_LBRACK] = ACTIONS(2773),
    [anon_sym_static] = ACTIONS(2773),
    [anon_sym_register] = ACTIONS(2773),
    [anon_sym_inline] = ACTIONS(2773),
    [anon_sym___inline] = ACTIONS(2773),
    [anon_sym___inline__] = ACTIONS(2773),
    [anon_sym___forceinline] = ACTIONS(2773),
    [anon_sym_thread_local] = ACTIONS(2773),
    [anon_sym___thread] = ACTIONS(2773),
    [anon_sym_const] = ACTIONS(2773),
    [anon_sym_constexpr] = ACTIONS(2773),
    [anon_sym_volatile] = ACTIONS(2773),
    [anon_sym_restrict] = ACTIONS(2773),
    [anon_sym___restrict__] = ACTIONS(2773),
    [anon_sym__Atomic] = ACTIONS(2773),
    [anon_sym__Noreturn] = ACTIONS(2773),
    [anon_sym_noreturn] = ACTIONS(2773),
    [anon_sym_mutable] = ACTIONS(2773),
    [anon_sym_constinit] = ACTIONS(2773),
    [anon_sym_consteval] = ACTIONS(2773),
    [sym_primitive_type] = ACTIONS(2773),
    [anon_sym_enum] = ACTIONS(2773),
    [anon_sym_class] = ACTIONS(2773),
    [anon_sym_struct] = ACTIONS(2773),
    [anon_sym_union] = ACTIONS(2773),
    [anon_sym_if] = ACTIONS(2773),
    [anon_sym_switch] = ACTIONS(2773),
    [anon_sym_case] = ACTIONS(2773),
    [anon_sym_default] = ACTIONS(2773),
    [anon_sym_while] = ACTIONS(2773),
    [anon_sym_do] = ACTIONS(2773),
    [anon_sym_for] = ACTIONS(2773),
    [anon_sym_return] = ACTIONS(2773),
    [anon_sym_break] = ACTIONS(2773),
    [anon_sym_continue] = ACTIONS(2773),
    [anon_sym_goto] = ACTIONS(2773),
    [anon_sym___try] = ACTIONS(2773),
    [anon_sym___leave] = ACTIONS(2773),
    [anon_sym_not] = ACTIONS(2773),
    [anon_sym_compl] = ACTIONS(2773),
    [anon_sym_DASH_DASH] = ACTIONS(2775),
    [anon_sym_PLUS_PLUS] = ACTIONS(2775),
    [anon_sym_sizeof] = ACTIONS(2773),
    [anon_sym___alignof__] = ACTIONS(2773),
    [anon_sym___alignof] = ACTIONS(2773),
    [anon_sym__alignof] = ACTIONS(2773),
    [anon_sym_alignof] = ACTIONS(2773),
    [anon_sym__Alignof] = ACTIONS(2773),
    [anon_sym_offsetof] = ACTIONS(2773),
    [anon_sym__Generic] = ACTIONS(2773),
    [anon_sym_asm] = ACTIONS(2773),
    [anon_sym___asm__] = ACTIONS(2773),
    [sym_number_literal] = ACTIONS(2775),
    [anon_sym_L_SQUOTE] = ACTIONS(2775),
    [anon_sym_u_SQUOTE] = ACTIONS(2775),
    [anon_sym_U_SQUOTE] = ACTIONS(2775),
    [anon_sym_u8_SQUOTE] = ACTIONS(2775),
    [anon_sym_SQUOTE] = ACTIONS(2775),
    [anon_sym_L_DQUOTE] = ACTIONS(2775),
    [anon_sym_u_DQUOTE] = ACTIONS(2775),
    [anon_sym_U_DQUOTE] = ACTIONS(2775),
    [anon_sym_u8_DQUOTE] = ACTIONS(2775),
    [anon_sym_DQUOTE] = ACTIONS(2775),
    [sym_true] = ACTIONS(2773),
    [sym_false] = ACTIONS(2773),
    [anon_sym_NULL] = ACTIONS(2773),
    [anon_sym_nullptr] = ACTIONS(2773),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2773),
    [anon_sym_decltype] = ACTIONS(2773),
    [anon_sym_virtual] = ACTIONS(2773),
    [anon_sym_alignas] = ACTIONS(2773),
    [anon_sym_explicit] = ACTIONS(2773),
    [anon_sym_typename] = ACTIONS(2773),
    [anon_sym_template] = ACTIONS(2773),
    [anon_sym_operator] = ACTIONS(2773),
    [anon_sym_try] = ACTIONS(2773),
    [anon_sym_delete] = ACTIONS(2773),
    [anon_sym_throw] = ACTIONS(2773),
    [anon_sym_namespace] = ACTIONS(2773),
    [anon_sym_using] = ACTIONS(2773),
    [anon_sym_static_assert] = ACTIONS(2773),
    [anon_sym_concept] = ACTIONS(2773),
    [anon_sym_co_return] = ACTIONS(2773),
    [anon_sym_co_yield] = ACTIONS(2773),
    [anon_sym_R_DQUOTE] = ACTIONS(2775),
    [anon_sym_LR_DQUOTE] = ACTIONS(2775),
    [anon_sym_uR_DQUOTE] = ACTIONS(2775),
    [anon_sym_UR_DQUOTE] = ACTIONS(2775),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2775),
    [anon_sym_co_await] = ACTIONS(2773),
    [anon_sym_new] = ACTIONS(2773),
    [anon_sym_requires] = ACTIONS(2773),
    [sym_this] = ACTIONS(2773),
    [anon_sym_discard] = ACTIONS(2773),
    [anon_sym_precise] = ACTIONS(2773),
    [anon_sym_shared] = ACTIONS(2773),
    [anon_sym_groupshared] = ACTIONS(2773),
    [anon_sym_uniform] = ACTIONS(2773),
    [anon_sym_row_major] = ACTIONS(2773),
    [anon_sym_column_major] = ACTIONS(2773),
    [anon_sym_globallycoherent] = ACTIONS(2773),
    [anon_sym_centroid] = ACTIONS(2773),
    [anon_sym_noperspective] = ACTIONS(2773),
    [anon_sym_nointerpolation] = ACTIONS(2773),
    [anon_sym_sample] = ACTIONS(2773),
    [anon_sym_linear] = ACTIONS(2773),
    [anon_sym_snorm] = ACTIONS(2773),
    [anon_sym_unorm] = ACTIONS(2773),
    [anon_sym_point] = ACTIONS(2773),
    [anon_sym_line] = ACTIONS(2773),
    [anon_sym_triangleadj] = ACTIONS(2773),
    [anon_sym_lineadj] = ACTIONS(2773),
    [anon_sym_triangle] = ACTIONS(2773),
    [anon_sym_cbuffer] = ACTIONS(2773),
  },
  [1190] = {
    [sym_preproc_def] = STATE(1199),
    [sym_preproc_function_def] = STATE(1199),
    [sym_preproc_call] = STATE(1199),
    [sym_preproc_if_in_field_declaration_list] = STATE(1199),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(1199),
    [sym_preproc_else_in_field_declaration_list] = STATE(10307),
    [sym_preproc_elif_in_field_declaration_list] = STATE(10307),
    [sym_type_definition] = STATE(1199),
    [sym__declaration_modifiers] = STATE(3159),
    [sym__declaration_specifiers] = STATE(6914),
    [sym_attribute_specifier] = STATE(3159),
    [sym_attribute_declaration] = STATE(3159),
    [sym_ms_declspec_modifier] = STATE(3159),
    [sym_ms_based_modifier] = STATE(10332),
    [sym__declarator] = STATE(7978),
    [sym_parenthesized_declarator] = STATE(7680),
    [sym_attributed_declarator] = STATE(7680),
    [sym_pointer_declarator] = STATE(7680),
    [sym_function_declarator] = STATE(7532),
    [sym_array_declarator] = STATE(7680),
    [sym_storage_class_specifier] = STATE(3159),
    [sym_type_qualifier] = STATE(3159),
    [sym__type_specifier] = STATE(2827),
    [sym_sized_type_specifier] = STATE(3085),
    [sym_enum_specifier] = STATE(3085),
    [sym_struct_specifier] = STATE(3085),
    [sym_union_specifier] = STATE(3085),
    [sym__field_declaration_list_item] = STATE(1199),
    [sym_field_declaration] = STATE(1199),
    [sym_placeholder_type_specifier] = STATE(3085),
    [sym_decltype_auto] = STATE(3091),
    [sym_decltype] = STATE(3050),
    [sym_class_specifier] = STATE(3085),
    [sym_virtual] = STATE(3159),
    [sym_alignas_specifier] = STATE(3159),
    [sym_explicit_function_specifier] = STATE(2521),
    [sym_dependent_type] = STATE(3085),
    [sym_template_declaration] = STATE(1199),
    [sym_operator_cast] = STATE(8041),
    [sym_inline_method_definition] = STATE(1199),
    [sym__constructor_specifiers] = STATE(2521),
    [sym_operator_cast_definition] = STATE(1199),
    [sym_operator_cast_declaration] = STATE(1199),
    [sym_constructor_or_destructor_definition] = STATE(1199),
    [sym_constructor_or_destructor_declaration] = STATE(1199),
    [sym_friend_declaration] = STATE(1199),
    [sym_access_specifier] = STATE(10120),
    [sym_reference_declarator] = STATE(7680),
    [sym_structured_binding_declarator] = STATE(7680),
    [sym_template_type] = STATE(3050),
    [sym_template_function] = STATE(7680),
    [sym_using_declaration] = STATE(1199),
    [sym_alias_declaration] = STATE(1199),
    [sym_static_assert_declaration] = STATE(1199),
    [sym_destructor_name] = STATE(7680),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6733),
    [sym_qualified_identifier] = STATE(7680),
    [sym_qualified_type_identifier] = STATE(3068),
    [sym_qualified_operator_cast_identifier] = STATE(8041),
    [sym_operator_name] = STATE(7680),
    [sym_qualifiers] = STATE(3159),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(1199),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2680),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3021),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2521),
    [sym_identifier] = ACTIONS(2857),
    [aux_sym_preproc_def_token1] = ACTIONS(2988),
    [aux_sym_preproc_if_token1] = ACTIONS(2990),
    [aux_sym_preproc_if_token2] = ACTIONS(3162),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2994),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2994),
    [aux_sym_preproc_else_token1] = ACTIONS(2867),
    [aux_sym_preproc_elif_token1] = ACTIONS(2869),
    [sym_preproc_directive] = ACTIONS(2996),
    [anon_sym_LPAREN2] = ACTIONS(2875),
    [anon_sym_TILDE] = ACTIONS(2877),
    [anon_sym_STAR] = ACTIONS(2879),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(2881),
    [anon_sym___extension__] = ACTIONS(2998),
    [anon_sym_typedef] = ACTIONS(3000),
    [anon_sym_in] = ACTIONS(37),
    [anon_sym_out] = ACTIONS(37),
    [anon_sym_inout] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(2887),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2096),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(2889),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(2891),
    [anon_sym_enum] = ACTIONS(2893),
    [anon_sym_class] = ACTIONS(2895),
    [anon_sym_struct] = ACTIONS(2897),
    [anon_sym_union] = ACTIONS(2899),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [anon_sym_virtual] = ACTIONS(123),
    [anon_sym_alignas] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(2901),
    [anon_sym_template] = ACTIONS(3002),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_friend] = ACTIONS(3004),
    [anon_sym_public] = ACTIONS(2907),
    [anon_sym_private] = ACTIONS(2907),
    [anon_sym_protected] = ACTIONS(2907),
    [anon_sym_using] = ACTIONS(3006),
    [anon_sym_static_assert] = ACTIONS(3008),
    [anon_sym_precise] = ACTIONS(161),
    [anon_sym_shared] = ACTIONS(161),
    [anon_sym_groupshared] = ACTIONS(161),
    [anon_sym_uniform] = ACTIONS(161),
    [anon_sym_row_major] = ACTIONS(161),
    [anon_sym_column_major] = ACTIONS(161),
    [anon_sym_globallycoherent] = ACTIONS(161),
    [anon_sym_centroid] = ACTIONS(161),
    [anon_sym_noperspective] = ACTIONS(161),
    [anon_sym_nointerpolation] = ACTIONS(161),
    [anon_sym_sample] = ACTIONS(161),
    [anon_sym_linear] = ACTIONS(161),
    [anon_sym_snorm] = ACTIONS(161),
    [anon_sym_unorm] = ACTIONS(161),
    [anon_sym_point] = ACTIONS(161),
    [anon_sym_line] = ACTIONS(161),
    [anon_sym_triangleadj] = ACTIONS(161),
    [anon_sym_lineadj] = ACTIONS(161),
    [anon_sym_triangle] = ACTIONS(161),
  },
  [1191] = {
    [sym_identifier] = ACTIONS(2765),
    [aux_sym_preproc_include_token1] = ACTIONS(2765),
    [aux_sym_preproc_def_token1] = ACTIONS(2765),
    [aux_sym_preproc_if_token1] = ACTIONS(2765),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2765),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2765),
    [sym_preproc_directive] = ACTIONS(2765),
    [anon_sym_LPAREN2] = ACTIONS(2767),
    [anon_sym_BANG] = ACTIONS(2767),
    [anon_sym_TILDE] = ACTIONS(2767),
    [anon_sym_DASH] = ACTIONS(2765),
    [anon_sym_PLUS] = ACTIONS(2765),
    [anon_sym_STAR] = ACTIONS(2767),
    [anon_sym_AMP_AMP] = ACTIONS(2767),
    [anon_sym_AMP] = ACTIONS(2765),
    [anon_sym_SEMI] = ACTIONS(2767),
    [anon_sym___extension__] = ACTIONS(2765),
    [anon_sym_typedef] = ACTIONS(2765),
    [anon_sym_in] = ACTIONS(2765),
    [anon_sym_out] = ACTIONS(2765),
    [anon_sym_inout] = ACTIONS(2765),
    [anon_sym_extern] = ACTIONS(2765),
    [anon_sym___attribute__] = ACTIONS(2765),
    [anon_sym_COLON_COLON] = ACTIONS(2767),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2767),
    [anon_sym___declspec] = ACTIONS(2765),
    [anon_sym___based] = ACTIONS(2765),
    [anon_sym___cdecl] = ACTIONS(2765),
    [anon_sym___clrcall] = ACTIONS(2765),
    [anon_sym___stdcall] = ACTIONS(2765),
    [anon_sym___fastcall] = ACTIONS(2765),
    [anon_sym___thiscall] = ACTIONS(2765),
    [anon_sym___vectorcall] = ACTIONS(2765),
    [anon_sym_LBRACE] = ACTIONS(2767),
    [anon_sym_RBRACE] = ACTIONS(2767),
    [anon_sym_signed] = ACTIONS(2765),
    [anon_sym_unsigned] = ACTIONS(2765),
    [anon_sym_long] = ACTIONS(2765),
    [anon_sym_short] = ACTIONS(2765),
    [anon_sym_LBRACK] = ACTIONS(2765),
    [anon_sym_static] = ACTIONS(2765),
    [anon_sym_register] = ACTIONS(2765),
    [anon_sym_inline] = ACTIONS(2765),
    [anon_sym___inline] = ACTIONS(2765),
    [anon_sym___inline__] = ACTIONS(2765),
    [anon_sym___forceinline] = ACTIONS(2765),
    [anon_sym_thread_local] = ACTIONS(2765),
    [anon_sym___thread] = ACTIONS(2765),
    [anon_sym_const] = ACTIONS(2765),
    [anon_sym_constexpr] = ACTIONS(2765),
    [anon_sym_volatile] = ACTIONS(2765),
    [anon_sym_restrict] = ACTIONS(2765),
    [anon_sym___restrict__] = ACTIONS(2765),
    [anon_sym__Atomic] = ACTIONS(2765),
    [anon_sym__Noreturn] = ACTIONS(2765),
    [anon_sym_noreturn] = ACTIONS(2765),
    [anon_sym_mutable] = ACTIONS(2765),
    [anon_sym_constinit] = ACTIONS(2765),
    [anon_sym_consteval] = ACTIONS(2765),
    [sym_primitive_type] = ACTIONS(2765),
    [anon_sym_enum] = ACTIONS(2765),
    [anon_sym_class] = ACTIONS(2765),
    [anon_sym_struct] = ACTIONS(2765),
    [anon_sym_union] = ACTIONS(2765),
    [anon_sym_if] = ACTIONS(2765),
    [anon_sym_switch] = ACTIONS(2765),
    [anon_sym_case] = ACTIONS(2765),
    [anon_sym_default] = ACTIONS(2765),
    [anon_sym_while] = ACTIONS(2765),
    [anon_sym_do] = ACTIONS(2765),
    [anon_sym_for] = ACTIONS(2765),
    [anon_sym_return] = ACTIONS(2765),
    [anon_sym_break] = ACTIONS(2765),
    [anon_sym_continue] = ACTIONS(2765),
    [anon_sym_goto] = ACTIONS(2765),
    [anon_sym___try] = ACTIONS(2765),
    [anon_sym___leave] = ACTIONS(2765),
    [anon_sym_not] = ACTIONS(2765),
    [anon_sym_compl] = ACTIONS(2765),
    [anon_sym_DASH_DASH] = ACTIONS(2767),
    [anon_sym_PLUS_PLUS] = ACTIONS(2767),
    [anon_sym_sizeof] = ACTIONS(2765),
    [anon_sym___alignof__] = ACTIONS(2765),
    [anon_sym___alignof] = ACTIONS(2765),
    [anon_sym__alignof] = ACTIONS(2765),
    [anon_sym_alignof] = ACTIONS(2765),
    [anon_sym__Alignof] = ACTIONS(2765),
    [anon_sym_offsetof] = ACTIONS(2765),
    [anon_sym__Generic] = ACTIONS(2765),
    [anon_sym_asm] = ACTIONS(2765),
    [anon_sym___asm__] = ACTIONS(2765),
    [sym_number_literal] = ACTIONS(2767),
    [anon_sym_L_SQUOTE] = ACTIONS(2767),
    [anon_sym_u_SQUOTE] = ACTIONS(2767),
    [anon_sym_U_SQUOTE] = ACTIONS(2767),
    [anon_sym_u8_SQUOTE] = ACTIONS(2767),
    [anon_sym_SQUOTE] = ACTIONS(2767),
    [anon_sym_L_DQUOTE] = ACTIONS(2767),
    [anon_sym_u_DQUOTE] = ACTIONS(2767),
    [anon_sym_U_DQUOTE] = ACTIONS(2767),
    [anon_sym_u8_DQUOTE] = ACTIONS(2767),
    [anon_sym_DQUOTE] = ACTIONS(2767),
    [sym_true] = ACTIONS(2765),
    [sym_false] = ACTIONS(2765),
    [anon_sym_NULL] = ACTIONS(2765),
    [anon_sym_nullptr] = ACTIONS(2765),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2765),
    [anon_sym_decltype] = ACTIONS(2765),
    [anon_sym_virtual] = ACTIONS(2765),
    [anon_sym_alignas] = ACTIONS(2765),
    [anon_sym_explicit] = ACTIONS(2765),
    [anon_sym_typename] = ACTIONS(2765),
    [anon_sym_template] = ACTIONS(2765),
    [anon_sym_operator] = ACTIONS(2765),
    [anon_sym_try] = ACTIONS(2765),
    [anon_sym_delete] = ACTIONS(2765),
    [anon_sym_throw] = ACTIONS(2765),
    [anon_sym_namespace] = ACTIONS(2765),
    [anon_sym_using] = ACTIONS(2765),
    [anon_sym_static_assert] = ACTIONS(2765),
    [anon_sym_concept] = ACTIONS(2765),
    [anon_sym_co_return] = ACTIONS(2765),
    [anon_sym_co_yield] = ACTIONS(2765),
    [anon_sym_R_DQUOTE] = ACTIONS(2767),
    [anon_sym_LR_DQUOTE] = ACTIONS(2767),
    [anon_sym_uR_DQUOTE] = ACTIONS(2767),
    [anon_sym_UR_DQUOTE] = ACTIONS(2767),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2767),
    [anon_sym_co_await] = ACTIONS(2765),
    [anon_sym_new] = ACTIONS(2765),
    [anon_sym_requires] = ACTIONS(2765),
    [sym_this] = ACTIONS(2765),
    [anon_sym_discard] = ACTIONS(2765),
    [anon_sym_precise] = ACTIONS(2765),
    [anon_sym_shared] = ACTIONS(2765),
    [anon_sym_groupshared] = ACTIONS(2765),
    [anon_sym_uniform] = ACTIONS(2765),
    [anon_sym_row_major] = ACTIONS(2765),
    [anon_sym_column_major] = ACTIONS(2765),
    [anon_sym_globallycoherent] = ACTIONS(2765),
    [anon_sym_centroid] = ACTIONS(2765),
    [anon_sym_noperspective] = ACTIONS(2765),
    [anon_sym_nointerpolation] = ACTIONS(2765),
    [anon_sym_sample] = ACTIONS(2765),
    [anon_sym_linear] = ACTIONS(2765),
    [anon_sym_snorm] = ACTIONS(2765),
    [anon_sym_unorm] = ACTIONS(2765),
    [anon_sym_point] = ACTIONS(2765),
    [anon_sym_line] = ACTIONS(2765),
    [anon_sym_triangleadj] = ACTIONS(2765),
    [anon_sym_lineadj] = ACTIONS(2765),
    [anon_sym_triangle] = ACTIONS(2765),
    [anon_sym_cbuffer] = ACTIONS(2765),
  },
  [1192] = {
    [sym_identifier] = ACTIONS(2645),
    [aux_sym_preproc_include_token1] = ACTIONS(2645),
    [aux_sym_preproc_def_token1] = ACTIONS(2645),
    [aux_sym_preproc_if_token1] = ACTIONS(2645),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2645),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2645),
    [sym_preproc_directive] = ACTIONS(2645),
    [anon_sym_LPAREN2] = ACTIONS(2647),
    [anon_sym_BANG] = ACTIONS(2647),
    [anon_sym_TILDE] = ACTIONS(2647),
    [anon_sym_DASH] = ACTIONS(2645),
    [anon_sym_PLUS] = ACTIONS(2645),
    [anon_sym_STAR] = ACTIONS(2647),
    [anon_sym_AMP_AMP] = ACTIONS(2647),
    [anon_sym_AMP] = ACTIONS(2645),
    [anon_sym_SEMI] = ACTIONS(2647),
    [anon_sym___extension__] = ACTIONS(2645),
    [anon_sym_typedef] = ACTIONS(2645),
    [anon_sym_in] = ACTIONS(2645),
    [anon_sym_out] = ACTIONS(2645),
    [anon_sym_inout] = ACTIONS(2645),
    [anon_sym_extern] = ACTIONS(2645),
    [anon_sym___attribute__] = ACTIONS(2645),
    [anon_sym_COLON_COLON] = ACTIONS(2647),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2647),
    [anon_sym___declspec] = ACTIONS(2645),
    [anon_sym___based] = ACTIONS(2645),
    [anon_sym___cdecl] = ACTIONS(2645),
    [anon_sym___clrcall] = ACTIONS(2645),
    [anon_sym___stdcall] = ACTIONS(2645),
    [anon_sym___fastcall] = ACTIONS(2645),
    [anon_sym___thiscall] = ACTIONS(2645),
    [anon_sym___vectorcall] = ACTIONS(2645),
    [anon_sym_LBRACE] = ACTIONS(2647),
    [anon_sym_RBRACE] = ACTIONS(2647),
    [anon_sym_signed] = ACTIONS(2645),
    [anon_sym_unsigned] = ACTIONS(2645),
    [anon_sym_long] = ACTIONS(2645),
    [anon_sym_short] = ACTIONS(2645),
    [anon_sym_LBRACK] = ACTIONS(2645),
    [anon_sym_static] = ACTIONS(2645),
    [anon_sym_register] = ACTIONS(2645),
    [anon_sym_inline] = ACTIONS(2645),
    [anon_sym___inline] = ACTIONS(2645),
    [anon_sym___inline__] = ACTIONS(2645),
    [anon_sym___forceinline] = ACTIONS(2645),
    [anon_sym_thread_local] = ACTIONS(2645),
    [anon_sym___thread] = ACTIONS(2645),
    [anon_sym_const] = ACTIONS(2645),
    [anon_sym_constexpr] = ACTIONS(2645),
    [anon_sym_volatile] = ACTIONS(2645),
    [anon_sym_restrict] = ACTIONS(2645),
    [anon_sym___restrict__] = ACTIONS(2645),
    [anon_sym__Atomic] = ACTIONS(2645),
    [anon_sym__Noreturn] = ACTIONS(2645),
    [anon_sym_noreturn] = ACTIONS(2645),
    [anon_sym_mutable] = ACTIONS(2645),
    [anon_sym_constinit] = ACTIONS(2645),
    [anon_sym_consteval] = ACTIONS(2645),
    [sym_primitive_type] = ACTIONS(2645),
    [anon_sym_enum] = ACTIONS(2645),
    [anon_sym_class] = ACTIONS(2645),
    [anon_sym_struct] = ACTIONS(2645),
    [anon_sym_union] = ACTIONS(2645),
    [anon_sym_if] = ACTIONS(2645),
    [anon_sym_switch] = ACTIONS(2645),
    [anon_sym_case] = ACTIONS(2645),
    [anon_sym_default] = ACTIONS(2645),
    [anon_sym_while] = ACTIONS(2645),
    [anon_sym_do] = ACTIONS(2645),
    [anon_sym_for] = ACTIONS(2645),
    [anon_sym_return] = ACTIONS(2645),
    [anon_sym_break] = ACTIONS(2645),
    [anon_sym_continue] = ACTIONS(2645),
    [anon_sym_goto] = ACTIONS(2645),
    [anon_sym___try] = ACTIONS(2645),
    [anon_sym___leave] = ACTIONS(2645),
    [anon_sym_not] = ACTIONS(2645),
    [anon_sym_compl] = ACTIONS(2645),
    [anon_sym_DASH_DASH] = ACTIONS(2647),
    [anon_sym_PLUS_PLUS] = ACTIONS(2647),
    [anon_sym_sizeof] = ACTIONS(2645),
    [anon_sym___alignof__] = ACTIONS(2645),
    [anon_sym___alignof] = ACTIONS(2645),
    [anon_sym__alignof] = ACTIONS(2645),
    [anon_sym_alignof] = ACTIONS(2645),
    [anon_sym__Alignof] = ACTIONS(2645),
    [anon_sym_offsetof] = ACTIONS(2645),
    [anon_sym__Generic] = ACTIONS(2645),
    [anon_sym_asm] = ACTIONS(2645),
    [anon_sym___asm__] = ACTIONS(2645),
    [sym_number_literal] = ACTIONS(2647),
    [anon_sym_L_SQUOTE] = ACTIONS(2647),
    [anon_sym_u_SQUOTE] = ACTIONS(2647),
    [anon_sym_U_SQUOTE] = ACTIONS(2647),
    [anon_sym_u8_SQUOTE] = ACTIONS(2647),
    [anon_sym_SQUOTE] = ACTIONS(2647),
    [anon_sym_L_DQUOTE] = ACTIONS(2647),
    [anon_sym_u_DQUOTE] = ACTIONS(2647),
    [anon_sym_U_DQUOTE] = ACTIONS(2647),
    [anon_sym_u8_DQUOTE] = ACTIONS(2647),
    [anon_sym_DQUOTE] = ACTIONS(2647),
    [sym_true] = ACTIONS(2645),
    [sym_false] = ACTIONS(2645),
    [anon_sym_NULL] = ACTIONS(2645),
    [anon_sym_nullptr] = ACTIONS(2645),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2645),
    [anon_sym_decltype] = ACTIONS(2645),
    [anon_sym_virtual] = ACTIONS(2645),
    [anon_sym_alignas] = ACTIONS(2645),
    [anon_sym_explicit] = ACTIONS(2645),
    [anon_sym_typename] = ACTIONS(2645),
    [anon_sym_template] = ACTIONS(2645),
    [anon_sym_operator] = ACTIONS(2645),
    [anon_sym_try] = ACTIONS(2645),
    [anon_sym_delete] = ACTIONS(2645),
    [anon_sym_throw] = ACTIONS(2645),
    [anon_sym_namespace] = ACTIONS(2645),
    [anon_sym_using] = ACTIONS(2645),
    [anon_sym_static_assert] = ACTIONS(2645),
    [anon_sym_concept] = ACTIONS(2645),
    [anon_sym_co_return] = ACTIONS(2645),
    [anon_sym_co_yield] = ACTIONS(2645),
    [anon_sym_R_DQUOTE] = ACTIONS(2647),
    [anon_sym_LR_DQUOTE] = ACTIONS(2647),
    [anon_sym_uR_DQUOTE] = ACTIONS(2647),
    [anon_sym_UR_DQUOTE] = ACTIONS(2647),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2647),
    [anon_sym_co_await] = ACTIONS(2645),
    [anon_sym_new] = ACTIONS(2645),
    [anon_sym_requires] = ACTIONS(2645),
    [sym_this] = ACTIONS(2645),
    [anon_sym_discard] = ACTIONS(2645),
    [anon_sym_precise] = ACTIONS(2645),
    [anon_sym_shared] = ACTIONS(2645),
    [anon_sym_groupshared] = ACTIONS(2645),
    [anon_sym_uniform] = ACTIONS(2645),
    [anon_sym_row_major] = ACTIONS(2645),
    [anon_sym_column_major] = ACTIONS(2645),
    [anon_sym_globallycoherent] = ACTIONS(2645),
    [anon_sym_centroid] = ACTIONS(2645),
    [anon_sym_noperspective] = ACTIONS(2645),
    [anon_sym_nointerpolation] = ACTIONS(2645),
    [anon_sym_sample] = ACTIONS(2645),
    [anon_sym_linear] = ACTIONS(2645),
    [anon_sym_snorm] = ACTIONS(2645),
    [anon_sym_unorm] = ACTIONS(2645),
    [anon_sym_point] = ACTIONS(2645),
    [anon_sym_line] = ACTIONS(2645),
    [anon_sym_triangleadj] = ACTIONS(2645),
    [anon_sym_lineadj] = ACTIONS(2645),
    [anon_sym_triangle] = ACTIONS(2645),
    [anon_sym_cbuffer] = ACTIONS(2645),
  },
  [1193] = {
    [sym_identifier] = ACTIONS(2706),
    [aux_sym_preproc_include_token1] = ACTIONS(2706),
    [aux_sym_preproc_def_token1] = ACTIONS(2706),
    [aux_sym_preproc_if_token1] = ACTIONS(2706),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2706),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2706),
    [sym_preproc_directive] = ACTIONS(2706),
    [anon_sym_LPAREN2] = ACTIONS(2708),
    [anon_sym_BANG] = ACTIONS(2708),
    [anon_sym_TILDE] = ACTIONS(2708),
    [anon_sym_DASH] = ACTIONS(2706),
    [anon_sym_PLUS] = ACTIONS(2706),
    [anon_sym_STAR] = ACTIONS(2708),
    [anon_sym_AMP_AMP] = ACTIONS(2708),
    [anon_sym_AMP] = ACTIONS(2706),
    [anon_sym_SEMI] = ACTIONS(2708),
    [anon_sym___extension__] = ACTIONS(2706),
    [anon_sym_typedef] = ACTIONS(2706),
    [anon_sym_in] = ACTIONS(2706),
    [anon_sym_out] = ACTIONS(2706),
    [anon_sym_inout] = ACTIONS(2706),
    [anon_sym_extern] = ACTIONS(2706),
    [anon_sym___attribute__] = ACTIONS(2706),
    [anon_sym_COLON_COLON] = ACTIONS(2708),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2708),
    [anon_sym___declspec] = ACTIONS(2706),
    [anon_sym___based] = ACTIONS(2706),
    [anon_sym___cdecl] = ACTIONS(2706),
    [anon_sym___clrcall] = ACTIONS(2706),
    [anon_sym___stdcall] = ACTIONS(2706),
    [anon_sym___fastcall] = ACTIONS(2706),
    [anon_sym___thiscall] = ACTIONS(2706),
    [anon_sym___vectorcall] = ACTIONS(2706),
    [anon_sym_LBRACE] = ACTIONS(2708),
    [anon_sym_RBRACE] = ACTIONS(2708),
    [anon_sym_signed] = ACTIONS(2706),
    [anon_sym_unsigned] = ACTIONS(2706),
    [anon_sym_long] = ACTIONS(2706),
    [anon_sym_short] = ACTIONS(2706),
    [anon_sym_LBRACK] = ACTIONS(2706),
    [anon_sym_static] = ACTIONS(2706),
    [anon_sym_register] = ACTIONS(2706),
    [anon_sym_inline] = ACTIONS(2706),
    [anon_sym___inline] = ACTIONS(2706),
    [anon_sym___inline__] = ACTIONS(2706),
    [anon_sym___forceinline] = ACTIONS(2706),
    [anon_sym_thread_local] = ACTIONS(2706),
    [anon_sym___thread] = ACTIONS(2706),
    [anon_sym_const] = ACTIONS(2706),
    [anon_sym_constexpr] = ACTIONS(2706),
    [anon_sym_volatile] = ACTIONS(2706),
    [anon_sym_restrict] = ACTIONS(2706),
    [anon_sym___restrict__] = ACTIONS(2706),
    [anon_sym__Atomic] = ACTIONS(2706),
    [anon_sym__Noreturn] = ACTIONS(2706),
    [anon_sym_noreturn] = ACTIONS(2706),
    [anon_sym_mutable] = ACTIONS(2706),
    [anon_sym_constinit] = ACTIONS(2706),
    [anon_sym_consteval] = ACTIONS(2706),
    [sym_primitive_type] = ACTIONS(2706),
    [anon_sym_enum] = ACTIONS(2706),
    [anon_sym_class] = ACTIONS(2706),
    [anon_sym_struct] = ACTIONS(2706),
    [anon_sym_union] = ACTIONS(2706),
    [anon_sym_if] = ACTIONS(2706),
    [anon_sym_switch] = ACTIONS(2706),
    [anon_sym_case] = ACTIONS(2706),
    [anon_sym_default] = ACTIONS(2706),
    [anon_sym_while] = ACTIONS(2706),
    [anon_sym_do] = ACTIONS(2706),
    [anon_sym_for] = ACTIONS(2706),
    [anon_sym_return] = ACTIONS(2706),
    [anon_sym_break] = ACTIONS(2706),
    [anon_sym_continue] = ACTIONS(2706),
    [anon_sym_goto] = ACTIONS(2706),
    [anon_sym___try] = ACTIONS(2706),
    [anon_sym___leave] = ACTIONS(2706),
    [anon_sym_not] = ACTIONS(2706),
    [anon_sym_compl] = ACTIONS(2706),
    [anon_sym_DASH_DASH] = ACTIONS(2708),
    [anon_sym_PLUS_PLUS] = ACTIONS(2708),
    [anon_sym_sizeof] = ACTIONS(2706),
    [anon_sym___alignof__] = ACTIONS(2706),
    [anon_sym___alignof] = ACTIONS(2706),
    [anon_sym__alignof] = ACTIONS(2706),
    [anon_sym_alignof] = ACTIONS(2706),
    [anon_sym__Alignof] = ACTIONS(2706),
    [anon_sym_offsetof] = ACTIONS(2706),
    [anon_sym__Generic] = ACTIONS(2706),
    [anon_sym_asm] = ACTIONS(2706),
    [anon_sym___asm__] = ACTIONS(2706),
    [sym_number_literal] = ACTIONS(2708),
    [anon_sym_L_SQUOTE] = ACTIONS(2708),
    [anon_sym_u_SQUOTE] = ACTIONS(2708),
    [anon_sym_U_SQUOTE] = ACTIONS(2708),
    [anon_sym_u8_SQUOTE] = ACTIONS(2708),
    [anon_sym_SQUOTE] = ACTIONS(2708),
    [anon_sym_L_DQUOTE] = ACTIONS(2708),
    [anon_sym_u_DQUOTE] = ACTIONS(2708),
    [anon_sym_U_DQUOTE] = ACTIONS(2708),
    [anon_sym_u8_DQUOTE] = ACTIONS(2708),
    [anon_sym_DQUOTE] = ACTIONS(2708),
    [sym_true] = ACTIONS(2706),
    [sym_false] = ACTIONS(2706),
    [anon_sym_NULL] = ACTIONS(2706),
    [anon_sym_nullptr] = ACTIONS(2706),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2706),
    [anon_sym_decltype] = ACTIONS(2706),
    [anon_sym_virtual] = ACTIONS(2706),
    [anon_sym_alignas] = ACTIONS(2706),
    [anon_sym_explicit] = ACTIONS(2706),
    [anon_sym_typename] = ACTIONS(2706),
    [anon_sym_template] = ACTIONS(2706),
    [anon_sym_operator] = ACTIONS(2706),
    [anon_sym_try] = ACTIONS(2706),
    [anon_sym_delete] = ACTIONS(2706),
    [anon_sym_throw] = ACTIONS(2706),
    [anon_sym_namespace] = ACTIONS(2706),
    [anon_sym_using] = ACTIONS(2706),
    [anon_sym_static_assert] = ACTIONS(2706),
    [anon_sym_concept] = ACTIONS(2706),
    [anon_sym_co_return] = ACTIONS(2706),
    [anon_sym_co_yield] = ACTIONS(2706),
    [anon_sym_R_DQUOTE] = ACTIONS(2708),
    [anon_sym_LR_DQUOTE] = ACTIONS(2708),
    [anon_sym_uR_DQUOTE] = ACTIONS(2708),
    [anon_sym_UR_DQUOTE] = ACTIONS(2708),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2708),
    [anon_sym_co_await] = ACTIONS(2706),
    [anon_sym_new] = ACTIONS(2706),
    [anon_sym_requires] = ACTIONS(2706),
    [sym_this] = ACTIONS(2706),
    [anon_sym_discard] = ACTIONS(2706),
    [anon_sym_precise] = ACTIONS(2706),
    [anon_sym_shared] = ACTIONS(2706),
    [anon_sym_groupshared] = ACTIONS(2706),
    [anon_sym_uniform] = ACTIONS(2706),
    [anon_sym_row_major] = ACTIONS(2706),
    [anon_sym_column_major] = ACTIONS(2706),
    [anon_sym_globallycoherent] = ACTIONS(2706),
    [anon_sym_centroid] = ACTIONS(2706),
    [anon_sym_noperspective] = ACTIONS(2706),
    [anon_sym_nointerpolation] = ACTIONS(2706),
    [anon_sym_sample] = ACTIONS(2706),
    [anon_sym_linear] = ACTIONS(2706),
    [anon_sym_snorm] = ACTIONS(2706),
    [anon_sym_unorm] = ACTIONS(2706),
    [anon_sym_point] = ACTIONS(2706),
    [anon_sym_line] = ACTIONS(2706),
    [anon_sym_triangleadj] = ACTIONS(2706),
    [anon_sym_lineadj] = ACTIONS(2706),
    [anon_sym_triangle] = ACTIONS(2706),
    [anon_sym_cbuffer] = ACTIONS(2706),
  },
  [1194] = {
    [sym_identifier] = ACTIONS(2743),
    [aux_sym_preproc_include_token1] = ACTIONS(2743),
    [aux_sym_preproc_def_token1] = ACTIONS(2743),
    [aux_sym_preproc_if_token1] = ACTIONS(2743),
    [aux_sym_preproc_if_token2] = ACTIONS(2743),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2743),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2743),
    [sym_preproc_directive] = ACTIONS(2743),
    [anon_sym_LPAREN2] = ACTIONS(2745),
    [anon_sym_BANG] = ACTIONS(2745),
    [anon_sym_TILDE] = ACTIONS(2745),
    [anon_sym_DASH] = ACTIONS(2743),
    [anon_sym_PLUS] = ACTIONS(2743),
    [anon_sym_STAR] = ACTIONS(2745),
    [anon_sym_AMP_AMP] = ACTIONS(2745),
    [anon_sym_AMP] = ACTIONS(2743),
    [anon_sym_SEMI] = ACTIONS(2745),
    [anon_sym___extension__] = ACTIONS(2743),
    [anon_sym_typedef] = ACTIONS(2743),
    [anon_sym_in] = ACTIONS(2743),
    [anon_sym_out] = ACTIONS(2743),
    [anon_sym_inout] = ACTIONS(2743),
    [anon_sym_extern] = ACTIONS(2743),
    [anon_sym___attribute__] = ACTIONS(2743),
    [anon_sym_COLON_COLON] = ACTIONS(2745),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2745),
    [anon_sym___declspec] = ACTIONS(2743),
    [anon_sym___based] = ACTIONS(2743),
    [anon_sym___cdecl] = ACTIONS(2743),
    [anon_sym___clrcall] = ACTIONS(2743),
    [anon_sym___stdcall] = ACTIONS(2743),
    [anon_sym___fastcall] = ACTIONS(2743),
    [anon_sym___thiscall] = ACTIONS(2743),
    [anon_sym___vectorcall] = ACTIONS(2743),
    [anon_sym_LBRACE] = ACTIONS(2745),
    [anon_sym_signed] = ACTIONS(2743),
    [anon_sym_unsigned] = ACTIONS(2743),
    [anon_sym_long] = ACTIONS(2743),
    [anon_sym_short] = ACTIONS(2743),
    [anon_sym_LBRACK] = ACTIONS(2743),
    [anon_sym_static] = ACTIONS(2743),
    [anon_sym_register] = ACTIONS(2743),
    [anon_sym_inline] = ACTIONS(2743),
    [anon_sym___inline] = ACTIONS(2743),
    [anon_sym___inline__] = ACTIONS(2743),
    [anon_sym___forceinline] = ACTIONS(2743),
    [anon_sym_thread_local] = ACTIONS(2743),
    [anon_sym___thread] = ACTIONS(2743),
    [anon_sym_const] = ACTIONS(2743),
    [anon_sym_constexpr] = ACTIONS(2743),
    [anon_sym_volatile] = ACTIONS(2743),
    [anon_sym_restrict] = ACTIONS(2743),
    [anon_sym___restrict__] = ACTIONS(2743),
    [anon_sym__Atomic] = ACTIONS(2743),
    [anon_sym__Noreturn] = ACTIONS(2743),
    [anon_sym_noreturn] = ACTIONS(2743),
    [anon_sym_mutable] = ACTIONS(2743),
    [anon_sym_constinit] = ACTIONS(2743),
    [anon_sym_consteval] = ACTIONS(2743),
    [sym_primitive_type] = ACTIONS(2743),
    [anon_sym_enum] = ACTIONS(2743),
    [anon_sym_class] = ACTIONS(2743),
    [anon_sym_struct] = ACTIONS(2743),
    [anon_sym_union] = ACTIONS(2743),
    [anon_sym_if] = ACTIONS(2743),
    [anon_sym_switch] = ACTIONS(2743),
    [anon_sym_case] = ACTIONS(2743),
    [anon_sym_default] = ACTIONS(2743),
    [anon_sym_while] = ACTIONS(2743),
    [anon_sym_do] = ACTIONS(2743),
    [anon_sym_for] = ACTIONS(2743),
    [anon_sym_return] = ACTIONS(2743),
    [anon_sym_break] = ACTIONS(2743),
    [anon_sym_continue] = ACTIONS(2743),
    [anon_sym_goto] = ACTIONS(2743),
    [anon_sym___try] = ACTIONS(2743),
    [anon_sym___leave] = ACTIONS(2743),
    [anon_sym_not] = ACTIONS(2743),
    [anon_sym_compl] = ACTIONS(2743),
    [anon_sym_DASH_DASH] = ACTIONS(2745),
    [anon_sym_PLUS_PLUS] = ACTIONS(2745),
    [anon_sym_sizeof] = ACTIONS(2743),
    [anon_sym___alignof__] = ACTIONS(2743),
    [anon_sym___alignof] = ACTIONS(2743),
    [anon_sym__alignof] = ACTIONS(2743),
    [anon_sym_alignof] = ACTIONS(2743),
    [anon_sym__Alignof] = ACTIONS(2743),
    [anon_sym_offsetof] = ACTIONS(2743),
    [anon_sym__Generic] = ACTIONS(2743),
    [anon_sym_asm] = ACTIONS(2743),
    [anon_sym___asm__] = ACTIONS(2743),
    [sym_number_literal] = ACTIONS(2745),
    [anon_sym_L_SQUOTE] = ACTIONS(2745),
    [anon_sym_u_SQUOTE] = ACTIONS(2745),
    [anon_sym_U_SQUOTE] = ACTIONS(2745),
    [anon_sym_u8_SQUOTE] = ACTIONS(2745),
    [anon_sym_SQUOTE] = ACTIONS(2745),
    [anon_sym_L_DQUOTE] = ACTIONS(2745),
    [anon_sym_u_DQUOTE] = ACTIONS(2745),
    [anon_sym_U_DQUOTE] = ACTIONS(2745),
    [anon_sym_u8_DQUOTE] = ACTIONS(2745),
    [anon_sym_DQUOTE] = ACTIONS(2745),
    [sym_true] = ACTIONS(2743),
    [sym_false] = ACTIONS(2743),
    [anon_sym_NULL] = ACTIONS(2743),
    [anon_sym_nullptr] = ACTIONS(2743),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2743),
    [anon_sym_decltype] = ACTIONS(2743),
    [anon_sym_virtual] = ACTIONS(2743),
    [anon_sym_alignas] = ACTIONS(2743),
    [anon_sym_explicit] = ACTIONS(2743),
    [anon_sym_typename] = ACTIONS(2743),
    [anon_sym_template] = ACTIONS(2743),
    [anon_sym_operator] = ACTIONS(2743),
    [anon_sym_try] = ACTIONS(2743),
    [anon_sym_delete] = ACTIONS(2743),
    [anon_sym_throw] = ACTIONS(2743),
    [anon_sym_namespace] = ACTIONS(2743),
    [anon_sym_using] = ACTIONS(2743),
    [anon_sym_static_assert] = ACTIONS(2743),
    [anon_sym_concept] = ACTIONS(2743),
    [anon_sym_co_return] = ACTIONS(2743),
    [anon_sym_co_yield] = ACTIONS(2743),
    [anon_sym_R_DQUOTE] = ACTIONS(2745),
    [anon_sym_LR_DQUOTE] = ACTIONS(2745),
    [anon_sym_uR_DQUOTE] = ACTIONS(2745),
    [anon_sym_UR_DQUOTE] = ACTIONS(2745),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2745),
    [anon_sym_co_await] = ACTIONS(2743),
    [anon_sym_new] = ACTIONS(2743),
    [anon_sym_requires] = ACTIONS(2743),
    [sym_this] = ACTIONS(2743),
    [anon_sym_discard] = ACTIONS(2743),
    [anon_sym_precise] = ACTIONS(2743),
    [anon_sym_shared] = ACTIONS(2743),
    [anon_sym_groupshared] = ACTIONS(2743),
    [anon_sym_uniform] = ACTIONS(2743),
    [anon_sym_row_major] = ACTIONS(2743),
    [anon_sym_column_major] = ACTIONS(2743),
    [anon_sym_globallycoherent] = ACTIONS(2743),
    [anon_sym_centroid] = ACTIONS(2743),
    [anon_sym_noperspective] = ACTIONS(2743),
    [anon_sym_nointerpolation] = ACTIONS(2743),
    [anon_sym_sample] = ACTIONS(2743),
    [anon_sym_linear] = ACTIONS(2743),
    [anon_sym_snorm] = ACTIONS(2743),
    [anon_sym_unorm] = ACTIONS(2743),
    [anon_sym_point] = ACTIONS(2743),
    [anon_sym_line] = ACTIONS(2743),
    [anon_sym_triangleadj] = ACTIONS(2743),
    [anon_sym_lineadj] = ACTIONS(2743),
    [anon_sym_triangle] = ACTIONS(2743),
    [anon_sym_cbuffer] = ACTIONS(2743),
  },
  [1195] = {
    [sym_identifier] = ACTIONS(2677),
    [aux_sym_preproc_include_token1] = ACTIONS(2677),
    [aux_sym_preproc_def_token1] = ACTIONS(2677),
    [aux_sym_preproc_if_token1] = ACTIONS(2677),
    [aux_sym_preproc_if_token2] = ACTIONS(2677),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2677),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2677),
    [sym_preproc_directive] = ACTIONS(2677),
    [anon_sym_LPAREN2] = ACTIONS(2679),
    [anon_sym_BANG] = ACTIONS(2679),
    [anon_sym_TILDE] = ACTIONS(2679),
    [anon_sym_DASH] = ACTIONS(2677),
    [anon_sym_PLUS] = ACTIONS(2677),
    [anon_sym_STAR] = ACTIONS(2679),
    [anon_sym_AMP_AMP] = ACTIONS(2679),
    [anon_sym_AMP] = ACTIONS(2677),
    [anon_sym_SEMI] = ACTIONS(2679),
    [anon_sym___extension__] = ACTIONS(2677),
    [anon_sym_typedef] = ACTIONS(2677),
    [anon_sym_in] = ACTIONS(2677),
    [anon_sym_out] = ACTIONS(2677),
    [anon_sym_inout] = ACTIONS(2677),
    [anon_sym_extern] = ACTIONS(2677),
    [anon_sym___attribute__] = ACTIONS(2677),
    [anon_sym_COLON_COLON] = ACTIONS(2679),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2679),
    [anon_sym___declspec] = ACTIONS(2677),
    [anon_sym___based] = ACTIONS(2677),
    [anon_sym___cdecl] = ACTIONS(2677),
    [anon_sym___clrcall] = ACTIONS(2677),
    [anon_sym___stdcall] = ACTIONS(2677),
    [anon_sym___fastcall] = ACTIONS(2677),
    [anon_sym___thiscall] = ACTIONS(2677),
    [anon_sym___vectorcall] = ACTIONS(2677),
    [anon_sym_LBRACE] = ACTIONS(2679),
    [anon_sym_signed] = ACTIONS(2677),
    [anon_sym_unsigned] = ACTIONS(2677),
    [anon_sym_long] = ACTIONS(2677),
    [anon_sym_short] = ACTIONS(2677),
    [anon_sym_LBRACK] = ACTIONS(2677),
    [anon_sym_static] = ACTIONS(2677),
    [anon_sym_register] = ACTIONS(2677),
    [anon_sym_inline] = ACTIONS(2677),
    [anon_sym___inline] = ACTIONS(2677),
    [anon_sym___inline__] = ACTIONS(2677),
    [anon_sym___forceinline] = ACTIONS(2677),
    [anon_sym_thread_local] = ACTIONS(2677),
    [anon_sym___thread] = ACTIONS(2677),
    [anon_sym_const] = ACTIONS(2677),
    [anon_sym_constexpr] = ACTIONS(2677),
    [anon_sym_volatile] = ACTIONS(2677),
    [anon_sym_restrict] = ACTIONS(2677),
    [anon_sym___restrict__] = ACTIONS(2677),
    [anon_sym__Atomic] = ACTIONS(2677),
    [anon_sym__Noreturn] = ACTIONS(2677),
    [anon_sym_noreturn] = ACTIONS(2677),
    [anon_sym_mutable] = ACTIONS(2677),
    [anon_sym_constinit] = ACTIONS(2677),
    [anon_sym_consteval] = ACTIONS(2677),
    [sym_primitive_type] = ACTIONS(2677),
    [anon_sym_enum] = ACTIONS(2677),
    [anon_sym_class] = ACTIONS(2677),
    [anon_sym_struct] = ACTIONS(2677),
    [anon_sym_union] = ACTIONS(2677),
    [anon_sym_if] = ACTIONS(2677),
    [anon_sym_switch] = ACTIONS(2677),
    [anon_sym_case] = ACTIONS(2677),
    [anon_sym_default] = ACTIONS(2677),
    [anon_sym_while] = ACTIONS(2677),
    [anon_sym_do] = ACTIONS(2677),
    [anon_sym_for] = ACTIONS(2677),
    [anon_sym_return] = ACTIONS(2677),
    [anon_sym_break] = ACTIONS(2677),
    [anon_sym_continue] = ACTIONS(2677),
    [anon_sym_goto] = ACTIONS(2677),
    [anon_sym___try] = ACTIONS(2677),
    [anon_sym___leave] = ACTIONS(2677),
    [anon_sym_not] = ACTIONS(2677),
    [anon_sym_compl] = ACTIONS(2677),
    [anon_sym_DASH_DASH] = ACTIONS(2679),
    [anon_sym_PLUS_PLUS] = ACTIONS(2679),
    [anon_sym_sizeof] = ACTIONS(2677),
    [anon_sym___alignof__] = ACTIONS(2677),
    [anon_sym___alignof] = ACTIONS(2677),
    [anon_sym__alignof] = ACTIONS(2677),
    [anon_sym_alignof] = ACTIONS(2677),
    [anon_sym__Alignof] = ACTIONS(2677),
    [anon_sym_offsetof] = ACTIONS(2677),
    [anon_sym__Generic] = ACTIONS(2677),
    [anon_sym_asm] = ACTIONS(2677),
    [anon_sym___asm__] = ACTIONS(2677),
    [sym_number_literal] = ACTIONS(2679),
    [anon_sym_L_SQUOTE] = ACTIONS(2679),
    [anon_sym_u_SQUOTE] = ACTIONS(2679),
    [anon_sym_U_SQUOTE] = ACTIONS(2679),
    [anon_sym_u8_SQUOTE] = ACTIONS(2679),
    [anon_sym_SQUOTE] = ACTIONS(2679),
    [anon_sym_L_DQUOTE] = ACTIONS(2679),
    [anon_sym_u_DQUOTE] = ACTIONS(2679),
    [anon_sym_U_DQUOTE] = ACTIONS(2679),
    [anon_sym_u8_DQUOTE] = ACTIONS(2679),
    [anon_sym_DQUOTE] = ACTIONS(2679),
    [sym_true] = ACTIONS(2677),
    [sym_false] = ACTIONS(2677),
    [anon_sym_NULL] = ACTIONS(2677),
    [anon_sym_nullptr] = ACTIONS(2677),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2677),
    [anon_sym_decltype] = ACTIONS(2677),
    [anon_sym_virtual] = ACTIONS(2677),
    [anon_sym_alignas] = ACTIONS(2677),
    [anon_sym_explicit] = ACTIONS(2677),
    [anon_sym_typename] = ACTIONS(2677),
    [anon_sym_template] = ACTIONS(2677),
    [anon_sym_operator] = ACTIONS(2677),
    [anon_sym_try] = ACTIONS(2677),
    [anon_sym_delete] = ACTIONS(2677),
    [anon_sym_throw] = ACTIONS(2677),
    [anon_sym_namespace] = ACTIONS(2677),
    [anon_sym_using] = ACTIONS(2677),
    [anon_sym_static_assert] = ACTIONS(2677),
    [anon_sym_concept] = ACTIONS(2677),
    [anon_sym_co_return] = ACTIONS(2677),
    [anon_sym_co_yield] = ACTIONS(2677),
    [anon_sym_R_DQUOTE] = ACTIONS(2679),
    [anon_sym_LR_DQUOTE] = ACTIONS(2679),
    [anon_sym_uR_DQUOTE] = ACTIONS(2679),
    [anon_sym_UR_DQUOTE] = ACTIONS(2679),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2679),
    [anon_sym_co_await] = ACTIONS(2677),
    [anon_sym_new] = ACTIONS(2677),
    [anon_sym_requires] = ACTIONS(2677),
    [sym_this] = ACTIONS(2677),
    [anon_sym_discard] = ACTIONS(2677),
    [anon_sym_precise] = ACTIONS(2677),
    [anon_sym_shared] = ACTIONS(2677),
    [anon_sym_groupshared] = ACTIONS(2677),
    [anon_sym_uniform] = ACTIONS(2677),
    [anon_sym_row_major] = ACTIONS(2677),
    [anon_sym_column_major] = ACTIONS(2677),
    [anon_sym_globallycoherent] = ACTIONS(2677),
    [anon_sym_centroid] = ACTIONS(2677),
    [anon_sym_noperspective] = ACTIONS(2677),
    [anon_sym_nointerpolation] = ACTIONS(2677),
    [anon_sym_sample] = ACTIONS(2677),
    [anon_sym_linear] = ACTIONS(2677),
    [anon_sym_snorm] = ACTIONS(2677),
    [anon_sym_unorm] = ACTIONS(2677),
    [anon_sym_point] = ACTIONS(2677),
    [anon_sym_line] = ACTIONS(2677),
    [anon_sym_triangleadj] = ACTIONS(2677),
    [anon_sym_lineadj] = ACTIONS(2677),
    [anon_sym_triangle] = ACTIONS(2677),
    [anon_sym_cbuffer] = ACTIONS(2677),
  },
  [1196] = {
    [sym_identifier] = ACTIONS(2849),
    [aux_sym_preproc_include_token1] = ACTIONS(2849),
    [aux_sym_preproc_def_token1] = ACTIONS(2849),
    [aux_sym_preproc_if_token1] = ACTIONS(2849),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2849),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2849),
    [sym_preproc_directive] = ACTIONS(2849),
    [anon_sym_LPAREN2] = ACTIONS(2851),
    [anon_sym_BANG] = ACTIONS(2851),
    [anon_sym_TILDE] = ACTIONS(2851),
    [anon_sym_DASH] = ACTIONS(2849),
    [anon_sym_PLUS] = ACTIONS(2849),
    [anon_sym_STAR] = ACTIONS(2851),
    [anon_sym_AMP_AMP] = ACTIONS(2851),
    [anon_sym_AMP] = ACTIONS(2849),
    [anon_sym_SEMI] = ACTIONS(2851),
    [anon_sym___extension__] = ACTIONS(2849),
    [anon_sym_typedef] = ACTIONS(2849),
    [anon_sym_in] = ACTIONS(2849),
    [anon_sym_out] = ACTIONS(2849),
    [anon_sym_inout] = ACTIONS(2849),
    [anon_sym_extern] = ACTIONS(2849),
    [anon_sym___attribute__] = ACTIONS(2849),
    [anon_sym_COLON_COLON] = ACTIONS(2851),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2851),
    [anon_sym___declspec] = ACTIONS(2849),
    [anon_sym___based] = ACTIONS(2849),
    [anon_sym___cdecl] = ACTIONS(2849),
    [anon_sym___clrcall] = ACTIONS(2849),
    [anon_sym___stdcall] = ACTIONS(2849),
    [anon_sym___fastcall] = ACTIONS(2849),
    [anon_sym___thiscall] = ACTIONS(2849),
    [anon_sym___vectorcall] = ACTIONS(2849),
    [anon_sym_LBRACE] = ACTIONS(2851),
    [anon_sym_RBRACE] = ACTIONS(2851),
    [anon_sym_signed] = ACTIONS(2849),
    [anon_sym_unsigned] = ACTIONS(2849),
    [anon_sym_long] = ACTIONS(2849),
    [anon_sym_short] = ACTIONS(2849),
    [anon_sym_LBRACK] = ACTIONS(2849),
    [anon_sym_static] = ACTIONS(2849),
    [anon_sym_register] = ACTIONS(2849),
    [anon_sym_inline] = ACTIONS(2849),
    [anon_sym___inline] = ACTIONS(2849),
    [anon_sym___inline__] = ACTIONS(2849),
    [anon_sym___forceinline] = ACTIONS(2849),
    [anon_sym_thread_local] = ACTIONS(2849),
    [anon_sym___thread] = ACTIONS(2849),
    [anon_sym_const] = ACTIONS(2849),
    [anon_sym_constexpr] = ACTIONS(2849),
    [anon_sym_volatile] = ACTIONS(2849),
    [anon_sym_restrict] = ACTIONS(2849),
    [anon_sym___restrict__] = ACTIONS(2849),
    [anon_sym__Atomic] = ACTIONS(2849),
    [anon_sym__Noreturn] = ACTIONS(2849),
    [anon_sym_noreturn] = ACTIONS(2849),
    [anon_sym_mutable] = ACTIONS(2849),
    [anon_sym_constinit] = ACTIONS(2849),
    [anon_sym_consteval] = ACTIONS(2849),
    [sym_primitive_type] = ACTIONS(2849),
    [anon_sym_enum] = ACTIONS(2849),
    [anon_sym_class] = ACTIONS(2849),
    [anon_sym_struct] = ACTIONS(2849),
    [anon_sym_union] = ACTIONS(2849),
    [anon_sym_if] = ACTIONS(2849),
    [anon_sym_switch] = ACTIONS(2849),
    [anon_sym_case] = ACTIONS(2849),
    [anon_sym_default] = ACTIONS(2849),
    [anon_sym_while] = ACTIONS(2849),
    [anon_sym_do] = ACTIONS(2849),
    [anon_sym_for] = ACTIONS(2849),
    [anon_sym_return] = ACTIONS(2849),
    [anon_sym_break] = ACTIONS(2849),
    [anon_sym_continue] = ACTIONS(2849),
    [anon_sym_goto] = ACTIONS(2849),
    [anon_sym___try] = ACTIONS(2849),
    [anon_sym___leave] = ACTIONS(2849),
    [anon_sym_not] = ACTIONS(2849),
    [anon_sym_compl] = ACTIONS(2849),
    [anon_sym_DASH_DASH] = ACTIONS(2851),
    [anon_sym_PLUS_PLUS] = ACTIONS(2851),
    [anon_sym_sizeof] = ACTIONS(2849),
    [anon_sym___alignof__] = ACTIONS(2849),
    [anon_sym___alignof] = ACTIONS(2849),
    [anon_sym__alignof] = ACTIONS(2849),
    [anon_sym_alignof] = ACTIONS(2849),
    [anon_sym__Alignof] = ACTIONS(2849),
    [anon_sym_offsetof] = ACTIONS(2849),
    [anon_sym__Generic] = ACTIONS(2849),
    [anon_sym_asm] = ACTIONS(2849),
    [anon_sym___asm__] = ACTIONS(2849),
    [sym_number_literal] = ACTIONS(2851),
    [anon_sym_L_SQUOTE] = ACTIONS(2851),
    [anon_sym_u_SQUOTE] = ACTIONS(2851),
    [anon_sym_U_SQUOTE] = ACTIONS(2851),
    [anon_sym_u8_SQUOTE] = ACTIONS(2851),
    [anon_sym_SQUOTE] = ACTIONS(2851),
    [anon_sym_L_DQUOTE] = ACTIONS(2851),
    [anon_sym_u_DQUOTE] = ACTIONS(2851),
    [anon_sym_U_DQUOTE] = ACTIONS(2851),
    [anon_sym_u8_DQUOTE] = ACTIONS(2851),
    [anon_sym_DQUOTE] = ACTIONS(2851),
    [sym_true] = ACTIONS(2849),
    [sym_false] = ACTIONS(2849),
    [anon_sym_NULL] = ACTIONS(2849),
    [anon_sym_nullptr] = ACTIONS(2849),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2849),
    [anon_sym_decltype] = ACTIONS(2849),
    [anon_sym_virtual] = ACTIONS(2849),
    [anon_sym_alignas] = ACTIONS(2849),
    [anon_sym_explicit] = ACTIONS(2849),
    [anon_sym_typename] = ACTIONS(2849),
    [anon_sym_template] = ACTIONS(2849),
    [anon_sym_operator] = ACTIONS(2849),
    [anon_sym_try] = ACTIONS(2849),
    [anon_sym_delete] = ACTIONS(2849),
    [anon_sym_throw] = ACTIONS(2849),
    [anon_sym_namespace] = ACTIONS(2849),
    [anon_sym_using] = ACTIONS(2849),
    [anon_sym_static_assert] = ACTIONS(2849),
    [anon_sym_concept] = ACTIONS(2849),
    [anon_sym_co_return] = ACTIONS(2849),
    [anon_sym_co_yield] = ACTIONS(2849),
    [anon_sym_R_DQUOTE] = ACTIONS(2851),
    [anon_sym_LR_DQUOTE] = ACTIONS(2851),
    [anon_sym_uR_DQUOTE] = ACTIONS(2851),
    [anon_sym_UR_DQUOTE] = ACTIONS(2851),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2851),
    [anon_sym_co_await] = ACTIONS(2849),
    [anon_sym_new] = ACTIONS(2849),
    [anon_sym_requires] = ACTIONS(2849),
    [sym_this] = ACTIONS(2849),
    [anon_sym_discard] = ACTIONS(2849),
    [anon_sym_precise] = ACTIONS(2849),
    [anon_sym_shared] = ACTIONS(2849),
    [anon_sym_groupshared] = ACTIONS(2849),
    [anon_sym_uniform] = ACTIONS(2849),
    [anon_sym_row_major] = ACTIONS(2849),
    [anon_sym_column_major] = ACTIONS(2849),
    [anon_sym_globallycoherent] = ACTIONS(2849),
    [anon_sym_centroid] = ACTIONS(2849),
    [anon_sym_noperspective] = ACTIONS(2849),
    [anon_sym_nointerpolation] = ACTIONS(2849),
    [anon_sym_sample] = ACTIONS(2849),
    [anon_sym_linear] = ACTIONS(2849),
    [anon_sym_snorm] = ACTIONS(2849),
    [anon_sym_unorm] = ACTIONS(2849),
    [anon_sym_point] = ACTIONS(2849),
    [anon_sym_line] = ACTIONS(2849),
    [anon_sym_triangleadj] = ACTIONS(2849),
    [anon_sym_lineadj] = ACTIONS(2849),
    [anon_sym_triangle] = ACTIONS(2849),
    [anon_sym_cbuffer] = ACTIONS(2849),
  },
  [1197] = {
    [sym_identifier] = ACTIONS(2739),
    [aux_sym_preproc_include_token1] = ACTIONS(2739),
    [aux_sym_preproc_def_token1] = ACTIONS(2739),
    [aux_sym_preproc_if_token1] = ACTIONS(2739),
    [aux_sym_preproc_if_token2] = ACTIONS(2739),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2739),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2739),
    [sym_preproc_directive] = ACTIONS(2739),
    [anon_sym_LPAREN2] = ACTIONS(2741),
    [anon_sym_BANG] = ACTIONS(2741),
    [anon_sym_TILDE] = ACTIONS(2741),
    [anon_sym_DASH] = ACTIONS(2739),
    [anon_sym_PLUS] = ACTIONS(2739),
    [anon_sym_STAR] = ACTIONS(2741),
    [anon_sym_AMP_AMP] = ACTIONS(2741),
    [anon_sym_AMP] = ACTIONS(2739),
    [anon_sym_SEMI] = ACTIONS(2741),
    [anon_sym___extension__] = ACTIONS(2739),
    [anon_sym_typedef] = ACTIONS(2739),
    [anon_sym_in] = ACTIONS(2739),
    [anon_sym_out] = ACTIONS(2739),
    [anon_sym_inout] = ACTIONS(2739),
    [anon_sym_extern] = ACTIONS(2739),
    [anon_sym___attribute__] = ACTIONS(2739),
    [anon_sym_COLON_COLON] = ACTIONS(2741),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2741),
    [anon_sym___declspec] = ACTIONS(2739),
    [anon_sym___based] = ACTIONS(2739),
    [anon_sym___cdecl] = ACTIONS(2739),
    [anon_sym___clrcall] = ACTIONS(2739),
    [anon_sym___stdcall] = ACTIONS(2739),
    [anon_sym___fastcall] = ACTIONS(2739),
    [anon_sym___thiscall] = ACTIONS(2739),
    [anon_sym___vectorcall] = ACTIONS(2739),
    [anon_sym_LBRACE] = ACTIONS(2741),
    [anon_sym_signed] = ACTIONS(2739),
    [anon_sym_unsigned] = ACTIONS(2739),
    [anon_sym_long] = ACTIONS(2739),
    [anon_sym_short] = ACTIONS(2739),
    [anon_sym_LBRACK] = ACTIONS(2739),
    [anon_sym_static] = ACTIONS(2739),
    [anon_sym_register] = ACTIONS(2739),
    [anon_sym_inline] = ACTIONS(2739),
    [anon_sym___inline] = ACTIONS(2739),
    [anon_sym___inline__] = ACTIONS(2739),
    [anon_sym___forceinline] = ACTIONS(2739),
    [anon_sym_thread_local] = ACTIONS(2739),
    [anon_sym___thread] = ACTIONS(2739),
    [anon_sym_const] = ACTIONS(2739),
    [anon_sym_constexpr] = ACTIONS(2739),
    [anon_sym_volatile] = ACTIONS(2739),
    [anon_sym_restrict] = ACTIONS(2739),
    [anon_sym___restrict__] = ACTIONS(2739),
    [anon_sym__Atomic] = ACTIONS(2739),
    [anon_sym__Noreturn] = ACTIONS(2739),
    [anon_sym_noreturn] = ACTIONS(2739),
    [anon_sym_mutable] = ACTIONS(2739),
    [anon_sym_constinit] = ACTIONS(2739),
    [anon_sym_consteval] = ACTIONS(2739),
    [sym_primitive_type] = ACTIONS(2739),
    [anon_sym_enum] = ACTIONS(2739),
    [anon_sym_class] = ACTIONS(2739),
    [anon_sym_struct] = ACTIONS(2739),
    [anon_sym_union] = ACTIONS(2739),
    [anon_sym_if] = ACTIONS(2739),
    [anon_sym_switch] = ACTIONS(2739),
    [anon_sym_case] = ACTIONS(2739),
    [anon_sym_default] = ACTIONS(2739),
    [anon_sym_while] = ACTIONS(2739),
    [anon_sym_do] = ACTIONS(2739),
    [anon_sym_for] = ACTIONS(2739),
    [anon_sym_return] = ACTIONS(2739),
    [anon_sym_break] = ACTIONS(2739),
    [anon_sym_continue] = ACTIONS(2739),
    [anon_sym_goto] = ACTIONS(2739),
    [anon_sym___try] = ACTIONS(2739),
    [anon_sym___leave] = ACTIONS(2739),
    [anon_sym_not] = ACTIONS(2739),
    [anon_sym_compl] = ACTIONS(2739),
    [anon_sym_DASH_DASH] = ACTIONS(2741),
    [anon_sym_PLUS_PLUS] = ACTIONS(2741),
    [anon_sym_sizeof] = ACTIONS(2739),
    [anon_sym___alignof__] = ACTIONS(2739),
    [anon_sym___alignof] = ACTIONS(2739),
    [anon_sym__alignof] = ACTIONS(2739),
    [anon_sym_alignof] = ACTIONS(2739),
    [anon_sym__Alignof] = ACTIONS(2739),
    [anon_sym_offsetof] = ACTIONS(2739),
    [anon_sym__Generic] = ACTIONS(2739),
    [anon_sym_asm] = ACTIONS(2739),
    [anon_sym___asm__] = ACTIONS(2739),
    [sym_number_literal] = ACTIONS(2741),
    [anon_sym_L_SQUOTE] = ACTIONS(2741),
    [anon_sym_u_SQUOTE] = ACTIONS(2741),
    [anon_sym_U_SQUOTE] = ACTIONS(2741),
    [anon_sym_u8_SQUOTE] = ACTIONS(2741),
    [anon_sym_SQUOTE] = ACTIONS(2741),
    [anon_sym_L_DQUOTE] = ACTIONS(2741),
    [anon_sym_u_DQUOTE] = ACTIONS(2741),
    [anon_sym_U_DQUOTE] = ACTIONS(2741),
    [anon_sym_u8_DQUOTE] = ACTIONS(2741),
    [anon_sym_DQUOTE] = ACTIONS(2741),
    [sym_true] = ACTIONS(2739),
    [sym_false] = ACTIONS(2739),
    [anon_sym_NULL] = ACTIONS(2739),
    [anon_sym_nullptr] = ACTIONS(2739),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2739),
    [anon_sym_decltype] = ACTIONS(2739),
    [anon_sym_virtual] = ACTIONS(2739),
    [anon_sym_alignas] = ACTIONS(2739),
    [anon_sym_explicit] = ACTIONS(2739),
    [anon_sym_typename] = ACTIONS(2739),
    [anon_sym_template] = ACTIONS(2739),
    [anon_sym_operator] = ACTIONS(2739),
    [anon_sym_try] = ACTIONS(2739),
    [anon_sym_delete] = ACTIONS(2739),
    [anon_sym_throw] = ACTIONS(2739),
    [anon_sym_namespace] = ACTIONS(2739),
    [anon_sym_using] = ACTIONS(2739),
    [anon_sym_static_assert] = ACTIONS(2739),
    [anon_sym_concept] = ACTIONS(2739),
    [anon_sym_co_return] = ACTIONS(2739),
    [anon_sym_co_yield] = ACTIONS(2739),
    [anon_sym_R_DQUOTE] = ACTIONS(2741),
    [anon_sym_LR_DQUOTE] = ACTIONS(2741),
    [anon_sym_uR_DQUOTE] = ACTIONS(2741),
    [anon_sym_UR_DQUOTE] = ACTIONS(2741),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2741),
    [anon_sym_co_await] = ACTIONS(2739),
    [anon_sym_new] = ACTIONS(2739),
    [anon_sym_requires] = ACTIONS(2739),
    [sym_this] = ACTIONS(2739),
    [anon_sym_discard] = ACTIONS(2739),
    [anon_sym_precise] = ACTIONS(2739),
    [anon_sym_shared] = ACTIONS(2739),
    [anon_sym_groupshared] = ACTIONS(2739),
    [anon_sym_uniform] = ACTIONS(2739),
    [anon_sym_row_major] = ACTIONS(2739),
    [anon_sym_column_major] = ACTIONS(2739),
    [anon_sym_globallycoherent] = ACTIONS(2739),
    [anon_sym_centroid] = ACTIONS(2739),
    [anon_sym_noperspective] = ACTIONS(2739),
    [anon_sym_nointerpolation] = ACTIONS(2739),
    [anon_sym_sample] = ACTIONS(2739),
    [anon_sym_linear] = ACTIONS(2739),
    [anon_sym_snorm] = ACTIONS(2739),
    [anon_sym_unorm] = ACTIONS(2739),
    [anon_sym_point] = ACTIONS(2739),
    [anon_sym_line] = ACTIONS(2739),
    [anon_sym_triangleadj] = ACTIONS(2739),
    [anon_sym_lineadj] = ACTIONS(2739),
    [anon_sym_triangle] = ACTIONS(2739),
    [anon_sym_cbuffer] = ACTIONS(2739),
  },
  [1198] = {
    [ts_builtin_sym_end] = ACTIONS(2236),
    [sym_identifier] = ACTIONS(2238),
    [aux_sym_preproc_include_token1] = ACTIONS(2238),
    [aux_sym_preproc_def_token1] = ACTIONS(2238),
    [anon_sym_COMMA] = ACTIONS(2358),
    [anon_sym_RPAREN] = ACTIONS(2358),
    [aux_sym_preproc_if_token1] = ACTIONS(2238),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2238),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2238),
    [sym_preproc_directive] = ACTIONS(2238),
    [anon_sym_LPAREN2] = ACTIONS(2236),
    [anon_sym_BANG] = ACTIONS(2236),
    [anon_sym_TILDE] = ACTIONS(2236),
    [anon_sym_DASH] = ACTIONS(2238),
    [anon_sym_PLUS] = ACTIONS(2238),
    [anon_sym_STAR] = ACTIONS(2236),
    [anon_sym_AMP_AMP] = ACTIONS(2236),
    [anon_sym_AMP] = ACTIONS(2238),
    [anon_sym_SEMI] = ACTIONS(2358),
    [anon_sym___extension__] = ACTIONS(2238),
    [anon_sym_typedef] = ACTIONS(2238),
    [anon_sym_in] = ACTIONS(2238),
    [anon_sym_out] = ACTIONS(2238),
    [anon_sym_inout] = ACTIONS(2238),
    [anon_sym_extern] = ACTIONS(2238),
    [anon_sym___attribute__] = ACTIONS(2238),
    [anon_sym_COLON_COLON] = ACTIONS(2236),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2236),
    [anon_sym___declspec] = ACTIONS(2238),
    [anon_sym___based] = ACTIONS(2238),
    [anon_sym___cdecl] = ACTIONS(2238),
    [anon_sym___clrcall] = ACTIONS(2238),
    [anon_sym___stdcall] = ACTIONS(2238),
    [anon_sym___fastcall] = ACTIONS(2238),
    [anon_sym___thiscall] = ACTIONS(2238),
    [anon_sym___vectorcall] = ACTIONS(2238),
    [anon_sym_LBRACE] = ACTIONS(2236),
    [anon_sym_signed] = ACTIONS(2238),
    [anon_sym_unsigned] = ACTIONS(2238),
    [anon_sym_long] = ACTIONS(2238),
    [anon_sym_short] = ACTIONS(2238),
    [anon_sym_LBRACK] = ACTIONS(2238),
    [anon_sym_static] = ACTIONS(2238),
    [anon_sym_register] = ACTIONS(2238),
    [anon_sym_inline] = ACTIONS(2238),
    [anon_sym___inline] = ACTIONS(2238),
    [anon_sym___inline__] = ACTIONS(2238),
    [anon_sym___forceinline] = ACTIONS(2238),
    [anon_sym_thread_local] = ACTIONS(2238),
    [anon_sym___thread] = ACTIONS(2238),
    [anon_sym_const] = ACTIONS(2238),
    [anon_sym_constexpr] = ACTIONS(2238),
    [anon_sym_volatile] = ACTIONS(2238),
    [anon_sym_restrict] = ACTIONS(2238),
    [anon_sym___restrict__] = ACTIONS(2238),
    [anon_sym__Atomic] = ACTIONS(2238),
    [anon_sym__Noreturn] = ACTIONS(2238),
    [anon_sym_noreturn] = ACTIONS(2238),
    [anon_sym_mutable] = ACTIONS(2238),
    [anon_sym_constinit] = ACTIONS(2238),
    [anon_sym_consteval] = ACTIONS(2238),
    [sym_primitive_type] = ACTIONS(2238),
    [anon_sym_enum] = ACTIONS(2238),
    [anon_sym_class] = ACTIONS(2238),
    [anon_sym_struct] = ACTIONS(2238),
    [anon_sym_union] = ACTIONS(2238),
    [anon_sym_if] = ACTIONS(2238),
    [anon_sym_switch] = ACTIONS(2238),
    [anon_sym_case] = ACTIONS(2238),
    [anon_sym_default] = ACTIONS(2238),
    [anon_sym_while] = ACTIONS(2238),
    [anon_sym_do] = ACTIONS(2238),
    [anon_sym_for] = ACTIONS(2238),
    [anon_sym_return] = ACTIONS(2238),
    [anon_sym_break] = ACTIONS(2238),
    [anon_sym_continue] = ACTIONS(2238),
    [anon_sym_goto] = ACTIONS(2238),
    [anon_sym_not] = ACTIONS(2238),
    [anon_sym_compl] = ACTIONS(2238),
    [anon_sym_DASH_DASH] = ACTIONS(2236),
    [anon_sym_PLUS_PLUS] = ACTIONS(2236),
    [anon_sym_sizeof] = ACTIONS(2238),
    [anon_sym___alignof__] = ACTIONS(2238),
    [anon_sym___alignof] = ACTIONS(2238),
    [anon_sym__alignof] = ACTIONS(2238),
    [anon_sym_alignof] = ACTIONS(2238),
    [anon_sym__Alignof] = ACTIONS(2238),
    [anon_sym_offsetof] = ACTIONS(2238),
    [anon_sym__Generic] = ACTIONS(2238),
    [anon_sym_asm] = ACTIONS(2238),
    [anon_sym___asm__] = ACTIONS(2238),
    [sym_number_literal] = ACTIONS(2236),
    [anon_sym_L_SQUOTE] = ACTIONS(2236),
    [anon_sym_u_SQUOTE] = ACTIONS(2236),
    [anon_sym_U_SQUOTE] = ACTIONS(2236),
    [anon_sym_u8_SQUOTE] = ACTIONS(2236),
    [anon_sym_SQUOTE] = ACTIONS(2236),
    [anon_sym_L_DQUOTE] = ACTIONS(2236),
    [anon_sym_u_DQUOTE] = ACTIONS(2236),
    [anon_sym_U_DQUOTE] = ACTIONS(2236),
    [anon_sym_u8_DQUOTE] = ACTIONS(2236),
    [anon_sym_DQUOTE] = ACTIONS(2236),
    [sym_true] = ACTIONS(2238),
    [sym_false] = ACTIONS(2238),
    [anon_sym_NULL] = ACTIONS(2238),
    [anon_sym_nullptr] = ACTIONS(2238),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2238),
    [anon_sym_decltype] = ACTIONS(2238),
    [anon_sym_virtual] = ACTIONS(2238),
    [anon_sym_alignas] = ACTIONS(2238),
    [anon_sym_explicit] = ACTIONS(2238),
    [anon_sym_typename] = ACTIONS(2238),
    [anon_sym_template] = ACTIONS(2238),
    [anon_sym_operator] = ACTIONS(2238),
    [anon_sym_try] = ACTIONS(2238),
    [anon_sym_delete] = ACTIONS(2238),
    [anon_sym_throw] = ACTIONS(2238),
    [anon_sym_namespace] = ACTIONS(2238),
    [anon_sym_using] = ACTIONS(2238),
    [anon_sym_static_assert] = ACTIONS(2238),
    [anon_sym_concept] = ACTIONS(2238),
    [anon_sym_co_return] = ACTIONS(2238),
    [anon_sym_co_yield] = ACTIONS(2238),
    [anon_sym_R_DQUOTE] = ACTIONS(2236),
    [anon_sym_LR_DQUOTE] = ACTIONS(2236),
    [anon_sym_uR_DQUOTE] = ACTIONS(2236),
    [anon_sym_UR_DQUOTE] = ACTIONS(2236),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2236),
    [anon_sym_co_await] = ACTIONS(2238),
    [anon_sym_new] = ACTIONS(2238),
    [anon_sym_requires] = ACTIONS(2238),
    [sym_this] = ACTIONS(2238),
    [anon_sym_precise] = ACTIONS(2238),
    [anon_sym_shared] = ACTIONS(2238),
    [anon_sym_groupshared] = ACTIONS(2238),
    [anon_sym_uniform] = ACTIONS(2238),
    [anon_sym_row_major] = ACTIONS(2238),
    [anon_sym_column_major] = ACTIONS(2238),
    [anon_sym_globallycoherent] = ACTIONS(2238),
    [anon_sym_centroid] = ACTIONS(2238),
    [anon_sym_noperspective] = ACTIONS(2238),
    [anon_sym_nointerpolation] = ACTIONS(2238),
    [anon_sym_sample] = ACTIONS(2238),
    [anon_sym_linear] = ACTIONS(2238),
    [anon_sym_snorm] = ACTIONS(2238),
    [anon_sym_unorm] = ACTIONS(2238),
    [anon_sym_point] = ACTIONS(2238),
    [anon_sym_line] = ACTIONS(2238),
    [anon_sym_triangleadj] = ACTIONS(2238),
    [anon_sym_lineadj] = ACTIONS(2238),
    [anon_sym_triangle] = ACTIONS(2238),
  },
  [1199] = {
    [sym_preproc_def] = STATE(1199),
    [sym_preproc_function_def] = STATE(1199),
    [sym_preproc_call] = STATE(1199),
    [sym_preproc_if_in_field_declaration_list] = STATE(1199),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(1199),
    [sym_type_definition] = STATE(1199),
    [sym__declaration_modifiers] = STATE(3159),
    [sym__declaration_specifiers] = STATE(6914),
    [sym_attribute_specifier] = STATE(3159),
    [sym_attribute_declaration] = STATE(3159),
    [sym_ms_declspec_modifier] = STATE(3159),
    [sym_ms_based_modifier] = STATE(10332),
    [sym__declarator] = STATE(7978),
    [sym_parenthesized_declarator] = STATE(7680),
    [sym_attributed_declarator] = STATE(7680),
    [sym_pointer_declarator] = STATE(7680),
    [sym_function_declarator] = STATE(7532),
    [sym_array_declarator] = STATE(7680),
    [sym_storage_class_specifier] = STATE(3159),
    [sym_type_qualifier] = STATE(3159),
    [sym__type_specifier] = STATE(2827),
    [sym_sized_type_specifier] = STATE(3085),
    [sym_enum_specifier] = STATE(3085),
    [sym_struct_specifier] = STATE(3085),
    [sym_union_specifier] = STATE(3085),
    [sym__field_declaration_list_item] = STATE(1199),
    [sym_field_declaration] = STATE(1199),
    [sym_placeholder_type_specifier] = STATE(3085),
    [sym_decltype_auto] = STATE(3091),
    [sym_decltype] = STATE(3050),
    [sym_class_specifier] = STATE(3085),
    [sym_virtual] = STATE(3159),
    [sym_alignas_specifier] = STATE(3159),
    [sym_explicit_function_specifier] = STATE(2521),
    [sym_dependent_type] = STATE(3085),
    [sym_template_declaration] = STATE(1199),
    [sym_operator_cast] = STATE(8041),
    [sym_inline_method_definition] = STATE(1199),
    [sym__constructor_specifiers] = STATE(2521),
    [sym_operator_cast_definition] = STATE(1199),
    [sym_operator_cast_declaration] = STATE(1199),
    [sym_constructor_or_destructor_definition] = STATE(1199),
    [sym_constructor_or_destructor_declaration] = STATE(1199),
    [sym_friend_declaration] = STATE(1199),
    [sym_access_specifier] = STATE(10120),
    [sym_reference_declarator] = STATE(7680),
    [sym_structured_binding_declarator] = STATE(7680),
    [sym_template_type] = STATE(3050),
    [sym_template_function] = STATE(7680),
    [sym_using_declaration] = STATE(1199),
    [sym_alias_declaration] = STATE(1199),
    [sym_static_assert_declaration] = STATE(1199),
    [sym_destructor_name] = STATE(7680),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6733),
    [sym_qualified_identifier] = STATE(7680),
    [sym_qualified_type_identifier] = STATE(3068),
    [sym_qualified_operator_cast_identifier] = STATE(8041),
    [sym_operator_name] = STATE(7680),
    [sym_qualifiers] = STATE(3159),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(1199),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2680),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3021),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2521),
    [sym_identifier] = ACTIONS(3014),
    [aux_sym_preproc_def_token1] = ACTIONS(3164),
    [aux_sym_preproc_if_token1] = ACTIONS(3167),
    [aux_sym_preproc_if_token2] = ACTIONS(3023),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3170),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3170),
    [aux_sym_preproc_else_token1] = ACTIONS(3023),
    [aux_sym_preproc_elif_token1] = ACTIONS(3023),
    [sym_preproc_directive] = ACTIONS(3173),
    [anon_sym_LPAREN2] = ACTIONS(3031),
    [anon_sym_TILDE] = ACTIONS(3034),
    [anon_sym_STAR] = ACTIONS(3037),
    [anon_sym_AMP_AMP] = ACTIONS(3040),
    [anon_sym_AMP] = ACTIONS(3043),
    [anon_sym___extension__] = ACTIONS(3176),
    [anon_sym_typedef] = ACTIONS(3179),
    [anon_sym_in] = ACTIONS(3052),
    [anon_sym_out] = ACTIONS(3052),
    [anon_sym_inout] = ACTIONS(3052),
    [anon_sym_extern] = ACTIONS(3055),
    [anon_sym___attribute__] = ACTIONS(3058),
    [anon_sym_COLON_COLON] = ACTIONS(3061),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3064),
    [anon_sym___declspec] = ACTIONS(3067),
    [anon_sym___based] = ACTIONS(3070),
    [anon_sym_signed] = ACTIONS(3073),
    [anon_sym_unsigned] = ACTIONS(3073),
    [anon_sym_long] = ACTIONS(3073),
    [anon_sym_short] = ACTIONS(3073),
    [anon_sym_LBRACK] = ACTIONS(3076),
    [anon_sym_static] = ACTIONS(3055),
    [anon_sym_register] = ACTIONS(3055),
    [anon_sym_inline] = ACTIONS(3055),
    [anon_sym___inline] = ACTIONS(3055),
    [anon_sym___inline__] = ACTIONS(3055),
    [anon_sym___forceinline] = ACTIONS(3055),
    [anon_sym_thread_local] = ACTIONS(3055),
    [anon_sym___thread] = ACTIONS(3055),
    [anon_sym_const] = ACTIONS(3079),
    [anon_sym_constexpr] = ACTIONS(3079),
    [anon_sym_volatile] = ACTIONS(3079),
    [anon_sym_restrict] = ACTIONS(3079),
    [anon_sym___restrict__] = ACTIONS(3079),
    [anon_sym__Atomic] = ACTIONS(3079),
    [anon_sym__Noreturn] = ACTIONS(3079),
    [anon_sym_noreturn] = ACTIONS(3079),
    [anon_sym_mutable] = ACTIONS(3079),
    [anon_sym_constinit] = ACTIONS(3079),
    [anon_sym_consteval] = ACTIONS(3079),
    [sym_primitive_type] = ACTIONS(3082),
    [anon_sym_enum] = ACTIONS(3085),
    [anon_sym_class] = ACTIONS(3088),
    [anon_sym_struct] = ACTIONS(3091),
    [anon_sym_union] = ACTIONS(3094),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3097),
    [anon_sym_decltype] = ACTIONS(3100),
    [anon_sym_virtual] = ACTIONS(3103),
    [anon_sym_alignas] = ACTIONS(3106),
    [anon_sym_explicit] = ACTIONS(3109),
    [anon_sym_typename] = ACTIONS(3112),
    [anon_sym_template] = ACTIONS(3182),
    [anon_sym_operator] = ACTIONS(3118),
    [anon_sym_friend] = ACTIONS(3185),
    [anon_sym_public] = ACTIONS(3124),
    [anon_sym_private] = ACTIONS(3124),
    [anon_sym_protected] = ACTIONS(3124),
    [anon_sym_using] = ACTIONS(3188),
    [anon_sym_static_assert] = ACTIONS(3191),
    [anon_sym_precise] = ACTIONS(3133),
    [anon_sym_shared] = ACTIONS(3133),
    [anon_sym_groupshared] = ACTIONS(3133),
    [anon_sym_uniform] = ACTIONS(3133),
    [anon_sym_row_major] = ACTIONS(3133),
    [anon_sym_column_major] = ACTIONS(3133),
    [anon_sym_globallycoherent] = ACTIONS(3133),
    [anon_sym_centroid] = ACTIONS(3133),
    [anon_sym_noperspective] = ACTIONS(3133),
    [anon_sym_nointerpolation] = ACTIONS(3133),
    [anon_sym_sample] = ACTIONS(3133),
    [anon_sym_linear] = ACTIONS(3133),
    [anon_sym_snorm] = ACTIONS(3133),
    [anon_sym_unorm] = ACTIONS(3133),
    [anon_sym_point] = ACTIONS(3133),
    [anon_sym_line] = ACTIONS(3133),
    [anon_sym_triangleadj] = ACTIONS(3133),
    [anon_sym_lineadj] = ACTIONS(3133),
    [anon_sym_triangle] = ACTIONS(3133),
  },
  [1200] = {
    [sym_catch_clause] = STATE(395),
    [aux_sym_constructor_try_statement_repeat1] = STATE(395),
    [ts_builtin_sym_end] = ACTIONS(2277),
    [sym_identifier] = ACTIONS(2275),
    [aux_sym_preproc_include_token1] = ACTIONS(2275),
    [aux_sym_preproc_def_token1] = ACTIONS(2275),
    [aux_sym_preproc_if_token1] = ACTIONS(2275),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2275),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2275),
    [sym_preproc_directive] = ACTIONS(2275),
    [anon_sym_LPAREN2] = ACTIONS(2277),
    [anon_sym_BANG] = ACTIONS(2277),
    [anon_sym_TILDE] = ACTIONS(2277),
    [anon_sym_DASH] = ACTIONS(2275),
    [anon_sym_PLUS] = ACTIONS(2275),
    [anon_sym_STAR] = ACTIONS(2277),
    [anon_sym_AMP_AMP] = ACTIONS(2277),
    [anon_sym_AMP] = ACTIONS(2275),
    [anon_sym___extension__] = ACTIONS(2275),
    [anon_sym_typedef] = ACTIONS(2275),
    [anon_sym_in] = ACTIONS(2275),
    [anon_sym_out] = ACTIONS(2275),
    [anon_sym_inout] = ACTIONS(2275),
    [anon_sym_extern] = ACTIONS(2275),
    [anon_sym___attribute__] = ACTIONS(2275),
    [anon_sym_COLON_COLON] = ACTIONS(2277),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2277),
    [anon_sym___declspec] = ACTIONS(2275),
    [anon_sym___based] = ACTIONS(2275),
    [anon_sym___cdecl] = ACTIONS(2275),
    [anon_sym___clrcall] = ACTIONS(2275),
    [anon_sym___stdcall] = ACTIONS(2275),
    [anon_sym___fastcall] = ACTIONS(2275),
    [anon_sym___thiscall] = ACTIONS(2275),
    [anon_sym___vectorcall] = ACTIONS(2275),
    [anon_sym_LBRACE] = ACTIONS(2277),
    [anon_sym_signed] = ACTIONS(2275),
    [anon_sym_unsigned] = ACTIONS(2275),
    [anon_sym_long] = ACTIONS(2275),
    [anon_sym_short] = ACTIONS(2275),
    [anon_sym_LBRACK] = ACTIONS(2275),
    [anon_sym_static] = ACTIONS(2275),
    [anon_sym_register] = ACTIONS(2275),
    [anon_sym_inline] = ACTIONS(2275),
    [anon_sym___inline] = ACTIONS(2275),
    [anon_sym___inline__] = ACTIONS(2275),
    [anon_sym___forceinline] = ACTIONS(2275),
    [anon_sym_thread_local] = ACTIONS(2275),
    [anon_sym___thread] = ACTIONS(2275),
    [anon_sym_const] = ACTIONS(2275),
    [anon_sym_constexpr] = ACTIONS(2275),
    [anon_sym_volatile] = ACTIONS(2275),
    [anon_sym_restrict] = ACTIONS(2275),
    [anon_sym___restrict__] = ACTIONS(2275),
    [anon_sym__Atomic] = ACTIONS(2275),
    [anon_sym__Noreturn] = ACTIONS(2275),
    [anon_sym_noreturn] = ACTIONS(2275),
    [anon_sym_mutable] = ACTIONS(2275),
    [anon_sym_constinit] = ACTIONS(2275),
    [anon_sym_consteval] = ACTIONS(2275),
    [sym_primitive_type] = ACTIONS(2275),
    [anon_sym_enum] = ACTIONS(2275),
    [anon_sym_class] = ACTIONS(2275),
    [anon_sym_struct] = ACTIONS(2275),
    [anon_sym_union] = ACTIONS(2275),
    [anon_sym_if] = ACTIONS(2275),
    [anon_sym_switch] = ACTIONS(2275),
    [anon_sym_case] = ACTIONS(2275),
    [anon_sym_default] = ACTIONS(2275),
    [anon_sym_while] = ACTIONS(2275),
    [anon_sym_do] = ACTIONS(2275),
    [anon_sym_for] = ACTIONS(2275),
    [anon_sym_return] = ACTIONS(2275),
    [anon_sym_break] = ACTIONS(2275),
    [anon_sym_continue] = ACTIONS(2275),
    [anon_sym_goto] = ACTIONS(2275),
    [anon_sym_not] = ACTIONS(2275),
    [anon_sym_compl] = ACTIONS(2275),
    [anon_sym_DASH_DASH] = ACTIONS(2277),
    [anon_sym_PLUS_PLUS] = ACTIONS(2277),
    [anon_sym_sizeof] = ACTIONS(2275),
    [anon_sym___alignof__] = ACTIONS(2275),
    [anon_sym___alignof] = ACTIONS(2275),
    [anon_sym__alignof] = ACTIONS(2275),
    [anon_sym_alignof] = ACTIONS(2275),
    [anon_sym__Alignof] = ACTIONS(2275),
    [anon_sym_offsetof] = ACTIONS(2275),
    [anon_sym__Generic] = ACTIONS(2275),
    [anon_sym_asm] = ACTIONS(2275),
    [anon_sym___asm__] = ACTIONS(2275),
    [sym_number_literal] = ACTIONS(2277),
    [anon_sym_L_SQUOTE] = ACTIONS(2277),
    [anon_sym_u_SQUOTE] = ACTIONS(2277),
    [anon_sym_U_SQUOTE] = ACTIONS(2277),
    [anon_sym_u8_SQUOTE] = ACTIONS(2277),
    [anon_sym_SQUOTE] = ACTIONS(2277),
    [anon_sym_L_DQUOTE] = ACTIONS(2277),
    [anon_sym_u_DQUOTE] = ACTIONS(2277),
    [anon_sym_U_DQUOTE] = ACTIONS(2277),
    [anon_sym_u8_DQUOTE] = ACTIONS(2277),
    [anon_sym_DQUOTE] = ACTIONS(2277),
    [sym_true] = ACTIONS(2275),
    [sym_false] = ACTIONS(2275),
    [anon_sym_NULL] = ACTIONS(2275),
    [anon_sym_nullptr] = ACTIONS(2275),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2275),
    [anon_sym_decltype] = ACTIONS(2275),
    [anon_sym_virtual] = ACTIONS(2275),
    [anon_sym_alignas] = ACTIONS(2275),
    [anon_sym_explicit] = ACTIONS(2275),
    [anon_sym_typename] = ACTIONS(2275),
    [anon_sym_template] = ACTIONS(2275),
    [anon_sym_operator] = ACTIONS(2275),
    [anon_sym_try] = ACTIONS(2275),
    [anon_sym_delete] = ACTIONS(2275),
    [anon_sym_throw] = ACTIONS(2275),
    [anon_sym_namespace] = ACTIONS(2275),
    [anon_sym_using] = ACTIONS(2275),
    [anon_sym_static_assert] = ACTIONS(2275),
    [anon_sym_concept] = ACTIONS(2275),
    [anon_sym_co_return] = ACTIONS(2275),
    [anon_sym_co_yield] = ACTIONS(2275),
    [anon_sym_catch] = ACTIONS(2692),
    [anon_sym_R_DQUOTE] = ACTIONS(2277),
    [anon_sym_LR_DQUOTE] = ACTIONS(2277),
    [anon_sym_uR_DQUOTE] = ACTIONS(2277),
    [anon_sym_UR_DQUOTE] = ACTIONS(2277),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2277),
    [anon_sym_co_await] = ACTIONS(2275),
    [anon_sym_new] = ACTIONS(2275),
    [anon_sym_requires] = ACTIONS(2275),
    [sym_this] = ACTIONS(2275),
    [anon_sym_precise] = ACTIONS(2275),
    [anon_sym_shared] = ACTIONS(2275),
    [anon_sym_groupshared] = ACTIONS(2275),
    [anon_sym_uniform] = ACTIONS(2275),
    [anon_sym_row_major] = ACTIONS(2275),
    [anon_sym_column_major] = ACTIONS(2275),
    [anon_sym_globallycoherent] = ACTIONS(2275),
    [anon_sym_centroid] = ACTIONS(2275),
    [anon_sym_noperspective] = ACTIONS(2275),
    [anon_sym_nointerpolation] = ACTIONS(2275),
    [anon_sym_sample] = ACTIONS(2275),
    [anon_sym_linear] = ACTIONS(2275),
    [anon_sym_snorm] = ACTIONS(2275),
    [anon_sym_unorm] = ACTIONS(2275),
    [anon_sym_point] = ACTIONS(2275),
    [anon_sym_line] = ACTIONS(2275),
    [anon_sym_triangleadj] = ACTIONS(2275),
    [anon_sym_lineadj] = ACTIONS(2275),
    [anon_sym_triangle] = ACTIONS(2275),
  },
  [1201] = {
    [sym_catch_clause] = STATE(395),
    [aux_sym_constructor_try_statement_repeat1] = STATE(395),
    [ts_builtin_sym_end] = ACTIONS(2287),
    [sym_identifier] = ACTIONS(2285),
    [aux_sym_preproc_include_token1] = ACTIONS(2285),
    [aux_sym_preproc_def_token1] = ACTIONS(2285),
    [aux_sym_preproc_if_token1] = ACTIONS(2285),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2285),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2285),
    [sym_preproc_directive] = ACTIONS(2285),
    [anon_sym_LPAREN2] = ACTIONS(2287),
    [anon_sym_BANG] = ACTIONS(2287),
    [anon_sym_TILDE] = ACTIONS(2287),
    [anon_sym_DASH] = ACTIONS(2285),
    [anon_sym_PLUS] = ACTIONS(2285),
    [anon_sym_STAR] = ACTIONS(2287),
    [anon_sym_AMP_AMP] = ACTIONS(2287),
    [anon_sym_AMP] = ACTIONS(2285),
    [anon_sym___extension__] = ACTIONS(2285),
    [anon_sym_typedef] = ACTIONS(2285),
    [anon_sym_in] = ACTIONS(2285),
    [anon_sym_out] = ACTIONS(2285),
    [anon_sym_inout] = ACTIONS(2285),
    [anon_sym_extern] = ACTIONS(2285),
    [anon_sym___attribute__] = ACTIONS(2285),
    [anon_sym_COLON_COLON] = ACTIONS(2287),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2287),
    [anon_sym___declspec] = ACTIONS(2285),
    [anon_sym___based] = ACTIONS(2285),
    [anon_sym___cdecl] = ACTIONS(2285),
    [anon_sym___clrcall] = ACTIONS(2285),
    [anon_sym___stdcall] = ACTIONS(2285),
    [anon_sym___fastcall] = ACTIONS(2285),
    [anon_sym___thiscall] = ACTIONS(2285),
    [anon_sym___vectorcall] = ACTIONS(2285),
    [anon_sym_LBRACE] = ACTIONS(2287),
    [anon_sym_signed] = ACTIONS(2285),
    [anon_sym_unsigned] = ACTIONS(2285),
    [anon_sym_long] = ACTIONS(2285),
    [anon_sym_short] = ACTIONS(2285),
    [anon_sym_LBRACK] = ACTIONS(2285),
    [anon_sym_static] = ACTIONS(2285),
    [anon_sym_register] = ACTIONS(2285),
    [anon_sym_inline] = ACTIONS(2285),
    [anon_sym___inline] = ACTIONS(2285),
    [anon_sym___inline__] = ACTIONS(2285),
    [anon_sym___forceinline] = ACTIONS(2285),
    [anon_sym_thread_local] = ACTIONS(2285),
    [anon_sym___thread] = ACTIONS(2285),
    [anon_sym_const] = ACTIONS(2285),
    [anon_sym_constexpr] = ACTIONS(2285),
    [anon_sym_volatile] = ACTIONS(2285),
    [anon_sym_restrict] = ACTIONS(2285),
    [anon_sym___restrict__] = ACTIONS(2285),
    [anon_sym__Atomic] = ACTIONS(2285),
    [anon_sym__Noreturn] = ACTIONS(2285),
    [anon_sym_noreturn] = ACTIONS(2285),
    [anon_sym_mutable] = ACTIONS(2285),
    [anon_sym_constinit] = ACTIONS(2285),
    [anon_sym_consteval] = ACTIONS(2285),
    [sym_primitive_type] = ACTIONS(2285),
    [anon_sym_enum] = ACTIONS(2285),
    [anon_sym_class] = ACTIONS(2285),
    [anon_sym_struct] = ACTIONS(2285),
    [anon_sym_union] = ACTIONS(2285),
    [anon_sym_if] = ACTIONS(2285),
    [anon_sym_switch] = ACTIONS(2285),
    [anon_sym_case] = ACTIONS(2285),
    [anon_sym_default] = ACTIONS(2285),
    [anon_sym_while] = ACTIONS(2285),
    [anon_sym_do] = ACTIONS(2285),
    [anon_sym_for] = ACTIONS(2285),
    [anon_sym_return] = ACTIONS(2285),
    [anon_sym_break] = ACTIONS(2285),
    [anon_sym_continue] = ACTIONS(2285),
    [anon_sym_goto] = ACTIONS(2285),
    [anon_sym_not] = ACTIONS(2285),
    [anon_sym_compl] = ACTIONS(2285),
    [anon_sym_DASH_DASH] = ACTIONS(2287),
    [anon_sym_PLUS_PLUS] = ACTIONS(2287),
    [anon_sym_sizeof] = ACTIONS(2285),
    [anon_sym___alignof__] = ACTIONS(2285),
    [anon_sym___alignof] = ACTIONS(2285),
    [anon_sym__alignof] = ACTIONS(2285),
    [anon_sym_alignof] = ACTIONS(2285),
    [anon_sym__Alignof] = ACTIONS(2285),
    [anon_sym_offsetof] = ACTIONS(2285),
    [anon_sym__Generic] = ACTIONS(2285),
    [anon_sym_asm] = ACTIONS(2285),
    [anon_sym___asm__] = ACTIONS(2285),
    [sym_number_literal] = ACTIONS(2287),
    [anon_sym_L_SQUOTE] = ACTIONS(2287),
    [anon_sym_u_SQUOTE] = ACTIONS(2287),
    [anon_sym_U_SQUOTE] = ACTIONS(2287),
    [anon_sym_u8_SQUOTE] = ACTIONS(2287),
    [anon_sym_SQUOTE] = ACTIONS(2287),
    [anon_sym_L_DQUOTE] = ACTIONS(2287),
    [anon_sym_u_DQUOTE] = ACTIONS(2287),
    [anon_sym_U_DQUOTE] = ACTIONS(2287),
    [anon_sym_u8_DQUOTE] = ACTIONS(2287),
    [anon_sym_DQUOTE] = ACTIONS(2287),
    [sym_true] = ACTIONS(2285),
    [sym_false] = ACTIONS(2285),
    [anon_sym_NULL] = ACTIONS(2285),
    [anon_sym_nullptr] = ACTIONS(2285),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2285),
    [anon_sym_decltype] = ACTIONS(2285),
    [anon_sym_virtual] = ACTIONS(2285),
    [anon_sym_alignas] = ACTIONS(2285),
    [anon_sym_explicit] = ACTIONS(2285),
    [anon_sym_typename] = ACTIONS(2285),
    [anon_sym_template] = ACTIONS(2285),
    [anon_sym_operator] = ACTIONS(2285),
    [anon_sym_try] = ACTIONS(2285),
    [anon_sym_delete] = ACTIONS(2285),
    [anon_sym_throw] = ACTIONS(2285),
    [anon_sym_namespace] = ACTIONS(2285),
    [anon_sym_using] = ACTIONS(2285),
    [anon_sym_static_assert] = ACTIONS(2285),
    [anon_sym_concept] = ACTIONS(2285),
    [anon_sym_co_return] = ACTIONS(2285),
    [anon_sym_co_yield] = ACTIONS(2285),
    [anon_sym_catch] = ACTIONS(2692),
    [anon_sym_R_DQUOTE] = ACTIONS(2287),
    [anon_sym_LR_DQUOTE] = ACTIONS(2287),
    [anon_sym_uR_DQUOTE] = ACTIONS(2287),
    [anon_sym_UR_DQUOTE] = ACTIONS(2287),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2287),
    [anon_sym_co_await] = ACTIONS(2285),
    [anon_sym_new] = ACTIONS(2285),
    [anon_sym_requires] = ACTIONS(2285),
    [sym_this] = ACTIONS(2285),
    [anon_sym_precise] = ACTIONS(2285),
    [anon_sym_shared] = ACTIONS(2285),
    [anon_sym_groupshared] = ACTIONS(2285),
    [anon_sym_uniform] = ACTIONS(2285),
    [anon_sym_row_major] = ACTIONS(2285),
    [anon_sym_column_major] = ACTIONS(2285),
    [anon_sym_globallycoherent] = ACTIONS(2285),
    [anon_sym_centroid] = ACTIONS(2285),
    [anon_sym_noperspective] = ACTIONS(2285),
    [anon_sym_nointerpolation] = ACTIONS(2285),
    [anon_sym_sample] = ACTIONS(2285),
    [anon_sym_linear] = ACTIONS(2285),
    [anon_sym_snorm] = ACTIONS(2285),
    [anon_sym_unorm] = ACTIONS(2285),
    [anon_sym_point] = ACTIONS(2285),
    [anon_sym_line] = ACTIONS(2285),
    [anon_sym_triangleadj] = ACTIONS(2285),
    [anon_sym_lineadj] = ACTIONS(2285),
    [anon_sym_triangle] = ACTIONS(2285),
  },
  [1202] = {
    [ts_builtin_sym_end] = ACTIONS(2647),
    [sym_identifier] = ACTIONS(2645),
    [aux_sym_preproc_include_token1] = ACTIONS(2645),
    [aux_sym_preproc_def_token1] = ACTIONS(2645),
    [anon_sym_COMMA] = ACTIONS(2647),
    [aux_sym_preproc_if_token1] = ACTIONS(2645),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2645),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2645),
    [sym_preproc_directive] = ACTIONS(2645),
    [anon_sym_LPAREN2] = ACTIONS(2647),
    [anon_sym_BANG] = ACTIONS(2647),
    [anon_sym_TILDE] = ACTIONS(2647),
    [anon_sym_DASH] = ACTIONS(2645),
    [anon_sym_PLUS] = ACTIONS(2645),
    [anon_sym_STAR] = ACTIONS(2647),
    [anon_sym_AMP_AMP] = ACTIONS(2647),
    [anon_sym_AMP] = ACTIONS(2645),
    [anon_sym___extension__] = ACTIONS(2645),
    [anon_sym_typedef] = ACTIONS(2645),
    [anon_sym_in] = ACTIONS(2645),
    [anon_sym_out] = ACTIONS(2645),
    [anon_sym_inout] = ACTIONS(2645),
    [anon_sym_extern] = ACTIONS(2645),
    [anon_sym___attribute__] = ACTIONS(2645),
    [anon_sym_COLON_COLON] = ACTIONS(2647),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2647),
    [anon_sym___declspec] = ACTIONS(2645),
    [anon_sym___based] = ACTIONS(2645),
    [anon_sym___cdecl] = ACTIONS(2645),
    [anon_sym___clrcall] = ACTIONS(2645),
    [anon_sym___stdcall] = ACTIONS(2645),
    [anon_sym___fastcall] = ACTIONS(2645),
    [anon_sym___thiscall] = ACTIONS(2645),
    [anon_sym___vectorcall] = ACTIONS(2645),
    [anon_sym_LBRACE] = ACTIONS(2647),
    [anon_sym_RBRACE] = ACTIONS(2647),
    [anon_sym_signed] = ACTIONS(2645),
    [anon_sym_unsigned] = ACTIONS(2645),
    [anon_sym_long] = ACTIONS(2645),
    [anon_sym_short] = ACTIONS(2645),
    [anon_sym_LBRACK] = ACTIONS(2645),
    [anon_sym_static] = ACTIONS(2645),
    [anon_sym_register] = ACTIONS(2645),
    [anon_sym_inline] = ACTIONS(2645),
    [anon_sym___inline] = ACTIONS(2645),
    [anon_sym___inline__] = ACTIONS(2645),
    [anon_sym___forceinline] = ACTIONS(2645),
    [anon_sym_thread_local] = ACTIONS(2645),
    [anon_sym___thread] = ACTIONS(2645),
    [anon_sym_const] = ACTIONS(2645),
    [anon_sym_constexpr] = ACTIONS(2645),
    [anon_sym_volatile] = ACTIONS(2645),
    [anon_sym_restrict] = ACTIONS(2645),
    [anon_sym___restrict__] = ACTIONS(2645),
    [anon_sym__Atomic] = ACTIONS(2645),
    [anon_sym__Noreturn] = ACTIONS(2645),
    [anon_sym_noreturn] = ACTIONS(2645),
    [anon_sym_mutable] = ACTIONS(2645),
    [anon_sym_constinit] = ACTIONS(2645),
    [anon_sym_consteval] = ACTIONS(2645),
    [sym_primitive_type] = ACTIONS(2645),
    [anon_sym_enum] = ACTIONS(2645),
    [anon_sym_class] = ACTIONS(2645),
    [anon_sym_struct] = ACTIONS(2645),
    [anon_sym_union] = ACTIONS(2645),
    [anon_sym_if] = ACTIONS(2645),
    [anon_sym_switch] = ACTIONS(2645),
    [anon_sym_case] = ACTIONS(2645),
    [anon_sym_default] = ACTIONS(2645),
    [anon_sym_while] = ACTIONS(2645),
    [anon_sym_do] = ACTIONS(2645),
    [anon_sym_for] = ACTIONS(2645),
    [anon_sym_return] = ACTIONS(2645),
    [anon_sym_break] = ACTIONS(2645),
    [anon_sym_continue] = ACTIONS(2645),
    [anon_sym_goto] = ACTIONS(2645),
    [anon_sym_not] = ACTIONS(2645),
    [anon_sym_compl] = ACTIONS(2645),
    [anon_sym_DASH_DASH] = ACTIONS(2647),
    [anon_sym_PLUS_PLUS] = ACTIONS(2647),
    [anon_sym_sizeof] = ACTIONS(2645),
    [anon_sym___alignof__] = ACTIONS(2645),
    [anon_sym___alignof] = ACTIONS(2645),
    [anon_sym__alignof] = ACTIONS(2645),
    [anon_sym_alignof] = ACTIONS(2645),
    [anon_sym__Alignof] = ACTIONS(2645),
    [anon_sym_offsetof] = ACTIONS(2645),
    [anon_sym__Generic] = ACTIONS(2645),
    [anon_sym_asm] = ACTIONS(2645),
    [anon_sym___asm__] = ACTIONS(2645),
    [sym_number_literal] = ACTIONS(2647),
    [anon_sym_L_SQUOTE] = ACTIONS(2647),
    [anon_sym_u_SQUOTE] = ACTIONS(2647),
    [anon_sym_U_SQUOTE] = ACTIONS(2647),
    [anon_sym_u8_SQUOTE] = ACTIONS(2647),
    [anon_sym_SQUOTE] = ACTIONS(2647),
    [anon_sym_L_DQUOTE] = ACTIONS(2647),
    [anon_sym_u_DQUOTE] = ACTIONS(2647),
    [anon_sym_U_DQUOTE] = ACTIONS(2647),
    [anon_sym_u8_DQUOTE] = ACTIONS(2647),
    [anon_sym_DQUOTE] = ACTIONS(2647),
    [sym_true] = ACTIONS(2645),
    [sym_false] = ACTIONS(2645),
    [anon_sym_NULL] = ACTIONS(2645),
    [anon_sym_nullptr] = ACTIONS(2645),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2645),
    [anon_sym_decltype] = ACTIONS(2645),
    [anon_sym_virtual] = ACTIONS(2645),
    [anon_sym_alignas] = ACTIONS(2645),
    [anon_sym_explicit] = ACTIONS(2645),
    [anon_sym_typename] = ACTIONS(2645),
    [anon_sym_template] = ACTIONS(2645),
    [anon_sym_operator] = ACTIONS(2645),
    [anon_sym_try] = ACTIONS(2645),
    [anon_sym_delete] = ACTIONS(2645),
    [anon_sym_throw] = ACTIONS(2645),
    [anon_sym_namespace] = ACTIONS(2645),
    [anon_sym_using] = ACTIONS(2645),
    [anon_sym_static_assert] = ACTIONS(2645),
    [anon_sym_concept] = ACTIONS(2645),
    [anon_sym_co_return] = ACTIONS(2645),
    [anon_sym_co_yield] = ACTIONS(2645),
    [anon_sym_R_DQUOTE] = ACTIONS(2647),
    [anon_sym_LR_DQUOTE] = ACTIONS(2647),
    [anon_sym_uR_DQUOTE] = ACTIONS(2647),
    [anon_sym_UR_DQUOTE] = ACTIONS(2647),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2647),
    [anon_sym_co_await] = ACTIONS(2645),
    [anon_sym_new] = ACTIONS(2645),
    [anon_sym_requires] = ACTIONS(2645),
    [sym_this] = ACTIONS(2645),
    [anon_sym_precise] = ACTIONS(2645),
    [anon_sym_shared] = ACTIONS(2645),
    [anon_sym_groupshared] = ACTIONS(2645),
    [anon_sym_uniform] = ACTIONS(2645),
    [anon_sym_row_major] = ACTIONS(2645),
    [anon_sym_column_major] = ACTIONS(2645),
    [anon_sym_globallycoherent] = ACTIONS(2645),
    [anon_sym_centroid] = ACTIONS(2645),
    [anon_sym_noperspective] = ACTIONS(2645),
    [anon_sym_nointerpolation] = ACTIONS(2645),
    [anon_sym_sample] = ACTIONS(2645),
    [anon_sym_linear] = ACTIONS(2645),
    [anon_sym_snorm] = ACTIONS(2645),
    [anon_sym_unorm] = ACTIONS(2645),
    [anon_sym_point] = ACTIONS(2645),
    [anon_sym_line] = ACTIONS(2645),
    [anon_sym_triangleadj] = ACTIONS(2645),
    [anon_sym_lineadj] = ACTIONS(2645),
    [anon_sym_triangle] = ACTIONS(2645),
  },
  [1203] = {
    [ts_builtin_sym_end] = ACTIONS(2696),
    [sym_identifier] = ACTIONS(2694),
    [aux_sym_preproc_include_token1] = ACTIONS(2694),
    [aux_sym_preproc_def_token1] = ACTIONS(2694),
    [anon_sym_COMMA] = ACTIONS(2696),
    [aux_sym_preproc_if_token1] = ACTIONS(2694),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2694),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2694),
    [sym_preproc_directive] = ACTIONS(2694),
    [anon_sym_LPAREN2] = ACTIONS(2696),
    [anon_sym_BANG] = ACTIONS(2696),
    [anon_sym_TILDE] = ACTIONS(2696),
    [anon_sym_DASH] = ACTIONS(2694),
    [anon_sym_PLUS] = ACTIONS(2694),
    [anon_sym_STAR] = ACTIONS(2696),
    [anon_sym_AMP_AMP] = ACTIONS(2696),
    [anon_sym_AMP] = ACTIONS(2694),
    [anon_sym___extension__] = ACTIONS(2694),
    [anon_sym_typedef] = ACTIONS(2694),
    [anon_sym_in] = ACTIONS(2694),
    [anon_sym_out] = ACTIONS(2694),
    [anon_sym_inout] = ACTIONS(2694),
    [anon_sym_extern] = ACTIONS(2694),
    [anon_sym___attribute__] = ACTIONS(2694),
    [anon_sym_COLON_COLON] = ACTIONS(2696),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2696),
    [anon_sym___declspec] = ACTIONS(2694),
    [anon_sym___based] = ACTIONS(2694),
    [anon_sym___cdecl] = ACTIONS(2694),
    [anon_sym___clrcall] = ACTIONS(2694),
    [anon_sym___stdcall] = ACTIONS(2694),
    [anon_sym___fastcall] = ACTIONS(2694),
    [anon_sym___thiscall] = ACTIONS(2694),
    [anon_sym___vectorcall] = ACTIONS(2694),
    [anon_sym_LBRACE] = ACTIONS(2696),
    [anon_sym_RBRACE] = ACTIONS(2696),
    [anon_sym_signed] = ACTIONS(2694),
    [anon_sym_unsigned] = ACTIONS(2694),
    [anon_sym_long] = ACTIONS(2694),
    [anon_sym_short] = ACTIONS(2694),
    [anon_sym_LBRACK] = ACTIONS(2694),
    [anon_sym_static] = ACTIONS(2694),
    [anon_sym_register] = ACTIONS(2694),
    [anon_sym_inline] = ACTIONS(2694),
    [anon_sym___inline] = ACTIONS(2694),
    [anon_sym___inline__] = ACTIONS(2694),
    [anon_sym___forceinline] = ACTIONS(2694),
    [anon_sym_thread_local] = ACTIONS(2694),
    [anon_sym___thread] = ACTIONS(2694),
    [anon_sym_const] = ACTIONS(2694),
    [anon_sym_constexpr] = ACTIONS(2694),
    [anon_sym_volatile] = ACTIONS(2694),
    [anon_sym_restrict] = ACTIONS(2694),
    [anon_sym___restrict__] = ACTIONS(2694),
    [anon_sym__Atomic] = ACTIONS(2694),
    [anon_sym__Noreturn] = ACTIONS(2694),
    [anon_sym_noreturn] = ACTIONS(2694),
    [anon_sym_mutable] = ACTIONS(2694),
    [anon_sym_constinit] = ACTIONS(2694),
    [anon_sym_consteval] = ACTIONS(2694),
    [sym_primitive_type] = ACTIONS(2694),
    [anon_sym_enum] = ACTIONS(2694),
    [anon_sym_class] = ACTIONS(2694),
    [anon_sym_struct] = ACTIONS(2694),
    [anon_sym_union] = ACTIONS(2694),
    [anon_sym_if] = ACTIONS(2694),
    [anon_sym_switch] = ACTIONS(2694),
    [anon_sym_case] = ACTIONS(2694),
    [anon_sym_default] = ACTIONS(2694),
    [anon_sym_while] = ACTIONS(2694),
    [anon_sym_do] = ACTIONS(2694),
    [anon_sym_for] = ACTIONS(2694),
    [anon_sym_return] = ACTIONS(2694),
    [anon_sym_break] = ACTIONS(2694),
    [anon_sym_continue] = ACTIONS(2694),
    [anon_sym_goto] = ACTIONS(2694),
    [anon_sym_not] = ACTIONS(2694),
    [anon_sym_compl] = ACTIONS(2694),
    [anon_sym_DASH_DASH] = ACTIONS(2696),
    [anon_sym_PLUS_PLUS] = ACTIONS(2696),
    [anon_sym_sizeof] = ACTIONS(2694),
    [anon_sym___alignof__] = ACTIONS(2694),
    [anon_sym___alignof] = ACTIONS(2694),
    [anon_sym__alignof] = ACTIONS(2694),
    [anon_sym_alignof] = ACTIONS(2694),
    [anon_sym__Alignof] = ACTIONS(2694),
    [anon_sym_offsetof] = ACTIONS(2694),
    [anon_sym__Generic] = ACTIONS(2694),
    [anon_sym_asm] = ACTIONS(2694),
    [anon_sym___asm__] = ACTIONS(2694),
    [sym_number_literal] = ACTIONS(2696),
    [anon_sym_L_SQUOTE] = ACTIONS(2696),
    [anon_sym_u_SQUOTE] = ACTIONS(2696),
    [anon_sym_U_SQUOTE] = ACTIONS(2696),
    [anon_sym_u8_SQUOTE] = ACTIONS(2696),
    [anon_sym_SQUOTE] = ACTIONS(2696),
    [anon_sym_L_DQUOTE] = ACTIONS(2696),
    [anon_sym_u_DQUOTE] = ACTIONS(2696),
    [anon_sym_U_DQUOTE] = ACTIONS(2696),
    [anon_sym_u8_DQUOTE] = ACTIONS(2696),
    [anon_sym_DQUOTE] = ACTIONS(2696),
    [sym_true] = ACTIONS(2694),
    [sym_false] = ACTIONS(2694),
    [anon_sym_NULL] = ACTIONS(2694),
    [anon_sym_nullptr] = ACTIONS(2694),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2694),
    [anon_sym_decltype] = ACTIONS(2694),
    [anon_sym_virtual] = ACTIONS(2694),
    [anon_sym_alignas] = ACTIONS(2694),
    [anon_sym_explicit] = ACTIONS(2694),
    [anon_sym_typename] = ACTIONS(2694),
    [anon_sym_template] = ACTIONS(2694),
    [anon_sym_operator] = ACTIONS(2694),
    [anon_sym_try] = ACTIONS(2694),
    [anon_sym_delete] = ACTIONS(2694),
    [anon_sym_throw] = ACTIONS(2694),
    [anon_sym_namespace] = ACTIONS(2694),
    [anon_sym_using] = ACTIONS(2694),
    [anon_sym_static_assert] = ACTIONS(2694),
    [anon_sym_concept] = ACTIONS(2694),
    [anon_sym_co_return] = ACTIONS(2694),
    [anon_sym_co_yield] = ACTIONS(2694),
    [anon_sym_R_DQUOTE] = ACTIONS(2696),
    [anon_sym_LR_DQUOTE] = ACTIONS(2696),
    [anon_sym_uR_DQUOTE] = ACTIONS(2696),
    [anon_sym_UR_DQUOTE] = ACTIONS(2696),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2696),
    [anon_sym_co_await] = ACTIONS(2694),
    [anon_sym_new] = ACTIONS(2694),
    [anon_sym_requires] = ACTIONS(2694),
    [sym_this] = ACTIONS(2694),
    [anon_sym_precise] = ACTIONS(2694),
    [anon_sym_shared] = ACTIONS(2694),
    [anon_sym_groupshared] = ACTIONS(2694),
    [anon_sym_uniform] = ACTIONS(2694),
    [anon_sym_row_major] = ACTIONS(2694),
    [anon_sym_column_major] = ACTIONS(2694),
    [anon_sym_globallycoherent] = ACTIONS(2694),
    [anon_sym_centroid] = ACTIONS(2694),
    [anon_sym_noperspective] = ACTIONS(2694),
    [anon_sym_nointerpolation] = ACTIONS(2694),
    [anon_sym_sample] = ACTIONS(2694),
    [anon_sym_linear] = ACTIONS(2694),
    [anon_sym_snorm] = ACTIONS(2694),
    [anon_sym_unorm] = ACTIONS(2694),
    [anon_sym_point] = ACTIONS(2694),
    [anon_sym_line] = ACTIONS(2694),
    [anon_sym_triangleadj] = ACTIONS(2694),
    [anon_sym_lineadj] = ACTIONS(2694),
    [anon_sym_triangle] = ACTIONS(2694),
  },
  [1204] = {
    [sym_preproc_def] = STATE(1243),
    [sym_preproc_function_def] = STATE(1243),
    [sym_preproc_call] = STATE(1243),
    [sym_preproc_if_in_field_declaration_list] = STATE(1243),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(1243),
    [sym_type_definition] = STATE(1243),
    [sym__declaration_modifiers] = STATE(3159),
    [sym__declaration_specifiers] = STATE(6931),
    [sym_attribute_specifier] = STATE(3159),
    [sym_attribute_declaration] = STATE(3159),
    [sym_ms_declspec_modifier] = STATE(3159),
    [sym_ms_based_modifier] = STATE(10332),
    [sym__declarator] = STATE(7978),
    [sym_parenthesized_declarator] = STATE(7680),
    [sym_attributed_declarator] = STATE(7680),
    [sym_pointer_declarator] = STATE(7680),
    [sym_function_declarator] = STATE(7507),
    [sym_array_declarator] = STATE(7680),
    [sym_storage_class_specifier] = STATE(3159),
    [sym_type_qualifier] = STATE(3159),
    [sym__type_specifier] = STATE(2827),
    [sym_sized_type_specifier] = STATE(3085),
    [sym_enum_specifier] = STATE(3085),
    [sym_struct_specifier] = STATE(3085),
    [sym_union_specifier] = STATE(3085),
    [sym__field_declaration_list_item] = STATE(1243),
    [sym_field_declaration] = STATE(1243),
    [sym_placeholder_type_specifier] = STATE(3085),
    [sym_decltype_auto] = STATE(3091),
    [sym_decltype] = STATE(3050),
    [sym_class_specifier] = STATE(3085),
    [sym_virtual] = STATE(3159),
    [sym_alignas_specifier] = STATE(3159),
    [sym_explicit_function_specifier] = STATE(2525),
    [sym_dependent_type] = STATE(3085),
    [sym_template_declaration] = STATE(1243),
    [sym_operator_cast] = STATE(8072),
    [sym_inline_method_definition] = STATE(1243),
    [sym__constructor_specifiers] = STATE(2525),
    [sym_operator_cast_definition] = STATE(1243),
    [sym_operator_cast_declaration] = STATE(1243),
    [sym_constructor_or_destructor_definition] = STATE(1243),
    [sym_constructor_or_destructor_declaration] = STATE(1243),
    [sym_friend_declaration] = STATE(1243),
    [sym_access_specifier] = STATE(9909),
    [sym_reference_declarator] = STATE(7680),
    [sym_structured_binding_declarator] = STATE(7680),
    [sym_template_type] = STATE(3050),
    [sym_template_function] = STATE(7680),
    [sym_using_declaration] = STATE(1243),
    [sym_alias_declaration] = STATE(1243),
    [sym_static_assert_declaration] = STATE(1243),
    [sym_destructor_name] = STATE(7680),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6733),
    [sym_qualified_identifier] = STATE(7680),
    [sym_qualified_type_identifier] = STATE(3068),
    [sym_qualified_operator_cast_identifier] = STATE(8072),
    [sym_operator_name] = STATE(7680),
    [sym_qualifiers] = STATE(3159),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(1243),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2680),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3021),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2525),
    [sym_identifier] = ACTIONS(2857),
    [aux_sym_preproc_def_token1] = ACTIONS(3194),
    [aux_sym_preproc_if_token1] = ACTIONS(3196),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3198),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3198),
    [sym_preproc_directive] = ACTIONS(3200),
    [anon_sym_LPAREN2] = ACTIONS(2875),
    [anon_sym_TILDE] = ACTIONS(2877),
    [anon_sym_STAR] = ACTIONS(2879),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(2881),
    [anon_sym___extension__] = ACTIONS(3202),
    [anon_sym_typedef] = ACTIONS(3204),
    [anon_sym_in] = ACTIONS(37),
    [anon_sym_out] = ACTIONS(37),
    [anon_sym_inout] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(2887),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2096),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym_RBRACE] = ACTIONS(3206),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(2889),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(2891),
    [anon_sym_enum] = ACTIONS(2893),
    [anon_sym_class] = ACTIONS(2895),
    [anon_sym_struct] = ACTIONS(2897),
    [anon_sym_union] = ACTIONS(2899),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [anon_sym_virtual] = ACTIONS(123),
    [anon_sym_alignas] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(2901),
    [anon_sym_template] = ACTIONS(3208),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_friend] = ACTIONS(3210),
    [anon_sym_public] = ACTIONS(2907),
    [anon_sym_private] = ACTIONS(2907),
    [anon_sym_protected] = ACTIONS(2907),
    [anon_sym_using] = ACTIONS(3212),
    [anon_sym_static_assert] = ACTIONS(3214),
    [anon_sym_precise] = ACTIONS(161),
    [anon_sym_shared] = ACTIONS(161),
    [anon_sym_groupshared] = ACTIONS(161),
    [anon_sym_uniform] = ACTIONS(161),
    [anon_sym_row_major] = ACTIONS(161),
    [anon_sym_column_major] = ACTIONS(161),
    [anon_sym_globallycoherent] = ACTIONS(161),
    [anon_sym_centroid] = ACTIONS(161),
    [anon_sym_noperspective] = ACTIONS(161),
    [anon_sym_nointerpolation] = ACTIONS(161),
    [anon_sym_sample] = ACTIONS(161),
    [anon_sym_linear] = ACTIONS(161),
    [anon_sym_snorm] = ACTIONS(161),
    [anon_sym_unorm] = ACTIONS(161),
    [anon_sym_point] = ACTIONS(161),
    [anon_sym_line] = ACTIONS(161),
    [anon_sym_triangleadj] = ACTIONS(161),
    [anon_sym_lineadj] = ACTIONS(161),
    [anon_sym_triangle] = ACTIONS(161),
  },
  [1205] = {
    [sym_preproc_def] = STATE(1243),
    [sym_preproc_function_def] = STATE(1243),
    [sym_preproc_call] = STATE(1243),
    [sym_preproc_if_in_field_declaration_list] = STATE(1243),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(1243),
    [sym_type_definition] = STATE(1243),
    [sym__declaration_modifiers] = STATE(3159),
    [sym__declaration_specifiers] = STATE(6931),
    [sym_attribute_specifier] = STATE(3159),
    [sym_attribute_declaration] = STATE(3159),
    [sym_ms_declspec_modifier] = STATE(3159),
    [sym_ms_based_modifier] = STATE(10332),
    [sym__declarator] = STATE(7978),
    [sym_parenthesized_declarator] = STATE(7680),
    [sym_attributed_declarator] = STATE(7680),
    [sym_pointer_declarator] = STATE(7680),
    [sym_function_declarator] = STATE(7507),
    [sym_array_declarator] = STATE(7680),
    [sym_storage_class_specifier] = STATE(3159),
    [sym_type_qualifier] = STATE(3159),
    [sym__type_specifier] = STATE(2827),
    [sym_sized_type_specifier] = STATE(3085),
    [sym_enum_specifier] = STATE(3085),
    [sym_struct_specifier] = STATE(3085),
    [sym_union_specifier] = STATE(3085),
    [sym__field_declaration_list_item] = STATE(1243),
    [sym_field_declaration] = STATE(1243),
    [sym_placeholder_type_specifier] = STATE(3085),
    [sym_decltype_auto] = STATE(3091),
    [sym_decltype] = STATE(3050),
    [sym_class_specifier] = STATE(3085),
    [sym_virtual] = STATE(3159),
    [sym_alignas_specifier] = STATE(3159),
    [sym_explicit_function_specifier] = STATE(2525),
    [sym_dependent_type] = STATE(3085),
    [sym_template_declaration] = STATE(1243),
    [sym_operator_cast] = STATE(8072),
    [sym_inline_method_definition] = STATE(1243),
    [sym__constructor_specifiers] = STATE(2525),
    [sym_operator_cast_definition] = STATE(1243),
    [sym_operator_cast_declaration] = STATE(1243),
    [sym_constructor_or_destructor_definition] = STATE(1243),
    [sym_constructor_or_destructor_declaration] = STATE(1243),
    [sym_friend_declaration] = STATE(1243),
    [sym_access_specifier] = STATE(9909),
    [sym_reference_declarator] = STATE(7680),
    [sym_structured_binding_declarator] = STATE(7680),
    [sym_template_type] = STATE(3050),
    [sym_template_function] = STATE(7680),
    [sym_using_declaration] = STATE(1243),
    [sym_alias_declaration] = STATE(1243),
    [sym_static_assert_declaration] = STATE(1243),
    [sym_destructor_name] = STATE(7680),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6733),
    [sym_qualified_identifier] = STATE(7680),
    [sym_qualified_type_identifier] = STATE(3068),
    [sym_qualified_operator_cast_identifier] = STATE(8072),
    [sym_operator_name] = STATE(7680),
    [sym_qualifiers] = STATE(3159),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(1243),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2680),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3021),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2525),
    [sym_identifier] = ACTIONS(2857),
    [aux_sym_preproc_def_token1] = ACTIONS(3194),
    [aux_sym_preproc_if_token1] = ACTIONS(3196),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3198),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3198),
    [sym_preproc_directive] = ACTIONS(3200),
    [anon_sym_LPAREN2] = ACTIONS(2875),
    [anon_sym_TILDE] = ACTIONS(2877),
    [anon_sym_STAR] = ACTIONS(2879),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(2881),
    [anon_sym___extension__] = ACTIONS(3202),
    [anon_sym_typedef] = ACTIONS(3204),
    [anon_sym_in] = ACTIONS(37),
    [anon_sym_out] = ACTIONS(37),
    [anon_sym_inout] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(2887),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2096),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym_RBRACE] = ACTIONS(3216),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(2889),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(2891),
    [anon_sym_enum] = ACTIONS(2893),
    [anon_sym_class] = ACTIONS(2895),
    [anon_sym_struct] = ACTIONS(2897),
    [anon_sym_union] = ACTIONS(2899),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [anon_sym_virtual] = ACTIONS(123),
    [anon_sym_alignas] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(2901),
    [anon_sym_template] = ACTIONS(3208),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_friend] = ACTIONS(3210),
    [anon_sym_public] = ACTIONS(2907),
    [anon_sym_private] = ACTIONS(2907),
    [anon_sym_protected] = ACTIONS(2907),
    [anon_sym_using] = ACTIONS(3212),
    [anon_sym_static_assert] = ACTIONS(3214),
    [anon_sym_precise] = ACTIONS(161),
    [anon_sym_shared] = ACTIONS(161),
    [anon_sym_groupshared] = ACTIONS(161),
    [anon_sym_uniform] = ACTIONS(161),
    [anon_sym_row_major] = ACTIONS(161),
    [anon_sym_column_major] = ACTIONS(161),
    [anon_sym_globallycoherent] = ACTIONS(161),
    [anon_sym_centroid] = ACTIONS(161),
    [anon_sym_noperspective] = ACTIONS(161),
    [anon_sym_nointerpolation] = ACTIONS(161),
    [anon_sym_sample] = ACTIONS(161),
    [anon_sym_linear] = ACTIONS(161),
    [anon_sym_snorm] = ACTIONS(161),
    [anon_sym_unorm] = ACTIONS(161),
    [anon_sym_point] = ACTIONS(161),
    [anon_sym_line] = ACTIONS(161),
    [anon_sym_triangleadj] = ACTIONS(161),
    [anon_sym_lineadj] = ACTIONS(161),
    [anon_sym_triangle] = ACTIONS(161),
  },
  [1206] = {
    [sym_preproc_def] = STATE(1241),
    [sym_preproc_function_def] = STATE(1241),
    [sym_preproc_call] = STATE(1241),
    [sym_preproc_if_in_field_declaration_list] = STATE(1241),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(1241),
    [sym_type_definition] = STATE(1241),
    [sym__declaration_modifiers] = STATE(3159),
    [sym__declaration_specifiers] = STATE(6931),
    [sym_attribute_specifier] = STATE(3159),
    [sym_attribute_declaration] = STATE(3159),
    [sym_ms_declspec_modifier] = STATE(3159),
    [sym_ms_based_modifier] = STATE(10332),
    [sym__declarator] = STATE(7978),
    [sym_parenthesized_declarator] = STATE(7680),
    [sym_attributed_declarator] = STATE(7680),
    [sym_pointer_declarator] = STATE(7680),
    [sym_function_declarator] = STATE(7507),
    [sym_array_declarator] = STATE(7680),
    [sym_storage_class_specifier] = STATE(3159),
    [sym_type_qualifier] = STATE(3159),
    [sym__type_specifier] = STATE(2827),
    [sym_sized_type_specifier] = STATE(3085),
    [sym_enum_specifier] = STATE(3085),
    [sym_struct_specifier] = STATE(3085),
    [sym_union_specifier] = STATE(3085),
    [sym__field_declaration_list_item] = STATE(1241),
    [sym_field_declaration] = STATE(1241),
    [sym_placeholder_type_specifier] = STATE(3085),
    [sym_decltype_auto] = STATE(3091),
    [sym_decltype] = STATE(3050),
    [sym_class_specifier] = STATE(3085),
    [sym_virtual] = STATE(3159),
    [sym_alignas_specifier] = STATE(3159),
    [sym_explicit_function_specifier] = STATE(2525),
    [sym_dependent_type] = STATE(3085),
    [sym_template_declaration] = STATE(1241),
    [sym_operator_cast] = STATE(8072),
    [sym_inline_method_definition] = STATE(1241),
    [sym__constructor_specifiers] = STATE(2525),
    [sym_operator_cast_definition] = STATE(1241),
    [sym_operator_cast_declaration] = STATE(1241),
    [sym_constructor_or_destructor_definition] = STATE(1241),
    [sym_constructor_or_destructor_declaration] = STATE(1241),
    [sym_friend_declaration] = STATE(1241),
    [sym_access_specifier] = STATE(9909),
    [sym_reference_declarator] = STATE(7680),
    [sym_structured_binding_declarator] = STATE(7680),
    [sym_template_type] = STATE(3050),
    [sym_template_function] = STATE(7680),
    [sym_using_declaration] = STATE(1241),
    [sym_alias_declaration] = STATE(1241),
    [sym_static_assert_declaration] = STATE(1241),
    [sym_destructor_name] = STATE(7680),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6733),
    [sym_qualified_identifier] = STATE(7680),
    [sym_qualified_type_identifier] = STATE(3068),
    [sym_qualified_operator_cast_identifier] = STATE(8072),
    [sym_operator_name] = STATE(7680),
    [sym_qualifiers] = STATE(3159),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(1241),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2680),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3021),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2525),
    [sym_identifier] = ACTIONS(2857),
    [aux_sym_preproc_def_token1] = ACTIONS(3194),
    [aux_sym_preproc_if_token1] = ACTIONS(3196),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3198),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3198),
    [sym_preproc_directive] = ACTIONS(3200),
    [anon_sym_LPAREN2] = ACTIONS(2875),
    [anon_sym_TILDE] = ACTIONS(2877),
    [anon_sym_STAR] = ACTIONS(2879),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(2881),
    [anon_sym___extension__] = ACTIONS(3202),
    [anon_sym_typedef] = ACTIONS(3204),
    [anon_sym_in] = ACTIONS(37),
    [anon_sym_out] = ACTIONS(37),
    [anon_sym_inout] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(2887),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2096),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym_RBRACE] = ACTIONS(3218),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(2889),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(2891),
    [anon_sym_enum] = ACTIONS(2893),
    [anon_sym_class] = ACTIONS(2895),
    [anon_sym_struct] = ACTIONS(2897),
    [anon_sym_union] = ACTIONS(2899),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [anon_sym_virtual] = ACTIONS(123),
    [anon_sym_alignas] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(2901),
    [anon_sym_template] = ACTIONS(3208),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_friend] = ACTIONS(3210),
    [anon_sym_public] = ACTIONS(2907),
    [anon_sym_private] = ACTIONS(2907),
    [anon_sym_protected] = ACTIONS(2907),
    [anon_sym_using] = ACTIONS(3212),
    [anon_sym_static_assert] = ACTIONS(3214),
    [anon_sym_precise] = ACTIONS(161),
    [anon_sym_shared] = ACTIONS(161),
    [anon_sym_groupshared] = ACTIONS(161),
    [anon_sym_uniform] = ACTIONS(161),
    [anon_sym_row_major] = ACTIONS(161),
    [anon_sym_column_major] = ACTIONS(161),
    [anon_sym_globallycoherent] = ACTIONS(161),
    [anon_sym_centroid] = ACTIONS(161),
    [anon_sym_noperspective] = ACTIONS(161),
    [anon_sym_nointerpolation] = ACTIONS(161),
    [anon_sym_sample] = ACTIONS(161),
    [anon_sym_linear] = ACTIONS(161),
    [anon_sym_snorm] = ACTIONS(161),
    [anon_sym_unorm] = ACTIONS(161),
    [anon_sym_point] = ACTIONS(161),
    [anon_sym_line] = ACTIONS(161),
    [anon_sym_triangleadj] = ACTIONS(161),
    [anon_sym_lineadj] = ACTIONS(161),
    [anon_sym_triangle] = ACTIONS(161),
  },
  [1207] = {
    [sym_preproc_def] = STATE(1223),
    [sym_preproc_function_def] = STATE(1223),
    [sym_preproc_call] = STATE(1223),
    [sym_preproc_if_in_field_declaration_list] = STATE(1223),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(1223),
    [sym_type_definition] = STATE(1223),
    [sym__declaration_modifiers] = STATE(3159),
    [sym__declaration_specifiers] = STATE(6931),
    [sym_attribute_specifier] = STATE(3159),
    [sym_attribute_declaration] = STATE(3159),
    [sym_ms_declspec_modifier] = STATE(3159),
    [sym_ms_based_modifier] = STATE(10332),
    [sym__declarator] = STATE(7978),
    [sym_parenthesized_declarator] = STATE(7680),
    [sym_attributed_declarator] = STATE(7680),
    [sym_pointer_declarator] = STATE(7680),
    [sym_function_declarator] = STATE(7507),
    [sym_array_declarator] = STATE(7680),
    [sym_storage_class_specifier] = STATE(3159),
    [sym_type_qualifier] = STATE(3159),
    [sym__type_specifier] = STATE(2827),
    [sym_sized_type_specifier] = STATE(3085),
    [sym_enum_specifier] = STATE(3085),
    [sym_struct_specifier] = STATE(3085),
    [sym_union_specifier] = STATE(3085),
    [sym__field_declaration_list_item] = STATE(1223),
    [sym_field_declaration] = STATE(1223),
    [sym_placeholder_type_specifier] = STATE(3085),
    [sym_decltype_auto] = STATE(3091),
    [sym_decltype] = STATE(3050),
    [sym_class_specifier] = STATE(3085),
    [sym_virtual] = STATE(3159),
    [sym_alignas_specifier] = STATE(3159),
    [sym_explicit_function_specifier] = STATE(2525),
    [sym_dependent_type] = STATE(3085),
    [sym_template_declaration] = STATE(1223),
    [sym_operator_cast] = STATE(8072),
    [sym_inline_method_definition] = STATE(1223),
    [sym__constructor_specifiers] = STATE(2525),
    [sym_operator_cast_definition] = STATE(1223),
    [sym_operator_cast_declaration] = STATE(1223),
    [sym_constructor_or_destructor_definition] = STATE(1223),
    [sym_constructor_or_destructor_declaration] = STATE(1223),
    [sym_friend_declaration] = STATE(1223),
    [sym_access_specifier] = STATE(9909),
    [sym_reference_declarator] = STATE(7680),
    [sym_structured_binding_declarator] = STATE(7680),
    [sym_template_type] = STATE(3050),
    [sym_template_function] = STATE(7680),
    [sym_using_declaration] = STATE(1223),
    [sym_alias_declaration] = STATE(1223),
    [sym_static_assert_declaration] = STATE(1223),
    [sym_destructor_name] = STATE(7680),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6733),
    [sym_qualified_identifier] = STATE(7680),
    [sym_qualified_type_identifier] = STATE(3068),
    [sym_qualified_operator_cast_identifier] = STATE(8072),
    [sym_operator_name] = STATE(7680),
    [sym_qualifiers] = STATE(3159),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(1223),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2680),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3021),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2525),
    [sym_identifier] = ACTIONS(2857),
    [aux_sym_preproc_def_token1] = ACTIONS(3194),
    [aux_sym_preproc_if_token1] = ACTIONS(3196),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3198),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3198),
    [sym_preproc_directive] = ACTIONS(3200),
    [anon_sym_LPAREN2] = ACTIONS(2875),
    [anon_sym_TILDE] = ACTIONS(2877),
    [anon_sym_STAR] = ACTIONS(2879),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(2881),
    [anon_sym___extension__] = ACTIONS(3202),
    [anon_sym_typedef] = ACTIONS(3204),
    [anon_sym_in] = ACTIONS(37),
    [anon_sym_out] = ACTIONS(37),
    [anon_sym_inout] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(2887),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2096),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym_RBRACE] = ACTIONS(3220),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(2889),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(2891),
    [anon_sym_enum] = ACTIONS(2893),
    [anon_sym_class] = ACTIONS(2895),
    [anon_sym_struct] = ACTIONS(2897),
    [anon_sym_union] = ACTIONS(2899),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [anon_sym_virtual] = ACTIONS(123),
    [anon_sym_alignas] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(2901),
    [anon_sym_template] = ACTIONS(3208),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_friend] = ACTIONS(3210),
    [anon_sym_public] = ACTIONS(2907),
    [anon_sym_private] = ACTIONS(2907),
    [anon_sym_protected] = ACTIONS(2907),
    [anon_sym_using] = ACTIONS(3212),
    [anon_sym_static_assert] = ACTIONS(3214),
    [anon_sym_precise] = ACTIONS(161),
    [anon_sym_shared] = ACTIONS(161),
    [anon_sym_groupshared] = ACTIONS(161),
    [anon_sym_uniform] = ACTIONS(161),
    [anon_sym_row_major] = ACTIONS(161),
    [anon_sym_column_major] = ACTIONS(161),
    [anon_sym_globallycoherent] = ACTIONS(161),
    [anon_sym_centroid] = ACTIONS(161),
    [anon_sym_noperspective] = ACTIONS(161),
    [anon_sym_nointerpolation] = ACTIONS(161),
    [anon_sym_sample] = ACTIONS(161),
    [anon_sym_linear] = ACTIONS(161),
    [anon_sym_snorm] = ACTIONS(161),
    [anon_sym_unorm] = ACTIONS(161),
    [anon_sym_point] = ACTIONS(161),
    [anon_sym_line] = ACTIONS(161),
    [anon_sym_triangleadj] = ACTIONS(161),
    [anon_sym_lineadj] = ACTIONS(161),
    [anon_sym_triangle] = ACTIONS(161),
  },
  [1208] = {
    [sym_preproc_def] = STATE(1243),
    [sym_preproc_function_def] = STATE(1243),
    [sym_preproc_call] = STATE(1243),
    [sym_preproc_if_in_field_declaration_list] = STATE(1243),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(1243),
    [sym_type_definition] = STATE(1243),
    [sym__declaration_modifiers] = STATE(3159),
    [sym__declaration_specifiers] = STATE(6931),
    [sym_attribute_specifier] = STATE(3159),
    [sym_attribute_declaration] = STATE(3159),
    [sym_ms_declspec_modifier] = STATE(3159),
    [sym_ms_based_modifier] = STATE(10332),
    [sym__declarator] = STATE(7978),
    [sym_parenthesized_declarator] = STATE(7680),
    [sym_attributed_declarator] = STATE(7680),
    [sym_pointer_declarator] = STATE(7680),
    [sym_function_declarator] = STATE(7507),
    [sym_array_declarator] = STATE(7680),
    [sym_storage_class_specifier] = STATE(3159),
    [sym_type_qualifier] = STATE(3159),
    [sym__type_specifier] = STATE(2827),
    [sym_sized_type_specifier] = STATE(3085),
    [sym_enum_specifier] = STATE(3085),
    [sym_struct_specifier] = STATE(3085),
    [sym_union_specifier] = STATE(3085),
    [sym__field_declaration_list_item] = STATE(1243),
    [sym_field_declaration] = STATE(1243),
    [sym_placeholder_type_specifier] = STATE(3085),
    [sym_decltype_auto] = STATE(3091),
    [sym_decltype] = STATE(3050),
    [sym_class_specifier] = STATE(3085),
    [sym_virtual] = STATE(3159),
    [sym_alignas_specifier] = STATE(3159),
    [sym_explicit_function_specifier] = STATE(2525),
    [sym_dependent_type] = STATE(3085),
    [sym_template_declaration] = STATE(1243),
    [sym_operator_cast] = STATE(8072),
    [sym_inline_method_definition] = STATE(1243),
    [sym__constructor_specifiers] = STATE(2525),
    [sym_operator_cast_definition] = STATE(1243),
    [sym_operator_cast_declaration] = STATE(1243),
    [sym_constructor_or_destructor_definition] = STATE(1243),
    [sym_constructor_or_destructor_declaration] = STATE(1243),
    [sym_friend_declaration] = STATE(1243),
    [sym_access_specifier] = STATE(9909),
    [sym_reference_declarator] = STATE(7680),
    [sym_structured_binding_declarator] = STATE(7680),
    [sym_template_type] = STATE(3050),
    [sym_template_function] = STATE(7680),
    [sym_using_declaration] = STATE(1243),
    [sym_alias_declaration] = STATE(1243),
    [sym_static_assert_declaration] = STATE(1243),
    [sym_destructor_name] = STATE(7680),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6733),
    [sym_qualified_identifier] = STATE(7680),
    [sym_qualified_type_identifier] = STATE(3068),
    [sym_qualified_operator_cast_identifier] = STATE(8072),
    [sym_operator_name] = STATE(7680),
    [sym_qualifiers] = STATE(3159),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(1243),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2680),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3021),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2525),
    [sym_identifier] = ACTIONS(2857),
    [aux_sym_preproc_def_token1] = ACTIONS(3194),
    [aux_sym_preproc_if_token1] = ACTIONS(3196),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3198),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3198),
    [sym_preproc_directive] = ACTIONS(3200),
    [anon_sym_LPAREN2] = ACTIONS(2875),
    [anon_sym_TILDE] = ACTIONS(2877),
    [anon_sym_STAR] = ACTIONS(2879),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(2881),
    [anon_sym___extension__] = ACTIONS(3202),
    [anon_sym_typedef] = ACTIONS(3204),
    [anon_sym_in] = ACTIONS(37),
    [anon_sym_out] = ACTIONS(37),
    [anon_sym_inout] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(2887),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2096),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym_RBRACE] = ACTIONS(3222),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(2889),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(2891),
    [anon_sym_enum] = ACTIONS(2893),
    [anon_sym_class] = ACTIONS(2895),
    [anon_sym_struct] = ACTIONS(2897),
    [anon_sym_union] = ACTIONS(2899),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [anon_sym_virtual] = ACTIONS(123),
    [anon_sym_alignas] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(2901),
    [anon_sym_template] = ACTIONS(3208),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_friend] = ACTIONS(3210),
    [anon_sym_public] = ACTIONS(2907),
    [anon_sym_private] = ACTIONS(2907),
    [anon_sym_protected] = ACTIONS(2907),
    [anon_sym_using] = ACTIONS(3212),
    [anon_sym_static_assert] = ACTIONS(3214),
    [anon_sym_precise] = ACTIONS(161),
    [anon_sym_shared] = ACTIONS(161),
    [anon_sym_groupshared] = ACTIONS(161),
    [anon_sym_uniform] = ACTIONS(161),
    [anon_sym_row_major] = ACTIONS(161),
    [anon_sym_column_major] = ACTIONS(161),
    [anon_sym_globallycoherent] = ACTIONS(161),
    [anon_sym_centroid] = ACTIONS(161),
    [anon_sym_noperspective] = ACTIONS(161),
    [anon_sym_nointerpolation] = ACTIONS(161),
    [anon_sym_sample] = ACTIONS(161),
    [anon_sym_linear] = ACTIONS(161),
    [anon_sym_snorm] = ACTIONS(161),
    [anon_sym_unorm] = ACTIONS(161),
    [anon_sym_point] = ACTIONS(161),
    [anon_sym_line] = ACTIONS(161),
    [anon_sym_triangleadj] = ACTIONS(161),
    [anon_sym_lineadj] = ACTIONS(161),
    [anon_sym_triangle] = ACTIONS(161),
  },
  [1209] = {
    [sym_preproc_def] = STATE(1238),
    [sym_preproc_function_def] = STATE(1238),
    [sym_preproc_call] = STATE(1238),
    [sym_preproc_if_in_field_declaration_list] = STATE(1238),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(1238),
    [sym_type_definition] = STATE(1238),
    [sym__declaration_modifiers] = STATE(3159),
    [sym__declaration_specifiers] = STATE(6931),
    [sym_attribute_specifier] = STATE(3159),
    [sym_attribute_declaration] = STATE(3159),
    [sym_ms_declspec_modifier] = STATE(3159),
    [sym_ms_based_modifier] = STATE(10332),
    [sym__declarator] = STATE(7978),
    [sym_parenthesized_declarator] = STATE(7680),
    [sym_attributed_declarator] = STATE(7680),
    [sym_pointer_declarator] = STATE(7680),
    [sym_function_declarator] = STATE(7507),
    [sym_array_declarator] = STATE(7680),
    [sym_storage_class_specifier] = STATE(3159),
    [sym_type_qualifier] = STATE(3159),
    [sym__type_specifier] = STATE(2827),
    [sym_sized_type_specifier] = STATE(3085),
    [sym_enum_specifier] = STATE(3085),
    [sym_struct_specifier] = STATE(3085),
    [sym_union_specifier] = STATE(3085),
    [sym__field_declaration_list_item] = STATE(1238),
    [sym_field_declaration] = STATE(1238),
    [sym_placeholder_type_specifier] = STATE(3085),
    [sym_decltype_auto] = STATE(3091),
    [sym_decltype] = STATE(3050),
    [sym_class_specifier] = STATE(3085),
    [sym_virtual] = STATE(3159),
    [sym_alignas_specifier] = STATE(3159),
    [sym_explicit_function_specifier] = STATE(2525),
    [sym_dependent_type] = STATE(3085),
    [sym_template_declaration] = STATE(1238),
    [sym_operator_cast] = STATE(8072),
    [sym_inline_method_definition] = STATE(1238),
    [sym__constructor_specifiers] = STATE(2525),
    [sym_operator_cast_definition] = STATE(1238),
    [sym_operator_cast_declaration] = STATE(1238),
    [sym_constructor_or_destructor_definition] = STATE(1238),
    [sym_constructor_or_destructor_declaration] = STATE(1238),
    [sym_friend_declaration] = STATE(1238),
    [sym_access_specifier] = STATE(9909),
    [sym_reference_declarator] = STATE(7680),
    [sym_structured_binding_declarator] = STATE(7680),
    [sym_template_type] = STATE(3050),
    [sym_template_function] = STATE(7680),
    [sym_using_declaration] = STATE(1238),
    [sym_alias_declaration] = STATE(1238),
    [sym_static_assert_declaration] = STATE(1238),
    [sym_destructor_name] = STATE(7680),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6733),
    [sym_qualified_identifier] = STATE(7680),
    [sym_qualified_type_identifier] = STATE(3068),
    [sym_qualified_operator_cast_identifier] = STATE(8072),
    [sym_operator_name] = STATE(7680),
    [sym_qualifiers] = STATE(3159),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(1238),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2680),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3021),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2525),
    [sym_identifier] = ACTIONS(2857),
    [aux_sym_preproc_def_token1] = ACTIONS(3194),
    [aux_sym_preproc_if_token1] = ACTIONS(3196),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3198),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3198),
    [sym_preproc_directive] = ACTIONS(3200),
    [anon_sym_LPAREN2] = ACTIONS(2875),
    [anon_sym_TILDE] = ACTIONS(2877),
    [anon_sym_STAR] = ACTIONS(2879),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(2881),
    [anon_sym___extension__] = ACTIONS(3202),
    [anon_sym_typedef] = ACTIONS(3204),
    [anon_sym_in] = ACTIONS(37),
    [anon_sym_out] = ACTIONS(37),
    [anon_sym_inout] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(2887),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2096),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym_RBRACE] = ACTIONS(3224),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(2889),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(2891),
    [anon_sym_enum] = ACTIONS(2893),
    [anon_sym_class] = ACTIONS(2895),
    [anon_sym_struct] = ACTIONS(2897),
    [anon_sym_union] = ACTIONS(2899),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [anon_sym_virtual] = ACTIONS(123),
    [anon_sym_alignas] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(2901),
    [anon_sym_template] = ACTIONS(3208),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_friend] = ACTIONS(3210),
    [anon_sym_public] = ACTIONS(2907),
    [anon_sym_private] = ACTIONS(2907),
    [anon_sym_protected] = ACTIONS(2907),
    [anon_sym_using] = ACTIONS(3212),
    [anon_sym_static_assert] = ACTIONS(3214),
    [anon_sym_precise] = ACTIONS(161),
    [anon_sym_shared] = ACTIONS(161),
    [anon_sym_groupshared] = ACTIONS(161),
    [anon_sym_uniform] = ACTIONS(161),
    [anon_sym_row_major] = ACTIONS(161),
    [anon_sym_column_major] = ACTIONS(161),
    [anon_sym_globallycoherent] = ACTIONS(161),
    [anon_sym_centroid] = ACTIONS(161),
    [anon_sym_noperspective] = ACTIONS(161),
    [anon_sym_nointerpolation] = ACTIONS(161),
    [anon_sym_sample] = ACTIONS(161),
    [anon_sym_linear] = ACTIONS(161),
    [anon_sym_snorm] = ACTIONS(161),
    [anon_sym_unorm] = ACTIONS(161),
    [anon_sym_point] = ACTIONS(161),
    [anon_sym_line] = ACTIONS(161),
    [anon_sym_triangleadj] = ACTIONS(161),
    [anon_sym_lineadj] = ACTIONS(161),
    [anon_sym_triangle] = ACTIONS(161),
  },
  [1210] = {
    [sym_preproc_def] = STATE(1237),
    [sym_preproc_function_def] = STATE(1237),
    [sym_preproc_call] = STATE(1237),
    [sym_preproc_if_in_field_declaration_list] = STATE(1237),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(1237),
    [sym_type_definition] = STATE(1237),
    [sym__declaration_modifiers] = STATE(3159),
    [sym__declaration_specifiers] = STATE(6931),
    [sym_attribute_specifier] = STATE(3159),
    [sym_attribute_declaration] = STATE(3159),
    [sym_ms_declspec_modifier] = STATE(3159),
    [sym_ms_based_modifier] = STATE(10332),
    [sym__declarator] = STATE(7978),
    [sym_parenthesized_declarator] = STATE(7680),
    [sym_attributed_declarator] = STATE(7680),
    [sym_pointer_declarator] = STATE(7680),
    [sym_function_declarator] = STATE(7507),
    [sym_array_declarator] = STATE(7680),
    [sym_storage_class_specifier] = STATE(3159),
    [sym_type_qualifier] = STATE(3159),
    [sym__type_specifier] = STATE(2827),
    [sym_sized_type_specifier] = STATE(3085),
    [sym_enum_specifier] = STATE(3085),
    [sym_struct_specifier] = STATE(3085),
    [sym_union_specifier] = STATE(3085),
    [sym__field_declaration_list_item] = STATE(1237),
    [sym_field_declaration] = STATE(1237),
    [sym_placeholder_type_specifier] = STATE(3085),
    [sym_decltype_auto] = STATE(3091),
    [sym_decltype] = STATE(3050),
    [sym_class_specifier] = STATE(3085),
    [sym_virtual] = STATE(3159),
    [sym_alignas_specifier] = STATE(3159),
    [sym_explicit_function_specifier] = STATE(2525),
    [sym_dependent_type] = STATE(3085),
    [sym_template_declaration] = STATE(1237),
    [sym_operator_cast] = STATE(8072),
    [sym_inline_method_definition] = STATE(1237),
    [sym__constructor_specifiers] = STATE(2525),
    [sym_operator_cast_definition] = STATE(1237),
    [sym_operator_cast_declaration] = STATE(1237),
    [sym_constructor_or_destructor_definition] = STATE(1237),
    [sym_constructor_or_destructor_declaration] = STATE(1237),
    [sym_friend_declaration] = STATE(1237),
    [sym_access_specifier] = STATE(9909),
    [sym_reference_declarator] = STATE(7680),
    [sym_structured_binding_declarator] = STATE(7680),
    [sym_template_type] = STATE(3050),
    [sym_template_function] = STATE(7680),
    [sym_using_declaration] = STATE(1237),
    [sym_alias_declaration] = STATE(1237),
    [sym_static_assert_declaration] = STATE(1237),
    [sym_destructor_name] = STATE(7680),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6733),
    [sym_qualified_identifier] = STATE(7680),
    [sym_qualified_type_identifier] = STATE(3068),
    [sym_qualified_operator_cast_identifier] = STATE(8072),
    [sym_operator_name] = STATE(7680),
    [sym_qualifiers] = STATE(3159),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(1237),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2680),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3021),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2525),
    [sym_identifier] = ACTIONS(2857),
    [aux_sym_preproc_def_token1] = ACTIONS(3194),
    [aux_sym_preproc_if_token1] = ACTIONS(3196),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3198),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3198),
    [sym_preproc_directive] = ACTIONS(3200),
    [anon_sym_LPAREN2] = ACTIONS(2875),
    [anon_sym_TILDE] = ACTIONS(2877),
    [anon_sym_STAR] = ACTIONS(2879),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(2881),
    [anon_sym___extension__] = ACTIONS(3202),
    [anon_sym_typedef] = ACTIONS(3204),
    [anon_sym_in] = ACTIONS(37),
    [anon_sym_out] = ACTIONS(37),
    [anon_sym_inout] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(2887),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2096),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym_RBRACE] = ACTIONS(3226),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(2889),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(2891),
    [anon_sym_enum] = ACTIONS(2893),
    [anon_sym_class] = ACTIONS(2895),
    [anon_sym_struct] = ACTIONS(2897),
    [anon_sym_union] = ACTIONS(2899),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [anon_sym_virtual] = ACTIONS(123),
    [anon_sym_alignas] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(2901),
    [anon_sym_template] = ACTIONS(3208),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_friend] = ACTIONS(3210),
    [anon_sym_public] = ACTIONS(2907),
    [anon_sym_private] = ACTIONS(2907),
    [anon_sym_protected] = ACTIONS(2907),
    [anon_sym_using] = ACTIONS(3212),
    [anon_sym_static_assert] = ACTIONS(3214),
    [anon_sym_precise] = ACTIONS(161),
    [anon_sym_shared] = ACTIONS(161),
    [anon_sym_groupshared] = ACTIONS(161),
    [anon_sym_uniform] = ACTIONS(161),
    [anon_sym_row_major] = ACTIONS(161),
    [anon_sym_column_major] = ACTIONS(161),
    [anon_sym_globallycoherent] = ACTIONS(161),
    [anon_sym_centroid] = ACTIONS(161),
    [anon_sym_noperspective] = ACTIONS(161),
    [anon_sym_nointerpolation] = ACTIONS(161),
    [anon_sym_sample] = ACTIONS(161),
    [anon_sym_linear] = ACTIONS(161),
    [anon_sym_snorm] = ACTIONS(161),
    [anon_sym_unorm] = ACTIONS(161),
    [anon_sym_point] = ACTIONS(161),
    [anon_sym_line] = ACTIONS(161),
    [anon_sym_triangleadj] = ACTIONS(161),
    [anon_sym_lineadj] = ACTIONS(161),
    [anon_sym_triangle] = ACTIONS(161),
  },
  [1211] = {
    [sym_preproc_def] = STATE(1215),
    [sym_preproc_function_def] = STATE(1215),
    [sym_preproc_call] = STATE(1215),
    [sym_preproc_if_in_field_declaration_list] = STATE(1215),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(1215),
    [sym_type_definition] = STATE(1215),
    [sym__declaration_modifiers] = STATE(3159),
    [sym__declaration_specifiers] = STATE(6931),
    [sym_attribute_specifier] = STATE(3159),
    [sym_attribute_declaration] = STATE(3159),
    [sym_ms_declspec_modifier] = STATE(3159),
    [sym_ms_based_modifier] = STATE(10332),
    [sym__declarator] = STATE(7978),
    [sym_parenthesized_declarator] = STATE(7680),
    [sym_attributed_declarator] = STATE(7680),
    [sym_pointer_declarator] = STATE(7680),
    [sym_function_declarator] = STATE(7507),
    [sym_array_declarator] = STATE(7680),
    [sym_storage_class_specifier] = STATE(3159),
    [sym_type_qualifier] = STATE(3159),
    [sym__type_specifier] = STATE(2827),
    [sym_sized_type_specifier] = STATE(3085),
    [sym_enum_specifier] = STATE(3085),
    [sym_struct_specifier] = STATE(3085),
    [sym_union_specifier] = STATE(3085),
    [sym__field_declaration_list_item] = STATE(1215),
    [sym_field_declaration] = STATE(1215),
    [sym_placeholder_type_specifier] = STATE(3085),
    [sym_decltype_auto] = STATE(3091),
    [sym_decltype] = STATE(3050),
    [sym_class_specifier] = STATE(3085),
    [sym_virtual] = STATE(3159),
    [sym_alignas_specifier] = STATE(3159),
    [sym_explicit_function_specifier] = STATE(2525),
    [sym_dependent_type] = STATE(3085),
    [sym_template_declaration] = STATE(1215),
    [sym_operator_cast] = STATE(8072),
    [sym_inline_method_definition] = STATE(1215),
    [sym__constructor_specifiers] = STATE(2525),
    [sym_operator_cast_definition] = STATE(1215),
    [sym_operator_cast_declaration] = STATE(1215),
    [sym_constructor_or_destructor_definition] = STATE(1215),
    [sym_constructor_or_destructor_declaration] = STATE(1215),
    [sym_friend_declaration] = STATE(1215),
    [sym_access_specifier] = STATE(9909),
    [sym_reference_declarator] = STATE(7680),
    [sym_structured_binding_declarator] = STATE(7680),
    [sym_template_type] = STATE(3050),
    [sym_template_function] = STATE(7680),
    [sym_using_declaration] = STATE(1215),
    [sym_alias_declaration] = STATE(1215),
    [sym_static_assert_declaration] = STATE(1215),
    [sym_destructor_name] = STATE(7680),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6733),
    [sym_qualified_identifier] = STATE(7680),
    [sym_qualified_type_identifier] = STATE(3068),
    [sym_qualified_operator_cast_identifier] = STATE(8072),
    [sym_operator_name] = STATE(7680),
    [sym_qualifiers] = STATE(3159),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(1215),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2680),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3021),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2525),
    [sym_identifier] = ACTIONS(2857),
    [aux_sym_preproc_def_token1] = ACTIONS(3194),
    [aux_sym_preproc_if_token1] = ACTIONS(3196),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3198),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3198),
    [sym_preproc_directive] = ACTIONS(3200),
    [anon_sym_LPAREN2] = ACTIONS(2875),
    [anon_sym_TILDE] = ACTIONS(2877),
    [anon_sym_STAR] = ACTIONS(2879),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(2881),
    [anon_sym___extension__] = ACTIONS(3202),
    [anon_sym_typedef] = ACTIONS(3204),
    [anon_sym_in] = ACTIONS(37),
    [anon_sym_out] = ACTIONS(37),
    [anon_sym_inout] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(2887),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2096),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym_RBRACE] = ACTIONS(3228),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(2889),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(2891),
    [anon_sym_enum] = ACTIONS(2893),
    [anon_sym_class] = ACTIONS(2895),
    [anon_sym_struct] = ACTIONS(2897),
    [anon_sym_union] = ACTIONS(2899),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [anon_sym_virtual] = ACTIONS(123),
    [anon_sym_alignas] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(2901),
    [anon_sym_template] = ACTIONS(3208),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_friend] = ACTIONS(3210),
    [anon_sym_public] = ACTIONS(2907),
    [anon_sym_private] = ACTIONS(2907),
    [anon_sym_protected] = ACTIONS(2907),
    [anon_sym_using] = ACTIONS(3212),
    [anon_sym_static_assert] = ACTIONS(3214),
    [anon_sym_precise] = ACTIONS(161),
    [anon_sym_shared] = ACTIONS(161),
    [anon_sym_groupshared] = ACTIONS(161),
    [anon_sym_uniform] = ACTIONS(161),
    [anon_sym_row_major] = ACTIONS(161),
    [anon_sym_column_major] = ACTIONS(161),
    [anon_sym_globallycoherent] = ACTIONS(161),
    [anon_sym_centroid] = ACTIONS(161),
    [anon_sym_noperspective] = ACTIONS(161),
    [anon_sym_nointerpolation] = ACTIONS(161),
    [anon_sym_sample] = ACTIONS(161),
    [anon_sym_linear] = ACTIONS(161),
    [anon_sym_snorm] = ACTIONS(161),
    [anon_sym_unorm] = ACTIONS(161),
    [anon_sym_point] = ACTIONS(161),
    [anon_sym_line] = ACTIONS(161),
    [anon_sym_triangleadj] = ACTIONS(161),
    [anon_sym_lineadj] = ACTIONS(161),
    [anon_sym_triangle] = ACTIONS(161),
  },
  [1212] = {
    [sym_preproc_def] = STATE(1243),
    [sym_preproc_function_def] = STATE(1243),
    [sym_preproc_call] = STATE(1243),
    [sym_preproc_if_in_field_declaration_list] = STATE(1243),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(1243),
    [sym_type_definition] = STATE(1243),
    [sym__declaration_modifiers] = STATE(3159),
    [sym__declaration_specifiers] = STATE(6931),
    [sym_attribute_specifier] = STATE(3159),
    [sym_attribute_declaration] = STATE(3159),
    [sym_ms_declspec_modifier] = STATE(3159),
    [sym_ms_based_modifier] = STATE(10332),
    [sym__declarator] = STATE(7978),
    [sym_parenthesized_declarator] = STATE(7680),
    [sym_attributed_declarator] = STATE(7680),
    [sym_pointer_declarator] = STATE(7680),
    [sym_function_declarator] = STATE(7507),
    [sym_array_declarator] = STATE(7680),
    [sym_storage_class_specifier] = STATE(3159),
    [sym_type_qualifier] = STATE(3159),
    [sym__type_specifier] = STATE(2827),
    [sym_sized_type_specifier] = STATE(3085),
    [sym_enum_specifier] = STATE(3085),
    [sym_struct_specifier] = STATE(3085),
    [sym_union_specifier] = STATE(3085),
    [sym__field_declaration_list_item] = STATE(1243),
    [sym_field_declaration] = STATE(1243),
    [sym_placeholder_type_specifier] = STATE(3085),
    [sym_decltype_auto] = STATE(3091),
    [sym_decltype] = STATE(3050),
    [sym_class_specifier] = STATE(3085),
    [sym_virtual] = STATE(3159),
    [sym_alignas_specifier] = STATE(3159),
    [sym_explicit_function_specifier] = STATE(2525),
    [sym_dependent_type] = STATE(3085),
    [sym_template_declaration] = STATE(1243),
    [sym_operator_cast] = STATE(8072),
    [sym_inline_method_definition] = STATE(1243),
    [sym__constructor_specifiers] = STATE(2525),
    [sym_operator_cast_definition] = STATE(1243),
    [sym_operator_cast_declaration] = STATE(1243),
    [sym_constructor_or_destructor_definition] = STATE(1243),
    [sym_constructor_or_destructor_declaration] = STATE(1243),
    [sym_friend_declaration] = STATE(1243),
    [sym_access_specifier] = STATE(9909),
    [sym_reference_declarator] = STATE(7680),
    [sym_structured_binding_declarator] = STATE(7680),
    [sym_template_type] = STATE(3050),
    [sym_template_function] = STATE(7680),
    [sym_using_declaration] = STATE(1243),
    [sym_alias_declaration] = STATE(1243),
    [sym_static_assert_declaration] = STATE(1243),
    [sym_destructor_name] = STATE(7680),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6733),
    [sym_qualified_identifier] = STATE(7680),
    [sym_qualified_type_identifier] = STATE(3068),
    [sym_qualified_operator_cast_identifier] = STATE(8072),
    [sym_operator_name] = STATE(7680),
    [sym_qualifiers] = STATE(3159),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(1243),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2680),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3021),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2525),
    [sym_identifier] = ACTIONS(2857),
    [aux_sym_preproc_def_token1] = ACTIONS(3194),
    [aux_sym_preproc_if_token1] = ACTIONS(3196),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3198),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3198),
    [sym_preproc_directive] = ACTIONS(3200),
    [anon_sym_LPAREN2] = ACTIONS(2875),
    [anon_sym_TILDE] = ACTIONS(2877),
    [anon_sym_STAR] = ACTIONS(2879),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(2881),
    [anon_sym___extension__] = ACTIONS(3202),
    [anon_sym_typedef] = ACTIONS(3204),
    [anon_sym_in] = ACTIONS(37),
    [anon_sym_out] = ACTIONS(37),
    [anon_sym_inout] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(2887),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2096),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym_RBRACE] = ACTIONS(3230),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(2889),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(2891),
    [anon_sym_enum] = ACTIONS(2893),
    [anon_sym_class] = ACTIONS(2895),
    [anon_sym_struct] = ACTIONS(2897),
    [anon_sym_union] = ACTIONS(2899),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [anon_sym_virtual] = ACTIONS(123),
    [anon_sym_alignas] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(2901),
    [anon_sym_template] = ACTIONS(3208),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_friend] = ACTIONS(3210),
    [anon_sym_public] = ACTIONS(2907),
    [anon_sym_private] = ACTIONS(2907),
    [anon_sym_protected] = ACTIONS(2907),
    [anon_sym_using] = ACTIONS(3212),
    [anon_sym_static_assert] = ACTIONS(3214),
    [anon_sym_precise] = ACTIONS(161),
    [anon_sym_shared] = ACTIONS(161),
    [anon_sym_groupshared] = ACTIONS(161),
    [anon_sym_uniform] = ACTIONS(161),
    [anon_sym_row_major] = ACTIONS(161),
    [anon_sym_column_major] = ACTIONS(161),
    [anon_sym_globallycoherent] = ACTIONS(161),
    [anon_sym_centroid] = ACTIONS(161),
    [anon_sym_noperspective] = ACTIONS(161),
    [anon_sym_nointerpolation] = ACTIONS(161),
    [anon_sym_sample] = ACTIONS(161),
    [anon_sym_linear] = ACTIONS(161),
    [anon_sym_snorm] = ACTIONS(161),
    [anon_sym_unorm] = ACTIONS(161),
    [anon_sym_point] = ACTIONS(161),
    [anon_sym_line] = ACTIONS(161),
    [anon_sym_triangleadj] = ACTIONS(161),
    [anon_sym_lineadj] = ACTIONS(161),
    [anon_sym_triangle] = ACTIONS(161),
  },
  [1213] = {
    [sym_preproc_def] = STATE(1212),
    [sym_preproc_function_def] = STATE(1212),
    [sym_preproc_call] = STATE(1212),
    [sym_preproc_if_in_field_declaration_list] = STATE(1212),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(1212),
    [sym_type_definition] = STATE(1212),
    [sym__declaration_modifiers] = STATE(3159),
    [sym__declaration_specifiers] = STATE(6931),
    [sym_attribute_specifier] = STATE(3159),
    [sym_attribute_declaration] = STATE(3159),
    [sym_ms_declspec_modifier] = STATE(3159),
    [sym_ms_based_modifier] = STATE(10332),
    [sym__declarator] = STATE(7978),
    [sym_parenthesized_declarator] = STATE(7680),
    [sym_attributed_declarator] = STATE(7680),
    [sym_pointer_declarator] = STATE(7680),
    [sym_function_declarator] = STATE(7507),
    [sym_array_declarator] = STATE(7680),
    [sym_storage_class_specifier] = STATE(3159),
    [sym_type_qualifier] = STATE(3159),
    [sym__type_specifier] = STATE(2827),
    [sym_sized_type_specifier] = STATE(3085),
    [sym_enum_specifier] = STATE(3085),
    [sym_struct_specifier] = STATE(3085),
    [sym_union_specifier] = STATE(3085),
    [sym__field_declaration_list_item] = STATE(1212),
    [sym_field_declaration] = STATE(1212),
    [sym_placeholder_type_specifier] = STATE(3085),
    [sym_decltype_auto] = STATE(3091),
    [sym_decltype] = STATE(3050),
    [sym_class_specifier] = STATE(3085),
    [sym_virtual] = STATE(3159),
    [sym_alignas_specifier] = STATE(3159),
    [sym_explicit_function_specifier] = STATE(2525),
    [sym_dependent_type] = STATE(3085),
    [sym_template_declaration] = STATE(1212),
    [sym_operator_cast] = STATE(8072),
    [sym_inline_method_definition] = STATE(1212),
    [sym__constructor_specifiers] = STATE(2525),
    [sym_operator_cast_definition] = STATE(1212),
    [sym_operator_cast_declaration] = STATE(1212),
    [sym_constructor_or_destructor_definition] = STATE(1212),
    [sym_constructor_or_destructor_declaration] = STATE(1212),
    [sym_friend_declaration] = STATE(1212),
    [sym_access_specifier] = STATE(9909),
    [sym_reference_declarator] = STATE(7680),
    [sym_structured_binding_declarator] = STATE(7680),
    [sym_template_type] = STATE(3050),
    [sym_template_function] = STATE(7680),
    [sym_using_declaration] = STATE(1212),
    [sym_alias_declaration] = STATE(1212),
    [sym_static_assert_declaration] = STATE(1212),
    [sym_destructor_name] = STATE(7680),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6733),
    [sym_qualified_identifier] = STATE(7680),
    [sym_qualified_type_identifier] = STATE(3068),
    [sym_qualified_operator_cast_identifier] = STATE(8072),
    [sym_operator_name] = STATE(7680),
    [sym_qualifiers] = STATE(3159),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(1212),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2680),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3021),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2525),
    [sym_identifier] = ACTIONS(2857),
    [aux_sym_preproc_def_token1] = ACTIONS(3194),
    [aux_sym_preproc_if_token1] = ACTIONS(3196),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3198),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3198),
    [sym_preproc_directive] = ACTIONS(3200),
    [anon_sym_LPAREN2] = ACTIONS(2875),
    [anon_sym_TILDE] = ACTIONS(2877),
    [anon_sym_STAR] = ACTIONS(2879),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(2881),
    [anon_sym___extension__] = ACTIONS(3202),
    [anon_sym_typedef] = ACTIONS(3204),
    [anon_sym_in] = ACTIONS(37),
    [anon_sym_out] = ACTIONS(37),
    [anon_sym_inout] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(2887),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2096),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym_RBRACE] = ACTIONS(3232),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(2889),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(2891),
    [anon_sym_enum] = ACTIONS(2893),
    [anon_sym_class] = ACTIONS(2895),
    [anon_sym_struct] = ACTIONS(2897),
    [anon_sym_union] = ACTIONS(2899),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [anon_sym_virtual] = ACTIONS(123),
    [anon_sym_alignas] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(2901),
    [anon_sym_template] = ACTIONS(3208),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_friend] = ACTIONS(3210),
    [anon_sym_public] = ACTIONS(2907),
    [anon_sym_private] = ACTIONS(2907),
    [anon_sym_protected] = ACTIONS(2907),
    [anon_sym_using] = ACTIONS(3212),
    [anon_sym_static_assert] = ACTIONS(3214),
    [anon_sym_precise] = ACTIONS(161),
    [anon_sym_shared] = ACTIONS(161),
    [anon_sym_groupshared] = ACTIONS(161),
    [anon_sym_uniform] = ACTIONS(161),
    [anon_sym_row_major] = ACTIONS(161),
    [anon_sym_column_major] = ACTIONS(161),
    [anon_sym_globallycoherent] = ACTIONS(161),
    [anon_sym_centroid] = ACTIONS(161),
    [anon_sym_noperspective] = ACTIONS(161),
    [anon_sym_nointerpolation] = ACTIONS(161),
    [anon_sym_sample] = ACTIONS(161),
    [anon_sym_linear] = ACTIONS(161),
    [anon_sym_snorm] = ACTIONS(161),
    [anon_sym_unorm] = ACTIONS(161),
    [anon_sym_point] = ACTIONS(161),
    [anon_sym_line] = ACTIONS(161),
    [anon_sym_triangleadj] = ACTIONS(161),
    [anon_sym_lineadj] = ACTIONS(161),
    [anon_sym_triangle] = ACTIONS(161),
  },
  [1214] = {
    [sym_preproc_def] = STATE(1240),
    [sym_preproc_function_def] = STATE(1240),
    [sym_preproc_call] = STATE(1240),
    [sym_preproc_if_in_field_declaration_list] = STATE(1240),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(1240),
    [sym_type_definition] = STATE(1240),
    [sym__declaration_modifiers] = STATE(3159),
    [sym__declaration_specifiers] = STATE(6931),
    [sym_attribute_specifier] = STATE(3159),
    [sym_attribute_declaration] = STATE(3159),
    [sym_ms_declspec_modifier] = STATE(3159),
    [sym_ms_based_modifier] = STATE(10332),
    [sym__declarator] = STATE(7978),
    [sym_parenthesized_declarator] = STATE(7680),
    [sym_attributed_declarator] = STATE(7680),
    [sym_pointer_declarator] = STATE(7680),
    [sym_function_declarator] = STATE(7507),
    [sym_array_declarator] = STATE(7680),
    [sym_storage_class_specifier] = STATE(3159),
    [sym_type_qualifier] = STATE(3159),
    [sym__type_specifier] = STATE(2827),
    [sym_sized_type_specifier] = STATE(3085),
    [sym_enum_specifier] = STATE(3085),
    [sym_struct_specifier] = STATE(3085),
    [sym_union_specifier] = STATE(3085),
    [sym__field_declaration_list_item] = STATE(1240),
    [sym_field_declaration] = STATE(1240),
    [sym_placeholder_type_specifier] = STATE(3085),
    [sym_decltype_auto] = STATE(3091),
    [sym_decltype] = STATE(3050),
    [sym_class_specifier] = STATE(3085),
    [sym_virtual] = STATE(3159),
    [sym_alignas_specifier] = STATE(3159),
    [sym_explicit_function_specifier] = STATE(2525),
    [sym_dependent_type] = STATE(3085),
    [sym_template_declaration] = STATE(1240),
    [sym_operator_cast] = STATE(8072),
    [sym_inline_method_definition] = STATE(1240),
    [sym__constructor_specifiers] = STATE(2525),
    [sym_operator_cast_definition] = STATE(1240),
    [sym_operator_cast_declaration] = STATE(1240),
    [sym_constructor_or_destructor_definition] = STATE(1240),
    [sym_constructor_or_destructor_declaration] = STATE(1240),
    [sym_friend_declaration] = STATE(1240),
    [sym_access_specifier] = STATE(9909),
    [sym_reference_declarator] = STATE(7680),
    [sym_structured_binding_declarator] = STATE(7680),
    [sym_template_type] = STATE(3050),
    [sym_template_function] = STATE(7680),
    [sym_using_declaration] = STATE(1240),
    [sym_alias_declaration] = STATE(1240),
    [sym_static_assert_declaration] = STATE(1240),
    [sym_destructor_name] = STATE(7680),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6733),
    [sym_qualified_identifier] = STATE(7680),
    [sym_qualified_type_identifier] = STATE(3068),
    [sym_qualified_operator_cast_identifier] = STATE(8072),
    [sym_operator_name] = STATE(7680),
    [sym_qualifiers] = STATE(3159),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(1240),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2680),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3021),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2525),
    [sym_identifier] = ACTIONS(2857),
    [aux_sym_preproc_def_token1] = ACTIONS(3194),
    [aux_sym_preproc_if_token1] = ACTIONS(3196),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3198),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3198),
    [sym_preproc_directive] = ACTIONS(3200),
    [anon_sym_LPAREN2] = ACTIONS(2875),
    [anon_sym_TILDE] = ACTIONS(2877),
    [anon_sym_STAR] = ACTIONS(2879),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(2881),
    [anon_sym___extension__] = ACTIONS(3202),
    [anon_sym_typedef] = ACTIONS(3204),
    [anon_sym_in] = ACTIONS(37),
    [anon_sym_out] = ACTIONS(37),
    [anon_sym_inout] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(2887),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2096),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym_RBRACE] = ACTIONS(3234),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(2889),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(2891),
    [anon_sym_enum] = ACTIONS(2893),
    [anon_sym_class] = ACTIONS(2895),
    [anon_sym_struct] = ACTIONS(2897),
    [anon_sym_union] = ACTIONS(2899),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [anon_sym_virtual] = ACTIONS(123),
    [anon_sym_alignas] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(2901),
    [anon_sym_template] = ACTIONS(3208),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_friend] = ACTIONS(3210),
    [anon_sym_public] = ACTIONS(2907),
    [anon_sym_private] = ACTIONS(2907),
    [anon_sym_protected] = ACTIONS(2907),
    [anon_sym_using] = ACTIONS(3212),
    [anon_sym_static_assert] = ACTIONS(3214),
    [anon_sym_precise] = ACTIONS(161),
    [anon_sym_shared] = ACTIONS(161),
    [anon_sym_groupshared] = ACTIONS(161),
    [anon_sym_uniform] = ACTIONS(161),
    [anon_sym_row_major] = ACTIONS(161),
    [anon_sym_column_major] = ACTIONS(161),
    [anon_sym_globallycoherent] = ACTIONS(161),
    [anon_sym_centroid] = ACTIONS(161),
    [anon_sym_noperspective] = ACTIONS(161),
    [anon_sym_nointerpolation] = ACTIONS(161),
    [anon_sym_sample] = ACTIONS(161),
    [anon_sym_linear] = ACTIONS(161),
    [anon_sym_snorm] = ACTIONS(161),
    [anon_sym_unorm] = ACTIONS(161),
    [anon_sym_point] = ACTIONS(161),
    [anon_sym_line] = ACTIONS(161),
    [anon_sym_triangleadj] = ACTIONS(161),
    [anon_sym_lineadj] = ACTIONS(161),
    [anon_sym_triangle] = ACTIONS(161),
  },
  [1215] = {
    [sym_preproc_def] = STATE(1243),
    [sym_preproc_function_def] = STATE(1243),
    [sym_preproc_call] = STATE(1243),
    [sym_preproc_if_in_field_declaration_list] = STATE(1243),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(1243),
    [sym_type_definition] = STATE(1243),
    [sym__declaration_modifiers] = STATE(3159),
    [sym__declaration_specifiers] = STATE(6931),
    [sym_attribute_specifier] = STATE(3159),
    [sym_attribute_declaration] = STATE(3159),
    [sym_ms_declspec_modifier] = STATE(3159),
    [sym_ms_based_modifier] = STATE(10332),
    [sym__declarator] = STATE(7978),
    [sym_parenthesized_declarator] = STATE(7680),
    [sym_attributed_declarator] = STATE(7680),
    [sym_pointer_declarator] = STATE(7680),
    [sym_function_declarator] = STATE(7507),
    [sym_array_declarator] = STATE(7680),
    [sym_storage_class_specifier] = STATE(3159),
    [sym_type_qualifier] = STATE(3159),
    [sym__type_specifier] = STATE(2827),
    [sym_sized_type_specifier] = STATE(3085),
    [sym_enum_specifier] = STATE(3085),
    [sym_struct_specifier] = STATE(3085),
    [sym_union_specifier] = STATE(3085),
    [sym__field_declaration_list_item] = STATE(1243),
    [sym_field_declaration] = STATE(1243),
    [sym_placeholder_type_specifier] = STATE(3085),
    [sym_decltype_auto] = STATE(3091),
    [sym_decltype] = STATE(3050),
    [sym_class_specifier] = STATE(3085),
    [sym_virtual] = STATE(3159),
    [sym_alignas_specifier] = STATE(3159),
    [sym_explicit_function_specifier] = STATE(2525),
    [sym_dependent_type] = STATE(3085),
    [sym_template_declaration] = STATE(1243),
    [sym_operator_cast] = STATE(8072),
    [sym_inline_method_definition] = STATE(1243),
    [sym__constructor_specifiers] = STATE(2525),
    [sym_operator_cast_definition] = STATE(1243),
    [sym_operator_cast_declaration] = STATE(1243),
    [sym_constructor_or_destructor_definition] = STATE(1243),
    [sym_constructor_or_destructor_declaration] = STATE(1243),
    [sym_friend_declaration] = STATE(1243),
    [sym_access_specifier] = STATE(9909),
    [sym_reference_declarator] = STATE(7680),
    [sym_structured_binding_declarator] = STATE(7680),
    [sym_template_type] = STATE(3050),
    [sym_template_function] = STATE(7680),
    [sym_using_declaration] = STATE(1243),
    [sym_alias_declaration] = STATE(1243),
    [sym_static_assert_declaration] = STATE(1243),
    [sym_destructor_name] = STATE(7680),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6733),
    [sym_qualified_identifier] = STATE(7680),
    [sym_qualified_type_identifier] = STATE(3068),
    [sym_qualified_operator_cast_identifier] = STATE(8072),
    [sym_operator_name] = STATE(7680),
    [sym_qualifiers] = STATE(3159),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(1243),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2680),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3021),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2525),
    [sym_identifier] = ACTIONS(2857),
    [aux_sym_preproc_def_token1] = ACTIONS(3194),
    [aux_sym_preproc_if_token1] = ACTIONS(3196),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3198),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3198),
    [sym_preproc_directive] = ACTIONS(3200),
    [anon_sym_LPAREN2] = ACTIONS(2875),
    [anon_sym_TILDE] = ACTIONS(2877),
    [anon_sym_STAR] = ACTIONS(2879),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(2881),
    [anon_sym___extension__] = ACTIONS(3202),
    [anon_sym_typedef] = ACTIONS(3204),
    [anon_sym_in] = ACTIONS(37),
    [anon_sym_out] = ACTIONS(37),
    [anon_sym_inout] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(2887),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2096),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym_RBRACE] = ACTIONS(3236),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(2889),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(2891),
    [anon_sym_enum] = ACTIONS(2893),
    [anon_sym_class] = ACTIONS(2895),
    [anon_sym_struct] = ACTIONS(2897),
    [anon_sym_union] = ACTIONS(2899),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [anon_sym_virtual] = ACTIONS(123),
    [anon_sym_alignas] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(2901),
    [anon_sym_template] = ACTIONS(3208),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_friend] = ACTIONS(3210),
    [anon_sym_public] = ACTIONS(2907),
    [anon_sym_private] = ACTIONS(2907),
    [anon_sym_protected] = ACTIONS(2907),
    [anon_sym_using] = ACTIONS(3212),
    [anon_sym_static_assert] = ACTIONS(3214),
    [anon_sym_precise] = ACTIONS(161),
    [anon_sym_shared] = ACTIONS(161),
    [anon_sym_groupshared] = ACTIONS(161),
    [anon_sym_uniform] = ACTIONS(161),
    [anon_sym_row_major] = ACTIONS(161),
    [anon_sym_column_major] = ACTIONS(161),
    [anon_sym_globallycoherent] = ACTIONS(161),
    [anon_sym_centroid] = ACTIONS(161),
    [anon_sym_noperspective] = ACTIONS(161),
    [anon_sym_nointerpolation] = ACTIONS(161),
    [anon_sym_sample] = ACTIONS(161),
    [anon_sym_linear] = ACTIONS(161),
    [anon_sym_snorm] = ACTIONS(161),
    [anon_sym_unorm] = ACTIONS(161),
    [anon_sym_point] = ACTIONS(161),
    [anon_sym_line] = ACTIONS(161),
    [anon_sym_triangleadj] = ACTIONS(161),
    [anon_sym_lineadj] = ACTIONS(161),
    [anon_sym_triangle] = ACTIONS(161),
  },
  [1216] = {
    [sym_preproc_def] = STATE(1243),
    [sym_preproc_function_def] = STATE(1243),
    [sym_preproc_call] = STATE(1243),
    [sym_preproc_if_in_field_declaration_list] = STATE(1243),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(1243),
    [sym_type_definition] = STATE(1243),
    [sym__declaration_modifiers] = STATE(3159),
    [sym__declaration_specifiers] = STATE(6931),
    [sym_attribute_specifier] = STATE(3159),
    [sym_attribute_declaration] = STATE(3159),
    [sym_ms_declspec_modifier] = STATE(3159),
    [sym_ms_based_modifier] = STATE(10332),
    [sym__declarator] = STATE(7978),
    [sym_parenthesized_declarator] = STATE(7680),
    [sym_attributed_declarator] = STATE(7680),
    [sym_pointer_declarator] = STATE(7680),
    [sym_function_declarator] = STATE(7507),
    [sym_array_declarator] = STATE(7680),
    [sym_storage_class_specifier] = STATE(3159),
    [sym_type_qualifier] = STATE(3159),
    [sym__type_specifier] = STATE(2827),
    [sym_sized_type_specifier] = STATE(3085),
    [sym_enum_specifier] = STATE(3085),
    [sym_struct_specifier] = STATE(3085),
    [sym_union_specifier] = STATE(3085),
    [sym__field_declaration_list_item] = STATE(1243),
    [sym_field_declaration] = STATE(1243),
    [sym_placeholder_type_specifier] = STATE(3085),
    [sym_decltype_auto] = STATE(3091),
    [sym_decltype] = STATE(3050),
    [sym_class_specifier] = STATE(3085),
    [sym_virtual] = STATE(3159),
    [sym_alignas_specifier] = STATE(3159),
    [sym_explicit_function_specifier] = STATE(2525),
    [sym_dependent_type] = STATE(3085),
    [sym_template_declaration] = STATE(1243),
    [sym_operator_cast] = STATE(8072),
    [sym_inline_method_definition] = STATE(1243),
    [sym__constructor_specifiers] = STATE(2525),
    [sym_operator_cast_definition] = STATE(1243),
    [sym_operator_cast_declaration] = STATE(1243),
    [sym_constructor_or_destructor_definition] = STATE(1243),
    [sym_constructor_or_destructor_declaration] = STATE(1243),
    [sym_friend_declaration] = STATE(1243),
    [sym_access_specifier] = STATE(9909),
    [sym_reference_declarator] = STATE(7680),
    [sym_structured_binding_declarator] = STATE(7680),
    [sym_template_type] = STATE(3050),
    [sym_template_function] = STATE(7680),
    [sym_using_declaration] = STATE(1243),
    [sym_alias_declaration] = STATE(1243),
    [sym_static_assert_declaration] = STATE(1243),
    [sym_destructor_name] = STATE(7680),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6733),
    [sym_qualified_identifier] = STATE(7680),
    [sym_qualified_type_identifier] = STATE(3068),
    [sym_qualified_operator_cast_identifier] = STATE(8072),
    [sym_operator_name] = STATE(7680),
    [sym_qualifiers] = STATE(3159),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(1243),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2680),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3021),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2525),
    [sym_identifier] = ACTIONS(2857),
    [aux_sym_preproc_def_token1] = ACTIONS(3194),
    [aux_sym_preproc_if_token1] = ACTIONS(3196),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3198),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3198),
    [sym_preproc_directive] = ACTIONS(3200),
    [anon_sym_LPAREN2] = ACTIONS(2875),
    [anon_sym_TILDE] = ACTIONS(2877),
    [anon_sym_STAR] = ACTIONS(2879),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(2881),
    [anon_sym___extension__] = ACTIONS(3202),
    [anon_sym_typedef] = ACTIONS(3204),
    [anon_sym_in] = ACTIONS(37),
    [anon_sym_out] = ACTIONS(37),
    [anon_sym_inout] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(2887),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2096),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym_RBRACE] = ACTIONS(3238),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(2889),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(2891),
    [anon_sym_enum] = ACTIONS(2893),
    [anon_sym_class] = ACTIONS(2895),
    [anon_sym_struct] = ACTIONS(2897),
    [anon_sym_union] = ACTIONS(2899),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [anon_sym_virtual] = ACTIONS(123),
    [anon_sym_alignas] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(2901),
    [anon_sym_template] = ACTIONS(3208),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_friend] = ACTIONS(3210),
    [anon_sym_public] = ACTIONS(2907),
    [anon_sym_private] = ACTIONS(2907),
    [anon_sym_protected] = ACTIONS(2907),
    [anon_sym_using] = ACTIONS(3212),
    [anon_sym_static_assert] = ACTIONS(3214),
    [anon_sym_precise] = ACTIONS(161),
    [anon_sym_shared] = ACTIONS(161),
    [anon_sym_groupshared] = ACTIONS(161),
    [anon_sym_uniform] = ACTIONS(161),
    [anon_sym_row_major] = ACTIONS(161),
    [anon_sym_column_major] = ACTIONS(161),
    [anon_sym_globallycoherent] = ACTIONS(161),
    [anon_sym_centroid] = ACTIONS(161),
    [anon_sym_noperspective] = ACTIONS(161),
    [anon_sym_nointerpolation] = ACTIONS(161),
    [anon_sym_sample] = ACTIONS(161),
    [anon_sym_linear] = ACTIONS(161),
    [anon_sym_snorm] = ACTIONS(161),
    [anon_sym_unorm] = ACTIONS(161),
    [anon_sym_point] = ACTIONS(161),
    [anon_sym_line] = ACTIONS(161),
    [anon_sym_triangleadj] = ACTIONS(161),
    [anon_sym_lineadj] = ACTIONS(161),
    [anon_sym_triangle] = ACTIONS(161),
  },
  [1217] = {
    [sym_preproc_def] = STATE(1243),
    [sym_preproc_function_def] = STATE(1243),
    [sym_preproc_call] = STATE(1243),
    [sym_preproc_if_in_field_declaration_list] = STATE(1243),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(1243),
    [sym_type_definition] = STATE(1243),
    [sym__declaration_modifiers] = STATE(3159),
    [sym__declaration_specifiers] = STATE(6931),
    [sym_attribute_specifier] = STATE(3159),
    [sym_attribute_declaration] = STATE(3159),
    [sym_ms_declspec_modifier] = STATE(3159),
    [sym_ms_based_modifier] = STATE(10332),
    [sym__declarator] = STATE(7978),
    [sym_parenthesized_declarator] = STATE(7680),
    [sym_attributed_declarator] = STATE(7680),
    [sym_pointer_declarator] = STATE(7680),
    [sym_function_declarator] = STATE(7507),
    [sym_array_declarator] = STATE(7680),
    [sym_storage_class_specifier] = STATE(3159),
    [sym_type_qualifier] = STATE(3159),
    [sym__type_specifier] = STATE(2827),
    [sym_sized_type_specifier] = STATE(3085),
    [sym_enum_specifier] = STATE(3085),
    [sym_struct_specifier] = STATE(3085),
    [sym_union_specifier] = STATE(3085),
    [sym__field_declaration_list_item] = STATE(1243),
    [sym_field_declaration] = STATE(1243),
    [sym_placeholder_type_specifier] = STATE(3085),
    [sym_decltype_auto] = STATE(3091),
    [sym_decltype] = STATE(3050),
    [sym_class_specifier] = STATE(3085),
    [sym_virtual] = STATE(3159),
    [sym_alignas_specifier] = STATE(3159),
    [sym_explicit_function_specifier] = STATE(2525),
    [sym_dependent_type] = STATE(3085),
    [sym_template_declaration] = STATE(1243),
    [sym_operator_cast] = STATE(8072),
    [sym_inline_method_definition] = STATE(1243),
    [sym__constructor_specifiers] = STATE(2525),
    [sym_operator_cast_definition] = STATE(1243),
    [sym_operator_cast_declaration] = STATE(1243),
    [sym_constructor_or_destructor_definition] = STATE(1243),
    [sym_constructor_or_destructor_declaration] = STATE(1243),
    [sym_friend_declaration] = STATE(1243),
    [sym_access_specifier] = STATE(9909),
    [sym_reference_declarator] = STATE(7680),
    [sym_structured_binding_declarator] = STATE(7680),
    [sym_template_type] = STATE(3050),
    [sym_template_function] = STATE(7680),
    [sym_using_declaration] = STATE(1243),
    [sym_alias_declaration] = STATE(1243),
    [sym_static_assert_declaration] = STATE(1243),
    [sym_destructor_name] = STATE(7680),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6733),
    [sym_qualified_identifier] = STATE(7680),
    [sym_qualified_type_identifier] = STATE(3068),
    [sym_qualified_operator_cast_identifier] = STATE(8072),
    [sym_operator_name] = STATE(7680),
    [sym_qualifiers] = STATE(3159),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(1243),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2680),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3021),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2525),
    [sym_identifier] = ACTIONS(2857),
    [aux_sym_preproc_def_token1] = ACTIONS(3194),
    [aux_sym_preproc_if_token1] = ACTIONS(3196),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3198),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3198),
    [sym_preproc_directive] = ACTIONS(3200),
    [anon_sym_LPAREN2] = ACTIONS(2875),
    [anon_sym_TILDE] = ACTIONS(2877),
    [anon_sym_STAR] = ACTIONS(2879),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(2881),
    [anon_sym___extension__] = ACTIONS(3202),
    [anon_sym_typedef] = ACTIONS(3204),
    [anon_sym_in] = ACTIONS(37),
    [anon_sym_out] = ACTIONS(37),
    [anon_sym_inout] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(2887),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2096),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym_RBRACE] = ACTIONS(3240),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(2889),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(2891),
    [anon_sym_enum] = ACTIONS(2893),
    [anon_sym_class] = ACTIONS(2895),
    [anon_sym_struct] = ACTIONS(2897),
    [anon_sym_union] = ACTIONS(2899),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [anon_sym_virtual] = ACTIONS(123),
    [anon_sym_alignas] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(2901),
    [anon_sym_template] = ACTIONS(3208),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_friend] = ACTIONS(3210),
    [anon_sym_public] = ACTIONS(2907),
    [anon_sym_private] = ACTIONS(2907),
    [anon_sym_protected] = ACTIONS(2907),
    [anon_sym_using] = ACTIONS(3212),
    [anon_sym_static_assert] = ACTIONS(3214),
    [anon_sym_precise] = ACTIONS(161),
    [anon_sym_shared] = ACTIONS(161),
    [anon_sym_groupshared] = ACTIONS(161),
    [anon_sym_uniform] = ACTIONS(161),
    [anon_sym_row_major] = ACTIONS(161),
    [anon_sym_column_major] = ACTIONS(161),
    [anon_sym_globallycoherent] = ACTIONS(161),
    [anon_sym_centroid] = ACTIONS(161),
    [anon_sym_noperspective] = ACTIONS(161),
    [anon_sym_nointerpolation] = ACTIONS(161),
    [anon_sym_sample] = ACTIONS(161),
    [anon_sym_linear] = ACTIONS(161),
    [anon_sym_snorm] = ACTIONS(161),
    [anon_sym_unorm] = ACTIONS(161),
    [anon_sym_point] = ACTIONS(161),
    [anon_sym_line] = ACTIONS(161),
    [anon_sym_triangleadj] = ACTIONS(161),
    [anon_sym_lineadj] = ACTIONS(161),
    [anon_sym_triangle] = ACTIONS(161),
  },
  [1218] = {
    [sym_preproc_def] = STATE(1224),
    [sym_preproc_function_def] = STATE(1224),
    [sym_preproc_call] = STATE(1224),
    [sym_preproc_if_in_field_declaration_list] = STATE(1224),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(1224),
    [sym_type_definition] = STATE(1224),
    [sym__declaration_modifiers] = STATE(3159),
    [sym__declaration_specifiers] = STATE(6931),
    [sym_attribute_specifier] = STATE(3159),
    [sym_attribute_declaration] = STATE(3159),
    [sym_ms_declspec_modifier] = STATE(3159),
    [sym_ms_based_modifier] = STATE(10332),
    [sym__declarator] = STATE(7978),
    [sym_parenthesized_declarator] = STATE(7680),
    [sym_attributed_declarator] = STATE(7680),
    [sym_pointer_declarator] = STATE(7680),
    [sym_function_declarator] = STATE(7507),
    [sym_array_declarator] = STATE(7680),
    [sym_storage_class_specifier] = STATE(3159),
    [sym_type_qualifier] = STATE(3159),
    [sym__type_specifier] = STATE(2827),
    [sym_sized_type_specifier] = STATE(3085),
    [sym_enum_specifier] = STATE(3085),
    [sym_struct_specifier] = STATE(3085),
    [sym_union_specifier] = STATE(3085),
    [sym__field_declaration_list_item] = STATE(1224),
    [sym_field_declaration] = STATE(1224),
    [sym_placeholder_type_specifier] = STATE(3085),
    [sym_decltype_auto] = STATE(3091),
    [sym_decltype] = STATE(3050),
    [sym_class_specifier] = STATE(3085),
    [sym_virtual] = STATE(3159),
    [sym_alignas_specifier] = STATE(3159),
    [sym_explicit_function_specifier] = STATE(2525),
    [sym_dependent_type] = STATE(3085),
    [sym_template_declaration] = STATE(1224),
    [sym_operator_cast] = STATE(8072),
    [sym_inline_method_definition] = STATE(1224),
    [sym__constructor_specifiers] = STATE(2525),
    [sym_operator_cast_definition] = STATE(1224),
    [sym_operator_cast_declaration] = STATE(1224),
    [sym_constructor_or_destructor_definition] = STATE(1224),
    [sym_constructor_or_destructor_declaration] = STATE(1224),
    [sym_friend_declaration] = STATE(1224),
    [sym_access_specifier] = STATE(9909),
    [sym_reference_declarator] = STATE(7680),
    [sym_structured_binding_declarator] = STATE(7680),
    [sym_template_type] = STATE(3050),
    [sym_template_function] = STATE(7680),
    [sym_using_declaration] = STATE(1224),
    [sym_alias_declaration] = STATE(1224),
    [sym_static_assert_declaration] = STATE(1224),
    [sym_destructor_name] = STATE(7680),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6733),
    [sym_qualified_identifier] = STATE(7680),
    [sym_qualified_type_identifier] = STATE(3068),
    [sym_qualified_operator_cast_identifier] = STATE(8072),
    [sym_operator_name] = STATE(7680),
    [sym_qualifiers] = STATE(3159),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(1224),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2680),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3021),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2525),
    [sym_identifier] = ACTIONS(2857),
    [aux_sym_preproc_def_token1] = ACTIONS(3194),
    [aux_sym_preproc_if_token1] = ACTIONS(3196),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3198),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3198),
    [sym_preproc_directive] = ACTIONS(3200),
    [anon_sym_LPAREN2] = ACTIONS(2875),
    [anon_sym_TILDE] = ACTIONS(2877),
    [anon_sym_STAR] = ACTIONS(2879),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(2881),
    [anon_sym___extension__] = ACTIONS(3202),
    [anon_sym_typedef] = ACTIONS(3204),
    [anon_sym_in] = ACTIONS(37),
    [anon_sym_out] = ACTIONS(37),
    [anon_sym_inout] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(2887),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2096),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym_RBRACE] = ACTIONS(3242),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(2889),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(2891),
    [anon_sym_enum] = ACTIONS(2893),
    [anon_sym_class] = ACTIONS(2895),
    [anon_sym_struct] = ACTIONS(2897),
    [anon_sym_union] = ACTIONS(2899),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [anon_sym_virtual] = ACTIONS(123),
    [anon_sym_alignas] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(2901),
    [anon_sym_template] = ACTIONS(3208),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_friend] = ACTIONS(3210),
    [anon_sym_public] = ACTIONS(2907),
    [anon_sym_private] = ACTIONS(2907),
    [anon_sym_protected] = ACTIONS(2907),
    [anon_sym_using] = ACTIONS(3212),
    [anon_sym_static_assert] = ACTIONS(3214),
    [anon_sym_precise] = ACTIONS(161),
    [anon_sym_shared] = ACTIONS(161),
    [anon_sym_groupshared] = ACTIONS(161),
    [anon_sym_uniform] = ACTIONS(161),
    [anon_sym_row_major] = ACTIONS(161),
    [anon_sym_column_major] = ACTIONS(161),
    [anon_sym_globallycoherent] = ACTIONS(161),
    [anon_sym_centroid] = ACTIONS(161),
    [anon_sym_noperspective] = ACTIONS(161),
    [anon_sym_nointerpolation] = ACTIONS(161),
    [anon_sym_sample] = ACTIONS(161),
    [anon_sym_linear] = ACTIONS(161),
    [anon_sym_snorm] = ACTIONS(161),
    [anon_sym_unorm] = ACTIONS(161),
    [anon_sym_point] = ACTIONS(161),
    [anon_sym_line] = ACTIONS(161),
    [anon_sym_triangleadj] = ACTIONS(161),
    [anon_sym_lineadj] = ACTIONS(161),
    [anon_sym_triangle] = ACTIONS(161),
  },
  [1219] = {
    [sym_preproc_def] = STATE(1205),
    [sym_preproc_function_def] = STATE(1205),
    [sym_preproc_call] = STATE(1205),
    [sym_preproc_if_in_field_declaration_list] = STATE(1205),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(1205),
    [sym_type_definition] = STATE(1205),
    [sym__declaration_modifiers] = STATE(3159),
    [sym__declaration_specifiers] = STATE(6931),
    [sym_attribute_specifier] = STATE(3159),
    [sym_attribute_declaration] = STATE(3159),
    [sym_ms_declspec_modifier] = STATE(3159),
    [sym_ms_based_modifier] = STATE(10332),
    [sym__declarator] = STATE(7978),
    [sym_parenthesized_declarator] = STATE(7680),
    [sym_attributed_declarator] = STATE(7680),
    [sym_pointer_declarator] = STATE(7680),
    [sym_function_declarator] = STATE(7507),
    [sym_array_declarator] = STATE(7680),
    [sym_storage_class_specifier] = STATE(3159),
    [sym_type_qualifier] = STATE(3159),
    [sym__type_specifier] = STATE(2827),
    [sym_sized_type_specifier] = STATE(3085),
    [sym_enum_specifier] = STATE(3085),
    [sym_struct_specifier] = STATE(3085),
    [sym_union_specifier] = STATE(3085),
    [sym__field_declaration_list_item] = STATE(1205),
    [sym_field_declaration] = STATE(1205),
    [sym_placeholder_type_specifier] = STATE(3085),
    [sym_decltype_auto] = STATE(3091),
    [sym_decltype] = STATE(3050),
    [sym_class_specifier] = STATE(3085),
    [sym_virtual] = STATE(3159),
    [sym_alignas_specifier] = STATE(3159),
    [sym_explicit_function_specifier] = STATE(2525),
    [sym_dependent_type] = STATE(3085),
    [sym_template_declaration] = STATE(1205),
    [sym_operator_cast] = STATE(8072),
    [sym_inline_method_definition] = STATE(1205),
    [sym__constructor_specifiers] = STATE(2525),
    [sym_operator_cast_definition] = STATE(1205),
    [sym_operator_cast_declaration] = STATE(1205),
    [sym_constructor_or_destructor_definition] = STATE(1205),
    [sym_constructor_or_destructor_declaration] = STATE(1205),
    [sym_friend_declaration] = STATE(1205),
    [sym_access_specifier] = STATE(9909),
    [sym_reference_declarator] = STATE(7680),
    [sym_structured_binding_declarator] = STATE(7680),
    [sym_template_type] = STATE(3050),
    [sym_template_function] = STATE(7680),
    [sym_using_declaration] = STATE(1205),
    [sym_alias_declaration] = STATE(1205),
    [sym_static_assert_declaration] = STATE(1205),
    [sym_destructor_name] = STATE(7680),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6733),
    [sym_qualified_identifier] = STATE(7680),
    [sym_qualified_type_identifier] = STATE(3068),
    [sym_qualified_operator_cast_identifier] = STATE(8072),
    [sym_operator_name] = STATE(7680),
    [sym_qualifiers] = STATE(3159),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(1205),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2680),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3021),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2525),
    [sym_identifier] = ACTIONS(2857),
    [aux_sym_preproc_def_token1] = ACTIONS(3194),
    [aux_sym_preproc_if_token1] = ACTIONS(3196),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3198),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3198),
    [sym_preproc_directive] = ACTIONS(3200),
    [anon_sym_LPAREN2] = ACTIONS(2875),
    [anon_sym_TILDE] = ACTIONS(2877),
    [anon_sym_STAR] = ACTIONS(2879),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(2881),
    [anon_sym___extension__] = ACTIONS(3202),
    [anon_sym_typedef] = ACTIONS(3204),
    [anon_sym_in] = ACTIONS(37),
    [anon_sym_out] = ACTIONS(37),
    [anon_sym_inout] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(2887),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2096),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym_RBRACE] = ACTIONS(3244),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(2889),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(2891),
    [anon_sym_enum] = ACTIONS(2893),
    [anon_sym_class] = ACTIONS(2895),
    [anon_sym_struct] = ACTIONS(2897),
    [anon_sym_union] = ACTIONS(2899),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [anon_sym_virtual] = ACTIONS(123),
    [anon_sym_alignas] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(2901),
    [anon_sym_template] = ACTIONS(3208),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_friend] = ACTIONS(3210),
    [anon_sym_public] = ACTIONS(2907),
    [anon_sym_private] = ACTIONS(2907),
    [anon_sym_protected] = ACTIONS(2907),
    [anon_sym_using] = ACTIONS(3212),
    [anon_sym_static_assert] = ACTIONS(3214),
    [anon_sym_precise] = ACTIONS(161),
    [anon_sym_shared] = ACTIONS(161),
    [anon_sym_groupshared] = ACTIONS(161),
    [anon_sym_uniform] = ACTIONS(161),
    [anon_sym_row_major] = ACTIONS(161),
    [anon_sym_column_major] = ACTIONS(161),
    [anon_sym_globallycoherent] = ACTIONS(161),
    [anon_sym_centroid] = ACTIONS(161),
    [anon_sym_noperspective] = ACTIONS(161),
    [anon_sym_nointerpolation] = ACTIONS(161),
    [anon_sym_sample] = ACTIONS(161),
    [anon_sym_linear] = ACTIONS(161),
    [anon_sym_snorm] = ACTIONS(161),
    [anon_sym_unorm] = ACTIONS(161),
    [anon_sym_point] = ACTIONS(161),
    [anon_sym_line] = ACTIONS(161),
    [anon_sym_triangleadj] = ACTIONS(161),
    [anon_sym_lineadj] = ACTIONS(161),
    [anon_sym_triangle] = ACTIONS(161),
  },
  [1220] = {
    [sym_preproc_def] = STATE(1229),
    [sym_preproc_function_def] = STATE(1229),
    [sym_preproc_call] = STATE(1229),
    [sym_preproc_if_in_field_declaration_list] = STATE(1229),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(1229),
    [sym_type_definition] = STATE(1229),
    [sym__declaration_modifiers] = STATE(3159),
    [sym__declaration_specifiers] = STATE(6931),
    [sym_attribute_specifier] = STATE(3159),
    [sym_attribute_declaration] = STATE(3159),
    [sym_ms_declspec_modifier] = STATE(3159),
    [sym_ms_based_modifier] = STATE(10332),
    [sym__declarator] = STATE(7978),
    [sym_parenthesized_declarator] = STATE(7680),
    [sym_attributed_declarator] = STATE(7680),
    [sym_pointer_declarator] = STATE(7680),
    [sym_function_declarator] = STATE(7507),
    [sym_array_declarator] = STATE(7680),
    [sym_storage_class_specifier] = STATE(3159),
    [sym_type_qualifier] = STATE(3159),
    [sym__type_specifier] = STATE(2827),
    [sym_sized_type_specifier] = STATE(3085),
    [sym_enum_specifier] = STATE(3085),
    [sym_struct_specifier] = STATE(3085),
    [sym_union_specifier] = STATE(3085),
    [sym__field_declaration_list_item] = STATE(1229),
    [sym_field_declaration] = STATE(1229),
    [sym_placeholder_type_specifier] = STATE(3085),
    [sym_decltype_auto] = STATE(3091),
    [sym_decltype] = STATE(3050),
    [sym_class_specifier] = STATE(3085),
    [sym_virtual] = STATE(3159),
    [sym_alignas_specifier] = STATE(3159),
    [sym_explicit_function_specifier] = STATE(2525),
    [sym_dependent_type] = STATE(3085),
    [sym_template_declaration] = STATE(1229),
    [sym_operator_cast] = STATE(8072),
    [sym_inline_method_definition] = STATE(1229),
    [sym__constructor_specifiers] = STATE(2525),
    [sym_operator_cast_definition] = STATE(1229),
    [sym_operator_cast_declaration] = STATE(1229),
    [sym_constructor_or_destructor_definition] = STATE(1229),
    [sym_constructor_or_destructor_declaration] = STATE(1229),
    [sym_friend_declaration] = STATE(1229),
    [sym_access_specifier] = STATE(9909),
    [sym_reference_declarator] = STATE(7680),
    [sym_structured_binding_declarator] = STATE(7680),
    [sym_template_type] = STATE(3050),
    [sym_template_function] = STATE(7680),
    [sym_using_declaration] = STATE(1229),
    [sym_alias_declaration] = STATE(1229),
    [sym_static_assert_declaration] = STATE(1229),
    [sym_destructor_name] = STATE(7680),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6733),
    [sym_qualified_identifier] = STATE(7680),
    [sym_qualified_type_identifier] = STATE(3068),
    [sym_qualified_operator_cast_identifier] = STATE(8072),
    [sym_operator_name] = STATE(7680),
    [sym_qualifiers] = STATE(3159),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(1229),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2680),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3021),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2525),
    [sym_identifier] = ACTIONS(2857),
    [aux_sym_preproc_def_token1] = ACTIONS(3194),
    [aux_sym_preproc_if_token1] = ACTIONS(3196),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3198),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3198),
    [sym_preproc_directive] = ACTIONS(3200),
    [anon_sym_LPAREN2] = ACTIONS(2875),
    [anon_sym_TILDE] = ACTIONS(2877),
    [anon_sym_STAR] = ACTIONS(2879),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(2881),
    [anon_sym___extension__] = ACTIONS(3202),
    [anon_sym_typedef] = ACTIONS(3204),
    [anon_sym_in] = ACTIONS(37),
    [anon_sym_out] = ACTIONS(37),
    [anon_sym_inout] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(2887),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2096),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym_RBRACE] = ACTIONS(3246),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(2889),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(2891),
    [anon_sym_enum] = ACTIONS(2893),
    [anon_sym_class] = ACTIONS(2895),
    [anon_sym_struct] = ACTIONS(2897),
    [anon_sym_union] = ACTIONS(2899),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [anon_sym_virtual] = ACTIONS(123),
    [anon_sym_alignas] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(2901),
    [anon_sym_template] = ACTIONS(3208),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_friend] = ACTIONS(3210),
    [anon_sym_public] = ACTIONS(2907),
    [anon_sym_private] = ACTIONS(2907),
    [anon_sym_protected] = ACTIONS(2907),
    [anon_sym_using] = ACTIONS(3212),
    [anon_sym_static_assert] = ACTIONS(3214),
    [anon_sym_precise] = ACTIONS(161),
    [anon_sym_shared] = ACTIONS(161),
    [anon_sym_groupshared] = ACTIONS(161),
    [anon_sym_uniform] = ACTIONS(161),
    [anon_sym_row_major] = ACTIONS(161),
    [anon_sym_column_major] = ACTIONS(161),
    [anon_sym_globallycoherent] = ACTIONS(161),
    [anon_sym_centroid] = ACTIONS(161),
    [anon_sym_noperspective] = ACTIONS(161),
    [anon_sym_nointerpolation] = ACTIONS(161),
    [anon_sym_sample] = ACTIONS(161),
    [anon_sym_linear] = ACTIONS(161),
    [anon_sym_snorm] = ACTIONS(161),
    [anon_sym_unorm] = ACTIONS(161),
    [anon_sym_point] = ACTIONS(161),
    [anon_sym_line] = ACTIONS(161),
    [anon_sym_triangleadj] = ACTIONS(161),
    [anon_sym_lineadj] = ACTIONS(161),
    [anon_sym_triangle] = ACTIONS(161),
  },
  [1221] = {
    [sym_preproc_def] = STATE(1222),
    [sym_preproc_function_def] = STATE(1222),
    [sym_preproc_call] = STATE(1222),
    [sym_preproc_if_in_field_declaration_list] = STATE(1222),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(1222),
    [sym_type_definition] = STATE(1222),
    [sym__declaration_modifiers] = STATE(3159),
    [sym__declaration_specifiers] = STATE(6931),
    [sym_attribute_specifier] = STATE(3159),
    [sym_attribute_declaration] = STATE(3159),
    [sym_ms_declspec_modifier] = STATE(3159),
    [sym_ms_based_modifier] = STATE(10332),
    [sym__declarator] = STATE(7978),
    [sym_parenthesized_declarator] = STATE(7680),
    [sym_attributed_declarator] = STATE(7680),
    [sym_pointer_declarator] = STATE(7680),
    [sym_function_declarator] = STATE(7507),
    [sym_array_declarator] = STATE(7680),
    [sym_storage_class_specifier] = STATE(3159),
    [sym_type_qualifier] = STATE(3159),
    [sym__type_specifier] = STATE(2827),
    [sym_sized_type_specifier] = STATE(3085),
    [sym_enum_specifier] = STATE(3085),
    [sym_struct_specifier] = STATE(3085),
    [sym_union_specifier] = STATE(3085),
    [sym__field_declaration_list_item] = STATE(1222),
    [sym_field_declaration] = STATE(1222),
    [sym_placeholder_type_specifier] = STATE(3085),
    [sym_decltype_auto] = STATE(3091),
    [sym_decltype] = STATE(3050),
    [sym_class_specifier] = STATE(3085),
    [sym_virtual] = STATE(3159),
    [sym_alignas_specifier] = STATE(3159),
    [sym_explicit_function_specifier] = STATE(2525),
    [sym_dependent_type] = STATE(3085),
    [sym_template_declaration] = STATE(1222),
    [sym_operator_cast] = STATE(8072),
    [sym_inline_method_definition] = STATE(1222),
    [sym__constructor_specifiers] = STATE(2525),
    [sym_operator_cast_definition] = STATE(1222),
    [sym_operator_cast_declaration] = STATE(1222),
    [sym_constructor_or_destructor_definition] = STATE(1222),
    [sym_constructor_or_destructor_declaration] = STATE(1222),
    [sym_friend_declaration] = STATE(1222),
    [sym_access_specifier] = STATE(9909),
    [sym_reference_declarator] = STATE(7680),
    [sym_structured_binding_declarator] = STATE(7680),
    [sym_template_type] = STATE(3050),
    [sym_template_function] = STATE(7680),
    [sym_using_declaration] = STATE(1222),
    [sym_alias_declaration] = STATE(1222),
    [sym_static_assert_declaration] = STATE(1222),
    [sym_destructor_name] = STATE(7680),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6733),
    [sym_qualified_identifier] = STATE(7680),
    [sym_qualified_type_identifier] = STATE(3068),
    [sym_qualified_operator_cast_identifier] = STATE(8072),
    [sym_operator_name] = STATE(7680),
    [sym_qualifiers] = STATE(3159),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(1222),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2680),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3021),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2525),
    [sym_identifier] = ACTIONS(2857),
    [aux_sym_preproc_def_token1] = ACTIONS(3194),
    [aux_sym_preproc_if_token1] = ACTIONS(3196),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3198),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3198),
    [sym_preproc_directive] = ACTIONS(3200),
    [anon_sym_LPAREN2] = ACTIONS(2875),
    [anon_sym_TILDE] = ACTIONS(2877),
    [anon_sym_STAR] = ACTIONS(2879),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(2881),
    [anon_sym___extension__] = ACTIONS(3202),
    [anon_sym_typedef] = ACTIONS(3204),
    [anon_sym_in] = ACTIONS(37),
    [anon_sym_out] = ACTIONS(37),
    [anon_sym_inout] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(2887),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2096),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym_RBRACE] = ACTIONS(3248),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(2889),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(2891),
    [anon_sym_enum] = ACTIONS(2893),
    [anon_sym_class] = ACTIONS(2895),
    [anon_sym_struct] = ACTIONS(2897),
    [anon_sym_union] = ACTIONS(2899),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [anon_sym_virtual] = ACTIONS(123),
    [anon_sym_alignas] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(2901),
    [anon_sym_template] = ACTIONS(3208),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_friend] = ACTIONS(3210),
    [anon_sym_public] = ACTIONS(2907),
    [anon_sym_private] = ACTIONS(2907),
    [anon_sym_protected] = ACTIONS(2907),
    [anon_sym_using] = ACTIONS(3212),
    [anon_sym_static_assert] = ACTIONS(3214),
    [anon_sym_precise] = ACTIONS(161),
    [anon_sym_shared] = ACTIONS(161),
    [anon_sym_groupshared] = ACTIONS(161),
    [anon_sym_uniform] = ACTIONS(161),
    [anon_sym_row_major] = ACTIONS(161),
    [anon_sym_column_major] = ACTIONS(161),
    [anon_sym_globallycoherent] = ACTIONS(161),
    [anon_sym_centroid] = ACTIONS(161),
    [anon_sym_noperspective] = ACTIONS(161),
    [anon_sym_nointerpolation] = ACTIONS(161),
    [anon_sym_sample] = ACTIONS(161),
    [anon_sym_linear] = ACTIONS(161),
    [anon_sym_snorm] = ACTIONS(161),
    [anon_sym_unorm] = ACTIONS(161),
    [anon_sym_point] = ACTIONS(161),
    [anon_sym_line] = ACTIONS(161),
    [anon_sym_triangleadj] = ACTIONS(161),
    [anon_sym_lineadj] = ACTIONS(161),
    [anon_sym_triangle] = ACTIONS(161),
  },
  [1222] = {
    [sym_preproc_def] = STATE(1243),
    [sym_preproc_function_def] = STATE(1243),
    [sym_preproc_call] = STATE(1243),
    [sym_preproc_if_in_field_declaration_list] = STATE(1243),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(1243),
    [sym_type_definition] = STATE(1243),
    [sym__declaration_modifiers] = STATE(3159),
    [sym__declaration_specifiers] = STATE(6931),
    [sym_attribute_specifier] = STATE(3159),
    [sym_attribute_declaration] = STATE(3159),
    [sym_ms_declspec_modifier] = STATE(3159),
    [sym_ms_based_modifier] = STATE(10332),
    [sym__declarator] = STATE(7978),
    [sym_parenthesized_declarator] = STATE(7680),
    [sym_attributed_declarator] = STATE(7680),
    [sym_pointer_declarator] = STATE(7680),
    [sym_function_declarator] = STATE(7507),
    [sym_array_declarator] = STATE(7680),
    [sym_storage_class_specifier] = STATE(3159),
    [sym_type_qualifier] = STATE(3159),
    [sym__type_specifier] = STATE(2827),
    [sym_sized_type_specifier] = STATE(3085),
    [sym_enum_specifier] = STATE(3085),
    [sym_struct_specifier] = STATE(3085),
    [sym_union_specifier] = STATE(3085),
    [sym__field_declaration_list_item] = STATE(1243),
    [sym_field_declaration] = STATE(1243),
    [sym_placeholder_type_specifier] = STATE(3085),
    [sym_decltype_auto] = STATE(3091),
    [sym_decltype] = STATE(3050),
    [sym_class_specifier] = STATE(3085),
    [sym_virtual] = STATE(3159),
    [sym_alignas_specifier] = STATE(3159),
    [sym_explicit_function_specifier] = STATE(2525),
    [sym_dependent_type] = STATE(3085),
    [sym_template_declaration] = STATE(1243),
    [sym_operator_cast] = STATE(8072),
    [sym_inline_method_definition] = STATE(1243),
    [sym__constructor_specifiers] = STATE(2525),
    [sym_operator_cast_definition] = STATE(1243),
    [sym_operator_cast_declaration] = STATE(1243),
    [sym_constructor_or_destructor_definition] = STATE(1243),
    [sym_constructor_or_destructor_declaration] = STATE(1243),
    [sym_friend_declaration] = STATE(1243),
    [sym_access_specifier] = STATE(9909),
    [sym_reference_declarator] = STATE(7680),
    [sym_structured_binding_declarator] = STATE(7680),
    [sym_template_type] = STATE(3050),
    [sym_template_function] = STATE(7680),
    [sym_using_declaration] = STATE(1243),
    [sym_alias_declaration] = STATE(1243),
    [sym_static_assert_declaration] = STATE(1243),
    [sym_destructor_name] = STATE(7680),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6733),
    [sym_qualified_identifier] = STATE(7680),
    [sym_qualified_type_identifier] = STATE(3068),
    [sym_qualified_operator_cast_identifier] = STATE(8072),
    [sym_operator_name] = STATE(7680),
    [sym_qualifiers] = STATE(3159),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(1243),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2680),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3021),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2525),
    [sym_identifier] = ACTIONS(2857),
    [aux_sym_preproc_def_token1] = ACTIONS(3194),
    [aux_sym_preproc_if_token1] = ACTIONS(3196),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3198),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3198),
    [sym_preproc_directive] = ACTIONS(3200),
    [anon_sym_LPAREN2] = ACTIONS(2875),
    [anon_sym_TILDE] = ACTIONS(2877),
    [anon_sym_STAR] = ACTIONS(2879),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(2881),
    [anon_sym___extension__] = ACTIONS(3202),
    [anon_sym_typedef] = ACTIONS(3204),
    [anon_sym_in] = ACTIONS(37),
    [anon_sym_out] = ACTIONS(37),
    [anon_sym_inout] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(2887),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2096),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym_RBRACE] = ACTIONS(3250),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(2889),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(2891),
    [anon_sym_enum] = ACTIONS(2893),
    [anon_sym_class] = ACTIONS(2895),
    [anon_sym_struct] = ACTIONS(2897),
    [anon_sym_union] = ACTIONS(2899),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [anon_sym_virtual] = ACTIONS(123),
    [anon_sym_alignas] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(2901),
    [anon_sym_template] = ACTIONS(3208),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_friend] = ACTIONS(3210),
    [anon_sym_public] = ACTIONS(2907),
    [anon_sym_private] = ACTIONS(2907),
    [anon_sym_protected] = ACTIONS(2907),
    [anon_sym_using] = ACTIONS(3212),
    [anon_sym_static_assert] = ACTIONS(3214),
    [anon_sym_precise] = ACTIONS(161),
    [anon_sym_shared] = ACTIONS(161),
    [anon_sym_groupshared] = ACTIONS(161),
    [anon_sym_uniform] = ACTIONS(161),
    [anon_sym_row_major] = ACTIONS(161),
    [anon_sym_column_major] = ACTIONS(161),
    [anon_sym_globallycoherent] = ACTIONS(161),
    [anon_sym_centroid] = ACTIONS(161),
    [anon_sym_noperspective] = ACTIONS(161),
    [anon_sym_nointerpolation] = ACTIONS(161),
    [anon_sym_sample] = ACTIONS(161),
    [anon_sym_linear] = ACTIONS(161),
    [anon_sym_snorm] = ACTIONS(161),
    [anon_sym_unorm] = ACTIONS(161),
    [anon_sym_point] = ACTIONS(161),
    [anon_sym_line] = ACTIONS(161),
    [anon_sym_triangleadj] = ACTIONS(161),
    [anon_sym_lineadj] = ACTIONS(161),
    [anon_sym_triangle] = ACTIONS(161),
  },
  [1223] = {
    [sym_preproc_def] = STATE(1243),
    [sym_preproc_function_def] = STATE(1243),
    [sym_preproc_call] = STATE(1243),
    [sym_preproc_if_in_field_declaration_list] = STATE(1243),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(1243),
    [sym_type_definition] = STATE(1243),
    [sym__declaration_modifiers] = STATE(3159),
    [sym__declaration_specifiers] = STATE(6931),
    [sym_attribute_specifier] = STATE(3159),
    [sym_attribute_declaration] = STATE(3159),
    [sym_ms_declspec_modifier] = STATE(3159),
    [sym_ms_based_modifier] = STATE(10332),
    [sym__declarator] = STATE(7978),
    [sym_parenthesized_declarator] = STATE(7680),
    [sym_attributed_declarator] = STATE(7680),
    [sym_pointer_declarator] = STATE(7680),
    [sym_function_declarator] = STATE(7507),
    [sym_array_declarator] = STATE(7680),
    [sym_storage_class_specifier] = STATE(3159),
    [sym_type_qualifier] = STATE(3159),
    [sym__type_specifier] = STATE(2827),
    [sym_sized_type_specifier] = STATE(3085),
    [sym_enum_specifier] = STATE(3085),
    [sym_struct_specifier] = STATE(3085),
    [sym_union_specifier] = STATE(3085),
    [sym__field_declaration_list_item] = STATE(1243),
    [sym_field_declaration] = STATE(1243),
    [sym_placeholder_type_specifier] = STATE(3085),
    [sym_decltype_auto] = STATE(3091),
    [sym_decltype] = STATE(3050),
    [sym_class_specifier] = STATE(3085),
    [sym_virtual] = STATE(3159),
    [sym_alignas_specifier] = STATE(3159),
    [sym_explicit_function_specifier] = STATE(2525),
    [sym_dependent_type] = STATE(3085),
    [sym_template_declaration] = STATE(1243),
    [sym_operator_cast] = STATE(8072),
    [sym_inline_method_definition] = STATE(1243),
    [sym__constructor_specifiers] = STATE(2525),
    [sym_operator_cast_definition] = STATE(1243),
    [sym_operator_cast_declaration] = STATE(1243),
    [sym_constructor_or_destructor_definition] = STATE(1243),
    [sym_constructor_or_destructor_declaration] = STATE(1243),
    [sym_friend_declaration] = STATE(1243),
    [sym_access_specifier] = STATE(9909),
    [sym_reference_declarator] = STATE(7680),
    [sym_structured_binding_declarator] = STATE(7680),
    [sym_template_type] = STATE(3050),
    [sym_template_function] = STATE(7680),
    [sym_using_declaration] = STATE(1243),
    [sym_alias_declaration] = STATE(1243),
    [sym_static_assert_declaration] = STATE(1243),
    [sym_destructor_name] = STATE(7680),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6733),
    [sym_qualified_identifier] = STATE(7680),
    [sym_qualified_type_identifier] = STATE(3068),
    [sym_qualified_operator_cast_identifier] = STATE(8072),
    [sym_operator_name] = STATE(7680),
    [sym_qualifiers] = STATE(3159),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(1243),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2680),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3021),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2525),
    [sym_identifier] = ACTIONS(2857),
    [aux_sym_preproc_def_token1] = ACTIONS(3194),
    [aux_sym_preproc_if_token1] = ACTIONS(3196),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3198),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3198),
    [sym_preproc_directive] = ACTIONS(3200),
    [anon_sym_LPAREN2] = ACTIONS(2875),
    [anon_sym_TILDE] = ACTIONS(2877),
    [anon_sym_STAR] = ACTIONS(2879),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(2881),
    [anon_sym___extension__] = ACTIONS(3202),
    [anon_sym_typedef] = ACTIONS(3204),
    [anon_sym_in] = ACTIONS(37),
    [anon_sym_out] = ACTIONS(37),
    [anon_sym_inout] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(2887),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2096),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym_RBRACE] = ACTIONS(3252),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(2889),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(2891),
    [anon_sym_enum] = ACTIONS(2893),
    [anon_sym_class] = ACTIONS(2895),
    [anon_sym_struct] = ACTIONS(2897),
    [anon_sym_union] = ACTIONS(2899),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [anon_sym_virtual] = ACTIONS(123),
    [anon_sym_alignas] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(2901),
    [anon_sym_template] = ACTIONS(3208),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_friend] = ACTIONS(3210),
    [anon_sym_public] = ACTIONS(2907),
    [anon_sym_private] = ACTIONS(2907),
    [anon_sym_protected] = ACTIONS(2907),
    [anon_sym_using] = ACTIONS(3212),
    [anon_sym_static_assert] = ACTIONS(3214),
    [anon_sym_precise] = ACTIONS(161),
    [anon_sym_shared] = ACTIONS(161),
    [anon_sym_groupshared] = ACTIONS(161),
    [anon_sym_uniform] = ACTIONS(161),
    [anon_sym_row_major] = ACTIONS(161),
    [anon_sym_column_major] = ACTIONS(161),
    [anon_sym_globallycoherent] = ACTIONS(161),
    [anon_sym_centroid] = ACTIONS(161),
    [anon_sym_noperspective] = ACTIONS(161),
    [anon_sym_nointerpolation] = ACTIONS(161),
    [anon_sym_sample] = ACTIONS(161),
    [anon_sym_linear] = ACTIONS(161),
    [anon_sym_snorm] = ACTIONS(161),
    [anon_sym_unorm] = ACTIONS(161),
    [anon_sym_point] = ACTIONS(161),
    [anon_sym_line] = ACTIONS(161),
    [anon_sym_triangleadj] = ACTIONS(161),
    [anon_sym_lineadj] = ACTIONS(161),
    [anon_sym_triangle] = ACTIONS(161),
  },
  [1224] = {
    [sym_preproc_def] = STATE(1243),
    [sym_preproc_function_def] = STATE(1243),
    [sym_preproc_call] = STATE(1243),
    [sym_preproc_if_in_field_declaration_list] = STATE(1243),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(1243),
    [sym_type_definition] = STATE(1243),
    [sym__declaration_modifiers] = STATE(3159),
    [sym__declaration_specifiers] = STATE(6931),
    [sym_attribute_specifier] = STATE(3159),
    [sym_attribute_declaration] = STATE(3159),
    [sym_ms_declspec_modifier] = STATE(3159),
    [sym_ms_based_modifier] = STATE(10332),
    [sym__declarator] = STATE(7978),
    [sym_parenthesized_declarator] = STATE(7680),
    [sym_attributed_declarator] = STATE(7680),
    [sym_pointer_declarator] = STATE(7680),
    [sym_function_declarator] = STATE(7507),
    [sym_array_declarator] = STATE(7680),
    [sym_storage_class_specifier] = STATE(3159),
    [sym_type_qualifier] = STATE(3159),
    [sym__type_specifier] = STATE(2827),
    [sym_sized_type_specifier] = STATE(3085),
    [sym_enum_specifier] = STATE(3085),
    [sym_struct_specifier] = STATE(3085),
    [sym_union_specifier] = STATE(3085),
    [sym__field_declaration_list_item] = STATE(1243),
    [sym_field_declaration] = STATE(1243),
    [sym_placeholder_type_specifier] = STATE(3085),
    [sym_decltype_auto] = STATE(3091),
    [sym_decltype] = STATE(3050),
    [sym_class_specifier] = STATE(3085),
    [sym_virtual] = STATE(3159),
    [sym_alignas_specifier] = STATE(3159),
    [sym_explicit_function_specifier] = STATE(2525),
    [sym_dependent_type] = STATE(3085),
    [sym_template_declaration] = STATE(1243),
    [sym_operator_cast] = STATE(8072),
    [sym_inline_method_definition] = STATE(1243),
    [sym__constructor_specifiers] = STATE(2525),
    [sym_operator_cast_definition] = STATE(1243),
    [sym_operator_cast_declaration] = STATE(1243),
    [sym_constructor_or_destructor_definition] = STATE(1243),
    [sym_constructor_or_destructor_declaration] = STATE(1243),
    [sym_friend_declaration] = STATE(1243),
    [sym_access_specifier] = STATE(9909),
    [sym_reference_declarator] = STATE(7680),
    [sym_structured_binding_declarator] = STATE(7680),
    [sym_template_type] = STATE(3050),
    [sym_template_function] = STATE(7680),
    [sym_using_declaration] = STATE(1243),
    [sym_alias_declaration] = STATE(1243),
    [sym_static_assert_declaration] = STATE(1243),
    [sym_destructor_name] = STATE(7680),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6733),
    [sym_qualified_identifier] = STATE(7680),
    [sym_qualified_type_identifier] = STATE(3068),
    [sym_qualified_operator_cast_identifier] = STATE(8072),
    [sym_operator_name] = STATE(7680),
    [sym_qualifiers] = STATE(3159),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(1243),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2680),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3021),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2525),
    [sym_identifier] = ACTIONS(2857),
    [aux_sym_preproc_def_token1] = ACTIONS(3194),
    [aux_sym_preproc_if_token1] = ACTIONS(3196),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3198),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3198),
    [sym_preproc_directive] = ACTIONS(3200),
    [anon_sym_LPAREN2] = ACTIONS(2875),
    [anon_sym_TILDE] = ACTIONS(2877),
    [anon_sym_STAR] = ACTIONS(2879),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(2881),
    [anon_sym___extension__] = ACTIONS(3202),
    [anon_sym_typedef] = ACTIONS(3204),
    [anon_sym_in] = ACTIONS(37),
    [anon_sym_out] = ACTIONS(37),
    [anon_sym_inout] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(2887),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2096),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym_RBRACE] = ACTIONS(3254),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(2889),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(2891),
    [anon_sym_enum] = ACTIONS(2893),
    [anon_sym_class] = ACTIONS(2895),
    [anon_sym_struct] = ACTIONS(2897),
    [anon_sym_union] = ACTIONS(2899),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [anon_sym_virtual] = ACTIONS(123),
    [anon_sym_alignas] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(2901),
    [anon_sym_template] = ACTIONS(3208),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_friend] = ACTIONS(3210),
    [anon_sym_public] = ACTIONS(2907),
    [anon_sym_private] = ACTIONS(2907),
    [anon_sym_protected] = ACTIONS(2907),
    [anon_sym_using] = ACTIONS(3212),
    [anon_sym_static_assert] = ACTIONS(3214),
    [anon_sym_precise] = ACTIONS(161),
    [anon_sym_shared] = ACTIONS(161),
    [anon_sym_groupshared] = ACTIONS(161),
    [anon_sym_uniform] = ACTIONS(161),
    [anon_sym_row_major] = ACTIONS(161),
    [anon_sym_column_major] = ACTIONS(161),
    [anon_sym_globallycoherent] = ACTIONS(161),
    [anon_sym_centroid] = ACTIONS(161),
    [anon_sym_noperspective] = ACTIONS(161),
    [anon_sym_nointerpolation] = ACTIONS(161),
    [anon_sym_sample] = ACTIONS(161),
    [anon_sym_linear] = ACTIONS(161),
    [anon_sym_snorm] = ACTIONS(161),
    [anon_sym_unorm] = ACTIONS(161),
    [anon_sym_point] = ACTIONS(161),
    [anon_sym_line] = ACTIONS(161),
    [anon_sym_triangleadj] = ACTIONS(161),
    [anon_sym_lineadj] = ACTIONS(161),
    [anon_sym_triangle] = ACTIONS(161),
  },
  [1225] = {
    [sym_preproc_def] = STATE(1204),
    [sym_preproc_function_def] = STATE(1204),
    [sym_preproc_call] = STATE(1204),
    [sym_preproc_if_in_field_declaration_list] = STATE(1204),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(1204),
    [sym_type_definition] = STATE(1204),
    [sym__declaration_modifiers] = STATE(3159),
    [sym__declaration_specifiers] = STATE(6931),
    [sym_attribute_specifier] = STATE(3159),
    [sym_attribute_declaration] = STATE(3159),
    [sym_ms_declspec_modifier] = STATE(3159),
    [sym_ms_based_modifier] = STATE(10332),
    [sym__declarator] = STATE(7978),
    [sym_parenthesized_declarator] = STATE(7680),
    [sym_attributed_declarator] = STATE(7680),
    [sym_pointer_declarator] = STATE(7680),
    [sym_function_declarator] = STATE(7507),
    [sym_array_declarator] = STATE(7680),
    [sym_storage_class_specifier] = STATE(3159),
    [sym_type_qualifier] = STATE(3159),
    [sym__type_specifier] = STATE(2827),
    [sym_sized_type_specifier] = STATE(3085),
    [sym_enum_specifier] = STATE(3085),
    [sym_struct_specifier] = STATE(3085),
    [sym_union_specifier] = STATE(3085),
    [sym__field_declaration_list_item] = STATE(1204),
    [sym_field_declaration] = STATE(1204),
    [sym_placeholder_type_specifier] = STATE(3085),
    [sym_decltype_auto] = STATE(3091),
    [sym_decltype] = STATE(3050),
    [sym_class_specifier] = STATE(3085),
    [sym_virtual] = STATE(3159),
    [sym_alignas_specifier] = STATE(3159),
    [sym_explicit_function_specifier] = STATE(2525),
    [sym_dependent_type] = STATE(3085),
    [sym_template_declaration] = STATE(1204),
    [sym_operator_cast] = STATE(8072),
    [sym_inline_method_definition] = STATE(1204),
    [sym__constructor_specifiers] = STATE(2525),
    [sym_operator_cast_definition] = STATE(1204),
    [sym_operator_cast_declaration] = STATE(1204),
    [sym_constructor_or_destructor_definition] = STATE(1204),
    [sym_constructor_or_destructor_declaration] = STATE(1204),
    [sym_friend_declaration] = STATE(1204),
    [sym_access_specifier] = STATE(9909),
    [sym_reference_declarator] = STATE(7680),
    [sym_structured_binding_declarator] = STATE(7680),
    [sym_template_type] = STATE(3050),
    [sym_template_function] = STATE(7680),
    [sym_using_declaration] = STATE(1204),
    [sym_alias_declaration] = STATE(1204),
    [sym_static_assert_declaration] = STATE(1204),
    [sym_destructor_name] = STATE(7680),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6733),
    [sym_qualified_identifier] = STATE(7680),
    [sym_qualified_type_identifier] = STATE(3068),
    [sym_qualified_operator_cast_identifier] = STATE(8072),
    [sym_operator_name] = STATE(7680),
    [sym_qualifiers] = STATE(3159),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(1204),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2680),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3021),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2525),
    [sym_identifier] = ACTIONS(2857),
    [aux_sym_preproc_def_token1] = ACTIONS(3194),
    [aux_sym_preproc_if_token1] = ACTIONS(3196),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3198),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3198),
    [sym_preproc_directive] = ACTIONS(3200),
    [anon_sym_LPAREN2] = ACTIONS(2875),
    [anon_sym_TILDE] = ACTIONS(2877),
    [anon_sym_STAR] = ACTIONS(2879),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(2881),
    [anon_sym___extension__] = ACTIONS(3202),
    [anon_sym_typedef] = ACTIONS(3204),
    [anon_sym_in] = ACTIONS(37),
    [anon_sym_out] = ACTIONS(37),
    [anon_sym_inout] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(2887),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2096),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym_RBRACE] = ACTIONS(3256),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(2889),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(2891),
    [anon_sym_enum] = ACTIONS(2893),
    [anon_sym_class] = ACTIONS(2895),
    [anon_sym_struct] = ACTIONS(2897),
    [anon_sym_union] = ACTIONS(2899),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [anon_sym_virtual] = ACTIONS(123),
    [anon_sym_alignas] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(2901),
    [anon_sym_template] = ACTIONS(3208),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_friend] = ACTIONS(3210),
    [anon_sym_public] = ACTIONS(2907),
    [anon_sym_private] = ACTIONS(2907),
    [anon_sym_protected] = ACTIONS(2907),
    [anon_sym_using] = ACTIONS(3212),
    [anon_sym_static_assert] = ACTIONS(3214),
    [anon_sym_precise] = ACTIONS(161),
    [anon_sym_shared] = ACTIONS(161),
    [anon_sym_groupshared] = ACTIONS(161),
    [anon_sym_uniform] = ACTIONS(161),
    [anon_sym_row_major] = ACTIONS(161),
    [anon_sym_column_major] = ACTIONS(161),
    [anon_sym_globallycoherent] = ACTIONS(161),
    [anon_sym_centroid] = ACTIONS(161),
    [anon_sym_noperspective] = ACTIONS(161),
    [anon_sym_nointerpolation] = ACTIONS(161),
    [anon_sym_sample] = ACTIONS(161),
    [anon_sym_linear] = ACTIONS(161),
    [anon_sym_snorm] = ACTIONS(161),
    [anon_sym_unorm] = ACTIONS(161),
    [anon_sym_point] = ACTIONS(161),
    [anon_sym_line] = ACTIONS(161),
    [anon_sym_triangleadj] = ACTIONS(161),
    [anon_sym_lineadj] = ACTIONS(161),
    [anon_sym_triangle] = ACTIONS(161),
  },
  [1226] = {
    [sym_preproc_def] = STATE(1226),
    [sym_preproc_function_def] = STATE(1226),
    [sym_preproc_call] = STATE(1226),
    [sym_preproc_if_in_field_declaration_list] = STATE(1226),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(1226),
    [sym_type_definition] = STATE(1226),
    [sym__declaration_modifiers] = STATE(3159),
    [sym__declaration_specifiers] = STATE(6894),
    [sym_attribute_specifier] = STATE(3159),
    [sym_attribute_declaration] = STATE(3159),
    [sym_ms_declspec_modifier] = STATE(3159),
    [sym_ms_based_modifier] = STATE(10332),
    [sym__declarator] = STATE(7978),
    [sym_parenthesized_declarator] = STATE(7680),
    [sym_attributed_declarator] = STATE(7680),
    [sym_pointer_declarator] = STATE(7680),
    [sym_function_declarator] = STATE(7540),
    [sym_array_declarator] = STATE(7680),
    [sym_storage_class_specifier] = STATE(3159),
    [sym_type_qualifier] = STATE(3159),
    [sym__type_specifier] = STATE(2827),
    [sym_sized_type_specifier] = STATE(3085),
    [sym_enum_specifier] = STATE(3085),
    [sym_struct_specifier] = STATE(3085),
    [sym_union_specifier] = STATE(3085),
    [sym__field_declaration_list_item] = STATE(1226),
    [sym_field_declaration] = STATE(1226),
    [sym_placeholder_type_specifier] = STATE(3085),
    [sym_decltype_auto] = STATE(3091),
    [sym_decltype] = STATE(3050),
    [sym_class_specifier] = STATE(3085),
    [sym_virtual] = STATE(3159),
    [sym_alignas_specifier] = STATE(3159),
    [sym_explicit_function_specifier] = STATE(2523),
    [sym_dependent_type] = STATE(3085),
    [sym_template_declaration] = STATE(1226),
    [sym_operator_cast] = STATE(8071),
    [sym_inline_method_definition] = STATE(1226),
    [sym__constructor_specifiers] = STATE(2523),
    [sym_operator_cast_definition] = STATE(1226),
    [sym_operator_cast_declaration] = STATE(1226),
    [sym_constructor_or_destructor_definition] = STATE(1226),
    [sym_constructor_or_destructor_declaration] = STATE(1226),
    [sym_friend_declaration] = STATE(1226),
    [sym_access_specifier] = STATE(9711),
    [sym_reference_declarator] = STATE(7680),
    [sym_structured_binding_declarator] = STATE(7680),
    [sym_template_type] = STATE(3050),
    [sym_template_function] = STATE(7680),
    [sym_using_declaration] = STATE(1226),
    [sym_alias_declaration] = STATE(1226),
    [sym_static_assert_declaration] = STATE(1226),
    [sym_destructor_name] = STATE(7680),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6733),
    [sym_qualified_identifier] = STATE(7680),
    [sym_qualified_type_identifier] = STATE(3068),
    [sym_qualified_operator_cast_identifier] = STATE(8071),
    [sym_operator_name] = STATE(7680),
    [sym_qualifiers] = STATE(3159),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(1226),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2680),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3021),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2523),
    [sym_identifier] = ACTIONS(3014),
    [aux_sym_preproc_def_token1] = ACTIONS(3258),
    [aux_sym_preproc_if_token1] = ACTIONS(3261),
    [aux_sym_preproc_if_token2] = ACTIONS(3023),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3264),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3264),
    [sym_preproc_directive] = ACTIONS(3267),
    [anon_sym_LPAREN2] = ACTIONS(3031),
    [anon_sym_TILDE] = ACTIONS(3034),
    [anon_sym_STAR] = ACTIONS(3037),
    [anon_sym_AMP_AMP] = ACTIONS(3040),
    [anon_sym_AMP] = ACTIONS(3043),
    [anon_sym___extension__] = ACTIONS(3270),
    [anon_sym_typedef] = ACTIONS(3273),
    [anon_sym_in] = ACTIONS(3052),
    [anon_sym_out] = ACTIONS(3052),
    [anon_sym_inout] = ACTIONS(3052),
    [anon_sym_extern] = ACTIONS(3055),
    [anon_sym___attribute__] = ACTIONS(3058),
    [anon_sym_COLON_COLON] = ACTIONS(3061),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3064),
    [anon_sym___declspec] = ACTIONS(3067),
    [anon_sym___based] = ACTIONS(3070),
    [anon_sym_signed] = ACTIONS(3073),
    [anon_sym_unsigned] = ACTIONS(3073),
    [anon_sym_long] = ACTIONS(3073),
    [anon_sym_short] = ACTIONS(3073),
    [anon_sym_LBRACK] = ACTIONS(3076),
    [anon_sym_static] = ACTIONS(3055),
    [anon_sym_register] = ACTIONS(3055),
    [anon_sym_inline] = ACTIONS(3055),
    [anon_sym___inline] = ACTIONS(3055),
    [anon_sym___inline__] = ACTIONS(3055),
    [anon_sym___forceinline] = ACTIONS(3055),
    [anon_sym_thread_local] = ACTIONS(3055),
    [anon_sym___thread] = ACTIONS(3055),
    [anon_sym_const] = ACTIONS(3079),
    [anon_sym_constexpr] = ACTIONS(3079),
    [anon_sym_volatile] = ACTIONS(3079),
    [anon_sym_restrict] = ACTIONS(3079),
    [anon_sym___restrict__] = ACTIONS(3079),
    [anon_sym__Atomic] = ACTIONS(3079),
    [anon_sym__Noreturn] = ACTIONS(3079),
    [anon_sym_noreturn] = ACTIONS(3079),
    [anon_sym_mutable] = ACTIONS(3079),
    [anon_sym_constinit] = ACTIONS(3079),
    [anon_sym_consteval] = ACTIONS(3079),
    [sym_primitive_type] = ACTIONS(3082),
    [anon_sym_enum] = ACTIONS(3085),
    [anon_sym_class] = ACTIONS(3088),
    [anon_sym_struct] = ACTIONS(3091),
    [anon_sym_union] = ACTIONS(3094),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3097),
    [anon_sym_decltype] = ACTIONS(3100),
    [anon_sym_virtual] = ACTIONS(3103),
    [anon_sym_alignas] = ACTIONS(3106),
    [anon_sym_explicit] = ACTIONS(3109),
    [anon_sym_typename] = ACTIONS(3112),
    [anon_sym_template] = ACTIONS(3276),
    [anon_sym_operator] = ACTIONS(3118),
    [anon_sym_friend] = ACTIONS(3279),
    [anon_sym_public] = ACTIONS(3124),
    [anon_sym_private] = ACTIONS(3124),
    [anon_sym_protected] = ACTIONS(3124),
    [anon_sym_using] = ACTIONS(3282),
    [anon_sym_static_assert] = ACTIONS(3285),
    [anon_sym_precise] = ACTIONS(3133),
    [anon_sym_shared] = ACTIONS(3133),
    [anon_sym_groupshared] = ACTIONS(3133),
    [anon_sym_uniform] = ACTIONS(3133),
    [anon_sym_row_major] = ACTIONS(3133),
    [anon_sym_column_major] = ACTIONS(3133),
    [anon_sym_globallycoherent] = ACTIONS(3133),
    [anon_sym_centroid] = ACTIONS(3133),
    [anon_sym_noperspective] = ACTIONS(3133),
    [anon_sym_nointerpolation] = ACTIONS(3133),
    [anon_sym_sample] = ACTIONS(3133),
    [anon_sym_linear] = ACTIONS(3133),
    [anon_sym_snorm] = ACTIONS(3133),
    [anon_sym_unorm] = ACTIONS(3133),
    [anon_sym_point] = ACTIONS(3133),
    [anon_sym_line] = ACTIONS(3133),
    [anon_sym_triangleadj] = ACTIONS(3133),
    [anon_sym_lineadj] = ACTIONS(3133),
    [anon_sym_triangle] = ACTIONS(3133),
  },
  [1227] = {
    [sym_preproc_def] = STATE(1243),
    [sym_preproc_function_def] = STATE(1243),
    [sym_preproc_call] = STATE(1243),
    [sym_preproc_if_in_field_declaration_list] = STATE(1243),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(1243),
    [sym_type_definition] = STATE(1243),
    [sym__declaration_modifiers] = STATE(3159),
    [sym__declaration_specifiers] = STATE(6931),
    [sym_attribute_specifier] = STATE(3159),
    [sym_attribute_declaration] = STATE(3159),
    [sym_ms_declspec_modifier] = STATE(3159),
    [sym_ms_based_modifier] = STATE(10332),
    [sym__declarator] = STATE(7978),
    [sym_parenthesized_declarator] = STATE(7680),
    [sym_attributed_declarator] = STATE(7680),
    [sym_pointer_declarator] = STATE(7680),
    [sym_function_declarator] = STATE(7507),
    [sym_array_declarator] = STATE(7680),
    [sym_storage_class_specifier] = STATE(3159),
    [sym_type_qualifier] = STATE(3159),
    [sym__type_specifier] = STATE(2827),
    [sym_sized_type_specifier] = STATE(3085),
    [sym_enum_specifier] = STATE(3085),
    [sym_struct_specifier] = STATE(3085),
    [sym_union_specifier] = STATE(3085),
    [sym__field_declaration_list_item] = STATE(1243),
    [sym_field_declaration] = STATE(1243),
    [sym_placeholder_type_specifier] = STATE(3085),
    [sym_decltype_auto] = STATE(3091),
    [sym_decltype] = STATE(3050),
    [sym_class_specifier] = STATE(3085),
    [sym_virtual] = STATE(3159),
    [sym_alignas_specifier] = STATE(3159),
    [sym_explicit_function_specifier] = STATE(2525),
    [sym_dependent_type] = STATE(3085),
    [sym_template_declaration] = STATE(1243),
    [sym_operator_cast] = STATE(8072),
    [sym_inline_method_definition] = STATE(1243),
    [sym__constructor_specifiers] = STATE(2525),
    [sym_operator_cast_definition] = STATE(1243),
    [sym_operator_cast_declaration] = STATE(1243),
    [sym_constructor_or_destructor_definition] = STATE(1243),
    [sym_constructor_or_destructor_declaration] = STATE(1243),
    [sym_friend_declaration] = STATE(1243),
    [sym_access_specifier] = STATE(9909),
    [sym_reference_declarator] = STATE(7680),
    [sym_structured_binding_declarator] = STATE(7680),
    [sym_template_type] = STATE(3050),
    [sym_template_function] = STATE(7680),
    [sym_using_declaration] = STATE(1243),
    [sym_alias_declaration] = STATE(1243),
    [sym_static_assert_declaration] = STATE(1243),
    [sym_destructor_name] = STATE(7680),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6733),
    [sym_qualified_identifier] = STATE(7680),
    [sym_qualified_type_identifier] = STATE(3068),
    [sym_qualified_operator_cast_identifier] = STATE(8072),
    [sym_operator_name] = STATE(7680),
    [sym_qualifiers] = STATE(3159),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(1243),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2680),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3021),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2525),
    [sym_identifier] = ACTIONS(2857),
    [aux_sym_preproc_def_token1] = ACTIONS(3194),
    [aux_sym_preproc_if_token1] = ACTIONS(3196),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3198),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3198),
    [sym_preproc_directive] = ACTIONS(3200),
    [anon_sym_LPAREN2] = ACTIONS(2875),
    [anon_sym_TILDE] = ACTIONS(2877),
    [anon_sym_STAR] = ACTIONS(2879),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(2881),
    [anon_sym___extension__] = ACTIONS(3202),
    [anon_sym_typedef] = ACTIONS(3204),
    [anon_sym_in] = ACTIONS(37),
    [anon_sym_out] = ACTIONS(37),
    [anon_sym_inout] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(2887),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2096),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym_RBRACE] = ACTIONS(3288),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(2889),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(2891),
    [anon_sym_enum] = ACTIONS(2893),
    [anon_sym_class] = ACTIONS(2895),
    [anon_sym_struct] = ACTIONS(2897),
    [anon_sym_union] = ACTIONS(2899),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [anon_sym_virtual] = ACTIONS(123),
    [anon_sym_alignas] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(2901),
    [anon_sym_template] = ACTIONS(3208),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_friend] = ACTIONS(3210),
    [anon_sym_public] = ACTIONS(2907),
    [anon_sym_private] = ACTIONS(2907),
    [anon_sym_protected] = ACTIONS(2907),
    [anon_sym_using] = ACTIONS(3212),
    [anon_sym_static_assert] = ACTIONS(3214),
    [anon_sym_precise] = ACTIONS(161),
    [anon_sym_shared] = ACTIONS(161),
    [anon_sym_groupshared] = ACTIONS(161),
    [anon_sym_uniform] = ACTIONS(161),
    [anon_sym_row_major] = ACTIONS(161),
    [anon_sym_column_major] = ACTIONS(161),
    [anon_sym_globallycoherent] = ACTIONS(161),
    [anon_sym_centroid] = ACTIONS(161),
    [anon_sym_noperspective] = ACTIONS(161),
    [anon_sym_nointerpolation] = ACTIONS(161),
    [anon_sym_sample] = ACTIONS(161),
    [anon_sym_linear] = ACTIONS(161),
    [anon_sym_snorm] = ACTIONS(161),
    [anon_sym_unorm] = ACTIONS(161),
    [anon_sym_point] = ACTIONS(161),
    [anon_sym_line] = ACTIONS(161),
    [anon_sym_triangleadj] = ACTIONS(161),
    [anon_sym_lineadj] = ACTIONS(161),
    [anon_sym_triangle] = ACTIONS(161),
  },
  [1228] = {
    [sym_preproc_def] = STATE(1227),
    [sym_preproc_function_def] = STATE(1227),
    [sym_preproc_call] = STATE(1227),
    [sym_preproc_if_in_field_declaration_list] = STATE(1227),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(1227),
    [sym_type_definition] = STATE(1227),
    [sym__declaration_modifiers] = STATE(3159),
    [sym__declaration_specifiers] = STATE(6931),
    [sym_attribute_specifier] = STATE(3159),
    [sym_attribute_declaration] = STATE(3159),
    [sym_ms_declspec_modifier] = STATE(3159),
    [sym_ms_based_modifier] = STATE(10332),
    [sym__declarator] = STATE(7978),
    [sym_parenthesized_declarator] = STATE(7680),
    [sym_attributed_declarator] = STATE(7680),
    [sym_pointer_declarator] = STATE(7680),
    [sym_function_declarator] = STATE(7507),
    [sym_array_declarator] = STATE(7680),
    [sym_storage_class_specifier] = STATE(3159),
    [sym_type_qualifier] = STATE(3159),
    [sym__type_specifier] = STATE(2827),
    [sym_sized_type_specifier] = STATE(3085),
    [sym_enum_specifier] = STATE(3085),
    [sym_struct_specifier] = STATE(3085),
    [sym_union_specifier] = STATE(3085),
    [sym__field_declaration_list_item] = STATE(1227),
    [sym_field_declaration] = STATE(1227),
    [sym_placeholder_type_specifier] = STATE(3085),
    [sym_decltype_auto] = STATE(3091),
    [sym_decltype] = STATE(3050),
    [sym_class_specifier] = STATE(3085),
    [sym_virtual] = STATE(3159),
    [sym_alignas_specifier] = STATE(3159),
    [sym_explicit_function_specifier] = STATE(2525),
    [sym_dependent_type] = STATE(3085),
    [sym_template_declaration] = STATE(1227),
    [sym_operator_cast] = STATE(8072),
    [sym_inline_method_definition] = STATE(1227),
    [sym__constructor_specifiers] = STATE(2525),
    [sym_operator_cast_definition] = STATE(1227),
    [sym_operator_cast_declaration] = STATE(1227),
    [sym_constructor_or_destructor_definition] = STATE(1227),
    [sym_constructor_or_destructor_declaration] = STATE(1227),
    [sym_friend_declaration] = STATE(1227),
    [sym_access_specifier] = STATE(9909),
    [sym_reference_declarator] = STATE(7680),
    [sym_structured_binding_declarator] = STATE(7680),
    [sym_template_type] = STATE(3050),
    [sym_template_function] = STATE(7680),
    [sym_using_declaration] = STATE(1227),
    [sym_alias_declaration] = STATE(1227),
    [sym_static_assert_declaration] = STATE(1227),
    [sym_destructor_name] = STATE(7680),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6733),
    [sym_qualified_identifier] = STATE(7680),
    [sym_qualified_type_identifier] = STATE(3068),
    [sym_qualified_operator_cast_identifier] = STATE(8072),
    [sym_operator_name] = STATE(7680),
    [sym_qualifiers] = STATE(3159),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(1227),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2680),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3021),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2525),
    [sym_identifier] = ACTIONS(2857),
    [aux_sym_preproc_def_token1] = ACTIONS(3194),
    [aux_sym_preproc_if_token1] = ACTIONS(3196),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3198),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3198),
    [sym_preproc_directive] = ACTIONS(3200),
    [anon_sym_LPAREN2] = ACTIONS(2875),
    [anon_sym_TILDE] = ACTIONS(2877),
    [anon_sym_STAR] = ACTIONS(2879),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(2881),
    [anon_sym___extension__] = ACTIONS(3202),
    [anon_sym_typedef] = ACTIONS(3204),
    [anon_sym_in] = ACTIONS(37),
    [anon_sym_out] = ACTIONS(37),
    [anon_sym_inout] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(2887),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2096),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym_RBRACE] = ACTIONS(3290),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(2889),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(2891),
    [anon_sym_enum] = ACTIONS(2893),
    [anon_sym_class] = ACTIONS(2895),
    [anon_sym_struct] = ACTIONS(2897),
    [anon_sym_union] = ACTIONS(2899),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [anon_sym_virtual] = ACTIONS(123),
    [anon_sym_alignas] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(2901),
    [anon_sym_template] = ACTIONS(3208),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_friend] = ACTIONS(3210),
    [anon_sym_public] = ACTIONS(2907),
    [anon_sym_private] = ACTIONS(2907),
    [anon_sym_protected] = ACTIONS(2907),
    [anon_sym_using] = ACTIONS(3212),
    [anon_sym_static_assert] = ACTIONS(3214),
    [anon_sym_precise] = ACTIONS(161),
    [anon_sym_shared] = ACTIONS(161),
    [anon_sym_groupshared] = ACTIONS(161),
    [anon_sym_uniform] = ACTIONS(161),
    [anon_sym_row_major] = ACTIONS(161),
    [anon_sym_column_major] = ACTIONS(161),
    [anon_sym_globallycoherent] = ACTIONS(161),
    [anon_sym_centroid] = ACTIONS(161),
    [anon_sym_noperspective] = ACTIONS(161),
    [anon_sym_nointerpolation] = ACTIONS(161),
    [anon_sym_sample] = ACTIONS(161),
    [anon_sym_linear] = ACTIONS(161),
    [anon_sym_snorm] = ACTIONS(161),
    [anon_sym_unorm] = ACTIONS(161),
    [anon_sym_point] = ACTIONS(161),
    [anon_sym_line] = ACTIONS(161),
    [anon_sym_triangleadj] = ACTIONS(161),
    [anon_sym_lineadj] = ACTIONS(161),
    [anon_sym_triangle] = ACTIONS(161),
  },
  [1229] = {
    [sym_preproc_def] = STATE(1243),
    [sym_preproc_function_def] = STATE(1243),
    [sym_preproc_call] = STATE(1243),
    [sym_preproc_if_in_field_declaration_list] = STATE(1243),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(1243),
    [sym_type_definition] = STATE(1243),
    [sym__declaration_modifiers] = STATE(3159),
    [sym__declaration_specifiers] = STATE(6931),
    [sym_attribute_specifier] = STATE(3159),
    [sym_attribute_declaration] = STATE(3159),
    [sym_ms_declspec_modifier] = STATE(3159),
    [sym_ms_based_modifier] = STATE(10332),
    [sym__declarator] = STATE(7978),
    [sym_parenthesized_declarator] = STATE(7680),
    [sym_attributed_declarator] = STATE(7680),
    [sym_pointer_declarator] = STATE(7680),
    [sym_function_declarator] = STATE(7507),
    [sym_array_declarator] = STATE(7680),
    [sym_storage_class_specifier] = STATE(3159),
    [sym_type_qualifier] = STATE(3159),
    [sym__type_specifier] = STATE(2827),
    [sym_sized_type_specifier] = STATE(3085),
    [sym_enum_specifier] = STATE(3085),
    [sym_struct_specifier] = STATE(3085),
    [sym_union_specifier] = STATE(3085),
    [sym__field_declaration_list_item] = STATE(1243),
    [sym_field_declaration] = STATE(1243),
    [sym_placeholder_type_specifier] = STATE(3085),
    [sym_decltype_auto] = STATE(3091),
    [sym_decltype] = STATE(3050),
    [sym_class_specifier] = STATE(3085),
    [sym_virtual] = STATE(3159),
    [sym_alignas_specifier] = STATE(3159),
    [sym_explicit_function_specifier] = STATE(2525),
    [sym_dependent_type] = STATE(3085),
    [sym_template_declaration] = STATE(1243),
    [sym_operator_cast] = STATE(8072),
    [sym_inline_method_definition] = STATE(1243),
    [sym__constructor_specifiers] = STATE(2525),
    [sym_operator_cast_definition] = STATE(1243),
    [sym_operator_cast_declaration] = STATE(1243),
    [sym_constructor_or_destructor_definition] = STATE(1243),
    [sym_constructor_or_destructor_declaration] = STATE(1243),
    [sym_friend_declaration] = STATE(1243),
    [sym_access_specifier] = STATE(9909),
    [sym_reference_declarator] = STATE(7680),
    [sym_structured_binding_declarator] = STATE(7680),
    [sym_template_type] = STATE(3050),
    [sym_template_function] = STATE(7680),
    [sym_using_declaration] = STATE(1243),
    [sym_alias_declaration] = STATE(1243),
    [sym_static_assert_declaration] = STATE(1243),
    [sym_destructor_name] = STATE(7680),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6733),
    [sym_qualified_identifier] = STATE(7680),
    [sym_qualified_type_identifier] = STATE(3068),
    [sym_qualified_operator_cast_identifier] = STATE(8072),
    [sym_operator_name] = STATE(7680),
    [sym_qualifiers] = STATE(3159),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(1243),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2680),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3021),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2525),
    [sym_identifier] = ACTIONS(2857),
    [aux_sym_preproc_def_token1] = ACTIONS(3194),
    [aux_sym_preproc_if_token1] = ACTIONS(3196),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3198),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3198),
    [sym_preproc_directive] = ACTIONS(3200),
    [anon_sym_LPAREN2] = ACTIONS(2875),
    [anon_sym_TILDE] = ACTIONS(2877),
    [anon_sym_STAR] = ACTIONS(2879),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(2881),
    [anon_sym___extension__] = ACTIONS(3202),
    [anon_sym_typedef] = ACTIONS(3204),
    [anon_sym_in] = ACTIONS(37),
    [anon_sym_out] = ACTIONS(37),
    [anon_sym_inout] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(2887),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2096),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym_RBRACE] = ACTIONS(3292),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(2889),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(2891),
    [anon_sym_enum] = ACTIONS(2893),
    [anon_sym_class] = ACTIONS(2895),
    [anon_sym_struct] = ACTIONS(2897),
    [anon_sym_union] = ACTIONS(2899),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [anon_sym_virtual] = ACTIONS(123),
    [anon_sym_alignas] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(2901),
    [anon_sym_template] = ACTIONS(3208),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_friend] = ACTIONS(3210),
    [anon_sym_public] = ACTIONS(2907),
    [anon_sym_private] = ACTIONS(2907),
    [anon_sym_protected] = ACTIONS(2907),
    [anon_sym_using] = ACTIONS(3212),
    [anon_sym_static_assert] = ACTIONS(3214),
    [anon_sym_precise] = ACTIONS(161),
    [anon_sym_shared] = ACTIONS(161),
    [anon_sym_groupshared] = ACTIONS(161),
    [anon_sym_uniform] = ACTIONS(161),
    [anon_sym_row_major] = ACTIONS(161),
    [anon_sym_column_major] = ACTIONS(161),
    [anon_sym_globallycoherent] = ACTIONS(161),
    [anon_sym_centroid] = ACTIONS(161),
    [anon_sym_noperspective] = ACTIONS(161),
    [anon_sym_nointerpolation] = ACTIONS(161),
    [anon_sym_sample] = ACTIONS(161),
    [anon_sym_linear] = ACTIONS(161),
    [anon_sym_snorm] = ACTIONS(161),
    [anon_sym_unorm] = ACTIONS(161),
    [anon_sym_point] = ACTIONS(161),
    [anon_sym_line] = ACTIONS(161),
    [anon_sym_triangleadj] = ACTIONS(161),
    [anon_sym_lineadj] = ACTIONS(161),
    [anon_sym_triangle] = ACTIONS(161),
  },
  [1230] = {
    [sym_preproc_def] = STATE(1216),
    [sym_preproc_function_def] = STATE(1216),
    [sym_preproc_call] = STATE(1216),
    [sym_preproc_if_in_field_declaration_list] = STATE(1216),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(1216),
    [sym_type_definition] = STATE(1216),
    [sym__declaration_modifiers] = STATE(3159),
    [sym__declaration_specifiers] = STATE(6931),
    [sym_attribute_specifier] = STATE(3159),
    [sym_attribute_declaration] = STATE(3159),
    [sym_ms_declspec_modifier] = STATE(3159),
    [sym_ms_based_modifier] = STATE(10332),
    [sym__declarator] = STATE(7978),
    [sym_parenthesized_declarator] = STATE(7680),
    [sym_attributed_declarator] = STATE(7680),
    [sym_pointer_declarator] = STATE(7680),
    [sym_function_declarator] = STATE(7507),
    [sym_array_declarator] = STATE(7680),
    [sym_storage_class_specifier] = STATE(3159),
    [sym_type_qualifier] = STATE(3159),
    [sym__type_specifier] = STATE(2827),
    [sym_sized_type_specifier] = STATE(3085),
    [sym_enum_specifier] = STATE(3085),
    [sym_struct_specifier] = STATE(3085),
    [sym_union_specifier] = STATE(3085),
    [sym__field_declaration_list_item] = STATE(1216),
    [sym_field_declaration] = STATE(1216),
    [sym_placeholder_type_specifier] = STATE(3085),
    [sym_decltype_auto] = STATE(3091),
    [sym_decltype] = STATE(3050),
    [sym_class_specifier] = STATE(3085),
    [sym_virtual] = STATE(3159),
    [sym_alignas_specifier] = STATE(3159),
    [sym_explicit_function_specifier] = STATE(2525),
    [sym_dependent_type] = STATE(3085),
    [sym_template_declaration] = STATE(1216),
    [sym_operator_cast] = STATE(8072),
    [sym_inline_method_definition] = STATE(1216),
    [sym__constructor_specifiers] = STATE(2525),
    [sym_operator_cast_definition] = STATE(1216),
    [sym_operator_cast_declaration] = STATE(1216),
    [sym_constructor_or_destructor_definition] = STATE(1216),
    [sym_constructor_or_destructor_declaration] = STATE(1216),
    [sym_friend_declaration] = STATE(1216),
    [sym_access_specifier] = STATE(9909),
    [sym_reference_declarator] = STATE(7680),
    [sym_structured_binding_declarator] = STATE(7680),
    [sym_template_type] = STATE(3050),
    [sym_template_function] = STATE(7680),
    [sym_using_declaration] = STATE(1216),
    [sym_alias_declaration] = STATE(1216),
    [sym_static_assert_declaration] = STATE(1216),
    [sym_destructor_name] = STATE(7680),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6733),
    [sym_qualified_identifier] = STATE(7680),
    [sym_qualified_type_identifier] = STATE(3068),
    [sym_qualified_operator_cast_identifier] = STATE(8072),
    [sym_operator_name] = STATE(7680),
    [sym_qualifiers] = STATE(3159),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(1216),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2680),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3021),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2525),
    [sym_identifier] = ACTIONS(2857),
    [aux_sym_preproc_def_token1] = ACTIONS(3194),
    [aux_sym_preproc_if_token1] = ACTIONS(3196),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3198),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3198),
    [sym_preproc_directive] = ACTIONS(3200),
    [anon_sym_LPAREN2] = ACTIONS(2875),
    [anon_sym_TILDE] = ACTIONS(2877),
    [anon_sym_STAR] = ACTIONS(2879),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(2881),
    [anon_sym___extension__] = ACTIONS(3202),
    [anon_sym_typedef] = ACTIONS(3204),
    [anon_sym_in] = ACTIONS(37),
    [anon_sym_out] = ACTIONS(37),
    [anon_sym_inout] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(2887),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2096),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym_RBRACE] = ACTIONS(3294),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(2889),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(2891),
    [anon_sym_enum] = ACTIONS(2893),
    [anon_sym_class] = ACTIONS(2895),
    [anon_sym_struct] = ACTIONS(2897),
    [anon_sym_union] = ACTIONS(2899),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [anon_sym_virtual] = ACTIONS(123),
    [anon_sym_alignas] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(2901),
    [anon_sym_template] = ACTIONS(3208),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_friend] = ACTIONS(3210),
    [anon_sym_public] = ACTIONS(2907),
    [anon_sym_private] = ACTIONS(2907),
    [anon_sym_protected] = ACTIONS(2907),
    [anon_sym_using] = ACTIONS(3212),
    [anon_sym_static_assert] = ACTIONS(3214),
    [anon_sym_precise] = ACTIONS(161),
    [anon_sym_shared] = ACTIONS(161),
    [anon_sym_groupshared] = ACTIONS(161),
    [anon_sym_uniform] = ACTIONS(161),
    [anon_sym_row_major] = ACTIONS(161),
    [anon_sym_column_major] = ACTIONS(161),
    [anon_sym_globallycoherent] = ACTIONS(161),
    [anon_sym_centroid] = ACTIONS(161),
    [anon_sym_noperspective] = ACTIONS(161),
    [anon_sym_nointerpolation] = ACTIONS(161),
    [anon_sym_sample] = ACTIONS(161),
    [anon_sym_linear] = ACTIONS(161),
    [anon_sym_snorm] = ACTIONS(161),
    [anon_sym_unorm] = ACTIONS(161),
    [anon_sym_point] = ACTIONS(161),
    [anon_sym_line] = ACTIONS(161),
    [anon_sym_triangleadj] = ACTIONS(161),
    [anon_sym_lineadj] = ACTIONS(161),
    [anon_sym_triangle] = ACTIONS(161),
  },
  [1231] = {
    [sym_preproc_def] = STATE(1239),
    [sym_preproc_function_def] = STATE(1239),
    [sym_preproc_call] = STATE(1239),
    [sym_preproc_if_in_field_declaration_list] = STATE(1239),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(1239),
    [sym_type_definition] = STATE(1239),
    [sym__declaration_modifiers] = STATE(3159),
    [sym__declaration_specifiers] = STATE(6931),
    [sym_attribute_specifier] = STATE(3159),
    [sym_attribute_declaration] = STATE(3159),
    [sym_ms_declspec_modifier] = STATE(3159),
    [sym_ms_based_modifier] = STATE(10332),
    [sym__declarator] = STATE(7978),
    [sym_parenthesized_declarator] = STATE(7680),
    [sym_attributed_declarator] = STATE(7680),
    [sym_pointer_declarator] = STATE(7680),
    [sym_function_declarator] = STATE(7507),
    [sym_array_declarator] = STATE(7680),
    [sym_storage_class_specifier] = STATE(3159),
    [sym_type_qualifier] = STATE(3159),
    [sym__type_specifier] = STATE(2827),
    [sym_sized_type_specifier] = STATE(3085),
    [sym_enum_specifier] = STATE(3085),
    [sym_struct_specifier] = STATE(3085),
    [sym_union_specifier] = STATE(3085),
    [sym__field_declaration_list_item] = STATE(1239),
    [sym_field_declaration] = STATE(1239),
    [sym_placeholder_type_specifier] = STATE(3085),
    [sym_decltype_auto] = STATE(3091),
    [sym_decltype] = STATE(3050),
    [sym_class_specifier] = STATE(3085),
    [sym_virtual] = STATE(3159),
    [sym_alignas_specifier] = STATE(3159),
    [sym_explicit_function_specifier] = STATE(2525),
    [sym_dependent_type] = STATE(3085),
    [sym_template_declaration] = STATE(1239),
    [sym_operator_cast] = STATE(8072),
    [sym_inline_method_definition] = STATE(1239),
    [sym__constructor_specifiers] = STATE(2525),
    [sym_operator_cast_definition] = STATE(1239),
    [sym_operator_cast_declaration] = STATE(1239),
    [sym_constructor_or_destructor_definition] = STATE(1239),
    [sym_constructor_or_destructor_declaration] = STATE(1239),
    [sym_friend_declaration] = STATE(1239),
    [sym_access_specifier] = STATE(9909),
    [sym_reference_declarator] = STATE(7680),
    [sym_structured_binding_declarator] = STATE(7680),
    [sym_template_type] = STATE(3050),
    [sym_template_function] = STATE(7680),
    [sym_using_declaration] = STATE(1239),
    [sym_alias_declaration] = STATE(1239),
    [sym_static_assert_declaration] = STATE(1239),
    [sym_destructor_name] = STATE(7680),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6733),
    [sym_qualified_identifier] = STATE(7680),
    [sym_qualified_type_identifier] = STATE(3068),
    [sym_qualified_operator_cast_identifier] = STATE(8072),
    [sym_operator_name] = STATE(7680),
    [sym_qualifiers] = STATE(3159),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(1239),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2680),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3021),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2525),
    [sym_identifier] = ACTIONS(2857),
    [aux_sym_preproc_def_token1] = ACTIONS(3194),
    [aux_sym_preproc_if_token1] = ACTIONS(3196),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3198),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3198),
    [sym_preproc_directive] = ACTIONS(3200),
    [anon_sym_LPAREN2] = ACTIONS(2875),
    [anon_sym_TILDE] = ACTIONS(2877),
    [anon_sym_STAR] = ACTIONS(2879),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(2881),
    [anon_sym___extension__] = ACTIONS(3202),
    [anon_sym_typedef] = ACTIONS(3204),
    [anon_sym_in] = ACTIONS(37),
    [anon_sym_out] = ACTIONS(37),
    [anon_sym_inout] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(2887),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2096),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym_RBRACE] = ACTIONS(3296),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(2889),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(2891),
    [anon_sym_enum] = ACTIONS(2893),
    [anon_sym_class] = ACTIONS(2895),
    [anon_sym_struct] = ACTIONS(2897),
    [anon_sym_union] = ACTIONS(2899),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [anon_sym_virtual] = ACTIONS(123),
    [anon_sym_alignas] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(2901),
    [anon_sym_template] = ACTIONS(3208),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_friend] = ACTIONS(3210),
    [anon_sym_public] = ACTIONS(2907),
    [anon_sym_private] = ACTIONS(2907),
    [anon_sym_protected] = ACTIONS(2907),
    [anon_sym_using] = ACTIONS(3212),
    [anon_sym_static_assert] = ACTIONS(3214),
    [anon_sym_precise] = ACTIONS(161),
    [anon_sym_shared] = ACTIONS(161),
    [anon_sym_groupshared] = ACTIONS(161),
    [anon_sym_uniform] = ACTIONS(161),
    [anon_sym_row_major] = ACTIONS(161),
    [anon_sym_column_major] = ACTIONS(161),
    [anon_sym_globallycoherent] = ACTIONS(161),
    [anon_sym_centroid] = ACTIONS(161),
    [anon_sym_noperspective] = ACTIONS(161),
    [anon_sym_nointerpolation] = ACTIONS(161),
    [anon_sym_sample] = ACTIONS(161),
    [anon_sym_linear] = ACTIONS(161),
    [anon_sym_snorm] = ACTIONS(161),
    [anon_sym_unorm] = ACTIONS(161),
    [anon_sym_point] = ACTIONS(161),
    [anon_sym_line] = ACTIONS(161),
    [anon_sym_triangleadj] = ACTIONS(161),
    [anon_sym_lineadj] = ACTIONS(161),
    [anon_sym_triangle] = ACTIONS(161),
  },
  [1232] = {
    [sym_preproc_def] = STATE(1208),
    [sym_preproc_function_def] = STATE(1208),
    [sym_preproc_call] = STATE(1208),
    [sym_preproc_if_in_field_declaration_list] = STATE(1208),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(1208),
    [sym_type_definition] = STATE(1208),
    [sym__declaration_modifiers] = STATE(3159),
    [sym__declaration_specifiers] = STATE(6931),
    [sym_attribute_specifier] = STATE(3159),
    [sym_attribute_declaration] = STATE(3159),
    [sym_ms_declspec_modifier] = STATE(3159),
    [sym_ms_based_modifier] = STATE(10332),
    [sym__declarator] = STATE(7978),
    [sym_parenthesized_declarator] = STATE(7680),
    [sym_attributed_declarator] = STATE(7680),
    [sym_pointer_declarator] = STATE(7680),
    [sym_function_declarator] = STATE(7507),
    [sym_array_declarator] = STATE(7680),
    [sym_storage_class_specifier] = STATE(3159),
    [sym_type_qualifier] = STATE(3159),
    [sym__type_specifier] = STATE(2827),
    [sym_sized_type_specifier] = STATE(3085),
    [sym_enum_specifier] = STATE(3085),
    [sym_struct_specifier] = STATE(3085),
    [sym_union_specifier] = STATE(3085),
    [sym__field_declaration_list_item] = STATE(1208),
    [sym_field_declaration] = STATE(1208),
    [sym_placeholder_type_specifier] = STATE(3085),
    [sym_decltype_auto] = STATE(3091),
    [sym_decltype] = STATE(3050),
    [sym_class_specifier] = STATE(3085),
    [sym_virtual] = STATE(3159),
    [sym_alignas_specifier] = STATE(3159),
    [sym_explicit_function_specifier] = STATE(2525),
    [sym_dependent_type] = STATE(3085),
    [sym_template_declaration] = STATE(1208),
    [sym_operator_cast] = STATE(8072),
    [sym_inline_method_definition] = STATE(1208),
    [sym__constructor_specifiers] = STATE(2525),
    [sym_operator_cast_definition] = STATE(1208),
    [sym_operator_cast_declaration] = STATE(1208),
    [sym_constructor_or_destructor_definition] = STATE(1208),
    [sym_constructor_or_destructor_declaration] = STATE(1208),
    [sym_friend_declaration] = STATE(1208),
    [sym_access_specifier] = STATE(9909),
    [sym_reference_declarator] = STATE(7680),
    [sym_structured_binding_declarator] = STATE(7680),
    [sym_template_type] = STATE(3050),
    [sym_template_function] = STATE(7680),
    [sym_using_declaration] = STATE(1208),
    [sym_alias_declaration] = STATE(1208),
    [sym_static_assert_declaration] = STATE(1208),
    [sym_destructor_name] = STATE(7680),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6733),
    [sym_qualified_identifier] = STATE(7680),
    [sym_qualified_type_identifier] = STATE(3068),
    [sym_qualified_operator_cast_identifier] = STATE(8072),
    [sym_operator_name] = STATE(7680),
    [sym_qualifiers] = STATE(3159),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(1208),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2680),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3021),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2525),
    [sym_identifier] = ACTIONS(2857),
    [aux_sym_preproc_def_token1] = ACTIONS(3194),
    [aux_sym_preproc_if_token1] = ACTIONS(3196),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3198),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3198),
    [sym_preproc_directive] = ACTIONS(3200),
    [anon_sym_LPAREN2] = ACTIONS(2875),
    [anon_sym_TILDE] = ACTIONS(2877),
    [anon_sym_STAR] = ACTIONS(2879),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(2881),
    [anon_sym___extension__] = ACTIONS(3202),
    [anon_sym_typedef] = ACTIONS(3204),
    [anon_sym_in] = ACTIONS(37),
    [anon_sym_out] = ACTIONS(37),
    [anon_sym_inout] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(2887),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2096),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym_RBRACE] = ACTIONS(3298),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(2889),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(2891),
    [anon_sym_enum] = ACTIONS(2893),
    [anon_sym_class] = ACTIONS(2895),
    [anon_sym_struct] = ACTIONS(2897),
    [anon_sym_union] = ACTIONS(2899),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [anon_sym_virtual] = ACTIONS(123),
    [anon_sym_alignas] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(2901),
    [anon_sym_template] = ACTIONS(3208),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_friend] = ACTIONS(3210),
    [anon_sym_public] = ACTIONS(2907),
    [anon_sym_private] = ACTIONS(2907),
    [anon_sym_protected] = ACTIONS(2907),
    [anon_sym_using] = ACTIONS(3212),
    [anon_sym_static_assert] = ACTIONS(3214),
    [anon_sym_precise] = ACTIONS(161),
    [anon_sym_shared] = ACTIONS(161),
    [anon_sym_groupshared] = ACTIONS(161),
    [anon_sym_uniform] = ACTIONS(161),
    [anon_sym_row_major] = ACTIONS(161),
    [anon_sym_column_major] = ACTIONS(161),
    [anon_sym_globallycoherent] = ACTIONS(161),
    [anon_sym_centroid] = ACTIONS(161),
    [anon_sym_noperspective] = ACTIONS(161),
    [anon_sym_nointerpolation] = ACTIONS(161),
    [anon_sym_sample] = ACTIONS(161),
    [anon_sym_linear] = ACTIONS(161),
    [anon_sym_snorm] = ACTIONS(161),
    [anon_sym_unorm] = ACTIONS(161),
    [anon_sym_point] = ACTIONS(161),
    [anon_sym_line] = ACTIONS(161),
    [anon_sym_triangleadj] = ACTIONS(161),
    [anon_sym_lineadj] = ACTIONS(161),
    [anon_sym_triangle] = ACTIONS(161),
  },
  [1233] = {
    [sym_preproc_def] = STATE(1226),
    [sym_preproc_function_def] = STATE(1226),
    [sym_preproc_call] = STATE(1226),
    [sym_preproc_if_in_field_declaration_list] = STATE(1226),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(1226),
    [sym_type_definition] = STATE(1226),
    [sym__declaration_modifiers] = STATE(3159),
    [sym__declaration_specifiers] = STATE(6894),
    [sym_attribute_specifier] = STATE(3159),
    [sym_attribute_declaration] = STATE(3159),
    [sym_ms_declspec_modifier] = STATE(3159),
    [sym_ms_based_modifier] = STATE(10332),
    [sym__declarator] = STATE(7978),
    [sym_parenthesized_declarator] = STATE(7680),
    [sym_attributed_declarator] = STATE(7680),
    [sym_pointer_declarator] = STATE(7680),
    [sym_function_declarator] = STATE(7540),
    [sym_array_declarator] = STATE(7680),
    [sym_storage_class_specifier] = STATE(3159),
    [sym_type_qualifier] = STATE(3159),
    [sym__type_specifier] = STATE(2827),
    [sym_sized_type_specifier] = STATE(3085),
    [sym_enum_specifier] = STATE(3085),
    [sym_struct_specifier] = STATE(3085),
    [sym_union_specifier] = STATE(3085),
    [sym__field_declaration_list_item] = STATE(1226),
    [sym_field_declaration] = STATE(1226),
    [sym_placeholder_type_specifier] = STATE(3085),
    [sym_decltype_auto] = STATE(3091),
    [sym_decltype] = STATE(3050),
    [sym_class_specifier] = STATE(3085),
    [sym_virtual] = STATE(3159),
    [sym_alignas_specifier] = STATE(3159),
    [sym_explicit_function_specifier] = STATE(2523),
    [sym_dependent_type] = STATE(3085),
    [sym_template_declaration] = STATE(1226),
    [sym_operator_cast] = STATE(8071),
    [sym_inline_method_definition] = STATE(1226),
    [sym__constructor_specifiers] = STATE(2523),
    [sym_operator_cast_definition] = STATE(1226),
    [sym_operator_cast_declaration] = STATE(1226),
    [sym_constructor_or_destructor_definition] = STATE(1226),
    [sym_constructor_or_destructor_declaration] = STATE(1226),
    [sym_friend_declaration] = STATE(1226),
    [sym_access_specifier] = STATE(9711),
    [sym_reference_declarator] = STATE(7680),
    [sym_structured_binding_declarator] = STATE(7680),
    [sym_template_type] = STATE(3050),
    [sym_template_function] = STATE(7680),
    [sym_using_declaration] = STATE(1226),
    [sym_alias_declaration] = STATE(1226),
    [sym_static_assert_declaration] = STATE(1226),
    [sym_destructor_name] = STATE(7680),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6733),
    [sym_qualified_identifier] = STATE(7680),
    [sym_qualified_type_identifier] = STATE(3068),
    [sym_qualified_operator_cast_identifier] = STATE(8071),
    [sym_operator_name] = STATE(7680),
    [sym_qualifiers] = STATE(3159),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(1226),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2680),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3021),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2523),
    [sym_identifier] = ACTIONS(2857),
    [aux_sym_preproc_def_token1] = ACTIONS(3300),
    [aux_sym_preproc_if_token1] = ACTIONS(3302),
    [aux_sym_preproc_if_token2] = ACTIONS(3304),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3306),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3306),
    [sym_preproc_directive] = ACTIONS(3308),
    [anon_sym_LPAREN2] = ACTIONS(2875),
    [anon_sym_TILDE] = ACTIONS(2877),
    [anon_sym_STAR] = ACTIONS(2879),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(2881),
    [anon_sym___extension__] = ACTIONS(3310),
    [anon_sym_typedef] = ACTIONS(3312),
    [anon_sym_in] = ACTIONS(37),
    [anon_sym_out] = ACTIONS(37),
    [anon_sym_inout] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(2887),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2096),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(2889),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(2891),
    [anon_sym_enum] = ACTIONS(2893),
    [anon_sym_class] = ACTIONS(2895),
    [anon_sym_struct] = ACTIONS(2897),
    [anon_sym_union] = ACTIONS(2899),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [anon_sym_virtual] = ACTIONS(123),
    [anon_sym_alignas] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(2901),
    [anon_sym_template] = ACTIONS(3314),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_friend] = ACTIONS(3316),
    [anon_sym_public] = ACTIONS(2907),
    [anon_sym_private] = ACTIONS(2907),
    [anon_sym_protected] = ACTIONS(2907),
    [anon_sym_using] = ACTIONS(3318),
    [anon_sym_static_assert] = ACTIONS(3320),
    [anon_sym_precise] = ACTIONS(161),
    [anon_sym_shared] = ACTIONS(161),
    [anon_sym_groupshared] = ACTIONS(161),
    [anon_sym_uniform] = ACTIONS(161),
    [anon_sym_row_major] = ACTIONS(161),
    [anon_sym_column_major] = ACTIONS(161),
    [anon_sym_globallycoherent] = ACTIONS(161),
    [anon_sym_centroid] = ACTIONS(161),
    [anon_sym_noperspective] = ACTIONS(161),
    [anon_sym_nointerpolation] = ACTIONS(161),
    [anon_sym_sample] = ACTIONS(161),
    [anon_sym_linear] = ACTIONS(161),
    [anon_sym_snorm] = ACTIONS(161),
    [anon_sym_unorm] = ACTIONS(161),
    [anon_sym_point] = ACTIONS(161),
    [anon_sym_line] = ACTIONS(161),
    [anon_sym_triangleadj] = ACTIONS(161),
    [anon_sym_lineadj] = ACTIONS(161),
    [anon_sym_triangle] = ACTIONS(161),
  },
  [1234] = {
    [sym_preproc_def] = STATE(1233),
    [sym_preproc_function_def] = STATE(1233),
    [sym_preproc_call] = STATE(1233),
    [sym_preproc_if_in_field_declaration_list] = STATE(1233),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(1233),
    [sym_type_definition] = STATE(1233),
    [sym__declaration_modifiers] = STATE(3159),
    [sym__declaration_specifiers] = STATE(6894),
    [sym_attribute_specifier] = STATE(3159),
    [sym_attribute_declaration] = STATE(3159),
    [sym_ms_declspec_modifier] = STATE(3159),
    [sym_ms_based_modifier] = STATE(10332),
    [sym__declarator] = STATE(7978),
    [sym_parenthesized_declarator] = STATE(7680),
    [sym_attributed_declarator] = STATE(7680),
    [sym_pointer_declarator] = STATE(7680),
    [sym_function_declarator] = STATE(7540),
    [sym_array_declarator] = STATE(7680),
    [sym_storage_class_specifier] = STATE(3159),
    [sym_type_qualifier] = STATE(3159),
    [sym__type_specifier] = STATE(2827),
    [sym_sized_type_specifier] = STATE(3085),
    [sym_enum_specifier] = STATE(3085),
    [sym_struct_specifier] = STATE(3085),
    [sym_union_specifier] = STATE(3085),
    [sym__field_declaration_list_item] = STATE(1233),
    [sym_field_declaration] = STATE(1233),
    [sym_placeholder_type_specifier] = STATE(3085),
    [sym_decltype_auto] = STATE(3091),
    [sym_decltype] = STATE(3050),
    [sym_class_specifier] = STATE(3085),
    [sym_virtual] = STATE(3159),
    [sym_alignas_specifier] = STATE(3159),
    [sym_explicit_function_specifier] = STATE(2523),
    [sym_dependent_type] = STATE(3085),
    [sym_template_declaration] = STATE(1233),
    [sym_operator_cast] = STATE(8071),
    [sym_inline_method_definition] = STATE(1233),
    [sym__constructor_specifiers] = STATE(2523),
    [sym_operator_cast_definition] = STATE(1233),
    [sym_operator_cast_declaration] = STATE(1233),
    [sym_constructor_or_destructor_definition] = STATE(1233),
    [sym_constructor_or_destructor_declaration] = STATE(1233),
    [sym_friend_declaration] = STATE(1233),
    [sym_access_specifier] = STATE(9711),
    [sym_reference_declarator] = STATE(7680),
    [sym_structured_binding_declarator] = STATE(7680),
    [sym_template_type] = STATE(3050),
    [sym_template_function] = STATE(7680),
    [sym_using_declaration] = STATE(1233),
    [sym_alias_declaration] = STATE(1233),
    [sym_static_assert_declaration] = STATE(1233),
    [sym_destructor_name] = STATE(7680),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6733),
    [sym_qualified_identifier] = STATE(7680),
    [sym_qualified_type_identifier] = STATE(3068),
    [sym_qualified_operator_cast_identifier] = STATE(8071),
    [sym_operator_name] = STATE(7680),
    [sym_qualifiers] = STATE(3159),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(1233),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2680),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3021),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2523),
    [sym_identifier] = ACTIONS(2857),
    [aux_sym_preproc_def_token1] = ACTIONS(3300),
    [aux_sym_preproc_if_token1] = ACTIONS(3302),
    [aux_sym_preproc_if_token2] = ACTIONS(3322),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3306),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3306),
    [sym_preproc_directive] = ACTIONS(3308),
    [anon_sym_LPAREN2] = ACTIONS(2875),
    [anon_sym_TILDE] = ACTIONS(2877),
    [anon_sym_STAR] = ACTIONS(2879),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(2881),
    [anon_sym___extension__] = ACTIONS(3310),
    [anon_sym_typedef] = ACTIONS(3312),
    [anon_sym_in] = ACTIONS(37),
    [anon_sym_out] = ACTIONS(37),
    [anon_sym_inout] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(2887),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2096),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(2889),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(2891),
    [anon_sym_enum] = ACTIONS(2893),
    [anon_sym_class] = ACTIONS(2895),
    [anon_sym_struct] = ACTIONS(2897),
    [anon_sym_union] = ACTIONS(2899),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [anon_sym_virtual] = ACTIONS(123),
    [anon_sym_alignas] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(2901),
    [anon_sym_template] = ACTIONS(3314),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_friend] = ACTIONS(3316),
    [anon_sym_public] = ACTIONS(2907),
    [anon_sym_private] = ACTIONS(2907),
    [anon_sym_protected] = ACTIONS(2907),
    [anon_sym_using] = ACTIONS(3318),
    [anon_sym_static_assert] = ACTIONS(3320),
    [anon_sym_precise] = ACTIONS(161),
    [anon_sym_shared] = ACTIONS(161),
    [anon_sym_groupshared] = ACTIONS(161),
    [anon_sym_uniform] = ACTIONS(161),
    [anon_sym_row_major] = ACTIONS(161),
    [anon_sym_column_major] = ACTIONS(161),
    [anon_sym_globallycoherent] = ACTIONS(161),
    [anon_sym_centroid] = ACTIONS(161),
    [anon_sym_noperspective] = ACTIONS(161),
    [anon_sym_nointerpolation] = ACTIONS(161),
    [anon_sym_sample] = ACTIONS(161),
    [anon_sym_linear] = ACTIONS(161),
    [anon_sym_snorm] = ACTIONS(161),
    [anon_sym_unorm] = ACTIONS(161),
    [anon_sym_point] = ACTIONS(161),
    [anon_sym_line] = ACTIONS(161),
    [anon_sym_triangleadj] = ACTIONS(161),
    [anon_sym_lineadj] = ACTIONS(161),
    [anon_sym_triangle] = ACTIONS(161),
  },
  [1235] = {
    [sym_preproc_def] = STATE(1236),
    [sym_preproc_function_def] = STATE(1236),
    [sym_preproc_call] = STATE(1236),
    [sym_preproc_if_in_field_declaration_list] = STATE(1236),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(1236),
    [sym_type_definition] = STATE(1236),
    [sym__declaration_modifiers] = STATE(3159),
    [sym__declaration_specifiers] = STATE(6931),
    [sym_attribute_specifier] = STATE(3159),
    [sym_attribute_declaration] = STATE(3159),
    [sym_ms_declspec_modifier] = STATE(3159),
    [sym_ms_based_modifier] = STATE(10332),
    [sym__declarator] = STATE(7978),
    [sym_parenthesized_declarator] = STATE(7680),
    [sym_attributed_declarator] = STATE(7680),
    [sym_pointer_declarator] = STATE(7680),
    [sym_function_declarator] = STATE(7507),
    [sym_array_declarator] = STATE(7680),
    [sym_storage_class_specifier] = STATE(3159),
    [sym_type_qualifier] = STATE(3159),
    [sym__type_specifier] = STATE(2827),
    [sym_sized_type_specifier] = STATE(3085),
    [sym_enum_specifier] = STATE(3085),
    [sym_struct_specifier] = STATE(3085),
    [sym_union_specifier] = STATE(3085),
    [sym__field_declaration_list_item] = STATE(1236),
    [sym_field_declaration] = STATE(1236),
    [sym_placeholder_type_specifier] = STATE(3085),
    [sym_decltype_auto] = STATE(3091),
    [sym_decltype] = STATE(3050),
    [sym_class_specifier] = STATE(3085),
    [sym_virtual] = STATE(3159),
    [sym_alignas_specifier] = STATE(3159),
    [sym_explicit_function_specifier] = STATE(2525),
    [sym_dependent_type] = STATE(3085),
    [sym_template_declaration] = STATE(1236),
    [sym_operator_cast] = STATE(8072),
    [sym_inline_method_definition] = STATE(1236),
    [sym__constructor_specifiers] = STATE(2525),
    [sym_operator_cast_definition] = STATE(1236),
    [sym_operator_cast_declaration] = STATE(1236),
    [sym_constructor_or_destructor_definition] = STATE(1236),
    [sym_constructor_or_destructor_declaration] = STATE(1236),
    [sym_friend_declaration] = STATE(1236),
    [sym_access_specifier] = STATE(9909),
    [sym_reference_declarator] = STATE(7680),
    [sym_structured_binding_declarator] = STATE(7680),
    [sym_template_type] = STATE(3050),
    [sym_template_function] = STATE(7680),
    [sym_using_declaration] = STATE(1236),
    [sym_alias_declaration] = STATE(1236),
    [sym_static_assert_declaration] = STATE(1236),
    [sym_destructor_name] = STATE(7680),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6733),
    [sym_qualified_identifier] = STATE(7680),
    [sym_qualified_type_identifier] = STATE(3068),
    [sym_qualified_operator_cast_identifier] = STATE(8072),
    [sym_operator_name] = STATE(7680),
    [sym_qualifiers] = STATE(3159),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(1236),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2680),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3021),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2525),
    [sym_identifier] = ACTIONS(2857),
    [aux_sym_preproc_def_token1] = ACTIONS(3194),
    [aux_sym_preproc_if_token1] = ACTIONS(3196),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3198),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3198),
    [sym_preproc_directive] = ACTIONS(3200),
    [anon_sym_LPAREN2] = ACTIONS(2875),
    [anon_sym_TILDE] = ACTIONS(2877),
    [anon_sym_STAR] = ACTIONS(2879),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(2881),
    [anon_sym___extension__] = ACTIONS(3202),
    [anon_sym_typedef] = ACTIONS(3204),
    [anon_sym_in] = ACTIONS(37),
    [anon_sym_out] = ACTIONS(37),
    [anon_sym_inout] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(2887),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2096),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym_RBRACE] = ACTIONS(3324),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(2889),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(2891),
    [anon_sym_enum] = ACTIONS(2893),
    [anon_sym_class] = ACTIONS(2895),
    [anon_sym_struct] = ACTIONS(2897),
    [anon_sym_union] = ACTIONS(2899),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [anon_sym_virtual] = ACTIONS(123),
    [anon_sym_alignas] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(2901),
    [anon_sym_template] = ACTIONS(3208),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_friend] = ACTIONS(3210),
    [anon_sym_public] = ACTIONS(2907),
    [anon_sym_private] = ACTIONS(2907),
    [anon_sym_protected] = ACTIONS(2907),
    [anon_sym_using] = ACTIONS(3212),
    [anon_sym_static_assert] = ACTIONS(3214),
    [anon_sym_precise] = ACTIONS(161),
    [anon_sym_shared] = ACTIONS(161),
    [anon_sym_groupshared] = ACTIONS(161),
    [anon_sym_uniform] = ACTIONS(161),
    [anon_sym_row_major] = ACTIONS(161),
    [anon_sym_column_major] = ACTIONS(161),
    [anon_sym_globallycoherent] = ACTIONS(161),
    [anon_sym_centroid] = ACTIONS(161),
    [anon_sym_noperspective] = ACTIONS(161),
    [anon_sym_nointerpolation] = ACTIONS(161),
    [anon_sym_sample] = ACTIONS(161),
    [anon_sym_linear] = ACTIONS(161),
    [anon_sym_snorm] = ACTIONS(161),
    [anon_sym_unorm] = ACTIONS(161),
    [anon_sym_point] = ACTIONS(161),
    [anon_sym_line] = ACTIONS(161),
    [anon_sym_triangleadj] = ACTIONS(161),
    [anon_sym_lineadj] = ACTIONS(161),
    [anon_sym_triangle] = ACTIONS(161),
  },
  [1236] = {
    [sym_preproc_def] = STATE(1243),
    [sym_preproc_function_def] = STATE(1243),
    [sym_preproc_call] = STATE(1243),
    [sym_preproc_if_in_field_declaration_list] = STATE(1243),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(1243),
    [sym_type_definition] = STATE(1243),
    [sym__declaration_modifiers] = STATE(3159),
    [sym__declaration_specifiers] = STATE(6931),
    [sym_attribute_specifier] = STATE(3159),
    [sym_attribute_declaration] = STATE(3159),
    [sym_ms_declspec_modifier] = STATE(3159),
    [sym_ms_based_modifier] = STATE(10332),
    [sym__declarator] = STATE(7978),
    [sym_parenthesized_declarator] = STATE(7680),
    [sym_attributed_declarator] = STATE(7680),
    [sym_pointer_declarator] = STATE(7680),
    [sym_function_declarator] = STATE(7507),
    [sym_array_declarator] = STATE(7680),
    [sym_storage_class_specifier] = STATE(3159),
    [sym_type_qualifier] = STATE(3159),
    [sym__type_specifier] = STATE(2827),
    [sym_sized_type_specifier] = STATE(3085),
    [sym_enum_specifier] = STATE(3085),
    [sym_struct_specifier] = STATE(3085),
    [sym_union_specifier] = STATE(3085),
    [sym__field_declaration_list_item] = STATE(1243),
    [sym_field_declaration] = STATE(1243),
    [sym_placeholder_type_specifier] = STATE(3085),
    [sym_decltype_auto] = STATE(3091),
    [sym_decltype] = STATE(3050),
    [sym_class_specifier] = STATE(3085),
    [sym_virtual] = STATE(3159),
    [sym_alignas_specifier] = STATE(3159),
    [sym_explicit_function_specifier] = STATE(2525),
    [sym_dependent_type] = STATE(3085),
    [sym_template_declaration] = STATE(1243),
    [sym_operator_cast] = STATE(8072),
    [sym_inline_method_definition] = STATE(1243),
    [sym__constructor_specifiers] = STATE(2525),
    [sym_operator_cast_definition] = STATE(1243),
    [sym_operator_cast_declaration] = STATE(1243),
    [sym_constructor_or_destructor_definition] = STATE(1243),
    [sym_constructor_or_destructor_declaration] = STATE(1243),
    [sym_friend_declaration] = STATE(1243),
    [sym_access_specifier] = STATE(9909),
    [sym_reference_declarator] = STATE(7680),
    [sym_structured_binding_declarator] = STATE(7680),
    [sym_template_type] = STATE(3050),
    [sym_template_function] = STATE(7680),
    [sym_using_declaration] = STATE(1243),
    [sym_alias_declaration] = STATE(1243),
    [sym_static_assert_declaration] = STATE(1243),
    [sym_destructor_name] = STATE(7680),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6733),
    [sym_qualified_identifier] = STATE(7680),
    [sym_qualified_type_identifier] = STATE(3068),
    [sym_qualified_operator_cast_identifier] = STATE(8072),
    [sym_operator_name] = STATE(7680),
    [sym_qualifiers] = STATE(3159),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(1243),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2680),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3021),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2525),
    [sym_identifier] = ACTIONS(2857),
    [aux_sym_preproc_def_token1] = ACTIONS(3194),
    [aux_sym_preproc_if_token1] = ACTIONS(3196),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3198),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3198),
    [sym_preproc_directive] = ACTIONS(3200),
    [anon_sym_LPAREN2] = ACTIONS(2875),
    [anon_sym_TILDE] = ACTIONS(2877),
    [anon_sym_STAR] = ACTIONS(2879),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(2881),
    [anon_sym___extension__] = ACTIONS(3202),
    [anon_sym_typedef] = ACTIONS(3204),
    [anon_sym_in] = ACTIONS(37),
    [anon_sym_out] = ACTIONS(37),
    [anon_sym_inout] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(2887),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2096),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym_RBRACE] = ACTIONS(3326),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(2889),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(2891),
    [anon_sym_enum] = ACTIONS(2893),
    [anon_sym_class] = ACTIONS(2895),
    [anon_sym_struct] = ACTIONS(2897),
    [anon_sym_union] = ACTIONS(2899),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [anon_sym_virtual] = ACTIONS(123),
    [anon_sym_alignas] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(2901),
    [anon_sym_template] = ACTIONS(3208),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_friend] = ACTIONS(3210),
    [anon_sym_public] = ACTIONS(2907),
    [anon_sym_private] = ACTIONS(2907),
    [anon_sym_protected] = ACTIONS(2907),
    [anon_sym_using] = ACTIONS(3212),
    [anon_sym_static_assert] = ACTIONS(3214),
    [anon_sym_precise] = ACTIONS(161),
    [anon_sym_shared] = ACTIONS(161),
    [anon_sym_groupshared] = ACTIONS(161),
    [anon_sym_uniform] = ACTIONS(161),
    [anon_sym_row_major] = ACTIONS(161),
    [anon_sym_column_major] = ACTIONS(161),
    [anon_sym_globallycoherent] = ACTIONS(161),
    [anon_sym_centroid] = ACTIONS(161),
    [anon_sym_noperspective] = ACTIONS(161),
    [anon_sym_nointerpolation] = ACTIONS(161),
    [anon_sym_sample] = ACTIONS(161),
    [anon_sym_linear] = ACTIONS(161),
    [anon_sym_snorm] = ACTIONS(161),
    [anon_sym_unorm] = ACTIONS(161),
    [anon_sym_point] = ACTIONS(161),
    [anon_sym_line] = ACTIONS(161),
    [anon_sym_triangleadj] = ACTIONS(161),
    [anon_sym_lineadj] = ACTIONS(161),
    [anon_sym_triangle] = ACTIONS(161),
  },
  [1237] = {
    [sym_preproc_def] = STATE(1243),
    [sym_preproc_function_def] = STATE(1243),
    [sym_preproc_call] = STATE(1243),
    [sym_preproc_if_in_field_declaration_list] = STATE(1243),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(1243),
    [sym_type_definition] = STATE(1243),
    [sym__declaration_modifiers] = STATE(3159),
    [sym__declaration_specifiers] = STATE(6931),
    [sym_attribute_specifier] = STATE(3159),
    [sym_attribute_declaration] = STATE(3159),
    [sym_ms_declspec_modifier] = STATE(3159),
    [sym_ms_based_modifier] = STATE(10332),
    [sym__declarator] = STATE(7978),
    [sym_parenthesized_declarator] = STATE(7680),
    [sym_attributed_declarator] = STATE(7680),
    [sym_pointer_declarator] = STATE(7680),
    [sym_function_declarator] = STATE(7507),
    [sym_array_declarator] = STATE(7680),
    [sym_storage_class_specifier] = STATE(3159),
    [sym_type_qualifier] = STATE(3159),
    [sym__type_specifier] = STATE(2827),
    [sym_sized_type_specifier] = STATE(3085),
    [sym_enum_specifier] = STATE(3085),
    [sym_struct_specifier] = STATE(3085),
    [sym_union_specifier] = STATE(3085),
    [sym__field_declaration_list_item] = STATE(1243),
    [sym_field_declaration] = STATE(1243),
    [sym_placeholder_type_specifier] = STATE(3085),
    [sym_decltype_auto] = STATE(3091),
    [sym_decltype] = STATE(3050),
    [sym_class_specifier] = STATE(3085),
    [sym_virtual] = STATE(3159),
    [sym_alignas_specifier] = STATE(3159),
    [sym_explicit_function_specifier] = STATE(2525),
    [sym_dependent_type] = STATE(3085),
    [sym_template_declaration] = STATE(1243),
    [sym_operator_cast] = STATE(8072),
    [sym_inline_method_definition] = STATE(1243),
    [sym__constructor_specifiers] = STATE(2525),
    [sym_operator_cast_definition] = STATE(1243),
    [sym_operator_cast_declaration] = STATE(1243),
    [sym_constructor_or_destructor_definition] = STATE(1243),
    [sym_constructor_or_destructor_declaration] = STATE(1243),
    [sym_friend_declaration] = STATE(1243),
    [sym_access_specifier] = STATE(9909),
    [sym_reference_declarator] = STATE(7680),
    [sym_structured_binding_declarator] = STATE(7680),
    [sym_template_type] = STATE(3050),
    [sym_template_function] = STATE(7680),
    [sym_using_declaration] = STATE(1243),
    [sym_alias_declaration] = STATE(1243),
    [sym_static_assert_declaration] = STATE(1243),
    [sym_destructor_name] = STATE(7680),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6733),
    [sym_qualified_identifier] = STATE(7680),
    [sym_qualified_type_identifier] = STATE(3068),
    [sym_qualified_operator_cast_identifier] = STATE(8072),
    [sym_operator_name] = STATE(7680),
    [sym_qualifiers] = STATE(3159),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(1243),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2680),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3021),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2525),
    [sym_identifier] = ACTIONS(2857),
    [aux_sym_preproc_def_token1] = ACTIONS(3194),
    [aux_sym_preproc_if_token1] = ACTIONS(3196),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3198),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3198),
    [sym_preproc_directive] = ACTIONS(3200),
    [anon_sym_LPAREN2] = ACTIONS(2875),
    [anon_sym_TILDE] = ACTIONS(2877),
    [anon_sym_STAR] = ACTIONS(2879),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(2881),
    [anon_sym___extension__] = ACTIONS(3202),
    [anon_sym_typedef] = ACTIONS(3204),
    [anon_sym_in] = ACTIONS(37),
    [anon_sym_out] = ACTIONS(37),
    [anon_sym_inout] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(2887),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2096),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym_RBRACE] = ACTIONS(3328),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(2889),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(2891),
    [anon_sym_enum] = ACTIONS(2893),
    [anon_sym_class] = ACTIONS(2895),
    [anon_sym_struct] = ACTIONS(2897),
    [anon_sym_union] = ACTIONS(2899),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [anon_sym_virtual] = ACTIONS(123),
    [anon_sym_alignas] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(2901),
    [anon_sym_template] = ACTIONS(3208),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_friend] = ACTIONS(3210),
    [anon_sym_public] = ACTIONS(2907),
    [anon_sym_private] = ACTIONS(2907),
    [anon_sym_protected] = ACTIONS(2907),
    [anon_sym_using] = ACTIONS(3212),
    [anon_sym_static_assert] = ACTIONS(3214),
    [anon_sym_precise] = ACTIONS(161),
    [anon_sym_shared] = ACTIONS(161),
    [anon_sym_groupshared] = ACTIONS(161),
    [anon_sym_uniform] = ACTIONS(161),
    [anon_sym_row_major] = ACTIONS(161),
    [anon_sym_column_major] = ACTIONS(161),
    [anon_sym_globallycoherent] = ACTIONS(161),
    [anon_sym_centroid] = ACTIONS(161),
    [anon_sym_noperspective] = ACTIONS(161),
    [anon_sym_nointerpolation] = ACTIONS(161),
    [anon_sym_sample] = ACTIONS(161),
    [anon_sym_linear] = ACTIONS(161),
    [anon_sym_snorm] = ACTIONS(161),
    [anon_sym_unorm] = ACTIONS(161),
    [anon_sym_point] = ACTIONS(161),
    [anon_sym_line] = ACTIONS(161),
    [anon_sym_triangleadj] = ACTIONS(161),
    [anon_sym_lineadj] = ACTIONS(161),
    [anon_sym_triangle] = ACTIONS(161),
  },
  [1238] = {
    [sym_preproc_def] = STATE(1243),
    [sym_preproc_function_def] = STATE(1243),
    [sym_preproc_call] = STATE(1243),
    [sym_preproc_if_in_field_declaration_list] = STATE(1243),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(1243),
    [sym_type_definition] = STATE(1243),
    [sym__declaration_modifiers] = STATE(3159),
    [sym__declaration_specifiers] = STATE(6931),
    [sym_attribute_specifier] = STATE(3159),
    [sym_attribute_declaration] = STATE(3159),
    [sym_ms_declspec_modifier] = STATE(3159),
    [sym_ms_based_modifier] = STATE(10332),
    [sym__declarator] = STATE(7978),
    [sym_parenthesized_declarator] = STATE(7680),
    [sym_attributed_declarator] = STATE(7680),
    [sym_pointer_declarator] = STATE(7680),
    [sym_function_declarator] = STATE(7507),
    [sym_array_declarator] = STATE(7680),
    [sym_storage_class_specifier] = STATE(3159),
    [sym_type_qualifier] = STATE(3159),
    [sym__type_specifier] = STATE(2827),
    [sym_sized_type_specifier] = STATE(3085),
    [sym_enum_specifier] = STATE(3085),
    [sym_struct_specifier] = STATE(3085),
    [sym_union_specifier] = STATE(3085),
    [sym__field_declaration_list_item] = STATE(1243),
    [sym_field_declaration] = STATE(1243),
    [sym_placeholder_type_specifier] = STATE(3085),
    [sym_decltype_auto] = STATE(3091),
    [sym_decltype] = STATE(3050),
    [sym_class_specifier] = STATE(3085),
    [sym_virtual] = STATE(3159),
    [sym_alignas_specifier] = STATE(3159),
    [sym_explicit_function_specifier] = STATE(2525),
    [sym_dependent_type] = STATE(3085),
    [sym_template_declaration] = STATE(1243),
    [sym_operator_cast] = STATE(8072),
    [sym_inline_method_definition] = STATE(1243),
    [sym__constructor_specifiers] = STATE(2525),
    [sym_operator_cast_definition] = STATE(1243),
    [sym_operator_cast_declaration] = STATE(1243),
    [sym_constructor_or_destructor_definition] = STATE(1243),
    [sym_constructor_or_destructor_declaration] = STATE(1243),
    [sym_friend_declaration] = STATE(1243),
    [sym_access_specifier] = STATE(9909),
    [sym_reference_declarator] = STATE(7680),
    [sym_structured_binding_declarator] = STATE(7680),
    [sym_template_type] = STATE(3050),
    [sym_template_function] = STATE(7680),
    [sym_using_declaration] = STATE(1243),
    [sym_alias_declaration] = STATE(1243),
    [sym_static_assert_declaration] = STATE(1243),
    [sym_destructor_name] = STATE(7680),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6733),
    [sym_qualified_identifier] = STATE(7680),
    [sym_qualified_type_identifier] = STATE(3068),
    [sym_qualified_operator_cast_identifier] = STATE(8072),
    [sym_operator_name] = STATE(7680),
    [sym_qualifiers] = STATE(3159),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(1243),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2680),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3021),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2525),
    [sym_identifier] = ACTIONS(2857),
    [aux_sym_preproc_def_token1] = ACTIONS(3194),
    [aux_sym_preproc_if_token1] = ACTIONS(3196),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3198),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3198),
    [sym_preproc_directive] = ACTIONS(3200),
    [anon_sym_LPAREN2] = ACTIONS(2875),
    [anon_sym_TILDE] = ACTIONS(2877),
    [anon_sym_STAR] = ACTIONS(2879),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(2881),
    [anon_sym___extension__] = ACTIONS(3202),
    [anon_sym_typedef] = ACTIONS(3204),
    [anon_sym_in] = ACTIONS(37),
    [anon_sym_out] = ACTIONS(37),
    [anon_sym_inout] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(2887),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2096),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym_RBRACE] = ACTIONS(3330),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(2889),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(2891),
    [anon_sym_enum] = ACTIONS(2893),
    [anon_sym_class] = ACTIONS(2895),
    [anon_sym_struct] = ACTIONS(2897),
    [anon_sym_union] = ACTIONS(2899),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [anon_sym_virtual] = ACTIONS(123),
    [anon_sym_alignas] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(2901),
    [anon_sym_template] = ACTIONS(3208),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_friend] = ACTIONS(3210),
    [anon_sym_public] = ACTIONS(2907),
    [anon_sym_private] = ACTIONS(2907),
    [anon_sym_protected] = ACTIONS(2907),
    [anon_sym_using] = ACTIONS(3212),
    [anon_sym_static_assert] = ACTIONS(3214),
    [anon_sym_precise] = ACTIONS(161),
    [anon_sym_shared] = ACTIONS(161),
    [anon_sym_groupshared] = ACTIONS(161),
    [anon_sym_uniform] = ACTIONS(161),
    [anon_sym_row_major] = ACTIONS(161),
    [anon_sym_column_major] = ACTIONS(161),
    [anon_sym_globallycoherent] = ACTIONS(161),
    [anon_sym_centroid] = ACTIONS(161),
    [anon_sym_noperspective] = ACTIONS(161),
    [anon_sym_nointerpolation] = ACTIONS(161),
    [anon_sym_sample] = ACTIONS(161),
    [anon_sym_linear] = ACTIONS(161),
    [anon_sym_snorm] = ACTIONS(161),
    [anon_sym_unorm] = ACTIONS(161),
    [anon_sym_point] = ACTIONS(161),
    [anon_sym_line] = ACTIONS(161),
    [anon_sym_triangleadj] = ACTIONS(161),
    [anon_sym_lineadj] = ACTIONS(161),
    [anon_sym_triangle] = ACTIONS(161),
  },
  [1239] = {
    [sym_preproc_def] = STATE(1243),
    [sym_preproc_function_def] = STATE(1243),
    [sym_preproc_call] = STATE(1243),
    [sym_preproc_if_in_field_declaration_list] = STATE(1243),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(1243),
    [sym_type_definition] = STATE(1243),
    [sym__declaration_modifiers] = STATE(3159),
    [sym__declaration_specifiers] = STATE(6931),
    [sym_attribute_specifier] = STATE(3159),
    [sym_attribute_declaration] = STATE(3159),
    [sym_ms_declspec_modifier] = STATE(3159),
    [sym_ms_based_modifier] = STATE(10332),
    [sym__declarator] = STATE(7978),
    [sym_parenthesized_declarator] = STATE(7680),
    [sym_attributed_declarator] = STATE(7680),
    [sym_pointer_declarator] = STATE(7680),
    [sym_function_declarator] = STATE(7507),
    [sym_array_declarator] = STATE(7680),
    [sym_storage_class_specifier] = STATE(3159),
    [sym_type_qualifier] = STATE(3159),
    [sym__type_specifier] = STATE(2827),
    [sym_sized_type_specifier] = STATE(3085),
    [sym_enum_specifier] = STATE(3085),
    [sym_struct_specifier] = STATE(3085),
    [sym_union_specifier] = STATE(3085),
    [sym__field_declaration_list_item] = STATE(1243),
    [sym_field_declaration] = STATE(1243),
    [sym_placeholder_type_specifier] = STATE(3085),
    [sym_decltype_auto] = STATE(3091),
    [sym_decltype] = STATE(3050),
    [sym_class_specifier] = STATE(3085),
    [sym_virtual] = STATE(3159),
    [sym_alignas_specifier] = STATE(3159),
    [sym_explicit_function_specifier] = STATE(2525),
    [sym_dependent_type] = STATE(3085),
    [sym_template_declaration] = STATE(1243),
    [sym_operator_cast] = STATE(8072),
    [sym_inline_method_definition] = STATE(1243),
    [sym__constructor_specifiers] = STATE(2525),
    [sym_operator_cast_definition] = STATE(1243),
    [sym_operator_cast_declaration] = STATE(1243),
    [sym_constructor_or_destructor_definition] = STATE(1243),
    [sym_constructor_or_destructor_declaration] = STATE(1243),
    [sym_friend_declaration] = STATE(1243),
    [sym_access_specifier] = STATE(9909),
    [sym_reference_declarator] = STATE(7680),
    [sym_structured_binding_declarator] = STATE(7680),
    [sym_template_type] = STATE(3050),
    [sym_template_function] = STATE(7680),
    [sym_using_declaration] = STATE(1243),
    [sym_alias_declaration] = STATE(1243),
    [sym_static_assert_declaration] = STATE(1243),
    [sym_destructor_name] = STATE(7680),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6733),
    [sym_qualified_identifier] = STATE(7680),
    [sym_qualified_type_identifier] = STATE(3068),
    [sym_qualified_operator_cast_identifier] = STATE(8072),
    [sym_operator_name] = STATE(7680),
    [sym_qualifiers] = STATE(3159),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(1243),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2680),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3021),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2525),
    [sym_identifier] = ACTIONS(2857),
    [aux_sym_preproc_def_token1] = ACTIONS(3194),
    [aux_sym_preproc_if_token1] = ACTIONS(3196),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3198),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3198),
    [sym_preproc_directive] = ACTIONS(3200),
    [anon_sym_LPAREN2] = ACTIONS(2875),
    [anon_sym_TILDE] = ACTIONS(2877),
    [anon_sym_STAR] = ACTIONS(2879),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(2881),
    [anon_sym___extension__] = ACTIONS(3202),
    [anon_sym_typedef] = ACTIONS(3204),
    [anon_sym_in] = ACTIONS(37),
    [anon_sym_out] = ACTIONS(37),
    [anon_sym_inout] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(2887),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2096),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym_RBRACE] = ACTIONS(3332),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(2889),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(2891),
    [anon_sym_enum] = ACTIONS(2893),
    [anon_sym_class] = ACTIONS(2895),
    [anon_sym_struct] = ACTIONS(2897),
    [anon_sym_union] = ACTIONS(2899),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [anon_sym_virtual] = ACTIONS(123),
    [anon_sym_alignas] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(2901),
    [anon_sym_template] = ACTIONS(3208),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_friend] = ACTIONS(3210),
    [anon_sym_public] = ACTIONS(2907),
    [anon_sym_private] = ACTIONS(2907),
    [anon_sym_protected] = ACTIONS(2907),
    [anon_sym_using] = ACTIONS(3212),
    [anon_sym_static_assert] = ACTIONS(3214),
    [anon_sym_precise] = ACTIONS(161),
    [anon_sym_shared] = ACTIONS(161),
    [anon_sym_groupshared] = ACTIONS(161),
    [anon_sym_uniform] = ACTIONS(161),
    [anon_sym_row_major] = ACTIONS(161),
    [anon_sym_column_major] = ACTIONS(161),
    [anon_sym_globallycoherent] = ACTIONS(161),
    [anon_sym_centroid] = ACTIONS(161),
    [anon_sym_noperspective] = ACTIONS(161),
    [anon_sym_nointerpolation] = ACTIONS(161),
    [anon_sym_sample] = ACTIONS(161),
    [anon_sym_linear] = ACTIONS(161),
    [anon_sym_snorm] = ACTIONS(161),
    [anon_sym_unorm] = ACTIONS(161),
    [anon_sym_point] = ACTIONS(161),
    [anon_sym_line] = ACTIONS(161),
    [anon_sym_triangleadj] = ACTIONS(161),
    [anon_sym_lineadj] = ACTIONS(161),
    [anon_sym_triangle] = ACTIONS(161),
  },
  [1240] = {
    [sym_preproc_def] = STATE(1243),
    [sym_preproc_function_def] = STATE(1243),
    [sym_preproc_call] = STATE(1243),
    [sym_preproc_if_in_field_declaration_list] = STATE(1243),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(1243),
    [sym_type_definition] = STATE(1243),
    [sym__declaration_modifiers] = STATE(3159),
    [sym__declaration_specifiers] = STATE(6931),
    [sym_attribute_specifier] = STATE(3159),
    [sym_attribute_declaration] = STATE(3159),
    [sym_ms_declspec_modifier] = STATE(3159),
    [sym_ms_based_modifier] = STATE(10332),
    [sym__declarator] = STATE(7978),
    [sym_parenthesized_declarator] = STATE(7680),
    [sym_attributed_declarator] = STATE(7680),
    [sym_pointer_declarator] = STATE(7680),
    [sym_function_declarator] = STATE(7507),
    [sym_array_declarator] = STATE(7680),
    [sym_storage_class_specifier] = STATE(3159),
    [sym_type_qualifier] = STATE(3159),
    [sym__type_specifier] = STATE(2827),
    [sym_sized_type_specifier] = STATE(3085),
    [sym_enum_specifier] = STATE(3085),
    [sym_struct_specifier] = STATE(3085),
    [sym_union_specifier] = STATE(3085),
    [sym__field_declaration_list_item] = STATE(1243),
    [sym_field_declaration] = STATE(1243),
    [sym_placeholder_type_specifier] = STATE(3085),
    [sym_decltype_auto] = STATE(3091),
    [sym_decltype] = STATE(3050),
    [sym_class_specifier] = STATE(3085),
    [sym_virtual] = STATE(3159),
    [sym_alignas_specifier] = STATE(3159),
    [sym_explicit_function_specifier] = STATE(2525),
    [sym_dependent_type] = STATE(3085),
    [sym_template_declaration] = STATE(1243),
    [sym_operator_cast] = STATE(8072),
    [sym_inline_method_definition] = STATE(1243),
    [sym__constructor_specifiers] = STATE(2525),
    [sym_operator_cast_definition] = STATE(1243),
    [sym_operator_cast_declaration] = STATE(1243),
    [sym_constructor_or_destructor_definition] = STATE(1243),
    [sym_constructor_or_destructor_declaration] = STATE(1243),
    [sym_friend_declaration] = STATE(1243),
    [sym_access_specifier] = STATE(9909),
    [sym_reference_declarator] = STATE(7680),
    [sym_structured_binding_declarator] = STATE(7680),
    [sym_template_type] = STATE(3050),
    [sym_template_function] = STATE(7680),
    [sym_using_declaration] = STATE(1243),
    [sym_alias_declaration] = STATE(1243),
    [sym_static_assert_declaration] = STATE(1243),
    [sym_destructor_name] = STATE(7680),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6733),
    [sym_qualified_identifier] = STATE(7680),
    [sym_qualified_type_identifier] = STATE(3068),
    [sym_qualified_operator_cast_identifier] = STATE(8072),
    [sym_operator_name] = STATE(7680),
    [sym_qualifiers] = STATE(3159),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(1243),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2680),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3021),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2525),
    [sym_identifier] = ACTIONS(2857),
    [aux_sym_preproc_def_token1] = ACTIONS(3194),
    [aux_sym_preproc_if_token1] = ACTIONS(3196),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3198),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3198),
    [sym_preproc_directive] = ACTIONS(3200),
    [anon_sym_LPAREN2] = ACTIONS(2875),
    [anon_sym_TILDE] = ACTIONS(2877),
    [anon_sym_STAR] = ACTIONS(2879),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(2881),
    [anon_sym___extension__] = ACTIONS(3202),
    [anon_sym_typedef] = ACTIONS(3204),
    [anon_sym_in] = ACTIONS(37),
    [anon_sym_out] = ACTIONS(37),
    [anon_sym_inout] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(2887),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2096),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym_RBRACE] = ACTIONS(3334),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(2889),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(2891),
    [anon_sym_enum] = ACTIONS(2893),
    [anon_sym_class] = ACTIONS(2895),
    [anon_sym_struct] = ACTIONS(2897),
    [anon_sym_union] = ACTIONS(2899),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [anon_sym_virtual] = ACTIONS(123),
    [anon_sym_alignas] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(2901),
    [anon_sym_template] = ACTIONS(3208),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_friend] = ACTIONS(3210),
    [anon_sym_public] = ACTIONS(2907),
    [anon_sym_private] = ACTIONS(2907),
    [anon_sym_protected] = ACTIONS(2907),
    [anon_sym_using] = ACTIONS(3212),
    [anon_sym_static_assert] = ACTIONS(3214),
    [anon_sym_precise] = ACTIONS(161),
    [anon_sym_shared] = ACTIONS(161),
    [anon_sym_groupshared] = ACTIONS(161),
    [anon_sym_uniform] = ACTIONS(161),
    [anon_sym_row_major] = ACTIONS(161),
    [anon_sym_column_major] = ACTIONS(161),
    [anon_sym_globallycoherent] = ACTIONS(161),
    [anon_sym_centroid] = ACTIONS(161),
    [anon_sym_noperspective] = ACTIONS(161),
    [anon_sym_nointerpolation] = ACTIONS(161),
    [anon_sym_sample] = ACTIONS(161),
    [anon_sym_linear] = ACTIONS(161),
    [anon_sym_snorm] = ACTIONS(161),
    [anon_sym_unorm] = ACTIONS(161),
    [anon_sym_point] = ACTIONS(161),
    [anon_sym_line] = ACTIONS(161),
    [anon_sym_triangleadj] = ACTIONS(161),
    [anon_sym_lineadj] = ACTIONS(161),
    [anon_sym_triangle] = ACTIONS(161),
  },
  [1241] = {
    [sym_preproc_def] = STATE(1243),
    [sym_preproc_function_def] = STATE(1243),
    [sym_preproc_call] = STATE(1243),
    [sym_preproc_if_in_field_declaration_list] = STATE(1243),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(1243),
    [sym_type_definition] = STATE(1243),
    [sym__declaration_modifiers] = STATE(3159),
    [sym__declaration_specifiers] = STATE(6931),
    [sym_attribute_specifier] = STATE(3159),
    [sym_attribute_declaration] = STATE(3159),
    [sym_ms_declspec_modifier] = STATE(3159),
    [sym_ms_based_modifier] = STATE(10332),
    [sym__declarator] = STATE(7978),
    [sym_parenthesized_declarator] = STATE(7680),
    [sym_attributed_declarator] = STATE(7680),
    [sym_pointer_declarator] = STATE(7680),
    [sym_function_declarator] = STATE(7507),
    [sym_array_declarator] = STATE(7680),
    [sym_storage_class_specifier] = STATE(3159),
    [sym_type_qualifier] = STATE(3159),
    [sym__type_specifier] = STATE(2827),
    [sym_sized_type_specifier] = STATE(3085),
    [sym_enum_specifier] = STATE(3085),
    [sym_struct_specifier] = STATE(3085),
    [sym_union_specifier] = STATE(3085),
    [sym__field_declaration_list_item] = STATE(1243),
    [sym_field_declaration] = STATE(1243),
    [sym_placeholder_type_specifier] = STATE(3085),
    [sym_decltype_auto] = STATE(3091),
    [sym_decltype] = STATE(3050),
    [sym_class_specifier] = STATE(3085),
    [sym_virtual] = STATE(3159),
    [sym_alignas_specifier] = STATE(3159),
    [sym_explicit_function_specifier] = STATE(2525),
    [sym_dependent_type] = STATE(3085),
    [sym_template_declaration] = STATE(1243),
    [sym_operator_cast] = STATE(8072),
    [sym_inline_method_definition] = STATE(1243),
    [sym__constructor_specifiers] = STATE(2525),
    [sym_operator_cast_definition] = STATE(1243),
    [sym_operator_cast_declaration] = STATE(1243),
    [sym_constructor_or_destructor_definition] = STATE(1243),
    [sym_constructor_or_destructor_declaration] = STATE(1243),
    [sym_friend_declaration] = STATE(1243),
    [sym_access_specifier] = STATE(9909),
    [sym_reference_declarator] = STATE(7680),
    [sym_structured_binding_declarator] = STATE(7680),
    [sym_template_type] = STATE(3050),
    [sym_template_function] = STATE(7680),
    [sym_using_declaration] = STATE(1243),
    [sym_alias_declaration] = STATE(1243),
    [sym_static_assert_declaration] = STATE(1243),
    [sym_destructor_name] = STATE(7680),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6733),
    [sym_qualified_identifier] = STATE(7680),
    [sym_qualified_type_identifier] = STATE(3068),
    [sym_qualified_operator_cast_identifier] = STATE(8072),
    [sym_operator_name] = STATE(7680),
    [sym_qualifiers] = STATE(3159),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(1243),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2680),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3021),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2525),
    [sym_identifier] = ACTIONS(2857),
    [aux_sym_preproc_def_token1] = ACTIONS(3194),
    [aux_sym_preproc_if_token1] = ACTIONS(3196),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3198),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3198),
    [sym_preproc_directive] = ACTIONS(3200),
    [anon_sym_LPAREN2] = ACTIONS(2875),
    [anon_sym_TILDE] = ACTIONS(2877),
    [anon_sym_STAR] = ACTIONS(2879),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(2881),
    [anon_sym___extension__] = ACTIONS(3202),
    [anon_sym_typedef] = ACTIONS(3204),
    [anon_sym_in] = ACTIONS(37),
    [anon_sym_out] = ACTIONS(37),
    [anon_sym_inout] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(2887),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2096),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym_RBRACE] = ACTIONS(3336),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(2889),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(2891),
    [anon_sym_enum] = ACTIONS(2893),
    [anon_sym_class] = ACTIONS(2895),
    [anon_sym_struct] = ACTIONS(2897),
    [anon_sym_union] = ACTIONS(2899),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [anon_sym_virtual] = ACTIONS(123),
    [anon_sym_alignas] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(2901),
    [anon_sym_template] = ACTIONS(3208),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_friend] = ACTIONS(3210),
    [anon_sym_public] = ACTIONS(2907),
    [anon_sym_private] = ACTIONS(2907),
    [anon_sym_protected] = ACTIONS(2907),
    [anon_sym_using] = ACTIONS(3212),
    [anon_sym_static_assert] = ACTIONS(3214),
    [anon_sym_precise] = ACTIONS(161),
    [anon_sym_shared] = ACTIONS(161),
    [anon_sym_groupshared] = ACTIONS(161),
    [anon_sym_uniform] = ACTIONS(161),
    [anon_sym_row_major] = ACTIONS(161),
    [anon_sym_column_major] = ACTIONS(161),
    [anon_sym_globallycoherent] = ACTIONS(161),
    [anon_sym_centroid] = ACTIONS(161),
    [anon_sym_noperspective] = ACTIONS(161),
    [anon_sym_nointerpolation] = ACTIONS(161),
    [anon_sym_sample] = ACTIONS(161),
    [anon_sym_linear] = ACTIONS(161),
    [anon_sym_snorm] = ACTIONS(161),
    [anon_sym_unorm] = ACTIONS(161),
    [anon_sym_point] = ACTIONS(161),
    [anon_sym_line] = ACTIONS(161),
    [anon_sym_triangleadj] = ACTIONS(161),
    [anon_sym_lineadj] = ACTIONS(161),
    [anon_sym_triangle] = ACTIONS(161),
  },
  [1242] = {
    [sym_preproc_def] = STATE(1217),
    [sym_preproc_function_def] = STATE(1217),
    [sym_preproc_call] = STATE(1217),
    [sym_preproc_if_in_field_declaration_list] = STATE(1217),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(1217),
    [sym_type_definition] = STATE(1217),
    [sym__declaration_modifiers] = STATE(3159),
    [sym__declaration_specifiers] = STATE(6931),
    [sym_attribute_specifier] = STATE(3159),
    [sym_attribute_declaration] = STATE(3159),
    [sym_ms_declspec_modifier] = STATE(3159),
    [sym_ms_based_modifier] = STATE(10332),
    [sym__declarator] = STATE(7978),
    [sym_parenthesized_declarator] = STATE(7680),
    [sym_attributed_declarator] = STATE(7680),
    [sym_pointer_declarator] = STATE(7680),
    [sym_function_declarator] = STATE(7507),
    [sym_array_declarator] = STATE(7680),
    [sym_storage_class_specifier] = STATE(3159),
    [sym_type_qualifier] = STATE(3159),
    [sym__type_specifier] = STATE(2827),
    [sym_sized_type_specifier] = STATE(3085),
    [sym_enum_specifier] = STATE(3085),
    [sym_struct_specifier] = STATE(3085),
    [sym_union_specifier] = STATE(3085),
    [sym__field_declaration_list_item] = STATE(1217),
    [sym_field_declaration] = STATE(1217),
    [sym_placeholder_type_specifier] = STATE(3085),
    [sym_decltype_auto] = STATE(3091),
    [sym_decltype] = STATE(3050),
    [sym_class_specifier] = STATE(3085),
    [sym_virtual] = STATE(3159),
    [sym_alignas_specifier] = STATE(3159),
    [sym_explicit_function_specifier] = STATE(2525),
    [sym_dependent_type] = STATE(3085),
    [sym_template_declaration] = STATE(1217),
    [sym_operator_cast] = STATE(8072),
    [sym_inline_method_definition] = STATE(1217),
    [sym__constructor_specifiers] = STATE(2525),
    [sym_operator_cast_definition] = STATE(1217),
    [sym_operator_cast_declaration] = STATE(1217),
    [sym_constructor_or_destructor_definition] = STATE(1217),
    [sym_constructor_or_destructor_declaration] = STATE(1217),
    [sym_friend_declaration] = STATE(1217),
    [sym_access_specifier] = STATE(9909),
    [sym_reference_declarator] = STATE(7680),
    [sym_structured_binding_declarator] = STATE(7680),
    [sym_template_type] = STATE(3050),
    [sym_template_function] = STATE(7680),
    [sym_using_declaration] = STATE(1217),
    [sym_alias_declaration] = STATE(1217),
    [sym_static_assert_declaration] = STATE(1217),
    [sym_destructor_name] = STATE(7680),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6733),
    [sym_qualified_identifier] = STATE(7680),
    [sym_qualified_type_identifier] = STATE(3068),
    [sym_qualified_operator_cast_identifier] = STATE(8072),
    [sym_operator_name] = STATE(7680),
    [sym_qualifiers] = STATE(3159),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(1217),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2680),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3021),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2525),
    [sym_identifier] = ACTIONS(2857),
    [aux_sym_preproc_def_token1] = ACTIONS(3194),
    [aux_sym_preproc_if_token1] = ACTIONS(3196),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3198),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3198),
    [sym_preproc_directive] = ACTIONS(3200),
    [anon_sym_LPAREN2] = ACTIONS(2875),
    [anon_sym_TILDE] = ACTIONS(2877),
    [anon_sym_STAR] = ACTIONS(2879),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(2881),
    [anon_sym___extension__] = ACTIONS(3202),
    [anon_sym_typedef] = ACTIONS(3204),
    [anon_sym_in] = ACTIONS(37),
    [anon_sym_out] = ACTIONS(37),
    [anon_sym_inout] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(2887),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2096),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym_RBRACE] = ACTIONS(3338),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(2889),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(2891),
    [anon_sym_enum] = ACTIONS(2893),
    [anon_sym_class] = ACTIONS(2895),
    [anon_sym_struct] = ACTIONS(2897),
    [anon_sym_union] = ACTIONS(2899),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [anon_sym_virtual] = ACTIONS(123),
    [anon_sym_alignas] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(2901),
    [anon_sym_template] = ACTIONS(3208),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_friend] = ACTIONS(3210),
    [anon_sym_public] = ACTIONS(2907),
    [anon_sym_private] = ACTIONS(2907),
    [anon_sym_protected] = ACTIONS(2907),
    [anon_sym_using] = ACTIONS(3212),
    [anon_sym_static_assert] = ACTIONS(3214),
    [anon_sym_precise] = ACTIONS(161),
    [anon_sym_shared] = ACTIONS(161),
    [anon_sym_groupshared] = ACTIONS(161),
    [anon_sym_uniform] = ACTIONS(161),
    [anon_sym_row_major] = ACTIONS(161),
    [anon_sym_column_major] = ACTIONS(161),
    [anon_sym_globallycoherent] = ACTIONS(161),
    [anon_sym_centroid] = ACTIONS(161),
    [anon_sym_noperspective] = ACTIONS(161),
    [anon_sym_nointerpolation] = ACTIONS(161),
    [anon_sym_sample] = ACTIONS(161),
    [anon_sym_linear] = ACTIONS(161),
    [anon_sym_snorm] = ACTIONS(161),
    [anon_sym_unorm] = ACTIONS(161),
    [anon_sym_point] = ACTIONS(161),
    [anon_sym_line] = ACTIONS(161),
    [anon_sym_triangleadj] = ACTIONS(161),
    [anon_sym_lineadj] = ACTIONS(161),
    [anon_sym_triangle] = ACTIONS(161),
  },
  [1243] = {
    [sym_preproc_def] = STATE(1243),
    [sym_preproc_function_def] = STATE(1243),
    [sym_preproc_call] = STATE(1243),
    [sym_preproc_if_in_field_declaration_list] = STATE(1243),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(1243),
    [sym_type_definition] = STATE(1243),
    [sym__declaration_modifiers] = STATE(3159),
    [sym__declaration_specifiers] = STATE(6931),
    [sym_attribute_specifier] = STATE(3159),
    [sym_attribute_declaration] = STATE(3159),
    [sym_ms_declspec_modifier] = STATE(3159),
    [sym_ms_based_modifier] = STATE(10332),
    [sym__declarator] = STATE(7978),
    [sym_parenthesized_declarator] = STATE(7680),
    [sym_attributed_declarator] = STATE(7680),
    [sym_pointer_declarator] = STATE(7680),
    [sym_function_declarator] = STATE(7507),
    [sym_array_declarator] = STATE(7680),
    [sym_storage_class_specifier] = STATE(3159),
    [sym_type_qualifier] = STATE(3159),
    [sym__type_specifier] = STATE(2827),
    [sym_sized_type_specifier] = STATE(3085),
    [sym_enum_specifier] = STATE(3085),
    [sym_struct_specifier] = STATE(3085),
    [sym_union_specifier] = STATE(3085),
    [sym__field_declaration_list_item] = STATE(1243),
    [sym_field_declaration] = STATE(1243),
    [sym_placeholder_type_specifier] = STATE(3085),
    [sym_decltype_auto] = STATE(3091),
    [sym_decltype] = STATE(3050),
    [sym_class_specifier] = STATE(3085),
    [sym_virtual] = STATE(3159),
    [sym_alignas_specifier] = STATE(3159),
    [sym_explicit_function_specifier] = STATE(2525),
    [sym_dependent_type] = STATE(3085),
    [sym_template_declaration] = STATE(1243),
    [sym_operator_cast] = STATE(8072),
    [sym_inline_method_definition] = STATE(1243),
    [sym__constructor_specifiers] = STATE(2525),
    [sym_operator_cast_definition] = STATE(1243),
    [sym_operator_cast_declaration] = STATE(1243),
    [sym_constructor_or_destructor_definition] = STATE(1243),
    [sym_constructor_or_destructor_declaration] = STATE(1243),
    [sym_friend_declaration] = STATE(1243),
    [sym_access_specifier] = STATE(9909),
    [sym_reference_declarator] = STATE(7680),
    [sym_structured_binding_declarator] = STATE(7680),
    [sym_template_type] = STATE(3050),
    [sym_template_function] = STATE(7680),
    [sym_using_declaration] = STATE(1243),
    [sym_alias_declaration] = STATE(1243),
    [sym_static_assert_declaration] = STATE(1243),
    [sym_destructor_name] = STATE(7680),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6733),
    [sym_qualified_identifier] = STATE(7680),
    [sym_qualified_type_identifier] = STATE(3068),
    [sym_qualified_operator_cast_identifier] = STATE(8072),
    [sym_operator_name] = STATE(7680),
    [sym_qualifiers] = STATE(3159),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(1243),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2680),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3021),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2525),
    [sym_identifier] = ACTIONS(3014),
    [aux_sym_preproc_def_token1] = ACTIONS(3340),
    [aux_sym_preproc_if_token1] = ACTIONS(3343),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3346),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3346),
    [sym_preproc_directive] = ACTIONS(3349),
    [anon_sym_LPAREN2] = ACTIONS(3031),
    [anon_sym_TILDE] = ACTIONS(3034),
    [anon_sym_STAR] = ACTIONS(3037),
    [anon_sym_AMP_AMP] = ACTIONS(3040),
    [anon_sym_AMP] = ACTIONS(3043),
    [anon_sym___extension__] = ACTIONS(3352),
    [anon_sym_typedef] = ACTIONS(3355),
    [anon_sym_in] = ACTIONS(3052),
    [anon_sym_out] = ACTIONS(3052),
    [anon_sym_inout] = ACTIONS(3052),
    [anon_sym_extern] = ACTIONS(3055),
    [anon_sym___attribute__] = ACTIONS(3058),
    [anon_sym_COLON_COLON] = ACTIONS(3061),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3064),
    [anon_sym___declspec] = ACTIONS(3067),
    [anon_sym___based] = ACTIONS(3070),
    [anon_sym_RBRACE] = ACTIONS(3358),
    [anon_sym_signed] = ACTIONS(3073),
    [anon_sym_unsigned] = ACTIONS(3073),
    [anon_sym_long] = ACTIONS(3073),
    [anon_sym_short] = ACTIONS(3073),
    [anon_sym_LBRACK] = ACTIONS(3076),
    [anon_sym_static] = ACTIONS(3055),
    [anon_sym_register] = ACTIONS(3055),
    [anon_sym_inline] = ACTIONS(3055),
    [anon_sym___inline] = ACTIONS(3055),
    [anon_sym___inline__] = ACTIONS(3055),
    [anon_sym___forceinline] = ACTIONS(3055),
    [anon_sym_thread_local] = ACTIONS(3055),
    [anon_sym___thread] = ACTIONS(3055),
    [anon_sym_const] = ACTIONS(3079),
    [anon_sym_constexpr] = ACTIONS(3079),
    [anon_sym_volatile] = ACTIONS(3079),
    [anon_sym_restrict] = ACTIONS(3079),
    [anon_sym___restrict__] = ACTIONS(3079),
    [anon_sym__Atomic] = ACTIONS(3079),
    [anon_sym__Noreturn] = ACTIONS(3079),
    [anon_sym_noreturn] = ACTIONS(3079),
    [anon_sym_mutable] = ACTIONS(3079),
    [anon_sym_constinit] = ACTIONS(3079),
    [anon_sym_consteval] = ACTIONS(3079),
    [sym_primitive_type] = ACTIONS(3082),
    [anon_sym_enum] = ACTIONS(3085),
    [anon_sym_class] = ACTIONS(3088),
    [anon_sym_struct] = ACTIONS(3091),
    [anon_sym_union] = ACTIONS(3094),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3097),
    [anon_sym_decltype] = ACTIONS(3100),
    [anon_sym_virtual] = ACTIONS(3103),
    [anon_sym_alignas] = ACTIONS(3106),
    [anon_sym_explicit] = ACTIONS(3109),
    [anon_sym_typename] = ACTIONS(3112),
    [anon_sym_template] = ACTIONS(3360),
    [anon_sym_operator] = ACTIONS(3118),
    [anon_sym_friend] = ACTIONS(3363),
    [anon_sym_public] = ACTIONS(3124),
    [anon_sym_private] = ACTIONS(3124),
    [anon_sym_protected] = ACTIONS(3124),
    [anon_sym_using] = ACTIONS(3366),
    [anon_sym_static_assert] = ACTIONS(3369),
    [anon_sym_precise] = ACTIONS(3133),
    [anon_sym_shared] = ACTIONS(3133),
    [anon_sym_groupshared] = ACTIONS(3133),
    [anon_sym_uniform] = ACTIONS(3133),
    [anon_sym_row_major] = ACTIONS(3133),
    [anon_sym_column_major] = ACTIONS(3133),
    [anon_sym_globallycoherent] = ACTIONS(3133),
    [anon_sym_centroid] = ACTIONS(3133),
    [anon_sym_noperspective] = ACTIONS(3133),
    [anon_sym_nointerpolation] = ACTIONS(3133),
    [anon_sym_sample] = ACTIONS(3133),
    [anon_sym_linear] = ACTIONS(3133),
    [anon_sym_snorm] = ACTIONS(3133),
    [anon_sym_unorm] = ACTIONS(3133),
    [anon_sym_point] = ACTIONS(3133),
    [anon_sym_line] = ACTIONS(3133),
    [anon_sym_triangleadj] = ACTIONS(3133),
    [anon_sym_lineadj] = ACTIONS(3133),
    [anon_sym_triangle] = ACTIONS(3133),
  },
  [1244] = {
    [ts_builtin_sym_end] = ACTIONS(2627),
    [sym_identifier] = ACTIONS(2625),
    [aux_sym_preproc_include_token1] = ACTIONS(2625),
    [aux_sym_preproc_def_token1] = ACTIONS(2625),
    [aux_sym_preproc_if_token1] = ACTIONS(2625),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2625),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2625),
    [sym_preproc_directive] = ACTIONS(2625),
    [anon_sym_LPAREN2] = ACTIONS(2627),
    [anon_sym_BANG] = ACTIONS(2627),
    [anon_sym_TILDE] = ACTIONS(2627),
    [anon_sym_DASH] = ACTIONS(2625),
    [anon_sym_PLUS] = ACTIONS(2625),
    [anon_sym_STAR] = ACTIONS(2627),
    [anon_sym_AMP_AMP] = ACTIONS(2627),
    [anon_sym_AMP] = ACTIONS(2625),
    [anon_sym___extension__] = ACTIONS(2625),
    [anon_sym_typedef] = ACTIONS(2625),
    [anon_sym_in] = ACTIONS(2625),
    [anon_sym_out] = ACTIONS(2625),
    [anon_sym_inout] = ACTIONS(2625),
    [anon_sym_extern] = ACTIONS(2625),
    [anon_sym___attribute__] = ACTIONS(2625),
    [anon_sym_COLON_COLON] = ACTIONS(2627),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2627),
    [anon_sym___declspec] = ACTIONS(2625),
    [anon_sym___based] = ACTIONS(2625),
    [anon_sym___cdecl] = ACTIONS(2625),
    [anon_sym___clrcall] = ACTIONS(2625),
    [anon_sym___stdcall] = ACTIONS(2625),
    [anon_sym___fastcall] = ACTIONS(2625),
    [anon_sym___thiscall] = ACTIONS(2625),
    [anon_sym___vectorcall] = ACTIONS(2625),
    [anon_sym_LBRACE] = ACTIONS(2627),
    [anon_sym_signed] = ACTIONS(2625),
    [anon_sym_unsigned] = ACTIONS(2625),
    [anon_sym_long] = ACTIONS(2625),
    [anon_sym_short] = ACTIONS(2625),
    [anon_sym_LBRACK] = ACTIONS(2625),
    [anon_sym_static] = ACTIONS(2625),
    [anon_sym_register] = ACTIONS(2625),
    [anon_sym_inline] = ACTIONS(2625),
    [anon_sym___inline] = ACTIONS(2625),
    [anon_sym___inline__] = ACTIONS(2625),
    [anon_sym___forceinline] = ACTIONS(2625),
    [anon_sym_thread_local] = ACTIONS(2625),
    [anon_sym___thread] = ACTIONS(2625),
    [anon_sym_const] = ACTIONS(2625),
    [anon_sym_constexpr] = ACTIONS(2625),
    [anon_sym_volatile] = ACTIONS(2625),
    [anon_sym_restrict] = ACTIONS(2625),
    [anon_sym___restrict__] = ACTIONS(2625),
    [anon_sym__Atomic] = ACTIONS(2625),
    [anon_sym__Noreturn] = ACTIONS(2625),
    [anon_sym_noreturn] = ACTIONS(2625),
    [anon_sym_mutable] = ACTIONS(2625),
    [anon_sym_constinit] = ACTIONS(2625),
    [anon_sym_consteval] = ACTIONS(2625),
    [sym_primitive_type] = ACTIONS(2625),
    [anon_sym_enum] = ACTIONS(2625),
    [anon_sym_class] = ACTIONS(2625),
    [anon_sym_struct] = ACTIONS(2625),
    [anon_sym_union] = ACTIONS(2625),
    [anon_sym_if] = ACTIONS(2625),
    [anon_sym_switch] = ACTIONS(2625),
    [anon_sym_case] = ACTIONS(2625),
    [anon_sym_default] = ACTIONS(2625),
    [anon_sym_while] = ACTIONS(2625),
    [anon_sym_do] = ACTIONS(2625),
    [anon_sym_for] = ACTIONS(2625),
    [anon_sym_return] = ACTIONS(2625),
    [anon_sym_break] = ACTIONS(2625),
    [anon_sym_continue] = ACTIONS(2625),
    [anon_sym_goto] = ACTIONS(2625),
    [anon_sym_not] = ACTIONS(2625),
    [anon_sym_compl] = ACTIONS(2625),
    [anon_sym_DASH_DASH] = ACTIONS(2627),
    [anon_sym_PLUS_PLUS] = ACTIONS(2627),
    [anon_sym_sizeof] = ACTIONS(2625),
    [anon_sym___alignof__] = ACTIONS(2625),
    [anon_sym___alignof] = ACTIONS(2625),
    [anon_sym__alignof] = ACTIONS(2625),
    [anon_sym_alignof] = ACTIONS(2625),
    [anon_sym__Alignof] = ACTIONS(2625),
    [anon_sym_offsetof] = ACTIONS(2625),
    [anon_sym__Generic] = ACTIONS(2625),
    [anon_sym_asm] = ACTIONS(2625),
    [anon_sym___asm__] = ACTIONS(2625),
    [sym_number_literal] = ACTIONS(2627),
    [anon_sym_L_SQUOTE] = ACTIONS(2627),
    [anon_sym_u_SQUOTE] = ACTIONS(2627),
    [anon_sym_U_SQUOTE] = ACTIONS(2627),
    [anon_sym_u8_SQUOTE] = ACTIONS(2627),
    [anon_sym_SQUOTE] = ACTIONS(2627),
    [anon_sym_L_DQUOTE] = ACTIONS(2627),
    [anon_sym_u_DQUOTE] = ACTIONS(2627),
    [anon_sym_U_DQUOTE] = ACTIONS(2627),
    [anon_sym_u8_DQUOTE] = ACTIONS(2627),
    [anon_sym_DQUOTE] = ACTIONS(2627),
    [sym_true] = ACTIONS(2625),
    [sym_false] = ACTIONS(2625),
    [anon_sym_NULL] = ACTIONS(2625),
    [anon_sym_nullptr] = ACTIONS(2625),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2625),
    [anon_sym_decltype] = ACTIONS(2625),
    [anon_sym_virtual] = ACTIONS(2625),
    [anon_sym_alignas] = ACTIONS(2625),
    [anon_sym_explicit] = ACTIONS(2625),
    [anon_sym_typename] = ACTIONS(2625),
    [anon_sym_template] = ACTIONS(2625),
    [anon_sym_operator] = ACTIONS(2625),
    [anon_sym_try] = ACTIONS(2625),
    [anon_sym_delete] = ACTIONS(2625),
    [anon_sym_throw] = ACTIONS(2625),
    [anon_sym_namespace] = ACTIONS(2625),
    [anon_sym_using] = ACTIONS(2625),
    [anon_sym_static_assert] = ACTIONS(2625),
    [anon_sym_concept] = ACTIONS(2625),
    [anon_sym_co_return] = ACTIONS(2625),
    [anon_sym_co_yield] = ACTIONS(2625),
    [anon_sym_R_DQUOTE] = ACTIONS(2627),
    [anon_sym_LR_DQUOTE] = ACTIONS(2627),
    [anon_sym_uR_DQUOTE] = ACTIONS(2627),
    [anon_sym_UR_DQUOTE] = ACTIONS(2627),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2627),
    [anon_sym_co_await] = ACTIONS(2625),
    [anon_sym_new] = ACTIONS(2625),
    [anon_sym_requires] = ACTIONS(2625),
    [sym_this] = ACTIONS(2625),
    [anon_sym_precise] = ACTIONS(2625),
    [anon_sym_shared] = ACTIONS(2625),
    [anon_sym_groupshared] = ACTIONS(2625),
    [anon_sym_uniform] = ACTIONS(2625),
    [anon_sym_row_major] = ACTIONS(2625),
    [anon_sym_column_major] = ACTIONS(2625),
    [anon_sym_globallycoherent] = ACTIONS(2625),
    [anon_sym_centroid] = ACTIONS(2625),
    [anon_sym_noperspective] = ACTIONS(2625),
    [anon_sym_nointerpolation] = ACTIONS(2625),
    [anon_sym_sample] = ACTIONS(2625),
    [anon_sym_linear] = ACTIONS(2625),
    [anon_sym_snorm] = ACTIONS(2625),
    [anon_sym_unorm] = ACTIONS(2625),
    [anon_sym_point] = ACTIONS(2625),
    [anon_sym_line] = ACTIONS(2625),
    [anon_sym_triangleadj] = ACTIONS(2625),
    [anon_sym_lineadj] = ACTIONS(2625),
    [anon_sym_triangle] = ACTIONS(2625),
  },
  [1245] = {
    [ts_builtin_sym_end] = ACTIONS(2708),
    [sym_identifier] = ACTIONS(2706),
    [aux_sym_preproc_include_token1] = ACTIONS(2706),
    [aux_sym_preproc_def_token1] = ACTIONS(2706),
    [aux_sym_preproc_if_token1] = ACTIONS(2706),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2706),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2706),
    [sym_preproc_directive] = ACTIONS(2706),
    [anon_sym_LPAREN2] = ACTIONS(2708),
    [anon_sym_BANG] = ACTIONS(2708),
    [anon_sym_TILDE] = ACTIONS(2708),
    [anon_sym_DASH] = ACTIONS(2706),
    [anon_sym_PLUS] = ACTIONS(2706),
    [anon_sym_STAR] = ACTIONS(2708),
    [anon_sym_AMP_AMP] = ACTIONS(2708),
    [anon_sym_AMP] = ACTIONS(2706),
    [anon_sym___extension__] = ACTIONS(2706),
    [anon_sym_typedef] = ACTIONS(2706),
    [anon_sym_in] = ACTIONS(2706),
    [anon_sym_out] = ACTIONS(2706),
    [anon_sym_inout] = ACTIONS(2706),
    [anon_sym_extern] = ACTIONS(2706),
    [anon_sym___attribute__] = ACTIONS(2706),
    [anon_sym_COLON_COLON] = ACTIONS(2708),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2708),
    [anon_sym___declspec] = ACTIONS(2706),
    [anon_sym___based] = ACTIONS(2706),
    [anon_sym___cdecl] = ACTIONS(2706),
    [anon_sym___clrcall] = ACTIONS(2706),
    [anon_sym___stdcall] = ACTIONS(2706),
    [anon_sym___fastcall] = ACTIONS(2706),
    [anon_sym___thiscall] = ACTIONS(2706),
    [anon_sym___vectorcall] = ACTIONS(2706),
    [anon_sym_LBRACE] = ACTIONS(2708),
    [anon_sym_signed] = ACTIONS(2706),
    [anon_sym_unsigned] = ACTIONS(2706),
    [anon_sym_long] = ACTIONS(2706),
    [anon_sym_short] = ACTIONS(2706),
    [anon_sym_LBRACK] = ACTIONS(2706),
    [anon_sym_static] = ACTIONS(2706),
    [anon_sym_register] = ACTIONS(2706),
    [anon_sym_inline] = ACTIONS(2706),
    [anon_sym___inline] = ACTIONS(2706),
    [anon_sym___inline__] = ACTIONS(2706),
    [anon_sym___forceinline] = ACTIONS(2706),
    [anon_sym_thread_local] = ACTIONS(2706),
    [anon_sym___thread] = ACTIONS(2706),
    [anon_sym_const] = ACTIONS(2706),
    [anon_sym_constexpr] = ACTIONS(2706),
    [anon_sym_volatile] = ACTIONS(2706),
    [anon_sym_restrict] = ACTIONS(2706),
    [anon_sym___restrict__] = ACTIONS(2706),
    [anon_sym__Atomic] = ACTIONS(2706),
    [anon_sym__Noreturn] = ACTIONS(2706),
    [anon_sym_noreturn] = ACTIONS(2706),
    [anon_sym_mutable] = ACTIONS(2706),
    [anon_sym_constinit] = ACTIONS(2706),
    [anon_sym_consteval] = ACTIONS(2706),
    [sym_primitive_type] = ACTIONS(2706),
    [anon_sym_enum] = ACTIONS(2706),
    [anon_sym_class] = ACTIONS(2706),
    [anon_sym_struct] = ACTIONS(2706),
    [anon_sym_union] = ACTIONS(2706),
    [anon_sym_if] = ACTIONS(2706),
    [anon_sym_switch] = ACTIONS(2706),
    [anon_sym_case] = ACTIONS(2706),
    [anon_sym_default] = ACTIONS(2706),
    [anon_sym_while] = ACTIONS(2706),
    [anon_sym_do] = ACTIONS(2706),
    [anon_sym_for] = ACTIONS(2706),
    [anon_sym_return] = ACTIONS(2706),
    [anon_sym_break] = ACTIONS(2706),
    [anon_sym_continue] = ACTIONS(2706),
    [anon_sym_goto] = ACTIONS(2706),
    [anon_sym_not] = ACTIONS(2706),
    [anon_sym_compl] = ACTIONS(2706),
    [anon_sym_DASH_DASH] = ACTIONS(2708),
    [anon_sym_PLUS_PLUS] = ACTIONS(2708),
    [anon_sym_sizeof] = ACTIONS(2706),
    [anon_sym___alignof__] = ACTIONS(2706),
    [anon_sym___alignof] = ACTIONS(2706),
    [anon_sym__alignof] = ACTIONS(2706),
    [anon_sym_alignof] = ACTIONS(2706),
    [anon_sym__Alignof] = ACTIONS(2706),
    [anon_sym_offsetof] = ACTIONS(2706),
    [anon_sym__Generic] = ACTIONS(2706),
    [anon_sym_asm] = ACTIONS(2706),
    [anon_sym___asm__] = ACTIONS(2706),
    [sym_number_literal] = ACTIONS(2708),
    [anon_sym_L_SQUOTE] = ACTIONS(2708),
    [anon_sym_u_SQUOTE] = ACTIONS(2708),
    [anon_sym_U_SQUOTE] = ACTIONS(2708),
    [anon_sym_u8_SQUOTE] = ACTIONS(2708),
    [anon_sym_SQUOTE] = ACTIONS(2708),
    [anon_sym_L_DQUOTE] = ACTIONS(2708),
    [anon_sym_u_DQUOTE] = ACTIONS(2708),
    [anon_sym_U_DQUOTE] = ACTIONS(2708),
    [anon_sym_u8_DQUOTE] = ACTIONS(2708),
    [anon_sym_DQUOTE] = ACTIONS(2708),
    [sym_true] = ACTIONS(2706),
    [sym_false] = ACTIONS(2706),
    [anon_sym_NULL] = ACTIONS(2706),
    [anon_sym_nullptr] = ACTIONS(2706),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2706),
    [anon_sym_decltype] = ACTIONS(2706),
    [anon_sym_virtual] = ACTIONS(2706),
    [anon_sym_alignas] = ACTIONS(2706),
    [anon_sym_explicit] = ACTIONS(2706),
    [anon_sym_typename] = ACTIONS(2706),
    [anon_sym_template] = ACTIONS(2706),
    [anon_sym_operator] = ACTIONS(2706),
    [anon_sym_try] = ACTIONS(2706),
    [anon_sym_delete] = ACTIONS(2706),
    [anon_sym_throw] = ACTIONS(2706),
    [anon_sym_namespace] = ACTIONS(2706),
    [anon_sym_using] = ACTIONS(2706),
    [anon_sym_static_assert] = ACTIONS(2706),
    [anon_sym_concept] = ACTIONS(2706),
    [anon_sym_co_return] = ACTIONS(2706),
    [anon_sym_co_yield] = ACTIONS(2706),
    [anon_sym_R_DQUOTE] = ACTIONS(2708),
    [anon_sym_LR_DQUOTE] = ACTIONS(2708),
    [anon_sym_uR_DQUOTE] = ACTIONS(2708),
    [anon_sym_UR_DQUOTE] = ACTIONS(2708),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2708),
    [anon_sym_co_await] = ACTIONS(2706),
    [anon_sym_new] = ACTIONS(2706),
    [anon_sym_requires] = ACTIONS(2706),
    [sym_this] = ACTIONS(2706),
    [anon_sym_precise] = ACTIONS(2706),
    [anon_sym_shared] = ACTIONS(2706),
    [anon_sym_groupshared] = ACTIONS(2706),
    [anon_sym_uniform] = ACTIONS(2706),
    [anon_sym_row_major] = ACTIONS(2706),
    [anon_sym_column_major] = ACTIONS(2706),
    [anon_sym_globallycoherent] = ACTIONS(2706),
    [anon_sym_centroid] = ACTIONS(2706),
    [anon_sym_noperspective] = ACTIONS(2706),
    [anon_sym_nointerpolation] = ACTIONS(2706),
    [anon_sym_sample] = ACTIONS(2706),
    [anon_sym_linear] = ACTIONS(2706),
    [anon_sym_snorm] = ACTIONS(2706),
    [anon_sym_unorm] = ACTIONS(2706),
    [anon_sym_point] = ACTIONS(2706),
    [anon_sym_line] = ACTIONS(2706),
    [anon_sym_triangleadj] = ACTIONS(2706),
    [anon_sym_lineadj] = ACTIONS(2706),
    [anon_sym_triangle] = ACTIONS(2706),
  },
  [1246] = {
    [ts_builtin_sym_end] = ACTIONS(2659),
    [sym_identifier] = ACTIONS(2657),
    [aux_sym_preproc_include_token1] = ACTIONS(2657),
    [aux_sym_preproc_def_token1] = ACTIONS(2657),
    [aux_sym_preproc_if_token1] = ACTIONS(2657),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2657),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2657),
    [sym_preproc_directive] = ACTIONS(2657),
    [anon_sym_LPAREN2] = ACTIONS(2659),
    [anon_sym_BANG] = ACTIONS(2659),
    [anon_sym_TILDE] = ACTIONS(2659),
    [anon_sym_DASH] = ACTIONS(2657),
    [anon_sym_PLUS] = ACTIONS(2657),
    [anon_sym_STAR] = ACTIONS(2659),
    [anon_sym_AMP_AMP] = ACTIONS(2659),
    [anon_sym_AMP] = ACTIONS(2657),
    [anon_sym___extension__] = ACTIONS(2657),
    [anon_sym_typedef] = ACTIONS(2657),
    [anon_sym_in] = ACTIONS(2657),
    [anon_sym_out] = ACTIONS(2657),
    [anon_sym_inout] = ACTIONS(2657),
    [anon_sym_extern] = ACTIONS(2657),
    [anon_sym___attribute__] = ACTIONS(2657),
    [anon_sym_COLON_COLON] = ACTIONS(2659),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2659),
    [anon_sym___declspec] = ACTIONS(2657),
    [anon_sym___based] = ACTIONS(2657),
    [anon_sym___cdecl] = ACTIONS(2657),
    [anon_sym___clrcall] = ACTIONS(2657),
    [anon_sym___stdcall] = ACTIONS(2657),
    [anon_sym___fastcall] = ACTIONS(2657),
    [anon_sym___thiscall] = ACTIONS(2657),
    [anon_sym___vectorcall] = ACTIONS(2657),
    [anon_sym_LBRACE] = ACTIONS(2659),
    [anon_sym_signed] = ACTIONS(2657),
    [anon_sym_unsigned] = ACTIONS(2657),
    [anon_sym_long] = ACTIONS(2657),
    [anon_sym_short] = ACTIONS(2657),
    [anon_sym_LBRACK] = ACTIONS(2657),
    [anon_sym_static] = ACTIONS(2657),
    [anon_sym_register] = ACTIONS(2657),
    [anon_sym_inline] = ACTIONS(2657),
    [anon_sym___inline] = ACTIONS(2657),
    [anon_sym___inline__] = ACTIONS(2657),
    [anon_sym___forceinline] = ACTIONS(2657),
    [anon_sym_thread_local] = ACTIONS(2657),
    [anon_sym___thread] = ACTIONS(2657),
    [anon_sym_const] = ACTIONS(2657),
    [anon_sym_constexpr] = ACTIONS(2657),
    [anon_sym_volatile] = ACTIONS(2657),
    [anon_sym_restrict] = ACTIONS(2657),
    [anon_sym___restrict__] = ACTIONS(2657),
    [anon_sym__Atomic] = ACTIONS(2657),
    [anon_sym__Noreturn] = ACTIONS(2657),
    [anon_sym_noreturn] = ACTIONS(2657),
    [anon_sym_mutable] = ACTIONS(2657),
    [anon_sym_constinit] = ACTIONS(2657),
    [anon_sym_consteval] = ACTIONS(2657),
    [sym_primitive_type] = ACTIONS(2657),
    [anon_sym_enum] = ACTIONS(2657),
    [anon_sym_class] = ACTIONS(2657),
    [anon_sym_struct] = ACTIONS(2657),
    [anon_sym_union] = ACTIONS(2657),
    [anon_sym_if] = ACTIONS(2657),
    [anon_sym_switch] = ACTIONS(2657),
    [anon_sym_case] = ACTIONS(2657),
    [anon_sym_default] = ACTIONS(2657),
    [anon_sym_while] = ACTIONS(2657),
    [anon_sym_do] = ACTIONS(2657),
    [anon_sym_for] = ACTIONS(2657),
    [anon_sym_return] = ACTIONS(2657),
    [anon_sym_break] = ACTIONS(2657),
    [anon_sym_continue] = ACTIONS(2657),
    [anon_sym_goto] = ACTIONS(2657),
    [anon_sym_not] = ACTIONS(2657),
    [anon_sym_compl] = ACTIONS(2657),
    [anon_sym_DASH_DASH] = ACTIONS(2659),
    [anon_sym_PLUS_PLUS] = ACTIONS(2659),
    [anon_sym_sizeof] = ACTIONS(2657),
    [anon_sym___alignof__] = ACTIONS(2657),
    [anon_sym___alignof] = ACTIONS(2657),
    [anon_sym__alignof] = ACTIONS(2657),
    [anon_sym_alignof] = ACTIONS(2657),
    [anon_sym__Alignof] = ACTIONS(2657),
    [anon_sym_offsetof] = ACTIONS(2657),
    [anon_sym__Generic] = ACTIONS(2657),
    [anon_sym_asm] = ACTIONS(2657),
    [anon_sym___asm__] = ACTIONS(2657),
    [sym_number_literal] = ACTIONS(2659),
    [anon_sym_L_SQUOTE] = ACTIONS(2659),
    [anon_sym_u_SQUOTE] = ACTIONS(2659),
    [anon_sym_U_SQUOTE] = ACTIONS(2659),
    [anon_sym_u8_SQUOTE] = ACTIONS(2659),
    [anon_sym_SQUOTE] = ACTIONS(2659),
    [anon_sym_L_DQUOTE] = ACTIONS(2659),
    [anon_sym_u_DQUOTE] = ACTIONS(2659),
    [anon_sym_U_DQUOTE] = ACTIONS(2659),
    [anon_sym_u8_DQUOTE] = ACTIONS(2659),
    [anon_sym_DQUOTE] = ACTIONS(2659),
    [sym_true] = ACTIONS(2657),
    [sym_false] = ACTIONS(2657),
    [anon_sym_NULL] = ACTIONS(2657),
    [anon_sym_nullptr] = ACTIONS(2657),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2657),
    [anon_sym_decltype] = ACTIONS(2657),
    [anon_sym_virtual] = ACTIONS(2657),
    [anon_sym_alignas] = ACTIONS(2657),
    [anon_sym_explicit] = ACTIONS(2657),
    [anon_sym_typename] = ACTIONS(2657),
    [anon_sym_template] = ACTIONS(2657),
    [anon_sym_operator] = ACTIONS(2657),
    [anon_sym_try] = ACTIONS(2657),
    [anon_sym_delete] = ACTIONS(2657),
    [anon_sym_throw] = ACTIONS(2657),
    [anon_sym_namespace] = ACTIONS(2657),
    [anon_sym_using] = ACTIONS(2657),
    [anon_sym_static_assert] = ACTIONS(2657),
    [anon_sym_concept] = ACTIONS(2657),
    [anon_sym_co_return] = ACTIONS(2657),
    [anon_sym_co_yield] = ACTIONS(2657),
    [anon_sym_R_DQUOTE] = ACTIONS(2659),
    [anon_sym_LR_DQUOTE] = ACTIONS(2659),
    [anon_sym_uR_DQUOTE] = ACTIONS(2659),
    [anon_sym_UR_DQUOTE] = ACTIONS(2659),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2659),
    [anon_sym_co_await] = ACTIONS(2657),
    [anon_sym_new] = ACTIONS(2657),
    [anon_sym_requires] = ACTIONS(2657),
    [sym_this] = ACTIONS(2657),
    [anon_sym_precise] = ACTIONS(2657),
    [anon_sym_shared] = ACTIONS(2657),
    [anon_sym_groupshared] = ACTIONS(2657),
    [anon_sym_uniform] = ACTIONS(2657),
    [anon_sym_row_major] = ACTIONS(2657),
    [anon_sym_column_major] = ACTIONS(2657),
    [anon_sym_globallycoherent] = ACTIONS(2657),
    [anon_sym_centroid] = ACTIONS(2657),
    [anon_sym_noperspective] = ACTIONS(2657),
    [anon_sym_nointerpolation] = ACTIONS(2657),
    [anon_sym_sample] = ACTIONS(2657),
    [anon_sym_linear] = ACTIONS(2657),
    [anon_sym_snorm] = ACTIONS(2657),
    [anon_sym_unorm] = ACTIONS(2657),
    [anon_sym_point] = ACTIONS(2657),
    [anon_sym_line] = ACTIONS(2657),
    [anon_sym_triangleadj] = ACTIONS(2657),
    [anon_sym_lineadj] = ACTIONS(2657),
    [anon_sym_triangle] = ACTIONS(2657),
  },
  [1247] = {
    [ts_builtin_sym_end] = ACTIONS(2675),
    [sym_identifier] = ACTIONS(2673),
    [aux_sym_preproc_include_token1] = ACTIONS(2673),
    [aux_sym_preproc_def_token1] = ACTIONS(2673),
    [aux_sym_preproc_if_token1] = ACTIONS(2673),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2673),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2673),
    [sym_preproc_directive] = ACTIONS(2673),
    [anon_sym_LPAREN2] = ACTIONS(2675),
    [anon_sym_BANG] = ACTIONS(2675),
    [anon_sym_TILDE] = ACTIONS(2675),
    [anon_sym_DASH] = ACTIONS(2673),
    [anon_sym_PLUS] = ACTIONS(2673),
    [anon_sym_STAR] = ACTIONS(2675),
    [anon_sym_AMP_AMP] = ACTIONS(2675),
    [anon_sym_AMP] = ACTIONS(2673),
    [anon_sym___extension__] = ACTIONS(2673),
    [anon_sym_typedef] = ACTIONS(2673),
    [anon_sym_in] = ACTIONS(2673),
    [anon_sym_out] = ACTIONS(2673),
    [anon_sym_inout] = ACTIONS(2673),
    [anon_sym_extern] = ACTIONS(2673),
    [anon_sym___attribute__] = ACTIONS(2673),
    [anon_sym_COLON_COLON] = ACTIONS(2675),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2675),
    [anon_sym___declspec] = ACTIONS(2673),
    [anon_sym___based] = ACTIONS(2673),
    [anon_sym___cdecl] = ACTIONS(2673),
    [anon_sym___clrcall] = ACTIONS(2673),
    [anon_sym___stdcall] = ACTIONS(2673),
    [anon_sym___fastcall] = ACTIONS(2673),
    [anon_sym___thiscall] = ACTIONS(2673),
    [anon_sym___vectorcall] = ACTIONS(2673),
    [anon_sym_LBRACE] = ACTIONS(2675),
    [anon_sym_signed] = ACTIONS(2673),
    [anon_sym_unsigned] = ACTIONS(2673),
    [anon_sym_long] = ACTIONS(2673),
    [anon_sym_short] = ACTIONS(2673),
    [anon_sym_LBRACK] = ACTIONS(2673),
    [anon_sym_static] = ACTIONS(2673),
    [anon_sym_register] = ACTIONS(2673),
    [anon_sym_inline] = ACTIONS(2673),
    [anon_sym___inline] = ACTIONS(2673),
    [anon_sym___inline__] = ACTIONS(2673),
    [anon_sym___forceinline] = ACTIONS(2673),
    [anon_sym_thread_local] = ACTIONS(2673),
    [anon_sym___thread] = ACTIONS(2673),
    [anon_sym_const] = ACTIONS(2673),
    [anon_sym_constexpr] = ACTIONS(2673),
    [anon_sym_volatile] = ACTIONS(2673),
    [anon_sym_restrict] = ACTIONS(2673),
    [anon_sym___restrict__] = ACTIONS(2673),
    [anon_sym__Atomic] = ACTIONS(2673),
    [anon_sym__Noreturn] = ACTIONS(2673),
    [anon_sym_noreturn] = ACTIONS(2673),
    [anon_sym_mutable] = ACTIONS(2673),
    [anon_sym_constinit] = ACTIONS(2673),
    [anon_sym_consteval] = ACTIONS(2673),
    [sym_primitive_type] = ACTIONS(2673),
    [anon_sym_enum] = ACTIONS(2673),
    [anon_sym_class] = ACTIONS(2673),
    [anon_sym_struct] = ACTIONS(2673),
    [anon_sym_union] = ACTIONS(2673),
    [anon_sym_if] = ACTIONS(2673),
    [anon_sym_switch] = ACTIONS(2673),
    [anon_sym_case] = ACTIONS(2673),
    [anon_sym_default] = ACTIONS(2673),
    [anon_sym_while] = ACTIONS(2673),
    [anon_sym_do] = ACTIONS(2673),
    [anon_sym_for] = ACTIONS(2673),
    [anon_sym_return] = ACTIONS(2673),
    [anon_sym_break] = ACTIONS(2673),
    [anon_sym_continue] = ACTIONS(2673),
    [anon_sym_goto] = ACTIONS(2673),
    [anon_sym_not] = ACTIONS(2673),
    [anon_sym_compl] = ACTIONS(2673),
    [anon_sym_DASH_DASH] = ACTIONS(2675),
    [anon_sym_PLUS_PLUS] = ACTIONS(2675),
    [anon_sym_sizeof] = ACTIONS(2673),
    [anon_sym___alignof__] = ACTIONS(2673),
    [anon_sym___alignof] = ACTIONS(2673),
    [anon_sym__alignof] = ACTIONS(2673),
    [anon_sym_alignof] = ACTIONS(2673),
    [anon_sym__Alignof] = ACTIONS(2673),
    [anon_sym_offsetof] = ACTIONS(2673),
    [anon_sym__Generic] = ACTIONS(2673),
    [anon_sym_asm] = ACTIONS(2673),
    [anon_sym___asm__] = ACTIONS(2673),
    [sym_number_literal] = ACTIONS(2675),
    [anon_sym_L_SQUOTE] = ACTIONS(2675),
    [anon_sym_u_SQUOTE] = ACTIONS(2675),
    [anon_sym_U_SQUOTE] = ACTIONS(2675),
    [anon_sym_u8_SQUOTE] = ACTIONS(2675),
    [anon_sym_SQUOTE] = ACTIONS(2675),
    [anon_sym_L_DQUOTE] = ACTIONS(2675),
    [anon_sym_u_DQUOTE] = ACTIONS(2675),
    [anon_sym_U_DQUOTE] = ACTIONS(2675),
    [anon_sym_u8_DQUOTE] = ACTIONS(2675),
    [anon_sym_DQUOTE] = ACTIONS(2675),
    [sym_true] = ACTIONS(2673),
    [sym_false] = ACTIONS(2673),
    [anon_sym_NULL] = ACTIONS(2673),
    [anon_sym_nullptr] = ACTIONS(2673),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2673),
    [anon_sym_decltype] = ACTIONS(2673),
    [anon_sym_virtual] = ACTIONS(2673),
    [anon_sym_alignas] = ACTIONS(2673),
    [anon_sym_explicit] = ACTIONS(2673),
    [anon_sym_typename] = ACTIONS(2673),
    [anon_sym_template] = ACTIONS(2673),
    [anon_sym_operator] = ACTIONS(2673),
    [anon_sym_try] = ACTIONS(2673),
    [anon_sym_delete] = ACTIONS(2673),
    [anon_sym_throw] = ACTIONS(2673),
    [anon_sym_namespace] = ACTIONS(2673),
    [anon_sym_using] = ACTIONS(2673),
    [anon_sym_static_assert] = ACTIONS(2673),
    [anon_sym_concept] = ACTIONS(2673),
    [anon_sym_co_return] = ACTIONS(2673),
    [anon_sym_co_yield] = ACTIONS(2673),
    [anon_sym_R_DQUOTE] = ACTIONS(2675),
    [anon_sym_LR_DQUOTE] = ACTIONS(2675),
    [anon_sym_uR_DQUOTE] = ACTIONS(2675),
    [anon_sym_UR_DQUOTE] = ACTIONS(2675),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2675),
    [anon_sym_co_await] = ACTIONS(2673),
    [anon_sym_new] = ACTIONS(2673),
    [anon_sym_requires] = ACTIONS(2673),
    [sym_this] = ACTIONS(2673),
    [anon_sym_precise] = ACTIONS(2673),
    [anon_sym_shared] = ACTIONS(2673),
    [anon_sym_groupshared] = ACTIONS(2673),
    [anon_sym_uniform] = ACTIONS(2673),
    [anon_sym_row_major] = ACTIONS(2673),
    [anon_sym_column_major] = ACTIONS(2673),
    [anon_sym_globallycoherent] = ACTIONS(2673),
    [anon_sym_centroid] = ACTIONS(2673),
    [anon_sym_noperspective] = ACTIONS(2673),
    [anon_sym_nointerpolation] = ACTIONS(2673),
    [anon_sym_sample] = ACTIONS(2673),
    [anon_sym_linear] = ACTIONS(2673),
    [anon_sym_snorm] = ACTIONS(2673),
    [anon_sym_unorm] = ACTIONS(2673),
    [anon_sym_point] = ACTIONS(2673),
    [anon_sym_line] = ACTIONS(2673),
    [anon_sym_triangleadj] = ACTIONS(2673),
    [anon_sym_lineadj] = ACTIONS(2673),
    [anon_sym_triangle] = ACTIONS(2673),
  },
  [1248] = {
    [ts_builtin_sym_end] = ACTIONS(2643),
    [sym_identifier] = ACTIONS(2641),
    [aux_sym_preproc_include_token1] = ACTIONS(2641),
    [aux_sym_preproc_def_token1] = ACTIONS(2641),
    [aux_sym_preproc_if_token1] = ACTIONS(2641),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2641),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2641),
    [sym_preproc_directive] = ACTIONS(2641),
    [anon_sym_LPAREN2] = ACTIONS(2643),
    [anon_sym_BANG] = ACTIONS(2643),
    [anon_sym_TILDE] = ACTIONS(2643),
    [anon_sym_DASH] = ACTIONS(2641),
    [anon_sym_PLUS] = ACTIONS(2641),
    [anon_sym_STAR] = ACTIONS(2643),
    [anon_sym_AMP_AMP] = ACTIONS(2643),
    [anon_sym_AMP] = ACTIONS(2641),
    [anon_sym___extension__] = ACTIONS(2641),
    [anon_sym_typedef] = ACTIONS(2641),
    [anon_sym_in] = ACTIONS(2641),
    [anon_sym_out] = ACTIONS(2641),
    [anon_sym_inout] = ACTIONS(2641),
    [anon_sym_extern] = ACTIONS(2641),
    [anon_sym___attribute__] = ACTIONS(2641),
    [anon_sym_COLON_COLON] = ACTIONS(2643),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2643),
    [anon_sym___declspec] = ACTIONS(2641),
    [anon_sym___based] = ACTIONS(2641),
    [anon_sym___cdecl] = ACTIONS(2641),
    [anon_sym___clrcall] = ACTIONS(2641),
    [anon_sym___stdcall] = ACTIONS(2641),
    [anon_sym___fastcall] = ACTIONS(2641),
    [anon_sym___thiscall] = ACTIONS(2641),
    [anon_sym___vectorcall] = ACTIONS(2641),
    [anon_sym_LBRACE] = ACTIONS(2643),
    [anon_sym_signed] = ACTIONS(2641),
    [anon_sym_unsigned] = ACTIONS(2641),
    [anon_sym_long] = ACTIONS(2641),
    [anon_sym_short] = ACTIONS(2641),
    [anon_sym_LBRACK] = ACTIONS(2641),
    [anon_sym_static] = ACTIONS(2641),
    [anon_sym_register] = ACTIONS(2641),
    [anon_sym_inline] = ACTIONS(2641),
    [anon_sym___inline] = ACTIONS(2641),
    [anon_sym___inline__] = ACTIONS(2641),
    [anon_sym___forceinline] = ACTIONS(2641),
    [anon_sym_thread_local] = ACTIONS(2641),
    [anon_sym___thread] = ACTIONS(2641),
    [anon_sym_const] = ACTIONS(2641),
    [anon_sym_constexpr] = ACTIONS(2641),
    [anon_sym_volatile] = ACTIONS(2641),
    [anon_sym_restrict] = ACTIONS(2641),
    [anon_sym___restrict__] = ACTIONS(2641),
    [anon_sym__Atomic] = ACTIONS(2641),
    [anon_sym__Noreturn] = ACTIONS(2641),
    [anon_sym_noreturn] = ACTIONS(2641),
    [anon_sym_mutable] = ACTIONS(2641),
    [anon_sym_constinit] = ACTIONS(2641),
    [anon_sym_consteval] = ACTIONS(2641),
    [sym_primitive_type] = ACTIONS(2641),
    [anon_sym_enum] = ACTIONS(2641),
    [anon_sym_class] = ACTIONS(2641),
    [anon_sym_struct] = ACTIONS(2641),
    [anon_sym_union] = ACTIONS(2641),
    [anon_sym_if] = ACTIONS(2641),
    [anon_sym_switch] = ACTIONS(2641),
    [anon_sym_case] = ACTIONS(2641),
    [anon_sym_default] = ACTIONS(2641),
    [anon_sym_while] = ACTIONS(2641),
    [anon_sym_do] = ACTIONS(2641),
    [anon_sym_for] = ACTIONS(2641),
    [anon_sym_return] = ACTIONS(2641),
    [anon_sym_break] = ACTIONS(2641),
    [anon_sym_continue] = ACTIONS(2641),
    [anon_sym_goto] = ACTIONS(2641),
    [anon_sym_not] = ACTIONS(2641),
    [anon_sym_compl] = ACTIONS(2641),
    [anon_sym_DASH_DASH] = ACTIONS(2643),
    [anon_sym_PLUS_PLUS] = ACTIONS(2643),
    [anon_sym_sizeof] = ACTIONS(2641),
    [anon_sym___alignof__] = ACTIONS(2641),
    [anon_sym___alignof] = ACTIONS(2641),
    [anon_sym__alignof] = ACTIONS(2641),
    [anon_sym_alignof] = ACTIONS(2641),
    [anon_sym__Alignof] = ACTIONS(2641),
    [anon_sym_offsetof] = ACTIONS(2641),
    [anon_sym__Generic] = ACTIONS(2641),
    [anon_sym_asm] = ACTIONS(2641),
    [anon_sym___asm__] = ACTIONS(2641),
    [sym_number_literal] = ACTIONS(2643),
    [anon_sym_L_SQUOTE] = ACTIONS(2643),
    [anon_sym_u_SQUOTE] = ACTIONS(2643),
    [anon_sym_U_SQUOTE] = ACTIONS(2643),
    [anon_sym_u8_SQUOTE] = ACTIONS(2643),
    [anon_sym_SQUOTE] = ACTIONS(2643),
    [anon_sym_L_DQUOTE] = ACTIONS(2643),
    [anon_sym_u_DQUOTE] = ACTIONS(2643),
    [anon_sym_U_DQUOTE] = ACTIONS(2643),
    [anon_sym_u8_DQUOTE] = ACTIONS(2643),
    [anon_sym_DQUOTE] = ACTIONS(2643),
    [sym_true] = ACTIONS(2641),
    [sym_false] = ACTIONS(2641),
    [anon_sym_NULL] = ACTIONS(2641),
    [anon_sym_nullptr] = ACTIONS(2641),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2641),
    [anon_sym_decltype] = ACTIONS(2641),
    [anon_sym_virtual] = ACTIONS(2641),
    [anon_sym_alignas] = ACTIONS(2641),
    [anon_sym_explicit] = ACTIONS(2641),
    [anon_sym_typename] = ACTIONS(2641),
    [anon_sym_template] = ACTIONS(2641),
    [anon_sym_operator] = ACTIONS(2641),
    [anon_sym_try] = ACTIONS(2641),
    [anon_sym_delete] = ACTIONS(2641),
    [anon_sym_throw] = ACTIONS(2641),
    [anon_sym_namespace] = ACTIONS(2641),
    [anon_sym_using] = ACTIONS(2641),
    [anon_sym_static_assert] = ACTIONS(2641),
    [anon_sym_concept] = ACTIONS(2641),
    [anon_sym_co_return] = ACTIONS(2641),
    [anon_sym_co_yield] = ACTIONS(2641),
    [anon_sym_R_DQUOTE] = ACTIONS(2643),
    [anon_sym_LR_DQUOTE] = ACTIONS(2643),
    [anon_sym_uR_DQUOTE] = ACTIONS(2643),
    [anon_sym_UR_DQUOTE] = ACTIONS(2643),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2643),
    [anon_sym_co_await] = ACTIONS(2641),
    [anon_sym_new] = ACTIONS(2641),
    [anon_sym_requires] = ACTIONS(2641),
    [sym_this] = ACTIONS(2641),
    [anon_sym_precise] = ACTIONS(2641),
    [anon_sym_shared] = ACTIONS(2641),
    [anon_sym_groupshared] = ACTIONS(2641),
    [anon_sym_uniform] = ACTIONS(2641),
    [anon_sym_row_major] = ACTIONS(2641),
    [anon_sym_column_major] = ACTIONS(2641),
    [anon_sym_globallycoherent] = ACTIONS(2641),
    [anon_sym_centroid] = ACTIONS(2641),
    [anon_sym_noperspective] = ACTIONS(2641),
    [anon_sym_nointerpolation] = ACTIONS(2641),
    [anon_sym_sample] = ACTIONS(2641),
    [anon_sym_linear] = ACTIONS(2641),
    [anon_sym_snorm] = ACTIONS(2641),
    [anon_sym_unorm] = ACTIONS(2641),
    [anon_sym_point] = ACTIONS(2641),
    [anon_sym_line] = ACTIONS(2641),
    [anon_sym_triangleadj] = ACTIONS(2641),
    [anon_sym_lineadj] = ACTIONS(2641),
    [anon_sym_triangle] = ACTIONS(2641),
  },
  [1249] = {
    [ts_builtin_sym_end] = ACTIONS(2639),
    [sym_identifier] = ACTIONS(2637),
    [aux_sym_preproc_include_token1] = ACTIONS(2637),
    [aux_sym_preproc_def_token1] = ACTIONS(2637),
    [aux_sym_preproc_if_token1] = ACTIONS(2637),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2637),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2637),
    [sym_preproc_directive] = ACTIONS(2637),
    [anon_sym_LPAREN2] = ACTIONS(2639),
    [anon_sym_BANG] = ACTIONS(2639),
    [anon_sym_TILDE] = ACTIONS(2639),
    [anon_sym_DASH] = ACTIONS(2637),
    [anon_sym_PLUS] = ACTIONS(2637),
    [anon_sym_STAR] = ACTIONS(2639),
    [anon_sym_AMP_AMP] = ACTIONS(2639),
    [anon_sym_AMP] = ACTIONS(2637),
    [anon_sym___extension__] = ACTIONS(2637),
    [anon_sym_typedef] = ACTIONS(2637),
    [anon_sym_in] = ACTIONS(2637),
    [anon_sym_out] = ACTIONS(2637),
    [anon_sym_inout] = ACTIONS(2637),
    [anon_sym_extern] = ACTIONS(2637),
    [anon_sym___attribute__] = ACTIONS(2637),
    [anon_sym_COLON_COLON] = ACTIONS(2639),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2639),
    [anon_sym___declspec] = ACTIONS(2637),
    [anon_sym___based] = ACTIONS(2637),
    [anon_sym___cdecl] = ACTIONS(2637),
    [anon_sym___clrcall] = ACTIONS(2637),
    [anon_sym___stdcall] = ACTIONS(2637),
    [anon_sym___fastcall] = ACTIONS(2637),
    [anon_sym___thiscall] = ACTIONS(2637),
    [anon_sym___vectorcall] = ACTIONS(2637),
    [anon_sym_LBRACE] = ACTIONS(2639),
    [anon_sym_signed] = ACTIONS(2637),
    [anon_sym_unsigned] = ACTIONS(2637),
    [anon_sym_long] = ACTIONS(2637),
    [anon_sym_short] = ACTIONS(2637),
    [anon_sym_LBRACK] = ACTIONS(2637),
    [anon_sym_static] = ACTIONS(2637),
    [anon_sym_register] = ACTIONS(2637),
    [anon_sym_inline] = ACTIONS(2637),
    [anon_sym___inline] = ACTIONS(2637),
    [anon_sym___inline__] = ACTIONS(2637),
    [anon_sym___forceinline] = ACTIONS(2637),
    [anon_sym_thread_local] = ACTIONS(2637),
    [anon_sym___thread] = ACTIONS(2637),
    [anon_sym_const] = ACTIONS(2637),
    [anon_sym_constexpr] = ACTIONS(2637),
    [anon_sym_volatile] = ACTIONS(2637),
    [anon_sym_restrict] = ACTIONS(2637),
    [anon_sym___restrict__] = ACTIONS(2637),
    [anon_sym__Atomic] = ACTIONS(2637),
    [anon_sym__Noreturn] = ACTIONS(2637),
    [anon_sym_noreturn] = ACTIONS(2637),
    [anon_sym_mutable] = ACTIONS(2637),
    [anon_sym_constinit] = ACTIONS(2637),
    [anon_sym_consteval] = ACTIONS(2637),
    [sym_primitive_type] = ACTIONS(2637),
    [anon_sym_enum] = ACTIONS(2637),
    [anon_sym_class] = ACTIONS(2637),
    [anon_sym_struct] = ACTIONS(2637),
    [anon_sym_union] = ACTIONS(2637),
    [anon_sym_if] = ACTIONS(2637),
    [anon_sym_switch] = ACTIONS(2637),
    [anon_sym_case] = ACTIONS(2637),
    [anon_sym_default] = ACTIONS(2637),
    [anon_sym_while] = ACTIONS(2637),
    [anon_sym_do] = ACTIONS(2637),
    [anon_sym_for] = ACTIONS(2637),
    [anon_sym_return] = ACTIONS(2637),
    [anon_sym_break] = ACTIONS(2637),
    [anon_sym_continue] = ACTIONS(2637),
    [anon_sym_goto] = ACTIONS(2637),
    [anon_sym_not] = ACTIONS(2637),
    [anon_sym_compl] = ACTIONS(2637),
    [anon_sym_DASH_DASH] = ACTIONS(2639),
    [anon_sym_PLUS_PLUS] = ACTIONS(2639),
    [anon_sym_sizeof] = ACTIONS(2637),
    [anon_sym___alignof__] = ACTIONS(2637),
    [anon_sym___alignof] = ACTIONS(2637),
    [anon_sym__alignof] = ACTIONS(2637),
    [anon_sym_alignof] = ACTIONS(2637),
    [anon_sym__Alignof] = ACTIONS(2637),
    [anon_sym_offsetof] = ACTIONS(2637),
    [anon_sym__Generic] = ACTIONS(2637),
    [anon_sym_asm] = ACTIONS(2637),
    [anon_sym___asm__] = ACTIONS(2637),
    [sym_number_literal] = ACTIONS(2639),
    [anon_sym_L_SQUOTE] = ACTIONS(2639),
    [anon_sym_u_SQUOTE] = ACTIONS(2639),
    [anon_sym_U_SQUOTE] = ACTIONS(2639),
    [anon_sym_u8_SQUOTE] = ACTIONS(2639),
    [anon_sym_SQUOTE] = ACTIONS(2639),
    [anon_sym_L_DQUOTE] = ACTIONS(2639),
    [anon_sym_u_DQUOTE] = ACTIONS(2639),
    [anon_sym_U_DQUOTE] = ACTIONS(2639),
    [anon_sym_u8_DQUOTE] = ACTIONS(2639),
    [anon_sym_DQUOTE] = ACTIONS(2639),
    [sym_true] = ACTIONS(2637),
    [sym_false] = ACTIONS(2637),
    [anon_sym_NULL] = ACTIONS(2637),
    [anon_sym_nullptr] = ACTIONS(2637),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2637),
    [anon_sym_decltype] = ACTIONS(2637),
    [anon_sym_virtual] = ACTIONS(2637),
    [anon_sym_alignas] = ACTIONS(2637),
    [anon_sym_explicit] = ACTIONS(2637),
    [anon_sym_typename] = ACTIONS(2637),
    [anon_sym_template] = ACTIONS(2637),
    [anon_sym_operator] = ACTIONS(2637),
    [anon_sym_try] = ACTIONS(2637),
    [anon_sym_delete] = ACTIONS(2637),
    [anon_sym_throw] = ACTIONS(2637),
    [anon_sym_namespace] = ACTIONS(2637),
    [anon_sym_using] = ACTIONS(2637),
    [anon_sym_static_assert] = ACTIONS(2637),
    [anon_sym_concept] = ACTIONS(2637),
    [anon_sym_co_return] = ACTIONS(2637),
    [anon_sym_co_yield] = ACTIONS(2637),
    [anon_sym_R_DQUOTE] = ACTIONS(2639),
    [anon_sym_LR_DQUOTE] = ACTIONS(2639),
    [anon_sym_uR_DQUOTE] = ACTIONS(2639),
    [anon_sym_UR_DQUOTE] = ACTIONS(2639),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2639),
    [anon_sym_co_await] = ACTIONS(2637),
    [anon_sym_new] = ACTIONS(2637),
    [anon_sym_requires] = ACTIONS(2637),
    [sym_this] = ACTIONS(2637),
    [anon_sym_precise] = ACTIONS(2637),
    [anon_sym_shared] = ACTIONS(2637),
    [anon_sym_groupshared] = ACTIONS(2637),
    [anon_sym_uniform] = ACTIONS(2637),
    [anon_sym_row_major] = ACTIONS(2637),
    [anon_sym_column_major] = ACTIONS(2637),
    [anon_sym_globallycoherent] = ACTIONS(2637),
    [anon_sym_centroid] = ACTIONS(2637),
    [anon_sym_noperspective] = ACTIONS(2637),
    [anon_sym_nointerpolation] = ACTIONS(2637),
    [anon_sym_sample] = ACTIONS(2637),
    [anon_sym_linear] = ACTIONS(2637),
    [anon_sym_snorm] = ACTIONS(2637),
    [anon_sym_unorm] = ACTIONS(2637),
    [anon_sym_point] = ACTIONS(2637),
    [anon_sym_line] = ACTIONS(2637),
    [anon_sym_triangleadj] = ACTIONS(2637),
    [anon_sym_lineadj] = ACTIONS(2637),
    [anon_sym_triangle] = ACTIONS(2637),
  },
  [1250] = {
    [ts_builtin_sym_end] = ACTIONS(2522),
    [sym_identifier] = ACTIONS(2520),
    [aux_sym_preproc_include_token1] = ACTIONS(2520),
    [aux_sym_preproc_def_token1] = ACTIONS(2520),
    [aux_sym_preproc_if_token1] = ACTIONS(2520),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2520),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2520),
    [sym_preproc_directive] = ACTIONS(2520),
    [anon_sym_LPAREN2] = ACTIONS(2522),
    [anon_sym_BANG] = ACTIONS(2522),
    [anon_sym_TILDE] = ACTIONS(2522),
    [anon_sym_DASH] = ACTIONS(2520),
    [anon_sym_PLUS] = ACTIONS(2520),
    [anon_sym_STAR] = ACTIONS(2522),
    [anon_sym_AMP_AMP] = ACTIONS(2522),
    [anon_sym_AMP] = ACTIONS(2520),
    [anon_sym___extension__] = ACTIONS(2520),
    [anon_sym_typedef] = ACTIONS(2520),
    [anon_sym_in] = ACTIONS(2520),
    [anon_sym_out] = ACTIONS(2520),
    [anon_sym_inout] = ACTIONS(2520),
    [anon_sym_extern] = ACTIONS(2520),
    [anon_sym___attribute__] = ACTIONS(2520),
    [anon_sym_COLON_COLON] = ACTIONS(2522),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2522),
    [anon_sym___declspec] = ACTIONS(2520),
    [anon_sym___based] = ACTIONS(2520),
    [anon_sym___cdecl] = ACTIONS(2520),
    [anon_sym___clrcall] = ACTIONS(2520),
    [anon_sym___stdcall] = ACTIONS(2520),
    [anon_sym___fastcall] = ACTIONS(2520),
    [anon_sym___thiscall] = ACTIONS(2520),
    [anon_sym___vectorcall] = ACTIONS(2520),
    [anon_sym_LBRACE] = ACTIONS(2522),
    [anon_sym_signed] = ACTIONS(2520),
    [anon_sym_unsigned] = ACTIONS(2520),
    [anon_sym_long] = ACTIONS(2520),
    [anon_sym_short] = ACTIONS(2520),
    [anon_sym_LBRACK] = ACTIONS(2520),
    [anon_sym_static] = ACTIONS(2520),
    [anon_sym_register] = ACTIONS(2520),
    [anon_sym_inline] = ACTIONS(2520),
    [anon_sym___inline] = ACTIONS(2520),
    [anon_sym___inline__] = ACTIONS(2520),
    [anon_sym___forceinline] = ACTIONS(2520),
    [anon_sym_thread_local] = ACTIONS(2520),
    [anon_sym___thread] = ACTIONS(2520),
    [anon_sym_const] = ACTIONS(2520),
    [anon_sym_constexpr] = ACTIONS(2520),
    [anon_sym_volatile] = ACTIONS(2520),
    [anon_sym_restrict] = ACTIONS(2520),
    [anon_sym___restrict__] = ACTIONS(2520),
    [anon_sym__Atomic] = ACTIONS(2520),
    [anon_sym__Noreturn] = ACTIONS(2520),
    [anon_sym_noreturn] = ACTIONS(2520),
    [anon_sym_mutable] = ACTIONS(2520),
    [anon_sym_constinit] = ACTIONS(2520),
    [anon_sym_consteval] = ACTIONS(2520),
    [sym_primitive_type] = ACTIONS(2520),
    [anon_sym_enum] = ACTIONS(2520),
    [anon_sym_class] = ACTIONS(2520),
    [anon_sym_struct] = ACTIONS(2520),
    [anon_sym_union] = ACTIONS(2520),
    [anon_sym_if] = ACTIONS(2520),
    [anon_sym_switch] = ACTIONS(2520),
    [anon_sym_case] = ACTIONS(2520),
    [anon_sym_default] = ACTIONS(2520),
    [anon_sym_while] = ACTIONS(2520),
    [anon_sym_do] = ACTIONS(2520),
    [anon_sym_for] = ACTIONS(2520),
    [anon_sym_return] = ACTIONS(2520),
    [anon_sym_break] = ACTIONS(2520),
    [anon_sym_continue] = ACTIONS(2520),
    [anon_sym_goto] = ACTIONS(2520),
    [anon_sym_not] = ACTIONS(2520),
    [anon_sym_compl] = ACTIONS(2520),
    [anon_sym_DASH_DASH] = ACTIONS(2522),
    [anon_sym_PLUS_PLUS] = ACTIONS(2522),
    [anon_sym_sizeof] = ACTIONS(2520),
    [anon_sym___alignof__] = ACTIONS(2520),
    [anon_sym___alignof] = ACTIONS(2520),
    [anon_sym__alignof] = ACTIONS(2520),
    [anon_sym_alignof] = ACTIONS(2520),
    [anon_sym__Alignof] = ACTIONS(2520),
    [anon_sym_offsetof] = ACTIONS(2520),
    [anon_sym__Generic] = ACTIONS(2520),
    [anon_sym_asm] = ACTIONS(2520),
    [anon_sym___asm__] = ACTIONS(2520),
    [sym_number_literal] = ACTIONS(2522),
    [anon_sym_L_SQUOTE] = ACTIONS(2522),
    [anon_sym_u_SQUOTE] = ACTIONS(2522),
    [anon_sym_U_SQUOTE] = ACTIONS(2522),
    [anon_sym_u8_SQUOTE] = ACTIONS(2522),
    [anon_sym_SQUOTE] = ACTIONS(2522),
    [anon_sym_L_DQUOTE] = ACTIONS(2522),
    [anon_sym_u_DQUOTE] = ACTIONS(2522),
    [anon_sym_U_DQUOTE] = ACTIONS(2522),
    [anon_sym_u8_DQUOTE] = ACTIONS(2522),
    [anon_sym_DQUOTE] = ACTIONS(2522),
    [sym_true] = ACTIONS(2520),
    [sym_false] = ACTIONS(2520),
    [anon_sym_NULL] = ACTIONS(2520),
    [anon_sym_nullptr] = ACTIONS(2520),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2520),
    [anon_sym_decltype] = ACTIONS(2520),
    [anon_sym_virtual] = ACTIONS(2520),
    [anon_sym_alignas] = ACTIONS(2520),
    [anon_sym_explicit] = ACTIONS(2520),
    [anon_sym_typename] = ACTIONS(2520),
    [anon_sym_template] = ACTIONS(2520),
    [anon_sym_operator] = ACTIONS(2520),
    [anon_sym_try] = ACTIONS(2520),
    [anon_sym_delete] = ACTIONS(2520),
    [anon_sym_throw] = ACTIONS(2520),
    [anon_sym_namespace] = ACTIONS(2520),
    [anon_sym_using] = ACTIONS(2520),
    [anon_sym_static_assert] = ACTIONS(2520),
    [anon_sym_concept] = ACTIONS(2520),
    [anon_sym_co_return] = ACTIONS(2520),
    [anon_sym_co_yield] = ACTIONS(2520),
    [anon_sym_R_DQUOTE] = ACTIONS(2522),
    [anon_sym_LR_DQUOTE] = ACTIONS(2522),
    [anon_sym_uR_DQUOTE] = ACTIONS(2522),
    [anon_sym_UR_DQUOTE] = ACTIONS(2522),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2522),
    [anon_sym_co_await] = ACTIONS(2520),
    [anon_sym_new] = ACTIONS(2520),
    [anon_sym_requires] = ACTIONS(2520),
    [sym_this] = ACTIONS(2520),
    [anon_sym_precise] = ACTIONS(2520),
    [anon_sym_shared] = ACTIONS(2520),
    [anon_sym_groupshared] = ACTIONS(2520),
    [anon_sym_uniform] = ACTIONS(2520),
    [anon_sym_row_major] = ACTIONS(2520),
    [anon_sym_column_major] = ACTIONS(2520),
    [anon_sym_globallycoherent] = ACTIONS(2520),
    [anon_sym_centroid] = ACTIONS(2520),
    [anon_sym_noperspective] = ACTIONS(2520),
    [anon_sym_nointerpolation] = ACTIONS(2520),
    [anon_sym_sample] = ACTIONS(2520),
    [anon_sym_linear] = ACTIONS(2520),
    [anon_sym_snorm] = ACTIONS(2520),
    [anon_sym_unorm] = ACTIONS(2520),
    [anon_sym_point] = ACTIONS(2520),
    [anon_sym_line] = ACTIONS(2520),
    [anon_sym_triangleadj] = ACTIONS(2520),
    [anon_sym_lineadj] = ACTIONS(2520),
    [anon_sym_triangle] = ACTIONS(2520),
  },
  [1251] = {
    [ts_builtin_sym_end] = ACTIONS(2522),
    [sym_identifier] = ACTIONS(2520),
    [aux_sym_preproc_include_token1] = ACTIONS(2520),
    [aux_sym_preproc_def_token1] = ACTIONS(2520),
    [aux_sym_preproc_if_token1] = ACTIONS(2520),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2520),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2520),
    [sym_preproc_directive] = ACTIONS(2520),
    [anon_sym_LPAREN2] = ACTIONS(2522),
    [anon_sym_BANG] = ACTIONS(2522),
    [anon_sym_TILDE] = ACTIONS(2522),
    [anon_sym_DASH] = ACTIONS(2520),
    [anon_sym_PLUS] = ACTIONS(2520),
    [anon_sym_STAR] = ACTIONS(2522),
    [anon_sym_AMP_AMP] = ACTIONS(2522),
    [anon_sym_AMP] = ACTIONS(2520),
    [anon_sym___extension__] = ACTIONS(2520),
    [anon_sym_typedef] = ACTIONS(2520),
    [anon_sym_in] = ACTIONS(2520),
    [anon_sym_out] = ACTIONS(2520),
    [anon_sym_inout] = ACTIONS(2520),
    [anon_sym_extern] = ACTIONS(2520),
    [anon_sym___attribute__] = ACTIONS(2520),
    [anon_sym_COLON_COLON] = ACTIONS(2522),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2522),
    [anon_sym___declspec] = ACTIONS(2520),
    [anon_sym___based] = ACTIONS(2520),
    [anon_sym___cdecl] = ACTIONS(2520),
    [anon_sym___clrcall] = ACTIONS(2520),
    [anon_sym___stdcall] = ACTIONS(2520),
    [anon_sym___fastcall] = ACTIONS(2520),
    [anon_sym___thiscall] = ACTIONS(2520),
    [anon_sym___vectorcall] = ACTIONS(2520),
    [anon_sym_LBRACE] = ACTIONS(2522),
    [anon_sym_signed] = ACTIONS(2520),
    [anon_sym_unsigned] = ACTIONS(2520),
    [anon_sym_long] = ACTIONS(2520),
    [anon_sym_short] = ACTIONS(2520),
    [anon_sym_LBRACK] = ACTIONS(2520),
    [anon_sym_static] = ACTIONS(2520),
    [anon_sym_register] = ACTIONS(2520),
    [anon_sym_inline] = ACTIONS(2520),
    [anon_sym___inline] = ACTIONS(2520),
    [anon_sym___inline__] = ACTIONS(2520),
    [anon_sym___forceinline] = ACTIONS(2520),
    [anon_sym_thread_local] = ACTIONS(2520),
    [anon_sym___thread] = ACTIONS(2520),
    [anon_sym_const] = ACTIONS(2520),
    [anon_sym_constexpr] = ACTIONS(2520),
    [anon_sym_volatile] = ACTIONS(2520),
    [anon_sym_restrict] = ACTIONS(2520),
    [anon_sym___restrict__] = ACTIONS(2520),
    [anon_sym__Atomic] = ACTIONS(2520),
    [anon_sym__Noreturn] = ACTIONS(2520),
    [anon_sym_noreturn] = ACTIONS(2520),
    [anon_sym_mutable] = ACTIONS(2520),
    [anon_sym_constinit] = ACTIONS(2520),
    [anon_sym_consteval] = ACTIONS(2520),
    [sym_primitive_type] = ACTIONS(2520),
    [anon_sym_enum] = ACTIONS(2520),
    [anon_sym_class] = ACTIONS(2520),
    [anon_sym_struct] = ACTIONS(2520),
    [anon_sym_union] = ACTIONS(2520),
    [anon_sym_if] = ACTIONS(2520),
    [anon_sym_switch] = ACTIONS(2520),
    [anon_sym_case] = ACTIONS(2520),
    [anon_sym_default] = ACTIONS(2520),
    [anon_sym_while] = ACTIONS(2520),
    [anon_sym_do] = ACTIONS(2520),
    [anon_sym_for] = ACTIONS(2520),
    [anon_sym_return] = ACTIONS(2520),
    [anon_sym_break] = ACTIONS(2520),
    [anon_sym_continue] = ACTIONS(2520),
    [anon_sym_goto] = ACTIONS(2520),
    [anon_sym_not] = ACTIONS(2520),
    [anon_sym_compl] = ACTIONS(2520),
    [anon_sym_DASH_DASH] = ACTIONS(2522),
    [anon_sym_PLUS_PLUS] = ACTIONS(2522),
    [anon_sym_sizeof] = ACTIONS(2520),
    [anon_sym___alignof__] = ACTIONS(2520),
    [anon_sym___alignof] = ACTIONS(2520),
    [anon_sym__alignof] = ACTIONS(2520),
    [anon_sym_alignof] = ACTIONS(2520),
    [anon_sym__Alignof] = ACTIONS(2520),
    [anon_sym_offsetof] = ACTIONS(2520),
    [anon_sym__Generic] = ACTIONS(2520),
    [anon_sym_asm] = ACTIONS(2520),
    [anon_sym___asm__] = ACTIONS(2520),
    [sym_number_literal] = ACTIONS(2522),
    [anon_sym_L_SQUOTE] = ACTIONS(2522),
    [anon_sym_u_SQUOTE] = ACTIONS(2522),
    [anon_sym_U_SQUOTE] = ACTIONS(2522),
    [anon_sym_u8_SQUOTE] = ACTIONS(2522),
    [anon_sym_SQUOTE] = ACTIONS(2522),
    [anon_sym_L_DQUOTE] = ACTIONS(2522),
    [anon_sym_u_DQUOTE] = ACTIONS(2522),
    [anon_sym_U_DQUOTE] = ACTIONS(2522),
    [anon_sym_u8_DQUOTE] = ACTIONS(2522),
    [anon_sym_DQUOTE] = ACTIONS(2522),
    [sym_true] = ACTIONS(2520),
    [sym_false] = ACTIONS(2520),
    [anon_sym_NULL] = ACTIONS(2520),
    [anon_sym_nullptr] = ACTIONS(2520),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2520),
    [anon_sym_decltype] = ACTIONS(2520),
    [anon_sym_virtual] = ACTIONS(2520),
    [anon_sym_alignas] = ACTIONS(2520),
    [anon_sym_explicit] = ACTIONS(2520),
    [anon_sym_typename] = ACTIONS(2520),
    [anon_sym_template] = ACTIONS(2520),
    [anon_sym_operator] = ACTIONS(2520),
    [anon_sym_try] = ACTIONS(2520),
    [anon_sym_delete] = ACTIONS(2520),
    [anon_sym_throw] = ACTIONS(2520),
    [anon_sym_namespace] = ACTIONS(2520),
    [anon_sym_using] = ACTIONS(2520),
    [anon_sym_static_assert] = ACTIONS(2520),
    [anon_sym_concept] = ACTIONS(2520),
    [anon_sym_co_return] = ACTIONS(2520),
    [anon_sym_co_yield] = ACTIONS(2520),
    [anon_sym_R_DQUOTE] = ACTIONS(2522),
    [anon_sym_LR_DQUOTE] = ACTIONS(2522),
    [anon_sym_uR_DQUOTE] = ACTIONS(2522),
    [anon_sym_UR_DQUOTE] = ACTIONS(2522),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2522),
    [anon_sym_co_await] = ACTIONS(2520),
    [anon_sym_new] = ACTIONS(2520),
    [anon_sym_requires] = ACTIONS(2520),
    [sym_this] = ACTIONS(2520),
    [anon_sym_precise] = ACTIONS(2520),
    [anon_sym_shared] = ACTIONS(2520),
    [anon_sym_groupshared] = ACTIONS(2520),
    [anon_sym_uniform] = ACTIONS(2520),
    [anon_sym_row_major] = ACTIONS(2520),
    [anon_sym_column_major] = ACTIONS(2520),
    [anon_sym_globallycoherent] = ACTIONS(2520),
    [anon_sym_centroid] = ACTIONS(2520),
    [anon_sym_noperspective] = ACTIONS(2520),
    [anon_sym_nointerpolation] = ACTIONS(2520),
    [anon_sym_sample] = ACTIONS(2520),
    [anon_sym_linear] = ACTIONS(2520),
    [anon_sym_snorm] = ACTIONS(2520),
    [anon_sym_unorm] = ACTIONS(2520),
    [anon_sym_point] = ACTIONS(2520),
    [anon_sym_line] = ACTIONS(2520),
    [anon_sym_triangleadj] = ACTIONS(2520),
    [anon_sym_lineadj] = ACTIONS(2520),
    [anon_sym_triangle] = ACTIONS(2520),
  },
  [1252] = {
    [ts_builtin_sym_end] = ACTIONS(2518),
    [sym_identifier] = ACTIONS(2516),
    [aux_sym_preproc_include_token1] = ACTIONS(2516),
    [aux_sym_preproc_def_token1] = ACTIONS(2516),
    [aux_sym_preproc_if_token1] = ACTIONS(2516),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2516),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2516),
    [sym_preproc_directive] = ACTIONS(2516),
    [anon_sym_LPAREN2] = ACTIONS(2518),
    [anon_sym_BANG] = ACTIONS(2518),
    [anon_sym_TILDE] = ACTIONS(2518),
    [anon_sym_DASH] = ACTIONS(2516),
    [anon_sym_PLUS] = ACTIONS(2516),
    [anon_sym_STAR] = ACTIONS(2518),
    [anon_sym_AMP_AMP] = ACTIONS(2518),
    [anon_sym_AMP] = ACTIONS(2516),
    [anon_sym___extension__] = ACTIONS(2516),
    [anon_sym_typedef] = ACTIONS(2516),
    [anon_sym_in] = ACTIONS(2516),
    [anon_sym_out] = ACTIONS(2516),
    [anon_sym_inout] = ACTIONS(2516),
    [anon_sym_extern] = ACTIONS(2516),
    [anon_sym___attribute__] = ACTIONS(2516),
    [anon_sym_COLON_COLON] = ACTIONS(2518),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2518),
    [anon_sym___declspec] = ACTIONS(2516),
    [anon_sym___based] = ACTIONS(2516),
    [anon_sym___cdecl] = ACTIONS(2516),
    [anon_sym___clrcall] = ACTIONS(2516),
    [anon_sym___stdcall] = ACTIONS(2516),
    [anon_sym___fastcall] = ACTIONS(2516),
    [anon_sym___thiscall] = ACTIONS(2516),
    [anon_sym___vectorcall] = ACTIONS(2516),
    [anon_sym_LBRACE] = ACTIONS(2518),
    [anon_sym_signed] = ACTIONS(2516),
    [anon_sym_unsigned] = ACTIONS(2516),
    [anon_sym_long] = ACTIONS(2516),
    [anon_sym_short] = ACTIONS(2516),
    [anon_sym_LBRACK] = ACTIONS(2516),
    [anon_sym_static] = ACTIONS(2516),
    [anon_sym_register] = ACTIONS(2516),
    [anon_sym_inline] = ACTIONS(2516),
    [anon_sym___inline] = ACTIONS(2516),
    [anon_sym___inline__] = ACTIONS(2516),
    [anon_sym___forceinline] = ACTIONS(2516),
    [anon_sym_thread_local] = ACTIONS(2516),
    [anon_sym___thread] = ACTIONS(2516),
    [anon_sym_const] = ACTIONS(2516),
    [anon_sym_constexpr] = ACTIONS(2516),
    [anon_sym_volatile] = ACTIONS(2516),
    [anon_sym_restrict] = ACTIONS(2516),
    [anon_sym___restrict__] = ACTIONS(2516),
    [anon_sym__Atomic] = ACTIONS(2516),
    [anon_sym__Noreturn] = ACTIONS(2516),
    [anon_sym_noreturn] = ACTIONS(2516),
    [anon_sym_mutable] = ACTIONS(2516),
    [anon_sym_constinit] = ACTIONS(2516),
    [anon_sym_consteval] = ACTIONS(2516),
    [sym_primitive_type] = ACTIONS(2516),
    [anon_sym_enum] = ACTIONS(2516),
    [anon_sym_class] = ACTIONS(2516),
    [anon_sym_struct] = ACTIONS(2516),
    [anon_sym_union] = ACTIONS(2516),
    [anon_sym_if] = ACTIONS(2516),
    [anon_sym_switch] = ACTIONS(2516),
    [anon_sym_case] = ACTIONS(2516),
    [anon_sym_default] = ACTIONS(2516),
    [anon_sym_while] = ACTIONS(2516),
    [anon_sym_do] = ACTIONS(2516),
    [anon_sym_for] = ACTIONS(2516),
    [anon_sym_return] = ACTIONS(2516),
    [anon_sym_break] = ACTIONS(2516),
    [anon_sym_continue] = ACTIONS(2516),
    [anon_sym_goto] = ACTIONS(2516),
    [anon_sym_not] = ACTIONS(2516),
    [anon_sym_compl] = ACTIONS(2516),
    [anon_sym_DASH_DASH] = ACTIONS(2518),
    [anon_sym_PLUS_PLUS] = ACTIONS(2518),
    [anon_sym_sizeof] = ACTIONS(2516),
    [anon_sym___alignof__] = ACTIONS(2516),
    [anon_sym___alignof] = ACTIONS(2516),
    [anon_sym__alignof] = ACTIONS(2516),
    [anon_sym_alignof] = ACTIONS(2516),
    [anon_sym__Alignof] = ACTIONS(2516),
    [anon_sym_offsetof] = ACTIONS(2516),
    [anon_sym__Generic] = ACTIONS(2516),
    [anon_sym_asm] = ACTIONS(2516),
    [anon_sym___asm__] = ACTIONS(2516),
    [sym_number_literal] = ACTIONS(2518),
    [anon_sym_L_SQUOTE] = ACTIONS(2518),
    [anon_sym_u_SQUOTE] = ACTIONS(2518),
    [anon_sym_U_SQUOTE] = ACTIONS(2518),
    [anon_sym_u8_SQUOTE] = ACTIONS(2518),
    [anon_sym_SQUOTE] = ACTIONS(2518),
    [anon_sym_L_DQUOTE] = ACTIONS(2518),
    [anon_sym_u_DQUOTE] = ACTIONS(2518),
    [anon_sym_U_DQUOTE] = ACTIONS(2518),
    [anon_sym_u8_DQUOTE] = ACTIONS(2518),
    [anon_sym_DQUOTE] = ACTIONS(2518),
    [sym_true] = ACTIONS(2516),
    [sym_false] = ACTIONS(2516),
    [anon_sym_NULL] = ACTIONS(2516),
    [anon_sym_nullptr] = ACTIONS(2516),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2516),
    [anon_sym_decltype] = ACTIONS(2516),
    [anon_sym_virtual] = ACTIONS(2516),
    [anon_sym_alignas] = ACTIONS(2516),
    [anon_sym_explicit] = ACTIONS(2516),
    [anon_sym_typename] = ACTIONS(2516),
    [anon_sym_template] = ACTIONS(2516),
    [anon_sym_operator] = ACTIONS(2516),
    [anon_sym_try] = ACTIONS(2516),
    [anon_sym_delete] = ACTIONS(2516),
    [anon_sym_throw] = ACTIONS(2516),
    [anon_sym_namespace] = ACTIONS(2516),
    [anon_sym_using] = ACTIONS(2516),
    [anon_sym_static_assert] = ACTIONS(2516),
    [anon_sym_concept] = ACTIONS(2516),
    [anon_sym_co_return] = ACTIONS(2516),
    [anon_sym_co_yield] = ACTIONS(2516),
    [anon_sym_R_DQUOTE] = ACTIONS(2518),
    [anon_sym_LR_DQUOTE] = ACTIONS(2518),
    [anon_sym_uR_DQUOTE] = ACTIONS(2518),
    [anon_sym_UR_DQUOTE] = ACTIONS(2518),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2518),
    [anon_sym_co_await] = ACTIONS(2516),
    [anon_sym_new] = ACTIONS(2516),
    [anon_sym_requires] = ACTIONS(2516),
    [sym_this] = ACTIONS(2516),
    [anon_sym_precise] = ACTIONS(2516),
    [anon_sym_shared] = ACTIONS(2516),
    [anon_sym_groupshared] = ACTIONS(2516),
    [anon_sym_uniform] = ACTIONS(2516),
    [anon_sym_row_major] = ACTIONS(2516),
    [anon_sym_column_major] = ACTIONS(2516),
    [anon_sym_globallycoherent] = ACTIONS(2516),
    [anon_sym_centroid] = ACTIONS(2516),
    [anon_sym_noperspective] = ACTIONS(2516),
    [anon_sym_nointerpolation] = ACTIONS(2516),
    [anon_sym_sample] = ACTIONS(2516),
    [anon_sym_linear] = ACTIONS(2516),
    [anon_sym_snorm] = ACTIONS(2516),
    [anon_sym_unorm] = ACTIONS(2516),
    [anon_sym_point] = ACTIONS(2516),
    [anon_sym_line] = ACTIONS(2516),
    [anon_sym_triangleadj] = ACTIONS(2516),
    [anon_sym_lineadj] = ACTIONS(2516),
    [anon_sym_triangle] = ACTIONS(2516),
  },
  [1253] = {
    [ts_builtin_sym_end] = ACTIONS(2723),
    [sym_identifier] = ACTIONS(2721),
    [aux_sym_preproc_include_token1] = ACTIONS(2721),
    [aux_sym_preproc_def_token1] = ACTIONS(2721),
    [aux_sym_preproc_if_token1] = ACTIONS(2721),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2721),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2721),
    [sym_preproc_directive] = ACTIONS(2721),
    [anon_sym_LPAREN2] = ACTIONS(2723),
    [anon_sym_BANG] = ACTIONS(2723),
    [anon_sym_TILDE] = ACTIONS(2723),
    [anon_sym_DASH] = ACTIONS(2721),
    [anon_sym_PLUS] = ACTIONS(2721),
    [anon_sym_STAR] = ACTIONS(2723),
    [anon_sym_AMP_AMP] = ACTIONS(2723),
    [anon_sym_AMP] = ACTIONS(2721),
    [anon_sym___extension__] = ACTIONS(2721),
    [anon_sym_typedef] = ACTIONS(2721),
    [anon_sym_in] = ACTIONS(2721),
    [anon_sym_out] = ACTIONS(2721),
    [anon_sym_inout] = ACTIONS(2721),
    [anon_sym_extern] = ACTIONS(2721),
    [anon_sym___attribute__] = ACTIONS(2721),
    [anon_sym_COLON_COLON] = ACTIONS(2723),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2723),
    [anon_sym___declspec] = ACTIONS(2721),
    [anon_sym___based] = ACTIONS(2721),
    [anon_sym___cdecl] = ACTIONS(2721),
    [anon_sym___clrcall] = ACTIONS(2721),
    [anon_sym___stdcall] = ACTIONS(2721),
    [anon_sym___fastcall] = ACTIONS(2721),
    [anon_sym___thiscall] = ACTIONS(2721),
    [anon_sym___vectorcall] = ACTIONS(2721),
    [anon_sym_LBRACE] = ACTIONS(2723),
    [anon_sym_signed] = ACTIONS(2721),
    [anon_sym_unsigned] = ACTIONS(2721),
    [anon_sym_long] = ACTIONS(2721),
    [anon_sym_short] = ACTIONS(2721),
    [anon_sym_LBRACK] = ACTIONS(2721),
    [anon_sym_static] = ACTIONS(2721),
    [anon_sym_register] = ACTIONS(2721),
    [anon_sym_inline] = ACTIONS(2721),
    [anon_sym___inline] = ACTIONS(2721),
    [anon_sym___inline__] = ACTIONS(2721),
    [anon_sym___forceinline] = ACTIONS(2721),
    [anon_sym_thread_local] = ACTIONS(2721),
    [anon_sym___thread] = ACTIONS(2721),
    [anon_sym_const] = ACTIONS(2721),
    [anon_sym_constexpr] = ACTIONS(2721),
    [anon_sym_volatile] = ACTIONS(2721),
    [anon_sym_restrict] = ACTIONS(2721),
    [anon_sym___restrict__] = ACTIONS(2721),
    [anon_sym__Atomic] = ACTIONS(2721),
    [anon_sym__Noreturn] = ACTIONS(2721),
    [anon_sym_noreturn] = ACTIONS(2721),
    [anon_sym_mutable] = ACTIONS(2721),
    [anon_sym_constinit] = ACTIONS(2721),
    [anon_sym_consteval] = ACTIONS(2721),
    [sym_primitive_type] = ACTIONS(2721),
    [anon_sym_enum] = ACTIONS(2721),
    [anon_sym_class] = ACTIONS(2721),
    [anon_sym_struct] = ACTIONS(2721),
    [anon_sym_union] = ACTIONS(2721),
    [anon_sym_if] = ACTIONS(2721),
    [anon_sym_switch] = ACTIONS(2721),
    [anon_sym_case] = ACTIONS(2721),
    [anon_sym_default] = ACTIONS(2721),
    [anon_sym_while] = ACTIONS(2721),
    [anon_sym_do] = ACTIONS(2721),
    [anon_sym_for] = ACTIONS(2721),
    [anon_sym_return] = ACTIONS(2721),
    [anon_sym_break] = ACTIONS(2721),
    [anon_sym_continue] = ACTIONS(2721),
    [anon_sym_goto] = ACTIONS(2721),
    [anon_sym_not] = ACTIONS(2721),
    [anon_sym_compl] = ACTIONS(2721),
    [anon_sym_DASH_DASH] = ACTIONS(2723),
    [anon_sym_PLUS_PLUS] = ACTIONS(2723),
    [anon_sym_sizeof] = ACTIONS(2721),
    [anon_sym___alignof__] = ACTIONS(2721),
    [anon_sym___alignof] = ACTIONS(2721),
    [anon_sym__alignof] = ACTIONS(2721),
    [anon_sym_alignof] = ACTIONS(2721),
    [anon_sym__Alignof] = ACTIONS(2721),
    [anon_sym_offsetof] = ACTIONS(2721),
    [anon_sym__Generic] = ACTIONS(2721),
    [anon_sym_asm] = ACTIONS(2721),
    [anon_sym___asm__] = ACTIONS(2721),
    [sym_number_literal] = ACTIONS(2723),
    [anon_sym_L_SQUOTE] = ACTIONS(2723),
    [anon_sym_u_SQUOTE] = ACTIONS(2723),
    [anon_sym_U_SQUOTE] = ACTIONS(2723),
    [anon_sym_u8_SQUOTE] = ACTIONS(2723),
    [anon_sym_SQUOTE] = ACTIONS(2723),
    [anon_sym_L_DQUOTE] = ACTIONS(2723),
    [anon_sym_u_DQUOTE] = ACTIONS(2723),
    [anon_sym_U_DQUOTE] = ACTIONS(2723),
    [anon_sym_u8_DQUOTE] = ACTIONS(2723),
    [anon_sym_DQUOTE] = ACTIONS(2723),
    [sym_true] = ACTIONS(2721),
    [sym_false] = ACTIONS(2721),
    [anon_sym_NULL] = ACTIONS(2721),
    [anon_sym_nullptr] = ACTIONS(2721),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2721),
    [anon_sym_decltype] = ACTIONS(2721),
    [anon_sym_virtual] = ACTIONS(2721),
    [anon_sym_alignas] = ACTIONS(2721),
    [anon_sym_explicit] = ACTIONS(2721),
    [anon_sym_typename] = ACTIONS(2721),
    [anon_sym_template] = ACTIONS(2721),
    [anon_sym_operator] = ACTIONS(2721),
    [anon_sym_try] = ACTIONS(2721),
    [anon_sym_delete] = ACTIONS(2721),
    [anon_sym_throw] = ACTIONS(2721),
    [anon_sym_namespace] = ACTIONS(2721),
    [anon_sym_using] = ACTIONS(2721),
    [anon_sym_static_assert] = ACTIONS(2721),
    [anon_sym_concept] = ACTIONS(2721),
    [anon_sym_co_return] = ACTIONS(2721),
    [anon_sym_co_yield] = ACTIONS(2721),
    [anon_sym_R_DQUOTE] = ACTIONS(2723),
    [anon_sym_LR_DQUOTE] = ACTIONS(2723),
    [anon_sym_uR_DQUOTE] = ACTIONS(2723),
    [anon_sym_UR_DQUOTE] = ACTIONS(2723),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2723),
    [anon_sym_co_await] = ACTIONS(2721),
    [anon_sym_new] = ACTIONS(2721),
    [anon_sym_requires] = ACTIONS(2721),
    [sym_this] = ACTIONS(2721),
    [anon_sym_precise] = ACTIONS(2721),
    [anon_sym_shared] = ACTIONS(2721),
    [anon_sym_groupshared] = ACTIONS(2721),
    [anon_sym_uniform] = ACTIONS(2721),
    [anon_sym_row_major] = ACTIONS(2721),
    [anon_sym_column_major] = ACTIONS(2721),
    [anon_sym_globallycoherent] = ACTIONS(2721),
    [anon_sym_centroid] = ACTIONS(2721),
    [anon_sym_noperspective] = ACTIONS(2721),
    [anon_sym_nointerpolation] = ACTIONS(2721),
    [anon_sym_sample] = ACTIONS(2721),
    [anon_sym_linear] = ACTIONS(2721),
    [anon_sym_snorm] = ACTIONS(2721),
    [anon_sym_unorm] = ACTIONS(2721),
    [anon_sym_point] = ACTIONS(2721),
    [anon_sym_line] = ACTIONS(2721),
    [anon_sym_triangleadj] = ACTIONS(2721),
    [anon_sym_lineadj] = ACTIONS(2721),
    [anon_sym_triangle] = ACTIONS(2721),
  },
  [1254] = {
    [ts_builtin_sym_end] = ACTIONS(3372),
    [sym_identifier] = ACTIONS(3374),
    [aux_sym_preproc_include_token1] = ACTIONS(3374),
    [aux_sym_preproc_def_token1] = ACTIONS(3374),
    [aux_sym_preproc_if_token1] = ACTIONS(3374),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3374),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3374),
    [sym_preproc_directive] = ACTIONS(3374),
    [anon_sym_LPAREN2] = ACTIONS(3372),
    [anon_sym_BANG] = ACTIONS(3372),
    [anon_sym_TILDE] = ACTIONS(3372),
    [anon_sym_DASH] = ACTIONS(3374),
    [anon_sym_PLUS] = ACTIONS(3374),
    [anon_sym_STAR] = ACTIONS(3372),
    [anon_sym_AMP_AMP] = ACTIONS(3372),
    [anon_sym_AMP] = ACTIONS(3374),
    [anon_sym___extension__] = ACTIONS(3374),
    [anon_sym_typedef] = ACTIONS(3374),
    [anon_sym_in] = ACTIONS(3374),
    [anon_sym_out] = ACTIONS(3374),
    [anon_sym_inout] = ACTIONS(3374),
    [anon_sym_extern] = ACTIONS(3374),
    [anon_sym___attribute__] = ACTIONS(3374),
    [anon_sym_COLON_COLON] = ACTIONS(3372),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3372),
    [anon_sym___declspec] = ACTIONS(3374),
    [anon_sym___based] = ACTIONS(3374),
    [anon_sym___cdecl] = ACTIONS(3374),
    [anon_sym___clrcall] = ACTIONS(3374),
    [anon_sym___stdcall] = ACTIONS(3374),
    [anon_sym___fastcall] = ACTIONS(3374),
    [anon_sym___thiscall] = ACTIONS(3374),
    [anon_sym___vectorcall] = ACTIONS(3374),
    [anon_sym_LBRACE] = ACTIONS(3372),
    [anon_sym_signed] = ACTIONS(3374),
    [anon_sym_unsigned] = ACTIONS(3374),
    [anon_sym_long] = ACTIONS(3374),
    [anon_sym_short] = ACTIONS(3374),
    [anon_sym_LBRACK] = ACTIONS(3374),
    [anon_sym_static] = ACTIONS(3374),
    [anon_sym_register] = ACTIONS(3374),
    [anon_sym_inline] = ACTIONS(3374),
    [anon_sym___inline] = ACTIONS(3374),
    [anon_sym___inline__] = ACTIONS(3374),
    [anon_sym___forceinline] = ACTIONS(3374),
    [anon_sym_thread_local] = ACTIONS(3374),
    [anon_sym___thread] = ACTIONS(3374),
    [anon_sym_const] = ACTIONS(3374),
    [anon_sym_constexpr] = ACTIONS(3374),
    [anon_sym_volatile] = ACTIONS(3374),
    [anon_sym_restrict] = ACTIONS(3374),
    [anon_sym___restrict__] = ACTIONS(3374),
    [anon_sym__Atomic] = ACTIONS(3374),
    [anon_sym__Noreturn] = ACTIONS(3374),
    [anon_sym_noreturn] = ACTIONS(3374),
    [anon_sym_mutable] = ACTIONS(3374),
    [anon_sym_constinit] = ACTIONS(3374),
    [anon_sym_consteval] = ACTIONS(3374),
    [sym_primitive_type] = ACTIONS(3374),
    [anon_sym_enum] = ACTIONS(3374),
    [anon_sym_class] = ACTIONS(3374),
    [anon_sym_struct] = ACTIONS(3374),
    [anon_sym_union] = ACTIONS(3374),
    [anon_sym_if] = ACTIONS(3374),
    [anon_sym_switch] = ACTIONS(3374),
    [anon_sym_case] = ACTIONS(3374),
    [anon_sym_default] = ACTIONS(3374),
    [anon_sym_while] = ACTIONS(3374),
    [anon_sym_do] = ACTIONS(3374),
    [anon_sym_for] = ACTIONS(3374),
    [anon_sym_return] = ACTIONS(3374),
    [anon_sym_break] = ACTIONS(3374),
    [anon_sym_continue] = ACTIONS(3374),
    [anon_sym_goto] = ACTIONS(3374),
    [anon_sym_not] = ACTIONS(3374),
    [anon_sym_compl] = ACTIONS(3374),
    [anon_sym_DASH_DASH] = ACTIONS(3372),
    [anon_sym_PLUS_PLUS] = ACTIONS(3372),
    [anon_sym_sizeof] = ACTIONS(3374),
    [anon_sym___alignof__] = ACTIONS(3374),
    [anon_sym___alignof] = ACTIONS(3374),
    [anon_sym__alignof] = ACTIONS(3374),
    [anon_sym_alignof] = ACTIONS(3374),
    [anon_sym__Alignof] = ACTIONS(3374),
    [anon_sym_offsetof] = ACTIONS(3374),
    [anon_sym__Generic] = ACTIONS(3374),
    [anon_sym_asm] = ACTIONS(3374),
    [anon_sym___asm__] = ACTIONS(3374),
    [sym_number_literal] = ACTIONS(3372),
    [anon_sym_L_SQUOTE] = ACTIONS(3372),
    [anon_sym_u_SQUOTE] = ACTIONS(3372),
    [anon_sym_U_SQUOTE] = ACTIONS(3372),
    [anon_sym_u8_SQUOTE] = ACTIONS(3372),
    [anon_sym_SQUOTE] = ACTIONS(3372),
    [anon_sym_L_DQUOTE] = ACTIONS(3372),
    [anon_sym_u_DQUOTE] = ACTIONS(3372),
    [anon_sym_U_DQUOTE] = ACTIONS(3372),
    [anon_sym_u8_DQUOTE] = ACTIONS(3372),
    [anon_sym_DQUOTE] = ACTIONS(3372),
    [sym_true] = ACTIONS(3374),
    [sym_false] = ACTIONS(3374),
    [anon_sym_NULL] = ACTIONS(3374),
    [anon_sym_nullptr] = ACTIONS(3374),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3374),
    [anon_sym_decltype] = ACTIONS(3374),
    [anon_sym_virtual] = ACTIONS(3374),
    [anon_sym_alignas] = ACTIONS(3374),
    [anon_sym_explicit] = ACTIONS(3374),
    [anon_sym_typename] = ACTIONS(3374),
    [anon_sym_template] = ACTIONS(3374),
    [anon_sym_operator] = ACTIONS(3374),
    [anon_sym_try] = ACTIONS(3374),
    [anon_sym_delete] = ACTIONS(3374),
    [anon_sym_throw] = ACTIONS(3374),
    [anon_sym_namespace] = ACTIONS(3374),
    [anon_sym_using] = ACTIONS(3374),
    [anon_sym_static_assert] = ACTIONS(3374),
    [anon_sym_concept] = ACTIONS(3374),
    [anon_sym_co_return] = ACTIONS(3374),
    [anon_sym_co_yield] = ACTIONS(3374),
    [anon_sym_R_DQUOTE] = ACTIONS(3372),
    [anon_sym_LR_DQUOTE] = ACTIONS(3372),
    [anon_sym_uR_DQUOTE] = ACTIONS(3372),
    [anon_sym_UR_DQUOTE] = ACTIONS(3372),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3372),
    [anon_sym_co_await] = ACTIONS(3374),
    [anon_sym_new] = ACTIONS(3374),
    [anon_sym_requires] = ACTIONS(3374),
    [sym_this] = ACTIONS(3374),
    [anon_sym_precise] = ACTIONS(3374),
    [anon_sym_shared] = ACTIONS(3374),
    [anon_sym_groupshared] = ACTIONS(3374),
    [anon_sym_uniform] = ACTIONS(3374),
    [anon_sym_row_major] = ACTIONS(3374),
    [anon_sym_column_major] = ACTIONS(3374),
    [anon_sym_globallycoherent] = ACTIONS(3374),
    [anon_sym_centroid] = ACTIONS(3374),
    [anon_sym_noperspective] = ACTIONS(3374),
    [anon_sym_nointerpolation] = ACTIONS(3374),
    [anon_sym_sample] = ACTIONS(3374),
    [anon_sym_linear] = ACTIONS(3374),
    [anon_sym_snorm] = ACTIONS(3374),
    [anon_sym_unorm] = ACTIONS(3374),
    [anon_sym_point] = ACTIONS(3374),
    [anon_sym_line] = ACTIONS(3374),
    [anon_sym_triangleadj] = ACTIONS(3374),
    [anon_sym_lineadj] = ACTIONS(3374),
    [anon_sym_triangle] = ACTIONS(3374),
  },
  [1255] = {
    [ts_builtin_sym_end] = ACTIONS(2619),
    [sym_identifier] = ACTIONS(2617),
    [aux_sym_preproc_include_token1] = ACTIONS(2617),
    [aux_sym_preproc_def_token1] = ACTIONS(2617),
    [aux_sym_preproc_if_token1] = ACTIONS(2617),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2617),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2617),
    [sym_preproc_directive] = ACTIONS(2617),
    [anon_sym_LPAREN2] = ACTIONS(2619),
    [anon_sym_BANG] = ACTIONS(2619),
    [anon_sym_TILDE] = ACTIONS(2619),
    [anon_sym_DASH] = ACTIONS(2617),
    [anon_sym_PLUS] = ACTIONS(2617),
    [anon_sym_STAR] = ACTIONS(2619),
    [anon_sym_AMP_AMP] = ACTIONS(2619),
    [anon_sym_AMP] = ACTIONS(2617),
    [anon_sym___extension__] = ACTIONS(2617),
    [anon_sym_typedef] = ACTIONS(2617),
    [anon_sym_in] = ACTIONS(2617),
    [anon_sym_out] = ACTIONS(2617),
    [anon_sym_inout] = ACTIONS(2617),
    [anon_sym_extern] = ACTIONS(2617),
    [anon_sym___attribute__] = ACTIONS(2617),
    [anon_sym_COLON_COLON] = ACTIONS(2619),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2619),
    [anon_sym___declspec] = ACTIONS(2617),
    [anon_sym___based] = ACTIONS(2617),
    [anon_sym___cdecl] = ACTIONS(2617),
    [anon_sym___clrcall] = ACTIONS(2617),
    [anon_sym___stdcall] = ACTIONS(2617),
    [anon_sym___fastcall] = ACTIONS(2617),
    [anon_sym___thiscall] = ACTIONS(2617),
    [anon_sym___vectorcall] = ACTIONS(2617),
    [anon_sym_LBRACE] = ACTIONS(2619),
    [anon_sym_signed] = ACTIONS(2617),
    [anon_sym_unsigned] = ACTIONS(2617),
    [anon_sym_long] = ACTIONS(2617),
    [anon_sym_short] = ACTIONS(2617),
    [anon_sym_LBRACK] = ACTIONS(2617),
    [anon_sym_static] = ACTIONS(2617),
    [anon_sym_register] = ACTIONS(2617),
    [anon_sym_inline] = ACTIONS(2617),
    [anon_sym___inline] = ACTIONS(2617),
    [anon_sym___inline__] = ACTIONS(2617),
    [anon_sym___forceinline] = ACTIONS(2617),
    [anon_sym_thread_local] = ACTIONS(2617),
    [anon_sym___thread] = ACTIONS(2617),
    [anon_sym_const] = ACTIONS(2617),
    [anon_sym_constexpr] = ACTIONS(2617),
    [anon_sym_volatile] = ACTIONS(2617),
    [anon_sym_restrict] = ACTIONS(2617),
    [anon_sym___restrict__] = ACTIONS(2617),
    [anon_sym__Atomic] = ACTIONS(2617),
    [anon_sym__Noreturn] = ACTIONS(2617),
    [anon_sym_noreturn] = ACTIONS(2617),
    [anon_sym_mutable] = ACTIONS(2617),
    [anon_sym_constinit] = ACTIONS(2617),
    [anon_sym_consteval] = ACTIONS(2617),
    [sym_primitive_type] = ACTIONS(2617),
    [anon_sym_enum] = ACTIONS(2617),
    [anon_sym_class] = ACTIONS(2617),
    [anon_sym_struct] = ACTIONS(2617),
    [anon_sym_union] = ACTIONS(2617),
    [anon_sym_if] = ACTIONS(2617),
    [anon_sym_switch] = ACTIONS(2617),
    [anon_sym_case] = ACTIONS(2617),
    [anon_sym_default] = ACTIONS(2617),
    [anon_sym_while] = ACTIONS(2617),
    [anon_sym_do] = ACTIONS(2617),
    [anon_sym_for] = ACTIONS(2617),
    [anon_sym_return] = ACTIONS(2617),
    [anon_sym_break] = ACTIONS(2617),
    [anon_sym_continue] = ACTIONS(2617),
    [anon_sym_goto] = ACTIONS(2617),
    [anon_sym_not] = ACTIONS(2617),
    [anon_sym_compl] = ACTIONS(2617),
    [anon_sym_DASH_DASH] = ACTIONS(2619),
    [anon_sym_PLUS_PLUS] = ACTIONS(2619),
    [anon_sym_sizeof] = ACTIONS(2617),
    [anon_sym___alignof__] = ACTIONS(2617),
    [anon_sym___alignof] = ACTIONS(2617),
    [anon_sym__alignof] = ACTIONS(2617),
    [anon_sym_alignof] = ACTIONS(2617),
    [anon_sym__Alignof] = ACTIONS(2617),
    [anon_sym_offsetof] = ACTIONS(2617),
    [anon_sym__Generic] = ACTIONS(2617),
    [anon_sym_asm] = ACTIONS(2617),
    [anon_sym___asm__] = ACTIONS(2617),
    [sym_number_literal] = ACTIONS(2619),
    [anon_sym_L_SQUOTE] = ACTIONS(2619),
    [anon_sym_u_SQUOTE] = ACTIONS(2619),
    [anon_sym_U_SQUOTE] = ACTIONS(2619),
    [anon_sym_u8_SQUOTE] = ACTIONS(2619),
    [anon_sym_SQUOTE] = ACTIONS(2619),
    [anon_sym_L_DQUOTE] = ACTIONS(2619),
    [anon_sym_u_DQUOTE] = ACTIONS(2619),
    [anon_sym_U_DQUOTE] = ACTIONS(2619),
    [anon_sym_u8_DQUOTE] = ACTIONS(2619),
    [anon_sym_DQUOTE] = ACTIONS(2619),
    [sym_true] = ACTIONS(2617),
    [sym_false] = ACTIONS(2617),
    [anon_sym_NULL] = ACTIONS(2617),
    [anon_sym_nullptr] = ACTIONS(2617),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2617),
    [anon_sym_decltype] = ACTIONS(2617),
    [anon_sym_virtual] = ACTIONS(2617),
    [anon_sym_alignas] = ACTIONS(2617),
    [anon_sym_explicit] = ACTIONS(2617),
    [anon_sym_typename] = ACTIONS(2617),
    [anon_sym_template] = ACTIONS(2617),
    [anon_sym_operator] = ACTIONS(2617),
    [anon_sym_try] = ACTIONS(2617),
    [anon_sym_delete] = ACTIONS(2617),
    [anon_sym_throw] = ACTIONS(2617),
    [anon_sym_namespace] = ACTIONS(2617),
    [anon_sym_using] = ACTIONS(2617),
    [anon_sym_static_assert] = ACTIONS(2617),
    [anon_sym_concept] = ACTIONS(2617),
    [anon_sym_co_return] = ACTIONS(2617),
    [anon_sym_co_yield] = ACTIONS(2617),
    [anon_sym_R_DQUOTE] = ACTIONS(2619),
    [anon_sym_LR_DQUOTE] = ACTIONS(2619),
    [anon_sym_uR_DQUOTE] = ACTIONS(2619),
    [anon_sym_UR_DQUOTE] = ACTIONS(2619),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2619),
    [anon_sym_co_await] = ACTIONS(2617),
    [anon_sym_new] = ACTIONS(2617),
    [anon_sym_requires] = ACTIONS(2617),
    [sym_this] = ACTIONS(2617),
    [anon_sym_precise] = ACTIONS(2617),
    [anon_sym_shared] = ACTIONS(2617),
    [anon_sym_groupshared] = ACTIONS(2617),
    [anon_sym_uniform] = ACTIONS(2617),
    [anon_sym_row_major] = ACTIONS(2617),
    [anon_sym_column_major] = ACTIONS(2617),
    [anon_sym_globallycoherent] = ACTIONS(2617),
    [anon_sym_centroid] = ACTIONS(2617),
    [anon_sym_noperspective] = ACTIONS(2617),
    [anon_sym_nointerpolation] = ACTIONS(2617),
    [anon_sym_sample] = ACTIONS(2617),
    [anon_sym_linear] = ACTIONS(2617),
    [anon_sym_snorm] = ACTIONS(2617),
    [anon_sym_unorm] = ACTIONS(2617),
    [anon_sym_point] = ACTIONS(2617),
    [anon_sym_line] = ACTIONS(2617),
    [anon_sym_triangleadj] = ACTIONS(2617),
    [anon_sym_lineadj] = ACTIONS(2617),
    [anon_sym_triangle] = ACTIONS(2617),
  },
  [1256] = {
    [ts_builtin_sym_end] = ACTIONS(2719),
    [sym_identifier] = ACTIONS(2717),
    [aux_sym_preproc_include_token1] = ACTIONS(2717),
    [aux_sym_preproc_def_token1] = ACTIONS(2717),
    [aux_sym_preproc_if_token1] = ACTIONS(2717),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2717),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2717),
    [sym_preproc_directive] = ACTIONS(2717),
    [anon_sym_LPAREN2] = ACTIONS(2719),
    [anon_sym_BANG] = ACTIONS(2719),
    [anon_sym_TILDE] = ACTIONS(2719),
    [anon_sym_DASH] = ACTIONS(2717),
    [anon_sym_PLUS] = ACTIONS(2717),
    [anon_sym_STAR] = ACTIONS(2719),
    [anon_sym_AMP_AMP] = ACTIONS(2719),
    [anon_sym_AMP] = ACTIONS(2717),
    [anon_sym___extension__] = ACTIONS(2717),
    [anon_sym_typedef] = ACTIONS(2717),
    [anon_sym_in] = ACTIONS(2717),
    [anon_sym_out] = ACTIONS(2717),
    [anon_sym_inout] = ACTIONS(2717),
    [anon_sym_extern] = ACTIONS(2717),
    [anon_sym___attribute__] = ACTIONS(2717),
    [anon_sym_COLON_COLON] = ACTIONS(2719),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2719),
    [anon_sym___declspec] = ACTIONS(2717),
    [anon_sym___based] = ACTIONS(2717),
    [anon_sym___cdecl] = ACTIONS(2717),
    [anon_sym___clrcall] = ACTIONS(2717),
    [anon_sym___stdcall] = ACTIONS(2717),
    [anon_sym___fastcall] = ACTIONS(2717),
    [anon_sym___thiscall] = ACTIONS(2717),
    [anon_sym___vectorcall] = ACTIONS(2717),
    [anon_sym_LBRACE] = ACTIONS(2719),
    [anon_sym_signed] = ACTIONS(2717),
    [anon_sym_unsigned] = ACTIONS(2717),
    [anon_sym_long] = ACTIONS(2717),
    [anon_sym_short] = ACTIONS(2717),
    [anon_sym_LBRACK] = ACTIONS(2717),
    [anon_sym_static] = ACTIONS(2717),
    [anon_sym_register] = ACTIONS(2717),
    [anon_sym_inline] = ACTIONS(2717),
    [anon_sym___inline] = ACTIONS(2717),
    [anon_sym___inline__] = ACTIONS(2717),
    [anon_sym___forceinline] = ACTIONS(2717),
    [anon_sym_thread_local] = ACTIONS(2717),
    [anon_sym___thread] = ACTIONS(2717),
    [anon_sym_const] = ACTIONS(2717),
    [anon_sym_constexpr] = ACTIONS(2717),
    [anon_sym_volatile] = ACTIONS(2717),
    [anon_sym_restrict] = ACTIONS(2717),
    [anon_sym___restrict__] = ACTIONS(2717),
    [anon_sym__Atomic] = ACTIONS(2717),
    [anon_sym__Noreturn] = ACTIONS(2717),
    [anon_sym_noreturn] = ACTIONS(2717),
    [anon_sym_mutable] = ACTIONS(2717),
    [anon_sym_constinit] = ACTIONS(2717),
    [anon_sym_consteval] = ACTIONS(2717),
    [sym_primitive_type] = ACTIONS(2717),
    [anon_sym_enum] = ACTIONS(2717),
    [anon_sym_class] = ACTIONS(2717),
    [anon_sym_struct] = ACTIONS(2717),
    [anon_sym_union] = ACTIONS(2717),
    [anon_sym_if] = ACTIONS(2717),
    [anon_sym_switch] = ACTIONS(2717),
    [anon_sym_case] = ACTIONS(2717),
    [anon_sym_default] = ACTIONS(2717),
    [anon_sym_while] = ACTIONS(2717),
    [anon_sym_do] = ACTIONS(2717),
    [anon_sym_for] = ACTIONS(2717),
    [anon_sym_return] = ACTIONS(2717),
    [anon_sym_break] = ACTIONS(2717),
    [anon_sym_continue] = ACTIONS(2717),
    [anon_sym_goto] = ACTIONS(2717),
    [anon_sym_not] = ACTIONS(2717),
    [anon_sym_compl] = ACTIONS(2717),
    [anon_sym_DASH_DASH] = ACTIONS(2719),
    [anon_sym_PLUS_PLUS] = ACTIONS(2719),
    [anon_sym_sizeof] = ACTIONS(2717),
    [anon_sym___alignof__] = ACTIONS(2717),
    [anon_sym___alignof] = ACTIONS(2717),
    [anon_sym__alignof] = ACTIONS(2717),
    [anon_sym_alignof] = ACTIONS(2717),
    [anon_sym__Alignof] = ACTIONS(2717),
    [anon_sym_offsetof] = ACTIONS(2717),
    [anon_sym__Generic] = ACTIONS(2717),
    [anon_sym_asm] = ACTIONS(2717),
    [anon_sym___asm__] = ACTIONS(2717),
    [sym_number_literal] = ACTIONS(2719),
    [anon_sym_L_SQUOTE] = ACTIONS(2719),
    [anon_sym_u_SQUOTE] = ACTIONS(2719),
    [anon_sym_U_SQUOTE] = ACTIONS(2719),
    [anon_sym_u8_SQUOTE] = ACTIONS(2719),
    [anon_sym_SQUOTE] = ACTIONS(2719),
    [anon_sym_L_DQUOTE] = ACTIONS(2719),
    [anon_sym_u_DQUOTE] = ACTIONS(2719),
    [anon_sym_U_DQUOTE] = ACTIONS(2719),
    [anon_sym_u8_DQUOTE] = ACTIONS(2719),
    [anon_sym_DQUOTE] = ACTIONS(2719),
    [sym_true] = ACTIONS(2717),
    [sym_false] = ACTIONS(2717),
    [anon_sym_NULL] = ACTIONS(2717),
    [anon_sym_nullptr] = ACTIONS(2717),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2717),
    [anon_sym_decltype] = ACTIONS(2717),
    [anon_sym_virtual] = ACTIONS(2717),
    [anon_sym_alignas] = ACTIONS(2717),
    [anon_sym_explicit] = ACTIONS(2717),
    [anon_sym_typename] = ACTIONS(2717),
    [anon_sym_template] = ACTIONS(2717),
    [anon_sym_operator] = ACTIONS(2717),
    [anon_sym_try] = ACTIONS(2717),
    [anon_sym_delete] = ACTIONS(2717),
    [anon_sym_throw] = ACTIONS(2717),
    [anon_sym_namespace] = ACTIONS(2717),
    [anon_sym_using] = ACTIONS(2717),
    [anon_sym_static_assert] = ACTIONS(2717),
    [anon_sym_concept] = ACTIONS(2717),
    [anon_sym_co_return] = ACTIONS(2717),
    [anon_sym_co_yield] = ACTIONS(2717),
    [anon_sym_R_DQUOTE] = ACTIONS(2719),
    [anon_sym_LR_DQUOTE] = ACTIONS(2719),
    [anon_sym_uR_DQUOTE] = ACTIONS(2719),
    [anon_sym_UR_DQUOTE] = ACTIONS(2719),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2719),
    [anon_sym_co_await] = ACTIONS(2717),
    [anon_sym_new] = ACTIONS(2717),
    [anon_sym_requires] = ACTIONS(2717),
    [sym_this] = ACTIONS(2717),
    [anon_sym_precise] = ACTIONS(2717),
    [anon_sym_shared] = ACTIONS(2717),
    [anon_sym_groupshared] = ACTIONS(2717),
    [anon_sym_uniform] = ACTIONS(2717),
    [anon_sym_row_major] = ACTIONS(2717),
    [anon_sym_column_major] = ACTIONS(2717),
    [anon_sym_globallycoherent] = ACTIONS(2717),
    [anon_sym_centroid] = ACTIONS(2717),
    [anon_sym_noperspective] = ACTIONS(2717),
    [anon_sym_nointerpolation] = ACTIONS(2717),
    [anon_sym_sample] = ACTIONS(2717),
    [anon_sym_linear] = ACTIONS(2717),
    [anon_sym_snorm] = ACTIONS(2717),
    [anon_sym_unorm] = ACTIONS(2717),
    [anon_sym_point] = ACTIONS(2717),
    [anon_sym_line] = ACTIONS(2717),
    [anon_sym_triangleadj] = ACTIONS(2717),
    [anon_sym_lineadj] = ACTIONS(2717),
    [anon_sym_triangle] = ACTIONS(2717),
  },
  [1257] = {
    [ts_builtin_sym_end] = ACTIONS(2735),
    [sym_identifier] = ACTIONS(2733),
    [aux_sym_preproc_include_token1] = ACTIONS(2733),
    [aux_sym_preproc_def_token1] = ACTIONS(2733),
    [aux_sym_preproc_if_token1] = ACTIONS(2733),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2733),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2733),
    [sym_preproc_directive] = ACTIONS(2733),
    [anon_sym_LPAREN2] = ACTIONS(2735),
    [anon_sym_BANG] = ACTIONS(2735),
    [anon_sym_TILDE] = ACTIONS(2735),
    [anon_sym_DASH] = ACTIONS(2733),
    [anon_sym_PLUS] = ACTIONS(2733),
    [anon_sym_STAR] = ACTIONS(2735),
    [anon_sym_AMP_AMP] = ACTIONS(2735),
    [anon_sym_AMP] = ACTIONS(2733),
    [anon_sym___extension__] = ACTIONS(2733),
    [anon_sym_typedef] = ACTIONS(2733),
    [anon_sym_in] = ACTIONS(2733),
    [anon_sym_out] = ACTIONS(2733),
    [anon_sym_inout] = ACTIONS(2733),
    [anon_sym_extern] = ACTIONS(2733),
    [anon_sym___attribute__] = ACTIONS(2733),
    [anon_sym_COLON_COLON] = ACTIONS(2735),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2735),
    [anon_sym___declspec] = ACTIONS(2733),
    [anon_sym___based] = ACTIONS(2733),
    [anon_sym___cdecl] = ACTIONS(2733),
    [anon_sym___clrcall] = ACTIONS(2733),
    [anon_sym___stdcall] = ACTIONS(2733),
    [anon_sym___fastcall] = ACTIONS(2733),
    [anon_sym___thiscall] = ACTIONS(2733),
    [anon_sym___vectorcall] = ACTIONS(2733),
    [anon_sym_LBRACE] = ACTIONS(2735),
    [anon_sym_signed] = ACTIONS(2733),
    [anon_sym_unsigned] = ACTIONS(2733),
    [anon_sym_long] = ACTIONS(2733),
    [anon_sym_short] = ACTIONS(2733),
    [anon_sym_LBRACK] = ACTIONS(2733),
    [anon_sym_static] = ACTIONS(2733),
    [anon_sym_register] = ACTIONS(2733),
    [anon_sym_inline] = ACTIONS(2733),
    [anon_sym___inline] = ACTIONS(2733),
    [anon_sym___inline__] = ACTIONS(2733),
    [anon_sym___forceinline] = ACTIONS(2733),
    [anon_sym_thread_local] = ACTIONS(2733),
    [anon_sym___thread] = ACTIONS(2733),
    [anon_sym_const] = ACTIONS(2733),
    [anon_sym_constexpr] = ACTIONS(2733),
    [anon_sym_volatile] = ACTIONS(2733),
    [anon_sym_restrict] = ACTIONS(2733),
    [anon_sym___restrict__] = ACTIONS(2733),
    [anon_sym__Atomic] = ACTIONS(2733),
    [anon_sym__Noreturn] = ACTIONS(2733),
    [anon_sym_noreturn] = ACTIONS(2733),
    [anon_sym_mutable] = ACTIONS(2733),
    [anon_sym_constinit] = ACTIONS(2733),
    [anon_sym_consteval] = ACTIONS(2733),
    [sym_primitive_type] = ACTIONS(2733),
    [anon_sym_enum] = ACTIONS(2733),
    [anon_sym_class] = ACTIONS(2733),
    [anon_sym_struct] = ACTIONS(2733),
    [anon_sym_union] = ACTIONS(2733),
    [anon_sym_if] = ACTIONS(2733),
    [anon_sym_switch] = ACTIONS(2733),
    [anon_sym_case] = ACTIONS(2733),
    [anon_sym_default] = ACTIONS(2733),
    [anon_sym_while] = ACTIONS(2733),
    [anon_sym_do] = ACTIONS(2733),
    [anon_sym_for] = ACTIONS(2733),
    [anon_sym_return] = ACTIONS(2733),
    [anon_sym_break] = ACTIONS(2733),
    [anon_sym_continue] = ACTIONS(2733),
    [anon_sym_goto] = ACTIONS(2733),
    [anon_sym_not] = ACTIONS(2733),
    [anon_sym_compl] = ACTIONS(2733),
    [anon_sym_DASH_DASH] = ACTIONS(2735),
    [anon_sym_PLUS_PLUS] = ACTIONS(2735),
    [anon_sym_sizeof] = ACTIONS(2733),
    [anon_sym___alignof__] = ACTIONS(2733),
    [anon_sym___alignof] = ACTIONS(2733),
    [anon_sym__alignof] = ACTIONS(2733),
    [anon_sym_alignof] = ACTIONS(2733),
    [anon_sym__Alignof] = ACTIONS(2733),
    [anon_sym_offsetof] = ACTIONS(2733),
    [anon_sym__Generic] = ACTIONS(2733),
    [anon_sym_asm] = ACTIONS(2733),
    [anon_sym___asm__] = ACTIONS(2733),
    [sym_number_literal] = ACTIONS(2735),
    [anon_sym_L_SQUOTE] = ACTIONS(2735),
    [anon_sym_u_SQUOTE] = ACTIONS(2735),
    [anon_sym_U_SQUOTE] = ACTIONS(2735),
    [anon_sym_u8_SQUOTE] = ACTIONS(2735),
    [anon_sym_SQUOTE] = ACTIONS(2735),
    [anon_sym_L_DQUOTE] = ACTIONS(2735),
    [anon_sym_u_DQUOTE] = ACTIONS(2735),
    [anon_sym_U_DQUOTE] = ACTIONS(2735),
    [anon_sym_u8_DQUOTE] = ACTIONS(2735),
    [anon_sym_DQUOTE] = ACTIONS(2735),
    [sym_true] = ACTIONS(2733),
    [sym_false] = ACTIONS(2733),
    [anon_sym_NULL] = ACTIONS(2733),
    [anon_sym_nullptr] = ACTIONS(2733),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2733),
    [anon_sym_decltype] = ACTIONS(2733),
    [anon_sym_virtual] = ACTIONS(2733),
    [anon_sym_alignas] = ACTIONS(2733),
    [anon_sym_explicit] = ACTIONS(2733),
    [anon_sym_typename] = ACTIONS(2733),
    [anon_sym_template] = ACTIONS(2733),
    [anon_sym_operator] = ACTIONS(2733),
    [anon_sym_try] = ACTIONS(2733),
    [anon_sym_delete] = ACTIONS(2733),
    [anon_sym_throw] = ACTIONS(2733),
    [anon_sym_namespace] = ACTIONS(2733),
    [anon_sym_using] = ACTIONS(2733),
    [anon_sym_static_assert] = ACTIONS(2733),
    [anon_sym_concept] = ACTIONS(2733),
    [anon_sym_co_return] = ACTIONS(2733),
    [anon_sym_co_yield] = ACTIONS(2733),
    [anon_sym_R_DQUOTE] = ACTIONS(2735),
    [anon_sym_LR_DQUOTE] = ACTIONS(2735),
    [anon_sym_uR_DQUOTE] = ACTIONS(2735),
    [anon_sym_UR_DQUOTE] = ACTIONS(2735),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2735),
    [anon_sym_co_await] = ACTIONS(2733),
    [anon_sym_new] = ACTIONS(2733),
    [anon_sym_requires] = ACTIONS(2733),
    [sym_this] = ACTIONS(2733),
    [anon_sym_precise] = ACTIONS(2733),
    [anon_sym_shared] = ACTIONS(2733),
    [anon_sym_groupshared] = ACTIONS(2733),
    [anon_sym_uniform] = ACTIONS(2733),
    [anon_sym_row_major] = ACTIONS(2733),
    [anon_sym_column_major] = ACTIONS(2733),
    [anon_sym_globallycoherent] = ACTIONS(2733),
    [anon_sym_centroid] = ACTIONS(2733),
    [anon_sym_noperspective] = ACTIONS(2733),
    [anon_sym_nointerpolation] = ACTIONS(2733),
    [anon_sym_sample] = ACTIONS(2733),
    [anon_sym_linear] = ACTIONS(2733),
    [anon_sym_snorm] = ACTIONS(2733),
    [anon_sym_unorm] = ACTIONS(2733),
    [anon_sym_point] = ACTIONS(2733),
    [anon_sym_line] = ACTIONS(2733),
    [anon_sym_triangleadj] = ACTIONS(2733),
    [anon_sym_lineadj] = ACTIONS(2733),
    [anon_sym_triangle] = ACTIONS(2733),
  },
  [1258] = {
    [ts_builtin_sym_end] = ACTIONS(2819),
    [sym_identifier] = ACTIONS(2817),
    [aux_sym_preproc_include_token1] = ACTIONS(2817),
    [aux_sym_preproc_def_token1] = ACTIONS(2817),
    [aux_sym_preproc_if_token1] = ACTIONS(2817),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2817),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2817),
    [sym_preproc_directive] = ACTIONS(2817),
    [anon_sym_LPAREN2] = ACTIONS(2819),
    [anon_sym_BANG] = ACTIONS(2819),
    [anon_sym_TILDE] = ACTIONS(2819),
    [anon_sym_DASH] = ACTIONS(2817),
    [anon_sym_PLUS] = ACTIONS(2817),
    [anon_sym_STAR] = ACTIONS(2819),
    [anon_sym_AMP_AMP] = ACTIONS(2819),
    [anon_sym_AMP] = ACTIONS(2817),
    [anon_sym___extension__] = ACTIONS(2817),
    [anon_sym_typedef] = ACTIONS(2817),
    [anon_sym_in] = ACTIONS(2817),
    [anon_sym_out] = ACTIONS(2817),
    [anon_sym_inout] = ACTIONS(2817),
    [anon_sym_extern] = ACTIONS(2817),
    [anon_sym___attribute__] = ACTIONS(2817),
    [anon_sym_COLON_COLON] = ACTIONS(2819),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2819),
    [anon_sym___declspec] = ACTIONS(2817),
    [anon_sym___based] = ACTIONS(2817),
    [anon_sym___cdecl] = ACTIONS(2817),
    [anon_sym___clrcall] = ACTIONS(2817),
    [anon_sym___stdcall] = ACTIONS(2817),
    [anon_sym___fastcall] = ACTIONS(2817),
    [anon_sym___thiscall] = ACTIONS(2817),
    [anon_sym___vectorcall] = ACTIONS(2817),
    [anon_sym_LBRACE] = ACTIONS(2819),
    [anon_sym_signed] = ACTIONS(2817),
    [anon_sym_unsigned] = ACTIONS(2817),
    [anon_sym_long] = ACTIONS(2817),
    [anon_sym_short] = ACTIONS(2817),
    [anon_sym_LBRACK] = ACTIONS(2817),
    [anon_sym_static] = ACTIONS(2817),
    [anon_sym_register] = ACTIONS(2817),
    [anon_sym_inline] = ACTIONS(2817),
    [anon_sym___inline] = ACTIONS(2817),
    [anon_sym___inline__] = ACTIONS(2817),
    [anon_sym___forceinline] = ACTIONS(2817),
    [anon_sym_thread_local] = ACTIONS(2817),
    [anon_sym___thread] = ACTIONS(2817),
    [anon_sym_const] = ACTIONS(2817),
    [anon_sym_constexpr] = ACTIONS(2817),
    [anon_sym_volatile] = ACTIONS(2817),
    [anon_sym_restrict] = ACTIONS(2817),
    [anon_sym___restrict__] = ACTIONS(2817),
    [anon_sym__Atomic] = ACTIONS(2817),
    [anon_sym__Noreturn] = ACTIONS(2817),
    [anon_sym_noreturn] = ACTIONS(2817),
    [anon_sym_mutable] = ACTIONS(2817),
    [anon_sym_constinit] = ACTIONS(2817),
    [anon_sym_consteval] = ACTIONS(2817),
    [sym_primitive_type] = ACTIONS(2817),
    [anon_sym_enum] = ACTIONS(2817),
    [anon_sym_class] = ACTIONS(2817),
    [anon_sym_struct] = ACTIONS(2817),
    [anon_sym_union] = ACTIONS(2817),
    [anon_sym_if] = ACTIONS(2817),
    [anon_sym_switch] = ACTIONS(2817),
    [anon_sym_case] = ACTIONS(2817),
    [anon_sym_default] = ACTIONS(2817),
    [anon_sym_while] = ACTIONS(2817),
    [anon_sym_do] = ACTIONS(2817),
    [anon_sym_for] = ACTIONS(2817),
    [anon_sym_return] = ACTIONS(2817),
    [anon_sym_break] = ACTIONS(2817),
    [anon_sym_continue] = ACTIONS(2817),
    [anon_sym_goto] = ACTIONS(2817),
    [anon_sym_not] = ACTIONS(2817),
    [anon_sym_compl] = ACTIONS(2817),
    [anon_sym_DASH_DASH] = ACTIONS(2819),
    [anon_sym_PLUS_PLUS] = ACTIONS(2819),
    [anon_sym_sizeof] = ACTIONS(2817),
    [anon_sym___alignof__] = ACTIONS(2817),
    [anon_sym___alignof] = ACTIONS(2817),
    [anon_sym__alignof] = ACTIONS(2817),
    [anon_sym_alignof] = ACTIONS(2817),
    [anon_sym__Alignof] = ACTIONS(2817),
    [anon_sym_offsetof] = ACTIONS(2817),
    [anon_sym__Generic] = ACTIONS(2817),
    [anon_sym_asm] = ACTIONS(2817),
    [anon_sym___asm__] = ACTIONS(2817),
    [sym_number_literal] = ACTIONS(2819),
    [anon_sym_L_SQUOTE] = ACTIONS(2819),
    [anon_sym_u_SQUOTE] = ACTIONS(2819),
    [anon_sym_U_SQUOTE] = ACTIONS(2819),
    [anon_sym_u8_SQUOTE] = ACTIONS(2819),
    [anon_sym_SQUOTE] = ACTIONS(2819),
    [anon_sym_L_DQUOTE] = ACTIONS(2819),
    [anon_sym_u_DQUOTE] = ACTIONS(2819),
    [anon_sym_U_DQUOTE] = ACTIONS(2819),
    [anon_sym_u8_DQUOTE] = ACTIONS(2819),
    [anon_sym_DQUOTE] = ACTIONS(2819),
    [sym_true] = ACTIONS(2817),
    [sym_false] = ACTIONS(2817),
    [anon_sym_NULL] = ACTIONS(2817),
    [anon_sym_nullptr] = ACTIONS(2817),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2817),
    [anon_sym_decltype] = ACTIONS(2817),
    [anon_sym_virtual] = ACTIONS(2817),
    [anon_sym_alignas] = ACTIONS(2817),
    [anon_sym_explicit] = ACTIONS(2817),
    [anon_sym_typename] = ACTIONS(2817),
    [anon_sym_template] = ACTIONS(2817),
    [anon_sym_operator] = ACTIONS(2817),
    [anon_sym_try] = ACTIONS(2817),
    [anon_sym_delete] = ACTIONS(2817),
    [anon_sym_throw] = ACTIONS(2817),
    [anon_sym_namespace] = ACTIONS(2817),
    [anon_sym_using] = ACTIONS(2817),
    [anon_sym_static_assert] = ACTIONS(2817),
    [anon_sym_concept] = ACTIONS(2817),
    [anon_sym_co_return] = ACTIONS(2817),
    [anon_sym_co_yield] = ACTIONS(2817),
    [anon_sym_R_DQUOTE] = ACTIONS(2819),
    [anon_sym_LR_DQUOTE] = ACTIONS(2819),
    [anon_sym_uR_DQUOTE] = ACTIONS(2819),
    [anon_sym_UR_DQUOTE] = ACTIONS(2819),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2819),
    [anon_sym_co_await] = ACTIONS(2817),
    [anon_sym_new] = ACTIONS(2817),
    [anon_sym_requires] = ACTIONS(2817),
    [sym_this] = ACTIONS(2817),
    [anon_sym_precise] = ACTIONS(2817),
    [anon_sym_shared] = ACTIONS(2817),
    [anon_sym_groupshared] = ACTIONS(2817),
    [anon_sym_uniform] = ACTIONS(2817),
    [anon_sym_row_major] = ACTIONS(2817),
    [anon_sym_column_major] = ACTIONS(2817),
    [anon_sym_globallycoherent] = ACTIONS(2817),
    [anon_sym_centroid] = ACTIONS(2817),
    [anon_sym_noperspective] = ACTIONS(2817),
    [anon_sym_nointerpolation] = ACTIONS(2817),
    [anon_sym_sample] = ACTIONS(2817),
    [anon_sym_linear] = ACTIONS(2817),
    [anon_sym_snorm] = ACTIONS(2817),
    [anon_sym_unorm] = ACTIONS(2817),
    [anon_sym_point] = ACTIONS(2817),
    [anon_sym_line] = ACTIONS(2817),
    [anon_sym_triangleadj] = ACTIONS(2817),
    [anon_sym_lineadj] = ACTIONS(2817),
    [anon_sym_triangle] = ACTIONS(2817),
  },
  [1259] = {
    [ts_builtin_sym_end] = ACTIONS(2526),
    [sym_identifier] = ACTIONS(2524),
    [aux_sym_preproc_include_token1] = ACTIONS(2524),
    [aux_sym_preproc_def_token1] = ACTIONS(2524),
    [aux_sym_preproc_if_token1] = ACTIONS(2524),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2524),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2524),
    [sym_preproc_directive] = ACTIONS(2524),
    [anon_sym_LPAREN2] = ACTIONS(2526),
    [anon_sym_BANG] = ACTIONS(2526),
    [anon_sym_TILDE] = ACTIONS(2526),
    [anon_sym_DASH] = ACTIONS(2524),
    [anon_sym_PLUS] = ACTIONS(2524),
    [anon_sym_STAR] = ACTIONS(2526),
    [anon_sym_AMP_AMP] = ACTIONS(2526),
    [anon_sym_AMP] = ACTIONS(2524),
    [anon_sym___extension__] = ACTIONS(2524),
    [anon_sym_typedef] = ACTIONS(2524),
    [anon_sym_in] = ACTIONS(2524),
    [anon_sym_out] = ACTIONS(2524),
    [anon_sym_inout] = ACTIONS(2524),
    [anon_sym_extern] = ACTIONS(2524),
    [anon_sym___attribute__] = ACTIONS(2524),
    [anon_sym_COLON_COLON] = ACTIONS(2526),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2526),
    [anon_sym___declspec] = ACTIONS(2524),
    [anon_sym___based] = ACTIONS(2524),
    [anon_sym___cdecl] = ACTIONS(2524),
    [anon_sym___clrcall] = ACTIONS(2524),
    [anon_sym___stdcall] = ACTIONS(2524),
    [anon_sym___fastcall] = ACTIONS(2524),
    [anon_sym___thiscall] = ACTIONS(2524),
    [anon_sym___vectorcall] = ACTIONS(2524),
    [anon_sym_LBRACE] = ACTIONS(2526),
    [anon_sym_signed] = ACTIONS(2524),
    [anon_sym_unsigned] = ACTIONS(2524),
    [anon_sym_long] = ACTIONS(2524),
    [anon_sym_short] = ACTIONS(2524),
    [anon_sym_LBRACK] = ACTIONS(2524),
    [anon_sym_static] = ACTIONS(2524),
    [anon_sym_register] = ACTIONS(2524),
    [anon_sym_inline] = ACTIONS(2524),
    [anon_sym___inline] = ACTIONS(2524),
    [anon_sym___inline__] = ACTIONS(2524),
    [anon_sym___forceinline] = ACTIONS(2524),
    [anon_sym_thread_local] = ACTIONS(2524),
    [anon_sym___thread] = ACTIONS(2524),
    [anon_sym_const] = ACTIONS(2524),
    [anon_sym_constexpr] = ACTIONS(2524),
    [anon_sym_volatile] = ACTIONS(2524),
    [anon_sym_restrict] = ACTIONS(2524),
    [anon_sym___restrict__] = ACTIONS(2524),
    [anon_sym__Atomic] = ACTIONS(2524),
    [anon_sym__Noreturn] = ACTIONS(2524),
    [anon_sym_noreturn] = ACTIONS(2524),
    [anon_sym_mutable] = ACTIONS(2524),
    [anon_sym_constinit] = ACTIONS(2524),
    [anon_sym_consteval] = ACTIONS(2524),
    [sym_primitive_type] = ACTIONS(2524),
    [anon_sym_enum] = ACTIONS(2524),
    [anon_sym_class] = ACTIONS(2524),
    [anon_sym_struct] = ACTIONS(2524),
    [anon_sym_union] = ACTIONS(2524),
    [anon_sym_if] = ACTIONS(2524),
    [anon_sym_switch] = ACTIONS(2524),
    [anon_sym_case] = ACTIONS(2524),
    [anon_sym_default] = ACTIONS(2524),
    [anon_sym_while] = ACTIONS(2524),
    [anon_sym_do] = ACTIONS(2524),
    [anon_sym_for] = ACTIONS(2524),
    [anon_sym_return] = ACTIONS(2524),
    [anon_sym_break] = ACTIONS(2524),
    [anon_sym_continue] = ACTIONS(2524),
    [anon_sym_goto] = ACTIONS(2524),
    [anon_sym_not] = ACTIONS(2524),
    [anon_sym_compl] = ACTIONS(2524),
    [anon_sym_DASH_DASH] = ACTIONS(2526),
    [anon_sym_PLUS_PLUS] = ACTIONS(2526),
    [anon_sym_sizeof] = ACTIONS(2524),
    [anon_sym___alignof__] = ACTIONS(2524),
    [anon_sym___alignof] = ACTIONS(2524),
    [anon_sym__alignof] = ACTIONS(2524),
    [anon_sym_alignof] = ACTIONS(2524),
    [anon_sym__Alignof] = ACTIONS(2524),
    [anon_sym_offsetof] = ACTIONS(2524),
    [anon_sym__Generic] = ACTIONS(2524),
    [anon_sym_asm] = ACTIONS(2524),
    [anon_sym___asm__] = ACTIONS(2524),
    [sym_number_literal] = ACTIONS(2526),
    [anon_sym_L_SQUOTE] = ACTIONS(2526),
    [anon_sym_u_SQUOTE] = ACTIONS(2526),
    [anon_sym_U_SQUOTE] = ACTIONS(2526),
    [anon_sym_u8_SQUOTE] = ACTIONS(2526),
    [anon_sym_SQUOTE] = ACTIONS(2526),
    [anon_sym_L_DQUOTE] = ACTIONS(2526),
    [anon_sym_u_DQUOTE] = ACTIONS(2526),
    [anon_sym_U_DQUOTE] = ACTIONS(2526),
    [anon_sym_u8_DQUOTE] = ACTIONS(2526),
    [anon_sym_DQUOTE] = ACTIONS(2526),
    [sym_true] = ACTIONS(2524),
    [sym_false] = ACTIONS(2524),
    [anon_sym_NULL] = ACTIONS(2524),
    [anon_sym_nullptr] = ACTIONS(2524),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2524),
    [anon_sym_decltype] = ACTIONS(2524),
    [anon_sym_virtual] = ACTIONS(2524),
    [anon_sym_alignas] = ACTIONS(2524),
    [anon_sym_explicit] = ACTIONS(2524),
    [anon_sym_typename] = ACTIONS(2524),
    [anon_sym_template] = ACTIONS(2524),
    [anon_sym_operator] = ACTIONS(2524),
    [anon_sym_try] = ACTIONS(2524),
    [anon_sym_delete] = ACTIONS(2524),
    [anon_sym_throw] = ACTIONS(2524),
    [anon_sym_namespace] = ACTIONS(2524),
    [anon_sym_using] = ACTIONS(2524),
    [anon_sym_static_assert] = ACTIONS(2524),
    [anon_sym_concept] = ACTIONS(2524),
    [anon_sym_co_return] = ACTIONS(2524),
    [anon_sym_co_yield] = ACTIONS(2524),
    [anon_sym_R_DQUOTE] = ACTIONS(2526),
    [anon_sym_LR_DQUOTE] = ACTIONS(2526),
    [anon_sym_uR_DQUOTE] = ACTIONS(2526),
    [anon_sym_UR_DQUOTE] = ACTIONS(2526),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2526),
    [anon_sym_co_await] = ACTIONS(2524),
    [anon_sym_new] = ACTIONS(2524),
    [anon_sym_requires] = ACTIONS(2524),
    [sym_this] = ACTIONS(2524),
    [anon_sym_precise] = ACTIONS(2524),
    [anon_sym_shared] = ACTIONS(2524),
    [anon_sym_groupshared] = ACTIONS(2524),
    [anon_sym_uniform] = ACTIONS(2524),
    [anon_sym_row_major] = ACTIONS(2524),
    [anon_sym_column_major] = ACTIONS(2524),
    [anon_sym_globallycoherent] = ACTIONS(2524),
    [anon_sym_centroid] = ACTIONS(2524),
    [anon_sym_noperspective] = ACTIONS(2524),
    [anon_sym_nointerpolation] = ACTIONS(2524),
    [anon_sym_sample] = ACTIONS(2524),
    [anon_sym_linear] = ACTIONS(2524),
    [anon_sym_snorm] = ACTIONS(2524),
    [anon_sym_unorm] = ACTIONS(2524),
    [anon_sym_point] = ACTIONS(2524),
    [anon_sym_line] = ACTIONS(2524),
    [anon_sym_triangleadj] = ACTIONS(2524),
    [anon_sym_lineadj] = ACTIONS(2524),
    [anon_sym_triangle] = ACTIONS(2524),
  },
  [1260] = {
    [ts_builtin_sym_end] = ACTIONS(2619),
    [sym_identifier] = ACTIONS(2617),
    [aux_sym_preproc_include_token1] = ACTIONS(2617),
    [aux_sym_preproc_def_token1] = ACTIONS(2617),
    [aux_sym_preproc_if_token1] = ACTIONS(2617),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2617),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2617),
    [sym_preproc_directive] = ACTIONS(2617),
    [anon_sym_LPAREN2] = ACTIONS(2619),
    [anon_sym_BANG] = ACTIONS(2619),
    [anon_sym_TILDE] = ACTIONS(2619),
    [anon_sym_DASH] = ACTIONS(2617),
    [anon_sym_PLUS] = ACTIONS(2617),
    [anon_sym_STAR] = ACTIONS(2619),
    [anon_sym_AMP_AMP] = ACTIONS(2619),
    [anon_sym_AMP] = ACTIONS(2617),
    [anon_sym___extension__] = ACTIONS(2617),
    [anon_sym_typedef] = ACTIONS(2617),
    [anon_sym_in] = ACTIONS(2617),
    [anon_sym_out] = ACTIONS(2617),
    [anon_sym_inout] = ACTIONS(2617),
    [anon_sym_extern] = ACTIONS(2617),
    [anon_sym___attribute__] = ACTIONS(2617),
    [anon_sym_COLON_COLON] = ACTIONS(2619),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2619),
    [anon_sym___declspec] = ACTIONS(2617),
    [anon_sym___based] = ACTIONS(2617),
    [anon_sym___cdecl] = ACTIONS(2617),
    [anon_sym___clrcall] = ACTIONS(2617),
    [anon_sym___stdcall] = ACTIONS(2617),
    [anon_sym___fastcall] = ACTIONS(2617),
    [anon_sym___thiscall] = ACTIONS(2617),
    [anon_sym___vectorcall] = ACTIONS(2617),
    [anon_sym_LBRACE] = ACTIONS(2619),
    [anon_sym_signed] = ACTIONS(2617),
    [anon_sym_unsigned] = ACTIONS(2617),
    [anon_sym_long] = ACTIONS(2617),
    [anon_sym_short] = ACTIONS(2617),
    [anon_sym_LBRACK] = ACTIONS(2617),
    [anon_sym_static] = ACTIONS(2617),
    [anon_sym_register] = ACTIONS(2617),
    [anon_sym_inline] = ACTIONS(2617),
    [anon_sym___inline] = ACTIONS(2617),
    [anon_sym___inline__] = ACTIONS(2617),
    [anon_sym___forceinline] = ACTIONS(2617),
    [anon_sym_thread_local] = ACTIONS(2617),
    [anon_sym___thread] = ACTIONS(2617),
    [anon_sym_const] = ACTIONS(2617),
    [anon_sym_constexpr] = ACTIONS(2617),
    [anon_sym_volatile] = ACTIONS(2617),
    [anon_sym_restrict] = ACTIONS(2617),
    [anon_sym___restrict__] = ACTIONS(2617),
    [anon_sym__Atomic] = ACTIONS(2617),
    [anon_sym__Noreturn] = ACTIONS(2617),
    [anon_sym_noreturn] = ACTIONS(2617),
    [anon_sym_mutable] = ACTIONS(2617),
    [anon_sym_constinit] = ACTIONS(2617),
    [anon_sym_consteval] = ACTIONS(2617),
    [sym_primitive_type] = ACTIONS(2617),
    [anon_sym_enum] = ACTIONS(2617),
    [anon_sym_class] = ACTIONS(2617),
    [anon_sym_struct] = ACTIONS(2617),
    [anon_sym_union] = ACTIONS(2617),
    [anon_sym_if] = ACTIONS(2617),
    [anon_sym_switch] = ACTIONS(2617),
    [anon_sym_case] = ACTIONS(2617),
    [anon_sym_default] = ACTIONS(2617),
    [anon_sym_while] = ACTIONS(2617),
    [anon_sym_do] = ACTIONS(2617),
    [anon_sym_for] = ACTIONS(2617),
    [anon_sym_return] = ACTIONS(2617),
    [anon_sym_break] = ACTIONS(2617),
    [anon_sym_continue] = ACTIONS(2617),
    [anon_sym_goto] = ACTIONS(2617),
    [anon_sym_not] = ACTIONS(2617),
    [anon_sym_compl] = ACTIONS(2617),
    [anon_sym_DASH_DASH] = ACTIONS(2619),
    [anon_sym_PLUS_PLUS] = ACTIONS(2619),
    [anon_sym_sizeof] = ACTIONS(2617),
    [anon_sym___alignof__] = ACTIONS(2617),
    [anon_sym___alignof] = ACTIONS(2617),
    [anon_sym__alignof] = ACTIONS(2617),
    [anon_sym_alignof] = ACTIONS(2617),
    [anon_sym__Alignof] = ACTIONS(2617),
    [anon_sym_offsetof] = ACTIONS(2617),
    [anon_sym__Generic] = ACTIONS(2617),
    [anon_sym_asm] = ACTIONS(2617),
    [anon_sym___asm__] = ACTIONS(2617),
    [sym_number_literal] = ACTIONS(2619),
    [anon_sym_L_SQUOTE] = ACTIONS(2619),
    [anon_sym_u_SQUOTE] = ACTIONS(2619),
    [anon_sym_U_SQUOTE] = ACTIONS(2619),
    [anon_sym_u8_SQUOTE] = ACTIONS(2619),
    [anon_sym_SQUOTE] = ACTIONS(2619),
    [anon_sym_L_DQUOTE] = ACTIONS(2619),
    [anon_sym_u_DQUOTE] = ACTIONS(2619),
    [anon_sym_U_DQUOTE] = ACTIONS(2619),
    [anon_sym_u8_DQUOTE] = ACTIONS(2619),
    [anon_sym_DQUOTE] = ACTIONS(2619),
    [sym_true] = ACTIONS(2617),
    [sym_false] = ACTIONS(2617),
    [anon_sym_NULL] = ACTIONS(2617),
    [anon_sym_nullptr] = ACTIONS(2617),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2617),
    [anon_sym_decltype] = ACTIONS(2617),
    [anon_sym_virtual] = ACTIONS(2617),
    [anon_sym_alignas] = ACTIONS(2617),
    [anon_sym_explicit] = ACTIONS(2617),
    [anon_sym_typename] = ACTIONS(2617),
    [anon_sym_template] = ACTIONS(2617),
    [anon_sym_operator] = ACTIONS(2617),
    [anon_sym_try] = ACTIONS(2617),
    [anon_sym_delete] = ACTIONS(2617),
    [anon_sym_throw] = ACTIONS(2617),
    [anon_sym_namespace] = ACTIONS(2617),
    [anon_sym_using] = ACTIONS(2617),
    [anon_sym_static_assert] = ACTIONS(2617),
    [anon_sym_concept] = ACTIONS(2617),
    [anon_sym_co_return] = ACTIONS(2617),
    [anon_sym_co_yield] = ACTIONS(2617),
    [anon_sym_R_DQUOTE] = ACTIONS(2619),
    [anon_sym_LR_DQUOTE] = ACTIONS(2619),
    [anon_sym_uR_DQUOTE] = ACTIONS(2619),
    [anon_sym_UR_DQUOTE] = ACTIONS(2619),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2619),
    [anon_sym_co_await] = ACTIONS(2617),
    [anon_sym_new] = ACTIONS(2617),
    [anon_sym_requires] = ACTIONS(2617),
    [sym_this] = ACTIONS(2617),
    [anon_sym_precise] = ACTIONS(2617),
    [anon_sym_shared] = ACTIONS(2617),
    [anon_sym_groupshared] = ACTIONS(2617),
    [anon_sym_uniform] = ACTIONS(2617),
    [anon_sym_row_major] = ACTIONS(2617),
    [anon_sym_column_major] = ACTIONS(2617),
    [anon_sym_globallycoherent] = ACTIONS(2617),
    [anon_sym_centroid] = ACTIONS(2617),
    [anon_sym_noperspective] = ACTIONS(2617),
    [anon_sym_nointerpolation] = ACTIONS(2617),
    [anon_sym_sample] = ACTIONS(2617),
    [anon_sym_linear] = ACTIONS(2617),
    [anon_sym_snorm] = ACTIONS(2617),
    [anon_sym_unorm] = ACTIONS(2617),
    [anon_sym_point] = ACTIONS(2617),
    [anon_sym_line] = ACTIONS(2617),
    [anon_sym_triangleadj] = ACTIONS(2617),
    [anon_sym_lineadj] = ACTIONS(2617),
    [anon_sym_triangle] = ACTIONS(2617),
  },
  [1261] = {
    [ts_builtin_sym_end] = ACTIONS(2631),
    [sym_identifier] = ACTIONS(2629),
    [aux_sym_preproc_include_token1] = ACTIONS(2629),
    [aux_sym_preproc_def_token1] = ACTIONS(2629),
    [aux_sym_preproc_if_token1] = ACTIONS(2629),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2629),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2629),
    [sym_preproc_directive] = ACTIONS(2629),
    [anon_sym_LPAREN2] = ACTIONS(2631),
    [anon_sym_BANG] = ACTIONS(2631),
    [anon_sym_TILDE] = ACTIONS(2631),
    [anon_sym_DASH] = ACTIONS(2629),
    [anon_sym_PLUS] = ACTIONS(2629),
    [anon_sym_STAR] = ACTIONS(2631),
    [anon_sym_AMP_AMP] = ACTIONS(2631),
    [anon_sym_AMP] = ACTIONS(2629),
    [anon_sym___extension__] = ACTIONS(2629),
    [anon_sym_typedef] = ACTIONS(2629),
    [anon_sym_in] = ACTIONS(2629),
    [anon_sym_out] = ACTIONS(2629),
    [anon_sym_inout] = ACTIONS(2629),
    [anon_sym_extern] = ACTIONS(2629),
    [anon_sym___attribute__] = ACTIONS(2629),
    [anon_sym_COLON_COLON] = ACTIONS(2631),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2631),
    [anon_sym___declspec] = ACTIONS(2629),
    [anon_sym___based] = ACTIONS(2629),
    [anon_sym___cdecl] = ACTIONS(2629),
    [anon_sym___clrcall] = ACTIONS(2629),
    [anon_sym___stdcall] = ACTIONS(2629),
    [anon_sym___fastcall] = ACTIONS(2629),
    [anon_sym___thiscall] = ACTIONS(2629),
    [anon_sym___vectorcall] = ACTIONS(2629),
    [anon_sym_LBRACE] = ACTIONS(2631),
    [anon_sym_signed] = ACTIONS(2629),
    [anon_sym_unsigned] = ACTIONS(2629),
    [anon_sym_long] = ACTIONS(2629),
    [anon_sym_short] = ACTIONS(2629),
    [anon_sym_LBRACK] = ACTIONS(2629),
    [anon_sym_static] = ACTIONS(2629),
    [anon_sym_register] = ACTIONS(2629),
    [anon_sym_inline] = ACTIONS(2629),
    [anon_sym___inline] = ACTIONS(2629),
    [anon_sym___inline__] = ACTIONS(2629),
    [anon_sym___forceinline] = ACTIONS(2629),
    [anon_sym_thread_local] = ACTIONS(2629),
    [anon_sym___thread] = ACTIONS(2629),
    [anon_sym_const] = ACTIONS(2629),
    [anon_sym_constexpr] = ACTIONS(2629),
    [anon_sym_volatile] = ACTIONS(2629),
    [anon_sym_restrict] = ACTIONS(2629),
    [anon_sym___restrict__] = ACTIONS(2629),
    [anon_sym__Atomic] = ACTIONS(2629),
    [anon_sym__Noreturn] = ACTIONS(2629),
    [anon_sym_noreturn] = ACTIONS(2629),
    [anon_sym_mutable] = ACTIONS(2629),
    [anon_sym_constinit] = ACTIONS(2629),
    [anon_sym_consteval] = ACTIONS(2629),
    [sym_primitive_type] = ACTIONS(2629),
    [anon_sym_enum] = ACTIONS(2629),
    [anon_sym_class] = ACTIONS(2629),
    [anon_sym_struct] = ACTIONS(2629),
    [anon_sym_union] = ACTIONS(2629),
    [anon_sym_if] = ACTIONS(2629),
    [anon_sym_switch] = ACTIONS(2629),
    [anon_sym_case] = ACTIONS(2629),
    [anon_sym_default] = ACTIONS(2629),
    [anon_sym_while] = ACTIONS(2629),
    [anon_sym_do] = ACTIONS(2629),
    [anon_sym_for] = ACTIONS(2629),
    [anon_sym_return] = ACTIONS(2629),
    [anon_sym_break] = ACTIONS(2629),
    [anon_sym_continue] = ACTIONS(2629),
    [anon_sym_goto] = ACTIONS(2629),
    [anon_sym_not] = ACTIONS(2629),
    [anon_sym_compl] = ACTIONS(2629),
    [anon_sym_DASH_DASH] = ACTIONS(2631),
    [anon_sym_PLUS_PLUS] = ACTIONS(2631),
    [anon_sym_sizeof] = ACTIONS(2629),
    [anon_sym___alignof__] = ACTIONS(2629),
    [anon_sym___alignof] = ACTIONS(2629),
    [anon_sym__alignof] = ACTIONS(2629),
    [anon_sym_alignof] = ACTIONS(2629),
    [anon_sym__Alignof] = ACTIONS(2629),
    [anon_sym_offsetof] = ACTIONS(2629),
    [anon_sym__Generic] = ACTIONS(2629),
    [anon_sym_asm] = ACTIONS(2629),
    [anon_sym___asm__] = ACTIONS(2629),
    [sym_number_literal] = ACTIONS(2631),
    [anon_sym_L_SQUOTE] = ACTIONS(2631),
    [anon_sym_u_SQUOTE] = ACTIONS(2631),
    [anon_sym_U_SQUOTE] = ACTIONS(2631),
    [anon_sym_u8_SQUOTE] = ACTIONS(2631),
    [anon_sym_SQUOTE] = ACTIONS(2631),
    [anon_sym_L_DQUOTE] = ACTIONS(2631),
    [anon_sym_u_DQUOTE] = ACTIONS(2631),
    [anon_sym_U_DQUOTE] = ACTIONS(2631),
    [anon_sym_u8_DQUOTE] = ACTIONS(2631),
    [anon_sym_DQUOTE] = ACTIONS(2631),
    [sym_true] = ACTIONS(2629),
    [sym_false] = ACTIONS(2629),
    [anon_sym_NULL] = ACTIONS(2629),
    [anon_sym_nullptr] = ACTIONS(2629),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2629),
    [anon_sym_decltype] = ACTIONS(2629),
    [anon_sym_virtual] = ACTIONS(2629),
    [anon_sym_alignas] = ACTIONS(2629),
    [anon_sym_explicit] = ACTIONS(2629),
    [anon_sym_typename] = ACTIONS(2629),
    [anon_sym_template] = ACTIONS(2629),
    [anon_sym_operator] = ACTIONS(2629),
    [anon_sym_try] = ACTIONS(2629),
    [anon_sym_delete] = ACTIONS(2629),
    [anon_sym_throw] = ACTIONS(2629),
    [anon_sym_namespace] = ACTIONS(2629),
    [anon_sym_using] = ACTIONS(2629),
    [anon_sym_static_assert] = ACTIONS(2629),
    [anon_sym_concept] = ACTIONS(2629),
    [anon_sym_co_return] = ACTIONS(2629),
    [anon_sym_co_yield] = ACTIONS(2629),
    [anon_sym_R_DQUOTE] = ACTIONS(2631),
    [anon_sym_LR_DQUOTE] = ACTIONS(2631),
    [anon_sym_uR_DQUOTE] = ACTIONS(2631),
    [anon_sym_UR_DQUOTE] = ACTIONS(2631),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2631),
    [anon_sym_co_await] = ACTIONS(2629),
    [anon_sym_new] = ACTIONS(2629),
    [anon_sym_requires] = ACTIONS(2629),
    [sym_this] = ACTIONS(2629),
    [anon_sym_precise] = ACTIONS(2629),
    [anon_sym_shared] = ACTIONS(2629),
    [anon_sym_groupshared] = ACTIONS(2629),
    [anon_sym_uniform] = ACTIONS(2629),
    [anon_sym_row_major] = ACTIONS(2629),
    [anon_sym_column_major] = ACTIONS(2629),
    [anon_sym_globallycoherent] = ACTIONS(2629),
    [anon_sym_centroid] = ACTIONS(2629),
    [anon_sym_noperspective] = ACTIONS(2629),
    [anon_sym_nointerpolation] = ACTIONS(2629),
    [anon_sym_sample] = ACTIONS(2629),
    [anon_sym_linear] = ACTIONS(2629),
    [anon_sym_snorm] = ACTIONS(2629),
    [anon_sym_unorm] = ACTIONS(2629),
    [anon_sym_point] = ACTIONS(2629),
    [anon_sym_line] = ACTIONS(2629),
    [anon_sym_triangleadj] = ACTIONS(2629),
    [anon_sym_lineadj] = ACTIONS(2629),
    [anon_sym_triangle] = ACTIONS(2629),
  },
  [1262] = {
    [ts_builtin_sym_end] = ACTIONS(2823),
    [sym_identifier] = ACTIONS(2821),
    [aux_sym_preproc_include_token1] = ACTIONS(2821),
    [aux_sym_preproc_def_token1] = ACTIONS(2821),
    [aux_sym_preproc_if_token1] = ACTIONS(2821),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2821),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2821),
    [sym_preproc_directive] = ACTIONS(2821),
    [anon_sym_LPAREN2] = ACTIONS(2823),
    [anon_sym_BANG] = ACTIONS(2823),
    [anon_sym_TILDE] = ACTIONS(2823),
    [anon_sym_DASH] = ACTIONS(2821),
    [anon_sym_PLUS] = ACTIONS(2821),
    [anon_sym_STAR] = ACTIONS(2823),
    [anon_sym_AMP_AMP] = ACTIONS(2823),
    [anon_sym_AMP] = ACTIONS(2821),
    [anon_sym___extension__] = ACTIONS(2821),
    [anon_sym_typedef] = ACTIONS(2821),
    [anon_sym_in] = ACTIONS(2821),
    [anon_sym_out] = ACTIONS(2821),
    [anon_sym_inout] = ACTIONS(2821),
    [anon_sym_extern] = ACTIONS(2821),
    [anon_sym___attribute__] = ACTIONS(2821),
    [anon_sym_COLON_COLON] = ACTIONS(2823),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2823),
    [anon_sym___declspec] = ACTIONS(2821),
    [anon_sym___based] = ACTIONS(2821),
    [anon_sym___cdecl] = ACTIONS(2821),
    [anon_sym___clrcall] = ACTIONS(2821),
    [anon_sym___stdcall] = ACTIONS(2821),
    [anon_sym___fastcall] = ACTIONS(2821),
    [anon_sym___thiscall] = ACTIONS(2821),
    [anon_sym___vectorcall] = ACTIONS(2821),
    [anon_sym_LBRACE] = ACTIONS(2823),
    [anon_sym_signed] = ACTIONS(2821),
    [anon_sym_unsigned] = ACTIONS(2821),
    [anon_sym_long] = ACTIONS(2821),
    [anon_sym_short] = ACTIONS(2821),
    [anon_sym_LBRACK] = ACTIONS(2821),
    [anon_sym_static] = ACTIONS(2821),
    [anon_sym_register] = ACTIONS(2821),
    [anon_sym_inline] = ACTIONS(2821),
    [anon_sym___inline] = ACTIONS(2821),
    [anon_sym___inline__] = ACTIONS(2821),
    [anon_sym___forceinline] = ACTIONS(2821),
    [anon_sym_thread_local] = ACTIONS(2821),
    [anon_sym___thread] = ACTIONS(2821),
    [anon_sym_const] = ACTIONS(2821),
    [anon_sym_constexpr] = ACTIONS(2821),
    [anon_sym_volatile] = ACTIONS(2821),
    [anon_sym_restrict] = ACTIONS(2821),
    [anon_sym___restrict__] = ACTIONS(2821),
    [anon_sym__Atomic] = ACTIONS(2821),
    [anon_sym__Noreturn] = ACTIONS(2821),
    [anon_sym_noreturn] = ACTIONS(2821),
    [anon_sym_mutable] = ACTIONS(2821),
    [anon_sym_constinit] = ACTIONS(2821),
    [anon_sym_consteval] = ACTIONS(2821),
    [sym_primitive_type] = ACTIONS(2821),
    [anon_sym_enum] = ACTIONS(2821),
    [anon_sym_class] = ACTIONS(2821),
    [anon_sym_struct] = ACTIONS(2821),
    [anon_sym_union] = ACTIONS(2821),
    [anon_sym_if] = ACTIONS(2821),
    [anon_sym_switch] = ACTIONS(2821),
    [anon_sym_case] = ACTIONS(2821),
    [anon_sym_default] = ACTIONS(2821),
    [anon_sym_while] = ACTIONS(2821),
    [anon_sym_do] = ACTIONS(2821),
    [anon_sym_for] = ACTIONS(2821),
    [anon_sym_return] = ACTIONS(2821),
    [anon_sym_break] = ACTIONS(2821),
    [anon_sym_continue] = ACTIONS(2821),
    [anon_sym_goto] = ACTIONS(2821),
    [anon_sym_not] = ACTIONS(2821),
    [anon_sym_compl] = ACTIONS(2821),
    [anon_sym_DASH_DASH] = ACTIONS(2823),
    [anon_sym_PLUS_PLUS] = ACTIONS(2823),
    [anon_sym_sizeof] = ACTIONS(2821),
    [anon_sym___alignof__] = ACTIONS(2821),
    [anon_sym___alignof] = ACTIONS(2821),
    [anon_sym__alignof] = ACTIONS(2821),
    [anon_sym_alignof] = ACTIONS(2821),
    [anon_sym__Alignof] = ACTIONS(2821),
    [anon_sym_offsetof] = ACTIONS(2821),
    [anon_sym__Generic] = ACTIONS(2821),
    [anon_sym_asm] = ACTIONS(2821),
    [anon_sym___asm__] = ACTIONS(2821),
    [sym_number_literal] = ACTIONS(2823),
    [anon_sym_L_SQUOTE] = ACTIONS(2823),
    [anon_sym_u_SQUOTE] = ACTIONS(2823),
    [anon_sym_U_SQUOTE] = ACTIONS(2823),
    [anon_sym_u8_SQUOTE] = ACTIONS(2823),
    [anon_sym_SQUOTE] = ACTIONS(2823),
    [anon_sym_L_DQUOTE] = ACTIONS(2823),
    [anon_sym_u_DQUOTE] = ACTIONS(2823),
    [anon_sym_U_DQUOTE] = ACTIONS(2823),
    [anon_sym_u8_DQUOTE] = ACTIONS(2823),
    [anon_sym_DQUOTE] = ACTIONS(2823),
    [sym_true] = ACTIONS(2821),
    [sym_false] = ACTIONS(2821),
    [anon_sym_NULL] = ACTIONS(2821),
    [anon_sym_nullptr] = ACTIONS(2821),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2821),
    [anon_sym_decltype] = ACTIONS(2821),
    [anon_sym_virtual] = ACTIONS(2821),
    [anon_sym_alignas] = ACTIONS(2821),
    [anon_sym_explicit] = ACTIONS(2821),
    [anon_sym_typename] = ACTIONS(2821),
    [anon_sym_template] = ACTIONS(2821),
    [anon_sym_operator] = ACTIONS(2821),
    [anon_sym_try] = ACTIONS(2821),
    [anon_sym_delete] = ACTIONS(2821),
    [anon_sym_throw] = ACTIONS(2821),
    [anon_sym_namespace] = ACTIONS(2821),
    [anon_sym_using] = ACTIONS(2821),
    [anon_sym_static_assert] = ACTIONS(2821),
    [anon_sym_concept] = ACTIONS(2821),
    [anon_sym_co_return] = ACTIONS(2821),
    [anon_sym_co_yield] = ACTIONS(2821),
    [anon_sym_R_DQUOTE] = ACTIONS(2823),
    [anon_sym_LR_DQUOTE] = ACTIONS(2823),
    [anon_sym_uR_DQUOTE] = ACTIONS(2823),
    [anon_sym_UR_DQUOTE] = ACTIONS(2823),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2823),
    [anon_sym_co_await] = ACTIONS(2821),
    [anon_sym_new] = ACTIONS(2821),
    [anon_sym_requires] = ACTIONS(2821),
    [sym_this] = ACTIONS(2821),
    [anon_sym_precise] = ACTIONS(2821),
    [anon_sym_shared] = ACTIONS(2821),
    [anon_sym_groupshared] = ACTIONS(2821),
    [anon_sym_uniform] = ACTIONS(2821),
    [anon_sym_row_major] = ACTIONS(2821),
    [anon_sym_column_major] = ACTIONS(2821),
    [anon_sym_globallycoherent] = ACTIONS(2821),
    [anon_sym_centroid] = ACTIONS(2821),
    [anon_sym_noperspective] = ACTIONS(2821),
    [anon_sym_nointerpolation] = ACTIONS(2821),
    [anon_sym_sample] = ACTIONS(2821),
    [anon_sym_linear] = ACTIONS(2821),
    [anon_sym_snorm] = ACTIONS(2821),
    [anon_sym_unorm] = ACTIONS(2821),
    [anon_sym_point] = ACTIONS(2821),
    [anon_sym_line] = ACTIONS(2821),
    [anon_sym_triangleadj] = ACTIONS(2821),
    [anon_sym_lineadj] = ACTIONS(2821),
    [anon_sym_triangle] = ACTIONS(2821),
  },
  [1263] = {
    [ts_builtin_sym_end] = ACTIONS(2761),
    [sym_identifier] = ACTIONS(2759),
    [aux_sym_preproc_include_token1] = ACTIONS(2759),
    [aux_sym_preproc_def_token1] = ACTIONS(2759),
    [aux_sym_preproc_if_token1] = ACTIONS(2759),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2759),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2759),
    [sym_preproc_directive] = ACTIONS(2759),
    [anon_sym_LPAREN2] = ACTIONS(2761),
    [anon_sym_BANG] = ACTIONS(2761),
    [anon_sym_TILDE] = ACTIONS(2761),
    [anon_sym_DASH] = ACTIONS(2759),
    [anon_sym_PLUS] = ACTIONS(2759),
    [anon_sym_STAR] = ACTIONS(2761),
    [anon_sym_AMP_AMP] = ACTIONS(2761),
    [anon_sym_AMP] = ACTIONS(2759),
    [anon_sym___extension__] = ACTIONS(2759),
    [anon_sym_typedef] = ACTIONS(2759),
    [anon_sym_in] = ACTIONS(2759),
    [anon_sym_out] = ACTIONS(2759),
    [anon_sym_inout] = ACTIONS(2759),
    [anon_sym_extern] = ACTIONS(2759),
    [anon_sym___attribute__] = ACTIONS(2759),
    [anon_sym_COLON_COLON] = ACTIONS(2761),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2761),
    [anon_sym___declspec] = ACTIONS(2759),
    [anon_sym___based] = ACTIONS(2759),
    [anon_sym___cdecl] = ACTIONS(2759),
    [anon_sym___clrcall] = ACTIONS(2759),
    [anon_sym___stdcall] = ACTIONS(2759),
    [anon_sym___fastcall] = ACTIONS(2759),
    [anon_sym___thiscall] = ACTIONS(2759),
    [anon_sym___vectorcall] = ACTIONS(2759),
    [anon_sym_LBRACE] = ACTIONS(2761),
    [anon_sym_signed] = ACTIONS(2759),
    [anon_sym_unsigned] = ACTIONS(2759),
    [anon_sym_long] = ACTIONS(2759),
    [anon_sym_short] = ACTIONS(2759),
    [anon_sym_LBRACK] = ACTIONS(2759),
    [anon_sym_static] = ACTIONS(2759),
    [anon_sym_register] = ACTIONS(2759),
    [anon_sym_inline] = ACTIONS(2759),
    [anon_sym___inline] = ACTIONS(2759),
    [anon_sym___inline__] = ACTIONS(2759),
    [anon_sym___forceinline] = ACTIONS(2759),
    [anon_sym_thread_local] = ACTIONS(2759),
    [anon_sym___thread] = ACTIONS(2759),
    [anon_sym_const] = ACTIONS(2759),
    [anon_sym_constexpr] = ACTIONS(2759),
    [anon_sym_volatile] = ACTIONS(2759),
    [anon_sym_restrict] = ACTIONS(2759),
    [anon_sym___restrict__] = ACTIONS(2759),
    [anon_sym__Atomic] = ACTIONS(2759),
    [anon_sym__Noreturn] = ACTIONS(2759),
    [anon_sym_noreturn] = ACTIONS(2759),
    [anon_sym_mutable] = ACTIONS(2759),
    [anon_sym_constinit] = ACTIONS(2759),
    [anon_sym_consteval] = ACTIONS(2759),
    [sym_primitive_type] = ACTIONS(2759),
    [anon_sym_enum] = ACTIONS(2759),
    [anon_sym_class] = ACTIONS(2759),
    [anon_sym_struct] = ACTIONS(2759),
    [anon_sym_union] = ACTIONS(2759),
    [anon_sym_if] = ACTIONS(2759),
    [anon_sym_switch] = ACTIONS(2759),
    [anon_sym_case] = ACTIONS(2759),
    [anon_sym_default] = ACTIONS(2759),
    [anon_sym_while] = ACTIONS(2759),
    [anon_sym_do] = ACTIONS(2759),
    [anon_sym_for] = ACTIONS(2759),
    [anon_sym_return] = ACTIONS(2759),
    [anon_sym_break] = ACTIONS(2759),
    [anon_sym_continue] = ACTIONS(2759),
    [anon_sym_goto] = ACTIONS(2759),
    [anon_sym_not] = ACTIONS(2759),
    [anon_sym_compl] = ACTIONS(2759),
    [anon_sym_DASH_DASH] = ACTIONS(2761),
    [anon_sym_PLUS_PLUS] = ACTIONS(2761),
    [anon_sym_sizeof] = ACTIONS(2759),
    [anon_sym___alignof__] = ACTIONS(2759),
    [anon_sym___alignof] = ACTIONS(2759),
    [anon_sym__alignof] = ACTIONS(2759),
    [anon_sym_alignof] = ACTIONS(2759),
    [anon_sym__Alignof] = ACTIONS(2759),
    [anon_sym_offsetof] = ACTIONS(2759),
    [anon_sym__Generic] = ACTIONS(2759),
    [anon_sym_asm] = ACTIONS(2759),
    [anon_sym___asm__] = ACTIONS(2759),
    [sym_number_literal] = ACTIONS(2761),
    [anon_sym_L_SQUOTE] = ACTIONS(2761),
    [anon_sym_u_SQUOTE] = ACTIONS(2761),
    [anon_sym_U_SQUOTE] = ACTIONS(2761),
    [anon_sym_u8_SQUOTE] = ACTIONS(2761),
    [anon_sym_SQUOTE] = ACTIONS(2761),
    [anon_sym_L_DQUOTE] = ACTIONS(2761),
    [anon_sym_u_DQUOTE] = ACTIONS(2761),
    [anon_sym_U_DQUOTE] = ACTIONS(2761),
    [anon_sym_u8_DQUOTE] = ACTIONS(2761),
    [anon_sym_DQUOTE] = ACTIONS(2761),
    [sym_true] = ACTIONS(2759),
    [sym_false] = ACTIONS(2759),
    [anon_sym_NULL] = ACTIONS(2759),
    [anon_sym_nullptr] = ACTIONS(2759),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2759),
    [anon_sym_decltype] = ACTIONS(2759),
    [anon_sym_virtual] = ACTIONS(2759),
    [anon_sym_alignas] = ACTIONS(2759),
    [anon_sym_explicit] = ACTIONS(2759),
    [anon_sym_typename] = ACTIONS(2759),
    [anon_sym_template] = ACTIONS(2759),
    [anon_sym_operator] = ACTIONS(2759),
    [anon_sym_try] = ACTIONS(2759),
    [anon_sym_delete] = ACTIONS(2759),
    [anon_sym_throw] = ACTIONS(2759),
    [anon_sym_namespace] = ACTIONS(2759),
    [anon_sym_using] = ACTIONS(2759),
    [anon_sym_static_assert] = ACTIONS(2759),
    [anon_sym_concept] = ACTIONS(2759),
    [anon_sym_co_return] = ACTIONS(2759),
    [anon_sym_co_yield] = ACTIONS(2759),
    [anon_sym_R_DQUOTE] = ACTIONS(2761),
    [anon_sym_LR_DQUOTE] = ACTIONS(2761),
    [anon_sym_uR_DQUOTE] = ACTIONS(2761),
    [anon_sym_UR_DQUOTE] = ACTIONS(2761),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2761),
    [anon_sym_co_await] = ACTIONS(2759),
    [anon_sym_new] = ACTIONS(2759),
    [anon_sym_requires] = ACTIONS(2759),
    [sym_this] = ACTIONS(2759),
    [anon_sym_precise] = ACTIONS(2759),
    [anon_sym_shared] = ACTIONS(2759),
    [anon_sym_groupshared] = ACTIONS(2759),
    [anon_sym_uniform] = ACTIONS(2759),
    [anon_sym_row_major] = ACTIONS(2759),
    [anon_sym_column_major] = ACTIONS(2759),
    [anon_sym_globallycoherent] = ACTIONS(2759),
    [anon_sym_centroid] = ACTIONS(2759),
    [anon_sym_noperspective] = ACTIONS(2759),
    [anon_sym_nointerpolation] = ACTIONS(2759),
    [anon_sym_sample] = ACTIONS(2759),
    [anon_sym_linear] = ACTIONS(2759),
    [anon_sym_snorm] = ACTIONS(2759),
    [anon_sym_unorm] = ACTIONS(2759),
    [anon_sym_point] = ACTIONS(2759),
    [anon_sym_line] = ACTIONS(2759),
    [anon_sym_triangleadj] = ACTIONS(2759),
    [anon_sym_lineadj] = ACTIONS(2759),
    [anon_sym_triangle] = ACTIONS(2759),
  },
  [1264] = {
    [ts_builtin_sym_end] = ACTIONS(2757),
    [sym_identifier] = ACTIONS(2755),
    [aux_sym_preproc_include_token1] = ACTIONS(2755),
    [aux_sym_preproc_def_token1] = ACTIONS(2755),
    [aux_sym_preproc_if_token1] = ACTIONS(2755),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2755),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2755),
    [sym_preproc_directive] = ACTIONS(2755),
    [anon_sym_LPAREN2] = ACTIONS(2757),
    [anon_sym_BANG] = ACTIONS(2757),
    [anon_sym_TILDE] = ACTIONS(2757),
    [anon_sym_DASH] = ACTIONS(2755),
    [anon_sym_PLUS] = ACTIONS(2755),
    [anon_sym_STAR] = ACTIONS(2757),
    [anon_sym_AMP_AMP] = ACTIONS(2757),
    [anon_sym_AMP] = ACTIONS(2755),
    [anon_sym___extension__] = ACTIONS(2755),
    [anon_sym_typedef] = ACTIONS(2755),
    [anon_sym_in] = ACTIONS(2755),
    [anon_sym_out] = ACTIONS(2755),
    [anon_sym_inout] = ACTIONS(2755),
    [anon_sym_extern] = ACTIONS(2755),
    [anon_sym___attribute__] = ACTIONS(2755),
    [anon_sym_COLON_COLON] = ACTIONS(2757),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2757),
    [anon_sym___declspec] = ACTIONS(2755),
    [anon_sym___based] = ACTIONS(2755),
    [anon_sym___cdecl] = ACTIONS(2755),
    [anon_sym___clrcall] = ACTIONS(2755),
    [anon_sym___stdcall] = ACTIONS(2755),
    [anon_sym___fastcall] = ACTIONS(2755),
    [anon_sym___thiscall] = ACTIONS(2755),
    [anon_sym___vectorcall] = ACTIONS(2755),
    [anon_sym_LBRACE] = ACTIONS(2757),
    [anon_sym_signed] = ACTIONS(2755),
    [anon_sym_unsigned] = ACTIONS(2755),
    [anon_sym_long] = ACTIONS(2755),
    [anon_sym_short] = ACTIONS(2755),
    [anon_sym_LBRACK] = ACTIONS(2755),
    [anon_sym_static] = ACTIONS(2755),
    [anon_sym_register] = ACTIONS(2755),
    [anon_sym_inline] = ACTIONS(2755),
    [anon_sym___inline] = ACTIONS(2755),
    [anon_sym___inline__] = ACTIONS(2755),
    [anon_sym___forceinline] = ACTIONS(2755),
    [anon_sym_thread_local] = ACTIONS(2755),
    [anon_sym___thread] = ACTIONS(2755),
    [anon_sym_const] = ACTIONS(2755),
    [anon_sym_constexpr] = ACTIONS(2755),
    [anon_sym_volatile] = ACTIONS(2755),
    [anon_sym_restrict] = ACTIONS(2755),
    [anon_sym___restrict__] = ACTIONS(2755),
    [anon_sym__Atomic] = ACTIONS(2755),
    [anon_sym__Noreturn] = ACTIONS(2755),
    [anon_sym_noreturn] = ACTIONS(2755),
    [anon_sym_mutable] = ACTIONS(2755),
    [anon_sym_constinit] = ACTIONS(2755),
    [anon_sym_consteval] = ACTIONS(2755),
    [sym_primitive_type] = ACTIONS(2755),
    [anon_sym_enum] = ACTIONS(2755),
    [anon_sym_class] = ACTIONS(2755),
    [anon_sym_struct] = ACTIONS(2755),
    [anon_sym_union] = ACTIONS(2755),
    [anon_sym_if] = ACTIONS(2755),
    [anon_sym_switch] = ACTIONS(2755),
    [anon_sym_case] = ACTIONS(2755),
    [anon_sym_default] = ACTIONS(2755),
    [anon_sym_while] = ACTIONS(2755),
    [anon_sym_do] = ACTIONS(2755),
    [anon_sym_for] = ACTIONS(2755),
    [anon_sym_return] = ACTIONS(2755),
    [anon_sym_break] = ACTIONS(2755),
    [anon_sym_continue] = ACTIONS(2755),
    [anon_sym_goto] = ACTIONS(2755),
    [anon_sym_not] = ACTIONS(2755),
    [anon_sym_compl] = ACTIONS(2755),
    [anon_sym_DASH_DASH] = ACTIONS(2757),
    [anon_sym_PLUS_PLUS] = ACTIONS(2757),
    [anon_sym_sizeof] = ACTIONS(2755),
    [anon_sym___alignof__] = ACTIONS(2755),
    [anon_sym___alignof] = ACTIONS(2755),
    [anon_sym__alignof] = ACTIONS(2755),
    [anon_sym_alignof] = ACTIONS(2755),
    [anon_sym__Alignof] = ACTIONS(2755),
    [anon_sym_offsetof] = ACTIONS(2755),
    [anon_sym__Generic] = ACTIONS(2755),
    [anon_sym_asm] = ACTIONS(2755),
    [anon_sym___asm__] = ACTIONS(2755),
    [sym_number_literal] = ACTIONS(2757),
    [anon_sym_L_SQUOTE] = ACTIONS(2757),
    [anon_sym_u_SQUOTE] = ACTIONS(2757),
    [anon_sym_U_SQUOTE] = ACTIONS(2757),
    [anon_sym_u8_SQUOTE] = ACTIONS(2757),
    [anon_sym_SQUOTE] = ACTIONS(2757),
    [anon_sym_L_DQUOTE] = ACTIONS(2757),
    [anon_sym_u_DQUOTE] = ACTIONS(2757),
    [anon_sym_U_DQUOTE] = ACTIONS(2757),
    [anon_sym_u8_DQUOTE] = ACTIONS(2757),
    [anon_sym_DQUOTE] = ACTIONS(2757),
    [sym_true] = ACTIONS(2755),
    [sym_false] = ACTIONS(2755),
    [anon_sym_NULL] = ACTIONS(2755),
    [anon_sym_nullptr] = ACTIONS(2755),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2755),
    [anon_sym_decltype] = ACTIONS(2755),
    [anon_sym_virtual] = ACTIONS(2755),
    [anon_sym_alignas] = ACTIONS(2755),
    [anon_sym_explicit] = ACTIONS(2755),
    [anon_sym_typename] = ACTIONS(2755),
    [anon_sym_template] = ACTIONS(2755),
    [anon_sym_operator] = ACTIONS(2755),
    [anon_sym_try] = ACTIONS(2755),
    [anon_sym_delete] = ACTIONS(2755),
    [anon_sym_throw] = ACTIONS(2755),
    [anon_sym_namespace] = ACTIONS(2755),
    [anon_sym_using] = ACTIONS(2755),
    [anon_sym_static_assert] = ACTIONS(2755),
    [anon_sym_concept] = ACTIONS(2755),
    [anon_sym_co_return] = ACTIONS(2755),
    [anon_sym_co_yield] = ACTIONS(2755),
    [anon_sym_R_DQUOTE] = ACTIONS(2757),
    [anon_sym_LR_DQUOTE] = ACTIONS(2757),
    [anon_sym_uR_DQUOTE] = ACTIONS(2757),
    [anon_sym_UR_DQUOTE] = ACTIONS(2757),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2757),
    [anon_sym_co_await] = ACTIONS(2755),
    [anon_sym_new] = ACTIONS(2755),
    [anon_sym_requires] = ACTIONS(2755),
    [sym_this] = ACTIONS(2755),
    [anon_sym_precise] = ACTIONS(2755),
    [anon_sym_shared] = ACTIONS(2755),
    [anon_sym_groupshared] = ACTIONS(2755),
    [anon_sym_uniform] = ACTIONS(2755),
    [anon_sym_row_major] = ACTIONS(2755),
    [anon_sym_column_major] = ACTIONS(2755),
    [anon_sym_globallycoherent] = ACTIONS(2755),
    [anon_sym_centroid] = ACTIONS(2755),
    [anon_sym_noperspective] = ACTIONS(2755),
    [anon_sym_nointerpolation] = ACTIONS(2755),
    [anon_sym_sample] = ACTIONS(2755),
    [anon_sym_linear] = ACTIONS(2755),
    [anon_sym_snorm] = ACTIONS(2755),
    [anon_sym_unorm] = ACTIONS(2755),
    [anon_sym_point] = ACTIONS(2755),
    [anon_sym_line] = ACTIONS(2755),
    [anon_sym_triangleadj] = ACTIONS(2755),
    [anon_sym_lineadj] = ACTIONS(2755),
    [anon_sym_triangle] = ACTIONS(2755),
  },
  [1265] = {
    [ts_builtin_sym_end] = ACTIONS(2655),
    [sym_identifier] = ACTIONS(2653),
    [aux_sym_preproc_include_token1] = ACTIONS(2653),
    [aux_sym_preproc_def_token1] = ACTIONS(2653),
    [aux_sym_preproc_if_token1] = ACTIONS(2653),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2653),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2653),
    [sym_preproc_directive] = ACTIONS(2653),
    [anon_sym_LPAREN2] = ACTIONS(2655),
    [anon_sym_BANG] = ACTIONS(2655),
    [anon_sym_TILDE] = ACTIONS(2655),
    [anon_sym_DASH] = ACTIONS(2653),
    [anon_sym_PLUS] = ACTIONS(2653),
    [anon_sym_STAR] = ACTIONS(2655),
    [anon_sym_AMP_AMP] = ACTIONS(2655),
    [anon_sym_AMP] = ACTIONS(2653),
    [anon_sym___extension__] = ACTIONS(2653),
    [anon_sym_typedef] = ACTIONS(2653),
    [anon_sym_in] = ACTIONS(2653),
    [anon_sym_out] = ACTIONS(2653),
    [anon_sym_inout] = ACTIONS(2653),
    [anon_sym_extern] = ACTIONS(2653),
    [anon_sym___attribute__] = ACTIONS(2653),
    [anon_sym_COLON_COLON] = ACTIONS(2655),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2655),
    [anon_sym___declspec] = ACTIONS(2653),
    [anon_sym___based] = ACTIONS(2653),
    [anon_sym___cdecl] = ACTIONS(2653),
    [anon_sym___clrcall] = ACTIONS(2653),
    [anon_sym___stdcall] = ACTIONS(2653),
    [anon_sym___fastcall] = ACTIONS(2653),
    [anon_sym___thiscall] = ACTIONS(2653),
    [anon_sym___vectorcall] = ACTIONS(2653),
    [anon_sym_LBRACE] = ACTIONS(2655),
    [anon_sym_signed] = ACTIONS(2653),
    [anon_sym_unsigned] = ACTIONS(2653),
    [anon_sym_long] = ACTIONS(2653),
    [anon_sym_short] = ACTIONS(2653),
    [anon_sym_LBRACK] = ACTIONS(2653),
    [anon_sym_static] = ACTIONS(2653),
    [anon_sym_register] = ACTIONS(2653),
    [anon_sym_inline] = ACTIONS(2653),
    [anon_sym___inline] = ACTIONS(2653),
    [anon_sym___inline__] = ACTIONS(2653),
    [anon_sym___forceinline] = ACTIONS(2653),
    [anon_sym_thread_local] = ACTIONS(2653),
    [anon_sym___thread] = ACTIONS(2653),
    [anon_sym_const] = ACTIONS(2653),
    [anon_sym_constexpr] = ACTIONS(2653),
    [anon_sym_volatile] = ACTIONS(2653),
    [anon_sym_restrict] = ACTIONS(2653),
    [anon_sym___restrict__] = ACTIONS(2653),
    [anon_sym__Atomic] = ACTIONS(2653),
    [anon_sym__Noreturn] = ACTIONS(2653),
    [anon_sym_noreturn] = ACTIONS(2653),
    [anon_sym_mutable] = ACTIONS(2653),
    [anon_sym_constinit] = ACTIONS(2653),
    [anon_sym_consteval] = ACTIONS(2653),
    [sym_primitive_type] = ACTIONS(2653),
    [anon_sym_enum] = ACTIONS(2653),
    [anon_sym_class] = ACTIONS(2653),
    [anon_sym_struct] = ACTIONS(2653),
    [anon_sym_union] = ACTIONS(2653),
    [anon_sym_if] = ACTIONS(2653),
    [anon_sym_switch] = ACTIONS(2653),
    [anon_sym_case] = ACTIONS(2653),
    [anon_sym_default] = ACTIONS(2653),
    [anon_sym_while] = ACTIONS(2653),
    [anon_sym_do] = ACTIONS(2653),
    [anon_sym_for] = ACTIONS(2653),
    [anon_sym_return] = ACTIONS(2653),
    [anon_sym_break] = ACTIONS(2653),
    [anon_sym_continue] = ACTIONS(2653),
    [anon_sym_goto] = ACTIONS(2653),
    [anon_sym_not] = ACTIONS(2653),
    [anon_sym_compl] = ACTIONS(2653),
    [anon_sym_DASH_DASH] = ACTIONS(2655),
    [anon_sym_PLUS_PLUS] = ACTIONS(2655),
    [anon_sym_sizeof] = ACTIONS(2653),
    [anon_sym___alignof__] = ACTIONS(2653),
    [anon_sym___alignof] = ACTIONS(2653),
    [anon_sym__alignof] = ACTIONS(2653),
    [anon_sym_alignof] = ACTIONS(2653),
    [anon_sym__Alignof] = ACTIONS(2653),
    [anon_sym_offsetof] = ACTIONS(2653),
    [anon_sym__Generic] = ACTIONS(2653),
    [anon_sym_asm] = ACTIONS(2653),
    [anon_sym___asm__] = ACTIONS(2653),
    [sym_number_literal] = ACTIONS(2655),
    [anon_sym_L_SQUOTE] = ACTIONS(2655),
    [anon_sym_u_SQUOTE] = ACTIONS(2655),
    [anon_sym_U_SQUOTE] = ACTIONS(2655),
    [anon_sym_u8_SQUOTE] = ACTIONS(2655),
    [anon_sym_SQUOTE] = ACTIONS(2655),
    [anon_sym_L_DQUOTE] = ACTIONS(2655),
    [anon_sym_u_DQUOTE] = ACTIONS(2655),
    [anon_sym_U_DQUOTE] = ACTIONS(2655),
    [anon_sym_u8_DQUOTE] = ACTIONS(2655),
    [anon_sym_DQUOTE] = ACTIONS(2655),
    [sym_true] = ACTIONS(2653),
    [sym_false] = ACTIONS(2653),
    [anon_sym_NULL] = ACTIONS(2653),
    [anon_sym_nullptr] = ACTIONS(2653),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2653),
    [anon_sym_decltype] = ACTIONS(2653),
    [anon_sym_virtual] = ACTIONS(2653),
    [anon_sym_alignas] = ACTIONS(2653),
    [anon_sym_explicit] = ACTIONS(2653),
    [anon_sym_typename] = ACTIONS(2653),
    [anon_sym_template] = ACTIONS(2653),
    [anon_sym_operator] = ACTIONS(2653),
    [anon_sym_try] = ACTIONS(2653),
    [anon_sym_delete] = ACTIONS(2653),
    [anon_sym_throw] = ACTIONS(2653),
    [anon_sym_namespace] = ACTIONS(2653),
    [anon_sym_using] = ACTIONS(2653),
    [anon_sym_static_assert] = ACTIONS(2653),
    [anon_sym_concept] = ACTIONS(2653),
    [anon_sym_co_return] = ACTIONS(2653),
    [anon_sym_co_yield] = ACTIONS(2653),
    [anon_sym_R_DQUOTE] = ACTIONS(2655),
    [anon_sym_LR_DQUOTE] = ACTIONS(2655),
    [anon_sym_uR_DQUOTE] = ACTIONS(2655),
    [anon_sym_UR_DQUOTE] = ACTIONS(2655),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2655),
    [anon_sym_co_await] = ACTIONS(2653),
    [anon_sym_new] = ACTIONS(2653),
    [anon_sym_requires] = ACTIONS(2653),
    [sym_this] = ACTIONS(2653),
    [anon_sym_precise] = ACTIONS(2653),
    [anon_sym_shared] = ACTIONS(2653),
    [anon_sym_groupshared] = ACTIONS(2653),
    [anon_sym_uniform] = ACTIONS(2653),
    [anon_sym_row_major] = ACTIONS(2653),
    [anon_sym_column_major] = ACTIONS(2653),
    [anon_sym_globallycoherent] = ACTIONS(2653),
    [anon_sym_centroid] = ACTIONS(2653),
    [anon_sym_noperspective] = ACTIONS(2653),
    [anon_sym_nointerpolation] = ACTIONS(2653),
    [anon_sym_sample] = ACTIONS(2653),
    [anon_sym_linear] = ACTIONS(2653),
    [anon_sym_snorm] = ACTIONS(2653),
    [anon_sym_unorm] = ACTIONS(2653),
    [anon_sym_point] = ACTIONS(2653),
    [anon_sym_line] = ACTIONS(2653),
    [anon_sym_triangleadj] = ACTIONS(2653),
    [anon_sym_lineadj] = ACTIONS(2653),
    [anon_sym_triangle] = ACTIONS(2653),
  },
  [1266] = {
    [ts_builtin_sym_end] = ACTIONS(2667),
    [sym_identifier] = ACTIONS(2665),
    [aux_sym_preproc_include_token1] = ACTIONS(2665),
    [aux_sym_preproc_def_token1] = ACTIONS(2665),
    [aux_sym_preproc_if_token1] = ACTIONS(2665),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2665),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2665),
    [sym_preproc_directive] = ACTIONS(2665),
    [anon_sym_LPAREN2] = ACTIONS(2667),
    [anon_sym_BANG] = ACTIONS(2667),
    [anon_sym_TILDE] = ACTIONS(2667),
    [anon_sym_DASH] = ACTIONS(2665),
    [anon_sym_PLUS] = ACTIONS(2665),
    [anon_sym_STAR] = ACTIONS(2667),
    [anon_sym_AMP_AMP] = ACTIONS(2667),
    [anon_sym_AMP] = ACTIONS(2665),
    [anon_sym___extension__] = ACTIONS(2665),
    [anon_sym_typedef] = ACTIONS(2665),
    [anon_sym_in] = ACTIONS(2665),
    [anon_sym_out] = ACTIONS(2665),
    [anon_sym_inout] = ACTIONS(2665),
    [anon_sym_extern] = ACTIONS(2665),
    [anon_sym___attribute__] = ACTIONS(2665),
    [anon_sym_COLON_COLON] = ACTIONS(2667),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2667),
    [anon_sym___declspec] = ACTIONS(2665),
    [anon_sym___based] = ACTIONS(2665),
    [anon_sym___cdecl] = ACTIONS(2665),
    [anon_sym___clrcall] = ACTIONS(2665),
    [anon_sym___stdcall] = ACTIONS(2665),
    [anon_sym___fastcall] = ACTIONS(2665),
    [anon_sym___thiscall] = ACTIONS(2665),
    [anon_sym___vectorcall] = ACTIONS(2665),
    [anon_sym_LBRACE] = ACTIONS(2667),
    [anon_sym_signed] = ACTIONS(2665),
    [anon_sym_unsigned] = ACTIONS(2665),
    [anon_sym_long] = ACTIONS(2665),
    [anon_sym_short] = ACTIONS(2665),
    [anon_sym_LBRACK] = ACTIONS(2665),
    [anon_sym_static] = ACTIONS(2665),
    [anon_sym_register] = ACTIONS(2665),
    [anon_sym_inline] = ACTIONS(2665),
    [anon_sym___inline] = ACTIONS(2665),
    [anon_sym___inline__] = ACTIONS(2665),
    [anon_sym___forceinline] = ACTIONS(2665),
    [anon_sym_thread_local] = ACTIONS(2665),
    [anon_sym___thread] = ACTIONS(2665),
    [anon_sym_const] = ACTIONS(2665),
    [anon_sym_constexpr] = ACTIONS(2665),
    [anon_sym_volatile] = ACTIONS(2665),
    [anon_sym_restrict] = ACTIONS(2665),
    [anon_sym___restrict__] = ACTIONS(2665),
    [anon_sym__Atomic] = ACTIONS(2665),
    [anon_sym__Noreturn] = ACTIONS(2665),
    [anon_sym_noreturn] = ACTIONS(2665),
    [anon_sym_mutable] = ACTIONS(2665),
    [anon_sym_constinit] = ACTIONS(2665),
    [anon_sym_consteval] = ACTIONS(2665),
    [sym_primitive_type] = ACTIONS(2665),
    [anon_sym_enum] = ACTIONS(2665),
    [anon_sym_class] = ACTIONS(2665),
    [anon_sym_struct] = ACTIONS(2665),
    [anon_sym_union] = ACTIONS(2665),
    [anon_sym_if] = ACTIONS(2665),
    [anon_sym_switch] = ACTIONS(2665),
    [anon_sym_case] = ACTIONS(2665),
    [anon_sym_default] = ACTIONS(2665),
    [anon_sym_while] = ACTIONS(2665),
    [anon_sym_do] = ACTIONS(2665),
    [anon_sym_for] = ACTIONS(2665),
    [anon_sym_return] = ACTIONS(2665),
    [anon_sym_break] = ACTIONS(2665),
    [anon_sym_continue] = ACTIONS(2665),
    [anon_sym_goto] = ACTIONS(2665),
    [anon_sym_not] = ACTIONS(2665),
    [anon_sym_compl] = ACTIONS(2665),
    [anon_sym_DASH_DASH] = ACTIONS(2667),
    [anon_sym_PLUS_PLUS] = ACTIONS(2667),
    [anon_sym_sizeof] = ACTIONS(2665),
    [anon_sym___alignof__] = ACTIONS(2665),
    [anon_sym___alignof] = ACTIONS(2665),
    [anon_sym__alignof] = ACTIONS(2665),
    [anon_sym_alignof] = ACTIONS(2665),
    [anon_sym__Alignof] = ACTIONS(2665),
    [anon_sym_offsetof] = ACTIONS(2665),
    [anon_sym__Generic] = ACTIONS(2665),
    [anon_sym_asm] = ACTIONS(2665),
    [anon_sym___asm__] = ACTIONS(2665),
    [sym_number_literal] = ACTIONS(2667),
    [anon_sym_L_SQUOTE] = ACTIONS(2667),
    [anon_sym_u_SQUOTE] = ACTIONS(2667),
    [anon_sym_U_SQUOTE] = ACTIONS(2667),
    [anon_sym_u8_SQUOTE] = ACTIONS(2667),
    [anon_sym_SQUOTE] = ACTIONS(2667),
    [anon_sym_L_DQUOTE] = ACTIONS(2667),
    [anon_sym_u_DQUOTE] = ACTIONS(2667),
    [anon_sym_U_DQUOTE] = ACTIONS(2667),
    [anon_sym_u8_DQUOTE] = ACTIONS(2667),
    [anon_sym_DQUOTE] = ACTIONS(2667),
    [sym_true] = ACTIONS(2665),
    [sym_false] = ACTIONS(2665),
    [anon_sym_NULL] = ACTIONS(2665),
    [anon_sym_nullptr] = ACTIONS(2665),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2665),
    [anon_sym_decltype] = ACTIONS(2665),
    [anon_sym_virtual] = ACTIONS(2665),
    [anon_sym_alignas] = ACTIONS(2665),
    [anon_sym_explicit] = ACTIONS(2665),
    [anon_sym_typename] = ACTIONS(2665),
    [anon_sym_template] = ACTIONS(2665),
    [anon_sym_operator] = ACTIONS(2665),
    [anon_sym_try] = ACTIONS(2665),
    [anon_sym_delete] = ACTIONS(2665),
    [anon_sym_throw] = ACTIONS(2665),
    [anon_sym_namespace] = ACTIONS(2665),
    [anon_sym_using] = ACTIONS(2665),
    [anon_sym_static_assert] = ACTIONS(2665),
    [anon_sym_concept] = ACTIONS(2665),
    [anon_sym_co_return] = ACTIONS(2665),
    [anon_sym_co_yield] = ACTIONS(2665),
    [anon_sym_R_DQUOTE] = ACTIONS(2667),
    [anon_sym_LR_DQUOTE] = ACTIONS(2667),
    [anon_sym_uR_DQUOTE] = ACTIONS(2667),
    [anon_sym_UR_DQUOTE] = ACTIONS(2667),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2667),
    [anon_sym_co_await] = ACTIONS(2665),
    [anon_sym_new] = ACTIONS(2665),
    [anon_sym_requires] = ACTIONS(2665),
    [sym_this] = ACTIONS(2665),
    [anon_sym_precise] = ACTIONS(2665),
    [anon_sym_shared] = ACTIONS(2665),
    [anon_sym_groupshared] = ACTIONS(2665),
    [anon_sym_uniform] = ACTIONS(2665),
    [anon_sym_row_major] = ACTIONS(2665),
    [anon_sym_column_major] = ACTIONS(2665),
    [anon_sym_globallycoherent] = ACTIONS(2665),
    [anon_sym_centroid] = ACTIONS(2665),
    [anon_sym_noperspective] = ACTIONS(2665),
    [anon_sym_nointerpolation] = ACTIONS(2665),
    [anon_sym_sample] = ACTIONS(2665),
    [anon_sym_linear] = ACTIONS(2665),
    [anon_sym_snorm] = ACTIONS(2665),
    [anon_sym_unorm] = ACTIONS(2665),
    [anon_sym_point] = ACTIONS(2665),
    [anon_sym_line] = ACTIONS(2665),
    [anon_sym_triangleadj] = ACTIONS(2665),
    [anon_sym_lineadj] = ACTIONS(2665),
    [anon_sym_triangle] = ACTIONS(2665),
  },
  [1267] = {
    [ts_builtin_sym_end] = ACTIONS(2775),
    [sym_identifier] = ACTIONS(2773),
    [aux_sym_preproc_include_token1] = ACTIONS(2773),
    [aux_sym_preproc_def_token1] = ACTIONS(2773),
    [aux_sym_preproc_if_token1] = ACTIONS(2773),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2773),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2773),
    [sym_preproc_directive] = ACTIONS(2773),
    [anon_sym_LPAREN2] = ACTIONS(2775),
    [anon_sym_BANG] = ACTIONS(2775),
    [anon_sym_TILDE] = ACTIONS(2775),
    [anon_sym_DASH] = ACTIONS(2773),
    [anon_sym_PLUS] = ACTIONS(2773),
    [anon_sym_STAR] = ACTIONS(2775),
    [anon_sym_AMP_AMP] = ACTIONS(2775),
    [anon_sym_AMP] = ACTIONS(2773),
    [anon_sym___extension__] = ACTIONS(2773),
    [anon_sym_typedef] = ACTIONS(2773),
    [anon_sym_in] = ACTIONS(2773),
    [anon_sym_out] = ACTIONS(2773),
    [anon_sym_inout] = ACTIONS(2773),
    [anon_sym_extern] = ACTIONS(2773),
    [anon_sym___attribute__] = ACTIONS(2773),
    [anon_sym_COLON_COLON] = ACTIONS(2775),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2775),
    [anon_sym___declspec] = ACTIONS(2773),
    [anon_sym___based] = ACTIONS(2773),
    [anon_sym___cdecl] = ACTIONS(2773),
    [anon_sym___clrcall] = ACTIONS(2773),
    [anon_sym___stdcall] = ACTIONS(2773),
    [anon_sym___fastcall] = ACTIONS(2773),
    [anon_sym___thiscall] = ACTIONS(2773),
    [anon_sym___vectorcall] = ACTIONS(2773),
    [anon_sym_LBRACE] = ACTIONS(2775),
    [anon_sym_signed] = ACTIONS(2773),
    [anon_sym_unsigned] = ACTIONS(2773),
    [anon_sym_long] = ACTIONS(2773),
    [anon_sym_short] = ACTIONS(2773),
    [anon_sym_LBRACK] = ACTIONS(2773),
    [anon_sym_static] = ACTIONS(2773),
    [anon_sym_register] = ACTIONS(2773),
    [anon_sym_inline] = ACTIONS(2773),
    [anon_sym___inline] = ACTIONS(2773),
    [anon_sym___inline__] = ACTIONS(2773),
    [anon_sym___forceinline] = ACTIONS(2773),
    [anon_sym_thread_local] = ACTIONS(2773),
    [anon_sym___thread] = ACTIONS(2773),
    [anon_sym_const] = ACTIONS(2773),
    [anon_sym_constexpr] = ACTIONS(2773),
    [anon_sym_volatile] = ACTIONS(2773),
    [anon_sym_restrict] = ACTIONS(2773),
    [anon_sym___restrict__] = ACTIONS(2773),
    [anon_sym__Atomic] = ACTIONS(2773),
    [anon_sym__Noreturn] = ACTIONS(2773),
    [anon_sym_noreturn] = ACTIONS(2773),
    [anon_sym_mutable] = ACTIONS(2773),
    [anon_sym_constinit] = ACTIONS(2773),
    [anon_sym_consteval] = ACTIONS(2773),
    [sym_primitive_type] = ACTIONS(2773),
    [anon_sym_enum] = ACTIONS(2773),
    [anon_sym_class] = ACTIONS(2773),
    [anon_sym_struct] = ACTIONS(2773),
    [anon_sym_union] = ACTIONS(2773),
    [anon_sym_if] = ACTIONS(2773),
    [anon_sym_switch] = ACTIONS(2773),
    [anon_sym_case] = ACTIONS(2773),
    [anon_sym_default] = ACTIONS(2773),
    [anon_sym_while] = ACTIONS(2773),
    [anon_sym_do] = ACTIONS(2773),
    [anon_sym_for] = ACTIONS(2773),
    [anon_sym_return] = ACTIONS(2773),
    [anon_sym_break] = ACTIONS(2773),
    [anon_sym_continue] = ACTIONS(2773),
    [anon_sym_goto] = ACTIONS(2773),
    [anon_sym_not] = ACTIONS(2773),
    [anon_sym_compl] = ACTIONS(2773),
    [anon_sym_DASH_DASH] = ACTIONS(2775),
    [anon_sym_PLUS_PLUS] = ACTIONS(2775),
    [anon_sym_sizeof] = ACTIONS(2773),
    [anon_sym___alignof__] = ACTIONS(2773),
    [anon_sym___alignof] = ACTIONS(2773),
    [anon_sym__alignof] = ACTIONS(2773),
    [anon_sym_alignof] = ACTIONS(2773),
    [anon_sym__Alignof] = ACTIONS(2773),
    [anon_sym_offsetof] = ACTIONS(2773),
    [anon_sym__Generic] = ACTIONS(2773),
    [anon_sym_asm] = ACTIONS(2773),
    [anon_sym___asm__] = ACTIONS(2773),
    [sym_number_literal] = ACTIONS(2775),
    [anon_sym_L_SQUOTE] = ACTIONS(2775),
    [anon_sym_u_SQUOTE] = ACTIONS(2775),
    [anon_sym_U_SQUOTE] = ACTIONS(2775),
    [anon_sym_u8_SQUOTE] = ACTIONS(2775),
    [anon_sym_SQUOTE] = ACTIONS(2775),
    [anon_sym_L_DQUOTE] = ACTIONS(2775),
    [anon_sym_u_DQUOTE] = ACTIONS(2775),
    [anon_sym_U_DQUOTE] = ACTIONS(2775),
    [anon_sym_u8_DQUOTE] = ACTIONS(2775),
    [anon_sym_DQUOTE] = ACTIONS(2775),
    [sym_true] = ACTIONS(2773),
    [sym_false] = ACTIONS(2773),
    [anon_sym_NULL] = ACTIONS(2773),
    [anon_sym_nullptr] = ACTIONS(2773),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2773),
    [anon_sym_decltype] = ACTIONS(2773),
    [anon_sym_virtual] = ACTIONS(2773),
    [anon_sym_alignas] = ACTIONS(2773),
    [anon_sym_explicit] = ACTIONS(2773),
    [anon_sym_typename] = ACTIONS(2773),
    [anon_sym_template] = ACTIONS(2773),
    [anon_sym_operator] = ACTIONS(2773),
    [anon_sym_try] = ACTIONS(2773),
    [anon_sym_delete] = ACTIONS(2773),
    [anon_sym_throw] = ACTIONS(2773),
    [anon_sym_namespace] = ACTIONS(2773),
    [anon_sym_using] = ACTIONS(2773),
    [anon_sym_static_assert] = ACTIONS(2773),
    [anon_sym_concept] = ACTIONS(2773),
    [anon_sym_co_return] = ACTIONS(2773),
    [anon_sym_co_yield] = ACTIONS(2773),
    [anon_sym_R_DQUOTE] = ACTIONS(2775),
    [anon_sym_LR_DQUOTE] = ACTIONS(2775),
    [anon_sym_uR_DQUOTE] = ACTIONS(2775),
    [anon_sym_UR_DQUOTE] = ACTIONS(2775),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2775),
    [anon_sym_co_await] = ACTIONS(2773),
    [anon_sym_new] = ACTIONS(2773),
    [anon_sym_requires] = ACTIONS(2773),
    [sym_this] = ACTIONS(2773),
    [anon_sym_precise] = ACTIONS(2773),
    [anon_sym_shared] = ACTIONS(2773),
    [anon_sym_groupshared] = ACTIONS(2773),
    [anon_sym_uniform] = ACTIONS(2773),
    [anon_sym_row_major] = ACTIONS(2773),
    [anon_sym_column_major] = ACTIONS(2773),
    [anon_sym_globallycoherent] = ACTIONS(2773),
    [anon_sym_centroid] = ACTIONS(2773),
    [anon_sym_noperspective] = ACTIONS(2773),
    [anon_sym_nointerpolation] = ACTIONS(2773),
    [anon_sym_sample] = ACTIONS(2773),
    [anon_sym_linear] = ACTIONS(2773),
    [anon_sym_snorm] = ACTIONS(2773),
    [anon_sym_unorm] = ACTIONS(2773),
    [anon_sym_point] = ACTIONS(2773),
    [anon_sym_line] = ACTIONS(2773),
    [anon_sym_triangleadj] = ACTIONS(2773),
    [anon_sym_lineadj] = ACTIONS(2773),
    [anon_sym_triangle] = ACTIONS(2773),
  },
  [1268] = {
    [ts_builtin_sym_end] = ACTIONS(2623),
    [sym_identifier] = ACTIONS(2621),
    [aux_sym_preproc_include_token1] = ACTIONS(2621),
    [aux_sym_preproc_def_token1] = ACTIONS(2621),
    [aux_sym_preproc_if_token1] = ACTIONS(2621),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2621),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2621),
    [sym_preproc_directive] = ACTIONS(2621),
    [anon_sym_LPAREN2] = ACTIONS(2623),
    [anon_sym_BANG] = ACTIONS(2623),
    [anon_sym_TILDE] = ACTIONS(2623),
    [anon_sym_DASH] = ACTIONS(2621),
    [anon_sym_PLUS] = ACTIONS(2621),
    [anon_sym_STAR] = ACTIONS(2623),
    [anon_sym_AMP_AMP] = ACTIONS(2623),
    [anon_sym_AMP] = ACTIONS(2621),
    [anon_sym___extension__] = ACTIONS(2621),
    [anon_sym_typedef] = ACTIONS(2621),
    [anon_sym_in] = ACTIONS(2621),
    [anon_sym_out] = ACTIONS(2621),
    [anon_sym_inout] = ACTIONS(2621),
    [anon_sym_extern] = ACTIONS(2621),
    [anon_sym___attribute__] = ACTIONS(2621),
    [anon_sym_COLON_COLON] = ACTIONS(2623),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2623),
    [anon_sym___declspec] = ACTIONS(2621),
    [anon_sym___based] = ACTIONS(2621),
    [anon_sym___cdecl] = ACTIONS(2621),
    [anon_sym___clrcall] = ACTIONS(2621),
    [anon_sym___stdcall] = ACTIONS(2621),
    [anon_sym___fastcall] = ACTIONS(2621),
    [anon_sym___thiscall] = ACTIONS(2621),
    [anon_sym___vectorcall] = ACTIONS(2621),
    [anon_sym_LBRACE] = ACTIONS(2623),
    [anon_sym_signed] = ACTIONS(2621),
    [anon_sym_unsigned] = ACTIONS(2621),
    [anon_sym_long] = ACTIONS(2621),
    [anon_sym_short] = ACTIONS(2621),
    [anon_sym_LBRACK] = ACTIONS(2621),
    [anon_sym_static] = ACTIONS(2621),
    [anon_sym_register] = ACTIONS(2621),
    [anon_sym_inline] = ACTIONS(2621),
    [anon_sym___inline] = ACTIONS(2621),
    [anon_sym___inline__] = ACTIONS(2621),
    [anon_sym___forceinline] = ACTIONS(2621),
    [anon_sym_thread_local] = ACTIONS(2621),
    [anon_sym___thread] = ACTIONS(2621),
    [anon_sym_const] = ACTIONS(2621),
    [anon_sym_constexpr] = ACTIONS(2621),
    [anon_sym_volatile] = ACTIONS(2621),
    [anon_sym_restrict] = ACTIONS(2621),
    [anon_sym___restrict__] = ACTIONS(2621),
    [anon_sym__Atomic] = ACTIONS(2621),
    [anon_sym__Noreturn] = ACTIONS(2621),
    [anon_sym_noreturn] = ACTIONS(2621),
    [anon_sym_mutable] = ACTIONS(2621),
    [anon_sym_constinit] = ACTIONS(2621),
    [anon_sym_consteval] = ACTIONS(2621),
    [sym_primitive_type] = ACTIONS(2621),
    [anon_sym_enum] = ACTIONS(2621),
    [anon_sym_class] = ACTIONS(2621),
    [anon_sym_struct] = ACTIONS(2621),
    [anon_sym_union] = ACTIONS(2621),
    [anon_sym_if] = ACTIONS(2621),
    [anon_sym_switch] = ACTIONS(2621),
    [anon_sym_case] = ACTIONS(2621),
    [anon_sym_default] = ACTIONS(2621),
    [anon_sym_while] = ACTIONS(2621),
    [anon_sym_do] = ACTIONS(2621),
    [anon_sym_for] = ACTIONS(2621),
    [anon_sym_return] = ACTIONS(2621),
    [anon_sym_break] = ACTIONS(2621),
    [anon_sym_continue] = ACTIONS(2621),
    [anon_sym_goto] = ACTIONS(2621),
    [anon_sym_not] = ACTIONS(2621),
    [anon_sym_compl] = ACTIONS(2621),
    [anon_sym_DASH_DASH] = ACTIONS(2623),
    [anon_sym_PLUS_PLUS] = ACTIONS(2623),
    [anon_sym_sizeof] = ACTIONS(2621),
    [anon_sym___alignof__] = ACTIONS(2621),
    [anon_sym___alignof] = ACTIONS(2621),
    [anon_sym__alignof] = ACTIONS(2621),
    [anon_sym_alignof] = ACTIONS(2621),
    [anon_sym__Alignof] = ACTIONS(2621),
    [anon_sym_offsetof] = ACTIONS(2621),
    [anon_sym__Generic] = ACTIONS(2621),
    [anon_sym_asm] = ACTIONS(2621),
    [anon_sym___asm__] = ACTIONS(2621),
    [sym_number_literal] = ACTIONS(2623),
    [anon_sym_L_SQUOTE] = ACTIONS(2623),
    [anon_sym_u_SQUOTE] = ACTIONS(2623),
    [anon_sym_U_SQUOTE] = ACTIONS(2623),
    [anon_sym_u8_SQUOTE] = ACTIONS(2623),
    [anon_sym_SQUOTE] = ACTIONS(2623),
    [anon_sym_L_DQUOTE] = ACTIONS(2623),
    [anon_sym_u_DQUOTE] = ACTIONS(2623),
    [anon_sym_U_DQUOTE] = ACTIONS(2623),
    [anon_sym_u8_DQUOTE] = ACTIONS(2623),
    [anon_sym_DQUOTE] = ACTIONS(2623),
    [sym_true] = ACTIONS(2621),
    [sym_false] = ACTIONS(2621),
    [anon_sym_NULL] = ACTIONS(2621),
    [anon_sym_nullptr] = ACTIONS(2621),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2621),
    [anon_sym_decltype] = ACTIONS(2621),
    [anon_sym_virtual] = ACTIONS(2621),
    [anon_sym_alignas] = ACTIONS(2621),
    [anon_sym_explicit] = ACTIONS(2621),
    [anon_sym_typename] = ACTIONS(2621),
    [anon_sym_template] = ACTIONS(2621),
    [anon_sym_operator] = ACTIONS(2621),
    [anon_sym_try] = ACTIONS(2621),
    [anon_sym_delete] = ACTIONS(2621),
    [anon_sym_throw] = ACTIONS(2621),
    [anon_sym_namespace] = ACTIONS(2621),
    [anon_sym_using] = ACTIONS(2621),
    [anon_sym_static_assert] = ACTIONS(2621),
    [anon_sym_concept] = ACTIONS(2621),
    [anon_sym_co_return] = ACTIONS(2621),
    [anon_sym_co_yield] = ACTIONS(2621),
    [anon_sym_R_DQUOTE] = ACTIONS(2623),
    [anon_sym_LR_DQUOTE] = ACTIONS(2623),
    [anon_sym_uR_DQUOTE] = ACTIONS(2623),
    [anon_sym_UR_DQUOTE] = ACTIONS(2623),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2623),
    [anon_sym_co_await] = ACTIONS(2621),
    [anon_sym_new] = ACTIONS(2621),
    [anon_sym_requires] = ACTIONS(2621),
    [sym_this] = ACTIONS(2621),
    [anon_sym_precise] = ACTIONS(2621),
    [anon_sym_shared] = ACTIONS(2621),
    [anon_sym_groupshared] = ACTIONS(2621),
    [anon_sym_uniform] = ACTIONS(2621),
    [anon_sym_row_major] = ACTIONS(2621),
    [anon_sym_column_major] = ACTIONS(2621),
    [anon_sym_globallycoherent] = ACTIONS(2621),
    [anon_sym_centroid] = ACTIONS(2621),
    [anon_sym_noperspective] = ACTIONS(2621),
    [anon_sym_nointerpolation] = ACTIONS(2621),
    [anon_sym_sample] = ACTIONS(2621),
    [anon_sym_linear] = ACTIONS(2621),
    [anon_sym_snorm] = ACTIONS(2621),
    [anon_sym_unorm] = ACTIONS(2621),
    [anon_sym_point] = ACTIONS(2621),
    [anon_sym_line] = ACTIONS(2621),
    [anon_sym_triangleadj] = ACTIONS(2621),
    [anon_sym_lineadj] = ACTIONS(2621),
    [anon_sym_triangle] = ACTIONS(2621),
  },
  [1269] = {
    [ts_builtin_sym_end] = ACTIONS(2727),
    [sym_identifier] = ACTIONS(2725),
    [aux_sym_preproc_include_token1] = ACTIONS(2725),
    [aux_sym_preproc_def_token1] = ACTIONS(2725),
    [aux_sym_preproc_if_token1] = ACTIONS(2725),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2725),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2725),
    [sym_preproc_directive] = ACTIONS(2725),
    [anon_sym_LPAREN2] = ACTIONS(2727),
    [anon_sym_BANG] = ACTIONS(2727),
    [anon_sym_TILDE] = ACTIONS(2727),
    [anon_sym_DASH] = ACTIONS(2725),
    [anon_sym_PLUS] = ACTIONS(2725),
    [anon_sym_STAR] = ACTIONS(2727),
    [anon_sym_AMP_AMP] = ACTIONS(2727),
    [anon_sym_AMP] = ACTIONS(2725),
    [anon_sym___extension__] = ACTIONS(2725),
    [anon_sym_typedef] = ACTIONS(2725),
    [anon_sym_in] = ACTIONS(2725),
    [anon_sym_out] = ACTIONS(2725),
    [anon_sym_inout] = ACTIONS(2725),
    [anon_sym_extern] = ACTIONS(2725),
    [anon_sym___attribute__] = ACTIONS(2725),
    [anon_sym_COLON_COLON] = ACTIONS(2727),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2727),
    [anon_sym___declspec] = ACTIONS(2725),
    [anon_sym___based] = ACTIONS(2725),
    [anon_sym___cdecl] = ACTIONS(2725),
    [anon_sym___clrcall] = ACTIONS(2725),
    [anon_sym___stdcall] = ACTIONS(2725),
    [anon_sym___fastcall] = ACTIONS(2725),
    [anon_sym___thiscall] = ACTIONS(2725),
    [anon_sym___vectorcall] = ACTIONS(2725),
    [anon_sym_LBRACE] = ACTIONS(2727),
    [anon_sym_signed] = ACTIONS(2725),
    [anon_sym_unsigned] = ACTIONS(2725),
    [anon_sym_long] = ACTIONS(2725),
    [anon_sym_short] = ACTIONS(2725),
    [anon_sym_LBRACK] = ACTIONS(2725),
    [anon_sym_static] = ACTIONS(2725),
    [anon_sym_register] = ACTIONS(2725),
    [anon_sym_inline] = ACTIONS(2725),
    [anon_sym___inline] = ACTIONS(2725),
    [anon_sym___inline__] = ACTIONS(2725),
    [anon_sym___forceinline] = ACTIONS(2725),
    [anon_sym_thread_local] = ACTIONS(2725),
    [anon_sym___thread] = ACTIONS(2725),
    [anon_sym_const] = ACTIONS(2725),
    [anon_sym_constexpr] = ACTIONS(2725),
    [anon_sym_volatile] = ACTIONS(2725),
    [anon_sym_restrict] = ACTIONS(2725),
    [anon_sym___restrict__] = ACTIONS(2725),
    [anon_sym__Atomic] = ACTIONS(2725),
    [anon_sym__Noreturn] = ACTIONS(2725),
    [anon_sym_noreturn] = ACTIONS(2725),
    [anon_sym_mutable] = ACTIONS(2725),
    [anon_sym_constinit] = ACTIONS(2725),
    [anon_sym_consteval] = ACTIONS(2725),
    [sym_primitive_type] = ACTIONS(2725),
    [anon_sym_enum] = ACTIONS(2725),
    [anon_sym_class] = ACTIONS(2725),
    [anon_sym_struct] = ACTIONS(2725),
    [anon_sym_union] = ACTIONS(2725),
    [anon_sym_if] = ACTIONS(2725),
    [anon_sym_switch] = ACTIONS(2725),
    [anon_sym_case] = ACTIONS(2725),
    [anon_sym_default] = ACTIONS(2725),
    [anon_sym_while] = ACTIONS(2725),
    [anon_sym_do] = ACTIONS(2725),
    [anon_sym_for] = ACTIONS(2725),
    [anon_sym_return] = ACTIONS(2725),
    [anon_sym_break] = ACTIONS(2725),
    [anon_sym_continue] = ACTIONS(2725),
    [anon_sym_goto] = ACTIONS(2725),
    [anon_sym_not] = ACTIONS(2725),
    [anon_sym_compl] = ACTIONS(2725),
    [anon_sym_DASH_DASH] = ACTIONS(2727),
    [anon_sym_PLUS_PLUS] = ACTIONS(2727),
    [anon_sym_sizeof] = ACTIONS(2725),
    [anon_sym___alignof__] = ACTIONS(2725),
    [anon_sym___alignof] = ACTIONS(2725),
    [anon_sym__alignof] = ACTIONS(2725),
    [anon_sym_alignof] = ACTIONS(2725),
    [anon_sym__Alignof] = ACTIONS(2725),
    [anon_sym_offsetof] = ACTIONS(2725),
    [anon_sym__Generic] = ACTIONS(2725),
    [anon_sym_asm] = ACTIONS(2725),
    [anon_sym___asm__] = ACTIONS(2725),
    [sym_number_literal] = ACTIONS(2727),
    [anon_sym_L_SQUOTE] = ACTIONS(2727),
    [anon_sym_u_SQUOTE] = ACTIONS(2727),
    [anon_sym_U_SQUOTE] = ACTIONS(2727),
    [anon_sym_u8_SQUOTE] = ACTIONS(2727),
    [anon_sym_SQUOTE] = ACTIONS(2727),
    [anon_sym_L_DQUOTE] = ACTIONS(2727),
    [anon_sym_u_DQUOTE] = ACTIONS(2727),
    [anon_sym_U_DQUOTE] = ACTIONS(2727),
    [anon_sym_u8_DQUOTE] = ACTIONS(2727),
    [anon_sym_DQUOTE] = ACTIONS(2727),
    [sym_true] = ACTIONS(2725),
    [sym_false] = ACTIONS(2725),
    [anon_sym_NULL] = ACTIONS(2725),
    [anon_sym_nullptr] = ACTIONS(2725),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2725),
    [anon_sym_decltype] = ACTIONS(2725),
    [anon_sym_virtual] = ACTIONS(2725),
    [anon_sym_alignas] = ACTIONS(2725),
    [anon_sym_explicit] = ACTIONS(2725),
    [anon_sym_typename] = ACTIONS(2725),
    [anon_sym_template] = ACTIONS(2725),
    [anon_sym_operator] = ACTIONS(2725),
    [anon_sym_try] = ACTIONS(2725),
    [anon_sym_delete] = ACTIONS(2725),
    [anon_sym_throw] = ACTIONS(2725),
    [anon_sym_namespace] = ACTIONS(2725),
    [anon_sym_using] = ACTIONS(2725),
    [anon_sym_static_assert] = ACTIONS(2725),
    [anon_sym_concept] = ACTIONS(2725),
    [anon_sym_co_return] = ACTIONS(2725),
    [anon_sym_co_yield] = ACTIONS(2725),
    [anon_sym_R_DQUOTE] = ACTIONS(2727),
    [anon_sym_LR_DQUOTE] = ACTIONS(2727),
    [anon_sym_uR_DQUOTE] = ACTIONS(2727),
    [anon_sym_UR_DQUOTE] = ACTIONS(2727),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2727),
    [anon_sym_co_await] = ACTIONS(2725),
    [anon_sym_new] = ACTIONS(2725),
    [anon_sym_requires] = ACTIONS(2725),
    [sym_this] = ACTIONS(2725),
    [anon_sym_precise] = ACTIONS(2725),
    [anon_sym_shared] = ACTIONS(2725),
    [anon_sym_groupshared] = ACTIONS(2725),
    [anon_sym_uniform] = ACTIONS(2725),
    [anon_sym_row_major] = ACTIONS(2725),
    [anon_sym_column_major] = ACTIONS(2725),
    [anon_sym_globallycoherent] = ACTIONS(2725),
    [anon_sym_centroid] = ACTIONS(2725),
    [anon_sym_noperspective] = ACTIONS(2725),
    [anon_sym_nointerpolation] = ACTIONS(2725),
    [anon_sym_sample] = ACTIONS(2725),
    [anon_sym_linear] = ACTIONS(2725),
    [anon_sym_snorm] = ACTIONS(2725),
    [anon_sym_unorm] = ACTIONS(2725),
    [anon_sym_point] = ACTIONS(2725),
    [anon_sym_line] = ACTIONS(2725),
    [anon_sym_triangleadj] = ACTIONS(2725),
    [anon_sym_lineadj] = ACTIONS(2725),
    [anon_sym_triangle] = ACTIONS(2725),
  },
  [1270] = {
    [ts_builtin_sym_end] = ACTIONS(2827),
    [sym_identifier] = ACTIONS(2825),
    [aux_sym_preproc_include_token1] = ACTIONS(2825),
    [aux_sym_preproc_def_token1] = ACTIONS(2825),
    [aux_sym_preproc_if_token1] = ACTIONS(2825),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2825),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2825),
    [sym_preproc_directive] = ACTIONS(2825),
    [anon_sym_LPAREN2] = ACTIONS(2827),
    [anon_sym_BANG] = ACTIONS(2827),
    [anon_sym_TILDE] = ACTIONS(2827),
    [anon_sym_DASH] = ACTIONS(2825),
    [anon_sym_PLUS] = ACTIONS(2825),
    [anon_sym_STAR] = ACTIONS(2827),
    [anon_sym_AMP_AMP] = ACTIONS(2827),
    [anon_sym_AMP] = ACTIONS(2825),
    [anon_sym___extension__] = ACTIONS(2825),
    [anon_sym_typedef] = ACTIONS(2825),
    [anon_sym_in] = ACTIONS(2825),
    [anon_sym_out] = ACTIONS(2825),
    [anon_sym_inout] = ACTIONS(2825),
    [anon_sym_extern] = ACTIONS(2825),
    [anon_sym___attribute__] = ACTIONS(2825),
    [anon_sym_COLON_COLON] = ACTIONS(2827),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2827),
    [anon_sym___declspec] = ACTIONS(2825),
    [anon_sym___based] = ACTIONS(2825),
    [anon_sym___cdecl] = ACTIONS(2825),
    [anon_sym___clrcall] = ACTIONS(2825),
    [anon_sym___stdcall] = ACTIONS(2825),
    [anon_sym___fastcall] = ACTIONS(2825),
    [anon_sym___thiscall] = ACTIONS(2825),
    [anon_sym___vectorcall] = ACTIONS(2825),
    [anon_sym_LBRACE] = ACTIONS(2827),
    [anon_sym_signed] = ACTIONS(2825),
    [anon_sym_unsigned] = ACTIONS(2825),
    [anon_sym_long] = ACTIONS(2825),
    [anon_sym_short] = ACTIONS(2825),
    [anon_sym_LBRACK] = ACTIONS(2825),
    [anon_sym_static] = ACTIONS(2825),
    [anon_sym_register] = ACTIONS(2825),
    [anon_sym_inline] = ACTIONS(2825),
    [anon_sym___inline] = ACTIONS(2825),
    [anon_sym___inline__] = ACTIONS(2825),
    [anon_sym___forceinline] = ACTIONS(2825),
    [anon_sym_thread_local] = ACTIONS(2825),
    [anon_sym___thread] = ACTIONS(2825),
    [anon_sym_const] = ACTIONS(2825),
    [anon_sym_constexpr] = ACTIONS(2825),
    [anon_sym_volatile] = ACTIONS(2825),
    [anon_sym_restrict] = ACTIONS(2825),
    [anon_sym___restrict__] = ACTIONS(2825),
    [anon_sym__Atomic] = ACTIONS(2825),
    [anon_sym__Noreturn] = ACTIONS(2825),
    [anon_sym_noreturn] = ACTIONS(2825),
    [anon_sym_mutable] = ACTIONS(2825),
    [anon_sym_constinit] = ACTIONS(2825),
    [anon_sym_consteval] = ACTIONS(2825),
    [sym_primitive_type] = ACTIONS(2825),
    [anon_sym_enum] = ACTIONS(2825),
    [anon_sym_class] = ACTIONS(2825),
    [anon_sym_struct] = ACTIONS(2825),
    [anon_sym_union] = ACTIONS(2825),
    [anon_sym_if] = ACTIONS(2825),
    [anon_sym_switch] = ACTIONS(2825),
    [anon_sym_case] = ACTIONS(2825),
    [anon_sym_default] = ACTIONS(2825),
    [anon_sym_while] = ACTIONS(2825),
    [anon_sym_do] = ACTIONS(2825),
    [anon_sym_for] = ACTIONS(2825),
    [anon_sym_return] = ACTIONS(2825),
    [anon_sym_break] = ACTIONS(2825),
    [anon_sym_continue] = ACTIONS(2825),
    [anon_sym_goto] = ACTIONS(2825),
    [anon_sym_not] = ACTIONS(2825),
    [anon_sym_compl] = ACTIONS(2825),
    [anon_sym_DASH_DASH] = ACTIONS(2827),
    [anon_sym_PLUS_PLUS] = ACTIONS(2827),
    [anon_sym_sizeof] = ACTIONS(2825),
    [anon_sym___alignof__] = ACTIONS(2825),
    [anon_sym___alignof] = ACTIONS(2825),
    [anon_sym__alignof] = ACTIONS(2825),
    [anon_sym_alignof] = ACTIONS(2825),
    [anon_sym__Alignof] = ACTIONS(2825),
    [anon_sym_offsetof] = ACTIONS(2825),
    [anon_sym__Generic] = ACTIONS(2825),
    [anon_sym_asm] = ACTIONS(2825),
    [anon_sym___asm__] = ACTIONS(2825),
    [sym_number_literal] = ACTIONS(2827),
    [anon_sym_L_SQUOTE] = ACTIONS(2827),
    [anon_sym_u_SQUOTE] = ACTIONS(2827),
    [anon_sym_U_SQUOTE] = ACTIONS(2827),
    [anon_sym_u8_SQUOTE] = ACTIONS(2827),
    [anon_sym_SQUOTE] = ACTIONS(2827),
    [anon_sym_L_DQUOTE] = ACTIONS(2827),
    [anon_sym_u_DQUOTE] = ACTIONS(2827),
    [anon_sym_U_DQUOTE] = ACTIONS(2827),
    [anon_sym_u8_DQUOTE] = ACTIONS(2827),
    [anon_sym_DQUOTE] = ACTIONS(2827),
    [sym_true] = ACTIONS(2825),
    [sym_false] = ACTIONS(2825),
    [anon_sym_NULL] = ACTIONS(2825),
    [anon_sym_nullptr] = ACTIONS(2825),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2825),
    [anon_sym_decltype] = ACTIONS(2825),
    [anon_sym_virtual] = ACTIONS(2825),
    [anon_sym_alignas] = ACTIONS(2825),
    [anon_sym_explicit] = ACTIONS(2825),
    [anon_sym_typename] = ACTIONS(2825),
    [anon_sym_template] = ACTIONS(2825),
    [anon_sym_operator] = ACTIONS(2825),
    [anon_sym_try] = ACTIONS(2825),
    [anon_sym_delete] = ACTIONS(2825),
    [anon_sym_throw] = ACTIONS(2825),
    [anon_sym_namespace] = ACTIONS(2825),
    [anon_sym_using] = ACTIONS(2825),
    [anon_sym_static_assert] = ACTIONS(2825),
    [anon_sym_concept] = ACTIONS(2825),
    [anon_sym_co_return] = ACTIONS(2825),
    [anon_sym_co_yield] = ACTIONS(2825),
    [anon_sym_R_DQUOTE] = ACTIONS(2827),
    [anon_sym_LR_DQUOTE] = ACTIONS(2827),
    [anon_sym_uR_DQUOTE] = ACTIONS(2827),
    [anon_sym_UR_DQUOTE] = ACTIONS(2827),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2827),
    [anon_sym_co_await] = ACTIONS(2825),
    [anon_sym_new] = ACTIONS(2825),
    [anon_sym_requires] = ACTIONS(2825),
    [sym_this] = ACTIONS(2825),
    [anon_sym_precise] = ACTIONS(2825),
    [anon_sym_shared] = ACTIONS(2825),
    [anon_sym_groupshared] = ACTIONS(2825),
    [anon_sym_uniform] = ACTIONS(2825),
    [anon_sym_row_major] = ACTIONS(2825),
    [anon_sym_column_major] = ACTIONS(2825),
    [anon_sym_globallycoherent] = ACTIONS(2825),
    [anon_sym_centroid] = ACTIONS(2825),
    [anon_sym_noperspective] = ACTIONS(2825),
    [anon_sym_nointerpolation] = ACTIONS(2825),
    [anon_sym_sample] = ACTIONS(2825),
    [anon_sym_linear] = ACTIONS(2825),
    [anon_sym_snorm] = ACTIONS(2825),
    [anon_sym_unorm] = ACTIONS(2825),
    [anon_sym_point] = ACTIONS(2825),
    [anon_sym_line] = ACTIONS(2825),
    [anon_sym_triangleadj] = ACTIONS(2825),
    [anon_sym_lineadj] = ACTIONS(2825),
    [anon_sym_triangle] = ACTIONS(2825),
  },
  [1271] = {
    [ts_builtin_sym_end] = ACTIONS(2807),
    [sym_identifier] = ACTIONS(2805),
    [aux_sym_preproc_include_token1] = ACTIONS(2805),
    [aux_sym_preproc_def_token1] = ACTIONS(2805),
    [aux_sym_preproc_if_token1] = ACTIONS(2805),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2805),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2805),
    [sym_preproc_directive] = ACTIONS(2805),
    [anon_sym_LPAREN2] = ACTIONS(2807),
    [anon_sym_BANG] = ACTIONS(2807),
    [anon_sym_TILDE] = ACTIONS(2807),
    [anon_sym_DASH] = ACTIONS(2805),
    [anon_sym_PLUS] = ACTIONS(2805),
    [anon_sym_STAR] = ACTIONS(2807),
    [anon_sym_AMP_AMP] = ACTIONS(2807),
    [anon_sym_AMP] = ACTIONS(2805),
    [anon_sym___extension__] = ACTIONS(2805),
    [anon_sym_typedef] = ACTIONS(2805),
    [anon_sym_in] = ACTIONS(2805),
    [anon_sym_out] = ACTIONS(2805),
    [anon_sym_inout] = ACTIONS(2805),
    [anon_sym_extern] = ACTIONS(2805),
    [anon_sym___attribute__] = ACTIONS(2805),
    [anon_sym_COLON_COLON] = ACTIONS(2807),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2807),
    [anon_sym___declspec] = ACTIONS(2805),
    [anon_sym___based] = ACTIONS(2805),
    [anon_sym___cdecl] = ACTIONS(2805),
    [anon_sym___clrcall] = ACTIONS(2805),
    [anon_sym___stdcall] = ACTIONS(2805),
    [anon_sym___fastcall] = ACTIONS(2805),
    [anon_sym___thiscall] = ACTIONS(2805),
    [anon_sym___vectorcall] = ACTIONS(2805),
    [anon_sym_LBRACE] = ACTIONS(2807),
    [anon_sym_signed] = ACTIONS(2805),
    [anon_sym_unsigned] = ACTIONS(2805),
    [anon_sym_long] = ACTIONS(2805),
    [anon_sym_short] = ACTIONS(2805),
    [anon_sym_LBRACK] = ACTIONS(2805),
    [anon_sym_static] = ACTIONS(2805),
    [anon_sym_register] = ACTIONS(2805),
    [anon_sym_inline] = ACTIONS(2805),
    [anon_sym___inline] = ACTIONS(2805),
    [anon_sym___inline__] = ACTIONS(2805),
    [anon_sym___forceinline] = ACTIONS(2805),
    [anon_sym_thread_local] = ACTIONS(2805),
    [anon_sym___thread] = ACTIONS(2805),
    [anon_sym_const] = ACTIONS(2805),
    [anon_sym_constexpr] = ACTIONS(2805),
    [anon_sym_volatile] = ACTIONS(2805),
    [anon_sym_restrict] = ACTIONS(2805),
    [anon_sym___restrict__] = ACTIONS(2805),
    [anon_sym__Atomic] = ACTIONS(2805),
    [anon_sym__Noreturn] = ACTIONS(2805),
    [anon_sym_noreturn] = ACTIONS(2805),
    [anon_sym_mutable] = ACTIONS(2805),
    [anon_sym_constinit] = ACTIONS(2805),
    [anon_sym_consteval] = ACTIONS(2805),
    [sym_primitive_type] = ACTIONS(2805),
    [anon_sym_enum] = ACTIONS(2805),
    [anon_sym_class] = ACTIONS(2805),
    [anon_sym_struct] = ACTIONS(2805),
    [anon_sym_union] = ACTIONS(2805),
    [anon_sym_if] = ACTIONS(2805),
    [anon_sym_switch] = ACTIONS(2805),
    [anon_sym_case] = ACTIONS(2805),
    [anon_sym_default] = ACTIONS(2805),
    [anon_sym_while] = ACTIONS(2805),
    [anon_sym_do] = ACTIONS(2805),
    [anon_sym_for] = ACTIONS(2805),
    [anon_sym_return] = ACTIONS(2805),
    [anon_sym_break] = ACTIONS(2805),
    [anon_sym_continue] = ACTIONS(2805),
    [anon_sym_goto] = ACTIONS(2805),
    [anon_sym_not] = ACTIONS(2805),
    [anon_sym_compl] = ACTIONS(2805),
    [anon_sym_DASH_DASH] = ACTIONS(2807),
    [anon_sym_PLUS_PLUS] = ACTIONS(2807),
    [anon_sym_sizeof] = ACTIONS(2805),
    [anon_sym___alignof__] = ACTIONS(2805),
    [anon_sym___alignof] = ACTIONS(2805),
    [anon_sym__alignof] = ACTIONS(2805),
    [anon_sym_alignof] = ACTIONS(2805),
    [anon_sym__Alignof] = ACTIONS(2805),
    [anon_sym_offsetof] = ACTIONS(2805),
    [anon_sym__Generic] = ACTIONS(2805),
    [anon_sym_asm] = ACTIONS(2805),
    [anon_sym___asm__] = ACTIONS(2805),
    [sym_number_literal] = ACTIONS(2807),
    [anon_sym_L_SQUOTE] = ACTIONS(2807),
    [anon_sym_u_SQUOTE] = ACTIONS(2807),
    [anon_sym_U_SQUOTE] = ACTIONS(2807),
    [anon_sym_u8_SQUOTE] = ACTIONS(2807),
    [anon_sym_SQUOTE] = ACTIONS(2807),
    [anon_sym_L_DQUOTE] = ACTIONS(2807),
    [anon_sym_u_DQUOTE] = ACTIONS(2807),
    [anon_sym_U_DQUOTE] = ACTIONS(2807),
    [anon_sym_u8_DQUOTE] = ACTIONS(2807),
    [anon_sym_DQUOTE] = ACTIONS(2807),
    [sym_true] = ACTIONS(2805),
    [sym_false] = ACTIONS(2805),
    [anon_sym_NULL] = ACTIONS(2805),
    [anon_sym_nullptr] = ACTIONS(2805),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2805),
    [anon_sym_decltype] = ACTIONS(2805),
    [anon_sym_virtual] = ACTIONS(2805),
    [anon_sym_alignas] = ACTIONS(2805),
    [anon_sym_explicit] = ACTIONS(2805),
    [anon_sym_typename] = ACTIONS(2805),
    [anon_sym_template] = ACTIONS(2805),
    [anon_sym_operator] = ACTIONS(2805),
    [anon_sym_try] = ACTIONS(2805),
    [anon_sym_delete] = ACTIONS(2805),
    [anon_sym_throw] = ACTIONS(2805),
    [anon_sym_namespace] = ACTIONS(2805),
    [anon_sym_using] = ACTIONS(2805),
    [anon_sym_static_assert] = ACTIONS(2805),
    [anon_sym_concept] = ACTIONS(2805),
    [anon_sym_co_return] = ACTIONS(2805),
    [anon_sym_co_yield] = ACTIONS(2805),
    [anon_sym_R_DQUOTE] = ACTIONS(2807),
    [anon_sym_LR_DQUOTE] = ACTIONS(2807),
    [anon_sym_uR_DQUOTE] = ACTIONS(2807),
    [anon_sym_UR_DQUOTE] = ACTIONS(2807),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2807),
    [anon_sym_co_await] = ACTIONS(2805),
    [anon_sym_new] = ACTIONS(2805),
    [anon_sym_requires] = ACTIONS(2805),
    [sym_this] = ACTIONS(2805),
    [anon_sym_precise] = ACTIONS(2805),
    [anon_sym_shared] = ACTIONS(2805),
    [anon_sym_groupshared] = ACTIONS(2805),
    [anon_sym_uniform] = ACTIONS(2805),
    [anon_sym_row_major] = ACTIONS(2805),
    [anon_sym_column_major] = ACTIONS(2805),
    [anon_sym_globallycoherent] = ACTIONS(2805),
    [anon_sym_centroid] = ACTIONS(2805),
    [anon_sym_noperspective] = ACTIONS(2805),
    [anon_sym_nointerpolation] = ACTIONS(2805),
    [anon_sym_sample] = ACTIONS(2805),
    [anon_sym_linear] = ACTIONS(2805),
    [anon_sym_snorm] = ACTIONS(2805),
    [anon_sym_unorm] = ACTIONS(2805),
    [anon_sym_point] = ACTIONS(2805),
    [anon_sym_line] = ACTIONS(2805),
    [anon_sym_triangleadj] = ACTIONS(2805),
    [anon_sym_lineadj] = ACTIONS(2805),
    [anon_sym_triangle] = ACTIONS(2805),
  },
  [1272] = {
    [ts_builtin_sym_end] = ACTIONS(2651),
    [sym_identifier] = ACTIONS(2649),
    [aux_sym_preproc_include_token1] = ACTIONS(2649),
    [aux_sym_preproc_def_token1] = ACTIONS(2649),
    [aux_sym_preproc_if_token1] = ACTIONS(2649),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2649),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2649),
    [sym_preproc_directive] = ACTIONS(2649),
    [anon_sym_LPAREN2] = ACTIONS(2651),
    [anon_sym_BANG] = ACTIONS(2651),
    [anon_sym_TILDE] = ACTIONS(2651),
    [anon_sym_DASH] = ACTIONS(2649),
    [anon_sym_PLUS] = ACTIONS(2649),
    [anon_sym_STAR] = ACTIONS(2651),
    [anon_sym_AMP_AMP] = ACTIONS(2651),
    [anon_sym_AMP] = ACTIONS(2649),
    [anon_sym___extension__] = ACTIONS(2649),
    [anon_sym_typedef] = ACTIONS(2649),
    [anon_sym_in] = ACTIONS(2649),
    [anon_sym_out] = ACTIONS(2649),
    [anon_sym_inout] = ACTIONS(2649),
    [anon_sym_extern] = ACTIONS(2649),
    [anon_sym___attribute__] = ACTIONS(2649),
    [anon_sym_COLON_COLON] = ACTIONS(2651),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2651),
    [anon_sym___declspec] = ACTIONS(2649),
    [anon_sym___based] = ACTIONS(2649),
    [anon_sym___cdecl] = ACTIONS(2649),
    [anon_sym___clrcall] = ACTIONS(2649),
    [anon_sym___stdcall] = ACTIONS(2649),
    [anon_sym___fastcall] = ACTIONS(2649),
    [anon_sym___thiscall] = ACTIONS(2649),
    [anon_sym___vectorcall] = ACTIONS(2649),
    [anon_sym_LBRACE] = ACTIONS(2651),
    [anon_sym_signed] = ACTIONS(2649),
    [anon_sym_unsigned] = ACTIONS(2649),
    [anon_sym_long] = ACTIONS(2649),
    [anon_sym_short] = ACTIONS(2649),
    [anon_sym_LBRACK] = ACTIONS(2649),
    [anon_sym_static] = ACTIONS(2649),
    [anon_sym_register] = ACTIONS(2649),
    [anon_sym_inline] = ACTIONS(2649),
    [anon_sym___inline] = ACTIONS(2649),
    [anon_sym___inline__] = ACTIONS(2649),
    [anon_sym___forceinline] = ACTIONS(2649),
    [anon_sym_thread_local] = ACTIONS(2649),
    [anon_sym___thread] = ACTIONS(2649),
    [anon_sym_const] = ACTIONS(2649),
    [anon_sym_constexpr] = ACTIONS(2649),
    [anon_sym_volatile] = ACTIONS(2649),
    [anon_sym_restrict] = ACTIONS(2649),
    [anon_sym___restrict__] = ACTIONS(2649),
    [anon_sym__Atomic] = ACTIONS(2649),
    [anon_sym__Noreturn] = ACTIONS(2649),
    [anon_sym_noreturn] = ACTIONS(2649),
    [anon_sym_mutable] = ACTIONS(2649),
    [anon_sym_constinit] = ACTIONS(2649),
    [anon_sym_consteval] = ACTIONS(2649),
    [sym_primitive_type] = ACTIONS(2649),
    [anon_sym_enum] = ACTIONS(2649),
    [anon_sym_class] = ACTIONS(2649),
    [anon_sym_struct] = ACTIONS(2649),
    [anon_sym_union] = ACTIONS(2649),
    [anon_sym_if] = ACTIONS(2649),
    [anon_sym_switch] = ACTIONS(2649),
    [anon_sym_case] = ACTIONS(2649),
    [anon_sym_default] = ACTIONS(2649),
    [anon_sym_while] = ACTIONS(2649),
    [anon_sym_do] = ACTIONS(2649),
    [anon_sym_for] = ACTIONS(2649),
    [anon_sym_return] = ACTIONS(2649),
    [anon_sym_break] = ACTIONS(2649),
    [anon_sym_continue] = ACTIONS(2649),
    [anon_sym_goto] = ACTIONS(2649),
    [anon_sym_not] = ACTIONS(2649),
    [anon_sym_compl] = ACTIONS(2649),
    [anon_sym_DASH_DASH] = ACTIONS(2651),
    [anon_sym_PLUS_PLUS] = ACTIONS(2651),
    [anon_sym_sizeof] = ACTIONS(2649),
    [anon_sym___alignof__] = ACTIONS(2649),
    [anon_sym___alignof] = ACTIONS(2649),
    [anon_sym__alignof] = ACTIONS(2649),
    [anon_sym_alignof] = ACTIONS(2649),
    [anon_sym__Alignof] = ACTIONS(2649),
    [anon_sym_offsetof] = ACTIONS(2649),
    [anon_sym__Generic] = ACTIONS(2649),
    [anon_sym_asm] = ACTIONS(2649),
    [anon_sym___asm__] = ACTIONS(2649),
    [sym_number_literal] = ACTIONS(2651),
    [anon_sym_L_SQUOTE] = ACTIONS(2651),
    [anon_sym_u_SQUOTE] = ACTIONS(2651),
    [anon_sym_U_SQUOTE] = ACTIONS(2651),
    [anon_sym_u8_SQUOTE] = ACTIONS(2651),
    [anon_sym_SQUOTE] = ACTIONS(2651),
    [anon_sym_L_DQUOTE] = ACTIONS(2651),
    [anon_sym_u_DQUOTE] = ACTIONS(2651),
    [anon_sym_U_DQUOTE] = ACTIONS(2651),
    [anon_sym_u8_DQUOTE] = ACTIONS(2651),
    [anon_sym_DQUOTE] = ACTIONS(2651),
    [sym_true] = ACTIONS(2649),
    [sym_false] = ACTIONS(2649),
    [anon_sym_NULL] = ACTIONS(2649),
    [anon_sym_nullptr] = ACTIONS(2649),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2649),
    [anon_sym_decltype] = ACTIONS(2649),
    [anon_sym_virtual] = ACTIONS(2649),
    [anon_sym_alignas] = ACTIONS(2649),
    [anon_sym_explicit] = ACTIONS(2649),
    [anon_sym_typename] = ACTIONS(2649),
    [anon_sym_template] = ACTIONS(2649),
    [anon_sym_operator] = ACTIONS(2649),
    [anon_sym_try] = ACTIONS(2649),
    [anon_sym_delete] = ACTIONS(2649),
    [anon_sym_throw] = ACTIONS(2649),
    [anon_sym_namespace] = ACTIONS(2649),
    [anon_sym_using] = ACTIONS(2649),
    [anon_sym_static_assert] = ACTIONS(2649),
    [anon_sym_concept] = ACTIONS(2649),
    [anon_sym_co_return] = ACTIONS(2649),
    [anon_sym_co_yield] = ACTIONS(2649),
    [anon_sym_R_DQUOTE] = ACTIONS(2651),
    [anon_sym_LR_DQUOTE] = ACTIONS(2651),
    [anon_sym_uR_DQUOTE] = ACTIONS(2651),
    [anon_sym_UR_DQUOTE] = ACTIONS(2651),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2651),
    [anon_sym_co_await] = ACTIONS(2649),
    [anon_sym_new] = ACTIONS(2649),
    [anon_sym_requires] = ACTIONS(2649),
    [sym_this] = ACTIONS(2649),
    [anon_sym_precise] = ACTIONS(2649),
    [anon_sym_shared] = ACTIONS(2649),
    [anon_sym_groupshared] = ACTIONS(2649),
    [anon_sym_uniform] = ACTIONS(2649),
    [anon_sym_row_major] = ACTIONS(2649),
    [anon_sym_column_major] = ACTIONS(2649),
    [anon_sym_globallycoherent] = ACTIONS(2649),
    [anon_sym_centroid] = ACTIONS(2649),
    [anon_sym_noperspective] = ACTIONS(2649),
    [anon_sym_nointerpolation] = ACTIONS(2649),
    [anon_sym_sample] = ACTIONS(2649),
    [anon_sym_linear] = ACTIONS(2649),
    [anon_sym_snorm] = ACTIONS(2649),
    [anon_sym_unorm] = ACTIONS(2649),
    [anon_sym_point] = ACTIONS(2649),
    [anon_sym_line] = ACTIONS(2649),
    [anon_sym_triangleadj] = ACTIONS(2649),
    [anon_sym_lineadj] = ACTIONS(2649),
    [anon_sym_triangle] = ACTIONS(2649),
  },
  [1273] = {
    [ts_builtin_sym_end] = ACTIONS(2831),
    [sym_identifier] = ACTIONS(2829),
    [aux_sym_preproc_include_token1] = ACTIONS(2829),
    [aux_sym_preproc_def_token1] = ACTIONS(2829),
    [aux_sym_preproc_if_token1] = ACTIONS(2829),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2829),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2829),
    [sym_preproc_directive] = ACTIONS(2829),
    [anon_sym_LPAREN2] = ACTIONS(2831),
    [anon_sym_BANG] = ACTIONS(2831),
    [anon_sym_TILDE] = ACTIONS(2831),
    [anon_sym_DASH] = ACTIONS(2829),
    [anon_sym_PLUS] = ACTIONS(2829),
    [anon_sym_STAR] = ACTIONS(2831),
    [anon_sym_AMP_AMP] = ACTIONS(2831),
    [anon_sym_AMP] = ACTIONS(2829),
    [anon_sym___extension__] = ACTIONS(2829),
    [anon_sym_typedef] = ACTIONS(2829),
    [anon_sym_in] = ACTIONS(2829),
    [anon_sym_out] = ACTIONS(2829),
    [anon_sym_inout] = ACTIONS(2829),
    [anon_sym_extern] = ACTIONS(2829),
    [anon_sym___attribute__] = ACTIONS(2829),
    [anon_sym_COLON_COLON] = ACTIONS(2831),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2831),
    [anon_sym___declspec] = ACTIONS(2829),
    [anon_sym___based] = ACTIONS(2829),
    [anon_sym___cdecl] = ACTIONS(2829),
    [anon_sym___clrcall] = ACTIONS(2829),
    [anon_sym___stdcall] = ACTIONS(2829),
    [anon_sym___fastcall] = ACTIONS(2829),
    [anon_sym___thiscall] = ACTIONS(2829),
    [anon_sym___vectorcall] = ACTIONS(2829),
    [anon_sym_LBRACE] = ACTIONS(2831),
    [anon_sym_signed] = ACTIONS(2829),
    [anon_sym_unsigned] = ACTIONS(2829),
    [anon_sym_long] = ACTIONS(2829),
    [anon_sym_short] = ACTIONS(2829),
    [anon_sym_LBRACK] = ACTIONS(2829),
    [anon_sym_static] = ACTIONS(2829),
    [anon_sym_register] = ACTIONS(2829),
    [anon_sym_inline] = ACTIONS(2829),
    [anon_sym___inline] = ACTIONS(2829),
    [anon_sym___inline__] = ACTIONS(2829),
    [anon_sym___forceinline] = ACTIONS(2829),
    [anon_sym_thread_local] = ACTIONS(2829),
    [anon_sym___thread] = ACTIONS(2829),
    [anon_sym_const] = ACTIONS(2829),
    [anon_sym_constexpr] = ACTIONS(2829),
    [anon_sym_volatile] = ACTIONS(2829),
    [anon_sym_restrict] = ACTIONS(2829),
    [anon_sym___restrict__] = ACTIONS(2829),
    [anon_sym__Atomic] = ACTIONS(2829),
    [anon_sym__Noreturn] = ACTIONS(2829),
    [anon_sym_noreturn] = ACTIONS(2829),
    [anon_sym_mutable] = ACTIONS(2829),
    [anon_sym_constinit] = ACTIONS(2829),
    [anon_sym_consteval] = ACTIONS(2829),
    [sym_primitive_type] = ACTIONS(2829),
    [anon_sym_enum] = ACTIONS(2829),
    [anon_sym_class] = ACTIONS(2829),
    [anon_sym_struct] = ACTIONS(2829),
    [anon_sym_union] = ACTIONS(2829),
    [anon_sym_if] = ACTIONS(2829),
    [anon_sym_switch] = ACTIONS(2829),
    [anon_sym_case] = ACTIONS(2829),
    [anon_sym_default] = ACTIONS(2829),
    [anon_sym_while] = ACTIONS(2829),
    [anon_sym_do] = ACTIONS(2829),
    [anon_sym_for] = ACTIONS(2829),
    [anon_sym_return] = ACTIONS(2829),
    [anon_sym_break] = ACTIONS(2829),
    [anon_sym_continue] = ACTIONS(2829),
    [anon_sym_goto] = ACTIONS(2829),
    [anon_sym_not] = ACTIONS(2829),
    [anon_sym_compl] = ACTIONS(2829),
    [anon_sym_DASH_DASH] = ACTIONS(2831),
    [anon_sym_PLUS_PLUS] = ACTIONS(2831),
    [anon_sym_sizeof] = ACTIONS(2829),
    [anon_sym___alignof__] = ACTIONS(2829),
    [anon_sym___alignof] = ACTIONS(2829),
    [anon_sym__alignof] = ACTIONS(2829),
    [anon_sym_alignof] = ACTIONS(2829),
    [anon_sym__Alignof] = ACTIONS(2829),
    [anon_sym_offsetof] = ACTIONS(2829),
    [anon_sym__Generic] = ACTIONS(2829),
    [anon_sym_asm] = ACTIONS(2829),
    [anon_sym___asm__] = ACTIONS(2829),
    [sym_number_literal] = ACTIONS(2831),
    [anon_sym_L_SQUOTE] = ACTIONS(2831),
    [anon_sym_u_SQUOTE] = ACTIONS(2831),
    [anon_sym_U_SQUOTE] = ACTIONS(2831),
    [anon_sym_u8_SQUOTE] = ACTIONS(2831),
    [anon_sym_SQUOTE] = ACTIONS(2831),
    [anon_sym_L_DQUOTE] = ACTIONS(2831),
    [anon_sym_u_DQUOTE] = ACTIONS(2831),
    [anon_sym_U_DQUOTE] = ACTIONS(2831),
    [anon_sym_u8_DQUOTE] = ACTIONS(2831),
    [anon_sym_DQUOTE] = ACTIONS(2831),
    [sym_true] = ACTIONS(2829),
    [sym_false] = ACTIONS(2829),
    [anon_sym_NULL] = ACTIONS(2829),
    [anon_sym_nullptr] = ACTIONS(2829),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2829),
    [anon_sym_decltype] = ACTIONS(2829),
    [anon_sym_virtual] = ACTIONS(2829),
    [anon_sym_alignas] = ACTIONS(2829),
    [anon_sym_explicit] = ACTIONS(2829),
    [anon_sym_typename] = ACTIONS(2829),
    [anon_sym_template] = ACTIONS(2829),
    [anon_sym_operator] = ACTIONS(2829),
    [anon_sym_try] = ACTIONS(2829),
    [anon_sym_delete] = ACTIONS(2829),
    [anon_sym_throw] = ACTIONS(2829),
    [anon_sym_namespace] = ACTIONS(2829),
    [anon_sym_using] = ACTIONS(2829),
    [anon_sym_static_assert] = ACTIONS(2829),
    [anon_sym_concept] = ACTIONS(2829),
    [anon_sym_co_return] = ACTIONS(2829),
    [anon_sym_co_yield] = ACTIONS(2829),
    [anon_sym_R_DQUOTE] = ACTIONS(2831),
    [anon_sym_LR_DQUOTE] = ACTIONS(2831),
    [anon_sym_uR_DQUOTE] = ACTIONS(2831),
    [anon_sym_UR_DQUOTE] = ACTIONS(2831),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2831),
    [anon_sym_co_await] = ACTIONS(2829),
    [anon_sym_new] = ACTIONS(2829),
    [anon_sym_requires] = ACTIONS(2829),
    [sym_this] = ACTIONS(2829),
    [anon_sym_precise] = ACTIONS(2829),
    [anon_sym_shared] = ACTIONS(2829),
    [anon_sym_groupshared] = ACTIONS(2829),
    [anon_sym_uniform] = ACTIONS(2829),
    [anon_sym_row_major] = ACTIONS(2829),
    [anon_sym_column_major] = ACTIONS(2829),
    [anon_sym_globallycoherent] = ACTIONS(2829),
    [anon_sym_centroid] = ACTIONS(2829),
    [anon_sym_noperspective] = ACTIONS(2829),
    [anon_sym_nointerpolation] = ACTIONS(2829),
    [anon_sym_sample] = ACTIONS(2829),
    [anon_sym_linear] = ACTIONS(2829),
    [anon_sym_snorm] = ACTIONS(2829),
    [anon_sym_unorm] = ACTIONS(2829),
    [anon_sym_point] = ACTIONS(2829),
    [anon_sym_line] = ACTIONS(2829),
    [anon_sym_triangleadj] = ACTIONS(2829),
    [anon_sym_lineadj] = ACTIONS(2829),
    [anon_sym_triangle] = ACTIONS(2829),
  },
  [1274] = {
    [ts_builtin_sym_end] = ACTIONS(2855),
    [sym_identifier] = ACTIONS(2853),
    [aux_sym_preproc_include_token1] = ACTIONS(2853),
    [aux_sym_preproc_def_token1] = ACTIONS(2853),
    [aux_sym_preproc_if_token1] = ACTIONS(2853),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2853),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2853),
    [sym_preproc_directive] = ACTIONS(2853),
    [anon_sym_LPAREN2] = ACTIONS(2855),
    [anon_sym_BANG] = ACTIONS(2855),
    [anon_sym_TILDE] = ACTIONS(2855),
    [anon_sym_DASH] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(2853),
    [anon_sym_STAR] = ACTIONS(2855),
    [anon_sym_AMP_AMP] = ACTIONS(2855),
    [anon_sym_AMP] = ACTIONS(2853),
    [anon_sym___extension__] = ACTIONS(2853),
    [anon_sym_typedef] = ACTIONS(2853),
    [anon_sym_in] = ACTIONS(2853),
    [anon_sym_out] = ACTIONS(2853),
    [anon_sym_inout] = ACTIONS(2853),
    [anon_sym_extern] = ACTIONS(2853),
    [anon_sym___attribute__] = ACTIONS(2853),
    [anon_sym_COLON_COLON] = ACTIONS(2855),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2855),
    [anon_sym___declspec] = ACTIONS(2853),
    [anon_sym___based] = ACTIONS(2853),
    [anon_sym___cdecl] = ACTIONS(2853),
    [anon_sym___clrcall] = ACTIONS(2853),
    [anon_sym___stdcall] = ACTIONS(2853),
    [anon_sym___fastcall] = ACTIONS(2853),
    [anon_sym___thiscall] = ACTIONS(2853),
    [anon_sym___vectorcall] = ACTIONS(2853),
    [anon_sym_LBRACE] = ACTIONS(2855),
    [anon_sym_signed] = ACTIONS(2853),
    [anon_sym_unsigned] = ACTIONS(2853),
    [anon_sym_long] = ACTIONS(2853),
    [anon_sym_short] = ACTIONS(2853),
    [anon_sym_LBRACK] = ACTIONS(2853),
    [anon_sym_static] = ACTIONS(2853),
    [anon_sym_register] = ACTIONS(2853),
    [anon_sym_inline] = ACTIONS(2853),
    [anon_sym___inline] = ACTIONS(2853),
    [anon_sym___inline__] = ACTIONS(2853),
    [anon_sym___forceinline] = ACTIONS(2853),
    [anon_sym_thread_local] = ACTIONS(2853),
    [anon_sym___thread] = ACTIONS(2853),
    [anon_sym_const] = ACTIONS(2853),
    [anon_sym_constexpr] = ACTIONS(2853),
    [anon_sym_volatile] = ACTIONS(2853),
    [anon_sym_restrict] = ACTIONS(2853),
    [anon_sym___restrict__] = ACTIONS(2853),
    [anon_sym__Atomic] = ACTIONS(2853),
    [anon_sym__Noreturn] = ACTIONS(2853),
    [anon_sym_noreturn] = ACTIONS(2853),
    [anon_sym_mutable] = ACTIONS(2853),
    [anon_sym_constinit] = ACTIONS(2853),
    [anon_sym_consteval] = ACTIONS(2853),
    [sym_primitive_type] = ACTIONS(2853),
    [anon_sym_enum] = ACTIONS(2853),
    [anon_sym_class] = ACTIONS(2853),
    [anon_sym_struct] = ACTIONS(2853),
    [anon_sym_union] = ACTIONS(2853),
    [anon_sym_if] = ACTIONS(2853),
    [anon_sym_switch] = ACTIONS(2853),
    [anon_sym_case] = ACTIONS(2853),
    [anon_sym_default] = ACTIONS(2853),
    [anon_sym_while] = ACTIONS(2853),
    [anon_sym_do] = ACTIONS(2853),
    [anon_sym_for] = ACTIONS(2853),
    [anon_sym_return] = ACTIONS(2853),
    [anon_sym_break] = ACTIONS(2853),
    [anon_sym_continue] = ACTIONS(2853),
    [anon_sym_goto] = ACTIONS(2853),
    [anon_sym_not] = ACTIONS(2853),
    [anon_sym_compl] = ACTIONS(2853),
    [anon_sym_DASH_DASH] = ACTIONS(2855),
    [anon_sym_PLUS_PLUS] = ACTIONS(2855),
    [anon_sym_sizeof] = ACTIONS(2853),
    [anon_sym___alignof__] = ACTIONS(2853),
    [anon_sym___alignof] = ACTIONS(2853),
    [anon_sym__alignof] = ACTIONS(2853),
    [anon_sym_alignof] = ACTIONS(2853),
    [anon_sym__Alignof] = ACTIONS(2853),
    [anon_sym_offsetof] = ACTIONS(2853),
    [anon_sym__Generic] = ACTIONS(2853),
    [anon_sym_asm] = ACTIONS(2853),
    [anon_sym___asm__] = ACTIONS(2853),
    [sym_number_literal] = ACTIONS(2855),
    [anon_sym_L_SQUOTE] = ACTIONS(2855),
    [anon_sym_u_SQUOTE] = ACTIONS(2855),
    [anon_sym_U_SQUOTE] = ACTIONS(2855),
    [anon_sym_u8_SQUOTE] = ACTIONS(2855),
    [anon_sym_SQUOTE] = ACTIONS(2855),
    [anon_sym_L_DQUOTE] = ACTIONS(2855),
    [anon_sym_u_DQUOTE] = ACTIONS(2855),
    [anon_sym_U_DQUOTE] = ACTIONS(2855),
    [anon_sym_u8_DQUOTE] = ACTIONS(2855),
    [anon_sym_DQUOTE] = ACTIONS(2855),
    [sym_true] = ACTIONS(2853),
    [sym_false] = ACTIONS(2853),
    [anon_sym_NULL] = ACTIONS(2853),
    [anon_sym_nullptr] = ACTIONS(2853),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2853),
    [anon_sym_decltype] = ACTIONS(2853),
    [anon_sym_virtual] = ACTIONS(2853),
    [anon_sym_alignas] = ACTIONS(2853),
    [anon_sym_explicit] = ACTIONS(2853),
    [anon_sym_typename] = ACTIONS(2853),
    [anon_sym_template] = ACTIONS(2853),
    [anon_sym_operator] = ACTIONS(2853),
    [anon_sym_try] = ACTIONS(2853),
    [anon_sym_delete] = ACTIONS(2853),
    [anon_sym_throw] = ACTIONS(2853),
    [anon_sym_namespace] = ACTIONS(2853),
    [anon_sym_using] = ACTIONS(2853),
    [anon_sym_static_assert] = ACTIONS(2853),
    [anon_sym_concept] = ACTIONS(2853),
    [anon_sym_co_return] = ACTIONS(2853),
    [anon_sym_co_yield] = ACTIONS(2853),
    [anon_sym_R_DQUOTE] = ACTIONS(2855),
    [anon_sym_LR_DQUOTE] = ACTIONS(2855),
    [anon_sym_uR_DQUOTE] = ACTIONS(2855),
    [anon_sym_UR_DQUOTE] = ACTIONS(2855),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2855),
    [anon_sym_co_await] = ACTIONS(2853),
    [anon_sym_new] = ACTIONS(2853),
    [anon_sym_requires] = ACTIONS(2853),
    [sym_this] = ACTIONS(2853),
    [anon_sym_precise] = ACTIONS(2853),
    [anon_sym_shared] = ACTIONS(2853),
    [anon_sym_groupshared] = ACTIONS(2853),
    [anon_sym_uniform] = ACTIONS(2853),
    [anon_sym_row_major] = ACTIONS(2853),
    [anon_sym_column_major] = ACTIONS(2853),
    [anon_sym_globallycoherent] = ACTIONS(2853),
    [anon_sym_centroid] = ACTIONS(2853),
    [anon_sym_noperspective] = ACTIONS(2853),
    [anon_sym_nointerpolation] = ACTIONS(2853),
    [anon_sym_sample] = ACTIONS(2853),
    [anon_sym_linear] = ACTIONS(2853),
    [anon_sym_snorm] = ACTIONS(2853),
    [anon_sym_unorm] = ACTIONS(2853),
    [anon_sym_point] = ACTIONS(2853),
    [anon_sym_line] = ACTIONS(2853),
    [anon_sym_triangleadj] = ACTIONS(2853),
    [anon_sym_lineadj] = ACTIONS(2853),
    [anon_sym_triangle] = ACTIONS(2853),
  },
  [1275] = {
    [ts_builtin_sym_end] = ACTIONS(2635),
    [sym_identifier] = ACTIONS(2633),
    [aux_sym_preproc_include_token1] = ACTIONS(2633),
    [aux_sym_preproc_def_token1] = ACTIONS(2633),
    [aux_sym_preproc_if_token1] = ACTIONS(2633),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2633),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2633),
    [sym_preproc_directive] = ACTIONS(2633),
    [anon_sym_LPAREN2] = ACTIONS(2635),
    [anon_sym_BANG] = ACTIONS(2635),
    [anon_sym_TILDE] = ACTIONS(2635),
    [anon_sym_DASH] = ACTIONS(2633),
    [anon_sym_PLUS] = ACTIONS(2633),
    [anon_sym_STAR] = ACTIONS(2635),
    [anon_sym_AMP_AMP] = ACTIONS(2635),
    [anon_sym_AMP] = ACTIONS(2633),
    [anon_sym___extension__] = ACTIONS(2633),
    [anon_sym_typedef] = ACTIONS(2633),
    [anon_sym_in] = ACTIONS(2633),
    [anon_sym_out] = ACTIONS(2633),
    [anon_sym_inout] = ACTIONS(2633),
    [anon_sym_extern] = ACTIONS(2633),
    [anon_sym___attribute__] = ACTIONS(2633),
    [anon_sym_COLON_COLON] = ACTIONS(2635),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2635),
    [anon_sym___declspec] = ACTIONS(2633),
    [anon_sym___based] = ACTIONS(2633),
    [anon_sym___cdecl] = ACTIONS(2633),
    [anon_sym___clrcall] = ACTIONS(2633),
    [anon_sym___stdcall] = ACTIONS(2633),
    [anon_sym___fastcall] = ACTIONS(2633),
    [anon_sym___thiscall] = ACTIONS(2633),
    [anon_sym___vectorcall] = ACTIONS(2633),
    [anon_sym_LBRACE] = ACTIONS(2635),
    [anon_sym_signed] = ACTIONS(2633),
    [anon_sym_unsigned] = ACTIONS(2633),
    [anon_sym_long] = ACTIONS(2633),
    [anon_sym_short] = ACTIONS(2633),
    [anon_sym_LBRACK] = ACTIONS(2633),
    [anon_sym_static] = ACTIONS(2633),
    [anon_sym_register] = ACTIONS(2633),
    [anon_sym_inline] = ACTIONS(2633),
    [anon_sym___inline] = ACTIONS(2633),
    [anon_sym___inline__] = ACTIONS(2633),
    [anon_sym___forceinline] = ACTIONS(2633),
    [anon_sym_thread_local] = ACTIONS(2633),
    [anon_sym___thread] = ACTIONS(2633),
    [anon_sym_const] = ACTIONS(2633),
    [anon_sym_constexpr] = ACTIONS(2633),
    [anon_sym_volatile] = ACTIONS(2633),
    [anon_sym_restrict] = ACTIONS(2633),
    [anon_sym___restrict__] = ACTIONS(2633),
    [anon_sym__Atomic] = ACTIONS(2633),
    [anon_sym__Noreturn] = ACTIONS(2633),
    [anon_sym_noreturn] = ACTIONS(2633),
    [anon_sym_mutable] = ACTIONS(2633),
    [anon_sym_constinit] = ACTIONS(2633),
    [anon_sym_consteval] = ACTIONS(2633),
    [sym_primitive_type] = ACTIONS(2633),
    [anon_sym_enum] = ACTIONS(2633),
    [anon_sym_class] = ACTIONS(2633),
    [anon_sym_struct] = ACTIONS(2633),
    [anon_sym_union] = ACTIONS(2633),
    [anon_sym_if] = ACTIONS(2633),
    [anon_sym_switch] = ACTIONS(2633),
    [anon_sym_case] = ACTIONS(2633),
    [anon_sym_default] = ACTIONS(2633),
    [anon_sym_while] = ACTIONS(2633),
    [anon_sym_do] = ACTIONS(2633),
    [anon_sym_for] = ACTIONS(2633),
    [anon_sym_return] = ACTIONS(2633),
    [anon_sym_break] = ACTIONS(2633),
    [anon_sym_continue] = ACTIONS(2633),
    [anon_sym_goto] = ACTIONS(2633),
    [anon_sym_not] = ACTIONS(2633),
    [anon_sym_compl] = ACTIONS(2633),
    [anon_sym_DASH_DASH] = ACTIONS(2635),
    [anon_sym_PLUS_PLUS] = ACTIONS(2635),
    [anon_sym_sizeof] = ACTIONS(2633),
    [anon_sym___alignof__] = ACTIONS(2633),
    [anon_sym___alignof] = ACTIONS(2633),
    [anon_sym__alignof] = ACTIONS(2633),
    [anon_sym_alignof] = ACTIONS(2633),
    [anon_sym__Alignof] = ACTIONS(2633),
    [anon_sym_offsetof] = ACTIONS(2633),
    [anon_sym__Generic] = ACTIONS(2633),
    [anon_sym_asm] = ACTIONS(2633),
    [anon_sym___asm__] = ACTIONS(2633),
    [sym_number_literal] = ACTIONS(2635),
    [anon_sym_L_SQUOTE] = ACTIONS(2635),
    [anon_sym_u_SQUOTE] = ACTIONS(2635),
    [anon_sym_U_SQUOTE] = ACTIONS(2635),
    [anon_sym_u8_SQUOTE] = ACTIONS(2635),
    [anon_sym_SQUOTE] = ACTIONS(2635),
    [anon_sym_L_DQUOTE] = ACTIONS(2635),
    [anon_sym_u_DQUOTE] = ACTIONS(2635),
    [anon_sym_U_DQUOTE] = ACTIONS(2635),
    [anon_sym_u8_DQUOTE] = ACTIONS(2635),
    [anon_sym_DQUOTE] = ACTIONS(2635),
    [sym_true] = ACTIONS(2633),
    [sym_false] = ACTIONS(2633),
    [anon_sym_NULL] = ACTIONS(2633),
    [anon_sym_nullptr] = ACTIONS(2633),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2633),
    [anon_sym_decltype] = ACTIONS(2633),
    [anon_sym_virtual] = ACTIONS(2633),
    [anon_sym_alignas] = ACTIONS(2633),
    [anon_sym_explicit] = ACTIONS(2633),
    [anon_sym_typename] = ACTIONS(2633),
    [anon_sym_template] = ACTIONS(2633),
    [anon_sym_operator] = ACTIONS(2633),
    [anon_sym_try] = ACTIONS(2633),
    [anon_sym_delete] = ACTIONS(2633),
    [anon_sym_throw] = ACTIONS(2633),
    [anon_sym_namespace] = ACTIONS(2633),
    [anon_sym_using] = ACTIONS(2633),
    [anon_sym_static_assert] = ACTIONS(2633),
    [anon_sym_concept] = ACTIONS(2633),
    [anon_sym_co_return] = ACTIONS(2633),
    [anon_sym_co_yield] = ACTIONS(2633),
    [anon_sym_R_DQUOTE] = ACTIONS(2635),
    [anon_sym_LR_DQUOTE] = ACTIONS(2635),
    [anon_sym_uR_DQUOTE] = ACTIONS(2635),
    [anon_sym_UR_DQUOTE] = ACTIONS(2635),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2635),
    [anon_sym_co_await] = ACTIONS(2633),
    [anon_sym_new] = ACTIONS(2633),
    [anon_sym_requires] = ACTIONS(2633),
    [sym_this] = ACTIONS(2633),
    [anon_sym_precise] = ACTIONS(2633),
    [anon_sym_shared] = ACTIONS(2633),
    [anon_sym_groupshared] = ACTIONS(2633),
    [anon_sym_uniform] = ACTIONS(2633),
    [anon_sym_row_major] = ACTIONS(2633),
    [anon_sym_column_major] = ACTIONS(2633),
    [anon_sym_globallycoherent] = ACTIONS(2633),
    [anon_sym_centroid] = ACTIONS(2633),
    [anon_sym_noperspective] = ACTIONS(2633),
    [anon_sym_nointerpolation] = ACTIONS(2633),
    [anon_sym_sample] = ACTIONS(2633),
    [anon_sym_linear] = ACTIONS(2633),
    [anon_sym_snorm] = ACTIONS(2633),
    [anon_sym_unorm] = ACTIONS(2633),
    [anon_sym_point] = ACTIONS(2633),
    [anon_sym_line] = ACTIONS(2633),
    [anon_sym_triangleadj] = ACTIONS(2633),
    [anon_sym_lineadj] = ACTIONS(2633),
    [anon_sym_triangle] = ACTIONS(2633),
  },
  [1276] = {
    [ts_builtin_sym_end] = ACTIONS(2671),
    [sym_identifier] = ACTIONS(2669),
    [aux_sym_preproc_include_token1] = ACTIONS(2669),
    [aux_sym_preproc_def_token1] = ACTIONS(2669),
    [aux_sym_preproc_if_token1] = ACTIONS(2669),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2669),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2669),
    [sym_preproc_directive] = ACTIONS(2669),
    [anon_sym_LPAREN2] = ACTIONS(2671),
    [anon_sym_BANG] = ACTIONS(2671),
    [anon_sym_TILDE] = ACTIONS(2671),
    [anon_sym_DASH] = ACTIONS(2669),
    [anon_sym_PLUS] = ACTIONS(2669),
    [anon_sym_STAR] = ACTIONS(2671),
    [anon_sym_AMP_AMP] = ACTIONS(2671),
    [anon_sym_AMP] = ACTIONS(2669),
    [anon_sym___extension__] = ACTIONS(2669),
    [anon_sym_typedef] = ACTIONS(2669),
    [anon_sym_in] = ACTIONS(2669),
    [anon_sym_out] = ACTIONS(2669),
    [anon_sym_inout] = ACTIONS(2669),
    [anon_sym_extern] = ACTIONS(2669),
    [anon_sym___attribute__] = ACTIONS(2669),
    [anon_sym_COLON_COLON] = ACTIONS(2671),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2671),
    [anon_sym___declspec] = ACTIONS(2669),
    [anon_sym___based] = ACTIONS(2669),
    [anon_sym___cdecl] = ACTIONS(2669),
    [anon_sym___clrcall] = ACTIONS(2669),
    [anon_sym___stdcall] = ACTIONS(2669),
    [anon_sym___fastcall] = ACTIONS(2669),
    [anon_sym___thiscall] = ACTIONS(2669),
    [anon_sym___vectorcall] = ACTIONS(2669),
    [anon_sym_LBRACE] = ACTIONS(2671),
    [anon_sym_signed] = ACTIONS(2669),
    [anon_sym_unsigned] = ACTIONS(2669),
    [anon_sym_long] = ACTIONS(2669),
    [anon_sym_short] = ACTIONS(2669),
    [anon_sym_LBRACK] = ACTIONS(2669),
    [anon_sym_static] = ACTIONS(2669),
    [anon_sym_register] = ACTIONS(2669),
    [anon_sym_inline] = ACTIONS(2669),
    [anon_sym___inline] = ACTIONS(2669),
    [anon_sym___inline__] = ACTIONS(2669),
    [anon_sym___forceinline] = ACTIONS(2669),
    [anon_sym_thread_local] = ACTIONS(2669),
    [anon_sym___thread] = ACTIONS(2669),
    [anon_sym_const] = ACTIONS(2669),
    [anon_sym_constexpr] = ACTIONS(2669),
    [anon_sym_volatile] = ACTIONS(2669),
    [anon_sym_restrict] = ACTIONS(2669),
    [anon_sym___restrict__] = ACTIONS(2669),
    [anon_sym__Atomic] = ACTIONS(2669),
    [anon_sym__Noreturn] = ACTIONS(2669),
    [anon_sym_noreturn] = ACTIONS(2669),
    [anon_sym_mutable] = ACTIONS(2669),
    [anon_sym_constinit] = ACTIONS(2669),
    [anon_sym_consteval] = ACTIONS(2669),
    [sym_primitive_type] = ACTIONS(2669),
    [anon_sym_enum] = ACTIONS(2669),
    [anon_sym_class] = ACTIONS(2669),
    [anon_sym_struct] = ACTIONS(2669),
    [anon_sym_union] = ACTIONS(2669),
    [anon_sym_if] = ACTIONS(2669),
    [anon_sym_switch] = ACTIONS(2669),
    [anon_sym_case] = ACTIONS(2669),
    [anon_sym_default] = ACTIONS(2669),
    [anon_sym_while] = ACTIONS(2669),
    [anon_sym_do] = ACTIONS(2669),
    [anon_sym_for] = ACTIONS(2669),
    [anon_sym_return] = ACTIONS(2669),
    [anon_sym_break] = ACTIONS(2669),
    [anon_sym_continue] = ACTIONS(2669),
    [anon_sym_goto] = ACTIONS(2669),
    [anon_sym_not] = ACTIONS(2669),
    [anon_sym_compl] = ACTIONS(2669),
    [anon_sym_DASH_DASH] = ACTIONS(2671),
    [anon_sym_PLUS_PLUS] = ACTIONS(2671),
    [anon_sym_sizeof] = ACTIONS(2669),
    [anon_sym___alignof__] = ACTIONS(2669),
    [anon_sym___alignof] = ACTIONS(2669),
    [anon_sym__alignof] = ACTIONS(2669),
    [anon_sym_alignof] = ACTIONS(2669),
    [anon_sym__Alignof] = ACTIONS(2669),
    [anon_sym_offsetof] = ACTIONS(2669),
    [anon_sym__Generic] = ACTIONS(2669),
    [anon_sym_asm] = ACTIONS(2669),
    [anon_sym___asm__] = ACTIONS(2669),
    [sym_number_literal] = ACTIONS(2671),
    [anon_sym_L_SQUOTE] = ACTIONS(2671),
    [anon_sym_u_SQUOTE] = ACTIONS(2671),
    [anon_sym_U_SQUOTE] = ACTIONS(2671),
    [anon_sym_u8_SQUOTE] = ACTIONS(2671),
    [anon_sym_SQUOTE] = ACTIONS(2671),
    [anon_sym_L_DQUOTE] = ACTIONS(2671),
    [anon_sym_u_DQUOTE] = ACTIONS(2671),
    [anon_sym_U_DQUOTE] = ACTIONS(2671),
    [anon_sym_u8_DQUOTE] = ACTIONS(2671),
    [anon_sym_DQUOTE] = ACTIONS(2671),
    [sym_true] = ACTIONS(2669),
    [sym_false] = ACTIONS(2669),
    [anon_sym_NULL] = ACTIONS(2669),
    [anon_sym_nullptr] = ACTIONS(2669),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2669),
    [anon_sym_decltype] = ACTIONS(2669),
    [anon_sym_virtual] = ACTIONS(2669),
    [anon_sym_alignas] = ACTIONS(2669),
    [anon_sym_explicit] = ACTIONS(2669),
    [anon_sym_typename] = ACTIONS(2669),
    [anon_sym_template] = ACTIONS(2669),
    [anon_sym_operator] = ACTIONS(2669),
    [anon_sym_try] = ACTIONS(2669),
    [anon_sym_delete] = ACTIONS(2669),
    [anon_sym_throw] = ACTIONS(2669),
    [anon_sym_namespace] = ACTIONS(2669),
    [anon_sym_using] = ACTIONS(2669),
    [anon_sym_static_assert] = ACTIONS(2669),
    [anon_sym_concept] = ACTIONS(2669),
    [anon_sym_co_return] = ACTIONS(2669),
    [anon_sym_co_yield] = ACTIONS(2669),
    [anon_sym_R_DQUOTE] = ACTIONS(2671),
    [anon_sym_LR_DQUOTE] = ACTIONS(2671),
    [anon_sym_uR_DQUOTE] = ACTIONS(2671),
    [anon_sym_UR_DQUOTE] = ACTIONS(2671),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2671),
    [anon_sym_co_await] = ACTIONS(2669),
    [anon_sym_new] = ACTIONS(2669),
    [anon_sym_requires] = ACTIONS(2669),
    [sym_this] = ACTIONS(2669),
    [anon_sym_precise] = ACTIONS(2669),
    [anon_sym_shared] = ACTIONS(2669),
    [anon_sym_groupshared] = ACTIONS(2669),
    [anon_sym_uniform] = ACTIONS(2669),
    [anon_sym_row_major] = ACTIONS(2669),
    [anon_sym_column_major] = ACTIONS(2669),
    [anon_sym_globallycoherent] = ACTIONS(2669),
    [anon_sym_centroid] = ACTIONS(2669),
    [anon_sym_noperspective] = ACTIONS(2669),
    [anon_sym_nointerpolation] = ACTIONS(2669),
    [anon_sym_sample] = ACTIONS(2669),
    [anon_sym_linear] = ACTIONS(2669),
    [anon_sym_snorm] = ACTIONS(2669),
    [anon_sym_unorm] = ACTIONS(2669),
    [anon_sym_point] = ACTIONS(2669),
    [anon_sym_line] = ACTIONS(2669),
    [anon_sym_triangleadj] = ACTIONS(2669),
    [anon_sym_lineadj] = ACTIONS(2669),
    [anon_sym_triangle] = ACTIONS(2669),
  },
  [1277] = {
    [ts_builtin_sym_end] = ACTIONS(2847),
    [sym_identifier] = ACTIONS(2845),
    [aux_sym_preproc_include_token1] = ACTIONS(2845),
    [aux_sym_preproc_def_token1] = ACTIONS(2845),
    [aux_sym_preproc_if_token1] = ACTIONS(2845),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2845),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2845),
    [sym_preproc_directive] = ACTIONS(2845),
    [anon_sym_LPAREN2] = ACTIONS(2847),
    [anon_sym_BANG] = ACTIONS(2847),
    [anon_sym_TILDE] = ACTIONS(2847),
    [anon_sym_DASH] = ACTIONS(2845),
    [anon_sym_PLUS] = ACTIONS(2845),
    [anon_sym_STAR] = ACTIONS(2847),
    [anon_sym_AMP_AMP] = ACTIONS(2847),
    [anon_sym_AMP] = ACTIONS(2845),
    [anon_sym___extension__] = ACTIONS(2845),
    [anon_sym_typedef] = ACTIONS(2845),
    [anon_sym_in] = ACTIONS(2845),
    [anon_sym_out] = ACTIONS(2845),
    [anon_sym_inout] = ACTIONS(2845),
    [anon_sym_extern] = ACTIONS(2845),
    [anon_sym___attribute__] = ACTIONS(2845),
    [anon_sym_COLON_COLON] = ACTIONS(2847),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2847),
    [anon_sym___declspec] = ACTIONS(2845),
    [anon_sym___based] = ACTIONS(2845),
    [anon_sym___cdecl] = ACTIONS(2845),
    [anon_sym___clrcall] = ACTIONS(2845),
    [anon_sym___stdcall] = ACTIONS(2845),
    [anon_sym___fastcall] = ACTIONS(2845),
    [anon_sym___thiscall] = ACTIONS(2845),
    [anon_sym___vectorcall] = ACTIONS(2845),
    [anon_sym_LBRACE] = ACTIONS(2847),
    [anon_sym_signed] = ACTIONS(2845),
    [anon_sym_unsigned] = ACTIONS(2845),
    [anon_sym_long] = ACTIONS(2845),
    [anon_sym_short] = ACTIONS(2845),
    [anon_sym_LBRACK] = ACTIONS(2845),
    [anon_sym_static] = ACTIONS(2845),
    [anon_sym_register] = ACTIONS(2845),
    [anon_sym_inline] = ACTIONS(2845),
    [anon_sym___inline] = ACTIONS(2845),
    [anon_sym___inline__] = ACTIONS(2845),
    [anon_sym___forceinline] = ACTIONS(2845),
    [anon_sym_thread_local] = ACTIONS(2845),
    [anon_sym___thread] = ACTIONS(2845),
    [anon_sym_const] = ACTIONS(2845),
    [anon_sym_constexpr] = ACTIONS(2845),
    [anon_sym_volatile] = ACTIONS(2845),
    [anon_sym_restrict] = ACTIONS(2845),
    [anon_sym___restrict__] = ACTIONS(2845),
    [anon_sym__Atomic] = ACTIONS(2845),
    [anon_sym__Noreturn] = ACTIONS(2845),
    [anon_sym_noreturn] = ACTIONS(2845),
    [anon_sym_mutable] = ACTIONS(2845),
    [anon_sym_constinit] = ACTIONS(2845),
    [anon_sym_consteval] = ACTIONS(2845),
    [sym_primitive_type] = ACTIONS(2845),
    [anon_sym_enum] = ACTIONS(2845),
    [anon_sym_class] = ACTIONS(2845),
    [anon_sym_struct] = ACTIONS(2845),
    [anon_sym_union] = ACTIONS(2845),
    [anon_sym_if] = ACTIONS(2845),
    [anon_sym_switch] = ACTIONS(2845),
    [anon_sym_case] = ACTIONS(2845),
    [anon_sym_default] = ACTIONS(2845),
    [anon_sym_while] = ACTIONS(2845),
    [anon_sym_do] = ACTIONS(2845),
    [anon_sym_for] = ACTIONS(2845),
    [anon_sym_return] = ACTIONS(2845),
    [anon_sym_break] = ACTIONS(2845),
    [anon_sym_continue] = ACTIONS(2845),
    [anon_sym_goto] = ACTIONS(2845),
    [anon_sym_not] = ACTIONS(2845),
    [anon_sym_compl] = ACTIONS(2845),
    [anon_sym_DASH_DASH] = ACTIONS(2847),
    [anon_sym_PLUS_PLUS] = ACTIONS(2847),
    [anon_sym_sizeof] = ACTIONS(2845),
    [anon_sym___alignof__] = ACTIONS(2845),
    [anon_sym___alignof] = ACTIONS(2845),
    [anon_sym__alignof] = ACTIONS(2845),
    [anon_sym_alignof] = ACTIONS(2845),
    [anon_sym__Alignof] = ACTIONS(2845),
    [anon_sym_offsetof] = ACTIONS(2845),
    [anon_sym__Generic] = ACTIONS(2845),
    [anon_sym_asm] = ACTIONS(2845),
    [anon_sym___asm__] = ACTIONS(2845),
    [sym_number_literal] = ACTIONS(2847),
    [anon_sym_L_SQUOTE] = ACTIONS(2847),
    [anon_sym_u_SQUOTE] = ACTIONS(2847),
    [anon_sym_U_SQUOTE] = ACTIONS(2847),
    [anon_sym_u8_SQUOTE] = ACTIONS(2847),
    [anon_sym_SQUOTE] = ACTIONS(2847),
    [anon_sym_L_DQUOTE] = ACTIONS(2847),
    [anon_sym_u_DQUOTE] = ACTIONS(2847),
    [anon_sym_U_DQUOTE] = ACTIONS(2847),
    [anon_sym_u8_DQUOTE] = ACTIONS(2847),
    [anon_sym_DQUOTE] = ACTIONS(2847),
    [sym_true] = ACTIONS(2845),
    [sym_false] = ACTIONS(2845),
    [anon_sym_NULL] = ACTIONS(2845),
    [anon_sym_nullptr] = ACTIONS(2845),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2845),
    [anon_sym_decltype] = ACTIONS(2845),
    [anon_sym_virtual] = ACTIONS(2845),
    [anon_sym_alignas] = ACTIONS(2845),
    [anon_sym_explicit] = ACTIONS(2845),
    [anon_sym_typename] = ACTIONS(2845),
    [anon_sym_template] = ACTIONS(2845),
    [anon_sym_operator] = ACTIONS(2845),
    [anon_sym_try] = ACTIONS(2845),
    [anon_sym_delete] = ACTIONS(2845),
    [anon_sym_throw] = ACTIONS(2845),
    [anon_sym_namespace] = ACTIONS(2845),
    [anon_sym_using] = ACTIONS(2845),
    [anon_sym_static_assert] = ACTIONS(2845),
    [anon_sym_concept] = ACTIONS(2845),
    [anon_sym_co_return] = ACTIONS(2845),
    [anon_sym_co_yield] = ACTIONS(2845),
    [anon_sym_R_DQUOTE] = ACTIONS(2847),
    [anon_sym_LR_DQUOTE] = ACTIONS(2847),
    [anon_sym_uR_DQUOTE] = ACTIONS(2847),
    [anon_sym_UR_DQUOTE] = ACTIONS(2847),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2847),
    [anon_sym_co_await] = ACTIONS(2845),
    [anon_sym_new] = ACTIONS(2845),
    [anon_sym_requires] = ACTIONS(2845),
    [sym_this] = ACTIONS(2845),
    [anon_sym_precise] = ACTIONS(2845),
    [anon_sym_shared] = ACTIONS(2845),
    [anon_sym_groupshared] = ACTIONS(2845),
    [anon_sym_uniform] = ACTIONS(2845),
    [anon_sym_row_major] = ACTIONS(2845),
    [anon_sym_column_major] = ACTIONS(2845),
    [anon_sym_globallycoherent] = ACTIONS(2845),
    [anon_sym_centroid] = ACTIONS(2845),
    [anon_sym_noperspective] = ACTIONS(2845),
    [anon_sym_nointerpolation] = ACTIONS(2845),
    [anon_sym_sample] = ACTIONS(2845),
    [anon_sym_linear] = ACTIONS(2845),
    [anon_sym_snorm] = ACTIONS(2845),
    [anon_sym_unorm] = ACTIONS(2845),
    [anon_sym_point] = ACTIONS(2845),
    [anon_sym_line] = ACTIONS(2845),
    [anon_sym_triangleadj] = ACTIONS(2845),
    [anon_sym_lineadj] = ACTIONS(2845),
    [anon_sym_triangle] = ACTIONS(2845),
  },
  [1278] = {
    [ts_builtin_sym_end] = ACTIONS(2700),
    [sym_identifier] = ACTIONS(2698),
    [aux_sym_preproc_include_token1] = ACTIONS(2698),
    [aux_sym_preproc_def_token1] = ACTIONS(2698),
    [aux_sym_preproc_if_token1] = ACTIONS(2698),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2698),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2698),
    [sym_preproc_directive] = ACTIONS(2698),
    [anon_sym_LPAREN2] = ACTIONS(2700),
    [anon_sym_BANG] = ACTIONS(2700),
    [anon_sym_TILDE] = ACTIONS(2700),
    [anon_sym_DASH] = ACTIONS(2698),
    [anon_sym_PLUS] = ACTIONS(2698),
    [anon_sym_STAR] = ACTIONS(2700),
    [anon_sym_AMP_AMP] = ACTIONS(2700),
    [anon_sym_AMP] = ACTIONS(2698),
    [anon_sym___extension__] = ACTIONS(2698),
    [anon_sym_typedef] = ACTIONS(2698),
    [anon_sym_in] = ACTIONS(2698),
    [anon_sym_out] = ACTIONS(2698),
    [anon_sym_inout] = ACTIONS(2698),
    [anon_sym_extern] = ACTIONS(2698),
    [anon_sym___attribute__] = ACTIONS(2698),
    [anon_sym_COLON_COLON] = ACTIONS(2700),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2700),
    [anon_sym___declspec] = ACTIONS(2698),
    [anon_sym___based] = ACTIONS(2698),
    [anon_sym___cdecl] = ACTIONS(2698),
    [anon_sym___clrcall] = ACTIONS(2698),
    [anon_sym___stdcall] = ACTIONS(2698),
    [anon_sym___fastcall] = ACTIONS(2698),
    [anon_sym___thiscall] = ACTIONS(2698),
    [anon_sym___vectorcall] = ACTIONS(2698),
    [anon_sym_LBRACE] = ACTIONS(2700),
    [anon_sym_signed] = ACTIONS(2698),
    [anon_sym_unsigned] = ACTIONS(2698),
    [anon_sym_long] = ACTIONS(2698),
    [anon_sym_short] = ACTIONS(2698),
    [anon_sym_LBRACK] = ACTIONS(2698),
    [anon_sym_static] = ACTIONS(2698),
    [anon_sym_register] = ACTIONS(2698),
    [anon_sym_inline] = ACTIONS(2698),
    [anon_sym___inline] = ACTIONS(2698),
    [anon_sym___inline__] = ACTIONS(2698),
    [anon_sym___forceinline] = ACTIONS(2698),
    [anon_sym_thread_local] = ACTIONS(2698),
    [anon_sym___thread] = ACTIONS(2698),
    [anon_sym_const] = ACTIONS(2698),
    [anon_sym_constexpr] = ACTIONS(2698),
    [anon_sym_volatile] = ACTIONS(2698),
    [anon_sym_restrict] = ACTIONS(2698),
    [anon_sym___restrict__] = ACTIONS(2698),
    [anon_sym__Atomic] = ACTIONS(2698),
    [anon_sym__Noreturn] = ACTIONS(2698),
    [anon_sym_noreturn] = ACTIONS(2698),
    [anon_sym_mutable] = ACTIONS(2698),
    [anon_sym_constinit] = ACTIONS(2698),
    [anon_sym_consteval] = ACTIONS(2698),
    [sym_primitive_type] = ACTIONS(2698),
    [anon_sym_enum] = ACTIONS(2698),
    [anon_sym_class] = ACTIONS(2698),
    [anon_sym_struct] = ACTIONS(2698),
    [anon_sym_union] = ACTIONS(2698),
    [anon_sym_if] = ACTIONS(2698),
    [anon_sym_switch] = ACTIONS(2698),
    [anon_sym_case] = ACTIONS(2698),
    [anon_sym_default] = ACTIONS(2698),
    [anon_sym_while] = ACTIONS(2698),
    [anon_sym_do] = ACTIONS(2698),
    [anon_sym_for] = ACTIONS(2698),
    [anon_sym_return] = ACTIONS(2698),
    [anon_sym_break] = ACTIONS(2698),
    [anon_sym_continue] = ACTIONS(2698),
    [anon_sym_goto] = ACTIONS(2698),
    [anon_sym_not] = ACTIONS(2698),
    [anon_sym_compl] = ACTIONS(2698),
    [anon_sym_DASH_DASH] = ACTIONS(2700),
    [anon_sym_PLUS_PLUS] = ACTIONS(2700),
    [anon_sym_sizeof] = ACTIONS(2698),
    [anon_sym___alignof__] = ACTIONS(2698),
    [anon_sym___alignof] = ACTIONS(2698),
    [anon_sym__alignof] = ACTIONS(2698),
    [anon_sym_alignof] = ACTIONS(2698),
    [anon_sym__Alignof] = ACTIONS(2698),
    [anon_sym_offsetof] = ACTIONS(2698),
    [anon_sym__Generic] = ACTIONS(2698),
    [anon_sym_asm] = ACTIONS(2698),
    [anon_sym___asm__] = ACTIONS(2698),
    [sym_number_literal] = ACTIONS(2700),
    [anon_sym_L_SQUOTE] = ACTIONS(2700),
    [anon_sym_u_SQUOTE] = ACTIONS(2700),
    [anon_sym_U_SQUOTE] = ACTIONS(2700),
    [anon_sym_u8_SQUOTE] = ACTIONS(2700),
    [anon_sym_SQUOTE] = ACTIONS(2700),
    [anon_sym_L_DQUOTE] = ACTIONS(2700),
    [anon_sym_u_DQUOTE] = ACTIONS(2700),
    [anon_sym_U_DQUOTE] = ACTIONS(2700),
    [anon_sym_u8_DQUOTE] = ACTIONS(2700),
    [anon_sym_DQUOTE] = ACTIONS(2700),
    [sym_true] = ACTIONS(2698),
    [sym_false] = ACTIONS(2698),
    [anon_sym_NULL] = ACTIONS(2698),
    [anon_sym_nullptr] = ACTIONS(2698),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2698),
    [anon_sym_decltype] = ACTIONS(2698),
    [anon_sym_virtual] = ACTIONS(2698),
    [anon_sym_alignas] = ACTIONS(2698),
    [anon_sym_explicit] = ACTIONS(2698),
    [anon_sym_typename] = ACTIONS(2698),
    [anon_sym_template] = ACTIONS(2698),
    [anon_sym_operator] = ACTIONS(2698),
    [anon_sym_try] = ACTIONS(2698),
    [anon_sym_delete] = ACTIONS(2698),
    [anon_sym_throw] = ACTIONS(2698),
    [anon_sym_namespace] = ACTIONS(2698),
    [anon_sym_using] = ACTIONS(2698),
    [anon_sym_static_assert] = ACTIONS(2698),
    [anon_sym_concept] = ACTIONS(2698),
    [anon_sym_co_return] = ACTIONS(2698),
    [anon_sym_co_yield] = ACTIONS(2698),
    [anon_sym_R_DQUOTE] = ACTIONS(2700),
    [anon_sym_LR_DQUOTE] = ACTIONS(2700),
    [anon_sym_uR_DQUOTE] = ACTIONS(2700),
    [anon_sym_UR_DQUOTE] = ACTIONS(2700),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2700),
    [anon_sym_co_await] = ACTIONS(2698),
    [anon_sym_new] = ACTIONS(2698),
    [anon_sym_requires] = ACTIONS(2698),
    [sym_this] = ACTIONS(2698),
    [anon_sym_precise] = ACTIONS(2698),
    [anon_sym_shared] = ACTIONS(2698),
    [anon_sym_groupshared] = ACTIONS(2698),
    [anon_sym_uniform] = ACTIONS(2698),
    [anon_sym_row_major] = ACTIONS(2698),
    [anon_sym_column_major] = ACTIONS(2698),
    [anon_sym_globallycoherent] = ACTIONS(2698),
    [anon_sym_centroid] = ACTIONS(2698),
    [anon_sym_noperspective] = ACTIONS(2698),
    [anon_sym_nointerpolation] = ACTIONS(2698),
    [anon_sym_sample] = ACTIONS(2698),
    [anon_sym_linear] = ACTIONS(2698),
    [anon_sym_snorm] = ACTIONS(2698),
    [anon_sym_unorm] = ACTIONS(2698),
    [anon_sym_point] = ACTIONS(2698),
    [anon_sym_line] = ACTIONS(2698),
    [anon_sym_triangleadj] = ACTIONS(2698),
    [anon_sym_lineadj] = ACTIONS(2698),
    [anon_sym_triangle] = ACTIONS(2698),
  },
  [1279] = {
    [ts_builtin_sym_end] = ACTIONS(2749),
    [sym_identifier] = ACTIONS(2747),
    [aux_sym_preproc_include_token1] = ACTIONS(2747),
    [aux_sym_preproc_def_token1] = ACTIONS(2747),
    [aux_sym_preproc_if_token1] = ACTIONS(2747),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2747),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2747),
    [sym_preproc_directive] = ACTIONS(2747),
    [anon_sym_LPAREN2] = ACTIONS(2749),
    [anon_sym_BANG] = ACTIONS(2749),
    [anon_sym_TILDE] = ACTIONS(2749),
    [anon_sym_DASH] = ACTIONS(2747),
    [anon_sym_PLUS] = ACTIONS(2747),
    [anon_sym_STAR] = ACTIONS(2749),
    [anon_sym_AMP_AMP] = ACTIONS(2749),
    [anon_sym_AMP] = ACTIONS(2747),
    [anon_sym___extension__] = ACTIONS(2747),
    [anon_sym_typedef] = ACTIONS(2747),
    [anon_sym_in] = ACTIONS(2747),
    [anon_sym_out] = ACTIONS(2747),
    [anon_sym_inout] = ACTIONS(2747),
    [anon_sym_extern] = ACTIONS(2747),
    [anon_sym___attribute__] = ACTIONS(2747),
    [anon_sym_COLON_COLON] = ACTIONS(2749),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2749),
    [anon_sym___declspec] = ACTIONS(2747),
    [anon_sym___based] = ACTIONS(2747),
    [anon_sym___cdecl] = ACTIONS(2747),
    [anon_sym___clrcall] = ACTIONS(2747),
    [anon_sym___stdcall] = ACTIONS(2747),
    [anon_sym___fastcall] = ACTIONS(2747),
    [anon_sym___thiscall] = ACTIONS(2747),
    [anon_sym___vectorcall] = ACTIONS(2747),
    [anon_sym_LBRACE] = ACTIONS(2749),
    [anon_sym_signed] = ACTIONS(2747),
    [anon_sym_unsigned] = ACTIONS(2747),
    [anon_sym_long] = ACTIONS(2747),
    [anon_sym_short] = ACTIONS(2747),
    [anon_sym_LBRACK] = ACTIONS(2747),
    [anon_sym_static] = ACTIONS(2747),
    [anon_sym_register] = ACTIONS(2747),
    [anon_sym_inline] = ACTIONS(2747),
    [anon_sym___inline] = ACTIONS(2747),
    [anon_sym___inline__] = ACTIONS(2747),
    [anon_sym___forceinline] = ACTIONS(2747),
    [anon_sym_thread_local] = ACTIONS(2747),
    [anon_sym___thread] = ACTIONS(2747),
    [anon_sym_const] = ACTIONS(2747),
    [anon_sym_constexpr] = ACTIONS(2747),
    [anon_sym_volatile] = ACTIONS(2747),
    [anon_sym_restrict] = ACTIONS(2747),
    [anon_sym___restrict__] = ACTIONS(2747),
    [anon_sym__Atomic] = ACTIONS(2747),
    [anon_sym__Noreturn] = ACTIONS(2747),
    [anon_sym_noreturn] = ACTIONS(2747),
    [anon_sym_mutable] = ACTIONS(2747),
    [anon_sym_constinit] = ACTIONS(2747),
    [anon_sym_consteval] = ACTIONS(2747),
    [sym_primitive_type] = ACTIONS(2747),
    [anon_sym_enum] = ACTIONS(2747),
    [anon_sym_class] = ACTIONS(2747),
    [anon_sym_struct] = ACTIONS(2747),
    [anon_sym_union] = ACTIONS(2747),
    [anon_sym_if] = ACTIONS(2747),
    [anon_sym_switch] = ACTIONS(2747),
    [anon_sym_case] = ACTIONS(2747),
    [anon_sym_default] = ACTIONS(2747),
    [anon_sym_while] = ACTIONS(2747),
    [anon_sym_do] = ACTIONS(2747),
    [anon_sym_for] = ACTIONS(2747),
    [anon_sym_return] = ACTIONS(2747),
    [anon_sym_break] = ACTIONS(2747),
    [anon_sym_continue] = ACTIONS(2747),
    [anon_sym_goto] = ACTIONS(2747),
    [anon_sym_not] = ACTIONS(2747),
    [anon_sym_compl] = ACTIONS(2747),
    [anon_sym_DASH_DASH] = ACTIONS(2749),
    [anon_sym_PLUS_PLUS] = ACTIONS(2749),
    [anon_sym_sizeof] = ACTIONS(2747),
    [anon_sym___alignof__] = ACTIONS(2747),
    [anon_sym___alignof] = ACTIONS(2747),
    [anon_sym__alignof] = ACTIONS(2747),
    [anon_sym_alignof] = ACTIONS(2747),
    [anon_sym__Alignof] = ACTIONS(2747),
    [anon_sym_offsetof] = ACTIONS(2747),
    [anon_sym__Generic] = ACTIONS(2747),
    [anon_sym_asm] = ACTIONS(2747),
    [anon_sym___asm__] = ACTIONS(2747),
    [sym_number_literal] = ACTIONS(2749),
    [anon_sym_L_SQUOTE] = ACTIONS(2749),
    [anon_sym_u_SQUOTE] = ACTIONS(2749),
    [anon_sym_U_SQUOTE] = ACTIONS(2749),
    [anon_sym_u8_SQUOTE] = ACTIONS(2749),
    [anon_sym_SQUOTE] = ACTIONS(2749),
    [anon_sym_L_DQUOTE] = ACTIONS(2749),
    [anon_sym_u_DQUOTE] = ACTIONS(2749),
    [anon_sym_U_DQUOTE] = ACTIONS(2749),
    [anon_sym_u8_DQUOTE] = ACTIONS(2749),
    [anon_sym_DQUOTE] = ACTIONS(2749),
    [sym_true] = ACTIONS(2747),
    [sym_false] = ACTIONS(2747),
    [anon_sym_NULL] = ACTIONS(2747),
    [anon_sym_nullptr] = ACTIONS(2747),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2747),
    [anon_sym_decltype] = ACTIONS(2747),
    [anon_sym_virtual] = ACTIONS(2747),
    [anon_sym_alignas] = ACTIONS(2747),
    [anon_sym_explicit] = ACTIONS(2747),
    [anon_sym_typename] = ACTIONS(2747),
    [anon_sym_template] = ACTIONS(2747),
    [anon_sym_operator] = ACTIONS(2747),
    [anon_sym_try] = ACTIONS(2747),
    [anon_sym_delete] = ACTIONS(2747),
    [anon_sym_throw] = ACTIONS(2747),
    [anon_sym_namespace] = ACTIONS(2747),
    [anon_sym_using] = ACTIONS(2747),
    [anon_sym_static_assert] = ACTIONS(2747),
    [anon_sym_concept] = ACTIONS(2747),
    [anon_sym_co_return] = ACTIONS(2747),
    [anon_sym_co_yield] = ACTIONS(2747),
    [anon_sym_R_DQUOTE] = ACTIONS(2749),
    [anon_sym_LR_DQUOTE] = ACTIONS(2749),
    [anon_sym_uR_DQUOTE] = ACTIONS(2749),
    [anon_sym_UR_DQUOTE] = ACTIONS(2749),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2749),
    [anon_sym_co_await] = ACTIONS(2747),
    [anon_sym_new] = ACTIONS(2747),
    [anon_sym_requires] = ACTIONS(2747),
    [sym_this] = ACTIONS(2747),
    [anon_sym_precise] = ACTIONS(2747),
    [anon_sym_shared] = ACTIONS(2747),
    [anon_sym_groupshared] = ACTIONS(2747),
    [anon_sym_uniform] = ACTIONS(2747),
    [anon_sym_row_major] = ACTIONS(2747),
    [anon_sym_column_major] = ACTIONS(2747),
    [anon_sym_globallycoherent] = ACTIONS(2747),
    [anon_sym_centroid] = ACTIONS(2747),
    [anon_sym_noperspective] = ACTIONS(2747),
    [anon_sym_nointerpolation] = ACTIONS(2747),
    [anon_sym_sample] = ACTIONS(2747),
    [anon_sym_linear] = ACTIONS(2747),
    [anon_sym_snorm] = ACTIONS(2747),
    [anon_sym_unorm] = ACTIONS(2747),
    [anon_sym_point] = ACTIONS(2747),
    [anon_sym_line] = ACTIONS(2747),
    [anon_sym_triangleadj] = ACTIONS(2747),
    [anon_sym_lineadj] = ACTIONS(2747),
    [anon_sym_triangle] = ACTIONS(2747),
  },
  [1280] = {
    [ts_builtin_sym_end] = ACTIONS(2753),
    [sym_identifier] = ACTIONS(2751),
    [aux_sym_preproc_include_token1] = ACTIONS(2751),
    [aux_sym_preproc_def_token1] = ACTIONS(2751),
    [aux_sym_preproc_if_token1] = ACTIONS(2751),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2751),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2751),
    [sym_preproc_directive] = ACTIONS(2751),
    [anon_sym_LPAREN2] = ACTIONS(2753),
    [anon_sym_BANG] = ACTIONS(2753),
    [anon_sym_TILDE] = ACTIONS(2753),
    [anon_sym_DASH] = ACTIONS(2751),
    [anon_sym_PLUS] = ACTIONS(2751),
    [anon_sym_STAR] = ACTIONS(2753),
    [anon_sym_AMP_AMP] = ACTIONS(2753),
    [anon_sym_AMP] = ACTIONS(2751),
    [anon_sym___extension__] = ACTIONS(2751),
    [anon_sym_typedef] = ACTIONS(2751),
    [anon_sym_in] = ACTIONS(2751),
    [anon_sym_out] = ACTIONS(2751),
    [anon_sym_inout] = ACTIONS(2751),
    [anon_sym_extern] = ACTIONS(2751),
    [anon_sym___attribute__] = ACTIONS(2751),
    [anon_sym_COLON_COLON] = ACTIONS(2753),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2753),
    [anon_sym___declspec] = ACTIONS(2751),
    [anon_sym___based] = ACTIONS(2751),
    [anon_sym___cdecl] = ACTIONS(2751),
    [anon_sym___clrcall] = ACTIONS(2751),
    [anon_sym___stdcall] = ACTIONS(2751),
    [anon_sym___fastcall] = ACTIONS(2751),
    [anon_sym___thiscall] = ACTIONS(2751),
    [anon_sym___vectorcall] = ACTIONS(2751),
    [anon_sym_LBRACE] = ACTIONS(2753),
    [anon_sym_signed] = ACTIONS(2751),
    [anon_sym_unsigned] = ACTIONS(2751),
    [anon_sym_long] = ACTIONS(2751),
    [anon_sym_short] = ACTIONS(2751),
    [anon_sym_LBRACK] = ACTIONS(2751),
    [anon_sym_static] = ACTIONS(2751),
    [anon_sym_register] = ACTIONS(2751),
    [anon_sym_inline] = ACTIONS(2751),
    [anon_sym___inline] = ACTIONS(2751),
    [anon_sym___inline__] = ACTIONS(2751),
    [anon_sym___forceinline] = ACTIONS(2751),
    [anon_sym_thread_local] = ACTIONS(2751),
    [anon_sym___thread] = ACTIONS(2751),
    [anon_sym_const] = ACTIONS(2751),
    [anon_sym_constexpr] = ACTIONS(2751),
    [anon_sym_volatile] = ACTIONS(2751),
    [anon_sym_restrict] = ACTIONS(2751),
    [anon_sym___restrict__] = ACTIONS(2751),
    [anon_sym__Atomic] = ACTIONS(2751),
    [anon_sym__Noreturn] = ACTIONS(2751),
    [anon_sym_noreturn] = ACTIONS(2751),
    [anon_sym_mutable] = ACTIONS(2751),
    [anon_sym_constinit] = ACTIONS(2751),
    [anon_sym_consteval] = ACTIONS(2751),
    [sym_primitive_type] = ACTIONS(2751),
    [anon_sym_enum] = ACTIONS(2751),
    [anon_sym_class] = ACTIONS(2751),
    [anon_sym_struct] = ACTIONS(2751),
    [anon_sym_union] = ACTIONS(2751),
    [anon_sym_if] = ACTIONS(2751),
    [anon_sym_switch] = ACTIONS(2751),
    [anon_sym_case] = ACTIONS(2751),
    [anon_sym_default] = ACTIONS(2751),
    [anon_sym_while] = ACTIONS(2751),
    [anon_sym_do] = ACTIONS(2751),
    [anon_sym_for] = ACTIONS(2751),
    [anon_sym_return] = ACTIONS(2751),
    [anon_sym_break] = ACTIONS(2751),
    [anon_sym_continue] = ACTIONS(2751),
    [anon_sym_goto] = ACTIONS(2751),
    [anon_sym_not] = ACTIONS(2751),
    [anon_sym_compl] = ACTIONS(2751),
    [anon_sym_DASH_DASH] = ACTIONS(2753),
    [anon_sym_PLUS_PLUS] = ACTIONS(2753),
    [anon_sym_sizeof] = ACTIONS(2751),
    [anon_sym___alignof__] = ACTIONS(2751),
    [anon_sym___alignof] = ACTIONS(2751),
    [anon_sym__alignof] = ACTIONS(2751),
    [anon_sym_alignof] = ACTIONS(2751),
    [anon_sym__Alignof] = ACTIONS(2751),
    [anon_sym_offsetof] = ACTIONS(2751),
    [anon_sym__Generic] = ACTIONS(2751),
    [anon_sym_asm] = ACTIONS(2751),
    [anon_sym___asm__] = ACTIONS(2751),
    [sym_number_literal] = ACTIONS(2753),
    [anon_sym_L_SQUOTE] = ACTIONS(2753),
    [anon_sym_u_SQUOTE] = ACTIONS(2753),
    [anon_sym_U_SQUOTE] = ACTIONS(2753),
    [anon_sym_u8_SQUOTE] = ACTIONS(2753),
    [anon_sym_SQUOTE] = ACTIONS(2753),
    [anon_sym_L_DQUOTE] = ACTIONS(2753),
    [anon_sym_u_DQUOTE] = ACTIONS(2753),
    [anon_sym_U_DQUOTE] = ACTIONS(2753),
    [anon_sym_u8_DQUOTE] = ACTIONS(2753),
    [anon_sym_DQUOTE] = ACTIONS(2753),
    [sym_true] = ACTIONS(2751),
    [sym_false] = ACTIONS(2751),
    [anon_sym_NULL] = ACTIONS(2751),
    [anon_sym_nullptr] = ACTIONS(2751),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2751),
    [anon_sym_decltype] = ACTIONS(2751),
    [anon_sym_virtual] = ACTIONS(2751),
    [anon_sym_alignas] = ACTIONS(2751),
    [anon_sym_explicit] = ACTIONS(2751),
    [anon_sym_typename] = ACTIONS(2751),
    [anon_sym_template] = ACTIONS(2751),
    [anon_sym_operator] = ACTIONS(2751),
    [anon_sym_try] = ACTIONS(2751),
    [anon_sym_delete] = ACTIONS(2751),
    [anon_sym_throw] = ACTIONS(2751),
    [anon_sym_namespace] = ACTIONS(2751),
    [anon_sym_using] = ACTIONS(2751),
    [anon_sym_static_assert] = ACTIONS(2751),
    [anon_sym_concept] = ACTIONS(2751),
    [anon_sym_co_return] = ACTIONS(2751),
    [anon_sym_co_yield] = ACTIONS(2751),
    [anon_sym_R_DQUOTE] = ACTIONS(2753),
    [anon_sym_LR_DQUOTE] = ACTIONS(2753),
    [anon_sym_uR_DQUOTE] = ACTIONS(2753),
    [anon_sym_UR_DQUOTE] = ACTIONS(2753),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2753),
    [anon_sym_co_await] = ACTIONS(2751),
    [anon_sym_new] = ACTIONS(2751),
    [anon_sym_requires] = ACTIONS(2751),
    [sym_this] = ACTIONS(2751),
    [anon_sym_precise] = ACTIONS(2751),
    [anon_sym_shared] = ACTIONS(2751),
    [anon_sym_groupshared] = ACTIONS(2751),
    [anon_sym_uniform] = ACTIONS(2751),
    [anon_sym_row_major] = ACTIONS(2751),
    [anon_sym_column_major] = ACTIONS(2751),
    [anon_sym_globallycoherent] = ACTIONS(2751),
    [anon_sym_centroid] = ACTIONS(2751),
    [anon_sym_noperspective] = ACTIONS(2751),
    [anon_sym_nointerpolation] = ACTIONS(2751),
    [anon_sym_sample] = ACTIONS(2751),
    [anon_sym_linear] = ACTIONS(2751),
    [anon_sym_snorm] = ACTIONS(2751),
    [anon_sym_unorm] = ACTIONS(2751),
    [anon_sym_point] = ACTIONS(2751),
    [anon_sym_line] = ACTIONS(2751),
    [anon_sym_triangleadj] = ACTIONS(2751),
    [anon_sym_lineadj] = ACTIONS(2751),
    [anon_sym_triangle] = ACTIONS(2751),
  },
  [1281] = {
    [ts_builtin_sym_end] = ACTIONS(2779),
    [sym_identifier] = ACTIONS(2777),
    [aux_sym_preproc_include_token1] = ACTIONS(2777),
    [aux_sym_preproc_def_token1] = ACTIONS(2777),
    [aux_sym_preproc_if_token1] = ACTIONS(2777),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2777),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2777),
    [sym_preproc_directive] = ACTIONS(2777),
    [anon_sym_LPAREN2] = ACTIONS(2779),
    [anon_sym_BANG] = ACTIONS(2779),
    [anon_sym_TILDE] = ACTIONS(2779),
    [anon_sym_DASH] = ACTIONS(2777),
    [anon_sym_PLUS] = ACTIONS(2777),
    [anon_sym_STAR] = ACTIONS(2779),
    [anon_sym_AMP_AMP] = ACTIONS(2779),
    [anon_sym_AMP] = ACTIONS(2777),
    [anon_sym___extension__] = ACTIONS(2777),
    [anon_sym_typedef] = ACTIONS(2777),
    [anon_sym_in] = ACTIONS(2777),
    [anon_sym_out] = ACTIONS(2777),
    [anon_sym_inout] = ACTIONS(2777),
    [anon_sym_extern] = ACTIONS(2777),
    [anon_sym___attribute__] = ACTIONS(2777),
    [anon_sym_COLON_COLON] = ACTIONS(2779),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2779),
    [anon_sym___declspec] = ACTIONS(2777),
    [anon_sym___based] = ACTIONS(2777),
    [anon_sym___cdecl] = ACTIONS(2777),
    [anon_sym___clrcall] = ACTIONS(2777),
    [anon_sym___stdcall] = ACTIONS(2777),
    [anon_sym___fastcall] = ACTIONS(2777),
    [anon_sym___thiscall] = ACTIONS(2777),
    [anon_sym___vectorcall] = ACTIONS(2777),
    [anon_sym_LBRACE] = ACTIONS(2779),
    [anon_sym_signed] = ACTIONS(2777),
    [anon_sym_unsigned] = ACTIONS(2777),
    [anon_sym_long] = ACTIONS(2777),
    [anon_sym_short] = ACTIONS(2777),
    [anon_sym_LBRACK] = ACTIONS(2777),
    [anon_sym_static] = ACTIONS(2777),
    [anon_sym_register] = ACTIONS(2777),
    [anon_sym_inline] = ACTIONS(2777),
    [anon_sym___inline] = ACTIONS(2777),
    [anon_sym___inline__] = ACTIONS(2777),
    [anon_sym___forceinline] = ACTIONS(2777),
    [anon_sym_thread_local] = ACTIONS(2777),
    [anon_sym___thread] = ACTIONS(2777),
    [anon_sym_const] = ACTIONS(2777),
    [anon_sym_constexpr] = ACTIONS(2777),
    [anon_sym_volatile] = ACTIONS(2777),
    [anon_sym_restrict] = ACTIONS(2777),
    [anon_sym___restrict__] = ACTIONS(2777),
    [anon_sym__Atomic] = ACTIONS(2777),
    [anon_sym__Noreturn] = ACTIONS(2777),
    [anon_sym_noreturn] = ACTIONS(2777),
    [anon_sym_mutable] = ACTIONS(2777),
    [anon_sym_constinit] = ACTIONS(2777),
    [anon_sym_consteval] = ACTIONS(2777),
    [sym_primitive_type] = ACTIONS(2777),
    [anon_sym_enum] = ACTIONS(2777),
    [anon_sym_class] = ACTIONS(2777),
    [anon_sym_struct] = ACTIONS(2777),
    [anon_sym_union] = ACTIONS(2777),
    [anon_sym_if] = ACTIONS(2777),
    [anon_sym_switch] = ACTIONS(2777),
    [anon_sym_case] = ACTIONS(2777),
    [anon_sym_default] = ACTIONS(2777),
    [anon_sym_while] = ACTIONS(2777),
    [anon_sym_do] = ACTIONS(2777),
    [anon_sym_for] = ACTIONS(2777),
    [anon_sym_return] = ACTIONS(2777),
    [anon_sym_break] = ACTIONS(2777),
    [anon_sym_continue] = ACTIONS(2777),
    [anon_sym_goto] = ACTIONS(2777),
    [anon_sym_not] = ACTIONS(2777),
    [anon_sym_compl] = ACTIONS(2777),
    [anon_sym_DASH_DASH] = ACTIONS(2779),
    [anon_sym_PLUS_PLUS] = ACTIONS(2779),
    [anon_sym_sizeof] = ACTIONS(2777),
    [anon_sym___alignof__] = ACTIONS(2777),
    [anon_sym___alignof] = ACTIONS(2777),
    [anon_sym__alignof] = ACTIONS(2777),
    [anon_sym_alignof] = ACTIONS(2777),
    [anon_sym__Alignof] = ACTIONS(2777),
    [anon_sym_offsetof] = ACTIONS(2777),
    [anon_sym__Generic] = ACTIONS(2777),
    [anon_sym_asm] = ACTIONS(2777),
    [anon_sym___asm__] = ACTIONS(2777),
    [sym_number_literal] = ACTIONS(2779),
    [anon_sym_L_SQUOTE] = ACTIONS(2779),
    [anon_sym_u_SQUOTE] = ACTIONS(2779),
    [anon_sym_U_SQUOTE] = ACTIONS(2779),
    [anon_sym_u8_SQUOTE] = ACTIONS(2779),
    [anon_sym_SQUOTE] = ACTIONS(2779),
    [anon_sym_L_DQUOTE] = ACTIONS(2779),
    [anon_sym_u_DQUOTE] = ACTIONS(2779),
    [anon_sym_U_DQUOTE] = ACTIONS(2779),
    [anon_sym_u8_DQUOTE] = ACTIONS(2779),
    [anon_sym_DQUOTE] = ACTIONS(2779),
    [sym_true] = ACTIONS(2777),
    [sym_false] = ACTIONS(2777),
    [anon_sym_NULL] = ACTIONS(2777),
    [anon_sym_nullptr] = ACTIONS(2777),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2777),
    [anon_sym_decltype] = ACTIONS(2777),
    [anon_sym_virtual] = ACTIONS(2777),
    [anon_sym_alignas] = ACTIONS(2777),
    [anon_sym_explicit] = ACTIONS(2777),
    [anon_sym_typename] = ACTIONS(2777),
    [anon_sym_template] = ACTIONS(2777),
    [anon_sym_operator] = ACTIONS(2777),
    [anon_sym_try] = ACTIONS(2777),
    [anon_sym_delete] = ACTIONS(2777),
    [anon_sym_throw] = ACTIONS(2777),
    [anon_sym_namespace] = ACTIONS(2777),
    [anon_sym_using] = ACTIONS(2777),
    [anon_sym_static_assert] = ACTIONS(2777),
    [anon_sym_concept] = ACTIONS(2777),
    [anon_sym_co_return] = ACTIONS(2777),
    [anon_sym_co_yield] = ACTIONS(2777),
    [anon_sym_R_DQUOTE] = ACTIONS(2779),
    [anon_sym_LR_DQUOTE] = ACTIONS(2779),
    [anon_sym_uR_DQUOTE] = ACTIONS(2779),
    [anon_sym_UR_DQUOTE] = ACTIONS(2779),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2779),
    [anon_sym_co_await] = ACTIONS(2777),
    [anon_sym_new] = ACTIONS(2777),
    [anon_sym_requires] = ACTIONS(2777),
    [sym_this] = ACTIONS(2777),
    [anon_sym_precise] = ACTIONS(2777),
    [anon_sym_shared] = ACTIONS(2777),
    [anon_sym_groupshared] = ACTIONS(2777),
    [anon_sym_uniform] = ACTIONS(2777),
    [anon_sym_row_major] = ACTIONS(2777),
    [anon_sym_column_major] = ACTIONS(2777),
    [anon_sym_globallycoherent] = ACTIONS(2777),
    [anon_sym_centroid] = ACTIONS(2777),
    [anon_sym_noperspective] = ACTIONS(2777),
    [anon_sym_nointerpolation] = ACTIONS(2777),
    [anon_sym_sample] = ACTIONS(2777),
    [anon_sym_linear] = ACTIONS(2777),
    [anon_sym_snorm] = ACTIONS(2777),
    [anon_sym_unorm] = ACTIONS(2777),
    [anon_sym_point] = ACTIONS(2777),
    [anon_sym_line] = ACTIONS(2777),
    [anon_sym_triangleadj] = ACTIONS(2777),
    [anon_sym_lineadj] = ACTIONS(2777),
    [anon_sym_triangle] = ACTIONS(2777),
  },
  [1282] = {
    [ts_builtin_sym_end] = ACTIONS(2712),
    [sym_identifier] = ACTIONS(2710),
    [aux_sym_preproc_include_token1] = ACTIONS(2710),
    [aux_sym_preproc_def_token1] = ACTIONS(2710),
    [aux_sym_preproc_if_token1] = ACTIONS(2710),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2710),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2710),
    [sym_preproc_directive] = ACTIONS(2710),
    [anon_sym_LPAREN2] = ACTIONS(2712),
    [anon_sym_BANG] = ACTIONS(2712),
    [anon_sym_TILDE] = ACTIONS(2712),
    [anon_sym_DASH] = ACTIONS(2710),
    [anon_sym_PLUS] = ACTIONS(2710),
    [anon_sym_STAR] = ACTIONS(2712),
    [anon_sym_AMP_AMP] = ACTIONS(2712),
    [anon_sym_AMP] = ACTIONS(2710),
    [anon_sym___extension__] = ACTIONS(2710),
    [anon_sym_typedef] = ACTIONS(2710),
    [anon_sym_in] = ACTIONS(2710),
    [anon_sym_out] = ACTIONS(2710),
    [anon_sym_inout] = ACTIONS(2710),
    [anon_sym_extern] = ACTIONS(2710),
    [anon_sym___attribute__] = ACTIONS(2710),
    [anon_sym_COLON_COLON] = ACTIONS(2712),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2712),
    [anon_sym___declspec] = ACTIONS(2710),
    [anon_sym___based] = ACTIONS(2710),
    [anon_sym___cdecl] = ACTIONS(2710),
    [anon_sym___clrcall] = ACTIONS(2710),
    [anon_sym___stdcall] = ACTIONS(2710),
    [anon_sym___fastcall] = ACTIONS(2710),
    [anon_sym___thiscall] = ACTIONS(2710),
    [anon_sym___vectorcall] = ACTIONS(2710),
    [anon_sym_LBRACE] = ACTIONS(2712),
    [anon_sym_signed] = ACTIONS(2710),
    [anon_sym_unsigned] = ACTIONS(2710),
    [anon_sym_long] = ACTIONS(2710),
    [anon_sym_short] = ACTIONS(2710),
    [anon_sym_LBRACK] = ACTIONS(2710),
    [anon_sym_static] = ACTIONS(2710),
    [anon_sym_register] = ACTIONS(2710),
    [anon_sym_inline] = ACTIONS(2710),
    [anon_sym___inline] = ACTIONS(2710),
    [anon_sym___inline__] = ACTIONS(2710),
    [anon_sym___forceinline] = ACTIONS(2710),
    [anon_sym_thread_local] = ACTIONS(2710),
    [anon_sym___thread] = ACTIONS(2710),
    [anon_sym_const] = ACTIONS(2710),
    [anon_sym_constexpr] = ACTIONS(2710),
    [anon_sym_volatile] = ACTIONS(2710),
    [anon_sym_restrict] = ACTIONS(2710),
    [anon_sym___restrict__] = ACTIONS(2710),
    [anon_sym__Atomic] = ACTIONS(2710),
    [anon_sym__Noreturn] = ACTIONS(2710),
    [anon_sym_noreturn] = ACTIONS(2710),
    [anon_sym_mutable] = ACTIONS(2710),
    [anon_sym_constinit] = ACTIONS(2710),
    [anon_sym_consteval] = ACTIONS(2710),
    [sym_primitive_type] = ACTIONS(2710),
    [anon_sym_enum] = ACTIONS(2710),
    [anon_sym_class] = ACTIONS(2710),
    [anon_sym_struct] = ACTIONS(2710),
    [anon_sym_union] = ACTIONS(2710),
    [anon_sym_if] = ACTIONS(2710),
    [anon_sym_switch] = ACTIONS(2710),
    [anon_sym_case] = ACTIONS(2710),
    [anon_sym_default] = ACTIONS(2710),
    [anon_sym_while] = ACTIONS(2710),
    [anon_sym_do] = ACTIONS(2710),
    [anon_sym_for] = ACTIONS(2710),
    [anon_sym_return] = ACTIONS(2710),
    [anon_sym_break] = ACTIONS(2710),
    [anon_sym_continue] = ACTIONS(2710),
    [anon_sym_goto] = ACTIONS(2710),
    [anon_sym_not] = ACTIONS(2710),
    [anon_sym_compl] = ACTIONS(2710),
    [anon_sym_DASH_DASH] = ACTIONS(2712),
    [anon_sym_PLUS_PLUS] = ACTIONS(2712),
    [anon_sym_sizeof] = ACTIONS(2710),
    [anon_sym___alignof__] = ACTIONS(2710),
    [anon_sym___alignof] = ACTIONS(2710),
    [anon_sym__alignof] = ACTIONS(2710),
    [anon_sym_alignof] = ACTIONS(2710),
    [anon_sym__Alignof] = ACTIONS(2710),
    [anon_sym_offsetof] = ACTIONS(2710),
    [anon_sym__Generic] = ACTIONS(2710),
    [anon_sym_asm] = ACTIONS(2710),
    [anon_sym___asm__] = ACTIONS(2710),
    [sym_number_literal] = ACTIONS(2712),
    [anon_sym_L_SQUOTE] = ACTIONS(2712),
    [anon_sym_u_SQUOTE] = ACTIONS(2712),
    [anon_sym_U_SQUOTE] = ACTIONS(2712),
    [anon_sym_u8_SQUOTE] = ACTIONS(2712),
    [anon_sym_SQUOTE] = ACTIONS(2712),
    [anon_sym_L_DQUOTE] = ACTIONS(2712),
    [anon_sym_u_DQUOTE] = ACTIONS(2712),
    [anon_sym_U_DQUOTE] = ACTIONS(2712),
    [anon_sym_u8_DQUOTE] = ACTIONS(2712),
    [anon_sym_DQUOTE] = ACTIONS(2712),
    [sym_true] = ACTIONS(2710),
    [sym_false] = ACTIONS(2710),
    [anon_sym_NULL] = ACTIONS(2710),
    [anon_sym_nullptr] = ACTIONS(2710),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2710),
    [anon_sym_decltype] = ACTIONS(2710),
    [anon_sym_virtual] = ACTIONS(2710),
    [anon_sym_alignas] = ACTIONS(2710),
    [anon_sym_explicit] = ACTIONS(2710),
    [anon_sym_typename] = ACTIONS(2710),
    [anon_sym_template] = ACTIONS(2710),
    [anon_sym_operator] = ACTIONS(2710),
    [anon_sym_try] = ACTIONS(2710),
    [anon_sym_delete] = ACTIONS(2710),
    [anon_sym_throw] = ACTIONS(2710),
    [anon_sym_namespace] = ACTIONS(2710),
    [anon_sym_using] = ACTIONS(2710),
    [anon_sym_static_assert] = ACTIONS(2710),
    [anon_sym_concept] = ACTIONS(2710),
    [anon_sym_co_return] = ACTIONS(2710),
    [anon_sym_co_yield] = ACTIONS(2710),
    [anon_sym_R_DQUOTE] = ACTIONS(2712),
    [anon_sym_LR_DQUOTE] = ACTIONS(2712),
    [anon_sym_uR_DQUOTE] = ACTIONS(2712),
    [anon_sym_UR_DQUOTE] = ACTIONS(2712),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2712),
    [anon_sym_co_await] = ACTIONS(2710),
    [anon_sym_new] = ACTIONS(2710),
    [anon_sym_requires] = ACTIONS(2710),
    [sym_this] = ACTIONS(2710),
    [anon_sym_precise] = ACTIONS(2710),
    [anon_sym_shared] = ACTIONS(2710),
    [anon_sym_groupshared] = ACTIONS(2710),
    [anon_sym_uniform] = ACTIONS(2710),
    [anon_sym_row_major] = ACTIONS(2710),
    [anon_sym_column_major] = ACTIONS(2710),
    [anon_sym_globallycoherent] = ACTIONS(2710),
    [anon_sym_centroid] = ACTIONS(2710),
    [anon_sym_noperspective] = ACTIONS(2710),
    [anon_sym_nointerpolation] = ACTIONS(2710),
    [anon_sym_sample] = ACTIONS(2710),
    [anon_sym_linear] = ACTIONS(2710),
    [anon_sym_snorm] = ACTIONS(2710),
    [anon_sym_unorm] = ACTIONS(2710),
    [anon_sym_point] = ACTIONS(2710),
    [anon_sym_line] = ACTIONS(2710),
    [anon_sym_triangleadj] = ACTIONS(2710),
    [anon_sym_lineadj] = ACTIONS(2710),
    [anon_sym_triangle] = ACTIONS(2710),
  },
  [1283] = {
    [ts_builtin_sym_end] = ACTIONS(2783),
    [sym_identifier] = ACTIONS(2781),
    [aux_sym_preproc_include_token1] = ACTIONS(2781),
    [aux_sym_preproc_def_token1] = ACTIONS(2781),
    [aux_sym_preproc_if_token1] = ACTIONS(2781),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2781),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2781),
    [sym_preproc_directive] = ACTIONS(2781),
    [anon_sym_LPAREN2] = ACTIONS(2783),
    [anon_sym_BANG] = ACTIONS(2783),
    [anon_sym_TILDE] = ACTIONS(2783),
    [anon_sym_DASH] = ACTIONS(2781),
    [anon_sym_PLUS] = ACTIONS(2781),
    [anon_sym_STAR] = ACTIONS(2783),
    [anon_sym_AMP_AMP] = ACTIONS(2783),
    [anon_sym_AMP] = ACTIONS(2781),
    [anon_sym___extension__] = ACTIONS(2781),
    [anon_sym_typedef] = ACTIONS(2781),
    [anon_sym_in] = ACTIONS(2781),
    [anon_sym_out] = ACTIONS(2781),
    [anon_sym_inout] = ACTIONS(2781),
    [anon_sym_extern] = ACTIONS(2781),
    [anon_sym___attribute__] = ACTIONS(2781),
    [anon_sym_COLON_COLON] = ACTIONS(2783),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2783),
    [anon_sym___declspec] = ACTIONS(2781),
    [anon_sym___based] = ACTIONS(2781),
    [anon_sym___cdecl] = ACTIONS(2781),
    [anon_sym___clrcall] = ACTIONS(2781),
    [anon_sym___stdcall] = ACTIONS(2781),
    [anon_sym___fastcall] = ACTIONS(2781),
    [anon_sym___thiscall] = ACTIONS(2781),
    [anon_sym___vectorcall] = ACTIONS(2781),
    [anon_sym_LBRACE] = ACTIONS(2783),
    [anon_sym_signed] = ACTIONS(2781),
    [anon_sym_unsigned] = ACTIONS(2781),
    [anon_sym_long] = ACTIONS(2781),
    [anon_sym_short] = ACTIONS(2781),
    [anon_sym_LBRACK] = ACTIONS(2781),
    [anon_sym_static] = ACTIONS(2781),
    [anon_sym_register] = ACTIONS(2781),
    [anon_sym_inline] = ACTIONS(2781),
    [anon_sym___inline] = ACTIONS(2781),
    [anon_sym___inline__] = ACTIONS(2781),
    [anon_sym___forceinline] = ACTIONS(2781),
    [anon_sym_thread_local] = ACTIONS(2781),
    [anon_sym___thread] = ACTIONS(2781),
    [anon_sym_const] = ACTIONS(2781),
    [anon_sym_constexpr] = ACTIONS(2781),
    [anon_sym_volatile] = ACTIONS(2781),
    [anon_sym_restrict] = ACTIONS(2781),
    [anon_sym___restrict__] = ACTIONS(2781),
    [anon_sym__Atomic] = ACTIONS(2781),
    [anon_sym__Noreturn] = ACTIONS(2781),
    [anon_sym_noreturn] = ACTIONS(2781),
    [anon_sym_mutable] = ACTIONS(2781),
    [anon_sym_constinit] = ACTIONS(2781),
    [anon_sym_consteval] = ACTIONS(2781),
    [sym_primitive_type] = ACTIONS(2781),
    [anon_sym_enum] = ACTIONS(2781),
    [anon_sym_class] = ACTIONS(2781),
    [anon_sym_struct] = ACTIONS(2781),
    [anon_sym_union] = ACTIONS(2781),
    [anon_sym_if] = ACTIONS(2781),
    [anon_sym_switch] = ACTIONS(2781),
    [anon_sym_case] = ACTIONS(2781),
    [anon_sym_default] = ACTIONS(2781),
    [anon_sym_while] = ACTIONS(2781),
    [anon_sym_do] = ACTIONS(2781),
    [anon_sym_for] = ACTIONS(2781),
    [anon_sym_return] = ACTIONS(2781),
    [anon_sym_break] = ACTIONS(2781),
    [anon_sym_continue] = ACTIONS(2781),
    [anon_sym_goto] = ACTIONS(2781),
    [anon_sym_not] = ACTIONS(2781),
    [anon_sym_compl] = ACTIONS(2781),
    [anon_sym_DASH_DASH] = ACTIONS(2783),
    [anon_sym_PLUS_PLUS] = ACTIONS(2783),
    [anon_sym_sizeof] = ACTIONS(2781),
    [anon_sym___alignof__] = ACTIONS(2781),
    [anon_sym___alignof] = ACTIONS(2781),
    [anon_sym__alignof] = ACTIONS(2781),
    [anon_sym_alignof] = ACTIONS(2781),
    [anon_sym__Alignof] = ACTIONS(2781),
    [anon_sym_offsetof] = ACTIONS(2781),
    [anon_sym__Generic] = ACTIONS(2781),
    [anon_sym_asm] = ACTIONS(2781),
    [anon_sym___asm__] = ACTIONS(2781),
    [sym_number_literal] = ACTIONS(2783),
    [anon_sym_L_SQUOTE] = ACTIONS(2783),
    [anon_sym_u_SQUOTE] = ACTIONS(2783),
    [anon_sym_U_SQUOTE] = ACTIONS(2783),
    [anon_sym_u8_SQUOTE] = ACTIONS(2783),
    [anon_sym_SQUOTE] = ACTIONS(2783),
    [anon_sym_L_DQUOTE] = ACTIONS(2783),
    [anon_sym_u_DQUOTE] = ACTIONS(2783),
    [anon_sym_U_DQUOTE] = ACTIONS(2783),
    [anon_sym_u8_DQUOTE] = ACTIONS(2783),
    [anon_sym_DQUOTE] = ACTIONS(2783),
    [sym_true] = ACTIONS(2781),
    [sym_false] = ACTIONS(2781),
    [anon_sym_NULL] = ACTIONS(2781),
    [anon_sym_nullptr] = ACTIONS(2781),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2781),
    [anon_sym_decltype] = ACTIONS(2781),
    [anon_sym_virtual] = ACTIONS(2781),
    [anon_sym_alignas] = ACTIONS(2781),
    [anon_sym_explicit] = ACTIONS(2781),
    [anon_sym_typename] = ACTIONS(2781),
    [anon_sym_template] = ACTIONS(2781),
    [anon_sym_operator] = ACTIONS(2781),
    [anon_sym_try] = ACTIONS(2781),
    [anon_sym_delete] = ACTIONS(2781),
    [anon_sym_throw] = ACTIONS(2781),
    [anon_sym_namespace] = ACTIONS(2781),
    [anon_sym_using] = ACTIONS(2781),
    [anon_sym_static_assert] = ACTIONS(2781),
    [anon_sym_concept] = ACTIONS(2781),
    [anon_sym_co_return] = ACTIONS(2781),
    [anon_sym_co_yield] = ACTIONS(2781),
    [anon_sym_R_DQUOTE] = ACTIONS(2783),
    [anon_sym_LR_DQUOTE] = ACTIONS(2783),
    [anon_sym_uR_DQUOTE] = ACTIONS(2783),
    [anon_sym_UR_DQUOTE] = ACTIONS(2783),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2783),
    [anon_sym_co_await] = ACTIONS(2781),
    [anon_sym_new] = ACTIONS(2781),
    [anon_sym_requires] = ACTIONS(2781),
    [sym_this] = ACTIONS(2781),
    [anon_sym_precise] = ACTIONS(2781),
    [anon_sym_shared] = ACTIONS(2781),
    [anon_sym_groupshared] = ACTIONS(2781),
    [anon_sym_uniform] = ACTIONS(2781),
    [anon_sym_row_major] = ACTIONS(2781),
    [anon_sym_column_major] = ACTIONS(2781),
    [anon_sym_globallycoherent] = ACTIONS(2781),
    [anon_sym_centroid] = ACTIONS(2781),
    [anon_sym_noperspective] = ACTIONS(2781),
    [anon_sym_nointerpolation] = ACTIONS(2781),
    [anon_sym_sample] = ACTIONS(2781),
    [anon_sym_linear] = ACTIONS(2781),
    [anon_sym_snorm] = ACTIONS(2781),
    [anon_sym_unorm] = ACTIONS(2781),
    [anon_sym_point] = ACTIONS(2781),
    [anon_sym_line] = ACTIONS(2781),
    [anon_sym_triangleadj] = ACTIONS(2781),
    [anon_sym_lineadj] = ACTIONS(2781),
    [anon_sym_triangle] = ACTIONS(2781),
  },
  [1284] = {
    [ts_builtin_sym_end] = ACTIONS(2787),
    [sym_identifier] = ACTIONS(2785),
    [aux_sym_preproc_include_token1] = ACTIONS(2785),
    [aux_sym_preproc_def_token1] = ACTIONS(2785),
    [aux_sym_preproc_if_token1] = ACTIONS(2785),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2785),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2785),
    [sym_preproc_directive] = ACTIONS(2785),
    [anon_sym_LPAREN2] = ACTIONS(2787),
    [anon_sym_BANG] = ACTIONS(2787),
    [anon_sym_TILDE] = ACTIONS(2787),
    [anon_sym_DASH] = ACTIONS(2785),
    [anon_sym_PLUS] = ACTIONS(2785),
    [anon_sym_STAR] = ACTIONS(2787),
    [anon_sym_AMP_AMP] = ACTIONS(2787),
    [anon_sym_AMP] = ACTIONS(2785),
    [anon_sym___extension__] = ACTIONS(2785),
    [anon_sym_typedef] = ACTIONS(2785),
    [anon_sym_in] = ACTIONS(2785),
    [anon_sym_out] = ACTIONS(2785),
    [anon_sym_inout] = ACTIONS(2785),
    [anon_sym_extern] = ACTIONS(2785),
    [anon_sym___attribute__] = ACTIONS(2785),
    [anon_sym_COLON_COLON] = ACTIONS(2787),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2787),
    [anon_sym___declspec] = ACTIONS(2785),
    [anon_sym___based] = ACTIONS(2785),
    [anon_sym___cdecl] = ACTIONS(2785),
    [anon_sym___clrcall] = ACTIONS(2785),
    [anon_sym___stdcall] = ACTIONS(2785),
    [anon_sym___fastcall] = ACTIONS(2785),
    [anon_sym___thiscall] = ACTIONS(2785),
    [anon_sym___vectorcall] = ACTIONS(2785),
    [anon_sym_LBRACE] = ACTIONS(2787),
    [anon_sym_signed] = ACTIONS(2785),
    [anon_sym_unsigned] = ACTIONS(2785),
    [anon_sym_long] = ACTIONS(2785),
    [anon_sym_short] = ACTIONS(2785),
    [anon_sym_LBRACK] = ACTIONS(2785),
    [anon_sym_static] = ACTIONS(2785),
    [anon_sym_register] = ACTIONS(2785),
    [anon_sym_inline] = ACTIONS(2785),
    [anon_sym___inline] = ACTIONS(2785),
    [anon_sym___inline__] = ACTIONS(2785),
    [anon_sym___forceinline] = ACTIONS(2785),
    [anon_sym_thread_local] = ACTIONS(2785),
    [anon_sym___thread] = ACTIONS(2785),
    [anon_sym_const] = ACTIONS(2785),
    [anon_sym_constexpr] = ACTIONS(2785),
    [anon_sym_volatile] = ACTIONS(2785),
    [anon_sym_restrict] = ACTIONS(2785),
    [anon_sym___restrict__] = ACTIONS(2785),
    [anon_sym__Atomic] = ACTIONS(2785),
    [anon_sym__Noreturn] = ACTIONS(2785),
    [anon_sym_noreturn] = ACTIONS(2785),
    [anon_sym_mutable] = ACTIONS(2785),
    [anon_sym_constinit] = ACTIONS(2785),
    [anon_sym_consteval] = ACTIONS(2785),
    [sym_primitive_type] = ACTIONS(2785),
    [anon_sym_enum] = ACTIONS(2785),
    [anon_sym_class] = ACTIONS(2785),
    [anon_sym_struct] = ACTIONS(2785),
    [anon_sym_union] = ACTIONS(2785),
    [anon_sym_if] = ACTIONS(2785),
    [anon_sym_switch] = ACTIONS(2785),
    [anon_sym_case] = ACTIONS(2785),
    [anon_sym_default] = ACTIONS(2785),
    [anon_sym_while] = ACTIONS(2785),
    [anon_sym_do] = ACTIONS(2785),
    [anon_sym_for] = ACTIONS(2785),
    [anon_sym_return] = ACTIONS(2785),
    [anon_sym_break] = ACTIONS(2785),
    [anon_sym_continue] = ACTIONS(2785),
    [anon_sym_goto] = ACTIONS(2785),
    [anon_sym_not] = ACTIONS(2785),
    [anon_sym_compl] = ACTIONS(2785),
    [anon_sym_DASH_DASH] = ACTIONS(2787),
    [anon_sym_PLUS_PLUS] = ACTIONS(2787),
    [anon_sym_sizeof] = ACTIONS(2785),
    [anon_sym___alignof__] = ACTIONS(2785),
    [anon_sym___alignof] = ACTIONS(2785),
    [anon_sym__alignof] = ACTIONS(2785),
    [anon_sym_alignof] = ACTIONS(2785),
    [anon_sym__Alignof] = ACTIONS(2785),
    [anon_sym_offsetof] = ACTIONS(2785),
    [anon_sym__Generic] = ACTIONS(2785),
    [anon_sym_asm] = ACTIONS(2785),
    [anon_sym___asm__] = ACTIONS(2785),
    [sym_number_literal] = ACTIONS(2787),
    [anon_sym_L_SQUOTE] = ACTIONS(2787),
    [anon_sym_u_SQUOTE] = ACTIONS(2787),
    [anon_sym_U_SQUOTE] = ACTIONS(2787),
    [anon_sym_u8_SQUOTE] = ACTIONS(2787),
    [anon_sym_SQUOTE] = ACTIONS(2787),
    [anon_sym_L_DQUOTE] = ACTIONS(2787),
    [anon_sym_u_DQUOTE] = ACTIONS(2787),
    [anon_sym_U_DQUOTE] = ACTIONS(2787),
    [anon_sym_u8_DQUOTE] = ACTIONS(2787),
    [anon_sym_DQUOTE] = ACTIONS(2787),
    [sym_true] = ACTIONS(2785),
    [sym_false] = ACTIONS(2785),
    [anon_sym_NULL] = ACTIONS(2785),
    [anon_sym_nullptr] = ACTIONS(2785),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2785),
    [anon_sym_decltype] = ACTIONS(2785),
    [anon_sym_virtual] = ACTIONS(2785),
    [anon_sym_alignas] = ACTIONS(2785),
    [anon_sym_explicit] = ACTIONS(2785),
    [anon_sym_typename] = ACTIONS(2785),
    [anon_sym_template] = ACTIONS(2785),
    [anon_sym_operator] = ACTIONS(2785),
    [anon_sym_try] = ACTIONS(2785),
    [anon_sym_delete] = ACTIONS(2785),
    [anon_sym_throw] = ACTIONS(2785),
    [anon_sym_namespace] = ACTIONS(2785),
    [anon_sym_using] = ACTIONS(2785),
    [anon_sym_static_assert] = ACTIONS(2785),
    [anon_sym_concept] = ACTIONS(2785),
    [anon_sym_co_return] = ACTIONS(2785),
    [anon_sym_co_yield] = ACTIONS(2785),
    [anon_sym_R_DQUOTE] = ACTIONS(2787),
    [anon_sym_LR_DQUOTE] = ACTIONS(2787),
    [anon_sym_uR_DQUOTE] = ACTIONS(2787),
    [anon_sym_UR_DQUOTE] = ACTIONS(2787),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2787),
    [anon_sym_co_await] = ACTIONS(2785),
    [anon_sym_new] = ACTIONS(2785),
    [anon_sym_requires] = ACTIONS(2785),
    [sym_this] = ACTIONS(2785),
    [anon_sym_precise] = ACTIONS(2785),
    [anon_sym_shared] = ACTIONS(2785),
    [anon_sym_groupshared] = ACTIONS(2785),
    [anon_sym_uniform] = ACTIONS(2785),
    [anon_sym_row_major] = ACTIONS(2785),
    [anon_sym_column_major] = ACTIONS(2785),
    [anon_sym_globallycoherent] = ACTIONS(2785),
    [anon_sym_centroid] = ACTIONS(2785),
    [anon_sym_noperspective] = ACTIONS(2785),
    [anon_sym_nointerpolation] = ACTIONS(2785),
    [anon_sym_sample] = ACTIONS(2785),
    [anon_sym_linear] = ACTIONS(2785),
    [anon_sym_snorm] = ACTIONS(2785),
    [anon_sym_unorm] = ACTIONS(2785),
    [anon_sym_point] = ACTIONS(2785),
    [anon_sym_line] = ACTIONS(2785),
    [anon_sym_triangleadj] = ACTIONS(2785),
    [anon_sym_lineadj] = ACTIONS(2785),
    [anon_sym_triangle] = ACTIONS(2785),
  },
  [1285] = {
    [ts_builtin_sym_end] = ACTIONS(2791),
    [sym_identifier] = ACTIONS(2789),
    [aux_sym_preproc_include_token1] = ACTIONS(2789),
    [aux_sym_preproc_def_token1] = ACTIONS(2789),
    [aux_sym_preproc_if_token1] = ACTIONS(2789),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2789),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2789),
    [sym_preproc_directive] = ACTIONS(2789),
    [anon_sym_LPAREN2] = ACTIONS(2791),
    [anon_sym_BANG] = ACTIONS(2791),
    [anon_sym_TILDE] = ACTIONS(2791),
    [anon_sym_DASH] = ACTIONS(2789),
    [anon_sym_PLUS] = ACTIONS(2789),
    [anon_sym_STAR] = ACTIONS(2791),
    [anon_sym_AMP_AMP] = ACTIONS(2791),
    [anon_sym_AMP] = ACTIONS(2789),
    [anon_sym___extension__] = ACTIONS(2789),
    [anon_sym_typedef] = ACTIONS(2789),
    [anon_sym_in] = ACTIONS(2789),
    [anon_sym_out] = ACTIONS(2789),
    [anon_sym_inout] = ACTIONS(2789),
    [anon_sym_extern] = ACTIONS(2789),
    [anon_sym___attribute__] = ACTIONS(2789),
    [anon_sym_COLON_COLON] = ACTIONS(2791),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2791),
    [anon_sym___declspec] = ACTIONS(2789),
    [anon_sym___based] = ACTIONS(2789),
    [anon_sym___cdecl] = ACTIONS(2789),
    [anon_sym___clrcall] = ACTIONS(2789),
    [anon_sym___stdcall] = ACTIONS(2789),
    [anon_sym___fastcall] = ACTIONS(2789),
    [anon_sym___thiscall] = ACTIONS(2789),
    [anon_sym___vectorcall] = ACTIONS(2789),
    [anon_sym_LBRACE] = ACTIONS(2791),
    [anon_sym_signed] = ACTIONS(2789),
    [anon_sym_unsigned] = ACTIONS(2789),
    [anon_sym_long] = ACTIONS(2789),
    [anon_sym_short] = ACTIONS(2789),
    [anon_sym_LBRACK] = ACTIONS(2789),
    [anon_sym_static] = ACTIONS(2789),
    [anon_sym_register] = ACTIONS(2789),
    [anon_sym_inline] = ACTIONS(2789),
    [anon_sym___inline] = ACTIONS(2789),
    [anon_sym___inline__] = ACTIONS(2789),
    [anon_sym___forceinline] = ACTIONS(2789),
    [anon_sym_thread_local] = ACTIONS(2789),
    [anon_sym___thread] = ACTIONS(2789),
    [anon_sym_const] = ACTIONS(2789),
    [anon_sym_constexpr] = ACTIONS(2789),
    [anon_sym_volatile] = ACTIONS(2789),
    [anon_sym_restrict] = ACTIONS(2789),
    [anon_sym___restrict__] = ACTIONS(2789),
    [anon_sym__Atomic] = ACTIONS(2789),
    [anon_sym__Noreturn] = ACTIONS(2789),
    [anon_sym_noreturn] = ACTIONS(2789),
    [anon_sym_mutable] = ACTIONS(2789),
    [anon_sym_constinit] = ACTIONS(2789),
    [anon_sym_consteval] = ACTIONS(2789),
    [sym_primitive_type] = ACTIONS(2789),
    [anon_sym_enum] = ACTIONS(2789),
    [anon_sym_class] = ACTIONS(2789),
    [anon_sym_struct] = ACTIONS(2789),
    [anon_sym_union] = ACTIONS(2789),
    [anon_sym_if] = ACTIONS(2789),
    [anon_sym_switch] = ACTIONS(2789),
    [anon_sym_case] = ACTIONS(2789),
    [anon_sym_default] = ACTIONS(2789),
    [anon_sym_while] = ACTIONS(2789),
    [anon_sym_do] = ACTIONS(2789),
    [anon_sym_for] = ACTIONS(2789),
    [anon_sym_return] = ACTIONS(2789),
    [anon_sym_break] = ACTIONS(2789),
    [anon_sym_continue] = ACTIONS(2789),
    [anon_sym_goto] = ACTIONS(2789),
    [anon_sym_not] = ACTIONS(2789),
    [anon_sym_compl] = ACTIONS(2789),
    [anon_sym_DASH_DASH] = ACTIONS(2791),
    [anon_sym_PLUS_PLUS] = ACTIONS(2791),
    [anon_sym_sizeof] = ACTIONS(2789),
    [anon_sym___alignof__] = ACTIONS(2789),
    [anon_sym___alignof] = ACTIONS(2789),
    [anon_sym__alignof] = ACTIONS(2789),
    [anon_sym_alignof] = ACTIONS(2789),
    [anon_sym__Alignof] = ACTIONS(2789),
    [anon_sym_offsetof] = ACTIONS(2789),
    [anon_sym__Generic] = ACTIONS(2789),
    [anon_sym_asm] = ACTIONS(2789),
    [anon_sym___asm__] = ACTIONS(2789),
    [sym_number_literal] = ACTIONS(2791),
    [anon_sym_L_SQUOTE] = ACTIONS(2791),
    [anon_sym_u_SQUOTE] = ACTIONS(2791),
    [anon_sym_U_SQUOTE] = ACTIONS(2791),
    [anon_sym_u8_SQUOTE] = ACTIONS(2791),
    [anon_sym_SQUOTE] = ACTIONS(2791),
    [anon_sym_L_DQUOTE] = ACTIONS(2791),
    [anon_sym_u_DQUOTE] = ACTIONS(2791),
    [anon_sym_U_DQUOTE] = ACTIONS(2791),
    [anon_sym_u8_DQUOTE] = ACTIONS(2791),
    [anon_sym_DQUOTE] = ACTIONS(2791),
    [sym_true] = ACTIONS(2789),
    [sym_false] = ACTIONS(2789),
    [anon_sym_NULL] = ACTIONS(2789),
    [anon_sym_nullptr] = ACTIONS(2789),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2789),
    [anon_sym_decltype] = ACTIONS(2789),
    [anon_sym_virtual] = ACTIONS(2789),
    [anon_sym_alignas] = ACTIONS(2789),
    [anon_sym_explicit] = ACTIONS(2789),
    [anon_sym_typename] = ACTIONS(2789),
    [anon_sym_template] = ACTIONS(2789),
    [anon_sym_operator] = ACTIONS(2789),
    [anon_sym_try] = ACTIONS(2789),
    [anon_sym_delete] = ACTIONS(2789),
    [anon_sym_throw] = ACTIONS(2789),
    [anon_sym_namespace] = ACTIONS(2789),
    [anon_sym_using] = ACTIONS(2789),
    [anon_sym_static_assert] = ACTIONS(2789),
    [anon_sym_concept] = ACTIONS(2789),
    [anon_sym_co_return] = ACTIONS(2789),
    [anon_sym_co_yield] = ACTIONS(2789),
    [anon_sym_R_DQUOTE] = ACTIONS(2791),
    [anon_sym_LR_DQUOTE] = ACTIONS(2791),
    [anon_sym_uR_DQUOTE] = ACTIONS(2791),
    [anon_sym_UR_DQUOTE] = ACTIONS(2791),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2791),
    [anon_sym_co_await] = ACTIONS(2789),
    [anon_sym_new] = ACTIONS(2789),
    [anon_sym_requires] = ACTIONS(2789),
    [sym_this] = ACTIONS(2789),
    [anon_sym_precise] = ACTIONS(2789),
    [anon_sym_shared] = ACTIONS(2789),
    [anon_sym_groupshared] = ACTIONS(2789),
    [anon_sym_uniform] = ACTIONS(2789),
    [anon_sym_row_major] = ACTIONS(2789),
    [anon_sym_column_major] = ACTIONS(2789),
    [anon_sym_globallycoherent] = ACTIONS(2789),
    [anon_sym_centroid] = ACTIONS(2789),
    [anon_sym_noperspective] = ACTIONS(2789),
    [anon_sym_nointerpolation] = ACTIONS(2789),
    [anon_sym_sample] = ACTIONS(2789),
    [anon_sym_linear] = ACTIONS(2789),
    [anon_sym_snorm] = ACTIONS(2789),
    [anon_sym_unorm] = ACTIONS(2789),
    [anon_sym_point] = ACTIONS(2789),
    [anon_sym_line] = ACTIONS(2789),
    [anon_sym_triangleadj] = ACTIONS(2789),
    [anon_sym_lineadj] = ACTIONS(2789),
    [anon_sym_triangle] = ACTIONS(2789),
  },
  [1286] = {
    [ts_builtin_sym_end] = ACTIONS(2843),
    [sym_identifier] = ACTIONS(2841),
    [aux_sym_preproc_include_token1] = ACTIONS(2841),
    [aux_sym_preproc_def_token1] = ACTIONS(2841),
    [aux_sym_preproc_if_token1] = ACTIONS(2841),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2841),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2841),
    [sym_preproc_directive] = ACTIONS(2841),
    [anon_sym_LPAREN2] = ACTIONS(2843),
    [anon_sym_BANG] = ACTIONS(2843),
    [anon_sym_TILDE] = ACTIONS(2843),
    [anon_sym_DASH] = ACTIONS(2841),
    [anon_sym_PLUS] = ACTIONS(2841),
    [anon_sym_STAR] = ACTIONS(2843),
    [anon_sym_AMP_AMP] = ACTIONS(2843),
    [anon_sym_AMP] = ACTIONS(2841),
    [anon_sym___extension__] = ACTIONS(2841),
    [anon_sym_typedef] = ACTIONS(2841),
    [anon_sym_in] = ACTIONS(2841),
    [anon_sym_out] = ACTIONS(2841),
    [anon_sym_inout] = ACTIONS(2841),
    [anon_sym_extern] = ACTIONS(2841),
    [anon_sym___attribute__] = ACTIONS(2841),
    [anon_sym_COLON_COLON] = ACTIONS(2843),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2843),
    [anon_sym___declspec] = ACTIONS(2841),
    [anon_sym___based] = ACTIONS(2841),
    [anon_sym___cdecl] = ACTIONS(2841),
    [anon_sym___clrcall] = ACTIONS(2841),
    [anon_sym___stdcall] = ACTIONS(2841),
    [anon_sym___fastcall] = ACTIONS(2841),
    [anon_sym___thiscall] = ACTIONS(2841),
    [anon_sym___vectorcall] = ACTIONS(2841),
    [anon_sym_LBRACE] = ACTIONS(2843),
    [anon_sym_signed] = ACTIONS(2841),
    [anon_sym_unsigned] = ACTIONS(2841),
    [anon_sym_long] = ACTIONS(2841),
    [anon_sym_short] = ACTIONS(2841),
    [anon_sym_LBRACK] = ACTIONS(2841),
    [anon_sym_static] = ACTIONS(2841),
    [anon_sym_register] = ACTIONS(2841),
    [anon_sym_inline] = ACTIONS(2841),
    [anon_sym___inline] = ACTIONS(2841),
    [anon_sym___inline__] = ACTIONS(2841),
    [anon_sym___forceinline] = ACTIONS(2841),
    [anon_sym_thread_local] = ACTIONS(2841),
    [anon_sym___thread] = ACTIONS(2841),
    [anon_sym_const] = ACTIONS(2841),
    [anon_sym_constexpr] = ACTIONS(2841),
    [anon_sym_volatile] = ACTIONS(2841),
    [anon_sym_restrict] = ACTIONS(2841),
    [anon_sym___restrict__] = ACTIONS(2841),
    [anon_sym__Atomic] = ACTIONS(2841),
    [anon_sym__Noreturn] = ACTIONS(2841),
    [anon_sym_noreturn] = ACTIONS(2841),
    [anon_sym_mutable] = ACTIONS(2841),
    [anon_sym_constinit] = ACTIONS(2841),
    [anon_sym_consteval] = ACTIONS(2841),
    [sym_primitive_type] = ACTIONS(2841),
    [anon_sym_enum] = ACTIONS(2841),
    [anon_sym_class] = ACTIONS(2841),
    [anon_sym_struct] = ACTIONS(2841),
    [anon_sym_union] = ACTIONS(2841),
    [anon_sym_if] = ACTIONS(2841),
    [anon_sym_switch] = ACTIONS(2841),
    [anon_sym_case] = ACTIONS(2841),
    [anon_sym_default] = ACTIONS(2841),
    [anon_sym_while] = ACTIONS(2841),
    [anon_sym_do] = ACTIONS(2841),
    [anon_sym_for] = ACTIONS(2841),
    [anon_sym_return] = ACTIONS(2841),
    [anon_sym_break] = ACTIONS(2841),
    [anon_sym_continue] = ACTIONS(2841),
    [anon_sym_goto] = ACTIONS(2841),
    [anon_sym_not] = ACTIONS(2841),
    [anon_sym_compl] = ACTIONS(2841),
    [anon_sym_DASH_DASH] = ACTIONS(2843),
    [anon_sym_PLUS_PLUS] = ACTIONS(2843),
    [anon_sym_sizeof] = ACTIONS(2841),
    [anon_sym___alignof__] = ACTIONS(2841),
    [anon_sym___alignof] = ACTIONS(2841),
    [anon_sym__alignof] = ACTIONS(2841),
    [anon_sym_alignof] = ACTIONS(2841),
    [anon_sym__Alignof] = ACTIONS(2841),
    [anon_sym_offsetof] = ACTIONS(2841),
    [anon_sym__Generic] = ACTIONS(2841),
    [anon_sym_asm] = ACTIONS(2841),
    [anon_sym___asm__] = ACTIONS(2841),
    [sym_number_literal] = ACTIONS(2843),
    [anon_sym_L_SQUOTE] = ACTIONS(2843),
    [anon_sym_u_SQUOTE] = ACTIONS(2843),
    [anon_sym_U_SQUOTE] = ACTIONS(2843),
    [anon_sym_u8_SQUOTE] = ACTIONS(2843),
    [anon_sym_SQUOTE] = ACTIONS(2843),
    [anon_sym_L_DQUOTE] = ACTIONS(2843),
    [anon_sym_u_DQUOTE] = ACTIONS(2843),
    [anon_sym_U_DQUOTE] = ACTIONS(2843),
    [anon_sym_u8_DQUOTE] = ACTIONS(2843),
    [anon_sym_DQUOTE] = ACTIONS(2843),
    [sym_true] = ACTIONS(2841),
    [sym_false] = ACTIONS(2841),
    [anon_sym_NULL] = ACTIONS(2841),
    [anon_sym_nullptr] = ACTIONS(2841),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2841),
    [anon_sym_decltype] = ACTIONS(2841),
    [anon_sym_virtual] = ACTIONS(2841),
    [anon_sym_alignas] = ACTIONS(2841),
    [anon_sym_explicit] = ACTIONS(2841),
    [anon_sym_typename] = ACTIONS(2841),
    [anon_sym_template] = ACTIONS(2841),
    [anon_sym_operator] = ACTIONS(2841),
    [anon_sym_try] = ACTIONS(2841),
    [anon_sym_delete] = ACTIONS(2841),
    [anon_sym_throw] = ACTIONS(2841),
    [anon_sym_namespace] = ACTIONS(2841),
    [anon_sym_using] = ACTIONS(2841),
    [anon_sym_static_assert] = ACTIONS(2841),
    [anon_sym_concept] = ACTIONS(2841),
    [anon_sym_co_return] = ACTIONS(2841),
    [anon_sym_co_yield] = ACTIONS(2841),
    [anon_sym_R_DQUOTE] = ACTIONS(2843),
    [anon_sym_LR_DQUOTE] = ACTIONS(2843),
    [anon_sym_uR_DQUOTE] = ACTIONS(2843),
    [anon_sym_UR_DQUOTE] = ACTIONS(2843),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2843),
    [anon_sym_co_await] = ACTIONS(2841),
    [anon_sym_new] = ACTIONS(2841),
    [anon_sym_requires] = ACTIONS(2841),
    [sym_this] = ACTIONS(2841),
    [anon_sym_precise] = ACTIONS(2841),
    [anon_sym_shared] = ACTIONS(2841),
    [anon_sym_groupshared] = ACTIONS(2841),
    [anon_sym_uniform] = ACTIONS(2841),
    [anon_sym_row_major] = ACTIONS(2841),
    [anon_sym_column_major] = ACTIONS(2841),
    [anon_sym_globallycoherent] = ACTIONS(2841),
    [anon_sym_centroid] = ACTIONS(2841),
    [anon_sym_noperspective] = ACTIONS(2841),
    [anon_sym_nointerpolation] = ACTIONS(2841),
    [anon_sym_sample] = ACTIONS(2841),
    [anon_sym_linear] = ACTIONS(2841),
    [anon_sym_snorm] = ACTIONS(2841),
    [anon_sym_unorm] = ACTIONS(2841),
    [anon_sym_point] = ACTIONS(2841),
    [anon_sym_line] = ACTIONS(2841),
    [anon_sym_triangleadj] = ACTIONS(2841),
    [anon_sym_lineadj] = ACTIONS(2841),
    [anon_sym_triangle] = ACTIONS(2841),
  },
  [1287] = {
    [ts_builtin_sym_end] = ACTIONS(2522),
    [sym_identifier] = ACTIONS(2520),
    [aux_sym_preproc_include_token1] = ACTIONS(2520),
    [aux_sym_preproc_def_token1] = ACTIONS(2520),
    [aux_sym_preproc_if_token1] = ACTIONS(2520),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2520),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2520),
    [sym_preproc_directive] = ACTIONS(2520),
    [anon_sym_LPAREN2] = ACTIONS(2522),
    [anon_sym_BANG] = ACTIONS(2522),
    [anon_sym_TILDE] = ACTIONS(2522),
    [anon_sym_DASH] = ACTIONS(2520),
    [anon_sym_PLUS] = ACTIONS(2520),
    [anon_sym_STAR] = ACTIONS(2522),
    [anon_sym_AMP_AMP] = ACTIONS(2522),
    [anon_sym_AMP] = ACTIONS(2520),
    [anon_sym___extension__] = ACTIONS(2520),
    [anon_sym_typedef] = ACTIONS(2520),
    [anon_sym_in] = ACTIONS(2520),
    [anon_sym_out] = ACTIONS(2520),
    [anon_sym_inout] = ACTIONS(2520),
    [anon_sym_extern] = ACTIONS(2520),
    [anon_sym___attribute__] = ACTIONS(2520),
    [anon_sym_COLON_COLON] = ACTIONS(2522),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2522),
    [anon_sym___declspec] = ACTIONS(2520),
    [anon_sym___based] = ACTIONS(2520),
    [anon_sym___cdecl] = ACTIONS(2520),
    [anon_sym___clrcall] = ACTIONS(2520),
    [anon_sym___stdcall] = ACTIONS(2520),
    [anon_sym___fastcall] = ACTIONS(2520),
    [anon_sym___thiscall] = ACTIONS(2520),
    [anon_sym___vectorcall] = ACTIONS(2520),
    [anon_sym_LBRACE] = ACTIONS(2522),
    [anon_sym_signed] = ACTIONS(2520),
    [anon_sym_unsigned] = ACTIONS(2520),
    [anon_sym_long] = ACTIONS(2520),
    [anon_sym_short] = ACTIONS(2520),
    [anon_sym_LBRACK] = ACTIONS(2520),
    [anon_sym_static] = ACTIONS(2520),
    [anon_sym_register] = ACTIONS(2520),
    [anon_sym_inline] = ACTIONS(2520),
    [anon_sym___inline] = ACTIONS(2520),
    [anon_sym___inline__] = ACTIONS(2520),
    [anon_sym___forceinline] = ACTIONS(2520),
    [anon_sym_thread_local] = ACTIONS(2520),
    [anon_sym___thread] = ACTIONS(2520),
    [anon_sym_const] = ACTIONS(2520),
    [anon_sym_constexpr] = ACTIONS(2520),
    [anon_sym_volatile] = ACTIONS(2520),
    [anon_sym_restrict] = ACTIONS(2520),
    [anon_sym___restrict__] = ACTIONS(2520),
    [anon_sym__Atomic] = ACTIONS(2520),
    [anon_sym__Noreturn] = ACTIONS(2520),
    [anon_sym_noreturn] = ACTIONS(2520),
    [anon_sym_mutable] = ACTIONS(2520),
    [anon_sym_constinit] = ACTIONS(2520),
    [anon_sym_consteval] = ACTIONS(2520),
    [sym_primitive_type] = ACTIONS(2520),
    [anon_sym_enum] = ACTIONS(2520),
    [anon_sym_class] = ACTIONS(2520),
    [anon_sym_struct] = ACTIONS(2520),
    [anon_sym_union] = ACTIONS(2520),
    [anon_sym_if] = ACTIONS(2520),
    [anon_sym_switch] = ACTIONS(2520),
    [anon_sym_case] = ACTIONS(2520),
    [anon_sym_default] = ACTIONS(2520),
    [anon_sym_while] = ACTIONS(2520),
    [anon_sym_do] = ACTIONS(2520),
    [anon_sym_for] = ACTIONS(2520),
    [anon_sym_return] = ACTIONS(2520),
    [anon_sym_break] = ACTIONS(2520),
    [anon_sym_continue] = ACTIONS(2520),
    [anon_sym_goto] = ACTIONS(2520),
    [anon_sym_not] = ACTIONS(2520),
    [anon_sym_compl] = ACTIONS(2520),
    [anon_sym_DASH_DASH] = ACTIONS(2522),
    [anon_sym_PLUS_PLUS] = ACTIONS(2522),
    [anon_sym_sizeof] = ACTIONS(2520),
    [anon_sym___alignof__] = ACTIONS(2520),
    [anon_sym___alignof] = ACTIONS(2520),
    [anon_sym__alignof] = ACTIONS(2520),
    [anon_sym_alignof] = ACTIONS(2520),
    [anon_sym__Alignof] = ACTIONS(2520),
    [anon_sym_offsetof] = ACTIONS(2520),
    [anon_sym__Generic] = ACTIONS(2520),
    [anon_sym_asm] = ACTIONS(2520),
    [anon_sym___asm__] = ACTIONS(2520),
    [sym_number_literal] = ACTIONS(2522),
    [anon_sym_L_SQUOTE] = ACTIONS(2522),
    [anon_sym_u_SQUOTE] = ACTIONS(2522),
    [anon_sym_U_SQUOTE] = ACTIONS(2522),
    [anon_sym_u8_SQUOTE] = ACTIONS(2522),
    [anon_sym_SQUOTE] = ACTIONS(2522),
    [anon_sym_L_DQUOTE] = ACTIONS(2522),
    [anon_sym_u_DQUOTE] = ACTIONS(2522),
    [anon_sym_U_DQUOTE] = ACTIONS(2522),
    [anon_sym_u8_DQUOTE] = ACTIONS(2522),
    [anon_sym_DQUOTE] = ACTIONS(2522),
    [sym_true] = ACTIONS(2520),
    [sym_false] = ACTIONS(2520),
    [anon_sym_NULL] = ACTIONS(2520),
    [anon_sym_nullptr] = ACTIONS(2520),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2520),
    [anon_sym_decltype] = ACTIONS(2520),
    [anon_sym_virtual] = ACTIONS(2520),
    [anon_sym_alignas] = ACTIONS(2520),
    [anon_sym_explicit] = ACTIONS(2520),
    [anon_sym_typename] = ACTIONS(2520),
    [anon_sym_template] = ACTIONS(2520),
    [anon_sym_operator] = ACTIONS(2520),
    [anon_sym_try] = ACTIONS(2520),
    [anon_sym_delete] = ACTIONS(2520),
    [anon_sym_throw] = ACTIONS(2520),
    [anon_sym_namespace] = ACTIONS(2520),
    [anon_sym_using] = ACTIONS(2520),
    [anon_sym_static_assert] = ACTIONS(2520),
    [anon_sym_concept] = ACTIONS(2520),
    [anon_sym_co_return] = ACTIONS(2520),
    [anon_sym_co_yield] = ACTIONS(2520),
    [anon_sym_R_DQUOTE] = ACTIONS(2522),
    [anon_sym_LR_DQUOTE] = ACTIONS(2522),
    [anon_sym_uR_DQUOTE] = ACTIONS(2522),
    [anon_sym_UR_DQUOTE] = ACTIONS(2522),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2522),
    [anon_sym_co_await] = ACTIONS(2520),
    [anon_sym_new] = ACTIONS(2520),
    [anon_sym_requires] = ACTIONS(2520),
    [sym_this] = ACTIONS(2520),
    [anon_sym_precise] = ACTIONS(2520),
    [anon_sym_shared] = ACTIONS(2520),
    [anon_sym_groupshared] = ACTIONS(2520),
    [anon_sym_uniform] = ACTIONS(2520),
    [anon_sym_row_major] = ACTIONS(2520),
    [anon_sym_column_major] = ACTIONS(2520),
    [anon_sym_globallycoherent] = ACTIONS(2520),
    [anon_sym_centroid] = ACTIONS(2520),
    [anon_sym_noperspective] = ACTIONS(2520),
    [anon_sym_nointerpolation] = ACTIONS(2520),
    [anon_sym_sample] = ACTIONS(2520),
    [anon_sym_linear] = ACTIONS(2520),
    [anon_sym_snorm] = ACTIONS(2520),
    [anon_sym_unorm] = ACTIONS(2520),
    [anon_sym_point] = ACTIONS(2520),
    [anon_sym_line] = ACTIONS(2520),
    [anon_sym_triangleadj] = ACTIONS(2520),
    [anon_sym_lineadj] = ACTIONS(2520),
    [anon_sym_triangle] = ACTIONS(2520),
  },
  [1288] = {
    [ts_builtin_sym_end] = ACTIONS(2839),
    [sym_identifier] = ACTIONS(2837),
    [aux_sym_preproc_include_token1] = ACTIONS(2837),
    [aux_sym_preproc_def_token1] = ACTIONS(2837),
    [aux_sym_preproc_if_token1] = ACTIONS(2837),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2837),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2837),
    [sym_preproc_directive] = ACTIONS(2837),
    [anon_sym_LPAREN2] = ACTIONS(2839),
    [anon_sym_BANG] = ACTIONS(2839),
    [anon_sym_TILDE] = ACTIONS(2839),
    [anon_sym_DASH] = ACTIONS(2837),
    [anon_sym_PLUS] = ACTIONS(2837),
    [anon_sym_STAR] = ACTIONS(2839),
    [anon_sym_AMP_AMP] = ACTIONS(2839),
    [anon_sym_AMP] = ACTIONS(2837),
    [anon_sym___extension__] = ACTIONS(2837),
    [anon_sym_typedef] = ACTIONS(2837),
    [anon_sym_in] = ACTIONS(2837),
    [anon_sym_out] = ACTIONS(2837),
    [anon_sym_inout] = ACTIONS(2837),
    [anon_sym_extern] = ACTIONS(2837),
    [anon_sym___attribute__] = ACTIONS(2837),
    [anon_sym_COLON_COLON] = ACTIONS(2839),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2839),
    [anon_sym___declspec] = ACTIONS(2837),
    [anon_sym___based] = ACTIONS(2837),
    [anon_sym___cdecl] = ACTIONS(2837),
    [anon_sym___clrcall] = ACTIONS(2837),
    [anon_sym___stdcall] = ACTIONS(2837),
    [anon_sym___fastcall] = ACTIONS(2837),
    [anon_sym___thiscall] = ACTIONS(2837),
    [anon_sym___vectorcall] = ACTIONS(2837),
    [anon_sym_LBRACE] = ACTIONS(2839),
    [anon_sym_signed] = ACTIONS(2837),
    [anon_sym_unsigned] = ACTIONS(2837),
    [anon_sym_long] = ACTIONS(2837),
    [anon_sym_short] = ACTIONS(2837),
    [anon_sym_LBRACK] = ACTIONS(2837),
    [anon_sym_static] = ACTIONS(2837),
    [anon_sym_register] = ACTIONS(2837),
    [anon_sym_inline] = ACTIONS(2837),
    [anon_sym___inline] = ACTIONS(2837),
    [anon_sym___inline__] = ACTIONS(2837),
    [anon_sym___forceinline] = ACTIONS(2837),
    [anon_sym_thread_local] = ACTIONS(2837),
    [anon_sym___thread] = ACTIONS(2837),
    [anon_sym_const] = ACTIONS(2837),
    [anon_sym_constexpr] = ACTIONS(2837),
    [anon_sym_volatile] = ACTIONS(2837),
    [anon_sym_restrict] = ACTIONS(2837),
    [anon_sym___restrict__] = ACTIONS(2837),
    [anon_sym__Atomic] = ACTIONS(2837),
    [anon_sym__Noreturn] = ACTIONS(2837),
    [anon_sym_noreturn] = ACTIONS(2837),
    [anon_sym_mutable] = ACTIONS(2837),
    [anon_sym_constinit] = ACTIONS(2837),
    [anon_sym_consteval] = ACTIONS(2837),
    [sym_primitive_type] = ACTIONS(2837),
    [anon_sym_enum] = ACTIONS(2837),
    [anon_sym_class] = ACTIONS(2837),
    [anon_sym_struct] = ACTIONS(2837),
    [anon_sym_union] = ACTIONS(2837),
    [anon_sym_if] = ACTIONS(2837),
    [anon_sym_switch] = ACTIONS(2837),
    [anon_sym_case] = ACTIONS(2837),
    [anon_sym_default] = ACTIONS(2837),
    [anon_sym_while] = ACTIONS(2837),
    [anon_sym_do] = ACTIONS(2837),
    [anon_sym_for] = ACTIONS(2837),
    [anon_sym_return] = ACTIONS(2837),
    [anon_sym_break] = ACTIONS(2837),
    [anon_sym_continue] = ACTIONS(2837),
    [anon_sym_goto] = ACTIONS(2837),
    [anon_sym_not] = ACTIONS(2837),
    [anon_sym_compl] = ACTIONS(2837),
    [anon_sym_DASH_DASH] = ACTIONS(2839),
    [anon_sym_PLUS_PLUS] = ACTIONS(2839),
    [anon_sym_sizeof] = ACTIONS(2837),
    [anon_sym___alignof__] = ACTIONS(2837),
    [anon_sym___alignof] = ACTIONS(2837),
    [anon_sym__alignof] = ACTIONS(2837),
    [anon_sym_alignof] = ACTIONS(2837),
    [anon_sym__Alignof] = ACTIONS(2837),
    [anon_sym_offsetof] = ACTIONS(2837),
    [anon_sym__Generic] = ACTIONS(2837),
    [anon_sym_asm] = ACTIONS(2837),
    [anon_sym___asm__] = ACTIONS(2837),
    [sym_number_literal] = ACTIONS(2839),
    [anon_sym_L_SQUOTE] = ACTIONS(2839),
    [anon_sym_u_SQUOTE] = ACTIONS(2839),
    [anon_sym_U_SQUOTE] = ACTIONS(2839),
    [anon_sym_u8_SQUOTE] = ACTIONS(2839),
    [anon_sym_SQUOTE] = ACTIONS(2839),
    [anon_sym_L_DQUOTE] = ACTIONS(2839),
    [anon_sym_u_DQUOTE] = ACTIONS(2839),
    [anon_sym_U_DQUOTE] = ACTIONS(2839),
    [anon_sym_u8_DQUOTE] = ACTIONS(2839),
    [anon_sym_DQUOTE] = ACTIONS(2839),
    [sym_true] = ACTIONS(2837),
    [sym_false] = ACTIONS(2837),
    [anon_sym_NULL] = ACTIONS(2837),
    [anon_sym_nullptr] = ACTIONS(2837),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2837),
    [anon_sym_decltype] = ACTIONS(2837),
    [anon_sym_virtual] = ACTIONS(2837),
    [anon_sym_alignas] = ACTIONS(2837),
    [anon_sym_explicit] = ACTIONS(2837),
    [anon_sym_typename] = ACTIONS(2837),
    [anon_sym_template] = ACTIONS(2837),
    [anon_sym_operator] = ACTIONS(2837),
    [anon_sym_try] = ACTIONS(2837),
    [anon_sym_delete] = ACTIONS(2837),
    [anon_sym_throw] = ACTIONS(2837),
    [anon_sym_namespace] = ACTIONS(2837),
    [anon_sym_using] = ACTIONS(2837),
    [anon_sym_static_assert] = ACTIONS(2837),
    [anon_sym_concept] = ACTIONS(2837),
    [anon_sym_co_return] = ACTIONS(2837),
    [anon_sym_co_yield] = ACTIONS(2837),
    [anon_sym_R_DQUOTE] = ACTIONS(2839),
    [anon_sym_LR_DQUOTE] = ACTIONS(2839),
    [anon_sym_uR_DQUOTE] = ACTIONS(2839),
    [anon_sym_UR_DQUOTE] = ACTIONS(2839),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2839),
    [anon_sym_co_await] = ACTIONS(2837),
    [anon_sym_new] = ACTIONS(2837),
    [anon_sym_requires] = ACTIONS(2837),
    [sym_this] = ACTIONS(2837),
    [anon_sym_precise] = ACTIONS(2837),
    [anon_sym_shared] = ACTIONS(2837),
    [anon_sym_groupshared] = ACTIONS(2837),
    [anon_sym_uniform] = ACTIONS(2837),
    [anon_sym_row_major] = ACTIONS(2837),
    [anon_sym_column_major] = ACTIONS(2837),
    [anon_sym_globallycoherent] = ACTIONS(2837),
    [anon_sym_centroid] = ACTIONS(2837),
    [anon_sym_noperspective] = ACTIONS(2837),
    [anon_sym_nointerpolation] = ACTIONS(2837),
    [anon_sym_sample] = ACTIONS(2837),
    [anon_sym_linear] = ACTIONS(2837),
    [anon_sym_snorm] = ACTIONS(2837),
    [anon_sym_unorm] = ACTIONS(2837),
    [anon_sym_point] = ACTIONS(2837),
    [anon_sym_line] = ACTIONS(2837),
    [anon_sym_triangleadj] = ACTIONS(2837),
    [anon_sym_lineadj] = ACTIONS(2837),
    [anon_sym_triangle] = ACTIONS(2837),
  },
  [1289] = {
    [ts_builtin_sym_end] = ACTIONS(2522),
    [sym_identifier] = ACTIONS(2520),
    [aux_sym_preproc_include_token1] = ACTIONS(2520),
    [aux_sym_preproc_def_token1] = ACTIONS(2520),
    [aux_sym_preproc_if_token1] = ACTIONS(2520),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2520),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2520),
    [sym_preproc_directive] = ACTIONS(2520),
    [anon_sym_LPAREN2] = ACTIONS(2522),
    [anon_sym_BANG] = ACTIONS(2522),
    [anon_sym_TILDE] = ACTIONS(2522),
    [anon_sym_DASH] = ACTIONS(2520),
    [anon_sym_PLUS] = ACTIONS(2520),
    [anon_sym_STAR] = ACTIONS(2522),
    [anon_sym_AMP_AMP] = ACTIONS(2522),
    [anon_sym_AMP] = ACTIONS(2520),
    [anon_sym___extension__] = ACTIONS(2520),
    [anon_sym_typedef] = ACTIONS(2520),
    [anon_sym_in] = ACTIONS(2520),
    [anon_sym_out] = ACTIONS(2520),
    [anon_sym_inout] = ACTIONS(2520),
    [anon_sym_extern] = ACTIONS(2520),
    [anon_sym___attribute__] = ACTIONS(2520),
    [anon_sym_COLON_COLON] = ACTIONS(2522),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2522),
    [anon_sym___declspec] = ACTIONS(2520),
    [anon_sym___based] = ACTIONS(2520),
    [anon_sym___cdecl] = ACTIONS(2520),
    [anon_sym___clrcall] = ACTIONS(2520),
    [anon_sym___stdcall] = ACTIONS(2520),
    [anon_sym___fastcall] = ACTIONS(2520),
    [anon_sym___thiscall] = ACTIONS(2520),
    [anon_sym___vectorcall] = ACTIONS(2520),
    [anon_sym_LBRACE] = ACTIONS(2522),
    [anon_sym_signed] = ACTIONS(2520),
    [anon_sym_unsigned] = ACTIONS(2520),
    [anon_sym_long] = ACTIONS(2520),
    [anon_sym_short] = ACTIONS(2520),
    [anon_sym_LBRACK] = ACTIONS(2520),
    [anon_sym_static] = ACTIONS(2520),
    [anon_sym_register] = ACTIONS(2520),
    [anon_sym_inline] = ACTIONS(2520),
    [anon_sym___inline] = ACTIONS(2520),
    [anon_sym___inline__] = ACTIONS(2520),
    [anon_sym___forceinline] = ACTIONS(2520),
    [anon_sym_thread_local] = ACTIONS(2520),
    [anon_sym___thread] = ACTIONS(2520),
    [anon_sym_const] = ACTIONS(2520),
    [anon_sym_constexpr] = ACTIONS(2520),
    [anon_sym_volatile] = ACTIONS(2520),
    [anon_sym_restrict] = ACTIONS(2520),
    [anon_sym___restrict__] = ACTIONS(2520),
    [anon_sym__Atomic] = ACTIONS(2520),
    [anon_sym__Noreturn] = ACTIONS(2520),
    [anon_sym_noreturn] = ACTIONS(2520),
    [anon_sym_mutable] = ACTIONS(2520),
    [anon_sym_constinit] = ACTIONS(2520),
    [anon_sym_consteval] = ACTIONS(2520),
    [sym_primitive_type] = ACTIONS(2520),
    [anon_sym_enum] = ACTIONS(2520),
    [anon_sym_class] = ACTIONS(2520),
    [anon_sym_struct] = ACTIONS(2520),
    [anon_sym_union] = ACTIONS(2520),
    [anon_sym_if] = ACTIONS(2520),
    [anon_sym_switch] = ACTIONS(2520),
    [anon_sym_case] = ACTIONS(2520),
    [anon_sym_default] = ACTIONS(2520),
    [anon_sym_while] = ACTIONS(2520),
    [anon_sym_do] = ACTIONS(2520),
    [anon_sym_for] = ACTIONS(2520),
    [anon_sym_return] = ACTIONS(2520),
    [anon_sym_break] = ACTIONS(2520),
    [anon_sym_continue] = ACTIONS(2520),
    [anon_sym_goto] = ACTIONS(2520),
    [anon_sym_not] = ACTIONS(2520),
    [anon_sym_compl] = ACTIONS(2520),
    [anon_sym_DASH_DASH] = ACTIONS(2522),
    [anon_sym_PLUS_PLUS] = ACTIONS(2522),
    [anon_sym_sizeof] = ACTIONS(2520),
    [anon_sym___alignof__] = ACTIONS(2520),
    [anon_sym___alignof] = ACTIONS(2520),
    [anon_sym__alignof] = ACTIONS(2520),
    [anon_sym_alignof] = ACTIONS(2520),
    [anon_sym__Alignof] = ACTIONS(2520),
    [anon_sym_offsetof] = ACTIONS(2520),
    [anon_sym__Generic] = ACTIONS(2520),
    [anon_sym_asm] = ACTIONS(2520),
    [anon_sym___asm__] = ACTIONS(2520),
    [sym_number_literal] = ACTIONS(2522),
    [anon_sym_L_SQUOTE] = ACTIONS(2522),
    [anon_sym_u_SQUOTE] = ACTIONS(2522),
    [anon_sym_U_SQUOTE] = ACTIONS(2522),
    [anon_sym_u8_SQUOTE] = ACTIONS(2522),
    [anon_sym_SQUOTE] = ACTIONS(2522),
    [anon_sym_L_DQUOTE] = ACTIONS(2522),
    [anon_sym_u_DQUOTE] = ACTIONS(2522),
    [anon_sym_U_DQUOTE] = ACTIONS(2522),
    [anon_sym_u8_DQUOTE] = ACTIONS(2522),
    [anon_sym_DQUOTE] = ACTIONS(2522),
    [sym_true] = ACTIONS(2520),
    [sym_false] = ACTIONS(2520),
    [anon_sym_NULL] = ACTIONS(2520),
    [anon_sym_nullptr] = ACTIONS(2520),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2520),
    [anon_sym_decltype] = ACTIONS(2520),
    [anon_sym_virtual] = ACTIONS(2520),
    [anon_sym_alignas] = ACTIONS(2520),
    [anon_sym_explicit] = ACTIONS(2520),
    [anon_sym_typename] = ACTIONS(2520),
    [anon_sym_template] = ACTIONS(2520),
    [anon_sym_operator] = ACTIONS(2520),
    [anon_sym_try] = ACTIONS(2520),
    [anon_sym_delete] = ACTIONS(2520),
    [anon_sym_throw] = ACTIONS(2520),
    [anon_sym_namespace] = ACTIONS(2520),
    [anon_sym_using] = ACTIONS(2520),
    [anon_sym_static_assert] = ACTIONS(2520),
    [anon_sym_concept] = ACTIONS(2520),
    [anon_sym_co_return] = ACTIONS(2520),
    [anon_sym_co_yield] = ACTIONS(2520),
    [anon_sym_R_DQUOTE] = ACTIONS(2522),
    [anon_sym_LR_DQUOTE] = ACTIONS(2522),
    [anon_sym_uR_DQUOTE] = ACTIONS(2522),
    [anon_sym_UR_DQUOTE] = ACTIONS(2522),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2522),
    [anon_sym_co_await] = ACTIONS(2520),
    [anon_sym_new] = ACTIONS(2520),
    [anon_sym_requires] = ACTIONS(2520),
    [sym_this] = ACTIONS(2520),
    [anon_sym_precise] = ACTIONS(2520),
    [anon_sym_shared] = ACTIONS(2520),
    [anon_sym_groupshared] = ACTIONS(2520),
    [anon_sym_uniform] = ACTIONS(2520),
    [anon_sym_row_major] = ACTIONS(2520),
    [anon_sym_column_major] = ACTIONS(2520),
    [anon_sym_globallycoherent] = ACTIONS(2520),
    [anon_sym_centroid] = ACTIONS(2520),
    [anon_sym_noperspective] = ACTIONS(2520),
    [anon_sym_nointerpolation] = ACTIONS(2520),
    [anon_sym_sample] = ACTIONS(2520),
    [anon_sym_linear] = ACTIONS(2520),
    [anon_sym_snorm] = ACTIONS(2520),
    [anon_sym_unorm] = ACTIONS(2520),
    [anon_sym_point] = ACTIONS(2520),
    [anon_sym_line] = ACTIONS(2520),
    [anon_sym_triangleadj] = ACTIONS(2520),
    [anon_sym_lineadj] = ACTIONS(2520),
    [anon_sym_triangle] = ACTIONS(2520),
  },
  [1290] = {
    [ts_builtin_sym_end] = ACTIONS(2745),
    [sym_identifier] = ACTIONS(2743),
    [aux_sym_preproc_include_token1] = ACTIONS(2743),
    [aux_sym_preproc_def_token1] = ACTIONS(2743),
    [aux_sym_preproc_if_token1] = ACTIONS(2743),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2743),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2743),
    [sym_preproc_directive] = ACTIONS(2743),
    [anon_sym_LPAREN2] = ACTIONS(2745),
    [anon_sym_BANG] = ACTIONS(2745),
    [anon_sym_TILDE] = ACTIONS(2745),
    [anon_sym_DASH] = ACTIONS(2743),
    [anon_sym_PLUS] = ACTIONS(2743),
    [anon_sym_STAR] = ACTIONS(2745),
    [anon_sym_AMP_AMP] = ACTIONS(2745),
    [anon_sym_AMP] = ACTIONS(2743),
    [anon_sym___extension__] = ACTIONS(2743),
    [anon_sym_typedef] = ACTIONS(2743),
    [anon_sym_in] = ACTIONS(2743),
    [anon_sym_out] = ACTIONS(2743),
    [anon_sym_inout] = ACTIONS(2743),
    [anon_sym_extern] = ACTIONS(2743),
    [anon_sym___attribute__] = ACTIONS(2743),
    [anon_sym_COLON_COLON] = ACTIONS(2745),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2745),
    [anon_sym___declspec] = ACTIONS(2743),
    [anon_sym___based] = ACTIONS(2743),
    [anon_sym___cdecl] = ACTIONS(2743),
    [anon_sym___clrcall] = ACTIONS(2743),
    [anon_sym___stdcall] = ACTIONS(2743),
    [anon_sym___fastcall] = ACTIONS(2743),
    [anon_sym___thiscall] = ACTIONS(2743),
    [anon_sym___vectorcall] = ACTIONS(2743),
    [anon_sym_LBRACE] = ACTIONS(2745),
    [anon_sym_signed] = ACTIONS(2743),
    [anon_sym_unsigned] = ACTIONS(2743),
    [anon_sym_long] = ACTIONS(2743),
    [anon_sym_short] = ACTIONS(2743),
    [anon_sym_LBRACK] = ACTIONS(2743),
    [anon_sym_static] = ACTIONS(2743),
    [anon_sym_register] = ACTIONS(2743),
    [anon_sym_inline] = ACTIONS(2743),
    [anon_sym___inline] = ACTIONS(2743),
    [anon_sym___inline__] = ACTIONS(2743),
    [anon_sym___forceinline] = ACTIONS(2743),
    [anon_sym_thread_local] = ACTIONS(2743),
    [anon_sym___thread] = ACTIONS(2743),
    [anon_sym_const] = ACTIONS(2743),
    [anon_sym_constexpr] = ACTIONS(2743),
    [anon_sym_volatile] = ACTIONS(2743),
    [anon_sym_restrict] = ACTIONS(2743),
    [anon_sym___restrict__] = ACTIONS(2743),
    [anon_sym__Atomic] = ACTIONS(2743),
    [anon_sym__Noreturn] = ACTIONS(2743),
    [anon_sym_noreturn] = ACTIONS(2743),
    [anon_sym_mutable] = ACTIONS(2743),
    [anon_sym_constinit] = ACTIONS(2743),
    [anon_sym_consteval] = ACTIONS(2743),
    [sym_primitive_type] = ACTIONS(2743),
    [anon_sym_enum] = ACTIONS(2743),
    [anon_sym_class] = ACTIONS(2743),
    [anon_sym_struct] = ACTIONS(2743),
    [anon_sym_union] = ACTIONS(2743),
    [anon_sym_if] = ACTIONS(2743),
    [anon_sym_switch] = ACTIONS(2743),
    [anon_sym_case] = ACTIONS(2743),
    [anon_sym_default] = ACTIONS(2743),
    [anon_sym_while] = ACTIONS(2743),
    [anon_sym_do] = ACTIONS(2743),
    [anon_sym_for] = ACTIONS(2743),
    [anon_sym_return] = ACTIONS(2743),
    [anon_sym_break] = ACTIONS(2743),
    [anon_sym_continue] = ACTIONS(2743),
    [anon_sym_goto] = ACTIONS(2743),
    [anon_sym_not] = ACTIONS(2743),
    [anon_sym_compl] = ACTIONS(2743),
    [anon_sym_DASH_DASH] = ACTIONS(2745),
    [anon_sym_PLUS_PLUS] = ACTIONS(2745),
    [anon_sym_sizeof] = ACTIONS(2743),
    [anon_sym___alignof__] = ACTIONS(2743),
    [anon_sym___alignof] = ACTIONS(2743),
    [anon_sym__alignof] = ACTIONS(2743),
    [anon_sym_alignof] = ACTIONS(2743),
    [anon_sym__Alignof] = ACTIONS(2743),
    [anon_sym_offsetof] = ACTIONS(2743),
    [anon_sym__Generic] = ACTIONS(2743),
    [anon_sym_asm] = ACTIONS(2743),
    [anon_sym___asm__] = ACTIONS(2743),
    [sym_number_literal] = ACTIONS(2745),
    [anon_sym_L_SQUOTE] = ACTIONS(2745),
    [anon_sym_u_SQUOTE] = ACTIONS(2745),
    [anon_sym_U_SQUOTE] = ACTIONS(2745),
    [anon_sym_u8_SQUOTE] = ACTIONS(2745),
    [anon_sym_SQUOTE] = ACTIONS(2745),
    [anon_sym_L_DQUOTE] = ACTIONS(2745),
    [anon_sym_u_DQUOTE] = ACTIONS(2745),
    [anon_sym_U_DQUOTE] = ACTIONS(2745),
    [anon_sym_u8_DQUOTE] = ACTIONS(2745),
    [anon_sym_DQUOTE] = ACTIONS(2745),
    [sym_true] = ACTIONS(2743),
    [sym_false] = ACTIONS(2743),
    [anon_sym_NULL] = ACTIONS(2743),
    [anon_sym_nullptr] = ACTIONS(2743),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2743),
    [anon_sym_decltype] = ACTIONS(2743),
    [anon_sym_virtual] = ACTIONS(2743),
    [anon_sym_alignas] = ACTIONS(2743),
    [anon_sym_explicit] = ACTIONS(2743),
    [anon_sym_typename] = ACTIONS(2743),
    [anon_sym_template] = ACTIONS(2743),
    [anon_sym_operator] = ACTIONS(2743),
    [anon_sym_try] = ACTIONS(2743),
    [anon_sym_delete] = ACTIONS(2743),
    [anon_sym_throw] = ACTIONS(2743),
    [anon_sym_namespace] = ACTIONS(2743),
    [anon_sym_using] = ACTIONS(2743),
    [anon_sym_static_assert] = ACTIONS(2743),
    [anon_sym_concept] = ACTIONS(2743),
    [anon_sym_co_return] = ACTIONS(2743),
    [anon_sym_co_yield] = ACTIONS(2743),
    [anon_sym_R_DQUOTE] = ACTIONS(2745),
    [anon_sym_LR_DQUOTE] = ACTIONS(2745),
    [anon_sym_uR_DQUOTE] = ACTIONS(2745),
    [anon_sym_UR_DQUOTE] = ACTIONS(2745),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2745),
    [anon_sym_co_await] = ACTIONS(2743),
    [anon_sym_new] = ACTIONS(2743),
    [anon_sym_requires] = ACTIONS(2743),
    [sym_this] = ACTIONS(2743),
    [anon_sym_precise] = ACTIONS(2743),
    [anon_sym_shared] = ACTIONS(2743),
    [anon_sym_groupshared] = ACTIONS(2743),
    [anon_sym_uniform] = ACTIONS(2743),
    [anon_sym_row_major] = ACTIONS(2743),
    [anon_sym_column_major] = ACTIONS(2743),
    [anon_sym_globallycoherent] = ACTIONS(2743),
    [anon_sym_centroid] = ACTIONS(2743),
    [anon_sym_noperspective] = ACTIONS(2743),
    [anon_sym_nointerpolation] = ACTIONS(2743),
    [anon_sym_sample] = ACTIONS(2743),
    [anon_sym_linear] = ACTIONS(2743),
    [anon_sym_snorm] = ACTIONS(2743),
    [anon_sym_unorm] = ACTIONS(2743),
    [anon_sym_point] = ACTIONS(2743),
    [anon_sym_line] = ACTIONS(2743),
    [anon_sym_triangleadj] = ACTIONS(2743),
    [anon_sym_lineadj] = ACTIONS(2743),
    [anon_sym_triangle] = ACTIONS(2743),
  },
  [1291] = {
    [ts_builtin_sym_end] = ACTIONS(2731),
    [sym_identifier] = ACTIONS(2729),
    [aux_sym_preproc_include_token1] = ACTIONS(2729),
    [aux_sym_preproc_def_token1] = ACTIONS(2729),
    [aux_sym_preproc_if_token1] = ACTIONS(2729),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2729),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2729),
    [sym_preproc_directive] = ACTIONS(2729),
    [anon_sym_LPAREN2] = ACTIONS(2731),
    [anon_sym_BANG] = ACTIONS(2731),
    [anon_sym_TILDE] = ACTIONS(2731),
    [anon_sym_DASH] = ACTIONS(2729),
    [anon_sym_PLUS] = ACTIONS(2729),
    [anon_sym_STAR] = ACTIONS(2731),
    [anon_sym_AMP_AMP] = ACTIONS(2731),
    [anon_sym_AMP] = ACTIONS(2729),
    [anon_sym___extension__] = ACTIONS(2729),
    [anon_sym_typedef] = ACTIONS(2729),
    [anon_sym_in] = ACTIONS(2729),
    [anon_sym_out] = ACTIONS(2729),
    [anon_sym_inout] = ACTIONS(2729),
    [anon_sym_extern] = ACTIONS(2729),
    [anon_sym___attribute__] = ACTIONS(2729),
    [anon_sym_COLON_COLON] = ACTIONS(2731),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2731),
    [anon_sym___declspec] = ACTIONS(2729),
    [anon_sym___based] = ACTIONS(2729),
    [anon_sym___cdecl] = ACTIONS(2729),
    [anon_sym___clrcall] = ACTIONS(2729),
    [anon_sym___stdcall] = ACTIONS(2729),
    [anon_sym___fastcall] = ACTIONS(2729),
    [anon_sym___thiscall] = ACTIONS(2729),
    [anon_sym___vectorcall] = ACTIONS(2729),
    [anon_sym_LBRACE] = ACTIONS(2731),
    [anon_sym_signed] = ACTIONS(2729),
    [anon_sym_unsigned] = ACTIONS(2729),
    [anon_sym_long] = ACTIONS(2729),
    [anon_sym_short] = ACTIONS(2729),
    [anon_sym_LBRACK] = ACTIONS(2729),
    [anon_sym_static] = ACTIONS(2729),
    [anon_sym_register] = ACTIONS(2729),
    [anon_sym_inline] = ACTIONS(2729),
    [anon_sym___inline] = ACTIONS(2729),
    [anon_sym___inline__] = ACTIONS(2729),
    [anon_sym___forceinline] = ACTIONS(2729),
    [anon_sym_thread_local] = ACTIONS(2729),
    [anon_sym___thread] = ACTIONS(2729),
    [anon_sym_const] = ACTIONS(2729),
    [anon_sym_constexpr] = ACTIONS(2729),
    [anon_sym_volatile] = ACTIONS(2729),
    [anon_sym_restrict] = ACTIONS(2729),
    [anon_sym___restrict__] = ACTIONS(2729),
    [anon_sym__Atomic] = ACTIONS(2729),
    [anon_sym__Noreturn] = ACTIONS(2729),
    [anon_sym_noreturn] = ACTIONS(2729),
    [anon_sym_mutable] = ACTIONS(2729),
    [anon_sym_constinit] = ACTIONS(2729),
    [anon_sym_consteval] = ACTIONS(2729),
    [sym_primitive_type] = ACTIONS(2729),
    [anon_sym_enum] = ACTIONS(2729),
    [anon_sym_class] = ACTIONS(2729),
    [anon_sym_struct] = ACTIONS(2729),
    [anon_sym_union] = ACTIONS(2729),
    [anon_sym_if] = ACTIONS(2729),
    [anon_sym_switch] = ACTIONS(2729),
    [anon_sym_case] = ACTIONS(2729),
    [anon_sym_default] = ACTIONS(2729),
    [anon_sym_while] = ACTIONS(2729),
    [anon_sym_do] = ACTIONS(2729),
    [anon_sym_for] = ACTIONS(2729),
    [anon_sym_return] = ACTIONS(2729),
    [anon_sym_break] = ACTIONS(2729),
    [anon_sym_continue] = ACTIONS(2729),
    [anon_sym_goto] = ACTIONS(2729),
    [anon_sym_not] = ACTIONS(2729),
    [anon_sym_compl] = ACTIONS(2729),
    [anon_sym_DASH_DASH] = ACTIONS(2731),
    [anon_sym_PLUS_PLUS] = ACTIONS(2731),
    [anon_sym_sizeof] = ACTIONS(2729),
    [anon_sym___alignof__] = ACTIONS(2729),
    [anon_sym___alignof] = ACTIONS(2729),
    [anon_sym__alignof] = ACTIONS(2729),
    [anon_sym_alignof] = ACTIONS(2729),
    [anon_sym__Alignof] = ACTIONS(2729),
    [anon_sym_offsetof] = ACTIONS(2729),
    [anon_sym__Generic] = ACTIONS(2729),
    [anon_sym_asm] = ACTIONS(2729),
    [anon_sym___asm__] = ACTIONS(2729),
    [sym_number_literal] = ACTIONS(2731),
    [anon_sym_L_SQUOTE] = ACTIONS(2731),
    [anon_sym_u_SQUOTE] = ACTIONS(2731),
    [anon_sym_U_SQUOTE] = ACTIONS(2731),
    [anon_sym_u8_SQUOTE] = ACTIONS(2731),
    [anon_sym_SQUOTE] = ACTIONS(2731),
    [anon_sym_L_DQUOTE] = ACTIONS(2731),
    [anon_sym_u_DQUOTE] = ACTIONS(2731),
    [anon_sym_U_DQUOTE] = ACTIONS(2731),
    [anon_sym_u8_DQUOTE] = ACTIONS(2731),
    [anon_sym_DQUOTE] = ACTIONS(2731),
    [sym_true] = ACTIONS(2729),
    [sym_false] = ACTIONS(2729),
    [anon_sym_NULL] = ACTIONS(2729),
    [anon_sym_nullptr] = ACTIONS(2729),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2729),
    [anon_sym_decltype] = ACTIONS(2729),
    [anon_sym_virtual] = ACTIONS(2729),
    [anon_sym_alignas] = ACTIONS(2729),
    [anon_sym_explicit] = ACTIONS(2729),
    [anon_sym_typename] = ACTIONS(2729),
    [anon_sym_template] = ACTIONS(2729),
    [anon_sym_operator] = ACTIONS(2729),
    [anon_sym_try] = ACTIONS(2729),
    [anon_sym_delete] = ACTIONS(2729),
    [anon_sym_throw] = ACTIONS(2729),
    [anon_sym_namespace] = ACTIONS(2729),
    [anon_sym_using] = ACTIONS(2729),
    [anon_sym_static_assert] = ACTIONS(2729),
    [anon_sym_concept] = ACTIONS(2729),
    [anon_sym_co_return] = ACTIONS(2729),
    [anon_sym_co_yield] = ACTIONS(2729),
    [anon_sym_R_DQUOTE] = ACTIONS(2731),
    [anon_sym_LR_DQUOTE] = ACTIONS(2731),
    [anon_sym_uR_DQUOTE] = ACTIONS(2731),
    [anon_sym_UR_DQUOTE] = ACTIONS(2731),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2731),
    [anon_sym_co_await] = ACTIONS(2729),
    [anon_sym_new] = ACTIONS(2729),
    [anon_sym_requires] = ACTIONS(2729),
    [sym_this] = ACTIONS(2729),
    [anon_sym_precise] = ACTIONS(2729),
    [anon_sym_shared] = ACTIONS(2729),
    [anon_sym_groupshared] = ACTIONS(2729),
    [anon_sym_uniform] = ACTIONS(2729),
    [anon_sym_row_major] = ACTIONS(2729),
    [anon_sym_column_major] = ACTIONS(2729),
    [anon_sym_globallycoherent] = ACTIONS(2729),
    [anon_sym_centroid] = ACTIONS(2729),
    [anon_sym_noperspective] = ACTIONS(2729),
    [anon_sym_nointerpolation] = ACTIONS(2729),
    [anon_sym_sample] = ACTIONS(2729),
    [anon_sym_linear] = ACTIONS(2729),
    [anon_sym_snorm] = ACTIONS(2729),
    [anon_sym_unorm] = ACTIONS(2729),
    [anon_sym_point] = ACTIONS(2729),
    [anon_sym_line] = ACTIONS(2729),
    [anon_sym_triangleadj] = ACTIONS(2729),
    [anon_sym_lineadj] = ACTIONS(2729),
    [anon_sym_triangle] = ACTIONS(2729),
  },
  [1292] = {
    [ts_builtin_sym_end] = ACTIONS(2851),
    [sym_identifier] = ACTIONS(2849),
    [aux_sym_preproc_include_token1] = ACTIONS(2849),
    [aux_sym_preproc_def_token1] = ACTIONS(2849),
    [aux_sym_preproc_if_token1] = ACTIONS(2849),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2849),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2849),
    [sym_preproc_directive] = ACTIONS(2849),
    [anon_sym_LPAREN2] = ACTIONS(2851),
    [anon_sym_BANG] = ACTIONS(2851),
    [anon_sym_TILDE] = ACTIONS(2851),
    [anon_sym_DASH] = ACTIONS(2849),
    [anon_sym_PLUS] = ACTIONS(2849),
    [anon_sym_STAR] = ACTIONS(2851),
    [anon_sym_AMP_AMP] = ACTIONS(2851),
    [anon_sym_AMP] = ACTIONS(2849),
    [anon_sym___extension__] = ACTIONS(2849),
    [anon_sym_typedef] = ACTIONS(2849),
    [anon_sym_in] = ACTIONS(2849),
    [anon_sym_out] = ACTIONS(2849),
    [anon_sym_inout] = ACTIONS(2849),
    [anon_sym_extern] = ACTIONS(2849),
    [anon_sym___attribute__] = ACTIONS(2849),
    [anon_sym_COLON_COLON] = ACTIONS(2851),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2851),
    [anon_sym___declspec] = ACTIONS(2849),
    [anon_sym___based] = ACTIONS(2849),
    [anon_sym___cdecl] = ACTIONS(2849),
    [anon_sym___clrcall] = ACTIONS(2849),
    [anon_sym___stdcall] = ACTIONS(2849),
    [anon_sym___fastcall] = ACTIONS(2849),
    [anon_sym___thiscall] = ACTIONS(2849),
    [anon_sym___vectorcall] = ACTIONS(2849),
    [anon_sym_LBRACE] = ACTIONS(2851),
    [anon_sym_signed] = ACTIONS(2849),
    [anon_sym_unsigned] = ACTIONS(2849),
    [anon_sym_long] = ACTIONS(2849),
    [anon_sym_short] = ACTIONS(2849),
    [anon_sym_LBRACK] = ACTIONS(2849),
    [anon_sym_static] = ACTIONS(2849),
    [anon_sym_register] = ACTIONS(2849),
    [anon_sym_inline] = ACTIONS(2849),
    [anon_sym___inline] = ACTIONS(2849),
    [anon_sym___inline__] = ACTIONS(2849),
    [anon_sym___forceinline] = ACTIONS(2849),
    [anon_sym_thread_local] = ACTIONS(2849),
    [anon_sym___thread] = ACTIONS(2849),
    [anon_sym_const] = ACTIONS(2849),
    [anon_sym_constexpr] = ACTIONS(2849),
    [anon_sym_volatile] = ACTIONS(2849),
    [anon_sym_restrict] = ACTIONS(2849),
    [anon_sym___restrict__] = ACTIONS(2849),
    [anon_sym__Atomic] = ACTIONS(2849),
    [anon_sym__Noreturn] = ACTIONS(2849),
    [anon_sym_noreturn] = ACTIONS(2849),
    [anon_sym_mutable] = ACTIONS(2849),
    [anon_sym_constinit] = ACTIONS(2849),
    [anon_sym_consteval] = ACTIONS(2849),
    [sym_primitive_type] = ACTIONS(2849),
    [anon_sym_enum] = ACTIONS(2849),
    [anon_sym_class] = ACTIONS(2849),
    [anon_sym_struct] = ACTIONS(2849),
    [anon_sym_union] = ACTIONS(2849),
    [anon_sym_if] = ACTIONS(2849),
    [anon_sym_switch] = ACTIONS(2849),
    [anon_sym_case] = ACTIONS(2849),
    [anon_sym_default] = ACTIONS(2849),
    [anon_sym_while] = ACTIONS(2849),
    [anon_sym_do] = ACTIONS(2849),
    [anon_sym_for] = ACTIONS(2849),
    [anon_sym_return] = ACTIONS(2849),
    [anon_sym_break] = ACTIONS(2849),
    [anon_sym_continue] = ACTIONS(2849),
    [anon_sym_goto] = ACTIONS(2849),
    [anon_sym_not] = ACTIONS(2849),
    [anon_sym_compl] = ACTIONS(2849),
    [anon_sym_DASH_DASH] = ACTIONS(2851),
    [anon_sym_PLUS_PLUS] = ACTIONS(2851),
    [anon_sym_sizeof] = ACTIONS(2849),
    [anon_sym___alignof__] = ACTIONS(2849),
    [anon_sym___alignof] = ACTIONS(2849),
    [anon_sym__alignof] = ACTIONS(2849),
    [anon_sym_alignof] = ACTIONS(2849),
    [anon_sym__Alignof] = ACTIONS(2849),
    [anon_sym_offsetof] = ACTIONS(2849),
    [anon_sym__Generic] = ACTIONS(2849),
    [anon_sym_asm] = ACTIONS(2849),
    [anon_sym___asm__] = ACTIONS(2849),
    [sym_number_literal] = ACTIONS(2851),
    [anon_sym_L_SQUOTE] = ACTIONS(2851),
    [anon_sym_u_SQUOTE] = ACTIONS(2851),
    [anon_sym_U_SQUOTE] = ACTIONS(2851),
    [anon_sym_u8_SQUOTE] = ACTIONS(2851),
    [anon_sym_SQUOTE] = ACTIONS(2851),
    [anon_sym_L_DQUOTE] = ACTIONS(2851),
    [anon_sym_u_DQUOTE] = ACTIONS(2851),
    [anon_sym_U_DQUOTE] = ACTIONS(2851),
    [anon_sym_u8_DQUOTE] = ACTIONS(2851),
    [anon_sym_DQUOTE] = ACTIONS(2851),
    [sym_true] = ACTIONS(2849),
    [sym_false] = ACTIONS(2849),
    [anon_sym_NULL] = ACTIONS(2849),
    [anon_sym_nullptr] = ACTIONS(2849),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2849),
    [anon_sym_decltype] = ACTIONS(2849),
    [anon_sym_virtual] = ACTIONS(2849),
    [anon_sym_alignas] = ACTIONS(2849),
    [anon_sym_explicit] = ACTIONS(2849),
    [anon_sym_typename] = ACTIONS(2849),
    [anon_sym_template] = ACTIONS(2849),
    [anon_sym_operator] = ACTIONS(2849),
    [anon_sym_try] = ACTIONS(2849),
    [anon_sym_delete] = ACTIONS(2849),
    [anon_sym_throw] = ACTIONS(2849),
    [anon_sym_namespace] = ACTIONS(2849),
    [anon_sym_using] = ACTIONS(2849),
    [anon_sym_static_assert] = ACTIONS(2849),
    [anon_sym_concept] = ACTIONS(2849),
    [anon_sym_co_return] = ACTIONS(2849),
    [anon_sym_co_yield] = ACTIONS(2849),
    [anon_sym_R_DQUOTE] = ACTIONS(2851),
    [anon_sym_LR_DQUOTE] = ACTIONS(2851),
    [anon_sym_uR_DQUOTE] = ACTIONS(2851),
    [anon_sym_UR_DQUOTE] = ACTIONS(2851),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2851),
    [anon_sym_co_await] = ACTIONS(2849),
    [anon_sym_new] = ACTIONS(2849),
    [anon_sym_requires] = ACTIONS(2849),
    [sym_this] = ACTIONS(2849),
    [anon_sym_precise] = ACTIONS(2849),
    [anon_sym_shared] = ACTIONS(2849),
    [anon_sym_groupshared] = ACTIONS(2849),
    [anon_sym_uniform] = ACTIONS(2849),
    [anon_sym_row_major] = ACTIONS(2849),
    [anon_sym_column_major] = ACTIONS(2849),
    [anon_sym_globallycoherent] = ACTIONS(2849),
    [anon_sym_centroid] = ACTIONS(2849),
    [anon_sym_noperspective] = ACTIONS(2849),
    [anon_sym_nointerpolation] = ACTIONS(2849),
    [anon_sym_sample] = ACTIONS(2849),
    [anon_sym_linear] = ACTIONS(2849),
    [anon_sym_snorm] = ACTIONS(2849),
    [anon_sym_unorm] = ACTIONS(2849),
    [anon_sym_point] = ACTIONS(2849),
    [anon_sym_line] = ACTIONS(2849),
    [anon_sym_triangleadj] = ACTIONS(2849),
    [anon_sym_lineadj] = ACTIONS(2849),
    [anon_sym_triangle] = ACTIONS(2849),
  },
  [1293] = {
    [ts_builtin_sym_end] = ACTIONS(2815),
    [sym_identifier] = ACTIONS(2813),
    [aux_sym_preproc_include_token1] = ACTIONS(2813),
    [aux_sym_preproc_def_token1] = ACTIONS(2813),
    [aux_sym_preproc_if_token1] = ACTIONS(2813),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2813),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2813),
    [sym_preproc_directive] = ACTIONS(2813),
    [anon_sym_LPAREN2] = ACTIONS(2815),
    [anon_sym_BANG] = ACTIONS(2815),
    [anon_sym_TILDE] = ACTIONS(2815),
    [anon_sym_DASH] = ACTIONS(2813),
    [anon_sym_PLUS] = ACTIONS(2813),
    [anon_sym_STAR] = ACTIONS(2815),
    [anon_sym_AMP_AMP] = ACTIONS(2815),
    [anon_sym_AMP] = ACTIONS(2813),
    [anon_sym___extension__] = ACTIONS(2813),
    [anon_sym_typedef] = ACTIONS(2813),
    [anon_sym_in] = ACTIONS(2813),
    [anon_sym_out] = ACTIONS(2813),
    [anon_sym_inout] = ACTIONS(2813),
    [anon_sym_extern] = ACTIONS(2813),
    [anon_sym___attribute__] = ACTIONS(2813),
    [anon_sym_COLON_COLON] = ACTIONS(2815),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2815),
    [anon_sym___declspec] = ACTIONS(2813),
    [anon_sym___based] = ACTIONS(2813),
    [anon_sym___cdecl] = ACTIONS(2813),
    [anon_sym___clrcall] = ACTIONS(2813),
    [anon_sym___stdcall] = ACTIONS(2813),
    [anon_sym___fastcall] = ACTIONS(2813),
    [anon_sym___thiscall] = ACTIONS(2813),
    [anon_sym___vectorcall] = ACTIONS(2813),
    [anon_sym_LBRACE] = ACTIONS(2815),
    [anon_sym_signed] = ACTIONS(2813),
    [anon_sym_unsigned] = ACTIONS(2813),
    [anon_sym_long] = ACTIONS(2813),
    [anon_sym_short] = ACTIONS(2813),
    [anon_sym_LBRACK] = ACTIONS(2813),
    [anon_sym_static] = ACTIONS(2813),
    [anon_sym_register] = ACTIONS(2813),
    [anon_sym_inline] = ACTIONS(2813),
    [anon_sym___inline] = ACTIONS(2813),
    [anon_sym___inline__] = ACTIONS(2813),
    [anon_sym___forceinline] = ACTIONS(2813),
    [anon_sym_thread_local] = ACTIONS(2813),
    [anon_sym___thread] = ACTIONS(2813),
    [anon_sym_const] = ACTIONS(2813),
    [anon_sym_constexpr] = ACTIONS(2813),
    [anon_sym_volatile] = ACTIONS(2813),
    [anon_sym_restrict] = ACTIONS(2813),
    [anon_sym___restrict__] = ACTIONS(2813),
    [anon_sym__Atomic] = ACTIONS(2813),
    [anon_sym__Noreturn] = ACTIONS(2813),
    [anon_sym_noreturn] = ACTIONS(2813),
    [anon_sym_mutable] = ACTIONS(2813),
    [anon_sym_constinit] = ACTIONS(2813),
    [anon_sym_consteval] = ACTIONS(2813),
    [sym_primitive_type] = ACTIONS(2813),
    [anon_sym_enum] = ACTIONS(2813),
    [anon_sym_class] = ACTIONS(2813),
    [anon_sym_struct] = ACTIONS(2813),
    [anon_sym_union] = ACTIONS(2813),
    [anon_sym_if] = ACTIONS(2813),
    [anon_sym_switch] = ACTIONS(2813),
    [anon_sym_case] = ACTIONS(2813),
    [anon_sym_default] = ACTIONS(2813),
    [anon_sym_while] = ACTIONS(2813),
    [anon_sym_do] = ACTIONS(2813),
    [anon_sym_for] = ACTIONS(2813),
    [anon_sym_return] = ACTIONS(2813),
    [anon_sym_break] = ACTIONS(2813),
    [anon_sym_continue] = ACTIONS(2813),
    [anon_sym_goto] = ACTIONS(2813),
    [anon_sym_not] = ACTIONS(2813),
    [anon_sym_compl] = ACTIONS(2813),
    [anon_sym_DASH_DASH] = ACTIONS(2815),
    [anon_sym_PLUS_PLUS] = ACTIONS(2815),
    [anon_sym_sizeof] = ACTIONS(2813),
    [anon_sym___alignof__] = ACTIONS(2813),
    [anon_sym___alignof] = ACTIONS(2813),
    [anon_sym__alignof] = ACTIONS(2813),
    [anon_sym_alignof] = ACTIONS(2813),
    [anon_sym__Alignof] = ACTIONS(2813),
    [anon_sym_offsetof] = ACTIONS(2813),
    [anon_sym__Generic] = ACTIONS(2813),
    [anon_sym_asm] = ACTIONS(2813),
    [anon_sym___asm__] = ACTIONS(2813),
    [sym_number_literal] = ACTIONS(2815),
    [anon_sym_L_SQUOTE] = ACTIONS(2815),
    [anon_sym_u_SQUOTE] = ACTIONS(2815),
    [anon_sym_U_SQUOTE] = ACTIONS(2815),
    [anon_sym_u8_SQUOTE] = ACTIONS(2815),
    [anon_sym_SQUOTE] = ACTIONS(2815),
    [anon_sym_L_DQUOTE] = ACTIONS(2815),
    [anon_sym_u_DQUOTE] = ACTIONS(2815),
    [anon_sym_U_DQUOTE] = ACTIONS(2815),
    [anon_sym_u8_DQUOTE] = ACTIONS(2815),
    [anon_sym_DQUOTE] = ACTIONS(2815),
    [sym_true] = ACTIONS(2813),
    [sym_false] = ACTIONS(2813),
    [anon_sym_NULL] = ACTIONS(2813),
    [anon_sym_nullptr] = ACTIONS(2813),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2813),
    [anon_sym_decltype] = ACTIONS(2813),
    [anon_sym_virtual] = ACTIONS(2813),
    [anon_sym_alignas] = ACTIONS(2813),
    [anon_sym_explicit] = ACTIONS(2813),
    [anon_sym_typename] = ACTIONS(2813),
    [anon_sym_template] = ACTIONS(2813),
    [anon_sym_operator] = ACTIONS(2813),
    [anon_sym_try] = ACTIONS(2813),
    [anon_sym_delete] = ACTIONS(2813),
    [anon_sym_throw] = ACTIONS(2813),
    [anon_sym_namespace] = ACTIONS(2813),
    [anon_sym_using] = ACTIONS(2813),
    [anon_sym_static_assert] = ACTIONS(2813),
    [anon_sym_concept] = ACTIONS(2813),
    [anon_sym_co_return] = ACTIONS(2813),
    [anon_sym_co_yield] = ACTIONS(2813),
    [anon_sym_R_DQUOTE] = ACTIONS(2815),
    [anon_sym_LR_DQUOTE] = ACTIONS(2815),
    [anon_sym_uR_DQUOTE] = ACTIONS(2815),
    [anon_sym_UR_DQUOTE] = ACTIONS(2815),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2815),
    [anon_sym_co_await] = ACTIONS(2813),
    [anon_sym_new] = ACTIONS(2813),
    [anon_sym_requires] = ACTIONS(2813),
    [sym_this] = ACTIONS(2813),
    [anon_sym_precise] = ACTIONS(2813),
    [anon_sym_shared] = ACTIONS(2813),
    [anon_sym_groupshared] = ACTIONS(2813),
    [anon_sym_uniform] = ACTIONS(2813),
    [anon_sym_row_major] = ACTIONS(2813),
    [anon_sym_column_major] = ACTIONS(2813),
    [anon_sym_globallycoherent] = ACTIONS(2813),
    [anon_sym_centroid] = ACTIONS(2813),
    [anon_sym_noperspective] = ACTIONS(2813),
    [anon_sym_nointerpolation] = ACTIONS(2813),
    [anon_sym_sample] = ACTIONS(2813),
    [anon_sym_linear] = ACTIONS(2813),
    [anon_sym_snorm] = ACTIONS(2813),
    [anon_sym_unorm] = ACTIONS(2813),
    [anon_sym_point] = ACTIONS(2813),
    [anon_sym_line] = ACTIONS(2813),
    [anon_sym_triangleadj] = ACTIONS(2813),
    [anon_sym_lineadj] = ACTIONS(2813),
    [anon_sym_triangle] = ACTIONS(2813),
  },
  [1294] = {
    [ts_builtin_sym_end] = ACTIONS(2811),
    [sym_identifier] = ACTIONS(2809),
    [aux_sym_preproc_include_token1] = ACTIONS(2809),
    [aux_sym_preproc_def_token1] = ACTIONS(2809),
    [aux_sym_preproc_if_token1] = ACTIONS(2809),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2809),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2809),
    [sym_preproc_directive] = ACTIONS(2809),
    [anon_sym_LPAREN2] = ACTIONS(2811),
    [anon_sym_BANG] = ACTIONS(2811),
    [anon_sym_TILDE] = ACTIONS(2811),
    [anon_sym_DASH] = ACTIONS(2809),
    [anon_sym_PLUS] = ACTIONS(2809),
    [anon_sym_STAR] = ACTIONS(2811),
    [anon_sym_AMP_AMP] = ACTIONS(2811),
    [anon_sym_AMP] = ACTIONS(2809),
    [anon_sym___extension__] = ACTIONS(2809),
    [anon_sym_typedef] = ACTIONS(2809),
    [anon_sym_in] = ACTIONS(2809),
    [anon_sym_out] = ACTIONS(2809),
    [anon_sym_inout] = ACTIONS(2809),
    [anon_sym_extern] = ACTIONS(2809),
    [anon_sym___attribute__] = ACTIONS(2809),
    [anon_sym_COLON_COLON] = ACTIONS(2811),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2811),
    [anon_sym___declspec] = ACTIONS(2809),
    [anon_sym___based] = ACTIONS(2809),
    [anon_sym___cdecl] = ACTIONS(2809),
    [anon_sym___clrcall] = ACTIONS(2809),
    [anon_sym___stdcall] = ACTIONS(2809),
    [anon_sym___fastcall] = ACTIONS(2809),
    [anon_sym___thiscall] = ACTIONS(2809),
    [anon_sym___vectorcall] = ACTIONS(2809),
    [anon_sym_LBRACE] = ACTIONS(2811),
    [anon_sym_signed] = ACTIONS(2809),
    [anon_sym_unsigned] = ACTIONS(2809),
    [anon_sym_long] = ACTIONS(2809),
    [anon_sym_short] = ACTIONS(2809),
    [anon_sym_LBRACK] = ACTIONS(2809),
    [anon_sym_static] = ACTIONS(2809),
    [anon_sym_register] = ACTIONS(2809),
    [anon_sym_inline] = ACTIONS(2809),
    [anon_sym___inline] = ACTIONS(2809),
    [anon_sym___inline__] = ACTIONS(2809),
    [anon_sym___forceinline] = ACTIONS(2809),
    [anon_sym_thread_local] = ACTIONS(2809),
    [anon_sym___thread] = ACTIONS(2809),
    [anon_sym_const] = ACTIONS(2809),
    [anon_sym_constexpr] = ACTIONS(2809),
    [anon_sym_volatile] = ACTIONS(2809),
    [anon_sym_restrict] = ACTIONS(2809),
    [anon_sym___restrict__] = ACTIONS(2809),
    [anon_sym__Atomic] = ACTIONS(2809),
    [anon_sym__Noreturn] = ACTIONS(2809),
    [anon_sym_noreturn] = ACTIONS(2809),
    [anon_sym_mutable] = ACTIONS(2809),
    [anon_sym_constinit] = ACTIONS(2809),
    [anon_sym_consteval] = ACTIONS(2809),
    [sym_primitive_type] = ACTIONS(2809),
    [anon_sym_enum] = ACTIONS(2809),
    [anon_sym_class] = ACTIONS(2809),
    [anon_sym_struct] = ACTIONS(2809),
    [anon_sym_union] = ACTIONS(2809),
    [anon_sym_if] = ACTIONS(2809),
    [anon_sym_switch] = ACTIONS(2809),
    [anon_sym_case] = ACTIONS(2809),
    [anon_sym_default] = ACTIONS(2809),
    [anon_sym_while] = ACTIONS(2809),
    [anon_sym_do] = ACTIONS(2809),
    [anon_sym_for] = ACTIONS(2809),
    [anon_sym_return] = ACTIONS(2809),
    [anon_sym_break] = ACTIONS(2809),
    [anon_sym_continue] = ACTIONS(2809),
    [anon_sym_goto] = ACTIONS(2809),
    [anon_sym_not] = ACTIONS(2809),
    [anon_sym_compl] = ACTIONS(2809),
    [anon_sym_DASH_DASH] = ACTIONS(2811),
    [anon_sym_PLUS_PLUS] = ACTIONS(2811),
    [anon_sym_sizeof] = ACTIONS(2809),
    [anon_sym___alignof__] = ACTIONS(2809),
    [anon_sym___alignof] = ACTIONS(2809),
    [anon_sym__alignof] = ACTIONS(2809),
    [anon_sym_alignof] = ACTIONS(2809),
    [anon_sym__Alignof] = ACTIONS(2809),
    [anon_sym_offsetof] = ACTIONS(2809),
    [anon_sym__Generic] = ACTIONS(2809),
    [anon_sym_asm] = ACTIONS(2809),
    [anon_sym___asm__] = ACTIONS(2809),
    [sym_number_literal] = ACTIONS(2811),
    [anon_sym_L_SQUOTE] = ACTIONS(2811),
    [anon_sym_u_SQUOTE] = ACTIONS(2811),
    [anon_sym_U_SQUOTE] = ACTIONS(2811),
    [anon_sym_u8_SQUOTE] = ACTIONS(2811),
    [anon_sym_SQUOTE] = ACTIONS(2811),
    [anon_sym_L_DQUOTE] = ACTIONS(2811),
    [anon_sym_u_DQUOTE] = ACTIONS(2811),
    [anon_sym_U_DQUOTE] = ACTIONS(2811),
    [anon_sym_u8_DQUOTE] = ACTIONS(2811),
    [anon_sym_DQUOTE] = ACTIONS(2811),
    [sym_true] = ACTIONS(2809),
    [sym_false] = ACTIONS(2809),
    [anon_sym_NULL] = ACTIONS(2809),
    [anon_sym_nullptr] = ACTIONS(2809),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2809),
    [anon_sym_decltype] = ACTIONS(2809),
    [anon_sym_virtual] = ACTIONS(2809),
    [anon_sym_alignas] = ACTIONS(2809),
    [anon_sym_explicit] = ACTIONS(2809),
    [anon_sym_typename] = ACTIONS(2809),
    [anon_sym_template] = ACTIONS(2809),
    [anon_sym_operator] = ACTIONS(2809),
    [anon_sym_try] = ACTIONS(2809),
    [anon_sym_delete] = ACTIONS(2809),
    [anon_sym_throw] = ACTIONS(2809),
    [anon_sym_namespace] = ACTIONS(2809),
    [anon_sym_using] = ACTIONS(2809),
    [anon_sym_static_assert] = ACTIONS(2809),
    [anon_sym_concept] = ACTIONS(2809),
    [anon_sym_co_return] = ACTIONS(2809),
    [anon_sym_co_yield] = ACTIONS(2809),
    [anon_sym_R_DQUOTE] = ACTIONS(2811),
    [anon_sym_LR_DQUOTE] = ACTIONS(2811),
    [anon_sym_uR_DQUOTE] = ACTIONS(2811),
    [anon_sym_UR_DQUOTE] = ACTIONS(2811),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2811),
    [anon_sym_co_await] = ACTIONS(2809),
    [anon_sym_new] = ACTIONS(2809),
    [anon_sym_requires] = ACTIONS(2809),
    [sym_this] = ACTIONS(2809),
    [anon_sym_precise] = ACTIONS(2809),
    [anon_sym_shared] = ACTIONS(2809),
    [anon_sym_groupshared] = ACTIONS(2809),
    [anon_sym_uniform] = ACTIONS(2809),
    [anon_sym_row_major] = ACTIONS(2809),
    [anon_sym_column_major] = ACTIONS(2809),
    [anon_sym_globallycoherent] = ACTIONS(2809),
    [anon_sym_centroid] = ACTIONS(2809),
    [anon_sym_noperspective] = ACTIONS(2809),
    [anon_sym_nointerpolation] = ACTIONS(2809),
    [anon_sym_sample] = ACTIONS(2809),
    [anon_sym_linear] = ACTIONS(2809),
    [anon_sym_snorm] = ACTIONS(2809),
    [anon_sym_unorm] = ACTIONS(2809),
    [anon_sym_point] = ACTIONS(2809),
    [anon_sym_line] = ACTIONS(2809),
    [anon_sym_triangleadj] = ACTIONS(2809),
    [anon_sym_lineadj] = ACTIONS(2809),
    [anon_sym_triangle] = ACTIONS(2809),
  },
  [1295] = {
    [ts_builtin_sym_end] = ACTIONS(2835),
    [sym_identifier] = ACTIONS(2833),
    [aux_sym_preproc_include_token1] = ACTIONS(2833),
    [aux_sym_preproc_def_token1] = ACTIONS(2833),
    [aux_sym_preproc_if_token1] = ACTIONS(2833),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2833),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2833),
    [sym_preproc_directive] = ACTIONS(2833),
    [anon_sym_LPAREN2] = ACTIONS(2835),
    [anon_sym_BANG] = ACTIONS(2835),
    [anon_sym_TILDE] = ACTIONS(2835),
    [anon_sym_DASH] = ACTIONS(2833),
    [anon_sym_PLUS] = ACTIONS(2833),
    [anon_sym_STAR] = ACTIONS(2835),
    [anon_sym_AMP_AMP] = ACTIONS(2835),
    [anon_sym_AMP] = ACTIONS(2833),
    [anon_sym___extension__] = ACTIONS(2833),
    [anon_sym_typedef] = ACTIONS(2833),
    [anon_sym_in] = ACTIONS(2833),
    [anon_sym_out] = ACTIONS(2833),
    [anon_sym_inout] = ACTIONS(2833),
    [anon_sym_extern] = ACTIONS(2833),
    [anon_sym___attribute__] = ACTIONS(2833),
    [anon_sym_COLON_COLON] = ACTIONS(2835),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2835),
    [anon_sym___declspec] = ACTIONS(2833),
    [anon_sym___based] = ACTIONS(2833),
    [anon_sym___cdecl] = ACTIONS(2833),
    [anon_sym___clrcall] = ACTIONS(2833),
    [anon_sym___stdcall] = ACTIONS(2833),
    [anon_sym___fastcall] = ACTIONS(2833),
    [anon_sym___thiscall] = ACTIONS(2833),
    [anon_sym___vectorcall] = ACTIONS(2833),
    [anon_sym_LBRACE] = ACTIONS(2835),
    [anon_sym_signed] = ACTIONS(2833),
    [anon_sym_unsigned] = ACTIONS(2833),
    [anon_sym_long] = ACTIONS(2833),
    [anon_sym_short] = ACTIONS(2833),
    [anon_sym_LBRACK] = ACTIONS(2833),
    [anon_sym_static] = ACTIONS(2833),
    [anon_sym_register] = ACTIONS(2833),
    [anon_sym_inline] = ACTIONS(2833),
    [anon_sym___inline] = ACTIONS(2833),
    [anon_sym___inline__] = ACTIONS(2833),
    [anon_sym___forceinline] = ACTIONS(2833),
    [anon_sym_thread_local] = ACTIONS(2833),
    [anon_sym___thread] = ACTIONS(2833),
    [anon_sym_const] = ACTIONS(2833),
    [anon_sym_constexpr] = ACTIONS(2833),
    [anon_sym_volatile] = ACTIONS(2833),
    [anon_sym_restrict] = ACTIONS(2833),
    [anon_sym___restrict__] = ACTIONS(2833),
    [anon_sym__Atomic] = ACTIONS(2833),
    [anon_sym__Noreturn] = ACTIONS(2833),
    [anon_sym_noreturn] = ACTIONS(2833),
    [anon_sym_mutable] = ACTIONS(2833),
    [anon_sym_constinit] = ACTIONS(2833),
    [anon_sym_consteval] = ACTIONS(2833),
    [sym_primitive_type] = ACTIONS(2833),
    [anon_sym_enum] = ACTIONS(2833),
    [anon_sym_class] = ACTIONS(2833),
    [anon_sym_struct] = ACTIONS(2833),
    [anon_sym_union] = ACTIONS(2833),
    [anon_sym_if] = ACTIONS(2833),
    [anon_sym_switch] = ACTIONS(2833),
    [anon_sym_case] = ACTIONS(2833),
    [anon_sym_default] = ACTIONS(2833),
    [anon_sym_while] = ACTIONS(2833),
    [anon_sym_do] = ACTIONS(2833),
    [anon_sym_for] = ACTIONS(2833),
    [anon_sym_return] = ACTIONS(2833),
    [anon_sym_break] = ACTIONS(2833),
    [anon_sym_continue] = ACTIONS(2833),
    [anon_sym_goto] = ACTIONS(2833),
    [anon_sym_not] = ACTIONS(2833),
    [anon_sym_compl] = ACTIONS(2833),
    [anon_sym_DASH_DASH] = ACTIONS(2835),
    [anon_sym_PLUS_PLUS] = ACTIONS(2835),
    [anon_sym_sizeof] = ACTIONS(2833),
    [anon_sym___alignof__] = ACTIONS(2833),
    [anon_sym___alignof] = ACTIONS(2833),
    [anon_sym__alignof] = ACTIONS(2833),
    [anon_sym_alignof] = ACTIONS(2833),
    [anon_sym__Alignof] = ACTIONS(2833),
    [anon_sym_offsetof] = ACTIONS(2833),
    [anon_sym__Generic] = ACTIONS(2833),
    [anon_sym_asm] = ACTIONS(2833),
    [anon_sym___asm__] = ACTIONS(2833),
    [sym_number_literal] = ACTIONS(2835),
    [anon_sym_L_SQUOTE] = ACTIONS(2835),
    [anon_sym_u_SQUOTE] = ACTIONS(2835),
    [anon_sym_U_SQUOTE] = ACTIONS(2835),
    [anon_sym_u8_SQUOTE] = ACTIONS(2835),
    [anon_sym_SQUOTE] = ACTIONS(2835),
    [anon_sym_L_DQUOTE] = ACTIONS(2835),
    [anon_sym_u_DQUOTE] = ACTIONS(2835),
    [anon_sym_U_DQUOTE] = ACTIONS(2835),
    [anon_sym_u8_DQUOTE] = ACTIONS(2835),
    [anon_sym_DQUOTE] = ACTIONS(2835),
    [sym_true] = ACTIONS(2833),
    [sym_false] = ACTIONS(2833),
    [anon_sym_NULL] = ACTIONS(2833),
    [anon_sym_nullptr] = ACTIONS(2833),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2833),
    [anon_sym_decltype] = ACTIONS(2833),
    [anon_sym_virtual] = ACTIONS(2833),
    [anon_sym_alignas] = ACTIONS(2833),
    [anon_sym_explicit] = ACTIONS(2833),
    [anon_sym_typename] = ACTIONS(2833),
    [anon_sym_template] = ACTIONS(2833),
    [anon_sym_operator] = ACTIONS(2833),
    [anon_sym_try] = ACTIONS(2833),
    [anon_sym_delete] = ACTIONS(2833),
    [anon_sym_throw] = ACTIONS(2833),
    [anon_sym_namespace] = ACTIONS(2833),
    [anon_sym_using] = ACTIONS(2833),
    [anon_sym_static_assert] = ACTIONS(2833),
    [anon_sym_concept] = ACTIONS(2833),
    [anon_sym_co_return] = ACTIONS(2833),
    [anon_sym_co_yield] = ACTIONS(2833),
    [anon_sym_R_DQUOTE] = ACTIONS(2835),
    [anon_sym_LR_DQUOTE] = ACTIONS(2835),
    [anon_sym_uR_DQUOTE] = ACTIONS(2835),
    [anon_sym_UR_DQUOTE] = ACTIONS(2835),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2835),
    [anon_sym_co_await] = ACTIONS(2833),
    [anon_sym_new] = ACTIONS(2833),
    [anon_sym_requires] = ACTIONS(2833),
    [sym_this] = ACTIONS(2833),
    [anon_sym_precise] = ACTIONS(2833),
    [anon_sym_shared] = ACTIONS(2833),
    [anon_sym_groupshared] = ACTIONS(2833),
    [anon_sym_uniform] = ACTIONS(2833),
    [anon_sym_row_major] = ACTIONS(2833),
    [anon_sym_column_major] = ACTIONS(2833),
    [anon_sym_globallycoherent] = ACTIONS(2833),
    [anon_sym_centroid] = ACTIONS(2833),
    [anon_sym_noperspective] = ACTIONS(2833),
    [anon_sym_nointerpolation] = ACTIONS(2833),
    [anon_sym_sample] = ACTIONS(2833),
    [anon_sym_linear] = ACTIONS(2833),
    [anon_sym_snorm] = ACTIONS(2833),
    [anon_sym_unorm] = ACTIONS(2833),
    [anon_sym_point] = ACTIONS(2833),
    [anon_sym_line] = ACTIONS(2833),
    [anon_sym_triangleadj] = ACTIONS(2833),
    [anon_sym_lineadj] = ACTIONS(2833),
    [anon_sym_triangle] = ACTIONS(2833),
  },
  [1296] = {
    [ts_builtin_sym_end] = ACTIONS(2767),
    [sym_identifier] = ACTIONS(2765),
    [aux_sym_preproc_include_token1] = ACTIONS(2765),
    [aux_sym_preproc_def_token1] = ACTIONS(2765),
    [aux_sym_preproc_if_token1] = ACTIONS(2765),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2765),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2765),
    [sym_preproc_directive] = ACTIONS(2765),
    [anon_sym_LPAREN2] = ACTIONS(2767),
    [anon_sym_BANG] = ACTIONS(2767),
    [anon_sym_TILDE] = ACTIONS(2767),
    [anon_sym_DASH] = ACTIONS(2765),
    [anon_sym_PLUS] = ACTIONS(2765),
    [anon_sym_STAR] = ACTIONS(2767),
    [anon_sym_AMP_AMP] = ACTIONS(2767),
    [anon_sym_AMP] = ACTIONS(2765),
    [anon_sym___extension__] = ACTIONS(2765),
    [anon_sym_typedef] = ACTIONS(2765),
    [anon_sym_in] = ACTIONS(2765),
    [anon_sym_out] = ACTIONS(2765),
    [anon_sym_inout] = ACTIONS(2765),
    [anon_sym_extern] = ACTIONS(2765),
    [anon_sym___attribute__] = ACTIONS(2765),
    [anon_sym_COLON_COLON] = ACTIONS(2767),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2767),
    [anon_sym___declspec] = ACTIONS(2765),
    [anon_sym___based] = ACTIONS(2765),
    [anon_sym___cdecl] = ACTIONS(2765),
    [anon_sym___clrcall] = ACTIONS(2765),
    [anon_sym___stdcall] = ACTIONS(2765),
    [anon_sym___fastcall] = ACTIONS(2765),
    [anon_sym___thiscall] = ACTIONS(2765),
    [anon_sym___vectorcall] = ACTIONS(2765),
    [anon_sym_LBRACE] = ACTIONS(2767),
    [anon_sym_signed] = ACTIONS(2765),
    [anon_sym_unsigned] = ACTIONS(2765),
    [anon_sym_long] = ACTIONS(2765),
    [anon_sym_short] = ACTIONS(2765),
    [anon_sym_LBRACK] = ACTIONS(2765),
    [anon_sym_static] = ACTIONS(2765),
    [anon_sym_register] = ACTIONS(2765),
    [anon_sym_inline] = ACTIONS(2765),
    [anon_sym___inline] = ACTIONS(2765),
    [anon_sym___inline__] = ACTIONS(2765),
    [anon_sym___forceinline] = ACTIONS(2765),
    [anon_sym_thread_local] = ACTIONS(2765),
    [anon_sym___thread] = ACTIONS(2765),
    [anon_sym_const] = ACTIONS(2765),
    [anon_sym_constexpr] = ACTIONS(2765),
    [anon_sym_volatile] = ACTIONS(2765),
    [anon_sym_restrict] = ACTIONS(2765),
    [anon_sym___restrict__] = ACTIONS(2765),
    [anon_sym__Atomic] = ACTIONS(2765),
    [anon_sym__Noreturn] = ACTIONS(2765),
    [anon_sym_noreturn] = ACTIONS(2765),
    [anon_sym_mutable] = ACTIONS(2765),
    [anon_sym_constinit] = ACTIONS(2765),
    [anon_sym_consteval] = ACTIONS(2765),
    [sym_primitive_type] = ACTIONS(2765),
    [anon_sym_enum] = ACTIONS(2765),
    [anon_sym_class] = ACTIONS(2765),
    [anon_sym_struct] = ACTIONS(2765),
    [anon_sym_union] = ACTIONS(2765),
    [anon_sym_if] = ACTIONS(2765),
    [anon_sym_switch] = ACTIONS(2765),
    [anon_sym_case] = ACTIONS(2765),
    [anon_sym_default] = ACTIONS(2765),
    [anon_sym_while] = ACTIONS(2765),
    [anon_sym_do] = ACTIONS(2765),
    [anon_sym_for] = ACTIONS(2765),
    [anon_sym_return] = ACTIONS(2765),
    [anon_sym_break] = ACTIONS(2765),
    [anon_sym_continue] = ACTIONS(2765),
    [anon_sym_goto] = ACTIONS(2765),
    [anon_sym_not] = ACTIONS(2765),
    [anon_sym_compl] = ACTIONS(2765),
    [anon_sym_DASH_DASH] = ACTIONS(2767),
    [anon_sym_PLUS_PLUS] = ACTIONS(2767),
    [anon_sym_sizeof] = ACTIONS(2765),
    [anon_sym___alignof__] = ACTIONS(2765),
    [anon_sym___alignof] = ACTIONS(2765),
    [anon_sym__alignof] = ACTIONS(2765),
    [anon_sym_alignof] = ACTIONS(2765),
    [anon_sym__Alignof] = ACTIONS(2765),
    [anon_sym_offsetof] = ACTIONS(2765),
    [anon_sym__Generic] = ACTIONS(2765),
    [anon_sym_asm] = ACTIONS(2765),
    [anon_sym___asm__] = ACTIONS(2765),
    [sym_number_literal] = ACTIONS(2767),
    [anon_sym_L_SQUOTE] = ACTIONS(2767),
    [anon_sym_u_SQUOTE] = ACTIONS(2767),
    [anon_sym_U_SQUOTE] = ACTIONS(2767),
    [anon_sym_u8_SQUOTE] = ACTIONS(2767),
    [anon_sym_SQUOTE] = ACTIONS(2767),
    [anon_sym_L_DQUOTE] = ACTIONS(2767),
    [anon_sym_u_DQUOTE] = ACTIONS(2767),
    [anon_sym_U_DQUOTE] = ACTIONS(2767),
    [anon_sym_u8_DQUOTE] = ACTIONS(2767),
    [anon_sym_DQUOTE] = ACTIONS(2767),
    [sym_true] = ACTIONS(2765),
    [sym_false] = ACTIONS(2765),
    [anon_sym_NULL] = ACTIONS(2765),
    [anon_sym_nullptr] = ACTIONS(2765),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2765),
    [anon_sym_decltype] = ACTIONS(2765),
    [anon_sym_virtual] = ACTIONS(2765),
    [anon_sym_alignas] = ACTIONS(2765),
    [anon_sym_explicit] = ACTIONS(2765),
    [anon_sym_typename] = ACTIONS(2765),
    [anon_sym_template] = ACTIONS(2765),
    [anon_sym_operator] = ACTIONS(2765),
    [anon_sym_try] = ACTIONS(2765),
    [anon_sym_delete] = ACTIONS(2765),
    [anon_sym_throw] = ACTIONS(2765),
    [anon_sym_namespace] = ACTIONS(2765),
    [anon_sym_using] = ACTIONS(2765),
    [anon_sym_static_assert] = ACTIONS(2765),
    [anon_sym_concept] = ACTIONS(2765),
    [anon_sym_co_return] = ACTIONS(2765),
    [anon_sym_co_yield] = ACTIONS(2765),
    [anon_sym_R_DQUOTE] = ACTIONS(2767),
    [anon_sym_LR_DQUOTE] = ACTIONS(2767),
    [anon_sym_uR_DQUOTE] = ACTIONS(2767),
    [anon_sym_UR_DQUOTE] = ACTIONS(2767),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2767),
    [anon_sym_co_await] = ACTIONS(2765),
    [anon_sym_new] = ACTIONS(2765),
    [anon_sym_requires] = ACTIONS(2765),
    [sym_this] = ACTIONS(2765),
    [anon_sym_precise] = ACTIONS(2765),
    [anon_sym_shared] = ACTIONS(2765),
    [anon_sym_groupshared] = ACTIONS(2765),
    [anon_sym_uniform] = ACTIONS(2765),
    [anon_sym_row_major] = ACTIONS(2765),
    [anon_sym_column_major] = ACTIONS(2765),
    [anon_sym_globallycoherent] = ACTIONS(2765),
    [anon_sym_centroid] = ACTIONS(2765),
    [anon_sym_noperspective] = ACTIONS(2765),
    [anon_sym_nointerpolation] = ACTIONS(2765),
    [anon_sym_sample] = ACTIONS(2765),
    [anon_sym_linear] = ACTIONS(2765),
    [anon_sym_snorm] = ACTIONS(2765),
    [anon_sym_unorm] = ACTIONS(2765),
    [anon_sym_point] = ACTIONS(2765),
    [anon_sym_line] = ACTIONS(2765),
    [anon_sym_triangleadj] = ACTIONS(2765),
    [anon_sym_lineadj] = ACTIONS(2765),
    [anon_sym_triangle] = ACTIONS(2765),
  },
  [1297] = {
    [ts_builtin_sym_end] = ACTIONS(2679),
    [sym_identifier] = ACTIONS(2677),
    [aux_sym_preproc_include_token1] = ACTIONS(2677),
    [aux_sym_preproc_def_token1] = ACTIONS(2677),
    [aux_sym_preproc_if_token1] = ACTIONS(2677),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2677),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2677),
    [sym_preproc_directive] = ACTIONS(2677),
    [anon_sym_LPAREN2] = ACTIONS(2679),
    [anon_sym_BANG] = ACTIONS(2679),
    [anon_sym_TILDE] = ACTIONS(2679),
    [anon_sym_DASH] = ACTIONS(2677),
    [anon_sym_PLUS] = ACTIONS(2677),
    [anon_sym_STAR] = ACTIONS(2679),
    [anon_sym_AMP_AMP] = ACTIONS(2679),
    [anon_sym_AMP] = ACTIONS(2677),
    [anon_sym___extension__] = ACTIONS(2677),
    [anon_sym_typedef] = ACTIONS(2677),
    [anon_sym_in] = ACTIONS(2677),
    [anon_sym_out] = ACTIONS(2677),
    [anon_sym_inout] = ACTIONS(2677),
    [anon_sym_extern] = ACTIONS(2677),
    [anon_sym___attribute__] = ACTIONS(2677),
    [anon_sym_COLON_COLON] = ACTIONS(2679),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2679),
    [anon_sym___declspec] = ACTIONS(2677),
    [anon_sym___based] = ACTIONS(2677),
    [anon_sym___cdecl] = ACTIONS(2677),
    [anon_sym___clrcall] = ACTIONS(2677),
    [anon_sym___stdcall] = ACTIONS(2677),
    [anon_sym___fastcall] = ACTIONS(2677),
    [anon_sym___thiscall] = ACTIONS(2677),
    [anon_sym___vectorcall] = ACTIONS(2677),
    [anon_sym_LBRACE] = ACTIONS(2679),
    [anon_sym_signed] = ACTIONS(2677),
    [anon_sym_unsigned] = ACTIONS(2677),
    [anon_sym_long] = ACTIONS(2677),
    [anon_sym_short] = ACTIONS(2677),
    [anon_sym_LBRACK] = ACTIONS(2677),
    [anon_sym_static] = ACTIONS(2677),
    [anon_sym_register] = ACTIONS(2677),
    [anon_sym_inline] = ACTIONS(2677),
    [anon_sym___inline] = ACTIONS(2677),
    [anon_sym___inline__] = ACTIONS(2677),
    [anon_sym___forceinline] = ACTIONS(2677),
    [anon_sym_thread_local] = ACTIONS(2677),
    [anon_sym___thread] = ACTIONS(2677),
    [anon_sym_const] = ACTIONS(2677),
    [anon_sym_constexpr] = ACTIONS(2677),
    [anon_sym_volatile] = ACTIONS(2677),
    [anon_sym_restrict] = ACTIONS(2677),
    [anon_sym___restrict__] = ACTIONS(2677),
    [anon_sym__Atomic] = ACTIONS(2677),
    [anon_sym__Noreturn] = ACTIONS(2677),
    [anon_sym_noreturn] = ACTIONS(2677),
    [anon_sym_mutable] = ACTIONS(2677),
    [anon_sym_constinit] = ACTIONS(2677),
    [anon_sym_consteval] = ACTIONS(2677),
    [sym_primitive_type] = ACTIONS(2677),
    [anon_sym_enum] = ACTIONS(2677),
    [anon_sym_class] = ACTIONS(2677),
    [anon_sym_struct] = ACTIONS(2677),
    [anon_sym_union] = ACTIONS(2677),
    [anon_sym_if] = ACTIONS(2677),
    [anon_sym_switch] = ACTIONS(2677),
    [anon_sym_case] = ACTIONS(2677),
    [anon_sym_default] = ACTIONS(2677),
    [anon_sym_while] = ACTIONS(2677),
    [anon_sym_do] = ACTIONS(2677),
    [anon_sym_for] = ACTIONS(2677),
    [anon_sym_return] = ACTIONS(2677),
    [anon_sym_break] = ACTIONS(2677),
    [anon_sym_continue] = ACTIONS(2677),
    [anon_sym_goto] = ACTIONS(2677),
    [anon_sym_not] = ACTIONS(2677),
    [anon_sym_compl] = ACTIONS(2677),
    [anon_sym_DASH_DASH] = ACTIONS(2679),
    [anon_sym_PLUS_PLUS] = ACTIONS(2679),
    [anon_sym_sizeof] = ACTIONS(2677),
    [anon_sym___alignof__] = ACTIONS(2677),
    [anon_sym___alignof] = ACTIONS(2677),
    [anon_sym__alignof] = ACTIONS(2677),
    [anon_sym_alignof] = ACTIONS(2677),
    [anon_sym__Alignof] = ACTIONS(2677),
    [anon_sym_offsetof] = ACTIONS(2677),
    [anon_sym__Generic] = ACTIONS(2677),
    [anon_sym_asm] = ACTIONS(2677),
    [anon_sym___asm__] = ACTIONS(2677),
    [sym_number_literal] = ACTIONS(2679),
    [anon_sym_L_SQUOTE] = ACTIONS(2679),
    [anon_sym_u_SQUOTE] = ACTIONS(2679),
    [anon_sym_U_SQUOTE] = ACTIONS(2679),
    [anon_sym_u8_SQUOTE] = ACTIONS(2679),
    [anon_sym_SQUOTE] = ACTIONS(2679),
    [anon_sym_L_DQUOTE] = ACTIONS(2679),
    [anon_sym_u_DQUOTE] = ACTIONS(2679),
    [anon_sym_U_DQUOTE] = ACTIONS(2679),
    [anon_sym_u8_DQUOTE] = ACTIONS(2679),
    [anon_sym_DQUOTE] = ACTIONS(2679),
    [sym_true] = ACTIONS(2677),
    [sym_false] = ACTIONS(2677),
    [anon_sym_NULL] = ACTIONS(2677),
    [anon_sym_nullptr] = ACTIONS(2677),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2677),
    [anon_sym_decltype] = ACTIONS(2677),
    [anon_sym_virtual] = ACTIONS(2677),
    [anon_sym_alignas] = ACTIONS(2677),
    [anon_sym_explicit] = ACTIONS(2677),
    [anon_sym_typename] = ACTIONS(2677),
    [anon_sym_template] = ACTIONS(2677),
    [anon_sym_operator] = ACTIONS(2677),
    [anon_sym_try] = ACTIONS(2677),
    [anon_sym_delete] = ACTIONS(2677),
    [anon_sym_throw] = ACTIONS(2677),
    [anon_sym_namespace] = ACTIONS(2677),
    [anon_sym_using] = ACTIONS(2677),
    [anon_sym_static_assert] = ACTIONS(2677),
    [anon_sym_concept] = ACTIONS(2677),
    [anon_sym_co_return] = ACTIONS(2677),
    [anon_sym_co_yield] = ACTIONS(2677),
    [anon_sym_R_DQUOTE] = ACTIONS(2679),
    [anon_sym_LR_DQUOTE] = ACTIONS(2679),
    [anon_sym_uR_DQUOTE] = ACTIONS(2679),
    [anon_sym_UR_DQUOTE] = ACTIONS(2679),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2679),
    [anon_sym_co_await] = ACTIONS(2677),
    [anon_sym_new] = ACTIONS(2677),
    [anon_sym_requires] = ACTIONS(2677),
    [sym_this] = ACTIONS(2677),
    [anon_sym_precise] = ACTIONS(2677),
    [anon_sym_shared] = ACTIONS(2677),
    [anon_sym_groupshared] = ACTIONS(2677),
    [anon_sym_uniform] = ACTIONS(2677),
    [anon_sym_row_major] = ACTIONS(2677),
    [anon_sym_column_major] = ACTIONS(2677),
    [anon_sym_globallycoherent] = ACTIONS(2677),
    [anon_sym_centroid] = ACTIONS(2677),
    [anon_sym_noperspective] = ACTIONS(2677),
    [anon_sym_nointerpolation] = ACTIONS(2677),
    [anon_sym_sample] = ACTIONS(2677),
    [anon_sym_linear] = ACTIONS(2677),
    [anon_sym_snorm] = ACTIONS(2677),
    [anon_sym_unorm] = ACTIONS(2677),
    [anon_sym_point] = ACTIONS(2677),
    [anon_sym_line] = ACTIONS(2677),
    [anon_sym_triangleadj] = ACTIONS(2677),
    [anon_sym_lineadj] = ACTIONS(2677),
    [anon_sym_triangle] = ACTIONS(2677),
  },
  [1298] = {
    [ts_builtin_sym_end] = ACTIONS(2767),
    [sym_identifier] = ACTIONS(2765),
    [aux_sym_preproc_include_token1] = ACTIONS(2765),
    [aux_sym_preproc_def_token1] = ACTIONS(2765),
    [aux_sym_preproc_if_token1] = ACTIONS(2765),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2765),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2765),
    [sym_preproc_directive] = ACTIONS(2765),
    [anon_sym_LPAREN2] = ACTIONS(2767),
    [anon_sym_BANG] = ACTIONS(2767),
    [anon_sym_TILDE] = ACTIONS(2767),
    [anon_sym_DASH] = ACTIONS(2765),
    [anon_sym_PLUS] = ACTIONS(2765),
    [anon_sym_STAR] = ACTIONS(2767),
    [anon_sym_AMP_AMP] = ACTIONS(2767),
    [anon_sym_AMP] = ACTIONS(2765),
    [anon_sym___extension__] = ACTIONS(2765),
    [anon_sym_typedef] = ACTIONS(2765),
    [anon_sym_in] = ACTIONS(2765),
    [anon_sym_out] = ACTIONS(2765),
    [anon_sym_inout] = ACTIONS(2765),
    [anon_sym_extern] = ACTIONS(2765),
    [anon_sym___attribute__] = ACTIONS(2765),
    [anon_sym_COLON_COLON] = ACTIONS(2767),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2767),
    [anon_sym___declspec] = ACTIONS(2765),
    [anon_sym___based] = ACTIONS(2765),
    [anon_sym___cdecl] = ACTIONS(2765),
    [anon_sym___clrcall] = ACTIONS(2765),
    [anon_sym___stdcall] = ACTIONS(2765),
    [anon_sym___fastcall] = ACTIONS(2765),
    [anon_sym___thiscall] = ACTIONS(2765),
    [anon_sym___vectorcall] = ACTIONS(2765),
    [anon_sym_LBRACE] = ACTIONS(2767),
    [anon_sym_signed] = ACTIONS(2765),
    [anon_sym_unsigned] = ACTIONS(2765),
    [anon_sym_long] = ACTIONS(2765),
    [anon_sym_short] = ACTIONS(2765),
    [anon_sym_LBRACK] = ACTIONS(2765),
    [anon_sym_static] = ACTIONS(2765),
    [anon_sym_register] = ACTIONS(2765),
    [anon_sym_inline] = ACTIONS(2765),
    [anon_sym___inline] = ACTIONS(2765),
    [anon_sym___inline__] = ACTIONS(2765),
    [anon_sym___forceinline] = ACTIONS(2765),
    [anon_sym_thread_local] = ACTIONS(2765),
    [anon_sym___thread] = ACTIONS(2765),
    [anon_sym_const] = ACTIONS(2765),
    [anon_sym_constexpr] = ACTIONS(2765),
    [anon_sym_volatile] = ACTIONS(2765),
    [anon_sym_restrict] = ACTIONS(2765),
    [anon_sym___restrict__] = ACTIONS(2765),
    [anon_sym__Atomic] = ACTIONS(2765),
    [anon_sym__Noreturn] = ACTIONS(2765),
    [anon_sym_noreturn] = ACTIONS(2765),
    [anon_sym_mutable] = ACTIONS(2765),
    [anon_sym_constinit] = ACTIONS(2765),
    [anon_sym_consteval] = ACTIONS(2765),
    [sym_primitive_type] = ACTIONS(2765),
    [anon_sym_enum] = ACTIONS(2765),
    [anon_sym_class] = ACTIONS(2765),
    [anon_sym_struct] = ACTIONS(2765),
    [anon_sym_union] = ACTIONS(2765),
    [anon_sym_if] = ACTIONS(2765),
    [anon_sym_switch] = ACTIONS(2765),
    [anon_sym_case] = ACTIONS(2765),
    [anon_sym_default] = ACTIONS(2765),
    [anon_sym_while] = ACTIONS(2765),
    [anon_sym_do] = ACTIONS(2765),
    [anon_sym_for] = ACTIONS(2765),
    [anon_sym_return] = ACTIONS(2765),
    [anon_sym_break] = ACTIONS(2765),
    [anon_sym_continue] = ACTIONS(2765),
    [anon_sym_goto] = ACTIONS(2765),
    [anon_sym_not] = ACTIONS(2765),
    [anon_sym_compl] = ACTIONS(2765),
    [anon_sym_DASH_DASH] = ACTIONS(2767),
    [anon_sym_PLUS_PLUS] = ACTIONS(2767),
    [anon_sym_sizeof] = ACTIONS(2765),
    [anon_sym___alignof__] = ACTIONS(2765),
    [anon_sym___alignof] = ACTIONS(2765),
    [anon_sym__alignof] = ACTIONS(2765),
    [anon_sym_alignof] = ACTIONS(2765),
    [anon_sym__Alignof] = ACTIONS(2765),
    [anon_sym_offsetof] = ACTIONS(2765),
    [anon_sym__Generic] = ACTIONS(2765),
    [anon_sym_asm] = ACTIONS(2765),
    [anon_sym___asm__] = ACTIONS(2765),
    [sym_number_literal] = ACTIONS(2767),
    [anon_sym_L_SQUOTE] = ACTIONS(2767),
    [anon_sym_u_SQUOTE] = ACTIONS(2767),
    [anon_sym_U_SQUOTE] = ACTIONS(2767),
    [anon_sym_u8_SQUOTE] = ACTIONS(2767),
    [anon_sym_SQUOTE] = ACTIONS(2767),
    [anon_sym_L_DQUOTE] = ACTIONS(2767),
    [anon_sym_u_DQUOTE] = ACTIONS(2767),
    [anon_sym_U_DQUOTE] = ACTIONS(2767),
    [anon_sym_u8_DQUOTE] = ACTIONS(2767),
    [anon_sym_DQUOTE] = ACTIONS(2767),
    [sym_true] = ACTIONS(2765),
    [sym_false] = ACTIONS(2765),
    [anon_sym_NULL] = ACTIONS(2765),
    [anon_sym_nullptr] = ACTIONS(2765),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2765),
    [anon_sym_decltype] = ACTIONS(2765),
    [anon_sym_virtual] = ACTIONS(2765),
    [anon_sym_alignas] = ACTIONS(2765),
    [anon_sym_explicit] = ACTIONS(2765),
    [anon_sym_typename] = ACTIONS(2765),
    [anon_sym_template] = ACTIONS(2765),
    [anon_sym_operator] = ACTIONS(2765),
    [anon_sym_try] = ACTIONS(2765),
    [anon_sym_delete] = ACTIONS(2765),
    [anon_sym_throw] = ACTIONS(2765),
    [anon_sym_namespace] = ACTIONS(2765),
    [anon_sym_using] = ACTIONS(2765),
    [anon_sym_static_assert] = ACTIONS(2765),
    [anon_sym_concept] = ACTIONS(2765),
    [anon_sym_co_return] = ACTIONS(2765),
    [anon_sym_co_yield] = ACTIONS(2765),
    [anon_sym_R_DQUOTE] = ACTIONS(2767),
    [anon_sym_LR_DQUOTE] = ACTIONS(2767),
    [anon_sym_uR_DQUOTE] = ACTIONS(2767),
    [anon_sym_UR_DQUOTE] = ACTIONS(2767),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2767),
    [anon_sym_co_await] = ACTIONS(2765),
    [anon_sym_new] = ACTIONS(2765),
    [anon_sym_requires] = ACTIONS(2765),
    [sym_this] = ACTIONS(2765),
    [anon_sym_precise] = ACTIONS(2765),
    [anon_sym_shared] = ACTIONS(2765),
    [anon_sym_groupshared] = ACTIONS(2765),
    [anon_sym_uniform] = ACTIONS(2765),
    [anon_sym_row_major] = ACTIONS(2765),
    [anon_sym_column_major] = ACTIONS(2765),
    [anon_sym_globallycoherent] = ACTIONS(2765),
    [anon_sym_centroid] = ACTIONS(2765),
    [anon_sym_noperspective] = ACTIONS(2765),
    [anon_sym_nointerpolation] = ACTIONS(2765),
    [anon_sym_sample] = ACTIONS(2765),
    [anon_sym_linear] = ACTIONS(2765),
    [anon_sym_snorm] = ACTIONS(2765),
    [anon_sym_unorm] = ACTIONS(2765),
    [anon_sym_point] = ACTIONS(2765),
    [anon_sym_line] = ACTIONS(2765),
    [anon_sym_triangleadj] = ACTIONS(2765),
    [anon_sym_lineadj] = ACTIONS(2765),
    [anon_sym_triangle] = ACTIONS(2765),
  },
  [1299] = {
    [ts_builtin_sym_end] = ACTIONS(2799),
    [sym_identifier] = ACTIONS(2797),
    [aux_sym_preproc_include_token1] = ACTIONS(2797),
    [aux_sym_preproc_def_token1] = ACTIONS(2797),
    [aux_sym_preproc_if_token1] = ACTIONS(2797),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2797),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2797),
    [sym_preproc_directive] = ACTIONS(2797),
    [anon_sym_LPAREN2] = ACTIONS(2799),
    [anon_sym_BANG] = ACTIONS(2799),
    [anon_sym_TILDE] = ACTIONS(2799),
    [anon_sym_DASH] = ACTIONS(2797),
    [anon_sym_PLUS] = ACTIONS(2797),
    [anon_sym_STAR] = ACTIONS(2799),
    [anon_sym_AMP_AMP] = ACTIONS(2799),
    [anon_sym_AMP] = ACTIONS(2797),
    [anon_sym___extension__] = ACTIONS(2797),
    [anon_sym_typedef] = ACTIONS(2797),
    [anon_sym_in] = ACTIONS(2797),
    [anon_sym_out] = ACTIONS(2797),
    [anon_sym_inout] = ACTIONS(2797),
    [anon_sym_extern] = ACTIONS(2797),
    [anon_sym___attribute__] = ACTIONS(2797),
    [anon_sym_COLON_COLON] = ACTIONS(2799),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2799),
    [anon_sym___declspec] = ACTIONS(2797),
    [anon_sym___based] = ACTIONS(2797),
    [anon_sym___cdecl] = ACTIONS(2797),
    [anon_sym___clrcall] = ACTIONS(2797),
    [anon_sym___stdcall] = ACTIONS(2797),
    [anon_sym___fastcall] = ACTIONS(2797),
    [anon_sym___thiscall] = ACTIONS(2797),
    [anon_sym___vectorcall] = ACTIONS(2797),
    [anon_sym_LBRACE] = ACTIONS(2799),
    [anon_sym_signed] = ACTIONS(2797),
    [anon_sym_unsigned] = ACTIONS(2797),
    [anon_sym_long] = ACTIONS(2797),
    [anon_sym_short] = ACTIONS(2797),
    [anon_sym_LBRACK] = ACTIONS(2797),
    [anon_sym_static] = ACTIONS(2797),
    [anon_sym_register] = ACTIONS(2797),
    [anon_sym_inline] = ACTIONS(2797),
    [anon_sym___inline] = ACTIONS(2797),
    [anon_sym___inline__] = ACTIONS(2797),
    [anon_sym___forceinline] = ACTIONS(2797),
    [anon_sym_thread_local] = ACTIONS(2797),
    [anon_sym___thread] = ACTIONS(2797),
    [anon_sym_const] = ACTIONS(2797),
    [anon_sym_constexpr] = ACTIONS(2797),
    [anon_sym_volatile] = ACTIONS(2797),
    [anon_sym_restrict] = ACTIONS(2797),
    [anon_sym___restrict__] = ACTIONS(2797),
    [anon_sym__Atomic] = ACTIONS(2797),
    [anon_sym__Noreturn] = ACTIONS(2797),
    [anon_sym_noreturn] = ACTIONS(2797),
    [anon_sym_mutable] = ACTIONS(2797),
    [anon_sym_constinit] = ACTIONS(2797),
    [anon_sym_consteval] = ACTIONS(2797),
    [sym_primitive_type] = ACTIONS(2797),
    [anon_sym_enum] = ACTIONS(2797),
    [anon_sym_class] = ACTIONS(2797),
    [anon_sym_struct] = ACTIONS(2797),
    [anon_sym_union] = ACTIONS(2797),
    [anon_sym_if] = ACTIONS(2797),
    [anon_sym_switch] = ACTIONS(2797),
    [anon_sym_case] = ACTIONS(2797),
    [anon_sym_default] = ACTIONS(2797),
    [anon_sym_while] = ACTIONS(2797),
    [anon_sym_do] = ACTIONS(2797),
    [anon_sym_for] = ACTIONS(2797),
    [anon_sym_return] = ACTIONS(2797),
    [anon_sym_break] = ACTIONS(2797),
    [anon_sym_continue] = ACTIONS(2797),
    [anon_sym_goto] = ACTIONS(2797),
    [anon_sym_not] = ACTIONS(2797),
    [anon_sym_compl] = ACTIONS(2797),
    [anon_sym_DASH_DASH] = ACTIONS(2799),
    [anon_sym_PLUS_PLUS] = ACTIONS(2799),
    [anon_sym_sizeof] = ACTIONS(2797),
    [anon_sym___alignof__] = ACTIONS(2797),
    [anon_sym___alignof] = ACTIONS(2797),
    [anon_sym__alignof] = ACTIONS(2797),
    [anon_sym_alignof] = ACTIONS(2797),
    [anon_sym__Alignof] = ACTIONS(2797),
    [anon_sym_offsetof] = ACTIONS(2797),
    [anon_sym__Generic] = ACTIONS(2797),
    [anon_sym_asm] = ACTIONS(2797),
    [anon_sym___asm__] = ACTIONS(2797),
    [sym_number_literal] = ACTIONS(2799),
    [anon_sym_L_SQUOTE] = ACTIONS(2799),
    [anon_sym_u_SQUOTE] = ACTIONS(2799),
    [anon_sym_U_SQUOTE] = ACTIONS(2799),
    [anon_sym_u8_SQUOTE] = ACTIONS(2799),
    [anon_sym_SQUOTE] = ACTIONS(2799),
    [anon_sym_L_DQUOTE] = ACTIONS(2799),
    [anon_sym_u_DQUOTE] = ACTIONS(2799),
    [anon_sym_U_DQUOTE] = ACTIONS(2799),
    [anon_sym_u8_DQUOTE] = ACTIONS(2799),
    [anon_sym_DQUOTE] = ACTIONS(2799),
    [sym_true] = ACTIONS(2797),
    [sym_false] = ACTIONS(2797),
    [anon_sym_NULL] = ACTIONS(2797),
    [anon_sym_nullptr] = ACTIONS(2797),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2797),
    [anon_sym_decltype] = ACTIONS(2797),
    [anon_sym_virtual] = ACTIONS(2797),
    [anon_sym_alignas] = ACTIONS(2797),
    [anon_sym_explicit] = ACTIONS(2797),
    [anon_sym_typename] = ACTIONS(2797),
    [anon_sym_template] = ACTIONS(2797),
    [anon_sym_operator] = ACTIONS(2797),
    [anon_sym_try] = ACTIONS(2797),
    [anon_sym_delete] = ACTIONS(2797),
    [anon_sym_throw] = ACTIONS(2797),
    [anon_sym_namespace] = ACTIONS(2797),
    [anon_sym_using] = ACTIONS(2797),
    [anon_sym_static_assert] = ACTIONS(2797),
    [anon_sym_concept] = ACTIONS(2797),
    [anon_sym_co_return] = ACTIONS(2797),
    [anon_sym_co_yield] = ACTIONS(2797),
    [anon_sym_R_DQUOTE] = ACTIONS(2799),
    [anon_sym_LR_DQUOTE] = ACTIONS(2799),
    [anon_sym_uR_DQUOTE] = ACTIONS(2799),
    [anon_sym_UR_DQUOTE] = ACTIONS(2799),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2799),
    [anon_sym_co_await] = ACTIONS(2797),
    [anon_sym_new] = ACTIONS(2797),
    [anon_sym_requires] = ACTIONS(2797),
    [sym_this] = ACTIONS(2797),
    [anon_sym_precise] = ACTIONS(2797),
    [anon_sym_shared] = ACTIONS(2797),
    [anon_sym_groupshared] = ACTIONS(2797),
    [anon_sym_uniform] = ACTIONS(2797),
    [anon_sym_row_major] = ACTIONS(2797),
    [anon_sym_column_major] = ACTIONS(2797),
    [anon_sym_globallycoherent] = ACTIONS(2797),
    [anon_sym_centroid] = ACTIONS(2797),
    [anon_sym_noperspective] = ACTIONS(2797),
    [anon_sym_nointerpolation] = ACTIONS(2797),
    [anon_sym_sample] = ACTIONS(2797),
    [anon_sym_linear] = ACTIONS(2797),
    [anon_sym_snorm] = ACTIONS(2797),
    [anon_sym_unorm] = ACTIONS(2797),
    [anon_sym_point] = ACTIONS(2797),
    [anon_sym_line] = ACTIONS(2797),
    [anon_sym_triangleadj] = ACTIONS(2797),
    [anon_sym_lineadj] = ACTIONS(2797),
    [anon_sym_triangle] = ACTIONS(2797),
  },
  [1300] = {
    [ts_builtin_sym_end] = ACTIONS(2815),
    [sym_identifier] = ACTIONS(2813),
    [aux_sym_preproc_include_token1] = ACTIONS(2813),
    [aux_sym_preproc_def_token1] = ACTIONS(2813),
    [aux_sym_preproc_if_token1] = ACTIONS(2813),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2813),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2813),
    [sym_preproc_directive] = ACTIONS(2813),
    [anon_sym_LPAREN2] = ACTIONS(2815),
    [anon_sym_BANG] = ACTIONS(2815),
    [anon_sym_TILDE] = ACTIONS(2815),
    [anon_sym_DASH] = ACTIONS(2813),
    [anon_sym_PLUS] = ACTIONS(2813),
    [anon_sym_STAR] = ACTIONS(2815),
    [anon_sym_AMP_AMP] = ACTIONS(2815),
    [anon_sym_AMP] = ACTIONS(2813),
    [anon_sym___extension__] = ACTIONS(2813),
    [anon_sym_typedef] = ACTIONS(2813),
    [anon_sym_in] = ACTIONS(2813),
    [anon_sym_out] = ACTIONS(2813),
    [anon_sym_inout] = ACTIONS(2813),
    [anon_sym_extern] = ACTIONS(2813),
    [anon_sym___attribute__] = ACTIONS(2813),
    [anon_sym_COLON_COLON] = ACTIONS(2815),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2815),
    [anon_sym___declspec] = ACTIONS(2813),
    [anon_sym___based] = ACTIONS(2813),
    [anon_sym___cdecl] = ACTIONS(2813),
    [anon_sym___clrcall] = ACTIONS(2813),
    [anon_sym___stdcall] = ACTIONS(2813),
    [anon_sym___fastcall] = ACTIONS(2813),
    [anon_sym___thiscall] = ACTIONS(2813),
    [anon_sym___vectorcall] = ACTIONS(2813),
    [anon_sym_LBRACE] = ACTIONS(2815),
    [anon_sym_signed] = ACTIONS(2813),
    [anon_sym_unsigned] = ACTIONS(2813),
    [anon_sym_long] = ACTIONS(2813),
    [anon_sym_short] = ACTIONS(2813),
    [anon_sym_LBRACK] = ACTIONS(2813),
    [anon_sym_static] = ACTIONS(2813),
    [anon_sym_register] = ACTIONS(2813),
    [anon_sym_inline] = ACTIONS(2813),
    [anon_sym___inline] = ACTIONS(2813),
    [anon_sym___inline__] = ACTIONS(2813),
    [anon_sym___forceinline] = ACTIONS(2813),
    [anon_sym_thread_local] = ACTIONS(2813),
    [anon_sym___thread] = ACTIONS(2813),
    [anon_sym_const] = ACTIONS(2813),
    [anon_sym_constexpr] = ACTIONS(2813),
    [anon_sym_volatile] = ACTIONS(2813),
    [anon_sym_restrict] = ACTIONS(2813),
    [anon_sym___restrict__] = ACTIONS(2813),
    [anon_sym__Atomic] = ACTIONS(2813),
    [anon_sym__Noreturn] = ACTIONS(2813),
    [anon_sym_noreturn] = ACTIONS(2813),
    [anon_sym_mutable] = ACTIONS(2813),
    [anon_sym_constinit] = ACTIONS(2813),
    [anon_sym_consteval] = ACTIONS(2813),
    [sym_primitive_type] = ACTIONS(2813),
    [anon_sym_enum] = ACTIONS(2813),
    [anon_sym_class] = ACTIONS(2813),
    [anon_sym_struct] = ACTIONS(2813),
    [anon_sym_union] = ACTIONS(2813),
    [anon_sym_if] = ACTIONS(2813),
    [anon_sym_switch] = ACTIONS(2813),
    [anon_sym_case] = ACTIONS(2813),
    [anon_sym_default] = ACTIONS(2813),
    [anon_sym_while] = ACTIONS(2813),
    [anon_sym_do] = ACTIONS(2813),
    [anon_sym_for] = ACTIONS(2813),
    [anon_sym_return] = ACTIONS(2813),
    [anon_sym_break] = ACTIONS(2813),
    [anon_sym_continue] = ACTIONS(2813),
    [anon_sym_goto] = ACTIONS(2813),
    [anon_sym_not] = ACTIONS(2813),
    [anon_sym_compl] = ACTIONS(2813),
    [anon_sym_DASH_DASH] = ACTIONS(2815),
    [anon_sym_PLUS_PLUS] = ACTIONS(2815),
    [anon_sym_sizeof] = ACTIONS(2813),
    [anon_sym___alignof__] = ACTIONS(2813),
    [anon_sym___alignof] = ACTIONS(2813),
    [anon_sym__alignof] = ACTIONS(2813),
    [anon_sym_alignof] = ACTIONS(2813),
    [anon_sym__Alignof] = ACTIONS(2813),
    [anon_sym_offsetof] = ACTIONS(2813),
    [anon_sym__Generic] = ACTIONS(2813),
    [anon_sym_asm] = ACTIONS(2813),
    [anon_sym___asm__] = ACTIONS(2813),
    [sym_number_literal] = ACTIONS(2815),
    [anon_sym_L_SQUOTE] = ACTIONS(2815),
    [anon_sym_u_SQUOTE] = ACTIONS(2815),
    [anon_sym_U_SQUOTE] = ACTIONS(2815),
    [anon_sym_u8_SQUOTE] = ACTIONS(2815),
    [anon_sym_SQUOTE] = ACTIONS(2815),
    [anon_sym_L_DQUOTE] = ACTIONS(2815),
    [anon_sym_u_DQUOTE] = ACTIONS(2815),
    [anon_sym_U_DQUOTE] = ACTIONS(2815),
    [anon_sym_u8_DQUOTE] = ACTIONS(2815),
    [anon_sym_DQUOTE] = ACTIONS(2815),
    [sym_true] = ACTIONS(2813),
    [sym_false] = ACTIONS(2813),
    [anon_sym_NULL] = ACTIONS(2813),
    [anon_sym_nullptr] = ACTIONS(2813),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2813),
    [anon_sym_decltype] = ACTIONS(2813),
    [anon_sym_virtual] = ACTIONS(2813),
    [anon_sym_alignas] = ACTIONS(2813),
    [anon_sym_explicit] = ACTIONS(2813),
    [anon_sym_typename] = ACTIONS(2813),
    [anon_sym_template] = ACTIONS(2813),
    [anon_sym_operator] = ACTIONS(2813),
    [anon_sym_try] = ACTIONS(2813),
    [anon_sym_delete] = ACTIONS(2813),
    [anon_sym_throw] = ACTIONS(2813),
    [anon_sym_namespace] = ACTIONS(2813),
    [anon_sym_using] = ACTIONS(2813),
    [anon_sym_static_assert] = ACTIONS(2813),
    [anon_sym_concept] = ACTIONS(2813),
    [anon_sym_co_return] = ACTIONS(2813),
    [anon_sym_co_yield] = ACTIONS(2813),
    [anon_sym_R_DQUOTE] = ACTIONS(2815),
    [anon_sym_LR_DQUOTE] = ACTIONS(2815),
    [anon_sym_uR_DQUOTE] = ACTIONS(2815),
    [anon_sym_UR_DQUOTE] = ACTIONS(2815),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2815),
    [anon_sym_co_await] = ACTIONS(2813),
    [anon_sym_new] = ACTIONS(2813),
    [anon_sym_requires] = ACTIONS(2813),
    [sym_this] = ACTIONS(2813),
    [anon_sym_precise] = ACTIONS(2813),
    [anon_sym_shared] = ACTIONS(2813),
    [anon_sym_groupshared] = ACTIONS(2813),
    [anon_sym_uniform] = ACTIONS(2813),
    [anon_sym_row_major] = ACTIONS(2813),
    [anon_sym_column_major] = ACTIONS(2813),
    [anon_sym_globallycoherent] = ACTIONS(2813),
    [anon_sym_centroid] = ACTIONS(2813),
    [anon_sym_noperspective] = ACTIONS(2813),
    [anon_sym_nointerpolation] = ACTIONS(2813),
    [anon_sym_sample] = ACTIONS(2813),
    [anon_sym_linear] = ACTIONS(2813),
    [anon_sym_snorm] = ACTIONS(2813),
    [anon_sym_unorm] = ACTIONS(2813),
    [anon_sym_point] = ACTIONS(2813),
    [anon_sym_line] = ACTIONS(2813),
    [anon_sym_triangleadj] = ACTIONS(2813),
    [anon_sym_lineadj] = ACTIONS(2813),
    [anon_sym_triangle] = ACTIONS(2813),
  },
  [1301] = {
    [ts_builtin_sym_end] = ACTIONS(2803),
    [sym_identifier] = ACTIONS(2801),
    [aux_sym_preproc_include_token1] = ACTIONS(2801),
    [aux_sym_preproc_def_token1] = ACTIONS(2801),
    [aux_sym_preproc_if_token1] = ACTIONS(2801),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2801),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2801),
    [sym_preproc_directive] = ACTIONS(2801),
    [anon_sym_LPAREN2] = ACTIONS(2803),
    [anon_sym_BANG] = ACTIONS(2803),
    [anon_sym_TILDE] = ACTIONS(2803),
    [anon_sym_DASH] = ACTIONS(2801),
    [anon_sym_PLUS] = ACTIONS(2801),
    [anon_sym_STAR] = ACTIONS(2803),
    [anon_sym_AMP_AMP] = ACTIONS(2803),
    [anon_sym_AMP] = ACTIONS(2801),
    [anon_sym___extension__] = ACTIONS(2801),
    [anon_sym_typedef] = ACTIONS(2801),
    [anon_sym_in] = ACTIONS(2801),
    [anon_sym_out] = ACTIONS(2801),
    [anon_sym_inout] = ACTIONS(2801),
    [anon_sym_extern] = ACTIONS(2801),
    [anon_sym___attribute__] = ACTIONS(2801),
    [anon_sym_COLON_COLON] = ACTIONS(2803),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2803),
    [anon_sym___declspec] = ACTIONS(2801),
    [anon_sym___based] = ACTIONS(2801),
    [anon_sym___cdecl] = ACTIONS(2801),
    [anon_sym___clrcall] = ACTIONS(2801),
    [anon_sym___stdcall] = ACTIONS(2801),
    [anon_sym___fastcall] = ACTIONS(2801),
    [anon_sym___thiscall] = ACTIONS(2801),
    [anon_sym___vectorcall] = ACTIONS(2801),
    [anon_sym_LBRACE] = ACTIONS(2803),
    [anon_sym_signed] = ACTIONS(2801),
    [anon_sym_unsigned] = ACTIONS(2801),
    [anon_sym_long] = ACTIONS(2801),
    [anon_sym_short] = ACTIONS(2801),
    [anon_sym_LBRACK] = ACTIONS(2801),
    [anon_sym_static] = ACTIONS(2801),
    [anon_sym_register] = ACTIONS(2801),
    [anon_sym_inline] = ACTIONS(2801),
    [anon_sym___inline] = ACTIONS(2801),
    [anon_sym___inline__] = ACTIONS(2801),
    [anon_sym___forceinline] = ACTIONS(2801),
    [anon_sym_thread_local] = ACTIONS(2801),
    [anon_sym___thread] = ACTIONS(2801),
    [anon_sym_const] = ACTIONS(2801),
    [anon_sym_constexpr] = ACTIONS(2801),
    [anon_sym_volatile] = ACTIONS(2801),
    [anon_sym_restrict] = ACTIONS(2801),
    [anon_sym___restrict__] = ACTIONS(2801),
    [anon_sym__Atomic] = ACTIONS(2801),
    [anon_sym__Noreturn] = ACTIONS(2801),
    [anon_sym_noreturn] = ACTIONS(2801),
    [anon_sym_mutable] = ACTIONS(2801),
    [anon_sym_constinit] = ACTIONS(2801),
    [anon_sym_consteval] = ACTIONS(2801),
    [sym_primitive_type] = ACTIONS(2801),
    [anon_sym_enum] = ACTIONS(2801),
    [anon_sym_class] = ACTIONS(2801),
    [anon_sym_struct] = ACTIONS(2801),
    [anon_sym_union] = ACTIONS(2801),
    [anon_sym_if] = ACTIONS(2801),
    [anon_sym_switch] = ACTIONS(2801),
    [anon_sym_case] = ACTIONS(2801),
    [anon_sym_default] = ACTIONS(2801),
    [anon_sym_while] = ACTIONS(2801),
    [anon_sym_do] = ACTIONS(2801),
    [anon_sym_for] = ACTIONS(2801),
    [anon_sym_return] = ACTIONS(2801),
    [anon_sym_break] = ACTIONS(2801),
    [anon_sym_continue] = ACTIONS(2801),
    [anon_sym_goto] = ACTIONS(2801),
    [anon_sym_not] = ACTIONS(2801),
    [anon_sym_compl] = ACTIONS(2801),
    [anon_sym_DASH_DASH] = ACTIONS(2803),
    [anon_sym_PLUS_PLUS] = ACTIONS(2803),
    [anon_sym_sizeof] = ACTIONS(2801),
    [anon_sym___alignof__] = ACTIONS(2801),
    [anon_sym___alignof] = ACTIONS(2801),
    [anon_sym__alignof] = ACTIONS(2801),
    [anon_sym_alignof] = ACTIONS(2801),
    [anon_sym__Alignof] = ACTIONS(2801),
    [anon_sym_offsetof] = ACTIONS(2801),
    [anon_sym__Generic] = ACTIONS(2801),
    [anon_sym_asm] = ACTIONS(2801),
    [anon_sym___asm__] = ACTIONS(2801),
    [sym_number_literal] = ACTIONS(2803),
    [anon_sym_L_SQUOTE] = ACTIONS(2803),
    [anon_sym_u_SQUOTE] = ACTIONS(2803),
    [anon_sym_U_SQUOTE] = ACTIONS(2803),
    [anon_sym_u8_SQUOTE] = ACTIONS(2803),
    [anon_sym_SQUOTE] = ACTIONS(2803),
    [anon_sym_L_DQUOTE] = ACTIONS(2803),
    [anon_sym_u_DQUOTE] = ACTIONS(2803),
    [anon_sym_U_DQUOTE] = ACTIONS(2803),
    [anon_sym_u8_DQUOTE] = ACTIONS(2803),
    [anon_sym_DQUOTE] = ACTIONS(2803),
    [sym_true] = ACTIONS(2801),
    [sym_false] = ACTIONS(2801),
    [anon_sym_NULL] = ACTIONS(2801),
    [anon_sym_nullptr] = ACTIONS(2801),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2801),
    [anon_sym_decltype] = ACTIONS(2801),
    [anon_sym_virtual] = ACTIONS(2801),
    [anon_sym_alignas] = ACTIONS(2801),
    [anon_sym_explicit] = ACTIONS(2801),
    [anon_sym_typename] = ACTIONS(2801),
    [anon_sym_template] = ACTIONS(2801),
    [anon_sym_operator] = ACTIONS(2801),
    [anon_sym_try] = ACTIONS(2801),
    [anon_sym_delete] = ACTIONS(2801),
    [anon_sym_throw] = ACTIONS(2801),
    [anon_sym_namespace] = ACTIONS(2801),
    [anon_sym_using] = ACTIONS(2801),
    [anon_sym_static_assert] = ACTIONS(2801),
    [anon_sym_concept] = ACTIONS(2801),
    [anon_sym_co_return] = ACTIONS(2801),
    [anon_sym_co_yield] = ACTIONS(2801),
    [anon_sym_R_DQUOTE] = ACTIONS(2803),
    [anon_sym_LR_DQUOTE] = ACTIONS(2803),
    [anon_sym_uR_DQUOTE] = ACTIONS(2803),
    [anon_sym_UR_DQUOTE] = ACTIONS(2803),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2803),
    [anon_sym_co_await] = ACTIONS(2801),
    [anon_sym_new] = ACTIONS(2801),
    [anon_sym_requires] = ACTIONS(2801),
    [sym_this] = ACTIONS(2801),
    [anon_sym_precise] = ACTIONS(2801),
    [anon_sym_shared] = ACTIONS(2801),
    [anon_sym_groupshared] = ACTIONS(2801),
    [anon_sym_uniform] = ACTIONS(2801),
    [anon_sym_row_major] = ACTIONS(2801),
    [anon_sym_column_major] = ACTIONS(2801),
    [anon_sym_globallycoherent] = ACTIONS(2801),
    [anon_sym_centroid] = ACTIONS(2801),
    [anon_sym_noperspective] = ACTIONS(2801),
    [anon_sym_nointerpolation] = ACTIONS(2801),
    [anon_sym_sample] = ACTIONS(2801),
    [anon_sym_linear] = ACTIONS(2801),
    [anon_sym_snorm] = ACTIONS(2801),
    [anon_sym_unorm] = ACTIONS(2801),
    [anon_sym_point] = ACTIONS(2801),
    [anon_sym_line] = ACTIONS(2801),
    [anon_sym_triangleadj] = ACTIONS(2801),
    [anon_sym_lineadj] = ACTIONS(2801),
    [anon_sym_triangle] = ACTIONS(2801),
  },
  [1302] = {
    [ts_builtin_sym_end] = ACTIONS(2610),
    [sym_identifier] = ACTIONS(2608),
    [aux_sym_preproc_include_token1] = ACTIONS(2608),
    [aux_sym_preproc_def_token1] = ACTIONS(2608),
    [aux_sym_preproc_if_token1] = ACTIONS(2608),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2608),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2608),
    [sym_preproc_directive] = ACTIONS(2608),
    [anon_sym_LPAREN2] = ACTIONS(2610),
    [anon_sym_BANG] = ACTIONS(2610),
    [anon_sym_TILDE] = ACTIONS(2610),
    [anon_sym_DASH] = ACTIONS(2608),
    [anon_sym_PLUS] = ACTIONS(2608),
    [anon_sym_STAR] = ACTIONS(2610),
    [anon_sym_AMP_AMP] = ACTIONS(2610),
    [anon_sym_AMP] = ACTIONS(2608),
    [anon_sym___extension__] = ACTIONS(2608),
    [anon_sym_typedef] = ACTIONS(2608),
    [anon_sym_in] = ACTIONS(2608),
    [anon_sym_out] = ACTIONS(2608),
    [anon_sym_inout] = ACTIONS(2608),
    [anon_sym_extern] = ACTIONS(2608),
    [anon_sym___attribute__] = ACTIONS(2608),
    [anon_sym_COLON_COLON] = ACTIONS(2610),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2610),
    [anon_sym___declspec] = ACTIONS(2608),
    [anon_sym___based] = ACTIONS(2608),
    [anon_sym___cdecl] = ACTIONS(2608),
    [anon_sym___clrcall] = ACTIONS(2608),
    [anon_sym___stdcall] = ACTIONS(2608),
    [anon_sym___fastcall] = ACTIONS(2608),
    [anon_sym___thiscall] = ACTIONS(2608),
    [anon_sym___vectorcall] = ACTIONS(2608),
    [anon_sym_LBRACE] = ACTIONS(2610),
    [anon_sym_signed] = ACTIONS(2608),
    [anon_sym_unsigned] = ACTIONS(2608),
    [anon_sym_long] = ACTIONS(2608),
    [anon_sym_short] = ACTIONS(2608),
    [anon_sym_LBRACK] = ACTIONS(2608),
    [anon_sym_static] = ACTIONS(2608),
    [anon_sym_register] = ACTIONS(2608),
    [anon_sym_inline] = ACTIONS(2608),
    [anon_sym___inline] = ACTIONS(2608),
    [anon_sym___inline__] = ACTIONS(2608),
    [anon_sym___forceinline] = ACTIONS(2608),
    [anon_sym_thread_local] = ACTIONS(2608),
    [anon_sym___thread] = ACTIONS(2608),
    [anon_sym_const] = ACTIONS(2608),
    [anon_sym_constexpr] = ACTIONS(2608),
    [anon_sym_volatile] = ACTIONS(2608),
    [anon_sym_restrict] = ACTIONS(2608),
    [anon_sym___restrict__] = ACTIONS(2608),
    [anon_sym__Atomic] = ACTIONS(2608),
    [anon_sym__Noreturn] = ACTIONS(2608),
    [anon_sym_noreturn] = ACTIONS(2608),
    [anon_sym_mutable] = ACTIONS(2608),
    [anon_sym_constinit] = ACTIONS(2608),
    [anon_sym_consteval] = ACTIONS(2608),
    [sym_primitive_type] = ACTIONS(2608),
    [anon_sym_enum] = ACTIONS(2608),
    [anon_sym_class] = ACTIONS(2608),
    [anon_sym_struct] = ACTIONS(2608),
    [anon_sym_union] = ACTIONS(2608),
    [anon_sym_if] = ACTIONS(2608),
    [anon_sym_switch] = ACTIONS(2608),
    [anon_sym_case] = ACTIONS(2608),
    [anon_sym_default] = ACTIONS(2608),
    [anon_sym_while] = ACTIONS(2608),
    [anon_sym_do] = ACTIONS(2608),
    [anon_sym_for] = ACTIONS(2608),
    [anon_sym_return] = ACTIONS(2608),
    [anon_sym_break] = ACTIONS(2608),
    [anon_sym_continue] = ACTIONS(2608),
    [anon_sym_goto] = ACTIONS(2608),
    [anon_sym_not] = ACTIONS(2608),
    [anon_sym_compl] = ACTIONS(2608),
    [anon_sym_DASH_DASH] = ACTIONS(2610),
    [anon_sym_PLUS_PLUS] = ACTIONS(2610),
    [anon_sym_sizeof] = ACTIONS(2608),
    [anon_sym___alignof__] = ACTIONS(2608),
    [anon_sym___alignof] = ACTIONS(2608),
    [anon_sym__alignof] = ACTIONS(2608),
    [anon_sym_alignof] = ACTIONS(2608),
    [anon_sym__Alignof] = ACTIONS(2608),
    [anon_sym_offsetof] = ACTIONS(2608),
    [anon_sym__Generic] = ACTIONS(2608),
    [anon_sym_asm] = ACTIONS(2608),
    [anon_sym___asm__] = ACTIONS(2608),
    [sym_number_literal] = ACTIONS(2610),
    [anon_sym_L_SQUOTE] = ACTIONS(2610),
    [anon_sym_u_SQUOTE] = ACTIONS(2610),
    [anon_sym_U_SQUOTE] = ACTIONS(2610),
    [anon_sym_u8_SQUOTE] = ACTIONS(2610),
    [anon_sym_SQUOTE] = ACTIONS(2610),
    [anon_sym_L_DQUOTE] = ACTIONS(2610),
    [anon_sym_u_DQUOTE] = ACTIONS(2610),
    [anon_sym_U_DQUOTE] = ACTIONS(2610),
    [anon_sym_u8_DQUOTE] = ACTIONS(2610),
    [anon_sym_DQUOTE] = ACTIONS(2610),
    [sym_true] = ACTIONS(2608),
    [sym_false] = ACTIONS(2608),
    [anon_sym_NULL] = ACTIONS(2608),
    [anon_sym_nullptr] = ACTIONS(2608),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2608),
    [anon_sym_decltype] = ACTIONS(2608),
    [anon_sym_virtual] = ACTIONS(2608),
    [anon_sym_alignas] = ACTIONS(2608),
    [anon_sym_explicit] = ACTIONS(2608),
    [anon_sym_typename] = ACTIONS(2608),
    [anon_sym_template] = ACTIONS(2608),
    [anon_sym_operator] = ACTIONS(2608),
    [anon_sym_try] = ACTIONS(2608),
    [anon_sym_delete] = ACTIONS(2608),
    [anon_sym_throw] = ACTIONS(2608),
    [anon_sym_namespace] = ACTIONS(2608),
    [anon_sym_using] = ACTIONS(2608),
    [anon_sym_static_assert] = ACTIONS(2608),
    [anon_sym_concept] = ACTIONS(2608),
    [anon_sym_co_return] = ACTIONS(2608),
    [anon_sym_co_yield] = ACTIONS(2608),
    [anon_sym_R_DQUOTE] = ACTIONS(2610),
    [anon_sym_LR_DQUOTE] = ACTIONS(2610),
    [anon_sym_uR_DQUOTE] = ACTIONS(2610),
    [anon_sym_UR_DQUOTE] = ACTIONS(2610),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2610),
    [anon_sym_co_await] = ACTIONS(2608),
    [anon_sym_new] = ACTIONS(2608),
    [anon_sym_requires] = ACTIONS(2608),
    [sym_this] = ACTIONS(2608),
    [anon_sym_precise] = ACTIONS(2608),
    [anon_sym_shared] = ACTIONS(2608),
    [anon_sym_groupshared] = ACTIONS(2608),
    [anon_sym_uniform] = ACTIONS(2608),
    [anon_sym_row_major] = ACTIONS(2608),
    [anon_sym_column_major] = ACTIONS(2608),
    [anon_sym_globallycoherent] = ACTIONS(2608),
    [anon_sym_centroid] = ACTIONS(2608),
    [anon_sym_noperspective] = ACTIONS(2608),
    [anon_sym_nointerpolation] = ACTIONS(2608),
    [anon_sym_sample] = ACTIONS(2608),
    [anon_sym_linear] = ACTIONS(2608),
    [anon_sym_snorm] = ACTIONS(2608),
    [anon_sym_unorm] = ACTIONS(2608),
    [anon_sym_point] = ACTIONS(2608),
    [anon_sym_line] = ACTIONS(2608),
    [anon_sym_triangleadj] = ACTIONS(2608),
    [anon_sym_lineadj] = ACTIONS(2608),
    [anon_sym_triangle] = ACTIONS(2608),
  },
  [1303] = {
    [ts_builtin_sym_end] = ACTIONS(2767),
    [sym_identifier] = ACTIONS(2765),
    [aux_sym_preproc_include_token1] = ACTIONS(2765),
    [aux_sym_preproc_def_token1] = ACTIONS(2765),
    [aux_sym_preproc_if_token1] = ACTIONS(2765),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2765),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2765),
    [sym_preproc_directive] = ACTIONS(2765),
    [anon_sym_LPAREN2] = ACTIONS(2767),
    [anon_sym_BANG] = ACTIONS(2767),
    [anon_sym_TILDE] = ACTIONS(2767),
    [anon_sym_DASH] = ACTIONS(2765),
    [anon_sym_PLUS] = ACTIONS(2765),
    [anon_sym_STAR] = ACTIONS(2767),
    [anon_sym_AMP_AMP] = ACTIONS(2767),
    [anon_sym_AMP] = ACTIONS(2765),
    [anon_sym___extension__] = ACTIONS(2765),
    [anon_sym_typedef] = ACTIONS(2765),
    [anon_sym_in] = ACTIONS(2765),
    [anon_sym_out] = ACTIONS(2765),
    [anon_sym_inout] = ACTIONS(2765),
    [anon_sym_extern] = ACTIONS(2765),
    [anon_sym___attribute__] = ACTIONS(2765),
    [anon_sym_COLON_COLON] = ACTIONS(2767),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2767),
    [anon_sym___declspec] = ACTIONS(2765),
    [anon_sym___based] = ACTIONS(2765),
    [anon_sym___cdecl] = ACTIONS(2765),
    [anon_sym___clrcall] = ACTIONS(2765),
    [anon_sym___stdcall] = ACTIONS(2765),
    [anon_sym___fastcall] = ACTIONS(2765),
    [anon_sym___thiscall] = ACTIONS(2765),
    [anon_sym___vectorcall] = ACTIONS(2765),
    [anon_sym_LBRACE] = ACTIONS(2767),
    [anon_sym_signed] = ACTIONS(2765),
    [anon_sym_unsigned] = ACTIONS(2765),
    [anon_sym_long] = ACTIONS(2765),
    [anon_sym_short] = ACTIONS(2765),
    [anon_sym_LBRACK] = ACTIONS(2765),
    [anon_sym_static] = ACTIONS(2765),
    [anon_sym_register] = ACTIONS(2765),
    [anon_sym_inline] = ACTIONS(2765),
    [anon_sym___inline] = ACTIONS(2765),
    [anon_sym___inline__] = ACTIONS(2765),
    [anon_sym___forceinline] = ACTIONS(2765),
    [anon_sym_thread_local] = ACTIONS(2765),
    [anon_sym___thread] = ACTIONS(2765),
    [anon_sym_const] = ACTIONS(2765),
    [anon_sym_constexpr] = ACTIONS(2765),
    [anon_sym_volatile] = ACTIONS(2765),
    [anon_sym_restrict] = ACTIONS(2765),
    [anon_sym___restrict__] = ACTIONS(2765),
    [anon_sym__Atomic] = ACTIONS(2765),
    [anon_sym__Noreturn] = ACTIONS(2765),
    [anon_sym_noreturn] = ACTIONS(2765),
    [anon_sym_mutable] = ACTIONS(2765),
    [anon_sym_constinit] = ACTIONS(2765),
    [anon_sym_consteval] = ACTIONS(2765),
    [sym_primitive_type] = ACTIONS(2765),
    [anon_sym_enum] = ACTIONS(2765),
    [anon_sym_class] = ACTIONS(2765),
    [anon_sym_struct] = ACTIONS(2765),
    [anon_sym_union] = ACTIONS(2765),
    [anon_sym_if] = ACTIONS(2765),
    [anon_sym_switch] = ACTIONS(2765),
    [anon_sym_case] = ACTIONS(2765),
    [anon_sym_default] = ACTIONS(2765),
    [anon_sym_while] = ACTIONS(2765),
    [anon_sym_do] = ACTIONS(2765),
    [anon_sym_for] = ACTIONS(2765),
    [anon_sym_return] = ACTIONS(2765),
    [anon_sym_break] = ACTIONS(2765),
    [anon_sym_continue] = ACTIONS(2765),
    [anon_sym_goto] = ACTIONS(2765),
    [anon_sym_not] = ACTIONS(2765),
    [anon_sym_compl] = ACTIONS(2765),
    [anon_sym_DASH_DASH] = ACTIONS(2767),
    [anon_sym_PLUS_PLUS] = ACTIONS(2767),
    [anon_sym_sizeof] = ACTIONS(2765),
    [anon_sym___alignof__] = ACTIONS(2765),
    [anon_sym___alignof] = ACTIONS(2765),
    [anon_sym__alignof] = ACTIONS(2765),
    [anon_sym_alignof] = ACTIONS(2765),
    [anon_sym__Alignof] = ACTIONS(2765),
    [anon_sym_offsetof] = ACTIONS(2765),
    [anon_sym__Generic] = ACTIONS(2765),
    [anon_sym_asm] = ACTIONS(2765),
    [anon_sym___asm__] = ACTIONS(2765),
    [sym_number_literal] = ACTIONS(2767),
    [anon_sym_L_SQUOTE] = ACTIONS(2767),
    [anon_sym_u_SQUOTE] = ACTIONS(2767),
    [anon_sym_U_SQUOTE] = ACTIONS(2767),
    [anon_sym_u8_SQUOTE] = ACTIONS(2767),
    [anon_sym_SQUOTE] = ACTIONS(2767),
    [anon_sym_L_DQUOTE] = ACTIONS(2767),
    [anon_sym_u_DQUOTE] = ACTIONS(2767),
    [anon_sym_U_DQUOTE] = ACTIONS(2767),
    [anon_sym_u8_DQUOTE] = ACTIONS(2767),
    [anon_sym_DQUOTE] = ACTIONS(2767),
    [sym_true] = ACTIONS(2765),
    [sym_false] = ACTIONS(2765),
    [anon_sym_NULL] = ACTIONS(2765),
    [anon_sym_nullptr] = ACTIONS(2765),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2765),
    [anon_sym_decltype] = ACTIONS(2765),
    [anon_sym_virtual] = ACTIONS(2765),
    [anon_sym_alignas] = ACTIONS(2765),
    [anon_sym_explicit] = ACTIONS(2765),
    [anon_sym_typename] = ACTIONS(2765),
    [anon_sym_template] = ACTIONS(2765),
    [anon_sym_operator] = ACTIONS(2765),
    [anon_sym_try] = ACTIONS(2765),
    [anon_sym_delete] = ACTIONS(2765),
    [anon_sym_throw] = ACTIONS(2765),
    [anon_sym_namespace] = ACTIONS(2765),
    [anon_sym_using] = ACTIONS(2765),
    [anon_sym_static_assert] = ACTIONS(2765),
    [anon_sym_concept] = ACTIONS(2765),
    [anon_sym_co_return] = ACTIONS(2765),
    [anon_sym_co_yield] = ACTIONS(2765),
    [anon_sym_R_DQUOTE] = ACTIONS(2767),
    [anon_sym_LR_DQUOTE] = ACTIONS(2767),
    [anon_sym_uR_DQUOTE] = ACTIONS(2767),
    [anon_sym_UR_DQUOTE] = ACTIONS(2767),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2767),
    [anon_sym_co_await] = ACTIONS(2765),
    [anon_sym_new] = ACTIONS(2765),
    [anon_sym_requires] = ACTIONS(2765),
    [sym_this] = ACTIONS(2765),
    [anon_sym_precise] = ACTIONS(2765),
    [anon_sym_shared] = ACTIONS(2765),
    [anon_sym_groupshared] = ACTIONS(2765),
    [anon_sym_uniform] = ACTIONS(2765),
    [anon_sym_row_major] = ACTIONS(2765),
    [anon_sym_column_major] = ACTIONS(2765),
    [anon_sym_globallycoherent] = ACTIONS(2765),
    [anon_sym_centroid] = ACTIONS(2765),
    [anon_sym_noperspective] = ACTIONS(2765),
    [anon_sym_nointerpolation] = ACTIONS(2765),
    [anon_sym_sample] = ACTIONS(2765),
    [anon_sym_linear] = ACTIONS(2765),
    [anon_sym_snorm] = ACTIONS(2765),
    [anon_sym_unorm] = ACTIONS(2765),
    [anon_sym_point] = ACTIONS(2765),
    [anon_sym_line] = ACTIONS(2765),
    [anon_sym_triangleadj] = ACTIONS(2765),
    [anon_sym_lineadj] = ACTIONS(2765),
    [anon_sym_triangle] = ACTIONS(2765),
  },
  [1304] = {
    [ts_builtin_sym_end] = ACTIONS(2795),
    [sym_identifier] = ACTIONS(2793),
    [aux_sym_preproc_include_token1] = ACTIONS(2793),
    [aux_sym_preproc_def_token1] = ACTIONS(2793),
    [aux_sym_preproc_if_token1] = ACTIONS(2793),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2793),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2793),
    [sym_preproc_directive] = ACTIONS(2793),
    [anon_sym_LPAREN2] = ACTIONS(2795),
    [anon_sym_BANG] = ACTIONS(2795),
    [anon_sym_TILDE] = ACTIONS(2795),
    [anon_sym_DASH] = ACTIONS(2793),
    [anon_sym_PLUS] = ACTIONS(2793),
    [anon_sym_STAR] = ACTIONS(2795),
    [anon_sym_AMP_AMP] = ACTIONS(2795),
    [anon_sym_AMP] = ACTIONS(2793),
    [anon_sym___extension__] = ACTIONS(2793),
    [anon_sym_typedef] = ACTIONS(2793),
    [anon_sym_in] = ACTIONS(2793),
    [anon_sym_out] = ACTIONS(2793),
    [anon_sym_inout] = ACTIONS(2793),
    [anon_sym_extern] = ACTIONS(2793),
    [anon_sym___attribute__] = ACTIONS(2793),
    [anon_sym_COLON_COLON] = ACTIONS(2795),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2795),
    [anon_sym___declspec] = ACTIONS(2793),
    [anon_sym___based] = ACTIONS(2793),
    [anon_sym___cdecl] = ACTIONS(2793),
    [anon_sym___clrcall] = ACTIONS(2793),
    [anon_sym___stdcall] = ACTIONS(2793),
    [anon_sym___fastcall] = ACTIONS(2793),
    [anon_sym___thiscall] = ACTIONS(2793),
    [anon_sym___vectorcall] = ACTIONS(2793),
    [anon_sym_LBRACE] = ACTIONS(2795),
    [anon_sym_signed] = ACTIONS(2793),
    [anon_sym_unsigned] = ACTIONS(2793),
    [anon_sym_long] = ACTIONS(2793),
    [anon_sym_short] = ACTIONS(2793),
    [anon_sym_LBRACK] = ACTIONS(2793),
    [anon_sym_static] = ACTIONS(2793),
    [anon_sym_register] = ACTIONS(2793),
    [anon_sym_inline] = ACTIONS(2793),
    [anon_sym___inline] = ACTIONS(2793),
    [anon_sym___inline__] = ACTIONS(2793),
    [anon_sym___forceinline] = ACTIONS(2793),
    [anon_sym_thread_local] = ACTIONS(2793),
    [anon_sym___thread] = ACTIONS(2793),
    [anon_sym_const] = ACTIONS(2793),
    [anon_sym_constexpr] = ACTIONS(2793),
    [anon_sym_volatile] = ACTIONS(2793),
    [anon_sym_restrict] = ACTIONS(2793),
    [anon_sym___restrict__] = ACTIONS(2793),
    [anon_sym__Atomic] = ACTIONS(2793),
    [anon_sym__Noreturn] = ACTIONS(2793),
    [anon_sym_noreturn] = ACTIONS(2793),
    [anon_sym_mutable] = ACTIONS(2793),
    [anon_sym_constinit] = ACTIONS(2793),
    [anon_sym_consteval] = ACTIONS(2793),
    [sym_primitive_type] = ACTIONS(2793),
    [anon_sym_enum] = ACTIONS(2793),
    [anon_sym_class] = ACTIONS(2793),
    [anon_sym_struct] = ACTIONS(2793),
    [anon_sym_union] = ACTIONS(2793),
    [anon_sym_if] = ACTIONS(2793),
    [anon_sym_switch] = ACTIONS(2793),
    [anon_sym_case] = ACTIONS(2793),
    [anon_sym_default] = ACTIONS(2793),
    [anon_sym_while] = ACTIONS(2793),
    [anon_sym_do] = ACTIONS(2793),
    [anon_sym_for] = ACTIONS(2793),
    [anon_sym_return] = ACTIONS(2793),
    [anon_sym_break] = ACTIONS(2793),
    [anon_sym_continue] = ACTIONS(2793),
    [anon_sym_goto] = ACTIONS(2793),
    [anon_sym_not] = ACTIONS(2793),
    [anon_sym_compl] = ACTIONS(2793),
    [anon_sym_DASH_DASH] = ACTIONS(2795),
    [anon_sym_PLUS_PLUS] = ACTIONS(2795),
    [anon_sym_sizeof] = ACTIONS(2793),
    [anon_sym___alignof__] = ACTIONS(2793),
    [anon_sym___alignof] = ACTIONS(2793),
    [anon_sym__alignof] = ACTIONS(2793),
    [anon_sym_alignof] = ACTIONS(2793),
    [anon_sym__Alignof] = ACTIONS(2793),
    [anon_sym_offsetof] = ACTIONS(2793),
    [anon_sym__Generic] = ACTIONS(2793),
    [anon_sym_asm] = ACTIONS(2793),
    [anon_sym___asm__] = ACTIONS(2793),
    [sym_number_literal] = ACTIONS(2795),
    [anon_sym_L_SQUOTE] = ACTIONS(2795),
    [anon_sym_u_SQUOTE] = ACTIONS(2795),
    [anon_sym_U_SQUOTE] = ACTIONS(2795),
    [anon_sym_u8_SQUOTE] = ACTIONS(2795),
    [anon_sym_SQUOTE] = ACTIONS(2795),
    [anon_sym_L_DQUOTE] = ACTIONS(2795),
    [anon_sym_u_DQUOTE] = ACTIONS(2795),
    [anon_sym_U_DQUOTE] = ACTIONS(2795),
    [anon_sym_u8_DQUOTE] = ACTIONS(2795),
    [anon_sym_DQUOTE] = ACTIONS(2795),
    [sym_true] = ACTIONS(2793),
    [sym_false] = ACTIONS(2793),
    [anon_sym_NULL] = ACTIONS(2793),
    [anon_sym_nullptr] = ACTIONS(2793),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2793),
    [anon_sym_decltype] = ACTIONS(2793),
    [anon_sym_virtual] = ACTIONS(2793),
    [anon_sym_alignas] = ACTIONS(2793),
    [anon_sym_explicit] = ACTIONS(2793),
    [anon_sym_typename] = ACTIONS(2793),
    [anon_sym_template] = ACTIONS(2793),
    [anon_sym_operator] = ACTIONS(2793),
    [anon_sym_try] = ACTIONS(2793),
    [anon_sym_delete] = ACTIONS(2793),
    [anon_sym_throw] = ACTIONS(2793),
    [anon_sym_namespace] = ACTIONS(2793),
    [anon_sym_using] = ACTIONS(2793),
    [anon_sym_static_assert] = ACTIONS(2793),
    [anon_sym_concept] = ACTIONS(2793),
    [anon_sym_co_return] = ACTIONS(2793),
    [anon_sym_co_yield] = ACTIONS(2793),
    [anon_sym_R_DQUOTE] = ACTIONS(2795),
    [anon_sym_LR_DQUOTE] = ACTIONS(2795),
    [anon_sym_uR_DQUOTE] = ACTIONS(2795),
    [anon_sym_UR_DQUOTE] = ACTIONS(2795),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2795),
    [anon_sym_co_await] = ACTIONS(2793),
    [anon_sym_new] = ACTIONS(2793),
    [anon_sym_requires] = ACTIONS(2793),
    [sym_this] = ACTIONS(2793),
    [anon_sym_precise] = ACTIONS(2793),
    [anon_sym_shared] = ACTIONS(2793),
    [anon_sym_groupshared] = ACTIONS(2793),
    [anon_sym_uniform] = ACTIONS(2793),
    [anon_sym_row_major] = ACTIONS(2793),
    [anon_sym_column_major] = ACTIONS(2793),
    [anon_sym_globallycoherent] = ACTIONS(2793),
    [anon_sym_centroid] = ACTIONS(2793),
    [anon_sym_noperspective] = ACTIONS(2793),
    [anon_sym_nointerpolation] = ACTIONS(2793),
    [anon_sym_sample] = ACTIONS(2793),
    [anon_sym_linear] = ACTIONS(2793),
    [anon_sym_snorm] = ACTIONS(2793),
    [anon_sym_unorm] = ACTIONS(2793),
    [anon_sym_point] = ACTIONS(2793),
    [anon_sym_line] = ACTIONS(2793),
    [anon_sym_triangleadj] = ACTIONS(2793),
    [anon_sym_lineadj] = ACTIONS(2793),
    [anon_sym_triangle] = ACTIONS(2793),
  },
  [1305] = {
    [ts_builtin_sym_end] = ACTIONS(2799),
    [sym_identifier] = ACTIONS(2797),
    [aux_sym_preproc_include_token1] = ACTIONS(2797),
    [aux_sym_preproc_def_token1] = ACTIONS(2797),
    [aux_sym_preproc_if_token1] = ACTIONS(2797),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2797),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2797),
    [sym_preproc_directive] = ACTIONS(2797),
    [anon_sym_LPAREN2] = ACTIONS(2799),
    [anon_sym_BANG] = ACTIONS(2799),
    [anon_sym_TILDE] = ACTIONS(2799),
    [anon_sym_DASH] = ACTIONS(2797),
    [anon_sym_PLUS] = ACTIONS(2797),
    [anon_sym_STAR] = ACTIONS(2799),
    [anon_sym_AMP_AMP] = ACTIONS(2799),
    [anon_sym_AMP] = ACTIONS(2797),
    [anon_sym___extension__] = ACTIONS(2797),
    [anon_sym_typedef] = ACTIONS(2797),
    [anon_sym_in] = ACTIONS(2797),
    [anon_sym_out] = ACTIONS(2797),
    [anon_sym_inout] = ACTIONS(2797),
    [anon_sym_extern] = ACTIONS(2797),
    [anon_sym___attribute__] = ACTIONS(2797),
    [anon_sym_COLON_COLON] = ACTIONS(2799),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2799),
    [anon_sym___declspec] = ACTIONS(2797),
    [anon_sym___based] = ACTIONS(2797),
    [anon_sym___cdecl] = ACTIONS(2797),
    [anon_sym___clrcall] = ACTIONS(2797),
    [anon_sym___stdcall] = ACTIONS(2797),
    [anon_sym___fastcall] = ACTIONS(2797),
    [anon_sym___thiscall] = ACTIONS(2797),
    [anon_sym___vectorcall] = ACTIONS(2797),
    [anon_sym_LBRACE] = ACTIONS(2799),
    [anon_sym_signed] = ACTIONS(2797),
    [anon_sym_unsigned] = ACTIONS(2797),
    [anon_sym_long] = ACTIONS(2797),
    [anon_sym_short] = ACTIONS(2797),
    [anon_sym_LBRACK] = ACTIONS(2797),
    [anon_sym_static] = ACTIONS(2797),
    [anon_sym_register] = ACTIONS(2797),
    [anon_sym_inline] = ACTIONS(2797),
    [anon_sym___inline] = ACTIONS(2797),
    [anon_sym___inline__] = ACTIONS(2797),
    [anon_sym___forceinline] = ACTIONS(2797),
    [anon_sym_thread_local] = ACTIONS(2797),
    [anon_sym___thread] = ACTIONS(2797),
    [anon_sym_const] = ACTIONS(2797),
    [anon_sym_constexpr] = ACTIONS(2797),
    [anon_sym_volatile] = ACTIONS(2797),
    [anon_sym_restrict] = ACTIONS(2797),
    [anon_sym___restrict__] = ACTIONS(2797),
    [anon_sym__Atomic] = ACTIONS(2797),
    [anon_sym__Noreturn] = ACTIONS(2797),
    [anon_sym_noreturn] = ACTIONS(2797),
    [anon_sym_mutable] = ACTIONS(2797),
    [anon_sym_constinit] = ACTIONS(2797),
    [anon_sym_consteval] = ACTIONS(2797),
    [sym_primitive_type] = ACTIONS(2797),
    [anon_sym_enum] = ACTIONS(2797),
    [anon_sym_class] = ACTIONS(2797),
    [anon_sym_struct] = ACTIONS(2797),
    [anon_sym_union] = ACTIONS(2797),
    [anon_sym_if] = ACTIONS(2797),
    [anon_sym_switch] = ACTIONS(2797),
    [anon_sym_case] = ACTIONS(2797),
    [anon_sym_default] = ACTIONS(2797),
    [anon_sym_while] = ACTIONS(2797),
    [anon_sym_do] = ACTIONS(2797),
    [anon_sym_for] = ACTIONS(2797),
    [anon_sym_return] = ACTIONS(2797),
    [anon_sym_break] = ACTIONS(2797),
    [anon_sym_continue] = ACTIONS(2797),
    [anon_sym_goto] = ACTIONS(2797),
    [anon_sym_not] = ACTIONS(2797),
    [anon_sym_compl] = ACTIONS(2797),
    [anon_sym_DASH_DASH] = ACTIONS(2799),
    [anon_sym_PLUS_PLUS] = ACTIONS(2799),
    [anon_sym_sizeof] = ACTIONS(2797),
    [anon_sym___alignof__] = ACTIONS(2797),
    [anon_sym___alignof] = ACTIONS(2797),
    [anon_sym__alignof] = ACTIONS(2797),
    [anon_sym_alignof] = ACTIONS(2797),
    [anon_sym__Alignof] = ACTIONS(2797),
    [anon_sym_offsetof] = ACTIONS(2797),
    [anon_sym__Generic] = ACTIONS(2797),
    [anon_sym_asm] = ACTIONS(2797),
    [anon_sym___asm__] = ACTIONS(2797),
    [sym_number_literal] = ACTIONS(2799),
    [anon_sym_L_SQUOTE] = ACTIONS(2799),
    [anon_sym_u_SQUOTE] = ACTIONS(2799),
    [anon_sym_U_SQUOTE] = ACTIONS(2799),
    [anon_sym_u8_SQUOTE] = ACTIONS(2799),
    [anon_sym_SQUOTE] = ACTIONS(2799),
    [anon_sym_L_DQUOTE] = ACTIONS(2799),
    [anon_sym_u_DQUOTE] = ACTIONS(2799),
    [anon_sym_U_DQUOTE] = ACTIONS(2799),
    [anon_sym_u8_DQUOTE] = ACTIONS(2799),
    [anon_sym_DQUOTE] = ACTIONS(2799),
    [sym_true] = ACTIONS(2797),
    [sym_false] = ACTIONS(2797),
    [anon_sym_NULL] = ACTIONS(2797),
    [anon_sym_nullptr] = ACTIONS(2797),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2797),
    [anon_sym_decltype] = ACTIONS(2797),
    [anon_sym_virtual] = ACTIONS(2797),
    [anon_sym_alignas] = ACTIONS(2797),
    [anon_sym_explicit] = ACTIONS(2797),
    [anon_sym_typename] = ACTIONS(2797),
    [anon_sym_template] = ACTIONS(2797),
    [anon_sym_operator] = ACTIONS(2797),
    [anon_sym_try] = ACTIONS(2797),
    [anon_sym_delete] = ACTIONS(2797),
    [anon_sym_throw] = ACTIONS(2797),
    [anon_sym_namespace] = ACTIONS(2797),
    [anon_sym_using] = ACTIONS(2797),
    [anon_sym_static_assert] = ACTIONS(2797),
    [anon_sym_concept] = ACTIONS(2797),
    [anon_sym_co_return] = ACTIONS(2797),
    [anon_sym_co_yield] = ACTIONS(2797),
    [anon_sym_R_DQUOTE] = ACTIONS(2799),
    [anon_sym_LR_DQUOTE] = ACTIONS(2799),
    [anon_sym_uR_DQUOTE] = ACTIONS(2799),
    [anon_sym_UR_DQUOTE] = ACTIONS(2799),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2799),
    [anon_sym_co_await] = ACTIONS(2797),
    [anon_sym_new] = ACTIONS(2797),
    [anon_sym_requires] = ACTIONS(2797),
    [sym_this] = ACTIONS(2797),
    [anon_sym_precise] = ACTIONS(2797),
    [anon_sym_shared] = ACTIONS(2797),
    [anon_sym_groupshared] = ACTIONS(2797),
    [anon_sym_uniform] = ACTIONS(2797),
    [anon_sym_row_major] = ACTIONS(2797),
    [anon_sym_column_major] = ACTIONS(2797),
    [anon_sym_globallycoherent] = ACTIONS(2797),
    [anon_sym_centroid] = ACTIONS(2797),
    [anon_sym_noperspective] = ACTIONS(2797),
    [anon_sym_nointerpolation] = ACTIONS(2797),
    [anon_sym_sample] = ACTIONS(2797),
    [anon_sym_linear] = ACTIONS(2797),
    [anon_sym_snorm] = ACTIONS(2797),
    [anon_sym_unorm] = ACTIONS(2797),
    [anon_sym_point] = ACTIONS(2797),
    [anon_sym_line] = ACTIONS(2797),
    [anon_sym_triangleadj] = ACTIONS(2797),
    [anon_sym_lineadj] = ACTIONS(2797),
    [anon_sym_triangle] = ACTIONS(2797),
  },
  [1306] = {
    [ts_builtin_sym_end] = ACTIONS(2767),
    [sym_identifier] = ACTIONS(2765),
    [aux_sym_preproc_include_token1] = ACTIONS(2765),
    [aux_sym_preproc_def_token1] = ACTIONS(2765),
    [aux_sym_preproc_if_token1] = ACTIONS(2765),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2765),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2765),
    [sym_preproc_directive] = ACTIONS(2765),
    [anon_sym_LPAREN2] = ACTIONS(2767),
    [anon_sym_BANG] = ACTIONS(2767),
    [anon_sym_TILDE] = ACTIONS(2767),
    [anon_sym_DASH] = ACTIONS(2765),
    [anon_sym_PLUS] = ACTIONS(2765),
    [anon_sym_STAR] = ACTIONS(2767),
    [anon_sym_AMP_AMP] = ACTIONS(2767),
    [anon_sym_AMP] = ACTIONS(2765),
    [anon_sym___extension__] = ACTIONS(2765),
    [anon_sym_typedef] = ACTIONS(2765),
    [anon_sym_in] = ACTIONS(2765),
    [anon_sym_out] = ACTIONS(2765),
    [anon_sym_inout] = ACTIONS(2765),
    [anon_sym_extern] = ACTIONS(2765),
    [anon_sym___attribute__] = ACTIONS(2765),
    [anon_sym_COLON_COLON] = ACTIONS(2767),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2767),
    [anon_sym___declspec] = ACTIONS(2765),
    [anon_sym___based] = ACTIONS(2765),
    [anon_sym___cdecl] = ACTIONS(2765),
    [anon_sym___clrcall] = ACTIONS(2765),
    [anon_sym___stdcall] = ACTIONS(2765),
    [anon_sym___fastcall] = ACTIONS(2765),
    [anon_sym___thiscall] = ACTIONS(2765),
    [anon_sym___vectorcall] = ACTIONS(2765),
    [anon_sym_LBRACE] = ACTIONS(2767),
    [anon_sym_signed] = ACTIONS(2765),
    [anon_sym_unsigned] = ACTIONS(2765),
    [anon_sym_long] = ACTIONS(2765),
    [anon_sym_short] = ACTIONS(2765),
    [anon_sym_LBRACK] = ACTIONS(2765),
    [anon_sym_static] = ACTIONS(2765),
    [anon_sym_register] = ACTIONS(2765),
    [anon_sym_inline] = ACTIONS(2765),
    [anon_sym___inline] = ACTIONS(2765),
    [anon_sym___inline__] = ACTIONS(2765),
    [anon_sym___forceinline] = ACTIONS(2765),
    [anon_sym_thread_local] = ACTIONS(2765),
    [anon_sym___thread] = ACTIONS(2765),
    [anon_sym_const] = ACTIONS(2765),
    [anon_sym_constexpr] = ACTIONS(2765),
    [anon_sym_volatile] = ACTIONS(2765),
    [anon_sym_restrict] = ACTIONS(2765),
    [anon_sym___restrict__] = ACTIONS(2765),
    [anon_sym__Atomic] = ACTIONS(2765),
    [anon_sym__Noreturn] = ACTIONS(2765),
    [anon_sym_noreturn] = ACTIONS(2765),
    [anon_sym_mutable] = ACTIONS(2765),
    [anon_sym_constinit] = ACTIONS(2765),
    [anon_sym_consteval] = ACTIONS(2765),
    [sym_primitive_type] = ACTIONS(2765),
    [anon_sym_enum] = ACTIONS(2765),
    [anon_sym_class] = ACTIONS(2765),
    [anon_sym_struct] = ACTIONS(2765),
    [anon_sym_union] = ACTIONS(2765),
    [anon_sym_if] = ACTIONS(2765),
    [anon_sym_switch] = ACTIONS(2765),
    [anon_sym_case] = ACTIONS(2765),
    [anon_sym_default] = ACTIONS(2765),
    [anon_sym_while] = ACTIONS(2765),
    [anon_sym_do] = ACTIONS(2765),
    [anon_sym_for] = ACTIONS(2765),
    [anon_sym_return] = ACTIONS(2765),
    [anon_sym_break] = ACTIONS(2765),
    [anon_sym_continue] = ACTIONS(2765),
    [anon_sym_goto] = ACTIONS(2765),
    [anon_sym_not] = ACTIONS(2765),
    [anon_sym_compl] = ACTIONS(2765),
    [anon_sym_DASH_DASH] = ACTIONS(2767),
    [anon_sym_PLUS_PLUS] = ACTIONS(2767),
    [anon_sym_sizeof] = ACTIONS(2765),
    [anon_sym___alignof__] = ACTIONS(2765),
    [anon_sym___alignof] = ACTIONS(2765),
    [anon_sym__alignof] = ACTIONS(2765),
    [anon_sym_alignof] = ACTIONS(2765),
    [anon_sym__Alignof] = ACTIONS(2765),
    [anon_sym_offsetof] = ACTIONS(2765),
    [anon_sym__Generic] = ACTIONS(2765),
    [anon_sym_asm] = ACTIONS(2765),
    [anon_sym___asm__] = ACTIONS(2765),
    [sym_number_literal] = ACTIONS(2767),
    [anon_sym_L_SQUOTE] = ACTIONS(2767),
    [anon_sym_u_SQUOTE] = ACTIONS(2767),
    [anon_sym_U_SQUOTE] = ACTIONS(2767),
    [anon_sym_u8_SQUOTE] = ACTIONS(2767),
    [anon_sym_SQUOTE] = ACTIONS(2767),
    [anon_sym_L_DQUOTE] = ACTIONS(2767),
    [anon_sym_u_DQUOTE] = ACTIONS(2767),
    [anon_sym_U_DQUOTE] = ACTIONS(2767),
    [anon_sym_u8_DQUOTE] = ACTIONS(2767),
    [anon_sym_DQUOTE] = ACTIONS(2767),
    [sym_true] = ACTIONS(2765),
    [sym_false] = ACTIONS(2765),
    [anon_sym_NULL] = ACTIONS(2765),
    [anon_sym_nullptr] = ACTIONS(2765),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2765),
    [anon_sym_decltype] = ACTIONS(2765),
    [anon_sym_virtual] = ACTIONS(2765),
    [anon_sym_alignas] = ACTIONS(2765),
    [anon_sym_explicit] = ACTIONS(2765),
    [anon_sym_typename] = ACTIONS(2765),
    [anon_sym_template] = ACTIONS(2765),
    [anon_sym_operator] = ACTIONS(2765),
    [anon_sym_try] = ACTIONS(2765),
    [anon_sym_delete] = ACTIONS(2765),
    [anon_sym_throw] = ACTIONS(2765),
    [anon_sym_namespace] = ACTIONS(2765),
    [anon_sym_using] = ACTIONS(2765),
    [anon_sym_static_assert] = ACTIONS(2765),
    [anon_sym_concept] = ACTIONS(2765),
    [anon_sym_co_return] = ACTIONS(2765),
    [anon_sym_co_yield] = ACTIONS(2765),
    [anon_sym_R_DQUOTE] = ACTIONS(2767),
    [anon_sym_LR_DQUOTE] = ACTIONS(2767),
    [anon_sym_uR_DQUOTE] = ACTIONS(2767),
    [anon_sym_UR_DQUOTE] = ACTIONS(2767),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2767),
    [anon_sym_co_await] = ACTIONS(2765),
    [anon_sym_new] = ACTIONS(2765),
    [anon_sym_requires] = ACTIONS(2765),
    [sym_this] = ACTIONS(2765),
    [anon_sym_precise] = ACTIONS(2765),
    [anon_sym_shared] = ACTIONS(2765),
    [anon_sym_groupshared] = ACTIONS(2765),
    [anon_sym_uniform] = ACTIONS(2765),
    [anon_sym_row_major] = ACTIONS(2765),
    [anon_sym_column_major] = ACTIONS(2765),
    [anon_sym_globallycoherent] = ACTIONS(2765),
    [anon_sym_centroid] = ACTIONS(2765),
    [anon_sym_noperspective] = ACTIONS(2765),
    [anon_sym_nointerpolation] = ACTIONS(2765),
    [anon_sym_sample] = ACTIONS(2765),
    [anon_sym_linear] = ACTIONS(2765),
    [anon_sym_snorm] = ACTIONS(2765),
    [anon_sym_unorm] = ACTIONS(2765),
    [anon_sym_point] = ACTIONS(2765),
    [anon_sym_line] = ACTIONS(2765),
    [anon_sym_triangleadj] = ACTIONS(2765),
    [anon_sym_lineadj] = ACTIONS(2765),
    [anon_sym_triangle] = ACTIONS(2765),
  },
  [1307] = {
    [ts_builtin_sym_end] = ACTIONS(2606),
    [sym_identifier] = ACTIONS(2604),
    [aux_sym_preproc_include_token1] = ACTIONS(2604),
    [aux_sym_preproc_def_token1] = ACTIONS(2604),
    [aux_sym_preproc_if_token1] = ACTIONS(2604),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2604),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2604),
    [sym_preproc_directive] = ACTIONS(2604),
    [anon_sym_LPAREN2] = ACTIONS(2606),
    [anon_sym_BANG] = ACTIONS(2606),
    [anon_sym_TILDE] = ACTIONS(2606),
    [anon_sym_DASH] = ACTIONS(2604),
    [anon_sym_PLUS] = ACTIONS(2604),
    [anon_sym_STAR] = ACTIONS(2606),
    [anon_sym_AMP_AMP] = ACTIONS(2606),
    [anon_sym_AMP] = ACTIONS(2604),
    [anon_sym___extension__] = ACTIONS(2604),
    [anon_sym_typedef] = ACTIONS(2604),
    [anon_sym_in] = ACTIONS(2604),
    [anon_sym_out] = ACTIONS(2604),
    [anon_sym_inout] = ACTIONS(2604),
    [anon_sym_extern] = ACTIONS(2604),
    [anon_sym___attribute__] = ACTIONS(2604),
    [anon_sym_COLON_COLON] = ACTIONS(2606),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2606),
    [anon_sym___declspec] = ACTIONS(2604),
    [anon_sym___based] = ACTIONS(2604),
    [anon_sym___cdecl] = ACTIONS(2604),
    [anon_sym___clrcall] = ACTIONS(2604),
    [anon_sym___stdcall] = ACTIONS(2604),
    [anon_sym___fastcall] = ACTIONS(2604),
    [anon_sym___thiscall] = ACTIONS(2604),
    [anon_sym___vectorcall] = ACTIONS(2604),
    [anon_sym_LBRACE] = ACTIONS(2606),
    [anon_sym_signed] = ACTIONS(2604),
    [anon_sym_unsigned] = ACTIONS(2604),
    [anon_sym_long] = ACTIONS(2604),
    [anon_sym_short] = ACTIONS(2604),
    [anon_sym_LBRACK] = ACTIONS(2604),
    [anon_sym_static] = ACTIONS(2604),
    [anon_sym_register] = ACTIONS(2604),
    [anon_sym_inline] = ACTIONS(2604),
    [anon_sym___inline] = ACTIONS(2604),
    [anon_sym___inline__] = ACTIONS(2604),
    [anon_sym___forceinline] = ACTIONS(2604),
    [anon_sym_thread_local] = ACTIONS(2604),
    [anon_sym___thread] = ACTIONS(2604),
    [anon_sym_const] = ACTIONS(2604),
    [anon_sym_constexpr] = ACTIONS(2604),
    [anon_sym_volatile] = ACTIONS(2604),
    [anon_sym_restrict] = ACTIONS(2604),
    [anon_sym___restrict__] = ACTIONS(2604),
    [anon_sym__Atomic] = ACTIONS(2604),
    [anon_sym__Noreturn] = ACTIONS(2604),
    [anon_sym_noreturn] = ACTIONS(2604),
    [anon_sym_mutable] = ACTIONS(2604),
    [anon_sym_constinit] = ACTIONS(2604),
    [anon_sym_consteval] = ACTIONS(2604),
    [sym_primitive_type] = ACTIONS(2604),
    [anon_sym_enum] = ACTIONS(2604),
    [anon_sym_class] = ACTIONS(2604),
    [anon_sym_struct] = ACTIONS(2604),
    [anon_sym_union] = ACTIONS(2604),
    [anon_sym_if] = ACTIONS(2604),
    [anon_sym_switch] = ACTIONS(2604),
    [anon_sym_case] = ACTIONS(2604),
    [anon_sym_default] = ACTIONS(2604),
    [anon_sym_while] = ACTIONS(2604),
    [anon_sym_do] = ACTIONS(2604),
    [anon_sym_for] = ACTIONS(2604),
    [anon_sym_return] = ACTIONS(2604),
    [anon_sym_break] = ACTIONS(2604),
    [anon_sym_continue] = ACTIONS(2604),
    [anon_sym_goto] = ACTIONS(2604),
    [anon_sym_not] = ACTIONS(2604),
    [anon_sym_compl] = ACTIONS(2604),
    [anon_sym_DASH_DASH] = ACTIONS(2606),
    [anon_sym_PLUS_PLUS] = ACTIONS(2606),
    [anon_sym_sizeof] = ACTIONS(2604),
    [anon_sym___alignof__] = ACTIONS(2604),
    [anon_sym___alignof] = ACTIONS(2604),
    [anon_sym__alignof] = ACTIONS(2604),
    [anon_sym_alignof] = ACTIONS(2604),
    [anon_sym__Alignof] = ACTIONS(2604),
    [anon_sym_offsetof] = ACTIONS(2604),
    [anon_sym__Generic] = ACTIONS(2604),
    [anon_sym_asm] = ACTIONS(2604),
    [anon_sym___asm__] = ACTIONS(2604),
    [sym_number_literal] = ACTIONS(2606),
    [anon_sym_L_SQUOTE] = ACTIONS(2606),
    [anon_sym_u_SQUOTE] = ACTIONS(2606),
    [anon_sym_U_SQUOTE] = ACTIONS(2606),
    [anon_sym_u8_SQUOTE] = ACTIONS(2606),
    [anon_sym_SQUOTE] = ACTIONS(2606),
    [anon_sym_L_DQUOTE] = ACTIONS(2606),
    [anon_sym_u_DQUOTE] = ACTIONS(2606),
    [anon_sym_U_DQUOTE] = ACTIONS(2606),
    [anon_sym_u8_DQUOTE] = ACTIONS(2606),
    [anon_sym_DQUOTE] = ACTIONS(2606),
    [sym_true] = ACTIONS(2604),
    [sym_false] = ACTIONS(2604),
    [anon_sym_NULL] = ACTIONS(2604),
    [anon_sym_nullptr] = ACTIONS(2604),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2604),
    [anon_sym_decltype] = ACTIONS(2604),
    [anon_sym_virtual] = ACTIONS(2604),
    [anon_sym_alignas] = ACTIONS(2604),
    [anon_sym_explicit] = ACTIONS(2604),
    [anon_sym_typename] = ACTIONS(2604),
    [anon_sym_template] = ACTIONS(2604),
    [anon_sym_operator] = ACTIONS(2604),
    [anon_sym_try] = ACTIONS(2604),
    [anon_sym_delete] = ACTIONS(2604),
    [anon_sym_throw] = ACTIONS(2604),
    [anon_sym_namespace] = ACTIONS(2604),
    [anon_sym_using] = ACTIONS(2604),
    [anon_sym_static_assert] = ACTIONS(2604),
    [anon_sym_concept] = ACTIONS(2604),
    [anon_sym_co_return] = ACTIONS(2604),
    [anon_sym_co_yield] = ACTIONS(2604),
    [anon_sym_R_DQUOTE] = ACTIONS(2606),
    [anon_sym_LR_DQUOTE] = ACTIONS(2606),
    [anon_sym_uR_DQUOTE] = ACTIONS(2606),
    [anon_sym_UR_DQUOTE] = ACTIONS(2606),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2606),
    [anon_sym_co_await] = ACTIONS(2604),
    [anon_sym_new] = ACTIONS(2604),
    [anon_sym_requires] = ACTIONS(2604),
    [sym_this] = ACTIONS(2604),
    [anon_sym_precise] = ACTIONS(2604),
    [anon_sym_shared] = ACTIONS(2604),
    [anon_sym_groupshared] = ACTIONS(2604),
    [anon_sym_uniform] = ACTIONS(2604),
    [anon_sym_row_major] = ACTIONS(2604),
    [anon_sym_column_major] = ACTIONS(2604),
    [anon_sym_globallycoherent] = ACTIONS(2604),
    [anon_sym_centroid] = ACTIONS(2604),
    [anon_sym_noperspective] = ACTIONS(2604),
    [anon_sym_nointerpolation] = ACTIONS(2604),
    [anon_sym_sample] = ACTIONS(2604),
    [anon_sym_linear] = ACTIONS(2604),
    [anon_sym_snorm] = ACTIONS(2604),
    [anon_sym_unorm] = ACTIONS(2604),
    [anon_sym_point] = ACTIONS(2604),
    [anon_sym_line] = ACTIONS(2604),
    [anon_sym_triangleadj] = ACTIONS(2604),
    [anon_sym_lineadj] = ACTIONS(2604),
    [anon_sym_triangle] = ACTIONS(2604),
  },
  [1308] = {
    [ts_builtin_sym_end] = ACTIONS(2683),
    [sym_identifier] = ACTIONS(2681),
    [aux_sym_preproc_include_token1] = ACTIONS(2681),
    [aux_sym_preproc_def_token1] = ACTIONS(2681),
    [aux_sym_preproc_if_token1] = ACTIONS(2681),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2681),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2681),
    [sym_preproc_directive] = ACTIONS(2681),
    [anon_sym_LPAREN2] = ACTIONS(2683),
    [anon_sym_BANG] = ACTIONS(2683),
    [anon_sym_TILDE] = ACTIONS(2683),
    [anon_sym_DASH] = ACTIONS(2681),
    [anon_sym_PLUS] = ACTIONS(2681),
    [anon_sym_STAR] = ACTIONS(2683),
    [anon_sym_AMP_AMP] = ACTIONS(2683),
    [anon_sym_AMP] = ACTIONS(2681),
    [anon_sym___extension__] = ACTIONS(2681),
    [anon_sym_typedef] = ACTIONS(2681),
    [anon_sym_in] = ACTIONS(2681),
    [anon_sym_out] = ACTIONS(2681),
    [anon_sym_inout] = ACTIONS(2681),
    [anon_sym_extern] = ACTIONS(2681),
    [anon_sym___attribute__] = ACTIONS(2681),
    [anon_sym_COLON_COLON] = ACTIONS(2683),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2683),
    [anon_sym___declspec] = ACTIONS(2681),
    [anon_sym___based] = ACTIONS(2681),
    [anon_sym___cdecl] = ACTIONS(2681),
    [anon_sym___clrcall] = ACTIONS(2681),
    [anon_sym___stdcall] = ACTIONS(2681),
    [anon_sym___fastcall] = ACTIONS(2681),
    [anon_sym___thiscall] = ACTIONS(2681),
    [anon_sym___vectorcall] = ACTIONS(2681),
    [anon_sym_LBRACE] = ACTIONS(2683),
    [anon_sym_signed] = ACTIONS(2681),
    [anon_sym_unsigned] = ACTIONS(2681),
    [anon_sym_long] = ACTIONS(2681),
    [anon_sym_short] = ACTIONS(2681),
    [anon_sym_LBRACK] = ACTIONS(2681),
    [anon_sym_static] = ACTIONS(2681),
    [anon_sym_register] = ACTIONS(2681),
    [anon_sym_inline] = ACTIONS(2681),
    [anon_sym___inline] = ACTIONS(2681),
    [anon_sym___inline__] = ACTIONS(2681),
    [anon_sym___forceinline] = ACTIONS(2681),
    [anon_sym_thread_local] = ACTIONS(2681),
    [anon_sym___thread] = ACTIONS(2681),
    [anon_sym_const] = ACTIONS(2681),
    [anon_sym_constexpr] = ACTIONS(2681),
    [anon_sym_volatile] = ACTIONS(2681),
    [anon_sym_restrict] = ACTIONS(2681),
    [anon_sym___restrict__] = ACTIONS(2681),
    [anon_sym__Atomic] = ACTIONS(2681),
    [anon_sym__Noreturn] = ACTIONS(2681),
    [anon_sym_noreturn] = ACTIONS(2681),
    [anon_sym_mutable] = ACTIONS(2681),
    [anon_sym_constinit] = ACTIONS(2681),
    [anon_sym_consteval] = ACTIONS(2681),
    [sym_primitive_type] = ACTIONS(2681),
    [anon_sym_enum] = ACTIONS(2681),
    [anon_sym_class] = ACTIONS(2681),
    [anon_sym_struct] = ACTIONS(2681),
    [anon_sym_union] = ACTIONS(2681),
    [anon_sym_if] = ACTIONS(2681),
    [anon_sym_switch] = ACTIONS(2681),
    [anon_sym_case] = ACTIONS(2681),
    [anon_sym_default] = ACTIONS(2681),
    [anon_sym_while] = ACTIONS(2681),
    [anon_sym_do] = ACTIONS(2681),
    [anon_sym_for] = ACTIONS(2681),
    [anon_sym_return] = ACTIONS(2681),
    [anon_sym_break] = ACTIONS(2681),
    [anon_sym_continue] = ACTIONS(2681),
    [anon_sym_goto] = ACTIONS(2681),
    [anon_sym_not] = ACTIONS(2681),
    [anon_sym_compl] = ACTIONS(2681),
    [anon_sym_DASH_DASH] = ACTIONS(2683),
    [anon_sym_PLUS_PLUS] = ACTIONS(2683),
    [anon_sym_sizeof] = ACTIONS(2681),
    [anon_sym___alignof__] = ACTIONS(2681),
    [anon_sym___alignof] = ACTIONS(2681),
    [anon_sym__alignof] = ACTIONS(2681),
    [anon_sym_alignof] = ACTIONS(2681),
    [anon_sym__Alignof] = ACTIONS(2681),
    [anon_sym_offsetof] = ACTIONS(2681),
    [anon_sym__Generic] = ACTIONS(2681),
    [anon_sym_asm] = ACTIONS(2681),
    [anon_sym___asm__] = ACTIONS(2681),
    [sym_number_literal] = ACTIONS(2683),
    [anon_sym_L_SQUOTE] = ACTIONS(2683),
    [anon_sym_u_SQUOTE] = ACTIONS(2683),
    [anon_sym_U_SQUOTE] = ACTIONS(2683),
    [anon_sym_u8_SQUOTE] = ACTIONS(2683),
    [anon_sym_SQUOTE] = ACTIONS(2683),
    [anon_sym_L_DQUOTE] = ACTIONS(2683),
    [anon_sym_u_DQUOTE] = ACTIONS(2683),
    [anon_sym_U_DQUOTE] = ACTIONS(2683),
    [anon_sym_u8_DQUOTE] = ACTIONS(2683),
    [anon_sym_DQUOTE] = ACTIONS(2683),
    [sym_true] = ACTIONS(2681),
    [sym_false] = ACTIONS(2681),
    [anon_sym_NULL] = ACTIONS(2681),
    [anon_sym_nullptr] = ACTIONS(2681),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2681),
    [anon_sym_decltype] = ACTIONS(2681),
    [anon_sym_virtual] = ACTIONS(2681),
    [anon_sym_alignas] = ACTIONS(2681),
    [anon_sym_explicit] = ACTIONS(2681),
    [anon_sym_typename] = ACTIONS(2681),
    [anon_sym_template] = ACTIONS(2681),
    [anon_sym_operator] = ACTIONS(2681),
    [anon_sym_try] = ACTIONS(2681),
    [anon_sym_delete] = ACTIONS(2681),
    [anon_sym_throw] = ACTIONS(2681),
    [anon_sym_namespace] = ACTIONS(2681),
    [anon_sym_using] = ACTIONS(2681),
    [anon_sym_static_assert] = ACTIONS(2681),
    [anon_sym_concept] = ACTIONS(2681),
    [anon_sym_co_return] = ACTIONS(2681),
    [anon_sym_co_yield] = ACTIONS(2681),
    [anon_sym_R_DQUOTE] = ACTIONS(2683),
    [anon_sym_LR_DQUOTE] = ACTIONS(2683),
    [anon_sym_uR_DQUOTE] = ACTIONS(2683),
    [anon_sym_UR_DQUOTE] = ACTIONS(2683),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2683),
    [anon_sym_co_await] = ACTIONS(2681),
    [anon_sym_new] = ACTIONS(2681),
    [anon_sym_requires] = ACTIONS(2681),
    [sym_this] = ACTIONS(2681),
    [anon_sym_precise] = ACTIONS(2681),
    [anon_sym_shared] = ACTIONS(2681),
    [anon_sym_groupshared] = ACTIONS(2681),
    [anon_sym_uniform] = ACTIONS(2681),
    [anon_sym_row_major] = ACTIONS(2681),
    [anon_sym_column_major] = ACTIONS(2681),
    [anon_sym_globallycoherent] = ACTIONS(2681),
    [anon_sym_centroid] = ACTIONS(2681),
    [anon_sym_noperspective] = ACTIONS(2681),
    [anon_sym_nointerpolation] = ACTIONS(2681),
    [anon_sym_sample] = ACTIONS(2681),
    [anon_sym_linear] = ACTIONS(2681),
    [anon_sym_snorm] = ACTIONS(2681),
    [anon_sym_unorm] = ACTIONS(2681),
    [anon_sym_point] = ACTIONS(2681),
    [anon_sym_line] = ACTIONS(2681),
    [anon_sym_triangleadj] = ACTIONS(2681),
    [anon_sym_lineadj] = ACTIONS(2681),
    [anon_sym_triangle] = ACTIONS(2681),
  },
  [1309] = {
    [ts_builtin_sym_end] = ACTIONS(2704),
    [sym_identifier] = ACTIONS(2702),
    [aux_sym_preproc_include_token1] = ACTIONS(2702),
    [aux_sym_preproc_def_token1] = ACTIONS(2702),
    [aux_sym_preproc_if_token1] = ACTIONS(2702),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2702),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2702),
    [sym_preproc_directive] = ACTIONS(2702),
    [anon_sym_LPAREN2] = ACTIONS(2704),
    [anon_sym_BANG] = ACTIONS(2704),
    [anon_sym_TILDE] = ACTIONS(2704),
    [anon_sym_DASH] = ACTIONS(2702),
    [anon_sym_PLUS] = ACTIONS(2702),
    [anon_sym_STAR] = ACTIONS(2704),
    [anon_sym_AMP_AMP] = ACTIONS(2704),
    [anon_sym_AMP] = ACTIONS(2702),
    [anon_sym___extension__] = ACTIONS(2702),
    [anon_sym_typedef] = ACTIONS(2702),
    [anon_sym_in] = ACTIONS(2702),
    [anon_sym_out] = ACTIONS(2702),
    [anon_sym_inout] = ACTIONS(2702),
    [anon_sym_extern] = ACTIONS(2702),
    [anon_sym___attribute__] = ACTIONS(2702),
    [anon_sym_COLON_COLON] = ACTIONS(2704),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2704),
    [anon_sym___declspec] = ACTIONS(2702),
    [anon_sym___based] = ACTIONS(2702),
    [anon_sym___cdecl] = ACTIONS(2702),
    [anon_sym___clrcall] = ACTIONS(2702),
    [anon_sym___stdcall] = ACTIONS(2702),
    [anon_sym___fastcall] = ACTIONS(2702),
    [anon_sym___thiscall] = ACTIONS(2702),
    [anon_sym___vectorcall] = ACTIONS(2702),
    [anon_sym_LBRACE] = ACTIONS(2704),
    [anon_sym_signed] = ACTIONS(2702),
    [anon_sym_unsigned] = ACTIONS(2702),
    [anon_sym_long] = ACTIONS(2702),
    [anon_sym_short] = ACTIONS(2702),
    [anon_sym_LBRACK] = ACTIONS(2702),
    [anon_sym_static] = ACTIONS(2702),
    [anon_sym_register] = ACTIONS(2702),
    [anon_sym_inline] = ACTIONS(2702),
    [anon_sym___inline] = ACTIONS(2702),
    [anon_sym___inline__] = ACTIONS(2702),
    [anon_sym___forceinline] = ACTIONS(2702),
    [anon_sym_thread_local] = ACTIONS(2702),
    [anon_sym___thread] = ACTIONS(2702),
    [anon_sym_const] = ACTIONS(2702),
    [anon_sym_constexpr] = ACTIONS(2702),
    [anon_sym_volatile] = ACTIONS(2702),
    [anon_sym_restrict] = ACTIONS(2702),
    [anon_sym___restrict__] = ACTIONS(2702),
    [anon_sym__Atomic] = ACTIONS(2702),
    [anon_sym__Noreturn] = ACTIONS(2702),
    [anon_sym_noreturn] = ACTIONS(2702),
    [anon_sym_mutable] = ACTIONS(2702),
    [anon_sym_constinit] = ACTIONS(2702),
    [anon_sym_consteval] = ACTIONS(2702),
    [sym_primitive_type] = ACTIONS(2702),
    [anon_sym_enum] = ACTIONS(2702),
    [anon_sym_class] = ACTIONS(2702),
    [anon_sym_struct] = ACTIONS(2702),
    [anon_sym_union] = ACTIONS(2702),
    [anon_sym_if] = ACTIONS(2702),
    [anon_sym_switch] = ACTIONS(2702),
    [anon_sym_case] = ACTIONS(2702),
    [anon_sym_default] = ACTIONS(2702),
    [anon_sym_while] = ACTIONS(2702),
    [anon_sym_do] = ACTIONS(2702),
    [anon_sym_for] = ACTIONS(2702),
    [anon_sym_return] = ACTIONS(2702),
    [anon_sym_break] = ACTIONS(2702),
    [anon_sym_continue] = ACTIONS(2702),
    [anon_sym_goto] = ACTIONS(2702),
    [anon_sym_not] = ACTIONS(2702),
    [anon_sym_compl] = ACTIONS(2702),
    [anon_sym_DASH_DASH] = ACTIONS(2704),
    [anon_sym_PLUS_PLUS] = ACTIONS(2704),
    [anon_sym_sizeof] = ACTIONS(2702),
    [anon_sym___alignof__] = ACTIONS(2702),
    [anon_sym___alignof] = ACTIONS(2702),
    [anon_sym__alignof] = ACTIONS(2702),
    [anon_sym_alignof] = ACTIONS(2702),
    [anon_sym__Alignof] = ACTIONS(2702),
    [anon_sym_offsetof] = ACTIONS(2702),
    [anon_sym__Generic] = ACTIONS(2702),
    [anon_sym_asm] = ACTIONS(2702),
    [anon_sym___asm__] = ACTIONS(2702),
    [sym_number_literal] = ACTIONS(2704),
    [anon_sym_L_SQUOTE] = ACTIONS(2704),
    [anon_sym_u_SQUOTE] = ACTIONS(2704),
    [anon_sym_U_SQUOTE] = ACTIONS(2704),
    [anon_sym_u8_SQUOTE] = ACTIONS(2704),
    [anon_sym_SQUOTE] = ACTIONS(2704),
    [anon_sym_L_DQUOTE] = ACTIONS(2704),
    [anon_sym_u_DQUOTE] = ACTIONS(2704),
    [anon_sym_U_DQUOTE] = ACTIONS(2704),
    [anon_sym_u8_DQUOTE] = ACTIONS(2704),
    [anon_sym_DQUOTE] = ACTIONS(2704),
    [sym_true] = ACTIONS(2702),
    [sym_false] = ACTIONS(2702),
    [anon_sym_NULL] = ACTIONS(2702),
    [anon_sym_nullptr] = ACTIONS(2702),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2702),
    [anon_sym_decltype] = ACTIONS(2702),
    [anon_sym_virtual] = ACTIONS(2702),
    [anon_sym_alignas] = ACTIONS(2702),
    [anon_sym_explicit] = ACTIONS(2702),
    [anon_sym_typename] = ACTIONS(2702),
    [anon_sym_template] = ACTIONS(2702),
    [anon_sym_operator] = ACTIONS(2702),
    [anon_sym_try] = ACTIONS(2702),
    [anon_sym_delete] = ACTIONS(2702),
    [anon_sym_throw] = ACTIONS(2702),
    [anon_sym_namespace] = ACTIONS(2702),
    [anon_sym_using] = ACTIONS(2702),
    [anon_sym_static_assert] = ACTIONS(2702),
    [anon_sym_concept] = ACTIONS(2702),
    [anon_sym_co_return] = ACTIONS(2702),
    [anon_sym_co_yield] = ACTIONS(2702),
    [anon_sym_R_DQUOTE] = ACTIONS(2704),
    [anon_sym_LR_DQUOTE] = ACTIONS(2704),
    [anon_sym_uR_DQUOTE] = ACTIONS(2704),
    [anon_sym_UR_DQUOTE] = ACTIONS(2704),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2704),
    [anon_sym_co_await] = ACTIONS(2702),
    [anon_sym_new] = ACTIONS(2702),
    [anon_sym_requires] = ACTIONS(2702),
    [sym_this] = ACTIONS(2702),
    [anon_sym_precise] = ACTIONS(2702),
    [anon_sym_shared] = ACTIONS(2702),
    [anon_sym_groupshared] = ACTIONS(2702),
    [anon_sym_uniform] = ACTIONS(2702),
    [anon_sym_row_major] = ACTIONS(2702),
    [anon_sym_column_major] = ACTIONS(2702),
    [anon_sym_globallycoherent] = ACTIONS(2702),
    [anon_sym_centroid] = ACTIONS(2702),
    [anon_sym_noperspective] = ACTIONS(2702),
    [anon_sym_nointerpolation] = ACTIONS(2702),
    [anon_sym_sample] = ACTIONS(2702),
    [anon_sym_linear] = ACTIONS(2702),
    [anon_sym_snorm] = ACTIONS(2702),
    [anon_sym_unorm] = ACTIONS(2702),
    [anon_sym_point] = ACTIONS(2702),
    [anon_sym_line] = ACTIONS(2702),
    [anon_sym_triangleadj] = ACTIONS(2702),
    [anon_sym_lineadj] = ACTIONS(2702),
    [anon_sym_triangle] = ACTIONS(2702),
  },
  [1310] = {
    [ts_builtin_sym_end] = ACTIONS(2741),
    [sym_identifier] = ACTIONS(2739),
    [aux_sym_preproc_include_token1] = ACTIONS(2739),
    [aux_sym_preproc_def_token1] = ACTIONS(2739),
    [aux_sym_preproc_if_token1] = ACTIONS(2739),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2739),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2739),
    [sym_preproc_directive] = ACTIONS(2739),
    [anon_sym_LPAREN2] = ACTIONS(2741),
    [anon_sym_BANG] = ACTIONS(2741),
    [anon_sym_TILDE] = ACTIONS(2741),
    [anon_sym_DASH] = ACTIONS(2739),
    [anon_sym_PLUS] = ACTIONS(2739),
    [anon_sym_STAR] = ACTIONS(2741),
    [anon_sym_AMP_AMP] = ACTIONS(2741),
    [anon_sym_AMP] = ACTIONS(2739),
    [anon_sym___extension__] = ACTIONS(2739),
    [anon_sym_typedef] = ACTIONS(2739),
    [anon_sym_in] = ACTIONS(2739),
    [anon_sym_out] = ACTIONS(2739),
    [anon_sym_inout] = ACTIONS(2739),
    [anon_sym_extern] = ACTIONS(2739),
    [anon_sym___attribute__] = ACTIONS(2739),
    [anon_sym_COLON_COLON] = ACTIONS(2741),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2741),
    [anon_sym___declspec] = ACTIONS(2739),
    [anon_sym___based] = ACTIONS(2739),
    [anon_sym___cdecl] = ACTIONS(2739),
    [anon_sym___clrcall] = ACTIONS(2739),
    [anon_sym___stdcall] = ACTIONS(2739),
    [anon_sym___fastcall] = ACTIONS(2739),
    [anon_sym___thiscall] = ACTIONS(2739),
    [anon_sym___vectorcall] = ACTIONS(2739),
    [anon_sym_LBRACE] = ACTIONS(2741),
    [anon_sym_signed] = ACTIONS(2739),
    [anon_sym_unsigned] = ACTIONS(2739),
    [anon_sym_long] = ACTIONS(2739),
    [anon_sym_short] = ACTIONS(2739),
    [anon_sym_LBRACK] = ACTIONS(2739),
    [anon_sym_static] = ACTIONS(2739),
    [anon_sym_register] = ACTIONS(2739),
    [anon_sym_inline] = ACTIONS(2739),
    [anon_sym___inline] = ACTIONS(2739),
    [anon_sym___inline__] = ACTIONS(2739),
    [anon_sym___forceinline] = ACTIONS(2739),
    [anon_sym_thread_local] = ACTIONS(2739),
    [anon_sym___thread] = ACTIONS(2739),
    [anon_sym_const] = ACTIONS(2739),
    [anon_sym_constexpr] = ACTIONS(2739),
    [anon_sym_volatile] = ACTIONS(2739),
    [anon_sym_restrict] = ACTIONS(2739),
    [anon_sym___restrict__] = ACTIONS(2739),
    [anon_sym__Atomic] = ACTIONS(2739),
    [anon_sym__Noreturn] = ACTIONS(2739),
    [anon_sym_noreturn] = ACTIONS(2739),
    [anon_sym_mutable] = ACTIONS(2739),
    [anon_sym_constinit] = ACTIONS(2739),
    [anon_sym_consteval] = ACTIONS(2739),
    [sym_primitive_type] = ACTIONS(2739),
    [anon_sym_enum] = ACTIONS(2739),
    [anon_sym_class] = ACTIONS(2739),
    [anon_sym_struct] = ACTIONS(2739),
    [anon_sym_union] = ACTIONS(2739),
    [anon_sym_if] = ACTIONS(2739),
    [anon_sym_switch] = ACTIONS(2739),
    [anon_sym_case] = ACTIONS(2739),
    [anon_sym_default] = ACTIONS(2739),
    [anon_sym_while] = ACTIONS(2739),
    [anon_sym_do] = ACTIONS(2739),
    [anon_sym_for] = ACTIONS(2739),
    [anon_sym_return] = ACTIONS(2739),
    [anon_sym_break] = ACTIONS(2739),
    [anon_sym_continue] = ACTIONS(2739),
    [anon_sym_goto] = ACTIONS(2739),
    [anon_sym_not] = ACTIONS(2739),
    [anon_sym_compl] = ACTIONS(2739),
    [anon_sym_DASH_DASH] = ACTIONS(2741),
    [anon_sym_PLUS_PLUS] = ACTIONS(2741),
    [anon_sym_sizeof] = ACTIONS(2739),
    [anon_sym___alignof__] = ACTIONS(2739),
    [anon_sym___alignof] = ACTIONS(2739),
    [anon_sym__alignof] = ACTIONS(2739),
    [anon_sym_alignof] = ACTIONS(2739),
    [anon_sym__Alignof] = ACTIONS(2739),
    [anon_sym_offsetof] = ACTIONS(2739),
    [anon_sym__Generic] = ACTIONS(2739),
    [anon_sym_asm] = ACTIONS(2739),
    [anon_sym___asm__] = ACTIONS(2739),
    [sym_number_literal] = ACTIONS(2741),
    [anon_sym_L_SQUOTE] = ACTIONS(2741),
    [anon_sym_u_SQUOTE] = ACTIONS(2741),
    [anon_sym_U_SQUOTE] = ACTIONS(2741),
    [anon_sym_u8_SQUOTE] = ACTIONS(2741),
    [anon_sym_SQUOTE] = ACTIONS(2741),
    [anon_sym_L_DQUOTE] = ACTIONS(2741),
    [anon_sym_u_DQUOTE] = ACTIONS(2741),
    [anon_sym_U_DQUOTE] = ACTIONS(2741),
    [anon_sym_u8_DQUOTE] = ACTIONS(2741),
    [anon_sym_DQUOTE] = ACTIONS(2741),
    [sym_true] = ACTIONS(2739),
    [sym_false] = ACTIONS(2739),
    [anon_sym_NULL] = ACTIONS(2739),
    [anon_sym_nullptr] = ACTIONS(2739),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2739),
    [anon_sym_decltype] = ACTIONS(2739),
    [anon_sym_virtual] = ACTIONS(2739),
    [anon_sym_alignas] = ACTIONS(2739),
    [anon_sym_explicit] = ACTIONS(2739),
    [anon_sym_typename] = ACTIONS(2739),
    [anon_sym_template] = ACTIONS(2739),
    [anon_sym_operator] = ACTIONS(2739),
    [anon_sym_try] = ACTIONS(2739),
    [anon_sym_delete] = ACTIONS(2739),
    [anon_sym_throw] = ACTIONS(2739),
    [anon_sym_namespace] = ACTIONS(2739),
    [anon_sym_using] = ACTIONS(2739),
    [anon_sym_static_assert] = ACTIONS(2739),
    [anon_sym_concept] = ACTIONS(2739),
    [anon_sym_co_return] = ACTIONS(2739),
    [anon_sym_co_yield] = ACTIONS(2739),
    [anon_sym_R_DQUOTE] = ACTIONS(2741),
    [anon_sym_LR_DQUOTE] = ACTIONS(2741),
    [anon_sym_uR_DQUOTE] = ACTIONS(2741),
    [anon_sym_UR_DQUOTE] = ACTIONS(2741),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2741),
    [anon_sym_co_await] = ACTIONS(2739),
    [anon_sym_new] = ACTIONS(2739),
    [anon_sym_requires] = ACTIONS(2739),
    [sym_this] = ACTIONS(2739),
    [anon_sym_precise] = ACTIONS(2739),
    [anon_sym_shared] = ACTIONS(2739),
    [anon_sym_groupshared] = ACTIONS(2739),
    [anon_sym_uniform] = ACTIONS(2739),
    [anon_sym_row_major] = ACTIONS(2739),
    [anon_sym_column_major] = ACTIONS(2739),
    [anon_sym_globallycoherent] = ACTIONS(2739),
    [anon_sym_centroid] = ACTIONS(2739),
    [anon_sym_noperspective] = ACTIONS(2739),
    [anon_sym_nointerpolation] = ACTIONS(2739),
    [anon_sym_sample] = ACTIONS(2739),
    [anon_sym_linear] = ACTIONS(2739),
    [anon_sym_snorm] = ACTIONS(2739),
    [anon_sym_unorm] = ACTIONS(2739),
    [anon_sym_point] = ACTIONS(2739),
    [anon_sym_line] = ACTIONS(2739),
    [anon_sym_triangleadj] = ACTIONS(2739),
    [anon_sym_lineadj] = ACTIONS(2739),
    [anon_sym_triangle] = ACTIONS(2739),
  },
  [1311] = {
    [ts_builtin_sym_end] = ACTIONS(2663),
    [sym_identifier] = ACTIONS(2661),
    [aux_sym_preproc_include_token1] = ACTIONS(2661),
    [aux_sym_preproc_def_token1] = ACTIONS(2661),
    [aux_sym_preproc_if_token1] = ACTIONS(2661),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2661),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2661),
    [sym_preproc_directive] = ACTIONS(2661),
    [anon_sym_LPAREN2] = ACTIONS(2663),
    [anon_sym_BANG] = ACTIONS(2663),
    [anon_sym_TILDE] = ACTIONS(2663),
    [anon_sym_DASH] = ACTIONS(2661),
    [anon_sym_PLUS] = ACTIONS(2661),
    [anon_sym_STAR] = ACTIONS(2663),
    [anon_sym_AMP_AMP] = ACTIONS(2663),
    [anon_sym_AMP] = ACTIONS(2661),
    [anon_sym___extension__] = ACTIONS(2661),
    [anon_sym_typedef] = ACTIONS(2661),
    [anon_sym_in] = ACTIONS(2661),
    [anon_sym_out] = ACTIONS(2661),
    [anon_sym_inout] = ACTIONS(2661),
    [anon_sym_extern] = ACTIONS(2661),
    [anon_sym___attribute__] = ACTIONS(2661),
    [anon_sym_COLON_COLON] = ACTIONS(2663),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2663),
    [anon_sym___declspec] = ACTIONS(2661),
    [anon_sym___based] = ACTIONS(2661),
    [anon_sym___cdecl] = ACTIONS(2661),
    [anon_sym___clrcall] = ACTIONS(2661),
    [anon_sym___stdcall] = ACTIONS(2661),
    [anon_sym___fastcall] = ACTIONS(2661),
    [anon_sym___thiscall] = ACTIONS(2661),
    [anon_sym___vectorcall] = ACTIONS(2661),
    [anon_sym_LBRACE] = ACTIONS(2663),
    [anon_sym_signed] = ACTIONS(2661),
    [anon_sym_unsigned] = ACTIONS(2661),
    [anon_sym_long] = ACTIONS(2661),
    [anon_sym_short] = ACTIONS(2661),
    [anon_sym_LBRACK] = ACTIONS(2661),
    [anon_sym_static] = ACTIONS(2661),
    [anon_sym_register] = ACTIONS(2661),
    [anon_sym_inline] = ACTIONS(2661),
    [anon_sym___inline] = ACTIONS(2661),
    [anon_sym___inline__] = ACTIONS(2661),
    [anon_sym___forceinline] = ACTIONS(2661),
    [anon_sym_thread_local] = ACTIONS(2661),
    [anon_sym___thread] = ACTIONS(2661),
    [anon_sym_const] = ACTIONS(2661),
    [anon_sym_constexpr] = ACTIONS(2661),
    [anon_sym_volatile] = ACTIONS(2661),
    [anon_sym_restrict] = ACTIONS(2661),
    [anon_sym___restrict__] = ACTIONS(2661),
    [anon_sym__Atomic] = ACTIONS(2661),
    [anon_sym__Noreturn] = ACTIONS(2661),
    [anon_sym_noreturn] = ACTIONS(2661),
    [anon_sym_mutable] = ACTIONS(2661),
    [anon_sym_constinit] = ACTIONS(2661),
    [anon_sym_consteval] = ACTIONS(2661),
    [sym_primitive_type] = ACTIONS(2661),
    [anon_sym_enum] = ACTIONS(2661),
    [anon_sym_class] = ACTIONS(2661),
    [anon_sym_struct] = ACTIONS(2661),
    [anon_sym_union] = ACTIONS(2661),
    [anon_sym_if] = ACTIONS(2661),
    [anon_sym_switch] = ACTIONS(2661),
    [anon_sym_case] = ACTIONS(2661),
    [anon_sym_default] = ACTIONS(2661),
    [anon_sym_while] = ACTIONS(2661),
    [anon_sym_do] = ACTIONS(2661),
    [anon_sym_for] = ACTIONS(2661),
    [anon_sym_return] = ACTIONS(2661),
    [anon_sym_break] = ACTIONS(2661),
    [anon_sym_continue] = ACTIONS(2661),
    [anon_sym_goto] = ACTIONS(2661),
    [anon_sym_not] = ACTIONS(2661),
    [anon_sym_compl] = ACTIONS(2661),
    [anon_sym_DASH_DASH] = ACTIONS(2663),
    [anon_sym_PLUS_PLUS] = ACTIONS(2663),
    [anon_sym_sizeof] = ACTIONS(2661),
    [anon_sym___alignof__] = ACTIONS(2661),
    [anon_sym___alignof] = ACTIONS(2661),
    [anon_sym__alignof] = ACTIONS(2661),
    [anon_sym_alignof] = ACTIONS(2661),
    [anon_sym__Alignof] = ACTIONS(2661),
    [anon_sym_offsetof] = ACTIONS(2661),
    [anon_sym__Generic] = ACTIONS(2661),
    [anon_sym_asm] = ACTIONS(2661),
    [anon_sym___asm__] = ACTIONS(2661),
    [sym_number_literal] = ACTIONS(2663),
    [anon_sym_L_SQUOTE] = ACTIONS(2663),
    [anon_sym_u_SQUOTE] = ACTIONS(2663),
    [anon_sym_U_SQUOTE] = ACTIONS(2663),
    [anon_sym_u8_SQUOTE] = ACTIONS(2663),
    [anon_sym_SQUOTE] = ACTIONS(2663),
    [anon_sym_L_DQUOTE] = ACTIONS(2663),
    [anon_sym_u_DQUOTE] = ACTIONS(2663),
    [anon_sym_U_DQUOTE] = ACTIONS(2663),
    [anon_sym_u8_DQUOTE] = ACTIONS(2663),
    [anon_sym_DQUOTE] = ACTIONS(2663),
    [sym_true] = ACTIONS(2661),
    [sym_false] = ACTIONS(2661),
    [anon_sym_NULL] = ACTIONS(2661),
    [anon_sym_nullptr] = ACTIONS(2661),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2661),
    [anon_sym_decltype] = ACTIONS(2661),
    [anon_sym_virtual] = ACTIONS(2661),
    [anon_sym_alignas] = ACTIONS(2661),
    [anon_sym_explicit] = ACTIONS(2661),
    [anon_sym_typename] = ACTIONS(2661),
    [anon_sym_template] = ACTIONS(2661),
    [anon_sym_operator] = ACTIONS(2661),
    [anon_sym_try] = ACTIONS(2661),
    [anon_sym_delete] = ACTIONS(2661),
    [anon_sym_throw] = ACTIONS(2661),
    [anon_sym_namespace] = ACTIONS(2661),
    [anon_sym_using] = ACTIONS(2661),
    [anon_sym_static_assert] = ACTIONS(2661),
    [anon_sym_concept] = ACTIONS(2661),
    [anon_sym_co_return] = ACTIONS(2661),
    [anon_sym_co_yield] = ACTIONS(2661),
    [anon_sym_R_DQUOTE] = ACTIONS(2663),
    [anon_sym_LR_DQUOTE] = ACTIONS(2663),
    [anon_sym_uR_DQUOTE] = ACTIONS(2663),
    [anon_sym_UR_DQUOTE] = ACTIONS(2663),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2663),
    [anon_sym_co_await] = ACTIONS(2661),
    [anon_sym_new] = ACTIONS(2661),
    [anon_sym_requires] = ACTIONS(2661),
    [sym_this] = ACTIONS(2661),
    [anon_sym_precise] = ACTIONS(2661),
    [anon_sym_shared] = ACTIONS(2661),
    [anon_sym_groupshared] = ACTIONS(2661),
    [anon_sym_uniform] = ACTIONS(2661),
    [anon_sym_row_major] = ACTIONS(2661),
    [anon_sym_column_major] = ACTIONS(2661),
    [anon_sym_globallycoherent] = ACTIONS(2661),
    [anon_sym_centroid] = ACTIONS(2661),
    [anon_sym_noperspective] = ACTIONS(2661),
    [anon_sym_nointerpolation] = ACTIONS(2661),
    [anon_sym_sample] = ACTIONS(2661),
    [anon_sym_linear] = ACTIONS(2661),
    [anon_sym_snorm] = ACTIONS(2661),
    [anon_sym_unorm] = ACTIONS(2661),
    [anon_sym_point] = ACTIONS(2661),
    [anon_sym_line] = ACTIONS(2661),
    [anon_sym_triangleadj] = ACTIONS(2661),
    [anon_sym_lineadj] = ACTIONS(2661),
    [anon_sym_triangle] = ACTIONS(2661),
  },
  [1312] = {
    [ts_builtin_sym_end] = ACTIONS(2771),
    [sym_identifier] = ACTIONS(2769),
    [aux_sym_preproc_include_token1] = ACTIONS(2769),
    [aux_sym_preproc_def_token1] = ACTIONS(2769),
    [aux_sym_preproc_if_token1] = ACTIONS(2769),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2769),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2769),
    [sym_preproc_directive] = ACTIONS(2769),
    [anon_sym_LPAREN2] = ACTIONS(2771),
    [anon_sym_BANG] = ACTIONS(2771),
    [anon_sym_TILDE] = ACTIONS(2771),
    [anon_sym_DASH] = ACTIONS(2769),
    [anon_sym_PLUS] = ACTIONS(2769),
    [anon_sym_STAR] = ACTIONS(2771),
    [anon_sym_AMP_AMP] = ACTIONS(2771),
    [anon_sym_AMP] = ACTIONS(2769),
    [anon_sym___extension__] = ACTIONS(2769),
    [anon_sym_typedef] = ACTIONS(2769),
    [anon_sym_in] = ACTIONS(2769),
    [anon_sym_out] = ACTIONS(2769),
    [anon_sym_inout] = ACTIONS(2769),
    [anon_sym_extern] = ACTIONS(2769),
    [anon_sym___attribute__] = ACTIONS(2769),
    [anon_sym_COLON_COLON] = ACTIONS(2771),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2771),
    [anon_sym___declspec] = ACTIONS(2769),
    [anon_sym___based] = ACTIONS(2769),
    [anon_sym___cdecl] = ACTIONS(2769),
    [anon_sym___clrcall] = ACTIONS(2769),
    [anon_sym___stdcall] = ACTIONS(2769),
    [anon_sym___fastcall] = ACTIONS(2769),
    [anon_sym___thiscall] = ACTIONS(2769),
    [anon_sym___vectorcall] = ACTIONS(2769),
    [anon_sym_LBRACE] = ACTIONS(2771),
    [anon_sym_signed] = ACTIONS(2769),
    [anon_sym_unsigned] = ACTIONS(2769),
    [anon_sym_long] = ACTIONS(2769),
    [anon_sym_short] = ACTIONS(2769),
    [anon_sym_LBRACK] = ACTIONS(2769),
    [anon_sym_static] = ACTIONS(2769),
    [anon_sym_register] = ACTIONS(2769),
    [anon_sym_inline] = ACTIONS(2769),
    [anon_sym___inline] = ACTIONS(2769),
    [anon_sym___inline__] = ACTIONS(2769),
    [anon_sym___forceinline] = ACTIONS(2769),
    [anon_sym_thread_local] = ACTIONS(2769),
    [anon_sym___thread] = ACTIONS(2769),
    [anon_sym_const] = ACTIONS(2769),
    [anon_sym_constexpr] = ACTIONS(2769),
    [anon_sym_volatile] = ACTIONS(2769),
    [anon_sym_restrict] = ACTIONS(2769),
    [anon_sym___restrict__] = ACTIONS(2769),
    [anon_sym__Atomic] = ACTIONS(2769),
    [anon_sym__Noreturn] = ACTIONS(2769),
    [anon_sym_noreturn] = ACTIONS(2769),
    [anon_sym_mutable] = ACTIONS(2769),
    [anon_sym_constinit] = ACTIONS(2769),
    [anon_sym_consteval] = ACTIONS(2769),
    [sym_primitive_type] = ACTIONS(2769),
    [anon_sym_enum] = ACTIONS(2769),
    [anon_sym_class] = ACTIONS(2769),
    [anon_sym_struct] = ACTIONS(2769),
    [anon_sym_union] = ACTIONS(2769),
    [anon_sym_if] = ACTIONS(2769),
    [anon_sym_switch] = ACTIONS(2769),
    [anon_sym_case] = ACTIONS(2769),
    [anon_sym_default] = ACTIONS(2769),
    [anon_sym_while] = ACTIONS(2769),
    [anon_sym_do] = ACTIONS(2769),
    [anon_sym_for] = ACTIONS(2769),
    [anon_sym_return] = ACTIONS(2769),
    [anon_sym_break] = ACTIONS(2769),
    [anon_sym_continue] = ACTIONS(2769),
    [anon_sym_goto] = ACTIONS(2769),
    [anon_sym_not] = ACTIONS(2769),
    [anon_sym_compl] = ACTIONS(2769),
    [anon_sym_DASH_DASH] = ACTIONS(2771),
    [anon_sym_PLUS_PLUS] = ACTIONS(2771),
    [anon_sym_sizeof] = ACTIONS(2769),
    [anon_sym___alignof__] = ACTIONS(2769),
    [anon_sym___alignof] = ACTIONS(2769),
    [anon_sym__alignof] = ACTIONS(2769),
    [anon_sym_alignof] = ACTIONS(2769),
    [anon_sym__Alignof] = ACTIONS(2769),
    [anon_sym_offsetof] = ACTIONS(2769),
    [anon_sym__Generic] = ACTIONS(2769),
    [anon_sym_asm] = ACTIONS(2769),
    [anon_sym___asm__] = ACTIONS(2769),
    [sym_number_literal] = ACTIONS(2771),
    [anon_sym_L_SQUOTE] = ACTIONS(2771),
    [anon_sym_u_SQUOTE] = ACTIONS(2771),
    [anon_sym_U_SQUOTE] = ACTIONS(2771),
    [anon_sym_u8_SQUOTE] = ACTIONS(2771),
    [anon_sym_SQUOTE] = ACTIONS(2771),
    [anon_sym_L_DQUOTE] = ACTIONS(2771),
    [anon_sym_u_DQUOTE] = ACTIONS(2771),
    [anon_sym_U_DQUOTE] = ACTIONS(2771),
    [anon_sym_u8_DQUOTE] = ACTIONS(2771),
    [anon_sym_DQUOTE] = ACTIONS(2771),
    [sym_true] = ACTIONS(2769),
    [sym_false] = ACTIONS(2769),
    [anon_sym_NULL] = ACTIONS(2769),
    [anon_sym_nullptr] = ACTIONS(2769),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2769),
    [anon_sym_decltype] = ACTIONS(2769),
    [anon_sym_virtual] = ACTIONS(2769),
    [anon_sym_alignas] = ACTIONS(2769),
    [anon_sym_explicit] = ACTIONS(2769),
    [anon_sym_typename] = ACTIONS(2769),
    [anon_sym_template] = ACTIONS(2769),
    [anon_sym_operator] = ACTIONS(2769),
    [anon_sym_try] = ACTIONS(2769),
    [anon_sym_delete] = ACTIONS(2769),
    [anon_sym_throw] = ACTIONS(2769),
    [anon_sym_namespace] = ACTIONS(2769),
    [anon_sym_using] = ACTIONS(2769),
    [anon_sym_static_assert] = ACTIONS(2769),
    [anon_sym_concept] = ACTIONS(2769),
    [anon_sym_co_return] = ACTIONS(2769),
    [anon_sym_co_yield] = ACTIONS(2769),
    [anon_sym_R_DQUOTE] = ACTIONS(2771),
    [anon_sym_LR_DQUOTE] = ACTIONS(2771),
    [anon_sym_uR_DQUOTE] = ACTIONS(2771),
    [anon_sym_UR_DQUOTE] = ACTIONS(2771),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2771),
    [anon_sym_co_await] = ACTIONS(2769),
    [anon_sym_new] = ACTIONS(2769),
    [anon_sym_requires] = ACTIONS(2769),
    [sym_this] = ACTIONS(2769),
    [anon_sym_precise] = ACTIONS(2769),
    [anon_sym_shared] = ACTIONS(2769),
    [anon_sym_groupshared] = ACTIONS(2769),
    [anon_sym_uniform] = ACTIONS(2769),
    [anon_sym_row_major] = ACTIONS(2769),
    [anon_sym_column_major] = ACTIONS(2769),
    [anon_sym_globallycoherent] = ACTIONS(2769),
    [anon_sym_centroid] = ACTIONS(2769),
    [anon_sym_noperspective] = ACTIONS(2769),
    [anon_sym_nointerpolation] = ACTIONS(2769),
    [anon_sym_sample] = ACTIONS(2769),
    [anon_sym_linear] = ACTIONS(2769),
    [anon_sym_snorm] = ACTIONS(2769),
    [anon_sym_unorm] = ACTIONS(2769),
    [anon_sym_point] = ACTIONS(2769),
    [anon_sym_line] = ACTIONS(2769),
    [anon_sym_triangleadj] = ACTIONS(2769),
    [anon_sym_lineadj] = ACTIONS(2769),
    [anon_sym_triangle] = ACTIONS(2769),
  },
  [1313] = {
    [ts_builtin_sym_end] = ACTIONS(2602),
    [sym_identifier] = ACTIONS(2600),
    [aux_sym_preproc_include_token1] = ACTIONS(2600),
    [aux_sym_preproc_def_token1] = ACTIONS(2600),
    [aux_sym_preproc_if_token1] = ACTIONS(2600),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2600),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2600),
    [sym_preproc_directive] = ACTIONS(2600),
    [anon_sym_LPAREN2] = ACTIONS(2602),
    [anon_sym_BANG] = ACTIONS(2602),
    [anon_sym_TILDE] = ACTIONS(2602),
    [anon_sym_DASH] = ACTIONS(2600),
    [anon_sym_PLUS] = ACTIONS(2600),
    [anon_sym_STAR] = ACTIONS(2602),
    [anon_sym_AMP_AMP] = ACTIONS(2602),
    [anon_sym_AMP] = ACTIONS(2600),
    [anon_sym___extension__] = ACTIONS(2600),
    [anon_sym_typedef] = ACTIONS(2600),
    [anon_sym_in] = ACTIONS(2600),
    [anon_sym_out] = ACTIONS(2600),
    [anon_sym_inout] = ACTIONS(2600),
    [anon_sym_extern] = ACTIONS(2600),
    [anon_sym___attribute__] = ACTIONS(2600),
    [anon_sym_COLON_COLON] = ACTIONS(2602),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2602),
    [anon_sym___declspec] = ACTIONS(2600),
    [anon_sym___based] = ACTIONS(2600),
    [anon_sym___cdecl] = ACTIONS(2600),
    [anon_sym___clrcall] = ACTIONS(2600),
    [anon_sym___stdcall] = ACTIONS(2600),
    [anon_sym___fastcall] = ACTIONS(2600),
    [anon_sym___thiscall] = ACTIONS(2600),
    [anon_sym___vectorcall] = ACTIONS(2600),
    [anon_sym_LBRACE] = ACTIONS(2602),
    [anon_sym_signed] = ACTIONS(2600),
    [anon_sym_unsigned] = ACTIONS(2600),
    [anon_sym_long] = ACTIONS(2600),
    [anon_sym_short] = ACTIONS(2600),
    [anon_sym_LBRACK] = ACTIONS(2600),
    [anon_sym_static] = ACTIONS(2600),
    [anon_sym_register] = ACTIONS(2600),
    [anon_sym_inline] = ACTIONS(2600),
    [anon_sym___inline] = ACTIONS(2600),
    [anon_sym___inline__] = ACTIONS(2600),
    [anon_sym___forceinline] = ACTIONS(2600),
    [anon_sym_thread_local] = ACTIONS(2600),
    [anon_sym___thread] = ACTIONS(2600),
    [anon_sym_const] = ACTIONS(2600),
    [anon_sym_constexpr] = ACTIONS(2600),
    [anon_sym_volatile] = ACTIONS(2600),
    [anon_sym_restrict] = ACTIONS(2600),
    [anon_sym___restrict__] = ACTIONS(2600),
    [anon_sym__Atomic] = ACTIONS(2600),
    [anon_sym__Noreturn] = ACTIONS(2600),
    [anon_sym_noreturn] = ACTIONS(2600),
    [anon_sym_mutable] = ACTIONS(2600),
    [anon_sym_constinit] = ACTIONS(2600),
    [anon_sym_consteval] = ACTIONS(2600),
    [sym_primitive_type] = ACTIONS(2600),
    [anon_sym_enum] = ACTIONS(2600),
    [anon_sym_class] = ACTIONS(2600),
    [anon_sym_struct] = ACTIONS(2600),
    [anon_sym_union] = ACTIONS(2600),
    [anon_sym_if] = ACTIONS(2600),
    [anon_sym_switch] = ACTIONS(2600),
    [anon_sym_case] = ACTIONS(2600),
    [anon_sym_default] = ACTIONS(2600),
    [anon_sym_while] = ACTIONS(2600),
    [anon_sym_do] = ACTIONS(2600),
    [anon_sym_for] = ACTIONS(2600),
    [anon_sym_return] = ACTIONS(2600),
    [anon_sym_break] = ACTIONS(2600),
    [anon_sym_continue] = ACTIONS(2600),
    [anon_sym_goto] = ACTIONS(2600),
    [anon_sym_not] = ACTIONS(2600),
    [anon_sym_compl] = ACTIONS(2600),
    [anon_sym_DASH_DASH] = ACTIONS(2602),
    [anon_sym_PLUS_PLUS] = ACTIONS(2602),
    [anon_sym_sizeof] = ACTIONS(2600),
    [anon_sym___alignof__] = ACTIONS(2600),
    [anon_sym___alignof] = ACTIONS(2600),
    [anon_sym__alignof] = ACTIONS(2600),
    [anon_sym_alignof] = ACTIONS(2600),
    [anon_sym__Alignof] = ACTIONS(2600),
    [anon_sym_offsetof] = ACTIONS(2600),
    [anon_sym__Generic] = ACTIONS(2600),
    [anon_sym_asm] = ACTIONS(2600),
    [anon_sym___asm__] = ACTIONS(2600),
    [sym_number_literal] = ACTIONS(2602),
    [anon_sym_L_SQUOTE] = ACTIONS(2602),
    [anon_sym_u_SQUOTE] = ACTIONS(2602),
    [anon_sym_U_SQUOTE] = ACTIONS(2602),
    [anon_sym_u8_SQUOTE] = ACTIONS(2602),
    [anon_sym_SQUOTE] = ACTIONS(2602),
    [anon_sym_L_DQUOTE] = ACTIONS(2602),
    [anon_sym_u_DQUOTE] = ACTIONS(2602),
    [anon_sym_U_DQUOTE] = ACTIONS(2602),
    [anon_sym_u8_DQUOTE] = ACTIONS(2602),
    [anon_sym_DQUOTE] = ACTIONS(2602),
    [sym_true] = ACTIONS(2600),
    [sym_false] = ACTIONS(2600),
    [anon_sym_NULL] = ACTIONS(2600),
    [anon_sym_nullptr] = ACTIONS(2600),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2600),
    [anon_sym_decltype] = ACTIONS(2600),
    [anon_sym_virtual] = ACTIONS(2600),
    [anon_sym_alignas] = ACTIONS(2600),
    [anon_sym_explicit] = ACTIONS(2600),
    [anon_sym_typename] = ACTIONS(2600),
    [anon_sym_template] = ACTIONS(2600),
    [anon_sym_operator] = ACTIONS(2600),
    [anon_sym_try] = ACTIONS(2600),
    [anon_sym_delete] = ACTIONS(2600),
    [anon_sym_throw] = ACTIONS(2600),
    [anon_sym_namespace] = ACTIONS(2600),
    [anon_sym_using] = ACTIONS(2600),
    [anon_sym_static_assert] = ACTIONS(2600),
    [anon_sym_concept] = ACTIONS(2600),
    [anon_sym_co_return] = ACTIONS(2600),
    [anon_sym_co_yield] = ACTIONS(2600),
    [anon_sym_R_DQUOTE] = ACTIONS(2602),
    [anon_sym_LR_DQUOTE] = ACTIONS(2602),
    [anon_sym_uR_DQUOTE] = ACTIONS(2602),
    [anon_sym_UR_DQUOTE] = ACTIONS(2602),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2602),
    [anon_sym_co_await] = ACTIONS(2600),
    [anon_sym_new] = ACTIONS(2600),
    [anon_sym_requires] = ACTIONS(2600),
    [sym_this] = ACTIONS(2600),
    [anon_sym_precise] = ACTIONS(2600),
    [anon_sym_shared] = ACTIONS(2600),
    [anon_sym_groupshared] = ACTIONS(2600),
    [anon_sym_uniform] = ACTIONS(2600),
    [anon_sym_row_major] = ACTIONS(2600),
    [anon_sym_column_major] = ACTIONS(2600),
    [anon_sym_globallycoherent] = ACTIONS(2600),
    [anon_sym_centroid] = ACTIONS(2600),
    [anon_sym_noperspective] = ACTIONS(2600),
    [anon_sym_nointerpolation] = ACTIONS(2600),
    [anon_sym_sample] = ACTIONS(2600),
    [anon_sym_linear] = ACTIONS(2600),
    [anon_sym_snorm] = ACTIONS(2600),
    [anon_sym_unorm] = ACTIONS(2600),
    [anon_sym_point] = ACTIONS(2600),
    [anon_sym_line] = ACTIONS(2600),
    [anon_sym_triangleadj] = ACTIONS(2600),
    [anon_sym_lineadj] = ACTIONS(2600),
    [anon_sym_triangle] = ACTIONS(2600),
  },
  [1314] = {
    [ts_builtin_sym_end] = ACTIONS(2771),
    [sym_identifier] = ACTIONS(2769),
    [aux_sym_preproc_include_token1] = ACTIONS(2769),
    [aux_sym_preproc_def_token1] = ACTIONS(2769),
    [aux_sym_preproc_if_token1] = ACTIONS(2769),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2769),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2769),
    [sym_preproc_directive] = ACTIONS(2769),
    [anon_sym_LPAREN2] = ACTIONS(2771),
    [anon_sym_BANG] = ACTIONS(2771),
    [anon_sym_TILDE] = ACTIONS(2771),
    [anon_sym_DASH] = ACTIONS(2769),
    [anon_sym_PLUS] = ACTIONS(2769),
    [anon_sym_STAR] = ACTIONS(2771),
    [anon_sym_AMP_AMP] = ACTIONS(2771),
    [anon_sym_AMP] = ACTIONS(2769),
    [anon_sym___extension__] = ACTIONS(2769),
    [anon_sym_typedef] = ACTIONS(2769),
    [anon_sym_in] = ACTIONS(2769),
    [anon_sym_out] = ACTIONS(2769),
    [anon_sym_inout] = ACTIONS(2769),
    [anon_sym_extern] = ACTIONS(2769),
    [anon_sym___attribute__] = ACTIONS(2769),
    [anon_sym_COLON_COLON] = ACTIONS(2771),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2771),
    [anon_sym___declspec] = ACTIONS(2769),
    [anon_sym___based] = ACTIONS(2769),
    [anon_sym___cdecl] = ACTIONS(2769),
    [anon_sym___clrcall] = ACTIONS(2769),
    [anon_sym___stdcall] = ACTIONS(2769),
    [anon_sym___fastcall] = ACTIONS(2769),
    [anon_sym___thiscall] = ACTIONS(2769),
    [anon_sym___vectorcall] = ACTIONS(2769),
    [anon_sym_LBRACE] = ACTIONS(2771),
    [anon_sym_signed] = ACTIONS(2769),
    [anon_sym_unsigned] = ACTIONS(2769),
    [anon_sym_long] = ACTIONS(2769),
    [anon_sym_short] = ACTIONS(2769),
    [anon_sym_LBRACK] = ACTIONS(2769),
    [anon_sym_static] = ACTIONS(2769),
    [anon_sym_register] = ACTIONS(2769),
    [anon_sym_inline] = ACTIONS(2769),
    [anon_sym___inline] = ACTIONS(2769),
    [anon_sym___inline__] = ACTIONS(2769),
    [anon_sym___forceinline] = ACTIONS(2769),
    [anon_sym_thread_local] = ACTIONS(2769),
    [anon_sym___thread] = ACTIONS(2769),
    [anon_sym_const] = ACTIONS(2769),
    [anon_sym_constexpr] = ACTIONS(2769),
    [anon_sym_volatile] = ACTIONS(2769),
    [anon_sym_restrict] = ACTIONS(2769),
    [anon_sym___restrict__] = ACTIONS(2769),
    [anon_sym__Atomic] = ACTIONS(2769),
    [anon_sym__Noreturn] = ACTIONS(2769),
    [anon_sym_noreturn] = ACTIONS(2769),
    [anon_sym_mutable] = ACTIONS(2769),
    [anon_sym_constinit] = ACTIONS(2769),
    [anon_sym_consteval] = ACTIONS(2769),
    [sym_primitive_type] = ACTIONS(2769),
    [anon_sym_enum] = ACTIONS(2769),
    [anon_sym_class] = ACTIONS(2769),
    [anon_sym_struct] = ACTIONS(2769),
    [anon_sym_union] = ACTIONS(2769),
    [anon_sym_if] = ACTIONS(2769),
    [anon_sym_switch] = ACTIONS(2769),
    [anon_sym_case] = ACTIONS(2769),
    [anon_sym_default] = ACTIONS(2769),
    [anon_sym_while] = ACTIONS(2769),
    [anon_sym_do] = ACTIONS(2769),
    [anon_sym_for] = ACTIONS(2769),
    [anon_sym_return] = ACTIONS(2769),
    [anon_sym_break] = ACTIONS(2769),
    [anon_sym_continue] = ACTIONS(2769),
    [anon_sym_goto] = ACTIONS(2769),
    [anon_sym_not] = ACTIONS(2769),
    [anon_sym_compl] = ACTIONS(2769),
    [anon_sym_DASH_DASH] = ACTIONS(2771),
    [anon_sym_PLUS_PLUS] = ACTIONS(2771),
    [anon_sym_sizeof] = ACTIONS(2769),
    [anon_sym___alignof__] = ACTIONS(2769),
    [anon_sym___alignof] = ACTIONS(2769),
    [anon_sym__alignof] = ACTIONS(2769),
    [anon_sym_alignof] = ACTIONS(2769),
    [anon_sym__Alignof] = ACTIONS(2769),
    [anon_sym_offsetof] = ACTIONS(2769),
    [anon_sym__Generic] = ACTIONS(2769),
    [anon_sym_asm] = ACTIONS(2769),
    [anon_sym___asm__] = ACTIONS(2769),
    [sym_number_literal] = ACTIONS(2771),
    [anon_sym_L_SQUOTE] = ACTIONS(2771),
    [anon_sym_u_SQUOTE] = ACTIONS(2771),
    [anon_sym_U_SQUOTE] = ACTIONS(2771),
    [anon_sym_u8_SQUOTE] = ACTIONS(2771),
    [anon_sym_SQUOTE] = ACTIONS(2771),
    [anon_sym_L_DQUOTE] = ACTIONS(2771),
    [anon_sym_u_DQUOTE] = ACTIONS(2771),
    [anon_sym_U_DQUOTE] = ACTIONS(2771),
    [anon_sym_u8_DQUOTE] = ACTIONS(2771),
    [anon_sym_DQUOTE] = ACTIONS(2771),
    [sym_true] = ACTIONS(2769),
    [sym_false] = ACTIONS(2769),
    [anon_sym_NULL] = ACTIONS(2769),
    [anon_sym_nullptr] = ACTIONS(2769),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2769),
    [anon_sym_decltype] = ACTIONS(2769),
    [anon_sym_virtual] = ACTIONS(2769),
    [anon_sym_alignas] = ACTIONS(2769),
    [anon_sym_explicit] = ACTIONS(2769),
    [anon_sym_typename] = ACTIONS(2769),
    [anon_sym_template] = ACTIONS(2769),
    [anon_sym_operator] = ACTIONS(2769),
    [anon_sym_try] = ACTIONS(2769),
    [anon_sym_delete] = ACTIONS(2769),
    [anon_sym_throw] = ACTIONS(2769),
    [anon_sym_namespace] = ACTIONS(2769),
    [anon_sym_using] = ACTIONS(2769),
    [anon_sym_static_assert] = ACTIONS(2769),
    [anon_sym_concept] = ACTIONS(2769),
    [anon_sym_co_return] = ACTIONS(2769),
    [anon_sym_co_yield] = ACTIONS(2769),
    [anon_sym_R_DQUOTE] = ACTIONS(2771),
    [anon_sym_LR_DQUOTE] = ACTIONS(2771),
    [anon_sym_uR_DQUOTE] = ACTIONS(2771),
    [anon_sym_UR_DQUOTE] = ACTIONS(2771),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2771),
    [anon_sym_co_await] = ACTIONS(2769),
    [anon_sym_new] = ACTIONS(2769),
    [anon_sym_requires] = ACTIONS(2769),
    [sym_this] = ACTIONS(2769),
    [anon_sym_precise] = ACTIONS(2769),
    [anon_sym_shared] = ACTIONS(2769),
    [anon_sym_groupshared] = ACTIONS(2769),
    [anon_sym_uniform] = ACTIONS(2769),
    [anon_sym_row_major] = ACTIONS(2769),
    [anon_sym_column_major] = ACTIONS(2769),
    [anon_sym_globallycoherent] = ACTIONS(2769),
    [anon_sym_centroid] = ACTIONS(2769),
    [anon_sym_noperspective] = ACTIONS(2769),
    [anon_sym_nointerpolation] = ACTIONS(2769),
    [anon_sym_sample] = ACTIONS(2769),
    [anon_sym_linear] = ACTIONS(2769),
    [anon_sym_snorm] = ACTIONS(2769),
    [anon_sym_unorm] = ACTIONS(2769),
    [anon_sym_point] = ACTIONS(2769),
    [anon_sym_line] = ACTIONS(2769),
    [anon_sym_triangleadj] = ACTIONS(2769),
    [anon_sym_lineadj] = ACTIONS(2769),
    [anon_sym_triangle] = ACTIONS(2769),
  },
  [1315] = {
    [ts_builtin_sym_end] = ACTIONS(2690),
    [sym_identifier] = ACTIONS(2688),
    [aux_sym_preproc_include_token1] = ACTIONS(2688),
    [aux_sym_preproc_def_token1] = ACTIONS(2688),
    [aux_sym_preproc_if_token1] = ACTIONS(2688),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2688),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2688),
    [sym_preproc_directive] = ACTIONS(2688),
    [anon_sym_LPAREN2] = ACTIONS(2690),
    [anon_sym_BANG] = ACTIONS(2690),
    [anon_sym_TILDE] = ACTIONS(2690),
    [anon_sym_DASH] = ACTIONS(2688),
    [anon_sym_PLUS] = ACTIONS(2688),
    [anon_sym_STAR] = ACTIONS(2690),
    [anon_sym_AMP_AMP] = ACTIONS(2690),
    [anon_sym_AMP] = ACTIONS(2688),
    [anon_sym___extension__] = ACTIONS(2688),
    [anon_sym_typedef] = ACTIONS(2688),
    [anon_sym_in] = ACTIONS(2688),
    [anon_sym_out] = ACTIONS(2688),
    [anon_sym_inout] = ACTIONS(2688),
    [anon_sym_extern] = ACTIONS(2688),
    [anon_sym___attribute__] = ACTIONS(2688),
    [anon_sym_COLON_COLON] = ACTIONS(2690),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2690),
    [anon_sym___declspec] = ACTIONS(2688),
    [anon_sym___based] = ACTIONS(2688),
    [anon_sym___cdecl] = ACTIONS(2688),
    [anon_sym___clrcall] = ACTIONS(2688),
    [anon_sym___stdcall] = ACTIONS(2688),
    [anon_sym___fastcall] = ACTIONS(2688),
    [anon_sym___thiscall] = ACTIONS(2688),
    [anon_sym___vectorcall] = ACTIONS(2688),
    [anon_sym_LBRACE] = ACTIONS(2690),
    [anon_sym_signed] = ACTIONS(2688),
    [anon_sym_unsigned] = ACTIONS(2688),
    [anon_sym_long] = ACTIONS(2688),
    [anon_sym_short] = ACTIONS(2688),
    [anon_sym_LBRACK] = ACTIONS(2688),
    [anon_sym_static] = ACTIONS(2688),
    [anon_sym_register] = ACTIONS(2688),
    [anon_sym_inline] = ACTIONS(2688),
    [anon_sym___inline] = ACTIONS(2688),
    [anon_sym___inline__] = ACTIONS(2688),
    [anon_sym___forceinline] = ACTIONS(2688),
    [anon_sym_thread_local] = ACTIONS(2688),
    [anon_sym___thread] = ACTIONS(2688),
    [anon_sym_const] = ACTIONS(2688),
    [anon_sym_constexpr] = ACTIONS(2688),
    [anon_sym_volatile] = ACTIONS(2688),
    [anon_sym_restrict] = ACTIONS(2688),
    [anon_sym___restrict__] = ACTIONS(2688),
    [anon_sym__Atomic] = ACTIONS(2688),
    [anon_sym__Noreturn] = ACTIONS(2688),
    [anon_sym_noreturn] = ACTIONS(2688),
    [anon_sym_mutable] = ACTIONS(2688),
    [anon_sym_constinit] = ACTIONS(2688),
    [anon_sym_consteval] = ACTIONS(2688),
    [sym_primitive_type] = ACTIONS(2688),
    [anon_sym_enum] = ACTIONS(2688),
    [anon_sym_class] = ACTIONS(2688),
    [anon_sym_struct] = ACTIONS(2688),
    [anon_sym_union] = ACTIONS(2688),
    [anon_sym_if] = ACTIONS(2688),
    [anon_sym_switch] = ACTIONS(2688),
    [anon_sym_case] = ACTIONS(2688),
    [anon_sym_default] = ACTIONS(2688),
    [anon_sym_while] = ACTIONS(2688),
    [anon_sym_do] = ACTIONS(2688),
    [anon_sym_for] = ACTIONS(2688),
    [anon_sym_return] = ACTIONS(2688),
    [anon_sym_break] = ACTIONS(2688),
    [anon_sym_continue] = ACTIONS(2688),
    [anon_sym_goto] = ACTIONS(2688),
    [anon_sym_not] = ACTIONS(2688),
    [anon_sym_compl] = ACTIONS(2688),
    [anon_sym_DASH_DASH] = ACTIONS(2690),
    [anon_sym_PLUS_PLUS] = ACTIONS(2690),
    [anon_sym_sizeof] = ACTIONS(2688),
    [anon_sym___alignof__] = ACTIONS(2688),
    [anon_sym___alignof] = ACTIONS(2688),
    [anon_sym__alignof] = ACTIONS(2688),
    [anon_sym_alignof] = ACTIONS(2688),
    [anon_sym__Alignof] = ACTIONS(2688),
    [anon_sym_offsetof] = ACTIONS(2688),
    [anon_sym__Generic] = ACTIONS(2688),
    [anon_sym_asm] = ACTIONS(2688),
    [anon_sym___asm__] = ACTIONS(2688),
    [sym_number_literal] = ACTIONS(2690),
    [anon_sym_L_SQUOTE] = ACTIONS(2690),
    [anon_sym_u_SQUOTE] = ACTIONS(2690),
    [anon_sym_U_SQUOTE] = ACTIONS(2690),
    [anon_sym_u8_SQUOTE] = ACTIONS(2690),
    [anon_sym_SQUOTE] = ACTIONS(2690),
    [anon_sym_L_DQUOTE] = ACTIONS(2690),
    [anon_sym_u_DQUOTE] = ACTIONS(2690),
    [anon_sym_U_DQUOTE] = ACTIONS(2690),
    [anon_sym_u8_DQUOTE] = ACTIONS(2690),
    [anon_sym_DQUOTE] = ACTIONS(2690),
    [sym_true] = ACTIONS(2688),
    [sym_false] = ACTIONS(2688),
    [anon_sym_NULL] = ACTIONS(2688),
    [anon_sym_nullptr] = ACTIONS(2688),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2688),
    [anon_sym_decltype] = ACTIONS(2688),
    [anon_sym_virtual] = ACTIONS(2688),
    [anon_sym_alignas] = ACTIONS(2688),
    [anon_sym_explicit] = ACTIONS(2688),
    [anon_sym_typename] = ACTIONS(2688),
    [anon_sym_template] = ACTIONS(2688),
    [anon_sym_operator] = ACTIONS(2688),
    [anon_sym_try] = ACTIONS(2688),
    [anon_sym_delete] = ACTIONS(2688),
    [anon_sym_throw] = ACTIONS(2688),
    [anon_sym_namespace] = ACTIONS(2688),
    [anon_sym_using] = ACTIONS(2688),
    [anon_sym_static_assert] = ACTIONS(2688),
    [anon_sym_concept] = ACTIONS(2688),
    [anon_sym_co_return] = ACTIONS(2688),
    [anon_sym_co_yield] = ACTIONS(2688),
    [anon_sym_R_DQUOTE] = ACTIONS(2690),
    [anon_sym_LR_DQUOTE] = ACTIONS(2690),
    [anon_sym_uR_DQUOTE] = ACTIONS(2690),
    [anon_sym_UR_DQUOTE] = ACTIONS(2690),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2690),
    [anon_sym_co_await] = ACTIONS(2688),
    [anon_sym_new] = ACTIONS(2688),
    [anon_sym_requires] = ACTIONS(2688),
    [sym_this] = ACTIONS(2688),
    [anon_sym_precise] = ACTIONS(2688),
    [anon_sym_shared] = ACTIONS(2688),
    [anon_sym_groupshared] = ACTIONS(2688),
    [anon_sym_uniform] = ACTIONS(2688),
    [anon_sym_row_major] = ACTIONS(2688),
    [anon_sym_column_major] = ACTIONS(2688),
    [anon_sym_globallycoherent] = ACTIONS(2688),
    [anon_sym_centroid] = ACTIONS(2688),
    [anon_sym_noperspective] = ACTIONS(2688),
    [anon_sym_nointerpolation] = ACTIONS(2688),
    [anon_sym_sample] = ACTIONS(2688),
    [anon_sym_linear] = ACTIONS(2688),
    [anon_sym_snorm] = ACTIONS(2688),
    [anon_sym_unorm] = ACTIONS(2688),
    [anon_sym_point] = ACTIONS(2688),
    [anon_sym_line] = ACTIONS(2688),
    [anon_sym_triangleadj] = ACTIONS(2688),
    [anon_sym_lineadj] = ACTIONS(2688),
    [anon_sym_triangle] = ACTIONS(2688),
  },
  [1316] = {
    [sym_attribute_declaration] = STATE(1339),
    [sym_compound_statement] = STATE(737),
    [sym_attributed_statement] = STATE(737),
    [sym_labeled_statement] = STATE(737),
    [sym_expression_statement] = STATE(737),
    [sym_if_statement] = STATE(737),
    [sym_switch_statement] = STATE(737),
    [sym_case_statement] = STATE(737),
    [sym_while_statement] = STATE(737),
    [sym_do_statement] = STATE(737),
    [sym_for_statement] = STATE(737),
    [sym_return_statement] = STATE(737),
    [sym_break_statement] = STATE(737),
    [sym_continue_statement] = STATE(737),
    [sym_goto_statement] = STATE(737),
    [sym_seh_try_statement] = STATE(737),
    [sym_seh_leave_statement] = STATE(737),
    [sym__expression] = STATE(5558),
    [sym__expression_not_binary] = STATE(5024),
    [sym__string] = STATE(5024),
    [sym_comma_expression] = STATE(10272),
    [sym_conditional_expression] = STATE(5024),
    [sym_assignment_expression] = STATE(5024),
    [sym_pointer_expression] = STATE(4507),
    [sym_unary_expression] = STATE(5024),
    [sym_binary_expression] = STATE(5024),
    [sym_update_expression] = STATE(5024),
    [sym_cast_expression] = STATE(5024),
    [sym_sizeof_expression] = STATE(5024),
    [sym_alignof_expression] = STATE(5024),
    [sym_offsetof_expression] = STATE(5024),
    [sym_generic_expression] = STATE(5024),
    [sym_subscript_expression] = STATE(4507),
    [sym_call_expression] = STATE(4507),
    [sym_gnu_asm_expression] = STATE(5024),
    [sym_field_expression] = STATE(4507),
    [sym_compound_literal_expression] = STATE(5024),
    [sym_parenthesized_expression] = STATE(4507),
    [sym_initializer_list] = STATE(9201),
    [sym_char_literal] = STATE(5374),
    [sym_concatenated_string] = STATE(5377),
    [sym_string_literal] = STATE(4206),
    [sym_null] = STATE(5024),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9352),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(5024),
    [sym_for_range_loop] = STATE(737),
    [sym_co_return_statement] = STATE(737),
    [sym_co_yield_statement] = STATE(737),
    [sym_throw_statement] = STATE(737),
    [sym_try_statement] = STATE(737),
    [sym_raw_string_literal] = STATE(4217),
    [sym_co_await_expression] = STATE(5024),
    [sym_new_expression] = STATE(5024),
    [sym_delete_expression] = STATE(5024),
    [sym_requires_clause] = STATE(5024),
    [sym_requires_expression] = STATE(5024),
    [sym_lambda_expression] = STATE(5024),
    [sym_lambda_capture_specifier] = STATE(7184),
    [sym_fold_expression] = STATE(5024),
    [sym_parameter_pack_expansion] = STATE(5024),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6886),
    [sym_qualified_identifier] = STATE(4507),
    [sym_qualified_type_identifier] = STATE(9352),
    [sym_user_defined_literal] = STATE(4507),
    [sym_discard_statement] = STATE(737),
    [sym_cbuffer_specifier] = STATE(737),
    [sym_hlsl_attribute] = STATE(9351),
    [aux_sym_attributed_declarator_repeat1] = STATE(1339),
    [sym_identifier] = ACTIONS(3376),
    [anon_sym_LPAREN2] = ACTIONS(1472),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1474),
    [anon_sym_AMP] = ACTIONS(1474),
    [anon_sym_SEMI] = ACTIONS(177),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1482),
    [anon_sym_LBRACE] = ACTIONS(185),
    [anon_sym_LBRACK] = ACTIONS(1484),
    [sym_primitive_type] = ACTIONS(3146),
    [anon_sym_if] = ACTIONS(193),
    [anon_sym_switch] = ACTIONS(195),
    [anon_sym_case] = ACTIONS(197),
    [anon_sym_default] = ACTIONS(199),
    [anon_sym_while] = ACTIONS(201),
    [anon_sym_do] = ACTIONS(203),
    [anon_sym_for] = ACTIONS(205),
    [anon_sym_return] = ACTIONS(207),
    [anon_sym_break] = ACTIONS(209),
    [anon_sym_continue] = ACTIONS(211),
    [anon_sym_goto] = ACTIONS(213),
    [anon_sym___try] = ACTIONS(215),
    [anon_sym___leave] = ACTIONS(217),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_try] = ACTIONS(225),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(227),
    [anon_sym_co_return] = ACTIONS(237),
    [anon_sym_co_yield] = ACTIONS(239),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
    [anon_sym_discard] = ACTIONS(241),
    [anon_sym_cbuffer] = ACTIONS(243),
  },
  [1317] = {
    [sym_attribute_declaration] = STATE(1317),
    [sym_compound_statement] = STATE(937),
    [sym_attributed_statement] = STATE(937),
    [sym_labeled_statement] = STATE(937),
    [sym_expression_statement] = STATE(937),
    [sym_if_statement] = STATE(937),
    [sym_switch_statement] = STATE(937),
    [sym_case_statement] = STATE(937),
    [sym_while_statement] = STATE(937),
    [sym_do_statement] = STATE(937),
    [sym_for_statement] = STATE(937),
    [sym_return_statement] = STATE(937),
    [sym_break_statement] = STATE(937),
    [sym_continue_statement] = STATE(937),
    [sym_goto_statement] = STATE(937),
    [sym_seh_try_statement] = STATE(937),
    [sym_seh_leave_statement] = STATE(937),
    [sym__expression] = STATE(5674),
    [sym__expression_not_binary] = STATE(5024),
    [sym__string] = STATE(5024),
    [sym_comma_expression] = STATE(10272),
    [sym_conditional_expression] = STATE(5024),
    [sym_assignment_expression] = STATE(5024),
    [sym_pointer_expression] = STATE(4507),
    [sym_unary_expression] = STATE(5024),
    [sym_binary_expression] = STATE(5024),
    [sym_update_expression] = STATE(5024),
    [sym_cast_expression] = STATE(5024),
    [sym_sizeof_expression] = STATE(5024),
    [sym_alignof_expression] = STATE(5024),
    [sym_offsetof_expression] = STATE(5024),
    [sym_generic_expression] = STATE(5024),
    [sym_subscript_expression] = STATE(4507),
    [sym_call_expression] = STATE(4507),
    [sym_gnu_asm_expression] = STATE(5024),
    [sym_field_expression] = STATE(4507),
    [sym_compound_literal_expression] = STATE(5024),
    [sym_parenthesized_expression] = STATE(4507),
    [sym_char_literal] = STATE(5374),
    [sym_concatenated_string] = STATE(5377),
    [sym_string_literal] = STATE(4206),
    [sym_null] = STATE(5024),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9352),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(5024),
    [sym_for_range_loop] = STATE(937),
    [sym_co_return_statement] = STATE(937),
    [sym_co_yield_statement] = STATE(937),
    [sym_throw_statement] = STATE(937),
    [sym_try_statement] = STATE(937),
    [sym_raw_string_literal] = STATE(4217),
    [sym_co_await_expression] = STATE(5024),
    [sym_new_expression] = STATE(5024),
    [sym_delete_expression] = STATE(5024),
    [sym_requires_clause] = STATE(5024),
    [sym_requires_expression] = STATE(5024),
    [sym_lambda_expression] = STATE(5024),
    [sym_lambda_capture_specifier] = STATE(7184),
    [sym_fold_expression] = STATE(5024),
    [sym_parameter_pack_expansion] = STATE(5024),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6886),
    [sym_qualified_identifier] = STATE(4507),
    [sym_qualified_type_identifier] = STATE(9352),
    [sym_user_defined_literal] = STATE(4507),
    [sym_discard_statement] = STATE(937),
    [sym_cbuffer_specifier] = STATE(937),
    [sym_hlsl_attribute] = STATE(9277),
    [aux_sym_attributed_declarator_repeat1] = STATE(1317),
    [sym_identifier] = ACTIONS(3378),
    [anon_sym_LPAREN2] = ACTIONS(3381),
    [anon_sym_BANG] = ACTIONS(3384),
    [anon_sym_TILDE] = ACTIONS(3384),
    [anon_sym_DASH] = ACTIONS(3387),
    [anon_sym_PLUS] = ACTIONS(3387),
    [anon_sym_STAR] = ACTIONS(3390),
    [anon_sym_AMP] = ACTIONS(3390),
    [anon_sym_SEMI] = ACTIONS(3393),
    [anon_sym_COLON_COLON] = ACTIONS(3396),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3399),
    [anon_sym_LBRACE] = ACTIONS(3402),
    [anon_sym_LBRACK] = ACTIONS(3405),
    [sym_primitive_type] = ACTIONS(3408),
    [anon_sym_if] = ACTIONS(3411),
    [anon_sym_switch] = ACTIONS(3414),
    [anon_sym_case] = ACTIONS(3417),
    [anon_sym_default] = ACTIONS(3420),
    [anon_sym_while] = ACTIONS(3423),
    [anon_sym_do] = ACTIONS(3426),
    [anon_sym_for] = ACTIONS(3429),
    [anon_sym_return] = ACTIONS(3432),
    [anon_sym_break] = ACTIONS(3435),
    [anon_sym_continue] = ACTIONS(3438),
    [anon_sym_goto] = ACTIONS(3441),
    [anon_sym___try] = ACTIONS(3444),
    [anon_sym___leave] = ACTIONS(3447),
    [anon_sym_not] = ACTIONS(3387),
    [anon_sym_compl] = ACTIONS(3387),
    [anon_sym_DASH_DASH] = ACTIONS(3450),
    [anon_sym_PLUS_PLUS] = ACTIONS(3450),
    [anon_sym_sizeof] = ACTIONS(3453),
    [anon_sym___alignof__] = ACTIONS(3456),
    [anon_sym___alignof] = ACTIONS(3456),
    [anon_sym__alignof] = ACTIONS(3456),
    [anon_sym_alignof] = ACTIONS(3456),
    [anon_sym__Alignof] = ACTIONS(3456),
    [anon_sym_offsetof] = ACTIONS(3459),
    [anon_sym__Generic] = ACTIONS(3462),
    [anon_sym_asm] = ACTIONS(3465),
    [anon_sym___asm__] = ACTIONS(3465),
    [sym_number_literal] = ACTIONS(3468),
    [anon_sym_L_SQUOTE] = ACTIONS(3471),
    [anon_sym_u_SQUOTE] = ACTIONS(3471),
    [anon_sym_U_SQUOTE] = ACTIONS(3471),
    [anon_sym_u8_SQUOTE] = ACTIONS(3471),
    [anon_sym_SQUOTE] = ACTIONS(3471),
    [anon_sym_L_DQUOTE] = ACTIONS(3474),
    [anon_sym_u_DQUOTE] = ACTIONS(3474),
    [anon_sym_U_DQUOTE] = ACTIONS(3474),
    [anon_sym_u8_DQUOTE] = ACTIONS(3474),
    [anon_sym_DQUOTE] = ACTIONS(3474),
    [sym_true] = ACTIONS(3477),
    [sym_false] = ACTIONS(3477),
    [anon_sym_NULL] = ACTIONS(3480),
    [anon_sym_nullptr] = ACTIONS(3480),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3483),
    [anon_sym_template] = ACTIONS(3486),
    [anon_sym_try] = ACTIONS(3489),
    [anon_sym_delete] = ACTIONS(3492),
    [anon_sym_throw] = ACTIONS(3495),
    [anon_sym_co_return] = ACTIONS(3498),
    [anon_sym_co_yield] = ACTIONS(3501),
    [anon_sym_R_DQUOTE] = ACTIONS(3504),
    [anon_sym_LR_DQUOTE] = ACTIONS(3504),
    [anon_sym_uR_DQUOTE] = ACTIONS(3504),
    [anon_sym_UR_DQUOTE] = ACTIONS(3504),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3504),
    [anon_sym_co_await] = ACTIONS(3507),
    [anon_sym_new] = ACTIONS(3510),
    [anon_sym_requires] = ACTIONS(3513),
    [sym_this] = ACTIONS(3477),
    [anon_sym_discard] = ACTIONS(3516),
    [anon_sym_cbuffer] = ACTIONS(3519),
  },
  [1318] = {
    [sym_attribute_declaration] = STATE(1367),
    [sym_compound_statement] = STATE(657),
    [sym_attributed_statement] = STATE(657),
    [sym_labeled_statement] = STATE(657),
    [sym_expression_statement] = STATE(657),
    [sym_if_statement] = STATE(657),
    [sym_switch_statement] = STATE(657),
    [sym_case_statement] = STATE(657),
    [sym_while_statement] = STATE(657),
    [sym_do_statement] = STATE(657),
    [sym_for_statement] = STATE(657),
    [sym_return_statement] = STATE(657),
    [sym_break_statement] = STATE(657),
    [sym_continue_statement] = STATE(657),
    [sym_goto_statement] = STATE(657),
    [sym_seh_try_statement] = STATE(657),
    [sym_seh_leave_statement] = STATE(657),
    [sym__expression] = STATE(5768),
    [sym__expression_not_binary] = STATE(5024),
    [sym__string] = STATE(5024),
    [sym_comma_expression] = STATE(9694),
    [sym_conditional_expression] = STATE(5024),
    [sym_assignment_expression] = STATE(5024),
    [sym_pointer_expression] = STATE(4507),
    [sym_unary_expression] = STATE(5024),
    [sym_binary_expression] = STATE(5024),
    [sym_update_expression] = STATE(5024),
    [sym_cast_expression] = STATE(5024),
    [sym_sizeof_expression] = STATE(5024),
    [sym_alignof_expression] = STATE(5024),
    [sym_offsetof_expression] = STATE(5024),
    [sym_generic_expression] = STATE(5024),
    [sym_subscript_expression] = STATE(4507),
    [sym_call_expression] = STATE(4507),
    [sym_gnu_asm_expression] = STATE(5024),
    [sym_field_expression] = STATE(4507),
    [sym_compound_literal_expression] = STATE(5024),
    [sym_parenthesized_expression] = STATE(4507),
    [sym_char_literal] = STATE(5374),
    [sym_concatenated_string] = STATE(5377),
    [sym_string_literal] = STATE(4206),
    [sym_null] = STATE(5024),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9352),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(5024),
    [sym_for_range_loop] = STATE(657),
    [sym_co_return_statement] = STATE(657),
    [sym_co_yield_statement] = STATE(657),
    [sym_throw_statement] = STATE(657),
    [sym_try_statement] = STATE(657),
    [sym_raw_string_literal] = STATE(4217),
    [sym_co_await_expression] = STATE(5024),
    [sym_new_expression] = STATE(5024),
    [sym_delete_expression] = STATE(5024),
    [sym_requires_clause] = STATE(5024),
    [sym_requires_expression] = STATE(5024),
    [sym_lambda_expression] = STATE(5024),
    [sym_lambda_capture_specifier] = STATE(7184),
    [sym_fold_expression] = STATE(5024),
    [sym_parameter_pack_expansion] = STATE(5024),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6886),
    [sym_qualified_identifier] = STATE(4507),
    [sym_qualified_type_identifier] = STATE(9352),
    [sym_user_defined_literal] = STATE(4507),
    [sym_discard_statement] = STATE(657),
    [sym_cbuffer_specifier] = STATE(657),
    [sym_hlsl_attribute] = STATE(9208),
    [aux_sym_attributed_declarator_repeat1] = STATE(1367),
    [sym_identifier] = ACTIONS(3522),
    [anon_sym_LPAREN2] = ACTIONS(1472),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1474),
    [anon_sym_AMP] = ACTIONS(1474),
    [anon_sym_SEMI] = ACTIONS(1128),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1482),
    [anon_sym_LBRACE] = ACTIONS(1136),
    [anon_sym_LBRACK] = ACTIONS(1484),
    [sym_primitive_type] = ACTIONS(3146),
    [anon_sym_if] = ACTIONS(1140),
    [anon_sym_switch] = ACTIONS(1142),
    [anon_sym_case] = ACTIONS(1144),
    [anon_sym_default] = ACTIONS(1146),
    [anon_sym_while] = ACTIONS(1148),
    [anon_sym_do] = ACTIONS(1150),
    [anon_sym_for] = ACTIONS(1152),
    [anon_sym_return] = ACTIONS(1154),
    [anon_sym_break] = ACTIONS(1156),
    [anon_sym_continue] = ACTIONS(1158),
    [anon_sym_goto] = ACTIONS(1160),
    [anon_sym___try] = ACTIONS(1162),
    [anon_sym___leave] = ACTIONS(1164),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_try] = ACTIONS(1168),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(1170),
    [anon_sym_co_return] = ACTIONS(1180),
    [anon_sym_co_yield] = ACTIONS(1182),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
    [anon_sym_discard] = ACTIONS(1184),
    [anon_sym_cbuffer] = ACTIONS(1186),
  },
  [1319] = {
    [sym_attribute_declaration] = STATE(1367),
    [sym_compound_statement] = STATE(1025),
    [sym_attributed_statement] = STATE(1025),
    [sym_labeled_statement] = STATE(1025),
    [sym_expression_statement] = STATE(1025),
    [sym_if_statement] = STATE(1025),
    [sym_switch_statement] = STATE(1025),
    [sym_case_statement] = STATE(1025),
    [sym_while_statement] = STATE(1025),
    [sym_do_statement] = STATE(1025),
    [sym_for_statement] = STATE(1025),
    [sym_return_statement] = STATE(1025),
    [sym_break_statement] = STATE(1025),
    [sym_continue_statement] = STATE(1025),
    [sym_goto_statement] = STATE(1025),
    [sym_seh_try_statement] = STATE(1025),
    [sym_seh_leave_statement] = STATE(1025),
    [sym__expression] = STATE(5768),
    [sym__expression_not_binary] = STATE(5024),
    [sym__string] = STATE(5024),
    [sym_comma_expression] = STATE(9694),
    [sym_conditional_expression] = STATE(5024),
    [sym_assignment_expression] = STATE(5024),
    [sym_pointer_expression] = STATE(4507),
    [sym_unary_expression] = STATE(5024),
    [sym_binary_expression] = STATE(5024),
    [sym_update_expression] = STATE(5024),
    [sym_cast_expression] = STATE(5024),
    [sym_sizeof_expression] = STATE(5024),
    [sym_alignof_expression] = STATE(5024),
    [sym_offsetof_expression] = STATE(5024),
    [sym_generic_expression] = STATE(5024),
    [sym_subscript_expression] = STATE(4507),
    [sym_call_expression] = STATE(4507),
    [sym_gnu_asm_expression] = STATE(5024),
    [sym_field_expression] = STATE(4507),
    [sym_compound_literal_expression] = STATE(5024),
    [sym_parenthesized_expression] = STATE(4507),
    [sym_char_literal] = STATE(5374),
    [sym_concatenated_string] = STATE(5377),
    [sym_string_literal] = STATE(4206),
    [sym_null] = STATE(5024),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9352),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(5024),
    [sym_for_range_loop] = STATE(1025),
    [sym_co_return_statement] = STATE(1025),
    [sym_co_yield_statement] = STATE(1025),
    [sym_throw_statement] = STATE(1025),
    [sym_try_statement] = STATE(1025),
    [sym_raw_string_literal] = STATE(4217),
    [sym_co_await_expression] = STATE(5024),
    [sym_new_expression] = STATE(5024),
    [sym_delete_expression] = STATE(5024),
    [sym_requires_clause] = STATE(5024),
    [sym_requires_expression] = STATE(5024),
    [sym_lambda_expression] = STATE(5024),
    [sym_lambda_capture_specifier] = STATE(7184),
    [sym_fold_expression] = STATE(5024),
    [sym_parameter_pack_expansion] = STATE(5024),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6886),
    [sym_qualified_identifier] = STATE(4507),
    [sym_qualified_type_identifier] = STATE(9352),
    [sym_user_defined_literal] = STATE(4507),
    [sym_discard_statement] = STATE(1025),
    [sym_cbuffer_specifier] = STATE(1025),
    [sym_hlsl_attribute] = STATE(9208),
    [aux_sym_attributed_declarator_repeat1] = STATE(1367),
    [sym_identifier] = ACTIONS(3522),
    [anon_sym_LPAREN2] = ACTIONS(1472),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1474),
    [anon_sym_AMP] = ACTIONS(1474),
    [anon_sym_SEMI] = ACTIONS(1128),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1482),
    [anon_sym_LBRACE] = ACTIONS(1136),
    [anon_sym_LBRACK] = ACTIONS(1484),
    [sym_primitive_type] = ACTIONS(3146),
    [anon_sym_if] = ACTIONS(1140),
    [anon_sym_switch] = ACTIONS(1142),
    [anon_sym_case] = ACTIONS(1144),
    [anon_sym_default] = ACTIONS(1146),
    [anon_sym_while] = ACTIONS(1148),
    [anon_sym_do] = ACTIONS(1150),
    [anon_sym_for] = ACTIONS(1152),
    [anon_sym_return] = ACTIONS(1154),
    [anon_sym_break] = ACTIONS(1156),
    [anon_sym_continue] = ACTIONS(1158),
    [anon_sym_goto] = ACTIONS(1160),
    [anon_sym___try] = ACTIONS(1162),
    [anon_sym___leave] = ACTIONS(1164),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_try] = ACTIONS(1168),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(1170),
    [anon_sym_co_return] = ACTIONS(1180),
    [anon_sym_co_yield] = ACTIONS(1182),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
    [anon_sym_discard] = ACTIONS(1184),
    [anon_sym_cbuffer] = ACTIONS(1186),
  },
  [1320] = {
    [sym_attribute_declaration] = STATE(1367),
    [sym_compound_statement] = STATE(974),
    [sym_attributed_statement] = STATE(946),
    [sym_labeled_statement] = STATE(945),
    [sym_expression_statement] = STATE(943),
    [sym_if_statement] = STATE(942),
    [sym_switch_statement] = STATE(940),
    [sym_case_statement] = STATE(931),
    [sym_while_statement] = STATE(928),
    [sym_do_statement] = STATE(924),
    [sym_for_statement] = STATE(921),
    [sym_return_statement] = STATE(916),
    [sym_break_statement] = STATE(915),
    [sym_continue_statement] = STATE(907),
    [sym_goto_statement] = STATE(904),
    [sym_seh_try_statement] = STATE(903),
    [sym_seh_leave_statement] = STATE(902),
    [sym__expression] = STATE(5768),
    [sym__expression_not_binary] = STATE(5024),
    [sym__string] = STATE(5024),
    [sym_comma_expression] = STATE(9694),
    [sym_conditional_expression] = STATE(5024),
    [sym_assignment_expression] = STATE(5024),
    [sym_pointer_expression] = STATE(4507),
    [sym_unary_expression] = STATE(5024),
    [sym_binary_expression] = STATE(5024),
    [sym_update_expression] = STATE(5024),
    [sym_cast_expression] = STATE(5024),
    [sym_sizeof_expression] = STATE(5024),
    [sym_alignof_expression] = STATE(5024),
    [sym_offsetof_expression] = STATE(5024),
    [sym_generic_expression] = STATE(5024),
    [sym_subscript_expression] = STATE(4507),
    [sym_call_expression] = STATE(4507),
    [sym_gnu_asm_expression] = STATE(5024),
    [sym_field_expression] = STATE(4507),
    [sym_compound_literal_expression] = STATE(5024),
    [sym_parenthesized_expression] = STATE(4507),
    [sym_char_literal] = STATE(5374),
    [sym_concatenated_string] = STATE(5377),
    [sym_string_literal] = STATE(4206),
    [sym_null] = STATE(5024),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9352),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(5024),
    [sym_for_range_loop] = STATE(895),
    [sym_co_return_statement] = STATE(894),
    [sym_co_yield_statement] = STATE(1020),
    [sym_throw_statement] = STATE(889),
    [sym_try_statement] = STATE(882),
    [sym_raw_string_literal] = STATE(4217),
    [sym_co_await_expression] = STATE(5024),
    [sym_new_expression] = STATE(5024),
    [sym_delete_expression] = STATE(5024),
    [sym_requires_clause] = STATE(5024),
    [sym_requires_expression] = STATE(5024),
    [sym_lambda_expression] = STATE(5024),
    [sym_lambda_capture_specifier] = STATE(7184),
    [sym_fold_expression] = STATE(5024),
    [sym_parameter_pack_expansion] = STATE(5024),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6886),
    [sym_qualified_identifier] = STATE(4507),
    [sym_qualified_type_identifier] = STATE(9352),
    [sym_user_defined_literal] = STATE(4507),
    [sym_discard_statement] = STATE(878),
    [sym_cbuffer_specifier] = STATE(871),
    [sym_hlsl_attribute] = STATE(9208),
    [aux_sym_attributed_declarator_repeat1] = STATE(1367),
    [sym_identifier] = ACTIONS(3522),
    [anon_sym_LPAREN2] = ACTIONS(1472),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1474),
    [anon_sym_AMP] = ACTIONS(1474),
    [anon_sym_SEMI] = ACTIONS(1128),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1482),
    [anon_sym_LBRACE] = ACTIONS(1136),
    [anon_sym_LBRACK] = ACTIONS(1484),
    [sym_primitive_type] = ACTIONS(3146),
    [anon_sym_if] = ACTIONS(1140),
    [anon_sym_switch] = ACTIONS(1142),
    [anon_sym_case] = ACTIONS(1144),
    [anon_sym_default] = ACTIONS(1146),
    [anon_sym_while] = ACTIONS(1148),
    [anon_sym_do] = ACTIONS(1150),
    [anon_sym_for] = ACTIONS(1152),
    [anon_sym_return] = ACTIONS(1154),
    [anon_sym_break] = ACTIONS(1156),
    [anon_sym_continue] = ACTIONS(1158),
    [anon_sym_goto] = ACTIONS(1160),
    [anon_sym___try] = ACTIONS(1162),
    [anon_sym___leave] = ACTIONS(1164),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_try] = ACTIONS(1168),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(1170),
    [anon_sym_co_return] = ACTIONS(1180),
    [anon_sym_co_yield] = ACTIONS(1182),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
    [anon_sym_discard] = ACTIONS(1184),
    [anon_sym_cbuffer] = ACTIONS(1186),
  },
  [1321] = {
    [sym_attribute_declaration] = STATE(1366),
    [sym_compound_statement] = STATE(10088),
    [sym_attributed_statement] = STATE(10088),
    [sym_labeled_statement] = STATE(10088),
    [sym_expression_statement] = STATE(10088),
    [sym_if_statement] = STATE(10088),
    [sym_switch_statement] = STATE(10088),
    [sym_case_statement] = STATE(10088),
    [sym_while_statement] = STATE(10088),
    [sym_do_statement] = STATE(10088),
    [sym_for_statement] = STATE(10088),
    [sym_return_statement] = STATE(10088),
    [sym_break_statement] = STATE(10088),
    [sym_continue_statement] = STATE(10088),
    [sym_goto_statement] = STATE(10088),
    [sym_seh_try_statement] = STATE(10088),
    [sym_seh_leave_statement] = STATE(10088),
    [sym__expression] = STATE(5674),
    [sym__expression_not_binary] = STATE(5024),
    [sym__string] = STATE(5024),
    [sym_comma_expression] = STATE(10272),
    [sym_conditional_expression] = STATE(5024),
    [sym_assignment_expression] = STATE(5024),
    [sym_pointer_expression] = STATE(4507),
    [sym_unary_expression] = STATE(5024),
    [sym_binary_expression] = STATE(5024),
    [sym_update_expression] = STATE(5024),
    [sym_cast_expression] = STATE(5024),
    [sym_sizeof_expression] = STATE(5024),
    [sym_alignof_expression] = STATE(5024),
    [sym_offsetof_expression] = STATE(5024),
    [sym_generic_expression] = STATE(5024),
    [sym_subscript_expression] = STATE(4507),
    [sym_call_expression] = STATE(4507),
    [sym_gnu_asm_expression] = STATE(5024),
    [sym_field_expression] = STATE(4507),
    [sym_compound_literal_expression] = STATE(5024),
    [sym_parenthesized_expression] = STATE(4507),
    [sym_char_literal] = STATE(5374),
    [sym_concatenated_string] = STATE(5377),
    [sym_string_literal] = STATE(4206),
    [sym_null] = STATE(5024),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9352),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(5024),
    [sym_for_range_loop] = STATE(10088),
    [sym_co_return_statement] = STATE(10088),
    [sym_co_yield_statement] = STATE(10088),
    [sym_throw_statement] = STATE(10088),
    [sym_try_statement] = STATE(10088),
    [sym_raw_string_literal] = STATE(4217),
    [sym_co_await_expression] = STATE(5024),
    [sym_new_expression] = STATE(5024),
    [sym_delete_expression] = STATE(5024),
    [sym_requires_clause] = STATE(5024),
    [sym_requires_expression] = STATE(5024),
    [sym_lambda_expression] = STATE(5024),
    [sym_lambda_capture_specifier] = STATE(7184),
    [sym_fold_expression] = STATE(5024),
    [sym_parameter_pack_expansion] = STATE(5024),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6886),
    [sym_qualified_identifier] = STATE(4507),
    [sym_qualified_type_identifier] = STATE(9352),
    [sym_user_defined_literal] = STATE(4507),
    [sym_discard_statement] = STATE(10088),
    [sym_cbuffer_specifier] = STATE(10088),
    [sym_hlsl_attribute] = STATE(9277),
    [aux_sym_attributed_declarator_repeat1] = STATE(1366),
    [sym_identifier] = ACTIONS(3524),
    [anon_sym_LPAREN2] = ACTIONS(1472),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1474),
    [anon_sym_AMP] = ACTIONS(1474),
    [anon_sym_SEMI] = ACTIONS(177),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1482),
    [anon_sym_LBRACE] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(1484),
    [sym_primitive_type] = ACTIONS(3146),
    [anon_sym_if] = ACTIONS(3526),
    [anon_sym_switch] = ACTIONS(77),
    [anon_sym_case] = ACTIONS(3528),
    [anon_sym_default] = ACTIONS(3530),
    [anon_sym_while] = ACTIONS(3532),
    [anon_sym_do] = ACTIONS(85),
    [anon_sym_for] = ACTIONS(3534),
    [anon_sym_return] = ACTIONS(89),
    [anon_sym_break] = ACTIONS(91),
    [anon_sym_continue] = ACTIONS(93),
    [anon_sym_goto] = ACTIONS(95),
    [anon_sym___try] = ACTIONS(3536),
    [anon_sym___leave] = ACTIONS(217),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_try] = ACTIONS(135),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(139),
    [anon_sym_co_return] = ACTIONS(149),
    [anon_sym_co_yield] = ACTIONS(151),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
    [anon_sym_discard] = ACTIONS(241),
    [anon_sym_cbuffer] = ACTIONS(3538),
  },
  [1322] = {
    [sym_attribute_declaration] = STATE(1337),
    [sym_compound_statement] = STATE(563),
    [sym_attributed_statement] = STATE(561),
    [sym_labeled_statement] = STATE(560),
    [sym_expression_statement] = STATE(559),
    [sym_if_statement] = STATE(557),
    [sym_switch_statement] = STATE(556),
    [sym_case_statement] = STATE(555),
    [sym_while_statement] = STATE(551),
    [sym_do_statement] = STATE(550),
    [sym_for_statement] = STATE(549),
    [sym_return_statement] = STATE(548),
    [sym_break_statement] = STATE(547),
    [sym_continue_statement] = STATE(546),
    [sym_goto_statement] = STATE(545),
    [sym_seh_try_statement] = STATE(543),
    [sym_seh_leave_statement] = STATE(542),
    [sym__expression] = STATE(5802),
    [sym__expression_not_binary] = STATE(5024),
    [sym__string] = STATE(5024),
    [sym_comma_expression] = STATE(9525),
    [sym_conditional_expression] = STATE(5024),
    [sym_assignment_expression] = STATE(5024),
    [sym_pointer_expression] = STATE(4507),
    [sym_unary_expression] = STATE(5024),
    [sym_binary_expression] = STATE(5024),
    [sym_update_expression] = STATE(5024),
    [sym_cast_expression] = STATE(5024),
    [sym_sizeof_expression] = STATE(5024),
    [sym_alignof_expression] = STATE(5024),
    [sym_offsetof_expression] = STATE(5024),
    [sym_generic_expression] = STATE(5024),
    [sym_subscript_expression] = STATE(4507),
    [sym_call_expression] = STATE(4507),
    [sym_gnu_asm_expression] = STATE(5024),
    [sym_field_expression] = STATE(4507),
    [sym_compound_literal_expression] = STATE(5024),
    [sym_parenthesized_expression] = STATE(4507),
    [sym_char_literal] = STATE(5374),
    [sym_concatenated_string] = STATE(5377),
    [sym_string_literal] = STATE(4206),
    [sym_null] = STATE(5024),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9352),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(5024),
    [sym_for_range_loop] = STATE(537),
    [sym_co_return_statement] = STATE(533),
    [sym_co_yield_statement] = STATE(531),
    [sym_throw_statement] = STATE(530),
    [sym_try_statement] = STATE(524),
    [sym_raw_string_literal] = STATE(4217),
    [sym_co_await_expression] = STATE(5024),
    [sym_new_expression] = STATE(5024),
    [sym_delete_expression] = STATE(5024),
    [sym_requires_clause] = STATE(5024),
    [sym_requires_expression] = STATE(5024),
    [sym_lambda_expression] = STATE(5024),
    [sym_lambda_capture_specifier] = STATE(7184),
    [sym_fold_expression] = STATE(5024),
    [sym_parameter_pack_expansion] = STATE(5024),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6886),
    [sym_qualified_identifier] = STATE(4507),
    [sym_qualified_type_identifier] = STATE(9352),
    [sym_user_defined_literal] = STATE(4507),
    [sym_discard_statement] = STATE(520),
    [sym_cbuffer_specifier] = STATE(515),
    [sym_hlsl_attribute] = STATE(9266),
    [aux_sym_attributed_declarator_repeat1] = STATE(1337),
    [sym_identifier] = ACTIONS(3540),
    [anon_sym_LPAREN2] = ACTIONS(1472),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1474),
    [anon_sym_AMP] = ACTIONS(1474),
    [anon_sym_SEMI] = ACTIONS(383),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1482),
    [anon_sym_LBRACE] = ACTIONS(391),
    [anon_sym_LBRACK] = ACTIONS(1484),
    [sym_primitive_type] = ACTIONS(3146),
    [anon_sym_if] = ACTIONS(395),
    [anon_sym_switch] = ACTIONS(397),
    [anon_sym_case] = ACTIONS(399),
    [anon_sym_default] = ACTIONS(401),
    [anon_sym_while] = ACTIONS(403),
    [anon_sym_do] = ACTIONS(405),
    [anon_sym_for] = ACTIONS(407),
    [anon_sym_return] = ACTIONS(409),
    [anon_sym_break] = ACTIONS(411),
    [anon_sym_continue] = ACTIONS(413),
    [anon_sym_goto] = ACTIONS(415),
    [anon_sym___try] = ACTIONS(417),
    [anon_sym___leave] = ACTIONS(419),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_try] = ACTIONS(423),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(425),
    [anon_sym_co_return] = ACTIONS(435),
    [anon_sym_co_yield] = ACTIONS(437),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
    [anon_sym_discard] = ACTIONS(439),
    [anon_sym_cbuffer] = ACTIONS(441),
  },
  [1323] = {
    [sym_attribute_declaration] = STATE(1339),
    [sym_compound_statement] = STATE(675),
    [sym_attributed_statement] = STATE(675),
    [sym_labeled_statement] = STATE(675),
    [sym_expression_statement] = STATE(675),
    [sym_if_statement] = STATE(675),
    [sym_switch_statement] = STATE(675),
    [sym_case_statement] = STATE(675),
    [sym_while_statement] = STATE(675),
    [sym_do_statement] = STATE(675),
    [sym_for_statement] = STATE(675),
    [sym_return_statement] = STATE(675),
    [sym_break_statement] = STATE(675),
    [sym_continue_statement] = STATE(675),
    [sym_goto_statement] = STATE(675),
    [sym_seh_try_statement] = STATE(675),
    [sym_seh_leave_statement] = STATE(675),
    [sym__expression] = STATE(5674),
    [sym__expression_not_binary] = STATE(5024),
    [sym__string] = STATE(5024),
    [sym_comma_expression] = STATE(10272),
    [sym_conditional_expression] = STATE(5024),
    [sym_assignment_expression] = STATE(5024),
    [sym_pointer_expression] = STATE(4507),
    [sym_unary_expression] = STATE(5024),
    [sym_binary_expression] = STATE(5024),
    [sym_update_expression] = STATE(5024),
    [sym_cast_expression] = STATE(5024),
    [sym_sizeof_expression] = STATE(5024),
    [sym_alignof_expression] = STATE(5024),
    [sym_offsetof_expression] = STATE(5024),
    [sym_generic_expression] = STATE(5024),
    [sym_subscript_expression] = STATE(4507),
    [sym_call_expression] = STATE(4507),
    [sym_gnu_asm_expression] = STATE(5024),
    [sym_field_expression] = STATE(4507),
    [sym_compound_literal_expression] = STATE(5024),
    [sym_parenthesized_expression] = STATE(4507),
    [sym_char_literal] = STATE(5374),
    [sym_concatenated_string] = STATE(5377),
    [sym_string_literal] = STATE(4206),
    [sym_null] = STATE(5024),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9352),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(5024),
    [sym_for_range_loop] = STATE(675),
    [sym_co_return_statement] = STATE(675),
    [sym_co_yield_statement] = STATE(675),
    [sym_throw_statement] = STATE(675),
    [sym_try_statement] = STATE(675),
    [sym_raw_string_literal] = STATE(4217),
    [sym_co_await_expression] = STATE(5024),
    [sym_new_expression] = STATE(5024),
    [sym_delete_expression] = STATE(5024),
    [sym_requires_clause] = STATE(5024),
    [sym_requires_expression] = STATE(5024),
    [sym_lambda_expression] = STATE(5024),
    [sym_lambda_capture_specifier] = STATE(7184),
    [sym_fold_expression] = STATE(5024),
    [sym_parameter_pack_expansion] = STATE(5024),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6886),
    [sym_qualified_identifier] = STATE(4507),
    [sym_qualified_type_identifier] = STATE(9352),
    [sym_user_defined_literal] = STATE(4507),
    [sym_discard_statement] = STATE(675),
    [sym_cbuffer_specifier] = STATE(675),
    [sym_hlsl_attribute] = STATE(9351),
    [aux_sym_attributed_declarator_repeat1] = STATE(1339),
    [sym_identifier] = ACTIONS(3376),
    [anon_sym_LPAREN2] = ACTIONS(1472),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1474),
    [anon_sym_AMP] = ACTIONS(1474),
    [anon_sym_SEMI] = ACTIONS(177),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1482),
    [anon_sym_LBRACE] = ACTIONS(830),
    [anon_sym_LBRACK] = ACTIONS(1484),
    [sym_primitive_type] = ACTIONS(3146),
    [anon_sym_if] = ACTIONS(193),
    [anon_sym_switch] = ACTIONS(195),
    [anon_sym_case] = ACTIONS(197),
    [anon_sym_default] = ACTIONS(199),
    [anon_sym_while] = ACTIONS(201),
    [anon_sym_do] = ACTIONS(203),
    [anon_sym_for] = ACTIONS(205),
    [anon_sym_return] = ACTIONS(207),
    [anon_sym_break] = ACTIONS(209),
    [anon_sym_continue] = ACTIONS(211),
    [anon_sym_goto] = ACTIONS(213),
    [anon_sym___try] = ACTIONS(215),
    [anon_sym___leave] = ACTIONS(217),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_try] = ACTIONS(225),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(227),
    [anon_sym_co_return] = ACTIONS(237),
    [anon_sym_co_yield] = ACTIONS(239),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
    [anon_sym_discard] = ACTIONS(241),
    [anon_sym_cbuffer] = ACTIONS(243),
  },
  [1324] = {
    [sym_attribute_declaration] = STATE(1337),
    [sym_compound_statement] = STATE(357),
    [sym_attributed_statement] = STATE(357),
    [sym_labeled_statement] = STATE(357),
    [sym_expression_statement] = STATE(357),
    [sym_if_statement] = STATE(357),
    [sym_switch_statement] = STATE(357),
    [sym_case_statement] = STATE(357),
    [sym_while_statement] = STATE(357),
    [sym_do_statement] = STATE(357),
    [sym_for_statement] = STATE(357),
    [sym_return_statement] = STATE(357),
    [sym_break_statement] = STATE(357),
    [sym_continue_statement] = STATE(357),
    [sym_goto_statement] = STATE(357),
    [sym_seh_try_statement] = STATE(357),
    [sym_seh_leave_statement] = STATE(357),
    [sym__expression] = STATE(5802),
    [sym__expression_not_binary] = STATE(5024),
    [sym__string] = STATE(5024),
    [sym_comma_expression] = STATE(9525),
    [sym_conditional_expression] = STATE(5024),
    [sym_assignment_expression] = STATE(5024),
    [sym_pointer_expression] = STATE(4507),
    [sym_unary_expression] = STATE(5024),
    [sym_binary_expression] = STATE(5024),
    [sym_update_expression] = STATE(5024),
    [sym_cast_expression] = STATE(5024),
    [sym_sizeof_expression] = STATE(5024),
    [sym_alignof_expression] = STATE(5024),
    [sym_offsetof_expression] = STATE(5024),
    [sym_generic_expression] = STATE(5024),
    [sym_subscript_expression] = STATE(4507),
    [sym_call_expression] = STATE(4507),
    [sym_gnu_asm_expression] = STATE(5024),
    [sym_field_expression] = STATE(4507),
    [sym_compound_literal_expression] = STATE(5024),
    [sym_parenthesized_expression] = STATE(4507),
    [sym_char_literal] = STATE(5374),
    [sym_concatenated_string] = STATE(5377),
    [sym_string_literal] = STATE(4206),
    [sym_null] = STATE(5024),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9352),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(5024),
    [sym_for_range_loop] = STATE(357),
    [sym_co_return_statement] = STATE(357),
    [sym_co_yield_statement] = STATE(357),
    [sym_throw_statement] = STATE(357),
    [sym_try_statement] = STATE(357),
    [sym_raw_string_literal] = STATE(4217),
    [sym_co_await_expression] = STATE(5024),
    [sym_new_expression] = STATE(5024),
    [sym_delete_expression] = STATE(5024),
    [sym_requires_clause] = STATE(5024),
    [sym_requires_expression] = STATE(5024),
    [sym_lambda_expression] = STATE(5024),
    [sym_lambda_capture_specifier] = STATE(7184),
    [sym_fold_expression] = STATE(5024),
    [sym_parameter_pack_expansion] = STATE(5024),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6886),
    [sym_qualified_identifier] = STATE(4507),
    [sym_qualified_type_identifier] = STATE(9352),
    [sym_user_defined_literal] = STATE(4507),
    [sym_discard_statement] = STATE(357),
    [sym_cbuffer_specifier] = STATE(357),
    [sym_hlsl_attribute] = STATE(9266),
    [aux_sym_attributed_declarator_repeat1] = STATE(1337),
    [sym_identifier] = ACTIONS(3540),
    [anon_sym_LPAREN2] = ACTIONS(1472),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1474),
    [anon_sym_AMP] = ACTIONS(1474),
    [anon_sym_SEMI] = ACTIONS(383),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1482),
    [anon_sym_LBRACE] = ACTIONS(391),
    [anon_sym_LBRACK] = ACTIONS(1484),
    [sym_primitive_type] = ACTIONS(3146),
    [anon_sym_if] = ACTIONS(395),
    [anon_sym_switch] = ACTIONS(397),
    [anon_sym_case] = ACTIONS(399),
    [anon_sym_default] = ACTIONS(401),
    [anon_sym_while] = ACTIONS(403),
    [anon_sym_do] = ACTIONS(405),
    [anon_sym_for] = ACTIONS(407),
    [anon_sym_return] = ACTIONS(409),
    [anon_sym_break] = ACTIONS(411),
    [anon_sym_continue] = ACTIONS(413),
    [anon_sym_goto] = ACTIONS(415),
    [anon_sym___try] = ACTIONS(417),
    [anon_sym___leave] = ACTIONS(419),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_try] = ACTIONS(423),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(425),
    [anon_sym_co_return] = ACTIONS(435),
    [anon_sym_co_yield] = ACTIONS(437),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
    [anon_sym_discard] = ACTIONS(439),
    [anon_sym_cbuffer] = ACTIONS(441),
  },
  [1325] = {
    [sym_attribute_declaration] = STATE(1337),
    [sym_compound_statement] = STATE(481),
    [sym_attributed_statement] = STATE(482),
    [sym_labeled_statement] = STATE(488),
    [sym_expression_statement] = STATE(495),
    [sym_if_statement] = STATE(497),
    [sym_switch_statement] = STATE(499),
    [sym_case_statement] = STATE(501),
    [sym_while_statement] = STATE(502),
    [sym_do_statement] = STATE(503),
    [sym_for_statement] = STATE(507),
    [sym_return_statement] = STATE(510),
    [sym_break_statement] = STATE(526),
    [sym_continue_statement] = STATE(540),
    [sym_goto_statement] = STATE(565),
    [sym_seh_try_statement] = STATE(570),
    [sym_seh_leave_statement] = STATE(578),
    [sym__expression] = STATE(5802),
    [sym__expression_not_binary] = STATE(5024),
    [sym__string] = STATE(5024),
    [sym_comma_expression] = STATE(9525),
    [sym_conditional_expression] = STATE(5024),
    [sym_assignment_expression] = STATE(5024),
    [sym_pointer_expression] = STATE(4507),
    [sym_unary_expression] = STATE(5024),
    [sym_binary_expression] = STATE(5024),
    [sym_update_expression] = STATE(5024),
    [sym_cast_expression] = STATE(5024),
    [sym_sizeof_expression] = STATE(5024),
    [sym_alignof_expression] = STATE(5024),
    [sym_offsetof_expression] = STATE(5024),
    [sym_generic_expression] = STATE(5024),
    [sym_subscript_expression] = STATE(4507),
    [sym_call_expression] = STATE(4507),
    [sym_gnu_asm_expression] = STATE(5024),
    [sym_field_expression] = STATE(4507),
    [sym_compound_literal_expression] = STATE(5024),
    [sym_parenthesized_expression] = STATE(4507),
    [sym_char_literal] = STATE(5374),
    [sym_concatenated_string] = STATE(5377),
    [sym_string_literal] = STATE(4206),
    [sym_null] = STATE(5024),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9352),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(5024),
    [sym_for_range_loop] = STATE(579),
    [sym_co_return_statement] = STATE(581),
    [sym_co_yield_statement] = STATE(523),
    [sym_throw_statement] = STATE(590),
    [sym_try_statement] = STATE(588),
    [sym_raw_string_literal] = STATE(4217),
    [sym_co_await_expression] = STATE(5024),
    [sym_new_expression] = STATE(5024),
    [sym_delete_expression] = STATE(5024),
    [sym_requires_clause] = STATE(5024),
    [sym_requires_expression] = STATE(5024),
    [sym_lambda_expression] = STATE(5024),
    [sym_lambda_capture_specifier] = STATE(7184),
    [sym_fold_expression] = STATE(5024),
    [sym_parameter_pack_expansion] = STATE(5024),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6886),
    [sym_qualified_identifier] = STATE(4507),
    [sym_qualified_type_identifier] = STATE(9352),
    [sym_user_defined_literal] = STATE(4507),
    [sym_discard_statement] = STATE(586),
    [sym_cbuffer_specifier] = STATE(584),
    [sym_hlsl_attribute] = STATE(9266),
    [aux_sym_attributed_declarator_repeat1] = STATE(1337),
    [sym_identifier] = ACTIONS(3540),
    [anon_sym_LPAREN2] = ACTIONS(1472),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1474),
    [anon_sym_AMP] = ACTIONS(1474),
    [anon_sym_SEMI] = ACTIONS(383),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1482),
    [anon_sym_LBRACE] = ACTIONS(391),
    [anon_sym_LBRACK] = ACTIONS(1484),
    [sym_primitive_type] = ACTIONS(3146),
    [anon_sym_if] = ACTIONS(395),
    [anon_sym_switch] = ACTIONS(397),
    [anon_sym_case] = ACTIONS(399),
    [anon_sym_default] = ACTIONS(401),
    [anon_sym_while] = ACTIONS(403),
    [anon_sym_do] = ACTIONS(405),
    [anon_sym_for] = ACTIONS(407),
    [anon_sym_return] = ACTIONS(409),
    [anon_sym_break] = ACTIONS(411),
    [anon_sym_continue] = ACTIONS(413),
    [anon_sym_goto] = ACTIONS(415),
    [anon_sym___try] = ACTIONS(417),
    [anon_sym___leave] = ACTIONS(419),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_try] = ACTIONS(423),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(425),
    [anon_sym_co_return] = ACTIONS(435),
    [anon_sym_co_yield] = ACTIONS(437),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
    [anon_sym_discard] = ACTIONS(439),
    [anon_sym_cbuffer] = ACTIONS(441),
  },
  [1326] = {
    [sym_attribute_declaration] = STATE(1366),
    [sym_compound_statement] = STATE(10058),
    [sym_attributed_statement] = STATE(10058),
    [sym_labeled_statement] = STATE(10058),
    [sym_expression_statement] = STATE(10058),
    [sym_if_statement] = STATE(10058),
    [sym_switch_statement] = STATE(10058),
    [sym_case_statement] = STATE(10058),
    [sym_while_statement] = STATE(10058),
    [sym_do_statement] = STATE(10058),
    [sym_for_statement] = STATE(10058),
    [sym_return_statement] = STATE(10058),
    [sym_break_statement] = STATE(10058),
    [sym_continue_statement] = STATE(10058),
    [sym_goto_statement] = STATE(10058),
    [sym_seh_try_statement] = STATE(10058),
    [sym_seh_leave_statement] = STATE(10058),
    [sym__expression] = STATE(5674),
    [sym__expression_not_binary] = STATE(5024),
    [sym__string] = STATE(5024),
    [sym_comma_expression] = STATE(10272),
    [sym_conditional_expression] = STATE(5024),
    [sym_assignment_expression] = STATE(5024),
    [sym_pointer_expression] = STATE(4507),
    [sym_unary_expression] = STATE(5024),
    [sym_binary_expression] = STATE(5024),
    [sym_update_expression] = STATE(5024),
    [sym_cast_expression] = STATE(5024),
    [sym_sizeof_expression] = STATE(5024),
    [sym_alignof_expression] = STATE(5024),
    [sym_offsetof_expression] = STATE(5024),
    [sym_generic_expression] = STATE(5024),
    [sym_subscript_expression] = STATE(4507),
    [sym_call_expression] = STATE(4507),
    [sym_gnu_asm_expression] = STATE(5024),
    [sym_field_expression] = STATE(4507),
    [sym_compound_literal_expression] = STATE(5024),
    [sym_parenthesized_expression] = STATE(4507),
    [sym_char_literal] = STATE(5374),
    [sym_concatenated_string] = STATE(5377),
    [sym_string_literal] = STATE(4206),
    [sym_null] = STATE(5024),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9352),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(5024),
    [sym_for_range_loop] = STATE(10058),
    [sym_co_return_statement] = STATE(10058),
    [sym_co_yield_statement] = STATE(10058),
    [sym_throw_statement] = STATE(10058),
    [sym_try_statement] = STATE(10058),
    [sym_raw_string_literal] = STATE(4217),
    [sym_co_await_expression] = STATE(5024),
    [sym_new_expression] = STATE(5024),
    [sym_delete_expression] = STATE(5024),
    [sym_requires_clause] = STATE(5024),
    [sym_requires_expression] = STATE(5024),
    [sym_lambda_expression] = STATE(5024),
    [sym_lambda_capture_specifier] = STATE(7184),
    [sym_fold_expression] = STATE(5024),
    [sym_parameter_pack_expansion] = STATE(5024),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6886),
    [sym_qualified_identifier] = STATE(4507),
    [sym_qualified_type_identifier] = STATE(9352),
    [sym_user_defined_literal] = STATE(4507),
    [sym_discard_statement] = STATE(10058),
    [sym_cbuffer_specifier] = STATE(10058),
    [sym_hlsl_attribute] = STATE(9277),
    [aux_sym_attributed_declarator_repeat1] = STATE(1366),
    [sym_identifier] = ACTIONS(3524),
    [anon_sym_LPAREN2] = ACTIONS(1472),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1474),
    [anon_sym_AMP] = ACTIONS(1474),
    [anon_sym_SEMI] = ACTIONS(177),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1482),
    [anon_sym_LBRACE] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(1484),
    [sym_primitive_type] = ACTIONS(3146),
    [anon_sym_if] = ACTIONS(3526),
    [anon_sym_switch] = ACTIONS(77),
    [anon_sym_case] = ACTIONS(3528),
    [anon_sym_default] = ACTIONS(3530),
    [anon_sym_while] = ACTIONS(3532),
    [anon_sym_do] = ACTIONS(85),
    [anon_sym_for] = ACTIONS(3534),
    [anon_sym_return] = ACTIONS(89),
    [anon_sym_break] = ACTIONS(91),
    [anon_sym_continue] = ACTIONS(93),
    [anon_sym_goto] = ACTIONS(95),
    [anon_sym___try] = ACTIONS(3536),
    [anon_sym___leave] = ACTIONS(217),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_try] = ACTIONS(135),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(139),
    [anon_sym_co_return] = ACTIONS(149),
    [anon_sym_co_yield] = ACTIONS(151),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
    [anon_sym_discard] = ACTIONS(241),
    [anon_sym_cbuffer] = ACTIONS(3538),
  },
  [1327] = {
    [sym_attribute_declaration] = STATE(1367),
    [sym_compound_statement] = STATE(664),
    [sym_attributed_statement] = STATE(664),
    [sym_labeled_statement] = STATE(664),
    [sym_expression_statement] = STATE(664),
    [sym_if_statement] = STATE(664),
    [sym_switch_statement] = STATE(664),
    [sym_case_statement] = STATE(664),
    [sym_while_statement] = STATE(664),
    [sym_do_statement] = STATE(664),
    [sym_for_statement] = STATE(664),
    [sym_return_statement] = STATE(664),
    [sym_break_statement] = STATE(664),
    [sym_continue_statement] = STATE(664),
    [sym_goto_statement] = STATE(664),
    [sym_seh_try_statement] = STATE(664),
    [sym_seh_leave_statement] = STATE(664),
    [sym__expression] = STATE(5768),
    [sym__expression_not_binary] = STATE(5024),
    [sym__string] = STATE(5024),
    [sym_comma_expression] = STATE(9694),
    [sym_conditional_expression] = STATE(5024),
    [sym_assignment_expression] = STATE(5024),
    [sym_pointer_expression] = STATE(4507),
    [sym_unary_expression] = STATE(5024),
    [sym_binary_expression] = STATE(5024),
    [sym_update_expression] = STATE(5024),
    [sym_cast_expression] = STATE(5024),
    [sym_sizeof_expression] = STATE(5024),
    [sym_alignof_expression] = STATE(5024),
    [sym_offsetof_expression] = STATE(5024),
    [sym_generic_expression] = STATE(5024),
    [sym_subscript_expression] = STATE(4507),
    [sym_call_expression] = STATE(4507),
    [sym_gnu_asm_expression] = STATE(5024),
    [sym_field_expression] = STATE(4507),
    [sym_compound_literal_expression] = STATE(5024),
    [sym_parenthesized_expression] = STATE(4507),
    [sym_char_literal] = STATE(5374),
    [sym_concatenated_string] = STATE(5377),
    [sym_string_literal] = STATE(4206),
    [sym_null] = STATE(5024),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9352),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(5024),
    [sym_for_range_loop] = STATE(664),
    [sym_co_return_statement] = STATE(664),
    [sym_co_yield_statement] = STATE(664),
    [sym_throw_statement] = STATE(664),
    [sym_try_statement] = STATE(664),
    [sym_raw_string_literal] = STATE(4217),
    [sym_co_await_expression] = STATE(5024),
    [sym_new_expression] = STATE(5024),
    [sym_delete_expression] = STATE(5024),
    [sym_requires_clause] = STATE(5024),
    [sym_requires_expression] = STATE(5024),
    [sym_lambda_expression] = STATE(5024),
    [sym_lambda_capture_specifier] = STATE(7184),
    [sym_fold_expression] = STATE(5024),
    [sym_parameter_pack_expansion] = STATE(5024),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6886),
    [sym_qualified_identifier] = STATE(4507),
    [sym_qualified_type_identifier] = STATE(9352),
    [sym_user_defined_literal] = STATE(4507),
    [sym_discard_statement] = STATE(664),
    [sym_cbuffer_specifier] = STATE(664),
    [sym_hlsl_attribute] = STATE(9208),
    [aux_sym_attributed_declarator_repeat1] = STATE(1367),
    [sym_identifier] = ACTIONS(3522),
    [anon_sym_LPAREN2] = ACTIONS(1472),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1474),
    [anon_sym_AMP] = ACTIONS(1474),
    [anon_sym_SEMI] = ACTIONS(1128),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1482),
    [anon_sym_LBRACE] = ACTIONS(1136),
    [anon_sym_LBRACK] = ACTIONS(1484),
    [sym_primitive_type] = ACTIONS(3146),
    [anon_sym_if] = ACTIONS(1140),
    [anon_sym_switch] = ACTIONS(1142),
    [anon_sym_case] = ACTIONS(1144),
    [anon_sym_default] = ACTIONS(1146),
    [anon_sym_while] = ACTIONS(1148),
    [anon_sym_do] = ACTIONS(1150),
    [anon_sym_for] = ACTIONS(1152),
    [anon_sym_return] = ACTIONS(1154),
    [anon_sym_break] = ACTIONS(1156),
    [anon_sym_continue] = ACTIONS(1158),
    [anon_sym_goto] = ACTIONS(1160),
    [anon_sym___try] = ACTIONS(1162),
    [anon_sym___leave] = ACTIONS(1164),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_try] = ACTIONS(1168),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(1170),
    [anon_sym_co_return] = ACTIONS(1180),
    [anon_sym_co_yield] = ACTIONS(1182),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
    [anon_sym_discard] = ACTIONS(1184),
    [anon_sym_cbuffer] = ACTIONS(1186),
  },
  [1328] = {
    [sym_attribute_declaration] = STATE(1366),
    [sym_compound_statement] = STATE(898),
    [sym_attributed_statement] = STATE(898),
    [sym_labeled_statement] = STATE(898),
    [sym_expression_statement] = STATE(898),
    [sym_if_statement] = STATE(898),
    [sym_switch_statement] = STATE(898),
    [sym_case_statement] = STATE(898),
    [sym_while_statement] = STATE(898),
    [sym_do_statement] = STATE(898),
    [sym_for_statement] = STATE(898),
    [sym_return_statement] = STATE(898),
    [sym_break_statement] = STATE(898),
    [sym_continue_statement] = STATE(898),
    [sym_goto_statement] = STATE(898),
    [sym_seh_try_statement] = STATE(898),
    [sym_seh_leave_statement] = STATE(898),
    [sym__expression] = STATE(5674),
    [sym__expression_not_binary] = STATE(5024),
    [sym__string] = STATE(5024),
    [sym_comma_expression] = STATE(10272),
    [sym_conditional_expression] = STATE(5024),
    [sym_assignment_expression] = STATE(5024),
    [sym_pointer_expression] = STATE(4507),
    [sym_unary_expression] = STATE(5024),
    [sym_binary_expression] = STATE(5024),
    [sym_update_expression] = STATE(5024),
    [sym_cast_expression] = STATE(5024),
    [sym_sizeof_expression] = STATE(5024),
    [sym_alignof_expression] = STATE(5024),
    [sym_offsetof_expression] = STATE(5024),
    [sym_generic_expression] = STATE(5024),
    [sym_subscript_expression] = STATE(4507),
    [sym_call_expression] = STATE(4507),
    [sym_gnu_asm_expression] = STATE(5024),
    [sym_field_expression] = STATE(4507),
    [sym_compound_literal_expression] = STATE(5024),
    [sym_parenthesized_expression] = STATE(4507),
    [sym_char_literal] = STATE(5374),
    [sym_concatenated_string] = STATE(5377),
    [sym_string_literal] = STATE(4206),
    [sym_null] = STATE(5024),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9352),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(5024),
    [sym_for_range_loop] = STATE(898),
    [sym_co_return_statement] = STATE(898),
    [sym_co_yield_statement] = STATE(898),
    [sym_throw_statement] = STATE(898),
    [sym_try_statement] = STATE(898),
    [sym_raw_string_literal] = STATE(4217),
    [sym_co_await_expression] = STATE(5024),
    [sym_new_expression] = STATE(5024),
    [sym_delete_expression] = STATE(5024),
    [sym_requires_clause] = STATE(5024),
    [sym_requires_expression] = STATE(5024),
    [sym_lambda_expression] = STATE(5024),
    [sym_lambda_capture_specifier] = STATE(7184),
    [sym_fold_expression] = STATE(5024),
    [sym_parameter_pack_expansion] = STATE(5024),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6886),
    [sym_qualified_identifier] = STATE(4507),
    [sym_qualified_type_identifier] = STATE(9352),
    [sym_user_defined_literal] = STATE(4507),
    [sym_discard_statement] = STATE(898),
    [sym_cbuffer_specifier] = STATE(898),
    [sym_hlsl_attribute] = STATE(9277),
    [aux_sym_attributed_declarator_repeat1] = STATE(1366),
    [sym_identifier] = ACTIONS(3524),
    [anon_sym_LPAREN2] = ACTIONS(1472),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1474),
    [anon_sym_AMP] = ACTIONS(1474),
    [anon_sym_SEMI] = ACTIONS(177),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1482),
    [anon_sym_LBRACE] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(1484),
    [sym_primitive_type] = ACTIONS(3146),
    [anon_sym_if] = ACTIONS(3526),
    [anon_sym_switch] = ACTIONS(77),
    [anon_sym_case] = ACTIONS(3528),
    [anon_sym_default] = ACTIONS(3530),
    [anon_sym_while] = ACTIONS(3532),
    [anon_sym_do] = ACTIONS(85),
    [anon_sym_for] = ACTIONS(3534),
    [anon_sym_return] = ACTIONS(89),
    [anon_sym_break] = ACTIONS(91),
    [anon_sym_continue] = ACTIONS(93),
    [anon_sym_goto] = ACTIONS(95),
    [anon_sym___try] = ACTIONS(3536),
    [anon_sym___leave] = ACTIONS(217),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_try] = ACTIONS(135),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(139),
    [anon_sym_co_return] = ACTIONS(149),
    [anon_sym_co_yield] = ACTIONS(151),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
    [anon_sym_discard] = ACTIONS(241),
    [anon_sym_cbuffer] = ACTIONS(3538),
  },
  [1329] = {
    [sym_attribute_declaration] = STATE(1337),
    [sym_compound_statement] = STATE(513),
    [sym_attributed_statement] = STATE(500),
    [sym_labeled_statement] = STATE(496),
    [sym_expression_statement] = STATE(494),
    [sym_if_statement] = STATE(493),
    [sym_switch_statement] = STATE(492),
    [sym_case_statement] = STATE(491),
    [sym_while_statement] = STATE(490),
    [sym_do_statement] = STATE(489),
    [sym_for_statement] = STATE(486),
    [sym_return_statement] = STATE(478),
    [sym_break_statement] = STATE(477),
    [sym_continue_statement] = STATE(475),
    [sym_goto_statement] = STATE(472),
    [sym_seh_try_statement] = STATE(471),
    [sym_seh_leave_statement] = STATE(582),
    [sym__expression] = STATE(5802),
    [sym__expression_not_binary] = STATE(5024),
    [sym__string] = STATE(5024),
    [sym_comma_expression] = STATE(9525),
    [sym_conditional_expression] = STATE(5024),
    [sym_assignment_expression] = STATE(5024),
    [sym_pointer_expression] = STATE(4507),
    [sym_unary_expression] = STATE(5024),
    [sym_binary_expression] = STATE(5024),
    [sym_update_expression] = STATE(5024),
    [sym_cast_expression] = STATE(5024),
    [sym_sizeof_expression] = STATE(5024),
    [sym_alignof_expression] = STATE(5024),
    [sym_offsetof_expression] = STATE(5024),
    [sym_generic_expression] = STATE(5024),
    [sym_subscript_expression] = STATE(4507),
    [sym_call_expression] = STATE(4507),
    [sym_gnu_asm_expression] = STATE(5024),
    [sym_field_expression] = STATE(4507),
    [sym_compound_literal_expression] = STATE(5024),
    [sym_parenthesized_expression] = STATE(4507),
    [sym_char_literal] = STATE(5374),
    [sym_concatenated_string] = STATE(5377),
    [sym_string_literal] = STATE(4206),
    [sym_null] = STATE(5024),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9352),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(5024),
    [sym_for_range_loop] = STATE(527),
    [sym_co_return_statement] = STATE(469),
    [sym_co_yield_statement] = STATE(470),
    [sym_throw_statement] = STATE(473),
    [sym_try_statement] = STATE(476),
    [sym_raw_string_literal] = STATE(4217),
    [sym_co_await_expression] = STATE(5024),
    [sym_new_expression] = STATE(5024),
    [sym_delete_expression] = STATE(5024),
    [sym_requires_clause] = STATE(5024),
    [sym_requires_expression] = STATE(5024),
    [sym_lambda_expression] = STATE(5024),
    [sym_lambda_capture_specifier] = STATE(7184),
    [sym_fold_expression] = STATE(5024),
    [sym_parameter_pack_expansion] = STATE(5024),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6886),
    [sym_qualified_identifier] = STATE(4507),
    [sym_qualified_type_identifier] = STATE(9352),
    [sym_user_defined_literal] = STATE(4507),
    [sym_discard_statement] = STATE(479),
    [sym_cbuffer_specifier] = STATE(480),
    [sym_hlsl_attribute] = STATE(9266),
    [aux_sym_attributed_declarator_repeat1] = STATE(1337),
    [sym_identifier] = ACTIONS(3540),
    [anon_sym_LPAREN2] = ACTIONS(1472),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1474),
    [anon_sym_AMP] = ACTIONS(1474),
    [anon_sym_SEMI] = ACTIONS(383),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1482),
    [anon_sym_LBRACE] = ACTIONS(391),
    [anon_sym_LBRACK] = ACTIONS(1484),
    [sym_primitive_type] = ACTIONS(3146),
    [anon_sym_if] = ACTIONS(395),
    [anon_sym_switch] = ACTIONS(397),
    [anon_sym_case] = ACTIONS(399),
    [anon_sym_default] = ACTIONS(401),
    [anon_sym_while] = ACTIONS(403),
    [anon_sym_do] = ACTIONS(405),
    [anon_sym_for] = ACTIONS(407),
    [anon_sym_return] = ACTIONS(409),
    [anon_sym_break] = ACTIONS(411),
    [anon_sym_continue] = ACTIONS(413),
    [anon_sym_goto] = ACTIONS(415),
    [anon_sym___try] = ACTIONS(417),
    [anon_sym___leave] = ACTIONS(419),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_try] = ACTIONS(423),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(425),
    [anon_sym_co_return] = ACTIONS(435),
    [anon_sym_co_yield] = ACTIONS(437),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
    [anon_sym_discard] = ACTIONS(439),
    [anon_sym_cbuffer] = ACTIONS(441),
  },
  [1330] = {
    [sym_attribute_declaration] = STATE(1366),
    [sym_compound_statement] = STATE(10113),
    [sym_attributed_statement] = STATE(10113),
    [sym_labeled_statement] = STATE(10113),
    [sym_expression_statement] = STATE(10113),
    [sym_if_statement] = STATE(10113),
    [sym_switch_statement] = STATE(10113),
    [sym_case_statement] = STATE(10113),
    [sym_while_statement] = STATE(10113),
    [sym_do_statement] = STATE(10113),
    [sym_for_statement] = STATE(10113),
    [sym_return_statement] = STATE(10113),
    [sym_break_statement] = STATE(10113),
    [sym_continue_statement] = STATE(10113),
    [sym_goto_statement] = STATE(10113),
    [sym_seh_try_statement] = STATE(10113),
    [sym_seh_leave_statement] = STATE(10113),
    [sym__expression] = STATE(5674),
    [sym__expression_not_binary] = STATE(5024),
    [sym__string] = STATE(5024),
    [sym_comma_expression] = STATE(10272),
    [sym_conditional_expression] = STATE(5024),
    [sym_assignment_expression] = STATE(5024),
    [sym_pointer_expression] = STATE(4507),
    [sym_unary_expression] = STATE(5024),
    [sym_binary_expression] = STATE(5024),
    [sym_update_expression] = STATE(5024),
    [sym_cast_expression] = STATE(5024),
    [sym_sizeof_expression] = STATE(5024),
    [sym_alignof_expression] = STATE(5024),
    [sym_offsetof_expression] = STATE(5024),
    [sym_generic_expression] = STATE(5024),
    [sym_subscript_expression] = STATE(4507),
    [sym_call_expression] = STATE(4507),
    [sym_gnu_asm_expression] = STATE(5024),
    [sym_field_expression] = STATE(4507),
    [sym_compound_literal_expression] = STATE(5024),
    [sym_parenthesized_expression] = STATE(4507),
    [sym_char_literal] = STATE(5374),
    [sym_concatenated_string] = STATE(5377),
    [sym_string_literal] = STATE(4206),
    [sym_null] = STATE(5024),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9352),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(5024),
    [sym_for_range_loop] = STATE(10113),
    [sym_co_return_statement] = STATE(10113),
    [sym_co_yield_statement] = STATE(10113),
    [sym_throw_statement] = STATE(10113),
    [sym_try_statement] = STATE(10113),
    [sym_raw_string_literal] = STATE(4217),
    [sym_co_await_expression] = STATE(5024),
    [sym_new_expression] = STATE(5024),
    [sym_delete_expression] = STATE(5024),
    [sym_requires_clause] = STATE(5024),
    [sym_requires_expression] = STATE(5024),
    [sym_lambda_expression] = STATE(5024),
    [sym_lambda_capture_specifier] = STATE(7184),
    [sym_fold_expression] = STATE(5024),
    [sym_parameter_pack_expansion] = STATE(5024),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6886),
    [sym_qualified_identifier] = STATE(4507),
    [sym_qualified_type_identifier] = STATE(9352),
    [sym_user_defined_literal] = STATE(4507),
    [sym_discard_statement] = STATE(10113),
    [sym_cbuffer_specifier] = STATE(10113),
    [sym_hlsl_attribute] = STATE(9277),
    [aux_sym_attributed_declarator_repeat1] = STATE(1366),
    [sym_identifier] = ACTIONS(3524),
    [anon_sym_LPAREN2] = ACTIONS(1472),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1474),
    [anon_sym_AMP] = ACTIONS(1474),
    [anon_sym_SEMI] = ACTIONS(177),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1482),
    [anon_sym_LBRACE] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(1484),
    [sym_primitive_type] = ACTIONS(3146),
    [anon_sym_if] = ACTIONS(3526),
    [anon_sym_switch] = ACTIONS(77),
    [anon_sym_case] = ACTIONS(3528),
    [anon_sym_default] = ACTIONS(3530),
    [anon_sym_while] = ACTIONS(3532),
    [anon_sym_do] = ACTIONS(85),
    [anon_sym_for] = ACTIONS(3534),
    [anon_sym_return] = ACTIONS(89),
    [anon_sym_break] = ACTIONS(91),
    [anon_sym_continue] = ACTIONS(93),
    [anon_sym_goto] = ACTIONS(95),
    [anon_sym___try] = ACTIONS(3536),
    [anon_sym___leave] = ACTIONS(217),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_try] = ACTIONS(135),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(139),
    [anon_sym_co_return] = ACTIONS(149),
    [anon_sym_co_yield] = ACTIONS(151),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
    [anon_sym_discard] = ACTIONS(241),
    [anon_sym_cbuffer] = ACTIONS(3538),
  },
  [1331] = {
    [sym_attribute_declaration] = STATE(1366),
    [sym_compound_statement] = STATE(932),
    [sym_attributed_statement] = STATE(932),
    [sym_labeled_statement] = STATE(932),
    [sym_expression_statement] = STATE(932),
    [sym_if_statement] = STATE(932),
    [sym_switch_statement] = STATE(932),
    [sym_case_statement] = STATE(932),
    [sym_while_statement] = STATE(932),
    [sym_do_statement] = STATE(932),
    [sym_for_statement] = STATE(932),
    [sym_return_statement] = STATE(932),
    [sym_break_statement] = STATE(932),
    [sym_continue_statement] = STATE(932),
    [sym_goto_statement] = STATE(932),
    [sym_seh_try_statement] = STATE(932),
    [sym_seh_leave_statement] = STATE(932),
    [sym__expression] = STATE(5674),
    [sym__expression_not_binary] = STATE(5024),
    [sym__string] = STATE(5024),
    [sym_comma_expression] = STATE(10272),
    [sym_conditional_expression] = STATE(5024),
    [sym_assignment_expression] = STATE(5024),
    [sym_pointer_expression] = STATE(4507),
    [sym_unary_expression] = STATE(5024),
    [sym_binary_expression] = STATE(5024),
    [sym_update_expression] = STATE(5024),
    [sym_cast_expression] = STATE(5024),
    [sym_sizeof_expression] = STATE(5024),
    [sym_alignof_expression] = STATE(5024),
    [sym_offsetof_expression] = STATE(5024),
    [sym_generic_expression] = STATE(5024),
    [sym_subscript_expression] = STATE(4507),
    [sym_call_expression] = STATE(4507),
    [sym_gnu_asm_expression] = STATE(5024),
    [sym_field_expression] = STATE(4507),
    [sym_compound_literal_expression] = STATE(5024),
    [sym_parenthesized_expression] = STATE(4507),
    [sym_char_literal] = STATE(5374),
    [sym_concatenated_string] = STATE(5377),
    [sym_string_literal] = STATE(4206),
    [sym_null] = STATE(5024),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9352),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(5024),
    [sym_for_range_loop] = STATE(932),
    [sym_co_return_statement] = STATE(932),
    [sym_co_yield_statement] = STATE(932),
    [sym_throw_statement] = STATE(932),
    [sym_try_statement] = STATE(932),
    [sym_raw_string_literal] = STATE(4217),
    [sym_co_await_expression] = STATE(5024),
    [sym_new_expression] = STATE(5024),
    [sym_delete_expression] = STATE(5024),
    [sym_requires_clause] = STATE(5024),
    [sym_requires_expression] = STATE(5024),
    [sym_lambda_expression] = STATE(5024),
    [sym_lambda_capture_specifier] = STATE(7184),
    [sym_fold_expression] = STATE(5024),
    [sym_parameter_pack_expansion] = STATE(5024),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6886),
    [sym_qualified_identifier] = STATE(4507),
    [sym_qualified_type_identifier] = STATE(9352),
    [sym_user_defined_literal] = STATE(4507),
    [sym_discard_statement] = STATE(932),
    [sym_cbuffer_specifier] = STATE(932),
    [sym_hlsl_attribute] = STATE(9277),
    [aux_sym_attributed_declarator_repeat1] = STATE(1366),
    [sym_identifier] = ACTIONS(3524),
    [anon_sym_LPAREN2] = ACTIONS(1472),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1474),
    [anon_sym_AMP] = ACTIONS(1474),
    [anon_sym_SEMI] = ACTIONS(177),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1482),
    [anon_sym_LBRACE] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(1484),
    [sym_primitive_type] = ACTIONS(3146),
    [anon_sym_if] = ACTIONS(3526),
    [anon_sym_switch] = ACTIONS(77),
    [anon_sym_case] = ACTIONS(3528),
    [anon_sym_default] = ACTIONS(3530),
    [anon_sym_while] = ACTIONS(3532),
    [anon_sym_do] = ACTIONS(85),
    [anon_sym_for] = ACTIONS(3534),
    [anon_sym_return] = ACTIONS(89),
    [anon_sym_break] = ACTIONS(91),
    [anon_sym_continue] = ACTIONS(93),
    [anon_sym_goto] = ACTIONS(95),
    [anon_sym___try] = ACTIONS(3536),
    [anon_sym___leave] = ACTIONS(217),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_try] = ACTIONS(135),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(139),
    [anon_sym_co_return] = ACTIONS(149),
    [anon_sym_co_yield] = ACTIONS(151),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
    [anon_sym_discard] = ACTIONS(241),
    [anon_sym_cbuffer] = ACTIONS(3538),
  },
  [1332] = {
    [sym_attribute_declaration] = STATE(1334),
    [sym_compound_statement] = STATE(198),
    [sym_attributed_statement] = STATE(198),
    [sym_labeled_statement] = STATE(198),
    [sym_expression_statement] = STATE(198),
    [sym_if_statement] = STATE(198),
    [sym_switch_statement] = STATE(198),
    [sym_case_statement] = STATE(198),
    [sym_while_statement] = STATE(198),
    [sym_do_statement] = STATE(198),
    [sym_for_statement] = STATE(198),
    [sym_return_statement] = STATE(198),
    [sym_break_statement] = STATE(198),
    [sym_continue_statement] = STATE(198),
    [sym_goto_statement] = STATE(198),
    [sym_seh_try_statement] = STATE(198),
    [sym_seh_leave_statement] = STATE(198),
    [sym__expression] = STATE(5650),
    [sym__expression_not_binary] = STATE(5024),
    [sym__string] = STATE(5024),
    [sym_comma_expression] = STATE(10263),
    [sym_conditional_expression] = STATE(5024),
    [sym_assignment_expression] = STATE(5024),
    [sym_pointer_expression] = STATE(4507),
    [sym_unary_expression] = STATE(5024),
    [sym_binary_expression] = STATE(5024),
    [sym_update_expression] = STATE(5024),
    [sym_cast_expression] = STATE(5024),
    [sym_sizeof_expression] = STATE(5024),
    [sym_alignof_expression] = STATE(5024),
    [sym_offsetof_expression] = STATE(5024),
    [sym_generic_expression] = STATE(5024),
    [sym_subscript_expression] = STATE(4507),
    [sym_call_expression] = STATE(4507),
    [sym_gnu_asm_expression] = STATE(5024),
    [sym_field_expression] = STATE(4507),
    [sym_compound_literal_expression] = STATE(5024),
    [sym_parenthesized_expression] = STATE(4507),
    [sym_char_literal] = STATE(5374),
    [sym_concatenated_string] = STATE(5377),
    [sym_string_literal] = STATE(4206),
    [sym_null] = STATE(5024),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9352),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(5024),
    [sym_for_range_loop] = STATE(198),
    [sym_co_return_statement] = STATE(198),
    [sym_co_yield_statement] = STATE(198),
    [sym_throw_statement] = STATE(198),
    [sym_try_statement] = STATE(198),
    [sym_raw_string_literal] = STATE(4217),
    [sym_co_await_expression] = STATE(5024),
    [sym_new_expression] = STATE(5024),
    [sym_delete_expression] = STATE(5024),
    [sym_requires_clause] = STATE(5024),
    [sym_requires_expression] = STATE(5024),
    [sym_lambda_expression] = STATE(5024),
    [sym_lambda_capture_specifier] = STATE(7184),
    [sym_fold_expression] = STATE(5024),
    [sym_parameter_pack_expansion] = STATE(5024),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6886),
    [sym_qualified_identifier] = STATE(4507),
    [sym_qualified_type_identifier] = STATE(9352),
    [sym_user_defined_literal] = STATE(4507),
    [sym_discard_statement] = STATE(198),
    [sym_cbuffer_specifier] = STATE(198),
    [sym_hlsl_attribute] = STATE(9442),
    [aux_sym_attributed_declarator_repeat1] = STATE(1334),
    [sym_identifier] = ACTIONS(3542),
    [anon_sym_LPAREN2] = ACTIONS(1472),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1474),
    [anon_sym_AMP] = ACTIONS(1474),
    [anon_sym_SEMI] = ACTIONS(291),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1482),
    [anon_sym_LBRACE] = ACTIONS(299),
    [anon_sym_LBRACK] = ACTIONS(1484),
    [sym_primitive_type] = ACTIONS(3146),
    [anon_sym_if] = ACTIONS(303),
    [anon_sym_switch] = ACTIONS(305),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_default] = ACTIONS(309),
    [anon_sym_while] = ACTIONS(311),
    [anon_sym_do] = ACTIONS(313),
    [anon_sym_for] = ACTIONS(315),
    [anon_sym_return] = ACTIONS(317),
    [anon_sym_break] = ACTIONS(319),
    [anon_sym_continue] = ACTIONS(321),
    [anon_sym_goto] = ACTIONS(323),
    [anon_sym___try] = ACTIONS(325),
    [anon_sym___leave] = ACTIONS(327),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_try] = ACTIONS(331),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(333),
    [anon_sym_co_return] = ACTIONS(343),
    [anon_sym_co_yield] = ACTIONS(345),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
    [anon_sym_discard] = ACTIONS(347),
    [anon_sym_cbuffer] = ACTIONS(349),
  },
  [1333] = {
    [sym_attribute_declaration] = STATE(1366),
    [sym_compound_statement] = STATE(8963),
    [sym_attributed_statement] = STATE(8963),
    [sym_labeled_statement] = STATE(8963),
    [sym_expression_statement] = STATE(8963),
    [sym_if_statement] = STATE(8963),
    [sym_switch_statement] = STATE(8963),
    [sym_case_statement] = STATE(8963),
    [sym_while_statement] = STATE(8963),
    [sym_do_statement] = STATE(8963),
    [sym_for_statement] = STATE(8963),
    [sym_return_statement] = STATE(8963),
    [sym_break_statement] = STATE(8963),
    [sym_continue_statement] = STATE(8963),
    [sym_goto_statement] = STATE(8963),
    [sym_seh_try_statement] = STATE(8963),
    [sym_seh_leave_statement] = STATE(8963),
    [sym__expression] = STATE(5674),
    [sym__expression_not_binary] = STATE(5024),
    [sym__string] = STATE(5024),
    [sym_comma_expression] = STATE(10272),
    [sym_conditional_expression] = STATE(5024),
    [sym_assignment_expression] = STATE(5024),
    [sym_pointer_expression] = STATE(4507),
    [sym_unary_expression] = STATE(5024),
    [sym_binary_expression] = STATE(5024),
    [sym_update_expression] = STATE(5024),
    [sym_cast_expression] = STATE(5024),
    [sym_sizeof_expression] = STATE(5024),
    [sym_alignof_expression] = STATE(5024),
    [sym_offsetof_expression] = STATE(5024),
    [sym_generic_expression] = STATE(5024),
    [sym_subscript_expression] = STATE(4507),
    [sym_call_expression] = STATE(4507),
    [sym_gnu_asm_expression] = STATE(5024),
    [sym_field_expression] = STATE(4507),
    [sym_compound_literal_expression] = STATE(5024),
    [sym_parenthesized_expression] = STATE(4507),
    [sym_char_literal] = STATE(5374),
    [sym_concatenated_string] = STATE(5377),
    [sym_string_literal] = STATE(4206),
    [sym_null] = STATE(5024),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9352),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(5024),
    [sym_for_range_loop] = STATE(8963),
    [sym_co_return_statement] = STATE(8963),
    [sym_co_yield_statement] = STATE(8963),
    [sym_throw_statement] = STATE(8963),
    [sym_try_statement] = STATE(8963),
    [sym_raw_string_literal] = STATE(4217),
    [sym_co_await_expression] = STATE(5024),
    [sym_new_expression] = STATE(5024),
    [sym_delete_expression] = STATE(5024),
    [sym_requires_clause] = STATE(5024),
    [sym_requires_expression] = STATE(5024),
    [sym_lambda_expression] = STATE(5024),
    [sym_lambda_capture_specifier] = STATE(7184),
    [sym_fold_expression] = STATE(5024),
    [sym_parameter_pack_expansion] = STATE(5024),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6886),
    [sym_qualified_identifier] = STATE(4507),
    [sym_qualified_type_identifier] = STATE(9352),
    [sym_user_defined_literal] = STATE(4507),
    [sym_discard_statement] = STATE(8963),
    [sym_cbuffer_specifier] = STATE(8963),
    [sym_hlsl_attribute] = STATE(9277),
    [aux_sym_attributed_declarator_repeat1] = STATE(1366),
    [sym_identifier] = ACTIONS(3524),
    [anon_sym_LPAREN2] = ACTIONS(1472),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1474),
    [anon_sym_AMP] = ACTIONS(1474),
    [anon_sym_SEMI] = ACTIONS(177),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1482),
    [anon_sym_LBRACE] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(1484),
    [sym_primitive_type] = ACTIONS(3146),
    [anon_sym_if] = ACTIONS(3526),
    [anon_sym_switch] = ACTIONS(77),
    [anon_sym_case] = ACTIONS(3528),
    [anon_sym_default] = ACTIONS(3530),
    [anon_sym_while] = ACTIONS(3532),
    [anon_sym_do] = ACTIONS(85),
    [anon_sym_for] = ACTIONS(3534),
    [anon_sym_return] = ACTIONS(89),
    [anon_sym_break] = ACTIONS(91),
    [anon_sym_continue] = ACTIONS(93),
    [anon_sym_goto] = ACTIONS(95),
    [anon_sym___try] = ACTIONS(3536),
    [anon_sym___leave] = ACTIONS(217),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_try] = ACTIONS(135),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(139),
    [anon_sym_co_return] = ACTIONS(149),
    [anon_sym_co_yield] = ACTIONS(151),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
    [anon_sym_discard] = ACTIONS(241),
    [anon_sym_cbuffer] = ACTIONS(3538),
  },
  [1334] = {
    [sym_attribute_declaration] = STATE(1375),
    [sym_compound_statement] = STATE(235),
    [sym_attributed_statement] = STATE(235),
    [sym_labeled_statement] = STATE(235),
    [sym_expression_statement] = STATE(235),
    [sym_if_statement] = STATE(235),
    [sym_switch_statement] = STATE(235),
    [sym_case_statement] = STATE(235),
    [sym_while_statement] = STATE(235),
    [sym_do_statement] = STATE(235),
    [sym_for_statement] = STATE(235),
    [sym_return_statement] = STATE(235),
    [sym_break_statement] = STATE(235),
    [sym_continue_statement] = STATE(235),
    [sym_goto_statement] = STATE(235),
    [sym_seh_try_statement] = STATE(235),
    [sym_seh_leave_statement] = STATE(235),
    [sym__expression] = STATE(5650),
    [sym__expression_not_binary] = STATE(5024),
    [sym__string] = STATE(5024),
    [sym_comma_expression] = STATE(10263),
    [sym_conditional_expression] = STATE(5024),
    [sym_assignment_expression] = STATE(5024),
    [sym_pointer_expression] = STATE(4507),
    [sym_unary_expression] = STATE(5024),
    [sym_binary_expression] = STATE(5024),
    [sym_update_expression] = STATE(5024),
    [sym_cast_expression] = STATE(5024),
    [sym_sizeof_expression] = STATE(5024),
    [sym_alignof_expression] = STATE(5024),
    [sym_offsetof_expression] = STATE(5024),
    [sym_generic_expression] = STATE(5024),
    [sym_subscript_expression] = STATE(4507),
    [sym_call_expression] = STATE(4507),
    [sym_gnu_asm_expression] = STATE(5024),
    [sym_field_expression] = STATE(4507),
    [sym_compound_literal_expression] = STATE(5024),
    [sym_parenthesized_expression] = STATE(4507),
    [sym_char_literal] = STATE(5374),
    [sym_concatenated_string] = STATE(5377),
    [sym_string_literal] = STATE(4206),
    [sym_null] = STATE(5024),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9352),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(5024),
    [sym_for_range_loop] = STATE(235),
    [sym_co_return_statement] = STATE(235),
    [sym_co_yield_statement] = STATE(235),
    [sym_throw_statement] = STATE(235),
    [sym_try_statement] = STATE(235),
    [sym_raw_string_literal] = STATE(4217),
    [sym_co_await_expression] = STATE(5024),
    [sym_new_expression] = STATE(5024),
    [sym_delete_expression] = STATE(5024),
    [sym_requires_clause] = STATE(5024),
    [sym_requires_expression] = STATE(5024),
    [sym_lambda_expression] = STATE(5024),
    [sym_lambda_capture_specifier] = STATE(7184),
    [sym_fold_expression] = STATE(5024),
    [sym_parameter_pack_expansion] = STATE(5024),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6886),
    [sym_qualified_identifier] = STATE(4507),
    [sym_qualified_type_identifier] = STATE(9352),
    [sym_user_defined_literal] = STATE(4507),
    [sym_discard_statement] = STATE(235),
    [sym_cbuffer_specifier] = STATE(235),
    [sym_hlsl_attribute] = STATE(9442),
    [aux_sym_attributed_declarator_repeat1] = STATE(1375),
    [sym_identifier] = ACTIONS(3542),
    [anon_sym_LPAREN2] = ACTIONS(1472),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1474),
    [anon_sym_AMP] = ACTIONS(1474),
    [anon_sym_SEMI] = ACTIONS(291),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1482),
    [anon_sym_LBRACE] = ACTIONS(299),
    [anon_sym_LBRACK] = ACTIONS(1484),
    [sym_primitive_type] = ACTIONS(3146),
    [anon_sym_if] = ACTIONS(303),
    [anon_sym_switch] = ACTIONS(305),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_default] = ACTIONS(309),
    [anon_sym_while] = ACTIONS(311),
    [anon_sym_do] = ACTIONS(313),
    [anon_sym_for] = ACTIONS(315),
    [anon_sym_return] = ACTIONS(317),
    [anon_sym_break] = ACTIONS(319),
    [anon_sym_continue] = ACTIONS(321),
    [anon_sym_goto] = ACTIONS(323),
    [anon_sym___try] = ACTIONS(325),
    [anon_sym___leave] = ACTIONS(327),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_try] = ACTIONS(331),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(333),
    [anon_sym_co_return] = ACTIONS(343),
    [anon_sym_co_yield] = ACTIONS(345),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
    [anon_sym_discard] = ACTIONS(347),
    [anon_sym_cbuffer] = ACTIONS(349),
  },
  [1335] = {
    [sym_attribute_declaration] = STATE(1367),
    [sym_compound_statement] = STATE(791),
    [sym_attributed_statement] = STATE(782),
    [sym_labeled_statement] = STATE(780),
    [sym_expression_statement] = STATE(778),
    [sym_if_statement] = STATE(772),
    [sym_switch_statement] = STATE(769),
    [sym_case_statement] = STATE(761),
    [sym_while_statement] = STATE(760),
    [sym_do_statement] = STATE(758),
    [sym_for_statement] = STATE(753),
    [sym_return_statement] = STATE(751),
    [sym_break_statement] = STATE(749),
    [sym_continue_statement] = STATE(735),
    [sym_goto_statement] = STATE(734),
    [sym_seh_try_statement] = STATE(733),
    [sym_seh_leave_statement] = STATE(732),
    [sym__expression] = STATE(5768),
    [sym__expression_not_binary] = STATE(5024),
    [sym__string] = STATE(5024),
    [sym_comma_expression] = STATE(9694),
    [sym_conditional_expression] = STATE(5024),
    [sym_assignment_expression] = STATE(5024),
    [sym_pointer_expression] = STATE(4507),
    [sym_unary_expression] = STATE(5024),
    [sym_binary_expression] = STATE(5024),
    [sym_update_expression] = STATE(5024),
    [sym_cast_expression] = STATE(5024),
    [sym_sizeof_expression] = STATE(5024),
    [sym_alignof_expression] = STATE(5024),
    [sym_offsetof_expression] = STATE(5024),
    [sym_generic_expression] = STATE(5024),
    [sym_subscript_expression] = STATE(4507),
    [sym_call_expression] = STATE(4507),
    [sym_gnu_asm_expression] = STATE(5024),
    [sym_field_expression] = STATE(4507),
    [sym_compound_literal_expression] = STATE(5024),
    [sym_parenthesized_expression] = STATE(4507),
    [sym_char_literal] = STATE(5374),
    [sym_concatenated_string] = STATE(5377),
    [sym_string_literal] = STATE(4206),
    [sym_null] = STATE(5024),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9352),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(5024),
    [sym_for_range_loop] = STATE(726),
    [sym_co_return_statement] = STATE(725),
    [sym_co_yield_statement] = STATE(724),
    [sym_throw_statement] = STATE(800),
    [sym_try_statement] = STATE(721),
    [sym_raw_string_literal] = STATE(4217),
    [sym_co_await_expression] = STATE(5024),
    [sym_new_expression] = STATE(5024),
    [sym_delete_expression] = STATE(5024),
    [sym_requires_clause] = STATE(5024),
    [sym_requires_expression] = STATE(5024),
    [sym_lambda_expression] = STATE(5024),
    [sym_lambda_capture_specifier] = STATE(7184),
    [sym_fold_expression] = STATE(5024),
    [sym_parameter_pack_expansion] = STATE(5024),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6886),
    [sym_qualified_identifier] = STATE(4507),
    [sym_qualified_type_identifier] = STATE(9352),
    [sym_user_defined_literal] = STATE(4507),
    [sym_discard_statement] = STATE(717),
    [sym_cbuffer_specifier] = STATE(716),
    [sym_hlsl_attribute] = STATE(9208),
    [aux_sym_attributed_declarator_repeat1] = STATE(1367),
    [sym_identifier] = ACTIONS(3522),
    [anon_sym_LPAREN2] = ACTIONS(1472),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1474),
    [anon_sym_AMP] = ACTIONS(1474),
    [anon_sym_SEMI] = ACTIONS(1128),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1482),
    [anon_sym_LBRACE] = ACTIONS(1136),
    [anon_sym_LBRACK] = ACTIONS(1484),
    [sym_primitive_type] = ACTIONS(3146),
    [anon_sym_if] = ACTIONS(1140),
    [anon_sym_switch] = ACTIONS(1142),
    [anon_sym_case] = ACTIONS(1144),
    [anon_sym_default] = ACTIONS(1146),
    [anon_sym_while] = ACTIONS(1148),
    [anon_sym_do] = ACTIONS(1150),
    [anon_sym_for] = ACTIONS(1152),
    [anon_sym_return] = ACTIONS(1154),
    [anon_sym_break] = ACTIONS(1156),
    [anon_sym_continue] = ACTIONS(1158),
    [anon_sym_goto] = ACTIONS(1160),
    [anon_sym___try] = ACTIONS(1162),
    [anon_sym___leave] = ACTIONS(1164),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_try] = ACTIONS(1168),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(1170),
    [anon_sym_co_return] = ACTIONS(1180),
    [anon_sym_co_yield] = ACTIONS(1182),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
    [anon_sym_discard] = ACTIONS(1184),
    [anon_sym_cbuffer] = ACTIONS(1186),
  },
  [1336] = {
    [sym_attribute_declaration] = STATE(1334),
    [sym_compound_statement] = STATE(290),
    [sym_attributed_statement] = STATE(291),
    [sym_labeled_statement] = STATE(292),
    [sym_expression_statement] = STATE(295),
    [sym_if_statement] = STATE(296),
    [sym_switch_statement] = STATE(298),
    [sym_case_statement] = STATE(328),
    [sym_while_statement] = STATE(299),
    [sym_do_statement] = STATE(301),
    [sym_for_statement] = STATE(302),
    [sym_return_statement] = STATE(303),
    [sym_break_statement] = STATE(304),
    [sym_continue_statement] = STATE(306),
    [sym_goto_statement] = STATE(307),
    [sym_seh_try_statement] = STATE(308),
    [sym_seh_leave_statement] = STATE(310),
    [sym__expression] = STATE(5650),
    [sym__expression_not_binary] = STATE(5024),
    [sym__string] = STATE(5024),
    [sym_comma_expression] = STATE(10263),
    [sym_conditional_expression] = STATE(5024),
    [sym_assignment_expression] = STATE(5024),
    [sym_pointer_expression] = STATE(4507),
    [sym_unary_expression] = STATE(5024),
    [sym_binary_expression] = STATE(5024),
    [sym_update_expression] = STATE(5024),
    [sym_cast_expression] = STATE(5024),
    [sym_sizeof_expression] = STATE(5024),
    [sym_alignof_expression] = STATE(5024),
    [sym_offsetof_expression] = STATE(5024),
    [sym_generic_expression] = STATE(5024),
    [sym_subscript_expression] = STATE(4507),
    [sym_call_expression] = STATE(4507),
    [sym_gnu_asm_expression] = STATE(5024),
    [sym_field_expression] = STATE(4507),
    [sym_compound_literal_expression] = STATE(5024),
    [sym_parenthesized_expression] = STATE(4507),
    [sym_char_literal] = STATE(5374),
    [sym_concatenated_string] = STATE(5377),
    [sym_string_literal] = STATE(4206),
    [sym_null] = STATE(5024),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9352),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(5024),
    [sym_for_range_loop] = STATE(315),
    [sym_co_return_statement] = STATE(317),
    [sym_co_yield_statement] = STATE(320),
    [sym_throw_statement] = STATE(321),
    [sym_try_statement] = STATE(323),
    [sym_raw_string_literal] = STATE(4217),
    [sym_co_await_expression] = STATE(5024),
    [sym_new_expression] = STATE(5024),
    [sym_delete_expression] = STATE(5024),
    [sym_requires_clause] = STATE(5024),
    [sym_requires_expression] = STATE(5024),
    [sym_lambda_expression] = STATE(5024),
    [sym_lambda_capture_specifier] = STATE(7184),
    [sym_fold_expression] = STATE(5024),
    [sym_parameter_pack_expansion] = STATE(5024),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6886),
    [sym_qualified_identifier] = STATE(4507),
    [sym_qualified_type_identifier] = STATE(9352),
    [sym_user_defined_literal] = STATE(4507),
    [sym_discard_statement] = STATE(324),
    [sym_cbuffer_specifier] = STATE(325),
    [sym_hlsl_attribute] = STATE(9442),
    [aux_sym_attributed_declarator_repeat1] = STATE(1334),
    [sym_identifier] = ACTIONS(3542),
    [anon_sym_LPAREN2] = ACTIONS(1472),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1474),
    [anon_sym_AMP] = ACTIONS(1474),
    [anon_sym_SEMI] = ACTIONS(291),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1482),
    [anon_sym_LBRACE] = ACTIONS(299),
    [anon_sym_LBRACK] = ACTIONS(1484),
    [sym_primitive_type] = ACTIONS(3146),
    [anon_sym_if] = ACTIONS(303),
    [anon_sym_switch] = ACTIONS(305),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_default] = ACTIONS(309),
    [anon_sym_while] = ACTIONS(311),
    [anon_sym_do] = ACTIONS(313),
    [anon_sym_for] = ACTIONS(315),
    [anon_sym_return] = ACTIONS(317),
    [anon_sym_break] = ACTIONS(319),
    [anon_sym_continue] = ACTIONS(321),
    [anon_sym_goto] = ACTIONS(323),
    [anon_sym___try] = ACTIONS(325),
    [anon_sym___leave] = ACTIONS(327),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_try] = ACTIONS(331),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(333),
    [anon_sym_co_return] = ACTIONS(343),
    [anon_sym_co_yield] = ACTIONS(345),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
    [anon_sym_discard] = ACTIONS(347),
    [anon_sym_cbuffer] = ACTIONS(349),
  },
  [1337] = {
    [sym_attribute_declaration] = STATE(1357),
    [sym_compound_statement] = STATE(541),
    [sym_attributed_statement] = STATE(541),
    [sym_labeled_statement] = STATE(541),
    [sym_expression_statement] = STATE(541),
    [sym_if_statement] = STATE(541),
    [sym_switch_statement] = STATE(541),
    [sym_case_statement] = STATE(541),
    [sym_while_statement] = STATE(541),
    [sym_do_statement] = STATE(541),
    [sym_for_statement] = STATE(541),
    [sym_return_statement] = STATE(541),
    [sym_break_statement] = STATE(541),
    [sym_continue_statement] = STATE(541),
    [sym_goto_statement] = STATE(541),
    [sym_seh_try_statement] = STATE(541),
    [sym_seh_leave_statement] = STATE(541),
    [sym__expression] = STATE(5802),
    [sym__expression_not_binary] = STATE(5024),
    [sym__string] = STATE(5024),
    [sym_comma_expression] = STATE(9525),
    [sym_conditional_expression] = STATE(5024),
    [sym_assignment_expression] = STATE(5024),
    [sym_pointer_expression] = STATE(4507),
    [sym_unary_expression] = STATE(5024),
    [sym_binary_expression] = STATE(5024),
    [sym_update_expression] = STATE(5024),
    [sym_cast_expression] = STATE(5024),
    [sym_sizeof_expression] = STATE(5024),
    [sym_alignof_expression] = STATE(5024),
    [sym_offsetof_expression] = STATE(5024),
    [sym_generic_expression] = STATE(5024),
    [sym_subscript_expression] = STATE(4507),
    [sym_call_expression] = STATE(4507),
    [sym_gnu_asm_expression] = STATE(5024),
    [sym_field_expression] = STATE(4507),
    [sym_compound_literal_expression] = STATE(5024),
    [sym_parenthesized_expression] = STATE(4507),
    [sym_char_literal] = STATE(5374),
    [sym_concatenated_string] = STATE(5377),
    [sym_string_literal] = STATE(4206),
    [sym_null] = STATE(5024),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9352),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(5024),
    [sym_for_range_loop] = STATE(541),
    [sym_co_return_statement] = STATE(541),
    [sym_co_yield_statement] = STATE(541),
    [sym_throw_statement] = STATE(541),
    [sym_try_statement] = STATE(541),
    [sym_raw_string_literal] = STATE(4217),
    [sym_co_await_expression] = STATE(5024),
    [sym_new_expression] = STATE(5024),
    [sym_delete_expression] = STATE(5024),
    [sym_requires_clause] = STATE(5024),
    [sym_requires_expression] = STATE(5024),
    [sym_lambda_expression] = STATE(5024),
    [sym_lambda_capture_specifier] = STATE(7184),
    [sym_fold_expression] = STATE(5024),
    [sym_parameter_pack_expansion] = STATE(5024),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6886),
    [sym_qualified_identifier] = STATE(4507),
    [sym_qualified_type_identifier] = STATE(9352),
    [sym_user_defined_literal] = STATE(4507),
    [sym_discard_statement] = STATE(541),
    [sym_cbuffer_specifier] = STATE(541),
    [sym_hlsl_attribute] = STATE(9266),
    [aux_sym_attributed_declarator_repeat1] = STATE(1357),
    [sym_identifier] = ACTIONS(3540),
    [anon_sym_LPAREN2] = ACTIONS(1472),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1474),
    [anon_sym_AMP] = ACTIONS(1474),
    [anon_sym_SEMI] = ACTIONS(383),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1482),
    [anon_sym_LBRACE] = ACTIONS(391),
    [anon_sym_LBRACK] = ACTIONS(1484),
    [sym_primitive_type] = ACTIONS(3146),
    [anon_sym_if] = ACTIONS(395),
    [anon_sym_switch] = ACTIONS(397),
    [anon_sym_case] = ACTIONS(399),
    [anon_sym_default] = ACTIONS(401),
    [anon_sym_while] = ACTIONS(403),
    [anon_sym_do] = ACTIONS(405),
    [anon_sym_for] = ACTIONS(407),
    [anon_sym_return] = ACTIONS(409),
    [anon_sym_break] = ACTIONS(411),
    [anon_sym_continue] = ACTIONS(413),
    [anon_sym_goto] = ACTIONS(415),
    [anon_sym___try] = ACTIONS(417),
    [anon_sym___leave] = ACTIONS(419),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_try] = ACTIONS(423),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(425),
    [anon_sym_co_return] = ACTIONS(435),
    [anon_sym_co_yield] = ACTIONS(437),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
    [anon_sym_discard] = ACTIONS(439),
    [anon_sym_cbuffer] = ACTIONS(441),
  },
  [1338] = {
    [sym_attribute_declaration] = STATE(1337),
    [sym_compound_statement] = STATE(376),
    [sym_attributed_statement] = STATE(376),
    [sym_labeled_statement] = STATE(376),
    [sym_expression_statement] = STATE(376),
    [sym_if_statement] = STATE(376),
    [sym_switch_statement] = STATE(376),
    [sym_case_statement] = STATE(376),
    [sym_while_statement] = STATE(376),
    [sym_do_statement] = STATE(376),
    [sym_for_statement] = STATE(376),
    [sym_return_statement] = STATE(376),
    [sym_break_statement] = STATE(376),
    [sym_continue_statement] = STATE(376),
    [sym_goto_statement] = STATE(376),
    [sym_seh_try_statement] = STATE(376),
    [sym_seh_leave_statement] = STATE(376),
    [sym__expression] = STATE(5802),
    [sym__expression_not_binary] = STATE(5024),
    [sym__string] = STATE(5024),
    [sym_comma_expression] = STATE(9525),
    [sym_conditional_expression] = STATE(5024),
    [sym_assignment_expression] = STATE(5024),
    [sym_pointer_expression] = STATE(4507),
    [sym_unary_expression] = STATE(5024),
    [sym_binary_expression] = STATE(5024),
    [sym_update_expression] = STATE(5024),
    [sym_cast_expression] = STATE(5024),
    [sym_sizeof_expression] = STATE(5024),
    [sym_alignof_expression] = STATE(5024),
    [sym_offsetof_expression] = STATE(5024),
    [sym_generic_expression] = STATE(5024),
    [sym_subscript_expression] = STATE(4507),
    [sym_call_expression] = STATE(4507),
    [sym_gnu_asm_expression] = STATE(5024),
    [sym_field_expression] = STATE(4507),
    [sym_compound_literal_expression] = STATE(5024),
    [sym_parenthesized_expression] = STATE(4507),
    [sym_char_literal] = STATE(5374),
    [sym_concatenated_string] = STATE(5377),
    [sym_string_literal] = STATE(4206),
    [sym_null] = STATE(5024),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9352),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(5024),
    [sym_for_range_loop] = STATE(376),
    [sym_co_return_statement] = STATE(376),
    [sym_co_yield_statement] = STATE(376),
    [sym_throw_statement] = STATE(376),
    [sym_try_statement] = STATE(376),
    [sym_raw_string_literal] = STATE(4217),
    [sym_co_await_expression] = STATE(5024),
    [sym_new_expression] = STATE(5024),
    [sym_delete_expression] = STATE(5024),
    [sym_requires_clause] = STATE(5024),
    [sym_requires_expression] = STATE(5024),
    [sym_lambda_expression] = STATE(5024),
    [sym_lambda_capture_specifier] = STATE(7184),
    [sym_fold_expression] = STATE(5024),
    [sym_parameter_pack_expansion] = STATE(5024),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6886),
    [sym_qualified_identifier] = STATE(4507),
    [sym_qualified_type_identifier] = STATE(9352),
    [sym_user_defined_literal] = STATE(4507),
    [sym_discard_statement] = STATE(376),
    [sym_cbuffer_specifier] = STATE(376),
    [sym_hlsl_attribute] = STATE(9266),
    [aux_sym_attributed_declarator_repeat1] = STATE(1337),
    [sym_identifier] = ACTIONS(3540),
    [anon_sym_LPAREN2] = ACTIONS(1472),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1474),
    [anon_sym_AMP] = ACTIONS(1474),
    [anon_sym_SEMI] = ACTIONS(383),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1482),
    [anon_sym_LBRACE] = ACTIONS(391),
    [anon_sym_LBRACK] = ACTIONS(1484),
    [sym_primitive_type] = ACTIONS(3146),
    [anon_sym_if] = ACTIONS(395),
    [anon_sym_switch] = ACTIONS(397),
    [anon_sym_case] = ACTIONS(399),
    [anon_sym_default] = ACTIONS(401),
    [anon_sym_while] = ACTIONS(403),
    [anon_sym_do] = ACTIONS(405),
    [anon_sym_for] = ACTIONS(407),
    [anon_sym_return] = ACTIONS(409),
    [anon_sym_break] = ACTIONS(411),
    [anon_sym_continue] = ACTIONS(413),
    [anon_sym_goto] = ACTIONS(415),
    [anon_sym___try] = ACTIONS(417),
    [anon_sym___leave] = ACTIONS(419),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_try] = ACTIONS(423),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(425),
    [anon_sym_co_return] = ACTIONS(435),
    [anon_sym_co_yield] = ACTIONS(437),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
    [anon_sym_discard] = ACTIONS(439),
    [anon_sym_cbuffer] = ACTIONS(441),
  },
  [1339] = {
    [sym_attribute_declaration] = STATE(1362),
    [sym_compound_statement] = STATE(1021),
    [sym_attributed_statement] = STATE(1021),
    [sym_labeled_statement] = STATE(1021),
    [sym_expression_statement] = STATE(1021),
    [sym_if_statement] = STATE(1021),
    [sym_switch_statement] = STATE(1021),
    [sym_case_statement] = STATE(1021),
    [sym_while_statement] = STATE(1021),
    [sym_do_statement] = STATE(1021),
    [sym_for_statement] = STATE(1021),
    [sym_return_statement] = STATE(1021),
    [sym_break_statement] = STATE(1021),
    [sym_continue_statement] = STATE(1021),
    [sym_goto_statement] = STATE(1021),
    [sym_seh_try_statement] = STATE(1021),
    [sym_seh_leave_statement] = STATE(1021),
    [sym__expression] = STATE(5674),
    [sym__expression_not_binary] = STATE(5024),
    [sym__string] = STATE(5024),
    [sym_comma_expression] = STATE(10272),
    [sym_conditional_expression] = STATE(5024),
    [sym_assignment_expression] = STATE(5024),
    [sym_pointer_expression] = STATE(4507),
    [sym_unary_expression] = STATE(5024),
    [sym_binary_expression] = STATE(5024),
    [sym_update_expression] = STATE(5024),
    [sym_cast_expression] = STATE(5024),
    [sym_sizeof_expression] = STATE(5024),
    [sym_alignof_expression] = STATE(5024),
    [sym_offsetof_expression] = STATE(5024),
    [sym_generic_expression] = STATE(5024),
    [sym_subscript_expression] = STATE(4507),
    [sym_call_expression] = STATE(4507),
    [sym_gnu_asm_expression] = STATE(5024),
    [sym_field_expression] = STATE(4507),
    [sym_compound_literal_expression] = STATE(5024),
    [sym_parenthesized_expression] = STATE(4507),
    [sym_char_literal] = STATE(5374),
    [sym_concatenated_string] = STATE(5377),
    [sym_string_literal] = STATE(4206),
    [sym_null] = STATE(5024),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9352),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(5024),
    [sym_for_range_loop] = STATE(1021),
    [sym_co_return_statement] = STATE(1021),
    [sym_co_yield_statement] = STATE(1021),
    [sym_throw_statement] = STATE(1021),
    [sym_try_statement] = STATE(1021),
    [sym_raw_string_literal] = STATE(4217),
    [sym_co_await_expression] = STATE(5024),
    [sym_new_expression] = STATE(5024),
    [sym_delete_expression] = STATE(5024),
    [sym_requires_clause] = STATE(5024),
    [sym_requires_expression] = STATE(5024),
    [sym_lambda_expression] = STATE(5024),
    [sym_lambda_capture_specifier] = STATE(7184),
    [sym_fold_expression] = STATE(5024),
    [sym_parameter_pack_expansion] = STATE(5024),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6886),
    [sym_qualified_identifier] = STATE(4507),
    [sym_qualified_type_identifier] = STATE(9352),
    [sym_user_defined_literal] = STATE(4507),
    [sym_discard_statement] = STATE(1021),
    [sym_cbuffer_specifier] = STATE(1021),
    [sym_hlsl_attribute] = STATE(9351),
    [aux_sym_attributed_declarator_repeat1] = STATE(1362),
    [sym_identifier] = ACTIONS(3376),
    [anon_sym_LPAREN2] = ACTIONS(1472),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1474),
    [anon_sym_AMP] = ACTIONS(1474),
    [anon_sym_SEMI] = ACTIONS(177),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1482),
    [anon_sym_LBRACE] = ACTIONS(830),
    [anon_sym_LBRACK] = ACTIONS(1484),
    [sym_primitive_type] = ACTIONS(3146),
    [anon_sym_if] = ACTIONS(193),
    [anon_sym_switch] = ACTIONS(195),
    [anon_sym_case] = ACTIONS(197),
    [anon_sym_default] = ACTIONS(199),
    [anon_sym_while] = ACTIONS(201),
    [anon_sym_do] = ACTIONS(203),
    [anon_sym_for] = ACTIONS(205),
    [anon_sym_return] = ACTIONS(207),
    [anon_sym_break] = ACTIONS(209),
    [anon_sym_continue] = ACTIONS(211),
    [anon_sym_goto] = ACTIONS(213),
    [anon_sym___try] = ACTIONS(215),
    [anon_sym___leave] = ACTIONS(217),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_try] = ACTIONS(225),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(227),
    [anon_sym_co_return] = ACTIONS(237),
    [anon_sym_co_yield] = ACTIONS(239),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
    [anon_sym_discard] = ACTIONS(241),
    [anon_sym_cbuffer] = ACTIONS(243),
  },
  [1340] = {
    [sym_attribute_declaration] = STATE(1370),
    [sym_compound_statement] = STATE(1630),
    [sym_attributed_statement] = STATE(1630),
    [sym_labeled_statement] = STATE(1630),
    [sym_expression_statement] = STATE(1630),
    [sym_if_statement] = STATE(1630),
    [sym_switch_statement] = STATE(1630),
    [sym_case_statement] = STATE(1630),
    [sym_while_statement] = STATE(1630),
    [sym_do_statement] = STATE(1630),
    [sym_for_statement] = STATE(1630),
    [sym_return_statement] = STATE(1630),
    [sym_break_statement] = STATE(1630),
    [sym_continue_statement] = STATE(1630),
    [sym_goto_statement] = STATE(1630),
    [sym_seh_try_statement] = STATE(1630),
    [sym_seh_leave_statement] = STATE(1630),
    [sym__expression] = STATE(5719),
    [sym__expression_not_binary] = STATE(5024),
    [sym__string] = STATE(5024),
    [sym_comma_expression] = STATE(9810),
    [sym_conditional_expression] = STATE(5024),
    [sym_assignment_expression] = STATE(5024),
    [sym_pointer_expression] = STATE(4507),
    [sym_unary_expression] = STATE(5024),
    [sym_binary_expression] = STATE(5024),
    [sym_update_expression] = STATE(5024),
    [sym_cast_expression] = STATE(5024),
    [sym_sizeof_expression] = STATE(5024),
    [sym_alignof_expression] = STATE(5024),
    [sym_offsetof_expression] = STATE(5024),
    [sym_generic_expression] = STATE(5024),
    [sym_subscript_expression] = STATE(4507),
    [sym_call_expression] = STATE(4507),
    [sym_gnu_asm_expression] = STATE(5024),
    [sym_field_expression] = STATE(4507),
    [sym_compound_literal_expression] = STATE(5024),
    [sym_parenthesized_expression] = STATE(4507),
    [sym_char_literal] = STATE(5374),
    [sym_concatenated_string] = STATE(5377),
    [sym_string_literal] = STATE(4206),
    [sym_null] = STATE(5024),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9352),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(5024),
    [sym_for_range_loop] = STATE(1630),
    [sym_co_return_statement] = STATE(1630),
    [sym_co_yield_statement] = STATE(1630),
    [sym_throw_statement] = STATE(1630),
    [sym_try_statement] = STATE(1630),
    [sym_raw_string_literal] = STATE(4217),
    [sym_co_await_expression] = STATE(5024),
    [sym_new_expression] = STATE(5024),
    [sym_delete_expression] = STATE(5024),
    [sym_requires_clause] = STATE(5024),
    [sym_requires_expression] = STATE(5024),
    [sym_lambda_expression] = STATE(5024),
    [sym_lambda_capture_specifier] = STATE(7184),
    [sym_fold_expression] = STATE(5024),
    [sym_parameter_pack_expansion] = STATE(5024),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6886),
    [sym_qualified_identifier] = STATE(4507),
    [sym_qualified_type_identifier] = STATE(9352),
    [sym_user_defined_literal] = STATE(4507),
    [sym_discard_statement] = STATE(1630),
    [sym_cbuffer_specifier] = STATE(1630),
    [sym_hlsl_attribute] = STATE(9343),
    [aux_sym_attributed_declarator_repeat1] = STATE(1370),
    [sym_identifier] = ACTIONS(3544),
    [anon_sym_LPAREN2] = ACTIONS(1472),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1474),
    [anon_sym_AMP] = ACTIONS(1474),
    [anon_sym_SEMI] = ACTIONS(1980),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1482),
    [anon_sym_LBRACE] = ACTIONS(1986),
    [anon_sym_LBRACK] = ACTIONS(1484),
    [sym_primitive_type] = ACTIONS(3146),
    [anon_sym_if] = ACTIONS(1988),
    [anon_sym_switch] = ACTIONS(1990),
    [anon_sym_case] = ACTIONS(3528),
    [anon_sym_default] = ACTIONS(3530),
    [anon_sym_while] = ACTIONS(1992),
    [anon_sym_do] = ACTIONS(1994),
    [anon_sym_for] = ACTIONS(1996),
    [anon_sym_return] = ACTIONS(1998),
    [anon_sym_break] = ACTIONS(2000),
    [anon_sym_continue] = ACTIONS(2002),
    [anon_sym_goto] = ACTIONS(2004),
    [anon_sym___try] = ACTIONS(2006),
    [anon_sym___leave] = ACTIONS(2008),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_try] = ACTIONS(2010),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(2012),
    [anon_sym_co_return] = ACTIONS(2014),
    [anon_sym_co_yield] = ACTIONS(2016),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
    [anon_sym_discard] = ACTIONS(2018),
    [anon_sym_cbuffer] = ACTIONS(2020),
  },
  [1341] = {
    [sym_attribute_declaration] = STATE(1337),
    [sym_compound_statement] = STATE(528),
    [sym_attributed_statement] = STATE(528),
    [sym_labeled_statement] = STATE(528),
    [sym_expression_statement] = STATE(528),
    [sym_if_statement] = STATE(528),
    [sym_switch_statement] = STATE(528),
    [sym_case_statement] = STATE(528),
    [sym_while_statement] = STATE(528),
    [sym_do_statement] = STATE(528),
    [sym_for_statement] = STATE(528),
    [sym_return_statement] = STATE(528),
    [sym_break_statement] = STATE(528),
    [sym_continue_statement] = STATE(528),
    [sym_goto_statement] = STATE(528),
    [sym_seh_try_statement] = STATE(528),
    [sym_seh_leave_statement] = STATE(528),
    [sym__expression] = STATE(5802),
    [sym__expression_not_binary] = STATE(5024),
    [sym__string] = STATE(5024),
    [sym_comma_expression] = STATE(9525),
    [sym_conditional_expression] = STATE(5024),
    [sym_assignment_expression] = STATE(5024),
    [sym_pointer_expression] = STATE(4507),
    [sym_unary_expression] = STATE(5024),
    [sym_binary_expression] = STATE(5024),
    [sym_update_expression] = STATE(5024),
    [sym_cast_expression] = STATE(5024),
    [sym_sizeof_expression] = STATE(5024),
    [sym_alignof_expression] = STATE(5024),
    [sym_offsetof_expression] = STATE(5024),
    [sym_generic_expression] = STATE(5024),
    [sym_subscript_expression] = STATE(4507),
    [sym_call_expression] = STATE(4507),
    [sym_gnu_asm_expression] = STATE(5024),
    [sym_field_expression] = STATE(4507),
    [sym_compound_literal_expression] = STATE(5024),
    [sym_parenthesized_expression] = STATE(4507),
    [sym_char_literal] = STATE(5374),
    [sym_concatenated_string] = STATE(5377),
    [sym_string_literal] = STATE(4206),
    [sym_null] = STATE(5024),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9352),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(5024),
    [sym_for_range_loop] = STATE(528),
    [sym_co_return_statement] = STATE(528),
    [sym_co_yield_statement] = STATE(528),
    [sym_throw_statement] = STATE(528),
    [sym_try_statement] = STATE(528),
    [sym_raw_string_literal] = STATE(4217),
    [sym_co_await_expression] = STATE(5024),
    [sym_new_expression] = STATE(5024),
    [sym_delete_expression] = STATE(5024),
    [sym_requires_clause] = STATE(5024),
    [sym_requires_expression] = STATE(5024),
    [sym_lambda_expression] = STATE(5024),
    [sym_lambda_capture_specifier] = STATE(7184),
    [sym_fold_expression] = STATE(5024),
    [sym_parameter_pack_expansion] = STATE(5024),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6886),
    [sym_qualified_identifier] = STATE(4507),
    [sym_qualified_type_identifier] = STATE(9352),
    [sym_user_defined_literal] = STATE(4507),
    [sym_discard_statement] = STATE(528),
    [sym_cbuffer_specifier] = STATE(528),
    [sym_hlsl_attribute] = STATE(9266),
    [aux_sym_attributed_declarator_repeat1] = STATE(1337),
    [sym_identifier] = ACTIONS(3540),
    [anon_sym_LPAREN2] = ACTIONS(1472),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1474),
    [anon_sym_AMP] = ACTIONS(1474),
    [anon_sym_SEMI] = ACTIONS(383),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1482),
    [anon_sym_LBRACE] = ACTIONS(391),
    [anon_sym_LBRACK] = ACTIONS(1484),
    [sym_primitive_type] = ACTIONS(3146),
    [anon_sym_if] = ACTIONS(395),
    [anon_sym_switch] = ACTIONS(397),
    [anon_sym_case] = ACTIONS(399),
    [anon_sym_default] = ACTIONS(401),
    [anon_sym_while] = ACTIONS(403),
    [anon_sym_do] = ACTIONS(405),
    [anon_sym_for] = ACTIONS(407),
    [anon_sym_return] = ACTIONS(409),
    [anon_sym_break] = ACTIONS(411),
    [anon_sym_continue] = ACTIONS(413),
    [anon_sym_goto] = ACTIONS(415),
    [anon_sym___try] = ACTIONS(417),
    [anon_sym___leave] = ACTIONS(419),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_try] = ACTIONS(423),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(425),
    [anon_sym_co_return] = ACTIONS(435),
    [anon_sym_co_yield] = ACTIONS(437),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
    [anon_sym_discard] = ACTIONS(439),
    [anon_sym_cbuffer] = ACTIONS(441),
  },
  [1342] = {
    [sym_attribute_declaration] = STATE(1345),
    [sym_compound_statement] = STATE(937),
    [sym_attributed_statement] = STATE(937),
    [sym_labeled_statement] = STATE(937),
    [sym_expression_statement] = STATE(937),
    [sym_if_statement] = STATE(937),
    [sym_switch_statement] = STATE(937),
    [sym_case_statement] = STATE(937),
    [sym_while_statement] = STATE(937),
    [sym_do_statement] = STATE(937),
    [sym_for_statement] = STATE(937),
    [sym_return_statement] = STATE(937),
    [sym_break_statement] = STATE(937),
    [sym_continue_statement] = STATE(937),
    [sym_goto_statement] = STATE(937),
    [sym_seh_try_statement] = STATE(937),
    [sym_seh_leave_statement] = STATE(937),
    [sym__expression] = STATE(5798),
    [sym__expression_not_binary] = STATE(5024),
    [sym__string] = STATE(5024),
    [sym_comma_expression] = STATE(9706),
    [sym_conditional_expression] = STATE(5024),
    [sym_assignment_expression] = STATE(5024),
    [sym_pointer_expression] = STATE(4507),
    [sym_unary_expression] = STATE(5024),
    [sym_binary_expression] = STATE(5024),
    [sym_update_expression] = STATE(5024),
    [sym_cast_expression] = STATE(5024),
    [sym_sizeof_expression] = STATE(5024),
    [sym_alignof_expression] = STATE(5024),
    [sym_offsetof_expression] = STATE(5024),
    [sym_generic_expression] = STATE(5024),
    [sym_subscript_expression] = STATE(4507),
    [sym_call_expression] = STATE(4507),
    [sym_gnu_asm_expression] = STATE(5024),
    [sym_field_expression] = STATE(4507),
    [sym_compound_literal_expression] = STATE(5024),
    [sym_parenthesized_expression] = STATE(4507),
    [sym_char_literal] = STATE(5374),
    [sym_concatenated_string] = STATE(5377),
    [sym_string_literal] = STATE(4206),
    [sym_null] = STATE(5024),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9352),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(5024),
    [sym_for_range_loop] = STATE(937),
    [sym_co_return_statement] = STATE(937),
    [sym_co_yield_statement] = STATE(937),
    [sym_throw_statement] = STATE(937),
    [sym_try_statement] = STATE(937),
    [sym_raw_string_literal] = STATE(4217),
    [sym_co_await_expression] = STATE(5024),
    [sym_new_expression] = STATE(5024),
    [sym_delete_expression] = STATE(5024),
    [sym_requires_clause] = STATE(5024),
    [sym_requires_expression] = STATE(5024),
    [sym_lambda_expression] = STATE(5024),
    [sym_lambda_capture_specifier] = STATE(7184),
    [sym_fold_expression] = STATE(5024),
    [sym_parameter_pack_expansion] = STATE(5024),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6886),
    [sym_qualified_identifier] = STATE(4507),
    [sym_qualified_type_identifier] = STATE(9352),
    [sym_user_defined_literal] = STATE(4507),
    [sym_discard_statement] = STATE(937),
    [sym_cbuffer_specifier] = STATE(937),
    [sym_hlsl_attribute] = STATE(9024),
    [aux_sym_attributed_declarator_repeat1] = STATE(1345),
    [sym_identifier] = ACTIONS(3546),
    [anon_sym_LPAREN2] = ACTIONS(1472),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1474),
    [anon_sym_AMP] = ACTIONS(1474),
    [anon_sym_SEMI] = ACTIONS(1968),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1482),
    [anon_sym_LBRACE] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(1484),
    [sym_primitive_type] = ACTIONS(3146),
    [anon_sym_if] = ACTIONS(75),
    [anon_sym_switch] = ACTIONS(77),
    [anon_sym_case] = ACTIONS(79),
    [anon_sym_default] = ACTIONS(81),
    [anon_sym_while] = ACTIONS(83),
    [anon_sym_do] = ACTIONS(85),
    [anon_sym_for] = ACTIONS(87),
    [anon_sym_return] = ACTIONS(89),
    [anon_sym_break] = ACTIONS(91),
    [anon_sym_continue] = ACTIONS(93),
    [anon_sym_goto] = ACTIONS(95),
    [anon_sym___try] = ACTIONS(1970),
    [anon_sym___leave] = ACTIONS(1972),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_try] = ACTIONS(135),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(139),
    [anon_sym_co_return] = ACTIONS(149),
    [anon_sym_co_yield] = ACTIONS(151),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
    [anon_sym_discard] = ACTIONS(1974),
    [anon_sym_cbuffer] = ACTIONS(1976),
  },
  [1343] = {
    [sym_attribute_declaration] = STATE(1367),
    [sym_compound_statement] = STATE(679),
    [sym_attributed_statement] = STATE(679),
    [sym_labeled_statement] = STATE(679),
    [sym_expression_statement] = STATE(679),
    [sym_if_statement] = STATE(679),
    [sym_switch_statement] = STATE(679),
    [sym_case_statement] = STATE(679),
    [sym_while_statement] = STATE(679),
    [sym_do_statement] = STATE(679),
    [sym_for_statement] = STATE(679),
    [sym_return_statement] = STATE(679),
    [sym_break_statement] = STATE(679),
    [sym_continue_statement] = STATE(679),
    [sym_goto_statement] = STATE(679),
    [sym_seh_try_statement] = STATE(679),
    [sym_seh_leave_statement] = STATE(679),
    [sym__expression] = STATE(5768),
    [sym__expression_not_binary] = STATE(5024),
    [sym__string] = STATE(5024),
    [sym_comma_expression] = STATE(9694),
    [sym_conditional_expression] = STATE(5024),
    [sym_assignment_expression] = STATE(5024),
    [sym_pointer_expression] = STATE(4507),
    [sym_unary_expression] = STATE(5024),
    [sym_binary_expression] = STATE(5024),
    [sym_update_expression] = STATE(5024),
    [sym_cast_expression] = STATE(5024),
    [sym_sizeof_expression] = STATE(5024),
    [sym_alignof_expression] = STATE(5024),
    [sym_offsetof_expression] = STATE(5024),
    [sym_generic_expression] = STATE(5024),
    [sym_subscript_expression] = STATE(4507),
    [sym_call_expression] = STATE(4507),
    [sym_gnu_asm_expression] = STATE(5024),
    [sym_field_expression] = STATE(4507),
    [sym_compound_literal_expression] = STATE(5024),
    [sym_parenthesized_expression] = STATE(4507),
    [sym_char_literal] = STATE(5374),
    [sym_concatenated_string] = STATE(5377),
    [sym_string_literal] = STATE(4206),
    [sym_null] = STATE(5024),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9352),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(5024),
    [sym_for_range_loop] = STATE(679),
    [sym_co_return_statement] = STATE(679),
    [sym_co_yield_statement] = STATE(679),
    [sym_throw_statement] = STATE(679),
    [sym_try_statement] = STATE(679),
    [sym_raw_string_literal] = STATE(4217),
    [sym_co_await_expression] = STATE(5024),
    [sym_new_expression] = STATE(5024),
    [sym_delete_expression] = STATE(5024),
    [sym_requires_clause] = STATE(5024),
    [sym_requires_expression] = STATE(5024),
    [sym_lambda_expression] = STATE(5024),
    [sym_lambda_capture_specifier] = STATE(7184),
    [sym_fold_expression] = STATE(5024),
    [sym_parameter_pack_expansion] = STATE(5024),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6886),
    [sym_qualified_identifier] = STATE(4507),
    [sym_qualified_type_identifier] = STATE(9352),
    [sym_user_defined_literal] = STATE(4507),
    [sym_discard_statement] = STATE(679),
    [sym_cbuffer_specifier] = STATE(679),
    [sym_hlsl_attribute] = STATE(9208),
    [aux_sym_attributed_declarator_repeat1] = STATE(1367),
    [sym_identifier] = ACTIONS(3522),
    [anon_sym_LPAREN2] = ACTIONS(1472),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1474),
    [anon_sym_AMP] = ACTIONS(1474),
    [anon_sym_SEMI] = ACTIONS(1128),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1482),
    [anon_sym_LBRACE] = ACTIONS(1136),
    [anon_sym_LBRACK] = ACTIONS(1484),
    [sym_primitive_type] = ACTIONS(3146),
    [anon_sym_if] = ACTIONS(1140),
    [anon_sym_switch] = ACTIONS(1142),
    [anon_sym_case] = ACTIONS(1144),
    [anon_sym_default] = ACTIONS(1146),
    [anon_sym_while] = ACTIONS(1148),
    [anon_sym_do] = ACTIONS(1150),
    [anon_sym_for] = ACTIONS(1152),
    [anon_sym_return] = ACTIONS(1154),
    [anon_sym_break] = ACTIONS(1156),
    [anon_sym_continue] = ACTIONS(1158),
    [anon_sym_goto] = ACTIONS(1160),
    [anon_sym___try] = ACTIONS(1162),
    [anon_sym___leave] = ACTIONS(1164),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_try] = ACTIONS(1168),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(1170),
    [anon_sym_co_return] = ACTIONS(1180),
    [anon_sym_co_yield] = ACTIONS(1182),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
    [anon_sym_discard] = ACTIONS(1184),
    [anon_sym_cbuffer] = ACTIONS(1186),
  },
  [1344] = {
    [sym_attribute_declaration] = STATE(1367),
    [sym_compound_statement] = STATE(729),
    [sym_attributed_statement] = STATE(729),
    [sym_labeled_statement] = STATE(729),
    [sym_expression_statement] = STATE(729),
    [sym_if_statement] = STATE(729),
    [sym_switch_statement] = STATE(729),
    [sym_case_statement] = STATE(729),
    [sym_while_statement] = STATE(729),
    [sym_do_statement] = STATE(729),
    [sym_for_statement] = STATE(729),
    [sym_return_statement] = STATE(729),
    [sym_break_statement] = STATE(729),
    [sym_continue_statement] = STATE(729),
    [sym_goto_statement] = STATE(729),
    [sym_seh_try_statement] = STATE(729),
    [sym_seh_leave_statement] = STATE(729),
    [sym__expression] = STATE(5768),
    [sym__expression_not_binary] = STATE(5024),
    [sym__string] = STATE(5024),
    [sym_comma_expression] = STATE(9694),
    [sym_conditional_expression] = STATE(5024),
    [sym_assignment_expression] = STATE(5024),
    [sym_pointer_expression] = STATE(4507),
    [sym_unary_expression] = STATE(5024),
    [sym_binary_expression] = STATE(5024),
    [sym_update_expression] = STATE(5024),
    [sym_cast_expression] = STATE(5024),
    [sym_sizeof_expression] = STATE(5024),
    [sym_alignof_expression] = STATE(5024),
    [sym_offsetof_expression] = STATE(5024),
    [sym_generic_expression] = STATE(5024),
    [sym_subscript_expression] = STATE(4507),
    [sym_call_expression] = STATE(4507),
    [sym_gnu_asm_expression] = STATE(5024),
    [sym_field_expression] = STATE(4507),
    [sym_compound_literal_expression] = STATE(5024),
    [sym_parenthesized_expression] = STATE(4507),
    [sym_char_literal] = STATE(5374),
    [sym_concatenated_string] = STATE(5377),
    [sym_string_literal] = STATE(4206),
    [sym_null] = STATE(5024),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9352),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(5024),
    [sym_for_range_loop] = STATE(729),
    [sym_co_return_statement] = STATE(729),
    [sym_co_yield_statement] = STATE(729),
    [sym_throw_statement] = STATE(729),
    [sym_try_statement] = STATE(729),
    [sym_raw_string_literal] = STATE(4217),
    [sym_co_await_expression] = STATE(5024),
    [sym_new_expression] = STATE(5024),
    [sym_delete_expression] = STATE(5024),
    [sym_requires_clause] = STATE(5024),
    [sym_requires_expression] = STATE(5024),
    [sym_lambda_expression] = STATE(5024),
    [sym_lambda_capture_specifier] = STATE(7184),
    [sym_fold_expression] = STATE(5024),
    [sym_parameter_pack_expansion] = STATE(5024),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6886),
    [sym_qualified_identifier] = STATE(4507),
    [sym_qualified_type_identifier] = STATE(9352),
    [sym_user_defined_literal] = STATE(4507),
    [sym_discard_statement] = STATE(729),
    [sym_cbuffer_specifier] = STATE(729),
    [sym_hlsl_attribute] = STATE(9208),
    [aux_sym_attributed_declarator_repeat1] = STATE(1367),
    [sym_identifier] = ACTIONS(3522),
    [anon_sym_LPAREN2] = ACTIONS(1472),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1474),
    [anon_sym_AMP] = ACTIONS(1474),
    [anon_sym_SEMI] = ACTIONS(1128),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1482),
    [anon_sym_LBRACE] = ACTIONS(1136),
    [anon_sym_LBRACK] = ACTIONS(1484),
    [sym_primitive_type] = ACTIONS(3146),
    [anon_sym_if] = ACTIONS(1140),
    [anon_sym_switch] = ACTIONS(1142),
    [anon_sym_case] = ACTIONS(1144),
    [anon_sym_default] = ACTIONS(1146),
    [anon_sym_while] = ACTIONS(1148),
    [anon_sym_do] = ACTIONS(1150),
    [anon_sym_for] = ACTIONS(1152),
    [anon_sym_return] = ACTIONS(1154),
    [anon_sym_break] = ACTIONS(1156),
    [anon_sym_continue] = ACTIONS(1158),
    [anon_sym_goto] = ACTIONS(1160),
    [anon_sym___try] = ACTIONS(1162),
    [anon_sym___leave] = ACTIONS(1164),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_try] = ACTIONS(1168),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(1170),
    [anon_sym_co_return] = ACTIONS(1180),
    [anon_sym_co_yield] = ACTIONS(1182),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
    [anon_sym_discard] = ACTIONS(1184),
    [anon_sym_cbuffer] = ACTIONS(1186),
  },
  [1345] = {
    [sym_attribute_declaration] = STATE(1345),
    [sym_compound_statement] = STATE(937),
    [sym_attributed_statement] = STATE(937),
    [sym_labeled_statement] = STATE(937),
    [sym_expression_statement] = STATE(937),
    [sym_if_statement] = STATE(937),
    [sym_switch_statement] = STATE(937),
    [sym_case_statement] = STATE(937),
    [sym_while_statement] = STATE(937),
    [sym_do_statement] = STATE(937),
    [sym_for_statement] = STATE(937),
    [sym_return_statement] = STATE(937),
    [sym_break_statement] = STATE(937),
    [sym_continue_statement] = STATE(937),
    [sym_goto_statement] = STATE(937),
    [sym_seh_try_statement] = STATE(937),
    [sym_seh_leave_statement] = STATE(937),
    [sym__expression] = STATE(5798),
    [sym__expression_not_binary] = STATE(5024),
    [sym__string] = STATE(5024),
    [sym_comma_expression] = STATE(9706),
    [sym_conditional_expression] = STATE(5024),
    [sym_assignment_expression] = STATE(5024),
    [sym_pointer_expression] = STATE(4507),
    [sym_unary_expression] = STATE(5024),
    [sym_binary_expression] = STATE(5024),
    [sym_update_expression] = STATE(5024),
    [sym_cast_expression] = STATE(5024),
    [sym_sizeof_expression] = STATE(5024),
    [sym_alignof_expression] = STATE(5024),
    [sym_offsetof_expression] = STATE(5024),
    [sym_generic_expression] = STATE(5024),
    [sym_subscript_expression] = STATE(4507),
    [sym_call_expression] = STATE(4507),
    [sym_gnu_asm_expression] = STATE(5024),
    [sym_field_expression] = STATE(4507),
    [sym_compound_literal_expression] = STATE(5024),
    [sym_parenthesized_expression] = STATE(4507),
    [sym_char_literal] = STATE(5374),
    [sym_concatenated_string] = STATE(5377),
    [sym_string_literal] = STATE(4206),
    [sym_null] = STATE(5024),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9352),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(5024),
    [sym_for_range_loop] = STATE(937),
    [sym_co_return_statement] = STATE(937),
    [sym_co_yield_statement] = STATE(937),
    [sym_throw_statement] = STATE(937),
    [sym_try_statement] = STATE(937),
    [sym_raw_string_literal] = STATE(4217),
    [sym_co_await_expression] = STATE(5024),
    [sym_new_expression] = STATE(5024),
    [sym_delete_expression] = STATE(5024),
    [sym_requires_clause] = STATE(5024),
    [sym_requires_expression] = STATE(5024),
    [sym_lambda_expression] = STATE(5024),
    [sym_lambda_capture_specifier] = STATE(7184),
    [sym_fold_expression] = STATE(5024),
    [sym_parameter_pack_expansion] = STATE(5024),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6886),
    [sym_qualified_identifier] = STATE(4507),
    [sym_qualified_type_identifier] = STATE(9352),
    [sym_user_defined_literal] = STATE(4507),
    [sym_discard_statement] = STATE(937),
    [sym_cbuffer_specifier] = STATE(937),
    [sym_hlsl_attribute] = STATE(9024),
    [aux_sym_attributed_declarator_repeat1] = STATE(1345),
    [sym_identifier] = ACTIONS(3548),
    [anon_sym_LPAREN2] = ACTIONS(3381),
    [anon_sym_BANG] = ACTIONS(3384),
    [anon_sym_TILDE] = ACTIONS(3384),
    [anon_sym_DASH] = ACTIONS(3387),
    [anon_sym_PLUS] = ACTIONS(3387),
    [anon_sym_STAR] = ACTIONS(3390),
    [anon_sym_AMP] = ACTIONS(3390),
    [anon_sym_SEMI] = ACTIONS(3551),
    [anon_sym_COLON_COLON] = ACTIONS(3396),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3399),
    [anon_sym_LBRACE] = ACTIONS(3402),
    [anon_sym_LBRACK] = ACTIONS(3405),
    [sym_primitive_type] = ACTIONS(3408),
    [anon_sym_if] = ACTIONS(3554),
    [anon_sym_switch] = ACTIONS(3414),
    [anon_sym_case] = ACTIONS(3557),
    [anon_sym_default] = ACTIONS(3560),
    [anon_sym_while] = ACTIONS(3563),
    [anon_sym_do] = ACTIONS(3426),
    [anon_sym_for] = ACTIONS(3566),
    [anon_sym_return] = ACTIONS(3432),
    [anon_sym_break] = ACTIONS(3435),
    [anon_sym_continue] = ACTIONS(3438),
    [anon_sym_goto] = ACTIONS(3441),
    [anon_sym___try] = ACTIONS(3569),
    [anon_sym___leave] = ACTIONS(3572),
    [anon_sym_not] = ACTIONS(3387),
    [anon_sym_compl] = ACTIONS(3387),
    [anon_sym_DASH_DASH] = ACTIONS(3450),
    [anon_sym_PLUS_PLUS] = ACTIONS(3450),
    [anon_sym_sizeof] = ACTIONS(3453),
    [anon_sym___alignof__] = ACTIONS(3456),
    [anon_sym___alignof] = ACTIONS(3456),
    [anon_sym__alignof] = ACTIONS(3456),
    [anon_sym_alignof] = ACTIONS(3456),
    [anon_sym__Alignof] = ACTIONS(3456),
    [anon_sym_offsetof] = ACTIONS(3459),
    [anon_sym__Generic] = ACTIONS(3462),
    [anon_sym_asm] = ACTIONS(3465),
    [anon_sym___asm__] = ACTIONS(3465),
    [sym_number_literal] = ACTIONS(3468),
    [anon_sym_L_SQUOTE] = ACTIONS(3471),
    [anon_sym_u_SQUOTE] = ACTIONS(3471),
    [anon_sym_U_SQUOTE] = ACTIONS(3471),
    [anon_sym_u8_SQUOTE] = ACTIONS(3471),
    [anon_sym_SQUOTE] = ACTIONS(3471),
    [anon_sym_L_DQUOTE] = ACTIONS(3474),
    [anon_sym_u_DQUOTE] = ACTIONS(3474),
    [anon_sym_U_DQUOTE] = ACTIONS(3474),
    [anon_sym_u8_DQUOTE] = ACTIONS(3474),
    [anon_sym_DQUOTE] = ACTIONS(3474),
    [sym_true] = ACTIONS(3477),
    [sym_false] = ACTIONS(3477),
    [anon_sym_NULL] = ACTIONS(3480),
    [anon_sym_nullptr] = ACTIONS(3480),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3483),
    [anon_sym_template] = ACTIONS(3486),
    [anon_sym_try] = ACTIONS(3489),
    [anon_sym_delete] = ACTIONS(3492),
    [anon_sym_throw] = ACTIONS(3495),
    [anon_sym_co_return] = ACTIONS(3498),
    [anon_sym_co_yield] = ACTIONS(3501),
    [anon_sym_R_DQUOTE] = ACTIONS(3504),
    [anon_sym_LR_DQUOTE] = ACTIONS(3504),
    [anon_sym_uR_DQUOTE] = ACTIONS(3504),
    [anon_sym_UR_DQUOTE] = ACTIONS(3504),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3504),
    [anon_sym_co_await] = ACTIONS(3507),
    [anon_sym_new] = ACTIONS(3510),
    [anon_sym_requires] = ACTIONS(3513),
    [sym_this] = ACTIONS(3477),
    [anon_sym_discard] = ACTIONS(3575),
    [anon_sym_cbuffer] = ACTIONS(3578),
  },
  [1346] = {
    [sym_attribute_declaration] = STATE(1342),
    [sym_compound_statement] = STATE(629),
    [sym_attributed_statement] = STATE(629),
    [sym_labeled_statement] = STATE(629),
    [sym_expression_statement] = STATE(629),
    [sym_if_statement] = STATE(629),
    [sym_switch_statement] = STATE(629),
    [sym_case_statement] = STATE(629),
    [sym_while_statement] = STATE(629),
    [sym_do_statement] = STATE(629),
    [sym_for_statement] = STATE(629),
    [sym_return_statement] = STATE(629),
    [sym_break_statement] = STATE(629),
    [sym_continue_statement] = STATE(629),
    [sym_goto_statement] = STATE(629),
    [sym_seh_try_statement] = STATE(629),
    [sym_seh_leave_statement] = STATE(629),
    [sym__expression] = STATE(5798),
    [sym__expression_not_binary] = STATE(5024),
    [sym__string] = STATE(5024),
    [sym_comma_expression] = STATE(9706),
    [sym_conditional_expression] = STATE(5024),
    [sym_assignment_expression] = STATE(5024),
    [sym_pointer_expression] = STATE(4507),
    [sym_unary_expression] = STATE(5024),
    [sym_binary_expression] = STATE(5024),
    [sym_update_expression] = STATE(5024),
    [sym_cast_expression] = STATE(5024),
    [sym_sizeof_expression] = STATE(5024),
    [sym_alignof_expression] = STATE(5024),
    [sym_offsetof_expression] = STATE(5024),
    [sym_generic_expression] = STATE(5024),
    [sym_subscript_expression] = STATE(4507),
    [sym_call_expression] = STATE(4507),
    [sym_gnu_asm_expression] = STATE(5024),
    [sym_field_expression] = STATE(4507),
    [sym_compound_literal_expression] = STATE(5024),
    [sym_parenthesized_expression] = STATE(4507),
    [sym_char_literal] = STATE(5374),
    [sym_concatenated_string] = STATE(5377),
    [sym_string_literal] = STATE(4206),
    [sym_null] = STATE(5024),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9352),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(5024),
    [sym_for_range_loop] = STATE(629),
    [sym_co_return_statement] = STATE(629),
    [sym_co_yield_statement] = STATE(629),
    [sym_throw_statement] = STATE(629),
    [sym_try_statement] = STATE(629),
    [sym_raw_string_literal] = STATE(4217),
    [sym_co_await_expression] = STATE(5024),
    [sym_new_expression] = STATE(5024),
    [sym_delete_expression] = STATE(5024),
    [sym_requires_clause] = STATE(5024),
    [sym_requires_expression] = STATE(5024),
    [sym_lambda_expression] = STATE(5024),
    [sym_lambda_capture_specifier] = STATE(7184),
    [sym_fold_expression] = STATE(5024),
    [sym_parameter_pack_expansion] = STATE(5024),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6886),
    [sym_qualified_identifier] = STATE(4507),
    [sym_qualified_type_identifier] = STATE(9352),
    [sym_user_defined_literal] = STATE(4507),
    [sym_discard_statement] = STATE(629),
    [sym_cbuffer_specifier] = STATE(629),
    [sym_hlsl_attribute] = STATE(9024),
    [aux_sym_attributed_declarator_repeat1] = STATE(1342),
    [sym_identifier] = ACTIONS(3546),
    [anon_sym_LPAREN2] = ACTIONS(1472),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1474),
    [anon_sym_AMP] = ACTIONS(1474),
    [anon_sym_SEMI] = ACTIONS(1968),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1482),
    [anon_sym_LBRACE] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(1484),
    [sym_primitive_type] = ACTIONS(3146),
    [anon_sym_if] = ACTIONS(75),
    [anon_sym_switch] = ACTIONS(77),
    [anon_sym_case] = ACTIONS(79),
    [anon_sym_default] = ACTIONS(81),
    [anon_sym_while] = ACTIONS(83),
    [anon_sym_do] = ACTIONS(85),
    [anon_sym_for] = ACTIONS(87),
    [anon_sym_return] = ACTIONS(89),
    [anon_sym_break] = ACTIONS(91),
    [anon_sym_continue] = ACTIONS(93),
    [anon_sym_goto] = ACTIONS(95),
    [anon_sym___try] = ACTIONS(1970),
    [anon_sym___leave] = ACTIONS(1972),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_try] = ACTIONS(135),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(139),
    [anon_sym_co_return] = ACTIONS(149),
    [anon_sym_co_yield] = ACTIONS(151),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
    [anon_sym_discard] = ACTIONS(1974),
    [anon_sym_cbuffer] = ACTIONS(1976),
  },
  [1347] = {
    [sym_attribute_declaration] = STATE(1337),
    [sym_compound_statement] = STATE(441),
    [sym_attributed_statement] = STATE(441),
    [sym_labeled_statement] = STATE(441),
    [sym_expression_statement] = STATE(441),
    [sym_if_statement] = STATE(441),
    [sym_switch_statement] = STATE(441),
    [sym_case_statement] = STATE(441),
    [sym_while_statement] = STATE(441),
    [sym_do_statement] = STATE(441),
    [sym_for_statement] = STATE(441),
    [sym_return_statement] = STATE(441),
    [sym_break_statement] = STATE(441),
    [sym_continue_statement] = STATE(441),
    [sym_goto_statement] = STATE(441),
    [sym_seh_try_statement] = STATE(441),
    [sym_seh_leave_statement] = STATE(441),
    [sym__expression] = STATE(5802),
    [sym__expression_not_binary] = STATE(5024),
    [sym__string] = STATE(5024),
    [sym_comma_expression] = STATE(9525),
    [sym_conditional_expression] = STATE(5024),
    [sym_assignment_expression] = STATE(5024),
    [sym_pointer_expression] = STATE(4507),
    [sym_unary_expression] = STATE(5024),
    [sym_binary_expression] = STATE(5024),
    [sym_update_expression] = STATE(5024),
    [sym_cast_expression] = STATE(5024),
    [sym_sizeof_expression] = STATE(5024),
    [sym_alignof_expression] = STATE(5024),
    [sym_offsetof_expression] = STATE(5024),
    [sym_generic_expression] = STATE(5024),
    [sym_subscript_expression] = STATE(4507),
    [sym_call_expression] = STATE(4507),
    [sym_gnu_asm_expression] = STATE(5024),
    [sym_field_expression] = STATE(4507),
    [sym_compound_literal_expression] = STATE(5024),
    [sym_parenthesized_expression] = STATE(4507),
    [sym_char_literal] = STATE(5374),
    [sym_concatenated_string] = STATE(5377),
    [sym_string_literal] = STATE(4206),
    [sym_null] = STATE(5024),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9352),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(5024),
    [sym_for_range_loop] = STATE(441),
    [sym_co_return_statement] = STATE(441),
    [sym_co_yield_statement] = STATE(441),
    [sym_throw_statement] = STATE(441),
    [sym_try_statement] = STATE(441),
    [sym_raw_string_literal] = STATE(4217),
    [sym_co_await_expression] = STATE(5024),
    [sym_new_expression] = STATE(5024),
    [sym_delete_expression] = STATE(5024),
    [sym_requires_clause] = STATE(5024),
    [sym_requires_expression] = STATE(5024),
    [sym_lambda_expression] = STATE(5024),
    [sym_lambda_capture_specifier] = STATE(7184),
    [sym_fold_expression] = STATE(5024),
    [sym_parameter_pack_expansion] = STATE(5024),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6886),
    [sym_qualified_identifier] = STATE(4507),
    [sym_qualified_type_identifier] = STATE(9352),
    [sym_user_defined_literal] = STATE(4507),
    [sym_discard_statement] = STATE(441),
    [sym_cbuffer_specifier] = STATE(441),
    [sym_hlsl_attribute] = STATE(9266),
    [aux_sym_attributed_declarator_repeat1] = STATE(1337),
    [sym_identifier] = ACTIONS(3540),
    [anon_sym_LPAREN2] = ACTIONS(1472),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1474),
    [anon_sym_AMP] = ACTIONS(1474),
    [anon_sym_SEMI] = ACTIONS(383),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1482),
    [anon_sym_LBRACE] = ACTIONS(391),
    [anon_sym_LBRACK] = ACTIONS(1484),
    [sym_primitive_type] = ACTIONS(3146),
    [anon_sym_if] = ACTIONS(395),
    [anon_sym_switch] = ACTIONS(397),
    [anon_sym_case] = ACTIONS(399),
    [anon_sym_default] = ACTIONS(401),
    [anon_sym_while] = ACTIONS(403),
    [anon_sym_do] = ACTIONS(405),
    [anon_sym_for] = ACTIONS(407),
    [anon_sym_return] = ACTIONS(409),
    [anon_sym_break] = ACTIONS(411),
    [anon_sym_continue] = ACTIONS(413),
    [anon_sym_goto] = ACTIONS(415),
    [anon_sym___try] = ACTIONS(417),
    [anon_sym___leave] = ACTIONS(419),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_try] = ACTIONS(423),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(425),
    [anon_sym_co_return] = ACTIONS(435),
    [anon_sym_co_yield] = ACTIONS(437),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
    [anon_sym_discard] = ACTIONS(439),
    [anon_sym_cbuffer] = ACTIONS(441),
  },
  [1348] = {
    [sym_attribute_declaration] = STATE(1334),
    [sym_compound_statement] = STATE(206),
    [sym_attributed_statement] = STATE(206),
    [sym_labeled_statement] = STATE(206),
    [sym_expression_statement] = STATE(206),
    [sym_if_statement] = STATE(206),
    [sym_switch_statement] = STATE(206),
    [sym_case_statement] = STATE(206),
    [sym_while_statement] = STATE(206),
    [sym_do_statement] = STATE(206),
    [sym_for_statement] = STATE(206),
    [sym_return_statement] = STATE(206),
    [sym_break_statement] = STATE(206),
    [sym_continue_statement] = STATE(206),
    [sym_goto_statement] = STATE(206),
    [sym_seh_try_statement] = STATE(206),
    [sym_seh_leave_statement] = STATE(206),
    [sym__expression] = STATE(5650),
    [sym__expression_not_binary] = STATE(5024),
    [sym__string] = STATE(5024),
    [sym_comma_expression] = STATE(10263),
    [sym_conditional_expression] = STATE(5024),
    [sym_assignment_expression] = STATE(5024),
    [sym_pointer_expression] = STATE(4507),
    [sym_unary_expression] = STATE(5024),
    [sym_binary_expression] = STATE(5024),
    [sym_update_expression] = STATE(5024),
    [sym_cast_expression] = STATE(5024),
    [sym_sizeof_expression] = STATE(5024),
    [sym_alignof_expression] = STATE(5024),
    [sym_offsetof_expression] = STATE(5024),
    [sym_generic_expression] = STATE(5024),
    [sym_subscript_expression] = STATE(4507),
    [sym_call_expression] = STATE(4507),
    [sym_gnu_asm_expression] = STATE(5024),
    [sym_field_expression] = STATE(4507),
    [sym_compound_literal_expression] = STATE(5024),
    [sym_parenthesized_expression] = STATE(4507),
    [sym_char_literal] = STATE(5374),
    [sym_concatenated_string] = STATE(5377),
    [sym_string_literal] = STATE(4206),
    [sym_null] = STATE(5024),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9352),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(5024),
    [sym_for_range_loop] = STATE(206),
    [sym_co_return_statement] = STATE(206),
    [sym_co_yield_statement] = STATE(206),
    [sym_throw_statement] = STATE(206),
    [sym_try_statement] = STATE(206),
    [sym_raw_string_literal] = STATE(4217),
    [sym_co_await_expression] = STATE(5024),
    [sym_new_expression] = STATE(5024),
    [sym_delete_expression] = STATE(5024),
    [sym_requires_clause] = STATE(5024),
    [sym_requires_expression] = STATE(5024),
    [sym_lambda_expression] = STATE(5024),
    [sym_lambda_capture_specifier] = STATE(7184),
    [sym_fold_expression] = STATE(5024),
    [sym_parameter_pack_expansion] = STATE(5024),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6886),
    [sym_qualified_identifier] = STATE(4507),
    [sym_qualified_type_identifier] = STATE(9352),
    [sym_user_defined_literal] = STATE(4507),
    [sym_discard_statement] = STATE(206),
    [sym_cbuffer_specifier] = STATE(206),
    [sym_hlsl_attribute] = STATE(9442),
    [aux_sym_attributed_declarator_repeat1] = STATE(1334),
    [sym_identifier] = ACTIONS(3542),
    [anon_sym_LPAREN2] = ACTIONS(1472),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1474),
    [anon_sym_AMP] = ACTIONS(1474),
    [anon_sym_SEMI] = ACTIONS(291),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1482),
    [anon_sym_LBRACE] = ACTIONS(299),
    [anon_sym_LBRACK] = ACTIONS(1484),
    [sym_primitive_type] = ACTIONS(3146),
    [anon_sym_if] = ACTIONS(303),
    [anon_sym_switch] = ACTIONS(305),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_default] = ACTIONS(309),
    [anon_sym_while] = ACTIONS(311),
    [anon_sym_do] = ACTIONS(313),
    [anon_sym_for] = ACTIONS(315),
    [anon_sym_return] = ACTIONS(317),
    [anon_sym_break] = ACTIONS(319),
    [anon_sym_continue] = ACTIONS(321),
    [anon_sym_goto] = ACTIONS(323),
    [anon_sym___try] = ACTIONS(325),
    [anon_sym___leave] = ACTIONS(327),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_try] = ACTIONS(331),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(333),
    [anon_sym_co_return] = ACTIONS(343),
    [anon_sym_co_yield] = ACTIONS(345),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
    [anon_sym_discard] = ACTIONS(347),
    [anon_sym_cbuffer] = ACTIONS(349),
  },
  [1349] = {
    [sym_attribute_declaration] = STATE(1334),
    [sym_compound_statement] = STATE(281),
    [sym_attributed_statement] = STATE(281),
    [sym_labeled_statement] = STATE(281),
    [sym_expression_statement] = STATE(281),
    [sym_if_statement] = STATE(281),
    [sym_switch_statement] = STATE(281),
    [sym_case_statement] = STATE(281),
    [sym_while_statement] = STATE(281),
    [sym_do_statement] = STATE(281),
    [sym_for_statement] = STATE(281),
    [sym_return_statement] = STATE(281),
    [sym_break_statement] = STATE(281),
    [sym_continue_statement] = STATE(281),
    [sym_goto_statement] = STATE(281),
    [sym_seh_try_statement] = STATE(281),
    [sym_seh_leave_statement] = STATE(281),
    [sym__expression] = STATE(5650),
    [sym__expression_not_binary] = STATE(5024),
    [sym__string] = STATE(5024),
    [sym_comma_expression] = STATE(10263),
    [sym_conditional_expression] = STATE(5024),
    [sym_assignment_expression] = STATE(5024),
    [sym_pointer_expression] = STATE(4507),
    [sym_unary_expression] = STATE(5024),
    [sym_binary_expression] = STATE(5024),
    [sym_update_expression] = STATE(5024),
    [sym_cast_expression] = STATE(5024),
    [sym_sizeof_expression] = STATE(5024),
    [sym_alignof_expression] = STATE(5024),
    [sym_offsetof_expression] = STATE(5024),
    [sym_generic_expression] = STATE(5024),
    [sym_subscript_expression] = STATE(4507),
    [sym_call_expression] = STATE(4507),
    [sym_gnu_asm_expression] = STATE(5024),
    [sym_field_expression] = STATE(4507),
    [sym_compound_literal_expression] = STATE(5024),
    [sym_parenthesized_expression] = STATE(4507),
    [sym_char_literal] = STATE(5374),
    [sym_concatenated_string] = STATE(5377),
    [sym_string_literal] = STATE(4206),
    [sym_null] = STATE(5024),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9352),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(5024),
    [sym_for_range_loop] = STATE(281),
    [sym_co_return_statement] = STATE(281),
    [sym_co_yield_statement] = STATE(281),
    [sym_throw_statement] = STATE(281),
    [sym_try_statement] = STATE(281),
    [sym_raw_string_literal] = STATE(4217),
    [sym_co_await_expression] = STATE(5024),
    [sym_new_expression] = STATE(5024),
    [sym_delete_expression] = STATE(5024),
    [sym_requires_clause] = STATE(5024),
    [sym_requires_expression] = STATE(5024),
    [sym_lambda_expression] = STATE(5024),
    [sym_lambda_capture_specifier] = STATE(7184),
    [sym_fold_expression] = STATE(5024),
    [sym_parameter_pack_expansion] = STATE(5024),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6886),
    [sym_qualified_identifier] = STATE(4507),
    [sym_qualified_type_identifier] = STATE(9352),
    [sym_user_defined_literal] = STATE(4507),
    [sym_discard_statement] = STATE(281),
    [sym_cbuffer_specifier] = STATE(281),
    [sym_hlsl_attribute] = STATE(9442),
    [aux_sym_attributed_declarator_repeat1] = STATE(1334),
    [sym_identifier] = ACTIONS(3542),
    [anon_sym_LPAREN2] = ACTIONS(1472),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1474),
    [anon_sym_AMP] = ACTIONS(1474),
    [anon_sym_SEMI] = ACTIONS(291),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1482),
    [anon_sym_LBRACE] = ACTIONS(299),
    [anon_sym_LBRACK] = ACTIONS(1484),
    [sym_primitive_type] = ACTIONS(3146),
    [anon_sym_if] = ACTIONS(303),
    [anon_sym_switch] = ACTIONS(305),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_default] = ACTIONS(309),
    [anon_sym_while] = ACTIONS(311),
    [anon_sym_do] = ACTIONS(313),
    [anon_sym_for] = ACTIONS(315),
    [anon_sym_return] = ACTIONS(317),
    [anon_sym_break] = ACTIONS(319),
    [anon_sym_continue] = ACTIONS(321),
    [anon_sym_goto] = ACTIONS(323),
    [anon_sym___try] = ACTIONS(325),
    [anon_sym___leave] = ACTIONS(327),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_try] = ACTIONS(331),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(333),
    [anon_sym_co_return] = ACTIONS(343),
    [anon_sym_co_yield] = ACTIONS(345),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
    [anon_sym_discard] = ACTIONS(347),
    [anon_sym_cbuffer] = ACTIONS(349),
  },
  [1350] = {
    [sym_attribute_declaration] = STATE(1337),
    [sym_compound_statement] = STATE(487),
    [sym_attributed_statement] = STATE(487),
    [sym_labeled_statement] = STATE(487),
    [sym_expression_statement] = STATE(487),
    [sym_if_statement] = STATE(487),
    [sym_switch_statement] = STATE(487),
    [sym_case_statement] = STATE(487),
    [sym_while_statement] = STATE(487),
    [sym_do_statement] = STATE(487),
    [sym_for_statement] = STATE(487),
    [sym_return_statement] = STATE(487),
    [sym_break_statement] = STATE(487),
    [sym_continue_statement] = STATE(487),
    [sym_goto_statement] = STATE(487),
    [sym_seh_try_statement] = STATE(487),
    [sym_seh_leave_statement] = STATE(487),
    [sym__expression] = STATE(5802),
    [sym__expression_not_binary] = STATE(5024),
    [sym__string] = STATE(5024),
    [sym_comma_expression] = STATE(9525),
    [sym_conditional_expression] = STATE(5024),
    [sym_assignment_expression] = STATE(5024),
    [sym_pointer_expression] = STATE(4507),
    [sym_unary_expression] = STATE(5024),
    [sym_binary_expression] = STATE(5024),
    [sym_update_expression] = STATE(5024),
    [sym_cast_expression] = STATE(5024),
    [sym_sizeof_expression] = STATE(5024),
    [sym_alignof_expression] = STATE(5024),
    [sym_offsetof_expression] = STATE(5024),
    [sym_generic_expression] = STATE(5024),
    [sym_subscript_expression] = STATE(4507),
    [sym_call_expression] = STATE(4507),
    [sym_gnu_asm_expression] = STATE(5024),
    [sym_field_expression] = STATE(4507),
    [sym_compound_literal_expression] = STATE(5024),
    [sym_parenthesized_expression] = STATE(4507),
    [sym_char_literal] = STATE(5374),
    [sym_concatenated_string] = STATE(5377),
    [sym_string_literal] = STATE(4206),
    [sym_null] = STATE(5024),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9352),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(5024),
    [sym_for_range_loop] = STATE(487),
    [sym_co_return_statement] = STATE(487),
    [sym_co_yield_statement] = STATE(487),
    [sym_throw_statement] = STATE(487),
    [sym_try_statement] = STATE(487),
    [sym_raw_string_literal] = STATE(4217),
    [sym_co_await_expression] = STATE(5024),
    [sym_new_expression] = STATE(5024),
    [sym_delete_expression] = STATE(5024),
    [sym_requires_clause] = STATE(5024),
    [sym_requires_expression] = STATE(5024),
    [sym_lambda_expression] = STATE(5024),
    [sym_lambda_capture_specifier] = STATE(7184),
    [sym_fold_expression] = STATE(5024),
    [sym_parameter_pack_expansion] = STATE(5024),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6886),
    [sym_qualified_identifier] = STATE(4507),
    [sym_qualified_type_identifier] = STATE(9352),
    [sym_user_defined_literal] = STATE(4507),
    [sym_discard_statement] = STATE(487),
    [sym_cbuffer_specifier] = STATE(487),
    [sym_hlsl_attribute] = STATE(9266),
    [aux_sym_attributed_declarator_repeat1] = STATE(1337),
    [sym_identifier] = ACTIONS(3540),
    [anon_sym_LPAREN2] = ACTIONS(1472),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1474),
    [anon_sym_AMP] = ACTIONS(1474),
    [anon_sym_SEMI] = ACTIONS(383),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1482),
    [anon_sym_LBRACE] = ACTIONS(391),
    [anon_sym_LBRACK] = ACTIONS(1484),
    [sym_primitive_type] = ACTIONS(3146),
    [anon_sym_if] = ACTIONS(395),
    [anon_sym_switch] = ACTIONS(397),
    [anon_sym_case] = ACTIONS(399),
    [anon_sym_default] = ACTIONS(401),
    [anon_sym_while] = ACTIONS(403),
    [anon_sym_do] = ACTIONS(405),
    [anon_sym_for] = ACTIONS(407),
    [anon_sym_return] = ACTIONS(409),
    [anon_sym_break] = ACTIONS(411),
    [anon_sym_continue] = ACTIONS(413),
    [anon_sym_goto] = ACTIONS(415),
    [anon_sym___try] = ACTIONS(417),
    [anon_sym___leave] = ACTIONS(419),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_try] = ACTIONS(423),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(425),
    [anon_sym_co_return] = ACTIONS(435),
    [anon_sym_co_yield] = ACTIONS(437),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
    [anon_sym_discard] = ACTIONS(439),
    [anon_sym_cbuffer] = ACTIONS(441),
  },
  [1351] = {
    [sym_attribute_declaration] = STATE(1370),
    [sym_compound_statement] = STATE(1598),
    [sym_attributed_statement] = STATE(1597),
    [sym_labeled_statement] = STATE(1593),
    [sym_expression_statement] = STATE(1592),
    [sym_if_statement] = STATE(1585),
    [sym_switch_statement] = STATE(1584),
    [sym_case_statement] = STATE(1582),
    [sym_while_statement] = STATE(1581),
    [sym_do_statement] = STATE(1580),
    [sym_for_statement] = STATE(1571),
    [sym_return_statement] = STATE(1569),
    [sym_break_statement] = STATE(1568),
    [sym_continue_statement] = STATE(1567),
    [sym_goto_statement] = STATE(1565),
    [sym_seh_try_statement] = STATE(1559),
    [sym_seh_leave_statement] = STATE(1550),
    [sym__expression] = STATE(5719),
    [sym__expression_not_binary] = STATE(5024),
    [sym__string] = STATE(5024),
    [sym_comma_expression] = STATE(9810),
    [sym_conditional_expression] = STATE(5024),
    [sym_assignment_expression] = STATE(5024),
    [sym_pointer_expression] = STATE(4507),
    [sym_unary_expression] = STATE(5024),
    [sym_binary_expression] = STATE(5024),
    [sym_update_expression] = STATE(5024),
    [sym_cast_expression] = STATE(5024),
    [sym_sizeof_expression] = STATE(5024),
    [sym_alignof_expression] = STATE(5024),
    [sym_offsetof_expression] = STATE(5024),
    [sym_generic_expression] = STATE(5024),
    [sym_subscript_expression] = STATE(4507),
    [sym_call_expression] = STATE(4507),
    [sym_gnu_asm_expression] = STATE(5024),
    [sym_field_expression] = STATE(4507),
    [sym_compound_literal_expression] = STATE(5024),
    [sym_parenthesized_expression] = STATE(4507),
    [sym_char_literal] = STATE(5374),
    [sym_concatenated_string] = STATE(5377),
    [sym_string_literal] = STATE(4206),
    [sym_null] = STATE(5024),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9352),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(5024),
    [sym_for_range_loop] = STATE(1542),
    [sym_co_return_statement] = STATE(1529),
    [sym_co_yield_statement] = STATE(1527),
    [sym_throw_statement] = STATE(1521),
    [sym_try_statement] = STATE(1523),
    [sym_raw_string_literal] = STATE(4217),
    [sym_co_await_expression] = STATE(5024),
    [sym_new_expression] = STATE(5024),
    [sym_delete_expression] = STATE(5024),
    [sym_requires_clause] = STATE(5024),
    [sym_requires_expression] = STATE(5024),
    [sym_lambda_expression] = STATE(5024),
    [sym_lambda_capture_specifier] = STATE(7184),
    [sym_fold_expression] = STATE(5024),
    [sym_parameter_pack_expansion] = STATE(5024),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6886),
    [sym_qualified_identifier] = STATE(4507),
    [sym_qualified_type_identifier] = STATE(9352),
    [sym_user_defined_literal] = STATE(4507),
    [sym_discard_statement] = STATE(1526),
    [sym_cbuffer_specifier] = STATE(1534),
    [sym_hlsl_attribute] = STATE(9343),
    [aux_sym_attributed_declarator_repeat1] = STATE(1370),
    [sym_identifier] = ACTIONS(3544),
    [anon_sym_LPAREN2] = ACTIONS(1472),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1474),
    [anon_sym_AMP] = ACTIONS(1474),
    [anon_sym_SEMI] = ACTIONS(1980),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1482),
    [anon_sym_LBRACE] = ACTIONS(1986),
    [anon_sym_LBRACK] = ACTIONS(1484),
    [sym_primitive_type] = ACTIONS(3146),
    [anon_sym_if] = ACTIONS(1988),
    [anon_sym_switch] = ACTIONS(1990),
    [anon_sym_case] = ACTIONS(3528),
    [anon_sym_default] = ACTIONS(3530),
    [anon_sym_while] = ACTIONS(1992),
    [anon_sym_do] = ACTIONS(1994),
    [anon_sym_for] = ACTIONS(1996),
    [anon_sym_return] = ACTIONS(1998),
    [anon_sym_break] = ACTIONS(2000),
    [anon_sym_continue] = ACTIONS(2002),
    [anon_sym_goto] = ACTIONS(2004),
    [anon_sym___try] = ACTIONS(2006),
    [anon_sym___leave] = ACTIONS(2008),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_try] = ACTIONS(2010),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(2012),
    [anon_sym_co_return] = ACTIONS(2014),
    [anon_sym_co_yield] = ACTIONS(2016),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
    [anon_sym_discard] = ACTIONS(2018),
    [anon_sym_cbuffer] = ACTIONS(2020),
  },
  [1352] = {
    [sym_attribute_declaration] = STATE(1342),
    [sym_compound_statement] = STATE(932),
    [sym_attributed_statement] = STATE(932),
    [sym_labeled_statement] = STATE(932),
    [sym_expression_statement] = STATE(932),
    [sym_if_statement] = STATE(932),
    [sym_switch_statement] = STATE(932),
    [sym_case_statement] = STATE(932),
    [sym_while_statement] = STATE(932),
    [sym_do_statement] = STATE(932),
    [sym_for_statement] = STATE(932),
    [sym_return_statement] = STATE(932),
    [sym_break_statement] = STATE(932),
    [sym_continue_statement] = STATE(932),
    [sym_goto_statement] = STATE(932),
    [sym_seh_try_statement] = STATE(932),
    [sym_seh_leave_statement] = STATE(932),
    [sym__expression] = STATE(5798),
    [sym__expression_not_binary] = STATE(5024),
    [sym__string] = STATE(5024),
    [sym_comma_expression] = STATE(9706),
    [sym_conditional_expression] = STATE(5024),
    [sym_assignment_expression] = STATE(5024),
    [sym_pointer_expression] = STATE(4507),
    [sym_unary_expression] = STATE(5024),
    [sym_binary_expression] = STATE(5024),
    [sym_update_expression] = STATE(5024),
    [sym_cast_expression] = STATE(5024),
    [sym_sizeof_expression] = STATE(5024),
    [sym_alignof_expression] = STATE(5024),
    [sym_offsetof_expression] = STATE(5024),
    [sym_generic_expression] = STATE(5024),
    [sym_subscript_expression] = STATE(4507),
    [sym_call_expression] = STATE(4507),
    [sym_gnu_asm_expression] = STATE(5024),
    [sym_field_expression] = STATE(4507),
    [sym_compound_literal_expression] = STATE(5024),
    [sym_parenthesized_expression] = STATE(4507),
    [sym_char_literal] = STATE(5374),
    [sym_concatenated_string] = STATE(5377),
    [sym_string_literal] = STATE(4206),
    [sym_null] = STATE(5024),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9352),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(5024),
    [sym_for_range_loop] = STATE(932),
    [sym_co_return_statement] = STATE(932),
    [sym_co_yield_statement] = STATE(932),
    [sym_throw_statement] = STATE(932),
    [sym_try_statement] = STATE(932),
    [sym_raw_string_literal] = STATE(4217),
    [sym_co_await_expression] = STATE(5024),
    [sym_new_expression] = STATE(5024),
    [sym_delete_expression] = STATE(5024),
    [sym_requires_clause] = STATE(5024),
    [sym_requires_expression] = STATE(5024),
    [sym_lambda_expression] = STATE(5024),
    [sym_lambda_capture_specifier] = STATE(7184),
    [sym_fold_expression] = STATE(5024),
    [sym_parameter_pack_expansion] = STATE(5024),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6886),
    [sym_qualified_identifier] = STATE(4507),
    [sym_qualified_type_identifier] = STATE(9352),
    [sym_user_defined_literal] = STATE(4507),
    [sym_discard_statement] = STATE(932),
    [sym_cbuffer_specifier] = STATE(932),
    [sym_hlsl_attribute] = STATE(9024),
    [aux_sym_attributed_declarator_repeat1] = STATE(1342),
    [sym_identifier] = ACTIONS(3546),
    [anon_sym_LPAREN2] = ACTIONS(1472),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1474),
    [anon_sym_AMP] = ACTIONS(1474),
    [anon_sym_SEMI] = ACTIONS(1968),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1482),
    [anon_sym_LBRACE] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(1484),
    [sym_primitive_type] = ACTIONS(3146),
    [anon_sym_if] = ACTIONS(75),
    [anon_sym_switch] = ACTIONS(77),
    [anon_sym_case] = ACTIONS(79),
    [anon_sym_default] = ACTIONS(81),
    [anon_sym_while] = ACTIONS(83),
    [anon_sym_do] = ACTIONS(85),
    [anon_sym_for] = ACTIONS(87),
    [anon_sym_return] = ACTIONS(89),
    [anon_sym_break] = ACTIONS(91),
    [anon_sym_continue] = ACTIONS(93),
    [anon_sym_goto] = ACTIONS(95),
    [anon_sym___try] = ACTIONS(1970),
    [anon_sym___leave] = ACTIONS(1972),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_try] = ACTIONS(135),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(139),
    [anon_sym_co_return] = ACTIONS(149),
    [anon_sym_co_yield] = ACTIONS(151),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
    [anon_sym_discard] = ACTIONS(1974),
    [anon_sym_cbuffer] = ACTIONS(1976),
  },
  [1353] = {
    [sym_attribute_declaration] = STATE(1334),
    [sym_compound_statement] = STATE(287),
    [sym_attributed_statement] = STATE(287),
    [sym_labeled_statement] = STATE(287),
    [sym_expression_statement] = STATE(287),
    [sym_if_statement] = STATE(287),
    [sym_switch_statement] = STATE(287),
    [sym_case_statement] = STATE(287),
    [sym_while_statement] = STATE(287),
    [sym_do_statement] = STATE(287),
    [sym_for_statement] = STATE(287),
    [sym_return_statement] = STATE(287),
    [sym_break_statement] = STATE(287),
    [sym_continue_statement] = STATE(287),
    [sym_goto_statement] = STATE(287),
    [sym_seh_try_statement] = STATE(287),
    [sym_seh_leave_statement] = STATE(287),
    [sym__expression] = STATE(5650),
    [sym__expression_not_binary] = STATE(5024),
    [sym__string] = STATE(5024),
    [sym_comma_expression] = STATE(10263),
    [sym_conditional_expression] = STATE(5024),
    [sym_assignment_expression] = STATE(5024),
    [sym_pointer_expression] = STATE(4507),
    [sym_unary_expression] = STATE(5024),
    [sym_binary_expression] = STATE(5024),
    [sym_update_expression] = STATE(5024),
    [sym_cast_expression] = STATE(5024),
    [sym_sizeof_expression] = STATE(5024),
    [sym_alignof_expression] = STATE(5024),
    [sym_offsetof_expression] = STATE(5024),
    [sym_generic_expression] = STATE(5024),
    [sym_subscript_expression] = STATE(4507),
    [sym_call_expression] = STATE(4507),
    [sym_gnu_asm_expression] = STATE(5024),
    [sym_field_expression] = STATE(4507),
    [sym_compound_literal_expression] = STATE(5024),
    [sym_parenthesized_expression] = STATE(4507),
    [sym_char_literal] = STATE(5374),
    [sym_concatenated_string] = STATE(5377),
    [sym_string_literal] = STATE(4206),
    [sym_null] = STATE(5024),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9352),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(5024),
    [sym_for_range_loop] = STATE(287),
    [sym_co_return_statement] = STATE(287),
    [sym_co_yield_statement] = STATE(287),
    [sym_throw_statement] = STATE(287),
    [sym_try_statement] = STATE(287),
    [sym_raw_string_literal] = STATE(4217),
    [sym_co_await_expression] = STATE(5024),
    [sym_new_expression] = STATE(5024),
    [sym_delete_expression] = STATE(5024),
    [sym_requires_clause] = STATE(5024),
    [sym_requires_expression] = STATE(5024),
    [sym_lambda_expression] = STATE(5024),
    [sym_lambda_capture_specifier] = STATE(7184),
    [sym_fold_expression] = STATE(5024),
    [sym_parameter_pack_expansion] = STATE(5024),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6886),
    [sym_qualified_identifier] = STATE(4507),
    [sym_qualified_type_identifier] = STATE(9352),
    [sym_user_defined_literal] = STATE(4507),
    [sym_discard_statement] = STATE(287),
    [sym_cbuffer_specifier] = STATE(287),
    [sym_hlsl_attribute] = STATE(9442),
    [aux_sym_attributed_declarator_repeat1] = STATE(1334),
    [sym_identifier] = ACTIONS(3542),
    [anon_sym_LPAREN2] = ACTIONS(1472),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1474),
    [anon_sym_AMP] = ACTIONS(1474),
    [anon_sym_SEMI] = ACTIONS(291),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1482),
    [anon_sym_LBRACE] = ACTIONS(299),
    [anon_sym_LBRACK] = ACTIONS(1484),
    [sym_primitive_type] = ACTIONS(3146),
    [anon_sym_if] = ACTIONS(303),
    [anon_sym_switch] = ACTIONS(305),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_default] = ACTIONS(309),
    [anon_sym_while] = ACTIONS(311),
    [anon_sym_do] = ACTIONS(313),
    [anon_sym_for] = ACTIONS(315),
    [anon_sym_return] = ACTIONS(317),
    [anon_sym_break] = ACTIONS(319),
    [anon_sym_continue] = ACTIONS(321),
    [anon_sym_goto] = ACTIONS(323),
    [anon_sym___try] = ACTIONS(325),
    [anon_sym___leave] = ACTIONS(327),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_try] = ACTIONS(331),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(333),
    [anon_sym_co_return] = ACTIONS(343),
    [anon_sym_co_yield] = ACTIONS(345),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
    [anon_sym_discard] = ACTIONS(347),
    [anon_sym_cbuffer] = ACTIONS(349),
  },
  [1354] = {
    [sym_attribute_declaration] = STATE(1370),
    [sym_compound_statement] = STATE(1536),
    [sym_attributed_statement] = STATE(1548),
    [sym_labeled_statement] = STATE(1549),
    [sym_expression_statement] = STATE(1551),
    [sym_if_statement] = STATE(1552),
    [sym_switch_statement] = STATE(1555),
    [sym_case_statement] = STATE(1557),
    [sym_while_statement] = STATE(1558),
    [sym_do_statement] = STATE(1563),
    [sym_for_statement] = STATE(1577),
    [sym_return_statement] = STATE(1589),
    [sym_break_statement] = STATE(1590),
    [sym_continue_statement] = STATE(1596),
    [sym_goto_statement] = STATE(1604),
    [sym_seh_try_statement] = STATE(1611),
    [sym_seh_leave_statement] = STATE(1618),
    [sym__expression] = STATE(5719),
    [sym__expression_not_binary] = STATE(5024),
    [sym__string] = STATE(5024),
    [sym_comma_expression] = STATE(9810),
    [sym_conditional_expression] = STATE(5024),
    [sym_assignment_expression] = STATE(5024),
    [sym_pointer_expression] = STATE(4507),
    [sym_unary_expression] = STATE(5024),
    [sym_binary_expression] = STATE(5024),
    [sym_update_expression] = STATE(5024),
    [sym_cast_expression] = STATE(5024),
    [sym_sizeof_expression] = STATE(5024),
    [sym_alignof_expression] = STATE(5024),
    [sym_offsetof_expression] = STATE(5024),
    [sym_generic_expression] = STATE(5024),
    [sym_subscript_expression] = STATE(4507),
    [sym_call_expression] = STATE(4507),
    [sym_gnu_asm_expression] = STATE(5024),
    [sym_field_expression] = STATE(4507),
    [sym_compound_literal_expression] = STATE(5024),
    [sym_parenthesized_expression] = STATE(4507),
    [sym_char_literal] = STATE(5374),
    [sym_concatenated_string] = STATE(5377),
    [sym_string_literal] = STATE(4206),
    [sym_null] = STATE(5024),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9352),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(5024),
    [sym_for_range_loop] = STATE(1625),
    [sym_co_return_statement] = STATE(1629),
    [sym_co_yield_statement] = STATE(1595),
    [sym_throw_statement] = STATE(1633),
    [sym_try_statement] = STATE(1572),
    [sym_raw_string_literal] = STATE(4217),
    [sym_co_await_expression] = STATE(5024),
    [sym_new_expression] = STATE(5024),
    [sym_delete_expression] = STATE(5024),
    [sym_requires_clause] = STATE(5024),
    [sym_requires_expression] = STATE(5024),
    [sym_lambda_expression] = STATE(5024),
    [sym_lambda_capture_specifier] = STATE(7184),
    [sym_fold_expression] = STATE(5024),
    [sym_parameter_pack_expansion] = STATE(5024),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6886),
    [sym_qualified_identifier] = STATE(4507),
    [sym_qualified_type_identifier] = STATE(9352),
    [sym_user_defined_literal] = STATE(4507),
    [sym_discard_statement] = STATE(1570),
    [sym_cbuffer_specifier] = STATE(1634),
    [sym_hlsl_attribute] = STATE(9343),
    [aux_sym_attributed_declarator_repeat1] = STATE(1370),
    [sym_identifier] = ACTIONS(3544),
    [anon_sym_LPAREN2] = ACTIONS(1472),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1474),
    [anon_sym_AMP] = ACTIONS(1474),
    [anon_sym_SEMI] = ACTIONS(1980),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1482),
    [anon_sym_LBRACE] = ACTIONS(1986),
    [anon_sym_LBRACK] = ACTIONS(1484),
    [sym_primitive_type] = ACTIONS(3146),
    [anon_sym_if] = ACTIONS(1988),
    [anon_sym_switch] = ACTIONS(1990),
    [anon_sym_case] = ACTIONS(3528),
    [anon_sym_default] = ACTIONS(3530),
    [anon_sym_while] = ACTIONS(1992),
    [anon_sym_do] = ACTIONS(1994),
    [anon_sym_for] = ACTIONS(1996),
    [anon_sym_return] = ACTIONS(1998),
    [anon_sym_break] = ACTIONS(2000),
    [anon_sym_continue] = ACTIONS(2002),
    [anon_sym_goto] = ACTIONS(2004),
    [anon_sym___try] = ACTIONS(2006),
    [anon_sym___leave] = ACTIONS(2008),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_try] = ACTIONS(2010),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(2012),
    [anon_sym_co_return] = ACTIONS(2014),
    [anon_sym_co_yield] = ACTIONS(2016),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
    [anon_sym_discard] = ACTIONS(2018),
    [anon_sym_cbuffer] = ACTIONS(2020),
  },
  [1355] = {
    [sym_attribute_declaration] = STATE(1367),
    [sym_compound_statement] = STATE(718),
    [sym_attributed_statement] = STATE(718),
    [sym_labeled_statement] = STATE(718),
    [sym_expression_statement] = STATE(718),
    [sym_if_statement] = STATE(718),
    [sym_switch_statement] = STATE(718),
    [sym_case_statement] = STATE(718),
    [sym_while_statement] = STATE(718),
    [sym_do_statement] = STATE(718),
    [sym_for_statement] = STATE(718),
    [sym_return_statement] = STATE(718),
    [sym_break_statement] = STATE(718),
    [sym_continue_statement] = STATE(718),
    [sym_goto_statement] = STATE(718),
    [sym_seh_try_statement] = STATE(718),
    [sym_seh_leave_statement] = STATE(718),
    [sym__expression] = STATE(5768),
    [sym__expression_not_binary] = STATE(5024),
    [sym__string] = STATE(5024),
    [sym_comma_expression] = STATE(9694),
    [sym_conditional_expression] = STATE(5024),
    [sym_assignment_expression] = STATE(5024),
    [sym_pointer_expression] = STATE(4507),
    [sym_unary_expression] = STATE(5024),
    [sym_binary_expression] = STATE(5024),
    [sym_update_expression] = STATE(5024),
    [sym_cast_expression] = STATE(5024),
    [sym_sizeof_expression] = STATE(5024),
    [sym_alignof_expression] = STATE(5024),
    [sym_offsetof_expression] = STATE(5024),
    [sym_generic_expression] = STATE(5024),
    [sym_subscript_expression] = STATE(4507),
    [sym_call_expression] = STATE(4507),
    [sym_gnu_asm_expression] = STATE(5024),
    [sym_field_expression] = STATE(4507),
    [sym_compound_literal_expression] = STATE(5024),
    [sym_parenthesized_expression] = STATE(4507),
    [sym_char_literal] = STATE(5374),
    [sym_concatenated_string] = STATE(5377),
    [sym_string_literal] = STATE(4206),
    [sym_null] = STATE(5024),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9352),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(5024),
    [sym_for_range_loop] = STATE(718),
    [sym_co_return_statement] = STATE(718),
    [sym_co_yield_statement] = STATE(718),
    [sym_throw_statement] = STATE(718),
    [sym_try_statement] = STATE(718),
    [sym_raw_string_literal] = STATE(4217),
    [sym_co_await_expression] = STATE(5024),
    [sym_new_expression] = STATE(5024),
    [sym_delete_expression] = STATE(5024),
    [sym_requires_clause] = STATE(5024),
    [sym_requires_expression] = STATE(5024),
    [sym_lambda_expression] = STATE(5024),
    [sym_lambda_capture_specifier] = STATE(7184),
    [sym_fold_expression] = STATE(5024),
    [sym_parameter_pack_expansion] = STATE(5024),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6886),
    [sym_qualified_identifier] = STATE(4507),
    [sym_qualified_type_identifier] = STATE(9352),
    [sym_user_defined_literal] = STATE(4507),
    [sym_discard_statement] = STATE(718),
    [sym_cbuffer_specifier] = STATE(718),
    [sym_hlsl_attribute] = STATE(9208),
    [aux_sym_attributed_declarator_repeat1] = STATE(1367),
    [sym_identifier] = ACTIONS(3522),
    [anon_sym_LPAREN2] = ACTIONS(1472),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1474),
    [anon_sym_AMP] = ACTIONS(1474),
    [anon_sym_SEMI] = ACTIONS(1128),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1482),
    [anon_sym_LBRACE] = ACTIONS(1136),
    [anon_sym_LBRACK] = ACTIONS(1484),
    [sym_primitive_type] = ACTIONS(3146),
    [anon_sym_if] = ACTIONS(1140),
    [anon_sym_switch] = ACTIONS(1142),
    [anon_sym_case] = ACTIONS(1144),
    [anon_sym_default] = ACTIONS(1146),
    [anon_sym_while] = ACTIONS(1148),
    [anon_sym_do] = ACTIONS(1150),
    [anon_sym_for] = ACTIONS(1152),
    [anon_sym_return] = ACTIONS(1154),
    [anon_sym_break] = ACTIONS(1156),
    [anon_sym_continue] = ACTIONS(1158),
    [anon_sym_goto] = ACTIONS(1160),
    [anon_sym___try] = ACTIONS(1162),
    [anon_sym___leave] = ACTIONS(1164),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_try] = ACTIONS(1168),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(1170),
    [anon_sym_co_return] = ACTIONS(1180),
    [anon_sym_co_yield] = ACTIONS(1182),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
    [anon_sym_discard] = ACTIONS(1184),
    [anon_sym_cbuffer] = ACTIONS(1186),
  },
  [1356] = {
    [sym_attribute_declaration] = STATE(1370),
    [sym_compound_statement] = STATE(1586),
    [sym_attributed_statement] = STATE(1591),
    [sym_labeled_statement] = STATE(1594),
    [sym_expression_statement] = STATE(1600),
    [sym_if_statement] = STATE(1610),
    [sym_switch_statement] = STATE(1635),
    [sym_case_statement] = STATE(1517),
    [sym_while_statement] = STATE(1632),
    [sym_do_statement] = STATE(1628),
    [sym_for_statement] = STATE(1516),
    [sym_return_statement] = STATE(1626),
    [sym_break_statement] = STATE(1624),
    [sym_continue_statement] = STATE(1623),
    [sym_goto_statement] = STATE(1621),
    [sym_seh_try_statement] = STATE(1619),
    [sym_seh_leave_statement] = STATE(1617),
    [sym__expression] = STATE(5719),
    [sym__expression_not_binary] = STATE(5024),
    [sym__string] = STATE(5024),
    [sym_comma_expression] = STATE(9810),
    [sym_conditional_expression] = STATE(5024),
    [sym_assignment_expression] = STATE(5024),
    [sym_pointer_expression] = STATE(4507),
    [sym_unary_expression] = STATE(5024),
    [sym_binary_expression] = STATE(5024),
    [sym_update_expression] = STATE(5024),
    [sym_cast_expression] = STATE(5024),
    [sym_sizeof_expression] = STATE(5024),
    [sym_alignof_expression] = STATE(5024),
    [sym_offsetof_expression] = STATE(5024),
    [sym_generic_expression] = STATE(5024),
    [sym_subscript_expression] = STATE(4507),
    [sym_call_expression] = STATE(4507),
    [sym_gnu_asm_expression] = STATE(5024),
    [sym_field_expression] = STATE(4507),
    [sym_compound_literal_expression] = STATE(5024),
    [sym_parenthesized_expression] = STATE(4507),
    [sym_char_literal] = STATE(5374),
    [sym_concatenated_string] = STATE(5377),
    [sym_string_literal] = STATE(4206),
    [sym_null] = STATE(5024),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9352),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(5024),
    [sym_for_range_loop] = STATE(1616),
    [sym_co_return_statement] = STATE(1615),
    [sym_co_yield_statement] = STATE(1614),
    [sym_throw_statement] = STATE(1613),
    [sym_try_statement] = STATE(1609),
    [sym_raw_string_literal] = STATE(4217),
    [sym_co_await_expression] = STATE(5024),
    [sym_new_expression] = STATE(5024),
    [sym_delete_expression] = STATE(5024),
    [sym_requires_clause] = STATE(5024),
    [sym_requires_expression] = STATE(5024),
    [sym_lambda_expression] = STATE(5024),
    [sym_lambda_capture_specifier] = STATE(7184),
    [sym_fold_expression] = STATE(5024),
    [sym_parameter_pack_expansion] = STATE(5024),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6886),
    [sym_qualified_identifier] = STATE(4507),
    [sym_qualified_type_identifier] = STATE(9352),
    [sym_user_defined_literal] = STATE(4507),
    [sym_discard_statement] = STATE(1608),
    [sym_cbuffer_specifier] = STATE(1607),
    [sym_hlsl_attribute] = STATE(9343),
    [aux_sym_attributed_declarator_repeat1] = STATE(1370),
    [sym_identifier] = ACTIONS(3544),
    [anon_sym_LPAREN2] = ACTIONS(1472),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1474),
    [anon_sym_AMP] = ACTIONS(1474),
    [anon_sym_SEMI] = ACTIONS(1980),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1482),
    [anon_sym_LBRACE] = ACTIONS(1986),
    [anon_sym_LBRACK] = ACTIONS(1484),
    [sym_primitive_type] = ACTIONS(3146),
    [anon_sym_if] = ACTIONS(1988),
    [anon_sym_switch] = ACTIONS(1990),
    [anon_sym_case] = ACTIONS(3528),
    [anon_sym_default] = ACTIONS(3530),
    [anon_sym_while] = ACTIONS(1992),
    [anon_sym_do] = ACTIONS(1994),
    [anon_sym_for] = ACTIONS(1996),
    [anon_sym_return] = ACTIONS(1998),
    [anon_sym_break] = ACTIONS(2000),
    [anon_sym_continue] = ACTIONS(2002),
    [anon_sym_goto] = ACTIONS(2004),
    [anon_sym___try] = ACTIONS(2006),
    [anon_sym___leave] = ACTIONS(2008),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_try] = ACTIONS(2010),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(2012),
    [anon_sym_co_return] = ACTIONS(2014),
    [anon_sym_co_yield] = ACTIONS(2016),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
    [anon_sym_discard] = ACTIONS(2018),
    [anon_sym_cbuffer] = ACTIONS(2020),
  },
  [1357] = {
    [sym_attribute_declaration] = STATE(1357),
    [sym_compound_statement] = STATE(541),
    [sym_attributed_statement] = STATE(541),
    [sym_labeled_statement] = STATE(541),
    [sym_expression_statement] = STATE(541),
    [sym_if_statement] = STATE(541),
    [sym_switch_statement] = STATE(541),
    [sym_case_statement] = STATE(541),
    [sym_while_statement] = STATE(541),
    [sym_do_statement] = STATE(541),
    [sym_for_statement] = STATE(541),
    [sym_return_statement] = STATE(541),
    [sym_break_statement] = STATE(541),
    [sym_continue_statement] = STATE(541),
    [sym_goto_statement] = STATE(541),
    [sym_seh_try_statement] = STATE(541),
    [sym_seh_leave_statement] = STATE(541),
    [sym__expression] = STATE(5802),
    [sym__expression_not_binary] = STATE(5024),
    [sym__string] = STATE(5024),
    [sym_comma_expression] = STATE(9525),
    [sym_conditional_expression] = STATE(5024),
    [sym_assignment_expression] = STATE(5024),
    [sym_pointer_expression] = STATE(4507),
    [sym_unary_expression] = STATE(5024),
    [sym_binary_expression] = STATE(5024),
    [sym_update_expression] = STATE(5024),
    [sym_cast_expression] = STATE(5024),
    [sym_sizeof_expression] = STATE(5024),
    [sym_alignof_expression] = STATE(5024),
    [sym_offsetof_expression] = STATE(5024),
    [sym_generic_expression] = STATE(5024),
    [sym_subscript_expression] = STATE(4507),
    [sym_call_expression] = STATE(4507),
    [sym_gnu_asm_expression] = STATE(5024),
    [sym_field_expression] = STATE(4507),
    [sym_compound_literal_expression] = STATE(5024),
    [sym_parenthesized_expression] = STATE(4507),
    [sym_char_literal] = STATE(5374),
    [sym_concatenated_string] = STATE(5377),
    [sym_string_literal] = STATE(4206),
    [sym_null] = STATE(5024),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9352),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(5024),
    [sym_for_range_loop] = STATE(541),
    [sym_co_return_statement] = STATE(541),
    [sym_co_yield_statement] = STATE(541),
    [sym_throw_statement] = STATE(541),
    [sym_try_statement] = STATE(541),
    [sym_raw_string_literal] = STATE(4217),
    [sym_co_await_expression] = STATE(5024),
    [sym_new_expression] = STATE(5024),
    [sym_delete_expression] = STATE(5024),
    [sym_requires_clause] = STATE(5024),
    [sym_requires_expression] = STATE(5024),
    [sym_lambda_expression] = STATE(5024),
    [sym_lambda_capture_specifier] = STATE(7184),
    [sym_fold_expression] = STATE(5024),
    [sym_parameter_pack_expansion] = STATE(5024),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6886),
    [sym_qualified_identifier] = STATE(4507),
    [sym_qualified_type_identifier] = STATE(9352),
    [sym_user_defined_literal] = STATE(4507),
    [sym_discard_statement] = STATE(541),
    [sym_cbuffer_specifier] = STATE(541),
    [sym_hlsl_attribute] = STATE(9266),
    [aux_sym_attributed_declarator_repeat1] = STATE(1357),
    [sym_identifier] = ACTIONS(3581),
    [anon_sym_LPAREN2] = ACTIONS(3381),
    [anon_sym_BANG] = ACTIONS(3384),
    [anon_sym_TILDE] = ACTIONS(3384),
    [anon_sym_DASH] = ACTIONS(3387),
    [anon_sym_PLUS] = ACTIONS(3387),
    [anon_sym_STAR] = ACTIONS(3390),
    [anon_sym_AMP] = ACTIONS(3390),
    [anon_sym_SEMI] = ACTIONS(3584),
    [anon_sym_COLON_COLON] = ACTIONS(3396),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3399),
    [anon_sym_LBRACE] = ACTIONS(3587),
    [anon_sym_LBRACK] = ACTIONS(3405),
    [sym_primitive_type] = ACTIONS(3408),
    [anon_sym_if] = ACTIONS(3590),
    [anon_sym_switch] = ACTIONS(3593),
    [anon_sym_case] = ACTIONS(3596),
    [anon_sym_default] = ACTIONS(3599),
    [anon_sym_while] = ACTIONS(3602),
    [anon_sym_do] = ACTIONS(3605),
    [anon_sym_for] = ACTIONS(3608),
    [anon_sym_return] = ACTIONS(3611),
    [anon_sym_break] = ACTIONS(3614),
    [anon_sym_continue] = ACTIONS(3617),
    [anon_sym_goto] = ACTIONS(3620),
    [anon_sym___try] = ACTIONS(3623),
    [anon_sym___leave] = ACTIONS(3626),
    [anon_sym_not] = ACTIONS(3387),
    [anon_sym_compl] = ACTIONS(3387),
    [anon_sym_DASH_DASH] = ACTIONS(3450),
    [anon_sym_PLUS_PLUS] = ACTIONS(3450),
    [anon_sym_sizeof] = ACTIONS(3453),
    [anon_sym___alignof__] = ACTIONS(3456),
    [anon_sym___alignof] = ACTIONS(3456),
    [anon_sym__alignof] = ACTIONS(3456),
    [anon_sym_alignof] = ACTIONS(3456),
    [anon_sym__Alignof] = ACTIONS(3456),
    [anon_sym_offsetof] = ACTIONS(3459),
    [anon_sym__Generic] = ACTIONS(3462),
    [anon_sym_asm] = ACTIONS(3465),
    [anon_sym___asm__] = ACTIONS(3465),
    [sym_number_literal] = ACTIONS(3468),
    [anon_sym_L_SQUOTE] = ACTIONS(3471),
    [anon_sym_u_SQUOTE] = ACTIONS(3471),
    [anon_sym_U_SQUOTE] = ACTIONS(3471),
    [anon_sym_u8_SQUOTE] = ACTIONS(3471),
    [anon_sym_SQUOTE] = ACTIONS(3471),
    [anon_sym_L_DQUOTE] = ACTIONS(3474),
    [anon_sym_u_DQUOTE] = ACTIONS(3474),
    [anon_sym_U_DQUOTE] = ACTIONS(3474),
    [anon_sym_u8_DQUOTE] = ACTIONS(3474),
    [anon_sym_DQUOTE] = ACTIONS(3474),
    [sym_true] = ACTIONS(3477),
    [sym_false] = ACTIONS(3477),
    [anon_sym_NULL] = ACTIONS(3480),
    [anon_sym_nullptr] = ACTIONS(3480),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3483),
    [anon_sym_template] = ACTIONS(3486),
    [anon_sym_try] = ACTIONS(3629),
    [anon_sym_delete] = ACTIONS(3492),
    [anon_sym_throw] = ACTIONS(3632),
    [anon_sym_co_return] = ACTIONS(3635),
    [anon_sym_co_yield] = ACTIONS(3638),
    [anon_sym_R_DQUOTE] = ACTIONS(3504),
    [anon_sym_LR_DQUOTE] = ACTIONS(3504),
    [anon_sym_uR_DQUOTE] = ACTIONS(3504),
    [anon_sym_UR_DQUOTE] = ACTIONS(3504),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3504),
    [anon_sym_co_await] = ACTIONS(3507),
    [anon_sym_new] = ACTIONS(3510),
    [anon_sym_requires] = ACTIONS(3513),
    [sym_this] = ACTIONS(3477),
    [anon_sym_discard] = ACTIONS(3641),
    [anon_sym_cbuffer] = ACTIONS(3644),
  },
  [1358] = {
    [sym_attribute_declaration] = STATE(1334),
    [sym_compound_statement] = STATE(214),
    [sym_attributed_statement] = STATE(214),
    [sym_labeled_statement] = STATE(214),
    [sym_expression_statement] = STATE(214),
    [sym_if_statement] = STATE(214),
    [sym_switch_statement] = STATE(214),
    [sym_case_statement] = STATE(214),
    [sym_while_statement] = STATE(214),
    [sym_do_statement] = STATE(214),
    [sym_for_statement] = STATE(214),
    [sym_return_statement] = STATE(214),
    [sym_break_statement] = STATE(214),
    [sym_continue_statement] = STATE(214),
    [sym_goto_statement] = STATE(214),
    [sym_seh_try_statement] = STATE(214),
    [sym_seh_leave_statement] = STATE(214),
    [sym__expression] = STATE(5650),
    [sym__expression_not_binary] = STATE(5024),
    [sym__string] = STATE(5024),
    [sym_comma_expression] = STATE(10263),
    [sym_conditional_expression] = STATE(5024),
    [sym_assignment_expression] = STATE(5024),
    [sym_pointer_expression] = STATE(4507),
    [sym_unary_expression] = STATE(5024),
    [sym_binary_expression] = STATE(5024),
    [sym_update_expression] = STATE(5024),
    [sym_cast_expression] = STATE(5024),
    [sym_sizeof_expression] = STATE(5024),
    [sym_alignof_expression] = STATE(5024),
    [sym_offsetof_expression] = STATE(5024),
    [sym_generic_expression] = STATE(5024),
    [sym_subscript_expression] = STATE(4507),
    [sym_call_expression] = STATE(4507),
    [sym_gnu_asm_expression] = STATE(5024),
    [sym_field_expression] = STATE(4507),
    [sym_compound_literal_expression] = STATE(5024),
    [sym_parenthesized_expression] = STATE(4507),
    [sym_char_literal] = STATE(5374),
    [sym_concatenated_string] = STATE(5377),
    [sym_string_literal] = STATE(4206),
    [sym_null] = STATE(5024),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9352),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(5024),
    [sym_for_range_loop] = STATE(214),
    [sym_co_return_statement] = STATE(214),
    [sym_co_yield_statement] = STATE(214),
    [sym_throw_statement] = STATE(214),
    [sym_try_statement] = STATE(214),
    [sym_raw_string_literal] = STATE(4217),
    [sym_co_await_expression] = STATE(5024),
    [sym_new_expression] = STATE(5024),
    [sym_delete_expression] = STATE(5024),
    [sym_requires_clause] = STATE(5024),
    [sym_requires_expression] = STATE(5024),
    [sym_lambda_expression] = STATE(5024),
    [sym_lambda_capture_specifier] = STATE(7184),
    [sym_fold_expression] = STATE(5024),
    [sym_parameter_pack_expansion] = STATE(5024),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6886),
    [sym_qualified_identifier] = STATE(4507),
    [sym_qualified_type_identifier] = STATE(9352),
    [sym_user_defined_literal] = STATE(4507),
    [sym_discard_statement] = STATE(214),
    [sym_cbuffer_specifier] = STATE(214),
    [sym_hlsl_attribute] = STATE(9442),
    [aux_sym_attributed_declarator_repeat1] = STATE(1334),
    [sym_identifier] = ACTIONS(3542),
    [anon_sym_LPAREN2] = ACTIONS(1472),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1474),
    [anon_sym_AMP] = ACTIONS(1474),
    [anon_sym_SEMI] = ACTIONS(291),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1482),
    [anon_sym_LBRACE] = ACTIONS(299),
    [anon_sym_LBRACK] = ACTIONS(1484),
    [sym_primitive_type] = ACTIONS(3146),
    [anon_sym_if] = ACTIONS(303),
    [anon_sym_switch] = ACTIONS(305),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_default] = ACTIONS(309),
    [anon_sym_while] = ACTIONS(311),
    [anon_sym_do] = ACTIONS(313),
    [anon_sym_for] = ACTIONS(315),
    [anon_sym_return] = ACTIONS(317),
    [anon_sym_break] = ACTIONS(319),
    [anon_sym_continue] = ACTIONS(321),
    [anon_sym_goto] = ACTIONS(323),
    [anon_sym___try] = ACTIONS(325),
    [anon_sym___leave] = ACTIONS(327),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_try] = ACTIONS(331),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(333),
    [anon_sym_co_return] = ACTIONS(343),
    [anon_sym_co_yield] = ACTIONS(345),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
    [anon_sym_discard] = ACTIONS(347),
    [anon_sym_cbuffer] = ACTIONS(349),
  },
  [1359] = {
    [sym_attribute_declaration] = STATE(1366),
    [sym_compound_statement] = STATE(8751),
    [sym_attributed_statement] = STATE(8751),
    [sym_labeled_statement] = STATE(8751),
    [sym_expression_statement] = STATE(8751),
    [sym_if_statement] = STATE(8751),
    [sym_switch_statement] = STATE(8751),
    [sym_case_statement] = STATE(8751),
    [sym_while_statement] = STATE(8751),
    [sym_do_statement] = STATE(8751),
    [sym_for_statement] = STATE(8751),
    [sym_return_statement] = STATE(8751),
    [sym_break_statement] = STATE(8751),
    [sym_continue_statement] = STATE(8751),
    [sym_goto_statement] = STATE(8751),
    [sym_seh_try_statement] = STATE(8751),
    [sym_seh_leave_statement] = STATE(8751),
    [sym__expression] = STATE(5674),
    [sym__expression_not_binary] = STATE(5024),
    [sym__string] = STATE(5024),
    [sym_comma_expression] = STATE(10272),
    [sym_conditional_expression] = STATE(5024),
    [sym_assignment_expression] = STATE(5024),
    [sym_pointer_expression] = STATE(4507),
    [sym_unary_expression] = STATE(5024),
    [sym_binary_expression] = STATE(5024),
    [sym_update_expression] = STATE(5024),
    [sym_cast_expression] = STATE(5024),
    [sym_sizeof_expression] = STATE(5024),
    [sym_alignof_expression] = STATE(5024),
    [sym_offsetof_expression] = STATE(5024),
    [sym_generic_expression] = STATE(5024),
    [sym_subscript_expression] = STATE(4507),
    [sym_call_expression] = STATE(4507),
    [sym_gnu_asm_expression] = STATE(5024),
    [sym_field_expression] = STATE(4507),
    [sym_compound_literal_expression] = STATE(5024),
    [sym_parenthesized_expression] = STATE(4507),
    [sym_char_literal] = STATE(5374),
    [sym_concatenated_string] = STATE(5377),
    [sym_string_literal] = STATE(4206),
    [sym_null] = STATE(5024),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9352),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(5024),
    [sym_for_range_loop] = STATE(8751),
    [sym_co_return_statement] = STATE(8751),
    [sym_co_yield_statement] = STATE(8751),
    [sym_throw_statement] = STATE(8751),
    [sym_try_statement] = STATE(8751),
    [sym_raw_string_literal] = STATE(4217),
    [sym_co_await_expression] = STATE(5024),
    [sym_new_expression] = STATE(5024),
    [sym_delete_expression] = STATE(5024),
    [sym_requires_clause] = STATE(5024),
    [sym_requires_expression] = STATE(5024),
    [sym_lambda_expression] = STATE(5024),
    [sym_lambda_capture_specifier] = STATE(7184),
    [sym_fold_expression] = STATE(5024),
    [sym_parameter_pack_expansion] = STATE(5024),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6886),
    [sym_qualified_identifier] = STATE(4507),
    [sym_qualified_type_identifier] = STATE(9352),
    [sym_user_defined_literal] = STATE(4507),
    [sym_discard_statement] = STATE(8751),
    [sym_cbuffer_specifier] = STATE(8751),
    [sym_hlsl_attribute] = STATE(9277),
    [aux_sym_attributed_declarator_repeat1] = STATE(1366),
    [sym_identifier] = ACTIONS(3524),
    [anon_sym_LPAREN2] = ACTIONS(1472),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1474),
    [anon_sym_AMP] = ACTIONS(1474),
    [anon_sym_SEMI] = ACTIONS(177),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1482),
    [anon_sym_LBRACE] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(1484),
    [sym_primitive_type] = ACTIONS(3146),
    [anon_sym_if] = ACTIONS(3526),
    [anon_sym_switch] = ACTIONS(77),
    [anon_sym_case] = ACTIONS(3528),
    [anon_sym_default] = ACTIONS(3530),
    [anon_sym_while] = ACTIONS(3532),
    [anon_sym_do] = ACTIONS(85),
    [anon_sym_for] = ACTIONS(3534),
    [anon_sym_return] = ACTIONS(89),
    [anon_sym_break] = ACTIONS(91),
    [anon_sym_continue] = ACTIONS(93),
    [anon_sym_goto] = ACTIONS(95),
    [anon_sym___try] = ACTIONS(3536),
    [anon_sym___leave] = ACTIONS(217),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_try] = ACTIONS(135),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(139),
    [anon_sym_co_return] = ACTIONS(149),
    [anon_sym_co_yield] = ACTIONS(151),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
    [anon_sym_discard] = ACTIONS(241),
    [anon_sym_cbuffer] = ACTIONS(3538),
  },
  [1360] = {
    [sym_attribute_declaration] = STATE(1339),
    [sym_compound_statement] = STATE(861),
    [sym_attributed_statement] = STATE(827),
    [sym_labeled_statement] = STATE(835),
    [sym_expression_statement] = STATE(849),
    [sym_if_statement] = STATE(852),
    [sym_switch_statement] = STATE(892),
    [sym_case_statement] = STATE(1018),
    [sym_while_statement] = STATE(1016),
    [sym_do_statement] = STATE(1015),
    [sym_for_statement] = STATE(1013),
    [sym_return_statement] = STATE(1012),
    [sym_break_statement] = STATE(1005),
    [sym_continue_statement] = STATE(1003),
    [sym_goto_statement] = STATE(999),
    [sym_seh_try_statement] = STATE(987),
    [sym_seh_leave_statement] = STATE(984),
    [sym__expression] = STATE(5674),
    [sym__expression_not_binary] = STATE(5024),
    [sym__string] = STATE(5024),
    [sym_comma_expression] = STATE(10272),
    [sym_conditional_expression] = STATE(5024),
    [sym_assignment_expression] = STATE(5024),
    [sym_pointer_expression] = STATE(4507),
    [sym_unary_expression] = STATE(5024),
    [sym_binary_expression] = STATE(5024),
    [sym_update_expression] = STATE(5024),
    [sym_cast_expression] = STATE(5024),
    [sym_sizeof_expression] = STATE(5024),
    [sym_alignof_expression] = STATE(5024),
    [sym_offsetof_expression] = STATE(5024),
    [sym_generic_expression] = STATE(5024),
    [sym_subscript_expression] = STATE(4507),
    [sym_call_expression] = STATE(4507),
    [sym_gnu_asm_expression] = STATE(5024),
    [sym_field_expression] = STATE(4507),
    [sym_compound_literal_expression] = STATE(5024),
    [sym_parenthesized_expression] = STATE(4507),
    [sym_char_literal] = STATE(5374),
    [sym_concatenated_string] = STATE(5377),
    [sym_string_literal] = STATE(4206),
    [sym_null] = STATE(5024),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9352),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(5024),
    [sym_for_range_loop] = STATE(983),
    [sym_co_return_statement] = STATE(980),
    [sym_co_yield_statement] = STATE(971),
    [sym_throw_statement] = STATE(961),
    [sym_try_statement] = STATE(960),
    [sym_raw_string_literal] = STATE(4217),
    [sym_co_await_expression] = STATE(5024),
    [sym_new_expression] = STATE(5024),
    [sym_delete_expression] = STATE(5024),
    [sym_requires_clause] = STATE(5024),
    [sym_requires_expression] = STATE(5024),
    [sym_lambda_expression] = STATE(5024),
    [sym_lambda_capture_specifier] = STATE(7184),
    [sym_fold_expression] = STATE(5024),
    [sym_parameter_pack_expansion] = STATE(5024),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6886),
    [sym_qualified_identifier] = STATE(4507),
    [sym_qualified_type_identifier] = STATE(9352),
    [sym_user_defined_literal] = STATE(4507),
    [sym_discard_statement] = STATE(959),
    [sym_cbuffer_specifier] = STATE(957),
    [sym_hlsl_attribute] = STATE(9351),
    [aux_sym_attributed_declarator_repeat1] = STATE(1339),
    [sym_identifier] = ACTIONS(3376),
    [anon_sym_LPAREN2] = ACTIONS(1472),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1474),
    [anon_sym_AMP] = ACTIONS(1474),
    [anon_sym_SEMI] = ACTIONS(177),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1482),
    [anon_sym_LBRACE] = ACTIONS(830),
    [anon_sym_LBRACK] = ACTIONS(1484),
    [sym_primitive_type] = ACTIONS(3146),
    [anon_sym_if] = ACTIONS(193),
    [anon_sym_switch] = ACTIONS(195),
    [anon_sym_case] = ACTIONS(197),
    [anon_sym_default] = ACTIONS(199),
    [anon_sym_while] = ACTIONS(201),
    [anon_sym_do] = ACTIONS(203),
    [anon_sym_for] = ACTIONS(205),
    [anon_sym_return] = ACTIONS(207),
    [anon_sym_break] = ACTIONS(209),
    [anon_sym_continue] = ACTIONS(211),
    [anon_sym_goto] = ACTIONS(213),
    [anon_sym___try] = ACTIONS(215),
    [anon_sym___leave] = ACTIONS(217),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_try] = ACTIONS(225),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(227),
    [anon_sym_co_return] = ACTIONS(237),
    [anon_sym_co_yield] = ACTIONS(239),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
    [anon_sym_discard] = ACTIONS(241),
    [anon_sym_cbuffer] = ACTIONS(243),
  },
  [1361] = {
    [sym_attribute_declaration] = STATE(1339),
    [sym_compound_statement] = STATE(663),
    [sym_attributed_statement] = STATE(663),
    [sym_labeled_statement] = STATE(663),
    [sym_expression_statement] = STATE(663),
    [sym_if_statement] = STATE(663),
    [sym_switch_statement] = STATE(663),
    [sym_case_statement] = STATE(663),
    [sym_while_statement] = STATE(663),
    [sym_do_statement] = STATE(663),
    [sym_for_statement] = STATE(663),
    [sym_return_statement] = STATE(663),
    [sym_break_statement] = STATE(663),
    [sym_continue_statement] = STATE(663),
    [sym_goto_statement] = STATE(663),
    [sym_seh_try_statement] = STATE(663),
    [sym_seh_leave_statement] = STATE(663),
    [sym__expression] = STATE(5674),
    [sym__expression_not_binary] = STATE(5024),
    [sym__string] = STATE(5024),
    [sym_comma_expression] = STATE(10272),
    [sym_conditional_expression] = STATE(5024),
    [sym_assignment_expression] = STATE(5024),
    [sym_pointer_expression] = STATE(4507),
    [sym_unary_expression] = STATE(5024),
    [sym_binary_expression] = STATE(5024),
    [sym_update_expression] = STATE(5024),
    [sym_cast_expression] = STATE(5024),
    [sym_sizeof_expression] = STATE(5024),
    [sym_alignof_expression] = STATE(5024),
    [sym_offsetof_expression] = STATE(5024),
    [sym_generic_expression] = STATE(5024),
    [sym_subscript_expression] = STATE(4507),
    [sym_call_expression] = STATE(4507),
    [sym_gnu_asm_expression] = STATE(5024),
    [sym_field_expression] = STATE(4507),
    [sym_compound_literal_expression] = STATE(5024),
    [sym_parenthesized_expression] = STATE(4507),
    [sym_char_literal] = STATE(5374),
    [sym_concatenated_string] = STATE(5377),
    [sym_string_literal] = STATE(4206),
    [sym_null] = STATE(5024),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9352),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(5024),
    [sym_for_range_loop] = STATE(663),
    [sym_co_return_statement] = STATE(663),
    [sym_co_yield_statement] = STATE(663),
    [sym_throw_statement] = STATE(663),
    [sym_try_statement] = STATE(663),
    [sym_raw_string_literal] = STATE(4217),
    [sym_co_await_expression] = STATE(5024),
    [sym_new_expression] = STATE(5024),
    [sym_delete_expression] = STATE(5024),
    [sym_requires_clause] = STATE(5024),
    [sym_requires_expression] = STATE(5024),
    [sym_lambda_expression] = STATE(5024),
    [sym_lambda_capture_specifier] = STATE(7184),
    [sym_fold_expression] = STATE(5024),
    [sym_parameter_pack_expansion] = STATE(5024),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6886),
    [sym_qualified_identifier] = STATE(4507),
    [sym_qualified_type_identifier] = STATE(9352),
    [sym_user_defined_literal] = STATE(4507),
    [sym_discard_statement] = STATE(663),
    [sym_cbuffer_specifier] = STATE(663),
    [sym_hlsl_attribute] = STATE(9351),
    [aux_sym_attributed_declarator_repeat1] = STATE(1339),
    [sym_identifier] = ACTIONS(3376),
    [anon_sym_LPAREN2] = ACTIONS(1472),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1474),
    [anon_sym_AMP] = ACTIONS(1474),
    [anon_sym_SEMI] = ACTIONS(177),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1482),
    [anon_sym_LBRACE] = ACTIONS(830),
    [anon_sym_LBRACK] = ACTIONS(1484),
    [sym_primitive_type] = ACTIONS(3146),
    [anon_sym_if] = ACTIONS(193),
    [anon_sym_switch] = ACTIONS(195),
    [anon_sym_case] = ACTIONS(197),
    [anon_sym_default] = ACTIONS(199),
    [anon_sym_while] = ACTIONS(201),
    [anon_sym_do] = ACTIONS(203),
    [anon_sym_for] = ACTIONS(205),
    [anon_sym_return] = ACTIONS(207),
    [anon_sym_break] = ACTIONS(209),
    [anon_sym_continue] = ACTIONS(211),
    [anon_sym_goto] = ACTIONS(213),
    [anon_sym___try] = ACTIONS(215),
    [anon_sym___leave] = ACTIONS(217),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_try] = ACTIONS(225),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(227),
    [anon_sym_co_return] = ACTIONS(237),
    [anon_sym_co_yield] = ACTIONS(239),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
    [anon_sym_discard] = ACTIONS(241),
    [anon_sym_cbuffer] = ACTIONS(243),
  },
  [1362] = {
    [sym_attribute_declaration] = STATE(1362),
    [sym_compound_statement] = STATE(1021),
    [sym_attributed_statement] = STATE(1021),
    [sym_labeled_statement] = STATE(1021),
    [sym_expression_statement] = STATE(1021),
    [sym_if_statement] = STATE(1021),
    [sym_switch_statement] = STATE(1021),
    [sym_case_statement] = STATE(1021),
    [sym_while_statement] = STATE(1021),
    [sym_do_statement] = STATE(1021),
    [sym_for_statement] = STATE(1021),
    [sym_return_statement] = STATE(1021),
    [sym_break_statement] = STATE(1021),
    [sym_continue_statement] = STATE(1021),
    [sym_goto_statement] = STATE(1021),
    [sym_seh_try_statement] = STATE(1021),
    [sym_seh_leave_statement] = STATE(1021),
    [sym__expression] = STATE(5674),
    [sym__expression_not_binary] = STATE(5024),
    [sym__string] = STATE(5024),
    [sym_comma_expression] = STATE(10272),
    [sym_conditional_expression] = STATE(5024),
    [sym_assignment_expression] = STATE(5024),
    [sym_pointer_expression] = STATE(4507),
    [sym_unary_expression] = STATE(5024),
    [sym_binary_expression] = STATE(5024),
    [sym_update_expression] = STATE(5024),
    [sym_cast_expression] = STATE(5024),
    [sym_sizeof_expression] = STATE(5024),
    [sym_alignof_expression] = STATE(5024),
    [sym_offsetof_expression] = STATE(5024),
    [sym_generic_expression] = STATE(5024),
    [sym_subscript_expression] = STATE(4507),
    [sym_call_expression] = STATE(4507),
    [sym_gnu_asm_expression] = STATE(5024),
    [sym_field_expression] = STATE(4507),
    [sym_compound_literal_expression] = STATE(5024),
    [sym_parenthesized_expression] = STATE(4507),
    [sym_char_literal] = STATE(5374),
    [sym_concatenated_string] = STATE(5377),
    [sym_string_literal] = STATE(4206),
    [sym_null] = STATE(5024),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9352),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(5024),
    [sym_for_range_loop] = STATE(1021),
    [sym_co_return_statement] = STATE(1021),
    [sym_co_yield_statement] = STATE(1021),
    [sym_throw_statement] = STATE(1021),
    [sym_try_statement] = STATE(1021),
    [sym_raw_string_literal] = STATE(4217),
    [sym_co_await_expression] = STATE(5024),
    [sym_new_expression] = STATE(5024),
    [sym_delete_expression] = STATE(5024),
    [sym_requires_clause] = STATE(5024),
    [sym_requires_expression] = STATE(5024),
    [sym_lambda_expression] = STATE(5024),
    [sym_lambda_capture_specifier] = STATE(7184),
    [sym_fold_expression] = STATE(5024),
    [sym_parameter_pack_expansion] = STATE(5024),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6886),
    [sym_qualified_identifier] = STATE(4507),
    [sym_qualified_type_identifier] = STATE(9352),
    [sym_user_defined_literal] = STATE(4507),
    [sym_discard_statement] = STATE(1021),
    [sym_cbuffer_specifier] = STATE(1021),
    [sym_hlsl_attribute] = STATE(9351),
    [aux_sym_attributed_declarator_repeat1] = STATE(1362),
    [sym_identifier] = ACTIONS(3647),
    [anon_sym_LPAREN2] = ACTIONS(3381),
    [anon_sym_BANG] = ACTIONS(3384),
    [anon_sym_TILDE] = ACTIONS(3384),
    [anon_sym_DASH] = ACTIONS(3387),
    [anon_sym_PLUS] = ACTIONS(3387),
    [anon_sym_STAR] = ACTIONS(3390),
    [anon_sym_AMP] = ACTIONS(3390),
    [anon_sym_SEMI] = ACTIONS(3393),
    [anon_sym_COLON_COLON] = ACTIONS(3396),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3399),
    [anon_sym_LBRACE] = ACTIONS(3650),
    [anon_sym_LBRACK] = ACTIONS(3405),
    [sym_primitive_type] = ACTIONS(3408),
    [anon_sym_if] = ACTIONS(3653),
    [anon_sym_switch] = ACTIONS(3656),
    [anon_sym_case] = ACTIONS(3659),
    [anon_sym_default] = ACTIONS(3662),
    [anon_sym_while] = ACTIONS(3665),
    [anon_sym_do] = ACTIONS(3668),
    [anon_sym_for] = ACTIONS(3671),
    [anon_sym_return] = ACTIONS(3674),
    [anon_sym_break] = ACTIONS(3677),
    [anon_sym_continue] = ACTIONS(3680),
    [anon_sym_goto] = ACTIONS(3683),
    [anon_sym___try] = ACTIONS(3686),
    [anon_sym___leave] = ACTIONS(3447),
    [anon_sym_not] = ACTIONS(3387),
    [anon_sym_compl] = ACTIONS(3387),
    [anon_sym_DASH_DASH] = ACTIONS(3450),
    [anon_sym_PLUS_PLUS] = ACTIONS(3450),
    [anon_sym_sizeof] = ACTIONS(3453),
    [anon_sym___alignof__] = ACTIONS(3456),
    [anon_sym___alignof] = ACTIONS(3456),
    [anon_sym__alignof] = ACTIONS(3456),
    [anon_sym_alignof] = ACTIONS(3456),
    [anon_sym__Alignof] = ACTIONS(3456),
    [anon_sym_offsetof] = ACTIONS(3459),
    [anon_sym__Generic] = ACTIONS(3462),
    [anon_sym_asm] = ACTIONS(3465),
    [anon_sym___asm__] = ACTIONS(3465),
    [sym_number_literal] = ACTIONS(3468),
    [anon_sym_L_SQUOTE] = ACTIONS(3471),
    [anon_sym_u_SQUOTE] = ACTIONS(3471),
    [anon_sym_U_SQUOTE] = ACTIONS(3471),
    [anon_sym_u8_SQUOTE] = ACTIONS(3471),
    [anon_sym_SQUOTE] = ACTIONS(3471),
    [anon_sym_L_DQUOTE] = ACTIONS(3474),
    [anon_sym_u_DQUOTE] = ACTIONS(3474),
    [anon_sym_U_DQUOTE] = ACTIONS(3474),
    [anon_sym_u8_DQUOTE] = ACTIONS(3474),
    [anon_sym_DQUOTE] = ACTIONS(3474),
    [sym_true] = ACTIONS(3477),
    [sym_false] = ACTIONS(3477),
    [anon_sym_NULL] = ACTIONS(3480),
    [anon_sym_nullptr] = ACTIONS(3480),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3483),
    [anon_sym_template] = ACTIONS(3486),
    [anon_sym_try] = ACTIONS(3689),
    [anon_sym_delete] = ACTIONS(3492),
    [anon_sym_throw] = ACTIONS(3692),
    [anon_sym_co_return] = ACTIONS(3695),
    [anon_sym_co_yield] = ACTIONS(3698),
    [anon_sym_R_DQUOTE] = ACTIONS(3504),
    [anon_sym_LR_DQUOTE] = ACTIONS(3504),
    [anon_sym_uR_DQUOTE] = ACTIONS(3504),
    [anon_sym_UR_DQUOTE] = ACTIONS(3504),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3504),
    [anon_sym_co_await] = ACTIONS(3507),
    [anon_sym_new] = ACTIONS(3510),
    [anon_sym_requires] = ACTIONS(3513),
    [sym_this] = ACTIONS(3477),
    [anon_sym_discard] = ACTIONS(3516),
    [anon_sym_cbuffer] = ACTIONS(3701),
  },
  [1363] = {
    [sym_attribute_declaration] = STATE(1334),
    [sym_compound_statement] = STATE(338),
    [sym_attributed_statement] = STATE(338),
    [sym_labeled_statement] = STATE(338),
    [sym_expression_statement] = STATE(338),
    [sym_if_statement] = STATE(338),
    [sym_switch_statement] = STATE(338),
    [sym_case_statement] = STATE(338),
    [sym_while_statement] = STATE(338),
    [sym_do_statement] = STATE(338),
    [sym_for_statement] = STATE(338),
    [sym_return_statement] = STATE(338),
    [sym_break_statement] = STATE(338),
    [sym_continue_statement] = STATE(338),
    [sym_goto_statement] = STATE(338),
    [sym_seh_try_statement] = STATE(338),
    [sym_seh_leave_statement] = STATE(338),
    [sym__expression] = STATE(5650),
    [sym__expression_not_binary] = STATE(5024),
    [sym__string] = STATE(5024),
    [sym_comma_expression] = STATE(10263),
    [sym_conditional_expression] = STATE(5024),
    [sym_assignment_expression] = STATE(5024),
    [sym_pointer_expression] = STATE(4507),
    [sym_unary_expression] = STATE(5024),
    [sym_binary_expression] = STATE(5024),
    [sym_update_expression] = STATE(5024),
    [sym_cast_expression] = STATE(5024),
    [sym_sizeof_expression] = STATE(5024),
    [sym_alignof_expression] = STATE(5024),
    [sym_offsetof_expression] = STATE(5024),
    [sym_generic_expression] = STATE(5024),
    [sym_subscript_expression] = STATE(4507),
    [sym_call_expression] = STATE(4507),
    [sym_gnu_asm_expression] = STATE(5024),
    [sym_field_expression] = STATE(4507),
    [sym_compound_literal_expression] = STATE(5024),
    [sym_parenthesized_expression] = STATE(4507),
    [sym_char_literal] = STATE(5374),
    [sym_concatenated_string] = STATE(5377),
    [sym_string_literal] = STATE(4206),
    [sym_null] = STATE(5024),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9352),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(5024),
    [sym_for_range_loop] = STATE(338),
    [sym_co_return_statement] = STATE(338),
    [sym_co_yield_statement] = STATE(338),
    [sym_throw_statement] = STATE(338),
    [sym_try_statement] = STATE(338),
    [sym_raw_string_literal] = STATE(4217),
    [sym_co_await_expression] = STATE(5024),
    [sym_new_expression] = STATE(5024),
    [sym_delete_expression] = STATE(5024),
    [sym_requires_clause] = STATE(5024),
    [sym_requires_expression] = STATE(5024),
    [sym_lambda_expression] = STATE(5024),
    [sym_lambda_capture_specifier] = STATE(7184),
    [sym_fold_expression] = STATE(5024),
    [sym_parameter_pack_expansion] = STATE(5024),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6886),
    [sym_qualified_identifier] = STATE(4507),
    [sym_qualified_type_identifier] = STATE(9352),
    [sym_user_defined_literal] = STATE(4507),
    [sym_discard_statement] = STATE(338),
    [sym_cbuffer_specifier] = STATE(338),
    [sym_hlsl_attribute] = STATE(9442),
    [aux_sym_attributed_declarator_repeat1] = STATE(1334),
    [sym_identifier] = ACTIONS(3542),
    [anon_sym_LPAREN2] = ACTIONS(1472),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1474),
    [anon_sym_AMP] = ACTIONS(1474),
    [anon_sym_SEMI] = ACTIONS(291),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1482),
    [anon_sym_LBRACE] = ACTIONS(299),
    [anon_sym_LBRACK] = ACTIONS(1484),
    [sym_primitive_type] = ACTIONS(3146),
    [anon_sym_if] = ACTIONS(303),
    [anon_sym_switch] = ACTIONS(305),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_default] = ACTIONS(309),
    [anon_sym_while] = ACTIONS(311),
    [anon_sym_do] = ACTIONS(313),
    [anon_sym_for] = ACTIONS(315),
    [anon_sym_return] = ACTIONS(317),
    [anon_sym_break] = ACTIONS(319),
    [anon_sym_continue] = ACTIONS(321),
    [anon_sym_goto] = ACTIONS(323),
    [anon_sym___try] = ACTIONS(325),
    [anon_sym___leave] = ACTIONS(327),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_try] = ACTIONS(331),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(333),
    [anon_sym_co_return] = ACTIONS(343),
    [anon_sym_co_yield] = ACTIONS(345),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
    [anon_sym_discard] = ACTIONS(347),
    [anon_sym_cbuffer] = ACTIONS(349),
  },
  [1364] = {
    [sym_attribute_declaration] = STATE(1366),
    [sym_compound_statement] = STATE(9870),
    [sym_attributed_statement] = STATE(9870),
    [sym_labeled_statement] = STATE(9870),
    [sym_expression_statement] = STATE(9870),
    [sym_if_statement] = STATE(9870),
    [sym_switch_statement] = STATE(9870),
    [sym_case_statement] = STATE(9870),
    [sym_while_statement] = STATE(9870),
    [sym_do_statement] = STATE(9870),
    [sym_for_statement] = STATE(9870),
    [sym_return_statement] = STATE(9870),
    [sym_break_statement] = STATE(9870),
    [sym_continue_statement] = STATE(9870),
    [sym_goto_statement] = STATE(9870),
    [sym_seh_try_statement] = STATE(9870),
    [sym_seh_leave_statement] = STATE(9870),
    [sym__expression] = STATE(5674),
    [sym__expression_not_binary] = STATE(5024),
    [sym__string] = STATE(5024),
    [sym_comma_expression] = STATE(10272),
    [sym_conditional_expression] = STATE(5024),
    [sym_assignment_expression] = STATE(5024),
    [sym_pointer_expression] = STATE(4507),
    [sym_unary_expression] = STATE(5024),
    [sym_binary_expression] = STATE(5024),
    [sym_update_expression] = STATE(5024),
    [sym_cast_expression] = STATE(5024),
    [sym_sizeof_expression] = STATE(5024),
    [sym_alignof_expression] = STATE(5024),
    [sym_offsetof_expression] = STATE(5024),
    [sym_generic_expression] = STATE(5024),
    [sym_subscript_expression] = STATE(4507),
    [sym_call_expression] = STATE(4507),
    [sym_gnu_asm_expression] = STATE(5024),
    [sym_field_expression] = STATE(4507),
    [sym_compound_literal_expression] = STATE(5024),
    [sym_parenthesized_expression] = STATE(4507),
    [sym_char_literal] = STATE(5374),
    [sym_concatenated_string] = STATE(5377),
    [sym_string_literal] = STATE(4206),
    [sym_null] = STATE(5024),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9352),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(5024),
    [sym_for_range_loop] = STATE(9870),
    [sym_co_return_statement] = STATE(9870),
    [sym_co_yield_statement] = STATE(9870),
    [sym_throw_statement] = STATE(9870),
    [sym_try_statement] = STATE(9870),
    [sym_raw_string_literal] = STATE(4217),
    [sym_co_await_expression] = STATE(5024),
    [sym_new_expression] = STATE(5024),
    [sym_delete_expression] = STATE(5024),
    [sym_requires_clause] = STATE(5024),
    [sym_requires_expression] = STATE(5024),
    [sym_lambda_expression] = STATE(5024),
    [sym_lambda_capture_specifier] = STATE(7184),
    [sym_fold_expression] = STATE(5024),
    [sym_parameter_pack_expansion] = STATE(5024),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6886),
    [sym_qualified_identifier] = STATE(4507),
    [sym_qualified_type_identifier] = STATE(9352),
    [sym_user_defined_literal] = STATE(4507),
    [sym_discard_statement] = STATE(9870),
    [sym_cbuffer_specifier] = STATE(9870),
    [sym_hlsl_attribute] = STATE(9277),
    [aux_sym_attributed_declarator_repeat1] = STATE(1366),
    [sym_identifier] = ACTIONS(3524),
    [anon_sym_LPAREN2] = ACTIONS(1472),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1474),
    [anon_sym_AMP] = ACTIONS(1474),
    [anon_sym_SEMI] = ACTIONS(177),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1482),
    [anon_sym_LBRACE] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(1484),
    [sym_primitive_type] = ACTIONS(3146),
    [anon_sym_if] = ACTIONS(3526),
    [anon_sym_switch] = ACTIONS(77),
    [anon_sym_case] = ACTIONS(3528),
    [anon_sym_default] = ACTIONS(3530),
    [anon_sym_while] = ACTIONS(3532),
    [anon_sym_do] = ACTIONS(85),
    [anon_sym_for] = ACTIONS(3534),
    [anon_sym_return] = ACTIONS(89),
    [anon_sym_break] = ACTIONS(91),
    [anon_sym_continue] = ACTIONS(93),
    [anon_sym_goto] = ACTIONS(95),
    [anon_sym___try] = ACTIONS(3536),
    [anon_sym___leave] = ACTIONS(217),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_try] = ACTIONS(135),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(139),
    [anon_sym_co_return] = ACTIONS(149),
    [anon_sym_co_yield] = ACTIONS(151),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
    [anon_sym_discard] = ACTIONS(241),
    [anon_sym_cbuffer] = ACTIONS(3538),
  },
  [1365] = {
    [sym_attribute_declaration] = STATE(1334),
    [sym_compound_statement] = STATE(340),
    [sym_attributed_statement] = STATE(333),
    [sym_labeled_statement] = STATE(330),
    [sym_expression_statement] = STATE(329),
    [sym_if_statement] = STATE(337),
    [sym_switch_statement] = STATE(327),
    [sym_case_statement] = STATE(319),
    [sym_while_statement] = STATE(300),
    [sym_do_statement] = STATE(288),
    [sym_for_statement] = STATE(283),
    [sym_return_statement] = STATE(332),
    [sym_break_statement] = STATE(225),
    [sym_continue_statement] = STATE(227),
    [sym_goto_statement] = STATE(228),
    [sym_seh_try_statement] = STATE(230),
    [sym_seh_leave_statement] = STATE(231),
    [sym__expression] = STATE(5650),
    [sym__expression_not_binary] = STATE(5024),
    [sym__string] = STATE(5024),
    [sym_comma_expression] = STATE(10263),
    [sym_conditional_expression] = STATE(5024),
    [sym_assignment_expression] = STATE(5024),
    [sym_pointer_expression] = STATE(4507),
    [sym_unary_expression] = STATE(5024),
    [sym_binary_expression] = STATE(5024),
    [sym_update_expression] = STATE(5024),
    [sym_cast_expression] = STATE(5024),
    [sym_sizeof_expression] = STATE(5024),
    [sym_alignof_expression] = STATE(5024),
    [sym_offsetof_expression] = STATE(5024),
    [sym_generic_expression] = STATE(5024),
    [sym_subscript_expression] = STATE(4507),
    [sym_call_expression] = STATE(4507),
    [sym_gnu_asm_expression] = STATE(5024),
    [sym_field_expression] = STATE(4507),
    [sym_compound_literal_expression] = STATE(5024),
    [sym_parenthesized_expression] = STATE(4507),
    [sym_char_literal] = STATE(5374),
    [sym_concatenated_string] = STATE(5377),
    [sym_string_literal] = STATE(4206),
    [sym_null] = STATE(5024),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9352),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(5024),
    [sym_for_range_loop] = STATE(234),
    [sym_co_return_statement] = STATE(237),
    [sym_co_yield_statement] = STATE(239),
    [sym_throw_statement] = STATE(241),
    [sym_try_statement] = STATE(242),
    [sym_raw_string_literal] = STATE(4217),
    [sym_co_await_expression] = STATE(5024),
    [sym_new_expression] = STATE(5024),
    [sym_delete_expression] = STATE(5024),
    [sym_requires_clause] = STATE(5024),
    [sym_requires_expression] = STATE(5024),
    [sym_lambda_expression] = STATE(5024),
    [sym_lambda_capture_specifier] = STATE(7184),
    [sym_fold_expression] = STATE(5024),
    [sym_parameter_pack_expansion] = STATE(5024),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6886),
    [sym_qualified_identifier] = STATE(4507),
    [sym_qualified_type_identifier] = STATE(9352),
    [sym_user_defined_literal] = STATE(4507),
    [sym_discard_statement] = STATE(243),
    [sym_cbuffer_specifier] = STATE(244),
    [sym_hlsl_attribute] = STATE(9442),
    [aux_sym_attributed_declarator_repeat1] = STATE(1334),
    [sym_identifier] = ACTIONS(3542),
    [anon_sym_LPAREN2] = ACTIONS(1472),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1474),
    [anon_sym_AMP] = ACTIONS(1474),
    [anon_sym_SEMI] = ACTIONS(291),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1482),
    [anon_sym_LBRACE] = ACTIONS(299),
    [anon_sym_LBRACK] = ACTIONS(1484),
    [sym_primitive_type] = ACTIONS(3146),
    [anon_sym_if] = ACTIONS(303),
    [anon_sym_switch] = ACTIONS(305),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_default] = ACTIONS(309),
    [anon_sym_while] = ACTIONS(311),
    [anon_sym_do] = ACTIONS(313),
    [anon_sym_for] = ACTIONS(315),
    [anon_sym_return] = ACTIONS(317),
    [anon_sym_break] = ACTIONS(319),
    [anon_sym_continue] = ACTIONS(321),
    [anon_sym_goto] = ACTIONS(323),
    [anon_sym___try] = ACTIONS(325),
    [anon_sym___leave] = ACTIONS(327),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_try] = ACTIONS(331),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(333),
    [anon_sym_co_return] = ACTIONS(343),
    [anon_sym_co_yield] = ACTIONS(345),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
    [anon_sym_discard] = ACTIONS(347),
    [anon_sym_cbuffer] = ACTIONS(349),
  },
  [1366] = {
    [sym_attribute_declaration] = STATE(1317),
    [sym_compound_statement] = STATE(937),
    [sym_attributed_statement] = STATE(937),
    [sym_labeled_statement] = STATE(937),
    [sym_expression_statement] = STATE(937),
    [sym_if_statement] = STATE(937),
    [sym_switch_statement] = STATE(937),
    [sym_case_statement] = STATE(937),
    [sym_while_statement] = STATE(937),
    [sym_do_statement] = STATE(937),
    [sym_for_statement] = STATE(937),
    [sym_return_statement] = STATE(937),
    [sym_break_statement] = STATE(937),
    [sym_continue_statement] = STATE(937),
    [sym_goto_statement] = STATE(937),
    [sym_seh_try_statement] = STATE(937),
    [sym_seh_leave_statement] = STATE(937),
    [sym__expression] = STATE(5674),
    [sym__expression_not_binary] = STATE(5024),
    [sym__string] = STATE(5024),
    [sym_comma_expression] = STATE(10272),
    [sym_conditional_expression] = STATE(5024),
    [sym_assignment_expression] = STATE(5024),
    [sym_pointer_expression] = STATE(4507),
    [sym_unary_expression] = STATE(5024),
    [sym_binary_expression] = STATE(5024),
    [sym_update_expression] = STATE(5024),
    [sym_cast_expression] = STATE(5024),
    [sym_sizeof_expression] = STATE(5024),
    [sym_alignof_expression] = STATE(5024),
    [sym_offsetof_expression] = STATE(5024),
    [sym_generic_expression] = STATE(5024),
    [sym_subscript_expression] = STATE(4507),
    [sym_call_expression] = STATE(4507),
    [sym_gnu_asm_expression] = STATE(5024),
    [sym_field_expression] = STATE(4507),
    [sym_compound_literal_expression] = STATE(5024),
    [sym_parenthesized_expression] = STATE(4507),
    [sym_char_literal] = STATE(5374),
    [sym_concatenated_string] = STATE(5377),
    [sym_string_literal] = STATE(4206),
    [sym_null] = STATE(5024),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9352),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(5024),
    [sym_for_range_loop] = STATE(937),
    [sym_co_return_statement] = STATE(937),
    [sym_co_yield_statement] = STATE(937),
    [sym_throw_statement] = STATE(937),
    [sym_try_statement] = STATE(937),
    [sym_raw_string_literal] = STATE(4217),
    [sym_co_await_expression] = STATE(5024),
    [sym_new_expression] = STATE(5024),
    [sym_delete_expression] = STATE(5024),
    [sym_requires_clause] = STATE(5024),
    [sym_requires_expression] = STATE(5024),
    [sym_lambda_expression] = STATE(5024),
    [sym_lambda_capture_specifier] = STATE(7184),
    [sym_fold_expression] = STATE(5024),
    [sym_parameter_pack_expansion] = STATE(5024),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6886),
    [sym_qualified_identifier] = STATE(4507),
    [sym_qualified_type_identifier] = STATE(9352),
    [sym_user_defined_literal] = STATE(4507),
    [sym_discard_statement] = STATE(937),
    [sym_cbuffer_specifier] = STATE(937),
    [sym_hlsl_attribute] = STATE(9277),
    [aux_sym_attributed_declarator_repeat1] = STATE(1317),
    [sym_identifier] = ACTIONS(3524),
    [anon_sym_LPAREN2] = ACTIONS(1472),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1474),
    [anon_sym_AMP] = ACTIONS(1474),
    [anon_sym_SEMI] = ACTIONS(177),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1482),
    [anon_sym_LBRACE] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(1484),
    [sym_primitive_type] = ACTIONS(3146),
    [anon_sym_if] = ACTIONS(3526),
    [anon_sym_switch] = ACTIONS(77),
    [anon_sym_case] = ACTIONS(3528),
    [anon_sym_default] = ACTIONS(3530),
    [anon_sym_while] = ACTIONS(3532),
    [anon_sym_do] = ACTIONS(85),
    [anon_sym_for] = ACTIONS(3534),
    [anon_sym_return] = ACTIONS(89),
    [anon_sym_break] = ACTIONS(91),
    [anon_sym_continue] = ACTIONS(93),
    [anon_sym_goto] = ACTIONS(95),
    [anon_sym___try] = ACTIONS(3536),
    [anon_sym___leave] = ACTIONS(217),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_try] = ACTIONS(135),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(139),
    [anon_sym_co_return] = ACTIONS(149),
    [anon_sym_co_yield] = ACTIONS(151),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
    [anon_sym_discard] = ACTIONS(241),
    [anon_sym_cbuffer] = ACTIONS(3538),
  },
  [1367] = {
    [sym_attribute_declaration] = STATE(1373),
    [sym_compound_statement] = STATE(783),
    [sym_attributed_statement] = STATE(783),
    [sym_labeled_statement] = STATE(783),
    [sym_expression_statement] = STATE(783),
    [sym_if_statement] = STATE(783),
    [sym_switch_statement] = STATE(783),
    [sym_case_statement] = STATE(783),
    [sym_while_statement] = STATE(783),
    [sym_do_statement] = STATE(783),
    [sym_for_statement] = STATE(783),
    [sym_return_statement] = STATE(783),
    [sym_break_statement] = STATE(783),
    [sym_continue_statement] = STATE(783),
    [sym_goto_statement] = STATE(783),
    [sym_seh_try_statement] = STATE(783),
    [sym_seh_leave_statement] = STATE(783),
    [sym__expression] = STATE(5768),
    [sym__expression_not_binary] = STATE(5024),
    [sym__string] = STATE(5024),
    [sym_comma_expression] = STATE(9694),
    [sym_conditional_expression] = STATE(5024),
    [sym_assignment_expression] = STATE(5024),
    [sym_pointer_expression] = STATE(4507),
    [sym_unary_expression] = STATE(5024),
    [sym_binary_expression] = STATE(5024),
    [sym_update_expression] = STATE(5024),
    [sym_cast_expression] = STATE(5024),
    [sym_sizeof_expression] = STATE(5024),
    [sym_alignof_expression] = STATE(5024),
    [sym_offsetof_expression] = STATE(5024),
    [sym_generic_expression] = STATE(5024),
    [sym_subscript_expression] = STATE(4507),
    [sym_call_expression] = STATE(4507),
    [sym_gnu_asm_expression] = STATE(5024),
    [sym_field_expression] = STATE(4507),
    [sym_compound_literal_expression] = STATE(5024),
    [sym_parenthesized_expression] = STATE(4507),
    [sym_char_literal] = STATE(5374),
    [sym_concatenated_string] = STATE(5377),
    [sym_string_literal] = STATE(4206),
    [sym_null] = STATE(5024),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9352),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(5024),
    [sym_for_range_loop] = STATE(783),
    [sym_co_return_statement] = STATE(783),
    [sym_co_yield_statement] = STATE(783),
    [sym_throw_statement] = STATE(783),
    [sym_try_statement] = STATE(783),
    [sym_raw_string_literal] = STATE(4217),
    [sym_co_await_expression] = STATE(5024),
    [sym_new_expression] = STATE(5024),
    [sym_delete_expression] = STATE(5024),
    [sym_requires_clause] = STATE(5024),
    [sym_requires_expression] = STATE(5024),
    [sym_lambda_expression] = STATE(5024),
    [sym_lambda_capture_specifier] = STATE(7184),
    [sym_fold_expression] = STATE(5024),
    [sym_parameter_pack_expansion] = STATE(5024),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6886),
    [sym_qualified_identifier] = STATE(4507),
    [sym_qualified_type_identifier] = STATE(9352),
    [sym_user_defined_literal] = STATE(4507),
    [sym_discard_statement] = STATE(783),
    [sym_cbuffer_specifier] = STATE(783),
    [sym_hlsl_attribute] = STATE(9208),
    [aux_sym_attributed_declarator_repeat1] = STATE(1373),
    [sym_identifier] = ACTIONS(3522),
    [anon_sym_LPAREN2] = ACTIONS(1472),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1474),
    [anon_sym_AMP] = ACTIONS(1474),
    [anon_sym_SEMI] = ACTIONS(1128),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1482),
    [anon_sym_LBRACE] = ACTIONS(1136),
    [anon_sym_LBRACK] = ACTIONS(1484),
    [sym_primitive_type] = ACTIONS(3146),
    [anon_sym_if] = ACTIONS(1140),
    [anon_sym_switch] = ACTIONS(1142),
    [anon_sym_case] = ACTIONS(1144),
    [anon_sym_default] = ACTIONS(1146),
    [anon_sym_while] = ACTIONS(1148),
    [anon_sym_do] = ACTIONS(1150),
    [anon_sym_for] = ACTIONS(1152),
    [anon_sym_return] = ACTIONS(1154),
    [anon_sym_break] = ACTIONS(1156),
    [anon_sym_continue] = ACTIONS(1158),
    [anon_sym_goto] = ACTIONS(1160),
    [anon_sym___try] = ACTIONS(1162),
    [anon_sym___leave] = ACTIONS(1164),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_try] = ACTIONS(1168),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(1170),
    [anon_sym_co_return] = ACTIONS(1180),
    [anon_sym_co_yield] = ACTIONS(1182),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
    [anon_sym_discard] = ACTIONS(1184),
    [anon_sym_cbuffer] = ACTIONS(1186),
  },
  [1368] = {
    [sym_attribute_declaration] = STATE(1367),
    [sym_compound_statement] = STATE(1034),
    [sym_attributed_statement] = STATE(1035),
    [sym_labeled_statement] = STATE(708),
    [sym_expression_statement] = STATE(1036),
    [sym_if_statement] = STATE(1037),
    [sym_switch_statement] = STATE(1031),
    [sym_case_statement] = STATE(1029),
    [sym_while_statement] = STATE(1028),
    [sym_do_statement] = STATE(1027),
    [sym_for_statement] = STATE(1026),
    [sym_return_statement] = STATE(1024),
    [sym_break_statement] = STATE(1022),
    [sym_continue_statement] = STATE(1019),
    [sym_goto_statement] = STATE(1011),
    [sym_seh_try_statement] = STATE(1010),
    [sym_seh_leave_statement] = STATE(1008),
    [sym__expression] = STATE(5768),
    [sym__expression_not_binary] = STATE(5024),
    [sym__string] = STATE(5024),
    [sym_comma_expression] = STATE(9694),
    [sym_conditional_expression] = STATE(5024),
    [sym_assignment_expression] = STATE(5024),
    [sym_pointer_expression] = STATE(4507),
    [sym_unary_expression] = STATE(5024),
    [sym_binary_expression] = STATE(5024),
    [sym_update_expression] = STATE(5024),
    [sym_cast_expression] = STATE(5024),
    [sym_sizeof_expression] = STATE(5024),
    [sym_alignof_expression] = STATE(5024),
    [sym_offsetof_expression] = STATE(5024),
    [sym_generic_expression] = STATE(5024),
    [sym_subscript_expression] = STATE(4507),
    [sym_call_expression] = STATE(4507),
    [sym_gnu_asm_expression] = STATE(5024),
    [sym_field_expression] = STATE(4507),
    [sym_compound_literal_expression] = STATE(5024),
    [sym_parenthesized_expression] = STATE(4507),
    [sym_char_literal] = STATE(5374),
    [sym_concatenated_string] = STATE(5377),
    [sym_string_literal] = STATE(4206),
    [sym_null] = STATE(5024),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9352),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(5024),
    [sym_for_range_loop] = STATE(1006),
    [sym_co_return_statement] = STATE(1001),
    [sym_co_yield_statement] = STATE(990),
    [sym_throw_statement] = STATE(986),
    [sym_try_statement] = STATE(985),
    [sym_raw_string_literal] = STATE(4217),
    [sym_co_await_expression] = STATE(5024),
    [sym_new_expression] = STATE(5024),
    [sym_delete_expression] = STATE(5024),
    [sym_requires_clause] = STATE(5024),
    [sym_requires_expression] = STATE(5024),
    [sym_lambda_expression] = STATE(5024),
    [sym_lambda_capture_specifier] = STATE(7184),
    [sym_fold_expression] = STATE(5024),
    [sym_parameter_pack_expansion] = STATE(5024),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6886),
    [sym_qualified_identifier] = STATE(4507),
    [sym_qualified_type_identifier] = STATE(9352),
    [sym_user_defined_literal] = STATE(4507),
    [sym_discard_statement] = STATE(981),
    [sym_cbuffer_specifier] = STATE(978),
    [sym_hlsl_attribute] = STATE(9208),
    [aux_sym_attributed_declarator_repeat1] = STATE(1367),
    [sym_identifier] = ACTIONS(3522),
    [anon_sym_LPAREN2] = ACTIONS(1472),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1474),
    [anon_sym_AMP] = ACTIONS(1474),
    [anon_sym_SEMI] = ACTIONS(1128),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1482),
    [anon_sym_LBRACE] = ACTIONS(1136),
    [anon_sym_LBRACK] = ACTIONS(1484),
    [sym_primitive_type] = ACTIONS(3146),
    [anon_sym_if] = ACTIONS(1140),
    [anon_sym_switch] = ACTIONS(1142),
    [anon_sym_case] = ACTIONS(1144),
    [anon_sym_default] = ACTIONS(1146),
    [anon_sym_while] = ACTIONS(1148),
    [anon_sym_do] = ACTIONS(1150),
    [anon_sym_for] = ACTIONS(1152),
    [anon_sym_return] = ACTIONS(1154),
    [anon_sym_break] = ACTIONS(1156),
    [anon_sym_continue] = ACTIONS(1158),
    [anon_sym_goto] = ACTIONS(1160),
    [anon_sym___try] = ACTIONS(1162),
    [anon_sym___leave] = ACTIONS(1164),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_try] = ACTIONS(1168),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(1170),
    [anon_sym_co_return] = ACTIONS(1180),
    [anon_sym_co_yield] = ACTIONS(1182),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
    [anon_sym_discard] = ACTIONS(1184),
    [anon_sym_cbuffer] = ACTIONS(1186),
  },
  [1369] = {
    [sym_attribute_declaration] = STATE(1369),
    [sym_compound_statement] = STATE(1520),
    [sym_attributed_statement] = STATE(1520),
    [sym_labeled_statement] = STATE(1520),
    [sym_expression_statement] = STATE(1520),
    [sym_if_statement] = STATE(1520),
    [sym_switch_statement] = STATE(1520),
    [sym_case_statement] = STATE(1520),
    [sym_while_statement] = STATE(1520),
    [sym_do_statement] = STATE(1520),
    [sym_for_statement] = STATE(1520),
    [sym_return_statement] = STATE(1520),
    [sym_break_statement] = STATE(1520),
    [sym_continue_statement] = STATE(1520),
    [sym_goto_statement] = STATE(1520),
    [sym_seh_try_statement] = STATE(1520),
    [sym_seh_leave_statement] = STATE(1520),
    [sym__expression] = STATE(5719),
    [sym__expression_not_binary] = STATE(5024),
    [sym__string] = STATE(5024),
    [sym_comma_expression] = STATE(9810),
    [sym_conditional_expression] = STATE(5024),
    [sym_assignment_expression] = STATE(5024),
    [sym_pointer_expression] = STATE(4507),
    [sym_unary_expression] = STATE(5024),
    [sym_binary_expression] = STATE(5024),
    [sym_update_expression] = STATE(5024),
    [sym_cast_expression] = STATE(5024),
    [sym_sizeof_expression] = STATE(5024),
    [sym_alignof_expression] = STATE(5024),
    [sym_offsetof_expression] = STATE(5024),
    [sym_generic_expression] = STATE(5024),
    [sym_subscript_expression] = STATE(4507),
    [sym_call_expression] = STATE(4507),
    [sym_gnu_asm_expression] = STATE(5024),
    [sym_field_expression] = STATE(4507),
    [sym_compound_literal_expression] = STATE(5024),
    [sym_parenthesized_expression] = STATE(4507),
    [sym_char_literal] = STATE(5374),
    [sym_concatenated_string] = STATE(5377),
    [sym_string_literal] = STATE(4206),
    [sym_null] = STATE(5024),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9352),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(5024),
    [sym_for_range_loop] = STATE(1520),
    [sym_co_return_statement] = STATE(1520),
    [sym_co_yield_statement] = STATE(1520),
    [sym_throw_statement] = STATE(1520),
    [sym_try_statement] = STATE(1520),
    [sym_raw_string_literal] = STATE(4217),
    [sym_co_await_expression] = STATE(5024),
    [sym_new_expression] = STATE(5024),
    [sym_delete_expression] = STATE(5024),
    [sym_requires_clause] = STATE(5024),
    [sym_requires_expression] = STATE(5024),
    [sym_lambda_expression] = STATE(5024),
    [sym_lambda_capture_specifier] = STATE(7184),
    [sym_fold_expression] = STATE(5024),
    [sym_parameter_pack_expansion] = STATE(5024),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6886),
    [sym_qualified_identifier] = STATE(4507),
    [sym_qualified_type_identifier] = STATE(9352),
    [sym_user_defined_literal] = STATE(4507),
    [sym_discard_statement] = STATE(1520),
    [sym_cbuffer_specifier] = STATE(1520),
    [sym_hlsl_attribute] = STATE(9343),
    [aux_sym_attributed_declarator_repeat1] = STATE(1369),
    [sym_identifier] = ACTIONS(3704),
    [anon_sym_LPAREN2] = ACTIONS(3381),
    [anon_sym_BANG] = ACTIONS(3384),
    [anon_sym_TILDE] = ACTIONS(3384),
    [anon_sym_DASH] = ACTIONS(3387),
    [anon_sym_PLUS] = ACTIONS(3387),
    [anon_sym_STAR] = ACTIONS(3390),
    [anon_sym_AMP] = ACTIONS(3390),
    [anon_sym_SEMI] = ACTIONS(3707),
    [anon_sym_COLON_COLON] = ACTIONS(3396),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3399),
    [anon_sym_LBRACE] = ACTIONS(3710),
    [anon_sym_LBRACK] = ACTIONS(3405),
    [sym_primitive_type] = ACTIONS(3408),
    [anon_sym_if] = ACTIONS(3713),
    [anon_sym_switch] = ACTIONS(3716),
    [anon_sym_case] = ACTIONS(3417),
    [anon_sym_default] = ACTIONS(3420),
    [anon_sym_while] = ACTIONS(3719),
    [anon_sym_do] = ACTIONS(3722),
    [anon_sym_for] = ACTIONS(3725),
    [anon_sym_return] = ACTIONS(3728),
    [anon_sym_break] = ACTIONS(3731),
    [anon_sym_continue] = ACTIONS(3734),
    [anon_sym_goto] = ACTIONS(3737),
    [anon_sym___try] = ACTIONS(3740),
    [anon_sym___leave] = ACTIONS(3743),
    [anon_sym_not] = ACTIONS(3387),
    [anon_sym_compl] = ACTIONS(3387),
    [anon_sym_DASH_DASH] = ACTIONS(3450),
    [anon_sym_PLUS_PLUS] = ACTIONS(3450),
    [anon_sym_sizeof] = ACTIONS(3453),
    [anon_sym___alignof__] = ACTIONS(3456),
    [anon_sym___alignof] = ACTIONS(3456),
    [anon_sym__alignof] = ACTIONS(3456),
    [anon_sym_alignof] = ACTIONS(3456),
    [anon_sym__Alignof] = ACTIONS(3456),
    [anon_sym_offsetof] = ACTIONS(3459),
    [anon_sym__Generic] = ACTIONS(3462),
    [anon_sym_asm] = ACTIONS(3465),
    [anon_sym___asm__] = ACTIONS(3465),
    [sym_number_literal] = ACTIONS(3468),
    [anon_sym_L_SQUOTE] = ACTIONS(3471),
    [anon_sym_u_SQUOTE] = ACTIONS(3471),
    [anon_sym_U_SQUOTE] = ACTIONS(3471),
    [anon_sym_u8_SQUOTE] = ACTIONS(3471),
    [anon_sym_SQUOTE] = ACTIONS(3471),
    [anon_sym_L_DQUOTE] = ACTIONS(3474),
    [anon_sym_u_DQUOTE] = ACTIONS(3474),
    [anon_sym_U_DQUOTE] = ACTIONS(3474),
    [anon_sym_u8_DQUOTE] = ACTIONS(3474),
    [anon_sym_DQUOTE] = ACTIONS(3474),
    [sym_true] = ACTIONS(3477),
    [sym_false] = ACTIONS(3477),
    [anon_sym_NULL] = ACTIONS(3480),
    [anon_sym_nullptr] = ACTIONS(3480),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3483),
    [anon_sym_template] = ACTIONS(3486),
    [anon_sym_try] = ACTIONS(3746),
    [anon_sym_delete] = ACTIONS(3492),
    [anon_sym_throw] = ACTIONS(3749),
    [anon_sym_co_return] = ACTIONS(3752),
    [anon_sym_co_yield] = ACTIONS(3755),
    [anon_sym_R_DQUOTE] = ACTIONS(3504),
    [anon_sym_LR_DQUOTE] = ACTIONS(3504),
    [anon_sym_uR_DQUOTE] = ACTIONS(3504),
    [anon_sym_UR_DQUOTE] = ACTIONS(3504),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3504),
    [anon_sym_co_await] = ACTIONS(3507),
    [anon_sym_new] = ACTIONS(3510),
    [anon_sym_requires] = ACTIONS(3513),
    [sym_this] = ACTIONS(3477),
    [anon_sym_discard] = ACTIONS(3758),
    [anon_sym_cbuffer] = ACTIONS(3761),
  },
  [1370] = {
    [sym_attribute_declaration] = STATE(1369),
    [sym_compound_statement] = STATE(1520),
    [sym_attributed_statement] = STATE(1520),
    [sym_labeled_statement] = STATE(1520),
    [sym_expression_statement] = STATE(1520),
    [sym_if_statement] = STATE(1520),
    [sym_switch_statement] = STATE(1520),
    [sym_case_statement] = STATE(1520),
    [sym_while_statement] = STATE(1520),
    [sym_do_statement] = STATE(1520),
    [sym_for_statement] = STATE(1520),
    [sym_return_statement] = STATE(1520),
    [sym_break_statement] = STATE(1520),
    [sym_continue_statement] = STATE(1520),
    [sym_goto_statement] = STATE(1520),
    [sym_seh_try_statement] = STATE(1520),
    [sym_seh_leave_statement] = STATE(1520),
    [sym__expression] = STATE(5719),
    [sym__expression_not_binary] = STATE(5024),
    [sym__string] = STATE(5024),
    [sym_comma_expression] = STATE(9810),
    [sym_conditional_expression] = STATE(5024),
    [sym_assignment_expression] = STATE(5024),
    [sym_pointer_expression] = STATE(4507),
    [sym_unary_expression] = STATE(5024),
    [sym_binary_expression] = STATE(5024),
    [sym_update_expression] = STATE(5024),
    [sym_cast_expression] = STATE(5024),
    [sym_sizeof_expression] = STATE(5024),
    [sym_alignof_expression] = STATE(5024),
    [sym_offsetof_expression] = STATE(5024),
    [sym_generic_expression] = STATE(5024),
    [sym_subscript_expression] = STATE(4507),
    [sym_call_expression] = STATE(4507),
    [sym_gnu_asm_expression] = STATE(5024),
    [sym_field_expression] = STATE(4507),
    [sym_compound_literal_expression] = STATE(5024),
    [sym_parenthesized_expression] = STATE(4507),
    [sym_char_literal] = STATE(5374),
    [sym_concatenated_string] = STATE(5377),
    [sym_string_literal] = STATE(4206),
    [sym_null] = STATE(5024),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9352),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(5024),
    [sym_for_range_loop] = STATE(1520),
    [sym_co_return_statement] = STATE(1520),
    [sym_co_yield_statement] = STATE(1520),
    [sym_throw_statement] = STATE(1520),
    [sym_try_statement] = STATE(1520),
    [sym_raw_string_literal] = STATE(4217),
    [sym_co_await_expression] = STATE(5024),
    [sym_new_expression] = STATE(5024),
    [sym_delete_expression] = STATE(5024),
    [sym_requires_clause] = STATE(5024),
    [sym_requires_expression] = STATE(5024),
    [sym_lambda_expression] = STATE(5024),
    [sym_lambda_capture_specifier] = STATE(7184),
    [sym_fold_expression] = STATE(5024),
    [sym_parameter_pack_expansion] = STATE(5024),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6886),
    [sym_qualified_identifier] = STATE(4507),
    [sym_qualified_type_identifier] = STATE(9352),
    [sym_user_defined_literal] = STATE(4507),
    [sym_discard_statement] = STATE(1520),
    [sym_cbuffer_specifier] = STATE(1520),
    [sym_hlsl_attribute] = STATE(9343),
    [aux_sym_attributed_declarator_repeat1] = STATE(1369),
    [sym_identifier] = ACTIONS(3544),
    [anon_sym_LPAREN2] = ACTIONS(1472),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1474),
    [anon_sym_AMP] = ACTIONS(1474),
    [anon_sym_SEMI] = ACTIONS(1980),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1482),
    [anon_sym_LBRACE] = ACTIONS(1986),
    [anon_sym_LBRACK] = ACTIONS(1484),
    [sym_primitive_type] = ACTIONS(3146),
    [anon_sym_if] = ACTIONS(1988),
    [anon_sym_switch] = ACTIONS(1990),
    [anon_sym_case] = ACTIONS(3528),
    [anon_sym_default] = ACTIONS(3530),
    [anon_sym_while] = ACTIONS(1992),
    [anon_sym_do] = ACTIONS(1994),
    [anon_sym_for] = ACTIONS(1996),
    [anon_sym_return] = ACTIONS(1998),
    [anon_sym_break] = ACTIONS(2000),
    [anon_sym_continue] = ACTIONS(2002),
    [anon_sym_goto] = ACTIONS(2004),
    [anon_sym___try] = ACTIONS(2006),
    [anon_sym___leave] = ACTIONS(2008),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_try] = ACTIONS(2010),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(2012),
    [anon_sym_co_return] = ACTIONS(2014),
    [anon_sym_co_yield] = ACTIONS(2016),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
    [anon_sym_discard] = ACTIONS(2018),
    [anon_sym_cbuffer] = ACTIONS(2020),
  },
  [1371] = {
    [sym_attribute_declaration] = STATE(1334),
    [sym_compound_statement] = STATE(246),
    [sym_attributed_statement] = STATE(247),
    [sym_labeled_statement] = STATE(248),
    [sym_expression_statement] = STATE(249),
    [sym_if_statement] = STATE(250),
    [sym_switch_statement] = STATE(251),
    [sym_case_statement] = STATE(252),
    [sym_while_statement] = STATE(253),
    [sym_do_statement] = STATE(254),
    [sym_for_statement] = STATE(255),
    [sym_return_statement] = STATE(258),
    [sym_break_statement] = STATE(259),
    [sym_continue_statement] = STATE(262),
    [sym_goto_statement] = STATE(263),
    [sym_seh_try_statement] = STATE(265),
    [sym_seh_leave_statement] = STATE(266),
    [sym__expression] = STATE(5650),
    [sym__expression_not_binary] = STATE(5024),
    [sym__string] = STATE(5024),
    [sym_comma_expression] = STATE(10263),
    [sym_conditional_expression] = STATE(5024),
    [sym_assignment_expression] = STATE(5024),
    [sym_pointer_expression] = STATE(4507),
    [sym_unary_expression] = STATE(5024),
    [sym_binary_expression] = STATE(5024),
    [sym_update_expression] = STATE(5024),
    [sym_cast_expression] = STATE(5024),
    [sym_sizeof_expression] = STATE(5024),
    [sym_alignof_expression] = STATE(5024),
    [sym_offsetof_expression] = STATE(5024),
    [sym_generic_expression] = STATE(5024),
    [sym_subscript_expression] = STATE(4507),
    [sym_call_expression] = STATE(4507),
    [sym_gnu_asm_expression] = STATE(5024),
    [sym_field_expression] = STATE(4507),
    [sym_compound_literal_expression] = STATE(5024),
    [sym_parenthesized_expression] = STATE(4507),
    [sym_char_literal] = STATE(5374),
    [sym_concatenated_string] = STATE(5377),
    [sym_string_literal] = STATE(4206),
    [sym_null] = STATE(5024),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9352),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(5024),
    [sym_for_range_loop] = STATE(267),
    [sym_co_return_statement] = STATE(268),
    [sym_co_yield_statement] = STATE(269),
    [sym_throw_statement] = STATE(270),
    [sym_try_statement] = STATE(271),
    [sym_raw_string_literal] = STATE(4217),
    [sym_co_await_expression] = STATE(5024),
    [sym_new_expression] = STATE(5024),
    [sym_delete_expression] = STATE(5024),
    [sym_requires_clause] = STATE(5024),
    [sym_requires_expression] = STATE(5024),
    [sym_lambda_expression] = STATE(5024),
    [sym_lambda_capture_specifier] = STATE(7184),
    [sym_fold_expression] = STATE(5024),
    [sym_parameter_pack_expansion] = STATE(5024),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6886),
    [sym_qualified_identifier] = STATE(4507),
    [sym_qualified_type_identifier] = STATE(9352),
    [sym_user_defined_literal] = STATE(4507),
    [sym_discard_statement] = STATE(272),
    [sym_cbuffer_specifier] = STATE(273),
    [sym_hlsl_attribute] = STATE(9442),
    [aux_sym_attributed_declarator_repeat1] = STATE(1334),
    [sym_identifier] = ACTIONS(3542),
    [anon_sym_LPAREN2] = ACTIONS(1472),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1474),
    [anon_sym_AMP] = ACTIONS(1474),
    [anon_sym_SEMI] = ACTIONS(291),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1482),
    [anon_sym_LBRACE] = ACTIONS(299),
    [anon_sym_LBRACK] = ACTIONS(1484),
    [sym_primitive_type] = ACTIONS(3146),
    [anon_sym_if] = ACTIONS(303),
    [anon_sym_switch] = ACTIONS(305),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_default] = ACTIONS(309),
    [anon_sym_while] = ACTIONS(311),
    [anon_sym_do] = ACTIONS(313),
    [anon_sym_for] = ACTIONS(315),
    [anon_sym_return] = ACTIONS(317),
    [anon_sym_break] = ACTIONS(319),
    [anon_sym_continue] = ACTIONS(321),
    [anon_sym_goto] = ACTIONS(323),
    [anon_sym___try] = ACTIONS(325),
    [anon_sym___leave] = ACTIONS(327),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_try] = ACTIONS(331),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(333),
    [anon_sym_co_return] = ACTIONS(343),
    [anon_sym_co_yield] = ACTIONS(345),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
    [anon_sym_discard] = ACTIONS(347),
    [anon_sym_cbuffer] = ACTIONS(349),
  },
  [1372] = {
    [sym_attribute_declaration] = STATE(1339),
    [sym_compound_statement] = STATE(968),
    [sym_attributed_statement] = STATE(968),
    [sym_labeled_statement] = STATE(968),
    [sym_expression_statement] = STATE(968),
    [sym_if_statement] = STATE(968),
    [sym_switch_statement] = STATE(968),
    [sym_case_statement] = STATE(968),
    [sym_while_statement] = STATE(968),
    [sym_do_statement] = STATE(968),
    [sym_for_statement] = STATE(968),
    [sym_return_statement] = STATE(968),
    [sym_break_statement] = STATE(968),
    [sym_continue_statement] = STATE(968),
    [sym_goto_statement] = STATE(968),
    [sym_seh_try_statement] = STATE(968),
    [sym_seh_leave_statement] = STATE(968),
    [sym__expression] = STATE(5674),
    [sym__expression_not_binary] = STATE(5024),
    [sym__string] = STATE(5024),
    [sym_comma_expression] = STATE(10272),
    [sym_conditional_expression] = STATE(5024),
    [sym_assignment_expression] = STATE(5024),
    [sym_pointer_expression] = STATE(4507),
    [sym_unary_expression] = STATE(5024),
    [sym_binary_expression] = STATE(5024),
    [sym_update_expression] = STATE(5024),
    [sym_cast_expression] = STATE(5024),
    [sym_sizeof_expression] = STATE(5024),
    [sym_alignof_expression] = STATE(5024),
    [sym_offsetof_expression] = STATE(5024),
    [sym_generic_expression] = STATE(5024),
    [sym_subscript_expression] = STATE(4507),
    [sym_call_expression] = STATE(4507),
    [sym_gnu_asm_expression] = STATE(5024),
    [sym_field_expression] = STATE(4507),
    [sym_compound_literal_expression] = STATE(5024),
    [sym_parenthesized_expression] = STATE(4507),
    [sym_char_literal] = STATE(5374),
    [sym_concatenated_string] = STATE(5377),
    [sym_string_literal] = STATE(4206),
    [sym_null] = STATE(5024),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9352),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(5024),
    [sym_for_range_loop] = STATE(968),
    [sym_co_return_statement] = STATE(968),
    [sym_co_yield_statement] = STATE(968),
    [sym_throw_statement] = STATE(968),
    [sym_try_statement] = STATE(968),
    [sym_raw_string_literal] = STATE(4217),
    [sym_co_await_expression] = STATE(5024),
    [sym_new_expression] = STATE(5024),
    [sym_delete_expression] = STATE(5024),
    [sym_requires_clause] = STATE(5024),
    [sym_requires_expression] = STATE(5024),
    [sym_lambda_expression] = STATE(5024),
    [sym_lambda_capture_specifier] = STATE(7184),
    [sym_fold_expression] = STATE(5024),
    [sym_parameter_pack_expansion] = STATE(5024),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6886),
    [sym_qualified_identifier] = STATE(4507),
    [sym_qualified_type_identifier] = STATE(9352),
    [sym_user_defined_literal] = STATE(4507),
    [sym_discard_statement] = STATE(968),
    [sym_cbuffer_specifier] = STATE(968),
    [sym_hlsl_attribute] = STATE(9351),
    [aux_sym_attributed_declarator_repeat1] = STATE(1339),
    [sym_identifier] = ACTIONS(3376),
    [anon_sym_LPAREN2] = ACTIONS(1472),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1474),
    [anon_sym_AMP] = ACTIONS(1474),
    [anon_sym_SEMI] = ACTIONS(177),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1482),
    [anon_sym_LBRACE] = ACTIONS(830),
    [anon_sym_LBRACK] = ACTIONS(1484),
    [sym_primitive_type] = ACTIONS(3146),
    [anon_sym_if] = ACTIONS(193),
    [anon_sym_switch] = ACTIONS(195),
    [anon_sym_case] = ACTIONS(197),
    [anon_sym_default] = ACTIONS(199),
    [anon_sym_while] = ACTIONS(201),
    [anon_sym_do] = ACTIONS(203),
    [anon_sym_for] = ACTIONS(205),
    [anon_sym_return] = ACTIONS(207),
    [anon_sym_break] = ACTIONS(209),
    [anon_sym_continue] = ACTIONS(211),
    [anon_sym_goto] = ACTIONS(213),
    [anon_sym___try] = ACTIONS(215),
    [anon_sym___leave] = ACTIONS(217),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_try] = ACTIONS(225),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(227),
    [anon_sym_co_return] = ACTIONS(237),
    [anon_sym_co_yield] = ACTIONS(239),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
    [anon_sym_discard] = ACTIONS(241),
    [anon_sym_cbuffer] = ACTIONS(243),
  },
  [1373] = {
    [sym_attribute_declaration] = STATE(1373),
    [sym_compound_statement] = STATE(783),
    [sym_attributed_statement] = STATE(783),
    [sym_labeled_statement] = STATE(783),
    [sym_expression_statement] = STATE(783),
    [sym_if_statement] = STATE(783),
    [sym_switch_statement] = STATE(783),
    [sym_case_statement] = STATE(783),
    [sym_while_statement] = STATE(783),
    [sym_do_statement] = STATE(783),
    [sym_for_statement] = STATE(783),
    [sym_return_statement] = STATE(783),
    [sym_break_statement] = STATE(783),
    [sym_continue_statement] = STATE(783),
    [sym_goto_statement] = STATE(783),
    [sym_seh_try_statement] = STATE(783),
    [sym_seh_leave_statement] = STATE(783),
    [sym__expression] = STATE(5768),
    [sym__expression_not_binary] = STATE(5024),
    [sym__string] = STATE(5024),
    [sym_comma_expression] = STATE(9694),
    [sym_conditional_expression] = STATE(5024),
    [sym_assignment_expression] = STATE(5024),
    [sym_pointer_expression] = STATE(4507),
    [sym_unary_expression] = STATE(5024),
    [sym_binary_expression] = STATE(5024),
    [sym_update_expression] = STATE(5024),
    [sym_cast_expression] = STATE(5024),
    [sym_sizeof_expression] = STATE(5024),
    [sym_alignof_expression] = STATE(5024),
    [sym_offsetof_expression] = STATE(5024),
    [sym_generic_expression] = STATE(5024),
    [sym_subscript_expression] = STATE(4507),
    [sym_call_expression] = STATE(4507),
    [sym_gnu_asm_expression] = STATE(5024),
    [sym_field_expression] = STATE(4507),
    [sym_compound_literal_expression] = STATE(5024),
    [sym_parenthesized_expression] = STATE(4507),
    [sym_char_literal] = STATE(5374),
    [sym_concatenated_string] = STATE(5377),
    [sym_string_literal] = STATE(4206),
    [sym_null] = STATE(5024),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9352),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(5024),
    [sym_for_range_loop] = STATE(783),
    [sym_co_return_statement] = STATE(783),
    [sym_co_yield_statement] = STATE(783),
    [sym_throw_statement] = STATE(783),
    [sym_try_statement] = STATE(783),
    [sym_raw_string_literal] = STATE(4217),
    [sym_co_await_expression] = STATE(5024),
    [sym_new_expression] = STATE(5024),
    [sym_delete_expression] = STATE(5024),
    [sym_requires_clause] = STATE(5024),
    [sym_requires_expression] = STATE(5024),
    [sym_lambda_expression] = STATE(5024),
    [sym_lambda_capture_specifier] = STATE(7184),
    [sym_fold_expression] = STATE(5024),
    [sym_parameter_pack_expansion] = STATE(5024),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6886),
    [sym_qualified_identifier] = STATE(4507),
    [sym_qualified_type_identifier] = STATE(9352),
    [sym_user_defined_literal] = STATE(4507),
    [sym_discard_statement] = STATE(783),
    [sym_cbuffer_specifier] = STATE(783),
    [sym_hlsl_attribute] = STATE(9208),
    [aux_sym_attributed_declarator_repeat1] = STATE(1373),
    [sym_identifier] = ACTIONS(3764),
    [anon_sym_LPAREN2] = ACTIONS(3381),
    [anon_sym_BANG] = ACTIONS(3384),
    [anon_sym_TILDE] = ACTIONS(3384),
    [anon_sym_DASH] = ACTIONS(3387),
    [anon_sym_PLUS] = ACTIONS(3387),
    [anon_sym_STAR] = ACTIONS(3390),
    [anon_sym_AMP] = ACTIONS(3390),
    [anon_sym_SEMI] = ACTIONS(3767),
    [anon_sym_COLON_COLON] = ACTIONS(3396),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3399),
    [anon_sym_LBRACE] = ACTIONS(3770),
    [anon_sym_LBRACK] = ACTIONS(3405),
    [sym_primitive_type] = ACTIONS(3408),
    [anon_sym_if] = ACTIONS(3773),
    [anon_sym_switch] = ACTIONS(3776),
    [anon_sym_case] = ACTIONS(3779),
    [anon_sym_default] = ACTIONS(3782),
    [anon_sym_while] = ACTIONS(3785),
    [anon_sym_do] = ACTIONS(3788),
    [anon_sym_for] = ACTIONS(3791),
    [anon_sym_return] = ACTIONS(3794),
    [anon_sym_break] = ACTIONS(3797),
    [anon_sym_continue] = ACTIONS(3800),
    [anon_sym_goto] = ACTIONS(3803),
    [anon_sym___try] = ACTIONS(3806),
    [anon_sym___leave] = ACTIONS(3809),
    [anon_sym_not] = ACTIONS(3387),
    [anon_sym_compl] = ACTIONS(3387),
    [anon_sym_DASH_DASH] = ACTIONS(3450),
    [anon_sym_PLUS_PLUS] = ACTIONS(3450),
    [anon_sym_sizeof] = ACTIONS(3453),
    [anon_sym___alignof__] = ACTIONS(3456),
    [anon_sym___alignof] = ACTIONS(3456),
    [anon_sym__alignof] = ACTIONS(3456),
    [anon_sym_alignof] = ACTIONS(3456),
    [anon_sym__Alignof] = ACTIONS(3456),
    [anon_sym_offsetof] = ACTIONS(3459),
    [anon_sym__Generic] = ACTIONS(3462),
    [anon_sym_asm] = ACTIONS(3465),
    [anon_sym___asm__] = ACTIONS(3465),
    [sym_number_literal] = ACTIONS(3468),
    [anon_sym_L_SQUOTE] = ACTIONS(3471),
    [anon_sym_u_SQUOTE] = ACTIONS(3471),
    [anon_sym_U_SQUOTE] = ACTIONS(3471),
    [anon_sym_u8_SQUOTE] = ACTIONS(3471),
    [anon_sym_SQUOTE] = ACTIONS(3471),
    [anon_sym_L_DQUOTE] = ACTIONS(3474),
    [anon_sym_u_DQUOTE] = ACTIONS(3474),
    [anon_sym_U_DQUOTE] = ACTIONS(3474),
    [anon_sym_u8_DQUOTE] = ACTIONS(3474),
    [anon_sym_DQUOTE] = ACTIONS(3474),
    [sym_true] = ACTIONS(3477),
    [sym_false] = ACTIONS(3477),
    [anon_sym_NULL] = ACTIONS(3480),
    [anon_sym_nullptr] = ACTIONS(3480),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3483),
    [anon_sym_template] = ACTIONS(3486),
    [anon_sym_try] = ACTIONS(3812),
    [anon_sym_delete] = ACTIONS(3492),
    [anon_sym_throw] = ACTIONS(3815),
    [anon_sym_co_return] = ACTIONS(3818),
    [anon_sym_co_yield] = ACTIONS(3821),
    [anon_sym_R_DQUOTE] = ACTIONS(3504),
    [anon_sym_LR_DQUOTE] = ACTIONS(3504),
    [anon_sym_uR_DQUOTE] = ACTIONS(3504),
    [anon_sym_UR_DQUOTE] = ACTIONS(3504),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3504),
    [anon_sym_co_await] = ACTIONS(3507),
    [anon_sym_new] = ACTIONS(3510),
    [anon_sym_requires] = ACTIONS(3513),
    [sym_this] = ACTIONS(3477),
    [anon_sym_discard] = ACTIONS(3824),
    [anon_sym_cbuffer] = ACTIONS(3827),
  },
  [1374] = {
    [sym_attribute_declaration] = STATE(1339),
    [sym_compound_statement] = STATE(963),
    [sym_attributed_statement] = STATE(955),
    [sym_labeled_statement] = STATE(941),
    [sym_expression_statement] = STATE(939),
    [sym_if_statement] = STATE(938),
    [sym_switch_statement] = STATE(933),
    [sym_case_statement] = STATE(930),
    [sym_while_statement] = STATE(929),
    [sym_do_statement] = STATE(920),
    [sym_for_statement] = STATE(919),
    [sym_return_statement] = STATE(918),
    [sym_break_statement] = STATE(914),
    [sym_continue_statement] = STATE(911),
    [sym_goto_statement] = STATE(910),
    [sym_seh_try_statement] = STATE(909),
    [sym_seh_leave_statement] = STATE(908),
    [sym__expression] = STATE(5674),
    [sym__expression_not_binary] = STATE(5024),
    [sym__string] = STATE(5024),
    [sym_comma_expression] = STATE(10272),
    [sym_conditional_expression] = STATE(5024),
    [sym_assignment_expression] = STATE(5024),
    [sym_pointer_expression] = STATE(4507),
    [sym_unary_expression] = STATE(5024),
    [sym_binary_expression] = STATE(5024),
    [sym_update_expression] = STATE(5024),
    [sym_cast_expression] = STATE(5024),
    [sym_sizeof_expression] = STATE(5024),
    [sym_alignof_expression] = STATE(5024),
    [sym_offsetof_expression] = STATE(5024),
    [sym_generic_expression] = STATE(5024),
    [sym_subscript_expression] = STATE(4507),
    [sym_call_expression] = STATE(4507),
    [sym_gnu_asm_expression] = STATE(5024),
    [sym_field_expression] = STATE(4507),
    [sym_compound_literal_expression] = STATE(5024),
    [sym_parenthesized_expression] = STATE(4507),
    [sym_char_literal] = STATE(5374),
    [sym_concatenated_string] = STATE(5377),
    [sym_string_literal] = STATE(4206),
    [sym_null] = STATE(5024),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9352),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(5024),
    [sym_for_range_loop] = STATE(901),
    [sym_co_return_statement] = STATE(896),
    [sym_co_yield_statement] = STATE(891),
    [sym_throw_statement] = STATE(890),
    [sym_try_statement] = STATE(888),
    [sym_raw_string_literal] = STATE(4217),
    [sym_co_await_expression] = STATE(5024),
    [sym_new_expression] = STATE(5024),
    [sym_delete_expression] = STATE(5024),
    [sym_requires_clause] = STATE(5024),
    [sym_requires_expression] = STATE(5024),
    [sym_lambda_expression] = STATE(5024),
    [sym_lambda_capture_specifier] = STATE(7184),
    [sym_fold_expression] = STATE(5024),
    [sym_parameter_pack_expansion] = STATE(5024),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6886),
    [sym_qualified_identifier] = STATE(4507),
    [sym_qualified_type_identifier] = STATE(9352),
    [sym_user_defined_literal] = STATE(4507),
    [sym_discard_statement] = STATE(886),
    [sym_cbuffer_specifier] = STATE(885),
    [sym_hlsl_attribute] = STATE(9351),
    [aux_sym_attributed_declarator_repeat1] = STATE(1339),
    [sym_identifier] = ACTIONS(3376),
    [anon_sym_LPAREN2] = ACTIONS(1472),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1474),
    [anon_sym_AMP] = ACTIONS(1474),
    [anon_sym_SEMI] = ACTIONS(177),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1482),
    [anon_sym_LBRACE] = ACTIONS(830),
    [anon_sym_LBRACK] = ACTIONS(1484),
    [sym_primitive_type] = ACTIONS(3146),
    [anon_sym_if] = ACTIONS(193),
    [anon_sym_switch] = ACTIONS(195),
    [anon_sym_case] = ACTIONS(197),
    [anon_sym_default] = ACTIONS(199),
    [anon_sym_while] = ACTIONS(201),
    [anon_sym_do] = ACTIONS(203),
    [anon_sym_for] = ACTIONS(205),
    [anon_sym_return] = ACTIONS(207),
    [anon_sym_break] = ACTIONS(209),
    [anon_sym_continue] = ACTIONS(211),
    [anon_sym_goto] = ACTIONS(213),
    [anon_sym___try] = ACTIONS(215),
    [anon_sym___leave] = ACTIONS(217),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_try] = ACTIONS(225),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(227),
    [anon_sym_co_return] = ACTIONS(237),
    [anon_sym_co_yield] = ACTIONS(239),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
    [anon_sym_discard] = ACTIONS(241),
    [anon_sym_cbuffer] = ACTIONS(243),
  },
  [1375] = {
    [sym_attribute_declaration] = STATE(1375),
    [sym_compound_statement] = STATE(235),
    [sym_attributed_statement] = STATE(235),
    [sym_labeled_statement] = STATE(235),
    [sym_expression_statement] = STATE(235),
    [sym_if_statement] = STATE(235),
    [sym_switch_statement] = STATE(235),
    [sym_case_statement] = STATE(235),
    [sym_while_statement] = STATE(235),
    [sym_do_statement] = STATE(235),
    [sym_for_statement] = STATE(235),
    [sym_return_statement] = STATE(235),
    [sym_break_statement] = STATE(235),
    [sym_continue_statement] = STATE(235),
    [sym_goto_statement] = STATE(235),
    [sym_seh_try_statement] = STATE(235),
    [sym_seh_leave_statement] = STATE(235),
    [sym__expression] = STATE(5650),
    [sym__expression_not_binary] = STATE(5024),
    [sym__string] = STATE(5024),
    [sym_comma_expression] = STATE(10263),
    [sym_conditional_expression] = STATE(5024),
    [sym_assignment_expression] = STATE(5024),
    [sym_pointer_expression] = STATE(4507),
    [sym_unary_expression] = STATE(5024),
    [sym_binary_expression] = STATE(5024),
    [sym_update_expression] = STATE(5024),
    [sym_cast_expression] = STATE(5024),
    [sym_sizeof_expression] = STATE(5024),
    [sym_alignof_expression] = STATE(5024),
    [sym_offsetof_expression] = STATE(5024),
    [sym_generic_expression] = STATE(5024),
    [sym_subscript_expression] = STATE(4507),
    [sym_call_expression] = STATE(4507),
    [sym_gnu_asm_expression] = STATE(5024),
    [sym_field_expression] = STATE(4507),
    [sym_compound_literal_expression] = STATE(5024),
    [sym_parenthesized_expression] = STATE(4507),
    [sym_char_literal] = STATE(5374),
    [sym_concatenated_string] = STATE(5377),
    [sym_string_literal] = STATE(4206),
    [sym_null] = STATE(5024),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9352),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(5024),
    [sym_for_range_loop] = STATE(235),
    [sym_co_return_statement] = STATE(235),
    [sym_co_yield_statement] = STATE(235),
    [sym_throw_statement] = STATE(235),
    [sym_try_statement] = STATE(235),
    [sym_raw_string_literal] = STATE(4217),
    [sym_co_await_expression] = STATE(5024),
    [sym_new_expression] = STATE(5024),
    [sym_delete_expression] = STATE(5024),
    [sym_requires_clause] = STATE(5024),
    [sym_requires_expression] = STATE(5024),
    [sym_lambda_expression] = STATE(5024),
    [sym_lambda_capture_specifier] = STATE(7184),
    [sym_fold_expression] = STATE(5024),
    [sym_parameter_pack_expansion] = STATE(5024),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6886),
    [sym_qualified_identifier] = STATE(4507),
    [sym_qualified_type_identifier] = STATE(9352),
    [sym_user_defined_literal] = STATE(4507),
    [sym_discard_statement] = STATE(235),
    [sym_cbuffer_specifier] = STATE(235),
    [sym_hlsl_attribute] = STATE(9442),
    [aux_sym_attributed_declarator_repeat1] = STATE(1375),
    [sym_identifier] = ACTIONS(3830),
    [anon_sym_LPAREN2] = ACTIONS(3381),
    [anon_sym_BANG] = ACTIONS(3384),
    [anon_sym_TILDE] = ACTIONS(3384),
    [anon_sym_DASH] = ACTIONS(3387),
    [anon_sym_PLUS] = ACTIONS(3387),
    [anon_sym_STAR] = ACTIONS(3390),
    [anon_sym_AMP] = ACTIONS(3390),
    [anon_sym_SEMI] = ACTIONS(3833),
    [anon_sym_COLON_COLON] = ACTIONS(3396),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3399),
    [anon_sym_LBRACE] = ACTIONS(3836),
    [anon_sym_LBRACK] = ACTIONS(3405),
    [sym_primitive_type] = ACTIONS(3408),
    [anon_sym_if] = ACTIONS(3839),
    [anon_sym_switch] = ACTIONS(3842),
    [anon_sym_case] = ACTIONS(3845),
    [anon_sym_default] = ACTIONS(3848),
    [anon_sym_while] = ACTIONS(3851),
    [anon_sym_do] = ACTIONS(3854),
    [anon_sym_for] = ACTIONS(3857),
    [anon_sym_return] = ACTIONS(3860),
    [anon_sym_break] = ACTIONS(3863),
    [anon_sym_continue] = ACTIONS(3866),
    [anon_sym_goto] = ACTIONS(3869),
    [anon_sym___try] = ACTIONS(3872),
    [anon_sym___leave] = ACTIONS(3875),
    [anon_sym_not] = ACTIONS(3387),
    [anon_sym_compl] = ACTIONS(3387),
    [anon_sym_DASH_DASH] = ACTIONS(3450),
    [anon_sym_PLUS_PLUS] = ACTIONS(3450),
    [anon_sym_sizeof] = ACTIONS(3453),
    [anon_sym___alignof__] = ACTIONS(3456),
    [anon_sym___alignof] = ACTIONS(3456),
    [anon_sym__alignof] = ACTIONS(3456),
    [anon_sym_alignof] = ACTIONS(3456),
    [anon_sym__Alignof] = ACTIONS(3456),
    [anon_sym_offsetof] = ACTIONS(3459),
    [anon_sym__Generic] = ACTIONS(3462),
    [anon_sym_asm] = ACTIONS(3465),
    [anon_sym___asm__] = ACTIONS(3465),
    [sym_number_literal] = ACTIONS(3468),
    [anon_sym_L_SQUOTE] = ACTIONS(3471),
    [anon_sym_u_SQUOTE] = ACTIONS(3471),
    [anon_sym_U_SQUOTE] = ACTIONS(3471),
    [anon_sym_u8_SQUOTE] = ACTIONS(3471),
    [anon_sym_SQUOTE] = ACTIONS(3471),
    [anon_sym_L_DQUOTE] = ACTIONS(3474),
    [anon_sym_u_DQUOTE] = ACTIONS(3474),
    [anon_sym_U_DQUOTE] = ACTIONS(3474),
    [anon_sym_u8_DQUOTE] = ACTIONS(3474),
    [anon_sym_DQUOTE] = ACTIONS(3474),
    [sym_true] = ACTIONS(3477),
    [sym_false] = ACTIONS(3477),
    [anon_sym_NULL] = ACTIONS(3480),
    [anon_sym_nullptr] = ACTIONS(3480),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3483),
    [anon_sym_template] = ACTIONS(3486),
    [anon_sym_try] = ACTIONS(3878),
    [anon_sym_delete] = ACTIONS(3492),
    [anon_sym_throw] = ACTIONS(3881),
    [anon_sym_co_return] = ACTIONS(3884),
    [anon_sym_co_yield] = ACTIONS(3887),
    [anon_sym_R_DQUOTE] = ACTIONS(3504),
    [anon_sym_LR_DQUOTE] = ACTIONS(3504),
    [anon_sym_uR_DQUOTE] = ACTIONS(3504),
    [anon_sym_UR_DQUOTE] = ACTIONS(3504),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3504),
    [anon_sym_co_await] = ACTIONS(3507),
    [anon_sym_new] = ACTIONS(3510),
    [anon_sym_requires] = ACTIONS(3513),
    [sym_this] = ACTIONS(3477),
    [anon_sym_discard] = ACTIONS(3890),
    [anon_sym_cbuffer] = ACTIONS(3893),
  },
  [1376] = {
    [sym_attribute_declaration] = STATE(1339),
    [sym_compound_statement] = STATE(876),
    [sym_attributed_statement] = STATE(875),
    [sym_labeled_statement] = STATE(874),
    [sym_expression_statement] = STATE(872),
    [sym_if_statement] = STATE(870),
    [sym_switch_statement] = STATE(869),
    [sym_case_statement] = STATE(868),
    [sym_while_statement] = STATE(867),
    [sym_do_statement] = STATE(865),
    [sym_for_statement] = STATE(864),
    [sym_return_statement] = STATE(862),
    [sym_break_statement] = STATE(685),
    [sym_continue_statement] = STATE(851),
    [sym_goto_statement] = STATE(850),
    [sym_seh_try_statement] = STATE(848),
    [sym_seh_leave_statement] = STATE(847),
    [sym__expression] = STATE(5674),
    [sym__expression_not_binary] = STATE(5024),
    [sym__string] = STATE(5024),
    [sym_comma_expression] = STATE(10272),
    [sym_conditional_expression] = STATE(5024),
    [sym_assignment_expression] = STATE(5024),
    [sym_pointer_expression] = STATE(4507),
    [sym_unary_expression] = STATE(5024),
    [sym_binary_expression] = STATE(5024),
    [sym_update_expression] = STATE(5024),
    [sym_cast_expression] = STATE(5024),
    [sym_sizeof_expression] = STATE(5024),
    [sym_alignof_expression] = STATE(5024),
    [sym_offsetof_expression] = STATE(5024),
    [sym_generic_expression] = STATE(5024),
    [sym_subscript_expression] = STATE(4507),
    [sym_call_expression] = STATE(4507),
    [sym_gnu_asm_expression] = STATE(5024),
    [sym_field_expression] = STATE(4507),
    [sym_compound_literal_expression] = STATE(5024),
    [sym_parenthesized_expression] = STATE(4507),
    [sym_char_literal] = STATE(5374),
    [sym_concatenated_string] = STATE(5377),
    [sym_string_literal] = STATE(4206),
    [sym_null] = STATE(5024),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9352),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(5024),
    [sym_for_range_loop] = STATE(846),
    [sym_co_return_statement] = STATE(845),
    [sym_co_yield_statement] = STATE(844),
    [sym_throw_statement] = STATE(843),
    [sym_try_statement] = STATE(842),
    [sym_raw_string_literal] = STATE(4217),
    [sym_co_await_expression] = STATE(5024),
    [sym_new_expression] = STATE(5024),
    [sym_delete_expression] = STATE(5024),
    [sym_requires_clause] = STATE(5024),
    [sym_requires_expression] = STATE(5024),
    [sym_lambda_expression] = STATE(5024),
    [sym_lambda_capture_specifier] = STATE(7184),
    [sym_fold_expression] = STATE(5024),
    [sym_parameter_pack_expansion] = STATE(5024),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6886),
    [sym_qualified_identifier] = STATE(4507),
    [sym_qualified_type_identifier] = STATE(9352),
    [sym_user_defined_literal] = STATE(4507),
    [sym_discard_statement] = STATE(841),
    [sym_cbuffer_specifier] = STATE(840),
    [sym_hlsl_attribute] = STATE(9351),
    [aux_sym_attributed_declarator_repeat1] = STATE(1339),
    [sym_identifier] = ACTIONS(3376),
    [anon_sym_LPAREN2] = ACTIONS(1472),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1474),
    [anon_sym_AMP] = ACTIONS(1474),
    [anon_sym_SEMI] = ACTIONS(177),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1482),
    [anon_sym_LBRACE] = ACTIONS(830),
    [anon_sym_LBRACK] = ACTIONS(1484),
    [sym_primitive_type] = ACTIONS(3146),
    [anon_sym_if] = ACTIONS(193),
    [anon_sym_switch] = ACTIONS(195),
    [anon_sym_case] = ACTIONS(197),
    [anon_sym_default] = ACTIONS(199),
    [anon_sym_while] = ACTIONS(201),
    [anon_sym_do] = ACTIONS(203),
    [anon_sym_for] = ACTIONS(205),
    [anon_sym_return] = ACTIONS(207),
    [anon_sym_break] = ACTIONS(209),
    [anon_sym_continue] = ACTIONS(211),
    [anon_sym_goto] = ACTIONS(213),
    [anon_sym___try] = ACTIONS(215),
    [anon_sym___leave] = ACTIONS(217),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_try] = ACTIONS(225),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(227),
    [anon_sym_co_return] = ACTIONS(237),
    [anon_sym_co_yield] = ACTIONS(239),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
    [anon_sym_discard] = ACTIONS(241),
    [anon_sym_cbuffer] = ACTIONS(243),
  },
  [1377] = {
    [sym_attribute_declaration] = STATE(1370),
    [sym_compound_statement] = STATE(1566),
    [sym_attributed_statement] = STATE(1566),
    [sym_labeled_statement] = STATE(1566),
    [sym_expression_statement] = STATE(1566),
    [sym_if_statement] = STATE(1566),
    [sym_switch_statement] = STATE(1566),
    [sym_case_statement] = STATE(1566),
    [sym_while_statement] = STATE(1566),
    [sym_do_statement] = STATE(1566),
    [sym_for_statement] = STATE(1566),
    [sym_return_statement] = STATE(1566),
    [sym_break_statement] = STATE(1566),
    [sym_continue_statement] = STATE(1566),
    [sym_goto_statement] = STATE(1566),
    [sym_seh_try_statement] = STATE(1566),
    [sym_seh_leave_statement] = STATE(1566),
    [sym__expression] = STATE(5719),
    [sym__expression_not_binary] = STATE(5024),
    [sym__string] = STATE(5024),
    [sym_comma_expression] = STATE(9810),
    [sym_conditional_expression] = STATE(5024),
    [sym_assignment_expression] = STATE(5024),
    [sym_pointer_expression] = STATE(4507),
    [sym_unary_expression] = STATE(5024),
    [sym_binary_expression] = STATE(5024),
    [sym_update_expression] = STATE(5024),
    [sym_cast_expression] = STATE(5024),
    [sym_sizeof_expression] = STATE(5024),
    [sym_alignof_expression] = STATE(5024),
    [sym_offsetof_expression] = STATE(5024),
    [sym_generic_expression] = STATE(5024),
    [sym_subscript_expression] = STATE(4507),
    [sym_call_expression] = STATE(4507),
    [sym_gnu_asm_expression] = STATE(5024),
    [sym_field_expression] = STATE(4507),
    [sym_compound_literal_expression] = STATE(5024),
    [sym_parenthesized_expression] = STATE(4507),
    [sym_char_literal] = STATE(5374),
    [sym_concatenated_string] = STATE(5377),
    [sym_string_literal] = STATE(4206),
    [sym_null] = STATE(5024),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9352),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(5024),
    [sym_for_range_loop] = STATE(1566),
    [sym_co_return_statement] = STATE(1566),
    [sym_co_yield_statement] = STATE(1566),
    [sym_throw_statement] = STATE(1566),
    [sym_try_statement] = STATE(1566),
    [sym_raw_string_literal] = STATE(4217),
    [sym_co_await_expression] = STATE(5024),
    [sym_new_expression] = STATE(5024),
    [sym_delete_expression] = STATE(5024),
    [sym_requires_clause] = STATE(5024),
    [sym_requires_expression] = STATE(5024),
    [sym_lambda_expression] = STATE(5024),
    [sym_lambda_capture_specifier] = STATE(7184),
    [sym_fold_expression] = STATE(5024),
    [sym_parameter_pack_expansion] = STATE(5024),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6886),
    [sym_qualified_identifier] = STATE(4507),
    [sym_qualified_type_identifier] = STATE(9352),
    [sym_user_defined_literal] = STATE(4507),
    [sym_discard_statement] = STATE(1566),
    [sym_cbuffer_specifier] = STATE(1566),
    [sym_hlsl_attribute] = STATE(9343),
    [aux_sym_attributed_declarator_repeat1] = STATE(1370),
    [sym_identifier] = ACTIONS(3544),
    [anon_sym_LPAREN2] = ACTIONS(1472),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1474),
    [anon_sym_AMP] = ACTIONS(1474),
    [anon_sym_SEMI] = ACTIONS(1980),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1482),
    [anon_sym_LBRACE] = ACTIONS(1986),
    [anon_sym_LBRACK] = ACTIONS(1484),
    [sym_primitive_type] = ACTIONS(3146),
    [anon_sym_if] = ACTIONS(1988),
    [anon_sym_switch] = ACTIONS(1990),
    [anon_sym_case] = ACTIONS(3528),
    [anon_sym_default] = ACTIONS(3530),
    [anon_sym_while] = ACTIONS(1992),
    [anon_sym_do] = ACTIONS(1994),
    [anon_sym_for] = ACTIONS(1996),
    [anon_sym_return] = ACTIONS(1998),
    [anon_sym_break] = ACTIONS(2000),
    [anon_sym_continue] = ACTIONS(2002),
    [anon_sym_goto] = ACTIONS(2004),
    [anon_sym___try] = ACTIONS(2006),
    [anon_sym___leave] = ACTIONS(2008),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_try] = ACTIONS(2010),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(2012),
    [anon_sym_co_return] = ACTIONS(2014),
    [anon_sym_co_yield] = ACTIONS(2016),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
    [anon_sym_discard] = ACTIONS(2018),
    [anon_sym_cbuffer] = ACTIONS(2020),
  },
  [1378] = {
    [sym_attribute_declaration] = STATE(1342),
    [sym_compound_statement] = STATE(605),
    [sym_attributed_statement] = STATE(605),
    [sym_labeled_statement] = STATE(605),
    [sym_expression_statement] = STATE(605),
    [sym_if_statement] = STATE(605),
    [sym_switch_statement] = STATE(605),
    [sym_case_statement] = STATE(605),
    [sym_while_statement] = STATE(605),
    [sym_do_statement] = STATE(605),
    [sym_for_statement] = STATE(605),
    [sym_return_statement] = STATE(605),
    [sym_break_statement] = STATE(605),
    [sym_continue_statement] = STATE(605),
    [sym_goto_statement] = STATE(605),
    [sym_seh_try_statement] = STATE(605),
    [sym_seh_leave_statement] = STATE(605),
    [sym__expression] = STATE(5798),
    [sym__expression_not_binary] = STATE(5024),
    [sym__string] = STATE(5024),
    [sym_comma_expression] = STATE(9706),
    [sym_conditional_expression] = STATE(5024),
    [sym_assignment_expression] = STATE(5024),
    [sym_pointer_expression] = STATE(4507),
    [sym_unary_expression] = STATE(5024),
    [sym_binary_expression] = STATE(5024),
    [sym_update_expression] = STATE(5024),
    [sym_cast_expression] = STATE(5024),
    [sym_sizeof_expression] = STATE(5024),
    [sym_alignof_expression] = STATE(5024),
    [sym_offsetof_expression] = STATE(5024),
    [sym_generic_expression] = STATE(5024),
    [sym_subscript_expression] = STATE(4507),
    [sym_call_expression] = STATE(4507),
    [sym_gnu_asm_expression] = STATE(5024),
    [sym_field_expression] = STATE(4507),
    [sym_compound_literal_expression] = STATE(5024),
    [sym_parenthesized_expression] = STATE(4507),
    [sym_char_literal] = STATE(5374),
    [sym_concatenated_string] = STATE(5377),
    [sym_string_literal] = STATE(4206),
    [sym_null] = STATE(5024),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9352),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(5024),
    [sym_for_range_loop] = STATE(605),
    [sym_co_return_statement] = STATE(605),
    [sym_co_yield_statement] = STATE(605),
    [sym_throw_statement] = STATE(605),
    [sym_try_statement] = STATE(605),
    [sym_raw_string_literal] = STATE(4217),
    [sym_co_await_expression] = STATE(5024),
    [sym_new_expression] = STATE(5024),
    [sym_delete_expression] = STATE(5024),
    [sym_requires_clause] = STATE(5024),
    [sym_requires_expression] = STATE(5024),
    [sym_lambda_expression] = STATE(5024),
    [sym_lambda_capture_specifier] = STATE(7184),
    [sym_fold_expression] = STATE(5024),
    [sym_parameter_pack_expansion] = STATE(5024),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6886),
    [sym_qualified_identifier] = STATE(4507),
    [sym_qualified_type_identifier] = STATE(9352),
    [sym_user_defined_literal] = STATE(4507),
    [sym_discard_statement] = STATE(605),
    [sym_cbuffer_specifier] = STATE(605),
    [sym_hlsl_attribute] = STATE(9024),
    [aux_sym_attributed_declarator_repeat1] = STATE(1342),
    [sym_identifier] = ACTIONS(3546),
    [anon_sym_LPAREN2] = ACTIONS(1472),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1474),
    [anon_sym_AMP] = ACTIONS(1474),
    [anon_sym_SEMI] = ACTIONS(1968),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1482),
    [anon_sym_LBRACE] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(1484),
    [sym_primitive_type] = ACTIONS(3146),
    [anon_sym_if] = ACTIONS(75),
    [anon_sym_switch] = ACTIONS(77),
    [anon_sym_case] = ACTIONS(79),
    [anon_sym_default] = ACTIONS(81),
    [anon_sym_while] = ACTIONS(83),
    [anon_sym_do] = ACTIONS(85),
    [anon_sym_for] = ACTIONS(87),
    [anon_sym_return] = ACTIONS(89),
    [anon_sym_break] = ACTIONS(91),
    [anon_sym_continue] = ACTIONS(93),
    [anon_sym_goto] = ACTIONS(95),
    [anon_sym___try] = ACTIONS(1970),
    [anon_sym___leave] = ACTIONS(1972),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_try] = ACTIONS(135),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(139),
    [anon_sym_co_return] = ACTIONS(149),
    [anon_sym_co_yield] = ACTIONS(151),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
    [anon_sym_discard] = ACTIONS(1974),
    [anon_sym_cbuffer] = ACTIONS(1976),
  },
  [1379] = {
    [sym_attribute_declaration] = STATE(1339),
    [sym_compound_statement] = STATE(680),
    [sym_attributed_statement] = STATE(680),
    [sym_labeled_statement] = STATE(680),
    [sym_expression_statement] = STATE(680),
    [sym_if_statement] = STATE(680),
    [sym_switch_statement] = STATE(680),
    [sym_case_statement] = STATE(680),
    [sym_while_statement] = STATE(680),
    [sym_do_statement] = STATE(680),
    [sym_for_statement] = STATE(680),
    [sym_return_statement] = STATE(680),
    [sym_break_statement] = STATE(680),
    [sym_continue_statement] = STATE(680),
    [sym_goto_statement] = STATE(680),
    [sym_seh_try_statement] = STATE(680),
    [sym_seh_leave_statement] = STATE(680),
    [sym__expression] = STATE(5674),
    [sym__expression_not_binary] = STATE(5024),
    [sym__string] = STATE(5024),
    [sym_comma_expression] = STATE(10272),
    [sym_conditional_expression] = STATE(5024),
    [sym_assignment_expression] = STATE(5024),
    [sym_pointer_expression] = STATE(4507),
    [sym_unary_expression] = STATE(5024),
    [sym_binary_expression] = STATE(5024),
    [sym_update_expression] = STATE(5024),
    [sym_cast_expression] = STATE(5024),
    [sym_sizeof_expression] = STATE(5024),
    [sym_alignof_expression] = STATE(5024),
    [sym_offsetof_expression] = STATE(5024),
    [sym_generic_expression] = STATE(5024),
    [sym_subscript_expression] = STATE(4507),
    [sym_call_expression] = STATE(4507),
    [sym_gnu_asm_expression] = STATE(5024),
    [sym_field_expression] = STATE(4507),
    [sym_compound_literal_expression] = STATE(5024),
    [sym_parenthesized_expression] = STATE(4507),
    [sym_char_literal] = STATE(5374),
    [sym_concatenated_string] = STATE(5377),
    [sym_string_literal] = STATE(4206),
    [sym_null] = STATE(5024),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9352),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(5024),
    [sym_for_range_loop] = STATE(680),
    [sym_co_return_statement] = STATE(680),
    [sym_co_yield_statement] = STATE(680),
    [sym_throw_statement] = STATE(680),
    [sym_try_statement] = STATE(680),
    [sym_raw_string_literal] = STATE(4217),
    [sym_co_await_expression] = STATE(5024),
    [sym_new_expression] = STATE(5024),
    [sym_delete_expression] = STATE(5024),
    [sym_requires_clause] = STATE(5024),
    [sym_requires_expression] = STATE(5024),
    [sym_lambda_expression] = STATE(5024),
    [sym_lambda_capture_specifier] = STATE(7184),
    [sym_fold_expression] = STATE(5024),
    [sym_parameter_pack_expansion] = STATE(5024),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6886),
    [sym_qualified_identifier] = STATE(4507),
    [sym_qualified_type_identifier] = STATE(9352),
    [sym_user_defined_literal] = STATE(4507),
    [sym_discard_statement] = STATE(680),
    [sym_cbuffer_specifier] = STATE(680),
    [sym_hlsl_attribute] = STATE(9351),
    [aux_sym_attributed_declarator_repeat1] = STATE(1339),
    [sym_identifier] = ACTIONS(3376),
    [anon_sym_LPAREN2] = ACTIONS(1472),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1474),
    [anon_sym_AMP] = ACTIONS(1474),
    [anon_sym_SEMI] = ACTIONS(177),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1482),
    [anon_sym_LBRACE] = ACTIONS(830),
    [anon_sym_LBRACK] = ACTIONS(1484),
    [sym_primitive_type] = ACTIONS(3146),
    [anon_sym_if] = ACTIONS(193),
    [anon_sym_switch] = ACTIONS(195),
    [anon_sym_case] = ACTIONS(197),
    [anon_sym_default] = ACTIONS(199),
    [anon_sym_while] = ACTIONS(201),
    [anon_sym_do] = ACTIONS(203),
    [anon_sym_for] = ACTIONS(205),
    [anon_sym_return] = ACTIONS(207),
    [anon_sym_break] = ACTIONS(209),
    [anon_sym_continue] = ACTIONS(211),
    [anon_sym_goto] = ACTIONS(213),
    [anon_sym___try] = ACTIONS(215),
    [anon_sym___leave] = ACTIONS(217),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_try] = ACTIONS(225),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(227),
    [anon_sym_co_return] = ACTIONS(237),
    [anon_sym_co_yield] = ACTIONS(239),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
    [anon_sym_discard] = ACTIONS(241),
    [anon_sym_cbuffer] = ACTIONS(243),
  },
  [1380] = {
    [sym_attribute_declaration] = STATE(1339),
    [sym_compound_statement] = STATE(743),
    [sym_attributed_statement] = STATE(743),
    [sym_labeled_statement] = STATE(743),
    [sym_expression_statement] = STATE(743),
    [sym_if_statement] = STATE(743),
    [sym_switch_statement] = STATE(743),
    [sym_case_statement] = STATE(743),
    [sym_while_statement] = STATE(743),
    [sym_do_statement] = STATE(743),
    [sym_for_statement] = STATE(743),
    [sym_return_statement] = STATE(743),
    [sym_break_statement] = STATE(743),
    [sym_continue_statement] = STATE(743),
    [sym_goto_statement] = STATE(743),
    [sym_seh_try_statement] = STATE(743),
    [sym_seh_leave_statement] = STATE(743),
    [sym__expression] = STATE(5674),
    [sym__expression_not_binary] = STATE(5024),
    [sym__string] = STATE(5024),
    [sym_comma_expression] = STATE(10272),
    [sym_conditional_expression] = STATE(5024),
    [sym_assignment_expression] = STATE(5024),
    [sym_pointer_expression] = STATE(4507),
    [sym_unary_expression] = STATE(5024),
    [sym_binary_expression] = STATE(5024),
    [sym_update_expression] = STATE(5024),
    [sym_cast_expression] = STATE(5024),
    [sym_sizeof_expression] = STATE(5024),
    [sym_alignof_expression] = STATE(5024),
    [sym_offsetof_expression] = STATE(5024),
    [sym_generic_expression] = STATE(5024),
    [sym_subscript_expression] = STATE(4507),
    [sym_call_expression] = STATE(4507),
    [sym_gnu_asm_expression] = STATE(5024),
    [sym_field_expression] = STATE(4507),
    [sym_compound_literal_expression] = STATE(5024),
    [sym_parenthesized_expression] = STATE(4507),
    [sym_char_literal] = STATE(5374),
    [sym_concatenated_string] = STATE(5377),
    [sym_string_literal] = STATE(4206),
    [sym_null] = STATE(5024),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9352),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(5024),
    [sym_for_range_loop] = STATE(743),
    [sym_co_return_statement] = STATE(743),
    [sym_co_yield_statement] = STATE(743),
    [sym_throw_statement] = STATE(743),
    [sym_try_statement] = STATE(743),
    [sym_raw_string_literal] = STATE(4217),
    [sym_co_await_expression] = STATE(5024),
    [sym_new_expression] = STATE(5024),
    [sym_delete_expression] = STATE(5024),
    [sym_requires_clause] = STATE(5024),
    [sym_requires_expression] = STATE(5024),
    [sym_lambda_expression] = STATE(5024),
    [sym_lambda_capture_specifier] = STATE(7184),
    [sym_fold_expression] = STATE(5024),
    [sym_parameter_pack_expansion] = STATE(5024),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6886),
    [sym_qualified_identifier] = STATE(4507),
    [sym_qualified_type_identifier] = STATE(9352),
    [sym_user_defined_literal] = STATE(4507),
    [sym_discard_statement] = STATE(743),
    [sym_cbuffer_specifier] = STATE(743),
    [sym_hlsl_attribute] = STATE(9351),
    [aux_sym_attributed_declarator_repeat1] = STATE(1339),
    [sym_identifier] = ACTIONS(3376),
    [anon_sym_LPAREN2] = ACTIONS(1472),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1474),
    [anon_sym_AMP] = ACTIONS(1474),
    [anon_sym_SEMI] = ACTIONS(177),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1482),
    [anon_sym_LBRACE] = ACTIONS(830),
    [anon_sym_LBRACK] = ACTIONS(1484),
    [sym_primitive_type] = ACTIONS(3146),
    [anon_sym_if] = ACTIONS(193),
    [anon_sym_switch] = ACTIONS(195),
    [anon_sym_case] = ACTIONS(197),
    [anon_sym_default] = ACTIONS(199),
    [anon_sym_while] = ACTIONS(201),
    [anon_sym_do] = ACTIONS(203),
    [anon_sym_for] = ACTIONS(205),
    [anon_sym_return] = ACTIONS(207),
    [anon_sym_break] = ACTIONS(209),
    [anon_sym_continue] = ACTIONS(211),
    [anon_sym_goto] = ACTIONS(213),
    [anon_sym___try] = ACTIONS(215),
    [anon_sym___leave] = ACTIONS(217),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_try] = ACTIONS(225),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(227),
    [anon_sym_co_return] = ACTIONS(237),
    [anon_sym_co_yield] = ACTIONS(239),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
    [anon_sym_discard] = ACTIONS(241),
    [anon_sym_cbuffer] = ACTIONS(243),
  },
  [1381] = {
    [sym_attribute_declaration] = STATE(1366),
    [sym_compound_statement] = STATE(10136),
    [sym_attributed_statement] = STATE(10136),
    [sym_labeled_statement] = STATE(10136),
    [sym_expression_statement] = STATE(10136),
    [sym_if_statement] = STATE(10136),
    [sym_switch_statement] = STATE(10136),
    [sym_case_statement] = STATE(10136),
    [sym_while_statement] = STATE(10136),
    [sym_do_statement] = STATE(10136),
    [sym_for_statement] = STATE(10136),
    [sym_return_statement] = STATE(10136),
    [sym_break_statement] = STATE(10136),
    [sym_continue_statement] = STATE(10136),
    [sym_goto_statement] = STATE(10136),
    [sym_seh_try_statement] = STATE(10136),
    [sym_seh_leave_statement] = STATE(10136),
    [sym__expression] = STATE(5674),
    [sym__expression_not_binary] = STATE(5024),
    [sym__string] = STATE(5024),
    [sym_comma_expression] = STATE(10272),
    [sym_conditional_expression] = STATE(5024),
    [sym_assignment_expression] = STATE(5024),
    [sym_pointer_expression] = STATE(4507),
    [sym_unary_expression] = STATE(5024),
    [sym_binary_expression] = STATE(5024),
    [sym_update_expression] = STATE(5024),
    [sym_cast_expression] = STATE(5024),
    [sym_sizeof_expression] = STATE(5024),
    [sym_alignof_expression] = STATE(5024),
    [sym_offsetof_expression] = STATE(5024),
    [sym_generic_expression] = STATE(5024),
    [sym_subscript_expression] = STATE(4507),
    [sym_call_expression] = STATE(4507),
    [sym_gnu_asm_expression] = STATE(5024),
    [sym_field_expression] = STATE(4507),
    [sym_compound_literal_expression] = STATE(5024),
    [sym_parenthesized_expression] = STATE(4507),
    [sym_char_literal] = STATE(5374),
    [sym_concatenated_string] = STATE(5377),
    [sym_string_literal] = STATE(4206),
    [sym_null] = STATE(5024),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9352),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(5024),
    [sym_for_range_loop] = STATE(10136),
    [sym_co_return_statement] = STATE(10136),
    [sym_co_yield_statement] = STATE(10136),
    [sym_throw_statement] = STATE(10136),
    [sym_try_statement] = STATE(10136),
    [sym_raw_string_literal] = STATE(4217),
    [sym_co_await_expression] = STATE(5024),
    [sym_new_expression] = STATE(5024),
    [sym_delete_expression] = STATE(5024),
    [sym_requires_clause] = STATE(5024),
    [sym_requires_expression] = STATE(5024),
    [sym_lambda_expression] = STATE(5024),
    [sym_lambda_capture_specifier] = STATE(7184),
    [sym_fold_expression] = STATE(5024),
    [sym_parameter_pack_expansion] = STATE(5024),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6886),
    [sym_qualified_identifier] = STATE(4507),
    [sym_qualified_type_identifier] = STATE(9352),
    [sym_user_defined_literal] = STATE(4507),
    [sym_discard_statement] = STATE(10136),
    [sym_cbuffer_specifier] = STATE(10136),
    [sym_hlsl_attribute] = STATE(9277),
    [aux_sym_attributed_declarator_repeat1] = STATE(1366),
    [sym_identifier] = ACTIONS(3524),
    [anon_sym_LPAREN2] = ACTIONS(1472),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1474),
    [anon_sym_AMP] = ACTIONS(1474),
    [anon_sym_SEMI] = ACTIONS(177),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1482),
    [anon_sym_LBRACE] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(1484),
    [sym_primitive_type] = ACTIONS(3146),
    [anon_sym_if] = ACTIONS(3526),
    [anon_sym_switch] = ACTIONS(77),
    [anon_sym_case] = ACTIONS(3528),
    [anon_sym_default] = ACTIONS(3530),
    [anon_sym_while] = ACTIONS(3532),
    [anon_sym_do] = ACTIONS(85),
    [anon_sym_for] = ACTIONS(3534),
    [anon_sym_return] = ACTIONS(89),
    [anon_sym_break] = ACTIONS(91),
    [anon_sym_continue] = ACTIONS(93),
    [anon_sym_goto] = ACTIONS(95),
    [anon_sym___try] = ACTIONS(3536),
    [anon_sym___leave] = ACTIONS(217),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_try] = ACTIONS(135),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(139),
    [anon_sym_co_return] = ACTIONS(149),
    [anon_sym_co_yield] = ACTIONS(151),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
    [anon_sym_discard] = ACTIONS(241),
    [anon_sym_cbuffer] = ACTIONS(3538),
  },
  [1382] = {
    [sym_attribute_declaration] = STATE(1370),
    [sym_compound_statement] = STATE(1481),
    [sym_attributed_statement] = STATE(1481),
    [sym_labeled_statement] = STATE(1481),
    [sym_expression_statement] = STATE(1481),
    [sym_if_statement] = STATE(1481),
    [sym_switch_statement] = STATE(1481),
    [sym_case_statement] = STATE(1481),
    [sym_while_statement] = STATE(1481),
    [sym_do_statement] = STATE(1481),
    [sym_for_statement] = STATE(1481),
    [sym_return_statement] = STATE(1481),
    [sym_break_statement] = STATE(1481),
    [sym_continue_statement] = STATE(1481),
    [sym_goto_statement] = STATE(1481),
    [sym_seh_try_statement] = STATE(1481),
    [sym_seh_leave_statement] = STATE(1481),
    [sym__expression] = STATE(5719),
    [sym__expression_not_binary] = STATE(5024),
    [sym__string] = STATE(5024),
    [sym_comma_expression] = STATE(9810),
    [sym_conditional_expression] = STATE(5024),
    [sym_assignment_expression] = STATE(5024),
    [sym_pointer_expression] = STATE(4507),
    [sym_unary_expression] = STATE(5024),
    [sym_binary_expression] = STATE(5024),
    [sym_update_expression] = STATE(5024),
    [sym_cast_expression] = STATE(5024),
    [sym_sizeof_expression] = STATE(5024),
    [sym_alignof_expression] = STATE(5024),
    [sym_offsetof_expression] = STATE(5024),
    [sym_generic_expression] = STATE(5024),
    [sym_subscript_expression] = STATE(4507),
    [sym_call_expression] = STATE(4507),
    [sym_gnu_asm_expression] = STATE(5024),
    [sym_field_expression] = STATE(4507),
    [sym_compound_literal_expression] = STATE(5024),
    [sym_parenthesized_expression] = STATE(4507),
    [sym_char_literal] = STATE(5374),
    [sym_concatenated_string] = STATE(5377),
    [sym_string_literal] = STATE(4206),
    [sym_null] = STATE(5024),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9352),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(5024),
    [sym_for_range_loop] = STATE(1481),
    [sym_co_return_statement] = STATE(1481),
    [sym_co_yield_statement] = STATE(1481),
    [sym_throw_statement] = STATE(1481),
    [sym_try_statement] = STATE(1481),
    [sym_raw_string_literal] = STATE(4217),
    [sym_co_await_expression] = STATE(5024),
    [sym_new_expression] = STATE(5024),
    [sym_delete_expression] = STATE(5024),
    [sym_requires_clause] = STATE(5024),
    [sym_requires_expression] = STATE(5024),
    [sym_lambda_expression] = STATE(5024),
    [sym_lambda_capture_specifier] = STATE(7184),
    [sym_fold_expression] = STATE(5024),
    [sym_parameter_pack_expansion] = STATE(5024),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6886),
    [sym_qualified_identifier] = STATE(4507),
    [sym_qualified_type_identifier] = STATE(9352),
    [sym_user_defined_literal] = STATE(4507),
    [sym_discard_statement] = STATE(1481),
    [sym_cbuffer_specifier] = STATE(1481),
    [sym_hlsl_attribute] = STATE(9343),
    [aux_sym_attributed_declarator_repeat1] = STATE(1370),
    [sym_identifier] = ACTIONS(3544),
    [anon_sym_LPAREN2] = ACTIONS(1472),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1474),
    [anon_sym_AMP] = ACTIONS(1474),
    [anon_sym_SEMI] = ACTIONS(1980),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1482),
    [anon_sym_LBRACE] = ACTIONS(1986),
    [anon_sym_LBRACK] = ACTIONS(1484),
    [sym_primitive_type] = ACTIONS(3146),
    [anon_sym_if] = ACTIONS(1988),
    [anon_sym_switch] = ACTIONS(1990),
    [anon_sym_case] = ACTIONS(3528),
    [anon_sym_default] = ACTIONS(3530),
    [anon_sym_while] = ACTIONS(1992),
    [anon_sym_do] = ACTIONS(1994),
    [anon_sym_for] = ACTIONS(1996),
    [anon_sym_return] = ACTIONS(1998),
    [anon_sym_break] = ACTIONS(2000),
    [anon_sym_continue] = ACTIONS(2002),
    [anon_sym_goto] = ACTIONS(2004),
    [anon_sym___try] = ACTIONS(2006),
    [anon_sym___leave] = ACTIONS(2008),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_try] = ACTIONS(2010),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(2012),
    [anon_sym_co_return] = ACTIONS(2014),
    [anon_sym_co_yield] = ACTIONS(2016),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
    [anon_sym_discard] = ACTIONS(2018),
    [anon_sym_cbuffer] = ACTIONS(2020),
  },
  [1383] = {
    [sym_attribute_declaration] = STATE(1337),
    [sym_compound_statement] = STATE(532),
    [sym_attributed_statement] = STATE(532),
    [sym_labeled_statement] = STATE(532),
    [sym_expression_statement] = STATE(532),
    [sym_if_statement] = STATE(532),
    [sym_switch_statement] = STATE(532),
    [sym_case_statement] = STATE(532),
    [sym_while_statement] = STATE(532),
    [sym_do_statement] = STATE(532),
    [sym_for_statement] = STATE(532),
    [sym_return_statement] = STATE(532),
    [sym_break_statement] = STATE(532),
    [sym_continue_statement] = STATE(532),
    [sym_goto_statement] = STATE(532),
    [sym_seh_try_statement] = STATE(532),
    [sym_seh_leave_statement] = STATE(532),
    [sym__expression] = STATE(5802),
    [sym__expression_not_binary] = STATE(5024),
    [sym__string] = STATE(5024),
    [sym_comma_expression] = STATE(9525),
    [sym_conditional_expression] = STATE(5024),
    [sym_assignment_expression] = STATE(5024),
    [sym_pointer_expression] = STATE(4507),
    [sym_unary_expression] = STATE(5024),
    [sym_binary_expression] = STATE(5024),
    [sym_update_expression] = STATE(5024),
    [sym_cast_expression] = STATE(5024),
    [sym_sizeof_expression] = STATE(5024),
    [sym_alignof_expression] = STATE(5024),
    [sym_offsetof_expression] = STATE(5024),
    [sym_generic_expression] = STATE(5024),
    [sym_subscript_expression] = STATE(4507),
    [sym_call_expression] = STATE(4507),
    [sym_gnu_asm_expression] = STATE(5024),
    [sym_field_expression] = STATE(4507),
    [sym_compound_literal_expression] = STATE(5024),
    [sym_parenthesized_expression] = STATE(4507),
    [sym_char_literal] = STATE(5374),
    [sym_concatenated_string] = STATE(5377),
    [sym_string_literal] = STATE(4206),
    [sym_null] = STATE(5024),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9352),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(5024),
    [sym_for_range_loop] = STATE(532),
    [sym_co_return_statement] = STATE(532),
    [sym_co_yield_statement] = STATE(532),
    [sym_throw_statement] = STATE(532),
    [sym_try_statement] = STATE(532),
    [sym_raw_string_literal] = STATE(4217),
    [sym_co_await_expression] = STATE(5024),
    [sym_new_expression] = STATE(5024),
    [sym_delete_expression] = STATE(5024),
    [sym_requires_clause] = STATE(5024),
    [sym_requires_expression] = STATE(5024),
    [sym_lambda_expression] = STATE(5024),
    [sym_lambda_capture_specifier] = STATE(7184),
    [sym_fold_expression] = STATE(5024),
    [sym_parameter_pack_expansion] = STATE(5024),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6886),
    [sym_qualified_identifier] = STATE(4507),
    [sym_qualified_type_identifier] = STATE(9352),
    [sym_user_defined_literal] = STATE(4507),
    [sym_discard_statement] = STATE(532),
    [sym_cbuffer_specifier] = STATE(532),
    [sym_hlsl_attribute] = STATE(9266),
    [aux_sym_attributed_declarator_repeat1] = STATE(1337),
    [sym_identifier] = ACTIONS(3540),
    [anon_sym_LPAREN2] = ACTIONS(1472),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1474),
    [anon_sym_AMP] = ACTIONS(1474),
    [anon_sym_SEMI] = ACTIONS(383),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1482),
    [anon_sym_LBRACE] = ACTIONS(391),
    [anon_sym_LBRACK] = ACTIONS(1484),
    [sym_primitive_type] = ACTIONS(3146),
    [anon_sym_if] = ACTIONS(395),
    [anon_sym_switch] = ACTIONS(397),
    [anon_sym_case] = ACTIONS(399),
    [anon_sym_default] = ACTIONS(401),
    [anon_sym_while] = ACTIONS(403),
    [anon_sym_do] = ACTIONS(405),
    [anon_sym_for] = ACTIONS(407),
    [anon_sym_return] = ACTIONS(409),
    [anon_sym_break] = ACTIONS(411),
    [anon_sym_continue] = ACTIONS(413),
    [anon_sym_goto] = ACTIONS(415),
    [anon_sym___try] = ACTIONS(417),
    [anon_sym___leave] = ACTIONS(419),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_try] = ACTIONS(423),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(425),
    [anon_sym_co_return] = ACTIONS(435),
    [anon_sym_co_yield] = ACTIONS(437),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
    [anon_sym_discard] = ACTIONS(439),
    [anon_sym_cbuffer] = ACTIONS(441),
  },
  [1384] = {
    [sym_attribute_declaration] = STATE(1370),
    [sym_compound_statement] = STATE(1530),
    [sym_attributed_statement] = STATE(1530),
    [sym_labeled_statement] = STATE(1530),
    [sym_expression_statement] = STATE(1530),
    [sym_if_statement] = STATE(1530),
    [sym_switch_statement] = STATE(1530),
    [sym_case_statement] = STATE(1530),
    [sym_while_statement] = STATE(1530),
    [sym_do_statement] = STATE(1530),
    [sym_for_statement] = STATE(1530),
    [sym_return_statement] = STATE(1530),
    [sym_break_statement] = STATE(1530),
    [sym_continue_statement] = STATE(1530),
    [sym_goto_statement] = STATE(1530),
    [sym_seh_try_statement] = STATE(1530),
    [sym_seh_leave_statement] = STATE(1530),
    [sym__expression] = STATE(5719),
    [sym__expression_not_binary] = STATE(5024),
    [sym__string] = STATE(5024),
    [sym_comma_expression] = STATE(9810),
    [sym_conditional_expression] = STATE(5024),
    [sym_assignment_expression] = STATE(5024),
    [sym_pointer_expression] = STATE(4507),
    [sym_unary_expression] = STATE(5024),
    [sym_binary_expression] = STATE(5024),
    [sym_update_expression] = STATE(5024),
    [sym_cast_expression] = STATE(5024),
    [sym_sizeof_expression] = STATE(5024),
    [sym_alignof_expression] = STATE(5024),
    [sym_offsetof_expression] = STATE(5024),
    [sym_generic_expression] = STATE(5024),
    [sym_subscript_expression] = STATE(4507),
    [sym_call_expression] = STATE(4507),
    [sym_gnu_asm_expression] = STATE(5024),
    [sym_field_expression] = STATE(4507),
    [sym_compound_literal_expression] = STATE(5024),
    [sym_parenthesized_expression] = STATE(4507),
    [sym_char_literal] = STATE(5374),
    [sym_concatenated_string] = STATE(5377),
    [sym_string_literal] = STATE(4206),
    [sym_null] = STATE(5024),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9352),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(5024),
    [sym_for_range_loop] = STATE(1530),
    [sym_co_return_statement] = STATE(1530),
    [sym_co_yield_statement] = STATE(1530),
    [sym_throw_statement] = STATE(1530),
    [sym_try_statement] = STATE(1530),
    [sym_raw_string_literal] = STATE(4217),
    [sym_co_await_expression] = STATE(5024),
    [sym_new_expression] = STATE(5024),
    [sym_delete_expression] = STATE(5024),
    [sym_requires_clause] = STATE(5024),
    [sym_requires_expression] = STATE(5024),
    [sym_lambda_expression] = STATE(5024),
    [sym_lambda_capture_specifier] = STATE(7184),
    [sym_fold_expression] = STATE(5024),
    [sym_parameter_pack_expansion] = STATE(5024),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6886),
    [sym_qualified_identifier] = STATE(4507),
    [sym_qualified_type_identifier] = STATE(9352),
    [sym_user_defined_literal] = STATE(4507),
    [sym_discard_statement] = STATE(1530),
    [sym_cbuffer_specifier] = STATE(1530),
    [sym_hlsl_attribute] = STATE(9343),
    [aux_sym_attributed_declarator_repeat1] = STATE(1370),
    [sym_identifier] = ACTIONS(3544),
    [anon_sym_LPAREN2] = ACTIONS(1472),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1474),
    [anon_sym_AMP] = ACTIONS(1474),
    [anon_sym_SEMI] = ACTIONS(1980),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1482),
    [anon_sym_LBRACE] = ACTIONS(1986),
    [anon_sym_LBRACK] = ACTIONS(1484),
    [sym_primitive_type] = ACTIONS(3146),
    [anon_sym_if] = ACTIONS(1988),
    [anon_sym_switch] = ACTIONS(1990),
    [anon_sym_case] = ACTIONS(3528),
    [anon_sym_default] = ACTIONS(3530),
    [anon_sym_while] = ACTIONS(1992),
    [anon_sym_do] = ACTIONS(1994),
    [anon_sym_for] = ACTIONS(1996),
    [anon_sym_return] = ACTIONS(1998),
    [anon_sym_break] = ACTIONS(2000),
    [anon_sym_continue] = ACTIONS(2002),
    [anon_sym_goto] = ACTIONS(2004),
    [anon_sym___try] = ACTIONS(2006),
    [anon_sym___leave] = ACTIONS(2008),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_try] = ACTIONS(2010),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(2012),
    [anon_sym_co_return] = ACTIONS(2014),
    [anon_sym_co_yield] = ACTIONS(2016),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
    [anon_sym_discard] = ACTIONS(2018),
    [anon_sym_cbuffer] = ACTIONS(2020),
  },
  [1385] = {
    [sym_attribute_declaration] = STATE(1366),
    [sym_compound_statement] = STATE(706),
    [sym_attributed_statement] = STATE(706),
    [sym_labeled_statement] = STATE(706),
    [sym_expression_statement] = STATE(706),
    [sym_if_statement] = STATE(706),
    [sym_switch_statement] = STATE(706),
    [sym_case_statement] = STATE(706),
    [sym_while_statement] = STATE(706),
    [sym_do_statement] = STATE(706),
    [sym_for_statement] = STATE(706),
    [sym_return_statement] = STATE(706),
    [sym_break_statement] = STATE(706),
    [sym_continue_statement] = STATE(706),
    [sym_goto_statement] = STATE(706),
    [sym_seh_try_statement] = STATE(706),
    [sym_seh_leave_statement] = STATE(706),
    [sym__expression] = STATE(5674),
    [sym__expression_not_binary] = STATE(5024),
    [sym__string] = STATE(5024),
    [sym_comma_expression] = STATE(10272),
    [sym_conditional_expression] = STATE(5024),
    [sym_assignment_expression] = STATE(5024),
    [sym_pointer_expression] = STATE(4507),
    [sym_unary_expression] = STATE(5024),
    [sym_binary_expression] = STATE(5024),
    [sym_update_expression] = STATE(5024),
    [sym_cast_expression] = STATE(5024),
    [sym_sizeof_expression] = STATE(5024),
    [sym_alignof_expression] = STATE(5024),
    [sym_offsetof_expression] = STATE(5024),
    [sym_generic_expression] = STATE(5024),
    [sym_subscript_expression] = STATE(4507),
    [sym_call_expression] = STATE(4507),
    [sym_gnu_asm_expression] = STATE(5024),
    [sym_field_expression] = STATE(4507),
    [sym_compound_literal_expression] = STATE(5024),
    [sym_parenthesized_expression] = STATE(4507),
    [sym_char_literal] = STATE(5374),
    [sym_concatenated_string] = STATE(5377),
    [sym_string_literal] = STATE(4206),
    [sym_null] = STATE(5024),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9352),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(5024),
    [sym_for_range_loop] = STATE(706),
    [sym_co_return_statement] = STATE(706),
    [sym_co_yield_statement] = STATE(706),
    [sym_throw_statement] = STATE(706),
    [sym_try_statement] = STATE(706),
    [sym_raw_string_literal] = STATE(4217),
    [sym_co_await_expression] = STATE(5024),
    [sym_new_expression] = STATE(5024),
    [sym_delete_expression] = STATE(5024),
    [sym_requires_clause] = STATE(5024),
    [sym_requires_expression] = STATE(5024),
    [sym_lambda_expression] = STATE(5024),
    [sym_lambda_capture_specifier] = STATE(7184),
    [sym_fold_expression] = STATE(5024),
    [sym_parameter_pack_expansion] = STATE(5024),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6886),
    [sym_qualified_identifier] = STATE(4507),
    [sym_qualified_type_identifier] = STATE(9352),
    [sym_user_defined_literal] = STATE(4507),
    [sym_discard_statement] = STATE(706),
    [sym_cbuffer_specifier] = STATE(706),
    [sym_hlsl_attribute] = STATE(9277),
    [aux_sym_attributed_declarator_repeat1] = STATE(1366),
    [sym_identifier] = ACTIONS(3524),
    [anon_sym_LPAREN2] = ACTIONS(1472),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1474),
    [anon_sym_AMP] = ACTIONS(1474),
    [anon_sym_SEMI] = ACTIONS(177),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1482),
    [anon_sym_LBRACE] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(1484),
    [sym_primitive_type] = ACTIONS(3146),
    [anon_sym_if] = ACTIONS(3526),
    [anon_sym_switch] = ACTIONS(77),
    [anon_sym_case] = ACTIONS(3528),
    [anon_sym_default] = ACTIONS(3530),
    [anon_sym_while] = ACTIONS(3532),
    [anon_sym_do] = ACTIONS(85),
    [anon_sym_for] = ACTIONS(3534),
    [anon_sym_return] = ACTIONS(89),
    [anon_sym_break] = ACTIONS(91),
    [anon_sym_continue] = ACTIONS(93),
    [anon_sym_goto] = ACTIONS(95),
    [anon_sym___try] = ACTIONS(3536),
    [anon_sym___leave] = ACTIONS(217),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_try] = ACTIONS(135),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(139),
    [anon_sym_co_return] = ACTIONS(149),
    [anon_sym_co_yield] = ACTIONS(151),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
    [anon_sym_discard] = ACTIONS(241),
    [anon_sym_cbuffer] = ACTIONS(3538),
  },
  [1386] = {
    [sym_attribute_declaration] = STATE(1366),
    [sym_compound_statement] = STATE(704),
    [sym_attributed_statement] = STATE(703),
    [sym_labeled_statement] = STATE(701),
    [sym_expression_statement] = STATE(700),
    [sym_if_statement] = STATE(699),
    [sym_switch_statement] = STATE(698),
    [sym_case_statement] = STATE(697),
    [sym_while_statement] = STATE(694),
    [sym_do_statement] = STATE(693),
    [sym_for_statement] = STATE(692),
    [sym_return_statement] = STATE(691),
    [sym_break_statement] = STATE(690),
    [sym_continue_statement] = STATE(689),
    [sym_goto_statement] = STATE(688),
    [sym_seh_try_statement] = STATE(686),
    [sym_seh_leave_statement] = STATE(740),
    [sym__expression] = STATE(5674),
    [sym__expression_not_binary] = STATE(5024),
    [sym__string] = STATE(5024),
    [sym_comma_expression] = STATE(10272),
    [sym_conditional_expression] = STATE(5024),
    [sym_assignment_expression] = STATE(5024),
    [sym_pointer_expression] = STATE(4507),
    [sym_unary_expression] = STATE(5024),
    [sym_binary_expression] = STATE(5024),
    [sym_update_expression] = STATE(5024),
    [sym_cast_expression] = STATE(5024),
    [sym_sizeof_expression] = STATE(5024),
    [sym_alignof_expression] = STATE(5024),
    [sym_offsetof_expression] = STATE(5024),
    [sym_generic_expression] = STATE(5024),
    [sym_subscript_expression] = STATE(4507),
    [sym_call_expression] = STATE(4507),
    [sym_gnu_asm_expression] = STATE(5024),
    [sym_field_expression] = STATE(4507),
    [sym_compound_literal_expression] = STATE(5024),
    [sym_parenthesized_expression] = STATE(4507),
    [sym_char_literal] = STATE(5374),
    [sym_concatenated_string] = STATE(5377),
    [sym_string_literal] = STATE(4206),
    [sym_null] = STATE(5024),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9352),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(5024),
    [sym_for_range_loop] = STATE(781),
    [sym_co_return_statement] = STATE(786),
    [sym_co_yield_statement] = STATE(802),
    [sym_throw_statement] = STATE(804),
    [sym_try_statement] = STATE(806),
    [sym_raw_string_literal] = STATE(4217),
    [sym_co_await_expression] = STATE(5024),
    [sym_new_expression] = STATE(5024),
    [sym_delete_expression] = STATE(5024),
    [sym_requires_clause] = STATE(5024),
    [sym_requires_expression] = STATE(5024),
    [sym_lambda_expression] = STATE(5024),
    [sym_lambda_capture_specifier] = STATE(7184),
    [sym_fold_expression] = STATE(5024),
    [sym_parameter_pack_expansion] = STATE(5024),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6886),
    [sym_qualified_identifier] = STATE(4507),
    [sym_qualified_type_identifier] = STATE(9352),
    [sym_user_defined_literal] = STATE(4507),
    [sym_discard_statement] = STATE(809),
    [sym_cbuffer_specifier] = STATE(813),
    [sym_hlsl_attribute] = STATE(9277),
    [aux_sym_attributed_declarator_repeat1] = STATE(1366),
    [sym_identifier] = ACTIONS(3524),
    [anon_sym_LPAREN2] = ACTIONS(1472),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1474),
    [anon_sym_AMP] = ACTIONS(1474),
    [anon_sym_SEMI] = ACTIONS(177),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1482),
    [anon_sym_LBRACE] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(1484),
    [sym_primitive_type] = ACTIONS(3146),
    [anon_sym_if] = ACTIONS(3526),
    [anon_sym_switch] = ACTIONS(77),
    [anon_sym_case] = ACTIONS(3528),
    [anon_sym_default] = ACTIONS(3530),
    [anon_sym_while] = ACTIONS(3532),
    [anon_sym_do] = ACTIONS(85),
    [anon_sym_for] = ACTIONS(3534),
    [anon_sym_return] = ACTIONS(89),
    [anon_sym_break] = ACTIONS(91),
    [anon_sym_continue] = ACTIONS(93),
    [anon_sym_goto] = ACTIONS(95),
    [anon_sym___try] = ACTIONS(3536),
    [anon_sym___leave] = ACTIONS(217),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_try] = ACTIONS(135),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(139),
    [anon_sym_co_return] = ACTIONS(149),
    [anon_sym_co_yield] = ACTIONS(151),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
    [anon_sym_discard] = ACTIONS(241),
    [anon_sym_cbuffer] = ACTIONS(3538),
  },
  [1387] = {
    [sym_attribute_declaration] = STATE(1366),
    [sym_compound_statement] = STATE(814),
    [sym_attributed_statement] = STATE(815),
    [sym_labeled_statement] = STATE(819),
    [sym_expression_statement] = STATE(820),
    [sym_if_statement] = STATE(822),
    [sym_switch_statement] = STATE(824),
    [sym_case_statement] = STATE(825),
    [sym_while_statement] = STATE(866),
    [sym_do_statement] = STATE(873),
    [sym_for_statement] = STATE(877),
    [sym_return_statement] = STATE(880),
    [sym_break_statement] = STATE(881),
    [sym_continue_statement] = STATE(767),
    [sym_goto_statement] = STATE(893),
    [sym_seh_try_statement] = STATE(897),
    [sym_seh_leave_statement] = STATE(899),
    [sym__expression] = STATE(5674),
    [sym__expression_not_binary] = STATE(5024),
    [sym__string] = STATE(5024),
    [sym_comma_expression] = STATE(10272),
    [sym_conditional_expression] = STATE(5024),
    [sym_assignment_expression] = STATE(5024),
    [sym_pointer_expression] = STATE(4507),
    [sym_unary_expression] = STATE(5024),
    [sym_binary_expression] = STATE(5024),
    [sym_update_expression] = STATE(5024),
    [sym_cast_expression] = STATE(5024),
    [sym_sizeof_expression] = STATE(5024),
    [sym_alignof_expression] = STATE(5024),
    [sym_offsetof_expression] = STATE(5024),
    [sym_generic_expression] = STATE(5024),
    [sym_subscript_expression] = STATE(4507),
    [sym_call_expression] = STATE(4507),
    [sym_gnu_asm_expression] = STATE(5024),
    [sym_field_expression] = STATE(4507),
    [sym_compound_literal_expression] = STATE(5024),
    [sym_parenthesized_expression] = STATE(4507),
    [sym_char_literal] = STATE(5374),
    [sym_concatenated_string] = STATE(5377),
    [sym_string_literal] = STATE(4206),
    [sym_null] = STATE(5024),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9352),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(5024),
    [sym_for_range_loop] = STATE(900),
    [sym_co_return_statement] = STATE(905),
    [sym_co_yield_statement] = STATE(906),
    [sym_throw_statement] = STATE(925),
    [sym_try_statement] = STATE(935),
    [sym_raw_string_literal] = STATE(4217),
    [sym_co_await_expression] = STATE(5024),
    [sym_new_expression] = STATE(5024),
    [sym_delete_expression] = STATE(5024),
    [sym_requires_clause] = STATE(5024),
    [sym_requires_expression] = STATE(5024),
    [sym_lambda_expression] = STATE(5024),
    [sym_lambda_capture_specifier] = STATE(7184),
    [sym_fold_expression] = STATE(5024),
    [sym_parameter_pack_expansion] = STATE(5024),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6886),
    [sym_qualified_identifier] = STATE(4507),
    [sym_qualified_type_identifier] = STATE(9352),
    [sym_user_defined_literal] = STATE(4507),
    [sym_discard_statement] = STATE(949),
    [sym_cbuffer_specifier] = STATE(950),
    [sym_hlsl_attribute] = STATE(9277),
    [aux_sym_attributed_declarator_repeat1] = STATE(1366),
    [sym_identifier] = ACTIONS(3524),
    [anon_sym_LPAREN2] = ACTIONS(1472),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1474),
    [anon_sym_AMP] = ACTIONS(1474),
    [anon_sym_SEMI] = ACTIONS(177),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1482),
    [anon_sym_LBRACE] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(1484),
    [sym_primitive_type] = ACTIONS(3146),
    [anon_sym_if] = ACTIONS(3526),
    [anon_sym_switch] = ACTIONS(77),
    [anon_sym_case] = ACTIONS(3528),
    [anon_sym_default] = ACTIONS(3530),
    [anon_sym_while] = ACTIONS(3532),
    [anon_sym_do] = ACTIONS(85),
    [anon_sym_for] = ACTIONS(3534),
    [anon_sym_return] = ACTIONS(89),
    [anon_sym_break] = ACTIONS(91),
    [anon_sym_continue] = ACTIONS(93),
    [anon_sym_goto] = ACTIONS(95),
    [anon_sym___try] = ACTIONS(3536),
    [anon_sym___leave] = ACTIONS(217),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_try] = ACTIONS(135),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(139),
    [anon_sym_co_return] = ACTIONS(149),
    [anon_sym_co_yield] = ACTIONS(151),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
    [anon_sym_discard] = ACTIONS(241),
    [anon_sym_cbuffer] = ACTIONS(3538),
  },
  [1388] = {
    [sym_attribute_declaration] = STATE(1366),
    [sym_compound_statement] = STATE(8501),
    [sym_attributed_statement] = STATE(8501),
    [sym_labeled_statement] = STATE(8501),
    [sym_expression_statement] = STATE(8501),
    [sym_if_statement] = STATE(8501),
    [sym_switch_statement] = STATE(8501),
    [sym_case_statement] = STATE(8501),
    [sym_while_statement] = STATE(8501),
    [sym_do_statement] = STATE(8501),
    [sym_for_statement] = STATE(8501),
    [sym_return_statement] = STATE(8501),
    [sym_break_statement] = STATE(8501),
    [sym_continue_statement] = STATE(8501),
    [sym_goto_statement] = STATE(8501),
    [sym_seh_try_statement] = STATE(8501),
    [sym_seh_leave_statement] = STATE(8501),
    [sym__expression] = STATE(5674),
    [sym__expression_not_binary] = STATE(5024),
    [sym__string] = STATE(5024),
    [sym_comma_expression] = STATE(10272),
    [sym_conditional_expression] = STATE(5024),
    [sym_assignment_expression] = STATE(5024),
    [sym_pointer_expression] = STATE(4507),
    [sym_unary_expression] = STATE(5024),
    [sym_binary_expression] = STATE(5024),
    [sym_update_expression] = STATE(5024),
    [sym_cast_expression] = STATE(5024),
    [sym_sizeof_expression] = STATE(5024),
    [sym_alignof_expression] = STATE(5024),
    [sym_offsetof_expression] = STATE(5024),
    [sym_generic_expression] = STATE(5024),
    [sym_subscript_expression] = STATE(4507),
    [sym_call_expression] = STATE(4507),
    [sym_gnu_asm_expression] = STATE(5024),
    [sym_field_expression] = STATE(4507),
    [sym_compound_literal_expression] = STATE(5024),
    [sym_parenthesized_expression] = STATE(4507),
    [sym_char_literal] = STATE(5374),
    [sym_concatenated_string] = STATE(5377),
    [sym_string_literal] = STATE(4206),
    [sym_null] = STATE(5024),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9352),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(5024),
    [sym_for_range_loop] = STATE(8501),
    [sym_co_return_statement] = STATE(8501),
    [sym_co_yield_statement] = STATE(8501),
    [sym_throw_statement] = STATE(8501),
    [sym_try_statement] = STATE(8501),
    [sym_raw_string_literal] = STATE(4217),
    [sym_co_await_expression] = STATE(5024),
    [sym_new_expression] = STATE(5024),
    [sym_delete_expression] = STATE(5024),
    [sym_requires_clause] = STATE(5024),
    [sym_requires_expression] = STATE(5024),
    [sym_lambda_expression] = STATE(5024),
    [sym_lambda_capture_specifier] = STATE(7184),
    [sym_fold_expression] = STATE(5024),
    [sym_parameter_pack_expansion] = STATE(5024),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6886),
    [sym_qualified_identifier] = STATE(4507),
    [sym_qualified_type_identifier] = STATE(9352),
    [sym_user_defined_literal] = STATE(4507),
    [sym_discard_statement] = STATE(8501),
    [sym_cbuffer_specifier] = STATE(8501),
    [sym_hlsl_attribute] = STATE(9277),
    [aux_sym_attributed_declarator_repeat1] = STATE(1366),
    [sym_identifier] = ACTIONS(3524),
    [anon_sym_LPAREN2] = ACTIONS(1472),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1474),
    [anon_sym_AMP] = ACTIONS(1474),
    [anon_sym_SEMI] = ACTIONS(177),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1482),
    [anon_sym_LBRACE] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(1484),
    [sym_primitive_type] = ACTIONS(3146),
    [anon_sym_if] = ACTIONS(3526),
    [anon_sym_switch] = ACTIONS(77),
    [anon_sym_case] = ACTIONS(3528),
    [anon_sym_default] = ACTIONS(3530),
    [anon_sym_while] = ACTIONS(3532),
    [anon_sym_do] = ACTIONS(85),
    [anon_sym_for] = ACTIONS(3534),
    [anon_sym_return] = ACTIONS(89),
    [anon_sym_break] = ACTIONS(91),
    [anon_sym_continue] = ACTIONS(93),
    [anon_sym_goto] = ACTIONS(95),
    [anon_sym___try] = ACTIONS(3536),
    [anon_sym___leave] = ACTIONS(217),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_try] = ACTIONS(135),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(139),
    [anon_sym_co_return] = ACTIONS(149),
    [anon_sym_co_yield] = ACTIONS(151),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
    [anon_sym_discard] = ACTIONS(241),
    [anon_sym_cbuffer] = ACTIONS(3538),
  },
  [1389] = {
    [sym_attribute_declaration] = STATE(1339),
    [sym_compound_statement] = STATE(737),
    [sym_attributed_statement] = STATE(737),
    [sym_labeled_statement] = STATE(737),
    [sym_expression_statement] = STATE(737),
    [sym_if_statement] = STATE(737),
    [sym_switch_statement] = STATE(737),
    [sym_case_statement] = STATE(737),
    [sym_while_statement] = STATE(737),
    [sym_do_statement] = STATE(737),
    [sym_for_statement] = STATE(737),
    [sym_return_statement] = STATE(737),
    [sym_break_statement] = STATE(737),
    [sym_continue_statement] = STATE(737),
    [sym_goto_statement] = STATE(737),
    [sym_seh_try_statement] = STATE(737),
    [sym_seh_leave_statement] = STATE(737),
    [sym__expression] = STATE(5674),
    [sym__expression_not_binary] = STATE(5024),
    [sym__string] = STATE(5024),
    [sym_comma_expression] = STATE(10272),
    [sym_conditional_expression] = STATE(5024),
    [sym_assignment_expression] = STATE(5024),
    [sym_pointer_expression] = STATE(4507),
    [sym_unary_expression] = STATE(5024),
    [sym_binary_expression] = STATE(5024),
    [sym_update_expression] = STATE(5024),
    [sym_cast_expression] = STATE(5024),
    [sym_sizeof_expression] = STATE(5024),
    [sym_alignof_expression] = STATE(5024),
    [sym_offsetof_expression] = STATE(5024),
    [sym_generic_expression] = STATE(5024),
    [sym_subscript_expression] = STATE(4507),
    [sym_call_expression] = STATE(4507),
    [sym_gnu_asm_expression] = STATE(5024),
    [sym_field_expression] = STATE(4507),
    [sym_compound_literal_expression] = STATE(5024),
    [sym_parenthesized_expression] = STATE(4507),
    [sym_char_literal] = STATE(5374),
    [sym_concatenated_string] = STATE(5377),
    [sym_string_literal] = STATE(4206),
    [sym_null] = STATE(5024),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9352),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(5024),
    [sym_for_range_loop] = STATE(737),
    [sym_co_return_statement] = STATE(737),
    [sym_co_yield_statement] = STATE(737),
    [sym_throw_statement] = STATE(737),
    [sym_try_statement] = STATE(737),
    [sym_raw_string_literal] = STATE(4217),
    [sym_co_await_expression] = STATE(5024),
    [sym_new_expression] = STATE(5024),
    [sym_delete_expression] = STATE(5024),
    [sym_requires_clause] = STATE(5024),
    [sym_requires_expression] = STATE(5024),
    [sym_lambda_expression] = STATE(5024),
    [sym_lambda_capture_specifier] = STATE(7184),
    [sym_fold_expression] = STATE(5024),
    [sym_parameter_pack_expansion] = STATE(5024),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6886),
    [sym_qualified_identifier] = STATE(4507),
    [sym_qualified_type_identifier] = STATE(9352),
    [sym_user_defined_literal] = STATE(4507),
    [sym_discard_statement] = STATE(737),
    [sym_cbuffer_specifier] = STATE(737),
    [sym_hlsl_attribute] = STATE(9351),
    [aux_sym_attributed_declarator_repeat1] = STATE(1339),
    [sym_identifier] = ACTIONS(3376),
    [anon_sym_LPAREN2] = ACTIONS(1472),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1474),
    [anon_sym_AMP] = ACTIONS(1474),
    [anon_sym_SEMI] = ACTIONS(177),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1482),
    [anon_sym_LBRACE] = ACTIONS(830),
    [anon_sym_LBRACK] = ACTIONS(1484),
    [sym_primitive_type] = ACTIONS(3146),
    [anon_sym_if] = ACTIONS(193),
    [anon_sym_switch] = ACTIONS(195),
    [anon_sym_case] = ACTIONS(197),
    [anon_sym_default] = ACTIONS(199),
    [anon_sym_while] = ACTIONS(201),
    [anon_sym_do] = ACTIONS(203),
    [anon_sym_for] = ACTIONS(205),
    [anon_sym_return] = ACTIONS(207),
    [anon_sym_break] = ACTIONS(209),
    [anon_sym_continue] = ACTIONS(211),
    [anon_sym_goto] = ACTIONS(213),
    [anon_sym___try] = ACTIONS(215),
    [anon_sym___leave] = ACTIONS(217),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_try] = ACTIONS(225),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(227),
    [anon_sym_co_return] = ACTIONS(237),
    [anon_sym_co_yield] = ACTIONS(239),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
    [anon_sym_discard] = ACTIONS(241),
    [anon_sym_cbuffer] = ACTIONS(243),
  },
  [1390] = {
    [sym_attribute_declaration] = STATE(1342),
    [sym_compound_statement] = STATE(898),
    [sym_attributed_statement] = STATE(898),
    [sym_labeled_statement] = STATE(898),
    [sym_expression_statement] = STATE(898),
    [sym_if_statement] = STATE(898),
    [sym_switch_statement] = STATE(898),
    [sym_case_statement] = STATE(898),
    [sym_while_statement] = STATE(898),
    [sym_do_statement] = STATE(898),
    [sym_for_statement] = STATE(898),
    [sym_return_statement] = STATE(898),
    [sym_break_statement] = STATE(898),
    [sym_continue_statement] = STATE(898),
    [sym_goto_statement] = STATE(898),
    [sym_seh_try_statement] = STATE(898),
    [sym_seh_leave_statement] = STATE(898),
    [sym__expression] = STATE(5798),
    [sym__expression_not_binary] = STATE(5024),
    [sym__string] = STATE(5024),
    [sym_comma_expression] = STATE(9706),
    [sym_conditional_expression] = STATE(5024),
    [sym_assignment_expression] = STATE(5024),
    [sym_pointer_expression] = STATE(4507),
    [sym_unary_expression] = STATE(5024),
    [sym_binary_expression] = STATE(5024),
    [sym_update_expression] = STATE(5024),
    [sym_cast_expression] = STATE(5024),
    [sym_sizeof_expression] = STATE(5024),
    [sym_alignof_expression] = STATE(5024),
    [sym_offsetof_expression] = STATE(5024),
    [sym_generic_expression] = STATE(5024),
    [sym_subscript_expression] = STATE(4507),
    [sym_call_expression] = STATE(4507),
    [sym_gnu_asm_expression] = STATE(5024),
    [sym_field_expression] = STATE(4507),
    [sym_compound_literal_expression] = STATE(5024),
    [sym_parenthesized_expression] = STATE(4507),
    [sym_char_literal] = STATE(5374),
    [sym_concatenated_string] = STATE(5377),
    [sym_string_literal] = STATE(4206),
    [sym_null] = STATE(5024),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9352),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(5024),
    [sym_for_range_loop] = STATE(898),
    [sym_co_return_statement] = STATE(898),
    [sym_co_yield_statement] = STATE(898),
    [sym_throw_statement] = STATE(898),
    [sym_try_statement] = STATE(898),
    [sym_raw_string_literal] = STATE(4217),
    [sym_co_await_expression] = STATE(5024),
    [sym_new_expression] = STATE(5024),
    [sym_delete_expression] = STATE(5024),
    [sym_requires_clause] = STATE(5024),
    [sym_requires_expression] = STATE(5024),
    [sym_lambda_expression] = STATE(5024),
    [sym_lambda_capture_specifier] = STATE(7184),
    [sym_fold_expression] = STATE(5024),
    [sym_parameter_pack_expansion] = STATE(5024),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6886),
    [sym_qualified_identifier] = STATE(4507),
    [sym_qualified_type_identifier] = STATE(9352),
    [sym_user_defined_literal] = STATE(4507),
    [sym_discard_statement] = STATE(898),
    [sym_cbuffer_specifier] = STATE(898),
    [sym_hlsl_attribute] = STATE(9024),
    [aux_sym_attributed_declarator_repeat1] = STATE(1342),
    [sym_identifier] = ACTIONS(3546),
    [anon_sym_LPAREN2] = ACTIONS(1472),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1474),
    [anon_sym_AMP] = ACTIONS(1474),
    [anon_sym_SEMI] = ACTIONS(1968),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1482),
    [anon_sym_LBRACE] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(1484),
    [sym_primitive_type] = ACTIONS(3146),
    [anon_sym_if] = ACTIONS(75),
    [anon_sym_switch] = ACTIONS(77),
    [anon_sym_case] = ACTIONS(79),
    [anon_sym_default] = ACTIONS(81),
    [anon_sym_while] = ACTIONS(83),
    [anon_sym_do] = ACTIONS(85),
    [anon_sym_for] = ACTIONS(87),
    [anon_sym_return] = ACTIONS(89),
    [anon_sym_break] = ACTIONS(91),
    [anon_sym_continue] = ACTIONS(93),
    [anon_sym_goto] = ACTIONS(95),
    [anon_sym___try] = ACTIONS(1970),
    [anon_sym___leave] = ACTIONS(1972),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_try] = ACTIONS(135),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(139),
    [anon_sym_co_return] = ACTIONS(149),
    [anon_sym_co_yield] = ACTIONS(151),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
    [anon_sym_discard] = ACTIONS(1974),
    [anon_sym_cbuffer] = ACTIONS(1976),
  },
  [1391] = {
    [sym_attribute_declaration] = STATE(1370),
    [sym_compound_statement] = STATE(1490),
    [sym_attributed_statement] = STATE(1490),
    [sym_labeled_statement] = STATE(1490),
    [sym_expression_statement] = STATE(1490),
    [sym_if_statement] = STATE(1490),
    [sym_switch_statement] = STATE(1490),
    [sym_case_statement] = STATE(1490),
    [sym_while_statement] = STATE(1490),
    [sym_do_statement] = STATE(1490),
    [sym_for_statement] = STATE(1490),
    [sym_return_statement] = STATE(1490),
    [sym_break_statement] = STATE(1490),
    [sym_continue_statement] = STATE(1490),
    [sym_goto_statement] = STATE(1490),
    [sym_seh_try_statement] = STATE(1490),
    [sym_seh_leave_statement] = STATE(1490),
    [sym__expression] = STATE(5719),
    [sym__expression_not_binary] = STATE(5024),
    [sym__string] = STATE(5024),
    [sym_comma_expression] = STATE(9810),
    [sym_conditional_expression] = STATE(5024),
    [sym_assignment_expression] = STATE(5024),
    [sym_pointer_expression] = STATE(4507),
    [sym_unary_expression] = STATE(5024),
    [sym_binary_expression] = STATE(5024),
    [sym_update_expression] = STATE(5024),
    [sym_cast_expression] = STATE(5024),
    [sym_sizeof_expression] = STATE(5024),
    [sym_alignof_expression] = STATE(5024),
    [sym_offsetof_expression] = STATE(5024),
    [sym_generic_expression] = STATE(5024),
    [sym_subscript_expression] = STATE(4507),
    [sym_call_expression] = STATE(4507),
    [sym_gnu_asm_expression] = STATE(5024),
    [sym_field_expression] = STATE(4507),
    [sym_compound_literal_expression] = STATE(5024),
    [sym_parenthesized_expression] = STATE(4507),
    [sym_char_literal] = STATE(5374),
    [sym_concatenated_string] = STATE(5377),
    [sym_string_literal] = STATE(4206),
    [sym_null] = STATE(5024),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9352),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(5024),
    [sym_for_range_loop] = STATE(1490),
    [sym_co_return_statement] = STATE(1490),
    [sym_co_yield_statement] = STATE(1490),
    [sym_throw_statement] = STATE(1490),
    [sym_try_statement] = STATE(1490),
    [sym_raw_string_literal] = STATE(4217),
    [sym_co_await_expression] = STATE(5024),
    [sym_new_expression] = STATE(5024),
    [sym_delete_expression] = STATE(5024),
    [sym_requires_clause] = STATE(5024),
    [sym_requires_expression] = STATE(5024),
    [sym_lambda_expression] = STATE(5024),
    [sym_lambda_capture_specifier] = STATE(7184),
    [sym_fold_expression] = STATE(5024),
    [sym_parameter_pack_expansion] = STATE(5024),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6886),
    [sym_qualified_identifier] = STATE(4507),
    [sym_qualified_type_identifier] = STATE(9352),
    [sym_user_defined_literal] = STATE(4507),
    [sym_discard_statement] = STATE(1490),
    [sym_cbuffer_specifier] = STATE(1490),
    [sym_hlsl_attribute] = STATE(9343),
    [aux_sym_attributed_declarator_repeat1] = STATE(1370),
    [sym_identifier] = ACTIONS(3544),
    [anon_sym_LPAREN2] = ACTIONS(1472),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1474),
    [anon_sym_AMP] = ACTIONS(1474),
    [anon_sym_SEMI] = ACTIONS(1980),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1482),
    [anon_sym_LBRACE] = ACTIONS(1986),
    [anon_sym_LBRACK] = ACTIONS(1484),
    [sym_primitive_type] = ACTIONS(3146),
    [anon_sym_if] = ACTIONS(1988),
    [anon_sym_switch] = ACTIONS(1990),
    [anon_sym_case] = ACTIONS(3528),
    [anon_sym_default] = ACTIONS(3530),
    [anon_sym_while] = ACTIONS(1992),
    [anon_sym_do] = ACTIONS(1994),
    [anon_sym_for] = ACTIONS(1996),
    [anon_sym_return] = ACTIONS(1998),
    [anon_sym_break] = ACTIONS(2000),
    [anon_sym_continue] = ACTIONS(2002),
    [anon_sym_goto] = ACTIONS(2004),
    [anon_sym___try] = ACTIONS(2006),
    [anon_sym___leave] = ACTIONS(2008),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_try] = ACTIONS(2010),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(2012),
    [anon_sym_co_return] = ACTIONS(2014),
    [anon_sym_co_yield] = ACTIONS(2016),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
    [anon_sym_discard] = ACTIONS(2018),
    [anon_sym_cbuffer] = ACTIONS(2020),
  },
  [1392] = {
    [sym_attribute_declaration] = STATE(1342),
    [sym_compound_statement] = STATE(706),
    [sym_attributed_statement] = STATE(706),
    [sym_labeled_statement] = STATE(706),
    [sym_expression_statement] = STATE(706),
    [sym_if_statement] = STATE(706),
    [sym_switch_statement] = STATE(706),
    [sym_case_statement] = STATE(706),
    [sym_while_statement] = STATE(706),
    [sym_do_statement] = STATE(706),
    [sym_for_statement] = STATE(706),
    [sym_return_statement] = STATE(706),
    [sym_break_statement] = STATE(706),
    [sym_continue_statement] = STATE(706),
    [sym_goto_statement] = STATE(706),
    [sym_seh_try_statement] = STATE(706),
    [sym_seh_leave_statement] = STATE(706),
    [sym__expression] = STATE(5798),
    [sym__expression_not_binary] = STATE(5024),
    [sym__string] = STATE(5024),
    [sym_comma_expression] = STATE(9706),
    [sym_conditional_expression] = STATE(5024),
    [sym_assignment_expression] = STATE(5024),
    [sym_pointer_expression] = STATE(4507),
    [sym_unary_expression] = STATE(5024),
    [sym_binary_expression] = STATE(5024),
    [sym_update_expression] = STATE(5024),
    [sym_cast_expression] = STATE(5024),
    [sym_sizeof_expression] = STATE(5024),
    [sym_alignof_expression] = STATE(5024),
    [sym_offsetof_expression] = STATE(5024),
    [sym_generic_expression] = STATE(5024),
    [sym_subscript_expression] = STATE(4507),
    [sym_call_expression] = STATE(4507),
    [sym_gnu_asm_expression] = STATE(5024),
    [sym_field_expression] = STATE(4507),
    [sym_compound_literal_expression] = STATE(5024),
    [sym_parenthesized_expression] = STATE(4507),
    [sym_char_literal] = STATE(5374),
    [sym_concatenated_string] = STATE(5377),
    [sym_string_literal] = STATE(4206),
    [sym_null] = STATE(5024),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9352),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(5024),
    [sym_for_range_loop] = STATE(706),
    [sym_co_return_statement] = STATE(706),
    [sym_co_yield_statement] = STATE(706),
    [sym_throw_statement] = STATE(706),
    [sym_try_statement] = STATE(706),
    [sym_raw_string_literal] = STATE(4217),
    [sym_co_await_expression] = STATE(5024),
    [sym_new_expression] = STATE(5024),
    [sym_delete_expression] = STATE(5024),
    [sym_requires_clause] = STATE(5024),
    [sym_requires_expression] = STATE(5024),
    [sym_lambda_expression] = STATE(5024),
    [sym_lambda_capture_specifier] = STATE(7184),
    [sym_fold_expression] = STATE(5024),
    [sym_parameter_pack_expansion] = STATE(5024),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6886),
    [sym_qualified_identifier] = STATE(4507),
    [sym_qualified_type_identifier] = STATE(9352),
    [sym_user_defined_literal] = STATE(4507),
    [sym_discard_statement] = STATE(706),
    [sym_cbuffer_specifier] = STATE(706),
    [sym_hlsl_attribute] = STATE(9024),
    [aux_sym_attributed_declarator_repeat1] = STATE(1342),
    [sym_identifier] = ACTIONS(3546),
    [anon_sym_LPAREN2] = ACTIONS(1472),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1474),
    [anon_sym_AMP] = ACTIONS(1474),
    [anon_sym_SEMI] = ACTIONS(1968),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1482),
    [anon_sym_LBRACE] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(1484),
    [sym_primitive_type] = ACTIONS(3146),
    [anon_sym_if] = ACTIONS(75),
    [anon_sym_switch] = ACTIONS(77),
    [anon_sym_case] = ACTIONS(79),
    [anon_sym_default] = ACTIONS(81),
    [anon_sym_while] = ACTIONS(83),
    [anon_sym_do] = ACTIONS(85),
    [anon_sym_for] = ACTIONS(87),
    [anon_sym_return] = ACTIONS(89),
    [anon_sym_break] = ACTIONS(91),
    [anon_sym_continue] = ACTIONS(93),
    [anon_sym_goto] = ACTIONS(95),
    [anon_sym___try] = ACTIONS(1970),
    [anon_sym___leave] = ACTIONS(1972),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_try] = ACTIONS(135),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(139),
    [anon_sym_co_return] = ACTIONS(149),
    [anon_sym_co_yield] = ACTIONS(151),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
    [anon_sym_discard] = ACTIONS(1974),
    [anon_sym_cbuffer] = ACTIONS(1976),
  },
  [1393] = {
    [sym_attribute_declaration] = STATE(1342),
    [sym_compound_statement] = STATE(788),
    [sym_attributed_statement] = STATE(777),
    [sym_labeled_statement] = STATE(776),
    [sym_expression_statement] = STATE(775),
    [sym_if_statement] = STATE(774),
    [sym_switch_statement] = STATE(773),
    [sym_case_statement] = STATE(771),
    [sym_while_statement] = STATE(770),
    [sym_do_statement] = STATE(768),
    [sym_for_statement] = STATE(766),
    [sym_return_statement] = STATE(765),
    [sym_break_statement] = STATE(764),
    [sym_continue_statement] = STATE(763),
    [sym_goto_statement] = STATE(762),
    [sym_seh_try_statement] = STATE(759),
    [sym_seh_leave_statement] = STATE(755),
    [sym__expression] = STATE(5798),
    [sym__expression_not_binary] = STATE(5024),
    [sym__string] = STATE(5024),
    [sym_comma_expression] = STATE(9706),
    [sym_conditional_expression] = STATE(5024),
    [sym_assignment_expression] = STATE(5024),
    [sym_pointer_expression] = STATE(4507),
    [sym_unary_expression] = STATE(5024),
    [sym_binary_expression] = STATE(5024),
    [sym_update_expression] = STATE(5024),
    [sym_cast_expression] = STATE(5024),
    [sym_sizeof_expression] = STATE(5024),
    [sym_alignof_expression] = STATE(5024),
    [sym_offsetof_expression] = STATE(5024),
    [sym_generic_expression] = STATE(5024),
    [sym_subscript_expression] = STATE(4507),
    [sym_call_expression] = STATE(4507),
    [sym_gnu_asm_expression] = STATE(5024),
    [sym_field_expression] = STATE(4507),
    [sym_compound_literal_expression] = STATE(5024),
    [sym_parenthesized_expression] = STATE(4507),
    [sym_char_literal] = STATE(5374),
    [sym_concatenated_string] = STATE(5377),
    [sym_string_literal] = STATE(4206),
    [sym_null] = STATE(5024),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9352),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(5024),
    [sym_for_range_loop] = STATE(752),
    [sym_co_return_statement] = STATE(750),
    [sym_co_yield_statement] = STATE(748),
    [sym_throw_statement] = STATE(747),
    [sym_try_statement] = STATE(738),
    [sym_raw_string_literal] = STATE(4217),
    [sym_co_await_expression] = STATE(5024),
    [sym_new_expression] = STATE(5024),
    [sym_delete_expression] = STATE(5024),
    [sym_requires_clause] = STATE(5024),
    [sym_requires_expression] = STATE(5024),
    [sym_lambda_expression] = STATE(5024),
    [sym_lambda_capture_specifier] = STATE(7184),
    [sym_fold_expression] = STATE(5024),
    [sym_parameter_pack_expansion] = STATE(5024),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6886),
    [sym_qualified_identifier] = STATE(4507),
    [sym_qualified_type_identifier] = STATE(9352),
    [sym_user_defined_literal] = STATE(4507),
    [sym_discard_statement] = STATE(736),
    [sym_cbuffer_specifier] = STATE(731),
    [sym_hlsl_attribute] = STATE(9024),
    [aux_sym_attributed_declarator_repeat1] = STATE(1342),
    [sym_identifier] = ACTIONS(3546),
    [anon_sym_LPAREN2] = ACTIONS(1472),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1474),
    [anon_sym_AMP] = ACTIONS(1474),
    [anon_sym_SEMI] = ACTIONS(1968),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1482),
    [anon_sym_LBRACE] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(1484),
    [sym_primitive_type] = ACTIONS(3146),
    [anon_sym_if] = ACTIONS(75),
    [anon_sym_switch] = ACTIONS(77),
    [anon_sym_case] = ACTIONS(79),
    [anon_sym_default] = ACTIONS(81),
    [anon_sym_while] = ACTIONS(83),
    [anon_sym_do] = ACTIONS(85),
    [anon_sym_for] = ACTIONS(87),
    [anon_sym_return] = ACTIONS(89),
    [anon_sym_break] = ACTIONS(91),
    [anon_sym_continue] = ACTIONS(93),
    [anon_sym_goto] = ACTIONS(95),
    [anon_sym___try] = ACTIONS(1970),
    [anon_sym___leave] = ACTIONS(1972),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_try] = ACTIONS(135),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(139),
    [anon_sym_co_return] = ACTIONS(149),
    [anon_sym_co_yield] = ACTIONS(151),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
    [anon_sym_discard] = ACTIONS(1974),
    [anon_sym_cbuffer] = ACTIONS(1976),
  },
  [1394] = {
    [sym_attribute_declaration] = STATE(1366),
    [sym_compound_statement] = STATE(10249),
    [sym_attributed_statement] = STATE(10249),
    [sym_labeled_statement] = STATE(10249),
    [sym_expression_statement] = STATE(10249),
    [sym_if_statement] = STATE(10249),
    [sym_switch_statement] = STATE(10249),
    [sym_case_statement] = STATE(10249),
    [sym_while_statement] = STATE(10249),
    [sym_do_statement] = STATE(10249),
    [sym_for_statement] = STATE(10249),
    [sym_return_statement] = STATE(10249),
    [sym_break_statement] = STATE(10249),
    [sym_continue_statement] = STATE(10249),
    [sym_goto_statement] = STATE(10249),
    [sym_seh_try_statement] = STATE(10249),
    [sym_seh_leave_statement] = STATE(10249),
    [sym__expression] = STATE(5674),
    [sym__expression_not_binary] = STATE(5024),
    [sym__string] = STATE(5024),
    [sym_comma_expression] = STATE(10272),
    [sym_conditional_expression] = STATE(5024),
    [sym_assignment_expression] = STATE(5024),
    [sym_pointer_expression] = STATE(4507),
    [sym_unary_expression] = STATE(5024),
    [sym_binary_expression] = STATE(5024),
    [sym_update_expression] = STATE(5024),
    [sym_cast_expression] = STATE(5024),
    [sym_sizeof_expression] = STATE(5024),
    [sym_alignof_expression] = STATE(5024),
    [sym_offsetof_expression] = STATE(5024),
    [sym_generic_expression] = STATE(5024),
    [sym_subscript_expression] = STATE(4507),
    [sym_call_expression] = STATE(4507),
    [sym_gnu_asm_expression] = STATE(5024),
    [sym_field_expression] = STATE(4507),
    [sym_compound_literal_expression] = STATE(5024),
    [sym_parenthesized_expression] = STATE(4507),
    [sym_char_literal] = STATE(5374),
    [sym_concatenated_string] = STATE(5377),
    [sym_string_literal] = STATE(4206),
    [sym_null] = STATE(5024),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9352),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(5024),
    [sym_for_range_loop] = STATE(10249),
    [sym_co_return_statement] = STATE(10249),
    [sym_co_yield_statement] = STATE(10249),
    [sym_throw_statement] = STATE(10249),
    [sym_try_statement] = STATE(10249),
    [sym_raw_string_literal] = STATE(4217),
    [sym_co_await_expression] = STATE(5024),
    [sym_new_expression] = STATE(5024),
    [sym_delete_expression] = STATE(5024),
    [sym_requires_clause] = STATE(5024),
    [sym_requires_expression] = STATE(5024),
    [sym_lambda_expression] = STATE(5024),
    [sym_lambda_capture_specifier] = STATE(7184),
    [sym_fold_expression] = STATE(5024),
    [sym_parameter_pack_expansion] = STATE(5024),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6886),
    [sym_qualified_identifier] = STATE(4507),
    [sym_qualified_type_identifier] = STATE(9352),
    [sym_user_defined_literal] = STATE(4507),
    [sym_discard_statement] = STATE(10249),
    [sym_cbuffer_specifier] = STATE(10249),
    [sym_hlsl_attribute] = STATE(9277),
    [aux_sym_attributed_declarator_repeat1] = STATE(1366),
    [sym_identifier] = ACTIONS(3524),
    [anon_sym_LPAREN2] = ACTIONS(1472),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1474),
    [anon_sym_AMP] = ACTIONS(1474),
    [anon_sym_SEMI] = ACTIONS(177),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1482),
    [anon_sym_LBRACE] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(1484),
    [sym_primitive_type] = ACTIONS(3146),
    [anon_sym_if] = ACTIONS(3526),
    [anon_sym_switch] = ACTIONS(77),
    [anon_sym_case] = ACTIONS(3528),
    [anon_sym_default] = ACTIONS(3530),
    [anon_sym_while] = ACTIONS(3532),
    [anon_sym_do] = ACTIONS(85),
    [anon_sym_for] = ACTIONS(3534),
    [anon_sym_return] = ACTIONS(89),
    [anon_sym_break] = ACTIONS(91),
    [anon_sym_continue] = ACTIONS(93),
    [anon_sym_goto] = ACTIONS(95),
    [anon_sym___try] = ACTIONS(3536),
    [anon_sym___leave] = ACTIONS(217),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_try] = ACTIONS(135),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(139),
    [anon_sym_co_return] = ACTIONS(149),
    [anon_sym_co_yield] = ACTIONS(151),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
    [anon_sym_discard] = ACTIONS(241),
    [anon_sym_cbuffer] = ACTIONS(3538),
  },
  [1395] = {
    [sym_attribute_declaration] = STATE(1342),
    [sym_compound_statement] = STATE(646),
    [sym_attributed_statement] = STATE(646),
    [sym_labeled_statement] = STATE(646),
    [sym_expression_statement] = STATE(646),
    [sym_if_statement] = STATE(646),
    [sym_switch_statement] = STATE(646),
    [sym_case_statement] = STATE(646),
    [sym_while_statement] = STATE(646),
    [sym_do_statement] = STATE(646),
    [sym_for_statement] = STATE(646),
    [sym_return_statement] = STATE(646),
    [sym_break_statement] = STATE(646),
    [sym_continue_statement] = STATE(646),
    [sym_goto_statement] = STATE(646),
    [sym_seh_try_statement] = STATE(646),
    [sym_seh_leave_statement] = STATE(646),
    [sym__expression] = STATE(5798),
    [sym__expression_not_binary] = STATE(5024),
    [sym__string] = STATE(5024),
    [sym_comma_expression] = STATE(9706),
    [sym_conditional_expression] = STATE(5024),
    [sym_assignment_expression] = STATE(5024),
    [sym_pointer_expression] = STATE(4507),
    [sym_unary_expression] = STATE(5024),
    [sym_binary_expression] = STATE(5024),
    [sym_update_expression] = STATE(5024),
    [sym_cast_expression] = STATE(5024),
    [sym_sizeof_expression] = STATE(5024),
    [sym_alignof_expression] = STATE(5024),
    [sym_offsetof_expression] = STATE(5024),
    [sym_generic_expression] = STATE(5024),
    [sym_subscript_expression] = STATE(4507),
    [sym_call_expression] = STATE(4507),
    [sym_gnu_asm_expression] = STATE(5024),
    [sym_field_expression] = STATE(4507),
    [sym_compound_literal_expression] = STATE(5024),
    [sym_parenthesized_expression] = STATE(4507),
    [sym_char_literal] = STATE(5374),
    [sym_concatenated_string] = STATE(5377),
    [sym_string_literal] = STATE(4206),
    [sym_null] = STATE(5024),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9352),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(5024),
    [sym_for_range_loop] = STATE(646),
    [sym_co_return_statement] = STATE(646),
    [sym_co_yield_statement] = STATE(646),
    [sym_throw_statement] = STATE(646),
    [sym_try_statement] = STATE(646),
    [sym_raw_string_literal] = STATE(4217),
    [sym_co_await_expression] = STATE(5024),
    [sym_new_expression] = STATE(5024),
    [sym_delete_expression] = STATE(5024),
    [sym_requires_clause] = STATE(5024),
    [sym_requires_expression] = STATE(5024),
    [sym_lambda_expression] = STATE(5024),
    [sym_lambda_capture_specifier] = STATE(7184),
    [sym_fold_expression] = STATE(5024),
    [sym_parameter_pack_expansion] = STATE(5024),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6886),
    [sym_qualified_identifier] = STATE(4507),
    [sym_qualified_type_identifier] = STATE(9352),
    [sym_user_defined_literal] = STATE(4507),
    [sym_discard_statement] = STATE(646),
    [sym_cbuffer_specifier] = STATE(646),
    [sym_hlsl_attribute] = STATE(9024),
    [aux_sym_attributed_declarator_repeat1] = STATE(1342),
    [sym_identifier] = ACTIONS(3546),
    [anon_sym_LPAREN2] = ACTIONS(1472),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1474),
    [anon_sym_AMP] = ACTIONS(1474),
    [anon_sym_SEMI] = ACTIONS(1968),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1482),
    [anon_sym_LBRACE] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(1484),
    [sym_primitive_type] = ACTIONS(3146),
    [anon_sym_if] = ACTIONS(75),
    [anon_sym_switch] = ACTIONS(77),
    [anon_sym_case] = ACTIONS(79),
    [anon_sym_default] = ACTIONS(81),
    [anon_sym_while] = ACTIONS(83),
    [anon_sym_do] = ACTIONS(85),
    [anon_sym_for] = ACTIONS(87),
    [anon_sym_return] = ACTIONS(89),
    [anon_sym_break] = ACTIONS(91),
    [anon_sym_continue] = ACTIONS(93),
    [anon_sym_goto] = ACTIONS(95),
    [anon_sym___try] = ACTIONS(1970),
    [anon_sym___leave] = ACTIONS(1972),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_try] = ACTIONS(135),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(139),
    [anon_sym_co_return] = ACTIONS(149),
    [anon_sym_co_yield] = ACTIONS(151),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
    [anon_sym_discard] = ACTIONS(1974),
    [anon_sym_cbuffer] = ACTIONS(1976),
  },
  [1396] = {
    [sym_attribute_declaration] = STATE(1366),
    [sym_compound_statement] = STATE(788),
    [sym_attributed_statement] = STATE(777),
    [sym_labeled_statement] = STATE(776),
    [sym_expression_statement] = STATE(775),
    [sym_if_statement] = STATE(774),
    [sym_switch_statement] = STATE(773),
    [sym_case_statement] = STATE(771),
    [sym_while_statement] = STATE(770),
    [sym_do_statement] = STATE(768),
    [sym_for_statement] = STATE(766),
    [sym_return_statement] = STATE(765),
    [sym_break_statement] = STATE(764),
    [sym_continue_statement] = STATE(763),
    [sym_goto_statement] = STATE(762),
    [sym_seh_try_statement] = STATE(759),
    [sym_seh_leave_statement] = STATE(755),
    [sym__expression] = STATE(5674),
    [sym__expression_not_binary] = STATE(5024),
    [sym__string] = STATE(5024),
    [sym_comma_expression] = STATE(10272),
    [sym_conditional_expression] = STATE(5024),
    [sym_assignment_expression] = STATE(5024),
    [sym_pointer_expression] = STATE(4507),
    [sym_unary_expression] = STATE(5024),
    [sym_binary_expression] = STATE(5024),
    [sym_update_expression] = STATE(5024),
    [sym_cast_expression] = STATE(5024),
    [sym_sizeof_expression] = STATE(5024),
    [sym_alignof_expression] = STATE(5024),
    [sym_offsetof_expression] = STATE(5024),
    [sym_generic_expression] = STATE(5024),
    [sym_subscript_expression] = STATE(4507),
    [sym_call_expression] = STATE(4507),
    [sym_gnu_asm_expression] = STATE(5024),
    [sym_field_expression] = STATE(4507),
    [sym_compound_literal_expression] = STATE(5024),
    [sym_parenthesized_expression] = STATE(4507),
    [sym_char_literal] = STATE(5374),
    [sym_concatenated_string] = STATE(5377),
    [sym_string_literal] = STATE(4206),
    [sym_null] = STATE(5024),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9352),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(5024),
    [sym_for_range_loop] = STATE(752),
    [sym_co_return_statement] = STATE(750),
    [sym_co_yield_statement] = STATE(748),
    [sym_throw_statement] = STATE(747),
    [sym_try_statement] = STATE(738),
    [sym_raw_string_literal] = STATE(4217),
    [sym_co_await_expression] = STATE(5024),
    [sym_new_expression] = STATE(5024),
    [sym_delete_expression] = STATE(5024),
    [sym_requires_clause] = STATE(5024),
    [sym_requires_expression] = STATE(5024),
    [sym_lambda_expression] = STATE(5024),
    [sym_lambda_capture_specifier] = STATE(7184),
    [sym_fold_expression] = STATE(5024),
    [sym_parameter_pack_expansion] = STATE(5024),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6886),
    [sym_qualified_identifier] = STATE(4507),
    [sym_qualified_type_identifier] = STATE(9352),
    [sym_user_defined_literal] = STATE(4507),
    [sym_discard_statement] = STATE(736),
    [sym_cbuffer_specifier] = STATE(731),
    [sym_hlsl_attribute] = STATE(9277),
    [aux_sym_attributed_declarator_repeat1] = STATE(1366),
    [sym_identifier] = ACTIONS(3524),
    [anon_sym_LPAREN2] = ACTIONS(1472),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1474),
    [anon_sym_AMP] = ACTIONS(1474),
    [anon_sym_SEMI] = ACTIONS(177),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1482),
    [anon_sym_LBRACE] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(1484),
    [sym_primitive_type] = ACTIONS(3146),
    [anon_sym_if] = ACTIONS(3526),
    [anon_sym_switch] = ACTIONS(77),
    [anon_sym_case] = ACTIONS(3528),
    [anon_sym_default] = ACTIONS(3530),
    [anon_sym_while] = ACTIONS(3532),
    [anon_sym_do] = ACTIONS(85),
    [anon_sym_for] = ACTIONS(3534),
    [anon_sym_return] = ACTIONS(89),
    [anon_sym_break] = ACTIONS(91),
    [anon_sym_continue] = ACTIONS(93),
    [anon_sym_goto] = ACTIONS(95),
    [anon_sym___try] = ACTIONS(3536),
    [anon_sym___leave] = ACTIONS(217),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_try] = ACTIONS(135),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(139),
    [anon_sym_co_return] = ACTIONS(149),
    [anon_sym_co_yield] = ACTIONS(151),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
    [anon_sym_discard] = ACTIONS(241),
    [anon_sym_cbuffer] = ACTIONS(3538),
  },
  [1397] = {
    [sym_attribute_declaration] = STATE(1370),
    [sym_compound_statement] = STATE(1508),
    [sym_attributed_statement] = STATE(1508),
    [sym_labeled_statement] = STATE(1508),
    [sym_expression_statement] = STATE(1508),
    [sym_if_statement] = STATE(1508),
    [sym_switch_statement] = STATE(1508),
    [sym_case_statement] = STATE(1508),
    [sym_while_statement] = STATE(1508),
    [sym_do_statement] = STATE(1508),
    [sym_for_statement] = STATE(1508),
    [sym_return_statement] = STATE(1508),
    [sym_break_statement] = STATE(1508),
    [sym_continue_statement] = STATE(1508),
    [sym_goto_statement] = STATE(1508),
    [sym_seh_try_statement] = STATE(1508),
    [sym_seh_leave_statement] = STATE(1508),
    [sym__expression] = STATE(5719),
    [sym__expression_not_binary] = STATE(5024),
    [sym__string] = STATE(5024),
    [sym_comma_expression] = STATE(9810),
    [sym_conditional_expression] = STATE(5024),
    [sym_assignment_expression] = STATE(5024),
    [sym_pointer_expression] = STATE(4507),
    [sym_unary_expression] = STATE(5024),
    [sym_binary_expression] = STATE(5024),
    [sym_update_expression] = STATE(5024),
    [sym_cast_expression] = STATE(5024),
    [sym_sizeof_expression] = STATE(5024),
    [sym_alignof_expression] = STATE(5024),
    [sym_offsetof_expression] = STATE(5024),
    [sym_generic_expression] = STATE(5024),
    [sym_subscript_expression] = STATE(4507),
    [sym_call_expression] = STATE(4507),
    [sym_gnu_asm_expression] = STATE(5024),
    [sym_field_expression] = STATE(4507),
    [sym_compound_literal_expression] = STATE(5024),
    [sym_parenthesized_expression] = STATE(4507),
    [sym_char_literal] = STATE(5374),
    [sym_concatenated_string] = STATE(5377),
    [sym_string_literal] = STATE(4206),
    [sym_null] = STATE(5024),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9352),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(5024),
    [sym_for_range_loop] = STATE(1508),
    [sym_co_return_statement] = STATE(1508),
    [sym_co_yield_statement] = STATE(1508),
    [sym_throw_statement] = STATE(1508),
    [sym_try_statement] = STATE(1508),
    [sym_raw_string_literal] = STATE(4217),
    [sym_co_await_expression] = STATE(5024),
    [sym_new_expression] = STATE(5024),
    [sym_delete_expression] = STATE(5024),
    [sym_requires_clause] = STATE(5024),
    [sym_requires_expression] = STATE(5024),
    [sym_lambda_expression] = STATE(5024),
    [sym_lambda_capture_specifier] = STATE(7184),
    [sym_fold_expression] = STATE(5024),
    [sym_parameter_pack_expansion] = STATE(5024),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6886),
    [sym_qualified_identifier] = STATE(4507),
    [sym_qualified_type_identifier] = STATE(9352),
    [sym_user_defined_literal] = STATE(4507),
    [sym_discard_statement] = STATE(1508),
    [sym_cbuffer_specifier] = STATE(1508),
    [sym_hlsl_attribute] = STATE(9343),
    [aux_sym_attributed_declarator_repeat1] = STATE(1370),
    [sym_identifier] = ACTIONS(3544),
    [anon_sym_LPAREN2] = ACTIONS(1472),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1474),
    [anon_sym_AMP] = ACTIONS(1474),
    [anon_sym_SEMI] = ACTIONS(1980),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1482),
    [anon_sym_LBRACE] = ACTIONS(1986),
    [anon_sym_LBRACK] = ACTIONS(1484),
    [sym_primitive_type] = ACTIONS(3146),
    [anon_sym_if] = ACTIONS(1988),
    [anon_sym_switch] = ACTIONS(1990),
    [anon_sym_case] = ACTIONS(3528),
    [anon_sym_default] = ACTIONS(3530),
    [anon_sym_while] = ACTIONS(1992),
    [anon_sym_do] = ACTIONS(1994),
    [anon_sym_for] = ACTIONS(1996),
    [anon_sym_return] = ACTIONS(1998),
    [anon_sym_break] = ACTIONS(2000),
    [anon_sym_continue] = ACTIONS(2002),
    [anon_sym_goto] = ACTIONS(2004),
    [anon_sym___try] = ACTIONS(2006),
    [anon_sym___leave] = ACTIONS(2008),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_try] = ACTIONS(2010),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(2012),
    [anon_sym_co_return] = ACTIONS(2014),
    [anon_sym_co_yield] = ACTIONS(2016),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
    [anon_sym_discard] = ACTIONS(2018),
    [anon_sym_cbuffer] = ACTIONS(2020),
  },
  [1398] = {
    [sym_attribute_declaration] = STATE(1342),
    [sym_compound_statement] = STATE(704),
    [sym_attributed_statement] = STATE(703),
    [sym_labeled_statement] = STATE(701),
    [sym_expression_statement] = STATE(700),
    [sym_if_statement] = STATE(699),
    [sym_switch_statement] = STATE(698),
    [sym_case_statement] = STATE(697),
    [sym_while_statement] = STATE(694),
    [sym_do_statement] = STATE(693),
    [sym_for_statement] = STATE(692),
    [sym_return_statement] = STATE(691),
    [sym_break_statement] = STATE(690),
    [sym_continue_statement] = STATE(689),
    [sym_goto_statement] = STATE(688),
    [sym_seh_try_statement] = STATE(686),
    [sym_seh_leave_statement] = STATE(740),
    [sym__expression] = STATE(5798),
    [sym__expression_not_binary] = STATE(5024),
    [sym__string] = STATE(5024),
    [sym_comma_expression] = STATE(9706),
    [sym_conditional_expression] = STATE(5024),
    [sym_assignment_expression] = STATE(5024),
    [sym_pointer_expression] = STATE(4507),
    [sym_unary_expression] = STATE(5024),
    [sym_binary_expression] = STATE(5024),
    [sym_update_expression] = STATE(5024),
    [sym_cast_expression] = STATE(5024),
    [sym_sizeof_expression] = STATE(5024),
    [sym_alignof_expression] = STATE(5024),
    [sym_offsetof_expression] = STATE(5024),
    [sym_generic_expression] = STATE(5024),
    [sym_subscript_expression] = STATE(4507),
    [sym_call_expression] = STATE(4507),
    [sym_gnu_asm_expression] = STATE(5024),
    [sym_field_expression] = STATE(4507),
    [sym_compound_literal_expression] = STATE(5024),
    [sym_parenthesized_expression] = STATE(4507),
    [sym_char_literal] = STATE(5374),
    [sym_concatenated_string] = STATE(5377),
    [sym_string_literal] = STATE(4206),
    [sym_null] = STATE(5024),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9352),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(5024),
    [sym_for_range_loop] = STATE(781),
    [sym_co_return_statement] = STATE(786),
    [sym_co_yield_statement] = STATE(802),
    [sym_throw_statement] = STATE(804),
    [sym_try_statement] = STATE(806),
    [sym_raw_string_literal] = STATE(4217),
    [sym_co_await_expression] = STATE(5024),
    [sym_new_expression] = STATE(5024),
    [sym_delete_expression] = STATE(5024),
    [sym_requires_clause] = STATE(5024),
    [sym_requires_expression] = STATE(5024),
    [sym_lambda_expression] = STATE(5024),
    [sym_lambda_capture_specifier] = STATE(7184),
    [sym_fold_expression] = STATE(5024),
    [sym_parameter_pack_expansion] = STATE(5024),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6886),
    [sym_qualified_identifier] = STATE(4507),
    [sym_qualified_type_identifier] = STATE(9352),
    [sym_user_defined_literal] = STATE(4507),
    [sym_discard_statement] = STATE(809),
    [sym_cbuffer_specifier] = STATE(813),
    [sym_hlsl_attribute] = STATE(9024),
    [aux_sym_attributed_declarator_repeat1] = STATE(1342),
    [sym_identifier] = ACTIONS(3546),
    [anon_sym_LPAREN2] = ACTIONS(1472),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1474),
    [anon_sym_AMP] = ACTIONS(1474),
    [anon_sym_SEMI] = ACTIONS(1968),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1482),
    [anon_sym_LBRACE] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(1484),
    [sym_primitive_type] = ACTIONS(3146),
    [anon_sym_if] = ACTIONS(75),
    [anon_sym_switch] = ACTIONS(77),
    [anon_sym_case] = ACTIONS(79),
    [anon_sym_default] = ACTIONS(81),
    [anon_sym_while] = ACTIONS(83),
    [anon_sym_do] = ACTIONS(85),
    [anon_sym_for] = ACTIONS(87),
    [anon_sym_return] = ACTIONS(89),
    [anon_sym_break] = ACTIONS(91),
    [anon_sym_continue] = ACTIONS(93),
    [anon_sym_goto] = ACTIONS(95),
    [anon_sym___try] = ACTIONS(1970),
    [anon_sym___leave] = ACTIONS(1972),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_try] = ACTIONS(135),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(139),
    [anon_sym_co_return] = ACTIONS(149),
    [anon_sym_co_yield] = ACTIONS(151),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
    [anon_sym_discard] = ACTIONS(1974),
    [anon_sym_cbuffer] = ACTIONS(1976),
  },
  [1399] = {
    [sym_attribute_declaration] = STATE(1342),
    [sym_compound_statement] = STATE(814),
    [sym_attributed_statement] = STATE(815),
    [sym_labeled_statement] = STATE(819),
    [sym_expression_statement] = STATE(820),
    [sym_if_statement] = STATE(822),
    [sym_switch_statement] = STATE(824),
    [sym_case_statement] = STATE(825),
    [sym_while_statement] = STATE(866),
    [sym_do_statement] = STATE(873),
    [sym_for_statement] = STATE(877),
    [sym_return_statement] = STATE(880),
    [sym_break_statement] = STATE(881),
    [sym_continue_statement] = STATE(767),
    [sym_goto_statement] = STATE(893),
    [sym_seh_try_statement] = STATE(897),
    [sym_seh_leave_statement] = STATE(899),
    [sym__expression] = STATE(5798),
    [sym__expression_not_binary] = STATE(5024),
    [sym__string] = STATE(5024),
    [sym_comma_expression] = STATE(9706),
    [sym_conditional_expression] = STATE(5024),
    [sym_assignment_expression] = STATE(5024),
    [sym_pointer_expression] = STATE(4507),
    [sym_unary_expression] = STATE(5024),
    [sym_binary_expression] = STATE(5024),
    [sym_update_expression] = STATE(5024),
    [sym_cast_expression] = STATE(5024),
    [sym_sizeof_expression] = STATE(5024),
    [sym_alignof_expression] = STATE(5024),
    [sym_offsetof_expression] = STATE(5024),
    [sym_generic_expression] = STATE(5024),
    [sym_subscript_expression] = STATE(4507),
    [sym_call_expression] = STATE(4507),
    [sym_gnu_asm_expression] = STATE(5024),
    [sym_field_expression] = STATE(4507),
    [sym_compound_literal_expression] = STATE(5024),
    [sym_parenthesized_expression] = STATE(4507),
    [sym_char_literal] = STATE(5374),
    [sym_concatenated_string] = STATE(5377),
    [sym_string_literal] = STATE(4206),
    [sym_null] = STATE(5024),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9352),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(5024),
    [sym_for_range_loop] = STATE(900),
    [sym_co_return_statement] = STATE(905),
    [sym_co_yield_statement] = STATE(906),
    [sym_throw_statement] = STATE(925),
    [sym_try_statement] = STATE(935),
    [sym_raw_string_literal] = STATE(4217),
    [sym_co_await_expression] = STATE(5024),
    [sym_new_expression] = STATE(5024),
    [sym_delete_expression] = STATE(5024),
    [sym_requires_clause] = STATE(5024),
    [sym_requires_expression] = STATE(5024),
    [sym_lambda_expression] = STATE(5024),
    [sym_lambda_capture_specifier] = STATE(7184),
    [sym_fold_expression] = STATE(5024),
    [sym_parameter_pack_expansion] = STATE(5024),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6886),
    [sym_qualified_identifier] = STATE(4507),
    [sym_qualified_type_identifier] = STATE(9352),
    [sym_user_defined_literal] = STATE(4507),
    [sym_discard_statement] = STATE(949),
    [sym_cbuffer_specifier] = STATE(950),
    [sym_hlsl_attribute] = STATE(9024),
    [aux_sym_attributed_declarator_repeat1] = STATE(1342),
    [sym_identifier] = ACTIONS(3546),
    [anon_sym_LPAREN2] = ACTIONS(1472),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1474),
    [anon_sym_AMP] = ACTIONS(1474),
    [anon_sym_SEMI] = ACTIONS(1968),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1482),
    [anon_sym_LBRACE] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(1484),
    [sym_primitive_type] = ACTIONS(3146),
    [anon_sym_if] = ACTIONS(75),
    [anon_sym_switch] = ACTIONS(77),
    [anon_sym_case] = ACTIONS(79),
    [anon_sym_default] = ACTIONS(81),
    [anon_sym_while] = ACTIONS(83),
    [anon_sym_do] = ACTIONS(85),
    [anon_sym_for] = ACTIONS(87),
    [anon_sym_return] = ACTIONS(89),
    [anon_sym_break] = ACTIONS(91),
    [anon_sym_continue] = ACTIONS(93),
    [anon_sym_goto] = ACTIONS(95),
    [anon_sym___try] = ACTIONS(1970),
    [anon_sym___leave] = ACTIONS(1972),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_try] = ACTIONS(135),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(139),
    [anon_sym_co_return] = ACTIONS(149),
    [anon_sym_co_yield] = ACTIONS(151),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
    [anon_sym_discard] = ACTIONS(1974),
    [anon_sym_cbuffer] = ACTIONS(1976),
  },
  [1400] = {
    [sym__declaration_modifiers] = STATE(2675),
    [sym__declaration_specifiers] = STATE(7537),
    [sym_attribute_specifier] = STATE(2675),
    [sym_attribute_declaration] = STATE(2675),
    [sym_ms_declspec_modifier] = STATE(2675),
    [sym_storage_class_specifier] = STATE(2675),
    [sym_type_qualifier] = STATE(2675),
    [sym__type_specifier] = STATE(2827),
    [sym_sized_type_specifier] = STATE(3085),
    [sym_enum_specifier] = STATE(3085),
    [sym_struct_specifier] = STATE(3085),
    [sym_union_specifier] = STATE(3085),
    [sym_placeholder_type_specifier] = STATE(3085),
    [sym_decltype_auto] = STATE(3091),
    [sym_decltype] = STATE(3050),
    [sym_class_specifier] = STATE(3085),
    [sym_virtual] = STATE(2675),
    [sym_alignas_specifier] = STATE(2675),
    [sym_dependent_type] = STATE(3085),
    [sym_template_type] = STATE(3050),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(7887),
    [sym_qualified_type_identifier] = STATE(3068),
    [sym_qualifiers] = STATE(2675),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2675),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3492),
    [sym_identifier] = ACTIONS(3896),
    [anon_sym_COMMA] = ACTIONS(3898),
    [anon_sym_BANG] = ACTIONS(3900),
    [anon_sym_TILDE] = ACTIONS(3898),
    [anon_sym_DASH] = ACTIONS(3900),
    [anon_sym_PLUS] = ACTIONS(3900),
    [anon_sym_STAR] = ACTIONS(3900),
    [anon_sym_SLASH] = ACTIONS(3900),
    [anon_sym_PERCENT] = ACTIONS(3900),
    [anon_sym_PIPE_PIPE] = ACTIONS(3898),
    [anon_sym_AMP_AMP] = ACTIONS(3898),
    [anon_sym_PIPE] = ACTIONS(3900),
    [anon_sym_CARET] = ACTIONS(3900),
    [anon_sym_AMP] = ACTIONS(3900),
    [anon_sym_EQ_EQ] = ACTIONS(3898),
    [anon_sym_BANG_EQ] = ACTIONS(3898),
    [anon_sym_GT] = ACTIONS(3900),
    [anon_sym_GT_EQ] = ACTIONS(3898),
    [anon_sym_LT_EQ] = ACTIONS(3900),
    [anon_sym_LT] = ACTIONS(3900),
    [anon_sym_LT_LT] = ACTIONS(3900),
    [anon_sym_GT_GT] = ACTIONS(3900),
    [anon_sym___extension__] = ACTIONS(63),
    [anon_sym_in] = ACTIONS(3902),
    [anon_sym_out] = ACTIONS(3902),
    [anon_sym_inout] = ACTIONS(3902),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(3904),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2096),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym_signed] = ACTIONS(3906),
    [anon_sym_unsigned] = ACTIONS(3906),
    [anon_sym_long] = ACTIONS(3906),
    [anon_sym_short] = ACTIONS(3906),
    [anon_sym_EQ] = ACTIONS(3900),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(2891),
    [anon_sym_enum] = ACTIONS(3908),
    [anon_sym_class] = ACTIONS(2895),
    [anon_sym_struct] = ACTIONS(2897),
    [anon_sym_union] = ACTIONS(2899),
    [anon_sym_STAR_EQ] = ACTIONS(3898),
    [anon_sym_SLASH_EQ] = ACTIONS(3898),
    [anon_sym_PERCENT_EQ] = ACTIONS(3898),
    [anon_sym_PLUS_EQ] = ACTIONS(3898),
    [anon_sym_DASH_EQ] = ACTIONS(3898),
    [anon_sym_LT_LT_EQ] = ACTIONS(3898),
    [anon_sym_GT_GT_EQ] = ACTIONS(3898),
    [anon_sym_AMP_EQ] = ACTIONS(3898),
    [anon_sym_CARET_EQ] = ACTIONS(3898),
    [anon_sym_PIPE_EQ] = ACTIONS(3898),
    [anon_sym_and_eq] = ACTIONS(3900),
    [anon_sym_or_eq] = ACTIONS(3900),
    [anon_sym_xor_eq] = ACTIONS(3900),
    [anon_sym_not] = ACTIONS(3900),
    [anon_sym_compl] = ACTIONS(3900),
    [anon_sym_LT_EQ_GT] = ACTIONS(3898),
    [anon_sym_or] = ACTIONS(3900),
    [anon_sym_and] = ACTIONS(3900),
    [anon_sym_bitor] = ACTIONS(3900),
    [anon_sym_xor] = ACTIONS(3900),
    [anon_sym_bitand] = ACTIONS(3900),
    [anon_sym_not_eq] = ACTIONS(3900),
    [anon_sym_DASH_DASH] = ACTIONS(3898),
    [anon_sym_PLUS_PLUS] = ACTIONS(3898),
    [anon_sym_DASH_GT] = ACTIONS(3900),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [anon_sym_virtual] = ACTIONS(123),
    [anon_sym_alignas] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(3910),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(3912),
    [anon_sym_co_await] = ACTIONS(3900),
    [anon_sym_new] = ACTIONS(3912),
    [anon_sym_DASH_GT_STAR] = ACTIONS(3898),
    [anon_sym_LPAREN_RPAREN] = ACTIONS(3898),
    [anon_sym_LBRACK_RBRACK] = ACTIONS(3898),
    [anon_sym_DQUOTE_DQUOTE] = ACTIONS(3914),
    [anon_sym_precise] = ACTIONS(161),
    [anon_sym_shared] = ACTIONS(161),
    [anon_sym_groupshared] = ACTIONS(161),
    [anon_sym_uniform] = ACTIONS(161),
    [anon_sym_row_major] = ACTIONS(161),
    [anon_sym_column_major] = ACTIONS(161),
    [anon_sym_globallycoherent] = ACTIONS(161),
    [anon_sym_centroid] = ACTIONS(161),
    [anon_sym_noperspective] = ACTIONS(161),
    [anon_sym_nointerpolation] = ACTIONS(161),
    [anon_sym_sample] = ACTIONS(161),
    [anon_sym_linear] = ACTIONS(161),
    [anon_sym_snorm] = ACTIONS(161),
    [anon_sym_unorm] = ACTIONS(161),
    [anon_sym_point] = ACTIONS(161),
    [anon_sym_line] = ACTIONS(161),
    [anon_sym_triangleadj] = ACTIONS(161),
    [anon_sym_lineadj] = ACTIONS(161),
    [anon_sym_triangle] = ACTIONS(161),
  },
  [1401] = {
    [sym__expression] = STATE(3544),
    [sym__expression_not_binary] = STATE(3672),
    [sym__string] = STATE(3672),
    [sym_conditional_expression] = STATE(3672),
    [sym_assignment_expression] = STATE(3672),
    [sym_pointer_expression] = STATE(3672),
    [sym_unary_expression] = STATE(3672),
    [sym_binary_expression] = STATE(3672),
    [sym_update_expression] = STATE(3672),
    [sym_cast_expression] = STATE(3672),
    [sym_sizeof_expression] = STATE(3672),
    [sym_alignof_expression] = STATE(3672),
    [sym_offsetof_expression] = STATE(3672),
    [sym_generic_expression] = STATE(3672),
    [sym_subscript_expression] = STATE(3672),
    [sym_call_expression] = STATE(3672),
    [sym_gnu_asm_expression] = STATE(3672),
    [sym_field_expression] = STATE(3672),
    [sym_compound_literal_expression] = STATE(3672),
    [sym_parenthesized_expression] = STATE(3672),
    [sym_initializer_list] = STATE(3655),
    [sym_char_literal] = STATE(3855),
    [sym_concatenated_string] = STATE(3873),
    [sym_string_literal] = STATE(3222),
    [sym_null] = STATE(3672),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9333),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(3672),
    [sym_raw_string_literal] = STATE(3216),
    [sym_co_await_expression] = STATE(3672),
    [sym_new_expression] = STATE(3672),
    [sym_delete_expression] = STATE(3672),
    [sym_requires_clause] = STATE(3672),
    [sym_requires_expression] = STATE(3672),
    [sym_lambda_expression] = STATE(3672),
    [sym_lambda_capture_specifier] = STATE(7134),
    [sym_fold_expression] = STATE(3672),
    [sym_parameter_pack_expansion] = STATE(3672),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6886),
    [sym_qualified_identifier] = STATE(3672),
    [sym_qualified_type_identifier] = STATE(9333),
    [sym_user_defined_literal] = STATE(3672),
    [sym_identifier] = ACTIONS(3916),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3918),
    [anon_sym_COMMA] = ACTIONS(3918),
    [aux_sym_preproc_if_token2] = ACTIONS(3918),
    [aux_sym_preproc_else_token1] = ACTIONS(3918),
    [aux_sym_preproc_elif_token1] = ACTIONS(3916),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3918),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3918),
    [anon_sym_LPAREN2] = ACTIONS(3918),
    [anon_sym_BANG] = ACTIONS(3920),
    [anon_sym_TILDE] = ACTIONS(3922),
    [anon_sym_DASH] = ACTIONS(3916),
    [anon_sym_PLUS] = ACTIONS(3916),
    [anon_sym_STAR] = ACTIONS(3916),
    [anon_sym_SLASH] = ACTIONS(3916),
    [anon_sym_PERCENT] = ACTIONS(3916),
    [anon_sym_PIPE_PIPE] = ACTIONS(3918),
    [anon_sym_AMP_AMP] = ACTIONS(3918),
    [anon_sym_PIPE] = ACTIONS(3916),
    [anon_sym_CARET] = ACTIONS(3916),
    [anon_sym_AMP] = ACTIONS(3916),
    [anon_sym_EQ_EQ] = ACTIONS(3918),
    [anon_sym_BANG_EQ] = ACTIONS(3918),
    [anon_sym_GT] = ACTIONS(3916),
    [anon_sym_GT_EQ] = ACTIONS(3918),
    [anon_sym_LT_EQ] = ACTIONS(3916),
    [anon_sym_LT] = ACTIONS(3916),
    [anon_sym_LT_LT] = ACTIONS(3916),
    [anon_sym_GT_GT] = ACTIONS(3916),
    [anon_sym_COLON_COLON] = ACTIONS(3924),
    [anon_sym_LBRACE] = ACTIONS(3926),
    [anon_sym_LBRACK] = ACTIONS(3918),
    [anon_sym_EQ] = ACTIONS(3916),
    [sym_primitive_type] = ACTIONS(3928),
    [anon_sym_QMARK] = ACTIONS(3918),
    [anon_sym_STAR_EQ] = ACTIONS(3918),
    [anon_sym_SLASH_EQ] = ACTIONS(3918),
    [anon_sym_PERCENT_EQ] = ACTIONS(3918),
    [anon_sym_PLUS_EQ] = ACTIONS(3918),
    [anon_sym_DASH_EQ] = ACTIONS(3918),
    [anon_sym_LT_LT_EQ] = ACTIONS(3918),
    [anon_sym_GT_GT_EQ] = ACTIONS(3918),
    [anon_sym_AMP_EQ] = ACTIONS(3918),
    [anon_sym_CARET_EQ] = ACTIONS(3918),
    [anon_sym_PIPE_EQ] = ACTIONS(3918),
    [anon_sym_and_eq] = ACTIONS(3916),
    [anon_sym_or_eq] = ACTIONS(3916),
    [anon_sym_xor_eq] = ACTIONS(3916),
    [anon_sym_not] = ACTIONS(3920),
    [anon_sym_compl] = ACTIONS(3920),
    [anon_sym_LT_EQ_GT] = ACTIONS(3918),
    [anon_sym_or] = ACTIONS(3916),
    [anon_sym_and] = ACTIONS(3916),
    [anon_sym_bitor] = ACTIONS(3916),
    [anon_sym_xor] = ACTIONS(3916),
    [anon_sym_bitand] = ACTIONS(3916),
    [anon_sym_not_eq] = ACTIONS(3916),
    [anon_sym_DASH_DASH] = ACTIONS(3918),
    [anon_sym_PLUS_PLUS] = ACTIONS(3918),
    [anon_sym_sizeof] = ACTIONS(3930),
    [anon_sym___alignof__] = ACTIONS(3932),
    [anon_sym___alignof] = ACTIONS(3932),
    [anon_sym__alignof] = ACTIONS(3932),
    [anon_sym_alignof] = ACTIONS(3932),
    [anon_sym__Alignof] = ACTIONS(3932),
    [anon_sym_offsetof] = ACTIONS(3934),
    [anon_sym__Generic] = ACTIONS(3936),
    [anon_sym_asm] = ACTIONS(3938),
    [anon_sym___asm__] = ACTIONS(3938),
    [anon_sym_DOT] = ACTIONS(3916),
    [anon_sym_DOT_STAR] = ACTIONS(3918),
    [anon_sym_DASH_GT] = ACTIONS(3918),
    [sym_number_literal] = ACTIONS(3940),
    [anon_sym_L_SQUOTE] = ACTIONS(3942),
    [anon_sym_u_SQUOTE] = ACTIONS(3942),
    [anon_sym_U_SQUOTE] = ACTIONS(3942),
    [anon_sym_u8_SQUOTE] = ACTIONS(3942),
    [anon_sym_SQUOTE] = ACTIONS(3942),
    [anon_sym_L_DQUOTE] = ACTIONS(3944),
    [anon_sym_u_DQUOTE] = ACTIONS(3944),
    [anon_sym_U_DQUOTE] = ACTIONS(3944),
    [anon_sym_u8_DQUOTE] = ACTIONS(3944),
    [anon_sym_DQUOTE] = ACTIONS(3944),
    [sym_true] = ACTIONS(3946),
    [sym_false] = ACTIONS(3946),
    [anon_sym_NULL] = ACTIONS(3948),
    [anon_sym_nullptr] = ACTIONS(3948),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(3950),
    [anon_sym_R_DQUOTE] = ACTIONS(3952),
    [anon_sym_LR_DQUOTE] = ACTIONS(3952),
    [anon_sym_uR_DQUOTE] = ACTIONS(3952),
    [anon_sym_UR_DQUOTE] = ACTIONS(3952),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3952),
    [anon_sym_co_await] = ACTIONS(3954),
    [anon_sym_new] = ACTIONS(3956),
    [anon_sym_requires] = ACTIONS(3958),
    [sym_this] = ACTIONS(3946),
  },
  [1402] = {
    [sym__declaration_modifiers] = STATE(2675),
    [sym__declaration_specifiers] = STATE(7537),
    [sym_attribute_specifier] = STATE(2675),
    [sym_attribute_declaration] = STATE(2675),
    [sym_ms_declspec_modifier] = STATE(2675),
    [sym_storage_class_specifier] = STATE(2675),
    [sym_type_qualifier] = STATE(2675),
    [sym__type_specifier] = STATE(2827),
    [sym_sized_type_specifier] = STATE(3085),
    [sym_enum_specifier] = STATE(3085),
    [sym_struct_specifier] = STATE(3085),
    [sym_union_specifier] = STATE(3085),
    [sym_placeholder_type_specifier] = STATE(3085),
    [sym_decltype_auto] = STATE(3091),
    [sym_decltype] = STATE(3050),
    [sym_class_specifier] = STATE(3085),
    [sym_virtual] = STATE(2675),
    [sym_alignas_specifier] = STATE(2675),
    [sym_dependent_type] = STATE(3085),
    [sym_template_type] = STATE(3050),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(7887),
    [sym_qualified_type_identifier] = STATE(3068),
    [sym_qualifiers] = STATE(2675),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2675),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3492),
    [sym_identifier] = ACTIONS(3896),
    [anon_sym_COMMA] = ACTIONS(3960),
    [anon_sym_BANG] = ACTIONS(3962),
    [anon_sym_TILDE] = ACTIONS(3960),
    [anon_sym_DASH] = ACTIONS(3962),
    [anon_sym_PLUS] = ACTIONS(3962),
    [anon_sym_STAR] = ACTIONS(3962),
    [anon_sym_SLASH] = ACTIONS(3962),
    [anon_sym_PERCENT] = ACTIONS(3962),
    [anon_sym_PIPE_PIPE] = ACTIONS(3960),
    [anon_sym_AMP_AMP] = ACTIONS(3960),
    [anon_sym_PIPE] = ACTIONS(3962),
    [anon_sym_CARET] = ACTIONS(3962),
    [anon_sym_AMP] = ACTIONS(3962),
    [anon_sym_EQ_EQ] = ACTIONS(3960),
    [anon_sym_BANG_EQ] = ACTIONS(3960),
    [anon_sym_GT] = ACTIONS(3962),
    [anon_sym_GT_EQ] = ACTIONS(3960),
    [anon_sym_LT_EQ] = ACTIONS(3962),
    [anon_sym_LT] = ACTIONS(3962),
    [anon_sym_LT_LT] = ACTIONS(3962),
    [anon_sym_GT_GT] = ACTIONS(3962),
    [anon_sym___extension__] = ACTIONS(63),
    [anon_sym_in] = ACTIONS(3902),
    [anon_sym_out] = ACTIONS(3902),
    [anon_sym_inout] = ACTIONS(3902),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(3904),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2096),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym_signed] = ACTIONS(3906),
    [anon_sym_unsigned] = ACTIONS(3906),
    [anon_sym_long] = ACTIONS(3906),
    [anon_sym_short] = ACTIONS(3906),
    [anon_sym_EQ] = ACTIONS(3962),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(2891),
    [anon_sym_enum] = ACTIONS(3908),
    [anon_sym_class] = ACTIONS(2895),
    [anon_sym_struct] = ACTIONS(2897),
    [anon_sym_union] = ACTIONS(2899),
    [anon_sym_STAR_EQ] = ACTIONS(3960),
    [anon_sym_SLASH_EQ] = ACTIONS(3960),
    [anon_sym_PERCENT_EQ] = ACTIONS(3960),
    [anon_sym_PLUS_EQ] = ACTIONS(3960),
    [anon_sym_DASH_EQ] = ACTIONS(3960),
    [anon_sym_LT_LT_EQ] = ACTIONS(3960),
    [anon_sym_GT_GT_EQ] = ACTIONS(3960),
    [anon_sym_AMP_EQ] = ACTIONS(3960),
    [anon_sym_CARET_EQ] = ACTIONS(3960),
    [anon_sym_PIPE_EQ] = ACTIONS(3960),
    [anon_sym_and_eq] = ACTIONS(3962),
    [anon_sym_or_eq] = ACTIONS(3962),
    [anon_sym_xor_eq] = ACTIONS(3962),
    [anon_sym_not] = ACTIONS(3962),
    [anon_sym_compl] = ACTIONS(3962),
    [anon_sym_LT_EQ_GT] = ACTIONS(3960),
    [anon_sym_or] = ACTIONS(3962),
    [anon_sym_and] = ACTIONS(3962),
    [anon_sym_bitor] = ACTIONS(3962),
    [anon_sym_xor] = ACTIONS(3962),
    [anon_sym_bitand] = ACTIONS(3962),
    [anon_sym_not_eq] = ACTIONS(3962),
    [anon_sym_DASH_DASH] = ACTIONS(3960),
    [anon_sym_PLUS_PLUS] = ACTIONS(3960),
    [anon_sym_DASH_GT] = ACTIONS(3962),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [anon_sym_virtual] = ACTIONS(123),
    [anon_sym_alignas] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(3910),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(3964),
    [anon_sym_co_await] = ACTIONS(3962),
    [anon_sym_new] = ACTIONS(3964),
    [anon_sym_DASH_GT_STAR] = ACTIONS(3960),
    [anon_sym_LPAREN_RPAREN] = ACTIONS(3960),
    [anon_sym_LBRACK_RBRACK] = ACTIONS(3960),
    [anon_sym_DQUOTE_DQUOTE] = ACTIONS(3966),
    [anon_sym_precise] = ACTIONS(161),
    [anon_sym_shared] = ACTIONS(161),
    [anon_sym_groupshared] = ACTIONS(161),
    [anon_sym_uniform] = ACTIONS(161),
    [anon_sym_row_major] = ACTIONS(161),
    [anon_sym_column_major] = ACTIONS(161),
    [anon_sym_globallycoherent] = ACTIONS(161),
    [anon_sym_centroid] = ACTIONS(161),
    [anon_sym_noperspective] = ACTIONS(161),
    [anon_sym_nointerpolation] = ACTIONS(161),
    [anon_sym_sample] = ACTIONS(161),
    [anon_sym_linear] = ACTIONS(161),
    [anon_sym_snorm] = ACTIONS(161),
    [anon_sym_unorm] = ACTIONS(161),
    [anon_sym_point] = ACTIONS(161),
    [anon_sym_line] = ACTIONS(161),
    [anon_sym_triangleadj] = ACTIONS(161),
    [anon_sym_lineadj] = ACTIONS(161),
    [anon_sym_triangle] = ACTIONS(161),
  },
  [1403] = {
    [sym__expression] = STATE(3544),
    [sym__expression_not_binary] = STATE(3672),
    [sym__string] = STATE(3672),
    [sym_conditional_expression] = STATE(3672),
    [sym_assignment_expression] = STATE(3672),
    [sym_pointer_expression] = STATE(3672),
    [sym_unary_expression] = STATE(3672),
    [sym_binary_expression] = STATE(3672),
    [sym_update_expression] = STATE(3672),
    [sym_cast_expression] = STATE(3672),
    [sym_sizeof_expression] = STATE(3672),
    [sym_alignof_expression] = STATE(3672),
    [sym_offsetof_expression] = STATE(3672),
    [sym_generic_expression] = STATE(3672),
    [sym_subscript_expression] = STATE(3672),
    [sym_call_expression] = STATE(3672),
    [sym_gnu_asm_expression] = STATE(3672),
    [sym_field_expression] = STATE(3672),
    [sym_compound_literal_expression] = STATE(3672),
    [sym_parenthesized_expression] = STATE(3672),
    [sym_initializer_list] = STATE(3655),
    [sym_char_literal] = STATE(3991),
    [sym_concatenated_string] = STATE(3973),
    [sym_string_literal] = STATE(3242),
    [sym_null] = STATE(3672),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9333),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(3672),
    [sym_raw_string_literal] = STATE(3241),
    [sym_co_await_expression] = STATE(3672),
    [sym_new_expression] = STATE(3672),
    [sym_delete_expression] = STATE(3672),
    [sym_requires_clause] = STATE(3672),
    [sym_requires_expression] = STATE(3672),
    [sym_lambda_expression] = STATE(3672),
    [sym_lambda_capture_specifier] = STATE(7134),
    [sym_fold_expression] = STATE(3672),
    [sym_parameter_pack_expansion] = STATE(3672),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6886),
    [sym_qualified_identifier] = STATE(3672),
    [sym_qualified_type_identifier] = STATE(9333),
    [sym_user_defined_literal] = STATE(3672),
    [sym_identifier] = ACTIONS(3968),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3918),
    [anon_sym_COMMA] = ACTIONS(3918),
    [anon_sym_RPAREN] = ACTIONS(3918),
    [anon_sym_LPAREN2] = ACTIONS(3918),
    [anon_sym_BANG] = ACTIONS(3970),
    [anon_sym_TILDE] = ACTIONS(3972),
    [anon_sym_DASH] = ACTIONS(3916),
    [anon_sym_PLUS] = ACTIONS(3916),
    [anon_sym_STAR] = ACTIONS(3916),
    [anon_sym_SLASH] = ACTIONS(3916),
    [anon_sym_PERCENT] = ACTIONS(3916),
    [anon_sym_PIPE_PIPE] = ACTIONS(3918),
    [anon_sym_AMP_AMP] = ACTIONS(3918),
    [anon_sym_PIPE] = ACTIONS(3916),
    [anon_sym_CARET] = ACTIONS(3916),
    [anon_sym_AMP] = ACTIONS(3916),
    [anon_sym_EQ_EQ] = ACTIONS(3918),
    [anon_sym_BANG_EQ] = ACTIONS(3918),
    [anon_sym_GT] = ACTIONS(3916),
    [anon_sym_GT_EQ] = ACTIONS(3918),
    [anon_sym_LT_EQ] = ACTIONS(3916),
    [anon_sym_LT] = ACTIONS(3916),
    [anon_sym_LT_LT] = ACTIONS(3916),
    [anon_sym_GT_GT] = ACTIONS(3916),
    [anon_sym_SEMI] = ACTIONS(3918),
    [anon_sym_COLON_COLON] = ACTIONS(3974),
    [anon_sym_LBRACE] = ACTIONS(3926),
    [anon_sym_RBRACE] = ACTIONS(3918),
    [anon_sym_LBRACK] = ACTIONS(3918),
    [anon_sym_RBRACK] = ACTIONS(3918),
    [anon_sym_EQ] = ACTIONS(3916),
    [sym_primitive_type] = ACTIONS(3928),
    [anon_sym_QMARK] = ACTIONS(3918),
    [anon_sym_STAR_EQ] = ACTIONS(3918),
    [anon_sym_SLASH_EQ] = ACTIONS(3918),
    [anon_sym_PERCENT_EQ] = ACTIONS(3918),
    [anon_sym_PLUS_EQ] = ACTIONS(3918),
    [anon_sym_DASH_EQ] = ACTIONS(3918),
    [anon_sym_LT_LT_EQ] = ACTIONS(3918),
    [anon_sym_GT_GT_EQ] = ACTIONS(3918),
    [anon_sym_AMP_EQ] = ACTIONS(3918),
    [anon_sym_CARET_EQ] = ACTIONS(3918),
    [anon_sym_PIPE_EQ] = ACTIONS(3918),
    [anon_sym_and_eq] = ACTIONS(3916),
    [anon_sym_or_eq] = ACTIONS(3916),
    [anon_sym_xor_eq] = ACTIONS(3916),
    [anon_sym_not] = ACTIONS(3970),
    [anon_sym_compl] = ACTIONS(3970),
    [anon_sym_LT_EQ_GT] = ACTIONS(3918),
    [anon_sym_or] = ACTIONS(3916),
    [anon_sym_and] = ACTIONS(3916),
    [anon_sym_bitor] = ACTIONS(3916),
    [anon_sym_xor] = ACTIONS(3916),
    [anon_sym_bitand] = ACTIONS(3916),
    [anon_sym_not_eq] = ACTIONS(3916),
    [anon_sym_DASH_DASH] = ACTIONS(3918),
    [anon_sym_PLUS_PLUS] = ACTIONS(3918),
    [anon_sym_sizeof] = ACTIONS(3976),
    [anon_sym___alignof__] = ACTIONS(3932),
    [anon_sym___alignof] = ACTIONS(3932),
    [anon_sym__alignof] = ACTIONS(3932),
    [anon_sym_alignof] = ACTIONS(3932),
    [anon_sym__Alignof] = ACTIONS(3932),
    [anon_sym_offsetof] = ACTIONS(3934),
    [anon_sym__Generic] = ACTIONS(3936),
    [anon_sym_asm] = ACTIONS(3938),
    [anon_sym___asm__] = ACTIONS(3938),
    [anon_sym_DOT] = ACTIONS(3916),
    [anon_sym_DOT_STAR] = ACTIONS(3918),
    [anon_sym_DASH_GT] = ACTIONS(3918),
    [sym_number_literal] = ACTIONS(3978),
    [anon_sym_L_SQUOTE] = ACTIONS(3980),
    [anon_sym_u_SQUOTE] = ACTIONS(3980),
    [anon_sym_U_SQUOTE] = ACTIONS(3980),
    [anon_sym_u8_SQUOTE] = ACTIONS(3980),
    [anon_sym_SQUOTE] = ACTIONS(3980),
    [anon_sym_L_DQUOTE] = ACTIONS(3982),
    [anon_sym_u_DQUOTE] = ACTIONS(3982),
    [anon_sym_U_DQUOTE] = ACTIONS(3982),
    [anon_sym_u8_DQUOTE] = ACTIONS(3982),
    [anon_sym_DQUOTE] = ACTIONS(3982),
    [sym_true] = ACTIONS(3946),
    [sym_false] = ACTIONS(3946),
    [anon_sym_NULL] = ACTIONS(3948),
    [anon_sym_nullptr] = ACTIONS(3948),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(3984),
    [anon_sym_R_DQUOTE] = ACTIONS(3986),
    [anon_sym_LR_DQUOTE] = ACTIONS(3986),
    [anon_sym_uR_DQUOTE] = ACTIONS(3986),
    [anon_sym_UR_DQUOTE] = ACTIONS(3986),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3986),
    [anon_sym_co_await] = ACTIONS(3988),
    [anon_sym_new] = ACTIONS(3990),
    [anon_sym_requires] = ACTIONS(3958),
    [sym_this] = ACTIONS(3946),
  },
  [1404] = {
    [sym__expression] = STATE(4048),
    [sym__expression_not_binary] = STATE(4307),
    [sym__string] = STATE(4307),
    [sym_conditional_expression] = STATE(4307),
    [sym_assignment_expression] = STATE(4307),
    [sym_pointer_expression] = STATE(4307),
    [sym_unary_expression] = STATE(4307),
    [sym_binary_expression] = STATE(4307),
    [sym_update_expression] = STATE(4307),
    [sym_cast_expression] = STATE(4307),
    [sym_sizeof_expression] = STATE(4307),
    [sym_alignof_expression] = STATE(4307),
    [sym_offsetof_expression] = STATE(4307),
    [sym_generic_expression] = STATE(4307),
    [sym_subscript_expression] = STATE(4307),
    [sym_call_expression] = STATE(4307),
    [sym_gnu_asm_expression] = STATE(4307),
    [sym_field_expression] = STATE(4307),
    [sym_compound_literal_expression] = STATE(4307),
    [sym_parenthesized_expression] = STATE(4307),
    [sym_initializer_list] = STATE(4208),
    [sym_char_literal] = STATE(4093),
    [sym_concatenated_string] = STATE(4159),
    [sym_string_literal] = STATE(3328),
    [sym_null] = STATE(4307),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9053),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(4307),
    [sym_raw_string_literal] = STATE(3294),
    [sym_co_await_expression] = STATE(4307),
    [sym_new_expression] = STATE(4307),
    [sym_delete_expression] = STATE(4307),
    [sym_requires_clause] = STATE(4307),
    [sym_requires_expression] = STATE(4307),
    [sym_lambda_expression] = STATE(4307),
    [sym_lambda_capture_specifier] = STATE(7183),
    [sym_fold_expression] = STATE(4307),
    [sym_parameter_pack_expansion] = STATE(4307),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6962),
    [sym_qualified_identifier] = STATE(4307),
    [sym_qualified_type_identifier] = STATE(9053),
    [sym_user_defined_literal] = STATE(4307),
    [sym_identifier] = ACTIONS(3916),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3918),
    [anon_sym_COMMA] = ACTIONS(3918),
    [aux_sym_preproc_if_token2] = ACTIONS(3918),
    [aux_sym_preproc_else_token1] = ACTIONS(3918),
    [aux_sym_preproc_elif_token1] = ACTIONS(3918),
    [anon_sym_LPAREN2] = ACTIONS(3918),
    [anon_sym_BANG] = ACTIONS(3992),
    [anon_sym_TILDE] = ACTIONS(3994),
    [anon_sym_DASH] = ACTIONS(3916),
    [anon_sym_PLUS] = ACTIONS(3916),
    [anon_sym_STAR] = ACTIONS(3916),
    [anon_sym_SLASH] = ACTIONS(3916),
    [anon_sym_PERCENT] = ACTIONS(3916),
    [anon_sym_PIPE_PIPE] = ACTIONS(3918),
    [anon_sym_AMP_AMP] = ACTIONS(3918),
    [anon_sym_PIPE] = ACTIONS(3916),
    [anon_sym_CARET] = ACTIONS(3916),
    [anon_sym_AMP] = ACTIONS(3916),
    [anon_sym_EQ_EQ] = ACTIONS(3918),
    [anon_sym_BANG_EQ] = ACTIONS(3918),
    [anon_sym_GT] = ACTIONS(3916),
    [anon_sym_GT_EQ] = ACTIONS(3918),
    [anon_sym_LT_EQ] = ACTIONS(3916),
    [anon_sym_LT] = ACTIONS(3916),
    [anon_sym_LT_LT] = ACTIONS(3916),
    [anon_sym_GT_GT] = ACTIONS(3916),
    [anon_sym_COLON_COLON] = ACTIONS(3996),
    [anon_sym_LBRACE] = ACTIONS(3998),
    [anon_sym_LBRACK] = ACTIONS(3918),
    [anon_sym_EQ] = ACTIONS(3916),
    [sym_primitive_type] = ACTIONS(4000),
    [anon_sym_QMARK] = ACTIONS(3918),
    [anon_sym_STAR_EQ] = ACTIONS(3918),
    [anon_sym_SLASH_EQ] = ACTIONS(3918),
    [anon_sym_PERCENT_EQ] = ACTIONS(3918),
    [anon_sym_PLUS_EQ] = ACTIONS(3918),
    [anon_sym_DASH_EQ] = ACTIONS(3918),
    [anon_sym_LT_LT_EQ] = ACTIONS(3918),
    [anon_sym_GT_GT_EQ] = ACTIONS(3918),
    [anon_sym_AMP_EQ] = ACTIONS(3918),
    [anon_sym_CARET_EQ] = ACTIONS(3918),
    [anon_sym_PIPE_EQ] = ACTIONS(3918),
    [anon_sym_and_eq] = ACTIONS(3916),
    [anon_sym_or_eq] = ACTIONS(3916),
    [anon_sym_xor_eq] = ACTIONS(3916),
    [anon_sym_not] = ACTIONS(3992),
    [anon_sym_compl] = ACTIONS(3992),
    [anon_sym_LT_EQ_GT] = ACTIONS(3918),
    [anon_sym_or] = ACTIONS(3916),
    [anon_sym_and] = ACTIONS(3916),
    [anon_sym_bitor] = ACTIONS(3916),
    [anon_sym_xor] = ACTIONS(3916),
    [anon_sym_bitand] = ACTIONS(3916),
    [anon_sym_not_eq] = ACTIONS(3916),
    [anon_sym_DASH_DASH] = ACTIONS(3918),
    [anon_sym_PLUS_PLUS] = ACTIONS(3918),
    [anon_sym_sizeof] = ACTIONS(4002),
    [anon_sym___alignof__] = ACTIONS(4004),
    [anon_sym___alignof] = ACTIONS(4004),
    [anon_sym__alignof] = ACTIONS(4004),
    [anon_sym_alignof] = ACTIONS(4004),
    [anon_sym__Alignof] = ACTIONS(4004),
    [anon_sym_offsetof] = ACTIONS(4006),
    [anon_sym__Generic] = ACTIONS(4008),
    [anon_sym_asm] = ACTIONS(4010),
    [anon_sym___asm__] = ACTIONS(4010),
    [anon_sym_DOT] = ACTIONS(3916),
    [anon_sym_DOT_STAR] = ACTIONS(3918),
    [anon_sym_DASH_GT] = ACTIONS(3918),
    [sym_number_literal] = ACTIONS(4012),
    [anon_sym_L_SQUOTE] = ACTIONS(4014),
    [anon_sym_u_SQUOTE] = ACTIONS(4014),
    [anon_sym_U_SQUOTE] = ACTIONS(4014),
    [anon_sym_u8_SQUOTE] = ACTIONS(4014),
    [anon_sym_SQUOTE] = ACTIONS(4014),
    [anon_sym_L_DQUOTE] = ACTIONS(4016),
    [anon_sym_u_DQUOTE] = ACTIONS(4016),
    [anon_sym_U_DQUOTE] = ACTIONS(4016),
    [anon_sym_u8_DQUOTE] = ACTIONS(4016),
    [anon_sym_DQUOTE] = ACTIONS(4016),
    [sym_true] = ACTIONS(4018),
    [sym_false] = ACTIONS(4018),
    [anon_sym_NULL] = ACTIONS(4020),
    [anon_sym_nullptr] = ACTIONS(4020),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(4022),
    [anon_sym_R_DQUOTE] = ACTIONS(4024),
    [anon_sym_LR_DQUOTE] = ACTIONS(4024),
    [anon_sym_uR_DQUOTE] = ACTIONS(4024),
    [anon_sym_UR_DQUOTE] = ACTIONS(4024),
    [anon_sym_u8R_DQUOTE] = ACTIONS(4024),
    [anon_sym_co_await] = ACTIONS(4026),
    [anon_sym_new] = ACTIONS(4028),
    [anon_sym_requires] = ACTIONS(4030),
    [sym_this] = ACTIONS(4018),
  },
  [1405] = {
    [sym_function_definition] = STATE(1076),
    [sym_declaration] = STATE(1076),
    [sym__declaration_modifiers] = STATE(3159),
    [sym__declaration_specifiers] = STATE(5936),
    [sym_attribute_specifier] = STATE(3159),
    [sym_attribute_declaration] = STATE(3159),
    [sym_ms_declspec_modifier] = STATE(3159),
    [sym_ms_based_modifier] = STATE(10332),
    [sym_ms_call_modifier] = STATE(2627),
    [sym__declarator] = STATE(7978),
    [sym_parenthesized_declarator] = STATE(7680),
    [sym_attributed_declarator] = STATE(7680),
    [sym_pointer_declarator] = STATE(7680),
    [sym_function_declarator] = STATE(7477),
    [sym_array_declarator] = STATE(7680),
    [sym_storage_class_specifier] = STATE(3159),
    [sym_type_qualifier] = STATE(3159),
    [sym__type_specifier] = STATE(3040),
    [sym_sized_type_specifier] = STATE(3085),
    [sym_enum_specifier] = STATE(3085),
    [sym_struct_specifier] = STATE(3085),
    [sym_union_specifier] = STATE(3085),
    [sym__empty_declaration] = STATE(1076),
    [sym_placeholder_type_specifier] = STATE(3085),
    [sym_decltype_auto] = STATE(3091),
    [sym_decltype] = STATE(3050),
    [sym_class_specifier] = STATE(3085),
    [sym_virtual] = STATE(3159),
    [sym_alignas_specifier] = STATE(3159),
    [sym_explicit_function_specifier] = STATE(2508),
    [sym_dependent_type] = STATE(3085),
    [sym_template_declaration] = STATE(1076),
    [sym_operator_cast] = STATE(8046),
    [sym__constructor_specifiers] = STATE(2508),
    [sym_operator_cast_definition] = STATE(1076),
    [sym_operator_cast_declaration] = STATE(1076),
    [sym_constructor_or_destructor_definition] = STATE(1076),
    [sym_constructor_or_destructor_declaration] = STATE(1076),
    [sym_friend_declaration] = STATE(1076),
    [sym_reference_declarator] = STATE(7680),
    [sym_structured_binding_declarator] = STATE(7680),
    [sym_template_type] = STATE(3050),
    [sym_template_function] = STATE(7680),
    [sym_alias_declaration] = STATE(1076),
    [sym_concept_definition] = STATE(1076),
    [sym_requires_clause] = STATE(1419),
    [sym_destructor_name] = STATE(7680),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6725),
    [sym_qualified_identifier] = STATE(7680),
    [sym_qualified_type_identifier] = STATE(3068),
    [sym_qualified_operator_cast_identifier] = STATE(8046),
    [sym_operator_name] = STATE(7680),
    [sym_qualifiers] = STATE(3159),
    [sym_hlsl_attribute] = STATE(2016),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2673),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3021),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2508),
    [sym_identifier] = ACTIONS(4032),
    [anon_sym_LPAREN2] = ACTIONS(2875),
    [anon_sym_TILDE] = ACTIONS(2877),
    [anon_sym_STAR] = ACTIONS(2879),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(2881),
    [anon_sym___extension__] = ACTIONS(63),
    [anon_sym_in] = ACTIONS(37),
    [anon_sym_out] = ACTIONS(37),
    [anon_sym_inout] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(4034),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2096),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym___cdecl] = ACTIONS(51),
    [anon_sym___clrcall] = ACTIONS(51),
    [anon_sym___stdcall] = ACTIONS(51),
    [anon_sym___fastcall] = ACTIONS(51),
    [anon_sym___thiscall] = ACTIONS(51),
    [anon_sym___vectorcall] = ACTIONS(51),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(4036),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(2891),
    [anon_sym_enum] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(69),
    [anon_sym_struct] = ACTIONS(71),
    [anon_sym_union] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [anon_sym_virtual] = ACTIONS(123),
    [anon_sym_alignas] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(4038),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_friend] = ACTIONS(4040),
    [anon_sym_using] = ACTIONS(4042),
    [anon_sym_concept] = ACTIONS(1178),
    [anon_sym_requires] = ACTIONS(4044),
    [anon_sym_precise] = ACTIONS(161),
    [anon_sym_shared] = ACTIONS(161),
    [anon_sym_groupshared] = ACTIONS(161),
    [anon_sym_uniform] = ACTIONS(161),
    [anon_sym_row_major] = ACTIONS(161),
    [anon_sym_column_major] = ACTIONS(161),
    [anon_sym_globallycoherent] = ACTIONS(161),
    [anon_sym_centroid] = ACTIONS(161),
    [anon_sym_noperspective] = ACTIONS(161),
    [anon_sym_nointerpolation] = ACTIONS(161),
    [anon_sym_sample] = ACTIONS(161),
    [anon_sym_linear] = ACTIONS(161),
    [anon_sym_snorm] = ACTIONS(161),
    [anon_sym_unorm] = ACTIONS(161),
    [anon_sym_point] = ACTIONS(161),
    [anon_sym_line] = ACTIONS(161),
    [anon_sym_triangleadj] = ACTIONS(161),
    [anon_sym_lineadj] = ACTIONS(161),
    [anon_sym_triangle] = ACTIONS(161),
  },
  [1406] = {
    [sym_function_definition] = STATE(681),
    [sym_declaration] = STATE(681),
    [sym__declaration_modifiers] = STATE(3159),
    [sym__declaration_specifiers] = STATE(5942),
    [sym_attribute_specifier] = STATE(3159),
    [sym_attribute_declaration] = STATE(3159),
    [sym_ms_declspec_modifier] = STATE(3159),
    [sym_ms_based_modifier] = STATE(10332),
    [sym_ms_call_modifier] = STATE(2637),
    [sym__declarator] = STATE(7978),
    [sym_parenthesized_declarator] = STATE(7680),
    [sym_attributed_declarator] = STATE(7680),
    [sym_pointer_declarator] = STATE(7680),
    [sym_function_declarator] = STATE(7530),
    [sym_array_declarator] = STATE(7680),
    [sym_storage_class_specifier] = STATE(3159),
    [sym_type_qualifier] = STATE(3159),
    [sym__type_specifier] = STATE(3049),
    [sym_sized_type_specifier] = STATE(3085),
    [sym_enum_specifier] = STATE(3085),
    [sym_struct_specifier] = STATE(3085),
    [sym_union_specifier] = STATE(3085),
    [sym__empty_declaration] = STATE(681),
    [sym_placeholder_type_specifier] = STATE(3085),
    [sym_decltype_auto] = STATE(3091),
    [sym_decltype] = STATE(3050),
    [sym_class_specifier] = STATE(3085),
    [sym_virtual] = STATE(3159),
    [sym_alignas_specifier] = STATE(3159),
    [sym_explicit_function_specifier] = STATE(2513),
    [sym_dependent_type] = STATE(3085),
    [sym_template_declaration] = STATE(681),
    [sym_operator_cast] = STATE(8082),
    [sym__constructor_specifiers] = STATE(2513),
    [sym_operator_cast_definition] = STATE(681),
    [sym_operator_cast_declaration] = STATE(681),
    [sym_constructor_or_destructor_definition] = STATE(681),
    [sym_constructor_or_destructor_declaration] = STATE(681),
    [sym_friend_declaration] = STATE(681),
    [sym_reference_declarator] = STATE(7680),
    [sym_structured_binding_declarator] = STATE(7680),
    [sym_template_type] = STATE(3050),
    [sym_template_function] = STATE(7680),
    [sym_alias_declaration] = STATE(681),
    [sym_concept_definition] = STATE(681),
    [sym_requires_clause] = STATE(1425),
    [sym_destructor_name] = STATE(7680),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6725),
    [sym_qualified_identifier] = STATE(7680),
    [sym_qualified_type_identifier] = STATE(3068),
    [sym_qualified_operator_cast_identifier] = STATE(8082),
    [sym_operator_name] = STATE(7680),
    [sym_qualifiers] = STATE(3159),
    [sym_hlsl_attribute] = STATE(2057),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2673),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3021),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2513),
    [sym_identifier] = ACTIONS(4032),
    [anon_sym_LPAREN2] = ACTIONS(2875),
    [anon_sym_TILDE] = ACTIONS(2877),
    [anon_sym_STAR] = ACTIONS(2879),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(2881),
    [anon_sym___extension__] = ACTIONS(63),
    [anon_sym_in] = ACTIONS(37),
    [anon_sym_out] = ACTIONS(37),
    [anon_sym_inout] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(4034),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2096),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym___cdecl] = ACTIONS(51),
    [anon_sym___clrcall] = ACTIONS(51),
    [anon_sym___stdcall] = ACTIONS(51),
    [anon_sym___fastcall] = ACTIONS(51),
    [anon_sym___thiscall] = ACTIONS(51),
    [anon_sym___vectorcall] = ACTIONS(51),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(4036),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(2891),
    [anon_sym_enum] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(69),
    [anon_sym_struct] = ACTIONS(71),
    [anon_sym_union] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [anon_sym_virtual] = ACTIONS(123),
    [anon_sym_alignas] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(4046),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_friend] = ACTIONS(4048),
    [anon_sym_using] = ACTIONS(4050),
    [anon_sym_concept] = ACTIONS(433),
    [anon_sym_requires] = ACTIONS(4044),
    [anon_sym_precise] = ACTIONS(161),
    [anon_sym_shared] = ACTIONS(161),
    [anon_sym_groupshared] = ACTIONS(161),
    [anon_sym_uniform] = ACTIONS(161),
    [anon_sym_row_major] = ACTIONS(161),
    [anon_sym_column_major] = ACTIONS(161),
    [anon_sym_globallycoherent] = ACTIONS(161),
    [anon_sym_centroid] = ACTIONS(161),
    [anon_sym_noperspective] = ACTIONS(161),
    [anon_sym_nointerpolation] = ACTIONS(161),
    [anon_sym_sample] = ACTIONS(161),
    [anon_sym_linear] = ACTIONS(161),
    [anon_sym_snorm] = ACTIONS(161),
    [anon_sym_unorm] = ACTIONS(161),
    [anon_sym_point] = ACTIONS(161),
    [anon_sym_line] = ACTIONS(161),
    [anon_sym_triangleadj] = ACTIONS(161),
    [anon_sym_lineadj] = ACTIONS(161),
    [anon_sym_triangle] = ACTIONS(161),
  },
  [1407] = {
    [sym_function_definition] = STATE(2549),
    [sym_declaration] = STATE(2549),
    [sym__declaration_modifiers] = STATE(3159),
    [sym__declaration_specifiers] = STATE(5900),
    [sym_attribute_specifier] = STATE(3159),
    [sym_attribute_declaration] = STATE(3159),
    [sym_ms_declspec_modifier] = STATE(3159),
    [sym_ms_based_modifier] = STATE(10332),
    [sym_ms_call_modifier] = STATE(2595),
    [sym__declarator] = STATE(7978),
    [sym_parenthesized_declarator] = STATE(7680),
    [sym_attributed_declarator] = STATE(7680),
    [sym_pointer_declarator] = STATE(7680),
    [sym_function_declarator] = STATE(7506),
    [sym_array_declarator] = STATE(7680),
    [sym_storage_class_specifier] = STATE(3159),
    [sym_type_qualifier] = STATE(3159),
    [sym__type_specifier] = STATE(3048),
    [sym_sized_type_specifier] = STATE(3085),
    [sym_enum_specifier] = STATE(3085),
    [sym_struct_specifier] = STATE(3085),
    [sym_union_specifier] = STATE(3085),
    [sym__empty_declaration] = STATE(2549),
    [sym_placeholder_type_specifier] = STATE(3085),
    [sym_decltype_auto] = STATE(3091),
    [sym_decltype] = STATE(3050),
    [sym_class_specifier] = STATE(3085),
    [sym_virtual] = STATE(3159),
    [sym_alignas_specifier] = STATE(3159),
    [sym_explicit_function_specifier] = STATE(2515),
    [sym_dependent_type] = STATE(3085),
    [sym_template_declaration] = STATE(2549),
    [sym_operator_cast] = STATE(8047),
    [sym__constructor_specifiers] = STATE(2515),
    [sym_operator_cast_definition] = STATE(2549),
    [sym_operator_cast_declaration] = STATE(2549),
    [sym_constructor_or_destructor_definition] = STATE(2549),
    [sym_constructor_or_destructor_declaration] = STATE(2549),
    [sym_friend_declaration] = STATE(2549),
    [sym_reference_declarator] = STATE(7680),
    [sym_structured_binding_declarator] = STATE(7680),
    [sym_template_type] = STATE(3050),
    [sym_template_function] = STATE(7680),
    [sym_alias_declaration] = STATE(2549),
    [sym_concept_definition] = STATE(2549),
    [sym_requires_clause] = STATE(1418),
    [sym_destructor_name] = STATE(7680),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6725),
    [sym_qualified_identifier] = STATE(7680),
    [sym_qualified_type_identifier] = STATE(3068),
    [sym_qualified_operator_cast_identifier] = STATE(8047),
    [sym_operator_name] = STATE(7680),
    [sym_qualifiers] = STATE(3159),
    [sym_hlsl_attribute] = STATE(2035),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2673),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3021),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2515),
    [sym_identifier] = ACTIONS(4032),
    [anon_sym_LPAREN2] = ACTIONS(2875),
    [anon_sym_TILDE] = ACTIONS(2877),
    [anon_sym_STAR] = ACTIONS(2879),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(2881),
    [anon_sym___extension__] = ACTIONS(63),
    [anon_sym_in] = ACTIONS(37),
    [anon_sym_out] = ACTIONS(37),
    [anon_sym_inout] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(4034),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2096),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym___cdecl] = ACTIONS(51),
    [anon_sym___clrcall] = ACTIONS(51),
    [anon_sym___stdcall] = ACTIONS(51),
    [anon_sym___fastcall] = ACTIONS(51),
    [anon_sym___thiscall] = ACTIONS(51),
    [anon_sym___vectorcall] = ACTIONS(51),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(4036),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(2891),
    [anon_sym_enum] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(69),
    [anon_sym_struct] = ACTIONS(71),
    [anon_sym_union] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [anon_sym_virtual] = ACTIONS(123),
    [anon_sym_alignas] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(2903),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_friend] = ACTIONS(2905),
    [anon_sym_using] = ACTIONS(4052),
    [anon_sym_concept] = ACTIONS(4054),
    [anon_sym_requires] = ACTIONS(4044),
    [anon_sym_precise] = ACTIONS(161),
    [anon_sym_shared] = ACTIONS(161),
    [anon_sym_groupshared] = ACTIONS(161),
    [anon_sym_uniform] = ACTIONS(161),
    [anon_sym_row_major] = ACTIONS(161),
    [anon_sym_column_major] = ACTIONS(161),
    [anon_sym_globallycoherent] = ACTIONS(161),
    [anon_sym_centroid] = ACTIONS(161),
    [anon_sym_noperspective] = ACTIONS(161),
    [anon_sym_nointerpolation] = ACTIONS(161),
    [anon_sym_sample] = ACTIONS(161),
    [anon_sym_linear] = ACTIONS(161),
    [anon_sym_snorm] = ACTIONS(161),
    [anon_sym_unorm] = ACTIONS(161),
    [anon_sym_point] = ACTIONS(161),
    [anon_sym_line] = ACTIONS(161),
    [anon_sym_triangleadj] = ACTIONS(161),
    [anon_sym_lineadj] = ACTIONS(161),
    [anon_sym_triangle] = ACTIONS(161),
  },
  [1408] = {
    [sym_function_definition] = STATE(1155),
    [sym_declaration] = STATE(1155),
    [sym__declaration_modifiers] = STATE(3159),
    [sym__declaration_specifiers] = STATE(5906),
    [sym_attribute_specifier] = STATE(3159),
    [sym_attribute_declaration] = STATE(3159),
    [sym_ms_declspec_modifier] = STATE(3159),
    [sym_ms_based_modifier] = STATE(10332),
    [sym_ms_call_modifier] = STATE(2574),
    [sym__declarator] = STATE(7978),
    [sym_parenthesized_declarator] = STATE(7680),
    [sym_attributed_declarator] = STATE(7680),
    [sym_pointer_declarator] = STATE(7680),
    [sym_function_declarator] = STATE(7541),
    [sym_array_declarator] = STATE(7680),
    [sym_storage_class_specifier] = STATE(3159),
    [sym_type_qualifier] = STATE(3159),
    [sym__type_specifier] = STATE(3039),
    [sym_sized_type_specifier] = STATE(3085),
    [sym_enum_specifier] = STATE(3085),
    [sym_struct_specifier] = STATE(3085),
    [sym_union_specifier] = STATE(3085),
    [sym__empty_declaration] = STATE(1155),
    [sym_placeholder_type_specifier] = STATE(3085),
    [sym_decltype_auto] = STATE(3091),
    [sym_decltype] = STATE(3050),
    [sym_class_specifier] = STATE(3085),
    [sym_virtual] = STATE(3159),
    [sym_alignas_specifier] = STATE(3159),
    [sym_explicit_function_specifier] = STATE(2512),
    [sym_dependent_type] = STATE(3085),
    [sym_template_declaration] = STATE(1155),
    [sym_operator_cast] = STATE(8035),
    [sym__constructor_specifiers] = STATE(2512),
    [sym_operator_cast_definition] = STATE(1155),
    [sym_operator_cast_declaration] = STATE(1155),
    [sym_constructor_or_destructor_definition] = STATE(1155),
    [sym_constructor_or_destructor_declaration] = STATE(1155),
    [sym_friend_declaration] = STATE(1155),
    [sym_reference_declarator] = STATE(7680),
    [sym_structured_binding_declarator] = STATE(7680),
    [sym_template_type] = STATE(3050),
    [sym_template_function] = STATE(7680),
    [sym_alias_declaration] = STATE(1155),
    [sym_concept_definition] = STATE(1155),
    [sym_requires_clause] = STATE(1423),
    [sym_destructor_name] = STATE(7680),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6725),
    [sym_qualified_identifier] = STATE(7680),
    [sym_qualified_type_identifier] = STATE(3068),
    [sym_qualified_operator_cast_identifier] = STATE(8035),
    [sym_operator_name] = STATE(7680),
    [sym_qualifiers] = STATE(3159),
    [sym_hlsl_attribute] = STATE(2097),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2673),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3021),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2512),
    [sym_identifier] = ACTIONS(4032),
    [anon_sym_LPAREN2] = ACTIONS(2875),
    [anon_sym_TILDE] = ACTIONS(2877),
    [anon_sym_STAR] = ACTIONS(2879),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(2881),
    [anon_sym___extension__] = ACTIONS(63),
    [anon_sym_in] = ACTIONS(37),
    [anon_sym_out] = ACTIONS(37),
    [anon_sym_inout] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(4034),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2096),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym___cdecl] = ACTIONS(51),
    [anon_sym___clrcall] = ACTIONS(51),
    [anon_sym___stdcall] = ACTIONS(51),
    [anon_sym___fastcall] = ACTIONS(51),
    [anon_sym___thiscall] = ACTIONS(51),
    [anon_sym___vectorcall] = ACTIONS(51),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(4036),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(2891),
    [anon_sym_enum] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(69),
    [anon_sym_struct] = ACTIONS(71),
    [anon_sym_union] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [anon_sym_virtual] = ACTIONS(123),
    [anon_sym_alignas] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(4056),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_friend] = ACTIONS(4058),
    [anon_sym_using] = ACTIONS(4060),
    [anon_sym_concept] = ACTIONS(235),
    [anon_sym_requires] = ACTIONS(4044),
    [anon_sym_precise] = ACTIONS(161),
    [anon_sym_shared] = ACTIONS(161),
    [anon_sym_groupshared] = ACTIONS(161),
    [anon_sym_uniform] = ACTIONS(161),
    [anon_sym_row_major] = ACTIONS(161),
    [anon_sym_column_major] = ACTIONS(161),
    [anon_sym_globallycoherent] = ACTIONS(161),
    [anon_sym_centroid] = ACTIONS(161),
    [anon_sym_noperspective] = ACTIONS(161),
    [anon_sym_nointerpolation] = ACTIONS(161),
    [anon_sym_sample] = ACTIONS(161),
    [anon_sym_linear] = ACTIONS(161),
    [anon_sym_snorm] = ACTIONS(161),
    [anon_sym_unorm] = ACTIONS(161),
    [anon_sym_point] = ACTIONS(161),
    [anon_sym_line] = ACTIONS(161),
    [anon_sym_triangleadj] = ACTIONS(161),
    [anon_sym_lineadj] = ACTIONS(161),
    [anon_sym_triangle] = ACTIONS(161),
  },
  [1409] = {
    [sym_function_definition] = STATE(2909),
    [sym_declaration] = STATE(2909),
    [sym__declaration_modifiers] = STATE(3159),
    [sym__declaration_specifiers] = STATE(5828),
    [sym_attribute_specifier] = STATE(3159),
    [sym_attribute_declaration] = STATE(3159),
    [sym_ms_declspec_modifier] = STATE(3159),
    [sym_ms_based_modifier] = STATE(10332),
    [sym_ms_call_modifier] = STATE(2567),
    [sym__declarator] = STATE(7978),
    [sym_parenthesized_declarator] = STATE(7680),
    [sym_attributed_declarator] = STATE(7680),
    [sym_pointer_declarator] = STATE(7680),
    [sym_function_declarator] = STATE(7540),
    [sym_array_declarator] = STATE(7680),
    [sym_storage_class_specifier] = STATE(3159),
    [sym_type_qualifier] = STATE(3159),
    [sym__type_specifier] = STATE(3038),
    [sym_sized_type_specifier] = STATE(3085),
    [sym_enum_specifier] = STATE(3085),
    [sym_struct_specifier] = STATE(3085),
    [sym_union_specifier] = STATE(3085),
    [sym__empty_declaration] = STATE(2909),
    [sym_placeholder_type_specifier] = STATE(3085),
    [sym_decltype_auto] = STATE(3091),
    [sym_decltype] = STATE(3050),
    [sym_class_specifier] = STATE(3085),
    [sym_virtual] = STATE(3159),
    [sym_alignas_specifier] = STATE(3159),
    [sym_explicit_function_specifier] = STATE(2523),
    [sym_dependent_type] = STATE(3085),
    [sym_template_declaration] = STATE(2909),
    [sym_operator_cast] = STATE(8071),
    [sym__constructor_specifiers] = STATE(2523),
    [sym_operator_cast_definition] = STATE(2909),
    [sym_operator_cast_declaration] = STATE(2909),
    [sym_constructor_or_destructor_definition] = STATE(2909),
    [sym_constructor_or_destructor_declaration] = STATE(2909),
    [sym_friend_declaration] = STATE(2909),
    [sym_reference_declarator] = STATE(7680),
    [sym_structured_binding_declarator] = STATE(7680),
    [sym_template_type] = STATE(3050),
    [sym_template_function] = STATE(7680),
    [sym_alias_declaration] = STATE(2909),
    [sym_concept_definition] = STATE(2909),
    [sym_requires_clause] = STATE(1427),
    [sym_destructor_name] = STATE(7680),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6725),
    [sym_qualified_identifier] = STATE(7680),
    [sym_qualified_type_identifier] = STATE(3068),
    [sym_qualified_operator_cast_identifier] = STATE(8071),
    [sym_operator_name] = STATE(7680),
    [sym_qualifiers] = STATE(3159),
    [sym_hlsl_attribute] = STATE(1983),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2673),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3021),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2523),
    [sym_identifier] = ACTIONS(4032),
    [anon_sym_LPAREN2] = ACTIONS(2875),
    [anon_sym_TILDE] = ACTIONS(2877),
    [anon_sym_STAR] = ACTIONS(2879),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(2881),
    [anon_sym___extension__] = ACTIONS(63),
    [anon_sym_in] = ACTIONS(37),
    [anon_sym_out] = ACTIONS(37),
    [anon_sym_inout] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(4034),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2096),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym___cdecl] = ACTIONS(51),
    [anon_sym___clrcall] = ACTIONS(51),
    [anon_sym___stdcall] = ACTIONS(51),
    [anon_sym___fastcall] = ACTIONS(51),
    [anon_sym___thiscall] = ACTIONS(51),
    [anon_sym___vectorcall] = ACTIONS(51),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(4036),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(2891),
    [anon_sym_enum] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(69),
    [anon_sym_struct] = ACTIONS(71),
    [anon_sym_union] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [anon_sym_virtual] = ACTIONS(123),
    [anon_sym_alignas] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(3314),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_friend] = ACTIONS(3316),
    [anon_sym_using] = ACTIONS(4062),
    [anon_sym_concept] = ACTIONS(4064),
    [anon_sym_requires] = ACTIONS(4044),
    [anon_sym_precise] = ACTIONS(161),
    [anon_sym_shared] = ACTIONS(161),
    [anon_sym_groupshared] = ACTIONS(161),
    [anon_sym_uniform] = ACTIONS(161),
    [anon_sym_row_major] = ACTIONS(161),
    [anon_sym_column_major] = ACTIONS(161),
    [anon_sym_globallycoherent] = ACTIONS(161),
    [anon_sym_centroid] = ACTIONS(161),
    [anon_sym_noperspective] = ACTIONS(161),
    [anon_sym_nointerpolation] = ACTIONS(161),
    [anon_sym_sample] = ACTIONS(161),
    [anon_sym_linear] = ACTIONS(161),
    [anon_sym_snorm] = ACTIONS(161),
    [anon_sym_unorm] = ACTIONS(161),
    [anon_sym_point] = ACTIONS(161),
    [anon_sym_line] = ACTIONS(161),
    [anon_sym_triangleadj] = ACTIONS(161),
    [anon_sym_lineadj] = ACTIONS(161),
    [anon_sym_triangle] = ACTIONS(161),
  },
  [1410] = {
    [sym_function_definition] = STATE(2734),
    [sym_declaration] = STATE(2734),
    [sym__declaration_modifiers] = STATE(3159),
    [sym__declaration_specifiers] = STATE(5934),
    [sym_attribute_specifier] = STATE(3159),
    [sym_attribute_declaration] = STATE(3159),
    [sym_ms_declspec_modifier] = STATE(3159),
    [sym_ms_based_modifier] = STATE(10332),
    [sym_ms_call_modifier] = STATE(2587),
    [sym__declarator] = STATE(7978),
    [sym_parenthesized_declarator] = STATE(7680),
    [sym_attributed_declarator] = STATE(7680),
    [sym_pointer_declarator] = STATE(7680),
    [sym_function_declarator] = STATE(7532),
    [sym_array_declarator] = STATE(7680),
    [sym_storage_class_specifier] = STATE(3159),
    [sym_type_qualifier] = STATE(3159),
    [sym__type_specifier] = STATE(3037),
    [sym_sized_type_specifier] = STATE(3085),
    [sym_enum_specifier] = STATE(3085),
    [sym_struct_specifier] = STATE(3085),
    [sym_union_specifier] = STATE(3085),
    [sym__empty_declaration] = STATE(2734),
    [sym_placeholder_type_specifier] = STATE(3085),
    [sym_decltype_auto] = STATE(3091),
    [sym_decltype] = STATE(3050),
    [sym_class_specifier] = STATE(3085),
    [sym_virtual] = STATE(3159),
    [sym_alignas_specifier] = STATE(3159),
    [sym_explicit_function_specifier] = STATE(2521),
    [sym_dependent_type] = STATE(3085),
    [sym_template_declaration] = STATE(2734),
    [sym_operator_cast] = STATE(8041),
    [sym__constructor_specifiers] = STATE(2521),
    [sym_operator_cast_definition] = STATE(2734),
    [sym_operator_cast_declaration] = STATE(2734),
    [sym_constructor_or_destructor_definition] = STATE(2734),
    [sym_constructor_or_destructor_declaration] = STATE(2734),
    [sym_friend_declaration] = STATE(2734),
    [sym_reference_declarator] = STATE(7680),
    [sym_structured_binding_declarator] = STATE(7680),
    [sym_template_type] = STATE(3050),
    [sym_template_function] = STATE(7680),
    [sym_alias_declaration] = STATE(2734),
    [sym_concept_definition] = STATE(2734),
    [sym_requires_clause] = STATE(1422),
    [sym_destructor_name] = STATE(7680),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6725),
    [sym_qualified_identifier] = STATE(7680),
    [sym_qualified_type_identifier] = STATE(3068),
    [sym_qualified_operator_cast_identifier] = STATE(8041),
    [sym_operator_name] = STATE(7680),
    [sym_qualifiers] = STATE(3159),
    [sym_hlsl_attribute] = STATE(1976),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2673),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3021),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2521),
    [sym_identifier] = ACTIONS(4032),
    [anon_sym_LPAREN2] = ACTIONS(2875),
    [anon_sym_TILDE] = ACTIONS(2877),
    [anon_sym_STAR] = ACTIONS(2879),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(2881),
    [anon_sym___extension__] = ACTIONS(63),
    [anon_sym_in] = ACTIONS(37),
    [anon_sym_out] = ACTIONS(37),
    [anon_sym_inout] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(4034),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2096),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym___cdecl] = ACTIONS(51),
    [anon_sym___clrcall] = ACTIONS(51),
    [anon_sym___stdcall] = ACTIONS(51),
    [anon_sym___fastcall] = ACTIONS(51),
    [anon_sym___thiscall] = ACTIONS(51),
    [anon_sym___vectorcall] = ACTIONS(51),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(4036),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(2891),
    [anon_sym_enum] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(69),
    [anon_sym_struct] = ACTIONS(71),
    [anon_sym_union] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [anon_sym_virtual] = ACTIONS(123),
    [anon_sym_alignas] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(3002),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_friend] = ACTIONS(3004),
    [anon_sym_using] = ACTIONS(4066),
    [anon_sym_concept] = ACTIONS(4068),
    [anon_sym_requires] = ACTIONS(4044),
    [anon_sym_precise] = ACTIONS(161),
    [anon_sym_shared] = ACTIONS(161),
    [anon_sym_groupshared] = ACTIONS(161),
    [anon_sym_uniform] = ACTIONS(161),
    [anon_sym_row_major] = ACTIONS(161),
    [anon_sym_column_major] = ACTIONS(161),
    [anon_sym_globallycoherent] = ACTIONS(161),
    [anon_sym_centroid] = ACTIONS(161),
    [anon_sym_noperspective] = ACTIONS(161),
    [anon_sym_nointerpolation] = ACTIONS(161),
    [anon_sym_sample] = ACTIONS(161),
    [anon_sym_linear] = ACTIONS(161),
    [anon_sym_snorm] = ACTIONS(161),
    [anon_sym_unorm] = ACTIONS(161),
    [anon_sym_point] = ACTIONS(161),
    [anon_sym_line] = ACTIONS(161),
    [anon_sym_triangleadj] = ACTIONS(161),
    [anon_sym_lineadj] = ACTIONS(161),
    [anon_sym_triangle] = ACTIONS(161),
  },
  [1411] = {
    [sym__expression] = STATE(3544),
    [sym__expression_not_binary] = STATE(3672),
    [sym__string] = STATE(3672),
    [sym_conditional_expression] = STATE(3672),
    [sym_assignment_expression] = STATE(3672),
    [sym_pointer_expression] = STATE(3672),
    [sym_unary_expression] = STATE(3672),
    [sym_binary_expression] = STATE(3672),
    [sym_update_expression] = STATE(3672),
    [sym_cast_expression] = STATE(3672),
    [sym_sizeof_expression] = STATE(3672),
    [sym_alignof_expression] = STATE(3672),
    [sym_offsetof_expression] = STATE(3672),
    [sym_generic_expression] = STATE(3672),
    [sym_subscript_expression] = STATE(3672),
    [sym_call_expression] = STATE(3672),
    [sym_gnu_asm_expression] = STATE(3672),
    [sym_field_expression] = STATE(3672),
    [sym_compound_literal_expression] = STATE(3672),
    [sym_parenthesized_expression] = STATE(3672),
    [sym_initializer_list] = STATE(3655),
    [sym_char_literal] = STATE(4466),
    [sym_concatenated_string] = STATE(4465),
    [sym_string_literal] = STATE(3395),
    [sym_null] = STATE(3672),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9333),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(3672),
    [sym_raw_string_literal] = STATE(3400),
    [sym_co_await_expression] = STATE(3672),
    [sym_new_expression] = STATE(3672),
    [sym_delete_expression] = STATE(3672),
    [sym_requires_clause] = STATE(3672),
    [sym_requires_expression] = STATE(3672),
    [sym_lambda_expression] = STATE(3672),
    [sym_lambda_capture_specifier] = STATE(7134),
    [sym_fold_expression] = STATE(3672),
    [sym_parameter_pack_expansion] = STATE(3672),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6886),
    [sym_qualified_identifier] = STATE(3672),
    [sym_qualified_type_identifier] = STATE(9333),
    [sym_user_defined_literal] = STATE(3672),
    [sym_identifier] = ACTIONS(4070),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3918),
    [anon_sym_COMMA] = ACTIONS(3918),
    [anon_sym_LPAREN2] = ACTIONS(3918),
    [anon_sym_BANG] = ACTIONS(4072),
    [anon_sym_TILDE] = ACTIONS(4074),
    [anon_sym_DASH] = ACTIONS(3916),
    [anon_sym_PLUS] = ACTIONS(3916),
    [anon_sym_STAR] = ACTIONS(3916),
    [anon_sym_SLASH] = ACTIONS(3916),
    [anon_sym_PERCENT] = ACTIONS(3916),
    [anon_sym_PIPE_PIPE] = ACTIONS(3918),
    [anon_sym_AMP_AMP] = ACTIONS(3918),
    [anon_sym_PIPE] = ACTIONS(3916),
    [anon_sym_CARET] = ACTIONS(3916),
    [anon_sym_AMP] = ACTIONS(3916),
    [anon_sym_EQ_EQ] = ACTIONS(3918),
    [anon_sym_BANG_EQ] = ACTIONS(3918),
    [anon_sym_GT] = ACTIONS(3916),
    [anon_sym_GT_EQ] = ACTIONS(3918),
    [anon_sym_LT_EQ] = ACTIONS(3916),
    [anon_sym_LT] = ACTIONS(3916),
    [anon_sym_LT_LT] = ACTIONS(3916),
    [anon_sym_GT_GT] = ACTIONS(3916),
    [anon_sym_SEMI] = ACTIONS(3918),
    [anon_sym___attribute__] = ACTIONS(3916),
    [anon_sym_COLON_COLON] = ACTIONS(4076),
    [anon_sym_LBRACE] = ACTIONS(3926),
    [anon_sym_LBRACK] = ACTIONS(3918),
    [anon_sym_EQ] = ACTIONS(3916),
    [sym_primitive_type] = ACTIONS(3928),
    [anon_sym_QMARK] = ACTIONS(3918),
    [anon_sym_STAR_EQ] = ACTIONS(3918),
    [anon_sym_SLASH_EQ] = ACTIONS(3918),
    [anon_sym_PERCENT_EQ] = ACTIONS(3918),
    [anon_sym_PLUS_EQ] = ACTIONS(3918),
    [anon_sym_DASH_EQ] = ACTIONS(3918),
    [anon_sym_LT_LT_EQ] = ACTIONS(3918),
    [anon_sym_GT_GT_EQ] = ACTIONS(3918),
    [anon_sym_AMP_EQ] = ACTIONS(3918),
    [anon_sym_CARET_EQ] = ACTIONS(3918),
    [anon_sym_PIPE_EQ] = ACTIONS(3918),
    [anon_sym_and_eq] = ACTIONS(3916),
    [anon_sym_or_eq] = ACTIONS(3916),
    [anon_sym_xor_eq] = ACTIONS(3916),
    [anon_sym_not] = ACTIONS(4072),
    [anon_sym_compl] = ACTIONS(4072),
    [anon_sym_LT_EQ_GT] = ACTIONS(3918),
    [anon_sym_or] = ACTIONS(3916),
    [anon_sym_and] = ACTIONS(3916),
    [anon_sym_bitor] = ACTIONS(3916),
    [anon_sym_xor] = ACTIONS(3916),
    [anon_sym_bitand] = ACTIONS(3916),
    [anon_sym_not_eq] = ACTIONS(3916),
    [anon_sym_DASH_DASH] = ACTIONS(3918),
    [anon_sym_PLUS_PLUS] = ACTIONS(3918),
    [anon_sym_sizeof] = ACTIONS(4078),
    [anon_sym___alignof__] = ACTIONS(3932),
    [anon_sym___alignof] = ACTIONS(3932),
    [anon_sym__alignof] = ACTIONS(3932),
    [anon_sym_alignof] = ACTIONS(3932),
    [anon_sym__Alignof] = ACTIONS(3932),
    [anon_sym_offsetof] = ACTIONS(3934),
    [anon_sym__Generic] = ACTIONS(3936),
    [anon_sym_asm] = ACTIONS(3938),
    [anon_sym___asm__] = ACTIONS(3938),
    [anon_sym_DOT] = ACTIONS(3916),
    [anon_sym_DOT_STAR] = ACTIONS(3918),
    [anon_sym_DASH_GT] = ACTIONS(3918),
    [sym_number_literal] = ACTIONS(4080),
    [anon_sym_L_SQUOTE] = ACTIONS(4082),
    [anon_sym_u_SQUOTE] = ACTIONS(4082),
    [anon_sym_U_SQUOTE] = ACTIONS(4082),
    [anon_sym_u8_SQUOTE] = ACTIONS(4082),
    [anon_sym_SQUOTE] = ACTIONS(4082),
    [anon_sym_L_DQUOTE] = ACTIONS(4084),
    [anon_sym_u_DQUOTE] = ACTIONS(4084),
    [anon_sym_U_DQUOTE] = ACTIONS(4084),
    [anon_sym_u8_DQUOTE] = ACTIONS(4084),
    [anon_sym_DQUOTE] = ACTIONS(4084),
    [sym_true] = ACTIONS(3946),
    [sym_false] = ACTIONS(3946),
    [anon_sym_NULL] = ACTIONS(3948),
    [anon_sym_nullptr] = ACTIONS(3948),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(4086),
    [anon_sym_R_DQUOTE] = ACTIONS(4088),
    [anon_sym_LR_DQUOTE] = ACTIONS(4088),
    [anon_sym_uR_DQUOTE] = ACTIONS(4088),
    [anon_sym_UR_DQUOTE] = ACTIONS(4088),
    [anon_sym_u8R_DQUOTE] = ACTIONS(4088),
    [anon_sym_co_await] = ACTIONS(4090),
    [anon_sym_new] = ACTIONS(3990),
    [anon_sym_requires] = ACTIONS(3958),
    [sym_this] = ACTIONS(3946),
  },
  [1412] = {
    [sym__expression] = STATE(4299),
    [sym__expression_not_binary] = STATE(4695),
    [sym__string] = STATE(4695),
    [sym_conditional_expression] = STATE(4695),
    [sym_assignment_expression] = STATE(4695),
    [sym_pointer_expression] = STATE(4695),
    [sym_unary_expression] = STATE(4695),
    [sym_binary_expression] = STATE(4695),
    [sym_update_expression] = STATE(4695),
    [sym_cast_expression] = STATE(4695),
    [sym_sizeof_expression] = STATE(4695),
    [sym_alignof_expression] = STATE(4695),
    [sym_offsetof_expression] = STATE(4695),
    [sym_generic_expression] = STATE(4695),
    [sym_subscript_expression] = STATE(4695),
    [sym_call_expression] = STATE(4695),
    [sym_gnu_asm_expression] = STATE(4695),
    [sym_field_expression] = STATE(4695),
    [sym_compound_literal_expression] = STATE(4695),
    [sym_parenthesized_expression] = STATE(4695),
    [sym_initializer_list] = STATE(4565),
    [sym_char_literal] = STATE(4427),
    [sym_concatenated_string] = STATE(4424),
    [sym_string_literal] = STATE(3398),
    [sym_null] = STATE(4695),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9425),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(4695),
    [sym_raw_string_literal] = STATE(3396),
    [sym_co_await_expression] = STATE(4695),
    [sym_new_expression] = STATE(4695),
    [sym_delete_expression] = STATE(4695),
    [sym_requires_clause] = STATE(4695),
    [sym_requires_expression] = STATE(4695),
    [sym_lambda_expression] = STATE(4695),
    [sym_lambda_capture_specifier] = STATE(7185),
    [sym_fold_expression] = STATE(4695),
    [sym_parameter_pack_expansion] = STATE(4695),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6899),
    [sym_qualified_identifier] = STATE(4695),
    [sym_qualified_type_identifier] = STATE(9425),
    [sym_user_defined_literal] = STATE(4695),
    [sym_identifier] = ACTIONS(4092),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3918),
    [anon_sym_COMMA] = ACTIONS(3918),
    [anon_sym_RPAREN] = ACTIONS(3918),
    [anon_sym_LPAREN2] = ACTIONS(3918),
    [anon_sym_BANG] = ACTIONS(2536),
    [anon_sym_TILDE] = ACTIONS(2532),
    [anon_sym_DASH] = ACTIONS(3916),
    [anon_sym_PLUS] = ACTIONS(3916),
    [anon_sym_STAR] = ACTIONS(3916),
    [anon_sym_SLASH] = ACTIONS(3916),
    [anon_sym_PERCENT] = ACTIONS(3916),
    [anon_sym_PIPE_PIPE] = ACTIONS(3918),
    [anon_sym_AMP_AMP] = ACTIONS(3918),
    [anon_sym_PIPE] = ACTIONS(3916),
    [anon_sym_CARET] = ACTIONS(3916),
    [anon_sym_AMP] = ACTIONS(3916),
    [anon_sym_EQ_EQ] = ACTIONS(3918),
    [anon_sym_BANG_EQ] = ACTIONS(3918),
    [anon_sym_GT] = ACTIONS(3916),
    [anon_sym_GT_EQ] = ACTIONS(3918),
    [anon_sym_LT_EQ] = ACTIONS(3916),
    [anon_sym_LT] = ACTIONS(3916),
    [anon_sym_LT_LT] = ACTIONS(3916),
    [anon_sym_GT_GT] = ACTIONS(3916),
    [anon_sym_COLON_COLON] = ACTIONS(2542),
    [anon_sym_LBRACE] = ACTIONS(4094),
    [anon_sym_LBRACK] = ACTIONS(3918),
    [anon_sym_EQ] = ACTIONS(3916),
    [sym_primitive_type] = ACTIONS(4096),
    [anon_sym_QMARK] = ACTIONS(3918),
    [anon_sym_STAR_EQ] = ACTIONS(3918),
    [anon_sym_SLASH_EQ] = ACTIONS(3918),
    [anon_sym_PERCENT_EQ] = ACTIONS(3918),
    [anon_sym_PLUS_EQ] = ACTIONS(3918),
    [anon_sym_DASH_EQ] = ACTIONS(3918),
    [anon_sym_LT_LT_EQ] = ACTIONS(3918),
    [anon_sym_GT_GT_EQ] = ACTIONS(3918),
    [anon_sym_AMP_EQ] = ACTIONS(3918),
    [anon_sym_CARET_EQ] = ACTIONS(3918),
    [anon_sym_PIPE_EQ] = ACTIONS(3918),
    [anon_sym_and_eq] = ACTIONS(3916),
    [anon_sym_or_eq] = ACTIONS(3916),
    [anon_sym_xor_eq] = ACTIONS(3916),
    [anon_sym_not] = ACTIONS(2536),
    [anon_sym_compl] = ACTIONS(2536),
    [anon_sym_LT_EQ_GT] = ACTIONS(3918),
    [anon_sym_or] = ACTIONS(3916),
    [anon_sym_and] = ACTIONS(3916),
    [anon_sym_bitor] = ACTIONS(3916),
    [anon_sym_xor] = ACTIONS(3916),
    [anon_sym_bitand] = ACTIONS(3916),
    [anon_sym_not_eq] = ACTIONS(3916),
    [anon_sym_DASH_DASH] = ACTIONS(3918),
    [anon_sym_PLUS_PLUS] = ACTIONS(3918),
    [anon_sym_sizeof] = ACTIONS(2562),
    [anon_sym___alignof__] = ACTIONS(2564),
    [anon_sym___alignof] = ACTIONS(2564),
    [anon_sym__alignof] = ACTIONS(2564),
    [anon_sym_alignof] = ACTIONS(2564),
    [anon_sym__Alignof] = ACTIONS(2564),
    [anon_sym_offsetof] = ACTIONS(2566),
    [anon_sym__Generic] = ACTIONS(2568),
    [anon_sym_asm] = ACTIONS(2570),
    [anon_sym___asm__] = ACTIONS(2570),
    [anon_sym_DOT] = ACTIONS(3916),
    [anon_sym_DOT_STAR] = ACTIONS(3918),
    [anon_sym_DASH_GT] = ACTIONS(3916),
    [sym_number_literal] = ACTIONS(2572),
    [anon_sym_L_SQUOTE] = ACTIONS(2574),
    [anon_sym_u_SQUOTE] = ACTIONS(2574),
    [anon_sym_U_SQUOTE] = ACTIONS(2574),
    [anon_sym_u8_SQUOTE] = ACTIONS(2574),
    [anon_sym_SQUOTE] = ACTIONS(2574),
    [anon_sym_L_DQUOTE] = ACTIONS(2576),
    [anon_sym_u_DQUOTE] = ACTIONS(2576),
    [anon_sym_U_DQUOTE] = ACTIONS(2576),
    [anon_sym_u8_DQUOTE] = ACTIONS(2576),
    [anon_sym_DQUOTE] = ACTIONS(2576),
    [sym_true] = ACTIONS(2578),
    [sym_false] = ACTIONS(2578),
    [anon_sym_NULL] = ACTIONS(2580),
    [anon_sym_nullptr] = ACTIONS(2580),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(2590),
    [anon_sym_R_DQUOTE] = ACTIONS(2592),
    [anon_sym_LR_DQUOTE] = ACTIONS(2592),
    [anon_sym_uR_DQUOTE] = ACTIONS(2592),
    [anon_sym_UR_DQUOTE] = ACTIONS(2592),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2592),
    [anon_sym_co_await] = ACTIONS(2594),
    [anon_sym_new] = ACTIONS(2596),
    [anon_sym_requires] = ACTIONS(2598),
    [anon_sym_DASH_GT_STAR] = ACTIONS(3918),
    [sym_this] = ACTIONS(2578),
  },
  [1413] = {
    [sym_function_definition] = STATE(447),
    [sym_declaration] = STATE(447),
    [sym__declaration_modifiers] = STATE(3159),
    [sym__declaration_specifiers] = STATE(5843),
    [sym_attribute_specifier] = STATE(3159),
    [sym_attribute_declaration] = STATE(3159),
    [sym_ms_declspec_modifier] = STATE(3159),
    [sym_ms_based_modifier] = STATE(10332),
    [sym_ms_call_modifier] = STATE(2586),
    [sym__declarator] = STATE(7978),
    [sym_parenthesized_declarator] = STATE(7680),
    [sym_attributed_declarator] = STATE(7680),
    [sym_pointer_declarator] = STATE(7680),
    [sym_function_declarator] = STATE(7516),
    [sym_array_declarator] = STATE(7680),
    [sym_storage_class_specifier] = STATE(3159),
    [sym_type_qualifier] = STATE(3159),
    [sym__type_specifier] = STATE(3042),
    [sym_sized_type_specifier] = STATE(3085),
    [sym_enum_specifier] = STATE(3085),
    [sym_struct_specifier] = STATE(3085),
    [sym_union_specifier] = STATE(3085),
    [sym__empty_declaration] = STATE(447),
    [sym_placeholder_type_specifier] = STATE(3085),
    [sym_decltype_auto] = STATE(3091),
    [sym_decltype] = STATE(3050),
    [sym_class_specifier] = STATE(3085),
    [sym_virtual] = STATE(3159),
    [sym_alignas_specifier] = STATE(3159),
    [sym_explicit_function_specifier] = STATE(2522),
    [sym_dependent_type] = STATE(3085),
    [sym_template_declaration] = STATE(447),
    [sym_operator_cast] = STATE(8044),
    [sym__constructor_specifiers] = STATE(2522),
    [sym_operator_cast_definition] = STATE(447),
    [sym_operator_cast_declaration] = STATE(447),
    [sym_constructor_or_destructor_definition] = STATE(447),
    [sym_constructor_or_destructor_declaration] = STATE(447),
    [sym_friend_declaration] = STATE(447),
    [sym_reference_declarator] = STATE(7680),
    [sym_structured_binding_declarator] = STATE(7680),
    [sym_template_type] = STATE(3050),
    [sym_template_function] = STATE(7680),
    [sym_alias_declaration] = STATE(447),
    [sym_concept_definition] = STATE(447),
    [sym_requires_clause] = STATE(1428),
    [sym_destructor_name] = STATE(7680),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6725),
    [sym_qualified_identifier] = STATE(7680),
    [sym_qualified_type_identifier] = STATE(3068),
    [sym_qualified_operator_cast_identifier] = STATE(8044),
    [sym_operator_name] = STATE(7680),
    [sym_qualifiers] = STATE(3159),
    [sym_hlsl_attribute] = STATE(2005),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2673),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3021),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2522),
    [sym_identifier] = ACTIONS(4032),
    [anon_sym_LPAREN2] = ACTIONS(2875),
    [anon_sym_TILDE] = ACTIONS(2877),
    [anon_sym_STAR] = ACTIONS(2879),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(2881),
    [anon_sym___extension__] = ACTIONS(63),
    [anon_sym_in] = ACTIONS(37),
    [anon_sym_out] = ACTIONS(37),
    [anon_sym_inout] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(4034),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2096),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym___cdecl] = ACTIONS(51),
    [anon_sym___clrcall] = ACTIONS(51),
    [anon_sym___stdcall] = ACTIONS(51),
    [anon_sym___fastcall] = ACTIONS(51),
    [anon_sym___thiscall] = ACTIONS(51),
    [anon_sym___vectorcall] = ACTIONS(51),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(4036),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(2891),
    [anon_sym_enum] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(69),
    [anon_sym_struct] = ACTIONS(71),
    [anon_sym_union] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [anon_sym_virtual] = ACTIONS(123),
    [anon_sym_alignas] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(4098),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_friend] = ACTIONS(4100),
    [anon_sym_using] = ACTIONS(4102),
    [anon_sym_concept] = ACTIONS(341),
    [anon_sym_requires] = ACTIONS(4044),
    [anon_sym_precise] = ACTIONS(161),
    [anon_sym_shared] = ACTIONS(161),
    [anon_sym_groupshared] = ACTIONS(161),
    [anon_sym_uniform] = ACTIONS(161),
    [anon_sym_row_major] = ACTIONS(161),
    [anon_sym_column_major] = ACTIONS(161),
    [anon_sym_globallycoherent] = ACTIONS(161),
    [anon_sym_centroid] = ACTIONS(161),
    [anon_sym_noperspective] = ACTIONS(161),
    [anon_sym_nointerpolation] = ACTIONS(161),
    [anon_sym_sample] = ACTIONS(161),
    [anon_sym_linear] = ACTIONS(161),
    [anon_sym_snorm] = ACTIONS(161),
    [anon_sym_unorm] = ACTIONS(161),
    [anon_sym_point] = ACTIONS(161),
    [anon_sym_line] = ACTIONS(161),
    [anon_sym_triangleadj] = ACTIONS(161),
    [anon_sym_lineadj] = ACTIONS(161),
    [anon_sym_triangle] = ACTIONS(161),
  },
  [1414] = {
    [sym_function_definition] = STATE(1273),
    [sym_declaration] = STATE(1273),
    [sym__declaration_modifiers] = STATE(3159),
    [sym__declaration_specifiers] = STATE(5893),
    [sym_attribute_specifier] = STATE(3159),
    [sym_attribute_declaration] = STATE(3159),
    [sym_ms_declspec_modifier] = STATE(3159),
    [sym_ms_based_modifier] = STATE(10332),
    [sym_ms_call_modifier] = STATE(2630),
    [sym__declarator] = STATE(7978),
    [sym_parenthesized_declarator] = STATE(7680),
    [sym_attributed_declarator] = STATE(7680),
    [sym_pointer_declarator] = STATE(7680),
    [sym_function_declarator] = STATE(7523),
    [sym_array_declarator] = STATE(7680),
    [sym_storage_class_specifier] = STATE(3159),
    [sym_type_qualifier] = STATE(3159),
    [sym__type_specifier] = STATE(3041),
    [sym_sized_type_specifier] = STATE(3085),
    [sym_enum_specifier] = STATE(3085),
    [sym_struct_specifier] = STATE(3085),
    [sym_union_specifier] = STATE(3085),
    [sym__empty_declaration] = STATE(1273),
    [sym_placeholder_type_specifier] = STATE(3085),
    [sym_decltype_auto] = STATE(3091),
    [sym_decltype] = STATE(3050),
    [sym_class_specifier] = STATE(3085),
    [sym_virtual] = STATE(3159),
    [sym_alignas_specifier] = STATE(3159),
    [sym_explicit_function_specifier] = STATE(2520),
    [sym_dependent_type] = STATE(3085),
    [sym_template_declaration] = STATE(1273),
    [sym_operator_cast] = STATE(8078),
    [sym__constructor_specifiers] = STATE(2520),
    [sym_operator_cast_definition] = STATE(1273),
    [sym_operator_cast_declaration] = STATE(1273),
    [sym_constructor_or_destructor_definition] = STATE(1273),
    [sym_constructor_or_destructor_declaration] = STATE(1273),
    [sym_friend_declaration] = STATE(1273),
    [sym_reference_declarator] = STATE(7680),
    [sym_structured_binding_declarator] = STATE(7680),
    [sym_template_type] = STATE(3050),
    [sym_template_function] = STATE(7680),
    [sym_alias_declaration] = STATE(1273),
    [sym_concept_definition] = STATE(1273),
    [sym_requires_clause] = STATE(1426),
    [sym_destructor_name] = STATE(7680),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6725),
    [sym_qualified_identifier] = STATE(7680),
    [sym_qualified_type_identifier] = STATE(3068),
    [sym_qualified_operator_cast_identifier] = STATE(8078),
    [sym_operator_name] = STATE(7680),
    [sym_qualifiers] = STATE(3159),
    [sym_hlsl_attribute] = STATE(1973),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2673),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3021),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2520),
    [sym_identifier] = ACTIONS(4032),
    [anon_sym_LPAREN2] = ACTIONS(2875),
    [anon_sym_TILDE] = ACTIONS(2877),
    [anon_sym_STAR] = ACTIONS(2879),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(2881),
    [anon_sym___extension__] = ACTIONS(63),
    [anon_sym_in] = ACTIONS(37),
    [anon_sym_out] = ACTIONS(37),
    [anon_sym_inout] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(4034),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2096),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym___cdecl] = ACTIONS(51),
    [anon_sym___clrcall] = ACTIONS(51),
    [anon_sym___stdcall] = ACTIONS(51),
    [anon_sym___fastcall] = ACTIONS(51),
    [anon_sym___thiscall] = ACTIONS(51),
    [anon_sym___vectorcall] = ACTIONS(51),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(4036),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(2891),
    [anon_sym_enum] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(69),
    [anon_sym_struct] = ACTIONS(71),
    [anon_sym_union] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [anon_sym_virtual] = ACTIONS(123),
    [anon_sym_alignas] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(4104),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_friend] = ACTIONS(4106),
    [anon_sym_using] = ACTIONS(4108),
    [anon_sym_concept] = ACTIONS(147),
    [anon_sym_requires] = ACTIONS(4044),
    [anon_sym_precise] = ACTIONS(161),
    [anon_sym_shared] = ACTIONS(161),
    [anon_sym_groupshared] = ACTIONS(161),
    [anon_sym_uniform] = ACTIONS(161),
    [anon_sym_row_major] = ACTIONS(161),
    [anon_sym_column_major] = ACTIONS(161),
    [anon_sym_globallycoherent] = ACTIONS(161),
    [anon_sym_centroid] = ACTIONS(161),
    [anon_sym_noperspective] = ACTIONS(161),
    [anon_sym_nointerpolation] = ACTIONS(161),
    [anon_sym_sample] = ACTIONS(161),
    [anon_sym_linear] = ACTIONS(161),
    [anon_sym_snorm] = ACTIONS(161),
    [anon_sym_unorm] = ACTIONS(161),
    [anon_sym_point] = ACTIONS(161),
    [anon_sym_line] = ACTIONS(161),
    [anon_sym_triangleadj] = ACTIONS(161),
    [anon_sym_lineadj] = ACTIONS(161),
    [anon_sym_triangle] = ACTIONS(161),
  },
  [1415] = {
    [sym_function_definition] = STATE(2826),
    [sym_declaration] = STATE(2826),
    [sym__declaration_modifiers] = STATE(3159),
    [sym__declaration_specifiers] = STATE(5912),
    [sym_attribute_specifier] = STATE(3159),
    [sym_attribute_declaration] = STATE(3159),
    [sym_ms_declspec_modifier] = STATE(3159),
    [sym_ms_based_modifier] = STATE(10332),
    [sym_ms_call_modifier] = STATE(2601),
    [sym__declarator] = STATE(7978),
    [sym_parenthesized_declarator] = STATE(7680),
    [sym_attributed_declarator] = STATE(7680),
    [sym_pointer_declarator] = STATE(7680),
    [sym_function_declarator] = STATE(7507),
    [sym_array_declarator] = STATE(7680),
    [sym_storage_class_specifier] = STATE(3159),
    [sym_type_qualifier] = STATE(3159),
    [sym__type_specifier] = STATE(3047),
    [sym_sized_type_specifier] = STATE(3085),
    [sym_enum_specifier] = STATE(3085),
    [sym_struct_specifier] = STATE(3085),
    [sym_union_specifier] = STATE(3085),
    [sym__empty_declaration] = STATE(2826),
    [sym_placeholder_type_specifier] = STATE(3085),
    [sym_decltype_auto] = STATE(3091),
    [sym_decltype] = STATE(3050),
    [sym_class_specifier] = STATE(3085),
    [sym_virtual] = STATE(3159),
    [sym_alignas_specifier] = STATE(3159),
    [sym_explicit_function_specifier] = STATE(2525),
    [sym_dependent_type] = STATE(3085),
    [sym_template_declaration] = STATE(2826),
    [sym_operator_cast] = STATE(8072),
    [sym__constructor_specifiers] = STATE(2525),
    [sym_operator_cast_definition] = STATE(2826),
    [sym_operator_cast_declaration] = STATE(2826),
    [sym_constructor_or_destructor_definition] = STATE(2826),
    [sym_constructor_or_destructor_declaration] = STATE(2826),
    [sym_friend_declaration] = STATE(2826),
    [sym_reference_declarator] = STATE(7680),
    [sym_structured_binding_declarator] = STATE(7680),
    [sym_template_type] = STATE(3050),
    [sym_template_function] = STATE(7680),
    [sym_alias_declaration] = STATE(2826),
    [sym_concept_definition] = STATE(2826),
    [sym_requires_clause] = STATE(1424),
    [sym_destructor_name] = STATE(7680),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6725),
    [sym_qualified_identifier] = STATE(7680),
    [sym_qualified_type_identifier] = STATE(3068),
    [sym_qualified_operator_cast_identifier] = STATE(8072),
    [sym_operator_name] = STATE(7680),
    [sym_qualifiers] = STATE(3159),
    [sym_hlsl_attribute] = STATE(2023),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2673),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3021),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2525),
    [sym_identifier] = ACTIONS(4032),
    [anon_sym_LPAREN2] = ACTIONS(2875),
    [anon_sym_TILDE] = ACTIONS(2877),
    [anon_sym_STAR] = ACTIONS(2879),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(2881),
    [anon_sym___extension__] = ACTIONS(63),
    [anon_sym_in] = ACTIONS(37),
    [anon_sym_out] = ACTIONS(37),
    [anon_sym_inout] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(4034),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2096),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym___cdecl] = ACTIONS(51),
    [anon_sym___clrcall] = ACTIONS(51),
    [anon_sym___stdcall] = ACTIONS(51),
    [anon_sym___fastcall] = ACTIONS(51),
    [anon_sym___thiscall] = ACTIONS(51),
    [anon_sym___vectorcall] = ACTIONS(51),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(4036),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(2891),
    [anon_sym_enum] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(69),
    [anon_sym_struct] = ACTIONS(71),
    [anon_sym_union] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [anon_sym_virtual] = ACTIONS(123),
    [anon_sym_alignas] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(3208),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_friend] = ACTIONS(3210),
    [anon_sym_using] = ACTIONS(4110),
    [anon_sym_concept] = ACTIONS(4112),
    [anon_sym_requires] = ACTIONS(4044),
    [anon_sym_precise] = ACTIONS(161),
    [anon_sym_shared] = ACTIONS(161),
    [anon_sym_groupshared] = ACTIONS(161),
    [anon_sym_uniform] = ACTIONS(161),
    [anon_sym_row_major] = ACTIONS(161),
    [anon_sym_column_major] = ACTIONS(161),
    [anon_sym_globallycoherent] = ACTIONS(161),
    [anon_sym_centroid] = ACTIONS(161),
    [anon_sym_noperspective] = ACTIONS(161),
    [anon_sym_nointerpolation] = ACTIONS(161),
    [anon_sym_sample] = ACTIONS(161),
    [anon_sym_linear] = ACTIONS(161),
    [anon_sym_snorm] = ACTIONS(161),
    [anon_sym_unorm] = ACTIONS(161),
    [anon_sym_point] = ACTIONS(161),
    [anon_sym_line] = ACTIONS(161),
    [anon_sym_triangleadj] = ACTIONS(161),
    [anon_sym_lineadj] = ACTIONS(161),
    [anon_sym_triangle] = ACTIONS(161),
  },
  [1416] = {
    [sym__expression] = STATE(4426),
    [sym__expression_not_binary] = STATE(3672),
    [sym__string] = STATE(3672),
    [sym_conditional_expression] = STATE(3672),
    [sym_assignment_expression] = STATE(3672),
    [sym_pointer_expression] = STATE(3672),
    [sym_unary_expression] = STATE(3672),
    [sym_binary_expression] = STATE(3672),
    [sym_update_expression] = STATE(3672),
    [sym_cast_expression] = STATE(3672),
    [sym_sizeof_expression] = STATE(3672),
    [sym_alignof_expression] = STATE(3672),
    [sym_offsetof_expression] = STATE(3672),
    [sym_generic_expression] = STATE(3672),
    [sym_subscript_expression] = STATE(3672),
    [sym_call_expression] = STATE(3672),
    [sym_gnu_asm_expression] = STATE(3672),
    [sym_field_expression] = STATE(3672),
    [sym_compound_literal_expression] = STATE(3672),
    [sym_parenthesized_expression] = STATE(3672),
    [sym_initializer_list] = STATE(3655),
    [sym_char_literal] = STATE(3991),
    [sym_concatenated_string] = STATE(3973),
    [sym_string_literal] = STATE(3242),
    [sym_null] = STATE(3672),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9333),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(3672),
    [sym_raw_string_literal] = STATE(3241),
    [sym_co_await_expression] = STATE(3672),
    [sym_new_expression] = STATE(3672),
    [sym_delete_expression] = STATE(3672),
    [sym_requires_clause] = STATE(3672),
    [sym_requires_expression] = STATE(3672),
    [sym_lambda_expression] = STATE(3672),
    [sym_lambda_capture_specifier] = STATE(7134),
    [sym_fold_expression] = STATE(3672),
    [sym_parameter_pack_expansion] = STATE(3672),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6886),
    [sym_qualified_identifier] = STATE(3672),
    [sym_qualified_type_identifier] = STATE(9333),
    [sym_user_defined_literal] = STATE(3672),
    [sym_identifier] = ACTIONS(3968),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3918),
    [anon_sym_COMMA] = ACTIONS(3918),
    [anon_sym_LPAREN2] = ACTIONS(3918),
    [anon_sym_BANG] = ACTIONS(4114),
    [anon_sym_TILDE] = ACTIONS(4116),
    [anon_sym_DASH] = ACTIONS(3916),
    [anon_sym_PLUS] = ACTIONS(3916),
    [anon_sym_STAR] = ACTIONS(3916),
    [anon_sym_SLASH] = ACTIONS(3916),
    [anon_sym_PERCENT] = ACTIONS(3916),
    [anon_sym_PIPE_PIPE] = ACTIONS(3918),
    [anon_sym_AMP_AMP] = ACTIONS(3918),
    [anon_sym_PIPE] = ACTIONS(3916),
    [anon_sym_CARET] = ACTIONS(3916),
    [anon_sym_AMP] = ACTIONS(3916),
    [anon_sym_EQ_EQ] = ACTIONS(3918),
    [anon_sym_BANG_EQ] = ACTIONS(3918),
    [anon_sym_GT] = ACTIONS(3916),
    [anon_sym_GT_EQ] = ACTIONS(3918),
    [anon_sym_LT_EQ] = ACTIONS(3916),
    [anon_sym_LT] = ACTIONS(3916),
    [anon_sym_LT_LT] = ACTIONS(3916),
    [anon_sym_GT_GT] = ACTIONS(3916),
    [anon_sym_COLON] = ACTIONS(3916),
    [anon_sym_COLON_COLON] = ACTIONS(4118),
    [anon_sym_LBRACE] = ACTIONS(3926),
    [anon_sym_LBRACK] = ACTIONS(3918),
    [anon_sym_EQ] = ACTIONS(3916),
    [sym_primitive_type] = ACTIONS(3928),
    [anon_sym_QMARK] = ACTIONS(3918),
    [anon_sym_STAR_EQ] = ACTIONS(3918),
    [anon_sym_SLASH_EQ] = ACTIONS(3918),
    [anon_sym_PERCENT_EQ] = ACTIONS(3918),
    [anon_sym_PLUS_EQ] = ACTIONS(3918),
    [anon_sym_DASH_EQ] = ACTIONS(3918),
    [anon_sym_LT_LT_EQ] = ACTIONS(3918),
    [anon_sym_GT_GT_EQ] = ACTIONS(3918),
    [anon_sym_AMP_EQ] = ACTIONS(3918),
    [anon_sym_CARET_EQ] = ACTIONS(3918),
    [anon_sym_PIPE_EQ] = ACTIONS(3918),
    [anon_sym_and_eq] = ACTIONS(3916),
    [anon_sym_or_eq] = ACTIONS(3916),
    [anon_sym_xor_eq] = ACTIONS(3916),
    [anon_sym_not] = ACTIONS(4114),
    [anon_sym_compl] = ACTIONS(4114),
    [anon_sym_LT_EQ_GT] = ACTIONS(3918),
    [anon_sym_or] = ACTIONS(3916),
    [anon_sym_and] = ACTIONS(3916),
    [anon_sym_bitor] = ACTIONS(3916),
    [anon_sym_xor] = ACTIONS(3916),
    [anon_sym_bitand] = ACTIONS(3916),
    [anon_sym_not_eq] = ACTIONS(3916),
    [anon_sym_DASH_DASH] = ACTIONS(3918),
    [anon_sym_PLUS_PLUS] = ACTIONS(3918),
    [anon_sym_sizeof] = ACTIONS(4120),
    [anon_sym___alignof__] = ACTIONS(3932),
    [anon_sym___alignof] = ACTIONS(3932),
    [anon_sym__alignof] = ACTIONS(3932),
    [anon_sym_alignof] = ACTIONS(3932),
    [anon_sym__Alignof] = ACTIONS(3932),
    [anon_sym_offsetof] = ACTIONS(3934),
    [anon_sym__Generic] = ACTIONS(3936),
    [anon_sym_asm] = ACTIONS(3938),
    [anon_sym___asm__] = ACTIONS(3938),
    [anon_sym_DOT] = ACTIONS(3916),
    [anon_sym_DOT_STAR] = ACTIONS(3918),
    [anon_sym_DASH_GT] = ACTIONS(3918),
    [sym_number_literal] = ACTIONS(3978),
    [anon_sym_L_SQUOTE] = ACTIONS(3980),
    [anon_sym_u_SQUOTE] = ACTIONS(3980),
    [anon_sym_U_SQUOTE] = ACTIONS(3980),
    [anon_sym_u8_SQUOTE] = ACTIONS(3980),
    [anon_sym_SQUOTE] = ACTIONS(3980),
    [anon_sym_L_DQUOTE] = ACTIONS(3982),
    [anon_sym_u_DQUOTE] = ACTIONS(3982),
    [anon_sym_U_DQUOTE] = ACTIONS(3982),
    [anon_sym_u8_DQUOTE] = ACTIONS(3982),
    [anon_sym_DQUOTE] = ACTIONS(3982),
    [sym_true] = ACTIONS(3946),
    [sym_false] = ACTIONS(3946),
    [anon_sym_NULL] = ACTIONS(3948),
    [anon_sym_nullptr] = ACTIONS(3948),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(4122),
    [anon_sym_R_DQUOTE] = ACTIONS(3986),
    [anon_sym_LR_DQUOTE] = ACTIONS(3986),
    [anon_sym_uR_DQUOTE] = ACTIONS(3986),
    [anon_sym_UR_DQUOTE] = ACTIONS(3986),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3986),
    [anon_sym_co_await] = ACTIONS(4124),
    [anon_sym_new] = ACTIONS(3990),
    [anon_sym_requires] = ACTIONS(3958),
    [sym_this] = ACTIONS(3946),
  },
  [1417] = {
    [sym__expression] = STATE(4461),
    [sym__expression_not_binary] = STATE(4786),
    [sym__string] = STATE(4786),
    [sym_conditional_expression] = STATE(4786),
    [sym_assignment_expression] = STATE(4786),
    [sym_pointer_expression] = STATE(4786),
    [sym_unary_expression] = STATE(4786),
    [sym_binary_expression] = STATE(4786),
    [sym_update_expression] = STATE(4786),
    [sym_cast_expression] = STATE(4786),
    [sym_sizeof_expression] = STATE(4786),
    [sym_alignof_expression] = STATE(4786),
    [sym_offsetof_expression] = STATE(4786),
    [sym_generic_expression] = STATE(4786),
    [sym_subscript_expression] = STATE(4786),
    [sym_call_expression] = STATE(4786),
    [sym_gnu_asm_expression] = STATE(4786),
    [sym_field_expression] = STATE(4786),
    [sym_compound_literal_expression] = STATE(4786),
    [sym_parenthesized_expression] = STATE(4786),
    [sym_initializer_list] = STATE(4753),
    [sym_char_literal] = STATE(4554),
    [sym_concatenated_string] = STATE(4621),
    [sym_string_literal] = STATE(3503),
    [sym_null] = STATE(4786),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9199),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(4786),
    [sym_raw_string_literal] = STATE(3498),
    [sym_co_await_expression] = STATE(4786),
    [sym_new_expression] = STATE(4786),
    [sym_delete_expression] = STATE(4786),
    [sym_requires_clause] = STATE(4786),
    [sym_requires_expression] = STATE(4786),
    [sym_lambda_expression] = STATE(4786),
    [sym_lambda_capture_specifier] = STATE(7160),
    [sym_fold_expression] = STATE(4786),
    [sym_parameter_pack_expansion] = STATE(4786),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6932),
    [sym_qualified_identifier] = STATE(4786),
    [sym_qualified_type_identifier] = STATE(9199),
    [sym_user_defined_literal] = STATE(4786),
    [sym_identifier] = ACTIONS(4126),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3918),
    [anon_sym_COMMA] = ACTIONS(3918),
    [anon_sym_LPAREN2] = ACTIONS(3918),
    [anon_sym_BANG] = ACTIONS(4128),
    [anon_sym_TILDE] = ACTIONS(4130),
    [anon_sym_DASH] = ACTIONS(3916),
    [anon_sym_PLUS] = ACTIONS(3916),
    [anon_sym_STAR] = ACTIONS(3916),
    [anon_sym_SLASH] = ACTIONS(3916),
    [anon_sym_PERCENT] = ACTIONS(3916),
    [anon_sym_PIPE_PIPE] = ACTIONS(3918),
    [anon_sym_AMP_AMP] = ACTIONS(3918),
    [anon_sym_PIPE] = ACTIONS(3916),
    [anon_sym_CARET] = ACTIONS(3916),
    [anon_sym_AMP] = ACTIONS(3916),
    [anon_sym_EQ_EQ] = ACTIONS(3918),
    [anon_sym_BANG_EQ] = ACTIONS(3918),
    [anon_sym_GT] = ACTIONS(3916),
    [anon_sym_GT_EQ] = ACTIONS(3916),
    [anon_sym_LT_EQ] = ACTIONS(3916),
    [anon_sym_LT] = ACTIONS(3916),
    [anon_sym_LT_LT] = ACTIONS(3916),
    [anon_sym_GT_GT] = ACTIONS(3916),
    [anon_sym_COLON_COLON] = ACTIONS(4132),
    [anon_sym_LBRACE] = ACTIONS(4134),
    [anon_sym_LBRACK] = ACTIONS(3918),
    [anon_sym_EQ] = ACTIONS(3916),
    [sym_primitive_type] = ACTIONS(4136),
    [anon_sym_QMARK] = ACTIONS(3918),
    [anon_sym_STAR_EQ] = ACTIONS(3918),
    [anon_sym_SLASH_EQ] = ACTIONS(3918),
    [anon_sym_PERCENT_EQ] = ACTIONS(3918),
    [anon_sym_PLUS_EQ] = ACTIONS(3918),
    [anon_sym_DASH_EQ] = ACTIONS(3918),
    [anon_sym_LT_LT_EQ] = ACTIONS(3918),
    [anon_sym_GT_GT_EQ] = ACTIONS(3916),
    [anon_sym_AMP_EQ] = ACTIONS(3918),
    [anon_sym_CARET_EQ] = ACTIONS(3918),
    [anon_sym_PIPE_EQ] = ACTIONS(3918),
    [anon_sym_and_eq] = ACTIONS(3916),
    [anon_sym_or_eq] = ACTIONS(3916),
    [anon_sym_xor_eq] = ACTIONS(3916),
    [anon_sym_not] = ACTIONS(4128),
    [anon_sym_compl] = ACTIONS(4128),
    [anon_sym_LT_EQ_GT] = ACTIONS(3918),
    [anon_sym_or] = ACTIONS(3916),
    [anon_sym_and] = ACTIONS(3916),
    [anon_sym_bitor] = ACTIONS(3916),
    [anon_sym_xor] = ACTIONS(3916),
    [anon_sym_bitand] = ACTIONS(3916),
    [anon_sym_not_eq] = ACTIONS(3916),
    [anon_sym_DASH_DASH] = ACTIONS(3918),
    [anon_sym_PLUS_PLUS] = ACTIONS(3918),
    [anon_sym_sizeof] = ACTIONS(4138),
    [anon_sym___alignof__] = ACTIONS(4140),
    [anon_sym___alignof] = ACTIONS(4140),
    [anon_sym__alignof] = ACTIONS(4140),
    [anon_sym_alignof] = ACTIONS(4140),
    [anon_sym__Alignof] = ACTIONS(4140),
    [anon_sym_offsetof] = ACTIONS(4142),
    [anon_sym__Generic] = ACTIONS(4144),
    [anon_sym_asm] = ACTIONS(4146),
    [anon_sym___asm__] = ACTIONS(4146),
    [anon_sym_DOT] = ACTIONS(3916),
    [anon_sym_DOT_STAR] = ACTIONS(3918),
    [anon_sym_DASH_GT] = ACTIONS(3918),
    [sym_number_literal] = ACTIONS(4148),
    [anon_sym_L_SQUOTE] = ACTIONS(4150),
    [anon_sym_u_SQUOTE] = ACTIONS(4150),
    [anon_sym_U_SQUOTE] = ACTIONS(4150),
    [anon_sym_u8_SQUOTE] = ACTIONS(4150),
    [anon_sym_SQUOTE] = ACTIONS(4150),
    [anon_sym_L_DQUOTE] = ACTIONS(4152),
    [anon_sym_u_DQUOTE] = ACTIONS(4152),
    [anon_sym_U_DQUOTE] = ACTIONS(4152),
    [anon_sym_u8_DQUOTE] = ACTIONS(4152),
    [anon_sym_DQUOTE] = ACTIONS(4152),
    [sym_true] = ACTIONS(4154),
    [sym_false] = ACTIONS(4154),
    [anon_sym_NULL] = ACTIONS(4156),
    [anon_sym_nullptr] = ACTIONS(4156),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_GT2] = ACTIONS(3918),
    [anon_sym_delete] = ACTIONS(4158),
    [anon_sym_R_DQUOTE] = ACTIONS(4160),
    [anon_sym_LR_DQUOTE] = ACTIONS(4160),
    [anon_sym_uR_DQUOTE] = ACTIONS(4160),
    [anon_sym_UR_DQUOTE] = ACTIONS(4160),
    [anon_sym_u8R_DQUOTE] = ACTIONS(4160),
    [anon_sym_co_await] = ACTIONS(4162),
    [anon_sym_new] = ACTIONS(4164),
    [anon_sym_requires] = ACTIONS(4166),
    [sym_this] = ACTIONS(4154),
  },
  [1418] = {
    [sym_function_definition] = STATE(2565),
    [sym_declaration] = STATE(2565),
    [sym__declaration_modifiers] = STATE(3159),
    [sym__declaration_specifiers] = STATE(5900),
    [sym_attribute_specifier] = STATE(3159),
    [sym_attribute_declaration] = STATE(3159),
    [sym_ms_declspec_modifier] = STATE(3159),
    [sym_ms_based_modifier] = STATE(10332),
    [sym_ms_call_modifier] = STATE(2595),
    [sym__declarator] = STATE(7978),
    [sym_parenthesized_declarator] = STATE(7680),
    [sym_attributed_declarator] = STATE(7680),
    [sym_pointer_declarator] = STATE(7680),
    [sym_function_declarator] = STATE(7506),
    [sym_array_declarator] = STATE(7680),
    [sym_storage_class_specifier] = STATE(3159),
    [sym_type_qualifier] = STATE(3159),
    [sym__type_specifier] = STATE(3048),
    [sym_sized_type_specifier] = STATE(3085),
    [sym_enum_specifier] = STATE(3085),
    [sym_struct_specifier] = STATE(3085),
    [sym_union_specifier] = STATE(3085),
    [sym__empty_declaration] = STATE(2565),
    [sym_placeholder_type_specifier] = STATE(3085),
    [sym_decltype_auto] = STATE(3091),
    [sym_decltype] = STATE(3050),
    [sym_class_specifier] = STATE(3085),
    [sym_virtual] = STATE(3159),
    [sym_alignas_specifier] = STATE(3159),
    [sym_explicit_function_specifier] = STATE(2515),
    [sym_dependent_type] = STATE(3085),
    [sym_template_declaration] = STATE(2565),
    [sym_operator_cast] = STATE(8047),
    [sym__constructor_specifiers] = STATE(2515),
    [sym_operator_cast_definition] = STATE(2565),
    [sym_operator_cast_declaration] = STATE(2565),
    [sym_constructor_or_destructor_definition] = STATE(2565),
    [sym_constructor_or_destructor_declaration] = STATE(2565),
    [sym_friend_declaration] = STATE(2565),
    [sym_reference_declarator] = STATE(7680),
    [sym_structured_binding_declarator] = STATE(7680),
    [sym_template_type] = STATE(3050),
    [sym_template_function] = STATE(7680),
    [sym_alias_declaration] = STATE(2565),
    [sym_concept_definition] = STATE(2565),
    [sym_destructor_name] = STATE(7680),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6725),
    [sym_qualified_identifier] = STATE(7680),
    [sym_qualified_type_identifier] = STATE(3068),
    [sym_qualified_operator_cast_identifier] = STATE(8047),
    [sym_operator_name] = STATE(7680),
    [sym_qualifiers] = STATE(3159),
    [sym_hlsl_attribute] = STATE(2035),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2673),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3021),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2515),
    [sym_identifier] = ACTIONS(4032),
    [anon_sym_LPAREN2] = ACTIONS(2875),
    [anon_sym_TILDE] = ACTIONS(2877),
    [anon_sym_STAR] = ACTIONS(2879),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(2881),
    [anon_sym___extension__] = ACTIONS(63),
    [anon_sym_in] = ACTIONS(37),
    [anon_sym_out] = ACTIONS(37),
    [anon_sym_inout] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(4034),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2096),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym___cdecl] = ACTIONS(51),
    [anon_sym___clrcall] = ACTIONS(51),
    [anon_sym___stdcall] = ACTIONS(51),
    [anon_sym___fastcall] = ACTIONS(51),
    [anon_sym___thiscall] = ACTIONS(51),
    [anon_sym___vectorcall] = ACTIONS(51),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(4036),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(2891),
    [anon_sym_enum] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(69),
    [anon_sym_struct] = ACTIONS(71),
    [anon_sym_union] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [anon_sym_virtual] = ACTIONS(123),
    [anon_sym_alignas] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(2903),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_friend] = ACTIONS(2905),
    [anon_sym_using] = ACTIONS(4052),
    [anon_sym_concept] = ACTIONS(4054),
    [anon_sym_precise] = ACTIONS(161),
    [anon_sym_shared] = ACTIONS(161),
    [anon_sym_groupshared] = ACTIONS(161),
    [anon_sym_uniform] = ACTIONS(161),
    [anon_sym_row_major] = ACTIONS(161),
    [anon_sym_column_major] = ACTIONS(161),
    [anon_sym_globallycoherent] = ACTIONS(161),
    [anon_sym_centroid] = ACTIONS(161),
    [anon_sym_noperspective] = ACTIONS(161),
    [anon_sym_nointerpolation] = ACTIONS(161),
    [anon_sym_sample] = ACTIONS(161),
    [anon_sym_linear] = ACTIONS(161),
    [anon_sym_snorm] = ACTIONS(161),
    [anon_sym_unorm] = ACTIONS(161),
    [anon_sym_point] = ACTIONS(161),
    [anon_sym_line] = ACTIONS(161),
    [anon_sym_triangleadj] = ACTIONS(161),
    [anon_sym_lineadj] = ACTIONS(161),
    [anon_sym_triangle] = ACTIONS(161),
  },
  [1419] = {
    [sym_function_definition] = STATE(1077),
    [sym_declaration] = STATE(1077),
    [sym__declaration_modifiers] = STATE(3159),
    [sym__declaration_specifiers] = STATE(5936),
    [sym_attribute_specifier] = STATE(3159),
    [sym_attribute_declaration] = STATE(3159),
    [sym_ms_declspec_modifier] = STATE(3159),
    [sym_ms_based_modifier] = STATE(10332),
    [sym_ms_call_modifier] = STATE(2627),
    [sym__declarator] = STATE(7978),
    [sym_parenthesized_declarator] = STATE(7680),
    [sym_attributed_declarator] = STATE(7680),
    [sym_pointer_declarator] = STATE(7680),
    [sym_function_declarator] = STATE(7477),
    [sym_array_declarator] = STATE(7680),
    [sym_storage_class_specifier] = STATE(3159),
    [sym_type_qualifier] = STATE(3159),
    [sym__type_specifier] = STATE(3040),
    [sym_sized_type_specifier] = STATE(3085),
    [sym_enum_specifier] = STATE(3085),
    [sym_struct_specifier] = STATE(3085),
    [sym_union_specifier] = STATE(3085),
    [sym__empty_declaration] = STATE(1077),
    [sym_placeholder_type_specifier] = STATE(3085),
    [sym_decltype_auto] = STATE(3091),
    [sym_decltype] = STATE(3050),
    [sym_class_specifier] = STATE(3085),
    [sym_virtual] = STATE(3159),
    [sym_alignas_specifier] = STATE(3159),
    [sym_explicit_function_specifier] = STATE(2508),
    [sym_dependent_type] = STATE(3085),
    [sym_template_declaration] = STATE(1077),
    [sym_operator_cast] = STATE(8046),
    [sym__constructor_specifiers] = STATE(2508),
    [sym_operator_cast_definition] = STATE(1077),
    [sym_operator_cast_declaration] = STATE(1077),
    [sym_constructor_or_destructor_definition] = STATE(1077),
    [sym_constructor_or_destructor_declaration] = STATE(1077),
    [sym_friend_declaration] = STATE(1077),
    [sym_reference_declarator] = STATE(7680),
    [sym_structured_binding_declarator] = STATE(7680),
    [sym_template_type] = STATE(3050),
    [sym_template_function] = STATE(7680),
    [sym_alias_declaration] = STATE(1077),
    [sym_concept_definition] = STATE(1077),
    [sym_destructor_name] = STATE(7680),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6725),
    [sym_qualified_identifier] = STATE(7680),
    [sym_qualified_type_identifier] = STATE(3068),
    [sym_qualified_operator_cast_identifier] = STATE(8046),
    [sym_operator_name] = STATE(7680),
    [sym_qualifiers] = STATE(3159),
    [sym_hlsl_attribute] = STATE(2016),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2673),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3021),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2508),
    [sym_identifier] = ACTIONS(4032),
    [anon_sym_LPAREN2] = ACTIONS(2875),
    [anon_sym_TILDE] = ACTIONS(2877),
    [anon_sym_STAR] = ACTIONS(2879),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(2881),
    [anon_sym___extension__] = ACTIONS(63),
    [anon_sym_in] = ACTIONS(37),
    [anon_sym_out] = ACTIONS(37),
    [anon_sym_inout] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(4034),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2096),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym___cdecl] = ACTIONS(51),
    [anon_sym___clrcall] = ACTIONS(51),
    [anon_sym___stdcall] = ACTIONS(51),
    [anon_sym___fastcall] = ACTIONS(51),
    [anon_sym___thiscall] = ACTIONS(51),
    [anon_sym___vectorcall] = ACTIONS(51),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(4036),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(2891),
    [anon_sym_enum] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(69),
    [anon_sym_struct] = ACTIONS(71),
    [anon_sym_union] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [anon_sym_virtual] = ACTIONS(123),
    [anon_sym_alignas] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(4038),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_friend] = ACTIONS(4040),
    [anon_sym_using] = ACTIONS(4042),
    [anon_sym_concept] = ACTIONS(1178),
    [anon_sym_precise] = ACTIONS(161),
    [anon_sym_shared] = ACTIONS(161),
    [anon_sym_groupshared] = ACTIONS(161),
    [anon_sym_uniform] = ACTIONS(161),
    [anon_sym_row_major] = ACTIONS(161),
    [anon_sym_column_major] = ACTIONS(161),
    [anon_sym_globallycoherent] = ACTIONS(161),
    [anon_sym_centroid] = ACTIONS(161),
    [anon_sym_noperspective] = ACTIONS(161),
    [anon_sym_nointerpolation] = ACTIONS(161),
    [anon_sym_sample] = ACTIONS(161),
    [anon_sym_linear] = ACTIONS(161),
    [anon_sym_snorm] = ACTIONS(161),
    [anon_sym_unorm] = ACTIONS(161),
    [anon_sym_point] = ACTIONS(161),
    [anon_sym_line] = ACTIONS(161),
    [anon_sym_triangleadj] = ACTIONS(161),
    [anon_sym_lineadj] = ACTIONS(161),
    [anon_sym_triangle] = ACTIONS(161),
  },
  [1420] = {
    [sym_identifier] = ACTIONS(4168),
    [anon_sym_COMMA] = ACTIONS(4170),
    [anon_sym_RPAREN] = ACTIONS(4170),
    [anon_sym_LPAREN2] = ACTIONS(4170),
    [anon_sym_BANG] = ACTIONS(4170),
    [anon_sym_TILDE] = ACTIONS(4170),
    [anon_sym_DASH] = ACTIONS(4168),
    [anon_sym_PLUS] = ACTIONS(4168),
    [anon_sym_STAR] = ACTIONS(4170),
    [anon_sym_AMP_AMP] = ACTIONS(4170),
    [anon_sym_AMP] = ACTIONS(4168),
    [anon_sym_SEMI] = ACTIONS(4170),
    [anon_sym___extension__] = ACTIONS(4168),
    [anon_sym_in] = ACTIONS(4168),
    [anon_sym_out] = ACTIONS(4168),
    [anon_sym_inout] = ACTIONS(4168),
    [anon_sym_extern] = ACTIONS(4168),
    [anon_sym___attribute__] = ACTIONS(4168),
    [anon_sym_COLON_COLON] = ACTIONS(4170),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4170),
    [anon_sym___declspec] = ACTIONS(4168),
    [anon_sym___based] = ACTIONS(4168),
    [anon_sym_LBRACE] = ACTIONS(4170),
    [anon_sym_signed] = ACTIONS(4168),
    [anon_sym_unsigned] = ACTIONS(4168),
    [anon_sym_long] = ACTIONS(4168),
    [anon_sym_short] = ACTIONS(4168),
    [anon_sym_LBRACK] = ACTIONS(4168),
    [anon_sym_EQ] = ACTIONS(4170),
    [anon_sym_static] = ACTIONS(4168),
    [anon_sym_register] = ACTIONS(4168),
    [anon_sym_inline] = ACTIONS(4168),
    [anon_sym___inline] = ACTIONS(4168),
    [anon_sym___inline__] = ACTIONS(4168),
    [anon_sym___forceinline] = ACTIONS(4168),
    [anon_sym_thread_local] = ACTIONS(4168),
    [anon_sym___thread] = ACTIONS(4168),
    [anon_sym_const] = ACTIONS(4168),
    [anon_sym_constexpr] = ACTIONS(4168),
    [anon_sym_volatile] = ACTIONS(4168),
    [anon_sym_restrict] = ACTIONS(4168),
    [anon_sym___restrict__] = ACTIONS(4168),
    [anon_sym__Atomic] = ACTIONS(4168),
    [anon_sym__Noreturn] = ACTIONS(4168),
    [anon_sym_noreturn] = ACTIONS(4168),
    [anon_sym_mutable] = ACTIONS(4168),
    [anon_sym_constinit] = ACTIONS(4168),
    [anon_sym_consteval] = ACTIONS(4168),
    [sym_primitive_type] = ACTIONS(4168),
    [anon_sym_enum] = ACTIONS(4168),
    [anon_sym_class] = ACTIONS(4168),
    [anon_sym_struct] = ACTIONS(4168),
    [anon_sym_union] = ACTIONS(4168),
    [anon_sym_if] = ACTIONS(4168),
    [anon_sym_switch] = ACTIONS(4168),
    [anon_sym_case] = ACTIONS(4168),
    [anon_sym_default] = ACTIONS(4168),
    [anon_sym_while] = ACTIONS(4168),
    [anon_sym_do] = ACTIONS(4168),
    [anon_sym_for] = ACTIONS(4168),
    [anon_sym_return] = ACTIONS(4168),
    [anon_sym_break] = ACTIONS(4168),
    [anon_sym_continue] = ACTIONS(4168),
    [anon_sym_goto] = ACTIONS(4168),
    [anon_sym___try] = ACTIONS(4168),
    [anon_sym___leave] = ACTIONS(4168),
    [anon_sym_not] = ACTIONS(4168),
    [anon_sym_compl] = ACTIONS(4168),
    [anon_sym_DASH_DASH] = ACTIONS(4170),
    [anon_sym_PLUS_PLUS] = ACTIONS(4170),
    [anon_sym_sizeof] = ACTIONS(4168),
    [anon_sym___alignof__] = ACTIONS(4168),
    [anon_sym___alignof] = ACTIONS(4168),
    [anon_sym__alignof] = ACTIONS(4168),
    [anon_sym_alignof] = ACTIONS(4168),
    [anon_sym__Alignof] = ACTIONS(4168),
    [anon_sym_offsetof] = ACTIONS(4168),
    [anon_sym__Generic] = ACTIONS(4168),
    [anon_sym_asm] = ACTIONS(4168),
    [anon_sym___asm__] = ACTIONS(4168),
    [sym_number_literal] = ACTIONS(4170),
    [anon_sym_L_SQUOTE] = ACTIONS(4170),
    [anon_sym_u_SQUOTE] = ACTIONS(4170),
    [anon_sym_U_SQUOTE] = ACTIONS(4170),
    [anon_sym_u8_SQUOTE] = ACTIONS(4170),
    [anon_sym_SQUOTE] = ACTIONS(4170),
    [anon_sym_L_DQUOTE] = ACTIONS(4170),
    [anon_sym_u_DQUOTE] = ACTIONS(4170),
    [anon_sym_U_DQUOTE] = ACTIONS(4170),
    [anon_sym_u8_DQUOTE] = ACTIONS(4170),
    [anon_sym_DQUOTE] = ACTIONS(4170),
    [sym_true] = ACTIONS(4168),
    [sym_false] = ACTIONS(4168),
    [anon_sym_NULL] = ACTIONS(4168),
    [anon_sym_nullptr] = ACTIONS(4168),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4168),
    [anon_sym_decltype] = ACTIONS(4168),
    [anon_sym_virtual] = ACTIONS(4168),
    [anon_sym_alignas] = ACTIONS(4168),
    [anon_sym_explicit] = ACTIONS(4168),
    [anon_sym_typename] = ACTIONS(4168),
    [anon_sym_template] = ACTIONS(4168),
    [anon_sym_operator] = ACTIONS(4168),
    [anon_sym_try] = ACTIONS(4168),
    [anon_sym_delete] = ACTIONS(4168),
    [anon_sym_throw] = ACTIONS(4168),
    [anon_sym_co_return] = ACTIONS(4168),
    [anon_sym_co_yield] = ACTIONS(4168),
    [anon_sym_R_DQUOTE] = ACTIONS(4170),
    [anon_sym_LR_DQUOTE] = ACTIONS(4170),
    [anon_sym_uR_DQUOTE] = ACTIONS(4170),
    [anon_sym_UR_DQUOTE] = ACTIONS(4170),
    [anon_sym_u8R_DQUOTE] = ACTIONS(4170),
    [anon_sym_co_await] = ACTIONS(4168),
    [anon_sym_new] = ACTIONS(4168),
    [anon_sym_requires] = ACTIONS(4168),
    [sym_this] = ACTIONS(4168),
    [anon_sym_discard] = ACTIONS(4168),
    [anon_sym_precise] = ACTIONS(4168),
    [anon_sym_shared] = ACTIONS(4168),
    [anon_sym_groupshared] = ACTIONS(4168),
    [anon_sym_uniform] = ACTIONS(4168),
    [anon_sym_row_major] = ACTIONS(4168),
    [anon_sym_column_major] = ACTIONS(4168),
    [anon_sym_globallycoherent] = ACTIONS(4168),
    [anon_sym_centroid] = ACTIONS(4168),
    [anon_sym_noperspective] = ACTIONS(4168),
    [anon_sym_nointerpolation] = ACTIONS(4168),
    [anon_sym_sample] = ACTIONS(4168),
    [anon_sym_linear] = ACTIONS(4168),
    [anon_sym_snorm] = ACTIONS(4168),
    [anon_sym_unorm] = ACTIONS(4168),
    [anon_sym_point] = ACTIONS(4168),
    [anon_sym_line] = ACTIONS(4168),
    [anon_sym_triangleadj] = ACTIONS(4168),
    [anon_sym_lineadj] = ACTIONS(4168),
    [anon_sym_triangle] = ACTIONS(4168),
    [anon_sym_cbuffer] = ACTIONS(4168),
  },
  [1421] = {
    [sym_identifier] = ACTIONS(4172),
    [anon_sym_COMMA] = ACTIONS(4174),
    [anon_sym_RPAREN] = ACTIONS(4174),
    [anon_sym_LPAREN2] = ACTIONS(4174),
    [anon_sym_BANG] = ACTIONS(4174),
    [anon_sym_TILDE] = ACTIONS(4174),
    [anon_sym_DASH] = ACTIONS(4172),
    [anon_sym_PLUS] = ACTIONS(4172),
    [anon_sym_STAR] = ACTIONS(4174),
    [anon_sym_AMP_AMP] = ACTIONS(4174),
    [anon_sym_AMP] = ACTIONS(4172),
    [anon_sym_SEMI] = ACTIONS(4174),
    [anon_sym___extension__] = ACTIONS(4172),
    [anon_sym_in] = ACTIONS(4172),
    [anon_sym_out] = ACTIONS(4172),
    [anon_sym_inout] = ACTIONS(4172),
    [anon_sym_extern] = ACTIONS(4172),
    [anon_sym___attribute__] = ACTIONS(4172),
    [anon_sym_COLON_COLON] = ACTIONS(4174),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4174),
    [anon_sym___declspec] = ACTIONS(4172),
    [anon_sym___based] = ACTIONS(4172),
    [anon_sym_LBRACE] = ACTIONS(4174),
    [anon_sym_signed] = ACTIONS(4172),
    [anon_sym_unsigned] = ACTIONS(4172),
    [anon_sym_long] = ACTIONS(4172),
    [anon_sym_short] = ACTIONS(4172),
    [anon_sym_LBRACK] = ACTIONS(4172),
    [anon_sym_EQ] = ACTIONS(4174),
    [anon_sym_static] = ACTIONS(4172),
    [anon_sym_register] = ACTIONS(4172),
    [anon_sym_inline] = ACTIONS(4172),
    [anon_sym___inline] = ACTIONS(4172),
    [anon_sym___inline__] = ACTIONS(4172),
    [anon_sym___forceinline] = ACTIONS(4172),
    [anon_sym_thread_local] = ACTIONS(4172),
    [anon_sym___thread] = ACTIONS(4172),
    [anon_sym_const] = ACTIONS(4172),
    [anon_sym_constexpr] = ACTIONS(4172),
    [anon_sym_volatile] = ACTIONS(4172),
    [anon_sym_restrict] = ACTIONS(4172),
    [anon_sym___restrict__] = ACTIONS(4172),
    [anon_sym__Atomic] = ACTIONS(4172),
    [anon_sym__Noreturn] = ACTIONS(4172),
    [anon_sym_noreturn] = ACTIONS(4172),
    [anon_sym_mutable] = ACTIONS(4172),
    [anon_sym_constinit] = ACTIONS(4172),
    [anon_sym_consteval] = ACTIONS(4172),
    [sym_primitive_type] = ACTIONS(4172),
    [anon_sym_enum] = ACTIONS(4172),
    [anon_sym_class] = ACTIONS(4172),
    [anon_sym_struct] = ACTIONS(4172),
    [anon_sym_union] = ACTIONS(4172),
    [anon_sym_if] = ACTIONS(4172),
    [anon_sym_switch] = ACTIONS(4172),
    [anon_sym_case] = ACTIONS(4172),
    [anon_sym_default] = ACTIONS(4172),
    [anon_sym_while] = ACTIONS(4172),
    [anon_sym_do] = ACTIONS(4172),
    [anon_sym_for] = ACTIONS(4172),
    [anon_sym_return] = ACTIONS(4172),
    [anon_sym_break] = ACTIONS(4172),
    [anon_sym_continue] = ACTIONS(4172),
    [anon_sym_goto] = ACTIONS(4172),
    [anon_sym___try] = ACTIONS(4172),
    [anon_sym___leave] = ACTIONS(4172),
    [anon_sym_not] = ACTIONS(4172),
    [anon_sym_compl] = ACTIONS(4172),
    [anon_sym_DASH_DASH] = ACTIONS(4174),
    [anon_sym_PLUS_PLUS] = ACTIONS(4174),
    [anon_sym_sizeof] = ACTIONS(4172),
    [anon_sym___alignof__] = ACTIONS(4172),
    [anon_sym___alignof] = ACTIONS(4172),
    [anon_sym__alignof] = ACTIONS(4172),
    [anon_sym_alignof] = ACTIONS(4172),
    [anon_sym__Alignof] = ACTIONS(4172),
    [anon_sym_offsetof] = ACTIONS(4172),
    [anon_sym__Generic] = ACTIONS(4172),
    [anon_sym_asm] = ACTIONS(4172),
    [anon_sym___asm__] = ACTIONS(4172),
    [sym_number_literal] = ACTIONS(4174),
    [anon_sym_L_SQUOTE] = ACTIONS(4174),
    [anon_sym_u_SQUOTE] = ACTIONS(4174),
    [anon_sym_U_SQUOTE] = ACTIONS(4174),
    [anon_sym_u8_SQUOTE] = ACTIONS(4174),
    [anon_sym_SQUOTE] = ACTIONS(4174),
    [anon_sym_L_DQUOTE] = ACTIONS(4174),
    [anon_sym_u_DQUOTE] = ACTIONS(4174),
    [anon_sym_U_DQUOTE] = ACTIONS(4174),
    [anon_sym_u8_DQUOTE] = ACTIONS(4174),
    [anon_sym_DQUOTE] = ACTIONS(4174),
    [sym_true] = ACTIONS(4172),
    [sym_false] = ACTIONS(4172),
    [anon_sym_NULL] = ACTIONS(4172),
    [anon_sym_nullptr] = ACTIONS(4172),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4172),
    [anon_sym_decltype] = ACTIONS(4172),
    [anon_sym_virtual] = ACTIONS(4172),
    [anon_sym_alignas] = ACTIONS(4172),
    [anon_sym_explicit] = ACTIONS(4172),
    [anon_sym_typename] = ACTIONS(4172),
    [anon_sym_template] = ACTIONS(4172),
    [anon_sym_operator] = ACTIONS(4172),
    [anon_sym_try] = ACTIONS(4172),
    [anon_sym_delete] = ACTIONS(4172),
    [anon_sym_throw] = ACTIONS(4172),
    [anon_sym_co_return] = ACTIONS(4172),
    [anon_sym_co_yield] = ACTIONS(4172),
    [anon_sym_R_DQUOTE] = ACTIONS(4174),
    [anon_sym_LR_DQUOTE] = ACTIONS(4174),
    [anon_sym_uR_DQUOTE] = ACTIONS(4174),
    [anon_sym_UR_DQUOTE] = ACTIONS(4174),
    [anon_sym_u8R_DQUOTE] = ACTIONS(4174),
    [anon_sym_co_await] = ACTIONS(4172),
    [anon_sym_new] = ACTIONS(4172),
    [anon_sym_requires] = ACTIONS(4172),
    [sym_this] = ACTIONS(4172),
    [anon_sym_discard] = ACTIONS(4172),
    [anon_sym_precise] = ACTIONS(4172),
    [anon_sym_shared] = ACTIONS(4172),
    [anon_sym_groupshared] = ACTIONS(4172),
    [anon_sym_uniform] = ACTIONS(4172),
    [anon_sym_row_major] = ACTIONS(4172),
    [anon_sym_column_major] = ACTIONS(4172),
    [anon_sym_globallycoherent] = ACTIONS(4172),
    [anon_sym_centroid] = ACTIONS(4172),
    [anon_sym_noperspective] = ACTIONS(4172),
    [anon_sym_nointerpolation] = ACTIONS(4172),
    [anon_sym_sample] = ACTIONS(4172),
    [anon_sym_linear] = ACTIONS(4172),
    [anon_sym_snorm] = ACTIONS(4172),
    [anon_sym_unorm] = ACTIONS(4172),
    [anon_sym_point] = ACTIONS(4172),
    [anon_sym_line] = ACTIONS(4172),
    [anon_sym_triangleadj] = ACTIONS(4172),
    [anon_sym_lineadj] = ACTIONS(4172),
    [anon_sym_triangle] = ACTIONS(4172),
    [anon_sym_cbuffer] = ACTIONS(4172),
  },
  [1422] = {
    [sym_function_definition] = STATE(2754),
    [sym_declaration] = STATE(2754),
    [sym__declaration_modifiers] = STATE(3159),
    [sym__declaration_specifiers] = STATE(5934),
    [sym_attribute_specifier] = STATE(3159),
    [sym_attribute_declaration] = STATE(3159),
    [sym_ms_declspec_modifier] = STATE(3159),
    [sym_ms_based_modifier] = STATE(10332),
    [sym_ms_call_modifier] = STATE(2587),
    [sym__declarator] = STATE(7978),
    [sym_parenthesized_declarator] = STATE(7680),
    [sym_attributed_declarator] = STATE(7680),
    [sym_pointer_declarator] = STATE(7680),
    [sym_function_declarator] = STATE(7532),
    [sym_array_declarator] = STATE(7680),
    [sym_storage_class_specifier] = STATE(3159),
    [sym_type_qualifier] = STATE(3159),
    [sym__type_specifier] = STATE(3037),
    [sym_sized_type_specifier] = STATE(3085),
    [sym_enum_specifier] = STATE(3085),
    [sym_struct_specifier] = STATE(3085),
    [sym_union_specifier] = STATE(3085),
    [sym__empty_declaration] = STATE(2754),
    [sym_placeholder_type_specifier] = STATE(3085),
    [sym_decltype_auto] = STATE(3091),
    [sym_decltype] = STATE(3050),
    [sym_class_specifier] = STATE(3085),
    [sym_virtual] = STATE(3159),
    [sym_alignas_specifier] = STATE(3159),
    [sym_explicit_function_specifier] = STATE(2521),
    [sym_dependent_type] = STATE(3085),
    [sym_template_declaration] = STATE(2754),
    [sym_operator_cast] = STATE(8041),
    [sym__constructor_specifiers] = STATE(2521),
    [sym_operator_cast_definition] = STATE(2754),
    [sym_operator_cast_declaration] = STATE(2754),
    [sym_constructor_or_destructor_definition] = STATE(2754),
    [sym_constructor_or_destructor_declaration] = STATE(2754),
    [sym_friend_declaration] = STATE(2754),
    [sym_reference_declarator] = STATE(7680),
    [sym_structured_binding_declarator] = STATE(7680),
    [sym_template_type] = STATE(3050),
    [sym_template_function] = STATE(7680),
    [sym_alias_declaration] = STATE(2754),
    [sym_concept_definition] = STATE(2754),
    [sym_destructor_name] = STATE(7680),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6725),
    [sym_qualified_identifier] = STATE(7680),
    [sym_qualified_type_identifier] = STATE(3068),
    [sym_qualified_operator_cast_identifier] = STATE(8041),
    [sym_operator_name] = STATE(7680),
    [sym_qualifiers] = STATE(3159),
    [sym_hlsl_attribute] = STATE(1976),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2673),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3021),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2521),
    [sym_identifier] = ACTIONS(4032),
    [anon_sym_LPAREN2] = ACTIONS(2875),
    [anon_sym_TILDE] = ACTIONS(2877),
    [anon_sym_STAR] = ACTIONS(2879),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(2881),
    [anon_sym___extension__] = ACTIONS(63),
    [anon_sym_in] = ACTIONS(37),
    [anon_sym_out] = ACTIONS(37),
    [anon_sym_inout] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(4034),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2096),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym___cdecl] = ACTIONS(51),
    [anon_sym___clrcall] = ACTIONS(51),
    [anon_sym___stdcall] = ACTIONS(51),
    [anon_sym___fastcall] = ACTIONS(51),
    [anon_sym___thiscall] = ACTIONS(51),
    [anon_sym___vectorcall] = ACTIONS(51),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(4036),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(2891),
    [anon_sym_enum] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(69),
    [anon_sym_struct] = ACTIONS(71),
    [anon_sym_union] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [anon_sym_virtual] = ACTIONS(123),
    [anon_sym_alignas] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(3002),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_friend] = ACTIONS(3004),
    [anon_sym_using] = ACTIONS(4066),
    [anon_sym_concept] = ACTIONS(4068),
    [anon_sym_precise] = ACTIONS(161),
    [anon_sym_shared] = ACTIONS(161),
    [anon_sym_groupshared] = ACTIONS(161),
    [anon_sym_uniform] = ACTIONS(161),
    [anon_sym_row_major] = ACTIONS(161),
    [anon_sym_column_major] = ACTIONS(161),
    [anon_sym_globallycoherent] = ACTIONS(161),
    [anon_sym_centroid] = ACTIONS(161),
    [anon_sym_noperspective] = ACTIONS(161),
    [anon_sym_nointerpolation] = ACTIONS(161),
    [anon_sym_sample] = ACTIONS(161),
    [anon_sym_linear] = ACTIONS(161),
    [anon_sym_snorm] = ACTIONS(161),
    [anon_sym_unorm] = ACTIONS(161),
    [anon_sym_point] = ACTIONS(161),
    [anon_sym_line] = ACTIONS(161),
    [anon_sym_triangleadj] = ACTIONS(161),
    [anon_sym_lineadj] = ACTIONS(161),
    [anon_sym_triangle] = ACTIONS(161),
  },
  [1423] = {
    [sym_function_definition] = STATE(1162),
    [sym_declaration] = STATE(1162),
    [sym__declaration_modifiers] = STATE(3159),
    [sym__declaration_specifiers] = STATE(5906),
    [sym_attribute_specifier] = STATE(3159),
    [sym_attribute_declaration] = STATE(3159),
    [sym_ms_declspec_modifier] = STATE(3159),
    [sym_ms_based_modifier] = STATE(10332),
    [sym_ms_call_modifier] = STATE(2574),
    [sym__declarator] = STATE(7978),
    [sym_parenthesized_declarator] = STATE(7680),
    [sym_attributed_declarator] = STATE(7680),
    [sym_pointer_declarator] = STATE(7680),
    [sym_function_declarator] = STATE(7541),
    [sym_array_declarator] = STATE(7680),
    [sym_storage_class_specifier] = STATE(3159),
    [sym_type_qualifier] = STATE(3159),
    [sym__type_specifier] = STATE(3039),
    [sym_sized_type_specifier] = STATE(3085),
    [sym_enum_specifier] = STATE(3085),
    [sym_struct_specifier] = STATE(3085),
    [sym_union_specifier] = STATE(3085),
    [sym__empty_declaration] = STATE(1162),
    [sym_placeholder_type_specifier] = STATE(3085),
    [sym_decltype_auto] = STATE(3091),
    [sym_decltype] = STATE(3050),
    [sym_class_specifier] = STATE(3085),
    [sym_virtual] = STATE(3159),
    [sym_alignas_specifier] = STATE(3159),
    [sym_explicit_function_specifier] = STATE(2512),
    [sym_dependent_type] = STATE(3085),
    [sym_template_declaration] = STATE(1162),
    [sym_operator_cast] = STATE(8035),
    [sym__constructor_specifiers] = STATE(2512),
    [sym_operator_cast_definition] = STATE(1162),
    [sym_operator_cast_declaration] = STATE(1162),
    [sym_constructor_or_destructor_definition] = STATE(1162),
    [sym_constructor_or_destructor_declaration] = STATE(1162),
    [sym_friend_declaration] = STATE(1162),
    [sym_reference_declarator] = STATE(7680),
    [sym_structured_binding_declarator] = STATE(7680),
    [sym_template_type] = STATE(3050),
    [sym_template_function] = STATE(7680),
    [sym_alias_declaration] = STATE(1162),
    [sym_concept_definition] = STATE(1162),
    [sym_destructor_name] = STATE(7680),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6725),
    [sym_qualified_identifier] = STATE(7680),
    [sym_qualified_type_identifier] = STATE(3068),
    [sym_qualified_operator_cast_identifier] = STATE(8035),
    [sym_operator_name] = STATE(7680),
    [sym_qualifiers] = STATE(3159),
    [sym_hlsl_attribute] = STATE(2097),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2673),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3021),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2512),
    [sym_identifier] = ACTIONS(4032),
    [anon_sym_LPAREN2] = ACTIONS(2875),
    [anon_sym_TILDE] = ACTIONS(2877),
    [anon_sym_STAR] = ACTIONS(2879),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(2881),
    [anon_sym___extension__] = ACTIONS(63),
    [anon_sym_in] = ACTIONS(37),
    [anon_sym_out] = ACTIONS(37),
    [anon_sym_inout] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(4034),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2096),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym___cdecl] = ACTIONS(51),
    [anon_sym___clrcall] = ACTIONS(51),
    [anon_sym___stdcall] = ACTIONS(51),
    [anon_sym___fastcall] = ACTIONS(51),
    [anon_sym___thiscall] = ACTIONS(51),
    [anon_sym___vectorcall] = ACTIONS(51),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(4036),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(2891),
    [anon_sym_enum] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(69),
    [anon_sym_struct] = ACTIONS(71),
    [anon_sym_union] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [anon_sym_virtual] = ACTIONS(123),
    [anon_sym_alignas] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(4056),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_friend] = ACTIONS(4058),
    [anon_sym_using] = ACTIONS(4060),
    [anon_sym_concept] = ACTIONS(235),
    [anon_sym_precise] = ACTIONS(161),
    [anon_sym_shared] = ACTIONS(161),
    [anon_sym_groupshared] = ACTIONS(161),
    [anon_sym_uniform] = ACTIONS(161),
    [anon_sym_row_major] = ACTIONS(161),
    [anon_sym_column_major] = ACTIONS(161),
    [anon_sym_globallycoherent] = ACTIONS(161),
    [anon_sym_centroid] = ACTIONS(161),
    [anon_sym_noperspective] = ACTIONS(161),
    [anon_sym_nointerpolation] = ACTIONS(161),
    [anon_sym_sample] = ACTIONS(161),
    [anon_sym_linear] = ACTIONS(161),
    [anon_sym_snorm] = ACTIONS(161),
    [anon_sym_unorm] = ACTIONS(161),
    [anon_sym_point] = ACTIONS(161),
    [anon_sym_line] = ACTIONS(161),
    [anon_sym_triangleadj] = ACTIONS(161),
    [anon_sym_lineadj] = ACTIONS(161),
    [anon_sym_triangle] = ACTIONS(161),
  },
  [1424] = {
    [sym_function_definition] = STATE(2808),
    [sym_declaration] = STATE(2808),
    [sym__declaration_modifiers] = STATE(3159),
    [sym__declaration_specifiers] = STATE(5912),
    [sym_attribute_specifier] = STATE(3159),
    [sym_attribute_declaration] = STATE(3159),
    [sym_ms_declspec_modifier] = STATE(3159),
    [sym_ms_based_modifier] = STATE(10332),
    [sym_ms_call_modifier] = STATE(2601),
    [sym__declarator] = STATE(7978),
    [sym_parenthesized_declarator] = STATE(7680),
    [sym_attributed_declarator] = STATE(7680),
    [sym_pointer_declarator] = STATE(7680),
    [sym_function_declarator] = STATE(7507),
    [sym_array_declarator] = STATE(7680),
    [sym_storage_class_specifier] = STATE(3159),
    [sym_type_qualifier] = STATE(3159),
    [sym__type_specifier] = STATE(3047),
    [sym_sized_type_specifier] = STATE(3085),
    [sym_enum_specifier] = STATE(3085),
    [sym_struct_specifier] = STATE(3085),
    [sym_union_specifier] = STATE(3085),
    [sym__empty_declaration] = STATE(2808),
    [sym_placeholder_type_specifier] = STATE(3085),
    [sym_decltype_auto] = STATE(3091),
    [sym_decltype] = STATE(3050),
    [sym_class_specifier] = STATE(3085),
    [sym_virtual] = STATE(3159),
    [sym_alignas_specifier] = STATE(3159),
    [sym_explicit_function_specifier] = STATE(2525),
    [sym_dependent_type] = STATE(3085),
    [sym_template_declaration] = STATE(2808),
    [sym_operator_cast] = STATE(8072),
    [sym__constructor_specifiers] = STATE(2525),
    [sym_operator_cast_definition] = STATE(2808),
    [sym_operator_cast_declaration] = STATE(2808),
    [sym_constructor_or_destructor_definition] = STATE(2808),
    [sym_constructor_or_destructor_declaration] = STATE(2808),
    [sym_friend_declaration] = STATE(2808),
    [sym_reference_declarator] = STATE(7680),
    [sym_structured_binding_declarator] = STATE(7680),
    [sym_template_type] = STATE(3050),
    [sym_template_function] = STATE(7680),
    [sym_alias_declaration] = STATE(2808),
    [sym_concept_definition] = STATE(2808),
    [sym_destructor_name] = STATE(7680),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6725),
    [sym_qualified_identifier] = STATE(7680),
    [sym_qualified_type_identifier] = STATE(3068),
    [sym_qualified_operator_cast_identifier] = STATE(8072),
    [sym_operator_name] = STATE(7680),
    [sym_qualifiers] = STATE(3159),
    [sym_hlsl_attribute] = STATE(2023),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2673),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3021),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2525),
    [sym_identifier] = ACTIONS(4032),
    [anon_sym_LPAREN2] = ACTIONS(2875),
    [anon_sym_TILDE] = ACTIONS(2877),
    [anon_sym_STAR] = ACTIONS(2879),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(2881),
    [anon_sym___extension__] = ACTIONS(63),
    [anon_sym_in] = ACTIONS(37),
    [anon_sym_out] = ACTIONS(37),
    [anon_sym_inout] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(4034),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2096),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym___cdecl] = ACTIONS(51),
    [anon_sym___clrcall] = ACTIONS(51),
    [anon_sym___stdcall] = ACTIONS(51),
    [anon_sym___fastcall] = ACTIONS(51),
    [anon_sym___thiscall] = ACTIONS(51),
    [anon_sym___vectorcall] = ACTIONS(51),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(4036),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(2891),
    [anon_sym_enum] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(69),
    [anon_sym_struct] = ACTIONS(71),
    [anon_sym_union] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [anon_sym_virtual] = ACTIONS(123),
    [anon_sym_alignas] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(3208),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_friend] = ACTIONS(3210),
    [anon_sym_using] = ACTIONS(4110),
    [anon_sym_concept] = ACTIONS(4112),
    [anon_sym_precise] = ACTIONS(161),
    [anon_sym_shared] = ACTIONS(161),
    [anon_sym_groupshared] = ACTIONS(161),
    [anon_sym_uniform] = ACTIONS(161),
    [anon_sym_row_major] = ACTIONS(161),
    [anon_sym_column_major] = ACTIONS(161),
    [anon_sym_globallycoherent] = ACTIONS(161),
    [anon_sym_centroid] = ACTIONS(161),
    [anon_sym_noperspective] = ACTIONS(161),
    [anon_sym_nointerpolation] = ACTIONS(161),
    [anon_sym_sample] = ACTIONS(161),
    [anon_sym_linear] = ACTIONS(161),
    [anon_sym_snorm] = ACTIONS(161),
    [anon_sym_unorm] = ACTIONS(161),
    [anon_sym_point] = ACTIONS(161),
    [anon_sym_line] = ACTIONS(161),
    [anon_sym_triangleadj] = ACTIONS(161),
    [anon_sym_lineadj] = ACTIONS(161),
    [anon_sym_triangle] = ACTIONS(161),
  },
  [1425] = {
    [sym_function_definition] = STATE(631),
    [sym_declaration] = STATE(631),
    [sym__declaration_modifiers] = STATE(3159),
    [sym__declaration_specifiers] = STATE(5942),
    [sym_attribute_specifier] = STATE(3159),
    [sym_attribute_declaration] = STATE(3159),
    [sym_ms_declspec_modifier] = STATE(3159),
    [sym_ms_based_modifier] = STATE(10332),
    [sym_ms_call_modifier] = STATE(2637),
    [sym__declarator] = STATE(7978),
    [sym_parenthesized_declarator] = STATE(7680),
    [sym_attributed_declarator] = STATE(7680),
    [sym_pointer_declarator] = STATE(7680),
    [sym_function_declarator] = STATE(7530),
    [sym_array_declarator] = STATE(7680),
    [sym_storage_class_specifier] = STATE(3159),
    [sym_type_qualifier] = STATE(3159),
    [sym__type_specifier] = STATE(3049),
    [sym_sized_type_specifier] = STATE(3085),
    [sym_enum_specifier] = STATE(3085),
    [sym_struct_specifier] = STATE(3085),
    [sym_union_specifier] = STATE(3085),
    [sym__empty_declaration] = STATE(631),
    [sym_placeholder_type_specifier] = STATE(3085),
    [sym_decltype_auto] = STATE(3091),
    [sym_decltype] = STATE(3050),
    [sym_class_specifier] = STATE(3085),
    [sym_virtual] = STATE(3159),
    [sym_alignas_specifier] = STATE(3159),
    [sym_explicit_function_specifier] = STATE(2513),
    [sym_dependent_type] = STATE(3085),
    [sym_template_declaration] = STATE(631),
    [sym_operator_cast] = STATE(8082),
    [sym__constructor_specifiers] = STATE(2513),
    [sym_operator_cast_definition] = STATE(631),
    [sym_operator_cast_declaration] = STATE(631),
    [sym_constructor_or_destructor_definition] = STATE(631),
    [sym_constructor_or_destructor_declaration] = STATE(631),
    [sym_friend_declaration] = STATE(631),
    [sym_reference_declarator] = STATE(7680),
    [sym_structured_binding_declarator] = STATE(7680),
    [sym_template_type] = STATE(3050),
    [sym_template_function] = STATE(7680),
    [sym_alias_declaration] = STATE(631),
    [sym_concept_definition] = STATE(631),
    [sym_destructor_name] = STATE(7680),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6725),
    [sym_qualified_identifier] = STATE(7680),
    [sym_qualified_type_identifier] = STATE(3068),
    [sym_qualified_operator_cast_identifier] = STATE(8082),
    [sym_operator_name] = STATE(7680),
    [sym_qualifiers] = STATE(3159),
    [sym_hlsl_attribute] = STATE(2057),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2673),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3021),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2513),
    [sym_identifier] = ACTIONS(4032),
    [anon_sym_LPAREN2] = ACTIONS(2875),
    [anon_sym_TILDE] = ACTIONS(2877),
    [anon_sym_STAR] = ACTIONS(2879),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(2881),
    [anon_sym___extension__] = ACTIONS(63),
    [anon_sym_in] = ACTIONS(37),
    [anon_sym_out] = ACTIONS(37),
    [anon_sym_inout] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(4034),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2096),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym___cdecl] = ACTIONS(51),
    [anon_sym___clrcall] = ACTIONS(51),
    [anon_sym___stdcall] = ACTIONS(51),
    [anon_sym___fastcall] = ACTIONS(51),
    [anon_sym___thiscall] = ACTIONS(51),
    [anon_sym___vectorcall] = ACTIONS(51),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(4036),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(2891),
    [anon_sym_enum] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(69),
    [anon_sym_struct] = ACTIONS(71),
    [anon_sym_union] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [anon_sym_virtual] = ACTIONS(123),
    [anon_sym_alignas] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(4046),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_friend] = ACTIONS(4048),
    [anon_sym_using] = ACTIONS(4050),
    [anon_sym_concept] = ACTIONS(433),
    [anon_sym_precise] = ACTIONS(161),
    [anon_sym_shared] = ACTIONS(161),
    [anon_sym_groupshared] = ACTIONS(161),
    [anon_sym_uniform] = ACTIONS(161),
    [anon_sym_row_major] = ACTIONS(161),
    [anon_sym_column_major] = ACTIONS(161),
    [anon_sym_globallycoherent] = ACTIONS(161),
    [anon_sym_centroid] = ACTIONS(161),
    [anon_sym_noperspective] = ACTIONS(161),
    [anon_sym_nointerpolation] = ACTIONS(161),
    [anon_sym_sample] = ACTIONS(161),
    [anon_sym_linear] = ACTIONS(161),
    [anon_sym_snorm] = ACTIONS(161),
    [anon_sym_unorm] = ACTIONS(161),
    [anon_sym_point] = ACTIONS(161),
    [anon_sym_line] = ACTIONS(161),
    [anon_sym_triangleadj] = ACTIONS(161),
    [anon_sym_lineadj] = ACTIONS(161),
    [anon_sym_triangle] = ACTIONS(161),
  },
  [1426] = {
    [sym_function_definition] = STATE(1309),
    [sym_declaration] = STATE(1309),
    [sym__declaration_modifiers] = STATE(3159),
    [sym__declaration_specifiers] = STATE(5893),
    [sym_attribute_specifier] = STATE(3159),
    [sym_attribute_declaration] = STATE(3159),
    [sym_ms_declspec_modifier] = STATE(3159),
    [sym_ms_based_modifier] = STATE(10332),
    [sym_ms_call_modifier] = STATE(2630),
    [sym__declarator] = STATE(7978),
    [sym_parenthesized_declarator] = STATE(7680),
    [sym_attributed_declarator] = STATE(7680),
    [sym_pointer_declarator] = STATE(7680),
    [sym_function_declarator] = STATE(7523),
    [sym_array_declarator] = STATE(7680),
    [sym_storage_class_specifier] = STATE(3159),
    [sym_type_qualifier] = STATE(3159),
    [sym__type_specifier] = STATE(3041),
    [sym_sized_type_specifier] = STATE(3085),
    [sym_enum_specifier] = STATE(3085),
    [sym_struct_specifier] = STATE(3085),
    [sym_union_specifier] = STATE(3085),
    [sym__empty_declaration] = STATE(1309),
    [sym_placeholder_type_specifier] = STATE(3085),
    [sym_decltype_auto] = STATE(3091),
    [sym_decltype] = STATE(3050),
    [sym_class_specifier] = STATE(3085),
    [sym_virtual] = STATE(3159),
    [sym_alignas_specifier] = STATE(3159),
    [sym_explicit_function_specifier] = STATE(2520),
    [sym_dependent_type] = STATE(3085),
    [sym_template_declaration] = STATE(1309),
    [sym_operator_cast] = STATE(8078),
    [sym__constructor_specifiers] = STATE(2520),
    [sym_operator_cast_definition] = STATE(1309),
    [sym_operator_cast_declaration] = STATE(1309),
    [sym_constructor_or_destructor_definition] = STATE(1309),
    [sym_constructor_or_destructor_declaration] = STATE(1309),
    [sym_friend_declaration] = STATE(1309),
    [sym_reference_declarator] = STATE(7680),
    [sym_structured_binding_declarator] = STATE(7680),
    [sym_template_type] = STATE(3050),
    [sym_template_function] = STATE(7680),
    [sym_alias_declaration] = STATE(1309),
    [sym_concept_definition] = STATE(1309),
    [sym_destructor_name] = STATE(7680),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6725),
    [sym_qualified_identifier] = STATE(7680),
    [sym_qualified_type_identifier] = STATE(3068),
    [sym_qualified_operator_cast_identifier] = STATE(8078),
    [sym_operator_name] = STATE(7680),
    [sym_qualifiers] = STATE(3159),
    [sym_hlsl_attribute] = STATE(1973),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2673),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3021),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2520),
    [sym_identifier] = ACTIONS(4032),
    [anon_sym_LPAREN2] = ACTIONS(2875),
    [anon_sym_TILDE] = ACTIONS(2877),
    [anon_sym_STAR] = ACTIONS(2879),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(2881),
    [anon_sym___extension__] = ACTIONS(63),
    [anon_sym_in] = ACTIONS(37),
    [anon_sym_out] = ACTIONS(37),
    [anon_sym_inout] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(4034),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2096),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym___cdecl] = ACTIONS(51),
    [anon_sym___clrcall] = ACTIONS(51),
    [anon_sym___stdcall] = ACTIONS(51),
    [anon_sym___fastcall] = ACTIONS(51),
    [anon_sym___thiscall] = ACTIONS(51),
    [anon_sym___vectorcall] = ACTIONS(51),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(4036),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(2891),
    [anon_sym_enum] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(69),
    [anon_sym_struct] = ACTIONS(71),
    [anon_sym_union] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [anon_sym_virtual] = ACTIONS(123),
    [anon_sym_alignas] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(4104),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_friend] = ACTIONS(4106),
    [anon_sym_using] = ACTIONS(4108),
    [anon_sym_concept] = ACTIONS(147),
    [anon_sym_precise] = ACTIONS(161),
    [anon_sym_shared] = ACTIONS(161),
    [anon_sym_groupshared] = ACTIONS(161),
    [anon_sym_uniform] = ACTIONS(161),
    [anon_sym_row_major] = ACTIONS(161),
    [anon_sym_column_major] = ACTIONS(161),
    [anon_sym_globallycoherent] = ACTIONS(161),
    [anon_sym_centroid] = ACTIONS(161),
    [anon_sym_noperspective] = ACTIONS(161),
    [anon_sym_nointerpolation] = ACTIONS(161),
    [anon_sym_sample] = ACTIONS(161),
    [anon_sym_linear] = ACTIONS(161),
    [anon_sym_snorm] = ACTIONS(161),
    [anon_sym_unorm] = ACTIONS(161),
    [anon_sym_point] = ACTIONS(161),
    [anon_sym_line] = ACTIONS(161),
    [anon_sym_triangleadj] = ACTIONS(161),
    [anon_sym_lineadj] = ACTIONS(161),
    [anon_sym_triangle] = ACTIONS(161),
  },
  [1427] = {
    [sym_function_definition] = STATE(2971),
    [sym_declaration] = STATE(2971),
    [sym__declaration_modifiers] = STATE(3159),
    [sym__declaration_specifiers] = STATE(5828),
    [sym_attribute_specifier] = STATE(3159),
    [sym_attribute_declaration] = STATE(3159),
    [sym_ms_declspec_modifier] = STATE(3159),
    [sym_ms_based_modifier] = STATE(10332),
    [sym_ms_call_modifier] = STATE(2567),
    [sym__declarator] = STATE(7978),
    [sym_parenthesized_declarator] = STATE(7680),
    [sym_attributed_declarator] = STATE(7680),
    [sym_pointer_declarator] = STATE(7680),
    [sym_function_declarator] = STATE(7540),
    [sym_array_declarator] = STATE(7680),
    [sym_storage_class_specifier] = STATE(3159),
    [sym_type_qualifier] = STATE(3159),
    [sym__type_specifier] = STATE(3038),
    [sym_sized_type_specifier] = STATE(3085),
    [sym_enum_specifier] = STATE(3085),
    [sym_struct_specifier] = STATE(3085),
    [sym_union_specifier] = STATE(3085),
    [sym__empty_declaration] = STATE(2971),
    [sym_placeholder_type_specifier] = STATE(3085),
    [sym_decltype_auto] = STATE(3091),
    [sym_decltype] = STATE(3050),
    [sym_class_specifier] = STATE(3085),
    [sym_virtual] = STATE(3159),
    [sym_alignas_specifier] = STATE(3159),
    [sym_explicit_function_specifier] = STATE(2523),
    [sym_dependent_type] = STATE(3085),
    [sym_template_declaration] = STATE(2971),
    [sym_operator_cast] = STATE(8071),
    [sym__constructor_specifiers] = STATE(2523),
    [sym_operator_cast_definition] = STATE(2971),
    [sym_operator_cast_declaration] = STATE(2971),
    [sym_constructor_or_destructor_definition] = STATE(2971),
    [sym_constructor_or_destructor_declaration] = STATE(2971),
    [sym_friend_declaration] = STATE(2971),
    [sym_reference_declarator] = STATE(7680),
    [sym_structured_binding_declarator] = STATE(7680),
    [sym_template_type] = STATE(3050),
    [sym_template_function] = STATE(7680),
    [sym_alias_declaration] = STATE(2971),
    [sym_concept_definition] = STATE(2971),
    [sym_destructor_name] = STATE(7680),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6725),
    [sym_qualified_identifier] = STATE(7680),
    [sym_qualified_type_identifier] = STATE(3068),
    [sym_qualified_operator_cast_identifier] = STATE(8071),
    [sym_operator_name] = STATE(7680),
    [sym_qualifiers] = STATE(3159),
    [sym_hlsl_attribute] = STATE(1983),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2673),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3021),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2523),
    [sym_identifier] = ACTIONS(4032),
    [anon_sym_LPAREN2] = ACTIONS(2875),
    [anon_sym_TILDE] = ACTIONS(2877),
    [anon_sym_STAR] = ACTIONS(2879),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(2881),
    [anon_sym___extension__] = ACTIONS(63),
    [anon_sym_in] = ACTIONS(37),
    [anon_sym_out] = ACTIONS(37),
    [anon_sym_inout] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(4034),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2096),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym___cdecl] = ACTIONS(51),
    [anon_sym___clrcall] = ACTIONS(51),
    [anon_sym___stdcall] = ACTIONS(51),
    [anon_sym___fastcall] = ACTIONS(51),
    [anon_sym___thiscall] = ACTIONS(51),
    [anon_sym___vectorcall] = ACTIONS(51),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(4036),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(2891),
    [anon_sym_enum] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(69),
    [anon_sym_struct] = ACTIONS(71),
    [anon_sym_union] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [anon_sym_virtual] = ACTIONS(123),
    [anon_sym_alignas] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(3314),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_friend] = ACTIONS(3316),
    [anon_sym_using] = ACTIONS(4062),
    [anon_sym_concept] = ACTIONS(4064),
    [anon_sym_precise] = ACTIONS(161),
    [anon_sym_shared] = ACTIONS(161),
    [anon_sym_groupshared] = ACTIONS(161),
    [anon_sym_uniform] = ACTIONS(161),
    [anon_sym_row_major] = ACTIONS(161),
    [anon_sym_column_major] = ACTIONS(161),
    [anon_sym_globallycoherent] = ACTIONS(161),
    [anon_sym_centroid] = ACTIONS(161),
    [anon_sym_noperspective] = ACTIONS(161),
    [anon_sym_nointerpolation] = ACTIONS(161),
    [anon_sym_sample] = ACTIONS(161),
    [anon_sym_linear] = ACTIONS(161),
    [anon_sym_snorm] = ACTIONS(161),
    [anon_sym_unorm] = ACTIONS(161),
    [anon_sym_point] = ACTIONS(161),
    [anon_sym_line] = ACTIONS(161),
    [anon_sym_triangleadj] = ACTIONS(161),
    [anon_sym_lineadj] = ACTIONS(161),
    [anon_sym_triangle] = ACTIONS(161),
  },
  [1428] = {
    [sym_function_definition] = STATE(390),
    [sym_declaration] = STATE(390),
    [sym__declaration_modifiers] = STATE(3159),
    [sym__declaration_specifiers] = STATE(5843),
    [sym_attribute_specifier] = STATE(3159),
    [sym_attribute_declaration] = STATE(3159),
    [sym_ms_declspec_modifier] = STATE(3159),
    [sym_ms_based_modifier] = STATE(10332),
    [sym_ms_call_modifier] = STATE(2586),
    [sym__declarator] = STATE(7978),
    [sym_parenthesized_declarator] = STATE(7680),
    [sym_attributed_declarator] = STATE(7680),
    [sym_pointer_declarator] = STATE(7680),
    [sym_function_declarator] = STATE(7516),
    [sym_array_declarator] = STATE(7680),
    [sym_storage_class_specifier] = STATE(3159),
    [sym_type_qualifier] = STATE(3159),
    [sym__type_specifier] = STATE(3042),
    [sym_sized_type_specifier] = STATE(3085),
    [sym_enum_specifier] = STATE(3085),
    [sym_struct_specifier] = STATE(3085),
    [sym_union_specifier] = STATE(3085),
    [sym__empty_declaration] = STATE(390),
    [sym_placeholder_type_specifier] = STATE(3085),
    [sym_decltype_auto] = STATE(3091),
    [sym_decltype] = STATE(3050),
    [sym_class_specifier] = STATE(3085),
    [sym_virtual] = STATE(3159),
    [sym_alignas_specifier] = STATE(3159),
    [sym_explicit_function_specifier] = STATE(2522),
    [sym_dependent_type] = STATE(3085),
    [sym_template_declaration] = STATE(390),
    [sym_operator_cast] = STATE(8044),
    [sym__constructor_specifiers] = STATE(2522),
    [sym_operator_cast_definition] = STATE(390),
    [sym_operator_cast_declaration] = STATE(390),
    [sym_constructor_or_destructor_definition] = STATE(390),
    [sym_constructor_or_destructor_declaration] = STATE(390),
    [sym_friend_declaration] = STATE(390),
    [sym_reference_declarator] = STATE(7680),
    [sym_structured_binding_declarator] = STATE(7680),
    [sym_template_type] = STATE(3050),
    [sym_template_function] = STATE(7680),
    [sym_alias_declaration] = STATE(390),
    [sym_concept_definition] = STATE(390),
    [sym_destructor_name] = STATE(7680),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6725),
    [sym_qualified_identifier] = STATE(7680),
    [sym_qualified_type_identifier] = STATE(3068),
    [sym_qualified_operator_cast_identifier] = STATE(8044),
    [sym_operator_name] = STATE(7680),
    [sym_qualifiers] = STATE(3159),
    [sym_hlsl_attribute] = STATE(2005),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2673),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3021),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2522),
    [sym_identifier] = ACTIONS(4032),
    [anon_sym_LPAREN2] = ACTIONS(2875),
    [anon_sym_TILDE] = ACTIONS(2877),
    [anon_sym_STAR] = ACTIONS(2879),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(2881),
    [anon_sym___extension__] = ACTIONS(63),
    [anon_sym_in] = ACTIONS(37),
    [anon_sym_out] = ACTIONS(37),
    [anon_sym_inout] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(4034),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2096),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym___cdecl] = ACTIONS(51),
    [anon_sym___clrcall] = ACTIONS(51),
    [anon_sym___stdcall] = ACTIONS(51),
    [anon_sym___fastcall] = ACTIONS(51),
    [anon_sym___thiscall] = ACTIONS(51),
    [anon_sym___vectorcall] = ACTIONS(51),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(4036),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(2891),
    [anon_sym_enum] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(69),
    [anon_sym_struct] = ACTIONS(71),
    [anon_sym_union] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [anon_sym_virtual] = ACTIONS(123),
    [anon_sym_alignas] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(4098),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_friend] = ACTIONS(4100),
    [anon_sym_using] = ACTIONS(4102),
    [anon_sym_concept] = ACTIONS(341),
    [anon_sym_precise] = ACTIONS(161),
    [anon_sym_shared] = ACTIONS(161),
    [anon_sym_groupshared] = ACTIONS(161),
    [anon_sym_uniform] = ACTIONS(161),
    [anon_sym_row_major] = ACTIONS(161),
    [anon_sym_column_major] = ACTIONS(161),
    [anon_sym_globallycoherent] = ACTIONS(161),
    [anon_sym_centroid] = ACTIONS(161),
    [anon_sym_noperspective] = ACTIONS(161),
    [anon_sym_nointerpolation] = ACTIONS(161),
    [anon_sym_sample] = ACTIONS(161),
    [anon_sym_linear] = ACTIONS(161),
    [anon_sym_snorm] = ACTIONS(161),
    [anon_sym_unorm] = ACTIONS(161),
    [anon_sym_point] = ACTIONS(161),
    [anon_sym_line] = ACTIONS(161),
    [anon_sym_triangleadj] = ACTIONS(161),
    [anon_sym_lineadj] = ACTIONS(161),
    [anon_sym_triangle] = ACTIONS(161),
  },
  [1429] = {
    [sym_field_declaration_list] = STATE(1574),
    [sym_virtual_specifier] = STATE(8170),
    [sym_base_class_clause] = STATE(9026),
    [sym_identifier] = ACTIONS(2190),
    [anon_sym_LPAREN2] = ACTIONS(2192),
    [anon_sym_BANG] = ACTIONS(2192),
    [anon_sym_TILDE] = ACTIONS(2192),
    [anon_sym_DASH] = ACTIONS(2190),
    [anon_sym_PLUS] = ACTIONS(2190),
    [anon_sym_STAR] = ACTIONS(2192),
    [anon_sym_AMP] = ACTIONS(2192),
    [anon_sym_COLON] = ACTIONS(2194),
    [anon_sym_SEMI] = ACTIONS(2192),
    [anon_sym___extension__] = ACTIONS(2190),
    [anon_sym_typedef] = ACTIONS(2190),
    [anon_sym_in] = ACTIONS(2190),
    [anon_sym_out] = ACTIONS(2190),
    [anon_sym_inout] = ACTIONS(2190),
    [anon_sym_extern] = ACTIONS(2190),
    [anon_sym___attribute__] = ACTIONS(2190),
    [anon_sym_COLON_COLON] = ACTIONS(2192),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2192),
    [anon_sym___declspec] = ACTIONS(2190),
    [anon_sym_LBRACE] = ACTIONS(4176),
    [anon_sym_signed] = ACTIONS(2190),
    [anon_sym_unsigned] = ACTIONS(2190),
    [anon_sym_long] = ACTIONS(2190),
    [anon_sym_short] = ACTIONS(2190),
    [anon_sym_LBRACK] = ACTIONS(2190),
    [anon_sym_static] = ACTIONS(2190),
    [anon_sym_register] = ACTIONS(2190),
    [anon_sym_inline] = ACTIONS(2190),
    [anon_sym___inline] = ACTIONS(2190),
    [anon_sym___inline__] = ACTIONS(2190),
    [anon_sym___forceinline] = ACTIONS(2190),
    [anon_sym_thread_local] = ACTIONS(2190),
    [anon_sym___thread] = ACTIONS(2190),
    [anon_sym_const] = ACTIONS(2190),
    [anon_sym_constexpr] = ACTIONS(2190),
    [anon_sym_volatile] = ACTIONS(2190),
    [anon_sym_restrict] = ACTIONS(2190),
    [anon_sym___restrict__] = ACTIONS(2190),
    [anon_sym__Atomic] = ACTIONS(2190),
    [anon_sym__Noreturn] = ACTIONS(2190),
    [anon_sym_noreturn] = ACTIONS(2190),
    [anon_sym_mutable] = ACTIONS(2190),
    [anon_sym_constinit] = ACTIONS(2190),
    [anon_sym_consteval] = ACTIONS(2190),
    [sym_primitive_type] = ACTIONS(2190),
    [anon_sym_enum] = ACTIONS(2190),
    [anon_sym_class] = ACTIONS(2190),
    [anon_sym_struct] = ACTIONS(2190),
    [anon_sym_union] = ACTIONS(2190),
    [anon_sym_if] = ACTIONS(2190),
    [anon_sym_else] = ACTIONS(2190),
    [anon_sym_switch] = ACTIONS(2190),
    [anon_sym_while] = ACTIONS(2190),
    [anon_sym_do] = ACTIONS(2190),
    [anon_sym_for] = ACTIONS(2190),
    [anon_sym_return] = ACTIONS(2190),
    [anon_sym_break] = ACTIONS(2190),
    [anon_sym_continue] = ACTIONS(2190),
    [anon_sym_goto] = ACTIONS(2190),
    [anon_sym___try] = ACTIONS(2190),
    [anon_sym___leave] = ACTIONS(2190),
    [anon_sym_not] = ACTIONS(2190),
    [anon_sym_compl] = ACTIONS(2190),
    [anon_sym_DASH_DASH] = ACTIONS(2192),
    [anon_sym_PLUS_PLUS] = ACTIONS(2192),
    [anon_sym_sizeof] = ACTIONS(2190),
    [anon_sym___alignof__] = ACTIONS(2190),
    [anon_sym___alignof] = ACTIONS(2190),
    [anon_sym__alignof] = ACTIONS(2190),
    [anon_sym_alignof] = ACTIONS(2190),
    [anon_sym__Alignof] = ACTIONS(2190),
    [anon_sym_offsetof] = ACTIONS(2190),
    [anon_sym__Generic] = ACTIONS(2190),
    [anon_sym_asm] = ACTIONS(2190),
    [anon_sym___asm__] = ACTIONS(2190),
    [sym_number_literal] = ACTIONS(2192),
    [anon_sym_L_SQUOTE] = ACTIONS(2192),
    [anon_sym_u_SQUOTE] = ACTIONS(2192),
    [anon_sym_U_SQUOTE] = ACTIONS(2192),
    [anon_sym_u8_SQUOTE] = ACTIONS(2192),
    [anon_sym_SQUOTE] = ACTIONS(2192),
    [anon_sym_L_DQUOTE] = ACTIONS(2192),
    [anon_sym_u_DQUOTE] = ACTIONS(2192),
    [anon_sym_U_DQUOTE] = ACTIONS(2192),
    [anon_sym_u8_DQUOTE] = ACTIONS(2192),
    [anon_sym_DQUOTE] = ACTIONS(2192),
    [sym_true] = ACTIONS(2190),
    [sym_false] = ACTIONS(2190),
    [anon_sym_NULL] = ACTIONS(2190),
    [anon_sym_nullptr] = ACTIONS(2190),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2190),
    [anon_sym_decltype] = ACTIONS(2190),
    [anon_sym_final] = ACTIONS(2198),
    [anon_sym_override] = ACTIONS(2198),
    [anon_sym_virtual] = ACTIONS(2190),
    [anon_sym_alignas] = ACTIONS(2190),
    [anon_sym_typename] = ACTIONS(2190),
    [anon_sym_template] = ACTIONS(2190),
    [anon_sym_try] = ACTIONS(2190),
    [anon_sym_delete] = ACTIONS(2190),
    [anon_sym_throw] = ACTIONS(2190),
    [anon_sym_co_return] = ACTIONS(2190),
    [anon_sym_co_yield] = ACTIONS(2190),
    [anon_sym_R_DQUOTE] = ACTIONS(2192),
    [anon_sym_LR_DQUOTE] = ACTIONS(2192),
    [anon_sym_uR_DQUOTE] = ACTIONS(2192),
    [anon_sym_UR_DQUOTE] = ACTIONS(2192),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2192),
    [anon_sym_co_await] = ACTIONS(2190),
    [anon_sym_new] = ACTIONS(2190),
    [anon_sym_requires] = ACTIONS(2190),
    [sym_this] = ACTIONS(2190),
    [anon_sym_discard] = ACTIONS(2190),
    [anon_sym_precise] = ACTIONS(2190),
    [anon_sym_shared] = ACTIONS(2190),
    [anon_sym_groupshared] = ACTIONS(2190),
    [anon_sym_uniform] = ACTIONS(2190),
    [anon_sym_row_major] = ACTIONS(2190),
    [anon_sym_column_major] = ACTIONS(2190),
    [anon_sym_globallycoherent] = ACTIONS(2190),
    [anon_sym_centroid] = ACTIONS(2190),
    [anon_sym_noperspective] = ACTIONS(2190),
    [anon_sym_nointerpolation] = ACTIONS(2190),
    [anon_sym_sample] = ACTIONS(2190),
    [anon_sym_linear] = ACTIONS(2190),
    [anon_sym_snorm] = ACTIONS(2190),
    [anon_sym_unorm] = ACTIONS(2190),
    [anon_sym_point] = ACTIONS(2190),
    [anon_sym_line] = ACTIONS(2190),
    [anon_sym_triangleadj] = ACTIONS(2190),
    [anon_sym_lineadj] = ACTIONS(2190),
    [anon_sym_triangle] = ACTIONS(2190),
    [anon_sym_cbuffer] = ACTIONS(2190),
  },
  [1430] = {
    [sym__expression] = STATE(4728),
    [sym__expression_not_binary] = STATE(4939),
    [sym__string] = STATE(4939),
    [sym_conditional_expression] = STATE(4939),
    [sym_assignment_expression] = STATE(4939),
    [sym_pointer_expression] = STATE(4521),
    [sym_unary_expression] = STATE(4939),
    [sym_binary_expression] = STATE(4939),
    [sym_update_expression] = STATE(4939),
    [sym_cast_expression] = STATE(4939),
    [sym_sizeof_expression] = STATE(4939),
    [sym_alignof_expression] = STATE(4939),
    [sym_offsetof_expression] = STATE(4939),
    [sym_generic_expression] = STATE(4939),
    [sym_subscript_expression] = STATE(4521),
    [sym_call_expression] = STATE(4521),
    [sym_gnu_asm_expression] = STATE(4939),
    [sym_field_expression] = STATE(4521),
    [sym_compound_literal_expression] = STATE(4939),
    [sym_parenthesized_expression] = STATE(4521),
    [sym_initializer_list] = STATE(4923),
    [sym_char_literal] = STATE(4856),
    [sym_concatenated_string] = STATE(4876),
    [sym_string_literal] = STATE(3630),
    [sym_null] = STATE(4939),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9415),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(4939),
    [sym_raw_string_literal] = STATE(3632),
    [sym_co_await_expression] = STATE(4939),
    [sym_new_expression] = STATE(4939),
    [sym_delete_expression] = STATE(4939),
    [sym_requires_clause] = STATE(4939),
    [sym_requires_expression] = STATE(4939),
    [sym_lambda_expression] = STATE(4939),
    [sym_lambda_capture_specifier] = STATE(7190),
    [sym_fold_expression] = STATE(4939),
    [sym_parameter_pack_expansion] = STATE(4939),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6899),
    [sym_qualified_identifier] = STATE(4521),
    [sym_qualified_type_identifier] = STATE(9415),
    [sym_user_defined_literal] = STATE(4521),
    [sym_identifier] = ACTIONS(4178),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3918),
    [anon_sym_COMMA] = ACTIONS(3918),
    [anon_sym_RPAREN] = ACTIONS(3918),
    [anon_sym_LPAREN2] = ACTIONS(3918),
    [anon_sym_BANG] = ACTIONS(2114),
    [anon_sym_TILDE] = ACTIONS(2112),
    [anon_sym_DASH] = ACTIONS(3916),
    [anon_sym_PLUS] = ACTIONS(3916),
    [anon_sym_STAR] = ACTIONS(3916),
    [anon_sym_SLASH] = ACTIONS(3916),
    [anon_sym_PERCENT] = ACTIONS(3916),
    [anon_sym_PIPE_PIPE] = ACTIONS(3918),
    [anon_sym_AMP_AMP] = ACTIONS(3918),
    [anon_sym_PIPE] = ACTIONS(3916),
    [anon_sym_CARET] = ACTIONS(3916),
    [anon_sym_AMP] = ACTIONS(3916),
    [anon_sym_EQ_EQ] = ACTIONS(3918),
    [anon_sym_BANG_EQ] = ACTIONS(3918),
    [anon_sym_GT] = ACTIONS(3916),
    [anon_sym_GT_EQ] = ACTIONS(3918),
    [anon_sym_LT_EQ] = ACTIONS(3916),
    [anon_sym_LT] = ACTIONS(3916),
    [anon_sym_LT_LT] = ACTIONS(3916),
    [anon_sym_GT_GT] = ACTIONS(3916),
    [anon_sym_COLON_COLON] = ACTIONS(2120),
    [anon_sym_LBRACE] = ACTIONS(4180),
    [anon_sym_LBRACK] = ACTIONS(3918),
    [anon_sym_EQ] = ACTIONS(3916),
    [sym_primitive_type] = ACTIONS(4182),
    [anon_sym_QMARK] = ACTIONS(3918),
    [anon_sym_STAR_EQ] = ACTIONS(3918),
    [anon_sym_SLASH_EQ] = ACTIONS(3918),
    [anon_sym_PERCENT_EQ] = ACTIONS(3918),
    [anon_sym_PLUS_EQ] = ACTIONS(3918),
    [anon_sym_DASH_EQ] = ACTIONS(3918),
    [anon_sym_LT_LT_EQ] = ACTIONS(3918),
    [anon_sym_GT_GT_EQ] = ACTIONS(3918),
    [anon_sym_AMP_EQ] = ACTIONS(3918),
    [anon_sym_CARET_EQ] = ACTIONS(3918),
    [anon_sym_PIPE_EQ] = ACTIONS(3918),
    [anon_sym_not] = ACTIONS(2114),
    [anon_sym_compl] = ACTIONS(2114),
    [anon_sym_LT_EQ_GT] = ACTIONS(3918),
    [anon_sym_or] = ACTIONS(3916),
    [anon_sym_and] = ACTIONS(3916),
    [anon_sym_bitor] = ACTIONS(3916),
    [anon_sym_xor] = ACTIONS(3916),
    [anon_sym_bitand] = ACTIONS(3916),
    [anon_sym_not_eq] = ACTIONS(3916),
    [anon_sym_DASH_DASH] = ACTIONS(3918),
    [anon_sym_PLUS_PLUS] = ACTIONS(3918),
    [anon_sym_sizeof] = ACTIONS(2134),
    [anon_sym___alignof__] = ACTIONS(2136),
    [anon_sym___alignof] = ACTIONS(2136),
    [anon_sym__alignof] = ACTIONS(2136),
    [anon_sym_alignof] = ACTIONS(2136),
    [anon_sym__Alignof] = ACTIONS(2136),
    [anon_sym_offsetof] = ACTIONS(2138),
    [anon_sym__Generic] = ACTIONS(2140),
    [anon_sym_asm] = ACTIONS(2142),
    [anon_sym___asm__] = ACTIONS(2142),
    [anon_sym_DOT] = ACTIONS(3916),
    [anon_sym_DOT_STAR] = ACTIONS(3918),
    [anon_sym_DASH_GT] = ACTIONS(3916),
    [sym_number_literal] = ACTIONS(2144),
    [anon_sym_L_SQUOTE] = ACTIONS(2146),
    [anon_sym_u_SQUOTE] = ACTIONS(2146),
    [anon_sym_U_SQUOTE] = ACTIONS(2146),
    [anon_sym_u8_SQUOTE] = ACTIONS(2146),
    [anon_sym_SQUOTE] = ACTIONS(2146),
    [anon_sym_L_DQUOTE] = ACTIONS(2148),
    [anon_sym_u_DQUOTE] = ACTIONS(2148),
    [anon_sym_U_DQUOTE] = ACTIONS(2148),
    [anon_sym_u8_DQUOTE] = ACTIONS(2148),
    [anon_sym_DQUOTE] = ACTIONS(2148),
    [sym_true] = ACTIONS(2150),
    [sym_false] = ACTIONS(2150),
    [anon_sym_NULL] = ACTIONS(2152),
    [anon_sym_nullptr] = ACTIONS(2152),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(2156),
    [anon_sym_R_DQUOTE] = ACTIONS(2158),
    [anon_sym_LR_DQUOTE] = ACTIONS(2158),
    [anon_sym_uR_DQUOTE] = ACTIONS(2158),
    [anon_sym_UR_DQUOTE] = ACTIONS(2158),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2158),
    [anon_sym_co_await] = ACTIONS(2160),
    [anon_sym_new] = ACTIONS(2162),
    [anon_sym_requires] = ACTIONS(2164),
    [anon_sym_DASH_GT_STAR] = ACTIONS(3918),
    [sym_this] = ACTIONS(2150),
  },
  [1431] = {
    [sym_field_declaration_list] = STATE(1622),
    [sym_virtual_specifier] = STATE(8175),
    [sym_base_class_clause] = STATE(8999),
    [sym_identifier] = ACTIONS(2220),
    [anon_sym_LPAREN2] = ACTIONS(2222),
    [anon_sym_BANG] = ACTIONS(2222),
    [anon_sym_TILDE] = ACTIONS(2222),
    [anon_sym_DASH] = ACTIONS(2220),
    [anon_sym_PLUS] = ACTIONS(2220),
    [anon_sym_STAR] = ACTIONS(2222),
    [anon_sym_AMP] = ACTIONS(2222),
    [anon_sym_COLON] = ACTIONS(2194),
    [anon_sym_SEMI] = ACTIONS(2222),
    [anon_sym___extension__] = ACTIONS(2220),
    [anon_sym_typedef] = ACTIONS(2220),
    [anon_sym_in] = ACTIONS(2220),
    [anon_sym_out] = ACTIONS(2220),
    [anon_sym_inout] = ACTIONS(2220),
    [anon_sym_extern] = ACTIONS(2220),
    [anon_sym___attribute__] = ACTIONS(2220),
    [anon_sym_COLON_COLON] = ACTIONS(2222),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2222),
    [anon_sym___declspec] = ACTIONS(2220),
    [anon_sym_LBRACE] = ACTIONS(4176),
    [anon_sym_signed] = ACTIONS(2220),
    [anon_sym_unsigned] = ACTIONS(2220),
    [anon_sym_long] = ACTIONS(2220),
    [anon_sym_short] = ACTIONS(2220),
    [anon_sym_LBRACK] = ACTIONS(2220),
    [anon_sym_static] = ACTIONS(2220),
    [anon_sym_register] = ACTIONS(2220),
    [anon_sym_inline] = ACTIONS(2220),
    [anon_sym___inline] = ACTIONS(2220),
    [anon_sym___inline__] = ACTIONS(2220),
    [anon_sym___forceinline] = ACTIONS(2220),
    [anon_sym_thread_local] = ACTIONS(2220),
    [anon_sym___thread] = ACTIONS(2220),
    [anon_sym_const] = ACTIONS(2220),
    [anon_sym_constexpr] = ACTIONS(2220),
    [anon_sym_volatile] = ACTIONS(2220),
    [anon_sym_restrict] = ACTIONS(2220),
    [anon_sym___restrict__] = ACTIONS(2220),
    [anon_sym__Atomic] = ACTIONS(2220),
    [anon_sym__Noreturn] = ACTIONS(2220),
    [anon_sym_noreturn] = ACTIONS(2220),
    [anon_sym_mutable] = ACTIONS(2220),
    [anon_sym_constinit] = ACTIONS(2220),
    [anon_sym_consteval] = ACTIONS(2220),
    [sym_primitive_type] = ACTIONS(2220),
    [anon_sym_enum] = ACTIONS(2220),
    [anon_sym_class] = ACTIONS(2220),
    [anon_sym_struct] = ACTIONS(2220),
    [anon_sym_union] = ACTIONS(2220),
    [anon_sym_if] = ACTIONS(2220),
    [anon_sym_else] = ACTIONS(2220),
    [anon_sym_switch] = ACTIONS(2220),
    [anon_sym_while] = ACTIONS(2220),
    [anon_sym_do] = ACTIONS(2220),
    [anon_sym_for] = ACTIONS(2220),
    [anon_sym_return] = ACTIONS(2220),
    [anon_sym_break] = ACTIONS(2220),
    [anon_sym_continue] = ACTIONS(2220),
    [anon_sym_goto] = ACTIONS(2220),
    [anon_sym___try] = ACTIONS(2220),
    [anon_sym___leave] = ACTIONS(2220),
    [anon_sym_not] = ACTIONS(2220),
    [anon_sym_compl] = ACTIONS(2220),
    [anon_sym_DASH_DASH] = ACTIONS(2222),
    [anon_sym_PLUS_PLUS] = ACTIONS(2222),
    [anon_sym_sizeof] = ACTIONS(2220),
    [anon_sym___alignof__] = ACTIONS(2220),
    [anon_sym___alignof] = ACTIONS(2220),
    [anon_sym__alignof] = ACTIONS(2220),
    [anon_sym_alignof] = ACTIONS(2220),
    [anon_sym__Alignof] = ACTIONS(2220),
    [anon_sym_offsetof] = ACTIONS(2220),
    [anon_sym__Generic] = ACTIONS(2220),
    [anon_sym_asm] = ACTIONS(2220),
    [anon_sym___asm__] = ACTIONS(2220),
    [sym_number_literal] = ACTIONS(2222),
    [anon_sym_L_SQUOTE] = ACTIONS(2222),
    [anon_sym_u_SQUOTE] = ACTIONS(2222),
    [anon_sym_U_SQUOTE] = ACTIONS(2222),
    [anon_sym_u8_SQUOTE] = ACTIONS(2222),
    [anon_sym_SQUOTE] = ACTIONS(2222),
    [anon_sym_L_DQUOTE] = ACTIONS(2222),
    [anon_sym_u_DQUOTE] = ACTIONS(2222),
    [anon_sym_U_DQUOTE] = ACTIONS(2222),
    [anon_sym_u8_DQUOTE] = ACTIONS(2222),
    [anon_sym_DQUOTE] = ACTIONS(2222),
    [sym_true] = ACTIONS(2220),
    [sym_false] = ACTIONS(2220),
    [anon_sym_NULL] = ACTIONS(2220),
    [anon_sym_nullptr] = ACTIONS(2220),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2220),
    [anon_sym_decltype] = ACTIONS(2220),
    [anon_sym_final] = ACTIONS(2198),
    [anon_sym_override] = ACTIONS(2198),
    [anon_sym_virtual] = ACTIONS(2220),
    [anon_sym_alignas] = ACTIONS(2220),
    [anon_sym_typename] = ACTIONS(2220),
    [anon_sym_template] = ACTIONS(2220),
    [anon_sym_try] = ACTIONS(2220),
    [anon_sym_delete] = ACTIONS(2220),
    [anon_sym_throw] = ACTIONS(2220),
    [anon_sym_co_return] = ACTIONS(2220),
    [anon_sym_co_yield] = ACTIONS(2220),
    [anon_sym_R_DQUOTE] = ACTIONS(2222),
    [anon_sym_LR_DQUOTE] = ACTIONS(2222),
    [anon_sym_uR_DQUOTE] = ACTIONS(2222),
    [anon_sym_UR_DQUOTE] = ACTIONS(2222),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2222),
    [anon_sym_co_await] = ACTIONS(2220),
    [anon_sym_new] = ACTIONS(2220),
    [anon_sym_requires] = ACTIONS(2220),
    [sym_this] = ACTIONS(2220),
    [anon_sym_discard] = ACTIONS(2220),
    [anon_sym_precise] = ACTIONS(2220),
    [anon_sym_shared] = ACTIONS(2220),
    [anon_sym_groupshared] = ACTIONS(2220),
    [anon_sym_uniform] = ACTIONS(2220),
    [anon_sym_row_major] = ACTIONS(2220),
    [anon_sym_column_major] = ACTIONS(2220),
    [anon_sym_globallycoherent] = ACTIONS(2220),
    [anon_sym_centroid] = ACTIONS(2220),
    [anon_sym_noperspective] = ACTIONS(2220),
    [anon_sym_nointerpolation] = ACTIONS(2220),
    [anon_sym_sample] = ACTIONS(2220),
    [anon_sym_linear] = ACTIONS(2220),
    [anon_sym_snorm] = ACTIONS(2220),
    [anon_sym_unorm] = ACTIONS(2220),
    [anon_sym_point] = ACTIONS(2220),
    [anon_sym_line] = ACTIONS(2220),
    [anon_sym_triangleadj] = ACTIONS(2220),
    [anon_sym_lineadj] = ACTIONS(2220),
    [anon_sym_triangle] = ACTIONS(2220),
    [anon_sym_cbuffer] = ACTIONS(2220),
  },
  [1432] = {
    [sym_template_argument_list] = STATE(1478),
    [sym_identifier] = ACTIONS(2224),
    [anon_sym_LPAREN2] = ACTIONS(2226),
    [anon_sym_BANG] = ACTIONS(2226),
    [anon_sym_TILDE] = ACTIONS(2226),
    [anon_sym_DASH] = ACTIONS(2224),
    [anon_sym_PLUS] = ACTIONS(2224),
    [anon_sym_STAR] = ACTIONS(2226),
    [anon_sym_AMP] = ACTIONS(2226),
    [anon_sym_LT] = ACTIONS(4184),
    [anon_sym_COLON] = ACTIONS(2224),
    [anon_sym_SEMI] = ACTIONS(2226),
    [anon_sym___extension__] = ACTIONS(2224),
    [anon_sym_typedef] = ACTIONS(2224),
    [anon_sym_in] = ACTIONS(2224),
    [anon_sym_out] = ACTIONS(2224),
    [anon_sym_inout] = ACTIONS(2224),
    [anon_sym_extern] = ACTIONS(2224),
    [anon_sym___attribute__] = ACTIONS(2224),
    [anon_sym_COLON_COLON] = ACTIONS(2230),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2226),
    [anon_sym___declspec] = ACTIONS(2224),
    [anon_sym_LBRACE] = ACTIONS(2226),
    [anon_sym_signed] = ACTIONS(2224),
    [anon_sym_unsigned] = ACTIONS(2224),
    [anon_sym_long] = ACTIONS(2224),
    [anon_sym_short] = ACTIONS(2224),
    [anon_sym_LBRACK] = ACTIONS(2224),
    [anon_sym_static] = ACTIONS(2224),
    [anon_sym_register] = ACTIONS(2224),
    [anon_sym_inline] = ACTIONS(2224),
    [anon_sym___inline] = ACTIONS(2224),
    [anon_sym___inline__] = ACTIONS(2224),
    [anon_sym___forceinline] = ACTIONS(2224),
    [anon_sym_thread_local] = ACTIONS(2224),
    [anon_sym___thread] = ACTIONS(2224),
    [anon_sym_const] = ACTIONS(2224),
    [anon_sym_constexpr] = ACTIONS(2224),
    [anon_sym_volatile] = ACTIONS(2224),
    [anon_sym_restrict] = ACTIONS(2224),
    [anon_sym___restrict__] = ACTIONS(2224),
    [anon_sym__Atomic] = ACTIONS(2224),
    [anon_sym__Noreturn] = ACTIONS(2224),
    [anon_sym_noreturn] = ACTIONS(2224),
    [anon_sym_mutable] = ACTIONS(2224),
    [anon_sym_constinit] = ACTIONS(2224),
    [anon_sym_consteval] = ACTIONS(2224),
    [sym_primitive_type] = ACTIONS(2224),
    [anon_sym_enum] = ACTIONS(2224),
    [anon_sym_class] = ACTIONS(2224),
    [anon_sym_struct] = ACTIONS(2224),
    [anon_sym_union] = ACTIONS(2224),
    [anon_sym_if] = ACTIONS(2224),
    [anon_sym_else] = ACTIONS(2224),
    [anon_sym_switch] = ACTIONS(2224),
    [anon_sym_while] = ACTIONS(2224),
    [anon_sym_do] = ACTIONS(2224),
    [anon_sym_for] = ACTIONS(2224),
    [anon_sym_return] = ACTIONS(2224),
    [anon_sym_break] = ACTIONS(2224),
    [anon_sym_continue] = ACTIONS(2224),
    [anon_sym_goto] = ACTIONS(2224),
    [anon_sym___try] = ACTIONS(2224),
    [anon_sym___leave] = ACTIONS(2224),
    [anon_sym_not] = ACTIONS(2224),
    [anon_sym_compl] = ACTIONS(2224),
    [anon_sym_DASH_DASH] = ACTIONS(2226),
    [anon_sym_PLUS_PLUS] = ACTIONS(2226),
    [anon_sym_sizeof] = ACTIONS(2224),
    [anon_sym___alignof__] = ACTIONS(2224),
    [anon_sym___alignof] = ACTIONS(2224),
    [anon_sym__alignof] = ACTIONS(2224),
    [anon_sym_alignof] = ACTIONS(2224),
    [anon_sym__Alignof] = ACTIONS(2224),
    [anon_sym_offsetof] = ACTIONS(2224),
    [anon_sym__Generic] = ACTIONS(2224),
    [anon_sym_asm] = ACTIONS(2224),
    [anon_sym___asm__] = ACTIONS(2224),
    [sym_number_literal] = ACTIONS(2226),
    [anon_sym_L_SQUOTE] = ACTIONS(2226),
    [anon_sym_u_SQUOTE] = ACTIONS(2226),
    [anon_sym_U_SQUOTE] = ACTIONS(2226),
    [anon_sym_u8_SQUOTE] = ACTIONS(2226),
    [anon_sym_SQUOTE] = ACTIONS(2226),
    [anon_sym_L_DQUOTE] = ACTIONS(2226),
    [anon_sym_u_DQUOTE] = ACTIONS(2226),
    [anon_sym_U_DQUOTE] = ACTIONS(2226),
    [anon_sym_u8_DQUOTE] = ACTIONS(2226),
    [anon_sym_DQUOTE] = ACTIONS(2226),
    [sym_true] = ACTIONS(2224),
    [sym_false] = ACTIONS(2224),
    [anon_sym_NULL] = ACTIONS(2224),
    [anon_sym_nullptr] = ACTIONS(2224),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2224),
    [anon_sym_decltype] = ACTIONS(2224),
    [anon_sym_final] = ACTIONS(2224),
    [anon_sym_override] = ACTIONS(2224),
    [anon_sym_virtual] = ACTIONS(2224),
    [anon_sym_alignas] = ACTIONS(2224),
    [anon_sym_typename] = ACTIONS(2224),
    [anon_sym_template] = ACTIONS(2224),
    [anon_sym_try] = ACTIONS(2224),
    [anon_sym_delete] = ACTIONS(2224),
    [anon_sym_throw] = ACTIONS(2224),
    [anon_sym_co_return] = ACTIONS(2224),
    [anon_sym_co_yield] = ACTIONS(2224),
    [anon_sym_R_DQUOTE] = ACTIONS(2226),
    [anon_sym_LR_DQUOTE] = ACTIONS(2226),
    [anon_sym_uR_DQUOTE] = ACTIONS(2226),
    [anon_sym_UR_DQUOTE] = ACTIONS(2226),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2226),
    [anon_sym_co_await] = ACTIONS(2224),
    [anon_sym_new] = ACTIONS(2224),
    [anon_sym_requires] = ACTIONS(2224),
    [sym_this] = ACTIONS(2224),
    [anon_sym_discard] = ACTIONS(2224),
    [anon_sym_precise] = ACTIONS(2224),
    [anon_sym_shared] = ACTIONS(2224),
    [anon_sym_groupshared] = ACTIONS(2224),
    [anon_sym_uniform] = ACTIONS(2224),
    [anon_sym_row_major] = ACTIONS(2224),
    [anon_sym_column_major] = ACTIONS(2224),
    [anon_sym_globallycoherent] = ACTIONS(2224),
    [anon_sym_centroid] = ACTIONS(2224),
    [anon_sym_noperspective] = ACTIONS(2224),
    [anon_sym_nointerpolation] = ACTIONS(2224),
    [anon_sym_sample] = ACTIONS(2224),
    [anon_sym_linear] = ACTIONS(2224),
    [anon_sym_snorm] = ACTIONS(2224),
    [anon_sym_unorm] = ACTIONS(2224),
    [anon_sym_point] = ACTIONS(2224),
    [anon_sym_line] = ACTIONS(2224),
    [anon_sym_triangleadj] = ACTIONS(2224),
    [anon_sym_lineadj] = ACTIONS(2224),
    [anon_sym_triangle] = ACTIONS(2224),
    [anon_sym_cbuffer] = ACTIONS(2224),
  },
  [1433] = {
    [sym_type_qualifier] = STATE(5191),
    [sym__type_specifier] = STATE(6117),
    [sym_sized_type_specifier] = STATE(3317),
    [sym_enum_specifier] = STATE(3317),
    [sym_struct_specifier] = STATE(3317),
    [sym_union_specifier] = STATE(3317),
    [sym__expression] = STATE(4051),
    [sym__expression_not_binary] = STATE(4695),
    [sym__string] = STATE(4695),
    [sym_comma_expression] = STATE(10195),
    [sym_conditional_expression] = STATE(4695),
    [sym_assignment_expression] = STATE(4695),
    [sym_pointer_expression] = STATE(4695),
    [sym_unary_expression] = STATE(4695),
    [sym_binary_expression] = STATE(4695),
    [sym_update_expression] = STATE(4695),
    [sym_cast_expression] = STATE(4695),
    [sym_type_descriptor] = STATE(10055),
    [sym_sizeof_expression] = STATE(4695),
    [sym_alignof_expression] = STATE(4695),
    [sym_offsetof_expression] = STATE(4695),
    [sym_generic_expression] = STATE(4695),
    [sym_subscript_expression] = STATE(4695),
    [sym_call_expression] = STATE(4695),
    [sym_gnu_asm_expression] = STATE(4695),
    [sym_field_expression] = STATE(4695),
    [sym_compound_literal_expression] = STATE(4695),
    [sym_parenthesized_expression] = STATE(4695),
    [sym_char_literal] = STATE(4427),
    [sym_concatenated_string] = STATE(4424),
    [sym_string_literal] = STATE(3398),
    [sym_null] = STATE(4695),
    [sym_placeholder_type_specifier] = STATE(3317),
    [sym_decltype_auto] = STATE(3318),
    [sym_decltype] = STATE(3247),
    [sym_class_specifier] = STATE(3317),
    [sym__class_name] = STATE(9425),
    [sym_dependent_type] = STATE(3317),
    [sym_template_type] = STATE(6654),
    [sym_template_function] = STATE(4695),
    [sym_raw_string_literal] = STATE(3396),
    [sym_co_await_expression] = STATE(4695),
    [sym_new_expression] = STATE(4695),
    [sym_delete_expression] = STATE(4695),
    [sym_requires_clause] = STATE(4695),
    [sym_requires_expression] = STATE(4695),
    [sym_lambda_expression] = STATE(4695),
    [sym_lambda_capture_specifier] = STATE(7185),
    [sym__unary_left_fold] = STATE(10301),
    [sym__unary_right_fold] = STATE(10300),
    [sym__binary_fold] = STATE(10299),
    [sym_fold_expression] = STATE(4695),
    [sym_parameter_pack_expansion] = STATE(4695),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6902),
    [sym_qualified_identifier] = STATE(4695),
    [sym_qualified_type_identifier] = STATE(6699),
    [sym__assignment_expression_lhs] = STATE(10297),
    [sym_user_defined_literal] = STATE(4695),
    [aux_sym__type_definition_type_repeat1] = STATE(5191),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3316),
    [sym_identifier] = ACTIONS(4186),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2106),
    [anon_sym_LPAREN2] = ACTIONS(4188),
    [anon_sym_BANG] = ACTIONS(2532),
    [anon_sym_TILDE] = ACTIONS(2532),
    [anon_sym_DASH] = ACTIONS(2536),
    [anon_sym_PLUS] = ACTIONS(2536),
    [anon_sym_STAR] = ACTIONS(2116),
    [anon_sym_AMP] = ACTIONS(2116),
    [anon_sym___extension__] = ACTIONS(63),
    [anon_sym_COLON_COLON] = ACTIONS(2542),
    [anon_sym_signed] = ACTIONS(2546),
    [anon_sym_unsigned] = ACTIONS(2546),
    [anon_sym_long] = ACTIONS(2546),
    [anon_sym_short] = ACTIONS(2546),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(2550),
    [anon_sym_enum] = ACTIONS(2552),
    [anon_sym_class] = ACTIONS(2554),
    [anon_sym_struct] = ACTIONS(2556),
    [anon_sym_union] = ACTIONS(2558),
    [anon_sym_not] = ACTIONS(2536),
    [anon_sym_compl] = ACTIONS(2536),
    [anon_sym_DASH_DASH] = ACTIONS(2560),
    [anon_sym_PLUS_PLUS] = ACTIONS(2560),
    [anon_sym_sizeof] = ACTIONS(2562),
    [anon_sym___alignof__] = ACTIONS(2564),
    [anon_sym___alignof] = ACTIONS(2564),
    [anon_sym__alignof] = ACTIONS(2564),
    [anon_sym_alignof] = ACTIONS(2564),
    [anon_sym__Alignof] = ACTIONS(2564),
    [anon_sym_offsetof] = ACTIONS(2566),
    [anon_sym__Generic] = ACTIONS(2568),
    [anon_sym_asm] = ACTIONS(2570),
    [anon_sym___asm__] = ACTIONS(2570),
    [sym_number_literal] = ACTIONS(2572),
    [anon_sym_L_SQUOTE] = ACTIONS(2574),
    [anon_sym_u_SQUOTE] = ACTIONS(2574),
    [anon_sym_U_SQUOTE] = ACTIONS(2574),
    [anon_sym_u8_SQUOTE] = ACTIONS(2574),
    [anon_sym_SQUOTE] = ACTIONS(2574),
    [anon_sym_L_DQUOTE] = ACTIONS(2576),
    [anon_sym_u_DQUOTE] = ACTIONS(2576),
    [anon_sym_U_DQUOTE] = ACTIONS(2576),
    [anon_sym_u8_DQUOTE] = ACTIONS(2576),
    [anon_sym_DQUOTE] = ACTIONS(2576),
    [sym_true] = ACTIONS(2578),
    [sym_false] = ACTIONS(2578),
    [anon_sym_NULL] = ACTIONS(2580),
    [anon_sym_nullptr] = ACTIONS(2580),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2582),
    [anon_sym_decltype] = ACTIONS(2584),
    [anon_sym_typename] = ACTIONS(2586),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(2590),
    [anon_sym_R_DQUOTE] = ACTIONS(2592),
    [anon_sym_LR_DQUOTE] = ACTIONS(2592),
    [anon_sym_uR_DQUOTE] = ACTIONS(2592),
    [anon_sym_UR_DQUOTE] = ACTIONS(2592),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2592),
    [anon_sym_co_await] = ACTIONS(2594),
    [anon_sym_new] = ACTIONS(2596),
    [anon_sym_requires] = ACTIONS(2598),
    [sym_this] = ACTIONS(2578),
  },
  [1434] = {
    [sym_type_qualifier] = STATE(5191),
    [sym__type_specifier] = STATE(6117),
    [sym_sized_type_specifier] = STATE(3317),
    [sym_enum_specifier] = STATE(3317),
    [sym_struct_specifier] = STATE(3317),
    [sym_union_specifier] = STATE(3317),
    [sym__expression] = STATE(4051),
    [sym__expression_not_binary] = STATE(4695),
    [sym__string] = STATE(4695),
    [sym_comma_expression] = STATE(10195),
    [sym_conditional_expression] = STATE(4695),
    [sym_assignment_expression] = STATE(4695),
    [sym_pointer_expression] = STATE(4695),
    [sym_unary_expression] = STATE(4695),
    [sym_binary_expression] = STATE(4695),
    [sym_update_expression] = STATE(4695),
    [sym_cast_expression] = STATE(4695),
    [sym_type_descriptor] = STATE(9973),
    [sym_sizeof_expression] = STATE(4695),
    [sym_alignof_expression] = STATE(4695),
    [sym_offsetof_expression] = STATE(4695),
    [sym_generic_expression] = STATE(4695),
    [sym_subscript_expression] = STATE(4695),
    [sym_call_expression] = STATE(4695),
    [sym_gnu_asm_expression] = STATE(4695),
    [sym_field_expression] = STATE(4695),
    [sym_compound_literal_expression] = STATE(4695),
    [sym_parenthesized_expression] = STATE(4695),
    [sym_char_literal] = STATE(4427),
    [sym_concatenated_string] = STATE(4424),
    [sym_string_literal] = STATE(3398),
    [sym_null] = STATE(4695),
    [sym_placeholder_type_specifier] = STATE(3317),
    [sym_decltype_auto] = STATE(3318),
    [sym_decltype] = STATE(3247),
    [sym_class_specifier] = STATE(3317),
    [sym__class_name] = STATE(9425),
    [sym_dependent_type] = STATE(3317),
    [sym_template_type] = STATE(6654),
    [sym_template_function] = STATE(4695),
    [sym_raw_string_literal] = STATE(3396),
    [sym_co_await_expression] = STATE(4695),
    [sym_new_expression] = STATE(4695),
    [sym_delete_expression] = STATE(4695),
    [sym_requires_clause] = STATE(4695),
    [sym_requires_expression] = STATE(4695),
    [sym_lambda_expression] = STATE(4695),
    [sym_lambda_capture_specifier] = STATE(7185),
    [sym__unary_left_fold] = STATE(10301),
    [sym__unary_right_fold] = STATE(10300),
    [sym__binary_fold] = STATE(10299),
    [sym_fold_expression] = STATE(4695),
    [sym_parameter_pack_expansion] = STATE(4695),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6902),
    [sym_qualified_identifier] = STATE(4695),
    [sym_qualified_type_identifier] = STATE(6699),
    [sym__assignment_expression_lhs] = STATE(10297),
    [sym_user_defined_literal] = STATE(4695),
    [aux_sym__type_definition_type_repeat1] = STATE(5191),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3316),
    [sym_identifier] = ACTIONS(4186),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2106),
    [anon_sym_LPAREN2] = ACTIONS(4188),
    [anon_sym_BANG] = ACTIONS(2532),
    [anon_sym_TILDE] = ACTIONS(2532),
    [anon_sym_DASH] = ACTIONS(2536),
    [anon_sym_PLUS] = ACTIONS(2536),
    [anon_sym_STAR] = ACTIONS(2116),
    [anon_sym_AMP] = ACTIONS(2116),
    [anon_sym___extension__] = ACTIONS(63),
    [anon_sym_COLON_COLON] = ACTIONS(2542),
    [anon_sym_signed] = ACTIONS(2546),
    [anon_sym_unsigned] = ACTIONS(2546),
    [anon_sym_long] = ACTIONS(2546),
    [anon_sym_short] = ACTIONS(2546),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(2550),
    [anon_sym_enum] = ACTIONS(2552),
    [anon_sym_class] = ACTIONS(2554),
    [anon_sym_struct] = ACTIONS(2556),
    [anon_sym_union] = ACTIONS(2558),
    [anon_sym_not] = ACTIONS(2536),
    [anon_sym_compl] = ACTIONS(2536),
    [anon_sym_DASH_DASH] = ACTIONS(2560),
    [anon_sym_PLUS_PLUS] = ACTIONS(2560),
    [anon_sym_sizeof] = ACTIONS(2562),
    [anon_sym___alignof__] = ACTIONS(2564),
    [anon_sym___alignof] = ACTIONS(2564),
    [anon_sym__alignof] = ACTIONS(2564),
    [anon_sym_alignof] = ACTIONS(2564),
    [anon_sym__Alignof] = ACTIONS(2564),
    [anon_sym_offsetof] = ACTIONS(2566),
    [anon_sym__Generic] = ACTIONS(2568),
    [anon_sym_asm] = ACTIONS(2570),
    [anon_sym___asm__] = ACTIONS(2570),
    [sym_number_literal] = ACTIONS(2572),
    [anon_sym_L_SQUOTE] = ACTIONS(2574),
    [anon_sym_u_SQUOTE] = ACTIONS(2574),
    [anon_sym_U_SQUOTE] = ACTIONS(2574),
    [anon_sym_u8_SQUOTE] = ACTIONS(2574),
    [anon_sym_SQUOTE] = ACTIONS(2574),
    [anon_sym_L_DQUOTE] = ACTIONS(2576),
    [anon_sym_u_DQUOTE] = ACTIONS(2576),
    [anon_sym_U_DQUOTE] = ACTIONS(2576),
    [anon_sym_u8_DQUOTE] = ACTIONS(2576),
    [anon_sym_DQUOTE] = ACTIONS(2576),
    [sym_true] = ACTIONS(2578),
    [sym_false] = ACTIONS(2578),
    [anon_sym_NULL] = ACTIONS(2580),
    [anon_sym_nullptr] = ACTIONS(2580),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2582),
    [anon_sym_decltype] = ACTIONS(2584),
    [anon_sym_typename] = ACTIONS(2586),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(2590),
    [anon_sym_R_DQUOTE] = ACTIONS(2592),
    [anon_sym_LR_DQUOTE] = ACTIONS(2592),
    [anon_sym_uR_DQUOTE] = ACTIONS(2592),
    [anon_sym_UR_DQUOTE] = ACTIONS(2592),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2592),
    [anon_sym_co_await] = ACTIONS(2594),
    [anon_sym_new] = ACTIONS(2596),
    [anon_sym_requires] = ACTIONS(2598),
    [sym_this] = ACTIONS(2578),
  },
  [1435] = {
    [sym_type_qualifier] = STATE(5191),
    [sym__type_specifier] = STATE(6117),
    [sym_sized_type_specifier] = STATE(3317),
    [sym_enum_specifier] = STATE(3317),
    [sym_struct_specifier] = STATE(3317),
    [sym_union_specifier] = STATE(3317),
    [sym__expression] = STATE(4051),
    [sym__expression_not_binary] = STATE(4695),
    [sym__string] = STATE(4695),
    [sym_comma_expression] = STATE(10195),
    [sym_conditional_expression] = STATE(4695),
    [sym_assignment_expression] = STATE(4695),
    [sym_pointer_expression] = STATE(4695),
    [sym_unary_expression] = STATE(4695),
    [sym_binary_expression] = STATE(4695),
    [sym_update_expression] = STATE(4695),
    [sym_cast_expression] = STATE(4695),
    [sym_type_descriptor] = STATE(10302),
    [sym_sizeof_expression] = STATE(4695),
    [sym_alignof_expression] = STATE(4695),
    [sym_offsetof_expression] = STATE(4695),
    [sym_generic_expression] = STATE(4695),
    [sym_subscript_expression] = STATE(4695),
    [sym_call_expression] = STATE(4695),
    [sym_gnu_asm_expression] = STATE(4695),
    [sym_field_expression] = STATE(4695),
    [sym_compound_literal_expression] = STATE(4695),
    [sym_parenthesized_expression] = STATE(4695),
    [sym_char_literal] = STATE(4427),
    [sym_concatenated_string] = STATE(4424),
    [sym_string_literal] = STATE(3398),
    [sym_null] = STATE(4695),
    [sym_placeholder_type_specifier] = STATE(3317),
    [sym_decltype_auto] = STATE(3318),
    [sym_decltype] = STATE(3247),
    [sym_class_specifier] = STATE(3317),
    [sym__class_name] = STATE(9425),
    [sym_dependent_type] = STATE(3317),
    [sym_template_type] = STATE(6654),
    [sym_template_function] = STATE(4695),
    [sym_raw_string_literal] = STATE(3396),
    [sym_co_await_expression] = STATE(4695),
    [sym_new_expression] = STATE(4695),
    [sym_delete_expression] = STATE(4695),
    [sym_requires_clause] = STATE(4695),
    [sym_requires_expression] = STATE(4695),
    [sym_lambda_expression] = STATE(4695),
    [sym_lambda_capture_specifier] = STATE(7185),
    [sym__unary_left_fold] = STATE(10301),
    [sym__unary_right_fold] = STATE(10300),
    [sym__binary_fold] = STATE(10299),
    [sym_fold_expression] = STATE(4695),
    [sym_parameter_pack_expansion] = STATE(4695),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6902),
    [sym_qualified_identifier] = STATE(4695),
    [sym_qualified_type_identifier] = STATE(6699),
    [sym__assignment_expression_lhs] = STATE(10297),
    [sym_user_defined_literal] = STATE(4695),
    [aux_sym__type_definition_type_repeat1] = STATE(5191),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3316),
    [sym_identifier] = ACTIONS(4186),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2106),
    [anon_sym_LPAREN2] = ACTIONS(4188),
    [anon_sym_BANG] = ACTIONS(2532),
    [anon_sym_TILDE] = ACTIONS(2532),
    [anon_sym_DASH] = ACTIONS(2536),
    [anon_sym_PLUS] = ACTIONS(2536),
    [anon_sym_STAR] = ACTIONS(2116),
    [anon_sym_AMP] = ACTIONS(2116),
    [anon_sym___extension__] = ACTIONS(63),
    [anon_sym_COLON_COLON] = ACTIONS(2542),
    [anon_sym_signed] = ACTIONS(2546),
    [anon_sym_unsigned] = ACTIONS(2546),
    [anon_sym_long] = ACTIONS(2546),
    [anon_sym_short] = ACTIONS(2546),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(2550),
    [anon_sym_enum] = ACTIONS(2552),
    [anon_sym_class] = ACTIONS(2554),
    [anon_sym_struct] = ACTIONS(2556),
    [anon_sym_union] = ACTIONS(2558),
    [anon_sym_not] = ACTIONS(2536),
    [anon_sym_compl] = ACTIONS(2536),
    [anon_sym_DASH_DASH] = ACTIONS(2560),
    [anon_sym_PLUS_PLUS] = ACTIONS(2560),
    [anon_sym_sizeof] = ACTIONS(2562),
    [anon_sym___alignof__] = ACTIONS(2564),
    [anon_sym___alignof] = ACTIONS(2564),
    [anon_sym__alignof] = ACTIONS(2564),
    [anon_sym_alignof] = ACTIONS(2564),
    [anon_sym__Alignof] = ACTIONS(2564),
    [anon_sym_offsetof] = ACTIONS(2566),
    [anon_sym__Generic] = ACTIONS(2568),
    [anon_sym_asm] = ACTIONS(2570),
    [anon_sym___asm__] = ACTIONS(2570),
    [sym_number_literal] = ACTIONS(2572),
    [anon_sym_L_SQUOTE] = ACTIONS(2574),
    [anon_sym_u_SQUOTE] = ACTIONS(2574),
    [anon_sym_U_SQUOTE] = ACTIONS(2574),
    [anon_sym_u8_SQUOTE] = ACTIONS(2574),
    [anon_sym_SQUOTE] = ACTIONS(2574),
    [anon_sym_L_DQUOTE] = ACTIONS(2576),
    [anon_sym_u_DQUOTE] = ACTIONS(2576),
    [anon_sym_U_DQUOTE] = ACTIONS(2576),
    [anon_sym_u8_DQUOTE] = ACTIONS(2576),
    [anon_sym_DQUOTE] = ACTIONS(2576),
    [sym_true] = ACTIONS(2578),
    [sym_false] = ACTIONS(2578),
    [anon_sym_NULL] = ACTIONS(2580),
    [anon_sym_nullptr] = ACTIONS(2580),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2582),
    [anon_sym_decltype] = ACTIONS(2584),
    [anon_sym_typename] = ACTIONS(2586),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(2590),
    [anon_sym_R_DQUOTE] = ACTIONS(2592),
    [anon_sym_LR_DQUOTE] = ACTIONS(2592),
    [anon_sym_uR_DQUOTE] = ACTIONS(2592),
    [anon_sym_UR_DQUOTE] = ACTIONS(2592),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2592),
    [anon_sym_co_await] = ACTIONS(2594),
    [anon_sym_new] = ACTIONS(2596),
    [anon_sym_requires] = ACTIONS(2598),
    [sym_this] = ACTIONS(2578),
  },
  [1436] = {
    [sym_type_qualifier] = STATE(5191),
    [sym__type_specifier] = STATE(6117),
    [sym_sized_type_specifier] = STATE(3317),
    [sym_enum_specifier] = STATE(3317),
    [sym_struct_specifier] = STATE(3317),
    [sym_union_specifier] = STATE(3317),
    [sym__expression] = STATE(3986),
    [sym__expression_not_binary] = STATE(4695),
    [sym__string] = STATE(4695),
    [sym_comma_expression] = STATE(9863),
    [sym_conditional_expression] = STATE(4695),
    [sym_assignment_expression] = STATE(4695),
    [sym_pointer_expression] = STATE(4695),
    [sym_unary_expression] = STATE(4695),
    [sym_binary_expression] = STATE(4695),
    [sym_update_expression] = STATE(4695),
    [sym_cast_expression] = STATE(4695),
    [sym_type_descriptor] = STATE(10061),
    [sym_sizeof_expression] = STATE(4695),
    [sym_alignof_expression] = STATE(4695),
    [sym_offsetof_expression] = STATE(4695),
    [sym_generic_expression] = STATE(4695),
    [sym_subscript_expression] = STATE(4695),
    [sym_call_expression] = STATE(4695),
    [sym_gnu_asm_expression] = STATE(4695),
    [sym_field_expression] = STATE(4695),
    [sym_compound_literal_expression] = STATE(4695),
    [sym_parenthesized_expression] = STATE(4695),
    [sym_char_literal] = STATE(4427),
    [sym_concatenated_string] = STATE(4424),
    [sym_string_literal] = STATE(3398),
    [sym_null] = STATE(4695),
    [sym_placeholder_type_specifier] = STATE(3317),
    [sym_decltype_auto] = STATE(3318),
    [sym_decltype] = STATE(3247),
    [sym_class_specifier] = STATE(3317),
    [sym__class_name] = STATE(9425),
    [sym_dependent_type] = STATE(3317),
    [sym_template_type] = STATE(6654),
    [sym_template_function] = STATE(4695),
    [sym_raw_string_literal] = STATE(3396),
    [sym_co_await_expression] = STATE(4695),
    [sym_new_expression] = STATE(4695),
    [sym_delete_expression] = STATE(4695),
    [sym_requires_clause] = STATE(4695),
    [sym_requires_expression] = STATE(4695),
    [sym_lambda_expression] = STATE(4695),
    [sym_lambda_capture_specifier] = STATE(7185),
    [sym__unary_left_fold] = STATE(10247),
    [sym__unary_right_fold] = STATE(10246),
    [sym__binary_fold] = STATE(10245),
    [sym_fold_expression] = STATE(4695),
    [sym_parameter_pack_expansion] = STATE(4695),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6902),
    [sym_qualified_identifier] = STATE(4695),
    [sym_qualified_type_identifier] = STATE(6699),
    [sym__assignment_expression_lhs] = STATE(9851),
    [sym_user_defined_literal] = STATE(4695),
    [aux_sym__type_definition_type_repeat1] = STATE(5191),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3316),
    [sym_identifier] = ACTIONS(4186),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2106),
    [anon_sym_LPAREN2] = ACTIONS(4188),
    [anon_sym_BANG] = ACTIONS(2532),
    [anon_sym_TILDE] = ACTIONS(2532),
    [anon_sym_DASH] = ACTIONS(2536),
    [anon_sym_PLUS] = ACTIONS(2536),
    [anon_sym_STAR] = ACTIONS(2116),
    [anon_sym_AMP] = ACTIONS(2116),
    [anon_sym___extension__] = ACTIONS(63),
    [anon_sym_COLON_COLON] = ACTIONS(2542),
    [anon_sym_signed] = ACTIONS(2546),
    [anon_sym_unsigned] = ACTIONS(2546),
    [anon_sym_long] = ACTIONS(2546),
    [anon_sym_short] = ACTIONS(2546),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(2550),
    [anon_sym_enum] = ACTIONS(2552),
    [anon_sym_class] = ACTIONS(2554),
    [anon_sym_struct] = ACTIONS(2556),
    [anon_sym_union] = ACTIONS(2558),
    [anon_sym_not] = ACTIONS(2536),
    [anon_sym_compl] = ACTIONS(2536),
    [anon_sym_DASH_DASH] = ACTIONS(2560),
    [anon_sym_PLUS_PLUS] = ACTIONS(2560),
    [anon_sym_sizeof] = ACTIONS(2562),
    [anon_sym___alignof__] = ACTIONS(2564),
    [anon_sym___alignof] = ACTIONS(2564),
    [anon_sym__alignof] = ACTIONS(2564),
    [anon_sym_alignof] = ACTIONS(2564),
    [anon_sym__Alignof] = ACTIONS(2564),
    [anon_sym_offsetof] = ACTIONS(2566),
    [anon_sym__Generic] = ACTIONS(2568),
    [anon_sym_asm] = ACTIONS(2570),
    [anon_sym___asm__] = ACTIONS(2570),
    [sym_number_literal] = ACTIONS(2572),
    [anon_sym_L_SQUOTE] = ACTIONS(2574),
    [anon_sym_u_SQUOTE] = ACTIONS(2574),
    [anon_sym_U_SQUOTE] = ACTIONS(2574),
    [anon_sym_u8_SQUOTE] = ACTIONS(2574),
    [anon_sym_SQUOTE] = ACTIONS(2574),
    [anon_sym_L_DQUOTE] = ACTIONS(2576),
    [anon_sym_u_DQUOTE] = ACTIONS(2576),
    [anon_sym_U_DQUOTE] = ACTIONS(2576),
    [anon_sym_u8_DQUOTE] = ACTIONS(2576),
    [anon_sym_DQUOTE] = ACTIONS(2576),
    [sym_true] = ACTIONS(2578),
    [sym_false] = ACTIONS(2578),
    [anon_sym_NULL] = ACTIONS(2580),
    [anon_sym_nullptr] = ACTIONS(2580),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2582),
    [anon_sym_decltype] = ACTIONS(2584),
    [anon_sym_typename] = ACTIONS(2586),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(2590),
    [anon_sym_R_DQUOTE] = ACTIONS(2592),
    [anon_sym_LR_DQUOTE] = ACTIONS(2592),
    [anon_sym_uR_DQUOTE] = ACTIONS(2592),
    [anon_sym_UR_DQUOTE] = ACTIONS(2592),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2592),
    [anon_sym_co_await] = ACTIONS(2594),
    [anon_sym_new] = ACTIONS(2596),
    [anon_sym_requires] = ACTIONS(2598),
    [sym_this] = ACTIONS(2578),
  },
  [1437] = {
    [sym_type_qualifier] = STATE(5191),
    [sym__type_specifier] = STATE(6117),
    [sym_sized_type_specifier] = STATE(3317),
    [sym_enum_specifier] = STATE(3317),
    [sym_struct_specifier] = STATE(3317),
    [sym_union_specifier] = STATE(3317),
    [sym__expression] = STATE(4051),
    [sym__expression_not_binary] = STATE(4695),
    [sym__string] = STATE(4695),
    [sym_comma_expression] = STATE(10195),
    [sym_conditional_expression] = STATE(4695),
    [sym_assignment_expression] = STATE(4695),
    [sym_pointer_expression] = STATE(4695),
    [sym_unary_expression] = STATE(4695),
    [sym_binary_expression] = STATE(4695),
    [sym_update_expression] = STATE(4695),
    [sym_cast_expression] = STATE(4695),
    [sym_type_descriptor] = STATE(10165),
    [sym_sizeof_expression] = STATE(4695),
    [sym_alignof_expression] = STATE(4695),
    [sym_offsetof_expression] = STATE(4695),
    [sym_generic_expression] = STATE(4695),
    [sym_subscript_expression] = STATE(4695),
    [sym_call_expression] = STATE(4695),
    [sym_gnu_asm_expression] = STATE(4695),
    [sym_field_expression] = STATE(4695),
    [sym_compound_literal_expression] = STATE(4695),
    [sym_parenthesized_expression] = STATE(4695),
    [sym_char_literal] = STATE(4427),
    [sym_concatenated_string] = STATE(4424),
    [sym_string_literal] = STATE(3398),
    [sym_null] = STATE(4695),
    [sym_placeholder_type_specifier] = STATE(3317),
    [sym_decltype_auto] = STATE(3318),
    [sym_decltype] = STATE(3247),
    [sym_class_specifier] = STATE(3317),
    [sym__class_name] = STATE(9425),
    [sym_dependent_type] = STATE(3317),
    [sym_template_type] = STATE(6654),
    [sym_template_function] = STATE(4695),
    [sym_raw_string_literal] = STATE(3396),
    [sym_co_await_expression] = STATE(4695),
    [sym_new_expression] = STATE(4695),
    [sym_delete_expression] = STATE(4695),
    [sym_requires_clause] = STATE(4695),
    [sym_requires_expression] = STATE(4695),
    [sym_lambda_expression] = STATE(4695),
    [sym_lambda_capture_specifier] = STATE(7185),
    [sym__unary_left_fold] = STATE(10289),
    [sym__unary_right_fold] = STATE(10288),
    [sym__binary_fold] = STATE(10287),
    [sym_fold_expression] = STATE(4695),
    [sym_parameter_pack_expansion] = STATE(4695),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6902),
    [sym_qualified_identifier] = STATE(4695),
    [sym_qualified_type_identifier] = STATE(6699),
    [sym__assignment_expression_lhs] = STATE(10297),
    [sym_user_defined_literal] = STATE(4695),
    [aux_sym__type_definition_type_repeat1] = STATE(5191),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3316),
    [sym_identifier] = ACTIONS(4186),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2106),
    [anon_sym_LPAREN2] = ACTIONS(4188),
    [anon_sym_BANG] = ACTIONS(2532),
    [anon_sym_TILDE] = ACTIONS(2532),
    [anon_sym_DASH] = ACTIONS(2536),
    [anon_sym_PLUS] = ACTIONS(2536),
    [anon_sym_STAR] = ACTIONS(2116),
    [anon_sym_AMP] = ACTIONS(2116),
    [anon_sym___extension__] = ACTIONS(63),
    [anon_sym_COLON_COLON] = ACTIONS(2542),
    [anon_sym_signed] = ACTIONS(2546),
    [anon_sym_unsigned] = ACTIONS(2546),
    [anon_sym_long] = ACTIONS(2546),
    [anon_sym_short] = ACTIONS(2546),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(2550),
    [anon_sym_enum] = ACTIONS(2552),
    [anon_sym_class] = ACTIONS(2554),
    [anon_sym_struct] = ACTIONS(2556),
    [anon_sym_union] = ACTIONS(2558),
    [anon_sym_not] = ACTIONS(2536),
    [anon_sym_compl] = ACTIONS(2536),
    [anon_sym_DASH_DASH] = ACTIONS(2560),
    [anon_sym_PLUS_PLUS] = ACTIONS(2560),
    [anon_sym_sizeof] = ACTIONS(2562),
    [anon_sym___alignof__] = ACTIONS(2564),
    [anon_sym___alignof] = ACTIONS(2564),
    [anon_sym__alignof] = ACTIONS(2564),
    [anon_sym_alignof] = ACTIONS(2564),
    [anon_sym__Alignof] = ACTIONS(2564),
    [anon_sym_offsetof] = ACTIONS(2566),
    [anon_sym__Generic] = ACTIONS(2568),
    [anon_sym_asm] = ACTIONS(2570),
    [anon_sym___asm__] = ACTIONS(2570),
    [sym_number_literal] = ACTIONS(2572),
    [anon_sym_L_SQUOTE] = ACTIONS(2574),
    [anon_sym_u_SQUOTE] = ACTIONS(2574),
    [anon_sym_U_SQUOTE] = ACTIONS(2574),
    [anon_sym_u8_SQUOTE] = ACTIONS(2574),
    [anon_sym_SQUOTE] = ACTIONS(2574),
    [anon_sym_L_DQUOTE] = ACTIONS(2576),
    [anon_sym_u_DQUOTE] = ACTIONS(2576),
    [anon_sym_U_DQUOTE] = ACTIONS(2576),
    [anon_sym_u8_DQUOTE] = ACTIONS(2576),
    [anon_sym_DQUOTE] = ACTIONS(2576),
    [sym_true] = ACTIONS(2578),
    [sym_false] = ACTIONS(2578),
    [anon_sym_NULL] = ACTIONS(2580),
    [anon_sym_nullptr] = ACTIONS(2580),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2582),
    [anon_sym_decltype] = ACTIONS(2584),
    [anon_sym_typename] = ACTIONS(2586),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(2590),
    [anon_sym_R_DQUOTE] = ACTIONS(2592),
    [anon_sym_LR_DQUOTE] = ACTIONS(2592),
    [anon_sym_uR_DQUOTE] = ACTIONS(2592),
    [anon_sym_UR_DQUOTE] = ACTIONS(2592),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2592),
    [anon_sym_co_await] = ACTIONS(2594),
    [anon_sym_new] = ACTIONS(2596),
    [anon_sym_requires] = ACTIONS(2598),
    [sym_this] = ACTIONS(2578),
  },
  [1438] = {
    [sym_type_qualifier] = STATE(5191),
    [sym__type_specifier] = STATE(6117),
    [sym_sized_type_specifier] = STATE(3317),
    [sym_enum_specifier] = STATE(3317),
    [sym_struct_specifier] = STATE(3317),
    [sym_union_specifier] = STATE(3317),
    [sym__expression] = STATE(3986),
    [sym__expression_not_binary] = STATE(4695),
    [sym__string] = STATE(4695),
    [sym_comma_expression] = STATE(9863),
    [sym_conditional_expression] = STATE(4695),
    [sym_assignment_expression] = STATE(4695),
    [sym_pointer_expression] = STATE(4695),
    [sym_unary_expression] = STATE(4695),
    [sym_binary_expression] = STATE(4695),
    [sym_update_expression] = STATE(4695),
    [sym_cast_expression] = STATE(4695),
    [sym_type_descriptor] = STATE(10321),
    [sym_sizeof_expression] = STATE(4695),
    [sym_alignof_expression] = STATE(4695),
    [sym_offsetof_expression] = STATE(4695),
    [sym_generic_expression] = STATE(4695),
    [sym_subscript_expression] = STATE(4695),
    [sym_call_expression] = STATE(4695),
    [sym_gnu_asm_expression] = STATE(4695),
    [sym_field_expression] = STATE(4695),
    [sym_compound_literal_expression] = STATE(4695),
    [sym_parenthesized_expression] = STATE(4695),
    [sym_char_literal] = STATE(4427),
    [sym_concatenated_string] = STATE(4424),
    [sym_string_literal] = STATE(3398),
    [sym_null] = STATE(4695),
    [sym_placeholder_type_specifier] = STATE(3317),
    [sym_decltype_auto] = STATE(3318),
    [sym_decltype] = STATE(3247),
    [sym_class_specifier] = STATE(3317),
    [sym__class_name] = STATE(9425),
    [sym_dependent_type] = STATE(3317),
    [sym_template_type] = STATE(6654),
    [sym_template_function] = STATE(4695),
    [sym_raw_string_literal] = STATE(3396),
    [sym_co_await_expression] = STATE(4695),
    [sym_new_expression] = STATE(4695),
    [sym_delete_expression] = STATE(4695),
    [sym_requires_clause] = STATE(4695),
    [sym_requires_expression] = STATE(4695),
    [sym_lambda_expression] = STATE(4695),
    [sym_lambda_capture_specifier] = STATE(7185),
    [sym__unary_left_fold] = STATE(10396),
    [sym__unary_right_fold] = STATE(10394),
    [sym__binary_fold] = STATE(10392),
    [sym_fold_expression] = STATE(4695),
    [sym_parameter_pack_expansion] = STATE(4695),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6902),
    [sym_qualified_identifier] = STATE(4695),
    [sym_qualified_type_identifier] = STATE(6699),
    [sym__assignment_expression_lhs] = STATE(9851),
    [sym_user_defined_literal] = STATE(4695),
    [aux_sym__type_definition_type_repeat1] = STATE(5191),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3316),
    [sym_identifier] = ACTIONS(4186),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2106),
    [anon_sym_LPAREN2] = ACTIONS(4188),
    [anon_sym_BANG] = ACTIONS(2532),
    [anon_sym_TILDE] = ACTIONS(2532),
    [anon_sym_DASH] = ACTIONS(2536),
    [anon_sym_PLUS] = ACTIONS(2536),
    [anon_sym_STAR] = ACTIONS(2116),
    [anon_sym_AMP] = ACTIONS(2116),
    [anon_sym___extension__] = ACTIONS(63),
    [anon_sym_COLON_COLON] = ACTIONS(2542),
    [anon_sym_signed] = ACTIONS(2546),
    [anon_sym_unsigned] = ACTIONS(2546),
    [anon_sym_long] = ACTIONS(2546),
    [anon_sym_short] = ACTIONS(2546),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(2550),
    [anon_sym_enum] = ACTIONS(2552),
    [anon_sym_class] = ACTIONS(2554),
    [anon_sym_struct] = ACTIONS(2556),
    [anon_sym_union] = ACTIONS(2558),
    [anon_sym_not] = ACTIONS(2536),
    [anon_sym_compl] = ACTIONS(2536),
    [anon_sym_DASH_DASH] = ACTIONS(2560),
    [anon_sym_PLUS_PLUS] = ACTIONS(2560),
    [anon_sym_sizeof] = ACTIONS(2562),
    [anon_sym___alignof__] = ACTIONS(2564),
    [anon_sym___alignof] = ACTIONS(2564),
    [anon_sym__alignof] = ACTIONS(2564),
    [anon_sym_alignof] = ACTIONS(2564),
    [anon_sym__Alignof] = ACTIONS(2564),
    [anon_sym_offsetof] = ACTIONS(2566),
    [anon_sym__Generic] = ACTIONS(2568),
    [anon_sym_asm] = ACTIONS(2570),
    [anon_sym___asm__] = ACTIONS(2570),
    [sym_number_literal] = ACTIONS(2572),
    [anon_sym_L_SQUOTE] = ACTIONS(2574),
    [anon_sym_u_SQUOTE] = ACTIONS(2574),
    [anon_sym_U_SQUOTE] = ACTIONS(2574),
    [anon_sym_u8_SQUOTE] = ACTIONS(2574),
    [anon_sym_SQUOTE] = ACTIONS(2574),
    [anon_sym_L_DQUOTE] = ACTIONS(2576),
    [anon_sym_u_DQUOTE] = ACTIONS(2576),
    [anon_sym_U_DQUOTE] = ACTIONS(2576),
    [anon_sym_u8_DQUOTE] = ACTIONS(2576),
    [anon_sym_DQUOTE] = ACTIONS(2576),
    [sym_true] = ACTIONS(2578),
    [sym_false] = ACTIONS(2578),
    [anon_sym_NULL] = ACTIONS(2580),
    [anon_sym_nullptr] = ACTIONS(2580),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2582),
    [anon_sym_decltype] = ACTIONS(2584),
    [anon_sym_typename] = ACTIONS(2586),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(2590),
    [anon_sym_R_DQUOTE] = ACTIONS(2592),
    [anon_sym_LR_DQUOTE] = ACTIONS(2592),
    [anon_sym_uR_DQUOTE] = ACTIONS(2592),
    [anon_sym_UR_DQUOTE] = ACTIONS(2592),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2592),
    [anon_sym_co_await] = ACTIONS(2594),
    [anon_sym_new] = ACTIONS(2596),
    [anon_sym_requires] = ACTIONS(2598),
    [sym_this] = ACTIONS(2578),
  },
  [1439] = {
    [sym_type_qualifier] = STATE(5191),
    [sym__type_specifier] = STATE(6117),
    [sym_sized_type_specifier] = STATE(3317),
    [sym_enum_specifier] = STATE(3317),
    [sym_struct_specifier] = STATE(3317),
    [sym_union_specifier] = STATE(3317),
    [sym__expression] = STATE(4051),
    [sym__expression_not_binary] = STATE(4695),
    [sym__string] = STATE(4695),
    [sym_comma_expression] = STATE(10195),
    [sym_conditional_expression] = STATE(4695),
    [sym_assignment_expression] = STATE(4695),
    [sym_pointer_expression] = STATE(4695),
    [sym_unary_expression] = STATE(4695),
    [sym_binary_expression] = STATE(4695),
    [sym_update_expression] = STATE(4695),
    [sym_cast_expression] = STATE(4695),
    [sym_type_descriptor] = STATE(10291),
    [sym_sizeof_expression] = STATE(4695),
    [sym_alignof_expression] = STATE(4695),
    [sym_offsetof_expression] = STATE(4695),
    [sym_generic_expression] = STATE(4695),
    [sym_subscript_expression] = STATE(4695),
    [sym_call_expression] = STATE(4695),
    [sym_gnu_asm_expression] = STATE(4695),
    [sym_field_expression] = STATE(4695),
    [sym_compound_literal_expression] = STATE(4695),
    [sym_parenthesized_expression] = STATE(4695),
    [sym_char_literal] = STATE(4427),
    [sym_concatenated_string] = STATE(4424),
    [sym_string_literal] = STATE(3398),
    [sym_null] = STATE(4695),
    [sym_placeholder_type_specifier] = STATE(3317),
    [sym_decltype_auto] = STATE(3318),
    [sym_decltype] = STATE(3247),
    [sym_class_specifier] = STATE(3317),
    [sym__class_name] = STATE(9425),
    [sym_dependent_type] = STATE(3317),
    [sym_template_type] = STATE(6654),
    [sym_template_function] = STATE(4695),
    [sym_raw_string_literal] = STATE(3396),
    [sym_co_await_expression] = STATE(4695),
    [sym_new_expression] = STATE(4695),
    [sym_delete_expression] = STATE(4695),
    [sym_requires_clause] = STATE(4695),
    [sym_requires_expression] = STATE(4695),
    [sym_lambda_expression] = STATE(4695),
    [sym_lambda_capture_specifier] = STATE(7185),
    [sym__unary_left_fold] = STATE(10289),
    [sym__unary_right_fold] = STATE(10288),
    [sym__binary_fold] = STATE(10287),
    [sym_fold_expression] = STATE(4695),
    [sym_parameter_pack_expansion] = STATE(4695),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6902),
    [sym_qualified_identifier] = STATE(4695),
    [sym_qualified_type_identifier] = STATE(6699),
    [sym__assignment_expression_lhs] = STATE(10297),
    [sym_user_defined_literal] = STATE(4695),
    [aux_sym__type_definition_type_repeat1] = STATE(5191),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3316),
    [sym_identifier] = ACTIONS(4186),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2106),
    [anon_sym_LPAREN2] = ACTIONS(4188),
    [anon_sym_BANG] = ACTIONS(2532),
    [anon_sym_TILDE] = ACTIONS(2532),
    [anon_sym_DASH] = ACTIONS(2536),
    [anon_sym_PLUS] = ACTIONS(2536),
    [anon_sym_STAR] = ACTIONS(2116),
    [anon_sym_AMP] = ACTIONS(2116),
    [anon_sym___extension__] = ACTIONS(63),
    [anon_sym_COLON_COLON] = ACTIONS(2542),
    [anon_sym_signed] = ACTIONS(2546),
    [anon_sym_unsigned] = ACTIONS(2546),
    [anon_sym_long] = ACTIONS(2546),
    [anon_sym_short] = ACTIONS(2546),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(2550),
    [anon_sym_enum] = ACTIONS(2552),
    [anon_sym_class] = ACTIONS(2554),
    [anon_sym_struct] = ACTIONS(2556),
    [anon_sym_union] = ACTIONS(2558),
    [anon_sym_not] = ACTIONS(2536),
    [anon_sym_compl] = ACTIONS(2536),
    [anon_sym_DASH_DASH] = ACTIONS(2560),
    [anon_sym_PLUS_PLUS] = ACTIONS(2560),
    [anon_sym_sizeof] = ACTIONS(2562),
    [anon_sym___alignof__] = ACTIONS(2564),
    [anon_sym___alignof] = ACTIONS(2564),
    [anon_sym__alignof] = ACTIONS(2564),
    [anon_sym_alignof] = ACTIONS(2564),
    [anon_sym__Alignof] = ACTIONS(2564),
    [anon_sym_offsetof] = ACTIONS(2566),
    [anon_sym__Generic] = ACTIONS(2568),
    [anon_sym_asm] = ACTIONS(2570),
    [anon_sym___asm__] = ACTIONS(2570),
    [sym_number_literal] = ACTIONS(2572),
    [anon_sym_L_SQUOTE] = ACTIONS(2574),
    [anon_sym_u_SQUOTE] = ACTIONS(2574),
    [anon_sym_U_SQUOTE] = ACTIONS(2574),
    [anon_sym_u8_SQUOTE] = ACTIONS(2574),
    [anon_sym_SQUOTE] = ACTIONS(2574),
    [anon_sym_L_DQUOTE] = ACTIONS(2576),
    [anon_sym_u_DQUOTE] = ACTIONS(2576),
    [anon_sym_U_DQUOTE] = ACTIONS(2576),
    [anon_sym_u8_DQUOTE] = ACTIONS(2576),
    [anon_sym_DQUOTE] = ACTIONS(2576),
    [sym_true] = ACTIONS(2578),
    [sym_false] = ACTIONS(2578),
    [anon_sym_NULL] = ACTIONS(2580),
    [anon_sym_nullptr] = ACTIONS(2580),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2582),
    [anon_sym_decltype] = ACTIONS(2584),
    [anon_sym_typename] = ACTIONS(2586),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(2590),
    [anon_sym_R_DQUOTE] = ACTIONS(2592),
    [anon_sym_LR_DQUOTE] = ACTIONS(2592),
    [anon_sym_uR_DQUOTE] = ACTIONS(2592),
    [anon_sym_UR_DQUOTE] = ACTIONS(2592),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2592),
    [anon_sym_co_await] = ACTIONS(2594),
    [anon_sym_new] = ACTIONS(2596),
    [anon_sym_requires] = ACTIONS(2598),
    [sym_this] = ACTIONS(2578),
  },
  [1440] = {
    [sym_type_qualifier] = STATE(5191),
    [sym__type_specifier] = STATE(6117),
    [sym_sized_type_specifier] = STATE(3317),
    [sym_enum_specifier] = STATE(3317),
    [sym_struct_specifier] = STATE(3317),
    [sym_union_specifier] = STATE(3317),
    [sym__expression] = STATE(4021),
    [sym__expression_not_binary] = STATE(4695),
    [sym__string] = STATE(4695),
    [sym_comma_expression] = STATE(10294),
    [sym_conditional_expression] = STATE(4695),
    [sym_assignment_expression] = STATE(4695),
    [sym_pointer_expression] = STATE(4695),
    [sym_unary_expression] = STATE(4695),
    [sym_binary_expression] = STATE(4695),
    [sym_update_expression] = STATE(4695),
    [sym_cast_expression] = STATE(4695),
    [sym_type_descriptor] = STATE(9714),
    [sym_sizeof_expression] = STATE(4695),
    [sym_alignof_expression] = STATE(4695),
    [sym_offsetof_expression] = STATE(4695),
    [sym_generic_expression] = STATE(4695),
    [sym_subscript_expression] = STATE(4695),
    [sym_call_expression] = STATE(4695),
    [sym_gnu_asm_expression] = STATE(4695),
    [sym_field_expression] = STATE(4695),
    [sym_compound_literal_expression] = STATE(4695),
    [sym_parenthesized_expression] = STATE(4695),
    [sym_char_literal] = STATE(4427),
    [sym_concatenated_string] = STATE(4424),
    [sym_string_literal] = STATE(3398),
    [sym_null] = STATE(4695),
    [sym_placeholder_type_specifier] = STATE(3317),
    [sym_decltype_auto] = STATE(3318),
    [sym_decltype] = STATE(3247),
    [sym_class_specifier] = STATE(3317),
    [sym__class_name] = STATE(9425),
    [sym_dependent_type] = STATE(3317),
    [sym_template_type] = STATE(6654),
    [sym_template_function] = STATE(4695),
    [sym_raw_string_literal] = STATE(3396),
    [sym_co_await_expression] = STATE(4695),
    [sym_new_expression] = STATE(4695),
    [sym_delete_expression] = STATE(4695),
    [sym_requires_clause] = STATE(4695),
    [sym_requires_expression] = STATE(4695),
    [sym_lambda_expression] = STATE(4695),
    [sym_lambda_capture_specifier] = STATE(7185),
    [sym__unary_left_fold] = STATE(9676),
    [sym__unary_right_fold] = STATE(9677),
    [sym__binary_fold] = STATE(9613),
    [sym_fold_expression] = STATE(4695),
    [sym_parameter_pack_expansion] = STATE(4695),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6902),
    [sym_qualified_identifier] = STATE(4695),
    [sym_qualified_type_identifier] = STATE(6699),
    [sym__assignment_expression_lhs] = STATE(10286),
    [sym_user_defined_literal] = STATE(4695),
    [aux_sym__type_definition_type_repeat1] = STATE(5191),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3316),
    [sym_identifier] = ACTIONS(4186),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2106),
    [anon_sym_LPAREN2] = ACTIONS(4188),
    [anon_sym_BANG] = ACTIONS(2532),
    [anon_sym_TILDE] = ACTIONS(2532),
    [anon_sym_DASH] = ACTIONS(2536),
    [anon_sym_PLUS] = ACTIONS(2536),
    [anon_sym_STAR] = ACTIONS(2116),
    [anon_sym_AMP] = ACTIONS(2116),
    [anon_sym___extension__] = ACTIONS(63),
    [anon_sym_COLON_COLON] = ACTIONS(2542),
    [anon_sym_signed] = ACTIONS(2546),
    [anon_sym_unsigned] = ACTIONS(2546),
    [anon_sym_long] = ACTIONS(2546),
    [anon_sym_short] = ACTIONS(2546),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(2550),
    [anon_sym_enum] = ACTIONS(2552),
    [anon_sym_class] = ACTIONS(2554),
    [anon_sym_struct] = ACTIONS(2556),
    [anon_sym_union] = ACTIONS(2558),
    [anon_sym_not] = ACTIONS(2536),
    [anon_sym_compl] = ACTIONS(2536),
    [anon_sym_DASH_DASH] = ACTIONS(2560),
    [anon_sym_PLUS_PLUS] = ACTIONS(2560),
    [anon_sym_sizeof] = ACTIONS(2562),
    [anon_sym___alignof__] = ACTIONS(2564),
    [anon_sym___alignof] = ACTIONS(2564),
    [anon_sym__alignof] = ACTIONS(2564),
    [anon_sym_alignof] = ACTIONS(2564),
    [anon_sym__Alignof] = ACTIONS(2564),
    [anon_sym_offsetof] = ACTIONS(2566),
    [anon_sym__Generic] = ACTIONS(2568),
    [anon_sym_asm] = ACTIONS(2570),
    [anon_sym___asm__] = ACTIONS(2570),
    [sym_number_literal] = ACTIONS(2572),
    [anon_sym_L_SQUOTE] = ACTIONS(2574),
    [anon_sym_u_SQUOTE] = ACTIONS(2574),
    [anon_sym_U_SQUOTE] = ACTIONS(2574),
    [anon_sym_u8_SQUOTE] = ACTIONS(2574),
    [anon_sym_SQUOTE] = ACTIONS(2574),
    [anon_sym_L_DQUOTE] = ACTIONS(2576),
    [anon_sym_u_DQUOTE] = ACTIONS(2576),
    [anon_sym_U_DQUOTE] = ACTIONS(2576),
    [anon_sym_u8_DQUOTE] = ACTIONS(2576),
    [anon_sym_DQUOTE] = ACTIONS(2576),
    [sym_true] = ACTIONS(2578),
    [sym_false] = ACTIONS(2578),
    [anon_sym_NULL] = ACTIONS(2580),
    [anon_sym_nullptr] = ACTIONS(2580),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2582),
    [anon_sym_decltype] = ACTIONS(2584),
    [anon_sym_typename] = ACTIONS(2586),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(2590),
    [anon_sym_R_DQUOTE] = ACTIONS(2592),
    [anon_sym_LR_DQUOTE] = ACTIONS(2592),
    [anon_sym_uR_DQUOTE] = ACTIONS(2592),
    [anon_sym_UR_DQUOTE] = ACTIONS(2592),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2592),
    [anon_sym_co_await] = ACTIONS(2594),
    [anon_sym_new] = ACTIONS(2596),
    [anon_sym_requires] = ACTIONS(2598),
    [sym_this] = ACTIONS(2578),
  },
  [1441] = {
    [sym_type_qualifier] = STATE(5191),
    [sym__type_specifier] = STATE(6117),
    [sym_sized_type_specifier] = STATE(3317),
    [sym_enum_specifier] = STATE(3317),
    [sym_struct_specifier] = STATE(3317),
    [sym_union_specifier] = STATE(3317),
    [sym__expression] = STATE(4021),
    [sym__expression_not_binary] = STATE(4695),
    [sym__string] = STATE(4695),
    [sym_comma_expression] = STATE(10294),
    [sym_conditional_expression] = STATE(4695),
    [sym_assignment_expression] = STATE(4695),
    [sym_pointer_expression] = STATE(4695),
    [sym_unary_expression] = STATE(4695),
    [sym_binary_expression] = STATE(4695),
    [sym_update_expression] = STATE(4695),
    [sym_cast_expression] = STATE(4695),
    [sym_type_descriptor] = STATE(9859),
    [sym_sizeof_expression] = STATE(4695),
    [sym_alignof_expression] = STATE(4695),
    [sym_offsetof_expression] = STATE(4695),
    [sym_generic_expression] = STATE(4695),
    [sym_subscript_expression] = STATE(4695),
    [sym_call_expression] = STATE(4695),
    [sym_gnu_asm_expression] = STATE(4695),
    [sym_field_expression] = STATE(4695),
    [sym_compound_literal_expression] = STATE(4695),
    [sym_parenthesized_expression] = STATE(4695),
    [sym_char_literal] = STATE(4427),
    [sym_concatenated_string] = STATE(4424),
    [sym_string_literal] = STATE(3398),
    [sym_null] = STATE(4695),
    [sym_placeholder_type_specifier] = STATE(3317),
    [sym_decltype_auto] = STATE(3318),
    [sym_decltype] = STATE(3247),
    [sym_class_specifier] = STATE(3317),
    [sym__class_name] = STATE(9425),
    [sym_dependent_type] = STATE(3317),
    [sym_template_type] = STATE(6654),
    [sym_template_function] = STATE(4695),
    [sym_raw_string_literal] = STATE(3396),
    [sym_co_await_expression] = STATE(4695),
    [sym_new_expression] = STATE(4695),
    [sym_delete_expression] = STATE(4695),
    [sym_requires_clause] = STATE(4695),
    [sym_requires_expression] = STATE(4695),
    [sym_lambda_expression] = STATE(4695),
    [sym_lambda_capture_specifier] = STATE(7185),
    [sym__unary_left_fold] = STATE(9858),
    [sym__unary_right_fold] = STATE(9856),
    [sym__binary_fold] = STATE(9853),
    [sym_fold_expression] = STATE(4695),
    [sym_parameter_pack_expansion] = STATE(4695),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6902),
    [sym_qualified_identifier] = STATE(4695),
    [sym_qualified_type_identifier] = STATE(6699),
    [sym__assignment_expression_lhs] = STATE(10286),
    [sym_user_defined_literal] = STATE(4695),
    [aux_sym__type_definition_type_repeat1] = STATE(5191),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3316),
    [sym_identifier] = ACTIONS(4186),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2106),
    [anon_sym_LPAREN2] = ACTIONS(4188),
    [anon_sym_BANG] = ACTIONS(2532),
    [anon_sym_TILDE] = ACTIONS(2532),
    [anon_sym_DASH] = ACTIONS(2536),
    [anon_sym_PLUS] = ACTIONS(2536),
    [anon_sym_STAR] = ACTIONS(2116),
    [anon_sym_AMP] = ACTIONS(2116),
    [anon_sym___extension__] = ACTIONS(63),
    [anon_sym_COLON_COLON] = ACTIONS(2542),
    [anon_sym_signed] = ACTIONS(2546),
    [anon_sym_unsigned] = ACTIONS(2546),
    [anon_sym_long] = ACTIONS(2546),
    [anon_sym_short] = ACTIONS(2546),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(2550),
    [anon_sym_enum] = ACTIONS(2552),
    [anon_sym_class] = ACTIONS(2554),
    [anon_sym_struct] = ACTIONS(2556),
    [anon_sym_union] = ACTIONS(2558),
    [anon_sym_not] = ACTIONS(2536),
    [anon_sym_compl] = ACTIONS(2536),
    [anon_sym_DASH_DASH] = ACTIONS(2560),
    [anon_sym_PLUS_PLUS] = ACTIONS(2560),
    [anon_sym_sizeof] = ACTIONS(2562),
    [anon_sym___alignof__] = ACTIONS(2564),
    [anon_sym___alignof] = ACTIONS(2564),
    [anon_sym__alignof] = ACTIONS(2564),
    [anon_sym_alignof] = ACTIONS(2564),
    [anon_sym__Alignof] = ACTIONS(2564),
    [anon_sym_offsetof] = ACTIONS(2566),
    [anon_sym__Generic] = ACTIONS(2568),
    [anon_sym_asm] = ACTIONS(2570),
    [anon_sym___asm__] = ACTIONS(2570),
    [sym_number_literal] = ACTIONS(2572),
    [anon_sym_L_SQUOTE] = ACTIONS(2574),
    [anon_sym_u_SQUOTE] = ACTIONS(2574),
    [anon_sym_U_SQUOTE] = ACTIONS(2574),
    [anon_sym_u8_SQUOTE] = ACTIONS(2574),
    [anon_sym_SQUOTE] = ACTIONS(2574),
    [anon_sym_L_DQUOTE] = ACTIONS(2576),
    [anon_sym_u_DQUOTE] = ACTIONS(2576),
    [anon_sym_U_DQUOTE] = ACTIONS(2576),
    [anon_sym_u8_DQUOTE] = ACTIONS(2576),
    [anon_sym_DQUOTE] = ACTIONS(2576),
    [sym_true] = ACTIONS(2578),
    [sym_false] = ACTIONS(2578),
    [anon_sym_NULL] = ACTIONS(2580),
    [anon_sym_nullptr] = ACTIONS(2580),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2582),
    [anon_sym_decltype] = ACTIONS(2584),
    [anon_sym_typename] = ACTIONS(2586),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(2590),
    [anon_sym_R_DQUOTE] = ACTIONS(2592),
    [anon_sym_LR_DQUOTE] = ACTIONS(2592),
    [anon_sym_uR_DQUOTE] = ACTIONS(2592),
    [anon_sym_UR_DQUOTE] = ACTIONS(2592),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2592),
    [anon_sym_co_await] = ACTIONS(2594),
    [anon_sym_new] = ACTIONS(2596),
    [anon_sym_requires] = ACTIONS(2598),
    [sym_this] = ACTIONS(2578),
  },
  [1442] = {
    [sym_type_qualifier] = STATE(5191),
    [sym__type_specifier] = STATE(6117),
    [sym_sized_type_specifier] = STATE(3317),
    [sym_enum_specifier] = STATE(3317),
    [sym_struct_specifier] = STATE(3317),
    [sym_union_specifier] = STATE(3317),
    [sym__expression] = STATE(3986),
    [sym__expression_not_binary] = STATE(4695),
    [sym__string] = STATE(4695),
    [sym_comma_expression] = STATE(9863),
    [sym_conditional_expression] = STATE(4695),
    [sym_assignment_expression] = STATE(4695),
    [sym_pointer_expression] = STATE(4695),
    [sym_unary_expression] = STATE(4695),
    [sym_binary_expression] = STATE(4695),
    [sym_update_expression] = STATE(4695),
    [sym_cast_expression] = STATE(4695),
    [sym_type_descriptor] = STATE(10398),
    [sym_sizeof_expression] = STATE(4695),
    [sym_alignof_expression] = STATE(4695),
    [sym_offsetof_expression] = STATE(4695),
    [sym_generic_expression] = STATE(4695),
    [sym_subscript_expression] = STATE(4695),
    [sym_call_expression] = STATE(4695),
    [sym_gnu_asm_expression] = STATE(4695),
    [sym_field_expression] = STATE(4695),
    [sym_compound_literal_expression] = STATE(4695),
    [sym_parenthesized_expression] = STATE(4695),
    [sym_char_literal] = STATE(4427),
    [sym_concatenated_string] = STATE(4424),
    [sym_string_literal] = STATE(3398),
    [sym_null] = STATE(4695),
    [sym_placeholder_type_specifier] = STATE(3317),
    [sym_decltype_auto] = STATE(3318),
    [sym_decltype] = STATE(3247),
    [sym_class_specifier] = STATE(3317),
    [sym__class_name] = STATE(9425),
    [sym_dependent_type] = STATE(3317),
    [sym_template_type] = STATE(6654),
    [sym_template_function] = STATE(4695),
    [sym_raw_string_literal] = STATE(3396),
    [sym_co_await_expression] = STATE(4695),
    [sym_new_expression] = STATE(4695),
    [sym_delete_expression] = STATE(4695),
    [sym_requires_clause] = STATE(4695),
    [sym_requires_expression] = STATE(4695),
    [sym_lambda_expression] = STATE(4695),
    [sym_lambda_capture_specifier] = STATE(7185),
    [sym__unary_left_fold] = STATE(10396),
    [sym__unary_right_fold] = STATE(10394),
    [sym__binary_fold] = STATE(10392),
    [sym_fold_expression] = STATE(4695),
    [sym_parameter_pack_expansion] = STATE(4695),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6902),
    [sym_qualified_identifier] = STATE(4695),
    [sym_qualified_type_identifier] = STATE(6699),
    [sym__assignment_expression_lhs] = STATE(9851),
    [sym_user_defined_literal] = STATE(4695),
    [aux_sym__type_definition_type_repeat1] = STATE(5191),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3316),
    [sym_identifier] = ACTIONS(4186),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2106),
    [anon_sym_LPAREN2] = ACTIONS(4188),
    [anon_sym_BANG] = ACTIONS(2532),
    [anon_sym_TILDE] = ACTIONS(2532),
    [anon_sym_DASH] = ACTIONS(2536),
    [anon_sym_PLUS] = ACTIONS(2536),
    [anon_sym_STAR] = ACTIONS(2116),
    [anon_sym_AMP] = ACTIONS(2116),
    [anon_sym___extension__] = ACTIONS(63),
    [anon_sym_COLON_COLON] = ACTIONS(2542),
    [anon_sym_signed] = ACTIONS(2546),
    [anon_sym_unsigned] = ACTIONS(2546),
    [anon_sym_long] = ACTIONS(2546),
    [anon_sym_short] = ACTIONS(2546),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(2550),
    [anon_sym_enum] = ACTIONS(2552),
    [anon_sym_class] = ACTIONS(2554),
    [anon_sym_struct] = ACTIONS(2556),
    [anon_sym_union] = ACTIONS(2558),
    [anon_sym_not] = ACTIONS(2536),
    [anon_sym_compl] = ACTIONS(2536),
    [anon_sym_DASH_DASH] = ACTIONS(2560),
    [anon_sym_PLUS_PLUS] = ACTIONS(2560),
    [anon_sym_sizeof] = ACTIONS(2562),
    [anon_sym___alignof__] = ACTIONS(2564),
    [anon_sym___alignof] = ACTIONS(2564),
    [anon_sym__alignof] = ACTIONS(2564),
    [anon_sym_alignof] = ACTIONS(2564),
    [anon_sym__Alignof] = ACTIONS(2564),
    [anon_sym_offsetof] = ACTIONS(2566),
    [anon_sym__Generic] = ACTIONS(2568),
    [anon_sym_asm] = ACTIONS(2570),
    [anon_sym___asm__] = ACTIONS(2570),
    [sym_number_literal] = ACTIONS(2572),
    [anon_sym_L_SQUOTE] = ACTIONS(2574),
    [anon_sym_u_SQUOTE] = ACTIONS(2574),
    [anon_sym_U_SQUOTE] = ACTIONS(2574),
    [anon_sym_u8_SQUOTE] = ACTIONS(2574),
    [anon_sym_SQUOTE] = ACTIONS(2574),
    [anon_sym_L_DQUOTE] = ACTIONS(2576),
    [anon_sym_u_DQUOTE] = ACTIONS(2576),
    [anon_sym_U_DQUOTE] = ACTIONS(2576),
    [anon_sym_u8_DQUOTE] = ACTIONS(2576),
    [anon_sym_DQUOTE] = ACTIONS(2576),
    [sym_true] = ACTIONS(2578),
    [sym_false] = ACTIONS(2578),
    [anon_sym_NULL] = ACTIONS(2580),
    [anon_sym_nullptr] = ACTIONS(2580),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2582),
    [anon_sym_decltype] = ACTIONS(2584),
    [anon_sym_typename] = ACTIONS(2586),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(2590),
    [anon_sym_R_DQUOTE] = ACTIONS(2592),
    [anon_sym_LR_DQUOTE] = ACTIONS(2592),
    [anon_sym_uR_DQUOTE] = ACTIONS(2592),
    [anon_sym_UR_DQUOTE] = ACTIONS(2592),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2592),
    [anon_sym_co_await] = ACTIONS(2594),
    [anon_sym_new] = ACTIONS(2596),
    [anon_sym_requires] = ACTIONS(2598),
    [sym_this] = ACTIONS(2578),
  },
  [1443] = {
    [sym_type_qualifier] = STATE(5191),
    [sym__type_specifier] = STATE(6117),
    [sym_sized_type_specifier] = STATE(3317),
    [sym_enum_specifier] = STATE(3317),
    [sym_struct_specifier] = STATE(3317),
    [sym_union_specifier] = STATE(3317),
    [sym__expression] = STATE(4051),
    [sym__expression_not_binary] = STATE(4695),
    [sym__string] = STATE(4695),
    [sym_comma_expression] = STATE(10195),
    [sym_conditional_expression] = STATE(4695),
    [sym_assignment_expression] = STATE(4695),
    [sym_pointer_expression] = STATE(4695),
    [sym_unary_expression] = STATE(4695),
    [sym_binary_expression] = STATE(4695),
    [sym_update_expression] = STATE(4695),
    [sym_cast_expression] = STATE(4695),
    [sym_type_descriptor] = STATE(10284),
    [sym_sizeof_expression] = STATE(4695),
    [sym_alignof_expression] = STATE(4695),
    [sym_offsetof_expression] = STATE(4695),
    [sym_generic_expression] = STATE(4695),
    [sym_subscript_expression] = STATE(4695),
    [sym_call_expression] = STATE(4695),
    [sym_gnu_asm_expression] = STATE(4695),
    [sym_field_expression] = STATE(4695),
    [sym_compound_literal_expression] = STATE(4695),
    [sym_parenthesized_expression] = STATE(4695),
    [sym_char_literal] = STATE(4427),
    [sym_concatenated_string] = STATE(4424),
    [sym_string_literal] = STATE(3398),
    [sym_null] = STATE(4695),
    [sym_placeholder_type_specifier] = STATE(3317),
    [sym_decltype_auto] = STATE(3318),
    [sym_decltype] = STATE(3247),
    [sym_class_specifier] = STATE(3317),
    [sym__class_name] = STATE(9425),
    [sym_dependent_type] = STATE(3317),
    [sym_template_type] = STATE(6654),
    [sym_template_function] = STATE(4695),
    [sym_raw_string_literal] = STATE(3396),
    [sym_co_await_expression] = STATE(4695),
    [sym_new_expression] = STATE(4695),
    [sym_delete_expression] = STATE(4695),
    [sym_requires_clause] = STATE(4695),
    [sym_requires_expression] = STATE(4695),
    [sym_lambda_expression] = STATE(4695),
    [sym_lambda_capture_specifier] = STATE(7185),
    [sym__unary_left_fold] = STATE(10289),
    [sym__unary_right_fold] = STATE(10288),
    [sym__binary_fold] = STATE(10287),
    [sym_fold_expression] = STATE(4695),
    [sym_parameter_pack_expansion] = STATE(4695),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6902),
    [sym_qualified_identifier] = STATE(4695),
    [sym_qualified_type_identifier] = STATE(6699),
    [sym__assignment_expression_lhs] = STATE(10297),
    [sym_user_defined_literal] = STATE(4695),
    [aux_sym__type_definition_type_repeat1] = STATE(5191),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3316),
    [sym_identifier] = ACTIONS(4186),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2106),
    [anon_sym_LPAREN2] = ACTIONS(4188),
    [anon_sym_BANG] = ACTIONS(2532),
    [anon_sym_TILDE] = ACTIONS(2532),
    [anon_sym_DASH] = ACTIONS(2536),
    [anon_sym_PLUS] = ACTIONS(2536),
    [anon_sym_STAR] = ACTIONS(2116),
    [anon_sym_AMP] = ACTIONS(2116),
    [anon_sym___extension__] = ACTIONS(63),
    [anon_sym_COLON_COLON] = ACTIONS(2542),
    [anon_sym_signed] = ACTIONS(2546),
    [anon_sym_unsigned] = ACTIONS(2546),
    [anon_sym_long] = ACTIONS(2546),
    [anon_sym_short] = ACTIONS(2546),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(2550),
    [anon_sym_enum] = ACTIONS(2552),
    [anon_sym_class] = ACTIONS(2554),
    [anon_sym_struct] = ACTIONS(2556),
    [anon_sym_union] = ACTIONS(2558),
    [anon_sym_not] = ACTIONS(2536),
    [anon_sym_compl] = ACTIONS(2536),
    [anon_sym_DASH_DASH] = ACTIONS(2560),
    [anon_sym_PLUS_PLUS] = ACTIONS(2560),
    [anon_sym_sizeof] = ACTIONS(2562),
    [anon_sym___alignof__] = ACTIONS(2564),
    [anon_sym___alignof] = ACTIONS(2564),
    [anon_sym__alignof] = ACTIONS(2564),
    [anon_sym_alignof] = ACTIONS(2564),
    [anon_sym__Alignof] = ACTIONS(2564),
    [anon_sym_offsetof] = ACTIONS(2566),
    [anon_sym__Generic] = ACTIONS(2568),
    [anon_sym_asm] = ACTIONS(2570),
    [anon_sym___asm__] = ACTIONS(2570),
    [sym_number_literal] = ACTIONS(2572),
    [anon_sym_L_SQUOTE] = ACTIONS(2574),
    [anon_sym_u_SQUOTE] = ACTIONS(2574),
    [anon_sym_U_SQUOTE] = ACTIONS(2574),
    [anon_sym_u8_SQUOTE] = ACTIONS(2574),
    [anon_sym_SQUOTE] = ACTIONS(2574),
    [anon_sym_L_DQUOTE] = ACTIONS(2576),
    [anon_sym_u_DQUOTE] = ACTIONS(2576),
    [anon_sym_U_DQUOTE] = ACTIONS(2576),
    [anon_sym_u8_DQUOTE] = ACTIONS(2576),
    [anon_sym_DQUOTE] = ACTIONS(2576),
    [sym_true] = ACTIONS(2578),
    [sym_false] = ACTIONS(2578),
    [anon_sym_NULL] = ACTIONS(2580),
    [anon_sym_nullptr] = ACTIONS(2580),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2582),
    [anon_sym_decltype] = ACTIONS(2584),
    [anon_sym_typename] = ACTIONS(2586),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(2590),
    [anon_sym_R_DQUOTE] = ACTIONS(2592),
    [anon_sym_LR_DQUOTE] = ACTIONS(2592),
    [anon_sym_uR_DQUOTE] = ACTIONS(2592),
    [anon_sym_UR_DQUOTE] = ACTIONS(2592),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2592),
    [anon_sym_co_await] = ACTIONS(2594),
    [anon_sym_new] = ACTIONS(2596),
    [anon_sym_requires] = ACTIONS(2598),
    [sym_this] = ACTIONS(2578),
  },
  [1444] = {
    [sym_type_qualifier] = STATE(5191),
    [sym__type_specifier] = STATE(6117),
    [sym_sized_type_specifier] = STATE(3317),
    [sym_enum_specifier] = STATE(3317),
    [sym_struct_specifier] = STATE(3317),
    [sym_union_specifier] = STATE(3317),
    [sym__expression] = STATE(4051),
    [sym__expression_not_binary] = STATE(4695),
    [sym__string] = STATE(4695),
    [sym_comma_expression] = STATE(10195),
    [sym_conditional_expression] = STATE(4695),
    [sym_assignment_expression] = STATE(4695),
    [sym_pointer_expression] = STATE(4695),
    [sym_unary_expression] = STATE(4695),
    [sym_binary_expression] = STATE(4695),
    [sym_update_expression] = STATE(4695),
    [sym_cast_expression] = STATE(4695),
    [sym_type_descriptor] = STATE(9862),
    [sym_sizeof_expression] = STATE(4695),
    [sym_alignof_expression] = STATE(4695),
    [sym_offsetof_expression] = STATE(4695),
    [sym_generic_expression] = STATE(4695),
    [sym_subscript_expression] = STATE(4695),
    [sym_call_expression] = STATE(4695),
    [sym_gnu_asm_expression] = STATE(4695),
    [sym_field_expression] = STATE(4695),
    [sym_compound_literal_expression] = STATE(4695),
    [sym_parenthesized_expression] = STATE(4695),
    [sym_char_literal] = STATE(4427),
    [sym_concatenated_string] = STATE(4424),
    [sym_string_literal] = STATE(3398),
    [sym_null] = STATE(4695),
    [sym_placeholder_type_specifier] = STATE(3317),
    [sym_decltype_auto] = STATE(3318),
    [sym_decltype] = STATE(3247),
    [sym_class_specifier] = STATE(3317),
    [sym__class_name] = STATE(9425),
    [sym_dependent_type] = STATE(3317),
    [sym_template_type] = STATE(6654),
    [sym_template_function] = STATE(4695),
    [sym_raw_string_literal] = STATE(3396),
    [sym_co_await_expression] = STATE(4695),
    [sym_new_expression] = STATE(4695),
    [sym_delete_expression] = STATE(4695),
    [sym_requires_clause] = STATE(4695),
    [sym_requires_expression] = STATE(4695),
    [sym_lambda_expression] = STATE(4695),
    [sym_lambda_capture_specifier] = STATE(7185),
    [sym__unary_left_fold] = STATE(10301),
    [sym__unary_right_fold] = STATE(10300),
    [sym__binary_fold] = STATE(10299),
    [sym_fold_expression] = STATE(4695),
    [sym_parameter_pack_expansion] = STATE(4695),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6902),
    [sym_qualified_identifier] = STATE(4695),
    [sym_qualified_type_identifier] = STATE(6699),
    [sym__assignment_expression_lhs] = STATE(10297),
    [sym_user_defined_literal] = STATE(4695),
    [aux_sym__type_definition_type_repeat1] = STATE(5191),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3316),
    [sym_identifier] = ACTIONS(4186),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2106),
    [anon_sym_LPAREN2] = ACTIONS(4188),
    [anon_sym_BANG] = ACTIONS(2532),
    [anon_sym_TILDE] = ACTIONS(2532),
    [anon_sym_DASH] = ACTIONS(2536),
    [anon_sym_PLUS] = ACTIONS(2536),
    [anon_sym_STAR] = ACTIONS(2116),
    [anon_sym_AMP] = ACTIONS(2116),
    [anon_sym___extension__] = ACTIONS(63),
    [anon_sym_COLON_COLON] = ACTIONS(2542),
    [anon_sym_signed] = ACTIONS(2546),
    [anon_sym_unsigned] = ACTIONS(2546),
    [anon_sym_long] = ACTIONS(2546),
    [anon_sym_short] = ACTIONS(2546),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(2550),
    [anon_sym_enum] = ACTIONS(2552),
    [anon_sym_class] = ACTIONS(2554),
    [anon_sym_struct] = ACTIONS(2556),
    [anon_sym_union] = ACTIONS(2558),
    [anon_sym_not] = ACTIONS(2536),
    [anon_sym_compl] = ACTIONS(2536),
    [anon_sym_DASH_DASH] = ACTIONS(2560),
    [anon_sym_PLUS_PLUS] = ACTIONS(2560),
    [anon_sym_sizeof] = ACTIONS(2562),
    [anon_sym___alignof__] = ACTIONS(2564),
    [anon_sym___alignof] = ACTIONS(2564),
    [anon_sym__alignof] = ACTIONS(2564),
    [anon_sym_alignof] = ACTIONS(2564),
    [anon_sym__Alignof] = ACTIONS(2564),
    [anon_sym_offsetof] = ACTIONS(2566),
    [anon_sym__Generic] = ACTIONS(2568),
    [anon_sym_asm] = ACTIONS(2570),
    [anon_sym___asm__] = ACTIONS(2570),
    [sym_number_literal] = ACTIONS(2572),
    [anon_sym_L_SQUOTE] = ACTIONS(2574),
    [anon_sym_u_SQUOTE] = ACTIONS(2574),
    [anon_sym_U_SQUOTE] = ACTIONS(2574),
    [anon_sym_u8_SQUOTE] = ACTIONS(2574),
    [anon_sym_SQUOTE] = ACTIONS(2574),
    [anon_sym_L_DQUOTE] = ACTIONS(2576),
    [anon_sym_u_DQUOTE] = ACTIONS(2576),
    [anon_sym_U_DQUOTE] = ACTIONS(2576),
    [anon_sym_u8_DQUOTE] = ACTIONS(2576),
    [anon_sym_DQUOTE] = ACTIONS(2576),
    [sym_true] = ACTIONS(2578),
    [sym_false] = ACTIONS(2578),
    [anon_sym_NULL] = ACTIONS(2580),
    [anon_sym_nullptr] = ACTIONS(2580),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2582),
    [anon_sym_decltype] = ACTIONS(2584),
    [anon_sym_typename] = ACTIONS(2586),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(2590),
    [anon_sym_R_DQUOTE] = ACTIONS(2592),
    [anon_sym_LR_DQUOTE] = ACTIONS(2592),
    [anon_sym_uR_DQUOTE] = ACTIONS(2592),
    [anon_sym_UR_DQUOTE] = ACTIONS(2592),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2592),
    [anon_sym_co_await] = ACTIONS(2594),
    [anon_sym_new] = ACTIONS(2596),
    [anon_sym_requires] = ACTIONS(2598),
    [sym_this] = ACTIONS(2578),
  },
  [1445] = {
    [sym_type_qualifier] = STATE(5191),
    [sym__type_specifier] = STATE(6117),
    [sym_sized_type_specifier] = STATE(3317),
    [sym_enum_specifier] = STATE(3317),
    [sym_struct_specifier] = STATE(3317),
    [sym_union_specifier] = STATE(3317),
    [sym__expression] = STATE(4051),
    [sym__expression_not_binary] = STATE(4695),
    [sym__string] = STATE(4695),
    [sym_comma_expression] = STATE(10195),
    [sym_conditional_expression] = STATE(4695),
    [sym_assignment_expression] = STATE(4695),
    [sym_pointer_expression] = STATE(4695),
    [sym_unary_expression] = STATE(4695),
    [sym_binary_expression] = STATE(4695),
    [sym_update_expression] = STATE(4695),
    [sym_cast_expression] = STATE(4695),
    [sym_type_descriptor] = STATE(10012),
    [sym_sizeof_expression] = STATE(4695),
    [sym_alignof_expression] = STATE(4695),
    [sym_offsetof_expression] = STATE(4695),
    [sym_generic_expression] = STATE(4695),
    [sym_subscript_expression] = STATE(4695),
    [sym_call_expression] = STATE(4695),
    [sym_gnu_asm_expression] = STATE(4695),
    [sym_field_expression] = STATE(4695),
    [sym_compound_literal_expression] = STATE(4695),
    [sym_parenthesized_expression] = STATE(4695),
    [sym_char_literal] = STATE(4427),
    [sym_concatenated_string] = STATE(4424),
    [sym_string_literal] = STATE(3398),
    [sym_null] = STATE(4695),
    [sym_placeholder_type_specifier] = STATE(3317),
    [sym_decltype_auto] = STATE(3318),
    [sym_decltype] = STATE(3247),
    [sym_class_specifier] = STATE(3317),
    [sym__class_name] = STATE(9425),
    [sym_dependent_type] = STATE(3317),
    [sym_template_type] = STATE(6654),
    [sym_template_function] = STATE(4695),
    [sym_raw_string_literal] = STATE(3396),
    [sym_co_await_expression] = STATE(4695),
    [sym_new_expression] = STATE(4695),
    [sym_delete_expression] = STATE(4695),
    [sym_requires_clause] = STATE(4695),
    [sym_requires_expression] = STATE(4695),
    [sym_lambda_expression] = STATE(4695),
    [sym_lambda_capture_specifier] = STATE(7185),
    [sym__unary_left_fold] = STATE(10301),
    [sym__unary_right_fold] = STATE(10300),
    [sym__binary_fold] = STATE(10299),
    [sym_fold_expression] = STATE(4695),
    [sym_parameter_pack_expansion] = STATE(4695),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6902),
    [sym_qualified_identifier] = STATE(4695),
    [sym_qualified_type_identifier] = STATE(6699),
    [sym__assignment_expression_lhs] = STATE(10297),
    [sym_user_defined_literal] = STATE(4695),
    [aux_sym__type_definition_type_repeat1] = STATE(5191),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3316),
    [sym_identifier] = ACTIONS(4186),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2106),
    [anon_sym_LPAREN2] = ACTIONS(4188),
    [anon_sym_BANG] = ACTIONS(2532),
    [anon_sym_TILDE] = ACTIONS(2532),
    [anon_sym_DASH] = ACTIONS(2536),
    [anon_sym_PLUS] = ACTIONS(2536),
    [anon_sym_STAR] = ACTIONS(2116),
    [anon_sym_AMP] = ACTIONS(2116),
    [anon_sym___extension__] = ACTIONS(63),
    [anon_sym_COLON_COLON] = ACTIONS(2542),
    [anon_sym_signed] = ACTIONS(2546),
    [anon_sym_unsigned] = ACTIONS(2546),
    [anon_sym_long] = ACTIONS(2546),
    [anon_sym_short] = ACTIONS(2546),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(2550),
    [anon_sym_enum] = ACTIONS(2552),
    [anon_sym_class] = ACTIONS(2554),
    [anon_sym_struct] = ACTIONS(2556),
    [anon_sym_union] = ACTIONS(2558),
    [anon_sym_not] = ACTIONS(2536),
    [anon_sym_compl] = ACTIONS(2536),
    [anon_sym_DASH_DASH] = ACTIONS(2560),
    [anon_sym_PLUS_PLUS] = ACTIONS(2560),
    [anon_sym_sizeof] = ACTIONS(2562),
    [anon_sym___alignof__] = ACTIONS(2564),
    [anon_sym___alignof] = ACTIONS(2564),
    [anon_sym__alignof] = ACTIONS(2564),
    [anon_sym_alignof] = ACTIONS(2564),
    [anon_sym__Alignof] = ACTIONS(2564),
    [anon_sym_offsetof] = ACTIONS(2566),
    [anon_sym__Generic] = ACTIONS(2568),
    [anon_sym_asm] = ACTIONS(2570),
    [anon_sym___asm__] = ACTIONS(2570),
    [sym_number_literal] = ACTIONS(2572),
    [anon_sym_L_SQUOTE] = ACTIONS(2574),
    [anon_sym_u_SQUOTE] = ACTIONS(2574),
    [anon_sym_U_SQUOTE] = ACTIONS(2574),
    [anon_sym_u8_SQUOTE] = ACTIONS(2574),
    [anon_sym_SQUOTE] = ACTIONS(2574),
    [anon_sym_L_DQUOTE] = ACTIONS(2576),
    [anon_sym_u_DQUOTE] = ACTIONS(2576),
    [anon_sym_U_DQUOTE] = ACTIONS(2576),
    [anon_sym_u8_DQUOTE] = ACTIONS(2576),
    [anon_sym_DQUOTE] = ACTIONS(2576),
    [sym_true] = ACTIONS(2578),
    [sym_false] = ACTIONS(2578),
    [anon_sym_NULL] = ACTIONS(2580),
    [anon_sym_nullptr] = ACTIONS(2580),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2582),
    [anon_sym_decltype] = ACTIONS(2584),
    [anon_sym_typename] = ACTIONS(2586),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(2590),
    [anon_sym_R_DQUOTE] = ACTIONS(2592),
    [anon_sym_LR_DQUOTE] = ACTIONS(2592),
    [anon_sym_uR_DQUOTE] = ACTIONS(2592),
    [anon_sym_UR_DQUOTE] = ACTIONS(2592),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2592),
    [anon_sym_co_await] = ACTIONS(2594),
    [anon_sym_new] = ACTIONS(2596),
    [anon_sym_requires] = ACTIONS(2598),
    [sym_this] = ACTIONS(2578),
  },
  [1446] = {
    [sym_type_qualifier] = STATE(5191),
    [sym__type_specifier] = STATE(6117),
    [sym_sized_type_specifier] = STATE(3317),
    [sym_enum_specifier] = STATE(3317),
    [sym_struct_specifier] = STATE(3317),
    [sym_union_specifier] = STATE(3317),
    [sym__expression] = STATE(4051),
    [sym__expression_not_binary] = STATE(4695),
    [sym__string] = STATE(4695),
    [sym_comma_expression] = STATE(10195),
    [sym_conditional_expression] = STATE(4695),
    [sym_assignment_expression] = STATE(4695),
    [sym_pointer_expression] = STATE(4695),
    [sym_unary_expression] = STATE(4695),
    [sym_binary_expression] = STATE(4695),
    [sym_update_expression] = STATE(4695),
    [sym_cast_expression] = STATE(4695),
    [sym_type_descriptor] = STATE(9861),
    [sym_sizeof_expression] = STATE(4695),
    [sym_alignof_expression] = STATE(4695),
    [sym_offsetof_expression] = STATE(4695),
    [sym_generic_expression] = STATE(4695),
    [sym_subscript_expression] = STATE(4695),
    [sym_call_expression] = STATE(4695),
    [sym_gnu_asm_expression] = STATE(4695),
    [sym_field_expression] = STATE(4695),
    [sym_compound_literal_expression] = STATE(4695),
    [sym_parenthesized_expression] = STATE(4695),
    [sym_char_literal] = STATE(4427),
    [sym_concatenated_string] = STATE(4424),
    [sym_string_literal] = STATE(3398),
    [sym_null] = STATE(4695),
    [sym_placeholder_type_specifier] = STATE(3317),
    [sym_decltype_auto] = STATE(3318),
    [sym_decltype] = STATE(3247),
    [sym_class_specifier] = STATE(3317),
    [sym__class_name] = STATE(9425),
    [sym_dependent_type] = STATE(3317),
    [sym_template_type] = STATE(6654),
    [sym_template_function] = STATE(4695),
    [sym_raw_string_literal] = STATE(3396),
    [sym_co_await_expression] = STATE(4695),
    [sym_new_expression] = STATE(4695),
    [sym_delete_expression] = STATE(4695),
    [sym_requires_clause] = STATE(4695),
    [sym_requires_expression] = STATE(4695),
    [sym_lambda_expression] = STATE(4695),
    [sym_lambda_capture_specifier] = STATE(7185),
    [sym__unary_left_fold] = STATE(10301),
    [sym__unary_right_fold] = STATE(10300),
    [sym__binary_fold] = STATE(10299),
    [sym_fold_expression] = STATE(4695),
    [sym_parameter_pack_expansion] = STATE(4695),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6902),
    [sym_qualified_identifier] = STATE(4695),
    [sym_qualified_type_identifier] = STATE(6699),
    [sym__assignment_expression_lhs] = STATE(10297),
    [sym_user_defined_literal] = STATE(4695),
    [aux_sym__type_definition_type_repeat1] = STATE(5191),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3316),
    [sym_identifier] = ACTIONS(4186),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2106),
    [anon_sym_LPAREN2] = ACTIONS(4188),
    [anon_sym_BANG] = ACTIONS(2532),
    [anon_sym_TILDE] = ACTIONS(2532),
    [anon_sym_DASH] = ACTIONS(2536),
    [anon_sym_PLUS] = ACTIONS(2536),
    [anon_sym_STAR] = ACTIONS(2116),
    [anon_sym_AMP] = ACTIONS(2116),
    [anon_sym___extension__] = ACTIONS(63),
    [anon_sym_COLON_COLON] = ACTIONS(2542),
    [anon_sym_signed] = ACTIONS(2546),
    [anon_sym_unsigned] = ACTIONS(2546),
    [anon_sym_long] = ACTIONS(2546),
    [anon_sym_short] = ACTIONS(2546),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(2550),
    [anon_sym_enum] = ACTIONS(2552),
    [anon_sym_class] = ACTIONS(2554),
    [anon_sym_struct] = ACTIONS(2556),
    [anon_sym_union] = ACTIONS(2558),
    [anon_sym_not] = ACTIONS(2536),
    [anon_sym_compl] = ACTIONS(2536),
    [anon_sym_DASH_DASH] = ACTIONS(2560),
    [anon_sym_PLUS_PLUS] = ACTIONS(2560),
    [anon_sym_sizeof] = ACTIONS(2562),
    [anon_sym___alignof__] = ACTIONS(2564),
    [anon_sym___alignof] = ACTIONS(2564),
    [anon_sym__alignof] = ACTIONS(2564),
    [anon_sym_alignof] = ACTIONS(2564),
    [anon_sym__Alignof] = ACTIONS(2564),
    [anon_sym_offsetof] = ACTIONS(2566),
    [anon_sym__Generic] = ACTIONS(2568),
    [anon_sym_asm] = ACTIONS(2570),
    [anon_sym___asm__] = ACTIONS(2570),
    [sym_number_literal] = ACTIONS(2572),
    [anon_sym_L_SQUOTE] = ACTIONS(2574),
    [anon_sym_u_SQUOTE] = ACTIONS(2574),
    [anon_sym_U_SQUOTE] = ACTIONS(2574),
    [anon_sym_u8_SQUOTE] = ACTIONS(2574),
    [anon_sym_SQUOTE] = ACTIONS(2574),
    [anon_sym_L_DQUOTE] = ACTIONS(2576),
    [anon_sym_u_DQUOTE] = ACTIONS(2576),
    [anon_sym_U_DQUOTE] = ACTIONS(2576),
    [anon_sym_u8_DQUOTE] = ACTIONS(2576),
    [anon_sym_DQUOTE] = ACTIONS(2576),
    [sym_true] = ACTIONS(2578),
    [sym_false] = ACTIONS(2578),
    [anon_sym_NULL] = ACTIONS(2580),
    [anon_sym_nullptr] = ACTIONS(2580),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2582),
    [anon_sym_decltype] = ACTIONS(2584),
    [anon_sym_typename] = ACTIONS(2586),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(2590),
    [anon_sym_R_DQUOTE] = ACTIONS(2592),
    [anon_sym_LR_DQUOTE] = ACTIONS(2592),
    [anon_sym_uR_DQUOTE] = ACTIONS(2592),
    [anon_sym_UR_DQUOTE] = ACTIONS(2592),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2592),
    [anon_sym_co_await] = ACTIONS(2594),
    [anon_sym_new] = ACTIONS(2596),
    [anon_sym_requires] = ACTIONS(2598),
    [sym_this] = ACTIONS(2578),
  },
  [1447] = {
    [sym_type_qualifier] = STATE(5191),
    [sym__type_specifier] = STATE(6117),
    [sym_sized_type_specifier] = STATE(3317),
    [sym_enum_specifier] = STATE(3317),
    [sym_struct_specifier] = STATE(3317),
    [sym_union_specifier] = STATE(3317),
    [sym__expression] = STATE(4051),
    [sym__expression_not_binary] = STATE(4695),
    [sym__string] = STATE(4695),
    [sym_comma_expression] = STATE(10195),
    [sym_conditional_expression] = STATE(4695),
    [sym_assignment_expression] = STATE(4695),
    [sym_pointer_expression] = STATE(4695),
    [sym_unary_expression] = STATE(4695),
    [sym_binary_expression] = STATE(4695),
    [sym_update_expression] = STATE(4695),
    [sym_cast_expression] = STATE(4695),
    [sym_type_descriptor] = STATE(10025),
    [sym_sizeof_expression] = STATE(4695),
    [sym_alignof_expression] = STATE(4695),
    [sym_offsetof_expression] = STATE(4695),
    [sym_generic_expression] = STATE(4695),
    [sym_subscript_expression] = STATE(4695),
    [sym_call_expression] = STATE(4695),
    [sym_gnu_asm_expression] = STATE(4695),
    [sym_field_expression] = STATE(4695),
    [sym_compound_literal_expression] = STATE(4695),
    [sym_parenthesized_expression] = STATE(4695),
    [sym_char_literal] = STATE(4427),
    [sym_concatenated_string] = STATE(4424),
    [sym_string_literal] = STATE(3398),
    [sym_null] = STATE(4695),
    [sym_placeholder_type_specifier] = STATE(3317),
    [sym_decltype_auto] = STATE(3318),
    [sym_decltype] = STATE(3247),
    [sym_class_specifier] = STATE(3317),
    [sym__class_name] = STATE(9425),
    [sym_dependent_type] = STATE(3317),
    [sym_template_type] = STATE(6654),
    [sym_template_function] = STATE(4695),
    [sym_raw_string_literal] = STATE(3396),
    [sym_co_await_expression] = STATE(4695),
    [sym_new_expression] = STATE(4695),
    [sym_delete_expression] = STATE(4695),
    [sym_requires_clause] = STATE(4695),
    [sym_requires_expression] = STATE(4695),
    [sym_lambda_expression] = STATE(4695),
    [sym_lambda_capture_specifier] = STATE(7185),
    [sym__unary_left_fold] = STATE(10289),
    [sym__unary_right_fold] = STATE(10288),
    [sym__binary_fold] = STATE(10287),
    [sym_fold_expression] = STATE(4695),
    [sym_parameter_pack_expansion] = STATE(4695),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6902),
    [sym_qualified_identifier] = STATE(4695),
    [sym_qualified_type_identifier] = STATE(6699),
    [sym__assignment_expression_lhs] = STATE(10297),
    [sym_user_defined_literal] = STATE(4695),
    [aux_sym__type_definition_type_repeat1] = STATE(5191),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3316),
    [sym_identifier] = ACTIONS(4186),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2106),
    [anon_sym_LPAREN2] = ACTIONS(4188),
    [anon_sym_BANG] = ACTIONS(2532),
    [anon_sym_TILDE] = ACTIONS(2532),
    [anon_sym_DASH] = ACTIONS(2536),
    [anon_sym_PLUS] = ACTIONS(2536),
    [anon_sym_STAR] = ACTIONS(2116),
    [anon_sym_AMP] = ACTIONS(2116),
    [anon_sym___extension__] = ACTIONS(63),
    [anon_sym_COLON_COLON] = ACTIONS(2542),
    [anon_sym_signed] = ACTIONS(2546),
    [anon_sym_unsigned] = ACTIONS(2546),
    [anon_sym_long] = ACTIONS(2546),
    [anon_sym_short] = ACTIONS(2546),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(2550),
    [anon_sym_enum] = ACTIONS(2552),
    [anon_sym_class] = ACTIONS(2554),
    [anon_sym_struct] = ACTIONS(2556),
    [anon_sym_union] = ACTIONS(2558),
    [anon_sym_not] = ACTIONS(2536),
    [anon_sym_compl] = ACTIONS(2536),
    [anon_sym_DASH_DASH] = ACTIONS(2560),
    [anon_sym_PLUS_PLUS] = ACTIONS(2560),
    [anon_sym_sizeof] = ACTIONS(2562),
    [anon_sym___alignof__] = ACTIONS(2564),
    [anon_sym___alignof] = ACTIONS(2564),
    [anon_sym__alignof] = ACTIONS(2564),
    [anon_sym_alignof] = ACTIONS(2564),
    [anon_sym__Alignof] = ACTIONS(2564),
    [anon_sym_offsetof] = ACTIONS(2566),
    [anon_sym__Generic] = ACTIONS(2568),
    [anon_sym_asm] = ACTIONS(2570),
    [anon_sym___asm__] = ACTIONS(2570),
    [sym_number_literal] = ACTIONS(2572),
    [anon_sym_L_SQUOTE] = ACTIONS(2574),
    [anon_sym_u_SQUOTE] = ACTIONS(2574),
    [anon_sym_U_SQUOTE] = ACTIONS(2574),
    [anon_sym_u8_SQUOTE] = ACTIONS(2574),
    [anon_sym_SQUOTE] = ACTIONS(2574),
    [anon_sym_L_DQUOTE] = ACTIONS(2576),
    [anon_sym_u_DQUOTE] = ACTIONS(2576),
    [anon_sym_U_DQUOTE] = ACTIONS(2576),
    [anon_sym_u8_DQUOTE] = ACTIONS(2576),
    [anon_sym_DQUOTE] = ACTIONS(2576),
    [sym_true] = ACTIONS(2578),
    [sym_false] = ACTIONS(2578),
    [anon_sym_NULL] = ACTIONS(2580),
    [anon_sym_nullptr] = ACTIONS(2580),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2582),
    [anon_sym_decltype] = ACTIONS(2584),
    [anon_sym_typename] = ACTIONS(2586),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(2590),
    [anon_sym_R_DQUOTE] = ACTIONS(2592),
    [anon_sym_LR_DQUOTE] = ACTIONS(2592),
    [anon_sym_uR_DQUOTE] = ACTIONS(2592),
    [anon_sym_UR_DQUOTE] = ACTIONS(2592),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2592),
    [anon_sym_co_await] = ACTIONS(2594),
    [anon_sym_new] = ACTIONS(2596),
    [anon_sym_requires] = ACTIONS(2598),
    [sym_this] = ACTIONS(2578),
  },
  [1448] = {
    [sym_type_qualifier] = STATE(5191),
    [sym__type_specifier] = STATE(6117),
    [sym_sized_type_specifier] = STATE(3317),
    [sym_enum_specifier] = STATE(3317),
    [sym_struct_specifier] = STATE(3317),
    [sym_union_specifier] = STATE(3317),
    [sym__expression] = STATE(4051),
    [sym__expression_not_binary] = STATE(4695),
    [sym__string] = STATE(4695),
    [sym_comma_expression] = STATE(10195),
    [sym_conditional_expression] = STATE(4695),
    [sym_assignment_expression] = STATE(4695),
    [sym_pointer_expression] = STATE(4695),
    [sym_unary_expression] = STATE(4695),
    [sym_binary_expression] = STATE(4695),
    [sym_update_expression] = STATE(4695),
    [sym_cast_expression] = STATE(4695),
    [sym_type_descriptor] = STATE(10248),
    [sym_sizeof_expression] = STATE(4695),
    [sym_alignof_expression] = STATE(4695),
    [sym_offsetof_expression] = STATE(4695),
    [sym_generic_expression] = STATE(4695),
    [sym_subscript_expression] = STATE(4695),
    [sym_call_expression] = STATE(4695),
    [sym_gnu_asm_expression] = STATE(4695),
    [sym_field_expression] = STATE(4695),
    [sym_compound_literal_expression] = STATE(4695),
    [sym_parenthesized_expression] = STATE(4695),
    [sym_char_literal] = STATE(4427),
    [sym_concatenated_string] = STATE(4424),
    [sym_string_literal] = STATE(3398),
    [sym_null] = STATE(4695),
    [sym_placeholder_type_specifier] = STATE(3317),
    [sym_decltype_auto] = STATE(3318),
    [sym_decltype] = STATE(3247),
    [sym_class_specifier] = STATE(3317),
    [sym__class_name] = STATE(9425),
    [sym_dependent_type] = STATE(3317),
    [sym_template_type] = STATE(6654),
    [sym_template_function] = STATE(4695),
    [sym_raw_string_literal] = STATE(3396),
    [sym_co_await_expression] = STATE(4695),
    [sym_new_expression] = STATE(4695),
    [sym_delete_expression] = STATE(4695),
    [sym_requires_clause] = STATE(4695),
    [sym_requires_expression] = STATE(4695),
    [sym_lambda_expression] = STATE(4695),
    [sym_lambda_capture_specifier] = STATE(7185),
    [sym__unary_left_fold] = STATE(10289),
    [sym__unary_right_fold] = STATE(10288),
    [sym__binary_fold] = STATE(10287),
    [sym_fold_expression] = STATE(4695),
    [sym_parameter_pack_expansion] = STATE(4695),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6902),
    [sym_qualified_identifier] = STATE(4695),
    [sym_qualified_type_identifier] = STATE(6699),
    [sym__assignment_expression_lhs] = STATE(10297),
    [sym_user_defined_literal] = STATE(4695),
    [aux_sym__type_definition_type_repeat1] = STATE(5191),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3316),
    [sym_identifier] = ACTIONS(4186),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2106),
    [anon_sym_LPAREN2] = ACTIONS(4188),
    [anon_sym_BANG] = ACTIONS(2532),
    [anon_sym_TILDE] = ACTIONS(2532),
    [anon_sym_DASH] = ACTIONS(2536),
    [anon_sym_PLUS] = ACTIONS(2536),
    [anon_sym_STAR] = ACTIONS(2116),
    [anon_sym_AMP] = ACTIONS(2116),
    [anon_sym___extension__] = ACTIONS(63),
    [anon_sym_COLON_COLON] = ACTIONS(2542),
    [anon_sym_signed] = ACTIONS(2546),
    [anon_sym_unsigned] = ACTIONS(2546),
    [anon_sym_long] = ACTIONS(2546),
    [anon_sym_short] = ACTIONS(2546),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(2550),
    [anon_sym_enum] = ACTIONS(2552),
    [anon_sym_class] = ACTIONS(2554),
    [anon_sym_struct] = ACTIONS(2556),
    [anon_sym_union] = ACTIONS(2558),
    [anon_sym_not] = ACTIONS(2536),
    [anon_sym_compl] = ACTIONS(2536),
    [anon_sym_DASH_DASH] = ACTIONS(2560),
    [anon_sym_PLUS_PLUS] = ACTIONS(2560),
    [anon_sym_sizeof] = ACTIONS(2562),
    [anon_sym___alignof__] = ACTIONS(2564),
    [anon_sym___alignof] = ACTIONS(2564),
    [anon_sym__alignof] = ACTIONS(2564),
    [anon_sym_alignof] = ACTIONS(2564),
    [anon_sym__Alignof] = ACTIONS(2564),
    [anon_sym_offsetof] = ACTIONS(2566),
    [anon_sym__Generic] = ACTIONS(2568),
    [anon_sym_asm] = ACTIONS(2570),
    [anon_sym___asm__] = ACTIONS(2570),
    [sym_number_literal] = ACTIONS(2572),
    [anon_sym_L_SQUOTE] = ACTIONS(2574),
    [anon_sym_u_SQUOTE] = ACTIONS(2574),
    [anon_sym_U_SQUOTE] = ACTIONS(2574),
    [anon_sym_u8_SQUOTE] = ACTIONS(2574),
    [anon_sym_SQUOTE] = ACTIONS(2574),
    [anon_sym_L_DQUOTE] = ACTIONS(2576),
    [anon_sym_u_DQUOTE] = ACTIONS(2576),
    [anon_sym_U_DQUOTE] = ACTIONS(2576),
    [anon_sym_u8_DQUOTE] = ACTIONS(2576),
    [anon_sym_DQUOTE] = ACTIONS(2576),
    [sym_true] = ACTIONS(2578),
    [sym_false] = ACTIONS(2578),
    [anon_sym_NULL] = ACTIONS(2580),
    [anon_sym_nullptr] = ACTIONS(2580),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2582),
    [anon_sym_decltype] = ACTIONS(2584),
    [anon_sym_typename] = ACTIONS(2586),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(2590),
    [anon_sym_R_DQUOTE] = ACTIONS(2592),
    [anon_sym_LR_DQUOTE] = ACTIONS(2592),
    [anon_sym_uR_DQUOTE] = ACTIONS(2592),
    [anon_sym_UR_DQUOTE] = ACTIONS(2592),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2592),
    [anon_sym_co_await] = ACTIONS(2594),
    [anon_sym_new] = ACTIONS(2596),
    [anon_sym_requires] = ACTIONS(2598),
    [sym_this] = ACTIONS(2578),
  },
  [1449] = {
    [sym_type_qualifier] = STATE(5191),
    [sym__type_specifier] = STATE(6117),
    [sym_sized_type_specifier] = STATE(3317),
    [sym_enum_specifier] = STATE(3317),
    [sym_struct_specifier] = STATE(3317),
    [sym_union_specifier] = STATE(3317),
    [sym__expression] = STATE(4021),
    [sym__expression_not_binary] = STATE(4695),
    [sym__string] = STATE(4695),
    [sym_comma_expression] = STATE(10294),
    [sym_conditional_expression] = STATE(4695),
    [sym_assignment_expression] = STATE(4695),
    [sym_pointer_expression] = STATE(4695),
    [sym_unary_expression] = STATE(4695),
    [sym_binary_expression] = STATE(4695),
    [sym_update_expression] = STATE(4695),
    [sym_cast_expression] = STATE(4695),
    [sym_type_descriptor] = STATE(9689),
    [sym_sizeof_expression] = STATE(4695),
    [sym_alignof_expression] = STATE(4695),
    [sym_offsetof_expression] = STATE(4695),
    [sym_generic_expression] = STATE(4695),
    [sym_subscript_expression] = STATE(4695),
    [sym_call_expression] = STATE(4695),
    [sym_gnu_asm_expression] = STATE(4695),
    [sym_field_expression] = STATE(4695),
    [sym_compound_literal_expression] = STATE(4695),
    [sym_parenthesized_expression] = STATE(4695),
    [sym_char_literal] = STATE(4427),
    [sym_concatenated_string] = STATE(4424),
    [sym_string_literal] = STATE(3398),
    [sym_null] = STATE(4695),
    [sym_placeholder_type_specifier] = STATE(3317),
    [sym_decltype_auto] = STATE(3318),
    [sym_decltype] = STATE(3247),
    [sym_class_specifier] = STATE(3317),
    [sym__class_name] = STATE(9425),
    [sym_dependent_type] = STATE(3317),
    [sym_template_type] = STATE(6654),
    [sym_template_function] = STATE(4695),
    [sym_raw_string_literal] = STATE(3396),
    [sym_co_await_expression] = STATE(4695),
    [sym_new_expression] = STATE(4695),
    [sym_delete_expression] = STATE(4695),
    [sym_requires_clause] = STATE(4695),
    [sym_requires_expression] = STATE(4695),
    [sym_lambda_expression] = STATE(4695),
    [sym_lambda_capture_specifier] = STATE(7185),
    [sym__unary_left_fold] = STATE(9858),
    [sym__unary_right_fold] = STATE(9856),
    [sym__binary_fold] = STATE(9853),
    [sym_fold_expression] = STATE(4695),
    [sym_parameter_pack_expansion] = STATE(4695),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6902),
    [sym_qualified_identifier] = STATE(4695),
    [sym_qualified_type_identifier] = STATE(6699),
    [sym__assignment_expression_lhs] = STATE(10286),
    [sym_user_defined_literal] = STATE(4695),
    [aux_sym__type_definition_type_repeat1] = STATE(5191),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3316),
    [sym_identifier] = ACTIONS(4186),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2106),
    [anon_sym_LPAREN2] = ACTIONS(4188),
    [anon_sym_BANG] = ACTIONS(2532),
    [anon_sym_TILDE] = ACTIONS(2532),
    [anon_sym_DASH] = ACTIONS(2536),
    [anon_sym_PLUS] = ACTIONS(2536),
    [anon_sym_STAR] = ACTIONS(2116),
    [anon_sym_AMP] = ACTIONS(2116),
    [anon_sym___extension__] = ACTIONS(63),
    [anon_sym_COLON_COLON] = ACTIONS(2542),
    [anon_sym_signed] = ACTIONS(2546),
    [anon_sym_unsigned] = ACTIONS(2546),
    [anon_sym_long] = ACTIONS(2546),
    [anon_sym_short] = ACTIONS(2546),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(2550),
    [anon_sym_enum] = ACTIONS(2552),
    [anon_sym_class] = ACTIONS(2554),
    [anon_sym_struct] = ACTIONS(2556),
    [anon_sym_union] = ACTIONS(2558),
    [anon_sym_not] = ACTIONS(2536),
    [anon_sym_compl] = ACTIONS(2536),
    [anon_sym_DASH_DASH] = ACTIONS(2560),
    [anon_sym_PLUS_PLUS] = ACTIONS(2560),
    [anon_sym_sizeof] = ACTIONS(2562),
    [anon_sym___alignof__] = ACTIONS(2564),
    [anon_sym___alignof] = ACTIONS(2564),
    [anon_sym__alignof] = ACTIONS(2564),
    [anon_sym_alignof] = ACTIONS(2564),
    [anon_sym__Alignof] = ACTIONS(2564),
    [anon_sym_offsetof] = ACTIONS(2566),
    [anon_sym__Generic] = ACTIONS(2568),
    [anon_sym_asm] = ACTIONS(2570),
    [anon_sym___asm__] = ACTIONS(2570),
    [sym_number_literal] = ACTIONS(2572),
    [anon_sym_L_SQUOTE] = ACTIONS(2574),
    [anon_sym_u_SQUOTE] = ACTIONS(2574),
    [anon_sym_U_SQUOTE] = ACTIONS(2574),
    [anon_sym_u8_SQUOTE] = ACTIONS(2574),
    [anon_sym_SQUOTE] = ACTIONS(2574),
    [anon_sym_L_DQUOTE] = ACTIONS(2576),
    [anon_sym_u_DQUOTE] = ACTIONS(2576),
    [anon_sym_U_DQUOTE] = ACTIONS(2576),
    [anon_sym_u8_DQUOTE] = ACTIONS(2576),
    [anon_sym_DQUOTE] = ACTIONS(2576),
    [sym_true] = ACTIONS(2578),
    [sym_false] = ACTIONS(2578),
    [anon_sym_NULL] = ACTIONS(2580),
    [anon_sym_nullptr] = ACTIONS(2580),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2582),
    [anon_sym_decltype] = ACTIONS(2584),
    [anon_sym_typename] = ACTIONS(2586),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(2590),
    [anon_sym_R_DQUOTE] = ACTIONS(2592),
    [anon_sym_LR_DQUOTE] = ACTIONS(2592),
    [anon_sym_uR_DQUOTE] = ACTIONS(2592),
    [anon_sym_UR_DQUOTE] = ACTIONS(2592),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2592),
    [anon_sym_co_await] = ACTIONS(2594),
    [anon_sym_new] = ACTIONS(2596),
    [anon_sym_requires] = ACTIONS(2598),
    [sym_this] = ACTIONS(2578),
  },
  [1450] = {
    [sym_template_argument_list] = STATE(1478),
    [sym_identifier] = ACTIONS(2232),
    [anon_sym_LPAREN2] = ACTIONS(2234),
    [anon_sym_BANG] = ACTIONS(2234),
    [anon_sym_TILDE] = ACTIONS(2234),
    [anon_sym_DASH] = ACTIONS(2232),
    [anon_sym_PLUS] = ACTIONS(2232),
    [anon_sym_STAR] = ACTIONS(2234),
    [anon_sym_AMP] = ACTIONS(2234),
    [anon_sym_LT] = ACTIONS(4184),
    [anon_sym_COLON] = ACTIONS(2232),
    [anon_sym_SEMI] = ACTIONS(2234),
    [anon_sym___extension__] = ACTIONS(2232),
    [anon_sym_typedef] = ACTIONS(2232),
    [anon_sym_in] = ACTIONS(2232),
    [anon_sym_out] = ACTIONS(2232),
    [anon_sym_inout] = ACTIONS(2232),
    [anon_sym_extern] = ACTIONS(2232),
    [anon_sym___attribute__] = ACTIONS(2232),
    [anon_sym_COLON_COLON] = ACTIONS(2230),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2234),
    [anon_sym___declspec] = ACTIONS(2232),
    [anon_sym_LBRACE] = ACTIONS(2234),
    [anon_sym_signed] = ACTIONS(2232),
    [anon_sym_unsigned] = ACTIONS(2232),
    [anon_sym_long] = ACTIONS(2232),
    [anon_sym_short] = ACTIONS(2232),
    [anon_sym_LBRACK] = ACTIONS(2232),
    [anon_sym_static] = ACTIONS(2232),
    [anon_sym_register] = ACTIONS(2232),
    [anon_sym_inline] = ACTIONS(2232),
    [anon_sym___inline] = ACTIONS(2232),
    [anon_sym___inline__] = ACTIONS(2232),
    [anon_sym___forceinline] = ACTIONS(2232),
    [anon_sym_thread_local] = ACTIONS(2232),
    [anon_sym___thread] = ACTIONS(2232),
    [anon_sym_const] = ACTIONS(2232),
    [anon_sym_constexpr] = ACTIONS(2232),
    [anon_sym_volatile] = ACTIONS(2232),
    [anon_sym_restrict] = ACTIONS(2232),
    [anon_sym___restrict__] = ACTIONS(2232),
    [anon_sym__Atomic] = ACTIONS(2232),
    [anon_sym__Noreturn] = ACTIONS(2232),
    [anon_sym_noreturn] = ACTIONS(2232),
    [anon_sym_mutable] = ACTIONS(2232),
    [anon_sym_constinit] = ACTIONS(2232),
    [anon_sym_consteval] = ACTIONS(2232),
    [sym_primitive_type] = ACTIONS(2232),
    [anon_sym_enum] = ACTIONS(2232),
    [anon_sym_class] = ACTIONS(2232),
    [anon_sym_struct] = ACTIONS(2232),
    [anon_sym_union] = ACTIONS(2232),
    [anon_sym_if] = ACTIONS(2232),
    [anon_sym_else] = ACTIONS(2232),
    [anon_sym_switch] = ACTIONS(2232),
    [anon_sym_while] = ACTIONS(2232),
    [anon_sym_do] = ACTIONS(2232),
    [anon_sym_for] = ACTIONS(2232),
    [anon_sym_return] = ACTIONS(2232),
    [anon_sym_break] = ACTIONS(2232),
    [anon_sym_continue] = ACTIONS(2232),
    [anon_sym_goto] = ACTIONS(2232),
    [anon_sym___try] = ACTIONS(2232),
    [anon_sym___leave] = ACTIONS(2232),
    [anon_sym_not] = ACTIONS(2232),
    [anon_sym_compl] = ACTIONS(2232),
    [anon_sym_DASH_DASH] = ACTIONS(2234),
    [anon_sym_PLUS_PLUS] = ACTIONS(2234),
    [anon_sym_sizeof] = ACTIONS(2232),
    [anon_sym___alignof__] = ACTIONS(2232),
    [anon_sym___alignof] = ACTIONS(2232),
    [anon_sym__alignof] = ACTIONS(2232),
    [anon_sym_alignof] = ACTIONS(2232),
    [anon_sym__Alignof] = ACTIONS(2232),
    [anon_sym_offsetof] = ACTIONS(2232),
    [anon_sym__Generic] = ACTIONS(2232),
    [anon_sym_asm] = ACTIONS(2232),
    [anon_sym___asm__] = ACTIONS(2232),
    [sym_number_literal] = ACTIONS(2234),
    [anon_sym_L_SQUOTE] = ACTIONS(2234),
    [anon_sym_u_SQUOTE] = ACTIONS(2234),
    [anon_sym_U_SQUOTE] = ACTIONS(2234),
    [anon_sym_u8_SQUOTE] = ACTIONS(2234),
    [anon_sym_SQUOTE] = ACTIONS(2234),
    [anon_sym_L_DQUOTE] = ACTIONS(2234),
    [anon_sym_u_DQUOTE] = ACTIONS(2234),
    [anon_sym_U_DQUOTE] = ACTIONS(2234),
    [anon_sym_u8_DQUOTE] = ACTIONS(2234),
    [anon_sym_DQUOTE] = ACTIONS(2234),
    [sym_true] = ACTIONS(2232),
    [sym_false] = ACTIONS(2232),
    [anon_sym_NULL] = ACTIONS(2232),
    [anon_sym_nullptr] = ACTIONS(2232),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2232),
    [anon_sym_decltype] = ACTIONS(2232),
    [anon_sym_final] = ACTIONS(2232),
    [anon_sym_override] = ACTIONS(2232),
    [anon_sym_virtual] = ACTIONS(2232),
    [anon_sym_alignas] = ACTIONS(2232),
    [anon_sym_typename] = ACTIONS(2232),
    [anon_sym_template] = ACTIONS(2232),
    [anon_sym_try] = ACTIONS(2232),
    [anon_sym_delete] = ACTIONS(2232),
    [anon_sym_throw] = ACTIONS(2232),
    [anon_sym_co_return] = ACTIONS(2232),
    [anon_sym_co_yield] = ACTIONS(2232),
    [anon_sym_R_DQUOTE] = ACTIONS(2234),
    [anon_sym_LR_DQUOTE] = ACTIONS(2234),
    [anon_sym_uR_DQUOTE] = ACTIONS(2234),
    [anon_sym_UR_DQUOTE] = ACTIONS(2234),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2234),
    [anon_sym_co_await] = ACTIONS(2232),
    [anon_sym_new] = ACTIONS(2232),
    [anon_sym_requires] = ACTIONS(2232),
    [sym_this] = ACTIONS(2232),
    [anon_sym_discard] = ACTIONS(2232),
    [anon_sym_precise] = ACTIONS(2232),
    [anon_sym_shared] = ACTIONS(2232),
    [anon_sym_groupshared] = ACTIONS(2232),
    [anon_sym_uniform] = ACTIONS(2232),
    [anon_sym_row_major] = ACTIONS(2232),
    [anon_sym_column_major] = ACTIONS(2232),
    [anon_sym_globallycoherent] = ACTIONS(2232),
    [anon_sym_centroid] = ACTIONS(2232),
    [anon_sym_noperspective] = ACTIONS(2232),
    [anon_sym_nointerpolation] = ACTIONS(2232),
    [anon_sym_sample] = ACTIONS(2232),
    [anon_sym_linear] = ACTIONS(2232),
    [anon_sym_snorm] = ACTIONS(2232),
    [anon_sym_unorm] = ACTIONS(2232),
    [anon_sym_point] = ACTIONS(2232),
    [anon_sym_line] = ACTIONS(2232),
    [anon_sym_triangleadj] = ACTIONS(2232),
    [anon_sym_lineadj] = ACTIONS(2232),
    [anon_sym_triangle] = ACTIONS(2232),
    [anon_sym_cbuffer] = ACTIONS(2232),
  },
  [1451] = {
    [sym_type_qualifier] = STATE(5191),
    [sym__type_specifier] = STATE(6117),
    [sym_sized_type_specifier] = STATE(3317),
    [sym_enum_specifier] = STATE(3317),
    [sym_struct_specifier] = STATE(3317),
    [sym_union_specifier] = STATE(3317),
    [sym__expression] = STATE(4051),
    [sym__expression_not_binary] = STATE(4695),
    [sym__string] = STATE(4695),
    [sym_comma_expression] = STATE(10195),
    [sym_conditional_expression] = STATE(4695),
    [sym_assignment_expression] = STATE(4695),
    [sym_pointer_expression] = STATE(4695),
    [sym_unary_expression] = STATE(4695),
    [sym_binary_expression] = STATE(4695),
    [sym_update_expression] = STATE(4695),
    [sym_cast_expression] = STATE(4695),
    [sym_type_descriptor] = STATE(10283),
    [sym_sizeof_expression] = STATE(4695),
    [sym_alignof_expression] = STATE(4695),
    [sym_offsetof_expression] = STATE(4695),
    [sym_generic_expression] = STATE(4695),
    [sym_subscript_expression] = STATE(4695),
    [sym_call_expression] = STATE(4695),
    [sym_gnu_asm_expression] = STATE(4695),
    [sym_field_expression] = STATE(4695),
    [sym_compound_literal_expression] = STATE(4695),
    [sym_parenthesized_expression] = STATE(4695),
    [sym_char_literal] = STATE(4427),
    [sym_concatenated_string] = STATE(4424),
    [sym_string_literal] = STATE(3398),
    [sym_null] = STATE(4695),
    [sym_placeholder_type_specifier] = STATE(3317),
    [sym_decltype_auto] = STATE(3318),
    [sym_decltype] = STATE(3247),
    [sym_class_specifier] = STATE(3317),
    [sym__class_name] = STATE(9425),
    [sym_dependent_type] = STATE(3317),
    [sym_template_type] = STATE(6654),
    [sym_template_function] = STATE(4695),
    [sym_raw_string_literal] = STATE(3396),
    [sym_co_await_expression] = STATE(4695),
    [sym_new_expression] = STATE(4695),
    [sym_delete_expression] = STATE(4695),
    [sym_requires_clause] = STATE(4695),
    [sym_requires_expression] = STATE(4695),
    [sym_lambda_expression] = STATE(4695),
    [sym_lambda_capture_specifier] = STATE(7185),
    [sym__unary_left_fold] = STATE(10289),
    [sym__unary_right_fold] = STATE(10288),
    [sym__binary_fold] = STATE(10287),
    [sym_fold_expression] = STATE(4695),
    [sym_parameter_pack_expansion] = STATE(4695),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6902),
    [sym_qualified_identifier] = STATE(4695),
    [sym_qualified_type_identifier] = STATE(6699),
    [sym__assignment_expression_lhs] = STATE(10297),
    [sym_user_defined_literal] = STATE(4695),
    [aux_sym__type_definition_type_repeat1] = STATE(5191),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3316),
    [sym_identifier] = ACTIONS(4186),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2106),
    [anon_sym_LPAREN2] = ACTIONS(4188),
    [anon_sym_BANG] = ACTIONS(2532),
    [anon_sym_TILDE] = ACTIONS(2532),
    [anon_sym_DASH] = ACTIONS(2536),
    [anon_sym_PLUS] = ACTIONS(2536),
    [anon_sym_STAR] = ACTIONS(2116),
    [anon_sym_AMP] = ACTIONS(2116),
    [anon_sym___extension__] = ACTIONS(63),
    [anon_sym_COLON_COLON] = ACTIONS(2542),
    [anon_sym_signed] = ACTIONS(2546),
    [anon_sym_unsigned] = ACTIONS(2546),
    [anon_sym_long] = ACTIONS(2546),
    [anon_sym_short] = ACTIONS(2546),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(2550),
    [anon_sym_enum] = ACTIONS(2552),
    [anon_sym_class] = ACTIONS(2554),
    [anon_sym_struct] = ACTIONS(2556),
    [anon_sym_union] = ACTIONS(2558),
    [anon_sym_not] = ACTIONS(2536),
    [anon_sym_compl] = ACTIONS(2536),
    [anon_sym_DASH_DASH] = ACTIONS(2560),
    [anon_sym_PLUS_PLUS] = ACTIONS(2560),
    [anon_sym_sizeof] = ACTIONS(2562),
    [anon_sym___alignof__] = ACTIONS(2564),
    [anon_sym___alignof] = ACTIONS(2564),
    [anon_sym__alignof] = ACTIONS(2564),
    [anon_sym_alignof] = ACTIONS(2564),
    [anon_sym__Alignof] = ACTIONS(2564),
    [anon_sym_offsetof] = ACTIONS(2566),
    [anon_sym__Generic] = ACTIONS(2568),
    [anon_sym_asm] = ACTIONS(2570),
    [anon_sym___asm__] = ACTIONS(2570),
    [sym_number_literal] = ACTIONS(2572),
    [anon_sym_L_SQUOTE] = ACTIONS(2574),
    [anon_sym_u_SQUOTE] = ACTIONS(2574),
    [anon_sym_U_SQUOTE] = ACTIONS(2574),
    [anon_sym_u8_SQUOTE] = ACTIONS(2574),
    [anon_sym_SQUOTE] = ACTIONS(2574),
    [anon_sym_L_DQUOTE] = ACTIONS(2576),
    [anon_sym_u_DQUOTE] = ACTIONS(2576),
    [anon_sym_U_DQUOTE] = ACTIONS(2576),
    [anon_sym_u8_DQUOTE] = ACTIONS(2576),
    [anon_sym_DQUOTE] = ACTIONS(2576),
    [sym_true] = ACTIONS(2578),
    [sym_false] = ACTIONS(2578),
    [anon_sym_NULL] = ACTIONS(2580),
    [anon_sym_nullptr] = ACTIONS(2580),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2582),
    [anon_sym_decltype] = ACTIONS(2584),
    [anon_sym_typename] = ACTIONS(2586),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(2590),
    [anon_sym_R_DQUOTE] = ACTIONS(2592),
    [anon_sym_LR_DQUOTE] = ACTIONS(2592),
    [anon_sym_uR_DQUOTE] = ACTIONS(2592),
    [anon_sym_UR_DQUOTE] = ACTIONS(2592),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2592),
    [anon_sym_co_await] = ACTIONS(2594),
    [anon_sym_new] = ACTIONS(2596),
    [anon_sym_requires] = ACTIONS(2598),
    [sym_this] = ACTIONS(2578),
  },
  [1452] = {
    [sym_type_qualifier] = STATE(5191),
    [sym__type_specifier] = STATE(6117),
    [sym_sized_type_specifier] = STATE(3317),
    [sym_enum_specifier] = STATE(3317),
    [sym_struct_specifier] = STATE(3317),
    [sym_union_specifier] = STATE(3317),
    [sym__expression] = STATE(4001),
    [sym__expression_not_binary] = STATE(4695),
    [sym__string] = STATE(4695),
    [sym_comma_expression] = STATE(9495),
    [sym_conditional_expression] = STATE(4695),
    [sym_assignment_expression] = STATE(4695),
    [sym_pointer_expression] = STATE(4695),
    [sym_unary_expression] = STATE(4695),
    [sym_binary_expression] = STATE(4695),
    [sym_update_expression] = STATE(4695),
    [sym_cast_expression] = STATE(4695),
    [sym_type_descriptor] = STATE(9902),
    [sym_sizeof_expression] = STATE(4695),
    [sym_alignof_expression] = STATE(4695),
    [sym_offsetof_expression] = STATE(4695),
    [sym_generic_expression] = STATE(4695),
    [sym_subscript_expression] = STATE(4695),
    [sym_call_expression] = STATE(4695),
    [sym_gnu_asm_expression] = STATE(4695),
    [sym_field_expression] = STATE(4695),
    [sym_compound_literal_expression] = STATE(4695),
    [sym_parenthesized_expression] = STATE(4695),
    [sym_char_literal] = STATE(4427),
    [sym_concatenated_string] = STATE(4424),
    [sym_string_literal] = STATE(3398),
    [sym_null] = STATE(4695),
    [sym_placeholder_type_specifier] = STATE(3317),
    [sym_decltype_auto] = STATE(3318),
    [sym_decltype] = STATE(3247),
    [sym_class_specifier] = STATE(3317),
    [sym__class_name] = STATE(9425),
    [sym_dependent_type] = STATE(3317),
    [sym_template_type] = STATE(6654),
    [sym_template_function] = STATE(4695),
    [sym_raw_string_literal] = STATE(3396),
    [sym_co_await_expression] = STATE(4695),
    [sym_new_expression] = STATE(4695),
    [sym_delete_expression] = STATE(4695),
    [sym_requires_clause] = STATE(4695),
    [sym_requires_expression] = STATE(4695),
    [sym_lambda_expression] = STATE(4695),
    [sym_lambda_capture_specifier] = STATE(7185),
    [sym__unary_left_fold] = STATE(9500),
    [sym__unary_right_fold] = STATE(9511),
    [sym__binary_fold] = STATE(9517),
    [sym_fold_expression] = STATE(4695),
    [sym_parameter_pack_expansion] = STATE(4695),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6902),
    [sym_qualified_identifier] = STATE(4695),
    [sym_qualified_type_identifier] = STATE(6699),
    [sym__assignment_expression_lhs] = STATE(9522),
    [sym_user_defined_literal] = STATE(4695),
    [aux_sym__type_definition_type_repeat1] = STATE(5191),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3316),
    [sym_identifier] = ACTIONS(4186),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2106),
    [anon_sym_LPAREN2] = ACTIONS(4188),
    [anon_sym_BANG] = ACTIONS(2532),
    [anon_sym_TILDE] = ACTIONS(2532),
    [anon_sym_DASH] = ACTIONS(2536),
    [anon_sym_PLUS] = ACTIONS(2536),
    [anon_sym_STAR] = ACTIONS(2116),
    [anon_sym_AMP] = ACTIONS(2116),
    [anon_sym___extension__] = ACTIONS(63),
    [anon_sym_COLON_COLON] = ACTIONS(2542),
    [anon_sym_signed] = ACTIONS(2546),
    [anon_sym_unsigned] = ACTIONS(2546),
    [anon_sym_long] = ACTIONS(2546),
    [anon_sym_short] = ACTIONS(2546),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(2550),
    [anon_sym_enum] = ACTIONS(2552),
    [anon_sym_class] = ACTIONS(2554),
    [anon_sym_struct] = ACTIONS(2556),
    [anon_sym_union] = ACTIONS(2558),
    [anon_sym_not] = ACTIONS(2536),
    [anon_sym_compl] = ACTIONS(2536),
    [anon_sym_DASH_DASH] = ACTIONS(2560),
    [anon_sym_PLUS_PLUS] = ACTIONS(2560),
    [anon_sym_sizeof] = ACTIONS(2562),
    [anon_sym___alignof__] = ACTIONS(2564),
    [anon_sym___alignof] = ACTIONS(2564),
    [anon_sym__alignof] = ACTIONS(2564),
    [anon_sym_alignof] = ACTIONS(2564),
    [anon_sym__Alignof] = ACTIONS(2564),
    [anon_sym_offsetof] = ACTIONS(2566),
    [anon_sym__Generic] = ACTIONS(2568),
    [anon_sym_asm] = ACTIONS(2570),
    [anon_sym___asm__] = ACTIONS(2570),
    [sym_number_literal] = ACTIONS(2572),
    [anon_sym_L_SQUOTE] = ACTIONS(2574),
    [anon_sym_u_SQUOTE] = ACTIONS(2574),
    [anon_sym_U_SQUOTE] = ACTIONS(2574),
    [anon_sym_u8_SQUOTE] = ACTIONS(2574),
    [anon_sym_SQUOTE] = ACTIONS(2574),
    [anon_sym_L_DQUOTE] = ACTIONS(2576),
    [anon_sym_u_DQUOTE] = ACTIONS(2576),
    [anon_sym_U_DQUOTE] = ACTIONS(2576),
    [anon_sym_u8_DQUOTE] = ACTIONS(2576),
    [anon_sym_DQUOTE] = ACTIONS(2576),
    [sym_true] = ACTIONS(2578),
    [sym_false] = ACTIONS(2578),
    [anon_sym_NULL] = ACTIONS(2580),
    [anon_sym_nullptr] = ACTIONS(2580),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2582),
    [anon_sym_decltype] = ACTIONS(2584),
    [anon_sym_typename] = ACTIONS(2586),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(2590),
    [anon_sym_R_DQUOTE] = ACTIONS(2592),
    [anon_sym_LR_DQUOTE] = ACTIONS(2592),
    [anon_sym_uR_DQUOTE] = ACTIONS(2592),
    [anon_sym_UR_DQUOTE] = ACTIONS(2592),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2592),
    [anon_sym_co_await] = ACTIONS(2594),
    [anon_sym_new] = ACTIONS(2596),
    [anon_sym_requires] = ACTIONS(2598),
    [sym_this] = ACTIONS(2578),
  },
  [1453] = {
    [sym_type_qualifier] = STATE(5191),
    [sym__type_specifier] = STATE(6117),
    [sym_sized_type_specifier] = STATE(3317),
    [sym_enum_specifier] = STATE(3317),
    [sym_struct_specifier] = STATE(3317),
    [sym_union_specifier] = STATE(3317),
    [sym__expression] = STATE(4001),
    [sym__expression_not_binary] = STATE(4695),
    [sym__string] = STATE(4695),
    [sym_comma_expression] = STATE(9495),
    [sym_conditional_expression] = STATE(4695),
    [sym_assignment_expression] = STATE(4695),
    [sym_pointer_expression] = STATE(4695),
    [sym_unary_expression] = STATE(4695),
    [sym_binary_expression] = STATE(4695),
    [sym_update_expression] = STATE(4695),
    [sym_cast_expression] = STATE(4695),
    [sym_type_descriptor] = STATE(9501),
    [sym_sizeof_expression] = STATE(4695),
    [sym_alignof_expression] = STATE(4695),
    [sym_offsetof_expression] = STATE(4695),
    [sym_generic_expression] = STATE(4695),
    [sym_subscript_expression] = STATE(4695),
    [sym_call_expression] = STATE(4695),
    [sym_gnu_asm_expression] = STATE(4695),
    [sym_field_expression] = STATE(4695),
    [sym_compound_literal_expression] = STATE(4695),
    [sym_parenthesized_expression] = STATE(4695),
    [sym_char_literal] = STATE(4427),
    [sym_concatenated_string] = STATE(4424),
    [sym_string_literal] = STATE(3398),
    [sym_null] = STATE(4695),
    [sym_placeholder_type_specifier] = STATE(3317),
    [sym_decltype_auto] = STATE(3318),
    [sym_decltype] = STATE(3247),
    [sym_class_specifier] = STATE(3317),
    [sym__class_name] = STATE(9425),
    [sym_dependent_type] = STATE(3317),
    [sym_template_type] = STATE(6654),
    [sym_template_function] = STATE(4695),
    [sym_raw_string_literal] = STATE(3396),
    [sym_co_await_expression] = STATE(4695),
    [sym_new_expression] = STATE(4695),
    [sym_delete_expression] = STATE(4695),
    [sym_requires_clause] = STATE(4695),
    [sym_requires_expression] = STATE(4695),
    [sym_lambda_expression] = STATE(4695),
    [sym_lambda_capture_specifier] = STATE(7185),
    [sym__unary_left_fold] = STATE(9502),
    [sym__unary_right_fold] = STATE(9504),
    [sym__binary_fold] = STATE(9474),
    [sym_fold_expression] = STATE(4695),
    [sym_parameter_pack_expansion] = STATE(4695),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6902),
    [sym_qualified_identifier] = STATE(4695),
    [sym_qualified_type_identifier] = STATE(6699),
    [sym__assignment_expression_lhs] = STATE(9522),
    [sym_user_defined_literal] = STATE(4695),
    [aux_sym__type_definition_type_repeat1] = STATE(5191),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3316),
    [sym_identifier] = ACTIONS(4186),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2106),
    [anon_sym_LPAREN2] = ACTIONS(4188),
    [anon_sym_BANG] = ACTIONS(2532),
    [anon_sym_TILDE] = ACTIONS(2532),
    [anon_sym_DASH] = ACTIONS(2536),
    [anon_sym_PLUS] = ACTIONS(2536),
    [anon_sym_STAR] = ACTIONS(2116),
    [anon_sym_AMP] = ACTIONS(2116),
    [anon_sym___extension__] = ACTIONS(63),
    [anon_sym_COLON_COLON] = ACTIONS(2542),
    [anon_sym_signed] = ACTIONS(2546),
    [anon_sym_unsigned] = ACTIONS(2546),
    [anon_sym_long] = ACTIONS(2546),
    [anon_sym_short] = ACTIONS(2546),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(2550),
    [anon_sym_enum] = ACTIONS(2552),
    [anon_sym_class] = ACTIONS(2554),
    [anon_sym_struct] = ACTIONS(2556),
    [anon_sym_union] = ACTIONS(2558),
    [anon_sym_not] = ACTIONS(2536),
    [anon_sym_compl] = ACTIONS(2536),
    [anon_sym_DASH_DASH] = ACTIONS(2560),
    [anon_sym_PLUS_PLUS] = ACTIONS(2560),
    [anon_sym_sizeof] = ACTIONS(2562),
    [anon_sym___alignof__] = ACTIONS(2564),
    [anon_sym___alignof] = ACTIONS(2564),
    [anon_sym__alignof] = ACTIONS(2564),
    [anon_sym_alignof] = ACTIONS(2564),
    [anon_sym__Alignof] = ACTIONS(2564),
    [anon_sym_offsetof] = ACTIONS(2566),
    [anon_sym__Generic] = ACTIONS(2568),
    [anon_sym_asm] = ACTIONS(2570),
    [anon_sym___asm__] = ACTIONS(2570),
    [sym_number_literal] = ACTIONS(2572),
    [anon_sym_L_SQUOTE] = ACTIONS(2574),
    [anon_sym_u_SQUOTE] = ACTIONS(2574),
    [anon_sym_U_SQUOTE] = ACTIONS(2574),
    [anon_sym_u8_SQUOTE] = ACTIONS(2574),
    [anon_sym_SQUOTE] = ACTIONS(2574),
    [anon_sym_L_DQUOTE] = ACTIONS(2576),
    [anon_sym_u_DQUOTE] = ACTIONS(2576),
    [anon_sym_U_DQUOTE] = ACTIONS(2576),
    [anon_sym_u8_DQUOTE] = ACTIONS(2576),
    [anon_sym_DQUOTE] = ACTIONS(2576),
    [sym_true] = ACTIONS(2578),
    [sym_false] = ACTIONS(2578),
    [anon_sym_NULL] = ACTIONS(2580),
    [anon_sym_nullptr] = ACTIONS(2580),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2582),
    [anon_sym_decltype] = ACTIONS(2584),
    [anon_sym_typename] = ACTIONS(2586),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(2590),
    [anon_sym_R_DQUOTE] = ACTIONS(2592),
    [anon_sym_LR_DQUOTE] = ACTIONS(2592),
    [anon_sym_uR_DQUOTE] = ACTIONS(2592),
    [anon_sym_UR_DQUOTE] = ACTIONS(2592),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2592),
    [anon_sym_co_await] = ACTIONS(2594),
    [anon_sym_new] = ACTIONS(2596),
    [anon_sym_requires] = ACTIONS(2598),
    [sym_this] = ACTIONS(2578),
  },
  [1454] = {
    [sym_type_qualifier] = STATE(5191),
    [sym__type_specifier] = STATE(6117),
    [sym_sized_type_specifier] = STATE(3317),
    [sym_enum_specifier] = STATE(3317),
    [sym_struct_specifier] = STATE(3317),
    [sym_union_specifier] = STATE(3317),
    [sym__expression] = STATE(3986),
    [sym__expression_not_binary] = STATE(4695),
    [sym__string] = STATE(4695),
    [sym_comma_expression] = STATE(9863),
    [sym_conditional_expression] = STATE(4695),
    [sym_assignment_expression] = STATE(4695),
    [sym_pointer_expression] = STATE(4695),
    [sym_unary_expression] = STATE(4695),
    [sym_binary_expression] = STATE(4695),
    [sym_update_expression] = STATE(4695),
    [sym_cast_expression] = STATE(4695),
    [sym_type_descriptor] = STATE(10112),
    [sym_sizeof_expression] = STATE(4695),
    [sym_alignof_expression] = STATE(4695),
    [sym_offsetof_expression] = STATE(4695),
    [sym_generic_expression] = STATE(4695),
    [sym_subscript_expression] = STATE(4695),
    [sym_call_expression] = STATE(4695),
    [sym_gnu_asm_expression] = STATE(4695),
    [sym_field_expression] = STATE(4695),
    [sym_compound_literal_expression] = STATE(4695),
    [sym_parenthesized_expression] = STATE(4695),
    [sym_char_literal] = STATE(4427),
    [sym_concatenated_string] = STATE(4424),
    [sym_string_literal] = STATE(3398),
    [sym_null] = STATE(4695),
    [sym_placeholder_type_specifier] = STATE(3317),
    [sym_decltype_auto] = STATE(3318),
    [sym_decltype] = STATE(3247),
    [sym_class_specifier] = STATE(3317),
    [sym__class_name] = STATE(9425),
    [sym_dependent_type] = STATE(3317),
    [sym_template_type] = STATE(6654),
    [sym_template_function] = STATE(4695),
    [sym_raw_string_literal] = STATE(3396),
    [sym_co_await_expression] = STATE(4695),
    [sym_new_expression] = STATE(4695),
    [sym_delete_expression] = STATE(4695),
    [sym_requires_clause] = STATE(4695),
    [sym_requires_expression] = STATE(4695),
    [sym_lambda_expression] = STATE(4695),
    [sym_lambda_capture_specifier] = STATE(7185),
    [sym__unary_left_fold] = STATE(10247),
    [sym__unary_right_fold] = STATE(10246),
    [sym__binary_fold] = STATE(10245),
    [sym_fold_expression] = STATE(4695),
    [sym_parameter_pack_expansion] = STATE(4695),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6902),
    [sym_qualified_identifier] = STATE(4695),
    [sym_qualified_type_identifier] = STATE(6699),
    [sym__assignment_expression_lhs] = STATE(9851),
    [sym_user_defined_literal] = STATE(4695),
    [aux_sym__type_definition_type_repeat1] = STATE(5191),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3316),
    [sym_identifier] = ACTIONS(4186),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2106),
    [anon_sym_LPAREN2] = ACTIONS(4188),
    [anon_sym_BANG] = ACTIONS(2532),
    [anon_sym_TILDE] = ACTIONS(2532),
    [anon_sym_DASH] = ACTIONS(2536),
    [anon_sym_PLUS] = ACTIONS(2536),
    [anon_sym_STAR] = ACTIONS(2116),
    [anon_sym_AMP] = ACTIONS(2116),
    [anon_sym___extension__] = ACTIONS(63),
    [anon_sym_COLON_COLON] = ACTIONS(2542),
    [anon_sym_signed] = ACTIONS(2546),
    [anon_sym_unsigned] = ACTIONS(2546),
    [anon_sym_long] = ACTIONS(2546),
    [anon_sym_short] = ACTIONS(2546),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(2550),
    [anon_sym_enum] = ACTIONS(2552),
    [anon_sym_class] = ACTIONS(2554),
    [anon_sym_struct] = ACTIONS(2556),
    [anon_sym_union] = ACTIONS(2558),
    [anon_sym_not] = ACTIONS(2536),
    [anon_sym_compl] = ACTIONS(2536),
    [anon_sym_DASH_DASH] = ACTIONS(2560),
    [anon_sym_PLUS_PLUS] = ACTIONS(2560),
    [anon_sym_sizeof] = ACTIONS(2562),
    [anon_sym___alignof__] = ACTIONS(2564),
    [anon_sym___alignof] = ACTIONS(2564),
    [anon_sym__alignof] = ACTIONS(2564),
    [anon_sym_alignof] = ACTIONS(2564),
    [anon_sym__Alignof] = ACTIONS(2564),
    [anon_sym_offsetof] = ACTIONS(2566),
    [anon_sym__Generic] = ACTIONS(2568),
    [anon_sym_asm] = ACTIONS(2570),
    [anon_sym___asm__] = ACTIONS(2570),
    [sym_number_literal] = ACTIONS(2572),
    [anon_sym_L_SQUOTE] = ACTIONS(2574),
    [anon_sym_u_SQUOTE] = ACTIONS(2574),
    [anon_sym_U_SQUOTE] = ACTIONS(2574),
    [anon_sym_u8_SQUOTE] = ACTIONS(2574),
    [anon_sym_SQUOTE] = ACTIONS(2574),
    [anon_sym_L_DQUOTE] = ACTIONS(2576),
    [anon_sym_u_DQUOTE] = ACTIONS(2576),
    [anon_sym_U_DQUOTE] = ACTIONS(2576),
    [anon_sym_u8_DQUOTE] = ACTIONS(2576),
    [anon_sym_DQUOTE] = ACTIONS(2576),
    [sym_true] = ACTIONS(2578),
    [sym_false] = ACTIONS(2578),
    [anon_sym_NULL] = ACTIONS(2580),
    [anon_sym_nullptr] = ACTIONS(2580),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2582),
    [anon_sym_decltype] = ACTIONS(2584),
    [anon_sym_typename] = ACTIONS(2586),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(2590),
    [anon_sym_R_DQUOTE] = ACTIONS(2592),
    [anon_sym_LR_DQUOTE] = ACTIONS(2592),
    [anon_sym_uR_DQUOTE] = ACTIONS(2592),
    [anon_sym_UR_DQUOTE] = ACTIONS(2592),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2592),
    [anon_sym_co_await] = ACTIONS(2594),
    [anon_sym_new] = ACTIONS(2596),
    [anon_sym_requires] = ACTIONS(2598),
    [sym_this] = ACTIONS(2578),
  },
  [1455] = {
    [sym_type_qualifier] = STATE(5191),
    [sym__type_specifier] = STATE(6117),
    [sym_sized_type_specifier] = STATE(3317),
    [sym_enum_specifier] = STATE(3317),
    [sym_struct_specifier] = STATE(3317),
    [sym_union_specifier] = STATE(3317),
    [sym__expression] = STATE(4001),
    [sym__expression_not_binary] = STATE(4695),
    [sym__string] = STATE(4695),
    [sym_comma_expression] = STATE(9495),
    [sym_conditional_expression] = STATE(4695),
    [sym_assignment_expression] = STATE(4695),
    [sym_pointer_expression] = STATE(4695),
    [sym_unary_expression] = STATE(4695),
    [sym_binary_expression] = STATE(4695),
    [sym_update_expression] = STATE(4695),
    [sym_cast_expression] = STATE(4695),
    [sym_type_descriptor] = STATE(9576),
    [sym_sizeof_expression] = STATE(4695),
    [sym_alignof_expression] = STATE(4695),
    [sym_offsetof_expression] = STATE(4695),
    [sym_generic_expression] = STATE(4695),
    [sym_subscript_expression] = STATE(4695),
    [sym_call_expression] = STATE(4695),
    [sym_gnu_asm_expression] = STATE(4695),
    [sym_field_expression] = STATE(4695),
    [sym_compound_literal_expression] = STATE(4695),
    [sym_parenthesized_expression] = STATE(4695),
    [sym_char_literal] = STATE(4427),
    [sym_concatenated_string] = STATE(4424),
    [sym_string_literal] = STATE(3398),
    [sym_null] = STATE(4695),
    [sym_placeholder_type_specifier] = STATE(3317),
    [sym_decltype_auto] = STATE(3318),
    [sym_decltype] = STATE(3247),
    [sym_class_specifier] = STATE(3317),
    [sym__class_name] = STATE(9425),
    [sym_dependent_type] = STATE(3317),
    [sym_template_type] = STATE(6654),
    [sym_template_function] = STATE(4695),
    [sym_raw_string_literal] = STATE(3396),
    [sym_co_await_expression] = STATE(4695),
    [sym_new_expression] = STATE(4695),
    [sym_delete_expression] = STATE(4695),
    [sym_requires_clause] = STATE(4695),
    [sym_requires_expression] = STATE(4695),
    [sym_lambda_expression] = STATE(4695),
    [sym_lambda_capture_specifier] = STATE(7185),
    [sym__unary_left_fold] = STATE(9502),
    [sym__unary_right_fold] = STATE(9504),
    [sym__binary_fold] = STATE(9474),
    [sym_fold_expression] = STATE(4695),
    [sym_parameter_pack_expansion] = STATE(4695),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6902),
    [sym_qualified_identifier] = STATE(4695),
    [sym_qualified_type_identifier] = STATE(6699),
    [sym__assignment_expression_lhs] = STATE(9522),
    [sym_user_defined_literal] = STATE(4695),
    [aux_sym__type_definition_type_repeat1] = STATE(5191),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3316),
    [sym_identifier] = ACTIONS(4186),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2106),
    [anon_sym_LPAREN2] = ACTIONS(4188),
    [anon_sym_BANG] = ACTIONS(2532),
    [anon_sym_TILDE] = ACTIONS(2532),
    [anon_sym_DASH] = ACTIONS(2536),
    [anon_sym_PLUS] = ACTIONS(2536),
    [anon_sym_STAR] = ACTIONS(2116),
    [anon_sym_AMP] = ACTIONS(2116),
    [anon_sym___extension__] = ACTIONS(63),
    [anon_sym_COLON_COLON] = ACTIONS(2542),
    [anon_sym_signed] = ACTIONS(2546),
    [anon_sym_unsigned] = ACTIONS(2546),
    [anon_sym_long] = ACTIONS(2546),
    [anon_sym_short] = ACTIONS(2546),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(2550),
    [anon_sym_enum] = ACTIONS(2552),
    [anon_sym_class] = ACTIONS(2554),
    [anon_sym_struct] = ACTIONS(2556),
    [anon_sym_union] = ACTIONS(2558),
    [anon_sym_not] = ACTIONS(2536),
    [anon_sym_compl] = ACTIONS(2536),
    [anon_sym_DASH_DASH] = ACTIONS(2560),
    [anon_sym_PLUS_PLUS] = ACTIONS(2560),
    [anon_sym_sizeof] = ACTIONS(2562),
    [anon_sym___alignof__] = ACTIONS(2564),
    [anon_sym___alignof] = ACTIONS(2564),
    [anon_sym__alignof] = ACTIONS(2564),
    [anon_sym_alignof] = ACTIONS(2564),
    [anon_sym__Alignof] = ACTIONS(2564),
    [anon_sym_offsetof] = ACTIONS(2566),
    [anon_sym__Generic] = ACTIONS(2568),
    [anon_sym_asm] = ACTIONS(2570),
    [anon_sym___asm__] = ACTIONS(2570),
    [sym_number_literal] = ACTIONS(2572),
    [anon_sym_L_SQUOTE] = ACTIONS(2574),
    [anon_sym_u_SQUOTE] = ACTIONS(2574),
    [anon_sym_U_SQUOTE] = ACTIONS(2574),
    [anon_sym_u8_SQUOTE] = ACTIONS(2574),
    [anon_sym_SQUOTE] = ACTIONS(2574),
    [anon_sym_L_DQUOTE] = ACTIONS(2576),
    [anon_sym_u_DQUOTE] = ACTIONS(2576),
    [anon_sym_U_DQUOTE] = ACTIONS(2576),
    [anon_sym_u8_DQUOTE] = ACTIONS(2576),
    [anon_sym_DQUOTE] = ACTIONS(2576),
    [sym_true] = ACTIONS(2578),
    [sym_false] = ACTIONS(2578),
    [anon_sym_NULL] = ACTIONS(2580),
    [anon_sym_nullptr] = ACTIONS(2580),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2582),
    [anon_sym_decltype] = ACTIONS(2584),
    [anon_sym_typename] = ACTIONS(2586),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(2590),
    [anon_sym_R_DQUOTE] = ACTIONS(2592),
    [anon_sym_LR_DQUOTE] = ACTIONS(2592),
    [anon_sym_uR_DQUOTE] = ACTIONS(2592),
    [anon_sym_UR_DQUOTE] = ACTIONS(2592),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2592),
    [anon_sym_co_await] = ACTIONS(2594),
    [anon_sym_new] = ACTIONS(2596),
    [anon_sym_requires] = ACTIONS(2598),
    [sym_this] = ACTIONS(2578),
  },
  [1456] = {
    [sym_type_qualifier] = STATE(5191),
    [sym__type_specifier] = STATE(6117),
    [sym_sized_type_specifier] = STATE(3317),
    [sym_enum_specifier] = STATE(3317),
    [sym_struct_specifier] = STATE(3317),
    [sym_union_specifier] = STATE(3317),
    [sym__expression] = STATE(4001),
    [sym__expression_not_binary] = STATE(4695),
    [sym__string] = STATE(4695),
    [sym_comma_expression] = STATE(9495),
    [sym_conditional_expression] = STATE(4695),
    [sym_assignment_expression] = STATE(4695),
    [sym_pointer_expression] = STATE(4695),
    [sym_unary_expression] = STATE(4695),
    [sym_binary_expression] = STATE(4695),
    [sym_update_expression] = STATE(4695),
    [sym_cast_expression] = STATE(4695),
    [sym_type_descriptor] = STATE(9498),
    [sym_sizeof_expression] = STATE(4695),
    [sym_alignof_expression] = STATE(4695),
    [sym_offsetof_expression] = STATE(4695),
    [sym_generic_expression] = STATE(4695),
    [sym_subscript_expression] = STATE(4695),
    [sym_call_expression] = STATE(4695),
    [sym_gnu_asm_expression] = STATE(4695),
    [sym_field_expression] = STATE(4695),
    [sym_compound_literal_expression] = STATE(4695),
    [sym_parenthesized_expression] = STATE(4695),
    [sym_char_literal] = STATE(4427),
    [sym_concatenated_string] = STATE(4424),
    [sym_string_literal] = STATE(3398),
    [sym_null] = STATE(4695),
    [sym_placeholder_type_specifier] = STATE(3317),
    [sym_decltype_auto] = STATE(3318),
    [sym_decltype] = STATE(3247),
    [sym_class_specifier] = STATE(3317),
    [sym__class_name] = STATE(9425),
    [sym_dependent_type] = STATE(3317),
    [sym_template_type] = STATE(6654),
    [sym_template_function] = STATE(4695),
    [sym_raw_string_literal] = STATE(3396),
    [sym_co_await_expression] = STATE(4695),
    [sym_new_expression] = STATE(4695),
    [sym_delete_expression] = STATE(4695),
    [sym_requires_clause] = STATE(4695),
    [sym_requires_expression] = STATE(4695),
    [sym_lambda_expression] = STATE(4695),
    [sym_lambda_capture_specifier] = STATE(7185),
    [sym__unary_left_fold] = STATE(9500),
    [sym__unary_right_fold] = STATE(9511),
    [sym__binary_fold] = STATE(9517),
    [sym_fold_expression] = STATE(4695),
    [sym_parameter_pack_expansion] = STATE(4695),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6902),
    [sym_qualified_identifier] = STATE(4695),
    [sym_qualified_type_identifier] = STATE(6699),
    [sym__assignment_expression_lhs] = STATE(9522),
    [sym_user_defined_literal] = STATE(4695),
    [aux_sym__type_definition_type_repeat1] = STATE(5191),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3316),
    [sym_identifier] = ACTIONS(4186),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2106),
    [anon_sym_LPAREN2] = ACTIONS(4188),
    [anon_sym_BANG] = ACTIONS(2532),
    [anon_sym_TILDE] = ACTIONS(2532),
    [anon_sym_DASH] = ACTIONS(2536),
    [anon_sym_PLUS] = ACTIONS(2536),
    [anon_sym_STAR] = ACTIONS(2116),
    [anon_sym_AMP] = ACTIONS(2116),
    [anon_sym___extension__] = ACTIONS(63),
    [anon_sym_COLON_COLON] = ACTIONS(2542),
    [anon_sym_signed] = ACTIONS(2546),
    [anon_sym_unsigned] = ACTIONS(2546),
    [anon_sym_long] = ACTIONS(2546),
    [anon_sym_short] = ACTIONS(2546),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(2550),
    [anon_sym_enum] = ACTIONS(2552),
    [anon_sym_class] = ACTIONS(2554),
    [anon_sym_struct] = ACTIONS(2556),
    [anon_sym_union] = ACTIONS(2558),
    [anon_sym_not] = ACTIONS(2536),
    [anon_sym_compl] = ACTIONS(2536),
    [anon_sym_DASH_DASH] = ACTIONS(2560),
    [anon_sym_PLUS_PLUS] = ACTIONS(2560),
    [anon_sym_sizeof] = ACTIONS(2562),
    [anon_sym___alignof__] = ACTIONS(2564),
    [anon_sym___alignof] = ACTIONS(2564),
    [anon_sym__alignof] = ACTIONS(2564),
    [anon_sym_alignof] = ACTIONS(2564),
    [anon_sym__Alignof] = ACTIONS(2564),
    [anon_sym_offsetof] = ACTIONS(2566),
    [anon_sym__Generic] = ACTIONS(2568),
    [anon_sym_asm] = ACTIONS(2570),
    [anon_sym___asm__] = ACTIONS(2570),
    [sym_number_literal] = ACTIONS(2572),
    [anon_sym_L_SQUOTE] = ACTIONS(2574),
    [anon_sym_u_SQUOTE] = ACTIONS(2574),
    [anon_sym_U_SQUOTE] = ACTIONS(2574),
    [anon_sym_u8_SQUOTE] = ACTIONS(2574),
    [anon_sym_SQUOTE] = ACTIONS(2574),
    [anon_sym_L_DQUOTE] = ACTIONS(2576),
    [anon_sym_u_DQUOTE] = ACTIONS(2576),
    [anon_sym_U_DQUOTE] = ACTIONS(2576),
    [anon_sym_u8_DQUOTE] = ACTIONS(2576),
    [anon_sym_DQUOTE] = ACTIONS(2576),
    [sym_true] = ACTIONS(2578),
    [sym_false] = ACTIONS(2578),
    [anon_sym_NULL] = ACTIONS(2580),
    [anon_sym_nullptr] = ACTIONS(2580),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2582),
    [anon_sym_decltype] = ACTIONS(2584),
    [anon_sym_typename] = ACTIONS(2586),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(2590),
    [anon_sym_R_DQUOTE] = ACTIONS(2592),
    [anon_sym_LR_DQUOTE] = ACTIONS(2592),
    [anon_sym_uR_DQUOTE] = ACTIONS(2592),
    [anon_sym_UR_DQUOTE] = ACTIONS(2592),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2592),
    [anon_sym_co_await] = ACTIONS(2594),
    [anon_sym_new] = ACTIONS(2596),
    [anon_sym_requires] = ACTIONS(2598),
    [sym_this] = ACTIONS(2578),
  },
  [1457] = {
    [sym_type_qualifier] = STATE(5191),
    [sym__type_specifier] = STATE(6117),
    [sym_sized_type_specifier] = STATE(3317),
    [sym_enum_specifier] = STATE(3317),
    [sym_struct_specifier] = STATE(3317),
    [sym_union_specifier] = STATE(3317),
    [sym__expression] = STATE(4051),
    [sym__expression_not_binary] = STATE(4695),
    [sym__string] = STATE(4695),
    [sym_comma_expression] = STATE(10195),
    [sym_conditional_expression] = STATE(4695),
    [sym_assignment_expression] = STATE(4695),
    [sym_pointer_expression] = STATE(4695),
    [sym_unary_expression] = STATE(4695),
    [sym_binary_expression] = STATE(4695),
    [sym_update_expression] = STATE(4695),
    [sym_cast_expression] = STATE(4695),
    [sym_type_descriptor] = STATE(10181),
    [sym_sizeof_expression] = STATE(4695),
    [sym_alignof_expression] = STATE(4695),
    [sym_offsetof_expression] = STATE(4695),
    [sym_generic_expression] = STATE(4695),
    [sym_subscript_expression] = STATE(4695),
    [sym_call_expression] = STATE(4695),
    [sym_gnu_asm_expression] = STATE(4695),
    [sym_field_expression] = STATE(4695),
    [sym_compound_literal_expression] = STATE(4695),
    [sym_parenthesized_expression] = STATE(4695),
    [sym_char_literal] = STATE(4427),
    [sym_concatenated_string] = STATE(4424),
    [sym_string_literal] = STATE(3398),
    [sym_null] = STATE(4695),
    [sym_placeholder_type_specifier] = STATE(3317),
    [sym_decltype_auto] = STATE(3318),
    [sym_decltype] = STATE(3247),
    [sym_class_specifier] = STATE(3317),
    [sym__class_name] = STATE(9425),
    [sym_dependent_type] = STATE(3317),
    [sym_template_type] = STATE(6654),
    [sym_template_function] = STATE(4695),
    [sym_raw_string_literal] = STATE(3396),
    [sym_co_await_expression] = STATE(4695),
    [sym_new_expression] = STATE(4695),
    [sym_delete_expression] = STATE(4695),
    [sym_requires_clause] = STATE(4695),
    [sym_requires_expression] = STATE(4695),
    [sym_lambda_expression] = STATE(4695),
    [sym_lambda_capture_specifier] = STATE(7185),
    [sym__unary_left_fold] = STATE(10289),
    [sym__unary_right_fold] = STATE(10288),
    [sym__binary_fold] = STATE(10287),
    [sym_fold_expression] = STATE(4695),
    [sym_parameter_pack_expansion] = STATE(4695),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6902),
    [sym_qualified_identifier] = STATE(4695),
    [sym_qualified_type_identifier] = STATE(6699),
    [sym__assignment_expression_lhs] = STATE(10297),
    [sym_user_defined_literal] = STATE(4695),
    [aux_sym__type_definition_type_repeat1] = STATE(5191),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3316),
    [sym_identifier] = ACTIONS(4186),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2106),
    [anon_sym_LPAREN2] = ACTIONS(4188),
    [anon_sym_BANG] = ACTIONS(2532),
    [anon_sym_TILDE] = ACTIONS(2532),
    [anon_sym_DASH] = ACTIONS(2536),
    [anon_sym_PLUS] = ACTIONS(2536),
    [anon_sym_STAR] = ACTIONS(2116),
    [anon_sym_AMP] = ACTIONS(2116),
    [anon_sym___extension__] = ACTIONS(63),
    [anon_sym_COLON_COLON] = ACTIONS(2542),
    [anon_sym_signed] = ACTIONS(2546),
    [anon_sym_unsigned] = ACTIONS(2546),
    [anon_sym_long] = ACTIONS(2546),
    [anon_sym_short] = ACTIONS(2546),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(2550),
    [anon_sym_enum] = ACTIONS(2552),
    [anon_sym_class] = ACTIONS(2554),
    [anon_sym_struct] = ACTIONS(2556),
    [anon_sym_union] = ACTIONS(2558),
    [anon_sym_not] = ACTIONS(2536),
    [anon_sym_compl] = ACTIONS(2536),
    [anon_sym_DASH_DASH] = ACTIONS(2560),
    [anon_sym_PLUS_PLUS] = ACTIONS(2560),
    [anon_sym_sizeof] = ACTIONS(2562),
    [anon_sym___alignof__] = ACTIONS(2564),
    [anon_sym___alignof] = ACTIONS(2564),
    [anon_sym__alignof] = ACTIONS(2564),
    [anon_sym_alignof] = ACTIONS(2564),
    [anon_sym__Alignof] = ACTIONS(2564),
    [anon_sym_offsetof] = ACTIONS(2566),
    [anon_sym__Generic] = ACTIONS(2568),
    [anon_sym_asm] = ACTIONS(2570),
    [anon_sym___asm__] = ACTIONS(2570),
    [sym_number_literal] = ACTIONS(2572),
    [anon_sym_L_SQUOTE] = ACTIONS(2574),
    [anon_sym_u_SQUOTE] = ACTIONS(2574),
    [anon_sym_U_SQUOTE] = ACTIONS(2574),
    [anon_sym_u8_SQUOTE] = ACTIONS(2574),
    [anon_sym_SQUOTE] = ACTIONS(2574),
    [anon_sym_L_DQUOTE] = ACTIONS(2576),
    [anon_sym_u_DQUOTE] = ACTIONS(2576),
    [anon_sym_U_DQUOTE] = ACTIONS(2576),
    [anon_sym_u8_DQUOTE] = ACTIONS(2576),
    [anon_sym_DQUOTE] = ACTIONS(2576),
    [sym_true] = ACTIONS(2578),
    [sym_false] = ACTIONS(2578),
    [anon_sym_NULL] = ACTIONS(2580),
    [anon_sym_nullptr] = ACTIONS(2580),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2582),
    [anon_sym_decltype] = ACTIONS(2584),
    [anon_sym_typename] = ACTIONS(2586),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(2590),
    [anon_sym_R_DQUOTE] = ACTIONS(2592),
    [anon_sym_LR_DQUOTE] = ACTIONS(2592),
    [anon_sym_uR_DQUOTE] = ACTIONS(2592),
    [anon_sym_UR_DQUOTE] = ACTIONS(2592),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2592),
    [anon_sym_co_await] = ACTIONS(2594),
    [anon_sym_new] = ACTIONS(2596),
    [anon_sym_requires] = ACTIONS(2598),
    [sym_this] = ACTIONS(2578),
  },
  [1458] = {
    [sym_type_qualifier] = STATE(5191),
    [sym__type_specifier] = STATE(6117),
    [sym_sized_type_specifier] = STATE(3317),
    [sym_enum_specifier] = STATE(3317),
    [sym_struct_specifier] = STATE(3317),
    [sym_union_specifier] = STATE(3317),
    [sym__expression] = STATE(4051),
    [sym__expression_not_binary] = STATE(4695),
    [sym__string] = STATE(4695),
    [sym_comma_expression] = STATE(10195),
    [sym_conditional_expression] = STATE(4695),
    [sym_assignment_expression] = STATE(4695),
    [sym_pointer_expression] = STATE(4695),
    [sym_unary_expression] = STATE(4695),
    [sym_binary_expression] = STATE(4695),
    [sym_update_expression] = STATE(4695),
    [sym_cast_expression] = STATE(4695),
    [sym_type_descriptor] = STATE(9895),
    [sym_sizeof_expression] = STATE(4695),
    [sym_alignof_expression] = STATE(4695),
    [sym_offsetof_expression] = STATE(4695),
    [sym_generic_expression] = STATE(4695),
    [sym_subscript_expression] = STATE(4695),
    [sym_call_expression] = STATE(4695),
    [sym_gnu_asm_expression] = STATE(4695),
    [sym_field_expression] = STATE(4695),
    [sym_compound_literal_expression] = STATE(4695),
    [sym_parenthesized_expression] = STATE(4695),
    [sym_char_literal] = STATE(4427),
    [sym_concatenated_string] = STATE(4424),
    [sym_string_literal] = STATE(3398),
    [sym_null] = STATE(4695),
    [sym_placeholder_type_specifier] = STATE(3317),
    [sym_decltype_auto] = STATE(3318),
    [sym_decltype] = STATE(3247),
    [sym_class_specifier] = STATE(3317),
    [sym__class_name] = STATE(9425),
    [sym_dependent_type] = STATE(3317),
    [sym_template_type] = STATE(6654),
    [sym_template_function] = STATE(4695),
    [sym_raw_string_literal] = STATE(3396),
    [sym_co_await_expression] = STATE(4695),
    [sym_new_expression] = STATE(4695),
    [sym_delete_expression] = STATE(4695),
    [sym_requires_clause] = STATE(4695),
    [sym_requires_expression] = STATE(4695),
    [sym_lambda_expression] = STATE(4695),
    [sym_lambda_capture_specifier] = STATE(7185),
    [sym__unary_left_fold] = STATE(10301),
    [sym__unary_right_fold] = STATE(10300),
    [sym__binary_fold] = STATE(10299),
    [sym_fold_expression] = STATE(4695),
    [sym_parameter_pack_expansion] = STATE(4695),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6902),
    [sym_qualified_identifier] = STATE(4695),
    [sym_qualified_type_identifier] = STATE(6699),
    [sym__assignment_expression_lhs] = STATE(10297),
    [sym_user_defined_literal] = STATE(4695),
    [aux_sym__type_definition_type_repeat1] = STATE(5191),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3316),
    [sym_identifier] = ACTIONS(4186),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2106),
    [anon_sym_LPAREN2] = ACTIONS(4188),
    [anon_sym_BANG] = ACTIONS(2532),
    [anon_sym_TILDE] = ACTIONS(2532),
    [anon_sym_DASH] = ACTIONS(2536),
    [anon_sym_PLUS] = ACTIONS(2536),
    [anon_sym_STAR] = ACTIONS(2116),
    [anon_sym_AMP] = ACTIONS(2116),
    [anon_sym___extension__] = ACTIONS(63),
    [anon_sym_COLON_COLON] = ACTIONS(2542),
    [anon_sym_signed] = ACTIONS(2546),
    [anon_sym_unsigned] = ACTIONS(2546),
    [anon_sym_long] = ACTIONS(2546),
    [anon_sym_short] = ACTIONS(2546),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(2550),
    [anon_sym_enum] = ACTIONS(2552),
    [anon_sym_class] = ACTIONS(2554),
    [anon_sym_struct] = ACTIONS(2556),
    [anon_sym_union] = ACTIONS(2558),
    [anon_sym_not] = ACTIONS(2536),
    [anon_sym_compl] = ACTIONS(2536),
    [anon_sym_DASH_DASH] = ACTIONS(2560),
    [anon_sym_PLUS_PLUS] = ACTIONS(2560),
    [anon_sym_sizeof] = ACTIONS(2562),
    [anon_sym___alignof__] = ACTIONS(2564),
    [anon_sym___alignof] = ACTIONS(2564),
    [anon_sym__alignof] = ACTIONS(2564),
    [anon_sym_alignof] = ACTIONS(2564),
    [anon_sym__Alignof] = ACTIONS(2564),
    [anon_sym_offsetof] = ACTIONS(2566),
    [anon_sym__Generic] = ACTIONS(2568),
    [anon_sym_asm] = ACTIONS(2570),
    [anon_sym___asm__] = ACTIONS(2570),
    [sym_number_literal] = ACTIONS(2572),
    [anon_sym_L_SQUOTE] = ACTIONS(2574),
    [anon_sym_u_SQUOTE] = ACTIONS(2574),
    [anon_sym_U_SQUOTE] = ACTIONS(2574),
    [anon_sym_u8_SQUOTE] = ACTIONS(2574),
    [anon_sym_SQUOTE] = ACTIONS(2574),
    [anon_sym_L_DQUOTE] = ACTIONS(2576),
    [anon_sym_u_DQUOTE] = ACTIONS(2576),
    [anon_sym_U_DQUOTE] = ACTIONS(2576),
    [anon_sym_u8_DQUOTE] = ACTIONS(2576),
    [anon_sym_DQUOTE] = ACTIONS(2576),
    [sym_true] = ACTIONS(2578),
    [sym_false] = ACTIONS(2578),
    [anon_sym_NULL] = ACTIONS(2580),
    [anon_sym_nullptr] = ACTIONS(2580),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2582),
    [anon_sym_decltype] = ACTIONS(2584),
    [anon_sym_typename] = ACTIONS(2586),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(2590),
    [anon_sym_R_DQUOTE] = ACTIONS(2592),
    [anon_sym_LR_DQUOTE] = ACTIONS(2592),
    [anon_sym_uR_DQUOTE] = ACTIONS(2592),
    [anon_sym_UR_DQUOTE] = ACTIONS(2592),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2592),
    [anon_sym_co_await] = ACTIONS(2594),
    [anon_sym_new] = ACTIONS(2596),
    [anon_sym_requires] = ACTIONS(2598),
    [sym_this] = ACTIONS(2578),
  },
  [1459] = {
    [sym_type_qualifier] = STATE(5191),
    [sym__type_specifier] = STATE(6117),
    [sym_sized_type_specifier] = STATE(3317),
    [sym_enum_specifier] = STATE(3317),
    [sym_struct_specifier] = STATE(3317),
    [sym_union_specifier] = STATE(3317),
    [sym__expression] = STATE(4051),
    [sym__expression_not_binary] = STATE(4695),
    [sym__string] = STATE(4695),
    [sym_comma_expression] = STATE(10195),
    [sym_conditional_expression] = STATE(4695),
    [sym_assignment_expression] = STATE(4695),
    [sym_pointer_expression] = STATE(4695),
    [sym_unary_expression] = STATE(4695),
    [sym_binary_expression] = STATE(4695),
    [sym_update_expression] = STATE(4695),
    [sym_cast_expression] = STATE(4695),
    [sym_type_descriptor] = STATE(10070),
    [sym_sizeof_expression] = STATE(4695),
    [sym_alignof_expression] = STATE(4695),
    [sym_offsetof_expression] = STATE(4695),
    [sym_generic_expression] = STATE(4695),
    [sym_subscript_expression] = STATE(4695),
    [sym_call_expression] = STATE(4695),
    [sym_gnu_asm_expression] = STATE(4695),
    [sym_field_expression] = STATE(4695),
    [sym_compound_literal_expression] = STATE(4695),
    [sym_parenthesized_expression] = STATE(4695),
    [sym_char_literal] = STATE(4427),
    [sym_concatenated_string] = STATE(4424),
    [sym_string_literal] = STATE(3398),
    [sym_null] = STATE(4695),
    [sym_placeholder_type_specifier] = STATE(3317),
    [sym_decltype_auto] = STATE(3318),
    [sym_decltype] = STATE(3247),
    [sym_class_specifier] = STATE(3317),
    [sym__class_name] = STATE(9425),
    [sym_dependent_type] = STATE(3317),
    [sym_template_type] = STATE(6654),
    [sym_template_function] = STATE(4695),
    [sym_raw_string_literal] = STATE(3396),
    [sym_co_await_expression] = STATE(4695),
    [sym_new_expression] = STATE(4695),
    [sym_delete_expression] = STATE(4695),
    [sym_requires_clause] = STATE(4695),
    [sym_requires_expression] = STATE(4695),
    [sym_lambda_expression] = STATE(4695),
    [sym_lambda_capture_specifier] = STATE(7185),
    [sym__unary_left_fold] = STATE(10301),
    [sym__unary_right_fold] = STATE(10300),
    [sym__binary_fold] = STATE(10299),
    [sym_fold_expression] = STATE(4695),
    [sym_parameter_pack_expansion] = STATE(4695),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6902),
    [sym_qualified_identifier] = STATE(4695),
    [sym_qualified_type_identifier] = STATE(6699),
    [sym__assignment_expression_lhs] = STATE(10297),
    [sym_user_defined_literal] = STATE(4695),
    [aux_sym__type_definition_type_repeat1] = STATE(5191),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3316),
    [sym_identifier] = ACTIONS(4186),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2106),
    [anon_sym_LPAREN2] = ACTIONS(4188),
    [anon_sym_BANG] = ACTIONS(2532),
    [anon_sym_TILDE] = ACTIONS(2532),
    [anon_sym_DASH] = ACTIONS(2536),
    [anon_sym_PLUS] = ACTIONS(2536),
    [anon_sym_STAR] = ACTIONS(2116),
    [anon_sym_AMP] = ACTIONS(2116),
    [anon_sym___extension__] = ACTIONS(63),
    [anon_sym_COLON_COLON] = ACTIONS(2542),
    [anon_sym_signed] = ACTIONS(2546),
    [anon_sym_unsigned] = ACTIONS(2546),
    [anon_sym_long] = ACTIONS(2546),
    [anon_sym_short] = ACTIONS(2546),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(2550),
    [anon_sym_enum] = ACTIONS(2552),
    [anon_sym_class] = ACTIONS(2554),
    [anon_sym_struct] = ACTIONS(2556),
    [anon_sym_union] = ACTIONS(2558),
    [anon_sym_not] = ACTIONS(2536),
    [anon_sym_compl] = ACTIONS(2536),
    [anon_sym_DASH_DASH] = ACTIONS(2560),
    [anon_sym_PLUS_PLUS] = ACTIONS(2560),
    [anon_sym_sizeof] = ACTIONS(2562),
    [anon_sym___alignof__] = ACTIONS(2564),
    [anon_sym___alignof] = ACTIONS(2564),
    [anon_sym__alignof] = ACTIONS(2564),
    [anon_sym_alignof] = ACTIONS(2564),
    [anon_sym__Alignof] = ACTIONS(2564),
    [anon_sym_offsetof] = ACTIONS(2566),
    [anon_sym__Generic] = ACTIONS(2568),
    [anon_sym_asm] = ACTIONS(2570),
    [anon_sym___asm__] = ACTIONS(2570),
    [sym_number_literal] = ACTIONS(2572),
    [anon_sym_L_SQUOTE] = ACTIONS(2574),
    [anon_sym_u_SQUOTE] = ACTIONS(2574),
    [anon_sym_U_SQUOTE] = ACTIONS(2574),
    [anon_sym_u8_SQUOTE] = ACTIONS(2574),
    [anon_sym_SQUOTE] = ACTIONS(2574),
    [anon_sym_L_DQUOTE] = ACTIONS(2576),
    [anon_sym_u_DQUOTE] = ACTIONS(2576),
    [anon_sym_U_DQUOTE] = ACTIONS(2576),
    [anon_sym_u8_DQUOTE] = ACTIONS(2576),
    [anon_sym_DQUOTE] = ACTIONS(2576),
    [sym_true] = ACTIONS(2578),
    [sym_false] = ACTIONS(2578),
    [anon_sym_NULL] = ACTIONS(2580),
    [anon_sym_nullptr] = ACTIONS(2580),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2582),
    [anon_sym_decltype] = ACTIONS(2584),
    [anon_sym_typename] = ACTIONS(2586),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(2590),
    [anon_sym_R_DQUOTE] = ACTIONS(2592),
    [anon_sym_LR_DQUOTE] = ACTIONS(2592),
    [anon_sym_uR_DQUOTE] = ACTIONS(2592),
    [anon_sym_UR_DQUOTE] = ACTIONS(2592),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2592),
    [anon_sym_co_await] = ACTIONS(2594),
    [anon_sym_new] = ACTIONS(2596),
    [anon_sym_requires] = ACTIONS(2598),
    [sym_this] = ACTIONS(2578),
  },
  [1460] = {
    [sym_type_qualifier] = STATE(5191),
    [sym__type_specifier] = STATE(6117),
    [sym_sized_type_specifier] = STATE(3317),
    [sym_enum_specifier] = STATE(3317),
    [sym_struct_specifier] = STATE(3317),
    [sym_union_specifier] = STATE(3317),
    [sym__expression] = STATE(4021),
    [sym__expression_not_binary] = STATE(4695),
    [sym__string] = STATE(4695),
    [sym_comma_expression] = STATE(10294),
    [sym_conditional_expression] = STATE(4695),
    [sym_assignment_expression] = STATE(4695),
    [sym_pointer_expression] = STATE(4695),
    [sym_unary_expression] = STATE(4695),
    [sym_binary_expression] = STATE(4695),
    [sym_update_expression] = STATE(4695),
    [sym_cast_expression] = STATE(4695),
    [sym_type_descriptor] = STATE(9675),
    [sym_sizeof_expression] = STATE(4695),
    [sym_alignof_expression] = STATE(4695),
    [sym_offsetof_expression] = STATE(4695),
    [sym_generic_expression] = STATE(4695),
    [sym_subscript_expression] = STATE(4695),
    [sym_call_expression] = STATE(4695),
    [sym_gnu_asm_expression] = STATE(4695),
    [sym_field_expression] = STATE(4695),
    [sym_compound_literal_expression] = STATE(4695),
    [sym_parenthesized_expression] = STATE(4695),
    [sym_char_literal] = STATE(4427),
    [sym_concatenated_string] = STATE(4424),
    [sym_string_literal] = STATE(3398),
    [sym_null] = STATE(4695),
    [sym_placeholder_type_specifier] = STATE(3317),
    [sym_decltype_auto] = STATE(3318),
    [sym_decltype] = STATE(3247),
    [sym_class_specifier] = STATE(3317),
    [sym__class_name] = STATE(9425),
    [sym_dependent_type] = STATE(3317),
    [sym_template_type] = STATE(6654),
    [sym_template_function] = STATE(4695),
    [sym_raw_string_literal] = STATE(3396),
    [sym_co_await_expression] = STATE(4695),
    [sym_new_expression] = STATE(4695),
    [sym_delete_expression] = STATE(4695),
    [sym_requires_clause] = STATE(4695),
    [sym_requires_expression] = STATE(4695),
    [sym_lambda_expression] = STATE(4695),
    [sym_lambda_capture_specifier] = STATE(7185),
    [sym__unary_left_fold] = STATE(9676),
    [sym__unary_right_fold] = STATE(9677),
    [sym__binary_fold] = STATE(9613),
    [sym_fold_expression] = STATE(4695),
    [sym_parameter_pack_expansion] = STATE(4695),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6902),
    [sym_qualified_identifier] = STATE(4695),
    [sym_qualified_type_identifier] = STATE(6699),
    [sym__assignment_expression_lhs] = STATE(10286),
    [sym_user_defined_literal] = STATE(4695),
    [aux_sym__type_definition_type_repeat1] = STATE(5191),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3316),
    [sym_identifier] = ACTIONS(4186),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2106),
    [anon_sym_LPAREN2] = ACTIONS(4188),
    [anon_sym_BANG] = ACTIONS(2532),
    [anon_sym_TILDE] = ACTIONS(2532),
    [anon_sym_DASH] = ACTIONS(2536),
    [anon_sym_PLUS] = ACTIONS(2536),
    [anon_sym_STAR] = ACTIONS(2116),
    [anon_sym_AMP] = ACTIONS(2116),
    [anon_sym___extension__] = ACTIONS(63),
    [anon_sym_COLON_COLON] = ACTIONS(2542),
    [anon_sym_signed] = ACTIONS(2546),
    [anon_sym_unsigned] = ACTIONS(2546),
    [anon_sym_long] = ACTIONS(2546),
    [anon_sym_short] = ACTIONS(2546),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(2550),
    [anon_sym_enum] = ACTIONS(2552),
    [anon_sym_class] = ACTIONS(2554),
    [anon_sym_struct] = ACTIONS(2556),
    [anon_sym_union] = ACTIONS(2558),
    [anon_sym_not] = ACTIONS(2536),
    [anon_sym_compl] = ACTIONS(2536),
    [anon_sym_DASH_DASH] = ACTIONS(2560),
    [anon_sym_PLUS_PLUS] = ACTIONS(2560),
    [anon_sym_sizeof] = ACTIONS(2562),
    [anon_sym___alignof__] = ACTIONS(2564),
    [anon_sym___alignof] = ACTIONS(2564),
    [anon_sym__alignof] = ACTIONS(2564),
    [anon_sym_alignof] = ACTIONS(2564),
    [anon_sym__Alignof] = ACTIONS(2564),
    [anon_sym_offsetof] = ACTIONS(2566),
    [anon_sym__Generic] = ACTIONS(2568),
    [anon_sym_asm] = ACTIONS(2570),
    [anon_sym___asm__] = ACTIONS(2570),
    [sym_number_literal] = ACTIONS(2572),
    [anon_sym_L_SQUOTE] = ACTIONS(2574),
    [anon_sym_u_SQUOTE] = ACTIONS(2574),
    [anon_sym_U_SQUOTE] = ACTIONS(2574),
    [anon_sym_u8_SQUOTE] = ACTIONS(2574),
    [anon_sym_SQUOTE] = ACTIONS(2574),
    [anon_sym_L_DQUOTE] = ACTIONS(2576),
    [anon_sym_u_DQUOTE] = ACTIONS(2576),
    [anon_sym_U_DQUOTE] = ACTIONS(2576),
    [anon_sym_u8_DQUOTE] = ACTIONS(2576),
    [anon_sym_DQUOTE] = ACTIONS(2576),
    [sym_true] = ACTIONS(2578),
    [sym_false] = ACTIONS(2578),
    [anon_sym_NULL] = ACTIONS(2580),
    [anon_sym_nullptr] = ACTIONS(2580),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2582),
    [anon_sym_decltype] = ACTIONS(2584),
    [anon_sym_typename] = ACTIONS(2586),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(2590),
    [anon_sym_R_DQUOTE] = ACTIONS(2592),
    [anon_sym_LR_DQUOTE] = ACTIONS(2592),
    [anon_sym_uR_DQUOTE] = ACTIONS(2592),
    [anon_sym_UR_DQUOTE] = ACTIONS(2592),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2592),
    [anon_sym_co_await] = ACTIONS(2594),
    [anon_sym_new] = ACTIONS(2596),
    [anon_sym_requires] = ACTIONS(2598),
    [sym_this] = ACTIONS(2578),
  },
  [1461] = {
    [sym_type_qualifier] = STATE(5191),
    [sym__type_specifier] = STATE(6117),
    [sym_sized_type_specifier] = STATE(3317),
    [sym_enum_specifier] = STATE(3317),
    [sym_struct_specifier] = STATE(3317),
    [sym_union_specifier] = STATE(3317),
    [sym__expression] = STATE(4051),
    [sym__expression_not_binary] = STATE(4695),
    [sym__string] = STATE(4695),
    [sym_comma_expression] = STATE(10195),
    [sym_conditional_expression] = STATE(4695),
    [sym_assignment_expression] = STATE(4695),
    [sym_pointer_expression] = STATE(4695),
    [sym_unary_expression] = STATE(4695),
    [sym_binary_expression] = STATE(4695),
    [sym_update_expression] = STATE(4695),
    [sym_cast_expression] = STATE(4695),
    [sym_type_descriptor] = STATE(10104),
    [sym_sizeof_expression] = STATE(4695),
    [sym_alignof_expression] = STATE(4695),
    [sym_offsetof_expression] = STATE(4695),
    [sym_generic_expression] = STATE(4695),
    [sym_subscript_expression] = STATE(4695),
    [sym_call_expression] = STATE(4695),
    [sym_gnu_asm_expression] = STATE(4695),
    [sym_field_expression] = STATE(4695),
    [sym_compound_literal_expression] = STATE(4695),
    [sym_parenthesized_expression] = STATE(4695),
    [sym_char_literal] = STATE(4427),
    [sym_concatenated_string] = STATE(4424),
    [sym_string_literal] = STATE(3398),
    [sym_null] = STATE(4695),
    [sym_placeholder_type_specifier] = STATE(3317),
    [sym_decltype_auto] = STATE(3318),
    [sym_decltype] = STATE(3247),
    [sym_class_specifier] = STATE(3317),
    [sym__class_name] = STATE(9425),
    [sym_dependent_type] = STATE(3317),
    [sym_template_type] = STATE(6654),
    [sym_template_function] = STATE(4695),
    [sym_raw_string_literal] = STATE(3396),
    [sym_co_await_expression] = STATE(4695),
    [sym_new_expression] = STATE(4695),
    [sym_delete_expression] = STATE(4695),
    [sym_requires_clause] = STATE(4695),
    [sym_requires_expression] = STATE(4695),
    [sym_lambda_expression] = STATE(4695),
    [sym_lambda_capture_specifier] = STATE(7185),
    [sym__unary_left_fold] = STATE(10289),
    [sym__unary_right_fold] = STATE(10288),
    [sym__binary_fold] = STATE(10287),
    [sym_fold_expression] = STATE(4695),
    [sym_parameter_pack_expansion] = STATE(4695),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6902),
    [sym_qualified_identifier] = STATE(4695),
    [sym_qualified_type_identifier] = STATE(6699),
    [sym__assignment_expression_lhs] = STATE(10297),
    [sym_user_defined_literal] = STATE(4695),
    [aux_sym__type_definition_type_repeat1] = STATE(5191),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3316),
    [sym_identifier] = ACTIONS(4186),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2106),
    [anon_sym_LPAREN2] = ACTIONS(4188),
    [anon_sym_BANG] = ACTIONS(2532),
    [anon_sym_TILDE] = ACTIONS(2532),
    [anon_sym_DASH] = ACTIONS(2536),
    [anon_sym_PLUS] = ACTIONS(2536),
    [anon_sym_STAR] = ACTIONS(2116),
    [anon_sym_AMP] = ACTIONS(2116),
    [anon_sym___extension__] = ACTIONS(63),
    [anon_sym_COLON_COLON] = ACTIONS(2542),
    [anon_sym_signed] = ACTIONS(2546),
    [anon_sym_unsigned] = ACTIONS(2546),
    [anon_sym_long] = ACTIONS(2546),
    [anon_sym_short] = ACTIONS(2546),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(2550),
    [anon_sym_enum] = ACTIONS(2552),
    [anon_sym_class] = ACTIONS(2554),
    [anon_sym_struct] = ACTIONS(2556),
    [anon_sym_union] = ACTIONS(2558),
    [anon_sym_not] = ACTIONS(2536),
    [anon_sym_compl] = ACTIONS(2536),
    [anon_sym_DASH_DASH] = ACTIONS(2560),
    [anon_sym_PLUS_PLUS] = ACTIONS(2560),
    [anon_sym_sizeof] = ACTIONS(2562),
    [anon_sym___alignof__] = ACTIONS(2564),
    [anon_sym___alignof] = ACTIONS(2564),
    [anon_sym__alignof] = ACTIONS(2564),
    [anon_sym_alignof] = ACTIONS(2564),
    [anon_sym__Alignof] = ACTIONS(2564),
    [anon_sym_offsetof] = ACTIONS(2566),
    [anon_sym__Generic] = ACTIONS(2568),
    [anon_sym_asm] = ACTIONS(2570),
    [anon_sym___asm__] = ACTIONS(2570),
    [sym_number_literal] = ACTIONS(2572),
    [anon_sym_L_SQUOTE] = ACTIONS(2574),
    [anon_sym_u_SQUOTE] = ACTIONS(2574),
    [anon_sym_U_SQUOTE] = ACTIONS(2574),
    [anon_sym_u8_SQUOTE] = ACTIONS(2574),
    [anon_sym_SQUOTE] = ACTIONS(2574),
    [anon_sym_L_DQUOTE] = ACTIONS(2576),
    [anon_sym_u_DQUOTE] = ACTIONS(2576),
    [anon_sym_U_DQUOTE] = ACTIONS(2576),
    [anon_sym_u8_DQUOTE] = ACTIONS(2576),
    [anon_sym_DQUOTE] = ACTIONS(2576),
    [sym_true] = ACTIONS(2578),
    [sym_false] = ACTIONS(2578),
    [anon_sym_NULL] = ACTIONS(2580),
    [anon_sym_nullptr] = ACTIONS(2580),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2582),
    [anon_sym_decltype] = ACTIONS(2584),
    [anon_sym_typename] = ACTIONS(2586),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(2590),
    [anon_sym_R_DQUOTE] = ACTIONS(2592),
    [anon_sym_LR_DQUOTE] = ACTIONS(2592),
    [anon_sym_uR_DQUOTE] = ACTIONS(2592),
    [anon_sym_UR_DQUOTE] = ACTIONS(2592),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2592),
    [anon_sym_co_await] = ACTIONS(2594),
    [anon_sym_new] = ACTIONS(2596),
    [anon_sym_requires] = ACTIONS(2598),
    [sym_this] = ACTIONS(2578),
  },
  [1462] = {
    [sym_type_qualifier] = STATE(5191),
    [sym__type_specifier] = STATE(6117),
    [sym_sized_type_specifier] = STATE(3317),
    [sym_enum_specifier] = STATE(3317),
    [sym_struct_specifier] = STATE(3317),
    [sym_union_specifier] = STATE(3317),
    [sym__expression] = STATE(4051),
    [sym__expression_not_binary] = STATE(4695),
    [sym__string] = STATE(4695),
    [sym_comma_expression] = STATE(10195),
    [sym_conditional_expression] = STATE(4695),
    [sym_assignment_expression] = STATE(4695),
    [sym_pointer_expression] = STATE(4695),
    [sym_unary_expression] = STATE(4695),
    [sym_binary_expression] = STATE(4695),
    [sym_update_expression] = STATE(4695),
    [sym_cast_expression] = STATE(4695),
    [sym_type_descriptor] = STATE(9880),
    [sym_sizeof_expression] = STATE(4695),
    [sym_alignof_expression] = STATE(4695),
    [sym_offsetof_expression] = STATE(4695),
    [sym_generic_expression] = STATE(4695),
    [sym_subscript_expression] = STATE(4695),
    [sym_call_expression] = STATE(4695),
    [sym_gnu_asm_expression] = STATE(4695),
    [sym_field_expression] = STATE(4695),
    [sym_compound_literal_expression] = STATE(4695),
    [sym_parenthesized_expression] = STATE(4695),
    [sym_char_literal] = STATE(4427),
    [sym_concatenated_string] = STATE(4424),
    [sym_string_literal] = STATE(3398),
    [sym_null] = STATE(4695),
    [sym_placeholder_type_specifier] = STATE(3317),
    [sym_decltype_auto] = STATE(3318),
    [sym_decltype] = STATE(3247),
    [sym_class_specifier] = STATE(3317),
    [sym__class_name] = STATE(9425),
    [sym_dependent_type] = STATE(3317),
    [sym_template_type] = STATE(6654),
    [sym_template_function] = STATE(4695),
    [sym_raw_string_literal] = STATE(3396),
    [sym_co_await_expression] = STATE(4695),
    [sym_new_expression] = STATE(4695),
    [sym_delete_expression] = STATE(4695),
    [sym_requires_clause] = STATE(4695),
    [sym_requires_expression] = STATE(4695),
    [sym_lambda_expression] = STATE(4695),
    [sym_lambda_capture_specifier] = STATE(7185),
    [sym__unary_left_fold] = STATE(10301),
    [sym__unary_right_fold] = STATE(10300),
    [sym__binary_fold] = STATE(10299),
    [sym_fold_expression] = STATE(4695),
    [sym_parameter_pack_expansion] = STATE(4695),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6902),
    [sym_qualified_identifier] = STATE(4695),
    [sym_qualified_type_identifier] = STATE(6699),
    [sym__assignment_expression_lhs] = STATE(10297),
    [sym_user_defined_literal] = STATE(4695),
    [aux_sym__type_definition_type_repeat1] = STATE(5191),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3316),
    [sym_identifier] = ACTIONS(4186),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2106),
    [anon_sym_LPAREN2] = ACTIONS(4188),
    [anon_sym_BANG] = ACTIONS(2532),
    [anon_sym_TILDE] = ACTIONS(2532),
    [anon_sym_DASH] = ACTIONS(2536),
    [anon_sym_PLUS] = ACTIONS(2536),
    [anon_sym_STAR] = ACTIONS(2116),
    [anon_sym_AMP] = ACTIONS(2116),
    [anon_sym___extension__] = ACTIONS(63),
    [anon_sym_COLON_COLON] = ACTIONS(2542),
    [anon_sym_signed] = ACTIONS(2546),
    [anon_sym_unsigned] = ACTIONS(2546),
    [anon_sym_long] = ACTIONS(2546),
    [anon_sym_short] = ACTIONS(2546),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(2550),
    [anon_sym_enum] = ACTIONS(2552),
    [anon_sym_class] = ACTIONS(2554),
    [anon_sym_struct] = ACTIONS(2556),
    [anon_sym_union] = ACTIONS(2558),
    [anon_sym_not] = ACTIONS(2536),
    [anon_sym_compl] = ACTIONS(2536),
    [anon_sym_DASH_DASH] = ACTIONS(2560),
    [anon_sym_PLUS_PLUS] = ACTIONS(2560),
    [anon_sym_sizeof] = ACTIONS(2562),
    [anon_sym___alignof__] = ACTIONS(2564),
    [anon_sym___alignof] = ACTIONS(2564),
    [anon_sym__alignof] = ACTIONS(2564),
    [anon_sym_alignof] = ACTIONS(2564),
    [anon_sym__Alignof] = ACTIONS(2564),
    [anon_sym_offsetof] = ACTIONS(2566),
    [anon_sym__Generic] = ACTIONS(2568),
    [anon_sym_asm] = ACTIONS(2570),
    [anon_sym___asm__] = ACTIONS(2570),
    [sym_number_literal] = ACTIONS(2572),
    [anon_sym_L_SQUOTE] = ACTIONS(2574),
    [anon_sym_u_SQUOTE] = ACTIONS(2574),
    [anon_sym_U_SQUOTE] = ACTIONS(2574),
    [anon_sym_u8_SQUOTE] = ACTIONS(2574),
    [anon_sym_SQUOTE] = ACTIONS(2574),
    [anon_sym_L_DQUOTE] = ACTIONS(2576),
    [anon_sym_u_DQUOTE] = ACTIONS(2576),
    [anon_sym_U_DQUOTE] = ACTIONS(2576),
    [anon_sym_u8_DQUOTE] = ACTIONS(2576),
    [anon_sym_DQUOTE] = ACTIONS(2576),
    [sym_true] = ACTIONS(2578),
    [sym_false] = ACTIONS(2578),
    [anon_sym_NULL] = ACTIONS(2580),
    [anon_sym_nullptr] = ACTIONS(2580),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2582),
    [anon_sym_decltype] = ACTIONS(2584),
    [anon_sym_typename] = ACTIONS(2586),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(2590),
    [anon_sym_R_DQUOTE] = ACTIONS(2592),
    [anon_sym_LR_DQUOTE] = ACTIONS(2592),
    [anon_sym_uR_DQUOTE] = ACTIONS(2592),
    [anon_sym_UR_DQUOTE] = ACTIONS(2592),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2592),
    [anon_sym_co_await] = ACTIONS(2594),
    [anon_sym_new] = ACTIONS(2596),
    [anon_sym_requires] = ACTIONS(2598),
    [sym_this] = ACTIONS(2578),
  },
  [1463] = {
    [sym_type_qualifier] = STATE(5191),
    [sym__type_specifier] = STATE(6117),
    [sym_sized_type_specifier] = STATE(3317),
    [sym_enum_specifier] = STATE(3317),
    [sym_struct_specifier] = STATE(3317),
    [sym_union_specifier] = STATE(3317),
    [sym__expression] = STATE(4051),
    [sym__expression_not_binary] = STATE(4695),
    [sym__string] = STATE(4695),
    [sym_comma_expression] = STATE(10195),
    [sym_conditional_expression] = STATE(4695),
    [sym_assignment_expression] = STATE(4695),
    [sym_pointer_expression] = STATE(4695),
    [sym_unary_expression] = STATE(4695),
    [sym_binary_expression] = STATE(4695),
    [sym_update_expression] = STATE(4695),
    [sym_cast_expression] = STATE(4695),
    [sym_type_descriptor] = STATE(9866),
    [sym_sizeof_expression] = STATE(4695),
    [sym_alignof_expression] = STATE(4695),
    [sym_offsetof_expression] = STATE(4695),
    [sym_generic_expression] = STATE(4695),
    [sym_subscript_expression] = STATE(4695),
    [sym_call_expression] = STATE(4695),
    [sym_gnu_asm_expression] = STATE(4695),
    [sym_field_expression] = STATE(4695),
    [sym_compound_literal_expression] = STATE(4695),
    [sym_parenthesized_expression] = STATE(4695),
    [sym_char_literal] = STATE(4427),
    [sym_concatenated_string] = STATE(4424),
    [sym_string_literal] = STATE(3398),
    [sym_null] = STATE(4695),
    [sym_placeholder_type_specifier] = STATE(3317),
    [sym_decltype_auto] = STATE(3318),
    [sym_decltype] = STATE(3247),
    [sym_class_specifier] = STATE(3317),
    [sym__class_name] = STATE(9425),
    [sym_dependent_type] = STATE(3317),
    [sym_template_type] = STATE(6654),
    [sym_template_function] = STATE(4695),
    [sym_raw_string_literal] = STATE(3396),
    [sym_co_await_expression] = STATE(4695),
    [sym_new_expression] = STATE(4695),
    [sym_delete_expression] = STATE(4695),
    [sym_requires_clause] = STATE(4695),
    [sym_requires_expression] = STATE(4695),
    [sym_lambda_expression] = STATE(4695),
    [sym_lambda_capture_specifier] = STATE(7185),
    [sym__unary_left_fold] = STATE(10301),
    [sym__unary_right_fold] = STATE(10300),
    [sym__binary_fold] = STATE(10299),
    [sym_fold_expression] = STATE(4695),
    [sym_parameter_pack_expansion] = STATE(4695),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6902),
    [sym_qualified_identifier] = STATE(4695),
    [sym_qualified_type_identifier] = STATE(6699),
    [sym__assignment_expression_lhs] = STATE(10297),
    [sym_user_defined_literal] = STATE(4695),
    [aux_sym__type_definition_type_repeat1] = STATE(5191),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3316),
    [sym_identifier] = ACTIONS(4186),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2106),
    [anon_sym_LPAREN2] = ACTIONS(4188),
    [anon_sym_BANG] = ACTIONS(2532),
    [anon_sym_TILDE] = ACTIONS(2532),
    [anon_sym_DASH] = ACTIONS(2536),
    [anon_sym_PLUS] = ACTIONS(2536),
    [anon_sym_STAR] = ACTIONS(2116),
    [anon_sym_AMP] = ACTIONS(2116),
    [anon_sym___extension__] = ACTIONS(63),
    [anon_sym_COLON_COLON] = ACTIONS(2542),
    [anon_sym_signed] = ACTIONS(2546),
    [anon_sym_unsigned] = ACTIONS(2546),
    [anon_sym_long] = ACTIONS(2546),
    [anon_sym_short] = ACTIONS(2546),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(2550),
    [anon_sym_enum] = ACTIONS(2552),
    [anon_sym_class] = ACTIONS(2554),
    [anon_sym_struct] = ACTIONS(2556),
    [anon_sym_union] = ACTIONS(2558),
    [anon_sym_not] = ACTIONS(2536),
    [anon_sym_compl] = ACTIONS(2536),
    [anon_sym_DASH_DASH] = ACTIONS(2560),
    [anon_sym_PLUS_PLUS] = ACTIONS(2560),
    [anon_sym_sizeof] = ACTIONS(2562),
    [anon_sym___alignof__] = ACTIONS(2564),
    [anon_sym___alignof] = ACTIONS(2564),
    [anon_sym__alignof] = ACTIONS(2564),
    [anon_sym_alignof] = ACTIONS(2564),
    [anon_sym__Alignof] = ACTIONS(2564),
    [anon_sym_offsetof] = ACTIONS(2566),
    [anon_sym__Generic] = ACTIONS(2568),
    [anon_sym_asm] = ACTIONS(2570),
    [anon_sym___asm__] = ACTIONS(2570),
    [sym_number_literal] = ACTIONS(2572),
    [anon_sym_L_SQUOTE] = ACTIONS(2574),
    [anon_sym_u_SQUOTE] = ACTIONS(2574),
    [anon_sym_U_SQUOTE] = ACTIONS(2574),
    [anon_sym_u8_SQUOTE] = ACTIONS(2574),
    [anon_sym_SQUOTE] = ACTIONS(2574),
    [anon_sym_L_DQUOTE] = ACTIONS(2576),
    [anon_sym_u_DQUOTE] = ACTIONS(2576),
    [anon_sym_U_DQUOTE] = ACTIONS(2576),
    [anon_sym_u8_DQUOTE] = ACTIONS(2576),
    [anon_sym_DQUOTE] = ACTIONS(2576),
    [sym_true] = ACTIONS(2578),
    [sym_false] = ACTIONS(2578),
    [anon_sym_NULL] = ACTIONS(2580),
    [anon_sym_nullptr] = ACTIONS(2580),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2582),
    [anon_sym_decltype] = ACTIONS(2584),
    [anon_sym_typename] = ACTIONS(2586),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(2590),
    [anon_sym_R_DQUOTE] = ACTIONS(2592),
    [anon_sym_LR_DQUOTE] = ACTIONS(2592),
    [anon_sym_uR_DQUOTE] = ACTIONS(2592),
    [anon_sym_UR_DQUOTE] = ACTIONS(2592),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2592),
    [anon_sym_co_await] = ACTIONS(2594),
    [anon_sym_new] = ACTIONS(2596),
    [anon_sym_requires] = ACTIONS(2598),
    [sym_this] = ACTIONS(2578),
  },
  [1464] = {
    [sym_identifier] = ACTIONS(4192),
    [anon_sym_LPAREN2] = ACTIONS(4195),
    [anon_sym_BANG] = ACTIONS(4198),
    [anon_sym_TILDE] = ACTIONS(4195),
    [anon_sym_DASH] = ACTIONS(4200),
    [anon_sym_PLUS] = ACTIONS(4200),
    [anon_sym_STAR] = ACTIONS(4195),
    [anon_sym_AMP_AMP] = ACTIONS(4202),
    [anon_sym_AMP] = ACTIONS(4192),
    [anon_sym_SEMI] = ACTIONS(4198),
    [anon_sym___extension__] = ACTIONS(4204),
    [anon_sym_in] = ACTIONS(4204),
    [anon_sym_out] = ACTIONS(4204),
    [anon_sym_inout] = ACTIONS(4204),
    [anon_sym_extern] = ACTIONS(4204),
    [anon_sym___attribute__] = ACTIONS(4204),
    [anon_sym_COLON_COLON] = ACTIONS(4195),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4195),
    [anon_sym___declspec] = ACTIONS(4204),
    [anon_sym___based] = ACTIONS(4204),
    [anon_sym_LBRACE] = ACTIONS(4198),
    [anon_sym_signed] = ACTIONS(4204),
    [anon_sym_unsigned] = ACTIONS(4204),
    [anon_sym_long] = ACTIONS(4204),
    [anon_sym_short] = ACTIONS(4204),
    [anon_sym_LBRACK] = ACTIONS(4192),
    [anon_sym_static] = ACTIONS(4204),
    [anon_sym_register] = ACTIONS(4204),
    [anon_sym_inline] = ACTIONS(4204),
    [anon_sym___inline] = ACTIONS(4204),
    [anon_sym___inline__] = ACTIONS(4204),
    [anon_sym___forceinline] = ACTIONS(4204),
    [anon_sym_thread_local] = ACTIONS(4204),
    [anon_sym___thread] = ACTIONS(4204),
    [anon_sym_const] = ACTIONS(4204),
    [anon_sym_constexpr] = ACTIONS(4204),
    [anon_sym_volatile] = ACTIONS(4204),
    [anon_sym_restrict] = ACTIONS(4204),
    [anon_sym___restrict__] = ACTIONS(4204),
    [anon_sym__Atomic] = ACTIONS(4204),
    [anon_sym__Noreturn] = ACTIONS(4204),
    [anon_sym_noreturn] = ACTIONS(4204),
    [anon_sym_mutable] = ACTIONS(4204),
    [anon_sym_constinit] = ACTIONS(4204),
    [anon_sym_consteval] = ACTIONS(4204),
    [sym_primitive_type] = ACTIONS(4192),
    [anon_sym_enum] = ACTIONS(4204),
    [anon_sym_class] = ACTIONS(4204),
    [anon_sym_struct] = ACTIONS(4204),
    [anon_sym_union] = ACTIONS(4204),
    [anon_sym_if] = ACTIONS(4200),
    [anon_sym_switch] = ACTIONS(4200),
    [anon_sym_case] = ACTIONS(4200),
    [anon_sym_default] = ACTIONS(4200),
    [anon_sym_while] = ACTIONS(4200),
    [anon_sym_do] = ACTIONS(4200),
    [anon_sym_for] = ACTIONS(4200),
    [anon_sym_return] = ACTIONS(4200),
    [anon_sym_break] = ACTIONS(4200),
    [anon_sym_continue] = ACTIONS(4200),
    [anon_sym_goto] = ACTIONS(4200),
    [anon_sym___try] = ACTIONS(4200),
    [anon_sym___leave] = ACTIONS(4200),
    [anon_sym_not] = ACTIONS(4200),
    [anon_sym_compl] = ACTIONS(4200),
    [anon_sym_DASH_DASH] = ACTIONS(4198),
    [anon_sym_PLUS_PLUS] = ACTIONS(4198),
    [anon_sym_sizeof] = ACTIONS(4200),
    [anon_sym___alignof__] = ACTIONS(4200),
    [anon_sym___alignof] = ACTIONS(4200),
    [anon_sym__alignof] = ACTIONS(4200),
    [anon_sym_alignof] = ACTIONS(4200),
    [anon_sym__Alignof] = ACTIONS(4200),
    [anon_sym_offsetof] = ACTIONS(4200),
    [anon_sym__Generic] = ACTIONS(4200),
    [anon_sym_asm] = ACTIONS(4200),
    [anon_sym___asm__] = ACTIONS(4200),
    [sym_number_literal] = ACTIONS(4198),
    [anon_sym_L_SQUOTE] = ACTIONS(4198),
    [anon_sym_u_SQUOTE] = ACTIONS(4198),
    [anon_sym_U_SQUOTE] = ACTIONS(4198),
    [anon_sym_u8_SQUOTE] = ACTIONS(4198),
    [anon_sym_SQUOTE] = ACTIONS(4198),
    [anon_sym_L_DQUOTE] = ACTIONS(4198),
    [anon_sym_u_DQUOTE] = ACTIONS(4198),
    [anon_sym_U_DQUOTE] = ACTIONS(4198),
    [anon_sym_u8_DQUOTE] = ACTIONS(4198),
    [anon_sym_DQUOTE] = ACTIONS(4198),
    [sym_true] = ACTIONS(4200),
    [sym_false] = ACTIONS(4200),
    [anon_sym_NULL] = ACTIONS(4200),
    [anon_sym_nullptr] = ACTIONS(4200),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4204),
    [anon_sym_decltype] = ACTIONS(4192),
    [anon_sym_virtual] = ACTIONS(4204),
    [anon_sym_alignas] = ACTIONS(4204),
    [anon_sym_explicit] = ACTIONS(4204),
    [anon_sym_typename] = ACTIONS(4204),
    [anon_sym_template] = ACTIONS(4192),
    [anon_sym_operator] = ACTIONS(4204),
    [anon_sym_try] = ACTIONS(4200),
    [anon_sym_delete] = ACTIONS(4200),
    [anon_sym_throw] = ACTIONS(4200),
    [anon_sym_co_return] = ACTIONS(4200),
    [anon_sym_co_yield] = ACTIONS(4200),
    [anon_sym_R_DQUOTE] = ACTIONS(4198),
    [anon_sym_LR_DQUOTE] = ACTIONS(4198),
    [anon_sym_uR_DQUOTE] = ACTIONS(4198),
    [anon_sym_UR_DQUOTE] = ACTIONS(4198),
    [anon_sym_u8R_DQUOTE] = ACTIONS(4198),
    [anon_sym_co_await] = ACTIONS(4200),
    [anon_sym_new] = ACTIONS(4200),
    [anon_sym_requires] = ACTIONS(4200),
    [sym_this] = ACTIONS(4200),
    [anon_sym_discard] = ACTIONS(4200),
    [anon_sym_precise] = ACTIONS(4204),
    [anon_sym_shared] = ACTIONS(4204),
    [anon_sym_groupshared] = ACTIONS(4204),
    [anon_sym_uniform] = ACTIONS(4204),
    [anon_sym_row_major] = ACTIONS(4204),
    [anon_sym_column_major] = ACTIONS(4204),
    [anon_sym_globallycoherent] = ACTIONS(4204),
    [anon_sym_centroid] = ACTIONS(4204),
    [anon_sym_noperspective] = ACTIONS(4204),
    [anon_sym_nointerpolation] = ACTIONS(4204),
    [anon_sym_sample] = ACTIONS(4204),
    [anon_sym_linear] = ACTIONS(4204),
    [anon_sym_snorm] = ACTIONS(4204),
    [anon_sym_unorm] = ACTIONS(4204),
    [anon_sym_point] = ACTIONS(4204),
    [anon_sym_line] = ACTIONS(4204),
    [anon_sym_triangleadj] = ACTIONS(4204),
    [anon_sym_lineadj] = ACTIONS(4204),
    [anon_sym_triangle] = ACTIONS(4204),
    [anon_sym_cbuffer] = ACTIONS(4200),
  },
  [1465] = {
    [sym_identifier] = ACTIONS(2258),
    [anon_sym_LPAREN2] = ACTIONS(2260),
    [anon_sym_BANG] = ACTIONS(2260),
    [anon_sym_TILDE] = ACTIONS(2260),
    [anon_sym_DASH] = ACTIONS(2258),
    [anon_sym_PLUS] = ACTIONS(2258),
    [anon_sym_STAR] = ACTIONS(2260),
    [anon_sym_AMP] = ACTIONS(2260),
    [anon_sym_COLON] = ACTIONS(2258),
    [anon_sym_SEMI] = ACTIONS(2260),
    [anon_sym___extension__] = ACTIONS(2258),
    [anon_sym_typedef] = ACTIONS(2258),
    [anon_sym_in] = ACTIONS(2258),
    [anon_sym_out] = ACTIONS(2258),
    [anon_sym_inout] = ACTIONS(2258),
    [anon_sym_extern] = ACTIONS(2258),
    [anon_sym___attribute__] = ACTIONS(2258),
    [anon_sym_COLON_COLON] = ACTIONS(2262),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2260),
    [anon_sym___declspec] = ACTIONS(2258),
    [anon_sym_LBRACE] = ACTIONS(2260),
    [anon_sym_signed] = ACTIONS(2258),
    [anon_sym_unsigned] = ACTIONS(2258),
    [anon_sym_long] = ACTIONS(2258),
    [anon_sym_short] = ACTIONS(2258),
    [anon_sym_LBRACK] = ACTIONS(2258),
    [anon_sym_static] = ACTIONS(2258),
    [anon_sym_register] = ACTIONS(2258),
    [anon_sym_inline] = ACTIONS(2258),
    [anon_sym___inline] = ACTIONS(2258),
    [anon_sym___inline__] = ACTIONS(2258),
    [anon_sym___forceinline] = ACTIONS(2258),
    [anon_sym_thread_local] = ACTIONS(2258),
    [anon_sym___thread] = ACTIONS(2258),
    [anon_sym_const] = ACTIONS(2258),
    [anon_sym_constexpr] = ACTIONS(2258),
    [anon_sym_volatile] = ACTIONS(2258),
    [anon_sym_restrict] = ACTIONS(2258),
    [anon_sym___restrict__] = ACTIONS(2258),
    [anon_sym__Atomic] = ACTIONS(2258),
    [anon_sym__Noreturn] = ACTIONS(2258),
    [anon_sym_noreturn] = ACTIONS(2258),
    [anon_sym_mutable] = ACTIONS(2258),
    [anon_sym_constinit] = ACTIONS(2258),
    [anon_sym_consteval] = ACTIONS(2258),
    [sym_primitive_type] = ACTIONS(2258),
    [anon_sym_enum] = ACTIONS(2258),
    [anon_sym_class] = ACTIONS(2258),
    [anon_sym_struct] = ACTIONS(2258),
    [anon_sym_union] = ACTIONS(2258),
    [anon_sym_if] = ACTIONS(2258),
    [anon_sym_else] = ACTIONS(2258),
    [anon_sym_switch] = ACTIONS(2258),
    [anon_sym_while] = ACTIONS(2258),
    [anon_sym_do] = ACTIONS(2258),
    [anon_sym_for] = ACTIONS(2258),
    [anon_sym_return] = ACTIONS(2258),
    [anon_sym_break] = ACTIONS(2258),
    [anon_sym_continue] = ACTIONS(2258),
    [anon_sym_goto] = ACTIONS(2258),
    [anon_sym___try] = ACTIONS(2258),
    [anon_sym___leave] = ACTIONS(2258),
    [anon_sym_not] = ACTIONS(2258),
    [anon_sym_compl] = ACTIONS(2258),
    [anon_sym_DASH_DASH] = ACTIONS(2260),
    [anon_sym_PLUS_PLUS] = ACTIONS(2260),
    [anon_sym_sizeof] = ACTIONS(2258),
    [anon_sym___alignof__] = ACTIONS(2258),
    [anon_sym___alignof] = ACTIONS(2258),
    [anon_sym__alignof] = ACTIONS(2258),
    [anon_sym_alignof] = ACTIONS(2258),
    [anon_sym__Alignof] = ACTIONS(2258),
    [anon_sym_offsetof] = ACTIONS(2258),
    [anon_sym__Generic] = ACTIONS(2258),
    [anon_sym_asm] = ACTIONS(2258),
    [anon_sym___asm__] = ACTIONS(2258),
    [sym_number_literal] = ACTIONS(2260),
    [anon_sym_L_SQUOTE] = ACTIONS(2260),
    [anon_sym_u_SQUOTE] = ACTIONS(2260),
    [anon_sym_U_SQUOTE] = ACTIONS(2260),
    [anon_sym_u8_SQUOTE] = ACTIONS(2260),
    [anon_sym_SQUOTE] = ACTIONS(2260),
    [anon_sym_L_DQUOTE] = ACTIONS(2260),
    [anon_sym_u_DQUOTE] = ACTIONS(2260),
    [anon_sym_U_DQUOTE] = ACTIONS(2260),
    [anon_sym_u8_DQUOTE] = ACTIONS(2260),
    [anon_sym_DQUOTE] = ACTIONS(2260),
    [sym_true] = ACTIONS(2258),
    [sym_false] = ACTIONS(2258),
    [anon_sym_NULL] = ACTIONS(2258),
    [anon_sym_nullptr] = ACTIONS(2258),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2258),
    [anon_sym_decltype] = ACTIONS(2258),
    [anon_sym_final] = ACTIONS(2258),
    [anon_sym_override] = ACTIONS(2258),
    [anon_sym_virtual] = ACTIONS(2258),
    [anon_sym_alignas] = ACTIONS(2258),
    [anon_sym_typename] = ACTIONS(2258),
    [anon_sym_template] = ACTIONS(2258),
    [anon_sym_try] = ACTIONS(2258),
    [anon_sym_delete] = ACTIONS(2258),
    [anon_sym_throw] = ACTIONS(2258),
    [anon_sym_co_return] = ACTIONS(2258),
    [anon_sym_co_yield] = ACTIONS(2258),
    [anon_sym_R_DQUOTE] = ACTIONS(2260),
    [anon_sym_LR_DQUOTE] = ACTIONS(2260),
    [anon_sym_uR_DQUOTE] = ACTIONS(2260),
    [anon_sym_UR_DQUOTE] = ACTIONS(2260),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2260),
    [anon_sym_co_await] = ACTIONS(2258),
    [anon_sym_new] = ACTIONS(2258),
    [anon_sym_requires] = ACTIONS(2258),
    [sym_this] = ACTIONS(2258),
    [anon_sym_discard] = ACTIONS(2258),
    [anon_sym_precise] = ACTIONS(2258),
    [anon_sym_shared] = ACTIONS(2258),
    [anon_sym_groupshared] = ACTIONS(2258),
    [anon_sym_uniform] = ACTIONS(2258),
    [anon_sym_row_major] = ACTIONS(2258),
    [anon_sym_column_major] = ACTIONS(2258),
    [anon_sym_globallycoherent] = ACTIONS(2258),
    [anon_sym_centroid] = ACTIONS(2258),
    [anon_sym_noperspective] = ACTIONS(2258),
    [anon_sym_nointerpolation] = ACTIONS(2258),
    [anon_sym_sample] = ACTIONS(2258),
    [anon_sym_linear] = ACTIONS(2258),
    [anon_sym_snorm] = ACTIONS(2258),
    [anon_sym_unorm] = ACTIONS(2258),
    [anon_sym_point] = ACTIONS(2258),
    [anon_sym_line] = ACTIONS(2258),
    [anon_sym_triangleadj] = ACTIONS(2258),
    [anon_sym_lineadj] = ACTIONS(2258),
    [anon_sym_triangle] = ACTIONS(2258),
    [anon_sym_cbuffer] = ACTIONS(2258),
  },
  [1466] = {
    [sym_identifier] = ACTIONS(2212),
    [anon_sym_LPAREN2] = ACTIONS(2214),
    [anon_sym_BANG] = ACTIONS(2214),
    [anon_sym_TILDE] = ACTIONS(2214),
    [anon_sym_DASH] = ACTIONS(2212),
    [anon_sym_PLUS] = ACTIONS(2212),
    [anon_sym_STAR] = ACTIONS(2214),
    [anon_sym_AMP] = ACTIONS(2214),
    [anon_sym_COLON] = ACTIONS(2212),
    [anon_sym_SEMI] = ACTIONS(2214),
    [anon_sym___extension__] = ACTIONS(2212),
    [anon_sym_typedef] = ACTIONS(2212),
    [anon_sym_in] = ACTIONS(2212),
    [anon_sym_out] = ACTIONS(2212),
    [anon_sym_inout] = ACTIONS(2212),
    [anon_sym_extern] = ACTIONS(2212),
    [anon_sym___attribute__] = ACTIONS(2212),
    [anon_sym_COLON_COLON] = ACTIONS(2214),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2214),
    [anon_sym___declspec] = ACTIONS(2212),
    [anon_sym_LBRACE] = ACTIONS(2214),
    [anon_sym_signed] = ACTIONS(2212),
    [anon_sym_unsigned] = ACTIONS(2212),
    [anon_sym_long] = ACTIONS(2212),
    [anon_sym_short] = ACTIONS(2212),
    [anon_sym_LBRACK] = ACTIONS(2212),
    [anon_sym_static] = ACTIONS(2212),
    [anon_sym_register] = ACTIONS(2212),
    [anon_sym_inline] = ACTIONS(2212),
    [anon_sym___inline] = ACTIONS(2212),
    [anon_sym___inline__] = ACTIONS(2212),
    [anon_sym___forceinline] = ACTIONS(2212),
    [anon_sym_thread_local] = ACTIONS(2212),
    [anon_sym___thread] = ACTIONS(2212),
    [anon_sym_const] = ACTIONS(2212),
    [anon_sym_constexpr] = ACTIONS(2212),
    [anon_sym_volatile] = ACTIONS(2212),
    [anon_sym_restrict] = ACTIONS(2212),
    [anon_sym___restrict__] = ACTIONS(2212),
    [anon_sym__Atomic] = ACTIONS(2212),
    [anon_sym__Noreturn] = ACTIONS(2212),
    [anon_sym_noreturn] = ACTIONS(2212),
    [anon_sym_mutable] = ACTIONS(2212),
    [anon_sym_constinit] = ACTIONS(2212),
    [anon_sym_consteval] = ACTIONS(2212),
    [sym_primitive_type] = ACTIONS(2212),
    [anon_sym_enum] = ACTIONS(2212),
    [anon_sym_class] = ACTIONS(2212),
    [anon_sym_struct] = ACTIONS(2212),
    [anon_sym_union] = ACTIONS(2212),
    [anon_sym_if] = ACTIONS(2212),
    [anon_sym_else] = ACTIONS(2212),
    [anon_sym_switch] = ACTIONS(2212),
    [anon_sym_while] = ACTIONS(2212),
    [anon_sym_do] = ACTIONS(2212),
    [anon_sym_for] = ACTIONS(2212),
    [anon_sym_return] = ACTIONS(2212),
    [anon_sym_break] = ACTIONS(2212),
    [anon_sym_continue] = ACTIONS(2212),
    [anon_sym_goto] = ACTIONS(2212),
    [anon_sym___try] = ACTIONS(2212),
    [anon_sym___leave] = ACTIONS(2212),
    [anon_sym_not] = ACTIONS(2212),
    [anon_sym_compl] = ACTIONS(2212),
    [anon_sym_DASH_DASH] = ACTIONS(2214),
    [anon_sym_PLUS_PLUS] = ACTIONS(2214),
    [anon_sym_sizeof] = ACTIONS(2212),
    [anon_sym___alignof__] = ACTIONS(2212),
    [anon_sym___alignof] = ACTIONS(2212),
    [anon_sym__alignof] = ACTIONS(2212),
    [anon_sym_alignof] = ACTIONS(2212),
    [anon_sym__Alignof] = ACTIONS(2212),
    [anon_sym_offsetof] = ACTIONS(2212),
    [anon_sym__Generic] = ACTIONS(2212),
    [anon_sym_asm] = ACTIONS(2212),
    [anon_sym___asm__] = ACTIONS(2212),
    [sym_number_literal] = ACTIONS(2214),
    [anon_sym_L_SQUOTE] = ACTIONS(2214),
    [anon_sym_u_SQUOTE] = ACTIONS(2214),
    [anon_sym_U_SQUOTE] = ACTIONS(2214),
    [anon_sym_u8_SQUOTE] = ACTIONS(2214),
    [anon_sym_SQUOTE] = ACTIONS(2214),
    [anon_sym_L_DQUOTE] = ACTIONS(2214),
    [anon_sym_u_DQUOTE] = ACTIONS(2214),
    [anon_sym_U_DQUOTE] = ACTIONS(2214),
    [anon_sym_u8_DQUOTE] = ACTIONS(2214),
    [anon_sym_DQUOTE] = ACTIONS(2214),
    [sym_true] = ACTIONS(2212),
    [sym_false] = ACTIONS(2212),
    [anon_sym_NULL] = ACTIONS(2212),
    [anon_sym_nullptr] = ACTIONS(2212),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2212),
    [anon_sym_decltype] = ACTIONS(2212),
    [anon_sym_final] = ACTIONS(2212),
    [anon_sym_override] = ACTIONS(2212),
    [anon_sym_virtual] = ACTIONS(2212),
    [anon_sym_alignas] = ACTIONS(2212),
    [anon_sym_typename] = ACTIONS(2212),
    [anon_sym_template] = ACTIONS(2212),
    [anon_sym_try] = ACTIONS(2212),
    [anon_sym_delete] = ACTIONS(2212),
    [anon_sym_throw] = ACTIONS(2212),
    [anon_sym_co_return] = ACTIONS(2212),
    [anon_sym_co_yield] = ACTIONS(2212),
    [anon_sym_R_DQUOTE] = ACTIONS(2214),
    [anon_sym_LR_DQUOTE] = ACTIONS(2214),
    [anon_sym_uR_DQUOTE] = ACTIONS(2214),
    [anon_sym_UR_DQUOTE] = ACTIONS(2214),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2214),
    [anon_sym_co_await] = ACTIONS(2212),
    [anon_sym_new] = ACTIONS(2212),
    [anon_sym_requires] = ACTIONS(2212),
    [sym_this] = ACTIONS(2212),
    [anon_sym_discard] = ACTIONS(2212),
    [anon_sym_precise] = ACTIONS(2212),
    [anon_sym_shared] = ACTIONS(2212),
    [anon_sym_groupshared] = ACTIONS(2212),
    [anon_sym_uniform] = ACTIONS(2212),
    [anon_sym_row_major] = ACTIONS(2212),
    [anon_sym_column_major] = ACTIONS(2212),
    [anon_sym_globallycoherent] = ACTIONS(2212),
    [anon_sym_centroid] = ACTIONS(2212),
    [anon_sym_noperspective] = ACTIONS(2212),
    [anon_sym_nointerpolation] = ACTIONS(2212),
    [anon_sym_sample] = ACTIONS(2212),
    [anon_sym_linear] = ACTIONS(2212),
    [anon_sym_snorm] = ACTIONS(2212),
    [anon_sym_unorm] = ACTIONS(2212),
    [anon_sym_point] = ACTIONS(2212),
    [anon_sym_line] = ACTIONS(2212),
    [anon_sym_triangleadj] = ACTIONS(2212),
    [anon_sym_lineadj] = ACTIONS(2212),
    [anon_sym_triangle] = ACTIONS(2212),
    [anon_sym_cbuffer] = ACTIONS(2212),
  },
  [1467] = {
    [sym_identifier] = ACTIONS(2182),
    [anon_sym_LPAREN2] = ACTIONS(2184),
    [anon_sym_BANG] = ACTIONS(2184),
    [anon_sym_TILDE] = ACTIONS(2184),
    [anon_sym_DASH] = ACTIONS(2182),
    [anon_sym_PLUS] = ACTIONS(2182),
    [anon_sym_STAR] = ACTIONS(2184),
    [anon_sym_AMP] = ACTIONS(2184),
    [anon_sym_COLON] = ACTIONS(2182),
    [anon_sym_SEMI] = ACTIONS(2184),
    [anon_sym___extension__] = ACTIONS(2182),
    [anon_sym_typedef] = ACTIONS(2182),
    [anon_sym_in] = ACTIONS(2182),
    [anon_sym_out] = ACTIONS(2182),
    [anon_sym_inout] = ACTIONS(2182),
    [anon_sym_extern] = ACTIONS(2182),
    [anon_sym___attribute__] = ACTIONS(2182),
    [anon_sym_COLON_COLON] = ACTIONS(2184),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2184),
    [anon_sym___declspec] = ACTIONS(2182),
    [anon_sym_LBRACE] = ACTIONS(2184),
    [anon_sym_signed] = ACTIONS(2182),
    [anon_sym_unsigned] = ACTIONS(2182),
    [anon_sym_long] = ACTIONS(2182),
    [anon_sym_short] = ACTIONS(2182),
    [anon_sym_LBRACK] = ACTIONS(2182),
    [anon_sym_static] = ACTIONS(2182),
    [anon_sym_register] = ACTIONS(2182),
    [anon_sym_inline] = ACTIONS(2182),
    [anon_sym___inline] = ACTIONS(2182),
    [anon_sym___inline__] = ACTIONS(2182),
    [anon_sym___forceinline] = ACTIONS(2182),
    [anon_sym_thread_local] = ACTIONS(2182),
    [anon_sym___thread] = ACTIONS(2182),
    [anon_sym_const] = ACTIONS(2182),
    [anon_sym_constexpr] = ACTIONS(2182),
    [anon_sym_volatile] = ACTIONS(2182),
    [anon_sym_restrict] = ACTIONS(2182),
    [anon_sym___restrict__] = ACTIONS(2182),
    [anon_sym__Atomic] = ACTIONS(2182),
    [anon_sym__Noreturn] = ACTIONS(2182),
    [anon_sym_noreturn] = ACTIONS(2182),
    [anon_sym_mutable] = ACTIONS(2182),
    [anon_sym_constinit] = ACTIONS(2182),
    [anon_sym_consteval] = ACTIONS(2182),
    [sym_primitive_type] = ACTIONS(2182),
    [anon_sym_enum] = ACTIONS(2182),
    [anon_sym_class] = ACTIONS(2182),
    [anon_sym_struct] = ACTIONS(2182),
    [anon_sym_union] = ACTIONS(2182),
    [anon_sym_if] = ACTIONS(2182),
    [anon_sym_else] = ACTIONS(2182),
    [anon_sym_switch] = ACTIONS(2182),
    [anon_sym_while] = ACTIONS(2182),
    [anon_sym_do] = ACTIONS(2182),
    [anon_sym_for] = ACTIONS(2182),
    [anon_sym_return] = ACTIONS(2182),
    [anon_sym_break] = ACTIONS(2182),
    [anon_sym_continue] = ACTIONS(2182),
    [anon_sym_goto] = ACTIONS(2182),
    [anon_sym___try] = ACTIONS(2182),
    [anon_sym___leave] = ACTIONS(2182),
    [anon_sym_not] = ACTIONS(2182),
    [anon_sym_compl] = ACTIONS(2182),
    [anon_sym_DASH_DASH] = ACTIONS(2184),
    [anon_sym_PLUS_PLUS] = ACTIONS(2184),
    [anon_sym_sizeof] = ACTIONS(2182),
    [anon_sym___alignof__] = ACTIONS(2182),
    [anon_sym___alignof] = ACTIONS(2182),
    [anon_sym__alignof] = ACTIONS(2182),
    [anon_sym_alignof] = ACTIONS(2182),
    [anon_sym__Alignof] = ACTIONS(2182),
    [anon_sym_offsetof] = ACTIONS(2182),
    [anon_sym__Generic] = ACTIONS(2182),
    [anon_sym_asm] = ACTIONS(2182),
    [anon_sym___asm__] = ACTIONS(2182),
    [sym_number_literal] = ACTIONS(2184),
    [anon_sym_L_SQUOTE] = ACTIONS(2184),
    [anon_sym_u_SQUOTE] = ACTIONS(2184),
    [anon_sym_U_SQUOTE] = ACTIONS(2184),
    [anon_sym_u8_SQUOTE] = ACTIONS(2184),
    [anon_sym_SQUOTE] = ACTIONS(2184),
    [anon_sym_L_DQUOTE] = ACTIONS(2184),
    [anon_sym_u_DQUOTE] = ACTIONS(2184),
    [anon_sym_U_DQUOTE] = ACTIONS(2184),
    [anon_sym_u8_DQUOTE] = ACTIONS(2184),
    [anon_sym_DQUOTE] = ACTIONS(2184),
    [sym_true] = ACTIONS(2182),
    [sym_false] = ACTIONS(2182),
    [anon_sym_NULL] = ACTIONS(2182),
    [anon_sym_nullptr] = ACTIONS(2182),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2182),
    [anon_sym_decltype] = ACTIONS(2182),
    [anon_sym_final] = ACTIONS(2182),
    [anon_sym_override] = ACTIONS(2182),
    [anon_sym_virtual] = ACTIONS(2182),
    [anon_sym_alignas] = ACTIONS(2182),
    [anon_sym_typename] = ACTIONS(2182),
    [anon_sym_template] = ACTIONS(2182),
    [anon_sym_try] = ACTIONS(2182),
    [anon_sym_delete] = ACTIONS(2182),
    [anon_sym_throw] = ACTIONS(2182),
    [anon_sym_co_return] = ACTIONS(2182),
    [anon_sym_co_yield] = ACTIONS(2182),
    [anon_sym_R_DQUOTE] = ACTIONS(2184),
    [anon_sym_LR_DQUOTE] = ACTIONS(2184),
    [anon_sym_uR_DQUOTE] = ACTIONS(2184),
    [anon_sym_UR_DQUOTE] = ACTIONS(2184),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2184),
    [anon_sym_co_await] = ACTIONS(2182),
    [anon_sym_new] = ACTIONS(2182),
    [anon_sym_requires] = ACTIONS(2182),
    [sym_this] = ACTIONS(2182),
    [anon_sym_discard] = ACTIONS(2182),
    [anon_sym_precise] = ACTIONS(2182),
    [anon_sym_shared] = ACTIONS(2182),
    [anon_sym_groupshared] = ACTIONS(2182),
    [anon_sym_uniform] = ACTIONS(2182),
    [anon_sym_row_major] = ACTIONS(2182),
    [anon_sym_column_major] = ACTIONS(2182),
    [anon_sym_globallycoherent] = ACTIONS(2182),
    [anon_sym_centroid] = ACTIONS(2182),
    [anon_sym_noperspective] = ACTIONS(2182),
    [anon_sym_nointerpolation] = ACTIONS(2182),
    [anon_sym_sample] = ACTIONS(2182),
    [anon_sym_linear] = ACTIONS(2182),
    [anon_sym_snorm] = ACTIONS(2182),
    [anon_sym_unorm] = ACTIONS(2182),
    [anon_sym_point] = ACTIONS(2182),
    [anon_sym_line] = ACTIONS(2182),
    [anon_sym_triangleadj] = ACTIONS(2182),
    [anon_sym_lineadj] = ACTIONS(2182),
    [anon_sym_triangle] = ACTIONS(2182),
    [anon_sym_cbuffer] = ACTIONS(2182),
  },
  [1468] = {
    [sym_identifier] = ACTIONS(2186),
    [anon_sym_LPAREN2] = ACTIONS(2188),
    [anon_sym_BANG] = ACTIONS(2188),
    [anon_sym_TILDE] = ACTIONS(2188),
    [anon_sym_DASH] = ACTIONS(2186),
    [anon_sym_PLUS] = ACTIONS(2186),
    [anon_sym_STAR] = ACTIONS(2188),
    [anon_sym_AMP] = ACTIONS(2188),
    [anon_sym_COLON] = ACTIONS(2186),
    [anon_sym_SEMI] = ACTIONS(2188),
    [anon_sym___extension__] = ACTIONS(2186),
    [anon_sym_typedef] = ACTIONS(2186),
    [anon_sym_in] = ACTIONS(2186),
    [anon_sym_out] = ACTIONS(2186),
    [anon_sym_inout] = ACTIONS(2186),
    [anon_sym_extern] = ACTIONS(2186),
    [anon_sym___attribute__] = ACTIONS(2186),
    [anon_sym_COLON_COLON] = ACTIONS(2188),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2188),
    [anon_sym___declspec] = ACTIONS(2186),
    [anon_sym_LBRACE] = ACTIONS(2188),
    [anon_sym_signed] = ACTIONS(2186),
    [anon_sym_unsigned] = ACTIONS(2186),
    [anon_sym_long] = ACTIONS(2186),
    [anon_sym_short] = ACTIONS(2186),
    [anon_sym_LBRACK] = ACTIONS(2186),
    [anon_sym_static] = ACTIONS(2186),
    [anon_sym_register] = ACTIONS(2186),
    [anon_sym_inline] = ACTIONS(2186),
    [anon_sym___inline] = ACTIONS(2186),
    [anon_sym___inline__] = ACTIONS(2186),
    [anon_sym___forceinline] = ACTIONS(2186),
    [anon_sym_thread_local] = ACTIONS(2186),
    [anon_sym___thread] = ACTIONS(2186),
    [anon_sym_const] = ACTIONS(2186),
    [anon_sym_constexpr] = ACTIONS(2186),
    [anon_sym_volatile] = ACTIONS(2186),
    [anon_sym_restrict] = ACTIONS(2186),
    [anon_sym___restrict__] = ACTIONS(2186),
    [anon_sym__Atomic] = ACTIONS(2186),
    [anon_sym__Noreturn] = ACTIONS(2186),
    [anon_sym_noreturn] = ACTIONS(2186),
    [anon_sym_mutable] = ACTIONS(2186),
    [anon_sym_constinit] = ACTIONS(2186),
    [anon_sym_consteval] = ACTIONS(2186),
    [sym_primitive_type] = ACTIONS(2186),
    [anon_sym_enum] = ACTIONS(2186),
    [anon_sym_class] = ACTIONS(2186),
    [anon_sym_struct] = ACTIONS(2186),
    [anon_sym_union] = ACTIONS(2186),
    [anon_sym_if] = ACTIONS(2186),
    [anon_sym_else] = ACTIONS(2186),
    [anon_sym_switch] = ACTIONS(2186),
    [anon_sym_while] = ACTIONS(2186),
    [anon_sym_do] = ACTIONS(2186),
    [anon_sym_for] = ACTIONS(2186),
    [anon_sym_return] = ACTIONS(2186),
    [anon_sym_break] = ACTIONS(2186),
    [anon_sym_continue] = ACTIONS(2186),
    [anon_sym_goto] = ACTIONS(2186),
    [anon_sym___try] = ACTIONS(2186),
    [anon_sym___leave] = ACTIONS(2186),
    [anon_sym_not] = ACTIONS(2186),
    [anon_sym_compl] = ACTIONS(2186),
    [anon_sym_DASH_DASH] = ACTIONS(2188),
    [anon_sym_PLUS_PLUS] = ACTIONS(2188),
    [anon_sym_sizeof] = ACTIONS(2186),
    [anon_sym___alignof__] = ACTIONS(2186),
    [anon_sym___alignof] = ACTIONS(2186),
    [anon_sym__alignof] = ACTIONS(2186),
    [anon_sym_alignof] = ACTIONS(2186),
    [anon_sym__Alignof] = ACTIONS(2186),
    [anon_sym_offsetof] = ACTIONS(2186),
    [anon_sym__Generic] = ACTIONS(2186),
    [anon_sym_asm] = ACTIONS(2186),
    [anon_sym___asm__] = ACTIONS(2186),
    [sym_number_literal] = ACTIONS(2188),
    [anon_sym_L_SQUOTE] = ACTIONS(2188),
    [anon_sym_u_SQUOTE] = ACTIONS(2188),
    [anon_sym_U_SQUOTE] = ACTIONS(2188),
    [anon_sym_u8_SQUOTE] = ACTIONS(2188),
    [anon_sym_SQUOTE] = ACTIONS(2188),
    [anon_sym_L_DQUOTE] = ACTIONS(2188),
    [anon_sym_u_DQUOTE] = ACTIONS(2188),
    [anon_sym_U_DQUOTE] = ACTIONS(2188),
    [anon_sym_u8_DQUOTE] = ACTIONS(2188),
    [anon_sym_DQUOTE] = ACTIONS(2188),
    [sym_true] = ACTIONS(2186),
    [sym_false] = ACTIONS(2186),
    [anon_sym_NULL] = ACTIONS(2186),
    [anon_sym_nullptr] = ACTIONS(2186),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2186),
    [anon_sym_decltype] = ACTIONS(2186),
    [anon_sym_final] = ACTIONS(2186),
    [anon_sym_override] = ACTIONS(2186),
    [anon_sym_virtual] = ACTIONS(2186),
    [anon_sym_alignas] = ACTIONS(2186),
    [anon_sym_typename] = ACTIONS(2186),
    [anon_sym_template] = ACTIONS(2186),
    [anon_sym_try] = ACTIONS(2186),
    [anon_sym_delete] = ACTIONS(2186),
    [anon_sym_throw] = ACTIONS(2186),
    [anon_sym_co_return] = ACTIONS(2186),
    [anon_sym_co_yield] = ACTIONS(2186),
    [anon_sym_R_DQUOTE] = ACTIONS(2188),
    [anon_sym_LR_DQUOTE] = ACTIONS(2188),
    [anon_sym_uR_DQUOTE] = ACTIONS(2188),
    [anon_sym_UR_DQUOTE] = ACTIONS(2188),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2188),
    [anon_sym_co_await] = ACTIONS(2186),
    [anon_sym_new] = ACTIONS(2186),
    [anon_sym_requires] = ACTIONS(2186),
    [sym_this] = ACTIONS(2186),
    [anon_sym_discard] = ACTIONS(2186),
    [anon_sym_precise] = ACTIONS(2186),
    [anon_sym_shared] = ACTIONS(2186),
    [anon_sym_groupshared] = ACTIONS(2186),
    [anon_sym_uniform] = ACTIONS(2186),
    [anon_sym_row_major] = ACTIONS(2186),
    [anon_sym_column_major] = ACTIONS(2186),
    [anon_sym_globallycoherent] = ACTIONS(2186),
    [anon_sym_centroid] = ACTIONS(2186),
    [anon_sym_noperspective] = ACTIONS(2186),
    [anon_sym_nointerpolation] = ACTIONS(2186),
    [anon_sym_sample] = ACTIONS(2186),
    [anon_sym_linear] = ACTIONS(2186),
    [anon_sym_snorm] = ACTIONS(2186),
    [anon_sym_unorm] = ACTIONS(2186),
    [anon_sym_point] = ACTIONS(2186),
    [anon_sym_line] = ACTIONS(2186),
    [anon_sym_triangleadj] = ACTIONS(2186),
    [anon_sym_lineadj] = ACTIONS(2186),
    [anon_sym_triangle] = ACTIONS(2186),
    [anon_sym_cbuffer] = ACTIONS(2186),
  },
  [1469] = {
    [sym_identifier] = ACTIONS(2178),
    [anon_sym_LPAREN2] = ACTIONS(2180),
    [anon_sym_BANG] = ACTIONS(2180),
    [anon_sym_TILDE] = ACTIONS(2180),
    [anon_sym_DASH] = ACTIONS(2178),
    [anon_sym_PLUS] = ACTIONS(2178),
    [anon_sym_STAR] = ACTIONS(2180),
    [anon_sym_AMP] = ACTIONS(2180),
    [anon_sym_COLON] = ACTIONS(2178),
    [anon_sym_SEMI] = ACTIONS(2180),
    [anon_sym___extension__] = ACTIONS(2178),
    [anon_sym_typedef] = ACTIONS(2178),
    [anon_sym_in] = ACTIONS(2178),
    [anon_sym_out] = ACTIONS(2178),
    [anon_sym_inout] = ACTIONS(2178),
    [anon_sym_extern] = ACTIONS(2178),
    [anon_sym___attribute__] = ACTIONS(2178),
    [anon_sym_COLON_COLON] = ACTIONS(2180),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2180),
    [anon_sym___declspec] = ACTIONS(2178),
    [anon_sym_LBRACE] = ACTIONS(2180),
    [anon_sym_signed] = ACTIONS(2178),
    [anon_sym_unsigned] = ACTIONS(2178),
    [anon_sym_long] = ACTIONS(2178),
    [anon_sym_short] = ACTIONS(2178),
    [anon_sym_LBRACK] = ACTIONS(2178),
    [anon_sym_static] = ACTIONS(2178),
    [anon_sym_register] = ACTIONS(2178),
    [anon_sym_inline] = ACTIONS(2178),
    [anon_sym___inline] = ACTIONS(2178),
    [anon_sym___inline__] = ACTIONS(2178),
    [anon_sym___forceinline] = ACTIONS(2178),
    [anon_sym_thread_local] = ACTIONS(2178),
    [anon_sym___thread] = ACTIONS(2178),
    [anon_sym_const] = ACTIONS(2178),
    [anon_sym_constexpr] = ACTIONS(2178),
    [anon_sym_volatile] = ACTIONS(2178),
    [anon_sym_restrict] = ACTIONS(2178),
    [anon_sym___restrict__] = ACTIONS(2178),
    [anon_sym__Atomic] = ACTIONS(2178),
    [anon_sym__Noreturn] = ACTIONS(2178),
    [anon_sym_noreturn] = ACTIONS(2178),
    [anon_sym_mutable] = ACTIONS(2178),
    [anon_sym_constinit] = ACTIONS(2178),
    [anon_sym_consteval] = ACTIONS(2178),
    [sym_primitive_type] = ACTIONS(2178),
    [anon_sym_enum] = ACTIONS(2178),
    [anon_sym_class] = ACTIONS(2178),
    [anon_sym_struct] = ACTIONS(2178),
    [anon_sym_union] = ACTIONS(2178),
    [anon_sym_if] = ACTIONS(2178),
    [anon_sym_else] = ACTIONS(2178),
    [anon_sym_switch] = ACTIONS(2178),
    [anon_sym_while] = ACTIONS(2178),
    [anon_sym_do] = ACTIONS(2178),
    [anon_sym_for] = ACTIONS(2178),
    [anon_sym_return] = ACTIONS(2178),
    [anon_sym_break] = ACTIONS(2178),
    [anon_sym_continue] = ACTIONS(2178),
    [anon_sym_goto] = ACTIONS(2178),
    [anon_sym___try] = ACTIONS(2178),
    [anon_sym___leave] = ACTIONS(2178),
    [anon_sym_not] = ACTIONS(2178),
    [anon_sym_compl] = ACTIONS(2178),
    [anon_sym_DASH_DASH] = ACTIONS(2180),
    [anon_sym_PLUS_PLUS] = ACTIONS(2180),
    [anon_sym_sizeof] = ACTIONS(2178),
    [anon_sym___alignof__] = ACTIONS(2178),
    [anon_sym___alignof] = ACTIONS(2178),
    [anon_sym__alignof] = ACTIONS(2178),
    [anon_sym_alignof] = ACTIONS(2178),
    [anon_sym__Alignof] = ACTIONS(2178),
    [anon_sym_offsetof] = ACTIONS(2178),
    [anon_sym__Generic] = ACTIONS(2178),
    [anon_sym_asm] = ACTIONS(2178),
    [anon_sym___asm__] = ACTIONS(2178),
    [sym_number_literal] = ACTIONS(2180),
    [anon_sym_L_SQUOTE] = ACTIONS(2180),
    [anon_sym_u_SQUOTE] = ACTIONS(2180),
    [anon_sym_U_SQUOTE] = ACTIONS(2180),
    [anon_sym_u8_SQUOTE] = ACTIONS(2180),
    [anon_sym_SQUOTE] = ACTIONS(2180),
    [anon_sym_L_DQUOTE] = ACTIONS(2180),
    [anon_sym_u_DQUOTE] = ACTIONS(2180),
    [anon_sym_U_DQUOTE] = ACTIONS(2180),
    [anon_sym_u8_DQUOTE] = ACTIONS(2180),
    [anon_sym_DQUOTE] = ACTIONS(2180),
    [sym_true] = ACTIONS(2178),
    [sym_false] = ACTIONS(2178),
    [anon_sym_NULL] = ACTIONS(2178),
    [anon_sym_nullptr] = ACTIONS(2178),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2178),
    [anon_sym_decltype] = ACTIONS(2178),
    [anon_sym_final] = ACTIONS(2178),
    [anon_sym_override] = ACTIONS(2178),
    [anon_sym_virtual] = ACTIONS(2178),
    [anon_sym_alignas] = ACTIONS(2178),
    [anon_sym_typename] = ACTIONS(2178),
    [anon_sym_template] = ACTIONS(2178),
    [anon_sym_try] = ACTIONS(2178),
    [anon_sym_delete] = ACTIONS(2178),
    [anon_sym_throw] = ACTIONS(2178),
    [anon_sym_co_return] = ACTIONS(2178),
    [anon_sym_co_yield] = ACTIONS(2178),
    [anon_sym_R_DQUOTE] = ACTIONS(2180),
    [anon_sym_LR_DQUOTE] = ACTIONS(2180),
    [anon_sym_uR_DQUOTE] = ACTIONS(2180),
    [anon_sym_UR_DQUOTE] = ACTIONS(2180),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2180),
    [anon_sym_co_await] = ACTIONS(2178),
    [anon_sym_new] = ACTIONS(2178),
    [anon_sym_requires] = ACTIONS(2178),
    [sym_this] = ACTIONS(2178),
    [anon_sym_discard] = ACTIONS(2178),
    [anon_sym_precise] = ACTIONS(2178),
    [anon_sym_shared] = ACTIONS(2178),
    [anon_sym_groupshared] = ACTIONS(2178),
    [anon_sym_uniform] = ACTIONS(2178),
    [anon_sym_row_major] = ACTIONS(2178),
    [anon_sym_column_major] = ACTIONS(2178),
    [anon_sym_globallycoherent] = ACTIONS(2178),
    [anon_sym_centroid] = ACTIONS(2178),
    [anon_sym_noperspective] = ACTIONS(2178),
    [anon_sym_nointerpolation] = ACTIONS(2178),
    [anon_sym_sample] = ACTIONS(2178),
    [anon_sym_linear] = ACTIONS(2178),
    [anon_sym_snorm] = ACTIONS(2178),
    [anon_sym_unorm] = ACTIONS(2178),
    [anon_sym_point] = ACTIONS(2178),
    [anon_sym_line] = ACTIONS(2178),
    [anon_sym_triangleadj] = ACTIONS(2178),
    [anon_sym_lineadj] = ACTIONS(2178),
    [anon_sym_triangle] = ACTIONS(2178),
    [anon_sym_cbuffer] = ACTIONS(2178),
  },
  [1470] = {
    [sym_identifier] = ACTIONS(2200),
    [anon_sym_LPAREN2] = ACTIONS(2202),
    [anon_sym_BANG] = ACTIONS(2202),
    [anon_sym_TILDE] = ACTIONS(2202),
    [anon_sym_DASH] = ACTIONS(2200),
    [anon_sym_PLUS] = ACTIONS(2200),
    [anon_sym_STAR] = ACTIONS(2202),
    [anon_sym_AMP] = ACTIONS(2202),
    [anon_sym_COLON] = ACTIONS(2200),
    [anon_sym_SEMI] = ACTIONS(2202),
    [anon_sym___extension__] = ACTIONS(2200),
    [anon_sym_typedef] = ACTIONS(2200),
    [anon_sym_in] = ACTIONS(2200),
    [anon_sym_out] = ACTIONS(2200),
    [anon_sym_inout] = ACTIONS(2200),
    [anon_sym_extern] = ACTIONS(2200),
    [anon_sym___attribute__] = ACTIONS(2200),
    [anon_sym_COLON_COLON] = ACTIONS(2202),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2202),
    [anon_sym___declspec] = ACTIONS(2200),
    [anon_sym_LBRACE] = ACTIONS(2202),
    [anon_sym_signed] = ACTIONS(2200),
    [anon_sym_unsigned] = ACTIONS(2200),
    [anon_sym_long] = ACTIONS(2200),
    [anon_sym_short] = ACTIONS(2200),
    [anon_sym_LBRACK] = ACTIONS(2200),
    [anon_sym_static] = ACTIONS(2200),
    [anon_sym_register] = ACTIONS(2200),
    [anon_sym_inline] = ACTIONS(2200),
    [anon_sym___inline] = ACTIONS(2200),
    [anon_sym___inline__] = ACTIONS(2200),
    [anon_sym___forceinline] = ACTIONS(2200),
    [anon_sym_thread_local] = ACTIONS(2200),
    [anon_sym___thread] = ACTIONS(2200),
    [anon_sym_const] = ACTIONS(2200),
    [anon_sym_constexpr] = ACTIONS(2200),
    [anon_sym_volatile] = ACTIONS(2200),
    [anon_sym_restrict] = ACTIONS(2200),
    [anon_sym___restrict__] = ACTIONS(2200),
    [anon_sym__Atomic] = ACTIONS(2200),
    [anon_sym__Noreturn] = ACTIONS(2200),
    [anon_sym_noreturn] = ACTIONS(2200),
    [anon_sym_mutable] = ACTIONS(2200),
    [anon_sym_constinit] = ACTIONS(2200),
    [anon_sym_consteval] = ACTIONS(2200),
    [sym_primitive_type] = ACTIONS(2200),
    [anon_sym_enum] = ACTIONS(2200),
    [anon_sym_class] = ACTIONS(2200),
    [anon_sym_struct] = ACTIONS(2200),
    [anon_sym_union] = ACTIONS(2200),
    [anon_sym_if] = ACTIONS(2200),
    [anon_sym_else] = ACTIONS(2200),
    [anon_sym_switch] = ACTIONS(2200),
    [anon_sym_while] = ACTIONS(2200),
    [anon_sym_do] = ACTIONS(2200),
    [anon_sym_for] = ACTIONS(2200),
    [anon_sym_return] = ACTIONS(2200),
    [anon_sym_break] = ACTIONS(2200),
    [anon_sym_continue] = ACTIONS(2200),
    [anon_sym_goto] = ACTIONS(2200),
    [anon_sym___try] = ACTIONS(2200),
    [anon_sym___leave] = ACTIONS(2200),
    [anon_sym_not] = ACTIONS(2200),
    [anon_sym_compl] = ACTIONS(2200),
    [anon_sym_DASH_DASH] = ACTIONS(2202),
    [anon_sym_PLUS_PLUS] = ACTIONS(2202),
    [anon_sym_sizeof] = ACTIONS(2200),
    [anon_sym___alignof__] = ACTIONS(2200),
    [anon_sym___alignof] = ACTIONS(2200),
    [anon_sym__alignof] = ACTIONS(2200),
    [anon_sym_alignof] = ACTIONS(2200),
    [anon_sym__Alignof] = ACTIONS(2200),
    [anon_sym_offsetof] = ACTIONS(2200),
    [anon_sym__Generic] = ACTIONS(2200),
    [anon_sym_asm] = ACTIONS(2200),
    [anon_sym___asm__] = ACTIONS(2200),
    [sym_number_literal] = ACTIONS(2202),
    [anon_sym_L_SQUOTE] = ACTIONS(2202),
    [anon_sym_u_SQUOTE] = ACTIONS(2202),
    [anon_sym_U_SQUOTE] = ACTIONS(2202),
    [anon_sym_u8_SQUOTE] = ACTIONS(2202),
    [anon_sym_SQUOTE] = ACTIONS(2202),
    [anon_sym_L_DQUOTE] = ACTIONS(2202),
    [anon_sym_u_DQUOTE] = ACTIONS(2202),
    [anon_sym_U_DQUOTE] = ACTIONS(2202),
    [anon_sym_u8_DQUOTE] = ACTIONS(2202),
    [anon_sym_DQUOTE] = ACTIONS(2202),
    [sym_true] = ACTIONS(2200),
    [sym_false] = ACTIONS(2200),
    [anon_sym_NULL] = ACTIONS(2200),
    [anon_sym_nullptr] = ACTIONS(2200),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2200),
    [anon_sym_decltype] = ACTIONS(2200),
    [anon_sym_final] = ACTIONS(2200),
    [anon_sym_override] = ACTIONS(2200),
    [anon_sym_virtual] = ACTIONS(2200),
    [anon_sym_alignas] = ACTIONS(2200),
    [anon_sym_typename] = ACTIONS(2200),
    [anon_sym_template] = ACTIONS(2200),
    [anon_sym_try] = ACTIONS(2200),
    [anon_sym_delete] = ACTIONS(2200),
    [anon_sym_throw] = ACTIONS(2200),
    [anon_sym_co_return] = ACTIONS(2200),
    [anon_sym_co_yield] = ACTIONS(2200),
    [anon_sym_R_DQUOTE] = ACTIONS(2202),
    [anon_sym_LR_DQUOTE] = ACTIONS(2202),
    [anon_sym_uR_DQUOTE] = ACTIONS(2202),
    [anon_sym_UR_DQUOTE] = ACTIONS(2202),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2202),
    [anon_sym_co_await] = ACTIONS(2200),
    [anon_sym_new] = ACTIONS(2200),
    [anon_sym_requires] = ACTIONS(2200),
    [sym_this] = ACTIONS(2200),
    [anon_sym_discard] = ACTIONS(2200),
    [anon_sym_precise] = ACTIONS(2200),
    [anon_sym_shared] = ACTIONS(2200),
    [anon_sym_groupshared] = ACTIONS(2200),
    [anon_sym_uniform] = ACTIONS(2200),
    [anon_sym_row_major] = ACTIONS(2200),
    [anon_sym_column_major] = ACTIONS(2200),
    [anon_sym_globallycoherent] = ACTIONS(2200),
    [anon_sym_centroid] = ACTIONS(2200),
    [anon_sym_noperspective] = ACTIONS(2200),
    [anon_sym_nointerpolation] = ACTIONS(2200),
    [anon_sym_sample] = ACTIONS(2200),
    [anon_sym_linear] = ACTIONS(2200),
    [anon_sym_snorm] = ACTIONS(2200),
    [anon_sym_unorm] = ACTIONS(2200),
    [anon_sym_point] = ACTIONS(2200),
    [anon_sym_line] = ACTIONS(2200),
    [anon_sym_triangleadj] = ACTIONS(2200),
    [anon_sym_lineadj] = ACTIONS(2200),
    [anon_sym_triangle] = ACTIONS(2200),
    [anon_sym_cbuffer] = ACTIONS(2200),
  },
  [1471] = {
    [sym_catch_clause] = STATE(1474),
    [aux_sym_constructor_try_statement_repeat1] = STATE(1474),
    [sym_identifier] = ACTIONS(2242),
    [anon_sym_LPAREN2] = ACTIONS(2244),
    [anon_sym_BANG] = ACTIONS(2244),
    [anon_sym_TILDE] = ACTIONS(2244),
    [anon_sym_DASH] = ACTIONS(2242),
    [anon_sym_PLUS] = ACTIONS(2242),
    [anon_sym_STAR] = ACTIONS(2244),
    [anon_sym_AMP] = ACTIONS(2244),
    [anon_sym_SEMI] = ACTIONS(2244),
    [anon_sym___extension__] = ACTIONS(2242),
    [anon_sym_typedef] = ACTIONS(2242),
    [anon_sym_in] = ACTIONS(2242),
    [anon_sym_out] = ACTIONS(2242),
    [anon_sym_inout] = ACTIONS(2242),
    [anon_sym_extern] = ACTIONS(2242),
    [anon_sym___attribute__] = ACTIONS(2242),
    [anon_sym_COLON_COLON] = ACTIONS(2244),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2244),
    [anon_sym___declspec] = ACTIONS(2242),
    [anon_sym_LBRACE] = ACTIONS(2244),
    [anon_sym_signed] = ACTIONS(2242),
    [anon_sym_unsigned] = ACTIONS(2242),
    [anon_sym_long] = ACTIONS(2242),
    [anon_sym_short] = ACTIONS(2242),
    [anon_sym_LBRACK] = ACTIONS(2242),
    [anon_sym_static] = ACTIONS(2242),
    [anon_sym_register] = ACTIONS(2242),
    [anon_sym_inline] = ACTIONS(2242),
    [anon_sym___inline] = ACTIONS(2242),
    [anon_sym___inline__] = ACTIONS(2242),
    [anon_sym___forceinline] = ACTIONS(2242),
    [anon_sym_thread_local] = ACTIONS(2242),
    [anon_sym___thread] = ACTIONS(2242),
    [anon_sym_const] = ACTIONS(2242),
    [anon_sym_constexpr] = ACTIONS(2242),
    [anon_sym_volatile] = ACTIONS(2242),
    [anon_sym_restrict] = ACTIONS(2242),
    [anon_sym___restrict__] = ACTIONS(2242),
    [anon_sym__Atomic] = ACTIONS(2242),
    [anon_sym__Noreturn] = ACTIONS(2242),
    [anon_sym_noreturn] = ACTIONS(2242),
    [anon_sym_mutable] = ACTIONS(2242),
    [anon_sym_constinit] = ACTIONS(2242),
    [anon_sym_consteval] = ACTIONS(2242),
    [sym_primitive_type] = ACTIONS(2242),
    [anon_sym_enum] = ACTIONS(2242),
    [anon_sym_class] = ACTIONS(2242),
    [anon_sym_struct] = ACTIONS(2242),
    [anon_sym_union] = ACTIONS(2242),
    [anon_sym_if] = ACTIONS(2242),
    [anon_sym_else] = ACTIONS(2242),
    [anon_sym_switch] = ACTIONS(2242),
    [anon_sym_while] = ACTIONS(2242),
    [anon_sym_do] = ACTIONS(2242),
    [anon_sym_for] = ACTIONS(2242),
    [anon_sym_return] = ACTIONS(2242),
    [anon_sym_break] = ACTIONS(2242),
    [anon_sym_continue] = ACTIONS(2242),
    [anon_sym_goto] = ACTIONS(2242),
    [anon_sym___try] = ACTIONS(2242),
    [anon_sym___leave] = ACTIONS(2242),
    [anon_sym_not] = ACTIONS(2242),
    [anon_sym_compl] = ACTIONS(2242),
    [anon_sym_DASH_DASH] = ACTIONS(2244),
    [anon_sym_PLUS_PLUS] = ACTIONS(2244),
    [anon_sym_sizeof] = ACTIONS(2242),
    [anon_sym___alignof__] = ACTIONS(2242),
    [anon_sym___alignof] = ACTIONS(2242),
    [anon_sym__alignof] = ACTIONS(2242),
    [anon_sym_alignof] = ACTIONS(2242),
    [anon_sym__Alignof] = ACTIONS(2242),
    [anon_sym_offsetof] = ACTIONS(2242),
    [anon_sym__Generic] = ACTIONS(2242),
    [anon_sym_asm] = ACTIONS(2242),
    [anon_sym___asm__] = ACTIONS(2242),
    [sym_number_literal] = ACTIONS(2244),
    [anon_sym_L_SQUOTE] = ACTIONS(2244),
    [anon_sym_u_SQUOTE] = ACTIONS(2244),
    [anon_sym_U_SQUOTE] = ACTIONS(2244),
    [anon_sym_u8_SQUOTE] = ACTIONS(2244),
    [anon_sym_SQUOTE] = ACTIONS(2244),
    [anon_sym_L_DQUOTE] = ACTIONS(2244),
    [anon_sym_u_DQUOTE] = ACTIONS(2244),
    [anon_sym_U_DQUOTE] = ACTIONS(2244),
    [anon_sym_u8_DQUOTE] = ACTIONS(2244),
    [anon_sym_DQUOTE] = ACTIONS(2244),
    [sym_true] = ACTIONS(2242),
    [sym_false] = ACTIONS(2242),
    [anon_sym_NULL] = ACTIONS(2242),
    [anon_sym_nullptr] = ACTIONS(2242),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2242),
    [anon_sym_decltype] = ACTIONS(2242),
    [anon_sym_virtual] = ACTIONS(2242),
    [anon_sym_alignas] = ACTIONS(2242),
    [anon_sym_typename] = ACTIONS(2242),
    [anon_sym_template] = ACTIONS(2242),
    [anon_sym_try] = ACTIONS(2242),
    [anon_sym_delete] = ACTIONS(2242),
    [anon_sym_throw] = ACTIONS(2242),
    [anon_sym_co_return] = ACTIONS(2242),
    [anon_sym_co_yield] = ACTIONS(2242),
    [anon_sym_catch] = ACTIONS(4206),
    [anon_sym_R_DQUOTE] = ACTIONS(2244),
    [anon_sym_LR_DQUOTE] = ACTIONS(2244),
    [anon_sym_uR_DQUOTE] = ACTIONS(2244),
    [anon_sym_UR_DQUOTE] = ACTIONS(2244),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2244),
    [anon_sym_co_await] = ACTIONS(2242),
    [anon_sym_new] = ACTIONS(2242),
    [anon_sym_requires] = ACTIONS(2242),
    [sym_this] = ACTIONS(2242),
    [anon_sym_discard] = ACTIONS(2242),
    [anon_sym_precise] = ACTIONS(2242),
    [anon_sym_shared] = ACTIONS(2242),
    [anon_sym_groupshared] = ACTIONS(2242),
    [anon_sym_uniform] = ACTIONS(2242),
    [anon_sym_row_major] = ACTIONS(2242),
    [anon_sym_column_major] = ACTIONS(2242),
    [anon_sym_globallycoherent] = ACTIONS(2242),
    [anon_sym_centroid] = ACTIONS(2242),
    [anon_sym_noperspective] = ACTIONS(2242),
    [anon_sym_nointerpolation] = ACTIONS(2242),
    [anon_sym_sample] = ACTIONS(2242),
    [anon_sym_linear] = ACTIONS(2242),
    [anon_sym_snorm] = ACTIONS(2242),
    [anon_sym_unorm] = ACTIONS(2242),
    [anon_sym_point] = ACTIONS(2242),
    [anon_sym_line] = ACTIONS(2242),
    [anon_sym_triangleadj] = ACTIONS(2242),
    [anon_sym_lineadj] = ACTIONS(2242),
    [anon_sym_triangle] = ACTIONS(2242),
    [anon_sym_cbuffer] = ACTIONS(2242),
  },
  [1472] = {
    [sym_identifier] = ACTIONS(2264),
    [anon_sym_LPAREN2] = ACTIONS(2266),
    [anon_sym_BANG] = ACTIONS(2266),
    [anon_sym_TILDE] = ACTIONS(2266),
    [anon_sym_DASH] = ACTIONS(2264),
    [anon_sym_PLUS] = ACTIONS(2264),
    [anon_sym_STAR] = ACTIONS(2266),
    [anon_sym_AMP] = ACTIONS(2266),
    [anon_sym_COLON] = ACTIONS(2264),
    [anon_sym_SEMI] = ACTIONS(2266),
    [anon_sym___extension__] = ACTIONS(2264),
    [anon_sym_typedef] = ACTIONS(2264),
    [anon_sym_in] = ACTIONS(2264),
    [anon_sym_out] = ACTIONS(2264),
    [anon_sym_inout] = ACTIONS(2264),
    [anon_sym_extern] = ACTIONS(2264),
    [anon_sym___attribute__] = ACTIONS(2264),
    [anon_sym_COLON_COLON] = ACTIONS(2266),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2266),
    [anon_sym___declspec] = ACTIONS(2264),
    [anon_sym_LBRACE] = ACTIONS(2266),
    [anon_sym_signed] = ACTIONS(2264),
    [anon_sym_unsigned] = ACTIONS(2264),
    [anon_sym_long] = ACTIONS(2264),
    [anon_sym_short] = ACTIONS(2264),
    [anon_sym_LBRACK] = ACTIONS(2264),
    [anon_sym_static] = ACTIONS(2264),
    [anon_sym_register] = ACTIONS(2264),
    [anon_sym_inline] = ACTIONS(2264),
    [anon_sym___inline] = ACTIONS(2264),
    [anon_sym___inline__] = ACTIONS(2264),
    [anon_sym___forceinline] = ACTIONS(2264),
    [anon_sym_thread_local] = ACTIONS(2264),
    [anon_sym___thread] = ACTIONS(2264),
    [anon_sym_const] = ACTIONS(2264),
    [anon_sym_constexpr] = ACTIONS(2264),
    [anon_sym_volatile] = ACTIONS(2264),
    [anon_sym_restrict] = ACTIONS(2264),
    [anon_sym___restrict__] = ACTIONS(2264),
    [anon_sym__Atomic] = ACTIONS(2264),
    [anon_sym__Noreturn] = ACTIONS(2264),
    [anon_sym_noreturn] = ACTIONS(2264),
    [anon_sym_mutable] = ACTIONS(2264),
    [anon_sym_constinit] = ACTIONS(2264),
    [anon_sym_consteval] = ACTIONS(2264),
    [sym_primitive_type] = ACTIONS(2264),
    [anon_sym_enum] = ACTIONS(2264),
    [anon_sym_class] = ACTIONS(2264),
    [anon_sym_struct] = ACTIONS(2264),
    [anon_sym_union] = ACTIONS(2264),
    [anon_sym_if] = ACTIONS(2264),
    [anon_sym_else] = ACTIONS(2264),
    [anon_sym_switch] = ACTIONS(2264),
    [anon_sym_while] = ACTIONS(2264),
    [anon_sym_do] = ACTIONS(2264),
    [anon_sym_for] = ACTIONS(2264),
    [anon_sym_return] = ACTIONS(2264),
    [anon_sym_break] = ACTIONS(2264),
    [anon_sym_continue] = ACTIONS(2264),
    [anon_sym_goto] = ACTIONS(2264),
    [anon_sym___try] = ACTIONS(2264),
    [anon_sym___leave] = ACTIONS(2264),
    [anon_sym_not] = ACTIONS(2264),
    [anon_sym_compl] = ACTIONS(2264),
    [anon_sym_DASH_DASH] = ACTIONS(2266),
    [anon_sym_PLUS_PLUS] = ACTIONS(2266),
    [anon_sym_sizeof] = ACTIONS(2264),
    [anon_sym___alignof__] = ACTIONS(2264),
    [anon_sym___alignof] = ACTIONS(2264),
    [anon_sym__alignof] = ACTIONS(2264),
    [anon_sym_alignof] = ACTIONS(2264),
    [anon_sym__Alignof] = ACTIONS(2264),
    [anon_sym_offsetof] = ACTIONS(2264),
    [anon_sym__Generic] = ACTIONS(2264),
    [anon_sym_asm] = ACTIONS(2264),
    [anon_sym___asm__] = ACTIONS(2264),
    [sym_number_literal] = ACTIONS(2266),
    [anon_sym_L_SQUOTE] = ACTIONS(2266),
    [anon_sym_u_SQUOTE] = ACTIONS(2266),
    [anon_sym_U_SQUOTE] = ACTIONS(2266),
    [anon_sym_u8_SQUOTE] = ACTIONS(2266),
    [anon_sym_SQUOTE] = ACTIONS(2266),
    [anon_sym_L_DQUOTE] = ACTIONS(2266),
    [anon_sym_u_DQUOTE] = ACTIONS(2266),
    [anon_sym_U_DQUOTE] = ACTIONS(2266),
    [anon_sym_u8_DQUOTE] = ACTIONS(2266),
    [anon_sym_DQUOTE] = ACTIONS(2266),
    [sym_true] = ACTIONS(2264),
    [sym_false] = ACTIONS(2264),
    [anon_sym_NULL] = ACTIONS(2264),
    [anon_sym_nullptr] = ACTIONS(2264),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2264),
    [anon_sym_decltype] = ACTIONS(2264),
    [anon_sym_final] = ACTIONS(2264),
    [anon_sym_override] = ACTIONS(2264),
    [anon_sym_virtual] = ACTIONS(2264),
    [anon_sym_alignas] = ACTIONS(2264),
    [anon_sym_typename] = ACTIONS(2264),
    [anon_sym_template] = ACTIONS(2264),
    [anon_sym_try] = ACTIONS(2264),
    [anon_sym_delete] = ACTIONS(2264),
    [anon_sym_throw] = ACTIONS(2264),
    [anon_sym_co_return] = ACTIONS(2264),
    [anon_sym_co_yield] = ACTIONS(2264),
    [anon_sym_R_DQUOTE] = ACTIONS(2266),
    [anon_sym_LR_DQUOTE] = ACTIONS(2266),
    [anon_sym_uR_DQUOTE] = ACTIONS(2266),
    [anon_sym_UR_DQUOTE] = ACTIONS(2266),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2266),
    [anon_sym_co_await] = ACTIONS(2264),
    [anon_sym_new] = ACTIONS(2264),
    [anon_sym_requires] = ACTIONS(2264),
    [sym_this] = ACTIONS(2264),
    [anon_sym_discard] = ACTIONS(2264),
    [anon_sym_precise] = ACTIONS(2264),
    [anon_sym_shared] = ACTIONS(2264),
    [anon_sym_groupshared] = ACTIONS(2264),
    [anon_sym_uniform] = ACTIONS(2264),
    [anon_sym_row_major] = ACTIONS(2264),
    [anon_sym_column_major] = ACTIONS(2264),
    [anon_sym_globallycoherent] = ACTIONS(2264),
    [anon_sym_centroid] = ACTIONS(2264),
    [anon_sym_noperspective] = ACTIONS(2264),
    [anon_sym_nointerpolation] = ACTIONS(2264),
    [anon_sym_sample] = ACTIONS(2264),
    [anon_sym_linear] = ACTIONS(2264),
    [anon_sym_snorm] = ACTIONS(2264),
    [anon_sym_unorm] = ACTIONS(2264),
    [anon_sym_point] = ACTIONS(2264),
    [anon_sym_line] = ACTIONS(2264),
    [anon_sym_triangleadj] = ACTIONS(2264),
    [anon_sym_lineadj] = ACTIONS(2264),
    [anon_sym_triangle] = ACTIONS(2264),
    [anon_sym_cbuffer] = ACTIONS(2264),
  },
  [1473] = {
    [sym_identifier] = ACTIONS(2250),
    [anon_sym_LPAREN2] = ACTIONS(2252),
    [anon_sym_BANG] = ACTIONS(2252),
    [anon_sym_TILDE] = ACTIONS(2252),
    [anon_sym_DASH] = ACTIONS(2250),
    [anon_sym_PLUS] = ACTIONS(2250),
    [anon_sym_STAR] = ACTIONS(2252),
    [anon_sym_AMP] = ACTIONS(2252),
    [anon_sym_COLON] = ACTIONS(2250),
    [anon_sym_SEMI] = ACTIONS(2252),
    [anon_sym___extension__] = ACTIONS(2250),
    [anon_sym_typedef] = ACTIONS(2250),
    [anon_sym_in] = ACTIONS(2250),
    [anon_sym_out] = ACTIONS(2250),
    [anon_sym_inout] = ACTIONS(2250),
    [anon_sym_extern] = ACTIONS(2250),
    [anon_sym___attribute__] = ACTIONS(2250),
    [anon_sym_COLON_COLON] = ACTIONS(2252),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2252),
    [anon_sym___declspec] = ACTIONS(2250),
    [anon_sym_LBRACE] = ACTIONS(2252),
    [anon_sym_signed] = ACTIONS(2250),
    [anon_sym_unsigned] = ACTIONS(2250),
    [anon_sym_long] = ACTIONS(2250),
    [anon_sym_short] = ACTIONS(2250),
    [anon_sym_LBRACK] = ACTIONS(2250),
    [anon_sym_static] = ACTIONS(2250),
    [anon_sym_register] = ACTIONS(2250),
    [anon_sym_inline] = ACTIONS(2250),
    [anon_sym___inline] = ACTIONS(2250),
    [anon_sym___inline__] = ACTIONS(2250),
    [anon_sym___forceinline] = ACTIONS(2250),
    [anon_sym_thread_local] = ACTIONS(2250),
    [anon_sym___thread] = ACTIONS(2250),
    [anon_sym_const] = ACTIONS(2250),
    [anon_sym_constexpr] = ACTIONS(2250),
    [anon_sym_volatile] = ACTIONS(2250),
    [anon_sym_restrict] = ACTIONS(2250),
    [anon_sym___restrict__] = ACTIONS(2250),
    [anon_sym__Atomic] = ACTIONS(2250),
    [anon_sym__Noreturn] = ACTIONS(2250),
    [anon_sym_noreturn] = ACTIONS(2250),
    [anon_sym_mutable] = ACTIONS(2250),
    [anon_sym_constinit] = ACTIONS(2250),
    [anon_sym_consteval] = ACTIONS(2250),
    [sym_primitive_type] = ACTIONS(2250),
    [anon_sym_enum] = ACTIONS(2250),
    [anon_sym_class] = ACTIONS(2250),
    [anon_sym_struct] = ACTIONS(2250),
    [anon_sym_union] = ACTIONS(2250),
    [anon_sym_if] = ACTIONS(2250),
    [anon_sym_else] = ACTIONS(2250),
    [anon_sym_switch] = ACTIONS(2250),
    [anon_sym_while] = ACTIONS(2250),
    [anon_sym_do] = ACTIONS(2250),
    [anon_sym_for] = ACTIONS(2250),
    [anon_sym_return] = ACTIONS(2250),
    [anon_sym_break] = ACTIONS(2250),
    [anon_sym_continue] = ACTIONS(2250),
    [anon_sym_goto] = ACTIONS(2250),
    [anon_sym___try] = ACTIONS(2250),
    [anon_sym___leave] = ACTIONS(2250),
    [anon_sym_not] = ACTIONS(2250),
    [anon_sym_compl] = ACTIONS(2250),
    [anon_sym_DASH_DASH] = ACTIONS(2252),
    [anon_sym_PLUS_PLUS] = ACTIONS(2252),
    [anon_sym_sizeof] = ACTIONS(2250),
    [anon_sym___alignof__] = ACTIONS(2250),
    [anon_sym___alignof] = ACTIONS(2250),
    [anon_sym__alignof] = ACTIONS(2250),
    [anon_sym_alignof] = ACTIONS(2250),
    [anon_sym__Alignof] = ACTIONS(2250),
    [anon_sym_offsetof] = ACTIONS(2250),
    [anon_sym__Generic] = ACTIONS(2250),
    [anon_sym_asm] = ACTIONS(2250),
    [anon_sym___asm__] = ACTIONS(2250),
    [sym_number_literal] = ACTIONS(2252),
    [anon_sym_L_SQUOTE] = ACTIONS(2252),
    [anon_sym_u_SQUOTE] = ACTIONS(2252),
    [anon_sym_U_SQUOTE] = ACTIONS(2252),
    [anon_sym_u8_SQUOTE] = ACTIONS(2252),
    [anon_sym_SQUOTE] = ACTIONS(2252),
    [anon_sym_L_DQUOTE] = ACTIONS(2252),
    [anon_sym_u_DQUOTE] = ACTIONS(2252),
    [anon_sym_U_DQUOTE] = ACTIONS(2252),
    [anon_sym_u8_DQUOTE] = ACTIONS(2252),
    [anon_sym_DQUOTE] = ACTIONS(2252),
    [sym_true] = ACTIONS(2250),
    [sym_false] = ACTIONS(2250),
    [anon_sym_NULL] = ACTIONS(2250),
    [anon_sym_nullptr] = ACTIONS(2250),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2250),
    [anon_sym_decltype] = ACTIONS(2250),
    [anon_sym_final] = ACTIONS(2250),
    [anon_sym_override] = ACTIONS(2250),
    [anon_sym_virtual] = ACTIONS(2250),
    [anon_sym_alignas] = ACTIONS(2250),
    [anon_sym_typename] = ACTIONS(2250),
    [anon_sym_template] = ACTIONS(2250),
    [anon_sym_try] = ACTIONS(2250),
    [anon_sym_delete] = ACTIONS(2250),
    [anon_sym_throw] = ACTIONS(2250),
    [anon_sym_co_return] = ACTIONS(2250),
    [anon_sym_co_yield] = ACTIONS(2250),
    [anon_sym_R_DQUOTE] = ACTIONS(2252),
    [anon_sym_LR_DQUOTE] = ACTIONS(2252),
    [anon_sym_uR_DQUOTE] = ACTIONS(2252),
    [anon_sym_UR_DQUOTE] = ACTIONS(2252),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2252),
    [anon_sym_co_await] = ACTIONS(2250),
    [anon_sym_new] = ACTIONS(2250),
    [anon_sym_requires] = ACTIONS(2250),
    [sym_this] = ACTIONS(2250),
    [anon_sym_discard] = ACTIONS(2250),
    [anon_sym_precise] = ACTIONS(2250),
    [anon_sym_shared] = ACTIONS(2250),
    [anon_sym_groupshared] = ACTIONS(2250),
    [anon_sym_uniform] = ACTIONS(2250),
    [anon_sym_row_major] = ACTIONS(2250),
    [anon_sym_column_major] = ACTIONS(2250),
    [anon_sym_globallycoherent] = ACTIONS(2250),
    [anon_sym_centroid] = ACTIONS(2250),
    [anon_sym_noperspective] = ACTIONS(2250),
    [anon_sym_nointerpolation] = ACTIONS(2250),
    [anon_sym_sample] = ACTIONS(2250),
    [anon_sym_linear] = ACTIONS(2250),
    [anon_sym_snorm] = ACTIONS(2250),
    [anon_sym_unorm] = ACTIONS(2250),
    [anon_sym_point] = ACTIONS(2250),
    [anon_sym_line] = ACTIONS(2250),
    [anon_sym_triangleadj] = ACTIONS(2250),
    [anon_sym_lineadj] = ACTIONS(2250),
    [anon_sym_triangle] = ACTIONS(2250),
    [anon_sym_cbuffer] = ACTIONS(2250),
  },
  [1474] = {
    [sym_catch_clause] = STATE(1474),
    [aux_sym_constructor_try_statement_repeat1] = STATE(1474),
    [sym_identifier] = ACTIONS(2268),
    [anon_sym_LPAREN2] = ACTIONS(2270),
    [anon_sym_BANG] = ACTIONS(2270),
    [anon_sym_TILDE] = ACTIONS(2270),
    [anon_sym_DASH] = ACTIONS(2268),
    [anon_sym_PLUS] = ACTIONS(2268),
    [anon_sym_STAR] = ACTIONS(2270),
    [anon_sym_AMP] = ACTIONS(2270),
    [anon_sym_SEMI] = ACTIONS(2270),
    [anon_sym___extension__] = ACTIONS(2268),
    [anon_sym_typedef] = ACTIONS(2268),
    [anon_sym_in] = ACTIONS(2268),
    [anon_sym_out] = ACTIONS(2268),
    [anon_sym_inout] = ACTIONS(2268),
    [anon_sym_extern] = ACTIONS(2268),
    [anon_sym___attribute__] = ACTIONS(2268),
    [anon_sym_COLON_COLON] = ACTIONS(2270),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2270),
    [anon_sym___declspec] = ACTIONS(2268),
    [anon_sym_LBRACE] = ACTIONS(2270),
    [anon_sym_signed] = ACTIONS(2268),
    [anon_sym_unsigned] = ACTIONS(2268),
    [anon_sym_long] = ACTIONS(2268),
    [anon_sym_short] = ACTIONS(2268),
    [anon_sym_LBRACK] = ACTIONS(2268),
    [anon_sym_static] = ACTIONS(2268),
    [anon_sym_register] = ACTIONS(2268),
    [anon_sym_inline] = ACTIONS(2268),
    [anon_sym___inline] = ACTIONS(2268),
    [anon_sym___inline__] = ACTIONS(2268),
    [anon_sym___forceinline] = ACTIONS(2268),
    [anon_sym_thread_local] = ACTIONS(2268),
    [anon_sym___thread] = ACTIONS(2268),
    [anon_sym_const] = ACTIONS(2268),
    [anon_sym_constexpr] = ACTIONS(2268),
    [anon_sym_volatile] = ACTIONS(2268),
    [anon_sym_restrict] = ACTIONS(2268),
    [anon_sym___restrict__] = ACTIONS(2268),
    [anon_sym__Atomic] = ACTIONS(2268),
    [anon_sym__Noreturn] = ACTIONS(2268),
    [anon_sym_noreturn] = ACTIONS(2268),
    [anon_sym_mutable] = ACTIONS(2268),
    [anon_sym_constinit] = ACTIONS(2268),
    [anon_sym_consteval] = ACTIONS(2268),
    [sym_primitive_type] = ACTIONS(2268),
    [anon_sym_enum] = ACTIONS(2268),
    [anon_sym_class] = ACTIONS(2268),
    [anon_sym_struct] = ACTIONS(2268),
    [anon_sym_union] = ACTIONS(2268),
    [anon_sym_if] = ACTIONS(2268),
    [anon_sym_else] = ACTIONS(2268),
    [anon_sym_switch] = ACTIONS(2268),
    [anon_sym_while] = ACTIONS(2268),
    [anon_sym_do] = ACTIONS(2268),
    [anon_sym_for] = ACTIONS(2268),
    [anon_sym_return] = ACTIONS(2268),
    [anon_sym_break] = ACTIONS(2268),
    [anon_sym_continue] = ACTIONS(2268),
    [anon_sym_goto] = ACTIONS(2268),
    [anon_sym___try] = ACTIONS(2268),
    [anon_sym___leave] = ACTIONS(2268),
    [anon_sym_not] = ACTIONS(2268),
    [anon_sym_compl] = ACTIONS(2268),
    [anon_sym_DASH_DASH] = ACTIONS(2270),
    [anon_sym_PLUS_PLUS] = ACTIONS(2270),
    [anon_sym_sizeof] = ACTIONS(2268),
    [anon_sym___alignof__] = ACTIONS(2268),
    [anon_sym___alignof] = ACTIONS(2268),
    [anon_sym__alignof] = ACTIONS(2268),
    [anon_sym_alignof] = ACTIONS(2268),
    [anon_sym__Alignof] = ACTIONS(2268),
    [anon_sym_offsetof] = ACTIONS(2268),
    [anon_sym__Generic] = ACTIONS(2268),
    [anon_sym_asm] = ACTIONS(2268),
    [anon_sym___asm__] = ACTIONS(2268),
    [sym_number_literal] = ACTIONS(2270),
    [anon_sym_L_SQUOTE] = ACTIONS(2270),
    [anon_sym_u_SQUOTE] = ACTIONS(2270),
    [anon_sym_U_SQUOTE] = ACTIONS(2270),
    [anon_sym_u8_SQUOTE] = ACTIONS(2270),
    [anon_sym_SQUOTE] = ACTIONS(2270),
    [anon_sym_L_DQUOTE] = ACTIONS(2270),
    [anon_sym_u_DQUOTE] = ACTIONS(2270),
    [anon_sym_U_DQUOTE] = ACTIONS(2270),
    [anon_sym_u8_DQUOTE] = ACTIONS(2270),
    [anon_sym_DQUOTE] = ACTIONS(2270),
    [sym_true] = ACTIONS(2268),
    [sym_false] = ACTIONS(2268),
    [anon_sym_NULL] = ACTIONS(2268),
    [anon_sym_nullptr] = ACTIONS(2268),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2268),
    [anon_sym_decltype] = ACTIONS(2268),
    [anon_sym_virtual] = ACTIONS(2268),
    [anon_sym_alignas] = ACTIONS(2268),
    [anon_sym_typename] = ACTIONS(2268),
    [anon_sym_template] = ACTIONS(2268),
    [anon_sym_try] = ACTIONS(2268),
    [anon_sym_delete] = ACTIONS(2268),
    [anon_sym_throw] = ACTIONS(2268),
    [anon_sym_co_return] = ACTIONS(2268),
    [anon_sym_co_yield] = ACTIONS(2268),
    [anon_sym_catch] = ACTIONS(4208),
    [anon_sym_R_DQUOTE] = ACTIONS(2270),
    [anon_sym_LR_DQUOTE] = ACTIONS(2270),
    [anon_sym_uR_DQUOTE] = ACTIONS(2270),
    [anon_sym_UR_DQUOTE] = ACTIONS(2270),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2270),
    [anon_sym_co_await] = ACTIONS(2268),
    [anon_sym_new] = ACTIONS(2268),
    [anon_sym_requires] = ACTIONS(2268),
    [sym_this] = ACTIONS(2268),
    [anon_sym_discard] = ACTIONS(2268),
    [anon_sym_precise] = ACTIONS(2268),
    [anon_sym_shared] = ACTIONS(2268),
    [anon_sym_groupshared] = ACTIONS(2268),
    [anon_sym_uniform] = ACTIONS(2268),
    [anon_sym_row_major] = ACTIONS(2268),
    [anon_sym_column_major] = ACTIONS(2268),
    [anon_sym_globallycoherent] = ACTIONS(2268),
    [anon_sym_centroid] = ACTIONS(2268),
    [anon_sym_noperspective] = ACTIONS(2268),
    [anon_sym_nointerpolation] = ACTIONS(2268),
    [anon_sym_sample] = ACTIONS(2268),
    [anon_sym_linear] = ACTIONS(2268),
    [anon_sym_snorm] = ACTIONS(2268),
    [anon_sym_unorm] = ACTIONS(2268),
    [anon_sym_point] = ACTIONS(2268),
    [anon_sym_line] = ACTIONS(2268),
    [anon_sym_triangleadj] = ACTIONS(2268),
    [anon_sym_lineadj] = ACTIONS(2268),
    [anon_sym_triangle] = ACTIONS(2268),
    [anon_sym_cbuffer] = ACTIONS(2268),
  },
  [1475] = {
    [sym_identifier] = ACTIONS(2264),
    [anon_sym_LPAREN2] = ACTIONS(2266),
    [anon_sym_BANG] = ACTIONS(2266),
    [anon_sym_TILDE] = ACTIONS(2266),
    [anon_sym_DASH] = ACTIONS(2264),
    [anon_sym_PLUS] = ACTIONS(2264),
    [anon_sym_STAR] = ACTIONS(2266),
    [anon_sym_AMP] = ACTIONS(2266),
    [anon_sym_COLON] = ACTIONS(2264),
    [anon_sym_SEMI] = ACTIONS(2266),
    [anon_sym___extension__] = ACTIONS(2264),
    [anon_sym_typedef] = ACTIONS(2264),
    [anon_sym_in] = ACTIONS(2264),
    [anon_sym_out] = ACTIONS(2264),
    [anon_sym_inout] = ACTIONS(2264),
    [anon_sym_extern] = ACTIONS(2264),
    [anon_sym___attribute__] = ACTIONS(2264),
    [anon_sym_COLON_COLON] = ACTIONS(2262),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2266),
    [anon_sym___declspec] = ACTIONS(2264),
    [anon_sym_LBRACE] = ACTIONS(2266),
    [anon_sym_signed] = ACTIONS(2264),
    [anon_sym_unsigned] = ACTIONS(2264),
    [anon_sym_long] = ACTIONS(2264),
    [anon_sym_short] = ACTIONS(2264),
    [anon_sym_LBRACK] = ACTIONS(2264),
    [anon_sym_static] = ACTIONS(2264),
    [anon_sym_register] = ACTIONS(2264),
    [anon_sym_inline] = ACTIONS(2264),
    [anon_sym___inline] = ACTIONS(2264),
    [anon_sym___inline__] = ACTIONS(2264),
    [anon_sym___forceinline] = ACTIONS(2264),
    [anon_sym_thread_local] = ACTIONS(2264),
    [anon_sym___thread] = ACTIONS(2264),
    [anon_sym_const] = ACTIONS(2264),
    [anon_sym_constexpr] = ACTIONS(2264),
    [anon_sym_volatile] = ACTIONS(2264),
    [anon_sym_restrict] = ACTIONS(2264),
    [anon_sym___restrict__] = ACTIONS(2264),
    [anon_sym__Atomic] = ACTIONS(2264),
    [anon_sym__Noreturn] = ACTIONS(2264),
    [anon_sym_noreturn] = ACTIONS(2264),
    [anon_sym_mutable] = ACTIONS(2264),
    [anon_sym_constinit] = ACTIONS(2264),
    [anon_sym_consteval] = ACTIONS(2264),
    [sym_primitive_type] = ACTIONS(2264),
    [anon_sym_enum] = ACTIONS(2264),
    [anon_sym_class] = ACTIONS(2264),
    [anon_sym_struct] = ACTIONS(2264),
    [anon_sym_union] = ACTIONS(2264),
    [anon_sym_if] = ACTIONS(2264),
    [anon_sym_else] = ACTIONS(2264),
    [anon_sym_switch] = ACTIONS(2264),
    [anon_sym_while] = ACTIONS(2264),
    [anon_sym_do] = ACTIONS(2264),
    [anon_sym_for] = ACTIONS(2264),
    [anon_sym_return] = ACTIONS(2264),
    [anon_sym_break] = ACTIONS(2264),
    [anon_sym_continue] = ACTIONS(2264),
    [anon_sym_goto] = ACTIONS(2264),
    [anon_sym___try] = ACTIONS(2264),
    [anon_sym___leave] = ACTIONS(2264),
    [anon_sym_not] = ACTIONS(2264),
    [anon_sym_compl] = ACTIONS(2264),
    [anon_sym_DASH_DASH] = ACTIONS(2266),
    [anon_sym_PLUS_PLUS] = ACTIONS(2266),
    [anon_sym_sizeof] = ACTIONS(2264),
    [anon_sym___alignof__] = ACTIONS(2264),
    [anon_sym___alignof] = ACTIONS(2264),
    [anon_sym__alignof] = ACTIONS(2264),
    [anon_sym_alignof] = ACTIONS(2264),
    [anon_sym__Alignof] = ACTIONS(2264),
    [anon_sym_offsetof] = ACTIONS(2264),
    [anon_sym__Generic] = ACTIONS(2264),
    [anon_sym_asm] = ACTIONS(2264),
    [anon_sym___asm__] = ACTIONS(2264),
    [sym_number_literal] = ACTIONS(2266),
    [anon_sym_L_SQUOTE] = ACTIONS(2266),
    [anon_sym_u_SQUOTE] = ACTIONS(2266),
    [anon_sym_U_SQUOTE] = ACTIONS(2266),
    [anon_sym_u8_SQUOTE] = ACTIONS(2266),
    [anon_sym_SQUOTE] = ACTIONS(2266),
    [anon_sym_L_DQUOTE] = ACTIONS(2266),
    [anon_sym_u_DQUOTE] = ACTIONS(2266),
    [anon_sym_U_DQUOTE] = ACTIONS(2266),
    [anon_sym_u8_DQUOTE] = ACTIONS(2266),
    [anon_sym_DQUOTE] = ACTIONS(2266),
    [sym_true] = ACTIONS(2264),
    [sym_false] = ACTIONS(2264),
    [anon_sym_NULL] = ACTIONS(2264),
    [anon_sym_nullptr] = ACTIONS(2264),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2264),
    [anon_sym_decltype] = ACTIONS(2264),
    [anon_sym_final] = ACTIONS(2264),
    [anon_sym_override] = ACTIONS(2264),
    [anon_sym_virtual] = ACTIONS(2264),
    [anon_sym_alignas] = ACTIONS(2264),
    [anon_sym_typename] = ACTIONS(2264),
    [anon_sym_template] = ACTIONS(2264),
    [anon_sym_try] = ACTIONS(2264),
    [anon_sym_delete] = ACTIONS(2264),
    [anon_sym_throw] = ACTIONS(2264),
    [anon_sym_co_return] = ACTIONS(2264),
    [anon_sym_co_yield] = ACTIONS(2264),
    [anon_sym_R_DQUOTE] = ACTIONS(2266),
    [anon_sym_LR_DQUOTE] = ACTIONS(2266),
    [anon_sym_uR_DQUOTE] = ACTIONS(2266),
    [anon_sym_UR_DQUOTE] = ACTIONS(2266),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2266),
    [anon_sym_co_await] = ACTIONS(2264),
    [anon_sym_new] = ACTIONS(2264),
    [anon_sym_requires] = ACTIONS(2264),
    [sym_this] = ACTIONS(2264),
    [anon_sym_discard] = ACTIONS(2264),
    [anon_sym_precise] = ACTIONS(2264),
    [anon_sym_shared] = ACTIONS(2264),
    [anon_sym_groupshared] = ACTIONS(2264),
    [anon_sym_uniform] = ACTIONS(2264),
    [anon_sym_row_major] = ACTIONS(2264),
    [anon_sym_column_major] = ACTIONS(2264),
    [anon_sym_globallycoherent] = ACTIONS(2264),
    [anon_sym_centroid] = ACTIONS(2264),
    [anon_sym_noperspective] = ACTIONS(2264),
    [anon_sym_nointerpolation] = ACTIONS(2264),
    [anon_sym_sample] = ACTIONS(2264),
    [anon_sym_linear] = ACTIONS(2264),
    [anon_sym_snorm] = ACTIONS(2264),
    [anon_sym_unorm] = ACTIONS(2264),
    [anon_sym_point] = ACTIONS(2264),
    [anon_sym_line] = ACTIONS(2264),
    [anon_sym_triangleadj] = ACTIONS(2264),
    [anon_sym_lineadj] = ACTIONS(2264),
    [anon_sym_triangle] = ACTIONS(2264),
    [anon_sym_cbuffer] = ACTIONS(2264),
  },
  [1476] = {
    [sym_identifier] = ACTIONS(2264),
    [anon_sym_LPAREN2] = ACTIONS(2266),
    [anon_sym_BANG] = ACTIONS(2266),
    [anon_sym_TILDE] = ACTIONS(2266),
    [anon_sym_DASH] = ACTIONS(2264),
    [anon_sym_PLUS] = ACTIONS(2264),
    [anon_sym_STAR] = ACTIONS(2266),
    [anon_sym_AMP] = ACTIONS(2266),
    [anon_sym_COLON] = ACTIONS(2264),
    [anon_sym_SEMI] = ACTIONS(2266),
    [anon_sym___extension__] = ACTIONS(2264),
    [anon_sym_typedef] = ACTIONS(2264),
    [anon_sym_in] = ACTIONS(2264),
    [anon_sym_out] = ACTIONS(2264),
    [anon_sym_inout] = ACTIONS(2264),
    [anon_sym_extern] = ACTIONS(2264),
    [anon_sym___attribute__] = ACTIONS(2264),
    [anon_sym_COLON_COLON] = ACTIONS(2262),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2266),
    [anon_sym___declspec] = ACTIONS(2264),
    [anon_sym_LBRACE] = ACTIONS(2266),
    [anon_sym_signed] = ACTIONS(2264),
    [anon_sym_unsigned] = ACTIONS(2264),
    [anon_sym_long] = ACTIONS(2264),
    [anon_sym_short] = ACTIONS(2264),
    [anon_sym_LBRACK] = ACTIONS(2264),
    [anon_sym_static] = ACTIONS(2264),
    [anon_sym_register] = ACTIONS(2264),
    [anon_sym_inline] = ACTIONS(2264),
    [anon_sym___inline] = ACTIONS(2264),
    [anon_sym___inline__] = ACTIONS(2264),
    [anon_sym___forceinline] = ACTIONS(2264),
    [anon_sym_thread_local] = ACTIONS(2264),
    [anon_sym___thread] = ACTIONS(2264),
    [anon_sym_const] = ACTIONS(2264),
    [anon_sym_constexpr] = ACTIONS(2264),
    [anon_sym_volatile] = ACTIONS(2264),
    [anon_sym_restrict] = ACTIONS(2264),
    [anon_sym___restrict__] = ACTIONS(2264),
    [anon_sym__Atomic] = ACTIONS(2264),
    [anon_sym__Noreturn] = ACTIONS(2264),
    [anon_sym_noreturn] = ACTIONS(2264),
    [anon_sym_mutable] = ACTIONS(2264),
    [anon_sym_constinit] = ACTIONS(2264),
    [anon_sym_consteval] = ACTIONS(2264),
    [sym_primitive_type] = ACTIONS(2264),
    [anon_sym_enum] = ACTIONS(2264),
    [anon_sym_class] = ACTIONS(2264),
    [anon_sym_struct] = ACTIONS(2264),
    [anon_sym_union] = ACTIONS(2264),
    [anon_sym_if] = ACTIONS(2264),
    [anon_sym_else] = ACTIONS(2264),
    [anon_sym_switch] = ACTIONS(2264),
    [anon_sym_while] = ACTIONS(2264),
    [anon_sym_do] = ACTIONS(2264),
    [anon_sym_for] = ACTIONS(2264),
    [anon_sym_return] = ACTIONS(2264),
    [anon_sym_break] = ACTIONS(2264),
    [anon_sym_continue] = ACTIONS(2264),
    [anon_sym_goto] = ACTIONS(2264),
    [anon_sym___try] = ACTIONS(2264),
    [anon_sym___leave] = ACTIONS(2264),
    [anon_sym_not] = ACTIONS(2264),
    [anon_sym_compl] = ACTIONS(2264),
    [anon_sym_DASH_DASH] = ACTIONS(2266),
    [anon_sym_PLUS_PLUS] = ACTIONS(2266),
    [anon_sym_sizeof] = ACTIONS(2264),
    [anon_sym___alignof__] = ACTIONS(2264),
    [anon_sym___alignof] = ACTIONS(2264),
    [anon_sym__alignof] = ACTIONS(2264),
    [anon_sym_alignof] = ACTIONS(2264),
    [anon_sym__Alignof] = ACTIONS(2264),
    [anon_sym_offsetof] = ACTIONS(2264),
    [anon_sym__Generic] = ACTIONS(2264),
    [anon_sym_asm] = ACTIONS(2264),
    [anon_sym___asm__] = ACTIONS(2264),
    [sym_number_literal] = ACTIONS(2266),
    [anon_sym_L_SQUOTE] = ACTIONS(2266),
    [anon_sym_u_SQUOTE] = ACTIONS(2266),
    [anon_sym_U_SQUOTE] = ACTIONS(2266),
    [anon_sym_u8_SQUOTE] = ACTIONS(2266),
    [anon_sym_SQUOTE] = ACTIONS(2266),
    [anon_sym_L_DQUOTE] = ACTIONS(2266),
    [anon_sym_u_DQUOTE] = ACTIONS(2266),
    [anon_sym_U_DQUOTE] = ACTIONS(2266),
    [anon_sym_u8_DQUOTE] = ACTIONS(2266),
    [anon_sym_DQUOTE] = ACTIONS(2266),
    [sym_true] = ACTIONS(2264),
    [sym_false] = ACTIONS(2264),
    [anon_sym_NULL] = ACTIONS(2264),
    [anon_sym_nullptr] = ACTIONS(2264),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2264),
    [anon_sym_decltype] = ACTIONS(2264),
    [anon_sym_final] = ACTIONS(2264),
    [anon_sym_override] = ACTIONS(2264),
    [anon_sym_virtual] = ACTIONS(2264),
    [anon_sym_alignas] = ACTIONS(2264),
    [anon_sym_typename] = ACTIONS(2264),
    [anon_sym_template] = ACTIONS(2264),
    [anon_sym_try] = ACTIONS(2264),
    [anon_sym_delete] = ACTIONS(2264),
    [anon_sym_throw] = ACTIONS(2264),
    [anon_sym_co_return] = ACTIONS(2264),
    [anon_sym_co_yield] = ACTIONS(2264),
    [anon_sym_R_DQUOTE] = ACTIONS(2266),
    [anon_sym_LR_DQUOTE] = ACTIONS(2266),
    [anon_sym_uR_DQUOTE] = ACTIONS(2266),
    [anon_sym_UR_DQUOTE] = ACTIONS(2266),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2266),
    [anon_sym_co_await] = ACTIONS(2264),
    [anon_sym_new] = ACTIONS(2264),
    [anon_sym_requires] = ACTIONS(2264),
    [sym_this] = ACTIONS(2264),
    [anon_sym_discard] = ACTIONS(2264),
    [anon_sym_precise] = ACTIONS(2264),
    [anon_sym_shared] = ACTIONS(2264),
    [anon_sym_groupshared] = ACTIONS(2264),
    [anon_sym_uniform] = ACTIONS(2264),
    [anon_sym_row_major] = ACTIONS(2264),
    [anon_sym_column_major] = ACTIONS(2264),
    [anon_sym_globallycoherent] = ACTIONS(2264),
    [anon_sym_centroid] = ACTIONS(2264),
    [anon_sym_noperspective] = ACTIONS(2264),
    [anon_sym_nointerpolation] = ACTIONS(2264),
    [anon_sym_sample] = ACTIONS(2264),
    [anon_sym_linear] = ACTIONS(2264),
    [anon_sym_snorm] = ACTIONS(2264),
    [anon_sym_unorm] = ACTIONS(2264),
    [anon_sym_point] = ACTIONS(2264),
    [anon_sym_line] = ACTIONS(2264),
    [anon_sym_triangleadj] = ACTIONS(2264),
    [anon_sym_lineadj] = ACTIONS(2264),
    [anon_sym_triangle] = ACTIONS(2264),
    [anon_sym_cbuffer] = ACTIONS(2264),
  },
  [1477] = {
    [sym_identifier] = ACTIONS(2216),
    [anon_sym_LPAREN2] = ACTIONS(2218),
    [anon_sym_BANG] = ACTIONS(2218),
    [anon_sym_TILDE] = ACTIONS(2218),
    [anon_sym_DASH] = ACTIONS(2216),
    [anon_sym_PLUS] = ACTIONS(2216),
    [anon_sym_STAR] = ACTIONS(2218),
    [anon_sym_AMP] = ACTIONS(2218),
    [anon_sym_COLON] = ACTIONS(2216),
    [anon_sym_SEMI] = ACTIONS(2218),
    [anon_sym___extension__] = ACTIONS(2216),
    [anon_sym_typedef] = ACTIONS(2216),
    [anon_sym_in] = ACTIONS(2216),
    [anon_sym_out] = ACTIONS(2216),
    [anon_sym_inout] = ACTIONS(2216),
    [anon_sym_extern] = ACTIONS(2216),
    [anon_sym___attribute__] = ACTIONS(2216),
    [anon_sym_COLON_COLON] = ACTIONS(2218),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2218),
    [anon_sym___declspec] = ACTIONS(2216),
    [anon_sym_LBRACE] = ACTIONS(2218),
    [anon_sym_signed] = ACTIONS(2216),
    [anon_sym_unsigned] = ACTIONS(2216),
    [anon_sym_long] = ACTIONS(2216),
    [anon_sym_short] = ACTIONS(2216),
    [anon_sym_LBRACK] = ACTIONS(2216),
    [anon_sym_static] = ACTIONS(2216),
    [anon_sym_register] = ACTIONS(2216),
    [anon_sym_inline] = ACTIONS(2216),
    [anon_sym___inline] = ACTIONS(2216),
    [anon_sym___inline__] = ACTIONS(2216),
    [anon_sym___forceinline] = ACTIONS(2216),
    [anon_sym_thread_local] = ACTIONS(2216),
    [anon_sym___thread] = ACTIONS(2216),
    [anon_sym_const] = ACTIONS(2216),
    [anon_sym_constexpr] = ACTIONS(2216),
    [anon_sym_volatile] = ACTIONS(2216),
    [anon_sym_restrict] = ACTIONS(2216),
    [anon_sym___restrict__] = ACTIONS(2216),
    [anon_sym__Atomic] = ACTIONS(2216),
    [anon_sym__Noreturn] = ACTIONS(2216),
    [anon_sym_noreturn] = ACTIONS(2216),
    [anon_sym_mutable] = ACTIONS(2216),
    [anon_sym_constinit] = ACTIONS(2216),
    [anon_sym_consteval] = ACTIONS(2216),
    [sym_primitive_type] = ACTIONS(2216),
    [anon_sym_enum] = ACTIONS(2216),
    [anon_sym_class] = ACTIONS(2216),
    [anon_sym_struct] = ACTIONS(2216),
    [anon_sym_union] = ACTIONS(2216),
    [anon_sym_if] = ACTIONS(2216),
    [anon_sym_else] = ACTIONS(2216),
    [anon_sym_switch] = ACTIONS(2216),
    [anon_sym_while] = ACTIONS(2216),
    [anon_sym_do] = ACTIONS(2216),
    [anon_sym_for] = ACTIONS(2216),
    [anon_sym_return] = ACTIONS(2216),
    [anon_sym_break] = ACTIONS(2216),
    [anon_sym_continue] = ACTIONS(2216),
    [anon_sym_goto] = ACTIONS(2216),
    [anon_sym___try] = ACTIONS(2216),
    [anon_sym___leave] = ACTIONS(2216),
    [anon_sym_not] = ACTIONS(2216),
    [anon_sym_compl] = ACTIONS(2216),
    [anon_sym_DASH_DASH] = ACTIONS(2218),
    [anon_sym_PLUS_PLUS] = ACTIONS(2218),
    [anon_sym_sizeof] = ACTIONS(2216),
    [anon_sym___alignof__] = ACTIONS(2216),
    [anon_sym___alignof] = ACTIONS(2216),
    [anon_sym__alignof] = ACTIONS(2216),
    [anon_sym_alignof] = ACTIONS(2216),
    [anon_sym__Alignof] = ACTIONS(2216),
    [anon_sym_offsetof] = ACTIONS(2216),
    [anon_sym__Generic] = ACTIONS(2216),
    [anon_sym_asm] = ACTIONS(2216),
    [anon_sym___asm__] = ACTIONS(2216),
    [sym_number_literal] = ACTIONS(2218),
    [anon_sym_L_SQUOTE] = ACTIONS(2218),
    [anon_sym_u_SQUOTE] = ACTIONS(2218),
    [anon_sym_U_SQUOTE] = ACTIONS(2218),
    [anon_sym_u8_SQUOTE] = ACTIONS(2218),
    [anon_sym_SQUOTE] = ACTIONS(2218),
    [anon_sym_L_DQUOTE] = ACTIONS(2218),
    [anon_sym_u_DQUOTE] = ACTIONS(2218),
    [anon_sym_U_DQUOTE] = ACTIONS(2218),
    [anon_sym_u8_DQUOTE] = ACTIONS(2218),
    [anon_sym_DQUOTE] = ACTIONS(2218),
    [sym_true] = ACTIONS(2216),
    [sym_false] = ACTIONS(2216),
    [anon_sym_NULL] = ACTIONS(2216),
    [anon_sym_nullptr] = ACTIONS(2216),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2216),
    [anon_sym_decltype] = ACTIONS(2216),
    [anon_sym_final] = ACTIONS(2216),
    [anon_sym_override] = ACTIONS(2216),
    [anon_sym_virtual] = ACTIONS(2216),
    [anon_sym_alignas] = ACTIONS(2216),
    [anon_sym_typename] = ACTIONS(2216),
    [anon_sym_template] = ACTIONS(2216),
    [anon_sym_try] = ACTIONS(2216),
    [anon_sym_delete] = ACTIONS(2216),
    [anon_sym_throw] = ACTIONS(2216),
    [anon_sym_co_return] = ACTIONS(2216),
    [anon_sym_co_yield] = ACTIONS(2216),
    [anon_sym_R_DQUOTE] = ACTIONS(2218),
    [anon_sym_LR_DQUOTE] = ACTIONS(2218),
    [anon_sym_uR_DQUOTE] = ACTIONS(2218),
    [anon_sym_UR_DQUOTE] = ACTIONS(2218),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2218),
    [anon_sym_co_await] = ACTIONS(2216),
    [anon_sym_new] = ACTIONS(2216),
    [anon_sym_requires] = ACTIONS(2216),
    [sym_this] = ACTIONS(2216),
    [anon_sym_discard] = ACTIONS(2216),
    [anon_sym_precise] = ACTIONS(2216),
    [anon_sym_shared] = ACTIONS(2216),
    [anon_sym_groupshared] = ACTIONS(2216),
    [anon_sym_uniform] = ACTIONS(2216),
    [anon_sym_row_major] = ACTIONS(2216),
    [anon_sym_column_major] = ACTIONS(2216),
    [anon_sym_globallycoherent] = ACTIONS(2216),
    [anon_sym_centroid] = ACTIONS(2216),
    [anon_sym_noperspective] = ACTIONS(2216),
    [anon_sym_nointerpolation] = ACTIONS(2216),
    [anon_sym_sample] = ACTIONS(2216),
    [anon_sym_linear] = ACTIONS(2216),
    [anon_sym_snorm] = ACTIONS(2216),
    [anon_sym_unorm] = ACTIONS(2216),
    [anon_sym_point] = ACTIONS(2216),
    [anon_sym_line] = ACTIONS(2216),
    [anon_sym_triangleadj] = ACTIONS(2216),
    [anon_sym_lineadj] = ACTIONS(2216),
    [anon_sym_triangle] = ACTIONS(2216),
    [anon_sym_cbuffer] = ACTIONS(2216),
  },
  [1478] = {
    [sym_identifier] = ACTIONS(2254),
    [anon_sym_LPAREN2] = ACTIONS(2256),
    [anon_sym_BANG] = ACTIONS(2256),
    [anon_sym_TILDE] = ACTIONS(2256),
    [anon_sym_DASH] = ACTIONS(2254),
    [anon_sym_PLUS] = ACTIONS(2254),
    [anon_sym_STAR] = ACTIONS(2256),
    [anon_sym_AMP] = ACTIONS(2256),
    [anon_sym_COLON] = ACTIONS(2254),
    [anon_sym_SEMI] = ACTIONS(2256),
    [anon_sym___extension__] = ACTIONS(2254),
    [anon_sym_typedef] = ACTIONS(2254),
    [anon_sym_in] = ACTIONS(2254),
    [anon_sym_out] = ACTIONS(2254),
    [anon_sym_inout] = ACTIONS(2254),
    [anon_sym_extern] = ACTIONS(2254),
    [anon_sym___attribute__] = ACTIONS(2254),
    [anon_sym_COLON_COLON] = ACTIONS(2256),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2256),
    [anon_sym___declspec] = ACTIONS(2254),
    [anon_sym_LBRACE] = ACTIONS(2256),
    [anon_sym_signed] = ACTIONS(2254),
    [anon_sym_unsigned] = ACTIONS(2254),
    [anon_sym_long] = ACTIONS(2254),
    [anon_sym_short] = ACTIONS(2254),
    [anon_sym_LBRACK] = ACTIONS(2254),
    [anon_sym_static] = ACTIONS(2254),
    [anon_sym_register] = ACTIONS(2254),
    [anon_sym_inline] = ACTIONS(2254),
    [anon_sym___inline] = ACTIONS(2254),
    [anon_sym___inline__] = ACTIONS(2254),
    [anon_sym___forceinline] = ACTIONS(2254),
    [anon_sym_thread_local] = ACTIONS(2254),
    [anon_sym___thread] = ACTIONS(2254),
    [anon_sym_const] = ACTIONS(2254),
    [anon_sym_constexpr] = ACTIONS(2254),
    [anon_sym_volatile] = ACTIONS(2254),
    [anon_sym_restrict] = ACTIONS(2254),
    [anon_sym___restrict__] = ACTIONS(2254),
    [anon_sym__Atomic] = ACTIONS(2254),
    [anon_sym__Noreturn] = ACTIONS(2254),
    [anon_sym_noreturn] = ACTIONS(2254),
    [anon_sym_mutable] = ACTIONS(2254),
    [anon_sym_constinit] = ACTIONS(2254),
    [anon_sym_consteval] = ACTIONS(2254),
    [sym_primitive_type] = ACTIONS(2254),
    [anon_sym_enum] = ACTIONS(2254),
    [anon_sym_class] = ACTIONS(2254),
    [anon_sym_struct] = ACTIONS(2254),
    [anon_sym_union] = ACTIONS(2254),
    [anon_sym_if] = ACTIONS(2254),
    [anon_sym_else] = ACTIONS(2254),
    [anon_sym_switch] = ACTIONS(2254),
    [anon_sym_while] = ACTIONS(2254),
    [anon_sym_do] = ACTIONS(2254),
    [anon_sym_for] = ACTIONS(2254),
    [anon_sym_return] = ACTIONS(2254),
    [anon_sym_break] = ACTIONS(2254),
    [anon_sym_continue] = ACTIONS(2254),
    [anon_sym_goto] = ACTIONS(2254),
    [anon_sym___try] = ACTIONS(2254),
    [anon_sym___leave] = ACTIONS(2254),
    [anon_sym_not] = ACTIONS(2254),
    [anon_sym_compl] = ACTIONS(2254),
    [anon_sym_DASH_DASH] = ACTIONS(2256),
    [anon_sym_PLUS_PLUS] = ACTIONS(2256),
    [anon_sym_sizeof] = ACTIONS(2254),
    [anon_sym___alignof__] = ACTIONS(2254),
    [anon_sym___alignof] = ACTIONS(2254),
    [anon_sym__alignof] = ACTIONS(2254),
    [anon_sym_alignof] = ACTIONS(2254),
    [anon_sym__Alignof] = ACTIONS(2254),
    [anon_sym_offsetof] = ACTIONS(2254),
    [anon_sym__Generic] = ACTIONS(2254),
    [anon_sym_asm] = ACTIONS(2254),
    [anon_sym___asm__] = ACTIONS(2254),
    [sym_number_literal] = ACTIONS(2256),
    [anon_sym_L_SQUOTE] = ACTIONS(2256),
    [anon_sym_u_SQUOTE] = ACTIONS(2256),
    [anon_sym_U_SQUOTE] = ACTIONS(2256),
    [anon_sym_u8_SQUOTE] = ACTIONS(2256),
    [anon_sym_SQUOTE] = ACTIONS(2256),
    [anon_sym_L_DQUOTE] = ACTIONS(2256),
    [anon_sym_u_DQUOTE] = ACTIONS(2256),
    [anon_sym_U_DQUOTE] = ACTIONS(2256),
    [anon_sym_u8_DQUOTE] = ACTIONS(2256),
    [anon_sym_DQUOTE] = ACTIONS(2256),
    [sym_true] = ACTIONS(2254),
    [sym_false] = ACTIONS(2254),
    [anon_sym_NULL] = ACTIONS(2254),
    [anon_sym_nullptr] = ACTIONS(2254),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2254),
    [anon_sym_decltype] = ACTIONS(2254),
    [anon_sym_final] = ACTIONS(2254),
    [anon_sym_override] = ACTIONS(2254),
    [anon_sym_virtual] = ACTIONS(2254),
    [anon_sym_alignas] = ACTIONS(2254),
    [anon_sym_typename] = ACTIONS(2254),
    [anon_sym_template] = ACTIONS(2254),
    [anon_sym_try] = ACTIONS(2254),
    [anon_sym_delete] = ACTIONS(2254),
    [anon_sym_throw] = ACTIONS(2254),
    [anon_sym_co_return] = ACTIONS(2254),
    [anon_sym_co_yield] = ACTIONS(2254),
    [anon_sym_R_DQUOTE] = ACTIONS(2256),
    [anon_sym_LR_DQUOTE] = ACTIONS(2256),
    [anon_sym_uR_DQUOTE] = ACTIONS(2256),
    [anon_sym_UR_DQUOTE] = ACTIONS(2256),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2256),
    [anon_sym_co_await] = ACTIONS(2254),
    [anon_sym_new] = ACTIONS(2254),
    [anon_sym_requires] = ACTIONS(2254),
    [sym_this] = ACTIONS(2254),
    [anon_sym_discard] = ACTIONS(2254),
    [anon_sym_precise] = ACTIONS(2254),
    [anon_sym_shared] = ACTIONS(2254),
    [anon_sym_groupshared] = ACTIONS(2254),
    [anon_sym_uniform] = ACTIONS(2254),
    [anon_sym_row_major] = ACTIONS(2254),
    [anon_sym_column_major] = ACTIONS(2254),
    [anon_sym_globallycoherent] = ACTIONS(2254),
    [anon_sym_centroid] = ACTIONS(2254),
    [anon_sym_noperspective] = ACTIONS(2254),
    [anon_sym_nointerpolation] = ACTIONS(2254),
    [anon_sym_sample] = ACTIONS(2254),
    [anon_sym_linear] = ACTIONS(2254),
    [anon_sym_snorm] = ACTIONS(2254),
    [anon_sym_unorm] = ACTIONS(2254),
    [anon_sym_point] = ACTIONS(2254),
    [anon_sym_line] = ACTIONS(2254),
    [anon_sym_triangleadj] = ACTIONS(2254),
    [anon_sym_lineadj] = ACTIONS(2254),
    [anon_sym_triangle] = ACTIONS(2254),
    [anon_sym_cbuffer] = ACTIONS(2254),
  },
  [1479] = {
    [sym_identifier] = ACTIONS(2208),
    [anon_sym_LPAREN2] = ACTIONS(2210),
    [anon_sym_BANG] = ACTIONS(2210),
    [anon_sym_TILDE] = ACTIONS(2210),
    [anon_sym_DASH] = ACTIONS(2208),
    [anon_sym_PLUS] = ACTIONS(2208),
    [anon_sym_STAR] = ACTIONS(2210),
    [anon_sym_AMP] = ACTIONS(2210),
    [anon_sym_COLON] = ACTIONS(2208),
    [anon_sym_SEMI] = ACTIONS(2210),
    [anon_sym___extension__] = ACTIONS(2208),
    [anon_sym_typedef] = ACTIONS(2208),
    [anon_sym_in] = ACTIONS(2208),
    [anon_sym_out] = ACTIONS(2208),
    [anon_sym_inout] = ACTIONS(2208),
    [anon_sym_extern] = ACTIONS(2208),
    [anon_sym___attribute__] = ACTIONS(2208),
    [anon_sym_COLON_COLON] = ACTIONS(2210),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2210),
    [anon_sym___declspec] = ACTIONS(2208),
    [anon_sym_LBRACE] = ACTIONS(2210),
    [anon_sym_signed] = ACTIONS(2208),
    [anon_sym_unsigned] = ACTIONS(2208),
    [anon_sym_long] = ACTIONS(2208),
    [anon_sym_short] = ACTIONS(2208),
    [anon_sym_LBRACK] = ACTIONS(2208),
    [anon_sym_static] = ACTIONS(2208),
    [anon_sym_register] = ACTIONS(2208),
    [anon_sym_inline] = ACTIONS(2208),
    [anon_sym___inline] = ACTIONS(2208),
    [anon_sym___inline__] = ACTIONS(2208),
    [anon_sym___forceinline] = ACTIONS(2208),
    [anon_sym_thread_local] = ACTIONS(2208),
    [anon_sym___thread] = ACTIONS(2208),
    [anon_sym_const] = ACTIONS(2208),
    [anon_sym_constexpr] = ACTIONS(2208),
    [anon_sym_volatile] = ACTIONS(2208),
    [anon_sym_restrict] = ACTIONS(2208),
    [anon_sym___restrict__] = ACTIONS(2208),
    [anon_sym__Atomic] = ACTIONS(2208),
    [anon_sym__Noreturn] = ACTIONS(2208),
    [anon_sym_noreturn] = ACTIONS(2208),
    [anon_sym_mutable] = ACTIONS(2208),
    [anon_sym_constinit] = ACTIONS(2208),
    [anon_sym_consteval] = ACTIONS(2208),
    [sym_primitive_type] = ACTIONS(2208),
    [anon_sym_enum] = ACTIONS(2208),
    [anon_sym_class] = ACTIONS(2208),
    [anon_sym_struct] = ACTIONS(2208),
    [anon_sym_union] = ACTIONS(2208),
    [anon_sym_if] = ACTIONS(2208),
    [anon_sym_else] = ACTIONS(2208),
    [anon_sym_switch] = ACTIONS(2208),
    [anon_sym_while] = ACTIONS(2208),
    [anon_sym_do] = ACTIONS(2208),
    [anon_sym_for] = ACTIONS(2208),
    [anon_sym_return] = ACTIONS(2208),
    [anon_sym_break] = ACTIONS(2208),
    [anon_sym_continue] = ACTIONS(2208),
    [anon_sym_goto] = ACTIONS(2208),
    [anon_sym___try] = ACTIONS(2208),
    [anon_sym___leave] = ACTIONS(2208),
    [anon_sym_not] = ACTIONS(2208),
    [anon_sym_compl] = ACTIONS(2208),
    [anon_sym_DASH_DASH] = ACTIONS(2210),
    [anon_sym_PLUS_PLUS] = ACTIONS(2210),
    [anon_sym_sizeof] = ACTIONS(2208),
    [anon_sym___alignof__] = ACTIONS(2208),
    [anon_sym___alignof] = ACTIONS(2208),
    [anon_sym__alignof] = ACTIONS(2208),
    [anon_sym_alignof] = ACTIONS(2208),
    [anon_sym__Alignof] = ACTIONS(2208),
    [anon_sym_offsetof] = ACTIONS(2208),
    [anon_sym__Generic] = ACTIONS(2208),
    [anon_sym_asm] = ACTIONS(2208),
    [anon_sym___asm__] = ACTIONS(2208),
    [sym_number_literal] = ACTIONS(2210),
    [anon_sym_L_SQUOTE] = ACTIONS(2210),
    [anon_sym_u_SQUOTE] = ACTIONS(2210),
    [anon_sym_U_SQUOTE] = ACTIONS(2210),
    [anon_sym_u8_SQUOTE] = ACTIONS(2210),
    [anon_sym_SQUOTE] = ACTIONS(2210),
    [anon_sym_L_DQUOTE] = ACTIONS(2210),
    [anon_sym_u_DQUOTE] = ACTIONS(2210),
    [anon_sym_U_DQUOTE] = ACTIONS(2210),
    [anon_sym_u8_DQUOTE] = ACTIONS(2210),
    [anon_sym_DQUOTE] = ACTIONS(2210),
    [sym_true] = ACTIONS(2208),
    [sym_false] = ACTIONS(2208),
    [anon_sym_NULL] = ACTIONS(2208),
    [anon_sym_nullptr] = ACTIONS(2208),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2208),
    [anon_sym_decltype] = ACTIONS(2208),
    [anon_sym_final] = ACTIONS(2208),
    [anon_sym_override] = ACTIONS(2208),
    [anon_sym_virtual] = ACTIONS(2208),
    [anon_sym_alignas] = ACTIONS(2208),
    [anon_sym_typename] = ACTIONS(2208),
    [anon_sym_template] = ACTIONS(2208),
    [anon_sym_try] = ACTIONS(2208),
    [anon_sym_delete] = ACTIONS(2208),
    [anon_sym_throw] = ACTIONS(2208),
    [anon_sym_co_return] = ACTIONS(2208),
    [anon_sym_co_yield] = ACTIONS(2208),
    [anon_sym_R_DQUOTE] = ACTIONS(2210),
    [anon_sym_LR_DQUOTE] = ACTIONS(2210),
    [anon_sym_uR_DQUOTE] = ACTIONS(2210),
    [anon_sym_UR_DQUOTE] = ACTIONS(2210),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2210),
    [anon_sym_co_await] = ACTIONS(2208),
    [anon_sym_new] = ACTIONS(2208),
    [anon_sym_requires] = ACTIONS(2208),
    [sym_this] = ACTIONS(2208),
    [anon_sym_discard] = ACTIONS(2208),
    [anon_sym_precise] = ACTIONS(2208),
    [anon_sym_shared] = ACTIONS(2208),
    [anon_sym_groupshared] = ACTIONS(2208),
    [anon_sym_uniform] = ACTIONS(2208),
    [anon_sym_row_major] = ACTIONS(2208),
    [anon_sym_column_major] = ACTIONS(2208),
    [anon_sym_globallycoherent] = ACTIONS(2208),
    [anon_sym_centroid] = ACTIONS(2208),
    [anon_sym_noperspective] = ACTIONS(2208),
    [anon_sym_nointerpolation] = ACTIONS(2208),
    [anon_sym_sample] = ACTIONS(2208),
    [anon_sym_linear] = ACTIONS(2208),
    [anon_sym_snorm] = ACTIONS(2208),
    [anon_sym_unorm] = ACTIONS(2208),
    [anon_sym_point] = ACTIONS(2208),
    [anon_sym_line] = ACTIONS(2208),
    [anon_sym_triangleadj] = ACTIONS(2208),
    [anon_sym_lineadj] = ACTIONS(2208),
    [anon_sym_triangle] = ACTIONS(2208),
    [anon_sym_cbuffer] = ACTIONS(2208),
  },
  [1480] = {
    [sym_string_literal] = STATE(3682),
    [sym_template_argument_list] = STATE(1799),
    [sym_raw_string_literal] = STATE(3682),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3027),
    [sym_identifier] = ACTIONS(4211),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4213),
    [anon_sym_COMMA] = ACTIONS(4213),
    [anon_sym_LPAREN2] = ACTIONS(4215),
    [anon_sym_TILDE] = ACTIONS(4219),
    [anon_sym_DASH] = ACTIONS(4221),
    [anon_sym_PLUS] = ACTIONS(4221),
    [anon_sym_STAR] = ACTIONS(4223),
    [anon_sym_SLASH] = ACTIONS(4221),
    [anon_sym_PERCENT] = ACTIONS(4221),
    [anon_sym_PIPE_PIPE] = ACTIONS(4213),
    [anon_sym_AMP_AMP] = ACTIONS(4226),
    [anon_sym_PIPE] = ACTIONS(4221),
    [anon_sym_CARET] = ACTIONS(4221),
    [anon_sym_AMP] = ACTIONS(4223),
    [anon_sym_EQ_EQ] = ACTIONS(4213),
    [anon_sym_BANG_EQ] = ACTIONS(4213),
    [anon_sym_GT] = ACTIONS(4221),
    [anon_sym_GT_EQ] = ACTIONS(4213),
    [anon_sym_LT_EQ] = ACTIONS(4221),
    [anon_sym_LT] = ACTIONS(4229),
    [anon_sym_LT_LT] = ACTIONS(4221),
    [anon_sym_GT_GT] = ACTIONS(4221),
    [anon_sym_COLON] = ACTIONS(4232),
    [anon_sym_SEMI] = ACTIONS(4226),
    [anon_sym___extension__] = ACTIONS(4211),
    [anon_sym_in] = ACTIONS(4211),
    [anon_sym_out] = ACTIONS(4211),
    [anon_sym_inout] = ACTIONS(4211),
    [anon_sym_extern] = ACTIONS(4211),
    [anon_sym___attribute__] = ACTIONS(4211),
    [anon_sym_COLON_COLON] = ACTIONS(2230),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4234),
    [anon_sym___declspec] = ACTIONS(4211),
    [anon_sym___based] = ACTIONS(4211),
    [anon_sym___cdecl] = ACTIONS(4211),
    [anon_sym___clrcall] = ACTIONS(4211),
    [anon_sym___stdcall] = ACTIONS(4211),
    [anon_sym___fastcall] = ACTIONS(4211),
    [anon_sym___thiscall] = ACTIONS(4211),
    [anon_sym___vectorcall] = ACTIONS(4211),
    [anon_sym_LBRACE] = ACTIONS(2226),
    [anon_sym_RBRACE] = ACTIONS(4213),
    [anon_sym_signed] = ACTIONS(4237),
    [anon_sym_unsigned] = ACTIONS(4237),
    [anon_sym_long] = ACTIONS(4237),
    [anon_sym_short] = ACTIONS(4237),
    [anon_sym_LBRACK] = ACTIONS(4239),
    [anon_sym_EQ] = ACTIONS(4243),
    [anon_sym_static] = ACTIONS(4211),
    [anon_sym_register] = ACTIONS(4211),
    [anon_sym_inline] = ACTIONS(4211),
    [anon_sym___inline] = ACTIONS(4211),
    [anon_sym___inline__] = ACTIONS(4211),
    [anon_sym___forceinline] = ACTIONS(4211),
    [anon_sym_thread_local] = ACTIONS(4211),
    [anon_sym___thread] = ACTIONS(4211),
    [anon_sym_const] = ACTIONS(4211),
    [anon_sym_constexpr] = ACTIONS(4211),
    [anon_sym_volatile] = ACTIONS(4211),
    [anon_sym_restrict] = ACTIONS(4211),
    [anon_sym___restrict__] = ACTIONS(4211),
    [anon_sym__Atomic] = ACTIONS(4211),
    [anon_sym__Noreturn] = ACTIONS(4211),
    [anon_sym_noreturn] = ACTIONS(4211),
    [anon_sym_mutable] = ACTIONS(4211),
    [anon_sym_constinit] = ACTIONS(4211),
    [anon_sym_consteval] = ACTIONS(4211),
    [anon_sym_QMARK] = ACTIONS(4213),
    [anon_sym_STAR_EQ] = ACTIONS(4245),
    [anon_sym_SLASH_EQ] = ACTIONS(4245),
    [anon_sym_PERCENT_EQ] = ACTIONS(4245),
    [anon_sym_PLUS_EQ] = ACTIONS(4245),
    [anon_sym_DASH_EQ] = ACTIONS(4245),
    [anon_sym_LT_LT_EQ] = ACTIONS(4245),
    [anon_sym_GT_GT_EQ] = ACTIONS(4245),
    [anon_sym_AMP_EQ] = ACTIONS(4245),
    [anon_sym_CARET_EQ] = ACTIONS(4245),
    [anon_sym_PIPE_EQ] = ACTIONS(4245),
    [anon_sym_and_eq] = ACTIONS(4243),
    [anon_sym_or_eq] = ACTIONS(4243),
    [anon_sym_xor_eq] = ACTIONS(4243),
    [anon_sym_LT_EQ_GT] = ACTIONS(4213),
    [anon_sym_or] = ACTIONS(4221),
    [anon_sym_and] = ACTIONS(4221),
    [anon_sym_bitor] = ACTIONS(4221),
    [anon_sym_xor] = ACTIONS(4221),
    [anon_sym_bitand] = ACTIONS(4221),
    [anon_sym_not_eq] = ACTIONS(4221),
    [anon_sym_DASH_DASH] = ACTIONS(4213),
    [anon_sym_PLUS_PLUS] = ACTIONS(4213),
    [anon_sym_DOT] = ACTIONS(4221),
    [anon_sym_DOT_STAR] = ACTIONS(4213),
    [anon_sym_DASH_GT] = ACTIONS(4213),
    [anon_sym_L_DQUOTE] = ACTIONS(4247),
    [anon_sym_u_DQUOTE] = ACTIONS(4247),
    [anon_sym_U_DQUOTE] = ACTIONS(4247),
    [anon_sym_u8_DQUOTE] = ACTIONS(4247),
    [anon_sym_DQUOTE] = ACTIONS(4247),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4211),
    [anon_sym_decltype] = ACTIONS(4211),
    [anon_sym_virtual] = ACTIONS(4211),
    [anon_sym_alignas] = ACTIONS(4211),
    [anon_sym_template] = ACTIONS(4211),
    [anon_sym_operator] = ACTIONS(4211),
    [anon_sym_R_DQUOTE] = ACTIONS(4249),
    [anon_sym_LR_DQUOTE] = ACTIONS(4249),
    [anon_sym_uR_DQUOTE] = ACTIONS(4249),
    [anon_sym_UR_DQUOTE] = ACTIONS(4249),
    [anon_sym_u8R_DQUOTE] = ACTIONS(4249),
    [anon_sym_precise] = ACTIONS(4211),
    [anon_sym_shared] = ACTIONS(4211),
    [anon_sym_groupshared] = ACTIONS(4211),
    [anon_sym_uniform] = ACTIONS(4211),
    [anon_sym_row_major] = ACTIONS(4211),
    [anon_sym_column_major] = ACTIONS(4211),
    [anon_sym_globallycoherent] = ACTIONS(4211),
    [anon_sym_centroid] = ACTIONS(4211),
    [anon_sym_noperspective] = ACTIONS(4211),
    [anon_sym_nointerpolation] = ACTIONS(4211),
    [anon_sym_sample] = ACTIONS(4211),
    [anon_sym_linear] = ACTIONS(4211),
    [anon_sym_snorm] = ACTIONS(4211),
    [anon_sym_unorm] = ACTIONS(4211),
    [anon_sym_point] = ACTIONS(4211),
    [anon_sym_line] = ACTIONS(4211),
    [anon_sym_triangleadj] = ACTIONS(4211),
    [anon_sym_lineadj] = ACTIONS(4211),
    [anon_sym_triangle] = ACTIONS(4211),
  },
  [1481] = {
    [sym_else_clause] = STATE(1631),
    [sym_identifier] = ACTIONS(2310),
    [anon_sym_LPAREN2] = ACTIONS(2312),
    [anon_sym_BANG] = ACTIONS(2312),
    [anon_sym_TILDE] = ACTIONS(2312),
    [anon_sym_DASH] = ACTIONS(2310),
    [anon_sym_PLUS] = ACTIONS(2310),
    [anon_sym_STAR] = ACTIONS(2312),
    [anon_sym_AMP] = ACTIONS(2312),
    [anon_sym_SEMI] = ACTIONS(2312),
    [anon_sym___extension__] = ACTIONS(2310),
    [anon_sym_typedef] = ACTIONS(2310),
    [anon_sym_in] = ACTIONS(2310),
    [anon_sym_out] = ACTIONS(2310),
    [anon_sym_inout] = ACTIONS(2310),
    [anon_sym_extern] = ACTIONS(2310),
    [anon_sym___attribute__] = ACTIONS(2310),
    [anon_sym_COLON_COLON] = ACTIONS(2312),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2312),
    [anon_sym___declspec] = ACTIONS(2310),
    [anon_sym_LBRACE] = ACTIONS(2312),
    [anon_sym_signed] = ACTIONS(2310),
    [anon_sym_unsigned] = ACTIONS(2310),
    [anon_sym_long] = ACTIONS(2310),
    [anon_sym_short] = ACTIONS(2310),
    [anon_sym_LBRACK] = ACTIONS(2310),
    [anon_sym_static] = ACTIONS(2310),
    [anon_sym_register] = ACTIONS(2310),
    [anon_sym_inline] = ACTIONS(2310),
    [anon_sym___inline] = ACTIONS(2310),
    [anon_sym___inline__] = ACTIONS(2310),
    [anon_sym___forceinline] = ACTIONS(2310),
    [anon_sym_thread_local] = ACTIONS(2310),
    [anon_sym___thread] = ACTIONS(2310),
    [anon_sym_const] = ACTIONS(2310),
    [anon_sym_constexpr] = ACTIONS(2310),
    [anon_sym_volatile] = ACTIONS(2310),
    [anon_sym_restrict] = ACTIONS(2310),
    [anon_sym___restrict__] = ACTIONS(2310),
    [anon_sym__Atomic] = ACTIONS(2310),
    [anon_sym__Noreturn] = ACTIONS(2310),
    [anon_sym_noreturn] = ACTIONS(2310),
    [anon_sym_mutable] = ACTIONS(2310),
    [anon_sym_constinit] = ACTIONS(2310),
    [anon_sym_consteval] = ACTIONS(2310),
    [sym_primitive_type] = ACTIONS(2310),
    [anon_sym_enum] = ACTIONS(2310),
    [anon_sym_class] = ACTIONS(2310),
    [anon_sym_struct] = ACTIONS(2310),
    [anon_sym_union] = ACTIONS(2310),
    [anon_sym_if] = ACTIONS(2310),
    [anon_sym_else] = ACTIONS(4251),
    [anon_sym_switch] = ACTIONS(2310),
    [anon_sym_while] = ACTIONS(2310),
    [anon_sym_do] = ACTIONS(2310),
    [anon_sym_for] = ACTIONS(2310),
    [anon_sym_return] = ACTIONS(2310),
    [anon_sym_break] = ACTIONS(2310),
    [anon_sym_continue] = ACTIONS(2310),
    [anon_sym_goto] = ACTIONS(2310),
    [anon_sym___try] = ACTIONS(2310),
    [anon_sym___leave] = ACTIONS(2310),
    [anon_sym_not] = ACTIONS(2310),
    [anon_sym_compl] = ACTIONS(2310),
    [anon_sym_DASH_DASH] = ACTIONS(2312),
    [anon_sym_PLUS_PLUS] = ACTIONS(2312),
    [anon_sym_sizeof] = ACTIONS(2310),
    [anon_sym___alignof__] = ACTIONS(2310),
    [anon_sym___alignof] = ACTIONS(2310),
    [anon_sym__alignof] = ACTIONS(2310),
    [anon_sym_alignof] = ACTIONS(2310),
    [anon_sym__Alignof] = ACTIONS(2310),
    [anon_sym_offsetof] = ACTIONS(2310),
    [anon_sym__Generic] = ACTIONS(2310),
    [anon_sym_asm] = ACTIONS(2310),
    [anon_sym___asm__] = ACTIONS(2310),
    [sym_number_literal] = ACTIONS(2312),
    [anon_sym_L_SQUOTE] = ACTIONS(2312),
    [anon_sym_u_SQUOTE] = ACTIONS(2312),
    [anon_sym_U_SQUOTE] = ACTIONS(2312),
    [anon_sym_u8_SQUOTE] = ACTIONS(2312),
    [anon_sym_SQUOTE] = ACTIONS(2312),
    [anon_sym_L_DQUOTE] = ACTIONS(2312),
    [anon_sym_u_DQUOTE] = ACTIONS(2312),
    [anon_sym_U_DQUOTE] = ACTIONS(2312),
    [anon_sym_u8_DQUOTE] = ACTIONS(2312),
    [anon_sym_DQUOTE] = ACTIONS(2312),
    [sym_true] = ACTIONS(2310),
    [sym_false] = ACTIONS(2310),
    [anon_sym_NULL] = ACTIONS(2310),
    [anon_sym_nullptr] = ACTIONS(2310),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2310),
    [anon_sym_decltype] = ACTIONS(2310),
    [anon_sym_virtual] = ACTIONS(2310),
    [anon_sym_alignas] = ACTIONS(2310),
    [anon_sym_typename] = ACTIONS(2310),
    [anon_sym_template] = ACTIONS(2310),
    [anon_sym_try] = ACTIONS(2310),
    [anon_sym_delete] = ACTIONS(2310),
    [anon_sym_throw] = ACTIONS(2310),
    [anon_sym_co_return] = ACTIONS(2310),
    [anon_sym_co_yield] = ACTIONS(2310),
    [anon_sym_R_DQUOTE] = ACTIONS(2312),
    [anon_sym_LR_DQUOTE] = ACTIONS(2312),
    [anon_sym_uR_DQUOTE] = ACTIONS(2312),
    [anon_sym_UR_DQUOTE] = ACTIONS(2312),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2312),
    [anon_sym_co_await] = ACTIONS(2310),
    [anon_sym_new] = ACTIONS(2310),
    [anon_sym_requires] = ACTIONS(2310),
    [sym_this] = ACTIONS(2310),
    [anon_sym_discard] = ACTIONS(2310),
    [anon_sym_precise] = ACTIONS(2310),
    [anon_sym_shared] = ACTIONS(2310),
    [anon_sym_groupshared] = ACTIONS(2310),
    [anon_sym_uniform] = ACTIONS(2310),
    [anon_sym_row_major] = ACTIONS(2310),
    [anon_sym_column_major] = ACTIONS(2310),
    [anon_sym_globallycoherent] = ACTIONS(2310),
    [anon_sym_centroid] = ACTIONS(2310),
    [anon_sym_noperspective] = ACTIONS(2310),
    [anon_sym_nointerpolation] = ACTIONS(2310),
    [anon_sym_sample] = ACTIONS(2310),
    [anon_sym_linear] = ACTIONS(2310),
    [anon_sym_snorm] = ACTIONS(2310),
    [anon_sym_unorm] = ACTIONS(2310),
    [anon_sym_point] = ACTIONS(2310),
    [anon_sym_line] = ACTIONS(2310),
    [anon_sym_triangleadj] = ACTIONS(2310),
    [anon_sym_lineadj] = ACTIONS(2310),
    [anon_sym_triangle] = ACTIONS(2310),
    [anon_sym_cbuffer] = ACTIONS(2310),
  },
  [1482] = {
    [sym_type_qualifier] = STATE(5199),
    [sym__type_specifier] = STATE(6115),
    [sym_sized_type_specifier] = STATE(4043),
    [sym_enum_specifier] = STATE(4043),
    [sym_struct_specifier] = STATE(4043),
    [sym_union_specifier] = STATE(4043),
    [sym__expression] = STATE(5439),
    [sym__expression_not_binary] = STATE(6001),
    [sym__string] = STATE(6001),
    [sym_conditional_expression] = STATE(6001),
    [sym_assignment_expression] = STATE(6001),
    [sym_pointer_expression] = STATE(4807),
    [sym_unary_expression] = STATE(6001),
    [sym_binary_expression] = STATE(6001),
    [sym_update_expression] = STATE(6001),
    [sym_cast_expression] = STATE(6001),
    [sym_type_descriptor] = STATE(8404),
    [sym_sizeof_expression] = STATE(6001),
    [sym_alignof_expression] = STATE(6001),
    [sym_offsetof_expression] = STATE(6001),
    [sym_generic_expression] = STATE(6001),
    [sym_subscript_expression] = STATE(4807),
    [sym_call_expression] = STATE(4807),
    [sym_gnu_asm_expression] = STATE(6001),
    [sym_field_expression] = STATE(4807),
    [sym_compound_literal_expression] = STATE(6001),
    [sym_parenthesized_expression] = STATE(4807),
    [sym_char_literal] = STATE(5842),
    [sym_concatenated_string] = STATE(5845),
    [sym_string_literal] = STATE(4864),
    [sym_null] = STATE(6001),
    [sym_placeholder_type_specifier] = STATE(4043),
    [sym_decltype_auto] = STATE(4013),
    [sym_decltype] = STATE(3955),
    [sym_class_specifier] = STATE(4043),
    [sym__class_name] = STATE(8975),
    [sym_dependent_type] = STATE(4043),
    [sym_template_type] = STATE(6654),
    [sym_template_function] = STATE(6001),
    [sym_raw_string_literal] = STATE(4865),
    [sym_co_await_expression] = STATE(6001),
    [sym_new_expression] = STATE(6001),
    [sym_delete_expression] = STATE(6001),
    [sym_requires_clause] = STATE(6001),
    [sym_requires_expression] = STATE(6001),
    [sym_lambda_expression] = STATE(6001),
    [sym_lambda_capture_specifier] = STATE(7123),
    [sym_fold_expression] = STATE(6001),
    [sym_parameter_pack_expansion] = STATE(6001),
    [sym_type_parameter_pack_expansion] = STATE(8692),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6903),
    [sym_qualified_identifier] = STATE(4807),
    [sym_qualified_type_identifier] = STATE(6699),
    [sym_user_defined_literal] = STATE(4807),
    [aux_sym__type_definition_type_repeat1] = STATE(5199),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3494),
    [sym_identifier] = ACTIONS(4253),
    [anon_sym_LPAREN2] = ACTIONS(4255),
    [anon_sym_BANG] = ACTIONS(4257),
    [anon_sym_TILDE] = ACTIONS(4257),
    [anon_sym_DASH] = ACTIONS(4259),
    [anon_sym_PLUS] = ACTIONS(4259),
    [anon_sym_STAR] = ACTIONS(4261),
    [anon_sym_AMP] = ACTIONS(4261),
    [anon_sym___extension__] = ACTIONS(63),
    [anon_sym_COLON_COLON] = ACTIONS(4263),
    [anon_sym_signed] = ACTIONS(4265),
    [anon_sym_unsigned] = ACTIONS(4265),
    [anon_sym_long] = ACTIONS(4265),
    [anon_sym_short] = ACTIONS(4265),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(4267),
    [anon_sym_enum] = ACTIONS(4269),
    [anon_sym_class] = ACTIONS(4271),
    [anon_sym_struct] = ACTIONS(4273),
    [anon_sym_union] = ACTIONS(4275),
    [anon_sym_not] = ACTIONS(4259),
    [anon_sym_compl] = ACTIONS(4259),
    [anon_sym_DASH_DASH] = ACTIONS(4277),
    [anon_sym_PLUS_PLUS] = ACTIONS(4277),
    [anon_sym_sizeof] = ACTIONS(4279),
    [anon_sym___alignof__] = ACTIONS(4281),
    [anon_sym___alignof] = ACTIONS(4281),
    [anon_sym__alignof] = ACTIONS(4281),
    [anon_sym_alignof] = ACTIONS(4281),
    [anon_sym__Alignof] = ACTIONS(4281),
    [anon_sym_offsetof] = ACTIONS(4283),
    [anon_sym__Generic] = ACTIONS(4285),
    [anon_sym_asm] = ACTIONS(4287),
    [anon_sym___asm__] = ACTIONS(4287),
    [sym_number_literal] = ACTIONS(4289),
    [anon_sym_L_SQUOTE] = ACTIONS(4291),
    [anon_sym_u_SQUOTE] = ACTIONS(4291),
    [anon_sym_U_SQUOTE] = ACTIONS(4291),
    [anon_sym_u8_SQUOTE] = ACTIONS(4291),
    [anon_sym_SQUOTE] = ACTIONS(4291),
    [anon_sym_L_DQUOTE] = ACTIONS(4293),
    [anon_sym_u_DQUOTE] = ACTIONS(4293),
    [anon_sym_U_DQUOTE] = ACTIONS(4293),
    [anon_sym_u8_DQUOTE] = ACTIONS(4293),
    [anon_sym_DQUOTE] = ACTIONS(4293),
    [sym_true] = ACTIONS(4295),
    [sym_false] = ACTIONS(4295),
    [anon_sym_NULL] = ACTIONS(4297),
    [anon_sym_nullptr] = ACTIONS(4297),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4299),
    [anon_sym_decltype] = ACTIONS(4301),
    [anon_sym_typename] = ACTIONS(4303),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_GT2] = ACTIONS(4305),
    [anon_sym_delete] = ACTIONS(4307),
    [anon_sym_R_DQUOTE] = ACTIONS(4309),
    [anon_sym_LR_DQUOTE] = ACTIONS(4309),
    [anon_sym_uR_DQUOTE] = ACTIONS(4309),
    [anon_sym_UR_DQUOTE] = ACTIONS(4309),
    [anon_sym_u8R_DQUOTE] = ACTIONS(4309),
    [anon_sym_co_await] = ACTIONS(4311),
    [anon_sym_new] = ACTIONS(4313),
    [anon_sym_requires] = ACTIONS(4315),
    [sym_this] = ACTIONS(4295),
  },
  [1483] = {
    [sym_identifier] = ACTIONS(2314),
    [anon_sym_LPAREN2] = ACTIONS(2316),
    [anon_sym_BANG] = ACTIONS(2316),
    [anon_sym_TILDE] = ACTIONS(2316),
    [anon_sym_DASH] = ACTIONS(2314),
    [anon_sym_PLUS] = ACTIONS(2314),
    [anon_sym_STAR] = ACTIONS(2316),
    [anon_sym_AMP] = ACTIONS(2316),
    [anon_sym_SEMI] = ACTIONS(2316),
    [anon_sym___extension__] = ACTIONS(2314),
    [anon_sym_typedef] = ACTIONS(2314),
    [anon_sym_in] = ACTIONS(2314),
    [anon_sym_out] = ACTIONS(2314),
    [anon_sym_inout] = ACTIONS(2314),
    [anon_sym_extern] = ACTIONS(2314),
    [anon_sym___attribute__] = ACTIONS(2314),
    [anon_sym_COLON_COLON] = ACTIONS(2316),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2316),
    [anon_sym___declspec] = ACTIONS(2314),
    [anon_sym_LBRACE] = ACTIONS(2316),
    [anon_sym_signed] = ACTIONS(2314),
    [anon_sym_unsigned] = ACTIONS(2314),
    [anon_sym_long] = ACTIONS(2314),
    [anon_sym_short] = ACTIONS(2314),
    [anon_sym_LBRACK] = ACTIONS(2314),
    [anon_sym_static] = ACTIONS(2314),
    [anon_sym_register] = ACTIONS(2314),
    [anon_sym_inline] = ACTIONS(2314),
    [anon_sym___inline] = ACTIONS(2314),
    [anon_sym___inline__] = ACTIONS(2314),
    [anon_sym___forceinline] = ACTIONS(2314),
    [anon_sym_thread_local] = ACTIONS(2314),
    [anon_sym___thread] = ACTIONS(2314),
    [anon_sym_const] = ACTIONS(2314),
    [anon_sym_constexpr] = ACTIONS(2314),
    [anon_sym_volatile] = ACTIONS(2314),
    [anon_sym_restrict] = ACTIONS(2314),
    [anon_sym___restrict__] = ACTIONS(2314),
    [anon_sym__Atomic] = ACTIONS(2314),
    [anon_sym__Noreturn] = ACTIONS(2314),
    [anon_sym_noreturn] = ACTIONS(2314),
    [anon_sym_mutable] = ACTIONS(2314),
    [anon_sym_constinit] = ACTIONS(2314),
    [anon_sym_consteval] = ACTIONS(2314),
    [sym_primitive_type] = ACTIONS(2314),
    [anon_sym_enum] = ACTIONS(2314),
    [anon_sym_class] = ACTIONS(2314),
    [anon_sym_struct] = ACTIONS(2314),
    [anon_sym_union] = ACTIONS(2314),
    [anon_sym_if] = ACTIONS(2314),
    [anon_sym_else] = ACTIONS(2314),
    [anon_sym_switch] = ACTIONS(2314),
    [anon_sym_while] = ACTIONS(2314),
    [anon_sym_do] = ACTIONS(2314),
    [anon_sym_for] = ACTIONS(2314),
    [anon_sym_return] = ACTIONS(2314),
    [anon_sym_break] = ACTIONS(2314),
    [anon_sym_continue] = ACTIONS(2314),
    [anon_sym_goto] = ACTIONS(2314),
    [anon_sym___try] = ACTIONS(2314),
    [anon_sym___leave] = ACTIONS(2314),
    [anon_sym_not] = ACTIONS(2314),
    [anon_sym_compl] = ACTIONS(2314),
    [anon_sym_DASH_DASH] = ACTIONS(2316),
    [anon_sym_PLUS_PLUS] = ACTIONS(2316),
    [anon_sym_sizeof] = ACTIONS(2314),
    [anon_sym___alignof__] = ACTIONS(2314),
    [anon_sym___alignof] = ACTIONS(2314),
    [anon_sym__alignof] = ACTIONS(2314),
    [anon_sym_alignof] = ACTIONS(2314),
    [anon_sym__Alignof] = ACTIONS(2314),
    [anon_sym_offsetof] = ACTIONS(2314),
    [anon_sym__Generic] = ACTIONS(2314),
    [anon_sym_asm] = ACTIONS(2314),
    [anon_sym___asm__] = ACTIONS(2314),
    [sym_number_literal] = ACTIONS(2316),
    [anon_sym_L_SQUOTE] = ACTIONS(2316),
    [anon_sym_u_SQUOTE] = ACTIONS(2316),
    [anon_sym_U_SQUOTE] = ACTIONS(2316),
    [anon_sym_u8_SQUOTE] = ACTIONS(2316),
    [anon_sym_SQUOTE] = ACTIONS(2316),
    [anon_sym_L_DQUOTE] = ACTIONS(2316),
    [anon_sym_u_DQUOTE] = ACTIONS(2316),
    [anon_sym_U_DQUOTE] = ACTIONS(2316),
    [anon_sym_u8_DQUOTE] = ACTIONS(2316),
    [anon_sym_DQUOTE] = ACTIONS(2316),
    [sym_true] = ACTIONS(2314),
    [sym_false] = ACTIONS(2314),
    [anon_sym_NULL] = ACTIONS(2314),
    [anon_sym_nullptr] = ACTIONS(2314),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2314),
    [anon_sym_decltype] = ACTIONS(2314),
    [anon_sym_virtual] = ACTIONS(2314),
    [anon_sym_alignas] = ACTIONS(2314),
    [anon_sym_typename] = ACTIONS(2314),
    [anon_sym_template] = ACTIONS(2314),
    [anon_sym_try] = ACTIONS(2314),
    [anon_sym_delete] = ACTIONS(2314),
    [anon_sym_throw] = ACTIONS(2314),
    [anon_sym_co_return] = ACTIONS(2314),
    [anon_sym_co_yield] = ACTIONS(2314),
    [anon_sym_catch] = ACTIONS(2314),
    [anon_sym_R_DQUOTE] = ACTIONS(2316),
    [anon_sym_LR_DQUOTE] = ACTIONS(2316),
    [anon_sym_uR_DQUOTE] = ACTIONS(2316),
    [anon_sym_UR_DQUOTE] = ACTIONS(2316),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2316),
    [anon_sym_co_await] = ACTIONS(2314),
    [anon_sym_new] = ACTIONS(2314),
    [anon_sym_requires] = ACTIONS(2314),
    [sym_this] = ACTIONS(2314),
    [anon_sym_discard] = ACTIONS(2314),
    [anon_sym_precise] = ACTIONS(2314),
    [anon_sym_shared] = ACTIONS(2314),
    [anon_sym_groupshared] = ACTIONS(2314),
    [anon_sym_uniform] = ACTIONS(2314),
    [anon_sym_row_major] = ACTIONS(2314),
    [anon_sym_column_major] = ACTIONS(2314),
    [anon_sym_globallycoherent] = ACTIONS(2314),
    [anon_sym_centroid] = ACTIONS(2314),
    [anon_sym_noperspective] = ACTIONS(2314),
    [anon_sym_nointerpolation] = ACTIONS(2314),
    [anon_sym_sample] = ACTIONS(2314),
    [anon_sym_linear] = ACTIONS(2314),
    [anon_sym_snorm] = ACTIONS(2314),
    [anon_sym_unorm] = ACTIONS(2314),
    [anon_sym_point] = ACTIONS(2314),
    [anon_sym_line] = ACTIONS(2314),
    [anon_sym_triangleadj] = ACTIONS(2314),
    [anon_sym_lineadj] = ACTIONS(2314),
    [anon_sym_triangle] = ACTIONS(2314),
    [anon_sym_cbuffer] = ACTIONS(2314),
  },
  [1484] = {
    [sym_type_qualifier] = STATE(5199),
    [sym__type_specifier] = STATE(6115),
    [sym_sized_type_specifier] = STATE(4043),
    [sym_enum_specifier] = STATE(4043),
    [sym_struct_specifier] = STATE(4043),
    [sym_union_specifier] = STATE(4043),
    [sym__expression] = STATE(5596),
    [sym__expression_not_binary] = STATE(6001),
    [sym__string] = STATE(6001),
    [sym_conditional_expression] = STATE(6001),
    [sym_assignment_expression] = STATE(6001),
    [sym_pointer_expression] = STATE(4807),
    [sym_unary_expression] = STATE(6001),
    [sym_binary_expression] = STATE(6001),
    [sym_update_expression] = STATE(6001),
    [sym_cast_expression] = STATE(6001),
    [sym_type_descriptor] = STATE(8266),
    [sym_sizeof_expression] = STATE(6001),
    [sym_alignof_expression] = STATE(6001),
    [sym_offsetof_expression] = STATE(6001),
    [sym_generic_expression] = STATE(6001),
    [sym_subscript_expression] = STATE(4807),
    [sym_call_expression] = STATE(4807),
    [sym_gnu_asm_expression] = STATE(6001),
    [sym_field_expression] = STATE(4807),
    [sym_compound_literal_expression] = STATE(6001),
    [sym_parenthesized_expression] = STATE(4807),
    [sym_char_literal] = STATE(5842),
    [sym_concatenated_string] = STATE(5845),
    [sym_string_literal] = STATE(4864),
    [sym_null] = STATE(6001),
    [sym_placeholder_type_specifier] = STATE(4043),
    [sym_decltype_auto] = STATE(4013),
    [sym_decltype] = STATE(3955),
    [sym_class_specifier] = STATE(4043),
    [sym__class_name] = STATE(8975),
    [sym_dependent_type] = STATE(4043),
    [sym_template_type] = STATE(6654),
    [sym_template_function] = STATE(6001),
    [sym_raw_string_literal] = STATE(4865),
    [sym_co_await_expression] = STATE(6001),
    [sym_new_expression] = STATE(6001),
    [sym_delete_expression] = STATE(6001),
    [sym_requires_clause] = STATE(6001),
    [sym_requires_expression] = STATE(6001),
    [sym_lambda_expression] = STATE(6001),
    [sym_lambda_capture_specifier] = STATE(7123),
    [sym_fold_expression] = STATE(6001),
    [sym_parameter_pack_expansion] = STATE(6001),
    [sym_type_parameter_pack_expansion] = STATE(8731),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6903),
    [sym_qualified_identifier] = STATE(4807),
    [sym_qualified_type_identifier] = STATE(6699),
    [sym_user_defined_literal] = STATE(4807),
    [aux_sym__type_definition_type_repeat1] = STATE(5199),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3494),
    [sym_identifier] = ACTIONS(4253),
    [anon_sym_LPAREN2] = ACTIONS(4255),
    [anon_sym_BANG] = ACTIONS(4257),
    [anon_sym_TILDE] = ACTIONS(4257),
    [anon_sym_DASH] = ACTIONS(4259),
    [anon_sym_PLUS] = ACTIONS(4259),
    [anon_sym_STAR] = ACTIONS(4261),
    [anon_sym_AMP] = ACTIONS(4261),
    [anon_sym___extension__] = ACTIONS(63),
    [anon_sym_COLON_COLON] = ACTIONS(4263),
    [anon_sym_signed] = ACTIONS(4265),
    [anon_sym_unsigned] = ACTIONS(4265),
    [anon_sym_long] = ACTIONS(4265),
    [anon_sym_short] = ACTIONS(4265),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(4267),
    [anon_sym_enum] = ACTIONS(4269),
    [anon_sym_class] = ACTIONS(4271),
    [anon_sym_struct] = ACTIONS(4273),
    [anon_sym_union] = ACTIONS(4275),
    [anon_sym_not] = ACTIONS(4259),
    [anon_sym_compl] = ACTIONS(4259),
    [anon_sym_DASH_DASH] = ACTIONS(4277),
    [anon_sym_PLUS_PLUS] = ACTIONS(4277),
    [anon_sym_sizeof] = ACTIONS(4279),
    [anon_sym___alignof__] = ACTIONS(4281),
    [anon_sym___alignof] = ACTIONS(4281),
    [anon_sym__alignof] = ACTIONS(4281),
    [anon_sym_alignof] = ACTIONS(4281),
    [anon_sym__Alignof] = ACTIONS(4281),
    [anon_sym_offsetof] = ACTIONS(4283),
    [anon_sym__Generic] = ACTIONS(4285),
    [anon_sym_asm] = ACTIONS(4287),
    [anon_sym___asm__] = ACTIONS(4287),
    [sym_number_literal] = ACTIONS(4289),
    [anon_sym_L_SQUOTE] = ACTIONS(4291),
    [anon_sym_u_SQUOTE] = ACTIONS(4291),
    [anon_sym_U_SQUOTE] = ACTIONS(4291),
    [anon_sym_u8_SQUOTE] = ACTIONS(4291),
    [anon_sym_SQUOTE] = ACTIONS(4291),
    [anon_sym_L_DQUOTE] = ACTIONS(4293),
    [anon_sym_u_DQUOTE] = ACTIONS(4293),
    [anon_sym_U_DQUOTE] = ACTIONS(4293),
    [anon_sym_u8_DQUOTE] = ACTIONS(4293),
    [anon_sym_DQUOTE] = ACTIONS(4293),
    [sym_true] = ACTIONS(4295),
    [sym_false] = ACTIONS(4295),
    [anon_sym_NULL] = ACTIONS(4297),
    [anon_sym_nullptr] = ACTIONS(4297),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4299),
    [anon_sym_decltype] = ACTIONS(4301),
    [anon_sym_typename] = ACTIONS(4303),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_GT2] = ACTIONS(4317),
    [anon_sym_delete] = ACTIONS(4307),
    [anon_sym_R_DQUOTE] = ACTIONS(4309),
    [anon_sym_LR_DQUOTE] = ACTIONS(4309),
    [anon_sym_uR_DQUOTE] = ACTIONS(4309),
    [anon_sym_UR_DQUOTE] = ACTIONS(4309),
    [anon_sym_u8R_DQUOTE] = ACTIONS(4309),
    [anon_sym_co_await] = ACTIONS(4311),
    [anon_sym_new] = ACTIONS(4313),
    [anon_sym_requires] = ACTIONS(4315),
    [sym_this] = ACTIONS(4295),
  },
  [1485] = {
    [sym_type_qualifier] = STATE(5199),
    [sym__type_specifier] = STATE(6115),
    [sym_sized_type_specifier] = STATE(4043),
    [sym_enum_specifier] = STATE(4043),
    [sym_struct_specifier] = STATE(4043),
    [sym_union_specifier] = STATE(4043),
    [sym__expression] = STATE(5526),
    [sym__expression_not_binary] = STATE(6001),
    [sym__string] = STATE(6001),
    [sym_conditional_expression] = STATE(6001),
    [sym_assignment_expression] = STATE(6001),
    [sym_pointer_expression] = STATE(4807),
    [sym_unary_expression] = STATE(6001),
    [sym_binary_expression] = STATE(6001),
    [sym_update_expression] = STATE(6001),
    [sym_cast_expression] = STATE(6001),
    [sym_type_descriptor] = STATE(8155),
    [sym_sizeof_expression] = STATE(6001),
    [sym_alignof_expression] = STATE(6001),
    [sym_offsetof_expression] = STATE(6001),
    [sym_generic_expression] = STATE(6001),
    [sym_subscript_expression] = STATE(4807),
    [sym_call_expression] = STATE(4807),
    [sym_gnu_asm_expression] = STATE(6001),
    [sym_field_expression] = STATE(4807),
    [sym_compound_literal_expression] = STATE(6001),
    [sym_parenthesized_expression] = STATE(4807),
    [sym_char_literal] = STATE(5842),
    [sym_concatenated_string] = STATE(5845),
    [sym_string_literal] = STATE(4864),
    [sym_null] = STATE(6001),
    [sym_placeholder_type_specifier] = STATE(4043),
    [sym_decltype_auto] = STATE(4013),
    [sym_decltype] = STATE(3955),
    [sym_class_specifier] = STATE(4043),
    [sym__class_name] = STATE(8975),
    [sym_dependent_type] = STATE(4043),
    [sym_template_type] = STATE(6654),
    [sym_template_function] = STATE(6001),
    [sym_raw_string_literal] = STATE(4865),
    [sym_co_await_expression] = STATE(6001),
    [sym_new_expression] = STATE(6001),
    [sym_delete_expression] = STATE(6001),
    [sym_requires_clause] = STATE(6001),
    [sym_requires_expression] = STATE(6001),
    [sym_lambda_expression] = STATE(6001),
    [sym_lambda_capture_specifier] = STATE(7123),
    [sym_fold_expression] = STATE(6001),
    [sym_parameter_pack_expansion] = STATE(6001),
    [sym_type_parameter_pack_expansion] = STATE(8862),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6903),
    [sym_qualified_identifier] = STATE(4807),
    [sym_qualified_type_identifier] = STATE(6699),
    [sym_user_defined_literal] = STATE(4807),
    [aux_sym__type_definition_type_repeat1] = STATE(5199),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3494),
    [sym_identifier] = ACTIONS(4253),
    [anon_sym_LPAREN2] = ACTIONS(4255),
    [anon_sym_BANG] = ACTIONS(4257),
    [anon_sym_TILDE] = ACTIONS(4257),
    [anon_sym_DASH] = ACTIONS(4259),
    [anon_sym_PLUS] = ACTIONS(4259),
    [anon_sym_STAR] = ACTIONS(4261),
    [anon_sym_AMP] = ACTIONS(4261),
    [anon_sym___extension__] = ACTIONS(63),
    [anon_sym_COLON_COLON] = ACTIONS(4263),
    [anon_sym_signed] = ACTIONS(4265),
    [anon_sym_unsigned] = ACTIONS(4265),
    [anon_sym_long] = ACTIONS(4265),
    [anon_sym_short] = ACTIONS(4265),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(4267),
    [anon_sym_enum] = ACTIONS(4269),
    [anon_sym_class] = ACTIONS(4271),
    [anon_sym_struct] = ACTIONS(4273),
    [anon_sym_union] = ACTIONS(4275),
    [anon_sym_not] = ACTIONS(4259),
    [anon_sym_compl] = ACTIONS(4259),
    [anon_sym_DASH_DASH] = ACTIONS(4277),
    [anon_sym_PLUS_PLUS] = ACTIONS(4277),
    [anon_sym_sizeof] = ACTIONS(4279),
    [anon_sym___alignof__] = ACTIONS(4281),
    [anon_sym___alignof] = ACTIONS(4281),
    [anon_sym__alignof] = ACTIONS(4281),
    [anon_sym_alignof] = ACTIONS(4281),
    [anon_sym__Alignof] = ACTIONS(4281),
    [anon_sym_offsetof] = ACTIONS(4283),
    [anon_sym__Generic] = ACTIONS(4285),
    [anon_sym_asm] = ACTIONS(4287),
    [anon_sym___asm__] = ACTIONS(4287),
    [sym_number_literal] = ACTIONS(4289),
    [anon_sym_L_SQUOTE] = ACTIONS(4291),
    [anon_sym_u_SQUOTE] = ACTIONS(4291),
    [anon_sym_U_SQUOTE] = ACTIONS(4291),
    [anon_sym_u8_SQUOTE] = ACTIONS(4291),
    [anon_sym_SQUOTE] = ACTIONS(4291),
    [anon_sym_L_DQUOTE] = ACTIONS(4293),
    [anon_sym_u_DQUOTE] = ACTIONS(4293),
    [anon_sym_U_DQUOTE] = ACTIONS(4293),
    [anon_sym_u8_DQUOTE] = ACTIONS(4293),
    [anon_sym_DQUOTE] = ACTIONS(4293),
    [sym_true] = ACTIONS(4295),
    [sym_false] = ACTIONS(4295),
    [anon_sym_NULL] = ACTIONS(4297),
    [anon_sym_nullptr] = ACTIONS(4297),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4299),
    [anon_sym_decltype] = ACTIONS(4301),
    [anon_sym_typename] = ACTIONS(4303),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_GT2] = ACTIONS(4319),
    [anon_sym_delete] = ACTIONS(4307),
    [anon_sym_R_DQUOTE] = ACTIONS(4309),
    [anon_sym_LR_DQUOTE] = ACTIONS(4309),
    [anon_sym_uR_DQUOTE] = ACTIONS(4309),
    [anon_sym_UR_DQUOTE] = ACTIONS(4309),
    [anon_sym_u8R_DQUOTE] = ACTIONS(4309),
    [anon_sym_co_await] = ACTIONS(4311),
    [anon_sym_new] = ACTIONS(4313),
    [anon_sym_requires] = ACTIONS(4315),
    [sym_this] = ACTIONS(4295),
  },
  [1486] = {
    [sym_string_literal] = STATE(3682),
    [sym_template_argument_list] = STATE(1799),
    [sym_raw_string_literal] = STATE(3682),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3027),
    [sym_identifier] = ACTIONS(4211),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4213),
    [anon_sym_COMMA] = ACTIONS(4213),
    [anon_sym_LPAREN2] = ACTIONS(4215),
    [anon_sym_TILDE] = ACTIONS(4219),
    [anon_sym_DASH] = ACTIONS(4221),
    [anon_sym_PLUS] = ACTIONS(4221),
    [anon_sym_STAR] = ACTIONS(4223),
    [anon_sym_SLASH] = ACTIONS(4221),
    [anon_sym_PERCENT] = ACTIONS(4221),
    [anon_sym_PIPE_PIPE] = ACTIONS(4213),
    [anon_sym_AMP_AMP] = ACTIONS(4226),
    [anon_sym_PIPE] = ACTIONS(4221),
    [anon_sym_CARET] = ACTIONS(4221),
    [anon_sym_AMP] = ACTIONS(4223),
    [anon_sym_EQ_EQ] = ACTIONS(4213),
    [anon_sym_BANG_EQ] = ACTIONS(4213),
    [anon_sym_GT] = ACTIONS(4221),
    [anon_sym_GT_EQ] = ACTIONS(4213),
    [anon_sym_LT_EQ] = ACTIONS(4221),
    [anon_sym_LT] = ACTIONS(4229),
    [anon_sym_LT_LT] = ACTIONS(4221),
    [anon_sym_GT_GT] = ACTIONS(4221),
    [anon_sym_COLON] = ACTIONS(4321),
    [anon_sym_SEMI] = ACTIONS(4226),
    [anon_sym___extension__] = ACTIONS(4211),
    [anon_sym_in] = ACTIONS(4211),
    [anon_sym_out] = ACTIONS(4211),
    [anon_sym_inout] = ACTIONS(4211),
    [anon_sym_extern] = ACTIONS(4211),
    [anon_sym___attribute__] = ACTIONS(4211),
    [anon_sym_COLON_COLON] = ACTIONS(2230),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4234),
    [anon_sym___declspec] = ACTIONS(4211),
    [anon_sym___based] = ACTIONS(4211),
    [anon_sym___cdecl] = ACTIONS(4211),
    [anon_sym___clrcall] = ACTIONS(4211),
    [anon_sym___stdcall] = ACTIONS(4211),
    [anon_sym___fastcall] = ACTIONS(4211),
    [anon_sym___thiscall] = ACTIONS(4211),
    [anon_sym___vectorcall] = ACTIONS(4211),
    [anon_sym_LBRACE] = ACTIONS(2226),
    [anon_sym_signed] = ACTIONS(4237),
    [anon_sym_unsigned] = ACTIONS(4237),
    [anon_sym_long] = ACTIONS(4237),
    [anon_sym_short] = ACTIONS(4237),
    [anon_sym_LBRACK] = ACTIONS(4239),
    [anon_sym_EQ] = ACTIONS(4243),
    [anon_sym_static] = ACTIONS(4211),
    [anon_sym_register] = ACTIONS(4211),
    [anon_sym_inline] = ACTIONS(4211),
    [anon_sym___inline] = ACTIONS(4211),
    [anon_sym___inline__] = ACTIONS(4211),
    [anon_sym___forceinline] = ACTIONS(4211),
    [anon_sym_thread_local] = ACTIONS(4211),
    [anon_sym___thread] = ACTIONS(4211),
    [anon_sym_const] = ACTIONS(4211),
    [anon_sym_constexpr] = ACTIONS(4211),
    [anon_sym_volatile] = ACTIONS(4211),
    [anon_sym_restrict] = ACTIONS(4211),
    [anon_sym___restrict__] = ACTIONS(4211),
    [anon_sym__Atomic] = ACTIONS(4211),
    [anon_sym__Noreturn] = ACTIONS(4211),
    [anon_sym_noreturn] = ACTIONS(4211),
    [anon_sym_mutable] = ACTIONS(4211),
    [anon_sym_constinit] = ACTIONS(4211),
    [anon_sym_consteval] = ACTIONS(4211),
    [anon_sym_QMARK] = ACTIONS(4213),
    [anon_sym_STAR_EQ] = ACTIONS(4245),
    [anon_sym_SLASH_EQ] = ACTIONS(4245),
    [anon_sym_PERCENT_EQ] = ACTIONS(4245),
    [anon_sym_PLUS_EQ] = ACTIONS(4245),
    [anon_sym_DASH_EQ] = ACTIONS(4245),
    [anon_sym_LT_LT_EQ] = ACTIONS(4245),
    [anon_sym_GT_GT_EQ] = ACTIONS(4245),
    [anon_sym_AMP_EQ] = ACTIONS(4245),
    [anon_sym_CARET_EQ] = ACTIONS(4245),
    [anon_sym_PIPE_EQ] = ACTIONS(4245),
    [anon_sym_and_eq] = ACTIONS(4243),
    [anon_sym_or_eq] = ACTIONS(4243),
    [anon_sym_xor_eq] = ACTIONS(4243),
    [anon_sym_LT_EQ_GT] = ACTIONS(4213),
    [anon_sym_or] = ACTIONS(4221),
    [anon_sym_and] = ACTIONS(4221),
    [anon_sym_bitor] = ACTIONS(4221),
    [anon_sym_xor] = ACTIONS(4221),
    [anon_sym_bitand] = ACTIONS(4221),
    [anon_sym_not_eq] = ACTIONS(4221),
    [anon_sym_DASH_DASH] = ACTIONS(4213),
    [anon_sym_PLUS_PLUS] = ACTIONS(4213),
    [anon_sym_DOT] = ACTIONS(4221),
    [anon_sym_DOT_STAR] = ACTIONS(4213),
    [anon_sym_DASH_GT] = ACTIONS(4213),
    [anon_sym_L_DQUOTE] = ACTIONS(4247),
    [anon_sym_u_DQUOTE] = ACTIONS(4247),
    [anon_sym_U_DQUOTE] = ACTIONS(4247),
    [anon_sym_u8_DQUOTE] = ACTIONS(4247),
    [anon_sym_DQUOTE] = ACTIONS(4247),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4211),
    [anon_sym_decltype] = ACTIONS(4211),
    [anon_sym_virtual] = ACTIONS(4211),
    [anon_sym_alignas] = ACTIONS(4211),
    [anon_sym_template] = ACTIONS(4211),
    [anon_sym_operator] = ACTIONS(4211),
    [anon_sym_R_DQUOTE] = ACTIONS(4249),
    [anon_sym_LR_DQUOTE] = ACTIONS(4249),
    [anon_sym_uR_DQUOTE] = ACTIONS(4249),
    [anon_sym_UR_DQUOTE] = ACTIONS(4249),
    [anon_sym_u8R_DQUOTE] = ACTIONS(4249),
    [anon_sym_precise] = ACTIONS(4211),
    [anon_sym_shared] = ACTIONS(4211),
    [anon_sym_groupshared] = ACTIONS(4211),
    [anon_sym_uniform] = ACTIONS(4211),
    [anon_sym_row_major] = ACTIONS(4211),
    [anon_sym_column_major] = ACTIONS(4211),
    [anon_sym_globallycoherent] = ACTIONS(4211),
    [anon_sym_centroid] = ACTIONS(4211),
    [anon_sym_noperspective] = ACTIONS(4211),
    [anon_sym_nointerpolation] = ACTIONS(4211),
    [anon_sym_sample] = ACTIONS(4211),
    [anon_sym_linear] = ACTIONS(4211),
    [anon_sym_snorm] = ACTIONS(4211),
    [anon_sym_unorm] = ACTIONS(4211),
    [anon_sym_point] = ACTIONS(4211),
    [anon_sym_line] = ACTIONS(4211),
    [anon_sym_triangleadj] = ACTIONS(4211),
    [anon_sym_lineadj] = ACTIONS(4211),
    [anon_sym_triangle] = ACTIONS(4211),
  },
  [1487] = {
    [sym_string_literal] = STATE(3682),
    [sym_template_argument_list] = STATE(1799),
    [sym_raw_string_literal] = STATE(3682),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3027),
    [sym_identifier] = ACTIONS(4211),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4213),
    [anon_sym_COMMA] = ACTIONS(4213),
    [anon_sym_LPAREN2] = ACTIONS(4215),
    [anon_sym_TILDE] = ACTIONS(4219),
    [anon_sym_DASH] = ACTIONS(4221),
    [anon_sym_PLUS] = ACTIONS(4221),
    [anon_sym_STAR] = ACTIONS(4223),
    [anon_sym_SLASH] = ACTIONS(4221),
    [anon_sym_PERCENT] = ACTIONS(4221),
    [anon_sym_PIPE_PIPE] = ACTIONS(4213),
    [anon_sym_AMP_AMP] = ACTIONS(4226),
    [anon_sym_PIPE] = ACTIONS(4221),
    [anon_sym_CARET] = ACTIONS(4221),
    [anon_sym_AMP] = ACTIONS(4223),
    [anon_sym_EQ_EQ] = ACTIONS(4213),
    [anon_sym_BANG_EQ] = ACTIONS(4213),
    [anon_sym_GT] = ACTIONS(4221),
    [anon_sym_GT_EQ] = ACTIONS(4213),
    [anon_sym_LT_EQ] = ACTIONS(4221),
    [anon_sym_LT] = ACTIONS(4229),
    [anon_sym_LT_LT] = ACTIONS(4221),
    [anon_sym_GT_GT] = ACTIONS(4221),
    [anon_sym_COLON] = ACTIONS(4323),
    [anon_sym_SEMI] = ACTIONS(4226),
    [anon_sym___extension__] = ACTIONS(4211),
    [anon_sym_in] = ACTIONS(4211),
    [anon_sym_out] = ACTIONS(4211),
    [anon_sym_inout] = ACTIONS(4211),
    [anon_sym_extern] = ACTIONS(4211),
    [anon_sym___attribute__] = ACTIONS(4211),
    [anon_sym_COLON_COLON] = ACTIONS(2230),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4234),
    [anon_sym___declspec] = ACTIONS(4211),
    [anon_sym___based] = ACTIONS(4211),
    [anon_sym___cdecl] = ACTIONS(4211),
    [anon_sym___clrcall] = ACTIONS(4211),
    [anon_sym___stdcall] = ACTIONS(4211),
    [anon_sym___fastcall] = ACTIONS(4211),
    [anon_sym___thiscall] = ACTIONS(4211),
    [anon_sym___vectorcall] = ACTIONS(4211),
    [anon_sym_LBRACE] = ACTIONS(2226),
    [anon_sym_signed] = ACTIONS(4237),
    [anon_sym_unsigned] = ACTIONS(4237),
    [anon_sym_long] = ACTIONS(4237),
    [anon_sym_short] = ACTIONS(4237),
    [anon_sym_LBRACK] = ACTIONS(4239),
    [anon_sym_EQ] = ACTIONS(4243),
    [anon_sym_static] = ACTIONS(4211),
    [anon_sym_register] = ACTIONS(4211),
    [anon_sym_inline] = ACTIONS(4211),
    [anon_sym___inline] = ACTIONS(4211),
    [anon_sym___inline__] = ACTIONS(4211),
    [anon_sym___forceinline] = ACTIONS(4211),
    [anon_sym_thread_local] = ACTIONS(4211),
    [anon_sym___thread] = ACTIONS(4211),
    [anon_sym_const] = ACTIONS(4211),
    [anon_sym_constexpr] = ACTIONS(4211),
    [anon_sym_volatile] = ACTIONS(4211),
    [anon_sym_restrict] = ACTIONS(4211),
    [anon_sym___restrict__] = ACTIONS(4211),
    [anon_sym__Atomic] = ACTIONS(4211),
    [anon_sym__Noreturn] = ACTIONS(4211),
    [anon_sym_noreturn] = ACTIONS(4211),
    [anon_sym_mutable] = ACTIONS(4211),
    [anon_sym_constinit] = ACTIONS(4211),
    [anon_sym_consteval] = ACTIONS(4211),
    [anon_sym_QMARK] = ACTIONS(4213),
    [anon_sym_STAR_EQ] = ACTIONS(4245),
    [anon_sym_SLASH_EQ] = ACTIONS(4245),
    [anon_sym_PERCENT_EQ] = ACTIONS(4245),
    [anon_sym_PLUS_EQ] = ACTIONS(4245),
    [anon_sym_DASH_EQ] = ACTIONS(4245),
    [anon_sym_LT_LT_EQ] = ACTIONS(4245),
    [anon_sym_GT_GT_EQ] = ACTIONS(4245),
    [anon_sym_AMP_EQ] = ACTIONS(4245),
    [anon_sym_CARET_EQ] = ACTIONS(4245),
    [anon_sym_PIPE_EQ] = ACTIONS(4245),
    [anon_sym_and_eq] = ACTIONS(4243),
    [anon_sym_or_eq] = ACTIONS(4243),
    [anon_sym_xor_eq] = ACTIONS(4243),
    [anon_sym_LT_EQ_GT] = ACTIONS(4213),
    [anon_sym_or] = ACTIONS(4221),
    [anon_sym_and] = ACTIONS(4221),
    [anon_sym_bitor] = ACTIONS(4221),
    [anon_sym_xor] = ACTIONS(4221),
    [anon_sym_bitand] = ACTIONS(4221),
    [anon_sym_not_eq] = ACTIONS(4221),
    [anon_sym_DASH_DASH] = ACTIONS(4213),
    [anon_sym_PLUS_PLUS] = ACTIONS(4213),
    [anon_sym_DOT] = ACTIONS(4221),
    [anon_sym_DOT_STAR] = ACTIONS(4213),
    [anon_sym_DASH_GT] = ACTIONS(4213),
    [anon_sym_L_DQUOTE] = ACTIONS(4247),
    [anon_sym_u_DQUOTE] = ACTIONS(4247),
    [anon_sym_U_DQUOTE] = ACTIONS(4247),
    [anon_sym_u8_DQUOTE] = ACTIONS(4247),
    [anon_sym_DQUOTE] = ACTIONS(4247),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4211),
    [anon_sym_decltype] = ACTIONS(4211),
    [anon_sym_virtual] = ACTIONS(4211),
    [anon_sym_alignas] = ACTIONS(4211),
    [anon_sym_template] = ACTIONS(4211),
    [anon_sym_operator] = ACTIONS(4211),
    [anon_sym_R_DQUOTE] = ACTIONS(4249),
    [anon_sym_LR_DQUOTE] = ACTIONS(4249),
    [anon_sym_uR_DQUOTE] = ACTIONS(4249),
    [anon_sym_UR_DQUOTE] = ACTIONS(4249),
    [anon_sym_u8R_DQUOTE] = ACTIONS(4249),
    [anon_sym_precise] = ACTIONS(4211),
    [anon_sym_shared] = ACTIONS(4211),
    [anon_sym_groupshared] = ACTIONS(4211),
    [anon_sym_uniform] = ACTIONS(4211),
    [anon_sym_row_major] = ACTIONS(4211),
    [anon_sym_column_major] = ACTIONS(4211),
    [anon_sym_globallycoherent] = ACTIONS(4211),
    [anon_sym_centroid] = ACTIONS(4211),
    [anon_sym_noperspective] = ACTIONS(4211),
    [anon_sym_nointerpolation] = ACTIONS(4211),
    [anon_sym_sample] = ACTIONS(4211),
    [anon_sym_linear] = ACTIONS(4211),
    [anon_sym_snorm] = ACTIONS(4211),
    [anon_sym_unorm] = ACTIONS(4211),
    [anon_sym_point] = ACTIONS(4211),
    [anon_sym_line] = ACTIONS(4211),
    [anon_sym_triangleadj] = ACTIONS(4211),
    [anon_sym_lineadj] = ACTIONS(4211),
    [anon_sym_triangle] = ACTIONS(4211),
  },
  [1488] = {
    [sym_type_qualifier] = STATE(5199),
    [sym__type_specifier] = STATE(6115),
    [sym_sized_type_specifier] = STATE(4043),
    [sym_enum_specifier] = STATE(4043),
    [sym_struct_specifier] = STATE(4043),
    [sym_union_specifier] = STATE(4043),
    [sym__expression] = STATE(5532),
    [sym__expression_not_binary] = STATE(6001),
    [sym__string] = STATE(6001),
    [sym_conditional_expression] = STATE(6001),
    [sym_assignment_expression] = STATE(6001),
    [sym_pointer_expression] = STATE(4807),
    [sym_unary_expression] = STATE(6001),
    [sym_binary_expression] = STATE(6001),
    [sym_update_expression] = STATE(6001),
    [sym_cast_expression] = STATE(6001),
    [sym_type_descriptor] = STATE(8177),
    [sym_sizeof_expression] = STATE(6001),
    [sym_alignof_expression] = STATE(6001),
    [sym_offsetof_expression] = STATE(6001),
    [sym_generic_expression] = STATE(6001),
    [sym_subscript_expression] = STATE(4807),
    [sym_call_expression] = STATE(4807),
    [sym_gnu_asm_expression] = STATE(6001),
    [sym_field_expression] = STATE(4807),
    [sym_compound_literal_expression] = STATE(6001),
    [sym_parenthesized_expression] = STATE(4807),
    [sym_char_literal] = STATE(5842),
    [sym_concatenated_string] = STATE(5845),
    [sym_string_literal] = STATE(4864),
    [sym_null] = STATE(6001),
    [sym_placeholder_type_specifier] = STATE(4043),
    [sym_decltype_auto] = STATE(4013),
    [sym_decltype] = STATE(3955),
    [sym_class_specifier] = STATE(4043),
    [sym__class_name] = STATE(8975),
    [sym_dependent_type] = STATE(4043),
    [sym_template_type] = STATE(6654),
    [sym_template_function] = STATE(6001),
    [sym_raw_string_literal] = STATE(4865),
    [sym_co_await_expression] = STATE(6001),
    [sym_new_expression] = STATE(6001),
    [sym_delete_expression] = STATE(6001),
    [sym_requires_clause] = STATE(6001),
    [sym_requires_expression] = STATE(6001),
    [sym_lambda_expression] = STATE(6001),
    [sym_lambda_capture_specifier] = STATE(7123),
    [sym_fold_expression] = STATE(6001),
    [sym_parameter_pack_expansion] = STATE(6001),
    [sym_type_parameter_pack_expansion] = STATE(8942),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6903),
    [sym_qualified_identifier] = STATE(4807),
    [sym_qualified_type_identifier] = STATE(6699),
    [sym_user_defined_literal] = STATE(4807),
    [aux_sym__type_definition_type_repeat1] = STATE(5199),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3494),
    [sym_identifier] = ACTIONS(4253),
    [anon_sym_LPAREN2] = ACTIONS(4255),
    [anon_sym_BANG] = ACTIONS(4257),
    [anon_sym_TILDE] = ACTIONS(4257),
    [anon_sym_DASH] = ACTIONS(4259),
    [anon_sym_PLUS] = ACTIONS(4259),
    [anon_sym_STAR] = ACTIONS(4261),
    [anon_sym_AMP] = ACTIONS(4261),
    [anon_sym___extension__] = ACTIONS(63),
    [anon_sym_COLON_COLON] = ACTIONS(4263),
    [anon_sym_signed] = ACTIONS(4265),
    [anon_sym_unsigned] = ACTIONS(4265),
    [anon_sym_long] = ACTIONS(4265),
    [anon_sym_short] = ACTIONS(4265),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(4267),
    [anon_sym_enum] = ACTIONS(4269),
    [anon_sym_class] = ACTIONS(4271),
    [anon_sym_struct] = ACTIONS(4273),
    [anon_sym_union] = ACTIONS(4275),
    [anon_sym_not] = ACTIONS(4259),
    [anon_sym_compl] = ACTIONS(4259),
    [anon_sym_DASH_DASH] = ACTIONS(4277),
    [anon_sym_PLUS_PLUS] = ACTIONS(4277),
    [anon_sym_sizeof] = ACTIONS(4279),
    [anon_sym___alignof__] = ACTIONS(4281),
    [anon_sym___alignof] = ACTIONS(4281),
    [anon_sym__alignof] = ACTIONS(4281),
    [anon_sym_alignof] = ACTIONS(4281),
    [anon_sym__Alignof] = ACTIONS(4281),
    [anon_sym_offsetof] = ACTIONS(4283),
    [anon_sym__Generic] = ACTIONS(4285),
    [anon_sym_asm] = ACTIONS(4287),
    [anon_sym___asm__] = ACTIONS(4287),
    [sym_number_literal] = ACTIONS(4289),
    [anon_sym_L_SQUOTE] = ACTIONS(4291),
    [anon_sym_u_SQUOTE] = ACTIONS(4291),
    [anon_sym_U_SQUOTE] = ACTIONS(4291),
    [anon_sym_u8_SQUOTE] = ACTIONS(4291),
    [anon_sym_SQUOTE] = ACTIONS(4291),
    [anon_sym_L_DQUOTE] = ACTIONS(4293),
    [anon_sym_u_DQUOTE] = ACTIONS(4293),
    [anon_sym_U_DQUOTE] = ACTIONS(4293),
    [anon_sym_u8_DQUOTE] = ACTIONS(4293),
    [anon_sym_DQUOTE] = ACTIONS(4293),
    [sym_true] = ACTIONS(4295),
    [sym_false] = ACTIONS(4295),
    [anon_sym_NULL] = ACTIONS(4297),
    [anon_sym_nullptr] = ACTIONS(4297),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4299),
    [anon_sym_decltype] = ACTIONS(4301),
    [anon_sym_typename] = ACTIONS(4303),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_GT2] = ACTIONS(4325),
    [anon_sym_delete] = ACTIONS(4307),
    [anon_sym_R_DQUOTE] = ACTIONS(4309),
    [anon_sym_LR_DQUOTE] = ACTIONS(4309),
    [anon_sym_uR_DQUOTE] = ACTIONS(4309),
    [anon_sym_UR_DQUOTE] = ACTIONS(4309),
    [anon_sym_u8R_DQUOTE] = ACTIONS(4309),
    [anon_sym_co_await] = ACTIONS(4311),
    [anon_sym_new] = ACTIONS(4313),
    [anon_sym_requires] = ACTIONS(4315),
    [sym_this] = ACTIONS(4295),
  },
  [1489] = {
    [sym_type_qualifier] = STATE(5199),
    [sym__type_specifier] = STATE(6115),
    [sym_sized_type_specifier] = STATE(4043),
    [sym_enum_specifier] = STATE(4043),
    [sym_struct_specifier] = STATE(4043),
    [sym_union_specifier] = STATE(4043),
    [sym__expression] = STATE(5605),
    [sym__expression_not_binary] = STATE(6001),
    [sym__string] = STATE(6001),
    [sym_conditional_expression] = STATE(6001),
    [sym_assignment_expression] = STATE(6001),
    [sym_pointer_expression] = STATE(4807),
    [sym_unary_expression] = STATE(6001),
    [sym_binary_expression] = STATE(6001),
    [sym_update_expression] = STATE(6001),
    [sym_cast_expression] = STATE(6001),
    [sym_type_descriptor] = STATE(8322),
    [sym_sizeof_expression] = STATE(6001),
    [sym_alignof_expression] = STATE(6001),
    [sym_offsetof_expression] = STATE(6001),
    [sym_generic_expression] = STATE(6001),
    [sym_subscript_expression] = STATE(4807),
    [sym_call_expression] = STATE(4807),
    [sym_gnu_asm_expression] = STATE(6001),
    [sym_field_expression] = STATE(4807),
    [sym_compound_literal_expression] = STATE(6001),
    [sym_parenthesized_expression] = STATE(4807),
    [sym_char_literal] = STATE(5842),
    [sym_concatenated_string] = STATE(5845),
    [sym_string_literal] = STATE(4864),
    [sym_null] = STATE(6001),
    [sym_placeholder_type_specifier] = STATE(4043),
    [sym_decltype_auto] = STATE(4013),
    [sym_decltype] = STATE(3955),
    [sym_class_specifier] = STATE(4043),
    [sym__class_name] = STATE(8975),
    [sym_dependent_type] = STATE(4043),
    [sym_template_type] = STATE(6654),
    [sym_template_function] = STATE(6001),
    [sym_raw_string_literal] = STATE(4865),
    [sym_co_await_expression] = STATE(6001),
    [sym_new_expression] = STATE(6001),
    [sym_delete_expression] = STATE(6001),
    [sym_requires_clause] = STATE(6001),
    [sym_requires_expression] = STATE(6001),
    [sym_lambda_expression] = STATE(6001),
    [sym_lambda_capture_specifier] = STATE(7123),
    [sym_fold_expression] = STATE(6001),
    [sym_parameter_pack_expansion] = STATE(6001),
    [sym_type_parameter_pack_expansion] = STATE(8608),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6903),
    [sym_qualified_identifier] = STATE(4807),
    [sym_qualified_type_identifier] = STATE(6699),
    [sym_user_defined_literal] = STATE(4807),
    [aux_sym__type_definition_type_repeat1] = STATE(5199),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3494),
    [sym_identifier] = ACTIONS(4253),
    [anon_sym_LPAREN2] = ACTIONS(4255),
    [anon_sym_BANG] = ACTIONS(4257),
    [anon_sym_TILDE] = ACTIONS(4257),
    [anon_sym_DASH] = ACTIONS(4259),
    [anon_sym_PLUS] = ACTIONS(4259),
    [anon_sym_STAR] = ACTIONS(4261),
    [anon_sym_AMP] = ACTIONS(4261),
    [anon_sym___extension__] = ACTIONS(63),
    [anon_sym_COLON_COLON] = ACTIONS(4263),
    [anon_sym_signed] = ACTIONS(4265),
    [anon_sym_unsigned] = ACTIONS(4265),
    [anon_sym_long] = ACTIONS(4265),
    [anon_sym_short] = ACTIONS(4265),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(4267),
    [anon_sym_enum] = ACTIONS(4269),
    [anon_sym_class] = ACTIONS(4271),
    [anon_sym_struct] = ACTIONS(4273),
    [anon_sym_union] = ACTIONS(4275),
    [anon_sym_not] = ACTIONS(4259),
    [anon_sym_compl] = ACTIONS(4259),
    [anon_sym_DASH_DASH] = ACTIONS(4277),
    [anon_sym_PLUS_PLUS] = ACTIONS(4277),
    [anon_sym_sizeof] = ACTIONS(4279),
    [anon_sym___alignof__] = ACTIONS(4281),
    [anon_sym___alignof] = ACTIONS(4281),
    [anon_sym__alignof] = ACTIONS(4281),
    [anon_sym_alignof] = ACTIONS(4281),
    [anon_sym__Alignof] = ACTIONS(4281),
    [anon_sym_offsetof] = ACTIONS(4283),
    [anon_sym__Generic] = ACTIONS(4285),
    [anon_sym_asm] = ACTIONS(4287),
    [anon_sym___asm__] = ACTIONS(4287),
    [sym_number_literal] = ACTIONS(4289),
    [anon_sym_L_SQUOTE] = ACTIONS(4291),
    [anon_sym_u_SQUOTE] = ACTIONS(4291),
    [anon_sym_U_SQUOTE] = ACTIONS(4291),
    [anon_sym_u8_SQUOTE] = ACTIONS(4291),
    [anon_sym_SQUOTE] = ACTIONS(4291),
    [anon_sym_L_DQUOTE] = ACTIONS(4293),
    [anon_sym_u_DQUOTE] = ACTIONS(4293),
    [anon_sym_U_DQUOTE] = ACTIONS(4293),
    [anon_sym_u8_DQUOTE] = ACTIONS(4293),
    [anon_sym_DQUOTE] = ACTIONS(4293),
    [sym_true] = ACTIONS(4295),
    [sym_false] = ACTIONS(4295),
    [anon_sym_NULL] = ACTIONS(4297),
    [anon_sym_nullptr] = ACTIONS(4297),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4299),
    [anon_sym_decltype] = ACTIONS(4301),
    [anon_sym_typename] = ACTIONS(4303),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_GT2] = ACTIONS(4327),
    [anon_sym_delete] = ACTIONS(4307),
    [anon_sym_R_DQUOTE] = ACTIONS(4309),
    [anon_sym_LR_DQUOTE] = ACTIONS(4309),
    [anon_sym_uR_DQUOTE] = ACTIONS(4309),
    [anon_sym_UR_DQUOTE] = ACTIONS(4309),
    [anon_sym_u8R_DQUOTE] = ACTIONS(4309),
    [anon_sym_co_await] = ACTIONS(4311),
    [anon_sym_new] = ACTIONS(4313),
    [anon_sym_requires] = ACTIONS(4315),
    [sym_this] = ACTIONS(4295),
  },
  [1490] = {
    [sym_else_clause] = STATE(1583),
    [sym_identifier] = ACTIONS(2291),
    [anon_sym_LPAREN2] = ACTIONS(2293),
    [anon_sym_BANG] = ACTIONS(2293),
    [anon_sym_TILDE] = ACTIONS(2293),
    [anon_sym_DASH] = ACTIONS(2291),
    [anon_sym_PLUS] = ACTIONS(2291),
    [anon_sym_STAR] = ACTIONS(2293),
    [anon_sym_AMP] = ACTIONS(2293),
    [anon_sym_SEMI] = ACTIONS(2293),
    [anon_sym___extension__] = ACTIONS(2291),
    [anon_sym_typedef] = ACTIONS(2291),
    [anon_sym_in] = ACTIONS(2291),
    [anon_sym_out] = ACTIONS(2291),
    [anon_sym_inout] = ACTIONS(2291),
    [anon_sym_extern] = ACTIONS(2291),
    [anon_sym___attribute__] = ACTIONS(2291),
    [anon_sym_COLON_COLON] = ACTIONS(2293),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2293),
    [anon_sym___declspec] = ACTIONS(2291),
    [anon_sym_LBRACE] = ACTIONS(2293),
    [anon_sym_signed] = ACTIONS(2291),
    [anon_sym_unsigned] = ACTIONS(2291),
    [anon_sym_long] = ACTIONS(2291),
    [anon_sym_short] = ACTIONS(2291),
    [anon_sym_LBRACK] = ACTIONS(2291),
    [anon_sym_static] = ACTIONS(2291),
    [anon_sym_register] = ACTIONS(2291),
    [anon_sym_inline] = ACTIONS(2291),
    [anon_sym___inline] = ACTIONS(2291),
    [anon_sym___inline__] = ACTIONS(2291),
    [anon_sym___forceinline] = ACTIONS(2291),
    [anon_sym_thread_local] = ACTIONS(2291),
    [anon_sym___thread] = ACTIONS(2291),
    [anon_sym_const] = ACTIONS(2291),
    [anon_sym_constexpr] = ACTIONS(2291),
    [anon_sym_volatile] = ACTIONS(2291),
    [anon_sym_restrict] = ACTIONS(2291),
    [anon_sym___restrict__] = ACTIONS(2291),
    [anon_sym__Atomic] = ACTIONS(2291),
    [anon_sym__Noreturn] = ACTIONS(2291),
    [anon_sym_noreturn] = ACTIONS(2291),
    [anon_sym_mutable] = ACTIONS(2291),
    [anon_sym_constinit] = ACTIONS(2291),
    [anon_sym_consteval] = ACTIONS(2291),
    [sym_primitive_type] = ACTIONS(2291),
    [anon_sym_enum] = ACTIONS(2291),
    [anon_sym_class] = ACTIONS(2291),
    [anon_sym_struct] = ACTIONS(2291),
    [anon_sym_union] = ACTIONS(2291),
    [anon_sym_if] = ACTIONS(2291),
    [anon_sym_else] = ACTIONS(4251),
    [anon_sym_switch] = ACTIONS(2291),
    [anon_sym_while] = ACTIONS(2291),
    [anon_sym_do] = ACTIONS(2291),
    [anon_sym_for] = ACTIONS(2291),
    [anon_sym_return] = ACTIONS(2291),
    [anon_sym_break] = ACTIONS(2291),
    [anon_sym_continue] = ACTIONS(2291),
    [anon_sym_goto] = ACTIONS(2291),
    [anon_sym___try] = ACTIONS(2291),
    [anon_sym___leave] = ACTIONS(2291),
    [anon_sym_not] = ACTIONS(2291),
    [anon_sym_compl] = ACTIONS(2291),
    [anon_sym_DASH_DASH] = ACTIONS(2293),
    [anon_sym_PLUS_PLUS] = ACTIONS(2293),
    [anon_sym_sizeof] = ACTIONS(2291),
    [anon_sym___alignof__] = ACTIONS(2291),
    [anon_sym___alignof] = ACTIONS(2291),
    [anon_sym__alignof] = ACTIONS(2291),
    [anon_sym_alignof] = ACTIONS(2291),
    [anon_sym__Alignof] = ACTIONS(2291),
    [anon_sym_offsetof] = ACTIONS(2291),
    [anon_sym__Generic] = ACTIONS(2291),
    [anon_sym_asm] = ACTIONS(2291),
    [anon_sym___asm__] = ACTIONS(2291),
    [sym_number_literal] = ACTIONS(2293),
    [anon_sym_L_SQUOTE] = ACTIONS(2293),
    [anon_sym_u_SQUOTE] = ACTIONS(2293),
    [anon_sym_U_SQUOTE] = ACTIONS(2293),
    [anon_sym_u8_SQUOTE] = ACTIONS(2293),
    [anon_sym_SQUOTE] = ACTIONS(2293),
    [anon_sym_L_DQUOTE] = ACTIONS(2293),
    [anon_sym_u_DQUOTE] = ACTIONS(2293),
    [anon_sym_U_DQUOTE] = ACTIONS(2293),
    [anon_sym_u8_DQUOTE] = ACTIONS(2293),
    [anon_sym_DQUOTE] = ACTIONS(2293),
    [sym_true] = ACTIONS(2291),
    [sym_false] = ACTIONS(2291),
    [anon_sym_NULL] = ACTIONS(2291),
    [anon_sym_nullptr] = ACTIONS(2291),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2291),
    [anon_sym_decltype] = ACTIONS(2291),
    [anon_sym_virtual] = ACTIONS(2291),
    [anon_sym_alignas] = ACTIONS(2291),
    [anon_sym_typename] = ACTIONS(2291),
    [anon_sym_template] = ACTIONS(2291),
    [anon_sym_try] = ACTIONS(2291),
    [anon_sym_delete] = ACTIONS(2291),
    [anon_sym_throw] = ACTIONS(2291),
    [anon_sym_co_return] = ACTIONS(2291),
    [anon_sym_co_yield] = ACTIONS(2291),
    [anon_sym_R_DQUOTE] = ACTIONS(2293),
    [anon_sym_LR_DQUOTE] = ACTIONS(2293),
    [anon_sym_uR_DQUOTE] = ACTIONS(2293),
    [anon_sym_UR_DQUOTE] = ACTIONS(2293),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2293),
    [anon_sym_co_await] = ACTIONS(2291),
    [anon_sym_new] = ACTIONS(2291),
    [anon_sym_requires] = ACTIONS(2291),
    [sym_this] = ACTIONS(2291),
    [anon_sym_discard] = ACTIONS(2291),
    [anon_sym_precise] = ACTIONS(2291),
    [anon_sym_shared] = ACTIONS(2291),
    [anon_sym_groupshared] = ACTIONS(2291),
    [anon_sym_uniform] = ACTIONS(2291),
    [anon_sym_row_major] = ACTIONS(2291),
    [anon_sym_column_major] = ACTIONS(2291),
    [anon_sym_globallycoherent] = ACTIONS(2291),
    [anon_sym_centroid] = ACTIONS(2291),
    [anon_sym_noperspective] = ACTIONS(2291),
    [anon_sym_nointerpolation] = ACTIONS(2291),
    [anon_sym_sample] = ACTIONS(2291),
    [anon_sym_linear] = ACTIONS(2291),
    [anon_sym_snorm] = ACTIONS(2291),
    [anon_sym_unorm] = ACTIONS(2291),
    [anon_sym_point] = ACTIONS(2291),
    [anon_sym_line] = ACTIONS(2291),
    [anon_sym_triangleadj] = ACTIONS(2291),
    [anon_sym_lineadj] = ACTIONS(2291),
    [anon_sym_triangle] = ACTIONS(2291),
    [anon_sym_cbuffer] = ACTIONS(2291),
  },
  [1491] = {
    [sym_string_literal] = STATE(3682),
    [sym_template_argument_list] = STATE(1799),
    [sym_raw_string_literal] = STATE(3682),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3027),
    [sym_identifier] = ACTIONS(4211),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4213),
    [anon_sym_COMMA] = ACTIONS(4213),
    [anon_sym_LPAREN2] = ACTIONS(4215),
    [anon_sym_TILDE] = ACTIONS(4219),
    [anon_sym_DASH] = ACTIONS(4221),
    [anon_sym_PLUS] = ACTIONS(4221),
    [anon_sym_STAR] = ACTIONS(4223),
    [anon_sym_SLASH] = ACTIONS(4221),
    [anon_sym_PERCENT] = ACTIONS(4221),
    [anon_sym_PIPE_PIPE] = ACTIONS(4213),
    [anon_sym_AMP_AMP] = ACTIONS(4226),
    [anon_sym_PIPE] = ACTIONS(4221),
    [anon_sym_CARET] = ACTIONS(4221),
    [anon_sym_AMP] = ACTIONS(4223),
    [anon_sym_EQ_EQ] = ACTIONS(4213),
    [anon_sym_BANG_EQ] = ACTIONS(4213),
    [anon_sym_GT] = ACTIONS(4221),
    [anon_sym_GT_EQ] = ACTIONS(4213),
    [anon_sym_LT_EQ] = ACTIONS(4221),
    [anon_sym_LT] = ACTIONS(4229),
    [anon_sym_LT_LT] = ACTIONS(4221),
    [anon_sym_GT_GT] = ACTIONS(4221),
    [anon_sym_COLON] = ACTIONS(4329),
    [anon_sym_SEMI] = ACTIONS(4226),
    [anon_sym___extension__] = ACTIONS(4211),
    [anon_sym_in] = ACTIONS(4211),
    [anon_sym_out] = ACTIONS(4211),
    [anon_sym_inout] = ACTIONS(4211),
    [anon_sym_extern] = ACTIONS(4211),
    [anon_sym___attribute__] = ACTIONS(4211),
    [anon_sym_COLON_COLON] = ACTIONS(2230),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4234),
    [anon_sym___declspec] = ACTIONS(4211),
    [anon_sym___based] = ACTIONS(4211),
    [anon_sym___cdecl] = ACTIONS(4211),
    [anon_sym___clrcall] = ACTIONS(4211),
    [anon_sym___stdcall] = ACTIONS(4211),
    [anon_sym___fastcall] = ACTIONS(4211),
    [anon_sym___thiscall] = ACTIONS(4211),
    [anon_sym___vectorcall] = ACTIONS(4211),
    [anon_sym_LBRACE] = ACTIONS(2226),
    [anon_sym_signed] = ACTIONS(4237),
    [anon_sym_unsigned] = ACTIONS(4237),
    [anon_sym_long] = ACTIONS(4237),
    [anon_sym_short] = ACTIONS(4237),
    [anon_sym_LBRACK] = ACTIONS(4239),
    [anon_sym_EQ] = ACTIONS(4243),
    [anon_sym_static] = ACTIONS(4211),
    [anon_sym_register] = ACTIONS(4211),
    [anon_sym_inline] = ACTIONS(4211),
    [anon_sym___inline] = ACTIONS(4211),
    [anon_sym___inline__] = ACTIONS(4211),
    [anon_sym___forceinline] = ACTIONS(4211),
    [anon_sym_thread_local] = ACTIONS(4211),
    [anon_sym___thread] = ACTIONS(4211),
    [anon_sym_const] = ACTIONS(4211),
    [anon_sym_constexpr] = ACTIONS(4211),
    [anon_sym_volatile] = ACTIONS(4211),
    [anon_sym_restrict] = ACTIONS(4211),
    [anon_sym___restrict__] = ACTIONS(4211),
    [anon_sym__Atomic] = ACTIONS(4211),
    [anon_sym__Noreturn] = ACTIONS(4211),
    [anon_sym_noreturn] = ACTIONS(4211),
    [anon_sym_mutable] = ACTIONS(4211),
    [anon_sym_constinit] = ACTIONS(4211),
    [anon_sym_consteval] = ACTIONS(4211),
    [anon_sym_QMARK] = ACTIONS(4213),
    [anon_sym_STAR_EQ] = ACTIONS(4245),
    [anon_sym_SLASH_EQ] = ACTIONS(4245),
    [anon_sym_PERCENT_EQ] = ACTIONS(4245),
    [anon_sym_PLUS_EQ] = ACTIONS(4245),
    [anon_sym_DASH_EQ] = ACTIONS(4245),
    [anon_sym_LT_LT_EQ] = ACTIONS(4245),
    [anon_sym_GT_GT_EQ] = ACTIONS(4245),
    [anon_sym_AMP_EQ] = ACTIONS(4245),
    [anon_sym_CARET_EQ] = ACTIONS(4245),
    [anon_sym_PIPE_EQ] = ACTIONS(4245),
    [anon_sym_and_eq] = ACTIONS(4243),
    [anon_sym_or_eq] = ACTIONS(4243),
    [anon_sym_xor_eq] = ACTIONS(4243),
    [anon_sym_LT_EQ_GT] = ACTIONS(4213),
    [anon_sym_or] = ACTIONS(4221),
    [anon_sym_and] = ACTIONS(4221),
    [anon_sym_bitor] = ACTIONS(4221),
    [anon_sym_xor] = ACTIONS(4221),
    [anon_sym_bitand] = ACTIONS(4221),
    [anon_sym_not_eq] = ACTIONS(4221),
    [anon_sym_DASH_DASH] = ACTIONS(4213),
    [anon_sym_PLUS_PLUS] = ACTIONS(4213),
    [anon_sym_DOT] = ACTIONS(4221),
    [anon_sym_DOT_STAR] = ACTIONS(4213),
    [anon_sym_DASH_GT] = ACTIONS(4213),
    [anon_sym_L_DQUOTE] = ACTIONS(4247),
    [anon_sym_u_DQUOTE] = ACTIONS(4247),
    [anon_sym_U_DQUOTE] = ACTIONS(4247),
    [anon_sym_u8_DQUOTE] = ACTIONS(4247),
    [anon_sym_DQUOTE] = ACTIONS(4247),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4211),
    [anon_sym_decltype] = ACTIONS(4211),
    [anon_sym_virtual] = ACTIONS(4211),
    [anon_sym_alignas] = ACTIONS(4211),
    [anon_sym_template] = ACTIONS(4211),
    [anon_sym_operator] = ACTIONS(4211),
    [anon_sym_R_DQUOTE] = ACTIONS(4249),
    [anon_sym_LR_DQUOTE] = ACTIONS(4249),
    [anon_sym_uR_DQUOTE] = ACTIONS(4249),
    [anon_sym_UR_DQUOTE] = ACTIONS(4249),
    [anon_sym_u8R_DQUOTE] = ACTIONS(4249),
    [anon_sym_precise] = ACTIONS(4211),
    [anon_sym_shared] = ACTIONS(4211),
    [anon_sym_groupshared] = ACTIONS(4211),
    [anon_sym_uniform] = ACTIONS(4211),
    [anon_sym_row_major] = ACTIONS(4211),
    [anon_sym_column_major] = ACTIONS(4211),
    [anon_sym_globallycoherent] = ACTIONS(4211),
    [anon_sym_centroid] = ACTIONS(4211),
    [anon_sym_noperspective] = ACTIONS(4211),
    [anon_sym_nointerpolation] = ACTIONS(4211),
    [anon_sym_sample] = ACTIONS(4211),
    [anon_sym_linear] = ACTIONS(4211),
    [anon_sym_snorm] = ACTIONS(4211),
    [anon_sym_unorm] = ACTIONS(4211),
    [anon_sym_point] = ACTIONS(4211),
    [anon_sym_line] = ACTIONS(4211),
    [anon_sym_triangleadj] = ACTIONS(4211),
    [anon_sym_lineadj] = ACTIONS(4211),
    [anon_sym_triangle] = ACTIONS(4211),
  },
  [1492] = {
    [sym_type_qualifier] = STATE(5199),
    [sym__type_specifier] = STATE(6115),
    [sym_sized_type_specifier] = STATE(4043),
    [sym_enum_specifier] = STATE(4043),
    [sym_struct_specifier] = STATE(4043),
    [sym_union_specifier] = STATE(4043),
    [sym__expression] = STATE(5484),
    [sym__expression_not_binary] = STATE(6001),
    [sym__string] = STATE(6001),
    [sym_conditional_expression] = STATE(6001),
    [sym_assignment_expression] = STATE(6001),
    [sym_pointer_expression] = STATE(4807),
    [sym_unary_expression] = STATE(6001),
    [sym_binary_expression] = STATE(6001),
    [sym_update_expression] = STATE(6001),
    [sym_cast_expression] = STATE(6001),
    [sym_type_descriptor] = STATE(8306),
    [sym_sizeof_expression] = STATE(6001),
    [sym_alignof_expression] = STATE(6001),
    [sym_offsetof_expression] = STATE(6001),
    [sym_generic_expression] = STATE(6001),
    [sym_subscript_expression] = STATE(4807),
    [sym_call_expression] = STATE(4807),
    [sym_gnu_asm_expression] = STATE(6001),
    [sym_field_expression] = STATE(4807),
    [sym_compound_literal_expression] = STATE(6001),
    [sym_parenthesized_expression] = STATE(4807),
    [sym_char_literal] = STATE(5842),
    [sym_concatenated_string] = STATE(5845),
    [sym_string_literal] = STATE(4864),
    [sym_null] = STATE(6001),
    [sym_placeholder_type_specifier] = STATE(4043),
    [sym_decltype_auto] = STATE(4013),
    [sym_decltype] = STATE(3955),
    [sym_class_specifier] = STATE(4043),
    [sym__class_name] = STATE(8975),
    [sym_dependent_type] = STATE(4043),
    [sym_template_type] = STATE(6654),
    [sym_template_function] = STATE(6001),
    [sym_raw_string_literal] = STATE(4865),
    [sym_co_await_expression] = STATE(6001),
    [sym_new_expression] = STATE(6001),
    [sym_delete_expression] = STATE(6001),
    [sym_requires_clause] = STATE(6001),
    [sym_requires_expression] = STATE(6001),
    [sym_lambda_expression] = STATE(6001),
    [sym_lambda_capture_specifier] = STATE(7123),
    [sym_fold_expression] = STATE(6001),
    [sym_parameter_pack_expansion] = STATE(6001),
    [sym_type_parameter_pack_expansion] = STATE(8732),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6903),
    [sym_qualified_identifier] = STATE(4807),
    [sym_qualified_type_identifier] = STATE(6699),
    [sym_user_defined_literal] = STATE(4807),
    [aux_sym__type_definition_type_repeat1] = STATE(5199),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3494),
    [sym_identifier] = ACTIONS(4253),
    [anon_sym_LPAREN2] = ACTIONS(4255),
    [anon_sym_BANG] = ACTIONS(4257),
    [anon_sym_TILDE] = ACTIONS(4257),
    [anon_sym_DASH] = ACTIONS(4259),
    [anon_sym_PLUS] = ACTIONS(4259),
    [anon_sym_STAR] = ACTIONS(4261),
    [anon_sym_AMP] = ACTIONS(4261),
    [anon_sym___extension__] = ACTIONS(63),
    [anon_sym_COLON_COLON] = ACTIONS(4263),
    [anon_sym_signed] = ACTIONS(4265),
    [anon_sym_unsigned] = ACTIONS(4265),
    [anon_sym_long] = ACTIONS(4265),
    [anon_sym_short] = ACTIONS(4265),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(4267),
    [anon_sym_enum] = ACTIONS(4269),
    [anon_sym_class] = ACTIONS(4271),
    [anon_sym_struct] = ACTIONS(4273),
    [anon_sym_union] = ACTIONS(4275),
    [anon_sym_not] = ACTIONS(4259),
    [anon_sym_compl] = ACTIONS(4259),
    [anon_sym_DASH_DASH] = ACTIONS(4277),
    [anon_sym_PLUS_PLUS] = ACTIONS(4277),
    [anon_sym_sizeof] = ACTIONS(4279),
    [anon_sym___alignof__] = ACTIONS(4281),
    [anon_sym___alignof] = ACTIONS(4281),
    [anon_sym__alignof] = ACTIONS(4281),
    [anon_sym_alignof] = ACTIONS(4281),
    [anon_sym__Alignof] = ACTIONS(4281),
    [anon_sym_offsetof] = ACTIONS(4283),
    [anon_sym__Generic] = ACTIONS(4285),
    [anon_sym_asm] = ACTIONS(4287),
    [anon_sym___asm__] = ACTIONS(4287),
    [sym_number_literal] = ACTIONS(4289),
    [anon_sym_L_SQUOTE] = ACTIONS(4291),
    [anon_sym_u_SQUOTE] = ACTIONS(4291),
    [anon_sym_U_SQUOTE] = ACTIONS(4291),
    [anon_sym_u8_SQUOTE] = ACTIONS(4291),
    [anon_sym_SQUOTE] = ACTIONS(4291),
    [anon_sym_L_DQUOTE] = ACTIONS(4293),
    [anon_sym_u_DQUOTE] = ACTIONS(4293),
    [anon_sym_U_DQUOTE] = ACTIONS(4293),
    [anon_sym_u8_DQUOTE] = ACTIONS(4293),
    [anon_sym_DQUOTE] = ACTIONS(4293),
    [sym_true] = ACTIONS(4295),
    [sym_false] = ACTIONS(4295),
    [anon_sym_NULL] = ACTIONS(4297),
    [anon_sym_nullptr] = ACTIONS(4297),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4299),
    [anon_sym_decltype] = ACTIONS(4301),
    [anon_sym_typename] = ACTIONS(4303),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_GT2] = ACTIONS(4331),
    [anon_sym_delete] = ACTIONS(4307),
    [anon_sym_R_DQUOTE] = ACTIONS(4309),
    [anon_sym_LR_DQUOTE] = ACTIONS(4309),
    [anon_sym_uR_DQUOTE] = ACTIONS(4309),
    [anon_sym_UR_DQUOTE] = ACTIONS(4309),
    [anon_sym_u8R_DQUOTE] = ACTIONS(4309),
    [anon_sym_co_await] = ACTIONS(4311),
    [anon_sym_new] = ACTIONS(4313),
    [anon_sym_requires] = ACTIONS(4315),
    [sym_this] = ACTIONS(4295),
  },
  [1493] = {
    [sym_type_qualifier] = STATE(5199),
    [sym__type_specifier] = STATE(6115),
    [sym_sized_type_specifier] = STATE(4043),
    [sym_enum_specifier] = STATE(4043),
    [sym_struct_specifier] = STATE(4043),
    [sym_union_specifier] = STATE(4043),
    [sym__expression] = STATE(5561),
    [sym__expression_not_binary] = STATE(6001),
    [sym__string] = STATE(6001),
    [sym_conditional_expression] = STATE(6001),
    [sym_assignment_expression] = STATE(6001),
    [sym_pointer_expression] = STATE(4807),
    [sym_unary_expression] = STATE(6001),
    [sym_binary_expression] = STATE(6001),
    [sym_update_expression] = STATE(6001),
    [sym_cast_expression] = STATE(6001),
    [sym_type_descriptor] = STATE(8471),
    [sym_sizeof_expression] = STATE(6001),
    [sym_alignof_expression] = STATE(6001),
    [sym_offsetof_expression] = STATE(6001),
    [sym_generic_expression] = STATE(6001),
    [sym_subscript_expression] = STATE(4807),
    [sym_call_expression] = STATE(4807),
    [sym_gnu_asm_expression] = STATE(6001),
    [sym_field_expression] = STATE(4807),
    [sym_compound_literal_expression] = STATE(6001),
    [sym_parenthesized_expression] = STATE(4807),
    [sym_char_literal] = STATE(5842),
    [sym_concatenated_string] = STATE(5845),
    [sym_string_literal] = STATE(4864),
    [sym_null] = STATE(6001),
    [sym_placeholder_type_specifier] = STATE(4043),
    [sym_decltype_auto] = STATE(4013),
    [sym_decltype] = STATE(3955),
    [sym_class_specifier] = STATE(4043),
    [sym__class_name] = STATE(8975),
    [sym_dependent_type] = STATE(4043),
    [sym_template_type] = STATE(6654),
    [sym_template_function] = STATE(6001),
    [sym_raw_string_literal] = STATE(4865),
    [sym_co_await_expression] = STATE(6001),
    [sym_new_expression] = STATE(6001),
    [sym_delete_expression] = STATE(6001),
    [sym_requires_clause] = STATE(6001),
    [sym_requires_expression] = STATE(6001),
    [sym_lambda_expression] = STATE(6001),
    [sym_lambda_capture_specifier] = STATE(7123),
    [sym_fold_expression] = STATE(6001),
    [sym_parameter_pack_expansion] = STATE(6001),
    [sym_type_parameter_pack_expansion] = STATE(8947),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6903),
    [sym_qualified_identifier] = STATE(4807),
    [sym_qualified_type_identifier] = STATE(6699),
    [sym_user_defined_literal] = STATE(4807),
    [aux_sym__type_definition_type_repeat1] = STATE(5199),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3494),
    [sym_identifier] = ACTIONS(4253),
    [anon_sym_LPAREN2] = ACTIONS(4255),
    [anon_sym_BANG] = ACTIONS(4257),
    [anon_sym_TILDE] = ACTIONS(4257),
    [anon_sym_DASH] = ACTIONS(4259),
    [anon_sym_PLUS] = ACTIONS(4259),
    [anon_sym_STAR] = ACTIONS(4261),
    [anon_sym_AMP] = ACTIONS(4261),
    [anon_sym___extension__] = ACTIONS(63),
    [anon_sym_COLON_COLON] = ACTIONS(4263),
    [anon_sym_signed] = ACTIONS(4265),
    [anon_sym_unsigned] = ACTIONS(4265),
    [anon_sym_long] = ACTIONS(4265),
    [anon_sym_short] = ACTIONS(4265),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(4267),
    [anon_sym_enum] = ACTIONS(4269),
    [anon_sym_class] = ACTIONS(4271),
    [anon_sym_struct] = ACTIONS(4273),
    [anon_sym_union] = ACTIONS(4275),
    [anon_sym_not] = ACTIONS(4259),
    [anon_sym_compl] = ACTIONS(4259),
    [anon_sym_DASH_DASH] = ACTIONS(4277),
    [anon_sym_PLUS_PLUS] = ACTIONS(4277),
    [anon_sym_sizeof] = ACTIONS(4279),
    [anon_sym___alignof__] = ACTIONS(4281),
    [anon_sym___alignof] = ACTIONS(4281),
    [anon_sym__alignof] = ACTIONS(4281),
    [anon_sym_alignof] = ACTIONS(4281),
    [anon_sym__Alignof] = ACTIONS(4281),
    [anon_sym_offsetof] = ACTIONS(4283),
    [anon_sym__Generic] = ACTIONS(4285),
    [anon_sym_asm] = ACTIONS(4287),
    [anon_sym___asm__] = ACTIONS(4287),
    [sym_number_literal] = ACTIONS(4289),
    [anon_sym_L_SQUOTE] = ACTIONS(4291),
    [anon_sym_u_SQUOTE] = ACTIONS(4291),
    [anon_sym_U_SQUOTE] = ACTIONS(4291),
    [anon_sym_u8_SQUOTE] = ACTIONS(4291),
    [anon_sym_SQUOTE] = ACTIONS(4291),
    [anon_sym_L_DQUOTE] = ACTIONS(4293),
    [anon_sym_u_DQUOTE] = ACTIONS(4293),
    [anon_sym_U_DQUOTE] = ACTIONS(4293),
    [anon_sym_u8_DQUOTE] = ACTIONS(4293),
    [anon_sym_DQUOTE] = ACTIONS(4293),
    [sym_true] = ACTIONS(4295),
    [sym_false] = ACTIONS(4295),
    [anon_sym_NULL] = ACTIONS(4297),
    [anon_sym_nullptr] = ACTIONS(4297),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4299),
    [anon_sym_decltype] = ACTIONS(4301),
    [anon_sym_typename] = ACTIONS(4303),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_GT2] = ACTIONS(4333),
    [anon_sym_delete] = ACTIONS(4307),
    [anon_sym_R_DQUOTE] = ACTIONS(4309),
    [anon_sym_LR_DQUOTE] = ACTIONS(4309),
    [anon_sym_uR_DQUOTE] = ACTIONS(4309),
    [anon_sym_UR_DQUOTE] = ACTIONS(4309),
    [anon_sym_u8R_DQUOTE] = ACTIONS(4309),
    [anon_sym_co_await] = ACTIONS(4311),
    [anon_sym_new] = ACTIONS(4313),
    [anon_sym_requires] = ACTIONS(4315),
    [sym_this] = ACTIONS(4295),
  },
  [1494] = {
    [sym_type_qualifier] = STATE(5199),
    [sym__type_specifier] = STATE(6115),
    [sym_sized_type_specifier] = STATE(4043),
    [sym_enum_specifier] = STATE(4043),
    [sym_struct_specifier] = STATE(4043),
    [sym_union_specifier] = STATE(4043),
    [sym__expression] = STATE(5485),
    [sym__expression_not_binary] = STATE(6001),
    [sym__string] = STATE(6001),
    [sym_conditional_expression] = STATE(6001),
    [sym_assignment_expression] = STATE(6001),
    [sym_pointer_expression] = STATE(4807),
    [sym_unary_expression] = STATE(6001),
    [sym_binary_expression] = STATE(6001),
    [sym_update_expression] = STATE(6001),
    [sym_cast_expression] = STATE(6001),
    [sym_type_descriptor] = STATE(8174),
    [sym_sizeof_expression] = STATE(6001),
    [sym_alignof_expression] = STATE(6001),
    [sym_offsetof_expression] = STATE(6001),
    [sym_generic_expression] = STATE(6001),
    [sym_subscript_expression] = STATE(4807),
    [sym_call_expression] = STATE(4807),
    [sym_gnu_asm_expression] = STATE(6001),
    [sym_field_expression] = STATE(4807),
    [sym_compound_literal_expression] = STATE(6001),
    [sym_parenthesized_expression] = STATE(4807),
    [sym_char_literal] = STATE(5842),
    [sym_concatenated_string] = STATE(5845),
    [sym_string_literal] = STATE(4864),
    [sym_null] = STATE(6001),
    [sym_placeholder_type_specifier] = STATE(4043),
    [sym_decltype_auto] = STATE(4013),
    [sym_decltype] = STATE(3955),
    [sym_class_specifier] = STATE(4043),
    [sym__class_name] = STATE(8975),
    [sym_dependent_type] = STATE(4043),
    [sym_template_type] = STATE(6654),
    [sym_template_function] = STATE(6001),
    [sym_raw_string_literal] = STATE(4865),
    [sym_co_await_expression] = STATE(6001),
    [sym_new_expression] = STATE(6001),
    [sym_delete_expression] = STATE(6001),
    [sym_requires_clause] = STATE(6001),
    [sym_requires_expression] = STATE(6001),
    [sym_lambda_expression] = STATE(6001),
    [sym_lambda_capture_specifier] = STATE(7123),
    [sym_fold_expression] = STATE(6001),
    [sym_parameter_pack_expansion] = STATE(6001),
    [sym_type_parameter_pack_expansion] = STATE(8933),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6903),
    [sym_qualified_identifier] = STATE(4807),
    [sym_qualified_type_identifier] = STATE(6699),
    [sym_user_defined_literal] = STATE(4807),
    [aux_sym__type_definition_type_repeat1] = STATE(5199),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3494),
    [sym_identifier] = ACTIONS(4253),
    [anon_sym_LPAREN2] = ACTIONS(4255),
    [anon_sym_BANG] = ACTIONS(4257),
    [anon_sym_TILDE] = ACTIONS(4257),
    [anon_sym_DASH] = ACTIONS(4259),
    [anon_sym_PLUS] = ACTIONS(4259),
    [anon_sym_STAR] = ACTIONS(4261),
    [anon_sym_AMP] = ACTIONS(4261),
    [anon_sym___extension__] = ACTIONS(63),
    [anon_sym_COLON_COLON] = ACTIONS(4263),
    [anon_sym_signed] = ACTIONS(4265),
    [anon_sym_unsigned] = ACTIONS(4265),
    [anon_sym_long] = ACTIONS(4265),
    [anon_sym_short] = ACTIONS(4265),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(4267),
    [anon_sym_enum] = ACTIONS(4269),
    [anon_sym_class] = ACTIONS(4271),
    [anon_sym_struct] = ACTIONS(4273),
    [anon_sym_union] = ACTIONS(4275),
    [anon_sym_not] = ACTIONS(4259),
    [anon_sym_compl] = ACTIONS(4259),
    [anon_sym_DASH_DASH] = ACTIONS(4277),
    [anon_sym_PLUS_PLUS] = ACTIONS(4277),
    [anon_sym_sizeof] = ACTIONS(4279),
    [anon_sym___alignof__] = ACTIONS(4281),
    [anon_sym___alignof] = ACTIONS(4281),
    [anon_sym__alignof] = ACTIONS(4281),
    [anon_sym_alignof] = ACTIONS(4281),
    [anon_sym__Alignof] = ACTIONS(4281),
    [anon_sym_offsetof] = ACTIONS(4283),
    [anon_sym__Generic] = ACTIONS(4285),
    [anon_sym_asm] = ACTIONS(4287),
    [anon_sym___asm__] = ACTIONS(4287),
    [sym_number_literal] = ACTIONS(4289),
    [anon_sym_L_SQUOTE] = ACTIONS(4291),
    [anon_sym_u_SQUOTE] = ACTIONS(4291),
    [anon_sym_U_SQUOTE] = ACTIONS(4291),
    [anon_sym_u8_SQUOTE] = ACTIONS(4291),
    [anon_sym_SQUOTE] = ACTIONS(4291),
    [anon_sym_L_DQUOTE] = ACTIONS(4293),
    [anon_sym_u_DQUOTE] = ACTIONS(4293),
    [anon_sym_U_DQUOTE] = ACTIONS(4293),
    [anon_sym_u8_DQUOTE] = ACTIONS(4293),
    [anon_sym_DQUOTE] = ACTIONS(4293),
    [sym_true] = ACTIONS(4295),
    [sym_false] = ACTIONS(4295),
    [anon_sym_NULL] = ACTIONS(4297),
    [anon_sym_nullptr] = ACTIONS(4297),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4299),
    [anon_sym_decltype] = ACTIONS(4301),
    [anon_sym_typename] = ACTIONS(4303),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_GT2] = ACTIONS(4335),
    [anon_sym_delete] = ACTIONS(4307),
    [anon_sym_R_DQUOTE] = ACTIONS(4309),
    [anon_sym_LR_DQUOTE] = ACTIONS(4309),
    [anon_sym_uR_DQUOTE] = ACTIONS(4309),
    [anon_sym_UR_DQUOTE] = ACTIONS(4309),
    [anon_sym_u8R_DQUOTE] = ACTIONS(4309),
    [anon_sym_co_await] = ACTIONS(4311),
    [anon_sym_new] = ACTIONS(4313),
    [anon_sym_requires] = ACTIONS(4315),
    [sym_this] = ACTIONS(4295),
  },
  [1495] = {
    [sym_type_qualifier] = STATE(5199),
    [sym__type_specifier] = STATE(6115),
    [sym_sized_type_specifier] = STATE(4043),
    [sym_enum_specifier] = STATE(4043),
    [sym_struct_specifier] = STATE(4043),
    [sym_union_specifier] = STATE(4043),
    [sym__expression] = STATE(5530),
    [sym__expression_not_binary] = STATE(6001),
    [sym__string] = STATE(6001),
    [sym_conditional_expression] = STATE(6001),
    [sym_assignment_expression] = STATE(6001),
    [sym_pointer_expression] = STATE(4807),
    [sym_unary_expression] = STATE(6001),
    [sym_binary_expression] = STATE(6001),
    [sym_update_expression] = STATE(6001),
    [sym_cast_expression] = STATE(6001),
    [sym_type_descriptor] = STATE(8158),
    [sym_sizeof_expression] = STATE(6001),
    [sym_alignof_expression] = STATE(6001),
    [sym_offsetof_expression] = STATE(6001),
    [sym_generic_expression] = STATE(6001),
    [sym_subscript_expression] = STATE(4807),
    [sym_call_expression] = STATE(4807),
    [sym_gnu_asm_expression] = STATE(6001),
    [sym_field_expression] = STATE(4807),
    [sym_compound_literal_expression] = STATE(6001),
    [sym_parenthesized_expression] = STATE(4807),
    [sym_char_literal] = STATE(5842),
    [sym_concatenated_string] = STATE(5845),
    [sym_string_literal] = STATE(4864),
    [sym_null] = STATE(6001),
    [sym_placeholder_type_specifier] = STATE(4043),
    [sym_decltype_auto] = STATE(4013),
    [sym_decltype] = STATE(3955),
    [sym_class_specifier] = STATE(4043),
    [sym__class_name] = STATE(8975),
    [sym_dependent_type] = STATE(4043),
    [sym_template_type] = STATE(6654),
    [sym_template_function] = STATE(6001),
    [sym_raw_string_literal] = STATE(4865),
    [sym_co_await_expression] = STATE(6001),
    [sym_new_expression] = STATE(6001),
    [sym_delete_expression] = STATE(6001),
    [sym_requires_clause] = STATE(6001),
    [sym_requires_expression] = STATE(6001),
    [sym_lambda_expression] = STATE(6001),
    [sym_lambda_capture_specifier] = STATE(7123),
    [sym_fold_expression] = STATE(6001),
    [sym_parameter_pack_expansion] = STATE(6001),
    [sym_type_parameter_pack_expansion] = STATE(8920),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6903),
    [sym_qualified_identifier] = STATE(4807),
    [sym_qualified_type_identifier] = STATE(6699),
    [sym_user_defined_literal] = STATE(4807),
    [aux_sym__type_definition_type_repeat1] = STATE(5199),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3494),
    [sym_identifier] = ACTIONS(4253),
    [anon_sym_LPAREN2] = ACTIONS(4255),
    [anon_sym_BANG] = ACTIONS(4257),
    [anon_sym_TILDE] = ACTIONS(4257),
    [anon_sym_DASH] = ACTIONS(4259),
    [anon_sym_PLUS] = ACTIONS(4259),
    [anon_sym_STAR] = ACTIONS(4261),
    [anon_sym_AMP] = ACTIONS(4261),
    [anon_sym___extension__] = ACTIONS(63),
    [anon_sym_COLON_COLON] = ACTIONS(4263),
    [anon_sym_signed] = ACTIONS(4265),
    [anon_sym_unsigned] = ACTIONS(4265),
    [anon_sym_long] = ACTIONS(4265),
    [anon_sym_short] = ACTIONS(4265),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(4267),
    [anon_sym_enum] = ACTIONS(4269),
    [anon_sym_class] = ACTIONS(4271),
    [anon_sym_struct] = ACTIONS(4273),
    [anon_sym_union] = ACTIONS(4275),
    [anon_sym_not] = ACTIONS(4259),
    [anon_sym_compl] = ACTIONS(4259),
    [anon_sym_DASH_DASH] = ACTIONS(4277),
    [anon_sym_PLUS_PLUS] = ACTIONS(4277),
    [anon_sym_sizeof] = ACTIONS(4279),
    [anon_sym___alignof__] = ACTIONS(4281),
    [anon_sym___alignof] = ACTIONS(4281),
    [anon_sym__alignof] = ACTIONS(4281),
    [anon_sym_alignof] = ACTIONS(4281),
    [anon_sym__Alignof] = ACTIONS(4281),
    [anon_sym_offsetof] = ACTIONS(4283),
    [anon_sym__Generic] = ACTIONS(4285),
    [anon_sym_asm] = ACTIONS(4287),
    [anon_sym___asm__] = ACTIONS(4287),
    [sym_number_literal] = ACTIONS(4289),
    [anon_sym_L_SQUOTE] = ACTIONS(4291),
    [anon_sym_u_SQUOTE] = ACTIONS(4291),
    [anon_sym_U_SQUOTE] = ACTIONS(4291),
    [anon_sym_u8_SQUOTE] = ACTIONS(4291),
    [anon_sym_SQUOTE] = ACTIONS(4291),
    [anon_sym_L_DQUOTE] = ACTIONS(4293),
    [anon_sym_u_DQUOTE] = ACTIONS(4293),
    [anon_sym_U_DQUOTE] = ACTIONS(4293),
    [anon_sym_u8_DQUOTE] = ACTIONS(4293),
    [anon_sym_DQUOTE] = ACTIONS(4293),
    [sym_true] = ACTIONS(4295),
    [sym_false] = ACTIONS(4295),
    [anon_sym_NULL] = ACTIONS(4297),
    [anon_sym_nullptr] = ACTIONS(4297),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4299),
    [anon_sym_decltype] = ACTIONS(4301),
    [anon_sym_typename] = ACTIONS(4303),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_GT2] = ACTIONS(4337),
    [anon_sym_delete] = ACTIONS(4307),
    [anon_sym_R_DQUOTE] = ACTIONS(4309),
    [anon_sym_LR_DQUOTE] = ACTIONS(4309),
    [anon_sym_uR_DQUOTE] = ACTIONS(4309),
    [anon_sym_UR_DQUOTE] = ACTIONS(4309),
    [anon_sym_u8R_DQUOTE] = ACTIONS(4309),
    [anon_sym_co_await] = ACTIONS(4311),
    [anon_sym_new] = ACTIONS(4313),
    [anon_sym_requires] = ACTIONS(4315),
    [sym_this] = ACTIONS(4295),
  },
  [1496] = {
    [sym_type_qualifier] = STATE(5199),
    [sym__type_specifier] = STATE(6115),
    [sym_sized_type_specifier] = STATE(4043),
    [sym_enum_specifier] = STATE(4043),
    [sym_struct_specifier] = STATE(4043),
    [sym_union_specifier] = STATE(4043),
    [sym__expression] = STATE(5503),
    [sym__expression_not_binary] = STATE(6001),
    [sym__string] = STATE(6001),
    [sym_conditional_expression] = STATE(6001),
    [sym_assignment_expression] = STATE(6001),
    [sym_pointer_expression] = STATE(4807),
    [sym_unary_expression] = STATE(6001),
    [sym_binary_expression] = STATE(6001),
    [sym_update_expression] = STATE(6001),
    [sym_cast_expression] = STATE(6001),
    [sym_type_descriptor] = STATE(8251),
    [sym_sizeof_expression] = STATE(6001),
    [sym_alignof_expression] = STATE(6001),
    [sym_offsetof_expression] = STATE(6001),
    [sym_generic_expression] = STATE(6001),
    [sym_subscript_expression] = STATE(4807),
    [sym_call_expression] = STATE(4807),
    [sym_gnu_asm_expression] = STATE(6001),
    [sym_field_expression] = STATE(4807),
    [sym_compound_literal_expression] = STATE(6001),
    [sym_parenthesized_expression] = STATE(4807),
    [sym_char_literal] = STATE(5842),
    [sym_concatenated_string] = STATE(5845),
    [sym_string_literal] = STATE(4864),
    [sym_null] = STATE(6001),
    [sym_placeholder_type_specifier] = STATE(4043),
    [sym_decltype_auto] = STATE(4013),
    [sym_decltype] = STATE(3955),
    [sym_class_specifier] = STATE(4043),
    [sym__class_name] = STATE(8975),
    [sym_dependent_type] = STATE(4043),
    [sym_template_type] = STATE(6654),
    [sym_template_function] = STATE(6001),
    [sym_raw_string_literal] = STATE(4865),
    [sym_co_await_expression] = STATE(6001),
    [sym_new_expression] = STATE(6001),
    [sym_delete_expression] = STATE(6001),
    [sym_requires_clause] = STATE(6001),
    [sym_requires_expression] = STATE(6001),
    [sym_lambda_expression] = STATE(6001),
    [sym_lambda_capture_specifier] = STATE(7123),
    [sym_fold_expression] = STATE(6001),
    [sym_parameter_pack_expansion] = STATE(6001),
    [sym_type_parameter_pack_expansion] = STATE(8796),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6903),
    [sym_qualified_identifier] = STATE(4807),
    [sym_qualified_type_identifier] = STATE(6699),
    [sym_user_defined_literal] = STATE(4807),
    [aux_sym__type_definition_type_repeat1] = STATE(5199),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3494),
    [sym_identifier] = ACTIONS(4253),
    [anon_sym_LPAREN2] = ACTIONS(4255),
    [anon_sym_BANG] = ACTIONS(4257),
    [anon_sym_TILDE] = ACTIONS(4257),
    [anon_sym_DASH] = ACTIONS(4259),
    [anon_sym_PLUS] = ACTIONS(4259),
    [anon_sym_STAR] = ACTIONS(4261),
    [anon_sym_AMP] = ACTIONS(4261),
    [anon_sym___extension__] = ACTIONS(63),
    [anon_sym_COLON_COLON] = ACTIONS(4263),
    [anon_sym_signed] = ACTIONS(4265),
    [anon_sym_unsigned] = ACTIONS(4265),
    [anon_sym_long] = ACTIONS(4265),
    [anon_sym_short] = ACTIONS(4265),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(4267),
    [anon_sym_enum] = ACTIONS(4269),
    [anon_sym_class] = ACTIONS(4271),
    [anon_sym_struct] = ACTIONS(4273),
    [anon_sym_union] = ACTIONS(4275),
    [anon_sym_not] = ACTIONS(4259),
    [anon_sym_compl] = ACTIONS(4259),
    [anon_sym_DASH_DASH] = ACTIONS(4277),
    [anon_sym_PLUS_PLUS] = ACTIONS(4277),
    [anon_sym_sizeof] = ACTIONS(4279),
    [anon_sym___alignof__] = ACTIONS(4281),
    [anon_sym___alignof] = ACTIONS(4281),
    [anon_sym__alignof] = ACTIONS(4281),
    [anon_sym_alignof] = ACTIONS(4281),
    [anon_sym__Alignof] = ACTIONS(4281),
    [anon_sym_offsetof] = ACTIONS(4283),
    [anon_sym__Generic] = ACTIONS(4285),
    [anon_sym_asm] = ACTIONS(4287),
    [anon_sym___asm__] = ACTIONS(4287),
    [sym_number_literal] = ACTIONS(4289),
    [anon_sym_L_SQUOTE] = ACTIONS(4291),
    [anon_sym_u_SQUOTE] = ACTIONS(4291),
    [anon_sym_U_SQUOTE] = ACTIONS(4291),
    [anon_sym_u8_SQUOTE] = ACTIONS(4291),
    [anon_sym_SQUOTE] = ACTIONS(4291),
    [anon_sym_L_DQUOTE] = ACTIONS(4293),
    [anon_sym_u_DQUOTE] = ACTIONS(4293),
    [anon_sym_U_DQUOTE] = ACTIONS(4293),
    [anon_sym_u8_DQUOTE] = ACTIONS(4293),
    [anon_sym_DQUOTE] = ACTIONS(4293),
    [sym_true] = ACTIONS(4295),
    [sym_false] = ACTIONS(4295),
    [anon_sym_NULL] = ACTIONS(4297),
    [anon_sym_nullptr] = ACTIONS(4297),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4299),
    [anon_sym_decltype] = ACTIONS(4301),
    [anon_sym_typename] = ACTIONS(4303),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_GT2] = ACTIONS(4339),
    [anon_sym_delete] = ACTIONS(4307),
    [anon_sym_R_DQUOTE] = ACTIONS(4309),
    [anon_sym_LR_DQUOTE] = ACTIONS(4309),
    [anon_sym_uR_DQUOTE] = ACTIONS(4309),
    [anon_sym_UR_DQUOTE] = ACTIONS(4309),
    [anon_sym_u8R_DQUOTE] = ACTIONS(4309),
    [anon_sym_co_await] = ACTIONS(4311),
    [anon_sym_new] = ACTIONS(4313),
    [anon_sym_requires] = ACTIONS(4315),
    [sym_this] = ACTIONS(4295),
  },
  [1497] = {
    [sym_type_qualifier] = STATE(5199),
    [sym__type_specifier] = STATE(6115),
    [sym_sized_type_specifier] = STATE(4043),
    [sym_enum_specifier] = STATE(4043),
    [sym_struct_specifier] = STATE(4043),
    [sym_union_specifier] = STATE(4043),
    [sym__expression] = STATE(5491),
    [sym__expression_not_binary] = STATE(6001),
    [sym__string] = STATE(6001),
    [sym_conditional_expression] = STATE(6001),
    [sym_assignment_expression] = STATE(6001),
    [sym_pointer_expression] = STATE(4807),
    [sym_unary_expression] = STATE(6001),
    [sym_binary_expression] = STATE(6001),
    [sym_update_expression] = STATE(6001),
    [sym_cast_expression] = STATE(6001),
    [sym_type_descriptor] = STATE(8276),
    [sym_sizeof_expression] = STATE(6001),
    [sym_alignof_expression] = STATE(6001),
    [sym_offsetof_expression] = STATE(6001),
    [sym_generic_expression] = STATE(6001),
    [sym_subscript_expression] = STATE(4807),
    [sym_call_expression] = STATE(4807),
    [sym_gnu_asm_expression] = STATE(6001),
    [sym_field_expression] = STATE(4807),
    [sym_compound_literal_expression] = STATE(6001),
    [sym_parenthesized_expression] = STATE(4807),
    [sym_char_literal] = STATE(5842),
    [sym_concatenated_string] = STATE(5845),
    [sym_string_literal] = STATE(4864),
    [sym_null] = STATE(6001),
    [sym_placeholder_type_specifier] = STATE(4043),
    [sym_decltype_auto] = STATE(4013),
    [sym_decltype] = STATE(3955),
    [sym_class_specifier] = STATE(4043),
    [sym__class_name] = STATE(8975),
    [sym_dependent_type] = STATE(4043),
    [sym_template_type] = STATE(6654),
    [sym_template_function] = STATE(6001),
    [sym_raw_string_literal] = STATE(4865),
    [sym_co_await_expression] = STATE(6001),
    [sym_new_expression] = STATE(6001),
    [sym_delete_expression] = STATE(6001),
    [sym_requires_clause] = STATE(6001),
    [sym_requires_expression] = STATE(6001),
    [sym_lambda_expression] = STATE(6001),
    [sym_lambda_capture_specifier] = STATE(7123),
    [sym_fold_expression] = STATE(6001),
    [sym_parameter_pack_expansion] = STATE(6001),
    [sym_type_parameter_pack_expansion] = STATE(8769),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6903),
    [sym_qualified_identifier] = STATE(4807),
    [sym_qualified_type_identifier] = STATE(6699),
    [sym_user_defined_literal] = STATE(4807),
    [aux_sym__type_definition_type_repeat1] = STATE(5199),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3494),
    [sym_identifier] = ACTIONS(4253),
    [anon_sym_LPAREN2] = ACTIONS(4255),
    [anon_sym_BANG] = ACTIONS(4257),
    [anon_sym_TILDE] = ACTIONS(4257),
    [anon_sym_DASH] = ACTIONS(4259),
    [anon_sym_PLUS] = ACTIONS(4259),
    [anon_sym_STAR] = ACTIONS(4261),
    [anon_sym_AMP] = ACTIONS(4261),
    [anon_sym___extension__] = ACTIONS(63),
    [anon_sym_COLON_COLON] = ACTIONS(4263),
    [anon_sym_signed] = ACTIONS(4265),
    [anon_sym_unsigned] = ACTIONS(4265),
    [anon_sym_long] = ACTIONS(4265),
    [anon_sym_short] = ACTIONS(4265),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(4267),
    [anon_sym_enum] = ACTIONS(4269),
    [anon_sym_class] = ACTIONS(4271),
    [anon_sym_struct] = ACTIONS(4273),
    [anon_sym_union] = ACTIONS(4275),
    [anon_sym_not] = ACTIONS(4259),
    [anon_sym_compl] = ACTIONS(4259),
    [anon_sym_DASH_DASH] = ACTIONS(4277),
    [anon_sym_PLUS_PLUS] = ACTIONS(4277),
    [anon_sym_sizeof] = ACTIONS(4279),
    [anon_sym___alignof__] = ACTIONS(4281),
    [anon_sym___alignof] = ACTIONS(4281),
    [anon_sym__alignof] = ACTIONS(4281),
    [anon_sym_alignof] = ACTIONS(4281),
    [anon_sym__Alignof] = ACTIONS(4281),
    [anon_sym_offsetof] = ACTIONS(4283),
    [anon_sym__Generic] = ACTIONS(4285),
    [anon_sym_asm] = ACTIONS(4287),
    [anon_sym___asm__] = ACTIONS(4287),
    [sym_number_literal] = ACTIONS(4289),
    [anon_sym_L_SQUOTE] = ACTIONS(4291),
    [anon_sym_u_SQUOTE] = ACTIONS(4291),
    [anon_sym_U_SQUOTE] = ACTIONS(4291),
    [anon_sym_u8_SQUOTE] = ACTIONS(4291),
    [anon_sym_SQUOTE] = ACTIONS(4291),
    [anon_sym_L_DQUOTE] = ACTIONS(4293),
    [anon_sym_u_DQUOTE] = ACTIONS(4293),
    [anon_sym_U_DQUOTE] = ACTIONS(4293),
    [anon_sym_u8_DQUOTE] = ACTIONS(4293),
    [anon_sym_DQUOTE] = ACTIONS(4293),
    [sym_true] = ACTIONS(4295),
    [sym_false] = ACTIONS(4295),
    [anon_sym_NULL] = ACTIONS(4297),
    [anon_sym_nullptr] = ACTIONS(4297),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4299),
    [anon_sym_decltype] = ACTIONS(4301),
    [anon_sym_typename] = ACTIONS(4303),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_GT2] = ACTIONS(4341),
    [anon_sym_delete] = ACTIONS(4307),
    [anon_sym_R_DQUOTE] = ACTIONS(4309),
    [anon_sym_LR_DQUOTE] = ACTIONS(4309),
    [anon_sym_uR_DQUOTE] = ACTIONS(4309),
    [anon_sym_UR_DQUOTE] = ACTIONS(4309),
    [anon_sym_u8R_DQUOTE] = ACTIONS(4309),
    [anon_sym_co_await] = ACTIONS(4311),
    [anon_sym_new] = ACTIONS(4313),
    [anon_sym_requires] = ACTIONS(4315),
    [sym_this] = ACTIONS(4295),
  },
  [1498] = {
    [sym_type_qualifier] = STATE(5199),
    [sym__type_specifier] = STATE(6115),
    [sym_sized_type_specifier] = STATE(4043),
    [sym_enum_specifier] = STATE(4043),
    [sym_struct_specifier] = STATE(4043),
    [sym_union_specifier] = STATE(4043),
    [sym__expression] = STATE(5514),
    [sym__expression_not_binary] = STATE(6001),
    [sym__string] = STATE(6001),
    [sym_conditional_expression] = STATE(6001),
    [sym_assignment_expression] = STATE(6001),
    [sym_pointer_expression] = STATE(4807),
    [sym_unary_expression] = STATE(6001),
    [sym_binary_expression] = STATE(6001),
    [sym_update_expression] = STATE(6001),
    [sym_cast_expression] = STATE(6001),
    [sym_type_descriptor] = STATE(8202),
    [sym_sizeof_expression] = STATE(6001),
    [sym_alignof_expression] = STATE(6001),
    [sym_offsetof_expression] = STATE(6001),
    [sym_generic_expression] = STATE(6001),
    [sym_subscript_expression] = STATE(4807),
    [sym_call_expression] = STATE(4807),
    [sym_gnu_asm_expression] = STATE(6001),
    [sym_field_expression] = STATE(4807),
    [sym_compound_literal_expression] = STATE(6001),
    [sym_parenthesized_expression] = STATE(4807),
    [sym_char_literal] = STATE(5842),
    [sym_concatenated_string] = STATE(5845),
    [sym_string_literal] = STATE(4864),
    [sym_null] = STATE(6001),
    [sym_placeholder_type_specifier] = STATE(4043),
    [sym_decltype_auto] = STATE(4013),
    [sym_decltype] = STATE(3955),
    [sym_class_specifier] = STATE(4043),
    [sym__class_name] = STATE(8975),
    [sym_dependent_type] = STATE(4043),
    [sym_template_type] = STATE(6654),
    [sym_template_function] = STATE(6001),
    [sym_raw_string_literal] = STATE(4865),
    [sym_co_await_expression] = STATE(6001),
    [sym_new_expression] = STATE(6001),
    [sym_delete_expression] = STATE(6001),
    [sym_requires_clause] = STATE(6001),
    [sym_requires_expression] = STATE(6001),
    [sym_lambda_expression] = STATE(6001),
    [sym_lambda_capture_specifier] = STATE(7123),
    [sym_fold_expression] = STATE(6001),
    [sym_parameter_pack_expansion] = STATE(6001),
    [sym_type_parameter_pack_expansion] = STATE(8841),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6903),
    [sym_qualified_identifier] = STATE(4807),
    [sym_qualified_type_identifier] = STATE(6699),
    [sym_user_defined_literal] = STATE(4807),
    [aux_sym__type_definition_type_repeat1] = STATE(5199),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3494),
    [sym_identifier] = ACTIONS(4253),
    [anon_sym_LPAREN2] = ACTIONS(4255),
    [anon_sym_BANG] = ACTIONS(4257),
    [anon_sym_TILDE] = ACTIONS(4257),
    [anon_sym_DASH] = ACTIONS(4259),
    [anon_sym_PLUS] = ACTIONS(4259),
    [anon_sym_STAR] = ACTIONS(4261),
    [anon_sym_AMP] = ACTIONS(4261),
    [anon_sym___extension__] = ACTIONS(63),
    [anon_sym_COLON_COLON] = ACTIONS(4263),
    [anon_sym_signed] = ACTIONS(4265),
    [anon_sym_unsigned] = ACTIONS(4265),
    [anon_sym_long] = ACTIONS(4265),
    [anon_sym_short] = ACTIONS(4265),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(4267),
    [anon_sym_enum] = ACTIONS(4269),
    [anon_sym_class] = ACTIONS(4271),
    [anon_sym_struct] = ACTIONS(4273),
    [anon_sym_union] = ACTIONS(4275),
    [anon_sym_not] = ACTIONS(4259),
    [anon_sym_compl] = ACTIONS(4259),
    [anon_sym_DASH_DASH] = ACTIONS(4277),
    [anon_sym_PLUS_PLUS] = ACTIONS(4277),
    [anon_sym_sizeof] = ACTIONS(4279),
    [anon_sym___alignof__] = ACTIONS(4281),
    [anon_sym___alignof] = ACTIONS(4281),
    [anon_sym__alignof] = ACTIONS(4281),
    [anon_sym_alignof] = ACTIONS(4281),
    [anon_sym__Alignof] = ACTIONS(4281),
    [anon_sym_offsetof] = ACTIONS(4283),
    [anon_sym__Generic] = ACTIONS(4285),
    [anon_sym_asm] = ACTIONS(4287),
    [anon_sym___asm__] = ACTIONS(4287),
    [sym_number_literal] = ACTIONS(4289),
    [anon_sym_L_SQUOTE] = ACTIONS(4291),
    [anon_sym_u_SQUOTE] = ACTIONS(4291),
    [anon_sym_U_SQUOTE] = ACTIONS(4291),
    [anon_sym_u8_SQUOTE] = ACTIONS(4291),
    [anon_sym_SQUOTE] = ACTIONS(4291),
    [anon_sym_L_DQUOTE] = ACTIONS(4293),
    [anon_sym_u_DQUOTE] = ACTIONS(4293),
    [anon_sym_U_DQUOTE] = ACTIONS(4293),
    [anon_sym_u8_DQUOTE] = ACTIONS(4293),
    [anon_sym_DQUOTE] = ACTIONS(4293),
    [sym_true] = ACTIONS(4295),
    [sym_false] = ACTIONS(4295),
    [anon_sym_NULL] = ACTIONS(4297),
    [anon_sym_nullptr] = ACTIONS(4297),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4299),
    [anon_sym_decltype] = ACTIONS(4301),
    [anon_sym_typename] = ACTIONS(4303),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_GT2] = ACTIONS(4343),
    [anon_sym_delete] = ACTIONS(4307),
    [anon_sym_R_DQUOTE] = ACTIONS(4309),
    [anon_sym_LR_DQUOTE] = ACTIONS(4309),
    [anon_sym_uR_DQUOTE] = ACTIONS(4309),
    [anon_sym_UR_DQUOTE] = ACTIONS(4309),
    [anon_sym_u8R_DQUOTE] = ACTIONS(4309),
    [anon_sym_co_await] = ACTIONS(4311),
    [anon_sym_new] = ACTIONS(4313),
    [anon_sym_requires] = ACTIONS(4315),
    [sym_this] = ACTIONS(4295),
  },
  [1499] = {
    [sym_type_qualifier] = STATE(5199),
    [sym__type_specifier] = STATE(6115),
    [sym_sized_type_specifier] = STATE(4043),
    [sym_enum_specifier] = STATE(4043),
    [sym_struct_specifier] = STATE(4043),
    [sym_union_specifier] = STATE(4043),
    [sym__expression] = STATE(5535),
    [sym__expression_not_binary] = STATE(6001),
    [sym__string] = STATE(6001),
    [sym_conditional_expression] = STATE(6001),
    [sym_assignment_expression] = STATE(6001),
    [sym_pointer_expression] = STATE(4807),
    [sym_unary_expression] = STATE(6001),
    [sym_binary_expression] = STATE(6001),
    [sym_update_expression] = STATE(6001),
    [sym_cast_expression] = STATE(6001),
    [sym_type_descriptor] = STATE(8185),
    [sym_sizeof_expression] = STATE(6001),
    [sym_alignof_expression] = STATE(6001),
    [sym_offsetof_expression] = STATE(6001),
    [sym_generic_expression] = STATE(6001),
    [sym_subscript_expression] = STATE(4807),
    [sym_call_expression] = STATE(4807),
    [sym_gnu_asm_expression] = STATE(6001),
    [sym_field_expression] = STATE(4807),
    [sym_compound_literal_expression] = STATE(6001),
    [sym_parenthesized_expression] = STATE(4807),
    [sym_char_literal] = STATE(5842),
    [sym_concatenated_string] = STATE(5845),
    [sym_string_literal] = STATE(4864),
    [sym_null] = STATE(6001),
    [sym_placeholder_type_specifier] = STATE(4043),
    [sym_decltype_auto] = STATE(4013),
    [sym_decltype] = STATE(3955),
    [sym_class_specifier] = STATE(4043),
    [sym__class_name] = STATE(8975),
    [sym_dependent_type] = STATE(4043),
    [sym_template_type] = STATE(6654),
    [sym_template_function] = STATE(6001),
    [sym_raw_string_literal] = STATE(4865),
    [sym_co_await_expression] = STATE(6001),
    [sym_new_expression] = STATE(6001),
    [sym_delete_expression] = STATE(6001),
    [sym_requires_clause] = STATE(6001),
    [sym_requires_expression] = STATE(6001),
    [sym_lambda_expression] = STATE(6001),
    [sym_lambda_capture_specifier] = STATE(7123),
    [sym_fold_expression] = STATE(6001),
    [sym_parameter_pack_expansion] = STATE(6001),
    [sym_type_parameter_pack_expansion] = STATE(8966),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6903),
    [sym_qualified_identifier] = STATE(4807),
    [sym_qualified_type_identifier] = STATE(6699),
    [sym_user_defined_literal] = STATE(4807),
    [aux_sym__type_definition_type_repeat1] = STATE(5199),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3494),
    [sym_identifier] = ACTIONS(4253),
    [anon_sym_LPAREN2] = ACTIONS(4255),
    [anon_sym_BANG] = ACTIONS(4257),
    [anon_sym_TILDE] = ACTIONS(4257),
    [anon_sym_DASH] = ACTIONS(4259),
    [anon_sym_PLUS] = ACTIONS(4259),
    [anon_sym_STAR] = ACTIONS(4261),
    [anon_sym_AMP] = ACTIONS(4261),
    [anon_sym___extension__] = ACTIONS(63),
    [anon_sym_COLON_COLON] = ACTIONS(4263),
    [anon_sym_signed] = ACTIONS(4265),
    [anon_sym_unsigned] = ACTIONS(4265),
    [anon_sym_long] = ACTIONS(4265),
    [anon_sym_short] = ACTIONS(4265),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(4267),
    [anon_sym_enum] = ACTIONS(4269),
    [anon_sym_class] = ACTIONS(4271),
    [anon_sym_struct] = ACTIONS(4273),
    [anon_sym_union] = ACTIONS(4275),
    [anon_sym_not] = ACTIONS(4259),
    [anon_sym_compl] = ACTIONS(4259),
    [anon_sym_DASH_DASH] = ACTIONS(4277),
    [anon_sym_PLUS_PLUS] = ACTIONS(4277),
    [anon_sym_sizeof] = ACTIONS(4279),
    [anon_sym___alignof__] = ACTIONS(4281),
    [anon_sym___alignof] = ACTIONS(4281),
    [anon_sym__alignof] = ACTIONS(4281),
    [anon_sym_alignof] = ACTIONS(4281),
    [anon_sym__Alignof] = ACTIONS(4281),
    [anon_sym_offsetof] = ACTIONS(4283),
    [anon_sym__Generic] = ACTIONS(4285),
    [anon_sym_asm] = ACTIONS(4287),
    [anon_sym___asm__] = ACTIONS(4287),
    [sym_number_literal] = ACTIONS(4289),
    [anon_sym_L_SQUOTE] = ACTIONS(4291),
    [anon_sym_u_SQUOTE] = ACTIONS(4291),
    [anon_sym_U_SQUOTE] = ACTIONS(4291),
    [anon_sym_u8_SQUOTE] = ACTIONS(4291),
    [anon_sym_SQUOTE] = ACTIONS(4291),
    [anon_sym_L_DQUOTE] = ACTIONS(4293),
    [anon_sym_u_DQUOTE] = ACTIONS(4293),
    [anon_sym_U_DQUOTE] = ACTIONS(4293),
    [anon_sym_u8_DQUOTE] = ACTIONS(4293),
    [anon_sym_DQUOTE] = ACTIONS(4293),
    [sym_true] = ACTIONS(4295),
    [sym_false] = ACTIONS(4295),
    [anon_sym_NULL] = ACTIONS(4297),
    [anon_sym_nullptr] = ACTIONS(4297),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4299),
    [anon_sym_decltype] = ACTIONS(4301),
    [anon_sym_typename] = ACTIONS(4303),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_GT2] = ACTIONS(4345),
    [anon_sym_delete] = ACTIONS(4307),
    [anon_sym_R_DQUOTE] = ACTIONS(4309),
    [anon_sym_LR_DQUOTE] = ACTIONS(4309),
    [anon_sym_uR_DQUOTE] = ACTIONS(4309),
    [anon_sym_UR_DQUOTE] = ACTIONS(4309),
    [anon_sym_u8R_DQUOTE] = ACTIONS(4309),
    [anon_sym_co_await] = ACTIONS(4311),
    [anon_sym_new] = ACTIONS(4313),
    [anon_sym_requires] = ACTIONS(4315),
    [sym_this] = ACTIONS(4295),
  },
  [1500] = {
    [sym_type_qualifier] = STATE(5199),
    [sym__type_specifier] = STATE(6115),
    [sym_sized_type_specifier] = STATE(4043),
    [sym_enum_specifier] = STATE(4043),
    [sym_struct_specifier] = STATE(4043),
    [sym_union_specifier] = STATE(4043),
    [sym__expression] = STATE(5510),
    [sym__expression_not_binary] = STATE(6001),
    [sym__string] = STATE(6001),
    [sym_conditional_expression] = STATE(6001),
    [sym_assignment_expression] = STATE(6001),
    [sym_pointer_expression] = STATE(4807),
    [sym_unary_expression] = STATE(6001),
    [sym_binary_expression] = STATE(6001),
    [sym_update_expression] = STATE(6001),
    [sym_cast_expression] = STATE(6001),
    [sym_type_descriptor] = STATE(8345),
    [sym_sizeof_expression] = STATE(6001),
    [sym_alignof_expression] = STATE(6001),
    [sym_offsetof_expression] = STATE(6001),
    [sym_generic_expression] = STATE(6001),
    [sym_subscript_expression] = STATE(4807),
    [sym_call_expression] = STATE(4807),
    [sym_gnu_asm_expression] = STATE(6001),
    [sym_field_expression] = STATE(4807),
    [sym_compound_literal_expression] = STATE(6001),
    [sym_parenthesized_expression] = STATE(4807),
    [sym_char_literal] = STATE(5842),
    [sym_concatenated_string] = STATE(5845),
    [sym_string_literal] = STATE(4864),
    [sym_null] = STATE(6001),
    [sym_placeholder_type_specifier] = STATE(4043),
    [sym_decltype_auto] = STATE(4013),
    [sym_decltype] = STATE(3955),
    [sym_class_specifier] = STATE(4043),
    [sym__class_name] = STATE(8975),
    [sym_dependent_type] = STATE(4043),
    [sym_template_type] = STATE(6654),
    [sym_template_function] = STATE(6001),
    [sym_raw_string_literal] = STATE(4865),
    [sym_co_await_expression] = STATE(6001),
    [sym_new_expression] = STATE(6001),
    [sym_delete_expression] = STATE(6001),
    [sym_requires_clause] = STATE(6001),
    [sym_requires_expression] = STATE(6001),
    [sym_lambda_expression] = STATE(6001),
    [sym_lambda_capture_specifier] = STATE(7123),
    [sym_fold_expression] = STATE(6001),
    [sym_parameter_pack_expansion] = STATE(6001),
    [sym_type_parameter_pack_expansion] = STATE(8705),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6903),
    [sym_qualified_identifier] = STATE(4807),
    [sym_qualified_type_identifier] = STATE(6699),
    [sym_user_defined_literal] = STATE(4807),
    [aux_sym__type_definition_type_repeat1] = STATE(5199),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3494),
    [sym_identifier] = ACTIONS(4253),
    [anon_sym_LPAREN2] = ACTIONS(4255),
    [anon_sym_BANG] = ACTIONS(4257),
    [anon_sym_TILDE] = ACTIONS(4257),
    [anon_sym_DASH] = ACTIONS(4259),
    [anon_sym_PLUS] = ACTIONS(4259),
    [anon_sym_STAR] = ACTIONS(4261),
    [anon_sym_AMP] = ACTIONS(4261),
    [anon_sym___extension__] = ACTIONS(63),
    [anon_sym_COLON_COLON] = ACTIONS(4263),
    [anon_sym_signed] = ACTIONS(4265),
    [anon_sym_unsigned] = ACTIONS(4265),
    [anon_sym_long] = ACTIONS(4265),
    [anon_sym_short] = ACTIONS(4265),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(4267),
    [anon_sym_enum] = ACTIONS(4269),
    [anon_sym_class] = ACTIONS(4271),
    [anon_sym_struct] = ACTIONS(4273),
    [anon_sym_union] = ACTIONS(4275),
    [anon_sym_not] = ACTIONS(4259),
    [anon_sym_compl] = ACTIONS(4259),
    [anon_sym_DASH_DASH] = ACTIONS(4277),
    [anon_sym_PLUS_PLUS] = ACTIONS(4277),
    [anon_sym_sizeof] = ACTIONS(4279),
    [anon_sym___alignof__] = ACTIONS(4281),
    [anon_sym___alignof] = ACTIONS(4281),
    [anon_sym__alignof] = ACTIONS(4281),
    [anon_sym_alignof] = ACTIONS(4281),
    [anon_sym__Alignof] = ACTIONS(4281),
    [anon_sym_offsetof] = ACTIONS(4283),
    [anon_sym__Generic] = ACTIONS(4285),
    [anon_sym_asm] = ACTIONS(4287),
    [anon_sym___asm__] = ACTIONS(4287),
    [sym_number_literal] = ACTIONS(4289),
    [anon_sym_L_SQUOTE] = ACTIONS(4291),
    [anon_sym_u_SQUOTE] = ACTIONS(4291),
    [anon_sym_U_SQUOTE] = ACTIONS(4291),
    [anon_sym_u8_SQUOTE] = ACTIONS(4291),
    [anon_sym_SQUOTE] = ACTIONS(4291),
    [anon_sym_L_DQUOTE] = ACTIONS(4293),
    [anon_sym_u_DQUOTE] = ACTIONS(4293),
    [anon_sym_U_DQUOTE] = ACTIONS(4293),
    [anon_sym_u8_DQUOTE] = ACTIONS(4293),
    [anon_sym_DQUOTE] = ACTIONS(4293),
    [sym_true] = ACTIONS(4295),
    [sym_false] = ACTIONS(4295),
    [anon_sym_NULL] = ACTIONS(4297),
    [anon_sym_nullptr] = ACTIONS(4297),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4299),
    [anon_sym_decltype] = ACTIONS(4301),
    [anon_sym_typename] = ACTIONS(4303),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_GT2] = ACTIONS(4347),
    [anon_sym_delete] = ACTIONS(4307),
    [anon_sym_R_DQUOTE] = ACTIONS(4309),
    [anon_sym_LR_DQUOTE] = ACTIONS(4309),
    [anon_sym_uR_DQUOTE] = ACTIONS(4309),
    [anon_sym_UR_DQUOTE] = ACTIONS(4309),
    [anon_sym_u8R_DQUOTE] = ACTIONS(4309),
    [anon_sym_co_await] = ACTIONS(4311),
    [anon_sym_new] = ACTIONS(4313),
    [anon_sym_requires] = ACTIONS(4315),
    [sym_this] = ACTIONS(4295),
  },
  [1501] = {
    [sym_type_qualifier] = STATE(5199),
    [sym__type_specifier] = STATE(6115),
    [sym_sized_type_specifier] = STATE(4043),
    [sym_enum_specifier] = STATE(4043),
    [sym_struct_specifier] = STATE(4043),
    [sym_union_specifier] = STATE(4043),
    [sym__expression] = STATE(5529),
    [sym__expression_not_binary] = STATE(6001),
    [sym__string] = STATE(6001),
    [sym_conditional_expression] = STATE(6001),
    [sym_assignment_expression] = STATE(6001),
    [sym_pointer_expression] = STATE(4807),
    [sym_unary_expression] = STATE(6001),
    [sym_binary_expression] = STATE(6001),
    [sym_update_expression] = STATE(6001),
    [sym_cast_expression] = STATE(6001),
    [sym_type_descriptor] = STATE(8166),
    [sym_sizeof_expression] = STATE(6001),
    [sym_alignof_expression] = STATE(6001),
    [sym_offsetof_expression] = STATE(6001),
    [sym_generic_expression] = STATE(6001),
    [sym_subscript_expression] = STATE(4807),
    [sym_call_expression] = STATE(4807),
    [sym_gnu_asm_expression] = STATE(6001),
    [sym_field_expression] = STATE(4807),
    [sym_compound_literal_expression] = STATE(6001),
    [sym_parenthesized_expression] = STATE(4807),
    [sym_char_literal] = STATE(5842),
    [sym_concatenated_string] = STATE(5845),
    [sym_string_literal] = STATE(4864),
    [sym_null] = STATE(6001),
    [sym_placeholder_type_specifier] = STATE(4043),
    [sym_decltype_auto] = STATE(4013),
    [sym_decltype] = STATE(3955),
    [sym_class_specifier] = STATE(4043),
    [sym__class_name] = STATE(8975),
    [sym_dependent_type] = STATE(4043),
    [sym_template_type] = STATE(6654),
    [sym_template_function] = STATE(6001),
    [sym_raw_string_literal] = STATE(4865),
    [sym_co_await_expression] = STATE(6001),
    [sym_new_expression] = STATE(6001),
    [sym_delete_expression] = STATE(6001),
    [sym_requires_clause] = STATE(6001),
    [sym_requires_expression] = STATE(6001),
    [sym_lambda_expression] = STATE(6001),
    [sym_lambda_capture_specifier] = STATE(7123),
    [sym_fold_expression] = STATE(6001),
    [sym_parameter_pack_expansion] = STATE(6001),
    [sym_type_parameter_pack_expansion] = STATE(8902),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6903),
    [sym_qualified_identifier] = STATE(4807),
    [sym_qualified_type_identifier] = STATE(6699),
    [sym_user_defined_literal] = STATE(4807),
    [aux_sym__type_definition_type_repeat1] = STATE(5199),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3494),
    [sym_identifier] = ACTIONS(4253),
    [anon_sym_LPAREN2] = ACTIONS(4255),
    [anon_sym_BANG] = ACTIONS(4257),
    [anon_sym_TILDE] = ACTIONS(4257),
    [anon_sym_DASH] = ACTIONS(4259),
    [anon_sym_PLUS] = ACTIONS(4259),
    [anon_sym_STAR] = ACTIONS(4261),
    [anon_sym_AMP] = ACTIONS(4261),
    [anon_sym___extension__] = ACTIONS(63),
    [anon_sym_COLON_COLON] = ACTIONS(4263),
    [anon_sym_signed] = ACTIONS(4265),
    [anon_sym_unsigned] = ACTIONS(4265),
    [anon_sym_long] = ACTIONS(4265),
    [anon_sym_short] = ACTIONS(4265),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(4267),
    [anon_sym_enum] = ACTIONS(4269),
    [anon_sym_class] = ACTIONS(4271),
    [anon_sym_struct] = ACTIONS(4273),
    [anon_sym_union] = ACTIONS(4275),
    [anon_sym_not] = ACTIONS(4259),
    [anon_sym_compl] = ACTIONS(4259),
    [anon_sym_DASH_DASH] = ACTIONS(4277),
    [anon_sym_PLUS_PLUS] = ACTIONS(4277),
    [anon_sym_sizeof] = ACTIONS(4279),
    [anon_sym___alignof__] = ACTIONS(4281),
    [anon_sym___alignof] = ACTIONS(4281),
    [anon_sym__alignof] = ACTIONS(4281),
    [anon_sym_alignof] = ACTIONS(4281),
    [anon_sym__Alignof] = ACTIONS(4281),
    [anon_sym_offsetof] = ACTIONS(4283),
    [anon_sym__Generic] = ACTIONS(4285),
    [anon_sym_asm] = ACTIONS(4287),
    [anon_sym___asm__] = ACTIONS(4287),
    [sym_number_literal] = ACTIONS(4289),
    [anon_sym_L_SQUOTE] = ACTIONS(4291),
    [anon_sym_u_SQUOTE] = ACTIONS(4291),
    [anon_sym_U_SQUOTE] = ACTIONS(4291),
    [anon_sym_u8_SQUOTE] = ACTIONS(4291),
    [anon_sym_SQUOTE] = ACTIONS(4291),
    [anon_sym_L_DQUOTE] = ACTIONS(4293),
    [anon_sym_u_DQUOTE] = ACTIONS(4293),
    [anon_sym_U_DQUOTE] = ACTIONS(4293),
    [anon_sym_u8_DQUOTE] = ACTIONS(4293),
    [anon_sym_DQUOTE] = ACTIONS(4293),
    [sym_true] = ACTIONS(4295),
    [sym_false] = ACTIONS(4295),
    [anon_sym_NULL] = ACTIONS(4297),
    [anon_sym_nullptr] = ACTIONS(4297),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4299),
    [anon_sym_decltype] = ACTIONS(4301),
    [anon_sym_typename] = ACTIONS(4303),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_GT2] = ACTIONS(4349),
    [anon_sym_delete] = ACTIONS(4307),
    [anon_sym_R_DQUOTE] = ACTIONS(4309),
    [anon_sym_LR_DQUOTE] = ACTIONS(4309),
    [anon_sym_uR_DQUOTE] = ACTIONS(4309),
    [anon_sym_UR_DQUOTE] = ACTIONS(4309),
    [anon_sym_u8R_DQUOTE] = ACTIONS(4309),
    [anon_sym_co_await] = ACTIONS(4311),
    [anon_sym_new] = ACTIONS(4313),
    [anon_sym_requires] = ACTIONS(4315),
    [sym_this] = ACTIONS(4295),
  },
  [1502] = {
    [sym_type_qualifier] = STATE(5199),
    [sym__type_specifier] = STATE(6115),
    [sym_sized_type_specifier] = STATE(4043),
    [sym_enum_specifier] = STATE(4043),
    [sym_struct_specifier] = STATE(4043),
    [sym_union_specifier] = STATE(4043),
    [sym__expression] = STATE(5534),
    [sym__expression_not_binary] = STATE(6001),
    [sym__string] = STATE(6001),
    [sym_conditional_expression] = STATE(6001),
    [sym_assignment_expression] = STATE(6001),
    [sym_pointer_expression] = STATE(4807),
    [sym_unary_expression] = STATE(6001),
    [sym_binary_expression] = STATE(6001),
    [sym_update_expression] = STATE(6001),
    [sym_cast_expression] = STATE(6001),
    [sym_type_descriptor] = STATE(8183),
    [sym_sizeof_expression] = STATE(6001),
    [sym_alignof_expression] = STATE(6001),
    [sym_offsetof_expression] = STATE(6001),
    [sym_generic_expression] = STATE(6001),
    [sym_subscript_expression] = STATE(4807),
    [sym_call_expression] = STATE(4807),
    [sym_gnu_asm_expression] = STATE(6001),
    [sym_field_expression] = STATE(4807),
    [sym_compound_literal_expression] = STATE(6001),
    [sym_parenthesized_expression] = STATE(4807),
    [sym_char_literal] = STATE(5842),
    [sym_concatenated_string] = STATE(5845),
    [sym_string_literal] = STATE(4864),
    [sym_null] = STATE(6001),
    [sym_placeholder_type_specifier] = STATE(4043),
    [sym_decltype_auto] = STATE(4013),
    [sym_decltype] = STATE(3955),
    [sym_class_specifier] = STATE(4043),
    [sym__class_name] = STATE(8975),
    [sym_dependent_type] = STATE(4043),
    [sym_template_type] = STATE(6654),
    [sym_template_function] = STATE(6001),
    [sym_raw_string_literal] = STATE(4865),
    [sym_co_await_expression] = STATE(6001),
    [sym_new_expression] = STATE(6001),
    [sym_delete_expression] = STATE(6001),
    [sym_requires_clause] = STATE(6001),
    [sym_requires_expression] = STATE(6001),
    [sym_lambda_expression] = STATE(6001),
    [sym_lambda_capture_specifier] = STATE(7123),
    [sym_fold_expression] = STATE(6001),
    [sym_parameter_pack_expansion] = STATE(6001),
    [sym_type_parameter_pack_expansion] = STATE(8958),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6903),
    [sym_qualified_identifier] = STATE(4807),
    [sym_qualified_type_identifier] = STATE(6699),
    [sym_user_defined_literal] = STATE(4807),
    [aux_sym__type_definition_type_repeat1] = STATE(5199),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3494),
    [sym_identifier] = ACTIONS(4253),
    [anon_sym_LPAREN2] = ACTIONS(4255),
    [anon_sym_BANG] = ACTIONS(4257),
    [anon_sym_TILDE] = ACTIONS(4257),
    [anon_sym_DASH] = ACTIONS(4259),
    [anon_sym_PLUS] = ACTIONS(4259),
    [anon_sym_STAR] = ACTIONS(4261),
    [anon_sym_AMP] = ACTIONS(4261),
    [anon_sym___extension__] = ACTIONS(63),
    [anon_sym_COLON_COLON] = ACTIONS(4263),
    [anon_sym_signed] = ACTIONS(4265),
    [anon_sym_unsigned] = ACTIONS(4265),
    [anon_sym_long] = ACTIONS(4265),
    [anon_sym_short] = ACTIONS(4265),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(4267),
    [anon_sym_enum] = ACTIONS(4269),
    [anon_sym_class] = ACTIONS(4271),
    [anon_sym_struct] = ACTIONS(4273),
    [anon_sym_union] = ACTIONS(4275),
    [anon_sym_not] = ACTIONS(4259),
    [anon_sym_compl] = ACTIONS(4259),
    [anon_sym_DASH_DASH] = ACTIONS(4277),
    [anon_sym_PLUS_PLUS] = ACTIONS(4277),
    [anon_sym_sizeof] = ACTIONS(4279),
    [anon_sym___alignof__] = ACTIONS(4281),
    [anon_sym___alignof] = ACTIONS(4281),
    [anon_sym__alignof] = ACTIONS(4281),
    [anon_sym_alignof] = ACTIONS(4281),
    [anon_sym__Alignof] = ACTIONS(4281),
    [anon_sym_offsetof] = ACTIONS(4283),
    [anon_sym__Generic] = ACTIONS(4285),
    [anon_sym_asm] = ACTIONS(4287),
    [anon_sym___asm__] = ACTIONS(4287),
    [sym_number_literal] = ACTIONS(4289),
    [anon_sym_L_SQUOTE] = ACTIONS(4291),
    [anon_sym_u_SQUOTE] = ACTIONS(4291),
    [anon_sym_U_SQUOTE] = ACTIONS(4291),
    [anon_sym_u8_SQUOTE] = ACTIONS(4291),
    [anon_sym_SQUOTE] = ACTIONS(4291),
    [anon_sym_L_DQUOTE] = ACTIONS(4293),
    [anon_sym_u_DQUOTE] = ACTIONS(4293),
    [anon_sym_U_DQUOTE] = ACTIONS(4293),
    [anon_sym_u8_DQUOTE] = ACTIONS(4293),
    [anon_sym_DQUOTE] = ACTIONS(4293),
    [sym_true] = ACTIONS(4295),
    [sym_false] = ACTIONS(4295),
    [anon_sym_NULL] = ACTIONS(4297),
    [anon_sym_nullptr] = ACTIONS(4297),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4299),
    [anon_sym_decltype] = ACTIONS(4301),
    [anon_sym_typename] = ACTIONS(4303),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_GT2] = ACTIONS(4351),
    [anon_sym_delete] = ACTIONS(4307),
    [anon_sym_R_DQUOTE] = ACTIONS(4309),
    [anon_sym_LR_DQUOTE] = ACTIONS(4309),
    [anon_sym_uR_DQUOTE] = ACTIONS(4309),
    [anon_sym_UR_DQUOTE] = ACTIONS(4309),
    [anon_sym_u8R_DQUOTE] = ACTIONS(4309),
    [anon_sym_co_await] = ACTIONS(4311),
    [anon_sym_new] = ACTIONS(4313),
    [anon_sym_requires] = ACTIONS(4315),
    [sym_this] = ACTIONS(4295),
  },
  [1503] = {
    [sym_type_qualifier] = STATE(5199),
    [sym__type_specifier] = STATE(6115),
    [sym_sized_type_specifier] = STATE(4043),
    [sym_enum_specifier] = STATE(4043),
    [sym_struct_specifier] = STATE(4043),
    [sym_union_specifier] = STATE(4043),
    [sym__expression] = STATE(5470),
    [sym__expression_not_binary] = STATE(6001),
    [sym__string] = STATE(6001),
    [sym_conditional_expression] = STATE(6001),
    [sym_assignment_expression] = STATE(6001),
    [sym_pointer_expression] = STATE(4807),
    [sym_unary_expression] = STATE(6001),
    [sym_binary_expression] = STATE(6001),
    [sym_update_expression] = STATE(6001),
    [sym_cast_expression] = STATE(6001),
    [sym_type_descriptor] = STATE(8382),
    [sym_sizeof_expression] = STATE(6001),
    [sym_alignof_expression] = STATE(6001),
    [sym_offsetof_expression] = STATE(6001),
    [sym_generic_expression] = STATE(6001),
    [sym_subscript_expression] = STATE(4807),
    [sym_call_expression] = STATE(4807),
    [sym_gnu_asm_expression] = STATE(6001),
    [sym_field_expression] = STATE(4807),
    [sym_compound_literal_expression] = STATE(6001),
    [sym_parenthesized_expression] = STATE(4807),
    [sym_char_literal] = STATE(5842),
    [sym_concatenated_string] = STATE(5845),
    [sym_string_literal] = STATE(4864),
    [sym_null] = STATE(6001),
    [sym_placeholder_type_specifier] = STATE(4043),
    [sym_decltype_auto] = STATE(4013),
    [sym_decltype] = STATE(3955),
    [sym_class_specifier] = STATE(4043),
    [sym__class_name] = STATE(8975),
    [sym_dependent_type] = STATE(4043),
    [sym_template_type] = STATE(6654),
    [sym_template_function] = STATE(6001),
    [sym_raw_string_literal] = STATE(4865),
    [sym_co_await_expression] = STATE(6001),
    [sym_new_expression] = STATE(6001),
    [sym_delete_expression] = STATE(6001),
    [sym_requires_clause] = STATE(6001),
    [sym_requires_expression] = STATE(6001),
    [sym_lambda_expression] = STATE(6001),
    [sym_lambda_capture_specifier] = STATE(7123),
    [sym_fold_expression] = STATE(6001),
    [sym_parameter_pack_expansion] = STATE(6001),
    [sym_type_parameter_pack_expansion] = STATE(8660),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6903),
    [sym_qualified_identifier] = STATE(4807),
    [sym_qualified_type_identifier] = STATE(6699),
    [sym_user_defined_literal] = STATE(4807),
    [aux_sym__type_definition_type_repeat1] = STATE(5199),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3494),
    [sym_identifier] = ACTIONS(4253),
    [anon_sym_LPAREN2] = ACTIONS(4255),
    [anon_sym_BANG] = ACTIONS(4257),
    [anon_sym_TILDE] = ACTIONS(4257),
    [anon_sym_DASH] = ACTIONS(4259),
    [anon_sym_PLUS] = ACTIONS(4259),
    [anon_sym_STAR] = ACTIONS(4261),
    [anon_sym_AMP] = ACTIONS(4261),
    [anon_sym___extension__] = ACTIONS(63),
    [anon_sym_COLON_COLON] = ACTIONS(4263),
    [anon_sym_signed] = ACTIONS(4265),
    [anon_sym_unsigned] = ACTIONS(4265),
    [anon_sym_long] = ACTIONS(4265),
    [anon_sym_short] = ACTIONS(4265),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(4267),
    [anon_sym_enum] = ACTIONS(4269),
    [anon_sym_class] = ACTIONS(4271),
    [anon_sym_struct] = ACTIONS(4273),
    [anon_sym_union] = ACTIONS(4275),
    [anon_sym_not] = ACTIONS(4259),
    [anon_sym_compl] = ACTIONS(4259),
    [anon_sym_DASH_DASH] = ACTIONS(4277),
    [anon_sym_PLUS_PLUS] = ACTIONS(4277),
    [anon_sym_sizeof] = ACTIONS(4279),
    [anon_sym___alignof__] = ACTIONS(4281),
    [anon_sym___alignof] = ACTIONS(4281),
    [anon_sym__alignof] = ACTIONS(4281),
    [anon_sym_alignof] = ACTIONS(4281),
    [anon_sym__Alignof] = ACTIONS(4281),
    [anon_sym_offsetof] = ACTIONS(4283),
    [anon_sym__Generic] = ACTIONS(4285),
    [anon_sym_asm] = ACTIONS(4287),
    [anon_sym___asm__] = ACTIONS(4287),
    [sym_number_literal] = ACTIONS(4289),
    [anon_sym_L_SQUOTE] = ACTIONS(4291),
    [anon_sym_u_SQUOTE] = ACTIONS(4291),
    [anon_sym_U_SQUOTE] = ACTIONS(4291),
    [anon_sym_u8_SQUOTE] = ACTIONS(4291),
    [anon_sym_SQUOTE] = ACTIONS(4291),
    [anon_sym_L_DQUOTE] = ACTIONS(4293),
    [anon_sym_u_DQUOTE] = ACTIONS(4293),
    [anon_sym_U_DQUOTE] = ACTIONS(4293),
    [anon_sym_u8_DQUOTE] = ACTIONS(4293),
    [anon_sym_DQUOTE] = ACTIONS(4293),
    [sym_true] = ACTIONS(4295),
    [sym_false] = ACTIONS(4295),
    [anon_sym_NULL] = ACTIONS(4297),
    [anon_sym_nullptr] = ACTIONS(4297),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4299),
    [anon_sym_decltype] = ACTIONS(4301),
    [anon_sym_typename] = ACTIONS(4303),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_GT2] = ACTIONS(4353),
    [anon_sym_delete] = ACTIONS(4307),
    [anon_sym_R_DQUOTE] = ACTIONS(4309),
    [anon_sym_LR_DQUOTE] = ACTIONS(4309),
    [anon_sym_uR_DQUOTE] = ACTIONS(4309),
    [anon_sym_UR_DQUOTE] = ACTIONS(4309),
    [anon_sym_u8R_DQUOTE] = ACTIONS(4309),
    [anon_sym_co_await] = ACTIONS(4311),
    [anon_sym_new] = ACTIONS(4313),
    [anon_sym_requires] = ACTIONS(4315),
    [sym_this] = ACTIONS(4295),
  },
  [1504] = {
    [sym_type_qualifier] = STATE(5199),
    [sym__type_specifier] = STATE(6115),
    [sym_sized_type_specifier] = STATE(4043),
    [sym_enum_specifier] = STATE(4043),
    [sym_struct_specifier] = STATE(4043),
    [sym_union_specifier] = STATE(4043),
    [sym__expression] = STATE(5533),
    [sym__expression_not_binary] = STATE(6001),
    [sym__string] = STATE(6001),
    [sym_conditional_expression] = STATE(6001),
    [sym_assignment_expression] = STATE(6001),
    [sym_pointer_expression] = STATE(4807),
    [sym_unary_expression] = STATE(6001),
    [sym_binary_expression] = STATE(6001),
    [sym_update_expression] = STATE(6001),
    [sym_cast_expression] = STATE(6001),
    [sym_type_descriptor] = STATE(8181),
    [sym_sizeof_expression] = STATE(6001),
    [sym_alignof_expression] = STATE(6001),
    [sym_offsetof_expression] = STATE(6001),
    [sym_generic_expression] = STATE(6001),
    [sym_subscript_expression] = STATE(4807),
    [sym_call_expression] = STATE(4807),
    [sym_gnu_asm_expression] = STATE(6001),
    [sym_field_expression] = STATE(4807),
    [sym_compound_literal_expression] = STATE(6001),
    [sym_parenthesized_expression] = STATE(4807),
    [sym_char_literal] = STATE(5842),
    [sym_concatenated_string] = STATE(5845),
    [sym_string_literal] = STATE(4864),
    [sym_null] = STATE(6001),
    [sym_placeholder_type_specifier] = STATE(4043),
    [sym_decltype_auto] = STATE(4013),
    [sym_decltype] = STATE(3955),
    [sym_class_specifier] = STATE(4043),
    [sym__class_name] = STATE(8975),
    [sym_dependent_type] = STATE(4043),
    [sym_template_type] = STATE(6654),
    [sym_template_function] = STATE(6001),
    [sym_raw_string_literal] = STATE(4865),
    [sym_co_await_expression] = STATE(6001),
    [sym_new_expression] = STATE(6001),
    [sym_delete_expression] = STATE(6001),
    [sym_requires_clause] = STATE(6001),
    [sym_requires_expression] = STATE(6001),
    [sym_lambda_expression] = STATE(6001),
    [sym_lambda_capture_specifier] = STATE(7123),
    [sym_fold_expression] = STATE(6001),
    [sym_parameter_pack_expansion] = STATE(6001),
    [sym_type_parameter_pack_expansion] = STATE(8950),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6903),
    [sym_qualified_identifier] = STATE(4807),
    [sym_qualified_type_identifier] = STATE(6699),
    [sym_user_defined_literal] = STATE(4807),
    [aux_sym__type_definition_type_repeat1] = STATE(5199),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3494),
    [sym_identifier] = ACTIONS(4253),
    [anon_sym_LPAREN2] = ACTIONS(4255),
    [anon_sym_BANG] = ACTIONS(4257),
    [anon_sym_TILDE] = ACTIONS(4257),
    [anon_sym_DASH] = ACTIONS(4259),
    [anon_sym_PLUS] = ACTIONS(4259),
    [anon_sym_STAR] = ACTIONS(4261),
    [anon_sym_AMP] = ACTIONS(4261),
    [anon_sym___extension__] = ACTIONS(63),
    [anon_sym_COLON_COLON] = ACTIONS(4263),
    [anon_sym_signed] = ACTIONS(4265),
    [anon_sym_unsigned] = ACTIONS(4265),
    [anon_sym_long] = ACTIONS(4265),
    [anon_sym_short] = ACTIONS(4265),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(4267),
    [anon_sym_enum] = ACTIONS(4269),
    [anon_sym_class] = ACTIONS(4271),
    [anon_sym_struct] = ACTIONS(4273),
    [anon_sym_union] = ACTIONS(4275),
    [anon_sym_not] = ACTIONS(4259),
    [anon_sym_compl] = ACTIONS(4259),
    [anon_sym_DASH_DASH] = ACTIONS(4277),
    [anon_sym_PLUS_PLUS] = ACTIONS(4277),
    [anon_sym_sizeof] = ACTIONS(4279),
    [anon_sym___alignof__] = ACTIONS(4281),
    [anon_sym___alignof] = ACTIONS(4281),
    [anon_sym__alignof] = ACTIONS(4281),
    [anon_sym_alignof] = ACTIONS(4281),
    [anon_sym__Alignof] = ACTIONS(4281),
    [anon_sym_offsetof] = ACTIONS(4283),
    [anon_sym__Generic] = ACTIONS(4285),
    [anon_sym_asm] = ACTIONS(4287),
    [anon_sym___asm__] = ACTIONS(4287),
    [sym_number_literal] = ACTIONS(4289),
    [anon_sym_L_SQUOTE] = ACTIONS(4291),
    [anon_sym_u_SQUOTE] = ACTIONS(4291),
    [anon_sym_U_SQUOTE] = ACTIONS(4291),
    [anon_sym_u8_SQUOTE] = ACTIONS(4291),
    [anon_sym_SQUOTE] = ACTIONS(4291),
    [anon_sym_L_DQUOTE] = ACTIONS(4293),
    [anon_sym_u_DQUOTE] = ACTIONS(4293),
    [anon_sym_U_DQUOTE] = ACTIONS(4293),
    [anon_sym_u8_DQUOTE] = ACTIONS(4293),
    [anon_sym_DQUOTE] = ACTIONS(4293),
    [sym_true] = ACTIONS(4295),
    [sym_false] = ACTIONS(4295),
    [anon_sym_NULL] = ACTIONS(4297),
    [anon_sym_nullptr] = ACTIONS(4297),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4299),
    [anon_sym_decltype] = ACTIONS(4301),
    [anon_sym_typename] = ACTIONS(4303),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_GT2] = ACTIONS(4355),
    [anon_sym_delete] = ACTIONS(4307),
    [anon_sym_R_DQUOTE] = ACTIONS(4309),
    [anon_sym_LR_DQUOTE] = ACTIONS(4309),
    [anon_sym_uR_DQUOTE] = ACTIONS(4309),
    [anon_sym_UR_DQUOTE] = ACTIONS(4309),
    [anon_sym_u8R_DQUOTE] = ACTIONS(4309),
    [anon_sym_co_await] = ACTIONS(4311),
    [anon_sym_new] = ACTIONS(4313),
    [anon_sym_requires] = ACTIONS(4315),
    [sym_this] = ACTIONS(4295),
  },
  [1505] = {
    [sym_type_qualifier] = STATE(5199),
    [sym__type_specifier] = STATE(6115),
    [sym_sized_type_specifier] = STATE(4043),
    [sym_enum_specifier] = STATE(4043),
    [sym_struct_specifier] = STATE(4043),
    [sym_union_specifier] = STATE(4043),
    [sym__expression] = STATE(5513),
    [sym__expression_not_binary] = STATE(6001),
    [sym__string] = STATE(6001),
    [sym_conditional_expression] = STATE(6001),
    [sym_assignment_expression] = STATE(6001),
    [sym_pointer_expression] = STATE(4807),
    [sym_unary_expression] = STATE(6001),
    [sym_binary_expression] = STATE(6001),
    [sym_update_expression] = STATE(6001),
    [sym_cast_expression] = STATE(6001),
    [sym_type_descriptor] = STATE(8237),
    [sym_sizeof_expression] = STATE(6001),
    [sym_alignof_expression] = STATE(6001),
    [sym_offsetof_expression] = STATE(6001),
    [sym_generic_expression] = STATE(6001),
    [sym_subscript_expression] = STATE(4807),
    [sym_call_expression] = STATE(4807),
    [sym_gnu_asm_expression] = STATE(6001),
    [sym_field_expression] = STATE(4807),
    [sym_compound_literal_expression] = STATE(6001),
    [sym_parenthesized_expression] = STATE(4807),
    [sym_char_literal] = STATE(5842),
    [sym_concatenated_string] = STATE(5845),
    [sym_string_literal] = STATE(4864),
    [sym_null] = STATE(6001),
    [sym_placeholder_type_specifier] = STATE(4043),
    [sym_decltype_auto] = STATE(4013),
    [sym_decltype] = STATE(3955),
    [sym_class_specifier] = STATE(4043),
    [sym__class_name] = STATE(8975),
    [sym_dependent_type] = STATE(4043),
    [sym_template_type] = STATE(6654),
    [sym_template_function] = STATE(6001),
    [sym_raw_string_literal] = STATE(4865),
    [sym_co_await_expression] = STATE(6001),
    [sym_new_expression] = STATE(6001),
    [sym_delete_expression] = STATE(6001),
    [sym_requires_clause] = STATE(6001),
    [sym_requires_expression] = STATE(6001),
    [sym_lambda_expression] = STATE(6001),
    [sym_lambda_capture_specifier] = STATE(7123),
    [sym_fold_expression] = STATE(6001),
    [sym_parameter_pack_expansion] = STATE(6001),
    [sym_type_parameter_pack_expansion] = STATE(8820),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6903),
    [sym_qualified_identifier] = STATE(4807),
    [sym_qualified_type_identifier] = STATE(6699),
    [sym_user_defined_literal] = STATE(4807),
    [aux_sym__type_definition_type_repeat1] = STATE(5199),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3494),
    [sym_identifier] = ACTIONS(4253),
    [anon_sym_LPAREN2] = ACTIONS(4255),
    [anon_sym_BANG] = ACTIONS(4257),
    [anon_sym_TILDE] = ACTIONS(4257),
    [anon_sym_DASH] = ACTIONS(4259),
    [anon_sym_PLUS] = ACTIONS(4259),
    [anon_sym_STAR] = ACTIONS(4261),
    [anon_sym_AMP] = ACTIONS(4261),
    [anon_sym___extension__] = ACTIONS(63),
    [anon_sym_COLON_COLON] = ACTIONS(4263),
    [anon_sym_signed] = ACTIONS(4265),
    [anon_sym_unsigned] = ACTIONS(4265),
    [anon_sym_long] = ACTIONS(4265),
    [anon_sym_short] = ACTIONS(4265),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(4267),
    [anon_sym_enum] = ACTIONS(4269),
    [anon_sym_class] = ACTIONS(4271),
    [anon_sym_struct] = ACTIONS(4273),
    [anon_sym_union] = ACTIONS(4275),
    [anon_sym_not] = ACTIONS(4259),
    [anon_sym_compl] = ACTIONS(4259),
    [anon_sym_DASH_DASH] = ACTIONS(4277),
    [anon_sym_PLUS_PLUS] = ACTIONS(4277),
    [anon_sym_sizeof] = ACTIONS(4279),
    [anon_sym___alignof__] = ACTIONS(4281),
    [anon_sym___alignof] = ACTIONS(4281),
    [anon_sym__alignof] = ACTIONS(4281),
    [anon_sym_alignof] = ACTIONS(4281),
    [anon_sym__Alignof] = ACTIONS(4281),
    [anon_sym_offsetof] = ACTIONS(4283),
    [anon_sym__Generic] = ACTIONS(4285),
    [anon_sym_asm] = ACTIONS(4287),
    [anon_sym___asm__] = ACTIONS(4287),
    [sym_number_literal] = ACTIONS(4289),
    [anon_sym_L_SQUOTE] = ACTIONS(4291),
    [anon_sym_u_SQUOTE] = ACTIONS(4291),
    [anon_sym_U_SQUOTE] = ACTIONS(4291),
    [anon_sym_u8_SQUOTE] = ACTIONS(4291),
    [anon_sym_SQUOTE] = ACTIONS(4291),
    [anon_sym_L_DQUOTE] = ACTIONS(4293),
    [anon_sym_u_DQUOTE] = ACTIONS(4293),
    [anon_sym_U_DQUOTE] = ACTIONS(4293),
    [anon_sym_u8_DQUOTE] = ACTIONS(4293),
    [anon_sym_DQUOTE] = ACTIONS(4293),
    [sym_true] = ACTIONS(4295),
    [sym_false] = ACTIONS(4295),
    [anon_sym_NULL] = ACTIONS(4297),
    [anon_sym_nullptr] = ACTIONS(4297),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4299),
    [anon_sym_decltype] = ACTIONS(4301),
    [anon_sym_typename] = ACTIONS(4303),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_GT2] = ACTIONS(4357),
    [anon_sym_delete] = ACTIONS(4307),
    [anon_sym_R_DQUOTE] = ACTIONS(4309),
    [anon_sym_LR_DQUOTE] = ACTIONS(4309),
    [anon_sym_uR_DQUOTE] = ACTIONS(4309),
    [anon_sym_UR_DQUOTE] = ACTIONS(4309),
    [anon_sym_u8R_DQUOTE] = ACTIONS(4309),
    [anon_sym_co_await] = ACTIONS(4311),
    [anon_sym_new] = ACTIONS(4313),
    [anon_sym_requires] = ACTIONS(4315),
    [sym_this] = ACTIONS(4295),
  },
  [1506] = {
    [sym_string_literal] = STATE(3682),
    [sym_template_argument_list] = STATE(1799),
    [sym_raw_string_literal] = STATE(3682),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3027),
    [sym_identifier] = ACTIONS(4211),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4213),
    [anon_sym_COMMA] = ACTIONS(4213),
    [anon_sym_LPAREN2] = ACTIONS(4215),
    [anon_sym_TILDE] = ACTIONS(4219),
    [anon_sym_DASH] = ACTIONS(4221),
    [anon_sym_PLUS] = ACTIONS(4221),
    [anon_sym_STAR] = ACTIONS(4223),
    [anon_sym_SLASH] = ACTIONS(4221),
    [anon_sym_PERCENT] = ACTIONS(4221),
    [anon_sym_PIPE_PIPE] = ACTIONS(4213),
    [anon_sym_AMP_AMP] = ACTIONS(4226),
    [anon_sym_PIPE] = ACTIONS(4221),
    [anon_sym_CARET] = ACTIONS(4221),
    [anon_sym_AMP] = ACTIONS(4223),
    [anon_sym_EQ_EQ] = ACTIONS(4213),
    [anon_sym_BANG_EQ] = ACTIONS(4213),
    [anon_sym_GT] = ACTIONS(4221),
    [anon_sym_GT_EQ] = ACTIONS(4213),
    [anon_sym_LT_EQ] = ACTIONS(4221),
    [anon_sym_LT] = ACTIONS(4229),
    [anon_sym_LT_LT] = ACTIONS(4221),
    [anon_sym_GT_GT] = ACTIONS(4221),
    [anon_sym_COLON] = ACTIONS(4359),
    [anon_sym_SEMI] = ACTIONS(4226),
    [anon_sym___extension__] = ACTIONS(4211),
    [anon_sym_in] = ACTIONS(4211),
    [anon_sym_out] = ACTIONS(4211),
    [anon_sym_inout] = ACTIONS(4211),
    [anon_sym_extern] = ACTIONS(4211),
    [anon_sym___attribute__] = ACTIONS(4211),
    [anon_sym_COLON_COLON] = ACTIONS(2230),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4234),
    [anon_sym___declspec] = ACTIONS(4211),
    [anon_sym___based] = ACTIONS(4211),
    [anon_sym___cdecl] = ACTIONS(4211),
    [anon_sym___clrcall] = ACTIONS(4211),
    [anon_sym___stdcall] = ACTIONS(4211),
    [anon_sym___fastcall] = ACTIONS(4211),
    [anon_sym___thiscall] = ACTIONS(4211),
    [anon_sym___vectorcall] = ACTIONS(4211),
    [anon_sym_LBRACE] = ACTIONS(2226),
    [anon_sym_signed] = ACTIONS(4237),
    [anon_sym_unsigned] = ACTIONS(4237),
    [anon_sym_long] = ACTIONS(4237),
    [anon_sym_short] = ACTIONS(4237),
    [anon_sym_LBRACK] = ACTIONS(4239),
    [anon_sym_EQ] = ACTIONS(4243),
    [anon_sym_static] = ACTIONS(4211),
    [anon_sym_register] = ACTIONS(4211),
    [anon_sym_inline] = ACTIONS(4211),
    [anon_sym___inline] = ACTIONS(4211),
    [anon_sym___inline__] = ACTIONS(4211),
    [anon_sym___forceinline] = ACTIONS(4211),
    [anon_sym_thread_local] = ACTIONS(4211),
    [anon_sym___thread] = ACTIONS(4211),
    [anon_sym_const] = ACTIONS(4211),
    [anon_sym_constexpr] = ACTIONS(4211),
    [anon_sym_volatile] = ACTIONS(4211),
    [anon_sym_restrict] = ACTIONS(4211),
    [anon_sym___restrict__] = ACTIONS(4211),
    [anon_sym__Atomic] = ACTIONS(4211),
    [anon_sym__Noreturn] = ACTIONS(4211),
    [anon_sym_noreturn] = ACTIONS(4211),
    [anon_sym_mutable] = ACTIONS(4211),
    [anon_sym_constinit] = ACTIONS(4211),
    [anon_sym_consteval] = ACTIONS(4211),
    [anon_sym_QMARK] = ACTIONS(4213),
    [anon_sym_STAR_EQ] = ACTIONS(4245),
    [anon_sym_SLASH_EQ] = ACTIONS(4245),
    [anon_sym_PERCENT_EQ] = ACTIONS(4245),
    [anon_sym_PLUS_EQ] = ACTIONS(4245),
    [anon_sym_DASH_EQ] = ACTIONS(4245),
    [anon_sym_LT_LT_EQ] = ACTIONS(4245),
    [anon_sym_GT_GT_EQ] = ACTIONS(4245),
    [anon_sym_AMP_EQ] = ACTIONS(4245),
    [anon_sym_CARET_EQ] = ACTIONS(4245),
    [anon_sym_PIPE_EQ] = ACTIONS(4245),
    [anon_sym_and_eq] = ACTIONS(4243),
    [anon_sym_or_eq] = ACTIONS(4243),
    [anon_sym_xor_eq] = ACTIONS(4243),
    [anon_sym_LT_EQ_GT] = ACTIONS(4213),
    [anon_sym_or] = ACTIONS(4221),
    [anon_sym_and] = ACTIONS(4221),
    [anon_sym_bitor] = ACTIONS(4221),
    [anon_sym_xor] = ACTIONS(4221),
    [anon_sym_bitand] = ACTIONS(4221),
    [anon_sym_not_eq] = ACTIONS(4221),
    [anon_sym_DASH_DASH] = ACTIONS(4213),
    [anon_sym_PLUS_PLUS] = ACTIONS(4213),
    [anon_sym_DOT] = ACTIONS(4221),
    [anon_sym_DOT_STAR] = ACTIONS(4213),
    [anon_sym_DASH_GT] = ACTIONS(4213),
    [anon_sym_L_DQUOTE] = ACTIONS(4247),
    [anon_sym_u_DQUOTE] = ACTIONS(4247),
    [anon_sym_U_DQUOTE] = ACTIONS(4247),
    [anon_sym_u8_DQUOTE] = ACTIONS(4247),
    [anon_sym_DQUOTE] = ACTIONS(4247),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4211),
    [anon_sym_decltype] = ACTIONS(4211),
    [anon_sym_virtual] = ACTIONS(4211),
    [anon_sym_alignas] = ACTIONS(4211),
    [anon_sym_template] = ACTIONS(4211),
    [anon_sym_operator] = ACTIONS(4211),
    [anon_sym_R_DQUOTE] = ACTIONS(4249),
    [anon_sym_LR_DQUOTE] = ACTIONS(4249),
    [anon_sym_uR_DQUOTE] = ACTIONS(4249),
    [anon_sym_UR_DQUOTE] = ACTIONS(4249),
    [anon_sym_u8R_DQUOTE] = ACTIONS(4249),
    [anon_sym_precise] = ACTIONS(4211),
    [anon_sym_shared] = ACTIONS(4211),
    [anon_sym_groupshared] = ACTIONS(4211),
    [anon_sym_uniform] = ACTIONS(4211),
    [anon_sym_row_major] = ACTIONS(4211),
    [anon_sym_column_major] = ACTIONS(4211),
    [anon_sym_globallycoherent] = ACTIONS(4211),
    [anon_sym_centroid] = ACTIONS(4211),
    [anon_sym_noperspective] = ACTIONS(4211),
    [anon_sym_nointerpolation] = ACTIONS(4211),
    [anon_sym_sample] = ACTIONS(4211),
    [anon_sym_linear] = ACTIONS(4211),
    [anon_sym_snorm] = ACTIONS(4211),
    [anon_sym_unorm] = ACTIONS(4211),
    [anon_sym_point] = ACTIONS(4211),
    [anon_sym_line] = ACTIONS(4211),
    [anon_sym_triangleadj] = ACTIONS(4211),
    [anon_sym_lineadj] = ACTIONS(4211),
    [anon_sym_triangle] = ACTIONS(4211),
  },
  [1507] = {
    [sym_type_qualifier] = STATE(5199),
    [sym__type_specifier] = STATE(6115),
    [sym_sized_type_specifier] = STATE(4043),
    [sym_enum_specifier] = STATE(4043),
    [sym_struct_specifier] = STATE(4043),
    [sym_union_specifier] = STATE(4043),
    [sym__expression] = STATE(5442),
    [sym__expression_not_binary] = STATE(6001),
    [sym__string] = STATE(6001),
    [sym_conditional_expression] = STATE(6001),
    [sym_assignment_expression] = STATE(6001),
    [sym_pointer_expression] = STATE(4807),
    [sym_unary_expression] = STATE(6001),
    [sym_binary_expression] = STATE(6001),
    [sym_update_expression] = STATE(6001),
    [sym_cast_expression] = STATE(6001),
    [sym_type_descriptor] = STATE(8256),
    [sym_sizeof_expression] = STATE(6001),
    [sym_alignof_expression] = STATE(6001),
    [sym_offsetof_expression] = STATE(6001),
    [sym_generic_expression] = STATE(6001),
    [sym_subscript_expression] = STATE(4807),
    [sym_call_expression] = STATE(4807),
    [sym_gnu_asm_expression] = STATE(6001),
    [sym_field_expression] = STATE(4807),
    [sym_compound_literal_expression] = STATE(6001),
    [sym_parenthesized_expression] = STATE(4807),
    [sym_char_literal] = STATE(5842),
    [sym_concatenated_string] = STATE(5845),
    [sym_string_literal] = STATE(4864),
    [sym_null] = STATE(6001),
    [sym_placeholder_type_specifier] = STATE(4043),
    [sym_decltype_auto] = STATE(4013),
    [sym_decltype] = STATE(3955),
    [sym_class_specifier] = STATE(4043),
    [sym__class_name] = STATE(8975),
    [sym_dependent_type] = STATE(4043),
    [sym_template_type] = STATE(6654),
    [sym_template_function] = STATE(6001),
    [sym_raw_string_literal] = STATE(4865),
    [sym_co_await_expression] = STATE(6001),
    [sym_new_expression] = STATE(6001),
    [sym_delete_expression] = STATE(6001),
    [sym_requires_clause] = STATE(6001),
    [sym_requires_expression] = STATE(6001),
    [sym_lambda_expression] = STATE(6001),
    [sym_lambda_capture_specifier] = STATE(7123),
    [sym_fold_expression] = STATE(6001),
    [sym_parameter_pack_expansion] = STATE(6001),
    [sym_type_parameter_pack_expansion] = STATE(8728),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6903),
    [sym_qualified_identifier] = STATE(4807),
    [sym_qualified_type_identifier] = STATE(6699),
    [sym_user_defined_literal] = STATE(4807),
    [aux_sym__type_definition_type_repeat1] = STATE(5199),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3494),
    [sym_identifier] = ACTIONS(4253),
    [anon_sym_LPAREN2] = ACTIONS(4255),
    [anon_sym_BANG] = ACTIONS(4257),
    [anon_sym_TILDE] = ACTIONS(4257),
    [anon_sym_DASH] = ACTIONS(4259),
    [anon_sym_PLUS] = ACTIONS(4259),
    [anon_sym_STAR] = ACTIONS(4261),
    [anon_sym_AMP] = ACTIONS(4261),
    [anon_sym___extension__] = ACTIONS(63),
    [anon_sym_COLON_COLON] = ACTIONS(4263),
    [anon_sym_signed] = ACTIONS(4265),
    [anon_sym_unsigned] = ACTIONS(4265),
    [anon_sym_long] = ACTIONS(4265),
    [anon_sym_short] = ACTIONS(4265),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(4267),
    [anon_sym_enum] = ACTIONS(4269),
    [anon_sym_class] = ACTIONS(4271),
    [anon_sym_struct] = ACTIONS(4273),
    [anon_sym_union] = ACTIONS(4275),
    [anon_sym_not] = ACTIONS(4259),
    [anon_sym_compl] = ACTIONS(4259),
    [anon_sym_DASH_DASH] = ACTIONS(4277),
    [anon_sym_PLUS_PLUS] = ACTIONS(4277),
    [anon_sym_sizeof] = ACTIONS(4279),
    [anon_sym___alignof__] = ACTIONS(4281),
    [anon_sym___alignof] = ACTIONS(4281),
    [anon_sym__alignof] = ACTIONS(4281),
    [anon_sym_alignof] = ACTIONS(4281),
    [anon_sym__Alignof] = ACTIONS(4281),
    [anon_sym_offsetof] = ACTIONS(4283),
    [anon_sym__Generic] = ACTIONS(4285),
    [anon_sym_asm] = ACTIONS(4287),
    [anon_sym___asm__] = ACTIONS(4287),
    [sym_number_literal] = ACTIONS(4289),
    [anon_sym_L_SQUOTE] = ACTIONS(4291),
    [anon_sym_u_SQUOTE] = ACTIONS(4291),
    [anon_sym_U_SQUOTE] = ACTIONS(4291),
    [anon_sym_u8_SQUOTE] = ACTIONS(4291),
    [anon_sym_SQUOTE] = ACTIONS(4291),
    [anon_sym_L_DQUOTE] = ACTIONS(4293),
    [anon_sym_u_DQUOTE] = ACTIONS(4293),
    [anon_sym_U_DQUOTE] = ACTIONS(4293),
    [anon_sym_u8_DQUOTE] = ACTIONS(4293),
    [anon_sym_DQUOTE] = ACTIONS(4293),
    [sym_true] = ACTIONS(4295),
    [sym_false] = ACTIONS(4295),
    [anon_sym_NULL] = ACTIONS(4297),
    [anon_sym_nullptr] = ACTIONS(4297),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4299),
    [anon_sym_decltype] = ACTIONS(4301),
    [anon_sym_typename] = ACTIONS(4303),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_GT2] = ACTIONS(4361),
    [anon_sym_delete] = ACTIONS(4307),
    [anon_sym_R_DQUOTE] = ACTIONS(4309),
    [anon_sym_LR_DQUOTE] = ACTIONS(4309),
    [anon_sym_uR_DQUOTE] = ACTIONS(4309),
    [anon_sym_UR_DQUOTE] = ACTIONS(4309),
    [anon_sym_u8R_DQUOTE] = ACTIONS(4309),
    [anon_sym_co_await] = ACTIONS(4311),
    [anon_sym_new] = ACTIONS(4313),
    [anon_sym_requires] = ACTIONS(4315),
    [sym_this] = ACTIONS(4295),
  },
  [1508] = {
    [sym_else_clause] = STATE(1545),
    [sym_identifier] = ACTIONS(2299),
    [anon_sym_LPAREN2] = ACTIONS(2301),
    [anon_sym_BANG] = ACTIONS(2301),
    [anon_sym_TILDE] = ACTIONS(2301),
    [anon_sym_DASH] = ACTIONS(2299),
    [anon_sym_PLUS] = ACTIONS(2299),
    [anon_sym_STAR] = ACTIONS(2301),
    [anon_sym_AMP] = ACTIONS(2301),
    [anon_sym_SEMI] = ACTIONS(2301),
    [anon_sym___extension__] = ACTIONS(2299),
    [anon_sym_typedef] = ACTIONS(2299),
    [anon_sym_in] = ACTIONS(2299),
    [anon_sym_out] = ACTIONS(2299),
    [anon_sym_inout] = ACTIONS(2299),
    [anon_sym_extern] = ACTIONS(2299),
    [anon_sym___attribute__] = ACTIONS(2299),
    [anon_sym_COLON_COLON] = ACTIONS(2301),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2301),
    [anon_sym___declspec] = ACTIONS(2299),
    [anon_sym_LBRACE] = ACTIONS(2301),
    [anon_sym_signed] = ACTIONS(2299),
    [anon_sym_unsigned] = ACTIONS(2299),
    [anon_sym_long] = ACTIONS(2299),
    [anon_sym_short] = ACTIONS(2299),
    [anon_sym_LBRACK] = ACTIONS(2299),
    [anon_sym_static] = ACTIONS(2299),
    [anon_sym_register] = ACTIONS(2299),
    [anon_sym_inline] = ACTIONS(2299),
    [anon_sym___inline] = ACTIONS(2299),
    [anon_sym___inline__] = ACTIONS(2299),
    [anon_sym___forceinline] = ACTIONS(2299),
    [anon_sym_thread_local] = ACTIONS(2299),
    [anon_sym___thread] = ACTIONS(2299),
    [anon_sym_const] = ACTIONS(2299),
    [anon_sym_constexpr] = ACTIONS(2299),
    [anon_sym_volatile] = ACTIONS(2299),
    [anon_sym_restrict] = ACTIONS(2299),
    [anon_sym___restrict__] = ACTIONS(2299),
    [anon_sym__Atomic] = ACTIONS(2299),
    [anon_sym__Noreturn] = ACTIONS(2299),
    [anon_sym_noreturn] = ACTIONS(2299),
    [anon_sym_mutable] = ACTIONS(2299),
    [anon_sym_constinit] = ACTIONS(2299),
    [anon_sym_consteval] = ACTIONS(2299),
    [sym_primitive_type] = ACTIONS(2299),
    [anon_sym_enum] = ACTIONS(2299),
    [anon_sym_class] = ACTIONS(2299),
    [anon_sym_struct] = ACTIONS(2299),
    [anon_sym_union] = ACTIONS(2299),
    [anon_sym_if] = ACTIONS(2299),
    [anon_sym_else] = ACTIONS(4251),
    [anon_sym_switch] = ACTIONS(2299),
    [anon_sym_while] = ACTIONS(2299),
    [anon_sym_do] = ACTIONS(2299),
    [anon_sym_for] = ACTIONS(2299),
    [anon_sym_return] = ACTIONS(2299),
    [anon_sym_break] = ACTIONS(2299),
    [anon_sym_continue] = ACTIONS(2299),
    [anon_sym_goto] = ACTIONS(2299),
    [anon_sym___try] = ACTIONS(2299),
    [anon_sym___leave] = ACTIONS(2299),
    [anon_sym_not] = ACTIONS(2299),
    [anon_sym_compl] = ACTIONS(2299),
    [anon_sym_DASH_DASH] = ACTIONS(2301),
    [anon_sym_PLUS_PLUS] = ACTIONS(2301),
    [anon_sym_sizeof] = ACTIONS(2299),
    [anon_sym___alignof__] = ACTIONS(2299),
    [anon_sym___alignof] = ACTIONS(2299),
    [anon_sym__alignof] = ACTIONS(2299),
    [anon_sym_alignof] = ACTIONS(2299),
    [anon_sym__Alignof] = ACTIONS(2299),
    [anon_sym_offsetof] = ACTIONS(2299),
    [anon_sym__Generic] = ACTIONS(2299),
    [anon_sym_asm] = ACTIONS(2299),
    [anon_sym___asm__] = ACTIONS(2299),
    [sym_number_literal] = ACTIONS(2301),
    [anon_sym_L_SQUOTE] = ACTIONS(2301),
    [anon_sym_u_SQUOTE] = ACTIONS(2301),
    [anon_sym_U_SQUOTE] = ACTIONS(2301),
    [anon_sym_u8_SQUOTE] = ACTIONS(2301),
    [anon_sym_SQUOTE] = ACTIONS(2301),
    [anon_sym_L_DQUOTE] = ACTIONS(2301),
    [anon_sym_u_DQUOTE] = ACTIONS(2301),
    [anon_sym_U_DQUOTE] = ACTIONS(2301),
    [anon_sym_u8_DQUOTE] = ACTIONS(2301),
    [anon_sym_DQUOTE] = ACTIONS(2301),
    [sym_true] = ACTIONS(2299),
    [sym_false] = ACTIONS(2299),
    [anon_sym_NULL] = ACTIONS(2299),
    [anon_sym_nullptr] = ACTIONS(2299),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2299),
    [anon_sym_decltype] = ACTIONS(2299),
    [anon_sym_virtual] = ACTIONS(2299),
    [anon_sym_alignas] = ACTIONS(2299),
    [anon_sym_typename] = ACTIONS(2299),
    [anon_sym_template] = ACTIONS(2299),
    [anon_sym_try] = ACTIONS(2299),
    [anon_sym_delete] = ACTIONS(2299),
    [anon_sym_throw] = ACTIONS(2299),
    [anon_sym_co_return] = ACTIONS(2299),
    [anon_sym_co_yield] = ACTIONS(2299),
    [anon_sym_R_DQUOTE] = ACTIONS(2301),
    [anon_sym_LR_DQUOTE] = ACTIONS(2301),
    [anon_sym_uR_DQUOTE] = ACTIONS(2301),
    [anon_sym_UR_DQUOTE] = ACTIONS(2301),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2301),
    [anon_sym_co_await] = ACTIONS(2299),
    [anon_sym_new] = ACTIONS(2299),
    [anon_sym_requires] = ACTIONS(2299),
    [sym_this] = ACTIONS(2299),
    [anon_sym_discard] = ACTIONS(2299),
    [anon_sym_precise] = ACTIONS(2299),
    [anon_sym_shared] = ACTIONS(2299),
    [anon_sym_groupshared] = ACTIONS(2299),
    [anon_sym_uniform] = ACTIONS(2299),
    [anon_sym_row_major] = ACTIONS(2299),
    [anon_sym_column_major] = ACTIONS(2299),
    [anon_sym_globallycoherent] = ACTIONS(2299),
    [anon_sym_centroid] = ACTIONS(2299),
    [anon_sym_noperspective] = ACTIONS(2299),
    [anon_sym_nointerpolation] = ACTIONS(2299),
    [anon_sym_sample] = ACTIONS(2299),
    [anon_sym_linear] = ACTIONS(2299),
    [anon_sym_snorm] = ACTIONS(2299),
    [anon_sym_unorm] = ACTIONS(2299),
    [anon_sym_point] = ACTIONS(2299),
    [anon_sym_line] = ACTIONS(2299),
    [anon_sym_triangleadj] = ACTIONS(2299),
    [anon_sym_lineadj] = ACTIONS(2299),
    [anon_sym_triangle] = ACTIONS(2299),
    [anon_sym_cbuffer] = ACTIONS(2299),
  },
  [1509] = {
    [sym_type_qualifier] = STATE(5199),
    [sym__type_specifier] = STATE(6115),
    [sym_sized_type_specifier] = STATE(4043),
    [sym_enum_specifier] = STATE(4043),
    [sym_struct_specifier] = STATE(4043),
    [sym_union_specifier] = STATE(4043),
    [sym__expression] = STATE(5528),
    [sym__expression_not_binary] = STATE(6001),
    [sym__string] = STATE(6001),
    [sym_conditional_expression] = STATE(6001),
    [sym_assignment_expression] = STATE(6001),
    [sym_pointer_expression] = STATE(4807),
    [sym_unary_expression] = STATE(6001),
    [sym_binary_expression] = STATE(6001),
    [sym_update_expression] = STATE(6001),
    [sym_cast_expression] = STATE(6001),
    [sym_type_descriptor] = STATE(8163),
    [sym_sizeof_expression] = STATE(6001),
    [sym_alignof_expression] = STATE(6001),
    [sym_offsetof_expression] = STATE(6001),
    [sym_generic_expression] = STATE(6001),
    [sym_subscript_expression] = STATE(4807),
    [sym_call_expression] = STATE(4807),
    [sym_gnu_asm_expression] = STATE(6001),
    [sym_field_expression] = STATE(4807),
    [sym_compound_literal_expression] = STATE(6001),
    [sym_parenthesized_expression] = STATE(4807),
    [sym_char_literal] = STATE(5842),
    [sym_concatenated_string] = STATE(5845),
    [sym_string_literal] = STATE(4864),
    [sym_null] = STATE(6001),
    [sym_placeholder_type_specifier] = STATE(4043),
    [sym_decltype_auto] = STATE(4013),
    [sym_decltype] = STATE(3955),
    [sym_class_specifier] = STATE(4043),
    [sym__class_name] = STATE(8975),
    [sym_dependent_type] = STATE(4043),
    [sym_template_type] = STATE(6654),
    [sym_template_function] = STATE(6001),
    [sym_raw_string_literal] = STATE(4865),
    [sym_co_await_expression] = STATE(6001),
    [sym_new_expression] = STATE(6001),
    [sym_delete_expression] = STATE(6001),
    [sym_requires_clause] = STATE(6001),
    [sym_requires_expression] = STATE(6001),
    [sym_lambda_expression] = STATE(6001),
    [sym_lambda_capture_specifier] = STATE(7123),
    [sym_fold_expression] = STATE(6001),
    [sym_parameter_pack_expansion] = STATE(6001),
    [sym_type_parameter_pack_expansion] = STATE(8883),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6903),
    [sym_qualified_identifier] = STATE(4807),
    [sym_qualified_type_identifier] = STATE(6699),
    [sym_user_defined_literal] = STATE(4807),
    [aux_sym__type_definition_type_repeat1] = STATE(5199),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3494),
    [sym_identifier] = ACTIONS(4253),
    [anon_sym_LPAREN2] = ACTIONS(4255),
    [anon_sym_BANG] = ACTIONS(4257),
    [anon_sym_TILDE] = ACTIONS(4257),
    [anon_sym_DASH] = ACTIONS(4259),
    [anon_sym_PLUS] = ACTIONS(4259),
    [anon_sym_STAR] = ACTIONS(4261),
    [anon_sym_AMP] = ACTIONS(4261),
    [anon_sym___extension__] = ACTIONS(63),
    [anon_sym_COLON_COLON] = ACTIONS(4263),
    [anon_sym_signed] = ACTIONS(4265),
    [anon_sym_unsigned] = ACTIONS(4265),
    [anon_sym_long] = ACTIONS(4265),
    [anon_sym_short] = ACTIONS(4265),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(4267),
    [anon_sym_enum] = ACTIONS(4269),
    [anon_sym_class] = ACTIONS(4271),
    [anon_sym_struct] = ACTIONS(4273),
    [anon_sym_union] = ACTIONS(4275),
    [anon_sym_not] = ACTIONS(4259),
    [anon_sym_compl] = ACTIONS(4259),
    [anon_sym_DASH_DASH] = ACTIONS(4277),
    [anon_sym_PLUS_PLUS] = ACTIONS(4277),
    [anon_sym_sizeof] = ACTIONS(4279),
    [anon_sym___alignof__] = ACTIONS(4281),
    [anon_sym___alignof] = ACTIONS(4281),
    [anon_sym__alignof] = ACTIONS(4281),
    [anon_sym_alignof] = ACTIONS(4281),
    [anon_sym__Alignof] = ACTIONS(4281),
    [anon_sym_offsetof] = ACTIONS(4283),
    [anon_sym__Generic] = ACTIONS(4285),
    [anon_sym_asm] = ACTIONS(4287),
    [anon_sym___asm__] = ACTIONS(4287),
    [sym_number_literal] = ACTIONS(4289),
    [anon_sym_L_SQUOTE] = ACTIONS(4291),
    [anon_sym_u_SQUOTE] = ACTIONS(4291),
    [anon_sym_U_SQUOTE] = ACTIONS(4291),
    [anon_sym_u8_SQUOTE] = ACTIONS(4291),
    [anon_sym_SQUOTE] = ACTIONS(4291),
    [anon_sym_L_DQUOTE] = ACTIONS(4293),
    [anon_sym_u_DQUOTE] = ACTIONS(4293),
    [anon_sym_U_DQUOTE] = ACTIONS(4293),
    [anon_sym_u8_DQUOTE] = ACTIONS(4293),
    [anon_sym_DQUOTE] = ACTIONS(4293),
    [sym_true] = ACTIONS(4295),
    [sym_false] = ACTIONS(4295),
    [anon_sym_NULL] = ACTIONS(4297),
    [anon_sym_nullptr] = ACTIONS(4297),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4299),
    [anon_sym_decltype] = ACTIONS(4301),
    [anon_sym_typename] = ACTIONS(4303),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_GT2] = ACTIONS(4363),
    [anon_sym_delete] = ACTIONS(4307),
    [anon_sym_R_DQUOTE] = ACTIONS(4309),
    [anon_sym_LR_DQUOTE] = ACTIONS(4309),
    [anon_sym_uR_DQUOTE] = ACTIONS(4309),
    [anon_sym_UR_DQUOTE] = ACTIONS(4309),
    [anon_sym_u8R_DQUOTE] = ACTIONS(4309),
    [anon_sym_co_await] = ACTIONS(4311),
    [anon_sym_new] = ACTIONS(4313),
    [anon_sym_requires] = ACTIONS(4315),
    [sym_this] = ACTIONS(4295),
  },
  [1510] = {
    [sym_identifier] = ACTIONS(2238),
    [anon_sym_LPAREN2] = ACTIONS(2236),
    [anon_sym_BANG] = ACTIONS(2236),
    [anon_sym_TILDE] = ACTIONS(2236),
    [anon_sym_DASH] = ACTIONS(2238),
    [anon_sym_PLUS] = ACTIONS(2238),
    [anon_sym_STAR] = ACTIONS(2236),
    [anon_sym_AMP] = ACTIONS(2236),
    [anon_sym_SEMI] = ACTIONS(2236),
    [anon_sym___extension__] = ACTIONS(2238),
    [anon_sym_typedef] = ACTIONS(2238),
    [anon_sym_in] = ACTIONS(2238),
    [anon_sym_out] = ACTIONS(2238),
    [anon_sym_inout] = ACTIONS(2238),
    [anon_sym_extern] = ACTIONS(2238),
    [anon_sym___attribute__] = ACTIONS(2238),
    [anon_sym_COLON_COLON] = ACTIONS(2236),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2236),
    [anon_sym___declspec] = ACTIONS(2238),
    [anon_sym_LBRACE] = ACTIONS(2236),
    [anon_sym_signed] = ACTIONS(2238),
    [anon_sym_unsigned] = ACTIONS(2238),
    [anon_sym_long] = ACTIONS(2238),
    [anon_sym_short] = ACTIONS(2238),
    [anon_sym_LBRACK] = ACTIONS(2238),
    [anon_sym_static] = ACTIONS(2238),
    [anon_sym_register] = ACTIONS(2238),
    [anon_sym_inline] = ACTIONS(2238),
    [anon_sym___inline] = ACTIONS(2238),
    [anon_sym___inline__] = ACTIONS(2238),
    [anon_sym___forceinline] = ACTIONS(2238),
    [anon_sym_thread_local] = ACTIONS(2238),
    [anon_sym___thread] = ACTIONS(2238),
    [anon_sym_const] = ACTIONS(2238),
    [anon_sym_constexpr] = ACTIONS(2238),
    [anon_sym_volatile] = ACTIONS(2238),
    [anon_sym_restrict] = ACTIONS(2238),
    [anon_sym___restrict__] = ACTIONS(2238),
    [anon_sym__Atomic] = ACTIONS(2238),
    [anon_sym__Noreturn] = ACTIONS(2238),
    [anon_sym_noreturn] = ACTIONS(2238),
    [anon_sym_mutable] = ACTIONS(2238),
    [anon_sym_constinit] = ACTIONS(2238),
    [anon_sym_consteval] = ACTIONS(2238),
    [sym_primitive_type] = ACTIONS(2238),
    [anon_sym_enum] = ACTIONS(2238),
    [anon_sym_class] = ACTIONS(2238),
    [anon_sym_struct] = ACTIONS(2238),
    [anon_sym_union] = ACTIONS(2238),
    [anon_sym_if] = ACTIONS(2238),
    [anon_sym_else] = ACTIONS(2238),
    [anon_sym_switch] = ACTIONS(2238),
    [anon_sym_while] = ACTIONS(2238),
    [anon_sym_do] = ACTIONS(2238),
    [anon_sym_for] = ACTIONS(2238),
    [anon_sym_return] = ACTIONS(2238),
    [anon_sym_break] = ACTIONS(2238),
    [anon_sym_continue] = ACTIONS(2238),
    [anon_sym_goto] = ACTIONS(2238),
    [anon_sym___try] = ACTIONS(2238),
    [anon_sym___leave] = ACTIONS(2238),
    [anon_sym_not] = ACTIONS(2238),
    [anon_sym_compl] = ACTIONS(2238),
    [anon_sym_DASH_DASH] = ACTIONS(2236),
    [anon_sym_PLUS_PLUS] = ACTIONS(2236),
    [anon_sym_sizeof] = ACTIONS(2238),
    [anon_sym___alignof__] = ACTIONS(2238),
    [anon_sym___alignof] = ACTIONS(2238),
    [anon_sym__alignof] = ACTIONS(2238),
    [anon_sym_alignof] = ACTIONS(2238),
    [anon_sym__Alignof] = ACTIONS(2238),
    [anon_sym_offsetof] = ACTIONS(2238),
    [anon_sym__Generic] = ACTIONS(2238),
    [anon_sym_asm] = ACTIONS(2238),
    [anon_sym___asm__] = ACTIONS(2238),
    [sym_number_literal] = ACTIONS(2236),
    [anon_sym_L_SQUOTE] = ACTIONS(2236),
    [anon_sym_u_SQUOTE] = ACTIONS(2236),
    [anon_sym_U_SQUOTE] = ACTIONS(2236),
    [anon_sym_u8_SQUOTE] = ACTIONS(2236),
    [anon_sym_SQUOTE] = ACTIONS(2236),
    [anon_sym_L_DQUOTE] = ACTIONS(2236),
    [anon_sym_u_DQUOTE] = ACTIONS(2236),
    [anon_sym_U_DQUOTE] = ACTIONS(2236),
    [anon_sym_u8_DQUOTE] = ACTIONS(2236),
    [anon_sym_DQUOTE] = ACTIONS(2236),
    [sym_true] = ACTIONS(2238),
    [sym_false] = ACTIONS(2238),
    [anon_sym_NULL] = ACTIONS(2238),
    [anon_sym_nullptr] = ACTIONS(2238),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2238),
    [anon_sym_decltype] = ACTIONS(2238),
    [anon_sym_virtual] = ACTIONS(2238),
    [anon_sym_alignas] = ACTIONS(2238),
    [anon_sym_typename] = ACTIONS(2238),
    [anon_sym_template] = ACTIONS(2238),
    [anon_sym_try] = ACTIONS(2238),
    [anon_sym_delete] = ACTIONS(2238),
    [anon_sym_throw] = ACTIONS(2238),
    [anon_sym_co_return] = ACTIONS(2238),
    [anon_sym_co_yield] = ACTIONS(2238),
    [anon_sym_catch] = ACTIONS(2238),
    [anon_sym_R_DQUOTE] = ACTIONS(2236),
    [anon_sym_LR_DQUOTE] = ACTIONS(2236),
    [anon_sym_uR_DQUOTE] = ACTIONS(2236),
    [anon_sym_UR_DQUOTE] = ACTIONS(2236),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2236),
    [anon_sym_co_await] = ACTIONS(2238),
    [anon_sym_new] = ACTIONS(2238),
    [anon_sym_requires] = ACTIONS(2238),
    [sym_this] = ACTIONS(2238),
    [anon_sym_discard] = ACTIONS(2238),
    [anon_sym_precise] = ACTIONS(2238),
    [anon_sym_shared] = ACTIONS(2238),
    [anon_sym_groupshared] = ACTIONS(2238),
    [anon_sym_uniform] = ACTIONS(2238),
    [anon_sym_row_major] = ACTIONS(2238),
    [anon_sym_column_major] = ACTIONS(2238),
    [anon_sym_globallycoherent] = ACTIONS(2238),
    [anon_sym_centroid] = ACTIONS(2238),
    [anon_sym_noperspective] = ACTIONS(2238),
    [anon_sym_nointerpolation] = ACTIONS(2238),
    [anon_sym_sample] = ACTIONS(2238),
    [anon_sym_linear] = ACTIONS(2238),
    [anon_sym_snorm] = ACTIONS(2238),
    [anon_sym_unorm] = ACTIONS(2238),
    [anon_sym_point] = ACTIONS(2238),
    [anon_sym_line] = ACTIONS(2238),
    [anon_sym_triangleadj] = ACTIONS(2238),
    [anon_sym_lineadj] = ACTIONS(2238),
    [anon_sym_triangle] = ACTIONS(2238),
    [anon_sym_cbuffer] = ACTIONS(2238),
  },
  [1511] = {
    [sym_type_qualifier] = STATE(5199),
    [sym__type_specifier] = STATE(6115),
    [sym_sized_type_specifier] = STATE(4043),
    [sym_enum_specifier] = STATE(4043),
    [sym_struct_specifier] = STATE(4043),
    [sym_union_specifier] = STATE(4043),
    [sym__expression] = STATE(5453),
    [sym__expression_not_binary] = STATE(6001),
    [sym__string] = STATE(6001),
    [sym_conditional_expression] = STATE(6001),
    [sym_assignment_expression] = STATE(6001),
    [sym_pointer_expression] = STATE(4807),
    [sym_unary_expression] = STATE(6001),
    [sym_binary_expression] = STATE(6001),
    [sym_update_expression] = STATE(6001),
    [sym_cast_expression] = STATE(6001),
    [sym_type_descriptor] = STATE(8444),
    [sym_sizeof_expression] = STATE(6001),
    [sym_alignof_expression] = STATE(6001),
    [sym_offsetof_expression] = STATE(6001),
    [sym_generic_expression] = STATE(6001),
    [sym_subscript_expression] = STATE(4807),
    [sym_call_expression] = STATE(4807),
    [sym_gnu_asm_expression] = STATE(6001),
    [sym_field_expression] = STATE(4807),
    [sym_compound_literal_expression] = STATE(6001),
    [sym_parenthesized_expression] = STATE(4807),
    [sym_char_literal] = STATE(5842),
    [sym_concatenated_string] = STATE(5845),
    [sym_string_literal] = STATE(4864),
    [sym_null] = STATE(6001),
    [sym_placeholder_type_specifier] = STATE(4043),
    [sym_decltype_auto] = STATE(4013),
    [sym_decltype] = STATE(3955),
    [sym_class_specifier] = STATE(4043),
    [sym__class_name] = STATE(8975),
    [sym_dependent_type] = STATE(4043),
    [sym_template_type] = STATE(6654),
    [sym_template_function] = STATE(6001),
    [sym_raw_string_literal] = STATE(4865),
    [sym_co_await_expression] = STATE(6001),
    [sym_new_expression] = STATE(6001),
    [sym_delete_expression] = STATE(6001),
    [sym_requires_clause] = STATE(6001),
    [sym_requires_expression] = STATE(6001),
    [sym_lambda_expression] = STATE(6001),
    [sym_lambda_capture_specifier] = STATE(7123),
    [sym_fold_expression] = STATE(6001),
    [sym_parameter_pack_expansion] = STATE(6001),
    [sym_type_parameter_pack_expansion] = STATE(8572),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6903),
    [sym_qualified_identifier] = STATE(4807),
    [sym_qualified_type_identifier] = STATE(6699),
    [sym_user_defined_literal] = STATE(4807),
    [aux_sym__type_definition_type_repeat1] = STATE(5199),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3494),
    [sym_identifier] = ACTIONS(4253),
    [anon_sym_LPAREN2] = ACTIONS(4255),
    [anon_sym_BANG] = ACTIONS(4257),
    [anon_sym_TILDE] = ACTIONS(4257),
    [anon_sym_DASH] = ACTIONS(4259),
    [anon_sym_PLUS] = ACTIONS(4259),
    [anon_sym_STAR] = ACTIONS(4261),
    [anon_sym_AMP] = ACTIONS(4261),
    [anon_sym___extension__] = ACTIONS(63),
    [anon_sym_COLON_COLON] = ACTIONS(4263),
    [anon_sym_signed] = ACTIONS(4265),
    [anon_sym_unsigned] = ACTIONS(4265),
    [anon_sym_long] = ACTIONS(4265),
    [anon_sym_short] = ACTIONS(4265),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(4267),
    [anon_sym_enum] = ACTIONS(4269),
    [anon_sym_class] = ACTIONS(4271),
    [anon_sym_struct] = ACTIONS(4273),
    [anon_sym_union] = ACTIONS(4275),
    [anon_sym_not] = ACTIONS(4259),
    [anon_sym_compl] = ACTIONS(4259),
    [anon_sym_DASH_DASH] = ACTIONS(4277),
    [anon_sym_PLUS_PLUS] = ACTIONS(4277),
    [anon_sym_sizeof] = ACTIONS(4279),
    [anon_sym___alignof__] = ACTIONS(4281),
    [anon_sym___alignof] = ACTIONS(4281),
    [anon_sym__alignof] = ACTIONS(4281),
    [anon_sym_alignof] = ACTIONS(4281),
    [anon_sym__Alignof] = ACTIONS(4281),
    [anon_sym_offsetof] = ACTIONS(4283),
    [anon_sym__Generic] = ACTIONS(4285),
    [anon_sym_asm] = ACTIONS(4287),
    [anon_sym___asm__] = ACTIONS(4287),
    [sym_number_literal] = ACTIONS(4289),
    [anon_sym_L_SQUOTE] = ACTIONS(4291),
    [anon_sym_u_SQUOTE] = ACTIONS(4291),
    [anon_sym_U_SQUOTE] = ACTIONS(4291),
    [anon_sym_u8_SQUOTE] = ACTIONS(4291),
    [anon_sym_SQUOTE] = ACTIONS(4291),
    [anon_sym_L_DQUOTE] = ACTIONS(4293),
    [anon_sym_u_DQUOTE] = ACTIONS(4293),
    [anon_sym_U_DQUOTE] = ACTIONS(4293),
    [anon_sym_u8_DQUOTE] = ACTIONS(4293),
    [anon_sym_DQUOTE] = ACTIONS(4293),
    [sym_true] = ACTIONS(4295),
    [sym_false] = ACTIONS(4295),
    [anon_sym_NULL] = ACTIONS(4297),
    [anon_sym_nullptr] = ACTIONS(4297),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4299),
    [anon_sym_decltype] = ACTIONS(4301),
    [anon_sym_typename] = ACTIONS(4303),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_GT2] = ACTIONS(4365),
    [anon_sym_delete] = ACTIONS(4307),
    [anon_sym_R_DQUOTE] = ACTIONS(4309),
    [anon_sym_LR_DQUOTE] = ACTIONS(4309),
    [anon_sym_uR_DQUOTE] = ACTIONS(4309),
    [anon_sym_UR_DQUOTE] = ACTIONS(4309),
    [anon_sym_u8R_DQUOTE] = ACTIONS(4309),
    [anon_sym_co_await] = ACTIONS(4311),
    [anon_sym_new] = ACTIONS(4313),
    [anon_sym_requires] = ACTIONS(4315),
    [sym_this] = ACTIONS(4295),
  },
  [1512] = {
    [sym_type_qualifier] = STATE(5199),
    [sym__type_specifier] = STATE(6115),
    [sym_sized_type_specifier] = STATE(4043),
    [sym_enum_specifier] = STATE(4043),
    [sym_struct_specifier] = STATE(4043),
    [sym_union_specifier] = STATE(4043),
    [sym__expression] = STATE(5541),
    [sym__expression_not_binary] = STATE(6001),
    [sym__string] = STATE(6001),
    [sym_conditional_expression] = STATE(6001),
    [sym_assignment_expression] = STATE(6001),
    [sym_pointer_expression] = STATE(4807),
    [sym_unary_expression] = STATE(6001),
    [sym_binary_expression] = STATE(6001),
    [sym_update_expression] = STATE(6001),
    [sym_cast_expression] = STATE(6001),
    [sym_type_descriptor] = STATE(8442),
    [sym_sizeof_expression] = STATE(6001),
    [sym_alignof_expression] = STATE(6001),
    [sym_offsetof_expression] = STATE(6001),
    [sym_generic_expression] = STATE(6001),
    [sym_subscript_expression] = STATE(4807),
    [sym_call_expression] = STATE(4807),
    [sym_gnu_asm_expression] = STATE(6001),
    [sym_field_expression] = STATE(4807),
    [sym_compound_literal_expression] = STATE(6001),
    [sym_parenthesized_expression] = STATE(4807),
    [sym_char_literal] = STATE(5842),
    [sym_concatenated_string] = STATE(5845),
    [sym_string_literal] = STATE(4864),
    [sym_null] = STATE(6001),
    [sym_placeholder_type_specifier] = STATE(4043),
    [sym_decltype_auto] = STATE(4013),
    [sym_decltype] = STATE(3955),
    [sym_class_specifier] = STATE(4043),
    [sym__class_name] = STATE(8975),
    [sym_dependent_type] = STATE(4043),
    [sym_template_type] = STATE(6654),
    [sym_template_function] = STATE(6001),
    [sym_raw_string_literal] = STATE(4865),
    [sym_co_await_expression] = STATE(6001),
    [sym_new_expression] = STATE(6001),
    [sym_delete_expression] = STATE(6001),
    [sym_requires_clause] = STATE(6001),
    [sym_requires_expression] = STATE(6001),
    [sym_lambda_expression] = STATE(6001),
    [sym_lambda_capture_specifier] = STATE(7123),
    [sym_fold_expression] = STATE(6001),
    [sym_parameter_pack_expansion] = STATE(6001),
    [sym_type_parameter_pack_expansion] = STATE(8580),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6903),
    [sym_qualified_identifier] = STATE(4807),
    [sym_qualified_type_identifier] = STATE(6699),
    [sym_user_defined_literal] = STATE(4807),
    [aux_sym__type_definition_type_repeat1] = STATE(5199),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3494),
    [sym_identifier] = ACTIONS(4253),
    [anon_sym_LPAREN2] = ACTIONS(4255),
    [anon_sym_BANG] = ACTIONS(4257),
    [anon_sym_TILDE] = ACTIONS(4257),
    [anon_sym_DASH] = ACTIONS(4259),
    [anon_sym_PLUS] = ACTIONS(4259),
    [anon_sym_STAR] = ACTIONS(4261),
    [anon_sym_AMP] = ACTIONS(4261),
    [anon_sym___extension__] = ACTIONS(63),
    [anon_sym_COLON_COLON] = ACTIONS(4263),
    [anon_sym_signed] = ACTIONS(4265),
    [anon_sym_unsigned] = ACTIONS(4265),
    [anon_sym_long] = ACTIONS(4265),
    [anon_sym_short] = ACTIONS(4265),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(4267),
    [anon_sym_enum] = ACTIONS(4269),
    [anon_sym_class] = ACTIONS(4271),
    [anon_sym_struct] = ACTIONS(4273),
    [anon_sym_union] = ACTIONS(4275),
    [anon_sym_not] = ACTIONS(4259),
    [anon_sym_compl] = ACTIONS(4259),
    [anon_sym_DASH_DASH] = ACTIONS(4277),
    [anon_sym_PLUS_PLUS] = ACTIONS(4277),
    [anon_sym_sizeof] = ACTIONS(4279),
    [anon_sym___alignof__] = ACTIONS(4281),
    [anon_sym___alignof] = ACTIONS(4281),
    [anon_sym__alignof] = ACTIONS(4281),
    [anon_sym_alignof] = ACTIONS(4281),
    [anon_sym__Alignof] = ACTIONS(4281),
    [anon_sym_offsetof] = ACTIONS(4283),
    [anon_sym__Generic] = ACTIONS(4285),
    [anon_sym_asm] = ACTIONS(4287),
    [anon_sym___asm__] = ACTIONS(4287),
    [sym_number_literal] = ACTIONS(4289),
    [anon_sym_L_SQUOTE] = ACTIONS(4291),
    [anon_sym_u_SQUOTE] = ACTIONS(4291),
    [anon_sym_U_SQUOTE] = ACTIONS(4291),
    [anon_sym_u8_SQUOTE] = ACTIONS(4291),
    [anon_sym_SQUOTE] = ACTIONS(4291),
    [anon_sym_L_DQUOTE] = ACTIONS(4293),
    [anon_sym_u_DQUOTE] = ACTIONS(4293),
    [anon_sym_U_DQUOTE] = ACTIONS(4293),
    [anon_sym_u8_DQUOTE] = ACTIONS(4293),
    [anon_sym_DQUOTE] = ACTIONS(4293),
    [sym_true] = ACTIONS(4295),
    [sym_false] = ACTIONS(4295),
    [anon_sym_NULL] = ACTIONS(4297),
    [anon_sym_nullptr] = ACTIONS(4297),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4299),
    [anon_sym_decltype] = ACTIONS(4301),
    [anon_sym_typename] = ACTIONS(4303),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_GT2] = ACTIONS(4367),
    [anon_sym_delete] = ACTIONS(4307),
    [anon_sym_R_DQUOTE] = ACTIONS(4309),
    [anon_sym_LR_DQUOTE] = ACTIONS(4309),
    [anon_sym_uR_DQUOTE] = ACTIONS(4309),
    [anon_sym_UR_DQUOTE] = ACTIONS(4309),
    [anon_sym_u8R_DQUOTE] = ACTIONS(4309),
    [anon_sym_co_await] = ACTIONS(4311),
    [anon_sym_new] = ACTIONS(4313),
    [anon_sym_requires] = ACTIONS(4315),
    [sym_this] = ACTIONS(4295),
  },
  [1513] = {
    [sym_type_qualifier] = STATE(5199),
    [sym__type_specifier] = STATE(6115),
    [sym_sized_type_specifier] = STATE(4043),
    [sym_enum_specifier] = STATE(4043),
    [sym_struct_specifier] = STATE(4043),
    [sym_union_specifier] = STATE(4043),
    [sym__expression] = STATE(5538),
    [sym__expression_not_binary] = STATE(6001),
    [sym__string] = STATE(6001),
    [sym_conditional_expression] = STATE(6001),
    [sym_assignment_expression] = STATE(6001),
    [sym_pointer_expression] = STATE(4807),
    [sym_unary_expression] = STATE(6001),
    [sym_binary_expression] = STATE(6001),
    [sym_update_expression] = STATE(6001),
    [sym_cast_expression] = STATE(6001),
    [sym_type_descriptor] = STATE(8456),
    [sym_sizeof_expression] = STATE(6001),
    [sym_alignof_expression] = STATE(6001),
    [sym_offsetof_expression] = STATE(6001),
    [sym_generic_expression] = STATE(6001),
    [sym_subscript_expression] = STATE(4807),
    [sym_call_expression] = STATE(4807),
    [sym_gnu_asm_expression] = STATE(6001),
    [sym_field_expression] = STATE(4807),
    [sym_compound_literal_expression] = STATE(6001),
    [sym_parenthesized_expression] = STATE(4807),
    [sym_char_literal] = STATE(5842),
    [sym_concatenated_string] = STATE(5845),
    [sym_string_literal] = STATE(4864),
    [sym_null] = STATE(6001),
    [sym_placeholder_type_specifier] = STATE(4043),
    [sym_decltype_auto] = STATE(4013),
    [sym_decltype] = STATE(3955),
    [sym_class_specifier] = STATE(4043),
    [sym__class_name] = STATE(8975),
    [sym_dependent_type] = STATE(4043),
    [sym_template_type] = STATE(6654),
    [sym_template_function] = STATE(6001),
    [sym_raw_string_literal] = STATE(4865),
    [sym_co_await_expression] = STATE(6001),
    [sym_new_expression] = STATE(6001),
    [sym_delete_expression] = STATE(6001),
    [sym_requires_clause] = STATE(6001),
    [sym_requires_expression] = STATE(6001),
    [sym_lambda_expression] = STATE(6001),
    [sym_lambda_capture_specifier] = STATE(7123),
    [sym_fold_expression] = STATE(6001),
    [sym_parameter_pack_expansion] = STATE(6001),
    [sym_type_parameter_pack_expansion] = STATE(8964),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6903),
    [sym_qualified_identifier] = STATE(4807),
    [sym_qualified_type_identifier] = STATE(6699),
    [sym_user_defined_literal] = STATE(4807),
    [aux_sym__type_definition_type_repeat1] = STATE(5199),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3494),
    [sym_identifier] = ACTIONS(4253),
    [anon_sym_LPAREN2] = ACTIONS(4255),
    [anon_sym_BANG] = ACTIONS(4257),
    [anon_sym_TILDE] = ACTIONS(4257),
    [anon_sym_DASH] = ACTIONS(4259),
    [anon_sym_PLUS] = ACTIONS(4259),
    [anon_sym_STAR] = ACTIONS(4261),
    [anon_sym_AMP] = ACTIONS(4261),
    [anon_sym___extension__] = ACTIONS(63),
    [anon_sym_COLON_COLON] = ACTIONS(4263),
    [anon_sym_signed] = ACTIONS(4265),
    [anon_sym_unsigned] = ACTIONS(4265),
    [anon_sym_long] = ACTIONS(4265),
    [anon_sym_short] = ACTIONS(4265),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(4267),
    [anon_sym_enum] = ACTIONS(4269),
    [anon_sym_class] = ACTIONS(4271),
    [anon_sym_struct] = ACTIONS(4273),
    [anon_sym_union] = ACTIONS(4275),
    [anon_sym_not] = ACTIONS(4259),
    [anon_sym_compl] = ACTIONS(4259),
    [anon_sym_DASH_DASH] = ACTIONS(4277),
    [anon_sym_PLUS_PLUS] = ACTIONS(4277),
    [anon_sym_sizeof] = ACTIONS(4279),
    [anon_sym___alignof__] = ACTIONS(4281),
    [anon_sym___alignof] = ACTIONS(4281),
    [anon_sym__alignof] = ACTIONS(4281),
    [anon_sym_alignof] = ACTIONS(4281),
    [anon_sym__Alignof] = ACTIONS(4281),
    [anon_sym_offsetof] = ACTIONS(4283),
    [anon_sym__Generic] = ACTIONS(4285),
    [anon_sym_asm] = ACTIONS(4287),
    [anon_sym___asm__] = ACTIONS(4287),
    [sym_number_literal] = ACTIONS(4289),
    [anon_sym_L_SQUOTE] = ACTIONS(4291),
    [anon_sym_u_SQUOTE] = ACTIONS(4291),
    [anon_sym_U_SQUOTE] = ACTIONS(4291),
    [anon_sym_u8_SQUOTE] = ACTIONS(4291),
    [anon_sym_SQUOTE] = ACTIONS(4291),
    [anon_sym_L_DQUOTE] = ACTIONS(4293),
    [anon_sym_u_DQUOTE] = ACTIONS(4293),
    [anon_sym_U_DQUOTE] = ACTIONS(4293),
    [anon_sym_u8_DQUOTE] = ACTIONS(4293),
    [anon_sym_DQUOTE] = ACTIONS(4293),
    [sym_true] = ACTIONS(4295),
    [sym_false] = ACTIONS(4295),
    [anon_sym_NULL] = ACTIONS(4297),
    [anon_sym_nullptr] = ACTIONS(4297),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4299),
    [anon_sym_decltype] = ACTIONS(4301),
    [anon_sym_typename] = ACTIONS(4303),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_GT2] = ACTIONS(4369),
    [anon_sym_delete] = ACTIONS(4307),
    [anon_sym_R_DQUOTE] = ACTIONS(4309),
    [anon_sym_LR_DQUOTE] = ACTIONS(4309),
    [anon_sym_uR_DQUOTE] = ACTIONS(4309),
    [anon_sym_UR_DQUOTE] = ACTIONS(4309),
    [anon_sym_u8R_DQUOTE] = ACTIONS(4309),
    [anon_sym_co_await] = ACTIONS(4311),
    [anon_sym_new] = ACTIONS(4313),
    [anon_sym_requires] = ACTIONS(4315),
    [sym_this] = ACTIONS(4295),
  },
  [1514] = {
    [sym_type_qualifier] = STATE(5199),
    [sym__type_specifier] = STATE(6115),
    [sym_sized_type_specifier] = STATE(4043),
    [sym_enum_specifier] = STATE(4043),
    [sym_struct_specifier] = STATE(4043),
    [sym_union_specifier] = STATE(4043),
    [sym__expression] = STATE(5565),
    [sym__expression_not_binary] = STATE(6001),
    [sym__string] = STATE(6001),
    [sym_conditional_expression] = STATE(6001),
    [sym_assignment_expression] = STATE(6001),
    [sym_pointer_expression] = STATE(4807),
    [sym_unary_expression] = STATE(6001),
    [sym_binary_expression] = STATE(6001),
    [sym_update_expression] = STATE(6001),
    [sym_cast_expression] = STATE(6001),
    [sym_type_descriptor] = STATE(8188),
    [sym_sizeof_expression] = STATE(6001),
    [sym_alignof_expression] = STATE(6001),
    [sym_offsetof_expression] = STATE(6001),
    [sym_generic_expression] = STATE(6001),
    [sym_subscript_expression] = STATE(4807),
    [sym_call_expression] = STATE(4807),
    [sym_gnu_asm_expression] = STATE(6001),
    [sym_field_expression] = STATE(4807),
    [sym_compound_literal_expression] = STATE(6001),
    [sym_parenthesized_expression] = STATE(4807),
    [sym_char_literal] = STATE(5842),
    [sym_concatenated_string] = STATE(5845),
    [sym_string_literal] = STATE(4864),
    [sym_null] = STATE(6001),
    [sym_placeholder_type_specifier] = STATE(4043),
    [sym_decltype_auto] = STATE(4013),
    [sym_decltype] = STATE(3955),
    [sym_class_specifier] = STATE(4043),
    [sym__class_name] = STATE(8975),
    [sym_dependent_type] = STATE(4043),
    [sym_template_type] = STATE(6654),
    [sym_template_function] = STATE(6001),
    [sym_raw_string_literal] = STATE(4865),
    [sym_co_await_expression] = STATE(6001),
    [sym_new_expression] = STATE(6001),
    [sym_delete_expression] = STATE(6001),
    [sym_requires_clause] = STATE(6001),
    [sym_requires_expression] = STATE(6001),
    [sym_lambda_expression] = STATE(6001),
    [sym_lambda_capture_specifier] = STATE(7123),
    [sym_fold_expression] = STATE(6001),
    [sym_parameter_pack_expansion] = STATE(6001),
    [sym_type_parameter_pack_expansion] = STATE(8973),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6903),
    [sym_qualified_identifier] = STATE(4807),
    [sym_qualified_type_identifier] = STATE(6699),
    [sym_user_defined_literal] = STATE(4807),
    [aux_sym__type_definition_type_repeat1] = STATE(5199),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3494),
    [sym_identifier] = ACTIONS(4253),
    [anon_sym_LPAREN2] = ACTIONS(4255),
    [anon_sym_BANG] = ACTIONS(4257),
    [anon_sym_TILDE] = ACTIONS(4257),
    [anon_sym_DASH] = ACTIONS(4259),
    [anon_sym_PLUS] = ACTIONS(4259),
    [anon_sym_STAR] = ACTIONS(4261),
    [anon_sym_AMP] = ACTIONS(4261),
    [anon_sym___extension__] = ACTIONS(63),
    [anon_sym_COLON_COLON] = ACTIONS(4263),
    [anon_sym_signed] = ACTIONS(4265),
    [anon_sym_unsigned] = ACTIONS(4265),
    [anon_sym_long] = ACTIONS(4265),
    [anon_sym_short] = ACTIONS(4265),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(4267),
    [anon_sym_enum] = ACTIONS(4269),
    [anon_sym_class] = ACTIONS(4271),
    [anon_sym_struct] = ACTIONS(4273),
    [anon_sym_union] = ACTIONS(4275),
    [anon_sym_not] = ACTIONS(4259),
    [anon_sym_compl] = ACTIONS(4259),
    [anon_sym_DASH_DASH] = ACTIONS(4277),
    [anon_sym_PLUS_PLUS] = ACTIONS(4277),
    [anon_sym_sizeof] = ACTIONS(4279),
    [anon_sym___alignof__] = ACTIONS(4281),
    [anon_sym___alignof] = ACTIONS(4281),
    [anon_sym__alignof] = ACTIONS(4281),
    [anon_sym_alignof] = ACTIONS(4281),
    [anon_sym__Alignof] = ACTIONS(4281),
    [anon_sym_offsetof] = ACTIONS(4283),
    [anon_sym__Generic] = ACTIONS(4285),
    [anon_sym_asm] = ACTIONS(4287),
    [anon_sym___asm__] = ACTIONS(4287),
    [sym_number_literal] = ACTIONS(4289),
    [anon_sym_L_SQUOTE] = ACTIONS(4291),
    [anon_sym_u_SQUOTE] = ACTIONS(4291),
    [anon_sym_U_SQUOTE] = ACTIONS(4291),
    [anon_sym_u8_SQUOTE] = ACTIONS(4291),
    [anon_sym_SQUOTE] = ACTIONS(4291),
    [anon_sym_L_DQUOTE] = ACTIONS(4293),
    [anon_sym_u_DQUOTE] = ACTIONS(4293),
    [anon_sym_U_DQUOTE] = ACTIONS(4293),
    [anon_sym_u8_DQUOTE] = ACTIONS(4293),
    [anon_sym_DQUOTE] = ACTIONS(4293),
    [sym_true] = ACTIONS(4295),
    [sym_false] = ACTIONS(4295),
    [anon_sym_NULL] = ACTIONS(4297),
    [anon_sym_nullptr] = ACTIONS(4297),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4299),
    [anon_sym_decltype] = ACTIONS(4301),
    [anon_sym_typename] = ACTIONS(4303),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_GT2] = ACTIONS(4371),
    [anon_sym_delete] = ACTIONS(4307),
    [anon_sym_R_DQUOTE] = ACTIONS(4309),
    [anon_sym_LR_DQUOTE] = ACTIONS(4309),
    [anon_sym_uR_DQUOTE] = ACTIONS(4309),
    [anon_sym_UR_DQUOTE] = ACTIONS(4309),
    [anon_sym_u8R_DQUOTE] = ACTIONS(4309),
    [anon_sym_co_await] = ACTIONS(4311),
    [anon_sym_new] = ACTIONS(4313),
    [anon_sym_requires] = ACTIONS(4315),
    [sym_this] = ACTIONS(4295),
  },
  [1515] = {
    [sym_identifier] = ACTIONS(2206),
    [anon_sym_LPAREN2] = ACTIONS(2204),
    [anon_sym_BANG] = ACTIONS(2204),
    [anon_sym_TILDE] = ACTIONS(2204),
    [anon_sym_DASH] = ACTIONS(2206),
    [anon_sym_PLUS] = ACTIONS(2206),
    [anon_sym_STAR] = ACTIONS(2204),
    [anon_sym_AMP] = ACTIONS(2204),
    [anon_sym_SEMI] = ACTIONS(2204),
    [anon_sym___extension__] = ACTIONS(2206),
    [anon_sym_typedef] = ACTIONS(2206),
    [anon_sym_in] = ACTIONS(2206),
    [anon_sym_out] = ACTIONS(2206),
    [anon_sym_inout] = ACTIONS(2206),
    [anon_sym_extern] = ACTIONS(2206),
    [anon_sym___attribute__] = ACTIONS(2206),
    [anon_sym_COLON_COLON] = ACTIONS(2204),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2204),
    [anon_sym___declspec] = ACTIONS(2206),
    [anon_sym_LBRACE] = ACTIONS(2204),
    [anon_sym_signed] = ACTIONS(2206),
    [anon_sym_unsigned] = ACTIONS(2206),
    [anon_sym_long] = ACTIONS(2206),
    [anon_sym_short] = ACTIONS(2206),
    [anon_sym_LBRACK] = ACTIONS(2206),
    [anon_sym_static] = ACTIONS(2206),
    [anon_sym_register] = ACTIONS(2206),
    [anon_sym_inline] = ACTIONS(2206),
    [anon_sym___inline] = ACTIONS(2206),
    [anon_sym___inline__] = ACTIONS(2206),
    [anon_sym___forceinline] = ACTIONS(2206),
    [anon_sym_thread_local] = ACTIONS(2206),
    [anon_sym___thread] = ACTIONS(2206),
    [anon_sym_const] = ACTIONS(2206),
    [anon_sym_constexpr] = ACTIONS(2206),
    [anon_sym_volatile] = ACTIONS(2206),
    [anon_sym_restrict] = ACTIONS(2206),
    [anon_sym___restrict__] = ACTIONS(2206),
    [anon_sym__Atomic] = ACTIONS(2206),
    [anon_sym__Noreturn] = ACTIONS(2206),
    [anon_sym_noreturn] = ACTIONS(2206),
    [anon_sym_mutable] = ACTIONS(2206),
    [anon_sym_constinit] = ACTIONS(2206),
    [anon_sym_consteval] = ACTIONS(2206),
    [sym_primitive_type] = ACTIONS(2206),
    [anon_sym_enum] = ACTIONS(2206),
    [anon_sym_class] = ACTIONS(2206),
    [anon_sym_struct] = ACTIONS(2206),
    [anon_sym_union] = ACTIONS(2206),
    [anon_sym_if] = ACTIONS(2206),
    [anon_sym_else] = ACTIONS(2206),
    [anon_sym_switch] = ACTIONS(2206),
    [anon_sym_while] = ACTIONS(2206),
    [anon_sym_do] = ACTIONS(2206),
    [anon_sym_for] = ACTIONS(2206),
    [anon_sym_return] = ACTIONS(2206),
    [anon_sym_break] = ACTIONS(2206),
    [anon_sym_continue] = ACTIONS(2206),
    [anon_sym_goto] = ACTIONS(2206),
    [anon_sym___try] = ACTIONS(2206),
    [anon_sym___leave] = ACTIONS(2206),
    [anon_sym_not] = ACTIONS(2206),
    [anon_sym_compl] = ACTIONS(2206),
    [anon_sym_DASH_DASH] = ACTIONS(2204),
    [anon_sym_PLUS_PLUS] = ACTIONS(2204),
    [anon_sym_sizeof] = ACTIONS(2206),
    [anon_sym___alignof__] = ACTIONS(2206),
    [anon_sym___alignof] = ACTIONS(2206),
    [anon_sym__alignof] = ACTIONS(2206),
    [anon_sym_alignof] = ACTIONS(2206),
    [anon_sym__Alignof] = ACTIONS(2206),
    [anon_sym_offsetof] = ACTIONS(2206),
    [anon_sym__Generic] = ACTIONS(2206),
    [anon_sym_asm] = ACTIONS(2206),
    [anon_sym___asm__] = ACTIONS(2206),
    [sym_number_literal] = ACTIONS(2204),
    [anon_sym_L_SQUOTE] = ACTIONS(2204),
    [anon_sym_u_SQUOTE] = ACTIONS(2204),
    [anon_sym_U_SQUOTE] = ACTIONS(2204),
    [anon_sym_u8_SQUOTE] = ACTIONS(2204),
    [anon_sym_SQUOTE] = ACTIONS(2204),
    [anon_sym_L_DQUOTE] = ACTIONS(2204),
    [anon_sym_u_DQUOTE] = ACTIONS(2204),
    [anon_sym_U_DQUOTE] = ACTIONS(2204),
    [anon_sym_u8_DQUOTE] = ACTIONS(2204),
    [anon_sym_DQUOTE] = ACTIONS(2204),
    [sym_true] = ACTIONS(2206),
    [sym_false] = ACTIONS(2206),
    [anon_sym_NULL] = ACTIONS(2206),
    [anon_sym_nullptr] = ACTIONS(2206),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2206),
    [anon_sym_decltype] = ACTIONS(2206),
    [anon_sym_virtual] = ACTIONS(2206),
    [anon_sym_alignas] = ACTIONS(2206),
    [anon_sym_typename] = ACTIONS(2206),
    [anon_sym_template] = ACTIONS(2206),
    [anon_sym_try] = ACTIONS(2206),
    [anon_sym_delete] = ACTIONS(2206),
    [anon_sym_throw] = ACTIONS(2206),
    [anon_sym_co_return] = ACTIONS(2206),
    [anon_sym_co_yield] = ACTIONS(2206),
    [anon_sym_catch] = ACTIONS(2206),
    [anon_sym_R_DQUOTE] = ACTIONS(2204),
    [anon_sym_LR_DQUOTE] = ACTIONS(2204),
    [anon_sym_uR_DQUOTE] = ACTIONS(2204),
    [anon_sym_UR_DQUOTE] = ACTIONS(2204),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2204),
    [anon_sym_co_await] = ACTIONS(2206),
    [anon_sym_new] = ACTIONS(2206),
    [anon_sym_requires] = ACTIONS(2206),
    [sym_this] = ACTIONS(2206),
    [anon_sym_discard] = ACTIONS(2206),
    [anon_sym_precise] = ACTIONS(2206),
    [anon_sym_shared] = ACTIONS(2206),
    [anon_sym_groupshared] = ACTIONS(2206),
    [anon_sym_uniform] = ACTIONS(2206),
    [anon_sym_row_major] = ACTIONS(2206),
    [anon_sym_column_major] = ACTIONS(2206),
    [anon_sym_globallycoherent] = ACTIONS(2206),
    [anon_sym_centroid] = ACTIONS(2206),
    [anon_sym_noperspective] = ACTIONS(2206),
    [anon_sym_nointerpolation] = ACTIONS(2206),
    [anon_sym_sample] = ACTIONS(2206),
    [anon_sym_linear] = ACTIONS(2206),
    [anon_sym_snorm] = ACTIONS(2206),
    [anon_sym_unorm] = ACTIONS(2206),
    [anon_sym_point] = ACTIONS(2206),
    [anon_sym_line] = ACTIONS(2206),
    [anon_sym_triangleadj] = ACTIONS(2206),
    [anon_sym_lineadj] = ACTIONS(2206),
    [anon_sym_triangle] = ACTIONS(2206),
    [anon_sym_cbuffer] = ACTIONS(2206),
  },
  [1516] = {
    [sym_identifier] = ACTIONS(2444),
    [anon_sym_LPAREN2] = ACTIONS(2446),
    [anon_sym_BANG] = ACTIONS(2446),
    [anon_sym_TILDE] = ACTIONS(2446),
    [anon_sym_DASH] = ACTIONS(2444),
    [anon_sym_PLUS] = ACTIONS(2444),
    [anon_sym_STAR] = ACTIONS(2446),
    [anon_sym_AMP] = ACTIONS(2446),
    [anon_sym_SEMI] = ACTIONS(2446),
    [anon_sym___extension__] = ACTIONS(2444),
    [anon_sym_typedef] = ACTIONS(2444),
    [anon_sym_in] = ACTIONS(2444),
    [anon_sym_out] = ACTIONS(2444),
    [anon_sym_inout] = ACTIONS(2444),
    [anon_sym_extern] = ACTIONS(2444),
    [anon_sym___attribute__] = ACTIONS(2444),
    [anon_sym_COLON_COLON] = ACTIONS(2446),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2446),
    [anon_sym___declspec] = ACTIONS(2444),
    [anon_sym_LBRACE] = ACTIONS(2446),
    [anon_sym_signed] = ACTIONS(2444),
    [anon_sym_unsigned] = ACTIONS(2444),
    [anon_sym_long] = ACTIONS(2444),
    [anon_sym_short] = ACTIONS(2444),
    [anon_sym_LBRACK] = ACTIONS(2444),
    [anon_sym_static] = ACTIONS(2444),
    [anon_sym_register] = ACTIONS(2444),
    [anon_sym_inline] = ACTIONS(2444),
    [anon_sym___inline] = ACTIONS(2444),
    [anon_sym___inline__] = ACTIONS(2444),
    [anon_sym___forceinline] = ACTIONS(2444),
    [anon_sym_thread_local] = ACTIONS(2444),
    [anon_sym___thread] = ACTIONS(2444),
    [anon_sym_const] = ACTIONS(2444),
    [anon_sym_constexpr] = ACTIONS(2444),
    [anon_sym_volatile] = ACTIONS(2444),
    [anon_sym_restrict] = ACTIONS(2444),
    [anon_sym___restrict__] = ACTIONS(2444),
    [anon_sym__Atomic] = ACTIONS(2444),
    [anon_sym__Noreturn] = ACTIONS(2444),
    [anon_sym_noreturn] = ACTIONS(2444),
    [anon_sym_mutable] = ACTIONS(2444),
    [anon_sym_constinit] = ACTIONS(2444),
    [anon_sym_consteval] = ACTIONS(2444),
    [sym_primitive_type] = ACTIONS(2444),
    [anon_sym_enum] = ACTIONS(2444),
    [anon_sym_class] = ACTIONS(2444),
    [anon_sym_struct] = ACTIONS(2444),
    [anon_sym_union] = ACTIONS(2444),
    [anon_sym_if] = ACTIONS(2444),
    [anon_sym_else] = ACTIONS(2444),
    [anon_sym_switch] = ACTIONS(2444),
    [anon_sym_while] = ACTIONS(2444),
    [anon_sym_do] = ACTIONS(2444),
    [anon_sym_for] = ACTIONS(2444),
    [anon_sym_return] = ACTIONS(2444),
    [anon_sym_break] = ACTIONS(2444),
    [anon_sym_continue] = ACTIONS(2444),
    [anon_sym_goto] = ACTIONS(2444),
    [anon_sym___try] = ACTIONS(2444),
    [anon_sym___leave] = ACTIONS(2444),
    [anon_sym_not] = ACTIONS(2444),
    [anon_sym_compl] = ACTIONS(2444),
    [anon_sym_DASH_DASH] = ACTIONS(2446),
    [anon_sym_PLUS_PLUS] = ACTIONS(2446),
    [anon_sym_sizeof] = ACTIONS(2444),
    [anon_sym___alignof__] = ACTIONS(2444),
    [anon_sym___alignof] = ACTIONS(2444),
    [anon_sym__alignof] = ACTIONS(2444),
    [anon_sym_alignof] = ACTIONS(2444),
    [anon_sym__Alignof] = ACTIONS(2444),
    [anon_sym_offsetof] = ACTIONS(2444),
    [anon_sym__Generic] = ACTIONS(2444),
    [anon_sym_asm] = ACTIONS(2444),
    [anon_sym___asm__] = ACTIONS(2444),
    [sym_number_literal] = ACTIONS(2446),
    [anon_sym_L_SQUOTE] = ACTIONS(2446),
    [anon_sym_u_SQUOTE] = ACTIONS(2446),
    [anon_sym_U_SQUOTE] = ACTIONS(2446),
    [anon_sym_u8_SQUOTE] = ACTIONS(2446),
    [anon_sym_SQUOTE] = ACTIONS(2446),
    [anon_sym_L_DQUOTE] = ACTIONS(2446),
    [anon_sym_u_DQUOTE] = ACTIONS(2446),
    [anon_sym_U_DQUOTE] = ACTIONS(2446),
    [anon_sym_u8_DQUOTE] = ACTIONS(2446),
    [anon_sym_DQUOTE] = ACTIONS(2446),
    [sym_true] = ACTIONS(2444),
    [sym_false] = ACTIONS(2444),
    [anon_sym_NULL] = ACTIONS(2444),
    [anon_sym_nullptr] = ACTIONS(2444),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2444),
    [anon_sym_decltype] = ACTIONS(2444),
    [anon_sym_virtual] = ACTIONS(2444),
    [anon_sym_alignas] = ACTIONS(2444),
    [anon_sym_typename] = ACTIONS(2444),
    [anon_sym_template] = ACTIONS(2444),
    [anon_sym_try] = ACTIONS(2444),
    [anon_sym_delete] = ACTIONS(2444),
    [anon_sym_throw] = ACTIONS(2444),
    [anon_sym_co_return] = ACTIONS(2444),
    [anon_sym_co_yield] = ACTIONS(2444),
    [anon_sym_R_DQUOTE] = ACTIONS(2446),
    [anon_sym_LR_DQUOTE] = ACTIONS(2446),
    [anon_sym_uR_DQUOTE] = ACTIONS(2446),
    [anon_sym_UR_DQUOTE] = ACTIONS(2446),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2446),
    [anon_sym_co_await] = ACTIONS(2444),
    [anon_sym_new] = ACTIONS(2444),
    [anon_sym_requires] = ACTIONS(2444),
    [sym_this] = ACTIONS(2444),
    [anon_sym_discard] = ACTIONS(2444),
    [anon_sym_precise] = ACTIONS(2444),
    [anon_sym_shared] = ACTIONS(2444),
    [anon_sym_groupshared] = ACTIONS(2444),
    [anon_sym_uniform] = ACTIONS(2444),
    [anon_sym_row_major] = ACTIONS(2444),
    [anon_sym_column_major] = ACTIONS(2444),
    [anon_sym_globallycoherent] = ACTIONS(2444),
    [anon_sym_centroid] = ACTIONS(2444),
    [anon_sym_noperspective] = ACTIONS(2444),
    [anon_sym_nointerpolation] = ACTIONS(2444),
    [anon_sym_sample] = ACTIONS(2444),
    [anon_sym_linear] = ACTIONS(2444),
    [anon_sym_snorm] = ACTIONS(2444),
    [anon_sym_unorm] = ACTIONS(2444),
    [anon_sym_point] = ACTIONS(2444),
    [anon_sym_line] = ACTIONS(2444),
    [anon_sym_triangleadj] = ACTIONS(2444),
    [anon_sym_lineadj] = ACTIONS(2444),
    [anon_sym_triangle] = ACTIONS(2444),
    [anon_sym_cbuffer] = ACTIONS(2444),
  },
  [1517] = {
    [sym_identifier] = ACTIONS(2444),
    [anon_sym_LPAREN2] = ACTIONS(2446),
    [anon_sym_BANG] = ACTIONS(2446),
    [anon_sym_TILDE] = ACTIONS(2446),
    [anon_sym_DASH] = ACTIONS(2444),
    [anon_sym_PLUS] = ACTIONS(2444),
    [anon_sym_STAR] = ACTIONS(2446),
    [anon_sym_AMP] = ACTIONS(2446),
    [anon_sym_SEMI] = ACTIONS(2446),
    [anon_sym___extension__] = ACTIONS(2444),
    [anon_sym_typedef] = ACTIONS(2444),
    [anon_sym_in] = ACTIONS(2444),
    [anon_sym_out] = ACTIONS(2444),
    [anon_sym_inout] = ACTIONS(2444),
    [anon_sym_extern] = ACTIONS(2444),
    [anon_sym___attribute__] = ACTIONS(2444),
    [anon_sym_COLON_COLON] = ACTIONS(2446),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2446),
    [anon_sym___declspec] = ACTIONS(2444),
    [anon_sym_LBRACE] = ACTIONS(2446),
    [anon_sym_signed] = ACTIONS(2444),
    [anon_sym_unsigned] = ACTIONS(2444),
    [anon_sym_long] = ACTIONS(2444),
    [anon_sym_short] = ACTIONS(2444),
    [anon_sym_LBRACK] = ACTIONS(2444),
    [anon_sym_static] = ACTIONS(2444),
    [anon_sym_register] = ACTIONS(2444),
    [anon_sym_inline] = ACTIONS(2444),
    [anon_sym___inline] = ACTIONS(2444),
    [anon_sym___inline__] = ACTIONS(2444),
    [anon_sym___forceinline] = ACTIONS(2444),
    [anon_sym_thread_local] = ACTIONS(2444),
    [anon_sym___thread] = ACTIONS(2444),
    [anon_sym_const] = ACTIONS(2444),
    [anon_sym_constexpr] = ACTIONS(2444),
    [anon_sym_volatile] = ACTIONS(2444),
    [anon_sym_restrict] = ACTIONS(2444),
    [anon_sym___restrict__] = ACTIONS(2444),
    [anon_sym__Atomic] = ACTIONS(2444),
    [anon_sym__Noreturn] = ACTIONS(2444),
    [anon_sym_noreturn] = ACTIONS(2444),
    [anon_sym_mutable] = ACTIONS(2444),
    [anon_sym_constinit] = ACTIONS(2444),
    [anon_sym_consteval] = ACTIONS(2444),
    [sym_primitive_type] = ACTIONS(2444),
    [anon_sym_enum] = ACTIONS(2444),
    [anon_sym_class] = ACTIONS(2444),
    [anon_sym_struct] = ACTIONS(2444),
    [anon_sym_union] = ACTIONS(2444),
    [anon_sym_if] = ACTIONS(2444),
    [anon_sym_else] = ACTIONS(2444),
    [anon_sym_switch] = ACTIONS(2444),
    [anon_sym_while] = ACTIONS(2444),
    [anon_sym_do] = ACTIONS(2444),
    [anon_sym_for] = ACTIONS(2444),
    [anon_sym_return] = ACTIONS(2444),
    [anon_sym_break] = ACTIONS(2444),
    [anon_sym_continue] = ACTIONS(2444),
    [anon_sym_goto] = ACTIONS(2444),
    [anon_sym___try] = ACTIONS(2444),
    [anon_sym___leave] = ACTIONS(2444),
    [anon_sym_not] = ACTIONS(2444),
    [anon_sym_compl] = ACTIONS(2444),
    [anon_sym_DASH_DASH] = ACTIONS(2446),
    [anon_sym_PLUS_PLUS] = ACTIONS(2446),
    [anon_sym_sizeof] = ACTIONS(2444),
    [anon_sym___alignof__] = ACTIONS(2444),
    [anon_sym___alignof] = ACTIONS(2444),
    [anon_sym__alignof] = ACTIONS(2444),
    [anon_sym_alignof] = ACTIONS(2444),
    [anon_sym__Alignof] = ACTIONS(2444),
    [anon_sym_offsetof] = ACTIONS(2444),
    [anon_sym__Generic] = ACTIONS(2444),
    [anon_sym_asm] = ACTIONS(2444),
    [anon_sym___asm__] = ACTIONS(2444),
    [sym_number_literal] = ACTIONS(2446),
    [anon_sym_L_SQUOTE] = ACTIONS(2446),
    [anon_sym_u_SQUOTE] = ACTIONS(2446),
    [anon_sym_U_SQUOTE] = ACTIONS(2446),
    [anon_sym_u8_SQUOTE] = ACTIONS(2446),
    [anon_sym_SQUOTE] = ACTIONS(2446),
    [anon_sym_L_DQUOTE] = ACTIONS(2446),
    [anon_sym_u_DQUOTE] = ACTIONS(2446),
    [anon_sym_U_DQUOTE] = ACTIONS(2446),
    [anon_sym_u8_DQUOTE] = ACTIONS(2446),
    [anon_sym_DQUOTE] = ACTIONS(2446),
    [sym_true] = ACTIONS(2444),
    [sym_false] = ACTIONS(2444),
    [anon_sym_NULL] = ACTIONS(2444),
    [anon_sym_nullptr] = ACTIONS(2444),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2444),
    [anon_sym_decltype] = ACTIONS(2444),
    [anon_sym_virtual] = ACTIONS(2444),
    [anon_sym_alignas] = ACTIONS(2444),
    [anon_sym_typename] = ACTIONS(2444),
    [anon_sym_template] = ACTIONS(2444),
    [anon_sym_try] = ACTIONS(2444),
    [anon_sym_delete] = ACTIONS(2444),
    [anon_sym_throw] = ACTIONS(2444),
    [anon_sym_co_return] = ACTIONS(2444),
    [anon_sym_co_yield] = ACTIONS(2444),
    [anon_sym_R_DQUOTE] = ACTIONS(2446),
    [anon_sym_LR_DQUOTE] = ACTIONS(2446),
    [anon_sym_uR_DQUOTE] = ACTIONS(2446),
    [anon_sym_UR_DQUOTE] = ACTIONS(2446),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2446),
    [anon_sym_co_await] = ACTIONS(2444),
    [anon_sym_new] = ACTIONS(2444),
    [anon_sym_requires] = ACTIONS(2444),
    [sym_this] = ACTIONS(2444),
    [anon_sym_discard] = ACTIONS(2444),
    [anon_sym_precise] = ACTIONS(2444),
    [anon_sym_shared] = ACTIONS(2444),
    [anon_sym_groupshared] = ACTIONS(2444),
    [anon_sym_uniform] = ACTIONS(2444),
    [anon_sym_row_major] = ACTIONS(2444),
    [anon_sym_column_major] = ACTIONS(2444),
    [anon_sym_globallycoherent] = ACTIONS(2444),
    [anon_sym_centroid] = ACTIONS(2444),
    [anon_sym_noperspective] = ACTIONS(2444),
    [anon_sym_nointerpolation] = ACTIONS(2444),
    [anon_sym_sample] = ACTIONS(2444),
    [anon_sym_linear] = ACTIONS(2444),
    [anon_sym_snorm] = ACTIONS(2444),
    [anon_sym_unorm] = ACTIONS(2444),
    [anon_sym_point] = ACTIONS(2444),
    [anon_sym_line] = ACTIONS(2444),
    [anon_sym_triangleadj] = ACTIONS(2444),
    [anon_sym_lineadj] = ACTIONS(2444),
    [anon_sym_triangle] = ACTIONS(2444),
    [anon_sym_cbuffer] = ACTIONS(2444),
  },
  [1518] = {
    [sym_identifier] = ACTIONS(2376),
    [anon_sym_LPAREN2] = ACTIONS(2378),
    [anon_sym_BANG] = ACTIONS(2378),
    [anon_sym_TILDE] = ACTIONS(2378),
    [anon_sym_DASH] = ACTIONS(2376),
    [anon_sym_PLUS] = ACTIONS(2376),
    [anon_sym_STAR] = ACTIONS(2378),
    [anon_sym_AMP] = ACTIONS(2378),
    [anon_sym_SEMI] = ACTIONS(2378),
    [anon_sym___extension__] = ACTIONS(2376),
    [anon_sym_typedef] = ACTIONS(2376),
    [anon_sym_in] = ACTIONS(2376),
    [anon_sym_out] = ACTIONS(2376),
    [anon_sym_inout] = ACTIONS(2376),
    [anon_sym_extern] = ACTIONS(2376),
    [anon_sym___attribute__] = ACTIONS(2376),
    [anon_sym_COLON_COLON] = ACTIONS(2378),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2378),
    [anon_sym___declspec] = ACTIONS(2376),
    [anon_sym_LBRACE] = ACTIONS(2378),
    [anon_sym_signed] = ACTIONS(2376),
    [anon_sym_unsigned] = ACTIONS(2376),
    [anon_sym_long] = ACTIONS(2376),
    [anon_sym_short] = ACTIONS(2376),
    [anon_sym_LBRACK] = ACTIONS(2376),
    [anon_sym_static] = ACTIONS(2376),
    [anon_sym_register] = ACTIONS(2376),
    [anon_sym_inline] = ACTIONS(2376),
    [anon_sym___inline] = ACTIONS(2376),
    [anon_sym___inline__] = ACTIONS(2376),
    [anon_sym___forceinline] = ACTIONS(2376),
    [anon_sym_thread_local] = ACTIONS(2376),
    [anon_sym___thread] = ACTIONS(2376),
    [anon_sym_const] = ACTIONS(2376),
    [anon_sym_constexpr] = ACTIONS(2376),
    [anon_sym_volatile] = ACTIONS(2376),
    [anon_sym_restrict] = ACTIONS(2376),
    [anon_sym___restrict__] = ACTIONS(2376),
    [anon_sym__Atomic] = ACTIONS(2376),
    [anon_sym__Noreturn] = ACTIONS(2376),
    [anon_sym_noreturn] = ACTIONS(2376),
    [anon_sym_mutable] = ACTIONS(2376),
    [anon_sym_constinit] = ACTIONS(2376),
    [anon_sym_consteval] = ACTIONS(2376),
    [sym_primitive_type] = ACTIONS(2376),
    [anon_sym_enum] = ACTIONS(2376),
    [anon_sym_class] = ACTIONS(2376),
    [anon_sym_struct] = ACTIONS(2376),
    [anon_sym_union] = ACTIONS(2376),
    [anon_sym_if] = ACTIONS(2376),
    [anon_sym_else] = ACTIONS(2376),
    [anon_sym_switch] = ACTIONS(2376),
    [anon_sym_while] = ACTIONS(2376),
    [anon_sym_do] = ACTIONS(2376),
    [anon_sym_for] = ACTIONS(2376),
    [anon_sym_return] = ACTIONS(2376),
    [anon_sym_break] = ACTIONS(2376),
    [anon_sym_continue] = ACTIONS(2376),
    [anon_sym_goto] = ACTIONS(2376),
    [anon_sym___try] = ACTIONS(2376),
    [anon_sym___leave] = ACTIONS(2376),
    [anon_sym_not] = ACTIONS(2376),
    [anon_sym_compl] = ACTIONS(2376),
    [anon_sym_DASH_DASH] = ACTIONS(2378),
    [anon_sym_PLUS_PLUS] = ACTIONS(2378),
    [anon_sym_sizeof] = ACTIONS(2376),
    [anon_sym___alignof__] = ACTIONS(2376),
    [anon_sym___alignof] = ACTIONS(2376),
    [anon_sym__alignof] = ACTIONS(2376),
    [anon_sym_alignof] = ACTIONS(2376),
    [anon_sym__Alignof] = ACTIONS(2376),
    [anon_sym_offsetof] = ACTIONS(2376),
    [anon_sym__Generic] = ACTIONS(2376),
    [anon_sym_asm] = ACTIONS(2376),
    [anon_sym___asm__] = ACTIONS(2376),
    [sym_number_literal] = ACTIONS(2378),
    [anon_sym_L_SQUOTE] = ACTIONS(2378),
    [anon_sym_u_SQUOTE] = ACTIONS(2378),
    [anon_sym_U_SQUOTE] = ACTIONS(2378),
    [anon_sym_u8_SQUOTE] = ACTIONS(2378),
    [anon_sym_SQUOTE] = ACTIONS(2378),
    [anon_sym_L_DQUOTE] = ACTIONS(2378),
    [anon_sym_u_DQUOTE] = ACTIONS(2378),
    [anon_sym_U_DQUOTE] = ACTIONS(2378),
    [anon_sym_u8_DQUOTE] = ACTIONS(2378),
    [anon_sym_DQUOTE] = ACTIONS(2378),
    [sym_true] = ACTIONS(2376),
    [sym_false] = ACTIONS(2376),
    [anon_sym_NULL] = ACTIONS(2376),
    [anon_sym_nullptr] = ACTIONS(2376),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2376),
    [anon_sym_decltype] = ACTIONS(2376),
    [anon_sym_virtual] = ACTIONS(2376),
    [anon_sym_alignas] = ACTIONS(2376),
    [anon_sym_typename] = ACTIONS(2376),
    [anon_sym_template] = ACTIONS(2376),
    [anon_sym_try] = ACTIONS(2376),
    [anon_sym_delete] = ACTIONS(2376),
    [anon_sym_throw] = ACTIONS(2376),
    [anon_sym_co_return] = ACTIONS(2376),
    [anon_sym_co_yield] = ACTIONS(2376),
    [anon_sym_R_DQUOTE] = ACTIONS(2378),
    [anon_sym_LR_DQUOTE] = ACTIONS(2378),
    [anon_sym_uR_DQUOTE] = ACTIONS(2378),
    [anon_sym_UR_DQUOTE] = ACTIONS(2378),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2378),
    [anon_sym_co_await] = ACTIONS(2376),
    [anon_sym_new] = ACTIONS(2376),
    [anon_sym_requires] = ACTIONS(2376),
    [sym_this] = ACTIONS(2376),
    [anon_sym_discard] = ACTIONS(2376),
    [anon_sym_precise] = ACTIONS(2376),
    [anon_sym_shared] = ACTIONS(2376),
    [anon_sym_groupshared] = ACTIONS(2376),
    [anon_sym_uniform] = ACTIONS(2376),
    [anon_sym_row_major] = ACTIONS(2376),
    [anon_sym_column_major] = ACTIONS(2376),
    [anon_sym_globallycoherent] = ACTIONS(2376),
    [anon_sym_centroid] = ACTIONS(2376),
    [anon_sym_noperspective] = ACTIONS(2376),
    [anon_sym_nointerpolation] = ACTIONS(2376),
    [anon_sym_sample] = ACTIONS(2376),
    [anon_sym_linear] = ACTIONS(2376),
    [anon_sym_snorm] = ACTIONS(2376),
    [anon_sym_unorm] = ACTIONS(2376),
    [anon_sym_point] = ACTIONS(2376),
    [anon_sym_line] = ACTIONS(2376),
    [anon_sym_triangleadj] = ACTIONS(2376),
    [anon_sym_lineadj] = ACTIONS(2376),
    [anon_sym_triangle] = ACTIONS(2376),
    [anon_sym_cbuffer] = ACTIONS(2376),
  },
  [1519] = {
    [sym_ms_based_modifier] = STATE(10332),
    [sym_ms_unaligned_ptr_modifier] = STATE(5347),
    [sym_ms_pointer_modifier] = STATE(4701),
    [sym__declarator] = STATE(7636),
    [sym_parenthesized_declarator] = STATE(7680),
    [sym_attributed_declarator] = STATE(7680),
    [sym_pointer_declarator] = STATE(7680),
    [sym_function_declarator] = STATE(7680),
    [sym_array_declarator] = STATE(7680),
    [sym_type_qualifier] = STATE(5246),
    [sym__expression] = STATE(3520),
    [sym__expression_not_binary] = STATE(3672),
    [sym__string] = STATE(3672),
    [sym_conditional_expression] = STATE(3672),
    [sym_assignment_expression] = STATE(3672),
    [sym_pointer_expression] = STATE(3672),
    [sym_unary_expression] = STATE(3672),
    [sym_binary_expression] = STATE(3672),
    [sym_update_expression] = STATE(3672),
    [sym_cast_expression] = STATE(3672),
    [sym_sizeof_expression] = STATE(3672),
    [sym_alignof_expression] = STATE(3672),
    [sym_offsetof_expression] = STATE(3672),
    [sym_generic_expression] = STATE(3672),
    [sym_subscript_expression] = STATE(3672),
    [sym_call_expression] = STATE(3672),
    [sym_gnu_asm_expression] = STATE(3672),
    [sym_field_expression] = STATE(3672),
    [sym_compound_literal_expression] = STATE(3672),
    [sym_parenthesized_expression] = STATE(3672),
    [sym_char_literal] = STATE(3991),
    [sym_concatenated_string] = STATE(3973),
    [sym_string_literal] = STATE(3242),
    [sym_null] = STATE(3672),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9333),
    [sym_reference_declarator] = STATE(7680),
    [sym_structured_binding_declarator] = STATE(7680),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(4504),
    [sym_raw_string_literal] = STATE(3241),
    [sym_co_await_expression] = STATE(3672),
    [sym_new_expression] = STATE(3672),
    [sym_delete_expression] = STATE(3672),
    [sym_requires_clause] = STATE(3672),
    [sym_requires_expression] = STATE(3672),
    [sym_lambda_expression] = STATE(3672),
    [sym_lambda_capture_specifier] = STATE(7134),
    [sym_fold_expression] = STATE(3672),
    [sym_parameter_pack_expansion] = STATE(3672),
    [sym_destructor_name] = STATE(7680),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6885),
    [sym_qualified_identifier] = STATE(4505),
    [sym_qualified_type_identifier] = STATE(9333),
    [sym_operator_name] = STATE(7680),
    [sym_user_defined_literal] = STATE(3672),
    [aux_sym__type_definition_type_repeat1] = STATE(5246),
    [aux_sym_pointer_declarator_repeat1] = STATE(4701),
    [sym_identifier] = ACTIONS(4373),
    [anon_sym_LPAREN2] = ACTIONS(4375),
    [anon_sym_BANG] = ACTIONS(3972),
    [anon_sym_TILDE] = ACTIONS(4377),
    [anon_sym_DASH] = ACTIONS(3970),
    [anon_sym_PLUS] = ACTIONS(3970),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym___extension__] = ACTIONS(4379),
    [anon_sym_COLON_COLON] = ACTIONS(3974),
    [anon_sym___based] = ACTIONS(49),
    [sym_ms_restrict_modifier] = ACTIONS(4381),
    [sym_ms_unsigned_ptr_modifier] = ACTIONS(4381),
    [sym_ms_signed_ptr_modifier] = ACTIONS(4381),
    [anon_sym__unaligned] = ACTIONS(4383),
    [anon_sym___unaligned] = ACTIONS(4383),
    [anon_sym_LBRACK] = ACTIONS(2548),
    [anon_sym_const] = ACTIONS(4379),
    [anon_sym_constexpr] = ACTIONS(4379),
    [anon_sym_volatile] = ACTIONS(4379),
    [anon_sym_restrict] = ACTIONS(4379),
    [anon_sym___restrict__] = ACTIONS(4379),
    [anon_sym__Atomic] = ACTIONS(4379),
    [anon_sym__Noreturn] = ACTIONS(4379),
    [anon_sym_noreturn] = ACTIONS(4379),
    [anon_sym_mutable] = ACTIONS(4379),
    [anon_sym_constinit] = ACTIONS(4379),
    [anon_sym_consteval] = ACTIONS(4379),
    [sym_primitive_type] = ACTIONS(3928),
    [anon_sym_not] = ACTIONS(3970),
    [anon_sym_compl] = ACTIONS(3970),
    [anon_sym_DASH_DASH] = ACTIONS(4385),
    [anon_sym_PLUS_PLUS] = ACTIONS(4385),
    [anon_sym_sizeof] = ACTIONS(3976),
    [anon_sym___alignof__] = ACTIONS(3932),
    [anon_sym___alignof] = ACTIONS(3932),
    [anon_sym__alignof] = ACTIONS(3932),
    [anon_sym_alignof] = ACTIONS(3932),
    [anon_sym__Alignof] = ACTIONS(3932),
    [anon_sym_offsetof] = ACTIONS(3934),
    [anon_sym__Generic] = ACTIONS(3936),
    [anon_sym_asm] = ACTIONS(3938),
    [anon_sym___asm__] = ACTIONS(3938),
    [sym_number_literal] = ACTIONS(3978),
    [anon_sym_L_SQUOTE] = ACTIONS(3980),
    [anon_sym_u_SQUOTE] = ACTIONS(3980),
    [anon_sym_U_SQUOTE] = ACTIONS(3980),
    [anon_sym_u8_SQUOTE] = ACTIONS(3980),
    [anon_sym_SQUOTE] = ACTIONS(3980),
    [anon_sym_L_DQUOTE] = ACTIONS(3982),
    [anon_sym_u_DQUOTE] = ACTIONS(3982),
    [anon_sym_U_DQUOTE] = ACTIONS(3982),
    [anon_sym_u8_DQUOTE] = ACTIONS(3982),
    [anon_sym_DQUOTE] = ACTIONS(3982),
    [sym_true] = ACTIONS(3946),
    [sym_false] = ACTIONS(3946),
    [anon_sym_NULL] = ACTIONS(3948),
    [anon_sym_nullptr] = ACTIONS(3948),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_operator] = ACTIONS(2588),
    [anon_sym_delete] = ACTIONS(3984),
    [anon_sym_R_DQUOTE] = ACTIONS(3986),
    [anon_sym_LR_DQUOTE] = ACTIONS(3986),
    [anon_sym_uR_DQUOTE] = ACTIONS(3986),
    [anon_sym_UR_DQUOTE] = ACTIONS(3986),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3986),
    [anon_sym_co_await] = ACTIONS(3988),
    [anon_sym_new] = ACTIONS(3990),
    [anon_sym_requires] = ACTIONS(3958),
    [sym_this] = ACTIONS(3946),
  },
  [1520] = {
    [sym_identifier] = ACTIONS(2350),
    [anon_sym_LPAREN2] = ACTIONS(2352),
    [anon_sym_BANG] = ACTIONS(2352),
    [anon_sym_TILDE] = ACTIONS(2352),
    [anon_sym_DASH] = ACTIONS(2350),
    [anon_sym_PLUS] = ACTIONS(2350),
    [anon_sym_STAR] = ACTIONS(2352),
    [anon_sym_AMP] = ACTIONS(2352),
    [anon_sym_SEMI] = ACTIONS(2352),
    [anon_sym___extension__] = ACTIONS(2350),
    [anon_sym_typedef] = ACTIONS(2350),
    [anon_sym_in] = ACTIONS(2350),
    [anon_sym_out] = ACTIONS(2350),
    [anon_sym_inout] = ACTIONS(2350),
    [anon_sym_extern] = ACTIONS(2350),
    [anon_sym___attribute__] = ACTIONS(2350),
    [anon_sym_COLON_COLON] = ACTIONS(2352),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2352),
    [anon_sym___declspec] = ACTIONS(2350),
    [anon_sym_LBRACE] = ACTIONS(2352),
    [anon_sym_signed] = ACTIONS(2350),
    [anon_sym_unsigned] = ACTIONS(2350),
    [anon_sym_long] = ACTIONS(2350),
    [anon_sym_short] = ACTIONS(2350),
    [anon_sym_LBRACK] = ACTIONS(2350),
    [anon_sym_static] = ACTIONS(2350),
    [anon_sym_register] = ACTIONS(2350),
    [anon_sym_inline] = ACTIONS(2350),
    [anon_sym___inline] = ACTIONS(2350),
    [anon_sym___inline__] = ACTIONS(2350),
    [anon_sym___forceinline] = ACTIONS(2350),
    [anon_sym_thread_local] = ACTIONS(2350),
    [anon_sym___thread] = ACTIONS(2350),
    [anon_sym_const] = ACTIONS(2350),
    [anon_sym_constexpr] = ACTIONS(2350),
    [anon_sym_volatile] = ACTIONS(2350),
    [anon_sym_restrict] = ACTIONS(2350),
    [anon_sym___restrict__] = ACTIONS(2350),
    [anon_sym__Atomic] = ACTIONS(2350),
    [anon_sym__Noreturn] = ACTIONS(2350),
    [anon_sym_noreturn] = ACTIONS(2350),
    [anon_sym_mutable] = ACTIONS(2350),
    [anon_sym_constinit] = ACTIONS(2350),
    [anon_sym_consteval] = ACTIONS(2350),
    [sym_primitive_type] = ACTIONS(2350),
    [anon_sym_enum] = ACTIONS(2350),
    [anon_sym_class] = ACTIONS(2350),
    [anon_sym_struct] = ACTIONS(2350),
    [anon_sym_union] = ACTIONS(2350),
    [anon_sym_if] = ACTIONS(2350),
    [anon_sym_else] = ACTIONS(2350),
    [anon_sym_switch] = ACTIONS(2350),
    [anon_sym_while] = ACTIONS(2350),
    [anon_sym_do] = ACTIONS(2350),
    [anon_sym_for] = ACTIONS(2350),
    [anon_sym_return] = ACTIONS(2350),
    [anon_sym_break] = ACTIONS(2350),
    [anon_sym_continue] = ACTIONS(2350),
    [anon_sym_goto] = ACTIONS(2350),
    [anon_sym___try] = ACTIONS(2350),
    [anon_sym___leave] = ACTIONS(2350),
    [anon_sym_not] = ACTIONS(2350),
    [anon_sym_compl] = ACTIONS(2350),
    [anon_sym_DASH_DASH] = ACTIONS(2352),
    [anon_sym_PLUS_PLUS] = ACTIONS(2352),
    [anon_sym_sizeof] = ACTIONS(2350),
    [anon_sym___alignof__] = ACTIONS(2350),
    [anon_sym___alignof] = ACTIONS(2350),
    [anon_sym__alignof] = ACTIONS(2350),
    [anon_sym_alignof] = ACTIONS(2350),
    [anon_sym__Alignof] = ACTIONS(2350),
    [anon_sym_offsetof] = ACTIONS(2350),
    [anon_sym__Generic] = ACTIONS(2350),
    [anon_sym_asm] = ACTIONS(2350),
    [anon_sym___asm__] = ACTIONS(2350),
    [sym_number_literal] = ACTIONS(2352),
    [anon_sym_L_SQUOTE] = ACTIONS(2352),
    [anon_sym_u_SQUOTE] = ACTIONS(2352),
    [anon_sym_U_SQUOTE] = ACTIONS(2352),
    [anon_sym_u8_SQUOTE] = ACTIONS(2352),
    [anon_sym_SQUOTE] = ACTIONS(2352),
    [anon_sym_L_DQUOTE] = ACTIONS(2352),
    [anon_sym_u_DQUOTE] = ACTIONS(2352),
    [anon_sym_U_DQUOTE] = ACTIONS(2352),
    [anon_sym_u8_DQUOTE] = ACTIONS(2352),
    [anon_sym_DQUOTE] = ACTIONS(2352),
    [sym_true] = ACTIONS(2350),
    [sym_false] = ACTIONS(2350),
    [anon_sym_NULL] = ACTIONS(2350),
    [anon_sym_nullptr] = ACTIONS(2350),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2350),
    [anon_sym_decltype] = ACTIONS(2350),
    [anon_sym_virtual] = ACTIONS(2350),
    [anon_sym_alignas] = ACTIONS(2350),
    [anon_sym_typename] = ACTIONS(2350),
    [anon_sym_template] = ACTIONS(2350),
    [anon_sym_try] = ACTIONS(2350),
    [anon_sym_delete] = ACTIONS(2350),
    [anon_sym_throw] = ACTIONS(2350),
    [anon_sym_co_return] = ACTIONS(2350),
    [anon_sym_co_yield] = ACTIONS(2350),
    [anon_sym_R_DQUOTE] = ACTIONS(2352),
    [anon_sym_LR_DQUOTE] = ACTIONS(2352),
    [anon_sym_uR_DQUOTE] = ACTIONS(2352),
    [anon_sym_UR_DQUOTE] = ACTIONS(2352),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2352),
    [anon_sym_co_await] = ACTIONS(2350),
    [anon_sym_new] = ACTIONS(2350),
    [anon_sym_requires] = ACTIONS(2350),
    [sym_this] = ACTIONS(2350),
    [anon_sym_discard] = ACTIONS(2350),
    [anon_sym_precise] = ACTIONS(2350),
    [anon_sym_shared] = ACTIONS(2350),
    [anon_sym_groupshared] = ACTIONS(2350),
    [anon_sym_uniform] = ACTIONS(2350),
    [anon_sym_row_major] = ACTIONS(2350),
    [anon_sym_column_major] = ACTIONS(2350),
    [anon_sym_globallycoherent] = ACTIONS(2350),
    [anon_sym_centroid] = ACTIONS(2350),
    [anon_sym_noperspective] = ACTIONS(2350),
    [anon_sym_nointerpolation] = ACTIONS(2350),
    [anon_sym_sample] = ACTIONS(2350),
    [anon_sym_linear] = ACTIONS(2350),
    [anon_sym_snorm] = ACTIONS(2350),
    [anon_sym_unorm] = ACTIONS(2350),
    [anon_sym_point] = ACTIONS(2350),
    [anon_sym_line] = ACTIONS(2350),
    [anon_sym_triangleadj] = ACTIONS(2350),
    [anon_sym_lineadj] = ACTIONS(2350),
    [anon_sym_triangle] = ACTIONS(2350),
    [anon_sym_cbuffer] = ACTIONS(2350),
  },
  [1521] = {
    [sym_identifier] = ACTIONS(2330),
    [anon_sym_LPAREN2] = ACTIONS(2332),
    [anon_sym_BANG] = ACTIONS(2332),
    [anon_sym_TILDE] = ACTIONS(2332),
    [anon_sym_DASH] = ACTIONS(2330),
    [anon_sym_PLUS] = ACTIONS(2330),
    [anon_sym_STAR] = ACTIONS(2332),
    [anon_sym_AMP] = ACTIONS(2332),
    [anon_sym_SEMI] = ACTIONS(2332),
    [anon_sym___extension__] = ACTIONS(2330),
    [anon_sym_typedef] = ACTIONS(2330),
    [anon_sym_in] = ACTIONS(2330),
    [anon_sym_out] = ACTIONS(2330),
    [anon_sym_inout] = ACTIONS(2330),
    [anon_sym_extern] = ACTIONS(2330),
    [anon_sym___attribute__] = ACTIONS(2330),
    [anon_sym_COLON_COLON] = ACTIONS(2332),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2332),
    [anon_sym___declspec] = ACTIONS(2330),
    [anon_sym_LBRACE] = ACTIONS(2332),
    [anon_sym_signed] = ACTIONS(2330),
    [anon_sym_unsigned] = ACTIONS(2330),
    [anon_sym_long] = ACTIONS(2330),
    [anon_sym_short] = ACTIONS(2330),
    [anon_sym_LBRACK] = ACTIONS(2330),
    [anon_sym_static] = ACTIONS(2330),
    [anon_sym_register] = ACTIONS(2330),
    [anon_sym_inline] = ACTIONS(2330),
    [anon_sym___inline] = ACTIONS(2330),
    [anon_sym___inline__] = ACTIONS(2330),
    [anon_sym___forceinline] = ACTIONS(2330),
    [anon_sym_thread_local] = ACTIONS(2330),
    [anon_sym___thread] = ACTIONS(2330),
    [anon_sym_const] = ACTIONS(2330),
    [anon_sym_constexpr] = ACTIONS(2330),
    [anon_sym_volatile] = ACTIONS(2330),
    [anon_sym_restrict] = ACTIONS(2330),
    [anon_sym___restrict__] = ACTIONS(2330),
    [anon_sym__Atomic] = ACTIONS(2330),
    [anon_sym__Noreturn] = ACTIONS(2330),
    [anon_sym_noreturn] = ACTIONS(2330),
    [anon_sym_mutable] = ACTIONS(2330),
    [anon_sym_constinit] = ACTIONS(2330),
    [anon_sym_consteval] = ACTIONS(2330),
    [sym_primitive_type] = ACTIONS(2330),
    [anon_sym_enum] = ACTIONS(2330),
    [anon_sym_class] = ACTIONS(2330),
    [anon_sym_struct] = ACTIONS(2330),
    [anon_sym_union] = ACTIONS(2330),
    [anon_sym_if] = ACTIONS(2330),
    [anon_sym_else] = ACTIONS(2330),
    [anon_sym_switch] = ACTIONS(2330),
    [anon_sym_while] = ACTIONS(2330),
    [anon_sym_do] = ACTIONS(2330),
    [anon_sym_for] = ACTIONS(2330),
    [anon_sym_return] = ACTIONS(2330),
    [anon_sym_break] = ACTIONS(2330),
    [anon_sym_continue] = ACTIONS(2330),
    [anon_sym_goto] = ACTIONS(2330),
    [anon_sym___try] = ACTIONS(2330),
    [anon_sym___leave] = ACTIONS(2330),
    [anon_sym_not] = ACTIONS(2330),
    [anon_sym_compl] = ACTIONS(2330),
    [anon_sym_DASH_DASH] = ACTIONS(2332),
    [anon_sym_PLUS_PLUS] = ACTIONS(2332),
    [anon_sym_sizeof] = ACTIONS(2330),
    [anon_sym___alignof__] = ACTIONS(2330),
    [anon_sym___alignof] = ACTIONS(2330),
    [anon_sym__alignof] = ACTIONS(2330),
    [anon_sym_alignof] = ACTIONS(2330),
    [anon_sym__Alignof] = ACTIONS(2330),
    [anon_sym_offsetof] = ACTIONS(2330),
    [anon_sym__Generic] = ACTIONS(2330),
    [anon_sym_asm] = ACTIONS(2330),
    [anon_sym___asm__] = ACTIONS(2330),
    [sym_number_literal] = ACTIONS(2332),
    [anon_sym_L_SQUOTE] = ACTIONS(2332),
    [anon_sym_u_SQUOTE] = ACTIONS(2332),
    [anon_sym_U_SQUOTE] = ACTIONS(2332),
    [anon_sym_u8_SQUOTE] = ACTIONS(2332),
    [anon_sym_SQUOTE] = ACTIONS(2332),
    [anon_sym_L_DQUOTE] = ACTIONS(2332),
    [anon_sym_u_DQUOTE] = ACTIONS(2332),
    [anon_sym_U_DQUOTE] = ACTIONS(2332),
    [anon_sym_u8_DQUOTE] = ACTIONS(2332),
    [anon_sym_DQUOTE] = ACTIONS(2332),
    [sym_true] = ACTIONS(2330),
    [sym_false] = ACTIONS(2330),
    [anon_sym_NULL] = ACTIONS(2330),
    [anon_sym_nullptr] = ACTIONS(2330),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2330),
    [anon_sym_decltype] = ACTIONS(2330),
    [anon_sym_virtual] = ACTIONS(2330),
    [anon_sym_alignas] = ACTIONS(2330),
    [anon_sym_typename] = ACTIONS(2330),
    [anon_sym_template] = ACTIONS(2330),
    [anon_sym_try] = ACTIONS(2330),
    [anon_sym_delete] = ACTIONS(2330),
    [anon_sym_throw] = ACTIONS(2330),
    [anon_sym_co_return] = ACTIONS(2330),
    [anon_sym_co_yield] = ACTIONS(2330),
    [anon_sym_R_DQUOTE] = ACTIONS(2332),
    [anon_sym_LR_DQUOTE] = ACTIONS(2332),
    [anon_sym_uR_DQUOTE] = ACTIONS(2332),
    [anon_sym_UR_DQUOTE] = ACTIONS(2332),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2332),
    [anon_sym_co_await] = ACTIONS(2330),
    [anon_sym_new] = ACTIONS(2330),
    [anon_sym_requires] = ACTIONS(2330),
    [sym_this] = ACTIONS(2330),
    [anon_sym_discard] = ACTIONS(2330),
    [anon_sym_precise] = ACTIONS(2330),
    [anon_sym_shared] = ACTIONS(2330),
    [anon_sym_groupshared] = ACTIONS(2330),
    [anon_sym_uniform] = ACTIONS(2330),
    [anon_sym_row_major] = ACTIONS(2330),
    [anon_sym_column_major] = ACTIONS(2330),
    [anon_sym_globallycoherent] = ACTIONS(2330),
    [anon_sym_centroid] = ACTIONS(2330),
    [anon_sym_noperspective] = ACTIONS(2330),
    [anon_sym_nointerpolation] = ACTIONS(2330),
    [anon_sym_sample] = ACTIONS(2330),
    [anon_sym_linear] = ACTIONS(2330),
    [anon_sym_snorm] = ACTIONS(2330),
    [anon_sym_unorm] = ACTIONS(2330),
    [anon_sym_point] = ACTIONS(2330),
    [anon_sym_line] = ACTIONS(2330),
    [anon_sym_triangleadj] = ACTIONS(2330),
    [anon_sym_lineadj] = ACTIONS(2330),
    [anon_sym_triangle] = ACTIONS(2330),
    [anon_sym_cbuffer] = ACTIONS(2330),
  },
  [1522] = {
    [sym_identifier] = ACTIONS(2428),
    [anon_sym_LPAREN2] = ACTIONS(2430),
    [anon_sym_BANG] = ACTIONS(2430),
    [anon_sym_TILDE] = ACTIONS(2430),
    [anon_sym_DASH] = ACTIONS(2428),
    [anon_sym_PLUS] = ACTIONS(2428),
    [anon_sym_STAR] = ACTIONS(2430),
    [anon_sym_AMP] = ACTIONS(2430),
    [anon_sym_SEMI] = ACTIONS(2430),
    [anon_sym___extension__] = ACTIONS(2428),
    [anon_sym_typedef] = ACTIONS(2428),
    [anon_sym_in] = ACTIONS(2428),
    [anon_sym_out] = ACTIONS(2428),
    [anon_sym_inout] = ACTIONS(2428),
    [anon_sym_extern] = ACTIONS(2428),
    [anon_sym___attribute__] = ACTIONS(2428),
    [anon_sym_COLON_COLON] = ACTIONS(2430),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2430),
    [anon_sym___declspec] = ACTIONS(2428),
    [anon_sym_LBRACE] = ACTIONS(2430),
    [anon_sym_signed] = ACTIONS(2428),
    [anon_sym_unsigned] = ACTIONS(2428),
    [anon_sym_long] = ACTIONS(2428),
    [anon_sym_short] = ACTIONS(2428),
    [anon_sym_LBRACK] = ACTIONS(2428),
    [anon_sym_static] = ACTIONS(2428),
    [anon_sym_register] = ACTIONS(2428),
    [anon_sym_inline] = ACTIONS(2428),
    [anon_sym___inline] = ACTIONS(2428),
    [anon_sym___inline__] = ACTIONS(2428),
    [anon_sym___forceinline] = ACTIONS(2428),
    [anon_sym_thread_local] = ACTIONS(2428),
    [anon_sym___thread] = ACTIONS(2428),
    [anon_sym_const] = ACTIONS(2428),
    [anon_sym_constexpr] = ACTIONS(2428),
    [anon_sym_volatile] = ACTIONS(2428),
    [anon_sym_restrict] = ACTIONS(2428),
    [anon_sym___restrict__] = ACTIONS(2428),
    [anon_sym__Atomic] = ACTIONS(2428),
    [anon_sym__Noreturn] = ACTIONS(2428),
    [anon_sym_noreturn] = ACTIONS(2428),
    [anon_sym_mutable] = ACTIONS(2428),
    [anon_sym_constinit] = ACTIONS(2428),
    [anon_sym_consteval] = ACTIONS(2428),
    [sym_primitive_type] = ACTIONS(2428),
    [anon_sym_enum] = ACTIONS(2428),
    [anon_sym_class] = ACTIONS(2428),
    [anon_sym_struct] = ACTIONS(2428),
    [anon_sym_union] = ACTIONS(2428),
    [anon_sym_if] = ACTIONS(2428),
    [anon_sym_else] = ACTIONS(2428),
    [anon_sym_switch] = ACTIONS(2428),
    [anon_sym_while] = ACTIONS(2428),
    [anon_sym_do] = ACTIONS(2428),
    [anon_sym_for] = ACTIONS(2428),
    [anon_sym_return] = ACTIONS(2428),
    [anon_sym_break] = ACTIONS(2428),
    [anon_sym_continue] = ACTIONS(2428),
    [anon_sym_goto] = ACTIONS(2428),
    [anon_sym___try] = ACTIONS(2428),
    [anon_sym___leave] = ACTIONS(2428),
    [anon_sym_not] = ACTIONS(2428),
    [anon_sym_compl] = ACTIONS(2428),
    [anon_sym_DASH_DASH] = ACTIONS(2430),
    [anon_sym_PLUS_PLUS] = ACTIONS(2430),
    [anon_sym_sizeof] = ACTIONS(2428),
    [anon_sym___alignof__] = ACTIONS(2428),
    [anon_sym___alignof] = ACTIONS(2428),
    [anon_sym__alignof] = ACTIONS(2428),
    [anon_sym_alignof] = ACTIONS(2428),
    [anon_sym__Alignof] = ACTIONS(2428),
    [anon_sym_offsetof] = ACTIONS(2428),
    [anon_sym__Generic] = ACTIONS(2428),
    [anon_sym_asm] = ACTIONS(2428),
    [anon_sym___asm__] = ACTIONS(2428),
    [sym_number_literal] = ACTIONS(2430),
    [anon_sym_L_SQUOTE] = ACTIONS(2430),
    [anon_sym_u_SQUOTE] = ACTIONS(2430),
    [anon_sym_U_SQUOTE] = ACTIONS(2430),
    [anon_sym_u8_SQUOTE] = ACTIONS(2430),
    [anon_sym_SQUOTE] = ACTIONS(2430),
    [anon_sym_L_DQUOTE] = ACTIONS(2430),
    [anon_sym_u_DQUOTE] = ACTIONS(2430),
    [anon_sym_U_DQUOTE] = ACTIONS(2430),
    [anon_sym_u8_DQUOTE] = ACTIONS(2430),
    [anon_sym_DQUOTE] = ACTIONS(2430),
    [sym_true] = ACTIONS(2428),
    [sym_false] = ACTIONS(2428),
    [anon_sym_NULL] = ACTIONS(2428),
    [anon_sym_nullptr] = ACTIONS(2428),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2428),
    [anon_sym_decltype] = ACTIONS(2428),
    [anon_sym_virtual] = ACTIONS(2428),
    [anon_sym_alignas] = ACTIONS(2428),
    [anon_sym_typename] = ACTIONS(2428),
    [anon_sym_template] = ACTIONS(2428),
    [anon_sym_try] = ACTIONS(2428),
    [anon_sym_delete] = ACTIONS(2428),
    [anon_sym_throw] = ACTIONS(2428),
    [anon_sym_co_return] = ACTIONS(2428),
    [anon_sym_co_yield] = ACTIONS(2428),
    [anon_sym_R_DQUOTE] = ACTIONS(2430),
    [anon_sym_LR_DQUOTE] = ACTIONS(2430),
    [anon_sym_uR_DQUOTE] = ACTIONS(2430),
    [anon_sym_UR_DQUOTE] = ACTIONS(2430),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2430),
    [anon_sym_co_await] = ACTIONS(2428),
    [anon_sym_new] = ACTIONS(2428),
    [anon_sym_requires] = ACTIONS(2428),
    [sym_this] = ACTIONS(2428),
    [anon_sym_discard] = ACTIONS(2428),
    [anon_sym_precise] = ACTIONS(2428),
    [anon_sym_shared] = ACTIONS(2428),
    [anon_sym_groupshared] = ACTIONS(2428),
    [anon_sym_uniform] = ACTIONS(2428),
    [anon_sym_row_major] = ACTIONS(2428),
    [anon_sym_column_major] = ACTIONS(2428),
    [anon_sym_globallycoherent] = ACTIONS(2428),
    [anon_sym_centroid] = ACTIONS(2428),
    [anon_sym_noperspective] = ACTIONS(2428),
    [anon_sym_nointerpolation] = ACTIONS(2428),
    [anon_sym_sample] = ACTIONS(2428),
    [anon_sym_linear] = ACTIONS(2428),
    [anon_sym_snorm] = ACTIONS(2428),
    [anon_sym_unorm] = ACTIONS(2428),
    [anon_sym_point] = ACTIONS(2428),
    [anon_sym_line] = ACTIONS(2428),
    [anon_sym_triangleadj] = ACTIONS(2428),
    [anon_sym_lineadj] = ACTIONS(2428),
    [anon_sym_triangle] = ACTIONS(2428),
    [anon_sym_cbuffer] = ACTIONS(2428),
  },
  [1523] = {
    [sym_identifier] = ACTIONS(2330),
    [anon_sym_LPAREN2] = ACTIONS(2332),
    [anon_sym_BANG] = ACTIONS(2332),
    [anon_sym_TILDE] = ACTIONS(2332),
    [anon_sym_DASH] = ACTIONS(2330),
    [anon_sym_PLUS] = ACTIONS(2330),
    [anon_sym_STAR] = ACTIONS(2332),
    [anon_sym_AMP] = ACTIONS(2332),
    [anon_sym_SEMI] = ACTIONS(2332),
    [anon_sym___extension__] = ACTIONS(2330),
    [anon_sym_typedef] = ACTIONS(2330),
    [anon_sym_in] = ACTIONS(2330),
    [anon_sym_out] = ACTIONS(2330),
    [anon_sym_inout] = ACTIONS(2330),
    [anon_sym_extern] = ACTIONS(2330),
    [anon_sym___attribute__] = ACTIONS(2330),
    [anon_sym_COLON_COLON] = ACTIONS(2332),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2332),
    [anon_sym___declspec] = ACTIONS(2330),
    [anon_sym_LBRACE] = ACTIONS(2332),
    [anon_sym_signed] = ACTIONS(2330),
    [anon_sym_unsigned] = ACTIONS(2330),
    [anon_sym_long] = ACTIONS(2330),
    [anon_sym_short] = ACTIONS(2330),
    [anon_sym_LBRACK] = ACTIONS(2330),
    [anon_sym_static] = ACTIONS(2330),
    [anon_sym_register] = ACTIONS(2330),
    [anon_sym_inline] = ACTIONS(2330),
    [anon_sym___inline] = ACTIONS(2330),
    [anon_sym___inline__] = ACTIONS(2330),
    [anon_sym___forceinline] = ACTIONS(2330),
    [anon_sym_thread_local] = ACTIONS(2330),
    [anon_sym___thread] = ACTIONS(2330),
    [anon_sym_const] = ACTIONS(2330),
    [anon_sym_constexpr] = ACTIONS(2330),
    [anon_sym_volatile] = ACTIONS(2330),
    [anon_sym_restrict] = ACTIONS(2330),
    [anon_sym___restrict__] = ACTIONS(2330),
    [anon_sym__Atomic] = ACTIONS(2330),
    [anon_sym__Noreturn] = ACTIONS(2330),
    [anon_sym_noreturn] = ACTIONS(2330),
    [anon_sym_mutable] = ACTIONS(2330),
    [anon_sym_constinit] = ACTIONS(2330),
    [anon_sym_consteval] = ACTIONS(2330),
    [sym_primitive_type] = ACTIONS(2330),
    [anon_sym_enum] = ACTIONS(2330),
    [anon_sym_class] = ACTIONS(2330),
    [anon_sym_struct] = ACTIONS(2330),
    [anon_sym_union] = ACTIONS(2330),
    [anon_sym_if] = ACTIONS(2330),
    [anon_sym_else] = ACTIONS(2330),
    [anon_sym_switch] = ACTIONS(2330),
    [anon_sym_while] = ACTIONS(2330),
    [anon_sym_do] = ACTIONS(2330),
    [anon_sym_for] = ACTIONS(2330),
    [anon_sym_return] = ACTIONS(2330),
    [anon_sym_break] = ACTIONS(2330),
    [anon_sym_continue] = ACTIONS(2330),
    [anon_sym_goto] = ACTIONS(2330),
    [anon_sym___try] = ACTIONS(2330),
    [anon_sym___leave] = ACTIONS(2330),
    [anon_sym_not] = ACTIONS(2330),
    [anon_sym_compl] = ACTIONS(2330),
    [anon_sym_DASH_DASH] = ACTIONS(2332),
    [anon_sym_PLUS_PLUS] = ACTIONS(2332),
    [anon_sym_sizeof] = ACTIONS(2330),
    [anon_sym___alignof__] = ACTIONS(2330),
    [anon_sym___alignof] = ACTIONS(2330),
    [anon_sym__alignof] = ACTIONS(2330),
    [anon_sym_alignof] = ACTIONS(2330),
    [anon_sym__Alignof] = ACTIONS(2330),
    [anon_sym_offsetof] = ACTIONS(2330),
    [anon_sym__Generic] = ACTIONS(2330),
    [anon_sym_asm] = ACTIONS(2330),
    [anon_sym___asm__] = ACTIONS(2330),
    [sym_number_literal] = ACTIONS(2332),
    [anon_sym_L_SQUOTE] = ACTIONS(2332),
    [anon_sym_u_SQUOTE] = ACTIONS(2332),
    [anon_sym_U_SQUOTE] = ACTIONS(2332),
    [anon_sym_u8_SQUOTE] = ACTIONS(2332),
    [anon_sym_SQUOTE] = ACTIONS(2332),
    [anon_sym_L_DQUOTE] = ACTIONS(2332),
    [anon_sym_u_DQUOTE] = ACTIONS(2332),
    [anon_sym_U_DQUOTE] = ACTIONS(2332),
    [anon_sym_u8_DQUOTE] = ACTIONS(2332),
    [anon_sym_DQUOTE] = ACTIONS(2332),
    [sym_true] = ACTIONS(2330),
    [sym_false] = ACTIONS(2330),
    [anon_sym_NULL] = ACTIONS(2330),
    [anon_sym_nullptr] = ACTIONS(2330),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2330),
    [anon_sym_decltype] = ACTIONS(2330),
    [anon_sym_virtual] = ACTIONS(2330),
    [anon_sym_alignas] = ACTIONS(2330),
    [anon_sym_typename] = ACTIONS(2330),
    [anon_sym_template] = ACTIONS(2330),
    [anon_sym_try] = ACTIONS(2330),
    [anon_sym_delete] = ACTIONS(2330),
    [anon_sym_throw] = ACTIONS(2330),
    [anon_sym_co_return] = ACTIONS(2330),
    [anon_sym_co_yield] = ACTIONS(2330),
    [anon_sym_R_DQUOTE] = ACTIONS(2332),
    [anon_sym_LR_DQUOTE] = ACTIONS(2332),
    [anon_sym_uR_DQUOTE] = ACTIONS(2332),
    [anon_sym_UR_DQUOTE] = ACTIONS(2332),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2332),
    [anon_sym_co_await] = ACTIONS(2330),
    [anon_sym_new] = ACTIONS(2330),
    [anon_sym_requires] = ACTIONS(2330),
    [sym_this] = ACTIONS(2330),
    [anon_sym_discard] = ACTIONS(2330),
    [anon_sym_precise] = ACTIONS(2330),
    [anon_sym_shared] = ACTIONS(2330),
    [anon_sym_groupshared] = ACTIONS(2330),
    [anon_sym_uniform] = ACTIONS(2330),
    [anon_sym_row_major] = ACTIONS(2330),
    [anon_sym_column_major] = ACTIONS(2330),
    [anon_sym_globallycoherent] = ACTIONS(2330),
    [anon_sym_centroid] = ACTIONS(2330),
    [anon_sym_noperspective] = ACTIONS(2330),
    [anon_sym_nointerpolation] = ACTIONS(2330),
    [anon_sym_sample] = ACTIONS(2330),
    [anon_sym_linear] = ACTIONS(2330),
    [anon_sym_snorm] = ACTIONS(2330),
    [anon_sym_unorm] = ACTIONS(2330),
    [anon_sym_point] = ACTIONS(2330),
    [anon_sym_line] = ACTIONS(2330),
    [anon_sym_triangleadj] = ACTIONS(2330),
    [anon_sym_lineadj] = ACTIONS(2330),
    [anon_sym_triangle] = ACTIONS(2330),
    [anon_sym_cbuffer] = ACTIONS(2330),
  },
  [1524] = {
    [sym_identifier] = ACTIONS(2496),
    [anon_sym_LPAREN2] = ACTIONS(2498),
    [anon_sym_BANG] = ACTIONS(2498),
    [anon_sym_TILDE] = ACTIONS(2498),
    [anon_sym_DASH] = ACTIONS(2496),
    [anon_sym_PLUS] = ACTIONS(2496),
    [anon_sym_STAR] = ACTIONS(2498),
    [anon_sym_AMP] = ACTIONS(2498),
    [anon_sym_SEMI] = ACTIONS(2498),
    [anon_sym___extension__] = ACTIONS(2496),
    [anon_sym_typedef] = ACTIONS(2496),
    [anon_sym_in] = ACTIONS(2496),
    [anon_sym_out] = ACTIONS(2496),
    [anon_sym_inout] = ACTIONS(2496),
    [anon_sym_extern] = ACTIONS(2496),
    [anon_sym___attribute__] = ACTIONS(2496),
    [anon_sym_COLON_COLON] = ACTIONS(2498),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2498),
    [anon_sym___declspec] = ACTIONS(2496),
    [anon_sym_LBRACE] = ACTIONS(2498),
    [anon_sym_signed] = ACTIONS(2496),
    [anon_sym_unsigned] = ACTIONS(2496),
    [anon_sym_long] = ACTIONS(2496),
    [anon_sym_short] = ACTIONS(2496),
    [anon_sym_LBRACK] = ACTIONS(2496),
    [anon_sym_static] = ACTIONS(2496),
    [anon_sym_register] = ACTIONS(2496),
    [anon_sym_inline] = ACTIONS(2496),
    [anon_sym___inline] = ACTIONS(2496),
    [anon_sym___inline__] = ACTIONS(2496),
    [anon_sym___forceinline] = ACTIONS(2496),
    [anon_sym_thread_local] = ACTIONS(2496),
    [anon_sym___thread] = ACTIONS(2496),
    [anon_sym_const] = ACTIONS(2496),
    [anon_sym_constexpr] = ACTIONS(2496),
    [anon_sym_volatile] = ACTIONS(2496),
    [anon_sym_restrict] = ACTIONS(2496),
    [anon_sym___restrict__] = ACTIONS(2496),
    [anon_sym__Atomic] = ACTIONS(2496),
    [anon_sym__Noreturn] = ACTIONS(2496),
    [anon_sym_noreturn] = ACTIONS(2496),
    [anon_sym_mutable] = ACTIONS(2496),
    [anon_sym_constinit] = ACTIONS(2496),
    [anon_sym_consteval] = ACTIONS(2496),
    [sym_primitive_type] = ACTIONS(2496),
    [anon_sym_enum] = ACTIONS(2496),
    [anon_sym_class] = ACTIONS(2496),
    [anon_sym_struct] = ACTIONS(2496),
    [anon_sym_union] = ACTIONS(2496),
    [anon_sym_if] = ACTIONS(2496),
    [anon_sym_else] = ACTIONS(2496),
    [anon_sym_switch] = ACTIONS(2496),
    [anon_sym_while] = ACTIONS(2496),
    [anon_sym_do] = ACTIONS(2496),
    [anon_sym_for] = ACTIONS(2496),
    [anon_sym_return] = ACTIONS(2496),
    [anon_sym_break] = ACTIONS(2496),
    [anon_sym_continue] = ACTIONS(2496),
    [anon_sym_goto] = ACTIONS(2496),
    [anon_sym___try] = ACTIONS(2496),
    [anon_sym___leave] = ACTIONS(2496),
    [anon_sym_not] = ACTIONS(2496),
    [anon_sym_compl] = ACTIONS(2496),
    [anon_sym_DASH_DASH] = ACTIONS(2498),
    [anon_sym_PLUS_PLUS] = ACTIONS(2498),
    [anon_sym_sizeof] = ACTIONS(2496),
    [anon_sym___alignof__] = ACTIONS(2496),
    [anon_sym___alignof] = ACTIONS(2496),
    [anon_sym__alignof] = ACTIONS(2496),
    [anon_sym_alignof] = ACTIONS(2496),
    [anon_sym__Alignof] = ACTIONS(2496),
    [anon_sym_offsetof] = ACTIONS(2496),
    [anon_sym__Generic] = ACTIONS(2496),
    [anon_sym_asm] = ACTIONS(2496),
    [anon_sym___asm__] = ACTIONS(2496),
    [sym_number_literal] = ACTIONS(2498),
    [anon_sym_L_SQUOTE] = ACTIONS(2498),
    [anon_sym_u_SQUOTE] = ACTIONS(2498),
    [anon_sym_U_SQUOTE] = ACTIONS(2498),
    [anon_sym_u8_SQUOTE] = ACTIONS(2498),
    [anon_sym_SQUOTE] = ACTIONS(2498),
    [anon_sym_L_DQUOTE] = ACTIONS(2498),
    [anon_sym_u_DQUOTE] = ACTIONS(2498),
    [anon_sym_U_DQUOTE] = ACTIONS(2498),
    [anon_sym_u8_DQUOTE] = ACTIONS(2498),
    [anon_sym_DQUOTE] = ACTIONS(2498),
    [sym_true] = ACTIONS(2496),
    [sym_false] = ACTIONS(2496),
    [anon_sym_NULL] = ACTIONS(2496),
    [anon_sym_nullptr] = ACTIONS(2496),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2496),
    [anon_sym_decltype] = ACTIONS(2496),
    [anon_sym_virtual] = ACTIONS(2496),
    [anon_sym_alignas] = ACTIONS(2496),
    [anon_sym_typename] = ACTIONS(2496),
    [anon_sym_template] = ACTIONS(2496),
    [anon_sym_try] = ACTIONS(2496),
    [anon_sym_delete] = ACTIONS(2496),
    [anon_sym_throw] = ACTIONS(2496),
    [anon_sym_co_return] = ACTIONS(2496),
    [anon_sym_co_yield] = ACTIONS(2496),
    [anon_sym_R_DQUOTE] = ACTIONS(2498),
    [anon_sym_LR_DQUOTE] = ACTIONS(2498),
    [anon_sym_uR_DQUOTE] = ACTIONS(2498),
    [anon_sym_UR_DQUOTE] = ACTIONS(2498),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2498),
    [anon_sym_co_await] = ACTIONS(2496),
    [anon_sym_new] = ACTIONS(2496),
    [anon_sym_requires] = ACTIONS(2496),
    [sym_this] = ACTIONS(2496),
    [anon_sym_discard] = ACTIONS(2496),
    [anon_sym_precise] = ACTIONS(2496),
    [anon_sym_shared] = ACTIONS(2496),
    [anon_sym_groupshared] = ACTIONS(2496),
    [anon_sym_uniform] = ACTIONS(2496),
    [anon_sym_row_major] = ACTIONS(2496),
    [anon_sym_column_major] = ACTIONS(2496),
    [anon_sym_globallycoherent] = ACTIONS(2496),
    [anon_sym_centroid] = ACTIONS(2496),
    [anon_sym_noperspective] = ACTIONS(2496),
    [anon_sym_nointerpolation] = ACTIONS(2496),
    [anon_sym_sample] = ACTIONS(2496),
    [anon_sym_linear] = ACTIONS(2496),
    [anon_sym_snorm] = ACTIONS(2496),
    [anon_sym_unorm] = ACTIONS(2496),
    [anon_sym_point] = ACTIONS(2496),
    [anon_sym_line] = ACTIONS(2496),
    [anon_sym_triangleadj] = ACTIONS(2496),
    [anon_sym_lineadj] = ACTIONS(2496),
    [anon_sym_triangle] = ACTIONS(2496),
    [anon_sym_cbuffer] = ACTIONS(2496),
  },
  [1525] = {
    [sym_identifier] = ACTIONS(2318),
    [anon_sym_LPAREN2] = ACTIONS(2320),
    [anon_sym_BANG] = ACTIONS(2320),
    [anon_sym_TILDE] = ACTIONS(2320),
    [anon_sym_DASH] = ACTIONS(2318),
    [anon_sym_PLUS] = ACTIONS(2318),
    [anon_sym_STAR] = ACTIONS(2320),
    [anon_sym_AMP] = ACTIONS(2320),
    [anon_sym_SEMI] = ACTIONS(2320),
    [anon_sym___extension__] = ACTIONS(2318),
    [anon_sym_typedef] = ACTIONS(2318),
    [anon_sym_in] = ACTIONS(2318),
    [anon_sym_out] = ACTIONS(2318),
    [anon_sym_inout] = ACTIONS(2318),
    [anon_sym_extern] = ACTIONS(2318),
    [anon_sym___attribute__] = ACTIONS(2318),
    [anon_sym_COLON_COLON] = ACTIONS(2320),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2320),
    [anon_sym___declspec] = ACTIONS(2318),
    [anon_sym_LBRACE] = ACTIONS(2320),
    [anon_sym_signed] = ACTIONS(2318),
    [anon_sym_unsigned] = ACTIONS(2318),
    [anon_sym_long] = ACTIONS(2318),
    [anon_sym_short] = ACTIONS(2318),
    [anon_sym_LBRACK] = ACTIONS(2318),
    [anon_sym_static] = ACTIONS(2318),
    [anon_sym_register] = ACTIONS(2318),
    [anon_sym_inline] = ACTIONS(2318),
    [anon_sym___inline] = ACTIONS(2318),
    [anon_sym___inline__] = ACTIONS(2318),
    [anon_sym___forceinline] = ACTIONS(2318),
    [anon_sym_thread_local] = ACTIONS(2318),
    [anon_sym___thread] = ACTIONS(2318),
    [anon_sym_const] = ACTIONS(2318),
    [anon_sym_constexpr] = ACTIONS(2318),
    [anon_sym_volatile] = ACTIONS(2318),
    [anon_sym_restrict] = ACTIONS(2318),
    [anon_sym___restrict__] = ACTIONS(2318),
    [anon_sym__Atomic] = ACTIONS(2318),
    [anon_sym__Noreturn] = ACTIONS(2318),
    [anon_sym_noreturn] = ACTIONS(2318),
    [anon_sym_mutable] = ACTIONS(2318),
    [anon_sym_constinit] = ACTIONS(2318),
    [anon_sym_consteval] = ACTIONS(2318),
    [sym_primitive_type] = ACTIONS(2318),
    [anon_sym_enum] = ACTIONS(2318),
    [anon_sym_class] = ACTIONS(2318),
    [anon_sym_struct] = ACTIONS(2318),
    [anon_sym_union] = ACTIONS(2318),
    [anon_sym_if] = ACTIONS(2318),
    [anon_sym_else] = ACTIONS(2318),
    [anon_sym_switch] = ACTIONS(2318),
    [anon_sym_while] = ACTIONS(2318),
    [anon_sym_do] = ACTIONS(2318),
    [anon_sym_for] = ACTIONS(2318),
    [anon_sym_return] = ACTIONS(2318),
    [anon_sym_break] = ACTIONS(2318),
    [anon_sym_continue] = ACTIONS(2318),
    [anon_sym_goto] = ACTIONS(2318),
    [anon_sym___try] = ACTIONS(2318),
    [anon_sym___leave] = ACTIONS(2318),
    [anon_sym_not] = ACTIONS(2318),
    [anon_sym_compl] = ACTIONS(2318),
    [anon_sym_DASH_DASH] = ACTIONS(2320),
    [anon_sym_PLUS_PLUS] = ACTIONS(2320),
    [anon_sym_sizeof] = ACTIONS(2318),
    [anon_sym___alignof__] = ACTIONS(2318),
    [anon_sym___alignof] = ACTIONS(2318),
    [anon_sym__alignof] = ACTIONS(2318),
    [anon_sym_alignof] = ACTIONS(2318),
    [anon_sym__Alignof] = ACTIONS(2318),
    [anon_sym_offsetof] = ACTIONS(2318),
    [anon_sym__Generic] = ACTIONS(2318),
    [anon_sym_asm] = ACTIONS(2318),
    [anon_sym___asm__] = ACTIONS(2318),
    [sym_number_literal] = ACTIONS(2320),
    [anon_sym_L_SQUOTE] = ACTIONS(2320),
    [anon_sym_u_SQUOTE] = ACTIONS(2320),
    [anon_sym_U_SQUOTE] = ACTIONS(2320),
    [anon_sym_u8_SQUOTE] = ACTIONS(2320),
    [anon_sym_SQUOTE] = ACTIONS(2320),
    [anon_sym_L_DQUOTE] = ACTIONS(2320),
    [anon_sym_u_DQUOTE] = ACTIONS(2320),
    [anon_sym_U_DQUOTE] = ACTIONS(2320),
    [anon_sym_u8_DQUOTE] = ACTIONS(2320),
    [anon_sym_DQUOTE] = ACTIONS(2320),
    [sym_true] = ACTIONS(2318),
    [sym_false] = ACTIONS(2318),
    [anon_sym_NULL] = ACTIONS(2318),
    [anon_sym_nullptr] = ACTIONS(2318),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2318),
    [anon_sym_decltype] = ACTIONS(2318),
    [anon_sym_virtual] = ACTIONS(2318),
    [anon_sym_alignas] = ACTIONS(2318),
    [anon_sym_typename] = ACTIONS(2318),
    [anon_sym_template] = ACTIONS(2318),
    [anon_sym_try] = ACTIONS(2318),
    [anon_sym_delete] = ACTIONS(2318),
    [anon_sym_throw] = ACTIONS(2318),
    [anon_sym_co_return] = ACTIONS(2318),
    [anon_sym_co_yield] = ACTIONS(2318),
    [anon_sym_R_DQUOTE] = ACTIONS(2320),
    [anon_sym_LR_DQUOTE] = ACTIONS(2320),
    [anon_sym_uR_DQUOTE] = ACTIONS(2320),
    [anon_sym_UR_DQUOTE] = ACTIONS(2320),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2320),
    [anon_sym_co_await] = ACTIONS(2318),
    [anon_sym_new] = ACTIONS(2318),
    [anon_sym_requires] = ACTIONS(2318),
    [sym_this] = ACTIONS(2318),
    [anon_sym_discard] = ACTIONS(2318),
    [anon_sym_precise] = ACTIONS(2318),
    [anon_sym_shared] = ACTIONS(2318),
    [anon_sym_groupshared] = ACTIONS(2318),
    [anon_sym_uniform] = ACTIONS(2318),
    [anon_sym_row_major] = ACTIONS(2318),
    [anon_sym_column_major] = ACTIONS(2318),
    [anon_sym_globallycoherent] = ACTIONS(2318),
    [anon_sym_centroid] = ACTIONS(2318),
    [anon_sym_noperspective] = ACTIONS(2318),
    [anon_sym_nointerpolation] = ACTIONS(2318),
    [anon_sym_sample] = ACTIONS(2318),
    [anon_sym_linear] = ACTIONS(2318),
    [anon_sym_snorm] = ACTIONS(2318),
    [anon_sym_unorm] = ACTIONS(2318),
    [anon_sym_point] = ACTIONS(2318),
    [anon_sym_line] = ACTIONS(2318),
    [anon_sym_triangleadj] = ACTIONS(2318),
    [anon_sym_lineadj] = ACTIONS(2318),
    [anon_sym_triangle] = ACTIONS(2318),
    [anon_sym_cbuffer] = ACTIONS(2318),
  },
  [1526] = {
    [sym_identifier] = ACTIONS(2330),
    [anon_sym_LPAREN2] = ACTIONS(2332),
    [anon_sym_BANG] = ACTIONS(2332),
    [anon_sym_TILDE] = ACTIONS(2332),
    [anon_sym_DASH] = ACTIONS(2330),
    [anon_sym_PLUS] = ACTIONS(2330),
    [anon_sym_STAR] = ACTIONS(2332),
    [anon_sym_AMP] = ACTIONS(2332),
    [anon_sym_SEMI] = ACTIONS(2332),
    [anon_sym___extension__] = ACTIONS(2330),
    [anon_sym_typedef] = ACTIONS(2330),
    [anon_sym_in] = ACTIONS(2330),
    [anon_sym_out] = ACTIONS(2330),
    [anon_sym_inout] = ACTIONS(2330),
    [anon_sym_extern] = ACTIONS(2330),
    [anon_sym___attribute__] = ACTIONS(2330),
    [anon_sym_COLON_COLON] = ACTIONS(2332),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2332),
    [anon_sym___declspec] = ACTIONS(2330),
    [anon_sym_LBRACE] = ACTIONS(2332),
    [anon_sym_signed] = ACTIONS(2330),
    [anon_sym_unsigned] = ACTIONS(2330),
    [anon_sym_long] = ACTIONS(2330),
    [anon_sym_short] = ACTIONS(2330),
    [anon_sym_LBRACK] = ACTIONS(2330),
    [anon_sym_static] = ACTIONS(2330),
    [anon_sym_register] = ACTIONS(2330),
    [anon_sym_inline] = ACTIONS(2330),
    [anon_sym___inline] = ACTIONS(2330),
    [anon_sym___inline__] = ACTIONS(2330),
    [anon_sym___forceinline] = ACTIONS(2330),
    [anon_sym_thread_local] = ACTIONS(2330),
    [anon_sym___thread] = ACTIONS(2330),
    [anon_sym_const] = ACTIONS(2330),
    [anon_sym_constexpr] = ACTIONS(2330),
    [anon_sym_volatile] = ACTIONS(2330),
    [anon_sym_restrict] = ACTIONS(2330),
    [anon_sym___restrict__] = ACTIONS(2330),
    [anon_sym__Atomic] = ACTIONS(2330),
    [anon_sym__Noreturn] = ACTIONS(2330),
    [anon_sym_noreturn] = ACTIONS(2330),
    [anon_sym_mutable] = ACTIONS(2330),
    [anon_sym_constinit] = ACTIONS(2330),
    [anon_sym_consteval] = ACTIONS(2330),
    [sym_primitive_type] = ACTIONS(2330),
    [anon_sym_enum] = ACTIONS(2330),
    [anon_sym_class] = ACTIONS(2330),
    [anon_sym_struct] = ACTIONS(2330),
    [anon_sym_union] = ACTIONS(2330),
    [anon_sym_if] = ACTIONS(2330),
    [anon_sym_else] = ACTIONS(2330),
    [anon_sym_switch] = ACTIONS(2330),
    [anon_sym_while] = ACTIONS(2330),
    [anon_sym_do] = ACTIONS(2330),
    [anon_sym_for] = ACTIONS(2330),
    [anon_sym_return] = ACTIONS(2330),
    [anon_sym_break] = ACTIONS(2330),
    [anon_sym_continue] = ACTIONS(2330),
    [anon_sym_goto] = ACTIONS(2330),
    [anon_sym___try] = ACTIONS(2330),
    [anon_sym___leave] = ACTIONS(2330),
    [anon_sym_not] = ACTIONS(2330),
    [anon_sym_compl] = ACTIONS(2330),
    [anon_sym_DASH_DASH] = ACTIONS(2332),
    [anon_sym_PLUS_PLUS] = ACTIONS(2332),
    [anon_sym_sizeof] = ACTIONS(2330),
    [anon_sym___alignof__] = ACTIONS(2330),
    [anon_sym___alignof] = ACTIONS(2330),
    [anon_sym__alignof] = ACTIONS(2330),
    [anon_sym_alignof] = ACTIONS(2330),
    [anon_sym__Alignof] = ACTIONS(2330),
    [anon_sym_offsetof] = ACTIONS(2330),
    [anon_sym__Generic] = ACTIONS(2330),
    [anon_sym_asm] = ACTIONS(2330),
    [anon_sym___asm__] = ACTIONS(2330),
    [sym_number_literal] = ACTIONS(2332),
    [anon_sym_L_SQUOTE] = ACTIONS(2332),
    [anon_sym_u_SQUOTE] = ACTIONS(2332),
    [anon_sym_U_SQUOTE] = ACTIONS(2332),
    [anon_sym_u8_SQUOTE] = ACTIONS(2332),
    [anon_sym_SQUOTE] = ACTIONS(2332),
    [anon_sym_L_DQUOTE] = ACTIONS(2332),
    [anon_sym_u_DQUOTE] = ACTIONS(2332),
    [anon_sym_U_DQUOTE] = ACTIONS(2332),
    [anon_sym_u8_DQUOTE] = ACTIONS(2332),
    [anon_sym_DQUOTE] = ACTIONS(2332),
    [sym_true] = ACTIONS(2330),
    [sym_false] = ACTIONS(2330),
    [anon_sym_NULL] = ACTIONS(2330),
    [anon_sym_nullptr] = ACTIONS(2330),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2330),
    [anon_sym_decltype] = ACTIONS(2330),
    [anon_sym_virtual] = ACTIONS(2330),
    [anon_sym_alignas] = ACTIONS(2330),
    [anon_sym_typename] = ACTIONS(2330),
    [anon_sym_template] = ACTIONS(2330),
    [anon_sym_try] = ACTIONS(2330),
    [anon_sym_delete] = ACTIONS(2330),
    [anon_sym_throw] = ACTIONS(2330),
    [anon_sym_co_return] = ACTIONS(2330),
    [anon_sym_co_yield] = ACTIONS(2330),
    [anon_sym_R_DQUOTE] = ACTIONS(2332),
    [anon_sym_LR_DQUOTE] = ACTIONS(2332),
    [anon_sym_uR_DQUOTE] = ACTIONS(2332),
    [anon_sym_UR_DQUOTE] = ACTIONS(2332),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2332),
    [anon_sym_co_await] = ACTIONS(2330),
    [anon_sym_new] = ACTIONS(2330),
    [anon_sym_requires] = ACTIONS(2330),
    [sym_this] = ACTIONS(2330),
    [anon_sym_discard] = ACTIONS(2330),
    [anon_sym_precise] = ACTIONS(2330),
    [anon_sym_shared] = ACTIONS(2330),
    [anon_sym_groupshared] = ACTIONS(2330),
    [anon_sym_uniform] = ACTIONS(2330),
    [anon_sym_row_major] = ACTIONS(2330),
    [anon_sym_column_major] = ACTIONS(2330),
    [anon_sym_globallycoherent] = ACTIONS(2330),
    [anon_sym_centroid] = ACTIONS(2330),
    [anon_sym_noperspective] = ACTIONS(2330),
    [anon_sym_nointerpolation] = ACTIONS(2330),
    [anon_sym_sample] = ACTIONS(2330),
    [anon_sym_linear] = ACTIONS(2330),
    [anon_sym_snorm] = ACTIONS(2330),
    [anon_sym_unorm] = ACTIONS(2330),
    [anon_sym_point] = ACTIONS(2330),
    [anon_sym_line] = ACTIONS(2330),
    [anon_sym_triangleadj] = ACTIONS(2330),
    [anon_sym_lineadj] = ACTIONS(2330),
    [anon_sym_triangle] = ACTIONS(2330),
    [anon_sym_cbuffer] = ACTIONS(2330),
  },
  [1527] = {
    [sym_identifier] = ACTIONS(2330),
    [anon_sym_LPAREN2] = ACTIONS(2332),
    [anon_sym_BANG] = ACTIONS(2332),
    [anon_sym_TILDE] = ACTIONS(2332),
    [anon_sym_DASH] = ACTIONS(2330),
    [anon_sym_PLUS] = ACTIONS(2330),
    [anon_sym_STAR] = ACTIONS(2332),
    [anon_sym_AMP] = ACTIONS(2332),
    [anon_sym_SEMI] = ACTIONS(2332),
    [anon_sym___extension__] = ACTIONS(2330),
    [anon_sym_typedef] = ACTIONS(2330),
    [anon_sym_in] = ACTIONS(2330),
    [anon_sym_out] = ACTIONS(2330),
    [anon_sym_inout] = ACTIONS(2330),
    [anon_sym_extern] = ACTIONS(2330),
    [anon_sym___attribute__] = ACTIONS(2330),
    [anon_sym_COLON_COLON] = ACTIONS(2332),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2332),
    [anon_sym___declspec] = ACTIONS(2330),
    [anon_sym_LBRACE] = ACTIONS(2332),
    [anon_sym_signed] = ACTIONS(2330),
    [anon_sym_unsigned] = ACTIONS(2330),
    [anon_sym_long] = ACTIONS(2330),
    [anon_sym_short] = ACTIONS(2330),
    [anon_sym_LBRACK] = ACTIONS(2330),
    [anon_sym_static] = ACTIONS(2330),
    [anon_sym_register] = ACTIONS(2330),
    [anon_sym_inline] = ACTIONS(2330),
    [anon_sym___inline] = ACTIONS(2330),
    [anon_sym___inline__] = ACTIONS(2330),
    [anon_sym___forceinline] = ACTIONS(2330),
    [anon_sym_thread_local] = ACTIONS(2330),
    [anon_sym___thread] = ACTIONS(2330),
    [anon_sym_const] = ACTIONS(2330),
    [anon_sym_constexpr] = ACTIONS(2330),
    [anon_sym_volatile] = ACTIONS(2330),
    [anon_sym_restrict] = ACTIONS(2330),
    [anon_sym___restrict__] = ACTIONS(2330),
    [anon_sym__Atomic] = ACTIONS(2330),
    [anon_sym__Noreturn] = ACTIONS(2330),
    [anon_sym_noreturn] = ACTIONS(2330),
    [anon_sym_mutable] = ACTIONS(2330),
    [anon_sym_constinit] = ACTIONS(2330),
    [anon_sym_consteval] = ACTIONS(2330),
    [sym_primitive_type] = ACTIONS(2330),
    [anon_sym_enum] = ACTIONS(2330),
    [anon_sym_class] = ACTIONS(2330),
    [anon_sym_struct] = ACTIONS(2330),
    [anon_sym_union] = ACTIONS(2330),
    [anon_sym_if] = ACTIONS(2330),
    [anon_sym_else] = ACTIONS(2330),
    [anon_sym_switch] = ACTIONS(2330),
    [anon_sym_while] = ACTIONS(2330),
    [anon_sym_do] = ACTIONS(2330),
    [anon_sym_for] = ACTIONS(2330),
    [anon_sym_return] = ACTIONS(2330),
    [anon_sym_break] = ACTIONS(2330),
    [anon_sym_continue] = ACTIONS(2330),
    [anon_sym_goto] = ACTIONS(2330),
    [anon_sym___try] = ACTIONS(2330),
    [anon_sym___leave] = ACTIONS(2330),
    [anon_sym_not] = ACTIONS(2330),
    [anon_sym_compl] = ACTIONS(2330),
    [anon_sym_DASH_DASH] = ACTIONS(2332),
    [anon_sym_PLUS_PLUS] = ACTIONS(2332),
    [anon_sym_sizeof] = ACTIONS(2330),
    [anon_sym___alignof__] = ACTIONS(2330),
    [anon_sym___alignof] = ACTIONS(2330),
    [anon_sym__alignof] = ACTIONS(2330),
    [anon_sym_alignof] = ACTIONS(2330),
    [anon_sym__Alignof] = ACTIONS(2330),
    [anon_sym_offsetof] = ACTIONS(2330),
    [anon_sym__Generic] = ACTIONS(2330),
    [anon_sym_asm] = ACTIONS(2330),
    [anon_sym___asm__] = ACTIONS(2330),
    [sym_number_literal] = ACTIONS(2332),
    [anon_sym_L_SQUOTE] = ACTIONS(2332),
    [anon_sym_u_SQUOTE] = ACTIONS(2332),
    [anon_sym_U_SQUOTE] = ACTIONS(2332),
    [anon_sym_u8_SQUOTE] = ACTIONS(2332),
    [anon_sym_SQUOTE] = ACTIONS(2332),
    [anon_sym_L_DQUOTE] = ACTIONS(2332),
    [anon_sym_u_DQUOTE] = ACTIONS(2332),
    [anon_sym_U_DQUOTE] = ACTIONS(2332),
    [anon_sym_u8_DQUOTE] = ACTIONS(2332),
    [anon_sym_DQUOTE] = ACTIONS(2332),
    [sym_true] = ACTIONS(2330),
    [sym_false] = ACTIONS(2330),
    [anon_sym_NULL] = ACTIONS(2330),
    [anon_sym_nullptr] = ACTIONS(2330),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2330),
    [anon_sym_decltype] = ACTIONS(2330),
    [anon_sym_virtual] = ACTIONS(2330),
    [anon_sym_alignas] = ACTIONS(2330),
    [anon_sym_typename] = ACTIONS(2330),
    [anon_sym_template] = ACTIONS(2330),
    [anon_sym_try] = ACTIONS(2330),
    [anon_sym_delete] = ACTIONS(2330),
    [anon_sym_throw] = ACTIONS(2330),
    [anon_sym_co_return] = ACTIONS(2330),
    [anon_sym_co_yield] = ACTIONS(2330),
    [anon_sym_R_DQUOTE] = ACTIONS(2332),
    [anon_sym_LR_DQUOTE] = ACTIONS(2332),
    [anon_sym_uR_DQUOTE] = ACTIONS(2332),
    [anon_sym_UR_DQUOTE] = ACTIONS(2332),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2332),
    [anon_sym_co_await] = ACTIONS(2330),
    [anon_sym_new] = ACTIONS(2330),
    [anon_sym_requires] = ACTIONS(2330),
    [sym_this] = ACTIONS(2330),
    [anon_sym_discard] = ACTIONS(2330),
    [anon_sym_precise] = ACTIONS(2330),
    [anon_sym_shared] = ACTIONS(2330),
    [anon_sym_groupshared] = ACTIONS(2330),
    [anon_sym_uniform] = ACTIONS(2330),
    [anon_sym_row_major] = ACTIONS(2330),
    [anon_sym_column_major] = ACTIONS(2330),
    [anon_sym_globallycoherent] = ACTIONS(2330),
    [anon_sym_centroid] = ACTIONS(2330),
    [anon_sym_noperspective] = ACTIONS(2330),
    [anon_sym_nointerpolation] = ACTIONS(2330),
    [anon_sym_sample] = ACTIONS(2330),
    [anon_sym_linear] = ACTIONS(2330),
    [anon_sym_snorm] = ACTIONS(2330),
    [anon_sym_unorm] = ACTIONS(2330),
    [anon_sym_point] = ACTIONS(2330),
    [anon_sym_line] = ACTIONS(2330),
    [anon_sym_triangleadj] = ACTIONS(2330),
    [anon_sym_lineadj] = ACTIONS(2330),
    [anon_sym_triangle] = ACTIONS(2330),
    [anon_sym_cbuffer] = ACTIONS(2330),
  },
  [1528] = {
    [sym_identifier] = ACTIONS(2318),
    [anon_sym_LPAREN2] = ACTIONS(2320),
    [anon_sym_BANG] = ACTIONS(2320),
    [anon_sym_TILDE] = ACTIONS(2320),
    [anon_sym_DASH] = ACTIONS(2318),
    [anon_sym_PLUS] = ACTIONS(2318),
    [anon_sym_STAR] = ACTIONS(2320),
    [anon_sym_AMP] = ACTIONS(2320),
    [anon_sym_SEMI] = ACTIONS(2320),
    [anon_sym___extension__] = ACTIONS(2318),
    [anon_sym_typedef] = ACTIONS(2318),
    [anon_sym_in] = ACTIONS(2318),
    [anon_sym_out] = ACTIONS(2318),
    [anon_sym_inout] = ACTIONS(2318),
    [anon_sym_extern] = ACTIONS(2318),
    [anon_sym___attribute__] = ACTIONS(2318),
    [anon_sym_COLON_COLON] = ACTIONS(2320),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2320),
    [anon_sym___declspec] = ACTIONS(2318),
    [anon_sym_LBRACE] = ACTIONS(2320),
    [anon_sym_signed] = ACTIONS(2318),
    [anon_sym_unsigned] = ACTIONS(2318),
    [anon_sym_long] = ACTIONS(2318),
    [anon_sym_short] = ACTIONS(2318),
    [anon_sym_LBRACK] = ACTIONS(2318),
    [anon_sym_static] = ACTIONS(2318),
    [anon_sym_register] = ACTIONS(2318),
    [anon_sym_inline] = ACTIONS(2318),
    [anon_sym___inline] = ACTIONS(2318),
    [anon_sym___inline__] = ACTIONS(2318),
    [anon_sym___forceinline] = ACTIONS(2318),
    [anon_sym_thread_local] = ACTIONS(2318),
    [anon_sym___thread] = ACTIONS(2318),
    [anon_sym_const] = ACTIONS(2318),
    [anon_sym_constexpr] = ACTIONS(2318),
    [anon_sym_volatile] = ACTIONS(2318),
    [anon_sym_restrict] = ACTIONS(2318),
    [anon_sym___restrict__] = ACTIONS(2318),
    [anon_sym__Atomic] = ACTIONS(2318),
    [anon_sym__Noreturn] = ACTIONS(2318),
    [anon_sym_noreturn] = ACTIONS(2318),
    [anon_sym_mutable] = ACTIONS(2318),
    [anon_sym_constinit] = ACTIONS(2318),
    [anon_sym_consteval] = ACTIONS(2318),
    [sym_primitive_type] = ACTIONS(2318),
    [anon_sym_enum] = ACTIONS(2318),
    [anon_sym_class] = ACTIONS(2318),
    [anon_sym_struct] = ACTIONS(2318),
    [anon_sym_union] = ACTIONS(2318),
    [anon_sym_if] = ACTIONS(2318),
    [anon_sym_else] = ACTIONS(2318),
    [anon_sym_switch] = ACTIONS(2318),
    [anon_sym_while] = ACTIONS(2318),
    [anon_sym_do] = ACTIONS(2318),
    [anon_sym_for] = ACTIONS(2318),
    [anon_sym_return] = ACTIONS(2318),
    [anon_sym_break] = ACTIONS(2318),
    [anon_sym_continue] = ACTIONS(2318),
    [anon_sym_goto] = ACTIONS(2318),
    [anon_sym___try] = ACTIONS(2318),
    [anon_sym___leave] = ACTIONS(2318),
    [anon_sym_not] = ACTIONS(2318),
    [anon_sym_compl] = ACTIONS(2318),
    [anon_sym_DASH_DASH] = ACTIONS(2320),
    [anon_sym_PLUS_PLUS] = ACTIONS(2320),
    [anon_sym_sizeof] = ACTIONS(2318),
    [anon_sym___alignof__] = ACTIONS(2318),
    [anon_sym___alignof] = ACTIONS(2318),
    [anon_sym__alignof] = ACTIONS(2318),
    [anon_sym_alignof] = ACTIONS(2318),
    [anon_sym__Alignof] = ACTIONS(2318),
    [anon_sym_offsetof] = ACTIONS(2318),
    [anon_sym__Generic] = ACTIONS(2318),
    [anon_sym_asm] = ACTIONS(2318),
    [anon_sym___asm__] = ACTIONS(2318),
    [sym_number_literal] = ACTIONS(2320),
    [anon_sym_L_SQUOTE] = ACTIONS(2320),
    [anon_sym_u_SQUOTE] = ACTIONS(2320),
    [anon_sym_U_SQUOTE] = ACTIONS(2320),
    [anon_sym_u8_SQUOTE] = ACTIONS(2320),
    [anon_sym_SQUOTE] = ACTIONS(2320),
    [anon_sym_L_DQUOTE] = ACTIONS(2320),
    [anon_sym_u_DQUOTE] = ACTIONS(2320),
    [anon_sym_U_DQUOTE] = ACTIONS(2320),
    [anon_sym_u8_DQUOTE] = ACTIONS(2320),
    [anon_sym_DQUOTE] = ACTIONS(2320),
    [sym_true] = ACTIONS(2318),
    [sym_false] = ACTIONS(2318),
    [anon_sym_NULL] = ACTIONS(2318),
    [anon_sym_nullptr] = ACTIONS(2318),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2318),
    [anon_sym_decltype] = ACTIONS(2318),
    [anon_sym_virtual] = ACTIONS(2318),
    [anon_sym_alignas] = ACTIONS(2318),
    [anon_sym_typename] = ACTIONS(2318),
    [anon_sym_template] = ACTIONS(2318),
    [anon_sym_try] = ACTIONS(2318),
    [anon_sym_delete] = ACTIONS(2318),
    [anon_sym_throw] = ACTIONS(2318),
    [anon_sym_co_return] = ACTIONS(2318),
    [anon_sym_co_yield] = ACTIONS(2318),
    [anon_sym_R_DQUOTE] = ACTIONS(2320),
    [anon_sym_LR_DQUOTE] = ACTIONS(2320),
    [anon_sym_uR_DQUOTE] = ACTIONS(2320),
    [anon_sym_UR_DQUOTE] = ACTIONS(2320),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2320),
    [anon_sym_co_await] = ACTIONS(2318),
    [anon_sym_new] = ACTIONS(2318),
    [anon_sym_requires] = ACTIONS(2318),
    [sym_this] = ACTIONS(2318),
    [anon_sym_discard] = ACTIONS(2318),
    [anon_sym_precise] = ACTIONS(2318),
    [anon_sym_shared] = ACTIONS(2318),
    [anon_sym_groupshared] = ACTIONS(2318),
    [anon_sym_uniform] = ACTIONS(2318),
    [anon_sym_row_major] = ACTIONS(2318),
    [anon_sym_column_major] = ACTIONS(2318),
    [anon_sym_globallycoherent] = ACTIONS(2318),
    [anon_sym_centroid] = ACTIONS(2318),
    [anon_sym_noperspective] = ACTIONS(2318),
    [anon_sym_nointerpolation] = ACTIONS(2318),
    [anon_sym_sample] = ACTIONS(2318),
    [anon_sym_linear] = ACTIONS(2318),
    [anon_sym_snorm] = ACTIONS(2318),
    [anon_sym_unorm] = ACTIONS(2318),
    [anon_sym_point] = ACTIONS(2318),
    [anon_sym_line] = ACTIONS(2318),
    [anon_sym_triangleadj] = ACTIONS(2318),
    [anon_sym_lineadj] = ACTIONS(2318),
    [anon_sym_triangle] = ACTIONS(2318),
    [anon_sym_cbuffer] = ACTIONS(2318),
  },
  [1529] = {
    [sym_identifier] = ACTIONS(2330),
    [anon_sym_LPAREN2] = ACTIONS(2332),
    [anon_sym_BANG] = ACTIONS(2332),
    [anon_sym_TILDE] = ACTIONS(2332),
    [anon_sym_DASH] = ACTIONS(2330),
    [anon_sym_PLUS] = ACTIONS(2330),
    [anon_sym_STAR] = ACTIONS(2332),
    [anon_sym_AMP] = ACTIONS(2332),
    [anon_sym_SEMI] = ACTIONS(2332),
    [anon_sym___extension__] = ACTIONS(2330),
    [anon_sym_typedef] = ACTIONS(2330),
    [anon_sym_in] = ACTIONS(2330),
    [anon_sym_out] = ACTIONS(2330),
    [anon_sym_inout] = ACTIONS(2330),
    [anon_sym_extern] = ACTIONS(2330),
    [anon_sym___attribute__] = ACTIONS(2330),
    [anon_sym_COLON_COLON] = ACTIONS(2332),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2332),
    [anon_sym___declspec] = ACTIONS(2330),
    [anon_sym_LBRACE] = ACTIONS(2332),
    [anon_sym_signed] = ACTIONS(2330),
    [anon_sym_unsigned] = ACTIONS(2330),
    [anon_sym_long] = ACTIONS(2330),
    [anon_sym_short] = ACTIONS(2330),
    [anon_sym_LBRACK] = ACTIONS(2330),
    [anon_sym_static] = ACTIONS(2330),
    [anon_sym_register] = ACTIONS(2330),
    [anon_sym_inline] = ACTIONS(2330),
    [anon_sym___inline] = ACTIONS(2330),
    [anon_sym___inline__] = ACTIONS(2330),
    [anon_sym___forceinline] = ACTIONS(2330),
    [anon_sym_thread_local] = ACTIONS(2330),
    [anon_sym___thread] = ACTIONS(2330),
    [anon_sym_const] = ACTIONS(2330),
    [anon_sym_constexpr] = ACTIONS(2330),
    [anon_sym_volatile] = ACTIONS(2330),
    [anon_sym_restrict] = ACTIONS(2330),
    [anon_sym___restrict__] = ACTIONS(2330),
    [anon_sym__Atomic] = ACTIONS(2330),
    [anon_sym__Noreturn] = ACTIONS(2330),
    [anon_sym_noreturn] = ACTIONS(2330),
    [anon_sym_mutable] = ACTIONS(2330),
    [anon_sym_constinit] = ACTIONS(2330),
    [anon_sym_consteval] = ACTIONS(2330),
    [sym_primitive_type] = ACTIONS(2330),
    [anon_sym_enum] = ACTIONS(2330),
    [anon_sym_class] = ACTIONS(2330),
    [anon_sym_struct] = ACTIONS(2330),
    [anon_sym_union] = ACTIONS(2330),
    [anon_sym_if] = ACTIONS(2330),
    [anon_sym_else] = ACTIONS(2330),
    [anon_sym_switch] = ACTIONS(2330),
    [anon_sym_while] = ACTIONS(2330),
    [anon_sym_do] = ACTIONS(2330),
    [anon_sym_for] = ACTIONS(2330),
    [anon_sym_return] = ACTIONS(2330),
    [anon_sym_break] = ACTIONS(2330),
    [anon_sym_continue] = ACTIONS(2330),
    [anon_sym_goto] = ACTIONS(2330),
    [anon_sym___try] = ACTIONS(2330),
    [anon_sym___leave] = ACTIONS(2330),
    [anon_sym_not] = ACTIONS(2330),
    [anon_sym_compl] = ACTIONS(2330),
    [anon_sym_DASH_DASH] = ACTIONS(2332),
    [anon_sym_PLUS_PLUS] = ACTIONS(2332),
    [anon_sym_sizeof] = ACTIONS(2330),
    [anon_sym___alignof__] = ACTIONS(2330),
    [anon_sym___alignof] = ACTIONS(2330),
    [anon_sym__alignof] = ACTIONS(2330),
    [anon_sym_alignof] = ACTIONS(2330),
    [anon_sym__Alignof] = ACTIONS(2330),
    [anon_sym_offsetof] = ACTIONS(2330),
    [anon_sym__Generic] = ACTIONS(2330),
    [anon_sym_asm] = ACTIONS(2330),
    [anon_sym___asm__] = ACTIONS(2330),
    [sym_number_literal] = ACTIONS(2332),
    [anon_sym_L_SQUOTE] = ACTIONS(2332),
    [anon_sym_u_SQUOTE] = ACTIONS(2332),
    [anon_sym_U_SQUOTE] = ACTIONS(2332),
    [anon_sym_u8_SQUOTE] = ACTIONS(2332),
    [anon_sym_SQUOTE] = ACTIONS(2332),
    [anon_sym_L_DQUOTE] = ACTIONS(2332),
    [anon_sym_u_DQUOTE] = ACTIONS(2332),
    [anon_sym_U_DQUOTE] = ACTIONS(2332),
    [anon_sym_u8_DQUOTE] = ACTIONS(2332),
    [anon_sym_DQUOTE] = ACTIONS(2332),
    [sym_true] = ACTIONS(2330),
    [sym_false] = ACTIONS(2330),
    [anon_sym_NULL] = ACTIONS(2330),
    [anon_sym_nullptr] = ACTIONS(2330),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2330),
    [anon_sym_decltype] = ACTIONS(2330),
    [anon_sym_virtual] = ACTIONS(2330),
    [anon_sym_alignas] = ACTIONS(2330),
    [anon_sym_typename] = ACTIONS(2330),
    [anon_sym_template] = ACTIONS(2330),
    [anon_sym_try] = ACTIONS(2330),
    [anon_sym_delete] = ACTIONS(2330),
    [anon_sym_throw] = ACTIONS(2330),
    [anon_sym_co_return] = ACTIONS(2330),
    [anon_sym_co_yield] = ACTIONS(2330),
    [anon_sym_R_DQUOTE] = ACTIONS(2332),
    [anon_sym_LR_DQUOTE] = ACTIONS(2332),
    [anon_sym_uR_DQUOTE] = ACTIONS(2332),
    [anon_sym_UR_DQUOTE] = ACTIONS(2332),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2332),
    [anon_sym_co_await] = ACTIONS(2330),
    [anon_sym_new] = ACTIONS(2330),
    [anon_sym_requires] = ACTIONS(2330),
    [sym_this] = ACTIONS(2330),
    [anon_sym_discard] = ACTIONS(2330),
    [anon_sym_precise] = ACTIONS(2330),
    [anon_sym_shared] = ACTIONS(2330),
    [anon_sym_groupshared] = ACTIONS(2330),
    [anon_sym_uniform] = ACTIONS(2330),
    [anon_sym_row_major] = ACTIONS(2330),
    [anon_sym_column_major] = ACTIONS(2330),
    [anon_sym_globallycoherent] = ACTIONS(2330),
    [anon_sym_centroid] = ACTIONS(2330),
    [anon_sym_noperspective] = ACTIONS(2330),
    [anon_sym_nointerpolation] = ACTIONS(2330),
    [anon_sym_sample] = ACTIONS(2330),
    [anon_sym_linear] = ACTIONS(2330),
    [anon_sym_snorm] = ACTIONS(2330),
    [anon_sym_unorm] = ACTIONS(2330),
    [anon_sym_point] = ACTIONS(2330),
    [anon_sym_line] = ACTIONS(2330),
    [anon_sym_triangleadj] = ACTIONS(2330),
    [anon_sym_lineadj] = ACTIONS(2330),
    [anon_sym_triangle] = ACTIONS(2330),
    [anon_sym_cbuffer] = ACTIONS(2330),
  },
  [1530] = {
    [sym_identifier] = ACTIONS(2436),
    [anon_sym_LPAREN2] = ACTIONS(2438),
    [anon_sym_BANG] = ACTIONS(2438),
    [anon_sym_TILDE] = ACTIONS(2438),
    [anon_sym_DASH] = ACTIONS(2436),
    [anon_sym_PLUS] = ACTIONS(2436),
    [anon_sym_STAR] = ACTIONS(2438),
    [anon_sym_AMP] = ACTIONS(2438),
    [anon_sym_SEMI] = ACTIONS(2438),
    [anon_sym___extension__] = ACTIONS(2436),
    [anon_sym_typedef] = ACTIONS(2436),
    [anon_sym_in] = ACTIONS(2436),
    [anon_sym_out] = ACTIONS(2436),
    [anon_sym_inout] = ACTIONS(2436),
    [anon_sym_extern] = ACTIONS(2436),
    [anon_sym___attribute__] = ACTIONS(2436),
    [anon_sym_COLON_COLON] = ACTIONS(2438),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2438),
    [anon_sym___declspec] = ACTIONS(2436),
    [anon_sym_LBRACE] = ACTIONS(2438),
    [anon_sym_signed] = ACTIONS(2436),
    [anon_sym_unsigned] = ACTIONS(2436),
    [anon_sym_long] = ACTIONS(2436),
    [anon_sym_short] = ACTIONS(2436),
    [anon_sym_LBRACK] = ACTIONS(2436),
    [anon_sym_static] = ACTIONS(2436),
    [anon_sym_register] = ACTIONS(2436),
    [anon_sym_inline] = ACTIONS(2436),
    [anon_sym___inline] = ACTIONS(2436),
    [anon_sym___inline__] = ACTIONS(2436),
    [anon_sym___forceinline] = ACTIONS(2436),
    [anon_sym_thread_local] = ACTIONS(2436),
    [anon_sym___thread] = ACTIONS(2436),
    [anon_sym_const] = ACTIONS(2436),
    [anon_sym_constexpr] = ACTIONS(2436),
    [anon_sym_volatile] = ACTIONS(2436),
    [anon_sym_restrict] = ACTIONS(2436),
    [anon_sym___restrict__] = ACTIONS(2436),
    [anon_sym__Atomic] = ACTIONS(2436),
    [anon_sym__Noreturn] = ACTIONS(2436),
    [anon_sym_noreturn] = ACTIONS(2436),
    [anon_sym_mutable] = ACTIONS(2436),
    [anon_sym_constinit] = ACTIONS(2436),
    [anon_sym_consteval] = ACTIONS(2436),
    [sym_primitive_type] = ACTIONS(2436),
    [anon_sym_enum] = ACTIONS(2436),
    [anon_sym_class] = ACTIONS(2436),
    [anon_sym_struct] = ACTIONS(2436),
    [anon_sym_union] = ACTIONS(2436),
    [anon_sym_if] = ACTIONS(2436),
    [anon_sym_else] = ACTIONS(2436),
    [anon_sym_switch] = ACTIONS(2436),
    [anon_sym_while] = ACTIONS(2436),
    [anon_sym_do] = ACTIONS(2436),
    [anon_sym_for] = ACTIONS(2436),
    [anon_sym_return] = ACTIONS(2436),
    [anon_sym_break] = ACTIONS(2436),
    [anon_sym_continue] = ACTIONS(2436),
    [anon_sym_goto] = ACTIONS(2436),
    [anon_sym___try] = ACTIONS(2436),
    [anon_sym___leave] = ACTIONS(2436),
    [anon_sym_not] = ACTIONS(2436),
    [anon_sym_compl] = ACTIONS(2436),
    [anon_sym_DASH_DASH] = ACTIONS(2438),
    [anon_sym_PLUS_PLUS] = ACTIONS(2438),
    [anon_sym_sizeof] = ACTIONS(2436),
    [anon_sym___alignof__] = ACTIONS(2436),
    [anon_sym___alignof] = ACTIONS(2436),
    [anon_sym__alignof] = ACTIONS(2436),
    [anon_sym_alignof] = ACTIONS(2436),
    [anon_sym__Alignof] = ACTIONS(2436),
    [anon_sym_offsetof] = ACTIONS(2436),
    [anon_sym__Generic] = ACTIONS(2436),
    [anon_sym_asm] = ACTIONS(2436),
    [anon_sym___asm__] = ACTIONS(2436),
    [sym_number_literal] = ACTIONS(2438),
    [anon_sym_L_SQUOTE] = ACTIONS(2438),
    [anon_sym_u_SQUOTE] = ACTIONS(2438),
    [anon_sym_U_SQUOTE] = ACTIONS(2438),
    [anon_sym_u8_SQUOTE] = ACTIONS(2438),
    [anon_sym_SQUOTE] = ACTIONS(2438),
    [anon_sym_L_DQUOTE] = ACTIONS(2438),
    [anon_sym_u_DQUOTE] = ACTIONS(2438),
    [anon_sym_U_DQUOTE] = ACTIONS(2438),
    [anon_sym_u8_DQUOTE] = ACTIONS(2438),
    [anon_sym_DQUOTE] = ACTIONS(2438),
    [sym_true] = ACTIONS(2436),
    [sym_false] = ACTIONS(2436),
    [anon_sym_NULL] = ACTIONS(2436),
    [anon_sym_nullptr] = ACTIONS(2436),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2436),
    [anon_sym_decltype] = ACTIONS(2436),
    [anon_sym_virtual] = ACTIONS(2436),
    [anon_sym_alignas] = ACTIONS(2436),
    [anon_sym_typename] = ACTIONS(2436),
    [anon_sym_template] = ACTIONS(2436),
    [anon_sym_try] = ACTIONS(2436),
    [anon_sym_delete] = ACTIONS(2436),
    [anon_sym_throw] = ACTIONS(2436),
    [anon_sym_co_return] = ACTIONS(2436),
    [anon_sym_co_yield] = ACTIONS(2436),
    [anon_sym_R_DQUOTE] = ACTIONS(2438),
    [anon_sym_LR_DQUOTE] = ACTIONS(2438),
    [anon_sym_uR_DQUOTE] = ACTIONS(2438),
    [anon_sym_UR_DQUOTE] = ACTIONS(2438),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2438),
    [anon_sym_co_await] = ACTIONS(2436),
    [anon_sym_new] = ACTIONS(2436),
    [anon_sym_requires] = ACTIONS(2436),
    [sym_this] = ACTIONS(2436),
    [anon_sym_discard] = ACTIONS(2436),
    [anon_sym_precise] = ACTIONS(2436),
    [anon_sym_shared] = ACTIONS(2436),
    [anon_sym_groupshared] = ACTIONS(2436),
    [anon_sym_uniform] = ACTIONS(2436),
    [anon_sym_row_major] = ACTIONS(2436),
    [anon_sym_column_major] = ACTIONS(2436),
    [anon_sym_globallycoherent] = ACTIONS(2436),
    [anon_sym_centroid] = ACTIONS(2436),
    [anon_sym_noperspective] = ACTIONS(2436),
    [anon_sym_nointerpolation] = ACTIONS(2436),
    [anon_sym_sample] = ACTIONS(2436),
    [anon_sym_linear] = ACTIONS(2436),
    [anon_sym_snorm] = ACTIONS(2436),
    [anon_sym_unorm] = ACTIONS(2436),
    [anon_sym_point] = ACTIONS(2436),
    [anon_sym_line] = ACTIONS(2436),
    [anon_sym_triangleadj] = ACTIONS(2436),
    [anon_sym_lineadj] = ACTIONS(2436),
    [anon_sym_triangle] = ACTIONS(2436),
    [anon_sym_cbuffer] = ACTIONS(2436),
  },
  [1531] = {
    [sym_identifier] = ACTIONS(2492),
    [anon_sym_LPAREN2] = ACTIONS(2494),
    [anon_sym_BANG] = ACTIONS(2494),
    [anon_sym_TILDE] = ACTIONS(2494),
    [anon_sym_DASH] = ACTIONS(2492),
    [anon_sym_PLUS] = ACTIONS(2492),
    [anon_sym_STAR] = ACTIONS(2494),
    [anon_sym_AMP] = ACTIONS(2494),
    [anon_sym_SEMI] = ACTIONS(2494),
    [anon_sym___extension__] = ACTIONS(2492),
    [anon_sym_typedef] = ACTIONS(2492),
    [anon_sym_in] = ACTIONS(2492),
    [anon_sym_out] = ACTIONS(2492),
    [anon_sym_inout] = ACTIONS(2492),
    [anon_sym_extern] = ACTIONS(2492),
    [anon_sym___attribute__] = ACTIONS(2492),
    [anon_sym_COLON_COLON] = ACTIONS(2494),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2494),
    [anon_sym___declspec] = ACTIONS(2492),
    [anon_sym_LBRACE] = ACTIONS(2494),
    [anon_sym_signed] = ACTIONS(2492),
    [anon_sym_unsigned] = ACTIONS(2492),
    [anon_sym_long] = ACTIONS(2492),
    [anon_sym_short] = ACTIONS(2492),
    [anon_sym_LBRACK] = ACTIONS(2492),
    [anon_sym_static] = ACTIONS(2492),
    [anon_sym_register] = ACTIONS(2492),
    [anon_sym_inline] = ACTIONS(2492),
    [anon_sym___inline] = ACTIONS(2492),
    [anon_sym___inline__] = ACTIONS(2492),
    [anon_sym___forceinline] = ACTIONS(2492),
    [anon_sym_thread_local] = ACTIONS(2492),
    [anon_sym___thread] = ACTIONS(2492),
    [anon_sym_const] = ACTIONS(2492),
    [anon_sym_constexpr] = ACTIONS(2492),
    [anon_sym_volatile] = ACTIONS(2492),
    [anon_sym_restrict] = ACTIONS(2492),
    [anon_sym___restrict__] = ACTIONS(2492),
    [anon_sym__Atomic] = ACTIONS(2492),
    [anon_sym__Noreturn] = ACTIONS(2492),
    [anon_sym_noreturn] = ACTIONS(2492),
    [anon_sym_mutable] = ACTIONS(2492),
    [anon_sym_constinit] = ACTIONS(2492),
    [anon_sym_consteval] = ACTIONS(2492),
    [sym_primitive_type] = ACTIONS(2492),
    [anon_sym_enum] = ACTIONS(2492),
    [anon_sym_class] = ACTIONS(2492),
    [anon_sym_struct] = ACTIONS(2492),
    [anon_sym_union] = ACTIONS(2492),
    [anon_sym_if] = ACTIONS(2492),
    [anon_sym_else] = ACTIONS(2492),
    [anon_sym_switch] = ACTIONS(2492),
    [anon_sym_while] = ACTIONS(2492),
    [anon_sym_do] = ACTIONS(2492),
    [anon_sym_for] = ACTIONS(2492),
    [anon_sym_return] = ACTIONS(2492),
    [anon_sym_break] = ACTIONS(2492),
    [anon_sym_continue] = ACTIONS(2492),
    [anon_sym_goto] = ACTIONS(2492),
    [anon_sym___try] = ACTIONS(2492),
    [anon_sym___leave] = ACTIONS(2492),
    [anon_sym_not] = ACTIONS(2492),
    [anon_sym_compl] = ACTIONS(2492),
    [anon_sym_DASH_DASH] = ACTIONS(2494),
    [anon_sym_PLUS_PLUS] = ACTIONS(2494),
    [anon_sym_sizeof] = ACTIONS(2492),
    [anon_sym___alignof__] = ACTIONS(2492),
    [anon_sym___alignof] = ACTIONS(2492),
    [anon_sym__alignof] = ACTIONS(2492),
    [anon_sym_alignof] = ACTIONS(2492),
    [anon_sym__Alignof] = ACTIONS(2492),
    [anon_sym_offsetof] = ACTIONS(2492),
    [anon_sym__Generic] = ACTIONS(2492),
    [anon_sym_asm] = ACTIONS(2492),
    [anon_sym___asm__] = ACTIONS(2492),
    [sym_number_literal] = ACTIONS(2494),
    [anon_sym_L_SQUOTE] = ACTIONS(2494),
    [anon_sym_u_SQUOTE] = ACTIONS(2494),
    [anon_sym_U_SQUOTE] = ACTIONS(2494),
    [anon_sym_u8_SQUOTE] = ACTIONS(2494),
    [anon_sym_SQUOTE] = ACTIONS(2494),
    [anon_sym_L_DQUOTE] = ACTIONS(2494),
    [anon_sym_u_DQUOTE] = ACTIONS(2494),
    [anon_sym_U_DQUOTE] = ACTIONS(2494),
    [anon_sym_u8_DQUOTE] = ACTIONS(2494),
    [anon_sym_DQUOTE] = ACTIONS(2494),
    [sym_true] = ACTIONS(2492),
    [sym_false] = ACTIONS(2492),
    [anon_sym_NULL] = ACTIONS(2492),
    [anon_sym_nullptr] = ACTIONS(2492),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2492),
    [anon_sym_decltype] = ACTIONS(2492),
    [anon_sym_virtual] = ACTIONS(2492),
    [anon_sym_alignas] = ACTIONS(2492),
    [anon_sym_typename] = ACTIONS(2492),
    [anon_sym_template] = ACTIONS(2492),
    [anon_sym_try] = ACTIONS(2492),
    [anon_sym_delete] = ACTIONS(2492),
    [anon_sym_throw] = ACTIONS(2492),
    [anon_sym_co_return] = ACTIONS(2492),
    [anon_sym_co_yield] = ACTIONS(2492),
    [anon_sym_R_DQUOTE] = ACTIONS(2494),
    [anon_sym_LR_DQUOTE] = ACTIONS(2494),
    [anon_sym_uR_DQUOTE] = ACTIONS(2494),
    [anon_sym_UR_DQUOTE] = ACTIONS(2494),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2494),
    [anon_sym_co_await] = ACTIONS(2492),
    [anon_sym_new] = ACTIONS(2492),
    [anon_sym_requires] = ACTIONS(2492),
    [sym_this] = ACTIONS(2492),
    [anon_sym_discard] = ACTIONS(2492),
    [anon_sym_precise] = ACTIONS(2492),
    [anon_sym_shared] = ACTIONS(2492),
    [anon_sym_groupshared] = ACTIONS(2492),
    [anon_sym_uniform] = ACTIONS(2492),
    [anon_sym_row_major] = ACTIONS(2492),
    [anon_sym_column_major] = ACTIONS(2492),
    [anon_sym_globallycoherent] = ACTIONS(2492),
    [anon_sym_centroid] = ACTIONS(2492),
    [anon_sym_noperspective] = ACTIONS(2492),
    [anon_sym_nointerpolation] = ACTIONS(2492),
    [anon_sym_sample] = ACTIONS(2492),
    [anon_sym_linear] = ACTIONS(2492),
    [anon_sym_snorm] = ACTIONS(2492),
    [anon_sym_unorm] = ACTIONS(2492),
    [anon_sym_point] = ACTIONS(2492),
    [anon_sym_line] = ACTIONS(2492),
    [anon_sym_triangleadj] = ACTIONS(2492),
    [anon_sym_lineadj] = ACTIONS(2492),
    [anon_sym_triangle] = ACTIONS(2492),
    [anon_sym_cbuffer] = ACTIONS(2492),
  },
  [1532] = {
    [sym_identifier] = ACTIONS(2322),
    [anon_sym_LPAREN2] = ACTIONS(2324),
    [anon_sym_BANG] = ACTIONS(2324),
    [anon_sym_TILDE] = ACTIONS(2324),
    [anon_sym_DASH] = ACTIONS(2322),
    [anon_sym_PLUS] = ACTIONS(2322),
    [anon_sym_STAR] = ACTIONS(2324),
    [anon_sym_AMP] = ACTIONS(2324),
    [anon_sym_SEMI] = ACTIONS(2324),
    [anon_sym___extension__] = ACTIONS(2322),
    [anon_sym_typedef] = ACTIONS(2322),
    [anon_sym_in] = ACTIONS(2322),
    [anon_sym_out] = ACTIONS(2322),
    [anon_sym_inout] = ACTIONS(2322),
    [anon_sym_extern] = ACTIONS(2322),
    [anon_sym___attribute__] = ACTIONS(2322),
    [anon_sym_COLON_COLON] = ACTIONS(2324),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2324),
    [anon_sym___declspec] = ACTIONS(2322),
    [anon_sym_LBRACE] = ACTIONS(2324),
    [anon_sym_signed] = ACTIONS(2322),
    [anon_sym_unsigned] = ACTIONS(2322),
    [anon_sym_long] = ACTIONS(2322),
    [anon_sym_short] = ACTIONS(2322),
    [anon_sym_LBRACK] = ACTIONS(2322),
    [anon_sym_static] = ACTIONS(2322),
    [anon_sym_register] = ACTIONS(2322),
    [anon_sym_inline] = ACTIONS(2322),
    [anon_sym___inline] = ACTIONS(2322),
    [anon_sym___inline__] = ACTIONS(2322),
    [anon_sym___forceinline] = ACTIONS(2322),
    [anon_sym_thread_local] = ACTIONS(2322),
    [anon_sym___thread] = ACTIONS(2322),
    [anon_sym_const] = ACTIONS(2322),
    [anon_sym_constexpr] = ACTIONS(2322),
    [anon_sym_volatile] = ACTIONS(2322),
    [anon_sym_restrict] = ACTIONS(2322),
    [anon_sym___restrict__] = ACTIONS(2322),
    [anon_sym__Atomic] = ACTIONS(2322),
    [anon_sym__Noreturn] = ACTIONS(2322),
    [anon_sym_noreturn] = ACTIONS(2322),
    [anon_sym_mutable] = ACTIONS(2322),
    [anon_sym_constinit] = ACTIONS(2322),
    [anon_sym_consteval] = ACTIONS(2322),
    [sym_primitive_type] = ACTIONS(2322),
    [anon_sym_enum] = ACTIONS(2322),
    [anon_sym_class] = ACTIONS(2322),
    [anon_sym_struct] = ACTIONS(2322),
    [anon_sym_union] = ACTIONS(2322),
    [anon_sym_if] = ACTIONS(2322),
    [anon_sym_else] = ACTIONS(2322),
    [anon_sym_switch] = ACTIONS(2322),
    [anon_sym_while] = ACTIONS(2322),
    [anon_sym_do] = ACTIONS(2322),
    [anon_sym_for] = ACTIONS(2322),
    [anon_sym_return] = ACTIONS(2322),
    [anon_sym_break] = ACTIONS(2322),
    [anon_sym_continue] = ACTIONS(2322),
    [anon_sym_goto] = ACTIONS(2322),
    [anon_sym___try] = ACTIONS(2322),
    [anon_sym___leave] = ACTIONS(2322),
    [anon_sym_not] = ACTIONS(2322),
    [anon_sym_compl] = ACTIONS(2322),
    [anon_sym_DASH_DASH] = ACTIONS(2324),
    [anon_sym_PLUS_PLUS] = ACTIONS(2324),
    [anon_sym_sizeof] = ACTIONS(2322),
    [anon_sym___alignof__] = ACTIONS(2322),
    [anon_sym___alignof] = ACTIONS(2322),
    [anon_sym__alignof] = ACTIONS(2322),
    [anon_sym_alignof] = ACTIONS(2322),
    [anon_sym__Alignof] = ACTIONS(2322),
    [anon_sym_offsetof] = ACTIONS(2322),
    [anon_sym__Generic] = ACTIONS(2322),
    [anon_sym_asm] = ACTIONS(2322),
    [anon_sym___asm__] = ACTIONS(2322),
    [sym_number_literal] = ACTIONS(2324),
    [anon_sym_L_SQUOTE] = ACTIONS(2324),
    [anon_sym_u_SQUOTE] = ACTIONS(2324),
    [anon_sym_U_SQUOTE] = ACTIONS(2324),
    [anon_sym_u8_SQUOTE] = ACTIONS(2324),
    [anon_sym_SQUOTE] = ACTIONS(2324),
    [anon_sym_L_DQUOTE] = ACTIONS(2324),
    [anon_sym_u_DQUOTE] = ACTIONS(2324),
    [anon_sym_U_DQUOTE] = ACTIONS(2324),
    [anon_sym_u8_DQUOTE] = ACTIONS(2324),
    [anon_sym_DQUOTE] = ACTIONS(2324),
    [sym_true] = ACTIONS(2322),
    [sym_false] = ACTIONS(2322),
    [anon_sym_NULL] = ACTIONS(2322),
    [anon_sym_nullptr] = ACTIONS(2322),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2322),
    [anon_sym_decltype] = ACTIONS(2322),
    [anon_sym_virtual] = ACTIONS(2322),
    [anon_sym_alignas] = ACTIONS(2322),
    [anon_sym_typename] = ACTIONS(2322),
    [anon_sym_template] = ACTIONS(2322),
    [anon_sym_try] = ACTIONS(2322),
    [anon_sym_delete] = ACTIONS(2322),
    [anon_sym_throw] = ACTIONS(2322),
    [anon_sym_co_return] = ACTIONS(2322),
    [anon_sym_co_yield] = ACTIONS(2322),
    [anon_sym_R_DQUOTE] = ACTIONS(2324),
    [anon_sym_LR_DQUOTE] = ACTIONS(2324),
    [anon_sym_uR_DQUOTE] = ACTIONS(2324),
    [anon_sym_UR_DQUOTE] = ACTIONS(2324),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2324),
    [anon_sym_co_await] = ACTIONS(2322),
    [anon_sym_new] = ACTIONS(2322),
    [anon_sym_requires] = ACTIONS(2322),
    [sym_this] = ACTIONS(2322),
    [anon_sym_discard] = ACTIONS(2322),
    [anon_sym_precise] = ACTIONS(2322),
    [anon_sym_shared] = ACTIONS(2322),
    [anon_sym_groupshared] = ACTIONS(2322),
    [anon_sym_uniform] = ACTIONS(2322),
    [anon_sym_row_major] = ACTIONS(2322),
    [anon_sym_column_major] = ACTIONS(2322),
    [anon_sym_globallycoherent] = ACTIONS(2322),
    [anon_sym_centroid] = ACTIONS(2322),
    [anon_sym_noperspective] = ACTIONS(2322),
    [anon_sym_nointerpolation] = ACTIONS(2322),
    [anon_sym_sample] = ACTIONS(2322),
    [anon_sym_linear] = ACTIONS(2322),
    [anon_sym_snorm] = ACTIONS(2322),
    [anon_sym_unorm] = ACTIONS(2322),
    [anon_sym_point] = ACTIONS(2322),
    [anon_sym_line] = ACTIONS(2322),
    [anon_sym_triangleadj] = ACTIONS(2322),
    [anon_sym_lineadj] = ACTIONS(2322),
    [anon_sym_triangle] = ACTIONS(2322),
    [anon_sym_cbuffer] = ACTIONS(2322),
  },
  [1533] = {
    [sym_identifier] = ACTIONS(2380),
    [anon_sym_LPAREN2] = ACTIONS(2382),
    [anon_sym_BANG] = ACTIONS(2382),
    [anon_sym_TILDE] = ACTIONS(2382),
    [anon_sym_DASH] = ACTIONS(2380),
    [anon_sym_PLUS] = ACTIONS(2380),
    [anon_sym_STAR] = ACTIONS(2382),
    [anon_sym_AMP] = ACTIONS(2382),
    [anon_sym_SEMI] = ACTIONS(2382),
    [anon_sym___extension__] = ACTIONS(2380),
    [anon_sym_typedef] = ACTIONS(2380),
    [anon_sym_in] = ACTIONS(2380),
    [anon_sym_out] = ACTIONS(2380),
    [anon_sym_inout] = ACTIONS(2380),
    [anon_sym_extern] = ACTIONS(2380),
    [anon_sym___attribute__] = ACTIONS(2380),
    [anon_sym_COLON_COLON] = ACTIONS(2382),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2382),
    [anon_sym___declspec] = ACTIONS(2380),
    [anon_sym_LBRACE] = ACTIONS(2382),
    [anon_sym_signed] = ACTIONS(2380),
    [anon_sym_unsigned] = ACTIONS(2380),
    [anon_sym_long] = ACTIONS(2380),
    [anon_sym_short] = ACTIONS(2380),
    [anon_sym_LBRACK] = ACTIONS(2380),
    [anon_sym_static] = ACTIONS(2380),
    [anon_sym_register] = ACTIONS(2380),
    [anon_sym_inline] = ACTIONS(2380),
    [anon_sym___inline] = ACTIONS(2380),
    [anon_sym___inline__] = ACTIONS(2380),
    [anon_sym___forceinline] = ACTIONS(2380),
    [anon_sym_thread_local] = ACTIONS(2380),
    [anon_sym___thread] = ACTIONS(2380),
    [anon_sym_const] = ACTIONS(2380),
    [anon_sym_constexpr] = ACTIONS(2380),
    [anon_sym_volatile] = ACTIONS(2380),
    [anon_sym_restrict] = ACTIONS(2380),
    [anon_sym___restrict__] = ACTIONS(2380),
    [anon_sym__Atomic] = ACTIONS(2380),
    [anon_sym__Noreturn] = ACTIONS(2380),
    [anon_sym_noreturn] = ACTIONS(2380),
    [anon_sym_mutable] = ACTIONS(2380),
    [anon_sym_constinit] = ACTIONS(2380),
    [anon_sym_consteval] = ACTIONS(2380),
    [sym_primitive_type] = ACTIONS(2380),
    [anon_sym_enum] = ACTIONS(2380),
    [anon_sym_class] = ACTIONS(2380),
    [anon_sym_struct] = ACTIONS(2380),
    [anon_sym_union] = ACTIONS(2380),
    [anon_sym_if] = ACTIONS(2380),
    [anon_sym_else] = ACTIONS(2380),
    [anon_sym_switch] = ACTIONS(2380),
    [anon_sym_while] = ACTIONS(2380),
    [anon_sym_do] = ACTIONS(2380),
    [anon_sym_for] = ACTIONS(2380),
    [anon_sym_return] = ACTIONS(2380),
    [anon_sym_break] = ACTIONS(2380),
    [anon_sym_continue] = ACTIONS(2380),
    [anon_sym_goto] = ACTIONS(2380),
    [anon_sym___try] = ACTIONS(2380),
    [anon_sym___leave] = ACTIONS(2380),
    [anon_sym_not] = ACTIONS(2380),
    [anon_sym_compl] = ACTIONS(2380),
    [anon_sym_DASH_DASH] = ACTIONS(2382),
    [anon_sym_PLUS_PLUS] = ACTIONS(2382),
    [anon_sym_sizeof] = ACTIONS(2380),
    [anon_sym___alignof__] = ACTIONS(2380),
    [anon_sym___alignof] = ACTIONS(2380),
    [anon_sym__alignof] = ACTIONS(2380),
    [anon_sym_alignof] = ACTIONS(2380),
    [anon_sym__Alignof] = ACTIONS(2380),
    [anon_sym_offsetof] = ACTIONS(2380),
    [anon_sym__Generic] = ACTIONS(2380),
    [anon_sym_asm] = ACTIONS(2380),
    [anon_sym___asm__] = ACTIONS(2380),
    [sym_number_literal] = ACTIONS(2382),
    [anon_sym_L_SQUOTE] = ACTIONS(2382),
    [anon_sym_u_SQUOTE] = ACTIONS(2382),
    [anon_sym_U_SQUOTE] = ACTIONS(2382),
    [anon_sym_u8_SQUOTE] = ACTIONS(2382),
    [anon_sym_SQUOTE] = ACTIONS(2382),
    [anon_sym_L_DQUOTE] = ACTIONS(2382),
    [anon_sym_u_DQUOTE] = ACTIONS(2382),
    [anon_sym_U_DQUOTE] = ACTIONS(2382),
    [anon_sym_u8_DQUOTE] = ACTIONS(2382),
    [anon_sym_DQUOTE] = ACTIONS(2382),
    [sym_true] = ACTIONS(2380),
    [sym_false] = ACTIONS(2380),
    [anon_sym_NULL] = ACTIONS(2380),
    [anon_sym_nullptr] = ACTIONS(2380),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2380),
    [anon_sym_decltype] = ACTIONS(2380),
    [anon_sym_virtual] = ACTIONS(2380),
    [anon_sym_alignas] = ACTIONS(2380),
    [anon_sym_typename] = ACTIONS(2380),
    [anon_sym_template] = ACTIONS(2380),
    [anon_sym_try] = ACTIONS(2380),
    [anon_sym_delete] = ACTIONS(2380),
    [anon_sym_throw] = ACTIONS(2380),
    [anon_sym_co_return] = ACTIONS(2380),
    [anon_sym_co_yield] = ACTIONS(2380),
    [anon_sym_R_DQUOTE] = ACTIONS(2382),
    [anon_sym_LR_DQUOTE] = ACTIONS(2382),
    [anon_sym_uR_DQUOTE] = ACTIONS(2382),
    [anon_sym_UR_DQUOTE] = ACTIONS(2382),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2382),
    [anon_sym_co_await] = ACTIONS(2380),
    [anon_sym_new] = ACTIONS(2380),
    [anon_sym_requires] = ACTIONS(2380),
    [sym_this] = ACTIONS(2380),
    [anon_sym_discard] = ACTIONS(2380),
    [anon_sym_precise] = ACTIONS(2380),
    [anon_sym_shared] = ACTIONS(2380),
    [anon_sym_groupshared] = ACTIONS(2380),
    [anon_sym_uniform] = ACTIONS(2380),
    [anon_sym_row_major] = ACTIONS(2380),
    [anon_sym_column_major] = ACTIONS(2380),
    [anon_sym_globallycoherent] = ACTIONS(2380),
    [anon_sym_centroid] = ACTIONS(2380),
    [anon_sym_noperspective] = ACTIONS(2380),
    [anon_sym_nointerpolation] = ACTIONS(2380),
    [anon_sym_sample] = ACTIONS(2380),
    [anon_sym_linear] = ACTIONS(2380),
    [anon_sym_snorm] = ACTIONS(2380),
    [anon_sym_unorm] = ACTIONS(2380),
    [anon_sym_point] = ACTIONS(2380),
    [anon_sym_line] = ACTIONS(2380),
    [anon_sym_triangleadj] = ACTIONS(2380),
    [anon_sym_lineadj] = ACTIONS(2380),
    [anon_sym_triangle] = ACTIONS(2380),
    [anon_sym_cbuffer] = ACTIONS(2380),
  },
  [1534] = {
    [sym_identifier] = ACTIONS(2330),
    [anon_sym_LPAREN2] = ACTIONS(2332),
    [anon_sym_BANG] = ACTIONS(2332),
    [anon_sym_TILDE] = ACTIONS(2332),
    [anon_sym_DASH] = ACTIONS(2330),
    [anon_sym_PLUS] = ACTIONS(2330),
    [anon_sym_STAR] = ACTIONS(2332),
    [anon_sym_AMP] = ACTIONS(2332),
    [anon_sym_SEMI] = ACTIONS(2332),
    [anon_sym___extension__] = ACTIONS(2330),
    [anon_sym_typedef] = ACTIONS(2330),
    [anon_sym_in] = ACTIONS(2330),
    [anon_sym_out] = ACTIONS(2330),
    [anon_sym_inout] = ACTIONS(2330),
    [anon_sym_extern] = ACTIONS(2330),
    [anon_sym___attribute__] = ACTIONS(2330),
    [anon_sym_COLON_COLON] = ACTIONS(2332),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2332),
    [anon_sym___declspec] = ACTIONS(2330),
    [anon_sym_LBRACE] = ACTIONS(2332),
    [anon_sym_signed] = ACTIONS(2330),
    [anon_sym_unsigned] = ACTIONS(2330),
    [anon_sym_long] = ACTIONS(2330),
    [anon_sym_short] = ACTIONS(2330),
    [anon_sym_LBRACK] = ACTIONS(2330),
    [anon_sym_static] = ACTIONS(2330),
    [anon_sym_register] = ACTIONS(2330),
    [anon_sym_inline] = ACTIONS(2330),
    [anon_sym___inline] = ACTIONS(2330),
    [anon_sym___inline__] = ACTIONS(2330),
    [anon_sym___forceinline] = ACTIONS(2330),
    [anon_sym_thread_local] = ACTIONS(2330),
    [anon_sym___thread] = ACTIONS(2330),
    [anon_sym_const] = ACTIONS(2330),
    [anon_sym_constexpr] = ACTIONS(2330),
    [anon_sym_volatile] = ACTIONS(2330),
    [anon_sym_restrict] = ACTIONS(2330),
    [anon_sym___restrict__] = ACTIONS(2330),
    [anon_sym__Atomic] = ACTIONS(2330),
    [anon_sym__Noreturn] = ACTIONS(2330),
    [anon_sym_noreturn] = ACTIONS(2330),
    [anon_sym_mutable] = ACTIONS(2330),
    [anon_sym_constinit] = ACTIONS(2330),
    [anon_sym_consteval] = ACTIONS(2330),
    [sym_primitive_type] = ACTIONS(2330),
    [anon_sym_enum] = ACTIONS(2330),
    [anon_sym_class] = ACTIONS(2330),
    [anon_sym_struct] = ACTIONS(2330),
    [anon_sym_union] = ACTIONS(2330),
    [anon_sym_if] = ACTIONS(2330),
    [anon_sym_else] = ACTIONS(2330),
    [anon_sym_switch] = ACTIONS(2330),
    [anon_sym_while] = ACTIONS(2330),
    [anon_sym_do] = ACTIONS(2330),
    [anon_sym_for] = ACTIONS(2330),
    [anon_sym_return] = ACTIONS(2330),
    [anon_sym_break] = ACTIONS(2330),
    [anon_sym_continue] = ACTIONS(2330),
    [anon_sym_goto] = ACTIONS(2330),
    [anon_sym___try] = ACTIONS(2330),
    [anon_sym___leave] = ACTIONS(2330),
    [anon_sym_not] = ACTIONS(2330),
    [anon_sym_compl] = ACTIONS(2330),
    [anon_sym_DASH_DASH] = ACTIONS(2332),
    [anon_sym_PLUS_PLUS] = ACTIONS(2332),
    [anon_sym_sizeof] = ACTIONS(2330),
    [anon_sym___alignof__] = ACTIONS(2330),
    [anon_sym___alignof] = ACTIONS(2330),
    [anon_sym__alignof] = ACTIONS(2330),
    [anon_sym_alignof] = ACTIONS(2330),
    [anon_sym__Alignof] = ACTIONS(2330),
    [anon_sym_offsetof] = ACTIONS(2330),
    [anon_sym__Generic] = ACTIONS(2330),
    [anon_sym_asm] = ACTIONS(2330),
    [anon_sym___asm__] = ACTIONS(2330),
    [sym_number_literal] = ACTIONS(2332),
    [anon_sym_L_SQUOTE] = ACTIONS(2332),
    [anon_sym_u_SQUOTE] = ACTIONS(2332),
    [anon_sym_U_SQUOTE] = ACTIONS(2332),
    [anon_sym_u8_SQUOTE] = ACTIONS(2332),
    [anon_sym_SQUOTE] = ACTIONS(2332),
    [anon_sym_L_DQUOTE] = ACTIONS(2332),
    [anon_sym_u_DQUOTE] = ACTIONS(2332),
    [anon_sym_U_DQUOTE] = ACTIONS(2332),
    [anon_sym_u8_DQUOTE] = ACTIONS(2332),
    [anon_sym_DQUOTE] = ACTIONS(2332),
    [sym_true] = ACTIONS(2330),
    [sym_false] = ACTIONS(2330),
    [anon_sym_NULL] = ACTIONS(2330),
    [anon_sym_nullptr] = ACTIONS(2330),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2330),
    [anon_sym_decltype] = ACTIONS(2330),
    [anon_sym_virtual] = ACTIONS(2330),
    [anon_sym_alignas] = ACTIONS(2330),
    [anon_sym_typename] = ACTIONS(2330),
    [anon_sym_template] = ACTIONS(2330),
    [anon_sym_try] = ACTIONS(2330),
    [anon_sym_delete] = ACTIONS(2330),
    [anon_sym_throw] = ACTIONS(2330),
    [anon_sym_co_return] = ACTIONS(2330),
    [anon_sym_co_yield] = ACTIONS(2330),
    [anon_sym_R_DQUOTE] = ACTIONS(2332),
    [anon_sym_LR_DQUOTE] = ACTIONS(2332),
    [anon_sym_uR_DQUOTE] = ACTIONS(2332),
    [anon_sym_UR_DQUOTE] = ACTIONS(2332),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2332),
    [anon_sym_co_await] = ACTIONS(2330),
    [anon_sym_new] = ACTIONS(2330),
    [anon_sym_requires] = ACTIONS(2330),
    [sym_this] = ACTIONS(2330),
    [anon_sym_discard] = ACTIONS(2330),
    [anon_sym_precise] = ACTIONS(2330),
    [anon_sym_shared] = ACTIONS(2330),
    [anon_sym_groupshared] = ACTIONS(2330),
    [anon_sym_uniform] = ACTIONS(2330),
    [anon_sym_row_major] = ACTIONS(2330),
    [anon_sym_column_major] = ACTIONS(2330),
    [anon_sym_globallycoherent] = ACTIONS(2330),
    [anon_sym_centroid] = ACTIONS(2330),
    [anon_sym_noperspective] = ACTIONS(2330),
    [anon_sym_nointerpolation] = ACTIONS(2330),
    [anon_sym_sample] = ACTIONS(2330),
    [anon_sym_linear] = ACTIONS(2330),
    [anon_sym_snorm] = ACTIONS(2330),
    [anon_sym_unorm] = ACTIONS(2330),
    [anon_sym_point] = ACTIONS(2330),
    [anon_sym_line] = ACTIONS(2330),
    [anon_sym_triangleadj] = ACTIONS(2330),
    [anon_sym_lineadj] = ACTIONS(2330),
    [anon_sym_triangle] = ACTIONS(2330),
    [anon_sym_cbuffer] = ACTIONS(2330),
  },
  [1535] = {
    [sym_identifier] = ACTIONS(2400),
    [anon_sym_LPAREN2] = ACTIONS(2402),
    [anon_sym_BANG] = ACTIONS(2402),
    [anon_sym_TILDE] = ACTIONS(2402),
    [anon_sym_DASH] = ACTIONS(2400),
    [anon_sym_PLUS] = ACTIONS(2400),
    [anon_sym_STAR] = ACTIONS(2402),
    [anon_sym_AMP] = ACTIONS(2402),
    [anon_sym_SEMI] = ACTIONS(2402),
    [anon_sym___extension__] = ACTIONS(2400),
    [anon_sym_typedef] = ACTIONS(2400),
    [anon_sym_in] = ACTIONS(2400),
    [anon_sym_out] = ACTIONS(2400),
    [anon_sym_inout] = ACTIONS(2400),
    [anon_sym_extern] = ACTIONS(2400),
    [anon_sym___attribute__] = ACTIONS(2400),
    [anon_sym_COLON_COLON] = ACTIONS(2402),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2402),
    [anon_sym___declspec] = ACTIONS(2400),
    [anon_sym_LBRACE] = ACTIONS(2402),
    [anon_sym_signed] = ACTIONS(2400),
    [anon_sym_unsigned] = ACTIONS(2400),
    [anon_sym_long] = ACTIONS(2400),
    [anon_sym_short] = ACTIONS(2400),
    [anon_sym_LBRACK] = ACTIONS(2400),
    [anon_sym_static] = ACTIONS(2400),
    [anon_sym_register] = ACTIONS(2400),
    [anon_sym_inline] = ACTIONS(2400),
    [anon_sym___inline] = ACTIONS(2400),
    [anon_sym___inline__] = ACTIONS(2400),
    [anon_sym___forceinline] = ACTIONS(2400),
    [anon_sym_thread_local] = ACTIONS(2400),
    [anon_sym___thread] = ACTIONS(2400),
    [anon_sym_const] = ACTIONS(2400),
    [anon_sym_constexpr] = ACTIONS(2400),
    [anon_sym_volatile] = ACTIONS(2400),
    [anon_sym_restrict] = ACTIONS(2400),
    [anon_sym___restrict__] = ACTIONS(2400),
    [anon_sym__Atomic] = ACTIONS(2400),
    [anon_sym__Noreturn] = ACTIONS(2400),
    [anon_sym_noreturn] = ACTIONS(2400),
    [anon_sym_mutable] = ACTIONS(2400),
    [anon_sym_constinit] = ACTIONS(2400),
    [anon_sym_consteval] = ACTIONS(2400),
    [sym_primitive_type] = ACTIONS(2400),
    [anon_sym_enum] = ACTIONS(2400),
    [anon_sym_class] = ACTIONS(2400),
    [anon_sym_struct] = ACTIONS(2400),
    [anon_sym_union] = ACTIONS(2400),
    [anon_sym_if] = ACTIONS(2400),
    [anon_sym_else] = ACTIONS(2400),
    [anon_sym_switch] = ACTIONS(2400),
    [anon_sym_while] = ACTIONS(2400),
    [anon_sym_do] = ACTIONS(2400),
    [anon_sym_for] = ACTIONS(2400),
    [anon_sym_return] = ACTIONS(2400),
    [anon_sym_break] = ACTIONS(2400),
    [anon_sym_continue] = ACTIONS(2400),
    [anon_sym_goto] = ACTIONS(2400),
    [anon_sym___try] = ACTIONS(2400),
    [anon_sym___leave] = ACTIONS(2400),
    [anon_sym_not] = ACTIONS(2400),
    [anon_sym_compl] = ACTIONS(2400),
    [anon_sym_DASH_DASH] = ACTIONS(2402),
    [anon_sym_PLUS_PLUS] = ACTIONS(2402),
    [anon_sym_sizeof] = ACTIONS(2400),
    [anon_sym___alignof__] = ACTIONS(2400),
    [anon_sym___alignof] = ACTIONS(2400),
    [anon_sym__alignof] = ACTIONS(2400),
    [anon_sym_alignof] = ACTIONS(2400),
    [anon_sym__Alignof] = ACTIONS(2400),
    [anon_sym_offsetof] = ACTIONS(2400),
    [anon_sym__Generic] = ACTIONS(2400),
    [anon_sym_asm] = ACTIONS(2400),
    [anon_sym___asm__] = ACTIONS(2400),
    [sym_number_literal] = ACTIONS(2402),
    [anon_sym_L_SQUOTE] = ACTIONS(2402),
    [anon_sym_u_SQUOTE] = ACTIONS(2402),
    [anon_sym_U_SQUOTE] = ACTIONS(2402),
    [anon_sym_u8_SQUOTE] = ACTIONS(2402),
    [anon_sym_SQUOTE] = ACTIONS(2402),
    [anon_sym_L_DQUOTE] = ACTIONS(2402),
    [anon_sym_u_DQUOTE] = ACTIONS(2402),
    [anon_sym_U_DQUOTE] = ACTIONS(2402),
    [anon_sym_u8_DQUOTE] = ACTIONS(2402),
    [anon_sym_DQUOTE] = ACTIONS(2402),
    [sym_true] = ACTIONS(2400),
    [sym_false] = ACTIONS(2400),
    [anon_sym_NULL] = ACTIONS(2400),
    [anon_sym_nullptr] = ACTIONS(2400),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2400),
    [anon_sym_decltype] = ACTIONS(2400),
    [anon_sym_virtual] = ACTIONS(2400),
    [anon_sym_alignas] = ACTIONS(2400),
    [anon_sym_typename] = ACTIONS(2400),
    [anon_sym_template] = ACTIONS(2400),
    [anon_sym_try] = ACTIONS(2400),
    [anon_sym_delete] = ACTIONS(2400),
    [anon_sym_throw] = ACTIONS(2400),
    [anon_sym_co_return] = ACTIONS(2400),
    [anon_sym_co_yield] = ACTIONS(2400),
    [anon_sym_R_DQUOTE] = ACTIONS(2402),
    [anon_sym_LR_DQUOTE] = ACTIONS(2402),
    [anon_sym_uR_DQUOTE] = ACTIONS(2402),
    [anon_sym_UR_DQUOTE] = ACTIONS(2402),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2402),
    [anon_sym_co_await] = ACTIONS(2400),
    [anon_sym_new] = ACTIONS(2400),
    [anon_sym_requires] = ACTIONS(2400),
    [sym_this] = ACTIONS(2400),
    [anon_sym_discard] = ACTIONS(2400),
    [anon_sym_precise] = ACTIONS(2400),
    [anon_sym_shared] = ACTIONS(2400),
    [anon_sym_groupshared] = ACTIONS(2400),
    [anon_sym_uniform] = ACTIONS(2400),
    [anon_sym_row_major] = ACTIONS(2400),
    [anon_sym_column_major] = ACTIONS(2400),
    [anon_sym_globallycoherent] = ACTIONS(2400),
    [anon_sym_centroid] = ACTIONS(2400),
    [anon_sym_noperspective] = ACTIONS(2400),
    [anon_sym_nointerpolation] = ACTIONS(2400),
    [anon_sym_sample] = ACTIONS(2400),
    [anon_sym_linear] = ACTIONS(2400),
    [anon_sym_snorm] = ACTIONS(2400),
    [anon_sym_unorm] = ACTIONS(2400),
    [anon_sym_point] = ACTIONS(2400),
    [anon_sym_line] = ACTIONS(2400),
    [anon_sym_triangleadj] = ACTIONS(2400),
    [anon_sym_lineadj] = ACTIONS(2400),
    [anon_sym_triangle] = ACTIONS(2400),
    [anon_sym_cbuffer] = ACTIONS(2400),
  },
  [1536] = {
    [sym_identifier] = ACTIONS(2364),
    [anon_sym_LPAREN2] = ACTIONS(2366),
    [anon_sym_BANG] = ACTIONS(2366),
    [anon_sym_TILDE] = ACTIONS(2366),
    [anon_sym_DASH] = ACTIONS(2364),
    [anon_sym_PLUS] = ACTIONS(2364),
    [anon_sym_STAR] = ACTIONS(2366),
    [anon_sym_AMP] = ACTIONS(2366),
    [anon_sym_SEMI] = ACTIONS(2366),
    [anon_sym___extension__] = ACTIONS(2364),
    [anon_sym_typedef] = ACTIONS(2364),
    [anon_sym_in] = ACTIONS(2364),
    [anon_sym_out] = ACTIONS(2364),
    [anon_sym_inout] = ACTIONS(2364),
    [anon_sym_extern] = ACTIONS(2364),
    [anon_sym___attribute__] = ACTIONS(2364),
    [anon_sym_COLON_COLON] = ACTIONS(2366),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2366),
    [anon_sym___declspec] = ACTIONS(2364),
    [anon_sym_LBRACE] = ACTIONS(2366),
    [anon_sym_signed] = ACTIONS(2364),
    [anon_sym_unsigned] = ACTIONS(2364),
    [anon_sym_long] = ACTIONS(2364),
    [anon_sym_short] = ACTIONS(2364),
    [anon_sym_LBRACK] = ACTIONS(2364),
    [anon_sym_static] = ACTIONS(2364),
    [anon_sym_register] = ACTIONS(2364),
    [anon_sym_inline] = ACTIONS(2364),
    [anon_sym___inline] = ACTIONS(2364),
    [anon_sym___inline__] = ACTIONS(2364),
    [anon_sym___forceinline] = ACTIONS(2364),
    [anon_sym_thread_local] = ACTIONS(2364),
    [anon_sym___thread] = ACTIONS(2364),
    [anon_sym_const] = ACTIONS(2364),
    [anon_sym_constexpr] = ACTIONS(2364),
    [anon_sym_volatile] = ACTIONS(2364),
    [anon_sym_restrict] = ACTIONS(2364),
    [anon_sym___restrict__] = ACTIONS(2364),
    [anon_sym__Atomic] = ACTIONS(2364),
    [anon_sym__Noreturn] = ACTIONS(2364),
    [anon_sym_noreturn] = ACTIONS(2364),
    [anon_sym_mutable] = ACTIONS(2364),
    [anon_sym_constinit] = ACTIONS(2364),
    [anon_sym_consteval] = ACTIONS(2364),
    [sym_primitive_type] = ACTIONS(2364),
    [anon_sym_enum] = ACTIONS(2364),
    [anon_sym_class] = ACTIONS(2364),
    [anon_sym_struct] = ACTIONS(2364),
    [anon_sym_union] = ACTIONS(2364),
    [anon_sym_if] = ACTIONS(2364),
    [anon_sym_else] = ACTIONS(2364),
    [anon_sym_switch] = ACTIONS(2364),
    [anon_sym_while] = ACTIONS(2364),
    [anon_sym_do] = ACTIONS(2364),
    [anon_sym_for] = ACTIONS(2364),
    [anon_sym_return] = ACTIONS(2364),
    [anon_sym_break] = ACTIONS(2364),
    [anon_sym_continue] = ACTIONS(2364),
    [anon_sym_goto] = ACTIONS(2364),
    [anon_sym___try] = ACTIONS(2364),
    [anon_sym___leave] = ACTIONS(2364),
    [anon_sym_not] = ACTIONS(2364),
    [anon_sym_compl] = ACTIONS(2364),
    [anon_sym_DASH_DASH] = ACTIONS(2366),
    [anon_sym_PLUS_PLUS] = ACTIONS(2366),
    [anon_sym_sizeof] = ACTIONS(2364),
    [anon_sym___alignof__] = ACTIONS(2364),
    [anon_sym___alignof] = ACTIONS(2364),
    [anon_sym__alignof] = ACTIONS(2364),
    [anon_sym_alignof] = ACTIONS(2364),
    [anon_sym__Alignof] = ACTIONS(2364),
    [anon_sym_offsetof] = ACTIONS(2364),
    [anon_sym__Generic] = ACTIONS(2364),
    [anon_sym_asm] = ACTIONS(2364),
    [anon_sym___asm__] = ACTIONS(2364),
    [sym_number_literal] = ACTIONS(2366),
    [anon_sym_L_SQUOTE] = ACTIONS(2366),
    [anon_sym_u_SQUOTE] = ACTIONS(2366),
    [anon_sym_U_SQUOTE] = ACTIONS(2366),
    [anon_sym_u8_SQUOTE] = ACTIONS(2366),
    [anon_sym_SQUOTE] = ACTIONS(2366),
    [anon_sym_L_DQUOTE] = ACTIONS(2366),
    [anon_sym_u_DQUOTE] = ACTIONS(2366),
    [anon_sym_U_DQUOTE] = ACTIONS(2366),
    [anon_sym_u8_DQUOTE] = ACTIONS(2366),
    [anon_sym_DQUOTE] = ACTIONS(2366),
    [sym_true] = ACTIONS(2364),
    [sym_false] = ACTIONS(2364),
    [anon_sym_NULL] = ACTIONS(2364),
    [anon_sym_nullptr] = ACTIONS(2364),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2364),
    [anon_sym_decltype] = ACTIONS(2364),
    [anon_sym_virtual] = ACTIONS(2364),
    [anon_sym_alignas] = ACTIONS(2364),
    [anon_sym_typename] = ACTIONS(2364),
    [anon_sym_template] = ACTIONS(2364),
    [anon_sym_try] = ACTIONS(2364),
    [anon_sym_delete] = ACTIONS(2364),
    [anon_sym_throw] = ACTIONS(2364),
    [anon_sym_co_return] = ACTIONS(2364),
    [anon_sym_co_yield] = ACTIONS(2364),
    [anon_sym_R_DQUOTE] = ACTIONS(2366),
    [anon_sym_LR_DQUOTE] = ACTIONS(2366),
    [anon_sym_uR_DQUOTE] = ACTIONS(2366),
    [anon_sym_UR_DQUOTE] = ACTIONS(2366),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2366),
    [anon_sym_co_await] = ACTIONS(2364),
    [anon_sym_new] = ACTIONS(2364),
    [anon_sym_requires] = ACTIONS(2364),
    [sym_this] = ACTIONS(2364),
    [anon_sym_discard] = ACTIONS(2364),
    [anon_sym_precise] = ACTIONS(2364),
    [anon_sym_shared] = ACTIONS(2364),
    [anon_sym_groupshared] = ACTIONS(2364),
    [anon_sym_uniform] = ACTIONS(2364),
    [anon_sym_row_major] = ACTIONS(2364),
    [anon_sym_column_major] = ACTIONS(2364),
    [anon_sym_globallycoherent] = ACTIONS(2364),
    [anon_sym_centroid] = ACTIONS(2364),
    [anon_sym_noperspective] = ACTIONS(2364),
    [anon_sym_nointerpolation] = ACTIONS(2364),
    [anon_sym_sample] = ACTIONS(2364),
    [anon_sym_linear] = ACTIONS(2364),
    [anon_sym_snorm] = ACTIONS(2364),
    [anon_sym_unorm] = ACTIONS(2364),
    [anon_sym_point] = ACTIONS(2364),
    [anon_sym_line] = ACTIONS(2364),
    [anon_sym_triangleadj] = ACTIONS(2364),
    [anon_sym_lineadj] = ACTIONS(2364),
    [anon_sym_triangle] = ACTIONS(2364),
    [anon_sym_cbuffer] = ACTIONS(2364),
  },
  [1537] = {
    [sym_identifier] = ACTIONS(2360),
    [anon_sym_LPAREN2] = ACTIONS(2362),
    [anon_sym_BANG] = ACTIONS(2362),
    [anon_sym_TILDE] = ACTIONS(2362),
    [anon_sym_DASH] = ACTIONS(2360),
    [anon_sym_PLUS] = ACTIONS(2360),
    [anon_sym_STAR] = ACTIONS(2362),
    [anon_sym_AMP] = ACTIONS(2362),
    [anon_sym_SEMI] = ACTIONS(2362),
    [anon_sym___extension__] = ACTIONS(2360),
    [anon_sym_typedef] = ACTIONS(2360),
    [anon_sym_in] = ACTIONS(2360),
    [anon_sym_out] = ACTIONS(2360),
    [anon_sym_inout] = ACTIONS(2360),
    [anon_sym_extern] = ACTIONS(2360),
    [anon_sym___attribute__] = ACTIONS(2360),
    [anon_sym_COLON_COLON] = ACTIONS(2362),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2362),
    [anon_sym___declspec] = ACTIONS(2360),
    [anon_sym_LBRACE] = ACTIONS(2362),
    [anon_sym_signed] = ACTIONS(2360),
    [anon_sym_unsigned] = ACTIONS(2360),
    [anon_sym_long] = ACTIONS(2360),
    [anon_sym_short] = ACTIONS(2360),
    [anon_sym_LBRACK] = ACTIONS(2360),
    [anon_sym_static] = ACTIONS(2360),
    [anon_sym_register] = ACTIONS(2360),
    [anon_sym_inline] = ACTIONS(2360),
    [anon_sym___inline] = ACTIONS(2360),
    [anon_sym___inline__] = ACTIONS(2360),
    [anon_sym___forceinline] = ACTIONS(2360),
    [anon_sym_thread_local] = ACTIONS(2360),
    [anon_sym___thread] = ACTIONS(2360),
    [anon_sym_const] = ACTIONS(2360),
    [anon_sym_constexpr] = ACTIONS(2360),
    [anon_sym_volatile] = ACTIONS(2360),
    [anon_sym_restrict] = ACTIONS(2360),
    [anon_sym___restrict__] = ACTIONS(2360),
    [anon_sym__Atomic] = ACTIONS(2360),
    [anon_sym__Noreturn] = ACTIONS(2360),
    [anon_sym_noreturn] = ACTIONS(2360),
    [anon_sym_mutable] = ACTIONS(2360),
    [anon_sym_constinit] = ACTIONS(2360),
    [anon_sym_consteval] = ACTIONS(2360),
    [sym_primitive_type] = ACTIONS(2360),
    [anon_sym_enum] = ACTIONS(2360),
    [anon_sym_class] = ACTIONS(2360),
    [anon_sym_struct] = ACTIONS(2360),
    [anon_sym_union] = ACTIONS(2360),
    [anon_sym_if] = ACTIONS(2360),
    [anon_sym_else] = ACTIONS(2360),
    [anon_sym_switch] = ACTIONS(2360),
    [anon_sym_while] = ACTIONS(2360),
    [anon_sym_do] = ACTIONS(2360),
    [anon_sym_for] = ACTIONS(2360),
    [anon_sym_return] = ACTIONS(2360),
    [anon_sym_break] = ACTIONS(2360),
    [anon_sym_continue] = ACTIONS(2360),
    [anon_sym_goto] = ACTIONS(2360),
    [anon_sym___try] = ACTIONS(2360),
    [anon_sym___leave] = ACTIONS(2360),
    [anon_sym_not] = ACTIONS(2360),
    [anon_sym_compl] = ACTIONS(2360),
    [anon_sym_DASH_DASH] = ACTIONS(2362),
    [anon_sym_PLUS_PLUS] = ACTIONS(2362),
    [anon_sym_sizeof] = ACTIONS(2360),
    [anon_sym___alignof__] = ACTIONS(2360),
    [anon_sym___alignof] = ACTIONS(2360),
    [anon_sym__alignof] = ACTIONS(2360),
    [anon_sym_alignof] = ACTIONS(2360),
    [anon_sym__Alignof] = ACTIONS(2360),
    [anon_sym_offsetof] = ACTIONS(2360),
    [anon_sym__Generic] = ACTIONS(2360),
    [anon_sym_asm] = ACTIONS(2360),
    [anon_sym___asm__] = ACTIONS(2360),
    [sym_number_literal] = ACTIONS(2362),
    [anon_sym_L_SQUOTE] = ACTIONS(2362),
    [anon_sym_u_SQUOTE] = ACTIONS(2362),
    [anon_sym_U_SQUOTE] = ACTIONS(2362),
    [anon_sym_u8_SQUOTE] = ACTIONS(2362),
    [anon_sym_SQUOTE] = ACTIONS(2362),
    [anon_sym_L_DQUOTE] = ACTIONS(2362),
    [anon_sym_u_DQUOTE] = ACTIONS(2362),
    [anon_sym_U_DQUOTE] = ACTIONS(2362),
    [anon_sym_u8_DQUOTE] = ACTIONS(2362),
    [anon_sym_DQUOTE] = ACTIONS(2362),
    [sym_true] = ACTIONS(2360),
    [sym_false] = ACTIONS(2360),
    [anon_sym_NULL] = ACTIONS(2360),
    [anon_sym_nullptr] = ACTIONS(2360),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2360),
    [anon_sym_decltype] = ACTIONS(2360),
    [anon_sym_virtual] = ACTIONS(2360),
    [anon_sym_alignas] = ACTIONS(2360),
    [anon_sym_typename] = ACTIONS(2360),
    [anon_sym_template] = ACTIONS(2360),
    [anon_sym_try] = ACTIONS(2360),
    [anon_sym_delete] = ACTIONS(2360),
    [anon_sym_throw] = ACTIONS(2360),
    [anon_sym_co_return] = ACTIONS(2360),
    [anon_sym_co_yield] = ACTIONS(2360),
    [anon_sym_R_DQUOTE] = ACTIONS(2362),
    [anon_sym_LR_DQUOTE] = ACTIONS(2362),
    [anon_sym_uR_DQUOTE] = ACTIONS(2362),
    [anon_sym_UR_DQUOTE] = ACTIONS(2362),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2362),
    [anon_sym_co_await] = ACTIONS(2360),
    [anon_sym_new] = ACTIONS(2360),
    [anon_sym_requires] = ACTIONS(2360),
    [sym_this] = ACTIONS(2360),
    [anon_sym_discard] = ACTIONS(2360),
    [anon_sym_precise] = ACTIONS(2360),
    [anon_sym_shared] = ACTIONS(2360),
    [anon_sym_groupshared] = ACTIONS(2360),
    [anon_sym_uniform] = ACTIONS(2360),
    [anon_sym_row_major] = ACTIONS(2360),
    [anon_sym_column_major] = ACTIONS(2360),
    [anon_sym_globallycoherent] = ACTIONS(2360),
    [anon_sym_centroid] = ACTIONS(2360),
    [anon_sym_noperspective] = ACTIONS(2360),
    [anon_sym_nointerpolation] = ACTIONS(2360),
    [anon_sym_sample] = ACTIONS(2360),
    [anon_sym_linear] = ACTIONS(2360),
    [anon_sym_snorm] = ACTIONS(2360),
    [anon_sym_unorm] = ACTIONS(2360),
    [anon_sym_point] = ACTIONS(2360),
    [anon_sym_line] = ACTIONS(2360),
    [anon_sym_triangleadj] = ACTIONS(2360),
    [anon_sym_lineadj] = ACTIONS(2360),
    [anon_sym_triangle] = ACTIONS(2360),
    [anon_sym_cbuffer] = ACTIONS(2360),
  },
  [1538] = {
    [sym_identifier] = ACTIONS(2396),
    [anon_sym_LPAREN2] = ACTIONS(2398),
    [anon_sym_BANG] = ACTIONS(2398),
    [anon_sym_TILDE] = ACTIONS(2398),
    [anon_sym_DASH] = ACTIONS(2396),
    [anon_sym_PLUS] = ACTIONS(2396),
    [anon_sym_STAR] = ACTIONS(2398),
    [anon_sym_AMP] = ACTIONS(2398),
    [anon_sym_SEMI] = ACTIONS(2398),
    [anon_sym___extension__] = ACTIONS(2396),
    [anon_sym_typedef] = ACTIONS(2396),
    [anon_sym_in] = ACTIONS(2396),
    [anon_sym_out] = ACTIONS(2396),
    [anon_sym_inout] = ACTIONS(2396),
    [anon_sym_extern] = ACTIONS(2396),
    [anon_sym___attribute__] = ACTIONS(2396),
    [anon_sym_COLON_COLON] = ACTIONS(2398),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2398),
    [anon_sym___declspec] = ACTIONS(2396),
    [anon_sym_LBRACE] = ACTIONS(2398),
    [anon_sym_signed] = ACTIONS(2396),
    [anon_sym_unsigned] = ACTIONS(2396),
    [anon_sym_long] = ACTIONS(2396),
    [anon_sym_short] = ACTIONS(2396),
    [anon_sym_LBRACK] = ACTIONS(2396),
    [anon_sym_static] = ACTIONS(2396),
    [anon_sym_register] = ACTIONS(2396),
    [anon_sym_inline] = ACTIONS(2396),
    [anon_sym___inline] = ACTIONS(2396),
    [anon_sym___inline__] = ACTIONS(2396),
    [anon_sym___forceinline] = ACTIONS(2396),
    [anon_sym_thread_local] = ACTIONS(2396),
    [anon_sym___thread] = ACTIONS(2396),
    [anon_sym_const] = ACTIONS(2396),
    [anon_sym_constexpr] = ACTIONS(2396),
    [anon_sym_volatile] = ACTIONS(2396),
    [anon_sym_restrict] = ACTIONS(2396),
    [anon_sym___restrict__] = ACTIONS(2396),
    [anon_sym__Atomic] = ACTIONS(2396),
    [anon_sym__Noreturn] = ACTIONS(2396),
    [anon_sym_noreturn] = ACTIONS(2396),
    [anon_sym_mutable] = ACTIONS(2396),
    [anon_sym_constinit] = ACTIONS(2396),
    [anon_sym_consteval] = ACTIONS(2396),
    [sym_primitive_type] = ACTIONS(2396),
    [anon_sym_enum] = ACTIONS(2396),
    [anon_sym_class] = ACTIONS(2396),
    [anon_sym_struct] = ACTIONS(2396),
    [anon_sym_union] = ACTIONS(2396),
    [anon_sym_if] = ACTIONS(2396),
    [anon_sym_else] = ACTIONS(2396),
    [anon_sym_switch] = ACTIONS(2396),
    [anon_sym_while] = ACTIONS(2396),
    [anon_sym_do] = ACTIONS(2396),
    [anon_sym_for] = ACTIONS(2396),
    [anon_sym_return] = ACTIONS(2396),
    [anon_sym_break] = ACTIONS(2396),
    [anon_sym_continue] = ACTIONS(2396),
    [anon_sym_goto] = ACTIONS(2396),
    [anon_sym___try] = ACTIONS(2396),
    [anon_sym___leave] = ACTIONS(2396),
    [anon_sym_not] = ACTIONS(2396),
    [anon_sym_compl] = ACTIONS(2396),
    [anon_sym_DASH_DASH] = ACTIONS(2398),
    [anon_sym_PLUS_PLUS] = ACTIONS(2398),
    [anon_sym_sizeof] = ACTIONS(2396),
    [anon_sym___alignof__] = ACTIONS(2396),
    [anon_sym___alignof] = ACTIONS(2396),
    [anon_sym__alignof] = ACTIONS(2396),
    [anon_sym_alignof] = ACTIONS(2396),
    [anon_sym__Alignof] = ACTIONS(2396),
    [anon_sym_offsetof] = ACTIONS(2396),
    [anon_sym__Generic] = ACTIONS(2396),
    [anon_sym_asm] = ACTIONS(2396),
    [anon_sym___asm__] = ACTIONS(2396),
    [sym_number_literal] = ACTIONS(2398),
    [anon_sym_L_SQUOTE] = ACTIONS(2398),
    [anon_sym_u_SQUOTE] = ACTIONS(2398),
    [anon_sym_U_SQUOTE] = ACTIONS(2398),
    [anon_sym_u8_SQUOTE] = ACTIONS(2398),
    [anon_sym_SQUOTE] = ACTIONS(2398),
    [anon_sym_L_DQUOTE] = ACTIONS(2398),
    [anon_sym_u_DQUOTE] = ACTIONS(2398),
    [anon_sym_U_DQUOTE] = ACTIONS(2398),
    [anon_sym_u8_DQUOTE] = ACTIONS(2398),
    [anon_sym_DQUOTE] = ACTIONS(2398),
    [sym_true] = ACTIONS(2396),
    [sym_false] = ACTIONS(2396),
    [anon_sym_NULL] = ACTIONS(2396),
    [anon_sym_nullptr] = ACTIONS(2396),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2396),
    [anon_sym_decltype] = ACTIONS(2396),
    [anon_sym_virtual] = ACTIONS(2396),
    [anon_sym_alignas] = ACTIONS(2396),
    [anon_sym_typename] = ACTIONS(2396),
    [anon_sym_template] = ACTIONS(2396),
    [anon_sym_try] = ACTIONS(2396),
    [anon_sym_delete] = ACTIONS(2396),
    [anon_sym_throw] = ACTIONS(2396),
    [anon_sym_co_return] = ACTIONS(2396),
    [anon_sym_co_yield] = ACTIONS(2396),
    [anon_sym_R_DQUOTE] = ACTIONS(2398),
    [anon_sym_LR_DQUOTE] = ACTIONS(2398),
    [anon_sym_uR_DQUOTE] = ACTIONS(2398),
    [anon_sym_UR_DQUOTE] = ACTIONS(2398),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2398),
    [anon_sym_co_await] = ACTIONS(2396),
    [anon_sym_new] = ACTIONS(2396),
    [anon_sym_requires] = ACTIONS(2396),
    [sym_this] = ACTIONS(2396),
    [anon_sym_discard] = ACTIONS(2396),
    [anon_sym_precise] = ACTIONS(2396),
    [anon_sym_shared] = ACTIONS(2396),
    [anon_sym_groupshared] = ACTIONS(2396),
    [anon_sym_uniform] = ACTIONS(2396),
    [anon_sym_row_major] = ACTIONS(2396),
    [anon_sym_column_major] = ACTIONS(2396),
    [anon_sym_globallycoherent] = ACTIONS(2396),
    [anon_sym_centroid] = ACTIONS(2396),
    [anon_sym_noperspective] = ACTIONS(2396),
    [anon_sym_nointerpolation] = ACTIONS(2396),
    [anon_sym_sample] = ACTIONS(2396),
    [anon_sym_linear] = ACTIONS(2396),
    [anon_sym_snorm] = ACTIONS(2396),
    [anon_sym_unorm] = ACTIONS(2396),
    [anon_sym_point] = ACTIONS(2396),
    [anon_sym_line] = ACTIONS(2396),
    [anon_sym_triangleadj] = ACTIONS(2396),
    [anon_sym_lineadj] = ACTIONS(2396),
    [anon_sym_triangle] = ACTIONS(2396),
    [anon_sym_cbuffer] = ACTIONS(2396),
  },
  [1539] = {
    [sym_identifier] = ACTIONS(2464),
    [anon_sym_LPAREN2] = ACTIONS(2466),
    [anon_sym_BANG] = ACTIONS(2466),
    [anon_sym_TILDE] = ACTIONS(2466),
    [anon_sym_DASH] = ACTIONS(2464),
    [anon_sym_PLUS] = ACTIONS(2464),
    [anon_sym_STAR] = ACTIONS(2466),
    [anon_sym_AMP] = ACTIONS(2466),
    [anon_sym_SEMI] = ACTIONS(2466),
    [anon_sym___extension__] = ACTIONS(2464),
    [anon_sym_typedef] = ACTIONS(2464),
    [anon_sym_in] = ACTIONS(2464),
    [anon_sym_out] = ACTIONS(2464),
    [anon_sym_inout] = ACTIONS(2464),
    [anon_sym_extern] = ACTIONS(2464),
    [anon_sym___attribute__] = ACTIONS(2464),
    [anon_sym_COLON_COLON] = ACTIONS(2466),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2466),
    [anon_sym___declspec] = ACTIONS(2464),
    [anon_sym_LBRACE] = ACTIONS(2466),
    [anon_sym_signed] = ACTIONS(2464),
    [anon_sym_unsigned] = ACTIONS(2464),
    [anon_sym_long] = ACTIONS(2464),
    [anon_sym_short] = ACTIONS(2464),
    [anon_sym_LBRACK] = ACTIONS(2464),
    [anon_sym_static] = ACTIONS(2464),
    [anon_sym_register] = ACTIONS(2464),
    [anon_sym_inline] = ACTIONS(2464),
    [anon_sym___inline] = ACTIONS(2464),
    [anon_sym___inline__] = ACTIONS(2464),
    [anon_sym___forceinline] = ACTIONS(2464),
    [anon_sym_thread_local] = ACTIONS(2464),
    [anon_sym___thread] = ACTIONS(2464),
    [anon_sym_const] = ACTIONS(2464),
    [anon_sym_constexpr] = ACTIONS(2464),
    [anon_sym_volatile] = ACTIONS(2464),
    [anon_sym_restrict] = ACTIONS(2464),
    [anon_sym___restrict__] = ACTIONS(2464),
    [anon_sym__Atomic] = ACTIONS(2464),
    [anon_sym__Noreturn] = ACTIONS(2464),
    [anon_sym_noreturn] = ACTIONS(2464),
    [anon_sym_mutable] = ACTIONS(2464),
    [anon_sym_constinit] = ACTIONS(2464),
    [anon_sym_consteval] = ACTIONS(2464),
    [sym_primitive_type] = ACTIONS(2464),
    [anon_sym_enum] = ACTIONS(2464),
    [anon_sym_class] = ACTIONS(2464),
    [anon_sym_struct] = ACTIONS(2464),
    [anon_sym_union] = ACTIONS(2464),
    [anon_sym_if] = ACTIONS(2464),
    [anon_sym_else] = ACTIONS(2464),
    [anon_sym_switch] = ACTIONS(2464),
    [anon_sym_while] = ACTIONS(2464),
    [anon_sym_do] = ACTIONS(2464),
    [anon_sym_for] = ACTIONS(2464),
    [anon_sym_return] = ACTIONS(2464),
    [anon_sym_break] = ACTIONS(2464),
    [anon_sym_continue] = ACTIONS(2464),
    [anon_sym_goto] = ACTIONS(2464),
    [anon_sym___try] = ACTIONS(2464),
    [anon_sym___leave] = ACTIONS(2464),
    [anon_sym_not] = ACTIONS(2464),
    [anon_sym_compl] = ACTIONS(2464),
    [anon_sym_DASH_DASH] = ACTIONS(2466),
    [anon_sym_PLUS_PLUS] = ACTIONS(2466),
    [anon_sym_sizeof] = ACTIONS(2464),
    [anon_sym___alignof__] = ACTIONS(2464),
    [anon_sym___alignof] = ACTIONS(2464),
    [anon_sym__alignof] = ACTIONS(2464),
    [anon_sym_alignof] = ACTIONS(2464),
    [anon_sym__Alignof] = ACTIONS(2464),
    [anon_sym_offsetof] = ACTIONS(2464),
    [anon_sym__Generic] = ACTIONS(2464),
    [anon_sym_asm] = ACTIONS(2464),
    [anon_sym___asm__] = ACTIONS(2464),
    [sym_number_literal] = ACTIONS(2466),
    [anon_sym_L_SQUOTE] = ACTIONS(2466),
    [anon_sym_u_SQUOTE] = ACTIONS(2466),
    [anon_sym_U_SQUOTE] = ACTIONS(2466),
    [anon_sym_u8_SQUOTE] = ACTIONS(2466),
    [anon_sym_SQUOTE] = ACTIONS(2466),
    [anon_sym_L_DQUOTE] = ACTIONS(2466),
    [anon_sym_u_DQUOTE] = ACTIONS(2466),
    [anon_sym_U_DQUOTE] = ACTIONS(2466),
    [anon_sym_u8_DQUOTE] = ACTIONS(2466),
    [anon_sym_DQUOTE] = ACTIONS(2466),
    [sym_true] = ACTIONS(2464),
    [sym_false] = ACTIONS(2464),
    [anon_sym_NULL] = ACTIONS(2464),
    [anon_sym_nullptr] = ACTIONS(2464),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2464),
    [anon_sym_decltype] = ACTIONS(2464),
    [anon_sym_virtual] = ACTIONS(2464),
    [anon_sym_alignas] = ACTIONS(2464),
    [anon_sym_typename] = ACTIONS(2464),
    [anon_sym_template] = ACTIONS(2464),
    [anon_sym_try] = ACTIONS(2464),
    [anon_sym_delete] = ACTIONS(2464),
    [anon_sym_throw] = ACTIONS(2464),
    [anon_sym_co_return] = ACTIONS(2464),
    [anon_sym_co_yield] = ACTIONS(2464),
    [anon_sym_R_DQUOTE] = ACTIONS(2466),
    [anon_sym_LR_DQUOTE] = ACTIONS(2466),
    [anon_sym_uR_DQUOTE] = ACTIONS(2466),
    [anon_sym_UR_DQUOTE] = ACTIONS(2466),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2466),
    [anon_sym_co_await] = ACTIONS(2464),
    [anon_sym_new] = ACTIONS(2464),
    [anon_sym_requires] = ACTIONS(2464),
    [sym_this] = ACTIONS(2464),
    [anon_sym_discard] = ACTIONS(2464),
    [anon_sym_precise] = ACTIONS(2464),
    [anon_sym_shared] = ACTIONS(2464),
    [anon_sym_groupshared] = ACTIONS(2464),
    [anon_sym_uniform] = ACTIONS(2464),
    [anon_sym_row_major] = ACTIONS(2464),
    [anon_sym_column_major] = ACTIONS(2464),
    [anon_sym_globallycoherent] = ACTIONS(2464),
    [anon_sym_centroid] = ACTIONS(2464),
    [anon_sym_noperspective] = ACTIONS(2464),
    [anon_sym_nointerpolation] = ACTIONS(2464),
    [anon_sym_sample] = ACTIONS(2464),
    [anon_sym_linear] = ACTIONS(2464),
    [anon_sym_snorm] = ACTIONS(2464),
    [anon_sym_unorm] = ACTIONS(2464),
    [anon_sym_point] = ACTIONS(2464),
    [anon_sym_line] = ACTIONS(2464),
    [anon_sym_triangleadj] = ACTIONS(2464),
    [anon_sym_lineadj] = ACTIONS(2464),
    [anon_sym_triangle] = ACTIONS(2464),
    [anon_sym_cbuffer] = ACTIONS(2464),
  },
  [1540] = {
    [sym_identifier] = ACTIONS(2326),
    [anon_sym_LPAREN2] = ACTIONS(2328),
    [anon_sym_BANG] = ACTIONS(2328),
    [anon_sym_TILDE] = ACTIONS(2328),
    [anon_sym_DASH] = ACTIONS(2326),
    [anon_sym_PLUS] = ACTIONS(2326),
    [anon_sym_STAR] = ACTIONS(2328),
    [anon_sym_AMP] = ACTIONS(2328),
    [anon_sym_SEMI] = ACTIONS(2328),
    [anon_sym___extension__] = ACTIONS(2326),
    [anon_sym_typedef] = ACTIONS(2326),
    [anon_sym_in] = ACTIONS(2326),
    [anon_sym_out] = ACTIONS(2326),
    [anon_sym_inout] = ACTIONS(2326),
    [anon_sym_extern] = ACTIONS(2326),
    [anon_sym___attribute__] = ACTIONS(2326),
    [anon_sym_COLON_COLON] = ACTIONS(2328),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2328),
    [anon_sym___declspec] = ACTIONS(2326),
    [anon_sym_LBRACE] = ACTIONS(2328),
    [anon_sym_signed] = ACTIONS(2326),
    [anon_sym_unsigned] = ACTIONS(2326),
    [anon_sym_long] = ACTIONS(2326),
    [anon_sym_short] = ACTIONS(2326),
    [anon_sym_LBRACK] = ACTIONS(2326),
    [anon_sym_static] = ACTIONS(2326),
    [anon_sym_register] = ACTIONS(2326),
    [anon_sym_inline] = ACTIONS(2326),
    [anon_sym___inline] = ACTIONS(2326),
    [anon_sym___inline__] = ACTIONS(2326),
    [anon_sym___forceinline] = ACTIONS(2326),
    [anon_sym_thread_local] = ACTIONS(2326),
    [anon_sym___thread] = ACTIONS(2326),
    [anon_sym_const] = ACTIONS(2326),
    [anon_sym_constexpr] = ACTIONS(2326),
    [anon_sym_volatile] = ACTIONS(2326),
    [anon_sym_restrict] = ACTIONS(2326),
    [anon_sym___restrict__] = ACTIONS(2326),
    [anon_sym__Atomic] = ACTIONS(2326),
    [anon_sym__Noreturn] = ACTIONS(2326),
    [anon_sym_noreturn] = ACTIONS(2326),
    [anon_sym_mutable] = ACTIONS(2326),
    [anon_sym_constinit] = ACTIONS(2326),
    [anon_sym_consteval] = ACTIONS(2326),
    [sym_primitive_type] = ACTIONS(2326),
    [anon_sym_enum] = ACTIONS(2326),
    [anon_sym_class] = ACTIONS(2326),
    [anon_sym_struct] = ACTIONS(2326),
    [anon_sym_union] = ACTIONS(2326),
    [anon_sym_if] = ACTIONS(2326),
    [anon_sym_else] = ACTIONS(2326),
    [anon_sym_switch] = ACTIONS(2326),
    [anon_sym_while] = ACTIONS(2326),
    [anon_sym_do] = ACTIONS(2326),
    [anon_sym_for] = ACTIONS(2326),
    [anon_sym_return] = ACTIONS(2326),
    [anon_sym_break] = ACTIONS(2326),
    [anon_sym_continue] = ACTIONS(2326),
    [anon_sym_goto] = ACTIONS(2326),
    [anon_sym___try] = ACTIONS(2326),
    [anon_sym___leave] = ACTIONS(2326),
    [anon_sym_not] = ACTIONS(2326),
    [anon_sym_compl] = ACTIONS(2326),
    [anon_sym_DASH_DASH] = ACTIONS(2328),
    [anon_sym_PLUS_PLUS] = ACTIONS(2328),
    [anon_sym_sizeof] = ACTIONS(2326),
    [anon_sym___alignof__] = ACTIONS(2326),
    [anon_sym___alignof] = ACTIONS(2326),
    [anon_sym__alignof] = ACTIONS(2326),
    [anon_sym_alignof] = ACTIONS(2326),
    [anon_sym__Alignof] = ACTIONS(2326),
    [anon_sym_offsetof] = ACTIONS(2326),
    [anon_sym__Generic] = ACTIONS(2326),
    [anon_sym_asm] = ACTIONS(2326),
    [anon_sym___asm__] = ACTIONS(2326),
    [sym_number_literal] = ACTIONS(2328),
    [anon_sym_L_SQUOTE] = ACTIONS(2328),
    [anon_sym_u_SQUOTE] = ACTIONS(2328),
    [anon_sym_U_SQUOTE] = ACTIONS(2328),
    [anon_sym_u8_SQUOTE] = ACTIONS(2328),
    [anon_sym_SQUOTE] = ACTIONS(2328),
    [anon_sym_L_DQUOTE] = ACTIONS(2328),
    [anon_sym_u_DQUOTE] = ACTIONS(2328),
    [anon_sym_U_DQUOTE] = ACTIONS(2328),
    [anon_sym_u8_DQUOTE] = ACTIONS(2328),
    [anon_sym_DQUOTE] = ACTIONS(2328),
    [sym_true] = ACTIONS(2326),
    [sym_false] = ACTIONS(2326),
    [anon_sym_NULL] = ACTIONS(2326),
    [anon_sym_nullptr] = ACTIONS(2326),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2326),
    [anon_sym_decltype] = ACTIONS(2326),
    [anon_sym_virtual] = ACTIONS(2326),
    [anon_sym_alignas] = ACTIONS(2326),
    [anon_sym_typename] = ACTIONS(2326),
    [anon_sym_template] = ACTIONS(2326),
    [anon_sym_try] = ACTIONS(2326),
    [anon_sym_delete] = ACTIONS(2326),
    [anon_sym_throw] = ACTIONS(2326),
    [anon_sym_co_return] = ACTIONS(2326),
    [anon_sym_co_yield] = ACTIONS(2326),
    [anon_sym_R_DQUOTE] = ACTIONS(2328),
    [anon_sym_LR_DQUOTE] = ACTIONS(2328),
    [anon_sym_uR_DQUOTE] = ACTIONS(2328),
    [anon_sym_UR_DQUOTE] = ACTIONS(2328),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2328),
    [anon_sym_co_await] = ACTIONS(2326),
    [anon_sym_new] = ACTIONS(2326),
    [anon_sym_requires] = ACTIONS(2326),
    [sym_this] = ACTIONS(2326),
    [anon_sym_discard] = ACTIONS(2326),
    [anon_sym_precise] = ACTIONS(2326),
    [anon_sym_shared] = ACTIONS(2326),
    [anon_sym_groupshared] = ACTIONS(2326),
    [anon_sym_uniform] = ACTIONS(2326),
    [anon_sym_row_major] = ACTIONS(2326),
    [anon_sym_column_major] = ACTIONS(2326),
    [anon_sym_globallycoherent] = ACTIONS(2326),
    [anon_sym_centroid] = ACTIONS(2326),
    [anon_sym_noperspective] = ACTIONS(2326),
    [anon_sym_nointerpolation] = ACTIONS(2326),
    [anon_sym_sample] = ACTIONS(2326),
    [anon_sym_linear] = ACTIONS(2326),
    [anon_sym_snorm] = ACTIONS(2326),
    [anon_sym_unorm] = ACTIONS(2326),
    [anon_sym_point] = ACTIONS(2326),
    [anon_sym_line] = ACTIONS(2326),
    [anon_sym_triangleadj] = ACTIONS(2326),
    [anon_sym_lineadj] = ACTIONS(2326),
    [anon_sym_triangle] = ACTIONS(2326),
    [anon_sym_cbuffer] = ACTIONS(2326),
  },
  [1541] = {
    [sym_identifier] = ACTIONS(2424),
    [anon_sym_LPAREN2] = ACTIONS(2426),
    [anon_sym_BANG] = ACTIONS(2426),
    [anon_sym_TILDE] = ACTIONS(2426),
    [anon_sym_DASH] = ACTIONS(2424),
    [anon_sym_PLUS] = ACTIONS(2424),
    [anon_sym_STAR] = ACTIONS(2426),
    [anon_sym_AMP] = ACTIONS(2426),
    [anon_sym_SEMI] = ACTIONS(2426),
    [anon_sym___extension__] = ACTIONS(2424),
    [anon_sym_typedef] = ACTIONS(2424),
    [anon_sym_in] = ACTIONS(2424),
    [anon_sym_out] = ACTIONS(2424),
    [anon_sym_inout] = ACTIONS(2424),
    [anon_sym_extern] = ACTIONS(2424),
    [anon_sym___attribute__] = ACTIONS(2424),
    [anon_sym_COLON_COLON] = ACTIONS(2426),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2426),
    [anon_sym___declspec] = ACTIONS(2424),
    [anon_sym_LBRACE] = ACTIONS(2426),
    [anon_sym_signed] = ACTIONS(2424),
    [anon_sym_unsigned] = ACTIONS(2424),
    [anon_sym_long] = ACTIONS(2424),
    [anon_sym_short] = ACTIONS(2424),
    [anon_sym_LBRACK] = ACTIONS(2424),
    [anon_sym_static] = ACTIONS(2424),
    [anon_sym_register] = ACTIONS(2424),
    [anon_sym_inline] = ACTIONS(2424),
    [anon_sym___inline] = ACTIONS(2424),
    [anon_sym___inline__] = ACTIONS(2424),
    [anon_sym___forceinline] = ACTIONS(2424),
    [anon_sym_thread_local] = ACTIONS(2424),
    [anon_sym___thread] = ACTIONS(2424),
    [anon_sym_const] = ACTIONS(2424),
    [anon_sym_constexpr] = ACTIONS(2424),
    [anon_sym_volatile] = ACTIONS(2424),
    [anon_sym_restrict] = ACTIONS(2424),
    [anon_sym___restrict__] = ACTIONS(2424),
    [anon_sym__Atomic] = ACTIONS(2424),
    [anon_sym__Noreturn] = ACTIONS(2424),
    [anon_sym_noreturn] = ACTIONS(2424),
    [anon_sym_mutable] = ACTIONS(2424),
    [anon_sym_constinit] = ACTIONS(2424),
    [anon_sym_consteval] = ACTIONS(2424),
    [sym_primitive_type] = ACTIONS(2424),
    [anon_sym_enum] = ACTIONS(2424),
    [anon_sym_class] = ACTIONS(2424),
    [anon_sym_struct] = ACTIONS(2424),
    [anon_sym_union] = ACTIONS(2424),
    [anon_sym_if] = ACTIONS(2424),
    [anon_sym_else] = ACTIONS(2424),
    [anon_sym_switch] = ACTIONS(2424),
    [anon_sym_while] = ACTIONS(2424),
    [anon_sym_do] = ACTIONS(2424),
    [anon_sym_for] = ACTIONS(2424),
    [anon_sym_return] = ACTIONS(2424),
    [anon_sym_break] = ACTIONS(2424),
    [anon_sym_continue] = ACTIONS(2424),
    [anon_sym_goto] = ACTIONS(2424),
    [anon_sym___try] = ACTIONS(2424),
    [anon_sym___leave] = ACTIONS(2424),
    [anon_sym_not] = ACTIONS(2424),
    [anon_sym_compl] = ACTIONS(2424),
    [anon_sym_DASH_DASH] = ACTIONS(2426),
    [anon_sym_PLUS_PLUS] = ACTIONS(2426),
    [anon_sym_sizeof] = ACTIONS(2424),
    [anon_sym___alignof__] = ACTIONS(2424),
    [anon_sym___alignof] = ACTIONS(2424),
    [anon_sym__alignof] = ACTIONS(2424),
    [anon_sym_alignof] = ACTIONS(2424),
    [anon_sym__Alignof] = ACTIONS(2424),
    [anon_sym_offsetof] = ACTIONS(2424),
    [anon_sym__Generic] = ACTIONS(2424),
    [anon_sym_asm] = ACTIONS(2424),
    [anon_sym___asm__] = ACTIONS(2424),
    [sym_number_literal] = ACTIONS(2426),
    [anon_sym_L_SQUOTE] = ACTIONS(2426),
    [anon_sym_u_SQUOTE] = ACTIONS(2426),
    [anon_sym_U_SQUOTE] = ACTIONS(2426),
    [anon_sym_u8_SQUOTE] = ACTIONS(2426),
    [anon_sym_SQUOTE] = ACTIONS(2426),
    [anon_sym_L_DQUOTE] = ACTIONS(2426),
    [anon_sym_u_DQUOTE] = ACTIONS(2426),
    [anon_sym_U_DQUOTE] = ACTIONS(2426),
    [anon_sym_u8_DQUOTE] = ACTIONS(2426),
    [anon_sym_DQUOTE] = ACTIONS(2426),
    [sym_true] = ACTIONS(2424),
    [sym_false] = ACTIONS(2424),
    [anon_sym_NULL] = ACTIONS(2424),
    [anon_sym_nullptr] = ACTIONS(2424),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2424),
    [anon_sym_decltype] = ACTIONS(2424),
    [anon_sym_virtual] = ACTIONS(2424),
    [anon_sym_alignas] = ACTIONS(2424),
    [anon_sym_typename] = ACTIONS(2424),
    [anon_sym_template] = ACTIONS(2424),
    [anon_sym_try] = ACTIONS(2424),
    [anon_sym_delete] = ACTIONS(2424),
    [anon_sym_throw] = ACTIONS(2424),
    [anon_sym_co_return] = ACTIONS(2424),
    [anon_sym_co_yield] = ACTIONS(2424),
    [anon_sym_R_DQUOTE] = ACTIONS(2426),
    [anon_sym_LR_DQUOTE] = ACTIONS(2426),
    [anon_sym_uR_DQUOTE] = ACTIONS(2426),
    [anon_sym_UR_DQUOTE] = ACTIONS(2426),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2426),
    [anon_sym_co_await] = ACTIONS(2424),
    [anon_sym_new] = ACTIONS(2424),
    [anon_sym_requires] = ACTIONS(2424),
    [sym_this] = ACTIONS(2424),
    [anon_sym_discard] = ACTIONS(2424),
    [anon_sym_precise] = ACTIONS(2424),
    [anon_sym_shared] = ACTIONS(2424),
    [anon_sym_groupshared] = ACTIONS(2424),
    [anon_sym_uniform] = ACTIONS(2424),
    [anon_sym_row_major] = ACTIONS(2424),
    [anon_sym_column_major] = ACTIONS(2424),
    [anon_sym_globallycoherent] = ACTIONS(2424),
    [anon_sym_centroid] = ACTIONS(2424),
    [anon_sym_noperspective] = ACTIONS(2424),
    [anon_sym_nointerpolation] = ACTIONS(2424),
    [anon_sym_sample] = ACTIONS(2424),
    [anon_sym_linear] = ACTIONS(2424),
    [anon_sym_snorm] = ACTIONS(2424),
    [anon_sym_unorm] = ACTIONS(2424),
    [anon_sym_point] = ACTIONS(2424),
    [anon_sym_line] = ACTIONS(2424),
    [anon_sym_triangleadj] = ACTIONS(2424),
    [anon_sym_lineadj] = ACTIONS(2424),
    [anon_sym_triangle] = ACTIONS(2424),
    [anon_sym_cbuffer] = ACTIONS(2424),
  },
  [1542] = {
    [sym_identifier] = ACTIONS(2330),
    [anon_sym_LPAREN2] = ACTIONS(2332),
    [anon_sym_BANG] = ACTIONS(2332),
    [anon_sym_TILDE] = ACTIONS(2332),
    [anon_sym_DASH] = ACTIONS(2330),
    [anon_sym_PLUS] = ACTIONS(2330),
    [anon_sym_STAR] = ACTIONS(2332),
    [anon_sym_AMP] = ACTIONS(2332),
    [anon_sym_SEMI] = ACTIONS(2332),
    [anon_sym___extension__] = ACTIONS(2330),
    [anon_sym_typedef] = ACTIONS(2330),
    [anon_sym_in] = ACTIONS(2330),
    [anon_sym_out] = ACTIONS(2330),
    [anon_sym_inout] = ACTIONS(2330),
    [anon_sym_extern] = ACTIONS(2330),
    [anon_sym___attribute__] = ACTIONS(2330),
    [anon_sym_COLON_COLON] = ACTIONS(2332),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2332),
    [anon_sym___declspec] = ACTIONS(2330),
    [anon_sym_LBRACE] = ACTIONS(2332),
    [anon_sym_signed] = ACTIONS(2330),
    [anon_sym_unsigned] = ACTIONS(2330),
    [anon_sym_long] = ACTIONS(2330),
    [anon_sym_short] = ACTIONS(2330),
    [anon_sym_LBRACK] = ACTIONS(2330),
    [anon_sym_static] = ACTIONS(2330),
    [anon_sym_register] = ACTIONS(2330),
    [anon_sym_inline] = ACTIONS(2330),
    [anon_sym___inline] = ACTIONS(2330),
    [anon_sym___inline__] = ACTIONS(2330),
    [anon_sym___forceinline] = ACTIONS(2330),
    [anon_sym_thread_local] = ACTIONS(2330),
    [anon_sym___thread] = ACTIONS(2330),
    [anon_sym_const] = ACTIONS(2330),
    [anon_sym_constexpr] = ACTIONS(2330),
    [anon_sym_volatile] = ACTIONS(2330),
    [anon_sym_restrict] = ACTIONS(2330),
    [anon_sym___restrict__] = ACTIONS(2330),
    [anon_sym__Atomic] = ACTIONS(2330),
    [anon_sym__Noreturn] = ACTIONS(2330),
    [anon_sym_noreturn] = ACTIONS(2330),
    [anon_sym_mutable] = ACTIONS(2330),
    [anon_sym_constinit] = ACTIONS(2330),
    [anon_sym_consteval] = ACTIONS(2330),
    [sym_primitive_type] = ACTIONS(2330),
    [anon_sym_enum] = ACTIONS(2330),
    [anon_sym_class] = ACTIONS(2330),
    [anon_sym_struct] = ACTIONS(2330),
    [anon_sym_union] = ACTIONS(2330),
    [anon_sym_if] = ACTIONS(2330),
    [anon_sym_else] = ACTIONS(2330),
    [anon_sym_switch] = ACTIONS(2330),
    [anon_sym_while] = ACTIONS(2330),
    [anon_sym_do] = ACTIONS(2330),
    [anon_sym_for] = ACTIONS(2330),
    [anon_sym_return] = ACTIONS(2330),
    [anon_sym_break] = ACTIONS(2330),
    [anon_sym_continue] = ACTIONS(2330),
    [anon_sym_goto] = ACTIONS(2330),
    [anon_sym___try] = ACTIONS(2330),
    [anon_sym___leave] = ACTIONS(2330),
    [anon_sym_not] = ACTIONS(2330),
    [anon_sym_compl] = ACTIONS(2330),
    [anon_sym_DASH_DASH] = ACTIONS(2332),
    [anon_sym_PLUS_PLUS] = ACTIONS(2332),
    [anon_sym_sizeof] = ACTIONS(2330),
    [anon_sym___alignof__] = ACTIONS(2330),
    [anon_sym___alignof] = ACTIONS(2330),
    [anon_sym__alignof] = ACTIONS(2330),
    [anon_sym_alignof] = ACTIONS(2330),
    [anon_sym__Alignof] = ACTIONS(2330),
    [anon_sym_offsetof] = ACTIONS(2330),
    [anon_sym__Generic] = ACTIONS(2330),
    [anon_sym_asm] = ACTIONS(2330),
    [anon_sym___asm__] = ACTIONS(2330),
    [sym_number_literal] = ACTIONS(2332),
    [anon_sym_L_SQUOTE] = ACTIONS(2332),
    [anon_sym_u_SQUOTE] = ACTIONS(2332),
    [anon_sym_U_SQUOTE] = ACTIONS(2332),
    [anon_sym_u8_SQUOTE] = ACTIONS(2332),
    [anon_sym_SQUOTE] = ACTIONS(2332),
    [anon_sym_L_DQUOTE] = ACTIONS(2332),
    [anon_sym_u_DQUOTE] = ACTIONS(2332),
    [anon_sym_U_DQUOTE] = ACTIONS(2332),
    [anon_sym_u8_DQUOTE] = ACTIONS(2332),
    [anon_sym_DQUOTE] = ACTIONS(2332),
    [sym_true] = ACTIONS(2330),
    [sym_false] = ACTIONS(2330),
    [anon_sym_NULL] = ACTIONS(2330),
    [anon_sym_nullptr] = ACTIONS(2330),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2330),
    [anon_sym_decltype] = ACTIONS(2330),
    [anon_sym_virtual] = ACTIONS(2330),
    [anon_sym_alignas] = ACTIONS(2330),
    [anon_sym_typename] = ACTIONS(2330),
    [anon_sym_template] = ACTIONS(2330),
    [anon_sym_try] = ACTIONS(2330),
    [anon_sym_delete] = ACTIONS(2330),
    [anon_sym_throw] = ACTIONS(2330),
    [anon_sym_co_return] = ACTIONS(2330),
    [anon_sym_co_yield] = ACTIONS(2330),
    [anon_sym_R_DQUOTE] = ACTIONS(2332),
    [anon_sym_LR_DQUOTE] = ACTIONS(2332),
    [anon_sym_uR_DQUOTE] = ACTIONS(2332),
    [anon_sym_UR_DQUOTE] = ACTIONS(2332),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2332),
    [anon_sym_co_await] = ACTIONS(2330),
    [anon_sym_new] = ACTIONS(2330),
    [anon_sym_requires] = ACTIONS(2330),
    [sym_this] = ACTIONS(2330),
    [anon_sym_discard] = ACTIONS(2330),
    [anon_sym_precise] = ACTIONS(2330),
    [anon_sym_shared] = ACTIONS(2330),
    [anon_sym_groupshared] = ACTIONS(2330),
    [anon_sym_uniform] = ACTIONS(2330),
    [anon_sym_row_major] = ACTIONS(2330),
    [anon_sym_column_major] = ACTIONS(2330),
    [anon_sym_globallycoherent] = ACTIONS(2330),
    [anon_sym_centroid] = ACTIONS(2330),
    [anon_sym_noperspective] = ACTIONS(2330),
    [anon_sym_nointerpolation] = ACTIONS(2330),
    [anon_sym_sample] = ACTIONS(2330),
    [anon_sym_linear] = ACTIONS(2330),
    [anon_sym_snorm] = ACTIONS(2330),
    [anon_sym_unorm] = ACTIONS(2330),
    [anon_sym_point] = ACTIONS(2330),
    [anon_sym_line] = ACTIONS(2330),
    [anon_sym_triangleadj] = ACTIONS(2330),
    [anon_sym_lineadj] = ACTIONS(2330),
    [anon_sym_triangle] = ACTIONS(2330),
    [anon_sym_cbuffer] = ACTIONS(2330),
  },
  [1543] = {
    [sym_identifier] = ACTIONS(2404),
    [anon_sym_LPAREN2] = ACTIONS(2406),
    [anon_sym_BANG] = ACTIONS(2406),
    [anon_sym_TILDE] = ACTIONS(2406),
    [anon_sym_DASH] = ACTIONS(2404),
    [anon_sym_PLUS] = ACTIONS(2404),
    [anon_sym_STAR] = ACTIONS(2406),
    [anon_sym_AMP] = ACTIONS(2406),
    [anon_sym_SEMI] = ACTIONS(2406),
    [anon_sym___extension__] = ACTIONS(2404),
    [anon_sym_typedef] = ACTIONS(2404),
    [anon_sym_in] = ACTIONS(2404),
    [anon_sym_out] = ACTIONS(2404),
    [anon_sym_inout] = ACTIONS(2404),
    [anon_sym_extern] = ACTIONS(2404),
    [anon_sym___attribute__] = ACTIONS(2404),
    [anon_sym_COLON_COLON] = ACTIONS(2406),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2406),
    [anon_sym___declspec] = ACTIONS(2404),
    [anon_sym_LBRACE] = ACTIONS(2406),
    [anon_sym_signed] = ACTIONS(2404),
    [anon_sym_unsigned] = ACTIONS(2404),
    [anon_sym_long] = ACTIONS(2404),
    [anon_sym_short] = ACTIONS(2404),
    [anon_sym_LBRACK] = ACTIONS(2404),
    [anon_sym_static] = ACTIONS(2404),
    [anon_sym_register] = ACTIONS(2404),
    [anon_sym_inline] = ACTIONS(2404),
    [anon_sym___inline] = ACTIONS(2404),
    [anon_sym___inline__] = ACTIONS(2404),
    [anon_sym___forceinline] = ACTIONS(2404),
    [anon_sym_thread_local] = ACTIONS(2404),
    [anon_sym___thread] = ACTIONS(2404),
    [anon_sym_const] = ACTIONS(2404),
    [anon_sym_constexpr] = ACTIONS(2404),
    [anon_sym_volatile] = ACTIONS(2404),
    [anon_sym_restrict] = ACTIONS(2404),
    [anon_sym___restrict__] = ACTIONS(2404),
    [anon_sym__Atomic] = ACTIONS(2404),
    [anon_sym__Noreturn] = ACTIONS(2404),
    [anon_sym_noreturn] = ACTIONS(2404),
    [anon_sym_mutable] = ACTIONS(2404),
    [anon_sym_constinit] = ACTIONS(2404),
    [anon_sym_consteval] = ACTIONS(2404),
    [sym_primitive_type] = ACTIONS(2404),
    [anon_sym_enum] = ACTIONS(2404),
    [anon_sym_class] = ACTIONS(2404),
    [anon_sym_struct] = ACTIONS(2404),
    [anon_sym_union] = ACTIONS(2404),
    [anon_sym_if] = ACTIONS(2404),
    [anon_sym_else] = ACTIONS(2404),
    [anon_sym_switch] = ACTIONS(2404),
    [anon_sym_while] = ACTIONS(2404),
    [anon_sym_do] = ACTIONS(2404),
    [anon_sym_for] = ACTIONS(2404),
    [anon_sym_return] = ACTIONS(2404),
    [anon_sym_break] = ACTIONS(2404),
    [anon_sym_continue] = ACTIONS(2404),
    [anon_sym_goto] = ACTIONS(2404),
    [anon_sym___try] = ACTIONS(2404),
    [anon_sym___leave] = ACTIONS(2404),
    [anon_sym_not] = ACTIONS(2404),
    [anon_sym_compl] = ACTIONS(2404),
    [anon_sym_DASH_DASH] = ACTIONS(2406),
    [anon_sym_PLUS_PLUS] = ACTIONS(2406),
    [anon_sym_sizeof] = ACTIONS(2404),
    [anon_sym___alignof__] = ACTIONS(2404),
    [anon_sym___alignof] = ACTIONS(2404),
    [anon_sym__alignof] = ACTIONS(2404),
    [anon_sym_alignof] = ACTIONS(2404),
    [anon_sym__Alignof] = ACTIONS(2404),
    [anon_sym_offsetof] = ACTIONS(2404),
    [anon_sym__Generic] = ACTIONS(2404),
    [anon_sym_asm] = ACTIONS(2404),
    [anon_sym___asm__] = ACTIONS(2404),
    [sym_number_literal] = ACTIONS(2406),
    [anon_sym_L_SQUOTE] = ACTIONS(2406),
    [anon_sym_u_SQUOTE] = ACTIONS(2406),
    [anon_sym_U_SQUOTE] = ACTIONS(2406),
    [anon_sym_u8_SQUOTE] = ACTIONS(2406),
    [anon_sym_SQUOTE] = ACTIONS(2406),
    [anon_sym_L_DQUOTE] = ACTIONS(2406),
    [anon_sym_u_DQUOTE] = ACTIONS(2406),
    [anon_sym_U_DQUOTE] = ACTIONS(2406),
    [anon_sym_u8_DQUOTE] = ACTIONS(2406),
    [anon_sym_DQUOTE] = ACTIONS(2406),
    [sym_true] = ACTIONS(2404),
    [sym_false] = ACTIONS(2404),
    [anon_sym_NULL] = ACTIONS(2404),
    [anon_sym_nullptr] = ACTIONS(2404),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2404),
    [anon_sym_decltype] = ACTIONS(2404),
    [anon_sym_virtual] = ACTIONS(2404),
    [anon_sym_alignas] = ACTIONS(2404),
    [anon_sym_typename] = ACTIONS(2404),
    [anon_sym_template] = ACTIONS(2404),
    [anon_sym_try] = ACTIONS(2404),
    [anon_sym_delete] = ACTIONS(2404),
    [anon_sym_throw] = ACTIONS(2404),
    [anon_sym_co_return] = ACTIONS(2404),
    [anon_sym_co_yield] = ACTIONS(2404),
    [anon_sym_R_DQUOTE] = ACTIONS(2406),
    [anon_sym_LR_DQUOTE] = ACTIONS(2406),
    [anon_sym_uR_DQUOTE] = ACTIONS(2406),
    [anon_sym_UR_DQUOTE] = ACTIONS(2406),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2406),
    [anon_sym_co_await] = ACTIONS(2404),
    [anon_sym_new] = ACTIONS(2404),
    [anon_sym_requires] = ACTIONS(2404),
    [sym_this] = ACTIONS(2404),
    [anon_sym_discard] = ACTIONS(2404),
    [anon_sym_precise] = ACTIONS(2404),
    [anon_sym_shared] = ACTIONS(2404),
    [anon_sym_groupshared] = ACTIONS(2404),
    [anon_sym_uniform] = ACTIONS(2404),
    [anon_sym_row_major] = ACTIONS(2404),
    [anon_sym_column_major] = ACTIONS(2404),
    [anon_sym_globallycoherent] = ACTIONS(2404),
    [anon_sym_centroid] = ACTIONS(2404),
    [anon_sym_noperspective] = ACTIONS(2404),
    [anon_sym_nointerpolation] = ACTIONS(2404),
    [anon_sym_sample] = ACTIONS(2404),
    [anon_sym_linear] = ACTIONS(2404),
    [anon_sym_snorm] = ACTIONS(2404),
    [anon_sym_unorm] = ACTIONS(2404),
    [anon_sym_point] = ACTIONS(2404),
    [anon_sym_line] = ACTIONS(2404),
    [anon_sym_triangleadj] = ACTIONS(2404),
    [anon_sym_lineadj] = ACTIONS(2404),
    [anon_sym_triangle] = ACTIONS(2404),
    [anon_sym_cbuffer] = ACTIONS(2404),
  },
  [1544] = {
    [sym_identifier] = ACTIONS(2408),
    [anon_sym_LPAREN2] = ACTIONS(2410),
    [anon_sym_BANG] = ACTIONS(2410),
    [anon_sym_TILDE] = ACTIONS(2410),
    [anon_sym_DASH] = ACTIONS(2408),
    [anon_sym_PLUS] = ACTIONS(2408),
    [anon_sym_STAR] = ACTIONS(2410),
    [anon_sym_AMP] = ACTIONS(2410),
    [anon_sym_SEMI] = ACTIONS(2410),
    [anon_sym___extension__] = ACTIONS(2408),
    [anon_sym_typedef] = ACTIONS(2408),
    [anon_sym_in] = ACTIONS(2408),
    [anon_sym_out] = ACTIONS(2408),
    [anon_sym_inout] = ACTIONS(2408),
    [anon_sym_extern] = ACTIONS(2408),
    [anon_sym___attribute__] = ACTIONS(2408),
    [anon_sym_COLON_COLON] = ACTIONS(2410),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2410),
    [anon_sym___declspec] = ACTIONS(2408),
    [anon_sym_LBRACE] = ACTIONS(2410),
    [anon_sym_signed] = ACTIONS(2408),
    [anon_sym_unsigned] = ACTIONS(2408),
    [anon_sym_long] = ACTIONS(2408),
    [anon_sym_short] = ACTIONS(2408),
    [anon_sym_LBRACK] = ACTIONS(2408),
    [anon_sym_static] = ACTIONS(2408),
    [anon_sym_register] = ACTIONS(2408),
    [anon_sym_inline] = ACTIONS(2408),
    [anon_sym___inline] = ACTIONS(2408),
    [anon_sym___inline__] = ACTIONS(2408),
    [anon_sym___forceinline] = ACTIONS(2408),
    [anon_sym_thread_local] = ACTIONS(2408),
    [anon_sym___thread] = ACTIONS(2408),
    [anon_sym_const] = ACTIONS(2408),
    [anon_sym_constexpr] = ACTIONS(2408),
    [anon_sym_volatile] = ACTIONS(2408),
    [anon_sym_restrict] = ACTIONS(2408),
    [anon_sym___restrict__] = ACTIONS(2408),
    [anon_sym__Atomic] = ACTIONS(2408),
    [anon_sym__Noreturn] = ACTIONS(2408),
    [anon_sym_noreturn] = ACTIONS(2408),
    [anon_sym_mutable] = ACTIONS(2408),
    [anon_sym_constinit] = ACTIONS(2408),
    [anon_sym_consteval] = ACTIONS(2408),
    [sym_primitive_type] = ACTIONS(2408),
    [anon_sym_enum] = ACTIONS(2408),
    [anon_sym_class] = ACTIONS(2408),
    [anon_sym_struct] = ACTIONS(2408),
    [anon_sym_union] = ACTIONS(2408),
    [anon_sym_if] = ACTIONS(2408),
    [anon_sym_else] = ACTIONS(2408),
    [anon_sym_switch] = ACTIONS(2408),
    [anon_sym_while] = ACTIONS(2408),
    [anon_sym_do] = ACTIONS(2408),
    [anon_sym_for] = ACTIONS(2408),
    [anon_sym_return] = ACTIONS(2408),
    [anon_sym_break] = ACTIONS(2408),
    [anon_sym_continue] = ACTIONS(2408),
    [anon_sym_goto] = ACTIONS(2408),
    [anon_sym___try] = ACTIONS(2408),
    [anon_sym___leave] = ACTIONS(2408),
    [anon_sym_not] = ACTIONS(2408),
    [anon_sym_compl] = ACTIONS(2408),
    [anon_sym_DASH_DASH] = ACTIONS(2410),
    [anon_sym_PLUS_PLUS] = ACTIONS(2410),
    [anon_sym_sizeof] = ACTIONS(2408),
    [anon_sym___alignof__] = ACTIONS(2408),
    [anon_sym___alignof] = ACTIONS(2408),
    [anon_sym__alignof] = ACTIONS(2408),
    [anon_sym_alignof] = ACTIONS(2408),
    [anon_sym__Alignof] = ACTIONS(2408),
    [anon_sym_offsetof] = ACTIONS(2408),
    [anon_sym__Generic] = ACTIONS(2408),
    [anon_sym_asm] = ACTIONS(2408),
    [anon_sym___asm__] = ACTIONS(2408),
    [sym_number_literal] = ACTIONS(2410),
    [anon_sym_L_SQUOTE] = ACTIONS(2410),
    [anon_sym_u_SQUOTE] = ACTIONS(2410),
    [anon_sym_U_SQUOTE] = ACTIONS(2410),
    [anon_sym_u8_SQUOTE] = ACTIONS(2410),
    [anon_sym_SQUOTE] = ACTIONS(2410),
    [anon_sym_L_DQUOTE] = ACTIONS(2410),
    [anon_sym_u_DQUOTE] = ACTIONS(2410),
    [anon_sym_U_DQUOTE] = ACTIONS(2410),
    [anon_sym_u8_DQUOTE] = ACTIONS(2410),
    [anon_sym_DQUOTE] = ACTIONS(2410),
    [sym_true] = ACTIONS(2408),
    [sym_false] = ACTIONS(2408),
    [anon_sym_NULL] = ACTIONS(2408),
    [anon_sym_nullptr] = ACTIONS(2408),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2408),
    [anon_sym_decltype] = ACTIONS(2408),
    [anon_sym_virtual] = ACTIONS(2408),
    [anon_sym_alignas] = ACTIONS(2408),
    [anon_sym_typename] = ACTIONS(2408),
    [anon_sym_template] = ACTIONS(2408),
    [anon_sym_try] = ACTIONS(2408),
    [anon_sym_delete] = ACTIONS(2408),
    [anon_sym_throw] = ACTIONS(2408),
    [anon_sym_co_return] = ACTIONS(2408),
    [anon_sym_co_yield] = ACTIONS(2408),
    [anon_sym_R_DQUOTE] = ACTIONS(2410),
    [anon_sym_LR_DQUOTE] = ACTIONS(2410),
    [anon_sym_uR_DQUOTE] = ACTIONS(2410),
    [anon_sym_UR_DQUOTE] = ACTIONS(2410),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2410),
    [anon_sym_co_await] = ACTIONS(2408),
    [anon_sym_new] = ACTIONS(2408),
    [anon_sym_requires] = ACTIONS(2408),
    [sym_this] = ACTIONS(2408),
    [anon_sym_discard] = ACTIONS(2408),
    [anon_sym_precise] = ACTIONS(2408),
    [anon_sym_shared] = ACTIONS(2408),
    [anon_sym_groupshared] = ACTIONS(2408),
    [anon_sym_uniform] = ACTIONS(2408),
    [anon_sym_row_major] = ACTIONS(2408),
    [anon_sym_column_major] = ACTIONS(2408),
    [anon_sym_globallycoherent] = ACTIONS(2408),
    [anon_sym_centroid] = ACTIONS(2408),
    [anon_sym_noperspective] = ACTIONS(2408),
    [anon_sym_nointerpolation] = ACTIONS(2408),
    [anon_sym_sample] = ACTIONS(2408),
    [anon_sym_linear] = ACTIONS(2408),
    [anon_sym_snorm] = ACTIONS(2408),
    [anon_sym_unorm] = ACTIONS(2408),
    [anon_sym_point] = ACTIONS(2408),
    [anon_sym_line] = ACTIONS(2408),
    [anon_sym_triangleadj] = ACTIONS(2408),
    [anon_sym_lineadj] = ACTIONS(2408),
    [anon_sym_triangle] = ACTIONS(2408),
    [anon_sym_cbuffer] = ACTIONS(2408),
  },
  [1545] = {
    [sym_identifier] = ACTIONS(2368),
    [anon_sym_LPAREN2] = ACTIONS(2370),
    [anon_sym_BANG] = ACTIONS(2370),
    [anon_sym_TILDE] = ACTIONS(2370),
    [anon_sym_DASH] = ACTIONS(2368),
    [anon_sym_PLUS] = ACTIONS(2368),
    [anon_sym_STAR] = ACTIONS(2370),
    [anon_sym_AMP] = ACTIONS(2370),
    [anon_sym_SEMI] = ACTIONS(2370),
    [anon_sym___extension__] = ACTIONS(2368),
    [anon_sym_typedef] = ACTIONS(2368),
    [anon_sym_in] = ACTIONS(2368),
    [anon_sym_out] = ACTIONS(2368),
    [anon_sym_inout] = ACTIONS(2368),
    [anon_sym_extern] = ACTIONS(2368),
    [anon_sym___attribute__] = ACTIONS(2368),
    [anon_sym_COLON_COLON] = ACTIONS(2370),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2370),
    [anon_sym___declspec] = ACTIONS(2368),
    [anon_sym_LBRACE] = ACTIONS(2370),
    [anon_sym_signed] = ACTIONS(2368),
    [anon_sym_unsigned] = ACTIONS(2368),
    [anon_sym_long] = ACTIONS(2368),
    [anon_sym_short] = ACTIONS(2368),
    [anon_sym_LBRACK] = ACTIONS(2368),
    [anon_sym_static] = ACTIONS(2368),
    [anon_sym_register] = ACTIONS(2368),
    [anon_sym_inline] = ACTIONS(2368),
    [anon_sym___inline] = ACTIONS(2368),
    [anon_sym___inline__] = ACTIONS(2368),
    [anon_sym___forceinline] = ACTIONS(2368),
    [anon_sym_thread_local] = ACTIONS(2368),
    [anon_sym___thread] = ACTIONS(2368),
    [anon_sym_const] = ACTIONS(2368),
    [anon_sym_constexpr] = ACTIONS(2368),
    [anon_sym_volatile] = ACTIONS(2368),
    [anon_sym_restrict] = ACTIONS(2368),
    [anon_sym___restrict__] = ACTIONS(2368),
    [anon_sym__Atomic] = ACTIONS(2368),
    [anon_sym__Noreturn] = ACTIONS(2368),
    [anon_sym_noreturn] = ACTIONS(2368),
    [anon_sym_mutable] = ACTIONS(2368),
    [anon_sym_constinit] = ACTIONS(2368),
    [anon_sym_consteval] = ACTIONS(2368),
    [sym_primitive_type] = ACTIONS(2368),
    [anon_sym_enum] = ACTIONS(2368),
    [anon_sym_class] = ACTIONS(2368),
    [anon_sym_struct] = ACTIONS(2368),
    [anon_sym_union] = ACTIONS(2368),
    [anon_sym_if] = ACTIONS(2368),
    [anon_sym_else] = ACTIONS(2368),
    [anon_sym_switch] = ACTIONS(2368),
    [anon_sym_while] = ACTIONS(2368),
    [anon_sym_do] = ACTIONS(2368),
    [anon_sym_for] = ACTIONS(2368),
    [anon_sym_return] = ACTIONS(2368),
    [anon_sym_break] = ACTIONS(2368),
    [anon_sym_continue] = ACTIONS(2368),
    [anon_sym_goto] = ACTIONS(2368),
    [anon_sym___try] = ACTIONS(2368),
    [anon_sym___leave] = ACTIONS(2368),
    [anon_sym_not] = ACTIONS(2368),
    [anon_sym_compl] = ACTIONS(2368),
    [anon_sym_DASH_DASH] = ACTIONS(2370),
    [anon_sym_PLUS_PLUS] = ACTIONS(2370),
    [anon_sym_sizeof] = ACTIONS(2368),
    [anon_sym___alignof__] = ACTIONS(2368),
    [anon_sym___alignof] = ACTIONS(2368),
    [anon_sym__alignof] = ACTIONS(2368),
    [anon_sym_alignof] = ACTIONS(2368),
    [anon_sym__Alignof] = ACTIONS(2368),
    [anon_sym_offsetof] = ACTIONS(2368),
    [anon_sym__Generic] = ACTIONS(2368),
    [anon_sym_asm] = ACTIONS(2368),
    [anon_sym___asm__] = ACTIONS(2368),
    [sym_number_literal] = ACTIONS(2370),
    [anon_sym_L_SQUOTE] = ACTIONS(2370),
    [anon_sym_u_SQUOTE] = ACTIONS(2370),
    [anon_sym_U_SQUOTE] = ACTIONS(2370),
    [anon_sym_u8_SQUOTE] = ACTIONS(2370),
    [anon_sym_SQUOTE] = ACTIONS(2370),
    [anon_sym_L_DQUOTE] = ACTIONS(2370),
    [anon_sym_u_DQUOTE] = ACTIONS(2370),
    [anon_sym_U_DQUOTE] = ACTIONS(2370),
    [anon_sym_u8_DQUOTE] = ACTIONS(2370),
    [anon_sym_DQUOTE] = ACTIONS(2370),
    [sym_true] = ACTIONS(2368),
    [sym_false] = ACTIONS(2368),
    [anon_sym_NULL] = ACTIONS(2368),
    [anon_sym_nullptr] = ACTIONS(2368),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2368),
    [anon_sym_decltype] = ACTIONS(2368),
    [anon_sym_virtual] = ACTIONS(2368),
    [anon_sym_alignas] = ACTIONS(2368),
    [anon_sym_typename] = ACTIONS(2368),
    [anon_sym_template] = ACTIONS(2368),
    [anon_sym_try] = ACTIONS(2368),
    [anon_sym_delete] = ACTIONS(2368),
    [anon_sym_throw] = ACTIONS(2368),
    [anon_sym_co_return] = ACTIONS(2368),
    [anon_sym_co_yield] = ACTIONS(2368),
    [anon_sym_R_DQUOTE] = ACTIONS(2370),
    [anon_sym_LR_DQUOTE] = ACTIONS(2370),
    [anon_sym_uR_DQUOTE] = ACTIONS(2370),
    [anon_sym_UR_DQUOTE] = ACTIONS(2370),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2370),
    [anon_sym_co_await] = ACTIONS(2368),
    [anon_sym_new] = ACTIONS(2368),
    [anon_sym_requires] = ACTIONS(2368),
    [sym_this] = ACTIONS(2368),
    [anon_sym_discard] = ACTIONS(2368),
    [anon_sym_precise] = ACTIONS(2368),
    [anon_sym_shared] = ACTIONS(2368),
    [anon_sym_groupshared] = ACTIONS(2368),
    [anon_sym_uniform] = ACTIONS(2368),
    [anon_sym_row_major] = ACTIONS(2368),
    [anon_sym_column_major] = ACTIONS(2368),
    [anon_sym_globallycoherent] = ACTIONS(2368),
    [anon_sym_centroid] = ACTIONS(2368),
    [anon_sym_noperspective] = ACTIONS(2368),
    [anon_sym_nointerpolation] = ACTIONS(2368),
    [anon_sym_sample] = ACTIONS(2368),
    [anon_sym_linear] = ACTIONS(2368),
    [anon_sym_snorm] = ACTIONS(2368),
    [anon_sym_unorm] = ACTIONS(2368),
    [anon_sym_point] = ACTIONS(2368),
    [anon_sym_line] = ACTIONS(2368),
    [anon_sym_triangleadj] = ACTIONS(2368),
    [anon_sym_lineadj] = ACTIONS(2368),
    [anon_sym_triangle] = ACTIONS(2368),
    [anon_sym_cbuffer] = ACTIONS(2368),
  },
  [1546] = {
    [sym_identifier] = ACTIONS(2354),
    [anon_sym_LPAREN2] = ACTIONS(2356),
    [anon_sym_BANG] = ACTIONS(2356),
    [anon_sym_TILDE] = ACTIONS(2356),
    [anon_sym_DASH] = ACTIONS(2354),
    [anon_sym_PLUS] = ACTIONS(2354),
    [anon_sym_STAR] = ACTIONS(2356),
    [anon_sym_AMP] = ACTIONS(2356),
    [anon_sym_SEMI] = ACTIONS(2356),
    [anon_sym___extension__] = ACTIONS(2354),
    [anon_sym_typedef] = ACTIONS(2354),
    [anon_sym_in] = ACTIONS(2354),
    [anon_sym_out] = ACTIONS(2354),
    [anon_sym_inout] = ACTIONS(2354),
    [anon_sym_extern] = ACTIONS(2354),
    [anon_sym___attribute__] = ACTIONS(2354),
    [anon_sym_COLON_COLON] = ACTIONS(2356),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2356),
    [anon_sym___declspec] = ACTIONS(2354),
    [anon_sym_LBRACE] = ACTIONS(2356),
    [anon_sym_signed] = ACTIONS(2354),
    [anon_sym_unsigned] = ACTIONS(2354),
    [anon_sym_long] = ACTIONS(2354),
    [anon_sym_short] = ACTIONS(2354),
    [anon_sym_LBRACK] = ACTIONS(2354),
    [anon_sym_static] = ACTIONS(2354),
    [anon_sym_register] = ACTIONS(2354),
    [anon_sym_inline] = ACTIONS(2354),
    [anon_sym___inline] = ACTIONS(2354),
    [anon_sym___inline__] = ACTIONS(2354),
    [anon_sym___forceinline] = ACTIONS(2354),
    [anon_sym_thread_local] = ACTIONS(2354),
    [anon_sym___thread] = ACTIONS(2354),
    [anon_sym_const] = ACTIONS(2354),
    [anon_sym_constexpr] = ACTIONS(2354),
    [anon_sym_volatile] = ACTIONS(2354),
    [anon_sym_restrict] = ACTIONS(2354),
    [anon_sym___restrict__] = ACTIONS(2354),
    [anon_sym__Atomic] = ACTIONS(2354),
    [anon_sym__Noreturn] = ACTIONS(2354),
    [anon_sym_noreturn] = ACTIONS(2354),
    [anon_sym_mutable] = ACTIONS(2354),
    [anon_sym_constinit] = ACTIONS(2354),
    [anon_sym_consteval] = ACTIONS(2354),
    [sym_primitive_type] = ACTIONS(2354),
    [anon_sym_enum] = ACTIONS(2354),
    [anon_sym_class] = ACTIONS(2354),
    [anon_sym_struct] = ACTIONS(2354),
    [anon_sym_union] = ACTIONS(2354),
    [anon_sym_if] = ACTIONS(2354),
    [anon_sym_else] = ACTIONS(2354),
    [anon_sym_switch] = ACTIONS(2354),
    [anon_sym_while] = ACTIONS(2354),
    [anon_sym_do] = ACTIONS(2354),
    [anon_sym_for] = ACTIONS(2354),
    [anon_sym_return] = ACTIONS(2354),
    [anon_sym_break] = ACTIONS(2354),
    [anon_sym_continue] = ACTIONS(2354),
    [anon_sym_goto] = ACTIONS(2354),
    [anon_sym___try] = ACTIONS(2354),
    [anon_sym___leave] = ACTIONS(2354),
    [anon_sym_not] = ACTIONS(2354),
    [anon_sym_compl] = ACTIONS(2354),
    [anon_sym_DASH_DASH] = ACTIONS(2356),
    [anon_sym_PLUS_PLUS] = ACTIONS(2356),
    [anon_sym_sizeof] = ACTIONS(2354),
    [anon_sym___alignof__] = ACTIONS(2354),
    [anon_sym___alignof] = ACTIONS(2354),
    [anon_sym__alignof] = ACTIONS(2354),
    [anon_sym_alignof] = ACTIONS(2354),
    [anon_sym__Alignof] = ACTIONS(2354),
    [anon_sym_offsetof] = ACTIONS(2354),
    [anon_sym__Generic] = ACTIONS(2354),
    [anon_sym_asm] = ACTIONS(2354),
    [anon_sym___asm__] = ACTIONS(2354),
    [sym_number_literal] = ACTIONS(2356),
    [anon_sym_L_SQUOTE] = ACTIONS(2356),
    [anon_sym_u_SQUOTE] = ACTIONS(2356),
    [anon_sym_U_SQUOTE] = ACTIONS(2356),
    [anon_sym_u8_SQUOTE] = ACTIONS(2356),
    [anon_sym_SQUOTE] = ACTIONS(2356),
    [anon_sym_L_DQUOTE] = ACTIONS(2356),
    [anon_sym_u_DQUOTE] = ACTIONS(2356),
    [anon_sym_U_DQUOTE] = ACTIONS(2356),
    [anon_sym_u8_DQUOTE] = ACTIONS(2356),
    [anon_sym_DQUOTE] = ACTIONS(2356),
    [sym_true] = ACTIONS(2354),
    [sym_false] = ACTIONS(2354),
    [anon_sym_NULL] = ACTIONS(2354),
    [anon_sym_nullptr] = ACTIONS(2354),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2354),
    [anon_sym_decltype] = ACTIONS(2354),
    [anon_sym_virtual] = ACTIONS(2354),
    [anon_sym_alignas] = ACTIONS(2354),
    [anon_sym_typename] = ACTIONS(2354),
    [anon_sym_template] = ACTIONS(2354),
    [anon_sym_try] = ACTIONS(2354),
    [anon_sym_delete] = ACTIONS(2354),
    [anon_sym_throw] = ACTIONS(2354),
    [anon_sym_co_return] = ACTIONS(2354),
    [anon_sym_co_yield] = ACTIONS(2354),
    [anon_sym_R_DQUOTE] = ACTIONS(2356),
    [anon_sym_LR_DQUOTE] = ACTIONS(2356),
    [anon_sym_uR_DQUOTE] = ACTIONS(2356),
    [anon_sym_UR_DQUOTE] = ACTIONS(2356),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2356),
    [anon_sym_co_await] = ACTIONS(2354),
    [anon_sym_new] = ACTIONS(2354),
    [anon_sym_requires] = ACTIONS(2354),
    [sym_this] = ACTIONS(2354),
    [anon_sym_discard] = ACTIONS(2354),
    [anon_sym_precise] = ACTIONS(2354),
    [anon_sym_shared] = ACTIONS(2354),
    [anon_sym_groupshared] = ACTIONS(2354),
    [anon_sym_uniform] = ACTIONS(2354),
    [anon_sym_row_major] = ACTIONS(2354),
    [anon_sym_column_major] = ACTIONS(2354),
    [anon_sym_globallycoherent] = ACTIONS(2354),
    [anon_sym_centroid] = ACTIONS(2354),
    [anon_sym_noperspective] = ACTIONS(2354),
    [anon_sym_nointerpolation] = ACTIONS(2354),
    [anon_sym_sample] = ACTIONS(2354),
    [anon_sym_linear] = ACTIONS(2354),
    [anon_sym_snorm] = ACTIONS(2354),
    [anon_sym_unorm] = ACTIONS(2354),
    [anon_sym_point] = ACTIONS(2354),
    [anon_sym_line] = ACTIONS(2354),
    [anon_sym_triangleadj] = ACTIONS(2354),
    [anon_sym_lineadj] = ACTIONS(2354),
    [anon_sym_triangle] = ACTIONS(2354),
    [anon_sym_cbuffer] = ACTIONS(2354),
  },
  [1547] = {
    [sym_identifier] = ACTIONS(2354),
    [anon_sym_LPAREN2] = ACTIONS(2356),
    [anon_sym_BANG] = ACTIONS(2356),
    [anon_sym_TILDE] = ACTIONS(2356),
    [anon_sym_DASH] = ACTIONS(2354),
    [anon_sym_PLUS] = ACTIONS(2354),
    [anon_sym_STAR] = ACTIONS(2356),
    [anon_sym_AMP] = ACTIONS(2356),
    [anon_sym_SEMI] = ACTIONS(2356),
    [anon_sym___extension__] = ACTIONS(2354),
    [anon_sym_typedef] = ACTIONS(2354),
    [anon_sym_in] = ACTIONS(2354),
    [anon_sym_out] = ACTIONS(2354),
    [anon_sym_inout] = ACTIONS(2354),
    [anon_sym_extern] = ACTIONS(2354),
    [anon_sym___attribute__] = ACTIONS(2354),
    [anon_sym_COLON_COLON] = ACTIONS(2356),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2356),
    [anon_sym___declspec] = ACTIONS(2354),
    [anon_sym_LBRACE] = ACTIONS(2356),
    [anon_sym_signed] = ACTIONS(2354),
    [anon_sym_unsigned] = ACTIONS(2354),
    [anon_sym_long] = ACTIONS(2354),
    [anon_sym_short] = ACTIONS(2354),
    [anon_sym_LBRACK] = ACTIONS(2354),
    [anon_sym_static] = ACTIONS(2354),
    [anon_sym_register] = ACTIONS(2354),
    [anon_sym_inline] = ACTIONS(2354),
    [anon_sym___inline] = ACTIONS(2354),
    [anon_sym___inline__] = ACTIONS(2354),
    [anon_sym___forceinline] = ACTIONS(2354),
    [anon_sym_thread_local] = ACTIONS(2354),
    [anon_sym___thread] = ACTIONS(2354),
    [anon_sym_const] = ACTIONS(2354),
    [anon_sym_constexpr] = ACTIONS(2354),
    [anon_sym_volatile] = ACTIONS(2354),
    [anon_sym_restrict] = ACTIONS(2354),
    [anon_sym___restrict__] = ACTIONS(2354),
    [anon_sym__Atomic] = ACTIONS(2354),
    [anon_sym__Noreturn] = ACTIONS(2354),
    [anon_sym_noreturn] = ACTIONS(2354),
    [anon_sym_mutable] = ACTIONS(2354),
    [anon_sym_constinit] = ACTIONS(2354),
    [anon_sym_consteval] = ACTIONS(2354),
    [sym_primitive_type] = ACTIONS(2354),
    [anon_sym_enum] = ACTIONS(2354),
    [anon_sym_class] = ACTIONS(2354),
    [anon_sym_struct] = ACTIONS(2354),
    [anon_sym_union] = ACTIONS(2354),
    [anon_sym_if] = ACTIONS(2354),
    [anon_sym_else] = ACTIONS(2354),
    [anon_sym_switch] = ACTIONS(2354),
    [anon_sym_while] = ACTIONS(2354),
    [anon_sym_do] = ACTIONS(2354),
    [anon_sym_for] = ACTIONS(2354),
    [anon_sym_return] = ACTIONS(2354),
    [anon_sym_break] = ACTIONS(2354),
    [anon_sym_continue] = ACTIONS(2354),
    [anon_sym_goto] = ACTIONS(2354),
    [anon_sym___try] = ACTIONS(2354),
    [anon_sym___leave] = ACTIONS(2354),
    [anon_sym_not] = ACTIONS(2354),
    [anon_sym_compl] = ACTIONS(2354),
    [anon_sym_DASH_DASH] = ACTIONS(2356),
    [anon_sym_PLUS_PLUS] = ACTIONS(2356),
    [anon_sym_sizeof] = ACTIONS(2354),
    [anon_sym___alignof__] = ACTIONS(2354),
    [anon_sym___alignof] = ACTIONS(2354),
    [anon_sym__alignof] = ACTIONS(2354),
    [anon_sym_alignof] = ACTIONS(2354),
    [anon_sym__Alignof] = ACTIONS(2354),
    [anon_sym_offsetof] = ACTIONS(2354),
    [anon_sym__Generic] = ACTIONS(2354),
    [anon_sym_asm] = ACTIONS(2354),
    [anon_sym___asm__] = ACTIONS(2354),
    [sym_number_literal] = ACTIONS(2356),
    [anon_sym_L_SQUOTE] = ACTIONS(2356),
    [anon_sym_u_SQUOTE] = ACTIONS(2356),
    [anon_sym_U_SQUOTE] = ACTIONS(2356),
    [anon_sym_u8_SQUOTE] = ACTIONS(2356),
    [anon_sym_SQUOTE] = ACTIONS(2356),
    [anon_sym_L_DQUOTE] = ACTIONS(2356),
    [anon_sym_u_DQUOTE] = ACTIONS(2356),
    [anon_sym_U_DQUOTE] = ACTIONS(2356),
    [anon_sym_u8_DQUOTE] = ACTIONS(2356),
    [anon_sym_DQUOTE] = ACTIONS(2356),
    [sym_true] = ACTIONS(2354),
    [sym_false] = ACTIONS(2354),
    [anon_sym_NULL] = ACTIONS(2354),
    [anon_sym_nullptr] = ACTIONS(2354),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2354),
    [anon_sym_decltype] = ACTIONS(2354),
    [anon_sym_virtual] = ACTIONS(2354),
    [anon_sym_alignas] = ACTIONS(2354),
    [anon_sym_typename] = ACTIONS(2354),
    [anon_sym_template] = ACTIONS(2354),
    [anon_sym_try] = ACTIONS(2354),
    [anon_sym_delete] = ACTIONS(2354),
    [anon_sym_throw] = ACTIONS(2354),
    [anon_sym_co_return] = ACTIONS(2354),
    [anon_sym_co_yield] = ACTIONS(2354),
    [anon_sym_R_DQUOTE] = ACTIONS(2356),
    [anon_sym_LR_DQUOTE] = ACTIONS(2356),
    [anon_sym_uR_DQUOTE] = ACTIONS(2356),
    [anon_sym_UR_DQUOTE] = ACTIONS(2356),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2356),
    [anon_sym_co_await] = ACTIONS(2354),
    [anon_sym_new] = ACTIONS(2354),
    [anon_sym_requires] = ACTIONS(2354),
    [sym_this] = ACTIONS(2354),
    [anon_sym_discard] = ACTIONS(2354),
    [anon_sym_precise] = ACTIONS(2354),
    [anon_sym_shared] = ACTIONS(2354),
    [anon_sym_groupshared] = ACTIONS(2354),
    [anon_sym_uniform] = ACTIONS(2354),
    [anon_sym_row_major] = ACTIONS(2354),
    [anon_sym_column_major] = ACTIONS(2354),
    [anon_sym_globallycoherent] = ACTIONS(2354),
    [anon_sym_centroid] = ACTIONS(2354),
    [anon_sym_noperspective] = ACTIONS(2354),
    [anon_sym_nointerpolation] = ACTIONS(2354),
    [anon_sym_sample] = ACTIONS(2354),
    [anon_sym_linear] = ACTIONS(2354),
    [anon_sym_snorm] = ACTIONS(2354),
    [anon_sym_unorm] = ACTIONS(2354),
    [anon_sym_point] = ACTIONS(2354),
    [anon_sym_line] = ACTIONS(2354),
    [anon_sym_triangleadj] = ACTIONS(2354),
    [anon_sym_lineadj] = ACTIONS(2354),
    [anon_sym_triangle] = ACTIONS(2354),
    [anon_sym_cbuffer] = ACTIONS(2354),
  },
  [1548] = {
    [sym_identifier] = ACTIONS(2364),
    [anon_sym_LPAREN2] = ACTIONS(2366),
    [anon_sym_BANG] = ACTIONS(2366),
    [anon_sym_TILDE] = ACTIONS(2366),
    [anon_sym_DASH] = ACTIONS(2364),
    [anon_sym_PLUS] = ACTIONS(2364),
    [anon_sym_STAR] = ACTIONS(2366),
    [anon_sym_AMP] = ACTIONS(2366),
    [anon_sym_SEMI] = ACTIONS(2366),
    [anon_sym___extension__] = ACTIONS(2364),
    [anon_sym_typedef] = ACTIONS(2364),
    [anon_sym_in] = ACTIONS(2364),
    [anon_sym_out] = ACTIONS(2364),
    [anon_sym_inout] = ACTIONS(2364),
    [anon_sym_extern] = ACTIONS(2364),
    [anon_sym___attribute__] = ACTIONS(2364),
    [anon_sym_COLON_COLON] = ACTIONS(2366),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2366),
    [anon_sym___declspec] = ACTIONS(2364),
    [anon_sym_LBRACE] = ACTIONS(2366),
    [anon_sym_signed] = ACTIONS(2364),
    [anon_sym_unsigned] = ACTIONS(2364),
    [anon_sym_long] = ACTIONS(2364),
    [anon_sym_short] = ACTIONS(2364),
    [anon_sym_LBRACK] = ACTIONS(2364),
    [anon_sym_static] = ACTIONS(2364),
    [anon_sym_register] = ACTIONS(2364),
    [anon_sym_inline] = ACTIONS(2364),
    [anon_sym___inline] = ACTIONS(2364),
    [anon_sym___inline__] = ACTIONS(2364),
    [anon_sym___forceinline] = ACTIONS(2364),
    [anon_sym_thread_local] = ACTIONS(2364),
    [anon_sym___thread] = ACTIONS(2364),
    [anon_sym_const] = ACTIONS(2364),
    [anon_sym_constexpr] = ACTIONS(2364),
    [anon_sym_volatile] = ACTIONS(2364),
    [anon_sym_restrict] = ACTIONS(2364),
    [anon_sym___restrict__] = ACTIONS(2364),
    [anon_sym__Atomic] = ACTIONS(2364),
    [anon_sym__Noreturn] = ACTIONS(2364),
    [anon_sym_noreturn] = ACTIONS(2364),
    [anon_sym_mutable] = ACTIONS(2364),
    [anon_sym_constinit] = ACTIONS(2364),
    [anon_sym_consteval] = ACTIONS(2364),
    [sym_primitive_type] = ACTIONS(2364),
    [anon_sym_enum] = ACTIONS(2364),
    [anon_sym_class] = ACTIONS(2364),
    [anon_sym_struct] = ACTIONS(2364),
    [anon_sym_union] = ACTIONS(2364),
    [anon_sym_if] = ACTIONS(2364),
    [anon_sym_else] = ACTIONS(2364),
    [anon_sym_switch] = ACTIONS(2364),
    [anon_sym_while] = ACTIONS(2364),
    [anon_sym_do] = ACTIONS(2364),
    [anon_sym_for] = ACTIONS(2364),
    [anon_sym_return] = ACTIONS(2364),
    [anon_sym_break] = ACTIONS(2364),
    [anon_sym_continue] = ACTIONS(2364),
    [anon_sym_goto] = ACTIONS(2364),
    [anon_sym___try] = ACTIONS(2364),
    [anon_sym___leave] = ACTIONS(2364),
    [anon_sym_not] = ACTIONS(2364),
    [anon_sym_compl] = ACTIONS(2364),
    [anon_sym_DASH_DASH] = ACTIONS(2366),
    [anon_sym_PLUS_PLUS] = ACTIONS(2366),
    [anon_sym_sizeof] = ACTIONS(2364),
    [anon_sym___alignof__] = ACTIONS(2364),
    [anon_sym___alignof] = ACTIONS(2364),
    [anon_sym__alignof] = ACTIONS(2364),
    [anon_sym_alignof] = ACTIONS(2364),
    [anon_sym__Alignof] = ACTIONS(2364),
    [anon_sym_offsetof] = ACTIONS(2364),
    [anon_sym__Generic] = ACTIONS(2364),
    [anon_sym_asm] = ACTIONS(2364),
    [anon_sym___asm__] = ACTIONS(2364),
    [sym_number_literal] = ACTIONS(2366),
    [anon_sym_L_SQUOTE] = ACTIONS(2366),
    [anon_sym_u_SQUOTE] = ACTIONS(2366),
    [anon_sym_U_SQUOTE] = ACTIONS(2366),
    [anon_sym_u8_SQUOTE] = ACTIONS(2366),
    [anon_sym_SQUOTE] = ACTIONS(2366),
    [anon_sym_L_DQUOTE] = ACTIONS(2366),
    [anon_sym_u_DQUOTE] = ACTIONS(2366),
    [anon_sym_U_DQUOTE] = ACTIONS(2366),
    [anon_sym_u8_DQUOTE] = ACTIONS(2366),
    [anon_sym_DQUOTE] = ACTIONS(2366),
    [sym_true] = ACTIONS(2364),
    [sym_false] = ACTIONS(2364),
    [anon_sym_NULL] = ACTIONS(2364),
    [anon_sym_nullptr] = ACTIONS(2364),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2364),
    [anon_sym_decltype] = ACTIONS(2364),
    [anon_sym_virtual] = ACTIONS(2364),
    [anon_sym_alignas] = ACTIONS(2364),
    [anon_sym_typename] = ACTIONS(2364),
    [anon_sym_template] = ACTIONS(2364),
    [anon_sym_try] = ACTIONS(2364),
    [anon_sym_delete] = ACTIONS(2364),
    [anon_sym_throw] = ACTIONS(2364),
    [anon_sym_co_return] = ACTIONS(2364),
    [anon_sym_co_yield] = ACTIONS(2364),
    [anon_sym_R_DQUOTE] = ACTIONS(2366),
    [anon_sym_LR_DQUOTE] = ACTIONS(2366),
    [anon_sym_uR_DQUOTE] = ACTIONS(2366),
    [anon_sym_UR_DQUOTE] = ACTIONS(2366),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2366),
    [anon_sym_co_await] = ACTIONS(2364),
    [anon_sym_new] = ACTIONS(2364),
    [anon_sym_requires] = ACTIONS(2364),
    [sym_this] = ACTIONS(2364),
    [anon_sym_discard] = ACTIONS(2364),
    [anon_sym_precise] = ACTIONS(2364),
    [anon_sym_shared] = ACTIONS(2364),
    [anon_sym_groupshared] = ACTIONS(2364),
    [anon_sym_uniform] = ACTIONS(2364),
    [anon_sym_row_major] = ACTIONS(2364),
    [anon_sym_column_major] = ACTIONS(2364),
    [anon_sym_globallycoherent] = ACTIONS(2364),
    [anon_sym_centroid] = ACTIONS(2364),
    [anon_sym_noperspective] = ACTIONS(2364),
    [anon_sym_nointerpolation] = ACTIONS(2364),
    [anon_sym_sample] = ACTIONS(2364),
    [anon_sym_linear] = ACTIONS(2364),
    [anon_sym_snorm] = ACTIONS(2364),
    [anon_sym_unorm] = ACTIONS(2364),
    [anon_sym_point] = ACTIONS(2364),
    [anon_sym_line] = ACTIONS(2364),
    [anon_sym_triangleadj] = ACTIONS(2364),
    [anon_sym_lineadj] = ACTIONS(2364),
    [anon_sym_triangle] = ACTIONS(2364),
    [anon_sym_cbuffer] = ACTIONS(2364),
  },
  [1549] = {
    [sym_identifier] = ACTIONS(2364),
    [anon_sym_LPAREN2] = ACTIONS(2366),
    [anon_sym_BANG] = ACTIONS(2366),
    [anon_sym_TILDE] = ACTIONS(2366),
    [anon_sym_DASH] = ACTIONS(2364),
    [anon_sym_PLUS] = ACTIONS(2364),
    [anon_sym_STAR] = ACTIONS(2366),
    [anon_sym_AMP] = ACTIONS(2366),
    [anon_sym_SEMI] = ACTIONS(2366),
    [anon_sym___extension__] = ACTIONS(2364),
    [anon_sym_typedef] = ACTIONS(2364),
    [anon_sym_in] = ACTIONS(2364),
    [anon_sym_out] = ACTIONS(2364),
    [anon_sym_inout] = ACTIONS(2364),
    [anon_sym_extern] = ACTIONS(2364),
    [anon_sym___attribute__] = ACTIONS(2364),
    [anon_sym_COLON_COLON] = ACTIONS(2366),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2366),
    [anon_sym___declspec] = ACTIONS(2364),
    [anon_sym_LBRACE] = ACTIONS(2366),
    [anon_sym_signed] = ACTIONS(2364),
    [anon_sym_unsigned] = ACTIONS(2364),
    [anon_sym_long] = ACTIONS(2364),
    [anon_sym_short] = ACTIONS(2364),
    [anon_sym_LBRACK] = ACTIONS(2364),
    [anon_sym_static] = ACTIONS(2364),
    [anon_sym_register] = ACTIONS(2364),
    [anon_sym_inline] = ACTIONS(2364),
    [anon_sym___inline] = ACTIONS(2364),
    [anon_sym___inline__] = ACTIONS(2364),
    [anon_sym___forceinline] = ACTIONS(2364),
    [anon_sym_thread_local] = ACTIONS(2364),
    [anon_sym___thread] = ACTIONS(2364),
    [anon_sym_const] = ACTIONS(2364),
    [anon_sym_constexpr] = ACTIONS(2364),
    [anon_sym_volatile] = ACTIONS(2364),
    [anon_sym_restrict] = ACTIONS(2364),
    [anon_sym___restrict__] = ACTIONS(2364),
    [anon_sym__Atomic] = ACTIONS(2364),
    [anon_sym__Noreturn] = ACTIONS(2364),
    [anon_sym_noreturn] = ACTIONS(2364),
    [anon_sym_mutable] = ACTIONS(2364),
    [anon_sym_constinit] = ACTIONS(2364),
    [anon_sym_consteval] = ACTIONS(2364),
    [sym_primitive_type] = ACTIONS(2364),
    [anon_sym_enum] = ACTIONS(2364),
    [anon_sym_class] = ACTIONS(2364),
    [anon_sym_struct] = ACTIONS(2364),
    [anon_sym_union] = ACTIONS(2364),
    [anon_sym_if] = ACTIONS(2364),
    [anon_sym_else] = ACTIONS(2364),
    [anon_sym_switch] = ACTIONS(2364),
    [anon_sym_while] = ACTIONS(2364),
    [anon_sym_do] = ACTIONS(2364),
    [anon_sym_for] = ACTIONS(2364),
    [anon_sym_return] = ACTIONS(2364),
    [anon_sym_break] = ACTIONS(2364),
    [anon_sym_continue] = ACTIONS(2364),
    [anon_sym_goto] = ACTIONS(2364),
    [anon_sym___try] = ACTIONS(2364),
    [anon_sym___leave] = ACTIONS(2364),
    [anon_sym_not] = ACTIONS(2364),
    [anon_sym_compl] = ACTIONS(2364),
    [anon_sym_DASH_DASH] = ACTIONS(2366),
    [anon_sym_PLUS_PLUS] = ACTIONS(2366),
    [anon_sym_sizeof] = ACTIONS(2364),
    [anon_sym___alignof__] = ACTIONS(2364),
    [anon_sym___alignof] = ACTIONS(2364),
    [anon_sym__alignof] = ACTIONS(2364),
    [anon_sym_alignof] = ACTIONS(2364),
    [anon_sym__Alignof] = ACTIONS(2364),
    [anon_sym_offsetof] = ACTIONS(2364),
    [anon_sym__Generic] = ACTIONS(2364),
    [anon_sym_asm] = ACTIONS(2364),
    [anon_sym___asm__] = ACTIONS(2364),
    [sym_number_literal] = ACTIONS(2366),
    [anon_sym_L_SQUOTE] = ACTIONS(2366),
    [anon_sym_u_SQUOTE] = ACTIONS(2366),
    [anon_sym_U_SQUOTE] = ACTIONS(2366),
    [anon_sym_u8_SQUOTE] = ACTIONS(2366),
    [anon_sym_SQUOTE] = ACTIONS(2366),
    [anon_sym_L_DQUOTE] = ACTIONS(2366),
    [anon_sym_u_DQUOTE] = ACTIONS(2366),
    [anon_sym_U_DQUOTE] = ACTIONS(2366),
    [anon_sym_u8_DQUOTE] = ACTIONS(2366),
    [anon_sym_DQUOTE] = ACTIONS(2366),
    [sym_true] = ACTIONS(2364),
    [sym_false] = ACTIONS(2364),
    [anon_sym_NULL] = ACTIONS(2364),
    [anon_sym_nullptr] = ACTIONS(2364),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2364),
    [anon_sym_decltype] = ACTIONS(2364),
    [anon_sym_virtual] = ACTIONS(2364),
    [anon_sym_alignas] = ACTIONS(2364),
    [anon_sym_typename] = ACTIONS(2364),
    [anon_sym_template] = ACTIONS(2364),
    [anon_sym_try] = ACTIONS(2364),
    [anon_sym_delete] = ACTIONS(2364),
    [anon_sym_throw] = ACTIONS(2364),
    [anon_sym_co_return] = ACTIONS(2364),
    [anon_sym_co_yield] = ACTIONS(2364),
    [anon_sym_R_DQUOTE] = ACTIONS(2366),
    [anon_sym_LR_DQUOTE] = ACTIONS(2366),
    [anon_sym_uR_DQUOTE] = ACTIONS(2366),
    [anon_sym_UR_DQUOTE] = ACTIONS(2366),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2366),
    [anon_sym_co_await] = ACTIONS(2364),
    [anon_sym_new] = ACTIONS(2364),
    [anon_sym_requires] = ACTIONS(2364),
    [sym_this] = ACTIONS(2364),
    [anon_sym_discard] = ACTIONS(2364),
    [anon_sym_precise] = ACTIONS(2364),
    [anon_sym_shared] = ACTIONS(2364),
    [anon_sym_groupshared] = ACTIONS(2364),
    [anon_sym_uniform] = ACTIONS(2364),
    [anon_sym_row_major] = ACTIONS(2364),
    [anon_sym_column_major] = ACTIONS(2364),
    [anon_sym_globallycoherent] = ACTIONS(2364),
    [anon_sym_centroid] = ACTIONS(2364),
    [anon_sym_noperspective] = ACTIONS(2364),
    [anon_sym_nointerpolation] = ACTIONS(2364),
    [anon_sym_sample] = ACTIONS(2364),
    [anon_sym_linear] = ACTIONS(2364),
    [anon_sym_snorm] = ACTIONS(2364),
    [anon_sym_unorm] = ACTIONS(2364),
    [anon_sym_point] = ACTIONS(2364),
    [anon_sym_line] = ACTIONS(2364),
    [anon_sym_triangleadj] = ACTIONS(2364),
    [anon_sym_lineadj] = ACTIONS(2364),
    [anon_sym_triangle] = ACTIONS(2364),
    [anon_sym_cbuffer] = ACTIONS(2364),
  },
  [1550] = {
    [sym_identifier] = ACTIONS(2330),
    [anon_sym_LPAREN2] = ACTIONS(2332),
    [anon_sym_BANG] = ACTIONS(2332),
    [anon_sym_TILDE] = ACTIONS(2332),
    [anon_sym_DASH] = ACTIONS(2330),
    [anon_sym_PLUS] = ACTIONS(2330),
    [anon_sym_STAR] = ACTIONS(2332),
    [anon_sym_AMP] = ACTIONS(2332),
    [anon_sym_SEMI] = ACTIONS(2332),
    [anon_sym___extension__] = ACTIONS(2330),
    [anon_sym_typedef] = ACTIONS(2330),
    [anon_sym_in] = ACTIONS(2330),
    [anon_sym_out] = ACTIONS(2330),
    [anon_sym_inout] = ACTIONS(2330),
    [anon_sym_extern] = ACTIONS(2330),
    [anon_sym___attribute__] = ACTIONS(2330),
    [anon_sym_COLON_COLON] = ACTIONS(2332),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2332),
    [anon_sym___declspec] = ACTIONS(2330),
    [anon_sym_LBRACE] = ACTIONS(2332),
    [anon_sym_signed] = ACTIONS(2330),
    [anon_sym_unsigned] = ACTIONS(2330),
    [anon_sym_long] = ACTIONS(2330),
    [anon_sym_short] = ACTIONS(2330),
    [anon_sym_LBRACK] = ACTIONS(2330),
    [anon_sym_static] = ACTIONS(2330),
    [anon_sym_register] = ACTIONS(2330),
    [anon_sym_inline] = ACTIONS(2330),
    [anon_sym___inline] = ACTIONS(2330),
    [anon_sym___inline__] = ACTIONS(2330),
    [anon_sym___forceinline] = ACTIONS(2330),
    [anon_sym_thread_local] = ACTIONS(2330),
    [anon_sym___thread] = ACTIONS(2330),
    [anon_sym_const] = ACTIONS(2330),
    [anon_sym_constexpr] = ACTIONS(2330),
    [anon_sym_volatile] = ACTIONS(2330),
    [anon_sym_restrict] = ACTIONS(2330),
    [anon_sym___restrict__] = ACTIONS(2330),
    [anon_sym__Atomic] = ACTIONS(2330),
    [anon_sym__Noreturn] = ACTIONS(2330),
    [anon_sym_noreturn] = ACTIONS(2330),
    [anon_sym_mutable] = ACTIONS(2330),
    [anon_sym_constinit] = ACTIONS(2330),
    [anon_sym_consteval] = ACTIONS(2330),
    [sym_primitive_type] = ACTIONS(2330),
    [anon_sym_enum] = ACTIONS(2330),
    [anon_sym_class] = ACTIONS(2330),
    [anon_sym_struct] = ACTIONS(2330),
    [anon_sym_union] = ACTIONS(2330),
    [anon_sym_if] = ACTIONS(2330),
    [anon_sym_else] = ACTIONS(2330),
    [anon_sym_switch] = ACTIONS(2330),
    [anon_sym_while] = ACTIONS(2330),
    [anon_sym_do] = ACTIONS(2330),
    [anon_sym_for] = ACTIONS(2330),
    [anon_sym_return] = ACTIONS(2330),
    [anon_sym_break] = ACTIONS(2330),
    [anon_sym_continue] = ACTIONS(2330),
    [anon_sym_goto] = ACTIONS(2330),
    [anon_sym___try] = ACTIONS(2330),
    [anon_sym___leave] = ACTIONS(2330),
    [anon_sym_not] = ACTIONS(2330),
    [anon_sym_compl] = ACTIONS(2330),
    [anon_sym_DASH_DASH] = ACTIONS(2332),
    [anon_sym_PLUS_PLUS] = ACTIONS(2332),
    [anon_sym_sizeof] = ACTIONS(2330),
    [anon_sym___alignof__] = ACTIONS(2330),
    [anon_sym___alignof] = ACTIONS(2330),
    [anon_sym__alignof] = ACTIONS(2330),
    [anon_sym_alignof] = ACTIONS(2330),
    [anon_sym__Alignof] = ACTIONS(2330),
    [anon_sym_offsetof] = ACTIONS(2330),
    [anon_sym__Generic] = ACTIONS(2330),
    [anon_sym_asm] = ACTIONS(2330),
    [anon_sym___asm__] = ACTIONS(2330),
    [sym_number_literal] = ACTIONS(2332),
    [anon_sym_L_SQUOTE] = ACTIONS(2332),
    [anon_sym_u_SQUOTE] = ACTIONS(2332),
    [anon_sym_U_SQUOTE] = ACTIONS(2332),
    [anon_sym_u8_SQUOTE] = ACTIONS(2332),
    [anon_sym_SQUOTE] = ACTIONS(2332),
    [anon_sym_L_DQUOTE] = ACTIONS(2332),
    [anon_sym_u_DQUOTE] = ACTIONS(2332),
    [anon_sym_U_DQUOTE] = ACTIONS(2332),
    [anon_sym_u8_DQUOTE] = ACTIONS(2332),
    [anon_sym_DQUOTE] = ACTIONS(2332),
    [sym_true] = ACTIONS(2330),
    [sym_false] = ACTIONS(2330),
    [anon_sym_NULL] = ACTIONS(2330),
    [anon_sym_nullptr] = ACTIONS(2330),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2330),
    [anon_sym_decltype] = ACTIONS(2330),
    [anon_sym_virtual] = ACTIONS(2330),
    [anon_sym_alignas] = ACTIONS(2330),
    [anon_sym_typename] = ACTIONS(2330),
    [anon_sym_template] = ACTIONS(2330),
    [anon_sym_try] = ACTIONS(2330),
    [anon_sym_delete] = ACTIONS(2330),
    [anon_sym_throw] = ACTIONS(2330),
    [anon_sym_co_return] = ACTIONS(2330),
    [anon_sym_co_yield] = ACTIONS(2330),
    [anon_sym_R_DQUOTE] = ACTIONS(2332),
    [anon_sym_LR_DQUOTE] = ACTIONS(2332),
    [anon_sym_uR_DQUOTE] = ACTIONS(2332),
    [anon_sym_UR_DQUOTE] = ACTIONS(2332),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2332),
    [anon_sym_co_await] = ACTIONS(2330),
    [anon_sym_new] = ACTIONS(2330),
    [anon_sym_requires] = ACTIONS(2330),
    [sym_this] = ACTIONS(2330),
    [anon_sym_discard] = ACTIONS(2330),
    [anon_sym_precise] = ACTIONS(2330),
    [anon_sym_shared] = ACTIONS(2330),
    [anon_sym_groupshared] = ACTIONS(2330),
    [anon_sym_uniform] = ACTIONS(2330),
    [anon_sym_row_major] = ACTIONS(2330),
    [anon_sym_column_major] = ACTIONS(2330),
    [anon_sym_globallycoherent] = ACTIONS(2330),
    [anon_sym_centroid] = ACTIONS(2330),
    [anon_sym_noperspective] = ACTIONS(2330),
    [anon_sym_nointerpolation] = ACTIONS(2330),
    [anon_sym_sample] = ACTIONS(2330),
    [anon_sym_linear] = ACTIONS(2330),
    [anon_sym_snorm] = ACTIONS(2330),
    [anon_sym_unorm] = ACTIONS(2330),
    [anon_sym_point] = ACTIONS(2330),
    [anon_sym_line] = ACTIONS(2330),
    [anon_sym_triangleadj] = ACTIONS(2330),
    [anon_sym_lineadj] = ACTIONS(2330),
    [anon_sym_triangle] = ACTIONS(2330),
    [anon_sym_cbuffer] = ACTIONS(2330),
  },
  [1551] = {
    [sym_identifier] = ACTIONS(2364),
    [anon_sym_LPAREN2] = ACTIONS(2366),
    [anon_sym_BANG] = ACTIONS(2366),
    [anon_sym_TILDE] = ACTIONS(2366),
    [anon_sym_DASH] = ACTIONS(2364),
    [anon_sym_PLUS] = ACTIONS(2364),
    [anon_sym_STAR] = ACTIONS(2366),
    [anon_sym_AMP] = ACTIONS(2366),
    [anon_sym_SEMI] = ACTIONS(2366),
    [anon_sym___extension__] = ACTIONS(2364),
    [anon_sym_typedef] = ACTIONS(2364),
    [anon_sym_in] = ACTIONS(2364),
    [anon_sym_out] = ACTIONS(2364),
    [anon_sym_inout] = ACTIONS(2364),
    [anon_sym_extern] = ACTIONS(2364),
    [anon_sym___attribute__] = ACTIONS(2364),
    [anon_sym_COLON_COLON] = ACTIONS(2366),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2366),
    [anon_sym___declspec] = ACTIONS(2364),
    [anon_sym_LBRACE] = ACTIONS(2366),
    [anon_sym_signed] = ACTIONS(2364),
    [anon_sym_unsigned] = ACTIONS(2364),
    [anon_sym_long] = ACTIONS(2364),
    [anon_sym_short] = ACTIONS(2364),
    [anon_sym_LBRACK] = ACTIONS(2364),
    [anon_sym_static] = ACTIONS(2364),
    [anon_sym_register] = ACTIONS(2364),
    [anon_sym_inline] = ACTIONS(2364),
    [anon_sym___inline] = ACTIONS(2364),
    [anon_sym___inline__] = ACTIONS(2364),
    [anon_sym___forceinline] = ACTIONS(2364),
    [anon_sym_thread_local] = ACTIONS(2364),
    [anon_sym___thread] = ACTIONS(2364),
    [anon_sym_const] = ACTIONS(2364),
    [anon_sym_constexpr] = ACTIONS(2364),
    [anon_sym_volatile] = ACTIONS(2364),
    [anon_sym_restrict] = ACTIONS(2364),
    [anon_sym___restrict__] = ACTIONS(2364),
    [anon_sym__Atomic] = ACTIONS(2364),
    [anon_sym__Noreturn] = ACTIONS(2364),
    [anon_sym_noreturn] = ACTIONS(2364),
    [anon_sym_mutable] = ACTIONS(2364),
    [anon_sym_constinit] = ACTIONS(2364),
    [anon_sym_consteval] = ACTIONS(2364),
    [sym_primitive_type] = ACTIONS(2364),
    [anon_sym_enum] = ACTIONS(2364),
    [anon_sym_class] = ACTIONS(2364),
    [anon_sym_struct] = ACTIONS(2364),
    [anon_sym_union] = ACTIONS(2364),
    [anon_sym_if] = ACTIONS(2364),
    [anon_sym_else] = ACTIONS(2364),
    [anon_sym_switch] = ACTIONS(2364),
    [anon_sym_while] = ACTIONS(2364),
    [anon_sym_do] = ACTIONS(2364),
    [anon_sym_for] = ACTIONS(2364),
    [anon_sym_return] = ACTIONS(2364),
    [anon_sym_break] = ACTIONS(2364),
    [anon_sym_continue] = ACTIONS(2364),
    [anon_sym_goto] = ACTIONS(2364),
    [anon_sym___try] = ACTIONS(2364),
    [anon_sym___leave] = ACTIONS(2364),
    [anon_sym_not] = ACTIONS(2364),
    [anon_sym_compl] = ACTIONS(2364),
    [anon_sym_DASH_DASH] = ACTIONS(2366),
    [anon_sym_PLUS_PLUS] = ACTIONS(2366),
    [anon_sym_sizeof] = ACTIONS(2364),
    [anon_sym___alignof__] = ACTIONS(2364),
    [anon_sym___alignof] = ACTIONS(2364),
    [anon_sym__alignof] = ACTIONS(2364),
    [anon_sym_alignof] = ACTIONS(2364),
    [anon_sym__Alignof] = ACTIONS(2364),
    [anon_sym_offsetof] = ACTIONS(2364),
    [anon_sym__Generic] = ACTIONS(2364),
    [anon_sym_asm] = ACTIONS(2364),
    [anon_sym___asm__] = ACTIONS(2364),
    [sym_number_literal] = ACTIONS(2366),
    [anon_sym_L_SQUOTE] = ACTIONS(2366),
    [anon_sym_u_SQUOTE] = ACTIONS(2366),
    [anon_sym_U_SQUOTE] = ACTIONS(2366),
    [anon_sym_u8_SQUOTE] = ACTIONS(2366),
    [anon_sym_SQUOTE] = ACTIONS(2366),
    [anon_sym_L_DQUOTE] = ACTIONS(2366),
    [anon_sym_u_DQUOTE] = ACTIONS(2366),
    [anon_sym_U_DQUOTE] = ACTIONS(2366),
    [anon_sym_u8_DQUOTE] = ACTIONS(2366),
    [anon_sym_DQUOTE] = ACTIONS(2366),
    [sym_true] = ACTIONS(2364),
    [sym_false] = ACTIONS(2364),
    [anon_sym_NULL] = ACTIONS(2364),
    [anon_sym_nullptr] = ACTIONS(2364),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2364),
    [anon_sym_decltype] = ACTIONS(2364),
    [anon_sym_virtual] = ACTIONS(2364),
    [anon_sym_alignas] = ACTIONS(2364),
    [anon_sym_typename] = ACTIONS(2364),
    [anon_sym_template] = ACTIONS(2364),
    [anon_sym_try] = ACTIONS(2364),
    [anon_sym_delete] = ACTIONS(2364),
    [anon_sym_throw] = ACTIONS(2364),
    [anon_sym_co_return] = ACTIONS(2364),
    [anon_sym_co_yield] = ACTIONS(2364),
    [anon_sym_R_DQUOTE] = ACTIONS(2366),
    [anon_sym_LR_DQUOTE] = ACTIONS(2366),
    [anon_sym_uR_DQUOTE] = ACTIONS(2366),
    [anon_sym_UR_DQUOTE] = ACTIONS(2366),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2366),
    [anon_sym_co_await] = ACTIONS(2364),
    [anon_sym_new] = ACTIONS(2364),
    [anon_sym_requires] = ACTIONS(2364),
    [sym_this] = ACTIONS(2364),
    [anon_sym_discard] = ACTIONS(2364),
    [anon_sym_precise] = ACTIONS(2364),
    [anon_sym_shared] = ACTIONS(2364),
    [anon_sym_groupshared] = ACTIONS(2364),
    [anon_sym_uniform] = ACTIONS(2364),
    [anon_sym_row_major] = ACTIONS(2364),
    [anon_sym_column_major] = ACTIONS(2364),
    [anon_sym_globallycoherent] = ACTIONS(2364),
    [anon_sym_centroid] = ACTIONS(2364),
    [anon_sym_noperspective] = ACTIONS(2364),
    [anon_sym_nointerpolation] = ACTIONS(2364),
    [anon_sym_sample] = ACTIONS(2364),
    [anon_sym_linear] = ACTIONS(2364),
    [anon_sym_snorm] = ACTIONS(2364),
    [anon_sym_unorm] = ACTIONS(2364),
    [anon_sym_point] = ACTIONS(2364),
    [anon_sym_line] = ACTIONS(2364),
    [anon_sym_triangleadj] = ACTIONS(2364),
    [anon_sym_lineadj] = ACTIONS(2364),
    [anon_sym_triangle] = ACTIONS(2364),
    [anon_sym_cbuffer] = ACTIONS(2364),
  },
  [1552] = {
    [sym_identifier] = ACTIONS(2364),
    [anon_sym_LPAREN2] = ACTIONS(2366),
    [anon_sym_BANG] = ACTIONS(2366),
    [anon_sym_TILDE] = ACTIONS(2366),
    [anon_sym_DASH] = ACTIONS(2364),
    [anon_sym_PLUS] = ACTIONS(2364),
    [anon_sym_STAR] = ACTIONS(2366),
    [anon_sym_AMP] = ACTIONS(2366),
    [anon_sym_SEMI] = ACTIONS(2366),
    [anon_sym___extension__] = ACTIONS(2364),
    [anon_sym_typedef] = ACTIONS(2364),
    [anon_sym_in] = ACTIONS(2364),
    [anon_sym_out] = ACTIONS(2364),
    [anon_sym_inout] = ACTIONS(2364),
    [anon_sym_extern] = ACTIONS(2364),
    [anon_sym___attribute__] = ACTIONS(2364),
    [anon_sym_COLON_COLON] = ACTIONS(2366),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2366),
    [anon_sym___declspec] = ACTIONS(2364),
    [anon_sym_LBRACE] = ACTIONS(2366),
    [anon_sym_signed] = ACTIONS(2364),
    [anon_sym_unsigned] = ACTIONS(2364),
    [anon_sym_long] = ACTIONS(2364),
    [anon_sym_short] = ACTIONS(2364),
    [anon_sym_LBRACK] = ACTIONS(2364),
    [anon_sym_static] = ACTIONS(2364),
    [anon_sym_register] = ACTIONS(2364),
    [anon_sym_inline] = ACTIONS(2364),
    [anon_sym___inline] = ACTIONS(2364),
    [anon_sym___inline__] = ACTIONS(2364),
    [anon_sym___forceinline] = ACTIONS(2364),
    [anon_sym_thread_local] = ACTIONS(2364),
    [anon_sym___thread] = ACTIONS(2364),
    [anon_sym_const] = ACTIONS(2364),
    [anon_sym_constexpr] = ACTIONS(2364),
    [anon_sym_volatile] = ACTIONS(2364),
    [anon_sym_restrict] = ACTIONS(2364),
    [anon_sym___restrict__] = ACTIONS(2364),
    [anon_sym__Atomic] = ACTIONS(2364),
    [anon_sym__Noreturn] = ACTIONS(2364),
    [anon_sym_noreturn] = ACTIONS(2364),
    [anon_sym_mutable] = ACTIONS(2364),
    [anon_sym_constinit] = ACTIONS(2364),
    [anon_sym_consteval] = ACTIONS(2364),
    [sym_primitive_type] = ACTIONS(2364),
    [anon_sym_enum] = ACTIONS(2364),
    [anon_sym_class] = ACTIONS(2364),
    [anon_sym_struct] = ACTIONS(2364),
    [anon_sym_union] = ACTIONS(2364),
    [anon_sym_if] = ACTIONS(2364),
    [anon_sym_else] = ACTIONS(2364),
    [anon_sym_switch] = ACTIONS(2364),
    [anon_sym_while] = ACTIONS(2364),
    [anon_sym_do] = ACTIONS(2364),
    [anon_sym_for] = ACTIONS(2364),
    [anon_sym_return] = ACTIONS(2364),
    [anon_sym_break] = ACTIONS(2364),
    [anon_sym_continue] = ACTIONS(2364),
    [anon_sym_goto] = ACTIONS(2364),
    [anon_sym___try] = ACTIONS(2364),
    [anon_sym___leave] = ACTIONS(2364),
    [anon_sym_not] = ACTIONS(2364),
    [anon_sym_compl] = ACTIONS(2364),
    [anon_sym_DASH_DASH] = ACTIONS(2366),
    [anon_sym_PLUS_PLUS] = ACTIONS(2366),
    [anon_sym_sizeof] = ACTIONS(2364),
    [anon_sym___alignof__] = ACTIONS(2364),
    [anon_sym___alignof] = ACTIONS(2364),
    [anon_sym__alignof] = ACTIONS(2364),
    [anon_sym_alignof] = ACTIONS(2364),
    [anon_sym__Alignof] = ACTIONS(2364),
    [anon_sym_offsetof] = ACTIONS(2364),
    [anon_sym__Generic] = ACTIONS(2364),
    [anon_sym_asm] = ACTIONS(2364),
    [anon_sym___asm__] = ACTIONS(2364),
    [sym_number_literal] = ACTIONS(2366),
    [anon_sym_L_SQUOTE] = ACTIONS(2366),
    [anon_sym_u_SQUOTE] = ACTIONS(2366),
    [anon_sym_U_SQUOTE] = ACTIONS(2366),
    [anon_sym_u8_SQUOTE] = ACTIONS(2366),
    [anon_sym_SQUOTE] = ACTIONS(2366),
    [anon_sym_L_DQUOTE] = ACTIONS(2366),
    [anon_sym_u_DQUOTE] = ACTIONS(2366),
    [anon_sym_U_DQUOTE] = ACTIONS(2366),
    [anon_sym_u8_DQUOTE] = ACTIONS(2366),
    [anon_sym_DQUOTE] = ACTIONS(2366),
    [sym_true] = ACTIONS(2364),
    [sym_false] = ACTIONS(2364),
    [anon_sym_NULL] = ACTIONS(2364),
    [anon_sym_nullptr] = ACTIONS(2364),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2364),
    [anon_sym_decltype] = ACTIONS(2364),
    [anon_sym_virtual] = ACTIONS(2364),
    [anon_sym_alignas] = ACTIONS(2364),
    [anon_sym_typename] = ACTIONS(2364),
    [anon_sym_template] = ACTIONS(2364),
    [anon_sym_try] = ACTIONS(2364),
    [anon_sym_delete] = ACTIONS(2364),
    [anon_sym_throw] = ACTIONS(2364),
    [anon_sym_co_return] = ACTIONS(2364),
    [anon_sym_co_yield] = ACTIONS(2364),
    [anon_sym_R_DQUOTE] = ACTIONS(2366),
    [anon_sym_LR_DQUOTE] = ACTIONS(2366),
    [anon_sym_uR_DQUOTE] = ACTIONS(2366),
    [anon_sym_UR_DQUOTE] = ACTIONS(2366),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2366),
    [anon_sym_co_await] = ACTIONS(2364),
    [anon_sym_new] = ACTIONS(2364),
    [anon_sym_requires] = ACTIONS(2364),
    [sym_this] = ACTIONS(2364),
    [anon_sym_discard] = ACTIONS(2364),
    [anon_sym_precise] = ACTIONS(2364),
    [anon_sym_shared] = ACTIONS(2364),
    [anon_sym_groupshared] = ACTIONS(2364),
    [anon_sym_uniform] = ACTIONS(2364),
    [anon_sym_row_major] = ACTIONS(2364),
    [anon_sym_column_major] = ACTIONS(2364),
    [anon_sym_globallycoherent] = ACTIONS(2364),
    [anon_sym_centroid] = ACTIONS(2364),
    [anon_sym_noperspective] = ACTIONS(2364),
    [anon_sym_nointerpolation] = ACTIONS(2364),
    [anon_sym_sample] = ACTIONS(2364),
    [anon_sym_linear] = ACTIONS(2364),
    [anon_sym_snorm] = ACTIONS(2364),
    [anon_sym_unorm] = ACTIONS(2364),
    [anon_sym_point] = ACTIONS(2364),
    [anon_sym_line] = ACTIONS(2364),
    [anon_sym_triangleadj] = ACTIONS(2364),
    [anon_sym_lineadj] = ACTIONS(2364),
    [anon_sym_triangle] = ACTIONS(2364),
    [anon_sym_cbuffer] = ACTIONS(2364),
  },
  [1553] = {
    [sym_identifier] = ACTIONS(2448),
    [anon_sym_LPAREN2] = ACTIONS(2450),
    [anon_sym_BANG] = ACTIONS(2450),
    [anon_sym_TILDE] = ACTIONS(2450),
    [anon_sym_DASH] = ACTIONS(2448),
    [anon_sym_PLUS] = ACTIONS(2448),
    [anon_sym_STAR] = ACTIONS(2450),
    [anon_sym_AMP] = ACTIONS(2450),
    [anon_sym_SEMI] = ACTIONS(2450),
    [anon_sym___extension__] = ACTIONS(2448),
    [anon_sym_typedef] = ACTIONS(2448),
    [anon_sym_in] = ACTIONS(2448),
    [anon_sym_out] = ACTIONS(2448),
    [anon_sym_inout] = ACTIONS(2448),
    [anon_sym_extern] = ACTIONS(2448),
    [anon_sym___attribute__] = ACTIONS(2448),
    [anon_sym_COLON_COLON] = ACTIONS(2450),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2450),
    [anon_sym___declspec] = ACTIONS(2448),
    [anon_sym_LBRACE] = ACTIONS(2450),
    [anon_sym_signed] = ACTIONS(2448),
    [anon_sym_unsigned] = ACTIONS(2448),
    [anon_sym_long] = ACTIONS(2448),
    [anon_sym_short] = ACTIONS(2448),
    [anon_sym_LBRACK] = ACTIONS(2448),
    [anon_sym_static] = ACTIONS(2448),
    [anon_sym_register] = ACTIONS(2448),
    [anon_sym_inline] = ACTIONS(2448),
    [anon_sym___inline] = ACTIONS(2448),
    [anon_sym___inline__] = ACTIONS(2448),
    [anon_sym___forceinline] = ACTIONS(2448),
    [anon_sym_thread_local] = ACTIONS(2448),
    [anon_sym___thread] = ACTIONS(2448),
    [anon_sym_const] = ACTIONS(2448),
    [anon_sym_constexpr] = ACTIONS(2448),
    [anon_sym_volatile] = ACTIONS(2448),
    [anon_sym_restrict] = ACTIONS(2448),
    [anon_sym___restrict__] = ACTIONS(2448),
    [anon_sym__Atomic] = ACTIONS(2448),
    [anon_sym__Noreturn] = ACTIONS(2448),
    [anon_sym_noreturn] = ACTIONS(2448),
    [anon_sym_mutable] = ACTIONS(2448),
    [anon_sym_constinit] = ACTIONS(2448),
    [anon_sym_consteval] = ACTIONS(2448),
    [sym_primitive_type] = ACTIONS(2448),
    [anon_sym_enum] = ACTIONS(2448),
    [anon_sym_class] = ACTIONS(2448),
    [anon_sym_struct] = ACTIONS(2448),
    [anon_sym_union] = ACTIONS(2448),
    [anon_sym_if] = ACTIONS(2448),
    [anon_sym_else] = ACTIONS(2448),
    [anon_sym_switch] = ACTIONS(2448),
    [anon_sym_while] = ACTIONS(2448),
    [anon_sym_do] = ACTIONS(2448),
    [anon_sym_for] = ACTIONS(2448),
    [anon_sym_return] = ACTIONS(2448),
    [anon_sym_break] = ACTIONS(2448),
    [anon_sym_continue] = ACTIONS(2448),
    [anon_sym_goto] = ACTIONS(2448),
    [anon_sym___try] = ACTIONS(2448),
    [anon_sym___leave] = ACTIONS(2448),
    [anon_sym_not] = ACTIONS(2448),
    [anon_sym_compl] = ACTIONS(2448),
    [anon_sym_DASH_DASH] = ACTIONS(2450),
    [anon_sym_PLUS_PLUS] = ACTIONS(2450),
    [anon_sym_sizeof] = ACTIONS(2448),
    [anon_sym___alignof__] = ACTIONS(2448),
    [anon_sym___alignof] = ACTIONS(2448),
    [anon_sym__alignof] = ACTIONS(2448),
    [anon_sym_alignof] = ACTIONS(2448),
    [anon_sym__Alignof] = ACTIONS(2448),
    [anon_sym_offsetof] = ACTIONS(2448),
    [anon_sym__Generic] = ACTIONS(2448),
    [anon_sym_asm] = ACTIONS(2448),
    [anon_sym___asm__] = ACTIONS(2448),
    [sym_number_literal] = ACTIONS(2450),
    [anon_sym_L_SQUOTE] = ACTIONS(2450),
    [anon_sym_u_SQUOTE] = ACTIONS(2450),
    [anon_sym_U_SQUOTE] = ACTIONS(2450),
    [anon_sym_u8_SQUOTE] = ACTIONS(2450),
    [anon_sym_SQUOTE] = ACTIONS(2450),
    [anon_sym_L_DQUOTE] = ACTIONS(2450),
    [anon_sym_u_DQUOTE] = ACTIONS(2450),
    [anon_sym_U_DQUOTE] = ACTIONS(2450),
    [anon_sym_u8_DQUOTE] = ACTIONS(2450),
    [anon_sym_DQUOTE] = ACTIONS(2450),
    [sym_true] = ACTIONS(2448),
    [sym_false] = ACTIONS(2448),
    [anon_sym_NULL] = ACTIONS(2448),
    [anon_sym_nullptr] = ACTIONS(2448),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2448),
    [anon_sym_decltype] = ACTIONS(2448),
    [anon_sym_virtual] = ACTIONS(2448),
    [anon_sym_alignas] = ACTIONS(2448),
    [anon_sym_typename] = ACTIONS(2448),
    [anon_sym_template] = ACTIONS(2448),
    [anon_sym_try] = ACTIONS(2448),
    [anon_sym_delete] = ACTIONS(2448),
    [anon_sym_throw] = ACTIONS(2448),
    [anon_sym_co_return] = ACTIONS(2448),
    [anon_sym_co_yield] = ACTIONS(2448),
    [anon_sym_R_DQUOTE] = ACTIONS(2450),
    [anon_sym_LR_DQUOTE] = ACTIONS(2450),
    [anon_sym_uR_DQUOTE] = ACTIONS(2450),
    [anon_sym_UR_DQUOTE] = ACTIONS(2450),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2450),
    [anon_sym_co_await] = ACTIONS(2448),
    [anon_sym_new] = ACTIONS(2448),
    [anon_sym_requires] = ACTIONS(2448),
    [sym_this] = ACTIONS(2448),
    [anon_sym_discard] = ACTIONS(2448),
    [anon_sym_precise] = ACTIONS(2448),
    [anon_sym_shared] = ACTIONS(2448),
    [anon_sym_groupshared] = ACTIONS(2448),
    [anon_sym_uniform] = ACTIONS(2448),
    [anon_sym_row_major] = ACTIONS(2448),
    [anon_sym_column_major] = ACTIONS(2448),
    [anon_sym_globallycoherent] = ACTIONS(2448),
    [anon_sym_centroid] = ACTIONS(2448),
    [anon_sym_noperspective] = ACTIONS(2448),
    [anon_sym_nointerpolation] = ACTIONS(2448),
    [anon_sym_sample] = ACTIONS(2448),
    [anon_sym_linear] = ACTIONS(2448),
    [anon_sym_snorm] = ACTIONS(2448),
    [anon_sym_unorm] = ACTIONS(2448),
    [anon_sym_point] = ACTIONS(2448),
    [anon_sym_line] = ACTIONS(2448),
    [anon_sym_triangleadj] = ACTIONS(2448),
    [anon_sym_lineadj] = ACTIONS(2448),
    [anon_sym_triangle] = ACTIONS(2448),
    [anon_sym_cbuffer] = ACTIONS(2448),
  },
  [1554] = {
    [sym_identifier] = ACTIONS(2372),
    [anon_sym_LPAREN2] = ACTIONS(2374),
    [anon_sym_BANG] = ACTIONS(2374),
    [anon_sym_TILDE] = ACTIONS(2374),
    [anon_sym_DASH] = ACTIONS(2372),
    [anon_sym_PLUS] = ACTIONS(2372),
    [anon_sym_STAR] = ACTIONS(2374),
    [anon_sym_AMP] = ACTIONS(2374),
    [anon_sym_SEMI] = ACTIONS(2374),
    [anon_sym___extension__] = ACTIONS(2372),
    [anon_sym_typedef] = ACTIONS(2372),
    [anon_sym_in] = ACTIONS(2372),
    [anon_sym_out] = ACTIONS(2372),
    [anon_sym_inout] = ACTIONS(2372),
    [anon_sym_extern] = ACTIONS(2372),
    [anon_sym___attribute__] = ACTIONS(2372),
    [anon_sym_COLON_COLON] = ACTIONS(2374),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2374),
    [anon_sym___declspec] = ACTIONS(2372),
    [anon_sym_LBRACE] = ACTIONS(2374),
    [anon_sym_signed] = ACTIONS(2372),
    [anon_sym_unsigned] = ACTIONS(2372),
    [anon_sym_long] = ACTIONS(2372),
    [anon_sym_short] = ACTIONS(2372),
    [anon_sym_LBRACK] = ACTIONS(2372),
    [anon_sym_static] = ACTIONS(2372),
    [anon_sym_register] = ACTIONS(2372),
    [anon_sym_inline] = ACTIONS(2372),
    [anon_sym___inline] = ACTIONS(2372),
    [anon_sym___inline__] = ACTIONS(2372),
    [anon_sym___forceinline] = ACTIONS(2372),
    [anon_sym_thread_local] = ACTIONS(2372),
    [anon_sym___thread] = ACTIONS(2372),
    [anon_sym_const] = ACTIONS(2372),
    [anon_sym_constexpr] = ACTIONS(2372),
    [anon_sym_volatile] = ACTIONS(2372),
    [anon_sym_restrict] = ACTIONS(2372),
    [anon_sym___restrict__] = ACTIONS(2372),
    [anon_sym__Atomic] = ACTIONS(2372),
    [anon_sym__Noreturn] = ACTIONS(2372),
    [anon_sym_noreturn] = ACTIONS(2372),
    [anon_sym_mutable] = ACTIONS(2372),
    [anon_sym_constinit] = ACTIONS(2372),
    [anon_sym_consteval] = ACTIONS(2372),
    [sym_primitive_type] = ACTIONS(2372),
    [anon_sym_enum] = ACTIONS(2372),
    [anon_sym_class] = ACTIONS(2372),
    [anon_sym_struct] = ACTIONS(2372),
    [anon_sym_union] = ACTIONS(2372),
    [anon_sym_if] = ACTIONS(2372),
    [anon_sym_else] = ACTIONS(2372),
    [anon_sym_switch] = ACTIONS(2372),
    [anon_sym_while] = ACTIONS(2372),
    [anon_sym_do] = ACTIONS(2372),
    [anon_sym_for] = ACTIONS(2372),
    [anon_sym_return] = ACTIONS(2372),
    [anon_sym_break] = ACTIONS(2372),
    [anon_sym_continue] = ACTIONS(2372),
    [anon_sym_goto] = ACTIONS(2372),
    [anon_sym___try] = ACTIONS(2372),
    [anon_sym___leave] = ACTIONS(2372),
    [anon_sym_not] = ACTIONS(2372),
    [anon_sym_compl] = ACTIONS(2372),
    [anon_sym_DASH_DASH] = ACTIONS(2374),
    [anon_sym_PLUS_PLUS] = ACTIONS(2374),
    [anon_sym_sizeof] = ACTIONS(2372),
    [anon_sym___alignof__] = ACTIONS(2372),
    [anon_sym___alignof] = ACTIONS(2372),
    [anon_sym__alignof] = ACTIONS(2372),
    [anon_sym_alignof] = ACTIONS(2372),
    [anon_sym__Alignof] = ACTIONS(2372),
    [anon_sym_offsetof] = ACTIONS(2372),
    [anon_sym__Generic] = ACTIONS(2372),
    [anon_sym_asm] = ACTIONS(2372),
    [anon_sym___asm__] = ACTIONS(2372),
    [sym_number_literal] = ACTIONS(2374),
    [anon_sym_L_SQUOTE] = ACTIONS(2374),
    [anon_sym_u_SQUOTE] = ACTIONS(2374),
    [anon_sym_U_SQUOTE] = ACTIONS(2374),
    [anon_sym_u8_SQUOTE] = ACTIONS(2374),
    [anon_sym_SQUOTE] = ACTIONS(2374),
    [anon_sym_L_DQUOTE] = ACTIONS(2374),
    [anon_sym_u_DQUOTE] = ACTIONS(2374),
    [anon_sym_U_DQUOTE] = ACTIONS(2374),
    [anon_sym_u8_DQUOTE] = ACTIONS(2374),
    [anon_sym_DQUOTE] = ACTIONS(2374),
    [sym_true] = ACTIONS(2372),
    [sym_false] = ACTIONS(2372),
    [anon_sym_NULL] = ACTIONS(2372),
    [anon_sym_nullptr] = ACTIONS(2372),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2372),
    [anon_sym_decltype] = ACTIONS(2372),
    [anon_sym_virtual] = ACTIONS(2372),
    [anon_sym_alignas] = ACTIONS(2372),
    [anon_sym_typename] = ACTIONS(2372),
    [anon_sym_template] = ACTIONS(2372),
    [anon_sym_try] = ACTIONS(2372),
    [anon_sym_delete] = ACTIONS(2372),
    [anon_sym_throw] = ACTIONS(2372),
    [anon_sym_co_return] = ACTIONS(2372),
    [anon_sym_co_yield] = ACTIONS(2372),
    [anon_sym_R_DQUOTE] = ACTIONS(2374),
    [anon_sym_LR_DQUOTE] = ACTIONS(2374),
    [anon_sym_uR_DQUOTE] = ACTIONS(2374),
    [anon_sym_UR_DQUOTE] = ACTIONS(2374),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2374),
    [anon_sym_co_await] = ACTIONS(2372),
    [anon_sym_new] = ACTIONS(2372),
    [anon_sym_requires] = ACTIONS(2372),
    [sym_this] = ACTIONS(2372),
    [anon_sym_discard] = ACTIONS(2372),
    [anon_sym_precise] = ACTIONS(2372),
    [anon_sym_shared] = ACTIONS(2372),
    [anon_sym_groupshared] = ACTIONS(2372),
    [anon_sym_uniform] = ACTIONS(2372),
    [anon_sym_row_major] = ACTIONS(2372),
    [anon_sym_column_major] = ACTIONS(2372),
    [anon_sym_globallycoherent] = ACTIONS(2372),
    [anon_sym_centroid] = ACTIONS(2372),
    [anon_sym_noperspective] = ACTIONS(2372),
    [anon_sym_nointerpolation] = ACTIONS(2372),
    [anon_sym_sample] = ACTIONS(2372),
    [anon_sym_linear] = ACTIONS(2372),
    [anon_sym_snorm] = ACTIONS(2372),
    [anon_sym_unorm] = ACTIONS(2372),
    [anon_sym_point] = ACTIONS(2372),
    [anon_sym_line] = ACTIONS(2372),
    [anon_sym_triangleadj] = ACTIONS(2372),
    [anon_sym_lineadj] = ACTIONS(2372),
    [anon_sym_triangle] = ACTIONS(2372),
    [anon_sym_cbuffer] = ACTIONS(2372),
  },
  [1555] = {
    [sym_identifier] = ACTIONS(2364),
    [anon_sym_LPAREN2] = ACTIONS(2366),
    [anon_sym_BANG] = ACTIONS(2366),
    [anon_sym_TILDE] = ACTIONS(2366),
    [anon_sym_DASH] = ACTIONS(2364),
    [anon_sym_PLUS] = ACTIONS(2364),
    [anon_sym_STAR] = ACTIONS(2366),
    [anon_sym_AMP] = ACTIONS(2366),
    [anon_sym_SEMI] = ACTIONS(2366),
    [anon_sym___extension__] = ACTIONS(2364),
    [anon_sym_typedef] = ACTIONS(2364),
    [anon_sym_in] = ACTIONS(2364),
    [anon_sym_out] = ACTIONS(2364),
    [anon_sym_inout] = ACTIONS(2364),
    [anon_sym_extern] = ACTIONS(2364),
    [anon_sym___attribute__] = ACTIONS(2364),
    [anon_sym_COLON_COLON] = ACTIONS(2366),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2366),
    [anon_sym___declspec] = ACTIONS(2364),
    [anon_sym_LBRACE] = ACTIONS(2366),
    [anon_sym_signed] = ACTIONS(2364),
    [anon_sym_unsigned] = ACTIONS(2364),
    [anon_sym_long] = ACTIONS(2364),
    [anon_sym_short] = ACTIONS(2364),
    [anon_sym_LBRACK] = ACTIONS(2364),
    [anon_sym_static] = ACTIONS(2364),
    [anon_sym_register] = ACTIONS(2364),
    [anon_sym_inline] = ACTIONS(2364),
    [anon_sym___inline] = ACTIONS(2364),
    [anon_sym___inline__] = ACTIONS(2364),
    [anon_sym___forceinline] = ACTIONS(2364),
    [anon_sym_thread_local] = ACTIONS(2364),
    [anon_sym___thread] = ACTIONS(2364),
    [anon_sym_const] = ACTIONS(2364),
    [anon_sym_constexpr] = ACTIONS(2364),
    [anon_sym_volatile] = ACTIONS(2364),
    [anon_sym_restrict] = ACTIONS(2364),
    [anon_sym___restrict__] = ACTIONS(2364),
    [anon_sym__Atomic] = ACTIONS(2364),
    [anon_sym__Noreturn] = ACTIONS(2364),
    [anon_sym_noreturn] = ACTIONS(2364),
    [anon_sym_mutable] = ACTIONS(2364),
    [anon_sym_constinit] = ACTIONS(2364),
    [anon_sym_consteval] = ACTIONS(2364),
    [sym_primitive_type] = ACTIONS(2364),
    [anon_sym_enum] = ACTIONS(2364),
    [anon_sym_class] = ACTIONS(2364),
    [anon_sym_struct] = ACTIONS(2364),
    [anon_sym_union] = ACTIONS(2364),
    [anon_sym_if] = ACTIONS(2364),
    [anon_sym_else] = ACTIONS(2364),
    [anon_sym_switch] = ACTIONS(2364),
    [anon_sym_while] = ACTIONS(2364),
    [anon_sym_do] = ACTIONS(2364),
    [anon_sym_for] = ACTIONS(2364),
    [anon_sym_return] = ACTIONS(2364),
    [anon_sym_break] = ACTIONS(2364),
    [anon_sym_continue] = ACTIONS(2364),
    [anon_sym_goto] = ACTIONS(2364),
    [anon_sym___try] = ACTIONS(2364),
    [anon_sym___leave] = ACTIONS(2364),
    [anon_sym_not] = ACTIONS(2364),
    [anon_sym_compl] = ACTIONS(2364),
    [anon_sym_DASH_DASH] = ACTIONS(2366),
    [anon_sym_PLUS_PLUS] = ACTIONS(2366),
    [anon_sym_sizeof] = ACTIONS(2364),
    [anon_sym___alignof__] = ACTIONS(2364),
    [anon_sym___alignof] = ACTIONS(2364),
    [anon_sym__alignof] = ACTIONS(2364),
    [anon_sym_alignof] = ACTIONS(2364),
    [anon_sym__Alignof] = ACTIONS(2364),
    [anon_sym_offsetof] = ACTIONS(2364),
    [anon_sym__Generic] = ACTIONS(2364),
    [anon_sym_asm] = ACTIONS(2364),
    [anon_sym___asm__] = ACTIONS(2364),
    [sym_number_literal] = ACTIONS(2366),
    [anon_sym_L_SQUOTE] = ACTIONS(2366),
    [anon_sym_u_SQUOTE] = ACTIONS(2366),
    [anon_sym_U_SQUOTE] = ACTIONS(2366),
    [anon_sym_u8_SQUOTE] = ACTIONS(2366),
    [anon_sym_SQUOTE] = ACTIONS(2366),
    [anon_sym_L_DQUOTE] = ACTIONS(2366),
    [anon_sym_u_DQUOTE] = ACTIONS(2366),
    [anon_sym_U_DQUOTE] = ACTIONS(2366),
    [anon_sym_u8_DQUOTE] = ACTIONS(2366),
    [anon_sym_DQUOTE] = ACTIONS(2366),
    [sym_true] = ACTIONS(2364),
    [sym_false] = ACTIONS(2364),
    [anon_sym_NULL] = ACTIONS(2364),
    [anon_sym_nullptr] = ACTIONS(2364),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2364),
    [anon_sym_decltype] = ACTIONS(2364),
    [anon_sym_virtual] = ACTIONS(2364),
    [anon_sym_alignas] = ACTIONS(2364),
    [anon_sym_typename] = ACTIONS(2364),
    [anon_sym_template] = ACTIONS(2364),
    [anon_sym_try] = ACTIONS(2364),
    [anon_sym_delete] = ACTIONS(2364),
    [anon_sym_throw] = ACTIONS(2364),
    [anon_sym_co_return] = ACTIONS(2364),
    [anon_sym_co_yield] = ACTIONS(2364),
    [anon_sym_R_DQUOTE] = ACTIONS(2366),
    [anon_sym_LR_DQUOTE] = ACTIONS(2366),
    [anon_sym_uR_DQUOTE] = ACTIONS(2366),
    [anon_sym_UR_DQUOTE] = ACTIONS(2366),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2366),
    [anon_sym_co_await] = ACTIONS(2364),
    [anon_sym_new] = ACTIONS(2364),
    [anon_sym_requires] = ACTIONS(2364),
    [sym_this] = ACTIONS(2364),
    [anon_sym_discard] = ACTIONS(2364),
    [anon_sym_precise] = ACTIONS(2364),
    [anon_sym_shared] = ACTIONS(2364),
    [anon_sym_groupshared] = ACTIONS(2364),
    [anon_sym_uniform] = ACTIONS(2364),
    [anon_sym_row_major] = ACTIONS(2364),
    [anon_sym_column_major] = ACTIONS(2364),
    [anon_sym_globallycoherent] = ACTIONS(2364),
    [anon_sym_centroid] = ACTIONS(2364),
    [anon_sym_noperspective] = ACTIONS(2364),
    [anon_sym_nointerpolation] = ACTIONS(2364),
    [anon_sym_sample] = ACTIONS(2364),
    [anon_sym_linear] = ACTIONS(2364),
    [anon_sym_snorm] = ACTIONS(2364),
    [anon_sym_unorm] = ACTIONS(2364),
    [anon_sym_point] = ACTIONS(2364),
    [anon_sym_line] = ACTIONS(2364),
    [anon_sym_triangleadj] = ACTIONS(2364),
    [anon_sym_lineadj] = ACTIONS(2364),
    [anon_sym_triangle] = ACTIONS(2364),
    [anon_sym_cbuffer] = ACTIONS(2364),
  },
  [1556] = {
    [sym_identifier] = ACTIONS(4192),
    [anon_sym_LPAREN2] = ACTIONS(4198),
    [anon_sym_BANG] = ACTIONS(4198),
    [anon_sym_TILDE] = ACTIONS(4198),
    [anon_sym_DASH] = ACTIONS(4200),
    [anon_sym_PLUS] = ACTIONS(4200),
    [anon_sym_STAR] = ACTIONS(4198),
    [anon_sym_AMP] = ACTIONS(4198),
    [anon_sym_SEMI] = ACTIONS(4198),
    [anon_sym___extension__] = ACTIONS(4204),
    [anon_sym_in] = ACTIONS(4204),
    [anon_sym_out] = ACTIONS(4204),
    [anon_sym_inout] = ACTIONS(4204),
    [anon_sym_extern] = ACTIONS(4204),
    [anon_sym___attribute__] = ACTIONS(4204),
    [anon_sym_COLON_COLON] = ACTIONS(4195),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4195),
    [anon_sym___declspec] = ACTIONS(4204),
    [anon_sym_LBRACE] = ACTIONS(4198),
    [anon_sym_signed] = ACTIONS(4204),
    [anon_sym_unsigned] = ACTIONS(4204),
    [anon_sym_long] = ACTIONS(4204),
    [anon_sym_short] = ACTIONS(4204),
    [anon_sym_LBRACK] = ACTIONS(4200),
    [anon_sym_static] = ACTIONS(4204),
    [anon_sym_register] = ACTIONS(4204),
    [anon_sym_inline] = ACTIONS(4204),
    [anon_sym___inline] = ACTIONS(4204),
    [anon_sym___inline__] = ACTIONS(4204),
    [anon_sym___forceinline] = ACTIONS(4204),
    [anon_sym_thread_local] = ACTIONS(4204),
    [anon_sym___thread] = ACTIONS(4204),
    [anon_sym_const] = ACTIONS(4204),
    [anon_sym_constexpr] = ACTIONS(4204),
    [anon_sym_volatile] = ACTIONS(4204),
    [anon_sym_restrict] = ACTIONS(4204),
    [anon_sym___restrict__] = ACTIONS(4204),
    [anon_sym__Atomic] = ACTIONS(4204),
    [anon_sym__Noreturn] = ACTIONS(4204),
    [anon_sym_noreturn] = ACTIONS(4204),
    [anon_sym_mutable] = ACTIONS(4204),
    [anon_sym_constinit] = ACTIONS(4204),
    [anon_sym_consteval] = ACTIONS(4204),
    [sym_primitive_type] = ACTIONS(4192),
    [anon_sym_enum] = ACTIONS(4204),
    [anon_sym_class] = ACTIONS(4204),
    [anon_sym_struct] = ACTIONS(4204),
    [anon_sym_union] = ACTIONS(4204),
    [anon_sym_if] = ACTIONS(4200),
    [anon_sym_switch] = ACTIONS(4200),
    [anon_sym_case] = ACTIONS(4200),
    [anon_sym_default] = ACTIONS(4200),
    [anon_sym_while] = ACTIONS(4200),
    [anon_sym_do] = ACTIONS(4200),
    [anon_sym_for] = ACTIONS(4200),
    [anon_sym_return] = ACTIONS(4200),
    [anon_sym_break] = ACTIONS(4200),
    [anon_sym_continue] = ACTIONS(4200),
    [anon_sym_goto] = ACTIONS(4200),
    [anon_sym___try] = ACTIONS(4200),
    [anon_sym___leave] = ACTIONS(4200),
    [anon_sym_not] = ACTIONS(4200),
    [anon_sym_compl] = ACTIONS(4200),
    [anon_sym_DASH_DASH] = ACTIONS(4198),
    [anon_sym_PLUS_PLUS] = ACTIONS(4198),
    [anon_sym_sizeof] = ACTIONS(4200),
    [anon_sym___alignof__] = ACTIONS(4200),
    [anon_sym___alignof] = ACTIONS(4200),
    [anon_sym__alignof] = ACTIONS(4200),
    [anon_sym_alignof] = ACTIONS(4200),
    [anon_sym__Alignof] = ACTIONS(4200),
    [anon_sym_offsetof] = ACTIONS(4200),
    [anon_sym__Generic] = ACTIONS(4200),
    [anon_sym_asm] = ACTIONS(4200),
    [anon_sym___asm__] = ACTIONS(4200),
    [sym_number_literal] = ACTIONS(4198),
    [anon_sym_L_SQUOTE] = ACTIONS(4198),
    [anon_sym_u_SQUOTE] = ACTIONS(4198),
    [anon_sym_U_SQUOTE] = ACTIONS(4198),
    [anon_sym_u8_SQUOTE] = ACTIONS(4198),
    [anon_sym_SQUOTE] = ACTIONS(4198),
    [anon_sym_L_DQUOTE] = ACTIONS(4198),
    [anon_sym_u_DQUOTE] = ACTIONS(4198),
    [anon_sym_U_DQUOTE] = ACTIONS(4198),
    [anon_sym_u8_DQUOTE] = ACTIONS(4198),
    [anon_sym_DQUOTE] = ACTIONS(4198),
    [sym_true] = ACTIONS(4200),
    [sym_false] = ACTIONS(4200),
    [anon_sym_NULL] = ACTIONS(4200),
    [anon_sym_nullptr] = ACTIONS(4200),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4204),
    [anon_sym_decltype] = ACTIONS(4192),
    [anon_sym_virtual] = ACTIONS(4204),
    [anon_sym_alignas] = ACTIONS(4204),
    [anon_sym_typename] = ACTIONS(4204),
    [anon_sym_template] = ACTIONS(4192),
    [anon_sym_try] = ACTIONS(4200),
    [anon_sym_delete] = ACTIONS(4200),
    [anon_sym_throw] = ACTIONS(4200),
    [anon_sym_co_return] = ACTIONS(4200),
    [anon_sym_co_yield] = ACTIONS(4200),
    [anon_sym_R_DQUOTE] = ACTIONS(4198),
    [anon_sym_LR_DQUOTE] = ACTIONS(4198),
    [anon_sym_uR_DQUOTE] = ACTIONS(4198),
    [anon_sym_UR_DQUOTE] = ACTIONS(4198),
    [anon_sym_u8R_DQUOTE] = ACTIONS(4198),
    [anon_sym_co_await] = ACTIONS(4200),
    [anon_sym_new] = ACTIONS(4200),
    [anon_sym_requires] = ACTIONS(4200),
    [sym_this] = ACTIONS(4200),
    [anon_sym_discard] = ACTIONS(4200),
    [anon_sym_precise] = ACTIONS(4204),
    [anon_sym_shared] = ACTIONS(4204),
    [anon_sym_groupshared] = ACTIONS(4204),
    [anon_sym_uniform] = ACTIONS(4204),
    [anon_sym_row_major] = ACTIONS(4204),
    [anon_sym_column_major] = ACTIONS(4204),
    [anon_sym_globallycoherent] = ACTIONS(4204),
    [anon_sym_centroid] = ACTIONS(4204),
    [anon_sym_noperspective] = ACTIONS(4204),
    [anon_sym_nointerpolation] = ACTIONS(4204),
    [anon_sym_sample] = ACTIONS(4204),
    [anon_sym_linear] = ACTIONS(4204),
    [anon_sym_snorm] = ACTIONS(4204),
    [anon_sym_unorm] = ACTIONS(4204),
    [anon_sym_point] = ACTIONS(4204),
    [anon_sym_line] = ACTIONS(4204),
    [anon_sym_triangleadj] = ACTIONS(4204),
    [anon_sym_lineadj] = ACTIONS(4204),
    [anon_sym_triangle] = ACTIONS(4204),
    [anon_sym_cbuffer] = ACTIONS(4200),
  },
  [1557] = {
    [sym_identifier] = ACTIONS(2364),
    [anon_sym_LPAREN2] = ACTIONS(2366),
    [anon_sym_BANG] = ACTIONS(2366),
    [anon_sym_TILDE] = ACTIONS(2366),
    [anon_sym_DASH] = ACTIONS(2364),
    [anon_sym_PLUS] = ACTIONS(2364),
    [anon_sym_STAR] = ACTIONS(2366),
    [anon_sym_AMP] = ACTIONS(2366),
    [anon_sym_SEMI] = ACTIONS(2366),
    [anon_sym___extension__] = ACTIONS(2364),
    [anon_sym_typedef] = ACTIONS(2364),
    [anon_sym_in] = ACTIONS(2364),
    [anon_sym_out] = ACTIONS(2364),
    [anon_sym_inout] = ACTIONS(2364),
    [anon_sym_extern] = ACTIONS(2364),
    [anon_sym___attribute__] = ACTIONS(2364),
    [anon_sym_COLON_COLON] = ACTIONS(2366),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2366),
    [anon_sym___declspec] = ACTIONS(2364),
    [anon_sym_LBRACE] = ACTIONS(2366),
    [anon_sym_signed] = ACTIONS(2364),
    [anon_sym_unsigned] = ACTIONS(2364),
    [anon_sym_long] = ACTIONS(2364),
    [anon_sym_short] = ACTIONS(2364),
    [anon_sym_LBRACK] = ACTIONS(2364),
    [anon_sym_static] = ACTIONS(2364),
    [anon_sym_register] = ACTIONS(2364),
    [anon_sym_inline] = ACTIONS(2364),
    [anon_sym___inline] = ACTIONS(2364),
    [anon_sym___inline__] = ACTIONS(2364),
    [anon_sym___forceinline] = ACTIONS(2364),
    [anon_sym_thread_local] = ACTIONS(2364),
    [anon_sym___thread] = ACTIONS(2364),
    [anon_sym_const] = ACTIONS(2364),
    [anon_sym_constexpr] = ACTIONS(2364),
    [anon_sym_volatile] = ACTIONS(2364),
    [anon_sym_restrict] = ACTIONS(2364),
    [anon_sym___restrict__] = ACTIONS(2364),
    [anon_sym__Atomic] = ACTIONS(2364),
    [anon_sym__Noreturn] = ACTIONS(2364),
    [anon_sym_noreturn] = ACTIONS(2364),
    [anon_sym_mutable] = ACTIONS(2364),
    [anon_sym_constinit] = ACTIONS(2364),
    [anon_sym_consteval] = ACTIONS(2364),
    [sym_primitive_type] = ACTIONS(2364),
    [anon_sym_enum] = ACTIONS(2364),
    [anon_sym_class] = ACTIONS(2364),
    [anon_sym_struct] = ACTIONS(2364),
    [anon_sym_union] = ACTIONS(2364),
    [anon_sym_if] = ACTIONS(2364),
    [anon_sym_else] = ACTIONS(2364),
    [anon_sym_switch] = ACTIONS(2364),
    [anon_sym_while] = ACTIONS(2364),
    [anon_sym_do] = ACTIONS(2364),
    [anon_sym_for] = ACTIONS(2364),
    [anon_sym_return] = ACTIONS(2364),
    [anon_sym_break] = ACTIONS(2364),
    [anon_sym_continue] = ACTIONS(2364),
    [anon_sym_goto] = ACTIONS(2364),
    [anon_sym___try] = ACTIONS(2364),
    [anon_sym___leave] = ACTIONS(2364),
    [anon_sym_not] = ACTIONS(2364),
    [anon_sym_compl] = ACTIONS(2364),
    [anon_sym_DASH_DASH] = ACTIONS(2366),
    [anon_sym_PLUS_PLUS] = ACTIONS(2366),
    [anon_sym_sizeof] = ACTIONS(2364),
    [anon_sym___alignof__] = ACTIONS(2364),
    [anon_sym___alignof] = ACTIONS(2364),
    [anon_sym__alignof] = ACTIONS(2364),
    [anon_sym_alignof] = ACTIONS(2364),
    [anon_sym__Alignof] = ACTIONS(2364),
    [anon_sym_offsetof] = ACTIONS(2364),
    [anon_sym__Generic] = ACTIONS(2364),
    [anon_sym_asm] = ACTIONS(2364),
    [anon_sym___asm__] = ACTIONS(2364),
    [sym_number_literal] = ACTIONS(2366),
    [anon_sym_L_SQUOTE] = ACTIONS(2366),
    [anon_sym_u_SQUOTE] = ACTIONS(2366),
    [anon_sym_U_SQUOTE] = ACTIONS(2366),
    [anon_sym_u8_SQUOTE] = ACTIONS(2366),
    [anon_sym_SQUOTE] = ACTIONS(2366),
    [anon_sym_L_DQUOTE] = ACTIONS(2366),
    [anon_sym_u_DQUOTE] = ACTIONS(2366),
    [anon_sym_U_DQUOTE] = ACTIONS(2366),
    [anon_sym_u8_DQUOTE] = ACTIONS(2366),
    [anon_sym_DQUOTE] = ACTIONS(2366),
    [sym_true] = ACTIONS(2364),
    [sym_false] = ACTIONS(2364),
    [anon_sym_NULL] = ACTIONS(2364),
    [anon_sym_nullptr] = ACTIONS(2364),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2364),
    [anon_sym_decltype] = ACTIONS(2364),
    [anon_sym_virtual] = ACTIONS(2364),
    [anon_sym_alignas] = ACTIONS(2364),
    [anon_sym_typename] = ACTIONS(2364),
    [anon_sym_template] = ACTIONS(2364),
    [anon_sym_try] = ACTIONS(2364),
    [anon_sym_delete] = ACTIONS(2364),
    [anon_sym_throw] = ACTIONS(2364),
    [anon_sym_co_return] = ACTIONS(2364),
    [anon_sym_co_yield] = ACTIONS(2364),
    [anon_sym_R_DQUOTE] = ACTIONS(2366),
    [anon_sym_LR_DQUOTE] = ACTIONS(2366),
    [anon_sym_uR_DQUOTE] = ACTIONS(2366),
    [anon_sym_UR_DQUOTE] = ACTIONS(2366),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2366),
    [anon_sym_co_await] = ACTIONS(2364),
    [anon_sym_new] = ACTIONS(2364),
    [anon_sym_requires] = ACTIONS(2364),
    [sym_this] = ACTIONS(2364),
    [anon_sym_discard] = ACTIONS(2364),
    [anon_sym_precise] = ACTIONS(2364),
    [anon_sym_shared] = ACTIONS(2364),
    [anon_sym_groupshared] = ACTIONS(2364),
    [anon_sym_uniform] = ACTIONS(2364),
    [anon_sym_row_major] = ACTIONS(2364),
    [anon_sym_column_major] = ACTIONS(2364),
    [anon_sym_globallycoherent] = ACTIONS(2364),
    [anon_sym_centroid] = ACTIONS(2364),
    [anon_sym_noperspective] = ACTIONS(2364),
    [anon_sym_nointerpolation] = ACTIONS(2364),
    [anon_sym_sample] = ACTIONS(2364),
    [anon_sym_linear] = ACTIONS(2364),
    [anon_sym_snorm] = ACTIONS(2364),
    [anon_sym_unorm] = ACTIONS(2364),
    [anon_sym_point] = ACTIONS(2364),
    [anon_sym_line] = ACTIONS(2364),
    [anon_sym_triangleadj] = ACTIONS(2364),
    [anon_sym_lineadj] = ACTIONS(2364),
    [anon_sym_triangle] = ACTIONS(2364),
    [anon_sym_cbuffer] = ACTIONS(2364),
  },
  [1558] = {
    [sym_identifier] = ACTIONS(2364),
    [anon_sym_LPAREN2] = ACTIONS(2366),
    [anon_sym_BANG] = ACTIONS(2366),
    [anon_sym_TILDE] = ACTIONS(2366),
    [anon_sym_DASH] = ACTIONS(2364),
    [anon_sym_PLUS] = ACTIONS(2364),
    [anon_sym_STAR] = ACTIONS(2366),
    [anon_sym_AMP] = ACTIONS(2366),
    [anon_sym_SEMI] = ACTIONS(2366),
    [anon_sym___extension__] = ACTIONS(2364),
    [anon_sym_typedef] = ACTIONS(2364),
    [anon_sym_in] = ACTIONS(2364),
    [anon_sym_out] = ACTIONS(2364),
    [anon_sym_inout] = ACTIONS(2364),
    [anon_sym_extern] = ACTIONS(2364),
    [anon_sym___attribute__] = ACTIONS(2364),
    [anon_sym_COLON_COLON] = ACTIONS(2366),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2366),
    [anon_sym___declspec] = ACTIONS(2364),
    [anon_sym_LBRACE] = ACTIONS(2366),
    [anon_sym_signed] = ACTIONS(2364),
    [anon_sym_unsigned] = ACTIONS(2364),
    [anon_sym_long] = ACTIONS(2364),
    [anon_sym_short] = ACTIONS(2364),
    [anon_sym_LBRACK] = ACTIONS(2364),
    [anon_sym_static] = ACTIONS(2364),
    [anon_sym_register] = ACTIONS(2364),
    [anon_sym_inline] = ACTIONS(2364),
    [anon_sym___inline] = ACTIONS(2364),
    [anon_sym___inline__] = ACTIONS(2364),
    [anon_sym___forceinline] = ACTIONS(2364),
    [anon_sym_thread_local] = ACTIONS(2364),
    [anon_sym___thread] = ACTIONS(2364),
    [anon_sym_const] = ACTIONS(2364),
    [anon_sym_constexpr] = ACTIONS(2364),
    [anon_sym_volatile] = ACTIONS(2364),
    [anon_sym_restrict] = ACTIONS(2364),
    [anon_sym___restrict__] = ACTIONS(2364),
    [anon_sym__Atomic] = ACTIONS(2364),
    [anon_sym__Noreturn] = ACTIONS(2364),
    [anon_sym_noreturn] = ACTIONS(2364),
    [anon_sym_mutable] = ACTIONS(2364),
    [anon_sym_constinit] = ACTIONS(2364),
    [anon_sym_consteval] = ACTIONS(2364),
    [sym_primitive_type] = ACTIONS(2364),
    [anon_sym_enum] = ACTIONS(2364),
    [anon_sym_class] = ACTIONS(2364),
    [anon_sym_struct] = ACTIONS(2364),
    [anon_sym_union] = ACTIONS(2364),
    [anon_sym_if] = ACTIONS(2364),
    [anon_sym_else] = ACTIONS(2364),
    [anon_sym_switch] = ACTIONS(2364),
    [anon_sym_while] = ACTIONS(2364),
    [anon_sym_do] = ACTIONS(2364),
    [anon_sym_for] = ACTIONS(2364),
    [anon_sym_return] = ACTIONS(2364),
    [anon_sym_break] = ACTIONS(2364),
    [anon_sym_continue] = ACTIONS(2364),
    [anon_sym_goto] = ACTIONS(2364),
    [anon_sym___try] = ACTIONS(2364),
    [anon_sym___leave] = ACTIONS(2364),
    [anon_sym_not] = ACTIONS(2364),
    [anon_sym_compl] = ACTIONS(2364),
    [anon_sym_DASH_DASH] = ACTIONS(2366),
    [anon_sym_PLUS_PLUS] = ACTIONS(2366),
    [anon_sym_sizeof] = ACTIONS(2364),
    [anon_sym___alignof__] = ACTIONS(2364),
    [anon_sym___alignof] = ACTIONS(2364),
    [anon_sym__alignof] = ACTIONS(2364),
    [anon_sym_alignof] = ACTIONS(2364),
    [anon_sym__Alignof] = ACTIONS(2364),
    [anon_sym_offsetof] = ACTIONS(2364),
    [anon_sym__Generic] = ACTIONS(2364),
    [anon_sym_asm] = ACTIONS(2364),
    [anon_sym___asm__] = ACTIONS(2364),
    [sym_number_literal] = ACTIONS(2366),
    [anon_sym_L_SQUOTE] = ACTIONS(2366),
    [anon_sym_u_SQUOTE] = ACTIONS(2366),
    [anon_sym_U_SQUOTE] = ACTIONS(2366),
    [anon_sym_u8_SQUOTE] = ACTIONS(2366),
    [anon_sym_SQUOTE] = ACTIONS(2366),
    [anon_sym_L_DQUOTE] = ACTIONS(2366),
    [anon_sym_u_DQUOTE] = ACTIONS(2366),
    [anon_sym_U_DQUOTE] = ACTIONS(2366),
    [anon_sym_u8_DQUOTE] = ACTIONS(2366),
    [anon_sym_DQUOTE] = ACTIONS(2366),
    [sym_true] = ACTIONS(2364),
    [sym_false] = ACTIONS(2364),
    [anon_sym_NULL] = ACTIONS(2364),
    [anon_sym_nullptr] = ACTIONS(2364),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2364),
    [anon_sym_decltype] = ACTIONS(2364),
    [anon_sym_virtual] = ACTIONS(2364),
    [anon_sym_alignas] = ACTIONS(2364),
    [anon_sym_typename] = ACTIONS(2364),
    [anon_sym_template] = ACTIONS(2364),
    [anon_sym_try] = ACTIONS(2364),
    [anon_sym_delete] = ACTIONS(2364),
    [anon_sym_throw] = ACTIONS(2364),
    [anon_sym_co_return] = ACTIONS(2364),
    [anon_sym_co_yield] = ACTIONS(2364),
    [anon_sym_R_DQUOTE] = ACTIONS(2366),
    [anon_sym_LR_DQUOTE] = ACTIONS(2366),
    [anon_sym_uR_DQUOTE] = ACTIONS(2366),
    [anon_sym_UR_DQUOTE] = ACTIONS(2366),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2366),
    [anon_sym_co_await] = ACTIONS(2364),
    [anon_sym_new] = ACTIONS(2364),
    [anon_sym_requires] = ACTIONS(2364),
    [sym_this] = ACTIONS(2364),
    [anon_sym_discard] = ACTIONS(2364),
    [anon_sym_precise] = ACTIONS(2364),
    [anon_sym_shared] = ACTIONS(2364),
    [anon_sym_groupshared] = ACTIONS(2364),
    [anon_sym_uniform] = ACTIONS(2364),
    [anon_sym_row_major] = ACTIONS(2364),
    [anon_sym_column_major] = ACTIONS(2364),
    [anon_sym_globallycoherent] = ACTIONS(2364),
    [anon_sym_centroid] = ACTIONS(2364),
    [anon_sym_noperspective] = ACTIONS(2364),
    [anon_sym_nointerpolation] = ACTIONS(2364),
    [anon_sym_sample] = ACTIONS(2364),
    [anon_sym_linear] = ACTIONS(2364),
    [anon_sym_snorm] = ACTIONS(2364),
    [anon_sym_unorm] = ACTIONS(2364),
    [anon_sym_point] = ACTIONS(2364),
    [anon_sym_line] = ACTIONS(2364),
    [anon_sym_triangleadj] = ACTIONS(2364),
    [anon_sym_lineadj] = ACTIONS(2364),
    [anon_sym_triangle] = ACTIONS(2364),
    [anon_sym_cbuffer] = ACTIONS(2364),
  },
  [1559] = {
    [sym_identifier] = ACTIONS(2330),
    [anon_sym_LPAREN2] = ACTIONS(2332),
    [anon_sym_BANG] = ACTIONS(2332),
    [anon_sym_TILDE] = ACTIONS(2332),
    [anon_sym_DASH] = ACTIONS(2330),
    [anon_sym_PLUS] = ACTIONS(2330),
    [anon_sym_STAR] = ACTIONS(2332),
    [anon_sym_AMP] = ACTIONS(2332),
    [anon_sym_SEMI] = ACTIONS(2332),
    [anon_sym___extension__] = ACTIONS(2330),
    [anon_sym_typedef] = ACTIONS(2330),
    [anon_sym_in] = ACTIONS(2330),
    [anon_sym_out] = ACTIONS(2330),
    [anon_sym_inout] = ACTIONS(2330),
    [anon_sym_extern] = ACTIONS(2330),
    [anon_sym___attribute__] = ACTIONS(2330),
    [anon_sym_COLON_COLON] = ACTIONS(2332),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2332),
    [anon_sym___declspec] = ACTIONS(2330),
    [anon_sym_LBRACE] = ACTIONS(2332),
    [anon_sym_signed] = ACTIONS(2330),
    [anon_sym_unsigned] = ACTIONS(2330),
    [anon_sym_long] = ACTIONS(2330),
    [anon_sym_short] = ACTIONS(2330),
    [anon_sym_LBRACK] = ACTIONS(2330),
    [anon_sym_static] = ACTIONS(2330),
    [anon_sym_register] = ACTIONS(2330),
    [anon_sym_inline] = ACTIONS(2330),
    [anon_sym___inline] = ACTIONS(2330),
    [anon_sym___inline__] = ACTIONS(2330),
    [anon_sym___forceinline] = ACTIONS(2330),
    [anon_sym_thread_local] = ACTIONS(2330),
    [anon_sym___thread] = ACTIONS(2330),
    [anon_sym_const] = ACTIONS(2330),
    [anon_sym_constexpr] = ACTIONS(2330),
    [anon_sym_volatile] = ACTIONS(2330),
    [anon_sym_restrict] = ACTIONS(2330),
    [anon_sym___restrict__] = ACTIONS(2330),
    [anon_sym__Atomic] = ACTIONS(2330),
    [anon_sym__Noreturn] = ACTIONS(2330),
    [anon_sym_noreturn] = ACTIONS(2330),
    [anon_sym_mutable] = ACTIONS(2330),
    [anon_sym_constinit] = ACTIONS(2330),
    [anon_sym_consteval] = ACTIONS(2330),
    [sym_primitive_type] = ACTIONS(2330),
    [anon_sym_enum] = ACTIONS(2330),
    [anon_sym_class] = ACTIONS(2330),
    [anon_sym_struct] = ACTIONS(2330),
    [anon_sym_union] = ACTIONS(2330),
    [anon_sym_if] = ACTIONS(2330),
    [anon_sym_else] = ACTIONS(2330),
    [anon_sym_switch] = ACTIONS(2330),
    [anon_sym_while] = ACTIONS(2330),
    [anon_sym_do] = ACTIONS(2330),
    [anon_sym_for] = ACTIONS(2330),
    [anon_sym_return] = ACTIONS(2330),
    [anon_sym_break] = ACTIONS(2330),
    [anon_sym_continue] = ACTIONS(2330),
    [anon_sym_goto] = ACTIONS(2330),
    [anon_sym___try] = ACTIONS(2330),
    [anon_sym___leave] = ACTIONS(2330),
    [anon_sym_not] = ACTIONS(2330),
    [anon_sym_compl] = ACTIONS(2330),
    [anon_sym_DASH_DASH] = ACTIONS(2332),
    [anon_sym_PLUS_PLUS] = ACTIONS(2332),
    [anon_sym_sizeof] = ACTIONS(2330),
    [anon_sym___alignof__] = ACTIONS(2330),
    [anon_sym___alignof] = ACTIONS(2330),
    [anon_sym__alignof] = ACTIONS(2330),
    [anon_sym_alignof] = ACTIONS(2330),
    [anon_sym__Alignof] = ACTIONS(2330),
    [anon_sym_offsetof] = ACTIONS(2330),
    [anon_sym__Generic] = ACTIONS(2330),
    [anon_sym_asm] = ACTIONS(2330),
    [anon_sym___asm__] = ACTIONS(2330),
    [sym_number_literal] = ACTIONS(2332),
    [anon_sym_L_SQUOTE] = ACTIONS(2332),
    [anon_sym_u_SQUOTE] = ACTIONS(2332),
    [anon_sym_U_SQUOTE] = ACTIONS(2332),
    [anon_sym_u8_SQUOTE] = ACTIONS(2332),
    [anon_sym_SQUOTE] = ACTIONS(2332),
    [anon_sym_L_DQUOTE] = ACTIONS(2332),
    [anon_sym_u_DQUOTE] = ACTIONS(2332),
    [anon_sym_U_DQUOTE] = ACTIONS(2332),
    [anon_sym_u8_DQUOTE] = ACTIONS(2332),
    [anon_sym_DQUOTE] = ACTIONS(2332),
    [sym_true] = ACTIONS(2330),
    [sym_false] = ACTIONS(2330),
    [anon_sym_NULL] = ACTIONS(2330),
    [anon_sym_nullptr] = ACTIONS(2330),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2330),
    [anon_sym_decltype] = ACTIONS(2330),
    [anon_sym_virtual] = ACTIONS(2330),
    [anon_sym_alignas] = ACTIONS(2330),
    [anon_sym_typename] = ACTIONS(2330),
    [anon_sym_template] = ACTIONS(2330),
    [anon_sym_try] = ACTIONS(2330),
    [anon_sym_delete] = ACTIONS(2330),
    [anon_sym_throw] = ACTIONS(2330),
    [anon_sym_co_return] = ACTIONS(2330),
    [anon_sym_co_yield] = ACTIONS(2330),
    [anon_sym_R_DQUOTE] = ACTIONS(2332),
    [anon_sym_LR_DQUOTE] = ACTIONS(2332),
    [anon_sym_uR_DQUOTE] = ACTIONS(2332),
    [anon_sym_UR_DQUOTE] = ACTIONS(2332),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2332),
    [anon_sym_co_await] = ACTIONS(2330),
    [anon_sym_new] = ACTIONS(2330),
    [anon_sym_requires] = ACTIONS(2330),
    [sym_this] = ACTIONS(2330),
    [anon_sym_discard] = ACTIONS(2330),
    [anon_sym_precise] = ACTIONS(2330),
    [anon_sym_shared] = ACTIONS(2330),
    [anon_sym_groupshared] = ACTIONS(2330),
    [anon_sym_uniform] = ACTIONS(2330),
    [anon_sym_row_major] = ACTIONS(2330),
    [anon_sym_column_major] = ACTIONS(2330),
    [anon_sym_globallycoherent] = ACTIONS(2330),
    [anon_sym_centroid] = ACTIONS(2330),
    [anon_sym_noperspective] = ACTIONS(2330),
    [anon_sym_nointerpolation] = ACTIONS(2330),
    [anon_sym_sample] = ACTIONS(2330),
    [anon_sym_linear] = ACTIONS(2330),
    [anon_sym_snorm] = ACTIONS(2330),
    [anon_sym_unorm] = ACTIONS(2330),
    [anon_sym_point] = ACTIONS(2330),
    [anon_sym_line] = ACTIONS(2330),
    [anon_sym_triangleadj] = ACTIONS(2330),
    [anon_sym_lineadj] = ACTIONS(2330),
    [anon_sym_triangle] = ACTIONS(2330),
    [anon_sym_cbuffer] = ACTIONS(2330),
  },
  [1560] = {
    [sym_type_qualifier] = STATE(5199),
    [sym__type_specifier] = STATE(6115),
    [sym_sized_type_specifier] = STATE(4043),
    [sym_enum_specifier] = STATE(4043),
    [sym_struct_specifier] = STATE(4043),
    [sym_union_specifier] = STATE(4043),
    [sym__expression] = STATE(5645),
    [sym__expression_not_binary] = STATE(6001),
    [sym__string] = STATE(6001),
    [sym_conditional_expression] = STATE(6001),
    [sym_assignment_expression] = STATE(6001),
    [sym_pointer_expression] = STATE(4807),
    [sym_unary_expression] = STATE(6001),
    [sym_binary_expression] = STATE(6001),
    [sym_update_expression] = STATE(6001),
    [sym_cast_expression] = STATE(6001),
    [sym_type_descriptor] = STATE(8808),
    [sym_sizeof_expression] = STATE(6001),
    [sym_alignof_expression] = STATE(6001),
    [sym_offsetof_expression] = STATE(6001),
    [sym_generic_expression] = STATE(6001),
    [sym_subscript_expression] = STATE(4807),
    [sym_call_expression] = STATE(4807),
    [sym_gnu_asm_expression] = STATE(6001),
    [sym_field_expression] = STATE(4807),
    [sym_compound_literal_expression] = STATE(6001),
    [sym_parenthesized_expression] = STATE(4807),
    [sym_char_literal] = STATE(5842),
    [sym_concatenated_string] = STATE(5845),
    [sym_string_literal] = STATE(4864),
    [sym_null] = STATE(6001),
    [sym_placeholder_type_specifier] = STATE(4043),
    [sym_decltype_auto] = STATE(4013),
    [sym_decltype] = STATE(3955),
    [sym_class_specifier] = STATE(4043),
    [sym__class_name] = STATE(8975),
    [sym_dependent_type] = STATE(4043),
    [sym_template_type] = STATE(6654),
    [sym_template_function] = STATE(6001),
    [sym_raw_string_literal] = STATE(4865),
    [sym_co_await_expression] = STATE(6001),
    [sym_new_expression] = STATE(6001),
    [sym_delete_expression] = STATE(6001),
    [sym_requires_clause] = STATE(6001),
    [sym_requires_expression] = STATE(6001),
    [sym_lambda_expression] = STATE(6001),
    [sym_lambda_capture_specifier] = STATE(7123),
    [sym_fold_expression] = STATE(6001),
    [sym_parameter_pack_expansion] = STATE(6001),
    [sym_type_parameter_pack_expansion] = STATE(9091),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6903),
    [sym_qualified_identifier] = STATE(4807),
    [sym_qualified_type_identifier] = STATE(6699),
    [sym_user_defined_literal] = STATE(4807),
    [aux_sym__type_definition_type_repeat1] = STATE(5199),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3494),
    [sym_identifier] = ACTIONS(4253),
    [anon_sym_LPAREN2] = ACTIONS(4255),
    [anon_sym_BANG] = ACTIONS(4257),
    [anon_sym_TILDE] = ACTIONS(4257),
    [anon_sym_DASH] = ACTIONS(4259),
    [anon_sym_PLUS] = ACTIONS(4259),
    [anon_sym_STAR] = ACTIONS(4261),
    [anon_sym_AMP] = ACTIONS(4261),
    [anon_sym___extension__] = ACTIONS(63),
    [anon_sym_COLON_COLON] = ACTIONS(4263),
    [anon_sym_signed] = ACTIONS(4265),
    [anon_sym_unsigned] = ACTIONS(4265),
    [anon_sym_long] = ACTIONS(4265),
    [anon_sym_short] = ACTIONS(4265),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(4267),
    [anon_sym_enum] = ACTIONS(4269),
    [anon_sym_class] = ACTIONS(4271),
    [anon_sym_struct] = ACTIONS(4273),
    [anon_sym_union] = ACTIONS(4275),
    [anon_sym_not] = ACTIONS(4259),
    [anon_sym_compl] = ACTIONS(4259),
    [anon_sym_DASH_DASH] = ACTIONS(4277),
    [anon_sym_PLUS_PLUS] = ACTIONS(4277),
    [anon_sym_sizeof] = ACTIONS(4279),
    [anon_sym___alignof__] = ACTIONS(4281),
    [anon_sym___alignof] = ACTIONS(4281),
    [anon_sym__alignof] = ACTIONS(4281),
    [anon_sym_alignof] = ACTIONS(4281),
    [anon_sym__Alignof] = ACTIONS(4281),
    [anon_sym_offsetof] = ACTIONS(4283),
    [anon_sym__Generic] = ACTIONS(4285),
    [anon_sym_asm] = ACTIONS(4287),
    [anon_sym___asm__] = ACTIONS(4287),
    [sym_number_literal] = ACTIONS(4289),
    [anon_sym_L_SQUOTE] = ACTIONS(4291),
    [anon_sym_u_SQUOTE] = ACTIONS(4291),
    [anon_sym_U_SQUOTE] = ACTIONS(4291),
    [anon_sym_u8_SQUOTE] = ACTIONS(4291),
    [anon_sym_SQUOTE] = ACTIONS(4291),
    [anon_sym_L_DQUOTE] = ACTIONS(4293),
    [anon_sym_u_DQUOTE] = ACTIONS(4293),
    [anon_sym_U_DQUOTE] = ACTIONS(4293),
    [anon_sym_u8_DQUOTE] = ACTIONS(4293),
    [anon_sym_DQUOTE] = ACTIONS(4293),
    [sym_true] = ACTIONS(4295),
    [sym_false] = ACTIONS(4295),
    [anon_sym_NULL] = ACTIONS(4297),
    [anon_sym_nullptr] = ACTIONS(4297),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4299),
    [anon_sym_decltype] = ACTIONS(4301),
    [anon_sym_typename] = ACTIONS(4303),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(4307),
    [anon_sym_R_DQUOTE] = ACTIONS(4309),
    [anon_sym_LR_DQUOTE] = ACTIONS(4309),
    [anon_sym_uR_DQUOTE] = ACTIONS(4309),
    [anon_sym_UR_DQUOTE] = ACTIONS(4309),
    [anon_sym_u8R_DQUOTE] = ACTIONS(4309),
    [anon_sym_co_await] = ACTIONS(4311),
    [anon_sym_new] = ACTIONS(4313),
    [anon_sym_requires] = ACTIONS(4315),
    [sym_this] = ACTIONS(4295),
  },
  [1561] = {
    [sym_identifier] = ACTIONS(2412),
    [anon_sym_LPAREN2] = ACTIONS(2414),
    [anon_sym_BANG] = ACTIONS(2414),
    [anon_sym_TILDE] = ACTIONS(2414),
    [anon_sym_DASH] = ACTIONS(2412),
    [anon_sym_PLUS] = ACTIONS(2412),
    [anon_sym_STAR] = ACTIONS(2414),
    [anon_sym_AMP] = ACTIONS(2414),
    [anon_sym_SEMI] = ACTIONS(2414),
    [anon_sym___extension__] = ACTIONS(2412),
    [anon_sym_typedef] = ACTIONS(2412),
    [anon_sym_in] = ACTIONS(2412),
    [anon_sym_out] = ACTIONS(2412),
    [anon_sym_inout] = ACTIONS(2412),
    [anon_sym_extern] = ACTIONS(2412),
    [anon_sym___attribute__] = ACTIONS(2412),
    [anon_sym_COLON_COLON] = ACTIONS(2414),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2414),
    [anon_sym___declspec] = ACTIONS(2412),
    [anon_sym_LBRACE] = ACTIONS(2414),
    [anon_sym_signed] = ACTIONS(2412),
    [anon_sym_unsigned] = ACTIONS(2412),
    [anon_sym_long] = ACTIONS(2412),
    [anon_sym_short] = ACTIONS(2412),
    [anon_sym_LBRACK] = ACTIONS(2412),
    [anon_sym_static] = ACTIONS(2412),
    [anon_sym_register] = ACTIONS(2412),
    [anon_sym_inline] = ACTIONS(2412),
    [anon_sym___inline] = ACTIONS(2412),
    [anon_sym___inline__] = ACTIONS(2412),
    [anon_sym___forceinline] = ACTIONS(2412),
    [anon_sym_thread_local] = ACTIONS(2412),
    [anon_sym___thread] = ACTIONS(2412),
    [anon_sym_const] = ACTIONS(2412),
    [anon_sym_constexpr] = ACTIONS(2412),
    [anon_sym_volatile] = ACTIONS(2412),
    [anon_sym_restrict] = ACTIONS(2412),
    [anon_sym___restrict__] = ACTIONS(2412),
    [anon_sym__Atomic] = ACTIONS(2412),
    [anon_sym__Noreturn] = ACTIONS(2412),
    [anon_sym_noreturn] = ACTIONS(2412),
    [anon_sym_mutable] = ACTIONS(2412),
    [anon_sym_constinit] = ACTIONS(2412),
    [anon_sym_consteval] = ACTIONS(2412),
    [sym_primitive_type] = ACTIONS(2412),
    [anon_sym_enum] = ACTIONS(2412),
    [anon_sym_class] = ACTIONS(2412),
    [anon_sym_struct] = ACTIONS(2412),
    [anon_sym_union] = ACTIONS(2412),
    [anon_sym_if] = ACTIONS(2412),
    [anon_sym_else] = ACTIONS(2412),
    [anon_sym_switch] = ACTIONS(2412),
    [anon_sym_while] = ACTIONS(2412),
    [anon_sym_do] = ACTIONS(2412),
    [anon_sym_for] = ACTIONS(2412),
    [anon_sym_return] = ACTIONS(2412),
    [anon_sym_break] = ACTIONS(2412),
    [anon_sym_continue] = ACTIONS(2412),
    [anon_sym_goto] = ACTIONS(2412),
    [anon_sym___try] = ACTIONS(2412),
    [anon_sym___leave] = ACTIONS(2412),
    [anon_sym_not] = ACTIONS(2412),
    [anon_sym_compl] = ACTIONS(2412),
    [anon_sym_DASH_DASH] = ACTIONS(2414),
    [anon_sym_PLUS_PLUS] = ACTIONS(2414),
    [anon_sym_sizeof] = ACTIONS(2412),
    [anon_sym___alignof__] = ACTIONS(2412),
    [anon_sym___alignof] = ACTIONS(2412),
    [anon_sym__alignof] = ACTIONS(2412),
    [anon_sym_alignof] = ACTIONS(2412),
    [anon_sym__Alignof] = ACTIONS(2412),
    [anon_sym_offsetof] = ACTIONS(2412),
    [anon_sym__Generic] = ACTIONS(2412),
    [anon_sym_asm] = ACTIONS(2412),
    [anon_sym___asm__] = ACTIONS(2412),
    [sym_number_literal] = ACTIONS(2414),
    [anon_sym_L_SQUOTE] = ACTIONS(2414),
    [anon_sym_u_SQUOTE] = ACTIONS(2414),
    [anon_sym_U_SQUOTE] = ACTIONS(2414),
    [anon_sym_u8_SQUOTE] = ACTIONS(2414),
    [anon_sym_SQUOTE] = ACTIONS(2414),
    [anon_sym_L_DQUOTE] = ACTIONS(2414),
    [anon_sym_u_DQUOTE] = ACTIONS(2414),
    [anon_sym_U_DQUOTE] = ACTIONS(2414),
    [anon_sym_u8_DQUOTE] = ACTIONS(2414),
    [anon_sym_DQUOTE] = ACTIONS(2414),
    [sym_true] = ACTIONS(2412),
    [sym_false] = ACTIONS(2412),
    [anon_sym_NULL] = ACTIONS(2412),
    [anon_sym_nullptr] = ACTIONS(2412),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2412),
    [anon_sym_decltype] = ACTIONS(2412),
    [anon_sym_virtual] = ACTIONS(2412),
    [anon_sym_alignas] = ACTIONS(2412),
    [anon_sym_typename] = ACTIONS(2412),
    [anon_sym_template] = ACTIONS(2412),
    [anon_sym_try] = ACTIONS(2412),
    [anon_sym_delete] = ACTIONS(2412),
    [anon_sym_throw] = ACTIONS(2412),
    [anon_sym_co_return] = ACTIONS(2412),
    [anon_sym_co_yield] = ACTIONS(2412),
    [anon_sym_R_DQUOTE] = ACTIONS(2414),
    [anon_sym_LR_DQUOTE] = ACTIONS(2414),
    [anon_sym_uR_DQUOTE] = ACTIONS(2414),
    [anon_sym_UR_DQUOTE] = ACTIONS(2414),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2414),
    [anon_sym_co_await] = ACTIONS(2412),
    [anon_sym_new] = ACTIONS(2412),
    [anon_sym_requires] = ACTIONS(2412),
    [sym_this] = ACTIONS(2412),
    [anon_sym_discard] = ACTIONS(2412),
    [anon_sym_precise] = ACTIONS(2412),
    [anon_sym_shared] = ACTIONS(2412),
    [anon_sym_groupshared] = ACTIONS(2412),
    [anon_sym_uniform] = ACTIONS(2412),
    [anon_sym_row_major] = ACTIONS(2412),
    [anon_sym_column_major] = ACTIONS(2412),
    [anon_sym_globallycoherent] = ACTIONS(2412),
    [anon_sym_centroid] = ACTIONS(2412),
    [anon_sym_noperspective] = ACTIONS(2412),
    [anon_sym_nointerpolation] = ACTIONS(2412),
    [anon_sym_sample] = ACTIONS(2412),
    [anon_sym_linear] = ACTIONS(2412),
    [anon_sym_snorm] = ACTIONS(2412),
    [anon_sym_unorm] = ACTIONS(2412),
    [anon_sym_point] = ACTIONS(2412),
    [anon_sym_line] = ACTIONS(2412),
    [anon_sym_triangleadj] = ACTIONS(2412),
    [anon_sym_lineadj] = ACTIONS(2412),
    [anon_sym_triangle] = ACTIONS(2412),
    [anon_sym_cbuffer] = ACTIONS(2412),
  },
  [1562] = {
    [sym_identifier] = ACTIONS(2420),
    [anon_sym_LPAREN2] = ACTIONS(2422),
    [anon_sym_BANG] = ACTIONS(2422),
    [anon_sym_TILDE] = ACTIONS(2422),
    [anon_sym_DASH] = ACTIONS(2420),
    [anon_sym_PLUS] = ACTIONS(2420),
    [anon_sym_STAR] = ACTIONS(2422),
    [anon_sym_AMP] = ACTIONS(2422),
    [anon_sym_SEMI] = ACTIONS(2422),
    [anon_sym___extension__] = ACTIONS(2420),
    [anon_sym_typedef] = ACTIONS(2420),
    [anon_sym_in] = ACTIONS(2420),
    [anon_sym_out] = ACTIONS(2420),
    [anon_sym_inout] = ACTIONS(2420),
    [anon_sym_extern] = ACTIONS(2420),
    [anon_sym___attribute__] = ACTIONS(2420),
    [anon_sym_COLON_COLON] = ACTIONS(2422),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2422),
    [anon_sym___declspec] = ACTIONS(2420),
    [anon_sym_LBRACE] = ACTIONS(2422),
    [anon_sym_signed] = ACTIONS(2420),
    [anon_sym_unsigned] = ACTIONS(2420),
    [anon_sym_long] = ACTIONS(2420),
    [anon_sym_short] = ACTIONS(2420),
    [anon_sym_LBRACK] = ACTIONS(2420),
    [anon_sym_static] = ACTIONS(2420),
    [anon_sym_register] = ACTIONS(2420),
    [anon_sym_inline] = ACTIONS(2420),
    [anon_sym___inline] = ACTIONS(2420),
    [anon_sym___inline__] = ACTIONS(2420),
    [anon_sym___forceinline] = ACTIONS(2420),
    [anon_sym_thread_local] = ACTIONS(2420),
    [anon_sym___thread] = ACTIONS(2420),
    [anon_sym_const] = ACTIONS(2420),
    [anon_sym_constexpr] = ACTIONS(2420),
    [anon_sym_volatile] = ACTIONS(2420),
    [anon_sym_restrict] = ACTIONS(2420),
    [anon_sym___restrict__] = ACTIONS(2420),
    [anon_sym__Atomic] = ACTIONS(2420),
    [anon_sym__Noreturn] = ACTIONS(2420),
    [anon_sym_noreturn] = ACTIONS(2420),
    [anon_sym_mutable] = ACTIONS(2420),
    [anon_sym_constinit] = ACTIONS(2420),
    [anon_sym_consteval] = ACTIONS(2420),
    [sym_primitive_type] = ACTIONS(2420),
    [anon_sym_enum] = ACTIONS(2420),
    [anon_sym_class] = ACTIONS(2420),
    [anon_sym_struct] = ACTIONS(2420),
    [anon_sym_union] = ACTIONS(2420),
    [anon_sym_if] = ACTIONS(2420),
    [anon_sym_else] = ACTIONS(2420),
    [anon_sym_switch] = ACTIONS(2420),
    [anon_sym_while] = ACTIONS(2420),
    [anon_sym_do] = ACTIONS(2420),
    [anon_sym_for] = ACTIONS(2420),
    [anon_sym_return] = ACTIONS(2420),
    [anon_sym_break] = ACTIONS(2420),
    [anon_sym_continue] = ACTIONS(2420),
    [anon_sym_goto] = ACTIONS(2420),
    [anon_sym___try] = ACTIONS(2420),
    [anon_sym___leave] = ACTIONS(2420),
    [anon_sym_not] = ACTIONS(2420),
    [anon_sym_compl] = ACTIONS(2420),
    [anon_sym_DASH_DASH] = ACTIONS(2422),
    [anon_sym_PLUS_PLUS] = ACTIONS(2422),
    [anon_sym_sizeof] = ACTIONS(2420),
    [anon_sym___alignof__] = ACTIONS(2420),
    [anon_sym___alignof] = ACTIONS(2420),
    [anon_sym__alignof] = ACTIONS(2420),
    [anon_sym_alignof] = ACTIONS(2420),
    [anon_sym__Alignof] = ACTIONS(2420),
    [anon_sym_offsetof] = ACTIONS(2420),
    [anon_sym__Generic] = ACTIONS(2420),
    [anon_sym_asm] = ACTIONS(2420),
    [anon_sym___asm__] = ACTIONS(2420),
    [sym_number_literal] = ACTIONS(2422),
    [anon_sym_L_SQUOTE] = ACTIONS(2422),
    [anon_sym_u_SQUOTE] = ACTIONS(2422),
    [anon_sym_U_SQUOTE] = ACTIONS(2422),
    [anon_sym_u8_SQUOTE] = ACTIONS(2422),
    [anon_sym_SQUOTE] = ACTIONS(2422),
    [anon_sym_L_DQUOTE] = ACTIONS(2422),
    [anon_sym_u_DQUOTE] = ACTIONS(2422),
    [anon_sym_U_DQUOTE] = ACTIONS(2422),
    [anon_sym_u8_DQUOTE] = ACTIONS(2422),
    [anon_sym_DQUOTE] = ACTIONS(2422),
    [sym_true] = ACTIONS(2420),
    [sym_false] = ACTIONS(2420),
    [anon_sym_NULL] = ACTIONS(2420),
    [anon_sym_nullptr] = ACTIONS(2420),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2420),
    [anon_sym_decltype] = ACTIONS(2420),
    [anon_sym_virtual] = ACTIONS(2420),
    [anon_sym_alignas] = ACTIONS(2420),
    [anon_sym_typename] = ACTIONS(2420),
    [anon_sym_template] = ACTIONS(2420),
    [anon_sym_try] = ACTIONS(2420),
    [anon_sym_delete] = ACTIONS(2420),
    [anon_sym_throw] = ACTIONS(2420),
    [anon_sym_co_return] = ACTIONS(2420),
    [anon_sym_co_yield] = ACTIONS(2420),
    [anon_sym_R_DQUOTE] = ACTIONS(2422),
    [anon_sym_LR_DQUOTE] = ACTIONS(2422),
    [anon_sym_uR_DQUOTE] = ACTIONS(2422),
    [anon_sym_UR_DQUOTE] = ACTIONS(2422),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2422),
    [anon_sym_co_await] = ACTIONS(2420),
    [anon_sym_new] = ACTIONS(2420),
    [anon_sym_requires] = ACTIONS(2420),
    [sym_this] = ACTIONS(2420),
    [anon_sym_discard] = ACTIONS(2420),
    [anon_sym_precise] = ACTIONS(2420),
    [anon_sym_shared] = ACTIONS(2420),
    [anon_sym_groupshared] = ACTIONS(2420),
    [anon_sym_uniform] = ACTIONS(2420),
    [anon_sym_row_major] = ACTIONS(2420),
    [anon_sym_column_major] = ACTIONS(2420),
    [anon_sym_globallycoherent] = ACTIONS(2420),
    [anon_sym_centroid] = ACTIONS(2420),
    [anon_sym_noperspective] = ACTIONS(2420),
    [anon_sym_nointerpolation] = ACTIONS(2420),
    [anon_sym_sample] = ACTIONS(2420),
    [anon_sym_linear] = ACTIONS(2420),
    [anon_sym_snorm] = ACTIONS(2420),
    [anon_sym_unorm] = ACTIONS(2420),
    [anon_sym_point] = ACTIONS(2420),
    [anon_sym_line] = ACTIONS(2420),
    [anon_sym_triangleadj] = ACTIONS(2420),
    [anon_sym_lineadj] = ACTIONS(2420),
    [anon_sym_triangle] = ACTIONS(2420),
    [anon_sym_cbuffer] = ACTIONS(2420),
  },
  [1563] = {
    [sym_identifier] = ACTIONS(2364),
    [anon_sym_LPAREN2] = ACTIONS(2366),
    [anon_sym_BANG] = ACTIONS(2366),
    [anon_sym_TILDE] = ACTIONS(2366),
    [anon_sym_DASH] = ACTIONS(2364),
    [anon_sym_PLUS] = ACTIONS(2364),
    [anon_sym_STAR] = ACTIONS(2366),
    [anon_sym_AMP] = ACTIONS(2366),
    [anon_sym_SEMI] = ACTIONS(2366),
    [anon_sym___extension__] = ACTIONS(2364),
    [anon_sym_typedef] = ACTIONS(2364),
    [anon_sym_in] = ACTIONS(2364),
    [anon_sym_out] = ACTIONS(2364),
    [anon_sym_inout] = ACTIONS(2364),
    [anon_sym_extern] = ACTIONS(2364),
    [anon_sym___attribute__] = ACTIONS(2364),
    [anon_sym_COLON_COLON] = ACTIONS(2366),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2366),
    [anon_sym___declspec] = ACTIONS(2364),
    [anon_sym_LBRACE] = ACTIONS(2366),
    [anon_sym_signed] = ACTIONS(2364),
    [anon_sym_unsigned] = ACTIONS(2364),
    [anon_sym_long] = ACTIONS(2364),
    [anon_sym_short] = ACTIONS(2364),
    [anon_sym_LBRACK] = ACTIONS(2364),
    [anon_sym_static] = ACTIONS(2364),
    [anon_sym_register] = ACTIONS(2364),
    [anon_sym_inline] = ACTIONS(2364),
    [anon_sym___inline] = ACTIONS(2364),
    [anon_sym___inline__] = ACTIONS(2364),
    [anon_sym___forceinline] = ACTIONS(2364),
    [anon_sym_thread_local] = ACTIONS(2364),
    [anon_sym___thread] = ACTIONS(2364),
    [anon_sym_const] = ACTIONS(2364),
    [anon_sym_constexpr] = ACTIONS(2364),
    [anon_sym_volatile] = ACTIONS(2364),
    [anon_sym_restrict] = ACTIONS(2364),
    [anon_sym___restrict__] = ACTIONS(2364),
    [anon_sym__Atomic] = ACTIONS(2364),
    [anon_sym__Noreturn] = ACTIONS(2364),
    [anon_sym_noreturn] = ACTIONS(2364),
    [anon_sym_mutable] = ACTIONS(2364),
    [anon_sym_constinit] = ACTIONS(2364),
    [anon_sym_consteval] = ACTIONS(2364),
    [sym_primitive_type] = ACTIONS(2364),
    [anon_sym_enum] = ACTIONS(2364),
    [anon_sym_class] = ACTIONS(2364),
    [anon_sym_struct] = ACTIONS(2364),
    [anon_sym_union] = ACTIONS(2364),
    [anon_sym_if] = ACTIONS(2364),
    [anon_sym_else] = ACTIONS(2364),
    [anon_sym_switch] = ACTIONS(2364),
    [anon_sym_while] = ACTIONS(2364),
    [anon_sym_do] = ACTIONS(2364),
    [anon_sym_for] = ACTIONS(2364),
    [anon_sym_return] = ACTIONS(2364),
    [anon_sym_break] = ACTIONS(2364),
    [anon_sym_continue] = ACTIONS(2364),
    [anon_sym_goto] = ACTIONS(2364),
    [anon_sym___try] = ACTIONS(2364),
    [anon_sym___leave] = ACTIONS(2364),
    [anon_sym_not] = ACTIONS(2364),
    [anon_sym_compl] = ACTIONS(2364),
    [anon_sym_DASH_DASH] = ACTIONS(2366),
    [anon_sym_PLUS_PLUS] = ACTIONS(2366),
    [anon_sym_sizeof] = ACTIONS(2364),
    [anon_sym___alignof__] = ACTIONS(2364),
    [anon_sym___alignof] = ACTIONS(2364),
    [anon_sym__alignof] = ACTIONS(2364),
    [anon_sym_alignof] = ACTIONS(2364),
    [anon_sym__Alignof] = ACTIONS(2364),
    [anon_sym_offsetof] = ACTIONS(2364),
    [anon_sym__Generic] = ACTIONS(2364),
    [anon_sym_asm] = ACTIONS(2364),
    [anon_sym___asm__] = ACTIONS(2364),
    [sym_number_literal] = ACTIONS(2366),
    [anon_sym_L_SQUOTE] = ACTIONS(2366),
    [anon_sym_u_SQUOTE] = ACTIONS(2366),
    [anon_sym_U_SQUOTE] = ACTIONS(2366),
    [anon_sym_u8_SQUOTE] = ACTIONS(2366),
    [anon_sym_SQUOTE] = ACTIONS(2366),
    [anon_sym_L_DQUOTE] = ACTIONS(2366),
    [anon_sym_u_DQUOTE] = ACTIONS(2366),
    [anon_sym_U_DQUOTE] = ACTIONS(2366),
    [anon_sym_u8_DQUOTE] = ACTIONS(2366),
    [anon_sym_DQUOTE] = ACTIONS(2366),
    [sym_true] = ACTIONS(2364),
    [sym_false] = ACTIONS(2364),
    [anon_sym_NULL] = ACTIONS(2364),
    [anon_sym_nullptr] = ACTIONS(2364),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2364),
    [anon_sym_decltype] = ACTIONS(2364),
    [anon_sym_virtual] = ACTIONS(2364),
    [anon_sym_alignas] = ACTIONS(2364),
    [anon_sym_typename] = ACTIONS(2364),
    [anon_sym_template] = ACTIONS(2364),
    [anon_sym_try] = ACTIONS(2364),
    [anon_sym_delete] = ACTIONS(2364),
    [anon_sym_throw] = ACTIONS(2364),
    [anon_sym_co_return] = ACTIONS(2364),
    [anon_sym_co_yield] = ACTIONS(2364),
    [anon_sym_R_DQUOTE] = ACTIONS(2366),
    [anon_sym_LR_DQUOTE] = ACTIONS(2366),
    [anon_sym_uR_DQUOTE] = ACTIONS(2366),
    [anon_sym_UR_DQUOTE] = ACTIONS(2366),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2366),
    [anon_sym_co_await] = ACTIONS(2364),
    [anon_sym_new] = ACTIONS(2364),
    [anon_sym_requires] = ACTIONS(2364),
    [sym_this] = ACTIONS(2364),
    [anon_sym_discard] = ACTIONS(2364),
    [anon_sym_precise] = ACTIONS(2364),
    [anon_sym_shared] = ACTIONS(2364),
    [anon_sym_groupshared] = ACTIONS(2364),
    [anon_sym_uniform] = ACTIONS(2364),
    [anon_sym_row_major] = ACTIONS(2364),
    [anon_sym_column_major] = ACTIONS(2364),
    [anon_sym_globallycoherent] = ACTIONS(2364),
    [anon_sym_centroid] = ACTIONS(2364),
    [anon_sym_noperspective] = ACTIONS(2364),
    [anon_sym_nointerpolation] = ACTIONS(2364),
    [anon_sym_sample] = ACTIONS(2364),
    [anon_sym_linear] = ACTIONS(2364),
    [anon_sym_snorm] = ACTIONS(2364),
    [anon_sym_unorm] = ACTIONS(2364),
    [anon_sym_point] = ACTIONS(2364),
    [anon_sym_line] = ACTIONS(2364),
    [anon_sym_triangleadj] = ACTIONS(2364),
    [anon_sym_lineadj] = ACTIONS(2364),
    [anon_sym_triangle] = ACTIONS(2364),
    [anon_sym_cbuffer] = ACTIONS(2364),
  },
  [1564] = {
    [sym_identifier] = ACTIONS(4172),
    [anon_sym_LPAREN2] = ACTIONS(4174),
    [anon_sym_BANG] = ACTIONS(4174),
    [anon_sym_TILDE] = ACTIONS(4174),
    [anon_sym_DASH] = ACTIONS(4172),
    [anon_sym_PLUS] = ACTIONS(4172),
    [anon_sym_STAR] = ACTIONS(4174),
    [anon_sym_AMP] = ACTIONS(4174),
    [anon_sym_SEMI] = ACTIONS(4174),
    [anon_sym___extension__] = ACTIONS(4172),
    [anon_sym_in] = ACTIONS(4172),
    [anon_sym_out] = ACTIONS(4172),
    [anon_sym_inout] = ACTIONS(4172),
    [anon_sym_extern] = ACTIONS(4172),
    [anon_sym___attribute__] = ACTIONS(4172),
    [anon_sym_COLON_COLON] = ACTIONS(4174),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4174),
    [anon_sym___declspec] = ACTIONS(4172),
    [anon_sym_LBRACE] = ACTIONS(4174),
    [anon_sym_signed] = ACTIONS(4172),
    [anon_sym_unsigned] = ACTIONS(4172),
    [anon_sym_long] = ACTIONS(4172),
    [anon_sym_short] = ACTIONS(4172),
    [anon_sym_LBRACK] = ACTIONS(4172),
    [anon_sym_static] = ACTIONS(4172),
    [anon_sym_register] = ACTIONS(4172),
    [anon_sym_inline] = ACTIONS(4172),
    [anon_sym___inline] = ACTIONS(4172),
    [anon_sym___inline__] = ACTIONS(4172),
    [anon_sym___forceinline] = ACTIONS(4172),
    [anon_sym_thread_local] = ACTIONS(4172),
    [anon_sym___thread] = ACTIONS(4172),
    [anon_sym_const] = ACTIONS(4172),
    [anon_sym_constexpr] = ACTIONS(4172),
    [anon_sym_volatile] = ACTIONS(4172),
    [anon_sym_restrict] = ACTIONS(4172),
    [anon_sym___restrict__] = ACTIONS(4172),
    [anon_sym__Atomic] = ACTIONS(4172),
    [anon_sym__Noreturn] = ACTIONS(4172),
    [anon_sym_noreturn] = ACTIONS(4172),
    [anon_sym_mutable] = ACTIONS(4172),
    [anon_sym_constinit] = ACTIONS(4172),
    [anon_sym_consteval] = ACTIONS(4172),
    [sym_primitive_type] = ACTIONS(4172),
    [anon_sym_enum] = ACTIONS(4172),
    [anon_sym_class] = ACTIONS(4172),
    [anon_sym_struct] = ACTIONS(4172),
    [anon_sym_union] = ACTIONS(4172),
    [anon_sym_if] = ACTIONS(4172),
    [anon_sym_switch] = ACTIONS(4172),
    [anon_sym_case] = ACTIONS(4172),
    [anon_sym_default] = ACTIONS(4172),
    [anon_sym_while] = ACTIONS(4172),
    [anon_sym_do] = ACTIONS(4172),
    [anon_sym_for] = ACTIONS(4172),
    [anon_sym_return] = ACTIONS(4172),
    [anon_sym_break] = ACTIONS(4172),
    [anon_sym_continue] = ACTIONS(4172),
    [anon_sym_goto] = ACTIONS(4172),
    [anon_sym___try] = ACTIONS(4172),
    [anon_sym___leave] = ACTIONS(4172),
    [anon_sym_not] = ACTIONS(4172),
    [anon_sym_compl] = ACTIONS(4172),
    [anon_sym_DASH_DASH] = ACTIONS(4174),
    [anon_sym_PLUS_PLUS] = ACTIONS(4174),
    [anon_sym_sizeof] = ACTIONS(4172),
    [anon_sym___alignof__] = ACTIONS(4172),
    [anon_sym___alignof] = ACTIONS(4172),
    [anon_sym__alignof] = ACTIONS(4172),
    [anon_sym_alignof] = ACTIONS(4172),
    [anon_sym__Alignof] = ACTIONS(4172),
    [anon_sym_offsetof] = ACTIONS(4172),
    [anon_sym__Generic] = ACTIONS(4172),
    [anon_sym_asm] = ACTIONS(4172),
    [anon_sym___asm__] = ACTIONS(4172),
    [sym_number_literal] = ACTIONS(4174),
    [anon_sym_L_SQUOTE] = ACTIONS(4174),
    [anon_sym_u_SQUOTE] = ACTIONS(4174),
    [anon_sym_U_SQUOTE] = ACTIONS(4174),
    [anon_sym_u8_SQUOTE] = ACTIONS(4174),
    [anon_sym_SQUOTE] = ACTIONS(4174),
    [anon_sym_L_DQUOTE] = ACTIONS(4174),
    [anon_sym_u_DQUOTE] = ACTIONS(4174),
    [anon_sym_U_DQUOTE] = ACTIONS(4174),
    [anon_sym_u8_DQUOTE] = ACTIONS(4174),
    [anon_sym_DQUOTE] = ACTIONS(4174),
    [sym_true] = ACTIONS(4172),
    [sym_false] = ACTIONS(4172),
    [anon_sym_NULL] = ACTIONS(4172),
    [anon_sym_nullptr] = ACTIONS(4172),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4172),
    [anon_sym_decltype] = ACTIONS(4172),
    [anon_sym_virtual] = ACTIONS(4172),
    [anon_sym_alignas] = ACTIONS(4172),
    [anon_sym_typename] = ACTIONS(4172),
    [anon_sym_template] = ACTIONS(4172),
    [anon_sym_try] = ACTIONS(4172),
    [anon_sym_delete] = ACTIONS(4172),
    [anon_sym_throw] = ACTIONS(4172),
    [anon_sym_co_return] = ACTIONS(4172),
    [anon_sym_co_yield] = ACTIONS(4172),
    [anon_sym_R_DQUOTE] = ACTIONS(4174),
    [anon_sym_LR_DQUOTE] = ACTIONS(4174),
    [anon_sym_uR_DQUOTE] = ACTIONS(4174),
    [anon_sym_UR_DQUOTE] = ACTIONS(4174),
    [anon_sym_u8R_DQUOTE] = ACTIONS(4174),
    [anon_sym_co_await] = ACTIONS(4172),
    [anon_sym_new] = ACTIONS(4172),
    [anon_sym_requires] = ACTIONS(4172),
    [sym_this] = ACTIONS(4172),
    [anon_sym_discard] = ACTIONS(4172),
    [anon_sym_precise] = ACTIONS(4172),
    [anon_sym_shared] = ACTIONS(4172),
    [anon_sym_groupshared] = ACTIONS(4172),
    [anon_sym_uniform] = ACTIONS(4172),
    [anon_sym_row_major] = ACTIONS(4172),
    [anon_sym_column_major] = ACTIONS(4172),
    [anon_sym_globallycoherent] = ACTIONS(4172),
    [anon_sym_centroid] = ACTIONS(4172),
    [anon_sym_noperspective] = ACTIONS(4172),
    [anon_sym_nointerpolation] = ACTIONS(4172),
    [anon_sym_sample] = ACTIONS(4172),
    [anon_sym_linear] = ACTIONS(4172),
    [anon_sym_snorm] = ACTIONS(4172),
    [anon_sym_unorm] = ACTIONS(4172),
    [anon_sym_point] = ACTIONS(4172),
    [anon_sym_line] = ACTIONS(4172),
    [anon_sym_triangleadj] = ACTIONS(4172),
    [anon_sym_lineadj] = ACTIONS(4172),
    [anon_sym_triangle] = ACTIONS(4172),
    [anon_sym_cbuffer] = ACTIONS(4172),
  },
  [1565] = {
    [sym_identifier] = ACTIONS(2330),
    [anon_sym_LPAREN2] = ACTIONS(2332),
    [anon_sym_BANG] = ACTIONS(2332),
    [anon_sym_TILDE] = ACTIONS(2332),
    [anon_sym_DASH] = ACTIONS(2330),
    [anon_sym_PLUS] = ACTIONS(2330),
    [anon_sym_STAR] = ACTIONS(2332),
    [anon_sym_AMP] = ACTIONS(2332),
    [anon_sym_SEMI] = ACTIONS(2332),
    [anon_sym___extension__] = ACTIONS(2330),
    [anon_sym_typedef] = ACTIONS(2330),
    [anon_sym_in] = ACTIONS(2330),
    [anon_sym_out] = ACTIONS(2330),
    [anon_sym_inout] = ACTIONS(2330),
    [anon_sym_extern] = ACTIONS(2330),
    [anon_sym___attribute__] = ACTIONS(2330),
    [anon_sym_COLON_COLON] = ACTIONS(2332),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2332),
    [anon_sym___declspec] = ACTIONS(2330),
    [anon_sym_LBRACE] = ACTIONS(2332),
    [anon_sym_signed] = ACTIONS(2330),
    [anon_sym_unsigned] = ACTIONS(2330),
    [anon_sym_long] = ACTIONS(2330),
    [anon_sym_short] = ACTIONS(2330),
    [anon_sym_LBRACK] = ACTIONS(2330),
    [anon_sym_static] = ACTIONS(2330),
    [anon_sym_register] = ACTIONS(2330),
    [anon_sym_inline] = ACTIONS(2330),
    [anon_sym___inline] = ACTIONS(2330),
    [anon_sym___inline__] = ACTIONS(2330),
    [anon_sym___forceinline] = ACTIONS(2330),
    [anon_sym_thread_local] = ACTIONS(2330),
    [anon_sym___thread] = ACTIONS(2330),
    [anon_sym_const] = ACTIONS(2330),
    [anon_sym_constexpr] = ACTIONS(2330),
    [anon_sym_volatile] = ACTIONS(2330),
    [anon_sym_restrict] = ACTIONS(2330),
    [anon_sym___restrict__] = ACTIONS(2330),
    [anon_sym__Atomic] = ACTIONS(2330),
    [anon_sym__Noreturn] = ACTIONS(2330),
    [anon_sym_noreturn] = ACTIONS(2330),
    [anon_sym_mutable] = ACTIONS(2330),
    [anon_sym_constinit] = ACTIONS(2330),
    [anon_sym_consteval] = ACTIONS(2330),
    [sym_primitive_type] = ACTIONS(2330),
    [anon_sym_enum] = ACTIONS(2330),
    [anon_sym_class] = ACTIONS(2330),
    [anon_sym_struct] = ACTIONS(2330),
    [anon_sym_union] = ACTIONS(2330),
    [anon_sym_if] = ACTIONS(2330),
    [anon_sym_else] = ACTIONS(2330),
    [anon_sym_switch] = ACTIONS(2330),
    [anon_sym_while] = ACTIONS(2330),
    [anon_sym_do] = ACTIONS(2330),
    [anon_sym_for] = ACTIONS(2330),
    [anon_sym_return] = ACTIONS(2330),
    [anon_sym_break] = ACTIONS(2330),
    [anon_sym_continue] = ACTIONS(2330),
    [anon_sym_goto] = ACTIONS(2330),
    [anon_sym___try] = ACTIONS(2330),
    [anon_sym___leave] = ACTIONS(2330),
    [anon_sym_not] = ACTIONS(2330),
    [anon_sym_compl] = ACTIONS(2330),
    [anon_sym_DASH_DASH] = ACTIONS(2332),
    [anon_sym_PLUS_PLUS] = ACTIONS(2332),
    [anon_sym_sizeof] = ACTIONS(2330),
    [anon_sym___alignof__] = ACTIONS(2330),
    [anon_sym___alignof] = ACTIONS(2330),
    [anon_sym__alignof] = ACTIONS(2330),
    [anon_sym_alignof] = ACTIONS(2330),
    [anon_sym__Alignof] = ACTIONS(2330),
    [anon_sym_offsetof] = ACTIONS(2330),
    [anon_sym__Generic] = ACTIONS(2330),
    [anon_sym_asm] = ACTIONS(2330),
    [anon_sym___asm__] = ACTIONS(2330),
    [sym_number_literal] = ACTIONS(2332),
    [anon_sym_L_SQUOTE] = ACTIONS(2332),
    [anon_sym_u_SQUOTE] = ACTIONS(2332),
    [anon_sym_U_SQUOTE] = ACTIONS(2332),
    [anon_sym_u8_SQUOTE] = ACTIONS(2332),
    [anon_sym_SQUOTE] = ACTIONS(2332),
    [anon_sym_L_DQUOTE] = ACTIONS(2332),
    [anon_sym_u_DQUOTE] = ACTIONS(2332),
    [anon_sym_U_DQUOTE] = ACTIONS(2332),
    [anon_sym_u8_DQUOTE] = ACTIONS(2332),
    [anon_sym_DQUOTE] = ACTIONS(2332),
    [sym_true] = ACTIONS(2330),
    [sym_false] = ACTIONS(2330),
    [anon_sym_NULL] = ACTIONS(2330),
    [anon_sym_nullptr] = ACTIONS(2330),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2330),
    [anon_sym_decltype] = ACTIONS(2330),
    [anon_sym_virtual] = ACTIONS(2330),
    [anon_sym_alignas] = ACTIONS(2330),
    [anon_sym_typename] = ACTIONS(2330),
    [anon_sym_template] = ACTIONS(2330),
    [anon_sym_try] = ACTIONS(2330),
    [anon_sym_delete] = ACTIONS(2330),
    [anon_sym_throw] = ACTIONS(2330),
    [anon_sym_co_return] = ACTIONS(2330),
    [anon_sym_co_yield] = ACTIONS(2330),
    [anon_sym_R_DQUOTE] = ACTIONS(2332),
    [anon_sym_LR_DQUOTE] = ACTIONS(2332),
    [anon_sym_uR_DQUOTE] = ACTIONS(2332),
    [anon_sym_UR_DQUOTE] = ACTIONS(2332),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2332),
    [anon_sym_co_await] = ACTIONS(2330),
    [anon_sym_new] = ACTIONS(2330),
    [anon_sym_requires] = ACTIONS(2330),
    [sym_this] = ACTIONS(2330),
    [anon_sym_discard] = ACTIONS(2330),
    [anon_sym_precise] = ACTIONS(2330),
    [anon_sym_shared] = ACTIONS(2330),
    [anon_sym_groupshared] = ACTIONS(2330),
    [anon_sym_uniform] = ACTIONS(2330),
    [anon_sym_row_major] = ACTIONS(2330),
    [anon_sym_column_major] = ACTIONS(2330),
    [anon_sym_globallycoherent] = ACTIONS(2330),
    [anon_sym_centroid] = ACTIONS(2330),
    [anon_sym_noperspective] = ACTIONS(2330),
    [anon_sym_nointerpolation] = ACTIONS(2330),
    [anon_sym_sample] = ACTIONS(2330),
    [anon_sym_linear] = ACTIONS(2330),
    [anon_sym_snorm] = ACTIONS(2330),
    [anon_sym_unorm] = ACTIONS(2330),
    [anon_sym_point] = ACTIONS(2330),
    [anon_sym_line] = ACTIONS(2330),
    [anon_sym_triangleadj] = ACTIONS(2330),
    [anon_sym_lineadj] = ACTIONS(2330),
    [anon_sym_triangle] = ACTIONS(2330),
    [anon_sym_cbuffer] = ACTIONS(2330),
  },
  [1566] = {
    [sym_identifier] = ACTIONS(2416),
    [anon_sym_LPAREN2] = ACTIONS(2418),
    [anon_sym_BANG] = ACTIONS(2418),
    [anon_sym_TILDE] = ACTIONS(2418),
    [anon_sym_DASH] = ACTIONS(2416),
    [anon_sym_PLUS] = ACTIONS(2416),
    [anon_sym_STAR] = ACTIONS(2418),
    [anon_sym_AMP] = ACTIONS(2418),
    [anon_sym_SEMI] = ACTIONS(2418),
    [anon_sym___extension__] = ACTIONS(2416),
    [anon_sym_typedef] = ACTIONS(2416),
    [anon_sym_in] = ACTIONS(2416),
    [anon_sym_out] = ACTIONS(2416),
    [anon_sym_inout] = ACTIONS(2416),
    [anon_sym_extern] = ACTIONS(2416),
    [anon_sym___attribute__] = ACTIONS(2416),
    [anon_sym_COLON_COLON] = ACTIONS(2418),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2418),
    [anon_sym___declspec] = ACTIONS(2416),
    [anon_sym_LBRACE] = ACTIONS(2418),
    [anon_sym_signed] = ACTIONS(2416),
    [anon_sym_unsigned] = ACTIONS(2416),
    [anon_sym_long] = ACTIONS(2416),
    [anon_sym_short] = ACTIONS(2416),
    [anon_sym_LBRACK] = ACTIONS(2416),
    [anon_sym_static] = ACTIONS(2416),
    [anon_sym_register] = ACTIONS(2416),
    [anon_sym_inline] = ACTIONS(2416),
    [anon_sym___inline] = ACTIONS(2416),
    [anon_sym___inline__] = ACTIONS(2416),
    [anon_sym___forceinline] = ACTIONS(2416),
    [anon_sym_thread_local] = ACTIONS(2416),
    [anon_sym___thread] = ACTIONS(2416),
    [anon_sym_const] = ACTIONS(2416),
    [anon_sym_constexpr] = ACTIONS(2416),
    [anon_sym_volatile] = ACTIONS(2416),
    [anon_sym_restrict] = ACTIONS(2416),
    [anon_sym___restrict__] = ACTIONS(2416),
    [anon_sym__Atomic] = ACTIONS(2416),
    [anon_sym__Noreturn] = ACTIONS(2416),
    [anon_sym_noreturn] = ACTIONS(2416),
    [anon_sym_mutable] = ACTIONS(2416),
    [anon_sym_constinit] = ACTIONS(2416),
    [anon_sym_consteval] = ACTIONS(2416),
    [sym_primitive_type] = ACTIONS(2416),
    [anon_sym_enum] = ACTIONS(2416),
    [anon_sym_class] = ACTIONS(2416),
    [anon_sym_struct] = ACTIONS(2416),
    [anon_sym_union] = ACTIONS(2416),
    [anon_sym_if] = ACTIONS(2416),
    [anon_sym_else] = ACTIONS(2416),
    [anon_sym_switch] = ACTIONS(2416),
    [anon_sym_while] = ACTIONS(2416),
    [anon_sym_do] = ACTIONS(2416),
    [anon_sym_for] = ACTIONS(2416),
    [anon_sym_return] = ACTIONS(2416),
    [anon_sym_break] = ACTIONS(2416),
    [anon_sym_continue] = ACTIONS(2416),
    [anon_sym_goto] = ACTIONS(2416),
    [anon_sym___try] = ACTIONS(2416),
    [anon_sym___leave] = ACTIONS(2416),
    [anon_sym_not] = ACTIONS(2416),
    [anon_sym_compl] = ACTIONS(2416),
    [anon_sym_DASH_DASH] = ACTIONS(2418),
    [anon_sym_PLUS_PLUS] = ACTIONS(2418),
    [anon_sym_sizeof] = ACTIONS(2416),
    [anon_sym___alignof__] = ACTIONS(2416),
    [anon_sym___alignof] = ACTIONS(2416),
    [anon_sym__alignof] = ACTIONS(2416),
    [anon_sym_alignof] = ACTIONS(2416),
    [anon_sym__Alignof] = ACTIONS(2416),
    [anon_sym_offsetof] = ACTIONS(2416),
    [anon_sym__Generic] = ACTIONS(2416),
    [anon_sym_asm] = ACTIONS(2416),
    [anon_sym___asm__] = ACTIONS(2416),
    [sym_number_literal] = ACTIONS(2418),
    [anon_sym_L_SQUOTE] = ACTIONS(2418),
    [anon_sym_u_SQUOTE] = ACTIONS(2418),
    [anon_sym_U_SQUOTE] = ACTIONS(2418),
    [anon_sym_u8_SQUOTE] = ACTIONS(2418),
    [anon_sym_SQUOTE] = ACTIONS(2418),
    [anon_sym_L_DQUOTE] = ACTIONS(2418),
    [anon_sym_u_DQUOTE] = ACTIONS(2418),
    [anon_sym_U_DQUOTE] = ACTIONS(2418),
    [anon_sym_u8_DQUOTE] = ACTIONS(2418),
    [anon_sym_DQUOTE] = ACTIONS(2418),
    [sym_true] = ACTIONS(2416),
    [sym_false] = ACTIONS(2416),
    [anon_sym_NULL] = ACTIONS(2416),
    [anon_sym_nullptr] = ACTIONS(2416),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2416),
    [anon_sym_decltype] = ACTIONS(2416),
    [anon_sym_virtual] = ACTIONS(2416),
    [anon_sym_alignas] = ACTIONS(2416),
    [anon_sym_typename] = ACTIONS(2416),
    [anon_sym_template] = ACTIONS(2416),
    [anon_sym_try] = ACTIONS(2416),
    [anon_sym_delete] = ACTIONS(2416),
    [anon_sym_throw] = ACTIONS(2416),
    [anon_sym_co_return] = ACTIONS(2416),
    [anon_sym_co_yield] = ACTIONS(2416),
    [anon_sym_R_DQUOTE] = ACTIONS(2418),
    [anon_sym_LR_DQUOTE] = ACTIONS(2418),
    [anon_sym_uR_DQUOTE] = ACTIONS(2418),
    [anon_sym_UR_DQUOTE] = ACTIONS(2418),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2418),
    [anon_sym_co_await] = ACTIONS(2416),
    [anon_sym_new] = ACTIONS(2416),
    [anon_sym_requires] = ACTIONS(2416),
    [sym_this] = ACTIONS(2416),
    [anon_sym_discard] = ACTIONS(2416),
    [anon_sym_precise] = ACTIONS(2416),
    [anon_sym_shared] = ACTIONS(2416),
    [anon_sym_groupshared] = ACTIONS(2416),
    [anon_sym_uniform] = ACTIONS(2416),
    [anon_sym_row_major] = ACTIONS(2416),
    [anon_sym_column_major] = ACTIONS(2416),
    [anon_sym_globallycoherent] = ACTIONS(2416),
    [anon_sym_centroid] = ACTIONS(2416),
    [anon_sym_noperspective] = ACTIONS(2416),
    [anon_sym_nointerpolation] = ACTIONS(2416),
    [anon_sym_sample] = ACTIONS(2416),
    [anon_sym_linear] = ACTIONS(2416),
    [anon_sym_snorm] = ACTIONS(2416),
    [anon_sym_unorm] = ACTIONS(2416),
    [anon_sym_point] = ACTIONS(2416),
    [anon_sym_line] = ACTIONS(2416),
    [anon_sym_triangleadj] = ACTIONS(2416),
    [anon_sym_lineadj] = ACTIONS(2416),
    [anon_sym_triangle] = ACTIONS(2416),
    [anon_sym_cbuffer] = ACTIONS(2416),
  },
  [1567] = {
    [sym_identifier] = ACTIONS(2330),
    [anon_sym_LPAREN2] = ACTIONS(2332),
    [anon_sym_BANG] = ACTIONS(2332),
    [anon_sym_TILDE] = ACTIONS(2332),
    [anon_sym_DASH] = ACTIONS(2330),
    [anon_sym_PLUS] = ACTIONS(2330),
    [anon_sym_STAR] = ACTIONS(2332),
    [anon_sym_AMP] = ACTIONS(2332),
    [anon_sym_SEMI] = ACTIONS(2332),
    [anon_sym___extension__] = ACTIONS(2330),
    [anon_sym_typedef] = ACTIONS(2330),
    [anon_sym_in] = ACTIONS(2330),
    [anon_sym_out] = ACTIONS(2330),
    [anon_sym_inout] = ACTIONS(2330),
    [anon_sym_extern] = ACTIONS(2330),
    [anon_sym___attribute__] = ACTIONS(2330),
    [anon_sym_COLON_COLON] = ACTIONS(2332),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2332),
    [anon_sym___declspec] = ACTIONS(2330),
    [anon_sym_LBRACE] = ACTIONS(2332),
    [anon_sym_signed] = ACTIONS(2330),
    [anon_sym_unsigned] = ACTIONS(2330),
    [anon_sym_long] = ACTIONS(2330),
    [anon_sym_short] = ACTIONS(2330),
    [anon_sym_LBRACK] = ACTIONS(2330),
    [anon_sym_static] = ACTIONS(2330),
    [anon_sym_register] = ACTIONS(2330),
    [anon_sym_inline] = ACTIONS(2330),
    [anon_sym___inline] = ACTIONS(2330),
    [anon_sym___inline__] = ACTIONS(2330),
    [anon_sym___forceinline] = ACTIONS(2330),
    [anon_sym_thread_local] = ACTIONS(2330),
    [anon_sym___thread] = ACTIONS(2330),
    [anon_sym_const] = ACTIONS(2330),
    [anon_sym_constexpr] = ACTIONS(2330),
    [anon_sym_volatile] = ACTIONS(2330),
    [anon_sym_restrict] = ACTIONS(2330),
    [anon_sym___restrict__] = ACTIONS(2330),
    [anon_sym__Atomic] = ACTIONS(2330),
    [anon_sym__Noreturn] = ACTIONS(2330),
    [anon_sym_noreturn] = ACTIONS(2330),
    [anon_sym_mutable] = ACTIONS(2330),
    [anon_sym_constinit] = ACTIONS(2330),
    [anon_sym_consteval] = ACTIONS(2330),
    [sym_primitive_type] = ACTIONS(2330),
    [anon_sym_enum] = ACTIONS(2330),
    [anon_sym_class] = ACTIONS(2330),
    [anon_sym_struct] = ACTIONS(2330),
    [anon_sym_union] = ACTIONS(2330),
    [anon_sym_if] = ACTIONS(2330),
    [anon_sym_else] = ACTIONS(2330),
    [anon_sym_switch] = ACTIONS(2330),
    [anon_sym_while] = ACTIONS(2330),
    [anon_sym_do] = ACTIONS(2330),
    [anon_sym_for] = ACTIONS(2330),
    [anon_sym_return] = ACTIONS(2330),
    [anon_sym_break] = ACTIONS(2330),
    [anon_sym_continue] = ACTIONS(2330),
    [anon_sym_goto] = ACTIONS(2330),
    [anon_sym___try] = ACTIONS(2330),
    [anon_sym___leave] = ACTIONS(2330),
    [anon_sym_not] = ACTIONS(2330),
    [anon_sym_compl] = ACTIONS(2330),
    [anon_sym_DASH_DASH] = ACTIONS(2332),
    [anon_sym_PLUS_PLUS] = ACTIONS(2332),
    [anon_sym_sizeof] = ACTIONS(2330),
    [anon_sym___alignof__] = ACTIONS(2330),
    [anon_sym___alignof] = ACTIONS(2330),
    [anon_sym__alignof] = ACTIONS(2330),
    [anon_sym_alignof] = ACTIONS(2330),
    [anon_sym__Alignof] = ACTIONS(2330),
    [anon_sym_offsetof] = ACTIONS(2330),
    [anon_sym__Generic] = ACTIONS(2330),
    [anon_sym_asm] = ACTIONS(2330),
    [anon_sym___asm__] = ACTIONS(2330),
    [sym_number_literal] = ACTIONS(2332),
    [anon_sym_L_SQUOTE] = ACTIONS(2332),
    [anon_sym_u_SQUOTE] = ACTIONS(2332),
    [anon_sym_U_SQUOTE] = ACTIONS(2332),
    [anon_sym_u8_SQUOTE] = ACTIONS(2332),
    [anon_sym_SQUOTE] = ACTIONS(2332),
    [anon_sym_L_DQUOTE] = ACTIONS(2332),
    [anon_sym_u_DQUOTE] = ACTIONS(2332),
    [anon_sym_U_DQUOTE] = ACTIONS(2332),
    [anon_sym_u8_DQUOTE] = ACTIONS(2332),
    [anon_sym_DQUOTE] = ACTIONS(2332),
    [sym_true] = ACTIONS(2330),
    [sym_false] = ACTIONS(2330),
    [anon_sym_NULL] = ACTIONS(2330),
    [anon_sym_nullptr] = ACTIONS(2330),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2330),
    [anon_sym_decltype] = ACTIONS(2330),
    [anon_sym_virtual] = ACTIONS(2330),
    [anon_sym_alignas] = ACTIONS(2330),
    [anon_sym_typename] = ACTIONS(2330),
    [anon_sym_template] = ACTIONS(2330),
    [anon_sym_try] = ACTIONS(2330),
    [anon_sym_delete] = ACTIONS(2330),
    [anon_sym_throw] = ACTIONS(2330),
    [anon_sym_co_return] = ACTIONS(2330),
    [anon_sym_co_yield] = ACTIONS(2330),
    [anon_sym_R_DQUOTE] = ACTIONS(2332),
    [anon_sym_LR_DQUOTE] = ACTIONS(2332),
    [anon_sym_uR_DQUOTE] = ACTIONS(2332),
    [anon_sym_UR_DQUOTE] = ACTIONS(2332),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2332),
    [anon_sym_co_await] = ACTIONS(2330),
    [anon_sym_new] = ACTIONS(2330),
    [anon_sym_requires] = ACTIONS(2330),
    [sym_this] = ACTIONS(2330),
    [anon_sym_discard] = ACTIONS(2330),
    [anon_sym_precise] = ACTIONS(2330),
    [anon_sym_shared] = ACTIONS(2330),
    [anon_sym_groupshared] = ACTIONS(2330),
    [anon_sym_uniform] = ACTIONS(2330),
    [anon_sym_row_major] = ACTIONS(2330),
    [anon_sym_column_major] = ACTIONS(2330),
    [anon_sym_globallycoherent] = ACTIONS(2330),
    [anon_sym_centroid] = ACTIONS(2330),
    [anon_sym_noperspective] = ACTIONS(2330),
    [anon_sym_nointerpolation] = ACTIONS(2330),
    [anon_sym_sample] = ACTIONS(2330),
    [anon_sym_linear] = ACTIONS(2330),
    [anon_sym_snorm] = ACTIONS(2330),
    [anon_sym_unorm] = ACTIONS(2330),
    [anon_sym_point] = ACTIONS(2330),
    [anon_sym_line] = ACTIONS(2330),
    [anon_sym_triangleadj] = ACTIONS(2330),
    [anon_sym_lineadj] = ACTIONS(2330),
    [anon_sym_triangle] = ACTIONS(2330),
    [anon_sym_cbuffer] = ACTIONS(2330),
  },
  [1568] = {
    [sym_identifier] = ACTIONS(2330),
    [anon_sym_LPAREN2] = ACTIONS(2332),
    [anon_sym_BANG] = ACTIONS(2332),
    [anon_sym_TILDE] = ACTIONS(2332),
    [anon_sym_DASH] = ACTIONS(2330),
    [anon_sym_PLUS] = ACTIONS(2330),
    [anon_sym_STAR] = ACTIONS(2332),
    [anon_sym_AMP] = ACTIONS(2332),
    [anon_sym_SEMI] = ACTIONS(2332),
    [anon_sym___extension__] = ACTIONS(2330),
    [anon_sym_typedef] = ACTIONS(2330),
    [anon_sym_in] = ACTIONS(2330),
    [anon_sym_out] = ACTIONS(2330),
    [anon_sym_inout] = ACTIONS(2330),
    [anon_sym_extern] = ACTIONS(2330),
    [anon_sym___attribute__] = ACTIONS(2330),
    [anon_sym_COLON_COLON] = ACTIONS(2332),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2332),
    [anon_sym___declspec] = ACTIONS(2330),
    [anon_sym_LBRACE] = ACTIONS(2332),
    [anon_sym_signed] = ACTIONS(2330),
    [anon_sym_unsigned] = ACTIONS(2330),
    [anon_sym_long] = ACTIONS(2330),
    [anon_sym_short] = ACTIONS(2330),
    [anon_sym_LBRACK] = ACTIONS(2330),
    [anon_sym_static] = ACTIONS(2330),
    [anon_sym_register] = ACTIONS(2330),
    [anon_sym_inline] = ACTIONS(2330),
    [anon_sym___inline] = ACTIONS(2330),
    [anon_sym___inline__] = ACTIONS(2330),
    [anon_sym___forceinline] = ACTIONS(2330),
    [anon_sym_thread_local] = ACTIONS(2330),
    [anon_sym___thread] = ACTIONS(2330),
    [anon_sym_const] = ACTIONS(2330),
    [anon_sym_constexpr] = ACTIONS(2330),
    [anon_sym_volatile] = ACTIONS(2330),
    [anon_sym_restrict] = ACTIONS(2330),
    [anon_sym___restrict__] = ACTIONS(2330),
    [anon_sym__Atomic] = ACTIONS(2330),
    [anon_sym__Noreturn] = ACTIONS(2330),
    [anon_sym_noreturn] = ACTIONS(2330),
    [anon_sym_mutable] = ACTIONS(2330),
    [anon_sym_constinit] = ACTIONS(2330),
    [anon_sym_consteval] = ACTIONS(2330),
    [sym_primitive_type] = ACTIONS(2330),
    [anon_sym_enum] = ACTIONS(2330),
    [anon_sym_class] = ACTIONS(2330),
    [anon_sym_struct] = ACTIONS(2330),
    [anon_sym_union] = ACTIONS(2330),
    [anon_sym_if] = ACTIONS(2330),
    [anon_sym_else] = ACTIONS(2330),
    [anon_sym_switch] = ACTIONS(2330),
    [anon_sym_while] = ACTIONS(2330),
    [anon_sym_do] = ACTIONS(2330),
    [anon_sym_for] = ACTIONS(2330),
    [anon_sym_return] = ACTIONS(2330),
    [anon_sym_break] = ACTIONS(2330),
    [anon_sym_continue] = ACTIONS(2330),
    [anon_sym_goto] = ACTIONS(2330),
    [anon_sym___try] = ACTIONS(2330),
    [anon_sym___leave] = ACTIONS(2330),
    [anon_sym_not] = ACTIONS(2330),
    [anon_sym_compl] = ACTIONS(2330),
    [anon_sym_DASH_DASH] = ACTIONS(2332),
    [anon_sym_PLUS_PLUS] = ACTIONS(2332),
    [anon_sym_sizeof] = ACTIONS(2330),
    [anon_sym___alignof__] = ACTIONS(2330),
    [anon_sym___alignof] = ACTIONS(2330),
    [anon_sym__alignof] = ACTIONS(2330),
    [anon_sym_alignof] = ACTIONS(2330),
    [anon_sym__Alignof] = ACTIONS(2330),
    [anon_sym_offsetof] = ACTIONS(2330),
    [anon_sym__Generic] = ACTIONS(2330),
    [anon_sym_asm] = ACTIONS(2330),
    [anon_sym___asm__] = ACTIONS(2330),
    [sym_number_literal] = ACTIONS(2332),
    [anon_sym_L_SQUOTE] = ACTIONS(2332),
    [anon_sym_u_SQUOTE] = ACTIONS(2332),
    [anon_sym_U_SQUOTE] = ACTIONS(2332),
    [anon_sym_u8_SQUOTE] = ACTIONS(2332),
    [anon_sym_SQUOTE] = ACTIONS(2332),
    [anon_sym_L_DQUOTE] = ACTIONS(2332),
    [anon_sym_u_DQUOTE] = ACTIONS(2332),
    [anon_sym_U_DQUOTE] = ACTIONS(2332),
    [anon_sym_u8_DQUOTE] = ACTIONS(2332),
    [anon_sym_DQUOTE] = ACTIONS(2332),
    [sym_true] = ACTIONS(2330),
    [sym_false] = ACTIONS(2330),
    [anon_sym_NULL] = ACTIONS(2330),
    [anon_sym_nullptr] = ACTIONS(2330),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2330),
    [anon_sym_decltype] = ACTIONS(2330),
    [anon_sym_virtual] = ACTIONS(2330),
    [anon_sym_alignas] = ACTIONS(2330),
    [anon_sym_typename] = ACTIONS(2330),
    [anon_sym_template] = ACTIONS(2330),
    [anon_sym_try] = ACTIONS(2330),
    [anon_sym_delete] = ACTIONS(2330),
    [anon_sym_throw] = ACTIONS(2330),
    [anon_sym_co_return] = ACTIONS(2330),
    [anon_sym_co_yield] = ACTIONS(2330),
    [anon_sym_R_DQUOTE] = ACTIONS(2332),
    [anon_sym_LR_DQUOTE] = ACTIONS(2332),
    [anon_sym_uR_DQUOTE] = ACTIONS(2332),
    [anon_sym_UR_DQUOTE] = ACTIONS(2332),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2332),
    [anon_sym_co_await] = ACTIONS(2330),
    [anon_sym_new] = ACTIONS(2330),
    [anon_sym_requires] = ACTIONS(2330),
    [sym_this] = ACTIONS(2330),
    [anon_sym_discard] = ACTIONS(2330),
    [anon_sym_precise] = ACTIONS(2330),
    [anon_sym_shared] = ACTIONS(2330),
    [anon_sym_groupshared] = ACTIONS(2330),
    [anon_sym_uniform] = ACTIONS(2330),
    [anon_sym_row_major] = ACTIONS(2330),
    [anon_sym_column_major] = ACTIONS(2330),
    [anon_sym_globallycoherent] = ACTIONS(2330),
    [anon_sym_centroid] = ACTIONS(2330),
    [anon_sym_noperspective] = ACTIONS(2330),
    [anon_sym_nointerpolation] = ACTIONS(2330),
    [anon_sym_sample] = ACTIONS(2330),
    [anon_sym_linear] = ACTIONS(2330),
    [anon_sym_snorm] = ACTIONS(2330),
    [anon_sym_unorm] = ACTIONS(2330),
    [anon_sym_point] = ACTIONS(2330),
    [anon_sym_line] = ACTIONS(2330),
    [anon_sym_triangleadj] = ACTIONS(2330),
    [anon_sym_lineadj] = ACTIONS(2330),
    [anon_sym_triangle] = ACTIONS(2330),
    [anon_sym_cbuffer] = ACTIONS(2330),
  },
  [1569] = {
    [sym_identifier] = ACTIONS(2330),
    [anon_sym_LPAREN2] = ACTIONS(2332),
    [anon_sym_BANG] = ACTIONS(2332),
    [anon_sym_TILDE] = ACTIONS(2332),
    [anon_sym_DASH] = ACTIONS(2330),
    [anon_sym_PLUS] = ACTIONS(2330),
    [anon_sym_STAR] = ACTIONS(2332),
    [anon_sym_AMP] = ACTIONS(2332),
    [anon_sym_SEMI] = ACTIONS(2332),
    [anon_sym___extension__] = ACTIONS(2330),
    [anon_sym_typedef] = ACTIONS(2330),
    [anon_sym_in] = ACTIONS(2330),
    [anon_sym_out] = ACTIONS(2330),
    [anon_sym_inout] = ACTIONS(2330),
    [anon_sym_extern] = ACTIONS(2330),
    [anon_sym___attribute__] = ACTIONS(2330),
    [anon_sym_COLON_COLON] = ACTIONS(2332),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2332),
    [anon_sym___declspec] = ACTIONS(2330),
    [anon_sym_LBRACE] = ACTIONS(2332),
    [anon_sym_signed] = ACTIONS(2330),
    [anon_sym_unsigned] = ACTIONS(2330),
    [anon_sym_long] = ACTIONS(2330),
    [anon_sym_short] = ACTIONS(2330),
    [anon_sym_LBRACK] = ACTIONS(2330),
    [anon_sym_static] = ACTIONS(2330),
    [anon_sym_register] = ACTIONS(2330),
    [anon_sym_inline] = ACTIONS(2330),
    [anon_sym___inline] = ACTIONS(2330),
    [anon_sym___inline__] = ACTIONS(2330),
    [anon_sym___forceinline] = ACTIONS(2330),
    [anon_sym_thread_local] = ACTIONS(2330),
    [anon_sym___thread] = ACTIONS(2330),
    [anon_sym_const] = ACTIONS(2330),
    [anon_sym_constexpr] = ACTIONS(2330),
    [anon_sym_volatile] = ACTIONS(2330),
    [anon_sym_restrict] = ACTIONS(2330),
    [anon_sym___restrict__] = ACTIONS(2330),
    [anon_sym__Atomic] = ACTIONS(2330),
    [anon_sym__Noreturn] = ACTIONS(2330),
    [anon_sym_noreturn] = ACTIONS(2330),
    [anon_sym_mutable] = ACTIONS(2330),
    [anon_sym_constinit] = ACTIONS(2330),
    [anon_sym_consteval] = ACTIONS(2330),
    [sym_primitive_type] = ACTIONS(2330),
    [anon_sym_enum] = ACTIONS(2330),
    [anon_sym_class] = ACTIONS(2330),
    [anon_sym_struct] = ACTIONS(2330),
    [anon_sym_union] = ACTIONS(2330),
    [anon_sym_if] = ACTIONS(2330),
    [anon_sym_else] = ACTIONS(2330),
    [anon_sym_switch] = ACTIONS(2330),
    [anon_sym_while] = ACTIONS(2330),
    [anon_sym_do] = ACTIONS(2330),
    [anon_sym_for] = ACTIONS(2330),
    [anon_sym_return] = ACTIONS(2330),
    [anon_sym_break] = ACTIONS(2330),
    [anon_sym_continue] = ACTIONS(2330),
    [anon_sym_goto] = ACTIONS(2330),
    [anon_sym___try] = ACTIONS(2330),
    [anon_sym___leave] = ACTIONS(2330),
    [anon_sym_not] = ACTIONS(2330),
    [anon_sym_compl] = ACTIONS(2330),
    [anon_sym_DASH_DASH] = ACTIONS(2332),
    [anon_sym_PLUS_PLUS] = ACTIONS(2332),
    [anon_sym_sizeof] = ACTIONS(2330),
    [anon_sym___alignof__] = ACTIONS(2330),
    [anon_sym___alignof] = ACTIONS(2330),
    [anon_sym__alignof] = ACTIONS(2330),
    [anon_sym_alignof] = ACTIONS(2330),
    [anon_sym__Alignof] = ACTIONS(2330),
    [anon_sym_offsetof] = ACTIONS(2330),
    [anon_sym__Generic] = ACTIONS(2330),
    [anon_sym_asm] = ACTIONS(2330),
    [anon_sym___asm__] = ACTIONS(2330),
    [sym_number_literal] = ACTIONS(2332),
    [anon_sym_L_SQUOTE] = ACTIONS(2332),
    [anon_sym_u_SQUOTE] = ACTIONS(2332),
    [anon_sym_U_SQUOTE] = ACTIONS(2332),
    [anon_sym_u8_SQUOTE] = ACTIONS(2332),
    [anon_sym_SQUOTE] = ACTIONS(2332),
    [anon_sym_L_DQUOTE] = ACTIONS(2332),
    [anon_sym_u_DQUOTE] = ACTIONS(2332),
    [anon_sym_U_DQUOTE] = ACTIONS(2332),
    [anon_sym_u8_DQUOTE] = ACTIONS(2332),
    [anon_sym_DQUOTE] = ACTIONS(2332),
    [sym_true] = ACTIONS(2330),
    [sym_false] = ACTIONS(2330),
    [anon_sym_NULL] = ACTIONS(2330),
    [anon_sym_nullptr] = ACTIONS(2330),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2330),
    [anon_sym_decltype] = ACTIONS(2330),
    [anon_sym_virtual] = ACTIONS(2330),
    [anon_sym_alignas] = ACTIONS(2330),
    [anon_sym_typename] = ACTIONS(2330),
    [anon_sym_template] = ACTIONS(2330),
    [anon_sym_try] = ACTIONS(2330),
    [anon_sym_delete] = ACTIONS(2330),
    [anon_sym_throw] = ACTIONS(2330),
    [anon_sym_co_return] = ACTIONS(2330),
    [anon_sym_co_yield] = ACTIONS(2330),
    [anon_sym_R_DQUOTE] = ACTIONS(2332),
    [anon_sym_LR_DQUOTE] = ACTIONS(2332),
    [anon_sym_uR_DQUOTE] = ACTIONS(2332),
    [anon_sym_UR_DQUOTE] = ACTIONS(2332),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2332),
    [anon_sym_co_await] = ACTIONS(2330),
    [anon_sym_new] = ACTIONS(2330),
    [anon_sym_requires] = ACTIONS(2330),
    [sym_this] = ACTIONS(2330),
    [anon_sym_discard] = ACTIONS(2330),
    [anon_sym_precise] = ACTIONS(2330),
    [anon_sym_shared] = ACTIONS(2330),
    [anon_sym_groupshared] = ACTIONS(2330),
    [anon_sym_uniform] = ACTIONS(2330),
    [anon_sym_row_major] = ACTIONS(2330),
    [anon_sym_column_major] = ACTIONS(2330),
    [anon_sym_globallycoherent] = ACTIONS(2330),
    [anon_sym_centroid] = ACTIONS(2330),
    [anon_sym_noperspective] = ACTIONS(2330),
    [anon_sym_nointerpolation] = ACTIONS(2330),
    [anon_sym_sample] = ACTIONS(2330),
    [anon_sym_linear] = ACTIONS(2330),
    [anon_sym_snorm] = ACTIONS(2330),
    [anon_sym_unorm] = ACTIONS(2330),
    [anon_sym_point] = ACTIONS(2330),
    [anon_sym_line] = ACTIONS(2330),
    [anon_sym_triangleadj] = ACTIONS(2330),
    [anon_sym_lineadj] = ACTIONS(2330),
    [anon_sym_triangle] = ACTIONS(2330),
    [anon_sym_cbuffer] = ACTIONS(2330),
  },
  [1570] = {
    [sym_identifier] = ACTIONS(2364),
    [anon_sym_LPAREN2] = ACTIONS(2366),
    [anon_sym_BANG] = ACTIONS(2366),
    [anon_sym_TILDE] = ACTIONS(2366),
    [anon_sym_DASH] = ACTIONS(2364),
    [anon_sym_PLUS] = ACTIONS(2364),
    [anon_sym_STAR] = ACTIONS(2366),
    [anon_sym_AMP] = ACTIONS(2366),
    [anon_sym_SEMI] = ACTIONS(2366),
    [anon_sym___extension__] = ACTIONS(2364),
    [anon_sym_typedef] = ACTIONS(2364),
    [anon_sym_in] = ACTIONS(2364),
    [anon_sym_out] = ACTIONS(2364),
    [anon_sym_inout] = ACTIONS(2364),
    [anon_sym_extern] = ACTIONS(2364),
    [anon_sym___attribute__] = ACTIONS(2364),
    [anon_sym_COLON_COLON] = ACTIONS(2366),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2366),
    [anon_sym___declspec] = ACTIONS(2364),
    [anon_sym_LBRACE] = ACTIONS(2366),
    [anon_sym_signed] = ACTIONS(2364),
    [anon_sym_unsigned] = ACTIONS(2364),
    [anon_sym_long] = ACTIONS(2364),
    [anon_sym_short] = ACTIONS(2364),
    [anon_sym_LBRACK] = ACTIONS(2364),
    [anon_sym_static] = ACTIONS(2364),
    [anon_sym_register] = ACTIONS(2364),
    [anon_sym_inline] = ACTIONS(2364),
    [anon_sym___inline] = ACTIONS(2364),
    [anon_sym___inline__] = ACTIONS(2364),
    [anon_sym___forceinline] = ACTIONS(2364),
    [anon_sym_thread_local] = ACTIONS(2364),
    [anon_sym___thread] = ACTIONS(2364),
    [anon_sym_const] = ACTIONS(2364),
    [anon_sym_constexpr] = ACTIONS(2364),
    [anon_sym_volatile] = ACTIONS(2364),
    [anon_sym_restrict] = ACTIONS(2364),
    [anon_sym___restrict__] = ACTIONS(2364),
    [anon_sym__Atomic] = ACTIONS(2364),
    [anon_sym__Noreturn] = ACTIONS(2364),
    [anon_sym_noreturn] = ACTIONS(2364),
    [anon_sym_mutable] = ACTIONS(2364),
    [anon_sym_constinit] = ACTIONS(2364),
    [anon_sym_consteval] = ACTIONS(2364),
    [sym_primitive_type] = ACTIONS(2364),
    [anon_sym_enum] = ACTIONS(2364),
    [anon_sym_class] = ACTIONS(2364),
    [anon_sym_struct] = ACTIONS(2364),
    [anon_sym_union] = ACTIONS(2364),
    [anon_sym_if] = ACTIONS(2364),
    [anon_sym_else] = ACTIONS(2364),
    [anon_sym_switch] = ACTIONS(2364),
    [anon_sym_while] = ACTIONS(2364),
    [anon_sym_do] = ACTIONS(2364),
    [anon_sym_for] = ACTIONS(2364),
    [anon_sym_return] = ACTIONS(2364),
    [anon_sym_break] = ACTIONS(2364),
    [anon_sym_continue] = ACTIONS(2364),
    [anon_sym_goto] = ACTIONS(2364),
    [anon_sym___try] = ACTIONS(2364),
    [anon_sym___leave] = ACTIONS(2364),
    [anon_sym_not] = ACTIONS(2364),
    [anon_sym_compl] = ACTIONS(2364),
    [anon_sym_DASH_DASH] = ACTIONS(2366),
    [anon_sym_PLUS_PLUS] = ACTIONS(2366),
    [anon_sym_sizeof] = ACTIONS(2364),
    [anon_sym___alignof__] = ACTIONS(2364),
    [anon_sym___alignof] = ACTIONS(2364),
    [anon_sym__alignof] = ACTIONS(2364),
    [anon_sym_alignof] = ACTIONS(2364),
    [anon_sym__Alignof] = ACTIONS(2364),
    [anon_sym_offsetof] = ACTIONS(2364),
    [anon_sym__Generic] = ACTIONS(2364),
    [anon_sym_asm] = ACTIONS(2364),
    [anon_sym___asm__] = ACTIONS(2364),
    [sym_number_literal] = ACTIONS(2366),
    [anon_sym_L_SQUOTE] = ACTIONS(2366),
    [anon_sym_u_SQUOTE] = ACTIONS(2366),
    [anon_sym_U_SQUOTE] = ACTIONS(2366),
    [anon_sym_u8_SQUOTE] = ACTIONS(2366),
    [anon_sym_SQUOTE] = ACTIONS(2366),
    [anon_sym_L_DQUOTE] = ACTIONS(2366),
    [anon_sym_u_DQUOTE] = ACTIONS(2366),
    [anon_sym_U_DQUOTE] = ACTIONS(2366),
    [anon_sym_u8_DQUOTE] = ACTIONS(2366),
    [anon_sym_DQUOTE] = ACTIONS(2366),
    [sym_true] = ACTIONS(2364),
    [sym_false] = ACTIONS(2364),
    [anon_sym_NULL] = ACTIONS(2364),
    [anon_sym_nullptr] = ACTIONS(2364),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2364),
    [anon_sym_decltype] = ACTIONS(2364),
    [anon_sym_virtual] = ACTIONS(2364),
    [anon_sym_alignas] = ACTIONS(2364),
    [anon_sym_typename] = ACTIONS(2364),
    [anon_sym_template] = ACTIONS(2364),
    [anon_sym_try] = ACTIONS(2364),
    [anon_sym_delete] = ACTIONS(2364),
    [anon_sym_throw] = ACTIONS(2364),
    [anon_sym_co_return] = ACTIONS(2364),
    [anon_sym_co_yield] = ACTIONS(2364),
    [anon_sym_R_DQUOTE] = ACTIONS(2366),
    [anon_sym_LR_DQUOTE] = ACTIONS(2366),
    [anon_sym_uR_DQUOTE] = ACTIONS(2366),
    [anon_sym_UR_DQUOTE] = ACTIONS(2366),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2366),
    [anon_sym_co_await] = ACTIONS(2364),
    [anon_sym_new] = ACTIONS(2364),
    [anon_sym_requires] = ACTIONS(2364),
    [sym_this] = ACTIONS(2364),
    [anon_sym_discard] = ACTIONS(2364),
    [anon_sym_precise] = ACTIONS(2364),
    [anon_sym_shared] = ACTIONS(2364),
    [anon_sym_groupshared] = ACTIONS(2364),
    [anon_sym_uniform] = ACTIONS(2364),
    [anon_sym_row_major] = ACTIONS(2364),
    [anon_sym_column_major] = ACTIONS(2364),
    [anon_sym_globallycoherent] = ACTIONS(2364),
    [anon_sym_centroid] = ACTIONS(2364),
    [anon_sym_noperspective] = ACTIONS(2364),
    [anon_sym_nointerpolation] = ACTIONS(2364),
    [anon_sym_sample] = ACTIONS(2364),
    [anon_sym_linear] = ACTIONS(2364),
    [anon_sym_snorm] = ACTIONS(2364),
    [anon_sym_unorm] = ACTIONS(2364),
    [anon_sym_point] = ACTIONS(2364),
    [anon_sym_line] = ACTIONS(2364),
    [anon_sym_triangleadj] = ACTIONS(2364),
    [anon_sym_lineadj] = ACTIONS(2364),
    [anon_sym_triangle] = ACTIONS(2364),
    [anon_sym_cbuffer] = ACTIONS(2364),
  },
  [1571] = {
    [sym_identifier] = ACTIONS(2330),
    [anon_sym_LPAREN2] = ACTIONS(2332),
    [anon_sym_BANG] = ACTIONS(2332),
    [anon_sym_TILDE] = ACTIONS(2332),
    [anon_sym_DASH] = ACTIONS(2330),
    [anon_sym_PLUS] = ACTIONS(2330),
    [anon_sym_STAR] = ACTIONS(2332),
    [anon_sym_AMP] = ACTIONS(2332),
    [anon_sym_SEMI] = ACTIONS(2332),
    [anon_sym___extension__] = ACTIONS(2330),
    [anon_sym_typedef] = ACTIONS(2330),
    [anon_sym_in] = ACTIONS(2330),
    [anon_sym_out] = ACTIONS(2330),
    [anon_sym_inout] = ACTIONS(2330),
    [anon_sym_extern] = ACTIONS(2330),
    [anon_sym___attribute__] = ACTIONS(2330),
    [anon_sym_COLON_COLON] = ACTIONS(2332),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2332),
    [anon_sym___declspec] = ACTIONS(2330),
    [anon_sym_LBRACE] = ACTIONS(2332),
    [anon_sym_signed] = ACTIONS(2330),
    [anon_sym_unsigned] = ACTIONS(2330),
    [anon_sym_long] = ACTIONS(2330),
    [anon_sym_short] = ACTIONS(2330),
    [anon_sym_LBRACK] = ACTIONS(2330),
    [anon_sym_static] = ACTIONS(2330),
    [anon_sym_register] = ACTIONS(2330),
    [anon_sym_inline] = ACTIONS(2330),
    [anon_sym___inline] = ACTIONS(2330),
    [anon_sym___inline__] = ACTIONS(2330),
    [anon_sym___forceinline] = ACTIONS(2330),
    [anon_sym_thread_local] = ACTIONS(2330),
    [anon_sym___thread] = ACTIONS(2330),
    [anon_sym_const] = ACTIONS(2330),
    [anon_sym_constexpr] = ACTIONS(2330),
    [anon_sym_volatile] = ACTIONS(2330),
    [anon_sym_restrict] = ACTIONS(2330),
    [anon_sym___restrict__] = ACTIONS(2330),
    [anon_sym__Atomic] = ACTIONS(2330),
    [anon_sym__Noreturn] = ACTIONS(2330),
    [anon_sym_noreturn] = ACTIONS(2330),
    [anon_sym_mutable] = ACTIONS(2330),
    [anon_sym_constinit] = ACTIONS(2330),
    [anon_sym_consteval] = ACTIONS(2330),
    [sym_primitive_type] = ACTIONS(2330),
    [anon_sym_enum] = ACTIONS(2330),
    [anon_sym_class] = ACTIONS(2330),
    [anon_sym_struct] = ACTIONS(2330),
    [anon_sym_union] = ACTIONS(2330),
    [anon_sym_if] = ACTIONS(2330),
    [anon_sym_else] = ACTIONS(2330),
    [anon_sym_switch] = ACTIONS(2330),
    [anon_sym_while] = ACTIONS(2330),
    [anon_sym_do] = ACTIONS(2330),
    [anon_sym_for] = ACTIONS(2330),
    [anon_sym_return] = ACTIONS(2330),
    [anon_sym_break] = ACTIONS(2330),
    [anon_sym_continue] = ACTIONS(2330),
    [anon_sym_goto] = ACTIONS(2330),
    [anon_sym___try] = ACTIONS(2330),
    [anon_sym___leave] = ACTIONS(2330),
    [anon_sym_not] = ACTIONS(2330),
    [anon_sym_compl] = ACTIONS(2330),
    [anon_sym_DASH_DASH] = ACTIONS(2332),
    [anon_sym_PLUS_PLUS] = ACTIONS(2332),
    [anon_sym_sizeof] = ACTIONS(2330),
    [anon_sym___alignof__] = ACTIONS(2330),
    [anon_sym___alignof] = ACTIONS(2330),
    [anon_sym__alignof] = ACTIONS(2330),
    [anon_sym_alignof] = ACTIONS(2330),
    [anon_sym__Alignof] = ACTIONS(2330),
    [anon_sym_offsetof] = ACTIONS(2330),
    [anon_sym__Generic] = ACTIONS(2330),
    [anon_sym_asm] = ACTIONS(2330),
    [anon_sym___asm__] = ACTIONS(2330),
    [sym_number_literal] = ACTIONS(2332),
    [anon_sym_L_SQUOTE] = ACTIONS(2332),
    [anon_sym_u_SQUOTE] = ACTIONS(2332),
    [anon_sym_U_SQUOTE] = ACTIONS(2332),
    [anon_sym_u8_SQUOTE] = ACTIONS(2332),
    [anon_sym_SQUOTE] = ACTIONS(2332),
    [anon_sym_L_DQUOTE] = ACTIONS(2332),
    [anon_sym_u_DQUOTE] = ACTIONS(2332),
    [anon_sym_U_DQUOTE] = ACTIONS(2332),
    [anon_sym_u8_DQUOTE] = ACTIONS(2332),
    [anon_sym_DQUOTE] = ACTIONS(2332),
    [sym_true] = ACTIONS(2330),
    [sym_false] = ACTIONS(2330),
    [anon_sym_NULL] = ACTIONS(2330),
    [anon_sym_nullptr] = ACTIONS(2330),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2330),
    [anon_sym_decltype] = ACTIONS(2330),
    [anon_sym_virtual] = ACTIONS(2330),
    [anon_sym_alignas] = ACTIONS(2330),
    [anon_sym_typename] = ACTIONS(2330),
    [anon_sym_template] = ACTIONS(2330),
    [anon_sym_try] = ACTIONS(2330),
    [anon_sym_delete] = ACTIONS(2330),
    [anon_sym_throw] = ACTIONS(2330),
    [anon_sym_co_return] = ACTIONS(2330),
    [anon_sym_co_yield] = ACTIONS(2330),
    [anon_sym_R_DQUOTE] = ACTIONS(2332),
    [anon_sym_LR_DQUOTE] = ACTIONS(2332),
    [anon_sym_uR_DQUOTE] = ACTIONS(2332),
    [anon_sym_UR_DQUOTE] = ACTIONS(2332),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2332),
    [anon_sym_co_await] = ACTIONS(2330),
    [anon_sym_new] = ACTIONS(2330),
    [anon_sym_requires] = ACTIONS(2330),
    [sym_this] = ACTIONS(2330),
    [anon_sym_discard] = ACTIONS(2330),
    [anon_sym_precise] = ACTIONS(2330),
    [anon_sym_shared] = ACTIONS(2330),
    [anon_sym_groupshared] = ACTIONS(2330),
    [anon_sym_uniform] = ACTIONS(2330),
    [anon_sym_row_major] = ACTIONS(2330),
    [anon_sym_column_major] = ACTIONS(2330),
    [anon_sym_globallycoherent] = ACTIONS(2330),
    [anon_sym_centroid] = ACTIONS(2330),
    [anon_sym_noperspective] = ACTIONS(2330),
    [anon_sym_nointerpolation] = ACTIONS(2330),
    [anon_sym_sample] = ACTIONS(2330),
    [anon_sym_linear] = ACTIONS(2330),
    [anon_sym_snorm] = ACTIONS(2330),
    [anon_sym_unorm] = ACTIONS(2330),
    [anon_sym_point] = ACTIONS(2330),
    [anon_sym_line] = ACTIONS(2330),
    [anon_sym_triangleadj] = ACTIONS(2330),
    [anon_sym_lineadj] = ACTIONS(2330),
    [anon_sym_triangle] = ACTIONS(2330),
    [anon_sym_cbuffer] = ACTIONS(2330),
  },
  [1572] = {
    [sym_identifier] = ACTIONS(2364),
    [anon_sym_LPAREN2] = ACTIONS(2366),
    [anon_sym_BANG] = ACTIONS(2366),
    [anon_sym_TILDE] = ACTIONS(2366),
    [anon_sym_DASH] = ACTIONS(2364),
    [anon_sym_PLUS] = ACTIONS(2364),
    [anon_sym_STAR] = ACTIONS(2366),
    [anon_sym_AMP] = ACTIONS(2366),
    [anon_sym_SEMI] = ACTIONS(2366),
    [anon_sym___extension__] = ACTIONS(2364),
    [anon_sym_typedef] = ACTIONS(2364),
    [anon_sym_in] = ACTIONS(2364),
    [anon_sym_out] = ACTIONS(2364),
    [anon_sym_inout] = ACTIONS(2364),
    [anon_sym_extern] = ACTIONS(2364),
    [anon_sym___attribute__] = ACTIONS(2364),
    [anon_sym_COLON_COLON] = ACTIONS(2366),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2366),
    [anon_sym___declspec] = ACTIONS(2364),
    [anon_sym_LBRACE] = ACTIONS(2366),
    [anon_sym_signed] = ACTIONS(2364),
    [anon_sym_unsigned] = ACTIONS(2364),
    [anon_sym_long] = ACTIONS(2364),
    [anon_sym_short] = ACTIONS(2364),
    [anon_sym_LBRACK] = ACTIONS(2364),
    [anon_sym_static] = ACTIONS(2364),
    [anon_sym_register] = ACTIONS(2364),
    [anon_sym_inline] = ACTIONS(2364),
    [anon_sym___inline] = ACTIONS(2364),
    [anon_sym___inline__] = ACTIONS(2364),
    [anon_sym___forceinline] = ACTIONS(2364),
    [anon_sym_thread_local] = ACTIONS(2364),
    [anon_sym___thread] = ACTIONS(2364),
    [anon_sym_const] = ACTIONS(2364),
    [anon_sym_constexpr] = ACTIONS(2364),
    [anon_sym_volatile] = ACTIONS(2364),
    [anon_sym_restrict] = ACTIONS(2364),
    [anon_sym___restrict__] = ACTIONS(2364),
    [anon_sym__Atomic] = ACTIONS(2364),
    [anon_sym__Noreturn] = ACTIONS(2364),
    [anon_sym_noreturn] = ACTIONS(2364),
    [anon_sym_mutable] = ACTIONS(2364),
    [anon_sym_constinit] = ACTIONS(2364),
    [anon_sym_consteval] = ACTIONS(2364),
    [sym_primitive_type] = ACTIONS(2364),
    [anon_sym_enum] = ACTIONS(2364),
    [anon_sym_class] = ACTIONS(2364),
    [anon_sym_struct] = ACTIONS(2364),
    [anon_sym_union] = ACTIONS(2364),
    [anon_sym_if] = ACTIONS(2364),
    [anon_sym_else] = ACTIONS(2364),
    [anon_sym_switch] = ACTIONS(2364),
    [anon_sym_while] = ACTIONS(2364),
    [anon_sym_do] = ACTIONS(2364),
    [anon_sym_for] = ACTIONS(2364),
    [anon_sym_return] = ACTIONS(2364),
    [anon_sym_break] = ACTIONS(2364),
    [anon_sym_continue] = ACTIONS(2364),
    [anon_sym_goto] = ACTIONS(2364),
    [anon_sym___try] = ACTIONS(2364),
    [anon_sym___leave] = ACTIONS(2364),
    [anon_sym_not] = ACTIONS(2364),
    [anon_sym_compl] = ACTIONS(2364),
    [anon_sym_DASH_DASH] = ACTIONS(2366),
    [anon_sym_PLUS_PLUS] = ACTIONS(2366),
    [anon_sym_sizeof] = ACTIONS(2364),
    [anon_sym___alignof__] = ACTIONS(2364),
    [anon_sym___alignof] = ACTIONS(2364),
    [anon_sym__alignof] = ACTIONS(2364),
    [anon_sym_alignof] = ACTIONS(2364),
    [anon_sym__Alignof] = ACTIONS(2364),
    [anon_sym_offsetof] = ACTIONS(2364),
    [anon_sym__Generic] = ACTIONS(2364),
    [anon_sym_asm] = ACTIONS(2364),
    [anon_sym___asm__] = ACTIONS(2364),
    [sym_number_literal] = ACTIONS(2366),
    [anon_sym_L_SQUOTE] = ACTIONS(2366),
    [anon_sym_u_SQUOTE] = ACTIONS(2366),
    [anon_sym_U_SQUOTE] = ACTIONS(2366),
    [anon_sym_u8_SQUOTE] = ACTIONS(2366),
    [anon_sym_SQUOTE] = ACTIONS(2366),
    [anon_sym_L_DQUOTE] = ACTIONS(2366),
    [anon_sym_u_DQUOTE] = ACTIONS(2366),
    [anon_sym_U_DQUOTE] = ACTIONS(2366),
    [anon_sym_u8_DQUOTE] = ACTIONS(2366),
    [anon_sym_DQUOTE] = ACTIONS(2366),
    [sym_true] = ACTIONS(2364),
    [sym_false] = ACTIONS(2364),
    [anon_sym_NULL] = ACTIONS(2364),
    [anon_sym_nullptr] = ACTIONS(2364),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2364),
    [anon_sym_decltype] = ACTIONS(2364),
    [anon_sym_virtual] = ACTIONS(2364),
    [anon_sym_alignas] = ACTIONS(2364),
    [anon_sym_typename] = ACTIONS(2364),
    [anon_sym_template] = ACTIONS(2364),
    [anon_sym_try] = ACTIONS(2364),
    [anon_sym_delete] = ACTIONS(2364),
    [anon_sym_throw] = ACTIONS(2364),
    [anon_sym_co_return] = ACTIONS(2364),
    [anon_sym_co_yield] = ACTIONS(2364),
    [anon_sym_R_DQUOTE] = ACTIONS(2366),
    [anon_sym_LR_DQUOTE] = ACTIONS(2366),
    [anon_sym_uR_DQUOTE] = ACTIONS(2366),
    [anon_sym_UR_DQUOTE] = ACTIONS(2366),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2366),
    [anon_sym_co_await] = ACTIONS(2364),
    [anon_sym_new] = ACTIONS(2364),
    [anon_sym_requires] = ACTIONS(2364),
    [sym_this] = ACTIONS(2364),
    [anon_sym_discard] = ACTIONS(2364),
    [anon_sym_precise] = ACTIONS(2364),
    [anon_sym_shared] = ACTIONS(2364),
    [anon_sym_groupshared] = ACTIONS(2364),
    [anon_sym_uniform] = ACTIONS(2364),
    [anon_sym_row_major] = ACTIONS(2364),
    [anon_sym_column_major] = ACTIONS(2364),
    [anon_sym_globallycoherent] = ACTIONS(2364),
    [anon_sym_centroid] = ACTIONS(2364),
    [anon_sym_noperspective] = ACTIONS(2364),
    [anon_sym_nointerpolation] = ACTIONS(2364),
    [anon_sym_sample] = ACTIONS(2364),
    [anon_sym_linear] = ACTIONS(2364),
    [anon_sym_snorm] = ACTIONS(2364),
    [anon_sym_unorm] = ACTIONS(2364),
    [anon_sym_point] = ACTIONS(2364),
    [anon_sym_line] = ACTIONS(2364),
    [anon_sym_triangleadj] = ACTIONS(2364),
    [anon_sym_lineadj] = ACTIONS(2364),
    [anon_sym_triangle] = ACTIONS(2364),
    [anon_sym_cbuffer] = ACTIONS(2364),
  },
  [1573] = {
    [sym_identifier] = ACTIONS(2472),
    [anon_sym_LPAREN2] = ACTIONS(2474),
    [anon_sym_BANG] = ACTIONS(2474),
    [anon_sym_TILDE] = ACTIONS(2474),
    [anon_sym_DASH] = ACTIONS(2472),
    [anon_sym_PLUS] = ACTIONS(2472),
    [anon_sym_STAR] = ACTIONS(2474),
    [anon_sym_AMP] = ACTIONS(2474),
    [anon_sym_SEMI] = ACTIONS(2474),
    [anon_sym___extension__] = ACTIONS(2472),
    [anon_sym_typedef] = ACTIONS(2472),
    [anon_sym_in] = ACTIONS(2472),
    [anon_sym_out] = ACTIONS(2472),
    [anon_sym_inout] = ACTIONS(2472),
    [anon_sym_extern] = ACTIONS(2472),
    [anon_sym___attribute__] = ACTIONS(2472),
    [anon_sym_COLON_COLON] = ACTIONS(2474),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2474),
    [anon_sym___declspec] = ACTIONS(2472),
    [anon_sym_LBRACE] = ACTIONS(2474),
    [anon_sym_signed] = ACTIONS(2472),
    [anon_sym_unsigned] = ACTIONS(2472),
    [anon_sym_long] = ACTIONS(2472),
    [anon_sym_short] = ACTIONS(2472),
    [anon_sym_LBRACK] = ACTIONS(2472),
    [anon_sym_static] = ACTIONS(2472),
    [anon_sym_register] = ACTIONS(2472),
    [anon_sym_inline] = ACTIONS(2472),
    [anon_sym___inline] = ACTIONS(2472),
    [anon_sym___inline__] = ACTIONS(2472),
    [anon_sym___forceinline] = ACTIONS(2472),
    [anon_sym_thread_local] = ACTIONS(2472),
    [anon_sym___thread] = ACTIONS(2472),
    [anon_sym_const] = ACTIONS(2472),
    [anon_sym_constexpr] = ACTIONS(2472),
    [anon_sym_volatile] = ACTIONS(2472),
    [anon_sym_restrict] = ACTIONS(2472),
    [anon_sym___restrict__] = ACTIONS(2472),
    [anon_sym__Atomic] = ACTIONS(2472),
    [anon_sym__Noreturn] = ACTIONS(2472),
    [anon_sym_noreturn] = ACTIONS(2472),
    [anon_sym_mutable] = ACTIONS(2472),
    [anon_sym_constinit] = ACTIONS(2472),
    [anon_sym_consteval] = ACTIONS(2472),
    [sym_primitive_type] = ACTIONS(2472),
    [anon_sym_enum] = ACTIONS(2472),
    [anon_sym_class] = ACTIONS(2472),
    [anon_sym_struct] = ACTIONS(2472),
    [anon_sym_union] = ACTIONS(2472),
    [anon_sym_if] = ACTIONS(2472),
    [anon_sym_else] = ACTIONS(2472),
    [anon_sym_switch] = ACTIONS(2472),
    [anon_sym_while] = ACTIONS(2472),
    [anon_sym_do] = ACTIONS(2472),
    [anon_sym_for] = ACTIONS(2472),
    [anon_sym_return] = ACTIONS(2472),
    [anon_sym_break] = ACTIONS(2472),
    [anon_sym_continue] = ACTIONS(2472),
    [anon_sym_goto] = ACTIONS(2472),
    [anon_sym___try] = ACTIONS(2472),
    [anon_sym___leave] = ACTIONS(2472),
    [anon_sym_not] = ACTIONS(2472),
    [anon_sym_compl] = ACTIONS(2472),
    [anon_sym_DASH_DASH] = ACTIONS(2474),
    [anon_sym_PLUS_PLUS] = ACTIONS(2474),
    [anon_sym_sizeof] = ACTIONS(2472),
    [anon_sym___alignof__] = ACTIONS(2472),
    [anon_sym___alignof] = ACTIONS(2472),
    [anon_sym__alignof] = ACTIONS(2472),
    [anon_sym_alignof] = ACTIONS(2472),
    [anon_sym__Alignof] = ACTIONS(2472),
    [anon_sym_offsetof] = ACTIONS(2472),
    [anon_sym__Generic] = ACTIONS(2472),
    [anon_sym_asm] = ACTIONS(2472),
    [anon_sym___asm__] = ACTIONS(2472),
    [sym_number_literal] = ACTIONS(2474),
    [anon_sym_L_SQUOTE] = ACTIONS(2474),
    [anon_sym_u_SQUOTE] = ACTIONS(2474),
    [anon_sym_U_SQUOTE] = ACTIONS(2474),
    [anon_sym_u8_SQUOTE] = ACTIONS(2474),
    [anon_sym_SQUOTE] = ACTIONS(2474),
    [anon_sym_L_DQUOTE] = ACTIONS(2474),
    [anon_sym_u_DQUOTE] = ACTIONS(2474),
    [anon_sym_U_DQUOTE] = ACTIONS(2474),
    [anon_sym_u8_DQUOTE] = ACTIONS(2474),
    [anon_sym_DQUOTE] = ACTIONS(2474),
    [sym_true] = ACTIONS(2472),
    [sym_false] = ACTIONS(2472),
    [anon_sym_NULL] = ACTIONS(2472),
    [anon_sym_nullptr] = ACTIONS(2472),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2472),
    [anon_sym_decltype] = ACTIONS(2472),
    [anon_sym_virtual] = ACTIONS(2472),
    [anon_sym_alignas] = ACTIONS(2472),
    [anon_sym_typename] = ACTIONS(2472),
    [anon_sym_template] = ACTIONS(2472),
    [anon_sym_try] = ACTIONS(2472),
    [anon_sym_delete] = ACTIONS(2472),
    [anon_sym_throw] = ACTIONS(2472),
    [anon_sym_co_return] = ACTIONS(2472),
    [anon_sym_co_yield] = ACTIONS(2472),
    [anon_sym_R_DQUOTE] = ACTIONS(2474),
    [anon_sym_LR_DQUOTE] = ACTIONS(2474),
    [anon_sym_uR_DQUOTE] = ACTIONS(2474),
    [anon_sym_UR_DQUOTE] = ACTIONS(2474),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2474),
    [anon_sym_co_await] = ACTIONS(2472),
    [anon_sym_new] = ACTIONS(2472),
    [anon_sym_requires] = ACTIONS(2472),
    [sym_this] = ACTIONS(2472),
    [anon_sym_discard] = ACTIONS(2472),
    [anon_sym_precise] = ACTIONS(2472),
    [anon_sym_shared] = ACTIONS(2472),
    [anon_sym_groupshared] = ACTIONS(2472),
    [anon_sym_uniform] = ACTIONS(2472),
    [anon_sym_row_major] = ACTIONS(2472),
    [anon_sym_column_major] = ACTIONS(2472),
    [anon_sym_globallycoherent] = ACTIONS(2472),
    [anon_sym_centroid] = ACTIONS(2472),
    [anon_sym_noperspective] = ACTIONS(2472),
    [anon_sym_nointerpolation] = ACTIONS(2472),
    [anon_sym_sample] = ACTIONS(2472),
    [anon_sym_linear] = ACTIONS(2472),
    [anon_sym_snorm] = ACTIONS(2472),
    [anon_sym_unorm] = ACTIONS(2472),
    [anon_sym_point] = ACTIONS(2472),
    [anon_sym_line] = ACTIONS(2472),
    [anon_sym_triangleadj] = ACTIONS(2472),
    [anon_sym_lineadj] = ACTIONS(2472),
    [anon_sym_triangle] = ACTIONS(2472),
    [anon_sym_cbuffer] = ACTIONS(2472),
  },
  [1574] = {
    [sym_identifier] = ACTIONS(2476),
    [anon_sym_LPAREN2] = ACTIONS(2478),
    [anon_sym_BANG] = ACTIONS(2478),
    [anon_sym_TILDE] = ACTIONS(2478),
    [anon_sym_DASH] = ACTIONS(2476),
    [anon_sym_PLUS] = ACTIONS(2476),
    [anon_sym_STAR] = ACTIONS(2478),
    [anon_sym_AMP] = ACTIONS(2478),
    [anon_sym_SEMI] = ACTIONS(2478),
    [anon_sym___extension__] = ACTIONS(2476),
    [anon_sym_typedef] = ACTIONS(2476),
    [anon_sym_in] = ACTIONS(2476),
    [anon_sym_out] = ACTIONS(2476),
    [anon_sym_inout] = ACTIONS(2476),
    [anon_sym_extern] = ACTIONS(2476),
    [anon_sym___attribute__] = ACTIONS(2476),
    [anon_sym_COLON_COLON] = ACTIONS(2478),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2478),
    [anon_sym___declspec] = ACTIONS(2476),
    [anon_sym_LBRACE] = ACTIONS(2478),
    [anon_sym_signed] = ACTIONS(2476),
    [anon_sym_unsigned] = ACTIONS(2476),
    [anon_sym_long] = ACTIONS(2476),
    [anon_sym_short] = ACTIONS(2476),
    [anon_sym_LBRACK] = ACTIONS(2476),
    [anon_sym_static] = ACTIONS(2476),
    [anon_sym_register] = ACTIONS(2476),
    [anon_sym_inline] = ACTIONS(2476),
    [anon_sym___inline] = ACTIONS(2476),
    [anon_sym___inline__] = ACTIONS(2476),
    [anon_sym___forceinline] = ACTIONS(2476),
    [anon_sym_thread_local] = ACTIONS(2476),
    [anon_sym___thread] = ACTIONS(2476),
    [anon_sym_const] = ACTIONS(2476),
    [anon_sym_constexpr] = ACTIONS(2476),
    [anon_sym_volatile] = ACTIONS(2476),
    [anon_sym_restrict] = ACTIONS(2476),
    [anon_sym___restrict__] = ACTIONS(2476),
    [anon_sym__Atomic] = ACTIONS(2476),
    [anon_sym__Noreturn] = ACTIONS(2476),
    [anon_sym_noreturn] = ACTIONS(2476),
    [anon_sym_mutable] = ACTIONS(2476),
    [anon_sym_constinit] = ACTIONS(2476),
    [anon_sym_consteval] = ACTIONS(2476),
    [sym_primitive_type] = ACTIONS(2476),
    [anon_sym_enum] = ACTIONS(2476),
    [anon_sym_class] = ACTIONS(2476),
    [anon_sym_struct] = ACTIONS(2476),
    [anon_sym_union] = ACTIONS(2476),
    [anon_sym_if] = ACTIONS(2476),
    [anon_sym_else] = ACTIONS(2476),
    [anon_sym_switch] = ACTIONS(2476),
    [anon_sym_while] = ACTIONS(2476),
    [anon_sym_do] = ACTIONS(2476),
    [anon_sym_for] = ACTIONS(2476),
    [anon_sym_return] = ACTIONS(2476),
    [anon_sym_break] = ACTIONS(2476),
    [anon_sym_continue] = ACTIONS(2476),
    [anon_sym_goto] = ACTIONS(2476),
    [anon_sym___try] = ACTIONS(2476),
    [anon_sym___leave] = ACTIONS(2476),
    [anon_sym_not] = ACTIONS(2476),
    [anon_sym_compl] = ACTIONS(2476),
    [anon_sym_DASH_DASH] = ACTIONS(2478),
    [anon_sym_PLUS_PLUS] = ACTIONS(2478),
    [anon_sym_sizeof] = ACTIONS(2476),
    [anon_sym___alignof__] = ACTIONS(2476),
    [anon_sym___alignof] = ACTIONS(2476),
    [anon_sym__alignof] = ACTIONS(2476),
    [anon_sym_alignof] = ACTIONS(2476),
    [anon_sym__Alignof] = ACTIONS(2476),
    [anon_sym_offsetof] = ACTIONS(2476),
    [anon_sym__Generic] = ACTIONS(2476),
    [anon_sym_asm] = ACTIONS(2476),
    [anon_sym___asm__] = ACTIONS(2476),
    [sym_number_literal] = ACTIONS(2478),
    [anon_sym_L_SQUOTE] = ACTIONS(2478),
    [anon_sym_u_SQUOTE] = ACTIONS(2478),
    [anon_sym_U_SQUOTE] = ACTIONS(2478),
    [anon_sym_u8_SQUOTE] = ACTIONS(2478),
    [anon_sym_SQUOTE] = ACTIONS(2478),
    [anon_sym_L_DQUOTE] = ACTIONS(2478),
    [anon_sym_u_DQUOTE] = ACTIONS(2478),
    [anon_sym_U_DQUOTE] = ACTIONS(2478),
    [anon_sym_u8_DQUOTE] = ACTIONS(2478),
    [anon_sym_DQUOTE] = ACTIONS(2478),
    [sym_true] = ACTIONS(2476),
    [sym_false] = ACTIONS(2476),
    [anon_sym_NULL] = ACTIONS(2476),
    [anon_sym_nullptr] = ACTIONS(2476),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2476),
    [anon_sym_decltype] = ACTIONS(2476),
    [anon_sym_virtual] = ACTIONS(2476),
    [anon_sym_alignas] = ACTIONS(2476),
    [anon_sym_typename] = ACTIONS(2476),
    [anon_sym_template] = ACTIONS(2476),
    [anon_sym_try] = ACTIONS(2476),
    [anon_sym_delete] = ACTIONS(2476),
    [anon_sym_throw] = ACTIONS(2476),
    [anon_sym_co_return] = ACTIONS(2476),
    [anon_sym_co_yield] = ACTIONS(2476),
    [anon_sym_R_DQUOTE] = ACTIONS(2478),
    [anon_sym_LR_DQUOTE] = ACTIONS(2478),
    [anon_sym_uR_DQUOTE] = ACTIONS(2478),
    [anon_sym_UR_DQUOTE] = ACTIONS(2478),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2478),
    [anon_sym_co_await] = ACTIONS(2476),
    [anon_sym_new] = ACTIONS(2476),
    [anon_sym_requires] = ACTIONS(2476),
    [sym_this] = ACTIONS(2476),
    [anon_sym_discard] = ACTIONS(2476),
    [anon_sym_precise] = ACTIONS(2476),
    [anon_sym_shared] = ACTIONS(2476),
    [anon_sym_groupshared] = ACTIONS(2476),
    [anon_sym_uniform] = ACTIONS(2476),
    [anon_sym_row_major] = ACTIONS(2476),
    [anon_sym_column_major] = ACTIONS(2476),
    [anon_sym_globallycoherent] = ACTIONS(2476),
    [anon_sym_centroid] = ACTIONS(2476),
    [anon_sym_noperspective] = ACTIONS(2476),
    [anon_sym_nointerpolation] = ACTIONS(2476),
    [anon_sym_sample] = ACTIONS(2476),
    [anon_sym_linear] = ACTIONS(2476),
    [anon_sym_snorm] = ACTIONS(2476),
    [anon_sym_unorm] = ACTIONS(2476),
    [anon_sym_point] = ACTIONS(2476),
    [anon_sym_line] = ACTIONS(2476),
    [anon_sym_triangleadj] = ACTIONS(2476),
    [anon_sym_lineadj] = ACTIONS(2476),
    [anon_sym_triangle] = ACTIONS(2476),
    [anon_sym_cbuffer] = ACTIONS(2476),
  },
  [1575] = {
    [sym_ms_based_modifier] = STATE(10332),
    [sym_ms_unaligned_ptr_modifier] = STATE(5347),
    [sym_ms_pointer_modifier] = STATE(4701),
    [sym__declarator] = STATE(7636),
    [sym_parenthesized_declarator] = STATE(7680),
    [sym_attributed_declarator] = STATE(7680),
    [sym_pointer_declarator] = STATE(7680),
    [sym_function_declarator] = STATE(7680),
    [sym_array_declarator] = STATE(7680),
    [sym_type_qualifier] = STATE(5246),
    [sym__expression] = STATE(4349),
    [sym__expression_not_binary] = STATE(4695),
    [sym__string] = STATE(4695),
    [sym_conditional_expression] = STATE(4695),
    [sym_assignment_expression] = STATE(4695),
    [sym_pointer_expression] = STATE(4695),
    [sym_unary_expression] = STATE(4695),
    [sym_binary_expression] = STATE(4695),
    [sym_update_expression] = STATE(4695),
    [sym_cast_expression] = STATE(4695),
    [sym_sizeof_expression] = STATE(4695),
    [sym_alignof_expression] = STATE(4695),
    [sym_offsetof_expression] = STATE(4695),
    [sym_generic_expression] = STATE(4695),
    [sym_subscript_expression] = STATE(4695),
    [sym_call_expression] = STATE(4695),
    [sym_gnu_asm_expression] = STATE(4695),
    [sym_field_expression] = STATE(4695),
    [sym_compound_literal_expression] = STATE(4695),
    [sym_parenthesized_expression] = STATE(4695),
    [sym_char_literal] = STATE(4427),
    [sym_concatenated_string] = STATE(4424),
    [sym_string_literal] = STATE(3398),
    [sym_null] = STATE(4695),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9425),
    [sym_reference_declarator] = STATE(7680),
    [sym_structured_binding_declarator] = STATE(7680),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(4418),
    [sym_raw_string_literal] = STATE(3396),
    [sym_co_await_expression] = STATE(4695),
    [sym_new_expression] = STATE(4695),
    [sym_delete_expression] = STATE(4695),
    [sym_requires_clause] = STATE(4695),
    [sym_requires_expression] = STATE(4695),
    [sym_lambda_expression] = STATE(4695),
    [sym_lambda_capture_specifier] = STATE(7185),
    [sym_fold_expression] = STATE(4695),
    [sym_parameter_pack_expansion] = STATE(4695),
    [sym_destructor_name] = STATE(7680),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6950),
    [sym_qualified_identifier] = STATE(4416),
    [sym_qualified_type_identifier] = STATE(9425),
    [sym_operator_name] = STATE(7680),
    [sym_user_defined_literal] = STATE(4695),
    [aux_sym__type_definition_type_repeat1] = STATE(5246),
    [aux_sym_pointer_declarator_repeat1] = STATE(4701),
    [sym_identifier] = ACTIONS(4387),
    [anon_sym_LPAREN2] = ACTIONS(2530),
    [anon_sym_BANG] = ACTIONS(2532),
    [anon_sym_TILDE] = ACTIONS(2534),
    [anon_sym_DASH] = ACTIONS(2536),
    [anon_sym_PLUS] = ACTIONS(2536),
    [anon_sym_STAR] = ACTIONS(2538),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(2540),
    [anon_sym___extension__] = ACTIONS(4379),
    [anon_sym_COLON_COLON] = ACTIONS(2542),
    [anon_sym___based] = ACTIONS(49),
    [sym_ms_restrict_modifier] = ACTIONS(4381),
    [sym_ms_unsigned_ptr_modifier] = ACTIONS(4381),
    [sym_ms_signed_ptr_modifier] = ACTIONS(4381),
    [anon_sym__unaligned] = ACTIONS(4383),
    [anon_sym___unaligned] = ACTIONS(4383),
    [anon_sym_LBRACK] = ACTIONS(2548),
    [anon_sym_const] = ACTIONS(4379),
    [anon_sym_constexpr] = ACTIONS(4379),
    [anon_sym_volatile] = ACTIONS(4379),
    [anon_sym_restrict] = ACTIONS(4379),
    [anon_sym___restrict__] = ACTIONS(4379),
    [anon_sym__Atomic] = ACTIONS(4379),
    [anon_sym__Noreturn] = ACTIONS(4379),
    [anon_sym_noreturn] = ACTIONS(4379),
    [anon_sym_mutable] = ACTIONS(4379),
    [anon_sym_constinit] = ACTIONS(4379),
    [anon_sym_consteval] = ACTIONS(4379),
    [sym_primitive_type] = ACTIONS(4096),
    [anon_sym_not] = ACTIONS(2536),
    [anon_sym_compl] = ACTIONS(2536),
    [anon_sym_DASH_DASH] = ACTIONS(2560),
    [anon_sym_PLUS_PLUS] = ACTIONS(2560),
    [anon_sym_sizeof] = ACTIONS(2562),
    [anon_sym___alignof__] = ACTIONS(2564),
    [anon_sym___alignof] = ACTIONS(2564),
    [anon_sym__alignof] = ACTIONS(2564),
    [anon_sym_alignof] = ACTIONS(2564),
    [anon_sym__Alignof] = ACTIONS(2564),
    [anon_sym_offsetof] = ACTIONS(2566),
    [anon_sym__Generic] = ACTIONS(2568),
    [anon_sym_asm] = ACTIONS(2570),
    [anon_sym___asm__] = ACTIONS(2570),
    [sym_number_literal] = ACTIONS(2572),
    [anon_sym_L_SQUOTE] = ACTIONS(2574),
    [anon_sym_u_SQUOTE] = ACTIONS(2574),
    [anon_sym_U_SQUOTE] = ACTIONS(2574),
    [anon_sym_u8_SQUOTE] = ACTIONS(2574),
    [anon_sym_SQUOTE] = ACTIONS(2574),
    [anon_sym_L_DQUOTE] = ACTIONS(2576),
    [anon_sym_u_DQUOTE] = ACTIONS(2576),
    [anon_sym_U_DQUOTE] = ACTIONS(2576),
    [anon_sym_u8_DQUOTE] = ACTIONS(2576),
    [anon_sym_DQUOTE] = ACTIONS(2576),
    [sym_true] = ACTIONS(2578),
    [sym_false] = ACTIONS(2578),
    [anon_sym_NULL] = ACTIONS(2580),
    [anon_sym_nullptr] = ACTIONS(2580),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_operator] = ACTIONS(2588),
    [anon_sym_delete] = ACTIONS(2590),
    [anon_sym_R_DQUOTE] = ACTIONS(2592),
    [anon_sym_LR_DQUOTE] = ACTIONS(2592),
    [anon_sym_uR_DQUOTE] = ACTIONS(2592),
    [anon_sym_UR_DQUOTE] = ACTIONS(2592),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2592),
    [anon_sym_co_await] = ACTIONS(2594),
    [anon_sym_new] = ACTIONS(2596),
    [anon_sym_requires] = ACTIONS(2598),
    [sym_this] = ACTIONS(2578),
  },
  [1576] = {
    [sym_identifier] = ACTIONS(2480),
    [anon_sym_LPAREN2] = ACTIONS(2482),
    [anon_sym_BANG] = ACTIONS(2482),
    [anon_sym_TILDE] = ACTIONS(2482),
    [anon_sym_DASH] = ACTIONS(2480),
    [anon_sym_PLUS] = ACTIONS(2480),
    [anon_sym_STAR] = ACTIONS(2482),
    [anon_sym_AMP] = ACTIONS(2482),
    [anon_sym_SEMI] = ACTIONS(2482),
    [anon_sym___extension__] = ACTIONS(2480),
    [anon_sym_typedef] = ACTIONS(2480),
    [anon_sym_in] = ACTIONS(2480),
    [anon_sym_out] = ACTIONS(2480),
    [anon_sym_inout] = ACTIONS(2480),
    [anon_sym_extern] = ACTIONS(2480),
    [anon_sym___attribute__] = ACTIONS(2480),
    [anon_sym_COLON_COLON] = ACTIONS(2482),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2482),
    [anon_sym___declspec] = ACTIONS(2480),
    [anon_sym_LBRACE] = ACTIONS(2482),
    [anon_sym_signed] = ACTIONS(2480),
    [anon_sym_unsigned] = ACTIONS(2480),
    [anon_sym_long] = ACTIONS(2480),
    [anon_sym_short] = ACTIONS(2480),
    [anon_sym_LBRACK] = ACTIONS(2480),
    [anon_sym_static] = ACTIONS(2480),
    [anon_sym_register] = ACTIONS(2480),
    [anon_sym_inline] = ACTIONS(2480),
    [anon_sym___inline] = ACTIONS(2480),
    [anon_sym___inline__] = ACTIONS(2480),
    [anon_sym___forceinline] = ACTIONS(2480),
    [anon_sym_thread_local] = ACTIONS(2480),
    [anon_sym___thread] = ACTIONS(2480),
    [anon_sym_const] = ACTIONS(2480),
    [anon_sym_constexpr] = ACTIONS(2480),
    [anon_sym_volatile] = ACTIONS(2480),
    [anon_sym_restrict] = ACTIONS(2480),
    [anon_sym___restrict__] = ACTIONS(2480),
    [anon_sym__Atomic] = ACTIONS(2480),
    [anon_sym__Noreturn] = ACTIONS(2480),
    [anon_sym_noreturn] = ACTIONS(2480),
    [anon_sym_mutable] = ACTIONS(2480),
    [anon_sym_constinit] = ACTIONS(2480),
    [anon_sym_consteval] = ACTIONS(2480),
    [sym_primitive_type] = ACTIONS(2480),
    [anon_sym_enum] = ACTIONS(2480),
    [anon_sym_class] = ACTIONS(2480),
    [anon_sym_struct] = ACTIONS(2480),
    [anon_sym_union] = ACTIONS(2480),
    [anon_sym_if] = ACTIONS(2480),
    [anon_sym_else] = ACTIONS(2480),
    [anon_sym_switch] = ACTIONS(2480),
    [anon_sym_while] = ACTIONS(2480),
    [anon_sym_do] = ACTIONS(2480),
    [anon_sym_for] = ACTIONS(2480),
    [anon_sym_return] = ACTIONS(2480),
    [anon_sym_break] = ACTIONS(2480),
    [anon_sym_continue] = ACTIONS(2480),
    [anon_sym_goto] = ACTIONS(2480),
    [anon_sym___try] = ACTIONS(2480),
    [anon_sym___leave] = ACTIONS(2480),
    [anon_sym_not] = ACTIONS(2480),
    [anon_sym_compl] = ACTIONS(2480),
    [anon_sym_DASH_DASH] = ACTIONS(2482),
    [anon_sym_PLUS_PLUS] = ACTIONS(2482),
    [anon_sym_sizeof] = ACTIONS(2480),
    [anon_sym___alignof__] = ACTIONS(2480),
    [anon_sym___alignof] = ACTIONS(2480),
    [anon_sym__alignof] = ACTIONS(2480),
    [anon_sym_alignof] = ACTIONS(2480),
    [anon_sym__Alignof] = ACTIONS(2480),
    [anon_sym_offsetof] = ACTIONS(2480),
    [anon_sym__Generic] = ACTIONS(2480),
    [anon_sym_asm] = ACTIONS(2480),
    [anon_sym___asm__] = ACTIONS(2480),
    [sym_number_literal] = ACTIONS(2482),
    [anon_sym_L_SQUOTE] = ACTIONS(2482),
    [anon_sym_u_SQUOTE] = ACTIONS(2482),
    [anon_sym_U_SQUOTE] = ACTIONS(2482),
    [anon_sym_u8_SQUOTE] = ACTIONS(2482),
    [anon_sym_SQUOTE] = ACTIONS(2482),
    [anon_sym_L_DQUOTE] = ACTIONS(2482),
    [anon_sym_u_DQUOTE] = ACTIONS(2482),
    [anon_sym_U_DQUOTE] = ACTIONS(2482),
    [anon_sym_u8_DQUOTE] = ACTIONS(2482),
    [anon_sym_DQUOTE] = ACTIONS(2482),
    [sym_true] = ACTIONS(2480),
    [sym_false] = ACTIONS(2480),
    [anon_sym_NULL] = ACTIONS(2480),
    [anon_sym_nullptr] = ACTIONS(2480),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2480),
    [anon_sym_decltype] = ACTIONS(2480),
    [anon_sym_virtual] = ACTIONS(2480),
    [anon_sym_alignas] = ACTIONS(2480),
    [anon_sym_typename] = ACTIONS(2480),
    [anon_sym_template] = ACTIONS(2480),
    [anon_sym_try] = ACTIONS(2480),
    [anon_sym_delete] = ACTIONS(2480),
    [anon_sym_throw] = ACTIONS(2480),
    [anon_sym_co_return] = ACTIONS(2480),
    [anon_sym_co_yield] = ACTIONS(2480),
    [anon_sym_R_DQUOTE] = ACTIONS(2482),
    [anon_sym_LR_DQUOTE] = ACTIONS(2482),
    [anon_sym_uR_DQUOTE] = ACTIONS(2482),
    [anon_sym_UR_DQUOTE] = ACTIONS(2482),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2482),
    [anon_sym_co_await] = ACTIONS(2480),
    [anon_sym_new] = ACTIONS(2480),
    [anon_sym_requires] = ACTIONS(2480),
    [sym_this] = ACTIONS(2480),
    [anon_sym_discard] = ACTIONS(2480),
    [anon_sym_precise] = ACTIONS(2480),
    [anon_sym_shared] = ACTIONS(2480),
    [anon_sym_groupshared] = ACTIONS(2480),
    [anon_sym_uniform] = ACTIONS(2480),
    [anon_sym_row_major] = ACTIONS(2480),
    [anon_sym_column_major] = ACTIONS(2480),
    [anon_sym_globallycoherent] = ACTIONS(2480),
    [anon_sym_centroid] = ACTIONS(2480),
    [anon_sym_noperspective] = ACTIONS(2480),
    [anon_sym_nointerpolation] = ACTIONS(2480),
    [anon_sym_sample] = ACTIONS(2480),
    [anon_sym_linear] = ACTIONS(2480),
    [anon_sym_snorm] = ACTIONS(2480),
    [anon_sym_unorm] = ACTIONS(2480),
    [anon_sym_point] = ACTIONS(2480),
    [anon_sym_line] = ACTIONS(2480),
    [anon_sym_triangleadj] = ACTIONS(2480),
    [anon_sym_lineadj] = ACTIONS(2480),
    [anon_sym_triangle] = ACTIONS(2480),
    [anon_sym_cbuffer] = ACTIONS(2480),
  },
  [1577] = {
    [sym_identifier] = ACTIONS(2364),
    [anon_sym_LPAREN2] = ACTIONS(2366),
    [anon_sym_BANG] = ACTIONS(2366),
    [anon_sym_TILDE] = ACTIONS(2366),
    [anon_sym_DASH] = ACTIONS(2364),
    [anon_sym_PLUS] = ACTIONS(2364),
    [anon_sym_STAR] = ACTIONS(2366),
    [anon_sym_AMP] = ACTIONS(2366),
    [anon_sym_SEMI] = ACTIONS(2366),
    [anon_sym___extension__] = ACTIONS(2364),
    [anon_sym_typedef] = ACTIONS(2364),
    [anon_sym_in] = ACTIONS(2364),
    [anon_sym_out] = ACTIONS(2364),
    [anon_sym_inout] = ACTIONS(2364),
    [anon_sym_extern] = ACTIONS(2364),
    [anon_sym___attribute__] = ACTIONS(2364),
    [anon_sym_COLON_COLON] = ACTIONS(2366),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2366),
    [anon_sym___declspec] = ACTIONS(2364),
    [anon_sym_LBRACE] = ACTIONS(2366),
    [anon_sym_signed] = ACTIONS(2364),
    [anon_sym_unsigned] = ACTIONS(2364),
    [anon_sym_long] = ACTIONS(2364),
    [anon_sym_short] = ACTIONS(2364),
    [anon_sym_LBRACK] = ACTIONS(2364),
    [anon_sym_static] = ACTIONS(2364),
    [anon_sym_register] = ACTIONS(2364),
    [anon_sym_inline] = ACTIONS(2364),
    [anon_sym___inline] = ACTIONS(2364),
    [anon_sym___inline__] = ACTIONS(2364),
    [anon_sym___forceinline] = ACTIONS(2364),
    [anon_sym_thread_local] = ACTIONS(2364),
    [anon_sym___thread] = ACTIONS(2364),
    [anon_sym_const] = ACTIONS(2364),
    [anon_sym_constexpr] = ACTIONS(2364),
    [anon_sym_volatile] = ACTIONS(2364),
    [anon_sym_restrict] = ACTIONS(2364),
    [anon_sym___restrict__] = ACTIONS(2364),
    [anon_sym__Atomic] = ACTIONS(2364),
    [anon_sym__Noreturn] = ACTIONS(2364),
    [anon_sym_noreturn] = ACTIONS(2364),
    [anon_sym_mutable] = ACTIONS(2364),
    [anon_sym_constinit] = ACTIONS(2364),
    [anon_sym_consteval] = ACTIONS(2364),
    [sym_primitive_type] = ACTIONS(2364),
    [anon_sym_enum] = ACTIONS(2364),
    [anon_sym_class] = ACTIONS(2364),
    [anon_sym_struct] = ACTIONS(2364),
    [anon_sym_union] = ACTIONS(2364),
    [anon_sym_if] = ACTIONS(2364),
    [anon_sym_else] = ACTIONS(2364),
    [anon_sym_switch] = ACTIONS(2364),
    [anon_sym_while] = ACTIONS(2364),
    [anon_sym_do] = ACTIONS(2364),
    [anon_sym_for] = ACTIONS(2364),
    [anon_sym_return] = ACTIONS(2364),
    [anon_sym_break] = ACTIONS(2364),
    [anon_sym_continue] = ACTIONS(2364),
    [anon_sym_goto] = ACTIONS(2364),
    [anon_sym___try] = ACTIONS(2364),
    [anon_sym___leave] = ACTIONS(2364),
    [anon_sym_not] = ACTIONS(2364),
    [anon_sym_compl] = ACTIONS(2364),
    [anon_sym_DASH_DASH] = ACTIONS(2366),
    [anon_sym_PLUS_PLUS] = ACTIONS(2366),
    [anon_sym_sizeof] = ACTIONS(2364),
    [anon_sym___alignof__] = ACTIONS(2364),
    [anon_sym___alignof] = ACTIONS(2364),
    [anon_sym__alignof] = ACTIONS(2364),
    [anon_sym_alignof] = ACTIONS(2364),
    [anon_sym__Alignof] = ACTIONS(2364),
    [anon_sym_offsetof] = ACTIONS(2364),
    [anon_sym__Generic] = ACTIONS(2364),
    [anon_sym_asm] = ACTIONS(2364),
    [anon_sym___asm__] = ACTIONS(2364),
    [sym_number_literal] = ACTIONS(2366),
    [anon_sym_L_SQUOTE] = ACTIONS(2366),
    [anon_sym_u_SQUOTE] = ACTIONS(2366),
    [anon_sym_U_SQUOTE] = ACTIONS(2366),
    [anon_sym_u8_SQUOTE] = ACTIONS(2366),
    [anon_sym_SQUOTE] = ACTIONS(2366),
    [anon_sym_L_DQUOTE] = ACTIONS(2366),
    [anon_sym_u_DQUOTE] = ACTIONS(2366),
    [anon_sym_U_DQUOTE] = ACTIONS(2366),
    [anon_sym_u8_DQUOTE] = ACTIONS(2366),
    [anon_sym_DQUOTE] = ACTIONS(2366),
    [sym_true] = ACTIONS(2364),
    [sym_false] = ACTIONS(2364),
    [anon_sym_NULL] = ACTIONS(2364),
    [anon_sym_nullptr] = ACTIONS(2364),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2364),
    [anon_sym_decltype] = ACTIONS(2364),
    [anon_sym_virtual] = ACTIONS(2364),
    [anon_sym_alignas] = ACTIONS(2364),
    [anon_sym_typename] = ACTIONS(2364),
    [anon_sym_template] = ACTIONS(2364),
    [anon_sym_try] = ACTIONS(2364),
    [anon_sym_delete] = ACTIONS(2364),
    [anon_sym_throw] = ACTIONS(2364),
    [anon_sym_co_return] = ACTIONS(2364),
    [anon_sym_co_yield] = ACTIONS(2364),
    [anon_sym_R_DQUOTE] = ACTIONS(2366),
    [anon_sym_LR_DQUOTE] = ACTIONS(2366),
    [anon_sym_uR_DQUOTE] = ACTIONS(2366),
    [anon_sym_UR_DQUOTE] = ACTIONS(2366),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2366),
    [anon_sym_co_await] = ACTIONS(2364),
    [anon_sym_new] = ACTIONS(2364),
    [anon_sym_requires] = ACTIONS(2364),
    [sym_this] = ACTIONS(2364),
    [anon_sym_discard] = ACTIONS(2364),
    [anon_sym_precise] = ACTIONS(2364),
    [anon_sym_shared] = ACTIONS(2364),
    [anon_sym_groupshared] = ACTIONS(2364),
    [anon_sym_uniform] = ACTIONS(2364),
    [anon_sym_row_major] = ACTIONS(2364),
    [anon_sym_column_major] = ACTIONS(2364),
    [anon_sym_globallycoherent] = ACTIONS(2364),
    [anon_sym_centroid] = ACTIONS(2364),
    [anon_sym_noperspective] = ACTIONS(2364),
    [anon_sym_nointerpolation] = ACTIONS(2364),
    [anon_sym_sample] = ACTIONS(2364),
    [anon_sym_linear] = ACTIONS(2364),
    [anon_sym_snorm] = ACTIONS(2364),
    [anon_sym_unorm] = ACTIONS(2364),
    [anon_sym_point] = ACTIONS(2364),
    [anon_sym_line] = ACTIONS(2364),
    [anon_sym_triangleadj] = ACTIONS(2364),
    [anon_sym_lineadj] = ACTIONS(2364),
    [anon_sym_triangle] = ACTIONS(2364),
    [anon_sym_cbuffer] = ACTIONS(2364),
  },
  [1578] = {
    [sym_identifier] = ACTIONS(4168),
    [anon_sym_LPAREN2] = ACTIONS(4170),
    [anon_sym_BANG] = ACTIONS(4170),
    [anon_sym_TILDE] = ACTIONS(4170),
    [anon_sym_DASH] = ACTIONS(4168),
    [anon_sym_PLUS] = ACTIONS(4168),
    [anon_sym_STAR] = ACTIONS(4170),
    [anon_sym_AMP] = ACTIONS(4170),
    [anon_sym_SEMI] = ACTIONS(4170),
    [anon_sym___extension__] = ACTIONS(4168),
    [anon_sym_in] = ACTIONS(4168),
    [anon_sym_out] = ACTIONS(4168),
    [anon_sym_inout] = ACTIONS(4168),
    [anon_sym_extern] = ACTIONS(4168),
    [anon_sym___attribute__] = ACTIONS(4168),
    [anon_sym_COLON_COLON] = ACTIONS(4170),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4170),
    [anon_sym___declspec] = ACTIONS(4168),
    [anon_sym_LBRACE] = ACTIONS(4170),
    [anon_sym_signed] = ACTIONS(4168),
    [anon_sym_unsigned] = ACTIONS(4168),
    [anon_sym_long] = ACTIONS(4168),
    [anon_sym_short] = ACTIONS(4168),
    [anon_sym_LBRACK] = ACTIONS(4168),
    [anon_sym_static] = ACTIONS(4168),
    [anon_sym_register] = ACTIONS(4168),
    [anon_sym_inline] = ACTIONS(4168),
    [anon_sym___inline] = ACTIONS(4168),
    [anon_sym___inline__] = ACTIONS(4168),
    [anon_sym___forceinline] = ACTIONS(4168),
    [anon_sym_thread_local] = ACTIONS(4168),
    [anon_sym___thread] = ACTIONS(4168),
    [anon_sym_const] = ACTIONS(4168),
    [anon_sym_constexpr] = ACTIONS(4168),
    [anon_sym_volatile] = ACTIONS(4168),
    [anon_sym_restrict] = ACTIONS(4168),
    [anon_sym___restrict__] = ACTIONS(4168),
    [anon_sym__Atomic] = ACTIONS(4168),
    [anon_sym__Noreturn] = ACTIONS(4168),
    [anon_sym_noreturn] = ACTIONS(4168),
    [anon_sym_mutable] = ACTIONS(4168),
    [anon_sym_constinit] = ACTIONS(4168),
    [anon_sym_consteval] = ACTIONS(4168),
    [sym_primitive_type] = ACTIONS(4168),
    [anon_sym_enum] = ACTIONS(4168),
    [anon_sym_class] = ACTIONS(4168),
    [anon_sym_struct] = ACTIONS(4168),
    [anon_sym_union] = ACTIONS(4168),
    [anon_sym_if] = ACTIONS(4168),
    [anon_sym_switch] = ACTIONS(4168),
    [anon_sym_case] = ACTIONS(4168),
    [anon_sym_default] = ACTIONS(4168),
    [anon_sym_while] = ACTIONS(4168),
    [anon_sym_do] = ACTIONS(4168),
    [anon_sym_for] = ACTIONS(4168),
    [anon_sym_return] = ACTIONS(4168),
    [anon_sym_break] = ACTIONS(4168),
    [anon_sym_continue] = ACTIONS(4168),
    [anon_sym_goto] = ACTIONS(4168),
    [anon_sym___try] = ACTIONS(4168),
    [anon_sym___leave] = ACTIONS(4168),
    [anon_sym_not] = ACTIONS(4168),
    [anon_sym_compl] = ACTIONS(4168),
    [anon_sym_DASH_DASH] = ACTIONS(4170),
    [anon_sym_PLUS_PLUS] = ACTIONS(4170),
    [anon_sym_sizeof] = ACTIONS(4168),
    [anon_sym___alignof__] = ACTIONS(4168),
    [anon_sym___alignof] = ACTIONS(4168),
    [anon_sym__alignof] = ACTIONS(4168),
    [anon_sym_alignof] = ACTIONS(4168),
    [anon_sym__Alignof] = ACTIONS(4168),
    [anon_sym_offsetof] = ACTIONS(4168),
    [anon_sym__Generic] = ACTIONS(4168),
    [anon_sym_asm] = ACTIONS(4168),
    [anon_sym___asm__] = ACTIONS(4168),
    [sym_number_literal] = ACTIONS(4170),
    [anon_sym_L_SQUOTE] = ACTIONS(4170),
    [anon_sym_u_SQUOTE] = ACTIONS(4170),
    [anon_sym_U_SQUOTE] = ACTIONS(4170),
    [anon_sym_u8_SQUOTE] = ACTIONS(4170),
    [anon_sym_SQUOTE] = ACTIONS(4170),
    [anon_sym_L_DQUOTE] = ACTIONS(4170),
    [anon_sym_u_DQUOTE] = ACTIONS(4170),
    [anon_sym_U_DQUOTE] = ACTIONS(4170),
    [anon_sym_u8_DQUOTE] = ACTIONS(4170),
    [anon_sym_DQUOTE] = ACTIONS(4170),
    [sym_true] = ACTIONS(4168),
    [sym_false] = ACTIONS(4168),
    [anon_sym_NULL] = ACTIONS(4168),
    [anon_sym_nullptr] = ACTIONS(4168),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4168),
    [anon_sym_decltype] = ACTIONS(4168),
    [anon_sym_virtual] = ACTIONS(4168),
    [anon_sym_alignas] = ACTIONS(4168),
    [anon_sym_typename] = ACTIONS(4168),
    [anon_sym_template] = ACTIONS(4168),
    [anon_sym_try] = ACTIONS(4168),
    [anon_sym_delete] = ACTIONS(4168),
    [anon_sym_throw] = ACTIONS(4168),
    [anon_sym_co_return] = ACTIONS(4168),
    [anon_sym_co_yield] = ACTIONS(4168),
    [anon_sym_R_DQUOTE] = ACTIONS(4170),
    [anon_sym_LR_DQUOTE] = ACTIONS(4170),
    [anon_sym_uR_DQUOTE] = ACTIONS(4170),
    [anon_sym_UR_DQUOTE] = ACTIONS(4170),
    [anon_sym_u8R_DQUOTE] = ACTIONS(4170),
    [anon_sym_co_await] = ACTIONS(4168),
    [anon_sym_new] = ACTIONS(4168),
    [anon_sym_requires] = ACTIONS(4168),
    [sym_this] = ACTIONS(4168),
    [anon_sym_discard] = ACTIONS(4168),
    [anon_sym_precise] = ACTIONS(4168),
    [anon_sym_shared] = ACTIONS(4168),
    [anon_sym_groupshared] = ACTIONS(4168),
    [anon_sym_uniform] = ACTIONS(4168),
    [anon_sym_row_major] = ACTIONS(4168),
    [anon_sym_column_major] = ACTIONS(4168),
    [anon_sym_globallycoherent] = ACTIONS(4168),
    [anon_sym_centroid] = ACTIONS(4168),
    [anon_sym_noperspective] = ACTIONS(4168),
    [anon_sym_nointerpolation] = ACTIONS(4168),
    [anon_sym_sample] = ACTIONS(4168),
    [anon_sym_linear] = ACTIONS(4168),
    [anon_sym_snorm] = ACTIONS(4168),
    [anon_sym_unorm] = ACTIONS(4168),
    [anon_sym_point] = ACTIONS(4168),
    [anon_sym_line] = ACTIONS(4168),
    [anon_sym_triangleadj] = ACTIONS(4168),
    [anon_sym_lineadj] = ACTIONS(4168),
    [anon_sym_triangle] = ACTIONS(4168),
    [anon_sym_cbuffer] = ACTIONS(4168),
  },
  [1579] = {
    [sym_identifier] = ACTIONS(2388),
    [anon_sym_LPAREN2] = ACTIONS(2390),
    [anon_sym_BANG] = ACTIONS(2390),
    [anon_sym_TILDE] = ACTIONS(2390),
    [anon_sym_DASH] = ACTIONS(2388),
    [anon_sym_PLUS] = ACTIONS(2388),
    [anon_sym_STAR] = ACTIONS(2390),
    [anon_sym_AMP] = ACTIONS(2390),
    [anon_sym_SEMI] = ACTIONS(2390),
    [anon_sym___extension__] = ACTIONS(2388),
    [anon_sym_typedef] = ACTIONS(2388),
    [anon_sym_in] = ACTIONS(2388),
    [anon_sym_out] = ACTIONS(2388),
    [anon_sym_inout] = ACTIONS(2388),
    [anon_sym_extern] = ACTIONS(2388),
    [anon_sym___attribute__] = ACTIONS(2388),
    [anon_sym_COLON_COLON] = ACTIONS(2390),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2390),
    [anon_sym___declspec] = ACTIONS(2388),
    [anon_sym_LBRACE] = ACTIONS(2390),
    [anon_sym_signed] = ACTIONS(2388),
    [anon_sym_unsigned] = ACTIONS(2388),
    [anon_sym_long] = ACTIONS(2388),
    [anon_sym_short] = ACTIONS(2388),
    [anon_sym_LBRACK] = ACTIONS(2388),
    [anon_sym_static] = ACTIONS(2388),
    [anon_sym_register] = ACTIONS(2388),
    [anon_sym_inline] = ACTIONS(2388),
    [anon_sym___inline] = ACTIONS(2388),
    [anon_sym___inline__] = ACTIONS(2388),
    [anon_sym___forceinline] = ACTIONS(2388),
    [anon_sym_thread_local] = ACTIONS(2388),
    [anon_sym___thread] = ACTIONS(2388),
    [anon_sym_const] = ACTIONS(2388),
    [anon_sym_constexpr] = ACTIONS(2388),
    [anon_sym_volatile] = ACTIONS(2388),
    [anon_sym_restrict] = ACTIONS(2388),
    [anon_sym___restrict__] = ACTIONS(2388),
    [anon_sym__Atomic] = ACTIONS(2388),
    [anon_sym__Noreturn] = ACTIONS(2388),
    [anon_sym_noreturn] = ACTIONS(2388),
    [anon_sym_mutable] = ACTIONS(2388),
    [anon_sym_constinit] = ACTIONS(2388),
    [anon_sym_consteval] = ACTIONS(2388),
    [sym_primitive_type] = ACTIONS(2388),
    [anon_sym_enum] = ACTIONS(2388),
    [anon_sym_class] = ACTIONS(2388),
    [anon_sym_struct] = ACTIONS(2388),
    [anon_sym_union] = ACTIONS(2388),
    [anon_sym_if] = ACTIONS(2388),
    [anon_sym_else] = ACTIONS(2388),
    [anon_sym_switch] = ACTIONS(2388),
    [anon_sym_while] = ACTIONS(2388),
    [anon_sym_do] = ACTIONS(2388),
    [anon_sym_for] = ACTIONS(2388),
    [anon_sym_return] = ACTIONS(2388),
    [anon_sym_break] = ACTIONS(2388),
    [anon_sym_continue] = ACTIONS(2388),
    [anon_sym_goto] = ACTIONS(2388),
    [anon_sym___try] = ACTIONS(2388),
    [anon_sym___leave] = ACTIONS(2388),
    [anon_sym_not] = ACTIONS(2388),
    [anon_sym_compl] = ACTIONS(2388),
    [anon_sym_DASH_DASH] = ACTIONS(2390),
    [anon_sym_PLUS_PLUS] = ACTIONS(2390),
    [anon_sym_sizeof] = ACTIONS(2388),
    [anon_sym___alignof__] = ACTIONS(2388),
    [anon_sym___alignof] = ACTIONS(2388),
    [anon_sym__alignof] = ACTIONS(2388),
    [anon_sym_alignof] = ACTIONS(2388),
    [anon_sym__Alignof] = ACTIONS(2388),
    [anon_sym_offsetof] = ACTIONS(2388),
    [anon_sym__Generic] = ACTIONS(2388),
    [anon_sym_asm] = ACTIONS(2388),
    [anon_sym___asm__] = ACTIONS(2388),
    [sym_number_literal] = ACTIONS(2390),
    [anon_sym_L_SQUOTE] = ACTIONS(2390),
    [anon_sym_u_SQUOTE] = ACTIONS(2390),
    [anon_sym_U_SQUOTE] = ACTIONS(2390),
    [anon_sym_u8_SQUOTE] = ACTIONS(2390),
    [anon_sym_SQUOTE] = ACTIONS(2390),
    [anon_sym_L_DQUOTE] = ACTIONS(2390),
    [anon_sym_u_DQUOTE] = ACTIONS(2390),
    [anon_sym_U_DQUOTE] = ACTIONS(2390),
    [anon_sym_u8_DQUOTE] = ACTIONS(2390),
    [anon_sym_DQUOTE] = ACTIONS(2390),
    [sym_true] = ACTIONS(2388),
    [sym_false] = ACTIONS(2388),
    [anon_sym_NULL] = ACTIONS(2388),
    [anon_sym_nullptr] = ACTIONS(2388),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2388),
    [anon_sym_decltype] = ACTIONS(2388),
    [anon_sym_virtual] = ACTIONS(2388),
    [anon_sym_alignas] = ACTIONS(2388),
    [anon_sym_typename] = ACTIONS(2388),
    [anon_sym_template] = ACTIONS(2388),
    [anon_sym_try] = ACTIONS(2388),
    [anon_sym_delete] = ACTIONS(2388),
    [anon_sym_throw] = ACTIONS(2388),
    [anon_sym_co_return] = ACTIONS(2388),
    [anon_sym_co_yield] = ACTIONS(2388),
    [anon_sym_R_DQUOTE] = ACTIONS(2390),
    [anon_sym_LR_DQUOTE] = ACTIONS(2390),
    [anon_sym_uR_DQUOTE] = ACTIONS(2390),
    [anon_sym_UR_DQUOTE] = ACTIONS(2390),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2390),
    [anon_sym_co_await] = ACTIONS(2388),
    [anon_sym_new] = ACTIONS(2388),
    [anon_sym_requires] = ACTIONS(2388),
    [sym_this] = ACTIONS(2388),
    [anon_sym_discard] = ACTIONS(2388),
    [anon_sym_precise] = ACTIONS(2388),
    [anon_sym_shared] = ACTIONS(2388),
    [anon_sym_groupshared] = ACTIONS(2388),
    [anon_sym_uniform] = ACTIONS(2388),
    [anon_sym_row_major] = ACTIONS(2388),
    [anon_sym_column_major] = ACTIONS(2388),
    [anon_sym_globallycoherent] = ACTIONS(2388),
    [anon_sym_centroid] = ACTIONS(2388),
    [anon_sym_noperspective] = ACTIONS(2388),
    [anon_sym_nointerpolation] = ACTIONS(2388),
    [anon_sym_sample] = ACTIONS(2388),
    [anon_sym_linear] = ACTIONS(2388),
    [anon_sym_snorm] = ACTIONS(2388),
    [anon_sym_unorm] = ACTIONS(2388),
    [anon_sym_point] = ACTIONS(2388),
    [anon_sym_line] = ACTIONS(2388),
    [anon_sym_triangleadj] = ACTIONS(2388),
    [anon_sym_lineadj] = ACTIONS(2388),
    [anon_sym_triangle] = ACTIONS(2388),
    [anon_sym_cbuffer] = ACTIONS(2388),
  },
  [1580] = {
    [sym_identifier] = ACTIONS(2330),
    [anon_sym_LPAREN2] = ACTIONS(2332),
    [anon_sym_BANG] = ACTIONS(2332),
    [anon_sym_TILDE] = ACTIONS(2332),
    [anon_sym_DASH] = ACTIONS(2330),
    [anon_sym_PLUS] = ACTIONS(2330),
    [anon_sym_STAR] = ACTIONS(2332),
    [anon_sym_AMP] = ACTIONS(2332),
    [anon_sym_SEMI] = ACTIONS(2332),
    [anon_sym___extension__] = ACTIONS(2330),
    [anon_sym_typedef] = ACTIONS(2330),
    [anon_sym_in] = ACTIONS(2330),
    [anon_sym_out] = ACTIONS(2330),
    [anon_sym_inout] = ACTIONS(2330),
    [anon_sym_extern] = ACTIONS(2330),
    [anon_sym___attribute__] = ACTIONS(2330),
    [anon_sym_COLON_COLON] = ACTIONS(2332),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2332),
    [anon_sym___declspec] = ACTIONS(2330),
    [anon_sym_LBRACE] = ACTIONS(2332),
    [anon_sym_signed] = ACTIONS(2330),
    [anon_sym_unsigned] = ACTIONS(2330),
    [anon_sym_long] = ACTIONS(2330),
    [anon_sym_short] = ACTIONS(2330),
    [anon_sym_LBRACK] = ACTIONS(2330),
    [anon_sym_static] = ACTIONS(2330),
    [anon_sym_register] = ACTIONS(2330),
    [anon_sym_inline] = ACTIONS(2330),
    [anon_sym___inline] = ACTIONS(2330),
    [anon_sym___inline__] = ACTIONS(2330),
    [anon_sym___forceinline] = ACTIONS(2330),
    [anon_sym_thread_local] = ACTIONS(2330),
    [anon_sym___thread] = ACTIONS(2330),
    [anon_sym_const] = ACTIONS(2330),
    [anon_sym_constexpr] = ACTIONS(2330),
    [anon_sym_volatile] = ACTIONS(2330),
    [anon_sym_restrict] = ACTIONS(2330),
    [anon_sym___restrict__] = ACTIONS(2330),
    [anon_sym__Atomic] = ACTIONS(2330),
    [anon_sym__Noreturn] = ACTIONS(2330),
    [anon_sym_noreturn] = ACTIONS(2330),
    [anon_sym_mutable] = ACTIONS(2330),
    [anon_sym_constinit] = ACTIONS(2330),
    [anon_sym_consteval] = ACTIONS(2330),
    [sym_primitive_type] = ACTIONS(2330),
    [anon_sym_enum] = ACTIONS(2330),
    [anon_sym_class] = ACTIONS(2330),
    [anon_sym_struct] = ACTIONS(2330),
    [anon_sym_union] = ACTIONS(2330),
    [anon_sym_if] = ACTIONS(2330),
    [anon_sym_else] = ACTIONS(2330),
    [anon_sym_switch] = ACTIONS(2330),
    [anon_sym_while] = ACTIONS(2330),
    [anon_sym_do] = ACTIONS(2330),
    [anon_sym_for] = ACTIONS(2330),
    [anon_sym_return] = ACTIONS(2330),
    [anon_sym_break] = ACTIONS(2330),
    [anon_sym_continue] = ACTIONS(2330),
    [anon_sym_goto] = ACTIONS(2330),
    [anon_sym___try] = ACTIONS(2330),
    [anon_sym___leave] = ACTIONS(2330),
    [anon_sym_not] = ACTIONS(2330),
    [anon_sym_compl] = ACTIONS(2330),
    [anon_sym_DASH_DASH] = ACTIONS(2332),
    [anon_sym_PLUS_PLUS] = ACTIONS(2332),
    [anon_sym_sizeof] = ACTIONS(2330),
    [anon_sym___alignof__] = ACTIONS(2330),
    [anon_sym___alignof] = ACTIONS(2330),
    [anon_sym__alignof] = ACTIONS(2330),
    [anon_sym_alignof] = ACTIONS(2330),
    [anon_sym__Alignof] = ACTIONS(2330),
    [anon_sym_offsetof] = ACTIONS(2330),
    [anon_sym__Generic] = ACTIONS(2330),
    [anon_sym_asm] = ACTIONS(2330),
    [anon_sym___asm__] = ACTIONS(2330),
    [sym_number_literal] = ACTIONS(2332),
    [anon_sym_L_SQUOTE] = ACTIONS(2332),
    [anon_sym_u_SQUOTE] = ACTIONS(2332),
    [anon_sym_U_SQUOTE] = ACTIONS(2332),
    [anon_sym_u8_SQUOTE] = ACTIONS(2332),
    [anon_sym_SQUOTE] = ACTIONS(2332),
    [anon_sym_L_DQUOTE] = ACTIONS(2332),
    [anon_sym_u_DQUOTE] = ACTIONS(2332),
    [anon_sym_U_DQUOTE] = ACTIONS(2332),
    [anon_sym_u8_DQUOTE] = ACTIONS(2332),
    [anon_sym_DQUOTE] = ACTIONS(2332),
    [sym_true] = ACTIONS(2330),
    [sym_false] = ACTIONS(2330),
    [anon_sym_NULL] = ACTIONS(2330),
    [anon_sym_nullptr] = ACTIONS(2330),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2330),
    [anon_sym_decltype] = ACTIONS(2330),
    [anon_sym_virtual] = ACTIONS(2330),
    [anon_sym_alignas] = ACTIONS(2330),
    [anon_sym_typename] = ACTIONS(2330),
    [anon_sym_template] = ACTIONS(2330),
    [anon_sym_try] = ACTIONS(2330),
    [anon_sym_delete] = ACTIONS(2330),
    [anon_sym_throw] = ACTIONS(2330),
    [anon_sym_co_return] = ACTIONS(2330),
    [anon_sym_co_yield] = ACTIONS(2330),
    [anon_sym_R_DQUOTE] = ACTIONS(2332),
    [anon_sym_LR_DQUOTE] = ACTIONS(2332),
    [anon_sym_uR_DQUOTE] = ACTIONS(2332),
    [anon_sym_UR_DQUOTE] = ACTIONS(2332),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2332),
    [anon_sym_co_await] = ACTIONS(2330),
    [anon_sym_new] = ACTIONS(2330),
    [anon_sym_requires] = ACTIONS(2330),
    [sym_this] = ACTIONS(2330),
    [anon_sym_discard] = ACTIONS(2330),
    [anon_sym_precise] = ACTIONS(2330),
    [anon_sym_shared] = ACTIONS(2330),
    [anon_sym_groupshared] = ACTIONS(2330),
    [anon_sym_uniform] = ACTIONS(2330),
    [anon_sym_row_major] = ACTIONS(2330),
    [anon_sym_column_major] = ACTIONS(2330),
    [anon_sym_globallycoherent] = ACTIONS(2330),
    [anon_sym_centroid] = ACTIONS(2330),
    [anon_sym_noperspective] = ACTIONS(2330),
    [anon_sym_nointerpolation] = ACTIONS(2330),
    [anon_sym_sample] = ACTIONS(2330),
    [anon_sym_linear] = ACTIONS(2330),
    [anon_sym_snorm] = ACTIONS(2330),
    [anon_sym_unorm] = ACTIONS(2330),
    [anon_sym_point] = ACTIONS(2330),
    [anon_sym_line] = ACTIONS(2330),
    [anon_sym_triangleadj] = ACTIONS(2330),
    [anon_sym_lineadj] = ACTIONS(2330),
    [anon_sym_triangle] = ACTIONS(2330),
    [anon_sym_cbuffer] = ACTIONS(2330),
  },
  [1581] = {
    [sym_identifier] = ACTIONS(2330),
    [anon_sym_LPAREN2] = ACTIONS(2332),
    [anon_sym_BANG] = ACTIONS(2332),
    [anon_sym_TILDE] = ACTIONS(2332),
    [anon_sym_DASH] = ACTIONS(2330),
    [anon_sym_PLUS] = ACTIONS(2330),
    [anon_sym_STAR] = ACTIONS(2332),
    [anon_sym_AMP] = ACTIONS(2332),
    [anon_sym_SEMI] = ACTIONS(2332),
    [anon_sym___extension__] = ACTIONS(2330),
    [anon_sym_typedef] = ACTIONS(2330),
    [anon_sym_in] = ACTIONS(2330),
    [anon_sym_out] = ACTIONS(2330),
    [anon_sym_inout] = ACTIONS(2330),
    [anon_sym_extern] = ACTIONS(2330),
    [anon_sym___attribute__] = ACTIONS(2330),
    [anon_sym_COLON_COLON] = ACTIONS(2332),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2332),
    [anon_sym___declspec] = ACTIONS(2330),
    [anon_sym_LBRACE] = ACTIONS(2332),
    [anon_sym_signed] = ACTIONS(2330),
    [anon_sym_unsigned] = ACTIONS(2330),
    [anon_sym_long] = ACTIONS(2330),
    [anon_sym_short] = ACTIONS(2330),
    [anon_sym_LBRACK] = ACTIONS(2330),
    [anon_sym_static] = ACTIONS(2330),
    [anon_sym_register] = ACTIONS(2330),
    [anon_sym_inline] = ACTIONS(2330),
    [anon_sym___inline] = ACTIONS(2330),
    [anon_sym___inline__] = ACTIONS(2330),
    [anon_sym___forceinline] = ACTIONS(2330),
    [anon_sym_thread_local] = ACTIONS(2330),
    [anon_sym___thread] = ACTIONS(2330),
    [anon_sym_const] = ACTIONS(2330),
    [anon_sym_constexpr] = ACTIONS(2330),
    [anon_sym_volatile] = ACTIONS(2330),
    [anon_sym_restrict] = ACTIONS(2330),
    [anon_sym___restrict__] = ACTIONS(2330),
    [anon_sym__Atomic] = ACTIONS(2330),
    [anon_sym__Noreturn] = ACTIONS(2330),
    [anon_sym_noreturn] = ACTIONS(2330),
    [anon_sym_mutable] = ACTIONS(2330),
    [anon_sym_constinit] = ACTIONS(2330),
    [anon_sym_consteval] = ACTIONS(2330),
    [sym_primitive_type] = ACTIONS(2330),
    [anon_sym_enum] = ACTIONS(2330),
    [anon_sym_class] = ACTIONS(2330),
    [anon_sym_struct] = ACTIONS(2330),
    [anon_sym_union] = ACTIONS(2330),
    [anon_sym_if] = ACTIONS(2330),
    [anon_sym_else] = ACTIONS(2330),
    [anon_sym_switch] = ACTIONS(2330),
    [anon_sym_while] = ACTIONS(2330),
    [anon_sym_do] = ACTIONS(2330),
    [anon_sym_for] = ACTIONS(2330),
    [anon_sym_return] = ACTIONS(2330),
    [anon_sym_break] = ACTIONS(2330),
    [anon_sym_continue] = ACTIONS(2330),
    [anon_sym_goto] = ACTIONS(2330),
    [anon_sym___try] = ACTIONS(2330),
    [anon_sym___leave] = ACTIONS(2330),
    [anon_sym_not] = ACTIONS(2330),
    [anon_sym_compl] = ACTIONS(2330),
    [anon_sym_DASH_DASH] = ACTIONS(2332),
    [anon_sym_PLUS_PLUS] = ACTIONS(2332),
    [anon_sym_sizeof] = ACTIONS(2330),
    [anon_sym___alignof__] = ACTIONS(2330),
    [anon_sym___alignof] = ACTIONS(2330),
    [anon_sym__alignof] = ACTIONS(2330),
    [anon_sym_alignof] = ACTIONS(2330),
    [anon_sym__Alignof] = ACTIONS(2330),
    [anon_sym_offsetof] = ACTIONS(2330),
    [anon_sym__Generic] = ACTIONS(2330),
    [anon_sym_asm] = ACTIONS(2330),
    [anon_sym___asm__] = ACTIONS(2330),
    [sym_number_literal] = ACTIONS(2332),
    [anon_sym_L_SQUOTE] = ACTIONS(2332),
    [anon_sym_u_SQUOTE] = ACTIONS(2332),
    [anon_sym_U_SQUOTE] = ACTIONS(2332),
    [anon_sym_u8_SQUOTE] = ACTIONS(2332),
    [anon_sym_SQUOTE] = ACTIONS(2332),
    [anon_sym_L_DQUOTE] = ACTIONS(2332),
    [anon_sym_u_DQUOTE] = ACTIONS(2332),
    [anon_sym_U_DQUOTE] = ACTIONS(2332),
    [anon_sym_u8_DQUOTE] = ACTIONS(2332),
    [anon_sym_DQUOTE] = ACTIONS(2332),
    [sym_true] = ACTIONS(2330),
    [sym_false] = ACTIONS(2330),
    [anon_sym_NULL] = ACTIONS(2330),
    [anon_sym_nullptr] = ACTIONS(2330),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2330),
    [anon_sym_decltype] = ACTIONS(2330),
    [anon_sym_virtual] = ACTIONS(2330),
    [anon_sym_alignas] = ACTIONS(2330),
    [anon_sym_typename] = ACTIONS(2330),
    [anon_sym_template] = ACTIONS(2330),
    [anon_sym_try] = ACTIONS(2330),
    [anon_sym_delete] = ACTIONS(2330),
    [anon_sym_throw] = ACTIONS(2330),
    [anon_sym_co_return] = ACTIONS(2330),
    [anon_sym_co_yield] = ACTIONS(2330),
    [anon_sym_R_DQUOTE] = ACTIONS(2332),
    [anon_sym_LR_DQUOTE] = ACTIONS(2332),
    [anon_sym_uR_DQUOTE] = ACTIONS(2332),
    [anon_sym_UR_DQUOTE] = ACTIONS(2332),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2332),
    [anon_sym_co_await] = ACTIONS(2330),
    [anon_sym_new] = ACTIONS(2330),
    [anon_sym_requires] = ACTIONS(2330),
    [sym_this] = ACTIONS(2330),
    [anon_sym_discard] = ACTIONS(2330),
    [anon_sym_precise] = ACTIONS(2330),
    [anon_sym_shared] = ACTIONS(2330),
    [anon_sym_groupshared] = ACTIONS(2330),
    [anon_sym_uniform] = ACTIONS(2330),
    [anon_sym_row_major] = ACTIONS(2330),
    [anon_sym_column_major] = ACTIONS(2330),
    [anon_sym_globallycoherent] = ACTIONS(2330),
    [anon_sym_centroid] = ACTIONS(2330),
    [anon_sym_noperspective] = ACTIONS(2330),
    [anon_sym_nointerpolation] = ACTIONS(2330),
    [anon_sym_sample] = ACTIONS(2330),
    [anon_sym_linear] = ACTIONS(2330),
    [anon_sym_snorm] = ACTIONS(2330),
    [anon_sym_unorm] = ACTIONS(2330),
    [anon_sym_point] = ACTIONS(2330),
    [anon_sym_line] = ACTIONS(2330),
    [anon_sym_triangleadj] = ACTIONS(2330),
    [anon_sym_lineadj] = ACTIONS(2330),
    [anon_sym_triangle] = ACTIONS(2330),
    [anon_sym_cbuffer] = ACTIONS(2330),
  },
  [1582] = {
    [sym_identifier] = ACTIONS(2330),
    [anon_sym_LPAREN2] = ACTIONS(2332),
    [anon_sym_BANG] = ACTIONS(2332),
    [anon_sym_TILDE] = ACTIONS(2332),
    [anon_sym_DASH] = ACTIONS(2330),
    [anon_sym_PLUS] = ACTIONS(2330),
    [anon_sym_STAR] = ACTIONS(2332),
    [anon_sym_AMP] = ACTIONS(2332),
    [anon_sym_SEMI] = ACTIONS(2332),
    [anon_sym___extension__] = ACTIONS(2330),
    [anon_sym_typedef] = ACTIONS(2330),
    [anon_sym_in] = ACTIONS(2330),
    [anon_sym_out] = ACTIONS(2330),
    [anon_sym_inout] = ACTIONS(2330),
    [anon_sym_extern] = ACTIONS(2330),
    [anon_sym___attribute__] = ACTIONS(2330),
    [anon_sym_COLON_COLON] = ACTIONS(2332),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2332),
    [anon_sym___declspec] = ACTIONS(2330),
    [anon_sym_LBRACE] = ACTIONS(2332),
    [anon_sym_signed] = ACTIONS(2330),
    [anon_sym_unsigned] = ACTIONS(2330),
    [anon_sym_long] = ACTIONS(2330),
    [anon_sym_short] = ACTIONS(2330),
    [anon_sym_LBRACK] = ACTIONS(2330),
    [anon_sym_static] = ACTIONS(2330),
    [anon_sym_register] = ACTIONS(2330),
    [anon_sym_inline] = ACTIONS(2330),
    [anon_sym___inline] = ACTIONS(2330),
    [anon_sym___inline__] = ACTIONS(2330),
    [anon_sym___forceinline] = ACTIONS(2330),
    [anon_sym_thread_local] = ACTIONS(2330),
    [anon_sym___thread] = ACTIONS(2330),
    [anon_sym_const] = ACTIONS(2330),
    [anon_sym_constexpr] = ACTIONS(2330),
    [anon_sym_volatile] = ACTIONS(2330),
    [anon_sym_restrict] = ACTIONS(2330),
    [anon_sym___restrict__] = ACTIONS(2330),
    [anon_sym__Atomic] = ACTIONS(2330),
    [anon_sym__Noreturn] = ACTIONS(2330),
    [anon_sym_noreturn] = ACTIONS(2330),
    [anon_sym_mutable] = ACTIONS(2330),
    [anon_sym_constinit] = ACTIONS(2330),
    [anon_sym_consteval] = ACTIONS(2330),
    [sym_primitive_type] = ACTIONS(2330),
    [anon_sym_enum] = ACTIONS(2330),
    [anon_sym_class] = ACTIONS(2330),
    [anon_sym_struct] = ACTIONS(2330),
    [anon_sym_union] = ACTIONS(2330),
    [anon_sym_if] = ACTIONS(2330),
    [anon_sym_else] = ACTIONS(2330),
    [anon_sym_switch] = ACTIONS(2330),
    [anon_sym_while] = ACTIONS(2330),
    [anon_sym_do] = ACTIONS(2330),
    [anon_sym_for] = ACTIONS(2330),
    [anon_sym_return] = ACTIONS(2330),
    [anon_sym_break] = ACTIONS(2330),
    [anon_sym_continue] = ACTIONS(2330),
    [anon_sym_goto] = ACTIONS(2330),
    [anon_sym___try] = ACTIONS(2330),
    [anon_sym___leave] = ACTIONS(2330),
    [anon_sym_not] = ACTIONS(2330),
    [anon_sym_compl] = ACTIONS(2330),
    [anon_sym_DASH_DASH] = ACTIONS(2332),
    [anon_sym_PLUS_PLUS] = ACTIONS(2332),
    [anon_sym_sizeof] = ACTIONS(2330),
    [anon_sym___alignof__] = ACTIONS(2330),
    [anon_sym___alignof] = ACTIONS(2330),
    [anon_sym__alignof] = ACTIONS(2330),
    [anon_sym_alignof] = ACTIONS(2330),
    [anon_sym__Alignof] = ACTIONS(2330),
    [anon_sym_offsetof] = ACTIONS(2330),
    [anon_sym__Generic] = ACTIONS(2330),
    [anon_sym_asm] = ACTIONS(2330),
    [anon_sym___asm__] = ACTIONS(2330),
    [sym_number_literal] = ACTIONS(2332),
    [anon_sym_L_SQUOTE] = ACTIONS(2332),
    [anon_sym_u_SQUOTE] = ACTIONS(2332),
    [anon_sym_U_SQUOTE] = ACTIONS(2332),
    [anon_sym_u8_SQUOTE] = ACTIONS(2332),
    [anon_sym_SQUOTE] = ACTIONS(2332),
    [anon_sym_L_DQUOTE] = ACTIONS(2332),
    [anon_sym_u_DQUOTE] = ACTIONS(2332),
    [anon_sym_U_DQUOTE] = ACTIONS(2332),
    [anon_sym_u8_DQUOTE] = ACTIONS(2332),
    [anon_sym_DQUOTE] = ACTIONS(2332),
    [sym_true] = ACTIONS(2330),
    [sym_false] = ACTIONS(2330),
    [anon_sym_NULL] = ACTIONS(2330),
    [anon_sym_nullptr] = ACTIONS(2330),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2330),
    [anon_sym_decltype] = ACTIONS(2330),
    [anon_sym_virtual] = ACTIONS(2330),
    [anon_sym_alignas] = ACTIONS(2330),
    [anon_sym_typename] = ACTIONS(2330),
    [anon_sym_template] = ACTIONS(2330),
    [anon_sym_try] = ACTIONS(2330),
    [anon_sym_delete] = ACTIONS(2330),
    [anon_sym_throw] = ACTIONS(2330),
    [anon_sym_co_return] = ACTIONS(2330),
    [anon_sym_co_yield] = ACTIONS(2330),
    [anon_sym_R_DQUOTE] = ACTIONS(2332),
    [anon_sym_LR_DQUOTE] = ACTIONS(2332),
    [anon_sym_uR_DQUOTE] = ACTIONS(2332),
    [anon_sym_UR_DQUOTE] = ACTIONS(2332),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2332),
    [anon_sym_co_await] = ACTIONS(2330),
    [anon_sym_new] = ACTIONS(2330),
    [anon_sym_requires] = ACTIONS(2330),
    [sym_this] = ACTIONS(2330),
    [anon_sym_discard] = ACTIONS(2330),
    [anon_sym_precise] = ACTIONS(2330),
    [anon_sym_shared] = ACTIONS(2330),
    [anon_sym_groupshared] = ACTIONS(2330),
    [anon_sym_uniform] = ACTIONS(2330),
    [anon_sym_row_major] = ACTIONS(2330),
    [anon_sym_column_major] = ACTIONS(2330),
    [anon_sym_globallycoherent] = ACTIONS(2330),
    [anon_sym_centroid] = ACTIONS(2330),
    [anon_sym_noperspective] = ACTIONS(2330),
    [anon_sym_nointerpolation] = ACTIONS(2330),
    [anon_sym_sample] = ACTIONS(2330),
    [anon_sym_linear] = ACTIONS(2330),
    [anon_sym_snorm] = ACTIONS(2330),
    [anon_sym_unorm] = ACTIONS(2330),
    [anon_sym_point] = ACTIONS(2330),
    [anon_sym_line] = ACTIONS(2330),
    [anon_sym_triangleadj] = ACTIONS(2330),
    [anon_sym_lineadj] = ACTIONS(2330),
    [anon_sym_triangle] = ACTIONS(2330),
    [anon_sym_cbuffer] = ACTIONS(2330),
  },
  [1583] = {
    [sym_identifier] = ACTIONS(2440),
    [anon_sym_LPAREN2] = ACTIONS(2442),
    [anon_sym_BANG] = ACTIONS(2442),
    [anon_sym_TILDE] = ACTIONS(2442),
    [anon_sym_DASH] = ACTIONS(2440),
    [anon_sym_PLUS] = ACTIONS(2440),
    [anon_sym_STAR] = ACTIONS(2442),
    [anon_sym_AMP] = ACTIONS(2442),
    [anon_sym_SEMI] = ACTIONS(2442),
    [anon_sym___extension__] = ACTIONS(2440),
    [anon_sym_typedef] = ACTIONS(2440),
    [anon_sym_in] = ACTIONS(2440),
    [anon_sym_out] = ACTIONS(2440),
    [anon_sym_inout] = ACTIONS(2440),
    [anon_sym_extern] = ACTIONS(2440),
    [anon_sym___attribute__] = ACTIONS(2440),
    [anon_sym_COLON_COLON] = ACTIONS(2442),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2442),
    [anon_sym___declspec] = ACTIONS(2440),
    [anon_sym_LBRACE] = ACTIONS(2442),
    [anon_sym_signed] = ACTIONS(2440),
    [anon_sym_unsigned] = ACTIONS(2440),
    [anon_sym_long] = ACTIONS(2440),
    [anon_sym_short] = ACTIONS(2440),
    [anon_sym_LBRACK] = ACTIONS(2440),
    [anon_sym_static] = ACTIONS(2440),
    [anon_sym_register] = ACTIONS(2440),
    [anon_sym_inline] = ACTIONS(2440),
    [anon_sym___inline] = ACTIONS(2440),
    [anon_sym___inline__] = ACTIONS(2440),
    [anon_sym___forceinline] = ACTIONS(2440),
    [anon_sym_thread_local] = ACTIONS(2440),
    [anon_sym___thread] = ACTIONS(2440),
    [anon_sym_const] = ACTIONS(2440),
    [anon_sym_constexpr] = ACTIONS(2440),
    [anon_sym_volatile] = ACTIONS(2440),
    [anon_sym_restrict] = ACTIONS(2440),
    [anon_sym___restrict__] = ACTIONS(2440),
    [anon_sym__Atomic] = ACTIONS(2440),
    [anon_sym__Noreturn] = ACTIONS(2440),
    [anon_sym_noreturn] = ACTIONS(2440),
    [anon_sym_mutable] = ACTIONS(2440),
    [anon_sym_constinit] = ACTIONS(2440),
    [anon_sym_consteval] = ACTIONS(2440),
    [sym_primitive_type] = ACTIONS(2440),
    [anon_sym_enum] = ACTIONS(2440),
    [anon_sym_class] = ACTIONS(2440),
    [anon_sym_struct] = ACTIONS(2440),
    [anon_sym_union] = ACTIONS(2440),
    [anon_sym_if] = ACTIONS(2440),
    [anon_sym_else] = ACTIONS(2440),
    [anon_sym_switch] = ACTIONS(2440),
    [anon_sym_while] = ACTIONS(2440),
    [anon_sym_do] = ACTIONS(2440),
    [anon_sym_for] = ACTIONS(2440),
    [anon_sym_return] = ACTIONS(2440),
    [anon_sym_break] = ACTIONS(2440),
    [anon_sym_continue] = ACTIONS(2440),
    [anon_sym_goto] = ACTIONS(2440),
    [anon_sym___try] = ACTIONS(2440),
    [anon_sym___leave] = ACTIONS(2440),
    [anon_sym_not] = ACTIONS(2440),
    [anon_sym_compl] = ACTIONS(2440),
    [anon_sym_DASH_DASH] = ACTIONS(2442),
    [anon_sym_PLUS_PLUS] = ACTIONS(2442),
    [anon_sym_sizeof] = ACTIONS(2440),
    [anon_sym___alignof__] = ACTIONS(2440),
    [anon_sym___alignof] = ACTIONS(2440),
    [anon_sym__alignof] = ACTIONS(2440),
    [anon_sym_alignof] = ACTIONS(2440),
    [anon_sym__Alignof] = ACTIONS(2440),
    [anon_sym_offsetof] = ACTIONS(2440),
    [anon_sym__Generic] = ACTIONS(2440),
    [anon_sym_asm] = ACTIONS(2440),
    [anon_sym___asm__] = ACTIONS(2440),
    [sym_number_literal] = ACTIONS(2442),
    [anon_sym_L_SQUOTE] = ACTIONS(2442),
    [anon_sym_u_SQUOTE] = ACTIONS(2442),
    [anon_sym_U_SQUOTE] = ACTIONS(2442),
    [anon_sym_u8_SQUOTE] = ACTIONS(2442),
    [anon_sym_SQUOTE] = ACTIONS(2442),
    [anon_sym_L_DQUOTE] = ACTIONS(2442),
    [anon_sym_u_DQUOTE] = ACTIONS(2442),
    [anon_sym_U_DQUOTE] = ACTIONS(2442),
    [anon_sym_u8_DQUOTE] = ACTIONS(2442),
    [anon_sym_DQUOTE] = ACTIONS(2442),
    [sym_true] = ACTIONS(2440),
    [sym_false] = ACTIONS(2440),
    [anon_sym_NULL] = ACTIONS(2440),
    [anon_sym_nullptr] = ACTIONS(2440),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2440),
    [anon_sym_decltype] = ACTIONS(2440),
    [anon_sym_virtual] = ACTIONS(2440),
    [anon_sym_alignas] = ACTIONS(2440),
    [anon_sym_typename] = ACTIONS(2440),
    [anon_sym_template] = ACTIONS(2440),
    [anon_sym_try] = ACTIONS(2440),
    [anon_sym_delete] = ACTIONS(2440),
    [anon_sym_throw] = ACTIONS(2440),
    [anon_sym_co_return] = ACTIONS(2440),
    [anon_sym_co_yield] = ACTIONS(2440),
    [anon_sym_R_DQUOTE] = ACTIONS(2442),
    [anon_sym_LR_DQUOTE] = ACTIONS(2442),
    [anon_sym_uR_DQUOTE] = ACTIONS(2442),
    [anon_sym_UR_DQUOTE] = ACTIONS(2442),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2442),
    [anon_sym_co_await] = ACTIONS(2440),
    [anon_sym_new] = ACTIONS(2440),
    [anon_sym_requires] = ACTIONS(2440),
    [sym_this] = ACTIONS(2440),
    [anon_sym_discard] = ACTIONS(2440),
    [anon_sym_precise] = ACTIONS(2440),
    [anon_sym_shared] = ACTIONS(2440),
    [anon_sym_groupshared] = ACTIONS(2440),
    [anon_sym_uniform] = ACTIONS(2440),
    [anon_sym_row_major] = ACTIONS(2440),
    [anon_sym_column_major] = ACTIONS(2440),
    [anon_sym_globallycoherent] = ACTIONS(2440),
    [anon_sym_centroid] = ACTIONS(2440),
    [anon_sym_noperspective] = ACTIONS(2440),
    [anon_sym_nointerpolation] = ACTIONS(2440),
    [anon_sym_sample] = ACTIONS(2440),
    [anon_sym_linear] = ACTIONS(2440),
    [anon_sym_snorm] = ACTIONS(2440),
    [anon_sym_unorm] = ACTIONS(2440),
    [anon_sym_point] = ACTIONS(2440),
    [anon_sym_line] = ACTIONS(2440),
    [anon_sym_triangleadj] = ACTIONS(2440),
    [anon_sym_lineadj] = ACTIONS(2440),
    [anon_sym_triangle] = ACTIONS(2440),
    [anon_sym_cbuffer] = ACTIONS(2440),
  },
  [1584] = {
    [sym_identifier] = ACTIONS(2330),
    [anon_sym_LPAREN2] = ACTIONS(2332),
    [anon_sym_BANG] = ACTIONS(2332),
    [anon_sym_TILDE] = ACTIONS(2332),
    [anon_sym_DASH] = ACTIONS(2330),
    [anon_sym_PLUS] = ACTIONS(2330),
    [anon_sym_STAR] = ACTIONS(2332),
    [anon_sym_AMP] = ACTIONS(2332),
    [anon_sym_SEMI] = ACTIONS(2332),
    [anon_sym___extension__] = ACTIONS(2330),
    [anon_sym_typedef] = ACTIONS(2330),
    [anon_sym_in] = ACTIONS(2330),
    [anon_sym_out] = ACTIONS(2330),
    [anon_sym_inout] = ACTIONS(2330),
    [anon_sym_extern] = ACTIONS(2330),
    [anon_sym___attribute__] = ACTIONS(2330),
    [anon_sym_COLON_COLON] = ACTIONS(2332),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2332),
    [anon_sym___declspec] = ACTIONS(2330),
    [anon_sym_LBRACE] = ACTIONS(2332),
    [anon_sym_signed] = ACTIONS(2330),
    [anon_sym_unsigned] = ACTIONS(2330),
    [anon_sym_long] = ACTIONS(2330),
    [anon_sym_short] = ACTIONS(2330),
    [anon_sym_LBRACK] = ACTIONS(2330),
    [anon_sym_static] = ACTIONS(2330),
    [anon_sym_register] = ACTIONS(2330),
    [anon_sym_inline] = ACTIONS(2330),
    [anon_sym___inline] = ACTIONS(2330),
    [anon_sym___inline__] = ACTIONS(2330),
    [anon_sym___forceinline] = ACTIONS(2330),
    [anon_sym_thread_local] = ACTIONS(2330),
    [anon_sym___thread] = ACTIONS(2330),
    [anon_sym_const] = ACTIONS(2330),
    [anon_sym_constexpr] = ACTIONS(2330),
    [anon_sym_volatile] = ACTIONS(2330),
    [anon_sym_restrict] = ACTIONS(2330),
    [anon_sym___restrict__] = ACTIONS(2330),
    [anon_sym__Atomic] = ACTIONS(2330),
    [anon_sym__Noreturn] = ACTIONS(2330),
    [anon_sym_noreturn] = ACTIONS(2330),
    [anon_sym_mutable] = ACTIONS(2330),
    [anon_sym_constinit] = ACTIONS(2330),
    [anon_sym_consteval] = ACTIONS(2330),
    [sym_primitive_type] = ACTIONS(2330),
    [anon_sym_enum] = ACTIONS(2330),
    [anon_sym_class] = ACTIONS(2330),
    [anon_sym_struct] = ACTIONS(2330),
    [anon_sym_union] = ACTIONS(2330),
    [anon_sym_if] = ACTIONS(2330),
    [anon_sym_else] = ACTIONS(2330),
    [anon_sym_switch] = ACTIONS(2330),
    [anon_sym_while] = ACTIONS(2330),
    [anon_sym_do] = ACTIONS(2330),
    [anon_sym_for] = ACTIONS(2330),
    [anon_sym_return] = ACTIONS(2330),
    [anon_sym_break] = ACTIONS(2330),
    [anon_sym_continue] = ACTIONS(2330),
    [anon_sym_goto] = ACTIONS(2330),
    [anon_sym___try] = ACTIONS(2330),
    [anon_sym___leave] = ACTIONS(2330),
    [anon_sym_not] = ACTIONS(2330),
    [anon_sym_compl] = ACTIONS(2330),
    [anon_sym_DASH_DASH] = ACTIONS(2332),
    [anon_sym_PLUS_PLUS] = ACTIONS(2332),
    [anon_sym_sizeof] = ACTIONS(2330),
    [anon_sym___alignof__] = ACTIONS(2330),
    [anon_sym___alignof] = ACTIONS(2330),
    [anon_sym__alignof] = ACTIONS(2330),
    [anon_sym_alignof] = ACTIONS(2330),
    [anon_sym__Alignof] = ACTIONS(2330),
    [anon_sym_offsetof] = ACTIONS(2330),
    [anon_sym__Generic] = ACTIONS(2330),
    [anon_sym_asm] = ACTIONS(2330),
    [anon_sym___asm__] = ACTIONS(2330),
    [sym_number_literal] = ACTIONS(2332),
    [anon_sym_L_SQUOTE] = ACTIONS(2332),
    [anon_sym_u_SQUOTE] = ACTIONS(2332),
    [anon_sym_U_SQUOTE] = ACTIONS(2332),
    [anon_sym_u8_SQUOTE] = ACTIONS(2332),
    [anon_sym_SQUOTE] = ACTIONS(2332),
    [anon_sym_L_DQUOTE] = ACTIONS(2332),
    [anon_sym_u_DQUOTE] = ACTIONS(2332),
    [anon_sym_U_DQUOTE] = ACTIONS(2332),
    [anon_sym_u8_DQUOTE] = ACTIONS(2332),
    [anon_sym_DQUOTE] = ACTIONS(2332),
    [sym_true] = ACTIONS(2330),
    [sym_false] = ACTIONS(2330),
    [anon_sym_NULL] = ACTIONS(2330),
    [anon_sym_nullptr] = ACTIONS(2330),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2330),
    [anon_sym_decltype] = ACTIONS(2330),
    [anon_sym_virtual] = ACTIONS(2330),
    [anon_sym_alignas] = ACTIONS(2330),
    [anon_sym_typename] = ACTIONS(2330),
    [anon_sym_template] = ACTIONS(2330),
    [anon_sym_try] = ACTIONS(2330),
    [anon_sym_delete] = ACTIONS(2330),
    [anon_sym_throw] = ACTIONS(2330),
    [anon_sym_co_return] = ACTIONS(2330),
    [anon_sym_co_yield] = ACTIONS(2330),
    [anon_sym_R_DQUOTE] = ACTIONS(2332),
    [anon_sym_LR_DQUOTE] = ACTIONS(2332),
    [anon_sym_uR_DQUOTE] = ACTIONS(2332),
    [anon_sym_UR_DQUOTE] = ACTIONS(2332),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2332),
    [anon_sym_co_await] = ACTIONS(2330),
    [anon_sym_new] = ACTIONS(2330),
    [anon_sym_requires] = ACTIONS(2330),
    [sym_this] = ACTIONS(2330),
    [anon_sym_discard] = ACTIONS(2330),
    [anon_sym_precise] = ACTIONS(2330),
    [anon_sym_shared] = ACTIONS(2330),
    [anon_sym_groupshared] = ACTIONS(2330),
    [anon_sym_uniform] = ACTIONS(2330),
    [anon_sym_row_major] = ACTIONS(2330),
    [anon_sym_column_major] = ACTIONS(2330),
    [anon_sym_globallycoherent] = ACTIONS(2330),
    [anon_sym_centroid] = ACTIONS(2330),
    [anon_sym_noperspective] = ACTIONS(2330),
    [anon_sym_nointerpolation] = ACTIONS(2330),
    [anon_sym_sample] = ACTIONS(2330),
    [anon_sym_linear] = ACTIONS(2330),
    [anon_sym_snorm] = ACTIONS(2330),
    [anon_sym_unorm] = ACTIONS(2330),
    [anon_sym_point] = ACTIONS(2330),
    [anon_sym_line] = ACTIONS(2330),
    [anon_sym_triangleadj] = ACTIONS(2330),
    [anon_sym_lineadj] = ACTIONS(2330),
    [anon_sym_triangle] = ACTIONS(2330),
    [anon_sym_cbuffer] = ACTIONS(2330),
  },
  [1585] = {
    [sym_identifier] = ACTIONS(2330),
    [anon_sym_LPAREN2] = ACTIONS(2332),
    [anon_sym_BANG] = ACTIONS(2332),
    [anon_sym_TILDE] = ACTIONS(2332),
    [anon_sym_DASH] = ACTIONS(2330),
    [anon_sym_PLUS] = ACTIONS(2330),
    [anon_sym_STAR] = ACTIONS(2332),
    [anon_sym_AMP] = ACTIONS(2332),
    [anon_sym_SEMI] = ACTIONS(2332),
    [anon_sym___extension__] = ACTIONS(2330),
    [anon_sym_typedef] = ACTIONS(2330),
    [anon_sym_in] = ACTIONS(2330),
    [anon_sym_out] = ACTIONS(2330),
    [anon_sym_inout] = ACTIONS(2330),
    [anon_sym_extern] = ACTIONS(2330),
    [anon_sym___attribute__] = ACTIONS(2330),
    [anon_sym_COLON_COLON] = ACTIONS(2332),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2332),
    [anon_sym___declspec] = ACTIONS(2330),
    [anon_sym_LBRACE] = ACTIONS(2332),
    [anon_sym_signed] = ACTIONS(2330),
    [anon_sym_unsigned] = ACTIONS(2330),
    [anon_sym_long] = ACTIONS(2330),
    [anon_sym_short] = ACTIONS(2330),
    [anon_sym_LBRACK] = ACTIONS(2330),
    [anon_sym_static] = ACTIONS(2330),
    [anon_sym_register] = ACTIONS(2330),
    [anon_sym_inline] = ACTIONS(2330),
    [anon_sym___inline] = ACTIONS(2330),
    [anon_sym___inline__] = ACTIONS(2330),
    [anon_sym___forceinline] = ACTIONS(2330),
    [anon_sym_thread_local] = ACTIONS(2330),
    [anon_sym___thread] = ACTIONS(2330),
    [anon_sym_const] = ACTIONS(2330),
    [anon_sym_constexpr] = ACTIONS(2330),
    [anon_sym_volatile] = ACTIONS(2330),
    [anon_sym_restrict] = ACTIONS(2330),
    [anon_sym___restrict__] = ACTIONS(2330),
    [anon_sym__Atomic] = ACTIONS(2330),
    [anon_sym__Noreturn] = ACTIONS(2330),
    [anon_sym_noreturn] = ACTIONS(2330),
    [anon_sym_mutable] = ACTIONS(2330),
    [anon_sym_constinit] = ACTIONS(2330),
    [anon_sym_consteval] = ACTIONS(2330),
    [sym_primitive_type] = ACTIONS(2330),
    [anon_sym_enum] = ACTIONS(2330),
    [anon_sym_class] = ACTIONS(2330),
    [anon_sym_struct] = ACTIONS(2330),
    [anon_sym_union] = ACTIONS(2330),
    [anon_sym_if] = ACTIONS(2330),
    [anon_sym_else] = ACTIONS(2330),
    [anon_sym_switch] = ACTIONS(2330),
    [anon_sym_while] = ACTIONS(2330),
    [anon_sym_do] = ACTIONS(2330),
    [anon_sym_for] = ACTIONS(2330),
    [anon_sym_return] = ACTIONS(2330),
    [anon_sym_break] = ACTIONS(2330),
    [anon_sym_continue] = ACTIONS(2330),
    [anon_sym_goto] = ACTIONS(2330),
    [anon_sym___try] = ACTIONS(2330),
    [anon_sym___leave] = ACTIONS(2330),
    [anon_sym_not] = ACTIONS(2330),
    [anon_sym_compl] = ACTIONS(2330),
    [anon_sym_DASH_DASH] = ACTIONS(2332),
    [anon_sym_PLUS_PLUS] = ACTIONS(2332),
    [anon_sym_sizeof] = ACTIONS(2330),
    [anon_sym___alignof__] = ACTIONS(2330),
    [anon_sym___alignof] = ACTIONS(2330),
    [anon_sym__alignof] = ACTIONS(2330),
    [anon_sym_alignof] = ACTIONS(2330),
    [anon_sym__Alignof] = ACTIONS(2330),
    [anon_sym_offsetof] = ACTIONS(2330),
    [anon_sym__Generic] = ACTIONS(2330),
    [anon_sym_asm] = ACTIONS(2330),
    [anon_sym___asm__] = ACTIONS(2330),
    [sym_number_literal] = ACTIONS(2332),
    [anon_sym_L_SQUOTE] = ACTIONS(2332),
    [anon_sym_u_SQUOTE] = ACTIONS(2332),
    [anon_sym_U_SQUOTE] = ACTIONS(2332),
    [anon_sym_u8_SQUOTE] = ACTIONS(2332),
    [anon_sym_SQUOTE] = ACTIONS(2332),
    [anon_sym_L_DQUOTE] = ACTIONS(2332),
    [anon_sym_u_DQUOTE] = ACTIONS(2332),
    [anon_sym_U_DQUOTE] = ACTIONS(2332),
    [anon_sym_u8_DQUOTE] = ACTIONS(2332),
    [anon_sym_DQUOTE] = ACTIONS(2332),
    [sym_true] = ACTIONS(2330),
    [sym_false] = ACTIONS(2330),
    [anon_sym_NULL] = ACTIONS(2330),
    [anon_sym_nullptr] = ACTIONS(2330),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2330),
    [anon_sym_decltype] = ACTIONS(2330),
    [anon_sym_virtual] = ACTIONS(2330),
    [anon_sym_alignas] = ACTIONS(2330),
    [anon_sym_typename] = ACTIONS(2330),
    [anon_sym_template] = ACTIONS(2330),
    [anon_sym_try] = ACTIONS(2330),
    [anon_sym_delete] = ACTIONS(2330),
    [anon_sym_throw] = ACTIONS(2330),
    [anon_sym_co_return] = ACTIONS(2330),
    [anon_sym_co_yield] = ACTIONS(2330),
    [anon_sym_R_DQUOTE] = ACTIONS(2332),
    [anon_sym_LR_DQUOTE] = ACTIONS(2332),
    [anon_sym_uR_DQUOTE] = ACTIONS(2332),
    [anon_sym_UR_DQUOTE] = ACTIONS(2332),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2332),
    [anon_sym_co_await] = ACTIONS(2330),
    [anon_sym_new] = ACTIONS(2330),
    [anon_sym_requires] = ACTIONS(2330),
    [sym_this] = ACTIONS(2330),
    [anon_sym_discard] = ACTIONS(2330),
    [anon_sym_precise] = ACTIONS(2330),
    [anon_sym_shared] = ACTIONS(2330),
    [anon_sym_groupshared] = ACTIONS(2330),
    [anon_sym_uniform] = ACTIONS(2330),
    [anon_sym_row_major] = ACTIONS(2330),
    [anon_sym_column_major] = ACTIONS(2330),
    [anon_sym_globallycoherent] = ACTIONS(2330),
    [anon_sym_centroid] = ACTIONS(2330),
    [anon_sym_noperspective] = ACTIONS(2330),
    [anon_sym_nointerpolation] = ACTIONS(2330),
    [anon_sym_sample] = ACTIONS(2330),
    [anon_sym_linear] = ACTIONS(2330),
    [anon_sym_snorm] = ACTIONS(2330),
    [anon_sym_unorm] = ACTIONS(2330),
    [anon_sym_point] = ACTIONS(2330),
    [anon_sym_line] = ACTIONS(2330),
    [anon_sym_triangleadj] = ACTIONS(2330),
    [anon_sym_lineadj] = ACTIONS(2330),
    [anon_sym_triangle] = ACTIONS(2330),
    [anon_sym_cbuffer] = ACTIONS(2330),
  },
  [1586] = {
    [sym_identifier] = ACTIONS(2444),
    [anon_sym_LPAREN2] = ACTIONS(2446),
    [anon_sym_BANG] = ACTIONS(2446),
    [anon_sym_TILDE] = ACTIONS(2446),
    [anon_sym_DASH] = ACTIONS(2444),
    [anon_sym_PLUS] = ACTIONS(2444),
    [anon_sym_STAR] = ACTIONS(2446),
    [anon_sym_AMP] = ACTIONS(2446),
    [anon_sym_SEMI] = ACTIONS(2446),
    [anon_sym___extension__] = ACTIONS(2444),
    [anon_sym_typedef] = ACTIONS(2444),
    [anon_sym_in] = ACTIONS(2444),
    [anon_sym_out] = ACTIONS(2444),
    [anon_sym_inout] = ACTIONS(2444),
    [anon_sym_extern] = ACTIONS(2444),
    [anon_sym___attribute__] = ACTIONS(2444),
    [anon_sym_COLON_COLON] = ACTIONS(2446),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2446),
    [anon_sym___declspec] = ACTIONS(2444),
    [anon_sym_LBRACE] = ACTIONS(2446),
    [anon_sym_signed] = ACTIONS(2444),
    [anon_sym_unsigned] = ACTIONS(2444),
    [anon_sym_long] = ACTIONS(2444),
    [anon_sym_short] = ACTIONS(2444),
    [anon_sym_LBRACK] = ACTIONS(2444),
    [anon_sym_static] = ACTIONS(2444),
    [anon_sym_register] = ACTIONS(2444),
    [anon_sym_inline] = ACTIONS(2444),
    [anon_sym___inline] = ACTIONS(2444),
    [anon_sym___inline__] = ACTIONS(2444),
    [anon_sym___forceinline] = ACTIONS(2444),
    [anon_sym_thread_local] = ACTIONS(2444),
    [anon_sym___thread] = ACTIONS(2444),
    [anon_sym_const] = ACTIONS(2444),
    [anon_sym_constexpr] = ACTIONS(2444),
    [anon_sym_volatile] = ACTIONS(2444),
    [anon_sym_restrict] = ACTIONS(2444),
    [anon_sym___restrict__] = ACTIONS(2444),
    [anon_sym__Atomic] = ACTIONS(2444),
    [anon_sym__Noreturn] = ACTIONS(2444),
    [anon_sym_noreturn] = ACTIONS(2444),
    [anon_sym_mutable] = ACTIONS(2444),
    [anon_sym_constinit] = ACTIONS(2444),
    [anon_sym_consteval] = ACTIONS(2444),
    [sym_primitive_type] = ACTIONS(2444),
    [anon_sym_enum] = ACTIONS(2444),
    [anon_sym_class] = ACTIONS(2444),
    [anon_sym_struct] = ACTIONS(2444),
    [anon_sym_union] = ACTIONS(2444),
    [anon_sym_if] = ACTIONS(2444),
    [anon_sym_else] = ACTIONS(2444),
    [anon_sym_switch] = ACTIONS(2444),
    [anon_sym_while] = ACTIONS(2444),
    [anon_sym_do] = ACTIONS(2444),
    [anon_sym_for] = ACTIONS(2444),
    [anon_sym_return] = ACTIONS(2444),
    [anon_sym_break] = ACTIONS(2444),
    [anon_sym_continue] = ACTIONS(2444),
    [anon_sym_goto] = ACTIONS(2444),
    [anon_sym___try] = ACTIONS(2444),
    [anon_sym___leave] = ACTIONS(2444),
    [anon_sym_not] = ACTIONS(2444),
    [anon_sym_compl] = ACTIONS(2444),
    [anon_sym_DASH_DASH] = ACTIONS(2446),
    [anon_sym_PLUS_PLUS] = ACTIONS(2446),
    [anon_sym_sizeof] = ACTIONS(2444),
    [anon_sym___alignof__] = ACTIONS(2444),
    [anon_sym___alignof] = ACTIONS(2444),
    [anon_sym__alignof] = ACTIONS(2444),
    [anon_sym_alignof] = ACTIONS(2444),
    [anon_sym__Alignof] = ACTIONS(2444),
    [anon_sym_offsetof] = ACTIONS(2444),
    [anon_sym__Generic] = ACTIONS(2444),
    [anon_sym_asm] = ACTIONS(2444),
    [anon_sym___asm__] = ACTIONS(2444),
    [sym_number_literal] = ACTIONS(2446),
    [anon_sym_L_SQUOTE] = ACTIONS(2446),
    [anon_sym_u_SQUOTE] = ACTIONS(2446),
    [anon_sym_U_SQUOTE] = ACTIONS(2446),
    [anon_sym_u8_SQUOTE] = ACTIONS(2446),
    [anon_sym_SQUOTE] = ACTIONS(2446),
    [anon_sym_L_DQUOTE] = ACTIONS(2446),
    [anon_sym_u_DQUOTE] = ACTIONS(2446),
    [anon_sym_U_DQUOTE] = ACTIONS(2446),
    [anon_sym_u8_DQUOTE] = ACTIONS(2446),
    [anon_sym_DQUOTE] = ACTIONS(2446),
    [sym_true] = ACTIONS(2444),
    [sym_false] = ACTIONS(2444),
    [anon_sym_NULL] = ACTIONS(2444),
    [anon_sym_nullptr] = ACTIONS(2444),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2444),
    [anon_sym_decltype] = ACTIONS(2444),
    [anon_sym_virtual] = ACTIONS(2444),
    [anon_sym_alignas] = ACTIONS(2444),
    [anon_sym_typename] = ACTIONS(2444),
    [anon_sym_template] = ACTIONS(2444),
    [anon_sym_try] = ACTIONS(2444),
    [anon_sym_delete] = ACTIONS(2444),
    [anon_sym_throw] = ACTIONS(2444),
    [anon_sym_co_return] = ACTIONS(2444),
    [anon_sym_co_yield] = ACTIONS(2444),
    [anon_sym_R_DQUOTE] = ACTIONS(2446),
    [anon_sym_LR_DQUOTE] = ACTIONS(2446),
    [anon_sym_uR_DQUOTE] = ACTIONS(2446),
    [anon_sym_UR_DQUOTE] = ACTIONS(2446),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2446),
    [anon_sym_co_await] = ACTIONS(2444),
    [anon_sym_new] = ACTIONS(2444),
    [anon_sym_requires] = ACTIONS(2444),
    [sym_this] = ACTIONS(2444),
    [anon_sym_discard] = ACTIONS(2444),
    [anon_sym_precise] = ACTIONS(2444),
    [anon_sym_shared] = ACTIONS(2444),
    [anon_sym_groupshared] = ACTIONS(2444),
    [anon_sym_uniform] = ACTIONS(2444),
    [anon_sym_row_major] = ACTIONS(2444),
    [anon_sym_column_major] = ACTIONS(2444),
    [anon_sym_globallycoherent] = ACTIONS(2444),
    [anon_sym_centroid] = ACTIONS(2444),
    [anon_sym_noperspective] = ACTIONS(2444),
    [anon_sym_nointerpolation] = ACTIONS(2444),
    [anon_sym_sample] = ACTIONS(2444),
    [anon_sym_linear] = ACTIONS(2444),
    [anon_sym_snorm] = ACTIONS(2444),
    [anon_sym_unorm] = ACTIONS(2444),
    [anon_sym_point] = ACTIONS(2444),
    [anon_sym_line] = ACTIONS(2444),
    [anon_sym_triangleadj] = ACTIONS(2444),
    [anon_sym_lineadj] = ACTIONS(2444),
    [anon_sym_triangle] = ACTIONS(2444),
    [anon_sym_cbuffer] = ACTIONS(2444),
  },
  [1587] = {
    [sym_identifier] = ACTIONS(2432),
    [anon_sym_LPAREN2] = ACTIONS(2434),
    [anon_sym_BANG] = ACTIONS(2434),
    [anon_sym_TILDE] = ACTIONS(2434),
    [anon_sym_DASH] = ACTIONS(2432),
    [anon_sym_PLUS] = ACTIONS(2432),
    [anon_sym_STAR] = ACTIONS(2434),
    [anon_sym_AMP] = ACTIONS(2434),
    [anon_sym_SEMI] = ACTIONS(2434),
    [anon_sym___extension__] = ACTIONS(2432),
    [anon_sym_typedef] = ACTIONS(2432),
    [anon_sym_in] = ACTIONS(2432),
    [anon_sym_out] = ACTIONS(2432),
    [anon_sym_inout] = ACTIONS(2432),
    [anon_sym_extern] = ACTIONS(2432),
    [anon_sym___attribute__] = ACTIONS(2432),
    [anon_sym_COLON_COLON] = ACTIONS(2434),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2434),
    [anon_sym___declspec] = ACTIONS(2432),
    [anon_sym_LBRACE] = ACTIONS(2434),
    [anon_sym_signed] = ACTIONS(2432),
    [anon_sym_unsigned] = ACTIONS(2432),
    [anon_sym_long] = ACTIONS(2432),
    [anon_sym_short] = ACTIONS(2432),
    [anon_sym_LBRACK] = ACTIONS(2432),
    [anon_sym_static] = ACTIONS(2432),
    [anon_sym_register] = ACTIONS(2432),
    [anon_sym_inline] = ACTIONS(2432),
    [anon_sym___inline] = ACTIONS(2432),
    [anon_sym___inline__] = ACTIONS(2432),
    [anon_sym___forceinline] = ACTIONS(2432),
    [anon_sym_thread_local] = ACTIONS(2432),
    [anon_sym___thread] = ACTIONS(2432),
    [anon_sym_const] = ACTIONS(2432),
    [anon_sym_constexpr] = ACTIONS(2432),
    [anon_sym_volatile] = ACTIONS(2432),
    [anon_sym_restrict] = ACTIONS(2432),
    [anon_sym___restrict__] = ACTIONS(2432),
    [anon_sym__Atomic] = ACTIONS(2432),
    [anon_sym__Noreturn] = ACTIONS(2432),
    [anon_sym_noreturn] = ACTIONS(2432),
    [anon_sym_mutable] = ACTIONS(2432),
    [anon_sym_constinit] = ACTIONS(2432),
    [anon_sym_consteval] = ACTIONS(2432),
    [sym_primitive_type] = ACTIONS(2432),
    [anon_sym_enum] = ACTIONS(2432),
    [anon_sym_class] = ACTIONS(2432),
    [anon_sym_struct] = ACTIONS(2432),
    [anon_sym_union] = ACTIONS(2432),
    [anon_sym_if] = ACTIONS(2432),
    [anon_sym_else] = ACTIONS(2432),
    [anon_sym_switch] = ACTIONS(2432),
    [anon_sym_while] = ACTIONS(2432),
    [anon_sym_do] = ACTIONS(2432),
    [anon_sym_for] = ACTIONS(2432),
    [anon_sym_return] = ACTIONS(2432),
    [anon_sym_break] = ACTIONS(2432),
    [anon_sym_continue] = ACTIONS(2432),
    [anon_sym_goto] = ACTIONS(2432),
    [anon_sym___try] = ACTIONS(2432),
    [anon_sym___leave] = ACTIONS(2432),
    [anon_sym_not] = ACTIONS(2432),
    [anon_sym_compl] = ACTIONS(2432),
    [anon_sym_DASH_DASH] = ACTIONS(2434),
    [anon_sym_PLUS_PLUS] = ACTIONS(2434),
    [anon_sym_sizeof] = ACTIONS(2432),
    [anon_sym___alignof__] = ACTIONS(2432),
    [anon_sym___alignof] = ACTIONS(2432),
    [anon_sym__alignof] = ACTIONS(2432),
    [anon_sym_alignof] = ACTIONS(2432),
    [anon_sym__Alignof] = ACTIONS(2432),
    [anon_sym_offsetof] = ACTIONS(2432),
    [anon_sym__Generic] = ACTIONS(2432),
    [anon_sym_asm] = ACTIONS(2432),
    [anon_sym___asm__] = ACTIONS(2432),
    [sym_number_literal] = ACTIONS(2434),
    [anon_sym_L_SQUOTE] = ACTIONS(2434),
    [anon_sym_u_SQUOTE] = ACTIONS(2434),
    [anon_sym_U_SQUOTE] = ACTIONS(2434),
    [anon_sym_u8_SQUOTE] = ACTIONS(2434),
    [anon_sym_SQUOTE] = ACTIONS(2434),
    [anon_sym_L_DQUOTE] = ACTIONS(2434),
    [anon_sym_u_DQUOTE] = ACTIONS(2434),
    [anon_sym_U_DQUOTE] = ACTIONS(2434),
    [anon_sym_u8_DQUOTE] = ACTIONS(2434),
    [anon_sym_DQUOTE] = ACTIONS(2434),
    [sym_true] = ACTIONS(2432),
    [sym_false] = ACTIONS(2432),
    [anon_sym_NULL] = ACTIONS(2432),
    [anon_sym_nullptr] = ACTIONS(2432),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2432),
    [anon_sym_decltype] = ACTIONS(2432),
    [anon_sym_virtual] = ACTIONS(2432),
    [anon_sym_alignas] = ACTIONS(2432),
    [anon_sym_typename] = ACTIONS(2432),
    [anon_sym_template] = ACTIONS(2432),
    [anon_sym_try] = ACTIONS(2432),
    [anon_sym_delete] = ACTIONS(2432),
    [anon_sym_throw] = ACTIONS(2432),
    [anon_sym_co_return] = ACTIONS(2432),
    [anon_sym_co_yield] = ACTIONS(2432),
    [anon_sym_R_DQUOTE] = ACTIONS(2434),
    [anon_sym_LR_DQUOTE] = ACTIONS(2434),
    [anon_sym_uR_DQUOTE] = ACTIONS(2434),
    [anon_sym_UR_DQUOTE] = ACTIONS(2434),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2434),
    [anon_sym_co_await] = ACTIONS(2432),
    [anon_sym_new] = ACTIONS(2432),
    [anon_sym_requires] = ACTIONS(2432),
    [sym_this] = ACTIONS(2432),
    [anon_sym_discard] = ACTIONS(2432),
    [anon_sym_precise] = ACTIONS(2432),
    [anon_sym_shared] = ACTIONS(2432),
    [anon_sym_groupshared] = ACTIONS(2432),
    [anon_sym_uniform] = ACTIONS(2432),
    [anon_sym_row_major] = ACTIONS(2432),
    [anon_sym_column_major] = ACTIONS(2432),
    [anon_sym_globallycoherent] = ACTIONS(2432),
    [anon_sym_centroid] = ACTIONS(2432),
    [anon_sym_noperspective] = ACTIONS(2432),
    [anon_sym_nointerpolation] = ACTIONS(2432),
    [anon_sym_sample] = ACTIONS(2432),
    [anon_sym_linear] = ACTIONS(2432),
    [anon_sym_snorm] = ACTIONS(2432),
    [anon_sym_unorm] = ACTIONS(2432),
    [anon_sym_point] = ACTIONS(2432),
    [anon_sym_line] = ACTIONS(2432),
    [anon_sym_triangleadj] = ACTIONS(2432),
    [anon_sym_lineadj] = ACTIONS(2432),
    [anon_sym_triangle] = ACTIONS(2432),
    [anon_sym_cbuffer] = ACTIONS(2432),
  },
  [1588] = {
    [sym_identifier] = ACTIONS(2384),
    [anon_sym_LPAREN2] = ACTIONS(2386),
    [anon_sym_BANG] = ACTIONS(2386),
    [anon_sym_TILDE] = ACTIONS(2386),
    [anon_sym_DASH] = ACTIONS(2384),
    [anon_sym_PLUS] = ACTIONS(2384),
    [anon_sym_STAR] = ACTIONS(2386),
    [anon_sym_AMP] = ACTIONS(2386),
    [anon_sym_SEMI] = ACTIONS(2386),
    [anon_sym___extension__] = ACTIONS(2384),
    [anon_sym_typedef] = ACTIONS(2384),
    [anon_sym_in] = ACTIONS(2384),
    [anon_sym_out] = ACTIONS(2384),
    [anon_sym_inout] = ACTIONS(2384),
    [anon_sym_extern] = ACTIONS(2384),
    [anon_sym___attribute__] = ACTIONS(2384),
    [anon_sym_COLON_COLON] = ACTIONS(2386),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2386),
    [anon_sym___declspec] = ACTIONS(2384),
    [anon_sym_LBRACE] = ACTIONS(2386),
    [anon_sym_signed] = ACTIONS(2384),
    [anon_sym_unsigned] = ACTIONS(2384),
    [anon_sym_long] = ACTIONS(2384),
    [anon_sym_short] = ACTIONS(2384),
    [anon_sym_LBRACK] = ACTIONS(2384),
    [anon_sym_static] = ACTIONS(2384),
    [anon_sym_register] = ACTIONS(2384),
    [anon_sym_inline] = ACTIONS(2384),
    [anon_sym___inline] = ACTIONS(2384),
    [anon_sym___inline__] = ACTIONS(2384),
    [anon_sym___forceinline] = ACTIONS(2384),
    [anon_sym_thread_local] = ACTIONS(2384),
    [anon_sym___thread] = ACTIONS(2384),
    [anon_sym_const] = ACTIONS(2384),
    [anon_sym_constexpr] = ACTIONS(2384),
    [anon_sym_volatile] = ACTIONS(2384),
    [anon_sym_restrict] = ACTIONS(2384),
    [anon_sym___restrict__] = ACTIONS(2384),
    [anon_sym__Atomic] = ACTIONS(2384),
    [anon_sym__Noreturn] = ACTIONS(2384),
    [anon_sym_noreturn] = ACTIONS(2384),
    [anon_sym_mutable] = ACTIONS(2384),
    [anon_sym_constinit] = ACTIONS(2384),
    [anon_sym_consteval] = ACTIONS(2384),
    [sym_primitive_type] = ACTIONS(2384),
    [anon_sym_enum] = ACTIONS(2384),
    [anon_sym_class] = ACTIONS(2384),
    [anon_sym_struct] = ACTIONS(2384),
    [anon_sym_union] = ACTIONS(2384),
    [anon_sym_if] = ACTIONS(2384),
    [anon_sym_else] = ACTIONS(2384),
    [anon_sym_switch] = ACTIONS(2384),
    [anon_sym_while] = ACTIONS(2384),
    [anon_sym_do] = ACTIONS(2384),
    [anon_sym_for] = ACTIONS(2384),
    [anon_sym_return] = ACTIONS(2384),
    [anon_sym_break] = ACTIONS(2384),
    [anon_sym_continue] = ACTIONS(2384),
    [anon_sym_goto] = ACTIONS(2384),
    [anon_sym___try] = ACTIONS(2384),
    [anon_sym___leave] = ACTIONS(2384),
    [anon_sym_not] = ACTIONS(2384),
    [anon_sym_compl] = ACTIONS(2384),
    [anon_sym_DASH_DASH] = ACTIONS(2386),
    [anon_sym_PLUS_PLUS] = ACTIONS(2386),
    [anon_sym_sizeof] = ACTIONS(2384),
    [anon_sym___alignof__] = ACTIONS(2384),
    [anon_sym___alignof] = ACTIONS(2384),
    [anon_sym__alignof] = ACTIONS(2384),
    [anon_sym_alignof] = ACTIONS(2384),
    [anon_sym__Alignof] = ACTIONS(2384),
    [anon_sym_offsetof] = ACTIONS(2384),
    [anon_sym__Generic] = ACTIONS(2384),
    [anon_sym_asm] = ACTIONS(2384),
    [anon_sym___asm__] = ACTIONS(2384),
    [sym_number_literal] = ACTIONS(2386),
    [anon_sym_L_SQUOTE] = ACTIONS(2386),
    [anon_sym_u_SQUOTE] = ACTIONS(2386),
    [anon_sym_U_SQUOTE] = ACTIONS(2386),
    [anon_sym_u8_SQUOTE] = ACTIONS(2386),
    [anon_sym_SQUOTE] = ACTIONS(2386),
    [anon_sym_L_DQUOTE] = ACTIONS(2386),
    [anon_sym_u_DQUOTE] = ACTIONS(2386),
    [anon_sym_U_DQUOTE] = ACTIONS(2386),
    [anon_sym_u8_DQUOTE] = ACTIONS(2386),
    [anon_sym_DQUOTE] = ACTIONS(2386),
    [sym_true] = ACTIONS(2384),
    [sym_false] = ACTIONS(2384),
    [anon_sym_NULL] = ACTIONS(2384),
    [anon_sym_nullptr] = ACTIONS(2384),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2384),
    [anon_sym_decltype] = ACTIONS(2384),
    [anon_sym_virtual] = ACTIONS(2384),
    [anon_sym_alignas] = ACTIONS(2384),
    [anon_sym_typename] = ACTIONS(2384),
    [anon_sym_template] = ACTIONS(2384),
    [anon_sym_try] = ACTIONS(2384),
    [anon_sym_delete] = ACTIONS(2384),
    [anon_sym_throw] = ACTIONS(2384),
    [anon_sym_co_return] = ACTIONS(2384),
    [anon_sym_co_yield] = ACTIONS(2384),
    [anon_sym_R_DQUOTE] = ACTIONS(2386),
    [anon_sym_LR_DQUOTE] = ACTIONS(2386),
    [anon_sym_uR_DQUOTE] = ACTIONS(2386),
    [anon_sym_UR_DQUOTE] = ACTIONS(2386),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2386),
    [anon_sym_co_await] = ACTIONS(2384),
    [anon_sym_new] = ACTIONS(2384),
    [anon_sym_requires] = ACTIONS(2384),
    [sym_this] = ACTIONS(2384),
    [anon_sym_discard] = ACTIONS(2384),
    [anon_sym_precise] = ACTIONS(2384),
    [anon_sym_shared] = ACTIONS(2384),
    [anon_sym_groupshared] = ACTIONS(2384),
    [anon_sym_uniform] = ACTIONS(2384),
    [anon_sym_row_major] = ACTIONS(2384),
    [anon_sym_column_major] = ACTIONS(2384),
    [anon_sym_globallycoherent] = ACTIONS(2384),
    [anon_sym_centroid] = ACTIONS(2384),
    [anon_sym_noperspective] = ACTIONS(2384),
    [anon_sym_nointerpolation] = ACTIONS(2384),
    [anon_sym_sample] = ACTIONS(2384),
    [anon_sym_linear] = ACTIONS(2384),
    [anon_sym_snorm] = ACTIONS(2384),
    [anon_sym_unorm] = ACTIONS(2384),
    [anon_sym_point] = ACTIONS(2384),
    [anon_sym_line] = ACTIONS(2384),
    [anon_sym_triangleadj] = ACTIONS(2384),
    [anon_sym_lineadj] = ACTIONS(2384),
    [anon_sym_triangle] = ACTIONS(2384),
    [anon_sym_cbuffer] = ACTIONS(2384),
  },
  [1589] = {
    [sym_identifier] = ACTIONS(2364),
    [anon_sym_LPAREN2] = ACTIONS(2366),
    [anon_sym_BANG] = ACTIONS(2366),
    [anon_sym_TILDE] = ACTIONS(2366),
    [anon_sym_DASH] = ACTIONS(2364),
    [anon_sym_PLUS] = ACTIONS(2364),
    [anon_sym_STAR] = ACTIONS(2366),
    [anon_sym_AMP] = ACTIONS(2366),
    [anon_sym_SEMI] = ACTIONS(2366),
    [anon_sym___extension__] = ACTIONS(2364),
    [anon_sym_typedef] = ACTIONS(2364),
    [anon_sym_in] = ACTIONS(2364),
    [anon_sym_out] = ACTIONS(2364),
    [anon_sym_inout] = ACTIONS(2364),
    [anon_sym_extern] = ACTIONS(2364),
    [anon_sym___attribute__] = ACTIONS(2364),
    [anon_sym_COLON_COLON] = ACTIONS(2366),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2366),
    [anon_sym___declspec] = ACTIONS(2364),
    [anon_sym_LBRACE] = ACTIONS(2366),
    [anon_sym_signed] = ACTIONS(2364),
    [anon_sym_unsigned] = ACTIONS(2364),
    [anon_sym_long] = ACTIONS(2364),
    [anon_sym_short] = ACTIONS(2364),
    [anon_sym_LBRACK] = ACTIONS(2364),
    [anon_sym_static] = ACTIONS(2364),
    [anon_sym_register] = ACTIONS(2364),
    [anon_sym_inline] = ACTIONS(2364),
    [anon_sym___inline] = ACTIONS(2364),
    [anon_sym___inline__] = ACTIONS(2364),
    [anon_sym___forceinline] = ACTIONS(2364),
    [anon_sym_thread_local] = ACTIONS(2364),
    [anon_sym___thread] = ACTIONS(2364),
    [anon_sym_const] = ACTIONS(2364),
    [anon_sym_constexpr] = ACTIONS(2364),
    [anon_sym_volatile] = ACTIONS(2364),
    [anon_sym_restrict] = ACTIONS(2364),
    [anon_sym___restrict__] = ACTIONS(2364),
    [anon_sym__Atomic] = ACTIONS(2364),
    [anon_sym__Noreturn] = ACTIONS(2364),
    [anon_sym_noreturn] = ACTIONS(2364),
    [anon_sym_mutable] = ACTIONS(2364),
    [anon_sym_constinit] = ACTIONS(2364),
    [anon_sym_consteval] = ACTIONS(2364),
    [sym_primitive_type] = ACTIONS(2364),
    [anon_sym_enum] = ACTIONS(2364),
    [anon_sym_class] = ACTIONS(2364),
    [anon_sym_struct] = ACTIONS(2364),
    [anon_sym_union] = ACTIONS(2364),
    [anon_sym_if] = ACTIONS(2364),
    [anon_sym_else] = ACTIONS(2364),
    [anon_sym_switch] = ACTIONS(2364),
    [anon_sym_while] = ACTIONS(2364),
    [anon_sym_do] = ACTIONS(2364),
    [anon_sym_for] = ACTIONS(2364),
    [anon_sym_return] = ACTIONS(2364),
    [anon_sym_break] = ACTIONS(2364),
    [anon_sym_continue] = ACTIONS(2364),
    [anon_sym_goto] = ACTIONS(2364),
    [anon_sym___try] = ACTIONS(2364),
    [anon_sym___leave] = ACTIONS(2364),
    [anon_sym_not] = ACTIONS(2364),
    [anon_sym_compl] = ACTIONS(2364),
    [anon_sym_DASH_DASH] = ACTIONS(2366),
    [anon_sym_PLUS_PLUS] = ACTIONS(2366),
    [anon_sym_sizeof] = ACTIONS(2364),
    [anon_sym___alignof__] = ACTIONS(2364),
    [anon_sym___alignof] = ACTIONS(2364),
    [anon_sym__alignof] = ACTIONS(2364),
    [anon_sym_alignof] = ACTIONS(2364),
    [anon_sym__Alignof] = ACTIONS(2364),
    [anon_sym_offsetof] = ACTIONS(2364),
    [anon_sym__Generic] = ACTIONS(2364),
    [anon_sym_asm] = ACTIONS(2364),
    [anon_sym___asm__] = ACTIONS(2364),
    [sym_number_literal] = ACTIONS(2366),
    [anon_sym_L_SQUOTE] = ACTIONS(2366),
    [anon_sym_u_SQUOTE] = ACTIONS(2366),
    [anon_sym_U_SQUOTE] = ACTIONS(2366),
    [anon_sym_u8_SQUOTE] = ACTIONS(2366),
    [anon_sym_SQUOTE] = ACTIONS(2366),
    [anon_sym_L_DQUOTE] = ACTIONS(2366),
    [anon_sym_u_DQUOTE] = ACTIONS(2366),
    [anon_sym_U_DQUOTE] = ACTIONS(2366),
    [anon_sym_u8_DQUOTE] = ACTIONS(2366),
    [anon_sym_DQUOTE] = ACTIONS(2366),
    [sym_true] = ACTIONS(2364),
    [sym_false] = ACTIONS(2364),
    [anon_sym_NULL] = ACTIONS(2364),
    [anon_sym_nullptr] = ACTIONS(2364),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2364),
    [anon_sym_decltype] = ACTIONS(2364),
    [anon_sym_virtual] = ACTIONS(2364),
    [anon_sym_alignas] = ACTIONS(2364),
    [anon_sym_typename] = ACTIONS(2364),
    [anon_sym_template] = ACTIONS(2364),
    [anon_sym_try] = ACTIONS(2364),
    [anon_sym_delete] = ACTIONS(2364),
    [anon_sym_throw] = ACTIONS(2364),
    [anon_sym_co_return] = ACTIONS(2364),
    [anon_sym_co_yield] = ACTIONS(2364),
    [anon_sym_R_DQUOTE] = ACTIONS(2366),
    [anon_sym_LR_DQUOTE] = ACTIONS(2366),
    [anon_sym_uR_DQUOTE] = ACTIONS(2366),
    [anon_sym_UR_DQUOTE] = ACTIONS(2366),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2366),
    [anon_sym_co_await] = ACTIONS(2364),
    [anon_sym_new] = ACTIONS(2364),
    [anon_sym_requires] = ACTIONS(2364),
    [sym_this] = ACTIONS(2364),
    [anon_sym_discard] = ACTIONS(2364),
    [anon_sym_precise] = ACTIONS(2364),
    [anon_sym_shared] = ACTIONS(2364),
    [anon_sym_groupshared] = ACTIONS(2364),
    [anon_sym_uniform] = ACTIONS(2364),
    [anon_sym_row_major] = ACTIONS(2364),
    [anon_sym_column_major] = ACTIONS(2364),
    [anon_sym_globallycoherent] = ACTIONS(2364),
    [anon_sym_centroid] = ACTIONS(2364),
    [anon_sym_noperspective] = ACTIONS(2364),
    [anon_sym_nointerpolation] = ACTIONS(2364),
    [anon_sym_sample] = ACTIONS(2364),
    [anon_sym_linear] = ACTIONS(2364),
    [anon_sym_snorm] = ACTIONS(2364),
    [anon_sym_unorm] = ACTIONS(2364),
    [anon_sym_point] = ACTIONS(2364),
    [anon_sym_line] = ACTIONS(2364),
    [anon_sym_triangleadj] = ACTIONS(2364),
    [anon_sym_lineadj] = ACTIONS(2364),
    [anon_sym_triangle] = ACTIONS(2364),
    [anon_sym_cbuffer] = ACTIONS(2364),
  },
  [1590] = {
    [sym_identifier] = ACTIONS(2364),
    [anon_sym_LPAREN2] = ACTIONS(2366),
    [anon_sym_BANG] = ACTIONS(2366),
    [anon_sym_TILDE] = ACTIONS(2366),
    [anon_sym_DASH] = ACTIONS(2364),
    [anon_sym_PLUS] = ACTIONS(2364),
    [anon_sym_STAR] = ACTIONS(2366),
    [anon_sym_AMP] = ACTIONS(2366),
    [anon_sym_SEMI] = ACTIONS(2366),
    [anon_sym___extension__] = ACTIONS(2364),
    [anon_sym_typedef] = ACTIONS(2364),
    [anon_sym_in] = ACTIONS(2364),
    [anon_sym_out] = ACTIONS(2364),
    [anon_sym_inout] = ACTIONS(2364),
    [anon_sym_extern] = ACTIONS(2364),
    [anon_sym___attribute__] = ACTIONS(2364),
    [anon_sym_COLON_COLON] = ACTIONS(2366),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2366),
    [anon_sym___declspec] = ACTIONS(2364),
    [anon_sym_LBRACE] = ACTIONS(2366),
    [anon_sym_signed] = ACTIONS(2364),
    [anon_sym_unsigned] = ACTIONS(2364),
    [anon_sym_long] = ACTIONS(2364),
    [anon_sym_short] = ACTIONS(2364),
    [anon_sym_LBRACK] = ACTIONS(2364),
    [anon_sym_static] = ACTIONS(2364),
    [anon_sym_register] = ACTIONS(2364),
    [anon_sym_inline] = ACTIONS(2364),
    [anon_sym___inline] = ACTIONS(2364),
    [anon_sym___inline__] = ACTIONS(2364),
    [anon_sym___forceinline] = ACTIONS(2364),
    [anon_sym_thread_local] = ACTIONS(2364),
    [anon_sym___thread] = ACTIONS(2364),
    [anon_sym_const] = ACTIONS(2364),
    [anon_sym_constexpr] = ACTIONS(2364),
    [anon_sym_volatile] = ACTIONS(2364),
    [anon_sym_restrict] = ACTIONS(2364),
    [anon_sym___restrict__] = ACTIONS(2364),
    [anon_sym__Atomic] = ACTIONS(2364),
    [anon_sym__Noreturn] = ACTIONS(2364),
    [anon_sym_noreturn] = ACTIONS(2364),
    [anon_sym_mutable] = ACTIONS(2364),
    [anon_sym_constinit] = ACTIONS(2364),
    [anon_sym_consteval] = ACTIONS(2364),
    [sym_primitive_type] = ACTIONS(2364),
    [anon_sym_enum] = ACTIONS(2364),
    [anon_sym_class] = ACTIONS(2364),
    [anon_sym_struct] = ACTIONS(2364),
    [anon_sym_union] = ACTIONS(2364),
    [anon_sym_if] = ACTIONS(2364),
    [anon_sym_else] = ACTIONS(2364),
    [anon_sym_switch] = ACTIONS(2364),
    [anon_sym_while] = ACTIONS(2364),
    [anon_sym_do] = ACTIONS(2364),
    [anon_sym_for] = ACTIONS(2364),
    [anon_sym_return] = ACTIONS(2364),
    [anon_sym_break] = ACTIONS(2364),
    [anon_sym_continue] = ACTIONS(2364),
    [anon_sym_goto] = ACTIONS(2364),
    [anon_sym___try] = ACTIONS(2364),
    [anon_sym___leave] = ACTIONS(2364),
    [anon_sym_not] = ACTIONS(2364),
    [anon_sym_compl] = ACTIONS(2364),
    [anon_sym_DASH_DASH] = ACTIONS(2366),
    [anon_sym_PLUS_PLUS] = ACTIONS(2366),
    [anon_sym_sizeof] = ACTIONS(2364),
    [anon_sym___alignof__] = ACTIONS(2364),
    [anon_sym___alignof] = ACTIONS(2364),
    [anon_sym__alignof] = ACTIONS(2364),
    [anon_sym_alignof] = ACTIONS(2364),
    [anon_sym__Alignof] = ACTIONS(2364),
    [anon_sym_offsetof] = ACTIONS(2364),
    [anon_sym__Generic] = ACTIONS(2364),
    [anon_sym_asm] = ACTIONS(2364),
    [anon_sym___asm__] = ACTIONS(2364),
    [sym_number_literal] = ACTIONS(2366),
    [anon_sym_L_SQUOTE] = ACTIONS(2366),
    [anon_sym_u_SQUOTE] = ACTIONS(2366),
    [anon_sym_U_SQUOTE] = ACTIONS(2366),
    [anon_sym_u8_SQUOTE] = ACTIONS(2366),
    [anon_sym_SQUOTE] = ACTIONS(2366),
    [anon_sym_L_DQUOTE] = ACTIONS(2366),
    [anon_sym_u_DQUOTE] = ACTIONS(2366),
    [anon_sym_U_DQUOTE] = ACTIONS(2366),
    [anon_sym_u8_DQUOTE] = ACTIONS(2366),
    [anon_sym_DQUOTE] = ACTIONS(2366),
    [sym_true] = ACTIONS(2364),
    [sym_false] = ACTIONS(2364),
    [anon_sym_NULL] = ACTIONS(2364),
    [anon_sym_nullptr] = ACTIONS(2364),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2364),
    [anon_sym_decltype] = ACTIONS(2364),
    [anon_sym_virtual] = ACTIONS(2364),
    [anon_sym_alignas] = ACTIONS(2364),
    [anon_sym_typename] = ACTIONS(2364),
    [anon_sym_template] = ACTIONS(2364),
    [anon_sym_try] = ACTIONS(2364),
    [anon_sym_delete] = ACTIONS(2364),
    [anon_sym_throw] = ACTIONS(2364),
    [anon_sym_co_return] = ACTIONS(2364),
    [anon_sym_co_yield] = ACTIONS(2364),
    [anon_sym_R_DQUOTE] = ACTIONS(2366),
    [anon_sym_LR_DQUOTE] = ACTIONS(2366),
    [anon_sym_uR_DQUOTE] = ACTIONS(2366),
    [anon_sym_UR_DQUOTE] = ACTIONS(2366),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2366),
    [anon_sym_co_await] = ACTIONS(2364),
    [anon_sym_new] = ACTIONS(2364),
    [anon_sym_requires] = ACTIONS(2364),
    [sym_this] = ACTIONS(2364),
    [anon_sym_discard] = ACTIONS(2364),
    [anon_sym_precise] = ACTIONS(2364),
    [anon_sym_shared] = ACTIONS(2364),
    [anon_sym_groupshared] = ACTIONS(2364),
    [anon_sym_uniform] = ACTIONS(2364),
    [anon_sym_row_major] = ACTIONS(2364),
    [anon_sym_column_major] = ACTIONS(2364),
    [anon_sym_globallycoherent] = ACTIONS(2364),
    [anon_sym_centroid] = ACTIONS(2364),
    [anon_sym_noperspective] = ACTIONS(2364),
    [anon_sym_nointerpolation] = ACTIONS(2364),
    [anon_sym_sample] = ACTIONS(2364),
    [anon_sym_linear] = ACTIONS(2364),
    [anon_sym_snorm] = ACTIONS(2364),
    [anon_sym_unorm] = ACTIONS(2364),
    [anon_sym_point] = ACTIONS(2364),
    [anon_sym_line] = ACTIONS(2364),
    [anon_sym_triangleadj] = ACTIONS(2364),
    [anon_sym_lineadj] = ACTIONS(2364),
    [anon_sym_triangle] = ACTIONS(2364),
    [anon_sym_cbuffer] = ACTIONS(2364),
  },
  [1591] = {
    [sym_identifier] = ACTIONS(2444),
    [anon_sym_LPAREN2] = ACTIONS(2446),
    [anon_sym_BANG] = ACTIONS(2446),
    [anon_sym_TILDE] = ACTIONS(2446),
    [anon_sym_DASH] = ACTIONS(2444),
    [anon_sym_PLUS] = ACTIONS(2444),
    [anon_sym_STAR] = ACTIONS(2446),
    [anon_sym_AMP] = ACTIONS(2446),
    [anon_sym_SEMI] = ACTIONS(2446),
    [anon_sym___extension__] = ACTIONS(2444),
    [anon_sym_typedef] = ACTIONS(2444),
    [anon_sym_in] = ACTIONS(2444),
    [anon_sym_out] = ACTIONS(2444),
    [anon_sym_inout] = ACTIONS(2444),
    [anon_sym_extern] = ACTIONS(2444),
    [anon_sym___attribute__] = ACTIONS(2444),
    [anon_sym_COLON_COLON] = ACTIONS(2446),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2446),
    [anon_sym___declspec] = ACTIONS(2444),
    [anon_sym_LBRACE] = ACTIONS(2446),
    [anon_sym_signed] = ACTIONS(2444),
    [anon_sym_unsigned] = ACTIONS(2444),
    [anon_sym_long] = ACTIONS(2444),
    [anon_sym_short] = ACTIONS(2444),
    [anon_sym_LBRACK] = ACTIONS(2444),
    [anon_sym_static] = ACTIONS(2444),
    [anon_sym_register] = ACTIONS(2444),
    [anon_sym_inline] = ACTIONS(2444),
    [anon_sym___inline] = ACTIONS(2444),
    [anon_sym___inline__] = ACTIONS(2444),
    [anon_sym___forceinline] = ACTIONS(2444),
    [anon_sym_thread_local] = ACTIONS(2444),
    [anon_sym___thread] = ACTIONS(2444),
    [anon_sym_const] = ACTIONS(2444),
    [anon_sym_constexpr] = ACTIONS(2444),
    [anon_sym_volatile] = ACTIONS(2444),
    [anon_sym_restrict] = ACTIONS(2444),
    [anon_sym___restrict__] = ACTIONS(2444),
    [anon_sym__Atomic] = ACTIONS(2444),
    [anon_sym__Noreturn] = ACTIONS(2444),
    [anon_sym_noreturn] = ACTIONS(2444),
    [anon_sym_mutable] = ACTIONS(2444),
    [anon_sym_constinit] = ACTIONS(2444),
    [anon_sym_consteval] = ACTIONS(2444),
    [sym_primitive_type] = ACTIONS(2444),
    [anon_sym_enum] = ACTIONS(2444),
    [anon_sym_class] = ACTIONS(2444),
    [anon_sym_struct] = ACTIONS(2444),
    [anon_sym_union] = ACTIONS(2444),
    [anon_sym_if] = ACTIONS(2444),
    [anon_sym_else] = ACTIONS(2444),
    [anon_sym_switch] = ACTIONS(2444),
    [anon_sym_while] = ACTIONS(2444),
    [anon_sym_do] = ACTIONS(2444),
    [anon_sym_for] = ACTIONS(2444),
    [anon_sym_return] = ACTIONS(2444),
    [anon_sym_break] = ACTIONS(2444),
    [anon_sym_continue] = ACTIONS(2444),
    [anon_sym_goto] = ACTIONS(2444),
    [anon_sym___try] = ACTIONS(2444),
    [anon_sym___leave] = ACTIONS(2444),
    [anon_sym_not] = ACTIONS(2444),
    [anon_sym_compl] = ACTIONS(2444),
    [anon_sym_DASH_DASH] = ACTIONS(2446),
    [anon_sym_PLUS_PLUS] = ACTIONS(2446),
    [anon_sym_sizeof] = ACTIONS(2444),
    [anon_sym___alignof__] = ACTIONS(2444),
    [anon_sym___alignof] = ACTIONS(2444),
    [anon_sym__alignof] = ACTIONS(2444),
    [anon_sym_alignof] = ACTIONS(2444),
    [anon_sym__Alignof] = ACTIONS(2444),
    [anon_sym_offsetof] = ACTIONS(2444),
    [anon_sym__Generic] = ACTIONS(2444),
    [anon_sym_asm] = ACTIONS(2444),
    [anon_sym___asm__] = ACTIONS(2444),
    [sym_number_literal] = ACTIONS(2446),
    [anon_sym_L_SQUOTE] = ACTIONS(2446),
    [anon_sym_u_SQUOTE] = ACTIONS(2446),
    [anon_sym_U_SQUOTE] = ACTIONS(2446),
    [anon_sym_u8_SQUOTE] = ACTIONS(2446),
    [anon_sym_SQUOTE] = ACTIONS(2446),
    [anon_sym_L_DQUOTE] = ACTIONS(2446),
    [anon_sym_u_DQUOTE] = ACTIONS(2446),
    [anon_sym_U_DQUOTE] = ACTIONS(2446),
    [anon_sym_u8_DQUOTE] = ACTIONS(2446),
    [anon_sym_DQUOTE] = ACTIONS(2446),
    [sym_true] = ACTIONS(2444),
    [sym_false] = ACTIONS(2444),
    [anon_sym_NULL] = ACTIONS(2444),
    [anon_sym_nullptr] = ACTIONS(2444),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2444),
    [anon_sym_decltype] = ACTIONS(2444),
    [anon_sym_virtual] = ACTIONS(2444),
    [anon_sym_alignas] = ACTIONS(2444),
    [anon_sym_typename] = ACTIONS(2444),
    [anon_sym_template] = ACTIONS(2444),
    [anon_sym_try] = ACTIONS(2444),
    [anon_sym_delete] = ACTIONS(2444),
    [anon_sym_throw] = ACTIONS(2444),
    [anon_sym_co_return] = ACTIONS(2444),
    [anon_sym_co_yield] = ACTIONS(2444),
    [anon_sym_R_DQUOTE] = ACTIONS(2446),
    [anon_sym_LR_DQUOTE] = ACTIONS(2446),
    [anon_sym_uR_DQUOTE] = ACTIONS(2446),
    [anon_sym_UR_DQUOTE] = ACTIONS(2446),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2446),
    [anon_sym_co_await] = ACTIONS(2444),
    [anon_sym_new] = ACTIONS(2444),
    [anon_sym_requires] = ACTIONS(2444),
    [sym_this] = ACTIONS(2444),
    [anon_sym_discard] = ACTIONS(2444),
    [anon_sym_precise] = ACTIONS(2444),
    [anon_sym_shared] = ACTIONS(2444),
    [anon_sym_groupshared] = ACTIONS(2444),
    [anon_sym_uniform] = ACTIONS(2444),
    [anon_sym_row_major] = ACTIONS(2444),
    [anon_sym_column_major] = ACTIONS(2444),
    [anon_sym_globallycoherent] = ACTIONS(2444),
    [anon_sym_centroid] = ACTIONS(2444),
    [anon_sym_noperspective] = ACTIONS(2444),
    [anon_sym_nointerpolation] = ACTIONS(2444),
    [anon_sym_sample] = ACTIONS(2444),
    [anon_sym_linear] = ACTIONS(2444),
    [anon_sym_snorm] = ACTIONS(2444),
    [anon_sym_unorm] = ACTIONS(2444),
    [anon_sym_point] = ACTIONS(2444),
    [anon_sym_line] = ACTIONS(2444),
    [anon_sym_triangleadj] = ACTIONS(2444),
    [anon_sym_lineadj] = ACTIONS(2444),
    [anon_sym_triangle] = ACTIONS(2444),
    [anon_sym_cbuffer] = ACTIONS(2444),
  },
  [1592] = {
    [sym_identifier] = ACTIONS(2330),
    [anon_sym_LPAREN2] = ACTIONS(2332),
    [anon_sym_BANG] = ACTIONS(2332),
    [anon_sym_TILDE] = ACTIONS(2332),
    [anon_sym_DASH] = ACTIONS(2330),
    [anon_sym_PLUS] = ACTIONS(2330),
    [anon_sym_STAR] = ACTIONS(2332),
    [anon_sym_AMP] = ACTIONS(2332),
    [anon_sym_SEMI] = ACTIONS(2332),
    [anon_sym___extension__] = ACTIONS(2330),
    [anon_sym_typedef] = ACTIONS(2330),
    [anon_sym_in] = ACTIONS(2330),
    [anon_sym_out] = ACTIONS(2330),
    [anon_sym_inout] = ACTIONS(2330),
    [anon_sym_extern] = ACTIONS(2330),
    [anon_sym___attribute__] = ACTIONS(2330),
    [anon_sym_COLON_COLON] = ACTIONS(2332),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2332),
    [anon_sym___declspec] = ACTIONS(2330),
    [anon_sym_LBRACE] = ACTIONS(2332),
    [anon_sym_signed] = ACTIONS(2330),
    [anon_sym_unsigned] = ACTIONS(2330),
    [anon_sym_long] = ACTIONS(2330),
    [anon_sym_short] = ACTIONS(2330),
    [anon_sym_LBRACK] = ACTIONS(2330),
    [anon_sym_static] = ACTIONS(2330),
    [anon_sym_register] = ACTIONS(2330),
    [anon_sym_inline] = ACTIONS(2330),
    [anon_sym___inline] = ACTIONS(2330),
    [anon_sym___inline__] = ACTIONS(2330),
    [anon_sym___forceinline] = ACTIONS(2330),
    [anon_sym_thread_local] = ACTIONS(2330),
    [anon_sym___thread] = ACTIONS(2330),
    [anon_sym_const] = ACTIONS(2330),
    [anon_sym_constexpr] = ACTIONS(2330),
    [anon_sym_volatile] = ACTIONS(2330),
    [anon_sym_restrict] = ACTIONS(2330),
    [anon_sym___restrict__] = ACTIONS(2330),
    [anon_sym__Atomic] = ACTIONS(2330),
    [anon_sym__Noreturn] = ACTIONS(2330),
    [anon_sym_noreturn] = ACTIONS(2330),
    [anon_sym_mutable] = ACTIONS(2330),
    [anon_sym_constinit] = ACTIONS(2330),
    [anon_sym_consteval] = ACTIONS(2330),
    [sym_primitive_type] = ACTIONS(2330),
    [anon_sym_enum] = ACTIONS(2330),
    [anon_sym_class] = ACTIONS(2330),
    [anon_sym_struct] = ACTIONS(2330),
    [anon_sym_union] = ACTIONS(2330),
    [anon_sym_if] = ACTIONS(2330),
    [anon_sym_else] = ACTIONS(2330),
    [anon_sym_switch] = ACTIONS(2330),
    [anon_sym_while] = ACTIONS(2330),
    [anon_sym_do] = ACTIONS(2330),
    [anon_sym_for] = ACTIONS(2330),
    [anon_sym_return] = ACTIONS(2330),
    [anon_sym_break] = ACTIONS(2330),
    [anon_sym_continue] = ACTIONS(2330),
    [anon_sym_goto] = ACTIONS(2330),
    [anon_sym___try] = ACTIONS(2330),
    [anon_sym___leave] = ACTIONS(2330),
    [anon_sym_not] = ACTIONS(2330),
    [anon_sym_compl] = ACTIONS(2330),
    [anon_sym_DASH_DASH] = ACTIONS(2332),
    [anon_sym_PLUS_PLUS] = ACTIONS(2332),
    [anon_sym_sizeof] = ACTIONS(2330),
    [anon_sym___alignof__] = ACTIONS(2330),
    [anon_sym___alignof] = ACTIONS(2330),
    [anon_sym__alignof] = ACTIONS(2330),
    [anon_sym_alignof] = ACTIONS(2330),
    [anon_sym__Alignof] = ACTIONS(2330),
    [anon_sym_offsetof] = ACTIONS(2330),
    [anon_sym__Generic] = ACTIONS(2330),
    [anon_sym_asm] = ACTIONS(2330),
    [anon_sym___asm__] = ACTIONS(2330),
    [sym_number_literal] = ACTIONS(2332),
    [anon_sym_L_SQUOTE] = ACTIONS(2332),
    [anon_sym_u_SQUOTE] = ACTIONS(2332),
    [anon_sym_U_SQUOTE] = ACTIONS(2332),
    [anon_sym_u8_SQUOTE] = ACTIONS(2332),
    [anon_sym_SQUOTE] = ACTIONS(2332),
    [anon_sym_L_DQUOTE] = ACTIONS(2332),
    [anon_sym_u_DQUOTE] = ACTIONS(2332),
    [anon_sym_U_DQUOTE] = ACTIONS(2332),
    [anon_sym_u8_DQUOTE] = ACTIONS(2332),
    [anon_sym_DQUOTE] = ACTIONS(2332),
    [sym_true] = ACTIONS(2330),
    [sym_false] = ACTIONS(2330),
    [anon_sym_NULL] = ACTIONS(2330),
    [anon_sym_nullptr] = ACTIONS(2330),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2330),
    [anon_sym_decltype] = ACTIONS(2330),
    [anon_sym_virtual] = ACTIONS(2330),
    [anon_sym_alignas] = ACTIONS(2330),
    [anon_sym_typename] = ACTIONS(2330),
    [anon_sym_template] = ACTIONS(2330),
    [anon_sym_try] = ACTIONS(2330),
    [anon_sym_delete] = ACTIONS(2330),
    [anon_sym_throw] = ACTIONS(2330),
    [anon_sym_co_return] = ACTIONS(2330),
    [anon_sym_co_yield] = ACTIONS(2330),
    [anon_sym_R_DQUOTE] = ACTIONS(2332),
    [anon_sym_LR_DQUOTE] = ACTIONS(2332),
    [anon_sym_uR_DQUOTE] = ACTIONS(2332),
    [anon_sym_UR_DQUOTE] = ACTIONS(2332),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2332),
    [anon_sym_co_await] = ACTIONS(2330),
    [anon_sym_new] = ACTIONS(2330),
    [anon_sym_requires] = ACTIONS(2330),
    [sym_this] = ACTIONS(2330),
    [anon_sym_discard] = ACTIONS(2330),
    [anon_sym_precise] = ACTIONS(2330),
    [anon_sym_shared] = ACTIONS(2330),
    [anon_sym_groupshared] = ACTIONS(2330),
    [anon_sym_uniform] = ACTIONS(2330),
    [anon_sym_row_major] = ACTIONS(2330),
    [anon_sym_column_major] = ACTIONS(2330),
    [anon_sym_globallycoherent] = ACTIONS(2330),
    [anon_sym_centroid] = ACTIONS(2330),
    [anon_sym_noperspective] = ACTIONS(2330),
    [anon_sym_nointerpolation] = ACTIONS(2330),
    [anon_sym_sample] = ACTIONS(2330),
    [anon_sym_linear] = ACTIONS(2330),
    [anon_sym_snorm] = ACTIONS(2330),
    [anon_sym_unorm] = ACTIONS(2330),
    [anon_sym_point] = ACTIONS(2330),
    [anon_sym_line] = ACTIONS(2330),
    [anon_sym_triangleadj] = ACTIONS(2330),
    [anon_sym_lineadj] = ACTIONS(2330),
    [anon_sym_triangle] = ACTIONS(2330),
    [anon_sym_cbuffer] = ACTIONS(2330),
  },
  [1593] = {
    [sym_identifier] = ACTIONS(2330),
    [anon_sym_LPAREN2] = ACTIONS(2332),
    [anon_sym_BANG] = ACTIONS(2332),
    [anon_sym_TILDE] = ACTIONS(2332),
    [anon_sym_DASH] = ACTIONS(2330),
    [anon_sym_PLUS] = ACTIONS(2330),
    [anon_sym_STAR] = ACTIONS(2332),
    [anon_sym_AMP] = ACTIONS(2332),
    [anon_sym_SEMI] = ACTIONS(2332),
    [anon_sym___extension__] = ACTIONS(2330),
    [anon_sym_typedef] = ACTIONS(2330),
    [anon_sym_in] = ACTIONS(2330),
    [anon_sym_out] = ACTIONS(2330),
    [anon_sym_inout] = ACTIONS(2330),
    [anon_sym_extern] = ACTIONS(2330),
    [anon_sym___attribute__] = ACTIONS(2330),
    [anon_sym_COLON_COLON] = ACTIONS(2332),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2332),
    [anon_sym___declspec] = ACTIONS(2330),
    [anon_sym_LBRACE] = ACTIONS(2332),
    [anon_sym_signed] = ACTIONS(2330),
    [anon_sym_unsigned] = ACTIONS(2330),
    [anon_sym_long] = ACTIONS(2330),
    [anon_sym_short] = ACTIONS(2330),
    [anon_sym_LBRACK] = ACTIONS(2330),
    [anon_sym_static] = ACTIONS(2330),
    [anon_sym_register] = ACTIONS(2330),
    [anon_sym_inline] = ACTIONS(2330),
    [anon_sym___inline] = ACTIONS(2330),
    [anon_sym___inline__] = ACTIONS(2330),
    [anon_sym___forceinline] = ACTIONS(2330),
    [anon_sym_thread_local] = ACTIONS(2330),
    [anon_sym___thread] = ACTIONS(2330),
    [anon_sym_const] = ACTIONS(2330),
    [anon_sym_constexpr] = ACTIONS(2330),
    [anon_sym_volatile] = ACTIONS(2330),
    [anon_sym_restrict] = ACTIONS(2330),
    [anon_sym___restrict__] = ACTIONS(2330),
    [anon_sym__Atomic] = ACTIONS(2330),
    [anon_sym__Noreturn] = ACTIONS(2330),
    [anon_sym_noreturn] = ACTIONS(2330),
    [anon_sym_mutable] = ACTIONS(2330),
    [anon_sym_constinit] = ACTIONS(2330),
    [anon_sym_consteval] = ACTIONS(2330),
    [sym_primitive_type] = ACTIONS(2330),
    [anon_sym_enum] = ACTIONS(2330),
    [anon_sym_class] = ACTIONS(2330),
    [anon_sym_struct] = ACTIONS(2330),
    [anon_sym_union] = ACTIONS(2330),
    [anon_sym_if] = ACTIONS(2330),
    [anon_sym_else] = ACTIONS(2330),
    [anon_sym_switch] = ACTIONS(2330),
    [anon_sym_while] = ACTIONS(2330),
    [anon_sym_do] = ACTIONS(2330),
    [anon_sym_for] = ACTIONS(2330),
    [anon_sym_return] = ACTIONS(2330),
    [anon_sym_break] = ACTIONS(2330),
    [anon_sym_continue] = ACTIONS(2330),
    [anon_sym_goto] = ACTIONS(2330),
    [anon_sym___try] = ACTIONS(2330),
    [anon_sym___leave] = ACTIONS(2330),
    [anon_sym_not] = ACTIONS(2330),
    [anon_sym_compl] = ACTIONS(2330),
    [anon_sym_DASH_DASH] = ACTIONS(2332),
    [anon_sym_PLUS_PLUS] = ACTIONS(2332),
    [anon_sym_sizeof] = ACTIONS(2330),
    [anon_sym___alignof__] = ACTIONS(2330),
    [anon_sym___alignof] = ACTIONS(2330),
    [anon_sym__alignof] = ACTIONS(2330),
    [anon_sym_alignof] = ACTIONS(2330),
    [anon_sym__Alignof] = ACTIONS(2330),
    [anon_sym_offsetof] = ACTIONS(2330),
    [anon_sym__Generic] = ACTIONS(2330),
    [anon_sym_asm] = ACTIONS(2330),
    [anon_sym___asm__] = ACTIONS(2330),
    [sym_number_literal] = ACTIONS(2332),
    [anon_sym_L_SQUOTE] = ACTIONS(2332),
    [anon_sym_u_SQUOTE] = ACTIONS(2332),
    [anon_sym_U_SQUOTE] = ACTIONS(2332),
    [anon_sym_u8_SQUOTE] = ACTIONS(2332),
    [anon_sym_SQUOTE] = ACTIONS(2332),
    [anon_sym_L_DQUOTE] = ACTIONS(2332),
    [anon_sym_u_DQUOTE] = ACTIONS(2332),
    [anon_sym_U_DQUOTE] = ACTIONS(2332),
    [anon_sym_u8_DQUOTE] = ACTIONS(2332),
    [anon_sym_DQUOTE] = ACTIONS(2332),
    [sym_true] = ACTIONS(2330),
    [sym_false] = ACTIONS(2330),
    [anon_sym_NULL] = ACTIONS(2330),
    [anon_sym_nullptr] = ACTIONS(2330),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2330),
    [anon_sym_decltype] = ACTIONS(2330),
    [anon_sym_virtual] = ACTIONS(2330),
    [anon_sym_alignas] = ACTIONS(2330),
    [anon_sym_typename] = ACTIONS(2330),
    [anon_sym_template] = ACTIONS(2330),
    [anon_sym_try] = ACTIONS(2330),
    [anon_sym_delete] = ACTIONS(2330),
    [anon_sym_throw] = ACTIONS(2330),
    [anon_sym_co_return] = ACTIONS(2330),
    [anon_sym_co_yield] = ACTIONS(2330),
    [anon_sym_R_DQUOTE] = ACTIONS(2332),
    [anon_sym_LR_DQUOTE] = ACTIONS(2332),
    [anon_sym_uR_DQUOTE] = ACTIONS(2332),
    [anon_sym_UR_DQUOTE] = ACTIONS(2332),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2332),
    [anon_sym_co_await] = ACTIONS(2330),
    [anon_sym_new] = ACTIONS(2330),
    [anon_sym_requires] = ACTIONS(2330),
    [sym_this] = ACTIONS(2330),
    [anon_sym_discard] = ACTIONS(2330),
    [anon_sym_precise] = ACTIONS(2330),
    [anon_sym_shared] = ACTIONS(2330),
    [anon_sym_groupshared] = ACTIONS(2330),
    [anon_sym_uniform] = ACTIONS(2330),
    [anon_sym_row_major] = ACTIONS(2330),
    [anon_sym_column_major] = ACTIONS(2330),
    [anon_sym_globallycoherent] = ACTIONS(2330),
    [anon_sym_centroid] = ACTIONS(2330),
    [anon_sym_noperspective] = ACTIONS(2330),
    [anon_sym_nointerpolation] = ACTIONS(2330),
    [anon_sym_sample] = ACTIONS(2330),
    [anon_sym_linear] = ACTIONS(2330),
    [anon_sym_snorm] = ACTIONS(2330),
    [anon_sym_unorm] = ACTIONS(2330),
    [anon_sym_point] = ACTIONS(2330),
    [anon_sym_line] = ACTIONS(2330),
    [anon_sym_triangleadj] = ACTIONS(2330),
    [anon_sym_lineadj] = ACTIONS(2330),
    [anon_sym_triangle] = ACTIONS(2330),
    [anon_sym_cbuffer] = ACTIONS(2330),
  },
  [1594] = {
    [sym_identifier] = ACTIONS(2444),
    [anon_sym_LPAREN2] = ACTIONS(2446),
    [anon_sym_BANG] = ACTIONS(2446),
    [anon_sym_TILDE] = ACTIONS(2446),
    [anon_sym_DASH] = ACTIONS(2444),
    [anon_sym_PLUS] = ACTIONS(2444),
    [anon_sym_STAR] = ACTIONS(2446),
    [anon_sym_AMP] = ACTIONS(2446),
    [anon_sym_SEMI] = ACTIONS(2446),
    [anon_sym___extension__] = ACTIONS(2444),
    [anon_sym_typedef] = ACTIONS(2444),
    [anon_sym_in] = ACTIONS(2444),
    [anon_sym_out] = ACTIONS(2444),
    [anon_sym_inout] = ACTIONS(2444),
    [anon_sym_extern] = ACTIONS(2444),
    [anon_sym___attribute__] = ACTIONS(2444),
    [anon_sym_COLON_COLON] = ACTIONS(2446),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2446),
    [anon_sym___declspec] = ACTIONS(2444),
    [anon_sym_LBRACE] = ACTIONS(2446),
    [anon_sym_signed] = ACTIONS(2444),
    [anon_sym_unsigned] = ACTIONS(2444),
    [anon_sym_long] = ACTIONS(2444),
    [anon_sym_short] = ACTIONS(2444),
    [anon_sym_LBRACK] = ACTIONS(2444),
    [anon_sym_static] = ACTIONS(2444),
    [anon_sym_register] = ACTIONS(2444),
    [anon_sym_inline] = ACTIONS(2444),
    [anon_sym___inline] = ACTIONS(2444),
    [anon_sym___inline__] = ACTIONS(2444),
    [anon_sym___forceinline] = ACTIONS(2444),
    [anon_sym_thread_local] = ACTIONS(2444),
    [anon_sym___thread] = ACTIONS(2444),
    [anon_sym_const] = ACTIONS(2444),
    [anon_sym_constexpr] = ACTIONS(2444),
    [anon_sym_volatile] = ACTIONS(2444),
    [anon_sym_restrict] = ACTIONS(2444),
    [anon_sym___restrict__] = ACTIONS(2444),
    [anon_sym__Atomic] = ACTIONS(2444),
    [anon_sym__Noreturn] = ACTIONS(2444),
    [anon_sym_noreturn] = ACTIONS(2444),
    [anon_sym_mutable] = ACTIONS(2444),
    [anon_sym_constinit] = ACTIONS(2444),
    [anon_sym_consteval] = ACTIONS(2444),
    [sym_primitive_type] = ACTIONS(2444),
    [anon_sym_enum] = ACTIONS(2444),
    [anon_sym_class] = ACTIONS(2444),
    [anon_sym_struct] = ACTIONS(2444),
    [anon_sym_union] = ACTIONS(2444),
    [anon_sym_if] = ACTIONS(2444),
    [anon_sym_else] = ACTIONS(2444),
    [anon_sym_switch] = ACTIONS(2444),
    [anon_sym_while] = ACTIONS(2444),
    [anon_sym_do] = ACTIONS(2444),
    [anon_sym_for] = ACTIONS(2444),
    [anon_sym_return] = ACTIONS(2444),
    [anon_sym_break] = ACTIONS(2444),
    [anon_sym_continue] = ACTIONS(2444),
    [anon_sym_goto] = ACTIONS(2444),
    [anon_sym___try] = ACTIONS(2444),
    [anon_sym___leave] = ACTIONS(2444),
    [anon_sym_not] = ACTIONS(2444),
    [anon_sym_compl] = ACTIONS(2444),
    [anon_sym_DASH_DASH] = ACTIONS(2446),
    [anon_sym_PLUS_PLUS] = ACTIONS(2446),
    [anon_sym_sizeof] = ACTIONS(2444),
    [anon_sym___alignof__] = ACTIONS(2444),
    [anon_sym___alignof] = ACTIONS(2444),
    [anon_sym__alignof] = ACTIONS(2444),
    [anon_sym_alignof] = ACTIONS(2444),
    [anon_sym__Alignof] = ACTIONS(2444),
    [anon_sym_offsetof] = ACTIONS(2444),
    [anon_sym__Generic] = ACTIONS(2444),
    [anon_sym_asm] = ACTIONS(2444),
    [anon_sym___asm__] = ACTIONS(2444),
    [sym_number_literal] = ACTIONS(2446),
    [anon_sym_L_SQUOTE] = ACTIONS(2446),
    [anon_sym_u_SQUOTE] = ACTIONS(2446),
    [anon_sym_U_SQUOTE] = ACTIONS(2446),
    [anon_sym_u8_SQUOTE] = ACTIONS(2446),
    [anon_sym_SQUOTE] = ACTIONS(2446),
    [anon_sym_L_DQUOTE] = ACTIONS(2446),
    [anon_sym_u_DQUOTE] = ACTIONS(2446),
    [anon_sym_U_DQUOTE] = ACTIONS(2446),
    [anon_sym_u8_DQUOTE] = ACTIONS(2446),
    [anon_sym_DQUOTE] = ACTIONS(2446),
    [sym_true] = ACTIONS(2444),
    [sym_false] = ACTIONS(2444),
    [anon_sym_NULL] = ACTIONS(2444),
    [anon_sym_nullptr] = ACTIONS(2444),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2444),
    [anon_sym_decltype] = ACTIONS(2444),
    [anon_sym_virtual] = ACTIONS(2444),
    [anon_sym_alignas] = ACTIONS(2444),
    [anon_sym_typename] = ACTIONS(2444),
    [anon_sym_template] = ACTIONS(2444),
    [anon_sym_try] = ACTIONS(2444),
    [anon_sym_delete] = ACTIONS(2444),
    [anon_sym_throw] = ACTIONS(2444),
    [anon_sym_co_return] = ACTIONS(2444),
    [anon_sym_co_yield] = ACTIONS(2444),
    [anon_sym_R_DQUOTE] = ACTIONS(2446),
    [anon_sym_LR_DQUOTE] = ACTIONS(2446),
    [anon_sym_uR_DQUOTE] = ACTIONS(2446),
    [anon_sym_UR_DQUOTE] = ACTIONS(2446),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2446),
    [anon_sym_co_await] = ACTIONS(2444),
    [anon_sym_new] = ACTIONS(2444),
    [anon_sym_requires] = ACTIONS(2444),
    [sym_this] = ACTIONS(2444),
    [anon_sym_discard] = ACTIONS(2444),
    [anon_sym_precise] = ACTIONS(2444),
    [anon_sym_shared] = ACTIONS(2444),
    [anon_sym_groupshared] = ACTIONS(2444),
    [anon_sym_uniform] = ACTIONS(2444),
    [anon_sym_row_major] = ACTIONS(2444),
    [anon_sym_column_major] = ACTIONS(2444),
    [anon_sym_globallycoherent] = ACTIONS(2444),
    [anon_sym_centroid] = ACTIONS(2444),
    [anon_sym_noperspective] = ACTIONS(2444),
    [anon_sym_nointerpolation] = ACTIONS(2444),
    [anon_sym_sample] = ACTIONS(2444),
    [anon_sym_linear] = ACTIONS(2444),
    [anon_sym_snorm] = ACTIONS(2444),
    [anon_sym_unorm] = ACTIONS(2444),
    [anon_sym_point] = ACTIONS(2444),
    [anon_sym_line] = ACTIONS(2444),
    [anon_sym_triangleadj] = ACTIONS(2444),
    [anon_sym_lineadj] = ACTIONS(2444),
    [anon_sym_triangle] = ACTIONS(2444),
    [anon_sym_cbuffer] = ACTIONS(2444),
  },
  [1595] = {
    [sym_identifier] = ACTIONS(2364),
    [anon_sym_LPAREN2] = ACTIONS(2366),
    [anon_sym_BANG] = ACTIONS(2366),
    [anon_sym_TILDE] = ACTIONS(2366),
    [anon_sym_DASH] = ACTIONS(2364),
    [anon_sym_PLUS] = ACTIONS(2364),
    [anon_sym_STAR] = ACTIONS(2366),
    [anon_sym_AMP] = ACTIONS(2366),
    [anon_sym_SEMI] = ACTIONS(2366),
    [anon_sym___extension__] = ACTIONS(2364),
    [anon_sym_typedef] = ACTIONS(2364),
    [anon_sym_in] = ACTIONS(2364),
    [anon_sym_out] = ACTIONS(2364),
    [anon_sym_inout] = ACTIONS(2364),
    [anon_sym_extern] = ACTIONS(2364),
    [anon_sym___attribute__] = ACTIONS(2364),
    [anon_sym_COLON_COLON] = ACTIONS(2366),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2366),
    [anon_sym___declspec] = ACTIONS(2364),
    [anon_sym_LBRACE] = ACTIONS(2366),
    [anon_sym_signed] = ACTIONS(2364),
    [anon_sym_unsigned] = ACTIONS(2364),
    [anon_sym_long] = ACTIONS(2364),
    [anon_sym_short] = ACTIONS(2364),
    [anon_sym_LBRACK] = ACTIONS(2364),
    [anon_sym_static] = ACTIONS(2364),
    [anon_sym_register] = ACTIONS(2364),
    [anon_sym_inline] = ACTIONS(2364),
    [anon_sym___inline] = ACTIONS(2364),
    [anon_sym___inline__] = ACTIONS(2364),
    [anon_sym___forceinline] = ACTIONS(2364),
    [anon_sym_thread_local] = ACTIONS(2364),
    [anon_sym___thread] = ACTIONS(2364),
    [anon_sym_const] = ACTIONS(2364),
    [anon_sym_constexpr] = ACTIONS(2364),
    [anon_sym_volatile] = ACTIONS(2364),
    [anon_sym_restrict] = ACTIONS(2364),
    [anon_sym___restrict__] = ACTIONS(2364),
    [anon_sym__Atomic] = ACTIONS(2364),
    [anon_sym__Noreturn] = ACTIONS(2364),
    [anon_sym_noreturn] = ACTIONS(2364),
    [anon_sym_mutable] = ACTIONS(2364),
    [anon_sym_constinit] = ACTIONS(2364),
    [anon_sym_consteval] = ACTIONS(2364),
    [sym_primitive_type] = ACTIONS(2364),
    [anon_sym_enum] = ACTIONS(2364),
    [anon_sym_class] = ACTIONS(2364),
    [anon_sym_struct] = ACTIONS(2364),
    [anon_sym_union] = ACTIONS(2364),
    [anon_sym_if] = ACTIONS(2364),
    [anon_sym_else] = ACTIONS(2364),
    [anon_sym_switch] = ACTIONS(2364),
    [anon_sym_while] = ACTIONS(2364),
    [anon_sym_do] = ACTIONS(2364),
    [anon_sym_for] = ACTIONS(2364),
    [anon_sym_return] = ACTIONS(2364),
    [anon_sym_break] = ACTIONS(2364),
    [anon_sym_continue] = ACTIONS(2364),
    [anon_sym_goto] = ACTIONS(2364),
    [anon_sym___try] = ACTIONS(2364),
    [anon_sym___leave] = ACTIONS(2364),
    [anon_sym_not] = ACTIONS(2364),
    [anon_sym_compl] = ACTIONS(2364),
    [anon_sym_DASH_DASH] = ACTIONS(2366),
    [anon_sym_PLUS_PLUS] = ACTIONS(2366),
    [anon_sym_sizeof] = ACTIONS(2364),
    [anon_sym___alignof__] = ACTIONS(2364),
    [anon_sym___alignof] = ACTIONS(2364),
    [anon_sym__alignof] = ACTIONS(2364),
    [anon_sym_alignof] = ACTIONS(2364),
    [anon_sym__Alignof] = ACTIONS(2364),
    [anon_sym_offsetof] = ACTIONS(2364),
    [anon_sym__Generic] = ACTIONS(2364),
    [anon_sym_asm] = ACTIONS(2364),
    [anon_sym___asm__] = ACTIONS(2364),
    [sym_number_literal] = ACTIONS(2366),
    [anon_sym_L_SQUOTE] = ACTIONS(2366),
    [anon_sym_u_SQUOTE] = ACTIONS(2366),
    [anon_sym_U_SQUOTE] = ACTIONS(2366),
    [anon_sym_u8_SQUOTE] = ACTIONS(2366),
    [anon_sym_SQUOTE] = ACTIONS(2366),
    [anon_sym_L_DQUOTE] = ACTIONS(2366),
    [anon_sym_u_DQUOTE] = ACTIONS(2366),
    [anon_sym_U_DQUOTE] = ACTIONS(2366),
    [anon_sym_u8_DQUOTE] = ACTIONS(2366),
    [anon_sym_DQUOTE] = ACTIONS(2366),
    [sym_true] = ACTIONS(2364),
    [sym_false] = ACTIONS(2364),
    [anon_sym_NULL] = ACTIONS(2364),
    [anon_sym_nullptr] = ACTIONS(2364),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2364),
    [anon_sym_decltype] = ACTIONS(2364),
    [anon_sym_virtual] = ACTIONS(2364),
    [anon_sym_alignas] = ACTIONS(2364),
    [anon_sym_typename] = ACTIONS(2364),
    [anon_sym_template] = ACTIONS(2364),
    [anon_sym_try] = ACTIONS(2364),
    [anon_sym_delete] = ACTIONS(2364),
    [anon_sym_throw] = ACTIONS(2364),
    [anon_sym_co_return] = ACTIONS(2364),
    [anon_sym_co_yield] = ACTIONS(2364),
    [anon_sym_R_DQUOTE] = ACTIONS(2366),
    [anon_sym_LR_DQUOTE] = ACTIONS(2366),
    [anon_sym_uR_DQUOTE] = ACTIONS(2366),
    [anon_sym_UR_DQUOTE] = ACTIONS(2366),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2366),
    [anon_sym_co_await] = ACTIONS(2364),
    [anon_sym_new] = ACTIONS(2364),
    [anon_sym_requires] = ACTIONS(2364),
    [sym_this] = ACTIONS(2364),
    [anon_sym_discard] = ACTIONS(2364),
    [anon_sym_precise] = ACTIONS(2364),
    [anon_sym_shared] = ACTIONS(2364),
    [anon_sym_groupshared] = ACTIONS(2364),
    [anon_sym_uniform] = ACTIONS(2364),
    [anon_sym_row_major] = ACTIONS(2364),
    [anon_sym_column_major] = ACTIONS(2364),
    [anon_sym_globallycoherent] = ACTIONS(2364),
    [anon_sym_centroid] = ACTIONS(2364),
    [anon_sym_noperspective] = ACTIONS(2364),
    [anon_sym_nointerpolation] = ACTIONS(2364),
    [anon_sym_sample] = ACTIONS(2364),
    [anon_sym_linear] = ACTIONS(2364),
    [anon_sym_snorm] = ACTIONS(2364),
    [anon_sym_unorm] = ACTIONS(2364),
    [anon_sym_point] = ACTIONS(2364),
    [anon_sym_line] = ACTIONS(2364),
    [anon_sym_triangleadj] = ACTIONS(2364),
    [anon_sym_lineadj] = ACTIONS(2364),
    [anon_sym_triangle] = ACTIONS(2364),
    [anon_sym_cbuffer] = ACTIONS(2364),
  },
  [1596] = {
    [sym_identifier] = ACTIONS(2364),
    [anon_sym_LPAREN2] = ACTIONS(2366),
    [anon_sym_BANG] = ACTIONS(2366),
    [anon_sym_TILDE] = ACTIONS(2366),
    [anon_sym_DASH] = ACTIONS(2364),
    [anon_sym_PLUS] = ACTIONS(2364),
    [anon_sym_STAR] = ACTIONS(2366),
    [anon_sym_AMP] = ACTIONS(2366),
    [anon_sym_SEMI] = ACTIONS(2366),
    [anon_sym___extension__] = ACTIONS(2364),
    [anon_sym_typedef] = ACTIONS(2364),
    [anon_sym_in] = ACTIONS(2364),
    [anon_sym_out] = ACTIONS(2364),
    [anon_sym_inout] = ACTIONS(2364),
    [anon_sym_extern] = ACTIONS(2364),
    [anon_sym___attribute__] = ACTIONS(2364),
    [anon_sym_COLON_COLON] = ACTIONS(2366),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2366),
    [anon_sym___declspec] = ACTIONS(2364),
    [anon_sym_LBRACE] = ACTIONS(2366),
    [anon_sym_signed] = ACTIONS(2364),
    [anon_sym_unsigned] = ACTIONS(2364),
    [anon_sym_long] = ACTIONS(2364),
    [anon_sym_short] = ACTIONS(2364),
    [anon_sym_LBRACK] = ACTIONS(2364),
    [anon_sym_static] = ACTIONS(2364),
    [anon_sym_register] = ACTIONS(2364),
    [anon_sym_inline] = ACTIONS(2364),
    [anon_sym___inline] = ACTIONS(2364),
    [anon_sym___inline__] = ACTIONS(2364),
    [anon_sym___forceinline] = ACTIONS(2364),
    [anon_sym_thread_local] = ACTIONS(2364),
    [anon_sym___thread] = ACTIONS(2364),
    [anon_sym_const] = ACTIONS(2364),
    [anon_sym_constexpr] = ACTIONS(2364),
    [anon_sym_volatile] = ACTIONS(2364),
    [anon_sym_restrict] = ACTIONS(2364),
    [anon_sym___restrict__] = ACTIONS(2364),
    [anon_sym__Atomic] = ACTIONS(2364),
    [anon_sym__Noreturn] = ACTIONS(2364),
    [anon_sym_noreturn] = ACTIONS(2364),
    [anon_sym_mutable] = ACTIONS(2364),
    [anon_sym_constinit] = ACTIONS(2364),
    [anon_sym_consteval] = ACTIONS(2364),
    [sym_primitive_type] = ACTIONS(2364),
    [anon_sym_enum] = ACTIONS(2364),
    [anon_sym_class] = ACTIONS(2364),
    [anon_sym_struct] = ACTIONS(2364),
    [anon_sym_union] = ACTIONS(2364),
    [anon_sym_if] = ACTIONS(2364),
    [anon_sym_else] = ACTIONS(2364),
    [anon_sym_switch] = ACTIONS(2364),
    [anon_sym_while] = ACTIONS(2364),
    [anon_sym_do] = ACTIONS(2364),
    [anon_sym_for] = ACTIONS(2364),
    [anon_sym_return] = ACTIONS(2364),
    [anon_sym_break] = ACTIONS(2364),
    [anon_sym_continue] = ACTIONS(2364),
    [anon_sym_goto] = ACTIONS(2364),
    [anon_sym___try] = ACTIONS(2364),
    [anon_sym___leave] = ACTIONS(2364),
    [anon_sym_not] = ACTIONS(2364),
    [anon_sym_compl] = ACTIONS(2364),
    [anon_sym_DASH_DASH] = ACTIONS(2366),
    [anon_sym_PLUS_PLUS] = ACTIONS(2366),
    [anon_sym_sizeof] = ACTIONS(2364),
    [anon_sym___alignof__] = ACTIONS(2364),
    [anon_sym___alignof] = ACTIONS(2364),
    [anon_sym__alignof] = ACTIONS(2364),
    [anon_sym_alignof] = ACTIONS(2364),
    [anon_sym__Alignof] = ACTIONS(2364),
    [anon_sym_offsetof] = ACTIONS(2364),
    [anon_sym__Generic] = ACTIONS(2364),
    [anon_sym_asm] = ACTIONS(2364),
    [anon_sym___asm__] = ACTIONS(2364),
    [sym_number_literal] = ACTIONS(2366),
    [anon_sym_L_SQUOTE] = ACTIONS(2366),
    [anon_sym_u_SQUOTE] = ACTIONS(2366),
    [anon_sym_U_SQUOTE] = ACTIONS(2366),
    [anon_sym_u8_SQUOTE] = ACTIONS(2366),
    [anon_sym_SQUOTE] = ACTIONS(2366),
    [anon_sym_L_DQUOTE] = ACTIONS(2366),
    [anon_sym_u_DQUOTE] = ACTIONS(2366),
    [anon_sym_U_DQUOTE] = ACTIONS(2366),
    [anon_sym_u8_DQUOTE] = ACTIONS(2366),
    [anon_sym_DQUOTE] = ACTIONS(2366),
    [sym_true] = ACTIONS(2364),
    [sym_false] = ACTIONS(2364),
    [anon_sym_NULL] = ACTIONS(2364),
    [anon_sym_nullptr] = ACTIONS(2364),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2364),
    [anon_sym_decltype] = ACTIONS(2364),
    [anon_sym_virtual] = ACTIONS(2364),
    [anon_sym_alignas] = ACTIONS(2364),
    [anon_sym_typename] = ACTIONS(2364),
    [anon_sym_template] = ACTIONS(2364),
    [anon_sym_try] = ACTIONS(2364),
    [anon_sym_delete] = ACTIONS(2364),
    [anon_sym_throw] = ACTIONS(2364),
    [anon_sym_co_return] = ACTIONS(2364),
    [anon_sym_co_yield] = ACTIONS(2364),
    [anon_sym_R_DQUOTE] = ACTIONS(2366),
    [anon_sym_LR_DQUOTE] = ACTIONS(2366),
    [anon_sym_uR_DQUOTE] = ACTIONS(2366),
    [anon_sym_UR_DQUOTE] = ACTIONS(2366),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2366),
    [anon_sym_co_await] = ACTIONS(2364),
    [anon_sym_new] = ACTIONS(2364),
    [anon_sym_requires] = ACTIONS(2364),
    [sym_this] = ACTIONS(2364),
    [anon_sym_discard] = ACTIONS(2364),
    [anon_sym_precise] = ACTIONS(2364),
    [anon_sym_shared] = ACTIONS(2364),
    [anon_sym_groupshared] = ACTIONS(2364),
    [anon_sym_uniform] = ACTIONS(2364),
    [anon_sym_row_major] = ACTIONS(2364),
    [anon_sym_column_major] = ACTIONS(2364),
    [anon_sym_globallycoherent] = ACTIONS(2364),
    [anon_sym_centroid] = ACTIONS(2364),
    [anon_sym_noperspective] = ACTIONS(2364),
    [anon_sym_nointerpolation] = ACTIONS(2364),
    [anon_sym_sample] = ACTIONS(2364),
    [anon_sym_linear] = ACTIONS(2364),
    [anon_sym_snorm] = ACTIONS(2364),
    [anon_sym_unorm] = ACTIONS(2364),
    [anon_sym_point] = ACTIONS(2364),
    [anon_sym_line] = ACTIONS(2364),
    [anon_sym_triangleadj] = ACTIONS(2364),
    [anon_sym_lineadj] = ACTIONS(2364),
    [anon_sym_triangle] = ACTIONS(2364),
    [anon_sym_cbuffer] = ACTIONS(2364),
  },
  [1597] = {
    [sym_identifier] = ACTIONS(2330),
    [anon_sym_LPAREN2] = ACTIONS(2332),
    [anon_sym_BANG] = ACTIONS(2332),
    [anon_sym_TILDE] = ACTIONS(2332),
    [anon_sym_DASH] = ACTIONS(2330),
    [anon_sym_PLUS] = ACTIONS(2330),
    [anon_sym_STAR] = ACTIONS(2332),
    [anon_sym_AMP] = ACTIONS(2332),
    [anon_sym_SEMI] = ACTIONS(2332),
    [anon_sym___extension__] = ACTIONS(2330),
    [anon_sym_typedef] = ACTIONS(2330),
    [anon_sym_in] = ACTIONS(2330),
    [anon_sym_out] = ACTIONS(2330),
    [anon_sym_inout] = ACTIONS(2330),
    [anon_sym_extern] = ACTIONS(2330),
    [anon_sym___attribute__] = ACTIONS(2330),
    [anon_sym_COLON_COLON] = ACTIONS(2332),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2332),
    [anon_sym___declspec] = ACTIONS(2330),
    [anon_sym_LBRACE] = ACTIONS(2332),
    [anon_sym_signed] = ACTIONS(2330),
    [anon_sym_unsigned] = ACTIONS(2330),
    [anon_sym_long] = ACTIONS(2330),
    [anon_sym_short] = ACTIONS(2330),
    [anon_sym_LBRACK] = ACTIONS(2330),
    [anon_sym_static] = ACTIONS(2330),
    [anon_sym_register] = ACTIONS(2330),
    [anon_sym_inline] = ACTIONS(2330),
    [anon_sym___inline] = ACTIONS(2330),
    [anon_sym___inline__] = ACTIONS(2330),
    [anon_sym___forceinline] = ACTIONS(2330),
    [anon_sym_thread_local] = ACTIONS(2330),
    [anon_sym___thread] = ACTIONS(2330),
    [anon_sym_const] = ACTIONS(2330),
    [anon_sym_constexpr] = ACTIONS(2330),
    [anon_sym_volatile] = ACTIONS(2330),
    [anon_sym_restrict] = ACTIONS(2330),
    [anon_sym___restrict__] = ACTIONS(2330),
    [anon_sym__Atomic] = ACTIONS(2330),
    [anon_sym__Noreturn] = ACTIONS(2330),
    [anon_sym_noreturn] = ACTIONS(2330),
    [anon_sym_mutable] = ACTIONS(2330),
    [anon_sym_constinit] = ACTIONS(2330),
    [anon_sym_consteval] = ACTIONS(2330),
    [sym_primitive_type] = ACTIONS(2330),
    [anon_sym_enum] = ACTIONS(2330),
    [anon_sym_class] = ACTIONS(2330),
    [anon_sym_struct] = ACTIONS(2330),
    [anon_sym_union] = ACTIONS(2330),
    [anon_sym_if] = ACTIONS(2330),
    [anon_sym_else] = ACTIONS(2330),
    [anon_sym_switch] = ACTIONS(2330),
    [anon_sym_while] = ACTIONS(2330),
    [anon_sym_do] = ACTIONS(2330),
    [anon_sym_for] = ACTIONS(2330),
    [anon_sym_return] = ACTIONS(2330),
    [anon_sym_break] = ACTIONS(2330),
    [anon_sym_continue] = ACTIONS(2330),
    [anon_sym_goto] = ACTIONS(2330),
    [anon_sym___try] = ACTIONS(2330),
    [anon_sym___leave] = ACTIONS(2330),
    [anon_sym_not] = ACTIONS(2330),
    [anon_sym_compl] = ACTIONS(2330),
    [anon_sym_DASH_DASH] = ACTIONS(2332),
    [anon_sym_PLUS_PLUS] = ACTIONS(2332),
    [anon_sym_sizeof] = ACTIONS(2330),
    [anon_sym___alignof__] = ACTIONS(2330),
    [anon_sym___alignof] = ACTIONS(2330),
    [anon_sym__alignof] = ACTIONS(2330),
    [anon_sym_alignof] = ACTIONS(2330),
    [anon_sym__Alignof] = ACTIONS(2330),
    [anon_sym_offsetof] = ACTIONS(2330),
    [anon_sym__Generic] = ACTIONS(2330),
    [anon_sym_asm] = ACTIONS(2330),
    [anon_sym___asm__] = ACTIONS(2330),
    [sym_number_literal] = ACTIONS(2332),
    [anon_sym_L_SQUOTE] = ACTIONS(2332),
    [anon_sym_u_SQUOTE] = ACTIONS(2332),
    [anon_sym_U_SQUOTE] = ACTIONS(2332),
    [anon_sym_u8_SQUOTE] = ACTIONS(2332),
    [anon_sym_SQUOTE] = ACTIONS(2332),
    [anon_sym_L_DQUOTE] = ACTIONS(2332),
    [anon_sym_u_DQUOTE] = ACTIONS(2332),
    [anon_sym_U_DQUOTE] = ACTIONS(2332),
    [anon_sym_u8_DQUOTE] = ACTIONS(2332),
    [anon_sym_DQUOTE] = ACTIONS(2332),
    [sym_true] = ACTIONS(2330),
    [sym_false] = ACTIONS(2330),
    [anon_sym_NULL] = ACTIONS(2330),
    [anon_sym_nullptr] = ACTIONS(2330),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2330),
    [anon_sym_decltype] = ACTIONS(2330),
    [anon_sym_virtual] = ACTIONS(2330),
    [anon_sym_alignas] = ACTIONS(2330),
    [anon_sym_typename] = ACTIONS(2330),
    [anon_sym_template] = ACTIONS(2330),
    [anon_sym_try] = ACTIONS(2330),
    [anon_sym_delete] = ACTIONS(2330),
    [anon_sym_throw] = ACTIONS(2330),
    [anon_sym_co_return] = ACTIONS(2330),
    [anon_sym_co_yield] = ACTIONS(2330),
    [anon_sym_R_DQUOTE] = ACTIONS(2332),
    [anon_sym_LR_DQUOTE] = ACTIONS(2332),
    [anon_sym_uR_DQUOTE] = ACTIONS(2332),
    [anon_sym_UR_DQUOTE] = ACTIONS(2332),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2332),
    [anon_sym_co_await] = ACTIONS(2330),
    [anon_sym_new] = ACTIONS(2330),
    [anon_sym_requires] = ACTIONS(2330),
    [sym_this] = ACTIONS(2330),
    [anon_sym_discard] = ACTIONS(2330),
    [anon_sym_precise] = ACTIONS(2330),
    [anon_sym_shared] = ACTIONS(2330),
    [anon_sym_groupshared] = ACTIONS(2330),
    [anon_sym_uniform] = ACTIONS(2330),
    [anon_sym_row_major] = ACTIONS(2330),
    [anon_sym_column_major] = ACTIONS(2330),
    [anon_sym_globallycoherent] = ACTIONS(2330),
    [anon_sym_centroid] = ACTIONS(2330),
    [anon_sym_noperspective] = ACTIONS(2330),
    [anon_sym_nointerpolation] = ACTIONS(2330),
    [anon_sym_sample] = ACTIONS(2330),
    [anon_sym_linear] = ACTIONS(2330),
    [anon_sym_snorm] = ACTIONS(2330),
    [anon_sym_unorm] = ACTIONS(2330),
    [anon_sym_point] = ACTIONS(2330),
    [anon_sym_line] = ACTIONS(2330),
    [anon_sym_triangleadj] = ACTIONS(2330),
    [anon_sym_lineadj] = ACTIONS(2330),
    [anon_sym_triangle] = ACTIONS(2330),
    [anon_sym_cbuffer] = ACTIONS(2330),
  },
  [1598] = {
    [sym_identifier] = ACTIONS(2330),
    [anon_sym_LPAREN2] = ACTIONS(2332),
    [anon_sym_BANG] = ACTIONS(2332),
    [anon_sym_TILDE] = ACTIONS(2332),
    [anon_sym_DASH] = ACTIONS(2330),
    [anon_sym_PLUS] = ACTIONS(2330),
    [anon_sym_STAR] = ACTIONS(2332),
    [anon_sym_AMP] = ACTIONS(2332),
    [anon_sym_SEMI] = ACTIONS(2332),
    [anon_sym___extension__] = ACTIONS(2330),
    [anon_sym_typedef] = ACTIONS(2330),
    [anon_sym_in] = ACTIONS(2330),
    [anon_sym_out] = ACTIONS(2330),
    [anon_sym_inout] = ACTIONS(2330),
    [anon_sym_extern] = ACTIONS(2330),
    [anon_sym___attribute__] = ACTIONS(2330),
    [anon_sym_COLON_COLON] = ACTIONS(2332),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2332),
    [anon_sym___declspec] = ACTIONS(2330),
    [anon_sym_LBRACE] = ACTIONS(2332),
    [anon_sym_signed] = ACTIONS(2330),
    [anon_sym_unsigned] = ACTIONS(2330),
    [anon_sym_long] = ACTIONS(2330),
    [anon_sym_short] = ACTIONS(2330),
    [anon_sym_LBRACK] = ACTIONS(2330),
    [anon_sym_static] = ACTIONS(2330),
    [anon_sym_register] = ACTIONS(2330),
    [anon_sym_inline] = ACTIONS(2330),
    [anon_sym___inline] = ACTIONS(2330),
    [anon_sym___inline__] = ACTIONS(2330),
    [anon_sym___forceinline] = ACTIONS(2330),
    [anon_sym_thread_local] = ACTIONS(2330),
    [anon_sym___thread] = ACTIONS(2330),
    [anon_sym_const] = ACTIONS(2330),
    [anon_sym_constexpr] = ACTIONS(2330),
    [anon_sym_volatile] = ACTIONS(2330),
    [anon_sym_restrict] = ACTIONS(2330),
    [anon_sym___restrict__] = ACTIONS(2330),
    [anon_sym__Atomic] = ACTIONS(2330),
    [anon_sym__Noreturn] = ACTIONS(2330),
    [anon_sym_noreturn] = ACTIONS(2330),
    [anon_sym_mutable] = ACTIONS(2330),
    [anon_sym_constinit] = ACTIONS(2330),
    [anon_sym_consteval] = ACTIONS(2330),
    [sym_primitive_type] = ACTIONS(2330),
    [anon_sym_enum] = ACTIONS(2330),
    [anon_sym_class] = ACTIONS(2330),
    [anon_sym_struct] = ACTIONS(2330),
    [anon_sym_union] = ACTIONS(2330),
    [anon_sym_if] = ACTIONS(2330),
    [anon_sym_else] = ACTIONS(2330),
    [anon_sym_switch] = ACTIONS(2330),
    [anon_sym_while] = ACTIONS(2330),
    [anon_sym_do] = ACTIONS(2330),
    [anon_sym_for] = ACTIONS(2330),
    [anon_sym_return] = ACTIONS(2330),
    [anon_sym_break] = ACTIONS(2330),
    [anon_sym_continue] = ACTIONS(2330),
    [anon_sym_goto] = ACTIONS(2330),
    [anon_sym___try] = ACTIONS(2330),
    [anon_sym___leave] = ACTIONS(2330),
    [anon_sym_not] = ACTIONS(2330),
    [anon_sym_compl] = ACTIONS(2330),
    [anon_sym_DASH_DASH] = ACTIONS(2332),
    [anon_sym_PLUS_PLUS] = ACTIONS(2332),
    [anon_sym_sizeof] = ACTIONS(2330),
    [anon_sym___alignof__] = ACTIONS(2330),
    [anon_sym___alignof] = ACTIONS(2330),
    [anon_sym__alignof] = ACTIONS(2330),
    [anon_sym_alignof] = ACTIONS(2330),
    [anon_sym__Alignof] = ACTIONS(2330),
    [anon_sym_offsetof] = ACTIONS(2330),
    [anon_sym__Generic] = ACTIONS(2330),
    [anon_sym_asm] = ACTIONS(2330),
    [anon_sym___asm__] = ACTIONS(2330),
    [sym_number_literal] = ACTIONS(2332),
    [anon_sym_L_SQUOTE] = ACTIONS(2332),
    [anon_sym_u_SQUOTE] = ACTIONS(2332),
    [anon_sym_U_SQUOTE] = ACTIONS(2332),
    [anon_sym_u8_SQUOTE] = ACTIONS(2332),
    [anon_sym_SQUOTE] = ACTIONS(2332),
    [anon_sym_L_DQUOTE] = ACTIONS(2332),
    [anon_sym_u_DQUOTE] = ACTIONS(2332),
    [anon_sym_U_DQUOTE] = ACTIONS(2332),
    [anon_sym_u8_DQUOTE] = ACTIONS(2332),
    [anon_sym_DQUOTE] = ACTIONS(2332),
    [sym_true] = ACTIONS(2330),
    [sym_false] = ACTIONS(2330),
    [anon_sym_NULL] = ACTIONS(2330),
    [anon_sym_nullptr] = ACTIONS(2330),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2330),
    [anon_sym_decltype] = ACTIONS(2330),
    [anon_sym_virtual] = ACTIONS(2330),
    [anon_sym_alignas] = ACTIONS(2330),
    [anon_sym_typename] = ACTIONS(2330),
    [anon_sym_template] = ACTIONS(2330),
    [anon_sym_try] = ACTIONS(2330),
    [anon_sym_delete] = ACTIONS(2330),
    [anon_sym_throw] = ACTIONS(2330),
    [anon_sym_co_return] = ACTIONS(2330),
    [anon_sym_co_yield] = ACTIONS(2330),
    [anon_sym_R_DQUOTE] = ACTIONS(2332),
    [anon_sym_LR_DQUOTE] = ACTIONS(2332),
    [anon_sym_uR_DQUOTE] = ACTIONS(2332),
    [anon_sym_UR_DQUOTE] = ACTIONS(2332),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2332),
    [anon_sym_co_await] = ACTIONS(2330),
    [anon_sym_new] = ACTIONS(2330),
    [anon_sym_requires] = ACTIONS(2330),
    [sym_this] = ACTIONS(2330),
    [anon_sym_discard] = ACTIONS(2330),
    [anon_sym_precise] = ACTIONS(2330),
    [anon_sym_shared] = ACTIONS(2330),
    [anon_sym_groupshared] = ACTIONS(2330),
    [anon_sym_uniform] = ACTIONS(2330),
    [anon_sym_row_major] = ACTIONS(2330),
    [anon_sym_column_major] = ACTIONS(2330),
    [anon_sym_globallycoherent] = ACTIONS(2330),
    [anon_sym_centroid] = ACTIONS(2330),
    [anon_sym_noperspective] = ACTIONS(2330),
    [anon_sym_nointerpolation] = ACTIONS(2330),
    [anon_sym_sample] = ACTIONS(2330),
    [anon_sym_linear] = ACTIONS(2330),
    [anon_sym_snorm] = ACTIONS(2330),
    [anon_sym_unorm] = ACTIONS(2330),
    [anon_sym_point] = ACTIONS(2330),
    [anon_sym_line] = ACTIONS(2330),
    [anon_sym_triangleadj] = ACTIONS(2330),
    [anon_sym_lineadj] = ACTIONS(2330),
    [anon_sym_triangle] = ACTIONS(2330),
    [anon_sym_cbuffer] = ACTIONS(2330),
  },
  [1599] = {
    [sym_string_literal] = STATE(3682),
    [sym_template_argument_list] = STATE(1799),
    [sym_raw_string_literal] = STATE(3682),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3027),
    [sym_identifier] = ACTIONS(4211),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4213),
    [anon_sym_LPAREN2] = ACTIONS(4215),
    [anon_sym_TILDE] = ACTIONS(4219),
    [anon_sym_DASH] = ACTIONS(4221),
    [anon_sym_PLUS] = ACTIONS(4221),
    [anon_sym_STAR] = ACTIONS(4223),
    [anon_sym_SLASH] = ACTIONS(4221),
    [anon_sym_PERCENT] = ACTIONS(4221),
    [anon_sym_PIPE_PIPE] = ACTIONS(4213),
    [anon_sym_AMP_AMP] = ACTIONS(4226),
    [anon_sym_PIPE] = ACTIONS(4221),
    [anon_sym_CARET] = ACTIONS(4221),
    [anon_sym_AMP] = ACTIONS(4223),
    [anon_sym_EQ_EQ] = ACTIONS(4213),
    [anon_sym_BANG_EQ] = ACTIONS(4213),
    [anon_sym_GT] = ACTIONS(4221),
    [anon_sym_GT_EQ] = ACTIONS(4213),
    [anon_sym_LT_EQ] = ACTIONS(4221),
    [anon_sym_LT] = ACTIONS(4229),
    [anon_sym_LT_LT] = ACTIONS(4221),
    [anon_sym_GT_GT] = ACTIONS(4221),
    [anon_sym_COLON] = ACTIONS(4389),
    [anon_sym_SEMI] = ACTIONS(4226),
    [anon_sym___extension__] = ACTIONS(4211),
    [anon_sym_in] = ACTIONS(4211),
    [anon_sym_out] = ACTIONS(4211),
    [anon_sym_inout] = ACTIONS(4211),
    [anon_sym_extern] = ACTIONS(4211),
    [anon_sym___attribute__] = ACTIONS(4211),
    [anon_sym_COLON_COLON] = ACTIONS(2230),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4234),
    [anon_sym___declspec] = ACTIONS(4211),
    [anon_sym___based] = ACTIONS(4211),
    [anon_sym___cdecl] = ACTIONS(4211),
    [anon_sym___clrcall] = ACTIONS(4211),
    [anon_sym___stdcall] = ACTIONS(4211),
    [anon_sym___fastcall] = ACTIONS(4211),
    [anon_sym___thiscall] = ACTIONS(4211),
    [anon_sym___vectorcall] = ACTIONS(4211),
    [anon_sym_LBRACE] = ACTIONS(2226),
    [anon_sym_signed] = ACTIONS(4237),
    [anon_sym_unsigned] = ACTIONS(4237),
    [anon_sym_long] = ACTIONS(4237),
    [anon_sym_short] = ACTIONS(4237),
    [anon_sym_LBRACK] = ACTIONS(4239),
    [anon_sym_EQ] = ACTIONS(4243),
    [anon_sym_static] = ACTIONS(4211),
    [anon_sym_register] = ACTIONS(4211),
    [anon_sym_inline] = ACTIONS(4211),
    [anon_sym___inline] = ACTIONS(4211),
    [anon_sym___inline__] = ACTIONS(4211),
    [anon_sym___forceinline] = ACTIONS(4211),
    [anon_sym_thread_local] = ACTIONS(4211),
    [anon_sym___thread] = ACTIONS(4211),
    [anon_sym_const] = ACTIONS(4211),
    [anon_sym_constexpr] = ACTIONS(4211),
    [anon_sym_volatile] = ACTIONS(4211),
    [anon_sym_restrict] = ACTIONS(4211),
    [anon_sym___restrict__] = ACTIONS(4211),
    [anon_sym__Atomic] = ACTIONS(4211),
    [anon_sym__Noreturn] = ACTIONS(4211),
    [anon_sym_noreturn] = ACTIONS(4211),
    [anon_sym_mutable] = ACTIONS(4211),
    [anon_sym_constinit] = ACTIONS(4211),
    [anon_sym_consteval] = ACTIONS(4211),
    [anon_sym_QMARK] = ACTIONS(4213),
    [anon_sym_STAR_EQ] = ACTIONS(4245),
    [anon_sym_SLASH_EQ] = ACTIONS(4245),
    [anon_sym_PERCENT_EQ] = ACTIONS(4245),
    [anon_sym_PLUS_EQ] = ACTIONS(4245),
    [anon_sym_DASH_EQ] = ACTIONS(4245),
    [anon_sym_LT_LT_EQ] = ACTIONS(4245),
    [anon_sym_GT_GT_EQ] = ACTIONS(4245),
    [anon_sym_AMP_EQ] = ACTIONS(4245),
    [anon_sym_CARET_EQ] = ACTIONS(4245),
    [anon_sym_PIPE_EQ] = ACTIONS(4245),
    [anon_sym_and_eq] = ACTIONS(4243),
    [anon_sym_or_eq] = ACTIONS(4243),
    [anon_sym_xor_eq] = ACTIONS(4243),
    [anon_sym_LT_EQ_GT] = ACTIONS(4213),
    [anon_sym_or] = ACTIONS(4221),
    [anon_sym_and] = ACTIONS(4221),
    [anon_sym_bitor] = ACTIONS(4221),
    [anon_sym_xor] = ACTIONS(4221),
    [anon_sym_bitand] = ACTIONS(4221),
    [anon_sym_not_eq] = ACTIONS(4221),
    [anon_sym_DASH_DASH] = ACTIONS(4213),
    [anon_sym_PLUS_PLUS] = ACTIONS(4213),
    [anon_sym_DOT] = ACTIONS(4221),
    [anon_sym_DOT_STAR] = ACTIONS(4213),
    [anon_sym_DASH_GT] = ACTIONS(4213),
    [anon_sym_L_DQUOTE] = ACTIONS(4247),
    [anon_sym_u_DQUOTE] = ACTIONS(4247),
    [anon_sym_U_DQUOTE] = ACTIONS(4247),
    [anon_sym_u8_DQUOTE] = ACTIONS(4247),
    [anon_sym_DQUOTE] = ACTIONS(4247),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4211),
    [anon_sym_decltype] = ACTIONS(4211),
    [anon_sym_virtual] = ACTIONS(4211),
    [anon_sym_alignas] = ACTIONS(4211),
    [anon_sym_template] = ACTIONS(4211),
    [anon_sym_operator] = ACTIONS(4211),
    [anon_sym_R_DQUOTE] = ACTIONS(4249),
    [anon_sym_LR_DQUOTE] = ACTIONS(4249),
    [anon_sym_uR_DQUOTE] = ACTIONS(4249),
    [anon_sym_UR_DQUOTE] = ACTIONS(4249),
    [anon_sym_u8R_DQUOTE] = ACTIONS(4249),
    [anon_sym_precise] = ACTIONS(4211),
    [anon_sym_shared] = ACTIONS(4211),
    [anon_sym_groupshared] = ACTIONS(4211),
    [anon_sym_uniform] = ACTIONS(4211),
    [anon_sym_row_major] = ACTIONS(4211),
    [anon_sym_column_major] = ACTIONS(4211),
    [anon_sym_globallycoherent] = ACTIONS(4211),
    [anon_sym_centroid] = ACTIONS(4211),
    [anon_sym_noperspective] = ACTIONS(4211),
    [anon_sym_nointerpolation] = ACTIONS(4211),
    [anon_sym_sample] = ACTIONS(4211),
    [anon_sym_linear] = ACTIONS(4211),
    [anon_sym_snorm] = ACTIONS(4211),
    [anon_sym_unorm] = ACTIONS(4211),
    [anon_sym_point] = ACTIONS(4211),
    [anon_sym_line] = ACTIONS(4211),
    [anon_sym_triangleadj] = ACTIONS(4211),
    [anon_sym_lineadj] = ACTIONS(4211),
    [anon_sym_triangle] = ACTIONS(4211),
  },
  [1600] = {
    [sym_identifier] = ACTIONS(2444),
    [anon_sym_LPAREN2] = ACTIONS(2446),
    [anon_sym_BANG] = ACTIONS(2446),
    [anon_sym_TILDE] = ACTIONS(2446),
    [anon_sym_DASH] = ACTIONS(2444),
    [anon_sym_PLUS] = ACTIONS(2444),
    [anon_sym_STAR] = ACTIONS(2446),
    [anon_sym_AMP] = ACTIONS(2446),
    [anon_sym_SEMI] = ACTIONS(2446),
    [anon_sym___extension__] = ACTIONS(2444),
    [anon_sym_typedef] = ACTIONS(2444),
    [anon_sym_in] = ACTIONS(2444),
    [anon_sym_out] = ACTIONS(2444),
    [anon_sym_inout] = ACTIONS(2444),
    [anon_sym_extern] = ACTIONS(2444),
    [anon_sym___attribute__] = ACTIONS(2444),
    [anon_sym_COLON_COLON] = ACTIONS(2446),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2446),
    [anon_sym___declspec] = ACTIONS(2444),
    [anon_sym_LBRACE] = ACTIONS(2446),
    [anon_sym_signed] = ACTIONS(2444),
    [anon_sym_unsigned] = ACTIONS(2444),
    [anon_sym_long] = ACTIONS(2444),
    [anon_sym_short] = ACTIONS(2444),
    [anon_sym_LBRACK] = ACTIONS(2444),
    [anon_sym_static] = ACTIONS(2444),
    [anon_sym_register] = ACTIONS(2444),
    [anon_sym_inline] = ACTIONS(2444),
    [anon_sym___inline] = ACTIONS(2444),
    [anon_sym___inline__] = ACTIONS(2444),
    [anon_sym___forceinline] = ACTIONS(2444),
    [anon_sym_thread_local] = ACTIONS(2444),
    [anon_sym___thread] = ACTIONS(2444),
    [anon_sym_const] = ACTIONS(2444),
    [anon_sym_constexpr] = ACTIONS(2444),
    [anon_sym_volatile] = ACTIONS(2444),
    [anon_sym_restrict] = ACTIONS(2444),
    [anon_sym___restrict__] = ACTIONS(2444),
    [anon_sym__Atomic] = ACTIONS(2444),
    [anon_sym__Noreturn] = ACTIONS(2444),
    [anon_sym_noreturn] = ACTIONS(2444),
    [anon_sym_mutable] = ACTIONS(2444),
    [anon_sym_constinit] = ACTIONS(2444),
    [anon_sym_consteval] = ACTIONS(2444),
    [sym_primitive_type] = ACTIONS(2444),
    [anon_sym_enum] = ACTIONS(2444),
    [anon_sym_class] = ACTIONS(2444),
    [anon_sym_struct] = ACTIONS(2444),
    [anon_sym_union] = ACTIONS(2444),
    [anon_sym_if] = ACTIONS(2444),
    [anon_sym_else] = ACTIONS(2444),
    [anon_sym_switch] = ACTIONS(2444),
    [anon_sym_while] = ACTIONS(2444),
    [anon_sym_do] = ACTIONS(2444),
    [anon_sym_for] = ACTIONS(2444),
    [anon_sym_return] = ACTIONS(2444),
    [anon_sym_break] = ACTIONS(2444),
    [anon_sym_continue] = ACTIONS(2444),
    [anon_sym_goto] = ACTIONS(2444),
    [anon_sym___try] = ACTIONS(2444),
    [anon_sym___leave] = ACTIONS(2444),
    [anon_sym_not] = ACTIONS(2444),
    [anon_sym_compl] = ACTIONS(2444),
    [anon_sym_DASH_DASH] = ACTIONS(2446),
    [anon_sym_PLUS_PLUS] = ACTIONS(2446),
    [anon_sym_sizeof] = ACTIONS(2444),
    [anon_sym___alignof__] = ACTIONS(2444),
    [anon_sym___alignof] = ACTIONS(2444),
    [anon_sym__alignof] = ACTIONS(2444),
    [anon_sym_alignof] = ACTIONS(2444),
    [anon_sym__Alignof] = ACTIONS(2444),
    [anon_sym_offsetof] = ACTIONS(2444),
    [anon_sym__Generic] = ACTIONS(2444),
    [anon_sym_asm] = ACTIONS(2444),
    [anon_sym___asm__] = ACTIONS(2444),
    [sym_number_literal] = ACTIONS(2446),
    [anon_sym_L_SQUOTE] = ACTIONS(2446),
    [anon_sym_u_SQUOTE] = ACTIONS(2446),
    [anon_sym_U_SQUOTE] = ACTIONS(2446),
    [anon_sym_u8_SQUOTE] = ACTIONS(2446),
    [anon_sym_SQUOTE] = ACTIONS(2446),
    [anon_sym_L_DQUOTE] = ACTIONS(2446),
    [anon_sym_u_DQUOTE] = ACTIONS(2446),
    [anon_sym_U_DQUOTE] = ACTIONS(2446),
    [anon_sym_u8_DQUOTE] = ACTIONS(2446),
    [anon_sym_DQUOTE] = ACTIONS(2446),
    [sym_true] = ACTIONS(2444),
    [sym_false] = ACTIONS(2444),
    [anon_sym_NULL] = ACTIONS(2444),
    [anon_sym_nullptr] = ACTIONS(2444),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2444),
    [anon_sym_decltype] = ACTIONS(2444),
    [anon_sym_virtual] = ACTIONS(2444),
    [anon_sym_alignas] = ACTIONS(2444),
    [anon_sym_typename] = ACTIONS(2444),
    [anon_sym_template] = ACTIONS(2444),
    [anon_sym_try] = ACTIONS(2444),
    [anon_sym_delete] = ACTIONS(2444),
    [anon_sym_throw] = ACTIONS(2444),
    [anon_sym_co_return] = ACTIONS(2444),
    [anon_sym_co_yield] = ACTIONS(2444),
    [anon_sym_R_DQUOTE] = ACTIONS(2446),
    [anon_sym_LR_DQUOTE] = ACTIONS(2446),
    [anon_sym_uR_DQUOTE] = ACTIONS(2446),
    [anon_sym_UR_DQUOTE] = ACTIONS(2446),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2446),
    [anon_sym_co_await] = ACTIONS(2444),
    [anon_sym_new] = ACTIONS(2444),
    [anon_sym_requires] = ACTIONS(2444),
    [sym_this] = ACTIONS(2444),
    [anon_sym_discard] = ACTIONS(2444),
    [anon_sym_precise] = ACTIONS(2444),
    [anon_sym_shared] = ACTIONS(2444),
    [anon_sym_groupshared] = ACTIONS(2444),
    [anon_sym_uniform] = ACTIONS(2444),
    [anon_sym_row_major] = ACTIONS(2444),
    [anon_sym_column_major] = ACTIONS(2444),
    [anon_sym_globallycoherent] = ACTIONS(2444),
    [anon_sym_centroid] = ACTIONS(2444),
    [anon_sym_noperspective] = ACTIONS(2444),
    [anon_sym_nointerpolation] = ACTIONS(2444),
    [anon_sym_sample] = ACTIONS(2444),
    [anon_sym_linear] = ACTIONS(2444),
    [anon_sym_snorm] = ACTIONS(2444),
    [anon_sym_unorm] = ACTIONS(2444),
    [anon_sym_point] = ACTIONS(2444),
    [anon_sym_line] = ACTIONS(2444),
    [anon_sym_triangleadj] = ACTIONS(2444),
    [anon_sym_lineadj] = ACTIONS(2444),
    [anon_sym_triangle] = ACTIONS(2444),
    [anon_sym_cbuffer] = ACTIONS(2444),
  },
  [1601] = {
    [sym_identifier] = ACTIONS(2508),
    [anon_sym_LPAREN2] = ACTIONS(2510),
    [anon_sym_BANG] = ACTIONS(2510),
    [anon_sym_TILDE] = ACTIONS(2510),
    [anon_sym_DASH] = ACTIONS(2508),
    [anon_sym_PLUS] = ACTIONS(2508),
    [anon_sym_STAR] = ACTIONS(2510),
    [anon_sym_AMP] = ACTIONS(2510),
    [anon_sym_SEMI] = ACTIONS(2510),
    [anon_sym___extension__] = ACTIONS(2508),
    [anon_sym_typedef] = ACTIONS(2508),
    [anon_sym_in] = ACTIONS(2508),
    [anon_sym_out] = ACTIONS(2508),
    [anon_sym_inout] = ACTIONS(2508),
    [anon_sym_extern] = ACTIONS(2508),
    [anon_sym___attribute__] = ACTIONS(2508),
    [anon_sym_COLON_COLON] = ACTIONS(2510),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2510),
    [anon_sym___declspec] = ACTIONS(2508),
    [anon_sym_LBRACE] = ACTIONS(2510),
    [anon_sym_signed] = ACTIONS(2508),
    [anon_sym_unsigned] = ACTIONS(2508),
    [anon_sym_long] = ACTIONS(2508),
    [anon_sym_short] = ACTIONS(2508),
    [anon_sym_LBRACK] = ACTIONS(2508),
    [anon_sym_static] = ACTIONS(2508),
    [anon_sym_register] = ACTIONS(2508),
    [anon_sym_inline] = ACTIONS(2508),
    [anon_sym___inline] = ACTIONS(2508),
    [anon_sym___inline__] = ACTIONS(2508),
    [anon_sym___forceinline] = ACTIONS(2508),
    [anon_sym_thread_local] = ACTIONS(2508),
    [anon_sym___thread] = ACTIONS(2508),
    [anon_sym_const] = ACTIONS(2508),
    [anon_sym_constexpr] = ACTIONS(2508),
    [anon_sym_volatile] = ACTIONS(2508),
    [anon_sym_restrict] = ACTIONS(2508),
    [anon_sym___restrict__] = ACTIONS(2508),
    [anon_sym__Atomic] = ACTIONS(2508),
    [anon_sym__Noreturn] = ACTIONS(2508),
    [anon_sym_noreturn] = ACTIONS(2508),
    [anon_sym_mutable] = ACTIONS(2508),
    [anon_sym_constinit] = ACTIONS(2508),
    [anon_sym_consteval] = ACTIONS(2508),
    [sym_primitive_type] = ACTIONS(2508),
    [anon_sym_enum] = ACTIONS(2508),
    [anon_sym_class] = ACTIONS(2508),
    [anon_sym_struct] = ACTIONS(2508),
    [anon_sym_union] = ACTIONS(2508),
    [anon_sym_if] = ACTIONS(2508),
    [anon_sym_else] = ACTIONS(2508),
    [anon_sym_switch] = ACTIONS(2508),
    [anon_sym_while] = ACTIONS(2508),
    [anon_sym_do] = ACTIONS(2508),
    [anon_sym_for] = ACTIONS(2508),
    [anon_sym_return] = ACTIONS(2508),
    [anon_sym_break] = ACTIONS(2508),
    [anon_sym_continue] = ACTIONS(2508),
    [anon_sym_goto] = ACTIONS(2508),
    [anon_sym___try] = ACTIONS(2508),
    [anon_sym___leave] = ACTIONS(2508),
    [anon_sym_not] = ACTIONS(2508),
    [anon_sym_compl] = ACTIONS(2508),
    [anon_sym_DASH_DASH] = ACTIONS(2510),
    [anon_sym_PLUS_PLUS] = ACTIONS(2510),
    [anon_sym_sizeof] = ACTIONS(2508),
    [anon_sym___alignof__] = ACTIONS(2508),
    [anon_sym___alignof] = ACTIONS(2508),
    [anon_sym__alignof] = ACTIONS(2508),
    [anon_sym_alignof] = ACTIONS(2508),
    [anon_sym__Alignof] = ACTIONS(2508),
    [anon_sym_offsetof] = ACTIONS(2508),
    [anon_sym__Generic] = ACTIONS(2508),
    [anon_sym_asm] = ACTIONS(2508),
    [anon_sym___asm__] = ACTIONS(2508),
    [sym_number_literal] = ACTIONS(2510),
    [anon_sym_L_SQUOTE] = ACTIONS(2510),
    [anon_sym_u_SQUOTE] = ACTIONS(2510),
    [anon_sym_U_SQUOTE] = ACTIONS(2510),
    [anon_sym_u8_SQUOTE] = ACTIONS(2510),
    [anon_sym_SQUOTE] = ACTIONS(2510),
    [anon_sym_L_DQUOTE] = ACTIONS(2510),
    [anon_sym_u_DQUOTE] = ACTIONS(2510),
    [anon_sym_U_DQUOTE] = ACTIONS(2510),
    [anon_sym_u8_DQUOTE] = ACTIONS(2510),
    [anon_sym_DQUOTE] = ACTIONS(2510),
    [sym_true] = ACTIONS(2508),
    [sym_false] = ACTIONS(2508),
    [anon_sym_NULL] = ACTIONS(2508),
    [anon_sym_nullptr] = ACTIONS(2508),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2508),
    [anon_sym_decltype] = ACTIONS(2508),
    [anon_sym_virtual] = ACTIONS(2508),
    [anon_sym_alignas] = ACTIONS(2508),
    [anon_sym_typename] = ACTIONS(2508),
    [anon_sym_template] = ACTIONS(2508),
    [anon_sym_try] = ACTIONS(2508),
    [anon_sym_delete] = ACTIONS(2508),
    [anon_sym_throw] = ACTIONS(2508),
    [anon_sym_co_return] = ACTIONS(2508),
    [anon_sym_co_yield] = ACTIONS(2508),
    [anon_sym_R_DQUOTE] = ACTIONS(2510),
    [anon_sym_LR_DQUOTE] = ACTIONS(2510),
    [anon_sym_uR_DQUOTE] = ACTIONS(2510),
    [anon_sym_UR_DQUOTE] = ACTIONS(2510),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2510),
    [anon_sym_co_await] = ACTIONS(2508),
    [anon_sym_new] = ACTIONS(2508),
    [anon_sym_requires] = ACTIONS(2508),
    [sym_this] = ACTIONS(2508),
    [anon_sym_discard] = ACTIONS(2508),
    [anon_sym_precise] = ACTIONS(2508),
    [anon_sym_shared] = ACTIONS(2508),
    [anon_sym_groupshared] = ACTIONS(2508),
    [anon_sym_uniform] = ACTIONS(2508),
    [anon_sym_row_major] = ACTIONS(2508),
    [anon_sym_column_major] = ACTIONS(2508),
    [anon_sym_globallycoherent] = ACTIONS(2508),
    [anon_sym_centroid] = ACTIONS(2508),
    [anon_sym_noperspective] = ACTIONS(2508),
    [anon_sym_nointerpolation] = ACTIONS(2508),
    [anon_sym_sample] = ACTIONS(2508),
    [anon_sym_linear] = ACTIONS(2508),
    [anon_sym_snorm] = ACTIONS(2508),
    [anon_sym_unorm] = ACTIONS(2508),
    [anon_sym_point] = ACTIONS(2508),
    [anon_sym_line] = ACTIONS(2508),
    [anon_sym_triangleadj] = ACTIONS(2508),
    [anon_sym_lineadj] = ACTIONS(2508),
    [anon_sym_triangle] = ACTIONS(2508),
    [anon_sym_cbuffer] = ACTIONS(2508),
  },
  [1602] = {
    [sym_identifier] = ACTIONS(2392),
    [anon_sym_LPAREN2] = ACTIONS(2394),
    [anon_sym_BANG] = ACTIONS(2394),
    [anon_sym_TILDE] = ACTIONS(2394),
    [anon_sym_DASH] = ACTIONS(2392),
    [anon_sym_PLUS] = ACTIONS(2392),
    [anon_sym_STAR] = ACTIONS(2394),
    [anon_sym_AMP] = ACTIONS(2394),
    [anon_sym_SEMI] = ACTIONS(2394),
    [anon_sym___extension__] = ACTIONS(2392),
    [anon_sym_typedef] = ACTIONS(2392),
    [anon_sym_in] = ACTIONS(2392),
    [anon_sym_out] = ACTIONS(2392),
    [anon_sym_inout] = ACTIONS(2392),
    [anon_sym_extern] = ACTIONS(2392),
    [anon_sym___attribute__] = ACTIONS(2392),
    [anon_sym_COLON_COLON] = ACTIONS(2394),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2394),
    [anon_sym___declspec] = ACTIONS(2392),
    [anon_sym_LBRACE] = ACTIONS(2394),
    [anon_sym_signed] = ACTIONS(2392),
    [anon_sym_unsigned] = ACTIONS(2392),
    [anon_sym_long] = ACTIONS(2392),
    [anon_sym_short] = ACTIONS(2392),
    [anon_sym_LBRACK] = ACTIONS(2392),
    [anon_sym_static] = ACTIONS(2392),
    [anon_sym_register] = ACTIONS(2392),
    [anon_sym_inline] = ACTIONS(2392),
    [anon_sym___inline] = ACTIONS(2392),
    [anon_sym___inline__] = ACTIONS(2392),
    [anon_sym___forceinline] = ACTIONS(2392),
    [anon_sym_thread_local] = ACTIONS(2392),
    [anon_sym___thread] = ACTIONS(2392),
    [anon_sym_const] = ACTIONS(2392),
    [anon_sym_constexpr] = ACTIONS(2392),
    [anon_sym_volatile] = ACTIONS(2392),
    [anon_sym_restrict] = ACTIONS(2392),
    [anon_sym___restrict__] = ACTIONS(2392),
    [anon_sym__Atomic] = ACTIONS(2392),
    [anon_sym__Noreturn] = ACTIONS(2392),
    [anon_sym_noreturn] = ACTIONS(2392),
    [anon_sym_mutable] = ACTIONS(2392),
    [anon_sym_constinit] = ACTIONS(2392),
    [anon_sym_consteval] = ACTIONS(2392),
    [sym_primitive_type] = ACTIONS(2392),
    [anon_sym_enum] = ACTIONS(2392),
    [anon_sym_class] = ACTIONS(2392),
    [anon_sym_struct] = ACTIONS(2392),
    [anon_sym_union] = ACTIONS(2392),
    [anon_sym_if] = ACTIONS(2392),
    [anon_sym_else] = ACTIONS(2392),
    [anon_sym_switch] = ACTIONS(2392),
    [anon_sym_while] = ACTIONS(2392),
    [anon_sym_do] = ACTIONS(2392),
    [anon_sym_for] = ACTIONS(2392),
    [anon_sym_return] = ACTIONS(2392),
    [anon_sym_break] = ACTIONS(2392),
    [anon_sym_continue] = ACTIONS(2392),
    [anon_sym_goto] = ACTIONS(2392),
    [anon_sym___try] = ACTIONS(2392),
    [anon_sym___leave] = ACTIONS(2392),
    [anon_sym_not] = ACTIONS(2392),
    [anon_sym_compl] = ACTIONS(2392),
    [anon_sym_DASH_DASH] = ACTIONS(2394),
    [anon_sym_PLUS_PLUS] = ACTIONS(2394),
    [anon_sym_sizeof] = ACTIONS(2392),
    [anon_sym___alignof__] = ACTIONS(2392),
    [anon_sym___alignof] = ACTIONS(2392),
    [anon_sym__alignof] = ACTIONS(2392),
    [anon_sym_alignof] = ACTIONS(2392),
    [anon_sym__Alignof] = ACTIONS(2392),
    [anon_sym_offsetof] = ACTIONS(2392),
    [anon_sym__Generic] = ACTIONS(2392),
    [anon_sym_asm] = ACTIONS(2392),
    [anon_sym___asm__] = ACTIONS(2392),
    [sym_number_literal] = ACTIONS(2394),
    [anon_sym_L_SQUOTE] = ACTIONS(2394),
    [anon_sym_u_SQUOTE] = ACTIONS(2394),
    [anon_sym_U_SQUOTE] = ACTIONS(2394),
    [anon_sym_u8_SQUOTE] = ACTIONS(2394),
    [anon_sym_SQUOTE] = ACTIONS(2394),
    [anon_sym_L_DQUOTE] = ACTIONS(2394),
    [anon_sym_u_DQUOTE] = ACTIONS(2394),
    [anon_sym_U_DQUOTE] = ACTIONS(2394),
    [anon_sym_u8_DQUOTE] = ACTIONS(2394),
    [anon_sym_DQUOTE] = ACTIONS(2394),
    [sym_true] = ACTIONS(2392),
    [sym_false] = ACTIONS(2392),
    [anon_sym_NULL] = ACTIONS(2392),
    [anon_sym_nullptr] = ACTIONS(2392),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2392),
    [anon_sym_decltype] = ACTIONS(2392),
    [anon_sym_virtual] = ACTIONS(2392),
    [anon_sym_alignas] = ACTIONS(2392),
    [anon_sym_typename] = ACTIONS(2392),
    [anon_sym_template] = ACTIONS(2392),
    [anon_sym_try] = ACTIONS(2392),
    [anon_sym_delete] = ACTIONS(2392),
    [anon_sym_throw] = ACTIONS(2392),
    [anon_sym_co_return] = ACTIONS(2392),
    [anon_sym_co_yield] = ACTIONS(2392),
    [anon_sym_R_DQUOTE] = ACTIONS(2394),
    [anon_sym_LR_DQUOTE] = ACTIONS(2394),
    [anon_sym_uR_DQUOTE] = ACTIONS(2394),
    [anon_sym_UR_DQUOTE] = ACTIONS(2394),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2394),
    [anon_sym_co_await] = ACTIONS(2392),
    [anon_sym_new] = ACTIONS(2392),
    [anon_sym_requires] = ACTIONS(2392),
    [sym_this] = ACTIONS(2392),
    [anon_sym_discard] = ACTIONS(2392),
    [anon_sym_precise] = ACTIONS(2392),
    [anon_sym_shared] = ACTIONS(2392),
    [anon_sym_groupshared] = ACTIONS(2392),
    [anon_sym_uniform] = ACTIONS(2392),
    [anon_sym_row_major] = ACTIONS(2392),
    [anon_sym_column_major] = ACTIONS(2392),
    [anon_sym_globallycoherent] = ACTIONS(2392),
    [anon_sym_centroid] = ACTIONS(2392),
    [anon_sym_noperspective] = ACTIONS(2392),
    [anon_sym_nointerpolation] = ACTIONS(2392),
    [anon_sym_sample] = ACTIONS(2392),
    [anon_sym_linear] = ACTIONS(2392),
    [anon_sym_snorm] = ACTIONS(2392),
    [anon_sym_unorm] = ACTIONS(2392),
    [anon_sym_point] = ACTIONS(2392),
    [anon_sym_line] = ACTIONS(2392),
    [anon_sym_triangleadj] = ACTIONS(2392),
    [anon_sym_lineadj] = ACTIONS(2392),
    [anon_sym_triangle] = ACTIONS(2392),
    [anon_sym_cbuffer] = ACTIONS(2392),
  },
  [1603] = {
    [sym_identifier] = ACTIONS(2468),
    [anon_sym_LPAREN2] = ACTIONS(2470),
    [anon_sym_BANG] = ACTIONS(2470),
    [anon_sym_TILDE] = ACTIONS(2470),
    [anon_sym_DASH] = ACTIONS(2468),
    [anon_sym_PLUS] = ACTIONS(2468),
    [anon_sym_STAR] = ACTIONS(2470),
    [anon_sym_AMP] = ACTIONS(2470),
    [anon_sym_SEMI] = ACTIONS(2470),
    [anon_sym___extension__] = ACTIONS(2468),
    [anon_sym_typedef] = ACTIONS(2468),
    [anon_sym_in] = ACTIONS(2468),
    [anon_sym_out] = ACTIONS(2468),
    [anon_sym_inout] = ACTIONS(2468),
    [anon_sym_extern] = ACTIONS(2468),
    [anon_sym___attribute__] = ACTIONS(2468),
    [anon_sym_COLON_COLON] = ACTIONS(2470),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2470),
    [anon_sym___declspec] = ACTIONS(2468),
    [anon_sym_LBRACE] = ACTIONS(2470),
    [anon_sym_signed] = ACTIONS(2468),
    [anon_sym_unsigned] = ACTIONS(2468),
    [anon_sym_long] = ACTIONS(2468),
    [anon_sym_short] = ACTIONS(2468),
    [anon_sym_LBRACK] = ACTIONS(2468),
    [anon_sym_static] = ACTIONS(2468),
    [anon_sym_register] = ACTIONS(2468),
    [anon_sym_inline] = ACTIONS(2468),
    [anon_sym___inline] = ACTIONS(2468),
    [anon_sym___inline__] = ACTIONS(2468),
    [anon_sym___forceinline] = ACTIONS(2468),
    [anon_sym_thread_local] = ACTIONS(2468),
    [anon_sym___thread] = ACTIONS(2468),
    [anon_sym_const] = ACTIONS(2468),
    [anon_sym_constexpr] = ACTIONS(2468),
    [anon_sym_volatile] = ACTIONS(2468),
    [anon_sym_restrict] = ACTIONS(2468),
    [anon_sym___restrict__] = ACTIONS(2468),
    [anon_sym__Atomic] = ACTIONS(2468),
    [anon_sym__Noreturn] = ACTIONS(2468),
    [anon_sym_noreturn] = ACTIONS(2468),
    [anon_sym_mutable] = ACTIONS(2468),
    [anon_sym_constinit] = ACTIONS(2468),
    [anon_sym_consteval] = ACTIONS(2468),
    [sym_primitive_type] = ACTIONS(2468),
    [anon_sym_enum] = ACTIONS(2468),
    [anon_sym_class] = ACTIONS(2468),
    [anon_sym_struct] = ACTIONS(2468),
    [anon_sym_union] = ACTIONS(2468),
    [anon_sym_if] = ACTIONS(2468),
    [anon_sym_else] = ACTIONS(2468),
    [anon_sym_switch] = ACTIONS(2468),
    [anon_sym_while] = ACTIONS(2468),
    [anon_sym_do] = ACTIONS(2468),
    [anon_sym_for] = ACTIONS(2468),
    [anon_sym_return] = ACTIONS(2468),
    [anon_sym_break] = ACTIONS(2468),
    [anon_sym_continue] = ACTIONS(2468),
    [anon_sym_goto] = ACTIONS(2468),
    [anon_sym___try] = ACTIONS(2468),
    [anon_sym___leave] = ACTIONS(2468),
    [anon_sym_not] = ACTIONS(2468),
    [anon_sym_compl] = ACTIONS(2468),
    [anon_sym_DASH_DASH] = ACTIONS(2470),
    [anon_sym_PLUS_PLUS] = ACTIONS(2470),
    [anon_sym_sizeof] = ACTIONS(2468),
    [anon_sym___alignof__] = ACTIONS(2468),
    [anon_sym___alignof] = ACTIONS(2468),
    [anon_sym__alignof] = ACTIONS(2468),
    [anon_sym_alignof] = ACTIONS(2468),
    [anon_sym__Alignof] = ACTIONS(2468),
    [anon_sym_offsetof] = ACTIONS(2468),
    [anon_sym__Generic] = ACTIONS(2468),
    [anon_sym_asm] = ACTIONS(2468),
    [anon_sym___asm__] = ACTIONS(2468),
    [sym_number_literal] = ACTIONS(2470),
    [anon_sym_L_SQUOTE] = ACTIONS(2470),
    [anon_sym_u_SQUOTE] = ACTIONS(2470),
    [anon_sym_U_SQUOTE] = ACTIONS(2470),
    [anon_sym_u8_SQUOTE] = ACTIONS(2470),
    [anon_sym_SQUOTE] = ACTIONS(2470),
    [anon_sym_L_DQUOTE] = ACTIONS(2470),
    [anon_sym_u_DQUOTE] = ACTIONS(2470),
    [anon_sym_U_DQUOTE] = ACTIONS(2470),
    [anon_sym_u8_DQUOTE] = ACTIONS(2470),
    [anon_sym_DQUOTE] = ACTIONS(2470),
    [sym_true] = ACTIONS(2468),
    [sym_false] = ACTIONS(2468),
    [anon_sym_NULL] = ACTIONS(2468),
    [anon_sym_nullptr] = ACTIONS(2468),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2468),
    [anon_sym_decltype] = ACTIONS(2468),
    [anon_sym_virtual] = ACTIONS(2468),
    [anon_sym_alignas] = ACTIONS(2468),
    [anon_sym_typename] = ACTIONS(2468),
    [anon_sym_template] = ACTIONS(2468),
    [anon_sym_try] = ACTIONS(2468),
    [anon_sym_delete] = ACTIONS(2468),
    [anon_sym_throw] = ACTIONS(2468),
    [anon_sym_co_return] = ACTIONS(2468),
    [anon_sym_co_yield] = ACTIONS(2468),
    [anon_sym_R_DQUOTE] = ACTIONS(2470),
    [anon_sym_LR_DQUOTE] = ACTIONS(2470),
    [anon_sym_uR_DQUOTE] = ACTIONS(2470),
    [anon_sym_UR_DQUOTE] = ACTIONS(2470),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2470),
    [anon_sym_co_await] = ACTIONS(2468),
    [anon_sym_new] = ACTIONS(2468),
    [anon_sym_requires] = ACTIONS(2468),
    [sym_this] = ACTIONS(2468),
    [anon_sym_discard] = ACTIONS(2468),
    [anon_sym_precise] = ACTIONS(2468),
    [anon_sym_shared] = ACTIONS(2468),
    [anon_sym_groupshared] = ACTIONS(2468),
    [anon_sym_uniform] = ACTIONS(2468),
    [anon_sym_row_major] = ACTIONS(2468),
    [anon_sym_column_major] = ACTIONS(2468),
    [anon_sym_globallycoherent] = ACTIONS(2468),
    [anon_sym_centroid] = ACTIONS(2468),
    [anon_sym_noperspective] = ACTIONS(2468),
    [anon_sym_nointerpolation] = ACTIONS(2468),
    [anon_sym_sample] = ACTIONS(2468),
    [anon_sym_linear] = ACTIONS(2468),
    [anon_sym_snorm] = ACTIONS(2468),
    [anon_sym_unorm] = ACTIONS(2468),
    [anon_sym_point] = ACTIONS(2468),
    [anon_sym_line] = ACTIONS(2468),
    [anon_sym_triangleadj] = ACTIONS(2468),
    [anon_sym_lineadj] = ACTIONS(2468),
    [anon_sym_triangle] = ACTIONS(2468),
    [anon_sym_cbuffer] = ACTIONS(2468),
  },
  [1604] = {
    [sym_identifier] = ACTIONS(2364),
    [anon_sym_LPAREN2] = ACTIONS(2366),
    [anon_sym_BANG] = ACTIONS(2366),
    [anon_sym_TILDE] = ACTIONS(2366),
    [anon_sym_DASH] = ACTIONS(2364),
    [anon_sym_PLUS] = ACTIONS(2364),
    [anon_sym_STAR] = ACTIONS(2366),
    [anon_sym_AMP] = ACTIONS(2366),
    [anon_sym_SEMI] = ACTIONS(2366),
    [anon_sym___extension__] = ACTIONS(2364),
    [anon_sym_typedef] = ACTIONS(2364),
    [anon_sym_in] = ACTIONS(2364),
    [anon_sym_out] = ACTIONS(2364),
    [anon_sym_inout] = ACTIONS(2364),
    [anon_sym_extern] = ACTIONS(2364),
    [anon_sym___attribute__] = ACTIONS(2364),
    [anon_sym_COLON_COLON] = ACTIONS(2366),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2366),
    [anon_sym___declspec] = ACTIONS(2364),
    [anon_sym_LBRACE] = ACTIONS(2366),
    [anon_sym_signed] = ACTIONS(2364),
    [anon_sym_unsigned] = ACTIONS(2364),
    [anon_sym_long] = ACTIONS(2364),
    [anon_sym_short] = ACTIONS(2364),
    [anon_sym_LBRACK] = ACTIONS(2364),
    [anon_sym_static] = ACTIONS(2364),
    [anon_sym_register] = ACTIONS(2364),
    [anon_sym_inline] = ACTIONS(2364),
    [anon_sym___inline] = ACTIONS(2364),
    [anon_sym___inline__] = ACTIONS(2364),
    [anon_sym___forceinline] = ACTIONS(2364),
    [anon_sym_thread_local] = ACTIONS(2364),
    [anon_sym___thread] = ACTIONS(2364),
    [anon_sym_const] = ACTIONS(2364),
    [anon_sym_constexpr] = ACTIONS(2364),
    [anon_sym_volatile] = ACTIONS(2364),
    [anon_sym_restrict] = ACTIONS(2364),
    [anon_sym___restrict__] = ACTIONS(2364),
    [anon_sym__Atomic] = ACTIONS(2364),
    [anon_sym__Noreturn] = ACTIONS(2364),
    [anon_sym_noreturn] = ACTIONS(2364),
    [anon_sym_mutable] = ACTIONS(2364),
    [anon_sym_constinit] = ACTIONS(2364),
    [anon_sym_consteval] = ACTIONS(2364),
    [sym_primitive_type] = ACTIONS(2364),
    [anon_sym_enum] = ACTIONS(2364),
    [anon_sym_class] = ACTIONS(2364),
    [anon_sym_struct] = ACTIONS(2364),
    [anon_sym_union] = ACTIONS(2364),
    [anon_sym_if] = ACTIONS(2364),
    [anon_sym_else] = ACTIONS(2364),
    [anon_sym_switch] = ACTIONS(2364),
    [anon_sym_while] = ACTIONS(2364),
    [anon_sym_do] = ACTIONS(2364),
    [anon_sym_for] = ACTIONS(2364),
    [anon_sym_return] = ACTIONS(2364),
    [anon_sym_break] = ACTIONS(2364),
    [anon_sym_continue] = ACTIONS(2364),
    [anon_sym_goto] = ACTIONS(2364),
    [anon_sym___try] = ACTIONS(2364),
    [anon_sym___leave] = ACTIONS(2364),
    [anon_sym_not] = ACTIONS(2364),
    [anon_sym_compl] = ACTIONS(2364),
    [anon_sym_DASH_DASH] = ACTIONS(2366),
    [anon_sym_PLUS_PLUS] = ACTIONS(2366),
    [anon_sym_sizeof] = ACTIONS(2364),
    [anon_sym___alignof__] = ACTIONS(2364),
    [anon_sym___alignof] = ACTIONS(2364),
    [anon_sym__alignof] = ACTIONS(2364),
    [anon_sym_alignof] = ACTIONS(2364),
    [anon_sym__Alignof] = ACTIONS(2364),
    [anon_sym_offsetof] = ACTIONS(2364),
    [anon_sym__Generic] = ACTIONS(2364),
    [anon_sym_asm] = ACTIONS(2364),
    [anon_sym___asm__] = ACTIONS(2364),
    [sym_number_literal] = ACTIONS(2366),
    [anon_sym_L_SQUOTE] = ACTIONS(2366),
    [anon_sym_u_SQUOTE] = ACTIONS(2366),
    [anon_sym_U_SQUOTE] = ACTIONS(2366),
    [anon_sym_u8_SQUOTE] = ACTIONS(2366),
    [anon_sym_SQUOTE] = ACTIONS(2366),
    [anon_sym_L_DQUOTE] = ACTIONS(2366),
    [anon_sym_u_DQUOTE] = ACTIONS(2366),
    [anon_sym_U_DQUOTE] = ACTIONS(2366),
    [anon_sym_u8_DQUOTE] = ACTIONS(2366),
    [anon_sym_DQUOTE] = ACTIONS(2366),
    [sym_true] = ACTIONS(2364),
    [sym_false] = ACTIONS(2364),
    [anon_sym_NULL] = ACTIONS(2364),
    [anon_sym_nullptr] = ACTIONS(2364),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2364),
    [anon_sym_decltype] = ACTIONS(2364),
    [anon_sym_virtual] = ACTIONS(2364),
    [anon_sym_alignas] = ACTIONS(2364),
    [anon_sym_typename] = ACTIONS(2364),
    [anon_sym_template] = ACTIONS(2364),
    [anon_sym_try] = ACTIONS(2364),
    [anon_sym_delete] = ACTIONS(2364),
    [anon_sym_throw] = ACTIONS(2364),
    [anon_sym_co_return] = ACTIONS(2364),
    [anon_sym_co_yield] = ACTIONS(2364),
    [anon_sym_R_DQUOTE] = ACTIONS(2366),
    [anon_sym_LR_DQUOTE] = ACTIONS(2366),
    [anon_sym_uR_DQUOTE] = ACTIONS(2366),
    [anon_sym_UR_DQUOTE] = ACTIONS(2366),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2366),
    [anon_sym_co_await] = ACTIONS(2364),
    [anon_sym_new] = ACTIONS(2364),
    [anon_sym_requires] = ACTIONS(2364),
    [sym_this] = ACTIONS(2364),
    [anon_sym_discard] = ACTIONS(2364),
    [anon_sym_precise] = ACTIONS(2364),
    [anon_sym_shared] = ACTIONS(2364),
    [anon_sym_groupshared] = ACTIONS(2364),
    [anon_sym_uniform] = ACTIONS(2364),
    [anon_sym_row_major] = ACTIONS(2364),
    [anon_sym_column_major] = ACTIONS(2364),
    [anon_sym_globallycoherent] = ACTIONS(2364),
    [anon_sym_centroid] = ACTIONS(2364),
    [anon_sym_noperspective] = ACTIONS(2364),
    [anon_sym_nointerpolation] = ACTIONS(2364),
    [anon_sym_sample] = ACTIONS(2364),
    [anon_sym_linear] = ACTIONS(2364),
    [anon_sym_snorm] = ACTIONS(2364),
    [anon_sym_unorm] = ACTIONS(2364),
    [anon_sym_point] = ACTIONS(2364),
    [anon_sym_line] = ACTIONS(2364),
    [anon_sym_triangleadj] = ACTIONS(2364),
    [anon_sym_lineadj] = ACTIONS(2364),
    [anon_sym_triangle] = ACTIONS(2364),
    [anon_sym_cbuffer] = ACTIONS(2364),
  },
  [1605] = {
    [sym_identifier] = ACTIONS(2488),
    [anon_sym_LPAREN2] = ACTIONS(2490),
    [anon_sym_BANG] = ACTIONS(2490),
    [anon_sym_TILDE] = ACTIONS(2490),
    [anon_sym_DASH] = ACTIONS(2488),
    [anon_sym_PLUS] = ACTIONS(2488),
    [anon_sym_STAR] = ACTIONS(2490),
    [anon_sym_AMP] = ACTIONS(2490),
    [anon_sym_SEMI] = ACTIONS(2490),
    [anon_sym___extension__] = ACTIONS(2488),
    [anon_sym_typedef] = ACTIONS(2488),
    [anon_sym_in] = ACTIONS(2488),
    [anon_sym_out] = ACTIONS(2488),
    [anon_sym_inout] = ACTIONS(2488),
    [anon_sym_extern] = ACTIONS(2488),
    [anon_sym___attribute__] = ACTIONS(2488),
    [anon_sym_COLON_COLON] = ACTIONS(2490),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2490),
    [anon_sym___declspec] = ACTIONS(2488),
    [anon_sym_LBRACE] = ACTIONS(2490),
    [anon_sym_signed] = ACTIONS(2488),
    [anon_sym_unsigned] = ACTIONS(2488),
    [anon_sym_long] = ACTIONS(2488),
    [anon_sym_short] = ACTIONS(2488),
    [anon_sym_LBRACK] = ACTIONS(2488),
    [anon_sym_static] = ACTIONS(2488),
    [anon_sym_register] = ACTIONS(2488),
    [anon_sym_inline] = ACTIONS(2488),
    [anon_sym___inline] = ACTIONS(2488),
    [anon_sym___inline__] = ACTIONS(2488),
    [anon_sym___forceinline] = ACTIONS(2488),
    [anon_sym_thread_local] = ACTIONS(2488),
    [anon_sym___thread] = ACTIONS(2488),
    [anon_sym_const] = ACTIONS(2488),
    [anon_sym_constexpr] = ACTIONS(2488),
    [anon_sym_volatile] = ACTIONS(2488),
    [anon_sym_restrict] = ACTIONS(2488),
    [anon_sym___restrict__] = ACTIONS(2488),
    [anon_sym__Atomic] = ACTIONS(2488),
    [anon_sym__Noreturn] = ACTIONS(2488),
    [anon_sym_noreturn] = ACTIONS(2488),
    [anon_sym_mutable] = ACTIONS(2488),
    [anon_sym_constinit] = ACTIONS(2488),
    [anon_sym_consteval] = ACTIONS(2488),
    [sym_primitive_type] = ACTIONS(2488),
    [anon_sym_enum] = ACTIONS(2488),
    [anon_sym_class] = ACTIONS(2488),
    [anon_sym_struct] = ACTIONS(2488),
    [anon_sym_union] = ACTIONS(2488),
    [anon_sym_if] = ACTIONS(2488),
    [anon_sym_else] = ACTIONS(2488),
    [anon_sym_switch] = ACTIONS(2488),
    [anon_sym_while] = ACTIONS(2488),
    [anon_sym_do] = ACTIONS(2488),
    [anon_sym_for] = ACTIONS(2488),
    [anon_sym_return] = ACTIONS(2488),
    [anon_sym_break] = ACTIONS(2488),
    [anon_sym_continue] = ACTIONS(2488),
    [anon_sym_goto] = ACTIONS(2488),
    [anon_sym___try] = ACTIONS(2488),
    [anon_sym___leave] = ACTIONS(2488),
    [anon_sym_not] = ACTIONS(2488),
    [anon_sym_compl] = ACTIONS(2488),
    [anon_sym_DASH_DASH] = ACTIONS(2490),
    [anon_sym_PLUS_PLUS] = ACTIONS(2490),
    [anon_sym_sizeof] = ACTIONS(2488),
    [anon_sym___alignof__] = ACTIONS(2488),
    [anon_sym___alignof] = ACTIONS(2488),
    [anon_sym__alignof] = ACTIONS(2488),
    [anon_sym_alignof] = ACTIONS(2488),
    [anon_sym__Alignof] = ACTIONS(2488),
    [anon_sym_offsetof] = ACTIONS(2488),
    [anon_sym__Generic] = ACTIONS(2488),
    [anon_sym_asm] = ACTIONS(2488),
    [anon_sym___asm__] = ACTIONS(2488),
    [sym_number_literal] = ACTIONS(2490),
    [anon_sym_L_SQUOTE] = ACTIONS(2490),
    [anon_sym_u_SQUOTE] = ACTIONS(2490),
    [anon_sym_U_SQUOTE] = ACTIONS(2490),
    [anon_sym_u8_SQUOTE] = ACTIONS(2490),
    [anon_sym_SQUOTE] = ACTIONS(2490),
    [anon_sym_L_DQUOTE] = ACTIONS(2490),
    [anon_sym_u_DQUOTE] = ACTIONS(2490),
    [anon_sym_U_DQUOTE] = ACTIONS(2490),
    [anon_sym_u8_DQUOTE] = ACTIONS(2490),
    [anon_sym_DQUOTE] = ACTIONS(2490),
    [sym_true] = ACTIONS(2488),
    [sym_false] = ACTIONS(2488),
    [anon_sym_NULL] = ACTIONS(2488),
    [anon_sym_nullptr] = ACTIONS(2488),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2488),
    [anon_sym_decltype] = ACTIONS(2488),
    [anon_sym_virtual] = ACTIONS(2488),
    [anon_sym_alignas] = ACTIONS(2488),
    [anon_sym_typename] = ACTIONS(2488),
    [anon_sym_template] = ACTIONS(2488),
    [anon_sym_try] = ACTIONS(2488),
    [anon_sym_delete] = ACTIONS(2488),
    [anon_sym_throw] = ACTIONS(2488),
    [anon_sym_co_return] = ACTIONS(2488),
    [anon_sym_co_yield] = ACTIONS(2488),
    [anon_sym_R_DQUOTE] = ACTIONS(2490),
    [anon_sym_LR_DQUOTE] = ACTIONS(2490),
    [anon_sym_uR_DQUOTE] = ACTIONS(2490),
    [anon_sym_UR_DQUOTE] = ACTIONS(2490),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2490),
    [anon_sym_co_await] = ACTIONS(2488),
    [anon_sym_new] = ACTIONS(2488),
    [anon_sym_requires] = ACTIONS(2488),
    [sym_this] = ACTIONS(2488),
    [anon_sym_discard] = ACTIONS(2488),
    [anon_sym_precise] = ACTIONS(2488),
    [anon_sym_shared] = ACTIONS(2488),
    [anon_sym_groupshared] = ACTIONS(2488),
    [anon_sym_uniform] = ACTIONS(2488),
    [anon_sym_row_major] = ACTIONS(2488),
    [anon_sym_column_major] = ACTIONS(2488),
    [anon_sym_globallycoherent] = ACTIONS(2488),
    [anon_sym_centroid] = ACTIONS(2488),
    [anon_sym_noperspective] = ACTIONS(2488),
    [anon_sym_nointerpolation] = ACTIONS(2488),
    [anon_sym_sample] = ACTIONS(2488),
    [anon_sym_linear] = ACTIONS(2488),
    [anon_sym_snorm] = ACTIONS(2488),
    [anon_sym_unorm] = ACTIONS(2488),
    [anon_sym_point] = ACTIONS(2488),
    [anon_sym_line] = ACTIONS(2488),
    [anon_sym_triangleadj] = ACTIONS(2488),
    [anon_sym_lineadj] = ACTIONS(2488),
    [anon_sym_triangle] = ACTIONS(2488),
    [anon_sym_cbuffer] = ACTIONS(2488),
  },
  [1606] = {
    [sym_identifier] = ACTIONS(2346),
    [anon_sym_LPAREN2] = ACTIONS(2348),
    [anon_sym_BANG] = ACTIONS(2348),
    [anon_sym_TILDE] = ACTIONS(2348),
    [anon_sym_DASH] = ACTIONS(2346),
    [anon_sym_PLUS] = ACTIONS(2346),
    [anon_sym_STAR] = ACTIONS(2348),
    [anon_sym_AMP] = ACTIONS(2348),
    [anon_sym_SEMI] = ACTIONS(2348),
    [anon_sym___extension__] = ACTIONS(2346),
    [anon_sym_typedef] = ACTIONS(2346),
    [anon_sym_in] = ACTIONS(2346),
    [anon_sym_out] = ACTIONS(2346),
    [anon_sym_inout] = ACTIONS(2346),
    [anon_sym_extern] = ACTIONS(2346),
    [anon_sym___attribute__] = ACTIONS(2346),
    [anon_sym_COLON_COLON] = ACTIONS(2348),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2348),
    [anon_sym___declspec] = ACTIONS(2346),
    [anon_sym_LBRACE] = ACTIONS(2348),
    [anon_sym_signed] = ACTIONS(2346),
    [anon_sym_unsigned] = ACTIONS(2346),
    [anon_sym_long] = ACTIONS(2346),
    [anon_sym_short] = ACTIONS(2346),
    [anon_sym_LBRACK] = ACTIONS(2346),
    [anon_sym_static] = ACTIONS(2346),
    [anon_sym_register] = ACTIONS(2346),
    [anon_sym_inline] = ACTIONS(2346),
    [anon_sym___inline] = ACTIONS(2346),
    [anon_sym___inline__] = ACTIONS(2346),
    [anon_sym___forceinline] = ACTIONS(2346),
    [anon_sym_thread_local] = ACTIONS(2346),
    [anon_sym___thread] = ACTIONS(2346),
    [anon_sym_const] = ACTIONS(2346),
    [anon_sym_constexpr] = ACTIONS(2346),
    [anon_sym_volatile] = ACTIONS(2346),
    [anon_sym_restrict] = ACTIONS(2346),
    [anon_sym___restrict__] = ACTIONS(2346),
    [anon_sym__Atomic] = ACTIONS(2346),
    [anon_sym__Noreturn] = ACTIONS(2346),
    [anon_sym_noreturn] = ACTIONS(2346),
    [anon_sym_mutable] = ACTIONS(2346),
    [anon_sym_constinit] = ACTIONS(2346),
    [anon_sym_consteval] = ACTIONS(2346),
    [sym_primitive_type] = ACTIONS(2346),
    [anon_sym_enum] = ACTIONS(2346),
    [anon_sym_class] = ACTIONS(2346),
    [anon_sym_struct] = ACTIONS(2346),
    [anon_sym_union] = ACTIONS(2346),
    [anon_sym_if] = ACTIONS(2346),
    [anon_sym_else] = ACTIONS(2346),
    [anon_sym_switch] = ACTIONS(2346),
    [anon_sym_while] = ACTIONS(2346),
    [anon_sym_do] = ACTIONS(2346),
    [anon_sym_for] = ACTIONS(2346),
    [anon_sym_return] = ACTIONS(2346),
    [anon_sym_break] = ACTIONS(2346),
    [anon_sym_continue] = ACTIONS(2346),
    [anon_sym_goto] = ACTIONS(2346),
    [anon_sym___try] = ACTIONS(2346),
    [anon_sym___leave] = ACTIONS(2346),
    [anon_sym_not] = ACTIONS(2346),
    [anon_sym_compl] = ACTIONS(2346),
    [anon_sym_DASH_DASH] = ACTIONS(2348),
    [anon_sym_PLUS_PLUS] = ACTIONS(2348),
    [anon_sym_sizeof] = ACTIONS(2346),
    [anon_sym___alignof__] = ACTIONS(2346),
    [anon_sym___alignof] = ACTIONS(2346),
    [anon_sym__alignof] = ACTIONS(2346),
    [anon_sym_alignof] = ACTIONS(2346),
    [anon_sym__Alignof] = ACTIONS(2346),
    [anon_sym_offsetof] = ACTIONS(2346),
    [anon_sym__Generic] = ACTIONS(2346),
    [anon_sym_asm] = ACTIONS(2346),
    [anon_sym___asm__] = ACTIONS(2346),
    [sym_number_literal] = ACTIONS(2348),
    [anon_sym_L_SQUOTE] = ACTIONS(2348),
    [anon_sym_u_SQUOTE] = ACTIONS(2348),
    [anon_sym_U_SQUOTE] = ACTIONS(2348),
    [anon_sym_u8_SQUOTE] = ACTIONS(2348),
    [anon_sym_SQUOTE] = ACTIONS(2348),
    [anon_sym_L_DQUOTE] = ACTIONS(2348),
    [anon_sym_u_DQUOTE] = ACTIONS(2348),
    [anon_sym_U_DQUOTE] = ACTIONS(2348),
    [anon_sym_u8_DQUOTE] = ACTIONS(2348),
    [anon_sym_DQUOTE] = ACTIONS(2348),
    [sym_true] = ACTIONS(2346),
    [sym_false] = ACTIONS(2346),
    [anon_sym_NULL] = ACTIONS(2346),
    [anon_sym_nullptr] = ACTIONS(2346),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2346),
    [anon_sym_decltype] = ACTIONS(2346),
    [anon_sym_virtual] = ACTIONS(2346),
    [anon_sym_alignas] = ACTIONS(2346),
    [anon_sym_typename] = ACTIONS(2346),
    [anon_sym_template] = ACTIONS(2346),
    [anon_sym_try] = ACTIONS(2346),
    [anon_sym_delete] = ACTIONS(2346),
    [anon_sym_throw] = ACTIONS(2346),
    [anon_sym_co_return] = ACTIONS(2346),
    [anon_sym_co_yield] = ACTIONS(2346),
    [anon_sym_R_DQUOTE] = ACTIONS(2348),
    [anon_sym_LR_DQUOTE] = ACTIONS(2348),
    [anon_sym_uR_DQUOTE] = ACTIONS(2348),
    [anon_sym_UR_DQUOTE] = ACTIONS(2348),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2348),
    [anon_sym_co_await] = ACTIONS(2346),
    [anon_sym_new] = ACTIONS(2346),
    [anon_sym_requires] = ACTIONS(2346),
    [sym_this] = ACTIONS(2346),
    [anon_sym_discard] = ACTIONS(2346),
    [anon_sym_precise] = ACTIONS(2346),
    [anon_sym_shared] = ACTIONS(2346),
    [anon_sym_groupshared] = ACTIONS(2346),
    [anon_sym_uniform] = ACTIONS(2346),
    [anon_sym_row_major] = ACTIONS(2346),
    [anon_sym_column_major] = ACTIONS(2346),
    [anon_sym_globallycoherent] = ACTIONS(2346),
    [anon_sym_centroid] = ACTIONS(2346),
    [anon_sym_noperspective] = ACTIONS(2346),
    [anon_sym_nointerpolation] = ACTIONS(2346),
    [anon_sym_sample] = ACTIONS(2346),
    [anon_sym_linear] = ACTIONS(2346),
    [anon_sym_snorm] = ACTIONS(2346),
    [anon_sym_unorm] = ACTIONS(2346),
    [anon_sym_point] = ACTIONS(2346),
    [anon_sym_line] = ACTIONS(2346),
    [anon_sym_triangleadj] = ACTIONS(2346),
    [anon_sym_lineadj] = ACTIONS(2346),
    [anon_sym_triangle] = ACTIONS(2346),
    [anon_sym_cbuffer] = ACTIONS(2346),
  },
  [1607] = {
    [sym_identifier] = ACTIONS(2444),
    [anon_sym_LPAREN2] = ACTIONS(2446),
    [anon_sym_BANG] = ACTIONS(2446),
    [anon_sym_TILDE] = ACTIONS(2446),
    [anon_sym_DASH] = ACTIONS(2444),
    [anon_sym_PLUS] = ACTIONS(2444),
    [anon_sym_STAR] = ACTIONS(2446),
    [anon_sym_AMP] = ACTIONS(2446),
    [anon_sym_SEMI] = ACTIONS(2446),
    [anon_sym___extension__] = ACTIONS(2444),
    [anon_sym_typedef] = ACTIONS(2444),
    [anon_sym_in] = ACTIONS(2444),
    [anon_sym_out] = ACTIONS(2444),
    [anon_sym_inout] = ACTIONS(2444),
    [anon_sym_extern] = ACTIONS(2444),
    [anon_sym___attribute__] = ACTIONS(2444),
    [anon_sym_COLON_COLON] = ACTIONS(2446),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2446),
    [anon_sym___declspec] = ACTIONS(2444),
    [anon_sym_LBRACE] = ACTIONS(2446),
    [anon_sym_signed] = ACTIONS(2444),
    [anon_sym_unsigned] = ACTIONS(2444),
    [anon_sym_long] = ACTIONS(2444),
    [anon_sym_short] = ACTIONS(2444),
    [anon_sym_LBRACK] = ACTIONS(2444),
    [anon_sym_static] = ACTIONS(2444),
    [anon_sym_register] = ACTIONS(2444),
    [anon_sym_inline] = ACTIONS(2444),
    [anon_sym___inline] = ACTIONS(2444),
    [anon_sym___inline__] = ACTIONS(2444),
    [anon_sym___forceinline] = ACTIONS(2444),
    [anon_sym_thread_local] = ACTIONS(2444),
    [anon_sym___thread] = ACTIONS(2444),
    [anon_sym_const] = ACTIONS(2444),
    [anon_sym_constexpr] = ACTIONS(2444),
    [anon_sym_volatile] = ACTIONS(2444),
    [anon_sym_restrict] = ACTIONS(2444),
    [anon_sym___restrict__] = ACTIONS(2444),
    [anon_sym__Atomic] = ACTIONS(2444),
    [anon_sym__Noreturn] = ACTIONS(2444),
    [anon_sym_noreturn] = ACTIONS(2444),
    [anon_sym_mutable] = ACTIONS(2444),
    [anon_sym_constinit] = ACTIONS(2444),
    [anon_sym_consteval] = ACTIONS(2444),
    [sym_primitive_type] = ACTIONS(2444),
    [anon_sym_enum] = ACTIONS(2444),
    [anon_sym_class] = ACTIONS(2444),
    [anon_sym_struct] = ACTIONS(2444),
    [anon_sym_union] = ACTIONS(2444),
    [anon_sym_if] = ACTIONS(2444),
    [anon_sym_else] = ACTIONS(2444),
    [anon_sym_switch] = ACTIONS(2444),
    [anon_sym_while] = ACTIONS(2444),
    [anon_sym_do] = ACTIONS(2444),
    [anon_sym_for] = ACTIONS(2444),
    [anon_sym_return] = ACTIONS(2444),
    [anon_sym_break] = ACTIONS(2444),
    [anon_sym_continue] = ACTIONS(2444),
    [anon_sym_goto] = ACTIONS(2444),
    [anon_sym___try] = ACTIONS(2444),
    [anon_sym___leave] = ACTIONS(2444),
    [anon_sym_not] = ACTIONS(2444),
    [anon_sym_compl] = ACTIONS(2444),
    [anon_sym_DASH_DASH] = ACTIONS(2446),
    [anon_sym_PLUS_PLUS] = ACTIONS(2446),
    [anon_sym_sizeof] = ACTIONS(2444),
    [anon_sym___alignof__] = ACTIONS(2444),
    [anon_sym___alignof] = ACTIONS(2444),
    [anon_sym__alignof] = ACTIONS(2444),
    [anon_sym_alignof] = ACTIONS(2444),
    [anon_sym__Alignof] = ACTIONS(2444),
    [anon_sym_offsetof] = ACTIONS(2444),
    [anon_sym__Generic] = ACTIONS(2444),
    [anon_sym_asm] = ACTIONS(2444),
    [anon_sym___asm__] = ACTIONS(2444),
    [sym_number_literal] = ACTIONS(2446),
    [anon_sym_L_SQUOTE] = ACTIONS(2446),
    [anon_sym_u_SQUOTE] = ACTIONS(2446),
    [anon_sym_U_SQUOTE] = ACTIONS(2446),
    [anon_sym_u8_SQUOTE] = ACTIONS(2446),
    [anon_sym_SQUOTE] = ACTIONS(2446),
    [anon_sym_L_DQUOTE] = ACTIONS(2446),
    [anon_sym_u_DQUOTE] = ACTIONS(2446),
    [anon_sym_U_DQUOTE] = ACTIONS(2446),
    [anon_sym_u8_DQUOTE] = ACTIONS(2446),
    [anon_sym_DQUOTE] = ACTIONS(2446),
    [sym_true] = ACTIONS(2444),
    [sym_false] = ACTIONS(2444),
    [anon_sym_NULL] = ACTIONS(2444),
    [anon_sym_nullptr] = ACTIONS(2444),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2444),
    [anon_sym_decltype] = ACTIONS(2444),
    [anon_sym_virtual] = ACTIONS(2444),
    [anon_sym_alignas] = ACTIONS(2444),
    [anon_sym_typename] = ACTIONS(2444),
    [anon_sym_template] = ACTIONS(2444),
    [anon_sym_try] = ACTIONS(2444),
    [anon_sym_delete] = ACTIONS(2444),
    [anon_sym_throw] = ACTIONS(2444),
    [anon_sym_co_return] = ACTIONS(2444),
    [anon_sym_co_yield] = ACTIONS(2444),
    [anon_sym_R_DQUOTE] = ACTIONS(2446),
    [anon_sym_LR_DQUOTE] = ACTIONS(2446),
    [anon_sym_uR_DQUOTE] = ACTIONS(2446),
    [anon_sym_UR_DQUOTE] = ACTIONS(2446),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2446),
    [anon_sym_co_await] = ACTIONS(2444),
    [anon_sym_new] = ACTIONS(2444),
    [anon_sym_requires] = ACTIONS(2444),
    [sym_this] = ACTIONS(2444),
    [anon_sym_discard] = ACTIONS(2444),
    [anon_sym_precise] = ACTIONS(2444),
    [anon_sym_shared] = ACTIONS(2444),
    [anon_sym_groupshared] = ACTIONS(2444),
    [anon_sym_uniform] = ACTIONS(2444),
    [anon_sym_row_major] = ACTIONS(2444),
    [anon_sym_column_major] = ACTIONS(2444),
    [anon_sym_globallycoherent] = ACTIONS(2444),
    [anon_sym_centroid] = ACTIONS(2444),
    [anon_sym_noperspective] = ACTIONS(2444),
    [anon_sym_nointerpolation] = ACTIONS(2444),
    [anon_sym_sample] = ACTIONS(2444),
    [anon_sym_linear] = ACTIONS(2444),
    [anon_sym_snorm] = ACTIONS(2444),
    [anon_sym_unorm] = ACTIONS(2444),
    [anon_sym_point] = ACTIONS(2444),
    [anon_sym_line] = ACTIONS(2444),
    [anon_sym_triangleadj] = ACTIONS(2444),
    [anon_sym_lineadj] = ACTIONS(2444),
    [anon_sym_triangle] = ACTIONS(2444),
    [anon_sym_cbuffer] = ACTIONS(2444),
  },
  [1608] = {
    [sym_identifier] = ACTIONS(2444),
    [anon_sym_LPAREN2] = ACTIONS(2446),
    [anon_sym_BANG] = ACTIONS(2446),
    [anon_sym_TILDE] = ACTIONS(2446),
    [anon_sym_DASH] = ACTIONS(2444),
    [anon_sym_PLUS] = ACTIONS(2444),
    [anon_sym_STAR] = ACTIONS(2446),
    [anon_sym_AMP] = ACTIONS(2446),
    [anon_sym_SEMI] = ACTIONS(2446),
    [anon_sym___extension__] = ACTIONS(2444),
    [anon_sym_typedef] = ACTIONS(2444),
    [anon_sym_in] = ACTIONS(2444),
    [anon_sym_out] = ACTIONS(2444),
    [anon_sym_inout] = ACTIONS(2444),
    [anon_sym_extern] = ACTIONS(2444),
    [anon_sym___attribute__] = ACTIONS(2444),
    [anon_sym_COLON_COLON] = ACTIONS(2446),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2446),
    [anon_sym___declspec] = ACTIONS(2444),
    [anon_sym_LBRACE] = ACTIONS(2446),
    [anon_sym_signed] = ACTIONS(2444),
    [anon_sym_unsigned] = ACTIONS(2444),
    [anon_sym_long] = ACTIONS(2444),
    [anon_sym_short] = ACTIONS(2444),
    [anon_sym_LBRACK] = ACTIONS(2444),
    [anon_sym_static] = ACTIONS(2444),
    [anon_sym_register] = ACTIONS(2444),
    [anon_sym_inline] = ACTIONS(2444),
    [anon_sym___inline] = ACTIONS(2444),
    [anon_sym___inline__] = ACTIONS(2444),
    [anon_sym___forceinline] = ACTIONS(2444),
    [anon_sym_thread_local] = ACTIONS(2444),
    [anon_sym___thread] = ACTIONS(2444),
    [anon_sym_const] = ACTIONS(2444),
    [anon_sym_constexpr] = ACTIONS(2444),
    [anon_sym_volatile] = ACTIONS(2444),
    [anon_sym_restrict] = ACTIONS(2444),
    [anon_sym___restrict__] = ACTIONS(2444),
    [anon_sym__Atomic] = ACTIONS(2444),
    [anon_sym__Noreturn] = ACTIONS(2444),
    [anon_sym_noreturn] = ACTIONS(2444),
    [anon_sym_mutable] = ACTIONS(2444),
    [anon_sym_constinit] = ACTIONS(2444),
    [anon_sym_consteval] = ACTIONS(2444),
    [sym_primitive_type] = ACTIONS(2444),
    [anon_sym_enum] = ACTIONS(2444),
    [anon_sym_class] = ACTIONS(2444),
    [anon_sym_struct] = ACTIONS(2444),
    [anon_sym_union] = ACTIONS(2444),
    [anon_sym_if] = ACTIONS(2444),
    [anon_sym_else] = ACTIONS(2444),
    [anon_sym_switch] = ACTIONS(2444),
    [anon_sym_while] = ACTIONS(2444),
    [anon_sym_do] = ACTIONS(2444),
    [anon_sym_for] = ACTIONS(2444),
    [anon_sym_return] = ACTIONS(2444),
    [anon_sym_break] = ACTIONS(2444),
    [anon_sym_continue] = ACTIONS(2444),
    [anon_sym_goto] = ACTIONS(2444),
    [anon_sym___try] = ACTIONS(2444),
    [anon_sym___leave] = ACTIONS(2444),
    [anon_sym_not] = ACTIONS(2444),
    [anon_sym_compl] = ACTIONS(2444),
    [anon_sym_DASH_DASH] = ACTIONS(2446),
    [anon_sym_PLUS_PLUS] = ACTIONS(2446),
    [anon_sym_sizeof] = ACTIONS(2444),
    [anon_sym___alignof__] = ACTIONS(2444),
    [anon_sym___alignof] = ACTIONS(2444),
    [anon_sym__alignof] = ACTIONS(2444),
    [anon_sym_alignof] = ACTIONS(2444),
    [anon_sym__Alignof] = ACTIONS(2444),
    [anon_sym_offsetof] = ACTIONS(2444),
    [anon_sym__Generic] = ACTIONS(2444),
    [anon_sym_asm] = ACTIONS(2444),
    [anon_sym___asm__] = ACTIONS(2444),
    [sym_number_literal] = ACTIONS(2446),
    [anon_sym_L_SQUOTE] = ACTIONS(2446),
    [anon_sym_u_SQUOTE] = ACTIONS(2446),
    [anon_sym_U_SQUOTE] = ACTIONS(2446),
    [anon_sym_u8_SQUOTE] = ACTIONS(2446),
    [anon_sym_SQUOTE] = ACTIONS(2446),
    [anon_sym_L_DQUOTE] = ACTIONS(2446),
    [anon_sym_u_DQUOTE] = ACTIONS(2446),
    [anon_sym_U_DQUOTE] = ACTIONS(2446),
    [anon_sym_u8_DQUOTE] = ACTIONS(2446),
    [anon_sym_DQUOTE] = ACTIONS(2446),
    [sym_true] = ACTIONS(2444),
    [sym_false] = ACTIONS(2444),
    [anon_sym_NULL] = ACTIONS(2444),
    [anon_sym_nullptr] = ACTIONS(2444),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2444),
    [anon_sym_decltype] = ACTIONS(2444),
    [anon_sym_virtual] = ACTIONS(2444),
    [anon_sym_alignas] = ACTIONS(2444),
    [anon_sym_typename] = ACTIONS(2444),
    [anon_sym_template] = ACTIONS(2444),
    [anon_sym_try] = ACTIONS(2444),
    [anon_sym_delete] = ACTIONS(2444),
    [anon_sym_throw] = ACTIONS(2444),
    [anon_sym_co_return] = ACTIONS(2444),
    [anon_sym_co_yield] = ACTIONS(2444),
    [anon_sym_R_DQUOTE] = ACTIONS(2446),
    [anon_sym_LR_DQUOTE] = ACTIONS(2446),
    [anon_sym_uR_DQUOTE] = ACTIONS(2446),
    [anon_sym_UR_DQUOTE] = ACTIONS(2446),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2446),
    [anon_sym_co_await] = ACTIONS(2444),
    [anon_sym_new] = ACTIONS(2444),
    [anon_sym_requires] = ACTIONS(2444),
    [sym_this] = ACTIONS(2444),
    [anon_sym_discard] = ACTIONS(2444),
    [anon_sym_precise] = ACTIONS(2444),
    [anon_sym_shared] = ACTIONS(2444),
    [anon_sym_groupshared] = ACTIONS(2444),
    [anon_sym_uniform] = ACTIONS(2444),
    [anon_sym_row_major] = ACTIONS(2444),
    [anon_sym_column_major] = ACTIONS(2444),
    [anon_sym_globallycoherent] = ACTIONS(2444),
    [anon_sym_centroid] = ACTIONS(2444),
    [anon_sym_noperspective] = ACTIONS(2444),
    [anon_sym_nointerpolation] = ACTIONS(2444),
    [anon_sym_sample] = ACTIONS(2444),
    [anon_sym_linear] = ACTIONS(2444),
    [anon_sym_snorm] = ACTIONS(2444),
    [anon_sym_unorm] = ACTIONS(2444),
    [anon_sym_point] = ACTIONS(2444),
    [anon_sym_line] = ACTIONS(2444),
    [anon_sym_triangleadj] = ACTIONS(2444),
    [anon_sym_lineadj] = ACTIONS(2444),
    [anon_sym_triangle] = ACTIONS(2444),
    [anon_sym_cbuffer] = ACTIONS(2444),
  },
  [1609] = {
    [sym_identifier] = ACTIONS(2444),
    [anon_sym_LPAREN2] = ACTIONS(2446),
    [anon_sym_BANG] = ACTIONS(2446),
    [anon_sym_TILDE] = ACTIONS(2446),
    [anon_sym_DASH] = ACTIONS(2444),
    [anon_sym_PLUS] = ACTIONS(2444),
    [anon_sym_STAR] = ACTIONS(2446),
    [anon_sym_AMP] = ACTIONS(2446),
    [anon_sym_SEMI] = ACTIONS(2446),
    [anon_sym___extension__] = ACTIONS(2444),
    [anon_sym_typedef] = ACTIONS(2444),
    [anon_sym_in] = ACTIONS(2444),
    [anon_sym_out] = ACTIONS(2444),
    [anon_sym_inout] = ACTIONS(2444),
    [anon_sym_extern] = ACTIONS(2444),
    [anon_sym___attribute__] = ACTIONS(2444),
    [anon_sym_COLON_COLON] = ACTIONS(2446),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2446),
    [anon_sym___declspec] = ACTIONS(2444),
    [anon_sym_LBRACE] = ACTIONS(2446),
    [anon_sym_signed] = ACTIONS(2444),
    [anon_sym_unsigned] = ACTIONS(2444),
    [anon_sym_long] = ACTIONS(2444),
    [anon_sym_short] = ACTIONS(2444),
    [anon_sym_LBRACK] = ACTIONS(2444),
    [anon_sym_static] = ACTIONS(2444),
    [anon_sym_register] = ACTIONS(2444),
    [anon_sym_inline] = ACTIONS(2444),
    [anon_sym___inline] = ACTIONS(2444),
    [anon_sym___inline__] = ACTIONS(2444),
    [anon_sym___forceinline] = ACTIONS(2444),
    [anon_sym_thread_local] = ACTIONS(2444),
    [anon_sym___thread] = ACTIONS(2444),
    [anon_sym_const] = ACTIONS(2444),
    [anon_sym_constexpr] = ACTIONS(2444),
    [anon_sym_volatile] = ACTIONS(2444),
    [anon_sym_restrict] = ACTIONS(2444),
    [anon_sym___restrict__] = ACTIONS(2444),
    [anon_sym__Atomic] = ACTIONS(2444),
    [anon_sym__Noreturn] = ACTIONS(2444),
    [anon_sym_noreturn] = ACTIONS(2444),
    [anon_sym_mutable] = ACTIONS(2444),
    [anon_sym_constinit] = ACTIONS(2444),
    [anon_sym_consteval] = ACTIONS(2444),
    [sym_primitive_type] = ACTIONS(2444),
    [anon_sym_enum] = ACTIONS(2444),
    [anon_sym_class] = ACTIONS(2444),
    [anon_sym_struct] = ACTIONS(2444),
    [anon_sym_union] = ACTIONS(2444),
    [anon_sym_if] = ACTIONS(2444),
    [anon_sym_else] = ACTIONS(2444),
    [anon_sym_switch] = ACTIONS(2444),
    [anon_sym_while] = ACTIONS(2444),
    [anon_sym_do] = ACTIONS(2444),
    [anon_sym_for] = ACTIONS(2444),
    [anon_sym_return] = ACTIONS(2444),
    [anon_sym_break] = ACTIONS(2444),
    [anon_sym_continue] = ACTIONS(2444),
    [anon_sym_goto] = ACTIONS(2444),
    [anon_sym___try] = ACTIONS(2444),
    [anon_sym___leave] = ACTIONS(2444),
    [anon_sym_not] = ACTIONS(2444),
    [anon_sym_compl] = ACTIONS(2444),
    [anon_sym_DASH_DASH] = ACTIONS(2446),
    [anon_sym_PLUS_PLUS] = ACTIONS(2446),
    [anon_sym_sizeof] = ACTIONS(2444),
    [anon_sym___alignof__] = ACTIONS(2444),
    [anon_sym___alignof] = ACTIONS(2444),
    [anon_sym__alignof] = ACTIONS(2444),
    [anon_sym_alignof] = ACTIONS(2444),
    [anon_sym__Alignof] = ACTIONS(2444),
    [anon_sym_offsetof] = ACTIONS(2444),
    [anon_sym__Generic] = ACTIONS(2444),
    [anon_sym_asm] = ACTIONS(2444),
    [anon_sym___asm__] = ACTIONS(2444),
    [sym_number_literal] = ACTIONS(2446),
    [anon_sym_L_SQUOTE] = ACTIONS(2446),
    [anon_sym_u_SQUOTE] = ACTIONS(2446),
    [anon_sym_U_SQUOTE] = ACTIONS(2446),
    [anon_sym_u8_SQUOTE] = ACTIONS(2446),
    [anon_sym_SQUOTE] = ACTIONS(2446),
    [anon_sym_L_DQUOTE] = ACTIONS(2446),
    [anon_sym_u_DQUOTE] = ACTIONS(2446),
    [anon_sym_U_DQUOTE] = ACTIONS(2446),
    [anon_sym_u8_DQUOTE] = ACTIONS(2446),
    [anon_sym_DQUOTE] = ACTIONS(2446),
    [sym_true] = ACTIONS(2444),
    [sym_false] = ACTIONS(2444),
    [anon_sym_NULL] = ACTIONS(2444),
    [anon_sym_nullptr] = ACTIONS(2444),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2444),
    [anon_sym_decltype] = ACTIONS(2444),
    [anon_sym_virtual] = ACTIONS(2444),
    [anon_sym_alignas] = ACTIONS(2444),
    [anon_sym_typename] = ACTIONS(2444),
    [anon_sym_template] = ACTIONS(2444),
    [anon_sym_try] = ACTIONS(2444),
    [anon_sym_delete] = ACTIONS(2444),
    [anon_sym_throw] = ACTIONS(2444),
    [anon_sym_co_return] = ACTIONS(2444),
    [anon_sym_co_yield] = ACTIONS(2444),
    [anon_sym_R_DQUOTE] = ACTIONS(2446),
    [anon_sym_LR_DQUOTE] = ACTIONS(2446),
    [anon_sym_uR_DQUOTE] = ACTIONS(2446),
    [anon_sym_UR_DQUOTE] = ACTIONS(2446),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2446),
    [anon_sym_co_await] = ACTIONS(2444),
    [anon_sym_new] = ACTIONS(2444),
    [anon_sym_requires] = ACTIONS(2444),
    [sym_this] = ACTIONS(2444),
    [anon_sym_discard] = ACTIONS(2444),
    [anon_sym_precise] = ACTIONS(2444),
    [anon_sym_shared] = ACTIONS(2444),
    [anon_sym_groupshared] = ACTIONS(2444),
    [anon_sym_uniform] = ACTIONS(2444),
    [anon_sym_row_major] = ACTIONS(2444),
    [anon_sym_column_major] = ACTIONS(2444),
    [anon_sym_globallycoherent] = ACTIONS(2444),
    [anon_sym_centroid] = ACTIONS(2444),
    [anon_sym_noperspective] = ACTIONS(2444),
    [anon_sym_nointerpolation] = ACTIONS(2444),
    [anon_sym_sample] = ACTIONS(2444),
    [anon_sym_linear] = ACTIONS(2444),
    [anon_sym_snorm] = ACTIONS(2444),
    [anon_sym_unorm] = ACTIONS(2444),
    [anon_sym_point] = ACTIONS(2444),
    [anon_sym_line] = ACTIONS(2444),
    [anon_sym_triangleadj] = ACTIONS(2444),
    [anon_sym_lineadj] = ACTIONS(2444),
    [anon_sym_triangle] = ACTIONS(2444),
    [anon_sym_cbuffer] = ACTIONS(2444),
  },
  [1610] = {
    [sym_identifier] = ACTIONS(2444),
    [anon_sym_LPAREN2] = ACTIONS(2446),
    [anon_sym_BANG] = ACTIONS(2446),
    [anon_sym_TILDE] = ACTIONS(2446),
    [anon_sym_DASH] = ACTIONS(2444),
    [anon_sym_PLUS] = ACTIONS(2444),
    [anon_sym_STAR] = ACTIONS(2446),
    [anon_sym_AMP] = ACTIONS(2446),
    [anon_sym_SEMI] = ACTIONS(2446),
    [anon_sym___extension__] = ACTIONS(2444),
    [anon_sym_typedef] = ACTIONS(2444),
    [anon_sym_in] = ACTIONS(2444),
    [anon_sym_out] = ACTIONS(2444),
    [anon_sym_inout] = ACTIONS(2444),
    [anon_sym_extern] = ACTIONS(2444),
    [anon_sym___attribute__] = ACTIONS(2444),
    [anon_sym_COLON_COLON] = ACTIONS(2446),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2446),
    [anon_sym___declspec] = ACTIONS(2444),
    [anon_sym_LBRACE] = ACTIONS(2446),
    [anon_sym_signed] = ACTIONS(2444),
    [anon_sym_unsigned] = ACTIONS(2444),
    [anon_sym_long] = ACTIONS(2444),
    [anon_sym_short] = ACTIONS(2444),
    [anon_sym_LBRACK] = ACTIONS(2444),
    [anon_sym_static] = ACTIONS(2444),
    [anon_sym_register] = ACTIONS(2444),
    [anon_sym_inline] = ACTIONS(2444),
    [anon_sym___inline] = ACTIONS(2444),
    [anon_sym___inline__] = ACTIONS(2444),
    [anon_sym___forceinline] = ACTIONS(2444),
    [anon_sym_thread_local] = ACTIONS(2444),
    [anon_sym___thread] = ACTIONS(2444),
    [anon_sym_const] = ACTIONS(2444),
    [anon_sym_constexpr] = ACTIONS(2444),
    [anon_sym_volatile] = ACTIONS(2444),
    [anon_sym_restrict] = ACTIONS(2444),
    [anon_sym___restrict__] = ACTIONS(2444),
    [anon_sym__Atomic] = ACTIONS(2444),
    [anon_sym__Noreturn] = ACTIONS(2444),
    [anon_sym_noreturn] = ACTIONS(2444),
    [anon_sym_mutable] = ACTIONS(2444),
    [anon_sym_constinit] = ACTIONS(2444),
    [anon_sym_consteval] = ACTIONS(2444),
    [sym_primitive_type] = ACTIONS(2444),
    [anon_sym_enum] = ACTIONS(2444),
    [anon_sym_class] = ACTIONS(2444),
    [anon_sym_struct] = ACTIONS(2444),
    [anon_sym_union] = ACTIONS(2444),
    [anon_sym_if] = ACTIONS(2444),
    [anon_sym_else] = ACTIONS(2444),
    [anon_sym_switch] = ACTIONS(2444),
    [anon_sym_while] = ACTIONS(2444),
    [anon_sym_do] = ACTIONS(2444),
    [anon_sym_for] = ACTIONS(2444),
    [anon_sym_return] = ACTIONS(2444),
    [anon_sym_break] = ACTIONS(2444),
    [anon_sym_continue] = ACTIONS(2444),
    [anon_sym_goto] = ACTIONS(2444),
    [anon_sym___try] = ACTIONS(2444),
    [anon_sym___leave] = ACTIONS(2444),
    [anon_sym_not] = ACTIONS(2444),
    [anon_sym_compl] = ACTIONS(2444),
    [anon_sym_DASH_DASH] = ACTIONS(2446),
    [anon_sym_PLUS_PLUS] = ACTIONS(2446),
    [anon_sym_sizeof] = ACTIONS(2444),
    [anon_sym___alignof__] = ACTIONS(2444),
    [anon_sym___alignof] = ACTIONS(2444),
    [anon_sym__alignof] = ACTIONS(2444),
    [anon_sym_alignof] = ACTIONS(2444),
    [anon_sym__Alignof] = ACTIONS(2444),
    [anon_sym_offsetof] = ACTIONS(2444),
    [anon_sym__Generic] = ACTIONS(2444),
    [anon_sym_asm] = ACTIONS(2444),
    [anon_sym___asm__] = ACTIONS(2444),
    [sym_number_literal] = ACTIONS(2446),
    [anon_sym_L_SQUOTE] = ACTIONS(2446),
    [anon_sym_u_SQUOTE] = ACTIONS(2446),
    [anon_sym_U_SQUOTE] = ACTIONS(2446),
    [anon_sym_u8_SQUOTE] = ACTIONS(2446),
    [anon_sym_SQUOTE] = ACTIONS(2446),
    [anon_sym_L_DQUOTE] = ACTIONS(2446),
    [anon_sym_u_DQUOTE] = ACTIONS(2446),
    [anon_sym_U_DQUOTE] = ACTIONS(2446),
    [anon_sym_u8_DQUOTE] = ACTIONS(2446),
    [anon_sym_DQUOTE] = ACTIONS(2446),
    [sym_true] = ACTIONS(2444),
    [sym_false] = ACTIONS(2444),
    [anon_sym_NULL] = ACTIONS(2444),
    [anon_sym_nullptr] = ACTIONS(2444),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2444),
    [anon_sym_decltype] = ACTIONS(2444),
    [anon_sym_virtual] = ACTIONS(2444),
    [anon_sym_alignas] = ACTIONS(2444),
    [anon_sym_typename] = ACTIONS(2444),
    [anon_sym_template] = ACTIONS(2444),
    [anon_sym_try] = ACTIONS(2444),
    [anon_sym_delete] = ACTIONS(2444),
    [anon_sym_throw] = ACTIONS(2444),
    [anon_sym_co_return] = ACTIONS(2444),
    [anon_sym_co_yield] = ACTIONS(2444),
    [anon_sym_R_DQUOTE] = ACTIONS(2446),
    [anon_sym_LR_DQUOTE] = ACTIONS(2446),
    [anon_sym_uR_DQUOTE] = ACTIONS(2446),
    [anon_sym_UR_DQUOTE] = ACTIONS(2446),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2446),
    [anon_sym_co_await] = ACTIONS(2444),
    [anon_sym_new] = ACTIONS(2444),
    [anon_sym_requires] = ACTIONS(2444),
    [sym_this] = ACTIONS(2444),
    [anon_sym_discard] = ACTIONS(2444),
    [anon_sym_precise] = ACTIONS(2444),
    [anon_sym_shared] = ACTIONS(2444),
    [anon_sym_groupshared] = ACTIONS(2444),
    [anon_sym_uniform] = ACTIONS(2444),
    [anon_sym_row_major] = ACTIONS(2444),
    [anon_sym_column_major] = ACTIONS(2444),
    [anon_sym_globallycoherent] = ACTIONS(2444),
    [anon_sym_centroid] = ACTIONS(2444),
    [anon_sym_noperspective] = ACTIONS(2444),
    [anon_sym_nointerpolation] = ACTIONS(2444),
    [anon_sym_sample] = ACTIONS(2444),
    [anon_sym_linear] = ACTIONS(2444),
    [anon_sym_snorm] = ACTIONS(2444),
    [anon_sym_unorm] = ACTIONS(2444),
    [anon_sym_point] = ACTIONS(2444),
    [anon_sym_line] = ACTIONS(2444),
    [anon_sym_triangleadj] = ACTIONS(2444),
    [anon_sym_lineadj] = ACTIONS(2444),
    [anon_sym_triangle] = ACTIONS(2444),
    [anon_sym_cbuffer] = ACTIONS(2444),
  },
  [1611] = {
    [sym_identifier] = ACTIONS(2364),
    [anon_sym_LPAREN2] = ACTIONS(2366),
    [anon_sym_BANG] = ACTIONS(2366),
    [anon_sym_TILDE] = ACTIONS(2366),
    [anon_sym_DASH] = ACTIONS(2364),
    [anon_sym_PLUS] = ACTIONS(2364),
    [anon_sym_STAR] = ACTIONS(2366),
    [anon_sym_AMP] = ACTIONS(2366),
    [anon_sym_SEMI] = ACTIONS(2366),
    [anon_sym___extension__] = ACTIONS(2364),
    [anon_sym_typedef] = ACTIONS(2364),
    [anon_sym_in] = ACTIONS(2364),
    [anon_sym_out] = ACTIONS(2364),
    [anon_sym_inout] = ACTIONS(2364),
    [anon_sym_extern] = ACTIONS(2364),
    [anon_sym___attribute__] = ACTIONS(2364),
    [anon_sym_COLON_COLON] = ACTIONS(2366),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2366),
    [anon_sym___declspec] = ACTIONS(2364),
    [anon_sym_LBRACE] = ACTIONS(2366),
    [anon_sym_signed] = ACTIONS(2364),
    [anon_sym_unsigned] = ACTIONS(2364),
    [anon_sym_long] = ACTIONS(2364),
    [anon_sym_short] = ACTIONS(2364),
    [anon_sym_LBRACK] = ACTIONS(2364),
    [anon_sym_static] = ACTIONS(2364),
    [anon_sym_register] = ACTIONS(2364),
    [anon_sym_inline] = ACTIONS(2364),
    [anon_sym___inline] = ACTIONS(2364),
    [anon_sym___inline__] = ACTIONS(2364),
    [anon_sym___forceinline] = ACTIONS(2364),
    [anon_sym_thread_local] = ACTIONS(2364),
    [anon_sym___thread] = ACTIONS(2364),
    [anon_sym_const] = ACTIONS(2364),
    [anon_sym_constexpr] = ACTIONS(2364),
    [anon_sym_volatile] = ACTIONS(2364),
    [anon_sym_restrict] = ACTIONS(2364),
    [anon_sym___restrict__] = ACTIONS(2364),
    [anon_sym__Atomic] = ACTIONS(2364),
    [anon_sym__Noreturn] = ACTIONS(2364),
    [anon_sym_noreturn] = ACTIONS(2364),
    [anon_sym_mutable] = ACTIONS(2364),
    [anon_sym_constinit] = ACTIONS(2364),
    [anon_sym_consteval] = ACTIONS(2364),
    [sym_primitive_type] = ACTIONS(2364),
    [anon_sym_enum] = ACTIONS(2364),
    [anon_sym_class] = ACTIONS(2364),
    [anon_sym_struct] = ACTIONS(2364),
    [anon_sym_union] = ACTIONS(2364),
    [anon_sym_if] = ACTIONS(2364),
    [anon_sym_else] = ACTIONS(2364),
    [anon_sym_switch] = ACTIONS(2364),
    [anon_sym_while] = ACTIONS(2364),
    [anon_sym_do] = ACTIONS(2364),
    [anon_sym_for] = ACTIONS(2364),
    [anon_sym_return] = ACTIONS(2364),
    [anon_sym_break] = ACTIONS(2364),
    [anon_sym_continue] = ACTIONS(2364),
    [anon_sym_goto] = ACTIONS(2364),
    [anon_sym___try] = ACTIONS(2364),
    [anon_sym___leave] = ACTIONS(2364),
    [anon_sym_not] = ACTIONS(2364),
    [anon_sym_compl] = ACTIONS(2364),
    [anon_sym_DASH_DASH] = ACTIONS(2366),
    [anon_sym_PLUS_PLUS] = ACTIONS(2366),
    [anon_sym_sizeof] = ACTIONS(2364),
    [anon_sym___alignof__] = ACTIONS(2364),
    [anon_sym___alignof] = ACTIONS(2364),
    [anon_sym__alignof] = ACTIONS(2364),
    [anon_sym_alignof] = ACTIONS(2364),
    [anon_sym__Alignof] = ACTIONS(2364),
    [anon_sym_offsetof] = ACTIONS(2364),
    [anon_sym__Generic] = ACTIONS(2364),
    [anon_sym_asm] = ACTIONS(2364),
    [anon_sym___asm__] = ACTIONS(2364),
    [sym_number_literal] = ACTIONS(2366),
    [anon_sym_L_SQUOTE] = ACTIONS(2366),
    [anon_sym_u_SQUOTE] = ACTIONS(2366),
    [anon_sym_U_SQUOTE] = ACTIONS(2366),
    [anon_sym_u8_SQUOTE] = ACTIONS(2366),
    [anon_sym_SQUOTE] = ACTIONS(2366),
    [anon_sym_L_DQUOTE] = ACTIONS(2366),
    [anon_sym_u_DQUOTE] = ACTIONS(2366),
    [anon_sym_U_DQUOTE] = ACTIONS(2366),
    [anon_sym_u8_DQUOTE] = ACTIONS(2366),
    [anon_sym_DQUOTE] = ACTIONS(2366),
    [sym_true] = ACTIONS(2364),
    [sym_false] = ACTIONS(2364),
    [anon_sym_NULL] = ACTIONS(2364),
    [anon_sym_nullptr] = ACTIONS(2364),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2364),
    [anon_sym_decltype] = ACTIONS(2364),
    [anon_sym_virtual] = ACTIONS(2364),
    [anon_sym_alignas] = ACTIONS(2364),
    [anon_sym_typename] = ACTIONS(2364),
    [anon_sym_template] = ACTIONS(2364),
    [anon_sym_try] = ACTIONS(2364),
    [anon_sym_delete] = ACTIONS(2364),
    [anon_sym_throw] = ACTIONS(2364),
    [anon_sym_co_return] = ACTIONS(2364),
    [anon_sym_co_yield] = ACTIONS(2364),
    [anon_sym_R_DQUOTE] = ACTIONS(2366),
    [anon_sym_LR_DQUOTE] = ACTIONS(2366),
    [anon_sym_uR_DQUOTE] = ACTIONS(2366),
    [anon_sym_UR_DQUOTE] = ACTIONS(2366),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2366),
    [anon_sym_co_await] = ACTIONS(2364),
    [anon_sym_new] = ACTIONS(2364),
    [anon_sym_requires] = ACTIONS(2364),
    [sym_this] = ACTIONS(2364),
    [anon_sym_discard] = ACTIONS(2364),
    [anon_sym_precise] = ACTIONS(2364),
    [anon_sym_shared] = ACTIONS(2364),
    [anon_sym_groupshared] = ACTIONS(2364),
    [anon_sym_uniform] = ACTIONS(2364),
    [anon_sym_row_major] = ACTIONS(2364),
    [anon_sym_column_major] = ACTIONS(2364),
    [anon_sym_globallycoherent] = ACTIONS(2364),
    [anon_sym_centroid] = ACTIONS(2364),
    [anon_sym_noperspective] = ACTIONS(2364),
    [anon_sym_nointerpolation] = ACTIONS(2364),
    [anon_sym_sample] = ACTIONS(2364),
    [anon_sym_linear] = ACTIONS(2364),
    [anon_sym_snorm] = ACTIONS(2364),
    [anon_sym_unorm] = ACTIONS(2364),
    [anon_sym_point] = ACTIONS(2364),
    [anon_sym_line] = ACTIONS(2364),
    [anon_sym_triangleadj] = ACTIONS(2364),
    [anon_sym_lineadj] = ACTIONS(2364),
    [anon_sym_triangle] = ACTIONS(2364),
    [anon_sym_cbuffer] = ACTIONS(2364),
  },
  [1612] = {
    [sym_identifier] = ACTIONS(2452),
    [anon_sym_LPAREN2] = ACTIONS(2454),
    [anon_sym_BANG] = ACTIONS(2454),
    [anon_sym_TILDE] = ACTIONS(2454),
    [anon_sym_DASH] = ACTIONS(2452),
    [anon_sym_PLUS] = ACTIONS(2452),
    [anon_sym_STAR] = ACTIONS(2454),
    [anon_sym_AMP] = ACTIONS(2454),
    [anon_sym_SEMI] = ACTIONS(2454),
    [anon_sym___extension__] = ACTIONS(2452),
    [anon_sym_typedef] = ACTIONS(2452),
    [anon_sym_in] = ACTIONS(2452),
    [anon_sym_out] = ACTIONS(2452),
    [anon_sym_inout] = ACTIONS(2452),
    [anon_sym_extern] = ACTIONS(2452),
    [anon_sym___attribute__] = ACTIONS(2452),
    [anon_sym_COLON_COLON] = ACTIONS(2454),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2454),
    [anon_sym___declspec] = ACTIONS(2452),
    [anon_sym_LBRACE] = ACTIONS(2454),
    [anon_sym_signed] = ACTIONS(2452),
    [anon_sym_unsigned] = ACTIONS(2452),
    [anon_sym_long] = ACTIONS(2452),
    [anon_sym_short] = ACTIONS(2452),
    [anon_sym_LBRACK] = ACTIONS(2452),
    [anon_sym_static] = ACTIONS(2452),
    [anon_sym_register] = ACTIONS(2452),
    [anon_sym_inline] = ACTIONS(2452),
    [anon_sym___inline] = ACTIONS(2452),
    [anon_sym___inline__] = ACTIONS(2452),
    [anon_sym___forceinline] = ACTIONS(2452),
    [anon_sym_thread_local] = ACTIONS(2452),
    [anon_sym___thread] = ACTIONS(2452),
    [anon_sym_const] = ACTIONS(2452),
    [anon_sym_constexpr] = ACTIONS(2452),
    [anon_sym_volatile] = ACTIONS(2452),
    [anon_sym_restrict] = ACTIONS(2452),
    [anon_sym___restrict__] = ACTIONS(2452),
    [anon_sym__Atomic] = ACTIONS(2452),
    [anon_sym__Noreturn] = ACTIONS(2452),
    [anon_sym_noreturn] = ACTIONS(2452),
    [anon_sym_mutable] = ACTIONS(2452),
    [anon_sym_constinit] = ACTIONS(2452),
    [anon_sym_consteval] = ACTIONS(2452),
    [sym_primitive_type] = ACTIONS(2452),
    [anon_sym_enum] = ACTIONS(2452),
    [anon_sym_class] = ACTIONS(2452),
    [anon_sym_struct] = ACTIONS(2452),
    [anon_sym_union] = ACTIONS(2452),
    [anon_sym_if] = ACTIONS(2452),
    [anon_sym_else] = ACTIONS(2452),
    [anon_sym_switch] = ACTIONS(2452),
    [anon_sym_while] = ACTIONS(2452),
    [anon_sym_do] = ACTIONS(2452),
    [anon_sym_for] = ACTIONS(2452),
    [anon_sym_return] = ACTIONS(2452),
    [anon_sym_break] = ACTIONS(2452),
    [anon_sym_continue] = ACTIONS(2452),
    [anon_sym_goto] = ACTIONS(2452),
    [anon_sym___try] = ACTIONS(2452),
    [anon_sym___leave] = ACTIONS(2452),
    [anon_sym_not] = ACTIONS(2452),
    [anon_sym_compl] = ACTIONS(2452),
    [anon_sym_DASH_DASH] = ACTIONS(2454),
    [anon_sym_PLUS_PLUS] = ACTIONS(2454),
    [anon_sym_sizeof] = ACTIONS(2452),
    [anon_sym___alignof__] = ACTIONS(2452),
    [anon_sym___alignof] = ACTIONS(2452),
    [anon_sym__alignof] = ACTIONS(2452),
    [anon_sym_alignof] = ACTIONS(2452),
    [anon_sym__Alignof] = ACTIONS(2452),
    [anon_sym_offsetof] = ACTIONS(2452),
    [anon_sym__Generic] = ACTIONS(2452),
    [anon_sym_asm] = ACTIONS(2452),
    [anon_sym___asm__] = ACTIONS(2452),
    [sym_number_literal] = ACTIONS(2454),
    [anon_sym_L_SQUOTE] = ACTIONS(2454),
    [anon_sym_u_SQUOTE] = ACTIONS(2454),
    [anon_sym_U_SQUOTE] = ACTIONS(2454),
    [anon_sym_u8_SQUOTE] = ACTIONS(2454),
    [anon_sym_SQUOTE] = ACTIONS(2454),
    [anon_sym_L_DQUOTE] = ACTIONS(2454),
    [anon_sym_u_DQUOTE] = ACTIONS(2454),
    [anon_sym_U_DQUOTE] = ACTIONS(2454),
    [anon_sym_u8_DQUOTE] = ACTIONS(2454),
    [anon_sym_DQUOTE] = ACTIONS(2454),
    [sym_true] = ACTIONS(2452),
    [sym_false] = ACTIONS(2452),
    [anon_sym_NULL] = ACTIONS(2452),
    [anon_sym_nullptr] = ACTIONS(2452),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2452),
    [anon_sym_decltype] = ACTIONS(2452),
    [anon_sym_virtual] = ACTIONS(2452),
    [anon_sym_alignas] = ACTIONS(2452),
    [anon_sym_typename] = ACTIONS(2452),
    [anon_sym_template] = ACTIONS(2452),
    [anon_sym_try] = ACTIONS(2452),
    [anon_sym_delete] = ACTIONS(2452),
    [anon_sym_throw] = ACTIONS(2452),
    [anon_sym_co_return] = ACTIONS(2452),
    [anon_sym_co_yield] = ACTIONS(2452),
    [anon_sym_R_DQUOTE] = ACTIONS(2454),
    [anon_sym_LR_DQUOTE] = ACTIONS(2454),
    [anon_sym_uR_DQUOTE] = ACTIONS(2454),
    [anon_sym_UR_DQUOTE] = ACTIONS(2454),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2454),
    [anon_sym_co_await] = ACTIONS(2452),
    [anon_sym_new] = ACTIONS(2452),
    [anon_sym_requires] = ACTIONS(2452),
    [sym_this] = ACTIONS(2452),
    [anon_sym_discard] = ACTIONS(2452),
    [anon_sym_precise] = ACTIONS(2452),
    [anon_sym_shared] = ACTIONS(2452),
    [anon_sym_groupshared] = ACTIONS(2452),
    [anon_sym_uniform] = ACTIONS(2452),
    [anon_sym_row_major] = ACTIONS(2452),
    [anon_sym_column_major] = ACTIONS(2452),
    [anon_sym_globallycoherent] = ACTIONS(2452),
    [anon_sym_centroid] = ACTIONS(2452),
    [anon_sym_noperspective] = ACTIONS(2452),
    [anon_sym_nointerpolation] = ACTIONS(2452),
    [anon_sym_sample] = ACTIONS(2452),
    [anon_sym_linear] = ACTIONS(2452),
    [anon_sym_snorm] = ACTIONS(2452),
    [anon_sym_unorm] = ACTIONS(2452),
    [anon_sym_point] = ACTIONS(2452),
    [anon_sym_line] = ACTIONS(2452),
    [anon_sym_triangleadj] = ACTIONS(2452),
    [anon_sym_lineadj] = ACTIONS(2452),
    [anon_sym_triangle] = ACTIONS(2452),
    [anon_sym_cbuffer] = ACTIONS(2452),
  },
  [1613] = {
    [sym_identifier] = ACTIONS(2444),
    [anon_sym_LPAREN2] = ACTIONS(2446),
    [anon_sym_BANG] = ACTIONS(2446),
    [anon_sym_TILDE] = ACTIONS(2446),
    [anon_sym_DASH] = ACTIONS(2444),
    [anon_sym_PLUS] = ACTIONS(2444),
    [anon_sym_STAR] = ACTIONS(2446),
    [anon_sym_AMP] = ACTIONS(2446),
    [anon_sym_SEMI] = ACTIONS(2446),
    [anon_sym___extension__] = ACTIONS(2444),
    [anon_sym_typedef] = ACTIONS(2444),
    [anon_sym_in] = ACTIONS(2444),
    [anon_sym_out] = ACTIONS(2444),
    [anon_sym_inout] = ACTIONS(2444),
    [anon_sym_extern] = ACTIONS(2444),
    [anon_sym___attribute__] = ACTIONS(2444),
    [anon_sym_COLON_COLON] = ACTIONS(2446),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2446),
    [anon_sym___declspec] = ACTIONS(2444),
    [anon_sym_LBRACE] = ACTIONS(2446),
    [anon_sym_signed] = ACTIONS(2444),
    [anon_sym_unsigned] = ACTIONS(2444),
    [anon_sym_long] = ACTIONS(2444),
    [anon_sym_short] = ACTIONS(2444),
    [anon_sym_LBRACK] = ACTIONS(2444),
    [anon_sym_static] = ACTIONS(2444),
    [anon_sym_register] = ACTIONS(2444),
    [anon_sym_inline] = ACTIONS(2444),
    [anon_sym___inline] = ACTIONS(2444),
    [anon_sym___inline__] = ACTIONS(2444),
    [anon_sym___forceinline] = ACTIONS(2444),
    [anon_sym_thread_local] = ACTIONS(2444),
    [anon_sym___thread] = ACTIONS(2444),
    [anon_sym_const] = ACTIONS(2444),
    [anon_sym_constexpr] = ACTIONS(2444),
    [anon_sym_volatile] = ACTIONS(2444),
    [anon_sym_restrict] = ACTIONS(2444),
    [anon_sym___restrict__] = ACTIONS(2444),
    [anon_sym__Atomic] = ACTIONS(2444),
    [anon_sym__Noreturn] = ACTIONS(2444),
    [anon_sym_noreturn] = ACTIONS(2444),
    [anon_sym_mutable] = ACTIONS(2444),
    [anon_sym_constinit] = ACTIONS(2444),
    [anon_sym_consteval] = ACTIONS(2444),
    [sym_primitive_type] = ACTIONS(2444),
    [anon_sym_enum] = ACTIONS(2444),
    [anon_sym_class] = ACTIONS(2444),
    [anon_sym_struct] = ACTIONS(2444),
    [anon_sym_union] = ACTIONS(2444),
    [anon_sym_if] = ACTIONS(2444),
    [anon_sym_else] = ACTIONS(2444),
    [anon_sym_switch] = ACTIONS(2444),
    [anon_sym_while] = ACTIONS(2444),
    [anon_sym_do] = ACTIONS(2444),
    [anon_sym_for] = ACTIONS(2444),
    [anon_sym_return] = ACTIONS(2444),
    [anon_sym_break] = ACTIONS(2444),
    [anon_sym_continue] = ACTIONS(2444),
    [anon_sym_goto] = ACTIONS(2444),
    [anon_sym___try] = ACTIONS(2444),
    [anon_sym___leave] = ACTIONS(2444),
    [anon_sym_not] = ACTIONS(2444),
    [anon_sym_compl] = ACTIONS(2444),
    [anon_sym_DASH_DASH] = ACTIONS(2446),
    [anon_sym_PLUS_PLUS] = ACTIONS(2446),
    [anon_sym_sizeof] = ACTIONS(2444),
    [anon_sym___alignof__] = ACTIONS(2444),
    [anon_sym___alignof] = ACTIONS(2444),
    [anon_sym__alignof] = ACTIONS(2444),
    [anon_sym_alignof] = ACTIONS(2444),
    [anon_sym__Alignof] = ACTIONS(2444),
    [anon_sym_offsetof] = ACTIONS(2444),
    [anon_sym__Generic] = ACTIONS(2444),
    [anon_sym_asm] = ACTIONS(2444),
    [anon_sym___asm__] = ACTIONS(2444),
    [sym_number_literal] = ACTIONS(2446),
    [anon_sym_L_SQUOTE] = ACTIONS(2446),
    [anon_sym_u_SQUOTE] = ACTIONS(2446),
    [anon_sym_U_SQUOTE] = ACTIONS(2446),
    [anon_sym_u8_SQUOTE] = ACTIONS(2446),
    [anon_sym_SQUOTE] = ACTIONS(2446),
    [anon_sym_L_DQUOTE] = ACTIONS(2446),
    [anon_sym_u_DQUOTE] = ACTIONS(2446),
    [anon_sym_U_DQUOTE] = ACTIONS(2446),
    [anon_sym_u8_DQUOTE] = ACTIONS(2446),
    [anon_sym_DQUOTE] = ACTIONS(2446),
    [sym_true] = ACTIONS(2444),
    [sym_false] = ACTIONS(2444),
    [anon_sym_NULL] = ACTIONS(2444),
    [anon_sym_nullptr] = ACTIONS(2444),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2444),
    [anon_sym_decltype] = ACTIONS(2444),
    [anon_sym_virtual] = ACTIONS(2444),
    [anon_sym_alignas] = ACTIONS(2444),
    [anon_sym_typename] = ACTIONS(2444),
    [anon_sym_template] = ACTIONS(2444),
    [anon_sym_try] = ACTIONS(2444),
    [anon_sym_delete] = ACTIONS(2444),
    [anon_sym_throw] = ACTIONS(2444),
    [anon_sym_co_return] = ACTIONS(2444),
    [anon_sym_co_yield] = ACTIONS(2444),
    [anon_sym_R_DQUOTE] = ACTIONS(2446),
    [anon_sym_LR_DQUOTE] = ACTIONS(2446),
    [anon_sym_uR_DQUOTE] = ACTIONS(2446),
    [anon_sym_UR_DQUOTE] = ACTIONS(2446),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2446),
    [anon_sym_co_await] = ACTIONS(2444),
    [anon_sym_new] = ACTIONS(2444),
    [anon_sym_requires] = ACTIONS(2444),
    [sym_this] = ACTIONS(2444),
    [anon_sym_discard] = ACTIONS(2444),
    [anon_sym_precise] = ACTIONS(2444),
    [anon_sym_shared] = ACTIONS(2444),
    [anon_sym_groupshared] = ACTIONS(2444),
    [anon_sym_uniform] = ACTIONS(2444),
    [anon_sym_row_major] = ACTIONS(2444),
    [anon_sym_column_major] = ACTIONS(2444),
    [anon_sym_globallycoherent] = ACTIONS(2444),
    [anon_sym_centroid] = ACTIONS(2444),
    [anon_sym_noperspective] = ACTIONS(2444),
    [anon_sym_nointerpolation] = ACTIONS(2444),
    [anon_sym_sample] = ACTIONS(2444),
    [anon_sym_linear] = ACTIONS(2444),
    [anon_sym_snorm] = ACTIONS(2444),
    [anon_sym_unorm] = ACTIONS(2444),
    [anon_sym_point] = ACTIONS(2444),
    [anon_sym_line] = ACTIONS(2444),
    [anon_sym_triangleadj] = ACTIONS(2444),
    [anon_sym_lineadj] = ACTIONS(2444),
    [anon_sym_triangle] = ACTIONS(2444),
    [anon_sym_cbuffer] = ACTIONS(2444),
  },
  [1614] = {
    [sym_identifier] = ACTIONS(2444),
    [anon_sym_LPAREN2] = ACTIONS(2446),
    [anon_sym_BANG] = ACTIONS(2446),
    [anon_sym_TILDE] = ACTIONS(2446),
    [anon_sym_DASH] = ACTIONS(2444),
    [anon_sym_PLUS] = ACTIONS(2444),
    [anon_sym_STAR] = ACTIONS(2446),
    [anon_sym_AMP] = ACTIONS(2446),
    [anon_sym_SEMI] = ACTIONS(2446),
    [anon_sym___extension__] = ACTIONS(2444),
    [anon_sym_typedef] = ACTIONS(2444),
    [anon_sym_in] = ACTIONS(2444),
    [anon_sym_out] = ACTIONS(2444),
    [anon_sym_inout] = ACTIONS(2444),
    [anon_sym_extern] = ACTIONS(2444),
    [anon_sym___attribute__] = ACTIONS(2444),
    [anon_sym_COLON_COLON] = ACTIONS(2446),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2446),
    [anon_sym___declspec] = ACTIONS(2444),
    [anon_sym_LBRACE] = ACTIONS(2446),
    [anon_sym_signed] = ACTIONS(2444),
    [anon_sym_unsigned] = ACTIONS(2444),
    [anon_sym_long] = ACTIONS(2444),
    [anon_sym_short] = ACTIONS(2444),
    [anon_sym_LBRACK] = ACTIONS(2444),
    [anon_sym_static] = ACTIONS(2444),
    [anon_sym_register] = ACTIONS(2444),
    [anon_sym_inline] = ACTIONS(2444),
    [anon_sym___inline] = ACTIONS(2444),
    [anon_sym___inline__] = ACTIONS(2444),
    [anon_sym___forceinline] = ACTIONS(2444),
    [anon_sym_thread_local] = ACTIONS(2444),
    [anon_sym___thread] = ACTIONS(2444),
    [anon_sym_const] = ACTIONS(2444),
    [anon_sym_constexpr] = ACTIONS(2444),
    [anon_sym_volatile] = ACTIONS(2444),
    [anon_sym_restrict] = ACTIONS(2444),
    [anon_sym___restrict__] = ACTIONS(2444),
    [anon_sym__Atomic] = ACTIONS(2444),
    [anon_sym__Noreturn] = ACTIONS(2444),
    [anon_sym_noreturn] = ACTIONS(2444),
    [anon_sym_mutable] = ACTIONS(2444),
    [anon_sym_constinit] = ACTIONS(2444),
    [anon_sym_consteval] = ACTIONS(2444),
    [sym_primitive_type] = ACTIONS(2444),
    [anon_sym_enum] = ACTIONS(2444),
    [anon_sym_class] = ACTIONS(2444),
    [anon_sym_struct] = ACTIONS(2444),
    [anon_sym_union] = ACTIONS(2444),
    [anon_sym_if] = ACTIONS(2444),
    [anon_sym_else] = ACTIONS(2444),
    [anon_sym_switch] = ACTIONS(2444),
    [anon_sym_while] = ACTIONS(2444),
    [anon_sym_do] = ACTIONS(2444),
    [anon_sym_for] = ACTIONS(2444),
    [anon_sym_return] = ACTIONS(2444),
    [anon_sym_break] = ACTIONS(2444),
    [anon_sym_continue] = ACTIONS(2444),
    [anon_sym_goto] = ACTIONS(2444),
    [anon_sym___try] = ACTIONS(2444),
    [anon_sym___leave] = ACTIONS(2444),
    [anon_sym_not] = ACTIONS(2444),
    [anon_sym_compl] = ACTIONS(2444),
    [anon_sym_DASH_DASH] = ACTIONS(2446),
    [anon_sym_PLUS_PLUS] = ACTIONS(2446),
    [anon_sym_sizeof] = ACTIONS(2444),
    [anon_sym___alignof__] = ACTIONS(2444),
    [anon_sym___alignof] = ACTIONS(2444),
    [anon_sym__alignof] = ACTIONS(2444),
    [anon_sym_alignof] = ACTIONS(2444),
    [anon_sym__Alignof] = ACTIONS(2444),
    [anon_sym_offsetof] = ACTIONS(2444),
    [anon_sym__Generic] = ACTIONS(2444),
    [anon_sym_asm] = ACTIONS(2444),
    [anon_sym___asm__] = ACTIONS(2444),
    [sym_number_literal] = ACTIONS(2446),
    [anon_sym_L_SQUOTE] = ACTIONS(2446),
    [anon_sym_u_SQUOTE] = ACTIONS(2446),
    [anon_sym_U_SQUOTE] = ACTIONS(2446),
    [anon_sym_u8_SQUOTE] = ACTIONS(2446),
    [anon_sym_SQUOTE] = ACTIONS(2446),
    [anon_sym_L_DQUOTE] = ACTIONS(2446),
    [anon_sym_u_DQUOTE] = ACTIONS(2446),
    [anon_sym_U_DQUOTE] = ACTIONS(2446),
    [anon_sym_u8_DQUOTE] = ACTIONS(2446),
    [anon_sym_DQUOTE] = ACTIONS(2446),
    [sym_true] = ACTIONS(2444),
    [sym_false] = ACTIONS(2444),
    [anon_sym_NULL] = ACTIONS(2444),
    [anon_sym_nullptr] = ACTIONS(2444),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2444),
    [anon_sym_decltype] = ACTIONS(2444),
    [anon_sym_virtual] = ACTIONS(2444),
    [anon_sym_alignas] = ACTIONS(2444),
    [anon_sym_typename] = ACTIONS(2444),
    [anon_sym_template] = ACTIONS(2444),
    [anon_sym_try] = ACTIONS(2444),
    [anon_sym_delete] = ACTIONS(2444),
    [anon_sym_throw] = ACTIONS(2444),
    [anon_sym_co_return] = ACTIONS(2444),
    [anon_sym_co_yield] = ACTIONS(2444),
    [anon_sym_R_DQUOTE] = ACTIONS(2446),
    [anon_sym_LR_DQUOTE] = ACTIONS(2446),
    [anon_sym_uR_DQUOTE] = ACTIONS(2446),
    [anon_sym_UR_DQUOTE] = ACTIONS(2446),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2446),
    [anon_sym_co_await] = ACTIONS(2444),
    [anon_sym_new] = ACTIONS(2444),
    [anon_sym_requires] = ACTIONS(2444),
    [sym_this] = ACTIONS(2444),
    [anon_sym_discard] = ACTIONS(2444),
    [anon_sym_precise] = ACTIONS(2444),
    [anon_sym_shared] = ACTIONS(2444),
    [anon_sym_groupshared] = ACTIONS(2444),
    [anon_sym_uniform] = ACTIONS(2444),
    [anon_sym_row_major] = ACTIONS(2444),
    [anon_sym_column_major] = ACTIONS(2444),
    [anon_sym_globallycoherent] = ACTIONS(2444),
    [anon_sym_centroid] = ACTIONS(2444),
    [anon_sym_noperspective] = ACTIONS(2444),
    [anon_sym_nointerpolation] = ACTIONS(2444),
    [anon_sym_sample] = ACTIONS(2444),
    [anon_sym_linear] = ACTIONS(2444),
    [anon_sym_snorm] = ACTIONS(2444),
    [anon_sym_unorm] = ACTIONS(2444),
    [anon_sym_point] = ACTIONS(2444),
    [anon_sym_line] = ACTIONS(2444),
    [anon_sym_triangleadj] = ACTIONS(2444),
    [anon_sym_lineadj] = ACTIONS(2444),
    [anon_sym_triangle] = ACTIONS(2444),
    [anon_sym_cbuffer] = ACTIONS(2444),
  },
  [1615] = {
    [sym_identifier] = ACTIONS(2444),
    [anon_sym_LPAREN2] = ACTIONS(2446),
    [anon_sym_BANG] = ACTIONS(2446),
    [anon_sym_TILDE] = ACTIONS(2446),
    [anon_sym_DASH] = ACTIONS(2444),
    [anon_sym_PLUS] = ACTIONS(2444),
    [anon_sym_STAR] = ACTIONS(2446),
    [anon_sym_AMP] = ACTIONS(2446),
    [anon_sym_SEMI] = ACTIONS(2446),
    [anon_sym___extension__] = ACTIONS(2444),
    [anon_sym_typedef] = ACTIONS(2444),
    [anon_sym_in] = ACTIONS(2444),
    [anon_sym_out] = ACTIONS(2444),
    [anon_sym_inout] = ACTIONS(2444),
    [anon_sym_extern] = ACTIONS(2444),
    [anon_sym___attribute__] = ACTIONS(2444),
    [anon_sym_COLON_COLON] = ACTIONS(2446),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2446),
    [anon_sym___declspec] = ACTIONS(2444),
    [anon_sym_LBRACE] = ACTIONS(2446),
    [anon_sym_signed] = ACTIONS(2444),
    [anon_sym_unsigned] = ACTIONS(2444),
    [anon_sym_long] = ACTIONS(2444),
    [anon_sym_short] = ACTIONS(2444),
    [anon_sym_LBRACK] = ACTIONS(2444),
    [anon_sym_static] = ACTIONS(2444),
    [anon_sym_register] = ACTIONS(2444),
    [anon_sym_inline] = ACTIONS(2444),
    [anon_sym___inline] = ACTIONS(2444),
    [anon_sym___inline__] = ACTIONS(2444),
    [anon_sym___forceinline] = ACTIONS(2444),
    [anon_sym_thread_local] = ACTIONS(2444),
    [anon_sym___thread] = ACTIONS(2444),
    [anon_sym_const] = ACTIONS(2444),
    [anon_sym_constexpr] = ACTIONS(2444),
    [anon_sym_volatile] = ACTIONS(2444),
    [anon_sym_restrict] = ACTIONS(2444),
    [anon_sym___restrict__] = ACTIONS(2444),
    [anon_sym__Atomic] = ACTIONS(2444),
    [anon_sym__Noreturn] = ACTIONS(2444),
    [anon_sym_noreturn] = ACTIONS(2444),
    [anon_sym_mutable] = ACTIONS(2444),
    [anon_sym_constinit] = ACTIONS(2444),
    [anon_sym_consteval] = ACTIONS(2444),
    [sym_primitive_type] = ACTIONS(2444),
    [anon_sym_enum] = ACTIONS(2444),
    [anon_sym_class] = ACTIONS(2444),
    [anon_sym_struct] = ACTIONS(2444),
    [anon_sym_union] = ACTIONS(2444),
    [anon_sym_if] = ACTIONS(2444),
    [anon_sym_else] = ACTIONS(2444),
    [anon_sym_switch] = ACTIONS(2444),
    [anon_sym_while] = ACTIONS(2444),
    [anon_sym_do] = ACTIONS(2444),
    [anon_sym_for] = ACTIONS(2444),
    [anon_sym_return] = ACTIONS(2444),
    [anon_sym_break] = ACTIONS(2444),
    [anon_sym_continue] = ACTIONS(2444),
    [anon_sym_goto] = ACTIONS(2444),
    [anon_sym___try] = ACTIONS(2444),
    [anon_sym___leave] = ACTIONS(2444),
    [anon_sym_not] = ACTIONS(2444),
    [anon_sym_compl] = ACTIONS(2444),
    [anon_sym_DASH_DASH] = ACTIONS(2446),
    [anon_sym_PLUS_PLUS] = ACTIONS(2446),
    [anon_sym_sizeof] = ACTIONS(2444),
    [anon_sym___alignof__] = ACTIONS(2444),
    [anon_sym___alignof] = ACTIONS(2444),
    [anon_sym__alignof] = ACTIONS(2444),
    [anon_sym_alignof] = ACTIONS(2444),
    [anon_sym__Alignof] = ACTIONS(2444),
    [anon_sym_offsetof] = ACTIONS(2444),
    [anon_sym__Generic] = ACTIONS(2444),
    [anon_sym_asm] = ACTIONS(2444),
    [anon_sym___asm__] = ACTIONS(2444),
    [sym_number_literal] = ACTIONS(2446),
    [anon_sym_L_SQUOTE] = ACTIONS(2446),
    [anon_sym_u_SQUOTE] = ACTIONS(2446),
    [anon_sym_U_SQUOTE] = ACTIONS(2446),
    [anon_sym_u8_SQUOTE] = ACTIONS(2446),
    [anon_sym_SQUOTE] = ACTIONS(2446),
    [anon_sym_L_DQUOTE] = ACTIONS(2446),
    [anon_sym_u_DQUOTE] = ACTIONS(2446),
    [anon_sym_U_DQUOTE] = ACTIONS(2446),
    [anon_sym_u8_DQUOTE] = ACTIONS(2446),
    [anon_sym_DQUOTE] = ACTIONS(2446),
    [sym_true] = ACTIONS(2444),
    [sym_false] = ACTIONS(2444),
    [anon_sym_NULL] = ACTIONS(2444),
    [anon_sym_nullptr] = ACTIONS(2444),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2444),
    [anon_sym_decltype] = ACTIONS(2444),
    [anon_sym_virtual] = ACTIONS(2444),
    [anon_sym_alignas] = ACTIONS(2444),
    [anon_sym_typename] = ACTIONS(2444),
    [anon_sym_template] = ACTIONS(2444),
    [anon_sym_try] = ACTIONS(2444),
    [anon_sym_delete] = ACTIONS(2444),
    [anon_sym_throw] = ACTIONS(2444),
    [anon_sym_co_return] = ACTIONS(2444),
    [anon_sym_co_yield] = ACTIONS(2444),
    [anon_sym_R_DQUOTE] = ACTIONS(2446),
    [anon_sym_LR_DQUOTE] = ACTIONS(2446),
    [anon_sym_uR_DQUOTE] = ACTIONS(2446),
    [anon_sym_UR_DQUOTE] = ACTIONS(2446),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2446),
    [anon_sym_co_await] = ACTIONS(2444),
    [anon_sym_new] = ACTIONS(2444),
    [anon_sym_requires] = ACTIONS(2444),
    [sym_this] = ACTIONS(2444),
    [anon_sym_discard] = ACTIONS(2444),
    [anon_sym_precise] = ACTIONS(2444),
    [anon_sym_shared] = ACTIONS(2444),
    [anon_sym_groupshared] = ACTIONS(2444),
    [anon_sym_uniform] = ACTIONS(2444),
    [anon_sym_row_major] = ACTIONS(2444),
    [anon_sym_column_major] = ACTIONS(2444),
    [anon_sym_globallycoherent] = ACTIONS(2444),
    [anon_sym_centroid] = ACTIONS(2444),
    [anon_sym_noperspective] = ACTIONS(2444),
    [anon_sym_nointerpolation] = ACTIONS(2444),
    [anon_sym_sample] = ACTIONS(2444),
    [anon_sym_linear] = ACTIONS(2444),
    [anon_sym_snorm] = ACTIONS(2444),
    [anon_sym_unorm] = ACTIONS(2444),
    [anon_sym_point] = ACTIONS(2444),
    [anon_sym_line] = ACTIONS(2444),
    [anon_sym_triangleadj] = ACTIONS(2444),
    [anon_sym_lineadj] = ACTIONS(2444),
    [anon_sym_triangle] = ACTIONS(2444),
    [anon_sym_cbuffer] = ACTIONS(2444),
  },
  [1616] = {
    [sym_identifier] = ACTIONS(2444),
    [anon_sym_LPAREN2] = ACTIONS(2446),
    [anon_sym_BANG] = ACTIONS(2446),
    [anon_sym_TILDE] = ACTIONS(2446),
    [anon_sym_DASH] = ACTIONS(2444),
    [anon_sym_PLUS] = ACTIONS(2444),
    [anon_sym_STAR] = ACTIONS(2446),
    [anon_sym_AMP] = ACTIONS(2446),
    [anon_sym_SEMI] = ACTIONS(2446),
    [anon_sym___extension__] = ACTIONS(2444),
    [anon_sym_typedef] = ACTIONS(2444),
    [anon_sym_in] = ACTIONS(2444),
    [anon_sym_out] = ACTIONS(2444),
    [anon_sym_inout] = ACTIONS(2444),
    [anon_sym_extern] = ACTIONS(2444),
    [anon_sym___attribute__] = ACTIONS(2444),
    [anon_sym_COLON_COLON] = ACTIONS(2446),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2446),
    [anon_sym___declspec] = ACTIONS(2444),
    [anon_sym_LBRACE] = ACTIONS(2446),
    [anon_sym_signed] = ACTIONS(2444),
    [anon_sym_unsigned] = ACTIONS(2444),
    [anon_sym_long] = ACTIONS(2444),
    [anon_sym_short] = ACTIONS(2444),
    [anon_sym_LBRACK] = ACTIONS(2444),
    [anon_sym_static] = ACTIONS(2444),
    [anon_sym_register] = ACTIONS(2444),
    [anon_sym_inline] = ACTIONS(2444),
    [anon_sym___inline] = ACTIONS(2444),
    [anon_sym___inline__] = ACTIONS(2444),
    [anon_sym___forceinline] = ACTIONS(2444),
    [anon_sym_thread_local] = ACTIONS(2444),
    [anon_sym___thread] = ACTIONS(2444),
    [anon_sym_const] = ACTIONS(2444),
    [anon_sym_constexpr] = ACTIONS(2444),
    [anon_sym_volatile] = ACTIONS(2444),
    [anon_sym_restrict] = ACTIONS(2444),
    [anon_sym___restrict__] = ACTIONS(2444),
    [anon_sym__Atomic] = ACTIONS(2444),
    [anon_sym__Noreturn] = ACTIONS(2444),
    [anon_sym_noreturn] = ACTIONS(2444),
    [anon_sym_mutable] = ACTIONS(2444),
    [anon_sym_constinit] = ACTIONS(2444),
    [anon_sym_consteval] = ACTIONS(2444),
    [sym_primitive_type] = ACTIONS(2444),
    [anon_sym_enum] = ACTIONS(2444),
    [anon_sym_class] = ACTIONS(2444),
    [anon_sym_struct] = ACTIONS(2444),
    [anon_sym_union] = ACTIONS(2444),
    [anon_sym_if] = ACTIONS(2444),
    [anon_sym_else] = ACTIONS(2444),
    [anon_sym_switch] = ACTIONS(2444),
    [anon_sym_while] = ACTIONS(2444),
    [anon_sym_do] = ACTIONS(2444),
    [anon_sym_for] = ACTIONS(2444),
    [anon_sym_return] = ACTIONS(2444),
    [anon_sym_break] = ACTIONS(2444),
    [anon_sym_continue] = ACTIONS(2444),
    [anon_sym_goto] = ACTIONS(2444),
    [anon_sym___try] = ACTIONS(2444),
    [anon_sym___leave] = ACTIONS(2444),
    [anon_sym_not] = ACTIONS(2444),
    [anon_sym_compl] = ACTIONS(2444),
    [anon_sym_DASH_DASH] = ACTIONS(2446),
    [anon_sym_PLUS_PLUS] = ACTIONS(2446),
    [anon_sym_sizeof] = ACTIONS(2444),
    [anon_sym___alignof__] = ACTIONS(2444),
    [anon_sym___alignof] = ACTIONS(2444),
    [anon_sym__alignof] = ACTIONS(2444),
    [anon_sym_alignof] = ACTIONS(2444),
    [anon_sym__Alignof] = ACTIONS(2444),
    [anon_sym_offsetof] = ACTIONS(2444),
    [anon_sym__Generic] = ACTIONS(2444),
    [anon_sym_asm] = ACTIONS(2444),
    [anon_sym___asm__] = ACTIONS(2444),
    [sym_number_literal] = ACTIONS(2446),
    [anon_sym_L_SQUOTE] = ACTIONS(2446),
    [anon_sym_u_SQUOTE] = ACTIONS(2446),
    [anon_sym_U_SQUOTE] = ACTIONS(2446),
    [anon_sym_u8_SQUOTE] = ACTIONS(2446),
    [anon_sym_SQUOTE] = ACTIONS(2446),
    [anon_sym_L_DQUOTE] = ACTIONS(2446),
    [anon_sym_u_DQUOTE] = ACTIONS(2446),
    [anon_sym_U_DQUOTE] = ACTIONS(2446),
    [anon_sym_u8_DQUOTE] = ACTIONS(2446),
    [anon_sym_DQUOTE] = ACTIONS(2446),
    [sym_true] = ACTIONS(2444),
    [sym_false] = ACTIONS(2444),
    [anon_sym_NULL] = ACTIONS(2444),
    [anon_sym_nullptr] = ACTIONS(2444),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2444),
    [anon_sym_decltype] = ACTIONS(2444),
    [anon_sym_virtual] = ACTIONS(2444),
    [anon_sym_alignas] = ACTIONS(2444),
    [anon_sym_typename] = ACTIONS(2444),
    [anon_sym_template] = ACTIONS(2444),
    [anon_sym_try] = ACTIONS(2444),
    [anon_sym_delete] = ACTIONS(2444),
    [anon_sym_throw] = ACTIONS(2444),
    [anon_sym_co_return] = ACTIONS(2444),
    [anon_sym_co_yield] = ACTIONS(2444),
    [anon_sym_R_DQUOTE] = ACTIONS(2446),
    [anon_sym_LR_DQUOTE] = ACTIONS(2446),
    [anon_sym_uR_DQUOTE] = ACTIONS(2446),
    [anon_sym_UR_DQUOTE] = ACTIONS(2446),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2446),
    [anon_sym_co_await] = ACTIONS(2444),
    [anon_sym_new] = ACTIONS(2444),
    [anon_sym_requires] = ACTIONS(2444),
    [sym_this] = ACTIONS(2444),
    [anon_sym_discard] = ACTIONS(2444),
    [anon_sym_precise] = ACTIONS(2444),
    [anon_sym_shared] = ACTIONS(2444),
    [anon_sym_groupshared] = ACTIONS(2444),
    [anon_sym_uniform] = ACTIONS(2444),
    [anon_sym_row_major] = ACTIONS(2444),
    [anon_sym_column_major] = ACTIONS(2444),
    [anon_sym_globallycoherent] = ACTIONS(2444),
    [anon_sym_centroid] = ACTIONS(2444),
    [anon_sym_noperspective] = ACTIONS(2444),
    [anon_sym_nointerpolation] = ACTIONS(2444),
    [anon_sym_sample] = ACTIONS(2444),
    [anon_sym_linear] = ACTIONS(2444),
    [anon_sym_snorm] = ACTIONS(2444),
    [anon_sym_unorm] = ACTIONS(2444),
    [anon_sym_point] = ACTIONS(2444),
    [anon_sym_line] = ACTIONS(2444),
    [anon_sym_triangleadj] = ACTIONS(2444),
    [anon_sym_lineadj] = ACTIONS(2444),
    [anon_sym_triangle] = ACTIONS(2444),
    [anon_sym_cbuffer] = ACTIONS(2444),
  },
  [1617] = {
    [sym_identifier] = ACTIONS(2444),
    [anon_sym_LPAREN2] = ACTIONS(2446),
    [anon_sym_BANG] = ACTIONS(2446),
    [anon_sym_TILDE] = ACTIONS(2446),
    [anon_sym_DASH] = ACTIONS(2444),
    [anon_sym_PLUS] = ACTIONS(2444),
    [anon_sym_STAR] = ACTIONS(2446),
    [anon_sym_AMP] = ACTIONS(2446),
    [anon_sym_SEMI] = ACTIONS(2446),
    [anon_sym___extension__] = ACTIONS(2444),
    [anon_sym_typedef] = ACTIONS(2444),
    [anon_sym_in] = ACTIONS(2444),
    [anon_sym_out] = ACTIONS(2444),
    [anon_sym_inout] = ACTIONS(2444),
    [anon_sym_extern] = ACTIONS(2444),
    [anon_sym___attribute__] = ACTIONS(2444),
    [anon_sym_COLON_COLON] = ACTIONS(2446),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2446),
    [anon_sym___declspec] = ACTIONS(2444),
    [anon_sym_LBRACE] = ACTIONS(2446),
    [anon_sym_signed] = ACTIONS(2444),
    [anon_sym_unsigned] = ACTIONS(2444),
    [anon_sym_long] = ACTIONS(2444),
    [anon_sym_short] = ACTIONS(2444),
    [anon_sym_LBRACK] = ACTIONS(2444),
    [anon_sym_static] = ACTIONS(2444),
    [anon_sym_register] = ACTIONS(2444),
    [anon_sym_inline] = ACTIONS(2444),
    [anon_sym___inline] = ACTIONS(2444),
    [anon_sym___inline__] = ACTIONS(2444),
    [anon_sym___forceinline] = ACTIONS(2444),
    [anon_sym_thread_local] = ACTIONS(2444),
    [anon_sym___thread] = ACTIONS(2444),
    [anon_sym_const] = ACTIONS(2444),
    [anon_sym_constexpr] = ACTIONS(2444),
    [anon_sym_volatile] = ACTIONS(2444),
    [anon_sym_restrict] = ACTIONS(2444),
    [anon_sym___restrict__] = ACTIONS(2444),
    [anon_sym__Atomic] = ACTIONS(2444),
    [anon_sym__Noreturn] = ACTIONS(2444),
    [anon_sym_noreturn] = ACTIONS(2444),
    [anon_sym_mutable] = ACTIONS(2444),
    [anon_sym_constinit] = ACTIONS(2444),
    [anon_sym_consteval] = ACTIONS(2444),
    [sym_primitive_type] = ACTIONS(2444),
    [anon_sym_enum] = ACTIONS(2444),
    [anon_sym_class] = ACTIONS(2444),
    [anon_sym_struct] = ACTIONS(2444),
    [anon_sym_union] = ACTIONS(2444),
    [anon_sym_if] = ACTIONS(2444),
    [anon_sym_else] = ACTIONS(2444),
    [anon_sym_switch] = ACTIONS(2444),
    [anon_sym_while] = ACTIONS(2444),
    [anon_sym_do] = ACTIONS(2444),
    [anon_sym_for] = ACTIONS(2444),
    [anon_sym_return] = ACTIONS(2444),
    [anon_sym_break] = ACTIONS(2444),
    [anon_sym_continue] = ACTIONS(2444),
    [anon_sym_goto] = ACTIONS(2444),
    [anon_sym___try] = ACTIONS(2444),
    [anon_sym___leave] = ACTIONS(2444),
    [anon_sym_not] = ACTIONS(2444),
    [anon_sym_compl] = ACTIONS(2444),
    [anon_sym_DASH_DASH] = ACTIONS(2446),
    [anon_sym_PLUS_PLUS] = ACTIONS(2446),
    [anon_sym_sizeof] = ACTIONS(2444),
    [anon_sym___alignof__] = ACTIONS(2444),
    [anon_sym___alignof] = ACTIONS(2444),
    [anon_sym__alignof] = ACTIONS(2444),
    [anon_sym_alignof] = ACTIONS(2444),
    [anon_sym__Alignof] = ACTIONS(2444),
    [anon_sym_offsetof] = ACTIONS(2444),
    [anon_sym__Generic] = ACTIONS(2444),
    [anon_sym_asm] = ACTIONS(2444),
    [anon_sym___asm__] = ACTIONS(2444),
    [sym_number_literal] = ACTIONS(2446),
    [anon_sym_L_SQUOTE] = ACTIONS(2446),
    [anon_sym_u_SQUOTE] = ACTIONS(2446),
    [anon_sym_U_SQUOTE] = ACTIONS(2446),
    [anon_sym_u8_SQUOTE] = ACTIONS(2446),
    [anon_sym_SQUOTE] = ACTIONS(2446),
    [anon_sym_L_DQUOTE] = ACTIONS(2446),
    [anon_sym_u_DQUOTE] = ACTIONS(2446),
    [anon_sym_U_DQUOTE] = ACTIONS(2446),
    [anon_sym_u8_DQUOTE] = ACTIONS(2446),
    [anon_sym_DQUOTE] = ACTIONS(2446),
    [sym_true] = ACTIONS(2444),
    [sym_false] = ACTIONS(2444),
    [anon_sym_NULL] = ACTIONS(2444),
    [anon_sym_nullptr] = ACTIONS(2444),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2444),
    [anon_sym_decltype] = ACTIONS(2444),
    [anon_sym_virtual] = ACTIONS(2444),
    [anon_sym_alignas] = ACTIONS(2444),
    [anon_sym_typename] = ACTIONS(2444),
    [anon_sym_template] = ACTIONS(2444),
    [anon_sym_try] = ACTIONS(2444),
    [anon_sym_delete] = ACTIONS(2444),
    [anon_sym_throw] = ACTIONS(2444),
    [anon_sym_co_return] = ACTIONS(2444),
    [anon_sym_co_yield] = ACTIONS(2444),
    [anon_sym_R_DQUOTE] = ACTIONS(2446),
    [anon_sym_LR_DQUOTE] = ACTIONS(2446),
    [anon_sym_uR_DQUOTE] = ACTIONS(2446),
    [anon_sym_UR_DQUOTE] = ACTIONS(2446),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2446),
    [anon_sym_co_await] = ACTIONS(2444),
    [anon_sym_new] = ACTIONS(2444),
    [anon_sym_requires] = ACTIONS(2444),
    [sym_this] = ACTIONS(2444),
    [anon_sym_discard] = ACTIONS(2444),
    [anon_sym_precise] = ACTIONS(2444),
    [anon_sym_shared] = ACTIONS(2444),
    [anon_sym_groupshared] = ACTIONS(2444),
    [anon_sym_uniform] = ACTIONS(2444),
    [anon_sym_row_major] = ACTIONS(2444),
    [anon_sym_column_major] = ACTIONS(2444),
    [anon_sym_globallycoherent] = ACTIONS(2444),
    [anon_sym_centroid] = ACTIONS(2444),
    [anon_sym_noperspective] = ACTIONS(2444),
    [anon_sym_nointerpolation] = ACTIONS(2444),
    [anon_sym_sample] = ACTIONS(2444),
    [anon_sym_linear] = ACTIONS(2444),
    [anon_sym_snorm] = ACTIONS(2444),
    [anon_sym_unorm] = ACTIONS(2444),
    [anon_sym_point] = ACTIONS(2444),
    [anon_sym_line] = ACTIONS(2444),
    [anon_sym_triangleadj] = ACTIONS(2444),
    [anon_sym_lineadj] = ACTIONS(2444),
    [anon_sym_triangle] = ACTIONS(2444),
    [anon_sym_cbuffer] = ACTIONS(2444),
  },
  [1618] = {
    [sym_identifier] = ACTIONS(2364),
    [anon_sym_LPAREN2] = ACTIONS(2366),
    [anon_sym_BANG] = ACTIONS(2366),
    [anon_sym_TILDE] = ACTIONS(2366),
    [anon_sym_DASH] = ACTIONS(2364),
    [anon_sym_PLUS] = ACTIONS(2364),
    [anon_sym_STAR] = ACTIONS(2366),
    [anon_sym_AMP] = ACTIONS(2366),
    [anon_sym_SEMI] = ACTIONS(2366),
    [anon_sym___extension__] = ACTIONS(2364),
    [anon_sym_typedef] = ACTIONS(2364),
    [anon_sym_in] = ACTIONS(2364),
    [anon_sym_out] = ACTIONS(2364),
    [anon_sym_inout] = ACTIONS(2364),
    [anon_sym_extern] = ACTIONS(2364),
    [anon_sym___attribute__] = ACTIONS(2364),
    [anon_sym_COLON_COLON] = ACTIONS(2366),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2366),
    [anon_sym___declspec] = ACTIONS(2364),
    [anon_sym_LBRACE] = ACTIONS(2366),
    [anon_sym_signed] = ACTIONS(2364),
    [anon_sym_unsigned] = ACTIONS(2364),
    [anon_sym_long] = ACTIONS(2364),
    [anon_sym_short] = ACTIONS(2364),
    [anon_sym_LBRACK] = ACTIONS(2364),
    [anon_sym_static] = ACTIONS(2364),
    [anon_sym_register] = ACTIONS(2364),
    [anon_sym_inline] = ACTIONS(2364),
    [anon_sym___inline] = ACTIONS(2364),
    [anon_sym___inline__] = ACTIONS(2364),
    [anon_sym___forceinline] = ACTIONS(2364),
    [anon_sym_thread_local] = ACTIONS(2364),
    [anon_sym___thread] = ACTIONS(2364),
    [anon_sym_const] = ACTIONS(2364),
    [anon_sym_constexpr] = ACTIONS(2364),
    [anon_sym_volatile] = ACTIONS(2364),
    [anon_sym_restrict] = ACTIONS(2364),
    [anon_sym___restrict__] = ACTIONS(2364),
    [anon_sym__Atomic] = ACTIONS(2364),
    [anon_sym__Noreturn] = ACTIONS(2364),
    [anon_sym_noreturn] = ACTIONS(2364),
    [anon_sym_mutable] = ACTIONS(2364),
    [anon_sym_constinit] = ACTIONS(2364),
    [anon_sym_consteval] = ACTIONS(2364),
    [sym_primitive_type] = ACTIONS(2364),
    [anon_sym_enum] = ACTIONS(2364),
    [anon_sym_class] = ACTIONS(2364),
    [anon_sym_struct] = ACTIONS(2364),
    [anon_sym_union] = ACTIONS(2364),
    [anon_sym_if] = ACTIONS(2364),
    [anon_sym_else] = ACTIONS(2364),
    [anon_sym_switch] = ACTIONS(2364),
    [anon_sym_while] = ACTIONS(2364),
    [anon_sym_do] = ACTIONS(2364),
    [anon_sym_for] = ACTIONS(2364),
    [anon_sym_return] = ACTIONS(2364),
    [anon_sym_break] = ACTIONS(2364),
    [anon_sym_continue] = ACTIONS(2364),
    [anon_sym_goto] = ACTIONS(2364),
    [anon_sym___try] = ACTIONS(2364),
    [anon_sym___leave] = ACTIONS(2364),
    [anon_sym_not] = ACTIONS(2364),
    [anon_sym_compl] = ACTIONS(2364),
    [anon_sym_DASH_DASH] = ACTIONS(2366),
    [anon_sym_PLUS_PLUS] = ACTIONS(2366),
    [anon_sym_sizeof] = ACTIONS(2364),
    [anon_sym___alignof__] = ACTIONS(2364),
    [anon_sym___alignof] = ACTIONS(2364),
    [anon_sym__alignof] = ACTIONS(2364),
    [anon_sym_alignof] = ACTIONS(2364),
    [anon_sym__Alignof] = ACTIONS(2364),
    [anon_sym_offsetof] = ACTIONS(2364),
    [anon_sym__Generic] = ACTIONS(2364),
    [anon_sym_asm] = ACTIONS(2364),
    [anon_sym___asm__] = ACTIONS(2364),
    [sym_number_literal] = ACTIONS(2366),
    [anon_sym_L_SQUOTE] = ACTIONS(2366),
    [anon_sym_u_SQUOTE] = ACTIONS(2366),
    [anon_sym_U_SQUOTE] = ACTIONS(2366),
    [anon_sym_u8_SQUOTE] = ACTIONS(2366),
    [anon_sym_SQUOTE] = ACTIONS(2366),
    [anon_sym_L_DQUOTE] = ACTIONS(2366),
    [anon_sym_u_DQUOTE] = ACTIONS(2366),
    [anon_sym_U_DQUOTE] = ACTIONS(2366),
    [anon_sym_u8_DQUOTE] = ACTIONS(2366),
    [anon_sym_DQUOTE] = ACTIONS(2366),
    [sym_true] = ACTIONS(2364),
    [sym_false] = ACTIONS(2364),
    [anon_sym_NULL] = ACTIONS(2364),
    [anon_sym_nullptr] = ACTIONS(2364),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2364),
    [anon_sym_decltype] = ACTIONS(2364),
    [anon_sym_virtual] = ACTIONS(2364),
    [anon_sym_alignas] = ACTIONS(2364),
    [anon_sym_typename] = ACTIONS(2364),
    [anon_sym_template] = ACTIONS(2364),
    [anon_sym_try] = ACTIONS(2364),
    [anon_sym_delete] = ACTIONS(2364),
    [anon_sym_throw] = ACTIONS(2364),
    [anon_sym_co_return] = ACTIONS(2364),
    [anon_sym_co_yield] = ACTIONS(2364),
    [anon_sym_R_DQUOTE] = ACTIONS(2366),
    [anon_sym_LR_DQUOTE] = ACTIONS(2366),
    [anon_sym_uR_DQUOTE] = ACTIONS(2366),
    [anon_sym_UR_DQUOTE] = ACTIONS(2366),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2366),
    [anon_sym_co_await] = ACTIONS(2364),
    [anon_sym_new] = ACTIONS(2364),
    [anon_sym_requires] = ACTIONS(2364),
    [sym_this] = ACTIONS(2364),
    [anon_sym_discard] = ACTIONS(2364),
    [anon_sym_precise] = ACTIONS(2364),
    [anon_sym_shared] = ACTIONS(2364),
    [anon_sym_groupshared] = ACTIONS(2364),
    [anon_sym_uniform] = ACTIONS(2364),
    [anon_sym_row_major] = ACTIONS(2364),
    [anon_sym_column_major] = ACTIONS(2364),
    [anon_sym_globallycoherent] = ACTIONS(2364),
    [anon_sym_centroid] = ACTIONS(2364),
    [anon_sym_noperspective] = ACTIONS(2364),
    [anon_sym_nointerpolation] = ACTIONS(2364),
    [anon_sym_sample] = ACTIONS(2364),
    [anon_sym_linear] = ACTIONS(2364),
    [anon_sym_snorm] = ACTIONS(2364),
    [anon_sym_unorm] = ACTIONS(2364),
    [anon_sym_point] = ACTIONS(2364),
    [anon_sym_line] = ACTIONS(2364),
    [anon_sym_triangleadj] = ACTIONS(2364),
    [anon_sym_lineadj] = ACTIONS(2364),
    [anon_sym_triangle] = ACTIONS(2364),
    [anon_sym_cbuffer] = ACTIONS(2364),
  },
  [1619] = {
    [sym_identifier] = ACTIONS(2444),
    [anon_sym_LPAREN2] = ACTIONS(2446),
    [anon_sym_BANG] = ACTIONS(2446),
    [anon_sym_TILDE] = ACTIONS(2446),
    [anon_sym_DASH] = ACTIONS(2444),
    [anon_sym_PLUS] = ACTIONS(2444),
    [anon_sym_STAR] = ACTIONS(2446),
    [anon_sym_AMP] = ACTIONS(2446),
    [anon_sym_SEMI] = ACTIONS(2446),
    [anon_sym___extension__] = ACTIONS(2444),
    [anon_sym_typedef] = ACTIONS(2444),
    [anon_sym_in] = ACTIONS(2444),
    [anon_sym_out] = ACTIONS(2444),
    [anon_sym_inout] = ACTIONS(2444),
    [anon_sym_extern] = ACTIONS(2444),
    [anon_sym___attribute__] = ACTIONS(2444),
    [anon_sym_COLON_COLON] = ACTIONS(2446),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2446),
    [anon_sym___declspec] = ACTIONS(2444),
    [anon_sym_LBRACE] = ACTIONS(2446),
    [anon_sym_signed] = ACTIONS(2444),
    [anon_sym_unsigned] = ACTIONS(2444),
    [anon_sym_long] = ACTIONS(2444),
    [anon_sym_short] = ACTIONS(2444),
    [anon_sym_LBRACK] = ACTIONS(2444),
    [anon_sym_static] = ACTIONS(2444),
    [anon_sym_register] = ACTIONS(2444),
    [anon_sym_inline] = ACTIONS(2444),
    [anon_sym___inline] = ACTIONS(2444),
    [anon_sym___inline__] = ACTIONS(2444),
    [anon_sym___forceinline] = ACTIONS(2444),
    [anon_sym_thread_local] = ACTIONS(2444),
    [anon_sym___thread] = ACTIONS(2444),
    [anon_sym_const] = ACTIONS(2444),
    [anon_sym_constexpr] = ACTIONS(2444),
    [anon_sym_volatile] = ACTIONS(2444),
    [anon_sym_restrict] = ACTIONS(2444),
    [anon_sym___restrict__] = ACTIONS(2444),
    [anon_sym__Atomic] = ACTIONS(2444),
    [anon_sym__Noreturn] = ACTIONS(2444),
    [anon_sym_noreturn] = ACTIONS(2444),
    [anon_sym_mutable] = ACTIONS(2444),
    [anon_sym_constinit] = ACTIONS(2444),
    [anon_sym_consteval] = ACTIONS(2444),
    [sym_primitive_type] = ACTIONS(2444),
    [anon_sym_enum] = ACTIONS(2444),
    [anon_sym_class] = ACTIONS(2444),
    [anon_sym_struct] = ACTIONS(2444),
    [anon_sym_union] = ACTIONS(2444),
    [anon_sym_if] = ACTIONS(2444),
    [anon_sym_else] = ACTIONS(2444),
    [anon_sym_switch] = ACTIONS(2444),
    [anon_sym_while] = ACTIONS(2444),
    [anon_sym_do] = ACTIONS(2444),
    [anon_sym_for] = ACTIONS(2444),
    [anon_sym_return] = ACTIONS(2444),
    [anon_sym_break] = ACTIONS(2444),
    [anon_sym_continue] = ACTIONS(2444),
    [anon_sym_goto] = ACTIONS(2444),
    [anon_sym___try] = ACTIONS(2444),
    [anon_sym___leave] = ACTIONS(2444),
    [anon_sym_not] = ACTIONS(2444),
    [anon_sym_compl] = ACTIONS(2444),
    [anon_sym_DASH_DASH] = ACTIONS(2446),
    [anon_sym_PLUS_PLUS] = ACTIONS(2446),
    [anon_sym_sizeof] = ACTIONS(2444),
    [anon_sym___alignof__] = ACTIONS(2444),
    [anon_sym___alignof] = ACTIONS(2444),
    [anon_sym__alignof] = ACTIONS(2444),
    [anon_sym_alignof] = ACTIONS(2444),
    [anon_sym__Alignof] = ACTIONS(2444),
    [anon_sym_offsetof] = ACTIONS(2444),
    [anon_sym__Generic] = ACTIONS(2444),
    [anon_sym_asm] = ACTIONS(2444),
    [anon_sym___asm__] = ACTIONS(2444),
    [sym_number_literal] = ACTIONS(2446),
    [anon_sym_L_SQUOTE] = ACTIONS(2446),
    [anon_sym_u_SQUOTE] = ACTIONS(2446),
    [anon_sym_U_SQUOTE] = ACTIONS(2446),
    [anon_sym_u8_SQUOTE] = ACTIONS(2446),
    [anon_sym_SQUOTE] = ACTIONS(2446),
    [anon_sym_L_DQUOTE] = ACTIONS(2446),
    [anon_sym_u_DQUOTE] = ACTIONS(2446),
    [anon_sym_U_DQUOTE] = ACTIONS(2446),
    [anon_sym_u8_DQUOTE] = ACTIONS(2446),
    [anon_sym_DQUOTE] = ACTIONS(2446),
    [sym_true] = ACTIONS(2444),
    [sym_false] = ACTIONS(2444),
    [anon_sym_NULL] = ACTIONS(2444),
    [anon_sym_nullptr] = ACTIONS(2444),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2444),
    [anon_sym_decltype] = ACTIONS(2444),
    [anon_sym_virtual] = ACTIONS(2444),
    [anon_sym_alignas] = ACTIONS(2444),
    [anon_sym_typename] = ACTIONS(2444),
    [anon_sym_template] = ACTIONS(2444),
    [anon_sym_try] = ACTIONS(2444),
    [anon_sym_delete] = ACTIONS(2444),
    [anon_sym_throw] = ACTIONS(2444),
    [anon_sym_co_return] = ACTIONS(2444),
    [anon_sym_co_yield] = ACTIONS(2444),
    [anon_sym_R_DQUOTE] = ACTIONS(2446),
    [anon_sym_LR_DQUOTE] = ACTIONS(2446),
    [anon_sym_uR_DQUOTE] = ACTIONS(2446),
    [anon_sym_UR_DQUOTE] = ACTIONS(2446),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2446),
    [anon_sym_co_await] = ACTIONS(2444),
    [anon_sym_new] = ACTIONS(2444),
    [anon_sym_requires] = ACTIONS(2444),
    [sym_this] = ACTIONS(2444),
    [anon_sym_discard] = ACTIONS(2444),
    [anon_sym_precise] = ACTIONS(2444),
    [anon_sym_shared] = ACTIONS(2444),
    [anon_sym_groupshared] = ACTIONS(2444),
    [anon_sym_uniform] = ACTIONS(2444),
    [anon_sym_row_major] = ACTIONS(2444),
    [anon_sym_column_major] = ACTIONS(2444),
    [anon_sym_globallycoherent] = ACTIONS(2444),
    [anon_sym_centroid] = ACTIONS(2444),
    [anon_sym_noperspective] = ACTIONS(2444),
    [anon_sym_nointerpolation] = ACTIONS(2444),
    [anon_sym_sample] = ACTIONS(2444),
    [anon_sym_linear] = ACTIONS(2444),
    [anon_sym_snorm] = ACTIONS(2444),
    [anon_sym_unorm] = ACTIONS(2444),
    [anon_sym_point] = ACTIONS(2444),
    [anon_sym_line] = ACTIONS(2444),
    [anon_sym_triangleadj] = ACTIONS(2444),
    [anon_sym_lineadj] = ACTIONS(2444),
    [anon_sym_triangle] = ACTIONS(2444),
    [anon_sym_cbuffer] = ACTIONS(2444),
  },
  [1620] = {
    [sym_identifier] = ACTIONS(2342),
    [anon_sym_LPAREN2] = ACTIONS(2344),
    [anon_sym_BANG] = ACTIONS(2344),
    [anon_sym_TILDE] = ACTIONS(2344),
    [anon_sym_DASH] = ACTIONS(2342),
    [anon_sym_PLUS] = ACTIONS(2342),
    [anon_sym_STAR] = ACTIONS(2344),
    [anon_sym_AMP] = ACTIONS(2344),
    [anon_sym_SEMI] = ACTIONS(2344),
    [anon_sym___extension__] = ACTIONS(2342),
    [anon_sym_typedef] = ACTIONS(2342),
    [anon_sym_in] = ACTIONS(2342),
    [anon_sym_out] = ACTIONS(2342),
    [anon_sym_inout] = ACTIONS(2342),
    [anon_sym_extern] = ACTIONS(2342),
    [anon_sym___attribute__] = ACTIONS(2342),
    [anon_sym_COLON_COLON] = ACTIONS(2344),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2344),
    [anon_sym___declspec] = ACTIONS(2342),
    [anon_sym_LBRACE] = ACTIONS(2344),
    [anon_sym_signed] = ACTIONS(2342),
    [anon_sym_unsigned] = ACTIONS(2342),
    [anon_sym_long] = ACTIONS(2342),
    [anon_sym_short] = ACTIONS(2342),
    [anon_sym_LBRACK] = ACTIONS(2342),
    [anon_sym_static] = ACTIONS(2342),
    [anon_sym_register] = ACTIONS(2342),
    [anon_sym_inline] = ACTIONS(2342),
    [anon_sym___inline] = ACTIONS(2342),
    [anon_sym___inline__] = ACTIONS(2342),
    [anon_sym___forceinline] = ACTIONS(2342),
    [anon_sym_thread_local] = ACTIONS(2342),
    [anon_sym___thread] = ACTIONS(2342),
    [anon_sym_const] = ACTIONS(2342),
    [anon_sym_constexpr] = ACTIONS(2342),
    [anon_sym_volatile] = ACTIONS(2342),
    [anon_sym_restrict] = ACTIONS(2342),
    [anon_sym___restrict__] = ACTIONS(2342),
    [anon_sym__Atomic] = ACTIONS(2342),
    [anon_sym__Noreturn] = ACTIONS(2342),
    [anon_sym_noreturn] = ACTIONS(2342),
    [anon_sym_mutable] = ACTIONS(2342),
    [anon_sym_constinit] = ACTIONS(2342),
    [anon_sym_consteval] = ACTIONS(2342),
    [sym_primitive_type] = ACTIONS(2342),
    [anon_sym_enum] = ACTIONS(2342),
    [anon_sym_class] = ACTIONS(2342),
    [anon_sym_struct] = ACTIONS(2342),
    [anon_sym_union] = ACTIONS(2342),
    [anon_sym_if] = ACTIONS(2342),
    [anon_sym_else] = ACTIONS(2342),
    [anon_sym_switch] = ACTIONS(2342),
    [anon_sym_while] = ACTIONS(2342),
    [anon_sym_do] = ACTIONS(2342),
    [anon_sym_for] = ACTIONS(2342),
    [anon_sym_return] = ACTIONS(2342),
    [anon_sym_break] = ACTIONS(2342),
    [anon_sym_continue] = ACTIONS(2342),
    [anon_sym_goto] = ACTIONS(2342),
    [anon_sym___try] = ACTIONS(2342),
    [anon_sym___leave] = ACTIONS(2342),
    [anon_sym_not] = ACTIONS(2342),
    [anon_sym_compl] = ACTIONS(2342),
    [anon_sym_DASH_DASH] = ACTIONS(2344),
    [anon_sym_PLUS_PLUS] = ACTIONS(2344),
    [anon_sym_sizeof] = ACTIONS(2342),
    [anon_sym___alignof__] = ACTIONS(2342),
    [anon_sym___alignof] = ACTIONS(2342),
    [anon_sym__alignof] = ACTIONS(2342),
    [anon_sym_alignof] = ACTIONS(2342),
    [anon_sym__Alignof] = ACTIONS(2342),
    [anon_sym_offsetof] = ACTIONS(2342),
    [anon_sym__Generic] = ACTIONS(2342),
    [anon_sym_asm] = ACTIONS(2342),
    [anon_sym___asm__] = ACTIONS(2342),
    [sym_number_literal] = ACTIONS(2344),
    [anon_sym_L_SQUOTE] = ACTIONS(2344),
    [anon_sym_u_SQUOTE] = ACTIONS(2344),
    [anon_sym_U_SQUOTE] = ACTIONS(2344),
    [anon_sym_u8_SQUOTE] = ACTIONS(2344),
    [anon_sym_SQUOTE] = ACTIONS(2344),
    [anon_sym_L_DQUOTE] = ACTIONS(2344),
    [anon_sym_u_DQUOTE] = ACTIONS(2344),
    [anon_sym_U_DQUOTE] = ACTIONS(2344),
    [anon_sym_u8_DQUOTE] = ACTIONS(2344),
    [anon_sym_DQUOTE] = ACTIONS(2344),
    [sym_true] = ACTIONS(2342),
    [sym_false] = ACTIONS(2342),
    [anon_sym_NULL] = ACTIONS(2342),
    [anon_sym_nullptr] = ACTIONS(2342),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2342),
    [anon_sym_decltype] = ACTIONS(2342),
    [anon_sym_virtual] = ACTIONS(2342),
    [anon_sym_alignas] = ACTIONS(2342),
    [anon_sym_typename] = ACTIONS(2342),
    [anon_sym_template] = ACTIONS(2342),
    [anon_sym_try] = ACTIONS(2342),
    [anon_sym_delete] = ACTIONS(2342),
    [anon_sym_throw] = ACTIONS(2342),
    [anon_sym_co_return] = ACTIONS(2342),
    [anon_sym_co_yield] = ACTIONS(2342),
    [anon_sym_R_DQUOTE] = ACTIONS(2344),
    [anon_sym_LR_DQUOTE] = ACTIONS(2344),
    [anon_sym_uR_DQUOTE] = ACTIONS(2344),
    [anon_sym_UR_DQUOTE] = ACTIONS(2344),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2344),
    [anon_sym_co_await] = ACTIONS(2342),
    [anon_sym_new] = ACTIONS(2342),
    [anon_sym_requires] = ACTIONS(2342),
    [sym_this] = ACTIONS(2342),
    [anon_sym_discard] = ACTIONS(2342),
    [anon_sym_precise] = ACTIONS(2342),
    [anon_sym_shared] = ACTIONS(2342),
    [anon_sym_groupshared] = ACTIONS(2342),
    [anon_sym_uniform] = ACTIONS(2342),
    [anon_sym_row_major] = ACTIONS(2342),
    [anon_sym_column_major] = ACTIONS(2342),
    [anon_sym_globallycoherent] = ACTIONS(2342),
    [anon_sym_centroid] = ACTIONS(2342),
    [anon_sym_noperspective] = ACTIONS(2342),
    [anon_sym_nointerpolation] = ACTIONS(2342),
    [anon_sym_sample] = ACTIONS(2342),
    [anon_sym_linear] = ACTIONS(2342),
    [anon_sym_snorm] = ACTIONS(2342),
    [anon_sym_unorm] = ACTIONS(2342),
    [anon_sym_point] = ACTIONS(2342),
    [anon_sym_line] = ACTIONS(2342),
    [anon_sym_triangleadj] = ACTIONS(2342),
    [anon_sym_lineadj] = ACTIONS(2342),
    [anon_sym_triangle] = ACTIONS(2342),
    [anon_sym_cbuffer] = ACTIONS(2342),
  },
  [1621] = {
    [sym_identifier] = ACTIONS(2444),
    [anon_sym_LPAREN2] = ACTIONS(2446),
    [anon_sym_BANG] = ACTIONS(2446),
    [anon_sym_TILDE] = ACTIONS(2446),
    [anon_sym_DASH] = ACTIONS(2444),
    [anon_sym_PLUS] = ACTIONS(2444),
    [anon_sym_STAR] = ACTIONS(2446),
    [anon_sym_AMP] = ACTIONS(2446),
    [anon_sym_SEMI] = ACTIONS(2446),
    [anon_sym___extension__] = ACTIONS(2444),
    [anon_sym_typedef] = ACTIONS(2444),
    [anon_sym_in] = ACTIONS(2444),
    [anon_sym_out] = ACTIONS(2444),
    [anon_sym_inout] = ACTIONS(2444),
    [anon_sym_extern] = ACTIONS(2444),
    [anon_sym___attribute__] = ACTIONS(2444),
    [anon_sym_COLON_COLON] = ACTIONS(2446),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2446),
    [anon_sym___declspec] = ACTIONS(2444),
    [anon_sym_LBRACE] = ACTIONS(2446),
    [anon_sym_signed] = ACTIONS(2444),
    [anon_sym_unsigned] = ACTIONS(2444),
    [anon_sym_long] = ACTIONS(2444),
    [anon_sym_short] = ACTIONS(2444),
    [anon_sym_LBRACK] = ACTIONS(2444),
    [anon_sym_static] = ACTIONS(2444),
    [anon_sym_register] = ACTIONS(2444),
    [anon_sym_inline] = ACTIONS(2444),
    [anon_sym___inline] = ACTIONS(2444),
    [anon_sym___inline__] = ACTIONS(2444),
    [anon_sym___forceinline] = ACTIONS(2444),
    [anon_sym_thread_local] = ACTIONS(2444),
    [anon_sym___thread] = ACTIONS(2444),
    [anon_sym_const] = ACTIONS(2444),
    [anon_sym_constexpr] = ACTIONS(2444),
    [anon_sym_volatile] = ACTIONS(2444),
    [anon_sym_restrict] = ACTIONS(2444),
    [anon_sym___restrict__] = ACTIONS(2444),
    [anon_sym__Atomic] = ACTIONS(2444),
    [anon_sym__Noreturn] = ACTIONS(2444),
    [anon_sym_noreturn] = ACTIONS(2444),
    [anon_sym_mutable] = ACTIONS(2444),
    [anon_sym_constinit] = ACTIONS(2444),
    [anon_sym_consteval] = ACTIONS(2444),
    [sym_primitive_type] = ACTIONS(2444),
    [anon_sym_enum] = ACTIONS(2444),
    [anon_sym_class] = ACTIONS(2444),
    [anon_sym_struct] = ACTIONS(2444),
    [anon_sym_union] = ACTIONS(2444),
    [anon_sym_if] = ACTIONS(2444),
    [anon_sym_else] = ACTIONS(2444),
    [anon_sym_switch] = ACTIONS(2444),
    [anon_sym_while] = ACTIONS(2444),
    [anon_sym_do] = ACTIONS(2444),
    [anon_sym_for] = ACTIONS(2444),
    [anon_sym_return] = ACTIONS(2444),
    [anon_sym_break] = ACTIONS(2444),
    [anon_sym_continue] = ACTIONS(2444),
    [anon_sym_goto] = ACTIONS(2444),
    [anon_sym___try] = ACTIONS(2444),
    [anon_sym___leave] = ACTIONS(2444),
    [anon_sym_not] = ACTIONS(2444),
    [anon_sym_compl] = ACTIONS(2444),
    [anon_sym_DASH_DASH] = ACTIONS(2446),
    [anon_sym_PLUS_PLUS] = ACTIONS(2446),
    [anon_sym_sizeof] = ACTIONS(2444),
    [anon_sym___alignof__] = ACTIONS(2444),
    [anon_sym___alignof] = ACTIONS(2444),
    [anon_sym__alignof] = ACTIONS(2444),
    [anon_sym_alignof] = ACTIONS(2444),
    [anon_sym__Alignof] = ACTIONS(2444),
    [anon_sym_offsetof] = ACTIONS(2444),
    [anon_sym__Generic] = ACTIONS(2444),
    [anon_sym_asm] = ACTIONS(2444),
    [anon_sym___asm__] = ACTIONS(2444),
    [sym_number_literal] = ACTIONS(2446),
    [anon_sym_L_SQUOTE] = ACTIONS(2446),
    [anon_sym_u_SQUOTE] = ACTIONS(2446),
    [anon_sym_U_SQUOTE] = ACTIONS(2446),
    [anon_sym_u8_SQUOTE] = ACTIONS(2446),
    [anon_sym_SQUOTE] = ACTIONS(2446),
    [anon_sym_L_DQUOTE] = ACTIONS(2446),
    [anon_sym_u_DQUOTE] = ACTIONS(2446),
    [anon_sym_U_DQUOTE] = ACTIONS(2446),
    [anon_sym_u8_DQUOTE] = ACTIONS(2446),
    [anon_sym_DQUOTE] = ACTIONS(2446),
    [sym_true] = ACTIONS(2444),
    [sym_false] = ACTIONS(2444),
    [anon_sym_NULL] = ACTIONS(2444),
    [anon_sym_nullptr] = ACTIONS(2444),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2444),
    [anon_sym_decltype] = ACTIONS(2444),
    [anon_sym_virtual] = ACTIONS(2444),
    [anon_sym_alignas] = ACTIONS(2444),
    [anon_sym_typename] = ACTIONS(2444),
    [anon_sym_template] = ACTIONS(2444),
    [anon_sym_try] = ACTIONS(2444),
    [anon_sym_delete] = ACTIONS(2444),
    [anon_sym_throw] = ACTIONS(2444),
    [anon_sym_co_return] = ACTIONS(2444),
    [anon_sym_co_yield] = ACTIONS(2444),
    [anon_sym_R_DQUOTE] = ACTIONS(2446),
    [anon_sym_LR_DQUOTE] = ACTIONS(2446),
    [anon_sym_uR_DQUOTE] = ACTIONS(2446),
    [anon_sym_UR_DQUOTE] = ACTIONS(2446),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2446),
    [anon_sym_co_await] = ACTIONS(2444),
    [anon_sym_new] = ACTIONS(2444),
    [anon_sym_requires] = ACTIONS(2444),
    [sym_this] = ACTIONS(2444),
    [anon_sym_discard] = ACTIONS(2444),
    [anon_sym_precise] = ACTIONS(2444),
    [anon_sym_shared] = ACTIONS(2444),
    [anon_sym_groupshared] = ACTIONS(2444),
    [anon_sym_uniform] = ACTIONS(2444),
    [anon_sym_row_major] = ACTIONS(2444),
    [anon_sym_column_major] = ACTIONS(2444),
    [anon_sym_globallycoherent] = ACTIONS(2444),
    [anon_sym_centroid] = ACTIONS(2444),
    [anon_sym_noperspective] = ACTIONS(2444),
    [anon_sym_nointerpolation] = ACTIONS(2444),
    [anon_sym_sample] = ACTIONS(2444),
    [anon_sym_linear] = ACTIONS(2444),
    [anon_sym_snorm] = ACTIONS(2444),
    [anon_sym_unorm] = ACTIONS(2444),
    [anon_sym_point] = ACTIONS(2444),
    [anon_sym_line] = ACTIONS(2444),
    [anon_sym_triangleadj] = ACTIONS(2444),
    [anon_sym_lineadj] = ACTIONS(2444),
    [anon_sym_triangle] = ACTIONS(2444),
    [anon_sym_cbuffer] = ACTIONS(2444),
  },
  [1622] = {
    [sym_identifier] = ACTIONS(2500),
    [anon_sym_LPAREN2] = ACTIONS(2502),
    [anon_sym_BANG] = ACTIONS(2502),
    [anon_sym_TILDE] = ACTIONS(2502),
    [anon_sym_DASH] = ACTIONS(2500),
    [anon_sym_PLUS] = ACTIONS(2500),
    [anon_sym_STAR] = ACTIONS(2502),
    [anon_sym_AMP] = ACTIONS(2502),
    [anon_sym_SEMI] = ACTIONS(2502),
    [anon_sym___extension__] = ACTIONS(2500),
    [anon_sym_typedef] = ACTIONS(2500),
    [anon_sym_in] = ACTIONS(2500),
    [anon_sym_out] = ACTIONS(2500),
    [anon_sym_inout] = ACTIONS(2500),
    [anon_sym_extern] = ACTIONS(2500),
    [anon_sym___attribute__] = ACTIONS(2500),
    [anon_sym_COLON_COLON] = ACTIONS(2502),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2502),
    [anon_sym___declspec] = ACTIONS(2500),
    [anon_sym_LBRACE] = ACTIONS(2502),
    [anon_sym_signed] = ACTIONS(2500),
    [anon_sym_unsigned] = ACTIONS(2500),
    [anon_sym_long] = ACTIONS(2500),
    [anon_sym_short] = ACTIONS(2500),
    [anon_sym_LBRACK] = ACTIONS(2500),
    [anon_sym_static] = ACTIONS(2500),
    [anon_sym_register] = ACTIONS(2500),
    [anon_sym_inline] = ACTIONS(2500),
    [anon_sym___inline] = ACTIONS(2500),
    [anon_sym___inline__] = ACTIONS(2500),
    [anon_sym___forceinline] = ACTIONS(2500),
    [anon_sym_thread_local] = ACTIONS(2500),
    [anon_sym___thread] = ACTIONS(2500),
    [anon_sym_const] = ACTIONS(2500),
    [anon_sym_constexpr] = ACTIONS(2500),
    [anon_sym_volatile] = ACTIONS(2500),
    [anon_sym_restrict] = ACTIONS(2500),
    [anon_sym___restrict__] = ACTIONS(2500),
    [anon_sym__Atomic] = ACTIONS(2500),
    [anon_sym__Noreturn] = ACTIONS(2500),
    [anon_sym_noreturn] = ACTIONS(2500),
    [anon_sym_mutable] = ACTIONS(2500),
    [anon_sym_constinit] = ACTIONS(2500),
    [anon_sym_consteval] = ACTIONS(2500),
    [sym_primitive_type] = ACTIONS(2500),
    [anon_sym_enum] = ACTIONS(2500),
    [anon_sym_class] = ACTIONS(2500),
    [anon_sym_struct] = ACTIONS(2500),
    [anon_sym_union] = ACTIONS(2500),
    [anon_sym_if] = ACTIONS(2500),
    [anon_sym_else] = ACTIONS(2500),
    [anon_sym_switch] = ACTIONS(2500),
    [anon_sym_while] = ACTIONS(2500),
    [anon_sym_do] = ACTIONS(2500),
    [anon_sym_for] = ACTIONS(2500),
    [anon_sym_return] = ACTIONS(2500),
    [anon_sym_break] = ACTIONS(2500),
    [anon_sym_continue] = ACTIONS(2500),
    [anon_sym_goto] = ACTIONS(2500),
    [anon_sym___try] = ACTIONS(2500),
    [anon_sym___leave] = ACTIONS(2500),
    [anon_sym_not] = ACTIONS(2500),
    [anon_sym_compl] = ACTIONS(2500),
    [anon_sym_DASH_DASH] = ACTIONS(2502),
    [anon_sym_PLUS_PLUS] = ACTIONS(2502),
    [anon_sym_sizeof] = ACTIONS(2500),
    [anon_sym___alignof__] = ACTIONS(2500),
    [anon_sym___alignof] = ACTIONS(2500),
    [anon_sym__alignof] = ACTIONS(2500),
    [anon_sym_alignof] = ACTIONS(2500),
    [anon_sym__Alignof] = ACTIONS(2500),
    [anon_sym_offsetof] = ACTIONS(2500),
    [anon_sym__Generic] = ACTIONS(2500),
    [anon_sym_asm] = ACTIONS(2500),
    [anon_sym___asm__] = ACTIONS(2500),
    [sym_number_literal] = ACTIONS(2502),
    [anon_sym_L_SQUOTE] = ACTIONS(2502),
    [anon_sym_u_SQUOTE] = ACTIONS(2502),
    [anon_sym_U_SQUOTE] = ACTIONS(2502),
    [anon_sym_u8_SQUOTE] = ACTIONS(2502),
    [anon_sym_SQUOTE] = ACTIONS(2502),
    [anon_sym_L_DQUOTE] = ACTIONS(2502),
    [anon_sym_u_DQUOTE] = ACTIONS(2502),
    [anon_sym_U_DQUOTE] = ACTIONS(2502),
    [anon_sym_u8_DQUOTE] = ACTIONS(2502),
    [anon_sym_DQUOTE] = ACTIONS(2502),
    [sym_true] = ACTIONS(2500),
    [sym_false] = ACTIONS(2500),
    [anon_sym_NULL] = ACTIONS(2500),
    [anon_sym_nullptr] = ACTIONS(2500),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2500),
    [anon_sym_decltype] = ACTIONS(2500),
    [anon_sym_virtual] = ACTIONS(2500),
    [anon_sym_alignas] = ACTIONS(2500),
    [anon_sym_typename] = ACTIONS(2500),
    [anon_sym_template] = ACTIONS(2500),
    [anon_sym_try] = ACTIONS(2500),
    [anon_sym_delete] = ACTIONS(2500),
    [anon_sym_throw] = ACTIONS(2500),
    [anon_sym_co_return] = ACTIONS(2500),
    [anon_sym_co_yield] = ACTIONS(2500),
    [anon_sym_R_DQUOTE] = ACTIONS(2502),
    [anon_sym_LR_DQUOTE] = ACTIONS(2502),
    [anon_sym_uR_DQUOTE] = ACTIONS(2502),
    [anon_sym_UR_DQUOTE] = ACTIONS(2502),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2502),
    [anon_sym_co_await] = ACTIONS(2500),
    [anon_sym_new] = ACTIONS(2500),
    [anon_sym_requires] = ACTIONS(2500),
    [sym_this] = ACTIONS(2500),
    [anon_sym_discard] = ACTIONS(2500),
    [anon_sym_precise] = ACTIONS(2500),
    [anon_sym_shared] = ACTIONS(2500),
    [anon_sym_groupshared] = ACTIONS(2500),
    [anon_sym_uniform] = ACTIONS(2500),
    [anon_sym_row_major] = ACTIONS(2500),
    [anon_sym_column_major] = ACTIONS(2500),
    [anon_sym_globallycoherent] = ACTIONS(2500),
    [anon_sym_centroid] = ACTIONS(2500),
    [anon_sym_noperspective] = ACTIONS(2500),
    [anon_sym_nointerpolation] = ACTIONS(2500),
    [anon_sym_sample] = ACTIONS(2500),
    [anon_sym_linear] = ACTIONS(2500),
    [anon_sym_snorm] = ACTIONS(2500),
    [anon_sym_unorm] = ACTIONS(2500),
    [anon_sym_point] = ACTIONS(2500),
    [anon_sym_line] = ACTIONS(2500),
    [anon_sym_triangleadj] = ACTIONS(2500),
    [anon_sym_lineadj] = ACTIONS(2500),
    [anon_sym_triangle] = ACTIONS(2500),
    [anon_sym_cbuffer] = ACTIONS(2500),
  },
  [1623] = {
    [sym_identifier] = ACTIONS(2444),
    [anon_sym_LPAREN2] = ACTIONS(2446),
    [anon_sym_BANG] = ACTIONS(2446),
    [anon_sym_TILDE] = ACTIONS(2446),
    [anon_sym_DASH] = ACTIONS(2444),
    [anon_sym_PLUS] = ACTIONS(2444),
    [anon_sym_STAR] = ACTIONS(2446),
    [anon_sym_AMP] = ACTIONS(2446),
    [anon_sym_SEMI] = ACTIONS(2446),
    [anon_sym___extension__] = ACTIONS(2444),
    [anon_sym_typedef] = ACTIONS(2444),
    [anon_sym_in] = ACTIONS(2444),
    [anon_sym_out] = ACTIONS(2444),
    [anon_sym_inout] = ACTIONS(2444),
    [anon_sym_extern] = ACTIONS(2444),
    [anon_sym___attribute__] = ACTIONS(2444),
    [anon_sym_COLON_COLON] = ACTIONS(2446),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2446),
    [anon_sym___declspec] = ACTIONS(2444),
    [anon_sym_LBRACE] = ACTIONS(2446),
    [anon_sym_signed] = ACTIONS(2444),
    [anon_sym_unsigned] = ACTIONS(2444),
    [anon_sym_long] = ACTIONS(2444),
    [anon_sym_short] = ACTIONS(2444),
    [anon_sym_LBRACK] = ACTIONS(2444),
    [anon_sym_static] = ACTIONS(2444),
    [anon_sym_register] = ACTIONS(2444),
    [anon_sym_inline] = ACTIONS(2444),
    [anon_sym___inline] = ACTIONS(2444),
    [anon_sym___inline__] = ACTIONS(2444),
    [anon_sym___forceinline] = ACTIONS(2444),
    [anon_sym_thread_local] = ACTIONS(2444),
    [anon_sym___thread] = ACTIONS(2444),
    [anon_sym_const] = ACTIONS(2444),
    [anon_sym_constexpr] = ACTIONS(2444),
    [anon_sym_volatile] = ACTIONS(2444),
    [anon_sym_restrict] = ACTIONS(2444),
    [anon_sym___restrict__] = ACTIONS(2444),
    [anon_sym__Atomic] = ACTIONS(2444),
    [anon_sym__Noreturn] = ACTIONS(2444),
    [anon_sym_noreturn] = ACTIONS(2444),
    [anon_sym_mutable] = ACTIONS(2444),
    [anon_sym_constinit] = ACTIONS(2444),
    [anon_sym_consteval] = ACTIONS(2444),
    [sym_primitive_type] = ACTIONS(2444),
    [anon_sym_enum] = ACTIONS(2444),
    [anon_sym_class] = ACTIONS(2444),
    [anon_sym_struct] = ACTIONS(2444),
    [anon_sym_union] = ACTIONS(2444),
    [anon_sym_if] = ACTIONS(2444),
    [anon_sym_else] = ACTIONS(2444),
    [anon_sym_switch] = ACTIONS(2444),
    [anon_sym_while] = ACTIONS(2444),
    [anon_sym_do] = ACTIONS(2444),
    [anon_sym_for] = ACTIONS(2444),
    [anon_sym_return] = ACTIONS(2444),
    [anon_sym_break] = ACTIONS(2444),
    [anon_sym_continue] = ACTIONS(2444),
    [anon_sym_goto] = ACTIONS(2444),
    [anon_sym___try] = ACTIONS(2444),
    [anon_sym___leave] = ACTIONS(2444),
    [anon_sym_not] = ACTIONS(2444),
    [anon_sym_compl] = ACTIONS(2444),
    [anon_sym_DASH_DASH] = ACTIONS(2446),
    [anon_sym_PLUS_PLUS] = ACTIONS(2446),
    [anon_sym_sizeof] = ACTIONS(2444),
    [anon_sym___alignof__] = ACTIONS(2444),
    [anon_sym___alignof] = ACTIONS(2444),
    [anon_sym__alignof] = ACTIONS(2444),
    [anon_sym_alignof] = ACTIONS(2444),
    [anon_sym__Alignof] = ACTIONS(2444),
    [anon_sym_offsetof] = ACTIONS(2444),
    [anon_sym__Generic] = ACTIONS(2444),
    [anon_sym_asm] = ACTIONS(2444),
    [anon_sym___asm__] = ACTIONS(2444),
    [sym_number_literal] = ACTIONS(2446),
    [anon_sym_L_SQUOTE] = ACTIONS(2446),
    [anon_sym_u_SQUOTE] = ACTIONS(2446),
    [anon_sym_U_SQUOTE] = ACTIONS(2446),
    [anon_sym_u8_SQUOTE] = ACTIONS(2446),
    [anon_sym_SQUOTE] = ACTIONS(2446),
    [anon_sym_L_DQUOTE] = ACTIONS(2446),
    [anon_sym_u_DQUOTE] = ACTIONS(2446),
    [anon_sym_U_DQUOTE] = ACTIONS(2446),
    [anon_sym_u8_DQUOTE] = ACTIONS(2446),
    [anon_sym_DQUOTE] = ACTIONS(2446),
    [sym_true] = ACTIONS(2444),
    [sym_false] = ACTIONS(2444),
    [anon_sym_NULL] = ACTIONS(2444),
    [anon_sym_nullptr] = ACTIONS(2444),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2444),
    [anon_sym_decltype] = ACTIONS(2444),
    [anon_sym_virtual] = ACTIONS(2444),
    [anon_sym_alignas] = ACTIONS(2444),
    [anon_sym_typename] = ACTIONS(2444),
    [anon_sym_template] = ACTIONS(2444),
    [anon_sym_try] = ACTIONS(2444),
    [anon_sym_delete] = ACTIONS(2444),
    [anon_sym_throw] = ACTIONS(2444),
    [anon_sym_co_return] = ACTIONS(2444),
    [anon_sym_co_yield] = ACTIONS(2444),
    [anon_sym_R_DQUOTE] = ACTIONS(2446),
    [anon_sym_LR_DQUOTE] = ACTIONS(2446),
    [anon_sym_uR_DQUOTE] = ACTIONS(2446),
    [anon_sym_UR_DQUOTE] = ACTIONS(2446),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2446),
    [anon_sym_co_await] = ACTIONS(2444),
    [anon_sym_new] = ACTIONS(2444),
    [anon_sym_requires] = ACTIONS(2444),
    [sym_this] = ACTIONS(2444),
    [anon_sym_discard] = ACTIONS(2444),
    [anon_sym_precise] = ACTIONS(2444),
    [anon_sym_shared] = ACTIONS(2444),
    [anon_sym_groupshared] = ACTIONS(2444),
    [anon_sym_uniform] = ACTIONS(2444),
    [anon_sym_row_major] = ACTIONS(2444),
    [anon_sym_column_major] = ACTIONS(2444),
    [anon_sym_globallycoherent] = ACTIONS(2444),
    [anon_sym_centroid] = ACTIONS(2444),
    [anon_sym_noperspective] = ACTIONS(2444),
    [anon_sym_nointerpolation] = ACTIONS(2444),
    [anon_sym_sample] = ACTIONS(2444),
    [anon_sym_linear] = ACTIONS(2444),
    [anon_sym_snorm] = ACTIONS(2444),
    [anon_sym_unorm] = ACTIONS(2444),
    [anon_sym_point] = ACTIONS(2444),
    [anon_sym_line] = ACTIONS(2444),
    [anon_sym_triangleadj] = ACTIONS(2444),
    [anon_sym_lineadj] = ACTIONS(2444),
    [anon_sym_triangle] = ACTIONS(2444),
    [anon_sym_cbuffer] = ACTIONS(2444),
  },
  [1624] = {
    [sym_identifier] = ACTIONS(2444),
    [anon_sym_LPAREN2] = ACTIONS(2446),
    [anon_sym_BANG] = ACTIONS(2446),
    [anon_sym_TILDE] = ACTIONS(2446),
    [anon_sym_DASH] = ACTIONS(2444),
    [anon_sym_PLUS] = ACTIONS(2444),
    [anon_sym_STAR] = ACTIONS(2446),
    [anon_sym_AMP] = ACTIONS(2446),
    [anon_sym_SEMI] = ACTIONS(2446),
    [anon_sym___extension__] = ACTIONS(2444),
    [anon_sym_typedef] = ACTIONS(2444),
    [anon_sym_in] = ACTIONS(2444),
    [anon_sym_out] = ACTIONS(2444),
    [anon_sym_inout] = ACTIONS(2444),
    [anon_sym_extern] = ACTIONS(2444),
    [anon_sym___attribute__] = ACTIONS(2444),
    [anon_sym_COLON_COLON] = ACTIONS(2446),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2446),
    [anon_sym___declspec] = ACTIONS(2444),
    [anon_sym_LBRACE] = ACTIONS(2446),
    [anon_sym_signed] = ACTIONS(2444),
    [anon_sym_unsigned] = ACTIONS(2444),
    [anon_sym_long] = ACTIONS(2444),
    [anon_sym_short] = ACTIONS(2444),
    [anon_sym_LBRACK] = ACTIONS(2444),
    [anon_sym_static] = ACTIONS(2444),
    [anon_sym_register] = ACTIONS(2444),
    [anon_sym_inline] = ACTIONS(2444),
    [anon_sym___inline] = ACTIONS(2444),
    [anon_sym___inline__] = ACTIONS(2444),
    [anon_sym___forceinline] = ACTIONS(2444),
    [anon_sym_thread_local] = ACTIONS(2444),
    [anon_sym___thread] = ACTIONS(2444),
    [anon_sym_const] = ACTIONS(2444),
    [anon_sym_constexpr] = ACTIONS(2444),
    [anon_sym_volatile] = ACTIONS(2444),
    [anon_sym_restrict] = ACTIONS(2444),
    [anon_sym___restrict__] = ACTIONS(2444),
    [anon_sym__Atomic] = ACTIONS(2444),
    [anon_sym__Noreturn] = ACTIONS(2444),
    [anon_sym_noreturn] = ACTIONS(2444),
    [anon_sym_mutable] = ACTIONS(2444),
    [anon_sym_constinit] = ACTIONS(2444),
    [anon_sym_consteval] = ACTIONS(2444),
    [sym_primitive_type] = ACTIONS(2444),
    [anon_sym_enum] = ACTIONS(2444),
    [anon_sym_class] = ACTIONS(2444),
    [anon_sym_struct] = ACTIONS(2444),
    [anon_sym_union] = ACTIONS(2444),
    [anon_sym_if] = ACTIONS(2444),
    [anon_sym_else] = ACTIONS(2444),
    [anon_sym_switch] = ACTIONS(2444),
    [anon_sym_while] = ACTIONS(2444),
    [anon_sym_do] = ACTIONS(2444),
    [anon_sym_for] = ACTIONS(2444),
    [anon_sym_return] = ACTIONS(2444),
    [anon_sym_break] = ACTIONS(2444),
    [anon_sym_continue] = ACTIONS(2444),
    [anon_sym_goto] = ACTIONS(2444),
    [anon_sym___try] = ACTIONS(2444),
    [anon_sym___leave] = ACTIONS(2444),
    [anon_sym_not] = ACTIONS(2444),
    [anon_sym_compl] = ACTIONS(2444),
    [anon_sym_DASH_DASH] = ACTIONS(2446),
    [anon_sym_PLUS_PLUS] = ACTIONS(2446),
    [anon_sym_sizeof] = ACTIONS(2444),
    [anon_sym___alignof__] = ACTIONS(2444),
    [anon_sym___alignof] = ACTIONS(2444),
    [anon_sym__alignof] = ACTIONS(2444),
    [anon_sym_alignof] = ACTIONS(2444),
    [anon_sym__Alignof] = ACTIONS(2444),
    [anon_sym_offsetof] = ACTIONS(2444),
    [anon_sym__Generic] = ACTIONS(2444),
    [anon_sym_asm] = ACTIONS(2444),
    [anon_sym___asm__] = ACTIONS(2444),
    [sym_number_literal] = ACTIONS(2446),
    [anon_sym_L_SQUOTE] = ACTIONS(2446),
    [anon_sym_u_SQUOTE] = ACTIONS(2446),
    [anon_sym_U_SQUOTE] = ACTIONS(2446),
    [anon_sym_u8_SQUOTE] = ACTIONS(2446),
    [anon_sym_SQUOTE] = ACTIONS(2446),
    [anon_sym_L_DQUOTE] = ACTIONS(2446),
    [anon_sym_u_DQUOTE] = ACTIONS(2446),
    [anon_sym_U_DQUOTE] = ACTIONS(2446),
    [anon_sym_u8_DQUOTE] = ACTIONS(2446),
    [anon_sym_DQUOTE] = ACTIONS(2446),
    [sym_true] = ACTIONS(2444),
    [sym_false] = ACTIONS(2444),
    [anon_sym_NULL] = ACTIONS(2444),
    [anon_sym_nullptr] = ACTIONS(2444),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2444),
    [anon_sym_decltype] = ACTIONS(2444),
    [anon_sym_virtual] = ACTIONS(2444),
    [anon_sym_alignas] = ACTIONS(2444),
    [anon_sym_typename] = ACTIONS(2444),
    [anon_sym_template] = ACTIONS(2444),
    [anon_sym_try] = ACTIONS(2444),
    [anon_sym_delete] = ACTIONS(2444),
    [anon_sym_throw] = ACTIONS(2444),
    [anon_sym_co_return] = ACTIONS(2444),
    [anon_sym_co_yield] = ACTIONS(2444),
    [anon_sym_R_DQUOTE] = ACTIONS(2446),
    [anon_sym_LR_DQUOTE] = ACTIONS(2446),
    [anon_sym_uR_DQUOTE] = ACTIONS(2446),
    [anon_sym_UR_DQUOTE] = ACTIONS(2446),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2446),
    [anon_sym_co_await] = ACTIONS(2444),
    [anon_sym_new] = ACTIONS(2444),
    [anon_sym_requires] = ACTIONS(2444),
    [sym_this] = ACTIONS(2444),
    [anon_sym_discard] = ACTIONS(2444),
    [anon_sym_precise] = ACTIONS(2444),
    [anon_sym_shared] = ACTIONS(2444),
    [anon_sym_groupshared] = ACTIONS(2444),
    [anon_sym_uniform] = ACTIONS(2444),
    [anon_sym_row_major] = ACTIONS(2444),
    [anon_sym_column_major] = ACTIONS(2444),
    [anon_sym_globallycoherent] = ACTIONS(2444),
    [anon_sym_centroid] = ACTIONS(2444),
    [anon_sym_noperspective] = ACTIONS(2444),
    [anon_sym_nointerpolation] = ACTIONS(2444),
    [anon_sym_sample] = ACTIONS(2444),
    [anon_sym_linear] = ACTIONS(2444),
    [anon_sym_snorm] = ACTIONS(2444),
    [anon_sym_unorm] = ACTIONS(2444),
    [anon_sym_point] = ACTIONS(2444),
    [anon_sym_line] = ACTIONS(2444),
    [anon_sym_triangleadj] = ACTIONS(2444),
    [anon_sym_lineadj] = ACTIONS(2444),
    [anon_sym_triangle] = ACTIONS(2444),
    [anon_sym_cbuffer] = ACTIONS(2444),
  },
  [1625] = {
    [sym_identifier] = ACTIONS(2364),
    [anon_sym_LPAREN2] = ACTIONS(2366),
    [anon_sym_BANG] = ACTIONS(2366),
    [anon_sym_TILDE] = ACTIONS(2366),
    [anon_sym_DASH] = ACTIONS(2364),
    [anon_sym_PLUS] = ACTIONS(2364),
    [anon_sym_STAR] = ACTIONS(2366),
    [anon_sym_AMP] = ACTIONS(2366),
    [anon_sym_SEMI] = ACTIONS(2366),
    [anon_sym___extension__] = ACTIONS(2364),
    [anon_sym_typedef] = ACTIONS(2364),
    [anon_sym_in] = ACTIONS(2364),
    [anon_sym_out] = ACTIONS(2364),
    [anon_sym_inout] = ACTIONS(2364),
    [anon_sym_extern] = ACTIONS(2364),
    [anon_sym___attribute__] = ACTIONS(2364),
    [anon_sym_COLON_COLON] = ACTIONS(2366),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2366),
    [anon_sym___declspec] = ACTIONS(2364),
    [anon_sym_LBRACE] = ACTIONS(2366),
    [anon_sym_signed] = ACTIONS(2364),
    [anon_sym_unsigned] = ACTIONS(2364),
    [anon_sym_long] = ACTIONS(2364),
    [anon_sym_short] = ACTIONS(2364),
    [anon_sym_LBRACK] = ACTIONS(2364),
    [anon_sym_static] = ACTIONS(2364),
    [anon_sym_register] = ACTIONS(2364),
    [anon_sym_inline] = ACTIONS(2364),
    [anon_sym___inline] = ACTIONS(2364),
    [anon_sym___inline__] = ACTIONS(2364),
    [anon_sym___forceinline] = ACTIONS(2364),
    [anon_sym_thread_local] = ACTIONS(2364),
    [anon_sym___thread] = ACTIONS(2364),
    [anon_sym_const] = ACTIONS(2364),
    [anon_sym_constexpr] = ACTIONS(2364),
    [anon_sym_volatile] = ACTIONS(2364),
    [anon_sym_restrict] = ACTIONS(2364),
    [anon_sym___restrict__] = ACTIONS(2364),
    [anon_sym__Atomic] = ACTIONS(2364),
    [anon_sym__Noreturn] = ACTIONS(2364),
    [anon_sym_noreturn] = ACTIONS(2364),
    [anon_sym_mutable] = ACTIONS(2364),
    [anon_sym_constinit] = ACTIONS(2364),
    [anon_sym_consteval] = ACTIONS(2364),
    [sym_primitive_type] = ACTIONS(2364),
    [anon_sym_enum] = ACTIONS(2364),
    [anon_sym_class] = ACTIONS(2364),
    [anon_sym_struct] = ACTIONS(2364),
    [anon_sym_union] = ACTIONS(2364),
    [anon_sym_if] = ACTIONS(2364),
    [anon_sym_else] = ACTIONS(2364),
    [anon_sym_switch] = ACTIONS(2364),
    [anon_sym_while] = ACTIONS(2364),
    [anon_sym_do] = ACTIONS(2364),
    [anon_sym_for] = ACTIONS(2364),
    [anon_sym_return] = ACTIONS(2364),
    [anon_sym_break] = ACTIONS(2364),
    [anon_sym_continue] = ACTIONS(2364),
    [anon_sym_goto] = ACTIONS(2364),
    [anon_sym___try] = ACTIONS(2364),
    [anon_sym___leave] = ACTIONS(2364),
    [anon_sym_not] = ACTIONS(2364),
    [anon_sym_compl] = ACTIONS(2364),
    [anon_sym_DASH_DASH] = ACTIONS(2366),
    [anon_sym_PLUS_PLUS] = ACTIONS(2366),
    [anon_sym_sizeof] = ACTIONS(2364),
    [anon_sym___alignof__] = ACTIONS(2364),
    [anon_sym___alignof] = ACTIONS(2364),
    [anon_sym__alignof] = ACTIONS(2364),
    [anon_sym_alignof] = ACTIONS(2364),
    [anon_sym__Alignof] = ACTIONS(2364),
    [anon_sym_offsetof] = ACTIONS(2364),
    [anon_sym__Generic] = ACTIONS(2364),
    [anon_sym_asm] = ACTIONS(2364),
    [anon_sym___asm__] = ACTIONS(2364),
    [sym_number_literal] = ACTIONS(2366),
    [anon_sym_L_SQUOTE] = ACTIONS(2366),
    [anon_sym_u_SQUOTE] = ACTIONS(2366),
    [anon_sym_U_SQUOTE] = ACTIONS(2366),
    [anon_sym_u8_SQUOTE] = ACTIONS(2366),
    [anon_sym_SQUOTE] = ACTIONS(2366),
    [anon_sym_L_DQUOTE] = ACTIONS(2366),
    [anon_sym_u_DQUOTE] = ACTIONS(2366),
    [anon_sym_U_DQUOTE] = ACTIONS(2366),
    [anon_sym_u8_DQUOTE] = ACTIONS(2366),
    [anon_sym_DQUOTE] = ACTIONS(2366),
    [sym_true] = ACTIONS(2364),
    [sym_false] = ACTIONS(2364),
    [anon_sym_NULL] = ACTIONS(2364),
    [anon_sym_nullptr] = ACTIONS(2364),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2364),
    [anon_sym_decltype] = ACTIONS(2364),
    [anon_sym_virtual] = ACTIONS(2364),
    [anon_sym_alignas] = ACTIONS(2364),
    [anon_sym_typename] = ACTIONS(2364),
    [anon_sym_template] = ACTIONS(2364),
    [anon_sym_try] = ACTIONS(2364),
    [anon_sym_delete] = ACTIONS(2364),
    [anon_sym_throw] = ACTIONS(2364),
    [anon_sym_co_return] = ACTIONS(2364),
    [anon_sym_co_yield] = ACTIONS(2364),
    [anon_sym_R_DQUOTE] = ACTIONS(2366),
    [anon_sym_LR_DQUOTE] = ACTIONS(2366),
    [anon_sym_uR_DQUOTE] = ACTIONS(2366),
    [anon_sym_UR_DQUOTE] = ACTIONS(2366),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2366),
    [anon_sym_co_await] = ACTIONS(2364),
    [anon_sym_new] = ACTIONS(2364),
    [anon_sym_requires] = ACTIONS(2364),
    [sym_this] = ACTIONS(2364),
    [anon_sym_discard] = ACTIONS(2364),
    [anon_sym_precise] = ACTIONS(2364),
    [anon_sym_shared] = ACTIONS(2364),
    [anon_sym_groupshared] = ACTIONS(2364),
    [anon_sym_uniform] = ACTIONS(2364),
    [anon_sym_row_major] = ACTIONS(2364),
    [anon_sym_column_major] = ACTIONS(2364),
    [anon_sym_globallycoherent] = ACTIONS(2364),
    [anon_sym_centroid] = ACTIONS(2364),
    [anon_sym_noperspective] = ACTIONS(2364),
    [anon_sym_nointerpolation] = ACTIONS(2364),
    [anon_sym_sample] = ACTIONS(2364),
    [anon_sym_linear] = ACTIONS(2364),
    [anon_sym_snorm] = ACTIONS(2364),
    [anon_sym_unorm] = ACTIONS(2364),
    [anon_sym_point] = ACTIONS(2364),
    [anon_sym_line] = ACTIONS(2364),
    [anon_sym_triangleadj] = ACTIONS(2364),
    [anon_sym_lineadj] = ACTIONS(2364),
    [anon_sym_triangle] = ACTIONS(2364),
    [anon_sym_cbuffer] = ACTIONS(2364),
  },
  [1626] = {
    [sym_identifier] = ACTIONS(2444),
    [anon_sym_LPAREN2] = ACTIONS(2446),
    [anon_sym_BANG] = ACTIONS(2446),
    [anon_sym_TILDE] = ACTIONS(2446),
    [anon_sym_DASH] = ACTIONS(2444),
    [anon_sym_PLUS] = ACTIONS(2444),
    [anon_sym_STAR] = ACTIONS(2446),
    [anon_sym_AMP] = ACTIONS(2446),
    [anon_sym_SEMI] = ACTIONS(2446),
    [anon_sym___extension__] = ACTIONS(2444),
    [anon_sym_typedef] = ACTIONS(2444),
    [anon_sym_in] = ACTIONS(2444),
    [anon_sym_out] = ACTIONS(2444),
    [anon_sym_inout] = ACTIONS(2444),
    [anon_sym_extern] = ACTIONS(2444),
    [anon_sym___attribute__] = ACTIONS(2444),
    [anon_sym_COLON_COLON] = ACTIONS(2446),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2446),
    [anon_sym___declspec] = ACTIONS(2444),
    [anon_sym_LBRACE] = ACTIONS(2446),
    [anon_sym_signed] = ACTIONS(2444),
    [anon_sym_unsigned] = ACTIONS(2444),
    [anon_sym_long] = ACTIONS(2444),
    [anon_sym_short] = ACTIONS(2444),
    [anon_sym_LBRACK] = ACTIONS(2444),
    [anon_sym_static] = ACTIONS(2444),
    [anon_sym_register] = ACTIONS(2444),
    [anon_sym_inline] = ACTIONS(2444),
    [anon_sym___inline] = ACTIONS(2444),
    [anon_sym___inline__] = ACTIONS(2444),
    [anon_sym___forceinline] = ACTIONS(2444),
    [anon_sym_thread_local] = ACTIONS(2444),
    [anon_sym___thread] = ACTIONS(2444),
    [anon_sym_const] = ACTIONS(2444),
    [anon_sym_constexpr] = ACTIONS(2444),
    [anon_sym_volatile] = ACTIONS(2444),
    [anon_sym_restrict] = ACTIONS(2444),
    [anon_sym___restrict__] = ACTIONS(2444),
    [anon_sym__Atomic] = ACTIONS(2444),
    [anon_sym__Noreturn] = ACTIONS(2444),
    [anon_sym_noreturn] = ACTIONS(2444),
    [anon_sym_mutable] = ACTIONS(2444),
    [anon_sym_constinit] = ACTIONS(2444),
    [anon_sym_consteval] = ACTIONS(2444),
    [sym_primitive_type] = ACTIONS(2444),
    [anon_sym_enum] = ACTIONS(2444),
    [anon_sym_class] = ACTIONS(2444),
    [anon_sym_struct] = ACTIONS(2444),
    [anon_sym_union] = ACTIONS(2444),
    [anon_sym_if] = ACTIONS(2444),
    [anon_sym_else] = ACTIONS(2444),
    [anon_sym_switch] = ACTIONS(2444),
    [anon_sym_while] = ACTIONS(2444),
    [anon_sym_do] = ACTIONS(2444),
    [anon_sym_for] = ACTIONS(2444),
    [anon_sym_return] = ACTIONS(2444),
    [anon_sym_break] = ACTIONS(2444),
    [anon_sym_continue] = ACTIONS(2444),
    [anon_sym_goto] = ACTIONS(2444),
    [anon_sym___try] = ACTIONS(2444),
    [anon_sym___leave] = ACTIONS(2444),
    [anon_sym_not] = ACTIONS(2444),
    [anon_sym_compl] = ACTIONS(2444),
    [anon_sym_DASH_DASH] = ACTIONS(2446),
    [anon_sym_PLUS_PLUS] = ACTIONS(2446),
    [anon_sym_sizeof] = ACTIONS(2444),
    [anon_sym___alignof__] = ACTIONS(2444),
    [anon_sym___alignof] = ACTIONS(2444),
    [anon_sym__alignof] = ACTIONS(2444),
    [anon_sym_alignof] = ACTIONS(2444),
    [anon_sym__Alignof] = ACTIONS(2444),
    [anon_sym_offsetof] = ACTIONS(2444),
    [anon_sym__Generic] = ACTIONS(2444),
    [anon_sym_asm] = ACTIONS(2444),
    [anon_sym___asm__] = ACTIONS(2444),
    [sym_number_literal] = ACTIONS(2446),
    [anon_sym_L_SQUOTE] = ACTIONS(2446),
    [anon_sym_u_SQUOTE] = ACTIONS(2446),
    [anon_sym_U_SQUOTE] = ACTIONS(2446),
    [anon_sym_u8_SQUOTE] = ACTIONS(2446),
    [anon_sym_SQUOTE] = ACTIONS(2446),
    [anon_sym_L_DQUOTE] = ACTIONS(2446),
    [anon_sym_u_DQUOTE] = ACTIONS(2446),
    [anon_sym_U_DQUOTE] = ACTIONS(2446),
    [anon_sym_u8_DQUOTE] = ACTIONS(2446),
    [anon_sym_DQUOTE] = ACTIONS(2446),
    [sym_true] = ACTIONS(2444),
    [sym_false] = ACTIONS(2444),
    [anon_sym_NULL] = ACTIONS(2444),
    [anon_sym_nullptr] = ACTIONS(2444),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2444),
    [anon_sym_decltype] = ACTIONS(2444),
    [anon_sym_virtual] = ACTIONS(2444),
    [anon_sym_alignas] = ACTIONS(2444),
    [anon_sym_typename] = ACTIONS(2444),
    [anon_sym_template] = ACTIONS(2444),
    [anon_sym_try] = ACTIONS(2444),
    [anon_sym_delete] = ACTIONS(2444),
    [anon_sym_throw] = ACTIONS(2444),
    [anon_sym_co_return] = ACTIONS(2444),
    [anon_sym_co_yield] = ACTIONS(2444),
    [anon_sym_R_DQUOTE] = ACTIONS(2446),
    [anon_sym_LR_DQUOTE] = ACTIONS(2446),
    [anon_sym_uR_DQUOTE] = ACTIONS(2446),
    [anon_sym_UR_DQUOTE] = ACTIONS(2446),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2446),
    [anon_sym_co_await] = ACTIONS(2444),
    [anon_sym_new] = ACTIONS(2444),
    [anon_sym_requires] = ACTIONS(2444),
    [sym_this] = ACTIONS(2444),
    [anon_sym_discard] = ACTIONS(2444),
    [anon_sym_precise] = ACTIONS(2444),
    [anon_sym_shared] = ACTIONS(2444),
    [anon_sym_groupshared] = ACTIONS(2444),
    [anon_sym_uniform] = ACTIONS(2444),
    [anon_sym_row_major] = ACTIONS(2444),
    [anon_sym_column_major] = ACTIONS(2444),
    [anon_sym_globallycoherent] = ACTIONS(2444),
    [anon_sym_centroid] = ACTIONS(2444),
    [anon_sym_noperspective] = ACTIONS(2444),
    [anon_sym_nointerpolation] = ACTIONS(2444),
    [anon_sym_sample] = ACTIONS(2444),
    [anon_sym_linear] = ACTIONS(2444),
    [anon_sym_snorm] = ACTIONS(2444),
    [anon_sym_unorm] = ACTIONS(2444),
    [anon_sym_point] = ACTIONS(2444),
    [anon_sym_line] = ACTIONS(2444),
    [anon_sym_triangleadj] = ACTIONS(2444),
    [anon_sym_lineadj] = ACTIONS(2444),
    [anon_sym_triangle] = ACTIONS(2444),
    [anon_sym_cbuffer] = ACTIONS(2444),
  },
  [1627] = {
    [sym_identifier] = ACTIONS(2338),
    [anon_sym_LPAREN2] = ACTIONS(2340),
    [anon_sym_BANG] = ACTIONS(2340),
    [anon_sym_TILDE] = ACTIONS(2340),
    [anon_sym_DASH] = ACTIONS(2338),
    [anon_sym_PLUS] = ACTIONS(2338),
    [anon_sym_STAR] = ACTIONS(2340),
    [anon_sym_AMP] = ACTIONS(2340),
    [anon_sym_SEMI] = ACTIONS(2340),
    [anon_sym___extension__] = ACTIONS(2338),
    [anon_sym_typedef] = ACTIONS(2338),
    [anon_sym_in] = ACTIONS(2338),
    [anon_sym_out] = ACTIONS(2338),
    [anon_sym_inout] = ACTIONS(2338),
    [anon_sym_extern] = ACTIONS(2338),
    [anon_sym___attribute__] = ACTIONS(2338),
    [anon_sym_COLON_COLON] = ACTIONS(2340),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2340),
    [anon_sym___declspec] = ACTIONS(2338),
    [anon_sym_LBRACE] = ACTIONS(2340),
    [anon_sym_signed] = ACTIONS(2338),
    [anon_sym_unsigned] = ACTIONS(2338),
    [anon_sym_long] = ACTIONS(2338),
    [anon_sym_short] = ACTIONS(2338),
    [anon_sym_LBRACK] = ACTIONS(2338),
    [anon_sym_static] = ACTIONS(2338),
    [anon_sym_register] = ACTIONS(2338),
    [anon_sym_inline] = ACTIONS(2338),
    [anon_sym___inline] = ACTIONS(2338),
    [anon_sym___inline__] = ACTIONS(2338),
    [anon_sym___forceinline] = ACTIONS(2338),
    [anon_sym_thread_local] = ACTIONS(2338),
    [anon_sym___thread] = ACTIONS(2338),
    [anon_sym_const] = ACTIONS(2338),
    [anon_sym_constexpr] = ACTIONS(2338),
    [anon_sym_volatile] = ACTIONS(2338),
    [anon_sym_restrict] = ACTIONS(2338),
    [anon_sym___restrict__] = ACTIONS(2338),
    [anon_sym__Atomic] = ACTIONS(2338),
    [anon_sym__Noreturn] = ACTIONS(2338),
    [anon_sym_noreturn] = ACTIONS(2338),
    [anon_sym_mutable] = ACTIONS(2338),
    [anon_sym_constinit] = ACTIONS(2338),
    [anon_sym_consteval] = ACTIONS(2338),
    [sym_primitive_type] = ACTIONS(2338),
    [anon_sym_enum] = ACTIONS(2338),
    [anon_sym_class] = ACTIONS(2338),
    [anon_sym_struct] = ACTIONS(2338),
    [anon_sym_union] = ACTIONS(2338),
    [anon_sym_if] = ACTIONS(2338),
    [anon_sym_else] = ACTIONS(2338),
    [anon_sym_switch] = ACTIONS(2338),
    [anon_sym_while] = ACTIONS(2338),
    [anon_sym_do] = ACTIONS(2338),
    [anon_sym_for] = ACTIONS(2338),
    [anon_sym_return] = ACTIONS(2338),
    [anon_sym_break] = ACTIONS(2338),
    [anon_sym_continue] = ACTIONS(2338),
    [anon_sym_goto] = ACTIONS(2338),
    [anon_sym___try] = ACTIONS(2338),
    [anon_sym___leave] = ACTIONS(2338),
    [anon_sym_not] = ACTIONS(2338),
    [anon_sym_compl] = ACTIONS(2338),
    [anon_sym_DASH_DASH] = ACTIONS(2340),
    [anon_sym_PLUS_PLUS] = ACTIONS(2340),
    [anon_sym_sizeof] = ACTIONS(2338),
    [anon_sym___alignof__] = ACTIONS(2338),
    [anon_sym___alignof] = ACTIONS(2338),
    [anon_sym__alignof] = ACTIONS(2338),
    [anon_sym_alignof] = ACTIONS(2338),
    [anon_sym__Alignof] = ACTIONS(2338),
    [anon_sym_offsetof] = ACTIONS(2338),
    [anon_sym__Generic] = ACTIONS(2338),
    [anon_sym_asm] = ACTIONS(2338),
    [anon_sym___asm__] = ACTIONS(2338),
    [sym_number_literal] = ACTIONS(2340),
    [anon_sym_L_SQUOTE] = ACTIONS(2340),
    [anon_sym_u_SQUOTE] = ACTIONS(2340),
    [anon_sym_U_SQUOTE] = ACTIONS(2340),
    [anon_sym_u8_SQUOTE] = ACTIONS(2340),
    [anon_sym_SQUOTE] = ACTIONS(2340),
    [anon_sym_L_DQUOTE] = ACTIONS(2340),
    [anon_sym_u_DQUOTE] = ACTIONS(2340),
    [anon_sym_U_DQUOTE] = ACTIONS(2340),
    [anon_sym_u8_DQUOTE] = ACTIONS(2340),
    [anon_sym_DQUOTE] = ACTIONS(2340),
    [sym_true] = ACTIONS(2338),
    [sym_false] = ACTIONS(2338),
    [anon_sym_NULL] = ACTIONS(2338),
    [anon_sym_nullptr] = ACTIONS(2338),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2338),
    [anon_sym_decltype] = ACTIONS(2338),
    [anon_sym_virtual] = ACTIONS(2338),
    [anon_sym_alignas] = ACTIONS(2338),
    [anon_sym_typename] = ACTIONS(2338),
    [anon_sym_template] = ACTIONS(2338),
    [anon_sym_try] = ACTIONS(2338),
    [anon_sym_delete] = ACTIONS(2338),
    [anon_sym_throw] = ACTIONS(2338),
    [anon_sym_co_return] = ACTIONS(2338),
    [anon_sym_co_yield] = ACTIONS(2338),
    [anon_sym_R_DQUOTE] = ACTIONS(2340),
    [anon_sym_LR_DQUOTE] = ACTIONS(2340),
    [anon_sym_uR_DQUOTE] = ACTIONS(2340),
    [anon_sym_UR_DQUOTE] = ACTIONS(2340),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2340),
    [anon_sym_co_await] = ACTIONS(2338),
    [anon_sym_new] = ACTIONS(2338),
    [anon_sym_requires] = ACTIONS(2338),
    [sym_this] = ACTIONS(2338),
    [anon_sym_discard] = ACTIONS(2338),
    [anon_sym_precise] = ACTIONS(2338),
    [anon_sym_shared] = ACTIONS(2338),
    [anon_sym_groupshared] = ACTIONS(2338),
    [anon_sym_uniform] = ACTIONS(2338),
    [anon_sym_row_major] = ACTIONS(2338),
    [anon_sym_column_major] = ACTIONS(2338),
    [anon_sym_globallycoherent] = ACTIONS(2338),
    [anon_sym_centroid] = ACTIONS(2338),
    [anon_sym_noperspective] = ACTIONS(2338),
    [anon_sym_nointerpolation] = ACTIONS(2338),
    [anon_sym_sample] = ACTIONS(2338),
    [anon_sym_linear] = ACTIONS(2338),
    [anon_sym_snorm] = ACTIONS(2338),
    [anon_sym_unorm] = ACTIONS(2338),
    [anon_sym_point] = ACTIONS(2338),
    [anon_sym_line] = ACTIONS(2338),
    [anon_sym_triangleadj] = ACTIONS(2338),
    [anon_sym_lineadj] = ACTIONS(2338),
    [anon_sym_triangle] = ACTIONS(2338),
    [anon_sym_cbuffer] = ACTIONS(2338),
  },
  [1628] = {
    [sym_identifier] = ACTIONS(2444),
    [anon_sym_LPAREN2] = ACTIONS(2446),
    [anon_sym_BANG] = ACTIONS(2446),
    [anon_sym_TILDE] = ACTIONS(2446),
    [anon_sym_DASH] = ACTIONS(2444),
    [anon_sym_PLUS] = ACTIONS(2444),
    [anon_sym_STAR] = ACTIONS(2446),
    [anon_sym_AMP] = ACTIONS(2446),
    [anon_sym_SEMI] = ACTIONS(2446),
    [anon_sym___extension__] = ACTIONS(2444),
    [anon_sym_typedef] = ACTIONS(2444),
    [anon_sym_in] = ACTIONS(2444),
    [anon_sym_out] = ACTIONS(2444),
    [anon_sym_inout] = ACTIONS(2444),
    [anon_sym_extern] = ACTIONS(2444),
    [anon_sym___attribute__] = ACTIONS(2444),
    [anon_sym_COLON_COLON] = ACTIONS(2446),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2446),
    [anon_sym___declspec] = ACTIONS(2444),
    [anon_sym_LBRACE] = ACTIONS(2446),
    [anon_sym_signed] = ACTIONS(2444),
    [anon_sym_unsigned] = ACTIONS(2444),
    [anon_sym_long] = ACTIONS(2444),
    [anon_sym_short] = ACTIONS(2444),
    [anon_sym_LBRACK] = ACTIONS(2444),
    [anon_sym_static] = ACTIONS(2444),
    [anon_sym_register] = ACTIONS(2444),
    [anon_sym_inline] = ACTIONS(2444),
    [anon_sym___inline] = ACTIONS(2444),
    [anon_sym___inline__] = ACTIONS(2444),
    [anon_sym___forceinline] = ACTIONS(2444),
    [anon_sym_thread_local] = ACTIONS(2444),
    [anon_sym___thread] = ACTIONS(2444),
    [anon_sym_const] = ACTIONS(2444),
    [anon_sym_constexpr] = ACTIONS(2444),
    [anon_sym_volatile] = ACTIONS(2444),
    [anon_sym_restrict] = ACTIONS(2444),
    [anon_sym___restrict__] = ACTIONS(2444),
    [anon_sym__Atomic] = ACTIONS(2444),
    [anon_sym__Noreturn] = ACTIONS(2444),
    [anon_sym_noreturn] = ACTIONS(2444),
    [anon_sym_mutable] = ACTIONS(2444),
    [anon_sym_constinit] = ACTIONS(2444),
    [anon_sym_consteval] = ACTIONS(2444),
    [sym_primitive_type] = ACTIONS(2444),
    [anon_sym_enum] = ACTIONS(2444),
    [anon_sym_class] = ACTIONS(2444),
    [anon_sym_struct] = ACTIONS(2444),
    [anon_sym_union] = ACTIONS(2444),
    [anon_sym_if] = ACTIONS(2444),
    [anon_sym_else] = ACTIONS(2444),
    [anon_sym_switch] = ACTIONS(2444),
    [anon_sym_while] = ACTIONS(2444),
    [anon_sym_do] = ACTIONS(2444),
    [anon_sym_for] = ACTIONS(2444),
    [anon_sym_return] = ACTIONS(2444),
    [anon_sym_break] = ACTIONS(2444),
    [anon_sym_continue] = ACTIONS(2444),
    [anon_sym_goto] = ACTIONS(2444),
    [anon_sym___try] = ACTIONS(2444),
    [anon_sym___leave] = ACTIONS(2444),
    [anon_sym_not] = ACTIONS(2444),
    [anon_sym_compl] = ACTIONS(2444),
    [anon_sym_DASH_DASH] = ACTIONS(2446),
    [anon_sym_PLUS_PLUS] = ACTIONS(2446),
    [anon_sym_sizeof] = ACTIONS(2444),
    [anon_sym___alignof__] = ACTIONS(2444),
    [anon_sym___alignof] = ACTIONS(2444),
    [anon_sym__alignof] = ACTIONS(2444),
    [anon_sym_alignof] = ACTIONS(2444),
    [anon_sym__Alignof] = ACTIONS(2444),
    [anon_sym_offsetof] = ACTIONS(2444),
    [anon_sym__Generic] = ACTIONS(2444),
    [anon_sym_asm] = ACTIONS(2444),
    [anon_sym___asm__] = ACTIONS(2444),
    [sym_number_literal] = ACTIONS(2446),
    [anon_sym_L_SQUOTE] = ACTIONS(2446),
    [anon_sym_u_SQUOTE] = ACTIONS(2446),
    [anon_sym_U_SQUOTE] = ACTIONS(2446),
    [anon_sym_u8_SQUOTE] = ACTIONS(2446),
    [anon_sym_SQUOTE] = ACTIONS(2446),
    [anon_sym_L_DQUOTE] = ACTIONS(2446),
    [anon_sym_u_DQUOTE] = ACTIONS(2446),
    [anon_sym_U_DQUOTE] = ACTIONS(2446),
    [anon_sym_u8_DQUOTE] = ACTIONS(2446),
    [anon_sym_DQUOTE] = ACTIONS(2446),
    [sym_true] = ACTIONS(2444),
    [sym_false] = ACTIONS(2444),
    [anon_sym_NULL] = ACTIONS(2444),
    [anon_sym_nullptr] = ACTIONS(2444),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2444),
    [anon_sym_decltype] = ACTIONS(2444),
    [anon_sym_virtual] = ACTIONS(2444),
    [anon_sym_alignas] = ACTIONS(2444),
    [anon_sym_typename] = ACTIONS(2444),
    [anon_sym_template] = ACTIONS(2444),
    [anon_sym_try] = ACTIONS(2444),
    [anon_sym_delete] = ACTIONS(2444),
    [anon_sym_throw] = ACTIONS(2444),
    [anon_sym_co_return] = ACTIONS(2444),
    [anon_sym_co_yield] = ACTIONS(2444),
    [anon_sym_R_DQUOTE] = ACTIONS(2446),
    [anon_sym_LR_DQUOTE] = ACTIONS(2446),
    [anon_sym_uR_DQUOTE] = ACTIONS(2446),
    [anon_sym_UR_DQUOTE] = ACTIONS(2446),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2446),
    [anon_sym_co_await] = ACTIONS(2444),
    [anon_sym_new] = ACTIONS(2444),
    [anon_sym_requires] = ACTIONS(2444),
    [sym_this] = ACTIONS(2444),
    [anon_sym_discard] = ACTIONS(2444),
    [anon_sym_precise] = ACTIONS(2444),
    [anon_sym_shared] = ACTIONS(2444),
    [anon_sym_groupshared] = ACTIONS(2444),
    [anon_sym_uniform] = ACTIONS(2444),
    [anon_sym_row_major] = ACTIONS(2444),
    [anon_sym_column_major] = ACTIONS(2444),
    [anon_sym_globallycoherent] = ACTIONS(2444),
    [anon_sym_centroid] = ACTIONS(2444),
    [anon_sym_noperspective] = ACTIONS(2444),
    [anon_sym_nointerpolation] = ACTIONS(2444),
    [anon_sym_sample] = ACTIONS(2444),
    [anon_sym_linear] = ACTIONS(2444),
    [anon_sym_snorm] = ACTIONS(2444),
    [anon_sym_unorm] = ACTIONS(2444),
    [anon_sym_point] = ACTIONS(2444),
    [anon_sym_line] = ACTIONS(2444),
    [anon_sym_triangleadj] = ACTIONS(2444),
    [anon_sym_lineadj] = ACTIONS(2444),
    [anon_sym_triangle] = ACTIONS(2444),
    [anon_sym_cbuffer] = ACTIONS(2444),
  },
  [1629] = {
    [sym_identifier] = ACTIONS(2364),
    [anon_sym_LPAREN2] = ACTIONS(2366),
    [anon_sym_BANG] = ACTIONS(2366),
    [anon_sym_TILDE] = ACTIONS(2366),
    [anon_sym_DASH] = ACTIONS(2364),
    [anon_sym_PLUS] = ACTIONS(2364),
    [anon_sym_STAR] = ACTIONS(2366),
    [anon_sym_AMP] = ACTIONS(2366),
    [anon_sym_SEMI] = ACTIONS(2366),
    [anon_sym___extension__] = ACTIONS(2364),
    [anon_sym_typedef] = ACTIONS(2364),
    [anon_sym_in] = ACTIONS(2364),
    [anon_sym_out] = ACTIONS(2364),
    [anon_sym_inout] = ACTIONS(2364),
    [anon_sym_extern] = ACTIONS(2364),
    [anon_sym___attribute__] = ACTIONS(2364),
    [anon_sym_COLON_COLON] = ACTIONS(2366),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2366),
    [anon_sym___declspec] = ACTIONS(2364),
    [anon_sym_LBRACE] = ACTIONS(2366),
    [anon_sym_signed] = ACTIONS(2364),
    [anon_sym_unsigned] = ACTIONS(2364),
    [anon_sym_long] = ACTIONS(2364),
    [anon_sym_short] = ACTIONS(2364),
    [anon_sym_LBRACK] = ACTIONS(2364),
    [anon_sym_static] = ACTIONS(2364),
    [anon_sym_register] = ACTIONS(2364),
    [anon_sym_inline] = ACTIONS(2364),
    [anon_sym___inline] = ACTIONS(2364),
    [anon_sym___inline__] = ACTIONS(2364),
    [anon_sym___forceinline] = ACTIONS(2364),
    [anon_sym_thread_local] = ACTIONS(2364),
    [anon_sym___thread] = ACTIONS(2364),
    [anon_sym_const] = ACTIONS(2364),
    [anon_sym_constexpr] = ACTIONS(2364),
    [anon_sym_volatile] = ACTIONS(2364),
    [anon_sym_restrict] = ACTIONS(2364),
    [anon_sym___restrict__] = ACTIONS(2364),
    [anon_sym__Atomic] = ACTIONS(2364),
    [anon_sym__Noreturn] = ACTIONS(2364),
    [anon_sym_noreturn] = ACTIONS(2364),
    [anon_sym_mutable] = ACTIONS(2364),
    [anon_sym_constinit] = ACTIONS(2364),
    [anon_sym_consteval] = ACTIONS(2364),
    [sym_primitive_type] = ACTIONS(2364),
    [anon_sym_enum] = ACTIONS(2364),
    [anon_sym_class] = ACTIONS(2364),
    [anon_sym_struct] = ACTIONS(2364),
    [anon_sym_union] = ACTIONS(2364),
    [anon_sym_if] = ACTIONS(2364),
    [anon_sym_else] = ACTIONS(2364),
    [anon_sym_switch] = ACTIONS(2364),
    [anon_sym_while] = ACTIONS(2364),
    [anon_sym_do] = ACTIONS(2364),
    [anon_sym_for] = ACTIONS(2364),
    [anon_sym_return] = ACTIONS(2364),
    [anon_sym_break] = ACTIONS(2364),
    [anon_sym_continue] = ACTIONS(2364),
    [anon_sym_goto] = ACTIONS(2364),
    [anon_sym___try] = ACTIONS(2364),
    [anon_sym___leave] = ACTIONS(2364),
    [anon_sym_not] = ACTIONS(2364),
    [anon_sym_compl] = ACTIONS(2364),
    [anon_sym_DASH_DASH] = ACTIONS(2366),
    [anon_sym_PLUS_PLUS] = ACTIONS(2366),
    [anon_sym_sizeof] = ACTIONS(2364),
    [anon_sym___alignof__] = ACTIONS(2364),
    [anon_sym___alignof] = ACTIONS(2364),
    [anon_sym__alignof] = ACTIONS(2364),
    [anon_sym_alignof] = ACTIONS(2364),
    [anon_sym__Alignof] = ACTIONS(2364),
    [anon_sym_offsetof] = ACTIONS(2364),
    [anon_sym__Generic] = ACTIONS(2364),
    [anon_sym_asm] = ACTIONS(2364),
    [anon_sym___asm__] = ACTIONS(2364),
    [sym_number_literal] = ACTIONS(2366),
    [anon_sym_L_SQUOTE] = ACTIONS(2366),
    [anon_sym_u_SQUOTE] = ACTIONS(2366),
    [anon_sym_U_SQUOTE] = ACTIONS(2366),
    [anon_sym_u8_SQUOTE] = ACTIONS(2366),
    [anon_sym_SQUOTE] = ACTIONS(2366),
    [anon_sym_L_DQUOTE] = ACTIONS(2366),
    [anon_sym_u_DQUOTE] = ACTIONS(2366),
    [anon_sym_U_DQUOTE] = ACTIONS(2366),
    [anon_sym_u8_DQUOTE] = ACTIONS(2366),
    [anon_sym_DQUOTE] = ACTIONS(2366),
    [sym_true] = ACTIONS(2364),
    [sym_false] = ACTIONS(2364),
    [anon_sym_NULL] = ACTIONS(2364),
    [anon_sym_nullptr] = ACTIONS(2364),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2364),
    [anon_sym_decltype] = ACTIONS(2364),
    [anon_sym_virtual] = ACTIONS(2364),
    [anon_sym_alignas] = ACTIONS(2364),
    [anon_sym_typename] = ACTIONS(2364),
    [anon_sym_template] = ACTIONS(2364),
    [anon_sym_try] = ACTIONS(2364),
    [anon_sym_delete] = ACTIONS(2364),
    [anon_sym_throw] = ACTIONS(2364),
    [anon_sym_co_return] = ACTIONS(2364),
    [anon_sym_co_yield] = ACTIONS(2364),
    [anon_sym_R_DQUOTE] = ACTIONS(2366),
    [anon_sym_LR_DQUOTE] = ACTIONS(2366),
    [anon_sym_uR_DQUOTE] = ACTIONS(2366),
    [anon_sym_UR_DQUOTE] = ACTIONS(2366),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2366),
    [anon_sym_co_await] = ACTIONS(2364),
    [anon_sym_new] = ACTIONS(2364),
    [anon_sym_requires] = ACTIONS(2364),
    [sym_this] = ACTIONS(2364),
    [anon_sym_discard] = ACTIONS(2364),
    [anon_sym_precise] = ACTIONS(2364),
    [anon_sym_shared] = ACTIONS(2364),
    [anon_sym_groupshared] = ACTIONS(2364),
    [anon_sym_uniform] = ACTIONS(2364),
    [anon_sym_row_major] = ACTIONS(2364),
    [anon_sym_column_major] = ACTIONS(2364),
    [anon_sym_globallycoherent] = ACTIONS(2364),
    [anon_sym_centroid] = ACTIONS(2364),
    [anon_sym_noperspective] = ACTIONS(2364),
    [anon_sym_nointerpolation] = ACTIONS(2364),
    [anon_sym_sample] = ACTIONS(2364),
    [anon_sym_linear] = ACTIONS(2364),
    [anon_sym_snorm] = ACTIONS(2364),
    [anon_sym_unorm] = ACTIONS(2364),
    [anon_sym_point] = ACTIONS(2364),
    [anon_sym_line] = ACTIONS(2364),
    [anon_sym_triangleadj] = ACTIONS(2364),
    [anon_sym_lineadj] = ACTIONS(2364),
    [anon_sym_triangle] = ACTIONS(2364),
    [anon_sym_cbuffer] = ACTIONS(2364),
  },
  [1630] = {
    [sym_identifier] = ACTIONS(2504),
    [anon_sym_LPAREN2] = ACTIONS(2506),
    [anon_sym_BANG] = ACTIONS(2506),
    [anon_sym_TILDE] = ACTIONS(2506),
    [anon_sym_DASH] = ACTIONS(2504),
    [anon_sym_PLUS] = ACTIONS(2504),
    [anon_sym_STAR] = ACTIONS(2506),
    [anon_sym_AMP] = ACTIONS(2506),
    [anon_sym_SEMI] = ACTIONS(2506),
    [anon_sym___extension__] = ACTIONS(2504),
    [anon_sym_typedef] = ACTIONS(2504),
    [anon_sym_in] = ACTIONS(2504),
    [anon_sym_out] = ACTIONS(2504),
    [anon_sym_inout] = ACTIONS(2504),
    [anon_sym_extern] = ACTIONS(2504),
    [anon_sym___attribute__] = ACTIONS(2504),
    [anon_sym_COLON_COLON] = ACTIONS(2506),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2506),
    [anon_sym___declspec] = ACTIONS(2504),
    [anon_sym_LBRACE] = ACTIONS(2506),
    [anon_sym_signed] = ACTIONS(2504),
    [anon_sym_unsigned] = ACTIONS(2504),
    [anon_sym_long] = ACTIONS(2504),
    [anon_sym_short] = ACTIONS(2504),
    [anon_sym_LBRACK] = ACTIONS(2504),
    [anon_sym_static] = ACTIONS(2504),
    [anon_sym_register] = ACTIONS(2504),
    [anon_sym_inline] = ACTIONS(2504),
    [anon_sym___inline] = ACTIONS(2504),
    [anon_sym___inline__] = ACTIONS(2504),
    [anon_sym___forceinline] = ACTIONS(2504),
    [anon_sym_thread_local] = ACTIONS(2504),
    [anon_sym___thread] = ACTIONS(2504),
    [anon_sym_const] = ACTIONS(2504),
    [anon_sym_constexpr] = ACTIONS(2504),
    [anon_sym_volatile] = ACTIONS(2504),
    [anon_sym_restrict] = ACTIONS(2504),
    [anon_sym___restrict__] = ACTIONS(2504),
    [anon_sym__Atomic] = ACTIONS(2504),
    [anon_sym__Noreturn] = ACTIONS(2504),
    [anon_sym_noreturn] = ACTIONS(2504),
    [anon_sym_mutable] = ACTIONS(2504),
    [anon_sym_constinit] = ACTIONS(2504),
    [anon_sym_consteval] = ACTIONS(2504),
    [sym_primitive_type] = ACTIONS(2504),
    [anon_sym_enum] = ACTIONS(2504),
    [anon_sym_class] = ACTIONS(2504),
    [anon_sym_struct] = ACTIONS(2504),
    [anon_sym_union] = ACTIONS(2504),
    [anon_sym_if] = ACTIONS(2504),
    [anon_sym_else] = ACTIONS(2504),
    [anon_sym_switch] = ACTIONS(2504),
    [anon_sym_while] = ACTIONS(2504),
    [anon_sym_do] = ACTIONS(2504),
    [anon_sym_for] = ACTIONS(2504),
    [anon_sym_return] = ACTIONS(2504),
    [anon_sym_break] = ACTIONS(2504),
    [anon_sym_continue] = ACTIONS(2504),
    [anon_sym_goto] = ACTIONS(2504),
    [anon_sym___try] = ACTIONS(2504),
    [anon_sym___leave] = ACTIONS(2504),
    [anon_sym_not] = ACTIONS(2504),
    [anon_sym_compl] = ACTIONS(2504),
    [anon_sym_DASH_DASH] = ACTIONS(2506),
    [anon_sym_PLUS_PLUS] = ACTIONS(2506),
    [anon_sym_sizeof] = ACTIONS(2504),
    [anon_sym___alignof__] = ACTIONS(2504),
    [anon_sym___alignof] = ACTIONS(2504),
    [anon_sym__alignof] = ACTIONS(2504),
    [anon_sym_alignof] = ACTIONS(2504),
    [anon_sym__Alignof] = ACTIONS(2504),
    [anon_sym_offsetof] = ACTIONS(2504),
    [anon_sym__Generic] = ACTIONS(2504),
    [anon_sym_asm] = ACTIONS(2504),
    [anon_sym___asm__] = ACTIONS(2504),
    [sym_number_literal] = ACTIONS(2506),
    [anon_sym_L_SQUOTE] = ACTIONS(2506),
    [anon_sym_u_SQUOTE] = ACTIONS(2506),
    [anon_sym_U_SQUOTE] = ACTIONS(2506),
    [anon_sym_u8_SQUOTE] = ACTIONS(2506),
    [anon_sym_SQUOTE] = ACTIONS(2506),
    [anon_sym_L_DQUOTE] = ACTIONS(2506),
    [anon_sym_u_DQUOTE] = ACTIONS(2506),
    [anon_sym_U_DQUOTE] = ACTIONS(2506),
    [anon_sym_u8_DQUOTE] = ACTIONS(2506),
    [anon_sym_DQUOTE] = ACTIONS(2506),
    [sym_true] = ACTIONS(2504),
    [sym_false] = ACTIONS(2504),
    [anon_sym_NULL] = ACTIONS(2504),
    [anon_sym_nullptr] = ACTIONS(2504),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2504),
    [anon_sym_decltype] = ACTIONS(2504),
    [anon_sym_virtual] = ACTIONS(2504),
    [anon_sym_alignas] = ACTIONS(2504),
    [anon_sym_typename] = ACTIONS(2504),
    [anon_sym_template] = ACTIONS(2504),
    [anon_sym_try] = ACTIONS(2504),
    [anon_sym_delete] = ACTIONS(2504),
    [anon_sym_throw] = ACTIONS(2504),
    [anon_sym_co_return] = ACTIONS(2504),
    [anon_sym_co_yield] = ACTIONS(2504),
    [anon_sym_R_DQUOTE] = ACTIONS(2506),
    [anon_sym_LR_DQUOTE] = ACTIONS(2506),
    [anon_sym_uR_DQUOTE] = ACTIONS(2506),
    [anon_sym_UR_DQUOTE] = ACTIONS(2506),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2506),
    [anon_sym_co_await] = ACTIONS(2504),
    [anon_sym_new] = ACTIONS(2504),
    [anon_sym_requires] = ACTIONS(2504),
    [sym_this] = ACTIONS(2504),
    [anon_sym_discard] = ACTIONS(2504),
    [anon_sym_precise] = ACTIONS(2504),
    [anon_sym_shared] = ACTIONS(2504),
    [anon_sym_groupshared] = ACTIONS(2504),
    [anon_sym_uniform] = ACTIONS(2504),
    [anon_sym_row_major] = ACTIONS(2504),
    [anon_sym_column_major] = ACTIONS(2504),
    [anon_sym_globallycoherent] = ACTIONS(2504),
    [anon_sym_centroid] = ACTIONS(2504),
    [anon_sym_noperspective] = ACTIONS(2504),
    [anon_sym_nointerpolation] = ACTIONS(2504),
    [anon_sym_sample] = ACTIONS(2504),
    [anon_sym_linear] = ACTIONS(2504),
    [anon_sym_snorm] = ACTIONS(2504),
    [anon_sym_unorm] = ACTIONS(2504),
    [anon_sym_point] = ACTIONS(2504),
    [anon_sym_line] = ACTIONS(2504),
    [anon_sym_triangleadj] = ACTIONS(2504),
    [anon_sym_lineadj] = ACTIONS(2504),
    [anon_sym_triangle] = ACTIONS(2504),
    [anon_sym_cbuffer] = ACTIONS(2504),
  },
  [1631] = {
    [sym_identifier] = ACTIONS(2512),
    [anon_sym_LPAREN2] = ACTIONS(2514),
    [anon_sym_BANG] = ACTIONS(2514),
    [anon_sym_TILDE] = ACTIONS(2514),
    [anon_sym_DASH] = ACTIONS(2512),
    [anon_sym_PLUS] = ACTIONS(2512),
    [anon_sym_STAR] = ACTIONS(2514),
    [anon_sym_AMP] = ACTIONS(2514),
    [anon_sym_SEMI] = ACTIONS(2514),
    [anon_sym___extension__] = ACTIONS(2512),
    [anon_sym_typedef] = ACTIONS(2512),
    [anon_sym_in] = ACTIONS(2512),
    [anon_sym_out] = ACTIONS(2512),
    [anon_sym_inout] = ACTIONS(2512),
    [anon_sym_extern] = ACTIONS(2512),
    [anon_sym___attribute__] = ACTIONS(2512),
    [anon_sym_COLON_COLON] = ACTIONS(2514),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2514),
    [anon_sym___declspec] = ACTIONS(2512),
    [anon_sym_LBRACE] = ACTIONS(2514),
    [anon_sym_signed] = ACTIONS(2512),
    [anon_sym_unsigned] = ACTIONS(2512),
    [anon_sym_long] = ACTIONS(2512),
    [anon_sym_short] = ACTIONS(2512),
    [anon_sym_LBRACK] = ACTIONS(2512),
    [anon_sym_static] = ACTIONS(2512),
    [anon_sym_register] = ACTIONS(2512),
    [anon_sym_inline] = ACTIONS(2512),
    [anon_sym___inline] = ACTIONS(2512),
    [anon_sym___inline__] = ACTIONS(2512),
    [anon_sym___forceinline] = ACTIONS(2512),
    [anon_sym_thread_local] = ACTIONS(2512),
    [anon_sym___thread] = ACTIONS(2512),
    [anon_sym_const] = ACTIONS(2512),
    [anon_sym_constexpr] = ACTIONS(2512),
    [anon_sym_volatile] = ACTIONS(2512),
    [anon_sym_restrict] = ACTIONS(2512),
    [anon_sym___restrict__] = ACTIONS(2512),
    [anon_sym__Atomic] = ACTIONS(2512),
    [anon_sym__Noreturn] = ACTIONS(2512),
    [anon_sym_noreturn] = ACTIONS(2512),
    [anon_sym_mutable] = ACTIONS(2512),
    [anon_sym_constinit] = ACTIONS(2512),
    [anon_sym_consteval] = ACTIONS(2512),
    [sym_primitive_type] = ACTIONS(2512),
    [anon_sym_enum] = ACTIONS(2512),
    [anon_sym_class] = ACTIONS(2512),
    [anon_sym_struct] = ACTIONS(2512),
    [anon_sym_union] = ACTIONS(2512),
    [anon_sym_if] = ACTIONS(2512),
    [anon_sym_else] = ACTIONS(2512),
    [anon_sym_switch] = ACTIONS(2512),
    [anon_sym_while] = ACTIONS(2512),
    [anon_sym_do] = ACTIONS(2512),
    [anon_sym_for] = ACTIONS(2512),
    [anon_sym_return] = ACTIONS(2512),
    [anon_sym_break] = ACTIONS(2512),
    [anon_sym_continue] = ACTIONS(2512),
    [anon_sym_goto] = ACTIONS(2512),
    [anon_sym___try] = ACTIONS(2512),
    [anon_sym___leave] = ACTIONS(2512),
    [anon_sym_not] = ACTIONS(2512),
    [anon_sym_compl] = ACTIONS(2512),
    [anon_sym_DASH_DASH] = ACTIONS(2514),
    [anon_sym_PLUS_PLUS] = ACTIONS(2514),
    [anon_sym_sizeof] = ACTIONS(2512),
    [anon_sym___alignof__] = ACTIONS(2512),
    [anon_sym___alignof] = ACTIONS(2512),
    [anon_sym__alignof] = ACTIONS(2512),
    [anon_sym_alignof] = ACTIONS(2512),
    [anon_sym__Alignof] = ACTIONS(2512),
    [anon_sym_offsetof] = ACTIONS(2512),
    [anon_sym__Generic] = ACTIONS(2512),
    [anon_sym_asm] = ACTIONS(2512),
    [anon_sym___asm__] = ACTIONS(2512),
    [sym_number_literal] = ACTIONS(2514),
    [anon_sym_L_SQUOTE] = ACTIONS(2514),
    [anon_sym_u_SQUOTE] = ACTIONS(2514),
    [anon_sym_U_SQUOTE] = ACTIONS(2514),
    [anon_sym_u8_SQUOTE] = ACTIONS(2514),
    [anon_sym_SQUOTE] = ACTIONS(2514),
    [anon_sym_L_DQUOTE] = ACTIONS(2514),
    [anon_sym_u_DQUOTE] = ACTIONS(2514),
    [anon_sym_U_DQUOTE] = ACTIONS(2514),
    [anon_sym_u8_DQUOTE] = ACTIONS(2514),
    [anon_sym_DQUOTE] = ACTIONS(2514),
    [sym_true] = ACTIONS(2512),
    [sym_false] = ACTIONS(2512),
    [anon_sym_NULL] = ACTIONS(2512),
    [anon_sym_nullptr] = ACTIONS(2512),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2512),
    [anon_sym_decltype] = ACTIONS(2512),
    [anon_sym_virtual] = ACTIONS(2512),
    [anon_sym_alignas] = ACTIONS(2512),
    [anon_sym_typename] = ACTIONS(2512),
    [anon_sym_template] = ACTIONS(2512),
    [anon_sym_try] = ACTIONS(2512),
    [anon_sym_delete] = ACTIONS(2512),
    [anon_sym_throw] = ACTIONS(2512),
    [anon_sym_co_return] = ACTIONS(2512),
    [anon_sym_co_yield] = ACTIONS(2512),
    [anon_sym_R_DQUOTE] = ACTIONS(2514),
    [anon_sym_LR_DQUOTE] = ACTIONS(2514),
    [anon_sym_uR_DQUOTE] = ACTIONS(2514),
    [anon_sym_UR_DQUOTE] = ACTIONS(2514),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2514),
    [anon_sym_co_await] = ACTIONS(2512),
    [anon_sym_new] = ACTIONS(2512),
    [anon_sym_requires] = ACTIONS(2512),
    [sym_this] = ACTIONS(2512),
    [anon_sym_discard] = ACTIONS(2512),
    [anon_sym_precise] = ACTIONS(2512),
    [anon_sym_shared] = ACTIONS(2512),
    [anon_sym_groupshared] = ACTIONS(2512),
    [anon_sym_uniform] = ACTIONS(2512),
    [anon_sym_row_major] = ACTIONS(2512),
    [anon_sym_column_major] = ACTIONS(2512),
    [anon_sym_globallycoherent] = ACTIONS(2512),
    [anon_sym_centroid] = ACTIONS(2512),
    [anon_sym_noperspective] = ACTIONS(2512),
    [anon_sym_nointerpolation] = ACTIONS(2512),
    [anon_sym_sample] = ACTIONS(2512),
    [anon_sym_linear] = ACTIONS(2512),
    [anon_sym_snorm] = ACTIONS(2512),
    [anon_sym_unorm] = ACTIONS(2512),
    [anon_sym_point] = ACTIONS(2512),
    [anon_sym_line] = ACTIONS(2512),
    [anon_sym_triangleadj] = ACTIONS(2512),
    [anon_sym_lineadj] = ACTIONS(2512),
    [anon_sym_triangle] = ACTIONS(2512),
    [anon_sym_cbuffer] = ACTIONS(2512),
  },
  [1632] = {
    [sym_identifier] = ACTIONS(2444),
    [anon_sym_LPAREN2] = ACTIONS(2446),
    [anon_sym_BANG] = ACTIONS(2446),
    [anon_sym_TILDE] = ACTIONS(2446),
    [anon_sym_DASH] = ACTIONS(2444),
    [anon_sym_PLUS] = ACTIONS(2444),
    [anon_sym_STAR] = ACTIONS(2446),
    [anon_sym_AMP] = ACTIONS(2446),
    [anon_sym_SEMI] = ACTIONS(2446),
    [anon_sym___extension__] = ACTIONS(2444),
    [anon_sym_typedef] = ACTIONS(2444),
    [anon_sym_in] = ACTIONS(2444),
    [anon_sym_out] = ACTIONS(2444),
    [anon_sym_inout] = ACTIONS(2444),
    [anon_sym_extern] = ACTIONS(2444),
    [anon_sym___attribute__] = ACTIONS(2444),
    [anon_sym_COLON_COLON] = ACTIONS(2446),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2446),
    [anon_sym___declspec] = ACTIONS(2444),
    [anon_sym_LBRACE] = ACTIONS(2446),
    [anon_sym_signed] = ACTIONS(2444),
    [anon_sym_unsigned] = ACTIONS(2444),
    [anon_sym_long] = ACTIONS(2444),
    [anon_sym_short] = ACTIONS(2444),
    [anon_sym_LBRACK] = ACTIONS(2444),
    [anon_sym_static] = ACTIONS(2444),
    [anon_sym_register] = ACTIONS(2444),
    [anon_sym_inline] = ACTIONS(2444),
    [anon_sym___inline] = ACTIONS(2444),
    [anon_sym___inline__] = ACTIONS(2444),
    [anon_sym___forceinline] = ACTIONS(2444),
    [anon_sym_thread_local] = ACTIONS(2444),
    [anon_sym___thread] = ACTIONS(2444),
    [anon_sym_const] = ACTIONS(2444),
    [anon_sym_constexpr] = ACTIONS(2444),
    [anon_sym_volatile] = ACTIONS(2444),
    [anon_sym_restrict] = ACTIONS(2444),
    [anon_sym___restrict__] = ACTIONS(2444),
    [anon_sym__Atomic] = ACTIONS(2444),
    [anon_sym__Noreturn] = ACTIONS(2444),
    [anon_sym_noreturn] = ACTIONS(2444),
    [anon_sym_mutable] = ACTIONS(2444),
    [anon_sym_constinit] = ACTIONS(2444),
    [anon_sym_consteval] = ACTIONS(2444),
    [sym_primitive_type] = ACTIONS(2444),
    [anon_sym_enum] = ACTIONS(2444),
    [anon_sym_class] = ACTIONS(2444),
    [anon_sym_struct] = ACTIONS(2444),
    [anon_sym_union] = ACTIONS(2444),
    [anon_sym_if] = ACTIONS(2444),
    [anon_sym_else] = ACTIONS(2444),
    [anon_sym_switch] = ACTIONS(2444),
    [anon_sym_while] = ACTIONS(2444),
    [anon_sym_do] = ACTIONS(2444),
    [anon_sym_for] = ACTIONS(2444),
    [anon_sym_return] = ACTIONS(2444),
    [anon_sym_break] = ACTIONS(2444),
    [anon_sym_continue] = ACTIONS(2444),
    [anon_sym_goto] = ACTIONS(2444),
    [anon_sym___try] = ACTIONS(2444),
    [anon_sym___leave] = ACTIONS(2444),
    [anon_sym_not] = ACTIONS(2444),
    [anon_sym_compl] = ACTIONS(2444),
    [anon_sym_DASH_DASH] = ACTIONS(2446),
    [anon_sym_PLUS_PLUS] = ACTIONS(2446),
    [anon_sym_sizeof] = ACTIONS(2444),
    [anon_sym___alignof__] = ACTIONS(2444),
    [anon_sym___alignof] = ACTIONS(2444),
    [anon_sym__alignof] = ACTIONS(2444),
    [anon_sym_alignof] = ACTIONS(2444),
    [anon_sym__Alignof] = ACTIONS(2444),
    [anon_sym_offsetof] = ACTIONS(2444),
    [anon_sym__Generic] = ACTIONS(2444),
    [anon_sym_asm] = ACTIONS(2444),
    [anon_sym___asm__] = ACTIONS(2444),
    [sym_number_literal] = ACTIONS(2446),
    [anon_sym_L_SQUOTE] = ACTIONS(2446),
    [anon_sym_u_SQUOTE] = ACTIONS(2446),
    [anon_sym_U_SQUOTE] = ACTIONS(2446),
    [anon_sym_u8_SQUOTE] = ACTIONS(2446),
    [anon_sym_SQUOTE] = ACTIONS(2446),
    [anon_sym_L_DQUOTE] = ACTIONS(2446),
    [anon_sym_u_DQUOTE] = ACTIONS(2446),
    [anon_sym_U_DQUOTE] = ACTIONS(2446),
    [anon_sym_u8_DQUOTE] = ACTIONS(2446),
    [anon_sym_DQUOTE] = ACTIONS(2446),
    [sym_true] = ACTIONS(2444),
    [sym_false] = ACTIONS(2444),
    [anon_sym_NULL] = ACTIONS(2444),
    [anon_sym_nullptr] = ACTIONS(2444),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2444),
    [anon_sym_decltype] = ACTIONS(2444),
    [anon_sym_virtual] = ACTIONS(2444),
    [anon_sym_alignas] = ACTIONS(2444),
    [anon_sym_typename] = ACTIONS(2444),
    [anon_sym_template] = ACTIONS(2444),
    [anon_sym_try] = ACTIONS(2444),
    [anon_sym_delete] = ACTIONS(2444),
    [anon_sym_throw] = ACTIONS(2444),
    [anon_sym_co_return] = ACTIONS(2444),
    [anon_sym_co_yield] = ACTIONS(2444),
    [anon_sym_R_DQUOTE] = ACTIONS(2446),
    [anon_sym_LR_DQUOTE] = ACTIONS(2446),
    [anon_sym_uR_DQUOTE] = ACTIONS(2446),
    [anon_sym_UR_DQUOTE] = ACTIONS(2446),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2446),
    [anon_sym_co_await] = ACTIONS(2444),
    [anon_sym_new] = ACTIONS(2444),
    [anon_sym_requires] = ACTIONS(2444),
    [sym_this] = ACTIONS(2444),
    [anon_sym_discard] = ACTIONS(2444),
    [anon_sym_precise] = ACTIONS(2444),
    [anon_sym_shared] = ACTIONS(2444),
    [anon_sym_groupshared] = ACTIONS(2444),
    [anon_sym_uniform] = ACTIONS(2444),
    [anon_sym_row_major] = ACTIONS(2444),
    [anon_sym_column_major] = ACTIONS(2444),
    [anon_sym_globallycoherent] = ACTIONS(2444),
    [anon_sym_centroid] = ACTIONS(2444),
    [anon_sym_noperspective] = ACTIONS(2444),
    [anon_sym_nointerpolation] = ACTIONS(2444),
    [anon_sym_sample] = ACTIONS(2444),
    [anon_sym_linear] = ACTIONS(2444),
    [anon_sym_snorm] = ACTIONS(2444),
    [anon_sym_unorm] = ACTIONS(2444),
    [anon_sym_point] = ACTIONS(2444),
    [anon_sym_line] = ACTIONS(2444),
    [anon_sym_triangleadj] = ACTIONS(2444),
    [anon_sym_lineadj] = ACTIONS(2444),
    [anon_sym_triangle] = ACTIONS(2444),
    [anon_sym_cbuffer] = ACTIONS(2444),
  },
  [1633] = {
    [sym_identifier] = ACTIONS(2364),
    [anon_sym_LPAREN2] = ACTIONS(2366),
    [anon_sym_BANG] = ACTIONS(2366),
    [anon_sym_TILDE] = ACTIONS(2366),
    [anon_sym_DASH] = ACTIONS(2364),
    [anon_sym_PLUS] = ACTIONS(2364),
    [anon_sym_STAR] = ACTIONS(2366),
    [anon_sym_AMP] = ACTIONS(2366),
    [anon_sym_SEMI] = ACTIONS(2366),
    [anon_sym___extension__] = ACTIONS(2364),
    [anon_sym_typedef] = ACTIONS(2364),
    [anon_sym_in] = ACTIONS(2364),
    [anon_sym_out] = ACTIONS(2364),
    [anon_sym_inout] = ACTIONS(2364),
    [anon_sym_extern] = ACTIONS(2364),
    [anon_sym___attribute__] = ACTIONS(2364),
    [anon_sym_COLON_COLON] = ACTIONS(2366),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2366),
    [anon_sym___declspec] = ACTIONS(2364),
    [anon_sym_LBRACE] = ACTIONS(2366),
    [anon_sym_signed] = ACTIONS(2364),
    [anon_sym_unsigned] = ACTIONS(2364),
    [anon_sym_long] = ACTIONS(2364),
    [anon_sym_short] = ACTIONS(2364),
    [anon_sym_LBRACK] = ACTIONS(2364),
    [anon_sym_static] = ACTIONS(2364),
    [anon_sym_register] = ACTIONS(2364),
    [anon_sym_inline] = ACTIONS(2364),
    [anon_sym___inline] = ACTIONS(2364),
    [anon_sym___inline__] = ACTIONS(2364),
    [anon_sym___forceinline] = ACTIONS(2364),
    [anon_sym_thread_local] = ACTIONS(2364),
    [anon_sym___thread] = ACTIONS(2364),
    [anon_sym_const] = ACTIONS(2364),
    [anon_sym_constexpr] = ACTIONS(2364),
    [anon_sym_volatile] = ACTIONS(2364),
    [anon_sym_restrict] = ACTIONS(2364),
    [anon_sym___restrict__] = ACTIONS(2364),
    [anon_sym__Atomic] = ACTIONS(2364),
    [anon_sym__Noreturn] = ACTIONS(2364),
    [anon_sym_noreturn] = ACTIONS(2364),
    [anon_sym_mutable] = ACTIONS(2364),
    [anon_sym_constinit] = ACTIONS(2364),
    [anon_sym_consteval] = ACTIONS(2364),
    [sym_primitive_type] = ACTIONS(2364),
    [anon_sym_enum] = ACTIONS(2364),
    [anon_sym_class] = ACTIONS(2364),
    [anon_sym_struct] = ACTIONS(2364),
    [anon_sym_union] = ACTIONS(2364),
    [anon_sym_if] = ACTIONS(2364),
    [anon_sym_else] = ACTIONS(2364),
    [anon_sym_switch] = ACTIONS(2364),
    [anon_sym_while] = ACTIONS(2364),
    [anon_sym_do] = ACTIONS(2364),
    [anon_sym_for] = ACTIONS(2364),
    [anon_sym_return] = ACTIONS(2364),
    [anon_sym_break] = ACTIONS(2364),
    [anon_sym_continue] = ACTIONS(2364),
    [anon_sym_goto] = ACTIONS(2364),
    [anon_sym___try] = ACTIONS(2364),
    [anon_sym___leave] = ACTIONS(2364),
    [anon_sym_not] = ACTIONS(2364),
    [anon_sym_compl] = ACTIONS(2364),
    [anon_sym_DASH_DASH] = ACTIONS(2366),
    [anon_sym_PLUS_PLUS] = ACTIONS(2366),
    [anon_sym_sizeof] = ACTIONS(2364),
    [anon_sym___alignof__] = ACTIONS(2364),
    [anon_sym___alignof] = ACTIONS(2364),
    [anon_sym__alignof] = ACTIONS(2364),
    [anon_sym_alignof] = ACTIONS(2364),
    [anon_sym__Alignof] = ACTIONS(2364),
    [anon_sym_offsetof] = ACTIONS(2364),
    [anon_sym__Generic] = ACTIONS(2364),
    [anon_sym_asm] = ACTIONS(2364),
    [anon_sym___asm__] = ACTIONS(2364),
    [sym_number_literal] = ACTIONS(2366),
    [anon_sym_L_SQUOTE] = ACTIONS(2366),
    [anon_sym_u_SQUOTE] = ACTIONS(2366),
    [anon_sym_U_SQUOTE] = ACTIONS(2366),
    [anon_sym_u8_SQUOTE] = ACTIONS(2366),
    [anon_sym_SQUOTE] = ACTIONS(2366),
    [anon_sym_L_DQUOTE] = ACTIONS(2366),
    [anon_sym_u_DQUOTE] = ACTIONS(2366),
    [anon_sym_U_DQUOTE] = ACTIONS(2366),
    [anon_sym_u8_DQUOTE] = ACTIONS(2366),
    [anon_sym_DQUOTE] = ACTIONS(2366),
    [sym_true] = ACTIONS(2364),
    [sym_false] = ACTIONS(2364),
    [anon_sym_NULL] = ACTIONS(2364),
    [anon_sym_nullptr] = ACTIONS(2364),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2364),
    [anon_sym_decltype] = ACTIONS(2364),
    [anon_sym_virtual] = ACTIONS(2364),
    [anon_sym_alignas] = ACTIONS(2364),
    [anon_sym_typename] = ACTIONS(2364),
    [anon_sym_template] = ACTIONS(2364),
    [anon_sym_try] = ACTIONS(2364),
    [anon_sym_delete] = ACTIONS(2364),
    [anon_sym_throw] = ACTIONS(2364),
    [anon_sym_co_return] = ACTIONS(2364),
    [anon_sym_co_yield] = ACTIONS(2364),
    [anon_sym_R_DQUOTE] = ACTIONS(2366),
    [anon_sym_LR_DQUOTE] = ACTIONS(2366),
    [anon_sym_uR_DQUOTE] = ACTIONS(2366),
    [anon_sym_UR_DQUOTE] = ACTIONS(2366),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2366),
    [anon_sym_co_await] = ACTIONS(2364),
    [anon_sym_new] = ACTIONS(2364),
    [anon_sym_requires] = ACTIONS(2364),
    [sym_this] = ACTIONS(2364),
    [anon_sym_discard] = ACTIONS(2364),
    [anon_sym_precise] = ACTIONS(2364),
    [anon_sym_shared] = ACTIONS(2364),
    [anon_sym_groupshared] = ACTIONS(2364),
    [anon_sym_uniform] = ACTIONS(2364),
    [anon_sym_row_major] = ACTIONS(2364),
    [anon_sym_column_major] = ACTIONS(2364),
    [anon_sym_globallycoherent] = ACTIONS(2364),
    [anon_sym_centroid] = ACTIONS(2364),
    [anon_sym_noperspective] = ACTIONS(2364),
    [anon_sym_nointerpolation] = ACTIONS(2364),
    [anon_sym_sample] = ACTIONS(2364),
    [anon_sym_linear] = ACTIONS(2364),
    [anon_sym_snorm] = ACTIONS(2364),
    [anon_sym_unorm] = ACTIONS(2364),
    [anon_sym_point] = ACTIONS(2364),
    [anon_sym_line] = ACTIONS(2364),
    [anon_sym_triangleadj] = ACTIONS(2364),
    [anon_sym_lineadj] = ACTIONS(2364),
    [anon_sym_triangle] = ACTIONS(2364),
    [anon_sym_cbuffer] = ACTIONS(2364),
  },
  [1634] = {
    [sym_identifier] = ACTIONS(2364),
    [anon_sym_LPAREN2] = ACTIONS(2366),
    [anon_sym_BANG] = ACTIONS(2366),
    [anon_sym_TILDE] = ACTIONS(2366),
    [anon_sym_DASH] = ACTIONS(2364),
    [anon_sym_PLUS] = ACTIONS(2364),
    [anon_sym_STAR] = ACTIONS(2366),
    [anon_sym_AMP] = ACTIONS(2366),
    [anon_sym_SEMI] = ACTIONS(2366),
    [anon_sym___extension__] = ACTIONS(2364),
    [anon_sym_typedef] = ACTIONS(2364),
    [anon_sym_in] = ACTIONS(2364),
    [anon_sym_out] = ACTIONS(2364),
    [anon_sym_inout] = ACTIONS(2364),
    [anon_sym_extern] = ACTIONS(2364),
    [anon_sym___attribute__] = ACTIONS(2364),
    [anon_sym_COLON_COLON] = ACTIONS(2366),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2366),
    [anon_sym___declspec] = ACTIONS(2364),
    [anon_sym_LBRACE] = ACTIONS(2366),
    [anon_sym_signed] = ACTIONS(2364),
    [anon_sym_unsigned] = ACTIONS(2364),
    [anon_sym_long] = ACTIONS(2364),
    [anon_sym_short] = ACTIONS(2364),
    [anon_sym_LBRACK] = ACTIONS(2364),
    [anon_sym_static] = ACTIONS(2364),
    [anon_sym_register] = ACTIONS(2364),
    [anon_sym_inline] = ACTIONS(2364),
    [anon_sym___inline] = ACTIONS(2364),
    [anon_sym___inline__] = ACTIONS(2364),
    [anon_sym___forceinline] = ACTIONS(2364),
    [anon_sym_thread_local] = ACTIONS(2364),
    [anon_sym___thread] = ACTIONS(2364),
    [anon_sym_const] = ACTIONS(2364),
    [anon_sym_constexpr] = ACTIONS(2364),
    [anon_sym_volatile] = ACTIONS(2364),
    [anon_sym_restrict] = ACTIONS(2364),
    [anon_sym___restrict__] = ACTIONS(2364),
    [anon_sym__Atomic] = ACTIONS(2364),
    [anon_sym__Noreturn] = ACTIONS(2364),
    [anon_sym_noreturn] = ACTIONS(2364),
    [anon_sym_mutable] = ACTIONS(2364),
    [anon_sym_constinit] = ACTIONS(2364),
    [anon_sym_consteval] = ACTIONS(2364),
    [sym_primitive_type] = ACTIONS(2364),
    [anon_sym_enum] = ACTIONS(2364),
    [anon_sym_class] = ACTIONS(2364),
    [anon_sym_struct] = ACTIONS(2364),
    [anon_sym_union] = ACTIONS(2364),
    [anon_sym_if] = ACTIONS(2364),
    [anon_sym_else] = ACTIONS(2364),
    [anon_sym_switch] = ACTIONS(2364),
    [anon_sym_while] = ACTIONS(2364),
    [anon_sym_do] = ACTIONS(2364),
    [anon_sym_for] = ACTIONS(2364),
    [anon_sym_return] = ACTIONS(2364),
    [anon_sym_break] = ACTIONS(2364),
    [anon_sym_continue] = ACTIONS(2364),
    [anon_sym_goto] = ACTIONS(2364),
    [anon_sym___try] = ACTIONS(2364),
    [anon_sym___leave] = ACTIONS(2364),
    [anon_sym_not] = ACTIONS(2364),
    [anon_sym_compl] = ACTIONS(2364),
    [anon_sym_DASH_DASH] = ACTIONS(2366),
    [anon_sym_PLUS_PLUS] = ACTIONS(2366),
    [anon_sym_sizeof] = ACTIONS(2364),
    [anon_sym___alignof__] = ACTIONS(2364),
    [anon_sym___alignof] = ACTIONS(2364),
    [anon_sym__alignof] = ACTIONS(2364),
    [anon_sym_alignof] = ACTIONS(2364),
    [anon_sym__Alignof] = ACTIONS(2364),
    [anon_sym_offsetof] = ACTIONS(2364),
    [anon_sym__Generic] = ACTIONS(2364),
    [anon_sym_asm] = ACTIONS(2364),
    [anon_sym___asm__] = ACTIONS(2364),
    [sym_number_literal] = ACTIONS(2366),
    [anon_sym_L_SQUOTE] = ACTIONS(2366),
    [anon_sym_u_SQUOTE] = ACTIONS(2366),
    [anon_sym_U_SQUOTE] = ACTIONS(2366),
    [anon_sym_u8_SQUOTE] = ACTIONS(2366),
    [anon_sym_SQUOTE] = ACTIONS(2366),
    [anon_sym_L_DQUOTE] = ACTIONS(2366),
    [anon_sym_u_DQUOTE] = ACTIONS(2366),
    [anon_sym_U_DQUOTE] = ACTIONS(2366),
    [anon_sym_u8_DQUOTE] = ACTIONS(2366),
    [anon_sym_DQUOTE] = ACTIONS(2366),
    [sym_true] = ACTIONS(2364),
    [sym_false] = ACTIONS(2364),
    [anon_sym_NULL] = ACTIONS(2364),
    [anon_sym_nullptr] = ACTIONS(2364),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2364),
    [anon_sym_decltype] = ACTIONS(2364),
    [anon_sym_virtual] = ACTIONS(2364),
    [anon_sym_alignas] = ACTIONS(2364),
    [anon_sym_typename] = ACTIONS(2364),
    [anon_sym_template] = ACTIONS(2364),
    [anon_sym_try] = ACTIONS(2364),
    [anon_sym_delete] = ACTIONS(2364),
    [anon_sym_throw] = ACTIONS(2364),
    [anon_sym_co_return] = ACTIONS(2364),
    [anon_sym_co_yield] = ACTIONS(2364),
    [anon_sym_R_DQUOTE] = ACTIONS(2366),
    [anon_sym_LR_DQUOTE] = ACTIONS(2366),
    [anon_sym_uR_DQUOTE] = ACTIONS(2366),
    [anon_sym_UR_DQUOTE] = ACTIONS(2366),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2366),
    [anon_sym_co_await] = ACTIONS(2364),
    [anon_sym_new] = ACTIONS(2364),
    [anon_sym_requires] = ACTIONS(2364),
    [sym_this] = ACTIONS(2364),
    [anon_sym_discard] = ACTIONS(2364),
    [anon_sym_precise] = ACTIONS(2364),
    [anon_sym_shared] = ACTIONS(2364),
    [anon_sym_groupshared] = ACTIONS(2364),
    [anon_sym_uniform] = ACTIONS(2364),
    [anon_sym_row_major] = ACTIONS(2364),
    [anon_sym_column_major] = ACTIONS(2364),
    [anon_sym_globallycoherent] = ACTIONS(2364),
    [anon_sym_centroid] = ACTIONS(2364),
    [anon_sym_noperspective] = ACTIONS(2364),
    [anon_sym_nointerpolation] = ACTIONS(2364),
    [anon_sym_sample] = ACTIONS(2364),
    [anon_sym_linear] = ACTIONS(2364),
    [anon_sym_snorm] = ACTIONS(2364),
    [anon_sym_unorm] = ACTIONS(2364),
    [anon_sym_point] = ACTIONS(2364),
    [anon_sym_line] = ACTIONS(2364),
    [anon_sym_triangleadj] = ACTIONS(2364),
    [anon_sym_lineadj] = ACTIONS(2364),
    [anon_sym_triangle] = ACTIONS(2364),
    [anon_sym_cbuffer] = ACTIONS(2364),
  },
  [1635] = {
    [sym_identifier] = ACTIONS(2444),
    [anon_sym_LPAREN2] = ACTIONS(2446),
    [anon_sym_BANG] = ACTIONS(2446),
    [anon_sym_TILDE] = ACTIONS(2446),
    [anon_sym_DASH] = ACTIONS(2444),
    [anon_sym_PLUS] = ACTIONS(2444),
    [anon_sym_STAR] = ACTIONS(2446),
    [anon_sym_AMP] = ACTIONS(2446),
    [anon_sym_SEMI] = ACTIONS(2446),
    [anon_sym___extension__] = ACTIONS(2444),
    [anon_sym_typedef] = ACTIONS(2444),
    [anon_sym_in] = ACTIONS(2444),
    [anon_sym_out] = ACTIONS(2444),
    [anon_sym_inout] = ACTIONS(2444),
    [anon_sym_extern] = ACTIONS(2444),
    [anon_sym___attribute__] = ACTIONS(2444),
    [anon_sym_COLON_COLON] = ACTIONS(2446),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2446),
    [anon_sym___declspec] = ACTIONS(2444),
    [anon_sym_LBRACE] = ACTIONS(2446),
    [anon_sym_signed] = ACTIONS(2444),
    [anon_sym_unsigned] = ACTIONS(2444),
    [anon_sym_long] = ACTIONS(2444),
    [anon_sym_short] = ACTIONS(2444),
    [anon_sym_LBRACK] = ACTIONS(2444),
    [anon_sym_static] = ACTIONS(2444),
    [anon_sym_register] = ACTIONS(2444),
    [anon_sym_inline] = ACTIONS(2444),
    [anon_sym___inline] = ACTIONS(2444),
    [anon_sym___inline__] = ACTIONS(2444),
    [anon_sym___forceinline] = ACTIONS(2444),
    [anon_sym_thread_local] = ACTIONS(2444),
    [anon_sym___thread] = ACTIONS(2444),
    [anon_sym_const] = ACTIONS(2444),
    [anon_sym_constexpr] = ACTIONS(2444),
    [anon_sym_volatile] = ACTIONS(2444),
    [anon_sym_restrict] = ACTIONS(2444),
    [anon_sym___restrict__] = ACTIONS(2444),
    [anon_sym__Atomic] = ACTIONS(2444),
    [anon_sym__Noreturn] = ACTIONS(2444),
    [anon_sym_noreturn] = ACTIONS(2444),
    [anon_sym_mutable] = ACTIONS(2444),
    [anon_sym_constinit] = ACTIONS(2444),
    [anon_sym_consteval] = ACTIONS(2444),
    [sym_primitive_type] = ACTIONS(2444),
    [anon_sym_enum] = ACTIONS(2444),
    [anon_sym_class] = ACTIONS(2444),
    [anon_sym_struct] = ACTIONS(2444),
    [anon_sym_union] = ACTIONS(2444),
    [anon_sym_if] = ACTIONS(2444),
    [anon_sym_else] = ACTIONS(2444),
    [anon_sym_switch] = ACTIONS(2444),
    [anon_sym_while] = ACTIONS(2444),
    [anon_sym_do] = ACTIONS(2444),
    [anon_sym_for] = ACTIONS(2444),
    [anon_sym_return] = ACTIONS(2444),
    [anon_sym_break] = ACTIONS(2444),
    [anon_sym_continue] = ACTIONS(2444),
    [anon_sym_goto] = ACTIONS(2444),
    [anon_sym___try] = ACTIONS(2444),
    [anon_sym___leave] = ACTIONS(2444),
    [anon_sym_not] = ACTIONS(2444),
    [anon_sym_compl] = ACTIONS(2444),
    [anon_sym_DASH_DASH] = ACTIONS(2446),
    [anon_sym_PLUS_PLUS] = ACTIONS(2446),
    [anon_sym_sizeof] = ACTIONS(2444),
    [anon_sym___alignof__] = ACTIONS(2444),
    [anon_sym___alignof] = ACTIONS(2444),
    [anon_sym__alignof] = ACTIONS(2444),
    [anon_sym_alignof] = ACTIONS(2444),
    [anon_sym__Alignof] = ACTIONS(2444),
    [anon_sym_offsetof] = ACTIONS(2444),
    [anon_sym__Generic] = ACTIONS(2444),
    [anon_sym_asm] = ACTIONS(2444),
    [anon_sym___asm__] = ACTIONS(2444),
    [sym_number_literal] = ACTIONS(2446),
    [anon_sym_L_SQUOTE] = ACTIONS(2446),
    [anon_sym_u_SQUOTE] = ACTIONS(2446),
    [anon_sym_U_SQUOTE] = ACTIONS(2446),
    [anon_sym_u8_SQUOTE] = ACTIONS(2446),
    [anon_sym_SQUOTE] = ACTIONS(2446),
    [anon_sym_L_DQUOTE] = ACTIONS(2446),
    [anon_sym_u_DQUOTE] = ACTIONS(2446),
    [anon_sym_U_DQUOTE] = ACTIONS(2446),
    [anon_sym_u8_DQUOTE] = ACTIONS(2446),
    [anon_sym_DQUOTE] = ACTIONS(2446),
    [sym_true] = ACTIONS(2444),
    [sym_false] = ACTIONS(2444),
    [anon_sym_NULL] = ACTIONS(2444),
    [anon_sym_nullptr] = ACTIONS(2444),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2444),
    [anon_sym_decltype] = ACTIONS(2444),
    [anon_sym_virtual] = ACTIONS(2444),
    [anon_sym_alignas] = ACTIONS(2444),
    [anon_sym_typename] = ACTIONS(2444),
    [anon_sym_template] = ACTIONS(2444),
    [anon_sym_try] = ACTIONS(2444),
    [anon_sym_delete] = ACTIONS(2444),
    [anon_sym_throw] = ACTIONS(2444),
    [anon_sym_co_return] = ACTIONS(2444),
    [anon_sym_co_yield] = ACTIONS(2444),
    [anon_sym_R_DQUOTE] = ACTIONS(2446),
    [anon_sym_LR_DQUOTE] = ACTIONS(2446),
    [anon_sym_uR_DQUOTE] = ACTIONS(2446),
    [anon_sym_UR_DQUOTE] = ACTIONS(2446),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2446),
    [anon_sym_co_await] = ACTIONS(2444),
    [anon_sym_new] = ACTIONS(2444),
    [anon_sym_requires] = ACTIONS(2444),
    [sym_this] = ACTIONS(2444),
    [anon_sym_discard] = ACTIONS(2444),
    [anon_sym_precise] = ACTIONS(2444),
    [anon_sym_shared] = ACTIONS(2444),
    [anon_sym_groupshared] = ACTIONS(2444),
    [anon_sym_uniform] = ACTIONS(2444),
    [anon_sym_row_major] = ACTIONS(2444),
    [anon_sym_column_major] = ACTIONS(2444),
    [anon_sym_globallycoherent] = ACTIONS(2444),
    [anon_sym_centroid] = ACTIONS(2444),
    [anon_sym_noperspective] = ACTIONS(2444),
    [anon_sym_nointerpolation] = ACTIONS(2444),
    [anon_sym_sample] = ACTIONS(2444),
    [anon_sym_linear] = ACTIONS(2444),
    [anon_sym_snorm] = ACTIONS(2444),
    [anon_sym_unorm] = ACTIONS(2444),
    [anon_sym_point] = ACTIONS(2444),
    [anon_sym_line] = ACTIONS(2444),
    [anon_sym_triangleadj] = ACTIONS(2444),
    [anon_sym_lineadj] = ACTIONS(2444),
    [anon_sym_triangle] = ACTIONS(2444),
    [anon_sym_cbuffer] = ACTIONS(2444),
  },
  [1636] = {
    [sym_identifier] = ACTIONS(2460),
    [anon_sym_LPAREN2] = ACTIONS(2462),
    [anon_sym_BANG] = ACTIONS(2462),
    [anon_sym_TILDE] = ACTIONS(2462),
    [anon_sym_DASH] = ACTIONS(2460),
    [anon_sym_PLUS] = ACTIONS(2460),
    [anon_sym_STAR] = ACTIONS(2462),
    [anon_sym_AMP] = ACTIONS(2462),
    [anon_sym_SEMI] = ACTIONS(2462),
    [anon_sym___extension__] = ACTIONS(2460),
    [anon_sym_typedef] = ACTIONS(2460),
    [anon_sym_in] = ACTIONS(2460),
    [anon_sym_out] = ACTIONS(2460),
    [anon_sym_inout] = ACTIONS(2460),
    [anon_sym_extern] = ACTIONS(2460),
    [anon_sym___attribute__] = ACTIONS(2460),
    [anon_sym_COLON_COLON] = ACTIONS(2462),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2462),
    [anon_sym___declspec] = ACTIONS(2460),
    [anon_sym_LBRACE] = ACTIONS(2462),
    [anon_sym_signed] = ACTIONS(2460),
    [anon_sym_unsigned] = ACTIONS(2460),
    [anon_sym_long] = ACTIONS(2460),
    [anon_sym_short] = ACTIONS(2460),
    [anon_sym_LBRACK] = ACTIONS(2460),
    [anon_sym_static] = ACTIONS(2460),
    [anon_sym_register] = ACTIONS(2460),
    [anon_sym_inline] = ACTIONS(2460),
    [anon_sym___inline] = ACTIONS(2460),
    [anon_sym___inline__] = ACTIONS(2460),
    [anon_sym___forceinline] = ACTIONS(2460),
    [anon_sym_thread_local] = ACTIONS(2460),
    [anon_sym___thread] = ACTIONS(2460),
    [anon_sym_const] = ACTIONS(2460),
    [anon_sym_constexpr] = ACTIONS(2460),
    [anon_sym_volatile] = ACTIONS(2460),
    [anon_sym_restrict] = ACTIONS(2460),
    [anon_sym___restrict__] = ACTIONS(2460),
    [anon_sym__Atomic] = ACTIONS(2460),
    [anon_sym__Noreturn] = ACTIONS(2460),
    [anon_sym_noreturn] = ACTIONS(2460),
    [anon_sym_mutable] = ACTIONS(2460),
    [anon_sym_constinit] = ACTIONS(2460),
    [anon_sym_consteval] = ACTIONS(2460),
    [sym_primitive_type] = ACTIONS(2460),
    [anon_sym_enum] = ACTIONS(2460),
    [anon_sym_class] = ACTIONS(2460),
    [anon_sym_struct] = ACTIONS(2460),
    [anon_sym_union] = ACTIONS(2460),
    [anon_sym_if] = ACTIONS(2460),
    [anon_sym_else] = ACTIONS(2460),
    [anon_sym_switch] = ACTIONS(2460),
    [anon_sym_while] = ACTIONS(2460),
    [anon_sym_do] = ACTIONS(2460),
    [anon_sym_for] = ACTIONS(2460),
    [anon_sym_return] = ACTIONS(2460),
    [anon_sym_break] = ACTIONS(2460),
    [anon_sym_continue] = ACTIONS(2460),
    [anon_sym_goto] = ACTIONS(2460),
    [anon_sym___try] = ACTIONS(2460),
    [anon_sym___leave] = ACTIONS(2460),
    [anon_sym_not] = ACTIONS(2460),
    [anon_sym_compl] = ACTIONS(2460),
    [anon_sym_DASH_DASH] = ACTIONS(2462),
    [anon_sym_PLUS_PLUS] = ACTIONS(2462),
    [anon_sym_sizeof] = ACTIONS(2460),
    [anon_sym___alignof__] = ACTIONS(2460),
    [anon_sym___alignof] = ACTIONS(2460),
    [anon_sym__alignof] = ACTIONS(2460),
    [anon_sym_alignof] = ACTIONS(2460),
    [anon_sym__Alignof] = ACTIONS(2460),
    [anon_sym_offsetof] = ACTIONS(2460),
    [anon_sym__Generic] = ACTIONS(2460),
    [anon_sym_asm] = ACTIONS(2460),
    [anon_sym___asm__] = ACTIONS(2460),
    [sym_number_literal] = ACTIONS(2462),
    [anon_sym_L_SQUOTE] = ACTIONS(2462),
    [anon_sym_u_SQUOTE] = ACTIONS(2462),
    [anon_sym_U_SQUOTE] = ACTIONS(2462),
    [anon_sym_u8_SQUOTE] = ACTIONS(2462),
    [anon_sym_SQUOTE] = ACTIONS(2462),
    [anon_sym_L_DQUOTE] = ACTIONS(2462),
    [anon_sym_u_DQUOTE] = ACTIONS(2462),
    [anon_sym_U_DQUOTE] = ACTIONS(2462),
    [anon_sym_u8_DQUOTE] = ACTIONS(2462),
    [anon_sym_DQUOTE] = ACTIONS(2462),
    [sym_true] = ACTIONS(2460),
    [sym_false] = ACTIONS(2460),
    [anon_sym_NULL] = ACTIONS(2460),
    [anon_sym_nullptr] = ACTIONS(2460),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2460),
    [anon_sym_decltype] = ACTIONS(2460),
    [anon_sym_virtual] = ACTIONS(2460),
    [anon_sym_alignas] = ACTIONS(2460),
    [anon_sym_typename] = ACTIONS(2460),
    [anon_sym_template] = ACTIONS(2460),
    [anon_sym_try] = ACTIONS(2460),
    [anon_sym_delete] = ACTIONS(2460),
    [anon_sym_throw] = ACTIONS(2460),
    [anon_sym_co_return] = ACTIONS(2460),
    [anon_sym_co_yield] = ACTIONS(2460),
    [anon_sym_R_DQUOTE] = ACTIONS(2462),
    [anon_sym_LR_DQUOTE] = ACTIONS(2462),
    [anon_sym_uR_DQUOTE] = ACTIONS(2462),
    [anon_sym_UR_DQUOTE] = ACTIONS(2462),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2462),
    [anon_sym_co_await] = ACTIONS(2460),
    [anon_sym_new] = ACTIONS(2460),
    [anon_sym_requires] = ACTIONS(2460),
    [sym_this] = ACTIONS(2460),
    [anon_sym_discard] = ACTIONS(2460),
    [anon_sym_precise] = ACTIONS(2460),
    [anon_sym_shared] = ACTIONS(2460),
    [anon_sym_groupshared] = ACTIONS(2460),
    [anon_sym_uniform] = ACTIONS(2460),
    [anon_sym_row_major] = ACTIONS(2460),
    [anon_sym_column_major] = ACTIONS(2460),
    [anon_sym_globallycoherent] = ACTIONS(2460),
    [anon_sym_centroid] = ACTIONS(2460),
    [anon_sym_noperspective] = ACTIONS(2460),
    [anon_sym_nointerpolation] = ACTIONS(2460),
    [anon_sym_sample] = ACTIONS(2460),
    [anon_sym_linear] = ACTIONS(2460),
    [anon_sym_snorm] = ACTIONS(2460),
    [anon_sym_unorm] = ACTIONS(2460),
    [anon_sym_point] = ACTIONS(2460),
    [anon_sym_line] = ACTIONS(2460),
    [anon_sym_triangleadj] = ACTIONS(2460),
    [anon_sym_lineadj] = ACTIONS(2460),
    [anon_sym_triangle] = ACTIONS(2460),
    [anon_sym_cbuffer] = ACTIONS(2460),
  },
  [1637] = {
    [sym_identifier] = ACTIONS(2334),
    [anon_sym_LPAREN2] = ACTIONS(2336),
    [anon_sym_BANG] = ACTIONS(2336),
    [anon_sym_TILDE] = ACTIONS(2336),
    [anon_sym_DASH] = ACTIONS(2334),
    [anon_sym_PLUS] = ACTIONS(2334),
    [anon_sym_STAR] = ACTIONS(2336),
    [anon_sym_AMP] = ACTIONS(2336),
    [anon_sym_SEMI] = ACTIONS(2336),
    [anon_sym___extension__] = ACTIONS(2334),
    [anon_sym_typedef] = ACTIONS(2334),
    [anon_sym_in] = ACTIONS(2334),
    [anon_sym_out] = ACTIONS(2334),
    [anon_sym_inout] = ACTIONS(2334),
    [anon_sym_extern] = ACTIONS(2334),
    [anon_sym___attribute__] = ACTIONS(2334),
    [anon_sym_COLON_COLON] = ACTIONS(2336),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2336),
    [anon_sym___declspec] = ACTIONS(2334),
    [anon_sym_LBRACE] = ACTIONS(2336),
    [anon_sym_signed] = ACTIONS(2334),
    [anon_sym_unsigned] = ACTIONS(2334),
    [anon_sym_long] = ACTIONS(2334),
    [anon_sym_short] = ACTIONS(2334),
    [anon_sym_LBRACK] = ACTIONS(2334),
    [anon_sym_static] = ACTIONS(2334),
    [anon_sym_register] = ACTIONS(2334),
    [anon_sym_inline] = ACTIONS(2334),
    [anon_sym___inline] = ACTIONS(2334),
    [anon_sym___inline__] = ACTIONS(2334),
    [anon_sym___forceinline] = ACTIONS(2334),
    [anon_sym_thread_local] = ACTIONS(2334),
    [anon_sym___thread] = ACTIONS(2334),
    [anon_sym_const] = ACTIONS(2334),
    [anon_sym_constexpr] = ACTIONS(2334),
    [anon_sym_volatile] = ACTIONS(2334),
    [anon_sym_restrict] = ACTIONS(2334),
    [anon_sym___restrict__] = ACTIONS(2334),
    [anon_sym__Atomic] = ACTIONS(2334),
    [anon_sym__Noreturn] = ACTIONS(2334),
    [anon_sym_noreturn] = ACTIONS(2334),
    [anon_sym_mutable] = ACTIONS(2334),
    [anon_sym_constinit] = ACTIONS(2334),
    [anon_sym_consteval] = ACTIONS(2334),
    [sym_primitive_type] = ACTIONS(2334),
    [anon_sym_enum] = ACTIONS(2334),
    [anon_sym_class] = ACTIONS(2334),
    [anon_sym_struct] = ACTIONS(2334),
    [anon_sym_union] = ACTIONS(2334),
    [anon_sym_if] = ACTIONS(2334),
    [anon_sym_else] = ACTIONS(2334),
    [anon_sym_switch] = ACTIONS(2334),
    [anon_sym_while] = ACTIONS(2334),
    [anon_sym_do] = ACTIONS(2334),
    [anon_sym_for] = ACTIONS(2334),
    [anon_sym_return] = ACTIONS(2334),
    [anon_sym_break] = ACTIONS(2334),
    [anon_sym_continue] = ACTIONS(2334),
    [anon_sym_goto] = ACTIONS(2334),
    [anon_sym___try] = ACTIONS(2334),
    [anon_sym___leave] = ACTIONS(2334),
    [anon_sym_not] = ACTIONS(2334),
    [anon_sym_compl] = ACTIONS(2334),
    [anon_sym_DASH_DASH] = ACTIONS(2336),
    [anon_sym_PLUS_PLUS] = ACTIONS(2336),
    [anon_sym_sizeof] = ACTIONS(2334),
    [anon_sym___alignof__] = ACTIONS(2334),
    [anon_sym___alignof] = ACTIONS(2334),
    [anon_sym__alignof] = ACTIONS(2334),
    [anon_sym_alignof] = ACTIONS(2334),
    [anon_sym__Alignof] = ACTIONS(2334),
    [anon_sym_offsetof] = ACTIONS(2334),
    [anon_sym__Generic] = ACTIONS(2334),
    [anon_sym_asm] = ACTIONS(2334),
    [anon_sym___asm__] = ACTIONS(2334),
    [sym_number_literal] = ACTIONS(2336),
    [anon_sym_L_SQUOTE] = ACTIONS(2336),
    [anon_sym_u_SQUOTE] = ACTIONS(2336),
    [anon_sym_U_SQUOTE] = ACTIONS(2336),
    [anon_sym_u8_SQUOTE] = ACTIONS(2336),
    [anon_sym_SQUOTE] = ACTIONS(2336),
    [anon_sym_L_DQUOTE] = ACTIONS(2336),
    [anon_sym_u_DQUOTE] = ACTIONS(2336),
    [anon_sym_U_DQUOTE] = ACTIONS(2336),
    [anon_sym_u8_DQUOTE] = ACTIONS(2336),
    [anon_sym_DQUOTE] = ACTIONS(2336),
    [sym_true] = ACTIONS(2334),
    [sym_false] = ACTIONS(2334),
    [anon_sym_NULL] = ACTIONS(2334),
    [anon_sym_nullptr] = ACTIONS(2334),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2334),
    [anon_sym_decltype] = ACTIONS(2334),
    [anon_sym_virtual] = ACTIONS(2334),
    [anon_sym_alignas] = ACTIONS(2334),
    [anon_sym_typename] = ACTIONS(2334),
    [anon_sym_template] = ACTIONS(2334),
    [anon_sym_try] = ACTIONS(2334),
    [anon_sym_delete] = ACTIONS(2334),
    [anon_sym_throw] = ACTIONS(2334),
    [anon_sym_co_return] = ACTIONS(2334),
    [anon_sym_co_yield] = ACTIONS(2334),
    [anon_sym_R_DQUOTE] = ACTIONS(2336),
    [anon_sym_LR_DQUOTE] = ACTIONS(2336),
    [anon_sym_uR_DQUOTE] = ACTIONS(2336),
    [anon_sym_UR_DQUOTE] = ACTIONS(2336),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2336),
    [anon_sym_co_await] = ACTIONS(2334),
    [anon_sym_new] = ACTIONS(2334),
    [anon_sym_requires] = ACTIONS(2334),
    [sym_this] = ACTIONS(2334),
    [anon_sym_discard] = ACTIONS(2334),
    [anon_sym_precise] = ACTIONS(2334),
    [anon_sym_shared] = ACTIONS(2334),
    [anon_sym_groupshared] = ACTIONS(2334),
    [anon_sym_uniform] = ACTIONS(2334),
    [anon_sym_row_major] = ACTIONS(2334),
    [anon_sym_column_major] = ACTIONS(2334),
    [anon_sym_globallycoherent] = ACTIONS(2334),
    [anon_sym_centroid] = ACTIONS(2334),
    [anon_sym_noperspective] = ACTIONS(2334),
    [anon_sym_nointerpolation] = ACTIONS(2334),
    [anon_sym_sample] = ACTIONS(2334),
    [anon_sym_linear] = ACTIONS(2334),
    [anon_sym_snorm] = ACTIONS(2334),
    [anon_sym_unorm] = ACTIONS(2334),
    [anon_sym_point] = ACTIONS(2334),
    [anon_sym_line] = ACTIONS(2334),
    [anon_sym_triangleadj] = ACTIONS(2334),
    [anon_sym_lineadj] = ACTIONS(2334),
    [anon_sym_triangle] = ACTIONS(2334),
    [anon_sym_cbuffer] = ACTIONS(2334),
  },
  [1638] = {
    [sym_identifier] = ACTIONS(2484),
    [anon_sym_LPAREN2] = ACTIONS(2486),
    [anon_sym_BANG] = ACTIONS(2486),
    [anon_sym_TILDE] = ACTIONS(2486),
    [anon_sym_DASH] = ACTIONS(2484),
    [anon_sym_PLUS] = ACTIONS(2484),
    [anon_sym_STAR] = ACTIONS(2486),
    [anon_sym_AMP] = ACTIONS(2486),
    [anon_sym_SEMI] = ACTIONS(2486),
    [anon_sym___extension__] = ACTIONS(2484),
    [anon_sym_typedef] = ACTIONS(2484),
    [anon_sym_in] = ACTIONS(2484),
    [anon_sym_out] = ACTIONS(2484),
    [anon_sym_inout] = ACTIONS(2484),
    [anon_sym_extern] = ACTIONS(2484),
    [anon_sym___attribute__] = ACTIONS(2484),
    [anon_sym_COLON_COLON] = ACTIONS(2486),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2486),
    [anon_sym___declspec] = ACTIONS(2484),
    [anon_sym_LBRACE] = ACTIONS(2486),
    [anon_sym_signed] = ACTIONS(2484),
    [anon_sym_unsigned] = ACTIONS(2484),
    [anon_sym_long] = ACTIONS(2484),
    [anon_sym_short] = ACTIONS(2484),
    [anon_sym_LBRACK] = ACTIONS(2484),
    [anon_sym_static] = ACTIONS(2484),
    [anon_sym_register] = ACTIONS(2484),
    [anon_sym_inline] = ACTIONS(2484),
    [anon_sym___inline] = ACTIONS(2484),
    [anon_sym___inline__] = ACTIONS(2484),
    [anon_sym___forceinline] = ACTIONS(2484),
    [anon_sym_thread_local] = ACTIONS(2484),
    [anon_sym___thread] = ACTIONS(2484),
    [anon_sym_const] = ACTIONS(2484),
    [anon_sym_constexpr] = ACTIONS(2484),
    [anon_sym_volatile] = ACTIONS(2484),
    [anon_sym_restrict] = ACTIONS(2484),
    [anon_sym___restrict__] = ACTIONS(2484),
    [anon_sym__Atomic] = ACTIONS(2484),
    [anon_sym__Noreturn] = ACTIONS(2484),
    [anon_sym_noreturn] = ACTIONS(2484),
    [anon_sym_mutable] = ACTIONS(2484),
    [anon_sym_constinit] = ACTIONS(2484),
    [anon_sym_consteval] = ACTIONS(2484),
    [sym_primitive_type] = ACTIONS(2484),
    [anon_sym_enum] = ACTIONS(2484),
    [anon_sym_class] = ACTIONS(2484),
    [anon_sym_struct] = ACTIONS(2484),
    [anon_sym_union] = ACTIONS(2484),
    [anon_sym_if] = ACTIONS(2484),
    [anon_sym_else] = ACTIONS(2484),
    [anon_sym_switch] = ACTIONS(2484),
    [anon_sym_while] = ACTIONS(2484),
    [anon_sym_do] = ACTIONS(2484),
    [anon_sym_for] = ACTIONS(2484),
    [anon_sym_return] = ACTIONS(2484),
    [anon_sym_break] = ACTIONS(2484),
    [anon_sym_continue] = ACTIONS(2484),
    [anon_sym_goto] = ACTIONS(2484),
    [anon_sym___try] = ACTIONS(2484),
    [anon_sym___leave] = ACTIONS(2484),
    [anon_sym_not] = ACTIONS(2484),
    [anon_sym_compl] = ACTIONS(2484),
    [anon_sym_DASH_DASH] = ACTIONS(2486),
    [anon_sym_PLUS_PLUS] = ACTIONS(2486),
    [anon_sym_sizeof] = ACTIONS(2484),
    [anon_sym___alignof__] = ACTIONS(2484),
    [anon_sym___alignof] = ACTIONS(2484),
    [anon_sym__alignof] = ACTIONS(2484),
    [anon_sym_alignof] = ACTIONS(2484),
    [anon_sym__Alignof] = ACTIONS(2484),
    [anon_sym_offsetof] = ACTIONS(2484),
    [anon_sym__Generic] = ACTIONS(2484),
    [anon_sym_asm] = ACTIONS(2484),
    [anon_sym___asm__] = ACTIONS(2484),
    [sym_number_literal] = ACTIONS(2486),
    [anon_sym_L_SQUOTE] = ACTIONS(2486),
    [anon_sym_u_SQUOTE] = ACTIONS(2486),
    [anon_sym_U_SQUOTE] = ACTIONS(2486),
    [anon_sym_u8_SQUOTE] = ACTIONS(2486),
    [anon_sym_SQUOTE] = ACTIONS(2486),
    [anon_sym_L_DQUOTE] = ACTIONS(2486),
    [anon_sym_u_DQUOTE] = ACTIONS(2486),
    [anon_sym_U_DQUOTE] = ACTIONS(2486),
    [anon_sym_u8_DQUOTE] = ACTIONS(2486),
    [anon_sym_DQUOTE] = ACTIONS(2486),
    [sym_true] = ACTIONS(2484),
    [sym_false] = ACTIONS(2484),
    [anon_sym_NULL] = ACTIONS(2484),
    [anon_sym_nullptr] = ACTIONS(2484),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2484),
    [anon_sym_decltype] = ACTIONS(2484),
    [anon_sym_virtual] = ACTIONS(2484),
    [anon_sym_alignas] = ACTIONS(2484),
    [anon_sym_typename] = ACTIONS(2484),
    [anon_sym_template] = ACTIONS(2484),
    [anon_sym_try] = ACTIONS(2484),
    [anon_sym_delete] = ACTIONS(2484),
    [anon_sym_throw] = ACTIONS(2484),
    [anon_sym_co_return] = ACTIONS(2484),
    [anon_sym_co_yield] = ACTIONS(2484),
    [anon_sym_R_DQUOTE] = ACTIONS(2486),
    [anon_sym_LR_DQUOTE] = ACTIONS(2486),
    [anon_sym_uR_DQUOTE] = ACTIONS(2486),
    [anon_sym_UR_DQUOTE] = ACTIONS(2486),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2486),
    [anon_sym_co_await] = ACTIONS(2484),
    [anon_sym_new] = ACTIONS(2484),
    [anon_sym_requires] = ACTIONS(2484),
    [sym_this] = ACTIONS(2484),
    [anon_sym_discard] = ACTIONS(2484),
    [anon_sym_precise] = ACTIONS(2484),
    [anon_sym_shared] = ACTIONS(2484),
    [anon_sym_groupshared] = ACTIONS(2484),
    [anon_sym_uniform] = ACTIONS(2484),
    [anon_sym_row_major] = ACTIONS(2484),
    [anon_sym_column_major] = ACTIONS(2484),
    [anon_sym_globallycoherent] = ACTIONS(2484),
    [anon_sym_centroid] = ACTIONS(2484),
    [anon_sym_noperspective] = ACTIONS(2484),
    [anon_sym_nointerpolation] = ACTIONS(2484),
    [anon_sym_sample] = ACTIONS(2484),
    [anon_sym_linear] = ACTIONS(2484),
    [anon_sym_snorm] = ACTIONS(2484),
    [anon_sym_unorm] = ACTIONS(2484),
    [anon_sym_point] = ACTIONS(2484),
    [anon_sym_line] = ACTIONS(2484),
    [anon_sym_triangleadj] = ACTIONS(2484),
    [anon_sym_lineadj] = ACTIONS(2484),
    [anon_sym_triangle] = ACTIONS(2484),
    [anon_sym_cbuffer] = ACTIONS(2484),
  },
  [1639] = {
    [sym_identifier] = ACTIONS(2456),
    [anon_sym_LPAREN2] = ACTIONS(2458),
    [anon_sym_BANG] = ACTIONS(2458),
    [anon_sym_TILDE] = ACTIONS(2458),
    [anon_sym_DASH] = ACTIONS(2456),
    [anon_sym_PLUS] = ACTIONS(2456),
    [anon_sym_STAR] = ACTIONS(2458),
    [anon_sym_AMP] = ACTIONS(2458),
    [anon_sym_SEMI] = ACTIONS(2458),
    [anon_sym___extension__] = ACTIONS(2456),
    [anon_sym_typedef] = ACTIONS(2456),
    [anon_sym_in] = ACTIONS(2456),
    [anon_sym_out] = ACTIONS(2456),
    [anon_sym_inout] = ACTIONS(2456),
    [anon_sym_extern] = ACTIONS(2456),
    [anon_sym___attribute__] = ACTIONS(2456),
    [anon_sym_COLON_COLON] = ACTIONS(2458),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2458),
    [anon_sym___declspec] = ACTIONS(2456),
    [anon_sym_LBRACE] = ACTIONS(2458),
    [anon_sym_signed] = ACTIONS(2456),
    [anon_sym_unsigned] = ACTIONS(2456),
    [anon_sym_long] = ACTIONS(2456),
    [anon_sym_short] = ACTIONS(2456),
    [anon_sym_LBRACK] = ACTIONS(2456),
    [anon_sym_static] = ACTIONS(2456),
    [anon_sym_register] = ACTIONS(2456),
    [anon_sym_inline] = ACTIONS(2456),
    [anon_sym___inline] = ACTIONS(2456),
    [anon_sym___inline__] = ACTIONS(2456),
    [anon_sym___forceinline] = ACTIONS(2456),
    [anon_sym_thread_local] = ACTIONS(2456),
    [anon_sym___thread] = ACTIONS(2456),
    [anon_sym_const] = ACTIONS(2456),
    [anon_sym_constexpr] = ACTIONS(2456),
    [anon_sym_volatile] = ACTIONS(2456),
    [anon_sym_restrict] = ACTIONS(2456),
    [anon_sym___restrict__] = ACTIONS(2456),
    [anon_sym__Atomic] = ACTIONS(2456),
    [anon_sym__Noreturn] = ACTIONS(2456),
    [anon_sym_noreturn] = ACTIONS(2456),
    [anon_sym_mutable] = ACTIONS(2456),
    [anon_sym_constinit] = ACTIONS(2456),
    [anon_sym_consteval] = ACTIONS(2456),
    [sym_primitive_type] = ACTIONS(2456),
    [anon_sym_enum] = ACTIONS(2456),
    [anon_sym_class] = ACTIONS(2456),
    [anon_sym_struct] = ACTIONS(2456),
    [anon_sym_union] = ACTIONS(2456),
    [anon_sym_if] = ACTIONS(2456),
    [anon_sym_else] = ACTIONS(2456),
    [anon_sym_switch] = ACTIONS(2456),
    [anon_sym_while] = ACTIONS(2456),
    [anon_sym_do] = ACTIONS(2456),
    [anon_sym_for] = ACTIONS(2456),
    [anon_sym_return] = ACTIONS(2456),
    [anon_sym_break] = ACTIONS(2456),
    [anon_sym_continue] = ACTIONS(2456),
    [anon_sym_goto] = ACTIONS(2456),
    [anon_sym___try] = ACTIONS(2456),
    [anon_sym___leave] = ACTIONS(2456),
    [anon_sym_not] = ACTIONS(2456),
    [anon_sym_compl] = ACTIONS(2456),
    [anon_sym_DASH_DASH] = ACTIONS(2458),
    [anon_sym_PLUS_PLUS] = ACTIONS(2458),
    [anon_sym_sizeof] = ACTIONS(2456),
    [anon_sym___alignof__] = ACTIONS(2456),
    [anon_sym___alignof] = ACTIONS(2456),
    [anon_sym__alignof] = ACTIONS(2456),
    [anon_sym_alignof] = ACTIONS(2456),
    [anon_sym__Alignof] = ACTIONS(2456),
    [anon_sym_offsetof] = ACTIONS(2456),
    [anon_sym__Generic] = ACTIONS(2456),
    [anon_sym_asm] = ACTIONS(2456),
    [anon_sym___asm__] = ACTIONS(2456),
    [sym_number_literal] = ACTIONS(2458),
    [anon_sym_L_SQUOTE] = ACTIONS(2458),
    [anon_sym_u_SQUOTE] = ACTIONS(2458),
    [anon_sym_U_SQUOTE] = ACTIONS(2458),
    [anon_sym_u8_SQUOTE] = ACTIONS(2458),
    [anon_sym_SQUOTE] = ACTIONS(2458),
    [anon_sym_L_DQUOTE] = ACTIONS(2458),
    [anon_sym_u_DQUOTE] = ACTIONS(2458),
    [anon_sym_U_DQUOTE] = ACTIONS(2458),
    [anon_sym_u8_DQUOTE] = ACTIONS(2458),
    [anon_sym_DQUOTE] = ACTIONS(2458),
    [sym_true] = ACTIONS(2456),
    [sym_false] = ACTIONS(2456),
    [anon_sym_NULL] = ACTIONS(2456),
    [anon_sym_nullptr] = ACTIONS(2456),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2456),
    [anon_sym_decltype] = ACTIONS(2456),
    [anon_sym_virtual] = ACTIONS(2456),
    [anon_sym_alignas] = ACTIONS(2456),
    [anon_sym_typename] = ACTIONS(2456),
    [anon_sym_template] = ACTIONS(2456),
    [anon_sym_try] = ACTIONS(2456),
    [anon_sym_delete] = ACTIONS(2456),
    [anon_sym_throw] = ACTIONS(2456),
    [anon_sym_co_return] = ACTIONS(2456),
    [anon_sym_co_yield] = ACTIONS(2456),
    [anon_sym_R_DQUOTE] = ACTIONS(2458),
    [anon_sym_LR_DQUOTE] = ACTIONS(2458),
    [anon_sym_uR_DQUOTE] = ACTIONS(2458),
    [anon_sym_UR_DQUOTE] = ACTIONS(2458),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2458),
    [anon_sym_co_await] = ACTIONS(2456),
    [anon_sym_new] = ACTIONS(2456),
    [anon_sym_requires] = ACTIONS(2456),
    [sym_this] = ACTIONS(2456),
    [anon_sym_discard] = ACTIONS(2456),
    [anon_sym_precise] = ACTIONS(2456),
    [anon_sym_shared] = ACTIONS(2456),
    [anon_sym_groupshared] = ACTIONS(2456),
    [anon_sym_uniform] = ACTIONS(2456),
    [anon_sym_row_major] = ACTIONS(2456),
    [anon_sym_column_major] = ACTIONS(2456),
    [anon_sym_globallycoherent] = ACTIONS(2456),
    [anon_sym_centroid] = ACTIONS(2456),
    [anon_sym_noperspective] = ACTIONS(2456),
    [anon_sym_nointerpolation] = ACTIONS(2456),
    [anon_sym_sample] = ACTIONS(2456),
    [anon_sym_linear] = ACTIONS(2456),
    [anon_sym_snorm] = ACTIONS(2456),
    [anon_sym_unorm] = ACTIONS(2456),
    [anon_sym_point] = ACTIONS(2456),
    [anon_sym_line] = ACTIONS(2456),
    [anon_sym_triangleadj] = ACTIONS(2456),
    [anon_sym_lineadj] = ACTIONS(2456),
    [anon_sym_triangle] = ACTIONS(2456),
    [anon_sym_cbuffer] = ACTIONS(2456),
  },
  [1640] = {
    [sym__declaration_modifiers] = STATE(2652),
    [sym__declaration_specifiers] = STATE(5141),
    [sym_attribute_specifier] = STATE(2652),
    [sym_attribute_declaration] = STATE(2652),
    [sym_ms_declspec_modifier] = STATE(2652),
    [sym_ms_based_modifier] = STATE(10332),
    [sym_ms_call_modifier] = STATE(5888),
    [sym__declarator] = STATE(7943),
    [sym__abstract_declarator] = STATE(8130),
    [sym_parenthesized_declarator] = STATE(7680),
    [sym_abstract_parenthesized_declarator] = STATE(7436),
    [sym_attributed_declarator] = STATE(7680),
    [sym_pointer_declarator] = STATE(7680),
    [sym_abstract_pointer_declarator] = STATE(7436),
    [sym_function_declarator] = STATE(7680),
    [sym_abstract_function_declarator] = STATE(7436),
    [sym_array_declarator] = STATE(7680),
    [sym_abstract_array_declarator] = STATE(7436),
    [sym_storage_class_specifier] = STATE(2652),
    [sym_type_qualifier] = STATE(2652),
    [sym__type_specifier] = STATE(2827),
    [sym_sized_type_specifier] = STATE(3085),
    [sym_enum_specifier] = STATE(3085),
    [sym_struct_specifier] = STATE(3085),
    [sym_union_specifier] = STATE(3085),
    [sym_parameter_list] = STATE(4924),
    [sym_parameter_declaration] = STATE(8829),
    [sym_placeholder_type_specifier] = STATE(3085),
    [sym_decltype_auto] = STATE(3091),
    [sym_decltype] = STATE(3050),
    [sym_class_specifier] = STATE(3085),
    [sym_virtual] = STATE(2652),
    [sym_alignas_specifier] = STATE(2652),
    [sym_dependent_type] = STATE(3085),
    [sym_optional_parameter_declaration] = STATE(8829),
    [sym_variadic_parameter_declaration] = STATE(8829),
    [sym_reference_declarator] = STATE(7680),
    [sym_abstract_reference_declarator] = STATE(7436),
    [sym_structured_binding_declarator] = STATE(7680),
    [sym__function_declarator_seq] = STATE(7422),
    [sym_template_type] = STATE(3050),
    [sym_template_function] = STATE(7680),
    [sym_destructor_name] = STATE(7680),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6947),
    [sym_qualified_identifier] = STATE(7680),
    [sym_qualified_type_identifier] = STATE(3068),
    [sym_operator_name] = STATE(7680),
    [sym_qualifiers] = STATE(2652),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2652),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3021),
    [sym_identifier] = ACTIONS(4391),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2168),
    [anon_sym_RPAREN] = ACTIONS(4393),
    [anon_sym_LPAREN2] = ACTIONS(4395),
    [anon_sym_TILDE] = ACTIONS(2877),
    [anon_sym_STAR] = ACTIONS(4397),
    [anon_sym_AMP_AMP] = ACTIONS(4399),
    [anon_sym_AMP] = ACTIONS(4401),
    [anon_sym___extension__] = ACTIONS(63),
    [anon_sym_in] = ACTIONS(2118),
    [anon_sym_out] = ACTIONS(2118),
    [anon_sym_inout] = ACTIONS(2118),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(4403),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2096),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym___cdecl] = ACTIONS(2544),
    [anon_sym___clrcall] = ACTIONS(2544),
    [anon_sym___stdcall] = ACTIONS(2544),
    [anon_sym___fastcall] = ACTIONS(2544),
    [anon_sym___thiscall] = ACTIONS(2544),
    [anon_sym___vectorcall] = ACTIONS(2544),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(4405),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(2891),
    [anon_sym_enum] = ACTIONS(2124),
    [anon_sym_class] = ACTIONS(2126),
    [anon_sym_struct] = ACTIONS(2128),
    [anon_sym_union] = ACTIONS(2130),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [anon_sym_virtual] = ACTIONS(123),
    [anon_sym_alignas] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(2154),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_operator] = ACTIONS(2588),
    [anon_sym_precise] = ACTIONS(161),
    [anon_sym_shared] = ACTIONS(161),
    [anon_sym_groupshared] = ACTIONS(161),
    [anon_sym_uniform] = ACTIONS(161),
    [anon_sym_row_major] = ACTIONS(161),
    [anon_sym_column_major] = ACTIONS(161),
    [anon_sym_globallycoherent] = ACTIONS(161),
    [anon_sym_centroid] = ACTIONS(161),
    [anon_sym_noperspective] = ACTIONS(161),
    [anon_sym_nointerpolation] = ACTIONS(161),
    [anon_sym_sample] = ACTIONS(161),
    [anon_sym_linear] = ACTIONS(161),
    [anon_sym_snorm] = ACTIONS(161),
    [anon_sym_unorm] = ACTIONS(161),
    [anon_sym_point] = ACTIONS(161),
    [anon_sym_line] = ACTIONS(161),
    [anon_sym_triangleadj] = ACTIONS(161),
    [anon_sym_lineadj] = ACTIONS(161),
    [anon_sym_triangle] = ACTIONS(161),
  },
  [1641] = {
    [sym__expression] = STATE(4973),
    [sym__expression_not_binary] = STATE(5024),
    [sym__string] = STATE(5024),
    [sym_conditional_expression] = STATE(5024),
    [sym_assignment_expression] = STATE(5024),
    [sym_pointer_expression] = STATE(4031),
    [sym_unary_expression] = STATE(5024),
    [sym_binary_expression] = STATE(5024),
    [sym_update_expression] = STATE(5024),
    [sym_cast_expression] = STATE(5024),
    [sym_sizeof_expression] = STATE(5024),
    [sym_alignof_expression] = STATE(5024),
    [sym_offsetof_expression] = STATE(5024),
    [sym_generic_expression] = STATE(5024),
    [sym_subscript_expression] = STATE(4031),
    [sym_call_expression] = STATE(4031),
    [sym_gnu_asm_expression] = STATE(5024),
    [sym_field_expression] = STATE(4031),
    [sym_compound_literal_expression] = STATE(5024),
    [sym_parenthesized_expression] = STATE(4031),
    [sym_initializer_list] = STATE(4974),
    [sym_char_literal] = STATE(5335),
    [sym_concatenated_string] = STATE(5317),
    [sym_string_literal] = STATE(4163),
    [sym_null] = STATE(5024),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9352),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(5024),
    [sym_raw_string_literal] = STATE(4121),
    [sym_co_await_expression] = STATE(5024),
    [sym_new_expression] = STATE(5024),
    [sym_delete_expression] = STATE(5024),
    [sym_requires_clause] = STATE(5024),
    [sym_requires_expression] = STATE(5024),
    [sym_lambda_expression] = STATE(5024),
    [sym_lambda_capture_specifier] = STATE(7184),
    [sym_fold_expression] = STATE(5024),
    [sym_parameter_pack_expansion] = STATE(5024),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6886),
    [sym_qualified_identifier] = STATE(4031),
    [sym_qualified_type_identifier] = STATE(9352),
    [sym_user_defined_literal] = STATE(4031),
    [sym_identifier] = ACTIONS(3916),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3918),
    [anon_sym_COMMA] = ACTIONS(3918),
    [aux_sym_preproc_if_token2] = ACTIONS(3918),
    [aux_sym_preproc_else_token1] = ACTIONS(3918),
    [aux_sym_preproc_elif_token1] = ACTIONS(3916),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3918),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3918),
    [anon_sym_LPAREN2] = ACTIONS(3918),
    [anon_sym_BANG] = ACTIONS(4407),
    [anon_sym_TILDE] = ACTIONS(4409),
    [anon_sym_DASH] = ACTIONS(3916),
    [anon_sym_PLUS] = ACTIONS(3916),
    [anon_sym_STAR] = ACTIONS(3918),
    [anon_sym_SLASH] = ACTIONS(3916),
    [anon_sym_PERCENT] = ACTIONS(3918),
    [anon_sym_PIPE_PIPE] = ACTIONS(3918),
    [anon_sym_AMP_AMP] = ACTIONS(3918),
    [anon_sym_PIPE] = ACTIONS(3916),
    [anon_sym_CARET] = ACTIONS(3918),
    [anon_sym_AMP] = ACTIONS(3916),
    [anon_sym_EQ_EQ] = ACTIONS(3918),
    [anon_sym_BANG_EQ] = ACTIONS(3918),
    [anon_sym_GT] = ACTIONS(3916),
    [anon_sym_GT_EQ] = ACTIONS(3918),
    [anon_sym_LT_EQ] = ACTIONS(3916),
    [anon_sym_LT] = ACTIONS(3916),
    [anon_sym_LT_LT] = ACTIONS(3918),
    [anon_sym_GT_GT] = ACTIONS(3918),
    [anon_sym_COLON_COLON] = ACTIONS(4411),
    [anon_sym_LBRACE] = ACTIONS(4413),
    [anon_sym_LBRACK] = ACTIONS(3918),
    [sym_primitive_type] = ACTIONS(3146),
    [anon_sym_QMARK] = ACTIONS(3918),
    [anon_sym_not] = ACTIONS(4407),
    [anon_sym_compl] = ACTIONS(4407),
    [anon_sym_LT_EQ_GT] = ACTIONS(3918),
    [anon_sym_or] = ACTIONS(3916),
    [anon_sym_and] = ACTIONS(3916),
    [anon_sym_bitor] = ACTIONS(3916),
    [anon_sym_xor] = ACTIONS(3916),
    [anon_sym_bitand] = ACTIONS(3916),
    [anon_sym_not_eq] = ACTIONS(3916),
    [anon_sym_DASH_DASH] = ACTIONS(3918),
    [anon_sym_PLUS_PLUS] = ACTIONS(3918),
    [anon_sym_sizeof] = ACTIONS(4415),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [anon_sym_DOT] = ACTIONS(3916),
    [anon_sym_DOT_STAR] = ACTIONS(3918),
    [anon_sym_DASH_GT] = ACTIONS(3918),
    [sym_number_literal] = ACTIONS(4417),
    [anon_sym_L_SQUOTE] = ACTIONS(4419),
    [anon_sym_u_SQUOTE] = ACTIONS(4419),
    [anon_sym_U_SQUOTE] = ACTIONS(4419),
    [anon_sym_u8_SQUOTE] = ACTIONS(4419),
    [anon_sym_SQUOTE] = ACTIONS(4419),
    [anon_sym_L_DQUOTE] = ACTIONS(4247),
    [anon_sym_u_DQUOTE] = ACTIONS(4247),
    [anon_sym_U_DQUOTE] = ACTIONS(4247),
    [anon_sym_u8_DQUOTE] = ACTIONS(4247),
    [anon_sym_DQUOTE] = ACTIONS(4247),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(4421),
    [anon_sym_R_DQUOTE] = ACTIONS(4249),
    [anon_sym_LR_DQUOTE] = ACTIONS(4249),
    [anon_sym_uR_DQUOTE] = ACTIONS(4249),
    [anon_sym_UR_DQUOTE] = ACTIONS(4249),
    [anon_sym_u8R_DQUOTE] = ACTIONS(4249),
    [anon_sym_co_await] = ACTIONS(4423),
    [anon_sym_new] = ACTIONS(4425),
    [anon_sym_requires] = ACTIONS(4427),
    [sym_this] = ACTIONS(221),
  },
  [1642] = {
    [sym__expression] = STATE(5370),
    [sym__expression_not_binary] = STATE(5575),
    [sym__string] = STATE(5575),
    [sym_conditional_expression] = STATE(5575),
    [sym_assignment_expression] = STATE(5575),
    [sym_pointer_expression] = STATE(4218),
    [sym_unary_expression] = STATE(5575),
    [sym_binary_expression] = STATE(5575),
    [sym_update_expression] = STATE(5575),
    [sym_cast_expression] = STATE(5575),
    [sym_sizeof_expression] = STATE(5575),
    [sym_alignof_expression] = STATE(5575),
    [sym_offsetof_expression] = STATE(5575),
    [sym_generic_expression] = STATE(5575),
    [sym_subscript_expression] = STATE(4218),
    [sym_call_expression] = STATE(4218),
    [sym_gnu_asm_expression] = STATE(5575),
    [sym_field_expression] = STATE(4218),
    [sym_compound_literal_expression] = STATE(5575),
    [sym_parenthesized_expression] = STATE(4218),
    [sym_initializer_list] = STATE(5540),
    [sym_char_literal] = STATE(5388),
    [sym_concatenated_string] = STATE(5429),
    [sym_string_literal] = STATE(4410),
    [sym_null] = STATE(5575),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9045),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(5575),
    [sym_raw_string_literal] = STATE(4411),
    [sym_co_await_expression] = STATE(5575),
    [sym_new_expression] = STATE(5575),
    [sym_delete_expression] = STATE(5575),
    [sym_requires_clause] = STATE(5575),
    [sym_requires_expression] = STATE(5575),
    [sym_lambda_expression] = STATE(5575),
    [sym_lambda_capture_specifier] = STATE(7089),
    [sym_fold_expression] = STATE(5575),
    [sym_parameter_pack_expansion] = STATE(5575),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6962),
    [sym_qualified_identifier] = STATE(4218),
    [sym_qualified_type_identifier] = STATE(9045),
    [sym_user_defined_literal] = STATE(4218),
    [sym_identifier] = ACTIONS(3916),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3918),
    [anon_sym_COMMA] = ACTIONS(3918),
    [aux_sym_preproc_if_token2] = ACTIONS(3918),
    [aux_sym_preproc_else_token1] = ACTIONS(3918),
    [aux_sym_preproc_elif_token1] = ACTIONS(3918),
    [anon_sym_LPAREN2] = ACTIONS(3918),
    [anon_sym_BANG] = ACTIONS(4429),
    [anon_sym_TILDE] = ACTIONS(4431),
    [anon_sym_DASH] = ACTIONS(3916),
    [anon_sym_PLUS] = ACTIONS(3916),
    [anon_sym_STAR] = ACTIONS(3918),
    [anon_sym_SLASH] = ACTIONS(3916),
    [anon_sym_PERCENT] = ACTIONS(3918),
    [anon_sym_PIPE_PIPE] = ACTIONS(3918),
    [anon_sym_AMP_AMP] = ACTIONS(3918),
    [anon_sym_PIPE] = ACTIONS(3916),
    [anon_sym_CARET] = ACTIONS(3918),
    [anon_sym_AMP] = ACTIONS(3916),
    [anon_sym_EQ_EQ] = ACTIONS(3918),
    [anon_sym_BANG_EQ] = ACTIONS(3918),
    [anon_sym_GT] = ACTIONS(3916),
    [anon_sym_GT_EQ] = ACTIONS(3918),
    [anon_sym_LT_EQ] = ACTIONS(3916),
    [anon_sym_LT] = ACTIONS(3916),
    [anon_sym_LT_LT] = ACTIONS(3918),
    [anon_sym_GT_GT] = ACTIONS(3918),
    [anon_sym_COLON_COLON] = ACTIONS(4433),
    [anon_sym_LBRACE] = ACTIONS(4435),
    [anon_sym_LBRACK] = ACTIONS(3918),
    [sym_primitive_type] = ACTIONS(4437),
    [anon_sym_QMARK] = ACTIONS(3918),
    [anon_sym_not] = ACTIONS(4429),
    [anon_sym_compl] = ACTIONS(4429),
    [anon_sym_LT_EQ_GT] = ACTIONS(3918),
    [anon_sym_or] = ACTIONS(3916),
    [anon_sym_and] = ACTIONS(3916),
    [anon_sym_bitor] = ACTIONS(3916),
    [anon_sym_xor] = ACTIONS(3916),
    [anon_sym_bitand] = ACTIONS(3916),
    [anon_sym_not_eq] = ACTIONS(3916),
    [anon_sym_DASH_DASH] = ACTIONS(3918),
    [anon_sym_PLUS_PLUS] = ACTIONS(3918),
    [anon_sym_sizeof] = ACTIONS(4439),
    [anon_sym___alignof__] = ACTIONS(4441),
    [anon_sym___alignof] = ACTIONS(4441),
    [anon_sym__alignof] = ACTIONS(4441),
    [anon_sym_alignof] = ACTIONS(4441),
    [anon_sym__Alignof] = ACTIONS(4441),
    [anon_sym_offsetof] = ACTIONS(4443),
    [anon_sym__Generic] = ACTIONS(4445),
    [anon_sym_asm] = ACTIONS(4447),
    [anon_sym___asm__] = ACTIONS(4447),
    [anon_sym_DOT] = ACTIONS(3916),
    [anon_sym_DOT_STAR] = ACTIONS(3918),
    [anon_sym_DASH_GT] = ACTIONS(3918),
    [sym_number_literal] = ACTIONS(4449),
    [anon_sym_L_SQUOTE] = ACTIONS(4451),
    [anon_sym_u_SQUOTE] = ACTIONS(4451),
    [anon_sym_U_SQUOTE] = ACTIONS(4451),
    [anon_sym_u8_SQUOTE] = ACTIONS(4451),
    [anon_sym_SQUOTE] = ACTIONS(4451),
    [anon_sym_L_DQUOTE] = ACTIONS(4453),
    [anon_sym_u_DQUOTE] = ACTIONS(4453),
    [anon_sym_U_DQUOTE] = ACTIONS(4453),
    [anon_sym_u8_DQUOTE] = ACTIONS(4453),
    [anon_sym_DQUOTE] = ACTIONS(4453),
    [sym_true] = ACTIONS(4455),
    [sym_false] = ACTIONS(4455),
    [anon_sym_NULL] = ACTIONS(4457),
    [anon_sym_nullptr] = ACTIONS(4457),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(4459),
    [anon_sym_R_DQUOTE] = ACTIONS(4461),
    [anon_sym_LR_DQUOTE] = ACTIONS(4461),
    [anon_sym_uR_DQUOTE] = ACTIONS(4461),
    [anon_sym_UR_DQUOTE] = ACTIONS(4461),
    [anon_sym_u8R_DQUOTE] = ACTIONS(4461),
    [anon_sym_co_await] = ACTIONS(4463),
    [anon_sym_new] = ACTIONS(4465),
    [anon_sym_requires] = ACTIONS(4467),
    [sym_this] = ACTIONS(4455),
  },
  [1643] = {
    [sym_string_literal] = STATE(3488),
    [sym_template_argument_list] = STATE(1723),
    [sym_raw_string_literal] = STATE(3488),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3027),
    [sym_identifier] = ACTIONS(4211),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4226),
    [anon_sym_COMMA] = ACTIONS(4226),
    [anon_sym_RPAREN] = ACTIONS(4226),
    [anon_sym_LPAREN2] = ACTIONS(4226),
    [anon_sym_TILDE] = ACTIONS(4219),
    [anon_sym_DASH] = ACTIONS(4221),
    [anon_sym_PLUS] = ACTIONS(4221),
    [anon_sym_STAR] = ACTIONS(4223),
    [anon_sym_SLASH] = ACTIONS(4221),
    [anon_sym_PERCENT] = ACTIONS(4221),
    [anon_sym_PIPE_PIPE] = ACTIONS(4213),
    [anon_sym_AMP_AMP] = ACTIONS(4226),
    [anon_sym_PIPE] = ACTIONS(4221),
    [anon_sym_CARET] = ACTIONS(4221),
    [anon_sym_AMP] = ACTIONS(4223),
    [anon_sym_EQ_EQ] = ACTIONS(4213),
    [anon_sym_BANG_EQ] = ACTIONS(4213),
    [anon_sym_GT] = ACTIONS(4221),
    [anon_sym_GT_EQ] = ACTIONS(4213),
    [anon_sym_LT_EQ] = ACTIONS(4221),
    [anon_sym_LT] = ACTIONS(4469),
    [anon_sym_LT_LT] = ACTIONS(4221),
    [anon_sym_GT_GT] = ACTIONS(4221),
    [anon_sym_COLON] = ACTIONS(4211),
    [anon_sym___extension__] = ACTIONS(4211),
    [anon_sym_in] = ACTIONS(4211),
    [anon_sym_out] = ACTIONS(4211),
    [anon_sym_inout] = ACTIONS(4211),
    [anon_sym_extern] = ACTIONS(4211),
    [anon_sym___attribute__] = ACTIONS(4211),
    [anon_sym_COLON_COLON] = ACTIONS(2230),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4219),
    [anon_sym___declspec] = ACTIONS(4211),
    [anon_sym___based] = ACTIONS(4211),
    [anon_sym_LBRACE] = ACTIONS(2226),
    [anon_sym_signed] = ACTIONS(4237),
    [anon_sym_unsigned] = ACTIONS(4237),
    [anon_sym_long] = ACTIONS(4237),
    [anon_sym_short] = ACTIONS(4237),
    [anon_sym_LBRACK] = ACTIONS(4223),
    [anon_sym_EQ] = ACTIONS(4223),
    [anon_sym_static] = ACTIONS(4211),
    [anon_sym_register] = ACTIONS(4211),
    [anon_sym_inline] = ACTIONS(4211),
    [anon_sym___inline] = ACTIONS(4211),
    [anon_sym___inline__] = ACTIONS(4211),
    [anon_sym___forceinline] = ACTIONS(4211),
    [anon_sym_thread_local] = ACTIONS(4211),
    [anon_sym___thread] = ACTIONS(4211),
    [anon_sym_const] = ACTIONS(4211),
    [anon_sym_constexpr] = ACTIONS(4211),
    [anon_sym_volatile] = ACTIONS(4211),
    [anon_sym_restrict] = ACTIONS(4211),
    [anon_sym___restrict__] = ACTIONS(4211),
    [anon_sym__Atomic] = ACTIONS(4211),
    [anon_sym__Noreturn] = ACTIONS(4211),
    [anon_sym_noreturn] = ACTIONS(4211),
    [anon_sym_mutable] = ACTIONS(4211),
    [anon_sym_constinit] = ACTIONS(4211),
    [anon_sym_consteval] = ACTIONS(4211),
    [anon_sym_QMARK] = ACTIONS(4213),
    [anon_sym_STAR_EQ] = ACTIONS(4213),
    [anon_sym_SLASH_EQ] = ACTIONS(4213),
    [anon_sym_PERCENT_EQ] = ACTIONS(4213),
    [anon_sym_PLUS_EQ] = ACTIONS(4213),
    [anon_sym_DASH_EQ] = ACTIONS(4213),
    [anon_sym_LT_LT_EQ] = ACTIONS(4213),
    [anon_sym_GT_GT_EQ] = ACTIONS(4213),
    [anon_sym_AMP_EQ] = ACTIONS(4213),
    [anon_sym_CARET_EQ] = ACTIONS(4213),
    [anon_sym_PIPE_EQ] = ACTIONS(4213),
    [anon_sym_and_eq] = ACTIONS(4472),
    [anon_sym_or_eq] = ACTIONS(4472),
    [anon_sym_xor_eq] = ACTIONS(4472),
    [anon_sym_LT_EQ_GT] = ACTIONS(4213),
    [anon_sym_or] = ACTIONS(4221),
    [anon_sym_and] = ACTIONS(4221),
    [anon_sym_bitor] = ACTIONS(4221),
    [anon_sym_xor] = ACTIONS(4221),
    [anon_sym_bitand] = ACTIONS(4221),
    [anon_sym_not_eq] = ACTIONS(4221),
    [anon_sym_DASH_DASH] = ACTIONS(4213),
    [anon_sym_PLUS_PLUS] = ACTIONS(4213),
    [anon_sym_DOT] = ACTIONS(4221),
    [anon_sym_DOT_STAR] = ACTIONS(4213),
    [anon_sym_DASH_GT] = ACTIONS(4221),
    [anon_sym_L_DQUOTE] = ACTIONS(4474),
    [anon_sym_u_DQUOTE] = ACTIONS(4474),
    [anon_sym_U_DQUOTE] = ACTIONS(4474),
    [anon_sym_u8_DQUOTE] = ACTIONS(4474),
    [anon_sym_DQUOTE] = ACTIONS(4474),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4211),
    [anon_sym_decltype] = ACTIONS(4211),
    [anon_sym_virtual] = ACTIONS(4211),
    [anon_sym_alignas] = ACTIONS(4211),
    [anon_sym_template] = ACTIONS(4211),
    [anon_sym_operator] = ACTIONS(4211),
    [anon_sym_R_DQUOTE] = ACTIONS(4476),
    [anon_sym_LR_DQUOTE] = ACTIONS(4476),
    [anon_sym_uR_DQUOTE] = ACTIONS(4476),
    [anon_sym_UR_DQUOTE] = ACTIONS(4476),
    [anon_sym_u8R_DQUOTE] = ACTIONS(4476),
    [anon_sym_DASH_GT_STAR] = ACTIONS(4213),
    [anon_sym_precise] = ACTIONS(4211),
    [anon_sym_shared] = ACTIONS(4211),
    [anon_sym_groupshared] = ACTIONS(4211),
    [anon_sym_uniform] = ACTIONS(4211),
    [anon_sym_row_major] = ACTIONS(4211),
    [anon_sym_column_major] = ACTIONS(4211),
    [anon_sym_globallycoherent] = ACTIONS(4211),
    [anon_sym_centroid] = ACTIONS(4211),
    [anon_sym_noperspective] = ACTIONS(4211),
    [anon_sym_nointerpolation] = ACTIONS(4211),
    [anon_sym_sample] = ACTIONS(4211),
    [anon_sym_linear] = ACTIONS(4211),
    [anon_sym_snorm] = ACTIONS(4211),
    [anon_sym_unorm] = ACTIONS(4211),
    [anon_sym_point] = ACTIONS(4211),
    [anon_sym_line] = ACTIONS(4211),
    [anon_sym_triangleadj] = ACTIONS(4211),
    [anon_sym_lineadj] = ACTIONS(4211),
    [anon_sym_triangle] = ACTIONS(4211),
  },
  [1644] = {
    [sym__expression] = STATE(4973),
    [sym__expression_not_binary] = STATE(5024),
    [sym__string] = STATE(5024),
    [sym_conditional_expression] = STATE(5024),
    [sym_assignment_expression] = STATE(5024),
    [sym_pointer_expression] = STATE(4507),
    [sym_unary_expression] = STATE(5024),
    [sym_binary_expression] = STATE(5024),
    [sym_update_expression] = STATE(5024),
    [sym_cast_expression] = STATE(5024),
    [sym_sizeof_expression] = STATE(5024),
    [sym_alignof_expression] = STATE(5024),
    [sym_offsetof_expression] = STATE(5024),
    [sym_generic_expression] = STATE(5024),
    [sym_subscript_expression] = STATE(4507),
    [sym_call_expression] = STATE(4507),
    [sym_gnu_asm_expression] = STATE(5024),
    [sym_field_expression] = STATE(4507),
    [sym_compound_literal_expression] = STATE(5024),
    [sym_parenthesized_expression] = STATE(4507),
    [sym_initializer_list] = STATE(4974),
    [sym_char_literal] = STATE(5374),
    [sym_concatenated_string] = STATE(5377),
    [sym_string_literal] = STATE(4206),
    [sym_null] = STATE(5024),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9352),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(5024),
    [sym_raw_string_literal] = STATE(4217),
    [sym_co_await_expression] = STATE(5024),
    [sym_new_expression] = STATE(5024),
    [sym_delete_expression] = STATE(5024),
    [sym_requires_clause] = STATE(5024),
    [sym_requires_expression] = STATE(5024),
    [sym_lambda_expression] = STATE(5024),
    [sym_lambda_capture_specifier] = STATE(7184),
    [sym_fold_expression] = STATE(5024),
    [sym_parameter_pack_expansion] = STATE(5024),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6886),
    [sym_qualified_identifier] = STATE(4507),
    [sym_qualified_type_identifier] = STATE(9352),
    [sym_user_defined_literal] = STATE(4507),
    [sym_identifier] = ACTIONS(3140),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3918),
    [anon_sym_COMMA] = ACTIONS(3918),
    [anon_sym_RPAREN] = ACTIONS(3918),
    [anon_sym_LPAREN2] = ACTIONS(3918),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(3916),
    [anon_sym_PLUS] = ACTIONS(3916),
    [anon_sym_STAR] = ACTIONS(3918),
    [anon_sym_SLASH] = ACTIONS(3916),
    [anon_sym_PERCENT] = ACTIONS(3918),
    [anon_sym_PIPE_PIPE] = ACTIONS(3918),
    [anon_sym_AMP_AMP] = ACTIONS(3918),
    [anon_sym_PIPE] = ACTIONS(3916),
    [anon_sym_CARET] = ACTIONS(3918),
    [anon_sym_AMP] = ACTIONS(3916),
    [anon_sym_EQ_EQ] = ACTIONS(3918),
    [anon_sym_BANG_EQ] = ACTIONS(3918),
    [anon_sym_GT] = ACTIONS(3916),
    [anon_sym_GT_EQ] = ACTIONS(3918),
    [anon_sym_LT_EQ] = ACTIONS(3916),
    [anon_sym_LT] = ACTIONS(3916),
    [anon_sym_LT_LT] = ACTIONS(3918),
    [anon_sym_GT_GT] = ACTIONS(3918),
    [anon_sym_SEMI] = ACTIONS(3918),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(4413),
    [anon_sym_RBRACE] = ACTIONS(3918),
    [anon_sym_LBRACK] = ACTIONS(3918),
    [sym_primitive_type] = ACTIONS(3146),
    [anon_sym_QMARK] = ACTIONS(3918),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_LT_EQ_GT] = ACTIONS(3918),
    [anon_sym_or] = ACTIONS(3916),
    [anon_sym_and] = ACTIONS(3916),
    [anon_sym_bitor] = ACTIONS(3916),
    [anon_sym_xor] = ACTIONS(3916),
    [anon_sym_bitand] = ACTIONS(3916),
    [anon_sym_not_eq] = ACTIONS(3916),
    [anon_sym_DASH_DASH] = ACTIONS(3918),
    [anon_sym_PLUS_PLUS] = ACTIONS(3918),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [anon_sym_DOT] = ACTIONS(3916),
    [anon_sym_DOT_STAR] = ACTIONS(3918),
    [anon_sym_DASH_GT] = ACTIONS(3918),
    [sym_number_literal] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [1645] = {
    [sym_string_literal] = STATE(3682),
    [sym_template_argument_list] = STATE(2501),
    [sym_raw_string_literal] = STATE(3682),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3027),
    [sym_identifier] = ACTIONS(4211),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4213),
    [anon_sym_COMMA] = ACTIONS(4213),
    [anon_sym_LPAREN2] = ACTIONS(4226),
    [anon_sym_TILDE] = ACTIONS(4219),
    [anon_sym_DASH] = ACTIONS(4221),
    [anon_sym_PLUS] = ACTIONS(4221),
    [anon_sym_STAR] = ACTIONS(4223),
    [anon_sym_SLASH] = ACTIONS(4221),
    [anon_sym_PERCENT] = ACTIONS(4221),
    [anon_sym_PIPE_PIPE] = ACTIONS(4213),
    [anon_sym_AMP_AMP] = ACTIONS(4226),
    [anon_sym_PIPE] = ACTIONS(4221),
    [anon_sym_CARET] = ACTIONS(4221),
    [anon_sym_AMP] = ACTIONS(4223),
    [anon_sym_EQ_EQ] = ACTIONS(4213),
    [anon_sym_BANG_EQ] = ACTIONS(4213),
    [anon_sym_GT] = ACTIONS(4221),
    [anon_sym_GT_EQ] = ACTIONS(4213),
    [anon_sym_LT_EQ] = ACTIONS(4221),
    [anon_sym_LT] = ACTIONS(4229),
    [anon_sym_LT_LT] = ACTIONS(4221),
    [anon_sym_GT_GT] = ACTIONS(4221),
    [anon_sym_COLON] = ACTIONS(4389),
    [anon_sym_SEMI] = ACTIONS(4213),
    [anon_sym___extension__] = ACTIONS(4211),
    [anon_sym_in] = ACTIONS(4211),
    [anon_sym_out] = ACTIONS(4211),
    [anon_sym_inout] = ACTIONS(4211),
    [anon_sym_extern] = ACTIONS(4211),
    [anon_sym___attribute__] = ACTIONS(4211),
    [anon_sym_COLON_COLON] = ACTIONS(2230),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4219),
    [anon_sym___declspec] = ACTIONS(4211),
    [anon_sym___based] = ACTIONS(4211),
    [anon_sym_LBRACE] = ACTIONS(2226),
    [anon_sym_signed] = ACTIONS(4237),
    [anon_sym_unsigned] = ACTIONS(4237),
    [anon_sym_long] = ACTIONS(4237),
    [anon_sym_short] = ACTIONS(4237),
    [anon_sym_LBRACK] = ACTIONS(4223),
    [anon_sym_EQ] = ACTIONS(4243),
    [anon_sym_static] = ACTIONS(4211),
    [anon_sym_register] = ACTIONS(4211),
    [anon_sym_inline] = ACTIONS(4211),
    [anon_sym___inline] = ACTIONS(4211),
    [anon_sym___inline__] = ACTIONS(4211),
    [anon_sym___forceinline] = ACTIONS(4211),
    [anon_sym_thread_local] = ACTIONS(4211),
    [anon_sym___thread] = ACTIONS(4211),
    [anon_sym_const] = ACTIONS(4211),
    [anon_sym_constexpr] = ACTIONS(4211),
    [anon_sym_volatile] = ACTIONS(4211),
    [anon_sym_restrict] = ACTIONS(4211),
    [anon_sym___restrict__] = ACTIONS(4211),
    [anon_sym__Atomic] = ACTIONS(4211),
    [anon_sym__Noreturn] = ACTIONS(4211),
    [anon_sym_noreturn] = ACTIONS(4211),
    [anon_sym_mutable] = ACTIONS(4211),
    [anon_sym_constinit] = ACTIONS(4211),
    [anon_sym_consteval] = ACTIONS(4211),
    [anon_sym_QMARK] = ACTIONS(4213),
    [anon_sym_STAR_EQ] = ACTIONS(4245),
    [anon_sym_SLASH_EQ] = ACTIONS(4245),
    [anon_sym_PERCENT_EQ] = ACTIONS(4245),
    [anon_sym_PLUS_EQ] = ACTIONS(4245),
    [anon_sym_DASH_EQ] = ACTIONS(4245),
    [anon_sym_LT_LT_EQ] = ACTIONS(4245),
    [anon_sym_GT_GT_EQ] = ACTIONS(4245),
    [anon_sym_AMP_EQ] = ACTIONS(4245),
    [anon_sym_CARET_EQ] = ACTIONS(4245),
    [anon_sym_PIPE_EQ] = ACTIONS(4245),
    [anon_sym_and_eq] = ACTIONS(4243),
    [anon_sym_or_eq] = ACTIONS(4243),
    [anon_sym_xor_eq] = ACTIONS(4243),
    [anon_sym_LT_EQ_GT] = ACTIONS(4213),
    [anon_sym_or] = ACTIONS(4221),
    [anon_sym_and] = ACTIONS(4221),
    [anon_sym_bitor] = ACTIONS(4221),
    [anon_sym_xor] = ACTIONS(4221),
    [anon_sym_bitand] = ACTIONS(4221),
    [anon_sym_not_eq] = ACTIONS(4221),
    [anon_sym_DASH_DASH] = ACTIONS(4213),
    [anon_sym_PLUS_PLUS] = ACTIONS(4213),
    [anon_sym_DOT] = ACTIONS(4221),
    [anon_sym_DOT_STAR] = ACTIONS(4213),
    [anon_sym_DASH_GT] = ACTIONS(4213),
    [anon_sym_L_DQUOTE] = ACTIONS(4247),
    [anon_sym_u_DQUOTE] = ACTIONS(4247),
    [anon_sym_U_DQUOTE] = ACTIONS(4247),
    [anon_sym_u8_DQUOTE] = ACTIONS(4247),
    [anon_sym_DQUOTE] = ACTIONS(4247),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4211),
    [anon_sym_decltype] = ACTIONS(4211),
    [anon_sym_virtual] = ACTIONS(4211),
    [anon_sym_alignas] = ACTIONS(4211),
    [anon_sym_template] = ACTIONS(4211),
    [anon_sym_operator] = ACTIONS(4211),
    [anon_sym_R_DQUOTE] = ACTIONS(4249),
    [anon_sym_LR_DQUOTE] = ACTIONS(4249),
    [anon_sym_uR_DQUOTE] = ACTIONS(4249),
    [anon_sym_UR_DQUOTE] = ACTIONS(4249),
    [anon_sym_u8R_DQUOTE] = ACTIONS(4249),
    [anon_sym_precise] = ACTIONS(4211),
    [anon_sym_shared] = ACTIONS(4211),
    [anon_sym_groupshared] = ACTIONS(4211),
    [anon_sym_uniform] = ACTIONS(4211),
    [anon_sym_row_major] = ACTIONS(4211),
    [anon_sym_column_major] = ACTIONS(4211),
    [anon_sym_globallycoherent] = ACTIONS(4211),
    [anon_sym_centroid] = ACTIONS(4211),
    [anon_sym_noperspective] = ACTIONS(4211),
    [anon_sym_nointerpolation] = ACTIONS(4211),
    [anon_sym_sample] = ACTIONS(4211),
    [anon_sym_linear] = ACTIONS(4211),
    [anon_sym_snorm] = ACTIONS(4211),
    [anon_sym_unorm] = ACTIONS(4211),
    [anon_sym_point] = ACTIONS(4211),
    [anon_sym_line] = ACTIONS(4211),
    [anon_sym_triangleadj] = ACTIONS(4211),
    [anon_sym_lineadj] = ACTIONS(4211),
    [anon_sym_triangle] = ACTIONS(4211),
  },
  [1646] = {
    [sym_string_literal] = STATE(3682),
    [sym_template_argument_list] = STATE(2501),
    [sym_raw_string_literal] = STATE(3682),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3027),
    [sym_identifier] = ACTIONS(4211),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4213),
    [anon_sym_COMMA] = ACTIONS(4213),
    [anon_sym_LPAREN2] = ACTIONS(4226),
    [anon_sym_TILDE] = ACTIONS(4219),
    [anon_sym_DASH] = ACTIONS(4221),
    [anon_sym_PLUS] = ACTIONS(4221),
    [anon_sym_STAR] = ACTIONS(4223),
    [anon_sym_SLASH] = ACTIONS(4221),
    [anon_sym_PERCENT] = ACTIONS(4221),
    [anon_sym_PIPE_PIPE] = ACTIONS(4213),
    [anon_sym_AMP_AMP] = ACTIONS(4226),
    [anon_sym_PIPE] = ACTIONS(4221),
    [anon_sym_CARET] = ACTIONS(4221),
    [anon_sym_AMP] = ACTIONS(4223),
    [anon_sym_EQ_EQ] = ACTIONS(4213),
    [anon_sym_BANG_EQ] = ACTIONS(4213),
    [anon_sym_GT] = ACTIONS(4221),
    [anon_sym_GT_EQ] = ACTIONS(4213),
    [anon_sym_LT_EQ] = ACTIONS(4221),
    [anon_sym_LT] = ACTIONS(4229),
    [anon_sym_LT_LT] = ACTIONS(4221),
    [anon_sym_GT_GT] = ACTIONS(4221),
    [anon_sym_COLON] = ACTIONS(4359),
    [anon_sym_SEMI] = ACTIONS(4213),
    [anon_sym___extension__] = ACTIONS(4211),
    [anon_sym_in] = ACTIONS(4211),
    [anon_sym_out] = ACTIONS(4211),
    [anon_sym_inout] = ACTIONS(4211),
    [anon_sym_extern] = ACTIONS(4211),
    [anon_sym___attribute__] = ACTIONS(4211),
    [anon_sym_COLON_COLON] = ACTIONS(2230),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4219),
    [anon_sym___declspec] = ACTIONS(4211),
    [anon_sym___based] = ACTIONS(4211),
    [anon_sym_LBRACE] = ACTIONS(2226),
    [anon_sym_signed] = ACTIONS(4237),
    [anon_sym_unsigned] = ACTIONS(4237),
    [anon_sym_long] = ACTIONS(4237),
    [anon_sym_short] = ACTIONS(4237),
    [anon_sym_LBRACK] = ACTIONS(4223),
    [anon_sym_EQ] = ACTIONS(4243),
    [anon_sym_static] = ACTIONS(4211),
    [anon_sym_register] = ACTIONS(4211),
    [anon_sym_inline] = ACTIONS(4211),
    [anon_sym___inline] = ACTIONS(4211),
    [anon_sym___inline__] = ACTIONS(4211),
    [anon_sym___forceinline] = ACTIONS(4211),
    [anon_sym_thread_local] = ACTIONS(4211),
    [anon_sym___thread] = ACTIONS(4211),
    [anon_sym_const] = ACTIONS(4211),
    [anon_sym_constexpr] = ACTIONS(4211),
    [anon_sym_volatile] = ACTIONS(4211),
    [anon_sym_restrict] = ACTIONS(4211),
    [anon_sym___restrict__] = ACTIONS(4211),
    [anon_sym__Atomic] = ACTIONS(4211),
    [anon_sym__Noreturn] = ACTIONS(4211),
    [anon_sym_noreturn] = ACTIONS(4211),
    [anon_sym_mutable] = ACTIONS(4211),
    [anon_sym_constinit] = ACTIONS(4211),
    [anon_sym_consteval] = ACTIONS(4211),
    [anon_sym_QMARK] = ACTIONS(4213),
    [anon_sym_STAR_EQ] = ACTIONS(4245),
    [anon_sym_SLASH_EQ] = ACTIONS(4245),
    [anon_sym_PERCENT_EQ] = ACTIONS(4245),
    [anon_sym_PLUS_EQ] = ACTIONS(4245),
    [anon_sym_DASH_EQ] = ACTIONS(4245),
    [anon_sym_LT_LT_EQ] = ACTIONS(4245),
    [anon_sym_GT_GT_EQ] = ACTIONS(4245),
    [anon_sym_AMP_EQ] = ACTIONS(4245),
    [anon_sym_CARET_EQ] = ACTIONS(4245),
    [anon_sym_PIPE_EQ] = ACTIONS(4245),
    [anon_sym_and_eq] = ACTIONS(4243),
    [anon_sym_or_eq] = ACTIONS(4243),
    [anon_sym_xor_eq] = ACTIONS(4243),
    [anon_sym_LT_EQ_GT] = ACTIONS(4213),
    [anon_sym_or] = ACTIONS(4221),
    [anon_sym_and] = ACTIONS(4221),
    [anon_sym_bitor] = ACTIONS(4221),
    [anon_sym_xor] = ACTIONS(4221),
    [anon_sym_bitand] = ACTIONS(4221),
    [anon_sym_not_eq] = ACTIONS(4221),
    [anon_sym_DASH_DASH] = ACTIONS(4213),
    [anon_sym_PLUS_PLUS] = ACTIONS(4213),
    [anon_sym_DOT] = ACTIONS(4221),
    [anon_sym_DOT_STAR] = ACTIONS(4213),
    [anon_sym_DASH_GT] = ACTIONS(4213),
    [anon_sym_L_DQUOTE] = ACTIONS(4247),
    [anon_sym_u_DQUOTE] = ACTIONS(4247),
    [anon_sym_U_DQUOTE] = ACTIONS(4247),
    [anon_sym_u8_DQUOTE] = ACTIONS(4247),
    [anon_sym_DQUOTE] = ACTIONS(4247),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4211),
    [anon_sym_decltype] = ACTIONS(4211),
    [anon_sym_virtual] = ACTIONS(4211),
    [anon_sym_alignas] = ACTIONS(4211),
    [anon_sym_template] = ACTIONS(4211),
    [anon_sym_operator] = ACTIONS(4211),
    [anon_sym_R_DQUOTE] = ACTIONS(4249),
    [anon_sym_LR_DQUOTE] = ACTIONS(4249),
    [anon_sym_uR_DQUOTE] = ACTIONS(4249),
    [anon_sym_UR_DQUOTE] = ACTIONS(4249),
    [anon_sym_u8R_DQUOTE] = ACTIONS(4249),
    [anon_sym_precise] = ACTIONS(4211),
    [anon_sym_shared] = ACTIONS(4211),
    [anon_sym_groupshared] = ACTIONS(4211),
    [anon_sym_uniform] = ACTIONS(4211),
    [anon_sym_row_major] = ACTIONS(4211),
    [anon_sym_column_major] = ACTIONS(4211),
    [anon_sym_globallycoherent] = ACTIONS(4211),
    [anon_sym_centroid] = ACTIONS(4211),
    [anon_sym_noperspective] = ACTIONS(4211),
    [anon_sym_nointerpolation] = ACTIONS(4211),
    [anon_sym_sample] = ACTIONS(4211),
    [anon_sym_linear] = ACTIONS(4211),
    [anon_sym_snorm] = ACTIONS(4211),
    [anon_sym_unorm] = ACTIONS(4211),
    [anon_sym_point] = ACTIONS(4211),
    [anon_sym_line] = ACTIONS(4211),
    [anon_sym_triangleadj] = ACTIONS(4211),
    [anon_sym_lineadj] = ACTIONS(4211),
    [anon_sym_triangle] = ACTIONS(4211),
  },
  [1647] = {
    [sym_string_literal] = STATE(3682),
    [sym_template_argument_list] = STATE(2501),
    [sym_raw_string_literal] = STATE(3682),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3027),
    [sym_identifier] = ACTIONS(4211),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4213),
    [anon_sym_COMMA] = ACTIONS(4213),
    [anon_sym_RPAREN] = ACTIONS(4213),
    [anon_sym_LPAREN2] = ACTIONS(4226),
    [anon_sym_TILDE] = ACTIONS(4219),
    [anon_sym_DASH] = ACTIONS(4221),
    [anon_sym_PLUS] = ACTIONS(4221),
    [anon_sym_STAR] = ACTIONS(4223),
    [anon_sym_SLASH] = ACTIONS(4221),
    [anon_sym_PERCENT] = ACTIONS(4221),
    [anon_sym_PIPE_PIPE] = ACTIONS(4213),
    [anon_sym_AMP_AMP] = ACTIONS(4226),
    [anon_sym_PIPE] = ACTIONS(4221),
    [anon_sym_CARET] = ACTIONS(4221),
    [anon_sym_AMP] = ACTIONS(4223),
    [anon_sym_EQ_EQ] = ACTIONS(4213),
    [anon_sym_BANG_EQ] = ACTIONS(4213),
    [anon_sym_GT] = ACTIONS(4221),
    [anon_sym_GT_EQ] = ACTIONS(4213),
    [anon_sym_LT_EQ] = ACTIONS(4221),
    [anon_sym_LT] = ACTIONS(4229),
    [anon_sym_LT_LT] = ACTIONS(4221),
    [anon_sym_GT_GT] = ACTIONS(4221),
    [anon_sym_SEMI] = ACTIONS(4213),
    [anon_sym___extension__] = ACTIONS(4211),
    [anon_sym_in] = ACTIONS(4211),
    [anon_sym_out] = ACTIONS(4211),
    [anon_sym_inout] = ACTIONS(4211),
    [anon_sym_extern] = ACTIONS(4211),
    [anon_sym___attribute__] = ACTIONS(4211),
    [anon_sym_COLON_COLON] = ACTIONS(2230),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4219),
    [anon_sym___declspec] = ACTIONS(4211),
    [anon_sym___based] = ACTIONS(4211),
    [anon_sym_LBRACE] = ACTIONS(2226),
    [anon_sym_signed] = ACTIONS(4237),
    [anon_sym_unsigned] = ACTIONS(4237),
    [anon_sym_long] = ACTIONS(4237),
    [anon_sym_short] = ACTIONS(4237),
    [anon_sym_LBRACK] = ACTIONS(4223),
    [anon_sym_EQ] = ACTIONS(4243),
    [anon_sym_static] = ACTIONS(4211),
    [anon_sym_register] = ACTIONS(4211),
    [anon_sym_inline] = ACTIONS(4211),
    [anon_sym___inline] = ACTIONS(4211),
    [anon_sym___inline__] = ACTIONS(4211),
    [anon_sym___forceinline] = ACTIONS(4211),
    [anon_sym_thread_local] = ACTIONS(4211),
    [anon_sym___thread] = ACTIONS(4211),
    [anon_sym_const] = ACTIONS(4211),
    [anon_sym_constexpr] = ACTIONS(4211),
    [anon_sym_volatile] = ACTIONS(4211),
    [anon_sym_restrict] = ACTIONS(4211),
    [anon_sym___restrict__] = ACTIONS(4211),
    [anon_sym__Atomic] = ACTIONS(4211),
    [anon_sym__Noreturn] = ACTIONS(4211),
    [anon_sym_noreturn] = ACTIONS(4211),
    [anon_sym_mutable] = ACTIONS(4211),
    [anon_sym_constinit] = ACTIONS(4211),
    [anon_sym_consteval] = ACTIONS(4211),
    [anon_sym_QMARK] = ACTIONS(4213),
    [anon_sym_STAR_EQ] = ACTIONS(4245),
    [anon_sym_SLASH_EQ] = ACTIONS(4245),
    [anon_sym_PERCENT_EQ] = ACTIONS(4245),
    [anon_sym_PLUS_EQ] = ACTIONS(4245),
    [anon_sym_DASH_EQ] = ACTIONS(4245),
    [anon_sym_LT_LT_EQ] = ACTIONS(4245),
    [anon_sym_GT_GT_EQ] = ACTIONS(4245),
    [anon_sym_AMP_EQ] = ACTIONS(4245),
    [anon_sym_CARET_EQ] = ACTIONS(4245),
    [anon_sym_PIPE_EQ] = ACTIONS(4245),
    [anon_sym_and_eq] = ACTIONS(4243),
    [anon_sym_or_eq] = ACTIONS(4243),
    [anon_sym_xor_eq] = ACTIONS(4243),
    [anon_sym_LT_EQ_GT] = ACTIONS(4213),
    [anon_sym_or] = ACTIONS(4221),
    [anon_sym_and] = ACTIONS(4221),
    [anon_sym_bitor] = ACTIONS(4221),
    [anon_sym_xor] = ACTIONS(4221),
    [anon_sym_bitand] = ACTIONS(4221),
    [anon_sym_not_eq] = ACTIONS(4221),
    [anon_sym_DASH_DASH] = ACTIONS(4213),
    [anon_sym_PLUS_PLUS] = ACTIONS(4213),
    [anon_sym_DOT] = ACTIONS(4221),
    [anon_sym_DOT_STAR] = ACTIONS(4213),
    [anon_sym_DASH_GT] = ACTIONS(4213),
    [anon_sym_L_DQUOTE] = ACTIONS(4247),
    [anon_sym_u_DQUOTE] = ACTIONS(4247),
    [anon_sym_U_DQUOTE] = ACTIONS(4247),
    [anon_sym_u8_DQUOTE] = ACTIONS(4247),
    [anon_sym_DQUOTE] = ACTIONS(4247),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4211),
    [anon_sym_decltype] = ACTIONS(4211),
    [anon_sym_virtual] = ACTIONS(4211),
    [anon_sym_alignas] = ACTIONS(4211),
    [anon_sym_template] = ACTIONS(4211),
    [anon_sym_operator] = ACTIONS(4211),
    [anon_sym_R_DQUOTE] = ACTIONS(4249),
    [anon_sym_LR_DQUOTE] = ACTIONS(4249),
    [anon_sym_uR_DQUOTE] = ACTIONS(4249),
    [anon_sym_UR_DQUOTE] = ACTIONS(4249),
    [anon_sym_u8R_DQUOTE] = ACTIONS(4249),
    [anon_sym_precise] = ACTIONS(4211),
    [anon_sym_shared] = ACTIONS(4211),
    [anon_sym_groupshared] = ACTIONS(4211),
    [anon_sym_uniform] = ACTIONS(4211),
    [anon_sym_row_major] = ACTIONS(4211),
    [anon_sym_column_major] = ACTIONS(4211),
    [anon_sym_globallycoherent] = ACTIONS(4211),
    [anon_sym_centroid] = ACTIONS(4211),
    [anon_sym_noperspective] = ACTIONS(4211),
    [anon_sym_nointerpolation] = ACTIONS(4211),
    [anon_sym_sample] = ACTIONS(4211),
    [anon_sym_linear] = ACTIONS(4211),
    [anon_sym_snorm] = ACTIONS(4211),
    [anon_sym_unorm] = ACTIONS(4211),
    [anon_sym_point] = ACTIONS(4211),
    [anon_sym_line] = ACTIONS(4211),
    [anon_sym_triangleadj] = ACTIONS(4211),
    [anon_sym_lineadj] = ACTIONS(4211),
    [anon_sym_triangle] = ACTIONS(4211),
  },
  [1648] = {
    [sym__expression] = STATE(4973),
    [sym__expression_not_binary] = STATE(5024),
    [sym__string] = STATE(5024),
    [sym_conditional_expression] = STATE(5024),
    [sym_assignment_expression] = STATE(5024),
    [sym_pointer_expression] = STATE(4607),
    [sym_unary_expression] = STATE(5024),
    [sym_binary_expression] = STATE(5024),
    [sym_update_expression] = STATE(5024),
    [sym_cast_expression] = STATE(5024),
    [sym_sizeof_expression] = STATE(5024),
    [sym_alignof_expression] = STATE(5024),
    [sym_offsetof_expression] = STATE(5024),
    [sym_generic_expression] = STATE(5024),
    [sym_subscript_expression] = STATE(4607),
    [sym_call_expression] = STATE(4607),
    [sym_gnu_asm_expression] = STATE(5024),
    [sym_field_expression] = STATE(4607),
    [sym_compound_literal_expression] = STATE(5024),
    [sym_parenthesized_expression] = STATE(4607),
    [sym_initializer_list] = STATE(4974),
    [sym_char_literal] = STATE(5726),
    [sym_concatenated_string] = STATE(5682),
    [sym_string_literal] = STATE(4827),
    [sym_null] = STATE(5024),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9352),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(5024),
    [sym_raw_string_literal] = STATE(4829),
    [sym_co_await_expression] = STATE(5024),
    [sym_new_expression] = STATE(5024),
    [sym_delete_expression] = STATE(5024),
    [sym_requires_clause] = STATE(5024),
    [sym_requires_expression] = STATE(5024),
    [sym_lambda_expression] = STATE(5024),
    [sym_lambda_capture_specifier] = STATE(7184),
    [sym_fold_expression] = STATE(5024),
    [sym_parameter_pack_expansion] = STATE(5024),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6886),
    [sym_qualified_identifier] = STATE(4607),
    [sym_qualified_type_identifier] = STATE(9352),
    [sym_user_defined_literal] = STATE(4607),
    [sym_identifier] = ACTIONS(4478),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3918),
    [anon_sym_COMMA] = ACTIONS(3918),
    [anon_sym_LPAREN2] = ACTIONS(3918),
    [anon_sym_BANG] = ACTIONS(4480),
    [anon_sym_TILDE] = ACTIONS(4482),
    [anon_sym_DASH] = ACTIONS(3916),
    [anon_sym_PLUS] = ACTIONS(3916),
    [anon_sym_STAR] = ACTIONS(3918),
    [anon_sym_SLASH] = ACTIONS(3916),
    [anon_sym_PERCENT] = ACTIONS(3918),
    [anon_sym_PIPE_PIPE] = ACTIONS(3918),
    [anon_sym_AMP_AMP] = ACTIONS(3918),
    [anon_sym_PIPE] = ACTIONS(3916),
    [anon_sym_CARET] = ACTIONS(3918),
    [anon_sym_AMP] = ACTIONS(3916),
    [anon_sym_EQ_EQ] = ACTIONS(3918),
    [anon_sym_BANG_EQ] = ACTIONS(3918),
    [anon_sym_GT] = ACTIONS(3916),
    [anon_sym_GT_EQ] = ACTIONS(3918),
    [anon_sym_LT_EQ] = ACTIONS(3916),
    [anon_sym_LT] = ACTIONS(3916),
    [anon_sym_LT_LT] = ACTIONS(3918),
    [anon_sym_GT_GT] = ACTIONS(3918),
    [anon_sym_SEMI] = ACTIONS(3918),
    [anon_sym___attribute__] = ACTIONS(3916),
    [anon_sym_COLON_COLON] = ACTIONS(4484),
    [anon_sym_LBRACE] = ACTIONS(4413),
    [anon_sym_LBRACK] = ACTIONS(3918),
    [sym_primitive_type] = ACTIONS(3146),
    [anon_sym_QMARK] = ACTIONS(3918),
    [anon_sym_not] = ACTIONS(4480),
    [anon_sym_compl] = ACTIONS(4480),
    [anon_sym_LT_EQ_GT] = ACTIONS(3918),
    [anon_sym_or] = ACTIONS(3916),
    [anon_sym_and] = ACTIONS(3916),
    [anon_sym_bitor] = ACTIONS(3916),
    [anon_sym_xor] = ACTIONS(3916),
    [anon_sym_bitand] = ACTIONS(3916),
    [anon_sym_not_eq] = ACTIONS(3916),
    [anon_sym_DASH_DASH] = ACTIONS(3918),
    [anon_sym_PLUS_PLUS] = ACTIONS(3918),
    [anon_sym_sizeof] = ACTIONS(4486),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [anon_sym_DOT] = ACTIONS(3916),
    [anon_sym_DOT_STAR] = ACTIONS(3918),
    [anon_sym_DASH_GT] = ACTIONS(3918),
    [sym_number_literal] = ACTIONS(4488),
    [anon_sym_L_SQUOTE] = ACTIONS(4490),
    [anon_sym_u_SQUOTE] = ACTIONS(4490),
    [anon_sym_U_SQUOTE] = ACTIONS(4490),
    [anon_sym_u8_SQUOTE] = ACTIONS(4490),
    [anon_sym_SQUOTE] = ACTIONS(4490),
    [anon_sym_L_DQUOTE] = ACTIONS(4492),
    [anon_sym_u_DQUOTE] = ACTIONS(4492),
    [anon_sym_U_DQUOTE] = ACTIONS(4492),
    [anon_sym_u8_DQUOTE] = ACTIONS(4492),
    [anon_sym_DQUOTE] = ACTIONS(4492),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(4494),
    [anon_sym_R_DQUOTE] = ACTIONS(4496),
    [anon_sym_LR_DQUOTE] = ACTIONS(4496),
    [anon_sym_uR_DQUOTE] = ACTIONS(4496),
    [anon_sym_UR_DQUOTE] = ACTIONS(4496),
    [anon_sym_u8R_DQUOTE] = ACTIONS(4496),
    [anon_sym_co_await] = ACTIONS(4498),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [1649] = {
    [sym_string_literal] = STATE(3682),
    [sym_template_argument_list] = STATE(2435),
    [sym_raw_string_literal] = STATE(3682),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3027),
    [sym_identifier] = ACTIONS(4211),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4226),
    [anon_sym_COMMA] = ACTIONS(4226),
    [anon_sym_RPAREN] = ACTIONS(4226),
    [anon_sym_LPAREN2] = ACTIONS(4226),
    [anon_sym_TILDE] = ACTIONS(4219),
    [anon_sym_DASH] = ACTIONS(4221),
    [anon_sym_PLUS] = ACTIONS(4221),
    [anon_sym_STAR] = ACTIONS(4223),
    [anon_sym_SLASH] = ACTIONS(4221),
    [anon_sym_PERCENT] = ACTIONS(4221),
    [anon_sym_PIPE_PIPE] = ACTIONS(4213),
    [anon_sym_AMP_AMP] = ACTIONS(4226),
    [anon_sym_PIPE] = ACTIONS(4221),
    [anon_sym_CARET] = ACTIONS(4221),
    [anon_sym_AMP] = ACTIONS(4223),
    [anon_sym_EQ_EQ] = ACTIONS(4213),
    [anon_sym_BANG_EQ] = ACTIONS(4213),
    [anon_sym_GT] = ACTIONS(4221),
    [anon_sym_GT_EQ] = ACTIONS(4213),
    [anon_sym_LT_EQ] = ACTIONS(4221),
    [anon_sym_LT] = ACTIONS(4229),
    [anon_sym_LT_LT] = ACTIONS(4221),
    [anon_sym_GT_GT] = ACTIONS(4221),
    [anon_sym_COLON] = ACTIONS(4211),
    [anon_sym___extension__] = ACTIONS(4211),
    [anon_sym_in] = ACTIONS(4211),
    [anon_sym_out] = ACTIONS(4211),
    [anon_sym_inout] = ACTIONS(4211),
    [anon_sym_extern] = ACTIONS(4211),
    [anon_sym___attribute__] = ACTIONS(4211),
    [anon_sym_COLON_COLON] = ACTIONS(2230),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4219),
    [anon_sym___declspec] = ACTIONS(4211),
    [anon_sym___based] = ACTIONS(4211),
    [anon_sym_LBRACE] = ACTIONS(2226),
    [anon_sym_signed] = ACTIONS(4237),
    [anon_sym_unsigned] = ACTIONS(4237),
    [anon_sym_long] = ACTIONS(4237),
    [anon_sym_short] = ACTIONS(4237),
    [anon_sym_LBRACK] = ACTIONS(4223),
    [anon_sym_EQ] = ACTIONS(4211),
    [anon_sym_static] = ACTIONS(4211),
    [anon_sym_register] = ACTIONS(4211),
    [anon_sym_inline] = ACTIONS(4211),
    [anon_sym___inline] = ACTIONS(4211),
    [anon_sym___inline__] = ACTIONS(4211),
    [anon_sym___forceinline] = ACTIONS(4211),
    [anon_sym_thread_local] = ACTIONS(4211),
    [anon_sym___thread] = ACTIONS(4211),
    [anon_sym_const] = ACTIONS(4211),
    [anon_sym_constexpr] = ACTIONS(4211),
    [anon_sym_volatile] = ACTIONS(4211),
    [anon_sym_restrict] = ACTIONS(4211),
    [anon_sym___restrict__] = ACTIONS(4211),
    [anon_sym__Atomic] = ACTIONS(4211),
    [anon_sym__Noreturn] = ACTIONS(4211),
    [anon_sym_noreturn] = ACTIONS(4211),
    [anon_sym_mutable] = ACTIONS(4211),
    [anon_sym_constinit] = ACTIONS(4211),
    [anon_sym_consteval] = ACTIONS(4211),
    [anon_sym_QMARK] = ACTIONS(4213),
    [anon_sym_STAR_EQ] = ACTIONS(4245),
    [anon_sym_SLASH_EQ] = ACTIONS(4245),
    [anon_sym_PERCENT_EQ] = ACTIONS(4245),
    [anon_sym_PLUS_EQ] = ACTIONS(4245),
    [anon_sym_DASH_EQ] = ACTIONS(4245),
    [anon_sym_LT_LT_EQ] = ACTIONS(4245),
    [anon_sym_GT_GT_EQ] = ACTIONS(4245),
    [anon_sym_AMP_EQ] = ACTIONS(4245),
    [anon_sym_CARET_EQ] = ACTIONS(4245),
    [anon_sym_PIPE_EQ] = ACTIONS(4245),
    [anon_sym_and_eq] = ACTIONS(4243),
    [anon_sym_or_eq] = ACTIONS(4243),
    [anon_sym_xor_eq] = ACTIONS(4243),
    [anon_sym_LT_EQ_GT] = ACTIONS(4213),
    [anon_sym_or] = ACTIONS(4221),
    [anon_sym_and] = ACTIONS(4221),
    [anon_sym_bitor] = ACTIONS(4221),
    [anon_sym_xor] = ACTIONS(4221),
    [anon_sym_bitand] = ACTIONS(4221),
    [anon_sym_not_eq] = ACTIONS(4221),
    [anon_sym_DASH_DASH] = ACTIONS(4213),
    [anon_sym_PLUS_PLUS] = ACTIONS(4213),
    [anon_sym_DOT] = ACTIONS(4221),
    [anon_sym_DOT_STAR] = ACTIONS(4213),
    [anon_sym_DASH_GT] = ACTIONS(4213),
    [anon_sym_L_DQUOTE] = ACTIONS(4247),
    [anon_sym_u_DQUOTE] = ACTIONS(4247),
    [anon_sym_U_DQUOTE] = ACTIONS(4247),
    [anon_sym_u8_DQUOTE] = ACTIONS(4247),
    [anon_sym_DQUOTE] = ACTIONS(4247),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4211),
    [anon_sym_decltype] = ACTIONS(4211),
    [anon_sym_virtual] = ACTIONS(4211),
    [anon_sym_alignas] = ACTIONS(4211),
    [anon_sym_template] = ACTIONS(4211),
    [anon_sym_operator] = ACTIONS(4211),
    [anon_sym_R_DQUOTE] = ACTIONS(4249),
    [anon_sym_LR_DQUOTE] = ACTIONS(4249),
    [anon_sym_uR_DQUOTE] = ACTIONS(4249),
    [anon_sym_UR_DQUOTE] = ACTIONS(4249),
    [anon_sym_u8R_DQUOTE] = ACTIONS(4249),
    [anon_sym_precise] = ACTIONS(4211),
    [anon_sym_shared] = ACTIONS(4211),
    [anon_sym_groupshared] = ACTIONS(4211),
    [anon_sym_uniform] = ACTIONS(4211),
    [anon_sym_row_major] = ACTIONS(4211),
    [anon_sym_column_major] = ACTIONS(4211),
    [anon_sym_globallycoherent] = ACTIONS(4211),
    [anon_sym_centroid] = ACTIONS(4211),
    [anon_sym_noperspective] = ACTIONS(4211),
    [anon_sym_nointerpolation] = ACTIONS(4211),
    [anon_sym_sample] = ACTIONS(4211),
    [anon_sym_linear] = ACTIONS(4211),
    [anon_sym_snorm] = ACTIONS(4211),
    [anon_sym_unorm] = ACTIONS(4211),
    [anon_sym_point] = ACTIONS(4211),
    [anon_sym_line] = ACTIONS(4211),
    [anon_sym_triangleadj] = ACTIONS(4211),
    [anon_sym_lineadj] = ACTIONS(4211),
    [anon_sym_triangle] = ACTIONS(4211),
  },
  [1650] = {
    [sym_string_literal] = STATE(3682),
    [sym_template_argument_list] = STATE(2501),
    [sym_raw_string_literal] = STATE(3682),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3027),
    [sym_identifier] = ACTIONS(4211),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4213),
    [anon_sym_COMMA] = ACTIONS(4213),
    [anon_sym_LPAREN2] = ACTIONS(4226),
    [anon_sym_TILDE] = ACTIONS(4219),
    [anon_sym_DASH] = ACTIONS(4221),
    [anon_sym_PLUS] = ACTIONS(4221),
    [anon_sym_STAR] = ACTIONS(4223),
    [anon_sym_SLASH] = ACTIONS(4221),
    [anon_sym_PERCENT] = ACTIONS(4221),
    [anon_sym_PIPE_PIPE] = ACTIONS(4213),
    [anon_sym_AMP_AMP] = ACTIONS(4226),
    [anon_sym_PIPE] = ACTIONS(4221),
    [anon_sym_CARET] = ACTIONS(4221),
    [anon_sym_AMP] = ACTIONS(4223),
    [anon_sym_EQ_EQ] = ACTIONS(4213),
    [anon_sym_BANG_EQ] = ACTIONS(4213),
    [anon_sym_GT] = ACTIONS(4221),
    [anon_sym_GT_EQ] = ACTIONS(4213),
    [anon_sym_LT_EQ] = ACTIONS(4221),
    [anon_sym_LT] = ACTIONS(4229),
    [anon_sym_LT_LT] = ACTIONS(4221),
    [anon_sym_GT_GT] = ACTIONS(4221),
    [anon_sym_COLON] = ACTIONS(4329),
    [anon_sym_SEMI] = ACTIONS(4213),
    [anon_sym___extension__] = ACTIONS(4211),
    [anon_sym_in] = ACTIONS(4211),
    [anon_sym_out] = ACTIONS(4211),
    [anon_sym_inout] = ACTIONS(4211),
    [anon_sym_extern] = ACTIONS(4211),
    [anon_sym___attribute__] = ACTIONS(4211),
    [anon_sym_COLON_COLON] = ACTIONS(2230),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4219),
    [anon_sym___declspec] = ACTIONS(4211),
    [anon_sym___based] = ACTIONS(4211),
    [anon_sym_LBRACE] = ACTIONS(2226),
    [anon_sym_signed] = ACTIONS(4237),
    [anon_sym_unsigned] = ACTIONS(4237),
    [anon_sym_long] = ACTIONS(4237),
    [anon_sym_short] = ACTIONS(4237),
    [anon_sym_LBRACK] = ACTIONS(4223),
    [anon_sym_EQ] = ACTIONS(4243),
    [anon_sym_static] = ACTIONS(4211),
    [anon_sym_register] = ACTIONS(4211),
    [anon_sym_inline] = ACTIONS(4211),
    [anon_sym___inline] = ACTIONS(4211),
    [anon_sym___inline__] = ACTIONS(4211),
    [anon_sym___forceinline] = ACTIONS(4211),
    [anon_sym_thread_local] = ACTIONS(4211),
    [anon_sym___thread] = ACTIONS(4211),
    [anon_sym_const] = ACTIONS(4211),
    [anon_sym_constexpr] = ACTIONS(4211),
    [anon_sym_volatile] = ACTIONS(4211),
    [anon_sym_restrict] = ACTIONS(4211),
    [anon_sym___restrict__] = ACTIONS(4211),
    [anon_sym__Atomic] = ACTIONS(4211),
    [anon_sym__Noreturn] = ACTIONS(4211),
    [anon_sym_noreturn] = ACTIONS(4211),
    [anon_sym_mutable] = ACTIONS(4211),
    [anon_sym_constinit] = ACTIONS(4211),
    [anon_sym_consteval] = ACTIONS(4211),
    [anon_sym_QMARK] = ACTIONS(4213),
    [anon_sym_STAR_EQ] = ACTIONS(4245),
    [anon_sym_SLASH_EQ] = ACTIONS(4245),
    [anon_sym_PERCENT_EQ] = ACTIONS(4245),
    [anon_sym_PLUS_EQ] = ACTIONS(4245),
    [anon_sym_DASH_EQ] = ACTIONS(4245),
    [anon_sym_LT_LT_EQ] = ACTIONS(4245),
    [anon_sym_GT_GT_EQ] = ACTIONS(4245),
    [anon_sym_AMP_EQ] = ACTIONS(4245),
    [anon_sym_CARET_EQ] = ACTIONS(4245),
    [anon_sym_PIPE_EQ] = ACTIONS(4245),
    [anon_sym_and_eq] = ACTIONS(4243),
    [anon_sym_or_eq] = ACTIONS(4243),
    [anon_sym_xor_eq] = ACTIONS(4243),
    [anon_sym_LT_EQ_GT] = ACTIONS(4213),
    [anon_sym_or] = ACTIONS(4221),
    [anon_sym_and] = ACTIONS(4221),
    [anon_sym_bitor] = ACTIONS(4221),
    [anon_sym_xor] = ACTIONS(4221),
    [anon_sym_bitand] = ACTIONS(4221),
    [anon_sym_not_eq] = ACTIONS(4221),
    [anon_sym_DASH_DASH] = ACTIONS(4213),
    [anon_sym_PLUS_PLUS] = ACTIONS(4213),
    [anon_sym_DOT] = ACTIONS(4221),
    [anon_sym_DOT_STAR] = ACTIONS(4213),
    [anon_sym_DASH_GT] = ACTIONS(4213),
    [anon_sym_L_DQUOTE] = ACTIONS(4247),
    [anon_sym_u_DQUOTE] = ACTIONS(4247),
    [anon_sym_U_DQUOTE] = ACTIONS(4247),
    [anon_sym_u8_DQUOTE] = ACTIONS(4247),
    [anon_sym_DQUOTE] = ACTIONS(4247),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4211),
    [anon_sym_decltype] = ACTIONS(4211),
    [anon_sym_virtual] = ACTIONS(4211),
    [anon_sym_alignas] = ACTIONS(4211),
    [anon_sym_template] = ACTIONS(4211),
    [anon_sym_operator] = ACTIONS(4211),
    [anon_sym_R_DQUOTE] = ACTIONS(4249),
    [anon_sym_LR_DQUOTE] = ACTIONS(4249),
    [anon_sym_uR_DQUOTE] = ACTIONS(4249),
    [anon_sym_UR_DQUOTE] = ACTIONS(4249),
    [anon_sym_u8R_DQUOTE] = ACTIONS(4249),
    [anon_sym_precise] = ACTIONS(4211),
    [anon_sym_shared] = ACTIONS(4211),
    [anon_sym_groupshared] = ACTIONS(4211),
    [anon_sym_uniform] = ACTIONS(4211),
    [anon_sym_row_major] = ACTIONS(4211),
    [anon_sym_column_major] = ACTIONS(4211),
    [anon_sym_globallycoherent] = ACTIONS(4211),
    [anon_sym_centroid] = ACTIONS(4211),
    [anon_sym_noperspective] = ACTIONS(4211),
    [anon_sym_nointerpolation] = ACTIONS(4211),
    [anon_sym_sample] = ACTIONS(4211),
    [anon_sym_linear] = ACTIONS(4211),
    [anon_sym_snorm] = ACTIONS(4211),
    [anon_sym_unorm] = ACTIONS(4211),
    [anon_sym_point] = ACTIONS(4211),
    [anon_sym_line] = ACTIONS(4211),
    [anon_sym_triangleadj] = ACTIONS(4211),
    [anon_sym_lineadj] = ACTIONS(4211),
    [anon_sym_triangle] = ACTIONS(4211),
  },
  [1651] = {
    [sym_string_literal] = STATE(3682),
    [sym_template_argument_list] = STATE(2501),
    [sym_raw_string_literal] = STATE(3682),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3027),
    [sym_identifier] = ACTIONS(4211),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4213),
    [anon_sym_COMMA] = ACTIONS(4213),
    [anon_sym_LPAREN2] = ACTIONS(4226),
    [anon_sym_TILDE] = ACTIONS(4219),
    [anon_sym_DASH] = ACTIONS(4221),
    [anon_sym_PLUS] = ACTIONS(4221),
    [anon_sym_STAR] = ACTIONS(4223),
    [anon_sym_SLASH] = ACTIONS(4221),
    [anon_sym_PERCENT] = ACTIONS(4221),
    [anon_sym_PIPE_PIPE] = ACTIONS(4213),
    [anon_sym_AMP_AMP] = ACTIONS(4226),
    [anon_sym_PIPE] = ACTIONS(4221),
    [anon_sym_CARET] = ACTIONS(4221),
    [anon_sym_AMP] = ACTIONS(4223),
    [anon_sym_EQ_EQ] = ACTIONS(4213),
    [anon_sym_BANG_EQ] = ACTIONS(4213),
    [anon_sym_GT] = ACTIONS(4221),
    [anon_sym_GT_EQ] = ACTIONS(4213),
    [anon_sym_LT_EQ] = ACTIONS(4221),
    [anon_sym_LT] = ACTIONS(4229),
    [anon_sym_LT_LT] = ACTIONS(4221),
    [anon_sym_GT_GT] = ACTIONS(4221),
    [anon_sym_COLON] = ACTIONS(4500),
    [anon_sym_SEMI] = ACTIONS(4213),
    [anon_sym___extension__] = ACTIONS(4211),
    [anon_sym_in] = ACTIONS(4211),
    [anon_sym_out] = ACTIONS(4211),
    [anon_sym_inout] = ACTIONS(4211),
    [anon_sym_extern] = ACTIONS(4211),
    [anon_sym___attribute__] = ACTIONS(4211),
    [anon_sym_COLON_COLON] = ACTIONS(2230),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4219),
    [anon_sym___declspec] = ACTIONS(4211),
    [anon_sym___based] = ACTIONS(4211),
    [anon_sym_LBRACE] = ACTIONS(2226),
    [anon_sym_signed] = ACTIONS(4237),
    [anon_sym_unsigned] = ACTIONS(4237),
    [anon_sym_long] = ACTIONS(4237),
    [anon_sym_short] = ACTIONS(4237),
    [anon_sym_LBRACK] = ACTIONS(4223),
    [anon_sym_EQ] = ACTIONS(4243),
    [anon_sym_static] = ACTIONS(4211),
    [anon_sym_register] = ACTIONS(4211),
    [anon_sym_inline] = ACTIONS(4211),
    [anon_sym___inline] = ACTIONS(4211),
    [anon_sym___inline__] = ACTIONS(4211),
    [anon_sym___forceinline] = ACTIONS(4211),
    [anon_sym_thread_local] = ACTIONS(4211),
    [anon_sym___thread] = ACTIONS(4211),
    [anon_sym_const] = ACTIONS(4211),
    [anon_sym_constexpr] = ACTIONS(4211),
    [anon_sym_volatile] = ACTIONS(4211),
    [anon_sym_restrict] = ACTIONS(4211),
    [anon_sym___restrict__] = ACTIONS(4211),
    [anon_sym__Atomic] = ACTIONS(4211),
    [anon_sym__Noreturn] = ACTIONS(4211),
    [anon_sym_noreturn] = ACTIONS(4211),
    [anon_sym_mutable] = ACTIONS(4211),
    [anon_sym_constinit] = ACTIONS(4211),
    [anon_sym_consteval] = ACTIONS(4211),
    [anon_sym_QMARK] = ACTIONS(4213),
    [anon_sym_STAR_EQ] = ACTIONS(4245),
    [anon_sym_SLASH_EQ] = ACTIONS(4245),
    [anon_sym_PERCENT_EQ] = ACTIONS(4245),
    [anon_sym_PLUS_EQ] = ACTIONS(4245),
    [anon_sym_DASH_EQ] = ACTIONS(4245),
    [anon_sym_LT_LT_EQ] = ACTIONS(4245),
    [anon_sym_GT_GT_EQ] = ACTIONS(4245),
    [anon_sym_AMP_EQ] = ACTIONS(4245),
    [anon_sym_CARET_EQ] = ACTIONS(4245),
    [anon_sym_PIPE_EQ] = ACTIONS(4245),
    [anon_sym_and_eq] = ACTIONS(4243),
    [anon_sym_or_eq] = ACTIONS(4243),
    [anon_sym_xor_eq] = ACTIONS(4243),
    [anon_sym_LT_EQ_GT] = ACTIONS(4213),
    [anon_sym_or] = ACTIONS(4221),
    [anon_sym_and] = ACTIONS(4221),
    [anon_sym_bitor] = ACTIONS(4221),
    [anon_sym_xor] = ACTIONS(4221),
    [anon_sym_bitand] = ACTIONS(4221),
    [anon_sym_not_eq] = ACTIONS(4221),
    [anon_sym_DASH_DASH] = ACTIONS(4213),
    [anon_sym_PLUS_PLUS] = ACTIONS(4213),
    [anon_sym_DOT] = ACTIONS(4221),
    [anon_sym_DOT_STAR] = ACTIONS(4213),
    [anon_sym_DASH_GT] = ACTIONS(4213),
    [anon_sym_L_DQUOTE] = ACTIONS(4247),
    [anon_sym_u_DQUOTE] = ACTIONS(4247),
    [anon_sym_U_DQUOTE] = ACTIONS(4247),
    [anon_sym_u8_DQUOTE] = ACTIONS(4247),
    [anon_sym_DQUOTE] = ACTIONS(4247),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4211),
    [anon_sym_decltype] = ACTIONS(4211),
    [anon_sym_virtual] = ACTIONS(4211),
    [anon_sym_alignas] = ACTIONS(4211),
    [anon_sym_template] = ACTIONS(4211),
    [anon_sym_operator] = ACTIONS(4211),
    [anon_sym_R_DQUOTE] = ACTIONS(4249),
    [anon_sym_LR_DQUOTE] = ACTIONS(4249),
    [anon_sym_uR_DQUOTE] = ACTIONS(4249),
    [anon_sym_UR_DQUOTE] = ACTIONS(4249),
    [anon_sym_u8R_DQUOTE] = ACTIONS(4249),
    [anon_sym_precise] = ACTIONS(4211),
    [anon_sym_shared] = ACTIONS(4211),
    [anon_sym_groupshared] = ACTIONS(4211),
    [anon_sym_uniform] = ACTIONS(4211),
    [anon_sym_row_major] = ACTIONS(4211),
    [anon_sym_column_major] = ACTIONS(4211),
    [anon_sym_globallycoherent] = ACTIONS(4211),
    [anon_sym_centroid] = ACTIONS(4211),
    [anon_sym_noperspective] = ACTIONS(4211),
    [anon_sym_nointerpolation] = ACTIONS(4211),
    [anon_sym_sample] = ACTIONS(4211),
    [anon_sym_linear] = ACTIONS(4211),
    [anon_sym_snorm] = ACTIONS(4211),
    [anon_sym_unorm] = ACTIONS(4211),
    [anon_sym_point] = ACTIONS(4211),
    [anon_sym_line] = ACTIONS(4211),
    [anon_sym_triangleadj] = ACTIONS(4211),
    [anon_sym_lineadj] = ACTIONS(4211),
    [anon_sym_triangle] = ACTIONS(4211),
  },
  [1652] = {
    [sym_string_literal] = STATE(3682),
    [sym_template_argument_list] = STATE(2501),
    [sym_raw_string_literal] = STATE(3682),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3027),
    [sym_identifier] = ACTIONS(4211),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4213),
    [anon_sym_COMMA] = ACTIONS(4213),
    [anon_sym_LPAREN2] = ACTIONS(4226),
    [anon_sym_TILDE] = ACTIONS(4219),
    [anon_sym_DASH] = ACTIONS(4221),
    [anon_sym_PLUS] = ACTIONS(4221),
    [anon_sym_STAR] = ACTIONS(4223),
    [anon_sym_SLASH] = ACTIONS(4221),
    [anon_sym_PERCENT] = ACTIONS(4221),
    [anon_sym_PIPE_PIPE] = ACTIONS(4213),
    [anon_sym_AMP_AMP] = ACTIONS(4226),
    [anon_sym_PIPE] = ACTIONS(4221),
    [anon_sym_CARET] = ACTIONS(4221),
    [anon_sym_AMP] = ACTIONS(4223),
    [anon_sym_EQ_EQ] = ACTIONS(4213),
    [anon_sym_BANG_EQ] = ACTIONS(4213),
    [anon_sym_GT] = ACTIONS(4221),
    [anon_sym_GT_EQ] = ACTIONS(4213),
    [anon_sym_LT_EQ] = ACTIONS(4221),
    [anon_sym_LT] = ACTIONS(4229),
    [anon_sym_LT_LT] = ACTIONS(4221),
    [anon_sym_GT_GT] = ACTIONS(4221),
    [anon_sym_COLON] = ACTIONS(4321),
    [anon_sym_SEMI] = ACTIONS(4213),
    [anon_sym___extension__] = ACTIONS(4211),
    [anon_sym_in] = ACTIONS(4211),
    [anon_sym_out] = ACTIONS(4211),
    [anon_sym_inout] = ACTIONS(4211),
    [anon_sym_extern] = ACTIONS(4211),
    [anon_sym___attribute__] = ACTIONS(4211),
    [anon_sym_COLON_COLON] = ACTIONS(2230),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4219),
    [anon_sym___declspec] = ACTIONS(4211),
    [anon_sym___based] = ACTIONS(4211),
    [anon_sym_LBRACE] = ACTIONS(2226),
    [anon_sym_signed] = ACTIONS(4237),
    [anon_sym_unsigned] = ACTIONS(4237),
    [anon_sym_long] = ACTIONS(4237),
    [anon_sym_short] = ACTIONS(4237),
    [anon_sym_LBRACK] = ACTIONS(4223),
    [anon_sym_EQ] = ACTIONS(4243),
    [anon_sym_static] = ACTIONS(4211),
    [anon_sym_register] = ACTIONS(4211),
    [anon_sym_inline] = ACTIONS(4211),
    [anon_sym___inline] = ACTIONS(4211),
    [anon_sym___inline__] = ACTIONS(4211),
    [anon_sym___forceinline] = ACTIONS(4211),
    [anon_sym_thread_local] = ACTIONS(4211),
    [anon_sym___thread] = ACTIONS(4211),
    [anon_sym_const] = ACTIONS(4211),
    [anon_sym_constexpr] = ACTIONS(4211),
    [anon_sym_volatile] = ACTIONS(4211),
    [anon_sym_restrict] = ACTIONS(4211),
    [anon_sym___restrict__] = ACTIONS(4211),
    [anon_sym__Atomic] = ACTIONS(4211),
    [anon_sym__Noreturn] = ACTIONS(4211),
    [anon_sym_noreturn] = ACTIONS(4211),
    [anon_sym_mutable] = ACTIONS(4211),
    [anon_sym_constinit] = ACTIONS(4211),
    [anon_sym_consteval] = ACTIONS(4211),
    [anon_sym_QMARK] = ACTIONS(4213),
    [anon_sym_STAR_EQ] = ACTIONS(4245),
    [anon_sym_SLASH_EQ] = ACTIONS(4245),
    [anon_sym_PERCENT_EQ] = ACTIONS(4245),
    [anon_sym_PLUS_EQ] = ACTIONS(4245),
    [anon_sym_DASH_EQ] = ACTIONS(4245),
    [anon_sym_LT_LT_EQ] = ACTIONS(4245),
    [anon_sym_GT_GT_EQ] = ACTIONS(4245),
    [anon_sym_AMP_EQ] = ACTIONS(4245),
    [anon_sym_CARET_EQ] = ACTIONS(4245),
    [anon_sym_PIPE_EQ] = ACTIONS(4245),
    [anon_sym_and_eq] = ACTIONS(4243),
    [anon_sym_or_eq] = ACTIONS(4243),
    [anon_sym_xor_eq] = ACTIONS(4243),
    [anon_sym_LT_EQ_GT] = ACTIONS(4213),
    [anon_sym_or] = ACTIONS(4221),
    [anon_sym_and] = ACTIONS(4221),
    [anon_sym_bitor] = ACTIONS(4221),
    [anon_sym_xor] = ACTIONS(4221),
    [anon_sym_bitand] = ACTIONS(4221),
    [anon_sym_not_eq] = ACTIONS(4221),
    [anon_sym_DASH_DASH] = ACTIONS(4213),
    [anon_sym_PLUS_PLUS] = ACTIONS(4213),
    [anon_sym_DOT] = ACTIONS(4221),
    [anon_sym_DOT_STAR] = ACTIONS(4213),
    [anon_sym_DASH_GT] = ACTIONS(4213),
    [anon_sym_L_DQUOTE] = ACTIONS(4247),
    [anon_sym_u_DQUOTE] = ACTIONS(4247),
    [anon_sym_U_DQUOTE] = ACTIONS(4247),
    [anon_sym_u8_DQUOTE] = ACTIONS(4247),
    [anon_sym_DQUOTE] = ACTIONS(4247),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4211),
    [anon_sym_decltype] = ACTIONS(4211),
    [anon_sym_virtual] = ACTIONS(4211),
    [anon_sym_alignas] = ACTIONS(4211),
    [anon_sym_template] = ACTIONS(4211),
    [anon_sym_operator] = ACTIONS(4211),
    [anon_sym_R_DQUOTE] = ACTIONS(4249),
    [anon_sym_LR_DQUOTE] = ACTIONS(4249),
    [anon_sym_uR_DQUOTE] = ACTIONS(4249),
    [anon_sym_UR_DQUOTE] = ACTIONS(4249),
    [anon_sym_u8R_DQUOTE] = ACTIONS(4249),
    [anon_sym_precise] = ACTIONS(4211),
    [anon_sym_shared] = ACTIONS(4211),
    [anon_sym_groupshared] = ACTIONS(4211),
    [anon_sym_uniform] = ACTIONS(4211),
    [anon_sym_row_major] = ACTIONS(4211),
    [anon_sym_column_major] = ACTIONS(4211),
    [anon_sym_globallycoherent] = ACTIONS(4211),
    [anon_sym_centroid] = ACTIONS(4211),
    [anon_sym_noperspective] = ACTIONS(4211),
    [anon_sym_nointerpolation] = ACTIONS(4211),
    [anon_sym_sample] = ACTIONS(4211),
    [anon_sym_linear] = ACTIONS(4211),
    [anon_sym_snorm] = ACTIONS(4211),
    [anon_sym_unorm] = ACTIONS(4211),
    [anon_sym_point] = ACTIONS(4211),
    [anon_sym_line] = ACTIONS(4211),
    [anon_sym_triangleadj] = ACTIONS(4211),
    [anon_sym_lineadj] = ACTIONS(4211),
    [anon_sym_triangle] = ACTIONS(4211),
  },
  [1653] = {
    [sym_string_literal] = STATE(3682),
    [sym_template_argument_list] = STATE(2501),
    [sym_raw_string_literal] = STATE(3682),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3027),
    [sym_identifier] = ACTIONS(4211),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4213),
    [anon_sym_COMMA] = ACTIONS(4213),
    [anon_sym_LPAREN2] = ACTIONS(4226),
    [anon_sym_TILDE] = ACTIONS(4219),
    [anon_sym_DASH] = ACTIONS(4221),
    [anon_sym_PLUS] = ACTIONS(4221),
    [anon_sym_STAR] = ACTIONS(4223),
    [anon_sym_SLASH] = ACTIONS(4221),
    [anon_sym_PERCENT] = ACTIONS(4221),
    [anon_sym_PIPE_PIPE] = ACTIONS(4213),
    [anon_sym_AMP_AMP] = ACTIONS(4226),
    [anon_sym_PIPE] = ACTIONS(4221),
    [anon_sym_CARET] = ACTIONS(4221),
    [anon_sym_AMP] = ACTIONS(4223),
    [anon_sym_EQ_EQ] = ACTIONS(4213),
    [anon_sym_BANG_EQ] = ACTIONS(4213),
    [anon_sym_GT] = ACTIONS(4221),
    [anon_sym_GT_EQ] = ACTIONS(4213),
    [anon_sym_LT_EQ] = ACTIONS(4221),
    [anon_sym_LT] = ACTIONS(4229),
    [anon_sym_LT_LT] = ACTIONS(4221),
    [anon_sym_GT_GT] = ACTIONS(4221),
    [anon_sym_COLON] = ACTIONS(4323),
    [anon_sym_SEMI] = ACTIONS(4213),
    [anon_sym___extension__] = ACTIONS(4211),
    [anon_sym_in] = ACTIONS(4211),
    [anon_sym_out] = ACTIONS(4211),
    [anon_sym_inout] = ACTIONS(4211),
    [anon_sym_extern] = ACTIONS(4211),
    [anon_sym___attribute__] = ACTIONS(4211),
    [anon_sym_COLON_COLON] = ACTIONS(2230),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4219),
    [anon_sym___declspec] = ACTIONS(4211),
    [anon_sym___based] = ACTIONS(4211),
    [anon_sym_LBRACE] = ACTIONS(2226),
    [anon_sym_signed] = ACTIONS(4237),
    [anon_sym_unsigned] = ACTIONS(4237),
    [anon_sym_long] = ACTIONS(4237),
    [anon_sym_short] = ACTIONS(4237),
    [anon_sym_LBRACK] = ACTIONS(4223),
    [anon_sym_EQ] = ACTIONS(4243),
    [anon_sym_static] = ACTIONS(4211),
    [anon_sym_register] = ACTIONS(4211),
    [anon_sym_inline] = ACTIONS(4211),
    [anon_sym___inline] = ACTIONS(4211),
    [anon_sym___inline__] = ACTIONS(4211),
    [anon_sym___forceinline] = ACTIONS(4211),
    [anon_sym_thread_local] = ACTIONS(4211),
    [anon_sym___thread] = ACTIONS(4211),
    [anon_sym_const] = ACTIONS(4211),
    [anon_sym_constexpr] = ACTIONS(4211),
    [anon_sym_volatile] = ACTIONS(4211),
    [anon_sym_restrict] = ACTIONS(4211),
    [anon_sym___restrict__] = ACTIONS(4211),
    [anon_sym__Atomic] = ACTIONS(4211),
    [anon_sym__Noreturn] = ACTIONS(4211),
    [anon_sym_noreturn] = ACTIONS(4211),
    [anon_sym_mutable] = ACTIONS(4211),
    [anon_sym_constinit] = ACTIONS(4211),
    [anon_sym_consteval] = ACTIONS(4211),
    [anon_sym_QMARK] = ACTIONS(4213),
    [anon_sym_STAR_EQ] = ACTIONS(4245),
    [anon_sym_SLASH_EQ] = ACTIONS(4245),
    [anon_sym_PERCENT_EQ] = ACTIONS(4245),
    [anon_sym_PLUS_EQ] = ACTIONS(4245),
    [anon_sym_DASH_EQ] = ACTIONS(4245),
    [anon_sym_LT_LT_EQ] = ACTIONS(4245),
    [anon_sym_GT_GT_EQ] = ACTIONS(4245),
    [anon_sym_AMP_EQ] = ACTIONS(4245),
    [anon_sym_CARET_EQ] = ACTIONS(4245),
    [anon_sym_PIPE_EQ] = ACTIONS(4245),
    [anon_sym_and_eq] = ACTIONS(4243),
    [anon_sym_or_eq] = ACTIONS(4243),
    [anon_sym_xor_eq] = ACTIONS(4243),
    [anon_sym_LT_EQ_GT] = ACTIONS(4213),
    [anon_sym_or] = ACTIONS(4221),
    [anon_sym_and] = ACTIONS(4221),
    [anon_sym_bitor] = ACTIONS(4221),
    [anon_sym_xor] = ACTIONS(4221),
    [anon_sym_bitand] = ACTIONS(4221),
    [anon_sym_not_eq] = ACTIONS(4221),
    [anon_sym_DASH_DASH] = ACTIONS(4213),
    [anon_sym_PLUS_PLUS] = ACTIONS(4213),
    [anon_sym_DOT] = ACTIONS(4221),
    [anon_sym_DOT_STAR] = ACTIONS(4213),
    [anon_sym_DASH_GT] = ACTIONS(4213),
    [anon_sym_L_DQUOTE] = ACTIONS(4247),
    [anon_sym_u_DQUOTE] = ACTIONS(4247),
    [anon_sym_U_DQUOTE] = ACTIONS(4247),
    [anon_sym_u8_DQUOTE] = ACTIONS(4247),
    [anon_sym_DQUOTE] = ACTIONS(4247),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4211),
    [anon_sym_decltype] = ACTIONS(4211),
    [anon_sym_virtual] = ACTIONS(4211),
    [anon_sym_alignas] = ACTIONS(4211),
    [anon_sym_template] = ACTIONS(4211),
    [anon_sym_operator] = ACTIONS(4211),
    [anon_sym_R_DQUOTE] = ACTIONS(4249),
    [anon_sym_LR_DQUOTE] = ACTIONS(4249),
    [anon_sym_uR_DQUOTE] = ACTIONS(4249),
    [anon_sym_UR_DQUOTE] = ACTIONS(4249),
    [anon_sym_u8R_DQUOTE] = ACTIONS(4249),
    [anon_sym_precise] = ACTIONS(4211),
    [anon_sym_shared] = ACTIONS(4211),
    [anon_sym_groupshared] = ACTIONS(4211),
    [anon_sym_uniform] = ACTIONS(4211),
    [anon_sym_row_major] = ACTIONS(4211),
    [anon_sym_column_major] = ACTIONS(4211),
    [anon_sym_globallycoherent] = ACTIONS(4211),
    [anon_sym_centroid] = ACTIONS(4211),
    [anon_sym_noperspective] = ACTIONS(4211),
    [anon_sym_nointerpolation] = ACTIONS(4211),
    [anon_sym_sample] = ACTIONS(4211),
    [anon_sym_linear] = ACTIONS(4211),
    [anon_sym_snorm] = ACTIONS(4211),
    [anon_sym_unorm] = ACTIONS(4211),
    [anon_sym_point] = ACTIONS(4211),
    [anon_sym_line] = ACTIONS(4211),
    [anon_sym_triangleadj] = ACTIONS(4211),
    [anon_sym_lineadj] = ACTIONS(4211),
    [anon_sym_triangle] = ACTIONS(4211),
  },
  [1654] = {
    [sym__expression] = STATE(4973),
    [sym__expression_not_binary] = STATE(5024),
    [sym__string] = STATE(5024),
    [sym_conditional_expression] = STATE(5024),
    [sym_assignment_expression] = STATE(5024),
    [sym_pointer_expression] = STATE(4737),
    [sym_unary_expression] = STATE(5024),
    [sym_binary_expression] = STATE(5024),
    [sym_update_expression] = STATE(5024),
    [sym_cast_expression] = STATE(5024),
    [sym_sizeof_expression] = STATE(5024),
    [sym_alignof_expression] = STATE(5024),
    [sym_offsetof_expression] = STATE(5024),
    [sym_generic_expression] = STATE(5024),
    [sym_subscript_expression] = STATE(4737),
    [sym_call_expression] = STATE(4737),
    [sym_gnu_asm_expression] = STATE(5024),
    [sym_field_expression] = STATE(4737),
    [sym_compound_literal_expression] = STATE(5024),
    [sym_parenthesized_expression] = STATE(4737),
    [sym_initializer_list] = STATE(4974),
    [sym_char_literal] = STATE(5374),
    [sym_concatenated_string] = STATE(5377),
    [sym_string_literal] = STATE(4206),
    [sym_null] = STATE(5024),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9352),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(5024),
    [sym_raw_string_literal] = STATE(4217),
    [sym_co_await_expression] = STATE(5024),
    [sym_new_expression] = STATE(5024),
    [sym_delete_expression] = STATE(5024),
    [sym_requires_clause] = STATE(5024),
    [sym_requires_expression] = STATE(5024),
    [sym_lambda_expression] = STATE(5024),
    [sym_lambda_capture_specifier] = STATE(7184),
    [sym_fold_expression] = STATE(5024),
    [sym_parameter_pack_expansion] = STATE(5024),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6886),
    [sym_qualified_identifier] = STATE(4737),
    [sym_qualified_type_identifier] = STATE(9352),
    [sym_user_defined_literal] = STATE(4737),
    [sym_identifier] = ACTIONS(4502),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3918),
    [anon_sym_COMMA] = ACTIONS(3918),
    [anon_sym_LPAREN2] = ACTIONS(3918),
    [anon_sym_BANG] = ACTIONS(4504),
    [anon_sym_TILDE] = ACTIONS(4506),
    [anon_sym_DASH] = ACTIONS(3916),
    [anon_sym_PLUS] = ACTIONS(3916),
    [anon_sym_STAR] = ACTIONS(3918),
    [anon_sym_SLASH] = ACTIONS(3916),
    [anon_sym_PERCENT] = ACTIONS(3918),
    [anon_sym_PIPE_PIPE] = ACTIONS(3918),
    [anon_sym_AMP_AMP] = ACTIONS(3918),
    [anon_sym_PIPE] = ACTIONS(3916),
    [anon_sym_CARET] = ACTIONS(3918),
    [anon_sym_AMP] = ACTIONS(3916),
    [anon_sym_EQ_EQ] = ACTIONS(3918),
    [anon_sym_BANG_EQ] = ACTIONS(3918),
    [anon_sym_GT] = ACTIONS(3916),
    [anon_sym_GT_EQ] = ACTIONS(3918),
    [anon_sym_LT_EQ] = ACTIONS(3916),
    [anon_sym_LT] = ACTIONS(3916),
    [anon_sym_LT_LT] = ACTIONS(3918),
    [anon_sym_GT_GT] = ACTIONS(3918),
    [anon_sym_COLON_COLON] = ACTIONS(4508),
    [anon_sym_LBRACE] = ACTIONS(4413),
    [anon_sym_LBRACK] = ACTIONS(3918),
    [anon_sym_RBRACK] = ACTIONS(3918),
    [sym_primitive_type] = ACTIONS(3146),
    [anon_sym_QMARK] = ACTIONS(3918),
    [anon_sym_not] = ACTIONS(4504),
    [anon_sym_compl] = ACTIONS(4504),
    [anon_sym_LT_EQ_GT] = ACTIONS(3918),
    [anon_sym_or] = ACTIONS(3916),
    [anon_sym_and] = ACTIONS(3916),
    [anon_sym_bitor] = ACTIONS(3916),
    [anon_sym_xor] = ACTIONS(3916),
    [anon_sym_bitand] = ACTIONS(3916),
    [anon_sym_not_eq] = ACTIONS(3916),
    [anon_sym_DASH_DASH] = ACTIONS(3918),
    [anon_sym_PLUS_PLUS] = ACTIONS(3918),
    [anon_sym_sizeof] = ACTIONS(4510),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [anon_sym_DOT] = ACTIONS(3916),
    [anon_sym_DOT_STAR] = ACTIONS(3918),
    [anon_sym_DASH_GT] = ACTIONS(3918),
    [sym_number_literal] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(4512),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(4514),
    [anon_sym_new] = ACTIONS(4516),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [1655] = {
    [sym__expression] = STATE(5687),
    [sym__expression_not_binary] = STATE(5024),
    [sym__string] = STATE(5024),
    [sym_conditional_expression] = STATE(5024),
    [sym_assignment_expression] = STATE(5024),
    [sym_pointer_expression] = STATE(4713),
    [sym_unary_expression] = STATE(5024),
    [sym_binary_expression] = STATE(5024),
    [sym_update_expression] = STATE(5024),
    [sym_cast_expression] = STATE(5024),
    [sym_sizeof_expression] = STATE(5024),
    [sym_alignof_expression] = STATE(5024),
    [sym_offsetof_expression] = STATE(5024),
    [sym_generic_expression] = STATE(5024),
    [sym_subscript_expression] = STATE(4713),
    [sym_call_expression] = STATE(4713),
    [sym_gnu_asm_expression] = STATE(5024),
    [sym_field_expression] = STATE(4713),
    [sym_compound_literal_expression] = STATE(5024),
    [sym_parenthesized_expression] = STATE(4713),
    [sym_initializer_list] = STATE(4974),
    [sym_char_literal] = STATE(5374),
    [sym_concatenated_string] = STATE(5377),
    [sym_string_literal] = STATE(4206),
    [sym_null] = STATE(5024),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9352),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(5024),
    [sym_raw_string_literal] = STATE(4217),
    [sym_co_await_expression] = STATE(5024),
    [sym_new_expression] = STATE(5024),
    [sym_delete_expression] = STATE(5024),
    [sym_requires_clause] = STATE(5024),
    [sym_requires_expression] = STATE(5024),
    [sym_lambda_expression] = STATE(5024),
    [sym_lambda_capture_specifier] = STATE(7184),
    [sym_fold_expression] = STATE(5024),
    [sym_parameter_pack_expansion] = STATE(5024),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6886),
    [sym_qualified_identifier] = STATE(4713),
    [sym_qualified_type_identifier] = STATE(9352),
    [sym_user_defined_literal] = STATE(4713),
    [sym_identifier] = ACTIONS(4518),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3918),
    [anon_sym_COMMA] = ACTIONS(3918),
    [anon_sym_LPAREN2] = ACTIONS(3918),
    [anon_sym_BANG] = ACTIONS(4520),
    [anon_sym_TILDE] = ACTIONS(4522),
    [anon_sym_DASH] = ACTIONS(3916),
    [anon_sym_PLUS] = ACTIONS(3916),
    [anon_sym_STAR] = ACTIONS(3918),
    [anon_sym_SLASH] = ACTIONS(3916),
    [anon_sym_PERCENT] = ACTIONS(3918),
    [anon_sym_PIPE_PIPE] = ACTIONS(3918),
    [anon_sym_AMP_AMP] = ACTIONS(3918),
    [anon_sym_PIPE] = ACTIONS(3916),
    [anon_sym_CARET] = ACTIONS(3918),
    [anon_sym_AMP] = ACTIONS(3916),
    [anon_sym_EQ_EQ] = ACTIONS(3918),
    [anon_sym_BANG_EQ] = ACTIONS(3918),
    [anon_sym_GT] = ACTIONS(3916),
    [anon_sym_GT_EQ] = ACTIONS(3918),
    [anon_sym_LT_EQ] = ACTIONS(3916),
    [anon_sym_LT] = ACTIONS(3916),
    [anon_sym_LT_LT] = ACTIONS(3918),
    [anon_sym_GT_GT] = ACTIONS(3918),
    [anon_sym_COLON] = ACTIONS(3916),
    [anon_sym_COLON_COLON] = ACTIONS(4524),
    [anon_sym_LBRACE] = ACTIONS(4413),
    [anon_sym_LBRACK] = ACTIONS(3918),
    [sym_primitive_type] = ACTIONS(3146),
    [anon_sym_QMARK] = ACTIONS(3918),
    [anon_sym_not] = ACTIONS(4520),
    [anon_sym_compl] = ACTIONS(4520),
    [anon_sym_LT_EQ_GT] = ACTIONS(3918),
    [anon_sym_or] = ACTIONS(3916),
    [anon_sym_and] = ACTIONS(3916),
    [anon_sym_bitor] = ACTIONS(3916),
    [anon_sym_xor] = ACTIONS(3916),
    [anon_sym_bitand] = ACTIONS(3916),
    [anon_sym_not_eq] = ACTIONS(3916),
    [anon_sym_DASH_DASH] = ACTIONS(3918),
    [anon_sym_PLUS_PLUS] = ACTIONS(3918),
    [anon_sym_sizeof] = ACTIONS(4526),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [anon_sym_DOT] = ACTIONS(3916),
    [anon_sym_DOT_STAR] = ACTIONS(3918),
    [anon_sym_DASH_GT] = ACTIONS(3918),
    [sym_number_literal] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(4528),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(4530),
    [anon_sym_new] = ACTIONS(4516),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [1656] = {
    [sym__expression] = STATE(5705),
    [sym__expression_not_binary] = STATE(6001),
    [sym__string] = STATE(6001),
    [sym_conditional_expression] = STATE(6001),
    [sym_assignment_expression] = STATE(6001),
    [sym_pointer_expression] = STATE(4807),
    [sym_unary_expression] = STATE(6001),
    [sym_binary_expression] = STATE(6001),
    [sym_update_expression] = STATE(6001),
    [sym_cast_expression] = STATE(6001),
    [sym_sizeof_expression] = STATE(6001),
    [sym_alignof_expression] = STATE(6001),
    [sym_offsetof_expression] = STATE(6001),
    [sym_generic_expression] = STATE(6001),
    [sym_subscript_expression] = STATE(4807),
    [sym_call_expression] = STATE(4807),
    [sym_gnu_asm_expression] = STATE(6001),
    [sym_field_expression] = STATE(4807),
    [sym_compound_literal_expression] = STATE(6001),
    [sym_parenthesized_expression] = STATE(4807),
    [sym_initializer_list] = STATE(6038),
    [sym_char_literal] = STATE(5842),
    [sym_concatenated_string] = STATE(5845),
    [sym_string_literal] = STATE(4864),
    [sym_null] = STATE(6001),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(8975),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(6001),
    [sym_raw_string_literal] = STATE(4865),
    [sym_co_await_expression] = STATE(6001),
    [sym_new_expression] = STATE(6001),
    [sym_delete_expression] = STATE(6001),
    [sym_requires_clause] = STATE(6001),
    [sym_requires_expression] = STATE(6001),
    [sym_lambda_expression] = STATE(6001),
    [sym_lambda_capture_specifier] = STATE(7123),
    [sym_fold_expression] = STATE(6001),
    [sym_parameter_pack_expansion] = STATE(6001),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6932),
    [sym_qualified_identifier] = STATE(4807),
    [sym_qualified_type_identifier] = STATE(8975),
    [sym_user_defined_literal] = STATE(4807),
    [sym_identifier] = ACTIONS(4532),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3918),
    [anon_sym_COMMA] = ACTIONS(3918),
    [anon_sym_LPAREN2] = ACTIONS(3918),
    [anon_sym_BANG] = ACTIONS(4259),
    [anon_sym_TILDE] = ACTIONS(4257),
    [anon_sym_DASH] = ACTIONS(3916),
    [anon_sym_PLUS] = ACTIONS(3916),
    [anon_sym_STAR] = ACTIONS(3918),
    [anon_sym_SLASH] = ACTIONS(3916),
    [anon_sym_PERCENT] = ACTIONS(3918),
    [anon_sym_PIPE_PIPE] = ACTIONS(3918),
    [anon_sym_AMP_AMP] = ACTIONS(3918),
    [anon_sym_PIPE] = ACTIONS(3916),
    [anon_sym_CARET] = ACTIONS(3918),
    [anon_sym_AMP] = ACTIONS(3916),
    [anon_sym_EQ_EQ] = ACTIONS(3918),
    [anon_sym_BANG_EQ] = ACTIONS(3918),
    [anon_sym_GT] = ACTIONS(3916),
    [anon_sym_GT_EQ] = ACTIONS(3916),
    [anon_sym_LT_EQ] = ACTIONS(3916),
    [anon_sym_LT] = ACTIONS(3916),
    [anon_sym_LT_LT] = ACTIONS(3918),
    [anon_sym_GT_GT] = ACTIONS(3916),
    [anon_sym_COLON_COLON] = ACTIONS(4263),
    [anon_sym_LBRACE] = ACTIONS(4534),
    [anon_sym_LBRACK] = ACTIONS(3918),
    [sym_primitive_type] = ACTIONS(4536),
    [anon_sym_QMARK] = ACTIONS(3918),
    [anon_sym_not] = ACTIONS(4259),
    [anon_sym_compl] = ACTIONS(4259),
    [anon_sym_LT_EQ_GT] = ACTIONS(3918),
    [anon_sym_or] = ACTIONS(3916),
    [anon_sym_and] = ACTIONS(3916),
    [anon_sym_bitor] = ACTIONS(3916),
    [anon_sym_xor] = ACTIONS(3916),
    [anon_sym_bitand] = ACTIONS(3916),
    [anon_sym_not_eq] = ACTIONS(3916),
    [anon_sym_DASH_DASH] = ACTIONS(3918),
    [anon_sym_PLUS_PLUS] = ACTIONS(3918),
    [anon_sym_sizeof] = ACTIONS(4279),
    [anon_sym___alignof__] = ACTIONS(4281),
    [anon_sym___alignof] = ACTIONS(4281),
    [anon_sym__alignof] = ACTIONS(4281),
    [anon_sym_alignof] = ACTIONS(4281),
    [anon_sym__Alignof] = ACTIONS(4281),
    [anon_sym_offsetof] = ACTIONS(4283),
    [anon_sym__Generic] = ACTIONS(4285),
    [anon_sym_asm] = ACTIONS(4287),
    [anon_sym___asm__] = ACTIONS(4287),
    [anon_sym_DOT] = ACTIONS(3916),
    [anon_sym_DOT_STAR] = ACTIONS(3918),
    [anon_sym_DASH_GT] = ACTIONS(3918),
    [sym_number_literal] = ACTIONS(4289),
    [anon_sym_L_SQUOTE] = ACTIONS(4291),
    [anon_sym_u_SQUOTE] = ACTIONS(4291),
    [anon_sym_U_SQUOTE] = ACTIONS(4291),
    [anon_sym_u8_SQUOTE] = ACTIONS(4291),
    [anon_sym_SQUOTE] = ACTIONS(4291),
    [anon_sym_L_DQUOTE] = ACTIONS(4293),
    [anon_sym_u_DQUOTE] = ACTIONS(4293),
    [anon_sym_U_DQUOTE] = ACTIONS(4293),
    [anon_sym_u8_DQUOTE] = ACTIONS(4293),
    [anon_sym_DQUOTE] = ACTIONS(4293),
    [sym_true] = ACTIONS(4295),
    [sym_false] = ACTIONS(4295),
    [anon_sym_NULL] = ACTIONS(4297),
    [anon_sym_nullptr] = ACTIONS(4297),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_GT2] = ACTIONS(3918),
    [anon_sym_delete] = ACTIONS(4307),
    [anon_sym_R_DQUOTE] = ACTIONS(4309),
    [anon_sym_LR_DQUOTE] = ACTIONS(4309),
    [anon_sym_uR_DQUOTE] = ACTIONS(4309),
    [anon_sym_UR_DQUOTE] = ACTIONS(4309),
    [anon_sym_u8R_DQUOTE] = ACTIONS(4309),
    [anon_sym_co_await] = ACTIONS(4311),
    [anon_sym_new] = ACTIONS(4313),
    [anon_sym_requires] = ACTIONS(4315),
    [sym_this] = ACTIONS(4295),
  },
  [1657] = {
    [sym__expression] = STATE(5898),
    [sym__expression_not_binary] = STATE(5024),
    [sym__string] = STATE(5024),
    [sym_conditional_expression] = STATE(5024),
    [sym_assignment_expression] = STATE(5024),
    [sym_pointer_expression] = STATE(4737),
    [sym_unary_expression] = STATE(5024),
    [sym_binary_expression] = STATE(5024),
    [sym_update_expression] = STATE(5024),
    [sym_cast_expression] = STATE(5024),
    [sym_sizeof_expression] = STATE(5024),
    [sym_alignof_expression] = STATE(5024),
    [sym_offsetof_expression] = STATE(5024),
    [sym_generic_expression] = STATE(5024),
    [sym_subscript_expression] = STATE(4737),
    [sym_call_expression] = STATE(4737),
    [sym_gnu_asm_expression] = STATE(5024),
    [sym_field_expression] = STATE(4737),
    [sym_compound_literal_expression] = STATE(5024),
    [sym_parenthesized_expression] = STATE(4737),
    [sym_char_literal] = STATE(5374),
    [sym_concatenated_string] = STATE(5377),
    [sym_string_literal] = STATE(4206),
    [sym_null] = STATE(5024),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9352),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(5024),
    [sym_raw_string_literal] = STATE(4217),
    [sym_co_await_expression] = STATE(5024),
    [sym_new_expression] = STATE(5024),
    [sym_delete_expression] = STATE(5024),
    [sym_requires_clause] = STATE(5024),
    [sym_requires_expression] = STATE(5024),
    [sym_lambda_expression] = STATE(5024),
    [sym_lambda_capture_specifier] = STATE(7184),
    [sym_fold_expression] = STATE(5024),
    [sym_parameter_pack_expansion] = STATE(5024),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6886),
    [sym_qualified_identifier] = STATE(4737),
    [sym_qualified_type_identifier] = STATE(9352),
    [sym_user_defined_literal] = STATE(4737),
    [sym_identifier] = ACTIONS(4502),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4538),
    [anon_sym_COMMA] = ACTIONS(4538),
    [anon_sym_LPAREN2] = ACTIONS(4540),
    [anon_sym_BANG] = ACTIONS(4504),
    [anon_sym_TILDE] = ACTIONS(4506),
    [anon_sym_DASH] = ACTIONS(4504),
    [anon_sym_PLUS] = ACTIONS(4504),
    [anon_sym_STAR] = ACTIONS(1474),
    [anon_sym_SLASH] = ACTIONS(4542),
    [anon_sym_PERCENT] = ACTIONS(4538),
    [anon_sym_PIPE_PIPE] = ACTIONS(4538),
    [anon_sym_AMP_AMP] = ACTIONS(4538),
    [anon_sym_PIPE] = ACTIONS(4542),
    [anon_sym_CARET] = ACTIONS(4538),
    [anon_sym_AMP] = ACTIONS(1478),
    [anon_sym_EQ_EQ] = ACTIONS(4538),
    [anon_sym_BANG_EQ] = ACTIONS(4538),
    [anon_sym_GT] = ACTIONS(4542),
    [anon_sym_GT_EQ] = ACTIONS(4538),
    [anon_sym_LT_EQ] = ACTIONS(4542),
    [anon_sym_LT] = ACTIONS(4542),
    [anon_sym_LT_LT] = ACTIONS(4538),
    [anon_sym_GT_GT] = ACTIONS(4538),
    [anon_sym_COLON_COLON] = ACTIONS(4508),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [anon_sym_RBRACK] = ACTIONS(4538),
    [sym_primitive_type] = ACTIONS(3146),
    [anon_sym_QMARK] = ACTIONS(4538),
    [anon_sym_not] = ACTIONS(4504),
    [anon_sym_compl] = ACTIONS(4504),
    [anon_sym_LT_EQ_GT] = ACTIONS(4538),
    [anon_sym_or] = ACTIONS(4542),
    [anon_sym_and] = ACTIONS(4542),
    [anon_sym_bitor] = ACTIONS(4542),
    [anon_sym_xor] = ACTIONS(4542),
    [anon_sym_bitand] = ACTIONS(4542),
    [anon_sym_not_eq] = ACTIONS(4542),
    [anon_sym_DASH_DASH] = ACTIONS(4544),
    [anon_sym_PLUS_PLUS] = ACTIONS(4544),
    [anon_sym_sizeof] = ACTIONS(4510),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [anon_sym_DOT] = ACTIONS(4542),
    [anon_sym_DOT_STAR] = ACTIONS(4538),
    [anon_sym_DASH_GT] = ACTIONS(4538),
    [sym_number_literal] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(4512),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(4514),
    [anon_sym_new] = ACTIONS(4516),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [1658] = {
    [sym_identifier] = ACTIONS(2216),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2218),
    [anon_sym_COMMA] = ACTIONS(2218),
    [anon_sym_RPAREN] = ACTIONS(2218),
    [anon_sym_LPAREN2] = ACTIONS(2218),
    [anon_sym_TILDE] = ACTIONS(2218),
    [anon_sym_DASH] = ACTIONS(2216),
    [anon_sym_PLUS] = ACTIONS(2216),
    [anon_sym_STAR] = ACTIONS(2216),
    [anon_sym_SLASH] = ACTIONS(2216),
    [anon_sym_PERCENT] = ACTIONS(2216),
    [anon_sym_PIPE_PIPE] = ACTIONS(2218),
    [anon_sym_AMP_AMP] = ACTIONS(2218),
    [anon_sym_PIPE] = ACTIONS(2216),
    [anon_sym_CARET] = ACTIONS(2216),
    [anon_sym_AMP] = ACTIONS(2216),
    [anon_sym_EQ_EQ] = ACTIONS(2218),
    [anon_sym_BANG_EQ] = ACTIONS(2218),
    [anon_sym_GT] = ACTIONS(2216),
    [anon_sym_GT_EQ] = ACTIONS(2218),
    [anon_sym_LT_EQ] = ACTIONS(2216),
    [anon_sym_LT] = ACTIONS(2216),
    [anon_sym_LT_LT] = ACTIONS(2216),
    [anon_sym_GT_GT] = ACTIONS(2216),
    [anon_sym_COLON] = ACTIONS(2216),
    [anon_sym_SEMI] = ACTIONS(2218),
    [anon_sym___extension__] = ACTIONS(2216),
    [anon_sym_in] = ACTIONS(2216),
    [anon_sym_out] = ACTIONS(2216),
    [anon_sym_inout] = ACTIONS(2216),
    [anon_sym_extern] = ACTIONS(2216),
    [anon_sym___attribute__] = ACTIONS(2216),
    [anon_sym_COLON_COLON] = ACTIONS(2218),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2218),
    [anon_sym___declspec] = ACTIONS(2216),
    [anon_sym___based] = ACTIONS(2216),
    [anon_sym___cdecl] = ACTIONS(2216),
    [anon_sym___clrcall] = ACTIONS(2216),
    [anon_sym___stdcall] = ACTIONS(2216),
    [anon_sym___fastcall] = ACTIONS(2216),
    [anon_sym___thiscall] = ACTIONS(2216),
    [anon_sym___vectorcall] = ACTIONS(2216),
    [anon_sym_LBRACE] = ACTIONS(2218),
    [anon_sym_RBRACE] = ACTIONS(2218),
    [anon_sym_LBRACK] = ACTIONS(2216),
    [anon_sym_EQ] = ACTIONS(2216),
    [anon_sym_static] = ACTIONS(2216),
    [anon_sym_register] = ACTIONS(2216),
    [anon_sym_inline] = ACTIONS(2216),
    [anon_sym___inline] = ACTIONS(2216),
    [anon_sym___inline__] = ACTIONS(2216),
    [anon_sym___forceinline] = ACTIONS(2216),
    [anon_sym_thread_local] = ACTIONS(2216),
    [anon_sym___thread] = ACTIONS(2216),
    [anon_sym_const] = ACTIONS(2216),
    [anon_sym_constexpr] = ACTIONS(2216),
    [anon_sym_volatile] = ACTIONS(2216),
    [anon_sym_restrict] = ACTIONS(2216),
    [anon_sym___restrict__] = ACTIONS(2216),
    [anon_sym__Atomic] = ACTIONS(2216),
    [anon_sym__Noreturn] = ACTIONS(2216),
    [anon_sym_noreturn] = ACTIONS(2216),
    [anon_sym_mutable] = ACTIONS(2216),
    [anon_sym_constinit] = ACTIONS(2216),
    [anon_sym_consteval] = ACTIONS(2216),
    [anon_sym_QMARK] = ACTIONS(2218),
    [anon_sym_STAR_EQ] = ACTIONS(2218),
    [anon_sym_SLASH_EQ] = ACTIONS(2218),
    [anon_sym_PERCENT_EQ] = ACTIONS(2218),
    [anon_sym_PLUS_EQ] = ACTIONS(2218),
    [anon_sym_DASH_EQ] = ACTIONS(2218),
    [anon_sym_LT_LT_EQ] = ACTIONS(2218),
    [anon_sym_GT_GT_EQ] = ACTIONS(2218),
    [anon_sym_AMP_EQ] = ACTIONS(2218),
    [anon_sym_CARET_EQ] = ACTIONS(2218),
    [anon_sym_PIPE_EQ] = ACTIONS(2218),
    [anon_sym_and_eq] = ACTIONS(2216),
    [anon_sym_or_eq] = ACTIONS(2216),
    [anon_sym_xor_eq] = ACTIONS(2216),
    [anon_sym_LT_EQ_GT] = ACTIONS(2218),
    [anon_sym_or] = ACTIONS(2216),
    [anon_sym_and] = ACTIONS(2216),
    [anon_sym_bitor] = ACTIONS(2216),
    [anon_sym_xor] = ACTIONS(2216),
    [anon_sym_bitand] = ACTIONS(2216),
    [anon_sym_not_eq] = ACTIONS(2216),
    [anon_sym_DASH_DASH] = ACTIONS(2218),
    [anon_sym_PLUS_PLUS] = ACTIONS(2218),
    [anon_sym_DOT] = ACTIONS(2216),
    [anon_sym_DOT_STAR] = ACTIONS(2218),
    [anon_sym_DASH_GT] = ACTIONS(2218),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2216),
    [anon_sym_decltype] = ACTIONS(2216),
    [anon_sym_virtual] = ACTIONS(2216),
    [anon_sym_alignas] = ACTIONS(2216),
    [anon_sym_template] = ACTIONS(2216),
    [anon_sym_operator] = ACTIONS(2216),
    [anon_sym_precise] = ACTIONS(2216),
    [anon_sym_shared] = ACTIONS(2216),
    [anon_sym_groupshared] = ACTIONS(2216),
    [anon_sym_uniform] = ACTIONS(2216),
    [anon_sym_row_major] = ACTIONS(2216),
    [anon_sym_column_major] = ACTIONS(2216),
    [anon_sym_globallycoherent] = ACTIONS(2216),
    [anon_sym_centroid] = ACTIONS(2216),
    [anon_sym_noperspective] = ACTIONS(2216),
    [anon_sym_nointerpolation] = ACTIONS(2216),
    [anon_sym_sample] = ACTIONS(2216),
    [anon_sym_linear] = ACTIONS(2216),
    [anon_sym_snorm] = ACTIONS(2216),
    [anon_sym_unorm] = ACTIONS(2216),
    [anon_sym_point] = ACTIONS(2216),
    [anon_sym_line] = ACTIONS(2216),
    [anon_sym_triangleadj] = ACTIONS(2216),
    [anon_sym_lineadj] = ACTIONS(2216),
    [anon_sym_triangle] = ACTIONS(2216),
  },
  [1659] = {
    [sym_identifier] = ACTIONS(2212),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2214),
    [anon_sym_COMMA] = ACTIONS(2214),
    [anon_sym_RPAREN] = ACTIONS(2214),
    [anon_sym_LPAREN2] = ACTIONS(2214),
    [anon_sym_TILDE] = ACTIONS(2214),
    [anon_sym_DASH] = ACTIONS(2212),
    [anon_sym_PLUS] = ACTIONS(2212),
    [anon_sym_STAR] = ACTIONS(2212),
    [anon_sym_SLASH] = ACTIONS(2212),
    [anon_sym_PERCENT] = ACTIONS(2212),
    [anon_sym_PIPE_PIPE] = ACTIONS(2214),
    [anon_sym_AMP_AMP] = ACTIONS(2214),
    [anon_sym_PIPE] = ACTIONS(2212),
    [anon_sym_CARET] = ACTIONS(2212),
    [anon_sym_AMP] = ACTIONS(2212),
    [anon_sym_EQ_EQ] = ACTIONS(2214),
    [anon_sym_BANG_EQ] = ACTIONS(2214),
    [anon_sym_GT] = ACTIONS(2212),
    [anon_sym_GT_EQ] = ACTIONS(2214),
    [anon_sym_LT_EQ] = ACTIONS(2212),
    [anon_sym_LT] = ACTIONS(2212),
    [anon_sym_LT_LT] = ACTIONS(2212),
    [anon_sym_GT_GT] = ACTIONS(2212),
    [anon_sym_COLON] = ACTIONS(2212),
    [anon_sym_SEMI] = ACTIONS(2214),
    [anon_sym___extension__] = ACTIONS(2212),
    [anon_sym_in] = ACTIONS(2212),
    [anon_sym_out] = ACTIONS(2212),
    [anon_sym_inout] = ACTIONS(2212),
    [anon_sym_extern] = ACTIONS(2212),
    [anon_sym___attribute__] = ACTIONS(2212),
    [anon_sym_COLON_COLON] = ACTIONS(2214),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2214),
    [anon_sym___declspec] = ACTIONS(2212),
    [anon_sym___based] = ACTIONS(2212),
    [anon_sym___cdecl] = ACTIONS(2212),
    [anon_sym___clrcall] = ACTIONS(2212),
    [anon_sym___stdcall] = ACTIONS(2212),
    [anon_sym___fastcall] = ACTIONS(2212),
    [anon_sym___thiscall] = ACTIONS(2212),
    [anon_sym___vectorcall] = ACTIONS(2212),
    [anon_sym_LBRACE] = ACTIONS(2214),
    [anon_sym_RBRACE] = ACTIONS(2214),
    [anon_sym_LBRACK] = ACTIONS(2212),
    [anon_sym_EQ] = ACTIONS(2212),
    [anon_sym_static] = ACTIONS(2212),
    [anon_sym_register] = ACTIONS(2212),
    [anon_sym_inline] = ACTIONS(2212),
    [anon_sym___inline] = ACTIONS(2212),
    [anon_sym___inline__] = ACTIONS(2212),
    [anon_sym___forceinline] = ACTIONS(2212),
    [anon_sym_thread_local] = ACTIONS(2212),
    [anon_sym___thread] = ACTIONS(2212),
    [anon_sym_const] = ACTIONS(2212),
    [anon_sym_constexpr] = ACTIONS(2212),
    [anon_sym_volatile] = ACTIONS(2212),
    [anon_sym_restrict] = ACTIONS(2212),
    [anon_sym___restrict__] = ACTIONS(2212),
    [anon_sym__Atomic] = ACTIONS(2212),
    [anon_sym__Noreturn] = ACTIONS(2212),
    [anon_sym_noreturn] = ACTIONS(2212),
    [anon_sym_mutable] = ACTIONS(2212),
    [anon_sym_constinit] = ACTIONS(2212),
    [anon_sym_consteval] = ACTIONS(2212),
    [anon_sym_QMARK] = ACTIONS(2214),
    [anon_sym_STAR_EQ] = ACTIONS(2214),
    [anon_sym_SLASH_EQ] = ACTIONS(2214),
    [anon_sym_PERCENT_EQ] = ACTIONS(2214),
    [anon_sym_PLUS_EQ] = ACTIONS(2214),
    [anon_sym_DASH_EQ] = ACTIONS(2214),
    [anon_sym_LT_LT_EQ] = ACTIONS(2214),
    [anon_sym_GT_GT_EQ] = ACTIONS(2214),
    [anon_sym_AMP_EQ] = ACTIONS(2214),
    [anon_sym_CARET_EQ] = ACTIONS(2214),
    [anon_sym_PIPE_EQ] = ACTIONS(2214),
    [anon_sym_and_eq] = ACTIONS(2212),
    [anon_sym_or_eq] = ACTIONS(2212),
    [anon_sym_xor_eq] = ACTIONS(2212),
    [anon_sym_LT_EQ_GT] = ACTIONS(2214),
    [anon_sym_or] = ACTIONS(2212),
    [anon_sym_and] = ACTIONS(2212),
    [anon_sym_bitor] = ACTIONS(2212),
    [anon_sym_xor] = ACTIONS(2212),
    [anon_sym_bitand] = ACTIONS(2212),
    [anon_sym_not_eq] = ACTIONS(2212),
    [anon_sym_DASH_DASH] = ACTIONS(2214),
    [anon_sym_PLUS_PLUS] = ACTIONS(2214),
    [anon_sym_DOT] = ACTIONS(2212),
    [anon_sym_DOT_STAR] = ACTIONS(2214),
    [anon_sym_DASH_GT] = ACTIONS(2214),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2212),
    [anon_sym_decltype] = ACTIONS(2212),
    [anon_sym_virtual] = ACTIONS(2212),
    [anon_sym_alignas] = ACTIONS(2212),
    [anon_sym_template] = ACTIONS(2212),
    [anon_sym_operator] = ACTIONS(2212),
    [anon_sym_precise] = ACTIONS(2212),
    [anon_sym_shared] = ACTIONS(2212),
    [anon_sym_groupshared] = ACTIONS(2212),
    [anon_sym_uniform] = ACTIONS(2212),
    [anon_sym_row_major] = ACTIONS(2212),
    [anon_sym_column_major] = ACTIONS(2212),
    [anon_sym_globallycoherent] = ACTIONS(2212),
    [anon_sym_centroid] = ACTIONS(2212),
    [anon_sym_noperspective] = ACTIONS(2212),
    [anon_sym_nointerpolation] = ACTIONS(2212),
    [anon_sym_sample] = ACTIONS(2212),
    [anon_sym_linear] = ACTIONS(2212),
    [anon_sym_snorm] = ACTIONS(2212),
    [anon_sym_unorm] = ACTIONS(2212),
    [anon_sym_point] = ACTIONS(2212),
    [anon_sym_line] = ACTIONS(2212),
    [anon_sym_triangleadj] = ACTIONS(2212),
    [anon_sym_lineadj] = ACTIONS(2212),
    [anon_sym_triangle] = ACTIONS(2212),
  },
  [1660] = {
    [sym_identifier] = ACTIONS(2200),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2202),
    [anon_sym_COMMA] = ACTIONS(2202),
    [anon_sym_RPAREN] = ACTIONS(2202),
    [anon_sym_LPAREN2] = ACTIONS(2202),
    [anon_sym_TILDE] = ACTIONS(2202),
    [anon_sym_DASH] = ACTIONS(2200),
    [anon_sym_PLUS] = ACTIONS(2200),
    [anon_sym_STAR] = ACTIONS(2200),
    [anon_sym_SLASH] = ACTIONS(2200),
    [anon_sym_PERCENT] = ACTIONS(2200),
    [anon_sym_PIPE_PIPE] = ACTIONS(2202),
    [anon_sym_AMP_AMP] = ACTIONS(2202),
    [anon_sym_PIPE] = ACTIONS(2200),
    [anon_sym_CARET] = ACTIONS(2200),
    [anon_sym_AMP] = ACTIONS(2200),
    [anon_sym_EQ_EQ] = ACTIONS(2202),
    [anon_sym_BANG_EQ] = ACTIONS(2202),
    [anon_sym_GT] = ACTIONS(2200),
    [anon_sym_GT_EQ] = ACTIONS(2202),
    [anon_sym_LT_EQ] = ACTIONS(2200),
    [anon_sym_LT] = ACTIONS(2200),
    [anon_sym_LT_LT] = ACTIONS(2200),
    [anon_sym_GT_GT] = ACTIONS(2200),
    [anon_sym_COLON] = ACTIONS(2200),
    [anon_sym_SEMI] = ACTIONS(2202),
    [anon_sym___extension__] = ACTIONS(2200),
    [anon_sym_in] = ACTIONS(2200),
    [anon_sym_out] = ACTIONS(2200),
    [anon_sym_inout] = ACTIONS(2200),
    [anon_sym_extern] = ACTIONS(2200),
    [anon_sym___attribute__] = ACTIONS(2200),
    [anon_sym_COLON_COLON] = ACTIONS(2202),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2202),
    [anon_sym___declspec] = ACTIONS(2200),
    [anon_sym___based] = ACTIONS(2200),
    [anon_sym___cdecl] = ACTIONS(2200),
    [anon_sym___clrcall] = ACTIONS(2200),
    [anon_sym___stdcall] = ACTIONS(2200),
    [anon_sym___fastcall] = ACTIONS(2200),
    [anon_sym___thiscall] = ACTIONS(2200),
    [anon_sym___vectorcall] = ACTIONS(2200),
    [anon_sym_LBRACE] = ACTIONS(2202),
    [anon_sym_RBRACE] = ACTIONS(2202),
    [anon_sym_LBRACK] = ACTIONS(2200),
    [anon_sym_EQ] = ACTIONS(2200),
    [anon_sym_static] = ACTIONS(2200),
    [anon_sym_register] = ACTIONS(2200),
    [anon_sym_inline] = ACTIONS(2200),
    [anon_sym___inline] = ACTIONS(2200),
    [anon_sym___inline__] = ACTIONS(2200),
    [anon_sym___forceinline] = ACTIONS(2200),
    [anon_sym_thread_local] = ACTIONS(2200),
    [anon_sym___thread] = ACTIONS(2200),
    [anon_sym_const] = ACTIONS(2200),
    [anon_sym_constexpr] = ACTIONS(2200),
    [anon_sym_volatile] = ACTIONS(2200),
    [anon_sym_restrict] = ACTIONS(2200),
    [anon_sym___restrict__] = ACTIONS(2200),
    [anon_sym__Atomic] = ACTIONS(2200),
    [anon_sym__Noreturn] = ACTIONS(2200),
    [anon_sym_noreturn] = ACTIONS(2200),
    [anon_sym_mutable] = ACTIONS(2200),
    [anon_sym_constinit] = ACTIONS(2200),
    [anon_sym_consteval] = ACTIONS(2200),
    [anon_sym_QMARK] = ACTIONS(2202),
    [anon_sym_STAR_EQ] = ACTIONS(2202),
    [anon_sym_SLASH_EQ] = ACTIONS(2202),
    [anon_sym_PERCENT_EQ] = ACTIONS(2202),
    [anon_sym_PLUS_EQ] = ACTIONS(2202),
    [anon_sym_DASH_EQ] = ACTIONS(2202),
    [anon_sym_LT_LT_EQ] = ACTIONS(2202),
    [anon_sym_GT_GT_EQ] = ACTIONS(2202),
    [anon_sym_AMP_EQ] = ACTIONS(2202),
    [anon_sym_CARET_EQ] = ACTIONS(2202),
    [anon_sym_PIPE_EQ] = ACTIONS(2202),
    [anon_sym_and_eq] = ACTIONS(2200),
    [anon_sym_or_eq] = ACTIONS(2200),
    [anon_sym_xor_eq] = ACTIONS(2200),
    [anon_sym_LT_EQ_GT] = ACTIONS(2202),
    [anon_sym_or] = ACTIONS(2200),
    [anon_sym_and] = ACTIONS(2200),
    [anon_sym_bitor] = ACTIONS(2200),
    [anon_sym_xor] = ACTIONS(2200),
    [anon_sym_bitand] = ACTIONS(2200),
    [anon_sym_not_eq] = ACTIONS(2200),
    [anon_sym_DASH_DASH] = ACTIONS(2202),
    [anon_sym_PLUS_PLUS] = ACTIONS(2202),
    [anon_sym_DOT] = ACTIONS(2200),
    [anon_sym_DOT_STAR] = ACTIONS(2202),
    [anon_sym_DASH_GT] = ACTIONS(2202),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2200),
    [anon_sym_decltype] = ACTIONS(2200),
    [anon_sym_virtual] = ACTIONS(2200),
    [anon_sym_alignas] = ACTIONS(2200),
    [anon_sym_template] = ACTIONS(2200),
    [anon_sym_operator] = ACTIONS(2200),
    [anon_sym_precise] = ACTIONS(2200),
    [anon_sym_shared] = ACTIONS(2200),
    [anon_sym_groupshared] = ACTIONS(2200),
    [anon_sym_uniform] = ACTIONS(2200),
    [anon_sym_row_major] = ACTIONS(2200),
    [anon_sym_column_major] = ACTIONS(2200),
    [anon_sym_globallycoherent] = ACTIONS(2200),
    [anon_sym_centroid] = ACTIONS(2200),
    [anon_sym_noperspective] = ACTIONS(2200),
    [anon_sym_nointerpolation] = ACTIONS(2200),
    [anon_sym_sample] = ACTIONS(2200),
    [anon_sym_linear] = ACTIONS(2200),
    [anon_sym_snorm] = ACTIONS(2200),
    [anon_sym_unorm] = ACTIONS(2200),
    [anon_sym_point] = ACTIONS(2200),
    [anon_sym_line] = ACTIONS(2200),
    [anon_sym_triangleadj] = ACTIONS(2200),
    [anon_sym_lineadj] = ACTIONS(2200),
    [anon_sym_triangle] = ACTIONS(2200),
  },
  [1661] = {
    [sym_identifier] = ACTIONS(2208),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2210),
    [anon_sym_COMMA] = ACTIONS(2210),
    [anon_sym_RPAREN] = ACTIONS(2210),
    [anon_sym_LPAREN2] = ACTIONS(2210),
    [anon_sym_TILDE] = ACTIONS(2210),
    [anon_sym_DASH] = ACTIONS(2208),
    [anon_sym_PLUS] = ACTIONS(2208),
    [anon_sym_STAR] = ACTIONS(2208),
    [anon_sym_SLASH] = ACTIONS(2208),
    [anon_sym_PERCENT] = ACTIONS(2208),
    [anon_sym_PIPE_PIPE] = ACTIONS(2210),
    [anon_sym_AMP_AMP] = ACTIONS(2210),
    [anon_sym_PIPE] = ACTIONS(2208),
    [anon_sym_CARET] = ACTIONS(2208),
    [anon_sym_AMP] = ACTIONS(2208),
    [anon_sym_EQ_EQ] = ACTIONS(2210),
    [anon_sym_BANG_EQ] = ACTIONS(2210),
    [anon_sym_GT] = ACTIONS(2208),
    [anon_sym_GT_EQ] = ACTIONS(2210),
    [anon_sym_LT_EQ] = ACTIONS(2208),
    [anon_sym_LT] = ACTIONS(2208),
    [anon_sym_LT_LT] = ACTIONS(2208),
    [anon_sym_GT_GT] = ACTIONS(2208),
    [anon_sym_COLON] = ACTIONS(2208),
    [anon_sym_SEMI] = ACTIONS(2210),
    [anon_sym___extension__] = ACTIONS(2208),
    [anon_sym_in] = ACTIONS(2208),
    [anon_sym_out] = ACTIONS(2208),
    [anon_sym_inout] = ACTIONS(2208),
    [anon_sym_extern] = ACTIONS(2208),
    [anon_sym___attribute__] = ACTIONS(2208),
    [anon_sym_COLON_COLON] = ACTIONS(2210),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2210),
    [anon_sym___declspec] = ACTIONS(2208),
    [anon_sym___based] = ACTIONS(2208),
    [anon_sym___cdecl] = ACTIONS(2208),
    [anon_sym___clrcall] = ACTIONS(2208),
    [anon_sym___stdcall] = ACTIONS(2208),
    [anon_sym___fastcall] = ACTIONS(2208),
    [anon_sym___thiscall] = ACTIONS(2208),
    [anon_sym___vectorcall] = ACTIONS(2208),
    [anon_sym_LBRACE] = ACTIONS(2210),
    [anon_sym_RBRACE] = ACTIONS(2210),
    [anon_sym_LBRACK] = ACTIONS(2208),
    [anon_sym_EQ] = ACTIONS(2208),
    [anon_sym_static] = ACTIONS(2208),
    [anon_sym_register] = ACTIONS(2208),
    [anon_sym_inline] = ACTIONS(2208),
    [anon_sym___inline] = ACTIONS(2208),
    [anon_sym___inline__] = ACTIONS(2208),
    [anon_sym___forceinline] = ACTIONS(2208),
    [anon_sym_thread_local] = ACTIONS(2208),
    [anon_sym___thread] = ACTIONS(2208),
    [anon_sym_const] = ACTIONS(2208),
    [anon_sym_constexpr] = ACTIONS(2208),
    [anon_sym_volatile] = ACTIONS(2208),
    [anon_sym_restrict] = ACTIONS(2208),
    [anon_sym___restrict__] = ACTIONS(2208),
    [anon_sym__Atomic] = ACTIONS(2208),
    [anon_sym__Noreturn] = ACTIONS(2208),
    [anon_sym_noreturn] = ACTIONS(2208),
    [anon_sym_mutable] = ACTIONS(2208),
    [anon_sym_constinit] = ACTIONS(2208),
    [anon_sym_consteval] = ACTIONS(2208),
    [anon_sym_QMARK] = ACTIONS(2210),
    [anon_sym_STAR_EQ] = ACTIONS(2210),
    [anon_sym_SLASH_EQ] = ACTIONS(2210),
    [anon_sym_PERCENT_EQ] = ACTIONS(2210),
    [anon_sym_PLUS_EQ] = ACTIONS(2210),
    [anon_sym_DASH_EQ] = ACTIONS(2210),
    [anon_sym_LT_LT_EQ] = ACTIONS(2210),
    [anon_sym_GT_GT_EQ] = ACTIONS(2210),
    [anon_sym_AMP_EQ] = ACTIONS(2210),
    [anon_sym_CARET_EQ] = ACTIONS(2210),
    [anon_sym_PIPE_EQ] = ACTIONS(2210),
    [anon_sym_and_eq] = ACTIONS(2208),
    [anon_sym_or_eq] = ACTIONS(2208),
    [anon_sym_xor_eq] = ACTIONS(2208),
    [anon_sym_LT_EQ_GT] = ACTIONS(2210),
    [anon_sym_or] = ACTIONS(2208),
    [anon_sym_and] = ACTIONS(2208),
    [anon_sym_bitor] = ACTIONS(2208),
    [anon_sym_xor] = ACTIONS(2208),
    [anon_sym_bitand] = ACTIONS(2208),
    [anon_sym_not_eq] = ACTIONS(2208),
    [anon_sym_DASH_DASH] = ACTIONS(2210),
    [anon_sym_PLUS_PLUS] = ACTIONS(2210),
    [anon_sym_DOT] = ACTIONS(2208),
    [anon_sym_DOT_STAR] = ACTIONS(2210),
    [anon_sym_DASH_GT] = ACTIONS(2210),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2208),
    [anon_sym_decltype] = ACTIONS(2208),
    [anon_sym_virtual] = ACTIONS(2208),
    [anon_sym_alignas] = ACTIONS(2208),
    [anon_sym_template] = ACTIONS(2208),
    [anon_sym_operator] = ACTIONS(2208),
    [anon_sym_precise] = ACTIONS(2208),
    [anon_sym_shared] = ACTIONS(2208),
    [anon_sym_groupshared] = ACTIONS(2208),
    [anon_sym_uniform] = ACTIONS(2208),
    [anon_sym_row_major] = ACTIONS(2208),
    [anon_sym_column_major] = ACTIONS(2208),
    [anon_sym_globallycoherent] = ACTIONS(2208),
    [anon_sym_centroid] = ACTIONS(2208),
    [anon_sym_noperspective] = ACTIONS(2208),
    [anon_sym_nointerpolation] = ACTIONS(2208),
    [anon_sym_sample] = ACTIONS(2208),
    [anon_sym_linear] = ACTIONS(2208),
    [anon_sym_snorm] = ACTIONS(2208),
    [anon_sym_unorm] = ACTIONS(2208),
    [anon_sym_point] = ACTIONS(2208),
    [anon_sym_line] = ACTIONS(2208),
    [anon_sym_triangleadj] = ACTIONS(2208),
    [anon_sym_lineadj] = ACTIONS(2208),
    [anon_sym_triangle] = ACTIONS(2208),
  },
  [1662] = {
    [sym_identifier] = ACTIONS(2182),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2184),
    [anon_sym_COMMA] = ACTIONS(2184),
    [anon_sym_RPAREN] = ACTIONS(2184),
    [anon_sym_LPAREN2] = ACTIONS(2184),
    [anon_sym_TILDE] = ACTIONS(2184),
    [anon_sym_DASH] = ACTIONS(2182),
    [anon_sym_PLUS] = ACTIONS(2182),
    [anon_sym_STAR] = ACTIONS(2182),
    [anon_sym_SLASH] = ACTIONS(2182),
    [anon_sym_PERCENT] = ACTIONS(2182),
    [anon_sym_PIPE_PIPE] = ACTIONS(2184),
    [anon_sym_AMP_AMP] = ACTIONS(2184),
    [anon_sym_PIPE] = ACTIONS(2182),
    [anon_sym_CARET] = ACTIONS(2182),
    [anon_sym_AMP] = ACTIONS(2182),
    [anon_sym_EQ_EQ] = ACTIONS(2184),
    [anon_sym_BANG_EQ] = ACTIONS(2184),
    [anon_sym_GT] = ACTIONS(2182),
    [anon_sym_GT_EQ] = ACTIONS(2184),
    [anon_sym_LT_EQ] = ACTIONS(2182),
    [anon_sym_LT] = ACTIONS(2182),
    [anon_sym_LT_LT] = ACTIONS(2182),
    [anon_sym_GT_GT] = ACTIONS(2182),
    [anon_sym_COLON] = ACTIONS(2182),
    [anon_sym_SEMI] = ACTIONS(2184),
    [anon_sym___extension__] = ACTIONS(2182),
    [anon_sym_in] = ACTIONS(2182),
    [anon_sym_out] = ACTIONS(2182),
    [anon_sym_inout] = ACTIONS(2182),
    [anon_sym_extern] = ACTIONS(2182),
    [anon_sym___attribute__] = ACTIONS(2182),
    [anon_sym_COLON_COLON] = ACTIONS(2184),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2184),
    [anon_sym___declspec] = ACTIONS(2182),
    [anon_sym___based] = ACTIONS(2182),
    [anon_sym___cdecl] = ACTIONS(2182),
    [anon_sym___clrcall] = ACTIONS(2182),
    [anon_sym___stdcall] = ACTIONS(2182),
    [anon_sym___fastcall] = ACTIONS(2182),
    [anon_sym___thiscall] = ACTIONS(2182),
    [anon_sym___vectorcall] = ACTIONS(2182),
    [anon_sym_LBRACE] = ACTIONS(2184),
    [anon_sym_RBRACE] = ACTIONS(2184),
    [anon_sym_LBRACK] = ACTIONS(2182),
    [anon_sym_EQ] = ACTIONS(2182),
    [anon_sym_static] = ACTIONS(2182),
    [anon_sym_register] = ACTIONS(2182),
    [anon_sym_inline] = ACTIONS(2182),
    [anon_sym___inline] = ACTIONS(2182),
    [anon_sym___inline__] = ACTIONS(2182),
    [anon_sym___forceinline] = ACTIONS(2182),
    [anon_sym_thread_local] = ACTIONS(2182),
    [anon_sym___thread] = ACTIONS(2182),
    [anon_sym_const] = ACTIONS(2182),
    [anon_sym_constexpr] = ACTIONS(2182),
    [anon_sym_volatile] = ACTIONS(2182),
    [anon_sym_restrict] = ACTIONS(2182),
    [anon_sym___restrict__] = ACTIONS(2182),
    [anon_sym__Atomic] = ACTIONS(2182),
    [anon_sym__Noreturn] = ACTIONS(2182),
    [anon_sym_noreturn] = ACTIONS(2182),
    [anon_sym_mutable] = ACTIONS(2182),
    [anon_sym_constinit] = ACTIONS(2182),
    [anon_sym_consteval] = ACTIONS(2182),
    [anon_sym_QMARK] = ACTIONS(2184),
    [anon_sym_STAR_EQ] = ACTIONS(2184),
    [anon_sym_SLASH_EQ] = ACTIONS(2184),
    [anon_sym_PERCENT_EQ] = ACTIONS(2184),
    [anon_sym_PLUS_EQ] = ACTIONS(2184),
    [anon_sym_DASH_EQ] = ACTIONS(2184),
    [anon_sym_LT_LT_EQ] = ACTIONS(2184),
    [anon_sym_GT_GT_EQ] = ACTIONS(2184),
    [anon_sym_AMP_EQ] = ACTIONS(2184),
    [anon_sym_CARET_EQ] = ACTIONS(2184),
    [anon_sym_PIPE_EQ] = ACTIONS(2184),
    [anon_sym_and_eq] = ACTIONS(2182),
    [anon_sym_or_eq] = ACTIONS(2182),
    [anon_sym_xor_eq] = ACTIONS(2182),
    [anon_sym_LT_EQ_GT] = ACTIONS(2184),
    [anon_sym_or] = ACTIONS(2182),
    [anon_sym_and] = ACTIONS(2182),
    [anon_sym_bitor] = ACTIONS(2182),
    [anon_sym_xor] = ACTIONS(2182),
    [anon_sym_bitand] = ACTIONS(2182),
    [anon_sym_not_eq] = ACTIONS(2182),
    [anon_sym_DASH_DASH] = ACTIONS(2184),
    [anon_sym_PLUS_PLUS] = ACTIONS(2184),
    [anon_sym_DOT] = ACTIONS(2182),
    [anon_sym_DOT_STAR] = ACTIONS(2184),
    [anon_sym_DASH_GT] = ACTIONS(2184),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2182),
    [anon_sym_decltype] = ACTIONS(2182),
    [anon_sym_virtual] = ACTIONS(2182),
    [anon_sym_alignas] = ACTIONS(2182),
    [anon_sym_template] = ACTIONS(2182),
    [anon_sym_operator] = ACTIONS(2182),
    [anon_sym_precise] = ACTIONS(2182),
    [anon_sym_shared] = ACTIONS(2182),
    [anon_sym_groupshared] = ACTIONS(2182),
    [anon_sym_uniform] = ACTIONS(2182),
    [anon_sym_row_major] = ACTIONS(2182),
    [anon_sym_column_major] = ACTIONS(2182),
    [anon_sym_globallycoherent] = ACTIONS(2182),
    [anon_sym_centroid] = ACTIONS(2182),
    [anon_sym_noperspective] = ACTIONS(2182),
    [anon_sym_nointerpolation] = ACTIONS(2182),
    [anon_sym_sample] = ACTIONS(2182),
    [anon_sym_linear] = ACTIONS(2182),
    [anon_sym_snorm] = ACTIONS(2182),
    [anon_sym_unorm] = ACTIONS(2182),
    [anon_sym_point] = ACTIONS(2182),
    [anon_sym_line] = ACTIONS(2182),
    [anon_sym_triangleadj] = ACTIONS(2182),
    [anon_sym_lineadj] = ACTIONS(2182),
    [anon_sym_triangle] = ACTIONS(2182),
  },
  [1663] = {
    [sym_identifier] = ACTIONS(2186),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2188),
    [anon_sym_COMMA] = ACTIONS(2188),
    [anon_sym_RPAREN] = ACTIONS(2188),
    [anon_sym_LPAREN2] = ACTIONS(2188),
    [anon_sym_TILDE] = ACTIONS(2188),
    [anon_sym_DASH] = ACTIONS(2186),
    [anon_sym_PLUS] = ACTIONS(2186),
    [anon_sym_STAR] = ACTIONS(2186),
    [anon_sym_SLASH] = ACTIONS(2186),
    [anon_sym_PERCENT] = ACTIONS(2186),
    [anon_sym_PIPE_PIPE] = ACTIONS(2188),
    [anon_sym_AMP_AMP] = ACTIONS(2188),
    [anon_sym_PIPE] = ACTIONS(2186),
    [anon_sym_CARET] = ACTIONS(2186),
    [anon_sym_AMP] = ACTIONS(2186),
    [anon_sym_EQ_EQ] = ACTIONS(2188),
    [anon_sym_BANG_EQ] = ACTIONS(2188),
    [anon_sym_GT] = ACTIONS(2186),
    [anon_sym_GT_EQ] = ACTIONS(2188),
    [anon_sym_LT_EQ] = ACTIONS(2186),
    [anon_sym_LT] = ACTIONS(2186),
    [anon_sym_LT_LT] = ACTIONS(2186),
    [anon_sym_GT_GT] = ACTIONS(2186),
    [anon_sym_COLON] = ACTIONS(2186),
    [anon_sym_SEMI] = ACTIONS(2188),
    [anon_sym___extension__] = ACTIONS(2186),
    [anon_sym_in] = ACTIONS(2186),
    [anon_sym_out] = ACTIONS(2186),
    [anon_sym_inout] = ACTIONS(2186),
    [anon_sym_extern] = ACTIONS(2186),
    [anon_sym___attribute__] = ACTIONS(2186),
    [anon_sym_COLON_COLON] = ACTIONS(2188),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2188),
    [anon_sym___declspec] = ACTIONS(2186),
    [anon_sym___based] = ACTIONS(2186),
    [anon_sym___cdecl] = ACTIONS(2186),
    [anon_sym___clrcall] = ACTIONS(2186),
    [anon_sym___stdcall] = ACTIONS(2186),
    [anon_sym___fastcall] = ACTIONS(2186),
    [anon_sym___thiscall] = ACTIONS(2186),
    [anon_sym___vectorcall] = ACTIONS(2186),
    [anon_sym_LBRACE] = ACTIONS(2188),
    [anon_sym_RBRACE] = ACTIONS(2188),
    [anon_sym_LBRACK] = ACTIONS(2186),
    [anon_sym_EQ] = ACTIONS(2186),
    [anon_sym_static] = ACTIONS(2186),
    [anon_sym_register] = ACTIONS(2186),
    [anon_sym_inline] = ACTIONS(2186),
    [anon_sym___inline] = ACTIONS(2186),
    [anon_sym___inline__] = ACTIONS(2186),
    [anon_sym___forceinline] = ACTIONS(2186),
    [anon_sym_thread_local] = ACTIONS(2186),
    [anon_sym___thread] = ACTIONS(2186),
    [anon_sym_const] = ACTIONS(2186),
    [anon_sym_constexpr] = ACTIONS(2186),
    [anon_sym_volatile] = ACTIONS(2186),
    [anon_sym_restrict] = ACTIONS(2186),
    [anon_sym___restrict__] = ACTIONS(2186),
    [anon_sym__Atomic] = ACTIONS(2186),
    [anon_sym__Noreturn] = ACTIONS(2186),
    [anon_sym_noreturn] = ACTIONS(2186),
    [anon_sym_mutable] = ACTIONS(2186),
    [anon_sym_constinit] = ACTIONS(2186),
    [anon_sym_consteval] = ACTIONS(2186),
    [anon_sym_QMARK] = ACTIONS(2188),
    [anon_sym_STAR_EQ] = ACTIONS(2188),
    [anon_sym_SLASH_EQ] = ACTIONS(2188),
    [anon_sym_PERCENT_EQ] = ACTIONS(2188),
    [anon_sym_PLUS_EQ] = ACTIONS(2188),
    [anon_sym_DASH_EQ] = ACTIONS(2188),
    [anon_sym_LT_LT_EQ] = ACTIONS(2188),
    [anon_sym_GT_GT_EQ] = ACTIONS(2188),
    [anon_sym_AMP_EQ] = ACTIONS(2188),
    [anon_sym_CARET_EQ] = ACTIONS(2188),
    [anon_sym_PIPE_EQ] = ACTIONS(2188),
    [anon_sym_and_eq] = ACTIONS(2186),
    [anon_sym_or_eq] = ACTIONS(2186),
    [anon_sym_xor_eq] = ACTIONS(2186),
    [anon_sym_LT_EQ_GT] = ACTIONS(2188),
    [anon_sym_or] = ACTIONS(2186),
    [anon_sym_and] = ACTIONS(2186),
    [anon_sym_bitor] = ACTIONS(2186),
    [anon_sym_xor] = ACTIONS(2186),
    [anon_sym_bitand] = ACTIONS(2186),
    [anon_sym_not_eq] = ACTIONS(2186),
    [anon_sym_DASH_DASH] = ACTIONS(2188),
    [anon_sym_PLUS_PLUS] = ACTIONS(2188),
    [anon_sym_DOT] = ACTIONS(2186),
    [anon_sym_DOT_STAR] = ACTIONS(2188),
    [anon_sym_DASH_GT] = ACTIONS(2188),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2186),
    [anon_sym_decltype] = ACTIONS(2186),
    [anon_sym_virtual] = ACTIONS(2186),
    [anon_sym_alignas] = ACTIONS(2186),
    [anon_sym_template] = ACTIONS(2186),
    [anon_sym_operator] = ACTIONS(2186),
    [anon_sym_precise] = ACTIONS(2186),
    [anon_sym_shared] = ACTIONS(2186),
    [anon_sym_groupshared] = ACTIONS(2186),
    [anon_sym_uniform] = ACTIONS(2186),
    [anon_sym_row_major] = ACTIONS(2186),
    [anon_sym_column_major] = ACTIONS(2186),
    [anon_sym_globallycoherent] = ACTIONS(2186),
    [anon_sym_centroid] = ACTIONS(2186),
    [anon_sym_noperspective] = ACTIONS(2186),
    [anon_sym_nointerpolation] = ACTIONS(2186),
    [anon_sym_sample] = ACTIONS(2186),
    [anon_sym_linear] = ACTIONS(2186),
    [anon_sym_snorm] = ACTIONS(2186),
    [anon_sym_unorm] = ACTIONS(2186),
    [anon_sym_point] = ACTIONS(2186),
    [anon_sym_line] = ACTIONS(2186),
    [anon_sym_triangleadj] = ACTIONS(2186),
    [anon_sym_lineadj] = ACTIONS(2186),
    [anon_sym_triangle] = ACTIONS(2186),
  },
  [1664] = {
    [sym_identifier] = ACTIONS(2178),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2180),
    [anon_sym_COMMA] = ACTIONS(2180),
    [anon_sym_RPAREN] = ACTIONS(2180),
    [anon_sym_LPAREN2] = ACTIONS(2180),
    [anon_sym_TILDE] = ACTIONS(2180),
    [anon_sym_DASH] = ACTIONS(2178),
    [anon_sym_PLUS] = ACTIONS(2178),
    [anon_sym_STAR] = ACTIONS(2178),
    [anon_sym_SLASH] = ACTIONS(2178),
    [anon_sym_PERCENT] = ACTIONS(2178),
    [anon_sym_PIPE_PIPE] = ACTIONS(2180),
    [anon_sym_AMP_AMP] = ACTIONS(2180),
    [anon_sym_PIPE] = ACTIONS(2178),
    [anon_sym_CARET] = ACTIONS(2178),
    [anon_sym_AMP] = ACTIONS(2178),
    [anon_sym_EQ_EQ] = ACTIONS(2180),
    [anon_sym_BANG_EQ] = ACTIONS(2180),
    [anon_sym_GT] = ACTIONS(2178),
    [anon_sym_GT_EQ] = ACTIONS(2180),
    [anon_sym_LT_EQ] = ACTIONS(2178),
    [anon_sym_LT] = ACTIONS(2178),
    [anon_sym_LT_LT] = ACTIONS(2178),
    [anon_sym_GT_GT] = ACTIONS(2178),
    [anon_sym_COLON] = ACTIONS(2178),
    [anon_sym_SEMI] = ACTIONS(2180),
    [anon_sym___extension__] = ACTIONS(2178),
    [anon_sym_in] = ACTIONS(2178),
    [anon_sym_out] = ACTIONS(2178),
    [anon_sym_inout] = ACTIONS(2178),
    [anon_sym_extern] = ACTIONS(2178),
    [anon_sym___attribute__] = ACTIONS(2178),
    [anon_sym_COLON_COLON] = ACTIONS(2180),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2180),
    [anon_sym___declspec] = ACTIONS(2178),
    [anon_sym___based] = ACTIONS(2178),
    [anon_sym___cdecl] = ACTIONS(2178),
    [anon_sym___clrcall] = ACTIONS(2178),
    [anon_sym___stdcall] = ACTIONS(2178),
    [anon_sym___fastcall] = ACTIONS(2178),
    [anon_sym___thiscall] = ACTIONS(2178),
    [anon_sym___vectorcall] = ACTIONS(2178),
    [anon_sym_LBRACE] = ACTIONS(2180),
    [anon_sym_RBRACE] = ACTIONS(2180),
    [anon_sym_LBRACK] = ACTIONS(2178),
    [anon_sym_EQ] = ACTIONS(2178),
    [anon_sym_static] = ACTIONS(2178),
    [anon_sym_register] = ACTIONS(2178),
    [anon_sym_inline] = ACTIONS(2178),
    [anon_sym___inline] = ACTIONS(2178),
    [anon_sym___inline__] = ACTIONS(2178),
    [anon_sym___forceinline] = ACTIONS(2178),
    [anon_sym_thread_local] = ACTIONS(2178),
    [anon_sym___thread] = ACTIONS(2178),
    [anon_sym_const] = ACTIONS(2178),
    [anon_sym_constexpr] = ACTIONS(2178),
    [anon_sym_volatile] = ACTIONS(2178),
    [anon_sym_restrict] = ACTIONS(2178),
    [anon_sym___restrict__] = ACTIONS(2178),
    [anon_sym__Atomic] = ACTIONS(2178),
    [anon_sym__Noreturn] = ACTIONS(2178),
    [anon_sym_noreturn] = ACTIONS(2178),
    [anon_sym_mutable] = ACTIONS(2178),
    [anon_sym_constinit] = ACTIONS(2178),
    [anon_sym_consteval] = ACTIONS(2178),
    [anon_sym_QMARK] = ACTIONS(2180),
    [anon_sym_STAR_EQ] = ACTIONS(2180),
    [anon_sym_SLASH_EQ] = ACTIONS(2180),
    [anon_sym_PERCENT_EQ] = ACTIONS(2180),
    [anon_sym_PLUS_EQ] = ACTIONS(2180),
    [anon_sym_DASH_EQ] = ACTIONS(2180),
    [anon_sym_LT_LT_EQ] = ACTIONS(2180),
    [anon_sym_GT_GT_EQ] = ACTIONS(2180),
    [anon_sym_AMP_EQ] = ACTIONS(2180),
    [anon_sym_CARET_EQ] = ACTIONS(2180),
    [anon_sym_PIPE_EQ] = ACTIONS(2180),
    [anon_sym_and_eq] = ACTIONS(2178),
    [anon_sym_or_eq] = ACTIONS(2178),
    [anon_sym_xor_eq] = ACTIONS(2178),
    [anon_sym_LT_EQ_GT] = ACTIONS(2180),
    [anon_sym_or] = ACTIONS(2178),
    [anon_sym_and] = ACTIONS(2178),
    [anon_sym_bitor] = ACTIONS(2178),
    [anon_sym_xor] = ACTIONS(2178),
    [anon_sym_bitand] = ACTIONS(2178),
    [anon_sym_not_eq] = ACTIONS(2178),
    [anon_sym_DASH_DASH] = ACTIONS(2180),
    [anon_sym_PLUS_PLUS] = ACTIONS(2180),
    [anon_sym_DOT] = ACTIONS(2178),
    [anon_sym_DOT_STAR] = ACTIONS(2180),
    [anon_sym_DASH_GT] = ACTIONS(2180),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2178),
    [anon_sym_decltype] = ACTIONS(2178),
    [anon_sym_virtual] = ACTIONS(2178),
    [anon_sym_alignas] = ACTIONS(2178),
    [anon_sym_template] = ACTIONS(2178),
    [anon_sym_operator] = ACTIONS(2178),
    [anon_sym_precise] = ACTIONS(2178),
    [anon_sym_shared] = ACTIONS(2178),
    [anon_sym_groupshared] = ACTIONS(2178),
    [anon_sym_uniform] = ACTIONS(2178),
    [anon_sym_row_major] = ACTIONS(2178),
    [anon_sym_column_major] = ACTIONS(2178),
    [anon_sym_globallycoherent] = ACTIONS(2178),
    [anon_sym_centroid] = ACTIONS(2178),
    [anon_sym_noperspective] = ACTIONS(2178),
    [anon_sym_nointerpolation] = ACTIONS(2178),
    [anon_sym_sample] = ACTIONS(2178),
    [anon_sym_linear] = ACTIONS(2178),
    [anon_sym_snorm] = ACTIONS(2178),
    [anon_sym_unorm] = ACTIONS(2178),
    [anon_sym_point] = ACTIONS(2178),
    [anon_sym_line] = ACTIONS(2178),
    [anon_sym_triangleadj] = ACTIONS(2178),
    [anon_sym_lineadj] = ACTIONS(2178),
    [anon_sym_triangle] = ACTIONS(2178),
  },
  [1665] = {
    [sym_template_argument_list] = STATE(1667),
    [sym_identifier] = ACTIONS(2232),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4546),
    [anon_sym_COMMA] = ACTIONS(4546),
    [anon_sym_LPAREN2] = ACTIONS(4548),
    [anon_sym_TILDE] = ACTIONS(2234),
    [anon_sym_DASH] = ACTIONS(4551),
    [anon_sym_PLUS] = ACTIONS(4551),
    [anon_sym_STAR] = ACTIONS(4553),
    [anon_sym_SLASH] = ACTIONS(4551),
    [anon_sym_PERCENT] = ACTIONS(4551),
    [anon_sym_PIPE_PIPE] = ACTIONS(4546),
    [anon_sym_AMP_AMP] = ACTIONS(4548),
    [anon_sym_PIPE] = ACTIONS(4551),
    [anon_sym_CARET] = ACTIONS(4551),
    [anon_sym_AMP] = ACTIONS(4553),
    [anon_sym_EQ_EQ] = ACTIONS(4546),
    [anon_sym_BANG_EQ] = ACTIONS(4546),
    [anon_sym_GT] = ACTIONS(4551),
    [anon_sym_GT_EQ] = ACTIONS(4546),
    [anon_sym_LT_EQ] = ACTIONS(4551),
    [anon_sym_LT] = ACTIONS(4556),
    [anon_sym_LT_LT] = ACTIONS(4551),
    [anon_sym_GT_GT] = ACTIONS(4551),
    [anon_sym_SEMI] = ACTIONS(4548),
    [anon_sym___extension__] = ACTIONS(2232),
    [anon_sym_in] = ACTIONS(2232),
    [anon_sym_out] = ACTIONS(2232),
    [anon_sym_inout] = ACTIONS(2232),
    [anon_sym_extern] = ACTIONS(2232),
    [anon_sym___attribute__] = ACTIONS(2232),
    [anon_sym_COLON_COLON] = ACTIONS(2230),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4548),
    [anon_sym___declspec] = ACTIONS(2232),
    [anon_sym___based] = ACTIONS(2232),
    [anon_sym___cdecl] = ACTIONS(2232),
    [anon_sym___clrcall] = ACTIONS(2232),
    [anon_sym___stdcall] = ACTIONS(2232),
    [anon_sym___fastcall] = ACTIONS(2232),
    [anon_sym___thiscall] = ACTIONS(2232),
    [anon_sym___vectorcall] = ACTIONS(2232),
    [anon_sym_LBRACE] = ACTIONS(2234),
    [anon_sym_RBRACE] = ACTIONS(4546),
    [anon_sym_LBRACK] = ACTIONS(4553),
    [anon_sym_EQ] = ACTIONS(4551),
    [anon_sym_static] = ACTIONS(2232),
    [anon_sym_register] = ACTIONS(2232),
    [anon_sym_inline] = ACTIONS(2232),
    [anon_sym___inline] = ACTIONS(2232),
    [anon_sym___inline__] = ACTIONS(2232),
    [anon_sym___forceinline] = ACTIONS(2232),
    [anon_sym_thread_local] = ACTIONS(2232),
    [anon_sym___thread] = ACTIONS(2232),
    [anon_sym_const] = ACTIONS(2232),
    [anon_sym_constexpr] = ACTIONS(2232),
    [anon_sym_volatile] = ACTIONS(2232),
    [anon_sym_restrict] = ACTIONS(2232),
    [anon_sym___restrict__] = ACTIONS(2232),
    [anon_sym__Atomic] = ACTIONS(2232),
    [anon_sym__Noreturn] = ACTIONS(2232),
    [anon_sym_noreturn] = ACTIONS(2232),
    [anon_sym_mutable] = ACTIONS(2232),
    [anon_sym_constinit] = ACTIONS(2232),
    [anon_sym_consteval] = ACTIONS(2232),
    [anon_sym_QMARK] = ACTIONS(4546),
    [anon_sym_STAR_EQ] = ACTIONS(4546),
    [anon_sym_SLASH_EQ] = ACTIONS(4546),
    [anon_sym_PERCENT_EQ] = ACTIONS(4546),
    [anon_sym_PLUS_EQ] = ACTIONS(4546),
    [anon_sym_DASH_EQ] = ACTIONS(4546),
    [anon_sym_LT_LT_EQ] = ACTIONS(4546),
    [anon_sym_GT_GT_EQ] = ACTIONS(4546),
    [anon_sym_AMP_EQ] = ACTIONS(4546),
    [anon_sym_CARET_EQ] = ACTIONS(4546),
    [anon_sym_PIPE_EQ] = ACTIONS(4546),
    [anon_sym_and_eq] = ACTIONS(4551),
    [anon_sym_or_eq] = ACTIONS(4551),
    [anon_sym_xor_eq] = ACTIONS(4551),
    [anon_sym_LT_EQ_GT] = ACTIONS(4546),
    [anon_sym_or] = ACTIONS(4551),
    [anon_sym_and] = ACTIONS(4551),
    [anon_sym_bitor] = ACTIONS(4551),
    [anon_sym_xor] = ACTIONS(4551),
    [anon_sym_bitand] = ACTIONS(4551),
    [anon_sym_not_eq] = ACTIONS(4551),
    [anon_sym_DASH_DASH] = ACTIONS(4546),
    [anon_sym_PLUS_PLUS] = ACTIONS(4546),
    [anon_sym_DOT] = ACTIONS(4551),
    [anon_sym_DOT_STAR] = ACTIONS(4546),
    [anon_sym_DASH_GT] = ACTIONS(4546),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2232),
    [anon_sym_decltype] = ACTIONS(2232),
    [anon_sym_virtual] = ACTIONS(2232),
    [anon_sym_alignas] = ACTIONS(2232),
    [anon_sym_template] = ACTIONS(2232),
    [anon_sym_operator] = ACTIONS(2232),
    [anon_sym_precise] = ACTIONS(2232),
    [anon_sym_shared] = ACTIONS(2232),
    [anon_sym_groupshared] = ACTIONS(2232),
    [anon_sym_uniform] = ACTIONS(2232),
    [anon_sym_row_major] = ACTIONS(2232),
    [anon_sym_column_major] = ACTIONS(2232),
    [anon_sym_globallycoherent] = ACTIONS(2232),
    [anon_sym_centroid] = ACTIONS(2232),
    [anon_sym_noperspective] = ACTIONS(2232),
    [anon_sym_nointerpolation] = ACTIONS(2232),
    [anon_sym_sample] = ACTIONS(2232),
    [anon_sym_linear] = ACTIONS(2232),
    [anon_sym_snorm] = ACTIONS(2232),
    [anon_sym_unorm] = ACTIONS(2232),
    [anon_sym_point] = ACTIONS(2232),
    [anon_sym_line] = ACTIONS(2232),
    [anon_sym_triangleadj] = ACTIONS(2232),
    [anon_sym_lineadj] = ACTIONS(2232),
    [anon_sym_triangle] = ACTIONS(2232),
  },
  [1666] = {
    [sym__declaration_modifiers] = STATE(2652),
    [sym__declaration_specifiers] = STATE(5141),
    [sym_attribute_specifier] = STATE(2652),
    [sym_attribute_declaration] = STATE(2652),
    [sym_ms_declspec_modifier] = STATE(2652),
    [sym_ms_call_modifier] = STATE(7522),
    [sym__abstract_declarator] = STATE(8130),
    [sym_abstract_parenthesized_declarator] = STATE(7436),
    [sym_abstract_pointer_declarator] = STATE(7436),
    [sym_abstract_function_declarator] = STATE(7436),
    [sym_abstract_array_declarator] = STATE(7436),
    [sym_storage_class_specifier] = STATE(2652),
    [sym_type_qualifier] = STATE(2652),
    [sym__type_specifier] = STATE(2827),
    [sym_sized_type_specifier] = STATE(3085),
    [sym_enum_specifier] = STATE(3085),
    [sym_struct_specifier] = STATE(3085),
    [sym_union_specifier] = STATE(3085),
    [sym_parameter_list] = STATE(4924),
    [sym_parameter_declaration] = STATE(8829),
    [sym_placeholder_type_specifier] = STATE(3085),
    [sym_decltype_auto] = STATE(3091),
    [sym_decltype] = STATE(3050),
    [sym_class_specifier] = STATE(3085),
    [sym_virtual] = STATE(2652),
    [sym_alignas_specifier] = STATE(2652),
    [sym_dependent_type] = STATE(3085),
    [sym_optional_parameter_declaration] = STATE(8829),
    [sym_variadic_parameter_declaration] = STATE(8829),
    [sym_abstract_reference_declarator] = STATE(7436),
    [sym__function_declarator_seq] = STATE(7422),
    [sym_template_type] = STATE(3050),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(7879),
    [sym_qualified_type_identifier] = STATE(3068),
    [sym_qualifiers] = STATE(2652),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2652),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3021),
    [sym_identifier] = ACTIONS(4559),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2168),
    [anon_sym_RPAREN] = ACTIONS(4393),
    [anon_sym_LPAREN2] = ACTIONS(4561),
    [anon_sym_STAR] = ACTIONS(4563),
    [anon_sym_AMP_AMP] = ACTIONS(4565),
    [anon_sym_AMP] = ACTIONS(4567),
    [anon_sym___extension__] = ACTIONS(63),
    [anon_sym_in] = ACTIONS(2118),
    [anon_sym_out] = ACTIONS(2118),
    [anon_sym_inout] = ACTIONS(2118),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(4569),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2096),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(2544),
    [anon_sym___clrcall] = ACTIONS(2544),
    [anon_sym___stdcall] = ACTIONS(2544),
    [anon_sym___fastcall] = ACTIONS(2544),
    [anon_sym___thiscall] = ACTIONS(2544),
    [anon_sym___vectorcall] = ACTIONS(2544),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(4571),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(2891),
    [anon_sym_enum] = ACTIONS(2124),
    [anon_sym_class] = ACTIONS(2126),
    [anon_sym_struct] = ACTIONS(2128),
    [anon_sym_union] = ACTIONS(2130),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [anon_sym_virtual] = ACTIONS(123),
    [anon_sym_alignas] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(2154),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_precise] = ACTIONS(161),
    [anon_sym_shared] = ACTIONS(161),
    [anon_sym_groupshared] = ACTIONS(161),
    [anon_sym_uniform] = ACTIONS(161),
    [anon_sym_row_major] = ACTIONS(161),
    [anon_sym_column_major] = ACTIONS(161),
    [anon_sym_globallycoherent] = ACTIONS(161),
    [anon_sym_centroid] = ACTIONS(161),
    [anon_sym_noperspective] = ACTIONS(161),
    [anon_sym_nointerpolation] = ACTIONS(161),
    [anon_sym_sample] = ACTIONS(161),
    [anon_sym_linear] = ACTIONS(161),
    [anon_sym_snorm] = ACTIONS(161),
    [anon_sym_unorm] = ACTIONS(161),
    [anon_sym_point] = ACTIONS(161),
    [anon_sym_line] = ACTIONS(161),
    [anon_sym_triangleadj] = ACTIONS(161),
    [anon_sym_lineadj] = ACTIONS(161),
    [anon_sym_triangle] = ACTIONS(161),
  },
  [1667] = {
    [sym_identifier] = ACTIONS(2254),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4573),
    [anon_sym_COMMA] = ACTIONS(4573),
    [anon_sym_LPAREN2] = ACTIONS(4575),
    [anon_sym_TILDE] = ACTIONS(2256),
    [anon_sym_DASH] = ACTIONS(4578),
    [anon_sym_PLUS] = ACTIONS(4578),
    [anon_sym_STAR] = ACTIONS(4580),
    [anon_sym_SLASH] = ACTIONS(4578),
    [anon_sym_PERCENT] = ACTIONS(4578),
    [anon_sym_PIPE_PIPE] = ACTIONS(4573),
    [anon_sym_AMP_AMP] = ACTIONS(4575),
    [anon_sym_PIPE] = ACTIONS(4578),
    [anon_sym_CARET] = ACTIONS(4578),
    [anon_sym_AMP] = ACTIONS(4580),
    [anon_sym_EQ_EQ] = ACTIONS(4573),
    [anon_sym_BANG_EQ] = ACTIONS(4573),
    [anon_sym_GT] = ACTIONS(4578),
    [anon_sym_GT_EQ] = ACTIONS(4573),
    [anon_sym_LT_EQ] = ACTIONS(4578),
    [anon_sym_LT] = ACTIONS(4578),
    [anon_sym_LT_LT] = ACTIONS(4578),
    [anon_sym_GT_GT] = ACTIONS(4578),
    [anon_sym_SEMI] = ACTIONS(4575),
    [anon_sym___extension__] = ACTIONS(2254),
    [anon_sym_in] = ACTIONS(2254),
    [anon_sym_out] = ACTIONS(2254),
    [anon_sym_inout] = ACTIONS(2254),
    [anon_sym_extern] = ACTIONS(2254),
    [anon_sym___attribute__] = ACTIONS(2254),
    [anon_sym_COLON_COLON] = ACTIONS(2256),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4575),
    [anon_sym___declspec] = ACTIONS(2254),
    [anon_sym___based] = ACTIONS(2254),
    [anon_sym___cdecl] = ACTIONS(2254),
    [anon_sym___clrcall] = ACTIONS(2254),
    [anon_sym___stdcall] = ACTIONS(2254),
    [anon_sym___fastcall] = ACTIONS(2254),
    [anon_sym___thiscall] = ACTIONS(2254),
    [anon_sym___vectorcall] = ACTIONS(2254),
    [anon_sym_LBRACE] = ACTIONS(2256),
    [anon_sym_RBRACE] = ACTIONS(4573),
    [anon_sym_LBRACK] = ACTIONS(4580),
    [anon_sym_EQ] = ACTIONS(4578),
    [anon_sym_static] = ACTIONS(2254),
    [anon_sym_register] = ACTIONS(2254),
    [anon_sym_inline] = ACTIONS(2254),
    [anon_sym___inline] = ACTIONS(2254),
    [anon_sym___inline__] = ACTIONS(2254),
    [anon_sym___forceinline] = ACTIONS(2254),
    [anon_sym_thread_local] = ACTIONS(2254),
    [anon_sym___thread] = ACTIONS(2254),
    [anon_sym_const] = ACTIONS(2254),
    [anon_sym_constexpr] = ACTIONS(2254),
    [anon_sym_volatile] = ACTIONS(2254),
    [anon_sym_restrict] = ACTIONS(2254),
    [anon_sym___restrict__] = ACTIONS(2254),
    [anon_sym__Atomic] = ACTIONS(2254),
    [anon_sym__Noreturn] = ACTIONS(2254),
    [anon_sym_noreturn] = ACTIONS(2254),
    [anon_sym_mutable] = ACTIONS(2254),
    [anon_sym_constinit] = ACTIONS(2254),
    [anon_sym_consteval] = ACTIONS(2254),
    [anon_sym_QMARK] = ACTIONS(4573),
    [anon_sym_STAR_EQ] = ACTIONS(4573),
    [anon_sym_SLASH_EQ] = ACTIONS(4573),
    [anon_sym_PERCENT_EQ] = ACTIONS(4573),
    [anon_sym_PLUS_EQ] = ACTIONS(4573),
    [anon_sym_DASH_EQ] = ACTIONS(4573),
    [anon_sym_LT_LT_EQ] = ACTIONS(4573),
    [anon_sym_GT_GT_EQ] = ACTIONS(4573),
    [anon_sym_AMP_EQ] = ACTIONS(4573),
    [anon_sym_CARET_EQ] = ACTIONS(4573),
    [anon_sym_PIPE_EQ] = ACTIONS(4573),
    [anon_sym_and_eq] = ACTIONS(4578),
    [anon_sym_or_eq] = ACTIONS(4578),
    [anon_sym_xor_eq] = ACTIONS(4578),
    [anon_sym_LT_EQ_GT] = ACTIONS(4573),
    [anon_sym_or] = ACTIONS(4578),
    [anon_sym_and] = ACTIONS(4578),
    [anon_sym_bitor] = ACTIONS(4578),
    [anon_sym_xor] = ACTIONS(4578),
    [anon_sym_bitand] = ACTIONS(4578),
    [anon_sym_not_eq] = ACTIONS(4578),
    [anon_sym_DASH_DASH] = ACTIONS(4573),
    [anon_sym_PLUS_PLUS] = ACTIONS(4573),
    [anon_sym_DOT] = ACTIONS(4578),
    [anon_sym_DOT_STAR] = ACTIONS(4573),
    [anon_sym_DASH_GT] = ACTIONS(4573),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2254),
    [anon_sym_decltype] = ACTIONS(2254),
    [anon_sym_virtual] = ACTIONS(2254),
    [anon_sym_alignas] = ACTIONS(2254),
    [anon_sym_template] = ACTIONS(2254),
    [anon_sym_operator] = ACTIONS(2254),
    [anon_sym_precise] = ACTIONS(2254),
    [anon_sym_shared] = ACTIONS(2254),
    [anon_sym_groupshared] = ACTIONS(2254),
    [anon_sym_uniform] = ACTIONS(2254),
    [anon_sym_row_major] = ACTIONS(2254),
    [anon_sym_column_major] = ACTIONS(2254),
    [anon_sym_globallycoherent] = ACTIONS(2254),
    [anon_sym_centroid] = ACTIONS(2254),
    [anon_sym_noperspective] = ACTIONS(2254),
    [anon_sym_nointerpolation] = ACTIONS(2254),
    [anon_sym_sample] = ACTIONS(2254),
    [anon_sym_linear] = ACTIONS(2254),
    [anon_sym_snorm] = ACTIONS(2254),
    [anon_sym_unorm] = ACTIONS(2254),
    [anon_sym_point] = ACTIONS(2254),
    [anon_sym_line] = ACTIONS(2254),
    [anon_sym_triangleadj] = ACTIONS(2254),
    [anon_sym_lineadj] = ACTIONS(2254),
    [anon_sym_triangle] = ACTIONS(2254),
  },
  [1668] = {
    [sym__declaration_modifiers] = STATE(2652),
    [sym__declaration_specifiers] = STATE(5141),
    [sym_attribute_specifier] = STATE(2652),
    [sym_attribute_declaration] = STATE(2652),
    [sym_ms_declspec_modifier] = STATE(2652),
    [sym_ms_call_modifier] = STATE(7515),
    [sym__abstract_declarator] = STATE(8145),
    [sym_abstract_parenthesized_declarator] = STATE(7436),
    [sym_abstract_pointer_declarator] = STATE(7436),
    [sym_abstract_function_declarator] = STATE(7436),
    [sym_abstract_array_declarator] = STATE(7436),
    [sym_storage_class_specifier] = STATE(2652),
    [sym_type_qualifier] = STATE(2652),
    [sym__type_specifier] = STATE(2827),
    [sym_sized_type_specifier] = STATE(3085),
    [sym_enum_specifier] = STATE(3085),
    [sym_struct_specifier] = STATE(3085),
    [sym_union_specifier] = STATE(3085),
    [sym_parameter_list] = STATE(4924),
    [sym_parameter_declaration] = STATE(8829),
    [sym_placeholder_type_specifier] = STATE(3085),
    [sym_decltype_auto] = STATE(3091),
    [sym_decltype] = STATE(3050),
    [sym_class_specifier] = STATE(3085),
    [sym_virtual] = STATE(2652),
    [sym_alignas_specifier] = STATE(2652),
    [sym_dependent_type] = STATE(3085),
    [sym_optional_parameter_declaration] = STATE(8829),
    [sym_variadic_parameter_declaration] = STATE(8829),
    [sym_abstract_reference_declarator] = STATE(7436),
    [sym__function_declarator_seq] = STATE(7422),
    [sym_template_type] = STATE(3050),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(7879),
    [sym_qualified_type_identifier] = STATE(3068),
    [sym_qualifiers] = STATE(2652),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2652),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3021),
    [sym_identifier] = ACTIONS(4559),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2168),
    [anon_sym_RPAREN] = ACTIONS(4393),
    [anon_sym_LPAREN2] = ACTIONS(4561),
    [anon_sym_STAR] = ACTIONS(4563),
    [anon_sym_AMP_AMP] = ACTIONS(4565),
    [anon_sym_AMP] = ACTIONS(4567),
    [anon_sym___extension__] = ACTIONS(63),
    [anon_sym_in] = ACTIONS(2118),
    [anon_sym_out] = ACTIONS(2118),
    [anon_sym_inout] = ACTIONS(2118),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(4569),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2096),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(2544),
    [anon_sym___clrcall] = ACTIONS(2544),
    [anon_sym___stdcall] = ACTIONS(2544),
    [anon_sym___fastcall] = ACTIONS(2544),
    [anon_sym___thiscall] = ACTIONS(2544),
    [anon_sym___vectorcall] = ACTIONS(2544),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(4571),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(2891),
    [anon_sym_enum] = ACTIONS(2124),
    [anon_sym_class] = ACTIONS(2126),
    [anon_sym_struct] = ACTIONS(2128),
    [anon_sym_union] = ACTIONS(2130),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [anon_sym_virtual] = ACTIONS(123),
    [anon_sym_alignas] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(2154),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_precise] = ACTIONS(161),
    [anon_sym_shared] = ACTIONS(161),
    [anon_sym_groupshared] = ACTIONS(161),
    [anon_sym_uniform] = ACTIONS(161),
    [anon_sym_row_major] = ACTIONS(161),
    [anon_sym_column_major] = ACTIONS(161),
    [anon_sym_globallycoherent] = ACTIONS(161),
    [anon_sym_centroid] = ACTIONS(161),
    [anon_sym_noperspective] = ACTIONS(161),
    [anon_sym_nointerpolation] = ACTIONS(161),
    [anon_sym_sample] = ACTIONS(161),
    [anon_sym_linear] = ACTIONS(161),
    [anon_sym_snorm] = ACTIONS(161),
    [anon_sym_unorm] = ACTIONS(161),
    [anon_sym_point] = ACTIONS(161),
    [anon_sym_line] = ACTIONS(161),
    [anon_sym_triangleadj] = ACTIONS(161),
    [anon_sym_lineadj] = ACTIONS(161),
    [anon_sym_triangle] = ACTIONS(161),
  },
  [1669] = {
    [sym__declaration_modifiers] = STATE(2673),
    [sym__declaration_specifiers] = STATE(6467),
    [sym_attribute_specifier] = STATE(2673),
    [sym_attribute_declaration] = STATE(2673),
    [sym_ms_declspec_modifier] = STATE(2673),
    [sym_ms_based_modifier] = STATE(10332),
    [sym__declarator] = STATE(7934),
    [sym_parenthesized_declarator] = STATE(7680),
    [sym_attributed_declarator] = STATE(7680),
    [sym_pointer_declarator] = STATE(7680),
    [sym_function_declarator] = STATE(7680),
    [sym_array_declarator] = STATE(7680),
    [sym_storage_class_specifier] = STATE(2673),
    [sym_type_qualifier] = STATE(2673),
    [sym__type_specifier] = STATE(2827),
    [sym_sized_type_specifier] = STATE(3085),
    [sym_enum_specifier] = STATE(3085),
    [sym_struct_specifier] = STATE(3085),
    [sym_union_specifier] = STATE(3085),
    [sym_placeholder_type_specifier] = STATE(3085),
    [sym_decltype_auto] = STATE(3091),
    [sym_decltype] = STATE(3050),
    [sym_class_specifier] = STATE(3085),
    [sym_virtual] = STATE(2673),
    [sym_alignas_specifier] = STATE(2673),
    [sym_dependent_type] = STATE(3085),
    [sym_template_parameter_list] = STATE(1414),
    [sym_reference_declarator] = STATE(7680),
    [sym_structured_binding_declarator] = STATE(7680),
    [sym_template_type] = STATE(3674),
    [sym_template_function] = STATE(7680),
    [sym_destructor_name] = STATE(7680),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6904),
    [sym_qualified_identifier] = STATE(7680),
    [sym_qualified_type_identifier] = STATE(3068),
    [sym_operator_name] = STATE(7680),
    [sym_qualifiers] = STATE(2673),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2673),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3021),
    [sym_identifier] = ACTIONS(4583),
    [anon_sym_LPAREN2] = ACTIONS(2875),
    [anon_sym_TILDE] = ACTIONS(2877),
    [anon_sym_STAR] = ACTIONS(2879),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(2881),
    [anon_sym_LT] = ACTIONS(4585),
    [anon_sym___extension__] = ACTIONS(63),
    [anon_sym_in] = ACTIONS(1480),
    [anon_sym_out] = ACTIONS(1480),
    [anon_sym_inout] = ACTIONS(1480),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(4587),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2096),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(2889),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(2891),
    [anon_sym_enum] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(69),
    [anon_sym_struct] = ACTIONS(71),
    [anon_sym_union] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [anon_sym_virtual] = ACTIONS(123),
    [anon_sym_alignas] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_operator] = ACTIONS(2588),
    [anon_sym_precise] = ACTIONS(161),
    [anon_sym_shared] = ACTIONS(161),
    [anon_sym_groupshared] = ACTIONS(161),
    [anon_sym_uniform] = ACTIONS(161),
    [anon_sym_row_major] = ACTIONS(161),
    [anon_sym_column_major] = ACTIONS(161),
    [anon_sym_globallycoherent] = ACTIONS(161),
    [anon_sym_centroid] = ACTIONS(161),
    [anon_sym_noperspective] = ACTIONS(161),
    [anon_sym_nointerpolation] = ACTIONS(161),
    [anon_sym_sample] = ACTIONS(161),
    [anon_sym_linear] = ACTIONS(161),
    [anon_sym_snorm] = ACTIONS(161),
    [anon_sym_unorm] = ACTIONS(161),
    [anon_sym_point] = ACTIONS(161),
    [anon_sym_line] = ACTIONS(161),
    [anon_sym_triangleadj] = ACTIONS(161),
    [anon_sym_lineadj] = ACTIONS(161),
    [anon_sym_triangle] = ACTIONS(161),
  },
  [1670] = {
    [sym__declaration_modifiers] = STATE(2673),
    [sym__declaration_specifiers] = STATE(6502),
    [sym_attribute_specifier] = STATE(2673),
    [sym_attribute_declaration] = STATE(2673),
    [sym_ms_declspec_modifier] = STATE(2673),
    [sym_ms_based_modifier] = STATE(10332),
    [sym__declarator] = STATE(7942),
    [sym_parenthesized_declarator] = STATE(7680),
    [sym_attributed_declarator] = STATE(7680),
    [sym_pointer_declarator] = STATE(7680),
    [sym_function_declarator] = STATE(7680),
    [sym_array_declarator] = STATE(7680),
    [sym_storage_class_specifier] = STATE(2673),
    [sym_type_qualifier] = STATE(2673),
    [sym__type_specifier] = STATE(2827),
    [sym_sized_type_specifier] = STATE(3085),
    [sym_enum_specifier] = STATE(3085),
    [sym_struct_specifier] = STATE(3085),
    [sym_union_specifier] = STATE(3085),
    [sym_placeholder_type_specifier] = STATE(3085),
    [sym_decltype_auto] = STATE(3091),
    [sym_decltype] = STATE(3050),
    [sym_class_specifier] = STATE(3085),
    [sym_virtual] = STATE(2673),
    [sym_alignas_specifier] = STATE(2673),
    [sym_dependent_type] = STATE(3085),
    [sym_template_parameter_list] = STATE(1413),
    [sym_reference_declarator] = STATE(7680),
    [sym_structured_binding_declarator] = STATE(7680),
    [sym_template_type] = STATE(3674),
    [sym_template_function] = STATE(7680),
    [sym_destructor_name] = STATE(7680),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6904),
    [sym_qualified_identifier] = STATE(7680),
    [sym_qualified_type_identifier] = STATE(3068),
    [sym_operator_name] = STATE(7680),
    [sym_qualifiers] = STATE(2673),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2673),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3021),
    [sym_identifier] = ACTIONS(4583),
    [anon_sym_LPAREN2] = ACTIONS(2875),
    [anon_sym_TILDE] = ACTIONS(2877),
    [anon_sym_STAR] = ACTIONS(2879),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(2881),
    [anon_sym_LT] = ACTIONS(4585),
    [anon_sym___extension__] = ACTIONS(63),
    [anon_sym_in] = ACTIONS(1480),
    [anon_sym_out] = ACTIONS(1480),
    [anon_sym_inout] = ACTIONS(1480),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(4587),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2096),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(2889),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(2891),
    [anon_sym_enum] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(69),
    [anon_sym_struct] = ACTIONS(71),
    [anon_sym_union] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [anon_sym_virtual] = ACTIONS(123),
    [anon_sym_alignas] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_operator] = ACTIONS(2588),
    [anon_sym_precise] = ACTIONS(161),
    [anon_sym_shared] = ACTIONS(161),
    [anon_sym_groupshared] = ACTIONS(161),
    [anon_sym_uniform] = ACTIONS(161),
    [anon_sym_row_major] = ACTIONS(161),
    [anon_sym_column_major] = ACTIONS(161),
    [anon_sym_globallycoherent] = ACTIONS(161),
    [anon_sym_centroid] = ACTIONS(161),
    [anon_sym_noperspective] = ACTIONS(161),
    [anon_sym_nointerpolation] = ACTIONS(161),
    [anon_sym_sample] = ACTIONS(161),
    [anon_sym_linear] = ACTIONS(161),
    [anon_sym_snorm] = ACTIONS(161),
    [anon_sym_unorm] = ACTIONS(161),
    [anon_sym_point] = ACTIONS(161),
    [anon_sym_line] = ACTIONS(161),
    [anon_sym_triangleadj] = ACTIONS(161),
    [anon_sym_lineadj] = ACTIONS(161),
    [anon_sym_triangle] = ACTIONS(161),
  },
  [1671] = {
    [sym__declaration_modifiers] = STATE(2673),
    [sym__declaration_specifiers] = STATE(6518),
    [sym_attribute_specifier] = STATE(2673),
    [sym_attribute_declaration] = STATE(2673),
    [sym_ms_declspec_modifier] = STATE(2673),
    [sym_ms_based_modifier] = STATE(10332),
    [sym__declarator] = STATE(7913),
    [sym_parenthesized_declarator] = STATE(7680),
    [sym_attributed_declarator] = STATE(7680),
    [sym_pointer_declarator] = STATE(7680),
    [sym_function_declarator] = STATE(7680),
    [sym_array_declarator] = STATE(7680),
    [sym_storage_class_specifier] = STATE(2673),
    [sym_type_qualifier] = STATE(2673),
    [sym__type_specifier] = STATE(2827),
    [sym_sized_type_specifier] = STATE(3085),
    [sym_enum_specifier] = STATE(3085),
    [sym_struct_specifier] = STATE(3085),
    [sym_union_specifier] = STATE(3085),
    [sym_placeholder_type_specifier] = STATE(3085),
    [sym_decltype_auto] = STATE(3091),
    [sym_decltype] = STATE(3050),
    [sym_class_specifier] = STATE(3085),
    [sym_virtual] = STATE(2673),
    [sym_alignas_specifier] = STATE(2673),
    [sym_dependent_type] = STATE(3085),
    [sym_template_parameter_list] = STATE(1408),
    [sym_reference_declarator] = STATE(7680),
    [sym_structured_binding_declarator] = STATE(7680),
    [sym_template_type] = STATE(3674),
    [sym_template_function] = STATE(7680),
    [sym_destructor_name] = STATE(7680),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6904),
    [sym_qualified_identifier] = STATE(7680),
    [sym_qualified_type_identifier] = STATE(3068),
    [sym_operator_name] = STATE(7680),
    [sym_qualifiers] = STATE(2673),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2673),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3021),
    [sym_identifier] = ACTIONS(4583),
    [anon_sym_LPAREN2] = ACTIONS(2875),
    [anon_sym_TILDE] = ACTIONS(2877),
    [anon_sym_STAR] = ACTIONS(2879),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(2881),
    [anon_sym_LT] = ACTIONS(4585),
    [anon_sym___extension__] = ACTIONS(63),
    [anon_sym_in] = ACTIONS(1480),
    [anon_sym_out] = ACTIONS(1480),
    [anon_sym_inout] = ACTIONS(1480),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(4587),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2096),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(2889),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(2891),
    [anon_sym_enum] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(69),
    [anon_sym_struct] = ACTIONS(71),
    [anon_sym_union] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [anon_sym_virtual] = ACTIONS(123),
    [anon_sym_alignas] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_operator] = ACTIONS(2588),
    [anon_sym_precise] = ACTIONS(161),
    [anon_sym_shared] = ACTIONS(161),
    [anon_sym_groupshared] = ACTIONS(161),
    [anon_sym_uniform] = ACTIONS(161),
    [anon_sym_row_major] = ACTIONS(161),
    [anon_sym_column_major] = ACTIONS(161),
    [anon_sym_globallycoherent] = ACTIONS(161),
    [anon_sym_centroid] = ACTIONS(161),
    [anon_sym_noperspective] = ACTIONS(161),
    [anon_sym_nointerpolation] = ACTIONS(161),
    [anon_sym_sample] = ACTIONS(161),
    [anon_sym_linear] = ACTIONS(161),
    [anon_sym_snorm] = ACTIONS(161),
    [anon_sym_unorm] = ACTIONS(161),
    [anon_sym_point] = ACTIONS(161),
    [anon_sym_line] = ACTIONS(161),
    [anon_sym_triangleadj] = ACTIONS(161),
    [anon_sym_lineadj] = ACTIONS(161),
    [anon_sym_triangle] = ACTIONS(161),
  },
  [1672] = {
    [sym__declaration_modifiers] = STATE(2673),
    [sym__declaration_specifiers] = STATE(6483),
    [sym_attribute_specifier] = STATE(2673),
    [sym_attribute_declaration] = STATE(2673),
    [sym_ms_declspec_modifier] = STATE(2673),
    [sym_ms_based_modifier] = STATE(10332),
    [sym__declarator] = STATE(7908),
    [sym_parenthesized_declarator] = STATE(7680),
    [sym_attributed_declarator] = STATE(7680),
    [sym_pointer_declarator] = STATE(7680),
    [sym_function_declarator] = STATE(7680),
    [sym_array_declarator] = STATE(7680),
    [sym_storage_class_specifier] = STATE(2673),
    [sym_type_qualifier] = STATE(2673),
    [sym__type_specifier] = STATE(2827),
    [sym_sized_type_specifier] = STATE(3085),
    [sym_enum_specifier] = STATE(3085),
    [sym_struct_specifier] = STATE(3085),
    [sym_union_specifier] = STATE(3085),
    [sym_placeholder_type_specifier] = STATE(3085),
    [sym_decltype_auto] = STATE(3091),
    [sym_decltype] = STATE(3050),
    [sym_class_specifier] = STATE(3085),
    [sym_virtual] = STATE(2673),
    [sym_alignas_specifier] = STATE(2673),
    [sym_dependent_type] = STATE(3085),
    [sym_template_parameter_list] = STATE(1405),
    [sym_reference_declarator] = STATE(7680),
    [sym_structured_binding_declarator] = STATE(7680),
    [sym_template_type] = STATE(3674),
    [sym_template_function] = STATE(7680),
    [sym_destructor_name] = STATE(7680),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6904),
    [sym_qualified_identifier] = STATE(7680),
    [sym_qualified_type_identifier] = STATE(3068),
    [sym_operator_name] = STATE(7680),
    [sym_qualifiers] = STATE(2673),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2673),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3021),
    [sym_identifier] = ACTIONS(4583),
    [anon_sym_LPAREN2] = ACTIONS(2875),
    [anon_sym_TILDE] = ACTIONS(2877),
    [anon_sym_STAR] = ACTIONS(2879),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(2881),
    [anon_sym_LT] = ACTIONS(4585),
    [anon_sym___extension__] = ACTIONS(63),
    [anon_sym_in] = ACTIONS(1480),
    [anon_sym_out] = ACTIONS(1480),
    [anon_sym_inout] = ACTIONS(1480),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(4587),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2096),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(2889),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(2891),
    [anon_sym_enum] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(69),
    [anon_sym_struct] = ACTIONS(71),
    [anon_sym_union] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [anon_sym_virtual] = ACTIONS(123),
    [anon_sym_alignas] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_operator] = ACTIONS(2588),
    [anon_sym_precise] = ACTIONS(161),
    [anon_sym_shared] = ACTIONS(161),
    [anon_sym_groupshared] = ACTIONS(161),
    [anon_sym_uniform] = ACTIONS(161),
    [anon_sym_row_major] = ACTIONS(161),
    [anon_sym_column_major] = ACTIONS(161),
    [anon_sym_globallycoherent] = ACTIONS(161),
    [anon_sym_centroid] = ACTIONS(161),
    [anon_sym_noperspective] = ACTIONS(161),
    [anon_sym_nointerpolation] = ACTIONS(161),
    [anon_sym_sample] = ACTIONS(161),
    [anon_sym_linear] = ACTIONS(161),
    [anon_sym_snorm] = ACTIONS(161),
    [anon_sym_unorm] = ACTIONS(161),
    [anon_sym_point] = ACTIONS(161),
    [anon_sym_line] = ACTIONS(161),
    [anon_sym_triangleadj] = ACTIONS(161),
    [anon_sym_lineadj] = ACTIONS(161),
    [anon_sym_triangle] = ACTIONS(161),
  },
  [1673] = {
    [sym__declaration_modifiers] = STATE(2673),
    [sym__declaration_specifiers] = STATE(6500),
    [sym_attribute_specifier] = STATE(2673),
    [sym_attribute_declaration] = STATE(2673),
    [sym_ms_declspec_modifier] = STATE(2673),
    [sym_ms_based_modifier] = STATE(10332),
    [sym__declarator] = STATE(7918),
    [sym_parenthesized_declarator] = STATE(7680),
    [sym_attributed_declarator] = STATE(7680),
    [sym_pointer_declarator] = STATE(7680),
    [sym_function_declarator] = STATE(7680),
    [sym_array_declarator] = STATE(7680),
    [sym_storage_class_specifier] = STATE(2673),
    [sym_type_qualifier] = STATE(2673),
    [sym__type_specifier] = STATE(2827),
    [sym_sized_type_specifier] = STATE(3085),
    [sym_enum_specifier] = STATE(3085),
    [sym_struct_specifier] = STATE(3085),
    [sym_union_specifier] = STATE(3085),
    [sym_placeholder_type_specifier] = STATE(3085),
    [sym_decltype_auto] = STATE(3091),
    [sym_decltype] = STATE(3050),
    [sym_class_specifier] = STATE(3085),
    [sym_virtual] = STATE(2673),
    [sym_alignas_specifier] = STATE(2673),
    [sym_dependent_type] = STATE(3085),
    [sym_template_parameter_list] = STATE(1406),
    [sym_reference_declarator] = STATE(7680),
    [sym_structured_binding_declarator] = STATE(7680),
    [sym_template_type] = STATE(3674),
    [sym_template_function] = STATE(7680),
    [sym_destructor_name] = STATE(7680),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6904),
    [sym_qualified_identifier] = STATE(7680),
    [sym_qualified_type_identifier] = STATE(3068),
    [sym_operator_name] = STATE(7680),
    [sym_qualifiers] = STATE(2673),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2673),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3021),
    [sym_identifier] = ACTIONS(4583),
    [anon_sym_LPAREN2] = ACTIONS(2875),
    [anon_sym_TILDE] = ACTIONS(2877),
    [anon_sym_STAR] = ACTIONS(2879),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(2881),
    [anon_sym_LT] = ACTIONS(4585),
    [anon_sym___extension__] = ACTIONS(63),
    [anon_sym_in] = ACTIONS(1480),
    [anon_sym_out] = ACTIONS(1480),
    [anon_sym_inout] = ACTIONS(1480),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(4587),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2096),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(2889),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(2891),
    [anon_sym_enum] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(69),
    [anon_sym_struct] = ACTIONS(71),
    [anon_sym_union] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [anon_sym_virtual] = ACTIONS(123),
    [anon_sym_alignas] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_operator] = ACTIONS(2588),
    [anon_sym_precise] = ACTIONS(161),
    [anon_sym_shared] = ACTIONS(161),
    [anon_sym_groupshared] = ACTIONS(161),
    [anon_sym_uniform] = ACTIONS(161),
    [anon_sym_row_major] = ACTIONS(161),
    [anon_sym_column_major] = ACTIONS(161),
    [anon_sym_globallycoherent] = ACTIONS(161),
    [anon_sym_centroid] = ACTIONS(161),
    [anon_sym_noperspective] = ACTIONS(161),
    [anon_sym_nointerpolation] = ACTIONS(161),
    [anon_sym_sample] = ACTIONS(161),
    [anon_sym_linear] = ACTIONS(161),
    [anon_sym_snorm] = ACTIONS(161),
    [anon_sym_unorm] = ACTIONS(161),
    [anon_sym_point] = ACTIONS(161),
    [anon_sym_line] = ACTIONS(161),
    [anon_sym_triangleadj] = ACTIONS(161),
    [anon_sym_lineadj] = ACTIONS(161),
    [anon_sym_triangle] = ACTIONS(161),
  },
  [1674] = {
    [sym_type_qualifier] = STATE(1689),
    [sym__expression] = STATE(5844),
    [sym__expression_not_binary] = STATE(5024),
    [sym__string] = STATE(5024),
    [sym_conditional_expression] = STATE(5024),
    [sym_assignment_expression] = STATE(5024),
    [sym_pointer_expression] = STATE(4737),
    [sym_unary_expression] = STATE(5024),
    [sym_binary_expression] = STATE(5024),
    [sym_update_expression] = STATE(5024),
    [sym_cast_expression] = STATE(5024),
    [sym_sizeof_expression] = STATE(5024),
    [sym_alignof_expression] = STATE(5024),
    [sym_offsetof_expression] = STATE(5024),
    [sym_generic_expression] = STATE(5024),
    [sym_subscript_expression] = STATE(4737),
    [sym_call_expression] = STATE(4737),
    [sym_gnu_asm_expression] = STATE(5024),
    [sym_field_expression] = STATE(4737),
    [sym_compound_literal_expression] = STATE(5024),
    [sym_parenthesized_expression] = STATE(4737),
    [sym_char_literal] = STATE(5374),
    [sym_concatenated_string] = STATE(5377),
    [sym_string_literal] = STATE(4206),
    [sym_null] = STATE(5024),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9352),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(5024),
    [sym_raw_string_literal] = STATE(4217),
    [sym_co_await_expression] = STATE(5024),
    [sym_new_expression] = STATE(5024),
    [sym_delete_expression] = STATE(5024),
    [sym_requires_clause] = STATE(5024),
    [sym_requires_expression] = STATE(5024),
    [sym_lambda_expression] = STATE(5024),
    [sym_lambda_capture_specifier] = STATE(7184),
    [sym_fold_expression] = STATE(5024),
    [sym_parameter_pack_expansion] = STATE(5024),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6886),
    [sym_qualified_identifier] = STATE(4737),
    [sym_qualified_type_identifier] = STATE(9352),
    [sym_user_defined_literal] = STATE(4737),
    [aux_sym__type_definition_type_repeat1] = STATE(1689),
    [sym_identifier] = ACTIONS(4502),
    [anon_sym_LPAREN2] = ACTIONS(4540),
    [anon_sym_BANG] = ACTIONS(4506),
    [anon_sym_TILDE] = ACTIONS(4506),
    [anon_sym_DASH] = ACTIONS(4504),
    [anon_sym_PLUS] = ACTIONS(4504),
    [anon_sym_STAR] = ACTIONS(4589),
    [anon_sym_AMP] = ACTIONS(1474),
    [anon_sym___extension__] = ACTIONS(4591),
    [anon_sym_COLON_COLON] = ACTIONS(4508),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [anon_sym_RBRACK] = ACTIONS(4593),
    [anon_sym_const] = ACTIONS(4591),
    [anon_sym_constexpr] = ACTIONS(4591),
    [anon_sym_volatile] = ACTIONS(4591),
    [anon_sym_restrict] = ACTIONS(4591),
    [anon_sym___restrict__] = ACTIONS(4591),
    [anon_sym__Atomic] = ACTIONS(4591),
    [anon_sym__Noreturn] = ACTIONS(4591),
    [anon_sym_noreturn] = ACTIONS(4591),
    [anon_sym_mutable] = ACTIONS(4591),
    [anon_sym_constinit] = ACTIONS(4591),
    [anon_sym_consteval] = ACTIONS(4591),
    [sym_primitive_type] = ACTIONS(3146),
    [anon_sym_not] = ACTIONS(4504),
    [anon_sym_compl] = ACTIONS(4504),
    [anon_sym_DASH_DASH] = ACTIONS(4544),
    [anon_sym_PLUS_PLUS] = ACTIONS(4544),
    [anon_sym_sizeof] = ACTIONS(4510),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(4512),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(4514),
    [anon_sym_new] = ACTIONS(4516),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [1675] = {
    [sym_type_qualifier] = STATE(3232),
    [sym__expression] = STATE(5846),
    [sym__expression_not_binary] = STATE(5024),
    [sym__string] = STATE(5024),
    [sym_conditional_expression] = STATE(5024),
    [sym_assignment_expression] = STATE(5024),
    [sym_pointer_expression] = STATE(4737),
    [sym_unary_expression] = STATE(5024),
    [sym_binary_expression] = STATE(5024),
    [sym_update_expression] = STATE(5024),
    [sym_cast_expression] = STATE(5024),
    [sym_sizeof_expression] = STATE(5024),
    [sym_alignof_expression] = STATE(5024),
    [sym_offsetof_expression] = STATE(5024),
    [sym_generic_expression] = STATE(5024),
    [sym_subscript_expression] = STATE(4737),
    [sym_call_expression] = STATE(4737),
    [sym_gnu_asm_expression] = STATE(5024),
    [sym_field_expression] = STATE(4737),
    [sym_compound_literal_expression] = STATE(5024),
    [sym_parenthesized_expression] = STATE(4737),
    [sym_char_literal] = STATE(5374),
    [sym_concatenated_string] = STATE(5377),
    [sym_string_literal] = STATE(4206),
    [sym_null] = STATE(5024),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9352),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(5024),
    [sym_raw_string_literal] = STATE(4217),
    [sym_co_await_expression] = STATE(5024),
    [sym_new_expression] = STATE(5024),
    [sym_delete_expression] = STATE(5024),
    [sym_requires_clause] = STATE(5024),
    [sym_requires_expression] = STATE(5024),
    [sym_lambda_expression] = STATE(5024),
    [sym_lambda_capture_specifier] = STATE(7184),
    [sym_fold_expression] = STATE(5024),
    [sym_parameter_pack_expansion] = STATE(5024),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6886),
    [sym_qualified_identifier] = STATE(4737),
    [sym_qualified_type_identifier] = STATE(9352),
    [sym_user_defined_literal] = STATE(4737),
    [aux_sym__type_definition_type_repeat1] = STATE(3232),
    [sym_identifier] = ACTIONS(4502),
    [anon_sym_LPAREN2] = ACTIONS(4540),
    [anon_sym_BANG] = ACTIONS(4506),
    [anon_sym_TILDE] = ACTIONS(4506),
    [anon_sym_DASH] = ACTIONS(4504),
    [anon_sym_PLUS] = ACTIONS(4504),
    [anon_sym_STAR] = ACTIONS(4595),
    [anon_sym_AMP] = ACTIONS(1474),
    [anon_sym___extension__] = ACTIONS(4591),
    [anon_sym_COLON_COLON] = ACTIONS(4508),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [anon_sym_RBRACK] = ACTIONS(4597),
    [anon_sym_const] = ACTIONS(4591),
    [anon_sym_constexpr] = ACTIONS(4591),
    [anon_sym_volatile] = ACTIONS(4591),
    [anon_sym_restrict] = ACTIONS(4591),
    [anon_sym___restrict__] = ACTIONS(4591),
    [anon_sym__Atomic] = ACTIONS(4591),
    [anon_sym__Noreturn] = ACTIONS(4591),
    [anon_sym_noreturn] = ACTIONS(4591),
    [anon_sym_mutable] = ACTIONS(4591),
    [anon_sym_constinit] = ACTIONS(4591),
    [anon_sym_consteval] = ACTIONS(4591),
    [sym_primitive_type] = ACTIONS(3146),
    [anon_sym_not] = ACTIONS(4504),
    [anon_sym_compl] = ACTIONS(4504),
    [anon_sym_DASH_DASH] = ACTIONS(4544),
    [anon_sym_PLUS_PLUS] = ACTIONS(4544),
    [anon_sym_sizeof] = ACTIONS(4510),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(4512),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(4514),
    [anon_sym_new] = ACTIONS(4516),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [1676] = {
    [sym_type_qualifier] = STATE(3232),
    [sym__expression] = STATE(5921),
    [sym__expression_not_binary] = STATE(5024),
    [sym__string] = STATE(5024),
    [sym_conditional_expression] = STATE(5024),
    [sym_assignment_expression] = STATE(5024),
    [sym_pointer_expression] = STATE(4737),
    [sym_unary_expression] = STATE(5024),
    [sym_binary_expression] = STATE(5024),
    [sym_update_expression] = STATE(5024),
    [sym_cast_expression] = STATE(5024),
    [sym_sizeof_expression] = STATE(5024),
    [sym_alignof_expression] = STATE(5024),
    [sym_offsetof_expression] = STATE(5024),
    [sym_generic_expression] = STATE(5024),
    [sym_subscript_expression] = STATE(4737),
    [sym_call_expression] = STATE(4737),
    [sym_gnu_asm_expression] = STATE(5024),
    [sym_field_expression] = STATE(4737),
    [sym_compound_literal_expression] = STATE(5024),
    [sym_parenthesized_expression] = STATE(4737),
    [sym_char_literal] = STATE(5374),
    [sym_concatenated_string] = STATE(5377),
    [sym_string_literal] = STATE(4206),
    [sym_null] = STATE(5024),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9352),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(5024),
    [sym_raw_string_literal] = STATE(4217),
    [sym_co_await_expression] = STATE(5024),
    [sym_new_expression] = STATE(5024),
    [sym_delete_expression] = STATE(5024),
    [sym_requires_clause] = STATE(5024),
    [sym_requires_expression] = STATE(5024),
    [sym_lambda_expression] = STATE(5024),
    [sym_lambda_capture_specifier] = STATE(7184),
    [sym_fold_expression] = STATE(5024),
    [sym_parameter_pack_expansion] = STATE(5024),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6886),
    [sym_qualified_identifier] = STATE(4737),
    [sym_qualified_type_identifier] = STATE(9352),
    [sym_user_defined_literal] = STATE(4737),
    [aux_sym__type_definition_type_repeat1] = STATE(3232),
    [sym_identifier] = ACTIONS(4502),
    [anon_sym_LPAREN2] = ACTIONS(4540),
    [anon_sym_BANG] = ACTIONS(4506),
    [anon_sym_TILDE] = ACTIONS(4506),
    [anon_sym_DASH] = ACTIONS(4504),
    [anon_sym_PLUS] = ACTIONS(4504),
    [anon_sym_STAR] = ACTIONS(4599),
    [anon_sym_AMP] = ACTIONS(1474),
    [anon_sym___extension__] = ACTIONS(4591),
    [anon_sym_COLON_COLON] = ACTIONS(4508),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [anon_sym_RBRACK] = ACTIONS(4601),
    [anon_sym_const] = ACTIONS(4591),
    [anon_sym_constexpr] = ACTIONS(4591),
    [anon_sym_volatile] = ACTIONS(4591),
    [anon_sym_restrict] = ACTIONS(4591),
    [anon_sym___restrict__] = ACTIONS(4591),
    [anon_sym__Atomic] = ACTIONS(4591),
    [anon_sym__Noreturn] = ACTIONS(4591),
    [anon_sym_noreturn] = ACTIONS(4591),
    [anon_sym_mutable] = ACTIONS(4591),
    [anon_sym_constinit] = ACTIONS(4591),
    [anon_sym_consteval] = ACTIONS(4591),
    [sym_primitive_type] = ACTIONS(3146),
    [anon_sym_not] = ACTIONS(4504),
    [anon_sym_compl] = ACTIONS(4504),
    [anon_sym_DASH_DASH] = ACTIONS(4544),
    [anon_sym_PLUS_PLUS] = ACTIONS(4544),
    [anon_sym_sizeof] = ACTIONS(4510),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(4512),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(4514),
    [anon_sym_new] = ACTIONS(4516),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [1677] = {
    [sym_type_qualifier] = STATE(3232),
    [sym__expression] = STATE(5902),
    [sym__expression_not_binary] = STATE(5024),
    [sym__string] = STATE(5024),
    [sym_conditional_expression] = STATE(5024),
    [sym_assignment_expression] = STATE(5024),
    [sym_pointer_expression] = STATE(4737),
    [sym_unary_expression] = STATE(5024),
    [sym_binary_expression] = STATE(5024),
    [sym_update_expression] = STATE(5024),
    [sym_cast_expression] = STATE(5024),
    [sym_sizeof_expression] = STATE(5024),
    [sym_alignof_expression] = STATE(5024),
    [sym_offsetof_expression] = STATE(5024),
    [sym_generic_expression] = STATE(5024),
    [sym_subscript_expression] = STATE(4737),
    [sym_call_expression] = STATE(4737),
    [sym_gnu_asm_expression] = STATE(5024),
    [sym_field_expression] = STATE(4737),
    [sym_compound_literal_expression] = STATE(5024),
    [sym_parenthesized_expression] = STATE(4737),
    [sym_char_literal] = STATE(5374),
    [sym_concatenated_string] = STATE(5377),
    [sym_string_literal] = STATE(4206),
    [sym_null] = STATE(5024),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9352),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(5024),
    [sym_raw_string_literal] = STATE(4217),
    [sym_co_await_expression] = STATE(5024),
    [sym_new_expression] = STATE(5024),
    [sym_delete_expression] = STATE(5024),
    [sym_requires_clause] = STATE(5024),
    [sym_requires_expression] = STATE(5024),
    [sym_lambda_expression] = STATE(5024),
    [sym_lambda_capture_specifier] = STATE(7184),
    [sym_fold_expression] = STATE(5024),
    [sym_parameter_pack_expansion] = STATE(5024),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6886),
    [sym_qualified_identifier] = STATE(4737),
    [sym_qualified_type_identifier] = STATE(9352),
    [sym_user_defined_literal] = STATE(4737),
    [aux_sym__type_definition_type_repeat1] = STATE(3232),
    [sym_identifier] = ACTIONS(4502),
    [anon_sym_LPAREN2] = ACTIONS(4540),
    [anon_sym_BANG] = ACTIONS(4506),
    [anon_sym_TILDE] = ACTIONS(4506),
    [anon_sym_DASH] = ACTIONS(4504),
    [anon_sym_PLUS] = ACTIONS(4504),
    [anon_sym_STAR] = ACTIONS(4603),
    [anon_sym_AMP] = ACTIONS(1474),
    [anon_sym___extension__] = ACTIONS(4591),
    [anon_sym_COLON_COLON] = ACTIONS(4508),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [anon_sym_RBRACK] = ACTIONS(4605),
    [anon_sym_const] = ACTIONS(4591),
    [anon_sym_constexpr] = ACTIONS(4591),
    [anon_sym_volatile] = ACTIONS(4591),
    [anon_sym_restrict] = ACTIONS(4591),
    [anon_sym___restrict__] = ACTIONS(4591),
    [anon_sym__Atomic] = ACTIONS(4591),
    [anon_sym__Noreturn] = ACTIONS(4591),
    [anon_sym_noreturn] = ACTIONS(4591),
    [anon_sym_mutable] = ACTIONS(4591),
    [anon_sym_constinit] = ACTIONS(4591),
    [anon_sym_consteval] = ACTIONS(4591),
    [sym_primitive_type] = ACTIONS(3146),
    [anon_sym_not] = ACTIONS(4504),
    [anon_sym_compl] = ACTIONS(4504),
    [anon_sym_DASH_DASH] = ACTIONS(4544),
    [anon_sym_PLUS_PLUS] = ACTIONS(4544),
    [anon_sym_sizeof] = ACTIONS(4510),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(4512),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(4514),
    [anon_sym_new] = ACTIONS(4516),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [1678] = {
    [sym_type_qualifier] = STATE(3232),
    [sym__expression] = STATE(5807),
    [sym__expression_not_binary] = STATE(5024),
    [sym__string] = STATE(5024),
    [sym_conditional_expression] = STATE(5024),
    [sym_assignment_expression] = STATE(5024),
    [sym_pointer_expression] = STATE(4737),
    [sym_unary_expression] = STATE(5024),
    [sym_binary_expression] = STATE(5024),
    [sym_update_expression] = STATE(5024),
    [sym_cast_expression] = STATE(5024),
    [sym_sizeof_expression] = STATE(5024),
    [sym_alignof_expression] = STATE(5024),
    [sym_offsetof_expression] = STATE(5024),
    [sym_generic_expression] = STATE(5024),
    [sym_subscript_expression] = STATE(4737),
    [sym_call_expression] = STATE(4737),
    [sym_gnu_asm_expression] = STATE(5024),
    [sym_field_expression] = STATE(4737),
    [sym_compound_literal_expression] = STATE(5024),
    [sym_parenthesized_expression] = STATE(4737),
    [sym_char_literal] = STATE(5374),
    [sym_concatenated_string] = STATE(5377),
    [sym_string_literal] = STATE(4206),
    [sym_null] = STATE(5024),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9352),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(5024),
    [sym_raw_string_literal] = STATE(4217),
    [sym_co_await_expression] = STATE(5024),
    [sym_new_expression] = STATE(5024),
    [sym_delete_expression] = STATE(5024),
    [sym_requires_clause] = STATE(5024),
    [sym_requires_expression] = STATE(5024),
    [sym_lambda_expression] = STATE(5024),
    [sym_lambda_capture_specifier] = STATE(7184),
    [sym_fold_expression] = STATE(5024),
    [sym_parameter_pack_expansion] = STATE(5024),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6886),
    [sym_qualified_identifier] = STATE(4737),
    [sym_qualified_type_identifier] = STATE(9352),
    [sym_user_defined_literal] = STATE(4737),
    [aux_sym__type_definition_type_repeat1] = STATE(3232),
    [sym_identifier] = ACTIONS(4502),
    [anon_sym_LPAREN2] = ACTIONS(4540),
    [anon_sym_BANG] = ACTIONS(4506),
    [anon_sym_TILDE] = ACTIONS(4506),
    [anon_sym_DASH] = ACTIONS(4504),
    [anon_sym_PLUS] = ACTIONS(4504),
    [anon_sym_STAR] = ACTIONS(4607),
    [anon_sym_AMP] = ACTIONS(1474),
    [anon_sym___extension__] = ACTIONS(4591),
    [anon_sym_COLON_COLON] = ACTIONS(4508),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [anon_sym_RBRACK] = ACTIONS(4609),
    [anon_sym_const] = ACTIONS(4591),
    [anon_sym_constexpr] = ACTIONS(4591),
    [anon_sym_volatile] = ACTIONS(4591),
    [anon_sym_restrict] = ACTIONS(4591),
    [anon_sym___restrict__] = ACTIONS(4591),
    [anon_sym__Atomic] = ACTIONS(4591),
    [anon_sym__Noreturn] = ACTIONS(4591),
    [anon_sym_noreturn] = ACTIONS(4591),
    [anon_sym_mutable] = ACTIONS(4591),
    [anon_sym_constinit] = ACTIONS(4591),
    [anon_sym_consteval] = ACTIONS(4591),
    [sym_primitive_type] = ACTIONS(3146),
    [anon_sym_not] = ACTIONS(4504),
    [anon_sym_compl] = ACTIONS(4504),
    [anon_sym_DASH_DASH] = ACTIONS(4544),
    [anon_sym_PLUS_PLUS] = ACTIONS(4544),
    [anon_sym_sizeof] = ACTIONS(4510),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(4512),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(4514),
    [anon_sym_new] = ACTIONS(4516),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [1679] = {
    [sym_type_qualifier] = STATE(3232),
    [sym__expression] = STATE(5814),
    [sym__expression_not_binary] = STATE(5024),
    [sym__string] = STATE(5024),
    [sym_conditional_expression] = STATE(5024),
    [sym_assignment_expression] = STATE(5024),
    [sym_pointer_expression] = STATE(4737),
    [sym_unary_expression] = STATE(5024),
    [sym_binary_expression] = STATE(5024),
    [sym_update_expression] = STATE(5024),
    [sym_cast_expression] = STATE(5024),
    [sym_sizeof_expression] = STATE(5024),
    [sym_alignof_expression] = STATE(5024),
    [sym_offsetof_expression] = STATE(5024),
    [sym_generic_expression] = STATE(5024),
    [sym_subscript_expression] = STATE(4737),
    [sym_call_expression] = STATE(4737),
    [sym_gnu_asm_expression] = STATE(5024),
    [sym_field_expression] = STATE(4737),
    [sym_compound_literal_expression] = STATE(5024),
    [sym_parenthesized_expression] = STATE(4737),
    [sym_char_literal] = STATE(5374),
    [sym_concatenated_string] = STATE(5377),
    [sym_string_literal] = STATE(4206),
    [sym_null] = STATE(5024),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9352),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(5024),
    [sym_raw_string_literal] = STATE(4217),
    [sym_co_await_expression] = STATE(5024),
    [sym_new_expression] = STATE(5024),
    [sym_delete_expression] = STATE(5024),
    [sym_requires_clause] = STATE(5024),
    [sym_requires_expression] = STATE(5024),
    [sym_lambda_expression] = STATE(5024),
    [sym_lambda_capture_specifier] = STATE(7184),
    [sym_fold_expression] = STATE(5024),
    [sym_parameter_pack_expansion] = STATE(5024),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6886),
    [sym_qualified_identifier] = STATE(4737),
    [sym_qualified_type_identifier] = STATE(9352),
    [sym_user_defined_literal] = STATE(4737),
    [aux_sym__type_definition_type_repeat1] = STATE(3232),
    [sym_identifier] = ACTIONS(4502),
    [anon_sym_LPAREN2] = ACTIONS(4540),
    [anon_sym_BANG] = ACTIONS(4506),
    [anon_sym_TILDE] = ACTIONS(4506),
    [anon_sym_DASH] = ACTIONS(4504),
    [anon_sym_PLUS] = ACTIONS(4504),
    [anon_sym_STAR] = ACTIONS(4611),
    [anon_sym_AMP] = ACTIONS(1474),
    [anon_sym___extension__] = ACTIONS(4591),
    [anon_sym_COLON_COLON] = ACTIONS(4508),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [anon_sym_RBRACK] = ACTIONS(4613),
    [anon_sym_const] = ACTIONS(4591),
    [anon_sym_constexpr] = ACTIONS(4591),
    [anon_sym_volatile] = ACTIONS(4591),
    [anon_sym_restrict] = ACTIONS(4591),
    [anon_sym___restrict__] = ACTIONS(4591),
    [anon_sym__Atomic] = ACTIONS(4591),
    [anon_sym__Noreturn] = ACTIONS(4591),
    [anon_sym_noreturn] = ACTIONS(4591),
    [anon_sym_mutable] = ACTIONS(4591),
    [anon_sym_constinit] = ACTIONS(4591),
    [anon_sym_consteval] = ACTIONS(4591),
    [sym_primitive_type] = ACTIONS(3146),
    [anon_sym_not] = ACTIONS(4504),
    [anon_sym_compl] = ACTIONS(4504),
    [anon_sym_DASH_DASH] = ACTIONS(4544),
    [anon_sym_PLUS_PLUS] = ACTIONS(4544),
    [anon_sym_sizeof] = ACTIONS(4510),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(4512),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(4514),
    [anon_sym_new] = ACTIONS(4516),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [1680] = {
    [sym_template_argument_list] = STATE(1707),
    [sym_identifier] = ACTIONS(2232),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4548),
    [anon_sym_COMMA] = ACTIONS(4548),
    [anon_sym_RPAREN] = ACTIONS(4548),
    [anon_sym_LPAREN2] = ACTIONS(4548),
    [anon_sym_TILDE] = ACTIONS(2234),
    [anon_sym_DASH] = ACTIONS(4551),
    [anon_sym_PLUS] = ACTIONS(4551),
    [anon_sym_STAR] = ACTIONS(4553),
    [anon_sym_SLASH] = ACTIONS(4551),
    [anon_sym_PERCENT] = ACTIONS(4551),
    [anon_sym_PIPE_PIPE] = ACTIONS(4546),
    [anon_sym_AMP_AMP] = ACTIONS(4548),
    [anon_sym_PIPE] = ACTIONS(4551),
    [anon_sym_CARET] = ACTIONS(4551),
    [anon_sym_AMP] = ACTIONS(4553),
    [anon_sym_EQ_EQ] = ACTIONS(4546),
    [anon_sym_BANG_EQ] = ACTIONS(4546),
    [anon_sym_GT] = ACTIONS(4551),
    [anon_sym_GT_EQ] = ACTIONS(4546),
    [anon_sym_LT_EQ] = ACTIONS(4551),
    [anon_sym_LT] = ACTIONS(4615),
    [anon_sym_LT_LT] = ACTIONS(4551),
    [anon_sym_GT_GT] = ACTIONS(4551),
    [anon_sym_COLON] = ACTIONS(2232),
    [anon_sym___extension__] = ACTIONS(2232),
    [anon_sym_in] = ACTIONS(2232),
    [anon_sym_out] = ACTIONS(2232),
    [anon_sym_inout] = ACTIONS(2232),
    [anon_sym_extern] = ACTIONS(2232),
    [anon_sym___attribute__] = ACTIONS(2232),
    [anon_sym_COLON_COLON] = ACTIONS(2230),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2234),
    [anon_sym___declspec] = ACTIONS(2232),
    [anon_sym___based] = ACTIONS(2232),
    [anon_sym_LBRACE] = ACTIONS(2234),
    [anon_sym_LBRACK] = ACTIONS(4553),
    [anon_sym_EQ] = ACTIONS(4553),
    [anon_sym_static] = ACTIONS(2232),
    [anon_sym_register] = ACTIONS(2232),
    [anon_sym_inline] = ACTIONS(2232),
    [anon_sym___inline] = ACTIONS(2232),
    [anon_sym___inline__] = ACTIONS(2232),
    [anon_sym___forceinline] = ACTIONS(2232),
    [anon_sym_thread_local] = ACTIONS(2232),
    [anon_sym___thread] = ACTIONS(2232),
    [anon_sym_const] = ACTIONS(2232),
    [anon_sym_constexpr] = ACTIONS(2232),
    [anon_sym_volatile] = ACTIONS(2232),
    [anon_sym_restrict] = ACTIONS(2232),
    [anon_sym___restrict__] = ACTIONS(2232),
    [anon_sym__Atomic] = ACTIONS(2232),
    [anon_sym__Noreturn] = ACTIONS(2232),
    [anon_sym_noreturn] = ACTIONS(2232),
    [anon_sym_mutable] = ACTIONS(2232),
    [anon_sym_constinit] = ACTIONS(2232),
    [anon_sym_consteval] = ACTIONS(2232),
    [anon_sym_QMARK] = ACTIONS(4546),
    [anon_sym_STAR_EQ] = ACTIONS(4546),
    [anon_sym_SLASH_EQ] = ACTIONS(4546),
    [anon_sym_PERCENT_EQ] = ACTIONS(4546),
    [anon_sym_PLUS_EQ] = ACTIONS(4546),
    [anon_sym_DASH_EQ] = ACTIONS(4546),
    [anon_sym_LT_LT_EQ] = ACTIONS(4546),
    [anon_sym_GT_GT_EQ] = ACTIONS(4546),
    [anon_sym_AMP_EQ] = ACTIONS(4546),
    [anon_sym_CARET_EQ] = ACTIONS(4546),
    [anon_sym_PIPE_EQ] = ACTIONS(4546),
    [anon_sym_and_eq] = ACTIONS(4551),
    [anon_sym_or_eq] = ACTIONS(4551),
    [anon_sym_xor_eq] = ACTIONS(4551),
    [anon_sym_LT_EQ_GT] = ACTIONS(4546),
    [anon_sym_or] = ACTIONS(4551),
    [anon_sym_and] = ACTIONS(4551),
    [anon_sym_bitor] = ACTIONS(4551),
    [anon_sym_xor] = ACTIONS(4551),
    [anon_sym_bitand] = ACTIONS(4551),
    [anon_sym_not_eq] = ACTIONS(4551),
    [anon_sym_DASH_DASH] = ACTIONS(4546),
    [anon_sym_PLUS_PLUS] = ACTIONS(4546),
    [anon_sym_DOT] = ACTIONS(4551),
    [anon_sym_DOT_STAR] = ACTIONS(4546),
    [anon_sym_DASH_GT] = ACTIONS(4551),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2232),
    [anon_sym_decltype] = ACTIONS(2232),
    [anon_sym_virtual] = ACTIONS(2232),
    [anon_sym_alignas] = ACTIONS(2232),
    [anon_sym_template] = ACTIONS(2232),
    [anon_sym_operator] = ACTIONS(2232),
    [anon_sym_DASH_GT_STAR] = ACTIONS(4546),
    [anon_sym_precise] = ACTIONS(2232),
    [anon_sym_shared] = ACTIONS(2232),
    [anon_sym_groupshared] = ACTIONS(2232),
    [anon_sym_uniform] = ACTIONS(2232),
    [anon_sym_row_major] = ACTIONS(2232),
    [anon_sym_column_major] = ACTIONS(2232),
    [anon_sym_globallycoherent] = ACTIONS(2232),
    [anon_sym_centroid] = ACTIONS(2232),
    [anon_sym_noperspective] = ACTIONS(2232),
    [anon_sym_nointerpolation] = ACTIONS(2232),
    [anon_sym_sample] = ACTIONS(2232),
    [anon_sym_linear] = ACTIONS(2232),
    [anon_sym_snorm] = ACTIONS(2232),
    [anon_sym_unorm] = ACTIONS(2232),
    [anon_sym_point] = ACTIONS(2232),
    [anon_sym_line] = ACTIONS(2232),
    [anon_sym_triangleadj] = ACTIONS(2232),
    [anon_sym_lineadj] = ACTIONS(2232),
    [anon_sym_triangle] = ACTIONS(2232),
  },
  [1681] = {
    [sym_type_qualifier] = STATE(1698),
    [sym__expression] = STATE(5937),
    [sym__expression_not_binary] = STATE(5024),
    [sym__string] = STATE(5024),
    [sym_conditional_expression] = STATE(5024),
    [sym_assignment_expression] = STATE(5024),
    [sym_pointer_expression] = STATE(4737),
    [sym_unary_expression] = STATE(5024),
    [sym_binary_expression] = STATE(5024),
    [sym_update_expression] = STATE(5024),
    [sym_cast_expression] = STATE(5024),
    [sym_sizeof_expression] = STATE(5024),
    [sym_alignof_expression] = STATE(5024),
    [sym_offsetof_expression] = STATE(5024),
    [sym_generic_expression] = STATE(5024),
    [sym_subscript_expression] = STATE(4737),
    [sym_call_expression] = STATE(4737),
    [sym_gnu_asm_expression] = STATE(5024),
    [sym_field_expression] = STATE(4737),
    [sym_compound_literal_expression] = STATE(5024),
    [sym_parenthesized_expression] = STATE(4737),
    [sym_char_literal] = STATE(5374),
    [sym_concatenated_string] = STATE(5377),
    [sym_string_literal] = STATE(4206),
    [sym_null] = STATE(5024),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9352),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(5024),
    [sym_raw_string_literal] = STATE(4217),
    [sym_co_await_expression] = STATE(5024),
    [sym_new_expression] = STATE(5024),
    [sym_delete_expression] = STATE(5024),
    [sym_requires_clause] = STATE(5024),
    [sym_requires_expression] = STATE(5024),
    [sym_lambda_expression] = STATE(5024),
    [sym_lambda_capture_specifier] = STATE(7184),
    [sym_fold_expression] = STATE(5024),
    [sym_parameter_pack_expansion] = STATE(5024),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6886),
    [sym_qualified_identifier] = STATE(4737),
    [sym_qualified_type_identifier] = STATE(9352),
    [sym_user_defined_literal] = STATE(4737),
    [aux_sym__type_definition_type_repeat1] = STATE(1698),
    [sym_identifier] = ACTIONS(4502),
    [anon_sym_LPAREN2] = ACTIONS(4540),
    [anon_sym_BANG] = ACTIONS(4506),
    [anon_sym_TILDE] = ACTIONS(4506),
    [anon_sym_DASH] = ACTIONS(4504),
    [anon_sym_PLUS] = ACTIONS(4504),
    [anon_sym_STAR] = ACTIONS(4618),
    [anon_sym_AMP] = ACTIONS(1474),
    [anon_sym___extension__] = ACTIONS(4591),
    [anon_sym_COLON_COLON] = ACTIONS(4508),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [anon_sym_RBRACK] = ACTIONS(4620),
    [anon_sym_const] = ACTIONS(4591),
    [anon_sym_constexpr] = ACTIONS(4591),
    [anon_sym_volatile] = ACTIONS(4591),
    [anon_sym_restrict] = ACTIONS(4591),
    [anon_sym___restrict__] = ACTIONS(4591),
    [anon_sym__Atomic] = ACTIONS(4591),
    [anon_sym__Noreturn] = ACTIONS(4591),
    [anon_sym_noreturn] = ACTIONS(4591),
    [anon_sym_mutable] = ACTIONS(4591),
    [anon_sym_constinit] = ACTIONS(4591),
    [anon_sym_consteval] = ACTIONS(4591),
    [sym_primitive_type] = ACTIONS(3146),
    [anon_sym_not] = ACTIONS(4504),
    [anon_sym_compl] = ACTIONS(4504),
    [anon_sym_DASH_DASH] = ACTIONS(4544),
    [anon_sym_PLUS_PLUS] = ACTIONS(4544),
    [anon_sym_sizeof] = ACTIONS(4510),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(4512),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(4514),
    [anon_sym_new] = ACTIONS(4516),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [1682] = {
    [sym_identifier] = ACTIONS(2805),
    [anon_sym_LPAREN2] = ACTIONS(2807),
    [anon_sym_BANG] = ACTIONS(2807),
    [anon_sym_TILDE] = ACTIONS(2807),
    [anon_sym_DASH] = ACTIONS(2805),
    [anon_sym_PLUS] = ACTIONS(2805),
    [anon_sym_STAR] = ACTIONS(2807),
    [anon_sym_AMP] = ACTIONS(2807),
    [anon_sym___extension__] = ACTIONS(2805),
    [anon_sym_in] = ACTIONS(2805),
    [anon_sym_out] = ACTIONS(2805),
    [anon_sym_inout] = ACTIONS(2805),
    [anon_sym_extern] = ACTIONS(2805),
    [anon_sym___attribute__] = ACTIONS(2805),
    [anon_sym_COLON_COLON] = ACTIONS(2807),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2807),
    [anon_sym___declspec] = ACTIONS(2805),
    [anon_sym_signed] = ACTIONS(2805),
    [anon_sym_unsigned] = ACTIONS(2805),
    [anon_sym_long] = ACTIONS(2805),
    [anon_sym_short] = ACTIONS(2805),
    [anon_sym_LBRACK] = ACTIONS(2805),
    [anon_sym_static] = ACTIONS(2805),
    [anon_sym_register] = ACTIONS(2805),
    [anon_sym_inline] = ACTIONS(2805),
    [anon_sym___inline] = ACTIONS(2805),
    [anon_sym___inline__] = ACTIONS(2805),
    [anon_sym___forceinline] = ACTIONS(2805),
    [anon_sym_thread_local] = ACTIONS(2805),
    [anon_sym___thread] = ACTIONS(2805),
    [anon_sym_const] = ACTIONS(2805),
    [anon_sym_constexpr] = ACTIONS(2805),
    [anon_sym_volatile] = ACTIONS(2805),
    [anon_sym_restrict] = ACTIONS(2805),
    [anon_sym___restrict__] = ACTIONS(2805),
    [anon_sym__Atomic] = ACTIONS(2805),
    [anon_sym__Noreturn] = ACTIONS(2805),
    [anon_sym_noreturn] = ACTIONS(2805),
    [anon_sym_mutable] = ACTIONS(2805),
    [anon_sym_constinit] = ACTIONS(2805),
    [anon_sym_consteval] = ACTIONS(2805),
    [sym_primitive_type] = ACTIONS(2805),
    [anon_sym_enum] = ACTIONS(2805),
    [anon_sym_class] = ACTIONS(2805),
    [anon_sym_struct] = ACTIONS(2805),
    [anon_sym_union] = ACTIONS(2805),
    [anon_sym_not] = ACTIONS(2805),
    [anon_sym_compl] = ACTIONS(2805),
    [anon_sym_DASH_DASH] = ACTIONS(2807),
    [anon_sym_PLUS_PLUS] = ACTIONS(2807),
    [anon_sym_sizeof] = ACTIONS(2805),
    [anon_sym___alignof__] = ACTIONS(2805),
    [anon_sym___alignof] = ACTIONS(2805),
    [anon_sym__alignof] = ACTIONS(2805),
    [anon_sym_alignof] = ACTIONS(2805),
    [anon_sym__Alignof] = ACTIONS(2805),
    [anon_sym_offsetof] = ACTIONS(2805),
    [anon_sym__Generic] = ACTIONS(2805),
    [anon_sym_asm] = ACTIONS(2805),
    [anon_sym___asm__] = ACTIONS(2805),
    [sym_number_literal] = ACTIONS(2807),
    [anon_sym_L_SQUOTE] = ACTIONS(2807),
    [anon_sym_u_SQUOTE] = ACTIONS(2807),
    [anon_sym_U_SQUOTE] = ACTIONS(2807),
    [anon_sym_u8_SQUOTE] = ACTIONS(2807),
    [anon_sym_SQUOTE] = ACTIONS(2807),
    [anon_sym_L_DQUOTE] = ACTIONS(2807),
    [anon_sym_u_DQUOTE] = ACTIONS(2807),
    [anon_sym_U_DQUOTE] = ACTIONS(2807),
    [anon_sym_u8_DQUOTE] = ACTIONS(2807),
    [anon_sym_DQUOTE] = ACTIONS(2807),
    [sym_true] = ACTIONS(2805),
    [sym_false] = ACTIONS(2805),
    [anon_sym_NULL] = ACTIONS(2805),
    [anon_sym_nullptr] = ACTIONS(2805),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2805),
    [anon_sym_decltype] = ACTIONS(2805),
    [anon_sym_virtual] = ACTIONS(2805),
    [anon_sym_alignas] = ACTIONS(2805),
    [anon_sym_typename] = ACTIONS(2805),
    [anon_sym_template] = ACTIONS(2805),
    [anon_sym_delete] = ACTIONS(2805),
    [anon_sym_R_DQUOTE] = ACTIONS(2807),
    [anon_sym_LR_DQUOTE] = ACTIONS(2807),
    [anon_sym_uR_DQUOTE] = ACTIONS(2807),
    [anon_sym_UR_DQUOTE] = ACTIONS(2807),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2807),
    [anon_sym_co_await] = ACTIONS(2805),
    [anon_sym_new] = ACTIONS(2805),
    [anon_sym_requires] = ACTIONS(2805),
    [sym_this] = ACTIONS(2805),
    [anon_sym_precise] = ACTIONS(2805),
    [anon_sym_shared] = ACTIONS(2805),
    [anon_sym_groupshared] = ACTIONS(2805),
    [anon_sym_uniform] = ACTIONS(2805),
    [anon_sym_row_major] = ACTIONS(2805),
    [anon_sym_column_major] = ACTIONS(2805),
    [anon_sym_globallycoherent] = ACTIONS(2805),
    [anon_sym_centroid] = ACTIONS(2805),
    [anon_sym_noperspective] = ACTIONS(2805),
    [anon_sym_nointerpolation] = ACTIONS(2805),
    [anon_sym_sample] = ACTIONS(2805),
    [anon_sym_linear] = ACTIONS(2805),
    [anon_sym_snorm] = ACTIONS(2805),
    [anon_sym_unorm] = ACTIONS(2805),
    [anon_sym_point] = ACTIONS(2805),
    [anon_sym_line] = ACTIONS(2805),
    [anon_sym_triangleadj] = ACTIONS(2805),
    [anon_sym_lineadj] = ACTIONS(2805),
    [anon_sym_triangle] = ACTIONS(2805),
  },
  [1683] = {
    [sym_type_qualifier] = STATE(3232),
    [sym__expression] = STATE(5834),
    [sym__expression_not_binary] = STATE(5024),
    [sym__string] = STATE(5024),
    [sym_conditional_expression] = STATE(5024),
    [sym_assignment_expression] = STATE(5024),
    [sym_pointer_expression] = STATE(4737),
    [sym_unary_expression] = STATE(5024),
    [sym_binary_expression] = STATE(5024),
    [sym_update_expression] = STATE(5024),
    [sym_cast_expression] = STATE(5024),
    [sym_sizeof_expression] = STATE(5024),
    [sym_alignof_expression] = STATE(5024),
    [sym_offsetof_expression] = STATE(5024),
    [sym_generic_expression] = STATE(5024),
    [sym_subscript_expression] = STATE(4737),
    [sym_call_expression] = STATE(4737),
    [sym_gnu_asm_expression] = STATE(5024),
    [sym_field_expression] = STATE(4737),
    [sym_compound_literal_expression] = STATE(5024),
    [sym_parenthesized_expression] = STATE(4737),
    [sym_char_literal] = STATE(5374),
    [sym_concatenated_string] = STATE(5377),
    [sym_string_literal] = STATE(4206),
    [sym_null] = STATE(5024),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9352),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(5024),
    [sym_raw_string_literal] = STATE(4217),
    [sym_co_await_expression] = STATE(5024),
    [sym_new_expression] = STATE(5024),
    [sym_delete_expression] = STATE(5024),
    [sym_requires_clause] = STATE(5024),
    [sym_requires_expression] = STATE(5024),
    [sym_lambda_expression] = STATE(5024),
    [sym_lambda_capture_specifier] = STATE(7184),
    [sym_fold_expression] = STATE(5024),
    [sym_parameter_pack_expansion] = STATE(5024),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6886),
    [sym_qualified_identifier] = STATE(4737),
    [sym_qualified_type_identifier] = STATE(9352),
    [sym_user_defined_literal] = STATE(4737),
    [aux_sym__type_definition_type_repeat1] = STATE(3232),
    [sym_identifier] = ACTIONS(4502),
    [anon_sym_LPAREN2] = ACTIONS(4540),
    [anon_sym_BANG] = ACTIONS(4506),
    [anon_sym_TILDE] = ACTIONS(4506),
    [anon_sym_DASH] = ACTIONS(4504),
    [anon_sym_PLUS] = ACTIONS(4504),
    [anon_sym_STAR] = ACTIONS(4622),
    [anon_sym_AMP] = ACTIONS(1474),
    [anon_sym___extension__] = ACTIONS(4591),
    [anon_sym_COLON_COLON] = ACTIONS(4508),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [anon_sym_RBRACK] = ACTIONS(4624),
    [anon_sym_const] = ACTIONS(4591),
    [anon_sym_constexpr] = ACTIONS(4591),
    [anon_sym_volatile] = ACTIONS(4591),
    [anon_sym_restrict] = ACTIONS(4591),
    [anon_sym___restrict__] = ACTIONS(4591),
    [anon_sym__Atomic] = ACTIONS(4591),
    [anon_sym__Noreturn] = ACTIONS(4591),
    [anon_sym_noreturn] = ACTIONS(4591),
    [anon_sym_mutable] = ACTIONS(4591),
    [anon_sym_constinit] = ACTIONS(4591),
    [anon_sym_consteval] = ACTIONS(4591),
    [sym_primitive_type] = ACTIONS(3146),
    [anon_sym_not] = ACTIONS(4504),
    [anon_sym_compl] = ACTIONS(4504),
    [anon_sym_DASH_DASH] = ACTIONS(4544),
    [anon_sym_PLUS_PLUS] = ACTIONS(4544),
    [anon_sym_sizeof] = ACTIONS(4510),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(4512),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(4514),
    [anon_sym_new] = ACTIONS(4516),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [1684] = {
    [sym_type_qualifier] = STATE(3232),
    [sym__expression] = STATE(5835),
    [sym__expression_not_binary] = STATE(5024),
    [sym__string] = STATE(5024),
    [sym_conditional_expression] = STATE(5024),
    [sym_assignment_expression] = STATE(5024),
    [sym_pointer_expression] = STATE(4737),
    [sym_unary_expression] = STATE(5024),
    [sym_binary_expression] = STATE(5024),
    [sym_update_expression] = STATE(5024),
    [sym_cast_expression] = STATE(5024),
    [sym_sizeof_expression] = STATE(5024),
    [sym_alignof_expression] = STATE(5024),
    [sym_offsetof_expression] = STATE(5024),
    [sym_generic_expression] = STATE(5024),
    [sym_subscript_expression] = STATE(4737),
    [sym_call_expression] = STATE(4737),
    [sym_gnu_asm_expression] = STATE(5024),
    [sym_field_expression] = STATE(4737),
    [sym_compound_literal_expression] = STATE(5024),
    [sym_parenthesized_expression] = STATE(4737),
    [sym_char_literal] = STATE(5374),
    [sym_concatenated_string] = STATE(5377),
    [sym_string_literal] = STATE(4206),
    [sym_null] = STATE(5024),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9352),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(5024),
    [sym_raw_string_literal] = STATE(4217),
    [sym_co_await_expression] = STATE(5024),
    [sym_new_expression] = STATE(5024),
    [sym_delete_expression] = STATE(5024),
    [sym_requires_clause] = STATE(5024),
    [sym_requires_expression] = STATE(5024),
    [sym_lambda_expression] = STATE(5024),
    [sym_lambda_capture_specifier] = STATE(7184),
    [sym_fold_expression] = STATE(5024),
    [sym_parameter_pack_expansion] = STATE(5024),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6886),
    [sym_qualified_identifier] = STATE(4737),
    [sym_qualified_type_identifier] = STATE(9352),
    [sym_user_defined_literal] = STATE(4737),
    [aux_sym__type_definition_type_repeat1] = STATE(3232),
    [sym_identifier] = ACTIONS(4502),
    [anon_sym_LPAREN2] = ACTIONS(4540),
    [anon_sym_BANG] = ACTIONS(4506),
    [anon_sym_TILDE] = ACTIONS(4506),
    [anon_sym_DASH] = ACTIONS(4504),
    [anon_sym_PLUS] = ACTIONS(4504),
    [anon_sym_STAR] = ACTIONS(4626),
    [anon_sym_AMP] = ACTIONS(1474),
    [anon_sym___extension__] = ACTIONS(4591),
    [anon_sym_COLON_COLON] = ACTIONS(4508),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [anon_sym_RBRACK] = ACTIONS(4628),
    [anon_sym_const] = ACTIONS(4591),
    [anon_sym_constexpr] = ACTIONS(4591),
    [anon_sym_volatile] = ACTIONS(4591),
    [anon_sym_restrict] = ACTIONS(4591),
    [anon_sym___restrict__] = ACTIONS(4591),
    [anon_sym__Atomic] = ACTIONS(4591),
    [anon_sym__Noreturn] = ACTIONS(4591),
    [anon_sym_noreturn] = ACTIONS(4591),
    [anon_sym_mutable] = ACTIONS(4591),
    [anon_sym_constinit] = ACTIONS(4591),
    [anon_sym_consteval] = ACTIONS(4591),
    [sym_primitive_type] = ACTIONS(3146),
    [anon_sym_not] = ACTIONS(4504),
    [anon_sym_compl] = ACTIONS(4504),
    [anon_sym_DASH_DASH] = ACTIONS(4544),
    [anon_sym_PLUS_PLUS] = ACTIONS(4544),
    [anon_sym_sizeof] = ACTIONS(4510),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(4512),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(4514),
    [anon_sym_new] = ACTIONS(4516),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [1685] = {
    [sym_type_qualifier] = STATE(1684),
    [sym__expression] = STATE(5822),
    [sym__expression_not_binary] = STATE(5024),
    [sym__string] = STATE(5024),
    [sym_conditional_expression] = STATE(5024),
    [sym_assignment_expression] = STATE(5024),
    [sym_pointer_expression] = STATE(4737),
    [sym_unary_expression] = STATE(5024),
    [sym_binary_expression] = STATE(5024),
    [sym_update_expression] = STATE(5024),
    [sym_cast_expression] = STATE(5024),
    [sym_sizeof_expression] = STATE(5024),
    [sym_alignof_expression] = STATE(5024),
    [sym_offsetof_expression] = STATE(5024),
    [sym_generic_expression] = STATE(5024),
    [sym_subscript_expression] = STATE(4737),
    [sym_call_expression] = STATE(4737),
    [sym_gnu_asm_expression] = STATE(5024),
    [sym_field_expression] = STATE(4737),
    [sym_compound_literal_expression] = STATE(5024),
    [sym_parenthesized_expression] = STATE(4737),
    [sym_char_literal] = STATE(5374),
    [sym_concatenated_string] = STATE(5377),
    [sym_string_literal] = STATE(4206),
    [sym_null] = STATE(5024),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9352),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(5024),
    [sym_raw_string_literal] = STATE(4217),
    [sym_co_await_expression] = STATE(5024),
    [sym_new_expression] = STATE(5024),
    [sym_delete_expression] = STATE(5024),
    [sym_requires_clause] = STATE(5024),
    [sym_requires_expression] = STATE(5024),
    [sym_lambda_expression] = STATE(5024),
    [sym_lambda_capture_specifier] = STATE(7184),
    [sym_fold_expression] = STATE(5024),
    [sym_parameter_pack_expansion] = STATE(5024),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6886),
    [sym_qualified_identifier] = STATE(4737),
    [sym_qualified_type_identifier] = STATE(9352),
    [sym_user_defined_literal] = STATE(4737),
    [aux_sym__type_definition_type_repeat1] = STATE(1684),
    [sym_identifier] = ACTIONS(4502),
    [anon_sym_LPAREN2] = ACTIONS(4540),
    [anon_sym_BANG] = ACTIONS(4506),
    [anon_sym_TILDE] = ACTIONS(4506),
    [anon_sym_DASH] = ACTIONS(4504),
    [anon_sym_PLUS] = ACTIONS(4504),
    [anon_sym_STAR] = ACTIONS(4630),
    [anon_sym_AMP] = ACTIONS(1474),
    [anon_sym___extension__] = ACTIONS(4591),
    [anon_sym_COLON_COLON] = ACTIONS(4508),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [anon_sym_RBRACK] = ACTIONS(4632),
    [anon_sym_const] = ACTIONS(4591),
    [anon_sym_constexpr] = ACTIONS(4591),
    [anon_sym_volatile] = ACTIONS(4591),
    [anon_sym_restrict] = ACTIONS(4591),
    [anon_sym___restrict__] = ACTIONS(4591),
    [anon_sym__Atomic] = ACTIONS(4591),
    [anon_sym__Noreturn] = ACTIONS(4591),
    [anon_sym_noreturn] = ACTIONS(4591),
    [anon_sym_mutable] = ACTIONS(4591),
    [anon_sym_constinit] = ACTIONS(4591),
    [anon_sym_consteval] = ACTIONS(4591),
    [sym_primitive_type] = ACTIONS(3146),
    [anon_sym_not] = ACTIONS(4504),
    [anon_sym_compl] = ACTIONS(4504),
    [anon_sym_DASH_DASH] = ACTIONS(4544),
    [anon_sym_PLUS_PLUS] = ACTIONS(4544),
    [anon_sym_sizeof] = ACTIONS(4510),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(4512),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(4514),
    [anon_sym_new] = ACTIONS(4516),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [1686] = {
    [sym_type_qualifier] = STATE(1677),
    [sym__expression] = STATE(5829),
    [sym__expression_not_binary] = STATE(5024),
    [sym__string] = STATE(5024),
    [sym_conditional_expression] = STATE(5024),
    [sym_assignment_expression] = STATE(5024),
    [sym_pointer_expression] = STATE(4737),
    [sym_unary_expression] = STATE(5024),
    [sym_binary_expression] = STATE(5024),
    [sym_update_expression] = STATE(5024),
    [sym_cast_expression] = STATE(5024),
    [sym_sizeof_expression] = STATE(5024),
    [sym_alignof_expression] = STATE(5024),
    [sym_offsetof_expression] = STATE(5024),
    [sym_generic_expression] = STATE(5024),
    [sym_subscript_expression] = STATE(4737),
    [sym_call_expression] = STATE(4737),
    [sym_gnu_asm_expression] = STATE(5024),
    [sym_field_expression] = STATE(4737),
    [sym_compound_literal_expression] = STATE(5024),
    [sym_parenthesized_expression] = STATE(4737),
    [sym_char_literal] = STATE(5374),
    [sym_concatenated_string] = STATE(5377),
    [sym_string_literal] = STATE(4206),
    [sym_null] = STATE(5024),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9352),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(5024),
    [sym_raw_string_literal] = STATE(4217),
    [sym_co_await_expression] = STATE(5024),
    [sym_new_expression] = STATE(5024),
    [sym_delete_expression] = STATE(5024),
    [sym_requires_clause] = STATE(5024),
    [sym_requires_expression] = STATE(5024),
    [sym_lambda_expression] = STATE(5024),
    [sym_lambda_capture_specifier] = STATE(7184),
    [sym_fold_expression] = STATE(5024),
    [sym_parameter_pack_expansion] = STATE(5024),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6886),
    [sym_qualified_identifier] = STATE(4737),
    [sym_qualified_type_identifier] = STATE(9352),
    [sym_user_defined_literal] = STATE(4737),
    [aux_sym__type_definition_type_repeat1] = STATE(1677),
    [sym_identifier] = ACTIONS(4502),
    [anon_sym_LPAREN2] = ACTIONS(4540),
    [anon_sym_BANG] = ACTIONS(4506),
    [anon_sym_TILDE] = ACTIONS(4506),
    [anon_sym_DASH] = ACTIONS(4504),
    [anon_sym_PLUS] = ACTIONS(4504),
    [anon_sym_STAR] = ACTIONS(4634),
    [anon_sym_AMP] = ACTIONS(1474),
    [anon_sym___extension__] = ACTIONS(4591),
    [anon_sym_COLON_COLON] = ACTIONS(4508),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [anon_sym_RBRACK] = ACTIONS(4636),
    [anon_sym_const] = ACTIONS(4591),
    [anon_sym_constexpr] = ACTIONS(4591),
    [anon_sym_volatile] = ACTIONS(4591),
    [anon_sym_restrict] = ACTIONS(4591),
    [anon_sym___restrict__] = ACTIONS(4591),
    [anon_sym__Atomic] = ACTIONS(4591),
    [anon_sym__Noreturn] = ACTIONS(4591),
    [anon_sym_noreturn] = ACTIONS(4591),
    [anon_sym_mutable] = ACTIONS(4591),
    [anon_sym_constinit] = ACTIONS(4591),
    [anon_sym_consteval] = ACTIONS(4591),
    [sym_primitive_type] = ACTIONS(3146),
    [anon_sym_not] = ACTIONS(4504),
    [anon_sym_compl] = ACTIONS(4504),
    [anon_sym_DASH_DASH] = ACTIONS(4544),
    [anon_sym_PLUS_PLUS] = ACTIONS(4544),
    [anon_sym_sizeof] = ACTIONS(4510),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(4512),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(4514),
    [anon_sym_new] = ACTIONS(4516),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [1687] = {
    [sym_type_qualifier] = STATE(1678),
    [sym__expression] = STATE(5915),
    [sym__expression_not_binary] = STATE(5024),
    [sym__string] = STATE(5024),
    [sym_conditional_expression] = STATE(5024),
    [sym_assignment_expression] = STATE(5024),
    [sym_pointer_expression] = STATE(4737),
    [sym_unary_expression] = STATE(5024),
    [sym_binary_expression] = STATE(5024),
    [sym_update_expression] = STATE(5024),
    [sym_cast_expression] = STATE(5024),
    [sym_sizeof_expression] = STATE(5024),
    [sym_alignof_expression] = STATE(5024),
    [sym_offsetof_expression] = STATE(5024),
    [sym_generic_expression] = STATE(5024),
    [sym_subscript_expression] = STATE(4737),
    [sym_call_expression] = STATE(4737),
    [sym_gnu_asm_expression] = STATE(5024),
    [sym_field_expression] = STATE(4737),
    [sym_compound_literal_expression] = STATE(5024),
    [sym_parenthesized_expression] = STATE(4737),
    [sym_char_literal] = STATE(5374),
    [sym_concatenated_string] = STATE(5377),
    [sym_string_literal] = STATE(4206),
    [sym_null] = STATE(5024),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9352),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(5024),
    [sym_raw_string_literal] = STATE(4217),
    [sym_co_await_expression] = STATE(5024),
    [sym_new_expression] = STATE(5024),
    [sym_delete_expression] = STATE(5024),
    [sym_requires_clause] = STATE(5024),
    [sym_requires_expression] = STATE(5024),
    [sym_lambda_expression] = STATE(5024),
    [sym_lambda_capture_specifier] = STATE(7184),
    [sym_fold_expression] = STATE(5024),
    [sym_parameter_pack_expansion] = STATE(5024),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6886),
    [sym_qualified_identifier] = STATE(4737),
    [sym_qualified_type_identifier] = STATE(9352),
    [sym_user_defined_literal] = STATE(4737),
    [aux_sym__type_definition_type_repeat1] = STATE(1678),
    [sym_identifier] = ACTIONS(4502),
    [anon_sym_LPAREN2] = ACTIONS(4540),
    [anon_sym_BANG] = ACTIONS(4506),
    [anon_sym_TILDE] = ACTIONS(4506),
    [anon_sym_DASH] = ACTIONS(4504),
    [anon_sym_PLUS] = ACTIONS(4504),
    [anon_sym_STAR] = ACTIONS(4638),
    [anon_sym_AMP] = ACTIONS(1474),
    [anon_sym___extension__] = ACTIONS(4591),
    [anon_sym_COLON_COLON] = ACTIONS(4508),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [anon_sym_RBRACK] = ACTIONS(4640),
    [anon_sym_const] = ACTIONS(4591),
    [anon_sym_constexpr] = ACTIONS(4591),
    [anon_sym_volatile] = ACTIONS(4591),
    [anon_sym_restrict] = ACTIONS(4591),
    [anon_sym___restrict__] = ACTIONS(4591),
    [anon_sym__Atomic] = ACTIONS(4591),
    [anon_sym__Noreturn] = ACTIONS(4591),
    [anon_sym_noreturn] = ACTIONS(4591),
    [anon_sym_mutable] = ACTIONS(4591),
    [anon_sym_constinit] = ACTIONS(4591),
    [anon_sym_consteval] = ACTIONS(4591),
    [sym_primitive_type] = ACTIONS(3146),
    [anon_sym_not] = ACTIONS(4504),
    [anon_sym_compl] = ACTIONS(4504),
    [anon_sym_DASH_DASH] = ACTIONS(4544),
    [anon_sym_PLUS_PLUS] = ACTIONS(4544),
    [anon_sym_sizeof] = ACTIONS(4510),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(4512),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(4514),
    [anon_sym_new] = ACTIONS(4516),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [1688] = {
    [sym_type_qualifier] = STATE(1697),
    [sym__expression] = STATE(5870),
    [sym__expression_not_binary] = STATE(5024),
    [sym__string] = STATE(5024),
    [sym_conditional_expression] = STATE(5024),
    [sym_assignment_expression] = STATE(5024),
    [sym_pointer_expression] = STATE(4737),
    [sym_unary_expression] = STATE(5024),
    [sym_binary_expression] = STATE(5024),
    [sym_update_expression] = STATE(5024),
    [sym_cast_expression] = STATE(5024),
    [sym_sizeof_expression] = STATE(5024),
    [sym_alignof_expression] = STATE(5024),
    [sym_offsetof_expression] = STATE(5024),
    [sym_generic_expression] = STATE(5024),
    [sym_subscript_expression] = STATE(4737),
    [sym_call_expression] = STATE(4737),
    [sym_gnu_asm_expression] = STATE(5024),
    [sym_field_expression] = STATE(4737),
    [sym_compound_literal_expression] = STATE(5024),
    [sym_parenthesized_expression] = STATE(4737),
    [sym_char_literal] = STATE(5374),
    [sym_concatenated_string] = STATE(5377),
    [sym_string_literal] = STATE(4206),
    [sym_null] = STATE(5024),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9352),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(5024),
    [sym_raw_string_literal] = STATE(4217),
    [sym_co_await_expression] = STATE(5024),
    [sym_new_expression] = STATE(5024),
    [sym_delete_expression] = STATE(5024),
    [sym_requires_clause] = STATE(5024),
    [sym_requires_expression] = STATE(5024),
    [sym_lambda_expression] = STATE(5024),
    [sym_lambda_capture_specifier] = STATE(7184),
    [sym_fold_expression] = STATE(5024),
    [sym_parameter_pack_expansion] = STATE(5024),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6886),
    [sym_qualified_identifier] = STATE(4737),
    [sym_qualified_type_identifier] = STATE(9352),
    [sym_user_defined_literal] = STATE(4737),
    [aux_sym__type_definition_type_repeat1] = STATE(1697),
    [sym_identifier] = ACTIONS(4642),
    [anon_sym_LPAREN2] = ACTIONS(4540),
    [anon_sym_BANG] = ACTIONS(4506),
    [anon_sym_TILDE] = ACTIONS(4506),
    [anon_sym_DASH] = ACTIONS(4504),
    [anon_sym_PLUS] = ACTIONS(4504),
    [anon_sym_STAR] = ACTIONS(4644),
    [anon_sym_AMP] = ACTIONS(1474),
    [anon_sym___extension__] = ACTIONS(4591),
    [anon_sym_COLON_COLON] = ACTIONS(4508),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [anon_sym_RBRACK] = ACTIONS(4646),
    [anon_sym_const] = ACTIONS(4591),
    [anon_sym_constexpr] = ACTIONS(4591),
    [anon_sym_volatile] = ACTIONS(4591),
    [anon_sym_restrict] = ACTIONS(4591),
    [anon_sym___restrict__] = ACTIONS(4591),
    [anon_sym__Atomic] = ACTIONS(4591),
    [anon_sym__Noreturn] = ACTIONS(4591),
    [anon_sym_noreturn] = ACTIONS(4591),
    [anon_sym_mutable] = ACTIONS(4591),
    [anon_sym_constinit] = ACTIONS(4591),
    [anon_sym_consteval] = ACTIONS(4591),
    [sym_primitive_type] = ACTIONS(3146),
    [anon_sym_not] = ACTIONS(4504),
    [anon_sym_compl] = ACTIONS(4504),
    [anon_sym_DASH_DASH] = ACTIONS(4544),
    [anon_sym_PLUS_PLUS] = ACTIONS(4544),
    [anon_sym_sizeof] = ACTIONS(4510),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(4512),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(4514),
    [anon_sym_new] = ACTIONS(4516),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [1689] = {
    [sym_type_qualifier] = STATE(3232),
    [sym__expression] = STATE(5868),
    [sym__expression_not_binary] = STATE(5024),
    [sym__string] = STATE(5024),
    [sym_conditional_expression] = STATE(5024),
    [sym_assignment_expression] = STATE(5024),
    [sym_pointer_expression] = STATE(4737),
    [sym_unary_expression] = STATE(5024),
    [sym_binary_expression] = STATE(5024),
    [sym_update_expression] = STATE(5024),
    [sym_cast_expression] = STATE(5024),
    [sym_sizeof_expression] = STATE(5024),
    [sym_alignof_expression] = STATE(5024),
    [sym_offsetof_expression] = STATE(5024),
    [sym_generic_expression] = STATE(5024),
    [sym_subscript_expression] = STATE(4737),
    [sym_call_expression] = STATE(4737),
    [sym_gnu_asm_expression] = STATE(5024),
    [sym_field_expression] = STATE(4737),
    [sym_compound_literal_expression] = STATE(5024),
    [sym_parenthesized_expression] = STATE(4737),
    [sym_char_literal] = STATE(5374),
    [sym_concatenated_string] = STATE(5377),
    [sym_string_literal] = STATE(4206),
    [sym_null] = STATE(5024),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9352),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(5024),
    [sym_raw_string_literal] = STATE(4217),
    [sym_co_await_expression] = STATE(5024),
    [sym_new_expression] = STATE(5024),
    [sym_delete_expression] = STATE(5024),
    [sym_requires_clause] = STATE(5024),
    [sym_requires_expression] = STATE(5024),
    [sym_lambda_expression] = STATE(5024),
    [sym_lambda_capture_specifier] = STATE(7184),
    [sym_fold_expression] = STATE(5024),
    [sym_parameter_pack_expansion] = STATE(5024),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6886),
    [sym_qualified_identifier] = STATE(4737),
    [sym_qualified_type_identifier] = STATE(9352),
    [sym_user_defined_literal] = STATE(4737),
    [aux_sym__type_definition_type_repeat1] = STATE(3232),
    [sym_identifier] = ACTIONS(4502),
    [anon_sym_LPAREN2] = ACTIONS(4540),
    [anon_sym_BANG] = ACTIONS(4506),
    [anon_sym_TILDE] = ACTIONS(4506),
    [anon_sym_DASH] = ACTIONS(4504),
    [anon_sym_PLUS] = ACTIONS(4504),
    [anon_sym_STAR] = ACTIONS(4648),
    [anon_sym_AMP] = ACTIONS(1474),
    [anon_sym___extension__] = ACTIONS(4591),
    [anon_sym_COLON_COLON] = ACTIONS(4508),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [anon_sym_RBRACK] = ACTIONS(4650),
    [anon_sym_const] = ACTIONS(4591),
    [anon_sym_constexpr] = ACTIONS(4591),
    [anon_sym_volatile] = ACTIONS(4591),
    [anon_sym_restrict] = ACTIONS(4591),
    [anon_sym___restrict__] = ACTIONS(4591),
    [anon_sym__Atomic] = ACTIONS(4591),
    [anon_sym__Noreturn] = ACTIONS(4591),
    [anon_sym_noreturn] = ACTIONS(4591),
    [anon_sym_mutable] = ACTIONS(4591),
    [anon_sym_constinit] = ACTIONS(4591),
    [anon_sym_consteval] = ACTIONS(4591),
    [sym_primitive_type] = ACTIONS(3146),
    [anon_sym_not] = ACTIONS(4504),
    [anon_sym_compl] = ACTIONS(4504),
    [anon_sym_DASH_DASH] = ACTIONS(4544),
    [anon_sym_PLUS_PLUS] = ACTIONS(4544),
    [anon_sym_sizeof] = ACTIONS(4510),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(4512),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(4514),
    [anon_sym_new] = ACTIONS(4516),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [1690] = {
    [sym_type_qualifier] = STATE(1694),
    [sym__expression] = STATE(5873),
    [sym__expression_not_binary] = STATE(5024),
    [sym__string] = STATE(5024),
    [sym_conditional_expression] = STATE(5024),
    [sym_assignment_expression] = STATE(5024),
    [sym_pointer_expression] = STATE(4737),
    [sym_unary_expression] = STATE(5024),
    [sym_binary_expression] = STATE(5024),
    [sym_update_expression] = STATE(5024),
    [sym_cast_expression] = STATE(5024),
    [sym_sizeof_expression] = STATE(5024),
    [sym_alignof_expression] = STATE(5024),
    [sym_offsetof_expression] = STATE(5024),
    [sym_generic_expression] = STATE(5024),
    [sym_subscript_expression] = STATE(4737),
    [sym_call_expression] = STATE(4737),
    [sym_gnu_asm_expression] = STATE(5024),
    [sym_field_expression] = STATE(4737),
    [sym_compound_literal_expression] = STATE(5024),
    [sym_parenthesized_expression] = STATE(4737),
    [sym_char_literal] = STATE(5374),
    [sym_concatenated_string] = STATE(5377),
    [sym_string_literal] = STATE(4206),
    [sym_null] = STATE(5024),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9352),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(5024),
    [sym_raw_string_literal] = STATE(4217),
    [sym_co_await_expression] = STATE(5024),
    [sym_new_expression] = STATE(5024),
    [sym_delete_expression] = STATE(5024),
    [sym_requires_clause] = STATE(5024),
    [sym_requires_expression] = STATE(5024),
    [sym_lambda_expression] = STATE(5024),
    [sym_lambda_capture_specifier] = STATE(7184),
    [sym_fold_expression] = STATE(5024),
    [sym_parameter_pack_expansion] = STATE(5024),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6886),
    [sym_qualified_identifier] = STATE(4737),
    [sym_qualified_type_identifier] = STATE(9352),
    [sym_user_defined_literal] = STATE(4737),
    [aux_sym__type_definition_type_repeat1] = STATE(1694),
    [sym_identifier] = ACTIONS(4502),
    [anon_sym_LPAREN2] = ACTIONS(4540),
    [anon_sym_BANG] = ACTIONS(4506),
    [anon_sym_TILDE] = ACTIONS(4506),
    [anon_sym_DASH] = ACTIONS(4504),
    [anon_sym_PLUS] = ACTIONS(4504),
    [anon_sym_STAR] = ACTIONS(4652),
    [anon_sym_AMP] = ACTIONS(1474),
    [anon_sym___extension__] = ACTIONS(4591),
    [anon_sym_COLON_COLON] = ACTIONS(4508),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [anon_sym_RBRACK] = ACTIONS(4654),
    [anon_sym_const] = ACTIONS(4591),
    [anon_sym_constexpr] = ACTIONS(4591),
    [anon_sym_volatile] = ACTIONS(4591),
    [anon_sym_restrict] = ACTIONS(4591),
    [anon_sym___restrict__] = ACTIONS(4591),
    [anon_sym__Atomic] = ACTIONS(4591),
    [anon_sym__Noreturn] = ACTIONS(4591),
    [anon_sym_noreturn] = ACTIONS(4591),
    [anon_sym_mutable] = ACTIONS(4591),
    [anon_sym_constinit] = ACTIONS(4591),
    [anon_sym_consteval] = ACTIONS(4591),
    [sym_primitive_type] = ACTIONS(3146),
    [anon_sym_not] = ACTIONS(4504),
    [anon_sym_compl] = ACTIONS(4504),
    [anon_sym_DASH_DASH] = ACTIONS(4544),
    [anon_sym_PLUS_PLUS] = ACTIONS(4544),
    [anon_sym_sizeof] = ACTIONS(4510),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(4512),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(4514),
    [anon_sym_new] = ACTIONS(4516),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [1691] = {
    [sym_type_qualifier] = STATE(1675),
    [sym__expression] = STATE(5885),
    [sym__expression_not_binary] = STATE(5024),
    [sym__string] = STATE(5024),
    [sym_conditional_expression] = STATE(5024),
    [sym_assignment_expression] = STATE(5024),
    [sym_pointer_expression] = STATE(4737),
    [sym_unary_expression] = STATE(5024),
    [sym_binary_expression] = STATE(5024),
    [sym_update_expression] = STATE(5024),
    [sym_cast_expression] = STATE(5024),
    [sym_sizeof_expression] = STATE(5024),
    [sym_alignof_expression] = STATE(5024),
    [sym_offsetof_expression] = STATE(5024),
    [sym_generic_expression] = STATE(5024),
    [sym_subscript_expression] = STATE(4737),
    [sym_call_expression] = STATE(4737),
    [sym_gnu_asm_expression] = STATE(5024),
    [sym_field_expression] = STATE(4737),
    [sym_compound_literal_expression] = STATE(5024),
    [sym_parenthesized_expression] = STATE(4737),
    [sym_char_literal] = STATE(5374),
    [sym_concatenated_string] = STATE(5377),
    [sym_string_literal] = STATE(4206),
    [sym_null] = STATE(5024),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9352),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(5024),
    [sym_raw_string_literal] = STATE(4217),
    [sym_co_await_expression] = STATE(5024),
    [sym_new_expression] = STATE(5024),
    [sym_delete_expression] = STATE(5024),
    [sym_requires_clause] = STATE(5024),
    [sym_requires_expression] = STATE(5024),
    [sym_lambda_expression] = STATE(5024),
    [sym_lambda_capture_specifier] = STATE(7184),
    [sym_fold_expression] = STATE(5024),
    [sym_parameter_pack_expansion] = STATE(5024),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6886),
    [sym_qualified_identifier] = STATE(4737),
    [sym_qualified_type_identifier] = STATE(9352),
    [sym_user_defined_literal] = STATE(4737),
    [aux_sym__type_definition_type_repeat1] = STATE(1675),
    [sym_identifier] = ACTIONS(4502),
    [anon_sym_LPAREN2] = ACTIONS(4540),
    [anon_sym_BANG] = ACTIONS(4506),
    [anon_sym_TILDE] = ACTIONS(4506),
    [anon_sym_DASH] = ACTIONS(4504),
    [anon_sym_PLUS] = ACTIONS(4504),
    [anon_sym_STAR] = ACTIONS(4656),
    [anon_sym_AMP] = ACTIONS(1474),
    [anon_sym___extension__] = ACTIONS(4591),
    [anon_sym_COLON_COLON] = ACTIONS(4508),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [anon_sym_RBRACK] = ACTIONS(4658),
    [anon_sym_const] = ACTIONS(4591),
    [anon_sym_constexpr] = ACTIONS(4591),
    [anon_sym_volatile] = ACTIONS(4591),
    [anon_sym_restrict] = ACTIONS(4591),
    [anon_sym___restrict__] = ACTIONS(4591),
    [anon_sym__Atomic] = ACTIONS(4591),
    [anon_sym__Noreturn] = ACTIONS(4591),
    [anon_sym_noreturn] = ACTIONS(4591),
    [anon_sym_mutable] = ACTIONS(4591),
    [anon_sym_constinit] = ACTIONS(4591),
    [anon_sym_consteval] = ACTIONS(4591),
    [sym_primitive_type] = ACTIONS(3146),
    [anon_sym_not] = ACTIONS(4504),
    [anon_sym_compl] = ACTIONS(4504),
    [anon_sym_DASH_DASH] = ACTIONS(4544),
    [anon_sym_PLUS_PLUS] = ACTIONS(4544),
    [anon_sym_sizeof] = ACTIONS(4510),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(4512),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(4514),
    [anon_sym_new] = ACTIONS(4516),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [1692] = {
    [sym_type_qualifier] = STATE(1676),
    [sym__expression] = STATE(5808),
    [sym__expression_not_binary] = STATE(5024),
    [sym__string] = STATE(5024),
    [sym_conditional_expression] = STATE(5024),
    [sym_assignment_expression] = STATE(5024),
    [sym_pointer_expression] = STATE(4737),
    [sym_unary_expression] = STATE(5024),
    [sym_binary_expression] = STATE(5024),
    [sym_update_expression] = STATE(5024),
    [sym_cast_expression] = STATE(5024),
    [sym_sizeof_expression] = STATE(5024),
    [sym_alignof_expression] = STATE(5024),
    [sym_offsetof_expression] = STATE(5024),
    [sym_generic_expression] = STATE(5024),
    [sym_subscript_expression] = STATE(4737),
    [sym_call_expression] = STATE(4737),
    [sym_gnu_asm_expression] = STATE(5024),
    [sym_field_expression] = STATE(4737),
    [sym_compound_literal_expression] = STATE(5024),
    [sym_parenthesized_expression] = STATE(4737),
    [sym_char_literal] = STATE(5374),
    [sym_concatenated_string] = STATE(5377),
    [sym_string_literal] = STATE(4206),
    [sym_null] = STATE(5024),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9352),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(5024),
    [sym_raw_string_literal] = STATE(4217),
    [sym_co_await_expression] = STATE(5024),
    [sym_new_expression] = STATE(5024),
    [sym_delete_expression] = STATE(5024),
    [sym_requires_clause] = STATE(5024),
    [sym_requires_expression] = STATE(5024),
    [sym_lambda_expression] = STATE(5024),
    [sym_lambda_capture_specifier] = STATE(7184),
    [sym_fold_expression] = STATE(5024),
    [sym_parameter_pack_expansion] = STATE(5024),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6886),
    [sym_qualified_identifier] = STATE(4737),
    [sym_qualified_type_identifier] = STATE(9352),
    [sym_user_defined_literal] = STATE(4737),
    [aux_sym__type_definition_type_repeat1] = STATE(1676),
    [sym_identifier] = ACTIONS(4502),
    [anon_sym_LPAREN2] = ACTIONS(4540),
    [anon_sym_BANG] = ACTIONS(4506),
    [anon_sym_TILDE] = ACTIONS(4506),
    [anon_sym_DASH] = ACTIONS(4504),
    [anon_sym_PLUS] = ACTIONS(4504),
    [anon_sym_STAR] = ACTIONS(4660),
    [anon_sym_AMP] = ACTIONS(1474),
    [anon_sym___extension__] = ACTIONS(4591),
    [anon_sym_COLON_COLON] = ACTIONS(4508),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [anon_sym_RBRACK] = ACTIONS(4662),
    [anon_sym_const] = ACTIONS(4591),
    [anon_sym_constexpr] = ACTIONS(4591),
    [anon_sym_volatile] = ACTIONS(4591),
    [anon_sym_restrict] = ACTIONS(4591),
    [anon_sym___restrict__] = ACTIONS(4591),
    [anon_sym__Atomic] = ACTIONS(4591),
    [anon_sym__Noreturn] = ACTIONS(4591),
    [anon_sym_noreturn] = ACTIONS(4591),
    [anon_sym_mutable] = ACTIONS(4591),
    [anon_sym_constinit] = ACTIONS(4591),
    [anon_sym_consteval] = ACTIONS(4591),
    [sym_primitive_type] = ACTIONS(3146),
    [anon_sym_not] = ACTIONS(4504),
    [anon_sym_compl] = ACTIONS(4504),
    [anon_sym_DASH_DASH] = ACTIONS(4544),
    [anon_sym_PLUS_PLUS] = ACTIONS(4544),
    [anon_sym_sizeof] = ACTIONS(4510),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(4512),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(4514),
    [anon_sym_new] = ACTIONS(4516),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [1693] = {
    [sym_type_qualifier] = STATE(1683),
    [sym__expression] = STATE(5827),
    [sym__expression_not_binary] = STATE(5024),
    [sym__string] = STATE(5024),
    [sym_conditional_expression] = STATE(5024),
    [sym_assignment_expression] = STATE(5024),
    [sym_pointer_expression] = STATE(4737),
    [sym_unary_expression] = STATE(5024),
    [sym_binary_expression] = STATE(5024),
    [sym_update_expression] = STATE(5024),
    [sym_cast_expression] = STATE(5024),
    [sym_sizeof_expression] = STATE(5024),
    [sym_alignof_expression] = STATE(5024),
    [sym_offsetof_expression] = STATE(5024),
    [sym_generic_expression] = STATE(5024),
    [sym_subscript_expression] = STATE(4737),
    [sym_call_expression] = STATE(4737),
    [sym_gnu_asm_expression] = STATE(5024),
    [sym_field_expression] = STATE(4737),
    [sym_compound_literal_expression] = STATE(5024),
    [sym_parenthesized_expression] = STATE(4737),
    [sym_char_literal] = STATE(5374),
    [sym_concatenated_string] = STATE(5377),
    [sym_string_literal] = STATE(4206),
    [sym_null] = STATE(5024),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9352),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(5024),
    [sym_raw_string_literal] = STATE(4217),
    [sym_co_await_expression] = STATE(5024),
    [sym_new_expression] = STATE(5024),
    [sym_delete_expression] = STATE(5024),
    [sym_requires_clause] = STATE(5024),
    [sym_requires_expression] = STATE(5024),
    [sym_lambda_expression] = STATE(5024),
    [sym_lambda_capture_specifier] = STATE(7184),
    [sym_fold_expression] = STATE(5024),
    [sym_parameter_pack_expansion] = STATE(5024),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6886),
    [sym_qualified_identifier] = STATE(4737),
    [sym_qualified_type_identifier] = STATE(9352),
    [sym_user_defined_literal] = STATE(4737),
    [aux_sym__type_definition_type_repeat1] = STATE(1683),
    [sym_identifier] = ACTIONS(4502),
    [anon_sym_LPAREN2] = ACTIONS(4540),
    [anon_sym_BANG] = ACTIONS(4506),
    [anon_sym_TILDE] = ACTIONS(4506),
    [anon_sym_DASH] = ACTIONS(4504),
    [anon_sym_PLUS] = ACTIONS(4504),
    [anon_sym_STAR] = ACTIONS(4664),
    [anon_sym_AMP] = ACTIONS(1474),
    [anon_sym___extension__] = ACTIONS(4591),
    [anon_sym_COLON_COLON] = ACTIONS(4508),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [anon_sym_RBRACK] = ACTIONS(4666),
    [anon_sym_const] = ACTIONS(4591),
    [anon_sym_constexpr] = ACTIONS(4591),
    [anon_sym_volatile] = ACTIONS(4591),
    [anon_sym_restrict] = ACTIONS(4591),
    [anon_sym___restrict__] = ACTIONS(4591),
    [anon_sym__Atomic] = ACTIONS(4591),
    [anon_sym__Noreturn] = ACTIONS(4591),
    [anon_sym_noreturn] = ACTIONS(4591),
    [anon_sym_mutable] = ACTIONS(4591),
    [anon_sym_constinit] = ACTIONS(4591),
    [anon_sym_consteval] = ACTIONS(4591),
    [sym_primitive_type] = ACTIONS(3146),
    [anon_sym_not] = ACTIONS(4504),
    [anon_sym_compl] = ACTIONS(4504),
    [anon_sym_DASH_DASH] = ACTIONS(4544),
    [anon_sym_PLUS_PLUS] = ACTIONS(4544),
    [anon_sym_sizeof] = ACTIONS(4510),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(4512),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(4514),
    [anon_sym_new] = ACTIONS(4516),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [1694] = {
    [sym_type_qualifier] = STATE(3232),
    [sym__expression] = STATE(5910),
    [sym__expression_not_binary] = STATE(5024),
    [sym__string] = STATE(5024),
    [sym_conditional_expression] = STATE(5024),
    [sym_assignment_expression] = STATE(5024),
    [sym_pointer_expression] = STATE(4737),
    [sym_unary_expression] = STATE(5024),
    [sym_binary_expression] = STATE(5024),
    [sym_update_expression] = STATE(5024),
    [sym_cast_expression] = STATE(5024),
    [sym_sizeof_expression] = STATE(5024),
    [sym_alignof_expression] = STATE(5024),
    [sym_offsetof_expression] = STATE(5024),
    [sym_generic_expression] = STATE(5024),
    [sym_subscript_expression] = STATE(4737),
    [sym_call_expression] = STATE(4737),
    [sym_gnu_asm_expression] = STATE(5024),
    [sym_field_expression] = STATE(4737),
    [sym_compound_literal_expression] = STATE(5024),
    [sym_parenthesized_expression] = STATE(4737),
    [sym_char_literal] = STATE(5374),
    [sym_concatenated_string] = STATE(5377),
    [sym_string_literal] = STATE(4206),
    [sym_null] = STATE(5024),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9352),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(5024),
    [sym_raw_string_literal] = STATE(4217),
    [sym_co_await_expression] = STATE(5024),
    [sym_new_expression] = STATE(5024),
    [sym_delete_expression] = STATE(5024),
    [sym_requires_clause] = STATE(5024),
    [sym_requires_expression] = STATE(5024),
    [sym_lambda_expression] = STATE(5024),
    [sym_lambda_capture_specifier] = STATE(7184),
    [sym_fold_expression] = STATE(5024),
    [sym_parameter_pack_expansion] = STATE(5024),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6886),
    [sym_qualified_identifier] = STATE(4737),
    [sym_qualified_type_identifier] = STATE(9352),
    [sym_user_defined_literal] = STATE(4737),
    [aux_sym__type_definition_type_repeat1] = STATE(3232),
    [sym_identifier] = ACTIONS(4502),
    [anon_sym_LPAREN2] = ACTIONS(4540),
    [anon_sym_BANG] = ACTIONS(4506),
    [anon_sym_TILDE] = ACTIONS(4506),
    [anon_sym_DASH] = ACTIONS(4504),
    [anon_sym_PLUS] = ACTIONS(4504),
    [anon_sym_STAR] = ACTIONS(4668),
    [anon_sym_AMP] = ACTIONS(1474),
    [anon_sym___extension__] = ACTIONS(4591),
    [anon_sym_COLON_COLON] = ACTIONS(4508),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [anon_sym_RBRACK] = ACTIONS(4670),
    [anon_sym_const] = ACTIONS(4591),
    [anon_sym_constexpr] = ACTIONS(4591),
    [anon_sym_volatile] = ACTIONS(4591),
    [anon_sym_restrict] = ACTIONS(4591),
    [anon_sym___restrict__] = ACTIONS(4591),
    [anon_sym__Atomic] = ACTIONS(4591),
    [anon_sym__Noreturn] = ACTIONS(4591),
    [anon_sym_noreturn] = ACTIONS(4591),
    [anon_sym_mutable] = ACTIONS(4591),
    [anon_sym_constinit] = ACTIONS(4591),
    [anon_sym_consteval] = ACTIONS(4591),
    [sym_primitive_type] = ACTIONS(3146),
    [anon_sym_not] = ACTIONS(4504),
    [anon_sym_compl] = ACTIONS(4504),
    [anon_sym_DASH_DASH] = ACTIONS(4544),
    [anon_sym_PLUS_PLUS] = ACTIONS(4544),
    [anon_sym_sizeof] = ACTIONS(4510),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(4512),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(4514),
    [anon_sym_new] = ACTIONS(4516),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [1695] = {
    [sym_identifier] = ACTIONS(2751),
    [anon_sym_LPAREN2] = ACTIONS(2753),
    [anon_sym_BANG] = ACTIONS(2753),
    [anon_sym_TILDE] = ACTIONS(2753),
    [anon_sym_DASH] = ACTIONS(2751),
    [anon_sym_PLUS] = ACTIONS(2751),
    [anon_sym_STAR] = ACTIONS(2753),
    [anon_sym_AMP] = ACTIONS(2753),
    [anon_sym___extension__] = ACTIONS(2751),
    [anon_sym_in] = ACTIONS(2751),
    [anon_sym_out] = ACTIONS(2751),
    [anon_sym_inout] = ACTIONS(2751),
    [anon_sym_extern] = ACTIONS(2751),
    [anon_sym___attribute__] = ACTIONS(2751),
    [anon_sym_COLON_COLON] = ACTIONS(2753),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2753),
    [anon_sym___declspec] = ACTIONS(2751),
    [anon_sym_signed] = ACTIONS(2751),
    [anon_sym_unsigned] = ACTIONS(2751),
    [anon_sym_long] = ACTIONS(2751),
    [anon_sym_short] = ACTIONS(2751),
    [anon_sym_LBRACK] = ACTIONS(2751),
    [anon_sym_static] = ACTIONS(2751),
    [anon_sym_register] = ACTIONS(2751),
    [anon_sym_inline] = ACTIONS(2751),
    [anon_sym___inline] = ACTIONS(2751),
    [anon_sym___inline__] = ACTIONS(2751),
    [anon_sym___forceinline] = ACTIONS(2751),
    [anon_sym_thread_local] = ACTIONS(2751),
    [anon_sym___thread] = ACTIONS(2751),
    [anon_sym_const] = ACTIONS(2751),
    [anon_sym_constexpr] = ACTIONS(2751),
    [anon_sym_volatile] = ACTIONS(2751),
    [anon_sym_restrict] = ACTIONS(2751),
    [anon_sym___restrict__] = ACTIONS(2751),
    [anon_sym__Atomic] = ACTIONS(2751),
    [anon_sym__Noreturn] = ACTIONS(2751),
    [anon_sym_noreturn] = ACTIONS(2751),
    [anon_sym_mutable] = ACTIONS(2751),
    [anon_sym_constinit] = ACTIONS(2751),
    [anon_sym_consteval] = ACTIONS(2751),
    [sym_primitive_type] = ACTIONS(2751),
    [anon_sym_enum] = ACTIONS(2751),
    [anon_sym_class] = ACTIONS(2751),
    [anon_sym_struct] = ACTIONS(2751),
    [anon_sym_union] = ACTIONS(2751),
    [anon_sym_not] = ACTIONS(2751),
    [anon_sym_compl] = ACTIONS(2751),
    [anon_sym_DASH_DASH] = ACTIONS(2753),
    [anon_sym_PLUS_PLUS] = ACTIONS(2753),
    [anon_sym_sizeof] = ACTIONS(2751),
    [anon_sym___alignof__] = ACTIONS(2751),
    [anon_sym___alignof] = ACTIONS(2751),
    [anon_sym__alignof] = ACTIONS(2751),
    [anon_sym_alignof] = ACTIONS(2751),
    [anon_sym__Alignof] = ACTIONS(2751),
    [anon_sym_offsetof] = ACTIONS(2751),
    [anon_sym__Generic] = ACTIONS(2751),
    [anon_sym_asm] = ACTIONS(2751),
    [anon_sym___asm__] = ACTIONS(2751),
    [sym_number_literal] = ACTIONS(2753),
    [anon_sym_L_SQUOTE] = ACTIONS(2753),
    [anon_sym_u_SQUOTE] = ACTIONS(2753),
    [anon_sym_U_SQUOTE] = ACTIONS(2753),
    [anon_sym_u8_SQUOTE] = ACTIONS(2753),
    [anon_sym_SQUOTE] = ACTIONS(2753),
    [anon_sym_L_DQUOTE] = ACTIONS(2753),
    [anon_sym_u_DQUOTE] = ACTIONS(2753),
    [anon_sym_U_DQUOTE] = ACTIONS(2753),
    [anon_sym_u8_DQUOTE] = ACTIONS(2753),
    [anon_sym_DQUOTE] = ACTIONS(2753),
    [sym_true] = ACTIONS(2751),
    [sym_false] = ACTIONS(2751),
    [anon_sym_NULL] = ACTIONS(2751),
    [anon_sym_nullptr] = ACTIONS(2751),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2751),
    [anon_sym_decltype] = ACTIONS(2751),
    [anon_sym_virtual] = ACTIONS(2751),
    [anon_sym_alignas] = ACTIONS(2751),
    [anon_sym_typename] = ACTIONS(2751),
    [anon_sym_template] = ACTIONS(2751),
    [anon_sym_delete] = ACTIONS(2751),
    [anon_sym_R_DQUOTE] = ACTIONS(2753),
    [anon_sym_LR_DQUOTE] = ACTIONS(2753),
    [anon_sym_uR_DQUOTE] = ACTIONS(2753),
    [anon_sym_UR_DQUOTE] = ACTIONS(2753),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2753),
    [anon_sym_co_await] = ACTIONS(2751),
    [anon_sym_new] = ACTIONS(2751),
    [anon_sym_requires] = ACTIONS(2751),
    [sym_this] = ACTIONS(2751),
    [anon_sym_precise] = ACTIONS(2751),
    [anon_sym_shared] = ACTIONS(2751),
    [anon_sym_groupshared] = ACTIONS(2751),
    [anon_sym_uniform] = ACTIONS(2751),
    [anon_sym_row_major] = ACTIONS(2751),
    [anon_sym_column_major] = ACTIONS(2751),
    [anon_sym_globallycoherent] = ACTIONS(2751),
    [anon_sym_centroid] = ACTIONS(2751),
    [anon_sym_noperspective] = ACTIONS(2751),
    [anon_sym_nointerpolation] = ACTIONS(2751),
    [anon_sym_sample] = ACTIONS(2751),
    [anon_sym_linear] = ACTIONS(2751),
    [anon_sym_snorm] = ACTIONS(2751),
    [anon_sym_unorm] = ACTIONS(2751),
    [anon_sym_point] = ACTIONS(2751),
    [anon_sym_line] = ACTIONS(2751),
    [anon_sym_triangleadj] = ACTIONS(2751),
    [anon_sym_lineadj] = ACTIONS(2751),
    [anon_sym_triangle] = ACTIONS(2751),
  },
  [1696] = {
    [sym_identifier] = ACTIONS(2968),
    [anon_sym_LPAREN2] = ACTIONS(2973),
    [anon_sym_BANG] = ACTIONS(2973),
    [anon_sym_TILDE] = ACTIONS(2973),
    [anon_sym_DASH] = ACTIONS(2968),
    [anon_sym_PLUS] = ACTIONS(2968),
    [anon_sym_STAR] = ACTIONS(2973),
    [anon_sym_AMP] = ACTIONS(2973),
    [anon_sym___extension__] = ACTIONS(2968),
    [anon_sym_in] = ACTIONS(2968),
    [anon_sym_out] = ACTIONS(2968),
    [anon_sym_inout] = ACTIONS(2968),
    [anon_sym_extern] = ACTIONS(2968),
    [anon_sym___attribute__] = ACTIONS(2968),
    [anon_sym_COLON_COLON] = ACTIONS(2973),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2973),
    [anon_sym___declspec] = ACTIONS(2968),
    [anon_sym_signed] = ACTIONS(2968),
    [anon_sym_unsigned] = ACTIONS(2968),
    [anon_sym_long] = ACTIONS(2968),
    [anon_sym_short] = ACTIONS(2968),
    [anon_sym_LBRACK] = ACTIONS(2968),
    [anon_sym_static] = ACTIONS(2968),
    [anon_sym_register] = ACTIONS(2968),
    [anon_sym_inline] = ACTIONS(2968),
    [anon_sym___inline] = ACTIONS(2968),
    [anon_sym___inline__] = ACTIONS(2968),
    [anon_sym___forceinline] = ACTIONS(2968),
    [anon_sym_thread_local] = ACTIONS(2968),
    [anon_sym___thread] = ACTIONS(2968),
    [anon_sym_const] = ACTIONS(2968),
    [anon_sym_constexpr] = ACTIONS(2968),
    [anon_sym_volatile] = ACTIONS(2968),
    [anon_sym_restrict] = ACTIONS(2968),
    [anon_sym___restrict__] = ACTIONS(2968),
    [anon_sym__Atomic] = ACTIONS(2968),
    [anon_sym__Noreturn] = ACTIONS(2968),
    [anon_sym_noreturn] = ACTIONS(2968),
    [anon_sym_mutable] = ACTIONS(2968),
    [anon_sym_constinit] = ACTIONS(2968),
    [anon_sym_consteval] = ACTIONS(2968),
    [sym_primitive_type] = ACTIONS(2968),
    [anon_sym_enum] = ACTIONS(2968),
    [anon_sym_class] = ACTIONS(2968),
    [anon_sym_struct] = ACTIONS(2968),
    [anon_sym_union] = ACTIONS(2968),
    [anon_sym_not] = ACTIONS(2968),
    [anon_sym_compl] = ACTIONS(2968),
    [anon_sym_DASH_DASH] = ACTIONS(2973),
    [anon_sym_PLUS_PLUS] = ACTIONS(2973),
    [anon_sym_sizeof] = ACTIONS(2968),
    [anon_sym___alignof__] = ACTIONS(2968),
    [anon_sym___alignof] = ACTIONS(2968),
    [anon_sym__alignof] = ACTIONS(2968),
    [anon_sym_alignof] = ACTIONS(2968),
    [anon_sym__Alignof] = ACTIONS(2968),
    [anon_sym_offsetof] = ACTIONS(2968),
    [anon_sym__Generic] = ACTIONS(2968),
    [anon_sym_asm] = ACTIONS(2968),
    [anon_sym___asm__] = ACTIONS(2968),
    [sym_number_literal] = ACTIONS(2973),
    [anon_sym_L_SQUOTE] = ACTIONS(2973),
    [anon_sym_u_SQUOTE] = ACTIONS(2973),
    [anon_sym_U_SQUOTE] = ACTIONS(2973),
    [anon_sym_u8_SQUOTE] = ACTIONS(2973),
    [anon_sym_SQUOTE] = ACTIONS(2973),
    [anon_sym_L_DQUOTE] = ACTIONS(2973),
    [anon_sym_u_DQUOTE] = ACTIONS(2973),
    [anon_sym_U_DQUOTE] = ACTIONS(2973),
    [anon_sym_u8_DQUOTE] = ACTIONS(2973),
    [anon_sym_DQUOTE] = ACTIONS(2973),
    [sym_true] = ACTIONS(2968),
    [sym_false] = ACTIONS(2968),
    [anon_sym_NULL] = ACTIONS(2968),
    [anon_sym_nullptr] = ACTIONS(2968),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2968),
    [anon_sym_decltype] = ACTIONS(2968),
    [anon_sym_virtual] = ACTIONS(2968),
    [anon_sym_alignas] = ACTIONS(2968),
    [anon_sym_typename] = ACTIONS(2968),
    [anon_sym_template] = ACTIONS(2968),
    [anon_sym_delete] = ACTIONS(2968),
    [anon_sym_R_DQUOTE] = ACTIONS(2973),
    [anon_sym_LR_DQUOTE] = ACTIONS(2973),
    [anon_sym_uR_DQUOTE] = ACTIONS(2973),
    [anon_sym_UR_DQUOTE] = ACTIONS(2973),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2973),
    [anon_sym_co_await] = ACTIONS(2968),
    [anon_sym_new] = ACTIONS(2968),
    [anon_sym_requires] = ACTIONS(2968),
    [sym_this] = ACTIONS(2968),
    [anon_sym_precise] = ACTIONS(2968),
    [anon_sym_shared] = ACTIONS(2968),
    [anon_sym_groupshared] = ACTIONS(2968),
    [anon_sym_uniform] = ACTIONS(2968),
    [anon_sym_row_major] = ACTIONS(2968),
    [anon_sym_column_major] = ACTIONS(2968),
    [anon_sym_globallycoherent] = ACTIONS(2968),
    [anon_sym_centroid] = ACTIONS(2968),
    [anon_sym_noperspective] = ACTIONS(2968),
    [anon_sym_nointerpolation] = ACTIONS(2968),
    [anon_sym_sample] = ACTIONS(2968),
    [anon_sym_linear] = ACTIONS(2968),
    [anon_sym_snorm] = ACTIONS(2968),
    [anon_sym_unorm] = ACTIONS(2968),
    [anon_sym_point] = ACTIONS(2968),
    [anon_sym_line] = ACTIONS(2968),
    [anon_sym_triangleadj] = ACTIONS(2968),
    [anon_sym_lineadj] = ACTIONS(2968),
    [anon_sym_triangle] = ACTIONS(2968),
  },
  [1697] = {
    [sym_type_qualifier] = STATE(3232),
    [sym__expression] = STATE(5811),
    [sym__expression_not_binary] = STATE(5024),
    [sym__string] = STATE(5024),
    [sym_conditional_expression] = STATE(5024),
    [sym_assignment_expression] = STATE(5024),
    [sym_pointer_expression] = STATE(4737),
    [sym_unary_expression] = STATE(5024),
    [sym_binary_expression] = STATE(5024),
    [sym_update_expression] = STATE(5024),
    [sym_cast_expression] = STATE(5024),
    [sym_sizeof_expression] = STATE(5024),
    [sym_alignof_expression] = STATE(5024),
    [sym_offsetof_expression] = STATE(5024),
    [sym_generic_expression] = STATE(5024),
    [sym_subscript_expression] = STATE(4737),
    [sym_call_expression] = STATE(4737),
    [sym_gnu_asm_expression] = STATE(5024),
    [sym_field_expression] = STATE(4737),
    [sym_compound_literal_expression] = STATE(5024),
    [sym_parenthesized_expression] = STATE(4737),
    [sym_char_literal] = STATE(5374),
    [sym_concatenated_string] = STATE(5377),
    [sym_string_literal] = STATE(4206),
    [sym_null] = STATE(5024),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9352),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(5024),
    [sym_raw_string_literal] = STATE(4217),
    [sym_co_await_expression] = STATE(5024),
    [sym_new_expression] = STATE(5024),
    [sym_delete_expression] = STATE(5024),
    [sym_requires_clause] = STATE(5024),
    [sym_requires_expression] = STATE(5024),
    [sym_lambda_expression] = STATE(5024),
    [sym_lambda_capture_specifier] = STATE(7184),
    [sym_fold_expression] = STATE(5024),
    [sym_parameter_pack_expansion] = STATE(5024),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6886),
    [sym_qualified_identifier] = STATE(4737),
    [sym_qualified_type_identifier] = STATE(9352),
    [sym_user_defined_literal] = STATE(4737),
    [aux_sym__type_definition_type_repeat1] = STATE(3232),
    [sym_identifier] = ACTIONS(4502),
    [anon_sym_LPAREN2] = ACTIONS(4540),
    [anon_sym_BANG] = ACTIONS(4506),
    [anon_sym_TILDE] = ACTIONS(4506),
    [anon_sym_DASH] = ACTIONS(4504),
    [anon_sym_PLUS] = ACTIONS(4504),
    [anon_sym_STAR] = ACTIONS(4672),
    [anon_sym_AMP] = ACTIONS(1474),
    [anon_sym___extension__] = ACTIONS(4591),
    [anon_sym_COLON_COLON] = ACTIONS(4508),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [anon_sym_RBRACK] = ACTIONS(4674),
    [anon_sym_const] = ACTIONS(4591),
    [anon_sym_constexpr] = ACTIONS(4591),
    [anon_sym_volatile] = ACTIONS(4591),
    [anon_sym_restrict] = ACTIONS(4591),
    [anon_sym___restrict__] = ACTIONS(4591),
    [anon_sym__Atomic] = ACTIONS(4591),
    [anon_sym__Noreturn] = ACTIONS(4591),
    [anon_sym_noreturn] = ACTIONS(4591),
    [anon_sym_mutable] = ACTIONS(4591),
    [anon_sym_constinit] = ACTIONS(4591),
    [anon_sym_consteval] = ACTIONS(4591),
    [sym_primitive_type] = ACTIONS(3146),
    [anon_sym_not] = ACTIONS(4504),
    [anon_sym_compl] = ACTIONS(4504),
    [anon_sym_DASH_DASH] = ACTIONS(4544),
    [anon_sym_PLUS_PLUS] = ACTIONS(4544),
    [anon_sym_sizeof] = ACTIONS(4510),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(4512),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(4514),
    [anon_sym_new] = ACTIONS(4516),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [1698] = {
    [sym_type_qualifier] = STATE(3232),
    [sym__expression] = STATE(5806),
    [sym__expression_not_binary] = STATE(5024),
    [sym__string] = STATE(5024),
    [sym_conditional_expression] = STATE(5024),
    [sym_assignment_expression] = STATE(5024),
    [sym_pointer_expression] = STATE(4737),
    [sym_unary_expression] = STATE(5024),
    [sym_binary_expression] = STATE(5024),
    [sym_update_expression] = STATE(5024),
    [sym_cast_expression] = STATE(5024),
    [sym_sizeof_expression] = STATE(5024),
    [sym_alignof_expression] = STATE(5024),
    [sym_offsetof_expression] = STATE(5024),
    [sym_generic_expression] = STATE(5024),
    [sym_subscript_expression] = STATE(4737),
    [sym_call_expression] = STATE(4737),
    [sym_gnu_asm_expression] = STATE(5024),
    [sym_field_expression] = STATE(4737),
    [sym_compound_literal_expression] = STATE(5024),
    [sym_parenthesized_expression] = STATE(4737),
    [sym_char_literal] = STATE(5374),
    [sym_concatenated_string] = STATE(5377),
    [sym_string_literal] = STATE(4206),
    [sym_null] = STATE(5024),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9352),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(5024),
    [sym_raw_string_literal] = STATE(4217),
    [sym_co_await_expression] = STATE(5024),
    [sym_new_expression] = STATE(5024),
    [sym_delete_expression] = STATE(5024),
    [sym_requires_clause] = STATE(5024),
    [sym_requires_expression] = STATE(5024),
    [sym_lambda_expression] = STATE(5024),
    [sym_lambda_capture_specifier] = STATE(7184),
    [sym_fold_expression] = STATE(5024),
    [sym_parameter_pack_expansion] = STATE(5024),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6886),
    [sym_qualified_identifier] = STATE(4737),
    [sym_qualified_type_identifier] = STATE(9352),
    [sym_user_defined_literal] = STATE(4737),
    [aux_sym__type_definition_type_repeat1] = STATE(3232),
    [sym_identifier] = ACTIONS(4502),
    [anon_sym_LPAREN2] = ACTIONS(4540),
    [anon_sym_BANG] = ACTIONS(4506),
    [anon_sym_TILDE] = ACTIONS(4506),
    [anon_sym_DASH] = ACTIONS(4504),
    [anon_sym_PLUS] = ACTIONS(4504),
    [anon_sym_STAR] = ACTIONS(4676),
    [anon_sym_AMP] = ACTIONS(1474),
    [anon_sym___extension__] = ACTIONS(4591),
    [anon_sym_COLON_COLON] = ACTIONS(4508),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [anon_sym_RBRACK] = ACTIONS(4678),
    [anon_sym_const] = ACTIONS(4591),
    [anon_sym_constexpr] = ACTIONS(4591),
    [anon_sym_volatile] = ACTIONS(4591),
    [anon_sym_restrict] = ACTIONS(4591),
    [anon_sym___restrict__] = ACTIONS(4591),
    [anon_sym__Atomic] = ACTIONS(4591),
    [anon_sym__Noreturn] = ACTIONS(4591),
    [anon_sym_noreturn] = ACTIONS(4591),
    [anon_sym_mutable] = ACTIONS(4591),
    [anon_sym_constinit] = ACTIONS(4591),
    [anon_sym_consteval] = ACTIONS(4591),
    [sym_primitive_type] = ACTIONS(3146),
    [anon_sym_not] = ACTIONS(4504),
    [anon_sym_compl] = ACTIONS(4504),
    [anon_sym_DASH_DASH] = ACTIONS(4544),
    [anon_sym_PLUS_PLUS] = ACTIONS(4544),
    [anon_sym_sizeof] = ACTIONS(4510),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(4512),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(4514),
    [anon_sym_new] = ACTIONS(4516),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [1699] = {
    [sym_type_qualifier] = STATE(1679),
    [sym__expression] = STATE(5840),
    [sym__expression_not_binary] = STATE(5024),
    [sym__string] = STATE(5024),
    [sym_conditional_expression] = STATE(5024),
    [sym_assignment_expression] = STATE(5024),
    [sym_pointer_expression] = STATE(4737),
    [sym_unary_expression] = STATE(5024),
    [sym_binary_expression] = STATE(5024),
    [sym_update_expression] = STATE(5024),
    [sym_cast_expression] = STATE(5024),
    [sym_sizeof_expression] = STATE(5024),
    [sym_alignof_expression] = STATE(5024),
    [sym_offsetof_expression] = STATE(5024),
    [sym_generic_expression] = STATE(5024),
    [sym_subscript_expression] = STATE(4737),
    [sym_call_expression] = STATE(4737),
    [sym_gnu_asm_expression] = STATE(5024),
    [sym_field_expression] = STATE(4737),
    [sym_compound_literal_expression] = STATE(5024),
    [sym_parenthesized_expression] = STATE(4737),
    [sym_char_literal] = STATE(5374),
    [sym_concatenated_string] = STATE(5377),
    [sym_string_literal] = STATE(4206),
    [sym_null] = STATE(5024),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9352),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(5024),
    [sym_raw_string_literal] = STATE(4217),
    [sym_co_await_expression] = STATE(5024),
    [sym_new_expression] = STATE(5024),
    [sym_delete_expression] = STATE(5024),
    [sym_requires_clause] = STATE(5024),
    [sym_requires_expression] = STATE(5024),
    [sym_lambda_expression] = STATE(5024),
    [sym_lambda_capture_specifier] = STATE(7184),
    [sym_fold_expression] = STATE(5024),
    [sym_parameter_pack_expansion] = STATE(5024),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6886),
    [sym_qualified_identifier] = STATE(4737),
    [sym_qualified_type_identifier] = STATE(9352),
    [sym_user_defined_literal] = STATE(4737),
    [aux_sym__type_definition_type_repeat1] = STATE(1679),
    [sym_identifier] = ACTIONS(4502),
    [anon_sym_LPAREN2] = ACTIONS(4540),
    [anon_sym_BANG] = ACTIONS(4506),
    [anon_sym_TILDE] = ACTIONS(4506),
    [anon_sym_DASH] = ACTIONS(4504),
    [anon_sym_PLUS] = ACTIONS(4504),
    [anon_sym_STAR] = ACTIONS(4680),
    [anon_sym_AMP] = ACTIONS(1474),
    [anon_sym___extension__] = ACTIONS(4591),
    [anon_sym_COLON_COLON] = ACTIONS(4508),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [anon_sym_RBRACK] = ACTIONS(4682),
    [anon_sym_const] = ACTIONS(4591),
    [anon_sym_constexpr] = ACTIONS(4591),
    [anon_sym_volatile] = ACTIONS(4591),
    [anon_sym_restrict] = ACTIONS(4591),
    [anon_sym___restrict__] = ACTIONS(4591),
    [anon_sym__Atomic] = ACTIONS(4591),
    [anon_sym__Noreturn] = ACTIONS(4591),
    [anon_sym_noreturn] = ACTIONS(4591),
    [anon_sym_mutable] = ACTIONS(4591),
    [anon_sym_constinit] = ACTIONS(4591),
    [anon_sym_consteval] = ACTIONS(4591),
    [sym_primitive_type] = ACTIONS(3146),
    [anon_sym_not] = ACTIONS(4504),
    [anon_sym_compl] = ACTIONS(4504),
    [anon_sym_DASH_DASH] = ACTIONS(4544),
    [anon_sym_PLUS_PLUS] = ACTIONS(4544),
    [anon_sym_sizeof] = ACTIONS(4510),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(4512),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(4514),
    [anon_sym_new] = ACTIONS(4516),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [1700] = {
    [sym_type_qualifier] = STATE(1697),
    [sym__expression] = STATE(5870),
    [sym__expression_not_binary] = STATE(5024),
    [sym__string] = STATE(5024),
    [sym_conditional_expression] = STATE(5024),
    [sym_assignment_expression] = STATE(5024),
    [sym_pointer_expression] = STATE(4737),
    [sym_unary_expression] = STATE(5024),
    [sym_binary_expression] = STATE(5024),
    [sym_update_expression] = STATE(5024),
    [sym_cast_expression] = STATE(5024),
    [sym_sizeof_expression] = STATE(5024),
    [sym_alignof_expression] = STATE(5024),
    [sym_offsetof_expression] = STATE(5024),
    [sym_generic_expression] = STATE(5024),
    [sym_subscript_expression] = STATE(4737),
    [sym_call_expression] = STATE(4737),
    [sym_gnu_asm_expression] = STATE(5024),
    [sym_field_expression] = STATE(4737),
    [sym_compound_literal_expression] = STATE(5024),
    [sym_parenthesized_expression] = STATE(4737),
    [sym_char_literal] = STATE(5374),
    [sym_concatenated_string] = STATE(5377),
    [sym_string_literal] = STATE(4206),
    [sym_null] = STATE(5024),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9352),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(5024),
    [sym_raw_string_literal] = STATE(4217),
    [sym_co_await_expression] = STATE(5024),
    [sym_new_expression] = STATE(5024),
    [sym_delete_expression] = STATE(5024),
    [sym_requires_clause] = STATE(5024),
    [sym_requires_expression] = STATE(5024),
    [sym_lambda_expression] = STATE(5024),
    [sym_lambda_capture_specifier] = STATE(7184),
    [sym_fold_expression] = STATE(5024),
    [sym_parameter_pack_expansion] = STATE(5024),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6886),
    [sym_qualified_identifier] = STATE(4737),
    [sym_qualified_type_identifier] = STATE(9352),
    [sym_user_defined_literal] = STATE(4737),
    [aux_sym__type_definition_type_repeat1] = STATE(1697),
    [sym_identifier] = ACTIONS(4502),
    [anon_sym_LPAREN2] = ACTIONS(4540),
    [anon_sym_BANG] = ACTIONS(4506),
    [anon_sym_TILDE] = ACTIONS(4506),
    [anon_sym_DASH] = ACTIONS(4504),
    [anon_sym_PLUS] = ACTIONS(4504),
    [anon_sym_STAR] = ACTIONS(4644),
    [anon_sym_AMP] = ACTIONS(1474),
    [anon_sym___extension__] = ACTIONS(4591),
    [anon_sym_COLON_COLON] = ACTIONS(4508),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [anon_sym_RBRACK] = ACTIONS(4646),
    [anon_sym_const] = ACTIONS(4591),
    [anon_sym_constexpr] = ACTIONS(4591),
    [anon_sym_volatile] = ACTIONS(4591),
    [anon_sym_restrict] = ACTIONS(4591),
    [anon_sym___restrict__] = ACTIONS(4591),
    [anon_sym__Atomic] = ACTIONS(4591),
    [anon_sym__Noreturn] = ACTIONS(4591),
    [anon_sym_noreturn] = ACTIONS(4591),
    [anon_sym_mutable] = ACTIONS(4591),
    [anon_sym_constinit] = ACTIONS(4591),
    [anon_sym_consteval] = ACTIONS(4591),
    [sym_primitive_type] = ACTIONS(3146),
    [anon_sym_not] = ACTIONS(4504),
    [anon_sym_compl] = ACTIONS(4504),
    [anon_sym_DASH_DASH] = ACTIONS(4544),
    [anon_sym_PLUS_PLUS] = ACTIONS(4544),
    [anon_sym_sizeof] = ACTIONS(4510),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(4512),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(4514),
    [anon_sym_new] = ACTIONS(4516),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [1701] = {
    [sym_template_argument_list] = STATE(1720),
    [sym_identifier] = ACTIONS(2232),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4546),
    [anon_sym_COMMA] = ACTIONS(4546),
    [anon_sym_RPAREN] = ACTIONS(4546),
    [anon_sym_LPAREN2] = ACTIONS(4548),
    [anon_sym_TILDE] = ACTIONS(2234),
    [anon_sym_DASH] = ACTIONS(4551),
    [anon_sym_PLUS] = ACTIONS(4551),
    [anon_sym_STAR] = ACTIONS(4553),
    [anon_sym_SLASH] = ACTIONS(4551),
    [anon_sym_PERCENT] = ACTIONS(4551),
    [anon_sym_PIPE_PIPE] = ACTIONS(4546),
    [anon_sym_AMP_AMP] = ACTIONS(4548),
    [anon_sym_PIPE] = ACTIONS(4551),
    [anon_sym_CARET] = ACTIONS(4551),
    [anon_sym_AMP] = ACTIONS(4553),
    [anon_sym_EQ_EQ] = ACTIONS(4546),
    [anon_sym_BANG_EQ] = ACTIONS(4546),
    [anon_sym_GT] = ACTIONS(4551),
    [anon_sym_GT_EQ] = ACTIONS(4546),
    [anon_sym_LT_EQ] = ACTIONS(4551),
    [anon_sym_LT] = ACTIONS(4556),
    [anon_sym_LT_LT] = ACTIONS(4551),
    [anon_sym_GT_GT] = ACTIONS(4551),
    [anon_sym_SEMI] = ACTIONS(4546),
    [anon_sym___extension__] = ACTIONS(2232),
    [anon_sym_in] = ACTIONS(2232),
    [anon_sym_out] = ACTIONS(2232),
    [anon_sym_inout] = ACTIONS(2232),
    [anon_sym_extern] = ACTIONS(2232),
    [anon_sym___attribute__] = ACTIONS(2232),
    [anon_sym_COLON_COLON] = ACTIONS(2230),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2234),
    [anon_sym___declspec] = ACTIONS(2232),
    [anon_sym___based] = ACTIONS(2232),
    [anon_sym_LBRACE] = ACTIONS(2234),
    [anon_sym_LBRACK] = ACTIONS(4553),
    [anon_sym_EQ] = ACTIONS(4551),
    [anon_sym_static] = ACTIONS(2232),
    [anon_sym_register] = ACTIONS(2232),
    [anon_sym_inline] = ACTIONS(2232),
    [anon_sym___inline] = ACTIONS(2232),
    [anon_sym___inline__] = ACTIONS(2232),
    [anon_sym___forceinline] = ACTIONS(2232),
    [anon_sym_thread_local] = ACTIONS(2232),
    [anon_sym___thread] = ACTIONS(2232),
    [anon_sym_const] = ACTIONS(2232),
    [anon_sym_constexpr] = ACTIONS(2232),
    [anon_sym_volatile] = ACTIONS(2232),
    [anon_sym_restrict] = ACTIONS(2232),
    [anon_sym___restrict__] = ACTIONS(2232),
    [anon_sym__Atomic] = ACTIONS(2232),
    [anon_sym__Noreturn] = ACTIONS(2232),
    [anon_sym_noreturn] = ACTIONS(2232),
    [anon_sym_mutable] = ACTIONS(2232),
    [anon_sym_constinit] = ACTIONS(2232),
    [anon_sym_consteval] = ACTIONS(2232),
    [anon_sym_QMARK] = ACTIONS(4546),
    [anon_sym_STAR_EQ] = ACTIONS(4546),
    [anon_sym_SLASH_EQ] = ACTIONS(4546),
    [anon_sym_PERCENT_EQ] = ACTIONS(4546),
    [anon_sym_PLUS_EQ] = ACTIONS(4546),
    [anon_sym_DASH_EQ] = ACTIONS(4546),
    [anon_sym_LT_LT_EQ] = ACTIONS(4546),
    [anon_sym_GT_GT_EQ] = ACTIONS(4546),
    [anon_sym_AMP_EQ] = ACTIONS(4546),
    [anon_sym_CARET_EQ] = ACTIONS(4546),
    [anon_sym_PIPE_EQ] = ACTIONS(4546),
    [anon_sym_and_eq] = ACTIONS(4551),
    [anon_sym_or_eq] = ACTIONS(4551),
    [anon_sym_xor_eq] = ACTIONS(4551),
    [anon_sym_LT_EQ_GT] = ACTIONS(4546),
    [anon_sym_or] = ACTIONS(4551),
    [anon_sym_and] = ACTIONS(4551),
    [anon_sym_bitor] = ACTIONS(4551),
    [anon_sym_xor] = ACTIONS(4551),
    [anon_sym_bitand] = ACTIONS(4551),
    [anon_sym_not_eq] = ACTIONS(4551),
    [anon_sym_DASH_DASH] = ACTIONS(4546),
    [anon_sym_PLUS_PLUS] = ACTIONS(4546),
    [anon_sym_DOT] = ACTIONS(4551),
    [anon_sym_DOT_STAR] = ACTIONS(4546),
    [anon_sym_DASH_GT] = ACTIONS(4546),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2232),
    [anon_sym_decltype] = ACTIONS(2232),
    [anon_sym_virtual] = ACTIONS(2232),
    [anon_sym_alignas] = ACTIONS(2232),
    [anon_sym_template] = ACTIONS(2232),
    [anon_sym_operator] = ACTIONS(2232),
    [anon_sym_precise] = ACTIONS(2232),
    [anon_sym_shared] = ACTIONS(2232),
    [anon_sym_groupshared] = ACTIONS(2232),
    [anon_sym_uniform] = ACTIONS(2232),
    [anon_sym_row_major] = ACTIONS(2232),
    [anon_sym_column_major] = ACTIONS(2232),
    [anon_sym_globallycoherent] = ACTIONS(2232),
    [anon_sym_centroid] = ACTIONS(2232),
    [anon_sym_noperspective] = ACTIONS(2232),
    [anon_sym_nointerpolation] = ACTIONS(2232),
    [anon_sym_sample] = ACTIONS(2232),
    [anon_sym_linear] = ACTIONS(2232),
    [anon_sym_snorm] = ACTIONS(2232),
    [anon_sym_unorm] = ACTIONS(2232),
    [anon_sym_point] = ACTIONS(2232),
    [anon_sym_line] = ACTIONS(2232),
    [anon_sym_triangleadj] = ACTIONS(2232),
    [anon_sym_lineadj] = ACTIONS(2232),
    [anon_sym_triangle] = ACTIONS(2232),
  },
  [1702] = {
    [sym_identifier] = ACTIONS(2200),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2202),
    [anon_sym_COMMA] = ACTIONS(2202),
    [anon_sym_RPAREN] = ACTIONS(2202),
    [anon_sym_LPAREN2] = ACTIONS(2202),
    [anon_sym_TILDE] = ACTIONS(2202),
    [anon_sym_DASH] = ACTIONS(2200),
    [anon_sym_PLUS] = ACTIONS(2200),
    [anon_sym_STAR] = ACTIONS(2200),
    [anon_sym_SLASH] = ACTIONS(2200),
    [anon_sym_PERCENT] = ACTIONS(2200),
    [anon_sym_PIPE_PIPE] = ACTIONS(2202),
    [anon_sym_AMP_AMP] = ACTIONS(2202),
    [anon_sym_PIPE] = ACTIONS(2200),
    [anon_sym_CARET] = ACTIONS(2200),
    [anon_sym_AMP] = ACTIONS(2200),
    [anon_sym_EQ_EQ] = ACTIONS(2202),
    [anon_sym_BANG_EQ] = ACTIONS(2202),
    [anon_sym_GT] = ACTIONS(2200),
    [anon_sym_GT_EQ] = ACTIONS(2202),
    [anon_sym_LT_EQ] = ACTIONS(2200),
    [anon_sym_LT] = ACTIONS(2200),
    [anon_sym_LT_LT] = ACTIONS(2200),
    [anon_sym_GT_GT] = ACTIONS(2200),
    [anon_sym_COLON] = ACTIONS(2200),
    [anon_sym___extension__] = ACTIONS(2200),
    [anon_sym_in] = ACTIONS(2200),
    [anon_sym_out] = ACTIONS(2200),
    [anon_sym_inout] = ACTIONS(2200),
    [anon_sym_extern] = ACTIONS(2200),
    [anon_sym___attribute__] = ACTIONS(2200),
    [anon_sym_COLON_COLON] = ACTIONS(2202),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2202),
    [anon_sym___declspec] = ACTIONS(2200),
    [anon_sym___based] = ACTIONS(2200),
    [anon_sym_LBRACE] = ACTIONS(2202),
    [anon_sym_LBRACK] = ACTIONS(2200),
    [anon_sym_EQ] = ACTIONS(2200),
    [anon_sym_static] = ACTIONS(2200),
    [anon_sym_register] = ACTIONS(2200),
    [anon_sym_inline] = ACTIONS(2200),
    [anon_sym___inline] = ACTIONS(2200),
    [anon_sym___inline__] = ACTIONS(2200),
    [anon_sym___forceinline] = ACTIONS(2200),
    [anon_sym_thread_local] = ACTIONS(2200),
    [anon_sym___thread] = ACTIONS(2200),
    [anon_sym_const] = ACTIONS(2200),
    [anon_sym_constexpr] = ACTIONS(2200),
    [anon_sym_volatile] = ACTIONS(2200),
    [anon_sym_restrict] = ACTIONS(2200),
    [anon_sym___restrict__] = ACTIONS(2200),
    [anon_sym__Atomic] = ACTIONS(2200),
    [anon_sym__Noreturn] = ACTIONS(2200),
    [anon_sym_noreturn] = ACTIONS(2200),
    [anon_sym_mutable] = ACTIONS(2200),
    [anon_sym_constinit] = ACTIONS(2200),
    [anon_sym_consteval] = ACTIONS(2200),
    [anon_sym_QMARK] = ACTIONS(2202),
    [anon_sym_STAR_EQ] = ACTIONS(2202),
    [anon_sym_SLASH_EQ] = ACTIONS(2202),
    [anon_sym_PERCENT_EQ] = ACTIONS(2202),
    [anon_sym_PLUS_EQ] = ACTIONS(2202),
    [anon_sym_DASH_EQ] = ACTIONS(2202),
    [anon_sym_LT_LT_EQ] = ACTIONS(2202),
    [anon_sym_GT_GT_EQ] = ACTIONS(2202),
    [anon_sym_AMP_EQ] = ACTIONS(2202),
    [anon_sym_CARET_EQ] = ACTIONS(2202),
    [anon_sym_PIPE_EQ] = ACTIONS(2202),
    [anon_sym_and_eq] = ACTIONS(2200),
    [anon_sym_or_eq] = ACTIONS(2200),
    [anon_sym_xor_eq] = ACTIONS(2200),
    [anon_sym_LT_EQ_GT] = ACTIONS(2202),
    [anon_sym_or] = ACTIONS(2200),
    [anon_sym_and] = ACTIONS(2200),
    [anon_sym_bitor] = ACTIONS(2200),
    [anon_sym_xor] = ACTIONS(2200),
    [anon_sym_bitand] = ACTIONS(2200),
    [anon_sym_not_eq] = ACTIONS(2200),
    [anon_sym_DASH_DASH] = ACTIONS(2202),
    [anon_sym_PLUS_PLUS] = ACTIONS(2202),
    [anon_sym_DOT] = ACTIONS(2200),
    [anon_sym_DOT_STAR] = ACTIONS(2202),
    [anon_sym_DASH_GT] = ACTIONS(2200),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2200),
    [anon_sym_decltype] = ACTIONS(2200),
    [anon_sym_virtual] = ACTIONS(2200),
    [anon_sym_alignas] = ACTIONS(2200),
    [anon_sym_template] = ACTIONS(2200),
    [anon_sym_operator] = ACTIONS(2200),
    [anon_sym_DASH_GT_STAR] = ACTIONS(2202),
    [anon_sym_precise] = ACTIONS(2200),
    [anon_sym_shared] = ACTIONS(2200),
    [anon_sym_groupshared] = ACTIONS(2200),
    [anon_sym_uniform] = ACTIONS(2200),
    [anon_sym_row_major] = ACTIONS(2200),
    [anon_sym_column_major] = ACTIONS(2200),
    [anon_sym_globallycoherent] = ACTIONS(2200),
    [anon_sym_centroid] = ACTIONS(2200),
    [anon_sym_noperspective] = ACTIONS(2200),
    [anon_sym_nointerpolation] = ACTIONS(2200),
    [anon_sym_sample] = ACTIONS(2200),
    [anon_sym_linear] = ACTIONS(2200),
    [anon_sym_snorm] = ACTIONS(2200),
    [anon_sym_unorm] = ACTIONS(2200),
    [anon_sym_point] = ACTIONS(2200),
    [anon_sym_line] = ACTIONS(2200),
    [anon_sym_triangleadj] = ACTIONS(2200),
    [anon_sym_lineadj] = ACTIONS(2200),
    [anon_sym_triangle] = ACTIONS(2200),
  },
  [1703] = {
    [sym_identifier] = ACTIONS(2208),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2210),
    [anon_sym_COMMA] = ACTIONS(2210),
    [anon_sym_RPAREN] = ACTIONS(2210),
    [anon_sym_LPAREN2] = ACTIONS(2210),
    [anon_sym_TILDE] = ACTIONS(2210),
    [anon_sym_DASH] = ACTIONS(2208),
    [anon_sym_PLUS] = ACTIONS(2208),
    [anon_sym_STAR] = ACTIONS(2210),
    [anon_sym_SLASH] = ACTIONS(2208),
    [anon_sym_PERCENT] = ACTIONS(2210),
    [anon_sym_PIPE_PIPE] = ACTIONS(2210),
    [anon_sym_AMP_AMP] = ACTIONS(2210),
    [anon_sym_PIPE] = ACTIONS(2208),
    [anon_sym_CARET] = ACTIONS(2210),
    [anon_sym_AMP] = ACTIONS(2208),
    [anon_sym_EQ_EQ] = ACTIONS(2210),
    [anon_sym_BANG_EQ] = ACTIONS(2210),
    [anon_sym_GT] = ACTIONS(2208),
    [anon_sym_GT_EQ] = ACTIONS(2210),
    [anon_sym_LT_EQ] = ACTIONS(2208),
    [anon_sym_LT] = ACTIONS(2208),
    [anon_sym_LT_LT] = ACTIONS(2210),
    [anon_sym_GT_GT] = ACTIONS(2210),
    [anon_sym_COLON] = ACTIONS(2208),
    [anon_sym_SEMI] = ACTIONS(2210),
    [anon_sym___extension__] = ACTIONS(2208),
    [anon_sym_in] = ACTIONS(2208),
    [anon_sym_out] = ACTIONS(2208),
    [anon_sym_inout] = ACTIONS(2208),
    [anon_sym_extern] = ACTIONS(2208),
    [anon_sym___attribute__] = ACTIONS(2208),
    [anon_sym_COLON_COLON] = ACTIONS(2210),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2210),
    [anon_sym___declspec] = ACTIONS(2208),
    [anon_sym___based] = ACTIONS(2208),
    [anon_sym___cdecl] = ACTIONS(2208),
    [anon_sym___clrcall] = ACTIONS(2208),
    [anon_sym___stdcall] = ACTIONS(2208),
    [anon_sym___fastcall] = ACTIONS(2208),
    [anon_sym___thiscall] = ACTIONS(2208),
    [anon_sym___vectorcall] = ACTIONS(2208),
    [anon_sym_LBRACE] = ACTIONS(2210),
    [anon_sym_RBRACE] = ACTIONS(2210),
    [anon_sym_LBRACK] = ACTIONS(2208),
    [anon_sym_EQ] = ACTIONS(2208),
    [anon_sym_static] = ACTIONS(2208),
    [anon_sym_register] = ACTIONS(2208),
    [anon_sym_inline] = ACTIONS(2208),
    [anon_sym___inline] = ACTIONS(2208),
    [anon_sym___inline__] = ACTIONS(2208),
    [anon_sym___forceinline] = ACTIONS(2208),
    [anon_sym_thread_local] = ACTIONS(2208),
    [anon_sym___thread] = ACTIONS(2208),
    [anon_sym_const] = ACTIONS(2208),
    [anon_sym_constexpr] = ACTIONS(2208),
    [anon_sym_volatile] = ACTIONS(2208),
    [anon_sym_restrict] = ACTIONS(2208),
    [anon_sym___restrict__] = ACTIONS(2208),
    [anon_sym__Atomic] = ACTIONS(2208),
    [anon_sym__Noreturn] = ACTIONS(2208),
    [anon_sym_noreturn] = ACTIONS(2208),
    [anon_sym_mutable] = ACTIONS(2208),
    [anon_sym_constinit] = ACTIONS(2208),
    [anon_sym_consteval] = ACTIONS(2208),
    [anon_sym_else] = ACTIONS(2208),
    [anon_sym_while] = ACTIONS(2208),
    [anon_sym_QMARK] = ACTIONS(2210),
    [anon_sym_LT_EQ_GT] = ACTIONS(2210),
    [anon_sym_or] = ACTIONS(2208),
    [anon_sym_and] = ACTIONS(2208),
    [anon_sym_bitor] = ACTIONS(2208),
    [anon_sym_xor] = ACTIONS(2208),
    [anon_sym_bitand] = ACTIONS(2208),
    [anon_sym_not_eq] = ACTIONS(2208),
    [anon_sym_DASH_DASH] = ACTIONS(2210),
    [anon_sym_PLUS_PLUS] = ACTIONS(2210),
    [anon_sym_DOT] = ACTIONS(2208),
    [anon_sym_DOT_STAR] = ACTIONS(2210),
    [anon_sym_DASH_GT] = ACTIONS(2210),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2208),
    [anon_sym_decltype] = ACTIONS(2208),
    [anon_sym_final] = ACTIONS(2208),
    [anon_sym_override] = ACTIONS(2208),
    [anon_sym_virtual] = ACTIONS(2208),
    [anon_sym_alignas] = ACTIONS(2208),
    [anon_sym_template] = ACTIONS(2208),
    [anon_sym_operator] = ACTIONS(2208),
    [anon_sym_try] = ACTIONS(2208),
    [anon_sym_requires] = ACTIONS(2208),
    [anon_sym_precise] = ACTIONS(2208),
    [anon_sym_shared] = ACTIONS(2208),
    [anon_sym_groupshared] = ACTIONS(2208),
    [anon_sym_uniform] = ACTIONS(2208),
    [anon_sym_row_major] = ACTIONS(2208),
    [anon_sym_column_major] = ACTIONS(2208),
    [anon_sym_globallycoherent] = ACTIONS(2208),
    [anon_sym_centroid] = ACTIONS(2208),
    [anon_sym_noperspective] = ACTIONS(2208),
    [anon_sym_nointerpolation] = ACTIONS(2208),
    [anon_sym_sample] = ACTIONS(2208),
    [anon_sym_linear] = ACTIONS(2208),
    [anon_sym_snorm] = ACTIONS(2208),
    [anon_sym_unorm] = ACTIONS(2208),
    [anon_sym_point] = ACTIONS(2208),
    [anon_sym_line] = ACTIONS(2208),
    [anon_sym_triangleadj] = ACTIONS(2208),
    [anon_sym_lineadj] = ACTIONS(2208),
    [anon_sym_triangle] = ACTIONS(2208),
  },
  [1704] = {
    [sym_identifier] = ACTIONS(2216),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2218),
    [anon_sym_COMMA] = ACTIONS(2218),
    [anon_sym_RPAREN] = ACTIONS(2218),
    [anon_sym_LPAREN2] = ACTIONS(2218),
    [anon_sym_TILDE] = ACTIONS(2218),
    [anon_sym_DASH] = ACTIONS(2216),
    [anon_sym_PLUS] = ACTIONS(2216),
    [anon_sym_STAR] = ACTIONS(2216),
    [anon_sym_SLASH] = ACTIONS(2216),
    [anon_sym_PERCENT] = ACTIONS(2216),
    [anon_sym_PIPE_PIPE] = ACTIONS(2218),
    [anon_sym_AMP_AMP] = ACTIONS(2218),
    [anon_sym_PIPE] = ACTIONS(2216),
    [anon_sym_CARET] = ACTIONS(2216),
    [anon_sym_AMP] = ACTIONS(2216),
    [anon_sym_EQ_EQ] = ACTIONS(2218),
    [anon_sym_BANG_EQ] = ACTIONS(2218),
    [anon_sym_GT] = ACTIONS(2216),
    [anon_sym_GT_EQ] = ACTIONS(2218),
    [anon_sym_LT_EQ] = ACTIONS(2216),
    [anon_sym_LT] = ACTIONS(2216),
    [anon_sym_LT_LT] = ACTIONS(2216),
    [anon_sym_GT_GT] = ACTIONS(2216),
    [anon_sym_COLON] = ACTIONS(2216),
    [anon_sym___extension__] = ACTIONS(2216),
    [anon_sym_in] = ACTIONS(2216),
    [anon_sym_out] = ACTIONS(2216),
    [anon_sym_inout] = ACTIONS(2216),
    [anon_sym_extern] = ACTIONS(2216),
    [anon_sym___attribute__] = ACTIONS(2216),
    [anon_sym_COLON_COLON] = ACTIONS(2218),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2218),
    [anon_sym___declspec] = ACTIONS(2216),
    [anon_sym___based] = ACTIONS(2216),
    [anon_sym_LBRACE] = ACTIONS(2218),
    [anon_sym_LBRACK] = ACTIONS(2216),
    [anon_sym_EQ] = ACTIONS(2216),
    [anon_sym_static] = ACTIONS(2216),
    [anon_sym_register] = ACTIONS(2216),
    [anon_sym_inline] = ACTIONS(2216),
    [anon_sym___inline] = ACTIONS(2216),
    [anon_sym___inline__] = ACTIONS(2216),
    [anon_sym___forceinline] = ACTIONS(2216),
    [anon_sym_thread_local] = ACTIONS(2216),
    [anon_sym___thread] = ACTIONS(2216),
    [anon_sym_const] = ACTIONS(2216),
    [anon_sym_constexpr] = ACTIONS(2216),
    [anon_sym_volatile] = ACTIONS(2216),
    [anon_sym_restrict] = ACTIONS(2216),
    [anon_sym___restrict__] = ACTIONS(2216),
    [anon_sym__Atomic] = ACTIONS(2216),
    [anon_sym__Noreturn] = ACTIONS(2216),
    [anon_sym_noreturn] = ACTIONS(2216),
    [anon_sym_mutable] = ACTIONS(2216),
    [anon_sym_constinit] = ACTIONS(2216),
    [anon_sym_consteval] = ACTIONS(2216),
    [anon_sym_QMARK] = ACTIONS(2218),
    [anon_sym_STAR_EQ] = ACTIONS(2218),
    [anon_sym_SLASH_EQ] = ACTIONS(2218),
    [anon_sym_PERCENT_EQ] = ACTIONS(2218),
    [anon_sym_PLUS_EQ] = ACTIONS(2218),
    [anon_sym_DASH_EQ] = ACTIONS(2218),
    [anon_sym_LT_LT_EQ] = ACTIONS(2218),
    [anon_sym_GT_GT_EQ] = ACTIONS(2218),
    [anon_sym_AMP_EQ] = ACTIONS(2218),
    [anon_sym_CARET_EQ] = ACTIONS(2218),
    [anon_sym_PIPE_EQ] = ACTIONS(2218),
    [anon_sym_and_eq] = ACTIONS(2216),
    [anon_sym_or_eq] = ACTIONS(2216),
    [anon_sym_xor_eq] = ACTIONS(2216),
    [anon_sym_LT_EQ_GT] = ACTIONS(2218),
    [anon_sym_or] = ACTIONS(2216),
    [anon_sym_and] = ACTIONS(2216),
    [anon_sym_bitor] = ACTIONS(2216),
    [anon_sym_xor] = ACTIONS(2216),
    [anon_sym_bitand] = ACTIONS(2216),
    [anon_sym_not_eq] = ACTIONS(2216),
    [anon_sym_DASH_DASH] = ACTIONS(2218),
    [anon_sym_PLUS_PLUS] = ACTIONS(2218),
    [anon_sym_DOT] = ACTIONS(2216),
    [anon_sym_DOT_STAR] = ACTIONS(2218),
    [anon_sym_DASH_GT] = ACTIONS(2216),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2216),
    [anon_sym_decltype] = ACTIONS(2216),
    [anon_sym_virtual] = ACTIONS(2216),
    [anon_sym_alignas] = ACTIONS(2216),
    [anon_sym_template] = ACTIONS(2216),
    [anon_sym_operator] = ACTIONS(2216),
    [anon_sym_DASH_GT_STAR] = ACTIONS(2218),
    [anon_sym_precise] = ACTIONS(2216),
    [anon_sym_shared] = ACTIONS(2216),
    [anon_sym_groupshared] = ACTIONS(2216),
    [anon_sym_uniform] = ACTIONS(2216),
    [anon_sym_row_major] = ACTIONS(2216),
    [anon_sym_column_major] = ACTIONS(2216),
    [anon_sym_globallycoherent] = ACTIONS(2216),
    [anon_sym_centroid] = ACTIONS(2216),
    [anon_sym_noperspective] = ACTIONS(2216),
    [anon_sym_nointerpolation] = ACTIONS(2216),
    [anon_sym_sample] = ACTIONS(2216),
    [anon_sym_linear] = ACTIONS(2216),
    [anon_sym_snorm] = ACTIONS(2216),
    [anon_sym_unorm] = ACTIONS(2216),
    [anon_sym_point] = ACTIONS(2216),
    [anon_sym_line] = ACTIONS(2216),
    [anon_sym_triangleadj] = ACTIONS(2216),
    [anon_sym_lineadj] = ACTIONS(2216),
    [anon_sym_triangle] = ACTIONS(2216),
  },
  [1705] = {
    [sym_identifier] = ACTIONS(2182),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2184),
    [anon_sym_COMMA] = ACTIONS(2184),
    [anon_sym_RPAREN] = ACTIONS(2184),
    [anon_sym_LPAREN2] = ACTIONS(2184),
    [anon_sym_TILDE] = ACTIONS(2184),
    [anon_sym_DASH] = ACTIONS(2182),
    [anon_sym_PLUS] = ACTIONS(2182),
    [anon_sym_STAR] = ACTIONS(2182),
    [anon_sym_SLASH] = ACTIONS(2182),
    [anon_sym_PERCENT] = ACTIONS(2182),
    [anon_sym_PIPE_PIPE] = ACTIONS(2184),
    [anon_sym_AMP_AMP] = ACTIONS(2184),
    [anon_sym_PIPE] = ACTIONS(2182),
    [anon_sym_CARET] = ACTIONS(2182),
    [anon_sym_AMP] = ACTIONS(2182),
    [anon_sym_EQ_EQ] = ACTIONS(2184),
    [anon_sym_BANG_EQ] = ACTIONS(2184),
    [anon_sym_GT] = ACTIONS(2182),
    [anon_sym_GT_EQ] = ACTIONS(2184),
    [anon_sym_LT_EQ] = ACTIONS(2182),
    [anon_sym_LT] = ACTIONS(2182),
    [anon_sym_LT_LT] = ACTIONS(2182),
    [anon_sym_GT_GT] = ACTIONS(2182),
    [anon_sym_COLON] = ACTIONS(2182),
    [anon_sym___extension__] = ACTIONS(2182),
    [anon_sym_in] = ACTIONS(2182),
    [anon_sym_out] = ACTIONS(2182),
    [anon_sym_inout] = ACTIONS(2182),
    [anon_sym_extern] = ACTIONS(2182),
    [anon_sym___attribute__] = ACTIONS(2182),
    [anon_sym_COLON_COLON] = ACTIONS(2184),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2184),
    [anon_sym___declspec] = ACTIONS(2182),
    [anon_sym___based] = ACTIONS(2182),
    [anon_sym_LBRACE] = ACTIONS(2184),
    [anon_sym_LBRACK] = ACTIONS(2182),
    [anon_sym_EQ] = ACTIONS(2182),
    [anon_sym_static] = ACTIONS(2182),
    [anon_sym_register] = ACTIONS(2182),
    [anon_sym_inline] = ACTIONS(2182),
    [anon_sym___inline] = ACTIONS(2182),
    [anon_sym___inline__] = ACTIONS(2182),
    [anon_sym___forceinline] = ACTIONS(2182),
    [anon_sym_thread_local] = ACTIONS(2182),
    [anon_sym___thread] = ACTIONS(2182),
    [anon_sym_const] = ACTIONS(2182),
    [anon_sym_constexpr] = ACTIONS(2182),
    [anon_sym_volatile] = ACTIONS(2182),
    [anon_sym_restrict] = ACTIONS(2182),
    [anon_sym___restrict__] = ACTIONS(2182),
    [anon_sym__Atomic] = ACTIONS(2182),
    [anon_sym__Noreturn] = ACTIONS(2182),
    [anon_sym_noreturn] = ACTIONS(2182),
    [anon_sym_mutable] = ACTIONS(2182),
    [anon_sym_constinit] = ACTIONS(2182),
    [anon_sym_consteval] = ACTIONS(2182),
    [anon_sym_QMARK] = ACTIONS(2184),
    [anon_sym_STAR_EQ] = ACTIONS(2184),
    [anon_sym_SLASH_EQ] = ACTIONS(2184),
    [anon_sym_PERCENT_EQ] = ACTIONS(2184),
    [anon_sym_PLUS_EQ] = ACTIONS(2184),
    [anon_sym_DASH_EQ] = ACTIONS(2184),
    [anon_sym_LT_LT_EQ] = ACTIONS(2184),
    [anon_sym_GT_GT_EQ] = ACTIONS(2184),
    [anon_sym_AMP_EQ] = ACTIONS(2184),
    [anon_sym_CARET_EQ] = ACTIONS(2184),
    [anon_sym_PIPE_EQ] = ACTIONS(2184),
    [anon_sym_and_eq] = ACTIONS(2182),
    [anon_sym_or_eq] = ACTIONS(2182),
    [anon_sym_xor_eq] = ACTIONS(2182),
    [anon_sym_LT_EQ_GT] = ACTIONS(2184),
    [anon_sym_or] = ACTIONS(2182),
    [anon_sym_and] = ACTIONS(2182),
    [anon_sym_bitor] = ACTIONS(2182),
    [anon_sym_xor] = ACTIONS(2182),
    [anon_sym_bitand] = ACTIONS(2182),
    [anon_sym_not_eq] = ACTIONS(2182),
    [anon_sym_DASH_DASH] = ACTIONS(2184),
    [anon_sym_PLUS_PLUS] = ACTIONS(2184),
    [anon_sym_DOT] = ACTIONS(2182),
    [anon_sym_DOT_STAR] = ACTIONS(2184),
    [anon_sym_DASH_GT] = ACTIONS(2182),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2182),
    [anon_sym_decltype] = ACTIONS(2182),
    [anon_sym_virtual] = ACTIONS(2182),
    [anon_sym_alignas] = ACTIONS(2182),
    [anon_sym_template] = ACTIONS(2182),
    [anon_sym_operator] = ACTIONS(2182),
    [anon_sym_DASH_GT_STAR] = ACTIONS(2184),
    [anon_sym_precise] = ACTIONS(2182),
    [anon_sym_shared] = ACTIONS(2182),
    [anon_sym_groupshared] = ACTIONS(2182),
    [anon_sym_uniform] = ACTIONS(2182),
    [anon_sym_row_major] = ACTIONS(2182),
    [anon_sym_column_major] = ACTIONS(2182),
    [anon_sym_globallycoherent] = ACTIONS(2182),
    [anon_sym_centroid] = ACTIONS(2182),
    [anon_sym_noperspective] = ACTIONS(2182),
    [anon_sym_nointerpolation] = ACTIONS(2182),
    [anon_sym_sample] = ACTIONS(2182),
    [anon_sym_linear] = ACTIONS(2182),
    [anon_sym_snorm] = ACTIONS(2182),
    [anon_sym_unorm] = ACTIONS(2182),
    [anon_sym_point] = ACTIONS(2182),
    [anon_sym_line] = ACTIONS(2182),
    [anon_sym_triangleadj] = ACTIONS(2182),
    [anon_sym_lineadj] = ACTIONS(2182),
    [anon_sym_triangle] = ACTIONS(2182),
  },
  [1706] = {
    [sym_identifier] = ACTIONS(2186),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2188),
    [anon_sym_COMMA] = ACTIONS(2188),
    [anon_sym_RPAREN] = ACTIONS(2188),
    [anon_sym_LPAREN2] = ACTIONS(2188),
    [anon_sym_TILDE] = ACTIONS(2188),
    [anon_sym_DASH] = ACTIONS(2186),
    [anon_sym_PLUS] = ACTIONS(2186),
    [anon_sym_STAR] = ACTIONS(2186),
    [anon_sym_SLASH] = ACTIONS(2186),
    [anon_sym_PERCENT] = ACTIONS(2186),
    [anon_sym_PIPE_PIPE] = ACTIONS(2188),
    [anon_sym_AMP_AMP] = ACTIONS(2188),
    [anon_sym_PIPE] = ACTIONS(2186),
    [anon_sym_CARET] = ACTIONS(2186),
    [anon_sym_AMP] = ACTIONS(2186),
    [anon_sym_EQ_EQ] = ACTIONS(2188),
    [anon_sym_BANG_EQ] = ACTIONS(2188),
    [anon_sym_GT] = ACTIONS(2186),
    [anon_sym_GT_EQ] = ACTIONS(2188),
    [anon_sym_LT_EQ] = ACTIONS(2186),
    [anon_sym_LT] = ACTIONS(2186),
    [anon_sym_LT_LT] = ACTIONS(2186),
    [anon_sym_GT_GT] = ACTIONS(2186),
    [anon_sym_COLON] = ACTIONS(2186),
    [anon_sym___extension__] = ACTIONS(2186),
    [anon_sym_in] = ACTIONS(2186),
    [anon_sym_out] = ACTIONS(2186),
    [anon_sym_inout] = ACTIONS(2186),
    [anon_sym_extern] = ACTIONS(2186),
    [anon_sym___attribute__] = ACTIONS(2186),
    [anon_sym_COLON_COLON] = ACTIONS(2188),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2188),
    [anon_sym___declspec] = ACTIONS(2186),
    [anon_sym___based] = ACTIONS(2186),
    [anon_sym_LBRACE] = ACTIONS(2188),
    [anon_sym_LBRACK] = ACTIONS(2186),
    [anon_sym_EQ] = ACTIONS(2186),
    [anon_sym_static] = ACTIONS(2186),
    [anon_sym_register] = ACTIONS(2186),
    [anon_sym_inline] = ACTIONS(2186),
    [anon_sym___inline] = ACTIONS(2186),
    [anon_sym___inline__] = ACTIONS(2186),
    [anon_sym___forceinline] = ACTIONS(2186),
    [anon_sym_thread_local] = ACTIONS(2186),
    [anon_sym___thread] = ACTIONS(2186),
    [anon_sym_const] = ACTIONS(2186),
    [anon_sym_constexpr] = ACTIONS(2186),
    [anon_sym_volatile] = ACTIONS(2186),
    [anon_sym_restrict] = ACTIONS(2186),
    [anon_sym___restrict__] = ACTIONS(2186),
    [anon_sym__Atomic] = ACTIONS(2186),
    [anon_sym__Noreturn] = ACTIONS(2186),
    [anon_sym_noreturn] = ACTIONS(2186),
    [anon_sym_mutable] = ACTIONS(2186),
    [anon_sym_constinit] = ACTIONS(2186),
    [anon_sym_consteval] = ACTIONS(2186),
    [anon_sym_QMARK] = ACTIONS(2188),
    [anon_sym_STAR_EQ] = ACTIONS(2188),
    [anon_sym_SLASH_EQ] = ACTIONS(2188),
    [anon_sym_PERCENT_EQ] = ACTIONS(2188),
    [anon_sym_PLUS_EQ] = ACTIONS(2188),
    [anon_sym_DASH_EQ] = ACTIONS(2188),
    [anon_sym_LT_LT_EQ] = ACTIONS(2188),
    [anon_sym_GT_GT_EQ] = ACTIONS(2188),
    [anon_sym_AMP_EQ] = ACTIONS(2188),
    [anon_sym_CARET_EQ] = ACTIONS(2188),
    [anon_sym_PIPE_EQ] = ACTIONS(2188),
    [anon_sym_and_eq] = ACTIONS(2186),
    [anon_sym_or_eq] = ACTIONS(2186),
    [anon_sym_xor_eq] = ACTIONS(2186),
    [anon_sym_LT_EQ_GT] = ACTIONS(2188),
    [anon_sym_or] = ACTIONS(2186),
    [anon_sym_and] = ACTIONS(2186),
    [anon_sym_bitor] = ACTIONS(2186),
    [anon_sym_xor] = ACTIONS(2186),
    [anon_sym_bitand] = ACTIONS(2186),
    [anon_sym_not_eq] = ACTIONS(2186),
    [anon_sym_DASH_DASH] = ACTIONS(2188),
    [anon_sym_PLUS_PLUS] = ACTIONS(2188),
    [anon_sym_DOT] = ACTIONS(2186),
    [anon_sym_DOT_STAR] = ACTIONS(2188),
    [anon_sym_DASH_GT] = ACTIONS(2186),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2186),
    [anon_sym_decltype] = ACTIONS(2186),
    [anon_sym_virtual] = ACTIONS(2186),
    [anon_sym_alignas] = ACTIONS(2186),
    [anon_sym_template] = ACTIONS(2186),
    [anon_sym_operator] = ACTIONS(2186),
    [anon_sym_DASH_GT_STAR] = ACTIONS(2188),
    [anon_sym_precise] = ACTIONS(2186),
    [anon_sym_shared] = ACTIONS(2186),
    [anon_sym_groupshared] = ACTIONS(2186),
    [anon_sym_uniform] = ACTIONS(2186),
    [anon_sym_row_major] = ACTIONS(2186),
    [anon_sym_column_major] = ACTIONS(2186),
    [anon_sym_globallycoherent] = ACTIONS(2186),
    [anon_sym_centroid] = ACTIONS(2186),
    [anon_sym_noperspective] = ACTIONS(2186),
    [anon_sym_nointerpolation] = ACTIONS(2186),
    [anon_sym_sample] = ACTIONS(2186),
    [anon_sym_linear] = ACTIONS(2186),
    [anon_sym_snorm] = ACTIONS(2186),
    [anon_sym_unorm] = ACTIONS(2186),
    [anon_sym_point] = ACTIONS(2186),
    [anon_sym_line] = ACTIONS(2186),
    [anon_sym_triangleadj] = ACTIONS(2186),
    [anon_sym_lineadj] = ACTIONS(2186),
    [anon_sym_triangle] = ACTIONS(2186),
  },
  [1707] = {
    [sym_identifier] = ACTIONS(2254),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4575),
    [anon_sym_COMMA] = ACTIONS(4575),
    [anon_sym_RPAREN] = ACTIONS(4575),
    [anon_sym_LPAREN2] = ACTIONS(4575),
    [anon_sym_TILDE] = ACTIONS(2256),
    [anon_sym_DASH] = ACTIONS(4578),
    [anon_sym_PLUS] = ACTIONS(4578),
    [anon_sym_STAR] = ACTIONS(4580),
    [anon_sym_SLASH] = ACTIONS(4578),
    [anon_sym_PERCENT] = ACTIONS(4578),
    [anon_sym_PIPE_PIPE] = ACTIONS(4573),
    [anon_sym_AMP_AMP] = ACTIONS(4575),
    [anon_sym_PIPE] = ACTIONS(4578),
    [anon_sym_CARET] = ACTIONS(4578),
    [anon_sym_AMP] = ACTIONS(4580),
    [anon_sym_EQ_EQ] = ACTIONS(4573),
    [anon_sym_BANG_EQ] = ACTIONS(4573),
    [anon_sym_GT] = ACTIONS(4578),
    [anon_sym_GT_EQ] = ACTIONS(4573),
    [anon_sym_LT_EQ] = ACTIONS(4578),
    [anon_sym_LT] = ACTIONS(4578),
    [anon_sym_LT_LT] = ACTIONS(4578),
    [anon_sym_GT_GT] = ACTIONS(4578),
    [anon_sym_COLON] = ACTIONS(2254),
    [anon_sym___extension__] = ACTIONS(2254),
    [anon_sym_in] = ACTIONS(2254),
    [anon_sym_out] = ACTIONS(2254),
    [anon_sym_inout] = ACTIONS(2254),
    [anon_sym_extern] = ACTIONS(2254),
    [anon_sym___attribute__] = ACTIONS(2254),
    [anon_sym_COLON_COLON] = ACTIONS(2256),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2256),
    [anon_sym___declspec] = ACTIONS(2254),
    [anon_sym___based] = ACTIONS(2254),
    [anon_sym_LBRACE] = ACTIONS(2256),
    [anon_sym_LBRACK] = ACTIONS(4580),
    [anon_sym_EQ] = ACTIONS(4580),
    [anon_sym_static] = ACTIONS(2254),
    [anon_sym_register] = ACTIONS(2254),
    [anon_sym_inline] = ACTIONS(2254),
    [anon_sym___inline] = ACTIONS(2254),
    [anon_sym___inline__] = ACTIONS(2254),
    [anon_sym___forceinline] = ACTIONS(2254),
    [anon_sym_thread_local] = ACTIONS(2254),
    [anon_sym___thread] = ACTIONS(2254),
    [anon_sym_const] = ACTIONS(2254),
    [anon_sym_constexpr] = ACTIONS(2254),
    [anon_sym_volatile] = ACTIONS(2254),
    [anon_sym_restrict] = ACTIONS(2254),
    [anon_sym___restrict__] = ACTIONS(2254),
    [anon_sym__Atomic] = ACTIONS(2254),
    [anon_sym__Noreturn] = ACTIONS(2254),
    [anon_sym_noreturn] = ACTIONS(2254),
    [anon_sym_mutable] = ACTIONS(2254),
    [anon_sym_constinit] = ACTIONS(2254),
    [anon_sym_consteval] = ACTIONS(2254),
    [anon_sym_QMARK] = ACTIONS(4573),
    [anon_sym_STAR_EQ] = ACTIONS(4573),
    [anon_sym_SLASH_EQ] = ACTIONS(4573),
    [anon_sym_PERCENT_EQ] = ACTIONS(4573),
    [anon_sym_PLUS_EQ] = ACTIONS(4573),
    [anon_sym_DASH_EQ] = ACTIONS(4573),
    [anon_sym_LT_LT_EQ] = ACTIONS(4573),
    [anon_sym_GT_GT_EQ] = ACTIONS(4573),
    [anon_sym_AMP_EQ] = ACTIONS(4573),
    [anon_sym_CARET_EQ] = ACTIONS(4573),
    [anon_sym_PIPE_EQ] = ACTIONS(4573),
    [anon_sym_and_eq] = ACTIONS(4578),
    [anon_sym_or_eq] = ACTIONS(4578),
    [anon_sym_xor_eq] = ACTIONS(4578),
    [anon_sym_LT_EQ_GT] = ACTIONS(4573),
    [anon_sym_or] = ACTIONS(4578),
    [anon_sym_and] = ACTIONS(4578),
    [anon_sym_bitor] = ACTIONS(4578),
    [anon_sym_xor] = ACTIONS(4578),
    [anon_sym_bitand] = ACTIONS(4578),
    [anon_sym_not_eq] = ACTIONS(4578),
    [anon_sym_DASH_DASH] = ACTIONS(4573),
    [anon_sym_PLUS_PLUS] = ACTIONS(4573),
    [anon_sym_DOT] = ACTIONS(4578),
    [anon_sym_DOT_STAR] = ACTIONS(4573),
    [anon_sym_DASH_GT] = ACTIONS(4578),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2254),
    [anon_sym_decltype] = ACTIONS(2254),
    [anon_sym_virtual] = ACTIONS(2254),
    [anon_sym_alignas] = ACTIONS(2254),
    [anon_sym_template] = ACTIONS(2254),
    [anon_sym_operator] = ACTIONS(2254),
    [anon_sym_DASH_GT_STAR] = ACTIONS(4573),
    [anon_sym_precise] = ACTIONS(2254),
    [anon_sym_shared] = ACTIONS(2254),
    [anon_sym_groupshared] = ACTIONS(2254),
    [anon_sym_uniform] = ACTIONS(2254),
    [anon_sym_row_major] = ACTIONS(2254),
    [anon_sym_column_major] = ACTIONS(2254),
    [anon_sym_globallycoherent] = ACTIONS(2254),
    [anon_sym_centroid] = ACTIONS(2254),
    [anon_sym_noperspective] = ACTIONS(2254),
    [anon_sym_nointerpolation] = ACTIONS(2254),
    [anon_sym_sample] = ACTIONS(2254),
    [anon_sym_linear] = ACTIONS(2254),
    [anon_sym_snorm] = ACTIONS(2254),
    [anon_sym_unorm] = ACTIONS(2254),
    [anon_sym_point] = ACTIONS(2254),
    [anon_sym_line] = ACTIONS(2254),
    [anon_sym_triangleadj] = ACTIONS(2254),
    [anon_sym_lineadj] = ACTIONS(2254),
    [anon_sym_triangle] = ACTIONS(2254),
  },
  [1708] = {
    [sym_ms_based_modifier] = STATE(10332),
    [sym__declarator] = STATE(7635),
    [sym_parenthesized_declarator] = STATE(7680),
    [sym_attributed_declarator] = STATE(7680),
    [sym_pointer_declarator] = STATE(7680),
    [sym_function_declarator] = STATE(7680),
    [sym_array_declarator] = STATE(7680),
    [sym__expression] = STATE(3520),
    [sym__expression_not_binary] = STATE(3672),
    [sym__string] = STATE(3672),
    [sym_conditional_expression] = STATE(3672),
    [sym_assignment_expression] = STATE(3672),
    [sym_pointer_expression] = STATE(3672),
    [sym_unary_expression] = STATE(3672),
    [sym_binary_expression] = STATE(3672),
    [sym_update_expression] = STATE(3672),
    [sym_cast_expression] = STATE(3672),
    [sym_sizeof_expression] = STATE(3672),
    [sym_alignof_expression] = STATE(3672),
    [sym_offsetof_expression] = STATE(3672),
    [sym_generic_expression] = STATE(3672),
    [sym_subscript_expression] = STATE(3672),
    [sym_call_expression] = STATE(3672),
    [sym_gnu_asm_expression] = STATE(3672),
    [sym_field_expression] = STATE(3672),
    [sym_compound_literal_expression] = STATE(3672),
    [sym_parenthesized_expression] = STATE(3672),
    [sym_char_literal] = STATE(3991),
    [sym_concatenated_string] = STATE(3973),
    [sym_string_literal] = STATE(3242),
    [sym_null] = STATE(3672),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9333),
    [sym_reference_declarator] = STATE(7680),
    [sym_structured_binding_declarator] = STATE(7680),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(4504),
    [sym_raw_string_literal] = STATE(3241),
    [sym_co_await_expression] = STATE(3672),
    [sym_new_expression] = STATE(3672),
    [sym_delete_expression] = STATE(3672),
    [sym_requires_clause] = STATE(3672),
    [sym_requires_expression] = STATE(3672),
    [sym_lambda_expression] = STATE(3672),
    [sym_lambda_capture_specifier] = STATE(7134),
    [sym_fold_expression] = STATE(3672),
    [sym_parameter_pack_expansion] = STATE(3672),
    [sym_destructor_name] = STATE(7680),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6885),
    [sym_qualified_identifier] = STATE(4505),
    [sym_qualified_type_identifier] = STATE(9333),
    [sym_operator_name] = STATE(7680),
    [sym_user_defined_literal] = STATE(3672),
    [sym_identifier] = ACTIONS(4373),
    [anon_sym_LPAREN2] = ACTIONS(4375),
    [anon_sym_BANG] = ACTIONS(3972),
    [anon_sym_TILDE] = ACTIONS(4377),
    [anon_sym_DASH] = ACTIONS(3970),
    [anon_sym_PLUS] = ACTIONS(3970),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_COLON_COLON] = ACTIONS(3974),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym_LBRACK] = ACTIONS(2548),
    [sym_primitive_type] = ACTIONS(3928),
    [anon_sym_not] = ACTIONS(3970),
    [anon_sym_compl] = ACTIONS(3970),
    [anon_sym_DASH_DASH] = ACTIONS(4385),
    [anon_sym_PLUS_PLUS] = ACTIONS(4385),
    [anon_sym_sizeof] = ACTIONS(3976),
    [anon_sym___alignof__] = ACTIONS(3932),
    [anon_sym___alignof] = ACTIONS(3932),
    [anon_sym__alignof] = ACTIONS(3932),
    [anon_sym_alignof] = ACTIONS(3932),
    [anon_sym__Alignof] = ACTIONS(3932),
    [anon_sym_offsetof] = ACTIONS(3934),
    [anon_sym__Generic] = ACTIONS(3936),
    [anon_sym_asm] = ACTIONS(3938),
    [anon_sym___asm__] = ACTIONS(3938),
    [sym_number_literal] = ACTIONS(3978),
    [anon_sym_L_SQUOTE] = ACTIONS(3980),
    [anon_sym_u_SQUOTE] = ACTIONS(3980),
    [anon_sym_U_SQUOTE] = ACTIONS(3980),
    [anon_sym_u8_SQUOTE] = ACTIONS(3980),
    [anon_sym_SQUOTE] = ACTIONS(3980),
    [anon_sym_L_DQUOTE] = ACTIONS(3982),
    [anon_sym_u_DQUOTE] = ACTIONS(3982),
    [anon_sym_U_DQUOTE] = ACTIONS(3982),
    [anon_sym_u8_DQUOTE] = ACTIONS(3982),
    [anon_sym_DQUOTE] = ACTIONS(3982),
    [sym_true] = ACTIONS(3946),
    [sym_false] = ACTIONS(3946),
    [anon_sym_NULL] = ACTIONS(3948),
    [anon_sym_nullptr] = ACTIONS(3948),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_operator] = ACTIONS(2588),
    [anon_sym_delete] = ACTIONS(3984),
    [anon_sym_R_DQUOTE] = ACTIONS(3986),
    [anon_sym_LR_DQUOTE] = ACTIONS(3986),
    [anon_sym_uR_DQUOTE] = ACTIONS(3986),
    [anon_sym_UR_DQUOTE] = ACTIONS(3986),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3986),
    [anon_sym_co_await] = ACTIONS(3988),
    [anon_sym_new] = ACTIONS(3990),
    [anon_sym_requires] = ACTIONS(3958),
    [sym_this] = ACTIONS(3946),
  },
  [1709] = {
    [sym_identifier] = ACTIONS(2178),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2180),
    [anon_sym_COMMA] = ACTIONS(2180),
    [anon_sym_RPAREN] = ACTIONS(2180),
    [anon_sym_LPAREN2] = ACTIONS(2180),
    [anon_sym_TILDE] = ACTIONS(2180),
    [anon_sym_DASH] = ACTIONS(2178),
    [anon_sym_PLUS] = ACTIONS(2178),
    [anon_sym_STAR] = ACTIONS(2178),
    [anon_sym_SLASH] = ACTIONS(2178),
    [anon_sym_PERCENT] = ACTIONS(2178),
    [anon_sym_PIPE_PIPE] = ACTIONS(2180),
    [anon_sym_AMP_AMP] = ACTIONS(2180),
    [anon_sym_PIPE] = ACTIONS(2178),
    [anon_sym_CARET] = ACTIONS(2178),
    [anon_sym_AMP] = ACTIONS(2178),
    [anon_sym_EQ_EQ] = ACTIONS(2180),
    [anon_sym_BANG_EQ] = ACTIONS(2180),
    [anon_sym_GT] = ACTIONS(2178),
    [anon_sym_GT_EQ] = ACTIONS(2180),
    [anon_sym_LT_EQ] = ACTIONS(2178),
    [anon_sym_LT] = ACTIONS(2178),
    [anon_sym_LT_LT] = ACTIONS(2178),
    [anon_sym_GT_GT] = ACTIONS(2178),
    [anon_sym_COLON] = ACTIONS(2178),
    [anon_sym___extension__] = ACTIONS(2178),
    [anon_sym_in] = ACTIONS(2178),
    [anon_sym_out] = ACTIONS(2178),
    [anon_sym_inout] = ACTIONS(2178),
    [anon_sym_extern] = ACTIONS(2178),
    [anon_sym___attribute__] = ACTIONS(2178),
    [anon_sym_COLON_COLON] = ACTIONS(2180),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2180),
    [anon_sym___declspec] = ACTIONS(2178),
    [anon_sym___based] = ACTIONS(2178),
    [anon_sym_LBRACE] = ACTIONS(2180),
    [anon_sym_LBRACK] = ACTIONS(2178),
    [anon_sym_EQ] = ACTIONS(2178),
    [anon_sym_static] = ACTIONS(2178),
    [anon_sym_register] = ACTIONS(2178),
    [anon_sym_inline] = ACTIONS(2178),
    [anon_sym___inline] = ACTIONS(2178),
    [anon_sym___inline__] = ACTIONS(2178),
    [anon_sym___forceinline] = ACTIONS(2178),
    [anon_sym_thread_local] = ACTIONS(2178),
    [anon_sym___thread] = ACTIONS(2178),
    [anon_sym_const] = ACTIONS(2178),
    [anon_sym_constexpr] = ACTIONS(2178),
    [anon_sym_volatile] = ACTIONS(2178),
    [anon_sym_restrict] = ACTIONS(2178),
    [anon_sym___restrict__] = ACTIONS(2178),
    [anon_sym__Atomic] = ACTIONS(2178),
    [anon_sym__Noreturn] = ACTIONS(2178),
    [anon_sym_noreturn] = ACTIONS(2178),
    [anon_sym_mutable] = ACTIONS(2178),
    [anon_sym_constinit] = ACTIONS(2178),
    [anon_sym_consteval] = ACTIONS(2178),
    [anon_sym_QMARK] = ACTIONS(2180),
    [anon_sym_STAR_EQ] = ACTIONS(2180),
    [anon_sym_SLASH_EQ] = ACTIONS(2180),
    [anon_sym_PERCENT_EQ] = ACTIONS(2180),
    [anon_sym_PLUS_EQ] = ACTIONS(2180),
    [anon_sym_DASH_EQ] = ACTIONS(2180),
    [anon_sym_LT_LT_EQ] = ACTIONS(2180),
    [anon_sym_GT_GT_EQ] = ACTIONS(2180),
    [anon_sym_AMP_EQ] = ACTIONS(2180),
    [anon_sym_CARET_EQ] = ACTIONS(2180),
    [anon_sym_PIPE_EQ] = ACTIONS(2180),
    [anon_sym_and_eq] = ACTIONS(2178),
    [anon_sym_or_eq] = ACTIONS(2178),
    [anon_sym_xor_eq] = ACTIONS(2178),
    [anon_sym_LT_EQ_GT] = ACTIONS(2180),
    [anon_sym_or] = ACTIONS(2178),
    [anon_sym_and] = ACTIONS(2178),
    [anon_sym_bitor] = ACTIONS(2178),
    [anon_sym_xor] = ACTIONS(2178),
    [anon_sym_bitand] = ACTIONS(2178),
    [anon_sym_not_eq] = ACTIONS(2178),
    [anon_sym_DASH_DASH] = ACTIONS(2180),
    [anon_sym_PLUS_PLUS] = ACTIONS(2180),
    [anon_sym_DOT] = ACTIONS(2178),
    [anon_sym_DOT_STAR] = ACTIONS(2180),
    [anon_sym_DASH_GT] = ACTIONS(2178),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2178),
    [anon_sym_decltype] = ACTIONS(2178),
    [anon_sym_virtual] = ACTIONS(2178),
    [anon_sym_alignas] = ACTIONS(2178),
    [anon_sym_template] = ACTIONS(2178),
    [anon_sym_operator] = ACTIONS(2178),
    [anon_sym_DASH_GT_STAR] = ACTIONS(2180),
    [anon_sym_precise] = ACTIONS(2178),
    [anon_sym_shared] = ACTIONS(2178),
    [anon_sym_groupshared] = ACTIONS(2178),
    [anon_sym_uniform] = ACTIONS(2178),
    [anon_sym_row_major] = ACTIONS(2178),
    [anon_sym_column_major] = ACTIONS(2178),
    [anon_sym_globallycoherent] = ACTIONS(2178),
    [anon_sym_centroid] = ACTIONS(2178),
    [anon_sym_noperspective] = ACTIONS(2178),
    [anon_sym_nointerpolation] = ACTIONS(2178),
    [anon_sym_sample] = ACTIONS(2178),
    [anon_sym_linear] = ACTIONS(2178),
    [anon_sym_snorm] = ACTIONS(2178),
    [anon_sym_unorm] = ACTIONS(2178),
    [anon_sym_point] = ACTIONS(2178),
    [anon_sym_line] = ACTIONS(2178),
    [anon_sym_triangleadj] = ACTIONS(2178),
    [anon_sym_lineadj] = ACTIONS(2178),
    [anon_sym_triangle] = ACTIONS(2178),
  },
  [1710] = {
    [sym_identifier] = ACTIONS(2200),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2202),
    [anon_sym_COMMA] = ACTIONS(2202),
    [anon_sym_RPAREN] = ACTIONS(2202),
    [anon_sym_LPAREN2] = ACTIONS(2202),
    [anon_sym_TILDE] = ACTIONS(2202),
    [anon_sym_DASH] = ACTIONS(2200),
    [anon_sym_PLUS] = ACTIONS(2200),
    [anon_sym_STAR] = ACTIONS(2202),
    [anon_sym_SLASH] = ACTIONS(2200),
    [anon_sym_PERCENT] = ACTIONS(2202),
    [anon_sym_PIPE_PIPE] = ACTIONS(2202),
    [anon_sym_AMP_AMP] = ACTIONS(2202),
    [anon_sym_PIPE] = ACTIONS(2200),
    [anon_sym_CARET] = ACTIONS(2202),
    [anon_sym_AMP] = ACTIONS(2200),
    [anon_sym_EQ_EQ] = ACTIONS(2202),
    [anon_sym_BANG_EQ] = ACTIONS(2202),
    [anon_sym_GT] = ACTIONS(2200),
    [anon_sym_GT_EQ] = ACTIONS(2202),
    [anon_sym_LT_EQ] = ACTIONS(2200),
    [anon_sym_LT] = ACTIONS(2200),
    [anon_sym_LT_LT] = ACTIONS(2202),
    [anon_sym_GT_GT] = ACTIONS(2202),
    [anon_sym_COLON] = ACTIONS(2200),
    [anon_sym_SEMI] = ACTIONS(2202),
    [anon_sym___extension__] = ACTIONS(2200),
    [anon_sym_in] = ACTIONS(2200),
    [anon_sym_out] = ACTIONS(2200),
    [anon_sym_inout] = ACTIONS(2200),
    [anon_sym_extern] = ACTIONS(2200),
    [anon_sym___attribute__] = ACTIONS(2200),
    [anon_sym_COLON_COLON] = ACTIONS(2202),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2202),
    [anon_sym___declspec] = ACTIONS(2200),
    [anon_sym___based] = ACTIONS(2200),
    [anon_sym___cdecl] = ACTIONS(2200),
    [anon_sym___clrcall] = ACTIONS(2200),
    [anon_sym___stdcall] = ACTIONS(2200),
    [anon_sym___fastcall] = ACTIONS(2200),
    [anon_sym___thiscall] = ACTIONS(2200),
    [anon_sym___vectorcall] = ACTIONS(2200),
    [anon_sym_LBRACE] = ACTIONS(2202),
    [anon_sym_RBRACE] = ACTIONS(2202),
    [anon_sym_LBRACK] = ACTIONS(2200),
    [anon_sym_EQ] = ACTIONS(2200),
    [anon_sym_static] = ACTIONS(2200),
    [anon_sym_register] = ACTIONS(2200),
    [anon_sym_inline] = ACTIONS(2200),
    [anon_sym___inline] = ACTIONS(2200),
    [anon_sym___inline__] = ACTIONS(2200),
    [anon_sym___forceinline] = ACTIONS(2200),
    [anon_sym_thread_local] = ACTIONS(2200),
    [anon_sym___thread] = ACTIONS(2200),
    [anon_sym_const] = ACTIONS(2200),
    [anon_sym_constexpr] = ACTIONS(2200),
    [anon_sym_volatile] = ACTIONS(2200),
    [anon_sym_restrict] = ACTIONS(2200),
    [anon_sym___restrict__] = ACTIONS(2200),
    [anon_sym__Atomic] = ACTIONS(2200),
    [anon_sym__Noreturn] = ACTIONS(2200),
    [anon_sym_noreturn] = ACTIONS(2200),
    [anon_sym_mutable] = ACTIONS(2200),
    [anon_sym_constinit] = ACTIONS(2200),
    [anon_sym_consteval] = ACTIONS(2200),
    [anon_sym_else] = ACTIONS(2200),
    [anon_sym_while] = ACTIONS(2200),
    [anon_sym_QMARK] = ACTIONS(2202),
    [anon_sym_LT_EQ_GT] = ACTIONS(2202),
    [anon_sym_or] = ACTIONS(2200),
    [anon_sym_and] = ACTIONS(2200),
    [anon_sym_bitor] = ACTIONS(2200),
    [anon_sym_xor] = ACTIONS(2200),
    [anon_sym_bitand] = ACTIONS(2200),
    [anon_sym_not_eq] = ACTIONS(2200),
    [anon_sym_DASH_DASH] = ACTIONS(2202),
    [anon_sym_PLUS_PLUS] = ACTIONS(2202),
    [anon_sym_DOT] = ACTIONS(2200),
    [anon_sym_DOT_STAR] = ACTIONS(2202),
    [anon_sym_DASH_GT] = ACTIONS(2202),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2200),
    [anon_sym_decltype] = ACTIONS(2200),
    [anon_sym_final] = ACTIONS(2200),
    [anon_sym_override] = ACTIONS(2200),
    [anon_sym_virtual] = ACTIONS(2200),
    [anon_sym_alignas] = ACTIONS(2200),
    [anon_sym_template] = ACTIONS(2200),
    [anon_sym_operator] = ACTIONS(2200),
    [anon_sym_try] = ACTIONS(2200),
    [anon_sym_requires] = ACTIONS(2200),
    [anon_sym_precise] = ACTIONS(2200),
    [anon_sym_shared] = ACTIONS(2200),
    [anon_sym_groupshared] = ACTIONS(2200),
    [anon_sym_uniform] = ACTIONS(2200),
    [anon_sym_row_major] = ACTIONS(2200),
    [anon_sym_column_major] = ACTIONS(2200),
    [anon_sym_globallycoherent] = ACTIONS(2200),
    [anon_sym_centroid] = ACTIONS(2200),
    [anon_sym_noperspective] = ACTIONS(2200),
    [anon_sym_nointerpolation] = ACTIONS(2200),
    [anon_sym_sample] = ACTIONS(2200),
    [anon_sym_linear] = ACTIONS(2200),
    [anon_sym_snorm] = ACTIONS(2200),
    [anon_sym_unorm] = ACTIONS(2200),
    [anon_sym_point] = ACTIONS(2200),
    [anon_sym_line] = ACTIONS(2200),
    [anon_sym_triangleadj] = ACTIONS(2200),
    [anon_sym_lineadj] = ACTIONS(2200),
    [anon_sym_triangle] = ACTIONS(2200),
  },
  [1711] = {
    [sym_identifier] = ACTIONS(2212),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2214),
    [anon_sym_COMMA] = ACTIONS(2214),
    [anon_sym_RPAREN] = ACTIONS(2214),
    [anon_sym_LPAREN2] = ACTIONS(2214),
    [anon_sym_TILDE] = ACTIONS(2214),
    [anon_sym_DASH] = ACTIONS(2212),
    [anon_sym_PLUS] = ACTIONS(2212),
    [anon_sym_STAR] = ACTIONS(2212),
    [anon_sym_SLASH] = ACTIONS(2212),
    [anon_sym_PERCENT] = ACTIONS(2212),
    [anon_sym_PIPE_PIPE] = ACTIONS(2214),
    [anon_sym_AMP_AMP] = ACTIONS(2214),
    [anon_sym_PIPE] = ACTIONS(2212),
    [anon_sym_CARET] = ACTIONS(2212),
    [anon_sym_AMP] = ACTIONS(2212),
    [anon_sym_EQ_EQ] = ACTIONS(2214),
    [anon_sym_BANG_EQ] = ACTIONS(2214),
    [anon_sym_GT] = ACTIONS(2212),
    [anon_sym_GT_EQ] = ACTIONS(2214),
    [anon_sym_LT_EQ] = ACTIONS(2212),
    [anon_sym_LT] = ACTIONS(2212),
    [anon_sym_LT_LT] = ACTIONS(2212),
    [anon_sym_GT_GT] = ACTIONS(2212),
    [anon_sym_COLON] = ACTIONS(2212),
    [anon_sym___extension__] = ACTIONS(2212),
    [anon_sym_in] = ACTIONS(2212),
    [anon_sym_out] = ACTIONS(2212),
    [anon_sym_inout] = ACTIONS(2212),
    [anon_sym_extern] = ACTIONS(2212),
    [anon_sym___attribute__] = ACTIONS(2212),
    [anon_sym_COLON_COLON] = ACTIONS(2214),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2214),
    [anon_sym___declspec] = ACTIONS(2212),
    [anon_sym___based] = ACTIONS(2212),
    [anon_sym_LBRACE] = ACTIONS(2214),
    [anon_sym_LBRACK] = ACTIONS(2212),
    [anon_sym_EQ] = ACTIONS(2212),
    [anon_sym_static] = ACTIONS(2212),
    [anon_sym_register] = ACTIONS(2212),
    [anon_sym_inline] = ACTIONS(2212),
    [anon_sym___inline] = ACTIONS(2212),
    [anon_sym___inline__] = ACTIONS(2212),
    [anon_sym___forceinline] = ACTIONS(2212),
    [anon_sym_thread_local] = ACTIONS(2212),
    [anon_sym___thread] = ACTIONS(2212),
    [anon_sym_const] = ACTIONS(2212),
    [anon_sym_constexpr] = ACTIONS(2212),
    [anon_sym_volatile] = ACTIONS(2212),
    [anon_sym_restrict] = ACTIONS(2212),
    [anon_sym___restrict__] = ACTIONS(2212),
    [anon_sym__Atomic] = ACTIONS(2212),
    [anon_sym__Noreturn] = ACTIONS(2212),
    [anon_sym_noreturn] = ACTIONS(2212),
    [anon_sym_mutable] = ACTIONS(2212),
    [anon_sym_constinit] = ACTIONS(2212),
    [anon_sym_consteval] = ACTIONS(2212),
    [anon_sym_QMARK] = ACTIONS(2214),
    [anon_sym_STAR_EQ] = ACTIONS(2214),
    [anon_sym_SLASH_EQ] = ACTIONS(2214),
    [anon_sym_PERCENT_EQ] = ACTIONS(2214),
    [anon_sym_PLUS_EQ] = ACTIONS(2214),
    [anon_sym_DASH_EQ] = ACTIONS(2214),
    [anon_sym_LT_LT_EQ] = ACTIONS(2214),
    [anon_sym_GT_GT_EQ] = ACTIONS(2214),
    [anon_sym_AMP_EQ] = ACTIONS(2214),
    [anon_sym_CARET_EQ] = ACTIONS(2214),
    [anon_sym_PIPE_EQ] = ACTIONS(2214),
    [anon_sym_and_eq] = ACTIONS(2212),
    [anon_sym_or_eq] = ACTIONS(2212),
    [anon_sym_xor_eq] = ACTIONS(2212),
    [anon_sym_LT_EQ_GT] = ACTIONS(2214),
    [anon_sym_or] = ACTIONS(2212),
    [anon_sym_and] = ACTIONS(2212),
    [anon_sym_bitor] = ACTIONS(2212),
    [anon_sym_xor] = ACTIONS(2212),
    [anon_sym_bitand] = ACTIONS(2212),
    [anon_sym_not_eq] = ACTIONS(2212),
    [anon_sym_DASH_DASH] = ACTIONS(2214),
    [anon_sym_PLUS_PLUS] = ACTIONS(2214),
    [anon_sym_DOT] = ACTIONS(2212),
    [anon_sym_DOT_STAR] = ACTIONS(2214),
    [anon_sym_DASH_GT] = ACTIONS(2212),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2212),
    [anon_sym_decltype] = ACTIONS(2212),
    [anon_sym_virtual] = ACTIONS(2212),
    [anon_sym_alignas] = ACTIONS(2212),
    [anon_sym_template] = ACTIONS(2212),
    [anon_sym_operator] = ACTIONS(2212),
    [anon_sym_DASH_GT_STAR] = ACTIONS(2214),
    [anon_sym_precise] = ACTIONS(2212),
    [anon_sym_shared] = ACTIONS(2212),
    [anon_sym_groupshared] = ACTIONS(2212),
    [anon_sym_uniform] = ACTIONS(2212),
    [anon_sym_row_major] = ACTIONS(2212),
    [anon_sym_column_major] = ACTIONS(2212),
    [anon_sym_globallycoherent] = ACTIONS(2212),
    [anon_sym_centroid] = ACTIONS(2212),
    [anon_sym_noperspective] = ACTIONS(2212),
    [anon_sym_nointerpolation] = ACTIONS(2212),
    [anon_sym_sample] = ACTIONS(2212),
    [anon_sym_linear] = ACTIONS(2212),
    [anon_sym_snorm] = ACTIONS(2212),
    [anon_sym_unorm] = ACTIONS(2212),
    [anon_sym_point] = ACTIONS(2212),
    [anon_sym_line] = ACTIONS(2212),
    [anon_sym_triangleadj] = ACTIONS(2212),
    [anon_sym_lineadj] = ACTIONS(2212),
    [anon_sym_triangle] = ACTIONS(2212),
  },
  [1712] = {
    [sym_identifier] = ACTIONS(2216),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2218),
    [anon_sym_COMMA] = ACTIONS(2218),
    [anon_sym_RPAREN] = ACTIONS(2218),
    [anon_sym_LPAREN2] = ACTIONS(2218),
    [anon_sym_TILDE] = ACTIONS(2218),
    [anon_sym_DASH] = ACTIONS(2216),
    [anon_sym_PLUS] = ACTIONS(2216),
    [anon_sym_STAR] = ACTIONS(2218),
    [anon_sym_SLASH] = ACTIONS(2216),
    [anon_sym_PERCENT] = ACTIONS(2218),
    [anon_sym_PIPE_PIPE] = ACTIONS(2218),
    [anon_sym_AMP_AMP] = ACTIONS(2218),
    [anon_sym_PIPE] = ACTIONS(2216),
    [anon_sym_CARET] = ACTIONS(2218),
    [anon_sym_AMP] = ACTIONS(2216),
    [anon_sym_EQ_EQ] = ACTIONS(2218),
    [anon_sym_BANG_EQ] = ACTIONS(2218),
    [anon_sym_GT] = ACTIONS(2216),
    [anon_sym_GT_EQ] = ACTIONS(2218),
    [anon_sym_LT_EQ] = ACTIONS(2216),
    [anon_sym_LT] = ACTIONS(2216),
    [anon_sym_LT_LT] = ACTIONS(2218),
    [anon_sym_GT_GT] = ACTIONS(2218),
    [anon_sym_COLON] = ACTIONS(2216),
    [anon_sym_SEMI] = ACTIONS(2218),
    [anon_sym___extension__] = ACTIONS(2216),
    [anon_sym_in] = ACTIONS(2216),
    [anon_sym_out] = ACTIONS(2216),
    [anon_sym_inout] = ACTIONS(2216),
    [anon_sym_extern] = ACTIONS(2216),
    [anon_sym___attribute__] = ACTIONS(2216),
    [anon_sym_COLON_COLON] = ACTIONS(2218),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2218),
    [anon_sym___declspec] = ACTIONS(2216),
    [anon_sym___based] = ACTIONS(2216),
    [anon_sym___cdecl] = ACTIONS(2216),
    [anon_sym___clrcall] = ACTIONS(2216),
    [anon_sym___stdcall] = ACTIONS(2216),
    [anon_sym___fastcall] = ACTIONS(2216),
    [anon_sym___thiscall] = ACTIONS(2216),
    [anon_sym___vectorcall] = ACTIONS(2216),
    [anon_sym_LBRACE] = ACTIONS(2218),
    [anon_sym_RBRACE] = ACTIONS(2218),
    [anon_sym_LBRACK] = ACTIONS(2216),
    [anon_sym_EQ] = ACTIONS(2216),
    [anon_sym_static] = ACTIONS(2216),
    [anon_sym_register] = ACTIONS(2216),
    [anon_sym_inline] = ACTIONS(2216),
    [anon_sym___inline] = ACTIONS(2216),
    [anon_sym___inline__] = ACTIONS(2216),
    [anon_sym___forceinline] = ACTIONS(2216),
    [anon_sym_thread_local] = ACTIONS(2216),
    [anon_sym___thread] = ACTIONS(2216),
    [anon_sym_const] = ACTIONS(2216),
    [anon_sym_constexpr] = ACTIONS(2216),
    [anon_sym_volatile] = ACTIONS(2216),
    [anon_sym_restrict] = ACTIONS(2216),
    [anon_sym___restrict__] = ACTIONS(2216),
    [anon_sym__Atomic] = ACTIONS(2216),
    [anon_sym__Noreturn] = ACTIONS(2216),
    [anon_sym_noreturn] = ACTIONS(2216),
    [anon_sym_mutable] = ACTIONS(2216),
    [anon_sym_constinit] = ACTIONS(2216),
    [anon_sym_consteval] = ACTIONS(2216),
    [anon_sym_else] = ACTIONS(2216),
    [anon_sym_while] = ACTIONS(2216),
    [anon_sym_QMARK] = ACTIONS(2218),
    [anon_sym_LT_EQ_GT] = ACTIONS(2218),
    [anon_sym_or] = ACTIONS(2216),
    [anon_sym_and] = ACTIONS(2216),
    [anon_sym_bitor] = ACTIONS(2216),
    [anon_sym_xor] = ACTIONS(2216),
    [anon_sym_bitand] = ACTIONS(2216),
    [anon_sym_not_eq] = ACTIONS(2216),
    [anon_sym_DASH_DASH] = ACTIONS(2218),
    [anon_sym_PLUS_PLUS] = ACTIONS(2218),
    [anon_sym_DOT] = ACTIONS(2216),
    [anon_sym_DOT_STAR] = ACTIONS(2218),
    [anon_sym_DASH_GT] = ACTIONS(2218),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2216),
    [anon_sym_decltype] = ACTIONS(2216),
    [anon_sym_final] = ACTIONS(2216),
    [anon_sym_override] = ACTIONS(2216),
    [anon_sym_virtual] = ACTIONS(2216),
    [anon_sym_alignas] = ACTIONS(2216),
    [anon_sym_template] = ACTIONS(2216),
    [anon_sym_operator] = ACTIONS(2216),
    [anon_sym_try] = ACTIONS(2216),
    [anon_sym_requires] = ACTIONS(2216),
    [anon_sym_precise] = ACTIONS(2216),
    [anon_sym_shared] = ACTIONS(2216),
    [anon_sym_groupshared] = ACTIONS(2216),
    [anon_sym_uniform] = ACTIONS(2216),
    [anon_sym_row_major] = ACTIONS(2216),
    [anon_sym_column_major] = ACTIONS(2216),
    [anon_sym_globallycoherent] = ACTIONS(2216),
    [anon_sym_centroid] = ACTIONS(2216),
    [anon_sym_noperspective] = ACTIONS(2216),
    [anon_sym_nointerpolation] = ACTIONS(2216),
    [anon_sym_sample] = ACTIONS(2216),
    [anon_sym_linear] = ACTIONS(2216),
    [anon_sym_snorm] = ACTIONS(2216),
    [anon_sym_unorm] = ACTIONS(2216),
    [anon_sym_point] = ACTIONS(2216),
    [anon_sym_line] = ACTIONS(2216),
    [anon_sym_triangleadj] = ACTIONS(2216),
    [anon_sym_lineadj] = ACTIONS(2216),
    [anon_sym_triangle] = ACTIONS(2216),
  },
  [1713] = {
    [sym_ms_based_modifier] = STATE(10332),
    [sym__declarator] = STATE(7635),
    [sym_parenthesized_declarator] = STATE(7680),
    [sym_attributed_declarator] = STATE(7680),
    [sym_pointer_declarator] = STATE(7680),
    [sym_function_declarator] = STATE(7680),
    [sym_array_declarator] = STATE(7680),
    [sym__expression] = STATE(4349),
    [sym__expression_not_binary] = STATE(4695),
    [sym__string] = STATE(4695),
    [sym_conditional_expression] = STATE(4695),
    [sym_assignment_expression] = STATE(4695),
    [sym_pointer_expression] = STATE(4695),
    [sym_unary_expression] = STATE(4695),
    [sym_binary_expression] = STATE(4695),
    [sym_update_expression] = STATE(4695),
    [sym_cast_expression] = STATE(4695),
    [sym_sizeof_expression] = STATE(4695),
    [sym_alignof_expression] = STATE(4695),
    [sym_offsetof_expression] = STATE(4695),
    [sym_generic_expression] = STATE(4695),
    [sym_subscript_expression] = STATE(4695),
    [sym_call_expression] = STATE(4695),
    [sym_gnu_asm_expression] = STATE(4695),
    [sym_field_expression] = STATE(4695),
    [sym_compound_literal_expression] = STATE(4695),
    [sym_parenthesized_expression] = STATE(4695),
    [sym_char_literal] = STATE(4427),
    [sym_concatenated_string] = STATE(4424),
    [sym_string_literal] = STATE(3398),
    [sym_null] = STATE(4695),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9425),
    [sym_reference_declarator] = STATE(7680),
    [sym_structured_binding_declarator] = STATE(7680),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(4418),
    [sym_raw_string_literal] = STATE(3396),
    [sym_co_await_expression] = STATE(4695),
    [sym_new_expression] = STATE(4695),
    [sym_delete_expression] = STATE(4695),
    [sym_requires_clause] = STATE(4695),
    [sym_requires_expression] = STATE(4695),
    [sym_lambda_expression] = STATE(4695),
    [sym_lambda_capture_specifier] = STATE(7185),
    [sym_fold_expression] = STATE(4695),
    [sym_parameter_pack_expansion] = STATE(4695),
    [sym_destructor_name] = STATE(7680),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6950),
    [sym_qualified_identifier] = STATE(4416),
    [sym_qualified_type_identifier] = STATE(9425),
    [sym_operator_name] = STATE(7680),
    [sym_user_defined_literal] = STATE(4695),
    [sym_identifier] = ACTIONS(4387),
    [anon_sym_LPAREN2] = ACTIONS(2530),
    [anon_sym_BANG] = ACTIONS(2532),
    [anon_sym_TILDE] = ACTIONS(2534),
    [anon_sym_DASH] = ACTIONS(2536),
    [anon_sym_PLUS] = ACTIONS(2536),
    [anon_sym_STAR] = ACTIONS(2538),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(2540),
    [anon_sym_COLON_COLON] = ACTIONS(2542),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym_LBRACK] = ACTIONS(2548),
    [sym_primitive_type] = ACTIONS(4096),
    [anon_sym_not] = ACTIONS(2536),
    [anon_sym_compl] = ACTIONS(2536),
    [anon_sym_DASH_DASH] = ACTIONS(2560),
    [anon_sym_PLUS_PLUS] = ACTIONS(2560),
    [anon_sym_sizeof] = ACTIONS(2562),
    [anon_sym___alignof__] = ACTIONS(2564),
    [anon_sym___alignof] = ACTIONS(2564),
    [anon_sym__alignof] = ACTIONS(2564),
    [anon_sym_alignof] = ACTIONS(2564),
    [anon_sym__Alignof] = ACTIONS(2564),
    [anon_sym_offsetof] = ACTIONS(2566),
    [anon_sym__Generic] = ACTIONS(2568),
    [anon_sym_asm] = ACTIONS(2570),
    [anon_sym___asm__] = ACTIONS(2570),
    [sym_number_literal] = ACTIONS(2572),
    [anon_sym_L_SQUOTE] = ACTIONS(2574),
    [anon_sym_u_SQUOTE] = ACTIONS(2574),
    [anon_sym_U_SQUOTE] = ACTIONS(2574),
    [anon_sym_u8_SQUOTE] = ACTIONS(2574),
    [anon_sym_SQUOTE] = ACTIONS(2574),
    [anon_sym_L_DQUOTE] = ACTIONS(2576),
    [anon_sym_u_DQUOTE] = ACTIONS(2576),
    [anon_sym_U_DQUOTE] = ACTIONS(2576),
    [anon_sym_u8_DQUOTE] = ACTIONS(2576),
    [anon_sym_DQUOTE] = ACTIONS(2576),
    [sym_true] = ACTIONS(2578),
    [sym_false] = ACTIONS(2578),
    [anon_sym_NULL] = ACTIONS(2580),
    [anon_sym_nullptr] = ACTIONS(2580),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_operator] = ACTIONS(2588),
    [anon_sym_delete] = ACTIONS(2590),
    [anon_sym_R_DQUOTE] = ACTIONS(2592),
    [anon_sym_LR_DQUOTE] = ACTIONS(2592),
    [anon_sym_uR_DQUOTE] = ACTIONS(2592),
    [anon_sym_UR_DQUOTE] = ACTIONS(2592),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2592),
    [anon_sym_co_await] = ACTIONS(2594),
    [anon_sym_new] = ACTIONS(2596),
    [anon_sym_requires] = ACTIONS(2598),
    [sym_this] = ACTIONS(2578),
  },
  [1714] = {
    [sym_identifier] = ACTIONS(2178),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2180),
    [anon_sym_COMMA] = ACTIONS(2180),
    [anon_sym_RPAREN] = ACTIONS(2180),
    [anon_sym_LPAREN2] = ACTIONS(2180),
    [anon_sym_TILDE] = ACTIONS(2180),
    [anon_sym_DASH] = ACTIONS(2178),
    [anon_sym_PLUS] = ACTIONS(2178),
    [anon_sym_STAR] = ACTIONS(2180),
    [anon_sym_SLASH] = ACTIONS(2178),
    [anon_sym_PERCENT] = ACTIONS(2180),
    [anon_sym_PIPE_PIPE] = ACTIONS(2180),
    [anon_sym_AMP_AMP] = ACTIONS(2180),
    [anon_sym_PIPE] = ACTIONS(2178),
    [anon_sym_CARET] = ACTIONS(2180),
    [anon_sym_AMP] = ACTIONS(2178),
    [anon_sym_EQ_EQ] = ACTIONS(2180),
    [anon_sym_BANG_EQ] = ACTIONS(2180),
    [anon_sym_GT] = ACTIONS(2178),
    [anon_sym_GT_EQ] = ACTIONS(2180),
    [anon_sym_LT_EQ] = ACTIONS(2178),
    [anon_sym_LT] = ACTIONS(2178),
    [anon_sym_LT_LT] = ACTIONS(2180),
    [anon_sym_GT_GT] = ACTIONS(2180),
    [anon_sym_COLON] = ACTIONS(2178),
    [anon_sym_SEMI] = ACTIONS(2180),
    [anon_sym___extension__] = ACTIONS(2178),
    [anon_sym_in] = ACTIONS(2178),
    [anon_sym_out] = ACTIONS(2178),
    [anon_sym_inout] = ACTIONS(2178),
    [anon_sym_extern] = ACTIONS(2178),
    [anon_sym___attribute__] = ACTIONS(2178),
    [anon_sym_COLON_COLON] = ACTIONS(2180),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2180),
    [anon_sym___declspec] = ACTIONS(2178),
    [anon_sym___based] = ACTIONS(2178),
    [anon_sym___cdecl] = ACTIONS(2178),
    [anon_sym___clrcall] = ACTIONS(2178),
    [anon_sym___stdcall] = ACTIONS(2178),
    [anon_sym___fastcall] = ACTIONS(2178),
    [anon_sym___thiscall] = ACTIONS(2178),
    [anon_sym___vectorcall] = ACTIONS(2178),
    [anon_sym_LBRACE] = ACTIONS(2180),
    [anon_sym_RBRACE] = ACTIONS(2180),
    [anon_sym_LBRACK] = ACTIONS(2178),
    [anon_sym_EQ] = ACTIONS(2178),
    [anon_sym_static] = ACTIONS(2178),
    [anon_sym_register] = ACTIONS(2178),
    [anon_sym_inline] = ACTIONS(2178),
    [anon_sym___inline] = ACTIONS(2178),
    [anon_sym___inline__] = ACTIONS(2178),
    [anon_sym___forceinline] = ACTIONS(2178),
    [anon_sym_thread_local] = ACTIONS(2178),
    [anon_sym___thread] = ACTIONS(2178),
    [anon_sym_const] = ACTIONS(2178),
    [anon_sym_constexpr] = ACTIONS(2178),
    [anon_sym_volatile] = ACTIONS(2178),
    [anon_sym_restrict] = ACTIONS(2178),
    [anon_sym___restrict__] = ACTIONS(2178),
    [anon_sym__Atomic] = ACTIONS(2178),
    [anon_sym__Noreturn] = ACTIONS(2178),
    [anon_sym_noreturn] = ACTIONS(2178),
    [anon_sym_mutable] = ACTIONS(2178),
    [anon_sym_constinit] = ACTIONS(2178),
    [anon_sym_consteval] = ACTIONS(2178),
    [anon_sym_else] = ACTIONS(2178),
    [anon_sym_while] = ACTIONS(2178),
    [anon_sym_QMARK] = ACTIONS(2180),
    [anon_sym_LT_EQ_GT] = ACTIONS(2180),
    [anon_sym_or] = ACTIONS(2178),
    [anon_sym_and] = ACTIONS(2178),
    [anon_sym_bitor] = ACTIONS(2178),
    [anon_sym_xor] = ACTIONS(2178),
    [anon_sym_bitand] = ACTIONS(2178),
    [anon_sym_not_eq] = ACTIONS(2178),
    [anon_sym_DASH_DASH] = ACTIONS(2180),
    [anon_sym_PLUS_PLUS] = ACTIONS(2180),
    [anon_sym_DOT] = ACTIONS(2178),
    [anon_sym_DOT_STAR] = ACTIONS(2180),
    [anon_sym_DASH_GT] = ACTIONS(2180),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2178),
    [anon_sym_decltype] = ACTIONS(2178),
    [anon_sym_final] = ACTIONS(2178),
    [anon_sym_override] = ACTIONS(2178),
    [anon_sym_virtual] = ACTIONS(2178),
    [anon_sym_alignas] = ACTIONS(2178),
    [anon_sym_template] = ACTIONS(2178),
    [anon_sym_operator] = ACTIONS(2178),
    [anon_sym_try] = ACTIONS(2178),
    [anon_sym_requires] = ACTIONS(2178),
    [anon_sym_precise] = ACTIONS(2178),
    [anon_sym_shared] = ACTIONS(2178),
    [anon_sym_groupshared] = ACTIONS(2178),
    [anon_sym_uniform] = ACTIONS(2178),
    [anon_sym_row_major] = ACTIONS(2178),
    [anon_sym_column_major] = ACTIONS(2178),
    [anon_sym_globallycoherent] = ACTIONS(2178),
    [anon_sym_centroid] = ACTIONS(2178),
    [anon_sym_noperspective] = ACTIONS(2178),
    [anon_sym_nointerpolation] = ACTIONS(2178),
    [anon_sym_sample] = ACTIONS(2178),
    [anon_sym_linear] = ACTIONS(2178),
    [anon_sym_snorm] = ACTIONS(2178),
    [anon_sym_unorm] = ACTIONS(2178),
    [anon_sym_point] = ACTIONS(2178),
    [anon_sym_line] = ACTIONS(2178),
    [anon_sym_triangleadj] = ACTIONS(2178),
    [anon_sym_lineadj] = ACTIONS(2178),
    [anon_sym_triangle] = ACTIONS(2178),
  },
  [1715] = {
    [sym_identifier] = ACTIONS(2186),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2188),
    [anon_sym_COMMA] = ACTIONS(2188),
    [anon_sym_RPAREN] = ACTIONS(2188),
    [anon_sym_LPAREN2] = ACTIONS(2188),
    [anon_sym_TILDE] = ACTIONS(2188),
    [anon_sym_DASH] = ACTIONS(2186),
    [anon_sym_PLUS] = ACTIONS(2186),
    [anon_sym_STAR] = ACTIONS(2188),
    [anon_sym_SLASH] = ACTIONS(2186),
    [anon_sym_PERCENT] = ACTIONS(2188),
    [anon_sym_PIPE_PIPE] = ACTIONS(2188),
    [anon_sym_AMP_AMP] = ACTIONS(2188),
    [anon_sym_PIPE] = ACTIONS(2186),
    [anon_sym_CARET] = ACTIONS(2188),
    [anon_sym_AMP] = ACTIONS(2186),
    [anon_sym_EQ_EQ] = ACTIONS(2188),
    [anon_sym_BANG_EQ] = ACTIONS(2188),
    [anon_sym_GT] = ACTIONS(2186),
    [anon_sym_GT_EQ] = ACTIONS(2188),
    [anon_sym_LT_EQ] = ACTIONS(2186),
    [anon_sym_LT] = ACTIONS(2186),
    [anon_sym_LT_LT] = ACTIONS(2188),
    [anon_sym_GT_GT] = ACTIONS(2188),
    [anon_sym_COLON] = ACTIONS(2186),
    [anon_sym_SEMI] = ACTIONS(2188),
    [anon_sym___extension__] = ACTIONS(2186),
    [anon_sym_in] = ACTIONS(2186),
    [anon_sym_out] = ACTIONS(2186),
    [anon_sym_inout] = ACTIONS(2186),
    [anon_sym_extern] = ACTIONS(2186),
    [anon_sym___attribute__] = ACTIONS(2186),
    [anon_sym_COLON_COLON] = ACTIONS(2188),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2188),
    [anon_sym___declspec] = ACTIONS(2186),
    [anon_sym___based] = ACTIONS(2186),
    [anon_sym___cdecl] = ACTIONS(2186),
    [anon_sym___clrcall] = ACTIONS(2186),
    [anon_sym___stdcall] = ACTIONS(2186),
    [anon_sym___fastcall] = ACTIONS(2186),
    [anon_sym___thiscall] = ACTIONS(2186),
    [anon_sym___vectorcall] = ACTIONS(2186),
    [anon_sym_LBRACE] = ACTIONS(2188),
    [anon_sym_RBRACE] = ACTIONS(2188),
    [anon_sym_LBRACK] = ACTIONS(2186),
    [anon_sym_EQ] = ACTIONS(2186),
    [anon_sym_static] = ACTIONS(2186),
    [anon_sym_register] = ACTIONS(2186),
    [anon_sym_inline] = ACTIONS(2186),
    [anon_sym___inline] = ACTIONS(2186),
    [anon_sym___inline__] = ACTIONS(2186),
    [anon_sym___forceinline] = ACTIONS(2186),
    [anon_sym_thread_local] = ACTIONS(2186),
    [anon_sym___thread] = ACTIONS(2186),
    [anon_sym_const] = ACTIONS(2186),
    [anon_sym_constexpr] = ACTIONS(2186),
    [anon_sym_volatile] = ACTIONS(2186),
    [anon_sym_restrict] = ACTIONS(2186),
    [anon_sym___restrict__] = ACTIONS(2186),
    [anon_sym__Atomic] = ACTIONS(2186),
    [anon_sym__Noreturn] = ACTIONS(2186),
    [anon_sym_noreturn] = ACTIONS(2186),
    [anon_sym_mutable] = ACTIONS(2186),
    [anon_sym_constinit] = ACTIONS(2186),
    [anon_sym_consteval] = ACTIONS(2186),
    [anon_sym_else] = ACTIONS(2186),
    [anon_sym_while] = ACTIONS(2186),
    [anon_sym_QMARK] = ACTIONS(2188),
    [anon_sym_LT_EQ_GT] = ACTIONS(2188),
    [anon_sym_or] = ACTIONS(2186),
    [anon_sym_and] = ACTIONS(2186),
    [anon_sym_bitor] = ACTIONS(2186),
    [anon_sym_xor] = ACTIONS(2186),
    [anon_sym_bitand] = ACTIONS(2186),
    [anon_sym_not_eq] = ACTIONS(2186),
    [anon_sym_DASH_DASH] = ACTIONS(2188),
    [anon_sym_PLUS_PLUS] = ACTIONS(2188),
    [anon_sym_DOT] = ACTIONS(2186),
    [anon_sym_DOT_STAR] = ACTIONS(2188),
    [anon_sym_DASH_GT] = ACTIONS(2188),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2186),
    [anon_sym_decltype] = ACTIONS(2186),
    [anon_sym_final] = ACTIONS(2186),
    [anon_sym_override] = ACTIONS(2186),
    [anon_sym_virtual] = ACTIONS(2186),
    [anon_sym_alignas] = ACTIONS(2186),
    [anon_sym_template] = ACTIONS(2186),
    [anon_sym_operator] = ACTIONS(2186),
    [anon_sym_try] = ACTIONS(2186),
    [anon_sym_requires] = ACTIONS(2186),
    [anon_sym_precise] = ACTIONS(2186),
    [anon_sym_shared] = ACTIONS(2186),
    [anon_sym_groupshared] = ACTIONS(2186),
    [anon_sym_uniform] = ACTIONS(2186),
    [anon_sym_row_major] = ACTIONS(2186),
    [anon_sym_column_major] = ACTIONS(2186),
    [anon_sym_globallycoherent] = ACTIONS(2186),
    [anon_sym_centroid] = ACTIONS(2186),
    [anon_sym_noperspective] = ACTIONS(2186),
    [anon_sym_nointerpolation] = ACTIONS(2186),
    [anon_sym_sample] = ACTIONS(2186),
    [anon_sym_linear] = ACTIONS(2186),
    [anon_sym_snorm] = ACTIONS(2186),
    [anon_sym_unorm] = ACTIONS(2186),
    [anon_sym_point] = ACTIONS(2186),
    [anon_sym_line] = ACTIONS(2186),
    [anon_sym_triangleadj] = ACTIONS(2186),
    [anon_sym_lineadj] = ACTIONS(2186),
    [anon_sym_triangle] = ACTIONS(2186),
  },
  [1716] = {
    [sym_identifier] = ACTIONS(2212),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2214),
    [anon_sym_COMMA] = ACTIONS(2214),
    [anon_sym_RPAREN] = ACTIONS(2214),
    [anon_sym_LPAREN2] = ACTIONS(2214),
    [anon_sym_TILDE] = ACTIONS(2214),
    [anon_sym_DASH] = ACTIONS(2212),
    [anon_sym_PLUS] = ACTIONS(2212),
    [anon_sym_STAR] = ACTIONS(2214),
    [anon_sym_SLASH] = ACTIONS(2212),
    [anon_sym_PERCENT] = ACTIONS(2214),
    [anon_sym_PIPE_PIPE] = ACTIONS(2214),
    [anon_sym_AMP_AMP] = ACTIONS(2214),
    [anon_sym_PIPE] = ACTIONS(2212),
    [anon_sym_CARET] = ACTIONS(2214),
    [anon_sym_AMP] = ACTIONS(2212),
    [anon_sym_EQ_EQ] = ACTIONS(2214),
    [anon_sym_BANG_EQ] = ACTIONS(2214),
    [anon_sym_GT] = ACTIONS(2212),
    [anon_sym_GT_EQ] = ACTIONS(2214),
    [anon_sym_LT_EQ] = ACTIONS(2212),
    [anon_sym_LT] = ACTIONS(2212),
    [anon_sym_LT_LT] = ACTIONS(2214),
    [anon_sym_GT_GT] = ACTIONS(2214),
    [anon_sym_COLON] = ACTIONS(2212),
    [anon_sym_SEMI] = ACTIONS(2214),
    [anon_sym___extension__] = ACTIONS(2212),
    [anon_sym_in] = ACTIONS(2212),
    [anon_sym_out] = ACTIONS(2212),
    [anon_sym_inout] = ACTIONS(2212),
    [anon_sym_extern] = ACTIONS(2212),
    [anon_sym___attribute__] = ACTIONS(2212),
    [anon_sym_COLON_COLON] = ACTIONS(2214),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2214),
    [anon_sym___declspec] = ACTIONS(2212),
    [anon_sym___based] = ACTIONS(2212),
    [anon_sym___cdecl] = ACTIONS(2212),
    [anon_sym___clrcall] = ACTIONS(2212),
    [anon_sym___stdcall] = ACTIONS(2212),
    [anon_sym___fastcall] = ACTIONS(2212),
    [anon_sym___thiscall] = ACTIONS(2212),
    [anon_sym___vectorcall] = ACTIONS(2212),
    [anon_sym_LBRACE] = ACTIONS(2214),
    [anon_sym_RBRACE] = ACTIONS(2214),
    [anon_sym_LBRACK] = ACTIONS(2212),
    [anon_sym_EQ] = ACTIONS(2212),
    [anon_sym_static] = ACTIONS(2212),
    [anon_sym_register] = ACTIONS(2212),
    [anon_sym_inline] = ACTIONS(2212),
    [anon_sym___inline] = ACTIONS(2212),
    [anon_sym___inline__] = ACTIONS(2212),
    [anon_sym___forceinline] = ACTIONS(2212),
    [anon_sym_thread_local] = ACTIONS(2212),
    [anon_sym___thread] = ACTIONS(2212),
    [anon_sym_const] = ACTIONS(2212),
    [anon_sym_constexpr] = ACTIONS(2212),
    [anon_sym_volatile] = ACTIONS(2212),
    [anon_sym_restrict] = ACTIONS(2212),
    [anon_sym___restrict__] = ACTIONS(2212),
    [anon_sym__Atomic] = ACTIONS(2212),
    [anon_sym__Noreturn] = ACTIONS(2212),
    [anon_sym_noreturn] = ACTIONS(2212),
    [anon_sym_mutable] = ACTIONS(2212),
    [anon_sym_constinit] = ACTIONS(2212),
    [anon_sym_consteval] = ACTIONS(2212),
    [anon_sym_else] = ACTIONS(2212),
    [anon_sym_while] = ACTIONS(2212),
    [anon_sym_QMARK] = ACTIONS(2214),
    [anon_sym_LT_EQ_GT] = ACTIONS(2214),
    [anon_sym_or] = ACTIONS(2212),
    [anon_sym_and] = ACTIONS(2212),
    [anon_sym_bitor] = ACTIONS(2212),
    [anon_sym_xor] = ACTIONS(2212),
    [anon_sym_bitand] = ACTIONS(2212),
    [anon_sym_not_eq] = ACTIONS(2212),
    [anon_sym_DASH_DASH] = ACTIONS(2214),
    [anon_sym_PLUS_PLUS] = ACTIONS(2214),
    [anon_sym_DOT] = ACTIONS(2212),
    [anon_sym_DOT_STAR] = ACTIONS(2214),
    [anon_sym_DASH_GT] = ACTIONS(2214),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2212),
    [anon_sym_decltype] = ACTIONS(2212),
    [anon_sym_final] = ACTIONS(2212),
    [anon_sym_override] = ACTIONS(2212),
    [anon_sym_virtual] = ACTIONS(2212),
    [anon_sym_alignas] = ACTIONS(2212),
    [anon_sym_template] = ACTIONS(2212),
    [anon_sym_operator] = ACTIONS(2212),
    [anon_sym_try] = ACTIONS(2212),
    [anon_sym_requires] = ACTIONS(2212),
    [anon_sym_precise] = ACTIONS(2212),
    [anon_sym_shared] = ACTIONS(2212),
    [anon_sym_groupshared] = ACTIONS(2212),
    [anon_sym_uniform] = ACTIONS(2212),
    [anon_sym_row_major] = ACTIONS(2212),
    [anon_sym_column_major] = ACTIONS(2212),
    [anon_sym_globallycoherent] = ACTIONS(2212),
    [anon_sym_centroid] = ACTIONS(2212),
    [anon_sym_noperspective] = ACTIONS(2212),
    [anon_sym_nointerpolation] = ACTIONS(2212),
    [anon_sym_sample] = ACTIONS(2212),
    [anon_sym_linear] = ACTIONS(2212),
    [anon_sym_snorm] = ACTIONS(2212),
    [anon_sym_unorm] = ACTIONS(2212),
    [anon_sym_point] = ACTIONS(2212),
    [anon_sym_line] = ACTIONS(2212),
    [anon_sym_triangleadj] = ACTIONS(2212),
    [anon_sym_lineadj] = ACTIONS(2212),
    [anon_sym_triangle] = ACTIONS(2212),
  },
  [1717] = {
    [sym_identifier] = ACTIONS(2182),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2184),
    [anon_sym_COMMA] = ACTIONS(2184),
    [anon_sym_RPAREN] = ACTIONS(2184),
    [anon_sym_LPAREN2] = ACTIONS(2184),
    [anon_sym_TILDE] = ACTIONS(2184),
    [anon_sym_DASH] = ACTIONS(2182),
    [anon_sym_PLUS] = ACTIONS(2182),
    [anon_sym_STAR] = ACTIONS(2184),
    [anon_sym_SLASH] = ACTIONS(2182),
    [anon_sym_PERCENT] = ACTIONS(2184),
    [anon_sym_PIPE_PIPE] = ACTIONS(2184),
    [anon_sym_AMP_AMP] = ACTIONS(2184),
    [anon_sym_PIPE] = ACTIONS(2182),
    [anon_sym_CARET] = ACTIONS(2184),
    [anon_sym_AMP] = ACTIONS(2182),
    [anon_sym_EQ_EQ] = ACTIONS(2184),
    [anon_sym_BANG_EQ] = ACTIONS(2184),
    [anon_sym_GT] = ACTIONS(2182),
    [anon_sym_GT_EQ] = ACTIONS(2184),
    [anon_sym_LT_EQ] = ACTIONS(2182),
    [anon_sym_LT] = ACTIONS(2182),
    [anon_sym_LT_LT] = ACTIONS(2184),
    [anon_sym_GT_GT] = ACTIONS(2184),
    [anon_sym_COLON] = ACTIONS(2182),
    [anon_sym_SEMI] = ACTIONS(2184),
    [anon_sym___extension__] = ACTIONS(2182),
    [anon_sym_in] = ACTIONS(2182),
    [anon_sym_out] = ACTIONS(2182),
    [anon_sym_inout] = ACTIONS(2182),
    [anon_sym_extern] = ACTIONS(2182),
    [anon_sym___attribute__] = ACTIONS(2182),
    [anon_sym_COLON_COLON] = ACTIONS(2184),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2184),
    [anon_sym___declspec] = ACTIONS(2182),
    [anon_sym___based] = ACTIONS(2182),
    [anon_sym___cdecl] = ACTIONS(2182),
    [anon_sym___clrcall] = ACTIONS(2182),
    [anon_sym___stdcall] = ACTIONS(2182),
    [anon_sym___fastcall] = ACTIONS(2182),
    [anon_sym___thiscall] = ACTIONS(2182),
    [anon_sym___vectorcall] = ACTIONS(2182),
    [anon_sym_LBRACE] = ACTIONS(2184),
    [anon_sym_RBRACE] = ACTIONS(2184),
    [anon_sym_LBRACK] = ACTIONS(2182),
    [anon_sym_EQ] = ACTIONS(2182),
    [anon_sym_static] = ACTIONS(2182),
    [anon_sym_register] = ACTIONS(2182),
    [anon_sym_inline] = ACTIONS(2182),
    [anon_sym___inline] = ACTIONS(2182),
    [anon_sym___inline__] = ACTIONS(2182),
    [anon_sym___forceinline] = ACTIONS(2182),
    [anon_sym_thread_local] = ACTIONS(2182),
    [anon_sym___thread] = ACTIONS(2182),
    [anon_sym_const] = ACTIONS(2182),
    [anon_sym_constexpr] = ACTIONS(2182),
    [anon_sym_volatile] = ACTIONS(2182),
    [anon_sym_restrict] = ACTIONS(2182),
    [anon_sym___restrict__] = ACTIONS(2182),
    [anon_sym__Atomic] = ACTIONS(2182),
    [anon_sym__Noreturn] = ACTIONS(2182),
    [anon_sym_noreturn] = ACTIONS(2182),
    [anon_sym_mutable] = ACTIONS(2182),
    [anon_sym_constinit] = ACTIONS(2182),
    [anon_sym_consteval] = ACTIONS(2182),
    [anon_sym_else] = ACTIONS(2182),
    [anon_sym_while] = ACTIONS(2182),
    [anon_sym_QMARK] = ACTIONS(2184),
    [anon_sym_LT_EQ_GT] = ACTIONS(2184),
    [anon_sym_or] = ACTIONS(2182),
    [anon_sym_and] = ACTIONS(2182),
    [anon_sym_bitor] = ACTIONS(2182),
    [anon_sym_xor] = ACTIONS(2182),
    [anon_sym_bitand] = ACTIONS(2182),
    [anon_sym_not_eq] = ACTIONS(2182),
    [anon_sym_DASH_DASH] = ACTIONS(2184),
    [anon_sym_PLUS_PLUS] = ACTIONS(2184),
    [anon_sym_DOT] = ACTIONS(2182),
    [anon_sym_DOT_STAR] = ACTIONS(2184),
    [anon_sym_DASH_GT] = ACTIONS(2184),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2182),
    [anon_sym_decltype] = ACTIONS(2182),
    [anon_sym_final] = ACTIONS(2182),
    [anon_sym_override] = ACTIONS(2182),
    [anon_sym_virtual] = ACTIONS(2182),
    [anon_sym_alignas] = ACTIONS(2182),
    [anon_sym_template] = ACTIONS(2182),
    [anon_sym_operator] = ACTIONS(2182),
    [anon_sym_try] = ACTIONS(2182),
    [anon_sym_requires] = ACTIONS(2182),
    [anon_sym_precise] = ACTIONS(2182),
    [anon_sym_shared] = ACTIONS(2182),
    [anon_sym_groupshared] = ACTIONS(2182),
    [anon_sym_uniform] = ACTIONS(2182),
    [anon_sym_row_major] = ACTIONS(2182),
    [anon_sym_column_major] = ACTIONS(2182),
    [anon_sym_globallycoherent] = ACTIONS(2182),
    [anon_sym_centroid] = ACTIONS(2182),
    [anon_sym_noperspective] = ACTIONS(2182),
    [anon_sym_nointerpolation] = ACTIONS(2182),
    [anon_sym_sample] = ACTIONS(2182),
    [anon_sym_linear] = ACTIONS(2182),
    [anon_sym_snorm] = ACTIONS(2182),
    [anon_sym_unorm] = ACTIONS(2182),
    [anon_sym_point] = ACTIONS(2182),
    [anon_sym_line] = ACTIONS(2182),
    [anon_sym_triangleadj] = ACTIONS(2182),
    [anon_sym_lineadj] = ACTIONS(2182),
    [anon_sym_triangle] = ACTIONS(2182),
  },
  [1718] = {
    [sym_template_argument_list] = STATE(1721),
    [sym_identifier] = ACTIONS(2232),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4548),
    [anon_sym_COMMA] = ACTIONS(4548),
    [anon_sym_RPAREN] = ACTIONS(4548),
    [anon_sym_LPAREN2] = ACTIONS(4548),
    [anon_sym_TILDE] = ACTIONS(2234),
    [anon_sym_DASH] = ACTIONS(4551),
    [anon_sym_PLUS] = ACTIONS(4551),
    [anon_sym_STAR] = ACTIONS(4553),
    [anon_sym_SLASH] = ACTIONS(4551),
    [anon_sym_PERCENT] = ACTIONS(4551),
    [anon_sym_PIPE_PIPE] = ACTIONS(4546),
    [anon_sym_AMP_AMP] = ACTIONS(4548),
    [anon_sym_PIPE] = ACTIONS(4551),
    [anon_sym_CARET] = ACTIONS(4551),
    [anon_sym_AMP] = ACTIONS(4553),
    [anon_sym_EQ_EQ] = ACTIONS(4546),
    [anon_sym_BANG_EQ] = ACTIONS(4546),
    [anon_sym_GT] = ACTIONS(4551),
    [anon_sym_GT_EQ] = ACTIONS(4546),
    [anon_sym_LT_EQ] = ACTIONS(4551),
    [anon_sym_LT] = ACTIONS(4556),
    [anon_sym_LT_LT] = ACTIONS(4551),
    [anon_sym_GT_GT] = ACTIONS(4551),
    [anon_sym_COLON] = ACTIONS(2232),
    [anon_sym___extension__] = ACTIONS(2232),
    [anon_sym_in] = ACTIONS(2232),
    [anon_sym_out] = ACTIONS(2232),
    [anon_sym_inout] = ACTIONS(2232),
    [anon_sym_extern] = ACTIONS(2232),
    [anon_sym___attribute__] = ACTIONS(2232),
    [anon_sym_COLON_COLON] = ACTIONS(2230),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2234),
    [anon_sym___declspec] = ACTIONS(2232),
    [anon_sym___based] = ACTIONS(2232),
    [anon_sym_LBRACE] = ACTIONS(2234),
    [anon_sym_LBRACK] = ACTIONS(4553),
    [anon_sym_EQ] = ACTIONS(4553),
    [anon_sym_static] = ACTIONS(2232),
    [anon_sym_register] = ACTIONS(2232),
    [anon_sym_inline] = ACTIONS(2232),
    [anon_sym___inline] = ACTIONS(2232),
    [anon_sym___inline__] = ACTIONS(2232),
    [anon_sym___forceinline] = ACTIONS(2232),
    [anon_sym_thread_local] = ACTIONS(2232),
    [anon_sym___thread] = ACTIONS(2232),
    [anon_sym_const] = ACTIONS(2232),
    [anon_sym_constexpr] = ACTIONS(2232),
    [anon_sym_volatile] = ACTIONS(2232),
    [anon_sym_restrict] = ACTIONS(2232),
    [anon_sym___restrict__] = ACTIONS(2232),
    [anon_sym__Atomic] = ACTIONS(2232),
    [anon_sym__Noreturn] = ACTIONS(2232),
    [anon_sym_noreturn] = ACTIONS(2232),
    [anon_sym_mutable] = ACTIONS(2232),
    [anon_sym_constinit] = ACTIONS(2232),
    [anon_sym_consteval] = ACTIONS(2232),
    [anon_sym_QMARK] = ACTIONS(4546),
    [anon_sym_STAR_EQ] = ACTIONS(4546),
    [anon_sym_SLASH_EQ] = ACTIONS(4546),
    [anon_sym_PERCENT_EQ] = ACTIONS(4546),
    [anon_sym_PLUS_EQ] = ACTIONS(4546),
    [anon_sym_DASH_EQ] = ACTIONS(4546),
    [anon_sym_LT_LT_EQ] = ACTIONS(4546),
    [anon_sym_GT_GT_EQ] = ACTIONS(4546),
    [anon_sym_AMP_EQ] = ACTIONS(4546),
    [anon_sym_CARET_EQ] = ACTIONS(4546),
    [anon_sym_PIPE_EQ] = ACTIONS(4546),
    [anon_sym_and_eq] = ACTIONS(4551),
    [anon_sym_or_eq] = ACTIONS(4551),
    [anon_sym_xor_eq] = ACTIONS(4551),
    [anon_sym_LT_EQ_GT] = ACTIONS(4546),
    [anon_sym_or] = ACTIONS(4551),
    [anon_sym_and] = ACTIONS(4551),
    [anon_sym_bitor] = ACTIONS(4551),
    [anon_sym_xor] = ACTIONS(4551),
    [anon_sym_bitand] = ACTIONS(4551),
    [anon_sym_not_eq] = ACTIONS(4551),
    [anon_sym_DASH_DASH] = ACTIONS(4546),
    [anon_sym_PLUS_PLUS] = ACTIONS(4546),
    [anon_sym_DOT] = ACTIONS(4551),
    [anon_sym_DOT_STAR] = ACTIONS(4546),
    [anon_sym_DASH_GT] = ACTIONS(4546),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2232),
    [anon_sym_decltype] = ACTIONS(2232),
    [anon_sym_virtual] = ACTIONS(2232),
    [anon_sym_alignas] = ACTIONS(2232),
    [anon_sym_template] = ACTIONS(2232),
    [anon_sym_operator] = ACTIONS(2232),
    [anon_sym_precise] = ACTIONS(2232),
    [anon_sym_shared] = ACTIONS(2232),
    [anon_sym_groupshared] = ACTIONS(2232),
    [anon_sym_uniform] = ACTIONS(2232),
    [anon_sym_row_major] = ACTIONS(2232),
    [anon_sym_column_major] = ACTIONS(2232),
    [anon_sym_globallycoherent] = ACTIONS(2232),
    [anon_sym_centroid] = ACTIONS(2232),
    [anon_sym_noperspective] = ACTIONS(2232),
    [anon_sym_nointerpolation] = ACTIONS(2232),
    [anon_sym_sample] = ACTIONS(2232),
    [anon_sym_linear] = ACTIONS(2232),
    [anon_sym_snorm] = ACTIONS(2232),
    [anon_sym_unorm] = ACTIONS(2232),
    [anon_sym_point] = ACTIONS(2232),
    [anon_sym_line] = ACTIONS(2232),
    [anon_sym_triangleadj] = ACTIONS(2232),
    [anon_sym_lineadj] = ACTIONS(2232),
    [anon_sym_triangle] = ACTIONS(2232),
  },
  [1719] = {
    [sym_identifier] = ACTIONS(2208),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2210),
    [anon_sym_COMMA] = ACTIONS(2210),
    [anon_sym_RPAREN] = ACTIONS(2210),
    [anon_sym_LPAREN2] = ACTIONS(2210),
    [anon_sym_TILDE] = ACTIONS(2210),
    [anon_sym_DASH] = ACTIONS(2208),
    [anon_sym_PLUS] = ACTIONS(2208),
    [anon_sym_STAR] = ACTIONS(2208),
    [anon_sym_SLASH] = ACTIONS(2208),
    [anon_sym_PERCENT] = ACTIONS(2208),
    [anon_sym_PIPE_PIPE] = ACTIONS(2210),
    [anon_sym_AMP_AMP] = ACTIONS(2210),
    [anon_sym_PIPE] = ACTIONS(2208),
    [anon_sym_CARET] = ACTIONS(2208),
    [anon_sym_AMP] = ACTIONS(2208),
    [anon_sym_EQ_EQ] = ACTIONS(2210),
    [anon_sym_BANG_EQ] = ACTIONS(2210),
    [anon_sym_GT] = ACTIONS(2208),
    [anon_sym_GT_EQ] = ACTIONS(2210),
    [anon_sym_LT_EQ] = ACTIONS(2208),
    [anon_sym_LT] = ACTIONS(2208),
    [anon_sym_LT_LT] = ACTIONS(2208),
    [anon_sym_GT_GT] = ACTIONS(2208),
    [anon_sym_COLON] = ACTIONS(2208),
    [anon_sym___extension__] = ACTIONS(2208),
    [anon_sym_in] = ACTIONS(2208),
    [anon_sym_out] = ACTIONS(2208),
    [anon_sym_inout] = ACTIONS(2208),
    [anon_sym_extern] = ACTIONS(2208),
    [anon_sym___attribute__] = ACTIONS(2208),
    [anon_sym_COLON_COLON] = ACTIONS(2210),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2210),
    [anon_sym___declspec] = ACTIONS(2208),
    [anon_sym___based] = ACTIONS(2208),
    [anon_sym_LBRACE] = ACTIONS(2210),
    [anon_sym_LBRACK] = ACTIONS(2208),
    [anon_sym_EQ] = ACTIONS(2208),
    [anon_sym_static] = ACTIONS(2208),
    [anon_sym_register] = ACTIONS(2208),
    [anon_sym_inline] = ACTIONS(2208),
    [anon_sym___inline] = ACTIONS(2208),
    [anon_sym___inline__] = ACTIONS(2208),
    [anon_sym___forceinline] = ACTIONS(2208),
    [anon_sym_thread_local] = ACTIONS(2208),
    [anon_sym___thread] = ACTIONS(2208),
    [anon_sym_const] = ACTIONS(2208),
    [anon_sym_constexpr] = ACTIONS(2208),
    [anon_sym_volatile] = ACTIONS(2208),
    [anon_sym_restrict] = ACTIONS(2208),
    [anon_sym___restrict__] = ACTIONS(2208),
    [anon_sym__Atomic] = ACTIONS(2208),
    [anon_sym__Noreturn] = ACTIONS(2208),
    [anon_sym_noreturn] = ACTIONS(2208),
    [anon_sym_mutable] = ACTIONS(2208),
    [anon_sym_constinit] = ACTIONS(2208),
    [anon_sym_consteval] = ACTIONS(2208),
    [anon_sym_QMARK] = ACTIONS(2210),
    [anon_sym_STAR_EQ] = ACTIONS(2210),
    [anon_sym_SLASH_EQ] = ACTIONS(2210),
    [anon_sym_PERCENT_EQ] = ACTIONS(2210),
    [anon_sym_PLUS_EQ] = ACTIONS(2210),
    [anon_sym_DASH_EQ] = ACTIONS(2210),
    [anon_sym_LT_LT_EQ] = ACTIONS(2210),
    [anon_sym_GT_GT_EQ] = ACTIONS(2210),
    [anon_sym_AMP_EQ] = ACTIONS(2210),
    [anon_sym_CARET_EQ] = ACTIONS(2210),
    [anon_sym_PIPE_EQ] = ACTIONS(2210),
    [anon_sym_and_eq] = ACTIONS(2208),
    [anon_sym_or_eq] = ACTIONS(2208),
    [anon_sym_xor_eq] = ACTIONS(2208),
    [anon_sym_LT_EQ_GT] = ACTIONS(2210),
    [anon_sym_or] = ACTIONS(2208),
    [anon_sym_and] = ACTIONS(2208),
    [anon_sym_bitor] = ACTIONS(2208),
    [anon_sym_xor] = ACTIONS(2208),
    [anon_sym_bitand] = ACTIONS(2208),
    [anon_sym_not_eq] = ACTIONS(2208),
    [anon_sym_DASH_DASH] = ACTIONS(2210),
    [anon_sym_PLUS_PLUS] = ACTIONS(2210),
    [anon_sym_DOT] = ACTIONS(2208),
    [anon_sym_DOT_STAR] = ACTIONS(2210),
    [anon_sym_DASH_GT] = ACTIONS(2208),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2208),
    [anon_sym_decltype] = ACTIONS(2208),
    [anon_sym_virtual] = ACTIONS(2208),
    [anon_sym_alignas] = ACTIONS(2208),
    [anon_sym_template] = ACTIONS(2208),
    [anon_sym_operator] = ACTIONS(2208),
    [anon_sym_DASH_GT_STAR] = ACTIONS(2210),
    [anon_sym_precise] = ACTIONS(2208),
    [anon_sym_shared] = ACTIONS(2208),
    [anon_sym_groupshared] = ACTIONS(2208),
    [anon_sym_uniform] = ACTIONS(2208),
    [anon_sym_row_major] = ACTIONS(2208),
    [anon_sym_column_major] = ACTIONS(2208),
    [anon_sym_globallycoherent] = ACTIONS(2208),
    [anon_sym_centroid] = ACTIONS(2208),
    [anon_sym_noperspective] = ACTIONS(2208),
    [anon_sym_nointerpolation] = ACTIONS(2208),
    [anon_sym_sample] = ACTIONS(2208),
    [anon_sym_linear] = ACTIONS(2208),
    [anon_sym_snorm] = ACTIONS(2208),
    [anon_sym_unorm] = ACTIONS(2208),
    [anon_sym_point] = ACTIONS(2208),
    [anon_sym_line] = ACTIONS(2208),
    [anon_sym_triangleadj] = ACTIONS(2208),
    [anon_sym_lineadj] = ACTIONS(2208),
    [anon_sym_triangle] = ACTIONS(2208),
  },
  [1720] = {
    [sym_identifier] = ACTIONS(2254),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4573),
    [anon_sym_COMMA] = ACTIONS(4573),
    [anon_sym_RPAREN] = ACTIONS(4573),
    [anon_sym_LPAREN2] = ACTIONS(4575),
    [anon_sym_TILDE] = ACTIONS(2256),
    [anon_sym_DASH] = ACTIONS(4578),
    [anon_sym_PLUS] = ACTIONS(4578),
    [anon_sym_STAR] = ACTIONS(4580),
    [anon_sym_SLASH] = ACTIONS(4578),
    [anon_sym_PERCENT] = ACTIONS(4578),
    [anon_sym_PIPE_PIPE] = ACTIONS(4573),
    [anon_sym_AMP_AMP] = ACTIONS(4575),
    [anon_sym_PIPE] = ACTIONS(4578),
    [anon_sym_CARET] = ACTIONS(4578),
    [anon_sym_AMP] = ACTIONS(4580),
    [anon_sym_EQ_EQ] = ACTIONS(4573),
    [anon_sym_BANG_EQ] = ACTIONS(4573),
    [anon_sym_GT] = ACTIONS(4578),
    [anon_sym_GT_EQ] = ACTIONS(4573),
    [anon_sym_LT_EQ] = ACTIONS(4578),
    [anon_sym_LT] = ACTIONS(4578),
    [anon_sym_LT_LT] = ACTIONS(4578),
    [anon_sym_GT_GT] = ACTIONS(4578),
    [anon_sym_SEMI] = ACTIONS(4573),
    [anon_sym___extension__] = ACTIONS(2254),
    [anon_sym_in] = ACTIONS(2254),
    [anon_sym_out] = ACTIONS(2254),
    [anon_sym_inout] = ACTIONS(2254),
    [anon_sym_extern] = ACTIONS(2254),
    [anon_sym___attribute__] = ACTIONS(2254),
    [anon_sym_COLON_COLON] = ACTIONS(2256),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2256),
    [anon_sym___declspec] = ACTIONS(2254),
    [anon_sym___based] = ACTIONS(2254),
    [anon_sym_LBRACE] = ACTIONS(2256),
    [anon_sym_LBRACK] = ACTIONS(4580),
    [anon_sym_EQ] = ACTIONS(4578),
    [anon_sym_static] = ACTIONS(2254),
    [anon_sym_register] = ACTIONS(2254),
    [anon_sym_inline] = ACTIONS(2254),
    [anon_sym___inline] = ACTIONS(2254),
    [anon_sym___inline__] = ACTIONS(2254),
    [anon_sym___forceinline] = ACTIONS(2254),
    [anon_sym_thread_local] = ACTIONS(2254),
    [anon_sym___thread] = ACTIONS(2254),
    [anon_sym_const] = ACTIONS(2254),
    [anon_sym_constexpr] = ACTIONS(2254),
    [anon_sym_volatile] = ACTIONS(2254),
    [anon_sym_restrict] = ACTIONS(2254),
    [anon_sym___restrict__] = ACTIONS(2254),
    [anon_sym__Atomic] = ACTIONS(2254),
    [anon_sym__Noreturn] = ACTIONS(2254),
    [anon_sym_noreturn] = ACTIONS(2254),
    [anon_sym_mutable] = ACTIONS(2254),
    [anon_sym_constinit] = ACTIONS(2254),
    [anon_sym_consteval] = ACTIONS(2254),
    [anon_sym_QMARK] = ACTIONS(4573),
    [anon_sym_STAR_EQ] = ACTIONS(4573),
    [anon_sym_SLASH_EQ] = ACTIONS(4573),
    [anon_sym_PERCENT_EQ] = ACTIONS(4573),
    [anon_sym_PLUS_EQ] = ACTIONS(4573),
    [anon_sym_DASH_EQ] = ACTIONS(4573),
    [anon_sym_LT_LT_EQ] = ACTIONS(4573),
    [anon_sym_GT_GT_EQ] = ACTIONS(4573),
    [anon_sym_AMP_EQ] = ACTIONS(4573),
    [anon_sym_CARET_EQ] = ACTIONS(4573),
    [anon_sym_PIPE_EQ] = ACTIONS(4573),
    [anon_sym_and_eq] = ACTIONS(4578),
    [anon_sym_or_eq] = ACTIONS(4578),
    [anon_sym_xor_eq] = ACTIONS(4578),
    [anon_sym_LT_EQ_GT] = ACTIONS(4573),
    [anon_sym_or] = ACTIONS(4578),
    [anon_sym_and] = ACTIONS(4578),
    [anon_sym_bitor] = ACTIONS(4578),
    [anon_sym_xor] = ACTIONS(4578),
    [anon_sym_bitand] = ACTIONS(4578),
    [anon_sym_not_eq] = ACTIONS(4578),
    [anon_sym_DASH_DASH] = ACTIONS(4573),
    [anon_sym_PLUS_PLUS] = ACTIONS(4573),
    [anon_sym_DOT] = ACTIONS(4578),
    [anon_sym_DOT_STAR] = ACTIONS(4573),
    [anon_sym_DASH_GT] = ACTIONS(4573),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2254),
    [anon_sym_decltype] = ACTIONS(2254),
    [anon_sym_virtual] = ACTIONS(2254),
    [anon_sym_alignas] = ACTIONS(2254),
    [anon_sym_template] = ACTIONS(2254),
    [anon_sym_operator] = ACTIONS(2254),
    [anon_sym_precise] = ACTIONS(2254),
    [anon_sym_shared] = ACTIONS(2254),
    [anon_sym_groupshared] = ACTIONS(2254),
    [anon_sym_uniform] = ACTIONS(2254),
    [anon_sym_row_major] = ACTIONS(2254),
    [anon_sym_column_major] = ACTIONS(2254),
    [anon_sym_globallycoherent] = ACTIONS(2254),
    [anon_sym_centroid] = ACTIONS(2254),
    [anon_sym_noperspective] = ACTIONS(2254),
    [anon_sym_nointerpolation] = ACTIONS(2254),
    [anon_sym_sample] = ACTIONS(2254),
    [anon_sym_linear] = ACTIONS(2254),
    [anon_sym_snorm] = ACTIONS(2254),
    [anon_sym_unorm] = ACTIONS(2254),
    [anon_sym_point] = ACTIONS(2254),
    [anon_sym_line] = ACTIONS(2254),
    [anon_sym_triangleadj] = ACTIONS(2254),
    [anon_sym_lineadj] = ACTIONS(2254),
    [anon_sym_triangle] = ACTIONS(2254),
  },
  [1721] = {
    [sym_identifier] = ACTIONS(2254),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4575),
    [anon_sym_COMMA] = ACTIONS(4575),
    [anon_sym_RPAREN] = ACTIONS(4575),
    [anon_sym_LPAREN2] = ACTIONS(4575),
    [anon_sym_TILDE] = ACTIONS(2256),
    [anon_sym_DASH] = ACTIONS(4578),
    [anon_sym_PLUS] = ACTIONS(4578),
    [anon_sym_STAR] = ACTIONS(4580),
    [anon_sym_SLASH] = ACTIONS(4578),
    [anon_sym_PERCENT] = ACTIONS(4578),
    [anon_sym_PIPE_PIPE] = ACTIONS(4573),
    [anon_sym_AMP_AMP] = ACTIONS(4575),
    [anon_sym_PIPE] = ACTIONS(4578),
    [anon_sym_CARET] = ACTIONS(4578),
    [anon_sym_AMP] = ACTIONS(4580),
    [anon_sym_EQ_EQ] = ACTIONS(4573),
    [anon_sym_BANG_EQ] = ACTIONS(4573),
    [anon_sym_GT] = ACTIONS(4578),
    [anon_sym_GT_EQ] = ACTIONS(4573),
    [anon_sym_LT_EQ] = ACTIONS(4578),
    [anon_sym_LT] = ACTIONS(4578),
    [anon_sym_LT_LT] = ACTIONS(4578),
    [anon_sym_GT_GT] = ACTIONS(4578),
    [anon_sym_COLON] = ACTIONS(2254),
    [anon_sym___extension__] = ACTIONS(2254),
    [anon_sym_in] = ACTIONS(2254),
    [anon_sym_out] = ACTIONS(2254),
    [anon_sym_inout] = ACTIONS(2254),
    [anon_sym_extern] = ACTIONS(2254),
    [anon_sym___attribute__] = ACTIONS(2254),
    [anon_sym_COLON_COLON] = ACTIONS(2256),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2256),
    [anon_sym___declspec] = ACTIONS(2254),
    [anon_sym___based] = ACTIONS(2254),
    [anon_sym_LBRACE] = ACTIONS(2256),
    [anon_sym_LBRACK] = ACTIONS(4580),
    [anon_sym_EQ] = ACTIONS(4580),
    [anon_sym_static] = ACTIONS(2254),
    [anon_sym_register] = ACTIONS(2254),
    [anon_sym_inline] = ACTIONS(2254),
    [anon_sym___inline] = ACTIONS(2254),
    [anon_sym___inline__] = ACTIONS(2254),
    [anon_sym___forceinline] = ACTIONS(2254),
    [anon_sym_thread_local] = ACTIONS(2254),
    [anon_sym___thread] = ACTIONS(2254),
    [anon_sym_const] = ACTIONS(2254),
    [anon_sym_constexpr] = ACTIONS(2254),
    [anon_sym_volatile] = ACTIONS(2254),
    [anon_sym_restrict] = ACTIONS(2254),
    [anon_sym___restrict__] = ACTIONS(2254),
    [anon_sym__Atomic] = ACTIONS(2254),
    [anon_sym__Noreturn] = ACTIONS(2254),
    [anon_sym_noreturn] = ACTIONS(2254),
    [anon_sym_mutable] = ACTIONS(2254),
    [anon_sym_constinit] = ACTIONS(2254),
    [anon_sym_consteval] = ACTIONS(2254),
    [anon_sym_QMARK] = ACTIONS(4573),
    [anon_sym_STAR_EQ] = ACTIONS(4573),
    [anon_sym_SLASH_EQ] = ACTIONS(4573),
    [anon_sym_PERCENT_EQ] = ACTIONS(4573),
    [anon_sym_PLUS_EQ] = ACTIONS(4573),
    [anon_sym_DASH_EQ] = ACTIONS(4573),
    [anon_sym_LT_LT_EQ] = ACTIONS(4573),
    [anon_sym_GT_GT_EQ] = ACTIONS(4573),
    [anon_sym_AMP_EQ] = ACTIONS(4573),
    [anon_sym_CARET_EQ] = ACTIONS(4573),
    [anon_sym_PIPE_EQ] = ACTIONS(4573),
    [anon_sym_and_eq] = ACTIONS(4578),
    [anon_sym_or_eq] = ACTIONS(4578),
    [anon_sym_xor_eq] = ACTIONS(4578),
    [anon_sym_LT_EQ_GT] = ACTIONS(4573),
    [anon_sym_or] = ACTIONS(4578),
    [anon_sym_and] = ACTIONS(4578),
    [anon_sym_bitor] = ACTIONS(4578),
    [anon_sym_xor] = ACTIONS(4578),
    [anon_sym_bitand] = ACTIONS(4578),
    [anon_sym_not_eq] = ACTIONS(4578),
    [anon_sym_DASH_DASH] = ACTIONS(4573),
    [anon_sym_PLUS_PLUS] = ACTIONS(4573),
    [anon_sym_DOT] = ACTIONS(4578),
    [anon_sym_DOT_STAR] = ACTIONS(4573),
    [anon_sym_DASH_GT] = ACTIONS(4573),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2254),
    [anon_sym_decltype] = ACTIONS(2254),
    [anon_sym_virtual] = ACTIONS(2254),
    [anon_sym_alignas] = ACTIONS(2254),
    [anon_sym_template] = ACTIONS(2254),
    [anon_sym_operator] = ACTIONS(2254),
    [anon_sym_precise] = ACTIONS(2254),
    [anon_sym_shared] = ACTIONS(2254),
    [anon_sym_groupshared] = ACTIONS(2254),
    [anon_sym_uniform] = ACTIONS(2254),
    [anon_sym_row_major] = ACTIONS(2254),
    [anon_sym_column_major] = ACTIONS(2254),
    [anon_sym_globallycoherent] = ACTIONS(2254),
    [anon_sym_centroid] = ACTIONS(2254),
    [anon_sym_noperspective] = ACTIONS(2254),
    [anon_sym_nointerpolation] = ACTIONS(2254),
    [anon_sym_sample] = ACTIONS(2254),
    [anon_sym_linear] = ACTIONS(2254),
    [anon_sym_snorm] = ACTIONS(2254),
    [anon_sym_unorm] = ACTIONS(2254),
    [anon_sym_point] = ACTIONS(2254),
    [anon_sym_line] = ACTIONS(2254),
    [anon_sym_triangleadj] = ACTIONS(2254),
    [anon_sym_lineadj] = ACTIONS(2254),
    [anon_sym_triangle] = ACTIONS(2254),
  },
  [1722] = {
    [sym_identifier] = ACTIONS(2212),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2214),
    [anon_sym_COMMA] = ACTIONS(2214),
    [anon_sym_RPAREN] = ACTIONS(2214),
    [anon_sym_LPAREN2] = ACTIONS(2214),
    [anon_sym_TILDE] = ACTIONS(2214),
    [anon_sym_DASH] = ACTIONS(2212),
    [anon_sym_PLUS] = ACTIONS(2212),
    [anon_sym_STAR] = ACTIONS(2212),
    [anon_sym_SLASH] = ACTIONS(2212),
    [anon_sym_PERCENT] = ACTIONS(2212),
    [anon_sym_PIPE_PIPE] = ACTIONS(2214),
    [anon_sym_AMP_AMP] = ACTIONS(2214),
    [anon_sym_PIPE] = ACTIONS(2212),
    [anon_sym_CARET] = ACTIONS(2212),
    [anon_sym_AMP] = ACTIONS(2212),
    [anon_sym_EQ_EQ] = ACTIONS(2214),
    [anon_sym_BANG_EQ] = ACTIONS(2214),
    [anon_sym_GT] = ACTIONS(2212),
    [anon_sym_GT_EQ] = ACTIONS(2214),
    [anon_sym_LT_EQ] = ACTIONS(2212),
    [anon_sym_LT] = ACTIONS(2212),
    [anon_sym_LT_LT] = ACTIONS(2212),
    [anon_sym_GT_GT] = ACTIONS(2212),
    [anon_sym_COLON] = ACTIONS(2212),
    [anon_sym___extension__] = ACTIONS(2212),
    [anon_sym_in] = ACTIONS(2212),
    [anon_sym_out] = ACTIONS(2212),
    [anon_sym_inout] = ACTIONS(2212),
    [anon_sym_extern] = ACTIONS(2212),
    [anon_sym___attribute__] = ACTIONS(2212),
    [anon_sym_COLON_COLON] = ACTIONS(2214),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2214),
    [anon_sym___declspec] = ACTIONS(2212),
    [anon_sym___based] = ACTIONS(2212),
    [anon_sym_LBRACE] = ACTIONS(2214),
    [anon_sym_LBRACK] = ACTIONS(2212),
    [anon_sym_EQ] = ACTIONS(2212),
    [anon_sym_static] = ACTIONS(2212),
    [anon_sym_register] = ACTIONS(2212),
    [anon_sym_inline] = ACTIONS(2212),
    [anon_sym___inline] = ACTIONS(2212),
    [anon_sym___inline__] = ACTIONS(2212),
    [anon_sym___forceinline] = ACTIONS(2212),
    [anon_sym_thread_local] = ACTIONS(2212),
    [anon_sym___thread] = ACTIONS(2212),
    [anon_sym_const] = ACTIONS(2212),
    [anon_sym_constexpr] = ACTIONS(2212),
    [anon_sym_volatile] = ACTIONS(2212),
    [anon_sym_restrict] = ACTIONS(2212),
    [anon_sym___restrict__] = ACTIONS(2212),
    [anon_sym__Atomic] = ACTIONS(2212),
    [anon_sym__Noreturn] = ACTIONS(2212),
    [anon_sym_noreturn] = ACTIONS(2212),
    [anon_sym_mutable] = ACTIONS(2212),
    [anon_sym_constinit] = ACTIONS(2212),
    [anon_sym_consteval] = ACTIONS(2212),
    [anon_sym_QMARK] = ACTIONS(2214),
    [anon_sym_STAR_EQ] = ACTIONS(2214),
    [anon_sym_SLASH_EQ] = ACTIONS(2214),
    [anon_sym_PERCENT_EQ] = ACTIONS(2214),
    [anon_sym_PLUS_EQ] = ACTIONS(2214),
    [anon_sym_DASH_EQ] = ACTIONS(2214),
    [anon_sym_LT_LT_EQ] = ACTIONS(2214),
    [anon_sym_GT_GT_EQ] = ACTIONS(2214),
    [anon_sym_AMP_EQ] = ACTIONS(2214),
    [anon_sym_CARET_EQ] = ACTIONS(2214),
    [anon_sym_PIPE_EQ] = ACTIONS(2214),
    [anon_sym_LT_EQ_GT] = ACTIONS(2214),
    [anon_sym_or] = ACTIONS(2212),
    [anon_sym_and] = ACTIONS(2212),
    [anon_sym_bitor] = ACTIONS(2212),
    [anon_sym_xor] = ACTIONS(2212),
    [anon_sym_bitand] = ACTIONS(2212),
    [anon_sym_not_eq] = ACTIONS(2212),
    [anon_sym_DASH_DASH] = ACTIONS(2214),
    [anon_sym_PLUS_PLUS] = ACTIONS(2214),
    [anon_sym_DOT] = ACTIONS(2212),
    [anon_sym_DOT_STAR] = ACTIONS(2214),
    [anon_sym_DASH_GT] = ACTIONS(2212),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2212),
    [anon_sym_decltype] = ACTIONS(2212),
    [anon_sym_virtual] = ACTIONS(2212),
    [anon_sym_alignas] = ACTIONS(2212),
    [anon_sym_template] = ACTIONS(2212),
    [anon_sym_operator] = ACTIONS(2212),
    [anon_sym_DASH_GT_STAR] = ACTIONS(2214),
    [anon_sym_precise] = ACTIONS(2212),
    [anon_sym_shared] = ACTIONS(2212),
    [anon_sym_groupshared] = ACTIONS(2212),
    [anon_sym_uniform] = ACTIONS(2212),
    [anon_sym_row_major] = ACTIONS(2212),
    [anon_sym_column_major] = ACTIONS(2212),
    [anon_sym_globallycoherent] = ACTIONS(2212),
    [anon_sym_centroid] = ACTIONS(2212),
    [anon_sym_noperspective] = ACTIONS(2212),
    [anon_sym_nointerpolation] = ACTIONS(2212),
    [anon_sym_sample] = ACTIONS(2212),
    [anon_sym_linear] = ACTIONS(2212),
    [anon_sym_snorm] = ACTIONS(2212),
    [anon_sym_unorm] = ACTIONS(2212),
    [anon_sym_point] = ACTIONS(2212),
    [anon_sym_line] = ACTIONS(2212),
    [anon_sym_triangleadj] = ACTIONS(2212),
    [anon_sym_lineadj] = ACTIONS(2212),
    [anon_sym_triangle] = ACTIONS(2212),
  },
  [1723] = {
    [sym_identifier] = ACTIONS(2254),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4575),
    [anon_sym_COMMA] = ACTIONS(4575),
    [anon_sym_RPAREN] = ACTIONS(4575),
    [anon_sym_LPAREN2] = ACTIONS(4575),
    [anon_sym_TILDE] = ACTIONS(2256),
    [anon_sym_DASH] = ACTIONS(4578),
    [anon_sym_PLUS] = ACTIONS(4578),
    [anon_sym_STAR] = ACTIONS(4580),
    [anon_sym_SLASH] = ACTIONS(4578),
    [anon_sym_PERCENT] = ACTIONS(4578),
    [anon_sym_PIPE_PIPE] = ACTIONS(4573),
    [anon_sym_AMP_AMP] = ACTIONS(4575),
    [anon_sym_PIPE] = ACTIONS(4578),
    [anon_sym_CARET] = ACTIONS(4578),
    [anon_sym_AMP] = ACTIONS(4580),
    [anon_sym_EQ_EQ] = ACTIONS(4573),
    [anon_sym_BANG_EQ] = ACTIONS(4573),
    [anon_sym_GT] = ACTIONS(4578),
    [anon_sym_GT_EQ] = ACTIONS(4573),
    [anon_sym_LT_EQ] = ACTIONS(4578),
    [anon_sym_LT] = ACTIONS(4578),
    [anon_sym_LT_LT] = ACTIONS(4578),
    [anon_sym_GT_GT] = ACTIONS(4578),
    [anon_sym_COLON] = ACTIONS(2254),
    [anon_sym___extension__] = ACTIONS(2254),
    [anon_sym_in] = ACTIONS(2254),
    [anon_sym_out] = ACTIONS(2254),
    [anon_sym_inout] = ACTIONS(2254),
    [anon_sym_extern] = ACTIONS(2254),
    [anon_sym___attribute__] = ACTIONS(2254),
    [anon_sym_COLON_COLON] = ACTIONS(2256),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2256),
    [anon_sym___declspec] = ACTIONS(2254),
    [anon_sym___based] = ACTIONS(2254),
    [anon_sym_LBRACE] = ACTIONS(2256),
    [anon_sym_LBRACK] = ACTIONS(4580),
    [anon_sym_EQ] = ACTIONS(4580),
    [anon_sym_static] = ACTIONS(2254),
    [anon_sym_register] = ACTIONS(2254),
    [anon_sym_inline] = ACTIONS(2254),
    [anon_sym___inline] = ACTIONS(2254),
    [anon_sym___inline__] = ACTIONS(2254),
    [anon_sym___forceinline] = ACTIONS(2254),
    [anon_sym_thread_local] = ACTIONS(2254),
    [anon_sym___thread] = ACTIONS(2254),
    [anon_sym_const] = ACTIONS(2254),
    [anon_sym_constexpr] = ACTIONS(2254),
    [anon_sym_volatile] = ACTIONS(2254),
    [anon_sym_restrict] = ACTIONS(2254),
    [anon_sym___restrict__] = ACTIONS(2254),
    [anon_sym__Atomic] = ACTIONS(2254),
    [anon_sym__Noreturn] = ACTIONS(2254),
    [anon_sym_noreturn] = ACTIONS(2254),
    [anon_sym_mutable] = ACTIONS(2254),
    [anon_sym_constinit] = ACTIONS(2254),
    [anon_sym_consteval] = ACTIONS(2254),
    [anon_sym_QMARK] = ACTIONS(4573),
    [anon_sym_STAR_EQ] = ACTIONS(4573),
    [anon_sym_SLASH_EQ] = ACTIONS(4573),
    [anon_sym_PERCENT_EQ] = ACTIONS(4573),
    [anon_sym_PLUS_EQ] = ACTIONS(4573),
    [anon_sym_DASH_EQ] = ACTIONS(4573),
    [anon_sym_LT_LT_EQ] = ACTIONS(4573),
    [anon_sym_GT_GT_EQ] = ACTIONS(4573),
    [anon_sym_AMP_EQ] = ACTIONS(4573),
    [anon_sym_CARET_EQ] = ACTIONS(4573),
    [anon_sym_PIPE_EQ] = ACTIONS(4573),
    [anon_sym_LT_EQ_GT] = ACTIONS(4573),
    [anon_sym_or] = ACTIONS(4578),
    [anon_sym_and] = ACTIONS(4578),
    [anon_sym_bitor] = ACTIONS(4578),
    [anon_sym_xor] = ACTIONS(4578),
    [anon_sym_bitand] = ACTIONS(4578),
    [anon_sym_not_eq] = ACTIONS(4578),
    [anon_sym_DASH_DASH] = ACTIONS(4573),
    [anon_sym_PLUS_PLUS] = ACTIONS(4573),
    [anon_sym_DOT] = ACTIONS(4578),
    [anon_sym_DOT_STAR] = ACTIONS(4573),
    [anon_sym_DASH_GT] = ACTIONS(4578),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2254),
    [anon_sym_decltype] = ACTIONS(2254),
    [anon_sym_virtual] = ACTIONS(2254),
    [anon_sym_alignas] = ACTIONS(2254),
    [anon_sym_template] = ACTIONS(2254),
    [anon_sym_operator] = ACTIONS(2254),
    [anon_sym_DASH_GT_STAR] = ACTIONS(4573),
    [anon_sym_precise] = ACTIONS(2254),
    [anon_sym_shared] = ACTIONS(2254),
    [anon_sym_groupshared] = ACTIONS(2254),
    [anon_sym_uniform] = ACTIONS(2254),
    [anon_sym_row_major] = ACTIONS(2254),
    [anon_sym_column_major] = ACTIONS(2254),
    [anon_sym_globallycoherent] = ACTIONS(2254),
    [anon_sym_centroid] = ACTIONS(2254),
    [anon_sym_noperspective] = ACTIONS(2254),
    [anon_sym_nointerpolation] = ACTIONS(2254),
    [anon_sym_sample] = ACTIONS(2254),
    [anon_sym_linear] = ACTIONS(2254),
    [anon_sym_snorm] = ACTIONS(2254),
    [anon_sym_unorm] = ACTIONS(2254),
    [anon_sym_point] = ACTIONS(2254),
    [anon_sym_line] = ACTIONS(2254),
    [anon_sym_triangleadj] = ACTIONS(2254),
    [anon_sym_lineadj] = ACTIONS(2254),
    [anon_sym_triangle] = ACTIONS(2254),
  },
  [1724] = {
    [sym_identifier] = ACTIONS(2200),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2202),
    [anon_sym_COMMA] = ACTIONS(2202),
    [anon_sym_RPAREN] = ACTIONS(2202),
    [anon_sym_LPAREN2] = ACTIONS(2202),
    [anon_sym_TILDE] = ACTIONS(2202),
    [anon_sym_DASH] = ACTIONS(2200),
    [anon_sym_PLUS] = ACTIONS(2200),
    [anon_sym_STAR] = ACTIONS(2200),
    [anon_sym_SLASH] = ACTIONS(2200),
    [anon_sym_PERCENT] = ACTIONS(2200),
    [anon_sym_PIPE_PIPE] = ACTIONS(2202),
    [anon_sym_AMP_AMP] = ACTIONS(2202),
    [anon_sym_PIPE] = ACTIONS(2200),
    [anon_sym_CARET] = ACTIONS(2200),
    [anon_sym_AMP] = ACTIONS(2200),
    [anon_sym_EQ_EQ] = ACTIONS(2202),
    [anon_sym_BANG_EQ] = ACTIONS(2202),
    [anon_sym_GT] = ACTIONS(2200),
    [anon_sym_GT_EQ] = ACTIONS(2202),
    [anon_sym_LT_EQ] = ACTIONS(2200),
    [anon_sym_LT] = ACTIONS(2200),
    [anon_sym_LT_LT] = ACTIONS(2200),
    [anon_sym_GT_GT] = ACTIONS(2200),
    [anon_sym_COLON] = ACTIONS(2200),
    [anon_sym___extension__] = ACTIONS(2200),
    [anon_sym_in] = ACTIONS(2200),
    [anon_sym_out] = ACTIONS(2200),
    [anon_sym_inout] = ACTIONS(2200),
    [anon_sym_extern] = ACTIONS(2200),
    [anon_sym___attribute__] = ACTIONS(2200),
    [anon_sym_COLON_COLON] = ACTIONS(2202),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2202),
    [anon_sym___declspec] = ACTIONS(2200),
    [anon_sym___based] = ACTIONS(2200),
    [anon_sym_LBRACE] = ACTIONS(2202),
    [anon_sym_LBRACK] = ACTIONS(2200),
    [anon_sym_EQ] = ACTIONS(2200),
    [anon_sym_static] = ACTIONS(2200),
    [anon_sym_register] = ACTIONS(2200),
    [anon_sym_inline] = ACTIONS(2200),
    [anon_sym___inline] = ACTIONS(2200),
    [anon_sym___inline__] = ACTIONS(2200),
    [anon_sym___forceinline] = ACTIONS(2200),
    [anon_sym_thread_local] = ACTIONS(2200),
    [anon_sym___thread] = ACTIONS(2200),
    [anon_sym_const] = ACTIONS(2200),
    [anon_sym_constexpr] = ACTIONS(2200),
    [anon_sym_volatile] = ACTIONS(2200),
    [anon_sym_restrict] = ACTIONS(2200),
    [anon_sym___restrict__] = ACTIONS(2200),
    [anon_sym__Atomic] = ACTIONS(2200),
    [anon_sym__Noreturn] = ACTIONS(2200),
    [anon_sym_noreturn] = ACTIONS(2200),
    [anon_sym_mutable] = ACTIONS(2200),
    [anon_sym_constinit] = ACTIONS(2200),
    [anon_sym_consteval] = ACTIONS(2200),
    [anon_sym_QMARK] = ACTIONS(2202),
    [anon_sym_STAR_EQ] = ACTIONS(2202),
    [anon_sym_SLASH_EQ] = ACTIONS(2202),
    [anon_sym_PERCENT_EQ] = ACTIONS(2202),
    [anon_sym_PLUS_EQ] = ACTIONS(2202),
    [anon_sym_DASH_EQ] = ACTIONS(2202),
    [anon_sym_LT_LT_EQ] = ACTIONS(2202),
    [anon_sym_GT_GT_EQ] = ACTIONS(2202),
    [anon_sym_AMP_EQ] = ACTIONS(2202),
    [anon_sym_CARET_EQ] = ACTIONS(2202),
    [anon_sym_PIPE_EQ] = ACTIONS(2202),
    [anon_sym_LT_EQ_GT] = ACTIONS(2202),
    [anon_sym_or] = ACTIONS(2200),
    [anon_sym_and] = ACTIONS(2200),
    [anon_sym_bitor] = ACTIONS(2200),
    [anon_sym_xor] = ACTIONS(2200),
    [anon_sym_bitand] = ACTIONS(2200),
    [anon_sym_not_eq] = ACTIONS(2200),
    [anon_sym_DASH_DASH] = ACTIONS(2202),
    [anon_sym_PLUS_PLUS] = ACTIONS(2202),
    [anon_sym_DOT] = ACTIONS(2200),
    [anon_sym_DOT_STAR] = ACTIONS(2202),
    [anon_sym_DASH_GT] = ACTIONS(2200),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2200),
    [anon_sym_decltype] = ACTIONS(2200),
    [anon_sym_virtual] = ACTIONS(2200),
    [anon_sym_alignas] = ACTIONS(2200),
    [anon_sym_template] = ACTIONS(2200),
    [anon_sym_operator] = ACTIONS(2200),
    [anon_sym_DASH_GT_STAR] = ACTIONS(2202),
    [anon_sym_precise] = ACTIONS(2200),
    [anon_sym_shared] = ACTIONS(2200),
    [anon_sym_groupshared] = ACTIONS(2200),
    [anon_sym_uniform] = ACTIONS(2200),
    [anon_sym_row_major] = ACTIONS(2200),
    [anon_sym_column_major] = ACTIONS(2200),
    [anon_sym_globallycoherent] = ACTIONS(2200),
    [anon_sym_centroid] = ACTIONS(2200),
    [anon_sym_noperspective] = ACTIONS(2200),
    [anon_sym_nointerpolation] = ACTIONS(2200),
    [anon_sym_sample] = ACTIONS(2200),
    [anon_sym_linear] = ACTIONS(2200),
    [anon_sym_snorm] = ACTIONS(2200),
    [anon_sym_unorm] = ACTIONS(2200),
    [anon_sym_point] = ACTIONS(2200),
    [anon_sym_line] = ACTIONS(2200),
    [anon_sym_triangleadj] = ACTIONS(2200),
    [anon_sym_lineadj] = ACTIONS(2200),
    [anon_sym_triangle] = ACTIONS(2200),
  },
  [1725] = {
    [sym_identifier] = ACTIONS(2178),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2180),
    [anon_sym_COMMA] = ACTIONS(2180),
    [anon_sym_RPAREN] = ACTIONS(2180),
    [anon_sym_LPAREN2] = ACTIONS(2180),
    [anon_sym_TILDE] = ACTIONS(2180),
    [anon_sym_DASH] = ACTIONS(2178),
    [anon_sym_PLUS] = ACTIONS(2178),
    [anon_sym_STAR] = ACTIONS(2178),
    [anon_sym_SLASH] = ACTIONS(2178),
    [anon_sym_PERCENT] = ACTIONS(2178),
    [anon_sym_PIPE_PIPE] = ACTIONS(2180),
    [anon_sym_AMP_AMP] = ACTIONS(2180),
    [anon_sym_PIPE] = ACTIONS(2178),
    [anon_sym_CARET] = ACTIONS(2178),
    [anon_sym_AMP] = ACTIONS(2178),
    [anon_sym_EQ_EQ] = ACTIONS(2180),
    [anon_sym_BANG_EQ] = ACTIONS(2180),
    [anon_sym_GT] = ACTIONS(2178),
    [anon_sym_GT_EQ] = ACTIONS(2180),
    [anon_sym_LT_EQ] = ACTIONS(2178),
    [anon_sym_LT] = ACTIONS(2178),
    [anon_sym_LT_LT] = ACTIONS(2178),
    [anon_sym_GT_GT] = ACTIONS(2178),
    [anon_sym_COLON] = ACTIONS(2178),
    [anon_sym___extension__] = ACTIONS(2178),
    [anon_sym_in] = ACTIONS(2178),
    [anon_sym_out] = ACTIONS(2178),
    [anon_sym_inout] = ACTIONS(2178),
    [anon_sym_extern] = ACTIONS(2178),
    [anon_sym___attribute__] = ACTIONS(2178),
    [anon_sym_COLON_COLON] = ACTIONS(2180),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2180),
    [anon_sym___declspec] = ACTIONS(2178),
    [anon_sym___based] = ACTIONS(2178),
    [anon_sym_LBRACE] = ACTIONS(2180),
    [anon_sym_LBRACK] = ACTIONS(2178),
    [anon_sym_EQ] = ACTIONS(2178),
    [anon_sym_static] = ACTIONS(2178),
    [anon_sym_register] = ACTIONS(2178),
    [anon_sym_inline] = ACTIONS(2178),
    [anon_sym___inline] = ACTIONS(2178),
    [anon_sym___inline__] = ACTIONS(2178),
    [anon_sym___forceinline] = ACTIONS(2178),
    [anon_sym_thread_local] = ACTIONS(2178),
    [anon_sym___thread] = ACTIONS(2178),
    [anon_sym_const] = ACTIONS(2178),
    [anon_sym_constexpr] = ACTIONS(2178),
    [anon_sym_volatile] = ACTIONS(2178),
    [anon_sym_restrict] = ACTIONS(2178),
    [anon_sym___restrict__] = ACTIONS(2178),
    [anon_sym__Atomic] = ACTIONS(2178),
    [anon_sym__Noreturn] = ACTIONS(2178),
    [anon_sym_noreturn] = ACTIONS(2178),
    [anon_sym_mutable] = ACTIONS(2178),
    [anon_sym_constinit] = ACTIONS(2178),
    [anon_sym_consteval] = ACTIONS(2178),
    [anon_sym_QMARK] = ACTIONS(2180),
    [anon_sym_STAR_EQ] = ACTIONS(2180),
    [anon_sym_SLASH_EQ] = ACTIONS(2180),
    [anon_sym_PERCENT_EQ] = ACTIONS(2180),
    [anon_sym_PLUS_EQ] = ACTIONS(2180),
    [anon_sym_DASH_EQ] = ACTIONS(2180),
    [anon_sym_LT_LT_EQ] = ACTIONS(2180),
    [anon_sym_GT_GT_EQ] = ACTIONS(2180),
    [anon_sym_AMP_EQ] = ACTIONS(2180),
    [anon_sym_CARET_EQ] = ACTIONS(2180),
    [anon_sym_PIPE_EQ] = ACTIONS(2180),
    [anon_sym_LT_EQ_GT] = ACTIONS(2180),
    [anon_sym_or] = ACTIONS(2178),
    [anon_sym_and] = ACTIONS(2178),
    [anon_sym_bitor] = ACTIONS(2178),
    [anon_sym_xor] = ACTIONS(2178),
    [anon_sym_bitand] = ACTIONS(2178),
    [anon_sym_not_eq] = ACTIONS(2178),
    [anon_sym_DASH_DASH] = ACTIONS(2180),
    [anon_sym_PLUS_PLUS] = ACTIONS(2180),
    [anon_sym_DOT] = ACTIONS(2178),
    [anon_sym_DOT_STAR] = ACTIONS(2180),
    [anon_sym_DASH_GT] = ACTIONS(2178),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2178),
    [anon_sym_decltype] = ACTIONS(2178),
    [anon_sym_virtual] = ACTIONS(2178),
    [anon_sym_alignas] = ACTIONS(2178),
    [anon_sym_template] = ACTIONS(2178),
    [anon_sym_operator] = ACTIONS(2178),
    [anon_sym_DASH_GT_STAR] = ACTIONS(2180),
    [anon_sym_precise] = ACTIONS(2178),
    [anon_sym_shared] = ACTIONS(2178),
    [anon_sym_groupshared] = ACTIONS(2178),
    [anon_sym_uniform] = ACTIONS(2178),
    [anon_sym_row_major] = ACTIONS(2178),
    [anon_sym_column_major] = ACTIONS(2178),
    [anon_sym_globallycoherent] = ACTIONS(2178),
    [anon_sym_centroid] = ACTIONS(2178),
    [anon_sym_noperspective] = ACTIONS(2178),
    [anon_sym_nointerpolation] = ACTIONS(2178),
    [anon_sym_sample] = ACTIONS(2178),
    [anon_sym_linear] = ACTIONS(2178),
    [anon_sym_snorm] = ACTIONS(2178),
    [anon_sym_unorm] = ACTIONS(2178),
    [anon_sym_point] = ACTIONS(2178),
    [anon_sym_line] = ACTIONS(2178),
    [anon_sym_triangleadj] = ACTIONS(2178),
    [anon_sym_lineadj] = ACTIONS(2178),
    [anon_sym_triangle] = ACTIONS(2178),
  },
  [1726] = {
    [sym_identifier] = ACTIONS(2182),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2184),
    [anon_sym_COMMA] = ACTIONS(2184),
    [anon_sym_RPAREN] = ACTIONS(2184),
    [anon_sym_LPAREN2] = ACTIONS(2184),
    [anon_sym_TILDE] = ACTIONS(2184),
    [anon_sym_DASH] = ACTIONS(2182),
    [anon_sym_PLUS] = ACTIONS(2182),
    [anon_sym_STAR] = ACTIONS(2182),
    [anon_sym_SLASH] = ACTIONS(2182),
    [anon_sym_PERCENT] = ACTIONS(2182),
    [anon_sym_PIPE_PIPE] = ACTIONS(2184),
    [anon_sym_AMP_AMP] = ACTIONS(2184),
    [anon_sym_PIPE] = ACTIONS(2182),
    [anon_sym_CARET] = ACTIONS(2182),
    [anon_sym_AMP] = ACTIONS(2182),
    [anon_sym_EQ_EQ] = ACTIONS(2184),
    [anon_sym_BANG_EQ] = ACTIONS(2184),
    [anon_sym_GT] = ACTIONS(2182),
    [anon_sym_GT_EQ] = ACTIONS(2184),
    [anon_sym_LT_EQ] = ACTIONS(2182),
    [anon_sym_LT] = ACTIONS(2182),
    [anon_sym_LT_LT] = ACTIONS(2182),
    [anon_sym_GT_GT] = ACTIONS(2182),
    [anon_sym_COLON] = ACTIONS(2182),
    [anon_sym___extension__] = ACTIONS(2182),
    [anon_sym_in] = ACTIONS(2182),
    [anon_sym_out] = ACTIONS(2182),
    [anon_sym_inout] = ACTIONS(2182),
    [anon_sym_extern] = ACTIONS(2182),
    [anon_sym___attribute__] = ACTIONS(2182),
    [anon_sym_COLON_COLON] = ACTIONS(2184),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2184),
    [anon_sym___declspec] = ACTIONS(2182),
    [anon_sym___based] = ACTIONS(2182),
    [anon_sym_LBRACE] = ACTIONS(2184),
    [anon_sym_LBRACK] = ACTIONS(2182),
    [anon_sym_EQ] = ACTIONS(2182),
    [anon_sym_static] = ACTIONS(2182),
    [anon_sym_register] = ACTIONS(2182),
    [anon_sym_inline] = ACTIONS(2182),
    [anon_sym___inline] = ACTIONS(2182),
    [anon_sym___inline__] = ACTIONS(2182),
    [anon_sym___forceinline] = ACTIONS(2182),
    [anon_sym_thread_local] = ACTIONS(2182),
    [anon_sym___thread] = ACTIONS(2182),
    [anon_sym_const] = ACTIONS(2182),
    [anon_sym_constexpr] = ACTIONS(2182),
    [anon_sym_volatile] = ACTIONS(2182),
    [anon_sym_restrict] = ACTIONS(2182),
    [anon_sym___restrict__] = ACTIONS(2182),
    [anon_sym__Atomic] = ACTIONS(2182),
    [anon_sym__Noreturn] = ACTIONS(2182),
    [anon_sym_noreturn] = ACTIONS(2182),
    [anon_sym_mutable] = ACTIONS(2182),
    [anon_sym_constinit] = ACTIONS(2182),
    [anon_sym_consteval] = ACTIONS(2182),
    [anon_sym_QMARK] = ACTIONS(2184),
    [anon_sym_STAR_EQ] = ACTIONS(2184),
    [anon_sym_SLASH_EQ] = ACTIONS(2184),
    [anon_sym_PERCENT_EQ] = ACTIONS(2184),
    [anon_sym_PLUS_EQ] = ACTIONS(2184),
    [anon_sym_DASH_EQ] = ACTIONS(2184),
    [anon_sym_LT_LT_EQ] = ACTIONS(2184),
    [anon_sym_GT_GT_EQ] = ACTIONS(2184),
    [anon_sym_AMP_EQ] = ACTIONS(2184),
    [anon_sym_CARET_EQ] = ACTIONS(2184),
    [anon_sym_PIPE_EQ] = ACTIONS(2184),
    [anon_sym_LT_EQ_GT] = ACTIONS(2184),
    [anon_sym_or] = ACTIONS(2182),
    [anon_sym_and] = ACTIONS(2182),
    [anon_sym_bitor] = ACTIONS(2182),
    [anon_sym_xor] = ACTIONS(2182),
    [anon_sym_bitand] = ACTIONS(2182),
    [anon_sym_not_eq] = ACTIONS(2182),
    [anon_sym_DASH_DASH] = ACTIONS(2184),
    [anon_sym_PLUS_PLUS] = ACTIONS(2184),
    [anon_sym_DOT] = ACTIONS(2182),
    [anon_sym_DOT_STAR] = ACTIONS(2184),
    [anon_sym_DASH_GT] = ACTIONS(2182),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2182),
    [anon_sym_decltype] = ACTIONS(2182),
    [anon_sym_virtual] = ACTIONS(2182),
    [anon_sym_alignas] = ACTIONS(2182),
    [anon_sym_template] = ACTIONS(2182),
    [anon_sym_operator] = ACTIONS(2182),
    [anon_sym_DASH_GT_STAR] = ACTIONS(2184),
    [anon_sym_precise] = ACTIONS(2182),
    [anon_sym_shared] = ACTIONS(2182),
    [anon_sym_groupshared] = ACTIONS(2182),
    [anon_sym_uniform] = ACTIONS(2182),
    [anon_sym_row_major] = ACTIONS(2182),
    [anon_sym_column_major] = ACTIONS(2182),
    [anon_sym_globallycoherent] = ACTIONS(2182),
    [anon_sym_centroid] = ACTIONS(2182),
    [anon_sym_noperspective] = ACTIONS(2182),
    [anon_sym_nointerpolation] = ACTIONS(2182),
    [anon_sym_sample] = ACTIONS(2182),
    [anon_sym_linear] = ACTIONS(2182),
    [anon_sym_snorm] = ACTIONS(2182),
    [anon_sym_unorm] = ACTIONS(2182),
    [anon_sym_point] = ACTIONS(2182),
    [anon_sym_line] = ACTIONS(2182),
    [anon_sym_triangleadj] = ACTIONS(2182),
    [anon_sym_lineadj] = ACTIONS(2182),
    [anon_sym_triangle] = ACTIONS(2182),
  },
  [1727] = {
    [sym_identifier] = ACTIONS(2208),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2210),
    [anon_sym_COMMA] = ACTIONS(2210),
    [anon_sym_RPAREN] = ACTIONS(2210),
    [anon_sym_LPAREN2] = ACTIONS(2210),
    [anon_sym_TILDE] = ACTIONS(2210),
    [anon_sym_DASH] = ACTIONS(2208),
    [anon_sym_PLUS] = ACTIONS(2208),
    [anon_sym_STAR] = ACTIONS(2208),
    [anon_sym_SLASH] = ACTIONS(2208),
    [anon_sym_PERCENT] = ACTIONS(2208),
    [anon_sym_PIPE_PIPE] = ACTIONS(2210),
    [anon_sym_AMP_AMP] = ACTIONS(2210),
    [anon_sym_PIPE] = ACTIONS(2208),
    [anon_sym_CARET] = ACTIONS(2208),
    [anon_sym_AMP] = ACTIONS(2208),
    [anon_sym_EQ_EQ] = ACTIONS(2210),
    [anon_sym_BANG_EQ] = ACTIONS(2210),
    [anon_sym_GT] = ACTIONS(2208),
    [anon_sym_GT_EQ] = ACTIONS(2210),
    [anon_sym_LT_EQ] = ACTIONS(2208),
    [anon_sym_LT] = ACTIONS(2208),
    [anon_sym_LT_LT] = ACTIONS(2208),
    [anon_sym_GT_GT] = ACTIONS(2208),
    [anon_sym_COLON] = ACTIONS(2208),
    [anon_sym___extension__] = ACTIONS(2208),
    [anon_sym_in] = ACTIONS(2208),
    [anon_sym_out] = ACTIONS(2208),
    [anon_sym_inout] = ACTIONS(2208),
    [anon_sym_extern] = ACTIONS(2208),
    [anon_sym___attribute__] = ACTIONS(2208),
    [anon_sym_COLON_COLON] = ACTIONS(2210),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2210),
    [anon_sym___declspec] = ACTIONS(2208),
    [anon_sym___based] = ACTIONS(2208),
    [anon_sym_LBRACE] = ACTIONS(2210),
    [anon_sym_LBRACK] = ACTIONS(2208),
    [anon_sym_EQ] = ACTIONS(2208),
    [anon_sym_static] = ACTIONS(2208),
    [anon_sym_register] = ACTIONS(2208),
    [anon_sym_inline] = ACTIONS(2208),
    [anon_sym___inline] = ACTIONS(2208),
    [anon_sym___inline__] = ACTIONS(2208),
    [anon_sym___forceinline] = ACTIONS(2208),
    [anon_sym_thread_local] = ACTIONS(2208),
    [anon_sym___thread] = ACTIONS(2208),
    [anon_sym_const] = ACTIONS(2208),
    [anon_sym_constexpr] = ACTIONS(2208),
    [anon_sym_volatile] = ACTIONS(2208),
    [anon_sym_restrict] = ACTIONS(2208),
    [anon_sym___restrict__] = ACTIONS(2208),
    [anon_sym__Atomic] = ACTIONS(2208),
    [anon_sym__Noreturn] = ACTIONS(2208),
    [anon_sym_noreturn] = ACTIONS(2208),
    [anon_sym_mutable] = ACTIONS(2208),
    [anon_sym_constinit] = ACTIONS(2208),
    [anon_sym_consteval] = ACTIONS(2208),
    [anon_sym_QMARK] = ACTIONS(2210),
    [anon_sym_STAR_EQ] = ACTIONS(2210),
    [anon_sym_SLASH_EQ] = ACTIONS(2210),
    [anon_sym_PERCENT_EQ] = ACTIONS(2210),
    [anon_sym_PLUS_EQ] = ACTIONS(2210),
    [anon_sym_DASH_EQ] = ACTIONS(2210),
    [anon_sym_LT_LT_EQ] = ACTIONS(2210),
    [anon_sym_GT_GT_EQ] = ACTIONS(2210),
    [anon_sym_AMP_EQ] = ACTIONS(2210),
    [anon_sym_CARET_EQ] = ACTIONS(2210),
    [anon_sym_PIPE_EQ] = ACTIONS(2210),
    [anon_sym_LT_EQ_GT] = ACTIONS(2210),
    [anon_sym_or] = ACTIONS(2208),
    [anon_sym_and] = ACTIONS(2208),
    [anon_sym_bitor] = ACTIONS(2208),
    [anon_sym_xor] = ACTIONS(2208),
    [anon_sym_bitand] = ACTIONS(2208),
    [anon_sym_not_eq] = ACTIONS(2208),
    [anon_sym_DASH_DASH] = ACTIONS(2210),
    [anon_sym_PLUS_PLUS] = ACTIONS(2210),
    [anon_sym_DOT] = ACTIONS(2208),
    [anon_sym_DOT_STAR] = ACTIONS(2210),
    [anon_sym_DASH_GT] = ACTIONS(2208),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2208),
    [anon_sym_decltype] = ACTIONS(2208),
    [anon_sym_virtual] = ACTIONS(2208),
    [anon_sym_alignas] = ACTIONS(2208),
    [anon_sym_template] = ACTIONS(2208),
    [anon_sym_operator] = ACTIONS(2208),
    [anon_sym_DASH_GT_STAR] = ACTIONS(2210),
    [anon_sym_precise] = ACTIONS(2208),
    [anon_sym_shared] = ACTIONS(2208),
    [anon_sym_groupshared] = ACTIONS(2208),
    [anon_sym_uniform] = ACTIONS(2208),
    [anon_sym_row_major] = ACTIONS(2208),
    [anon_sym_column_major] = ACTIONS(2208),
    [anon_sym_globallycoherent] = ACTIONS(2208),
    [anon_sym_centroid] = ACTIONS(2208),
    [anon_sym_noperspective] = ACTIONS(2208),
    [anon_sym_nointerpolation] = ACTIONS(2208),
    [anon_sym_sample] = ACTIONS(2208),
    [anon_sym_linear] = ACTIONS(2208),
    [anon_sym_snorm] = ACTIONS(2208),
    [anon_sym_unorm] = ACTIONS(2208),
    [anon_sym_point] = ACTIONS(2208),
    [anon_sym_line] = ACTIONS(2208),
    [anon_sym_triangleadj] = ACTIONS(2208),
    [anon_sym_lineadj] = ACTIONS(2208),
    [anon_sym_triangle] = ACTIONS(2208),
  },
  [1728] = {
    [sym_identifier] = ACTIONS(2186),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2188),
    [anon_sym_COMMA] = ACTIONS(2188),
    [anon_sym_RPAREN] = ACTIONS(2188),
    [anon_sym_LPAREN2] = ACTIONS(2188),
    [anon_sym_TILDE] = ACTIONS(2188),
    [anon_sym_DASH] = ACTIONS(2186),
    [anon_sym_PLUS] = ACTIONS(2186),
    [anon_sym_STAR] = ACTIONS(2186),
    [anon_sym_SLASH] = ACTIONS(2186),
    [anon_sym_PERCENT] = ACTIONS(2186),
    [anon_sym_PIPE_PIPE] = ACTIONS(2188),
    [anon_sym_AMP_AMP] = ACTIONS(2188),
    [anon_sym_PIPE] = ACTIONS(2186),
    [anon_sym_CARET] = ACTIONS(2186),
    [anon_sym_AMP] = ACTIONS(2186),
    [anon_sym_EQ_EQ] = ACTIONS(2188),
    [anon_sym_BANG_EQ] = ACTIONS(2188),
    [anon_sym_GT] = ACTIONS(2186),
    [anon_sym_GT_EQ] = ACTIONS(2188),
    [anon_sym_LT_EQ] = ACTIONS(2186),
    [anon_sym_LT] = ACTIONS(2186),
    [anon_sym_LT_LT] = ACTIONS(2186),
    [anon_sym_GT_GT] = ACTIONS(2186),
    [anon_sym_COLON] = ACTIONS(2186),
    [anon_sym___extension__] = ACTIONS(2186),
    [anon_sym_in] = ACTIONS(2186),
    [anon_sym_out] = ACTIONS(2186),
    [anon_sym_inout] = ACTIONS(2186),
    [anon_sym_extern] = ACTIONS(2186),
    [anon_sym___attribute__] = ACTIONS(2186),
    [anon_sym_COLON_COLON] = ACTIONS(2188),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2188),
    [anon_sym___declspec] = ACTIONS(2186),
    [anon_sym___based] = ACTIONS(2186),
    [anon_sym_LBRACE] = ACTIONS(2188),
    [anon_sym_LBRACK] = ACTIONS(2186),
    [anon_sym_EQ] = ACTIONS(2186),
    [anon_sym_static] = ACTIONS(2186),
    [anon_sym_register] = ACTIONS(2186),
    [anon_sym_inline] = ACTIONS(2186),
    [anon_sym___inline] = ACTIONS(2186),
    [anon_sym___inline__] = ACTIONS(2186),
    [anon_sym___forceinline] = ACTIONS(2186),
    [anon_sym_thread_local] = ACTIONS(2186),
    [anon_sym___thread] = ACTIONS(2186),
    [anon_sym_const] = ACTIONS(2186),
    [anon_sym_constexpr] = ACTIONS(2186),
    [anon_sym_volatile] = ACTIONS(2186),
    [anon_sym_restrict] = ACTIONS(2186),
    [anon_sym___restrict__] = ACTIONS(2186),
    [anon_sym__Atomic] = ACTIONS(2186),
    [anon_sym__Noreturn] = ACTIONS(2186),
    [anon_sym_noreturn] = ACTIONS(2186),
    [anon_sym_mutable] = ACTIONS(2186),
    [anon_sym_constinit] = ACTIONS(2186),
    [anon_sym_consteval] = ACTIONS(2186),
    [anon_sym_QMARK] = ACTIONS(2188),
    [anon_sym_STAR_EQ] = ACTIONS(2188),
    [anon_sym_SLASH_EQ] = ACTIONS(2188),
    [anon_sym_PERCENT_EQ] = ACTIONS(2188),
    [anon_sym_PLUS_EQ] = ACTIONS(2188),
    [anon_sym_DASH_EQ] = ACTIONS(2188),
    [anon_sym_LT_LT_EQ] = ACTIONS(2188),
    [anon_sym_GT_GT_EQ] = ACTIONS(2188),
    [anon_sym_AMP_EQ] = ACTIONS(2188),
    [anon_sym_CARET_EQ] = ACTIONS(2188),
    [anon_sym_PIPE_EQ] = ACTIONS(2188),
    [anon_sym_LT_EQ_GT] = ACTIONS(2188),
    [anon_sym_or] = ACTIONS(2186),
    [anon_sym_and] = ACTIONS(2186),
    [anon_sym_bitor] = ACTIONS(2186),
    [anon_sym_xor] = ACTIONS(2186),
    [anon_sym_bitand] = ACTIONS(2186),
    [anon_sym_not_eq] = ACTIONS(2186),
    [anon_sym_DASH_DASH] = ACTIONS(2188),
    [anon_sym_PLUS_PLUS] = ACTIONS(2188),
    [anon_sym_DOT] = ACTIONS(2186),
    [anon_sym_DOT_STAR] = ACTIONS(2188),
    [anon_sym_DASH_GT] = ACTIONS(2186),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2186),
    [anon_sym_decltype] = ACTIONS(2186),
    [anon_sym_virtual] = ACTIONS(2186),
    [anon_sym_alignas] = ACTIONS(2186),
    [anon_sym_template] = ACTIONS(2186),
    [anon_sym_operator] = ACTIONS(2186),
    [anon_sym_DASH_GT_STAR] = ACTIONS(2188),
    [anon_sym_precise] = ACTIONS(2186),
    [anon_sym_shared] = ACTIONS(2186),
    [anon_sym_groupshared] = ACTIONS(2186),
    [anon_sym_uniform] = ACTIONS(2186),
    [anon_sym_row_major] = ACTIONS(2186),
    [anon_sym_column_major] = ACTIONS(2186),
    [anon_sym_globallycoherent] = ACTIONS(2186),
    [anon_sym_centroid] = ACTIONS(2186),
    [anon_sym_noperspective] = ACTIONS(2186),
    [anon_sym_nointerpolation] = ACTIONS(2186),
    [anon_sym_sample] = ACTIONS(2186),
    [anon_sym_linear] = ACTIONS(2186),
    [anon_sym_snorm] = ACTIONS(2186),
    [anon_sym_unorm] = ACTIONS(2186),
    [anon_sym_point] = ACTIONS(2186),
    [anon_sym_line] = ACTIONS(2186),
    [anon_sym_triangleadj] = ACTIONS(2186),
    [anon_sym_lineadj] = ACTIONS(2186),
    [anon_sym_triangle] = ACTIONS(2186),
  },
  [1729] = {
    [sym_identifier] = ACTIONS(2216),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2218),
    [anon_sym_COMMA] = ACTIONS(2218),
    [anon_sym_RPAREN] = ACTIONS(2218),
    [anon_sym_LPAREN2] = ACTIONS(2218),
    [anon_sym_TILDE] = ACTIONS(2218),
    [anon_sym_DASH] = ACTIONS(2216),
    [anon_sym_PLUS] = ACTIONS(2216),
    [anon_sym_STAR] = ACTIONS(2216),
    [anon_sym_SLASH] = ACTIONS(2216),
    [anon_sym_PERCENT] = ACTIONS(2216),
    [anon_sym_PIPE_PIPE] = ACTIONS(2218),
    [anon_sym_AMP_AMP] = ACTIONS(2218),
    [anon_sym_PIPE] = ACTIONS(2216),
    [anon_sym_CARET] = ACTIONS(2216),
    [anon_sym_AMP] = ACTIONS(2216),
    [anon_sym_EQ_EQ] = ACTIONS(2218),
    [anon_sym_BANG_EQ] = ACTIONS(2218),
    [anon_sym_GT] = ACTIONS(2216),
    [anon_sym_GT_EQ] = ACTIONS(2218),
    [anon_sym_LT_EQ] = ACTIONS(2216),
    [anon_sym_LT] = ACTIONS(2216),
    [anon_sym_LT_LT] = ACTIONS(2216),
    [anon_sym_GT_GT] = ACTIONS(2216),
    [anon_sym_COLON] = ACTIONS(2216),
    [anon_sym___extension__] = ACTIONS(2216),
    [anon_sym_in] = ACTIONS(2216),
    [anon_sym_out] = ACTIONS(2216),
    [anon_sym_inout] = ACTIONS(2216),
    [anon_sym_extern] = ACTIONS(2216),
    [anon_sym___attribute__] = ACTIONS(2216),
    [anon_sym_COLON_COLON] = ACTIONS(2218),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2218),
    [anon_sym___declspec] = ACTIONS(2216),
    [anon_sym___based] = ACTIONS(2216),
    [anon_sym_LBRACE] = ACTIONS(2218),
    [anon_sym_LBRACK] = ACTIONS(2216),
    [anon_sym_EQ] = ACTIONS(2216),
    [anon_sym_static] = ACTIONS(2216),
    [anon_sym_register] = ACTIONS(2216),
    [anon_sym_inline] = ACTIONS(2216),
    [anon_sym___inline] = ACTIONS(2216),
    [anon_sym___inline__] = ACTIONS(2216),
    [anon_sym___forceinline] = ACTIONS(2216),
    [anon_sym_thread_local] = ACTIONS(2216),
    [anon_sym___thread] = ACTIONS(2216),
    [anon_sym_const] = ACTIONS(2216),
    [anon_sym_constexpr] = ACTIONS(2216),
    [anon_sym_volatile] = ACTIONS(2216),
    [anon_sym_restrict] = ACTIONS(2216),
    [anon_sym___restrict__] = ACTIONS(2216),
    [anon_sym__Atomic] = ACTIONS(2216),
    [anon_sym__Noreturn] = ACTIONS(2216),
    [anon_sym_noreturn] = ACTIONS(2216),
    [anon_sym_mutable] = ACTIONS(2216),
    [anon_sym_constinit] = ACTIONS(2216),
    [anon_sym_consteval] = ACTIONS(2216),
    [anon_sym_QMARK] = ACTIONS(2218),
    [anon_sym_STAR_EQ] = ACTIONS(2218),
    [anon_sym_SLASH_EQ] = ACTIONS(2218),
    [anon_sym_PERCENT_EQ] = ACTIONS(2218),
    [anon_sym_PLUS_EQ] = ACTIONS(2218),
    [anon_sym_DASH_EQ] = ACTIONS(2218),
    [anon_sym_LT_LT_EQ] = ACTIONS(2218),
    [anon_sym_GT_GT_EQ] = ACTIONS(2218),
    [anon_sym_AMP_EQ] = ACTIONS(2218),
    [anon_sym_CARET_EQ] = ACTIONS(2218),
    [anon_sym_PIPE_EQ] = ACTIONS(2218),
    [anon_sym_LT_EQ_GT] = ACTIONS(2218),
    [anon_sym_or] = ACTIONS(2216),
    [anon_sym_and] = ACTIONS(2216),
    [anon_sym_bitor] = ACTIONS(2216),
    [anon_sym_xor] = ACTIONS(2216),
    [anon_sym_bitand] = ACTIONS(2216),
    [anon_sym_not_eq] = ACTIONS(2216),
    [anon_sym_DASH_DASH] = ACTIONS(2218),
    [anon_sym_PLUS_PLUS] = ACTIONS(2218),
    [anon_sym_DOT] = ACTIONS(2216),
    [anon_sym_DOT_STAR] = ACTIONS(2218),
    [anon_sym_DASH_GT] = ACTIONS(2216),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2216),
    [anon_sym_decltype] = ACTIONS(2216),
    [anon_sym_virtual] = ACTIONS(2216),
    [anon_sym_alignas] = ACTIONS(2216),
    [anon_sym_template] = ACTIONS(2216),
    [anon_sym_operator] = ACTIONS(2216),
    [anon_sym_DASH_GT_STAR] = ACTIONS(2218),
    [anon_sym_precise] = ACTIONS(2216),
    [anon_sym_shared] = ACTIONS(2216),
    [anon_sym_groupshared] = ACTIONS(2216),
    [anon_sym_uniform] = ACTIONS(2216),
    [anon_sym_row_major] = ACTIONS(2216),
    [anon_sym_column_major] = ACTIONS(2216),
    [anon_sym_globallycoherent] = ACTIONS(2216),
    [anon_sym_centroid] = ACTIONS(2216),
    [anon_sym_noperspective] = ACTIONS(2216),
    [anon_sym_nointerpolation] = ACTIONS(2216),
    [anon_sym_sample] = ACTIONS(2216),
    [anon_sym_linear] = ACTIONS(2216),
    [anon_sym_snorm] = ACTIONS(2216),
    [anon_sym_unorm] = ACTIONS(2216),
    [anon_sym_point] = ACTIONS(2216),
    [anon_sym_line] = ACTIONS(2216),
    [anon_sym_triangleadj] = ACTIONS(2216),
    [anon_sym_lineadj] = ACTIONS(2216),
    [anon_sym_triangle] = ACTIONS(2216),
  },
  [1730] = {
    [sym_expression_statement] = STATE(3938),
    [sym__expression] = STATE(5654),
    [sym__expression_not_binary] = STATE(5024),
    [sym__string] = STATE(5024),
    [sym_comma_expression] = STATE(9678),
    [sym_conditional_expression] = STATE(5024),
    [sym_assignment_expression] = STATE(5024),
    [sym_pointer_expression] = STATE(4507),
    [sym_unary_expression] = STATE(5024),
    [sym_binary_expression] = STATE(5024),
    [sym_update_expression] = STATE(5024),
    [sym_cast_expression] = STATE(5024),
    [sym_sizeof_expression] = STATE(5024),
    [sym_alignof_expression] = STATE(5024),
    [sym_offsetof_expression] = STATE(5024),
    [sym_generic_expression] = STATE(5024),
    [sym_subscript_expression] = STATE(4507),
    [sym_call_expression] = STATE(4507),
    [sym_gnu_asm_expression] = STATE(5024),
    [sym_field_expression] = STATE(4507),
    [sym_compound_literal_expression] = STATE(5024),
    [sym_parenthesized_expression] = STATE(4507),
    [sym_char_literal] = STATE(5374),
    [sym_concatenated_string] = STATE(5377),
    [sym_string_literal] = STATE(4206),
    [sym_null] = STATE(5024),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9352),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(5024),
    [sym_raw_string_literal] = STATE(4217),
    [sym_co_await_expression] = STATE(5024),
    [sym_new_expression] = STATE(5024),
    [sym_delete_expression] = STATE(5024),
    [sym_type_requirement] = STATE(1740),
    [sym_compound_requirement] = STATE(1740),
    [sym__requirement] = STATE(1740),
    [sym_requires_clause] = STATE(5024),
    [sym_requires_expression] = STATE(5024),
    [sym_lambda_expression] = STATE(5024),
    [sym_lambda_capture_specifier] = STATE(7184),
    [sym_fold_expression] = STATE(5024),
    [sym_parameter_pack_expansion] = STATE(5024),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6886),
    [sym_qualified_identifier] = STATE(4507),
    [sym_qualified_type_identifier] = STATE(9352),
    [sym_user_defined_literal] = STATE(4507),
    [aux_sym_requirement_seq_repeat1] = STATE(1740),
    [sym_identifier] = ACTIONS(3140),
    [anon_sym_LPAREN2] = ACTIONS(1472),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1474),
    [anon_sym_AMP] = ACTIONS(1474),
    [anon_sym_SEMI] = ACTIONS(4684),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(4686),
    [anon_sym_RBRACE] = ACTIONS(4688),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [sym_primitive_type] = ACTIONS(3146),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_typename] = ACTIONS(4690),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [1731] = {
    [sym__expression] = STATE(5614),
    [sym__expression_not_binary] = STATE(5024),
    [sym__string] = STATE(5024),
    [sym_conditional_expression] = STATE(5024),
    [sym_assignment_expression] = STATE(5024),
    [sym_pointer_expression] = STATE(4507),
    [sym_unary_expression] = STATE(5024),
    [sym_binary_expression] = STATE(5024),
    [sym_update_expression] = STATE(5024),
    [sym_cast_expression] = STATE(5024),
    [sym_sizeof_expression] = STATE(5024),
    [sym_alignof_expression] = STATE(5024),
    [sym_offsetof_expression] = STATE(5024),
    [sym_generic_expression] = STATE(5024),
    [sym_subscript_expression] = STATE(4507),
    [sym_call_expression] = STATE(4507),
    [sym_gnu_asm_expression] = STATE(5024),
    [sym_field_expression] = STATE(4507),
    [sym_compound_literal_expression] = STATE(5024),
    [sym_parenthesized_expression] = STATE(4507),
    [sym_initializer_list] = STATE(8868),
    [sym_initializer_pair] = STATE(8868),
    [sym_subscript_designator] = STATE(7972),
    [sym_subscript_range_designator] = STATE(7972),
    [sym_field_designator] = STATE(7972),
    [sym_char_literal] = STATE(5374),
    [sym_concatenated_string] = STATE(5377),
    [sym_string_literal] = STATE(4206),
    [sym_null] = STATE(5024),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9352),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(5024),
    [sym_raw_string_literal] = STATE(4217),
    [sym_co_await_expression] = STATE(5024),
    [sym_new_expression] = STATE(5024),
    [sym_delete_expression] = STATE(5024),
    [sym_requires_clause] = STATE(5024),
    [sym_requires_expression] = STATE(5024),
    [sym_lambda_expression] = STATE(5024),
    [sym_lambda_capture_specifier] = STATE(7184),
    [sym_fold_expression] = STATE(5024),
    [sym_parameter_pack_expansion] = STATE(5024),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6886),
    [sym_qualified_identifier] = STATE(4507),
    [sym_qualified_type_identifier] = STATE(9352),
    [sym_user_defined_literal] = STATE(4507),
    [aux_sym_initializer_pair_repeat1] = STATE(7972),
    [sym_identifier] = ACTIONS(4692),
    [anon_sym_COMMA] = ACTIONS(169),
    [anon_sym_LPAREN2] = ACTIONS(1472),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1474),
    [anon_sym_AMP] = ACTIONS(1474),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(4413),
    [anon_sym_RBRACE] = ACTIONS(4694),
    [anon_sym_LBRACK] = ACTIONS(4696),
    [sym_primitive_type] = ACTIONS(3146),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [anon_sym_DOT] = ACTIONS(219),
    [sym_number_literal] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [1732] = {
    [sym_expression_statement] = STATE(3938),
    [sym__expression] = STATE(5654),
    [sym__expression_not_binary] = STATE(5024),
    [sym__string] = STATE(5024),
    [sym_comma_expression] = STATE(9678),
    [sym_conditional_expression] = STATE(5024),
    [sym_assignment_expression] = STATE(5024),
    [sym_pointer_expression] = STATE(4507),
    [sym_unary_expression] = STATE(5024),
    [sym_binary_expression] = STATE(5024),
    [sym_update_expression] = STATE(5024),
    [sym_cast_expression] = STATE(5024),
    [sym_sizeof_expression] = STATE(5024),
    [sym_alignof_expression] = STATE(5024),
    [sym_offsetof_expression] = STATE(5024),
    [sym_generic_expression] = STATE(5024),
    [sym_subscript_expression] = STATE(4507),
    [sym_call_expression] = STATE(4507),
    [sym_gnu_asm_expression] = STATE(5024),
    [sym_field_expression] = STATE(4507),
    [sym_compound_literal_expression] = STATE(5024),
    [sym_parenthesized_expression] = STATE(4507),
    [sym_char_literal] = STATE(5374),
    [sym_concatenated_string] = STATE(5377),
    [sym_string_literal] = STATE(4206),
    [sym_null] = STATE(5024),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9352),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(5024),
    [sym_raw_string_literal] = STATE(4217),
    [sym_co_await_expression] = STATE(5024),
    [sym_new_expression] = STATE(5024),
    [sym_delete_expression] = STATE(5024),
    [sym_type_requirement] = STATE(1754),
    [sym_compound_requirement] = STATE(1754),
    [sym__requirement] = STATE(1754),
    [sym_requires_clause] = STATE(5024),
    [sym_requires_expression] = STATE(5024),
    [sym_lambda_expression] = STATE(5024),
    [sym_lambda_capture_specifier] = STATE(7184),
    [sym_fold_expression] = STATE(5024),
    [sym_parameter_pack_expansion] = STATE(5024),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6886),
    [sym_qualified_identifier] = STATE(4507),
    [sym_qualified_type_identifier] = STATE(9352),
    [sym_user_defined_literal] = STATE(4507),
    [aux_sym_requirement_seq_repeat1] = STATE(1754),
    [sym_identifier] = ACTIONS(3140),
    [anon_sym_LPAREN2] = ACTIONS(1472),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1474),
    [anon_sym_AMP] = ACTIONS(1474),
    [anon_sym_SEMI] = ACTIONS(4684),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(4686),
    [anon_sym_RBRACE] = ACTIONS(4698),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [sym_primitive_type] = ACTIONS(3146),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_typename] = ACTIONS(4690),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [1733] = {
    [sym_expression_statement] = STATE(3938),
    [sym__expression] = STATE(5654),
    [sym__expression_not_binary] = STATE(5024),
    [sym__string] = STATE(5024),
    [sym_comma_expression] = STATE(9678),
    [sym_conditional_expression] = STATE(5024),
    [sym_assignment_expression] = STATE(5024),
    [sym_pointer_expression] = STATE(4507),
    [sym_unary_expression] = STATE(5024),
    [sym_binary_expression] = STATE(5024),
    [sym_update_expression] = STATE(5024),
    [sym_cast_expression] = STATE(5024),
    [sym_sizeof_expression] = STATE(5024),
    [sym_alignof_expression] = STATE(5024),
    [sym_offsetof_expression] = STATE(5024),
    [sym_generic_expression] = STATE(5024),
    [sym_subscript_expression] = STATE(4507),
    [sym_call_expression] = STATE(4507),
    [sym_gnu_asm_expression] = STATE(5024),
    [sym_field_expression] = STATE(4507),
    [sym_compound_literal_expression] = STATE(5024),
    [sym_parenthesized_expression] = STATE(4507),
    [sym_char_literal] = STATE(5374),
    [sym_concatenated_string] = STATE(5377),
    [sym_string_literal] = STATE(4206),
    [sym_null] = STATE(5024),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9352),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(5024),
    [sym_raw_string_literal] = STATE(4217),
    [sym_co_await_expression] = STATE(5024),
    [sym_new_expression] = STATE(5024),
    [sym_delete_expression] = STATE(5024),
    [sym_type_requirement] = STATE(1760),
    [sym_compound_requirement] = STATE(1760),
    [sym__requirement] = STATE(1760),
    [sym_requires_clause] = STATE(5024),
    [sym_requires_expression] = STATE(5024),
    [sym_lambda_expression] = STATE(5024),
    [sym_lambda_capture_specifier] = STATE(7184),
    [sym_fold_expression] = STATE(5024),
    [sym_parameter_pack_expansion] = STATE(5024),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6886),
    [sym_qualified_identifier] = STATE(4507),
    [sym_qualified_type_identifier] = STATE(9352),
    [sym_user_defined_literal] = STATE(4507),
    [aux_sym_requirement_seq_repeat1] = STATE(1760),
    [sym_identifier] = ACTIONS(3140),
    [anon_sym_LPAREN2] = ACTIONS(1472),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1474),
    [anon_sym_AMP] = ACTIONS(1474),
    [anon_sym_SEMI] = ACTIONS(4684),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(4686),
    [anon_sym_RBRACE] = ACTIONS(4700),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [sym_primitive_type] = ACTIONS(3146),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_typename] = ACTIONS(4690),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [1734] = {
    [sym_expression_statement] = STATE(3938),
    [sym__expression] = STATE(5654),
    [sym__expression_not_binary] = STATE(5024),
    [sym__string] = STATE(5024),
    [sym_comma_expression] = STATE(9678),
    [sym_conditional_expression] = STATE(5024),
    [sym_assignment_expression] = STATE(5024),
    [sym_pointer_expression] = STATE(4507),
    [sym_unary_expression] = STATE(5024),
    [sym_binary_expression] = STATE(5024),
    [sym_update_expression] = STATE(5024),
    [sym_cast_expression] = STATE(5024),
    [sym_sizeof_expression] = STATE(5024),
    [sym_alignof_expression] = STATE(5024),
    [sym_offsetof_expression] = STATE(5024),
    [sym_generic_expression] = STATE(5024),
    [sym_subscript_expression] = STATE(4507),
    [sym_call_expression] = STATE(4507),
    [sym_gnu_asm_expression] = STATE(5024),
    [sym_field_expression] = STATE(4507),
    [sym_compound_literal_expression] = STATE(5024),
    [sym_parenthesized_expression] = STATE(4507),
    [sym_char_literal] = STATE(5374),
    [sym_concatenated_string] = STATE(5377),
    [sym_string_literal] = STATE(4206),
    [sym_null] = STATE(5024),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9352),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(5024),
    [sym_raw_string_literal] = STATE(4217),
    [sym_co_await_expression] = STATE(5024),
    [sym_new_expression] = STATE(5024),
    [sym_delete_expression] = STATE(5024),
    [sym_type_requirement] = STATE(1740),
    [sym_compound_requirement] = STATE(1740),
    [sym__requirement] = STATE(1740),
    [sym_requires_clause] = STATE(5024),
    [sym_requires_expression] = STATE(5024),
    [sym_lambda_expression] = STATE(5024),
    [sym_lambda_capture_specifier] = STATE(7184),
    [sym_fold_expression] = STATE(5024),
    [sym_parameter_pack_expansion] = STATE(5024),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6886),
    [sym_qualified_identifier] = STATE(4507),
    [sym_qualified_type_identifier] = STATE(9352),
    [sym_user_defined_literal] = STATE(4507),
    [aux_sym_requirement_seq_repeat1] = STATE(1740),
    [sym_identifier] = ACTIONS(3140),
    [anon_sym_LPAREN2] = ACTIONS(1472),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1474),
    [anon_sym_AMP] = ACTIONS(1474),
    [anon_sym_SEMI] = ACTIONS(4684),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(4686),
    [anon_sym_RBRACE] = ACTIONS(4702),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [sym_primitive_type] = ACTIONS(3146),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_typename] = ACTIONS(4690),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [1735] = {
    [sym__expression] = STATE(5465),
    [sym__expression_not_binary] = STATE(5024),
    [sym__string] = STATE(5024),
    [sym_conditional_expression] = STATE(5024),
    [sym_assignment_expression] = STATE(5024),
    [sym_pointer_expression] = STATE(4507),
    [sym_unary_expression] = STATE(5024),
    [sym_binary_expression] = STATE(5024),
    [sym_update_expression] = STATE(5024),
    [sym_cast_expression] = STATE(5024),
    [sym_sizeof_expression] = STATE(5024),
    [sym_alignof_expression] = STATE(5024),
    [sym_offsetof_expression] = STATE(5024),
    [sym_generic_expression] = STATE(5024),
    [sym_subscript_expression] = STATE(4507),
    [sym_call_expression] = STATE(4507),
    [sym_gnu_asm_expression] = STATE(5024),
    [sym_field_expression] = STATE(4507),
    [sym_compound_literal_expression] = STATE(5024),
    [sym_parenthesized_expression] = STATE(4507),
    [sym_initializer_list] = STATE(8724),
    [sym_initializer_pair] = STATE(8724),
    [sym_subscript_designator] = STATE(7972),
    [sym_subscript_range_designator] = STATE(7972),
    [sym_field_designator] = STATE(7972),
    [sym_char_literal] = STATE(5374),
    [sym_concatenated_string] = STATE(5377),
    [sym_string_literal] = STATE(4206),
    [sym_null] = STATE(5024),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9352),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(5024),
    [sym_raw_string_literal] = STATE(4217),
    [sym_co_await_expression] = STATE(5024),
    [sym_new_expression] = STATE(5024),
    [sym_delete_expression] = STATE(5024),
    [sym_requires_clause] = STATE(5024),
    [sym_requires_expression] = STATE(5024),
    [sym_lambda_expression] = STATE(5024),
    [sym_lambda_capture_specifier] = STATE(7184),
    [sym_fold_expression] = STATE(5024),
    [sym_parameter_pack_expansion] = STATE(5024),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6886),
    [sym_qualified_identifier] = STATE(4507),
    [sym_qualified_type_identifier] = STATE(9352),
    [sym_user_defined_literal] = STATE(4507),
    [aux_sym_initializer_pair_repeat1] = STATE(7972),
    [sym_identifier] = ACTIONS(4692),
    [anon_sym_COMMA] = ACTIONS(4704),
    [anon_sym_LPAREN2] = ACTIONS(1472),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1474),
    [anon_sym_AMP] = ACTIONS(1474),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(4413),
    [anon_sym_RBRACE] = ACTIONS(4706),
    [anon_sym_LBRACK] = ACTIONS(4696),
    [sym_primitive_type] = ACTIONS(3146),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [anon_sym_DOT] = ACTIONS(219),
    [sym_number_literal] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [1736] = {
    [sym_expression_statement] = STATE(3938),
    [sym__expression] = STATE(5654),
    [sym__expression_not_binary] = STATE(5024),
    [sym__string] = STATE(5024),
    [sym_comma_expression] = STATE(9678),
    [sym_conditional_expression] = STATE(5024),
    [sym_assignment_expression] = STATE(5024),
    [sym_pointer_expression] = STATE(4507),
    [sym_unary_expression] = STATE(5024),
    [sym_binary_expression] = STATE(5024),
    [sym_update_expression] = STATE(5024),
    [sym_cast_expression] = STATE(5024),
    [sym_sizeof_expression] = STATE(5024),
    [sym_alignof_expression] = STATE(5024),
    [sym_offsetof_expression] = STATE(5024),
    [sym_generic_expression] = STATE(5024),
    [sym_subscript_expression] = STATE(4507),
    [sym_call_expression] = STATE(4507),
    [sym_gnu_asm_expression] = STATE(5024),
    [sym_field_expression] = STATE(4507),
    [sym_compound_literal_expression] = STATE(5024),
    [sym_parenthesized_expression] = STATE(4507),
    [sym_char_literal] = STATE(5374),
    [sym_concatenated_string] = STATE(5377),
    [sym_string_literal] = STATE(4206),
    [sym_null] = STATE(5024),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9352),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(5024),
    [sym_raw_string_literal] = STATE(4217),
    [sym_co_await_expression] = STATE(5024),
    [sym_new_expression] = STATE(5024),
    [sym_delete_expression] = STATE(5024),
    [sym_type_requirement] = STATE(1747),
    [sym_compound_requirement] = STATE(1747),
    [sym__requirement] = STATE(1747),
    [sym_requires_clause] = STATE(5024),
    [sym_requires_expression] = STATE(5024),
    [sym_lambda_expression] = STATE(5024),
    [sym_lambda_capture_specifier] = STATE(7184),
    [sym_fold_expression] = STATE(5024),
    [sym_parameter_pack_expansion] = STATE(5024),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6886),
    [sym_qualified_identifier] = STATE(4507),
    [sym_qualified_type_identifier] = STATE(9352),
    [sym_user_defined_literal] = STATE(4507),
    [aux_sym_requirement_seq_repeat1] = STATE(1747),
    [sym_identifier] = ACTIONS(3140),
    [anon_sym_LPAREN2] = ACTIONS(1472),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1474),
    [anon_sym_AMP] = ACTIONS(1474),
    [anon_sym_SEMI] = ACTIONS(4684),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(4686),
    [anon_sym_RBRACE] = ACTIONS(4708),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [sym_primitive_type] = ACTIONS(3146),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_typename] = ACTIONS(4690),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [1737] = {
    [sym__expression] = STATE(5557),
    [sym__expression_not_binary] = STATE(5024),
    [sym__string] = STATE(5024),
    [sym_comma_expression] = STATE(8642),
    [sym_conditional_expression] = STATE(5024),
    [sym_assignment_expression] = STATE(5024),
    [sym_pointer_expression] = STATE(4507),
    [sym_unary_expression] = STATE(5024),
    [sym_binary_expression] = STATE(5024),
    [sym_update_expression] = STATE(5024),
    [sym_cast_expression] = STATE(5024),
    [sym_sizeof_expression] = STATE(5024),
    [sym_alignof_expression] = STATE(5024),
    [sym_offsetof_expression] = STATE(5024),
    [sym_generic_expression] = STATE(5024),
    [sym_subscript_expression] = STATE(4507),
    [sym_call_expression] = STATE(4507),
    [sym_gnu_asm_expression] = STATE(5024),
    [sym_field_expression] = STATE(4507),
    [sym_compound_literal_expression] = STATE(5024),
    [sym_parenthesized_expression] = STATE(4507),
    [sym_initializer_list] = STATE(9200),
    [sym_initializer_pair] = STATE(9200),
    [sym_subscript_designator] = STATE(7972),
    [sym_subscript_range_designator] = STATE(7972),
    [sym_field_designator] = STATE(7972),
    [sym_char_literal] = STATE(5374),
    [sym_concatenated_string] = STATE(5377),
    [sym_string_literal] = STATE(4206),
    [sym_null] = STATE(5024),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9352),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(5024),
    [sym_raw_string_literal] = STATE(4217),
    [sym_co_await_expression] = STATE(5024),
    [sym_new_expression] = STATE(5024),
    [sym_delete_expression] = STATE(5024),
    [sym_requires_clause] = STATE(5024),
    [sym_requires_expression] = STATE(5024),
    [sym_lambda_expression] = STATE(5024),
    [sym_lambda_capture_specifier] = STATE(7184),
    [sym_fold_expression] = STATE(5024),
    [sym_parameter_pack_expansion] = STATE(5024),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6886),
    [sym_qualified_identifier] = STATE(4507),
    [sym_qualified_type_identifier] = STATE(9352),
    [sym_user_defined_literal] = STATE(4507),
    [aux_sym_initializer_pair_repeat1] = STATE(7972),
    [sym_identifier] = ACTIONS(4692),
    [anon_sym_LPAREN2] = ACTIONS(1472),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1474),
    [anon_sym_AMP] = ACTIONS(1474),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(4413),
    [anon_sym_RBRACE] = ACTIONS(4710),
    [anon_sym_LBRACK] = ACTIONS(4696),
    [sym_primitive_type] = ACTIONS(3146),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [anon_sym_DOT] = ACTIONS(219),
    [sym_number_literal] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [1738] = {
    [sym_expression_statement] = STATE(3938),
    [sym__expression] = STATE(5654),
    [sym__expression_not_binary] = STATE(5024),
    [sym__string] = STATE(5024),
    [sym_comma_expression] = STATE(9678),
    [sym_conditional_expression] = STATE(5024),
    [sym_assignment_expression] = STATE(5024),
    [sym_pointer_expression] = STATE(4507),
    [sym_unary_expression] = STATE(5024),
    [sym_binary_expression] = STATE(5024),
    [sym_update_expression] = STATE(5024),
    [sym_cast_expression] = STATE(5024),
    [sym_sizeof_expression] = STATE(5024),
    [sym_alignof_expression] = STATE(5024),
    [sym_offsetof_expression] = STATE(5024),
    [sym_generic_expression] = STATE(5024),
    [sym_subscript_expression] = STATE(4507),
    [sym_call_expression] = STATE(4507),
    [sym_gnu_asm_expression] = STATE(5024),
    [sym_field_expression] = STATE(4507),
    [sym_compound_literal_expression] = STATE(5024),
    [sym_parenthesized_expression] = STATE(4507),
    [sym_char_literal] = STATE(5374),
    [sym_concatenated_string] = STATE(5377),
    [sym_string_literal] = STATE(4206),
    [sym_null] = STATE(5024),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9352),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(5024),
    [sym_raw_string_literal] = STATE(4217),
    [sym_co_await_expression] = STATE(5024),
    [sym_new_expression] = STATE(5024),
    [sym_delete_expression] = STATE(5024),
    [sym_type_requirement] = STATE(1730),
    [sym_compound_requirement] = STATE(1730),
    [sym__requirement] = STATE(1730),
    [sym_requires_clause] = STATE(5024),
    [sym_requires_expression] = STATE(5024),
    [sym_lambda_expression] = STATE(5024),
    [sym_lambda_capture_specifier] = STATE(7184),
    [sym_fold_expression] = STATE(5024),
    [sym_parameter_pack_expansion] = STATE(5024),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6886),
    [sym_qualified_identifier] = STATE(4507),
    [sym_qualified_type_identifier] = STATE(9352),
    [sym_user_defined_literal] = STATE(4507),
    [aux_sym_requirement_seq_repeat1] = STATE(1730),
    [sym_identifier] = ACTIONS(3140),
    [anon_sym_LPAREN2] = ACTIONS(1472),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1474),
    [anon_sym_AMP] = ACTIONS(1474),
    [anon_sym_SEMI] = ACTIONS(4684),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(4686),
    [anon_sym_RBRACE] = ACTIONS(4712),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [sym_primitive_type] = ACTIONS(3146),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_typename] = ACTIONS(4690),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [1739] = {
    [sym_expression_statement] = STATE(3938),
    [sym__expression] = STATE(5654),
    [sym__expression_not_binary] = STATE(5024),
    [sym__string] = STATE(5024),
    [sym_comma_expression] = STATE(9678),
    [sym_conditional_expression] = STATE(5024),
    [sym_assignment_expression] = STATE(5024),
    [sym_pointer_expression] = STATE(4507),
    [sym_unary_expression] = STATE(5024),
    [sym_binary_expression] = STATE(5024),
    [sym_update_expression] = STATE(5024),
    [sym_cast_expression] = STATE(5024),
    [sym_sizeof_expression] = STATE(5024),
    [sym_alignof_expression] = STATE(5024),
    [sym_offsetof_expression] = STATE(5024),
    [sym_generic_expression] = STATE(5024),
    [sym_subscript_expression] = STATE(4507),
    [sym_call_expression] = STATE(4507),
    [sym_gnu_asm_expression] = STATE(5024),
    [sym_field_expression] = STATE(4507),
    [sym_compound_literal_expression] = STATE(5024),
    [sym_parenthesized_expression] = STATE(4507),
    [sym_char_literal] = STATE(5374),
    [sym_concatenated_string] = STATE(5377),
    [sym_string_literal] = STATE(4206),
    [sym_null] = STATE(5024),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9352),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(5024),
    [sym_raw_string_literal] = STATE(4217),
    [sym_co_await_expression] = STATE(5024),
    [sym_new_expression] = STATE(5024),
    [sym_delete_expression] = STATE(5024),
    [sym_type_requirement] = STATE(1740),
    [sym_compound_requirement] = STATE(1740),
    [sym__requirement] = STATE(1740),
    [sym_requires_clause] = STATE(5024),
    [sym_requires_expression] = STATE(5024),
    [sym_lambda_expression] = STATE(5024),
    [sym_lambda_capture_specifier] = STATE(7184),
    [sym_fold_expression] = STATE(5024),
    [sym_parameter_pack_expansion] = STATE(5024),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6886),
    [sym_qualified_identifier] = STATE(4507),
    [sym_qualified_type_identifier] = STATE(9352),
    [sym_user_defined_literal] = STATE(4507),
    [aux_sym_requirement_seq_repeat1] = STATE(1740),
    [sym_identifier] = ACTIONS(3140),
    [anon_sym_LPAREN2] = ACTIONS(1472),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1474),
    [anon_sym_AMP] = ACTIONS(1474),
    [anon_sym_SEMI] = ACTIONS(4684),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(4686),
    [anon_sym_RBRACE] = ACTIONS(4714),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [sym_primitive_type] = ACTIONS(3146),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_typename] = ACTIONS(4690),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [1740] = {
    [sym_expression_statement] = STATE(3938),
    [sym__expression] = STATE(5654),
    [sym__expression_not_binary] = STATE(5024),
    [sym__string] = STATE(5024),
    [sym_comma_expression] = STATE(9678),
    [sym_conditional_expression] = STATE(5024),
    [sym_assignment_expression] = STATE(5024),
    [sym_pointer_expression] = STATE(4507),
    [sym_unary_expression] = STATE(5024),
    [sym_binary_expression] = STATE(5024),
    [sym_update_expression] = STATE(5024),
    [sym_cast_expression] = STATE(5024),
    [sym_sizeof_expression] = STATE(5024),
    [sym_alignof_expression] = STATE(5024),
    [sym_offsetof_expression] = STATE(5024),
    [sym_generic_expression] = STATE(5024),
    [sym_subscript_expression] = STATE(4507),
    [sym_call_expression] = STATE(4507),
    [sym_gnu_asm_expression] = STATE(5024),
    [sym_field_expression] = STATE(4507),
    [sym_compound_literal_expression] = STATE(5024),
    [sym_parenthesized_expression] = STATE(4507),
    [sym_char_literal] = STATE(5374),
    [sym_concatenated_string] = STATE(5377),
    [sym_string_literal] = STATE(4206),
    [sym_null] = STATE(5024),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9352),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(5024),
    [sym_raw_string_literal] = STATE(4217),
    [sym_co_await_expression] = STATE(5024),
    [sym_new_expression] = STATE(5024),
    [sym_delete_expression] = STATE(5024),
    [sym_type_requirement] = STATE(1740),
    [sym_compound_requirement] = STATE(1740),
    [sym__requirement] = STATE(1740),
    [sym_requires_clause] = STATE(5024),
    [sym_requires_expression] = STATE(5024),
    [sym_lambda_expression] = STATE(5024),
    [sym_lambda_capture_specifier] = STATE(7184),
    [sym_fold_expression] = STATE(5024),
    [sym_parameter_pack_expansion] = STATE(5024),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6886),
    [sym_qualified_identifier] = STATE(4507),
    [sym_qualified_type_identifier] = STATE(9352),
    [sym_user_defined_literal] = STATE(4507),
    [aux_sym_requirement_seq_repeat1] = STATE(1740),
    [sym_identifier] = ACTIONS(4716),
    [anon_sym_LPAREN2] = ACTIONS(4719),
    [anon_sym_BANG] = ACTIONS(4722),
    [anon_sym_TILDE] = ACTIONS(4722),
    [anon_sym_DASH] = ACTIONS(4725),
    [anon_sym_PLUS] = ACTIONS(4725),
    [anon_sym_STAR] = ACTIONS(4728),
    [anon_sym_AMP] = ACTIONS(4728),
    [anon_sym_SEMI] = ACTIONS(4731),
    [anon_sym_COLON_COLON] = ACTIONS(4734),
    [anon_sym_LBRACE] = ACTIONS(4737),
    [anon_sym_RBRACE] = ACTIONS(4740),
    [anon_sym_LBRACK] = ACTIONS(4742),
    [sym_primitive_type] = ACTIONS(4745),
    [anon_sym_not] = ACTIONS(4725),
    [anon_sym_compl] = ACTIONS(4725),
    [anon_sym_DASH_DASH] = ACTIONS(4748),
    [anon_sym_PLUS_PLUS] = ACTIONS(4748),
    [anon_sym_sizeof] = ACTIONS(4751),
    [anon_sym___alignof__] = ACTIONS(4754),
    [anon_sym___alignof] = ACTIONS(4754),
    [anon_sym__alignof] = ACTIONS(4754),
    [anon_sym_alignof] = ACTIONS(4754),
    [anon_sym__Alignof] = ACTIONS(4754),
    [anon_sym_offsetof] = ACTIONS(4757),
    [anon_sym__Generic] = ACTIONS(4760),
    [anon_sym_asm] = ACTIONS(4763),
    [anon_sym___asm__] = ACTIONS(4763),
    [sym_number_literal] = ACTIONS(4766),
    [anon_sym_L_SQUOTE] = ACTIONS(4769),
    [anon_sym_u_SQUOTE] = ACTIONS(4769),
    [anon_sym_U_SQUOTE] = ACTIONS(4769),
    [anon_sym_u8_SQUOTE] = ACTIONS(4769),
    [anon_sym_SQUOTE] = ACTIONS(4769),
    [anon_sym_L_DQUOTE] = ACTIONS(4772),
    [anon_sym_u_DQUOTE] = ACTIONS(4772),
    [anon_sym_U_DQUOTE] = ACTIONS(4772),
    [anon_sym_u8_DQUOTE] = ACTIONS(4772),
    [anon_sym_DQUOTE] = ACTIONS(4772),
    [sym_true] = ACTIONS(4775),
    [sym_false] = ACTIONS(4775),
    [anon_sym_NULL] = ACTIONS(4778),
    [anon_sym_nullptr] = ACTIONS(4778),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(4781),
    [anon_sym_typename] = ACTIONS(4784),
    [anon_sym_template] = ACTIONS(4787),
    [anon_sym_delete] = ACTIONS(4790),
    [anon_sym_R_DQUOTE] = ACTIONS(4793),
    [anon_sym_LR_DQUOTE] = ACTIONS(4793),
    [anon_sym_uR_DQUOTE] = ACTIONS(4793),
    [anon_sym_UR_DQUOTE] = ACTIONS(4793),
    [anon_sym_u8R_DQUOTE] = ACTIONS(4793),
    [anon_sym_co_await] = ACTIONS(4796),
    [anon_sym_new] = ACTIONS(4799),
    [anon_sym_requires] = ACTIONS(4802),
    [sym_this] = ACTIONS(4775),
  },
  [1741] = {
    [sym_expression_statement] = STATE(3938),
    [sym__expression] = STATE(5654),
    [sym__expression_not_binary] = STATE(5024),
    [sym__string] = STATE(5024),
    [sym_comma_expression] = STATE(9678),
    [sym_conditional_expression] = STATE(5024),
    [sym_assignment_expression] = STATE(5024),
    [sym_pointer_expression] = STATE(4507),
    [sym_unary_expression] = STATE(5024),
    [sym_binary_expression] = STATE(5024),
    [sym_update_expression] = STATE(5024),
    [sym_cast_expression] = STATE(5024),
    [sym_sizeof_expression] = STATE(5024),
    [sym_alignof_expression] = STATE(5024),
    [sym_offsetof_expression] = STATE(5024),
    [sym_generic_expression] = STATE(5024),
    [sym_subscript_expression] = STATE(4507),
    [sym_call_expression] = STATE(4507),
    [sym_gnu_asm_expression] = STATE(5024),
    [sym_field_expression] = STATE(4507),
    [sym_compound_literal_expression] = STATE(5024),
    [sym_parenthesized_expression] = STATE(4507),
    [sym_char_literal] = STATE(5374),
    [sym_concatenated_string] = STATE(5377),
    [sym_string_literal] = STATE(4206),
    [sym_null] = STATE(5024),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9352),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(5024),
    [sym_raw_string_literal] = STATE(4217),
    [sym_co_await_expression] = STATE(5024),
    [sym_new_expression] = STATE(5024),
    [sym_delete_expression] = STATE(5024),
    [sym_type_requirement] = STATE(1755),
    [sym_compound_requirement] = STATE(1755),
    [sym__requirement] = STATE(1755),
    [sym_requires_clause] = STATE(5024),
    [sym_requires_expression] = STATE(5024),
    [sym_lambda_expression] = STATE(5024),
    [sym_lambda_capture_specifier] = STATE(7184),
    [sym_fold_expression] = STATE(5024),
    [sym_parameter_pack_expansion] = STATE(5024),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6886),
    [sym_qualified_identifier] = STATE(4507),
    [sym_qualified_type_identifier] = STATE(9352),
    [sym_user_defined_literal] = STATE(4507),
    [aux_sym_requirement_seq_repeat1] = STATE(1755),
    [sym_identifier] = ACTIONS(3140),
    [anon_sym_LPAREN2] = ACTIONS(1472),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1474),
    [anon_sym_AMP] = ACTIONS(1474),
    [anon_sym_SEMI] = ACTIONS(4684),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(4686),
    [anon_sym_RBRACE] = ACTIONS(4805),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [sym_primitive_type] = ACTIONS(3146),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_typename] = ACTIONS(4690),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [1742] = {
    [sym_expression_statement] = STATE(3938),
    [sym__expression] = STATE(5654),
    [sym__expression_not_binary] = STATE(5024),
    [sym__string] = STATE(5024),
    [sym_comma_expression] = STATE(9678),
    [sym_conditional_expression] = STATE(5024),
    [sym_assignment_expression] = STATE(5024),
    [sym_pointer_expression] = STATE(4507),
    [sym_unary_expression] = STATE(5024),
    [sym_binary_expression] = STATE(5024),
    [sym_update_expression] = STATE(5024),
    [sym_cast_expression] = STATE(5024),
    [sym_sizeof_expression] = STATE(5024),
    [sym_alignof_expression] = STATE(5024),
    [sym_offsetof_expression] = STATE(5024),
    [sym_generic_expression] = STATE(5024),
    [sym_subscript_expression] = STATE(4507),
    [sym_call_expression] = STATE(4507),
    [sym_gnu_asm_expression] = STATE(5024),
    [sym_field_expression] = STATE(4507),
    [sym_compound_literal_expression] = STATE(5024),
    [sym_parenthesized_expression] = STATE(4507),
    [sym_char_literal] = STATE(5374),
    [sym_concatenated_string] = STATE(5377),
    [sym_string_literal] = STATE(4206),
    [sym_null] = STATE(5024),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9352),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(5024),
    [sym_raw_string_literal] = STATE(4217),
    [sym_co_await_expression] = STATE(5024),
    [sym_new_expression] = STATE(5024),
    [sym_delete_expression] = STATE(5024),
    [sym_type_requirement] = STATE(1743),
    [sym_compound_requirement] = STATE(1743),
    [sym__requirement] = STATE(1743),
    [sym_requires_clause] = STATE(5024),
    [sym_requires_expression] = STATE(5024),
    [sym_lambda_expression] = STATE(5024),
    [sym_lambda_capture_specifier] = STATE(7184),
    [sym_fold_expression] = STATE(5024),
    [sym_parameter_pack_expansion] = STATE(5024),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6886),
    [sym_qualified_identifier] = STATE(4507),
    [sym_qualified_type_identifier] = STATE(9352),
    [sym_user_defined_literal] = STATE(4507),
    [aux_sym_requirement_seq_repeat1] = STATE(1743),
    [sym_identifier] = ACTIONS(3140),
    [anon_sym_LPAREN2] = ACTIONS(1472),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1474),
    [anon_sym_AMP] = ACTIONS(1474),
    [anon_sym_SEMI] = ACTIONS(4684),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(4686),
    [anon_sym_RBRACE] = ACTIONS(4807),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [sym_primitive_type] = ACTIONS(3146),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_typename] = ACTIONS(4690),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [1743] = {
    [sym_expression_statement] = STATE(3938),
    [sym__expression] = STATE(5654),
    [sym__expression_not_binary] = STATE(5024),
    [sym__string] = STATE(5024),
    [sym_comma_expression] = STATE(9678),
    [sym_conditional_expression] = STATE(5024),
    [sym_assignment_expression] = STATE(5024),
    [sym_pointer_expression] = STATE(4507),
    [sym_unary_expression] = STATE(5024),
    [sym_binary_expression] = STATE(5024),
    [sym_update_expression] = STATE(5024),
    [sym_cast_expression] = STATE(5024),
    [sym_sizeof_expression] = STATE(5024),
    [sym_alignof_expression] = STATE(5024),
    [sym_offsetof_expression] = STATE(5024),
    [sym_generic_expression] = STATE(5024),
    [sym_subscript_expression] = STATE(4507),
    [sym_call_expression] = STATE(4507),
    [sym_gnu_asm_expression] = STATE(5024),
    [sym_field_expression] = STATE(4507),
    [sym_compound_literal_expression] = STATE(5024),
    [sym_parenthesized_expression] = STATE(4507),
    [sym_char_literal] = STATE(5374),
    [sym_concatenated_string] = STATE(5377),
    [sym_string_literal] = STATE(4206),
    [sym_null] = STATE(5024),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9352),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(5024),
    [sym_raw_string_literal] = STATE(4217),
    [sym_co_await_expression] = STATE(5024),
    [sym_new_expression] = STATE(5024),
    [sym_delete_expression] = STATE(5024),
    [sym_type_requirement] = STATE(1740),
    [sym_compound_requirement] = STATE(1740),
    [sym__requirement] = STATE(1740),
    [sym_requires_clause] = STATE(5024),
    [sym_requires_expression] = STATE(5024),
    [sym_lambda_expression] = STATE(5024),
    [sym_lambda_capture_specifier] = STATE(7184),
    [sym_fold_expression] = STATE(5024),
    [sym_parameter_pack_expansion] = STATE(5024),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6886),
    [sym_qualified_identifier] = STATE(4507),
    [sym_qualified_type_identifier] = STATE(9352),
    [sym_user_defined_literal] = STATE(4507),
    [aux_sym_requirement_seq_repeat1] = STATE(1740),
    [sym_identifier] = ACTIONS(3140),
    [anon_sym_LPAREN2] = ACTIONS(1472),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1474),
    [anon_sym_AMP] = ACTIONS(1474),
    [anon_sym_SEMI] = ACTIONS(4684),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(4686),
    [anon_sym_RBRACE] = ACTIONS(4809),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [sym_primitive_type] = ACTIONS(3146),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_typename] = ACTIONS(4690),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [1744] = {
    [sym_expression_statement] = STATE(3938),
    [sym__expression] = STATE(5654),
    [sym__expression_not_binary] = STATE(5024),
    [sym__string] = STATE(5024),
    [sym_comma_expression] = STATE(9678),
    [sym_conditional_expression] = STATE(5024),
    [sym_assignment_expression] = STATE(5024),
    [sym_pointer_expression] = STATE(4507),
    [sym_unary_expression] = STATE(5024),
    [sym_binary_expression] = STATE(5024),
    [sym_update_expression] = STATE(5024),
    [sym_cast_expression] = STATE(5024),
    [sym_sizeof_expression] = STATE(5024),
    [sym_alignof_expression] = STATE(5024),
    [sym_offsetof_expression] = STATE(5024),
    [sym_generic_expression] = STATE(5024),
    [sym_subscript_expression] = STATE(4507),
    [sym_call_expression] = STATE(4507),
    [sym_gnu_asm_expression] = STATE(5024),
    [sym_field_expression] = STATE(4507),
    [sym_compound_literal_expression] = STATE(5024),
    [sym_parenthesized_expression] = STATE(4507),
    [sym_char_literal] = STATE(5374),
    [sym_concatenated_string] = STATE(5377),
    [sym_string_literal] = STATE(4206),
    [sym_null] = STATE(5024),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9352),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(5024),
    [sym_raw_string_literal] = STATE(4217),
    [sym_co_await_expression] = STATE(5024),
    [sym_new_expression] = STATE(5024),
    [sym_delete_expression] = STATE(5024),
    [sym_type_requirement] = STATE(1740),
    [sym_compound_requirement] = STATE(1740),
    [sym__requirement] = STATE(1740),
    [sym_requires_clause] = STATE(5024),
    [sym_requires_expression] = STATE(5024),
    [sym_lambda_expression] = STATE(5024),
    [sym_lambda_capture_specifier] = STATE(7184),
    [sym_fold_expression] = STATE(5024),
    [sym_parameter_pack_expansion] = STATE(5024),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6886),
    [sym_qualified_identifier] = STATE(4507),
    [sym_qualified_type_identifier] = STATE(9352),
    [sym_user_defined_literal] = STATE(4507),
    [aux_sym_requirement_seq_repeat1] = STATE(1740),
    [sym_identifier] = ACTIONS(3140),
    [anon_sym_LPAREN2] = ACTIONS(1472),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1474),
    [anon_sym_AMP] = ACTIONS(1474),
    [anon_sym_SEMI] = ACTIONS(4684),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(4686),
    [anon_sym_RBRACE] = ACTIONS(4811),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [sym_primitive_type] = ACTIONS(3146),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_typename] = ACTIONS(4690),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [1745] = {
    [sym__expression] = STATE(5604),
    [sym__expression_not_binary] = STATE(5024),
    [sym__string] = STATE(5024),
    [sym_conditional_expression] = STATE(5024),
    [sym_assignment_expression] = STATE(5024),
    [sym_pointer_expression] = STATE(4507),
    [sym_unary_expression] = STATE(5024),
    [sym_binary_expression] = STATE(5024),
    [sym_update_expression] = STATE(5024),
    [sym_cast_expression] = STATE(5024),
    [sym_sizeof_expression] = STATE(5024),
    [sym_alignof_expression] = STATE(5024),
    [sym_offsetof_expression] = STATE(5024),
    [sym_generic_expression] = STATE(5024),
    [sym_subscript_expression] = STATE(4507),
    [sym_call_expression] = STATE(4507),
    [sym_gnu_asm_expression] = STATE(5024),
    [sym_field_expression] = STATE(4507),
    [sym_compound_literal_expression] = STATE(5024),
    [sym_parenthesized_expression] = STATE(4507),
    [sym_initializer_list] = STATE(8795),
    [sym_initializer_pair] = STATE(8795),
    [sym_subscript_designator] = STATE(7972),
    [sym_subscript_range_designator] = STATE(7972),
    [sym_field_designator] = STATE(7972),
    [sym_char_literal] = STATE(5374),
    [sym_concatenated_string] = STATE(5377),
    [sym_string_literal] = STATE(4206),
    [sym_null] = STATE(5024),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9352),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(5024),
    [sym_raw_string_literal] = STATE(4217),
    [sym_co_await_expression] = STATE(5024),
    [sym_new_expression] = STATE(5024),
    [sym_delete_expression] = STATE(5024),
    [sym_requires_clause] = STATE(5024),
    [sym_requires_expression] = STATE(5024),
    [sym_lambda_expression] = STATE(5024),
    [sym_lambda_capture_specifier] = STATE(7184),
    [sym_fold_expression] = STATE(5024),
    [sym_parameter_pack_expansion] = STATE(5024),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6886),
    [sym_qualified_identifier] = STATE(4507),
    [sym_qualified_type_identifier] = STATE(9352),
    [sym_user_defined_literal] = STATE(4507),
    [aux_sym_initializer_pair_repeat1] = STATE(7972),
    [sym_identifier] = ACTIONS(4692),
    [anon_sym_COMMA] = ACTIONS(4813),
    [anon_sym_LPAREN2] = ACTIONS(1472),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1474),
    [anon_sym_AMP] = ACTIONS(1474),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(4413),
    [anon_sym_RBRACE] = ACTIONS(4815),
    [anon_sym_LBRACK] = ACTIONS(4696),
    [sym_primitive_type] = ACTIONS(3146),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [anon_sym_DOT] = ACTIONS(219),
    [sym_number_literal] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [1746] = {
    [sym_expression_statement] = STATE(3938),
    [sym__expression] = STATE(5654),
    [sym__expression_not_binary] = STATE(5024),
    [sym__string] = STATE(5024),
    [sym_comma_expression] = STATE(9678),
    [sym_conditional_expression] = STATE(5024),
    [sym_assignment_expression] = STATE(5024),
    [sym_pointer_expression] = STATE(4507),
    [sym_unary_expression] = STATE(5024),
    [sym_binary_expression] = STATE(5024),
    [sym_update_expression] = STATE(5024),
    [sym_cast_expression] = STATE(5024),
    [sym_sizeof_expression] = STATE(5024),
    [sym_alignof_expression] = STATE(5024),
    [sym_offsetof_expression] = STATE(5024),
    [sym_generic_expression] = STATE(5024),
    [sym_subscript_expression] = STATE(4507),
    [sym_call_expression] = STATE(4507),
    [sym_gnu_asm_expression] = STATE(5024),
    [sym_field_expression] = STATE(4507),
    [sym_compound_literal_expression] = STATE(5024),
    [sym_parenthesized_expression] = STATE(4507),
    [sym_char_literal] = STATE(5374),
    [sym_concatenated_string] = STATE(5377),
    [sym_string_literal] = STATE(4206),
    [sym_null] = STATE(5024),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9352),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(5024),
    [sym_raw_string_literal] = STATE(4217),
    [sym_co_await_expression] = STATE(5024),
    [sym_new_expression] = STATE(5024),
    [sym_delete_expression] = STATE(5024),
    [sym_type_requirement] = STATE(1739),
    [sym_compound_requirement] = STATE(1739),
    [sym__requirement] = STATE(1739),
    [sym_requires_clause] = STATE(5024),
    [sym_requires_expression] = STATE(5024),
    [sym_lambda_expression] = STATE(5024),
    [sym_lambda_capture_specifier] = STATE(7184),
    [sym_fold_expression] = STATE(5024),
    [sym_parameter_pack_expansion] = STATE(5024),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6886),
    [sym_qualified_identifier] = STATE(4507),
    [sym_qualified_type_identifier] = STATE(9352),
    [sym_user_defined_literal] = STATE(4507),
    [aux_sym_requirement_seq_repeat1] = STATE(1739),
    [sym_identifier] = ACTIONS(3140),
    [anon_sym_LPAREN2] = ACTIONS(1472),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1474),
    [anon_sym_AMP] = ACTIONS(1474),
    [anon_sym_SEMI] = ACTIONS(4684),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(4686),
    [anon_sym_RBRACE] = ACTIONS(4817),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [sym_primitive_type] = ACTIONS(3146),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_typename] = ACTIONS(4690),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [1747] = {
    [sym_expression_statement] = STATE(3938),
    [sym__expression] = STATE(5654),
    [sym__expression_not_binary] = STATE(5024),
    [sym__string] = STATE(5024),
    [sym_comma_expression] = STATE(9678),
    [sym_conditional_expression] = STATE(5024),
    [sym_assignment_expression] = STATE(5024),
    [sym_pointer_expression] = STATE(4507),
    [sym_unary_expression] = STATE(5024),
    [sym_binary_expression] = STATE(5024),
    [sym_update_expression] = STATE(5024),
    [sym_cast_expression] = STATE(5024),
    [sym_sizeof_expression] = STATE(5024),
    [sym_alignof_expression] = STATE(5024),
    [sym_offsetof_expression] = STATE(5024),
    [sym_generic_expression] = STATE(5024),
    [sym_subscript_expression] = STATE(4507),
    [sym_call_expression] = STATE(4507),
    [sym_gnu_asm_expression] = STATE(5024),
    [sym_field_expression] = STATE(4507),
    [sym_compound_literal_expression] = STATE(5024),
    [sym_parenthesized_expression] = STATE(4507),
    [sym_char_literal] = STATE(5374),
    [sym_concatenated_string] = STATE(5377),
    [sym_string_literal] = STATE(4206),
    [sym_null] = STATE(5024),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9352),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(5024),
    [sym_raw_string_literal] = STATE(4217),
    [sym_co_await_expression] = STATE(5024),
    [sym_new_expression] = STATE(5024),
    [sym_delete_expression] = STATE(5024),
    [sym_type_requirement] = STATE(1740),
    [sym_compound_requirement] = STATE(1740),
    [sym__requirement] = STATE(1740),
    [sym_requires_clause] = STATE(5024),
    [sym_requires_expression] = STATE(5024),
    [sym_lambda_expression] = STATE(5024),
    [sym_lambda_capture_specifier] = STATE(7184),
    [sym_fold_expression] = STATE(5024),
    [sym_parameter_pack_expansion] = STATE(5024),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6886),
    [sym_qualified_identifier] = STATE(4507),
    [sym_qualified_type_identifier] = STATE(9352),
    [sym_user_defined_literal] = STATE(4507),
    [aux_sym_requirement_seq_repeat1] = STATE(1740),
    [sym_identifier] = ACTIONS(3140),
    [anon_sym_LPAREN2] = ACTIONS(1472),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1474),
    [anon_sym_AMP] = ACTIONS(1474),
    [anon_sym_SEMI] = ACTIONS(4684),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(4686),
    [anon_sym_RBRACE] = ACTIONS(4819),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [sym_primitive_type] = ACTIONS(3146),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_typename] = ACTIONS(4690),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [1748] = {
    [sym__expression] = STATE(5536),
    [sym__expression_not_binary] = STATE(5024),
    [sym__string] = STATE(5024),
    [sym_conditional_expression] = STATE(5024),
    [sym_assignment_expression] = STATE(5024),
    [sym_pointer_expression] = STATE(4507),
    [sym_unary_expression] = STATE(5024),
    [sym_binary_expression] = STATE(5024),
    [sym_update_expression] = STATE(5024),
    [sym_cast_expression] = STATE(5024),
    [sym_sizeof_expression] = STATE(5024),
    [sym_alignof_expression] = STATE(5024),
    [sym_offsetof_expression] = STATE(5024),
    [sym_generic_expression] = STATE(5024),
    [sym_subscript_expression] = STATE(4507),
    [sym_call_expression] = STATE(4507),
    [sym_gnu_asm_expression] = STATE(5024),
    [sym_field_expression] = STATE(4507),
    [sym_compound_literal_expression] = STATE(5024),
    [sym_parenthesized_expression] = STATE(4507),
    [sym_initializer_list] = STATE(8722),
    [sym_initializer_pair] = STATE(8722),
    [sym_subscript_designator] = STATE(7972),
    [sym_subscript_range_designator] = STATE(7972),
    [sym_field_designator] = STATE(7972),
    [sym_char_literal] = STATE(5374),
    [sym_concatenated_string] = STATE(5377),
    [sym_string_literal] = STATE(4206),
    [sym_null] = STATE(5024),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9352),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(5024),
    [sym_raw_string_literal] = STATE(4217),
    [sym_co_await_expression] = STATE(5024),
    [sym_new_expression] = STATE(5024),
    [sym_delete_expression] = STATE(5024),
    [sym_requires_clause] = STATE(5024),
    [sym_requires_expression] = STATE(5024),
    [sym_lambda_expression] = STATE(5024),
    [sym_lambda_capture_specifier] = STATE(7184),
    [sym_fold_expression] = STATE(5024),
    [sym_parameter_pack_expansion] = STATE(5024),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6886),
    [sym_qualified_identifier] = STATE(4507),
    [sym_qualified_type_identifier] = STATE(9352),
    [sym_user_defined_literal] = STATE(4507),
    [aux_sym_initializer_pair_repeat1] = STATE(7972),
    [sym_identifier] = ACTIONS(4692),
    [anon_sym_COMMA] = ACTIONS(4821),
    [anon_sym_LPAREN2] = ACTIONS(1472),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1474),
    [anon_sym_AMP] = ACTIONS(1474),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(4413),
    [anon_sym_RBRACE] = ACTIONS(4823),
    [anon_sym_LBRACK] = ACTIONS(4696),
    [sym_primitive_type] = ACTIONS(3146),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [anon_sym_DOT] = ACTIONS(219),
    [sym_number_literal] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [1749] = {
    [sym__expression] = STATE(5602),
    [sym__expression_not_binary] = STATE(5024),
    [sym__string] = STATE(5024),
    [sym_conditional_expression] = STATE(5024),
    [sym_assignment_expression] = STATE(5024),
    [sym_pointer_expression] = STATE(4507),
    [sym_unary_expression] = STATE(5024),
    [sym_binary_expression] = STATE(5024),
    [sym_update_expression] = STATE(5024),
    [sym_cast_expression] = STATE(5024),
    [sym_sizeof_expression] = STATE(5024),
    [sym_alignof_expression] = STATE(5024),
    [sym_offsetof_expression] = STATE(5024),
    [sym_generic_expression] = STATE(5024),
    [sym_subscript_expression] = STATE(4507),
    [sym_call_expression] = STATE(4507),
    [sym_gnu_asm_expression] = STATE(5024),
    [sym_field_expression] = STATE(4507),
    [sym_compound_literal_expression] = STATE(5024),
    [sym_parenthesized_expression] = STATE(4507),
    [sym_initializer_list] = STATE(8954),
    [sym_initializer_pair] = STATE(8954),
    [sym_subscript_designator] = STATE(7972),
    [sym_subscript_range_designator] = STATE(7972),
    [sym_field_designator] = STATE(7972),
    [sym_char_literal] = STATE(5374),
    [sym_concatenated_string] = STATE(5377),
    [sym_string_literal] = STATE(4206),
    [sym_null] = STATE(5024),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9352),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(5024),
    [sym_raw_string_literal] = STATE(4217),
    [sym_co_await_expression] = STATE(5024),
    [sym_new_expression] = STATE(5024),
    [sym_delete_expression] = STATE(5024),
    [sym_requires_clause] = STATE(5024),
    [sym_requires_expression] = STATE(5024),
    [sym_lambda_expression] = STATE(5024),
    [sym_lambda_capture_specifier] = STATE(7184),
    [sym_fold_expression] = STATE(5024),
    [sym_parameter_pack_expansion] = STATE(5024),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6886),
    [sym_qualified_identifier] = STATE(4507),
    [sym_qualified_type_identifier] = STATE(9352),
    [sym_user_defined_literal] = STATE(4507),
    [aux_sym_initializer_pair_repeat1] = STATE(7972),
    [sym_identifier] = ACTIONS(4692),
    [anon_sym_COMMA] = ACTIONS(4825),
    [anon_sym_LPAREN2] = ACTIONS(1472),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1474),
    [anon_sym_AMP] = ACTIONS(1474),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(4413),
    [anon_sym_RBRACE] = ACTIONS(4827),
    [anon_sym_LBRACK] = ACTIONS(4696),
    [sym_primitive_type] = ACTIONS(3146),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [anon_sym_DOT] = ACTIONS(219),
    [sym_number_literal] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [1750] = {
    [sym_expression_statement] = STATE(3938),
    [sym__expression] = STATE(5654),
    [sym__expression_not_binary] = STATE(5024),
    [sym__string] = STATE(5024),
    [sym_comma_expression] = STATE(9678),
    [sym_conditional_expression] = STATE(5024),
    [sym_assignment_expression] = STATE(5024),
    [sym_pointer_expression] = STATE(4507),
    [sym_unary_expression] = STATE(5024),
    [sym_binary_expression] = STATE(5024),
    [sym_update_expression] = STATE(5024),
    [sym_cast_expression] = STATE(5024),
    [sym_sizeof_expression] = STATE(5024),
    [sym_alignof_expression] = STATE(5024),
    [sym_offsetof_expression] = STATE(5024),
    [sym_generic_expression] = STATE(5024),
    [sym_subscript_expression] = STATE(4507),
    [sym_call_expression] = STATE(4507),
    [sym_gnu_asm_expression] = STATE(5024),
    [sym_field_expression] = STATE(4507),
    [sym_compound_literal_expression] = STATE(5024),
    [sym_parenthesized_expression] = STATE(4507),
    [sym_char_literal] = STATE(5374),
    [sym_concatenated_string] = STATE(5377),
    [sym_string_literal] = STATE(4206),
    [sym_null] = STATE(5024),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9352),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(5024),
    [sym_raw_string_literal] = STATE(4217),
    [sym_co_await_expression] = STATE(5024),
    [sym_new_expression] = STATE(5024),
    [sym_delete_expression] = STATE(5024),
    [sym_type_requirement] = STATE(1740),
    [sym_compound_requirement] = STATE(1740),
    [sym__requirement] = STATE(1740),
    [sym_requires_clause] = STATE(5024),
    [sym_requires_expression] = STATE(5024),
    [sym_lambda_expression] = STATE(5024),
    [sym_lambda_capture_specifier] = STATE(7184),
    [sym_fold_expression] = STATE(5024),
    [sym_parameter_pack_expansion] = STATE(5024),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6886),
    [sym_qualified_identifier] = STATE(4507),
    [sym_qualified_type_identifier] = STATE(9352),
    [sym_user_defined_literal] = STATE(4507),
    [aux_sym_requirement_seq_repeat1] = STATE(1740),
    [sym_identifier] = ACTIONS(3140),
    [anon_sym_LPAREN2] = ACTIONS(1472),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1474),
    [anon_sym_AMP] = ACTIONS(1474),
    [anon_sym_SEMI] = ACTIONS(4684),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(4686),
    [anon_sym_RBRACE] = ACTIONS(4829),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [sym_primitive_type] = ACTIONS(3146),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_typename] = ACTIONS(4690),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [1751] = {
    [sym__expression] = STATE(5515),
    [sym__expression_not_binary] = STATE(5024),
    [sym__string] = STATE(5024),
    [sym_conditional_expression] = STATE(5024),
    [sym_assignment_expression] = STATE(5024),
    [sym_pointer_expression] = STATE(4507),
    [sym_unary_expression] = STATE(5024),
    [sym_binary_expression] = STATE(5024),
    [sym_update_expression] = STATE(5024),
    [sym_cast_expression] = STATE(5024),
    [sym_sizeof_expression] = STATE(5024),
    [sym_alignof_expression] = STATE(5024),
    [sym_offsetof_expression] = STATE(5024),
    [sym_generic_expression] = STATE(5024),
    [sym_subscript_expression] = STATE(4507),
    [sym_call_expression] = STATE(4507),
    [sym_gnu_asm_expression] = STATE(5024),
    [sym_field_expression] = STATE(4507),
    [sym_compound_literal_expression] = STATE(5024),
    [sym_parenthesized_expression] = STATE(4507),
    [sym_initializer_list] = STATE(8602),
    [sym_initializer_pair] = STATE(8602),
    [sym_subscript_designator] = STATE(7972),
    [sym_subscript_range_designator] = STATE(7972),
    [sym_field_designator] = STATE(7972),
    [sym_char_literal] = STATE(5374),
    [sym_concatenated_string] = STATE(5377),
    [sym_string_literal] = STATE(4206),
    [sym_null] = STATE(5024),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9352),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(5024),
    [sym_raw_string_literal] = STATE(4217),
    [sym_co_await_expression] = STATE(5024),
    [sym_new_expression] = STATE(5024),
    [sym_delete_expression] = STATE(5024),
    [sym_requires_clause] = STATE(5024),
    [sym_requires_expression] = STATE(5024),
    [sym_lambda_expression] = STATE(5024),
    [sym_lambda_capture_specifier] = STATE(7184),
    [sym_fold_expression] = STATE(5024),
    [sym_parameter_pack_expansion] = STATE(5024),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6886),
    [sym_qualified_identifier] = STATE(4507),
    [sym_qualified_type_identifier] = STATE(9352),
    [sym_user_defined_literal] = STATE(4507),
    [aux_sym_initializer_pair_repeat1] = STATE(7972),
    [sym_identifier] = ACTIONS(4692),
    [anon_sym_COMMA] = ACTIONS(4831),
    [anon_sym_LPAREN2] = ACTIONS(1472),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1474),
    [anon_sym_AMP] = ACTIONS(1474),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(4413),
    [anon_sym_RBRACE] = ACTIONS(4833),
    [anon_sym_LBRACK] = ACTIONS(4696),
    [sym_primitive_type] = ACTIONS(3146),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [anon_sym_DOT] = ACTIONS(219),
    [sym_number_literal] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [1752] = {
    [sym__expression] = STATE(5576),
    [sym__expression_not_binary] = STATE(5024),
    [sym__string] = STATE(5024),
    [sym_conditional_expression] = STATE(5024),
    [sym_assignment_expression] = STATE(5024),
    [sym_pointer_expression] = STATE(4507),
    [sym_unary_expression] = STATE(5024),
    [sym_binary_expression] = STATE(5024),
    [sym_update_expression] = STATE(5024),
    [sym_cast_expression] = STATE(5024),
    [sym_sizeof_expression] = STATE(5024),
    [sym_alignof_expression] = STATE(5024),
    [sym_offsetof_expression] = STATE(5024),
    [sym_generic_expression] = STATE(5024),
    [sym_subscript_expression] = STATE(4507),
    [sym_call_expression] = STATE(4507),
    [sym_gnu_asm_expression] = STATE(5024),
    [sym_field_expression] = STATE(4507),
    [sym_compound_literal_expression] = STATE(5024),
    [sym_parenthesized_expression] = STATE(4507),
    [sym_initializer_list] = STATE(8957),
    [sym_initializer_pair] = STATE(8957),
    [sym_subscript_designator] = STATE(7972),
    [sym_subscript_range_designator] = STATE(7972),
    [sym_field_designator] = STATE(7972),
    [sym_char_literal] = STATE(5374),
    [sym_concatenated_string] = STATE(5377),
    [sym_string_literal] = STATE(4206),
    [sym_null] = STATE(5024),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9352),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(5024),
    [sym_raw_string_literal] = STATE(4217),
    [sym_co_await_expression] = STATE(5024),
    [sym_new_expression] = STATE(5024),
    [sym_delete_expression] = STATE(5024),
    [sym_requires_clause] = STATE(5024),
    [sym_requires_expression] = STATE(5024),
    [sym_lambda_expression] = STATE(5024),
    [sym_lambda_capture_specifier] = STATE(7184),
    [sym_fold_expression] = STATE(5024),
    [sym_parameter_pack_expansion] = STATE(5024),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6886),
    [sym_qualified_identifier] = STATE(4507),
    [sym_qualified_type_identifier] = STATE(9352),
    [sym_user_defined_literal] = STATE(4507),
    [aux_sym_initializer_pair_repeat1] = STATE(7972),
    [sym_identifier] = ACTIONS(4692),
    [anon_sym_COMMA] = ACTIONS(4835),
    [anon_sym_LPAREN2] = ACTIONS(1472),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1474),
    [anon_sym_AMP] = ACTIONS(1474),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(4413),
    [anon_sym_RBRACE] = ACTIONS(4837),
    [anon_sym_LBRACK] = ACTIONS(4696),
    [sym_primitive_type] = ACTIONS(3146),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [anon_sym_DOT] = ACTIONS(219),
    [sym_number_literal] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [1753] = {
    [sym_expression_statement] = STATE(3938),
    [sym__expression] = STATE(5654),
    [sym__expression_not_binary] = STATE(5024),
    [sym__string] = STATE(5024),
    [sym_comma_expression] = STATE(9678),
    [sym_conditional_expression] = STATE(5024),
    [sym_assignment_expression] = STATE(5024),
    [sym_pointer_expression] = STATE(4507),
    [sym_unary_expression] = STATE(5024),
    [sym_binary_expression] = STATE(5024),
    [sym_update_expression] = STATE(5024),
    [sym_cast_expression] = STATE(5024),
    [sym_sizeof_expression] = STATE(5024),
    [sym_alignof_expression] = STATE(5024),
    [sym_offsetof_expression] = STATE(5024),
    [sym_generic_expression] = STATE(5024),
    [sym_subscript_expression] = STATE(4507),
    [sym_call_expression] = STATE(4507),
    [sym_gnu_asm_expression] = STATE(5024),
    [sym_field_expression] = STATE(4507),
    [sym_compound_literal_expression] = STATE(5024),
    [sym_parenthesized_expression] = STATE(4507),
    [sym_char_literal] = STATE(5374),
    [sym_concatenated_string] = STATE(5377),
    [sym_string_literal] = STATE(4206),
    [sym_null] = STATE(5024),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9352),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(5024),
    [sym_raw_string_literal] = STATE(4217),
    [sym_co_await_expression] = STATE(5024),
    [sym_new_expression] = STATE(5024),
    [sym_delete_expression] = STATE(5024),
    [sym_type_requirement] = STATE(1758),
    [sym_compound_requirement] = STATE(1758),
    [sym__requirement] = STATE(1758),
    [sym_requires_clause] = STATE(5024),
    [sym_requires_expression] = STATE(5024),
    [sym_lambda_expression] = STATE(5024),
    [sym_lambda_capture_specifier] = STATE(7184),
    [sym_fold_expression] = STATE(5024),
    [sym_parameter_pack_expansion] = STATE(5024),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6886),
    [sym_qualified_identifier] = STATE(4507),
    [sym_qualified_type_identifier] = STATE(9352),
    [sym_user_defined_literal] = STATE(4507),
    [aux_sym_requirement_seq_repeat1] = STATE(1758),
    [sym_identifier] = ACTIONS(3140),
    [anon_sym_LPAREN2] = ACTIONS(1472),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1474),
    [anon_sym_AMP] = ACTIONS(1474),
    [anon_sym_SEMI] = ACTIONS(4684),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(4686),
    [anon_sym_RBRACE] = ACTIONS(4839),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [sym_primitive_type] = ACTIONS(3146),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_typename] = ACTIONS(4690),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [1754] = {
    [sym_expression_statement] = STATE(3938),
    [sym__expression] = STATE(5654),
    [sym__expression_not_binary] = STATE(5024),
    [sym__string] = STATE(5024),
    [sym_comma_expression] = STATE(9678),
    [sym_conditional_expression] = STATE(5024),
    [sym_assignment_expression] = STATE(5024),
    [sym_pointer_expression] = STATE(4507),
    [sym_unary_expression] = STATE(5024),
    [sym_binary_expression] = STATE(5024),
    [sym_update_expression] = STATE(5024),
    [sym_cast_expression] = STATE(5024),
    [sym_sizeof_expression] = STATE(5024),
    [sym_alignof_expression] = STATE(5024),
    [sym_offsetof_expression] = STATE(5024),
    [sym_generic_expression] = STATE(5024),
    [sym_subscript_expression] = STATE(4507),
    [sym_call_expression] = STATE(4507),
    [sym_gnu_asm_expression] = STATE(5024),
    [sym_field_expression] = STATE(4507),
    [sym_compound_literal_expression] = STATE(5024),
    [sym_parenthesized_expression] = STATE(4507),
    [sym_char_literal] = STATE(5374),
    [sym_concatenated_string] = STATE(5377),
    [sym_string_literal] = STATE(4206),
    [sym_null] = STATE(5024),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9352),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(5024),
    [sym_raw_string_literal] = STATE(4217),
    [sym_co_await_expression] = STATE(5024),
    [sym_new_expression] = STATE(5024),
    [sym_delete_expression] = STATE(5024),
    [sym_type_requirement] = STATE(1740),
    [sym_compound_requirement] = STATE(1740),
    [sym__requirement] = STATE(1740),
    [sym_requires_clause] = STATE(5024),
    [sym_requires_expression] = STATE(5024),
    [sym_lambda_expression] = STATE(5024),
    [sym_lambda_capture_specifier] = STATE(7184),
    [sym_fold_expression] = STATE(5024),
    [sym_parameter_pack_expansion] = STATE(5024),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6886),
    [sym_qualified_identifier] = STATE(4507),
    [sym_qualified_type_identifier] = STATE(9352),
    [sym_user_defined_literal] = STATE(4507),
    [aux_sym_requirement_seq_repeat1] = STATE(1740),
    [sym_identifier] = ACTIONS(3140),
    [anon_sym_LPAREN2] = ACTIONS(1472),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1474),
    [anon_sym_AMP] = ACTIONS(1474),
    [anon_sym_SEMI] = ACTIONS(4684),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(4686),
    [anon_sym_RBRACE] = ACTIONS(4841),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [sym_primitive_type] = ACTIONS(3146),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_typename] = ACTIONS(4690),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [1755] = {
    [sym_expression_statement] = STATE(3938),
    [sym__expression] = STATE(5654),
    [sym__expression_not_binary] = STATE(5024),
    [sym__string] = STATE(5024),
    [sym_comma_expression] = STATE(9678),
    [sym_conditional_expression] = STATE(5024),
    [sym_assignment_expression] = STATE(5024),
    [sym_pointer_expression] = STATE(4507),
    [sym_unary_expression] = STATE(5024),
    [sym_binary_expression] = STATE(5024),
    [sym_update_expression] = STATE(5024),
    [sym_cast_expression] = STATE(5024),
    [sym_sizeof_expression] = STATE(5024),
    [sym_alignof_expression] = STATE(5024),
    [sym_offsetof_expression] = STATE(5024),
    [sym_generic_expression] = STATE(5024),
    [sym_subscript_expression] = STATE(4507),
    [sym_call_expression] = STATE(4507),
    [sym_gnu_asm_expression] = STATE(5024),
    [sym_field_expression] = STATE(4507),
    [sym_compound_literal_expression] = STATE(5024),
    [sym_parenthesized_expression] = STATE(4507),
    [sym_char_literal] = STATE(5374),
    [sym_concatenated_string] = STATE(5377),
    [sym_string_literal] = STATE(4206),
    [sym_null] = STATE(5024),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9352),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(5024),
    [sym_raw_string_literal] = STATE(4217),
    [sym_co_await_expression] = STATE(5024),
    [sym_new_expression] = STATE(5024),
    [sym_delete_expression] = STATE(5024),
    [sym_type_requirement] = STATE(1740),
    [sym_compound_requirement] = STATE(1740),
    [sym__requirement] = STATE(1740),
    [sym_requires_clause] = STATE(5024),
    [sym_requires_expression] = STATE(5024),
    [sym_lambda_expression] = STATE(5024),
    [sym_lambda_capture_specifier] = STATE(7184),
    [sym_fold_expression] = STATE(5024),
    [sym_parameter_pack_expansion] = STATE(5024),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6886),
    [sym_qualified_identifier] = STATE(4507),
    [sym_qualified_type_identifier] = STATE(9352),
    [sym_user_defined_literal] = STATE(4507),
    [aux_sym_requirement_seq_repeat1] = STATE(1740),
    [sym_identifier] = ACTIONS(3140),
    [anon_sym_LPAREN2] = ACTIONS(1472),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1474),
    [anon_sym_AMP] = ACTIONS(1474),
    [anon_sym_SEMI] = ACTIONS(4684),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(4686),
    [anon_sym_RBRACE] = ACTIONS(4843),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [sym_primitive_type] = ACTIONS(3146),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_typename] = ACTIONS(4690),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [1756] = {
    [sym_expression_statement] = STATE(3938),
    [sym__expression] = STATE(5654),
    [sym__expression_not_binary] = STATE(5024),
    [sym__string] = STATE(5024),
    [sym_comma_expression] = STATE(9678),
    [sym_conditional_expression] = STATE(5024),
    [sym_assignment_expression] = STATE(5024),
    [sym_pointer_expression] = STATE(4507),
    [sym_unary_expression] = STATE(5024),
    [sym_binary_expression] = STATE(5024),
    [sym_update_expression] = STATE(5024),
    [sym_cast_expression] = STATE(5024),
    [sym_sizeof_expression] = STATE(5024),
    [sym_alignof_expression] = STATE(5024),
    [sym_offsetof_expression] = STATE(5024),
    [sym_generic_expression] = STATE(5024),
    [sym_subscript_expression] = STATE(4507),
    [sym_call_expression] = STATE(4507),
    [sym_gnu_asm_expression] = STATE(5024),
    [sym_field_expression] = STATE(4507),
    [sym_compound_literal_expression] = STATE(5024),
    [sym_parenthesized_expression] = STATE(4507),
    [sym_char_literal] = STATE(5374),
    [sym_concatenated_string] = STATE(5377),
    [sym_string_literal] = STATE(4206),
    [sym_null] = STATE(5024),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9352),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(5024),
    [sym_raw_string_literal] = STATE(4217),
    [sym_co_await_expression] = STATE(5024),
    [sym_new_expression] = STATE(5024),
    [sym_delete_expression] = STATE(5024),
    [sym_type_requirement] = STATE(1744),
    [sym_compound_requirement] = STATE(1744),
    [sym__requirement] = STATE(1744),
    [sym_requires_clause] = STATE(5024),
    [sym_requires_expression] = STATE(5024),
    [sym_lambda_expression] = STATE(5024),
    [sym_lambda_capture_specifier] = STATE(7184),
    [sym_fold_expression] = STATE(5024),
    [sym_parameter_pack_expansion] = STATE(5024),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6886),
    [sym_qualified_identifier] = STATE(4507),
    [sym_qualified_type_identifier] = STATE(9352),
    [sym_user_defined_literal] = STATE(4507),
    [aux_sym_requirement_seq_repeat1] = STATE(1744),
    [sym_identifier] = ACTIONS(3140),
    [anon_sym_LPAREN2] = ACTIONS(1472),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1474),
    [anon_sym_AMP] = ACTIONS(1474),
    [anon_sym_SEMI] = ACTIONS(4684),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(4686),
    [anon_sym_RBRACE] = ACTIONS(4845),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [sym_primitive_type] = ACTIONS(3146),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_typename] = ACTIONS(4690),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [1757] = {
    [sym__expression] = STATE(5537),
    [sym__expression_not_binary] = STATE(5024),
    [sym__string] = STATE(5024),
    [sym_conditional_expression] = STATE(5024),
    [sym_assignment_expression] = STATE(5024),
    [sym_pointer_expression] = STATE(4507),
    [sym_unary_expression] = STATE(5024),
    [sym_binary_expression] = STATE(5024),
    [sym_update_expression] = STATE(5024),
    [sym_cast_expression] = STATE(5024),
    [sym_sizeof_expression] = STATE(5024),
    [sym_alignof_expression] = STATE(5024),
    [sym_offsetof_expression] = STATE(5024),
    [sym_generic_expression] = STATE(5024),
    [sym_subscript_expression] = STATE(4507),
    [sym_call_expression] = STATE(4507),
    [sym_gnu_asm_expression] = STATE(5024),
    [sym_field_expression] = STATE(4507),
    [sym_compound_literal_expression] = STATE(5024),
    [sym_parenthesized_expression] = STATE(4507),
    [sym_initializer_list] = STATE(8691),
    [sym_initializer_pair] = STATE(8691),
    [sym_subscript_designator] = STATE(7972),
    [sym_subscript_range_designator] = STATE(7972),
    [sym_field_designator] = STATE(7972),
    [sym_char_literal] = STATE(5374),
    [sym_concatenated_string] = STATE(5377),
    [sym_string_literal] = STATE(4206),
    [sym_null] = STATE(5024),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9352),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(5024),
    [sym_raw_string_literal] = STATE(4217),
    [sym_co_await_expression] = STATE(5024),
    [sym_new_expression] = STATE(5024),
    [sym_delete_expression] = STATE(5024),
    [sym_requires_clause] = STATE(5024),
    [sym_requires_expression] = STATE(5024),
    [sym_lambda_expression] = STATE(5024),
    [sym_lambda_capture_specifier] = STATE(7184),
    [sym_fold_expression] = STATE(5024),
    [sym_parameter_pack_expansion] = STATE(5024),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6886),
    [sym_qualified_identifier] = STATE(4507),
    [sym_qualified_type_identifier] = STATE(9352),
    [sym_user_defined_literal] = STATE(4507),
    [aux_sym_initializer_pair_repeat1] = STATE(7972),
    [sym_identifier] = ACTIONS(4692),
    [anon_sym_COMMA] = ACTIONS(4847),
    [anon_sym_LPAREN2] = ACTIONS(1472),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1474),
    [anon_sym_AMP] = ACTIONS(1474),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(4413),
    [anon_sym_RBRACE] = ACTIONS(4849),
    [anon_sym_LBRACK] = ACTIONS(4696),
    [sym_primitive_type] = ACTIONS(3146),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [anon_sym_DOT] = ACTIONS(219),
    [sym_number_literal] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [1758] = {
    [sym_expression_statement] = STATE(3938),
    [sym__expression] = STATE(5654),
    [sym__expression_not_binary] = STATE(5024),
    [sym__string] = STATE(5024),
    [sym_comma_expression] = STATE(9678),
    [sym_conditional_expression] = STATE(5024),
    [sym_assignment_expression] = STATE(5024),
    [sym_pointer_expression] = STATE(4507),
    [sym_unary_expression] = STATE(5024),
    [sym_binary_expression] = STATE(5024),
    [sym_update_expression] = STATE(5024),
    [sym_cast_expression] = STATE(5024),
    [sym_sizeof_expression] = STATE(5024),
    [sym_alignof_expression] = STATE(5024),
    [sym_offsetof_expression] = STATE(5024),
    [sym_generic_expression] = STATE(5024),
    [sym_subscript_expression] = STATE(4507),
    [sym_call_expression] = STATE(4507),
    [sym_gnu_asm_expression] = STATE(5024),
    [sym_field_expression] = STATE(4507),
    [sym_compound_literal_expression] = STATE(5024),
    [sym_parenthesized_expression] = STATE(4507),
    [sym_char_literal] = STATE(5374),
    [sym_concatenated_string] = STATE(5377),
    [sym_string_literal] = STATE(4206),
    [sym_null] = STATE(5024),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9352),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(5024),
    [sym_raw_string_literal] = STATE(4217),
    [sym_co_await_expression] = STATE(5024),
    [sym_new_expression] = STATE(5024),
    [sym_delete_expression] = STATE(5024),
    [sym_type_requirement] = STATE(1740),
    [sym_compound_requirement] = STATE(1740),
    [sym__requirement] = STATE(1740),
    [sym_requires_clause] = STATE(5024),
    [sym_requires_expression] = STATE(5024),
    [sym_lambda_expression] = STATE(5024),
    [sym_lambda_capture_specifier] = STATE(7184),
    [sym_fold_expression] = STATE(5024),
    [sym_parameter_pack_expansion] = STATE(5024),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6886),
    [sym_qualified_identifier] = STATE(4507),
    [sym_qualified_type_identifier] = STATE(9352),
    [sym_user_defined_literal] = STATE(4507),
    [aux_sym_requirement_seq_repeat1] = STATE(1740),
    [sym_identifier] = ACTIONS(3140),
    [anon_sym_LPAREN2] = ACTIONS(1472),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1474),
    [anon_sym_AMP] = ACTIONS(1474),
    [anon_sym_SEMI] = ACTIONS(4684),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(4686),
    [anon_sym_RBRACE] = ACTIONS(4851),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [sym_primitive_type] = ACTIONS(3146),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_typename] = ACTIONS(4690),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [1759] = {
    [sym_expression_statement] = STATE(3938),
    [sym__expression] = STATE(5654),
    [sym__expression_not_binary] = STATE(5024),
    [sym__string] = STATE(5024),
    [sym_comma_expression] = STATE(9678),
    [sym_conditional_expression] = STATE(5024),
    [sym_assignment_expression] = STATE(5024),
    [sym_pointer_expression] = STATE(4507),
    [sym_unary_expression] = STATE(5024),
    [sym_binary_expression] = STATE(5024),
    [sym_update_expression] = STATE(5024),
    [sym_cast_expression] = STATE(5024),
    [sym_sizeof_expression] = STATE(5024),
    [sym_alignof_expression] = STATE(5024),
    [sym_offsetof_expression] = STATE(5024),
    [sym_generic_expression] = STATE(5024),
    [sym_subscript_expression] = STATE(4507),
    [sym_call_expression] = STATE(4507),
    [sym_gnu_asm_expression] = STATE(5024),
    [sym_field_expression] = STATE(4507),
    [sym_compound_literal_expression] = STATE(5024),
    [sym_parenthesized_expression] = STATE(4507),
    [sym_char_literal] = STATE(5374),
    [sym_concatenated_string] = STATE(5377),
    [sym_string_literal] = STATE(4206),
    [sym_null] = STATE(5024),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9352),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(5024),
    [sym_raw_string_literal] = STATE(4217),
    [sym_co_await_expression] = STATE(5024),
    [sym_new_expression] = STATE(5024),
    [sym_delete_expression] = STATE(5024),
    [sym_type_requirement] = STATE(1750),
    [sym_compound_requirement] = STATE(1750),
    [sym__requirement] = STATE(1750),
    [sym_requires_clause] = STATE(5024),
    [sym_requires_expression] = STATE(5024),
    [sym_lambda_expression] = STATE(5024),
    [sym_lambda_capture_specifier] = STATE(7184),
    [sym_fold_expression] = STATE(5024),
    [sym_parameter_pack_expansion] = STATE(5024),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6886),
    [sym_qualified_identifier] = STATE(4507),
    [sym_qualified_type_identifier] = STATE(9352),
    [sym_user_defined_literal] = STATE(4507),
    [aux_sym_requirement_seq_repeat1] = STATE(1750),
    [sym_identifier] = ACTIONS(3140),
    [anon_sym_LPAREN2] = ACTIONS(1472),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1474),
    [anon_sym_AMP] = ACTIONS(1474),
    [anon_sym_SEMI] = ACTIONS(4684),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(4686),
    [anon_sym_RBRACE] = ACTIONS(4853),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [sym_primitive_type] = ACTIONS(3146),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_typename] = ACTIONS(4690),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [1760] = {
    [sym_expression_statement] = STATE(3938),
    [sym__expression] = STATE(5654),
    [sym__expression_not_binary] = STATE(5024),
    [sym__string] = STATE(5024),
    [sym_comma_expression] = STATE(9678),
    [sym_conditional_expression] = STATE(5024),
    [sym_assignment_expression] = STATE(5024),
    [sym_pointer_expression] = STATE(4507),
    [sym_unary_expression] = STATE(5024),
    [sym_binary_expression] = STATE(5024),
    [sym_update_expression] = STATE(5024),
    [sym_cast_expression] = STATE(5024),
    [sym_sizeof_expression] = STATE(5024),
    [sym_alignof_expression] = STATE(5024),
    [sym_offsetof_expression] = STATE(5024),
    [sym_generic_expression] = STATE(5024),
    [sym_subscript_expression] = STATE(4507),
    [sym_call_expression] = STATE(4507),
    [sym_gnu_asm_expression] = STATE(5024),
    [sym_field_expression] = STATE(4507),
    [sym_compound_literal_expression] = STATE(5024),
    [sym_parenthesized_expression] = STATE(4507),
    [sym_char_literal] = STATE(5374),
    [sym_concatenated_string] = STATE(5377),
    [sym_string_literal] = STATE(4206),
    [sym_null] = STATE(5024),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9352),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(5024),
    [sym_raw_string_literal] = STATE(4217),
    [sym_co_await_expression] = STATE(5024),
    [sym_new_expression] = STATE(5024),
    [sym_delete_expression] = STATE(5024),
    [sym_type_requirement] = STATE(1740),
    [sym_compound_requirement] = STATE(1740),
    [sym__requirement] = STATE(1740),
    [sym_requires_clause] = STATE(5024),
    [sym_requires_expression] = STATE(5024),
    [sym_lambda_expression] = STATE(5024),
    [sym_lambda_capture_specifier] = STATE(7184),
    [sym_fold_expression] = STATE(5024),
    [sym_parameter_pack_expansion] = STATE(5024),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6886),
    [sym_qualified_identifier] = STATE(4507),
    [sym_qualified_type_identifier] = STATE(9352),
    [sym_user_defined_literal] = STATE(4507),
    [aux_sym_requirement_seq_repeat1] = STATE(1740),
    [sym_identifier] = ACTIONS(3140),
    [anon_sym_LPAREN2] = ACTIONS(1472),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1474),
    [anon_sym_AMP] = ACTIONS(1474),
    [anon_sym_SEMI] = ACTIONS(4684),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(4686),
    [anon_sym_RBRACE] = ACTIONS(4855),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [sym_primitive_type] = ACTIONS(3146),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_typename] = ACTIONS(4690),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [1761] = {
    [sym_expression_statement] = STATE(3938),
    [sym__expression] = STATE(5654),
    [sym__expression_not_binary] = STATE(5024),
    [sym__string] = STATE(5024),
    [sym_comma_expression] = STATE(9678),
    [sym_conditional_expression] = STATE(5024),
    [sym_assignment_expression] = STATE(5024),
    [sym_pointer_expression] = STATE(4507),
    [sym_unary_expression] = STATE(5024),
    [sym_binary_expression] = STATE(5024),
    [sym_update_expression] = STATE(5024),
    [sym_cast_expression] = STATE(5024),
    [sym_sizeof_expression] = STATE(5024),
    [sym_alignof_expression] = STATE(5024),
    [sym_offsetof_expression] = STATE(5024),
    [sym_generic_expression] = STATE(5024),
    [sym_subscript_expression] = STATE(4507),
    [sym_call_expression] = STATE(4507),
    [sym_gnu_asm_expression] = STATE(5024),
    [sym_field_expression] = STATE(4507),
    [sym_compound_literal_expression] = STATE(5024),
    [sym_parenthesized_expression] = STATE(4507),
    [sym_char_literal] = STATE(5374),
    [sym_concatenated_string] = STATE(5377),
    [sym_string_literal] = STATE(4206),
    [sym_null] = STATE(5024),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9352),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(5024),
    [sym_raw_string_literal] = STATE(4217),
    [sym_co_await_expression] = STATE(5024),
    [sym_new_expression] = STATE(5024),
    [sym_delete_expression] = STATE(5024),
    [sym_type_requirement] = STATE(1734),
    [sym_compound_requirement] = STATE(1734),
    [sym__requirement] = STATE(1734),
    [sym_requires_clause] = STATE(5024),
    [sym_requires_expression] = STATE(5024),
    [sym_lambda_expression] = STATE(5024),
    [sym_lambda_capture_specifier] = STATE(7184),
    [sym_fold_expression] = STATE(5024),
    [sym_parameter_pack_expansion] = STATE(5024),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6886),
    [sym_qualified_identifier] = STATE(4507),
    [sym_qualified_type_identifier] = STATE(9352),
    [sym_user_defined_literal] = STATE(4507),
    [aux_sym_requirement_seq_repeat1] = STATE(1734),
    [sym_identifier] = ACTIONS(3140),
    [anon_sym_LPAREN2] = ACTIONS(1472),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1474),
    [anon_sym_AMP] = ACTIONS(1474),
    [anon_sym_SEMI] = ACTIONS(4684),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(4686),
    [anon_sym_RBRACE] = ACTIONS(4857),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [sym_primitive_type] = ACTIONS(3146),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_typename] = ACTIONS(4690),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [1762] = {
    [sym__expression] = STATE(5698),
    [sym__expression_not_binary] = STATE(5024),
    [sym__string] = STATE(5024),
    [sym_conditional_expression] = STATE(5024),
    [sym_assignment_expression] = STATE(5024),
    [sym_pointer_expression] = STATE(4507),
    [sym_unary_expression] = STATE(5024),
    [sym_binary_expression] = STATE(5024),
    [sym_update_expression] = STATE(5024),
    [sym_cast_expression] = STATE(5024),
    [sym_sizeof_expression] = STATE(5024),
    [sym_alignof_expression] = STATE(5024),
    [sym_offsetof_expression] = STATE(5024),
    [sym_generic_expression] = STATE(5024),
    [sym_subscript_expression] = STATE(4507),
    [sym_call_expression] = STATE(4507),
    [sym_gnu_asm_expression] = STATE(5024),
    [sym_field_expression] = STATE(4507),
    [sym_compound_literal_expression] = STATE(5024),
    [sym_parenthesized_expression] = STATE(4507),
    [sym_initializer_list] = STATE(9200),
    [sym_initializer_pair] = STATE(9200),
    [sym_subscript_designator] = STATE(7972),
    [sym_subscript_range_designator] = STATE(7972),
    [sym_field_designator] = STATE(7972),
    [sym_char_literal] = STATE(5374),
    [sym_concatenated_string] = STATE(5377),
    [sym_string_literal] = STATE(4206),
    [sym_null] = STATE(5024),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9352),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(5024),
    [sym_raw_string_literal] = STATE(4217),
    [sym_co_await_expression] = STATE(5024),
    [sym_new_expression] = STATE(5024),
    [sym_delete_expression] = STATE(5024),
    [sym_requires_clause] = STATE(5024),
    [sym_requires_expression] = STATE(5024),
    [sym_lambda_expression] = STATE(5024),
    [sym_lambda_capture_specifier] = STATE(7184),
    [sym_fold_expression] = STATE(5024),
    [sym_parameter_pack_expansion] = STATE(5024),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6886),
    [sym_qualified_identifier] = STATE(4507),
    [sym_qualified_type_identifier] = STATE(9352),
    [sym_user_defined_literal] = STATE(4507),
    [aux_sym_initializer_pair_repeat1] = STATE(7972),
    [sym_identifier] = ACTIONS(4692),
    [anon_sym_LPAREN2] = ACTIONS(1472),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1474),
    [anon_sym_AMP] = ACTIONS(1474),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(4413),
    [anon_sym_RBRACE] = ACTIONS(4859),
    [anon_sym_LBRACK] = ACTIONS(4696),
    [sym_primitive_type] = ACTIONS(3146),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [anon_sym_DOT] = ACTIONS(219),
    [sym_number_literal] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [1763] = {
    [sym__expression] = STATE(5698),
    [sym__expression_not_binary] = STATE(5024),
    [sym__string] = STATE(5024),
    [sym_conditional_expression] = STATE(5024),
    [sym_assignment_expression] = STATE(5024),
    [sym_pointer_expression] = STATE(4507),
    [sym_unary_expression] = STATE(5024),
    [sym_binary_expression] = STATE(5024),
    [sym_update_expression] = STATE(5024),
    [sym_cast_expression] = STATE(5024),
    [sym_sizeof_expression] = STATE(5024),
    [sym_alignof_expression] = STATE(5024),
    [sym_offsetof_expression] = STATE(5024),
    [sym_generic_expression] = STATE(5024),
    [sym_subscript_expression] = STATE(4507),
    [sym_call_expression] = STATE(4507),
    [sym_gnu_asm_expression] = STATE(5024),
    [sym_field_expression] = STATE(4507),
    [sym_compound_literal_expression] = STATE(5024),
    [sym_parenthesized_expression] = STATE(4507),
    [sym_initializer_list] = STATE(9200),
    [sym_initializer_pair] = STATE(9200),
    [sym_subscript_designator] = STATE(7972),
    [sym_subscript_range_designator] = STATE(7972),
    [sym_field_designator] = STATE(7972),
    [sym_char_literal] = STATE(5374),
    [sym_concatenated_string] = STATE(5377),
    [sym_string_literal] = STATE(4206),
    [sym_null] = STATE(5024),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9352),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(5024),
    [sym_raw_string_literal] = STATE(4217),
    [sym_co_await_expression] = STATE(5024),
    [sym_new_expression] = STATE(5024),
    [sym_delete_expression] = STATE(5024),
    [sym_requires_clause] = STATE(5024),
    [sym_requires_expression] = STATE(5024),
    [sym_lambda_expression] = STATE(5024),
    [sym_lambda_capture_specifier] = STATE(7184),
    [sym_fold_expression] = STATE(5024),
    [sym_parameter_pack_expansion] = STATE(5024),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6886),
    [sym_qualified_identifier] = STATE(4507),
    [sym_qualified_type_identifier] = STATE(9352),
    [sym_user_defined_literal] = STATE(4507),
    [aux_sym_initializer_pair_repeat1] = STATE(7972),
    [sym_identifier] = ACTIONS(4692),
    [anon_sym_LPAREN2] = ACTIONS(1472),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1474),
    [anon_sym_AMP] = ACTIONS(1474),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(4413),
    [anon_sym_RBRACE] = ACTIONS(4861),
    [anon_sym_LBRACK] = ACTIONS(4696),
    [sym_primitive_type] = ACTIONS(3146),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [anon_sym_DOT] = ACTIONS(219),
    [sym_number_literal] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [1764] = {
    [sym__expression] = STATE(5698),
    [sym__expression_not_binary] = STATE(5024),
    [sym__string] = STATE(5024),
    [sym_conditional_expression] = STATE(5024),
    [sym_assignment_expression] = STATE(5024),
    [sym_pointer_expression] = STATE(4507),
    [sym_unary_expression] = STATE(5024),
    [sym_binary_expression] = STATE(5024),
    [sym_update_expression] = STATE(5024),
    [sym_cast_expression] = STATE(5024),
    [sym_sizeof_expression] = STATE(5024),
    [sym_alignof_expression] = STATE(5024),
    [sym_offsetof_expression] = STATE(5024),
    [sym_generic_expression] = STATE(5024),
    [sym_subscript_expression] = STATE(4507),
    [sym_call_expression] = STATE(4507),
    [sym_gnu_asm_expression] = STATE(5024),
    [sym_field_expression] = STATE(4507),
    [sym_compound_literal_expression] = STATE(5024),
    [sym_parenthesized_expression] = STATE(4507),
    [sym_initializer_list] = STATE(9200),
    [sym_initializer_pair] = STATE(9200),
    [sym_subscript_designator] = STATE(7972),
    [sym_subscript_range_designator] = STATE(7972),
    [sym_field_designator] = STATE(7972),
    [sym_char_literal] = STATE(5374),
    [sym_concatenated_string] = STATE(5377),
    [sym_string_literal] = STATE(4206),
    [sym_null] = STATE(5024),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9352),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(5024),
    [sym_raw_string_literal] = STATE(4217),
    [sym_co_await_expression] = STATE(5024),
    [sym_new_expression] = STATE(5024),
    [sym_delete_expression] = STATE(5024),
    [sym_requires_clause] = STATE(5024),
    [sym_requires_expression] = STATE(5024),
    [sym_lambda_expression] = STATE(5024),
    [sym_lambda_capture_specifier] = STATE(7184),
    [sym_fold_expression] = STATE(5024),
    [sym_parameter_pack_expansion] = STATE(5024),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6886),
    [sym_qualified_identifier] = STATE(4507),
    [sym_qualified_type_identifier] = STATE(9352),
    [sym_user_defined_literal] = STATE(4507),
    [aux_sym_initializer_pair_repeat1] = STATE(7972),
    [sym_identifier] = ACTIONS(4692),
    [anon_sym_LPAREN2] = ACTIONS(1472),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1474),
    [anon_sym_AMP] = ACTIONS(1474),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(4413),
    [anon_sym_RBRACE] = ACTIONS(4863),
    [anon_sym_LBRACK] = ACTIONS(4696),
    [sym_primitive_type] = ACTIONS(3146),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [anon_sym_DOT] = ACTIONS(219),
    [sym_number_literal] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [1765] = {
    [sym__expression] = STATE(5698),
    [sym__expression_not_binary] = STATE(5024),
    [sym__string] = STATE(5024),
    [sym_conditional_expression] = STATE(5024),
    [sym_assignment_expression] = STATE(5024),
    [sym_pointer_expression] = STATE(4507),
    [sym_unary_expression] = STATE(5024),
    [sym_binary_expression] = STATE(5024),
    [sym_update_expression] = STATE(5024),
    [sym_cast_expression] = STATE(5024),
    [sym_sizeof_expression] = STATE(5024),
    [sym_alignof_expression] = STATE(5024),
    [sym_offsetof_expression] = STATE(5024),
    [sym_generic_expression] = STATE(5024),
    [sym_subscript_expression] = STATE(4507),
    [sym_call_expression] = STATE(4507),
    [sym_gnu_asm_expression] = STATE(5024),
    [sym_field_expression] = STATE(4507),
    [sym_compound_literal_expression] = STATE(5024),
    [sym_parenthesized_expression] = STATE(4507),
    [sym_initializer_list] = STATE(9200),
    [sym_initializer_pair] = STATE(9200),
    [sym_subscript_designator] = STATE(7972),
    [sym_subscript_range_designator] = STATE(7972),
    [sym_field_designator] = STATE(7972),
    [sym_char_literal] = STATE(5374),
    [sym_concatenated_string] = STATE(5377),
    [sym_string_literal] = STATE(4206),
    [sym_null] = STATE(5024),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9352),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(5024),
    [sym_raw_string_literal] = STATE(4217),
    [sym_co_await_expression] = STATE(5024),
    [sym_new_expression] = STATE(5024),
    [sym_delete_expression] = STATE(5024),
    [sym_requires_clause] = STATE(5024),
    [sym_requires_expression] = STATE(5024),
    [sym_lambda_expression] = STATE(5024),
    [sym_lambda_capture_specifier] = STATE(7184),
    [sym_fold_expression] = STATE(5024),
    [sym_parameter_pack_expansion] = STATE(5024),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6886),
    [sym_qualified_identifier] = STATE(4507),
    [sym_qualified_type_identifier] = STATE(9352),
    [sym_user_defined_literal] = STATE(4507),
    [aux_sym_initializer_pair_repeat1] = STATE(7972),
    [sym_identifier] = ACTIONS(4692),
    [anon_sym_LPAREN2] = ACTIONS(1472),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1474),
    [anon_sym_AMP] = ACTIONS(1474),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(4413),
    [anon_sym_RBRACE] = ACTIONS(4865),
    [anon_sym_LBRACK] = ACTIONS(4696),
    [sym_primitive_type] = ACTIONS(3146),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [anon_sym_DOT] = ACTIONS(219),
    [sym_number_literal] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [1766] = {
    [sym__expression] = STATE(5698),
    [sym__expression_not_binary] = STATE(5024),
    [sym__string] = STATE(5024),
    [sym_conditional_expression] = STATE(5024),
    [sym_assignment_expression] = STATE(5024),
    [sym_pointer_expression] = STATE(4507),
    [sym_unary_expression] = STATE(5024),
    [sym_binary_expression] = STATE(5024),
    [sym_update_expression] = STATE(5024),
    [sym_cast_expression] = STATE(5024),
    [sym_sizeof_expression] = STATE(5024),
    [sym_alignof_expression] = STATE(5024),
    [sym_offsetof_expression] = STATE(5024),
    [sym_generic_expression] = STATE(5024),
    [sym_subscript_expression] = STATE(4507),
    [sym_call_expression] = STATE(4507),
    [sym_gnu_asm_expression] = STATE(5024),
    [sym_field_expression] = STATE(4507),
    [sym_compound_literal_expression] = STATE(5024),
    [sym_parenthesized_expression] = STATE(4507),
    [sym_initializer_list] = STATE(9200),
    [sym_initializer_pair] = STATE(9200),
    [sym_subscript_designator] = STATE(7972),
    [sym_subscript_range_designator] = STATE(7972),
    [sym_field_designator] = STATE(7972),
    [sym_char_literal] = STATE(5374),
    [sym_concatenated_string] = STATE(5377),
    [sym_string_literal] = STATE(4206),
    [sym_null] = STATE(5024),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9352),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(5024),
    [sym_raw_string_literal] = STATE(4217),
    [sym_co_await_expression] = STATE(5024),
    [sym_new_expression] = STATE(5024),
    [sym_delete_expression] = STATE(5024),
    [sym_requires_clause] = STATE(5024),
    [sym_requires_expression] = STATE(5024),
    [sym_lambda_expression] = STATE(5024),
    [sym_lambda_capture_specifier] = STATE(7184),
    [sym_fold_expression] = STATE(5024),
    [sym_parameter_pack_expansion] = STATE(5024),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6886),
    [sym_qualified_identifier] = STATE(4507),
    [sym_qualified_type_identifier] = STATE(9352),
    [sym_user_defined_literal] = STATE(4507),
    [aux_sym_initializer_pair_repeat1] = STATE(7972),
    [sym_identifier] = ACTIONS(4692),
    [anon_sym_LPAREN2] = ACTIONS(1472),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1474),
    [anon_sym_AMP] = ACTIONS(1474),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(4413),
    [anon_sym_RBRACE] = ACTIONS(4867),
    [anon_sym_LBRACK] = ACTIONS(4696),
    [sym_primitive_type] = ACTIONS(3146),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [anon_sym_DOT] = ACTIONS(219),
    [sym_number_literal] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [1767] = {
    [sym__expression] = STATE(5698),
    [sym__expression_not_binary] = STATE(5024),
    [sym__string] = STATE(5024),
    [sym_conditional_expression] = STATE(5024),
    [sym_assignment_expression] = STATE(5024),
    [sym_pointer_expression] = STATE(4507),
    [sym_unary_expression] = STATE(5024),
    [sym_binary_expression] = STATE(5024),
    [sym_update_expression] = STATE(5024),
    [sym_cast_expression] = STATE(5024),
    [sym_sizeof_expression] = STATE(5024),
    [sym_alignof_expression] = STATE(5024),
    [sym_offsetof_expression] = STATE(5024),
    [sym_generic_expression] = STATE(5024),
    [sym_subscript_expression] = STATE(4507),
    [sym_call_expression] = STATE(4507),
    [sym_gnu_asm_expression] = STATE(5024),
    [sym_field_expression] = STATE(4507),
    [sym_compound_literal_expression] = STATE(5024),
    [sym_parenthesized_expression] = STATE(4507),
    [sym_initializer_list] = STATE(9200),
    [sym_initializer_pair] = STATE(9200),
    [sym_subscript_designator] = STATE(7972),
    [sym_subscript_range_designator] = STATE(7972),
    [sym_field_designator] = STATE(7972),
    [sym_char_literal] = STATE(5374),
    [sym_concatenated_string] = STATE(5377),
    [sym_string_literal] = STATE(4206),
    [sym_null] = STATE(5024),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9352),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(5024),
    [sym_raw_string_literal] = STATE(4217),
    [sym_co_await_expression] = STATE(5024),
    [sym_new_expression] = STATE(5024),
    [sym_delete_expression] = STATE(5024),
    [sym_requires_clause] = STATE(5024),
    [sym_requires_expression] = STATE(5024),
    [sym_lambda_expression] = STATE(5024),
    [sym_lambda_capture_specifier] = STATE(7184),
    [sym_fold_expression] = STATE(5024),
    [sym_parameter_pack_expansion] = STATE(5024),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6886),
    [sym_qualified_identifier] = STATE(4507),
    [sym_qualified_type_identifier] = STATE(9352),
    [sym_user_defined_literal] = STATE(4507),
    [aux_sym_initializer_pair_repeat1] = STATE(7972),
    [sym_identifier] = ACTIONS(4692),
    [anon_sym_LPAREN2] = ACTIONS(1472),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1474),
    [anon_sym_AMP] = ACTIONS(1474),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(4413),
    [anon_sym_RBRACE] = ACTIONS(4869),
    [anon_sym_LBRACK] = ACTIONS(4696),
    [sym_primitive_type] = ACTIONS(3146),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [anon_sym_DOT] = ACTIONS(219),
    [sym_number_literal] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [1768] = {
    [sym__expression] = STATE(5698),
    [sym__expression_not_binary] = STATE(5024),
    [sym__string] = STATE(5024),
    [sym_conditional_expression] = STATE(5024),
    [sym_assignment_expression] = STATE(5024),
    [sym_pointer_expression] = STATE(4507),
    [sym_unary_expression] = STATE(5024),
    [sym_binary_expression] = STATE(5024),
    [sym_update_expression] = STATE(5024),
    [sym_cast_expression] = STATE(5024),
    [sym_sizeof_expression] = STATE(5024),
    [sym_alignof_expression] = STATE(5024),
    [sym_offsetof_expression] = STATE(5024),
    [sym_generic_expression] = STATE(5024),
    [sym_subscript_expression] = STATE(4507),
    [sym_call_expression] = STATE(4507),
    [sym_gnu_asm_expression] = STATE(5024),
    [sym_field_expression] = STATE(4507),
    [sym_compound_literal_expression] = STATE(5024),
    [sym_parenthesized_expression] = STATE(4507),
    [sym_initializer_list] = STATE(9200),
    [sym_initializer_pair] = STATE(9200),
    [sym_subscript_designator] = STATE(7972),
    [sym_subscript_range_designator] = STATE(7972),
    [sym_field_designator] = STATE(7972),
    [sym_char_literal] = STATE(5374),
    [sym_concatenated_string] = STATE(5377),
    [sym_string_literal] = STATE(4206),
    [sym_null] = STATE(5024),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9352),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(5024),
    [sym_raw_string_literal] = STATE(4217),
    [sym_co_await_expression] = STATE(5024),
    [sym_new_expression] = STATE(5024),
    [sym_delete_expression] = STATE(5024),
    [sym_requires_clause] = STATE(5024),
    [sym_requires_expression] = STATE(5024),
    [sym_lambda_expression] = STATE(5024),
    [sym_lambda_capture_specifier] = STATE(7184),
    [sym_fold_expression] = STATE(5024),
    [sym_parameter_pack_expansion] = STATE(5024),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6886),
    [sym_qualified_identifier] = STATE(4507),
    [sym_qualified_type_identifier] = STATE(9352),
    [sym_user_defined_literal] = STATE(4507),
    [aux_sym_initializer_pair_repeat1] = STATE(7972),
    [sym_identifier] = ACTIONS(4692),
    [anon_sym_LPAREN2] = ACTIONS(1472),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1474),
    [anon_sym_AMP] = ACTIONS(1474),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(4413),
    [anon_sym_RBRACE] = ACTIONS(4871),
    [anon_sym_LBRACK] = ACTIONS(4696),
    [sym_primitive_type] = ACTIONS(3146),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [anon_sym_DOT] = ACTIONS(219),
    [sym_number_literal] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [1769] = {
    [sym__expression] = STATE(5698),
    [sym__expression_not_binary] = STATE(5024),
    [sym__string] = STATE(5024),
    [sym_conditional_expression] = STATE(5024),
    [sym_assignment_expression] = STATE(5024),
    [sym_pointer_expression] = STATE(4507),
    [sym_unary_expression] = STATE(5024),
    [sym_binary_expression] = STATE(5024),
    [sym_update_expression] = STATE(5024),
    [sym_cast_expression] = STATE(5024),
    [sym_sizeof_expression] = STATE(5024),
    [sym_alignof_expression] = STATE(5024),
    [sym_offsetof_expression] = STATE(5024),
    [sym_generic_expression] = STATE(5024),
    [sym_subscript_expression] = STATE(4507),
    [sym_call_expression] = STATE(4507),
    [sym_gnu_asm_expression] = STATE(5024),
    [sym_field_expression] = STATE(4507),
    [sym_compound_literal_expression] = STATE(5024),
    [sym_parenthesized_expression] = STATE(4507),
    [sym_initializer_list] = STATE(9200),
    [sym_initializer_pair] = STATE(9200),
    [sym_subscript_designator] = STATE(7972),
    [sym_subscript_range_designator] = STATE(7972),
    [sym_field_designator] = STATE(7972),
    [sym_char_literal] = STATE(5374),
    [sym_concatenated_string] = STATE(5377),
    [sym_string_literal] = STATE(4206),
    [sym_null] = STATE(5024),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9352),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(5024),
    [sym_raw_string_literal] = STATE(4217),
    [sym_co_await_expression] = STATE(5024),
    [sym_new_expression] = STATE(5024),
    [sym_delete_expression] = STATE(5024),
    [sym_requires_clause] = STATE(5024),
    [sym_requires_expression] = STATE(5024),
    [sym_lambda_expression] = STATE(5024),
    [sym_lambda_capture_specifier] = STATE(7184),
    [sym_fold_expression] = STATE(5024),
    [sym_parameter_pack_expansion] = STATE(5024),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6886),
    [sym_qualified_identifier] = STATE(4507),
    [sym_qualified_type_identifier] = STATE(9352),
    [sym_user_defined_literal] = STATE(4507),
    [aux_sym_initializer_pair_repeat1] = STATE(7972),
    [sym_identifier] = ACTIONS(4692),
    [anon_sym_LPAREN2] = ACTIONS(1472),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1474),
    [anon_sym_AMP] = ACTIONS(1474),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(4413),
    [anon_sym_RBRACE] = ACTIONS(4873),
    [anon_sym_LBRACK] = ACTIONS(4696),
    [sym_primitive_type] = ACTIONS(3146),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [anon_sym_DOT] = ACTIONS(219),
    [sym_number_literal] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [1770] = {
    [sym__expression] = STATE(5698),
    [sym__expression_not_binary] = STATE(5024),
    [sym__string] = STATE(5024),
    [sym_conditional_expression] = STATE(5024),
    [sym_assignment_expression] = STATE(5024),
    [sym_pointer_expression] = STATE(4507),
    [sym_unary_expression] = STATE(5024),
    [sym_binary_expression] = STATE(5024),
    [sym_update_expression] = STATE(5024),
    [sym_cast_expression] = STATE(5024),
    [sym_sizeof_expression] = STATE(5024),
    [sym_alignof_expression] = STATE(5024),
    [sym_offsetof_expression] = STATE(5024),
    [sym_generic_expression] = STATE(5024),
    [sym_subscript_expression] = STATE(4507),
    [sym_call_expression] = STATE(4507),
    [sym_gnu_asm_expression] = STATE(5024),
    [sym_field_expression] = STATE(4507),
    [sym_compound_literal_expression] = STATE(5024),
    [sym_parenthesized_expression] = STATE(4507),
    [sym_initializer_list] = STATE(9200),
    [sym_initializer_pair] = STATE(9200),
    [sym_subscript_designator] = STATE(7972),
    [sym_subscript_range_designator] = STATE(7972),
    [sym_field_designator] = STATE(7972),
    [sym_char_literal] = STATE(5374),
    [sym_concatenated_string] = STATE(5377),
    [sym_string_literal] = STATE(4206),
    [sym_null] = STATE(5024),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9352),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(5024),
    [sym_raw_string_literal] = STATE(4217),
    [sym_co_await_expression] = STATE(5024),
    [sym_new_expression] = STATE(5024),
    [sym_delete_expression] = STATE(5024),
    [sym_requires_clause] = STATE(5024),
    [sym_requires_expression] = STATE(5024),
    [sym_lambda_expression] = STATE(5024),
    [sym_lambda_capture_specifier] = STATE(7184),
    [sym_fold_expression] = STATE(5024),
    [sym_parameter_pack_expansion] = STATE(5024),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6886),
    [sym_qualified_identifier] = STATE(4507),
    [sym_qualified_type_identifier] = STATE(9352),
    [sym_user_defined_literal] = STATE(4507),
    [aux_sym_initializer_pair_repeat1] = STATE(7972),
    [sym_identifier] = ACTIONS(4692),
    [anon_sym_LPAREN2] = ACTIONS(1472),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1474),
    [anon_sym_AMP] = ACTIONS(1474),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(4413),
    [anon_sym_RBRACE] = ACTIONS(4710),
    [anon_sym_LBRACK] = ACTIONS(4696),
    [sym_primitive_type] = ACTIONS(3146),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [anon_sym_DOT] = ACTIONS(219),
    [sym_number_literal] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [1771] = {
    [sym__expression] = STATE(5698),
    [sym__expression_not_binary] = STATE(5024),
    [sym__string] = STATE(5024),
    [sym_conditional_expression] = STATE(5024),
    [sym_assignment_expression] = STATE(5024),
    [sym_pointer_expression] = STATE(4507),
    [sym_unary_expression] = STATE(5024),
    [sym_binary_expression] = STATE(5024),
    [sym_update_expression] = STATE(5024),
    [sym_cast_expression] = STATE(5024),
    [sym_sizeof_expression] = STATE(5024),
    [sym_alignof_expression] = STATE(5024),
    [sym_offsetof_expression] = STATE(5024),
    [sym_generic_expression] = STATE(5024),
    [sym_subscript_expression] = STATE(4507),
    [sym_call_expression] = STATE(4507),
    [sym_gnu_asm_expression] = STATE(5024),
    [sym_field_expression] = STATE(4507),
    [sym_compound_literal_expression] = STATE(5024),
    [sym_parenthesized_expression] = STATE(4507),
    [sym_initializer_list] = STATE(9200),
    [sym_initializer_pair] = STATE(9200),
    [sym_subscript_designator] = STATE(7972),
    [sym_subscript_range_designator] = STATE(7972),
    [sym_field_designator] = STATE(7972),
    [sym_char_literal] = STATE(5374),
    [sym_concatenated_string] = STATE(5377),
    [sym_string_literal] = STATE(4206),
    [sym_null] = STATE(5024),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9352),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(5024),
    [sym_raw_string_literal] = STATE(4217),
    [sym_co_await_expression] = STATE(5024),
    [sym_new_expression] = STATE(5024),
    [sym_delete_expression] = STATE(5024),
    [sym_requires_clause] = STATE(5024),
    [sym_requires_expression] = STATE(5024),
    [sym_lambda_expression] = STATE(5024),
    [sym_lambda_capture_specifier] = STATE(7184),
    [sym_fold_expression] = STATE(5024),
    [sym_parameter_pack_expansion] = STATE(5024),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6886),
    [sym_qualified_identifier] = STATE(4507),
    [sym_qualified_type_identifier] = STATE(9352),
    [sym_user_defined_literal] = STATE(4507),
    [aux_sym_initializer_pair_repeat1] = STATE(7972),
    [sym_identifier] = ACTIONS(4692),
    [anon_sym_LPAREN2] = ACTIONS(1472),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1474),
    [anon_sym_AMP] = ACTIONS(1474),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(4413),
    [anon_sym_RBRACE] = ACTIONS(4875),
    [anon_sym_LBRACK] = ACTIONS(4696),
    [sym_primitive_type] = ACTIONS(3146),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [anon_sym_DOT] = ACTIONS(219),
    [sym_number_literal] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [1772] = {
    [sym__expression] = STATE(5698),
    [sym__expression_not_binary] = STATE(5024),
    [sym__string] = STATE(5024),
    [sym_conditional_expression] = STATE(5024),
    [sym_assignment_expression] = STATE(5024),
    [sym_pointer_expression] = STATE(4507),
    [sym_unary_expression] = STATE(5024),
    [sym_binary_expression] = STATE(5024),
    [sym_update_expression] = STATE(5024),
    [sym_cast_expression] = STATE(5024),
    [sym_sizeof_expression] = STATE(5024),
    [sym_alignof_expression] = STATE(5024),
    [sym_offsetof_expression] = STATE(5024),
    [sym_generic_expression] = STATE(5024),
    [sym_subscript_expression] = STATE(4507),
    [sym_call_expression] = STATE(4507),
    [sym_gnu_asm_expression] = STATE(5024),
    [sym_field_expression] = STATE(4507),
    [sym_compound_literal_expression] = STATE(5024),
    [sym_parenthesized_expression] = STATE(4507),
    [sym_initializer_list] = STATE(9200),
    [sym_initializer_pair] = STATE(9200),
    [sym_subscript_designator] = STATE(7972),
    [sym_subscript_range_designator] = STATE(7972),
    [sym_field_designator] = STATE(7972),
    [sym_char_literal] = STATE(5374),
    [sym_concatenated_string] = STATE(5377),
    [sym_string_literal] = STATE(4206),
    [sym_null] = STATE(5024),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9352),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(5024),
    [sym_raw_string_literal] = STATE(4217),
    [sym_co_await_expression] = STATE(5024),
    [sym_new_expression] = STATE(5024),
    [sym_delete_expression] = STATE(5024),
    [sym_requires_clause] = STATE(5024),
    [sym_requires_expression] = STATE(5024),
    [sym_lambda_expression] = STATE(5024),
    [sym_lambda_capture_specifier] = STATE(7184),
    [sym_fold_expression] = STATE(5024),
    [sym_parameter_pack_expansion] = STATE(5024),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6886),
    [sym_qualified_identifier] = STATE(4507),
    [sym_qualified_type_identifier] = STATE(9352),
    [sym_user_defined_literal] = STATE(4507),
    [aux_sym_initializer_pair_repeat1] = STATE(7972),
    [sym_identifier] = ACTIONS(4692),
    [anon_sym_LPAREN2] = ACTIONS(1472),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1474),
    [anon_sym_AMP] = ACTIONS(1474),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(4413),
    [anon_sym_RBRACE] = ACTIONS(4877),
    [anon_sym_LBRACK] = ACTIONS(4696),
    [sym_primitive_type] = ACTIONS(3146),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [anon_sym_DOT] = ACTIONS(219),
    [sym_number_literal] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [1773] = {
    [sym__expression] = STATE(5698),
    [sym__expression_not_binary] = STATE(5024),
    [sym__string] = STATE(5024),
    [sym_conditional_expression] = STATE(5024),
    [sym_assignment_expression] = STATE(5024),
    [sym_pointer_expression] = STATE(4507),
    [sym_unary_expression] = STATE(5024),
    [sym_binary_expression] = STATE(5024),
    [sym_update_expression] = STATE(5024),
    [sym_cast_expression] = STATE(5024),
    [sym_sizeof_expression] = STATE(5024),
    [sym_alignof_expression] = STATE(5024),
    [sym_offsetof_expression] = STATE(5024),
    [sym_generic_expression] = STATE(5024),
    [sym_subscript_expression] = STATE(4507),
    [sym_call_expression] = STATE(4507),
    [sym_gnu_asm_expression] = STATE(5024),
    [sym_field_expression] = STATE(4507),
    [sym_compound_literal_expression] = STATE(5024),
    [sym_parenthesized_expression] = STATE(4507),
    [sym_initializer_list] = STATE(9200),
    [sym_initializer_pair] = STATE(9200),
    [sym_subscript_designator] = STATE(7972),
    [sym_subscript_range_designator] = STATE(7972),
    [sym_field_designator] = STATE(7972),
    [sym_char_literal] = STATE(5374),
    [sym_concatenated_string] = STATE(5377),
    [sym_string_literal] = STATE(4206),
    [sym_null] = STATE(5024),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9352),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(5024),
    [sym_raw_string_literal] = STATE(4217),
    [sym_co_await_expression] = STATE(5024),
    [sym_new_expression] = STATE(5024),
    [sym_delete_expression] = STATE(5024),
    [sym_requires_clause] = STATE(5024),
    [sym_requires_expression] = STATE(5024),
    [sym_lambda_expression] = STATE(5024),
    [sym_lambda_capture_specifier] = STATE(7184),
    [sym_fold_expression] = STATE(5024),
    [sym_parameter_pack_expansion] = STATE(5024),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6886),
    [sym_qualified_identifier] = STATE(4507),
    [sym_qualified_type_identifier] = STATE(9352),
    [sym_user_defined_literal] = STATE(4507),
    [aux_sym_initializer_pair_repeat1] = STATE(7972),
    [sym_identifier] = ACTIONS(4692),
    [anon_sym_LPAREN2] = ACTIONS(1472),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1474),
    [anon_sym_AMP] = ACTIONS(1474),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(4413),
    [anon_sym_RBRACE] = ACTIONS(4879),
    [anon_sym_LBRACK] = ACTIONS(4696),
    [sym_primitive_type] = ACTIONS(3146),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [anon_sym_DOT] = ACTIONS(219),
    [sym_number_literal] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [1774] = {
    [sym__expression] = STATE(5698),
    [sym__expression_not_binary] = STATE(5024),
    [sym__string] = STATE(5024),
    [sym_conditional_expression] = STATE(5024),
    [sym_assignment_expression] = STATE(5024),
    [sym_pointer_expression] = STATE(4507),
    [sym_unary_expression] = STATE(5024),
    [sym_binary_expression] = STATE(5024),
    [sym_update_expression] = STATE(5024),
    [sym_cast_expression] = STATE(5024),
    [sym_sizeof_expression] = STATE(5024),
    [sym_alignof_expression] = STATE(5024),
    [sym_offsetof_expression] = STATE(5024),
    [sym_generic_expression] = STATE(5024),
    [sym_subscript_expression] = STATE(4507),
    [sym_call_expression] = STATE(4507),
    [sym_gnu_asm_expression] = STATE(5024),
    [sym_field_expression] = STATE(4507),
    [sym_compound_literal_expression] = STATE(5024),
    [sym_parenthesized_expression] = STATE(4507),
    [sym_initializer_list] = STATE(9200),
    [sym_initializer_pair] = STATE(9200),
    [sym_subscript_designator] = STATE(7972),
    [sym_subscript_range_designator] = STATE(7972),
    [sym_field_designator] = STATE(7972),
    [sym_char_literal] = STATE(5374),
    [sym_concatenated_string] = STATE(5377),
    [sym_string_literal] = STATE(4206),
    [sym_null] = STATE(5024),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9352),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(5024),
    [sym_raw_string_literal] = STATE(4217),
    [sym_co_await_expression] = STATE(5024),
    [sym_new_expression] = STATE(5024),
    [sym_delete_expression] = STATE(5024),
    [sym_requires_clause] = STATE(5024),
    [sym_requires_expression] = STATE(5024),
    [sym_lambda_expression] = STATE(5024),
    [sym_lambda_capture_specifier] = STATE(7184),
    [sym_fold_expression] = STATE(5024),
    [sym_parameter_pack_expansion] = STATE(5024),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6886),
    [sym_qualified_identifier] = STATE(4507),
    [sym_qualified_type_identifier] = STATE(9352),
    [sym_user_defined_literal] = STATE(4507),
    [aux_sym_initializer_pair_repeat1] = STATE(7972),
    [sym_identifier] = ACTIONS(4692),
    [anon_sym_LPAREN2] = ACTIONS(1472),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1474),
    [anon_sym_AMP] = ACTIONS(1474),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(4413),
    [anon_sym_RBRACE] = ACTIONS(4881),
    [anon_sym_LBRACK] = ACTIONS(4696),
    [sym_primitive_type] = ACTIONS(3146),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [anon_sym_DOT] = ACTIONS(219),
    [sym_number_literal] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [1775] = {
    [sym__expression] = STATE(5698),
    [sym__expression_not_binary] = STATE(5024),
    [sym__string] = STATE(5024),
    [sym_conditional_expression] = STATE(5024),
    [sym_assignment_expression] = STATE(5024),
    [sym_pointer_expression] = STATE(4507),
    [sym_unary_expression] = STATE(5024),
    [sym_binary_expression] = STATE(5024),
    [sym_update_expression] = STATE(5024),
    [sym_cast_expression] = STATE(5024),
    [sym_sizeof_expression] = STATE(5024),
    [sym_alignof_expression] = STATE(5024),
    [sym_offsetof_expression] = STATE(5024),
    [sym_generic_expression] = STATE(5024),
    [sym_subscript_expression] = STATE(4507),
    [sym_call_expression] = STATE(4507),
    [sym_gnu_asm_expression] = STATE(5024),
    [sym_field_expression] = STATE(4507),
    [sym_compound_literal_expression] = STATE(5024),
    [sym_parenthesized_expression] = STATE(4507),
    [sym_initializer_list] = STATE(9200),
    [sym_initializer_pair] = STATE(9200),
    [sym_subscript_designator] = STATE(7972),
    [sym_subscript_range_designator] = STATE(7972),
    [sym_field_designator] = STATE(7972),
    [sym_char_literal] = STATE(5374),
    [sym_concatenated_string] = STATE(5377),
    [sym_string_literal] = STATE(4206),
    [sym_null] = STATE(5024),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9352),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(5024),
    [sym_raw_string_literal] = STATE(4217),
    [sym_co_await_expression] = STATE(5024),
    [sym_new_expression] = STATE(5024),
    [sym_delete_expression] = STATE(5024),
    [sym_requires_clause] = STATE(5024),
    [sym_requires_expression] = STATE(5024),
    [sym_lambda_expression] = STATE(5024),
    [sym_lambda_capture_specifier] = STATE(7184),
    [sym_fold_expression] = STATE(5024),
    [sym_parameter_pack_expansion] = STATE(5024),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6886),
    [sym_qualified_identifier] = STATE(4507),
    [sym_qualified_type_identifier] = STATE(9352),
    [sym_user_defined_literal] = STATE(4507),
    [aux_sym_initializer_pair_repeat1] = STATE(7972),
    [sym_identifier] = ACTIONS(4692),
    [anon_sym_LPAREN2] = ACTIONS(1472),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1474),
    [anon_sym_AMP] = ACTIONS(1474),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(4413),
    [anon_sym_RBRACE] = ACTIONS(4883),
    [anon_sym_LBRACK] = ACTIONS(4696),
    [sym_primitive_type] = ACTIONS(3146),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [anon_sym_DOT] = ACTIONS(219),
    [sym_number_literal] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [1776] = {
    [sym__expression] = STATE(5698),
    [sym__expression_not_binary] = STATE(5024),
    [sym__string] = STATE(5024),
    [sym_conditional_expression] = STATE(5024),
    [sym_assignment_expression] = STATE(5024),
    [sym_pointer_expression] = STATE(4507),
    [sym_unary_expression] = STATE(5024),
    [sym_binary_expression] = STATE(5024),
    [sym_update_expression] = STATE(5024),
    [sym_cast_expression] = STATE(5024),
    [sym_sizeof_expression] = STATE(5024),
    [sym_alignof_expression] = STATE(5024),
    [sym_offsetof_expression] = STATE(5024),
    [sym_generic_expression] = STATE(5024),
    [sym_subscript_expression] = STATE(4507),
    [sym_call_expression] = STATE(4507),
    [sym_gnu_asm_expression] = STATE(5024),
    [sym_field_expression] = STATE(4507),
    [sym_compound_literal_expression] = STATE(5024),
    [sym_parenthesized_expression] = STATE(4507),
    [sym_initializer_list] = STATE(9200),
    [sym_initializer_pair] = STATE(9200),
    [sym_subscript_designator] = STATE(7972),
    [sym_subscript_range_designator] = STATE(7972),
    [sym_field_designator] = STATE(7972),
    [sym_char_literal] = STATE(5374),
    [sym_concatenated_string] = STATE(5377),
    [sym_string_literal] = STATE(4206),
    [sym_null] = STATE(5024),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9352),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(5024),
    [sym_raw_string_literal] = STATE(4217),
    [sym_co_await_expression] = STATE(5024),
    [sym_new_expression] = STATE(5024),
    [sym_delete_expression] = STATE(5024),
    [sym_requires_clause] = STATE(5024),
    [sym_requires_expression] = STATE(5024),
    [sym_lambda_expression] = STATE(5024),
    [sym_lambda_capture_specifier] = STATE(7184),
    [sym_fold_expression] = STATE(5024),
    [sym_parameter_pack_expansion] = STATE(5024),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6886),
    [sym_qualified_identifier] = STATE(4507),
    [sym_qualified_type_identifier] = STATE(9352),
    [sym_user_defined_literal] = STATE(4507),
    [aux_sym_initializer_pair_repeat1] = STATE(7972),
    [sym_identifier] = ACTIONS(4692),
    [anon_sym_LPAREN2] = ACTIONS(1472),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1474),
    [anon_sym_AMP] = ACTIONS(1474),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(4413),
    [anon_sym_RBRACE] = ACTIONS(4885),
    [anon_sym_LBRACK] = ACTIONS(4696),
    [sym_primitive_type] = ACTIONS(3146),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [anon_sym_DOT] = ACTIONS(219),
    [sym_number_literal] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [1777] = {
    [sym__expression] = STATE(5698),
    [sym__expression_not_binary] = STATE(5024),
    [sym__string] = STATE(5024),
    [sym_conditional_expression] = STATE(5024),
    [sym_assignment_expression] = STATE(5024),
    [sym_pointer_expression] = STATE(4507),
    [sym_unary_expression] = STATE(5024),
    [sym_binary_expression] = STATE(5024),
    [sym_update_expression] = STATE(5024),
    [sym_cast_expression] = STATE(5024),
    [sym_sizeof_expression] = STATE(5024),
    [sym_alignof_expression] = STATE(5024),
    [sym_offsetof_expression] = STATE(5024),
    [sym_generic_expression] = STATE(5024),
    [sym_subscript_expression] = STATE(4507),
    [sym_call_expression] = STATE(4507),
    [sym_gnu_asm_expression] = STATE(5024),
    [sym_field_expression] = STATE(4507),
    [sym_compound_literal_expression] = STATE(5024),
    [sym_parenthesized_expression] = STATE(4507),
    [sym_initializer_list] = STATE(9200),
    [sym_initializer_pair] = STATE(9200),
    [sym_subscript_designator] = STATE(7972),
    [sym_subscript_range_designator] = STATE(7972),
    [sym_field_designator] = STATE(7972),
    [sym_char_literal] = STATE(5374),
    [sym_concatenated_string] = STATE(5377),
    [sym_string_literal] = STATE(4206),
    [sym_null] = STATE(5024),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9352),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(5024),
    [sym_raw_string_literal] = STATE(4217),
    [sym_co_await_expression] = STATE(5024),
    [sym_new_expression] = STATE(5024),
    [sym_delete_expression] = STATE(5024),
    [sym_requires_clause] = STATE(5024),
    [sym_requires_expression] = STATE(5024),
    [sym_lambda_expression] = STATE(5024),
    [sym_lambda_capture_specifier] = STATE(7184),
    [sym_fold_expression] = STATE(5024),
    [sym_parameter_pack_expansion] = STATE(5024),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6886),
    [sym_qualified_identifier] = STATE(4507),
    [sym_qualified_type_identifier] = STATE(9352),
    [sym_user_defined_literal] = STATE(4507),
    [aux_sym_initializer_pair_repeat1] = STATE(7972),
    [sym_identifier] = ACTIONS(4692),
    [anon_sym_LPAREN2] = ACTIONS(1472),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1474),
    [anon_sym_AMP] = ACTIONS(1474),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(4413),
    [anon_sym_RBRACE] = ACTIONS(4887),
    [anon_sym_LBRACK] = ACTIONS(4696),
    [sym_primitive_type] = ACTIONS(3146),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [anon_sym_DOT] = ACTIONS(219),
    [sym_number_literal] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [1778] = {
    [sym__expression] = STATE(5698),
    [sym__expression_not_binary] = STATE(5024),
    [sym__string] = STATE(5024),
    [sym_conditional_expression] = STATE(5024),
    [sym_assignment_expression] = STATE(5024),
    [sym_pointer_expression] = STATE(4507),
    [sym_unary_expression] = STATE(5024),
    [sym_binary_expression] = STATE(5024),
    [sym_update_expression] = STATE(5024),
    [sym_cast_expression] = STATE(5024),
    [sym_sizeof_expression] = STATE(5024),
    [sym_alignof_expression] = STATE(5024),
    [sym_offsetof_expression] = STATE(5024),
    [sym_generic_expression] = STATE(5024),
    [sym_subscript_expression] = STATE(4507),
    [sym_call_expression] = STATE(4507),
    [sym_gnu_asm_expression] = STATE(5024),
    [sym_field_expression] = STATE(4507),
    [sym_compound_literal_expression] = STATE(5024),
    [sym_parenthesized_expression] = STATE(4507),
    [sym_initializer_list] = STATE(9200),
    [sym_initializer_pair] = STATE(9200),
    [sym_subscript_designator] = STATE(7972),
    [sym_subscript_range_designator] = STATE(7972),
    [sym_field_designator] = STATE(7972),
    [sym_char_literal] = STATE(5374),
    [sym_concatenated_string] = STATE(5377),
    [sym_string_literal] = STATE(4206),
    [sym_null] = STATE(5024),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9352),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(5024),
    [sym_raw_string_literal] = STATE(4217),
    [sym_co_await_expression] = STATE(5024),
    [sym_new_expression] = STATE(5024),
    [sym_delete_expression] = STATE(5024),
    [sym_requires_clause] = STATE(5024),
    [sym_requires_expression] = STATE(5024),
    [sym_lambda_expression] = STATE(5024),
    [sym_lambda_capture_specifier] = STATE(7184),
    [sym_fold_expression] = STATE(5024),
    [sym_parameter_pack_expansion] = STATE(5024),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6886),
    [sym_qualified_identifier] = STATE(4507),
    [sym_qualified_type_identifier] = STATE(9352),
    [sym_user_defined_literal] = STATE(4507),
    [aux_sym_initializer_pair_repeat1] = STATE(7972),
    [sym_identifier] = ACTIONS(4692),
    [anon_sym_LPAREN2] = ACTIONS(1472),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1474),
    [anon_sym_AMP] = ACTIONS(1474),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(4413),
    [anon_sym_LBRACK] = ACTIONS(4696),
    [sym_primitive_type] = ACTIONS(3146),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [anon_sym_DOT] = ACTIONS(219),
    [sym_number_literal] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [1779] = {
    [sym_function_definition] = STATE(1151),
    [sym_declaration] = STATE(1151),
    [sym__declaration_modifiers] = STATE(2673),
    [sym__declaration_specifiers] = STATE(5936),
    [sym_attribute_specifier] = STATE(2673),
    [sym_attribute_declaration] = STATE(2673),
    [sym_ms_declspec_modifier] = STATE(2673),
    [sym_ms_call_modifier] = STATE(2627),
    [sym_declaration_list] = STATE(1151),
    [sym_storage_class_specifier] = STATE(2673),
    [sym_type_qualifier] = STATE(2673),
    [sym__type_specifier] = STATE(2827),
    [sym_sized_type_specifier] = STATE(3085),
    [sym_enum_specifier] = STATE(3085),
    [sym_struct_specifier] = STATE(3085),
    [sym_union_specifier] = STATE(3085),
    [sym_placeholder_type_specifier] = STATE(3085),
    [sym_decltype_auto] = STATE(3091),
    [sym_decltype] = STATE(3050),
    [sym_class_specifier] = STATE(3085),
    [sym_virtual] = STATE(2673),
    [sym_alignas_specifier] = STATE(2673),
    [sym_dependent_type] = STATE(3085),
    [sym_template_type] = STATE(3050),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(7887),
    [sym_qualified_type_identifier] = STATE(3068),
    [sym_qualifiers] = STATE(2673),
    [sym_hlsl_attribute] = STATE(2016),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2673),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3021),
    [sym_identifier] = ACTIONS(3896),
    [anon_sym___extension__] = ACTIONS(63),
    [anon_sym_in] = ACTIONS(1480),
    [anon_sym_out] = ACTIONS(1480),
    [anon_sym_inout] = ACTIONS(1480),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(3904),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2096),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(51),
    [anon_sym___clrcall] = ACTIONS(51),
    [anon_sym___stdcall] = ACTIONS(51),
    [anon_sym___fastcall] = ACTIONS(51),
    [anon_sym___thiscall] = ACTIONS(51),
    [anon_sym___vectorcall] = ACTIONS(51),
    [anon_sym_LBRACE] = ACTIONS(4889),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(4891),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(2891),
    [anon_sym_enum] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(69),
    [anon_sym_struct] = ACTIONS(71),
    [anon_sym_union] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [anon_sym_virtual] = ACTIONS(123),
    [anon_sym_alignas] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_precise] = ACTIONS(161),
    [anon_sym_shared] = ACTIONS(161),
    [anon_sym_groupshared] = ACTIONS(161),
    [anon_sym_uniform] = ACTIONS(161),
    [anon_sym_row_major] = ACTIONS(161),
    [anon_sym_column_major] = ACTIONS(161),
    [anon_sym_globallycoherent] = ACTIONS(161),
    [anon_sym_centroid] = ACTIONS(161),
    [anon_sym_noperspective] = ACTIONS(161),
    [anon_sym_nointerpolation] = ACTIONS(161),
    [anon_sym_sample] = ACTIONS(161),
    [anon_sym_linear] = ACTIONS(161),
    [anon_sym_snorm] = ACTIONS(161),
    [anon_sym_unorm] = ACTIONS(161),
    [anon_sym_point] = ACTIONS(161),
    [anon_sym_line] = ACTIONS(161),
    [anon_sym_triangleadj] = ACTIONS(161),
    [anon_sym_lineadj] = ACTIONS(161),
    [anon_sym_triangle] = ACTIONS(161),
  },
  [1780] = {
    [sym_function_definition] = STATE(1282),
    [sym_declaration] = STATE(1282),
    [sym__declaration_modifiers] = STATE(2673),
    [sym__declaration_specifiers] = STATE(5893),
    [sym_attribute_specifier] = STATE(2673),
    [sym_attribute_declaration] = STATE(2673),
    [sym_ms_declspec_modifier] = STATE(2673),
    [sym_ms_call_modifier] = STATE(2630),
    [sym_declaration_list] = STATE(1282),
    [sym_storage_class_specifier] = STATE(2673),
    [sym_type_qualifier] = STATE(2673),
    [sym__type_specifier] = STATE(2827),
    [sym_sized_type_specifier] = STATE(3085),
    [sym_enum_specifier] = STATE(3085),
    [sym_struct_specifier] = STATE(3085),
    [sym_union_specifier] = STATE(3085),
    [sym_placeholder_type_specifier] = STATE(3085),
    [sym_decltype_auto] = STATE(3091),
    [sym_decltype] = STATE(3050),
    [sym_class_specifier] = STATE(3085),
    [sym_virtual] = STATE(2673),
    [sym_alignas_specifier] = STATE(2673),
    [sym_dependent_type] = STATE(3085),
    [sym_template_type] = STATE(3050),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(7887),
    [sym_qualified_type_identifier] = STATE(3068),
    [sym_qualifiers] = STATE(2673),
    [sym_hlsl_attribute] = STATE(1973),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2673),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3021),
    [sym_identifier] = ACTIONS(3896),
    [anon_sym___extension__] = ACTIONS(63),
    [anon_sym_in] = ACTIONS(1480),
    [anon_sym_out] = ACTIONS(1480),
    [anon_sym_inout] = ACTIONS(1480),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(3904),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2096),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(51),
    [anon_sym___clrcall] = ACTIONS(51),
    [anon_sym___stdcall] = ACTIONS(51),
    [anon_sym___fastcall] = ACTIONS(51),
    [anon_sym___thiscall] = ACTIONS(51),
    [anon_sym___vectorcall] = ACTIONS(51),
    [anon_sym_LBRACE] = ACTIONS(4893),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(4891),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(2891),
    [anon_sym_enum] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(69),
    [anon_sym_struct] = ACTIONS(71),
    [anon_sym_union] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [anon_sym_virtual] = ACTIONS(123),
    [anon_sym_alignas] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_precise] = ACTIONS(161),
    [anon_sym_shared] = ACTIONS(161),
    [anon_sym_groupshared] = ACTIONS(161),
    [anon_sym_uniform] = ACTIONS(161),
    [anon_sym_row_major] = ACTIONS(161),
    [anon_sym_column_major] = ACTIONS(161),
    [anon_sym_globallycoherent] = ACTIONS(161),
    [anon_sym_centroid] = ACTIONS(161),
    [anon_sym_noperspective] = ACTIONS(161),
    [anon_sym_nointerpolation] = ACTIONS(161),
    [anon_sym_sample] = ACTIONS(161),
    [anon_sym_linear] = ACTIONS(161),
    [anon_sym_snorm] = ACTIONS(161),
    [anon_sym_unorm] = ACTIONS(161),
    [anon_sym_point] = ACTIONS(161),
    [anon_sym_line] = ACTIONS(161),
    [anon_sym_triangleadj] = ACTIONS(161),
    [anon_sym_lineadj] = ACTIONS(161),
    [anon_sym_triangle] = ACTIONS(161),
  },
  [1781] = {
    [sym_function_definition] = STATE(1187),
    [sym_declaration] = STATE(1187),
    [sym__declaration_modifiers] = STATE(2673),
    [sym__declaration_specifiers] = STATE(5906),
    [sym_attribute_specifier] = STATE(2673),
    [sym_attribute_declaration] = STATE(2673),
    [sym_ms_declspec_modifier] = STATE(2673),
    [sym_ms_call_modifier] = STATE(2574),
    [sym_declaration_list] = STATE(1187),
    [sym_storage_class_specifier] = STATE(2673),
    [sym_type_qualifier] = STATE(2673),
    [sym__type_specifier] = STATE(2827),
    [sym_sized_type_specifier] = STATE(3085),
    [sym_enum_specifier] = STATE(3085),
    [sym_struct_specifier] = STATE(3085),
    [sym_union_specifier] = STATE(3085),
    [sym_placeholder_type_specifier] = STATE(3085),
    [sym_decltype_auto] = STATE(3091),
    [sym_decltype] = STATE(3050),
    [sym_class_specifier] = STATE(3085),
    [sym_virtual] = STATE(2673),
    [sym_alignas_specifier] = STATE(2673),
    [sym_dependent_type] = STATE(3085),
    [sym_template_type] = STATE(3050),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(7887),
    [sym_qualified_type_identifier] = STATE(3068),
    [sym_qualifiers] = STATE(2673),
    [sym_hlsl_attribute] = STATE(2097),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2673),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3021),
    [sym_identifier] = ACTIONS(3896),
    [anon_sym___extension__] = ACTIONS(63),
    [anon_sym_in] = ACTIONS(1480),
    [anon_sym_out] = ACTIONS(1480),
    [anon_sym_inout] = ACTIONS(1480),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(3904),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2096),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(51),
    [anon_sym___clrcall] = ACTIONS(51),
    [anon_sym___stdcall] = ACTIONS(51),
    [anon_sym___fastcall] = ACTIONS(51),
    [anon_sym___thiscall] = ACTIONS(51),
    [anon_sym___vectorcall] = ACTIONS(51),
    [anon_sym_LBRACE] = ACTIONS(4895),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(4891),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(2891),
    [anon_sym_enum] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(69),
    [anon_sym_struct] = ACTIONS(71),
    [anon_sym_union] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [anon_sym_virtual] = ACTIONS(123),
    [anon_sym_alignas] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_precise] = ACTIONS(161),
    [anon_sym_shared] = ACTIONS(161),
    [anon_sym_groupshared] = ACTIONS(161),
    [anon_sym_uniform] = ACTIONS(161),
    [anon_sym_row_major] = ACTIONS(161),
    [anon_sym_column_major] = ACTIONS(161),
    [anon_sym_globallycoherent] = ACTIONS(161),
    [anon_sym_centroid] = ACTIONS(161),
    [anon_sym_noperspective] = ACTIONS(161),
    [anon_sym_nointerpolation] = ACTIONS(161),
    [anon_sym_sample] = ACTIONS(161),
    [anon_sym_linear] = ACTIONS(161),
    [anon_sym_snorm] = ACTIONS(161),
    [anon_sym_unorm] = ACTIONS(161),
    [anon_sym_point] = ACTIONS(161),
    [anon_sym_line] = ACTIONS(161),
    [anon_sym_triangleadj] = ACTIONS(161),
    [anon_sym_lineadj] = ACTIONS(161),
    [anon_sym_triangle] = ACTIONS(161),
  },
  [1782] = {
    [sym_function_definition] = STATE(660),
    [sym_declaration] = STATE(660),
    [sym__declaration_modifiers] = STATE(2673),
    [sym__declaration_specifiers] = STATE(5942),
    [sym_attribute_specifier] = STATE(2673),
    [sym_attribute_declaration] = STATE(2673),
    [sym_ms_declspec_modifier] = STATE(2673),
    [sym_ms_call_modifier] = STATE(2637),
    [sym_declaration_list] = STATE(660),
    [sym_storage_class_specifier] = STATE(2673),
    [sym_type_qualifier] = STATE(2673),
    [sym__type_specifier] = STATE(2827),
    [sym_sized_type_specifier] = STATE(3085),
    [sym_enum_specifier] = STATE(3085),
    [sym_struct_specifier] = STATE(3085),
    [sym_union_specifier] = STATE(3085),
    [sym_placeholder_type_specifier] = STATE(3085),
    [sym_decltype_auto] = STATE(3091),
    [sym_decltype] = STATE(3050),
    [sym_class_specifier] = STATE(3085),
    [sym_virtual] = STATE(2673),
    [sym_alignas_specifier] = STATE(2673),
    [sym_dependent_type] = STATE(3085),
    [sym_template_type] = STATE(3050),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(7887),
    [sym_qualified_type_identifier] = STATE(3068),
    [sym_qualifiers] = STATE(2673),
    [sym_hlsl_attribute] = STATE(2057),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2673),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3021),
    [sym_identifier] = ACTIONS(3896),
    [anon_sym___extension__] = ACTIONS(63),
    [anon_sym_in] = ACTIONS(1480),
    [anon_sym_out] = ACTIONS(1480),
    [anon_sym_inout] = ACTIONS(1480),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(3904),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2096),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(51),
    [anon_sym___clrcall] = ACTIONS(51),
    [anon_sym___stdcall] = ACTIONS(51),
    [anon_sym___fastcall] = ACTIONS(51),
    [anon_sym___thiscall] = ACTIONS(51),
    [anon_sym___vectorcall] = ACTIONS(51),
    [anon_sym_LBRACE] = ACTIONS(4897),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(4891),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(2891),
    [anon_sym_enum] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(69),
    [anon_sym_struct] = ACTIONS(71),
    [anon_sym_union] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [anon_sym_virtual] = ACTIONS(123),
    [anon_sym_alignas] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_precise] = ACTIONS(161),
    [anon_sym_shared] = ACTIONS(161),
    [anon_sym_groupshared] = ACTIONS(161),
    [anon_sym_uniform] = ACTIONS(161),
    [anon_sym_row_major] = ACTIONS(161),
    [anon_sym_column_major] = ACTIONS(161),
    [anon_sym_globallycoherent] = ACTIONS(161),
    [anon_sym_centroid] = ACTIONS(161),
    [anon_sym_noperspective] = ACTIONS(161),
    [anon_sym_nointerpolation] = ACTIONS(161),
    [anon_sym_sample] = ACTIONS(161),
    [anon_sym_linear] = ACTIONS(161),
    [anon_sym_snorm] = ACTIONS(161),
    [anon_sym_unorm] = ACTIONS(161),
    [anon_sym_point] = ACTIONS(161),
    [anon_sym_line] = ACTIONS(161),
    [anon_sym_triangleadj] = ACTIONS(161),
    [anon_sym_lineadj] = ACTIONS(161),
    [anon_sym_triangle] = ACTIONS(161),
  },
  [1783] = {
    [sym_function_definition] = STATE(393),
    [sym_declaration] = STATE(393),
    [sym__declaration_modifiers] = STATE(2673),
    [sym__declaration_specifiers] = STATE(5843),
    [sym_attribute_specifier] = STATE(2673),
    [sym_attribute_declaration] = STATE(2673),
    [sym_ms_declspec_modifier] = STATE(2673),
    [sym_ms_call_modifier] = STATE(2586),
    [sym_declaration_list] = STATE(393),
    [sym_storage_class_specifier] = STATE(2673),
    [sym_type_qualifier] = STATE(2673),
    [sym__type_specifier] = STATE(2827),
    [sym_sized_type_specifier] = STATE(3085),
    [sym_enum_specifier] = STATE(3085),
    [sym_struct_specifier] = STATE(3085),
    [sym_union_specifier] = STATE(3085),
    [sym_placeholder_type_specifier] = STATE(3085),
    [sym_decltype_auto] = STATE(3091),
    [sym_decltype] = STATE(3050),
    [sym_class_specifier] = STATE(3085),
    [sym_virtual] = STATE(2673),
    [sym_alignas_specifier] = STATE(2673),
    [sym_dependent_type] = STATE(3085),
    [sym_template_type] = STATE(3050),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(7887),
    [sym_qualified_type_identifier] = STATE(3068),
    [sym_qualifiers] = STATE(2673),
    [sym_hlsl_attribute] = STATE(2005),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2673),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3021),
    [sym_identifier] = ACTIONS(3896),
    [anon_sym___extension__] = ACTIONS(63),
    [anon_sym_in] = ACTIONS(1480),
    [anon_sym_out] = ACTIONS(1480),
    [anon_sym_inout] = ACTIONS(1480),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(3904),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2096),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(51),
    [anon_sym___clrcall] = ACTIONS(51),
    [anon_sym___stdcall] = ACTIONS(51),
    [anon_sym___fastcall] = ACTIONS(51),
    [anon_sym___thiscall] = ACTIONS(51),
    [anon_sym___vectorcall] = ACTIONS(51),
    [anon_sym_LBRACE] = ACTIONS(4899),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(4891),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(2891),
    [anon_sym_enum] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(69),
    [anon_sym_struct] = ACTIONS(71),
    [anon_sym_union] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [anon_sym_virtual] = ACTIONS(123),
    [anon_sym_alignas] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_precise] = ACTIONS(161),
    [anon_sym_shared] = ACTIONS(161),
    [anon_sym_groupshared] = ACTIONS(161),
    [anon_sym_uniform] = ACTIONS(161),
    [anon_sym_row_major] = ACTIONS(161),
    [anon_sym_column_major] = ACTIONS(161),
    [anon_sym_globallycoherent] = ACTIONS(161),
    [anon_sym_centroid] = ACTIONS(161),
    [anon_sym_noperspective] = ACTIONS(161),
    [anon_sym_nointerpolation] = ACTIONS(161),
    [anon_sym_sample] = ACTIONS(161),
    [anon_sym_linear] = ACTIONS(161),
    [anon_sym_snorm] = ACTIONS(161),
    [anon_sym_unorm] = ACTIONS(161),
    [anon_sym_point] = ACTIONS(161),
    [anon_sym_line] = ACTIONS(161),
    [anon_sym_triangleadj] = ACTIONS(161),
    [anon_sym_lineadj] = ACTIONS(161),
    [anon_sym_triangle] = ACTIONS(161),
  },
  [1784] = {
    [sym_function_definition] = STATE(2589),
    [sym_declaration] = STATE(2589),
    [sym__declaration_modifiers] = STATE(2673),
    [sym__declaration_specifiers] = STATE(5900),
    [sym_attribute_specifier] = STATE(2673),
    [sym_attribute_declaration] = STATE(2673),
    [sym_ms_declspec_modifier] = STATE(2673),
    [sym_ms_call_modifier] = STATE(2595),
    [sym_storage_class_specifier] = STATE(2673),
    [sym_type_qualifier] = STATE(2673),
    [sym__type_specifier] = STATE(2827),
    [sym_sized_type_specifier] = STATE(3085),
    [sym_enum_specifier] = STATE(3085),
    [sym_struct_specifier] = STATE(3085),
    [sym_union_specifier] = STATE(3085),
    [sym_placeholder_type_specifier] = STATE(3085),
    [sym_decltype_auto] = STATE(3091),
    [sym_decltype] = STATE(3050),
    [sym_class_specifier] = STATE(3085),
    [sym__class_name] = STATE(9612),
    [sym_virtual] = STATE(2673),
    [sym_alignas_specifier] = STATE(2673),
    [sym_dependent_type] = STATE(3085),
    [sym_template_type] = STATE(3224),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(7887),
    [sym_qualified_type_identifier] = STATE(3223),
    [sym_qualifiers] = STATE(2673),
    [sym_hlsl_attribute] = STATE(2035),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2673),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3021),
    [sym_identifier] = ACTIONS(4901),
    [anon_sym___extension__] = ACTIONS(63),
    [anon_sym_in] = ACTIONS(1480),
    [anon_sym_out] = ACTIONS(1480),
    [anon_sym_inout] = ACTIONS(1480),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(3904),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2096),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(51),
    [anon_sym___clrcall] = ACTIONS(51),
    [anon_sym___stdcall] = ACTIONS(51),
    [anon_sym___fastcall] = ACTIONS(51),
    [anon_sym___thiscall] = ACTIONS(51),
    [anon_sym___vectorcall] = ACTIONS(51),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(4891),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(2891),
    [anon_sym_enum] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(4903),
    [anon_sym_struct] = ACTIONS(4905),
    [anon_sym_union] = ACTIONS(4907),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [anon_sym_virtual] = ACTIONS(123),
    [anon_sym_alignas] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_precise] = ACTIONS(161),
    [anon_sym_shared] = ACTIONS(161),
    [anon_sym_groupshared] = ACTIONS(161),
    [anon_sym_uniform] = ACTIONS(161),
    [anon_sym_row_major] = ACTIONS(161),
    [anon_sym_column_major] = ACTIONS(161),
    [anon_sym_globallycoherent] = ACTIONS(161),
    [anon_sym_centroid] = ACTIONS(161),
    [anon_sym_noperspective] = ACTIONS(161),
    [anon_sym_nointerpolation] = ACTIONS(161),
    [anon_sym_sample] = ACTIONS(161),
    [anon_sym_linear] = ACTIONS(161),
    [anon_sym_snorm] = ACTIONS(161),
    [anon_sym_unorm] = ACTIONS(161),
    [anon_sym_point] = ACTIONS(161),
    [anon_sym_line] = ACTIONS(161),
    [anon_sym_triangleadj] = ACTIONS(161),
    [anon_sym_lineadj] = ACTIONS(161),
    [anon_sym_triangle] = ACTIONS(161),
  },
  [1785] = {
    [sym_function_definition] = STATE(370),
    [sym_declaration] = STATE(370),
    [sym__declaration_modifiers] = STATE(2673),
    [sym__declaration_specifiers] = STATE(5843),
    [sym_attribute_specifier] = STATE(2673),
    [sym_attribute_declaration] = STATE(2673),
    [sym_ms_declspec_modifier] = STATE(2673),
    [sym_ms_call_modifier] = STATE(2586),
    [sym_storage_class_specifier] = STATE(2673),
    [sym_type_qualifier] = STATE(2673),
    [sym__type_specifier] = STATE(2827),
    [sym_sized_type_specifier] = STATE(3085),
    [sym_enum_specifier] = STATE(3085),
    [sym_struct_specifier] = STATE(3085),
    [sym_union_specifier] = STATE(3085),
    [sym_placeholder_type_specifier] = STATE(3085),
    [sym_decltype_auto] = STATE(3091),
    [sym_decltype] = STATE(3050),
    [sym_class_specifier] = STATE(3085),
    [sym__class_name] = STATE(9572),
    [sym_virtual] = STATE(2673),
    [sym_alignas_specifier] = STATE(2673),
    [sym_dependent_type] = STATE(3085),
    [sym_template_type] = STATE(3224),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(7887),
    [sym_qualified_type_identifier] = STATE(3223),
    [sym_qualifiers] = STATE(2673),
    [sym_hlsl_attribute] = STATE(2005),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2673),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3021),
    [sym_identifier] = ACTIONS(4901),
    [anon_sym___extension__] = ACTIONS(63),
    [anon_sym_in] = ACTIONS(1480),
    [anon_sym_out] = ACTIONS(1480),
    [anon_sym_inout] = ACTIONS(1480),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(3904),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2096),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(51),
    [anon_sym___clrcall] = ACTIONS(51),
    [anon_sym___stdcall] = ACTIONS(51),
    [anon_sym___fastcall] = ACTIONS(51),
    [anon_sym___thiscall] = ACTIONS(51),
    [anon_sym___vectorcall] = ACTIONS(51),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(4891),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(2891),
    [anon_sym_enum] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(4909),
    [anon_sym_struct] = ACTIONS(4911),
    [anon_sym_union] = ACTIONS(4913),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [anon_sym_virtual] = ACTIONS(123),
    [anon_sym_alignas] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_precise] = ACTIONS(161),
    [anon_sym_shared] = ACTIONS(161),
    [anon_sym_groupshared] = ACTIONS(161),
    [anon_sym_uniform] = ACTIONS(161),
    [anon_sym_row_major] = ACTIONS(161),
    [anon_sym_column_major] = ACTIONS(161),
    [anon_sym_globallycoherent] = ACTIONS(161),
    [anon_sym_centroid] = ACTIONS(161),
    [anon_sym_noperspective] = ACTIONS(161),
    [anon_sym_nointerpolation] = ACTIONS(161),
    [anon_sym_sample] = ACTIONS(161),
    [anon_sym_linear] = ACTIONS(161),
    [anon_sym_snorm] = ACTIONS(161),
    [anon_sym_unorm] = ACTIONS(161),
    [anon_sym_point] = ACTIONS(161),
    [anon_sym_line] = ACTIONS(161),
    [anon_sym_triangleadj] = ACTIONS(161),
    [anon_sym_lineadj] = ACTIONS(161),
    [anon_sym_triangle] = ACTIONS(161),
  },
  [1786] = {
    [sym_function_definition] = STATE(1275),
    [sym_declaration] = STATE(1275),
    [sym__declaration_modifiers] = STATE(2673),
    [sym__declaration_specifiers] = STATE(5893),
    [sym_attribute_specifier] = STATE(2673),
    [sym_attribute_declaration] = STATE(2673),
    [sym_ms_declspec_modifier] = STATE(2673),
    [sym_ms_call_modifier] = STATE(2630),
    [sym_storage_class_specifier] = STATE(2673),
    [sym_type_qualifier] = STATE(2673),
    [sym__type_specifier] = STATE(2827),
    [sym_sized_type_specifier] = STATE(3085),
    [sym_enum_specifier] = STATE(3085),
    [sym_struct_specifier] = STATE(3085),
    [sym_union_specifier] = STATE(3085),
    [sym_placeholder_type_specifier] = STATE(3085),
    [sym_decltype_auto] = STATE(3091),
    [sym_decltype] = STATE(3050),
    [sym_class_specifier] = STATE(3085),
    [sym__class_name] = STATE(10001),
    [sym_virtual] = STATE(2673),
    [sym_alignas_specifier] = STATE(2673),
    [sym_dependent_type] = STATE(3085),
    [sym_template_type] = STATE(3224),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(7887),
    [sym_qualified_type_identifier] = STATE(3223),
    [sym_qualifiers] = STATE(2673),
    [sym_hlsl_attribute] = STATE(1973),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2673),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3021),
    [sym_identifier] = ACTIONS(4901),
    [anon_sym___extension__] = ACTIONS(63),
    [anon_sym_in] = ACTIONS(1480),
    [anon_sym_out] = ACTIONS(1480),
    [anon_sym_inout] = ACTIONS(1480),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(3904),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2096),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(51),
    [anon_sym___clrcall] = ACTIONS(51),
    [anon_sym___stdcall] = ACTIONS(51),
    [anon_sym___fastcall] = ACTIONS(51),
    [anon_sym___thiscall] = ACTIONS(51),
    [anon_sym___vectorcall] = ACTIONS(51),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(4891),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(2891),
    [anon_sym_enum] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(4915),
    [anon_sym_struct] = ACTIONS(4917),
    [anon_sym_union] = ACTIONS(4919),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [anon_sym_virtual] = ACTIONS(123),
    [anon_sym_alignas] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_precise] = ACTIONS(161),
    [anon_sym_shared] = ACTIONS(161),
    [anon_sym_groupshared] = ACTIONS(161),
    [anon_sym_uniform] = ACTIONS(161),
    [anon_sym_row_major] = ACTIONS(161),
    [anon_sym_column_major] = ACTIONS(161),
    [anon_sym_globallycoherent] = ACTIONS(161),
    [anon_sym_centroid] = ACTIONS(161),
    [anon_sym_noperspective] = ACTIONS(161),
    [anon_sym_nointerpolation] = ACTIONS(161),
    [anon_sym_sample] = ACTIONS(161),
    [anon_sym_linear] = ACTIONS(161),
    [anon_sym_snorm] = ACTIONS(161),
    [anon_sym_unorm] = ACTIONS(161),
    [anon_sym_point] = ACTIONS(161),
    [anon_sym_line] = ACTIONS(161),
    [anon_sym_triangleadj] = ACTIONS(161),
    [anon_sym_lineadj] = ACTIONS(161),
    [anon_sym_triangle] = ACTIONS(161),
  },
  [1787] = {
    [sym_function_definition] = STATE(1043),
    [sym_declaration] = STATE(1043),
    [sym__declaration_modifiers] = STATE(2673),
    [sym__declaration_specifiers] = STATE(5906),
    [sym_attribute_specifier] = STATE(2673),
    [sym_attribute_declaration] = STATE(2673),
    [sym_ms_declspec_modifier] = STATE(2673),
    [sym_ms_call_modifier] = STATE(2574),
    [sym_storage_class_specifier] = STATE(2673),
    [sym_type_qualifier] = STATE(2673),
    [sym__type_specifier] = STATE(2827),
    [sym_sized_type_specifier] = STATE(3085),
    [sym_enum_specifier] = STATE(3085),
    [sym_struct_specifier] = STATE(3085),
    [sym_union_specifier] = STATE(3085),
    [sym_placeholder_type_specifier] = STATE(3085),
    [sym_decltype_auto] = STATE(3091),
    [sym_decltype] = STATE(3050),
    [sym_class_specifier] = STATE(3085),
    [sym__class_name] = STATE(10023),
    [sym_virtual] = STATE(2673),
    [sym_alignas_specifier] = STATE(2673),
    [sym_dependent_type] = STATE(3085),
    [sym_template_type] = STATE(3224),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(7887),
    [sym_qualified_type_identifier] = STATE(3223),
    [sym_qualifiers] = STATE(2673),
    [sym_hlsl_attribute] = STATE(2097),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2673),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3021),
    [sym_identifier] = ACTIONS(4901),
    [anon_sym___extension__] = ACTIONS(63),
    [anon_sym_in] = ACTIONS(1480),
    [anon_sym_out] = ACTIONS(1480),
    [anon_sym_inout] = ACTIONS(1480),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(3904),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2096),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(51),
    [anon_sym___clrcall] = ACTIONS(51),
    [anon_sym___stdcall] = ACTIONS(51),
    [anon_sym___fastcall] = ACTIONS(51),
    [anon_sym___thiscall] = ACTIONS(51),
    [anon_sym___vectorcall] = ACTIONS(51),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(4891),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(2891),
    [anon_sym_enum] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(4921),
    [anon_sym_struct] = ACTIONS(4923),
    [anon_sym_union] = ACTIONS(4925),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [anon_sym_virtual] = ACTIONS(123),
    [anon_sym_alignas] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_precise] = ACTIONS(161),
    [anon_sym_shared] = ACTIONS(161),
    [anon_sym_groupshared] = ACTIONS(161),
    [anon_sym_uniform] = ACTIONS(161),
    [anon_sym_row_major] = ACTIONS(161),
    [anon_sym_column_major] = ACTIONS(161),
    [anon_sym_globallycoherent] = ACTIONS(161),
    [anon_sym_centroid] = ACTIONS(161),
    [anon_sym_noperspective] = ACTIONS(161),
    [anon_sym_nointerpolation] = ACTIONS(161),
    [anon_sym_sample] = ACTIONS(161),
    [anon_sym_linear] = ACTIONS(161),
    [anon_sym_snorm] = ACTIONS(161),
    [anon_sym_unorm] = ACTIONS(161),
    [anon_sym_point] = ACTIONS(161),
    [anon_sym_line] = ACTIONS(161),
    [anon_sym_triangleadj] = ACTIONS(161),
    [anon_sym_lineadj] = ACTIONS(161),
    [anon_sym_triangle] = ACTIONS(161),
  },
  [1788] = {
    [sym_function_definition] = STATE(1145),
    [sym_declaration] = STATE(1145),
    [sym__declaration_modifiers] = STATE(2673),
    [sym__declaration_specifiers] = STATE(5936),
    [sym_attribute_specifier] = STATE(2673),
    [sym_attribute_declaration] = STATE(2673),
    [sym_ms_declspec_modifier] = STATE(2673),
    [sym_ms_call_modifier] = STATE(2627),
    [sym_storage_class_specifier] = STATE(2673),
    [sym_type_qualifier] = STATE(2673),
    [sym__type_specifier] = STATE(2827),
    [sym_sized_type_specifier] = STATE(3085),
    [sym_enum_specifier] = STATE(3085),
    [sym_struct_specifier] = STATE(3085),
    [sym_union_specifier] = STATE(3085),
    [sym_placeholder_type_specifier] = STATE(3085),
    [sym_decltype_auto] = STATE(3091),
    [sym_decltype] = STATE(3050),
    [sym_class_specifier] = STATE(3085),
    [sym__class_name] = STATE(9915),
    [sym_virtual] = STATE(2673),
    [sym_alignas_specifier] = STATE(2673),
    [sym_dependent_type] = STATE(3085),
    [sym_template_type] = STATE(3224),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(7887),
    [sym_qualified_type_identifier] = STATE(3223),
    [sym_qualifiers] = STATE(2673),
    [sym_hlsl_attribute] = STATE(2016),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2673),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3021),
    [sym_identifier] = ACTIONS(4901),
    [anon_sym___extension__] = ACTIONS(63),
    [anon_sym_in] = ACTIONS(1480),
    [anon_sym_out] = ACTIONS(1480),
    [anon_sym_inout] = ACTIONS(1480),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(3904),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2096),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(51),
    [anon_sym___clrcall] = ACTIONS(51),
    [anon_sym___stdcall] = ACTIONS(51),
    [anon_sym___fastcall] = ACTIONS(51),
    [anon_sym___thiscall] = ACTIONS(51),
    [anon_sym___vectorcall] = ACTIONS(51),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(4891),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(2891),
    [anon_sym_enum] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(4927),
    [anon_sym_struct] = ACTIONS(4929),
    [anon_sym_union] = ACTIONS(4931),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [anon_sym_virtual] = ACTIONS(123),
    [anon_sym_alignas] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_precise] = ACTIONS(161),
    [anon_sym_shared] = ACTIONS(161),
    [anon_sym_groupshared] = ACTIONS(161),
    [anon_sym_uniform] = ACTIONS(161),
    [anon_sym_row_major] = ACTIONS(161),
    [anon_sym_column_major] = ACTIONS(161),
    [anon_sym_globallycoherent] = ACTIONS(161),
    [anon_sym_centroid] = ACTIONS(161),
    [anon_sym_noperspective] = ACTIONS(161),
    [anon_sym_nointerpolation] = ACTIONS(161),
    [anon_sym_sample] = ACTIONS(161),
    [anon_sym_linear] = ACTIONS(161),
    [anon_sym_snorm] = ACTIONS(161),
    [anon_sym_unorm] = ACTIONS(161),
    [anon_sym_point] = ACTIONS(161),
    [anon_sym_line] = ACTIONS(161),
    [anon_sym_triangleadj] = ACTIONS(161),
    [anon_sym_lineadj] = ACTIONS(161),
    [anon_sym_triangle] = ACTIONS(161),
  },
  [1789] = {
    [sym_function_definition] = STATE(2735),
    [sym_declaration] = STATE(2735),
    [sym__declaration_modifiers] = STATE(2673),
    [sym__declaration_specifiers] = STATE(5934),
    [sym_attribute_specifier] = STATE(2673),
    [sym_attribute_declaration] = STATE(2673),
    [sym_ms_declspec_modifier] = STATE(2673),
    [sym_ms_call_modifier] = STATE(2587),
    [sym_storage_class_specifier] = STATE(2673),
    [sym_type_qualifier] = STATE(2673),
    [sym__type_specifier] = STATE(2827),
    [sym_sized_type_specifier] = STATE(3085),
    [sym_enum_specifier] = STATE(3085),
    [sym_struct_specifier] = STATE(3085),
    [sym_union_specifier] = STATE(3085),
    [sym_placeholder_type_specifier] = STATE(3085),
    [sym_decltype_auto] = STATE(3091),
    [sym_decltype] = STATE(3050),
    [sym_class_specifier] = STATE(3085),
    [sym__class_name] = STATE(10043),
    [sym_virtual] = STATE(2673),
    [sym_alignas_specifier] = STATE(2673),
    [sym_dependent_type] = STATE(3085),
    [sym_template_type] = STATE(3224),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(7887),
    [sym_qualified_type_identifier] = STATE(3223),
    [sym_qualifiers] = STATE(2673),
    [sym_hlsl_attribute] = STATE(1976),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2673),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3021),
    [sym_identifier] = ACTIONS(4901),
    [anon_sym___extension__] = ACTIONS(63),
    [anon_sym_in] = ACTIONS(1480),
    [anon_sym_out] = ACTIONS(1480),
    [anon_sym_inout] = ACTIONS(1480),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(3904),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2096),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(51),
    [anon_sym___clrcall] = ACTIONS(51),
    [anon_sym___stdcall] = ACTIONS(51),
    [anon_sym___fastcall] = ACTIONS(51),
    [anon_sym___thiscall] = ACTIONS(51),
    [anon_sym___vectorcall] = ACTIONS(51),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(4891),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(2891),
    [anon_sym_enum] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(4933),
    [anon_sym_struct] = ACTIONS(4935),
    [anon_sym_union] = ACTIONS(4937),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [anon_sym_virtual] = ACTIONS(123),
    [anon_sym_alignas] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_precise] = ACTIONS(161),
    [anon_sym_shared] = ACTIONS(161),
    [anon_sym_groupshared] = ACTIONS(161),
    [anon_sym_uniform] = ACTIONS(161),
    [anon_sym_row_major] = ACTIONS(161),
    [anon_sym_column_major] = ACTIONS(161),
    [anon_sym_globallycoherent] = ACTIONS(161),
    [anon_sym_centroid] = ACTIONS(161),
    [anon_sym_noperspective] = ACTIONS(161),
    [anon_sym_nointerpolation] = ACTIONS(161),
    [anon_sym_sample] = ACTIONS(161),
    [anon_sym_linear] = ACTIONS(161),
    [anon_sym_snorm] = ACTIONS(161),
    [anon_sym_unorm] = ACTIONS(161),
    [anon_sym_point] = ACTIONS(161),
    [anon_sym_line] = ACTIONS(161),
    [anon_sym_triangleadj] = ACTIONS(161),
    [anon_sym_lineadj] = ACTIONS(161),
    [anon_sym_triangle] = ACTIONS(161),
  },
  [1790] = {
    [sym_function_definition] = STATE(2968),
    [sym_declaration] = STATE(2968),
    [sym__declaration_modifiers] = STATE(2673),
    [sym__declaration_specifiers] = STATE(5828),
    [sym_attribute_specifier] = STATE(2673),
    [sym_attribute_declaration] = STATE(2673),
    [sym_ms_declspec_modifier] = STATE(2673),
    [sym_ms_call_modifier] = STATE(2567),
    [sym_storage_class_specifier] = STATE(2673),
    [sym_type_qualifier] = STATE(2673),
    [sym__type_specifier] = STATE(2827),
    [sym_sized_type_specifier] = STATE(3085),
    [sym_enum_specifier] = STATE(3085),
    [sym_struct_specifier] = STATE(3085),
    [sym_union_specifier] = STATE(3085),
    [sym_placeholder_type_specifier] = STATE(3085),
    [sym_decltype_auto] = STATE(3091),
    [sym_decltype] = STATE(3050),
    [sym_class_specifier] = STATE(3085),
    [sym__class_name] = STATE(10390),
    [sym_virtual] = STATE(2673),
    [sym_alignas_specifier] = STATE(2673),
    [sym_dependent_type] = STATE(3085),
    [sym_template_type] = STATE(3224),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(7887),
    [sym_qualified_type_identifier] = STATE(3223),
    [sym_qualifiers] = STATE(2673),
    [sym_hlsl_attribute] = STATE(1983),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2673),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3021),
    [sym_identifier] = ACTIONS(4901),
    [anon_sym___extension__] = ACTIONS(63),
    [anon_sym_in] = ACTIONS(1480),
    [anon_sym_out] = ACTIONS(1480),
    [anon_sym_inout] = ACTIONS(1480),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(3904),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2096),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(51),
    [anon_sym___clrcall] = ACTIONS(51),
    [anon_sym___stdcall] = ACTIONS(51),
    [anon_sym___fastcall] = ACTIONS(51),
    [anon_sym___thiscall] = ACTIONS(51),
    [anon_sym___vectorcall] = ACTIONS(51),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(4891),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(2891),
    [anon_sym_enum] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(4939),
    [anon_sym_struct] = ACTIONS(4941),
    [anon_sym_union] = ACTIONS(4943),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [anon_sym_virtual] = ACTIONS(123),
    [anon_sym_alignas] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_precise] = ACTIONS(161),
    [anon_sym_shared] = ACTIONS(161),
    [anon_sym_groupshared] = ACTIONS(161),
    [anon_sym_uniform] = ACTIONS(161),
    [anon_sym_row_major] = ACTIONS(161),
    [anon_sym_column_major] = ACTIONS(161),
    [anon_sym_globallycoherent] = ACTIONS(161),
    [anon_sym_centroid] = ACTIONS(161),
    [anon_sym_noperspective] = ACTIONS(161),
    [anon_sym_nointerpolation] = ACTIONS(161),
    [anon_sym_sample] = ACTIONS(161),
    [anon_sym_linear] = ACTIONS(161),
    [anon_sym_snorm] = ACTIONS(161),
    [anon_sym_unorm] = ACTIONS(161),
    [anon_sym_point] = ACTIONS(161),
    [anon_sym_line] = ACTIONS(161),
    [anon_sym_triangleadj] = ACTIONS(161),
    [anon_sym_lineadj] = ACTIONS(161),
    [anon_sym_triangle] = ACTIONS(161),
  },
  [1791] = {
    [sym_function_definition] = STATE(2853),
    [sym_declaration] = STATE(2853),
    [sym__declaration_modifiers] = STATE(2673),
    [sym__declaration_specifiers] = STATE(5912),
    [sym_attribute_specifier] = STATE(2673),
    [sym_attribute_declaration] = STATE(2673),
    [sym_ms_declspec_modifier] = STATE(2673),
    [sym_ms_call_modifier] = STATE(2601),
    [sym_storage_class_specifier] = STATE(2673),
    [sym_type_qualifier] = STATE(2673),
    [sym__type_specifier] = STATE(2827),
    [sym_sized_type_specifier] = STATE(3085),
    [sym_enum_specifier] = STATE(3085),
    [sym_struct_specifier] = STATE(3085),
    [sym_union_specifier] = STATE(3085),
    [sym_placeholder_type_specifier] = STATE(3085),
    [sym_decltype_auto] = STATE(3091),
    [sym_decltype] = STATE(3050),
    [sym_class_specifier] = STATE(3085),
    [sym__class_name] = STATE(9479),
    [sym_virtual] = STATE(2673),
    [sym_alignas_specifier] = STATE(2673),
    [sym_dependent_type] = STATE(3085),
    [sym_template_type] = STATE(3224),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(7887),
    [sym_qualified_type_identifier] = STATE(3223),
    [sym_qualifiers] = STATE(2673),
    [sym_hlsl_attribute] = STATE(2023),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2673),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3021),
    [sym_identifier] = ACTIONS(4901),
    [anon_sym___extension__] = ACTIONS(63),
    [anon_sym_in] = ACTIONS(1480),
    [anon_sym_out] = ACTIONS(1480),
    [anon_sym_inout] = ACTIONS(1480),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(3904),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2096),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(51),
    [anon_sym___clrcall] = ACTIONS(51),
    [anon_sym___stdcall] = ACTIONS(51),
    [anon_sym___fastcall] = ACTIONS(51),
    [anon_sym___thiscall] = ACTIONS(51),
    [anon_sym___vectorcall] = ACTIONS(51),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(4891),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(2891),
    [anon_sym_enum] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(4945),
    [anon_sym_struct] = ACTIONS(4947),
    [anon_sym_union] = ACTIONS(4949),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [anon_sym_virtual] = ACTIONS(123),
    [anon_sym_alignas] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_precise] = ACTIONS(161),
    [anon_sym_shared] = ACTIONS(161),
    [anon_sym_groupshared] = ACTIONS(161),
    [anon_sym_uniform] = ACTIONS(161),
    [anon_sym_row_major] = ACTIONS(161),
    [anon_sym_column_major] = ACTIONS(161),
    [anon_sym_globallycoherent] = ACTIONS(161),
    [anon_sym_centroid] = ACTIONS(161),
    [anon_sym_noperspective] = ACTIONS(161),
    [anon_sym_nointerpolation] = ACTIONS(161),
    [anon_sym_sample] = ACTIONS(161),
    [anon_sym_linear] = ACTIONS(161),
    [anon_sym_snorm] = ACTIONS(161),
    [anon_sym_unorm] = ACTIONS(161),
    [anon_sym_point] = ACTIONS(161),
    [anon_sym_line] = ACTIONS(161),
    [anon_sym_triangleadj] = ACTIONS(161),
    [anon_sym_lineadj] = ACTIONS(161),
    [anon_sym_triangle] = ACTIONS(161),
  },
  [1792] = {
    [sym_function_definition] = STATE(644),
    [sym_declaration] = STATE(644),
    [sym__declaration_modifiers] = STATE(2673),
    [sym__declaration_specifiers] = STATE(5942),
    [sym_attribute_specifier] = STATE(2673),
    [sym_attribute_declaration] = STATE(2673),
    [sym_ms_declspec_modifier] = STATE(2673),
    [sym_ms_call_modifier] = STATE(2637),
    [sym_storage_class_specifier] = STATE(2673),
    [sym_type_qualifier] = STATE(2673),
    [sym__type_specifier] = STATE(2827),
    [sym_sized_type_specifier] = STATE(3085),
    [sym_enum_specifier] = STATE(3085),
    [sym_struct_specifier] = STATE(3085),
    [sym_union_specifier] = STATE(3085),
    [sym_placeholder_type_specifier] = STATE(3085),
    [sym_decltype_auto] = STATE(3091),
    [sym_decltype] = STATE(3050),
    [sym_class_specifier] = STATE(3085),
    [sym__class_name] = STATE(9745),
    [sym_virtual] = STATE(2673),
    [sym_alignas_specifier] = STATE(2673),
    [sym_dependent_type] = STATE(3085),
    [sym_template_type] = STATE(3224),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(7887),
    [sym_qualified_type_identifier] = STATE(3223),
    [sym_qualifiers] = STATE(2673),
    [sym_hlsl_attribute] = STATE(2057),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2673),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3021),
    [sym_identifier] = ACTIONS(4901),
    [anon_sym___extension__] = ACTIONS(63),
    [anon_sym_in] = ACTIONS(1480),
    [anon_sym_out] = ACTIONS(1480),
    [anon_sym_inout] = ACTIONS(1480),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(3904),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2096),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(51),
    [anon_sym___clrcall] = ACTIONS(51),
    [anon_sym___stdcall] = ACTIONS(51),
    [anon_sym___fastcall] = ACTIONS(51),
    [anon_sym___thiscall] = ACTIONS(51),
    [anon_sym___vectorcall] = ACTIONS(51),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(4891),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(2891),
    [anon_sym_enum] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(4951),
    [anon_sym_struct] = ACTIONS(4953),
    [anon_sym_union] = ACTIONS(4955),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [anon_sym_virtual] = ACTIONS(123),
    [anon_sym_alignas] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_precise] = ACTIONS(161),
    [anon_sym_shared] = ACTIONS(161),
    [anon_sym_groupshared] = ACTIONS(161),
    [anon_sym_uniform] = ACTIONS(161),
    [anon_sym_row_major] = ACTIONS(161),
    [anon_sym_column_major] = ACTIONS(161),
    [anon_sym_globallycoherent] = ACTIONS(161),
    [anon_sym_centroid] = ACTIONS(161),
    [anon_sym_noperspective] = ACTIONS(161),
    [anon_sym_nointerpolation] = ACTIONS(161),
    [anon_sym_sample] = ACTIONS(161),
    [anon_sym_linear] = ACTIONS(161),
    [anon_sym_snorm] = ACTIONS(161),
    [anon_sym_unorm] = ACTIONS(161),
    [anon_sym_point] = ACTIONS(161),
    [anon_sym_line] = ACTIONS(161),
    [anon_sym_triangleadj] = ACTIONS(161),
    [anon_sym_lineadj] = ACTIONS(161),
    [anon_sym_triangle] = ACTIONS(161),
  },
  [1793] = {
    [sym_compound_statement] = STATE(8603),
    [sym__expression] = STATE(5544),
    [sym__expression_not_binary] = STATE(5024),
    [sym__string] = STATE(5024),
    [sym_conditional_expression] = STATE(5024),
    [sym_assignment_expression] = STATE(5024),
    [sym_pointer_expression] = STATE(4507),
    [sym_unary_expression] = STATE(5024),
    [sym_binary_expression] = STATE(5024),
    [sym_update_expression] = STATE(5024),
    [sym_cast_expression] = STATE(5024),
    [sym_sizeof_expression] = STATE(5024),
    [sym_alignof_expression] = STATE(5024),
    [sym_offsetof_expression] = STATE(5024),
    [sym_generic_expression] = STATE(5024),
    [sym_subscript_expression] = STATE(4507),
    [sym_call_expression] = STATE(4507),
    [sym_gnu_asm_expression] = STATE(5024),
    [sym_field_expression] = STATE(4507),
    [sym_compound_literal_expression] = STATE(5024),
    [sym_parenthesized_expression] = STATE(4507),
    [sym_initializer_list] = STATE(8603),
    [sym_char_literal] = STATE(5374),
    [sym_concatenated_string] = STATE(5377),
    [sym_string_literal] = STATE(4206),
    [sym_null] = STATE(5024),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9352),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(5024),
    [sym_raw_string_literal] = STATE(4217),
    [sym_co_await_expression] = STATE(5024),
    [sym_new_expression] = STATE(5024),
    [sym_delete_expression] = STATE(5024),
    [sym_requires_clause] = STATE(5024),
    [sym_requires_expression] = STATE(5024),
    [sym_lambda_expression] = STATE(5024),
    [sym_lambda_capture_specifier] = STATE(7184),
    [sym_fold_expression] = STATE(5024),
    [sym_parameter_pack_expansion] = STATE(5024),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6886),
    [sym_qualified_identifier] = STATE(4507),
    [sym_qualified_type_identifier] = STATE(9352),
    [sym_user_defined_literal] = STATE(4507),
    [sym_identifier] = ACTIONS(3140),
    [anon_sym_RPAREN] = ACTIONS(4957),
    [anon_sym_LPAREN2] = ACTIONS(1472),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1474),
    [anon_sym_AMP] = ACTIONS(1474),
    [anon_sym___extension__] = ACTIONS(4959),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(2174),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [sym_primitive_type] = ACTIONS(3146),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [1794] = {
    [sym_compound_statement] = STATE(8840),
    [sym__expression] = STATE(5588),
    [sym__expression_not_binary] = STATE(5024),
    [sym__string] = STATE(5024),
    [sym_conditional_expression] = STATE(5024),
    [sym_assignment_expression] = STATE(5024),
    [sym_pointer_expression] = STATE(4507),
    [sym_unary_expression] = STATE(5024),
    [sym_binary_expression] = STATE(5024),
    [sym_update_expression] = STATE(5024),
    [sym_cast_expression] = STATE(5024),
    [sym_sizeof_expression] = STATE(5024),
    [sym_alignof_expression] = STATE(5024),
    [sym_offsetof_expression] = STATE(5024),
    [sym_generic_expression] = STATE(5024),
    [sym_subscript_expression] = STATE(4507),
    [sym_call_expression] = STATE(4507),
    [sym_gnu_asm_expression] = STATE(5024),
    [sym_field_expression] = STATE(4507),
    [sym_compound_literal_expression] = STATE(5024),
    [sym_parenthesized_expression] = STATE(4507),
    [sym_initializer_list] = STATE(8840),
    [sym_char_literal] = STATE(5374),
    [sym_concatenated_string] = STATE(5377),
    [sym_string_literal] = STATE(4206),
    [sym_null] = STATE(5024),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9352),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(5024),
    [sym_raw_string_literal] = STATE(4217),
    [sym_co_await_expression] = STATE(5024),
    [sym_new_expression] = STATE(5024),
    [sym_delete_expression] = STATE(5024),
    [sym_requires_clause] = STATE(5024),
    [sym_requires_expression] = STATE(5024),
    [sym_lambda_expression] = STATE(5024),
    [sym_lambda_capture_specifier] = STATE(7184),
    [sym_fold_expression] = STATE(5024),
    [sym_parameter_pack_expansion] = STATE(5024),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6886),
    [sym_qualified_identifier] = STATE(4507),
    [sym_qualified_type_identifier] = STATE(9352),
    [sym_user_defined_literal] = STATE(4507),
    [sym_identifier] = ACTIONS(3140),
    [anon_sym_RPAREN] = ACTIONS(4961),
    [anon_sym_LPAREN2] = ACTIONS(1472),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1474),
    [anon_sym_AMP] = ACTIONS(1474),
    [anon_sym___extension__] = ACTIONS(4963),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(2174),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [sym_primitive_type] = ACTIONS(3146),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [1795] = {
    [sym_compound_statement] = STATE(8941),
    [sym__expression] = STATE(5578),
    [sym__expression_not_binary] = STATE(5024),
    [sym__string] = STATE(5024),
    [sym_conditional_expression] = STATE(5024),
    [sym_assignment_expression] = STATE(5024),
    [sym_pointer_expression] = STATE(4507),
    [sym_unary_expression] = STATE(5024),
    [sym_binary_expression] = STATE(5024),
    [sym_update_expression] = STATE(5024),
    [sym_cast_expression] = STATE(5024),
    [sym_sizeof_expression] = STATE(5024),
    [sym_alignof_expression] = STATE(5024),
    [sym_offsetof_expression] = STATE(5024),
    [sym_generic_expression] = STATE(5024),
    [sym_subscript_expression] = STATE(4507),
    [sym_call_expression] = STATE(4507),
    [sym_gnu_asm_expression] = STATE(5024),
    [sym_field_expression] = STATE(4507),
    [sym_compound_literal_expression] = STATE(5024),
    [sym_parenthesized_expression] = STATE(4507),
    [sym_initializer_list] = STATE(8941),
    [sym_char_literal] = STATE(5374),
    [sym_concatenated_string] = STATE(5377),
    [sym_string_literal] = STATE(4206),
    [sym_null] = STATE(5024),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9352),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(5024),
    [sym_raw_string_literal] = STATE(4217),
    [sym_co_await_expression] = STATE(5024),
    [sym_new_expression] = STATE(5024),
    [sym_delete_expression] = STATE(5024),
    [sym_requires_clause] = STATE(5024),
    [sym_requires_expression] = STATE(5024),
    [sym_lambda_expression] = STATE(5024),
    [sym_lambda_capture_specifier] = STATE(7184),
    [sym_fold_expression] = STATE(5024),
    [sym_parameter_pack_expansion] = STATE(5024),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6886),
    [sym_qualified_identifier] = STATE(4507),
    [sym_qualified_type_identifier] = STATE(9352),
    [sym_user_defined_literal] = STATE(4507),
    [sym_identifier] = ACTIONS(3140),
    [anon_sym_RPAREN] = ACTIONS(4965),
    [anon_sym_LPAREN2] = ACTIONS(1472),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1474),
    [anon_sym_AMP] = ACTIONS(1474),
    [anon_sym___extension__] = ACTIONS(4967),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(2174),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [sym_primitive_type] = ACTIONS(3146),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [1796] = {
    [sym_compound_statement] = STATE(8600),
    [sym__expression] = STATE(5507),
    [sym__expression_not_binary] = STATE(5024),
    [sym__string] = STATE(5024),
    [sym_conditional_expression] = STATE(5024),
    [sym_assignment_expression] = STATE(5024),
    [sym_pointer_expression] = STATE(4507),
    [sym_unary_expression] = STATE(5024),
    [sym_binary_expression] = STATE(5024),
    [sym_update_expression] = STATE(5024),
    [sym_cast_expression] = STATE(5024),
    [sym_sizeof_expression] = STATE(5024),
    [sym_alignof_expression] = STATE(5024),
    [sym_offsetof_expression] = STATE(5024),
    [sym_generic_expression] = STATE(5024),
    [sym_subscript_expression] = STATE(4507),
    [sym_call_expression] = STATE(4507),
    [sym_gnu_asm_expression] = STATE(5024),
    [sym_field_expression] = STATE(4507),
    [sym_compound_literal_expression] = STATE(5024),
    [sym_parenthesized_expression] = STATE(4507),
    [sym_initializer_list] = STATE(8600),
    [sym_char_literal] = STATE(5374),
    [sym_concatenated_string] = STATE(5377),
    [sym_string_literal] = STATE(4206),
    [sym_null] = STATE(5024),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9352),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(5024),
    [sym_raw_string_literal] = STATE(4217),
    [sym_co_await_expression] = STATE(5024),
    [sym_new_expression] = STATE(5024),
    [sym_delete_expression] = STATE(5024),
    [sym_requires_clause] = STATE(5024),
    [sym_requires_expression] = STATE(5024),
    [sym_lambda_expression] = STATE(5024),
    [sym_lambda_capture_specifier] = STATE(7184),
    [sym_fold_expression] = STATE(5024),
    [sym_parameter_pack_expansion] = STATE(5024),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6886),
    [sym_qualified_identifier] = STATE(4507),
    [sym_qualified_type_identifier] = STATE(9352),
    [sym_user_defined_literal] = STATE(4507),
    [sym_identifier] = ACTIONS(3140),
    [anon_sym_RPAREN] = ACTIONS(4969),
    [anon_sym_LPAREN2] = ACTIONS(1472),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1474),
    [anon_sym_AMP] = ACTIONS(1474),
    [anon_sym___extension__] = ACTIONS(4971),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(2174),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [sym_primitive_type] = ACTIONS(3146),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [1797] = {
    [sym_compound_statement] = STATE(8848),
    [sym__expression] = STATE(5612),
    [sym__expression_not_binary] = STATE(5024),
    [sym__string] = STATE(5024),
    [sym_conditional_expression] = STATE(5024),
    [sym_assignment_expression] = STATE(5024),
    [sym_pointer_expression] = STATE(4507),
    [sym_unary_expression] = STATE(5024),
    [sym_binary_expression] = STATE(5024),
    [sym_update_expression] = STATE(5024),
    [sym_cast_expression] = STATE(5024),
    [sym_sizeof_expression] = STATE(5024),
    [sym_alignof_expression] = STATE(5024),
    [sym_offsetof_expression] = STATE(5024),
    [sym_generic_expression] = STATE(5024),
    [sym_subscript_expression] = STATE(4507),
    [sym_call_expression] = STATE(4507),
    [sym_gnu_asm_expression] = STATE(5024),
    [sym_field_expression] = STATE(4507),
    [sym_compound_literal_expression] = STATE(5024),
    [sym_parenthesized_expression] = STATE(4507),
    [sym_initializer_list] = STATE(8848),
    [sym_char_literal] = STATE(5374),
    [sym_concatenated_string] = STATE(5377),
    [sym_string_literal] = STATE(4206),
    [sym_null] = STATE(5024),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9352),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(5024),
    [sym_raw_string_literal] = STATE(4217),
    [sym_co_await_expression] = STATE(5024),
    [sym_new_expression] = STATE(5024),
    [sym_delete_expression] = STATE(5024),
    [sym_requires_clause] = STATE(5024),
    [sym_requires_expression] = STATE(5024),
    [sym_lambda_expression] = STATE(5024),
    [sym_lambda_capture_specifier] = STATE(7184),
    [sym_fold_expression] = STATE(5024),
    [sym_parameter_pack_expansion] = STATE(5024),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6886),
    [sym_qualified_identifier] = STATE(4507),
    [sym_qualified_type_identifier] = STATE(9352),
    [sym_user_defined_literal] = STATE(4507),
    [sym_identifier] = ACTIONS(3140),
    [anon_sym_RPAREN] = ACTIONS(4973),
    [anon_sym_LPAREN2] = ACTIONS(1472),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1474),
    [anon_sym_AMP] = ACTIONS(1474),
    [anon_sym___extension__] = ACTIONS(4975),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(2174),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [sym_primitive_type] = ACTIONS(3146),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [1798] = {
    [sym_compound_statement] = STATE(8720),
    [sym__expression] = STATE(5460),
    [sym__expression_not_binary] = STATE(5024),
    [sym__string] = STATE(5024),
    [sym_conditional_expression] = STATE(5024),
    [sym_assignment_expression] = STATE(5024),
    [sym_pointer_expression] = STATE(4507),
    [sym_unary_expression] = STATE(5024),
    [sym_binary_expression] = STATE(5024),
    [sym_update_expression] = STATE(5024),
    [sym_cast_expression] = STATE(5024),
    [sym_sizeof_expression] = STATE(5024),
    [sym_alignof_expression] = STATE(5024),
    [sym_offsetof_expression] = STATE(5024),
    [sym_generic_expression] = STATE(5024),
    [sym_subscript_expression] = STATE(4507),
    [sym_call_expression] = STATE(4507),
    [sym_gnu_asm_expression] = STATE(5024),
    [sym_field_expression] = STATE(4507),
    [sym_compound_literal_expression] = STATE(5024),
    [sym_parenthesized_expression] = STATE(4507),
    [sym_initializer_list] = STATE(8720),
    [sym_char_literal] = STATE(5374),
    [sym_concatenated_string] = STATE(5377),
    [sym_string_literal] = STATE(4206),
    [sym_null] = STATE(5024),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9352),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(5024),
    [sym_raw_string_literal] = STATE(4217),
    [sym_co_await_expression] = STATE(5024),
    [sym_new_expression] = STATE(5024),
    [sym_delete_expression] = STATE(5024),
    [sym_requires_clause] = STATE(5024),
    [sym_requires_expression] = STATE(5024),
    [sym_lambda_expression] = STATE(5024),
    [sym_lambda_capture_specifier] = STATE(7184),
    [sym_fold_expression] = STATE(5024),
    [sym_parameter_pack_expansion] = STATE(5024),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6886),
    [sym_qualified_identifier] = STATE(4507),
    [sym_qualified_type_identifier] = STATE(9352),
    [sym_user_defined_literal] = STATE(4507),
    [sym_identifier] = ACTIONS(3140),
    [anon_sym_RPAREN] = ACTIONS(4977),
    [anon_sym_LPAREN2] = ACTIONS(1472),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1474),
    [anon_sym_AMP] = ACTIONS(1474),
    [anon_sym___extension__] = ACTIONS(4979),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(2174),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [sym_primitive_type] = ACTIONS(3146),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [1799] = {
    [sym_identifier] = ACTIONS(2254),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4573),
    [anon_sym_COMMA] = ACTIONS(4573),
    [anon_sym_LPAREN2] = ACTIONS(4575),
    [anon_sym_TILDE] = ACTIONS(2256),
    [anon_sym_DASH] = ACTIONS(4578),
    [anon_sym_PLUS] = ACTIONS(4578),
    [anon_sym_STAR] = ACTIONS(4575),
    [anon_sym_SLASH] = ACTIONS(4578),
    [anon_sym_PERCENT] = ACTIONS(4573),
    [anon_sym_PIPE_PIPE] = ACTIONS(4573),
    [anon_sym_AMP_AMP] = ACTIONS(4575),
    [anon_sym_PIPE] = ACTIONS(4578),
    [anon_sym_CARET] = ACTIONS(4573),
    [anon_sym_AMP] = ACTIONS(4580),
    [anon_sym_EQ_EQ] = ACTIONS(4573),
    [anon_sym_BANG_EQ] = ACTIONS(4573),
    [anon_sym_GT] = ACTIONS(4578),
    [anon_sym_GT_EQ] = ACTIONS(4573),
    [anon_sym_LT_EQ] = ACTIONS(4578),
    [anon_sym_LT] = ACTIONS(4578),
    [anon_sym_LT_LT] = ACTIONS(4573),
    [anon_sym_GT_GT] = ACTIONS(4573),
    [anon_sym_SEMI] = ACTIONS(4575),
    [anon_sym___extension__] = ACTIONS(2254),
    [anon_sym_in] = ACTIONS(2254),
    [anon_sym_out] = ACTIONS(2254),
    [anon_sym_inout] = ACTIONS(2254),
    [anon_sym_extern] = ACTIONS(2254),
    [anon_sym___attribute__] = ACTIONS(2254),
    [anon_sym_COLON_COLON] = ACTIONS(2256),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4575),
    [anon_sym___declspec] = ACTIONS(2254),
    [anon_sym___based] = ACTIONS(2254),
    [anon_sym___cdecl] = ACTIONS(2254),
    [anon_sym___clrcall] = ACTIONS(2254),
    [anon_sym___stdcall] = ACTIONS(2254),
    [anon_sym___fastcall] = ACTIONS(2254),
    [anon_sym___thiscall] = ACTIONS(2254),
    [anon_sym___vectorcall] = ACTIONS(2254),
    [anon_sym_LBRACE] = ACTIONS(2256),
    [anon_sym_RBRACE] = ACTIONS(4573),
    [anon_sym_LBRACK] = ACTIONS(4580),
    [anon_sym_static] = ACTIONS(2254),
    [anon_sym_register] = ACTIONS(2254),
    [anon_sym_inline] = ACTIONS(2254),
    [anon_sym___inline] = ACTIONS(2254),
    [anon_sym___inline__] = ACTIONS(2254),
    [anon_sym___forceinline] = ACTIONS(2254),
    [anon_sym_thread_local] = ACTIONS(2254),
    [anon_sym___thread] = ACTIONS(2254),
    [anon_sym_const] = ACTIONS(2254),
    [anon_sym_constexpr] = ACTIONS(2254),
    [anon_sym_volatile] = ACTIONS(2254),
    [anon_sym_restrict] = ACTIONS(2254),
    [anon_sym___restrict__] = ACTIONS(2254),
    [anon_sym__Atomic] = ACTIONS(2254),
    [anon_sym__Noreturn] = ACTIONS(2254),
    [anon_sym_noreturn] = ACTIONS(2254),
    [anon_sym_mutable] = ACTIONS(2254),
    [anon_sym_constinit] = ACTIONS(2254),
    [anon_sym_consteval] = ACTIONS(2254),
    [anon_sym_QMARK] = ACTIONS(4573),
    [anon_sym_LT_EQ_GT] = ACTIONS(4573),
    [anon_sym_or] = ACTIONS(4578),
    [anon_sym_and] = ACTIONS(4578),
    [anon_sym_bitor] = ACTIONS(4578),
    [anon_sym_xor] = ACTIONS(4578),
    [anon_sym_bitand] = ACTIONS(4578),
    [anon_sym_not_eq] = ACTIONS(4578),
    [anon_sym_DASH_DASH] = ACTIONS(4573),
    [anon_sym_PLUS_PLUS] = ACTIONS(4573),
    [anon_sym_DOT] = ACTIONS(4578),
    [anon_sym_DOT_STAR] = ACTIONS(4573),
    [anon_sym_DASH_GT] = ACTIONS(4573),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2254),
    [anon_sym_decltype] = ACTIONS(2254),
    [anon_sym_virtual] = ACTIONS(2254),
    [anon_sym_alignas] = ACTIONS(2254),
    [anon_sym_template] = ACTIONS(2254),
    [anon_sym_operator] = ACTIONS(2254),
    [anon_sym_precise] = ACTIONS(2254),
    [anon_sym_shared] = ACTIONS(2254),
    [anon_sym_groupshared] = ACTIONS(2254),
    [anon_sym_uniform] = ACTIONS(2254),
    [anon_sym_row_major] = ACTIONS(2254),
    [anon_sym_column_major] = ACTIONS(2254),
    [anon_sym_globallycoherent] = ACTIONS(2254),
    [anon_sym_centroid] = ACTIONS(2254),
    [anon_sym_noperspective] = ACTIONS(2254),
    [anon_sym_nointerpolation] = ACTIONS(2254),
    [anon_sym_sample] = ACTIONS(2254),
    [anon_sym_linear] = ACTIONS(2254),
    [anon_sym_snorm] = ACTIONS(2254),
    [anon_sym_unorm] = ACTIONS(2254),
    [anon_sym_point] = ACTIONS(2254),
    [anon_sym_line] = ACTIONS(2254),
    [anon_sym_triangleadj] = ACTIONS(2254),
    [anon_sym_lineadj] = ACTIONS(2254),
    [anon_sym_triangle] = ACTIONS(2254),
  },
  [1800] = {
    [sym_compound_statement] = STATE(8673),
    [sym__expression] = STATE(5539),
    [sym__expression_not_binary] = STATE(5024),
    [sym__string] = STATE(5024),
    [sym_conditional_expression] = STATE(5024),
    [sym_assignment_expression] = STATE(5024),
    [sym_pointer_expression] = STATE(4507),
    [sym_unary_expression] = STATE(5024),
    [sym_binary_expression] = STATE(5024),
    [sym_update_expression] = STATE(5024),
    [sym_cast_expression] = STATE(5024),
    [sym_sizeof_expression] = STATE(5024),
    [sym_alignof_expression] = STATE(5024),
    [sym_offsetof_expression] = STATE(5024),
    [sym_generic_expression] = STATE(5024),
    [sym_subscript_expression] = STATE(4507),
    [sym_call_expression] = STATE(4507),
    [sym_gnu_asm_expression] = STATE(5024),
    [sym_field_expression] = STATE(4507),
    [sym_compound_literal_expression] = STATE(5024),
    [sym_parenthesized_expression] = STATE(4507),
    [sym_initializer_list] = STATE(8673),
    [sym_char_literal] = STATE(5374),
    [sym_concatenated_string] = STATE(5377),
    [sym_string_literal] = STATE(4206),
    [sym_null] = STATE(5024),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9352),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(5024),
    [sym_raw_string_literal] = STATE(4217),
    [sym_co_await_expression] = STATE(5024),
    [sym_new_expression] = STATE(5024),
    [sym_delete_expression] = STATE(5024),
    [sym_requires_clause] = STATE(5024),
    [sym_requires_expression] = STATE(5024),
    [sym_lambda_expression] = STATE(5024),
    [sym_lambda_capture_specifier] = STATE(7184),
    [sym_fold_expression] = STATE(5024),
    [sym_parameter_pack_expansion] = STATE(5024),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6886),
    [sym_qualified_identifier] = STATE(4507),
    [sym_qualified_type_identifier] = STATE(9352),
    [sym_user_defined_literal] = STATE(4507),
    [sym_identifier] = ACTIONS(3140),
    [anon_sym_RPAREN] = ACTIONS(4981),
    [anon_sym_LPAREN2] = ACTIONS(1472),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1474),
    [anon_sym_AMP] = ACTIONS(1474),
    [anon_sym___extension__] = ACTIONS(4983),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(2174),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [sym_primitive_type] = ACTIONS(3146),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [1801] = {
    [sym_compound_statement] = STATE(8805),
    [sym__expression] = STATE(5617),
    [sym__expression_not_binary] = STATE(5024),
    [sym__string] = STATE(5024),
    [sym_conditional_expression] = STATE(5024),
    [sym_assignment_expression] = STATE(5024),
    [sym_pointer_expression] = STATE(4507),
    [sym_unary_expression] = STATE(5024),
    [sym_binary_expression] = STATE(5024),
    [sym_update_expression] = STATE(5024),
    [sym_cast_expression] = STATE(5024),
    [sym_sizeof_expression] = STATE(5024),
    [sym_alignof_expression] = STATE(5024),
    [sym_offsetof_expression] = STATE(5024),
    [sym_generic_expression] = STATE(5024),
    [sym_subscript_expression] = STATE(4507),
    [sym_call_expression] = STATE(4507),
    [sym_gnu_asm_expression] = STATE(5024),
    [sym_field_expression] = STATE(4507),
    [sym_compound_literal_expression] = STATE(5024),
    [sym_parenthesized_expression] = STATE(4507),
    [sym_initializer_list] = STATE(8805),
    [sym_char_literal] = STATE(5374),
    [sym_concatenated_string] = STATE(5377),
    [sym_string_literal] = STATE(4206),
    [sym_null] = STATE(5024),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9352),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(5024),
    [sym_raw_string_literal] = STATE(4217),
    [sym_co_await_expression] = STATE(5024),
    [sym_new_expression] = STATE(5024),
    [sym_delete_expression] = STATE(5024),
    [sym_requires_clause] = STATE(5024),
    [sym_requires_expression] = STATE(5024),
    [sym_lambda_expression] = STATE(5024),
    [sym_lambda_capture_specifier] = STATE(7184),
    [sym_fold_expression] = STATE(5024),
    [sym_parameter_pack_expansion] = STATE(5024),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6886),
    [sym_qualified_identifier] = STATE(4507),
    [sym_qualified_type_identifier] = STATE(9352),
    [sym_user_defined_literal] = STATE(4507),
    [sym_identifier] = ACTIONS(3140),
    [anon_sym_RPAREN] = ACTIONS(4985),
    [anon_sym_LPAREN2] = ACTIONS(1472),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1474),
    [anon_sym_AMP] = ACTIONS(1474),
    [anon_sym___extension__] = ACTIONS(4987),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(2174),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [sym_primitive_type] = ACTIONS(3146),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [1802] = {
    [sym_compound_statement] = STATE(8747),
    [sym__expression] = STATE(5468),
    [sym__expression_not_binary] = STATE(5024),
    [sym__string] = STATE(5024),
    [sym_conditional_expression] = STATE(5024),
    [sym_assignment_expression] = STATE(5024),
    [sym_pointer_expression] = STATE(4507),
    [sym_unary_expression] = STATE(5024),
    [sym_binary_expression] = STATE(5024),
    [sym_update_expression] = STATE(5024),
    [sym_cast_expression] = STATE(5024),
    [sym_sizeof_expression] = STATE(5024),
    [sym_alignof_expression] = STATE(5024),
    [sym_offsetof_expression] = STATE(5024),
    [sym_generic_expression] = STATE(5024),
    [sym_subscript_expression] = STATE(4507),
    [sym_call_expression] = STATE(4507),
    [sym_gnu_asm_expression] = STATE(5024),
    [sym_field_expression] = STATE(4507),
    [sym_compound_literal_expression] = STATE(5024),
    [sym_parenthesized_expression] = STATE(4507),
    [sym_initializer_list] = STATE(8747),
    [sym_char_literal] = STATE(5374),
    [sym_concatenated_string] = STATE(5377),
    [sym_string_literal] = STATE(4206),
    [sym_null] = STATE(5024),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9352),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(5024),
    [sym_raw_string_literal] = STATE(4217),
    [sym_co_await_expression] = STATE(5024),
    [sym_new_expression] = STATE(5024),
    [sym_delete_expression] = STATE(5024),
    [sym_requires_clause] = STATE(5024),
    [sym_requires_expression] = STATE(5024),
    [sym_lambda_expression] = STATE(5024),
    [sym_lambda_capture_specifier] = STATE(7184),
    [sym_fold_expression] = STATE(5024),
    [sym_parameter_pack_expansion] = STATE(5024),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6886),
    [sym_qualified_identifier] = STATE(4507),
    [sym_qualified_type_identifier] = STATE(9352),
    [sym_user_defined_literal] = STATE(4507),
    [sym_identifier] = ACTIONS(3140),
    [anon_sym_RPAREN] = ACTIONS(4989),
    [anon_sym_LPAREN2] = ACTIONS(1472),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1474),
    [anon_sym_AMP] = ACTIONS(1474),
    [anon_sym___extension__] = ACTIONS(4991),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(2174),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [sym_primitive_type] = ACTIONS(3146),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [1803] = {
    [sym__expression] = STATE(5707),
    [sym__expression_not_binary] = STATE(5024),
    [sym__string] = STATE(5024),
    [sym_comma_expression] = STATE(9695),
    [sym_conditional_expression] = STATE(5024),
    [sym_assignment_expression] = STATE(5024),
    [sym_pointer_expression] = STATE(4507),
    [sym_unary_expression] = STATE(5024),
    [sym_binary_expression] = STATE(5024),
    [sym_update_expression] = STATE(5024),
    [sym_cast_expression] = STATE(5024),
    [sym_sizeof_expression] = STATE(5024),
    [sym_alignof_expression] = STATE(5024),
    [sym_offsetof_expression] = STATE(5024),
    [sym_generic_expression] = STATE(5024),
    [sym_subscript_expression] = STATE(4507),
    [sym_call_expression] = STATE(4507),
    [sym_gnu_asm_expression] = STATE(5024),
    [sym_field_expression] = STATE(4507),
    [sym_compound_literal_expression] = STATE(5024),
    [sym_parenthesized_expression] = STATE(4507),
    [sym_initializer_list] = STATE(9695),
    [sym_char_literal] = STATE(5374),
    [sym_concatenated_string] = STATE(5377),
    [sym_string_literal] = STATE(4206),
    [sym_null] = STATE(5024),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9352),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(5024),
    [sym_raw_string_literal] = STATE(4217),
    [sym_co_await_expression] = STATE(5024),
    [sym_new_expression] = STATE(5024),
    [sym_delete_expression] = STATE(5024),
    [sym_requires_clause] = STATE(5024),
    [sym_requires_expression] = STATE(5024),
    [sym_lambda_expression] = STATE(5024),
    [sym_lambda_capture_specifier] = STATE(7184),
    [sym_fold_expression] = STATE(5024),
    [sym_parameter_pack_expansion] = STATE(5024),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6886),
    [sym_qualified_identifier] = STATE(4507),
    [sym_qualified_type_identifier] = STATE(9352),
    [sym_user_defined_literal] = STATE(4507),
    [sym_identifier] = ACTIONS(3140),
    [anon_sym_LPAREN2] = ACTIONS(1472),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1474),
    [anon_sym_AMP] = ACTIONS(1474),
    [anon_sym_SEMI] = ACTIONS(4993),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(4413),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [sym_primitive_type] = ACTIONS(3146),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [1804] = {
    [sym__expression] = STATE(4457),
    [sym__expression_not_binary] = STATE(4939),
    [sym__string] = STATE(4939),
    [sym_conditional_expression] = STATE(4939),
    [sym_assignment_expression] = STATE(4939),
    [sym_pointer_expression] = STATE(4521),
    [sym_unary_expression] = STATE(4939),
    [sym_binary_expression] = STATE(4939),
    [sym_update_expression] = STATE(4939),
    [sym_cast_expression] = STATE(4939),
    [sym_sizeof_expression] = STATE(4939),
    [sym_alignof_expression] = STATE(4939),
    [sym_offsetof_expression] = STATE(4939),
    [sym_generic_expression] = STATE(4939),
    [sym_subscript_expression] = STATE(4521),
    [sym_call_expression] = STATE(4521),
    [sym_gnu_asm_expression] = STATE(4939),
    [sym_field_expression] = STATE(4521),
    [sym_compound_literal_expression] = STATE(4939),
    [sym_parenthesized_expression] = STATE(4521),
    [sym_char_literal] = STATE(4856),
    [sym_concatenated_string] = STATE(4876),
    [sym_string_literal] = STATE(3630),
    [sym_null] = STATE(4939),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9415),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(4939),
    [sym_raw_string_literal] = STATE(3632),
    [sym_co_await_expression] = STATE(4939),
    [sym_new_expression] = STATE(4939),
    [sym_delete_expression] = STATE(4939),
    [sym_requires_clause] = STATE(4939),
    [sym_requires_expression] = STATE(4939),
    [sym_lambda_expression] = STATE(4939),
    [sym_lambda_capture_specifier] = STATE(7190),
    [sym__unary_left_fold] = STATE(9858),
    [sym__unary_right_fold] = STATE(9856),
    [sym__binary_fold] = STATE(9853),
    [sym_fold_expression] = STATE(4939),
    [sym_parameter_pack_expansion] = STATE(4939),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6899),
    [sym_qualified_identifier] = STATE(4521),
    [sym_qualified_type_identifier] = STATE(9415),
    [sym_user_defined_literal] = STATE(4521),
    [sym_identifier] = ACTIONS(4178),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2106),
    [anon_sym_LPAREN2] = ACTIONS(2110),
    [anon_sym_BANG] = ACTIONS(2112),
    [anon_sym_TILDE] = ACTIONS(2112),
    [anon_sym_DASH] = ACTIONS(2114),
    [anon_sym_PLUS] = ACTIONS(2114),
    [anon_sym_STAR] = ACTIONS(2116),
    [anon_sym_AMP] = ACTIONS(2116),
    [anon_sym_COLON_COLON] = ACTIONS(2120),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [sym_primitive_type] = ACTIONS(4182),
    [anon_sym_not] = ACTIONS(2114),
    [anon_sym_compl] = ACTIONS(2114),
    [anon_sym_DASH_DASH] = ACTIONS(2132),
    [anon_sym_PLUS_PLUS] = ACTIONS(2132),
    [anon_sym_sizeof] = ACTIONS(2134),
    [anon_sym___alignof__] = ACTIONS(2136),
    [anon_sym___alignof] = ACTIONS(2136),
    [anon_sym__alignof] = ACTIONS(2136),
    [anon_sym_alignof] = ACTIONS(2136),
    [anon_sym__Alignof] = ACTIONS(2136),
    [anon_sym_offsetof] = ACTIONS(2138),
    [anon_sym__Generic] = ACTIONS(2140),
    [anon_sym_asm] = ACTIONS(2142),
    [anon_sym___asm__] = ACTIONS(2142),
    [sym_number_literal] = ACTIONS(2144),
    [anon_sym_L_SQUOTE] = ACTIONS(2146),
    [anon_sym_u_SQUOTE] = ACTIONS(2146),
    [anon_sym_U_SQUOTE] = ACTIONS(2146),
    [anon_sym_u8_SQUOTE] = ACTIONS(2146),
    [anon_sym_SQUOTE] = ACTIONS(2146),
    [anon_sym_L_DQUOTE] = ACTIONS(2148),
    [anon_sym_u_DQUOTE] = ACTIONS(2148),
    [anon_sym_U_DQUOTE] = ACTIONS(2148),
    [anon_sym_u8_DQUOTE] = ACTIONS(2148),
    [anon_sym_DQUOTE] = ACTIONS(2148),
    [sym_true] = ACTIONS(2150),
    [sym_false] = ACTIONS(2150),
    [anon_sym_NULL] = ACTIONS(2152),
    [anon_sym_nullptr] = ACTIONS(2152),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(2156),
    [anon_sym_R_DQUOTE] = ACTIONS(2158),
    [anon_sym_LR_DQUOTE] = ACTIONS(2158),
    [anon_sym_uR_DQUOTE] = ACTIONS(2158),
    [anon_sym_UR_DQUOTE] = ACTIONS(2158),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2158),
    [anon_sym_co_await] = ACTIONS(2160),
    [anon_sym_new] = ACTIONS(2162),
    [anon_sym_requires] = ACTIONS(2164),
    [sym_this] = ACTIONS(2150),
  },
  [1805] = {
    [sym__expression] = STATE(4435),
    [sym__expression_not_binary] = STATE(4939),
    [sym__string] = STATE(4939),
    [sym_conditional_expression] = STATE(4939),
    [sym_assignment_expression] = STATE(4939),
    [sym_pointer_expression] = STATE(4521),
    [sym_unary_expression] = STATE(4939),
    [sym_binary_expression] = STATE(4939),
    [sym_update_expression] = STATE(4939),
    [sym_cast_expression] = STATE(4939),
    [sym_sizeof_expression] = STATE(4939),
    [sym_alignof_expression] = STATE(4939),
    [sym_offsetof_expression] = STATE(4939),
    [sym_generic_expression] = STATE(4939),
    [sym_subscript_expression] = STATE(4521),
    [sym_call_expression] = STATE(4521),
    [sym_gnu_asm_expression] = STATE(4939),
    [sym_field_expression] = STATE(4521),
    [sym_compound_literal_expression] = STATE(4939),
    [sym_parenthesized_expression] = STATE(4521),
    [sym_char_literal] = STATE(4856),
    [sym_concatenated_string] = STATE(4876),
    [sym_string_literal] = STATE(3630),
    [sym_null] = STATE(4939),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9415),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(4939),
    [sym_raw_string_literal] = STATE(3632),
    [sym_co_await_expression] = STATE(4939),
    [sym_new_expression] = STATE(4939),
    [sym_delete_expression] = STATE(4939),
    [sym_requires_clause] = STATE(4939),
    [sym_requires_expression] = STATE(4939),
    [sym_lambda_expression] = STATE(4939),
    [sym_lambda_capture_specifier] = STATE(7190),
    [sym__unary_left_fold] = STATE(10396),
    [sym__unary_right_fold] = STATE(10394),
    [sym__binary_fold] = STATE(10392),
    [sym_fold_expression] = STATE(4939),
    [sym_parameter_pack_expansion] = STATE(4939),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6899),
    [sym_qualified_identifier] = STATE(4521),
    [sym_qualified_type_identifier] = STATE(9415),
    [sym_user_defined_literal] = STATE(4521),
    [sym_identifier] = ACTIONS(4178),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2106),
    [anon_sym_LPAREN2] = ACTIONS(2110),
    [anon_sym_BANG] = ACTIONS(2112),
    [anon_sym_TILDE] = ACTIONS(2112),
    [anon_sym_DASH] = ACTIONS(2114),
    [anon_sym_PLUS] = ACTIONS(2114),
    [anon_sym_STAR] = ACTIONS(2116),
    [anon_sym_AMP] = ACTIONS(2116),
    [anon_sym_COLON_COLON] = ACTIONS(2120),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [sym_primitive_type] = ACTIONS(4182),
    [anon_sym_not] = ACTIONS(2114),
    [anon_sym_compl] = ACTIONS(2114),
    [anon_sym_DASH_DASH] = ACTIONS(2132),
    [anon_sym_PLUS_PLUS] = ACTIONS(2132),
    [anon_sym_sizeof] = ACTIONS(2134),
    [anon_sym___alignof__] = ACTIONS(2136),
    [anon_sym___alignof] = ACTIONS(2136),
    [anon_sym__alignof] = ACTIONS(2136),
    [anon_sym_alignof] = ACTIONS(2136),
    [anon_sym__Alignof] = ACTIONS(2136),
    [anon_sym_offsetof] = ACTIONS(2138),
    [anon_sym__Generic] = ACTIONS(2140),
    [anon_sym_asm] = ACTIONS(2142),
    [anon_sym___asm__] = ACTIONS(2142),
    [sym_number_literal] = ACTIONS(2144),
    [anon_sym_L_SQUOTE] = ACTIONS(2146),
    [anon_sym_u_SQUOTE] = ACTIONS(2146),
    [anon_sym_U_SQUOTE] = ACTIONS(2146),
    [anon_sym_u8_SQUOTE] = ACTIONS(2146),
    [anon_sym_SQUOTE] = ACTIONS(2146),
    [anon_sym_L_DQUOTE] = ACTIONS(2148),
    [anon_sym_u_DQUOTE] = ACTIONS(2148),
    [anon_sym_U_DQUOTE] = ACTIONS(2148),
    [anon_sym_u8_DQUOTE] = ACTIONS(2148),
    [anon_sym_DQUOTE] = ACTIONS(2148),
    [sym_true] = ACTIONS(2150),
    [sym_false] = ACTIONS(2150),
    [anon_sym_NULL] = ACTIONS(2152),
    [anon_sym_nullptr] = ACTIONS(2152),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(2156),
    [anon_sym_R_DQUOTE] = ACTIONS(2158),
    [anon_sym_LR_DQUOTE] = ACTIONS(2158),
    [anon_sym_uR_DQUOTE] = ACTIONS(2158),
    [anon_sym_UR_DQUOTE] = ACTIONS(2158),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2158),
    [anon_sym_co_await] = ACTIONS(2160),
    [anon_sym_new] = ACTIONS(2162),
    [anon_sym_requires] = ACTIONS(2164),
    [sym_this] = ACTIONS(2150),
  },
  [1806] = {
    [sym__expression] = STATE(4429),
    [sym__expression_not_binary] = STATE(4939),
    [sym__string] = STATE(4939),
    [sym_conditional_expression] = STATE(4939),
    [sym_assignment_expression] = STATE(4939),
    [sym_pointer_expression] = STATE(4521),
    [sym_unary_expression] = STATE(4939),
    [sym_binary_expression] = STATE(4939),
    [sym_update_expression] = STATE(4939),
    [sym_cast_expression] = STATE(4939),
    [sym_sizeof_expression] = STATE(4939),
    [sym_alignof_expression] = STATE(4939),
    [sym_offsetof_expression] = STATE(4939),
    [sym_generic_expression] = STATE(4939),
    [sym_subscript_expression] = STATE(4521),
    [sym_call_expression] = STATE(4521),
    [sym_gnu_asm_expression] = STATE(4939),
    [sym_field_expression] = STATE(4521),
    [sym_compound_literal_expression] = STATE(4939),
    [sym_parenthesized_expression] = STATE(4521),
    [sym_char_literal] = STATE(4856),
    [sym_concatenated_string] = STATE(4876),
    [sym_string_literal] = STATE(3630),
    [sym_null] = STATE(4939),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9415),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(4939),
    [sym_raw_string_literal] = STATE(3632),
    [sym_co_await_expression] = STATE(4939),
    [sym_new_expression] = STATE(4939),
    [sym_delete_expression] = STATE(4939),
    [sym_requires_clause] = STATE(4939),
    [sym_requires_expression] = STATE(4939),
    [sym_lambda_expression] = STATE(4939),
    [sym_lambda_capture_specifier] = STATE(7190),
    [sym__unary_left_fold] = STATE(10175),
    [sym__unary_right_fold] = STATE(10270),
    [sym__binary_fold] = STATE(10183),
    [sym_fold_expression] = STATE(4939),
    [sym_parameter_pack_expansion] = STATE(4939),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6899),
    [sym_qualified_identifier] = STATE(4521),
    [sym_qualified_type_identifier] = STATE(9415),
    [sym_user_defined_literal] = STATE(4521),
    [sym_identifier] = ACTIONS(4178),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2106),
    [anon_sym_LPAREN2] = ACTIONS(2110),
    [anon_sym_BANG] = ACTIONS(2112),
    [anon_sym_TILDE] = ACTIONS(2112),
    [anon_sym_DASH] = ACTIONS(2114),
    [anon_sym_PLUS] = ACTIONS(2114),
    [anon_sym_STAR] = ACTIONS(2116),
    [anon_sym_AMP] = ACTIONS(2116),
    [anon_sym_COLON_COLON] = ACTIONS(2120),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [sym_primitive_type] = ACTIONS(4182),
    [anon_sym_not] = ACTIONS(2114),
    [anon_sym_compl] = ACTIONS(2114),
    [anon_sym_DASH_DASH] = ACTIONS(2132),
    [anon_sym_PLUS_PLUS] = ACTIONS(2132),
    [anon_sym_sizeof] = ACTIONS(2134),
    [anon_sym___alignof__] = ACTIONS(2136),
    [anon_sym___alignof] = ACTIONS(2136),
    [anon_sym__alignof] = ACTIONS(2136),
    [anon_sym_alignof] = ACTIONS(2136),
    [anon_sym__Alignof] = ACTIONS(2136),
    [anon_sym_offsetof] = ACTIONS(2138),
    [anon_sym__Generic] = ACTIONS(2140),
    [anon_sym_asm] = ACTIONS(2142),
    [anon_sym___asm__] = ACTIONS(2142),
    [sym_number_literal] = ACTIONS(2144),
    [anon_sym_L_SQUOTE] = ACTIONS(2146),
    [anon_sym_u_SQUOTE] = ACTIONS(2146),
    [anon_sym_U_SQUOTE] = ACTIONS(2146),
    [anon_sym_u8_SQUOTE] = ACTIONS(2146),
    [anon_sym_SQUOTE] = ACTIONS(2146),
    [anon_sym_L_DQUOTE] = ACTIONS(2148),
    [anon_sym_u_DQUOTE] = ACTIONS(2148),
    [anon_sym_U_DQUOTE] = ACTIONS(2148),
    [anon_sym_u8_DQUOTE] = ACTIONS(2148),
    [anon_sym_DQUOTE] = ACTIONS(2148),
    [sym_true] = ACTIONS(2150),
    [sym_false] = ACTIONS(2150),
    [anon_sym_NULL] = ACTIONS(2152),
    [anon_sym_nullptr] = ACTIONS(2152),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(2156),
    [anon_sym_R_DQUOTE] = ACTIONS(2158),
    [anon_sym_LR_DQUOTE] = ACTIONS(2158),
    [anon_sym_uR_DQUOTE] = ACTIONS(2158),
    [anon_sym_UR_DQUOTE] = ACTIONS(2158),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2158),
    [anon_sym_co_await] = ACTIONS(2160),
    [anon_sym_new] = ACTIONS(2162),
    [anon_sym_requires] = ACTIONS(2164),
    [sym_this] = ACTIONS(2150),
  },
  [1807] = {
    [sym__expression] = STATE(5671),
    [sym__expression_not_binary] = STATE(5024),
    [sym__string] = STATE(5024),
    [sym_comma_expression] = STATE(9529),
    [sym_conditional_expression] = STATE(5024),
    [sym_assignment_expression] = STATE(5024),
    [sym_pointer_expression] = STATE(4507),
    [sym_unary_expression] = STATE(5024),
    [sym_binary_expression] = STATE(5024),
    [sym_update_expression] = STATE(5024),
    [sym_cast_expression] = STATE(5024),
    [sym_sizeof_expression] = STATE(5024),
    [sym_alignof_expression] = STATE(5024),
    [sym_offsetof_expression] = STATE(5024),
    [sym_generic_expression] = STATE(5024),
    [sym_subscript_expression] = STATE(4507),
    [sym_call_expression] = STATE(4507),
    [sym_gnu_asm_expression] = STATE(5024),
    [sym_field_expression] = STATE(4507),
    [sym_compound_literal_expression] = STATE(5024),
    [sym_parenthesized_expression] = STATE(4507),
    [sym_initializer_list] = STATE(9529),
    [sym_char_literal] = STATE(5374),
    [sym_concatenated_string] = STATE(5377),
    [sym_string_literal] = STATE(4206),
    [sym_null] = STATE(5024),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9352),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(5024),
    [sym_raw_string_literal] = STATE(4217),
    [sym_co_await_expression] = STATE(5024),
    [sym_new_expression] = STATE(5024),
    [sym_delete_expression] = STATE(5024),
    [sym_requires_clause] = STATE(5024),
    [sym_requires_expression] = STATE(5024),
    [sym_lambda_expression] = STATE(5024),
    [sym_lambda_capture_specifier] = STATE(7184),
    [sym_fold_expression] = STATE(5024),
    [sym_parameter_pack_expansion] = STATE(5024),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6886),
    [sym_qualified_identifier] = STATE(4507),
    [sym_qualified_type_identifier] = STATE(9352),
    [sym_user_defined_literal] = STATE(4507),
    [sym_identifier] = ACTIONS(3140),
    [anon_sym_LPAREN2] = ACTIONS(1472),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1474),
    [anon_sym_AMP] = ACTIONS(1474),
    [anon_sym_SEMI] = ACTIONS(4995),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(4413),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [sym_primitive_type] = ACTIONS(3146),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [1808] = {
    [sym__expression] = STATE(5630),
    [sym__expression_not_binary] = STATE(5024),
    [sym__string] = STATE(5024),
    [sym_comma_expression] = STATE(9781),
    [sym_conditional_expression] = STATE(5024),
    [sym_assignment_expression] = STATE(5024),
    [sym_pointer_expression] = STATE(4507),
    [sym_unary_expression] = STATE(5024),
    [sym_binary_expression] = STATE(5024),
    [sym_update_expression] = STATE(5024),
    [sym_cast_expression] = STATE(5024),
    [sym_sizeof_expression] = STATE(5024),
    [sym_alignof_expression] = STATE(5024),
    [sym_offsetof_expression] = STATE(5024),
    [sym_generic_expression] = STATE(5024),
    [sym_subscript_expression] = STATE(4507),
    [sym_call_expression] = STATE(4507),
    [sym_gnu_asm_expression] = STATE(5024),
    [sym_field_expression] = STATE(4507),
    [sym_compound_literal_expression] = STATE(5024),
    [sym_parenthesized_expression] = STATE(4507),
    [sym_initializer_list] = STATE(9781),
    [sym_char_literal] = STATE(5374),
    [sym_concatenated_string] = STATE(5377),
    [sym_string_literal] = STATE(4206),
    [sym_null] = STATE(5024),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9352),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(5024),
    [sym_raw_string_literal] = STATE(4217),
    [sym_co_await_expression] = STATE(5024),
    [sym_new_expression] = STATE(5024),
    [sym_delete_expression] = STATE(5024),
    [sym_requires_clause] = STATE(5024),
    [sym_requires_expression] = STATE(5024),
    [sym_lambda_expression] = STATE(5024),
    [sym_lambda_capture_specifier] = STATE(7184),
    [sym_fold_expression] = STATE(5024),
    [sym_parameter_pack_expansion] = STATE(5024),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6886),
    [sym_qualified_identifier] = STATE(4507),
    [sym_qualified_type_identifier] = STATE(9352),
    [sym_user_defined_literal] = STATE(4507),
    [sym_identifier] = ACTIONS(3140),
    [anon_sym_LPAREN2] = ACTIONS(1472),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1474),
    [anon_sym_AMP] = ACTIONS(1474),
    [anon_sym_SEMI] = ACTIONS(4997),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(4413),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [sym_primitive_type] = ACTIONS(3146),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [1809] = {
    [sym__expression] = STATE(4459),
    [sym__expression_not_binary] = STATE(4939),
    [sym__string] = STATE(4939),
    [sym_conditional_expression] = STATE(4939),
    [sym_assignment_expression] = STATE(4939),
    [sym_pointer_expression] = STATE(4521),
    [sym_unary_expression] = STATE(4939),
    [sym_binary_expression] = STATE(4939),
    [sym_update_expression] = STATE(4939),
    [sym_cast_expression] = STATE(4939),
    [sym_sizeof_expression] = STATE(4939),
    [sym_alignof_expression] = STATE(4939),
    [sym_offsetof_expression] = STATE(4939),
    [sym_generic_expression] = STATE(4939),
    [sym_subscript_expression] = STATE(4521),
    [sym_call_expression] = STATE(4521),
    [sym_gnu_asm_expression] = STATE(4939),
    [sym_field_expression] = STATE(4521),
    [sym_compound_literal_expression] = STATE(4939),
    [sym_parenthesized_expression] = STATE(4521),
    [sym_char_literal] = STATE(4856),
    [sym_concatenated_string] = STATE(4876),
    [sym_string_literal] = STATE(3630),
    [sym_null] = STATE(4939),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9415),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(4939),
    [sym_raw_string_literal] = STATE(3632),
    [sym_co_await_expression] = STATE(4939),
    [sym_new_expression] = STATE(4939),
    [sym_delete_expression] = STATE(4939),
    [sym_requires_clause] = STATE(4939),
    [sym_requires_expression] = STATE(4939),
    [sym_lambda_expression] = STATE(4939),
    [sym_lambda_capture_specifier] = STATE(7190),
    [sym__unary_left_fold] = STATE(9974),
    [sym__unary_right_fold] = STATE(9975),
    [sym__binary_fold] = STATE(9979),
    [sym_fold_expression] = STATE(4939),
    [sym_parameter_pack_expansion] = STATE(4939),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6899),
    [sym_qualified_identifier] = STATE(4521),
    [sym_qualified_type_identifier] = STATE(9415),
    [sym_user_defined_literal] = STATE(4521),
    [sym_identifier] = ACTIONS(4178),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2106),
    [anon_sym_LPAREN2] = ACTIONS(2110),
    [anon_sym_BANG] = ACTIONS(2112),
    [anon_sym_TILDE] = ACTIONS(2112),
    [anon_sym_DASH] = ACTIONS(2114),
    [anon_sym_PLUS] = ACTIONS(2114),
    [anon_sym_STAR] = ACTIONS(2116),
    [anon_sym_AMP] = ACTIONS(2116),
    [anon_sym_COLON_COLON] = ACTIONS(2120),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [sym_primitive_type] = ACTIONS(4182),
    [anon_sym_not] = ACTIONS(2114),
    [anon_sym_compl] = ACTIONS(2114),
    [anon_sym_DASH_DASH] = ACTIONS(2132),
    [anon_sym_PLUS_PLUS] = ACTIONS(2132),
    [anon_sym_sizeof] = ACTIONS(2134),
    [anon_sym___alignof__] = ACTIONS(2136),
    [anon_sym___alignof] = ACTIONS(2136),
    [anon_sym__alignof] = ACTIONS(2136),
    [anon_sym_alignof] = ACTIONS(2136),
    [anon_sym__Alignof] = ACTIONS(2136),
    [anon_sym_offsetof] = ACTIONS(2138),
    [anon_sym__Generic] = ACTIONS(2140),
    [anon_sym_asm] = ACTIONS(2142),
    [anon_sym___asm__] = ACTIONS(2142),
    [sym_number_literal] = ACTIONS(2144),
    [anon_sym_L_SQUOTE] = ACTIONS(2146),
    [anon_sym_u_SQUOTE] = ACTIONS(2146),
    [anon_sym_U_SQUOTE] = ACTIONS(2146),
    [anon_sym_u8_SQUOTE] = ACTIONS(2146),
    [anon_sym_SQUOTE] = ACTIONS(2146),
    [anon_sym_L_DQUOTE] = ACTIONS(2148),
    [anon_sym_u_DQUOTE] = ACTIONS(2148),
    [anon_sym_U_DQUOTE] = ACTIONS(2148),
    [anon_sym_u8_DQUOTE] = ACTIONS(2148),
    [anon_sym_DQUOTE] = ACTIONS(2148),
    [sym_true] = ACTIONS(2150),
    [sym_false] = ACTIONS(2150),
    [anon_sym_NULL] = ACTIONS(2152),
    [anon_sym_nullptr] = ACTIONS(2152),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(2156),
    [anon_sym_R_DQUOTE] = ACTIONS(2158),
    [anon_sym_LR_DQUOTE] = ACTIONS(2158),
    [anon_sym_uR_DQUOTE] = ACTIONS(2158),
    [anon_sym_UR_DQUOTE] = ACTIONS(2158),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2158),
    [anon_sym_co_await] = ACTIONS(2160),
    [anon_sym_new] = ACTIONS(2162),
    [anon_sym_requires] = ACTIONS(2164),
    [sym_this] = ACTIONS(2150),
  },
  [1810] = {
    [sym__expression] = STATE(4445),
    [sym__expression_not_binary] = STATE(4939),
    [sym__string] = STATE(4939),
    [sym_conditional_expression] = STATE(4939),
    [sym_assignment_expression] = STATE(4939),
    [sym_pointer_expression] = STATE(4521),
    [sym_unary_expression] = STATE(4939),
    [sym_binary_expression] = STATE(4939),
    [sym_update_expression] = STATE(4939),
    [sym_cast_expression] = STATE(4939),
    [sym_sizeof_expression] = STATE(4939),
    [sym_alignof_expression] = STATE(4939),
    [sym_offsetof_expression] = STATE(4939),
    [sym_generic_expression] = STATE(4939),
    [sym_subscript_expression] = STATE(4521),
    [sym_call_expression] = STATE(4521),
    [sym_gnu_asm_expression] = STATE(4939),
    [sym_field_expression] = STATE(4521),
    [sym_compound_literal_expression] = STATE(4939),
    [sym_parenthesized_expression] = STATE(4521),
    [sym_char_literal] = STATE(4856),
    [sym_concatenated_string] = STATE(4876),
    [sym_string_literal] = STATE(3630),
    [sym_null] = STATE(4939),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9415),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(4939),
    [sym_raw_string_literal] = STATE(3632),
    [sym_co_await_expression] = STATE(4939),
    [sym_new_expression] = STATE(4939),
    [sym_delete_expression] = STATE(4939),
    [sym_requires_clause] = STATE(4939),
    [sym_requires_expression] = STATE(4939),
    [sym_lambda_expression] = STATE(4939),
    [sym_lambda_capture_specifier] = STATE(7190),
    [sym__unary_left_fold] = STATE(10301),
    [sym__unary_right_fold] = STATE(10300),
    [sym__binary_fold] = STATE(10299),
    [sym_fold_expression] = STATE(4939),
    [sym_parameter_pack_expansion] = STATE(4939),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6899),
    [sym_qualified_identifier] = STATE(4521),
    [sym_qualified_type_identifier] = STATE(9415),
    [sym_user_defined_literal] = STATE(4521),
    [sym_identifier] = ACTIONS(4178),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2106),
    [anon_sym_LPAREN2] = ACTIONS(2110),
    [anon_sym_BANG] = ACTIONS(2112),
    [anon_sym_TILDE] = ACTIONS(2112),
    [anon_sym_DASH] = ACTIONS(2114),
    [anon_sym_PLUS] = ACTIONS(2114),
    [anon_sym_STAR] = ACTIONS(2116),
    [anon_sym_AMP] = ACTIONS(2116),
    [anon_sym_COLON_COLON] = ACTIONS(2120),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [sym_primitive_type] = ACTIONS(4182),
    [anon_sym_not] = ACTIONS(2114),
    [anon_sym_compl] = ACTIONS(2114),
    [anon_sym_DASH_DASH] = ACTIONS(2132),
    [anon_sym_PLUS_PLUS] = ACTIONS(2132),
    [anon_sym_sizeof] = ACTIONS(2134),
    [anon_sym___alignof__] = ACTIONS(2136),
    [anon_sym___alignof] = ACTIONS(2136),
    [anon_sym__alignof] = ACTIONS(2136),
    [anon_sym_alignof] = ACTIONS(2136),
    [anon_sym__Alignof] = ACTIONS(2136),
    [anon_sym_offsetof] = ACTIONS(2138),
    [anon_sym__Generic] = ACTIONS(2140),
    [anon_sym_asm] = ACTIONS(2142),
    [anon_sym___asm__] = ACTIONS(2142),
    [sym_number_literal] = ACTIONS(2144),
    [anon_sym_L_SQUOTE] = ACTIONS(2146),
    [anon_sym_u_SQUOTE] = ACTIONS(2146),
    [anon_sym_U_SQUOTE] = ACTIONS(2146),
    [anon_sym_u8_SQUOTE] = ACTIONS(2146),
    [anon_sym_SQUOTE] = ACTIONS(2146),
    [anon_sym_L_DQUOTE] = ACTIONS(2148),
    [anon_sym_u_DQUOTE] = ACTIONS(2148),
    [anon_sym_U_DQUOTE] = ACTIONS(2148),
    [anon_sym_u8_DQUOTE] = ACTIONS(2148),
    [anon_sym_DQUOTE] = ACTIONS(2148),
    [sym_true] = ACTIONS(2150),
    [sym_false] = ACTIONS(2150),
    [anon_sym_NULL] = ACTIONS(2152),
    [anon_sym_nullptr] = ACTIONS(2152),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(2156),
    [anon_sym_R_DQUOTE] = ACTIONS(2158),
    [anon_sym_LR_DQUOTE] = ACTIONS(2158),
    [anon_sym_uR_DQUOTE] = ACTIONS(2158),
    [anon_sym_UR_DQUOTE] = ACTIONS(2158),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2158),
    [anon_sym_co_await] = ACTIONS(2160),
    [anon_sym_new] = ACTIONS(2162),
    [anon_sym_requires] = ACTIONS(2164),
    [sym_this] = ACTIONS(2150),
  },
  [1811] = {
    [sym__expression] = STATE(4464),
    [sym__expression_not_binary] = STATE(4939),
    [sym__string] = STATE(4939),
    [sym_conditional_expression] = STATE(4939),
    [sym_assignment_expression] = STATE(4939),
    [sym_pointer_expression] = STATE(4521),
    [sym_unary_expression] = STATE(4939),
    [sym_binary_expression] = STATE(4939),
    [sym_update_expression] = STATE(4939),
    [sym_cast_expression] = STATE(4939),
    [sym_sizeof_expression] = STATE(4939),
    [sym_alignof_expression] = STATE(4939),
    [sym_offsetof_expression] = STATE(4939),
    [sym_generic_expression] = STATE(4939),
    [sym_subscript_expression] = STATE(4521),
    [sym_call_expression] = STATE(4521),
    [sym_gnu_asm_expression] = STATE(4939),
    [sym_field_expression] = STATE(4521),
    [sym_compound_literal_expression] = STATE(4939),
    [sym_parenthesized_expression] = STATE(4521),
    [sym_char_literal] = STATE(4856),
    [sym_concatenated_string] = STATE(4876),
    [sym_string_literal] = STATE(3630),
    [sym_null] = STATE(4939),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9415),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(4939),
    [sym_raw_string_literal] = STATE(3632),
    [sym_co_await_expression] = STATE(4939),
    [sym_new_expression] = STATE(4939),
    [sym_delete_expression] = STATE(4939),
    [sym_requires_clause] = STATE(4939),
    [sym_requires_expression] = STATE(4939),
    [sym_lambda_expression] = STATE(4939),
    [sym_lambda_capture_specifier] = STATE(7190),
    [sym__unary_left_fold] = STATE(9802),
    [sym__unary_right_fold] = STATE(9803),
    [sym__binary_fold] = STATE(9804),
    [sym_fold_expression] = STATE(4939),
    [sym_parameter_pack_expansion] = STATE(4939),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6899),
    [sym_qualified_identifier] = STATE(4521),
    [sym_qualified_type_identifier] = STATE(9415),
    [sym_user_defined_literal] = STATE(4521),
    [sym_identifier] = ACTIONS(4178),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2106),
    [anon_sym_LPAREN2] = ACTIONS(2110),
    [anon_sym_BANG] = ACTIONS(2112),
    [anon_sym_TILDE] = ACTIONS(2112),
    [anon_sym_DASH] = ACTIONS(2114),
    [anon_sym_PLUS] = ACTIONS(2114),
    [anon_sym_STAR] = ACTIONS(2116),
    [anon_sym_AMP] = ACTIONS(2116),
    [anon_sym_COLON_COLON] = ACTIONS(2120),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [sym_primitive_type] = ACTIONS(4182),
    [anon_sym_not] = ACTIONS(2114),
    [anon_sym_compl] = ACTIONS(2114),
    [anon_sym_DASH_DASH] = ACTIONS(2132),
    [anon_sym_PLUS_PLUS] = ACTIONS(2132),
    [anon_sym_sizeof] = ACTIONS(2134),
    [anon_sym___alignof__] = ACTIONS(2136),
    [anon_sym___alignof] = ACTIONS(2136),
    [anon_sym__alignof] = ACTIONS(2136),
    [anon_sym_alignof] = ACTIONS(2136),
    [anon_sym__Alignof] = ACTIONS(2136),
    [anon_sym_offsetof] = ACTIONS(2138),
    [anon_sym__Generic] = ACTIONS(2140),
    [anon_sym_asm] = ACTIONS(2142),
    [anon_sym___asm__] = ACTIONS(2142),
    [sym_number_literal] = ACTIONS(2144),
    [anon_sym_L_SQUOTE] = ACTIONS(2146),
    [anon_sym_u_SQUOTE] = ACTIONS(2146),
    [anon_sym_U_SQUOTE] = ACTIONS(2146),
    [anon_sym_u8_SQUOTE] = ACTIONS(2146),
    [anon_sym_SQUOTE] = ACTIONS(2146),
    [anon_sym_L_DQUOTE] = ACTIONS(2148),
    [anon_sym_u_DQUOTE] = ACTIONS(2148),
    [anon_sym_U_DQUOTE] = ACTIONS(2148),
    [anon_sym_u8_DQUOTE] = ACTIONS(2148),
    [anon_sym_DQUOTE] = ACTIONS(2148),
    [sym_true] = ACTIONS(2150),
    [sym_false] = ACTIONS(2150),
    [anon_sym_NULL] = ACTIONS(2152),
    [anon_sym_nullptr] = ACTIONS(2152),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(2156),
    [anon_sym_R_DQUOTE] = ACTIONS(2158),
    [anon_sym_LR_DQUOTE] = ACTIONS(2158),
    [anon_sym_uR_DQUOTE] = ACTIONS(2158),
    [anon_sym_UR_DQUOTE] = ACTIONS(2158),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2158),
    [anon_sym_co_await] = ACTIONS(2160),
    [anon_sym_new] = ACTIONS(2162),
    [anon_sym_requires] = ACTIONS(2164),
    [sym_this] = ACTIONS(2150),
  },
  [1812] = {
    [sym__expression] = STATE(4440),
    [sym__expression_not_binary] = STATE(4939),
    [sym__string] = STATE(4939),
    [sym_conditional_expression] = STATE(4939),
    [sym_assignment_expression] = STATE(4939),
    [sym_pointer_expression] = STATE(4521),
    [sym_unary_expression] = STATE(4939),
    [sym_binary_expression] = STATE(4939),
    [sym_update_expression] = STATE(4939),
    [sym_cast_expression] = STATE(4939),
    [sym_sizeof_expression] = STATE(4939),
    [sym_alignof_expression] = STATE(4939),
    [sym_offsetof_expression] = STATE(4939),
    [sym_generic_expression] = STATE(4939),
    [sym_subscript_expression] = STATE(4521),
    [sym_call_expression] = STATE(4521),
    [sym_gnu_asm_expression] = STATE(4939),
    [sym_field_expression] = STATE(4521),
    [sym_compound_literal_expression] = STATE(4939),
    [sym_parenthesized_expression] = STATE(4521),
    [sym_char_literal] = STATE(4856),
    [sym_concatenated_string] = STATE(4876),
    [sym_string_literal] = STATE(3630),
    [sym_null] = STATE(4939),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9415),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(4939),
    [sym_raw_string_literal] = STATE(3632),
    [sym_co_await_expression] = STATE(4939),
    [sym_new_expression] = STATE(4939),
    [sym_delete_expression] = STATE(4939),
    [sym_requires_clause] = STATE(4939),
    [sym_requires_expression] = STATE(4939),
    [sym_lambda_expression] = STATE(4939),
    [sym_lambda_capture_specifier] = STATE(7190),
    [sym__unary_left_fold] = STATE(10247),
    [sym__unary_right_fold] = STATE(10246),
    [sym__binary_fold] = STATE(10245),
    [sym_fold_expression] = STATE(4939),
    [sym_parameter_pack_expansion] = STATE(4939),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6899),
    [sym_qualified_identifier] = STATE(4521),
    [sym_qualified_type_identifier] = STATE(9415),
    [sym_user_defined_literal] = STATE(4521),
    [sym_identifier] = ACTIONS(4178),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2106),
    [anon_sym_LPAREN2] = ACTIONS(2110),
    [anon_sym_BANG] = ACTIONS(2112),
    [anon_sym_TILDE] = ACTIONS(2112),
    [anon_sym_DASH] = ACTIONS(2114),
    [anon_sym_PLUS] = ACTIONS(2114),
    [anon_sym_STAR] = ACTIONS(2116),
    [anon_sym_AMP] = ACTIONS(2116),
    [anon_sym_COLON_COLON] = ACTIONS(2120),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [sym_primitive_type] = ACTIONS(4182),
    [anon_sym_not] = ACTIONS(2114),
    [anon_sym_compl] = ACTIONS(2114),
    [anon_sym_DASH_DASH] = ACTIONS(2132),
    [anon_sym_PLUS_PLUS] = ACTIONS(2132),
    [anon_sym_sizeof] = ACTIONS(2134),
    [anon_sym___alignof__] = ACTIONS(2136),
    [anon_sym___alignof] = ACTIONS(2136),
    [anon_sym__alignof] = ACTIONS(2136),
    [anon_sym_alignof] = ACTIONS(2136),
    [anon_sym__Alignof] = ACTIONS(2136),
    [anon_sym_offsetof] = ACTIONS(2138),
    [anon_sym__Generic] = ACTIONS(2140),
    [anon_sym_asm] = ACTIONS(2142),
    [anon_sym___asm__] = ACTIONS(2142),
    [sym_number_literal] = ACTIONS(2144),
    [anon_sym_L_SQUOTE] = ACTIONS(2146),
    [anon_sym_u_SQUOTE] = ACTIONS(2146),
    [anon_sym_U_SQUOTE] = ACTIONS(2146),
    [anon_sym_u8_SQUOTE] = ACTIONS(2146),
    [anon_sym_SQUOTE] = ACTIONS(2146),
    [anon_sym_L_DQUOTE] = ACTIONS(2148),
    [anon_sym_u_DQUOTE] = ACTIONS(2148),
    [anon_sym_U_DQUOTE] = ACTIONS(2148),
    [anon_sym_u8_DQUOTE] = ACTIONS(2148),
    [anon_sym_DQUOTE] = ACTIONS(2148),
    [sym_true] = ACTIONS(2150),
    [sym_false] = ACTIONS(2150),
    [anon_sym_NULL] = ACTIONS(2152),
    [anon_sym_nullptr] = ACTIONS(2152),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(2156),
    [anon_sym_R_DQUOTE] = ACTIONS(2158),
    [anon_sym_LR_DQUOTE] = ACTIONS(2158),
    [anon_sym_uR_DQUOTE] = ACTIONS(2158),
    [anon_sym_UR_DQUOTE] = ACTIONS(2158),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2158),
    [anon_sym_co_await] = ACTIONS(2160),
    [anon_sym_new] = ACTIONS(2162),
    [anon_sym_requires] = ACTIONS(2164),
    [sym_this] = ACTIONS(2150),
  },
  [1813] = {
    [sym__expression] = STATE(4433),
    [sym__expression_not_binary] = STATE(4939),
    [sym__string] = STATE(4939),
    [sym_conditional_expression] = STATE(4939),
    [sym_assignment_expression] = STATE(4939),
    [sym_pointer_expression] = STATE(4521),
    [sym_unary_expression] = STATE(4939),
    [sym_binary_expression] = STATE(4939),
    [sym_update_expression] = STATE(4939),
    [sym_cast_expression] = STATE(4939),
    [sym_sizeof_expression] = STATE(4939),
    [sym_alignof_expression] = STATE(4939),
    [sym_offsetof_expression] = STATE(4939),
    [sym_generic_expression] = STATE(4939),
    [sym_subscript_expression] = STATE(4521),
    [sym_call_expression] = STATE(4521),
    [sym_gnu_asm_expression] = STATE(4939),
    [sym_field_expression] = STATE(4521),
    [sym_compound_literal_expression] = STATE(4939),
    [sym_parenthesized_expression] = STATE(4521),
    [sym_char_literal] = STATE(4856),
    [sym_concatenated_string] = STATE(4876),
    [sym_string_literal] = STATE(3630),
    [sym_null] = STATE(4939),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9415),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(4939),
    [sym_raw_string_literal] = STATE(3632),
    [sym_co_await_expression] = STATE(4939),
    [sym_new_expression] = STATE(4939),
    [sym_delete_expression] = STATE(4939),
    [sym_requires_clause] = STATE(4939),
    [sym_requires_expression] = STATE(4939),
    [sym_lambda_expression] = STATE(4939),
    [sym_lambda_capture_specifier] = STATE(7190),
    [sym__unary_left_fold] = STATE(9500),
    [sym__unary_right_fold] = STATE(9511),
    [sym__binary_fold] = STATE(9517),
    [sym_fold_expression] = STATE(4939),
    [sym_parameter_pack_expansion] = STATE(4939),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6899),
    [sym_qualified_identifier] = STATE(4521),
    [sym_qualified_type_identifier] = STATE(9415),
    [sym_user_defined_literal] = STATE(4521),
    [sym_identifier] = ACTIONS(4178),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2106),
    [anon_sym_LPAREN2] = ACTIONS(2110),
    [anon_sym_BANG] = ACTIONS(2112),
    [anon_sym_TILDE] = ACTIONS(2112),
    [anon_sym_DASH] = ACTIONS(2114),
    [anon_sym_PLUS] = ACTIONS(2114),
    [anon_sym_STAR] = ACTIONS(2116),
    [anon_sym_AMP] = ACTIONS(2116),
    [anon_sym_COLON_COLON] = ACTIONS(2120),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [sym_primitive_type] = ACTIONS(4182),
    [anon_sym_not] = ACTIONS(2114),
    [anon_sym_compl] = ACTIONS(2114),
    [anon_sym_DASH_DASH] = ACTIONS(2132),
    [anon_sym_PLUS_PLUS] = ACTIONS(2132),
    [anon_sym_sizeof] = ACTIONS(2134),
    [anon_sym___alignof__] = ACTIONS(2136),
    [anon_sym___alignof] = ACTIONS(2136),
    [anon_sym__alignof] = ACTIONS(2136),
    [anon_sym_alignof] = ACTIONS(2136),
    [anon_sym__Alignof] = ACTIONS(2136),
    [anon_sym_offsetof] = ACTIONS(2138),
    [anon_sym__Generic] = ACTIONS(2140),
    [anon_sym_asm] = ACTIONS(2142),
    [anon_sym___asm__] = ACTIONS(2142),
    [sym_number_literal] = ACTIONS(2144),
    [anon_sym_L_SQUOTE] = ACTIONS(2146),
    [anon_sym_u_SQUOTE] = ACTIONS(2146),
    [anon_sym_U_SQUOTE] = ACTIONS(2146),
    [anon_sym_u8_SQUOTE] = ACTIONS(2146),
    [anon_sym_SQUOTE] = ACTIONS(2146),
    [anon_sym_L_DQUOTE] = ACTIONS(2148),
    [anon_sym_u_DQUOTE] = ACTIONS(2148),
    [anon_sym_U_DQUOTE] = ACTIONS(2148),
    [anon_sym_u8_DQUOTE] = ACTIONS(2148),
    [anon_sym_DQUOTE] = ACTIONS(2148),
    [sym_true] = ACTIONS(2150),
    [sym_false] = ACTIONS(2150),
    [anon_sym_NULL] = ACTIONS(2152),
    [anon_sym_nullptr] = ACTIONS(2152),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(2156),
    [anon_sym_R_DQUOTE] = ACTIONS(2158),
    [anon_sym_LR_DQUOTE] = ACTIONS(2158),
    [anon_sym_uR_DQUOTE] = ACTIONS(2158),
    [anon_sym_UR_DQUOTE] = ACTIONS(2158),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2158),
    [anon_sym_co_await] = ACTIONS(2160),
    [anon_sym_new] = ACTIONS(2162),
    [anon_sym_requires] = ACTIONS(2164),
    [sym_this] = ACTIONS(2150),
  },
  [1814] = {
    [sym__expression] = STATE(4430),
    [sym__expression_not_binary] = STATE(4939),
    [sym__string] = STATE(4939),
    [sym_conditional_expression] = STATE(4939),
    [sym_assignment_expression] = STATE(4939),
    [sym_pointer_expression] = STATE(4521),
    [sym_unary_expression] = STATE(4939),
    [sym_binary_expression] = STATE(4939),
    [sym_update_expression] = STATE(4939),
    [sym_cast_expression] = STATE(4939),
    [sym_sizeof_expression] = STATE(4939),
    [sym_alignof_expression] = STATE(4939),
    [sym_offsetof_expression] = STATE(4939),
    [sym_generic_expression] = STATE(4939),
    [sym_subscript_expression] = STATE(4521),
    [sym_call_expression] = STATE(4521),
    [sym_gnu_asm_expression] = STATE(4939),
    [sym_field_expression] = STATE(4521),
    [sym_compound_literal_expression] = STATE(4939),
    [sym_parenthesized_expression] = STATE(4521),
    [sym_char_literal] = STATE(4856),
    [sym_concatenated_string] = STATE(4876),
    [sym_string_literal] = STATE(3630),
    [sym_null] = STATE(4939),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9415),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(4939),
    [sym_raw_string_literal] = STATE(3632),
    [sym_co_await_expression] = STATE(4939),
    [sym_new_expression] = STATE(4939),
    [sym_delete_expression] = STATE(4939),
    [sym_requires_clause] = STATE(4939),
    [sym_requires_expression] = STATE(4939),
    [sym_lambda_expression] = STATE(4939),
    [sym_lambda_capture_specifier] = STATE(7190),
    [sym__unary_left_fold] = STATE(9502),
    [sym__unary_right_fold] = STATE(9504),
    [sym__binary_fold] = STATE(9474),
    [sym_fold_expression] = STATE(4939),
    [sym_parameter_pack_expansion] = STATE(4939),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6899),
    [sym_qualified_identifier] = STATE(4521),
    [sym_qualified_type_identifier] = STATE(9415),
    [sym_user_defined_literal] = STATE(4521),
    [sym_identifier] = ACTIONS(4178),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2106),
    [anon_sym_LPAREN2] = ACTIONS(2110),
    [anon_sym_BANG] = ACTIONS(2112),
    [anon_sym_TILDE] = ACTIONS(2112),
    [anon_sym_DASH] = ACTIONS(2114),
    [anon_sym_PLUS] = ACTIONS(2114),
    [anon_sym_STAR] = ACTIONS(2116),
    [anon_sym_AMP] = ACTIONS(2116),
    [anon_sym_COLON_COLON] = ACTIONS(2120),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [sym_primitive_type] = ACTIONS(4182),
    [anon_sym_not] = ACTIONS(2114),
    [anon_sym_compl] = ACTIONS(2114),
    [anon_sym_DASH_DASH] = ACTIONS(2132),
    [anon_sym_PLUS_PLUS] = ACTIONS(2132),
    [anon_sym_sizeof] = ACTIONS(2134),
    [anon_sym___alignof__] = ACTIONS(2136),
    [anon_sym___alignof] = ACTIONS(2136),
    [anon_sym__alignof] = ACTIONS(2136),
    [anon_sym_alignof] = ACTIONS(2136),
    [anon_sym__Alignof] = ACTIONS(2136),
    [anon_sym_offsetof] = ACTIONS(2138),
    [anon_sym__Generic] = ACTIONS(2140),
    [anon_sym_asm] = ACTIONS(2142),
    [anon_sym___asm__] = ACTIONS(2142),
    [sym_number_literal] = ACTIONS(2144),
    [anon_sym_L_SQUOTE] = ACTIONS(2146),
    [anon_sym_u_SQUOTE] = ACTIONS(2146),
    [anon_sym_U_SQUOTE] = ACTIONS(2146),
    [anon_sym_u8_SQUOTE] = ACTIONS(2146),
    [anon_sym_SQUOTE] = ACTIONS(2146),
    [anon_sym_L_DQUOTE] = ACTIONS(2148),
    [anon_sym_u_DQUOTE] = ACTIONS(2148),
    [anon_sym_U_DQUOTE] = ACTIONS(2148),
    [anon_sym_u8_DQUOTE] = ACTIONS(2148),
    [anon_sym_DQUOTE] = ACTIONS(2148),
    [sym_true] = ACTIONS(2150),
    [sym_false] = ACTIONS(2150),
    [anon_sym_NULL] = ACTIONS(2152),
    [anon_sym_nullptr] = ACTIONS(2152),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(2156),
    [anon_sym_R_DQUOTE] = ACTIONS(2158),
    [anon_sym_LR_DQUOTE] = ACTIONS(2158),
    [anon_sym_uR_DQUOTE] = ACTIONS(2158),
    [anon_sym_UR_DQUOTE] = ACTIONS(2158),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2158),
    [anon_sym_co_await] = ACTIONS(2160),
    [anon_sym_new] = ACTIONS(2162),
    [anon_sym_requires] = ACTIONS(2164),
    [sym_this] = ACTIONS(2150),
  },
  [1815] = {
    [sym__expression] = STATE(5656),
    [sym__expression_not_binary] = STATE(5024),
    [sym__string] = STATE(5024),
    [sym_comma_expression] = STATE(10236),
    [sym_conditional_expression] = STATE(5024),
    [sym_assignment_expression] = STATE(5024),
    [sym_pointer_expression] = STATE(4507),
    [sym_unary_expression] = STATE(5024),
    [sym_binary_expression] = STATE(5024),
    [sym_update_expression] = STATE(5024),
    [sym_cast_expression] = STATE(5024),
    [sym_sizeof_expression] = STATE(5024),
    [sym_alignof_expression] = STATE(5024),
    [sym_offsetof_expression] = STATE(5024),
    [sym_generic_expression] = STATE(5024),
    [sym_subscript_expression] = STATE(4507),
    [sym_call_expression] = STATE(4507),
    [sym_gnu_asm_expression] = STATE(5024),
    [sym_field_expression] = STATE(4507),
    [sym_compound_literal_expression] = STATE(5024),
    [sym_parenthesized_expression] = STATE(4507),
    [sym_initializer_list] = STATE(10236),
    [sym_char_literal] = STATE(5374),
    [sym_concatenated_string] = STATE(5377),
    [sym_string_literal] = STATE(4206),
    [sym_null] = STATE(5024),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9352),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(5024),
    [sym_raw_string_literal] = STATE(4217),
    [sym_co_await_expression] = STATE(5024),
    [sym_new_expression] = STATE(5024),
    [sym_delete_expression] = STATE(5024),
    [sym_requires_clause] = STATE(5024),
    [sym_requires_expression] = STATE(5024),
    [sym_lambda_expression] = STATE(5024),
    [sym_lambda_capture_specifier] = STATE(7184),
    [sym_fold_expression] = STATE(5024),
    [sym_parameter_pack_expansion] = STATE(5024),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6886),
    [sym_qualified_identifier] = STATE(4507),
    [sym_qualified_type_identifier] = STATE(9352),
    [sym_user_defined_literal] = STATE(4507),
    [sym_identifier] = ACTIONS(3140),
    [anon_sym_LPAREN2] = ACTIONS(1472),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1474),
    [anon_sym_AMP] = ACTIONS(1474),
    [anon_sym_SEMI] = ACTIONS(4999),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(4413),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [sym_primitive_type] = ACTIONS(3146),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [1816] = {
    [sym__expression] = STATE(4384),
    [sym__expression_not_binary] = STATE(4939),
    [sym__string] = STATE(4939),
    [sym_conditional_expression] = STATE(4939),
    [sym_assignment_expression] = STATE(4939),
    [sym_pointer_expression] = STATE(4521),
    [sym_unary_expression] = STATE(4939),
    [sym_binary_expression] = STATE(4939),
    [sym_update_expression] = STATE(4939),
    [sym_cast_expression] = STATE(4939),
    [sym_sizeof_expression] = STATE(4939),
    [sym_alignof_expression] = STATE(4939),
    [sym_offsetof_expression] = STATE(4939),
    [sym_generic_expression] = STATE(4939),
    [sym_subscript_expression] = STATE(4521),
    [sym_call_expression] = STATE(4521),
    [sym_gnu_asm_expression] = STATE(4939),
    [sym_field_expression] = STATE(4521),
    [sym_compound_literal_expression] = STATE(4939),
    [sym_parenthesized_expression] = STATE(4521),
    [sym_char_literal] = STATE(4856),
    [sym_concatenated_string] = STATE(4876),
    [sym_string_literal] = STATE(3630),
    [sym_null] = STATE(4939),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9415),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(4939),
    [sym_raw_string_literal] = STATE(3632),
    [sym_co_await_expression] = STATE(4939),
    [sym_new_expression] = STATE(4939),
    [sym_delete_expression] = STATE(4939),
    [sym_requires_clause] = STATE(4939),
    [sym_requires_expression] = STATE(4939),
    [sym_lambda_expression] = STATE(4939),
    [sym_lambda_capture_specifier] = STATE(7190),
    [sym__unary_left_fold] = STATE(9676),
    [sym__unary_right_fold] = STATE(9677),
    [sym__binary_fold] = STATE(9613),
    [sym_fold_expression] = STATE(4939),
    [sym_parameter_pack_expansion] = STATE(4939),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6899),
    [sym_qualified_identifier] = STATE(4521),
    [sym_qualified_type_identifier] = STATE(9415),
    [sym_user_defined_literal] = STATE(4521),
    [sym_identifier] = ACTIONS(4178),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2106),
    [anon_sym_LPAREN2] = ACTIONS(2110),
    [anon_sym_BANG] = ACTIONS(2112),
    [anon_sym_TILDE] = ACTIONS(2112),
    [anon_sym_DASH] = ACTIONS(2114),
    [anon_sym_PLUS] = ACTIONS(2114),
    [anon_sym_STAR] = ACTIONS(2116),
    [anon_sym_AMP] = ACTIONS(2116),
    [anon_sym_COLON_COLON] = ACTIONS(2120),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [sym_primitive_type] = ACTIONS(4182),
    [anon_sym_not] = ACTIONS(2114),
    [anon_sym_compl] = ACTIONS(2114),
    [anon_sym_DASH_DASH] = ACTIONS(2132),
    [anon_sym_PLUS_PLUS] = ACTIONS(2132),
    [anon_sym_sizeof] = ACTIONS(2134),
    [anon_sym___alignof__] = ACTIONS(2136),
    [anon_sym___alignof] = ACTIONS(2136),
    [anon_sym__alignof] = ACTIONS(2136),
    [anon_sym_alignof] = ACTIONS(2136),
    [anon_sym__Alignof] = ACTIONS(2136),
    [anon_sym_offsetof] = ACTIONS(2138),
    [anon_sym__Generic] = ACTIONS(2140),
    [anon_sym_asm] = ACTIONS(2142),
    [anon_sym___asm__] = ACTIONS(2142),
    [sym_number_literal] = ACTIONS(2144),
    [anon_sym_L_SQUOTE] = ACTIONS(2146),
    [anon_sym_u_SQUOTE] = ACTIONS(2146),
    [anon_sym_U_SQUOTE] = ACTIONS(2146),
    [anon_sym_u8_SQUOTE] = ACTIONS(2146),
    [anon_sym_SQUOTE] = ACTIONS(2146),
    [anon_sym_L_DQUOTE] = ACTIONS(2148),
    [anon_sym_u_DQUOTE] = ACTIONS(2148),
    [anon_sym_U_DQUOTE] = ACTIONS(2148),
    [anon_sym_u8_DQUOTE] = ACTIONS(2148),
    [anon_sym_DQUOTE] = ACTIONS(2148),
    [sym_true] = ACTIONS(2150),
    [sym_false] = ACTIONS(2150),
    [anon_sym_NULL] = ACTIONS(2152),
    [anon_sym_nullptr] = ACTIONS(2152),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(2156),
    [anon_sym_R_DQUOTE] = ACTIONS(2158),
    [anon_sym_LR_DQUOTE] = ACTIONS(2158),
    [anon_sym_uR_DQUOTE] = ACTIONS(2158),
    [anon_sym_UR_DQUOTE] = ACTIONS(2158),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2158),
    [anon_sym_co_await] = ACTIONS(2160),
    [anon_sym_new] = ACTIONS(2162),
    [anon_sym_requires] = ACTIONS(2164),
    [sym_this] = ACTIONS(2150),
  },
  [1817] = {
    [sym__expression] = STATE(5800),
    [sym__expression_not_binary] = STATE(5024),
    [sym__string] = STATE(5024),
    [sym_comma_expression] = STATE(9679),
    [sym_conditional_expression] = STATE(5024),
    [sym_assignment_expression] = STATE(5024),
    [sym_pointer_expression] = STATE(4507),
    [sym_unary_expression] = STATE(5024),
    [sym_binary_expression] = STATE(5024),
    [sym_update_expression] = STATE(5024),
    [sym_cast_expression] = STATE(5024),
    [sym_sizeof_expression] = STATE(5024),
    [sym_alignof_expression] = STATE(5024),
    [sym_offsetof_expression] = STATE(5024),
    [sym_generic_expression] = STATE(5024),
    [sym_subscript_expression] = STATE(4507),
    [sym_call_expression] = STATE(4507),
    [sym_gnu_asm_expression] = STATE(5024),
    [sym_field_expression] = STATE(4507),
    [sym_compound_literal_expression] = STATE(5024),
    [sym_parenthesized_expression] = STATE(4507),
    [sym_initializer_list] = STATE(9679),
    [sym_char_literal] = STATE(5374),
    [sym_concatenated_string] = STATE(5377),
    [sym_string_literal] = STATE(4206),
    [sym_null] = STATE(5024),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9352),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(5024),
    [sym_raw_string_literal] = STATE(4217),
    [sym_co_await_expression] = STATE(5024),
    [sym_new_expression] = STATE(5024),
    [sym_delete_expression] = STATE(5024),
    [sym_requires_clause] = STATE(5024),
    [sym_requires_expression] = STATE(5024),
    [sym_lambda_expression] = STATE(5024),
    [sym_lambda_capture_specifier] = STATE(7184),
    [sym_fold_expression] = STATE(5024),
    [sym_parameter_pack_expansion] = STATE(5024),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6886),
    [sym_qualified_identifier] = STATE(4507),
    [sym_qualified_type_identifier] = STATE(9352),
    [sym_user_defined_literal] = STATE(4507),
    [sym_identifier] = ACTIONS(3140),
    [anon_sym_LPAREN2] = ACTIONS(1472),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1474),
    [anon_sym_AMP] = ACTIONS(1474),
    [anon_sym_SEMI] = ACTIONS(5001),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(4413),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [sym_primitive_type] = ACTIONS(3146),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [1818] = {
    [sym__expression] = STATE(5648),
    [sym__expression_not_binary] = STATE(5024),
    [sym__string] = STATE(5024),
    [sym_comma_expression] = STATE(10243),
    [sym_conditional_expression] = STATE(5024),
    [sym_assignment_expression] = STATE(5024),
    [sym_pointer_expression] = STATE(4507),
    [sym_unary_expression] = STATE(5024),
    [sym_binary_expression] = STATE(5024),
    [sym_update_expression] = STATE(5024),
    [sym_cast_expression] = STATE(5024),
    [sym_sizeof_expression] = STATE(5024),
    [sym_alignof_expression] = STATE(5024),
    [sym_offsetof_expression] = STATE(5024),
    [sym_generic_expression] = STATE(5024),
    [sym_subscript_expression] = STATE(4507),
    [sym_call_expression] = STATE(4507),
    [sym_gnu_asm_expression] = STATE(5024),
    [sym_field_expression] = STATE(4507),
    [sym_compound_literal_expression] = STATE(5024),
    [sym_parenthesized_expression] = STATE(4507),
    [sym_initializer_list] = STATE(10243),
    [sym_char_literal] = STATE(5374),
    [sym_concatenated_string] = STATE(5377),
    [sym_string_literal] = STATE(4206),
    [sym_null] = STATE(5024),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9352),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(5024),
    [sym_raw_string_literal] = STATE(4217),
    [sym_co_await_expression] = STATE(5024),
    [sym_new_expression] = STATE(5024),
    [sym_delete_expression] = STATE(5024),
    [sym_requires_clause] = STATE(5024),
    [sym_requires_expression] = STATE(5024),
    [sym_lambda_expression] = STATE(5024),
    [sym_lambda_capture_specifier] = STATE(7184),
    [sym_fold_expression] = STATE(5024),
    [sym_parameter_pack_expansion] = STATE(5024),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6886),
    [sym_qualified_identifier] = STATE(4507),
    [sym_qualified_type_identifier] = STATE(9352),
    [sym_user_defined_literal] = STATE(4507),
    [sym_identifier] = ACTIONS(3140),
    [anon_sym_LPAREN2] = ACTIONS(1472),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1474),
    [anon_sym_AMP] = ACTIONS(1474),
    [anon_sym_SEMI] = ACTIONS(5003),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(4413),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [sym_primitive_type] = ACTIONS(3146),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [1819] = {
    [sym__expression] = STATE(4446),
    [sym__expression_not_binary] = STATE(4939),
    [sym__string] = STATE(4939),
    [sym_conditional_expression] = STATE(4939),
    [sym_assignment_expression] = STATE(4939),
    [sym_pointer_expression] = STATE(4521),
    [sym_unary_expression] = STATE(4939),
    [sym_binary_expression] = STATE(4939),
    [sym_update_expression] = STATE(4939),
    [sym_cast_expression] = STATE(4939),
    [sym_sizeof_expression] = STATE(4939),
    [sym_alignof_expression] = STATE(4939),
    [sym_offsetof_expression] = STATE(4939),
    [sym_generic_expression] = STATE(4939),
    [sym_subscript_expression] = STATE(4521),
    [sym_call_expression] = STATE(4521),
    [sym_gnu_asm_expression] = STATE(4939),
    [sym_field_expression] = STATE(4521),
    [sym_compound_literal_expression] = STATE(4939),
    [sym_parenthesized_expression] = STATE(4521),
    [sym_char_literal] = STATE(4856),
    [sym_concatenated_string] = STATE(4876),
    [sym_string_literal] = STATE(3630),
    [sym_null] = STATE(4939),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9415),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(4939),
    [sym_raw_string_literal] = STATE(3632),
    [sym_co_await_expression] = STATE(4939),
    [sym_new_expression] = STATE(4939),
    [sym_delete_expression] = STATE(4939),
    [sym_requires_clause] = STATE(4939),
    [sym_requires_expression] = STATE(4939),
    [sym_lambda_expression] = STATE(4939),
    [sym_lambda_capture_specifier] = STATE(7190),
    [sym__unary_left_fold] = STATE(10289),
    [sym__unary_right_fold] = STATE(10288),
    [sym__binary_fold] = STATE(10287),
    [sym_fold_expression] = STATE(4939),
    [sym_parameter_pack_expansion] = STATE(4939),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6899),
    [sym_qualified_identifier] = STATE(4521),
    [sym_qualified_type_identifier] = STATE(9415),
    [sym_user_defined_literal] = STATE(4521),
    [sym_identifier] = ACTIONS(4178),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2106),
    [anon_sym_LPAREN2] = ACTIONS(2110),
    [anon_sym_BANG] = ACTIONS(2112),
    [anon_sym_TILDE] = ACTIONS(2112),
    [anon_sym_DASH] = ACTIONS(2114),
    [anon_sym_PLUS] = ACTIONS(2114),
    [anon_sym_STAR] = ACTIONS(2116),
    [anon_sym_AMP] = ACTIONS(2116),
    [anon_sym_COLON_COLON] = ACTIONS(2120),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [sym_primitive_type] = ACTIONS(4182),
    [anon_sym_not] = ACTIONS(2114),
    [anon_sym_compl] = ACTIONS(2114),
    [anon_sym_DASH_DASH] = ACTIONS(2132),
    [anon_sym_PLUS_PLUS] = ACTIONS(2132),
    [anon_sym_sizeof] = ACTIONS(2134),
    [anon_sym___alignof__] = ACTIONS(2136),
    [anon_sym___alignof] = ACTIONS(2136),
    [anon_sym__alignof] = ACTIONS(2136),
    [anon_sym_alignof] = ACTIONS(2136),
    [anon_sym__Alignof] = ACTIONS(2136),
    [anon_sym_offsetof] = ACTIONS(2138),
    [anon_sym__Generic] = ACTIONS(2140),
    [anon_sym_asm] = ACTIONS(2142),
    [anon_sym___asm__] = ACTIONS(2142),
    [sym_number_literal] = ACTIONS(2144),
    [anon_sym_L_SQUOTE] = ACTIONS(2146),
    [anon_sym_u_SQUOTE] = ACTIONS(2146),
    [anon_sym_U_SQUOTE] = ACTIONS(2146),
    [anon_sym_u8_SQUOTE] = ACTIONS(2146),
    [anon_sym_SQUOTE] = ACTIONS(2146),
    [anon_sym_L_DQUOTE] = ACTIONS(2148),
    [anon_sym_u_DQUOTE] = ACTIONS(2148),
    [anon_sym_U_DQUOTE] = ACTIONS(2148),
    [anon_sym_u8_DQUOTE] = ACTIONS(2148),
    [anon_sym_DQUOTE] = ACTIONS(2148),
    [sym_true] = ACTIONS(2150),
    [sym_false] = ACTIONS(2150),
    [anon_sym_NULL] = ACTIONS(2152),
    [anon_sym_nullptr] = ACTIONS(2152),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(2156),
    [anon_sym_R_DQUOTE] = ACTIONS(2158),
    [anon_sym_LR_DQUOTE] = ACTIONS(2158),
    [anon_sym_uR_DQUOTE] = ACTIONS(2158),
    [anon_sym_UR_DQUOTE] = ACTIONS(2158),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2158),
    [anon_sym_co_await] = ACTIONS(2160),
    [anon_sym_new] = ACTIONS(2162),
    [anon_sym_requires] = ACTIONS(2164),
    [sym_this] = ACTIONS(2150),
  },
  [1820] = {
    [sym_compound_statement] = STATE(9232),
    [sym__expression] = STATE(5729),
    [sym__expression_not_binary] = STATE(5024),
    [sym__string] = STATE(5024),
    [sym_conditional_expression] = STATE(5024),
    [sym_assignment_expression] = STATE(5024),
    [sym_pointer_expression] = STATE(4507),
    [sym_unary_expression] = STATE(5024),
    [sym_binary_expression] = STATE(5024),
    [sym_update_expression] = STATE(5024),
    [sym_cast_expression] = STATE(5024),
    [sym_sizeof_expression] = STATE(5024),
    [sym_alignof_expression] = STATE(5024),
    [sym_offsetof_expression] = STATE(5024),
    [sym_generic_expression] = STATE(5024),
    [sym_subscript_expression] = STATE(4507),
    [sym_call_expression] = STATE(4507),
    [sym_gnu_asm_expression] = STATE(5024),
    [sym_field_expression] = STATE(4507),
    [sym_compound_literal_expression] = STATE(5024),
    [sym_parenthesized_expression] = STATE(4507),
    [sym_initializer_list] = STATE(9232),
    [sym_char_literal] = STATE(5374),
    [sym_concatenated_string] = STATE(5377),
    [sym_string_literal] = STATE(4206),
    [sym_null] = STATE(5024),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9352),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(5024),
    [sym_raw_string_literal] = STATE(4217),
    [sym_co_await_expression] = STATE(5024),
    [sym_new_expression] = STATE(5024),
    [sym_delete_expression] = STATE(5024),
    [sym_requires_clause] = STATE(5024),
    [sym_requires_expression] = STATE(5024),
    [sym_lambda_expression] = STATE(5024),
    [sym_lambda_capture_specifier] = STATE(7184),
    [sym_fold_expression] = STATE(5024),
    [sym_parameter_pack_expansion] = STATE(5024),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6886),
    [sym_qualified_identifier] = STATE(4507),
    [sym_qualified_type_identifier] = STATE(9352),
    [sym_user_defined_literal] = STATE(4507),
    [sym_identifier] = ACTIONS(3140),
    [anon_sym_LPAREN2] = ACTIONS(1472),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1474),
    [anon_sym_AMP] = ACTIONS(1474),
    [anon_sym___extension__] = ACTIONS(5005),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(2174),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [sym_primitive_type] = ACTIONS(3146),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [1821] = {
    [sym__expression] = STATE(5419),
    [sym__expression_not_binary] = STATE(5024),
    [sym__string] = STATE(5024),
    [sym_conditional_expression] = STATE(5024),
    [sym_assignment_expression] = STATE(5024),
    [sym_pointer_expression] = STATE(4507),
    [sym_unary_expression] = STATE(5024),
    [sym_binary_expression] = STATE(5024),
    [sym_update_expression] = STATE(5024),
    [sym_cast_expression] = STATE(5024),
    [sym_sizeof_expression] = STATE(5024),
    [sym_alignof_expression] = STATE(5024),
    [sym_offsetof_expression] = STATE(5024),
    [sym_generic_expression] = STATE(5024),
    [sym_subscript_expression] = STATE(4507),
    [sym_call_expression] = STATE(4507),
    [sym_gnu_asm_expression] = STATE(5024),
    [sym_field_expression] = STATE(4507),
    [sym_compound_literal_expression] = STATE(5024),
    [sym_parenthesized_expression] = STATE(4507),
    [sym_char_literal] = STATE(5374),
    [sym_concatenated_string] = STATE(5377),
    [sym_string_literal] = STATE(4206),
    [sym_null] = STATE(5024),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9352),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(5024),
    [sym_raw_string_literal] = STATE(4217),
    [sym_co_await_expression] = STATE(5024),
    [sym_new_expression] = STATE(5024),
    [sym_delete_expression] = STATE(5024),
    [sym_requires_clause] = STATE(5024),
    [sym_requires_expression] = STATE(5024),
    [sym_lambda_expression] = STATE(5024),
    [sym_lambda_capture_specifier] = STATE(7184),
    [sym_fold_expression] = STATE(5024),
    [sym_parameter_pack_expansion] = STATE(5024),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6886),
    [sym_qualified_identifier] = STATE(4507),
    [sym_qualified_type_identifier] = STATE(9352),
    [sym_user_defined_literal] = STATE(4507),
    [sym_identifier] = ACTIONS(3140),
    [anon_sym_LPAREN2] = ACTIONS(5007),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(5007),
    [anon_sym_AMP_AMP] = ACTIONS(5007),
    [anon_sym_AMP] = ACTIONS(5009),
    [anon_sym_LT] = ACTIONS(5007),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(5007),
    [anon_sym_LBRACK] = ACTIONS(5007),
    [sym_primitive_type] = ACTIONS(3146),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [1822] = {
    [sym__expression] = STATE(5486),
    [sym__expression_not_binary] = STATE(5024),
    [sym__string] = STATE(5024),
    [sym_conditional_expression] = STATE(5024),
    [sym_assignment_expression] = STATE(5024),
    [sym_pointer_expression] = STATE(4737),
    [sym_unary_expression] = STATE(5024),
    [sym_binary_expression] = STATE(5024),
    [sym_update_expression] = STATE(5024),
    [sym_cast_expression] = STATE(5024),
    [sym_sizeof_expression] = STATE(5024),
    [sym_alignof_expression] = STATE(5024),
    [sym_offsetof_expression] = STATE(5024),
    [sym_generic_expression] = STATE(5024),
    [sym_subscript_expression] = STATE(4737),
    [sym_call_expression] = STATE(4737),
    [sym_gnu_asm_expression] = STATE(5024),
    [sym_field_expression] = STATE(4737),
    [sym_compound_literal_expression] = STATE(5024),
    [sym_parenthesized_expression] = STATE(4737),
    [sym_initializer_list] = STATE(8909),
    [sym_char_literal] = STATE(5374),
    [sym_concatenated_string] = STATE(5377),
    [sym_string_literal] = STATE(4206),
    [sym_null] = STATE(5024),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9352),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(5024),
    [sym_raw_string_literal] = STATE(4217),
    [sym_co_await_expression] = STATE(5024),
    [sym_new_expression] = STATE(5024),
    [sym_delete_expression] = STATE(5024),
    [sym_requires_clause] = STATE(5024),
    [sym_requires_expression] = STATE(5024),
    [sym_lambda_expression] = STATE(5024),
    [sym_lambda_capture_specifier] = STATE(7184),
    [sym_fold_expression] = STATE(5024),
    [sym_parameter_pack_expansion] = STATE(5024),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6886),
    [sym_qualified_identifier] = STATE(4737),
    [sym_qualified_type_identifier] = STATE(9352),
    [sym_user_defined_literal] = STATE(4737),
    [sym_identifier] = ACTIONS(4502),
    [anon_sym_LPAREN2] = ACTIONS(4540),
    [anon_sym_BANG] = ACTIONS(4506),
    [anon_sym_TILDE] = ACTIONS(4506),
    [anon_sym_DASH] = ACTIONS(4504),
    [anon_sym_PLUS] = ACTIONS(4504),
    [anon_sym_STAR] = ACTIONS(1474),
    [anon_sym_AMP] = ACTIONS(1474),
    [anon_sym_COLON_COLON] = ACTIONS(4508),
    [anon_sym_LBRACE] = ACTIONS(4413),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [anon_sym_RBRACK] = ACTIONS(5011),
    [sym_primitive_type] = ACTIONS(3146),
    [anon_sym_not] = ACTIONS(4504),
    [anon_sym_compl] = ACTIONS(4504),
    [anon_sym_DASH_DASH] = ACTIONS(4544),
    [anon_sym_PLUS_PLUS] = ACTIONS(4544),
    [anon_sym_sizeof] = ACTIONS(4510),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(4512),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(4514),
    [anon_sym_new] = ACTIONS(4516),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [1823] = {
    [sym__expression] = STATE(3783),
    [sym__expression_not_binary] = STATE(3672),
    [sym__string] = STATE(3672),
    [sym_conditional_expression] = STATE(3672),
    [sym_assignment_expression] = STATE(3672),
    [sym_pointer_expression] = STATE(3672),
    [sym_unary_expression] = STATE(3672),
    [sym_binary_expression] = STATE(3672),
    [sym_update_expression] = STATE(3672),
    [sym_cast_expression] = STATE(3672),
    [sym_sizeof_expression] = STATE(3672),
    [sym_alignof_expression] = STATE(3672),
    [sym_offsetof_expression] = STATE(3672),
    [sym_generic_expression] = STATE(3672),
    [sym_subscript_expression] = STATE(3672),
    [sym_call_expression] = STATE(3672),
    [sym_gnu_asm_expression] = STATE(3672),
    [sym_field_expression] = STATE(3672),
    [sym_compound_literal_expression] = STATE(3672),
    [sym_parenthesized_expression] = STATE(3672),
    [sym_char_literal] = STATE(3855),
    [sym_concatenated_string] = STATE(3873),
    [sym_string_literal] = STATE(3222),
    [sym_null] = STATE(3672),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9333),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(3672),
    [sym_raw_string_literal] = STATE(3216),
    [sym_co_await_expression] = STATE(3672),
    [sym_new_expression] = STATE(3672),
    [sym_delete_expression] = STATE(3672),
    [sym_requires_clause] = STATE(3672),
    [sym_requires_expression] = STATE(3672),
    [sym_lambda_expression] = STATE(3672),
    [sym_lambda_capture_specifier] = STATE(7134),
    [sym_fold_expression] = STATE(3672),
    [sym_parameter_pack_expansion] = STATE(3672),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6886),
    [sym_qualified_identifier] = STATE(3672),
    [sym_qualified_type_identifier] = STATE(9333),
    [sym_user_defined_literal] = STATE(3672),
    [sym_identifier] = ACTIONS(3968),
    [anon_sym_LPAREN2] = ACTIONS(5007),
    [anon_sym_BANG] = ACTIONS(3922),
    [anon_sym_TILDE] = ACTIONS(3922),
    [anon_sym_DASH] = ACTIONS(3920),
    [anon_sym_PLUS] = ACTIONS(3920),
    [anon_sym_STAR] = ACTIONS(5007),
    [anon_sym_AMP_AMP] = ACTIONS(5007),
    [anon_sym_AMP] = ACTIONS(5009),
    [anon_sym_LT] = ACTIONS(5007),
    [anon_sym_COLON_COLON] = ACTIONS(3924),
    [anon_sym_LBRACE] = ACTIONS(5007),
    [anon_sym_LBRACK] = ACTIONS(5007),
    [sym_primitive_type] = ACTIONS(3928),
    [anon_sym_not] = ACTIONS(3920),
    [anon_sym_compl] = ACTIONS(3920),
    [anon_sym_DASH_DASH] = ACTIONS(5013),
    [anon_sym_PLUS_PLUS] = ACTIONS(5013),
    [anon_sym_sizeof] = ACTIONS(3930),
    [anon_sym___alignof__] = ACTIONS(3932),
    [anon_sym___alignof] = ACTIONS(3932),
    [anon_sym__alignof] = ACTIONS(3932),
    [anon_sym_alignof] = ACTIONS(3932),
    [anon_sym__Alignof] = ACTIONS(3932),
    [anon_sym_offsetof] = ACTIONS(3934),
    [anon_sym__Generic] = ACTIONS(3936),
    [anon_sym_asm] = ACTIONS(3938),
    [anon_sym___asm__] = ACTIONS(3938),
    [sym_number_literal] = ACTIONS(3940),
    [anon_sym_L_SQUOTE] = ACTIONS(3942),
    [anon_sym_u_SQUOTE] = ACTIONS(3942),
    [anon_sym_U_SQUOTE] = ACTIONS(3942),
    [anon_sym_u8_SQUOTE] = ACTIONS(3942),
    [anon_sym_SQUOTE] = ACTIONS(3942),
    [anon_sym_L_DQUOTE] = ACTIONS(3944),
    [anon_sym_u_DQUOTE] = ACTIONS(3944),
    [anon_sym_U_DQUOTE] = ACTIONS(3944),
    [anon_sym_u8_DQUOTE] = ACTIONS(3944),
    [anon_sym_DQUOTE] = ACTIONS(3944),
    [sym_true] = ACTIONS(3946),
    [sym_false] = ACTIONS(3946),
    [anon_sym_NULL] = ACTIONS(3948),
    [anon_sym_nullptr] = ACTIONS(3948),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(3950),
    [anon_sym_R_DQUOTE] = ACTIONS(3952),
    [anon_sym_LR_DQUOTE] = ACTIONS(3952),
    [anon_sym_uR_DQUOTE] = ACTIONS(3952),
    [anon_sym_UR_DQUOTE] = ACTIONS(3952),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3952),
    [anon_sym_co_await] = ACTIONS(3954),
    [anon_sym_new] = ACTIONS(3956),
    [anon_sym_requires] = ACTIONS(3958),
    [sym_this] = ACTIONS(3946),
  },
  [1824] = {
    [sym__expression] = STATE(5661),
    [sym__expression_not_binary] = STATE(5024),
    [sym__string] = STATE(5024),
    [sym_conditional_expression] = STATE(5024),
    [sym_assignment_expression] = STATE(5024),
    [sym_pointer_expression] = STATE(4737),
    [sym_unary_expression] = STATE(5024),
    [sym_binary_expression] = STATE(5024),
    [sym_update_expression] = STATE(5024),
    [sym_cast_expression] = STATE(5024),
    [sym_sizeof_expression] = STATE(5024),
    [sym_alignof_expression] = STATE(5024),
    [sym_offsetof_expression] = STATE(5024),
    [sym_generic_expression] = STATE(5024),
    [sym_subscript_expression] = STATE(4737),
    [sym_call_expression] = STATE(4737),
    [sym_gnu_asm_expression] = STATE(5024),
    [sym_field_expression] = STATE(4737),
    [sym_compound_literal_expression] = STATE(5024),
    [sym_parenthesized_expression] = STATE(4737),
    [sym_char_literal] = STATE(5374),
    [sym_concatenated_string] = STATE(5377),
    [sym_string_literal] = STATE(4206),
    [sym_null] = STATE(5024),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9352),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(5024),
    [sym_raw_string_literal] = STATE(4217),
    [sym_co_await_expression] = STATE(5024),
    [sym_new_expression] = STATE(5024),
    [sym_delete_expression] = STATE(5024),
    [sym_requires_clause] = STATE(5024),
    [sym_requires_expression] = STATE(5024),
    [sym_lambda_expression] = STATE(5024),
    [sym_lambda_capture_specifier] = STATE(7184),
    [sym_fold_expression] = STATE(5024),
    [sym_parameter_pack_expansion] = STATE(5024),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6886),
    [sym_qualified_identifier] = STATE(4737),
    [sym_qualified_type_identifier] = STATE(9352),
    [sym_user_defined_literal] = STATE(4737),
    [sym_identifier] = ACTIONS(4502),
    [anon_sym_LPAREN2] = ACTIONS(5007),
    [anon_sym_BANG] = ACTIONS(4506),
    [anon_sym_TILDE] = ACTIONS(4506),
    [anon_sym_DASH] = ACTIONS(4504),
    [anon_sym_PLUS] = ACTIONS(4504),
    [anon_sym_STAR] = ACTIONS(5007),
    [anon_sym_AMP_AMP] = ACTIONS(5007),
    [anon_sym_AMP] = ACTIONS(5009),
    [anon_sym_LT] = ACTIONS(5007),
    [anon_sym_COLON_COLON] = ACTIONS(4508),
    [anon_sym_LBRACE] = ACTIONS(5007),
    [anon_sym_LBRACK] = ACTIONS(5007),
    [sym_primitive_type] = ACTIONS(3146),
    [anon_sym_not] = ACTIONS(4504),
    [anon_sym_compl] = ACTIONS(4504),
    [anon_sym_DASH_DASH] = ACTIONS(4544),
    [anon_sym_PLUS_PLUS] = ACTIONS(4544),
    [anon_sym_sizeof] = ACTIONS(4510),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(4512),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(4514),
    [anon_sym_new] = ACTIONS(4516),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [1825] = {
    [sym__expression] = STATE(5338),
    [sym__expression_not_binary] = STATE(5024),
    [sym__string] = STATE(5024),
    [sym_conditional_expression] = STATE(5024),
    [sym_assignment_expression] = STATE(5024),
    [sym_pointer_expression] = STATE(4607),
    [sym_unary_expression] = STATE(5024),
    [sym_binary_expression] = STATE(5024),
    [sym_update_expression] = STATE(5024),
    [sym_cast_expression] = STATE(5024),
    [sym_sizeof_expression] = STATE(5024),
    [sym_alignof_expression] = STATE(5024),
    [sym_offsetof_expression] = STATE(5024),
    [sym_generic_expression] = STATE(5024),
    [sym_subscript_expression] = STATE(4607),
    [sym_call_expression] = STATE(4607),
    [sym_gnu_asm_expression] = STATE(5024),
    [sym_field_expression] = STATE(4607),
    [sym_compound_literal_expression] = STATE(5024),
    [sym_parenthesized_expression] = STATE(4607),
    [sym_initializer_list] = STATE(8149),
    [sym_char_literal] = STATE(5726),
    [sym_concatenated_string] = STATE(5682),
    [sym_string_literal] = STATE(4827),
    [sym_null] = STATE(5024),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9352),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(5024),
    [sym_raw_string_literal] = STATE(4829),
    [sym_co_await_expression] = STATE(5024),
    [sym_new_expression] = STATE(5024),
    [sym_delete_expression] = STATE(5024),
    [sym_requires_clause] = STATE(5024),
    [sym_requires_expression] = STATE(5024),
    [sym_lambda_expression] = STATE(5024),
    [sym_lambda_capture_specifier] = STATE(7184),
    [sym_fold_expression] = STATE(5024),
    [sym_parameter_pack_expansion] = STATE(5024),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6886),
    [sym_qualified_identifier] = STATE(4607),
    [sym_qualified_type_identifier] = STATE(9352),
    [sym_user_defined_literal] = STATE(4607),
    [sym_identifier] = ACTIONS(4478),
    [anon_sym_LPAREN2] = ACTIONS(5015),
    [anon_sym_BANG] = ACTIONS(4482),
    [anon_sym_TILDE] = ACTIONS(4482),
    [anon_sym_DASH] = ACTIONS(4480),
    [anon_sym_PLUS] = ACTIONS(4480),
    [anon_sym_STAR] = ACTIONS(5017),
    [anon_sym_AMP] = ACTIONS(5017),
    [anon_sym_COLON_COLON] = ACTIONS(4484),
    [anon_sym_LBRACE] = ACTIONS(4413),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [sym_primitive_type] = ACTIONS(3146),
    [anon_sym_default] = ACTIONS(5019),
    [anon_sym_not] = ACTIONS(4480),
    [anon_sym_compl] = ACTIONS(4480),
    [anon_sym_DASH_DASH] = ACTIONS(5021),
    [anon_sym_PLUS_PLUS] = ACTIONS(5021),
    [anon_sym_sizeof] = ACTIONS(4486),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(4488),
    [anon_sym_L_SQUOTE] = ACTIONS(4490),
    [anon_sym_u_SQUOTE] = ACTIONS(4490),
    [anon_sym_U_SQUOTE] = ACTIONS(4490),
    [anon_sym_u8_SQUOTE] = ACTIONS(4490),
    [anon_sym_SQUOTE] = ACTIONS(4490),
    [anon_sym_L_DQUOTE] = ACTIONS(4492),
    [anon_sym_u_DQUOTE] = ACTIONS(4492),
    [anon_sym_U_DQUOTE] = ACTIONS(4492),
    [anon_sym_u8_DQUOTE] = ACTIONS(4492),
    [anon_sym_DQUOTE] = ACTIONS(4492),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(5023),
    [anon_sym_R_DQUOTE] = ACTIONS(4496),
    [anon_sym_LR_DQUOTE] = ACTIONS(4496),
    [anon_sym_uR_DQUOTE] = ACTIONS(4496),
    [anon_sym_UR_DQUOTE] = ACTIONS(4496),
    [anon_sym_u8R_DQUOTE] = ACTIONS(4496),
    [anon_sym_co_await] = ACTIONS(4498),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [1826] = {
    [sym__expression] = STATE(5658),
    [sym__expression_not_binary] = STATE(5024),
    [sym__string] = STATE(5024),
    [sym_conditional_expression] = STATE(5024),
    [sym_assignment_expression] = STATE(5024),
    [sym_pointer_expression] = STATE(4737),
    [sym_unary_expression] = STATE(5024),
    [sym_binary_expression] = STATE(5024),
    [sym_update_expression] = STATE(5024),
    [sym_cast_expression] = STATE(5024),
    [sym_sizeof_expression] = STATE(5024),
    [sym_alignof_expression] = STATE(5024),
    [sym_offsetof_expression] = STATE(5024),
    [sym_generic_expression] = STATE(5024),
    [sym_subscript_expression] = STATE(4737),
    [sym_call_expression] = STATE(4737),
    [sym_gnu_asm_expression] = STATE(5024),
    [sym_field_expression] = STATE(4737),
    [sym_compound_literal_expression] = STATE(5024),
    [sym_parenthesized_expression] = STATE(4737),
    [sym_char_literal] = STATE(5374),
    [sym_concatenated_string] = STATE(5377),
    [sym_string_literal] = STATE(4206),
    [sym_null] = STATE(5024),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9352),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(5024),
    [sym_raw_string_literal] = STATE(4217),
    [sym_co_await_expression] = STATE(5024),
    [sym_new_expression] = STATE(5024),
    [sym_delete_expression] = STATE(5024),
    [sym_requires_clause] = STATE(5024),
    [sym_requires_expression] = STATE(5024),
    [sym_lambda_expression] = STATE(5024),
    [sym_lambda_capture_specifier] = STATE(7184),
    [sym_fold_expression] = STATE(5024),
    [sym_parameter_pack_expansion] = STATE(5024),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6886),
    [sym_qualified_identifier] = STATE(4737),
    [sym_qualified_type_identifier] = STATE(9352),
    [sym_user_defined_literal] = STATE(4737),
    [sym_identifier] = ACTIONS(4502),
    [anon_sym_LPAREN2] = ACTIONS(5007),
    [anon_sym_BANG] = ACTIONS(4506),
    [anon_sym_TILDE] = ACTIONS(4506),
    [anon_sym_DASH] = ACTIONS(4504),
    [anon_sym_PLUS] = ACTIONS(4504),
    [anon_sym_STAR] = ACTIONS(5007),
    [anon_sym_AMP_AMP] = ACTIONS(5007),
    [anon_sym_AMP] = ACTIONS(5009),
    [anon_sym_LT] = ACTIONS(5007),
    [anon_sym_COLON_COLON] = ACTIONS(4508),
    [anon_sym_LBRACE] = ACTIONS(5007),
    [anon_sym_LBRACK] = ACTIONS(5007),
    [sym_primitive_type] = ACTIONS(3146),
    [anon_sym_not] = ACTIONS(4504),
    [anon_sym_compl] = ACTIONS(4504),
    [anon_sym_DASH_DASH] = ACTIONS(4544),
    [anon_sym_PLUS_PLUS] = ACTIONS(4544),
    [anon_sym_sizeof] = ACTIONS(4510),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(4512),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(4514),
    [anon_sym_new] = ACTIONS(4516),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [1827] = {
    [sym__expression] = STATE(5443),
    [sym__expression_not_binary] = STATE(5024),
    [sym__string] = STATE(5024),
    [sym_conditional_expression] = STATE(5024),
    [sym_assignment_expression] = STATE(5024),
    [sym_pointer_expression] = STATE(4737),
    [sym_unary_expression] = STATE(5024),
    [sym_binary_expression] = STATE(5024),
    [sym_update_expression] = STATE(5024),
    [sym_cast_expression] = STATE(5024),
    [sym_sizeof_expression] = STATE(5024),
    [sym_alignof_expression] = STATE(5024),
    [sym_offsetof_expression] = STATE(5024),
    [sym_generic_expression] = STATE(5024),
    [sym_subscript_expression] = STATE(4737),
    [sym_call_expression] = STATE(4737),
    [sym_gnu_asm_expression] = STATE(5024),
    [sym_field_expression] = STATE(4737),
    [sym_compound_literal_expression] = STATE(5024),
    [sym_parenthesized_expression] = STATE(4737),
    [sym_char_literal] = STATE(5374),
    [sym_concatenated_string] = STATE(5377),
    [sym_string_literal] = STATE(4206),
    [sym_null] = STATE(5024),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9352),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(5024),
    [sym_raw_string_literal] = STATE(4217),
    [sym_co_await_expression] = STATE(5024),
    [sym_new_expression] = STATE(5024),
    [sym_delete_expression] = STATE(5024),
    [sym_requires_clause] = STATE(5024),
    [sym_requires_expression] = STATE(5024),
    [sym_lambda_expression] = STATE(5024),
    [sym_lambda_capture_specifier] = STATE(7184),
    [sym_lambda_default_capture] = STATE(9316),
    [sym_fold_expression] = STATE(5024),
    [sym_parameter_pack_expansion] = STATE(5024),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6886),
    [sym_qualified_identifier] = STATE(4737),
    [sym_qualified_type_identifier] = STATE(9352),
    [sym_user_defined_literal] = STATE(4737),
    [sym_identifier] = ACTIONS(4502),
    [anon_sym_LPAREN2] = ACTIONS(4540),
    [anon_sym_BANG] = ACTIONS(4506),
    [anon_sym_TILDE] = ACTIONS(4506),
    [anon_sym_DASH] = ACTIONS(4504),
    [anon_sym_PLUS] = ACTIONS(4504),
    [anon_sym_STAR] = ACTIONS(1474),
    [anon_sym_AMP] = ACTIONS(5025),
    [anon_sym_COLON_COLON] = ACTIONS(4508),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [anon_sym_RBRACK] = ACTIONS(5027),
    [anon_sym_EQ] = ACTIONS(5029),
    [sym_primitive_type] = ACTIONS(3146),
    [anon_sym_not] = ACTIONS(4504),
    [anon_sym_compl] = ACTIONS(4504),
    [anon_sym_DASH_DASH] = ACTIONS(4544),
    [anon_sym_PLUS_PLUS] = ACTIONS(4544),
    [anon_sym_sizeof] = ACTIONS(4510),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(4512),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(4514),
    [anon_sym_new] = ACTIONS(4516),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [1828] = {
    [sym__expression] = STATE(5597),
    [sym__expression_not_binary] = STATE(5024),
    [sym__string] = STATE(5024),
    [sym_conditional_expression] = STATE(5024),
    [sym_assignment_expression] = STATE(5024),
    [sym_pointer_expression] = STATE(4737),
    [sym_unary_expression] = STATE(5024),
    [sym_binary_expression] = STATE(5024),
    [sym_update_expression] = STATE(5024),
    [sym_cast_expression] = STATE(5024),
    [sym_sizeof_expression] = STATE(5024),
    [sym_alignof_expression] = STATE(5024),
    [sym_offsetof_expression] = STATE(5024),
    [sym_generic_expression] = STATE(5024),
    [sym_subscript_expression] = STATE(4737),
    [sym_call_expression] = STATE(4737),
    [sym_gnu_asm_expression] = STATE(5024),
    [sym_field_expression] = STATE(4737),
    [sym_compound_literal_expression] = STATE(5024),
    [sym_parenthesized_expression] = STATE(4737),
    [sym_char_literal] = STATE(5374),
    [sym_concatenated_string] = STATE(5377),
    [sym_string_literal] = STATE(4206),
    [sym_null] = STATE(5024),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9352),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(5024),
    [sym_raw_string_literal] = STATE(4217),
    [sym_co_await_expression] = STATE(5024),
    [sym_new_expression] = STATE(5024),
    [sym_delete_expression] = STATE(5024),
    [sym_requires_clause] = STATE(5024),
    [sym_requires_expression] = STATE(5024),
    [sym_lambda_expression] = STATE(5024),
    [sym_lambda_capture_specifier] = STATE(7184),
    [sym_lambda_default_capture] = STATE(9316),
    [sym_fold_expression] = STATE(5024),
    [sym_parameter_pack_expansion] = STATE(5024),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6886),
    [sym_qualified_identifier] = STATE(4737),
    [sym_qualified_type_identifier] = STATE(9352),
    [sym_user_defined_literal] = STATE(4737),
    [sym_identifier] = ACTIONS(5031),
    [anon_sym_LPAREN2] = ACTIONS(4540),
    [anon_sym_BANG] = ACTIONS(4506),
    [anon_sym_TILDE] = ACTIONS(4506),
    [anon_sym_DASH] = ACTIONS(4504),
    [anon_sym_PLUS] = ACTIONS(4504),
    [anon_sym_STAR] = ACTIONS(1474),
    [anon_sym_AMP] = ACTIONS(5025),
    [anon_sym_COLON_COLON] = ACTIONS(4508),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [anon_sym_RBRACK] = ACTIONS(5033),
    [anon_sym_EQ] = ACTIONS(5029),
    [sym_primitive_type] = ACTIONS(3146),
    [anon_sym_not] = ACTIONS(4504),
    [anon_sym_compl] = ACTIONS(4504),
    [anon_sym_DASH_DASH] = ACTIONS(4544),
    [anon_sym_PLUS_PLUS] = ACTIONS(4544),
    [anon_sym_sizeof] = ACTIONS(4510),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(4512),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(4514),
    [anon_sym_new] = ACTIONS(4516),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [1829] = {
    [sym__expression] = STATE(5363),
    [sym__expression_not_binary] = STATE(5024),
    [sym__string] = STATE(5024),
    [sym_conditional_expression] = STATE(5024),
    [sym_assignment_expression] = STATE(5024),
    [sym_pointer_expression] = STATE(4607),
    [sym_unary_expression] = STATE(5024),
    [sym_binary_expression] = STATE(5024),
    [sym_update_expression] = STATE(5024),
    [sym_cast_expression] = STATE(5024),
    [sym_sizeof_expression] = STATE(5024),
    [sym_alignof_expression] = STATE(5024),
    [sym_offsetof_expression] = STATE(5024),
    [sym_generic_expression] = STATE(5024),
    [sym_subscript_expression] = STATE(4607),
    [sym_call_expression] = STATE(4607),
    [sym_gnu_asm_expression] = STATE(5024),
    [sym_field_expression] = STATE(4607),
    [sym_compound_literal_expression] = STATE(5024),
    [sym_parenthesized_expression] = STATE(4607),
    [sym_initializer_list] = STATE(8093),
    [sym_char_literal] = STATE(5726),
    [sym_concatenated_string] = STATE(5682),
    [sym_string_literal] = STATE(4827),
    [sym_null] = STATE(5024),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9352),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(5024),
    [sym_raw_string_literal] = STATE(4829),
    [sym_co_await_expression] = STATE(5024),
    [sym_new_expression] = STATE(5024),
    [sym_delete_expression] = STATE(5024),
    [sym_requires_clause] = STATE(5024),
    [sym_requires_expression] = STATE(5024),
    [sym_lambda_expression] = STATE(5024),
    [sym_lambda_capture_specifier] = STATE(7184),
    [sym_fold_expression] = STATE(5024),
    [sym_parameter_pack_expansion] = STATE(5024),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6886),
    [sym_qualified_identifier] = STATE(4607),
    [sym_qualified_type_identifier] = STATE(9352),
    [sym_user_defined_literal] = STATE(4607),
    [sym_identifier] = ACTIONS(4478),
    [anon_sym_LPAREN2] = ACTIONS(5015),
    [anon_sym_BANG] = ACTIONS(4482),
    [anon_sym_TILDE] = ACTIONS(4482),
    [anon_sym_DASH] = ACTIONS(4480),
    [anon_sym_PLUS] = ACTIONS(4480),
    [anon_sym_STAR] = ACTIONS(5017),
    [anon_sym_AMP] = ACTIONS(5017),
    [anon_sym_COLON_COLON] = ACTIONS(4484),
    [anon_sym_LBRACE] = ACTIONS(4413),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [sym_primitive_type] = ACTIONS(3146),
    [anon_sym_default] = ACTIONS(5035),
    [anon_sym_not] = ACTIONS(4480),
    [anon_sym_compl] = ACTIONS(4480),
    [anon_sym_DASH_DASH] = ACTIONS(5021),
    [anon_sym_PLUS_PLUS] = ACTIONS(5021),
    [anon_sym_sizeof] = ACTIONS(4486),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(4488),
    [anon_sym_L_SQUOTE] = ACTIONS(4490),
    [anon_sym_u_SQUOTE] = ACTIONS(4490),
    [anon_sym_U_SQUOTE] = ACTIONS(4490),
    [anon_sym_u8_SQUOTE] = ACTIONS(4490),
    [anon_sym_SQUOTE] = ACTIONS(4490),
    [anon_sym_L_DQUOTE] = ACTIONS(4492),
    [anon_sym_u_DQUOTE] = ACTIONS(4492),
    [anon_sym_U_DQUOTE] = ACTIONS(4492),
    [anon_sym_u8_DQUOTE] = ACTIONS(4492),
    [anon_sym_DQUOTE] = ACTIONS(4492),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(5037),
    [anon_sym_R_DQUOTE] = ACTIONS(4496),
    [anon_sym_LR_DQUOTE] = ACTIONS(4496),
    [anon_sym_uR_DQUOTE] = ACTIONS(4496),
    [anon_sym_UR_DQUOTE] = ACTIONS(4496),
    [anon_sym_u8R_DQUOTE] = ACTIONS(4496),
    [anon_sym_co_await] = ACTIONS(4498),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [1830] = {
    [sym__expression] = STATE(5443),
    [sym__expression_not_binary] = STATE(5024),
    [sym__string] = STATE(5024),
    [sym_conditional_expression] = STATE(5024),
    [sym_assignment_expression] = STATE(5024),
    [sym_pointer_expression] = STATE(4737),
    [sym_unary_expression] = STATE(5024),
    [sym_binary_expression] = STATE(5024),
    [sym_update_expression] = STATE(5024),
    [sym_cast_expression] = STATE(5024),
    [sym_sizeof_expression] = STATE(5024),
    [sym_alignof_expression] = STATE(5024),
    [sym_offsetof_expression] = STATE(5024),
    [sym_generic_expression] = STATE(5024),
    [sym_subscript_expression] = STATE(4737),
    [sym_call_expression] = STATE(4737),
    [sym_gnu_asm_expression] = STATE(5024),
    [sym_field_expression] = STATE(4737),
    [sym_compound_literal_expression] = STATE(5024),
    [sym_parenthesized_expression] = STATE(4737),
    [sym_char_literal] = STATE(5374),
    [sym_concatenated_string] = STATE(5377),
    [sym_string_literal] = STATE(4206),
    [sym_null] = STATE(5024),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9352),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(5024),
    [sym_raw_string_literal] = STATE(4217),
    [sym_co_await_expression] = STATE(5024),
    [sym_new_expression] = STATE(5024),
    [sym_delete_expression] = STATE(5024),
    [sym_requires_clause] = STATE(5024),
    [sym_requires_expression] = STATE(5024),
    [sym_lambda_expression] = STATE(5024),
    [sym_lambda_capture_specifier] = STATE(7184),
    [sym_lambda_default_capture] = STATE(9316),
    [sym_fold_expression] = STATE(5024),
    [sym_parameter_pack_expansion] = STATE(5024),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6886),
    [sym_qualified_identifier] = STATE(4737),
    [sym_qualified_type_identifier] = STATE(9352),
    [sym_user_defined_literal] = STATE(4737),
    [sym_identifier] = ACTIONS(4502),
    [anon_sym_LPAREN2] = ACTIONS(4540),
    [anon_sym_BANG] = ACTIONS(4506),
    [anon_sym_TILDE] = ACTIONS(4506),
    [anon_sym_DASH] = ACTIONS(4504),
    [anon_sym_PLUS] = ACTIONS(4504),
    [anon_sym_STAR] = ACTIONS(1474),
    [anon_sym_AMP] = ACTIONS(5025),
    [anon_sym_COLON_COLON] = ACTIONS(4508),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [anon_sym_RBRACK] = ACTIONS(5039),
    [anon_sym_EQ] = ACTIONS(5029),
    [sym_primitive_type] = ACTIONS(3146),
    [anon_sym_not] = ACTIONS(4504),
    [anon_sym_compl] = ACTIONS(4504),
    [anon_sym_DASH_DASH] = ACTIONS(4544),
    [anon_sym_PLUS_PLUS] = ACTIONS(4544),
    [anon_sym_sizeof] = ACTIONS(4510),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(4512),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(4514),
    [anon_sym_new] = ACTIONS(4516),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [1831] = {
    [sym__expression] = STATE(5443),
    [sym__expression_not_binary] = STATE(5024),
    [sym__string] = STATE(5024),
    [sym_conditional_expression] = STATE(5024),
    [sym_assignment_expression] = STATE(5024),
    [sym_pointer_expression] = STATE(4737),
    [sym_unary_expression] = STATE(5024),
    [sym_binary_expression] = STATE(5024),
    [sym_update_expression] = STATE(5024),
    [sym_cast_expression] = STATE(5024),
    [sym_sizeof_expression] = STATE(5024),
    [sym_alignof_expression] = STATE(5024),
    [sym_offsetof_expression] = STATE(5024),
    [sym_generic_expression] = STATE(5024),
    [sym_subscript_expression] = STATE(4737),
    [sym_call_expression] = STATE(4737),
    [sym_gnu_asm_expression] = STATE(5024),
    [sym_field_expression] = STATE(4737),
    [sym_compound_literal_expression] = STATE(5024),
    [sym_parenthesized_expression] = STATE(4737),
    [sym_char_literal] = STATE(5374),
    [sym_concatenated_string] = STATE(5377),
    [sym_string_literal] = STATE(4206),
    [sym_null] = STATE(5024),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9352),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(5024),
    [sym_raw_string_literal] = STATE(4217),
    [sym_co_await_expression] = STATE(5024),
    [sym_new_expression] = STATE(5024),
    [sym_delete_expression] = STATE(5024),
    [sym_requires_clause] = STATE(5024),
    [sym_requires_expression] = STATE(5024),
    [sym_lambda_expression] = STATE(5024),
    [sym_lambda_capture_specifier] = STATE(7184),
    [sym_lambda_default_capture] = STATE(9316),
    [sym_fold_expression] = STATE(5024),
    [sym_parameter_pack_expansion] = STATE(5024),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6886),
    [sym_qualified_identifier] = STATE(4737),
    [sym_qualified_type_identifier] = STATE(9352),
    [sym_user_defined_literal] = STATE(4737),
    [sym_identifier] = ACTIONS(4502),
    [anon_sym_LPAREN2] = ACTIONS(4540),
    [anon_sym_BANG] = ACTIONS(4506),
    [anon_sym_TILDE] = ACTIONS(4506),
    [anon_sym_DASH] = ACTIONS(4504),
    [anon_sym_PLUS] = ACTIONS(4504),
    [anon_sym_STAR] = ACTIONS(1474),
    [anon_sym_AMP] = ACTIONS(5025),
    [anon_sym_COLON_COLON] = ACTIONS(4508),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [anon_sym_RBRACK] = ACTIONS(5041),
    [anon_sym_EQ] = ACTIONS(5029),
    [sym_primitive_type] = ACTIONS(3146),
    [anon_sym_not] = ACTIONS(4504),
    [anon_sym_compl] = ACTIONS(4504),
    [anon_sym_DASH_DASH] = ACTIONS(4544),
    [anon_sym_PLUS_PLUS] = ACTIONS(4544),
    [anon_sym_sizeof] = ACTIONS(4510),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(4512),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(4514),
    [anon_sym_new] = ACTIONS(4516),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [1832] = {
    [sym__expression] = STATE(3835),
    [sym__expression_not_binary] = STATE(3672),
    [sym__string] = STATE(3672),
    [sym_conditional_expression] = STATE(3672),
    [sym_assignment_expression] = STATE(3672),
    [sym_pointer_expression] = STATE(3672),
    [sym_unary_expression] = STATE(3672),
    [sym_binary_expression] = STATE(3672),
    [sym_update_expression] = STATE(3672),
    [sym_cast_expression] = STATE(3672),
    [sym_sizeof_expression] = STATE(3672),
    [sym_alignof_expression] = STATE(3672),
    [sym_offsetof_expression] = STATE(3672),
    [sym_generic_expression] = STATE(3672),
    [sym_subscript_expression] = STATE(3672),
    [sym_call_expression] = STATE(3672),
    [sym_gnu_asm_expression] = STATE(3672),
    [sym_field_expression] = STATE(3672),
    [sym_compound_literal_expression] = STATE(3672),
    [sym_parenthesized_expression] = STATE(3672),
    [sym_char_literal] = STATE(3855),
    [sym_concatenated_string] = STATE(3873),
    [sym_string_literal] = STATE(3222),
    [sym_null] = STATE(3672),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9333),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(3672),
    [sym_raw_string_literal] = STATE(3216),
    [sym_co_await_expression] = STATE(3672),
    [sym_new_expression] = STATE(3672),
    [sym_delete_expression] = STATE(3672),
    [sym_requires_clause] = STATE(3672),
    [sym_requires_expression] = STATE(3672),
    [sym_lambda_expression] = STATE(3672),
    [sym_lambda_capture_specifier] = STATE(7134),
    [sym_fold_expression] = STATE(3672),
    [sym_parameter_pack_expansion] = STATE(3672),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6886),
    [sym_qualified_identifier] = STATE(3672),
    [sym_qualified_type_identifier] = STATE(9333),
    [sym_user_defined_literal] = STATE(3672),
    [sym_identifier] = ACTIONS(3968),
    [anon_sym_LPAREN2] = ACTIONS(5007),
    [anon_sym_BANG] = ACTIONS(3922),
    [anon_sym_TILDE] = ACTIONS(3922),
    [anon_sym_DASH] = ACTIONS(3920),
    [anon_sym_PLUS] = ACTIONS(3920),
    [anon_sym_STAR] = ACTIONS(5007),
    [anon_sym_AMP_AMP] = ACTIONS(5007),
    [anon_sym_AMP] = ACTIONS(5009),
    [anon_sym_LT] = ACTIONS(5007),
    [anon_sym_COLON_COLON] = ACTIONS(3924),
    [anon_sym_LBRACE] = ACTIONS(5007),
    [anon_sym_LBRACK] = ACTIONS(5007),
    [sym_primitive_type] = ACTIONS(3928),
    [anon_sym_not] = ACTIONS(3920),
    [anon_sym_compl] = ACTIONS(3920),
    [anon_sym_DASH_DASH] = ACTIONS(5013),
    [anon_sym_PLUS_PLUS] = ACTIONS(5013),
    [anon_sym_sizeof] = ACTIONS(3930),
    [anon_sym___alignof__] = ACTIONS(3932),
    [anon_sym___alignof] = ACTIONS(3932),
    [anon_sym__alignof] = ACTIONS(3932),
    [anon_sym_alignof] = ACTIONS(3932),
    [anon_sym__Alignof] = ACTIONS(3932),
    [anon_sym_offsetof] = ACTIONS(3934),
    [anon_sym__Generic] = ACTIONS(3936),
    [anon_sym_asm] = ACTIONS(3938),
    [anon_sym___asm__] = ACTIONS(3938),
    [sym_number_literal] = ACTIONS(3940),
    [anon_sym_L_SQUOTE] = ACTIONS(3942),
    [anon_sym_u_SQUOTE] = ACTIONS(3942),
    [anon_sym_U_SQUOTE] = ACTIONS(3942),
    [anon_sym_u8_SQUOTE] = ACTIONS(3942),
    [anon_sym_SQUOTE] = ACTIONS(3942),
    [anon_sym_L_DQUOTE] = ACTIONS(3944),
    [anon_sym_u_DQUOTE] = ACTIONS(3944),
    [anon_sym_U_DQUOTE] = ACTIONS(3944),
    [anon_sym_u8_DQUOTE] = ACTIONS(3944),
    [anon_sym_DQUOTE] = ACTIONS(3944),
    [sym_true] = ACTIONS(3946),
    [sym_false] = ACTIONS(3946),
    [anon_sym_NULL] = ACTIONS(3948),
    [anon_sym_nullptr] = ACTIONS(3948),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(3950),
    [anon_sym_R_DQUOTE] = ACTIONS(3952),
    [anon_sym_LR_DQUOTE] = ACTIONS(3952),
    [anon_sym_uR_DQUOTE] = ACTIONS(3952),
    [anon_sym_UR_DQUOTE] = ACTIONS(3952),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3952),
    [anon_sym_co_await] = ACTIONS(3954),
    [anon_sym_new] = ACTIONS(3956),
    [anon_sym_requires] = ACTIONS(3958),
    [sym_this] = ACTIONS(3946),
  },
  [1833] = {
    [sym__expression] = STATE(5616),
    [sym__expression_not_binary] = STATE(5024),
    [sym__string] = STATE(5024),
    [sym_conditional_expression] = STATE(5024),
    [sym_assignment_expression] = STATE(5024),
    [sym_pointer_expression] = STATE(4737),
    [sym_unary_expression] = STATE(5024),
    [sym_binary_expression] = STATE(5024),
    [sym_update_expression] = STATE(5024),
    [sym_cast_expression] = STATE(5024),
    [sym_sizeof_expression] = STATE(5024),
    [sym_alignof_expression] = STATE(5024),
    [sym_offsetof_expression] = STATE(5024),
    [sym_generic_expression] = STATE(5024),
    [sym_subscript_expression] = STATE(4737),
    [sym_call_expression] = STATE(4737),
    [sym_gnu_asm_expression] = STATE(5024),
    [sym_field_expression] = STATE(4737),
    [sym_compound_literal_expression] = STATE(5024),
    [sym_parenthesized_expression] = STATE(4737),
    [sym_char_literal] = STATE(5374),
    [sym_concatenated_string] = STATE(5377),
    [sym_string_literal] = STATE(4206),
    [sym_null] = STATE(5024),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9352),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(5024),
    [sym_raw_string_literal] = STATE(4217),
    [sym_co_await_expression] = STATE(5024),
    [sym_new_expression] = STATE(5024),
    [sym_delete_expression] = STATE(5024),
    [sym_requires_clause] = STATE(5024),
    [sym_requires_expression] = STATE(5024),
    [sym_lambda_expression] = STATE(5024),
    [sym_lambda_capture_specifier] = STATE(7184),
    [sym_lambda_default_capture] = STATE(9316),
    [sym_fold_expression] = STATE(5024),
    [sym_parameter_pack_expansion] = STATE(5024),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6886),
    [sym_qualified_identifier] = STATE(4737),
    [sym_qualified_type_identifier] = STATE(9352),
    [sym_user_defined_literal] = STATE(4737),
    [sym_identifier] = ACTIONS(4502),
    [anon_sym_LPAREN2] = ACTIONS(4540),
    [anon_sym_BANG] = ACTIONS(4506),
    [anon_sym_TILDE] = ACTIONS(4506),
    [anon_sym_DASH] = ACTIONS(4504),
    [anon_sym_PLUS] = ACTIONS(4504),
    [anon_sym_STAR] = ACTIONS(1474),
    [anon_sym_AMP] = ACTIONS(5025),
    [anon_sym_COLON_COLON] = ACTIONS(4508),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [anon_sym_RBRACK] = ACTIONS(5033),
    [anon_sym_EQ] = ACTIONS(5029),
    [sym_primitive_type] = ACTIONS(3146),
    [anon_sym_not] = ACTIONS(4504),
    [anon_sym_compl] = ACTIONS(4504),
    [anon_sym_DASH_DASH] = ACTIONS(4544),
    [anon_sym_PLUS_PLUS] = ACTIONS(4544),
    [anon_sym_sizeof] = ACTIONS(4510),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(4512),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(4514),
    [anon_sym_new] = ACTIONS(4516),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [1834] = {
    [sym__expression] = STATE(4364),
    [sym__expression_not_binary] = STATE(3672),
    [sym__string] = STATE(3672),
    [sym_conditional_expression] = STATE(3672),
    [sym_assignment_expression] = STATE(3672),
    [sym_pointer_expression] = STATE(3672),
    [sym_unary_expression] = STATE(3672),
    [sym_binary_expression] = STATE(3672),
    [sym_update_expression] = STATE(3672),
    [sym_cast_expression] = STATE(3672),
    [sym_sizeof_expression] = STATE(3672),
    [sym_alignof_expression] = STATE(3672),
    [sym_offsetof_expression] = STATE(3672),
    [sym_generic_expression] = STATE(3672),
    [sym_subscript_expression] = STATE(3672),
    [sym_call_expression] = STATE(3672),
    [sym_gnu_asm_expression] = STATE(3672),
    [sym_field_expression] = STATE(3672),
    [sym_compound_literal_expression] = STATE(3672),
    [sym_parenthesized_expression] = STATE(3672),
    [sym_char_literal] = STATE(4466),
    [sym_concatenated_string] = STATE(4465),
    [sym_string_literal] = STATE(3395),
    [sym_null] = STATE(3672),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9333),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(3672),
    [sym_raw_string_literal] = STATE(3400),
    [sym_co_await_expression] = STATE(3672),
    [sym_new_expression] = STATE(3672),
    [sym_delete_expression] = STATE(3672),
    [sym_requires_clause] = STATE(3672),
    [sym_requires_expression] = STATE(3672),
    [sym_lambda_expression] = STATE(3672),
    [sym_lambda_capture_specifier] = STATE(7134),
    [sym_fold_expression] = STATE(3672),
    [sym_parameter_pack_expansion] = STATE(3672),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6886),
    [sym_qualified_identifier] = STATE(3672),
    [sym_qualified_type_identifier] = STATE(9333),
    [sym_user_defined_literal] = STATE(3672),
    [sym_identifier] = ACTIONS(4070),
    [anon_sym_LPAREN2] = ACTIONS(5007),
    [anon_sym_BANG] = ACTIONS(4074),
    [anon_sym_TILDE] = ACTIONS(4074),
    [anon_sym_DASH] = ACTIONS(4072),
    [anon_sym_PLUS] = ACTIONS(4072),
    [anon_sym_STAR] = ACTIONS(5007),
    [anon_sym_AMP_AMP] = ACTIONS(5007),
    [anon_sym_AMP] = ACTIONS(5009),
    [anon_sym_LT] = ACTIONS(5007),
    [anon_sym_COLON_COLON] = ACTIONS(4076),
    [anon_sym_LBRACE] = ACTIONS(5007),
    [anon_sym_LBRACK] = ACTIONS(5007),
    [sym_primitive_type] = ACTIONS(3928),
    [anon_sym_not] = ACTIONS(4072),
    [anon_sym_compl] = ACTIONS(4072),
    [anon_sym_DASH_DASH] = ACTIONS(5043),
    [anon_sym_PLUS_PLUS] = ACTIONS(5043),
    [anon_sym_sizeof] = ACTIONS(4078),
    [anon_sym___alignof__] = ACTIONS(3932),
    [anon_sym___alignof] = ACTIONS(3932),
    [anon_sym__alignof] = ACTIONS(3932),
    [anon_sym_alignof] = ACTIONS(3932),
    [anon_sym__Alignof] = ACTIONS(3932),
    [anon_sym_offsetof] = ACTIONS(3934),
    [anon_sym__Generic] = ACTIONS(3936),
    [anon_sym_asm] = ACTIONS(3938),
    [anon_sym___asm__] = ACTIONS(3938),
    [sym_number_literal] = ACTIONS(4080),
    [anon_sym_L_SQUOTE] = ACTIONS(4082),
    [anon_sym_u_SQUOTE] = ACTIONS(4082),
    [anon_sym_U_SQUOTE] = ACTIONS(4082),
    [anon_sym_u8_SQUOTE] = ACTIONS(4082),
    [anon_sym_SQUOTE] = ACTIONS(4082),
    [anon_sym_L_DQUOTE] = ACTIONS(4084),
    [anon_sym_u_DQUOTE] = ACTIONS(4084),
    [anon_sym_U_DQUOTE] = ACTIONS(4084),
    [anon_sym_u8_DQUOTE] = ACTIONS(4084),
    [anon_sym_DQUOTE] = ACTIONS(4084),
    [sym_true] = ACTIONS(3946),
    [sym_false] = ACTIONS(3946),
    [anon_sym_NULL] = ACTIONS(3948),
    [anon_sym_nullptr] = ACTIONS(3948),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(4086),
    [anon_sym_R_DQUOTE] = ACTIONS(4088),
    [anon_sym_LR_DQUOTE] = ACTIONS(4088),
    [anon_sym_uR_DQUOTE] = ACTIONS(4088),
    [anon_sym_UR_DQUOTE] = ACTIONS(4088),
    [anon_sym_u8R_DQUOTE] = ACTIONS(4088),
    [anon_sym_co_await] = ACTIONS(4090),
    [anon_sym_new] = ACTIONS(3990),
    [anon_sym_requires] = ACTIONS(3958),
    [sym_this] = ACTIONS(3946),
  },
  [1835] = {
    [sym__expression] = STATE(5443),
    [sym__expression_not_binary] = STATE(5024),
    [sym__string] = STATE(5024),
    [sym_conditional_expression] = STATE(5024),
    [sym_assignment_expression] = STATE(5024),
    [sym_pointer_expression] = STATE(4737),
    [sym_unary_expression] = STATE(5024),
    [sym_binary_expression] = STATE(5024),
    [sym_update_expression] = STATE(5024),
    [sym_cast_expression] = STATE(5024),
    [sym_sizeof_expression] = STATE(5024),
    [sym_alignof_expression] = STATE(5024),
    [sym_offsetof_expression] = STATE(5024),
    [sym_generic_expression] = STATE(5024),
    [sym_subscript_expression] = STATE(4737),
    [sym_call_expression] = STATE(4737),
    [sym_gnu_asm_expression] = STATE(5024),
    [sym_field_expression] = STATE(4737),
    [sym_compound_literal_expression] = STATE(5024),
    [sym_parenthesized_expression] = STATE(4737),
    [sym_char_literal] = STATE(5374),
    [sym_concatenated_string] = STATE(5377),
    [sym_string_literal] = STATE(4206),
    [sym_null] = STATE(5024),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9352),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(5024),
    [sym_raw_string_literal] = STATE(4217),
    [sym_co_await_expression] = STATE(5024),
    [sym_new_expression] = STATE(5024),
    [sym_delete_expression] = STATE(5024),
    [sym_requires_clause] = STATE(5024),
    [sym_requires_expression] = STATE(5024),
    [sym_lambda_expression] = STATE(5024),
    [sym_lambda_capture_specifier] = STATE(7184),
    [sym_lambda_default_capture] = STATE(9316),
    [sym_fold_expression] = STATE(5024),
    [sym_parameter_pack_expansion] = STATE(5024),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6886),
    [sym_qualified_identifier] = STATE(4737),
    [sym_qualified_type_identifier] = STATE(9352),
    [sym_user_defined_literal] = STATE(4737),
    [sym_identifier] = ACTIONS(4502),
    [anon_sym_LPAREN2] = ACTIONS(4540),
    [anon_sym_BANG] = ACTIONS(4506),
    [anon_sym_TILDE] = ACTIONS(4506),
    [anon_sym_DASH] = ACTIONS(4504),
    [anon_sym_PLUS] = ACTIONS(4504),
    [anon_sym_STAR] = ACTIONS(1474),
    [anon_sym_AMP] = ACTIONS(5025),
    [anon_sym_COLON_COLON] = ACTIONS(4508),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [anon_sym_RBRACK] = ACTIONS(5045),
    [anon_sym_EQ] = ACTIONS(5029),
    [sym_primitive_type] = ACTIONS(3146),
    [anon_sym_not] = ACTIONS(4504),
    [anon_sym_compl] = ACTIONS(4504),
    [anon_sym_DASH_DASH] = ACTIONS(4544),
    [anon_sym_PLUS_PLUS] = ACTIONS(4544),
    [anon_sym_sizeof] = ACTIONS(4510),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(4512),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(4514),
    [anon_sym_new] = ACTIONS(4516),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [1836] = {
    [sym__expression] = STATE(5443),
    [sym__expression_not_binary] = STATE(5024),
    [sym__string] = STATE(5024),
    [sym_conditional_expression] = STATE(5024),
    [sym_assignment_expression] = STATE(5024),
    [sym_pointer_expression] = STATE(4737),
    [sym_unary_expression] = STATE(5024),
    [sym_binary_expression] = STATE(5024),
    [sym_update_expression] = STATE(5024),
    [sym_cast_expression] = STATE(5024),
    [sym_sizeof_expression] = STATE(5024),
    [sym_alignof_expression] = STATE(5024),
    [sym_offsetof_expression] = STATE(5024),
    [sym_generic_expression] = STATE(5024),
    [sym_subscript_expression] = STATE(4737),
    [sym_call_expression] = STATE(4737),
    [sym_gnu_asm_expression] = STATE(5024),
    [sym_field_expression] = STATE(4737),
    [sym_compound_literal_expression] = STATE(5024),
    [sym_parenthesized_expression] = STATE(4737),
    [sym_char_literal] = STATE(5374),
    [sym_concatenated_string] = STATE(5377),
    [sym_string_literal] = STATE(4206),
    [sym_null] = STATE(5024),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9352),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(5024),
    [sym_raw_string_literal] = STATE(4217),
    [sym_co_await_expression] = STATE(5024),
    [sym_new_expression] = STATE(5024),
    [sym_delete_expression] = STATE(5024),
    [sym_requires_clause] = STATE(5024),
    [sym_requires_expression] = STATE(5024),
    [sym_lambda_expression] = STATE(5024),
    [sym_lambda_capture_specifier] = STATE(7184),
    [sym_lambda_default_capture] = STATE(9316),
    [sym_fold_expression] = STATE(5024),
    [sym_parameter_pack_expansion] = STATE(5024),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6886),
    [sym_qualified_identifier] = STATE(4737),
    [sym_qualified_type_identifier] = STATE(9352),
    [sym_user_defined_literal] = STATE(4737),
    [sym_identifier] = ACTIONS(4502),
    [anon_sym_LPAREN2] = ACTIONS(4540),
    [anon_sym_BANG] = ACTIONS(4506),
    [anon_sym_TILDE] = ACTIONS(4506),
    [anon_sym_DASH] = ACTIONS(4504),
    [anon_sym_PLUS] = ACTIONS(4504),
    [anon_sym_STAR] = ACTIONS(1474),
    [anon_sym_AMP] = ACTIONS(5025),
    [anon_sym_COLON_COLON] = ACTIONS(4508),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [anon_sym_RBRACK] = ACTIONS(5047),
    [anon_sym_EQ] = ACTIONS(5029),
    [sym_primitive_type] = ACTIONS(3146),
    [anon_sym_not] = ACTIONS(4504),
    [anon_sym_compl] = ACTIONS(4504),
    [anon_sym_DASH_DASH] = ACTIONS(4544),
    [anon_sym_PLUS_PLUS] = ACTIONS(4544),
    [anon_sym_sizeof] = ACTIONS(4510),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(4512),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(4514),
    [anon_sym_new] = ACTIONS(4516),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [1837] = {
    [sym__expression] = STATE(4775),
    [sym__expression_not_binary] = STATE(4939),
    [sym__string] = STATE(4939),
    [sym_conditional_expression] = STATE(4939),
    [sym_assignment_expression] = STATE(4939),
    [sym_pointer_expression] = STATE(4521),
    [sym_unary_expression] = STATE(4939),
    [sym_binary_expression] = STATE(4939),
    [sym_update_expression] = STATE(4939),
    [sym_cast_expression] = STATE(4939),
    [sym_sizeof_expression] = STATE(4939),
    [sym_alignof_expression] = STATE(4939),
    [sym_offsetof_expression] = STATE(4939),
    [sym_generic_expression] = STATE(4939),
    [sym_subscript_expression] = STATE(4521),
    [sym_call_expression] = STATE(4521),
    [sym_gnu_asm_expression] = STATE(4939),
    [sym_field_expression] = STATE(4521),
    [sym_compound_literal_expression] = STATE(4939),
    [sym_parenthesized_expression] = STATE(4521),
    [sym_char_literal] = STATE(4856),
    [sym_concatenated_string] = STATE(4876),
    [sym_string_literal] = STATE(3630),
    [sym_null] = STATE(4939),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9415),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(4939),
    [sym_raw_string_literal] = STATE(3632),
    [sym_co_await_expression] = STATE(4939),
    [sym_new_expression] = STATE(4939),
    [sym_delete_expression] = STATE(4939),
    [sym_requires_clause] = STATE(4939),
    [sym_requires_expression] = STATE(4939),
    [sym_lambda_expression] = STATE(4939),
    [sym_lambda_capture_specifier] = STATE(7190),
    [sym_fold_expression] = STATE(4939),
    [sym_parameter_pack_expansion] = STATE(4939),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6899),
    [sym_qualified_identifier] = STATE(4521),
    [sym_qualified_type_identifier] = STATE(9415),
    [sym_user_defined_literal] = STATE(4521),
    [sym_identifier] = ACTIONS(4178),
    [anon_sym_LPAREN2] = ACTIONS(5007),
    [anon_sym_BANG] = ACTIONS(2112),
    [anon_sym_TILDE] = ACTIONS(2112),
    [anon_sym_DASH] = ACTIONS(2114),
    [anon_sym_PLUS] = ACTIONS(2114),
    [anon_sym_STAR] = ACTIONS(5007),
    [anon_sym_AMP_AMP] = ACTIONS(5007),
    [anon_sym_AMP] = ACTIONS(5009),
    [anon_sym_LT] = ACTIONS(5007),
    [anon_sym_COLON_COLON] = ACTIONS(2120),
    [anon_sym_LBRACE] = ACTIONS(5007),
    [anon_sym_LBRACK] = ACTIONS(5007),
    [sym_primitive_type] = ACTIONS(4182),
    [anon_sym_not] = ACTIONS(2114),
    [anon_sym_compl] = ACTIONS(2114),
    [anon_sym_DASH_DASH] = ACTIONS(2132),
    [anon_sym_PLUS_PLUS] = ACTIONS(2132),
    [anon_sym_sizeof] = ACTIONS(2134),
    [anon_sym___alignof__] = ACTIONS(2136),
    [anon_sym___alignof] = ACTIONS(2136),
    [anon_sym__alignof] = ACTIONS(2136),
    [anon_sym_alignof] = ACTIONS(2136),
    [anon_sym__Alignof] = ACTIONS(2136),
    [anon_sym_offsetof] = ACTIONS(2138),
    [anon_sym__Generic] = ACTIONS(2140),
    [anon_sym_asm] = ACTIONS(2142),
    [anon_sym___asm__] = ACTIONS(2142),
    [sym_number_literal] = ACTIONS(2144),
    [anon_sym_L_SQUOTE] = ACTIONS(2146),
    [anon_sym_u_SQUOTE] = ACTIONS(2146),
    [anon_sym_U_SQUOTE] = ACTIONS(2146),
    [anon_sym_u8_SQUOTE] = ACTIONS(2146),
    [anon_sym_SQUOTE] = ACTIONS(2146),
    [anon_sym_L_DQUOTE] = ACTIONS(2148),
    [anon_sym_u_DQUOTE] = ACTIONS(2148),
    [anon_sym_U_DQUOTE] = ACTIONS(2148),
    [anon_sym_u8_DQUOTE] = ACTIONS(2148),
    [anon_sym_DQUOTE] = ACTIONS(2148),
    [sym_true] = ACTIONS(2150),
    [sym_false] = ACTIONS(2150),
    [anon_sym_NULL] = ACTIONS(2152),
    [anon_sym_nullptr] = ACTIONS(2152),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(2156),
    [anon_sym_R_DQUOTE] = ACTIONS(2158),
    [anon_sym_LR_DQUOTE] = ACTIONS(2158),
    [anon_sym_uR_DQUOTE] = ACTIONS(2158),
    [anon_sym_UR_DQUOTE] = ACTIONS(2158),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2158),
    [anon_sym_co_await] = ACTIONS(2160),
    [anon_sym_new] = ACTIONS(2162),
    [anon_sym_requires] = ACTIONS(2164),
    [sym_this] = ACTIONS(2150),
  },
  [1838] = {
    [sym__expression] = STATE(4423),
    [sym__expression_not_binary] = STATE(4786),
    [sym__string] = STATE(4786),
    [sym_conditional_expression] = STATE(4786),
    [sym_assignment_expression] = STATE(4786),
    [sym_pointer_expression] = STATE(4786),
    [sym_unary_expression] = STATE(4786),
    [sym_binary_expression] = STATE(4786),
    [sym_update_expression] = STATE(4786),
    [sym_cast_expression] = STATE(4786),
    [sym_sizeof_expression] = STATE(4786),
    [sym_alignof_expression] = STATE(4786),
    [sym_offsetof_expression] = STATE(4786),
    [sym_generic_expression] = STATE(4786),
    [sym_subscript_expression] = STATE(4786),
    [sym_call_expression] = STATE(4786),
    [sym_gnu_asm_expression] = STATE(4786),
    [sym_field_expression] = STATE(4786),
    [sym_compound_literal_expression] = STATE(4786),
    [sym_parenthesized_expression] = STATE(4786),
    [sym_char_literal] = STATE(4554),
    [sym_concatenated_string] = STATE(4621),
    [sym_string_literal] = STATE(3503),
    [sym_null] = STATE(4786),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9199),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(4786),
    [sym_raw_string_literal] = STATE(3498),
    [sym_co_await_expression] = STATE(4786),
    [sym_new_expression] = STATE(4786),
    [sym_delete_expression] = STATE(4786),
    [sym_requires_clause] = STATE(4786),
    [sym_requires_expression] = STATE(4786),
    [sym_lambda_expression] = STATE(4786),
    [sym_lambda_capture_specifier] = STATE(7160),
    [sym_fold_expression] = STATE(4786),
    [sym_parameter_pack_expansion] = STATE(4786),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6932),
    [sym_qualified_identifier] = STATE(4786),
    [sym_qualified_type_identifier] = STATE(9199),
    [sym_user_defined_literal] = STATE(4786),
    [sym_identifier] = ACTIONS(4126),
    [anon_sym_LPAREN2] = ACTIONS(5007),
    [anon_sym_BANG] = ACTIONS(4130),
    [anon_sym_TILDE] = ACTIONS(4130),
    [anon_sym_DASH] = ACTIONS(4128),
    [anon_sym_PLUS] = ACTIONS(4128),
    [anon_sym_STAR] = ACTIONS(5007),
    [anon_sym_AMP_AMP] = ACTIONS(5007),
    [anon_sym_AMP] = ACTIONS(5009),
    [anon_sym_LT] = ACTIONS(5007),
    [anon_sym_COLON_COLON] = ACTIONS(4132),
    [anon_sym_LBRACE] = ACTIONS(5007),
    [anon_sym_LBRACK] = ACTIONS(5007),
    [sym_primitive_type] = ACTIONS(4136),
    [anon_sym_not] = ACTIONS(4128),
    [anon_sym_compl] = ACTIONS(4128),
    [anon_sym_DASH_DASH] = ACTIONS(5049),
    [anon_sym_PLUS_PLUS] = ACTIONS(5049),
    [anon_sym_sizeof] = ACTIONS(4138),
    [anon_sym___alignof__] = ACTIONS(4140),
    [anon_sym___alignof] = ACTIONS(4140),
    [anon_sym__alignof] = ACTIONS(4140),
    [anon_sym_alignof] = ACTIONS(4140),
    [anon_sym__Alignof] = ACTIONS(4140),
    [anon_sym_offsetof] = ACTIONS(4142),
    [anon_sym__Generic] = ACTIONS(4144),
    [anon_sym_asm] = ACTIONS(4146),
    [anon_sym___asm__] = ACTIONS(4146),
    [sym_number_literal] = ACTIONS(4148),
    [anon_sym_L_SQUOTE] = ACTIONS(4150),
    [anon_sym_u_SQUOTE] = ACTIONS(4150),
    [anon_sym_U_SQUOTE] = ACTIONS(4150),
    [anon_sym_u8_SQUOTE] = ACTIONS(4150),
    [anon_sym_SQUOTE] = ACTIONS(4150),
    [anon_sym_L_DQUOTE] = ACTIONS(4152),
    [anon_sym_u_DQUOTE] = ACTIONS(4152),
    [anon_sym_U_DQUOTE] = ACTIONS(4152),
    [anon_sym_u8_DQUOTE] = ACTIONS(4152),
    [anon_sym_DQUOTE] = ACTIONS(4152),
    [sym_true] = ACTIONS(4154),
    [sym_false] = ACTIONS(4154),
    [anon_sym_NULL] = ACTIONS(4156),
    [anon_sym_nullptr] = ACTIONS(4156),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(4158),
    [anon_sym_R_DQUOTE] = ACTIONS(4160),
    [anon_sym_LR_DQUOTE] = ACTIONS(4160),
    [anon_sym_uR_DQUOTE] = ACTIONS(4160),
    [anon_sym_UR_DQUOTE] = ACTIONS(4160),
    [anon_sym_u8R_DQUOTE] = ACTIONS(4160),
    [anon_sym_co_await] = ACTIONS(4162),
    [anon_sym_new] = ACTIONS(4164),
    [anon_sym_requires] = ACTIONS(4166),
    [sym_this] = ACTIONS(4154),
  },
  [1839] = {
    [sym__expression] = STATE(3971),
    [sym__expression_not_binary] = STATE(4307),
    [sym__string] = STATE(4307),
    [sym_conditional_expression] = STATE(4307),
    [sym_assignment_expression] = STATE(4307),
    [sym_pointer_expression] = STATE(4307),
    [sym_unary_expression] = STATE(4307),
    [sym_binary_expression] = STATE(4307),
    [sym_update_expression] = STATE(4307),
    [sym_cast_expression] = STATE(4307),
    [sym_sizeof_expression] = STATE(4307),
    [sym_alignof_expression] = STATE(4307),
    [sym_offsetof_expression] = STATE(4307),
    [sym_generic_expression] = STATE(4307),
    [sym_subscript_expression] = STATE(4307),
    [sym_call_expression] = STATE(4307),
    [sym_gnu_asm_expression] = STATE(4307),
    [sym_field_expression] = STATE(4307),
    [sym_compound_literal_expression] = STATE(4307),
    [sym_parenthesized_expression] = STATE(4307),
    [sym_char_literal] = STATE(4093),
    [sym_concatenated_string] = STATE(4159),
    [sym_string_literal] = STATE(3328),
    [sym_null] = STATE(4307),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9053),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(4307),
    [sym_raw_string_literal] = STATE(3294),
    [sym_co_await_expression] = STATE(4307),
    [sym_new_expression] = STATE(4307),
    [sym_delete_expression] = STATE(4307),
    [sym_requires_clause] = STATE(4307),
    [sym_requires_expression] = STATE(4307),
    [sym_lambda_expression] = STATE(4307),
    [sym_lambda_capture_specifier] = STATE(7183),
    [sym_fold_expression] = STATE(4307),
    [sym_parameter_pack_expansion] = STATE(4307),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6962),
    [sym_qualified_identifier] = STATE(4307),
    [sym_qualified_type_identifier] = STATE(9053),
    [sym_user_defined_literal] = STATE(4307),
    [sym_identifier] = ACTIONS(5051),
    [anon_sym_LPAREN2] = ACTIONS(5007),
    [anon_sym_BANG] = ACTIONS(3994),
    [anon_sym_TILDE] = ACTIONS(3994),
    [anon_sym_DASH] = ACTIONS(3992),
    [anon_sym_PLUS] = ACTIONS(3992),
    [anon_sym_STAR] = ACTIONS(5007),
    [anon_sym_AMP_AMP] = ACTIONS(5007),
    [anon_sym_AMP] = ACTIONS(5009),
    [anon_sym_LT] = ACTIONS(5007),
    [anon_sym_COLON_COLON] = ACTIONS(3996),
    [anon_sym_LBRACE] = ACTIONS(5007),
    [anon_sym_LBRACK] = ACTIONS(5007),
    [sym_primitive_type] = ACTIONS(4000),
    [anon_sym_not] = ACTIONS(3992),
    [anon_sym_compl] = ACTIONS(3992),
    [anon_sym_DASH_DASH] = ACTIONS(5053),
    [anon_sym_PLUS_PLUS] = ACTIONS(5053),
    [anon_sym_sizeof] = ACTIONS(4002),
    [anon_sym___alignof__] = ACTIONS(4004),
    [anon_sym___alignof] = ACTIONS(4004),
    [anon_sym__alignof] = ACTIONS(4004),
    [anon_sym_alignof] = ACTIONS(4004),
    [anon_sym__Alignof] = ACTIONS(4004),
    [anon_sym_offsetof] = ACTIONS(4006),
    [anon_sym__Generic] = ACTIONS(4008),
    [anon_sym_asm] = ACTIONS(4010),
    [anon_sym___asm__] = ACTIONS(4010),
    [sym_number_literal] = ACTIONS(4012),
    [anon_sym_L_SQUOTE] = ACTIONS(4014),
    [anon_sym_u_SQUOTE] = ACTIONS(4014),
    [anon_sym_U_SQUOTE] = ACTIONS(4014),
    [anon_sym_u8_SQUOTE] = ACTIONS(4014),
    [anon_sym_SQUOTE] = ACTIONS(4014),
    [anon_sym_L_DQUOTE] = ACTIONS(4016),
    [anon_sym_u_DQUOTE] = ACTIONS(4016),
    [anon_sym_U_DQUOTE] = ACTIONS(4016),
    [anon_sym_u8_DQUOTE] = ACTIONS(4016),
    [anon_sym_DQUOTE] = ACTIONS(4016),
    [sym_true] = ACTIONS(4018),
    [sym_false] = ACTIONS(4018),
    [anon_sym_NULL] = ACTIONS(4020),
    [anon_sym_nullptr] = ACTIONS(4020),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(4022),
    [anon_sym_R_DQUOTE] = ACTIONS(4024),
    [anon_sym_LR_DQUOTE] = ACTIONS(4024),
    [anon_sym_uR_DQUOTE] = ACTIONS(4024),
    [anon_sym_UR_DQUOTE] = ACTIONS(4024),
    [anon_sym_u8R_DQUOTE] = ACTIONS(4024),
    [anon_sym_co_await] = ACTIONS(4026),
    [anon_sym_new] = ACTIONS(4028),
    [anon_sym_requires] = ACTIONS(4030),
    [sym_this] = ACTIONS(4018),
  },
  [1840] = {
    [sym__expression] = STATE(4291),
    [sym__expression_not_binary] = STATE(4695),
    [sym__string] = STATE(4695),
    [sym_conditional_expression] = STATE(4695),
    [sym_assignment_expression] = STATE(4695),
    [sym_pointer_expression] = STATE(4695),
    [sym_unary_expression] = STATE(4695),
    [sym_binary_expression] = STATE(4695),
    [sym_update_expression] = STATE(4695),
    [sym_cast_expression] = STATE(4695),
    [sym_sizeof_expression] = STATE(4695),
    [sym_alignof_expression] = STATE(4695),
    [sym_offsetof_expression] = STATE(4695),
    [sym_generic_expression] = STATE(4695),
    [sym_subscript_expression] = STATE(4695),
    [sym_call_expression] = STATE(4695),
    [sym_gnu_asm_expression] = STATE(4695),
    [sym_field_expression] = STATE(4695),
    [sym_compound_literal_expression] = STATE(4695),
    [sym_parenthesized_expression] = STATE(4695),
    [sym_char_literal] = STATE(4427),
    [sym_concatenated_string] = STATE(4424),
    [sym_string_literal] = STATE(3398),
    [sym_null] = STATE(4695),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9425),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(4695),
    [sym_raw_string_literal] = STATE(3396),
    [sym_co_await_expression] = STATE(4695),
    [sym_new_expression] = STATE(4695),
    [sym_delete_expression] = STATE(4695),
    [sym_requires_clause] = STATE(4695),
    [sym_requires_expression] = STATE(4695),
    [sym_lambda_expression] = STATE(4695),
    [sym_lambda_capture_specifier] = STATE(7185),
    [sym_fold_expression] = STATE(4695),
    [sym_parameter_pack_expansion] = STATE(4695),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6899),
    [sym_qualified_identifier] = STATE(4695),
    [sym_qualified_type_identifier] = STATE(9425),
    [sym_user_defined_literal] = STATE(4695),
    [sym_identifier] = ACTIONS(4092),
    [anon_sym_LPAREN2] = ACTIONS(5007),
    [anon_sym_BANG] = ACTIONS(2532),
    [anon_sym_TILDE] = ACTIONS(2532),
    [anon_sym_DASH] = ACTIONS(2536),
    [anon_sym_PLUS] = ACTIONS(2536),
    [anon_sym_STAR] = ACTIONS(5007),
    [anon_sym_AMP_AMP] = ACTIONS(5007),
    [anon_sym_AMP] = ACTIONS(5009),
    [anon_sym_LT] = ACTIONS(5007),
    [anon_sym_COLON_COLON] = ACTIONS(2542),
    [anon_sym_LBRACE] = ACTIONS(5007),
    [anon_sym_LBRACK] = ACTIONS(5007),
    [sym_primitive_type] = ACTIONS(4096),
    [anon_sym_not] = ACTIONS(2536),
    [anon_sym_compl] = ACTIONS(2536),
    [anon_sym_DASH_DASH] = ACTIONS(2560),
    [anon_sym_PLUS_PLUS] = ACTIONS(2560),
    [anon_sym_sizeof] = ACTIONS(2562),
    [anon_sym___alignof__] = ACTIONS(2564),
    [anon_sym___alignof] = ACTIONS(2564),
    [anon_sym__alignof] = ACTIONS(2564),
    [anon_sym_alignof] = ACTIONS(2564),
    [anon_sym__Alignof] = ACTIONS(2564),
    [anon_sym_offsetof] = ACTIONS(2566),
    [anon_sym__Generic] = ACTIONS(2568),
    [anon_sym_asm] = ACTIONS(2570),
    [anon_sym___asm__] = ACTIONS(2570),
    [sym_number_literal] = ACTIONS(2572),
    [anon_sym_L_SQUOTE] = ACTIONS(2574),
    [anon_sym_u_SQUOTE] = ACTIONS(2574),
    [anon_sym_U_SQUOTE] = ACTIONS(2574),
    [anon_sym_u8_SQUOTE] = ACTIONS(2574),
    [anon_sym_SQUOTE] = ACTIONS(2574),
    [anon_sym_L_DQUOTE] = ACTIONS(2576),
    [anon_sym_u_DQUOTE] = ACTIONS(2576),
    [anon_sym_U_DQUOTE] = ACTIONS(2576),
    [anon_sym_u8_DQUOTE] = ACTIONS(2576),
    [anon_sym_DQUOTE] = ACTIONS(2576),
    [sym_true] = ACTIONS(2578),
    [sym_false] = ACTIONS(2578),
    [anon_sym_NULL] = ACTIONS(2580),
    [anon_sym_nullptr] = ACTIONS(2580),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(2590),
    [anon_sym_R_DQUOTE] = ACTIONS(2592),
    [anon_sym_LR_DQUOTE] = ACTIONS(2592),
    [anon_sym_uR_DQUOTE] = ACTIONS(2592),
    [anon_sym_UR_DQUOTE] = ACTIONS(2592),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2592),
    [anon_sym_co_await] = ACTIONS(2594),
    [anon_sym_new] = ACTIONS(2596),
    [anon_sym_requires] = ACTIONS(2598),
    [sym_this] = ACTIONS(2578),
  },
  [1841] = {
    [sym__expression] = STATE(5443),
    [sym__expression_not_binary] = STATE(5024),
    [sym__string] = STATE(5024),
    [sym_conditional_expression] = STATE(5024),
    [sym_assignment_expression] = STATE(5024),
    [sym_pointer_expression] = STATE(4737),
    [sym_unary_expression] = STATE(5024),
    [sym_binary_expression] = STATE(5024),
    [sym_update_expression] = STATE(5024),
    [sym_cast_expression] = STATE(5024),
    [sym_sizeof_expression] = STATE(5024),
    [sym_alignof_expression] = STATE(5024),
    [sym_offsetof_expression] = STATE(5024),
    [sym_generic_expression] = STATE(5024),
    [sym_subscript_expression] = STATE(4737),
    [sym_call_expression] = STATE(4737),
    [sym_gnu_asm_expression] = STATE(5024),
    [sym_field_expression] = STATE(4737),
    [sym_compound_literal_expression] = STATE(5024),
    [sym_parenthesized_expression] = STATE(4737),
    [sym_char_literal] = STATE(5374),
    [sym_concatenated_string] = STATE(5377),
    [sym_string_literal] = STATE(4206),
    [sym_null] = STATE(5024),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9352),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(5024),
    [sym_raw_string_literal] = STATE(4217),
    [sym_co_await_expression] = STATE(5024),
    [sym_new_expression] = STATE(5024),
    [sym_delete_expression] = STATE(5024),
    [sym_requires_clause] = STATE(5024),
    [sym_requires_expression] = STATE(5024),
    [sym_lambda_expression] = STATE(5024),
    [sym_lambda_capture_specifier] = STATE(7184),
    [sym_lambda_default_capture] = STATE(9316),
    [sym_fold_expression] = STATE(5024),
    [sym_parameter_pack_expansion] = STATE(5024),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6886),
    [sym_qualified_identifier] = STATE(4737),
    [sym_qualified_type_identifier] = STATE(9352),
    [sym_user_defined_literal] = STATE(4737),
    [sym_identifier] = ACTIONS(4502),
    [anon_sym_LPAREN2] = ACTIONS(4540),
    [anon_sym_BANG] = ACTIONS(4506),
    [anon_sym_TILDE] = ACTIONS(4506),
    [anon_sym_DASH] = ACTIONS(4504),
    [anon_sym_PLUS] = ACTIONS(4504),
    [anon_sym_STAR] = ACTIONS(1474),
    [anon_sym_AMP] = ACTIONS(5025),
    [anon_sym_COLON_COLON] = ACTIONS(4508),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [anon_sym_RBRACK] = ACTIONS(5055),
    [anon_sym_EQ] = ACTIONS(5029),
    [sym_primitive_type] = ACTIONS(3146),
    [anon_sym_not] = ACTIONS(4504),
    [anon_sym_compl] = ACTIONS(4504),
    [anon_sym_DASH_DASH] = ACTIONS(4544),
    [anon_sym_PLUS_PLUS] = ACTIONS(4544),
    [anon_sym_sizeof] = ACTIONS(4510),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(4512),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(4514),
    [anon_sym_new] = ACTIONS(4516),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [1842] = {
    [sym__expression] = STATE(4406),
    [sym__expression_not_binary] = STATE(4786),
    [sym__string] = STATE(4786),
    [sym_conditional_expression] = STATE(4786),
    [sym_assignment_expression] = STATE(4786),
    [sym_pointer_expression] = STATE(4786),
    [sym_unary_expression] = STATE(4786),
    [sym_binary_expression] = STATE(4786),
    [sym_update_expression] = STATE(4786),
    [sym_cast_expression] = STATE(4786),
    [sym_sizeof_expression] = STATE(4786),
    [sym_alignof_expression] = STATE(4786),
    [sym_offsetof_expression] = STATE(4786),
    [sym_generic_expression] = STATE(4786),
    [sym_subscript_expression] = STATE(4786),
    [sym_call_expression] = STATE(4786),
    [sym_gnu_asm_expression] = STATE(4786),
    [sym_field_expression] = STATE(4786),
    [sym_compound_literal_expression] = STATE(4786),
    [sym_parenthesized_expression] = STATE(4786),
    [sym_char_literal] = STATE(4554),
    [sym_concatenated_string] = STATE(4621),
    [sym_string_literal] = STATE(3503),
    [sym_null] = STATE(4786),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9199),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(4786),
    [sym_raw_string_literal] = STATE(3498),
    [sym_co_await_expression] = STATE(4786),
    [sym_new_expression] = STATE(4786),
    [sym_delete_expression] = STATE(4786),
    [sym_requires_clause] = STATE(4786),
    [sym_requires_expression] = STATE(4786),
    [sym_lambda_expression] = STATE(4786),
    [sym_lambda_capture_specifier] = STATE(7160),
    [sym_fold_expression] = STATE(4786),
    [sym_parameter_pack_expansion] = STATE(4786),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6932),
    [sym_qualified_identifier] = STATE(4786),
    [sym_qualified_type_identifier] = STATE(9199),
    [sym_user_defined_literal] = STATE(4786),
    [sym_identifier] = ACTIONS(4126),
    [anon_sym_LPAREN2] = ACTIONS(5007),
    [anon_sym_BANG] = ACTIONS(4130),
    [anon_sym_TILDE] = ACTIONS(4130),
    [anon_sym_DASH] = ACTIONS(4128),
    [anon_sym_PLUS] = ACTIONS(4128),
    [anon_sym_STAR] = ACTIONS(5007),
    [anon_sym_AMP_AMP] = ACTIONS(5007),
    [anon_sym_AMP] = ACTIONS(5009),
    [anon_sym_LT] = ACTIONS(5007),
    [anon_sym_COLON_COLON] = ACTIONS(4132),
    [anon_sym_LBRACE] = ACTIONS(5007),
    [anon_sym_LBRACK] = ACTIONS(5007),
    [sym_primitive_type] = ACTIONS(4136),
    [anon_sym_not] = ACTIONS(4128),
    [anon_sym_compl] = ACTIONS(4128),
    [anon_sym_DASH_DASH] = ACTIONS(5049),
    [anon_sym_PLUS_PLUS] = ACTIONS(5049),
    [anon_sym_sizeof] = ACTIONS(4138),
    [anon_sym___alignof__] = ACTIONS(4140),
    [anon_sym___alignof] = ACTIONS(4140),
    [anon_sym__alignof] = ACTIONS(4140),
    [anon_sym_alignof] = ACTIONS(4140),
    [anon_sym__Alignof] = ACTIONS(4140),
    [anon_sym_offsetof] = ACTIONS(4142),
    [anon_sym__Generic] = ACTIONS(4144),
    [anon_sym_asm] = ACTIONS(4146),
    [anon_sym___asm__] = ACTIONS(4146),
    [sym_number_literal] = ACTIONS(4148),
    [anon_sym_L_SQUOTE] = ACTIONS(4150),
    [anon_sym_u_SQUOTE] = ACTIONS(4150),
    [anon_sym_U_SQUOTE] = ACTIONS(4150),
    [anon_sym_u8_SQUOTE] = ACTIONS(4150),
    [anon_sym_SQUOTE] = ACTIONS(4150),
    [anon_sym_L_DQUOTE] = ACTIONS(4152),
    [anon_sym_u_DQUOTE] = ACTIONS(4152),
    [anon_sym_U_DQUOTE] = ACTIONS(4152),
    [anon_sym_u8_DQUOTE] = ACTIONS(4152),
    [anon_sym_DQUOTE] = ACTIONS(4152),
    [sym_true] = ACTIONS(4154),
    [sym_false] = ACTIONS(4154),
    [anon_sym_NULL] = ACTIONS(4156),
    [anon_sym_nullptr] = ACTIONS(4156),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(4158),
    [anon_sym_R_DQUOTE] = ACTIONS(4160),
    [anon_sym_LR_DQUOTE] = ACTIONS(4160),
    [anon_sym_uR_DQUOTE] = ACTIONS(4160),
    [anon_sym_UR_DQUOTE] = ACTIONS(4160),
    [anon_sym_u8R_DQUOTE] = ACTIONS(4160),
    [anon_sym_co_await] = ACTIONS(4162),
    [anon_sym_new] = ACTIONS(4164),
    [anon_sym_requires] = ACTIONS(4166),
    [sym_this] = ACTIONS(4154),
  },
  [1843] = {
    [sym__expression] = STATE(5443),
    [sym__expression_not_binary] = STATE(5024),
    [sym__string] = STATE(5024),
    [sym_conditional_expression] = STATE(5024),
    [sym_assignment_expression] = STATE(5024),
    [sym_pointer_expression] = STATE(4737),
    [sym_unary_expression] = STATE(5024),
    [sym_binary_expression] = STATE(5024),
    [sym_update_expression] = STATE(5024),
    [sym_cast_expression] = STATE(5024),
    [sym_sizeof_expression] = STATE(5024),
    [sym_alignof_expression] = STATE(5024),
    [sym_offsetof_expression] = STATE(5024),
    [sym_generic_expression] = STATE(5024),
    [sym_subscript_expression] = STATE(4737),
    [sym_call_expression] = STATE(4737),
    [sym_gnu_asm_expression] = STATE(5024),
    [sym_field_expression] = STATE(4737),
    [sym_compound_literal_expression] = STATE(5024),
    [sym_parenthesized_expression] = STATE(4737),
    [sym_char_literal] = STATE(5374),
    [sym_concatenated_string] = STATE(5377),
    [sym_string_literal] = STATE(4206),
    [sym_null] = STATE(5024),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9352),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(5024),
    [sym_raw_string_literal] = STATE(4217),
    [sym_co_await_expression] = STATE(5024),
    [sym_new_expression] = STATE(5024),
    [sym_delete_expression] = STATE(5024),
    [sym_requires_clause] = STATE(5024),
    [sym_requires_expression] = STATE(5024),
    [sym_lambda_expression] = STATE(5024),
    [sym_lambda_capture_specifier] = STATE(7184),
    [sym_lambda_default_capture] = STATE(9316),
    [sym_fold_expression] = STATE(5024),
    [sym_parameter_pack_expansion] = STATE(5024),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6886),
    [sym_qualified_identifier] = STATE(4737),
    [sym_qualified_type_identifier] = STATE(9352),
    [sym_user_defined_literal] = STATE(4737),
    [sym_identifier] = ACTIONS(4502),
    [anon_sym_LPAREN2] = ACTIONS(4540),
    [anon_sym_BANG] = ACTIONS(4506),
    [anon_sym_TILDE] = ACTIONS(4506),
    [anon_sym_DASH] = ACTIONS(4504),
    [anon_sym_PLUS] = ACTIONS(4504),
    [anon_sym_STAR] = ACTIONS(1474),
    [anon_sym_AMP] = ACTIONS(5025),
    [anon_sym_COLON_COLON] = ACTIONS(4508),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [anon_sym_RBRACK] = ACTIONS(5057),
    [anon_sym_EQ] = ACTIONS(5029),
    [sym_primitive_type] = ACTIONS(3146),
    [anon_sym_not] = ACTIONS(4504),
    [anon_sym_compl] = ACTIONS(4504),
    [anon_sym_DASH_DASH] = ACTIONS(4544),
    [anon_sym_PLUS_PLUS] = ACTIONS(4544),
    [anon_sym_sizeof] = ACTIONS(4510),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(4512),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(4514),
    [anon_sym_new] = ACTIONS(4516),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [1844] = {
    [sym__expression] = STATE(4003),
    [sym__expression_not_binary] = STATE(4307),
    [sym__string] = STATE(4307),
    [sym_conditional_expression] = STATE(4307),
    [sym_assignment_expression] = STATE(4307),
    [sym_pointer_expression] = STATE(4307),
    [sym_unary_expression] = STATE(4307),
    [sym_binary_expression] = STATE(4307),
    [sym_update_expression] = STATE(4307),
    [sym_cast_expression] = STATE(4307),
    [sym_sizeof_expression] = STATE(4307),
    [sym_alignof_expression] = STATE(4307),
    [sym_offsetof_expression] = STATE(4307),
    [sym_generic_expression] = STATE(4307),
    [sym_subscript_expression] = STATE(4307),
    [sym_call_expression] = STATE(4307),
    [sym_gnu_asm_expression] = STATE(4307),
    [sym_field_expression] = STATE(4307),
    [sym_compound_literal_expression] = STATE(4307),
    [sym_parenthesized_expression] = STATE(4307),
    [sym_char_literal] = STATE(4093),
    [sym_concatenated_string] = STATE(4159),
    [sym_string_literal] = STATE(3328),
    [sym_null] = STATE(4307),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9053),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(4307),
    [sym_raw_string_literal] = STATE(3294),
    [sym_co_await_expression] = STATE(4307),
    [sym_new_expression] = STATE(4307),
    [sym_delete_expression] = STATE(4307),
    [sym_requires_clause] = STATE(4307),
    [sym_requires_expression] = STATE(4307),
    [sym_lambda_expression] = STATE(4307),
    [sym_lambda_capture_specifier] = STATE(7183),
    [sym_fold_expression] = STATE(4307),
    [sym_parameter_pack_expansion] = STATE(4307),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6962),
    [sym_qualified_identifier] = STATE(4307),
    [sym_qualified_type_identifier] = STATE(9053),
    [sym_user_defined_literal] = STATE(4307),
    [sym_identifier] = ACTIONS(5051),
    [anon_sym_LPAREN2] = ACTIONS(5007),
    [anon_sym_BANG] = ACTIONS(3994),
    [anon_sym_TILDE] = ACTIONS(3994),
    [anon_sym_DASH] = ACTIONS(3992),
    [anon_sym_PLUS] = ACTIONS(3992),
    [anon_sym_STAR] = ACTIONS(5007),
    [anon_sym_AMP_AMP] = ACTIONS(5007),
    [anon_sym_AMP] = ACTIONS(5009),
    [anon_sym_LT] = ACTIONS(5007),
    [anon_sym_COLON_COLON] = ACTIONS(3996),
    [anon_sym_LBRACE] = ACTIONS(5007),
    [anon_sym_LBRACK] = ACTIONS(5007),
    [sym_primitive_type] = ACTIONS(4000),
    [anon_sym_not] = ACTIONS(3992),
    [anon_sym_compl] = ACTIONS(3992),
    [anon_sym_DASH_DASH] = ACTIONS(5053),
    [anon_sym_PLUS_PLUS] = ACTIONS(5053),
    [anon_sym_sizeof] = ACTIONS(4002),
    [anon_sym___alignof__] = ACTIONS(4004),
    [anon_sym___alignof] = ACTIONS(4004),
    [anon_sym__alignof] = ACTIONS(4004),
    [anon_sym_alignof] = ACTIONS(4004),
    [anon_sym__Alignof] = ACTIONS(4004),
    [anon_sym_offsetof] = ACTIONS(4006),
    [anon_sym__Generic] = ACTIONS(4008),
    [anon_sym_asm] = ACTIONS(4010),
    [anon_sym___asm__] = ACTIONS(4010),
    [sym_number_literal] = ACTIONS(4012),
    [anon_sym_L_SQUOTE] = ACTIONS(4014),
    [anon_sym_u_SQUOTE] = ACTIONS(4014),
    [anon_sym_U_SQUOTE] = ACTIONS(4014),
    [anon_sym_u8_SQUOTE] = ACTIONS(4014),
    [anon_sym_SQUOTE] = ACTIONS(4014),
    [anon_sym_L_DQUOTE] = ACTIONS(4016),
    [anon_sym_u_DQUOTE] = ACTIONS(4016),
    [anon_sym_U_DQUOTE] = ACTIONS(4016),
    [anon_sym_u8_DQUOTE] = ACTIONS(4016),
    [anon_sym_DQUOTE] = ACTIONS(4016),
    [sym_true] = ACTIONS(4018),
    [sym_false] = ACTIONS(4018),
    [anon_sym_NULL] = ACTIONS(4020),
    [anon_sym_nullptr] = ACTIONS(4020),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(4022),
    [anon_sym_R_DQUOTE] = ACTIONS(4024),
    [anon_sym_LR_DQUOTE] = ACTIONS(4024),
    [anon_sym_uR_DQUOTE] = ACTIONS(4024),
    [anon_sym_UR_DQUOTE] = ACTIONS(4024),
    [anon_sym_u8R_DQUOTE] = ACTIONS(4024),
    [anon_sym_co_await] = ACTIONS(4026),
    [anon_sym_new] = ACTIONS(4028),
    [anon_sym_requires] = ACTIONS(4030),
    [sym_this] = ACTIONS(4018),
  },
  [1845] = {
    [sym__expression] = STATE(5443),
    [sym__expression_not_binary] = STATE(5024),
    [sym__string] = STATE(5024),
    [sym_conditional_expression] = STATE(5024),
    [sym_assignment_expression] = STATE(5024),
    [sym_pointer_expression] = STATE(4737),
    [sym_unary_expression] = STATE(5024),
    [sym_binary_expression] = STATE(5024),
    [sym_update_expression] = STATE(5024),
    [sym_cast_expression] = STATE(5024),
    [sym_sizeof_expression] = STATE(5024),
    [sym_alignof_expression] = STATE(5024),
    [sym_offsetof_expression] = STATE(5024),
    [sym_generic_expression] = STATE(5024),
    [sym_subscript_expression] = STATE(4737),
    [sym_call_expression] = STATE(4737),
    [sym_gnu_asm_expression] = STATE(5024),
    [sym_field_expression] = STATE(4737),
    [sym_compound_literal_expression] = STATE(5024),
    [sym_parenthesized_expression] = STATE(4737),
    [sym_char_literal] = STATE(5374),
    [sym_concatenated_string] = STATE(5377),
    [sym_string_literal] = STATE(4206),
    [sym_null] = STATE(5024),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9352),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(5024),
    [sym_raw_string_literal] = STATE(4217),
    [sym_co_await_expression] = STATE(5024),
    [sym_new_expression] = STATE(5024),
    [sym_delete_expression] = STATE(5024),
    [sym_requires_clause] = STATE(5024),
    [sym_requires_expression] = STATE(5024),
    [sym_lambda_expression] = STATE(5024),
    [sym_lambda_capture_specifier] = STATE(7184),
    [sym_lambda_default_capture] = STATE(9316),
    [sym_fold_expression] = STATE(5024),
    [sym_parameter_pack_expansion] = STATE(5024),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6886),
    [sym_qualified_identifier] = STATE(4737),
    [sym_qualified_type_identifier] = STATE(9352),
    [sym_user_defined_literal] = STATE(4737),
    [sym_identifier] = ACTIONS(4502),
    [anon_sym_LPAREN2] = ACTIONS(4540),
    [anon_sym_BANG] = ACTIONS(4506),
    [anon_sym_TILDE] = ACTIONS(4506),
    [anon_sym_DASH] = ACTIONS(4504),
    [anon_sym_PLUS] = ACTIONS(4504),
    [anon_sym_STAR] = ACTIONS(1474),
    [anon_sym_AMP] = ACTIONS(5025),
    [anon_sym_COLON_COLON] = ACTIONS(4508),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [anon_sym_RBRACK] = ACTIONS(5059),
    [anon_sym_EQ] = ACTIONS(5029),
    [sym_primitive_type] = ACTIONS(3146),
    [anon_sym_not] = ACTIONS(4504),
    [anon_sym_compl] = ACTIONS(4504),
    [anon_sym_DASH_DASH] = ACTIONS(4544),
    [anon_sym_PLUS_PLUS] = ACTIONS(4544),
    [anon_sym_sizeof] = ACTIONS(4510),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(4512),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(4514),
    [anon_sym_new] = ACTIONS(4516),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [1846] = {
    [sym__expression] = STATE(5657),
    [sym__expression_not_binary] = STATE(6001),
    [sym__string] = STATE(6001),
    [sym_conditional_expression] = STATE(6001),
    [sym_assignment_expression] = STATE(6001),
    [sym_pointer_expression] = STATE(4807),
    [sym_unary_expression] = STATE(6001),
    [sym_binary_expression] = STATE(6001),
    [sym_update_expression] = STATE(6001),
    [sym_cast_expression] = STATE(6001),
    [sym_sizeof_expression] = STATE(6001),
    [sym_alignof_expression] = STATE(6001),
    [sym_offsetof_expression] = STATE(6001),
    [sym_generic_expression] = STATE(6001),
    [sym_subscript_expression] = STATE(4807),
    [sym_call_expression] = STATE(4807),
    [sym_gnu_asm_expression] = STATE(6001),
    [sym_field_expression] = STATE(4807),
    [sym_compound_literal_expression] = STATE(6001),
    [sym_parenthesized_expression] = STATE(4807),
    [sym_char_literal] = STATE(5842),
    [sym_concatenated_string] = STATE(5845),
    [sym_string_literal] = STATE(4864),
    [sym_null] = STATE(6001),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(8975),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(6001),
    [sym_raw_string_literal] = STATE(4865),
    [sym_co_await_expression] = STATE(6001),
    [sym_new_expression] = STATE(6001),
    [sym_delete_expression] = STATE(6001),
    [sym_requires_clause] = STATE(6001),
    [sym_requires_expression] = STATE(6001),
    [sym_lambda_expression] = STATE(6001),
    [sym_lambda_capture_specifier] = STATE(7123),
    [sym_fold_expression] = STATE(6001),
    [sym_parameter_pack_expansion] = STATE(6001),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6932),
    [sym_qualified_identifier] = STATE(4807),
    [sym_qualified_type_identifier] = STATE(8975),
    [sym_user_defined_literal] = STATE(4807),
    [sym_identifier] = ACTIONS(4532),
    [anon_sym_LPAREN2] = ACTIONS(5007),
    [anon_sym_BANG] = ACTIONS(4257),
    [anon_sym_TILDE] = ACTIONS(4257),
    [anon_sym_DASH] = ACTIONS(4259),
    [anon_sym_PLUS] = ACTIONS(4259),
    [anon_sym_STAR] = ACTIONS(5007),
    [anon_sym_AMP_AMP] = ACTIONS(5007),
    [anon_sym_AMP] = ACTIONS(5009),
    [anon_sym_LT] = ACTIONS(5007),
    [anon_sym_COLON_COLON] = ACTIONS(4263),
    [anon_sym_LBRACE] = ACTIONS(5007),
    [anon_sym_LBRACK] = ACTIONS(5007),
    [sym_primitive_type] = ACTIONS(4536),
    [anon_sym_not] = ACTIONS(4259),
    [anon_sym_compl] = ACTIONS(4259),
    [anon_sym_DASH_DASH] = ACTIONS(4277),
    [anon_sym_PLUS_PLUS] = ACTIONS(4277),
    [anon_sym_sizeof] = ACTIONS(4279),
    [anon_sym___alignof__] = ACTIONS(4281),
    [anon_sym___alignof] = ACTIONS(4281),
    [anon_sym__alignof] = ACTIONS(4281),
    [anon_sym_alignof] = ACTIONS(4281),
    [anon_sym__Alignof] = ACTIONS(4281),
    [anon_sym_offsetof] = ACTIONS(4283),
    [anon_sym__Generic] = ACTIONS(4285),
    [anon_sym_asm] = ACTIONS(4287),
    [anon_sym___asm__] = ACTIONS(4287),
    [sym_number_literal] = ACTIONS(4289),
    [anon_sym_L_SQUOTE] = ACTIONS(4291),
    [anon_sym_u_SQUOTE] = ACTIONS(4291),
    [anon_sym_U_SQUOTE] = ACTIONS(4291),
    [anon_sym_u8_SQUOTE] = ACTIONS(4291),
    [anon_sym_SQUOTE] = ACTIONS(4291),
    [anon_sym_L_DQUOTE] = ACTIONS(4293),
    [anon_sym_u_DQUOTE] = ACTIONS(4293),
    [anon_sym_U_DQUOTE] = ACTIONS(4293),
    [anon_sym_u8_DQUOTE] = ACTIONS(4293),
    [anon_sym_DQUOTE] = ACTIONS(4293),
    [sym_true] = ACTIONS(4295),
    [sym_false] = ACTIONS(4295),
    [anon_sym_NULL] = ACTIONS(4297),
    [anon_sym_nullptr] = ACTIONS(4297),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(4307),
    [anon_sym_R_DQUOTE] = ACTIONS(4309),
    [anon_sym_LR_DQUOTE] = ACTIONS(4309),
    [anon_sym_uR_DQUOTE] = ACTIONS(4309),
    [anon_sym_UR_DQUOTE] = ACTIONS(4309),
    [anon_sym_u8R_DQUOTE] = ACTIONS(4309),
    [anon_sym_co_await] = ACTIONS(4311),
    [anon_sym_new] = ACTIONS(4313),
    [anon_sym_requires] = ACTIONS(4315),
    [sym_this] = ACTIONS(4295),
  },
  [1847] = {
    [sym__expression] = STATE(5443),
    [sym__expression_not_binary] = STATE(5024),
    [sym__string] = STATE(5024),
    [sym_conditional_expression] = STATE(5024),
    [sym_assignment_expression] = STATE(5024),
    [sym_pointer_expression] = STATE(4737),
    [sym_unary_expression] = STATE(5024),
    [sym_binary_expression] = STATE(5024),
    [sym_update_expression] = STATE(5024),
    [sym_cast_expression] = STATE(5024),
    [sym_sizeof_expression] = STATE(5024),
    [sym_alignof_expression] = STATE(5024),
    [sym_offsetof_expression] = STATE(5024),
    [sym_generic_expression] = STATE(5024),
    [sym_subscript_expression] = STATE(4737),
    [sym_call_expression] = STATE(4737),
    [sym_gnu_asm_expression] = STATE(5024),
    [sym_field_expression] = STATE(4737),
    [sym_compound_literal_expression] = STATE(5024),
    [sym_parenthesized_expression] = STATE(4737),
    [sym_char_literal] = STATE(5374),
    [sym_concatenated_string] = STATE(5377),
    [sym_string_literal] = STATE(4206),
    [sym_null] = STATE(5024),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9352),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(5024),
    [sym_raw_string_literal] = STATE(4217),
    [sym_co_await_expression] = STATE(5024),
    [sym_new_expression] = STATE(5024),
    [sym_delete_expression] = STATE(5024),
    [sym_requires_clause] = STATE(5024),
    [sym_requires_expression] = STATE(5024),
    [sym_lambda_expression] = STATE(5024),
    [sym_lambda_capture_specifier] = STATE(7184),
    [sym_lambda_default_capture] = STATE(9316),
    [sym_fold_expression] = STATE(5024),
    [sym_parameter_pack_expansion] = STATE(5024),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6886),
    [sym_qualified_identifier] = STATE(4737),
    [sym_qualified_type_identifier] = STATE(9352),
    [sym_user_defined_literal] = STATE(4737),
    [sym_identifier] = ACTIONS(4502),
    [anon_sym_LPAREN2] = ACTIONS(4540),
    [anon_sym_BANG] = ACTIONS(4506),
    [anon_sym_TILDE] = ACTIONS(4506),
    [anon_sym_DASH] = ACTIONS(4504),
    [anon_sym_PLUS] = ACTIONS(4504),
    [anon_sym_STAR] = ACTIONS(1474),
    [anon_sym_AMP] = ACTIONS(5025),
    [anon_sym_COLON_COLON] = ACTIONS(4508),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [anon_sym_RBRACK] = ACTIONS(5061),
    [anon_sym_EQ] = ACTIONS(5029),
    [sym_primitive_type] = ACTIONS(3146),
    [anon_sym_not] = ACTIONS(4504),
    [anon_sym_compl] = ACTIONS(4504),
    [anon_sym_DASH_DASH] = ACTIONS(4544),
    [anon_sym_PLUS_PLUS] = ACTIONS(4544),
    [anon_sym_sizeof] = ACTIONS(4510),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(4512),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(4514),
    [anon_sym_new] = ACTIONS(4516),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [1848] = {
    [sym__declaration_modifiers] = STATE(2673),
    [sym__declaration_specifiers] = STATE(5997),
    [sym_attribute_specifier] = STATE(2673),
    [sym_attribute_declaration] = STATE(2673),
    [sym_ms_declspec_modifier] = STATE(2673),
    [sym_ms_call_modifier] = STATE(2607),
    [sym_storage_class_specifier] = STATE(2673),
    [sym_type_qualifier] = STATE(2673),
    [sym__type_specifier] = STATE(2827),
    [sym_sized_type_specifier] = STATE(3085),
    [sym_enum_specifier] = STATE(3085),
    [sym_struct_specifier] = STATE(3085),
    [sym_union_specifier] = STATE(3085),
    [sym_placeholder_type_specifier] = STATE(3085),
    [sym_decltype_auto] = STATE(3091),
    [sym_decltype] = STATE(3050),
    [sym_class_specifier] = STATE(3085),
    [sym_virtual] = STATE(2673),
    [sym_alignas_specifier] = STATE(2673),
    [sym_dependent_type] = STATE(3085),
    [sym_template_type] = STATE(3050),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(7887),
    [sym_qualified_type_identifier] = STATE(3068),
    [sym_qualifiers] = STATE(2673),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2673),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3021),
    [sym_identifier] = ACTIONS(3896),
    [anon_sym___extension__] = ACTIONS(63),
    [anon_sym_in] = ACTIONS(1480),
    [anon_sym_out] = ACTIONS(1480),
    [anon_sym_inout] = ACTIONS(1480),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(3904),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2096),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(51),
    [anon_sym___clrcall] = ACTIONS(51),
    [anon_sym___stdcall] = ACTIONS(51),
    [anon_sym___fastcall] = ACTIONS(51),
    [anon_sym___thiscall] = ACTIONS(51),
    [anon_sym___vectorcall] = ACTIONS(51),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(2891),
    [anon_sym_enum] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(69),
    [anon_sym_struct] = ACTIONS(71),
    [anon_sym_union] = ACTIONS(73),
    [anon_sym_if] = ACTIONS(5063),
    [anon_sym_for] = ACTIONS(5065),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [anon_sym_virtual] = ACTIONS(123),
    [anon_sym_alignas] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_precise] = ACTIONS(161),
    [anon_sym_shared] = ACTIONS(161),
    [anon_sym_groupshared] = ACTIONS(161),
    [anon_sym_uniform] = ACTIONS(161),
    [anon_sym_row_major] = ACTIONS(161),
    [anon_sym_column_major] = ACTIONS(161),
    [anon_sym_globallycoherent] = ACTIONS(161),
    [anon_sym_centroid] = ACTIONS(161),
    [anon_sym_noperspective] = ACTIONS(161),
    [anon_sym_nointerpolation] = ACTIONS(161),
    [anon_sym_sample] = ACTIONS(161),
    [anon_sym_linear] = ACTIONS(161),
    [anon_sym_snorm] = ACTIONS(161),
    [anon_sym_unorm] = ACTIONS(161),
    [anon_sym_point] = ACTIONS(161),
    [anon_sym_line] = ACTIONS(161),
    [anon_sym_triangleadj] = ACTIONS(161),
    [anon_sym_lineadj] = ACTIONS(161),
    [anon_sym_triangle] = ACTIONS(161),
  },
  [1849] = {
    [sym__expression] = STATE(5443),
    [sym__expression_not_binary] = STATE(5024),
    [sym__string] = STATE(5024),
    [sym_conditional_expression] = STATE(5024),
    [sym_assignment_expression] = STATE(5024),
    [sym_pointer_expression] = STATE(4737),
    [sym_unary_expression] = STATE(5024),
    [sym_binary_expression] = STATE(5024),
    [sym_update_expression] = STATE(5024),
    [sym_cast_expression] = STATE(5024),
    [sym_sizeof_expression] = STATE(5024),
    [sym_alignof_expression] = STATE(5024),
    [sym_offsetof_expression] = STATE(5024),
    [sym_generic_expression] = STATE(5024),
    [sym_subscript_expression] = STATE(4737),
    [sym_call_expression] = STATE(4737),
    [sym_gnu_asm_expression] = STATE(5024),
    [sym_field_expression] = STATE(4737),
    [sym_compound_literal_expression] = STATE(5024),
    [sym_parenthesized_expression] = STATE(4737),
    [sym_char_literal] = STATE(5374),
    [sym_concatenated_string] = STATE(5377),
    [sym_string_literal] = STATE(4206),
    [sym_null] = STATE(5024),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9352),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(5024),
    [sym_raw_string_literal] = STATE(4217),
    [sym_co_await_expression] = STATE(5024),
    [sym_new_expression] = STATE(5024),
    [sym_delete_expression] = STATE(5024),
    [sym_requires_clause] = STATE(5024),
    [sym_requires_expression] = STATE(5024),
    [sym_lambda_expression] = STATE(5024),
    [sym_lambda_capture_specifier] = STATE(7184),
    [sym_lambda_default_capture] = STATE(9316),
    [sym_fold_expression] = STATE(5024),
    [sym_parameter_pack_expansion] = STATE(5024),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6886),
    [sym_qualified_identifier] = STATE(4737),
    [sym_qualified_type_identifier] = STATE(9352),
    [sym_user_defined_literal] = STATE(4737),
    [sym_identifier] = ACTIONS(4502),
    [anon_sym_LPAREN2] = ACTIONS(4540),
    [anon_sym_BANG] = ACTIONS(4506),
    [anon_sym_TILDE] = ACTIONS(4506),
    [anon_sym_DASH] = ACTIONS(4504),
    [anon_sym_PLUS] = ACTIONS(4504),
    [anon_sym_STAR] = ACTIONS(1474),
    [anon_sym_AMP] = ACTIONS(5025),
    [anon_sym_COLON_COLON] = ACTIONS(4508),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [anon_sym_RBRACK] = ACTIONS(5067),
    [anon_sym_EQ] = ACTIONS(5029),
    [sym_primitive_type] = ACTIONS(3146),
    [anon_sym_not] = ACTIONS(4504),
    [anon_sym_compl] = ACTIONS(4504),
    [anon_sym_DASH_DASH] = ACTIONS(4544),
    [anon_sym_PLUS_PLUS] = ACTIONS(4544),
    [anon_sym_sizeof] = ACTIONS(4510),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(4512),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(4514),
    [anon_sym_new] = ACTIONS(4516),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [1850] = {
    [sym__expression] = STATE(5443),
    [sym__expression_not_binary] = STATE(5024),
    [sym__string] = STATE(5024),
    [sym_conditional_expression] = STATE(5024),
    [sym_assignment_expression] = STATE(5024),
    [sym_pointer_expression] = STATE(4737),
    [sym_unary_expression] = STATE(5024),
    [sym_binary_expression] = STATE(5024),
    [sym_update_expression] = STATE(5024),
    [sym_cast_expression] = STATE(5024),
    [sym_sizeof_expression] = STATE(5024),
    [sym_alignof_expression] = STATE(5024),
    [sym_offsetof_expression] = STATE(5024),
    [sym_generic_expression] = STATE(5024),
    [sym_subscript_expression] = STATE(4737),
    [sym_call_expression] = STATE(4737),
    [sym_gnu_asm_expression] = STATE(5024),
    [sym_field_expression] = STATE(4737),
    [sym_compound_literal_expression] = STATE(5024),
    [sym_parenthesized_expression] = STATE(4737),
    [sym_char_literal] = STATE(5374),
    [sym_concatenated_string] = STATE(5377),
    [sym_string_literal] = STATE(4206),
    [sym_null] = STATE(5024),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9352),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(5024),
    [sym_raw_string_literal] = STATE(4217),
    [sym_co_await_expression] = STATE(5024),
    [sym_new_expression] = STATE(5024),
    [sym_delete_expression] = STATE(5024),
    [sym_requires_clause] = STATE(5024),
    [sym_requires_expression] = STATE(5024),
    [sym_lambda_expression] = STATE(5024),
    [sym_lambda_capture_specifier] = STATE(7184),
    [sym_lambda_default_capture] = STATE(9316),
    [sym_fold_expression] = STATE(5024),
    [sym_parameter_pack_expansion] = STATE(5024),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6886),
    [sym_qualified_identifier] = STATE(4737),
    [sym_qualified_type_identifier] = STATE(9352),
    [sym_user_defined_literal] = STATE(4737),
    [sym_identifier] = ACTIONS(4502),
    [anon_sym_LPAREN2] = ACTIONS(4540),
    [anon_sym_BANG] = ACTIONS(4506),
    [anon_sym_TILDE] = ACTIONS(4506),
    [anon_sym_DASH] = ACTIONS(4504),
    [anon_sym_PLUS] = ACTIONS(4504),
    [anon_sym_STAR] = ACTIONS(1474),
    [anon_sym_AMP] = ACTIONS(5025),
    [anon_sym_COLON_COLON] = ACTIONS(4508),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [anon_sym_RBRACK] = ACTIONS(5069),
    [anon_sym_EQ] = ACTIONS(5029),
    [sym_primitive_type] = ACTIONS(3146),
    [anon_sym_not] = ACTIONS(4504),
    [anon_sym_compl] = ACTIONS(4504),
    [anon_sym_DASH_DASH] = ACTIONS(4544),
    [anon_sym_PLUS_PLUS] = ACTIONS(4544),
    [anon_sym_sizeof] = ACTIONS(4510),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(4512),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(4514),
    [anon_sym_new] = ACTIONS(4516),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [1851] = {
    [sym__expression] = STATE(5763),
    [sym__expression_not_binary] = STATE(5024),
    [sym__string] = STATE(5024),
    [sym_conditional_expression] = STATE(5024),
    [sym_assignment_expression] = STATE(5024),
    [sym_pointer_expression] = STATE(4713),
    [sym_unary_expression] = STATE(5024),
    [sym_binary_expression] = STATE(5024),
    [sym_update_expression] = STATE(5024),
    [sym_cast_expression] = STATE(5024),
    [sym_sizeof_expression] = STATE(5024),
    [sym_alignof_expression] = STATE(5024),
    [sym_offsetof_expression] = STATE(5024),
    [sym_generic_expression] = STATE(5024),
    [sym_subscript_expression] = STATE(4713),
    [sym_call_expression] = STATE(4713),
    [sym_gnu_asm_expression] = STATE(5024),
    [sym_field_expression] = STATE(4713),
    [sym_compound_literal_expression] = STATE(5024),
    [sym_parenthesized_expression] = STATE(4713),
    [sym_char_literal] = STATE(5374),
    [sym_concatenated_string] = STATE(5377),
    [sym_string_literal] = STATE(4206),
    [sym_null] = STATE(5024),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9352),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(5024),
    [sym_raw_string_literal] = STATE(4217),
    [sym_co_await_expression] = STATE(5024),
    [sym_new_expression] = STATE(5024),
    [sym_delete_expression] = STATE(5024),
    [sym_requires_clause] = STATE(5024),
    [sym_requires_expression] = STATE(5024),
    [sym_lambda_expression] = STATE(5024),
    [sym_lambda_capture_specifier] = STATE(7184),
    [sym_fold_expression] = STATE(5024),
    [sym_parameter_pack_expansion] = STATE(5024),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6886),
    [sym_qualified_identifier] = STATE(4713),
    [sym_qualified_type_identifier] = STATE(9352),
    [sym_user_defined_literal] = STATE(4713),
    [sym_identifier] = ACTIONS(4518),
    [anon_sym_LPAREN2] = ACTIONS(5007),
    [anon_sym_BANG] = ACTIONS(4522),
    [anon_sym_TILDE] = ACTIONS(4522),
    [anon_sym_DASH] = ACTIONS(4520),
    [anon_sym_PLUS] = ACTIONS(4520),
    [anon_sym_STAR] = ACTIONS(5007),
    [anon_sym_AMP_AMP] = ACTIONS(5007),
    [anon_sym_AMP] = ACTIONS(5009),
    [anon_sym_LT] = ACTIONS(5007),
    [anon_sym_COLON_COLON] = ACTIONS(4524),
    [anon_sym_LBRACE] = ACTIONS(5007),
    [anon_sym_LBRACK] = ACTIONS(5007),
    [sym_primitive_type] = ACTIONS(3146),
    [anon_sym_not] = ACTIONS(4520),
    [anon_sym_compl] = ACTIONS(4520),
    [anon_sym_DASH_DASH] = ACTIONS(5071),
    [anon_sym_PLUS_PLUS] = ACTIONS(5071),
    [anon_sym_sizeof] = ACTIONS(4526),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(4528),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(4530),
    [anon_sym_new] = ACTIONS(4516),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [1852] = {
    [sym__expression] = STATE(5443),
    [sym__expression_not_binary] = STATE(5024),
    [sym__string] = STATE(5024),
    [sym_conditional_expression] = STATE(5024),
    [sym_assignment_expression] = STATE(5024),
    [sym_pointer_expression] = STATE(4737),
    [sym_unary_expression] = STATE(5024),
    [sym_binary_expression] = STATE(5024),
    [sym_update_expression] = STATE(5024),
    [sym_cast_expression] = STATE(5024),
    [sym_sizeof_expression] = STATE(5024),
    [sym_alignof_expression] = STATE(5024),
    [sym_offsetof_expression] = STATE(5024),
    [sym_generic_expression] = STATE(5024),
    [sym_subscript_expression] = STATE(4737),
    [sym_call_expression] = STATE(4737),
    [sym_gnu_asm_expression] = STATE(5024),
    [sym_field_expression] = STATE(4737),
    [sym_compound_literal_expression] = STATE(5024),
    [sym_parenthesized_expression] = STATE(4737),
    [sym_char_literal] = STATE(5374),
    [sym_concatenated_string] = STATE(5377),
    [sym_string_literal] = STATE(4206),
    [sym_null] = STATE(5024),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9352),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(5024),
    [sym_raw_string_literal] = STATE(4217),
    [sym_co_await_expression] = STATE(5024),
    [sym_new_expression] = STATE(5024),
    [sym_delete_expression] = STATE(5024),
    [sym_requires_clause] = STATE(5024),
    [sym_requires_expression] = STATE(5024),
    [sym_lambda_expression] = STATE(5024),
    [sym_lambda_capture_specifier] = STATE(7184),
    [sym_lambda_default_capture] = STATE(9316),
    [sym_fold_expression] = STATE(5024),
    [sym_parameter_pack_expansion] = STATE(5024),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6886),
    [sym_qualified_identifier] = STATE(4737),
    [sym_qualified_type_identifier] = STATE(9352),
    [sym_user_defined_literal] = STATE(4737),
    [sym_identifier] = ACTIONS(5031),
    [anon_sym_LPAREN2] = ACTIONS(4540),
    [anon_sym_BANG] = ACTIONS(4506),
    [anon_sym_TILDE] = ACTIONS(4506),
    [anon_sym_DASH] = ACTIONS(4504),
    [anon_sym_PLUS] = ACTIONS(4504),
    [anon_sym_STAR] = ACTIONS(1474),
    [anon_sym_AMP] = ACTIONS(5025),
    [anon_sym_COLON_COLON] = ACTIONS(4508),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [anon_sym_RBRACK] = ACTIONS(5033),
    [anon_sym_EQ] = ACTIONS(5029),
    [sym_primitive_type] = ACTIONS(3146),
    [anon_sym_not] = ACTIONS(4504),
    [anon_sym_compl] = ACTIONS(4504),
    [anon_sym_DASH_DASH] = ACTIONS(4544),
    [anon_sym_PLUS_PLUS] = ACTIONS(4544),
    [anon_sym_sizeof] = ACTIONS(4510),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(4512),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(4514),
    [anon_sym_new] = ACTIONS(4516),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [1853] = {
    [sym__expression] = STATE(5765),
    [sym__expression_not_binary] = STATE(5024),
    [sym__string] = STATE(5024),
    [sym_conditional_expression] = STATE(5024),
    [sym_assignment_expression] = STATE(5024),
    [sym_pointer_expression] = STATE(4713),
    [sym_unary_expression] = STATE(5024),
    [sym_binary_expression] = STATE(5024),
    [sym_update_expression] = STATE(5024),
    [sym_cast_expression] = STATE(5024),
    [sym_sizeof_expression] = STATE(5024),
    [sym_alignof_expression] = STATE(5024),
    [sym_offsetof_expression] = STATE(5024),
    [sym_generic_expression] = STATE(5024),
    [sym_subscript_expression] = STATE(4713),
    [sym_call_expression] = STATE(4713),
    [sym_gnu_asm_expression] = STATE(5024),
    [sym_field_expression] = STATE(4713),
    [sym_compound_literal_expression] = STATE(5024),
    [sym_parenthesized_expression] = STATE(4713),
    [sym_char_literal] = STATE(5374),
    [sym_concatenated_string] = STATE(5377),
    [sym_string_literal] = STATE(4206),
    [sym_null] = STATE(5024),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9352),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(5024),
    [sym_raw_string_literal] = STATE(4217),
    [sym_co_await_expression] = STATE(5024),
    [sym_new_expression] = STATE(5024),
    [sym_delete_expression] = STATE(5024),
    [sym_requires_clause] = STATE(5024),
    [sym_requires_expression] = STATE(5024),
    [sym_lambda_expression] = STATE(5024),
    [sym_lambda_capture_specifier] = STATE(7184),
    [sym_fold_expression] = STATE(5024),
    [sym_parameter_pack_expansion] = STATE(5024),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6886),
    [sym_qualified_identifier] = STATE(4713),
    [sym_qualified_type_identifier] = STATE(9352),
    [sym_user_defined_literal] = STATE(4713),
    [sym_identifier] = ACTIONS(4518),
    [anon_sym_LPAREN2] = ACTIONS(5007),
    [anon_sym_BANG] = ACTIONS(4522),
    [anon_sym_TILDE] = ACTIONS(4522),
    [anon_sym_DASH] = ACTIONS(4520),
    [anon_sym_PLUS] = ACTIONS(4520),
    [anon_sym_STAR] = ACTIONS(5007),
    [anon_sym_AMP_AMP] = ACTIONS(5007),
    [anon_sym_AMP] = ACTIONS(5009),
    [anon_sym_LT] = ACTIONS(5007),
    [anon_sym_COLON_COLON] = ACTIONS(4524),
    [anon_sym_LBRACE] = ACTIONS(5007),
    [anon_sym_LBRACK] = ACTIONS(5007),
    [sym_primitive_type] = ACTIONS(3146),
    [anon_sym_not] = ACTIONS(4520),
    [anon_sym_compl] = ACTIONS(4520),
    [anon_sym_DASH_DASH] = ACTIONS(5071),
    [anon_sym_PLUS_PLUS] = ACTIONS(5071),
    [anon_sym_sizeof] = ACTIONS(4526),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(4528),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(4530),
    [anon_sym_new] = ACTIONS(4516),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [1854] = {
    [sym__expression] = STATE(4341),
    [sym__expression_not_binary] = STATE(3672),
    [sym__string] = STATE(3672),
    [sym_conditional_expression] = STATE(3672),
    [sym_assignment_expression] = STATE(3672),
    [sym_pointer_expression] = STATE(3672),
    [sym_unary_expression] = STATE(3672),
    [sym_binary_expression] = STATE(3672),
    [sym_update_expression] = STATE(3672),
    [sym_cast_expression] = STATE(3672),
    [sym_sizeof_expression] = STATE(3672),
    [sym_alignof_expression] = STATE(3672),
    [sym_offsetof_expression] = STATE(3672),
    [sym_generic_expression] = STATE(3672),
    [sym_subscript_expression] = STATE(3672),
    [sym_call_expression] = STATE(3672),
    [sym_gnu_asm_expression] = STATE(3672),
    [sym_field_expression] = STATE(3672),
    [sym_compound_literal_expression] = STATE(3672),
    [sym_parenthesized_expression] = STATE(3672),
    [sym_char_literal] = STATE(4466),
    [sym_concatenated_string] = STATE(4465),
    [sym_string_literal] = STATE(3395),
    [sym_null] = STATE(3672),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9333),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(3672),
    [sym_raw_string_literal] = STATE(3400),
    [sym_co_await_expression] = STATE(3672),
    [sym_new_expression] = STATE(3672),
    [sym_delete_expression] = STATE(3672),
    [sym_requires_clause] = STATE(3672),
    [sym_requires_expression] = STATE(3672),
    [sym_lambda_expression] = STATE(3672),
    [sym_lambda_capture_specifier] = STATE(7134),
    [sym_fold_expression] = STATE(3672),
    [sym_parameter_pack_expansion] = STATE(3672),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6886),
    [sym_qualified_identifier] = STATE(3672),
    [sym_qualified_type_identifier] = STATE(9333),
    [sym_user_defined_literal] = STATE(3672),
    [sym_identifier] = ACTIONS(4070),
    [anon_sym_LPAREN2] = ACTIONS(5007),
    [anon_sym_BANG] = ACTIONS(4074),
    [anon_sym_TILDE] = ACTIONS(4074),
    [anon_sym_DASH] = ACTIONS(4072),
    [anon_sym_PLUS] = ACTIONS(4072),
    [anon_sym_STAR] = ACTIONS(5007),
    [anon_sym_AMP_AMP] = ACTIONS(5007),
    [anon_sym_AMP] = ACTIONS(5009),
    [anon_sym_LT] = ACTIONS(5007),
    [anon_sym_COLON_COLON] = ACTIONS(4076),
    [anon_sym_LBRACE] = ACTIONS(5007),
    [anon_sym_LBRACK] = ACTIONS(5007),
    [sym_primitive_type] = ACTIONS(3928),
    [anon_sym_not] = ACTIONS(4072),
    [anon_sym_compl] = ACTIONS(4072),
    [anon_sym_DASH_DASH] = ACTIONS(5043),
    [anon_sym_PLUS_PLUS] = ACTIONS(5043),
    [anon_sym_sizeof] = ACTIONS(4078),
    [anon_sym___alignof__] = ACTIONS(3932),
    [anon_sym___alignof] = ACTIONS(3932),
    [anon_sym__alignof] = ACTIONS(3932),
    [anon_sym_alignof] = ACTIONS(3932),
    [anon_sym__Alignof] = ACTIONS(3932),
    [anon_sym_offsetof] = ACTIONS(3934),
    [anon_sym__Generic] = ACTIONS(3936),
    [anon_sym_asm] = ACTIONS(3938),
    [anon_sym___asm__] = ACTIONS(3938),
    [sym_number_literal] = ACTIONS(4080),
    [anon_sym_L_SQUOTE] = ACTIONS(4082),
    [anon_sym_u_SQUOTE] = ACTIONS(4082),
    [anon_sym_U_SQUOTE] = ACTIONS(4082),
    [anon_sym_u8_SQUOTE] = ACTIONS(4082),
    [anon_sym_SQUOTE] = ACTIONS(4082),
    [anon_sym_L_DQUOTE] = ACTIONS(4084),
    [anon_sym_u_DQUOTE] = ACTIONS(4084),
    [anon_sym_U_DQUOTE] = ACTIONS(4084),
    [anon_sym_u8_DQUOTE] = ACTIONS(4084),
    [anon_sym_DQUOTE] = ACTIONS(4084),
    [sym_true] = ACTIONS(3946),
    [sym_false] = ACTIONS(3946),
    [anon_sym_NULL] = ACTIONS(3948),
    [anon_sym_nullptr] = ACTIONS(3948),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(4086),
    [anon_sym_R_DQUOTE] = ACTIONS(4088),
    [anon_sym_LR_DQUOTE] = ACTIONS(4088),
    [anon_sym_uR_DQUOTE] = ACTIONS(4088),
    [anon_sym_UR_DQUOTE] = ACTIONS(4088),
    [anon_sym_u8R_DQUOTE] = ACTIONS(4088),
    [anon_sym_co_await] = ACTIONS(4090),
    [anon_sym_new] = ACTIONS(3990),
    [anon_sym_requires] = ACTIONS(3958),
    [sym_this] = ACTIONS(3946),
  },
  [1855] = {
    [sym__expression] = STATE(5443),
    [sym__expression_not_binary] = STATE(5024),
    [sym__string] = STATE(5024),
    [sym_conditional_expression] = STATE(5024),
    [sym_assignment_expression] = STATE(5024),
    [sym_pointer_expression] = STATE(4737),
    [sym_unary_expression] = STATE(5024),
    [sym_binary_expression] = STATE(5024),
    [sym_update_expression] = STATE(5024),
    [sym_cast_expression] = STATE(5024),
    [sym_sizeof_expression] = STATE(5024),
    [sym_alignof_expression] = STATE(5024),
    [sym_offsetof_expression] = STATE(5024),
    [sym_generic_expression] = STATE(5024),
    [sym_subscript_expression] = STATE(4737),
    [sym_call_expression] = STATE(4737),
    [sym_gnu_asm_expression] = STATE(5024),
    [sym_field_expression] = STATE(4737),
    [sym_compound_literal_expression] = STATE(5024),
    [sym_parenthesized_expression] = STATE(4737),
    [sym_char_literal] = STATE(5374),
    [sym_concatenated_string] = STATE(5377),
    [sym_string_literal] = STATE(4206),
    [sym_null] = STATE(5024),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9352),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(5024),
    [sym_raw_string_literal] = STATE(4217),
    [sym_co_await_expression] = STATE(5024),
    [sym_new_expression] = STATE(5024),
    [sym_delete_expression] = STATE(5024),
    [sym_requires_clause] = STATE(5024),
    [sym_requires_expression] = STATE(5024),
    [sym_lambda_expression] = STATE(5024),
    [sym_lambda_capture_specifier] = STATE(7184),
    [sym_lambda_default_capture] = STATE(9316),
    [sym_fold_expression] = STATE(5024),
    [sym_parameter_pack_expansion] = STATE(5024),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6886),
    [sym_qualified_identifier] = STATE(4737),
    [sym_qualified_type_identifier] = STATE(9352),
    [sym_user_defined_literal] = STATE(4737),
    [sym_identifier] = ACTIONS(4502),
    [anon_sym_LPAREN2] = ACTIONS(4540),
    [anon_sym_BANG] = ACTIONS(4506),
    [anon_sym_TILDE] = ACTIONS(4506),
    [anon_sym_DASH] = ACTIONS(4504),
    [anon_sym_PLUS] = ACTIONS(4504),
    [anon_sym_STAR] = ACTIONS(1474),
    [anon_sym_AMP] = ACTIONS(5025),
    [anon_sym_COLON_COLON] = ACTIONS(4508),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [anon_sym_RBRACK] = ACTIONS(5073),
    [anon_sym_EQ] = ACTIONS(5029),
    [sym_primitive_type] = ACTIONS(3146),
    [anon_sym_not] = ACTIONS(4504),
    [anon_sym_compl] = ACTIONS(4504),
    [anon_sym_DASH_DASH] = ACTIONS(4544),
    [anon_sym_PLUS_PLUS] = ACTIONS(4544),
    [anon_sym_sizeof] = ACTIONS(4510),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(4512),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(4514),
    [anon_sym_new] = ACTIONS(4516),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [1856] = {
    [sym__expression] = STATE(5443),
    [sym__expression_not_binary] = STATE(5024),
    [sym__string] = STATE(5024),
    [sym_conditional_expression] = STATE(5024),
    [sym_assignment_expression] = STATE(5024),
    [sym_pointer_expression] = STATE(4737),
    [sym_unary_expression] = STATE(5024),
    [sym_binary_expression] = STATE(5024),
    [sym_update_expression] = STATE(5024),
    [sym_cast_expression] = STATE(5024),
    [sym_sizeof_expression] = STATE(5024),
    [sym_alignof_expression] = STATE(5024),
    [sym_offsetof_expression] = STATE(5024),
    [sym_generic_expression] = STATE(5024),
    [sym_subscript_expression] = STATE(4737),
    [sym_call_expression] = STATE(4737),
    [sym_gnu_asm_expression] = STATE(5024),
    [sym_field_expression] = STATE(4737),
    [sym_compound_literal_expression] = STATE(5024),
    [sym_parenthesized_expression] = STATE(4737),
    [sym_char_literal] = STATE(5374),
    [sym_concatenated_string] = STATE(5377),
    [sym_string_literal] = STATE(4206),
    [sym_null] = STATE(5024),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9352),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(5024),
    [sym_raw_string_literal] = STATE(4217),
    [sym_co_await_expression] = STATE(5024),
    [sym_new_expression] = STATE(5024),
    [sym_delete_expression] = STATE(5024),
    [sym_requires_clause] = STATE(5024),
    [sym_requires_expression] = STATE(5024),
    [sym_lambda_expression] = STATE(5024),
    [sym_lambda_capture_specifier] = STATE(7184),
    [sym_lambda_default_capture] = STATE(9316),
    [sym_fold_expression] = STATE(5024),
    [sym_parameter_pack_expansion] = STATE(5024),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6886),
    [sym_qualified_identifier] = STATE(4737),
    [sym_qualified_type_identifier] = STATE(9352),
    [sym_user_defined_literal] = STATE(4737),
    [sym_identifier] = ACTIONS(4502),
    [anon_sym_LPAREN2] = ACTIONS(4540),
    [anon_sym_BANG] = ACTIONS(4506),
    [anon_sym_TILDE] = ACTIONS(4506),
    [anon_sym_DASH] = ACTIONS(4504),
    [anon_sym_PLUS] = ACTIONS(4504),
    [anon_sym_STAR] = ACTIONS(1474),
    [anon_sym_AMP] = ACTIONS(5025),
    [anon_sym_COLON_COLON] = ACTIONS(4508),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [anon_sym_RBRACK] = ACTIONS(5075),
    [anon_sym_EQ] = ACTIONS(5029),
    [sym_primitive_type] = ACTIONS(3146),
    [anon_sym_not] = ACTIONS(4504),
    [anon_sym_compl] = ACTIONS(4504),
    [anon_sym_DASH_DASH] = ACTIONS(4544),
    [anon_sym_PLUS_PLUS] = ACTIONS(4544),
    [anon_sym_sizeof] = ACTIONS(4510),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(4512),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(4514),
    [anon_sym_new] = ACTIONS(4516),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [1857] = {
    [sym__expression] = STATE(4275),
    [sym__expression_not_binary] = STATE(4695),
    [sym__string] = STATE(4695),
    [sym_conditional_expression] = STATE(4695),
    [sym_assignment_expression] = STATE(4695),
    [sym_pointer_expression] = STATE(4695),
    [sym_unary_expression] = STATE(4695),
    [sym_binary_expression] = STATE(4695),
    [sym_update_expression] = STATE(4695),
    [sym_cast_expression] = STATE(4695),
    [sym_sizeof_expression] = STATE(4695),
    [sym_alignof_expression] = STATE(4695),
    [sym_offsetof_expression] = STATE(4695),
    [sym_generic_expression] = STATE(4695),
    [sym_subscript_expression] = STATE(4695),
    [sym_call_expression] = STATE(4695),
    [sym_gnu_asm_expression] = STATE(4695),
    [sym_field_expression] = STATE(4695),
    [sym_compound_literal_expression] = STATE(4695),
    [sym_parenthesized_expression] = STATE(4695),
    [sym_char_literal] = STATE(4427),
    [sym_concatenated_string] = STATE(4424),
    [sym_string_literal] = STATE(3398),
    [sym_null] = STATE(4695),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9425),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(4695),
    [sym_raw_string_literal] = STATE(3396),
    [sym_co_await_expression] = STATE(4695),
    [sym_new_expression] = STATE(4695),
    [sym_delete_expression] = STATE(4695),
    [sym_requires_clause] = STATE(4695),
    [sym_requires_expression] = STATE(4695),
    [sym_lambda_expression] = STATE(4695),
    [sym_lambda_capture_specifier] = STATE(7185),
    [sym_fold_expression] = STATE(4695),
    [sym_parameter_pack_expansion] = STATE(4695),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6899),
    [sym_qualified_identifier] = STATE(4695),
    [sym_qualified_type_identifier] = STATE(9425),
    [sym_user_defined_literal] = STATE(4695),
    [sym_identifier] = ACTIONS(4092),
    [anon_sym_LPAREN2] = ACTIONS(5007),
    [anon_sym_BANG] = ACTIONS(2532),
    [anon_sym_TILDE] = ACTIONS(2532),
    [anon_sym_DASH] = ACTIONS(2536),
    [anon_sym_PLUS] = ACTIONS(2536),
    [anon_sym_STAR] = ACTIONS(5007),
    [anon_sym_AMP_AMP] = ACTIONS(5007),
    [anon_sym_AMP] = ACTIONS(5009),
    [anon_sym_LT] = ACTIONS(5007),
    [anon_sym_COLON_COLON] = ACTIONS(2542),
    [anon_sym_LBRACE] = ACTIONS(5007),
    [anon_sym_LBRACK] = ACTIONS(5007),
    [sym_primitive_type] = ACTIONS(4096),
    [anon_sym_not] = ACTIONS(2536),
    [anon_sym_compl] = ACTIONS(2536),
    [anon_sym_DASH_DASH] = ACTIONS(2560),
    [anon_sym_PLUS_PLUS] = ACTIONS(2560),
    [anon_sym_sizeof] = ACTIONS(2562),
    [anon_sym___alignof__] = ACTIONS(2564),
    [anon_sym___alignof] = ACTIONS(2564),
    [anon_sym__alignof] = ACTIONS(2564),
    [anon_sym_alignof] = ACTIONS(2564),
    [anon_sym__Alignof] = ACTIONS(2564),
    [anon_sym_offsetof] = ACTIONS(2566),
    [anon_sym__Generic] = ACTIONS(2568),
    [anon_sym_asm] = ACTIONS(2570),
    [anon_sym___asm__] = ACTIONS(2570),
    [sym_number_literal] = ACTIONS(2572),
    [anon_sym_L_SQUOTE] = ACTIONS(2574),
    [anon_sym_u_SQUOTE] = ACTIONS(2574),
    [anon_sym_U_SQUOTE] = ACTIONS(2574),
    [anon_sym_u8_SQUOTE] = ACTIONS(2574),
    [anon_sym_SQUOTE] = ACTIONS(2574),
    [anon_sym_L_DQUOTE] = ACTIONS(2576),
    [anon_sym_u_DQUOTE] = ACTIONS(2576),
    [anon_sym_U_DQUOTE] = ACTIONS(2576),
    [anon_sym_u8_DQUOTE] = ACTIONS(2576),
    [anon_sym_DQUOTE] = ACTIONS(2576),
    [sym_true] = ACTIONS(2578),
    [sym_false] = ACTIONS(2578),
    [anon_sym_NULL] = ACTIONS(2580),
    [anon_sym_nullptr] = ACTIONS(2580),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(2590),
    [anon_sym_R_DQUOTE] = ACTIONS(2592),
    [anon_sym_LR_DQUOTE] = ACTIONS(2592),
    [anon_sym_uR_DQUOTE] = ACTIONS(2592),
    [anon_sym_UR_DQUOTE] = ACTIONS(2592),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2592),
    [anon_sym_co_await] = ACTIONS(2594),
    [anon_sym_new] = ACTIONS(2596),
    [anon_sym_requires] = ACTIONS(2598),
    [sym_this] = ACTIONS(2578),
  },
  [1858] = {
    [sym__declaration_modifiers] = STATE(2673),
    [sym__declaration_specifiers] = STATE(6012),
    [sym_attribute_specifier] = STATE(2673),
    [sym_attribute_declaration] = STATE(2673),
    [sym_ms_declspec_modifier] = STATE(2673),
    [sym_ms_call_modifier] = STATE(2575),
    [sym_storage_class_specifier] = STATE(2673),
    [sym_type_qualifier] = STATE(2673),
    [sym__type_specifier] = STATE(2827),
    [sym_sized_type_specifier] = STATE(3085),
    [sym_enum_specifier] = STATE(3085),
    [sym_struct_specifier] = STATE(3085),
    [sym_union_specifier] = STATE(3085),
    [sym_placeholder_type_specifier] = STATE(3085),
    [sym_decltype_auto] = STATE(3091),
    [sym_decltype] = STATE(3050),
    [sym_class_specifier] = STATE(3085),
    [sym_virtual] = STATE(2673),
    [sym_alignas_specifier] = STATE(2673),
    [sym_dependent_type] = STATE(3085),
    [sym_template_type] = STATE(3050),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(7887),
    [sym_qualified_type_identifier] = STATE(3068),
    [sym_qualifiers] = STATE(2673),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2673),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3021),
    [sym_identifier] = ACTIONS(3896),
    [anon_sym___extension__] = ACTIONS(63),
    [anon_sym_in] = ACTIONS(1480),
    [anon_sym_out] = ACTIONS(1480),
    [anon_sym_inout] = ACTIONS(1480),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(3904),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2096),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(51),
    [anon_sym___clrcall] = ACTIONS(51),
    [anon_sym___stdcall] = ACTIONS(51),
    [anon_sym___fastcall] = ACTIONS(51),
    [anon_sym___thiscall] = ACTIONS(51),
    [anon_sym___vectorcall] = ACTIONS(51),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(2891),
    [anon_sym_enum] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(69),
    [anon_sym_struct] = ACTIONS(71),
    [anon_sym_union] = ACTIONS(73),
    [anon_sym_if] = ACTIONS(5077),
    [anon_sym_for] = ACTIONS(5079),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [anon_sym_virtual] = ACTIONS(123),
    [anon_sym_alignas] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_precise] = ACTIONS(161),
    [anon_sym_shared] = ACTIONS(161),
    [anon_sym_groupshared] = ACTIONS(161),
    [anon_sym_uniform] = ACTIONS(161),
    [anon_sym_row_major] = ACTIONS(161),
    [anon_sym_column_major] = ACTIONS(161),
    [anon_sym_globallycoherent] = ACTIONS(161),
    [anon_sym_centroid] = ACTIONS(161),
    [anon_sym_noperspective] = ACTIONS(161),
    [anon_sym_nointerpolation] = ACTIONS(161),
    [anon_sym_sample] = ACTIONS(161),
    [anon_sym_linear] = ACTIONS(161),
    [anon_sym_snorm] = ACTIONS(161),
    [anon_sym_unorm] = ACTIONS(161),
    [anon_sym_point] = ACTIONS(161),
    [anon_sym_line] = ACTIONS(161),
    [anon_sym_triangleadj] = ACTIONS(161),
    [anon_sym_lineadj] = ACTIONS(161),
    [anon_sym_triangle] = ACTIONS(161),
  },
  [1859] = {
    [sym__expression] = STATE(5498),
    [sym__expression_not_binary] = STATE(5024),
    [sym__string] = STATE(5024),
    [sym_conditional_expression] = STATE(5024),
    [sym_assignment_expression] = STATE(5024),
    [sym_pointer_expression] = STATE(4607),
    [sym_unary_expression] = STATE(5024),
    [sym_binary_expression] = STATE(5024),
    [sym_update_expression] = STATE(5024),
    [sym_cast_expression] = STATE(5024),
    [sym_sizeof_expression] = STATE(5024),
    [sym_alignof_expression] = STATE(5024),
    [sym_offsetof_expression] = STATE(5024),
    [sym_generic_expression] = STATE(5024),
    [sym_subscript_expression] = STATE(4607),
    [sym_call_expression] = STATE(4607),
    [sym_gnu_asm_expression] = STATE(5024),
    [sym_field_expression] = STATE(4607),
    [sym_compound_literal_expression] = STATE(5024),
    [sym_parenthesized_expression] = STATE(4607),
    [sym_char_literal] = STATE(5726),
    [sym_concatenated_string] = STATE(5682),
    [sym_string_literal] = STATE(4827),
    [sym_null] = STATE(5024),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9352),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(5024),
    [sym_raw_string_literal] = STATE(4829),
    [sym_co_await_expression] = STATE(5024),
    [sym_new_expression] = STATE(5024),
    [sym_delete_expression] = STATE(5024),
    [sym_requires_clause] = STATE(5024),
    [sym_requires_expression] = STATE(5024),
    [sym_lambda_expression] = STATE(5024),
    [sym_lambda_capture_specifier] = STATE(7184),
    [sym_fold_expression] = STATE(5024),
    [sym_parameter_pack_expansion] = STATE(5024),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6886),
    [sym_qualified_identifier] = STATE(4607),
    [sym_qualified_type_identifier] = STATE(9352),
    [sym_user_defined_literal] = STATE(4607),
    [sym_identifier] = ACTIONS(4478),
    [anon_sym_LPAREN2] = ACTIONS(5007),
    [anon_sym_BANG] = ACTIONS(4482),
    [anon_sym_TILDE] = ACTIONS(4482),
    [anon_sym_DASH] = ACTIONS(4480),
    [anon_sym_PLUS] = ACTIONS(4480),
    [anon_sym_STAR] = ACTIONS(5007),
    [anon_sym_AMP_AMP] = ACTIONS(5007),
    [anon_sym_AMP] = ACTIONS(5009),
    [anon_sym_LT] = ACTIONS(5007),
    [anon_sym_COLON_COLON] = ACTIONS(4484),
    [anon_sym_LBRACE] = ACTIONS(5007),
    [anon_sym_LBRACK] = ACTIONS(5007),
    [sym_primitive_type] = ACTIONS(3146),
    [anon_sym_not] = ACTIONS(4480),
    [anon_sym_compl] = ACTIONS(4480),
    [anon_sym_DASH_DASH] = ACTIONS(5021),
    [anon_sym_PLUS_PLUS] = ACTIONS(5021),
    [anon_sym_sizeof] = ACTIONS(4486),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(4488),
    [anon_sym_L_SQUOTE] = ACTIONS(4490),
    [anon_sym_u_SQUOTE] = ACTIONS(4490),
    [anon_sym_U_SQUOTE] = ACTIONS(4490),
    [anon_sym_u8_SQUOTE] = ACTIONS(4490),
    [anon_sym_SQUOTE] = ACTIONS(4490),
    [anon_sym_L_DQUOTE] = ACTIONS(4492),
    [anon_sym_u_DQUOTE] = ACTIONS(4492),
    [anon_sym_U_DQUOTE] = ACTIONS(4492),
    [anon_sym_u8_DQUOTE] = ACTIONS(4492),
    [anon_sym_DQUOTE] = ACTIONS(4492),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(4494),
    [anon_sym_R_DQUOTE] = ACTIONS(4496),
    [anon_sym_LR_DQUOTE] = ACTIONS(4496),
    [anon_sym_uR_DQUOTE] = ACTIONS(4496),
    [anon_sym_UR_DQUOTE] = ACTIONS(4496),
    [anon_sym_u8R_DQUOTE] = ACTIONS(4496),
    [anon_sym_co_await] = ACTIONS(4498),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [1860] = {
    [sym__expression] = STATE(5803),
    [sym__expression_not_binary] = STATE(6001),
    [sym__string] = STATE(6001),
    [sym_conditional_expression] = STATE(6001),
    [sym_assignment_expression] = STATE(6001),
    [sym_pointer_expression] = STATE(4807),
    [sym_unary_expression] = STATE(6001),
    [sym_binary_expression] = STATE(6001),
    [sym_update_expression] = STATE(6001),
    [sym_cast_expression] = STATE(6001),
    [sym_sizeof_expression] = STATE(6001),
    [sym_alignof_expression] = STATE(6001),
    [sym_offsetof_expression] = STATE(6001),
    [sym_generic_expression] = STATE(6001),
    [sym_subscript_expression] = STATE(4807),
    [sym_call_expression] = STATE(4807),
    [sym_gnu_asm_expression] = STATE(6001),
    [sym_field_expression] = STATE(4807),
    [sym_compound_literal_expression] = STATE(6001),
    [sym_parenthesized_expression] = STATE(4807),
    [sym_char_literal] = STATE(5842),
    [sym_concatenated_string] = STATE(5845),
    [sym_string_literal] = STATE(4864),
    [sym_null] = STATE(6001),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(8975),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(6001),
    [sym_raw_string_literal] = STATE(4865),
    [sym_co_await_expression] = STATE(6001),
    [sym_new_expression] = STATE(6001),
    [sym_delete_expression] = STATE(6001),
    [sym_requires_clause] = STATE(6001),
    [sym_requires_expression] = STATE(6001),
    [sym_lambda_expression] = STATE(6001),
    [sym_lambda_capture_specifier] = STATE(7123),
    [sym_fold_expression] = STATE(6001),
    [sym_parameter_pack_expansion] = STATE(6001),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6932),
    [sym_qualified_identifier] = STATE(4807),
    [sym_qualified_type_identifier] = STATE(8975),
    [sym_user_defined_literal] = STATE(4807),
    [sym_identifier] = ACTIONS(4532),
    [anon_sym_LPAREN2] = ACTIONS(5007),
    [anon_sym_BANG] = ACTIONS(4257),
    [anon_sym_TILDE] = ACTIONS(4257),
    [anon_sym_DASH] = ACTIONS(4259),
    [anon_sym_PLUS] = ACTIONS(4259),
    [anon_sym_STAR] = ACTIONS(5007),
    [anon_sym_AMP_AMP] = ACTIONS(5007),
    [anon_sym_AMP] = ACTIONS(5009),
    [anon_sym_LT] = ACTIONS(5007),
    [anon_sym_COLON_COLON] = ACTIONS(4263),
    [anon_sym_LBRACE] = ACTIONS(5007),
    [anon_sym_LBRACK] = ACTIONS(5007),
    [sym_primitive_type] = ACTIONS(4536),
    [anon_sym_not] = ACTIONS(4259),
    [anon_sym_compl] = ACTIONS(4259),
    [anon_sym_DASH_DASH] = ACTIONS(4277),
    [anon_sym_PLUS_PLUS] = ACTIONS(4277),
    [anon_sym_sizeof] = ACTIONS(4279),
    [anon_sym___alignof__] = ACTIONS(4281),
    [anon_sym___alignof] = ACTIONS(4281),
    [anon_sym__alignof] = ACTIONS(4281),
    [anon_sym_alignof] = ACTIONS(4281),
    [anon_sym__Alignof] = ACTIONS(4281),
    [anon_sym_offsetof] = ACTIONS(4283),
    [anon_sym__Generic] = ACTIONS(4285),
    [anon_sym_asm] = ACTIONS(4287),
    [anon_sym___asm__] = ACTIONS(4287),
    [sym_number_literal] = ACTIONS(4289),
    [anon_sym_L_SQUOTE] = ACTIONS(4291),
    [anon_sym_u_SQUOTE] = ACTIONS(4291),
    [anon_sym_U_SQUOTE] = ACTIONS(4291),
    [anon_sym_u8_SQUOTE] = ACTIONS(4291),
    [anon_sym_SQUOTE] = ACTIONS(4291),
    [anon_sym_L_DQUOTE] = ACTIONS(4293),
    [anon_sym_u_DQUOTE] = ACTIONS(4293),
    [anon_sym_U_DQUOTE] = ACTIONS(4293),
    [anon_sym_u8_DQUOTE] = ACTIONS(4293),
    [anon_sym_DQUOTE] = ACTIONS(4293),
    [sym_true] = ACTIONS(4295),
    [sym_false] = ACTIONS(4295),
    [anon_sym_NULL] = ACTIONS(4297),
    [anon_sym_nullptr] = ACTIONS(4297),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(4307),
    [anon_sym_R_DQUOTE] = ACTIONS(4309),
    [anon_sym_LR_DQUOTE] = ACTIONS(4309),
    [anon_sym_uR_DQUOTE] = ACTIONS(4309),
    [anon_sym_UR_DQUOTE] = ACTIONS(4309),
    [anon_sym_u8R_DQUOTE] = ACTIONS(4309),
    [anon_sym_co_await] = ACTIONS(4311),
    [anon_sym_new] = ACTIONS(4313),
    [anon_sym_requires] = ACTIONS(4315),
    [sym_this] = ACTIONS(4295),
  },
  [1861] = {
    [sym__expression] = STATE(5443),
    [sym__expression_not_binary] = STATE(5024),
    [sym__string] = STATE(5024),
    [sym_conditional_expression] = STATE(5024),
    [sym_assignment_expression] = STATE(5024),
    [sym_pointer_expression] = STATE(4737),
    [sym_unary_expression] = STATE(5024),
    [sym_binary_expression] = STATE(5024),
    [sym_update_expression] = STATE(5024),
    [sym_cast_expression] = STATE(5024),
    [sym_sizeof_expression] = STATE(5024),
    [sym_alignof_expression] = STATE(5024),
    [sym_offsetof_expression] = STATE(5024),
    [sym_generic_expression] = STATE(5024),
    [sym_subscript_expression] = STATE(4737),
    [sym_call_expression] = STATE(4737),
    [sym_gnu_asm_expression] = STATE(5024),
    [sym_field_expression] = STATE(4737),
    [sym_compound_literal_expression] = STATE(5024),
    [sym_parenthesized_expression] = STATE(4737),
    [sym_char_literal] = STATE(5374),
    [sym_concatenated_string] = STATE(5377),
    [sym_string_literal] = STATE(4206),
    [sym_null] = STATE(5024),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9352),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(5024),
    [sym_raw_string_literal] = STATE(4217),
    [sym_co_await_expression] = STATE(5024),
    [sym_new_expression] = STATE(5024),
    [sym_delete_expression] = STATE(5024),
    [sym_requires_clause] = STATE(5024),
    [sym_requires_expression] = STATE(5024),
    [sym_lambda_expression] = STATE(5024),
    [sym_lambda_capture_specifier] = STATE(7184),
    [sym_lambda_default_capture] = STATE(9316),
    [sym_fold_expression] = STATE(5024),
    [sym_parameter_pack_expansion] = STATE(5024),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6886),
    [sym_qualified_identifier] = STATE(4737),
    [sym_qualified_type_identifier] = STATE(9352),
    [sym_user_defined_literal] = STATE(4737),
    [sym_identifier] = ACTIONS(4502),
    [anon_sym_LPAREN2] = ACTIONS(4540),
    [anon_sym_BANG] = ACTIONS(4506),
    [anon_sym_TILDE] = ACTIONS(4506),
    [anon_sym_DASH] = ACTIONS(4504),
    [anon_sym_PLUS] = ACTIONS(4504),
    [anon_sym_STAR] = ACTIONS(1474),
    [anon_sym_AMP] = ACTIONS(5025),
    [anon_sym_COLON_COLON] = ACTIONS(4508),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [anon_sym_RBRACK] = ACTIONS(5033),
    [anon_sym_EQ] = ACTIONS(5029),
    [sym_primitive_type] = ACTIONS(3146),
    [anon_sym_not] = ACTIONS(4504),
    [anon_sym_compl] = ACTIONS(4504),
    [anon_sym_DASH_DASH] = ACTIONS(4544),
    [anon_sym_PLUS_PLUS] = ACTIONS(4544),
    [anon_sym_sizeof] = ACTIONS(4510),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(4512),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(4514),
    [anon_sym_new] = ACTIONS(4516),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [1862] = {
    [sym__expression] = STATE(5339),
    [sym__expression_not_binary] = STATE(5575),
    [sym__string] = STATE(5575),
    [sym_conditional_expression] = STATE(5575),
    [sym_assignment_expression] = STATE(5575),
    [sym_pointer_expression] = STATE(4218),
    [sym_unary_expression] = STATE(5575),
    [sym_binary_expression] = STATE(5575),
    [sym_update_expression] = STATE(5575),
    [sym_cast_expression] = STATE(5575),
    [sym_sizeof_expression] = STATE(5575),
    [sym_alignof_expression] = STATE(5575),
    [sym_offsetof_expression] = STATE(5575),
    [sym_generic_expression] = STATE(5575),
    [sym_subscript_expression] = STATE(4218),
    [sym_call_expression] = STATE(4218),
    [sym_gnu_asm_expression] = STATE(5575),
    [sym_field_expression] = STATE(4218),
    [sym_compound_literal_expression] = STATE(5575),
    [sym_parenthesized_expression] = STATE(4218),
    [sym_char_literal] = STATE(5388),
    [sym_concatenated_string] = STATE(5429),
    [sym_string_literal] = STATE(4410),
    [sym_null] = STATE(5575),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9045),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(5575),
    [sym_raw_string_literal] = STATE(4411),
    [sym_co_await_expression] = STATE(5575),
    [sym_new_expression] = STATE(5575),
    [sym_delete_expression] = STATE(5575),
    [sym_requires_clause] = STATE(5575),
    [sym_requires_expression] = STATE(5575),
    [sym_lambda_expression] = STATE(5575),
    [sym_lambda_capture_specifier] = STATE(7089),
    [sym_fold_expression] = STATE(5575),
    [sym_parameter_pack_expansion] = STATE(5575),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6962),
    [sym_qualified_identifier] = STATE(4218),
    [sym_qualified_type_identifier] = STATE(9045),
    [sym_user_defined_literal] = STATE(4218),
    [sym_identifier] = ACTIONS(5081),
    [anon_sym_LPAREN2] = ACTIONS(5007),
    [anon_sym_BANG] = ACTIONS(4431),
    [anon_sym_TILDE] = ACTIONS(4431),
    [anon_sym_DASH] = ACTIONS(4429),
    [anon_sym_PLUS] = ACTIONS(4429),
    [anon_sym_STAR] = ACTIONS(5007),
    [anon_sym_AMP_AMP] = ACTIONS(5007),
    [anon_sym_AMP] = ACTIONS(5009),
    [anon_sym_LT] = ACTIONS(5007),
    [anon_sym_COLON_COLON] = ACTIONS(4433),
    [anon_sym_LBRACE] = ACTIONS(5007),
    [anon_sym_LBRACK] = ACTIONS(5007),
    [sym_primitive_type] = ACTIONS(4437),
    [anon_sym_not] = ACTIONS(4429),
    [anon_sym_compl] = ACTIONS(4429),
    [anon_sym_DASH_DASH] = ACTIONS(5083),
    [anon_sym_PLUS_PLUS] = ACTIONS(5083),
    [anon_sym_sizeof] = ACTIONS(4439),
    [anon_sym___alignof__] = ACTIONS(4441),
    [anon_sym___alignof] = ACTIONS(4441),
    [anon_sym__alignof] = ACTIONS(4441),
    [anon_sym_alignof] = ACTIONS(4441),
    [anon_sym__Alignof] = ACTIONS(4441),
    [anon_sym_offsetof] = ACTIONS(4443),
    [anon_sym__Generic] = ACTIONS(4445),
    [anon_sym_asm] = ACTIONS(4447),
    [anon_sym___asm__] = ACTIONS(4447),
    [sym_number_literal] = ACTIONS(4449),
    [anon_sym_L_SQUOTE] = ACTIONS(4451),
    [anon_sym_u_SQUOTE] = ACTIONS(4451),
    [anon_sym_U_SQUOTE] = ACTIONS(4451),
    [anon_sym_u8_SQUOTE] = ACTIONS(4451),
    [anon_sym_SQUOTE] = ACTIONS(4451),
    [anon_sym_L_DQUOTE] = ACTIONS(4453),
    [anon_sym_u_DQUOTE] = ACTIONS(4453),
    [anon_sym_U_DQUOTE] = ACTIONS(4453),
    [anon_sym_u8_DQUOTE] = ACTIONS(4453),
    [anon_sym_DQUOTE] = ACTIONS(4453),
    [sym_true] = ACTIONS(4455),
    [sym_false] = ACTIONS(4455),
    [anon_sym_NULL] = ACTIONS(4457),
    [anon_sym_nullptr] = ACTIONS(4457),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(4459),
    [anon_sym_R_DQUOTE] = ACTIONS(4461),
    [anon_sym_LR_DQUOTE] = ACTIONS(4461),
    [anon_sym_uR_DQUOTE] = ACTIONS(4461),
    [anon_sym_UR_DQUOTE] = ACTIONS(4461),
    [anon_sym_u8R_DQUOTE] = ACTIONS(4461),
    [anon_sym_co_await] = ACTIONS(4463),
    [anon_sym_new] = ACTIONS(4465),
    [anon_sym_requires] = ACTIONS(4467),
    [sym_this] = ACTIONS(4455),
  },
  [1863] = {
    [sym__expression] = STATE(5447),
    [sym__expression_not_binary] = STATE(5024),
    [sym__string] = STATE(5024),
    [sym_conditional_expression] = STATE(5024),
    [sym_assignment_expression] = STATE(5024),
    [sym_pointer_expression] = STATE(4607),
    [sym_unary_expression] = STATE(5024),
    [sym_binary_expression] = STATE(5024),
    [sym_update_expression] = STATE(5024),
    [sym_cast_expression] = STATE(5024),
    [sym_sizeof_expression] = STATE(5024),
    [sym_alignof_expression] = STATE(5024),
    [sym_offsetof_expression] = STATE(5024),
    [sym_generic_expression] = STATE(5024),
    [sym_subscript_expression] = STATE(4607),
    [sym_call_expression] = STATE(4607),
    [sym_gnu_asm_expression] = STATE(5024),
    [sym_field_expression] = STATE(4607),
    [sym_compound_literal_expression] = STATE(5024),
    [sym_parenthesized_expression] = STATE(4607),
    [sym_char_literal] = STATE(5726),
    [sym_concatenated_string] = STATE(5682),
    [sym_string_literal] = STATE(4827),
    [sym_null] = STATE(5024),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9352),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(5024),
    [sym_raw_string_literal] = STATE(4829),
    [sym_co_await_expression] = STATE(5024),
    [sym_new_expression] = STATE(5024),
    [sym_delete_expression] = STATE(5024),
    [sym_requires_clause] = STATE(5024),
    [sym_requires_expression] = STATE(5024),
    [sym_lambda_expression] = STATE(5024),
    [sym_lambda_capture_specifier] = STATE(7184),
    [sym_fold_expression] = STATE(5024),
    [sym_parameter_pack_expansion] = STATE(5024),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6886),
    [sym_qualified_identifier] = STATE(4607),
    [sym_qualified_type_identifier] = STATE(9352),
    [sym_user_defined_literal] = STATE(4607),
    [sym_identifier] = ACTIONS(4478),
    [anon_sym_LPAREN2] = ACTIONS(5007),
    [anon_sym_BANG] = ACTIONS(4482),
    [anon_sym_TILDE] = ACTIONS(4482),
    [anon_sym_DASH] = ACTIONS(4480),
    [anon_sym_PLUS] = ACTIONS(4480),
    [anon_sym_STAR] = ACTIONS(5007),
    [anon_sym_AMP_AMP] = ACTIONS(5007),
    [anon_sym_AMP] = ACTIONS(5009),
    [anon_sym_LT] = ACTIONS(5007),
    [anon_sym_COLON_COLON] = ACTIONS(4484),
    [anon_sym_LBRACE] = ACTIONS(5007),
    [anon_sym_LBRACK] = ACTIONS(5007),
    [sym_primitive_type] = ACTIONS(3146),
    [anon_sym_not] = ACTIONS(4480),
    [anon_sym_compl] = ACTIONS(4480),
    [anon_sym_DASH_DASH] = ACTIONS(5021),
    [anon_sym_PLUS_PLUS] = ACTIONS(5021),
    [anon_sym_sizeof] = ACTIONS(4486),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(4488),
    [anon_sym_L_SQUOTE] = ACTIONS(4490),
    [anon_sym_u_SQUOTE] = ACTIONS(4490),
    [anon_sym_U_SQUOTE] = ACTIONS(4490),
    [anon_sym_u8_SQUOTE] = ACTIONS(4490),
    [anon_sym_SQUOTE] = ACTIONS(4490),
    [anon_sym_L_DQUOTE] = ACTIONS(4492),
    [anon_sym_u_DQUOTE] = ACTIONS(4492),
    [anon_sym_U_DQUOTE] = ACTIONS(4492),
    [anon_sym_u8_DQUOTE] = ACTIONS(4492),
    [anon_sym_DQUOTE] = ACTIONS(4492),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(4494),
    [anon_sym_R_DQUOTE] = ACTIONS(4496),
    [anon_sym_LR_DQUOTE] = ACTIONS(4496),
    [anon_sym_uR_DQUOTE] = ACTIONS(4496),
    [anon_sym_UR_DQUOTE] = ACTIONS(4496),
    [anon_sym_u8R_DQUOTE] = ACTIONS(4496),
    [anon_sym_co_await] = ACTIONS(4498),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [1864] = {
    [sym__expression] = STATE(5443),
    [sym__expression_not_binary] = STATE(5024),
    [sym__string] = STATE(5024),
    [sym_conditional_expression] = STATE(5024),
    [sym_assignment_expression] = STATE(5024),
    [sym_pointer_expression] = STATE(4737),
    [sym_unary_expression] = STATE(5024),
    [sym_binary_expression] = STATE(5024),
    [sym_update_expression] = STATE(5024),
    [sym_cast_expression] = STATE(5024),
    [sym_sizeof_expression] = STATE(5024),
    [sym_alignof_expression] = STATE(5024),
    [sym_offsetof_expression] = STATE(5024),
    [sym_generic_expression] = STATE(5024),
    [sym_subscript_expression] = STATE(4737),
    [sym_call_expression] = STATE(4737),
    [sym_gnu_asm_expression] = STATE(5024),
    [sym_field_expression] = STATE(4737),
    [sym_compound_literal_expression] = STATE(5024),
    [sym_parenthesized_expression] = STATE(4737),
    [sym_char_literal] = STATE(5374),
    [sym_concatenated_string] = STATE(5377),
    [sym_string_literal] = STATE(4206),
    [sym_null] = STATE(5024),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9352),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(5024),
    [sym_raw_string_literal] = STATE(4217),
    [sym_co_await_expression] = STATE(5024),
    [sym_new_expression] = STATE(5024),
    [sym_delete_expression] = STATE(5024),
    [sym_requires_clause] = STATE(5024),
    [sym_requires_expression] = STATE(5024),
    [sym_lambda_expression] = STATE(5024),
    [sym_lambda_capture_specifier] = STATE(7184),
    [sym_lambda_default_capture] = STATE(9316),
    [sym_fold_expression] = STATE(5024),
    [sym_parameter_pack_expansion] = STATE(5024),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6886),
    [sym_qualified_identifier] = STATE(4737),
    [sym_qualified_type_identifier] = STATE(9352),
    [sym_user_defined_literal] = STATE(4737),
    [sym_identifier] = ACTIONS(4502),
    [anon_sym_LPAREN2] = ACTIONS(4540),
    [anon_sym_BANG] = ACTIONS(4506),
    [anon_sym_TILDE] = ACTIONS(4506),
    [anon_sym_DASH] = ACTIONS(4504),
    [anon_sym_PLUS] = ACTIONS(4504),
    [anon_sym_STAR] = ACTIONS(1474),
    [anon_sym_AMP] = ACTIONS(5025),
    [anon_sym_COLON_COLON] = ACTIONS(4508),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [anon_sym_RBRACK] = ACTIONS(5085),
    [anon_sym_EQ] = ACTIONS(5029),
    [sym_primitive_type] = ACTIONS(3146),
    [anon_sym_not] = ACTIONS(4504),
    [anon_sym_compl] = ACTIONS(4504),
    [anon_sym_DASH_DASH] = ACTIONS(4544),
    [anon_sym_PLUS_PLUS] = ACTIONS(4544),
    [anon_sym_sizeof] = ACTIONS(4510),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(4512),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(4514),
    [anon_sym_new] = ACTIONS(4516),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [1865] = {
    [sym__expression] = STATE(5443),
    [sym__expression_not_binary] = STATE(5024),
    [sym__string] = STATE(5024),
    [sym_conditional_expression] = STATE(5024),
    [sym_assignment_expression] = STATE(5024),
    [sym_pointer_expression] = STATE(4737),
    [sym_unary_expression] = STATE(5024),
    [sym_binary_expression] = STATE(5024),
    [sym_update_expression] = STATE(5024),
    [sym_cast_expression] = STATE(5024),
    [sym_sizeof_expression] = STATE(5024),
    [sym_alignof_expression] = STATE(5024),
    [sym_offsetof_expression] = STATE(5024),
    [sym_generic_expression] = STATE(5024),
    [sym_subscript_expression] = STATE(4737),
    [sym_call_expression] = STATE(4737),
    [sym_gnu_asm_expression] = STATE(5024),
    [sym_field_expression] = STATE(4737),
    [sym_compound_literal_expression] = STATE(5024),
    [sym_parenthesized_expression] = STATE(4737),
    [sym_char_literal] = STATE(5374),
    [sym_concatenated_string] = STATE(5377),
    [sym_string_literal] = STATE(4206),
    [sym_null] = STATE(5024),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9352),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(5024),
    [sym_raw_string_literal] = STATE(4217),
    [sym_co_await_expression] = STATE(5024),
    [sym_new_expression] = STATE(5024),
    [sym_delete_expression] = STATE(5024),
    [sym_requires_clause] = STATE(5024),
    [sym_requires_expression] = STATE(5024),
    [sym_lambda_expression] = STATE(5024),
    [sym_lambda_capture_specifier] = STATE(7184),
    [sym_lambda_default_capture] = STATE(9316),
    [sym_fold_expression] = STATE(5024),
    [sym_parameter_pack_expansion] = STATE(5024),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6886),
    [sym_qualified_identifier] = STATE(4737),
    [sym_qualified_type_identifier] = STATE(9352),
    [sym_user_defined_literal] = STATE(4737),
    [sym_identifier] = ACTIONS(4502),
    [anon_sym_LPAREN2] = ACTIONS(4540),
    [anon_sym_BANG] = ACTIONS(4506),
    [anon_sym_TILDE] = ACTIONS(4506),
    [anon_sym_DASH] = ACTIONS(4504),
    [anon_sym_PLUS] = ACTIONS(4504),
    [anon_sym_STAR] = ACTIONS(1474),
    [anon_sym_AMP] = ACTIONS(5025),
    [anon_sym_COLON_COLON] = ACTIONS(4508),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [anon_sym_RBRACK] = ACTIONS(5087),
    [anon_sym_EQ] = ACTIONS(5029),
    [sym_primitive_type] = ACTIONS(3146),
    [anon_sym_not] = ACTIONS(4504),
    [anon_sym_compl] = ACTIONS(4504),
    [anon_sym_DASH_DASH] = ACTIONS(4544),
    [anon_sym_PLUS_PLUS] = ACTIONS(4544),
    [anon_sym_sizeof] = ACTIONS(4510),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(4512),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(4514),
    [anon_sym_new] = ACTIONS(4516),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [1866] = {
    [sym__expression] = STATE(5368),
    [sym__expression_not_binary] = STATE(5024),
    [sym__string] = STATE(5024),
    [sym_conditional_expression] = STATE(5024),
    [sym_assignment_expression] = STATE(5024),
    [sym_pointer_expression] = STATE(4607),
    [sym_unary_expression] = STATE(5024),
    [sym_binary_expression] = STATE(5024),
    [sym_update_expression] = STATE(5024),
    [sym_cast_expression] = STATE(5024),
    [sym_sizeof_expression] = STATE(5024),
    [sym_alignof_expression] = STATE(5024),
    [sym_offsetof_expression] = STATE(5024),
    [sym_generic_expression] = STATE(5024),
    [sym_subscript_expression] = STATE(4607),
    [sym_call_expression] = STATE(4607),
    [sym_gnu_asm_expression] = STATE(5024),
    [sym_field_expression] = STATE(4607),
    [sym_compound_literal_expression] = STATE(5024),
    [sym_parenthesized_expression] = STATE(4607),
    [sym_initializer_list] = STATE(8127),
    [sym_char_literal] = STATE(5726),
    [sym_concatenated_string] = STATE(5682),
    [sym_string_literal] = STATE(4827),
    [sym_null] = STATE(5024),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9352),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(5024),
    [sym_raw_string_literal] = STATE(4829),
    [sym_co_await_expression] = STATE(5024),
    [sym_new_expression] = STATE(5024),
    [sym_delete_expression] = STATE(5024),
    [sym_requires_clause] = STATE(5024),
    [sym_requires_expression] = STATE(5024),
    [sym_lambda_expression] = STATE(5024),
    [sym_lambda_capture_specifier] = STATE(7184),
    [sym_fold_expression] = STATE(5024),
    [sym_parameter_pack_expansion] = STATE(5024),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6886),
    [sym_qualified_identifier] = STATE(4607),
    [sym_qualified_type_identifier] = STATE(9352),
    [sym_user_defined_literal] = STATE(4607),
    [sym_identifier] = ACTIONS(4478),
    [anon_sym_LPAREN2] = ACTIONS(5015),
    [anon_sym_BANG] = ACTIONS(4482),
    [anon_sym_TILDE] = ACTIONS(4482),
    [anon_sym_DASH] = ACTIONS(4480),
    [anon_sym_PLUS] = ACTIONS(4480),
    [anon_sym_STAR] = ACTIONS(5017),
    [anon_sym_AMP] = ACTIONS(5017),
    [anon_sym_COLON_COLON] = ACTIONS(4484),
    [anon_sym_LBRACE] = ACTIONS(4413),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [sym_primitive_type] = ACTIONS(3146),
    [anon_sym_default] = ACTIONS(5089),
    [anon_sym_not] = ACTIONS(4480),
    [anon_sym_compl] = ACTIONS(4480),
    [anon_sym_DASH_DASH] = ACTIONS(5021),
    [anon_sym_PLUS_PLUS] = ACTIONS(5021),
    [anon_sym_sizeof] = ACTIONS(4486),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(4488),
    [anon_sym_L_SQUOTE] = ACTIONS(4490),
    [anon_sym_u_SQUOTE] = ACTIONS(4490),
    [anon_sym_U_SQUOTE] = ACTIONS(4490),
    [anon_sym_u8_SQUOTE] = ACTIONS(4490),
    [anon_sym_SQUOTE] = ACTIONS(4490),
    [anon_sym_L_DQUOTE] = ACTIONS(4492),
    [anon_sym_u_DQUOTE] = ACTIONS(4492),
    [anon_sym_U_DQUOTE] = ACTIONS(4492),
    [anon_sym_u8_DQUOTE] = ACTIONS(4492),
    [anon_sym_DQUOTE] = ACTIONS(4492),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(5091),
    [anon_sym_R_DQUOTE] = ACTIONS(4496),
    [anon_sym_LR_DQUOTE] = ACTIONS(4496),
    [anon_sym_uR_DQUOTE] = ACTIONS(4496),
    [anon_sym_UR_DQUOTE] = ACTIONS(4496),
    [anon_sym_u8R_DQUOTE] = ACTIONS(4496),
    [anon_sym_co_await] = ACTIONS(4498),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [1867] = {
    [sym__expression] = STATE(4436),
    [sym__expression_not_binary] = STATE(3672),
    [sym__string] = STATE(3672),
    [sym_conditional_expression] = STATE(3672),
    [sym_assignment_expression] = STATE(3672),
    [sym_pointer_expression] = STATE(3672),
    [sym_unary_expression] = STATE(3672),
    [sym_binary_expression] = STATE(3672),
    [sym_update_expression] = STATE(3672),
    [sym_cast_expression] = STATE(3672),
    [sym_sizeof_expression] = STATE(3672),
    [sym_alignof_expression] = STATE(3672),
    [sym_offsetof_expression] = STATE(3672),
    [sym_generic_expression] = STATE(3672),
    [sym_subscript_expression] = STATE(3672),
    [sym_call_expression] = STATE(3672),
    [sym_gnu_asm_expression] = STATE(3672),
    [sym_field_expression] = STATE(3672),
    [sym_compound_literal_expression] = STATE(3672),
    [sym_parenthesized_expression] = STATE(3672),
    [sym_char_literal] = STATE(3991),
    [sym_concatenated_string] = STATE(3973),
    [sym_string_literal] = STATE(3242),
    [sym_null] = STATE(3672),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9333),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(3672),
    [sym_raw_string_literal] = STATE(3241),
    [sym_co_await_expression] = STATE(3672),
    [sym_new_expression] = STATE(3672),
    [sym_delete_expression] = STATE(3672),
    [sym_requires_clause] = STATE(3672),
    [sym_requires_expression] = STATE(3672),
    [sym_lambda_expression] = STATE(3672),
    [sym_lambda_capture_specifier] = STATE(7134),
    [sym_fold_expression] = STATE(3672),
    [sym_parameter_pack_expansion] = STATE(3672),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6886),
    [sym_qualified_identifier] = STATE(3672),
    [sym_qualified_type_identifier] = STATE(9333),
    [sym_user_defined_literal] = STATE(3672),
    [sym_identifier] = ACTIONS(3968),
    [anon_sym_LPAREN2] = ACTIONS(5007),
    [anon_sym_BANG] = ACTIONS(4116),
    [anon_sym_TILDE] = ACTIONS(4116),
    [anon_sym_DASH] = ACTIONS(4114),
    [anon_sym_PLUS] = ACTIONS(4114),
    [anon_sym_STAR] = ACTIONS(5007),
    [anon_sym_AMP_AMP] = ACTIONS(5007),
    [anon_sym_AMP] = ACTIONS(5009),
    [anon_sym_LT] = ACTIONS(5007),
    [anon_sym_COLON_COLON] = ACTIONS(4118),
    [anon_sym_LBRACE] = ACTIONS(5007),
    [anon_sym_LBRACK] = ACTIONS(5007),
    [sym_primitive_type] = ACTIONS(3928),
    [anon_sym_not] = ACTIONS(4114),
    [anon_sym_compl] = ACTIONS(4114),
    [anon_sym_DASH_DASH] = ACTIONS(5093),
    [anon_sym_PLUS_PLUS] = ACTIONS(5093),
    [anon_sym_sizeof] = ACTIONS(4120),
    [anon_sym___alignof__] = ACTIONS(3932),
    [anon_sym___alignof] = ACTIONS(3932),
    [anon_sym__alignof] = ACTIONS(3932),
    [anon_sym_alignof] = ACTIONS(3932),
    [anon_sym__Alignof] = ACTIONS(3932),
    [anon_sym_offsetof] = ACTIONS(3934),
    [anon_sym__Generic] = ACTIONS(3936),
    [anon_sym_asm] = ACTIONS(3938),
    [anon_sym___asm__] = ACTIONS(3938),
    [sym_number_literal] = ACTIONS(3978),
    [anon_sym_L_SQUOTE] = ACTIONS(3980),
    [anon_sym_u_SQUOTE] = ACTIONS(3980),
    [anon_sym_U_SQUOTE] = ACTIONS(3980),
    [anon_sym_u8_SQUOTE] = ACTIONS(3980),
    [anon_sym_SQUOTE] = ACTIONS(3980),
    [anon_sym_L_DQUOTE] = ACTIONS(3982),
    [anon_sym_u_DQUOTE] = ACTIONS(3982),
    [anon_sym_U_DQUOTE] = ACTIONS(3982),
    [anon_sym_u8_DQUOTE] = ACTIONS(3982),
    [anon_sym_DQUOTE] = ACTIONS(3982),
    [sym_true] = ACTIONS(3946),
    [sym_false] = ACTIONS(3946),
    [anon_sym_NULL] = ACTIONS(3948),
    [anon_sym_nullptr] = ACTIONS(3948),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(4122),
    [anon_sym_R_DQUOTE] = ACTIONS(3986),
    [anon_sym_LR_DQUOTE] = ACTIONS(3986),
    [anon_sym_uR_DQUOTE] = ACTIONS(3986),
    [anon_sym_UR_DQUOTE] = ACTIONS(3986),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3986),
    [anon_sym_co_await] = ACTIONS(4124),
    [anon_sym_new] = ACTIONS(3990),
    [anon_sym_requires] = ACTIONS(3958),
    [sym_this] = ACTIONS(3946),
  },
  [1868] = {
    [sym__expression] = STATE(5443),
    [sym__expression_not_binary] = STATE(5024),
    [sym__string] = STATE(5024),
    [sym_conditional_expression] = STATE(5024),
    [sym_assignment_expression] = STATE(5024),
    [sym_pointer_expression] = STATE(4737),
    [sym_unary_expression] = STATE(5024),
    [sym_binary_expression] = STATE(5024),
    [sym_update_expression] = STATE(5024),
    [sym_cast_expression] = STATE(5024),
    [sym_sizeof_expression] = STATE(5024),
    [sym_alignof_expression] = STATE(5024),
    [sym_offsetof_expression] = STATE(5024),
    [sym_generic_expression] = STATE(5024),
    [sym_subscript_expression] = STATE(4737),
    [sym_call_expression] = STATE(4737),
    [sym_gnu_asm_expression] = STATE(5024),
    [sym_field_expression] = STATE(4737),
    [sym_compound_literal_expression] = STATE(5024),
    [sym_parenthesized_expression] = STATE(4737),
    [sym_char_literal] = STATE(5374),
    [sym_concatenated_string] = STATE(5377),
    [sym_string_literal] = STATE(4206),
    [sym_null] = STATE(5024),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9352),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(5024),
    [sym_raw_string_literal] = STATE(4217),
    [sym_co_await_expression] = STATE(5024),
    [sym_new_expression] = STATE(5024),
    [sym_delete_expression] = STATE(5024),
    [sym_requires_clause] = STATE(5024),
    [sym_requires_expression] = STATE(5024),
    [sym_lambda_expression] = STATE(5024),
    [sym_lambda_capture_specifier] = STATE(7184),
    [sym_lambda_default_capture] = STATE(9316),
    [sym_fold_expression] = STATE(5024),
    [sym_parameter_pack_expansion] = STATE(5024),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6886),
    [sym_qualified_identifier] = STATE(4737),
    [sym_qualified_type_identifier] = STATE(9352),
    [sym_user_defined_literal] = STATE(4737),
    [sym_identifier] = ACTIONS(4502),
    [anon_sym_LPAREN2] = ACTIONS(4540),
    [anon_sym_BANG] = ACTIONS(4506),
    [anon_sym_TILDE] = ACTIONS(4506),
    [anon_sym_DASH] = ACTIONS(4504),
    [anon_sym_PLUS] = ACTIONS(4504),
    [anon_sym_STAR] = ACTIONS(1474),
    [anon_sym_AMP] = ACTIONS(5025),
    [anon_sym_COLON_COLON] = ACTIONS(4508),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [anon_sym_RBRACK] = ACTIONS(5095),
    [anon_sym_EQ] = ACTIONS(5029),
    [sym_primitive_type] = ACTIONS(3146),
    [anon_sym_not] = ACTIONS(4504),
    [anon_sym_compl] = ACTIONS(4504),
    [anon_sym_DASH_DASH] = ACTIONS(4544),
    [anon_sym_PLUS_PLUS] = ACTIONS(4544),
    [anon_sym_sizeof] = ACTIONS(4510),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(4512),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(4514),
    [anon_sym_new] = ACTIONS(4516),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [1869] = {
    [sym__expression] = STATE(5354),
    [sym__expression_not_binary] = STATE(5575),
    [sym__string] = STATE(5575),
    [sym_conditional_expression] = STATE(5575),
    [sym_assignment_expression] = STATE(5575),
    [sym_pointer_expression] = STATE(4218),
    [sym_unary_expression] = STATE(5575),
    [sym_binary_expression] = STATE(5575),
    [sym_update_expression] = STATE(5575),
    [sym_cast_expression] = STATE(5575),
    [sym_sizeof_expression] = STATE(5575),
    [sym_alignof_expression] = STATE(5575),
    [sym_offsetof_expression] = STATE(5575),
    [sym_generic_expression] = STATE(5575),
    [sym_subscript_expression] = STATE(4218),
    [sym_call_expression] = STATE(4218),
    [sym_gnu_asm_expression] = STATE(5575),
    [sym_field_expression] = STATE(4218),
    [sym_compound_literal_expression] = STATE(5575),
    [sym_parenthesized_expression] = STATE(4218),
    [sym_char_literal] = STATE(5388),
    [sym_concatenated_string] = STATE(5429),
    [sym_string_literal] = STATE(4410),
    [sym_null] = STATE(5575),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9045),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(5575),
    [sym_raw_string_literal] = STATE(4411),
    [sym_co_await_expression] = STATE(5575),
    [sym_new_expression] = STATE(5575),
    [sym_delete_expression] = STATE(5575),
    [sym_requires_clause] = STATE(5575),
    [sym_requires_expression] = STATE(5575),
    [sym_lambda_expression] = STATE(5575),
    [sym_lambda_capture_specifier] = STATE(7089),
    [sym_fold_expression] = STATE(5575),
    [sym_parameter_pack_expansion] = STATE(5575),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6962),
    [sym_qualified_identifier] = STATE(4218),
    [sym_qualified_type_identifier] = STATE(9045),
    [sym_user_defined_literal] = STATE(4218),
    [sym_identifier] = ACTIONS(5081),
    [anon_sym_LPAREN2] = ACTIONS(5007),
    [anon_sym_BANG] = ACTIONS(4431),
    [anon_sym_TILDE] = ACTIONS(4431),
    [anon_sym_DASH] = ACTIONS(4429),
    [anon_sym_PLUS] = ACTIONS(4429),
    [anon_sym_STAR] = ACTIONS(5007),
    [anon_sym_AMP_AMP] = ACTIONS(5007),
    [anon_sym_AMP] = ACTIONS(5009),
    [anon_sym_LT] = ACTIONS(5007),
    [anon_sym_COLON_COLON] = ACTIONS(4433),
    [anon_sym_LBRACE] = ACTIONS(5007),
    [anon_sym_LBRACK] = ACTIONS(5007),
    [sym_primitive_type] = ACTIONS(4437),
    [anon_sym_not] = ACTIONS(4429),
    [anon_sym_compl] = ACTIONS(4429),
    [anon_sym_DASH_DASH] = ACTIONS(5083),
    [anon_sym_PLUS_PLUS] = ACTIONS(5083),
    [anon_sym_sizeof] = ACTIONS(4439),
    [anon_sym___alignof__] = ACTIONS(4441),
    [anon_sym___alignof] = ACTIONS(4441),
    [anon_sym__alignof] = ACTIONS(4441),
    [anon_sym_alignof] = ACTIONS(4441),
    [anon_sym__Alignof] = ACTIONS(4441),
    [anon_sym_offsetof] = ACTIONS(4443),
    [anon_sym__Generic] = ACTIONS(4445),
    [anon_sym_asm] = ACTIONS(4447),
    [anon_sym___asm__] = ACTIONS(4447),
    [sym_number_literal] = ACTIONS(4449),
    [anon_sym_L_SQUOTE] = ACTIONS(4451),
    [anon_sym_u_SQUOTE] = ACTIONS(4451),
    [anon_sym_U_SQUOTE] = ACTIONS(4451),
    [anon_sym_u8_SQUOTE] = ACTIONS(4451),
    [anon_sym_SQUOTE] = ACTIONS(4451),
    [anon_sym_L_DQUOTE] = ACTIONS(4453),
    [anon_sym_u_DQUOTE] = ACTIONS(4453),
    [anon_sym_U_DQUOTE] = ACTIONS(4453),
    [anon_sym_u8_DQUOTE] = ACTIONS(4453),
    [anon_sym_DQUOTE] = ACTIONS(4453),
    [sym_true] = ACTIONS(4455),
    [sym_false] = ACTIONS(4455),
    [anon_sym_NULL] = ACTIONS(4457),
    [anon_sym_nullptr] = ACTIONS(4457),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(4459),
    [anon_sym_R_DQUOTE] = ACTIONS(4461),
    [anon_sym_LR_DQUOTE] = ACTIONS(4461),
    [anon_sym_uR_DQUOTE] = ACTIONS(4461),
    [anon_sym_UR_DQUOTE] = ACTIONS(4461),
    [anon_sym_u8R_DQUOTE] = ACTIONS(4461),
    [anon_sym_co_await] = ACTIONS(4463),
    [anon_sym_new] = ACTIONS(4465),
    [anon_sym_requires] = ACTIONS(4467),
    [sym_this] = ACTIONS(4455),
  },
  [1870] = {
    [sym__expression] = STATE(5443),
    [sym__expression_not_binary] = STATE(5024),
    [sym__string] = STATE(5024),
    [sym_conditional_expression] = STATE(5024),
    [sym_assignment_expression] = STATE(5024),
    [sym_pointer_expression] = STATE(4737),
    [sym_unary_expression] = STATE(5024),
    [sym_binary_expression] = STATE(5024),
    [sym_update_expression] = STATE(5024),
    [sym_cast_expression] = STATE(5024),
    [sym_sizeof_expression] = STATE(5024),
    [sym_alignof_expression] = STATE(5024),
    [sym_offsetof_expression] = STATE(5024),
    [sym_generic_expression] = STATE(5024),
    [sym_subscript_expression] = STATE(4737),
    [sym_call_expression] = STATE(4737),
    [sym_gnu_asm_expression] = STATE(5024),
    [sym_field_expression] = STATE(4737),
    [sym_compound_literal_expression] = STATE(5024),
    [sym_parenthesized_expression] = STATE(4737),
    [sym_char_literal] = STATE(5374),
    [sym_concatenated_string] = STATE(5377),
    [sym_string_literal] = STATE(4206),
    [sym_null] = STATE(5024),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9352),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(5024),
    [sym_raw_string_literal] = STATE(4217),
    [sym_co_await_expression] = STATE(5024),
    [sym_new_expression] = STATE(5024),
    [sym_delete_expression] = STATE(5024),
    [sym_requires_clause] = STATE(5024),
    [sym_requires_expression] = STATE(5024),
    [sym_lambda_expression] = STATE(5024),
    [sym_lambda_capture_specifier] = STATE(7184),
    [sym_lambda_default_capture] = STATE(9316),
    [sym_fold_expression] = STATE(5024),
    [sym_parameter_pack_expansion] = STATE(5024),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6886),
    [sym_qualified_identifier] = STATE(4737),
    [sym_qualified_type_identifier] = STATE(9352),
    [sym_user_defined_literal] = STATE(4737),
    [sym_identifier] = ACTIONS(4502),
    [anon_sym_LPAREN2] = ACTIONS(4540),
    [anon_sym_BANG] = ACTIONS(4506),
    [anon_sym_TILDE] = ACTIONS(4506),
    [anon_sym_DASH] = ACTIONS(4504),
    [anon_sym_PLUS] = ACTIONS(4504),
    [anon_sym_STAR] = ACTIONS(1474),
    [anon_sym_AMP] = ACTIONS(5025),
    [anon_sym_COLON_COLON] = ACTIONS(4508),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [anon_sym_RBRACK] = ACTIONS(5097),
    [anon_sym_EQ] = ACTIONS(5029),
    [sym_primitive_type] = ACTIONS(3146),
    [anon_sym_not] = ACTIONS(4504),
    [anon_sym_compl] = ACTIONS(4504),
    [anon_sym_DASH_DASH] = ACTIONS(4544),
    [anon_sym_PLUS_PLUS] = ACTIONS(4544),
    [anon_sym_sizeof] = ACTIONS(4510),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(4512),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(4514),
    [anon_sym_new] = ACTIONS(4516),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [1871] = {
    [sym__expression] = STATE(4431),
    [sym__expression_not_binary] = STATE(3672),
    [sym__string] = STATE(3672),
    [sym_conditional_expression] = STATE(3672),
    [sym_assignment_expression] = STATE(3672),
    [sym_pointer_expression] = STATE(3672),
    [sym_unary_expression] = STATE(3672),
    [sym_binary_expression] = STATE(3672),
    [sym_update_expression] = STATE(3672),
    [sym_cast_expression] = STATE(3672),
    [sym_sizeof_expression] = STATE(3672),
    [sym_alignof_expression] = STATE(3672),
    [sym_offsetof_expression] = STATE(3672),
    [sym_generic_expression] = STATE(3672),
    [sym_subscript_expression] = STATE(3672),
    [sym_call_expression] = STATE(3672),
    [sym_gnu_asm_expression] = STATE(3672),
    [sym_field_expression] = STATE(3672),
    [sym_compound_literal_expression] = STATE(3672),
    [sym_parenthesized_expression] = STATE(3672),
    [sym_char_literal] = STATE(3991),
    [sym_concatenated_string] = STATE(3973),
    [sym_string_literal] = STATE(3242),
    [sym_null] = STATE(3672),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9333),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(3672),
    [sym_raw_string_literal] = STATE(3241),
    [sym_co_await_expression] = STATE(3672),
    [sym_new_expression] = STATE(3672),
    [sym_delete_expression] = STATE(3672),
    [sym_requires_clause] = STATE(3672),
    [sym_requires_expression] = STATE(3672),
    [sym_lambda_expression] = STATE(3672),
    [sym_lambda_capture_specifier] = STATE(7134),
    [sym_fold_expression] = STATE(3672),
    [sym_parameter_pack_expansion] = STATE(3672),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6886),
    [sym_qualified_identifier] = STATE(3672),
    [sym_qualified_type_identifier] = STATE(9333),
    [sym_user_defined_literal] = STATE(3672),
    [sym_identifier] = ACTIONS(3968),
    [anon_sym_LPAREN2] = ACTIONS(5007),
    [anon_sym_BANG] = ACTIONS(4116),
    [anon_sym_TILDE] = ACTIONS(4116),
    [anon_sym_DASH] = ACTIONS(4114),
    [anon_sym_PLUS] = ACTIONS(4114),
    [anon_sym_STAR] = ACTIONS(5007),
    [anon_sym_AMP_AMP] = ACTIONS(5007),
    [anon_sym_AMP] = ACTIONS(5009),
    [anon_sym_LT] = ACTIONS(5007),
    [anon_sym_COLON_COLON] = ACTIONS(4118),
    [anon_sym_LBRACE] = ACTIONS(5007),
    [anon_sym_LBRACK] = ACTIONS(5007),
    [sym_primitive_type] = ACTIONS(3928),
    [anon_sym_not] = ACTIONS(4114),
    [anon_sym_compl] = ACTIONS(4114),
    [anon_sym_DASH_DASH] = ACTIONS(5093),
    [anon_sym_PLUS_PLUS] = ACTIONS(5093),
    [anon_sym_sizeof] = ACTIONS(4120),
    [anon_sym___alignof__] = ACTIONS(3932),
    [anon_sym___alignof] = ACTIONS(3932),
    [anon_sym__alignof] = ACTIONS(3932),
    [anon_sym_alignof] = ACTIONS(3932),
    [anon_sym__Alignof] = ACTIONS(3932),
    [anon_sym_offsetof] = ACTIONS(3934),
    [anon_sym__Generic] = ACTIONS(3936),
    [anon_sym_asm] = ACTIONS(3938),
    [anon_sym___asm__] = ACTIONS(3938),
    [sym_number_literal] = ACTIONS(3978),
    [anon_sym_L_SQUOTE] = ACTIONS(3980),
    [anon_sym_u_SQUOTE] = ACTIONS(3980),
    [anon_sym_U_SQUOTE] = ACTIONS(3980),
    [anon_sym_u8_SQUOTE] = ACTIONS(3980),
    [anon_sym_SQUOTE] = ACTIONS(3980),
    [anon_sym_L_DQUOTE] = ACTIONS(3982),
    [anon_sym_u_DQUOTE] = ACTIONS(3982),
    [anon_sym_U_DQUOTE] = ACTIONS(3982),
    [anon_sym_u8_DQUOTE] = ACTIONS(3982),
    [anon_sym_DQUOTE] = ACTIONS(3982),
    [sym_true] = ACTIONS(3946),
    [sym_false] = ACTIONS(3946),
    [anon_sym_NULL] = ACTIONS(3948),
    [anon_sym_nullptr] = ACTIONS(3948),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(4122),
    [anon_sym_R_DQUOTE] = ACTIONS(3986),
    [anon_sym_LR_DQUOTE] = ACTIONS(3986),
    [anon_sym_uR_DQUOTE] = ACTIONS(3986),
    [anon_sym_UR_DQUOTE] = ACTIONS(3986),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3986),
    [anon_sym_co_await] = ACTIONS(4124),
    [anon_sym_new] = ACTIONS(3990),
    [anon_sym_requires] = ACTIONS(3958),
    [sym_this] = ACTIONS(3946),
  },
  [1872] = {
    [sym__expression] = STATE(5443),
    [sym__expression_not_binary] = STATE(5024),
    [sym__string] = STATE(5024),
    [sym_conditional_expression] = STATE(5024),
    [sym_assignment_expression] = STATE(5024),
    [sym_pointer_expression] = STATE(4737),
    [sym_unary_expression] = STATE(5024),
    [sym_binary_expression] = STATE(5024),
    [sym_update_expression] = STATE(5024),
    [sym_cast_expression] = STATE(5024),
    [sym_sizeof_expression] = STATE(5024),
    [sym_alignof_expression] = STATE(5024),
    [sym_offsetof_expression] = STATE(5024),
    [sym_generic_expression] = STATE(5024),
    [sym_subscript_expression] = STATE(4737),
    [sym_call_expression] = STATE(4737),
    [sym_gnu_asm_expression] = STATE(5024),
    [sym_field_expression] = STATE(4737),
    [sym_compound_literal_expression] = STATE(5024),
    [sym_parenthesized_expression] = STATE(4737),
    [sym_char_literal] = STATE(5374),
    [sym_concatenated_string] = STATE(5377),
    [sym_string_literal] = STATE(4206),
    [sym_null] = STATE(5024),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9352),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(5024),
    [sym_raw_string_literal] = STATE(4217),
    [sym_co_await_expression] = STATE(5024),
    [sym_new_expression] = STATE(5024),
    [sym_delete_expression] = STATE(5024),
    [sym_requires_clause] = STATE(5024),
    [sym_requires_expression] = STATE(5024),
    [sym_lambda_expression] = STATE(5024),
    [sym_lambda_capture_specifier] = STATE(7184),
    [sym_lambda_default_capture] = STATE(9316),
    [sym_fold_expression] = STATE(5024),
    [sym_parameter_pack_expansion] = STATE(5024),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6886),
    [sym_qualified_identifier] = STATE(4737),
    [sym_qualified_type_identifier] = STATE(9352),
    [sym_user_defined_literal] = STATE(4737),
    [sym_identifier] = ACTIONS(4502),
    [anon_sym_LPAREN2] = ACTIONS(4540),
    [anon_sym_BANG] = ACTIONS(4506),
    [anon_sym_TILDE] = ACTIONS(4506),
    [anon_sym_DASH] = ACTIONS(4504),
    [anon_sym_PLUS] = ACTIONS(4504),
    [anon_sym_STAR] = ACTIONS(1474),
    [anon_sym_AMP] = ACTIONS(5025),
    [anon_sym_COLON_COLON] = ACTIONS(4508),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [anon_sym_RBRACK] = ACTIONS(5099),
    [anon_sym_EQ] = ACTIONS(5029),
    [sym_primitive_type] = ACTIONS(3146),
    [anon_sym_not] = ACTIONS(4504),
    [anon_sym_compl] = ACTIONS(4504),
    [anon_sym_DASH_DASH] = ACTIONS(4544),
    [anon_sym_PLUS_PLUS] = ACTIONS(4544),
    [anon_sym_sizeof] = ACTIONS(4510),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(4512),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(4514),
    [anon_sym_new] = ACTIONS(4516),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [1873] = {
    [sym__expression] = STATE(5443),
    [sym__expression_not_binary] = STATE(5024),
    [sym__string] = STATE(5024),
    [sym_conditional_expression] = STATE(5024),
    [sym_assignment_expression] = STATE(5024),
    [sym_pointer_expression] = STATE(4737),
    [sym_unary_expression] = STATE(5024),
    [sym_binary_expression] = STATE(5024),
    [sym_update_expression] = STATE(5024),
    [sym_cast_expression] = STATE(5024),
    [sym_sizeof_expression] = STATE(5024),
    [sym_alignof_expression] = STATE(5024),
    [sym_offsetof_expression] = STATE(5024),
    [sym_generic_expression] = STATE(5024),
    [sym_subscript_expression] = STATE(4737),
    [sym_call_expression] = STATE(4737),
    [sym_gnu_asm_expression] = STATE(5024),
    [sym_field_expression] = STATE(4737),
    [sym_compound_literal_expression] = STATE(5024),
    [sym_parenthesized_expression] = STATE(4737),
    [sym_char_literal] = STATE(5374),
    [sym_concatenated_string] = STATE(5377),
    [sym_string_literal] = STATE(4206),
    [sym_null] = STATE(5024),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9352),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(5024),
    [sym_raw_string_literal] = STATE(4217),
    [sym_co_await_expression] = STATE(5024),
    [sym_new_expression] = STATE(5024),
    [sym_delete_expression] = STATE(5024),
    [sym_requires_clause] = STATE(5024),
    [sym_requires_expression] = STATE(5024),
    [sym_lambda_expression] = STATE(5024),
    [sym_lambda_capture_specifier] = STATE(7184),
    [sym_lambda_default_capture] = STATE(9316),
    [sym_fold_expression] = STATE(5024),
    [sym_parameter_pack_expansion] = STATE(5024),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6886),
    [sym_qualified_identifier] = STATE(4737),
    [sym_qualified_type_identifier] = STATE(9352),
    [sym_user_defined_literal] = STATE(4737),
    [sym_identifier] = ACTIONS(4502),
    [anon_sym_LPAREN2] = ACTIONS(4540),
    [anon_sym_BANG] = ACTIONS(4506),
    [anon_sym_TILDE] = ACTIONS(4506),
    [anon_sym_DASH] = ACTIONS(4504),
    [anon_sym_PLUS] = ACTIONS(4504),
    [anon_sym_STAR] = ACTIONS(1474),
    [anon_sym_AMP] = ACTIONS(5025),
    [anon_sym_COLON_COLON] = ACTIONS(4508),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [anon_sym_RBRACK] = ACTIONS(5101),
    [anon_sym_EQ] = ACTIONS(5029),
    [sym_primitive_type] = ACTIONS(3146),
    [anon_sym_not] = ACTIONS(4504),
    [anon_sym_compl] = ACTIONS(4504),
    [anon_sym_DASH_DASH] = ACTIONS(4544),
    [anon_sym_PLUS_PLUS] = ACTIONS(4544),
    [anon_sym_sizeof] = ACTIONS(4510),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(4512),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(4514),
    [anon_sym_new] = ACTIONS(4516),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [1874] = {
    [sym__expression] = STATE(4066),
    [sym__expression_not_binary] = STATE(3672),
    [sym__string] = STATE(3672),
    [sym_conditional_expression] = STATE(3672),
    [sym_assignment_expression] = STATE(3672),
    [sym_pointer_expression] = STATE(3672),
    [sym_unary_expression] = STATE(3672),
    [sym_binary_expression] = STATE(3672),
    [sym_update_expression] = STATE(3672),
    [sym_cast_expression] = STATE(3672),
    [sym_sizeof_expression] = STATE(3672),
    [sym_alignof_expression] = STATE(3672),
    [sym_offsetof_expression] = STATE(3672),
    [sym_generic_expression] = STATE(3672),
    [sym_subscript_expression] = STATE(3672),
    [sym_call_expression] = STATE(3672),
    [sym_gnu_asm_expression] = STATE(3672),
    [sym_field_expression] = STATE(3672),
    [sym_compound_literal_expression] = STATE(3672),
    [sym_parenthesized_expression] = STATE(3672),
    [sym_char_literal] = STATE(3991),
    [sym_concatenated_string] = STATE(3973),
    [sym_string_literal] = STATE(3242),
    [sym_null] = STATE(3672),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9333),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(3672),
    [sym_raw_string_literal] = STATE(3241),
    [sym_co_await_expression] = STATE(3672),
    [sym_new_expression] = STATE(3672),
    [sym_delete_expression] = STATE(3672),
    [sym_requires_clause] = STATE(3672),
    [sym_requires_expression] = STATE(3672),
    [sym_lambda_expression] = STATE(3672),
    [sym_lambda_capture_specifier] = STATE(7134),
    [sym_fold_expression] = STATE(3672),
    [sym_parameter_pack_expansion] = STATE(3672),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6886),
    [sym_qualified_identifier] = STATE(3672),
    [sym_qualified_type_identifier] = STATE(9333),
    [sym_user_defined_literal] = STATE(3672),
    [sym_identifier] = ACTIONS(3968),
    [anon_sym_LPAREN2] = ACTIONS(5007),
    [anon_sym_BANG] = ACTIONS(3972),
    [anon_sym_TILDE] = ACTIONS(3972),
    [anon_sym_DASH] = ACTIONS(3970),
    [anon_sym_PLUS] = ACTIONS(3970),
    [anon_sym_STAR] = ACTIONS(5007),
    [anon_sym_AMP_AMP] = ACTIONS(5007),
    [anon_sym_AMP] = ACTIONS(5009),
    [anon_sym_LT] = ACTIONS(5007),
    [anon_sym_COLON_COLON] = ACTIONS(3974),
    [anon_sym_LBRACE] = ACTIONS(5007),
    [anon_sym_LBRACK] = ACTIONS(5007),
    [sym_primitive_type] = ACTIONS(3928),
    [anon_sym_not] = ACTIONS(3970),
    [anon_sym_compl] = ACTIONS(3970),
    [anon_sym_DASH_DASH] = ACTIONS(4385),
    [anon_sym_PLUS_PLUS] = ACTIONS(4385),
    [anon_sym_sizeof] = ACTIONS(3976),
    [anon_sym___alignof__] = ACTIONS(3932),
    [anon_sym___alignof] = ACTIONS(3932),
    [anon_sym__alignof] = ACTIONS(3932),
    [anon_sym_alignof] = ACTIONS(3932),
    [anon_sym__Alignof] = ACTIONS(3932),
    [anon_sym_offsetof] = ACTIONS(3934),
    [anon_sym__Generic] = ACTIONS(3936),
    [anon_sym_asm] = ACTIONS(3938),
    [anon_sym___asm__] = ACTIONS(3938),
    [sym_number_literal] = ACTIONS(3978),
    [anon_sym_L_SQUOTE] = ACTIONS(3980),
    [anon_sym_u_SQUOTE] = ACTIONS(3980),
    [anon_sym_U_SQUOTE] = ACTIONS(3980),
    [anon_sym_u8_SQUOTE] = ACTIONS(3980),
    [anon_sym_SQUOTE] = ACTIONS(3980),
    [anon_sym_L_DQUOTE] = ACTIONS(3982),
    [anon_sym_u_DQUOTE] = ACTIONS(3982),
    [anon_sym_U_DQUOTE] = ACTIONS(3982),
    [anon_sym_u8_DQUOTE] = ACTIONS(3982),
    [anon_sym_DQUOTE] = ACTIONS(3982),
    [sym_true] = ACTIONS(3946),
    [sym_false] = ACTIONS(3946),
    [anon_sym_NULL] = ACTIONS(3948),
    [anon_sym_nullptr] = ACTIONS(3948),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(3984),
    [anon_sym_R_DQUOTE] = ACTIONS(3986),
    [anon_sym_LR_DQUOTE] = ACTIONS(3986),
    [anon_sym_uR_DQUOTE] = ACTIONS(3986),
    [anon_sym_UR_DQUOTE] = ACTIONS(3986),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3986),
    [anon_sym_co_await] = ACTIONS(3988),
    [anon_sym_new] = ACTIONS(3990),
    [anon_sym_requires] = ACTIONS(3958),
    [sym_this] = ACTIONS(3946),
  },
  [1875] = {
    [sym__expression] = STATE(5606),
    [sym__expression_not_binary] = STATE(5024),
    [sym__string] = STATE(5024),
    [sym_conditional_expression] = STATE(5024),
    [sym_assignment_expression] = STATE(5024),
    [sym_pointer_expression] = STATE(4737),
    [sym_unary_expression] = STATE(5024),
    [sym_binary_expression] = STATE(5024),
    [sym_update_expression] = STATE(5024),
    [sym_cast_expression] = STATE(5024),
    [sym_sizeof_expression] = STATE(5024),
    [sym_alignof_expression] = STATE(5024),
    [sym_offsetof_expression] = STATE(5024),
    [sym_generic_expression] = STATE(5024),
    [sym_subscript_expression] = STATE(4737),
    [sym_call_expression] = STATE(4737),
    [sym_gnu_asm_expression] = STATE(5024),
    [sym_field_expression] = STATE(4737),
    [sym_compound_literal_expression] = STATE(5024),
    [sym_parenthesized_expression] = STATE(4737),
    [sym_char_literal] = STATE(5374),
    [sym_concatenated_string] = STATE(5377),
    [sym_string_literal] = STATE(4206),
    [sym_null] = STATE(5024),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9352),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(5024),
    [sym_raw_string_literal] = STATE(4217),
    [sym_co_await_expression] = STATE(5024),
    [sym_new_expression] = STATE(5024),
    [sym_delete_expression] = STATE(5024),
    [sym_requires_clause] = STATE(5024),
    [sym_requires_expression] = STATE(5024),
    [sym_lambda_expression] = STATE(5024),
    [sym_lambda_capture_specifier] = STATE(7184),
    [sym_lambda_default_capture] = STATE(9316),
    [sym_fold_expression] = STATE(5024),
    [sym_parameter_pack_expansion] = STATE(5024),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6886),
    [sym_qualified_identifier] = STATE(4737),
    [sym_qualified_type_identifier] = STATE(9352),
    [sym_user_defined_literal] = STATE(4737),
    [sym_identifier] = ACTIONS(5031),
    [anon_sym_LPAREN2] = ACTIONS(4540),
    [anon_sym_BANG] = ACTIONS(4506),
    [anon_sym_TILDE] = ACTIONS(4506),
    [anon_sym_DASH] = ACTIONS(4504),
    [anon_sym_PLUS] = ACTIONS(4504),
    [anon_sym_STAR] = ACTIONS(1474),
    [anon_sym_AMP] = ACTIONS(5025),
    [anon_sym_COLON_COLON] = ACTIONS(4508),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [anon_sym_RBRACK] = ACTIONS(5033),
    [anon_sym_EQ] = ACTIONS(5029),
    [sym_primitive_type] = ACTIONS(3146),
    [anon_sym_not] = ACTIONS(4504),
    [anon_sym_compl] = ACTIONS(4504),
    [anon_sym_DASH_DASH] = ACTIONS(4544),
    [anon_sym_PLUS_PLUS] = ACTIONS(4544),
    [anon_sym_sizeof] = ACTIONS(4510),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(4512),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(4514),
    [anon_sym_new] = ACTIONS(4516),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [1876] = {
    [sym__expression] = STATE(5443),
    [sym__expression_not_binary] = STATE(5024),
    [sym__string] = STATE(5024),
    [sym_conditional_expression] = STATE(5024),
    [sym_assignment_expression] = STATE(5024),
    [sym_pointer_expression] = STATE(4737),
    [sym_unary_expression] = STATE(5024),
    [sym_binary_expression] = STATE(5024),
    [sym_update_expression] = STATE(5024),
    [sym_cast_expression] = STATE(5024),
    [sym_sizeof_expression] = STATE(5024),
    [sym_alignof_expression] = STATE(5024),
    [sym_offsetof_expression] = STATE(5024),
    [sym_generic_expression] = STATE(5024),
    [sym_subscript_expression] = STATE(4737),
    [sym_call_expression] = STATE(4737),
    [sym_gnu_asm_expression] = STATE(5024),
    [sym_field_expression] = STATE(4737),
    [sym_compound_literal_expression] = STATE(5024),
    [sym_parenthesized_expression] = STATE(4737),
    [sym_char_literal] = STATE(5374),
    [sym_concatenated_string] = STATE(5377),
    [sym_string_literal] = STATE(4206),
    [sym_null] = STATE(5024),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9352),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(5024),
    [sym_raw_string_literal] = STATE(4217),
    [sym_co_await_expression] = STATE(5024),
    [sym_new_expression] = STATE(5024),
    [sym_delete_expression] = STATE(5024),
    [sym_requires_clause] = STATE(5024),
    [sym_requires_expression] = STATE(5024),
    [sym_lambda_expression] = STATE(5024),
    [sym_lambda_capture_specifier] = STATE(7184),
    [sym_lambda_default_capture] = STATE(9316),
    [sym_fold_expression] = STATE(5024),
    [sym_parameter_pack_expansion] = STATE(5024),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6886),
    [sym_qualified_identifier] = STATE(4737),
    [sym_qualified_type_identifier] = STATE(9352),
    [sym_user_defined_literal] = STATE(4737),
    [sym_identifier] = ACTIONS(4502),
    [anon_sym_LPAREN2] = ACTIONS(4540),
    [anon_sym_BANG] = ACTIONS(4506),
    [anon_sym_TILDE] = ACTIONS(4506),
    [anon_sym_DASH] = ACTIONS(4504),
    [anon_sym_PLUS] = ACTIONS(4504),
    [anon_sym_STAR] = ACTIONS(1474),
    [anon_sym_AMP] = ACTIONS(5025),
    [anon_sym_COLON_COLON] = ACTIONS(4508),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [anon_sym_RBRACK] = ACTIONS(5103),
    [anon_sym_EQ] = ACTIONS(5029),
    [sym_primitive_type] = ACTIONS(3146),
    [anon_sym_not] = ACTIONS(4504),
    [anon_sym_compl] = ACTIONS(4504),
    [anon_sym_DASH_DASH] = ACTIONS(4544),
    [anon_sym_PLUS_PLUS] = ACTIONS(4544),
    [anon_sym_sizeof] = ACTIONS(4510),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(4512),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(4514),
    [anon_sym_new] = ACTIONS(4516),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [1877] = {
    [sym__expression] = STATE(5446),
    [sym__expression_not_binary] = STATE(5024),
    [sym__string] = STATE(5024),
    [sym_conditional_expression] = STATE(5024),
    [sym_assignment_expression] = STATE(5024),
    [sym_pointer_expression] = STATE(4737),
    [sym_unary_expression] = STATE(5024),
    [sym_binary_expression] = STATE(5024),
    [sym_update_expression] = STATE(5024),
    [sym_cast_expression] = STATE(5024),
    [sym_sizeof_expression] = STATE(5024),
    [sym_alignof_expression] = STATE(5024),
    [sym_offsetof_expression] = STATE(5024),
    [sym_generic_expression] = STATE(5024),
    [sym_subscript_expression] = STATE(4737),
    [sym_call_expression] = STATE(4737),
    [sym_gnu_asm_expression] = STATE(5024),
    [sym_field_expression] = STATE(4737),
    [sym_compound_literal_expression] = STATE(5024),
    [sym_parenthesized_expression] = STATE(4737),
    [sym_char_literal] = STATE(5374),
    [sym_concatenated_string] = STATE(5377),
    [sym_string_literal] = STATE(4206),
    [sym_null] = STATE(5024),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9352),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(5024),
    [sym_raw_string_literal] = STATE(4217),
    [sym_co_await_expression] = STATE(5024),
    [sym_new_expression] = STATE(5024),
    [sym_delete_expression] = STATE(5024),
    [sym_requires_clause] = STATE(5024),
    [sym_requires_expression] = STATE(5024),
    [sym_lambda_expression] = STATE(5024),
    [sym_lambda_capture_specifier] = STATE(7184),
    [sym_lambda_default_capture] = STATE(9316),
    [sym_fold_expression] = STATE(5024),
    [sym_parameter_pack_expansion] = STATE(5024),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6886),
    [sym_qualified_identifier] = STATE(4737),
    [sym_qualified_type_identifier] = STATE(9352),
    [sym_user_defined_literal] = STATE(4737),
    [sym_identifier] = ACTIONS(4502),
    [anon_sym_LPAREN2] = ACTIONS(4540),
    [anon_sym_BANG] = ACTIONS(4506),
    [anon_sym_TILDE] = ACTIONS(4506),
    [anon_sym_DASH] = ACTIONS(4504),
    [anon_sym_PLUS] = ACTIONS(4504),
    [anon_sym_STAR] = ACTIONS(1474),
    [anon_sym_AMP] = ACTIONS(5025),
    [anon_sym_COLON_COLON] = ACTIONS(4508),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [anon_sym_RBRACK] = ACTIONS(5033),
    [anon_sym_EQ] = ACTIONS(5029),
    [sym_primitive_type] = ACTIONS(3146),
    [anon_sym_not] = ACTIONS(4504),
    [anon_sym_compl] = ACTIONS(4504),
    [anon_sym_DASH_DASH] = ACTIONS(4544),
    [anon_sym_PLUS_PLUS] = ACTIONS(4544),
    [anon_sym_sizeof] = ACTIONS(4510),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(4512),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(4514),
    [anon_sym_new] = ACTIONS(4516),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [1878] = {
    [sym__expression] = STATE(5365),
    [sym__expression_not_binary] = STATE(5024),
    [sym__string] = STATE(5024),
    [sym_conditional_expression] = STATE(5024),
    [sym_assignment_expression] = STATE(5024),
    [sym_pointer_expression] = STATE(4607),
    [sym_unary_expression] = STATE(5024),
    [sym_binary_expression] = STATE(5024),
    [sym_update_expression] = STATE(5024),
    [sym_cast_expression] = STATE(5024),
    [sym_sizeof_expression] = STATE(5024),
    [sym_alignof_expression] = STATE(5024),
    [sym_offsetof_expression] = STATE(5024),
    [sym_generic_expression] = STATE(5024),
    [sym_subscript_expression] = STATE(4607),
    [sym_call_expression] = STATE(4607),
    [sym_gnu_asm_expression] = STATE(5024),
    [sym_field_expression] = STATE(4607),
    [sym_compound_literal_expression] = STATE(5024),
    [sym_parenthesized_expression] = STATE(4607),
    [sym_initializer_list] = STATE(8138),
    [sym_char_literal] = STATE(5726),
    [sym_concatenated_string] = STATE(5682),
    [sym_string_literal] = STATE(4827),
    [sym_null] = STATE(5024),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9352),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(5024),
    [sym_raw_string_literal] = STATE(4829),
    [sym_co_await_expression] = STATE(5024),
    [sym_new_expression] = STATE(5024),
    [sym_delete_expression] = STATE(5024),
    [sym_requires_clause] = STATE(5024),
    [sym_requires_expression] = STATE(5024),
    [sym_lambda_expression] = STATE(5024),
    [sym_lambda_capture_specifier] = STATE(7184),
    [sym_fold_expression] = STATE(5024),
    [sym_parameter_pack_expansion] = STATE(5024),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6886),
    [sym_qualified_identifier] = STATE(4607),
    [sym_qualified_type_identifier] = STATE(9352),
    [sym_user_defined_literal] = STATE(4607),
    [sym_identifier] = ACTIONS(4478),
    [anon_sym_LPAREN2] = ACTIONS(5015),
    [anon_sym_BANG] = ACTIONS(4482),
    [anon_sym_TILDE] = ACTIONS(4482),
    [anon_sym_DASH] = ACTIONS(4480),
    [anon_sym_PLUS] = ACTIONS(4480),
    [anon_sym_STAR] = ACTIONS(5017),
    [anon_sym_AMP] = ACTIONS(5017),
    [anon_sym_COLON_COLON] = ACTIONS(4484),
    [anon_sym_LBRACE] = ACTIONS(4413),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [sym_primitive_type] = ACTIONS(3146),
    [anon_sym_default] = ACTIONS(5105),
    [anon_sym_not] = ACTIONS(4480),
    [anon_sym_compl] = ACTIONS(4480),
    [anon_sym_DASH_DASH] = ACTIONS(5021),
    [anon_sym_PLUS_PLUS] = ACTIONS(5021),
    [anon_sym_sizeof] = ACTIONS(4486),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(4488),
    [anon_sym_L_SQUOTE] = ACTIONS(4490),
    [anon_sym_u_SQUOTE] = ACTIONS(4490),
    [anon_sym_U_SQUOTE] = ACTIONS(4490),
    [anon_sym_u8_SQUOTE] = ACTIONS(4490),
    [anon_sym_SQUOTE] = ACTIONS(4490),
    [anon_sym_L_DQUOTE] = ACTIONS(4492),
    [anon_sym_u_DQUOTE] = ACTIONS(4492),
    [anon_sym_U_DQUOTE] = ACTIONS(4492),
    [anon_sym_u8_DQUOTE] = ACTIONS(4492),
    [anon_sym_DQUOTE] = ACTIONS(4492),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(5107),
    [anon_sym_R_DQUOTE] = ACTIONS(4496),
    [anon_sym_LR_DQUOTE] = ACTIONS(4496),
    [anon_sym_uR_DQUOTE] = ACTIONS(4496),
    [anon_sym_UR_DQUOTE] = ACTIONS(4496),
    [anon_sym_u8R_DQUOTE] = ACTIONS(4496),
    [anon_sym_co_await] = ACTIONS(4498),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [1879] = {
    [sym__expression] = STATE(5443),
    [sym__expression_not_binary] = STATE(5024),
    [sym__string] = STATE(5024),
    [sym_conditional_expression] = STATE(5024),
    [sym_assignment_expression] = STATE(5024),
    [sym_pointer_expression] = STATE(4737),
    [sym_unary_expression] = STATE(5024),
    [sym_binary_expression] = STATE(5024),
    [sym_update_expression] = STATE(5024),
    [sym_cast_expression] = STATE(5024),
    [sym_sizeof_expression] = STATE(5024),
    [sym_alignof_expression] = STATE(5024),
    [sym_offsetof_expression] = STATE(5024),
    [sym_generic_expression] = STATE(5024),
    [sym_subscript_expression] = STATE(4737),
    [sym_call_expression] = STATE(4737),
    [sym_gnu_asm_expression] = STATE(5024),
    [sym_field_expression] = STATE(4737),
    [sym_compound_literal_expression] = STATE(5024),
    [sym_parenthesized_expression] = STATE(4737),
    [sym_char_literal] = STATE(5374),
    [sym_concatenated_string] = STATE(5377),
    [sym_string_literal] = STATE(4206),
    [sym_null] = STATE(5024),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9352),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(5024),
    [sym_raw_string_literal] = STATE(4217),
    [sym_co_await_expression] = STATE(5024),
    [sym_new_expression] = STATE(5024),
    [sym_delete_expression] = STATE(5024),
    [sym_requires_clause] = STATE(5024),
    [sym_requires_expression] = STATE(5024),
    [sym_lambda_expression] = STATE(5024),
    [sym_lambda_capture_specifier] = STATE(7184),
    [sym_lambda_default_capture] = STATE(9316),
    [sym_fold_expression] = STATE(5024),
    [sym_parameter_pack_expansion] = STATE(5024),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6886),
    [sym_qualified_identifier] = STATE(4737),
    [sym_qualified_type_identifier] = STATE(9352),
    [sym_user_defined_literal] = STATE(4737),
    [sym_identifier] = ACTIONS(4502),
    [anon_sym_LPAREN2] = ACTIONS(4540),
    [anon_sym_BANG] = ACTIONS(4506),
    [anon_sym_TILDE] = ACTIONS(4506),
    [anon_sym_DASH] = ACTIONS(4504),
    [anon_sym_PLUS] = ACTIONS(4504),
    [anon_sym_STAR] = ACTIONS(1474),
    [anon_sym_AMP] = ACTIONS(5025),
    [anon_sym_COLON_COLON] = ACTIONS(4508),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [anon_sym_RBRACK] = ACTIONS(5109),
    [anon_sym_EQ] = ACTIONS(5029),
    [sym_primitive_type] = ACTIONS(3146),
    [anon_sym_not] = ACTIONS(4504),
    [anon_sym_compl] = ACTIONS(4504),
    [anon_sym_DASH_DASH] = ACTIONS(4544),
    [anon_sym_PLUS_PLUS] = ACTIONS(4544),
    [anon_sym_sizeof] = ACTIONS(4510),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(4512),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(4514),
    [anon_sym_new] = ACTIONS(4516),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [1880] = {
    [sym__expression] = STATE(5444),
    [sym__expression_not_binary] = STATE(5024),
    [sym__string] = STATE(5024),
    [sym_conditional_expression] = STATE(5024),
    [sym_assignment_expression] = STATE(5024),
    [sym_pointer_expression] = STATE(4737),
    [sym_unary_expression] = STATE(5024),
    [sym_binary_expression] = STATE(5024),
    [sym_update_expression] = STATE(5024),
    [sym_cast_expression] = STATE(5024),
    [sym_sizeof_expression] = STATE(5024),
    [sym_alignof_expression] = STATE(5024),
    [sym_offsetof_expression] = STATE(5024),
    [sym_generic_expression] = STATE(5024),
    [sym_subscript_expression] = STATE(4737),
    [sym_call_expression] = STATE(4737),
    [sym_gnu_asm_expression] = STATE(5024),
    [sym_field_expression] = STATE(4737),
    [sym_compound_literal_expression] = STATE(5024),
    [sym_parenthesized_expression] = STATE(4737),
    [sym_initializer_list] = STATE(8668),
    [sym_char_literal] = STATE(5374),
    [sym_concatenated_string] = STATE(5377),
    [sym_string_literal] = STATE(4206),
    [sym_null] = STATE(5024),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9352),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(5024),
    [sym_raw_string_literal] = STATE(4217),
    [sym_co_await_expression] = STATE(5024),
    [sym_new_expression] = STATE(5024),
    [sym_delete_expression] = STATE(5024),
    [sym_requires_clause] = STATE(5024),
    [sym_requires_expression] = STATE(5024),
    [sym_lambda_expression] = STATE(5024),
    [sym_lambda_capture_specifier] = STATE(7184),
    [sym_fold_expression] = STATE(5024),
    [sym_parameter_pack_expansion] = STATE(5024),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6886),
    [sym_qualified_identifier] = STATE(4737),
    [sym_qualified_type_identifier] = STATE(9352),
    [sym_user_defined_literal] = STATE(4737),
    [sym_identifier] = ACTIONS(4502),
    [anon_sym_LPAREN2] = ACTIONS(4540),
    [anon_sym_BANG] = ACTIONS(4506),
    [anon_sym_TILDE] = ACTIONS(4506),
    [anon_sym_DASH] = ACTIONS(4504),
    [anon_sym_PLUS] = ACTIONS(4504),
    [anon_sym_STAR] = ACTIONS(1474),
    [anon_sym_AMP] = ACTIONS(1474),
    [anon_sym_COLON_COLON] = ACTIONS(4508),
    [anon_sym_LBRACE] = ACTIONS(4413),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [anon_sym_RBRACK] = ACTIONS(5111),
    [sym_primitive_type] = ACTIONS(3146),
    [anon_sym_not] = ACTIONS(4504),
    [anon_sym_compl] = ACTIONS(4504),
    [anon_sym_DASH_DASH] = ACTIONS(4544),
    [anon_sym_PLUS_PLUS] = ACTIONS(4544),
    [anon_sym_sizeof] = ACTIONS(4510),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(4512),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(4514),
    [anon_sym_new] = ACTIONS(4516),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [1881] = {
    [sym__expression] = STATE(5271),
    [sym__expression_not_binary] = STATE(5024),
    [sym__string] = STATE(5024),
    [sym_conditional_expression] = STATE(5024),
    [sym_assignment_expression] = STATE(5024),
    [sym_pointer_expression] = STATE(4031),
    [sym_unary_expression] = STATE(5024),
    [sym_binary_expression] = STATE(5024),
    [sym_update_expression] = STATE(5024),
    [sym_cast_expression] = STATE(5024),
    [sym_sizeof_expression] = STATE(5024),
    [sym_alignof_expression] = STATE(5024),
    [sym_offsetof_expression] = STATE(5024),
    [sym_generic_expression] = STATE(5024),
    [sym_subscript_expression] = STATE(4031),
    [sym_call_expression] = STATE(4031),
    [sym_gnu_asm_expression] = STATE(5024),
    [sym_field_expression] = STATE(4031),
    [sym_compound_literal_expression] = STATE(5024),
    [sym_parenthesized_expression] = STATE(4031),
    [sym_char_literal] = STATE(5335),
    [sym_concatenated_string] = STATE(5317),
    [sym_string_literal] = STATE(4163),
    [sym_null] = STATE(5024),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9352),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(5024),
    [sym_raw_string_literal] = STATE(4121),
    [sym_co_await_expression] = STATE(5024),
    [sym_new_expression] = STATE(5024),
    [sym_delete_expression] = STATE(5024),
    [sym_requires_clause] = STATE(5024),
    [sym_requires_expression] = STATE(5024),
    [sym_lambda_expression] = STATE(5024),
    [sym_lambda_capture_specifier] = STATE(7184),
    [sym_fold_expression] = STATE(5024),
    [sym_parameter_pack_expansion] = STATE(5024),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6886),
    [sym_qualified_identifier] = STATE(4031),
    [sym_qualified_type_identifier] = STATE(9352),
    [sym_user_defined_literal] = STATE(4031),
    [sym_identifier] = ACTIONS(5113),
    [anon_sym_LPAREN2] = ACTIONS(5007),
    [anon_sym_BANG] = ACTIONS(4409),
    [anon_sym_TILDE] = ACTIONS(4409),
    [anon_sym_DASH] = ACTIONS(4407),
    [anon_sym_PLUS] = ACTIONS(4407),
    [anon_sym_STAR] = ACTIONS(5007),
    [anon_sym_AMP_AMP] = ACTIONS(5007),
    [anon_sym_AMP] = ACTIONS(5009),
    [anon_sym_LT] = ACTIONS(5007),
    [anon_sym_COLON_COLON] = ACTIONS(4411),
    [anon_sym_LBRACE] = ACTIONS(5007),
    [anon_sym_LBRACK] = ACTIONS(5007),
    [sym_primitive_type] = ACTIONS(3146),
    [anon_sym_not] = ACTIONS(4407),
    [anon_sym_compl] = ACTIONS(4407),
    [anon_sym_DASH_DASH] = ACTIONS(5115),
    [anon_sym_PLUS_PLUS] = ACTIONS(5115),
    [anon_sym_sizeof] = ACTIONS(4415),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(4417),
    [anon_sym_L_SQUOTE] = ACTIONS(4419),
    [anon_sym_u_SQUOTE] = ACTIONS(4419),
    [anon_sym_U_SQUOTE] = ACTIONS(4419),
    [anon_sym_u8_SQUOTE] = ACTIONS(4419),
    [anon_sym_SQUOTE] = ACTIONS(4419),
    [anon_sym_L_DQUOTE] = ACTIONS(4247),
    [anon_sym_u_DQUOTE] = ACTIONS(4247),
    [anon_sym_U_DQUOTE] = ACTIONS(4247),
    [anon_sym_u8_DQUOTE] = ACTIONS(4247),
    [anon_sym_DQUOTE] = ACTIONS(4247),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(4421),
    [anon_sym_R_DQUOTE] = ACTIONS(4249),
    [anon_sym_LR_DQUOTE] = ACTIONS(4249),
    [anon_sym_uR_DQUOTE] = ACTIONS(4249),
    [anon_sym_UR_DQUOTE] = ACTIONS(4249),
    [anon_sym_u8R_DQUOTE] = ACTIONS(4249),
    [anon_sym_co_await] = ACTIONS(4423),
    [anon_sym_new] = ACTIONS(4425),
    [anon_sym_requires] = ACTIONS(4427),
    [sym_this] = ACTIONS(221),
  },
  [1882] = {
    [sym__declaration_modifiers] = STATE(2673),
    [sym__declaration_specifiers] = STATE(6014),
    [sym_attribute_specifier] = STATE(2673),
    [sym_attribute_declaration] = STATE(2673),
    [sym_ms_declspec_modifier] = STATE(2673),
    [sym_ms_call_modifier] = STATE(2609),
    [sym_storage_class_specifier] = STATE(2673),
    [sym_type_qualifier] = STATE(2673),
    [sym__type_specifier] = STATE(2827),
    [sym_sized_type_specifier] = STATE(3085),
    [sym_enum_specifier] = STATE(3085),
    [sym_struct_specifier] = STATE(3085),
    [sym_union_specifier] = STATE(3085),
    [sym_placeholder_type_specifier] = STATE(3085),
    [sym_decltype_auto] = STATE(3091),
    [sym_decltype] = STATE(3050),
    [sym_class_specifier] = STATE(3085),
    [sym_virtual] = STATE(2673),
    [sym_alignas_specifier] = STATE(2673),
    [sym_dependent_type] = STATE(3085),
    [sym_template_type] = STATE(3050),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(7887),
    [sym_qualified_type_identifier] = STATE(3068),
    [sym_qualifiers] = STATE(2673),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2673),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3021),
    [sym_identifier] = ACTIONS(3896),
    [anon_sym___extension__] = ACTIONS(63),
    [anon_sym_in] = ACTIONS(1480),
    [anon_sym_out] = ACTIONS(1480),
    [anon_sym_inout] = ACTIONS(1480),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(3904),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2096),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(51),
    [anon_sym___clrcall] = ACTIONS(51),
    [anon_sym___stdcall] = ACTIONS(51),
    [anon_sym___fastcall] = ACTIONS(51),
    [anon_sym___thiscall] = ACTIONS(51),
    [anon_sym___vectorcall] = ACTIONS(51),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(2891),
    [anon_sym_enum] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(69),
    [anon_sym_struct] = ACTIONS(71),
    [anon_sym_union] = ACTIONS(73),
    [anon_sym_if] = ACTIONS(5117),
    [anon_sym_for] = ACTIONS(5119),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [anon_sym_virtual] = ACTIONS(123),
    [anon_sym_alignas] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_precise] = ACTIONS(161),
    [anon_sym_shared] = ACTIONS(161),
    [anon_sym_groupshared] = ACTIONS(161),
    [anon_sym_uniform] = ACTIONS(161),
    [anon_sym_row_major] = ACTIONS(161),
    [anon_sym_column_major] = ACTIONS(161),
    [anon_sym_globallycoherent] = ACTIONS(161),
    [anon_sym_centroid] = ACTIONS(161),
    [anon_sym_noperspective] = ACTIONS(161),
    [anon_sym_nointerpolation] = ACTIONS(161),
    [anon_sym_sample] = ACTIONS(161),
    [anon_sym_linear] = ACTIONS(161),
    [anon_sym_snorm] = ACTIONS(161),
    [anon_sym_unorm] = ACTIONS(161),
    [anon_sym_point] = ACTIONS(161),
    [anon_sym_line] = ACTIONS(161),
    [anon_sym_triangleadj] = ACTIONS(161),
    [anon_sym_lineadj] = ACTIONS(161),
    [anon_sym_triangle] = ACTIONS(161),
  },
  [1883] = {
    [sym__expression] = STATE(5443),
    [sym__expression_not_binary] = STATE(5024),
    [sym__string] = STATE(5024),
    [sym_conditional_expression] = STATE(5024),
    [sym_assignment_expression] = STATE(5024),
    [sym_pointer_expression] = STATE(4737),
    [sym_unary_expression] = STATE(5024),
    [sym_binary_expression] = STATE(5024),
    [sym_update_expression] = STATE(5024),
    [sym_cast_expression] = STATE(5024),
    [sym_sizeof_expression] = STATE(5024),
    [sym_alignof_expression] = STATE(5024),
    [sym_offsetof_expression] = STATE(5024),
    [sym_generic_expression] = STATE(5024),
    [sym_subscript_expression] = STATE(4737),
    [sym_call_expression] = STATE(4737),
    [sym_gnu_asm_expression] = STATE(5024),
    [sym_field_expression] = STATE(4737),
    [sym_compound_literal_expression] = STATE(5024),
    [sym_parenthesized_expression] = STATE(4737),
    [sym_char_literal] = STATE(5374),
    [sym_concatenated_string] = STATE(5377),
    [sym_string_literal] = STATE(4206),
    [sym_null] = STATE(5024),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9352),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(5024),
    [sym_raw_string_literal] = STATE(4217),
    [sym_co_await_expression] = STATE(5024),
    [sym_new_expression] = STATE(5024),
    [sym_delete_expression] = STATE(5024),
    [sym_requires_clause] = STATE(5024),
    [sym_requires_expression] = STATE(5024),
    [sym_lambda_expression] = STATE(5024),
    [sym_lambda_capture_specifier] = STATE(7184),
    [sym_lambda_default_capture] = STATE(9316),
    [sym_fold_expression] = STATE(5024),
    [sym_parameter_pack_expansion] = STATE(5024),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6886),
    [sym_qualified_identifier] = STATE(4737),
    [sym_qualified_type_identifier] = STATE(9352),
    [sym_user_defined_literal] = STATE(4737),
    [sym_identifier] = ACTIONS(4502),
    [anon_sym_LPAREN2] = ACTIONS(4540),
    [anon_sym_BANG] = ACTIONS(4506),
    [anon_sym_TILDE] = ACTIONS(4506),
    [anon_sym_DASH] = ACTIONS(4504),
    [anon_sym_PLUS] = ACTIONS(4504),
    [anon_sym_STAR] = ACTIONS(1474),
    [anon_sym_AMP] = ACTIONS(5025),
    [anon_sym_COLON_COLON] = ACTIONS(4508),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [anon_sym_RBRACK] = ACTIONS(5121),
    [anon_sym_EQ] = ACTIONS(5029),
    [sym_primitive_type] = ACTIONS(3146),
    [anon_sym_not] = ACTIONS(4504),
    [anon_sym_compl] = ACTIONS(4504),
    [anon_sym_DASH_DASH] = ACTIONS(4544),
    [anon_sym_PLUS_PLUS] = ACTIONS(4544),
    [anon_sym_sizeof] = ACTIONS(4510),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(4512),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(4514),
    [anon_sym_new] = ACTIONS(4516),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [1884] = {
    [sym__expression] = STATE(4050),
    [sym__expression_not_binary] = STATE(3672),
    [sym__string] = STATE(3672),
    [sym_conditional_expression] = STATE(3672),
    [sym_assignment_expression] = STATE(3672),
    [sym_pointer_expression] = STATE(3672),
    [sym_unary_expression] = STATE(3672),
    [sym_binary_expression] = STATE(3672),
    [sym_update_expression] = STATE(3672),
    [sym_cast_expression] = STATE(3672),
    [sym_sizeof_expression] = STATE(3672),
    [sym_alignof_expression] = STATE(3672),
    [sym_offsetof_expression] = STATE(3672),
    [sym_generic_expression] = STATE(3672),
    [sym_subscript_expression] = STATE(3672),
    [sym_call_expression] = STATE(3672),
    [sym_gnu_asm_expression] = STATE(3672),
    [sym_field_expression] = STATE(3672),
    [sym_compound_literal_expression] = STATE(3672),
    [sym_parenthesized_expression] = STATE(3672),
    [sym_char_literal] = STATE(3991),
    [sym_concatenated_string] = STATE(3973),
    [sym_string_literal] = STATE(3242),
    [sym_null] = STATE(3672),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9333),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(3672),
    [sym_raw_string_literal] = STATE(3241),
    [sym_co_await_expression] = STATE(3672),
    [sym_new_expression] = STATE(3672),
    [sym_delete_expression] = STATE(3672),
    [sym_requires_clause] = STATE(3672),
    [sym_requires_expression] = STATE(3672),
    [sym_lambda_expression] = STATE(3672),
    [sym_lambda_capture_specifier] = STATE(7134),
    [sym_fold_expression] = STATE(3672),
    [sym_parameter_pack_expansion] = STATE(3672),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6886),
    [sym_qualified_identifier] = STATE(3672),
    [sym_qualified_type_identifier] = STATE(9333),
    [sym_user_defined_literal] = STATE(3672),
    [sym_identifier] = ACTIONS(3968),
    [anon_sym_LPAREN2] = ACTIONS(5007),
    [anon_sym_BANG] = ACTIONS(3972),
    [anon_sym_TILDE] = ACTIONS(3972),
    [anon_sym_DASH] = ACTIONS(3970),
    [anon_sym_PLUS] = ACTIONS(3970),
    [anon_sym_STAR] = ACTIONS(5007),
    [anon_sym_AMP_AMP] = ACTIONS(5007),
    [anon_sym_AMP] = ACTIONS(5009),
    [anon_sym_LT] = ACTIONS(5007),
    [anon_sym_COLON_COLON] = ACTIONS(3974),
    [anon_sym_LBRACE] = ACTIONS(5007),
    [anon_sym_LBRACK] = ACTIONS(5007),
    [sym_primitive_type] = ACTIONS(3928),
    [anon_sym_not] = ACTIONS(3970),
    [anon_sym_compl] = ACTIONS(3970),
    [anon_sym_DASH_DASH] = ACTIONS(4385),
    [anon_sym_PLUS_PLUS] = ACTIONS(4385),
    [anon_sym_sizeof] = ACTIONS(3976),
    [anon_sym___alignof__] = ACTIONS(3932),
    [anon_sym___alignof] = ACTIONS(3932),
    [anon_sym__alignof] = ACTIONS(3932),
    [anon_sym_alignof] = ACTIONS(3932),
    [anon_sym__Alignof] = ACTIONS(3932),
    [anon_sym_offsetof] = ACTIONS(3934),
    [anon_sym__Generic] = ACTIONS(3936),
    [anon_sym_asm] = ACTIONS(3938),
    [anon_sym___asm__] = ACTIONS(3938),
    [sym_number_literal] = ACTIONS(3978),
    [anon_sym_L_SQUOTE] = ACTIONS(3980),
    [anon_sym_u_SQUOTE] = ACTIONS(3980),
    [anon_sym_U_SQUOTE] = ACTIONS(3980),
    [anon_sym_u8_SQUOTE] = ACTIONS(3980),
    [anon_sym_SQUOTE] = ACTIONS(3980),
    [anon_sym_L_DQUOTE] = ACTIONS(3982),
    [anon_sym_u_DQUOTE] = ACTIONS(3982),
    [anon_sym_U_DQUOTE] = ACTIONS(3982),
    [anon_sym_u8_DQUOTE] = ACTIONS(3982),
    [anon_sym_DQUOTE] = ACTIONS(3982),
    [sym_true] = ACTIONS(3946),
    [sym_false] = ACTIONS(3946),
    [anon_sym_NULL] = ACTIONS(3948),
    [anon_sym_nullptr] = ACTIONS(3948),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(3984),
    [anon_sym_R_DQUOTE] = ACTIONS(3986),
    [anon_sym_LR_DQUOTE] = ACTIONS(3986),
    [anon_sym_uR_DQUOTE] = ACTIONS(3986),
    [anon_sym_UR_DQUOTE] = ACTIONS(3986),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3986),
    [anon_sym_co_await] = ACTIONS(3988),
    [anon_sym_new] = ACTIONS(3990),
    [anon_sym_requires] = ACTIONS(3958),
    [sym_this] = ACTIONS(3946),
  },
  [1885] = {
    [sym__expression] = STATE(5443),
    [sym__expression_not_binary] = STATE(5024),
    [sym__string] = STATE(5024),
    [sym_conditional_expression] = STATE(5024),
    [sym_assignment_expression] = STATE(5024),
    [sym_pointer_expression] = STATE(4737),
    [sym_unary_expression] = STATE(5024),
    [sym_binary_expression] = STATE(5024),
    [sym_update_expression] = STATE(5024),
    [sym_cast_expression] = STATE(5024),
    [sym_sizeof_expression] = STATE(5024),
    [sym_alignof_expression] = STATE(5024),
    [sym_offsetof_expression] = STATE(5024),
    [sym_generic_expression] = STATE(5024),
    [sym_subscript_expression] = STATE(4737),
    [sym_call_expression] = STATE(4737),
    [sym_gnu_asm_expression] = STATE(5024),
    [sym_field_expression] = STATE(4737),
    [sym_compound_literal_expression] = STATE(5024),
    [sym_parenthesized_expression] = STATE(4737),
    [sym_char_literal] = STATE(5374),
    [sym_concatenated_string] = STATE(5377),
    [sym_string_literal] = STATE(4206),
    [sym_null] = STATE(5024),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9352),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(5024),
    [sym_raw_string_literal] = STATE(4217),
    [sym_co_await_expression] = STATE(5024),
    [sym_new_expression] = STATE(5024),
    [sym_delete_expression] = STATE(5024),
    [sym_requires_clause] = STATE(5024),
    [sym_requires_expression] = STATE(5024),
    [sym_lambda_expression] = STATE(5024),
    [sym_lambda_capture_specifier] = STATE(7184),
    [sym_lambda_default_capture] = STATE(9316),
    [sym_fold_expression] = STATE(5024),
    [sym_parameter_pack_expansion] = STATE(5024),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6886),
    [sym_qualified_identifier] = STATE(4737),
    [sym_qualified_type_identifier] = STATE(9352),
    [sym_user_defined_literal] = STATE(4737),
    [sym_identifier] = ACTIONS(4502),
    [anon_sym_LPAREN2] = ACTIONS(4540),
    [anon_sym_BANG] = ACTIONS(4506),
    [anon_sym_TILDE] = ACTIONS(4506),
    [anon_sym_DASH] = ACTIONS(4504),
    [anon_sym_PLUS] = ACTIONS(4504),
    [anon_sym_STAR] = ACTIONS(1474),
    [anon_sym_AMP] = ACTIONS(5025),
    [anon_sym_COLON_COLON] = ACTIONS(4508),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [anon_sym_RBRACK] = ACTIONS(5123),
    [anon_sym_EQ] = ACTIONS(5029),
    [sym_primitive_type] = ACTIONS(3146),
    [anon_sym_not] = ACTIONS(4504),
    [anon_sym_compl] = ACTIONS(4504),
    [anon_sym_DASH_DASH] = ACTIONS(4544),
    [anon_sym_PLUS_PLUS] = ACTIONS(4544),
    [anon_sym_sizeof] = ACTIONS(4510),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(4512),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(4514),
    [anon_sym_new] = ACTIONS(4516),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [1886] = {
    [sym__expression] = STATE(5496),
    [sym__expression_not_binary] = STATE(5024),
    [sym__string] = STATE(5024),
    [sym_conditional_expression] = STATE(5024),
    [sym_assignment_expression] = STATE(5024),
    [sym_pointer_expression] = STATE(4737),
    [sym_unary_expression] = STATE(5024),
    [sym_binary_expression] = STATE(5024),
    [sym_update_expression] = STATE(5024),
    [sym_cast_expression] = STATE(5024),
    [sym_sizeof_expression] = STATE(5024),
    [sym_alignof_expression] = STATE(5024),
    [sym_offsetof_expression] = STATE(5024),
    [sym_generic_expression] = STATE(5024),
    [sym_subscript_expression] = STATE(4737),
    [sym_call_expression] = STATE(4737),
    [sym_gnu_asm_expression] = STATE(5024),
    [sym_field_expression] = STATE(4737),
    [sym_compound_literal_expression] = STATE(5024),
    [sym_parenthesized_expression] = STATE(4737),
    [sym_initializer_list] = STATE(8733),
    [sym_char_literal] = STATE(5374),
    [sym_concatenated_string] = STATE(5377),
    [sym_string_literal] = STATE(4206),
    [sym_null] = STATE(5024),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9352),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(5024),
    [sym_raw_string_literal] = STATE(4217),
    [sym_co_await_expression] = STATE(5024),
    [sym_new_expression] = STATE(5024),
    [sym_delete_expression] = STATE(5024),
    [sym_requires_clause] = STATE(5024),
    [sym_requires_expression] = STATE(5024),
    [sym_lambda_expression] = STATE(5024),
    [sym_lambda_capture_specifier] = STATE(7184),
    [sym_fold_expression] = STATE(5024),
    [sym_parameter_pack_expansion] = STATE(5024),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6886),
    [sym_qualified_identifier] = STATE(4737),
    [sym_qualified_type_identifier] = STATE(9352),
    [sym_user_defined_literal] = STATE(4737),
    [sym_identifier] = ACTIONS(4502),
    [anon_sym_LPAREN2] = ACTIONS(4540),
    [anon_sym_BANG] = ACTIONS(4506),
    [anon_sym_TILDE] = ACTIONS(4506),
    [anon_sym_DASH] = ACTIONS(4504),
    [anon_sym_PLUS] = ACTIONS(4504),
    [anon_sym_STAR] = ACTIONS(1474),
    [anon_sym_AMP] = ACTIONS(1474),
    [anon_sym_COLON_COLON] = ACTIONS(4508),
    [anon_sym_LBRACE] = ACTIONS(4413),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [anon_sym_RBRACK] = ACTIONS(5125),
    [sym_primitive_type] = ACTIONS(3146),
    [anon_sym_not] = ACTIONS(4504),
    [anon_sym_compl] = ACTIONS(4504),
    [anon_sym_DASH_DASH] = ACTIONS(4544),
    [anon_sym_PLUS_PLUS] = ACTIONS(4544),
    [anon_sym_sizeof] = ACTIONS(4510),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(4512),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(4514),
    [anon_sym_new] = ACTIONS(4516),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [1887] = {
    [sym__expression] = STATE(5443),
    [sym__expression_not_binary] = STATE(5024),
    [sym__string] = STATE(5024),
    [sym_conditional_expression] = STATE(5024),
    [sym_assignment_expression] = STATE(5024),
    [sym_pointer_expression] = STATE(4737),
    [sym_unary_expression] = STATE(5024),
    [sym_binary_expression] = STATE(5024),
    [sym_update_expression] = STATE(5024),
    [sym_cast_expression] = STATE(5024),
    [sym_sizeof_expression] = STATE(5024),
    [sym_alignof_expression] = STATE(5024),
    [sym_offsetof_expression] = STATE(5024),
    [sym_generic_expression] = STATE(5024),
    [sym_subscript_expression] = STATE(4737),
    [sym_call_expression] = STATE(4737),
    [sym_gnu_asm_expression] = STATE(5024),
    [sym_field_expression] = STATE(4737),
    [sym_compound_literal_expression] = STATE(5024),
    [sym_parenthesized_expression] = STATE(4737),
    [sym_char_literal] = STATE(5374),
    [sym_concatenated_string] = STATE(5377),
    [sym_string_literal] = STATE(4206),
    [sym_null] = STATE(5024),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9352),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(5024),
    [sym_raw_string_literal] = STATE(4217),
    [sym_co_await_expression] = STATE(5024),
    [sym_new_expression] = STATE(5024),
    [sym_delete_expression] = STATE(5024),
    [sym_requires_clause] = STATE(5024),
    [sym_requires_expression] = STATE(5024),
    [sym_lambda_expression] = STATE(5024),
    [sym_lambda_capture_specifier] = STATE(7184),
    [sym_lambda_default_capture] = STATE(9316),
    [sym_fold_expression] = STATE(5024),
    [sym_parameter_pack_expansion] = STATE(5024),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6886),
    [sym_qualified_identifier] = STATE(4737),
    [sym_qualified_type_identifier] = STATE(9352),
    [sym_user_defined_literal] = STATE(4737),
    [sym_identifier] = ACTIONS(4502),
    [anon_sym_LPAREN2] = ACTIONS(4540),
    [anon_sym_BANG] = ACTIONS(4506),
    [anon_sym_TILDE] = ACTIONS(4506),
    [anon_sym_DASH] = ACTIONS(4504),
    [anon_sym_PLUS] = ACTIONS(4504),
    [anon_sym_STAR] = ACTIONS(1474),
    [anon_sym_AMP] = ACTIONS(5025),
    [anon_sym_COLON_COLON] = ACTIONS(4508),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [anon_sym_RBRACK] = ACTIONS(5127),
    [anon_sym_EQ] = ACTIONS(5029),
    [sym_primitive_type] = ACTIONS(3146),
    [anon_sym_not] = ACTIONS(4504),
    [anon_sym_compl] = ACTIONS(4504),
    [anon_sym_DASH_DASH] = ACTIONS(4544),
    [anon_sym_PLUS_PLUS] = ACTIONS(4544),
    [anon_sym_sizeof] = ACTIONS(4510),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(4512),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(4514),
    [anon_sym_new] = ACTIONS(4516),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [1888] = {
    [sym__expression] = STATE(5443),
    [sym__expression_not_binary] = STATE(5024),
    [sym__string] = STATE(5024),
    [sym_conditional_expression] = STATE(5024),
    [sym_assignment_expression] = STATE(5024),
    [sym_pointer_expression] = STATE(4737),
    [sym_unary_expression] = STATE(5024),
    [sym_binary_expression] = STATE(5024),
    [sym_update_expression] = STATE(5024),
    [sym_cast_expression] = STATE(5024),
    [sym_sizeof_expression] = STATE(5024),
    [sym_alignof_expression] = STATE(5024),
    [sym_offsetof_expression] = STATE(5024),
    [sym_generic_expression] = STATE(5024),
    [sym_subscript_expression] = STATE(4737),
    [sym_call_expression] = STATE(4737),
    [sym_gnu_asm_expression] = STATE(5024),
    [sym_field_expression] = STATE(4737),
    [sym_compound_literal_expression] = STATE(5024),
    [sym_parenthesized_expression] = STATE(4737),
    [sym_char_literal] = STATE(5374),
    [sym_concatenated_string] = STATE(5377),
    [sym_string_literal] = STATE(4206),
    [sym_null] = STATE(5024),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9352),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(5024),
    [sym_raw_string_literal] = STATE(4217),
    [sym_co_await_expression] = STATE(5024),
    [sym_new_expression] = STATE(5024),
    [sym_delete_expression] = STATE(5024),
    [sym_requires_clause] = STATE(5024),
    [sym_requires_expression] = STATE(5024),
    [sym_lambda_expression] = STATE(5024),
    [sym_lambda_capture_specifier] = STATE(7184),
    [sym_lambda_default_capture] = STATE(9316),
    [sym_fold_expression] = STATE(5024),
    [sym_parameter_pack_expansion] = STATE(5024),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6886),
    [sym_qualified_identifier] = STATE(4737),
    [sym_qualified_type_identifier] = STATE(9352),
    [sym_user_defined_literal] = STATE(4737),
    [sym_identifier] = ACTIONS(4502),
    [anon_sym_LPAREN2] = ACTIONS(4540),
    [anon_sym_BANG] = ACTIONS(4506),
    [anon_sym_TILDE] = ACTIONS(4506),
    [anon_sym_DASH] = ACTIONS(4504),
    [anon_sym_PLUS] = ACTIONS(4504),
    [anon_sym_STAR] = ACTIONS(1474),
    [anon_sym_AMP] = ACTIONS(5025),
    [anon_sym_COLON_COLON] = ACTIONS(4508),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [anon_sym_RBRACK] = ACTIONS(5129),
    [anon_sym_EQ] = ACTIONS(5029),
    [sym_primitive_type] = ACTIONS(3146),
    [anon_sym_not] = ACTIONS(4504),
    [anon_sym_compl] = ACTIONS(4504),
    [anon_sym_DASH_DASH] = ACTIONS(4544),
    [anon_sym_PLUS_PLUS] = ACTIONS(4544),
    [anon_sym_sizeof] = ACTIONS(4510),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(4512),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(4514),
    [anon_sym_new] = ACTIONS(4516),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [1889] = {
    [sym__expression] = STATE(5443),
    [sym__expression_not_binary] = STATE(5024),
    [sym__string] = STATE(5024),
    [sym_conditional_expression] = STATE(5024),
    [sym_assignment_expression] = STATE(5024),
    [sym_pointer_expression] = STATE(4737),
    [sym_unary_expression] = STATE(5024),
    [sym_binary_expression] = STATE(5024),
    [sym_update_expression] = STATE(5024),
    [sym_cast_expression] = STATE(5024),
    [sym_sizeof_expression] = STATE(5024),
    [sym_alignof_expression] = STATE(5024),
    [sym_offsetof_expression] = STATE(5024),
    [sym_generic_expression] = STATE(5024),
    [sym_subscript_expression] = STATE(4737),
    [sym_call_expression] = STATE(4737),
    [sym_gnu_asm_expression] = STATE(5024),
    [sym_field_expression] = STATE(4737),
    [sym_compound_literal_expression] = STATE(5024),
    [sym_parenthesized_expression] = STATE(4737),
    [sym_char_literal] = STATE(5374),
    [sym_concatenated_string] = STATE(5377),
    [sym_string_literal] = STATE(4206),
    [sym_null] = STATE(5024),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9352),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(5024),
    [sym_raw_string_literal] = STATE(4217),
    [sym_co_await_expression] = STATE(5024),
    [sym_new_expression] = STATE(5024),
    [sym_delete_expression] = STATE(5024),
    [sym_requires_clause] = STATE(5024),
    [sym_requires_expression] = STATE(5024),
    [sym_lambda_expression] = STATE(5024),
    [sym_lambda_capture_specifier] = STATE(7184),
    [sym_lambda_default_capture] = STATE(9316),
    [sym_fold_expression] = STATE(5024),
    [sym_parameter_pack_expansion] = STATE(5024),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6886),
    [sym_qualified_identifier] = STATE(4737),
    [sym_qualified_type_identifier] = STATE(9352),
    [sym_user_defined_literal] = STATE(4737),
    [sym_identifier] = ACTIONS(4502),
    [anon_sym_LPAREN2] = ACTIONS(4540),
    [anon_sym_BANG] = ACTIONS(4506),
    [anon_sym_TILDE] = ACTIONS(4506),
    [anon_sym_DASH] = ACTIONS(4504),
    [anon_sym_PLUS] = ACTIONS(4504),
    [anon_sym_STAR] = ACTIONS(1474),
    [anon_sym_AMP] = ACTIONS(5025),
    [anon_sym_COLON_COLON] = ACTIONS(4508),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [anon_sym_RBRACK] = ACTIONS(5131),
    [anon_sym_EQ] = ACTIONS(5029),
    [sym_primitive_type] = ACTIONS(3146),
    [anon_sym_not] = ACTIONS(4504),
    [anon_sym_compl] = ACTIONS(4504),
    [anon_sym_DASH_DASH] = ACTIONS(4544),
    [anon_sym_PLUS_PLUS] = ACTIONS(4544),
    [anon_sym_sizeof] = ACTIONS(4510),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(4512),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(4514),
    [anon_sym_new] = ACTIONS(4516),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [1890] = {
    [sym__expression] = STATE(4758),
    [sym__expression_not_binary] = STATE(4939),
    [sym__string] = STATE(4939),
    [sym_conditional_expression] = STATE(4939),
    [sym_assignment_expression] = STATE(4939),
    [sym_pointer_expression] = STATE(4521),
    [sym_unary_expression] = STATE(4939),
    [sym_binary_expression] = STATE(4939),
    [sym_update_expression] = STATE(4939),
    [sym_cast_expression] = STATE(4939),
    [sym_sizeof_expression] = STATE(4939),
    [sym_alignof_expression] = STATE(4939),
    [sym_offsetof_expression] = STATE(4939),
    [sym_generic_expression] = STATE(4939),
    [sym_subscript_expression] = STATE(4521),
    [sym_call_expression] = STATE(4521),
    [sym_gnu_asm_expression] = STATE(4939),
    [sym_field_expression] = STATE(4521),
    [sym_compound_literal_expression] = STATE(4939),
    [sym_parenthesized_expression] = STATE(4521),
    [sym_char_literal] = STATE(4856),
    [sym_concatenated_string] = STATE(4876),
    [sym_string_literal] = STATE(3630),
    [sym_null] = STATE(4939),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9415),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(4939),
    [sym_raw_string_literal] = STATE(3632),
    [sym_co_await_expression] = STATE(4939),
    [sym_new_expression] = STATE(4939),
    [sym_delete_expression] = STATE(4939),
    [sym_requires_clause] = STATE(4939),
    [sym_requires_expression] = STATE(4939),
    [sym_lambda_expression] = STATE(4939),
    [sym_lambda_capture_specifier] = STATE(7190),
    [sym_fold_expression] = STATE(4939),
    [sym_parameter_pack_expansion] = STATE(4939),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6899),
    [sym_qualified_identifier] = STATE(4521),
    [sym_qualified_type_identifier] = STATE(9415),
    [sym_user_defined_literal] = STATE(4521),
    [sym_identifier] = ACTIONS(4178),
    [anon_sym_LPAREN2] = ACTIONS(5007),
    [anon_sym_BANG] = ACTIONS(2112),
    [anon_sym_TILDE] = ACTIONS(2112),
    [anon_sym_DASH] = ACTIONS(2114),
    [anon_sym_PLUS] = ACTIONS(2114),
    [anon_sym_STAR] = ACTIONS(5007),
    [anon_sym_AMP_AMP] = ACTIONS(5007),
    [anon_sym_AMP] = ACTIONS(5009),
    [anon_sym_LT] = ACTIONS(5007),
    [anon_sym_COLON_COLON] = ACTIONS(2120),
    [anon_sym_LBRACE] = ACTIONS(5007),
    [anon_sym_LBRACK] = ACTIONS(5007),
    [sym_primitive_type] = ACTIONS(4182),
    [anon_sym_not] = ACTIONS(2114),
    [anon_sym_compl] = ACTIONS(2114),
    [anon_sym_DASH_DASH] = ACTIONS(2132),
    [anon_sym_PLUS_PLUS] = ACTIONS(2132),
    [anon_sym_sizeof] = ACTIONS(2134),
    [anon_sym___alignof__] = ACTIONS(2136),
    [anon_sym___alignof] = ACTIONS(2136),
    [anon_sym__alignof] = ACTIONS(2136),
    [anon_sym_alignof] = ACTIONS(2136),
    [anon_sym__Alignof] = ACTIONS(2136),
    [anon_sym_offsetof] = ACTIONS(2138),
    [anon_sym__Generic] = ACTIONS(2140),
    [anon_sym_asm] = ACTIONS(2142),
    [anon_sym___asm__] = ACTIONS(2142),
    [sym_number_literal] = ACTIONS(2144),
    [anon_sym_L_SQUOTE] = ACTIONS(2146),
    [anon_sym_u_SQUOTE] = ACTIONS(2146),
    [anon_sym_U_SQUOTE] = ACTIONS(2146),
    [anon_sym_u8_SQUOTE] = ACTIONS(2146),
    [anon_sym_SQUOTE] = ACTIONS(2146),
    [anon_sym_L_DQUOTE] = ACTIONS(2148),
    [anon_sym_u_DQUOTE] = ACTIONS(2148),
    [anon_sym_U_DQUOTE] = ACTIONS(2148),
    [anon_sym_u8_DQUOTE] = ACTIONS(2148),
    [anon_sym_DQUOTE] = ACTIONS(2148),
    [sym_true] = ACTIONS(2150),
    [sym_false] = ACTIONS(2150),
    [anon_sym_NULL] = ACTIONS(2152),
    [anon_sym_nullptr] = ACTIONS(2152),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(2156),
    [anon_sym_R_DQUOTE] = ACTIONS(2158),
    [anon_sym_LR_DQUOTE] = ACTIONS(2158),
    [anon_sym_uR_DQUOTE] = ACTIONS(2158),
    [anon_sym_UR_DQUOTE] = ACTIONS(2158),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2158),
    [anon_sym_co_await] = ACTIONS(2160),
    [anon_sym_new] = ACTIONS(2162),
    [anon_sym_requires] = ACTIONS(2164),
    [sym_this] = ACTIONS(2150),
  },
  [1891] = {
    [sym__expression] = STATE(5909),
    [sym__expression_not_binary] = STATE(5024),
    [sym__string] = STATE(5024),
    [sym_conditional_expression] = STATE(5024),
    [sym_assignment_expression] = STATE(5024),
    [sym_pointer_expression] = STATE(4507),
    [sym_unary_expression] = STATE(5024),
    [sym_binary_expression] = STATE(5024),
    [sym_update_expression] = STATE(5024),
    [sym_cast_expression] = STATE(5024),
    [sym_sizeof_expression] = STATE(5024),
    [sym_alignof_expression] = STATE(5024),
    [sym_offsetof_expression] = STATE(5024),
    [sym_generic_expression] = STATE(5024),
    [sym_subscript_expression] = STATE(4507),
    [sym_call_expression] = STATE(4507),
    [sym_gnu_asm_expression] = STATE(5024),
    [sym_field_expression] = STATE(4507),
    [sym_compound_literal_expression] = STATE(5024),
    [sym_parenthesized_expression] = STATE(4507),
    [sym_initializer_list] = STATE(9620),
    [sym_char_literal] = STATE(5374),
    [sym_concatenated_string] = STATE(5377),
    [sym_string_literal] = STATE(4206),
    [sym_null] = STATE(5024),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9352),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(5024),
    [sym_raw_string_literal] = STATE(4217),
    [sym_co_await_expression] = STATE(5024),
    [sym_new_expression] = STATE(5024),
    [sym_delete_expression] = STATE(5024),
    [sym_requires_clause] = STATE(5024),
    [sym_requires_expression] = STATE(5024),
    [sym_lambda_expression] = STATE(5024),
    [sym_lambda_capture_specifier] = STATE(7184),
    [sym_fold_expression] = STATE(5024),
    [sym_parameter_pack_expansion] = STATE(5024),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6886),
    [sym_qualified_identifier] = STATE(4507),
    [sym_qualified_type_identifier] = STATE(9352),
    [sym_user_defined_literal] = STATE(4507),
    [sym_identifier] = ACTIONS(3140),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5133),
    [anon_sym_LPAREN2] = ACTIONS(1472),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1474),
    [anon_sym_AMP] = ACTIONS(1474),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(4413),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [sym_primitive_type] = ACTIONS(3146),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [1892] = {
    [sym__expression] = STATE(5909),
    [sym__expression_not_binary] = STATE(5024),
    [sym__string] = STATE(5024),
    [sym_conditional_expression] = STATE(5024),
    [sym_assignment_expression] = STATE(5024),
    [sym_pointer_expression] = STATE(4507),
    [sym_unary_expression] = STATE(5024),
    [sym_binary_expression] = STATE(5024),
    [sym_update_expression] = STATE(5024),
    [sym_cast_expression] = STATE(5024),
    [sym_sizeof_expression] = STATE(5024),
    [sym_alignof_expression] = STATE(5024),
    [sym_offsetof_expression] = STATE(5024),
    [sym_generic_expression] = STATE(5024),
    [sym_subscript_expression] = STATE(4507),
    [sym_call_expression] = STATE(4507),
    [sym_gnu_asm_expression] = STATE(5024),
    [sym_field_expression] = STATE(4507),
    [sym_compound_literal_expression] = STATE(5024),
    [sym_parenthesized_expression] = STATE(4507),
    [sym_initializer_list] = STATE(9620),
    [sym_char_literal] = STATE(5374),
    [sym_concatenated_string] = STATE(5377),
    [sym_string_literal] = STATE(4206),
    [sym_null] = STATE(5024),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9352),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(5024),
    [sym_raw_string_literal] = STATE(4217),
    [sym_co_await_expression] = STATE(5024),
    [sym_new_expression] = STATE(5024),
    [sym_delete_expression] = STATE(5024),
    [sym_requires_clause] = STATE(5024),
    [sym_requires_expression] = STATE(5024),
    [sym_lambda_expression] = STATE(5024),
    [sym_lambda_capture_specifier] = STATE(7184),
    [sym_fold_expression] = STATE(5024),
    [sym_parameter_pack_expansion] = STATE(5024),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6886),
    [sym_qualified_identifier] = STATE(4507),
    [sym_qualified_type_identifier] = STATE(9352),
    [sym_user_defined_literal] = STATE(4507),
    [sym_identifier] = ACTIONS(3140),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5136),
    [anon_sym_LPAREN2] = ACTIONS(1472),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1474),
    [anon_sym_AMP] = ACTIONS(1474),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(4413),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [sym_primitive_type] = ACTIONS(3146),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [1893] = {
    [sym__expression] = STATE(5909),
    [sym__expression_not_binary] = STATE(5024),
    [sym__string] = STATE(5024),
    [sym_conditional_expression] = STATE(5024),
    [sym_assignment_expression] = STATE(5024),
    [sym_pointer_expression] = STATE(4507),
    [sym_unary_expression] = STATE(5024),
    [sym_binary_expression] = STATE(5024),
    [sym_update_expression] = STATE(5024),
    [sym_cast_expression] = STATE(5024),
    [sym_sizeof_expression] = STATE(5024),
    [sym_alignof_expression] = STATE(5024),
    [sym_offsetof_expression] = STATE(5024),
    [sym_generic_expression] = STATE(5024),
    [sym_subscript_expression] = STATE(4507),
    [sym_call_expression] = STATE(4507),
    [sym_gnu_asm_expression] = STATE(5024),
    [sym_field_expression] = STATE(4507),
    [sym_compound_literal_expression] = STATE(5024),
    [sym_parenthesized_expression] = STATE(4507),
    [sym_initializer_list] = STATE(9620),
    [sym_char_literal] = STATE(5374),
    [sym_concatenated_string] = STATE(5377),
    [sym_string_literal] = STATE(4206),
    [sym_null] = STATE(5024),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9352),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(5024),
    [sym_raw_string_literal] = STATE(4217),
    [sym_co_await_expression] = STATE(5024),
    [sym_new_expression] = STATE(5024),
    [sym_delete_expression] = STATE(5024),
    [sym_requires_clause] = STATE(5024),
    [sym_requires_expression] = STATE(5024),
    [sym_lambda_expression] = STATE(5024),
    [sym_lambda_capture_specifier] = STATE(7184),
    [sym_fold_expression] = STATE(5024),
    [sym_parameter_pack_expansion] = STATE(5024),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6886),
    [sym_qualified_identifier] = STATE(4507),
    [sym_qualified_type_identifier] = STATE(9352),
    [sym_user_defined_literal] = STATE(4507),
    [sym_identifier] = ACTIONS(3140),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5139),
    [anon_sym_LPAREN2] = ACTIONS(1472),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1474),
    [anon_sym_AMP] = ACTIONS(1474),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(4413),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [sym_primitive_type] = ACTIONS(3146),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [1894] = {
    [sym__expression] = STATE(5909),
    [sym__expression_not_binary] = STATE(5024),
    [sym__string] = STATE(5024),
    [sym_conditional_expression] = STATE(5024),
    [sym_assignment_expression] = STATE(5024),
    [sym_pointer_expression] = STATE(4507),
    [sym_unary_expression] = STATE(5024),
    [sym_binary_expression] = STATE(5024),
    [sym_update_expression] = STATE(5024),
    [sym_cast_expression] = STATE(5024),
    [sym_sizeof_expression] = STATE(5024),
    [sym_alignof_expression] = STATE(5024),
    [sym_offsetof_expression] = STATE(5024),
    [sym_generic_expression] = STATE(5024),
    [sym_subscript_expression] = STATE(4507),
    [sym_call_expression] = STATE(4507),
    [sym_gnu_asm_expression] = STATE(5024),
    [sym_field_expression] = STATE(4507),
    [sym_compound_literal_expression] = STATE(5024),
    [sym_parenthesized_expression] = STATE(4507),
    [sym_initializer_list] = STATE(9620),
    [sym_char_literal] = STATE(5374),
    [sym_concatenated_string] = STATE(5377),
    [sym_string_literal] = STATE(4206),
    [sym_null] = STATE(5024),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9352),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(5024),
    [sym_raw_string_literal] = STATE(4217),
    [sym_co_await_expression] = STATE(5024),
    [sym_new_expression] = STATE(5024),
    [sym_delete_expression] = STATE(5024),
    [sym_requires_clause] = STATE(5024),
    [sym_requires_expression] = STATE(5024),
    [sym_lambda_expression] = STATE(5024),
    [sym_lambda_capture_specifier] = STATE(7184),
    [sym_fold_expression] = STATE(5024),
    [sym_parameter_pack_expansion] = STATE(5024),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6886),
    [sym_qualified_identifier] = STATE(4507),
    [sym_qualified_type_identifier] = STATE(9352),
    [sym_user_defined_literal] = STATE(4507),
    [sym_identifier] = ACTIONS(3140),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5142),
    [anon_sym_LPAREN2] = ACTIONS(1472),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1474),
    [anon_sym_AMP] = ACTIONS(1474),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(4413),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [sym_primitive_type] = ACTIONS(3146),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [1895] = {
    [sym__expression] = STATE(5909),
    [sym__expression_not_binary] = STATE(5024),
    [sym__string] = STATE(5024),
    [sym_conditional_expression] = STATE(5024),
    [sym_assignment_expression] = STATE(5024),
    [sym_pointer_expression] = STATE(4507),
    [sym_unary_expression] = STATE(5024),
    [sym_binary_expression] = STATE(5024),
    [sym_update_expression] = STATE(5024),
    [sym_cast_expression] = STATE(5024),
    [sym_sizeof_expression] = STATE(5024),
    [sym_alignof_expression] = STATE(5024),
    [sym_offsetof_expression] = STATE(5024),
    [sym_generic_expression] = STATE(5024),
    [sym_subscript_expression] = STATE(4507),
    [sym_call_expression] = STATE(4507),
    [sym_gnu_asm_expression] = STATE(5024),
    [sym_field_expression] = STATE(4507),
    [sym_compound_literal_expression] = STATE(5024),
    [sym_parenthesized_expression] = STATE(4507),
    [sym_initializer_list] = STATE(9620),
    [sym_char_literal] = STATE(5374),
    [sym_concatenated_string] = STATE(5377),
    [sym_string_literal] = STATE(4206),
    [sym_null] = STATE(5024),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9352),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(5024),
    [sym_raw_string_literal] = STATE(4217),
    [sym_co_await_expression] = STATE(5024),
    [sym_new_expression] = STATE(5024),
    [sym_delete_expression] = STATE(5024),
    [sym_requires_clause] = STATE(5024),
    [sym_requires_expression] = STATE(5024),
    [sym_lambda_expression] = STATE(5024),
    [sym_lambda_capture_specifier] = STATE(7184),
    [sym_fold_expression] = STATE(5024),
    [sym_parameter_pack_expansion] = STATE(5024),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6886),
    [sym_qualified_identifier] = STATE(4507),
    [sym_qualified_type_identifier] = STATE(9352),
    [sym_user_defined_literal] = STATE(4507),
    [sym_identifier] = ACTIONS(3140),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5145),
    [anon_sym_LPAREN2] = ACTIONS(1472),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1474),
    [anon_sym_AMP] = ACTIONS(1474),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(4413),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [sym_primitive_type] = ACTIONS(3146),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [1896] = {
    [sym__expression] = STATE(5909),
    [sym__expression_not_binary] = STATE(5024),
    [sym__string] = STATE(5024),
    [sym_conditional_expression] = STATE(5024),
    [sym_assignment_expression] = STATE(5024),
    [sym_pointer_expression] = STATE(4507),
    [sym_unary_expression] = STATE(5024),
    [sym_binary_expression] = STATE(5024),
    [sym_update_expression] = STATE(5024),
    [sym_cast_expression] = STATE(5024),
    [sym_sizeof_expression] = STATE(5024),
    [sym_alignof_expression] = STATE(5024),
    [sym_offsetof_expression] = STATE(5024),
    [sym_generic_expression] = STATE(5024),
    [sym_subscript_expression] = STATE(4507),
    [sym_call_expression] = STATE(4507),
    [sym_gnu_asm_expression] = STATE(5024),
    [sym_field_expression] = STATE(4507),
    [sym_compound_literal_expression] = STATE(5024),
    [sym_parenthesized_expression] = STATE(4507),
    [sym_initializer_list] = STATE(9620),
    [sym_char_literal] = STATE(5374),
    [sym_concatenated_string] = STATE(5377),
    [sym_string_literal] = STATE(4206),
    [sym_null] = STATE(5024),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9352),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(5024),
    [sym_raw_string_literal] = STATE(4217),
    [sym_co_await_expression] = STATE(5024),
    [sym_new_expression] = STATE(5024),
    [sym_delete_expression] = STATE(5024),
    [sym_requires_clause] = STATE(5024),
    [sym_requires_expression] = STATE(5024),
    [sym_lambda_expression] = STATE(5024),
    [sym_lambda_capture_specifier] = STATE(7184),
    [sym_fold_expression] = STATE(5024),
    [sym_parameter_pack_expansion] = STATE(5024),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6886),
    [sym_qualified_identifier] = STATE(4507),
    [sym_qualified_type_identifier] = STATE(9352),
    [sym_user_defined_literal] = STATE(4507),
    [sym_identifier] = ACTIONS(3140),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5148),
    [anon_sym_LPAREN2] = ACTIONS(1472),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1474),
    [anon_sym_AMP] = ACTIONS(1474),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(4413),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [sym_primitive_type] = ACTIONS(3146),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [1897] = {
    [sym__expression] = STATE(5909),
    [sym__expression_not_binary] = STATE(5024),
    [sym__string] = STATE(5024),
    [sym_conditional_expression] = STATE(5024),
    [sym_assignment_expression] = STATE(5024),
    [sym_pointer_expression] = STATE(4507),
    [sym_unary_expression] = STATE(5024),
    [sym_binary_expression] = STATE(5024),
    [sym_update_expression] = STATE(5024),
    [sym_cast_expression] = STATE(5024),
    [sym_sizeof_expression] = STATE(5024),
    [sym_alignof_expression] = STATE(5024),
    [sym_offsetof_expression] = STATE(5024),
    [sym_generic_expression] = STATE(5024),
    [sym_subscript_expression] = STATE(4507),
    [sym_call_expression] = STATE(4507),
    [sym_gnu_asm_expression] = STATE(5024),
    [sym_field_expression] = STATE(4507),
    [sym_compound_literal_expression] = STATE(5024),
    [sym_parenthesized_expression] = STATE(4507),
    [sym_initializer_list] = STATE(9620),
    [sym_char_literal] = STATE(5374),
    [sym_concatenated_string] = STATE(5377),
    [sym_string_literal] = STATE(4206),
    [sym_null] = STATE(5024),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9352),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(5024),
    [sym_raw_string_literal] = STATE(4217),
    [sym_co_await_expression] = STATE(5024),
    [sym_new_expression] = STATE(5024),
    [sym_delete_expression] = STATE(5024),
    [sym_requires_clause] = STATE(5024),
    [sym_requires_expression] = STATE(5024),
    [sym_lambda_expression] = STATE(5024),
    [sym_lambda_capture_specifier] = STATE(7184),
    [sym_fold_expression] = STATE(5024),
    [sym_parameter_pack_expansion] = STATE(5024),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6886),
    [sym_qualified_identifier] = STATE(4507),
    [sym_qualified_type_identifier] = STATE(9352),
    [sym_user_defined_literal] = STATE(4507),
    [sym_identifier] = ACTIONS(3140),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5151),
    [anon_sym_LPAREN2] = ACTIONS(1472),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1474),
    [anon_sym_AMP] = ACTIONS(1474),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(4413),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [sym_primitive_type] = ACTIONS(3146),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [1898] = {
    [sym__expression] = STATE(5909),
    [sym__expression_not_binary] = STATE(5024),
    [sym__string] = STATE(5024),
    [sym_conditional_expression] = STATE(5024),
    [sym_assignment_expression] = STATE(5024),
    [sym_pointer_expression] = STATE(4507),
    [sym_unary_expression] = STATE(5024),
    [sym_binary_expression] = STATE(5024),
    [sym_update_expression] = STATE(5024),
    [sym_cast_expression] = STATE(5024),
    [sym_sizeof_expression] = STATE(5024),
    [sym_alignof_expression] = STATE(5024),
    [sym_offsetof_expression] = STATE(5024),
    [sym_generic_expression] = STATE(5024),
    [sym_subscript_expression] = STATE(4507),
    [sym_call_expression] = STATE(4507),
    [sym_gnu_asm_expression] = STATE(5024),
    [sym_field_expression] = STATE(4507),
    [sym_compound_literal_expression] = STATE(5024),
    [sym_parenthesized_expression] = STATE(4507),
    [sym_initializer_list] = STATE(9620),
    [sym_char_literal] = STATE(5374),
    [sym_concatenated_string] = STATE(5377),
    [sym_string_literal] = STATE(4206),
    [sym_null] = STATE(5024),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9352),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(5024),
    [sym_raw_string_literal] = STATE(4217),
    [sym_co_await_expression] = STATE(5024),
    [sym_new_expression] = STATE(5024),
    [sym_delete_expression] = STATE(5024),
    [sym_requires_clause] = STATE(5024),
    [sym_requires_expression] = STATE(5024),
    [sym_lambda_expression] = STATE(5024),
    [sym_lambda_capture_specifier] = STATE(7184),
    [sym_fold_expression] = STATE(5024),
    [sym_parameter_pack_expansion] = STATE(5024),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6886),
    [sym_qualified_identifier] = STATE(4507),
    [sym_qualified_type_identifier] = STATE(9352),
    [sym_user_defined_literal] = STATE(4507),
    [sym_identifier] = ACTIONS(3140),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5154),
    [anon_sym_LPAREN2] = ACTIONS(1472),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1474),
    [anon_sym_AMP] = ACTIONS(1474),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(4413),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [sym_primitive_type] = ACTIONS(3146),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [1899] = {
    [sym__expression] = STATE(5909),
    [sym__expression_not_binary] = STATE(5024),
    [sym__string] = STATE(5024),
    [sym_conditional_expression] = STATE(5024),
    [sym_assignment_expression] = STATE(5024),
    [sym_pointer_expression] = STATE(4507),
    [sym_unary_expression] = STATE(5024),
    [sym_binary_expression] = STATE(5024),
    [sym_update_expression] = STATE(5024),
    [sym_cast_expression] = STATE(5024),
    [sym_sizeof_expression] = STATE(5024),
    [sym_alignof_expression] = STATE(5024),
    [sym_offsetof_expression] = STATE(5024),
    [sym_generic_expression] = STATE(5024),
    [sym_subscript_expression] = STATE(4507),
    [sym_call_expression] = STATE(4507),
    [sym_gnu_asm_expression] = STATE(5024),
    [sym_field_expression] = STATE(4507),
    [sym_compound_literal_expression] = STATE(5024),
    [sym_parenthesized_expression] = STATE(4507),
    [sym_initializer_list] = STATE(9620),
    [sym_char_literal] = STATE(5374),
    [sym_concatenated_string] = STATE(5377),
    [sym_string_literal] = STATE(4206),
    [sym_null] = STATE(5024),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9352),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(5024),
    [sym_raw_string_literal] = STATE(4217),
    [sym_co_await_expression] = STATE(5024),
    [sym_new_expression] = STATE(5024),
    [sym_delete_expression] = STATE(5024),
    [sym_requires_clause] = STATE(5024),
    [sym_requires_expression] = STATE(5024),
    [sym_lambda_expression] = STATE(5024),
    [sym_lambda_capture_specifier] = STATE(7184),
    [sym_fold_expression] = STATE(5024),
    [sym_parameter_pack_expansion] = STATE(5024),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6886),
    [sym_qualified_identifier] = STATE(4507),
    [sym_qualified_type_identifier] = STATE(9352),
    [sym_user_defined_literal] = STATE(4507),
    [sym_identifier] = ACTIONS(3140),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5157),
    [anon_sym_LPAREN2] = ACTIONS(1472),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1474),
    [anon_sym_AMP] = ACTIONS(1474),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(4413),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [sym_primitive_type] = ACTIONS(3146),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [1900] = {
    [sym__expression] = STATE(5909),
    [sym__expression_not_binary] = STATE(5024),
    [sym__string] = STATE(5024),
    [sym_conditional_expression] = STATE(5024),
    [sym_assignment_expression] = STATE(5024),
    [sym_pointer_expression] = STATE(4507),
    [sym_unary_expression] = STATE(5024),
    [sym_binary_expression] = STATE(5024),
    [sym_update_expression] = STATE(5024),
    [sym_cast_expression] = STATE(5024),
    [sym_sizeof_expression] = STATE(5024),
    [sym_alignof_expression] = STATE(5024),
    [sym_offsetof_expression] = STATE(5024),
    [sym_generic_expression] = STATE(5024),
    [sym_subscript_expression] = STATE(4507),
    [sym_call_expression] = STATE(4507),
    [sym_gnu_asm_expression] = STATE(5024),
    [sym_field_expression] = STATE(4507),
    [sym_compound_literal_expression] = STATE(5024),
    [sym_parenthesized_expression] = STATE(4507),
    [sym_initializer_list] = STATE(9620),
    [sym_char_literal] = STATE(5374),
    [sym_concatenated_string] = STATE(5377),
    [sym_string_literal] = STATE(4206),
    [sym_null] = STATE(5024),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9352),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(5024),
    [sym_raw_string_literal] = STATE(4217),
    [sym_co_await_expression] = STATE(5024),
    [sym_new_expression] = STATE(5024),
    [sym_delete_expression] = STATE(5024),
    [sym_requires_clause] = STATE(5024),
    [sym_requires_expression] = STATE(5024),
    [sym_lambda_expression] = STATE(5024),
    [sym_lambda_capture_specifier] = STATE(7184),
    [sym_fold_expression] = STATE(5024),
    [sym_parameter_pack_expansion] = STATE(5024),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6886),
    [sym_qualified_identifier] = STATE(4507),
    [sym_qualified_type_identifier] = STATE(9352),
    [sym_user_defined_literal] = STATE(4507),
    [sym_identifier] = ACTIONS(3140),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5160),
    [anon_sym_LPAREN2] = ACTIONS(1472),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1474),
    [anon_sym_AMP] = ACTIONS(1474),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(4413),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [sym_primitive_type] = ACTIONS(3146),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [1901] = {
    [sym__expression] = STATE(5909),
    [sym__expression_not_binary] = STATE(5024),
    [sym__string] = STATE(5024),
    [sym_conditional_expression] = STATE(5024),
    [sym_assignment_expression] = STATE(5024),
    [sym_pointer_expression] = STATE(4507),
    [sym_unary_expression] = STATE(5024),
    [sym_binary_expression] = STATE(5024),
    [sym_update_expression] = STATE(5024),
    [sym_cast_expression] = STATE(5024),
    [sym_sizeof_expression] = STATE(5024),
    [sym_alignof_expression] = STATE(5024),
    [sym_offsetof_expression] = STATE(5024),
    [sym_generic_expression] = STATE(5024),
    [sym_subscript_expression] = STATE(4507),
    [sym_call_expression] = STATE(4507),
    [sym_gnu_asm_expression] = STATE(5024),
    [sym_field_expression] = STATE(4507),
    [sym_compound_literal_expression] = STATE(5024),
    [sym_parenthesized_expression] = STATE(4507),
    [sym_initializer_list] = STATE(9620),
    [sym_char_literal] = STATE(5374),
    [sym_concatenated_string] = STATE(5377),
    [sym_string_literal] = STATE(4206),
    [sym_null] = STATE(5024),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9352),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(5024),
    [sym_raw_string_literal] = STATE(4217),
    [sym_co_await_expression] = STATE(5024),
    [sym_new_expression] = STATE(5024),
    [sym_delete_expression] = STATE(5024),
    [sym_requires_clause] = STATE(5024),
    [sym_requires_expression] = STATE(5024),
    [sym_lambda_expression] = STATE(5024),
    [sym_lambda_capture_specifier] = STATE(7184),
    [sym_fold_expression] = STATE(5024),
    [sym_parameter_pack_expansion] = STATE(5024),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6886),
    [sym_qualified_identifier] = STATE(4507),
    [sym_qualified_type_identifier] = STATE(9352),
    [sym_user_defined_literal] = STATE(4507),
    [sym_identifier] = ACTIONS(3140),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5163),
    [anon_sym_LPAREN2] = ACTIONS(1472),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1474),
    [anon_sym_AMP] = ACTIONS(1474),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(4413),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [sym_primitive_type] = ACTIONS(3146),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [1902] = {
    [sym__expression] = STATE(5482),
    [sym__expression_not_binary] = STATE(5024),
    [sym__string] = STATE(5024),
    [sym_conditional_expression] = STATE(5024),
    [sym_assignment_expression] = STATE(5024),
    [sym_pointer_expression] = STATE(4737),
    [sym_unary_expression] = STATE(5024),
    [sym_binary_expression] = STATE(5024),
    [sym_update_expression] = STATE(5024),
    [sym_cast_expression] = STATE(5024),
    [sym_sizeof_expression] = STATE(5024),
    [sym_alignof_expression] = STATE(5024),
    [sym_offsetof_expression] = STATE(5024),
    [sym_generic_expression] = STATE(5024),
    [sym_subscript_expression] = STATE(4737),
    [sym_call_expression] = STATE(4737),
    [sym_gnu_asm_expression] = STATE(5024),
    [sym_field_expression] = STATE(4737),
    [sym_compound_literal_expression] = STATE(5024),
    [sym_parenthesized_expression] = STATE(4737),
    [sym_initializer_list] = STATE(8760),
    [sym_char_literal] = STATE(5374),
    [sym_concatenated_string] = STATE(5377),
    [sym_string_literal] = STATE(4206),
    [sym_null] = STATE(5024),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9352),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(5024),
    [sym_raw_string_literal] = STATE(4217),
    [sym_co_await_expression] = STATE(5024),
    [sym_new_expression] = STATE(5024),
    [sym_delete_expression] = STATE(5024),
    [sym_requires_clause] = STATE(5024),
    [sym_requires_expression] = STATE(5024),
    [sym_lambda_expression] = STATE(5024),
    [sym_lambda_capture_specifier] = STATE(7184),
    [sym_fold_expression] = STATE(5024),
    [sym_parameter_pack_expansion] = STATE(5024),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6886),
    [sym_qualified_identifier] = STATE(4737),
    [sym_qualified_type_identifier] = STATE(9352),
    [sym_user_defined_literal] = STATE(4737),
    [sym_identifier] = ACTIONS(4502),
    [anon_sym_LPAREN2] = ACTIONS(4540),
    [anon_sym_BANG] = ACTIONS(4506),
    [anon_sym_TILDE] = ACTIONS(4506),
    [anon_sym_DASH] = ACTIONS(4504),
    [anon_sym_PLUS] = ACTIONS(4504),
    [anon_sym_STAR] = ACTIONS(1474),
    [anon_sym_AMP] = ACTIONS(1474),
    [anon_sym_COLON_COLON] = ACTIONS(4508),
    [anon_sym_LBRACE] = ACTIONS(4413),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [anon_sym_RBRACK] = ACTIONS(5166),
    [sym_primitive_type] = ACTIONS(3146),
    [anon_sym_not] = ACTIONS(4504),
    [anon_sym_compl] = ACTIONS(4504),
    [anon_sym_DASH_DASH] = ACTIONS(4544),
    [anon_sym_PLUS_PLUS] = ACTIONS(4544),
    [anon_sym_sizeof] = ACTIONS(4510),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(4512),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(4514),
    [anon_sym_new] = ACTIONS(4516),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [1903] = {
    [sym__expression] = STATE(5414),
    [sym__expression_not_binary] = STATE(5024),
    [sym__string] = STATE(5024),
    [sym_conditional_expression] = STATE(5024),
    [sym_assignment_expression] = STATE(5024),
    [sym_pointer_expression] = STATE(4507),
    [sym_unary_expression] = STATE(5024),
    [sym_binary_expression] = STATE(5024),
    [sym_update_expression] = STATE(5024),
    [sym_cast_expression] = STATE(5024),
    [sym_sizeof_expression] = STATE(5024),
    [sym_alignof_expression] = STATE(5024),
    [sym_offsetof_expression] = STATE(5024),
    [sym_generic_expression] = STATE(5024),
    [sym_subscript_expression] = STATE(4507),
    [sym_call_expression] = STATE(4507),
    [sym_gnu_asm_expression] = STATE(5024),
    [sym_field_expression] = STATE(4507),
    [sym_compound_literal_expression] = STATE(5024),
    [sym_parenthesized_expression] = STATE(4507),
    [sym_char_literal] = STATE(5374),
    [sym_concatenated_string] = STATE(5377),
    [sym_string_literal] = STATE(4206),
    [sym_null] = STATE(5024),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9352),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(5024),
    [sym_raw_string_literal] = STATE(4217),
    [sym_co_await_expression] = STATE(5024),
    [sym_new_expression] = STATE(5024),
    [sym_delete_expression] = STATE(5024),
    [sym_requires_clause] = STATE(5024),
    [sym_requires_expression] = STATE(5024),
    [sym_lambda_expression] = STATE(5024),
    [sym_lambda_capture_specifier] = STATE(7184),
    [sym_fold_expression] = STATE(5024),
    [sym_parameter_pack_expansion] = STATE(5024),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6886),
    [sym_qualified_identifier] = STATE(4507),
    [sym_qualified_type_identifier] = STATE(9352),
    [sym_user_defined_literal] = STATE(4507),
    [sym_identifier] = ACTIONS(3140),
    [anon_sym_LPAREN2] = ACTIONS(5007),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(5007),
    [anon_sym_AMP_AMP] = ACTIONS(5007),
    [anon_sym_AMP] = ACTIONS(5009),
    [anon_sym_LT] = ACTIONS(5007),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(5007),
    [anon_sym_LBRACK] = ACTIONS(5007),
    [sym_primitive_type] = ACTIONS(3146),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [1904] = {
    [sym__expression] = STATE(5443),
    [sym__expression_not_binary] = STATE(5024),
    [sym__string] = STATE(5024),
    [sym_conditional_expression] = STATE(5024),
    [sym_assignment_expression] = STATE(5024),
    [sym_pointer_expression] = STATE(4737),
    [sym_unary_expression] = STATE(5024),
    [sym_binary_expression] = STATE(5024),
    [sym_update_expression] = STATE(5024),
    [sym_cast_expression] = STATE(5024),
    [sym_sizeof_expression] = STATE(5024),
    [sym_alignof_expression] = STATE(5024),
    [sym_offsetof_expression] = STATE(5024),
    [sym_generic_expression] = STATE(5024),
    [sym_subscript_expression] = STATE(4737),
    [sym_call_expression] = STATE(4737),
    [sym_gnu_asm_expression] = STATE(5024),
    [sym_field_expression] = STATE(4737),
    [sym_compound_literal_expression] = STATE(5024),
    [sym_parenthesized_expression] = STATE(4737),
    [sym_char_literal] = STATE(5374),
    [sym_concatenated_string] = STATE(5377),
    [sym_string_literal] = STATE(4206),
    [sym_null] = STATE(5024),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9352),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(5024),
    [sym_raw_string_literal] = STATE(4217),
    [sym_co_await_expression] = STATE(5024),
    [sym_new_expression] = STATE(5024),
    [sym_delete_expression] = STATE(5024),
    [sym_requires_clause] = STATE(5024),
    [sym_requires_expression] = STATE(5024),
    [sym_lambda_expression] = STATE(5024),
    [sym_lambda_capture_specifier] = STATE(7184),
    [sym_lambda_default_capture] = STATE(9316),
    [sym_fold_expression] = STATE(5024),
    [sym_parameter_pack_expansion] = STATE(5024),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6886),
    [sym_qualified_identifier] = STATE(4737),
    [sym_qualified_type_identifier] = STATE(9352),
    [sym_user_defined_literal] = STATE(4737),
    [sym_identifier] = ACTIONS(4502),
    [anon_sym_LPAREN2] = ACTIONS(4540),
    [anon_sym_BANG] = ACTIONS(4506),
    [anon_sym_TILDE] = ACTIONS(4506),
    [anon_sym_DASH] = ACTIONS(4504),
    [anon_sym_PLUS] = ACTIONS(4504),
    [anon_sym_STAR] = ACTIONS(1474),
    [anon_sym_AMP] = ACTIONS(5025),
    [anon_sym_COLON_COLON] = ACTIONS(4508),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [anon_sym_RBRACK] = ACTIONS(5168),
    [anon_sym_EQ] = ACTIONS(5029),
    [sym_primitive_type] = ACTIONS(3146),
    [anon_sym_not] = ACTIONS(4504),
    [anon_sym_compl] = ACTIONS(4504),
    [anon_sym_DASH_DASH] = ACTIONS(4544),
    [anon_sym_PLUS_PLUS] = ACTIONS(4544),
    [anon_sym_sizeof] = ACTIONS(4510),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(4512),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(4514),
    [anon_sym_new] = ACTIONS(4516),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [1905] = {
    [sym__expression] = STATE(5232),
    [sym__expression_not_binary] = STATE(5024),
    [sym__string] = STATE(5024),
    [sym_conditional_expression] = STATE(5024),
    [sym_assignment_expression] = STATE(5024),
    [sym_pointer_expression] = STATE(4031),
    [sym_unary_expression] = STATE(5024),
    [sym_binary_expression] = STATE(5024),
    [sym_update_expression] = STATE(5024),
    [sym_cast_expression] = STATE(5024),
    [sym_sizeof_expression] = STATE(5024),
    [sym_alignof_expression] = STATE(5024),
    [sym_offsetof_expression] = STATE(5024),
    [sym_generic_expression] = STATE(5024),
    [sym_subscript_expression] = STATE(4031),
    [sym_call_expression] = STATE(4031),
    [sym_gnu_asm_expression] = STATE(5024),
    [sym_field_expression] = STATE(4031),
    [sym_compound_literal_expression] = STATE(5024),
    [sym_parenthesized_expression] = STATE(4031),
    [sym_char_literal] = STATE(5335),
    [sym_concatenated_string] = STATE(5317),
    [sym_string_literal] = STATE(4163),
    [sym_null] = STATE(5024),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9352),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(5024),
    [sym_raw_string_literal] = STATE(4121),
    [sym_co_await_expression] = STATE(5024),
    [sym_new_expression] = STATE(5024),
    [sym_delete_expression] = STATE(5024),
    [sym_requires_clause] = STATE(5024),
    [sym_requires_expression] = STATE(5024),
    [sym_lambda_expression] = STATE(5024),
    [sym_lambda_capture_specifier] = STATE(7184),
    [sym_fold_expression] = STATE(5024),
    [sym_parameter_pack_expansion] = STATE(5024),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6886),
    [sym_qualified_identifier] = STATE(4031),
    [sym_qualified_type_identifier] = STATE(9352),
    [sym_user_defined_literal] = STATE(4031),
    [sym_identifier] = ACTIONS(5113),
    [anon_sym_LPAREN2] = ACTIONS(5007),
    [anon_sym_BANG] = ACTIONS(4409),
    [anon_sym_TILDE] = ACTIONS(4409),
    [anon_sym_DASH] = ACTIONS(4407),
    [anon_sym_PLUS] = ACTIONS(4407),
    [anon_sym_STAR] = ACTIONS(5007),
    [anon_sym_AMP_AMP] = ACTIONS(5007),
    [anon_sym_AMP] = ACTIONS(5009),
    [anon_sym_LT] = ACTIONS(5007),
    [anon_sym_COLON_COLON] = ACTIONS(4411),
    [anon_sym_LBRACE] = ACTIONS(5007),
    [anon_sym_LBRACK] = ACTIONS(5007),
    [sym_primitive_type] = ACTIONS(3146),
    [anon_sym_not] = ACTIONS(4407),
    [anon_sym_compl] = ACTIONS(4407),
    [anon_sym_DASH_DASH] = ACTIONS(5115),
    [anon_sym_PLUS_PLUS] = ACTIONS(5115),
    [anon_sym_sizeof] = ACTIONS(4415),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(4417),
    [anon_sym_L_SQUOTE] = ACTIONS(4419),
    [anon_sym_u_SQUOTE] = ACTIONS(4419),
    [anon_sym_U_SQUOTE] = ACTIONS(4419),
    [anon_sym_u8_SQUOTE] = ACTIONS(4419),
    [anon_sym_SQUOTE] = ACTIONS(4419),
    [anon_sym_L_DQUOTE] = ACTIONS(4247),
    [anon_sym_u_DQUOTE] = ACTIONS(4247),
    [anon_sym_U_DQUOTE] = ACTIONS(4247),
    [anon_sym_u8_DQUOTE] = ACTIONS(4247),
    [anon_sym_DQUOTE] = ACTIONS(4247),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(4421),
    [anon_sym_R_DQUOTE] = ACTIONS(4249),
    [anon_sym_LR_DQUOTE] = ACTIONS(4249),
    [anon_sym_uR_DQUOTE] = ACTIONS(4249),
    [anon_sym_UR_DQUOTE] = ACTIONS(4249),
    [anon_sym_u8R_DQUOTE] = ACTIONS(4249),
    [anon_sym_co_await] = ACTIONS(4423),
    [anon_sym_new] = ACTIONS(4425),
    [anon_sym_requires] = ACTIONS(4427),
    [sym_this] = ACTIONS(221),
  },
  [1906] = {
    [sym__declaration_modifiers] = STATE(2673),
    [sym__declaration_specifiers] = STATE(5967),
    [sym_attribute_specifier] = STATE(2673),
    [sym_attribute_declaration] = STATE(2673),
    [sym_ms_declspec_modifier] = STATE(2673),
    [sym_ms_call_modifier] = STATE(2650),
    [sym_storage_class_specifier] = STATE(2673),
    [sym_type_qualifier] = STATE(2673),
    [sym__type_specifier] = STATE(2827),
    [sym_sized_type_specifier] = STATE(3085),
    [sym_enum_specifier] = STATE(3085),
    [sym_struct_specifier] = STATE(3085),
    [sym_union_specifier] = STATE(3085),
    [sym_placeholder_type_specifier] = STATE(3085),
    [sym_decltype_auto] = STATE(3091),
    [sym_decltype] = STATE(3050),
    [sym_class_specifier] = STATE(3085),
    [sym_virtual] = STATE(2673),
    [sym_alignas_specifier] = STATE(2673),
    [sym_dependent_type] = STATE(3085),
    [sym_template_type] = STATE(3050),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(7887),
    [sym_qualified_type_identifier] = STATE(3068),
    [sym_qualifiers] = STATE(2673),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2673),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3021),
    [sym_identifier] = ACTIONS(3896),
    [anon_sym___extension__] = ACTIONS(63),
    [anon_sym_in] = ACTIONS(1480),
    [anon_sym_out] = ACTIONS(1480),
    [anon_sym_inout] = ACTIONS(1480),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(3904),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2096),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(51),
    [anon_sym___clrcall] = ACTIONS(51),
    [anon_sym___stdcall] = ACTIONS(51),
    [anon_sym___fastcall] = ACTIONS(51),
    [anon_sym___thiscall] = ACTIONS(51),
    [anon_sym___vectorcall] = ACTIONS(51),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(2891),
    [anon_sym_enum] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(69),
    [anon_sym_struct] = ACTIONS(71),
    [anon_sym_union] = ACTIONS(73),
    [anon_sym_if] = ACTIONS(5170),
    [anon_sym_for] = ACTIONS(5172),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [anon_sym_virtual] = ACTIONS(123),
    [anon_sym_alignas] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_precise] = ACTIONS(161),
    [anon_sym_shared] = ACTIONS(161),
    [anon_sym_groupshared] = ACTIONS(161),
    [anon_sym_uniform] = ACTIONS(161),
    [anon_sym_row_major] = ACTIONS(161),
    [anon_sym_column_major] = ACTIONS(161),
    [anon_sym_globallycoherent] = ACTIONS(161),
    [anon_sym_centroid] = ACTIONS(161),
    [anon_sym_noperspective] = ACTIONS(161),
    [anon_sym_nointerpolation] = ACTIONS(161),
    [anon_sym_sample] = ACTIONS(161),
    [anon_sym_linear] = ACTIONS(161),
    [anon_sym_snorm] = ACTIONS(161),
    [anon_sym_unorm] = ACTIONS(161),
    [anon_sym_point] = ACTIONS(161),
    [anon_sym_line] = ACTIONS(161),
    [anon_sym_triangleadj] = ACTIONS(161),
    [anon_sym_lineadj] = ACTIONS(161),
    [anon_sym_triangle] = ACTIONS(161),
  },
  [1907] = {
    [sym__declaration_modifiers] = STATE(2673),
    [sym__declaration_specifiers] = STATE(6009),
    [sym_attribute_specifier] = STATE(2673),
    [sym_attribute_declaration] = STATE(2673),
    [sym_ms_declspec_modifier] = STATE(2673),
    [sym_ms_call_modifier] = STATE(2603),
    [sym_storage_class_specifier] = STATE(2673),
    [sym_type_qualifier] = STATE(2673),
    [sym__type_specifier] = STATE(2827),
    [sym_sized_type_specifier] = STATE(3085),
    [sym_enum_specifier] = STATE(3085),
    [sym_struct_specifier] = STATE(3085),
    [sym_union_specifier] = STATE(3085),
    [sym_placeholder_type_specifier] = STATE(3085),
    [sym_decltype_auto] = STATE(3091),
    [sym_decltype] = STATE(3050),
    [sym_class_specifier] = STATE(3085),
    [sym_virtual] = STATE(2673),
    [sym_alignas_specifier] = STATE(2673),
    [sym_dependent_type] = STATE(3085),
    [sym_template_type] = STATE(3050),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(7887),
    [sym_qualified_type_identifier] = STATE(3068),
    [sym_qualifiers] = STATE(2673),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2673),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3021),
    [sym_identifier] = ACTIONS(3896),
    [anon_sym___extension__] = ACTIONS(63),
    [anon_sym_in] = ACTIONS(1480),
    [anon_sym_out] = ACTIONS(1480),
    [anon_sym_inout] = ACTIONS(1480),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(3904),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2096),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(51),
    [anon_sym___clrcall] = ACTIONS(51),
    [anon_sym___stdcall] = ACTIONS(51),
    [anon_sym___fastcall] = ACTIONS(51),
    [anon_sym___thiscall] = ACTIONS(51),
    [anon_sym___vectorcall] = ACTIONS(51),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(2891),
    [anon_sym_enum] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(69),
    [anon_sym_struct] = ACTIONS(71),
    [anon_sym_union] = ACTIONS(73),
    [anon_sym_if] = ACTIONS(5174),
    [anon_sym_for] = ACTIONS(5176),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [anon_sym_virtual] = ACTIONS(123),
    [anon_sym_alignas] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_precise] = ACTIONS(161),
    [anon_sym_shared] = ACTIONS(161),
    [anon_sym_groupshared] = ACTIONS(161),
    [anon_sym_uniform] = ACTIONS(161),
    [anon_sym_row_major] = ACTIONS(161),
    [anon_sym_column_major] = ACTIONS(161),
    [anon_sym_globallycoherent] = ACTIONS(161),
    [anon_sym_centroid] = ACTIONS(161),
    [anon_sym_noperspective] = ACTIONS(161),
    [anon_sym_nointerpolation] = ACTIONS(161),
    [anon_sym_sample] = ACTIONS(161),
    [anon_sym_linear] = ACTIONS(161),
    [anon_sym_snorm] = ACTIONS(161),
    [anon_sym_unorm] = ACTIONS(161),
    [anon_sym_point] = ACTIONS(161),
    [anon_sym_line] = ACTIONS(161),
    [anon_sym_triangleadj] = ACTIONS(161),
    [anon_sym_lineadj] = ACTIONS(161),
    [anon_sym_triangle] = ACTIONS(161),
  },
  [1908] = {
    [sym__expression] = STATE(5443),
    [sym__expression_not_binary] = STATE(5024),
    [sym__string] = STATE(5024),
    [sym_conditional_expression] = STATE(5024),
    [sym_assignment_expression] = STATE(5024),
    [sym_pointer_expression] = STATE(4737),
    [sym_unary_expression] = STATE(5024),
    [sym_binary_expression] = STATE(5024),
    [sym_update_expression] = STATE(5024),
    [sym_cast_expression] = STATE(5024),
    [sym_sizeof_expression] = STATE(5024),
    [sym_alignof_expression] = STATE(5024),
    [sym_offsetof_expression] = STATE(5024),
    [sym_generic_expression] = STATE(5024),
    [sym_subscript_expression] = STATE(4737),
    [sym_call_expression] = STATE(4737),
    [sym_gnu_asm_expression] = STATE(5024),
    [sym_field_expression] = STATE(4737),
    [sym_compound_literal_expression] = STATE(5024),
    [sym_parenthesized_expression] = STATE(4737),
    [sym_char_literal] = STATE(5374),
    [sym_concatenated_string] = STATE(5377),
    [sym_string_literal] = STATE(4206),
    [sym_null] = STATE(5024),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9352),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(5024),
    [sym_raw_string_literal] = STATE(4217),
    [sym_co_await_expression] = STATE(5024),
    [sym_new_expression] = STATE(5024),
    [sym_delete_expression] = STATE(5024),
    [sym_requires_clause] = STATE(5024),
    [sym_requires_expression] = STATE(5024),
    [sym_lambda_expression] = STATE(5024),
    [sym_lambda_capture_specifier] = STATE(7184),
    [sym_lambda_default_capture] = STATE(9316),
    [sym_fold_expression] = STATE(5024),
    [sym_parameter_pack_expansion] = STATE(5024),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6886),
    [sym_qualified_identifier] = STATE(4737),
    [sym_qualified_type_identifier] = STATE(9352),
    [sym_user_defined_literal] = STATE(4737),
    [sym_identifier] = ACTIONS(4502),
    [anon_sym_LPAREN2] = ACTIONS(4540),
    [anon_sym_BANG] = ACTIONS(4506),
    [anon_sym_TILDE] = ACTIONS(4506),
    [anon_sym_DASH] = ACTIONS(4504),
    [anon_sym_PLUS] = ACTIONS(4504),
    [anon_sym_STAR] = ACTIONS(1474),
    [anon_sym_AMP] = ACTIONS(5025),
    [anon_sym_COLON_COLON] = ACTIONS(4508),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [anon_sym_RBRACK] = ACTIONS(5178),
    [anon_sym_EQ] = ACTIONS(5029),
    [sym_primitive_type] = ACTIONS(3146),
    [anon_sym_not] = ACTIONS(4504),
    [anon_sym_compl] = ACTIONS(4504),
    [anon_sym_DASH_DASH] = ACTIONS(4544),
    [anon_sym_PLUS_PLUS] = ACTIONS(4544),
    [anon_sym_sizeof] = ACTIONS(4510),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(4512),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(4514),
    [anon_sym_new] = ACTIONS(4516),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [1909] = {
    [sym__expression] = STATE(5443),
    [sym__expression_not_binary] = STATE(5024),
    [sym__string] = STATE(5024),
    [sym_conditional_expression] = STATE(5024),
    [sym_assignment_expression] = STATE(5024),
    [sym_pointer_expression] = STATE(4737),
    [sym_unary_expression] = STATE(5024),
    [sym_binary_expression] = STATE(5024),
    [sym_update_expression] = STATE(5024),
    [sym_cast_expression] = STATE(5024),
    [sym_sizeof_expression] = STATE(5024),
    [sym_alignof_expression] = STATE(5024),
    [sym_offsetof_expression] = STATE(5024),
    [sym_generic_expression] = STATE(5024),
    [sym_subscript_expression] = STATE(4737),
    [sym_call_expression] = STATE(4737),
    [sym_gnu_asm_expression] = STATE(5024),
    [sym_field_expression] = STATE(4737),
    [sym_compound_literal_expression] = STATE(5024),
    [sym_parenthesized_expression] = STATE(4737),
    [sym_char_literal] = STATE(5374),
    [sym_concatenated_string] = STATE(5377),
    [sym_string_literal] = STATE(4206),
    [sym_null] = STATE(5024),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9352),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(5024),
    [sym_raw_string_literal] = STATE(4217),
    [sym_co_await_expression] = STATE(5024),
    [sym_new_expression] = STATE(5024),
    [sym_delete_expression] = STATE(5024),
    [sym_requires_clause] = STATE(5024),
    [sym_requires_expression] = STATE(5024),
    [sym_lambda_expression] = STATE(5024),
    [sym_lambda_capture_specifier] = STATE(7184),
    [sym_lambda_default_capture] = STATE(9316),
    [sym_fold_expression] = STATE(5024),
    [sym_parameter_pack_expansion] = STATE(5024),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6886),
    [sym_qualified_identifier] = STATE(4737),
    [sym_qualified_type_identifier] = STATE(9352),
    [sym_user_defined_literal] = STATE(4737),
    [sym_identifier] = ACTIONS(4502),
    [anon_sym_LPAREN2] = ACTIONS(4540),
    [anon_sym_BANG] = ACTIONS(4506),
    [anon_sym_TILDE] = ACTIONS(4506),
    [anon_sym_DASH] = ACTIONS(4504),
    [anon_sym_PLUS] = ACTIONS(4504),
    [anon_sym_STAR] = ACTIONS(1474),
    [anon_sym_AMP] = ACTIONS(5025),
    [anon_sym_COLON_COLON] = ACTIONS(4508),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [anon_sym_RBRACK] = ACTIONS(5180),
    [anon_sym_EQ] = ACTIONS(5029),
    [sym_primitive_type] = ACTIONS(3146),
    [anon_sym_not] = ACTIONS(4504),
    [anon_sym_compl] = ACTIONS(4504),
    [anon_sym_DASH_DASH] = ACTIONS(4544),
    [anon_sym_PLUS_PLUS] = ACTIONS(4544),
    [anon_sym_sizeof] = ACTIONS(4510),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(4512),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(4514),
    [anon_sym_new] = ACTIONS(4516),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [1910] = {
    [sym__expression] = STATE(5443),
    [sym__expression_not_binary] = STATE(5024),
    [sym__string] = STATE(5024),
    [sym_conditional_expression] = STATE(5024),
    [sym_assignment_expression] = STATE(5024),
    [sym_pointer_expression] = STATE(4737),
    [sym_unary_expression] = STATE(5024),
    [sym_binary_expression] = STATE(5024),
    [sym_update_expression] = STATE(5024),
    [sym_cast_expression] = STATE(5024),
    [sym_sizeof_expression] = STATE(5024),
    [sym_alignof_expression] = STATE(5024),
    [sym_offsetof_expression] = STATE(5024),
    [sym_generic_expression] = STATE(5024),
    [sym_subscript_expression] = STATE(4737),
    [sym_call_expression] = STATE(4737),
    [sym_gnu_asm_expression] = STATE(5024),
    [sym_field_expression] = STATE(4737),
    [sym_compound_literal_expression] = STATE(5024),
    [sym_parenthesized_expression] = STATE(4737),
    [sym_char_literal] = STATE(5374),
    [sym_concatenated_string] = STATE(5377),
    [sym_string_literal] = STATE(4206),
    [sym_null] = STATE(5024),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9352),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(5024),
    [sym_raw_string_literal] = STATE(4217),
    [sym_co_await_expression] = STATE(5024),
    [sym_new_expression] = STATE(5024),
    [sym_delete_expression] = STATE(5024),
    [sym_requires_clause] = STATE(5024),
    [sym_requires_expression] = STATE(5024),
    [sym_lambda_expression] = STATE(5024),
    [sym_lambda_capture_specifier] = STATE(7184),
    [sym_lambda_default_capture] = STATE(9316),
    [sym_fold_expression] = STATE(5024),
    [sym_parameter_pack_expansion] = STATE(5024),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6886),
    [sym_qualified_identifier] = STATE(4737),
    [sym_qualified_type_identifier] = STATE(9352),
    [sym_user_defined_literal] = STATE(4737),
    [sym_identifier] = ACTIONS(4502),
    [anon_sym_LPAREN2] = ACTIONS(4540),
    [anon_sym_BANG] = ACTIONS(4506),
    [anon_sym_TILDE] = ACTIONS(4506),
    [anon_sym_DASH] = ACTIONS(4504),
    [anon_sym_PLUS] = ACTIONS(4504),
    [anon_sym_STAR] = ACTIONS(1474),
    [anon_sym_AMP] = ACTIONS(5025),
    [anon_sym_COLON_COLON] = ACTIONS(4508),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [anon_sym_RBRACK] = ACTIONS(5182),
    [anon_sym_EQ] = ACTIONS(5029),
    [sym_primitive_type] = ACTIONS(3146),
    [anon_sym_not] = ACTIONS(4504),
    [anon_sym_compl] = ACTIONS(4504),
    [anon_sym_DASH_DASH] = ACTIONS(4544),
    [anon_sym_PLUS_PLUS] = ACTIONS(4544),
    [anon_sym_sizeof] = ACTIONS(4510),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(4512),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(4514),
    [anon_sym_new] = ACTIONS(4516),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [1911] = {
    [sym__expression] = STATE(3544),
    [sym__expression_not_binary] = STATE(3672),
    [sym__string] = STATE(3672),
    [sym_conditional_expression] = STATE(3672),
    [sym_assignment_expression] = STATE(3672),
    [sym_pointer_expression] = STATE(3672),
    [sym_unary_expression] = STATE(3672),
    [sym_binary_expression] = STATE(3672),
    [sym_update_expression] = STATE(3672),
    [sym_cast_expression] = STATE(3672),
    [sym_sizeof_expression] = STATE(3672),
    [sym_alignof_expression] = STATE(3672),
    [sym_offsetof_expression] = STATE(3672),
    [sym_generic_expression] = STATE(3672),
    [sym_subscript_expression] = STATE(3672),
    [sym_call_expression] = STATE(3672),
    [sym_gnu_asm_expression] = STATE(3672),
    [sym_field_expression] = STATE(3672),
    [sym_compound_literal_expression] = STATE(3672),
    [sym_parenthesized_expression] = STATE(3672),
    [sym_initializer_list] = STATE(3655),
    [sym_char_literal] = STATE(3855),
    [sym_concatenated_string] = STATE(3873),
    [sym_string_literal] = STATE(3222),
    [sym_null] = STATE(3672),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9333),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(3672),
    [sym_raw_string_literal] = STATE(3216),
    [sym_co_await_expression] = STATE(3672),
    [sym_new_expression] = STATE(3672),
    [sym_delete_expression] = STATE(3672),
    [sym_requires_clause] = STATE(3672),
    [sym_requires_expression] = STATE(3672),
    [sym_lambda_expression] = STATE(3672),
    [sym_lambda_capture_specifier] = STATE(7134),
    [sym_fold_expression] = STATE(3672),
    [sym_parameter_pack_expansion] = STATE(3672),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6886),
    [sym_qualified_identifier] = STATE(3672),
    [sym_qualified_type_identifier] = STATE(9333),
    [sym_user_defined_literal] = STATE(3672),
    [sym_identifier] = ACTIONS(3968),
    [anon_sym_LPAREN2] = ACTIONS(5184),
    [anon_sym_BANG] = ACTIONS(3922),
    [anon_sym_TILDE] = ACTIONS(3922),
    [anon_sym_DASH] = ACTIONS(3920),
    [anon_sym_PLUS] = ACTIONS(3920),
    [anon_sym_STAR] = ACTIONS(5186),
    [anon_sym_AMP] = ACTIONS(5186),
    [anon_sym_COLON_COLON] = ACTIONS(3924),
    [anon_sym_LBRACE] = ACTIONS(3926),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [sym_primitive_type] = ACTIONS(3928),
    [anon_sym_not] = ACTIONS(3920),
    [anon_sym_compl] = ACTIONS(3920),
    [anon_sym_DASH_DASH] = ACTIONS(5013),
    [anon_sym_PLUS_PLUS] = ACTIONS(5013),
    [anon_sym_sizeof] = ACTIONS(3930),
    [anon_sym___alignof__] = ACTIONS(3932),
    [anon_sym___alignof] = ACTIONS(3932),
    [anon_sym__alignof] = ACTIONS(3932),
    [anon_sym_alignof] = ACTIONS(3932),
    [anon_sym__Alignof] = ACTIONS(3932),
    [anon_sym_offsetof] = ACTIONS(3934),
    [anon_sym__Generic] = ACTIONS(3936),
    [anon_sym_asm] = ACTIONS(3938),
    [anon_sym___asm__] = ACTIONS(3938),
    [sym_number_literal] = ACTIONS(3940),
    [anon_sym_L_SQUOTE] = ACTIONS(3942),
    [anon_sym_u_SQUOTE] = ACTIONS(3942),
    [anon_sym_U_SQUOTE] = ACTIONS(3942),
    [anon_sym_u8_SQUOTE] = ACTIONS(3942),
    [anon_sym_SQUOTE] = ACTIONS(3942),
    [anon_sym_L_DQUOTE] = ACTIONS(3944),
    [anon_sym_u_DQUOTE] = ACTIONS(3944),
    [anon_sym_U_DQUOTE] = ACTIONS(3944),
    [anon_sym_u8_DQUOTE] = ACTIONS(3944),
    [anon_sym_DQUOTE] = ACTIONS(3944),
    [sym_true] = ACTIONS(3946),
    [sym_false] = ACTIONS(3946),
    [anon_sym_NULL] = ACTIONS(3948),
    [anon_sym_nullptr] = ACTIONS(3948),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(3950),
    [anon_sym_R_DQUOTE] = ACTIONS(3952),
    [anon_sym_LR_DQUOTE] = ACTIONS(3952),
    [anon_sym_uR_DQUOTE] = ACTIONS(3952),
    [anon_sym_UR_DQUOTE] = ACTIONS(3952),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3952),
    [anon_sym_co_await] = ACTIONS(3954),
    [anon_sym_new] = ACTIONS(3956),
    [anon_sym_requires] = ACTIONS(3958),
    [sym_this] = ACTIONS(3946),
  },
  [1912] = {
    [sym__expression] = STATE(5643),
    [sym__expression_not_binary] = STATE(5024),
    [sym__string] = STATE(5024),
    [sym_comma_expression] = STATE(9602),
    [sym_conditional_expression] = STATE(5024),
    [sym_assignment_expression] = STATE(5024),
    [sym_pointer_expression] = STATE(4713),
    [sym_unary_expression] = STATE(5024),
    [sym_binary_expression] = STATE(5024),
    [sym_update_expression] = STATE(5024),
    [sym_cast_expression] = STATE(5024),
    [sym_sizeof_expression] = STATE(5024),
    [sym_alignof_expression] = STATE(5024),
    [sym_offsetof_expression] = STATE(5024),
    [sym_generic_expression] = STATE(5024),
    [sym_subscript_expression] = STATE(4713),
    [sym_call_expression] = STATE(4713),
    [sym_gnu_asm_expression] = STATE(5024),
    [sym_field_expression] = STATE(4713),
    [sym_compound_literal_expression] = STATE(5024),
    [sym_parenthesized_expression] = STATE(4713),
    [sym_char_literal] = STATE(5374),
    [sym_concatenated_string] = STATE(5377),
    [sym_string_literal] = STATE(4206),
    [sym_null] = STATE(5024),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9352),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(5024),
    [sym_raw_string_literal] = STATE(4217),
    [sym_co_await_expression] = STATE(5024),
    [sym_new_expression] = STATE(5024),
    [sym_delete_expression] = STATE(5024),
    [sym_requires_clause] = STATE(5024),
    [sym_requires_expression] = STATE(5024),
    [sym_lambda_expression] = STATE(5024),
    [sym_lambda_capture_specifier] = STATE(7184),
    [sym_fold_expression] = STATE(5024),
    [sym_parameter_pack_expansion] = STATE(5024),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6886),
    [sym_qualified_identifier] = STATE(4713),
    [sym_qualified_type_identifier] = STATE(9352),
    [sym_user_defined_literal] = STATE(4713),
    [sym_identifier] = ACTIONS(4518),
    [anon_sym_LPAREN2] = ACTIONS(5188),
    [anon_sym_BANG] = ACTIONS(4522),
    [anon_sym_TILDE] = ACTIONS(4522),
    [anon_sym_DASH] = ACTIONS(4520),
    [anon_sym_PLUS] = ACTIONS(4520),
    [anon_sym_STAR] = ACTIONS(5190),
    [anon_sym_AMP] = ACTIONS(5190),
    [anon_sym_COLON] = ACTIONS(5192),
    [anon_sym_COLON_COLON] = ACTIONS(4524),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [sym_primitive_type] = ACTIONS(3146),
    [anon_sym_not] = ACTIONS(4520),
    [anon_sym_compl] = ACTIONS(4520),
    [anon_sym_DASH_DASH] = ACTIONS(5071),
    [anon_sym_PLUS_PLUS] = ACTIONS(5071),
    [anon_sym_sizeof] = ACTIONS(4526),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(4528),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(4530),
    [anon_sym_new] = ACTIONS(4516),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [1913] = {
    [sym__expression] = STATE(4973),
    [sym__expression_not_binary] = STATE(5024),
    [sym__string] = STATE(5024),
    [sym_conditional_expression] = STATE(5024),
    [sym_assignment_expression] = STATE(5024),
    [sym_pointer_expression] = STATE(4737),
    [sym_unary_expression] = STATE(5024),
    [sym_binary_expression] = STATE(5024),
    [sym_update_expression] = STATE(5024),
    [sym_cast_expression] = STATE(5024),
    [sym_sizeof_expression] = STATE(5024),
    [sym_alignof_expression] = STATE(5024),
    [sym_offsetof_expression] = STATE(5024),
    [sym_generic_expression] = STATE(5024),
    [sym_subscript_expression] = STATE(4737),
    [sym_call_expression] = STATE(4737),
    [sym_gnu_asm_expression] = STATE(5024),
    [sym_field_expression] = STATE(4737),
    [sym_compound_literal_expression] = STATE(5024),
    [sym_parenthesized_expression] = STATE(4737),
    [sym_initializer_list] = STATE(4974),
    [sym_char_literal] = STATE(5374),
    [sym_concatenated_string] = STATE(5377),
    [sym_string_literal] = STATE(4206),
    [sym_null] = STATE(5024),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9352),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(5024),
    [sym_raw_string_literal] = STATE(4217),
    [sym_co_await_expression] = STATE(5024),
    [sym_new_expression] = STATE(5024),
    [sym_delete_expression] = STATE(5024),
    [sym_requires_clause] = STATE(5024),
    [sym_requires_expression] = STATE(5024),
    [sym_lambda_expression] = STATE(5024),
    [sym_lambda_capture_specifier] = STATE(7184),
    [sym_fold_expression] = STATE(5024),
    [sym_parameter_pack_expansion] = STATE(5024),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6886),
    [sym_qualified_identifier] = STATE(4737),
    [sym_qualified_type_identifier] = STATE(9352),
    [sym_user_defined_literal] = STATE(4737),
    [sym_identifier] = ACTIONS(4502),
    [anon_sym_LPAREN2] = ACTIONS(4540),
    [anon_sym_BANG] = ACTIONS(4506),
    [anon_sym_TILDE] = ACTIONS(4506),
    [anon_sym_DASH] = ACTIONS(4504),
    [anon_sym_PLUS] = ACTIONS(4504),
    [anon_sym_STAR] = ACTIONS(1474),
    [anon_sym_AMP] = ACTIONS(1474),
    [anon_sym_COLON_COLON] = ACTIONS(4508),
    [anon_sym_LBRACE] = ACTIONS(4413),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [sym_primitive_type] = ACTIONS(3146),
    [anon_sym_not] = ACTIONS(4504),
    [anon_sym_compl] = ACTIONS(4504),
    [anon_sym_DASH_DASH] = ACTIONS(4544),
    [anon_sym_PLUS_PLUS] = ACTIONS(4544),
    [anon_sym_sizeof] = ACTIONS(4510),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(4512),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(4514),
    [anon_sym_new] = ACTIONS(4516),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [1914] = {
    [sym__expression] = STATE(4461),
    [sym__expression_not_binary] = STATE(4786),
    [sym__string] = STATE(4786),
    [sym_conditional_expression] = STATE(4786),
    [sym_assignment_expression] = STATE(4786),
    [sym_pointer_expression] = STATE(4786),
    [sym_unary_expression] = STATE(4786),
    [sym_binary_expression] = STATE(4786),
    [sym_update_expression] = STATE(4786),
    [sym_cast_expression] = STATE(4786),
    [sym_sizeof_expression] = STATE(4786),
    [sym_alignof_expression] = STATE(4786),
    [sym_offsetof_expression] = STATE(4786),
    [sym_generic_expression] = STATE(4786),
    [sym_subscript_expression] = STATE(4786),
    [sym_call_expression] = STATE(4786),
    [sym_gnu_asm_expression] = STATE(4786),
    [sym_field_expression] = STATE(4786),
    [sym_compound_literal_expression] = STATE(4786),
    [sym_parenthesized_expression] = STATE(4786),
    [sym_initializer_list] = STATE(4753),
    [sym_char_literal] = STATE(4554),
    [sym_concatenated_string] = STATE(4621),
    [sym_string_literal] = STATE(3503),
    [sym_null] = STATE(4786),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9199),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(4786),
    [sym_raw_string_literal] = STATE(3498),
    [sym_co_await_expression] = STATE(4786),
    [sym_new_expression] = STATE(4786),
    [sym_delete_expression] = STATE(4786),
    [sym_requires_clause] = STATE(4786),
    [sym_requires_expression] = STATE(4786),
    [sym_lambda_expression] = STATE(4786),
    [sym_lambda_capture_specifier] = STATE(7160),
    [sym_fold_expression] = STATE(4786),
    [sym_parameter_pack_expansion] = STATE(4786),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6932),
    [sym_qualified_identifier] = STATE(4786),
    [sym_qualified_type_identifier] = STATE(9199),
    [sym_user_defined_literal] = STATE(4786),
    [sym_identifier] = ACTIONS(4126),
    [anon_sym_LPAREN2] = ACTIONS(5194),
    [anon_sym_BANG] = ACTIONS(4130),
    [anon_sym_TILDE] = ACTIONS(4130),
    [anon_sym_DASH] = ACTIONS(4128),
    [anon_sym_PLUS] = ACTIONS(4128),
    [anon_sym_STAR] = ACTIONS(4261),
    [anon_sym_AMP] = ACTIONS(4261),
    [anon_sym_COLON_COLON] = ACTIONS(4132),
    [anon_sym_LBRACE] = ACTIONS(4134),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [sym_primitive_type] = ACTIONS(4136),
    [anon_sym_not] = ACTIONS(4128),
    [anon_sym_compl] = ACTIONS(4128),
    [anon_sym_DASH_DASH] = ACTIONS(5049),
    [anon_sym_PLUS_PLUS] = ACTIONS(5049),
    [anon_sym_sizeof] = ACTIONS(4138),
    [anon_sym___alignof__] = ACTIONS(4140),
    [anon_sym___alignof] = ACTIONS(4140),
    [anon_sym__alignof] = ACTIONS(4140),
    [anon_sym_alignof] = ACTIONS(4140),
    [anon_sym__Alignof] = ACTIONS(4140),
    [anon_sym_offsetof] = ACTIONS(4142),
    [anon_sym__Generic] = ACTIONS(4144),
    [anon_sym_asm] = ACTIONS(4146),
    [anon_sym___asm__] = ACTIONS(4146),
    [sym_number_literal] = ACTIONS(4148),
    [anon_sym_L_SQUOTE] = ACTIONS(4150),
    [anon_sym_u_SQUOTE] = ACTIONS(4150),
    [anon_sym_U_SQUOTE] = ACTIONS(4150),
    [anon_sym_u8_SQUOTE] = ACTIONS(4150),
    [anon_sym_SQUOTE] = ACTIONS(4150),
    [anon_sym_L_DQUOTE] = ACTIONS(4152),
    [anon_sym_u_DQUOTE] = ACTIONS(4152),
    [anon_sym_U_DQUOTE] = ACTIONS(4152),
    [anon_sym_u8_DQUOTE] = ACTIONS(4152),
    [anon_sym_DQUOTE] = ACTIONS(4152),
    [sym_true] = ACTIONS(4154),
    [sym_false] = ACTIONS(4154),
    [anon_sym_NULL] = ACTIONS(4156),
    [anon_sym_nullptr] = ACTIONS(4156),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(4158),
    [anon_sym_R_DQUOTE] = ACTIONS(4160),
    [anon_sym_LR_DQUOTE] = ACTIONS(4160),
    [anon_sym_uR_DQUOTE] = ACTIONS(4160),
    [anon_sym_UR_DQUOTE] = ACTIONS(4160),
    [anon_sym_u8R_DQUOTE] = ACTIONS(4160),
    [anon_sym_co_await] = ACTIONS(4162),
    [anon_sym_new] = ACTIONS(4164),
    [anon_sym_requires] = ACTIONS(4166),
    [sym_this] = ACTIONS(4154),
  },
  [1915] = {
    [sym__expression] = STATE(5733),
    [sym__expression_not_binary] = STATE(5024),
    [sym__string] = STATE(5024),
    [sym_comma_expression] = STATE(9995),
    [sym_conditional_expression] = STATE(5024),
    [sym_assignment_expression] = STATE(5024),
    [sym_pointer_expression] = STATE(4507),
    [sym_unary_expression] = STATE(5024),
    [sym_binary_expression] = STATE(5024),
    [sym_update_expression] = STATE(5024),
    [sym_cast_expression] = STATE(5024),
    [sym_sizeof_expression] = STATE(5024),
    [sym_alignof_expression] = STATE(5024),
    [sym_offsetof_expression] = STATE(5024),
    [sym_generic_expression] = STATE(5024),
    [sym_subscript_expression] = STATE(4507),
    [sym_call_expression] = STATE(4507),
    [sym_gnu_asm_expression] = STATE(5024),
    [sym_field_expression] = STATE(4507),
    [sym_compound_literal_expression] = STATE(5024),
    [sym_parenthesized_expression] = STATE(4507),
    [sym_char_literal] = STATE(5374),
    [sym_concatenated_string] = STATE(5377),
    [sym_string_literal] = STATE(4206),
    [sym_null] = STATE(5024),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9352),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(5024),
    [sym_raw_string_literal] = STATE(4217),
    [sym_co_await_expression] = STATE(5024),
    [sym_new_expression] = STATE(5024),
    [sym_delete_expression] = STATE(5024),
    [sym_requires_clause] = STATE(5024),
    [sym_requires_expression] = STATE(5024),
    [sym_lambda_expression] = STATE(5024),
    [sym_lambda_capture_specifier] = STATE(7184),
    [sym_fold_expression] = STATE(5024),
    [sym_parameter_pack_expansion] = STATE(5024),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6886),
    [sym_qualified_identifier] = STATE(4507),
    [sym_qualified_type_identifier] = STATE(9352),
    [sym_user_defined_literal] = STATE(4507),
    [sym_identifier] = ACTIONS(3140),
    [anon_sym_RPAREN] = ACTIONS(5196),
    [anon_sym_LPAREN2] = ACTIONS(1472),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1474),
    [anon_sym_AMP] = ACTIONS(1474),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [sym_primitive_type] = ACTIONS(3146),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [1916] = {
    [sym__expression] = STATE(5415),
    [sym__expression_not_binary] = STATE(5024),
    [sym__string] = STATE(5024),
    [sym_conditional_expression] = STATE(5024),
    [sym_assignment_expression] = STATE(5024),
    [sym_pointer_expression] = STATE(4507),
    [sym_unary_expression] = STATE(5024),
    [sym_binary_expression] = STATE(5024),
    [sym_update_expression] = STATE(5024),
    [sym_cast_expression] = STATE(5024),
    [sym_sizeof_expression] = STATE(5024),
    [sym_alignof_expression] = STATE(5024),
    [sym_offsetof_expression] = STATE(5024),
    [sym_generic_expression] = STATE(5024),
    [sym_subscript_expression] = STATE(4507),
    [sym_call_expression] = STATE(4507),
    [sym_gnu_asm_expression] = STATE(5024),
    [sym_field_expression] = STATE(4507),
    [sym_compound_literal_expression] = STATE(5024),
    [sym_parenthesized_expression] = STATE(4507),
    [sym_initializer_list] = STATE(9994),
    [sym_char_literal] = STATE(5374),
    [sym_concatenated_string] = STATE(5377),
    [sym_string_literal] = STATE(4206),
    [sym_null] = STATE(5024),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9352),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(5024),
    [sym_raw_string_literal] = STATE(4217),
    [sym_co_await_expression] = STATE(5024),
    [sym_new_expression] = STATE(5024),
    [sym_delete_expression] = STATE(5024),
    [sym_requires_clause] = STATE(5024),
    [sym_requires_expression] = STATE(5024),
    [sym_lambda_expression] = STATE(5024),
    [sym_lambda_capture_specifier] = STATE(7184),
    [sym_fold_expression] = STATE(5024),
    [sym_parameter_pack_expansion] = STATE(5024),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6886),
    [sym_qualified_identifier] = STATE(4507),
    [sym_qualified_type_identifier] = STATE(9352),
    [sym_user_defined_literal] = STATE(4507),
    [sym_identifier] = ACTIONS(3140),
    [anon_sym_LPAREN2] = ACTIONS(1472),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1474),
    [anon_sym_AMP] = ACTIONS(1474),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(4413),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [sym_primitive_type] = ACTIONS(3146),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [1917] = {
    [sym__expression] = STATE(5728),
    [sym__expression_not_binary] = STATE(5024),
    [sym__string] = STATE(5024),
    [sym_comma_expression] = STATE(9992),
    [sym_conditional_expression] = STATE(5024),
    [sym_assignment_expression] = STATE(5024),
    [sym_pointer_expression] = STATE(4507),
    [sym_unary_expression] = STATE(5024),
    [sym_binary_expression] = STATE(5024),
    [sym_update_expression] = STATE(5024),
    [sym_cast_expression] = STATE(5024),
    [sym_sizeof_expression] = STATE(5024),
    [sym_alignof_expression] = STATE(5024),
    [sym_offsetof_expression] = STATE(5024),
    [sym_generic_expression] = STATE(5024),
    [sym_subscript_expression] = STATE(4507),
    [sym_call_expression] = STATE(4507),
    [sym_gnu_asm_expression] = STATE(5024),
    [sym_field_expression] = STATE(4507),
    [sym_compound_literal_expression] = STATE(5024),
    [sym_parenthesized_expression] = STATE(4507),
    [sym_char_literal] = STATE(5374),
    [sym_concatenated_string] = STATE(5377),
    [sym_string_literal] = STATE(4206),
    [sym_null] = STATE(5024),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9352),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(5024),
    [sym_raw_string_literal] = STATE(4217),
    [sym_co_await_expression] = STATE(5024),
    [sym_new_expression] = STATE(5024),
    [sym_delete_expression] = STATE(5024),
    [sym_requires_clause] = STATE(5024),
    [sym_requires_expression] = STATE(5024),
    [sym_lambda_expression] = STATE(5024),
    [sym_lambda_capture_specifier] = STATE(7184),
    [sym_fold_expression] = STATE(5024),
    [sym_parameter_pack_expansion] = STATE(5024),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6886),
    [sym_qualified_identifier] = STATE(4507),
    [sym_qualified_type_identifier] = STATE(9352),
    [sym_user_defined_literal] = STATE(4507),
    [sym_identifier] = ACTIONS(3140),
    [anon_sym_RPAREN] = ACTIONS(5198),
    [anon_sym_LPAREN2] = ACTIONS(1472),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1474),
    [anon_sym_AMP] = ACTIONS(1474),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [sym_primitive_type] = ACTIONS(3146),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [1918] = {
    [sym__expression] = STATE(5512),
    [sym__expression_not_binary] = STATE(5024),
    [sym__string] = STATE(5024),
    [sym_conditional_expression] = STATE(5024),
    [sym_assignment_expression] = STATE(5024),
    [sym_pointer_expression] = STATE(4507),
    [sym_unary_expression] = STATE(5024),
    [sym_binary_expression] = STATE(5024),
    [sym_update_expression] = STATE(5024),
    [sym_cast_expression] = STATE(5024),
    [sym_sizeof_expression] = STATE(5024),
    [sym_alignof_expression] = STATE(5024),
    [sym_offsetof_expression] = STATE(5024),
    [sym_generic_expression] = STATE(5024),
    [sym_subscript_expression] = STATE(4507),
    [sym_call_expression] = STATE(4507),
    [sym_gnu_asm_expression] = STATE(5024),
    [sym_field_expression] = STATE(4507),
    [sym_compound_literal_expression] = STATE(5024),
    [sym_parenthesized_expression] = STATE(4507),
    [sym_initializer_list] = STATE(9336),
    [sym_char_literal] = STATE(5374),
    [sym_concatenated_string] = STATE(5377),
    [sym_string_literal] = STATE(4206),
    [sym_null] = STATE(5024),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9352),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(5024),
    [sym_raw_string_literal] = STATE(4217),
    [sym_co_await_expression] = STATE(5024),
    [sym_new_expression] = STATE(5024),
    [sym_delete_expression] = STATE(5024),
    [sym_requires_clause] = STATE(5024),
    [sym_requires_expression] = STATE(5024),
    [sym_lambda_expression] = STATE(5024),
    [sym_lambda_capture_specifier] = STATE(7184),
    [sym_fold_expression] = STATE(5024),
    [sym_parameter_pack_expansion] = STATE(5024),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6886),
    [sym_qualified_identifier] = STATE(4507),
    [sym_qualified_type_identifier] = STATE(9352),
    [sym_user_defined_literal] = STATE(4507),
    [sym_identifier] = ACTIONS(3140),
    [anon_sym_LPAREN2] = ACTIONS(1472),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1474),
    [anon_sym_AMP] = ACTIONS(1474),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(4413),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [sym_primitive_type] = ACTIONS(3146),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [1919] = {
    [sym__expression] = STATE(5370),
    [sym__expression_not_binary] = STATE(5575),
    [sym__string] = STATE(5575),
    [sym_conditional_expression] = STATE(5575),
    [sym_assignment_expression] = STATE(5575),
    [sym_pointer_expression] = STATE(4218),
    [sym_unary_expression] = STATE(5575),
    [sym_binary_expression] = STATE(5575),
    [sym_update_expression] = STATE(5575),
    [sym_cast_expression] = STATE(5575),
    [sym_sizeof_expression] = STATE(5575),
    [sym_alignof_expression] = STATE(5575),
    [sym_offsetof_expression] = STATE(5575),
    [sym_generic_expression] = STATE(5575),
    [sym_subscript_expression] = STATE(4218),
    [sym_call_expression] = STATE(4218),
    [sym_gnu_asm_expression] = STATE(5575),
    [sym_field_expression] = STATE(4218),
    [sym_compound_literal_expression] = STATE(5575),
    [sym_parenthesized_expression] = STATE(4218),
    [sym_initializer_list] = STATE(5540),
    [sym_char_literal] = STATE(5388),
    [sym_concatenated_string] = STATE(5429),
    [sym_string_literal] = STATE(4410),
    [sym_null] = STATE(5575),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9045),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(5575),
    [sym_raw_string_literal] = STATE(4411),
    [sym_co_await_expression] = STATE(5575),
    [sym_new_expression] = STATE(5575),
    [sym_delete_expression] = STATE(5575),
    [sym_requires_clause] = STATE(5575),
    [sym_requires_expression] = STATE(5575),
    [sym_lambda_expression] = STATE(5575),
    [sym_lambda_capture_specifier] = STATE(7089),
    [sym_fold_expression] = STATE(5575),
    [sym_parameter_pack_expansion] = STATE(5575),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6962),
    [sym_qualified_identifier] = STATE(4218),
    [sym_qualified_type_identifier] = STATE(9045),
    [sym_user_defined_literal] = STATE(4218),
    [sym_identifier] = ACTIONS(5081),
    [anon_sym_LPAREN2] = ACTIONS(5200),
    [anon_sym_BANG] = ACTIONS(4431),
    [anon_sym_TILDE] = ACTIONS(4431),
    [anon_sym_DASH] = ACTIONS(4429),
    [anon_sym_PLUS] = ACTIONS(4429),
    [anon_sym_STAR] = ACTIONS(5202),
    [anon_sym_AMP] = ACTIONS(5202),
    [anon_sym_COLON_COLON] = ACTIONS(4433),
    [anon_sym_LBRACE] = ACTIONS(4435),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [sym_primitive_type] = ACTIONS(4437),
    [anon_sym_not] = ACTIONS(4429),
    [anon_sym_compl] = ACTIONS(4429),
    [anon_sym_DASH_DASH] = ACTIONS(5083),
    [anon_sym_PLUS_PLUS] = ACTIONS(5083),
    [anon_sym_sizeof] = ACTIONS(4439),
    [anon_sym___alignof__] = ACTIONS(4441),
    [anon_sym___alignof] = ACTIONS(4441),
    [anon_sym__alignof] = ACTIONS(4441),
    [anon_sym_alignof] = ACTIONS(4441),
    [anon_sym__Alignof] = ACTIONS(4441),
    [anon_sym_offsetof] = ACTIONS(4443),
    [anon_sym__Generic] = ACTIONS(4445),
    [anon_sym_asm] = ACTIONS(4447),
    [anon_sym___asm__] = ACTIONS(4447),
    [sym_number_literal] = ACTIONS(4449),
    [anon_sym_L_SQUOTE] = ACTIONS(4451),
    [anon_sym_u_SQUOTE] = ACTIONS(4451),
    [anon_sym_U_SQUOTE] = ACTIONS(4451),
    [anon_sym_u8_SQUOTE] = ACTIONS(4451),
    [anon_sym_SQUOTE] = ACTIONS(4451),
    [anon_sym_L_DQUOTE] = ACTIONS(4453),
    [anon_sym_u_DQUOTE] = ACTIONS(4453),
    [anon_sym_U_DQUOTE] = ACTIONS(4453),
    [anon_sym_u8_DQUOTE] = ACTIONS(4453),
    [anon_sym_DQUOTE] = ACTIONS(4453),
    [sym_true] = ACTIONS(4455),
    [sym_false] = ACTIONS(4455),
    [anon_sym_NULL] = ACTIONS(4457),
    [anon_sym_nullptr] = ACTIONS(4457),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(4459),
    [anon_sym_R_DQUOTE] = ACTIONS(4461),
    [anon_sym_LR_DQUOTE] = ACTIONS(4461),
    [anon_sym_uR_DQUOTE] = ACTIONS(4461),
    [anon_sym_UR_DQUOTE] = ACTIONS(4461),
    [anon_sym_u8R_DQUOTE] = ACTIONS(4461),
    [anon_sym_co_await] = ACTIONS(4463),
    [anon_sym_new] = ACTIONS(4465),
    [anon_sym_requires] = ACTIONS(4467),
    [sym_this] = ACTIONS(4455),
  },
  [1920] = {
    [sym__expression] = STATE(5712),
    [sym__expression_not_binary] = STATE(5024),
    [sym__string] = STATE(5024),
    [sym_conditional_expression] = STATE(5024),
    [sym_assignment_expression] = STATE(5024),
    [sym_pointer_expression] = STATE(4737),
    [sym_unary_expression] = STATE(5024),
    [sym_binary_expression] = STATE(5024),
    [sym_update_expression] = STATE(5024),
    [sym_cast_expression] = STATE(5024),
    [sym_sizeof_expression] = STATE(5024),
    [sym_alignof_expression] = STATE(5024),
    [sym_offsetof_expression] = STATE(5024),
    [sym_generic_expression] = STATE(5024),
    [sym_subscript_expression] = STATE(4737),
    [sym_call_expression] = STATE(4737),
    [sym_gnu_asm_expression] = STATE(5024),
    [sym_field_expression] = STATE(4737),
    [sym_compound_literal_expression] = STATE(5024),
    [sym_parenthesized_expression] = STATE(4737),
    [sym_initializer_list] = STATE(9030),
    [sym_char_literal] = STATE(5374),
    [sym_concatenated_string] = STATE(5377),
    [sym_string_literal] = STATE(4206),
    [sym_null] = STATE(5024),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9352),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(5024),
    [sym_raw_string_literal] = STATE(4217),
    [sym_co_await_expression] = STATE(5024),
    [sym_new_expression] = STATE(5024),
    [sym_delete_expression] = STATE(5024),
    [sym_requires_clause] = STATE(5024),
    [sym_requires_expression] = STATE(5024),
    [sym_lambda_expression] = STATE(5024),
    [sym_lambda_capture_specifier] = STATE(7184),
    [sym_fold_expression] = STATE(5024),
    [sym_parameter_pack_expansion] = STATE(5024),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6886),
    [sym_qualified_identifier] = STATE(4737),
    [sym_qualified_type_identifier] = STATE(9352),
    [sym_user_defined_literal] = STATE(4737),
    [sym_identifier] = ACTIONS(4502),
    [anon_sym_LPAREN2] = ACTIONS(4540),
    [anon_sym_BANG] = ACTIONS(4506),
    [anon_sym_TILDE] = ACTIONS(4506),
    [anon_sym_DASH] = ACTIONS(4504),
    [anon_sym_PLUS] = ACTIONS(4504),
    [anon_sym_STAR] = ACTIONS(1474),
    [anon_sym_AMP] = ACTIONS(1474),
    [anon_sym_COLON_COLON] = ACTIONS(4508),
    [anon_sym_LBRACE] = ACTIONS(4413),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [sym_primitive_type] = ACTIONS(3146),
    [anon_sym_not] = ACTIONS(4504),
    [anon_sym_compl] = ACTIONS(4504),
    [anon_sym_DASH_DASH] = ACTIONS(4544),
    [anon_sym_PLUS_PLUS] = ACTIONS(4544),
    [anon_sym_sizeof] = ACTIONS(4510),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(4512),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(4514),
    [anon_sym_new] = ACTIONS(4516),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [1921] = {
    [sym__expression] = STATE(5785),
    [sym__expression_not_binary] = STATE(6001),
    [sym__string] = STATE(6001),
    [sym_conditional_expression] = STATE(6001),
    [sym_assignment_expression] = STATE(6001),
    [sym_pointer_expression] = STATE(4807),
    [sym_unary_expression] = STATE(6001),
    [sym_binary_expression] = STATE(6001),
    [sym_update_expression] = STATE(6001),
    [sym_cast_expression] = STATE(6001),
    [sym_sizeof_expression] = STATE(6001),
    [sym_alignof_expression] = STATE(6001),
    [sym_offsetof_expression] = STATE(6001),
    [sym_generic_expression] = STATE(6001),
    [sym_subscript_expression] = STATE(4807),
    [sym_call_expression] = STATE(4807),
    [sym_gnu_asm_expression] = STATE(6001),
    [sym_field_expression] = STATE(4807),
    [sym_compound_literal_expression] = STATE(6001),
    [sym_parenthesized_expression] = STATE(4807),
    [sym_initializer_list] = STATE(6045),
    [sym_char_literal] = STATE(5842),
    [sym_concatenated_string] = STATE(5845),
    [sym_string_literal] = STATE(4864),
    [sym_null] = STATE(6001),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(8975),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(6001),
    [sym_raw_string_literal] = STATE(4865),
    [sym_co_await_expression] = STATE(6001),
    [sym_new_expression] = STATE(6001),
    [sym_delete_expression] = STATE(6001),
    [sym_requires_clause] = STATE(6001),
    [sym_requires_expression] = STATE(6001),
    [sym_lambda_expression] = STATE(6001),
    [sym_lambda_capture_specifier] = STATE(7123),
    [sym_fold_expression] = STATE(6001),
    [sym_parameter_pack_expansion] = STATE(6001),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6932),
    [sym_qualified_identifier] = STATE(4807),
    [sym_qualified_type_identifier] = STATE(8975),
    [sym_user_defined_literal] = STATE(4807),
    [sym_identifier] = ACTIONS(4532),
    [anon_sym_LPAREN2] = ACTIONS(4255),
    [anon_sym_BANG] = ACTIONS(4257),
    [anon_sym_TILDE] = ACTIONS(4257),
    [anon_sym_DASH] = ACTIONS(4259),
    [anon_sym_PLUS] = ACTIONS(4259),
    [anon_sym_STAR] = ACTIONS(4261),
    [anon_sym_AMP] = ACTIONS(4261),
    [anon_sym_COLON_COLON] = ACTIONS(4263),
    [anon_sym_LBRACE] = ACTIONS(4534),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [sym_primitive_type] = ACTIONS(4536),
    [anon_sym_not] = ACTIONS(4259),
    [anon_sym_compl] = ACTIONS(4259),
    [anon_sym_DASH_DASH] = ACTIONS(4277),
    [anon_sym_PLUS_PLUS] = ACTIONS(4277),
    [anon_sym_sizeof] = ACTIONS(4279),
    [anon_sym___alignof__] = ACTIONS(4281),
    [anon_sym___alignof] = ACTIONS(4281),
    [anon_sym__alignof] = ACTIONS(4281),
    [anon_sym_alignof] = ACTIONS(4281),
    [anon_sym__Alignof] = ACTIONS(4281),
    [anon_sym_offsetof] = ACTIONS(4283),
    [anon_sym__Generic] = ACTIONS(4285),
    [anon_sym_asm] = ACTIONS(4287),
    [anon_sym___asm__] = ACTIONS(4287),
    [sym_number_literal] = ACTIONS(4289),
    [anon_sym_L_SQUOTE] = ACTIONS(4291),
    [anon_sym_u_SQUOTE] = ACTIONS(4291),
    [anon_sym_U_SQUOTE] = ACTIONS(4291),
    [anon_sym_u8_SQUOTE] = ACTIONS(4291),
    [anon_sym_SQUOTE] = ACTIONS(4291),
    [anon_sym_L_DQUOTE] = ACTIONS(4293),
    [anon_sym_u_DQUOTE] = ACTIONS(4293),
    [anon_sym_U_DQUOTE] = ACTIONS(4293),
    [anon_sym_u8_DQUOTE] = ACTIONS(4293),
    [anon_sym_DQUOTE] = ACTIONS(4293),
    [sym_true] = ACTIONS(4295),
    [sym_false] = ACTIONS(4295),
    [anon_sym_NULL] = ACTIONS(4297),
    [anon_sym_nullptr] = ACTIONS(4297),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(4307),
    [anon_sym_R_DQUOTE] = ACTIONS(4309),
    [anon_sym_LR_DQUOTE] = ACTIONS(4309),
    [anon_sym_uR_DQUOTE] = ACTIONS(4309),
    [anon_sym_UR_DQUOTE] = ACTIONS(4309),
    [anon_sym_u8R_DQUOTE] = ACTIONS(4309),
    [anon_sym_co_await] = ACTIONS(4311),
    [anon_sym_new] = ACTIONS(4313),
    [anon_sym_requires] = ACTIONS(4315),
    [sym_this] = ACTIONS(4295),
  },
  [1922] = {
    [sym__expression] = STATE(4048),
    [sym__expression_not_binary] = STATE(4307),
    [sym__string] = STATE(4307),
    [sym_conditional_expression] = STATE(4307),
    [sym_assignment_expression] = STATE(4307),
    [sym_pointer_expression] = STATE(4307),
    [sym_unary_expression] = STATE(4307),
    [sym_binary_expression] = STATE(4307),
    [sym_update_expression] = STATE(4307),
    [sym_cast_expression] = STATE(4307),
    [sym_sizeof_expression] = STATE(4307),
    [sym_alignof_expression] = STATE(4307),
    [sym_offsetof_expression] = STATE(4307),
    [sym_generic_expression] = STATE(4307),
    [sym_subscript_expression] = STATE(4307),
    [sym_call_expression] = STATE(4307),
    [sym_gnu_asm_expression] = STATE(4307),
    [sym_field_expression] = STATE(4307),
    [sym_compound_literal_expression] = STATE(4307),
    [sym_parenthesized_expression] = STATE(4307),
    [sym_initializer_list] = STATE(4208),
    [sym_char_literal] = STATE(4093),
    [sym_concatenated_string] = STATE(4159),
    [sym_string_literal] = STATE(3328),
    [sym_null] = STATE(4307),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9053),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(4307),
    [sym_raw_string_literal] = STATE(3294),
    [sym_co_await_expression] = STATE(4307),
    [sym_new_expression] = STATE(4307),
    [sym_delete_expression] = STATE(4307),
    [sym_requires_clause] = STATE(4307),
    [sym_requires_expression] = STATE(4307),
    [sym_lambda_expression] = STATE(4307),
    [sym_lambda_capture_specifier] = STATE(7183),
    [sym_fold_expression] = STATE(4307),
    [sym_parameter_pack_expansion] = STATE(4307),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6962),
    [sym_qualified_identifier] = STATE(4307),
    [sym_qualified_type_identifier] = STATE(9053),
    [sym_user_defined_literal] = STATE(4307),
    [sym_identifier] = ACTIONS(5051),
    [anon_sym_LPAREN2] = ACTIONS(5204),
    [anon_sym_BANG] = ACTIONS(3994),
    [anon_sym_TILDE] = ACTIONS(3994),
    [anon_sym_DASH] = ACTIONS(3992),
    [anon_sym_PLUS] = ACTIONS(3992),
    [anon_sym_STAR] = ACTIONS(5202),
    [anon_sym_AMP] = ACTIONS(5202),
    [anon_sym_COLON_COLON] = ACTIONS(3996),
    [anon_sym_LBRACE] = ACTIONS(3998),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [sym_primitive_type] = ACTIONS(4000),
    [anon_sym_not] = ACTIONS(3992),
    [anon_sym_compl] = ACTIONS(3992),
    [anon_sym_DASH_DASH] = ACTIONS(5053),
    [anon_sym_PLUS_PLUS] = ACTIONS(5053),
    [anon_sym_sizeof] = ACTIONS(4002),
    [anon_sym___alignof__] = ACTIONS(4004),
    [anon_sym___alignof] = ACTIONS(4004),
    [anon_sym__alignof] = ACTIONS(4004),
    [anon_sym_alignof] = ACTIONS(4004),
    [anon_sym__Alignof] = ACTIONS(4004),
    [anon_sym_offsetof] = ACTIONS(4006),
    [anon_sym__Generic] = ACTIONS(4008),
    [anon_sym_asm] = ACTIONS(4010),
    [anon_sym___asm__] = ACTIONS(4010),
    [sym_number_literal] = ACTIONS(4012),
    [anon_sym_L_SQUOTE] = ACTIONS(4014),
    [anon_sym_u_SQUOTE] = ACTIONS(4014),
    [anon_sym_U_SQUOTE] = ACTIONS(4014),
    [anon_sym_u8_SQUOTE] = ACTIONS(4014),
    [anon_sym_SQUOTE] = ACTIONS(4014),
    [anon_sym_L_DQUOTE] = ACTIONS(4016),
    [anon_sym_u_DQUOTE] = ACTIONS(4016),
    [anon_sym_U_DQUOTE] = ACTIONS(4016),
    [anon_sym_u8_DQUOTE] = ACTIONS(4016),
    [anon_sym_DQUOTE] = ACTIONS(4016),
    [sym_true] = ACTIONS(4018),
    [sym_false] = ACTIONS(4018),
    [anon_sym_NULL] = ACTIONS(4020),
    [anon_sym_nullptr] = ACTIONS(4020),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(4022),
    [anon_sym_R_DQUOTE] = ACTIONS(4024),
    [anon_sym_LR_DQUOTE] = ACTIONS(4024),
    [anon_sym_uR_DQUOTE] = ACTIONS(4024),
    [anon_sym_UR_DQUOTE] = ACTIONS(4024),
    [anon_sym_u8R_DQUOTE] = ACTIONS(4024),
    [anon_sym_co_await] = ACTIONS(4026),
    [anon_sym_new] = ACTIONS(4028),
    [anon_sym_requires] = ACTIONS(4030),
    [sym_this] = ACTIONS(4018),
  },
  [1923] = {
    [sym__expression] = STATE(5723),
    [sym__expression_not_binary] = STATE(5024),
    [sym__string] = STATE(5024),
    [sym_comma_expression] = STATE(10367),
    [sym_conditional_expression] = STATE(5024),
    [sym_assignment_expression] = STATE(5024),
    [sym_pointer_expression] = STATE(4713),
    [sym_unary_expression] = STATE(5024),
    [sym_binary_expression] = STATE(5024),
    [sym_update_expression] = STATE(5024),
    [sym_cast_expression] = STATE(5024),
    [sym_sizeof_expression] = STATE(5024),
    [sym_alignof_expression] = STATE(5024),
    [sym_offsetof_expression] = STATE(5024),
    [sym_generic_expression] = STATE(5024),
    [sym_subscript_expression] = STATE(4713),
    [sym_call_expression] = STATE(4713),
    [sym_gnu_asm_expression] = STATE(5024),
    [sym_field_expression] = STATE(4713),
    [sym_compound_literal_expression] = STATE(5024),
    [sym_parenthesized_expression] = STATE(4713),
    [sym_char_literal] = STATE(5374),
    [sym_concatenated_string] = STATE(5377),
    [sym_string_literal] = STATE(4206),
    [sym_null] = STATE(5024),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9352),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(5024),
    [sym_raw_string_literal] = STATE(4217),
    [sym_co_await_expression] = STATE(5024),
    [sym_new_expression] = STATE(5024),
    [sym_delete_expression] = STATE(5024),
    [sym_requires_clause] = STATE(5024),
    [sym_requires_expression] = STATE(5024),
    [sym_lambda_expression] = STATE(5024),
    [sym_lambda_capture_specifier] = STATE(7184),
    [sym_fold_expression] = STATE(5024),
    [sym_parameter_pack_expansion] = STATE(5024),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6886),
    [sym_qualified_identifier] = STATE(4713),
    [sym_qualified_type_identifier] = STATE(9352),
    [sym_user_defined_literal] = STATE(4713),
    [sym_identifier] = ACTIONS(4518),
    [anon_sym_LPAREN2] = ACTIONS(5188),
    [anon_sym_BANG] = ACTIONS(4522),
    [anon_sym_TILDE] = ACTIONS(4522),
    [anon_sym_DASH] = ACTIONS(4520),
    [anon_sym_PLUS] = ACTIONS(4520),
    [anon_sym_STAR] = ACTIONS(5190),
    [anon_sym_AMP] = ACTIONS(5190),
    [anon_sym_COLON] = ACTIONS(5206),
    [anon_sym_COLON_COLON] = ACTIONS(4524),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [sym_primitive_type] = ACTIONS(3146),
    [anon_sym_not] = ACTIONS(4520),
    [anon_sym_compl] = ACTIONS(4520),
    [anon_sym_DASH_DASH] = ACTIONS(5071),
    [anon_sym_PLUS_PLUS] = ACTIONS(5071),
    [anon_sym_sizeof] = ACTIONS(4526),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(4528),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(4530),
    [anon_sym_new] = ACTIONS(4516),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [1924] = {
    [sym__expression] = STATE(5715),
    [sym__expression_not_binary] = STATE(5024),
    [sym__string] = STATE(5024),
    [sym_comma_expression] = STATE(9732),
    [sym_conditional_expression] = STATE(5024),
    [sym_assignment_expression] = STATE(5024),
    [sym_pointer_expression] = STATE(4713),
    [sym_unary_expression] = STATE(5024),
    [sym_binary_expression] = STATE(5024),
    [sym_update_expression] = STATE(5024),
    [sym_cast_expression] = STATE(5024),
    [sym_sizeof_expression] = STATE(5024),
    [sym_alignof_expression] = STATE(5024),
    [sym_offsetof_expression] = STATE(5024),
    [sym_generic_expression] = STATE(5024),
    [sym_subscript_expression] = STATE(4713),
    [sym_call_expression] = STATE(4713),
    [sym_gnu_asm_expression] = STATE(5024),
    [sym_field_expression] = STATE(4713),
    [sym_compound_literal_expression] = STATE(5024),
    [sym_parenthesized_expression] = STATE(4713),
    [sym_char_literal] = STATE(5374),
    [sym_concatenated_string] = STATE(5377),
    [sym_string_literal] = STATE(4206),
    [sym_null] = STATE(5024),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9352),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(5024),
    [sym_raw_string_literal] = STATE(4217),
    [sym_co_await_expression] = STATE(5024),
    [sym_new_expression] = STATE(5024),
    [sym_delete_expression] = STATE(5024),
    [sym_requires_clause] = STATE(5024),
    [sym_requires_expression] = STATE(5024),
    [sym_lambda_expression] = STATE(5024),
    [sym_lambda_capture_specifier] = STATE(7184),
    [sym_fold_expression] = STATE(5024),
    [sym_parameter_pack_expansion] = STATE(5024),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6886),
    [sym_qualified_identifier] = STATE(4713),
    [sym_qualified_type_identifier] = STATE(9352),
    [sym_user_defined_literal] = STATE(4713),
    [sym_identifier] = ACTIONS(4518),
    [anon_sym_LPAREN2] = ACTIONS(5188),
    [anon_sym_BANG] = ACTIONS(4522),
    [anon_sym_TILDE] = ACTIONS(4522),
    [anon_sym_DASH] = ACTIONS(4520),
    [anon_sym_PLUS] = ACTIONS(4520),
    [anon_sym_STAR] = ACTIONS(5190),
    [anon_sym_AMP] = ACTIONS(5190),
    [anon_sym_COLON] = ACTIONS(5208),
    [anon_sym_COLON_COLON] = ACTIONS(4524),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [sym_primitive_type] = ACTIONS(3146),
    [anon_sym_not] = ACTIONS(4520),
    [anon_sym_compl] = ACTIONS(4520),
    [anon_sym_DASH_DASH] = ACTIONS(5071),
    [anon_sym_PLUS_PLUS] = ACTIONS(5071),
    [anon_sym_sizeof] = ACTIONS(4526),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(4528),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(4530),
    [anon_sym_new] = ACTIONS(4516),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [1925] = {
    [sym__expression] = STATE(5775),
    [sym__expression_not_binary] = STATE(5024),
    [sym__string] = STATE(5024),
    [sym_comma_expression] = STATE(9904),
    [sym_conditional_expression] = STATE(5024),
    [sym_assignment_expression] = STATE(5024),
    [sym_pointer_expression] = STATE(4713),
    [sym_unary_expression] = STATE(5024),
    [sym_binary_expression] = STATE(5024),
    [sym_update_expression] = STATE(5024),
    [sym_cast_expression] = STATE(5024),
    [sym_sizeof_expression] = STATE(5024),
    [sym_alignof_expression] = STATE(5024),
    [sym_offsetof_expression] = STATE(5024),
    [sym_generic_expression] = STATE(5024),
    [sym_subscript_expression] = STATE(4713),
    [sym_call_expression] = STATE(4713),
    [sym_gnu_asm_expression] = STATE(5024),
    [sym_field_expression] = STATE(4713),
    [sym_compound_literal_expression] = STATE(5024),
    [sym_parenthesized_expression] = STATE(4713),
    [sym_char_literal] = STATE(5374),
    [sym_concatenated_string] = STATE(5377),
    [sym_string_literal] = STATE(4206),
    [sym_null] = STATE(5024),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9352),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(5024),
    [sym_raw_string_literal] = STATE(4217),
    [sym_co_await_expression] = STATE(5024),
    [sym_new_expression] = STATE(5024),
    [sym_delete_expression] = STATE(5024),
    [sym_requires_clause] = STATE(5024),
    [sym_requires_expression] = STATE(5024),
    [sym_lambda_expression] = STATE(5024),
    [sym_lambda_capture_specifier] = STATE(7184),
    [sym_fold_expression] = STATE(5024),
    [sym_parameter_pack_expansion] = STATE(5024),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6886),
    [sym_qualified_identifier] = STATE(4713),
    [sym_qualified_type_identifier] = STATE(9352),
    [sym_user_defined_literal] = STATE(4713),
    [sym_identifier] = ACTIONS(4518),
    [anon_sym_LPAREN2] = ACTIONS(5188),
    [anon_sym_BANG] = ACTIONS(4522),
    [anon_sym_TILDE] = ACTIONS(4522),
    [anon_sym_DASH] = ACTIONS(4520),
    [anon_sym_PLUS] = ACTIONS(4520),
    [anon_sym_STAR] = ACTIONS(5190),
    [anon_sym_AMP] = ACTIONS(5190),
    [anon_sym_COLON] = ACTIONS(5210),
    [anon_sym_COLON_COLON] = ACTIONS(4524),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [sym_primitive_type] = ACTIONS(3146),
    [anon_sym_not] = ACTIONS(4520),
    [anon_sym_compl] = ACTIONS(4520),
    [anon_sym_DASH_DASH] = ACTIONS(5071),
    [anon_sym_PLUS_PLUS] = ACTIONS(5071),
    [anon_sym_sizeof] = ACTIONS(4526),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(4528),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(4530),
    [anon_sym_new] = ACTIONS(4516),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [1926] = {
    [sym__expression] = STATE(5666),
    [sym__expression_not_binary] = STATE(5024),
    [sym__string] = STATE(5024),
    [sym_conditional_expression] = STATE(5024),
    [sym_assignment_expression] = STATE(5024),
    [sym_pointer_expression] = STATE(4737),
    [sym_unary_expression] = STATE(5024),
    [sym_binary_expression] = STATE(5024),
    [sym_update_expression] = STATE(5024),
    [sym_cast_expression] = STATE(5024),
    [sym_sizeof_expression] = STATE(5024),
    [sym_alignof_expression] = STATE(5024),
    [sym_offsetof_expression] = STATE(5024),
    [sym_generic_expression] = STATE(5024),
    [sym_subscript_expression] = STATE(4737),
    [sym_call_expression] = STATE(4737),
    [sym_gnu_asm_expression] = STATE(5024),
    [sym_field_expression] = STATE(4737),
    [sym_compound_literal_expression] = STATE(5024),
    [sym_parenthesized_expression] = STATE(4737),
    [sym_initializer_list] = STATE(5022),
    [sym_char_literal] = STATE(5374),
    [sym_concatenated_string] = STATE(5377),
    [sym_string_literal] = STATE(4206),
    [sym_null] = STATE(5024),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9352),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(5024),
    [sym_raw_string_literal] = STATE(4217),
    [sym_co_await_expression] = STATE(5024),
    [sym_new_expression] = STATE(5024),
    [sym_delete_expression] = STATE(5024),
    [sym_requires_clause] = STATE(5024),
    [sym_requires_expression] = STATE(5024),
    [sym_lambda_expression] = STATE(5024),
    [sym_lambda_capture_specifier] = STATE(7184),
    [sym_fold_expression] = STATE(5024),
    [sym_parameter_pack_expansion] = STATE(5024),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6886),
    [sym_qualified_identifier] = STATE(4737),
    [sym_qualified_type_identifier] = STATE(9352),
    [sym_user_defined_literal] = STATE(4737),
    [sym_identifier] = ACTIONS(4502),
    [anon_sym_LPAREN2] = ACTIONS(4540),
    [anon_sym_BANG] = ACTIONS(4506),
    [anon_sym_TILDE] = ACTIONS(4506),
    [anon_sym_DASH] = ACTIONS(4504),
    [anon_sym_PLUS] = ACTIONS(4504),
    [anon_sym_STAR] = ACTIONS(1474),
    [anon_sym_AMP] = ACTIONS(1474),
    [anon_sym_COLON_COLON] = ACTIONS(4508),
    [anon_sym_LBRACE] = ACTIONS(4413),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [sym_primitive_type] = ACTIONS(3146),
    [anon_sym_not] = ACTIONS(4504),
    [anon_sym_compl] = ACTIONS(4504),
    [anon_sym_DASH_DASH] = ACTIONS(4544),
    [anon_sym_PLUS_PLUS] = ACTIONS(4544),
    [anon_sym_sizeof] = ACTIONS(4510),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(4512),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(4514),
    [anon_sym_new] = ACTIONS(4516),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [1927] = {
    [sym__expression] = STATE(5705),
    [sym__expression_not_binary] = STATE(6001),
    [sym__string] = STATE(6001),
    [sym_conditional_expression] = STATE(6001),
    [sym_assignment_expression] = STATE(6001),
    [sym_pointer_expression] = STATE(4807),
    [sym_unary_expression] = STATE(6001),
    [sym_binary_expression] = STATE(6001),
    [sym_update_expression] = STATE(6001),
    [sym_cast_expression] = STATE(6001),
    [sym_sizeof_expression] = STATE(6001),
    [sym_alignof_expression] = STATE(6001),
    [sym_offsetof_expression] = STATE(6001),
    [sym_generic_expression] = STATE(6001),
    [sym_subscript_expression] = STATE(4807),
    [sym_call_expression] = STATE(4807),
    [sym_gnu_asm_expression] = STATE(6001),
    [sym_field_expression] = STATE(4807),
    [sym_compound_literal_expression] = STATE(6001),
    [sym_parenthesized_expression] = STATE(4807),
    [sym_initializer_list] = STATE(6038),
    [sym_char_literal] = STATE(5842),
    [sym_concatenated_string] = STATE(5845),
    [sym_string_literal] = STATE(4864),
    [sym_null] = STATE(6001),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(8975),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(6001),
    [sym_raw_string_literal] = STATE(4865),
    [sym_co_await_expression] = STATE(6001),
    [sym_new_expression] = STATE(6001),
    [sym_delete_expression] = STATE(6001),
    [sym_requires_clause] = STATE(6001),
    [sym_requires_expression] = STATE(6001),
    [sym_lambda_expression] = STATE(6001),
    [sym_lambda_capture_specifier] = STATE(7123),
    [sym_fold_expression] = STATE(6001),
    [sym_parameter_pack_expansion] = STATE(6001),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6932),
    [sym_qualified_identifier] = STATE(4807),
    [sym_qualified_type_identifier] = STATE(8975),
    [sym_user_defined_literal] = STATE(4807),
    [sym_identifier] = ACTIONS(4532),
    [anon_sym_LPAREN2] = ACTIONS(4255),
    [anon_sym_BANG] = ACTIONS(4257),
    [anon_sym_TILDE] = ACTIONS(4257),
    [anon_sym_DASH] = ACTIONS(4259),
    [anon_sym_PLUS] = ACTIONS(4259),
    [anon_sym_STAR] = ACTIONS(4261),
    [anon_sym_AMP] = ACTIONS(4261),
    [anon_sym_COLON_COLON] = ACTIONS(4263),
    [anon_sym_LBRACE] = ACTIONS(4534),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [sym_primitive_type] = ACTIONS(4536),
    [anon_sym_not] = ACTIONS(4259),
    [anon_sym_compl] = ACTIONS(4259),
    [anon_sym_DASH_DASH] = ACTIONS(4277),
    [anon_sym_PLUS_PLUS] = ACTIONS(4277),
    [anon_sym_sizeof] = ACTIONS(4279),
    [anon_sym___alignof__] = ACTIONS(4281),
    [anon_sym___alignof] = ACTIONS(4281),
    [anon_sym__alignof] = ACTIONS(4281),
    [anon_sym_alignof] = ACTIONS(4281),
    [anon_sym__Alignof] = ACTIONS(4281),
    [anon_sym_offsetof] = ACTIONS(4283),
    [anon_sym__Generic] = ACTIONS(4285),
    [anon_sym_asm] = ACTIONS(4287),
    [anon_sym___asm__] = ACTIONS(4287),
    [sym_number_literal] = ACTIONS(4289),
    [anon_sym_L_SQUOTE] = ACTIONS(4291),
    [anon_sym_u_SQUOTE] = ACTIONS(4291),
    [anon_sym_U_SQUOTE] = ACTIONS(4291),
    [anon_sym_u8_SQUOTE] = ACTIONS(4291),
    [anon_sym_SQUOTE] = ACTIONS(4291),
    [anon_sym_L_DQUOTE] = ACTIONS(4293),
    [anon_sym_u_DQUOTE] = ACTIONS(4293),
    [anon_sym_U_DQUOTE] = ACTIONS(4293),
    [anon_sym_u8_DQUOTE] = ACTIONS(4293),
    [anon_sym_DQUOTE] = ACTIONS(4293),
    [sym_true] = ACTIONS(4295),
    [sym_false] = ACTIONS(4295),
    [anon_sym_NULL] = ACTIONS(4297),
    [anon_sym_nullptr] = ACTIONS(4297),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(4307),
    [anon_sym_R_DQUOTE] = ACTIONS(4309),
    [anon_sym_LR_DQUOTE] = ACTIONS(4309),
    [anon_sym_uR_DQUOTE] = ACTIONS(4309),
    [anon_sym_UR_DQUOTE] = ACTIONS(4309),
    [anon_sym_u8R_DQUOTE] = ACTIONS(4309),
    [anon_sym_co_await] = ACTIONS(4311),
    [anon_sym_new] = ACTIONS(4313),
    [anon_sym_requires] = ACTIONS(4315),
    [sym_this] = ACTIONS(4295),
  },
  [1928] = {
    [sym__expression] = STATE(5259),
    [sym__expression_not_binary] = STATE(5024),
    [sym__string] = STATE(5024),
    [sym_conditional_expression] = STATE(5024),
    [sym_assignment_expression] = STATE(5024),
    [sym_pointer_expression] = STATE(4031),
    [sym_unary_expression] = STATE(5024),
    [sym_binary_expression] = STATE(5024),
    [sym_update_expression] = STATE(5024),
    [sym_cast_expression] = STATE(5024),
    [sym_sizeof_expression] = STATE(5024),
    [sym_alignof_expression] = STATE(5024),
    [sym_offsetof_expression] = STATE(5024),
    [sym_generic_expression] = STATE(5024),
    [sym_subscript_expression] = STATE(4031),
    [sym_call_expression] = STATE(4031),
    [sym_gnu_asm_expression] = STATE(5024),
    [sym_field_expression] = STATE(4031),
    [sym_compound_literal_expression] = STATE(5024),
    [sym_parenthesized_expression] = STATE(4031),
    [sym_initializer_list] = STATE(5022),
    [sym_char_literal] = STATE(5335),
    [sym_concatenated_string] = STATE(5317),
    [sym_string_literal] = STATE(4163),
    [sym_null] = STATE(5024),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9352),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(5024),
    [sym_raw_string_literal] = STATE(4121),
    [sym_co_await_expression] = STATE(5024),
    [sym_new_expression] = STATE(5024),
    [sym_delete_expression] = STATE(5024),
    [sym_requires_clause] = STATE(5024),
    [sym_requires_expression] = STATE(5024),
    [sym_lambda_expression] = STATE(5024),
    [sym_lambda_capture_specifier] = STATE(7184),
    [sym_fold_expression] = STATE(5024),
    [sym_parameter_pack_expansion] = STATE(5024),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6886),
    [sym_qualified_identifier] = STATE(4031),
    [sym_qualified_type_identifier] = STATE(9352),
    [sym_user_defined_literal] = STATE(4031),
    [sym_identifier] = ACTIONS(5113),
    [anon_sym_LPAREN2] = ACTIONS(5212),
    [anon_sym_BANG] = ACTIONS(4409),
    [anon_sym_TILDE] = ACTIONS(4409),
    [anon_sym_DASH] = ACTIONS(4407),
    [anon_sym_PLUS] = ACTIONS(4407),
    [anon_sym_STAR] = ACTIONS(5186),
    [anon_sym_AMP] = ACTIONS(5186),
    [anon_sym_COLON_COLON] = ACTIONS(4411),
    [anon_sym_LBRACE] = ACTIONS(4413),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [sym_primitive_type] = ACTIONS(3146),
    [anon_sym_not] = ACTIONS(4407),
    [anon_sym_compl] = ACTIONS(4407),
    [anon_sym_DASH_DASH] = ACTIONS(5115),
    [anon_sym_PLUS_PLUS] = ACTIONS(5115),
    [anon_sym_sizeof] = ACTIONS(4415),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(4417),
    [anon_sym_L_SQUOTE] = ACTIONS(4419),
    [anon_sym_u_SQUOTE] = ACTIONS(4419),
    [anon_sym_U_SQUOTE] = ACTIONS(4419),
    [anon_sym_u8_SQUOTE] = ACTIONS(4419),
    [anon_sym_SQUOTE] = ACTIONS(4419),
    [anon_sym_L_DQUOTE] = ACTIONS(4247),
    [anon_sym_u_DQUOTE] = ACTIONS(4247),
    [anon_sym_U_DQUOTE] = ACTIONS(4247),
    [anon_sym_u8_DQUOTE] = ACTIONS(4247),
    [anon_sym_DQUOTE] = ACTIONS(4247),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(4421),
    [anon_sym_R_DQUOTE] = ACTIONS(4249),
    [anon_sym_LR_DQUOTE] = ACTIONS(4249),
    [anon_sym_uR_DQUOTE] = ACTIONS(4249),
    [anon_sym_UR_DQUOTE] = ACTIONS(4249),
    [anon_sym_u8R_DQUOTE] = ACTIONS(4249),
    [anon_sym_co_await] = ACTIONS(4423),
    [anon_sym_new] = ACTIONS(4425),
    [anon_sym_requires] = ACTIONS(4427),
    [sym_this] = ACTIONS(221),
  },
  [1929] = {
    [sym__expression] = STATE(5547),
    [sym__expression_not_binary] = STATE(5024),
    [sym__string] = STATE(5024),
    [sym_comma_expression] = STATE(8642),
    [sym_conditional_expression] = STATE(5024),
    [sym_assignment_expression] = STATE(5024),
    [sym_pointer_expression] = STATE(4507),
    [sym_unary_expression] = STATE(5024),
    [sym_binary_expression] = STATE(5024),
    [sym_update_expression] = STATE(5024),
    [sym_cast_expression] = STATE(5024),
    [sym_sizeof_expression] = STATE(5024),
    [sym_alignof_expression] = STATE(5024),
    [sym_offsetof_expression] = STATE(5024),
    [sym_generic_expression] = STATE(5024),
    [sym_subscript_expression] = STATE(4507),
    [sym_call_expression] = STATE(4507),
    [sym_gnu_asm_expression] = STATE(5024),
    [sym_field_expression] = STATE(4507),
    [sym_compound_literal_expression] = STATE(5024),
    [sym_parenthesized_expression] = STATE(4507),
    [sym_char_literal] = STATE(5374),
    [sym_concatenated_string] = STATE(5377),
    [sym_string_literal] = STATE(4206),
    [sym_null] = STATE(5024),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9352),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(5024),
    [sym_raw_string_literal] = STATE(4217),
    [sym_co_await_expression] = STATE(5024),
    [sym_new_expression] = STATE(5024),
    [sym_delete_expression] = STATE(5024),
    [sym_requires_clause] = STATE(5024),
    [sym_requires_expression] = STATE(5024),
    [sym_lambda_expression] = STATE(5024),
    [sym_lambda_capture_specifier] = STATE(7184),
    [sym_fold_expression] = STATE(5024),
    [sym_parameter_pack_expansion] = STATE(5024),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6886),
    [sym_qualified_identifier] = STATE(4507),
    [sym_qualified_type_identifier] = STATE(9352),
    [sym_user_defined_literal] = STATE(4507),
    [sym_identifier] = ACTIONS(3140),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5214),
    [anon_sym_LPAREN2] = ACTIONS(1472),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1474),
    [anon_sym_AMP] = ACTIONS(1474),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [sym_primitive_type] = ACTIONS(3146),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [1930] = {
    [sym__expression] = STATE(5778),
    [sym__expression_not_binary] = STATE(5024),
    [sym__string] = STATE(5024),
    [sym_conditional_expression] = STATE(5024),
    [sym_assignment_expression] = STATE(5024),
    [sym_pointer_expression] = STATE(4507),
    [sym_unary_expression] = STATE(5024),
    [sym_binary_expression] = STATE(5024),
    [sym_update_expression] = STATE(5024),
    [sym_cast_expression] = STATE(5024),
    [sym_sizeof_expression] = STATE(5024),
    [sym_alignof_expression] = STATE(5024),
    [sym_offsetof_expression] = STATE(5024),
    [sym_generic_expression] = STATE(5024),
    [sym_subscript_expression] = STATE(4507),
    [sym_call_expression] = STATE(4507),
    [sym_gnu_asm_expression] = STATE(5024),
    [sym_field_expression] = STATE(4507),
    [sym_compound_literal_expression] = STATE(5024),
    [sym_parenthesized_expression] = STATE(4507),
    [sym_initializer_list] = STATE(9336),
    [sym_char_literal] = STATE(5374),
    [sym_concatenated_string] = STATE(5377),
    [sym_string_literal] = STATE(4206),
    [sym_null] = STATE(5024),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9352),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(5024),
    [sym_raw_string_literal] = STATE(4217),
    [sym_co_await_expression] = STATE(5024),
    [sym_new_expression] = STATE(5024),
    [sym_delete_expression] = STATE(5024),
    [sym_requires_clause] = STATE(5024),
    [sym_requires_expression] = STATE(5024),
    [sym_lambda_expression] = STATE(5024),
    [sym_lambda_capture_specifier] = STATE(7184),
    [sym_fold_expression] = STATE(5024),
    [sym_parameter_pack_expansion] = STATE(5024),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6886),
    [sym_qualified_identifier] = STATE(4507),
    [sym_qualified_type_identifier] = STATE(9352),
    [sym_user_defined_literal] = STATE(4507),
    [sym_identifier] = ACTIONS(3140),
    [anon_sym_LPAREN2] = ACTIONS(1472),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1474),
    [anon_sym_AMP] = ACTIONS(1474),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(4413),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [sym_primitive_type] = ACTIONS(3146),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [1931] = {
    [sym__expression] = STATE(5697),
    [sym__expression_not_binary] = STATE(5024),
    [sym__string] = STATE(5024),
    [sym_comma_expression] = STATE(9459),
    [sym_conditional_expression] = STATE(5024),
    [sym_assignment_expression] = STATE(5024),
    [sym_pointer_expression] = STATE(4507),
    [sym_unary_expression] = STATE(5024),
    [sym_binary_expression] = STATE(5024),
    [sym_update_expression] = STATE(5024),
    [sym_cast_expression] = STATE(5024),
    [sym_sizeof_expression] = STATE(5024),
    [sym_alignof_expression] = STATE(5024),
    [sym_offsetof_expression] = STATE(5024),
    [sym_generic_expression] = STATE(5024),
    [sym_subscript_expression] = STATE(4507),
    [sym_call_expression] = STATE(4507),
    [sym_gnu_asm_expression] = STATE(5024),
    [sym_field_expression] = STATE(4507),
    [sym_compound_literal_expression] = STATE(5024),
    [sym_parenthesized_expression] = STATE(4507),
    [sym_char_literal] = STATE(5374),
    [sym_concatenated_string] = STATE(5377),
    [sym_string_literal] = STATE(4206),
    [sym_null] = STATE(5024),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9352),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(5024),
    [sym_raw_string_literal] = STATE(4217),
    [sym_co_await_expression] = STATE(5024),
    [sym_new_expression] = STATE(5024),
    [sym_delete_expression] = STATE(5024),
    [sym_requires_clause] = STATE(5024),
    [sym_requires_expression] = STATE(5024),
    [sym_lambda_expression] = STATE(5024),
    [sym_lambda_capture_specifier] = STATE(7184),
    [sym_fold_expression] = STATE(5024),
    [sym_parameter_pack_expansion] = STATE(5024),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6886),
    [sym_qualified_identifier] = STATE(4507),
    [sym_qualified_type_identifier] = STATE(9352),
    [sym_user_defined_literal] = STATE(4507),
    [sym_identifier] = ACTIONS(3140),
    [anon_sym_LPAREN2] = ACTIONS(1472),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1474),
    [anon_sym_AMP] = ACTIONS(1474),
    [anon_sym_SEMI] = ACTIONS(2966),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [sym_primitive_type] = ACTIONS(3146),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [1932] = {
    [sym__expression] = STATE(5625),
    [sym__expression_not_binary] = STATE(5024),
    [sym__string] = STATE(5024),
    [sym_comma_expression] = STATE(9760),
    [sym_conditional_expression] = STATE(5024),
    [sym_assignment_expression] = STATE(5024),
    [sym_pointer_expression] = STATE(4507),
    [sym_unary_expression] = STATE(5024),
    [sym_binary_expression] = STATE(5024),
    [sym_update_expression] = STATE(5024),
    [sym_cast_expression] = STATE(5024),
    [sym_sizeof_expression] = STATE(5024),
    [sym_alignof_expression] = STATE(5024),
    [sym_offsetof_expression] = STATE(5024),
    [sym_generic_expression] = STATE(5024),
    [sym_subscript_expression] = STATE(4507),
    [sym_call_expression] = STATE(4507),
    [sym_gnu_asm_expression] = STATE(5024),
    [sym_field_expression] = STATE(4507),
    [sym_compound_literal_expression] = STATE(5024),
    [sym_parenthesized_expression] = STATE(4507),
    [sym_char_literal] = STATE(5374),
    [sym_concatenated_string] = STATE(5377),
    [sym_string_literal] = STATE(4206),
    [sym_null] = STATE(5024),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9352),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(5024),
    [sym_raw_string_literal] = STATE(4217),
    [sym_co_await_expression] = STATE(5024),
    [sym_new_expression] = STATE(5024),
    [sym_delete_expression] = STATE(5024),
    [sym_requires_clause] = STATE(5024),
    [sym_requires_expression] = STATE(5024),
    [sym_lambda_expression] = STATE(5024),
    [sym_lambda_capture_specifier] = STATE(7184),
    [sym_fold_expression] = STATE(5024),
    [sym_parameter_pack_expansion] = STATE(5024),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6886),
    [sym_qualified_identifier] = STATE(4507),
    [sym_qualified_type_identifier] = STATE(9352),
    [sym_user_defined_literal] = STATE(4507),
    [sym_identifier] = ACTIONS(3140),
    [anon_sym_LPAREN2] = ACTIONS(1472),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1474),
    [anon_sym_AMP] = ACTIONS(1474),
    [anon_sym_SEMI] = ACTIONS(2930),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [sym_primitive_type] = ACTIONS(3146),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [1933] = {
    [sym__expression] = STATE(5694),
    [sym__expression_not_binary] = STATE(5024),
    [sym__string] = STATE(5024),
    [sym_comma_expression] = STATE(9464),
    [sym_conditional_expression] = STATE(5024),
    [sym_assignment_expression] = STATE(5024),
    [sym_pointer_expression] = STATE(4507),
    [sym_unary_expression] = STATE(5024),
    [sym_binary_expression] = STATE(5024),
    [sym_update_expression] = STATE(5024),
    [sym_cast_expression] = STATE(5024),
    [sym_sizeof_expression] = STATE(5024),
    [sym_alignof_expression] = STATE(5024),
    [sym_offsetof_expression] = STATE(5024),
    [sym_generic_expression] = STATE(5024),
    [sym_subscript_expression] = STATE(4507),
    [sym_call_expression] = STATE(4507),
    [sym_gnu_asm_expression] = STATE(5024),
    [sym_field_expression] = STATE(4507),
    [sym_compound_literal_expression] = STATE(5024),
    [sym_parenthesized_expression] = STATE(4507),
    [sym_char_literal] = STATE(5374),
    [sym_concatenated_string] = STATE(5377),
    [sym_string_literal] = STATE(4206),
    [sym_null] = STATE(5024),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9352),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(5024),
    [sym_raw_string_literal] = STATE(4217),
    [sym_co_await_expression] = STATE(5024),
    [sym_new_expression] = STATE(5024),
    [sym_delete_expression] = STATE(5024),
    [sym_requires_clause] = STATE(5024),
    [sym_requires_expression] = STATE(5024),
    [sym_lambda_expression] = STATE(5024),
    [sym_lambda_capture_specifier] = STATE(7184),
    [sym_fold_expression] = STATE(5024),
    [sym_parameter_pack_expansion] = STATE(5024),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6886),
    [sym_qualified_identifier] = STATE(4507),
    [sym_qualified_type_identifier] = STATE(9352),
    [sym_user_defined_literal] = STATE(4507),
    [sym_identifier] = ACTIONS(3140),
    [anon_sym_LPAREN2] = ACTIONS(1472),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1474),
    [anon_sym_AMP] = ACTIONS(1474),
    [anon_sym_SEMI] = ACTIONS(2949),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [sym_primitive_type] = ACTIONS(3146),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [1934] = {
    [sym__expression] = STATE(5687),
    [sym__expression_not_binary] = STATE(5024),
    [sym__string] = STATE(5024),
    [sym_conditional_expression] = STATE(5024),
    [sym_assignment_expression] = STATE(5024),
    [sym_pointer_expression] = STATE(4713),
    [sym_unary_expression] = STATE(5024),
    [sym_binary_expression] = STATE(5024),
    [sym_update_expression] = STATE(5024),
    [sym_cast_expression] = STATE(5024),
    [sym_sizeof_expression] = STATE(5024),
    [sym_alignof_expression] = STATE(5024),
    [sym_offsetof_expression] = STATE(5024),
    [sym_generic_expression] = STATE(5024),
    [sym_subscript_expression] = STATE(4713),
    [sym_call_expression] = STATE(4713),
    [sym_gnu_asm_expression] = STATE(5024),
    [sym_field_expression] = STATE(4713),
    [sym_compound_literal_expression] = STATE(5024),
    [sym_parenthesized_expression] = STATE(4713),
    [sym_initializer_list] = STATE(4974),
    [sym_char_literal] = STATE(5374),
    [sym_concatenated_string] = STATE(5377),
    [sym_string_literal] = STATE(4206),
    [sym_null] = STATE(5024),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9352),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(5024),
    [sym_raw_string_literal] = STATE(4217),
    [sym_co_await_expression] = STATE(5024),
    [sym_new_expression] = STATE(5024),
    [sym_delete_expression] = STATE(5024),
    [sym_requires_clause] = STATE(5024),
    [sym_requires_expression] = STATE(5024),
    [sym_lambda_expression] = STATE(5024),
    [sym_lambda_capture_specifier] = STATE(7184),
    [sym_fold_expression] = STATE(5024),
    [sym_parameter_pack_expansion] = STATE(5024),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6886),
    [sym_qualified_identifier] = STATE(4713),
    [sym_qualified_type_identifier] = STATE(9352),
    [sym_user_defined_literal] = STATE(4713),
    [sym_identifier] = ACTIONS(4518),
    [anon_sym_LPAREN2] = ACTIONS(5188),
    [anon_sym_BANG] = ACTIONS(4522),
    [anon_sym_TILDE] = ACTIONS(4522),
    [anon_sym_DASH] = ACTIONS(4520),
    [anon_sym_PLUS] = ACTIONS(4520),
    [anon_sym_STAR] = ACTIONS(5190),
    [anon_sym_AMP] = ACTIONS(5190),
    [anon_sym_COLON_COLON] = ACTIONS(4524),
    [anon_sym_LBRACE] = ACTIONS(4413),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [sym_primitive_type] = ACTIONS(3146),
    [anon_sym_not] = ACTIONS(4520),
    [anon_sym_compl] = ACTIONS(4520),
    [anon_sym_DASH_DASH] = ACTIONS(5071),
    [anon_sym_PLUS_PLUS] = ACTIONS(5071),
    [anon_sym_sizeof] = ACTIONS(4526),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(4528),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(4530),
    [anon_sym_new] = ACTIONS(4516),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [1935] = {
    [sym__expression] = STATE(5704),
    [sym__expression_not_binary] = STATE(5024),
    [sym__string] = STATE(5024),
    [sym_comma_expression] = STATE(10319),
    [sym_conditional_expression] = STATE(5024),
    [sym_assignment_expression] = STATE(5024),
    [sym_pointer_expression] = STATE(4713),
    [sym_unary_expression] = STATE(5024),
    [sym_binary_expression] = STATE(5024),
    [sym_update_expression] = STATE(5024),
    [sym_cast_expression] = STATE(5024),
    [sym_sizeof_expression] = STATE(5024),
    [sym_alignof_expression] = STATE(5024),
    [sym_offsetof_expression] = STATE(5024),
    [sym_generic_expression] = STATE(5024),
    [sym_subscript_expression] = STATE(4713),
    [sym_call_expression] = STATE(4713),
    [sym_gnu_asm_expression] = STATE(5024),
    [sym_field_expression] = STATE(4713),
    [sym_compound_literal_expression] = STATE(5024),
    [sym_parenthesized_expression] = STATE(4713),
    [sym_char_literal] = STATE(5374),
    [sym_concatenated_string] = STATE(5377),
    [sym_string_literal] = STATE(4206),
    [sym_null] = STATE(5024),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9352),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(5024),
    [sym_raw_string_literal] = STATE(4217),
    [sym_co_await_expression] = STATE(5024),
    [sym_new_expression] = STATE(5024),
    [sym_delete_expression] = STATE(5024),
    [sym_requires_clause] = STATE(5024),
    [sym_requires_expression] = STATE(5024),
    [sym_lambda_expression] = STATE(5024),
    [sym_lambda_capture_specifier] = STATE(7184),
    [sym_fold_expression] = STATE(5024),
    [sym_parameter_pack_expansion] = STATE(5024),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6886),
    [sym_qualified_identifier] = STATE(4713),
    [sym_qualified_type_identifier] = STATE(9352),
    [sym_user_defined_literal] = STATE(4713),
    [sym_identifier] = ACTIONS(4518),
    [anon_sym_LPAREN2] = ACTIONS(5188),
    [anon_sym_BANG] = ACTIONS(4522),
    [anon_sym_TILDE] = ACTIONS(4522),
    [anon_sym_DASH] = ACTIONS(4520),
    [anon_sym_PLUS] = ACTIONS(4520),
    [anon_sym_STAR] = ACTIONS(5190),
    [anon_sym_AMP] = ACTIONS(5190),
    [anon_sym_COLON] = ACTIONS(5217),
    [anon_sym_COLON_COLON] = ACTIONS(4524),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [sym_primitive_type] = ACTIONS(3146),
    [anon_sym_not] = ACTIONS(4520),
    [anon_sym_compl] = ACTIONS(4520),
    [anon_sym_DASH_DASH] = ACTIONS(5071),
    [anon_sym_PLUS_PLUS] = ACTIONS(5071),
    [anon_sym_sizeof] = ACTIONS(4526),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(4528),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(4530),
    [anon_sym_new] = ACTIONS(4516),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [1936] = {
    [sym__expression] = STATE(3544),
    [sym__expression_not_binary] = STATE(3672),
    [sym__string] = STATE(3672),
    [sym_conditional_expression] = STATE(3672),
    [sym_assignment_expression] = STATE(3672),
    [sym_pointer_expression] = STATE(3672),
    [sym_unary_expression] = STATE(3672),
    [sym_binary_expression] = STATE(3672),
    [sym_update_expression] = STATE(3672),
    [sym_cast_expression] = STATE(3672),
    [sym_sizeof_expression] = STATE(3672),
    [sym_alignof_expression] = STATE(3672),
    [sym_offsetof_expression] = STATE(3672),
    [sym_generic_expression] = STATE(3672),
    [sym_subscript_expression] = STATE(3672),
    [sym_call_expression] = STATE(3672),
    [sym_gnu_asm_expression] = STATE(3672),
    [sym_field_expression] = STATE(3672),
    [sym_compound_literal_expression] = STATE(3672),
    [sym_parenthesized_expression] = STATE(3672),
    [sym_initializer_list] = STATE(3655),
    [sym_char_literal] = STATE(3991),
    [sym_concatenated_string] = STATE(3973),
    [sym_string_literal] = STATE(3242),
    [sym_null] = STATE(3672),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9333),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(3672),
    [sym_raw_string_literal] = STATE(3241),
    [sym_co_await_expression] = STATE(3672),
    [sym_new_expression] = STATE(3672),
    [sym_delete_expression] = STATE(3672),
    [sym_requires_clause] = STATE(3672),
    [sym_requires_expression] = STATE(3672),
    [sym_lambda_expression] = STATE(3672),
    [sym_lambda_capture_specifier] = STATE(7134),
    [sym_fold_expression] = STATE(3672),
    [sym_parameter_pack_expansion] = STATE(3672),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6886),
    [sym_qualified_identifier] = STATE(3672),
    [sym_qualified_type_identifier] = STATE(9333),
    [sym_user_defined_literal] = STATE(3672),
    [sym_identifier] = ACTIONS(3968),
    [anon_sym_LPAREN2] = ACTIONS(5219),
    [anon_sym_BANG] = ACTIONS(3972),
    [anon_sym_TILDE] = ACTIONS(3972),
    [anon_sym_DASH] = ACTIONS(3970),
    [anon_sym_PLUS] = ACTIONS(3970),
    [anon_sym_STAR] = ACTIONS(1474),
    [anon_sym_AMP] = ACTIONS(1474),
    [anon_sym_COLON_COLON] = ACTIONS(3974),
    [anon_sym_LBRACE] = ACTIONS(3926),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [sym_primitive_type] = ACTIONS(3928),
    [anon_sym_not] = ACTIONS(3970),
    [anon_sym_compl] = ACTIONS(3970),
    [anon_sym_DASH_DASH] = ACTIONS(4385),
    [anon_sym_PLUS_PLUS] = ACTIONS(4385),
    [anon_sym_sizeof] = ACTIONS(3976),
    [anon_sym___alignof__] = ACTIONS(3932),
    [anon_sym___alignof] = ACTIONS(3932),
    [anon_sym__alignof] = ACTIONS(3932),
    [anon_sym_alignof] = ACTIONS(3932),
    [anon_sym__Alignof] = ACTIONS(3932),
    [anon_sym_offsetof] = ACTIONS(3934),
    [anon_sym__Generic] = ACTIONS(3936),
    [anon_sym_asm] = ACTIONS(3938),
    [anon_sym___asm__] = ACTIONS(3938),
    [sym_number_literal] = ACTIONS(3978),
    [anon_sym_L_SQUOTE] = ACTIONS(3980),
    [anon_sym_u_SQUOTE] = ACTIONS(3980),
    [anon_sym_U_SQUOTE] = ACTIONS(3980),
    [anon_sym_u8_SQUOTE] = ACTIONS(3980),
    [anon_sym_SQUOTE] = ACTIONS(3980),
    [anon_sym_L_DQUOTE] = ACTIONS(3982),
    [anon_sym_u_DQUOTE] = ACTIONS(3982),
    [anon_sym_U_DQUOTE] = ACTIONS(3982),
    [anon_sym_u8_DQUOTE] = ACTIONS(3982),
    [anon_sym_DQUOTE] = ACTIONS(3982),
    [sym_true] = ACTIONS(3946),
    [sym_false] = ACTIONS(3946),
    [anon_sym_NULL] = ACTIONS(3948),
    [anon_sym_nullptr] = ACTIONS(3948),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(3984),
    [anon_sym_R_DQUOTE] = ACTIONS(3986),
    [anon_sym_LR_DQUOTE] = ACTIONS(3986),
    [anon_sym_uR_DQUOTE] = ACTIONS(3986),
    [anon_sym_UR_DQUOTE] = ACTIONS(3986),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3986),
    [anon_sym_co_await] = ACTIONS(3988),
    [anon_sym_new] = ACTIONS(3990),
    [anon_sym_requires] = ACTIONS(3958),
    [sym_this] = ACTIONS(3946),
  },
  [1937] = {
    [sym__expression] = STATE(5714),
    [sym__expression_not_binary] = STATE(5024),
    [sym__string] = STATE(5024),
    [sym_comma_expression] = STATE(9943),
    [sym_conditional_expression] = STATE(5024),
    [sym_assignment_expression] = STATE(5024),
    [sym_pointer_expression] = STATE(4713),
    [sym_unary_expression] = STATE(5024),
    [sym_binary_expression] = STATE(5024),
    [sym_update_expression] = STATE(5024),
    [sym_cast_expression] = STATE(5024),
    [sym_sizeof_expression] = STATE(5024),
    [sym_alignof_expression] = STATE(5024),
    [sym_offsetof_expression] = STATE(5024),
    [sym_generic_expression] = STATE(5024),
    [sym_subscript_expression] = STATE(4713),
    [sym_call_expression] = STATE(4713),
    [sym_gnu_asm_expression] = STATE(5024),
    [sym_field_expression] = STATE(4713),
    [sym_compound_literal_expression] = STATE(5024),
    [sym_parenthesized_expression] = STATE(4713),
    [sym_char_literal] = STATE(5374),
    [sym_concatenated_string] = STATE(5377),
    [sym_string_literal] = STATE(4206),
    [sym_null] = STATE(5024),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9352),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(5024),
    [sym_raw_string_literal] = STATE(4217),
    [sym_co_await_expression] = STATE(5024),
    [sym_new_expression] = STATE(5024),
    [sym_delete_expression] = STATE(5024),
    [sym_requires_clause] = STATE(5024),
    [sym_requires_expression] = STATE(5024),
    [sym_lambda_expression] = STATE(5024),
    [sym_lambda_capture_specifier] = STATE(7184),
    [sym_fold_expression] = STATE(5024),
    [sym_parameter_pack_expansion] = STATE(5024),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6886),
    [sym_qualified_identifier] = STATE(4713),
    [sym_qualified_type_identifier] = STATE(9352),
    [sym_user_defined_literal] = STATE(4713),
    [sym_identifier] = ACTIONS(4518),
    [anon_sym_LPAREN2] = ACTIONS(5188),
    [anon_sym_BANG] = ACTIONS(4522),
    [anon_sym_TILDE] = ACTIONS(4522),
    [anon_sym_DASH] = ACTIONS(4520),
    [anon_sym_PLUS] = ACTIONS(4520),
    [anon_sym_STAR] = ACTIONS(5190),
    [anon_sym_AMP] = ACTIONS(5190),
    [anon_sym_COLON] = ACTIONS(5221),
    [anon_sym_COLON_COLON] = ACTIONS(4524),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [sym_primitive_type] = ACTIONS(3146),
    [anon_sym_not] = ACTIONS(4520),
    [anon_sym_compl] = ACTIONS(4520),
    [anon_sym_DASH_DASH] = ACTIONS(5071),
    [anon_sym_PLUS_PLUS] = ACTIONS(5071),
    [anon_sym_sizeof] = ACTIONS(4526),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(4528),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(4530),
    [anon_sym_new] = ACTIONS(4516),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [1938] = {
    [sym__expression] = STATE(5364),
    [sym__expression_not_binary] = STATE(5575),
    [sym__string] = STATE(5575),
    [sym_conditional_expression] = STATE(5575),
    [sym_assignment_expression] = STATE(5575),
    [sym_pointer_expression] = STATE(4218),
    [sym_unary_expression] = STATE(5575),
    [sym_binary_expression] = STATE(5575),
    [sym_update_expression] = STATE(5575),
    [sym_cast_expression] = STATE(5575),
    [sym_sizeof_expression] = STATE(5575),
    [sym_alignof_expression] = STATE(5575),
    [sym_offsetof_expression] = STATE(5575),
    [sym_generic_expression] = STATE(5575),
    [sym_subscript_expression] = STATE(4218),
    [sym_call_expression] = STATE(4218),
    [sym_gnu_asm_expression] = STATE(5575),
    [sym_field_expression] = STATE(4218),
    [sym_compound_literal_expression] = STATE(5575),
    [sym_parenthesized_expression] = STATE(4218),
    [sym_initializer_list] = STATE(5554),
    [sym_char_literal] = STATE(5388),
    [sym_concatenated_string] = STATE(5429),
    [sym_string_literal] = STATE(4410),
    [sym_null] = STATE(5575),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9045),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(5575),
    [sym_raw_string_literal] = STATE(4411),
    [sym_co_await_expression] = STATE(5575),
    [sym_new_expression] = STATE(5575),
    [sym_delete_expression] = STATE(5575),
    [sym_requires_clause] = STATE(5575),
    [sym_requires_expression] = STATE(5575),
    [sym_lambda_expression] = STATE(5575),
    [sym_lambda_capture_specifier] = STATE(7089),
    [sym_fold_expression] = STATE(5575),
    [sym_parameter_pack_expansion] = STATE(5575),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6962),
    [sym_qualified_identifier] = STATE(4218),
    [sym_qualified_type_identifier] = STATE(9045),
    [sym_user_defined_literal] = STATE(4218),
    [sym_identifier] = ACTIONS(5081),
    [anon_sym_LPAREN2] = ACTIONS(5200),
    [anon_sym_BANG] = ACTIONS(4431),
    [anon_sym_TILDE] = ACTIONS(4431),
    [anon_sym_DASH] = ACTIONS(4429),
    [anon_sym_PLUS] = ACTIONS(4429),
    [anon_sym_STAR] = ACTIONS(5202),
    [anon_sym_AMP] = ACTIONS(5202),
    [anon_sym_COLON_COLON] = ACTIONS(4433),
    [anon_sym_LBRACE] = ACTIONS(4435),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [sym_primitive_type] = ACTIONS(4437),
    [anon_sym_not] = ACTIONS(4429),
    [anon_sym_compl] = ACTIONS(4429),
    [anon_sym_DASH_DASH] = ACTIONS(5083),
    [anon_sym_PLUS_PLUS] = ACTIONS(5083),
    [anon_sym_sizeof] = ACTIONS(4439),
    [anon_sym___alignof__] = ACTIONS(4441),
    [anon_sym___alignof] = ACTIONS(4441),
    [anon_sym__alignof] = ACTIONS(4441),
    [anon_sym_alignof] = ACTIONS(4441),
    [anon_sym__Alignof] = ACTIONS(4441),
    [anon_sym_offsetof] = ACTIONS(4443),
    [anon_sym__Generic] = ACTIONS(4445),
    [anon_sym_asm] = ACTIONS(4447),
    [anon_sym___asm__] = ACTIONS(4447),
    [sym_number_literal] = ACTIONS(4449),
    [anon_sym_L_SQUOTE] = ACTIONS(4451),
    [anon_sym_u_SQUOTE] = ACTIONS(4451),
    [anon_sym_U_SQUOTE] = ACTIONS(4451),
    [anon_sym_u8_SQUOTE] = ACTIONS(4451),
    [anon_sym_SQUOTE] = ACTIONS(4451),
    [anon_sym_L_DQUOTE] = ACTIONS(4453),
    [anon_sym_u_DQUOTE] = ACTIONS(4453),
    [anon_sym_U_DQUOTE] = ACTIONS(4453),
    [anon_sym_u8_DQUOTE] = ACTIONS(4453),
    [anon_sym_DQUOTE] = ACTIONS(4453),
    [sym_true] = ACTIONS(4455),
    [sym_false] = ACTIONS(4455),
    [anon_sym_NULL] = ACTIONS(4457),
    [anon_sym_nullptr] = ACTIONS(4457),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(4459),
    [anon_sym_R_DQUOTE] = ACTIONS(4461),
    [anon_sym_LR_DQUOTE] = ACTIONS(4461),
    [anon_sym_uR_DQUOTE] = ACTIONS(4461),
    [anon_sym_UR_DQUOTE] = ACTIONS(4461),
    [anon_sym_u8R_DQUOTE] = ACTIONS(4461),
    [anon_sym_co_await] = ACTIONS(4463),
    [anon_sym_new] = ACTIONS(4465),
    [anon_sym_requires] = ACTIONS(4467),
    [sym_this] = ACTIONS(4455),
  },
  [1939] = {
    [sym__expression] = STATE(5745),
    [sym__expression_not_binary] = STATE(5024),
    [sym__string] = STATE(5024),
    [sym_comma_expression] = STATE(10059),
    [sym_conditional_expression] = STATE(5024),
    [sym_assignment_expression] = STATE(5024),
    [sym_pointer_expression] = STATE(4713),
    [sym_unary_expression] = STATE(5024),
    [sym_binary_expression] = STATE(5024),
    [sym_update_expression] = STATE(5024),
    [sym_cast_expression] = STATE(5024),
    [sym_sizeof_expression] = STATE(5024),
    [sym_alignof_expression] = STATE(5024),
    [sym_offsetof_expression] = STATE(5024),
    [sym_generic_expression] = STATE(5024),
    [sym_subscript_expression] = STATE(4713),
    [sym_call_expression] = STATE(4713),
    [sym_gnu_asm_expression] = STATE(5024),
    [sym_field_expression] = STATE(4713),
    [sym_compound_literal_expression] = STATE(5024),
    [sym_parenthesized_expression] = STATE(4713),
    [sym_char_literal] = STATE(5374),
    [sym_concatenated_string] = STATE(5377),
    [sym_string_literal] = STATE(4206),
    [sym_null] = STATE(5024),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9352),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(5024),
    [sym_raw_string_literal] = STATE(4217),
    [sym_co_await_expression] = STATE(5024),
    [sym_new_expression] = STATE(5024),
    [sym_delete_expression] = STATE(5024),
    [sym_requires_clause] = STATE(5024),
    [sym_requires_expression] = STATE(5024),
    [sym_lambda_expression] = STATE(5024),
    [sym_lambda_capture_specifier] = STATE(7184),
    [sym_fold_expression] = STATE(5024),
    [sym_parameter_pack_expansion] = STATE(5024),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6886),
    [sym_qualified_identifier] = STATE(4713),
    [sym_qualified_type_identifier] = STATE(9352),
    [sym_user_defined_literal] = STATE(4713),
    [sym_identifier] = ACTIONS(4518),
    [anon_sym_LPAREN2] = ACTIONS(5188),
    [anon_sym_BANG] = ACTIONS(4522),
    [anon_sym_TILDE] = ACTIONS(4522),
    [anon_sym_DASH] = ACTIONS(4520),
    [anon_sym_PLUS] = ACTIONS(4520),
    [anon_sym_STAR] = ACTIONS(5190),
    [anon_sym_AMP] = ACTIONS(5190),
    [anon_sym_COLON] = ACTIONS(5223),
    [anon_sym_COLON_COLON] = ACTIONS(4524),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [sym_primitive_type] = ACTIONS(3146),
    [anon_sym_not] = ACTIONS(4520),
    [anon_sym_compl] = ACTIONS(4520),
    [anon_sym_DASH_DASH] = ACTIONS(5071),
    [anon_sym_PLUS_PLUS] = ACTIONS(5071),
    [anon_sym_sizeof] = ACTIONS(4526),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(4528),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(4530),
    [anon_sym_new] = ACTIONS(4516),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [1940] = {
    [sym__expression] = STATE(5801),
    [sym__expression_not_binary] = STATE(5024),
    [sym__string] = STATE(5024),
    [sym_conditional_expression] = STATE(5024),
    [sym_assignment_expression] = STATE(5024),
    [sym_pointer_expression] = STATE(4713),
    [sym_unary_expression] = STATE(5024),
    [sym_binary_expression] = STATE(5024),
    [sym_update_expression] = STATE(5024),
    [sym_cast_expression] = STATE(5024),
    [sym_sizeof_expression] = STATE(5024),
    [sym_alignof_expression] = STATE(5024),
    [sym_offsetof_expression] = STATE(5024),
    [sym_generic_expression] = STATE(5024),
    [sym_subscript_expression] = STATE(4713),
    [sym_call_expression] = STATE(4713),
    [sym_gnu_asm_expression] = STATE(5024),
    [sym_field_expression] = STATE(4713),
    [sym_compound_literal_expression] = STATE(5024),
    [sym_parenthesized_expression] = STATE(4713),
    [sym_initializer_list] = STATE(5022),
    [sym_char_literal] = STATE(5374),
    [sym_concatenated_string] = STATE(5377),
    [sym_string_literal] = STATE(4206),
    [sym_null] = STATE(5024),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9352),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(5024),
    [sym_raw_string_literal] = STATE(4217),
    [sym_co_await_expression] = STATE(5024),
    [sym_new_expression] = STATE(5024),
    [sym_delete_expression] = STATE(5024),
    [sym_requires_clause] = STATE(5024),
    [sym_requires_expression] = STATE(5024),
    [sym_lambda_expression] = STATE(5024),
    [sym_lambda_capture_specifier] = STATE(7184),
    [sym_fold_expression] = STATE(5024),
    [sym_parameter_pack_expansion] = STATE(5024),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6886),
    [sym_qualified_identifier] = STATE(4713),
    [sym_qualified_type_identifier] = STATE(9352),
    [sym_user_defined_literal] = STATE(4713),
    [sym_identifier] = ACTIONS(4518),
    [anon_sym_LPAREN2] = ACTIONS(5188),
    [anon_sym_BANG] = ACTIONS(4522),
    [anon_sym_TILDE] = ACTIONS(4522),
    [anon_sym_DASH] = ACTIONS(4520),
    [anon_sym_PLUS] = ACTIONS(4520),
    [anon_sym_STAR] = ACTIONS(5190),
    [anon_sym_AMP] = ACTIONS(5190),
    [anon_sym_COLON_COLON] = ACTIONS(4524),
    [anon_sym_LBRACE] = ACTIONS(4413),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [sym_primitive_type] = ACTIONS(3146),
    [anon_sym_not] = ACTIONS(4520),
    [anon_sym_compl] = ACTIONS(4520),
    [anon_sym_DASH_DASH] = ACTIONS(5071),
    [anon_sym_PLUS_PLUS] = ACTIONS(5071),
    [anon_sym_sizeof] = ACTIONS(4526),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(4528),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(4530),
    [anon_sym_new] = ACTIONS(4516),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [1941] = {
    [sym__expression] = STATE(5679),
    [sym__expression_not_binary] = STATE(5024),
    [sym__string] = STATE(5024),
    [sym_comma_expression] = STATE(10290),
    [sym_conditional_expression] = STATE(5024),
    [sym_assignment_expression] = STATE(5024),
    [sym_pointer_expression] = STATE(4713),
    [sym_unary_expression] = STATE(5024),
    [sym_binary_expression] = STATE(5024),
    [sym_update_expression] = STATE(5024),
    [sym_cast_expression] = STATE(5024),
    [sym_sizeof_expression] = STATE(5024),
    [sym_alignof_expression] = STATE(5024),
    [sym_offsetof_expression] = STATE(5024),
    [sym_generic_expression] = STATE(5024),
    [sym_subscript_expression] = STATE(4713),
    [sym_call_expression] = STATE(4713),
    [sym_gnu_asm_expression] = STATE(5024),
    [sym_field_expression] = STATE(4713),
    [sym_compound_literal_expression] = STATE(5024),
    [sym_parenthesized_expression] = STATE(4713),
    [sym_char_literal] = STATE(5374),
    [sym_concatenated_string] = STATE(5377),
    [sym_string_literal] = STATE(4206),
    [sym_null] = STATE(5024),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9352),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(5024),
    [sym_raw_string_literal] = STATE(4217),
    [sym_co_await_expression] = STATE(5024),
    [sym_new_expression] = STATE(5024),
    [sym_delete_expression] = STATE(5024),
    [sym_requires_clause] = STATE(5024),
    [sym_requires_expression] = STATE(5024),
    [sym_lambda_expression] = STATE(5024),
    [sym_lambda_capture_specifier] = STATE(7184),
    [sym_fold_expression] = STATE(5024),
    [sym_parameter_pack_expansion] = STATE(5024),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6886),
    [sym_qualified_identifier] = STATE(4713),
    [sym_qualified_type_identifier] = STATE(9352),
    [sym_user_defined_literal] = STATE(4713),
    [sym_identifier] = ACTIONS(4518),
    [anon_sym_LPAREN2] = ACTIONS(5188),
    [anon_sym_BANG] = ACTIONS(4522),
    [anon_sym_TILDE] = ACTIONS(4522),
    [anon_sym_DASH] = ACTIONS(4520),
    [anon_sym_PLUS] = ACTIONS(4520),
    [anon_sym_STAR] = ACTIONS(5190),
    [anon_sym_AMP] = ACTIONS(5190),
    [anon_sym_COLON] = ACTIONS(5225),
    [anon_sym_COLON_COLON] = ACTIONS(4524),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [sym_primitive_type] = ACTIONS(3146),
    [anon_sym_not] = ACTIONS(4520),
    [anon_sym_compl] = ACTIONS(4520),
    [anon_sym_DASH_DASH] = ACTIONS(5071),
    [anon_sym_PLUS_PLUS] = ACTIONS(5071),
    [anon_sym_sizeof] = ACTIONS(4526),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(4528),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(4530),
    [anon_sym_new] = ACTIONS(4516),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [1942] = {
    [sym__expression] = STATE(5519),
    [sym__expression_not_binary] = STATE(5024),
    [sym__string] = STATE(5024),
    [sym_conditional_expression] = STATE(5024),
    [sym_assignment_expression] = STATE(5024),
    [sym_pointer_expression] = STATE(4607),
    [sym_unary_expression] = STATE(5024),
    [sym_binary_expression] = STATE(5024),
    [sym_update_expression] = STATE(5024),
    [sym_cast_expression] = STATE(5024),
    [sym_sizeof_expression] = STATE(5024),
    [sym_alignof_expression] = STATE(5024),
    [sym_offsetof_expression] = STATE(5024),
    [sym_generic_expression] = STATE(5024),
    [sym_subscript_expression] = STATE(4607),
    [sym_call_expression] = STATE(4607),
    [sym_gnu_asm_expression] = STATE(5024),
    [sym_field_expression] = STATE(4607),
    [sym_compound_literal_expression] = STATE(5024),
    [sym_parenthesized_expression] = STATE(4607),
    [sym_initializer_list] = STATE(8542),
    [sym_char_literal] = STATE(5726),
    [sym_concatenated_string] = STATE(5682),
    [sym_string_literal] = STATE(4827),
    [sym_null] = STATE(5024),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9352),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(5024),
    [sym_raw_string_literal] = STATE(4829),
    [sym_co_await_expression] = STATE(5024),
    [sym_new_expression] = STATE(5024),
    [sym_delete_expression] = STATE(5024),
    [sym_requires_clause] = STATE(5024),
    [sym_requires_expression] = STATE(5024),
    [sym_lambda_expression] = STATE(5024),
    [sym_lambda_capture_specifier] = STATE(7184),
    [sym_fold_expression] = STATE(5024),
    [sym_parameter_pack_expansion] = STATE(5024),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6886),
    [sym_qualified_identifier] = STATE(4607),
    [sym_qualified_type_identifier] = STATE(9352),
    [sym_user_defined_literal] = STATE(4607),
    [sym_identifier] = ACTIONS(4478),
    [anon_sym_LPAREN2] = ACTIONS(5015),
    [anon_sym_BANG] = ACTIONS(4482),
    [anon_sym_TILDE] = ACTIONS(4482),
    [anon_sym_DASH] = ACTIONS(4480),
    [anon_sym_PLUS] = ACTIONS(4480),
    [anon_sym_STAR] = ACTIONS(5017),
    [anon_sym_AMP] = ACTIONS(5017),
    [anon_sym_COLON_COLON] = ACTIONS(4484),
    [anon_sym_LBRACE] = ACTIONS(4413),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [sym_primitive_type] = ACTIONS(3146),
    [anon_sym_not] = ACTIONS(4480),
    [anon_sym_compl] = ACTIONS(4480),
    [anon_sym_DASH_DASH] = ACTIONS(5021),
    [anon_sym_PLUS_PLUS] = ACTIONS(5021),
    [anon_sym_sizeof] = ACTIONS(4486),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(4488),
    [anon_sym_L_SQUOTE] = ACTIONS(4490),
    [anon_sym_u_SQUOTE] = ACTIONS(4490),
    [anon_sym_U_SQUOTE] = ACTIONS(4490),
    [anon_sym_u8_SQUOTE] = ACTIONS(4490),
    [anon_sym_SQUOTE] = ACTIONS(4490),
    [anon_sym_L_DQUOTE] = ACTIONS(4492),
    [anon_sym_u_DQUOTE] = ACTIONS(4492),
    [anon_sym_U_DQUOTE] = ACTIONS(4492),
    [anon_sym_u8_DQUOTE] = ACTIONS(4492),
    [anon_sym_DQUOTE] = ACTIONS(4492),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(4494),
    [anon_sym_R_DQUOTE] = ACTIONS(4496),
    [anon_sym_LR_DQUOTE] = ACTIONS(4496),
    [anon_sym_uR_DQUOTE] = ACTIONS(4496),
    [anon_sym_UR_DQUOTE] = ACTIONS(4496),
    [anon_sym_u8R_DQUOTE] = ACTIONS(4496),
    [anon_sym_co_await] = ACTIONS(4498),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [1943] = {
    [sym__expression] = STATE(4973),
    [sym__expression_not_binary] = STATE(5024),
    [sym__string] = STATE(5024),
    [sym_conditional_expression] = STATE(5024),
    [sym_assignment_expression] = STATE(5024),
    [sym_pointer_expression] = STATE(4031),
    [sym_unary_expression] = STATE(5024),
    [sym_binary_expression] = STATE(5024),
    [sym_update_expression] = STATE(5024),
    [sym_cast_expression] = STATE(5024),
    [sym_sizeof_expression] = STATE(5024),
    [sym_alignof_expression] = STATE(5024),
    [sym_offsetof_expression] = STATE(5024),
    [sym_generic_expression] = STATE(5024),
    [sym_subscript_expression] = STATE(4031),
    [sym_call_expression] = STATE(4031),
    [sym_gnu_asm_expression] = STATE(5024),
    [sym_field_expression] = STATE(4031),
    [sym_compound_literal_expression] = STATE(5024),
    [sym_parenthesized_expression] = STATE(4031),
    [sym_initializer_list] = STATE(4974),
    [sym_char_literal] = STATE(5335),
    [sym_concatenated_string] = STATE(5317),
    [sym_string_literal] = STATE(4163),
    [sym_null] = STATE(5024),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9352),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(5024),
    [sym_raw_string_literal] = STATE(4121),
    [sym_co_await_expression] = STATE(5024),
    [sym_new_expression] = STATE(5024),
    [sym_delete_expression] = STATE(5024),
    [sym_requires_clause] = STATE(5024),
    [sym_requires_expression] = STATE(5024),
    [sym_lambda_expression] = STATE(5024),
    [sym_lambda_capture_specifier] = STATE(7184),
    [sym_fold_expression] = STATE(5024),
    [sym_parameter_pack_expansion] = STATE(5024),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6886),
    [sym_qualified_identifier] = STATE(4031),
    [sym_qualified_type_identifier] = STATE(9352),
    [sym_user_defined_literal] = STATE(4031),
    [sym_identifier] = ACTIONS(5113),
    [anon_sym_LPAREN2] = ACTIONS(5212),
    [anon_sym_BANG] = ACTIONS(4409),
    [anon_sym_TILDE] = ACTIONS(4409),
    [anon_sym_DASH] = ACTIONS(4407),
    [anon_sym_PLUS] = ACTIONS(4407),
    [anon_sym_STAR] = ACTIONS(5186),
    [anon_sym_AMP] = ACTIONS(5186),
    [anon_sym_COLON_COLON] = ACTIONS(4411),
    [anon_sym_LBRACE] = ACTIONS(4413),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [sym_primitive_type] = ACTIONS(3146),
    [anon_sym_not] = ACTIONS(4407),
    [anon_sym_compl] = ACTIONS(4407),
    [anon_sym_DASH_DASH] = ACTIONS(5115),
    [anon_sym_PLUS_PLUS] = ACTIONS(5115),
    [anon_sym_sizeof] = ACTIONS(4415),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(4417),
    [anon_sym_L_SQUOTE] = ACTIONS(4419),
    [anon_sym_u_SQUOTE] = ACTIONS(4419),
    [anon_sym_U_SQUOTE] = ACTIONS(4419),
    [anon_sym_u8_SQUOTE] = ACTIONS(4419),
    [anon_sym_SQUOTE] = ACTIONS(4419),
    [anon_sym_L_DQUOTE] = ACTIONS(4247),
    [anon_sym_u_DQUOTE] = ACTIONS(4247),
    [anon_sym_U_DQUOTE] = ACTIONS(4247),
    [anon_sym_u8_DQUOTE] = ACTIONS(4247),
    [anon_sym_DQUOTE] = ACTIONS(4247),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(4421),
    [anon_sym_R_DQUOTE] = ACTIONS(4249),
    [anon_sym_LR_DQUOTE] = ACTIONS(4249),
    [anon_sym_uR_DQUOTE] = ACTIONS(4249),
    [anon_sym_UR_DQUOTE] = ACTIONS(4249),
    [anon_sym_u8R_DQUOTE] = ACTIONS(4249),
    [anon_sym_co_await] = ACTIONS(4423),
    [anon_sym_new] = ACTIONS(4425),
    [anon_sym_requires] = ACTIONS(4427),
    [sym_this] = ACTIONS(221),
  },
  [1944] = {
    [sym__expression] = STATE(4973),
    [sym__expression_not_binary] = STATE(5024),
    [sym__string] = STATE(5024),
    [sym_conditional_expression] = STATE(5024),
    [sym_assignment_expression] = STATE(5024),
    [sym_pointer_expression] = STATE(4607),
    [sym_unary_expression] = STATE(5024),
    [sym_binary_expression] = STATE(5024),
    [sym_update_expression] = STATE(5024),
    [sym_cast_expression] = STATE(5024),
    [sym_sizeof_expression] = STATE(5024),
    [sym_alignof_expression] = STATE(5024),
    [sym_offsetof_expression] = STATE(5024),
    [sym_generic_expression] = STATE(5024),
    [sym_subscript_expression] = STATE(4607),
    [sym_call_expression] = STATE(4607),
    [sym_gnu_asm_expression] = STATE(5024),
    [sym_field_expression] = STATE(4607),
    [sym_compound_literal_expression] = STATE(5024),
    [sym_parenthesized_expression] = STATE(4607),
    [sym_initializer_list] = STATE(4974),
    [sym_char_literal] = STATE(5726),
    [sym_concatenated_string] = STATE(5682),
    [sym_string_literal] = STATE(4827),
    [sym_null] = STATE(5024),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9352),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(5024),
    [sym_raw_string_literal] = STATE(4829),
    [sym_co_await_expression] = STATE(5024),
    [sym_new_expression] = STATE(5024),
    [sym_delete_expression] = STATE(5024),
    [sym_requires_clause] = STATE(5024),
    [sym_requires_expression] = STATE(5024),
    [sym_lambda_expression] = STATE(5024),
    [sym_lambda_capture_specifier] = STATE(7184),
    [sym_fold_expression] = STATE(5024),
    [sym_parameter_pack_expansion] = STATE(5024),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6886),
    [sym_qualified_identifier] = STATE(4607),
    [sym_qualified_type_identifier] = STATE(9352),
    [sym_user_defined_literal] = STATE(4607),
    [sym_identifier] = ACTIONS(4478),
    [anon_sym_LPAREN2] = ACTIONS(5015),
    [anon_sym_BANG] = ACTIONS(4482),
    [anon_sym_TILDE] = ACTIONS(4482),
    [anon_sym_DASH] = ACTIONS(4480),
    [anon_sym_PLUS] = ACTIONS(4480),
    [anon_sym_STAR] = ACTIONS(5017),
    [anon_sym_AMP] = ACTIONS(5017),
    [anon_sym_COLON_COLON] = ACTIONS(4484),
    [anon_sym_LBRACE] = ACTIONS(4413),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [sym_primitive_type] = ACTIONS(3146),
    [anon_sym_not] = ACTIONS(4480),
    [anon_sym_compl] = ACTIONS(4480),
    [anon_sym_DASH_DASH] = ACTIONS(5021),
    [anon_sym_PLUS_PLUS] = ACTIONS(5021),
    [anon_sym_sizeof] = ACTIONS(4486),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(4488),
    [anon_sym_L_SQUOTE] = ACTIONS(4490),
    [anon_sym_u_SQUOTE] = ACTIONS(4490),
    [anon_sym_U_SQUOTE] = ACTIONS(4490),
    [anon_sym_u8_SQUOTE] = ACTIONS(4490),
    [anon_sym_SQUOTE] = ACTIONS(4490),
    [anon_sym_L_DQUOTE] = ACTIONS(4492),
    [anon_sym_u_DQUOTE] = ACTIONS(4492),
    [anon_sym_U_DQUOTE] = ACTIONS(4492),
    [anon_sym_u8_DQUOTE] = ACTIONS(4492),
    [anon_sym_DQUOTE] = ACTIONS(4492),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(4494),
    [anon_sym_R_DQUOTE] = ACTIONS(4496),
    [anon_sym_LR_DQUOTE] = ACTIONS(4496),
    [anon_sym_uR_DQUOTE] = ACTIONS(4496),
    [anon_sym_UR_DQUOTE] = ACTIONS(4496),
    [anon_sym_u8R_DQUOTE] = ACTIONS(4496),
    [anon_sym_co_await] = ACTIONS(4498),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [1945] = {
    [sym__expression] = STATE(5435),
    [sym__expression_not_binary] = STATE(5024),
    [sym__string] = STATE(5024),
    [sym_conditional_expression] = STATE(5024),
    [sym_assignment_expression] = STATE(5024),
    [sym_pointer_expression] = STATE(4607),
    [sym_unary_expression] = STATE(5024),
    [sym_binary_expression] = STATE(5024),
    [sym_update_expression] = STATE(5024),
    [sym_cast_expression] = STATE(5024),
    [sym_sizeof_expression] = STATE(5024),
    [sym_alignof_expression] = STATE(5024),
    [sym_offsetof_expression] = STATE(5024),
    [sym_generic_expression] = STATE(5024),
    [sym_subscript_expression] = STATE(4607),
    [sym_call_expression] = STATE(4607),
    [sym_gnu_asm_expression] = STATE(5024),
    [sym_field_expression] = STATE(4607),
    [sym_compound_literal_expression] = STATE(5024),
    [sym_parenthesized_expression] = STATE(4607),
    [sym_initializer_list] = STATE(5022),
    [sym_char_literal] = STATE(5726),
    [sym_concatenated_string] = STATE(5682),
    [sym_string_literal] = STATE(4827),
    [sym_null] = STATE(5024),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9352),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(5024),
    [sym_raw_string_literal] = STATE(4829),
    [sym_co_await_expression] = STATE(5024),
    [sym_new_expression] = STATE(5024),
    [sym_delete_expression] = STATE(5024),
    [sym_requires_clause] = STATE(5024),
    [sym_requires_expression] = STATE(5024),
    [sym_lambda_expression] = STATE(5024),
    [sym_lambda_capture_specifier] = STATE(7184),
    [sym_fold_expression] = STATE(5024),
    [sym_parameter_pack_expansion] = STATE(5024),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6886),
    [sym_qualified_identifier] = STATE(4607),
    [sym_qualified_type_identifier] = STATE(9352),
    [sym_user_defined_literal] = STATE(4607),
    [sym_identifier] = ACTIONS(4478),
    [anon_sym_LPAREN2] = ACTIONS(5015),
    [anon_sym_BANG] = ACTIONS(4482),
    [anon_sym_TILDE] = ACTIONS(4482),
    [anon_sym_DASH] = ACTIONS(4480),
    [anon_sym_PLUS] = ACTIONS(4480),
    [anon_sym_STAR] = ACTIONS(5017),
    [anon_sym_AMP] = ACTIONS(5017),
    [anon_sym_COLON_COLON] = ACTIONS(4484),
    [anon_sym_LBRACE] = ACTIONS(4413),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [sym_primitive_type] = ACTIONS(3146),
    [anon_sym_not] = ACTIONS(4480),
    [anon_sym_compl] = ACTIONS(4480),
    [anon_sym_DASH_DASH] = ACTIONS(5021),
    [anon_sym_PLUS_PLUS] = ACTIONS(5021),
    [anon_sym_sizeof] = ACTIONS(4486),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(4488),
    [anon_sym_L_SQUOTE] = ACTIONS(4490),
    [anon_sym_u_SQUOTE] = ACTIONS(4490),
    [anon_sym_U_SQUOTE] = ACTIONS(4490),
    [anon_sym_u8_SQUOTE] = ACTIONS(4490),
    [anon_sym_SQUOTE] = ACTIONS(4490),
    [anon_sym_L_DQUOTE] = ACTIONS(4492),
    [anon_sym_u_DQUOTE] = ACTIONS(4492),
    [anon_sym_U_DQUOTE] = ACTIONS(4492),
    [anon_sym_u8_DQUOTE] = ACTIONS(4492),
    [anon_sym_DQUOTE] = ACTIONS(4492),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(4494),
    [anon_sym_R_DQUOTE] = ACTIONS(4496),
    [anon_sym_LR_DQUOTE] = ACTIONS(4496),
    [anon_sym_uR_DQUOTE] = ACTIONS(4496),
    [anon_sym_UR_DQUOTE] = ACTIONS(4496),
    [anon_sym_u8R_DQUOTE] = ACTIONS(4496),
    [anon_sym_co_await] = ACTIONS(4498),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [1946] = {
    [sym__expression] = STATE(5731),
    [sym__expression_not_binary] = STATE(5024),
    [sym__string] = STATE(5024),
    [sym_comma_expression] = STATE(9993),
    [sym_conditional_expression] = STATE(5024),
    [sym_assignment_expression] = STATE(5024),
    [sym_pointer_expression] = STATE(4507),
    [sym_unary_expression] = STATE(5024),
    [sym_binary_expression] = STATE(5024),
    [sym_update_expression] = STATE(5024),
    [sym_cast_expression] = STATE(5024),
    [sym_sizeof_expression] = STATE(5024),
    [sym_alignof_expression] = STATE(5024),
    [sym_offsetof_expression] = STATE(5024),
    [sym_generic_expression] = STATE(5024),
    [sym_subscript_expression] = STATE(4507),
    [sym_call_expression] = STATE(4507),
    [sym_gnu_asm_expression] = STATE(5024),
    [sym_field_expression] = STATE(4507),
    [sym_compound_literal_expression] = STATE(5024),
    [sym_parenthesized_expression] = STATE(4507),
    [sym_char_literal] = STATE(5374),
    [sym_concatenated_string] = STATE(5377),
    [sym_string_literal] = STATE(4206),
    [sym_null] = STATE(5024),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9352),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(5024),
    [sym_raw_string_literal] = STATE(4217),
    [sym_co_await_expression] = STATE(5024),
    [sym_new_expression] = STATE(5024),
    [sym_delete_expression] = STATE(5024),
    [sym_requires_clause] = STATE(5024),
    [sym_requires_expression] = STATE(5024),
    [sym_lambda_expression] = STATE(5024),
    [sym_lambda_capture_specifier] = STATE(7184),
    [sym_fold_expression] = STATE(5024),
    [sym_parameter_pack_expansion] = STATE(5024),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6886),
    [sym_qualified_identifier] = STATE(4507),
    [sym_qualified_type_identifier] = STATE(9352),
    [sym_user_defined_literal] = STATE(4507),
    [sym_identifier] = ACTIONS(3140),
    [anon_sym_RPAREN] = ACTIONS(5227),
    [anon_sym_LPAREN2] = ACTIONS(1472),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1474),
    [anon_sym_AMP] = ACTIONS(1474),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [sym_primitive_type] = ACTIONS(3146),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [1947] = {
    [sym__expression] = STATE(5690),
    [sym__expression_not_binary] = STATE(5024),
    [sym__string] = STATE(5024),
    [sym_comma_expression] = STATE(9901),
    [sym_conditional_expression] = STATE(5024),
    [sym_assignment_expression] = STATE(5024),
    [sym_pointer_expression] = STATE(4713),
    [sym_unary_expression] = STATE(5024),
    [sym_binary_expression] = STATE(5024),
    [sym_update_expression] = STATE(5024),
    [sym_cast_expression] = STATE(5024),
    [sym_sizeof_expression] = STATE(5024),
    [sym_alignof_expression] = STATE(5024),
    [sym_offsetof_expression] = STATE(5024),
    [sym_generic_expression] = STATE(5024),
    [sym_subscript_expression] = STATE(4713),
    [sym_call_expression] = STATE(4713),
    [sym_gnu_asm_expression] = STATE(5024),
    [sym_field_expression] = STATE(4713),
    [sym_compound_literal_expression] = STATE(5024),
    [sym_parenthesized_expression] = STATE(4713),
    [sym_char_literal] = STATE(5374),
    [sym_concatenated_string] = STATE(5377),
    [sym_string_literal] = STATE(4206),
    [sym_null] = STATE(5024),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9352),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(5024),
    [sym_raw_string_literal] = STATE(4217),
    [sym_co_await_expression] = STATE(5024),
    [sym_new_expression] = STATE(5024),
    [sym_delete_expression] = STATE(5024),
    [sym_requires_clause] = STATE(5024),
    [sym_requires_expression] = STATE(5024),
    [sym_lambda_expression] = STATE(5024),
    [sym_lambda_capture_specifier] = STATE(7184),
    [sym_fold_expression] = STATE(5024),
    [sym_parameter_pack_expansion] = STATE(5024),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6886),
    [sym_qualified_identifier] = STATE(4713),
    [sym_qualified_type_identifier] = STATE(9352),
    [sym_user_defined_literal] = STATE(4713),
    [sym_identifier] = ACTIONS(4518),
    [anon_sym_LPAREN2] = ACTIONS(5188),
    [anon_sym_BANG] = ACTIONS(4522),
    [anon_sym_TILDE] = ACTIONS(4522),
    [anon_sym_DASH] = ACTIONS(4520),
    [anon_sym_PLUS] = ACTIONS(4520),
    [anon_sym_STAR] = ACTIONS(5190),
    [anon_sym_AMP] = ACTIONS(5190),
    [anon_sym_COLON] = ACTIONS(5229),
    [anon_sym_COLON_COLON] = ACTIONS(4524),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [sym_primitive_type] = ACTIONS(3146),
    [anon_sym_not] = ACTIONS(4520),
    [anon_sym_compl] = ACTIONS(4520),
    [anon_sym_DASH_DASH] = ACTIONS(5071),
    [anon_sym_PLUS_PLUS] = ACTIONS(5071),
    [anon_sym_sizeof] = ACTIONS(4526),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(4528),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(4530),
    [anon_sym_new] = ACTIONS(4516),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [1948] = {
    [sym__expression] = STATE(5773),
    [sym__expression_not_binary] = STATE(5024),
    [sym__string] = STATE(5024),
    [sym_comma_expression] = STATE(10158),
    [sym_conditional_expression] = STATE(5024),
    [sym_assignment_expression] = STATE(5024),
    [sym_pointer_expression] = STATE(4713),
    [sym_unary_expression] = STATE(5024),
    [sym_binary_expression] = STATE(5024),
    [sym_update_expression] = STATE(5024),
    [sym_cast_expression] = STATE(5024),
    [sym_sizeof_expression] = STATE(5024),
    [sym_alignof_expression] = STATE(5024),
    [sym_offsetof_expression] = STATE(5024),
    [sym_generic_expression] = STATE(5024),
    [sym_subscript_expression] = STATE(4713),
    [sym_call_expression] = STATE(4713),
    [sym_gnu_asm_expression] = STATE(5024),
    [sym_field_expression] = STATE(4713),
    [sym_compound_literal_expression] = STATE(5024),
    [sym_parenthesized_expression] = STATE(4713),
    [sym_char_literal] = STATE(5374),
    [sym_concatenated_string] = STATE(5377),
    [sym_string_literal] = STATE(4206),
    [sym_null] = STATE(5024),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9352),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(5024),
    [sym_raw_string_literal] = STATE(4217),
    [sym_co_await_expression] = STATE(5024),
    [sym_new_expression] = STATE(5024),
    [sym_delete_expression] = STATE(5024),
    [sym_requires_clause] = STATE(5024),
    [sym_requires_expression] = STATE(5024),
    [sym_lambda_expression] = STATE(5024),
    [sym_lambda_capture_specifier] = STATE(7184),
    [sym_fold_expression] = STATE(5024),
    [sym_parameter_pack_expansion] = STATE(5024),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6886),
    [sym_qualified_identifier] = STATE(4713),
    [sym_qualified_type_identifier] = STATE(9352),
    [sym_user_defined_literal] = STATE(4713),
    [sym_identifier] = ACTIONS(4518),
    [anon_sym_LPAREN2] = ACTIONS(5188),
    [anon_sym_BANG] = ACTIONS(4522),
    [anon_sym_TILDE] = ACTIONS(4522),
    [anon_sym_DASH] = ACTIONS(4520),
    [anon_sym_PLUS] = ACTIONS(4520),
    [anon_sym_STAR] = ACTIONS(5190),
    [anon_sym_AMP] = ACTIONS(5190),
    [anon_sym_COLON] = ACTIONS(5231),
    [anon_sym_COLON_COLON] = ACTIONS(4524),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [sym_primitive_type] = ACTIONS(3146),
    [anon_sym_not] = ACTIONS(4520),
    [anon_sym_compl] = ACTIONS(4520),
    [anon_sym_DASH_DASH] = ACTIONS(5071),
    [anon_sym_PLUS_PLUS] = ACTIONS(5071),
    [anon_sym_sizeof] = ACTIONS(4526),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(4528),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(4530),
    [anon_sym_new] = ACTIONS(4516),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [1949] = {
    [sym__declaration_modifiers] = STATE(2652),
    [sym__declaration_specifiers] = STATE(5160),
    [sym_attribute_specifier] = STATE(2652),
    [sym_attribute_declaration] = STATE(2652),
    [sym_ms_declspec_modifier] = STATE(2652),
    [sym_storage_class_specifier] = STATE(2652),
    [sym_type_qualifier] = STATE(2652),
    [sym__type_specifier] = STATE(2827),
    [sym_sized_type_specifier] = STATE(3085),
    [sym_enum_specifier] = STATE(3085),
    [sym_struct_specifier] = STATE(3085),
    [sym_union_specifier] = STATE(3085),
    [sym_parameter_declaration] = STATE(8929),
    [sym_placeholder_type_specifier] = STATE(3085),
    [sym_decltype_auto] = STATE(3091),
    [sym_decltype] = STATE(3050),
    [sym_class_specifier] = STATE(3085),
    [sym_virtual] = STATE(2652),
    [sym_alignas_specifier] = STATE(2652),
    [sym_dependent_type] = STATE(3085),
    [sym_type_parameter_declaration] = STATE(8929),
    [sym_variadic_type_parameter_declaration] = STATE(8929),
    [sym_optional_type_parameter_declaration] = STATE(8929),
    [sym_template_template_parameter_declaration] = STATE(8929),
    [sym_optional_parameter_declaration] = STATE(8929),
    [sym_variadic_parameter_declaration] = STATE(8929),
    [sym_template_type] = STATE(3050),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(7879),
    [sym_qualified_type_identifier] = STATE(3068),
    [sym_qualifiers] = STATE(2652),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2652),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3021),
    [sym_identifier] = ACTIONS(4559),
    [anon_sym___extension__] = ACTIONS(63),
    [anon_sym_in] = ACTIONS(2118),
    [anon_sym_out] = ACTIONS(2118),
    [anon_sym_inout] = ACTIONS(2118),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(4569),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2096),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(2891),
    [anon_sym_enum] = ACTIONS(2124),
    [anon_sym_class] = ACTIONS(5233),
    [anon_sym_struct] = ACTIONS(2128),
    [anon_sym_union] = ACTIONS(2130),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [anon_sym_virtual] = ACTIONS(123),
    [anon_sym_alignas] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(5235),
    [anon_sym_template] = ACTIONS(5237),
    [anon_sym_GT2] = ACTIONS(5239),
    [anon_sym_precise] = ACTIONS(161),
    [anon_sym_shared] = ACTIONS(161),
    [anon_sym_groupshared] = ACTIONS(161),
    [anon_sym_uniform] = ACTIONS(161),
    [anon_sym_row_major] = ACTIONS(161),
    [anon_sym_column_major] = ACTIONS(161),
    [anon_sym_globallycoherent] = ACTIONS(161),
    [anon_sym_centroid] = ACTIONS(161),
    [anon_sym_noperspective] = ACTIONS(161),
    [anon_sym_nointerpolation] = ACTIONS(161),
    [anon_sym_sample] = ACTIONS(161),
    [anon_sym_linear] = ACTIONS(161),
    [anon_sym_snorm] = ACTIONS(161),
    [anon_sym_unorm] = ACTIONS(161),
    [anon_sym_point] = ACTIONS(161),
    [anon_sym_line] = ACTIONS(161),
    [anon_sym_triangleadj] = ACTIONS(161),
    [anon_sym_lineadj] = ACTIONS(161),
    [anon_sym_triangle] = ACTIONS(161),
  },
  [1950] = {
    [sym__expression] = STATE(5759),
    [sym__expression_not_binary] = STATE(5024),
    [sym__string] = STATE(5024),
    [sym_comma_expression] = STATE(9734),
    [sym_conditional_expression] = STATE(5024),
    [sym_assignment_expression] = STATE(5024),
    [sym_pointer_expression] = STATE(4713),
    [sym_unary_expression] = STATE(5024),
    [sym_binary_expression] = STATE(5024),
    [sym_update_expression] = STATE(5024),
    [sym_cast_expression] = STATE(5024),
    [sym_sizeof_expression] = STATE(5024),
    [sym_alignof_expression] = STATE(5024),
    [sym_offsetof_expression] = STATE(5024),
    [sym_generic_expression] = STATE(5024),
    [sym_subscript_expression] = STATE(4713),
    [sym_call_expression] = STATE(4713),
    [sym_gnu_asm_expression] = STATE(5024),
    [sym_field_expression] = STATE(4713),
    [sym_compound_literal_expression] = STATE(5024),
    [sym_parenthesized_expression] = STATE(4713),
    [sym_char_literal] = STATE(5374),
    [sym_concatenated_string] = STATE(5377),
    [sym_string_literal] = STATE(4206),
    [sym_null] = STATE(5024),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9352),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(5024),
    [sym_raw_string_literal] = STATE(4217),
    [sym_co_await_expression] = STATE(5024),
    [sym_new_expression] = STATE(5024),
    [sym_delete_expression] = STATE(5024),
    [sym_requires_clause] = STATE(5024),
    [sym_requires_expression] = STATE(5024),
    [sym_lambda_expression] = STATE(5024),
    [sym_lambda_capture_specifier] = STATE(7184),
    [sym_fold_expression] = STATE(5024),
    [sym_parameter_pack_expansion] = STATE(5024),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6886),
    [sym_qualified_identifier] = STATE(4713),
    [sym_qualified_type_identifier] = STATE(9352),
    [sym_user_defined_literal] = STATE(4713),
    [sym_identifier] = ACTIONS(4518),
    [anon_sym_LPAREN2] = ACTIONS(5188),
    [anon_sym_BANG] = ACTIONS(4522),
    [anon_sym_TILDE] = ACTIONS(4522),
    [anon_sym_DASH] = ACTIONS(4520),
    [anon_sym_PLUS] = ACTIONS(4520),
    [anon_sym_STAR] = ACTIONS(5190),
    [anon_sym_AMP] = ACTIONS(5190),
    [anon_sym_COLON] = ACTIONS(5241),
    [anon_sym_COLON_COLON] = ACTIONS(4524),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [sym_primitive_type] = ACTIONS(3146),
    [anon_sym_not] = ACTIONS(4520),
    [anon_sym_compl] = ACTIONS(4520),
    [anon_sym_DASH_DASH] = ACTIONS(5071),
    [anon_sym_PLUS_PLUS] = ACTIONS(5071),
    [anon_sym_sizeof] = ACTIONS(4526),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(4528),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(4530),
    [anon_sym_new] = ACTIONS(4516),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [1951] = {
    [sym__expression] = STATE(4426),
    [sym__expression_not_binary] = STATE(3672),
    [sym__string] = STATE(3672),
    [sym_conditional_expression] = STATE(3672),
    [sym_assignment_expression] = STATE(3672),
    [sym_pointer_expression] = STATE(3672),
    [sym_unary_expression] = STATE(3672),
    [sym_binary_expression] = STATE(3672),
    [sym_update_expression] = STATE(3672),
    [sym_cast_expression] = STATE(3672),
    [sym_sizeof_expression] = STATE(3672),
    [sym_alignof_expression] = STATE(3672),
    [sym_offsetof_expression] = STATE(3672),
    [sym_generic_expression] = STATE(3672),
    [sym_subscript_expression] = STATE(3672),
    [sym_call_expression] = STATE(3672),
    [sym_gnu_asm_expression] = STATE(3672),
    [sym_field_expression] = STATE(3672),
    [sym_compound_literal_expression] = STATE(3672),
    [sym_parenthesized_expression] = STATE(3672),
    [sym_initializer_list] = STATE(3655),
    [sym_char_literal] = STATE(3991),
    [sym_concatenated_string] = STATE(3973),
    [sym_string_literal] = STATE(3242),
    [sym_null] = STATE(3672),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9333),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(3672),
    [sym_raw_string_literal] = STATE(3241),
    [sym_co_await_expression] = STATE(3672),
    [sym_new_expression] = STATE(3672),
    [sym_delete_expression] = STATE(3672),
    [sym_requires_clause] = STATE(3672),
    [sym_requires_expression] = STATE(3672),
    [sym_lambda_expression] = STATE(3672),
    [sym_lambda_capture_specifier] = STATE(7134),
    [sym_fold_expression] = STATE(3672),
    [sym_parameter_pack_expansion] = STATE(3672),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6886),
    [sym_qualified_identifier] = STATE(3672),
    [sym_qualified_type_identifier] = STATE(9333),
    [sym_user_defined_literal] = STATE(3672),
    [sym_identifier] = ACTIONS(3968),
    [anon_sym_LPAREN2] = ACTIONS(5243),
    [anon_sym_BANG] = ACTIONS(4116),
    [anon_sym_TILDE] = ACTIONS(4116),
    [anon_sym_DASH] = ACTIONS(4114),
    [anon_sym_PLUS] = ACTIONS(4114),
    [anon_sym_STAR] = ACTIONS(5190),
    [anon_sym_AMP] = ACTIONS(5190),
    [anon_sym_COLON_COLON] = ACTIONS(4118),
    [anon_sym_LBRACE] = ACTIONS(3926),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [sym_primitive_type] = ACTIONS(3928),
    [anon_sym_not] = ACTIONS(4114),
    [anon_sym_compl] = ACTIONS(4114),
    [anon_sym_DASH_DASH] = ACTIONS(5093),
    [anon_sym_PLUS_PLUS] = ACTIONS(5093),
    [anon_sym_sizeof] = ACTIONS(4120),
    [anon_sym___alignof__] = ACTIONS(3932),
    [anon_sym___alignof] = ACTIONS(3932),
    [anon_sym__alignof] = ACTIONS(3932),
    [anon_sym_alignof] = ACTIONS(3932),
    [anon_sym__Alignof] = ACTIONS(3932),
    [anon_sym_offsetof] = ACTIONS(3934),
    [anon_sym__Generic] = ACTIONS(3936),
    [anon_sym_asm] = ACTIONS(3938),
    [anon_sym___asm__] = ACTIONS(3938),
    [sym_number_literal] = ACTIONS(3978),
    [anon_sym_L_SQUOTE] = ACTIONS(3980),
    [anon_sym_u_SQUOTE] = ACTIONS(3980),
    [anon_sym_U_SQUOTE] = ACTIONS(3980),
    [anon_sym_u8_SQUOTE] = ACTIONS(3980),
    [anon_sym_SQUOTE] = ACTIONS(3980),
    [anon_sym_L_DQUOTE] = ACTIONS(3982),
    [anon_sym_u_DQUOTE] = ACTIONS(3982),
    [anon_sym_U_DQUOTE] = ACTIONS(3982),
    [anon_sym_u8_DQUOTE] = ACTIONS(3982),
    [anon_sym_DQUOTE] = ACTIONS(3982),
    [sym_true] = ACTIONS(3946),
    [sym_false] = ACTIONS(3946),
    [anon_sym_NULL] = ACTIONS(3948),
    [anon_sym_nullptr] = ACTIONS(3948),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(4122),
    [anon_sym_R_DQUOTE] = ACTIONS(3986),
    [anon_sym_LR_DQUOTE] = ACTIONS(3986),
    [anon_sym_uR_DQUOTE] = ACTIONS(3986),
    [anon_sym_UR_DQUOTE] = ACTIONS(3986),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3986),
    [anon_sym_co_await] = ACTIONS(4124),
    [anon_sym_new] = ACTIONS(3990),
    [anon_sym_requires] = ACTIONS(3958),
    [sym_this] = ACTIONS(3946),
  },
  [1952] = {
    [sym__expression] = STATE(5628),
    [sym__expression_not_binary] = STATE(5024),
    [sym__string] = STATE(5024),
    [sym_comma_expression] = STATE(9757),
    [sym_conditional_expression] = STATE(5024),
    [sym_assignment_expression] = STATE(5024),
    [sym_pointer_expression] = STATE(4507),
    [sym_unary_expression] = STATE(5024),
    [sym_binary_expression] = STATE(5024),
    [sym_update_expression] = STATE(5024),
    [sym_cast_expression] = STATE(5024),
    [sym_sizeof_expression] = STATE(5024),
    [sym_alignof_expression] = STATE(5024),
    [sym_offsetof_expression] = STATE(5024),
    [sym_generic_expression] = STATE(5024),
    [sym_subscript_expression] = STATE(4507),
    [sym_call_expression] = STATE(4507),
    [sym_gnu_asm_expression] = STATE(5024),
    [sym_field_expression] = STATE(4507),
    [sym_compound_literal_expression] = STATE(5024),
    [sym_parenthesized_expression] = STATE(4507),
    [sym_char_literal] = STATE(5374),
    [sym_concatenated_string] = STATE(5377),
    [sym_string_literal] = STATE(4206),
    [sym_null] = STATE(5024),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9352),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(5024),
    [sym_raw_string_literal] = STATE(4217),
    [sym_co_await_expression] = STATE(5024),
    [sym_new_expression] = STATE(5024),
    [sym_delete_expression] = STATE(5024),
    [sym_requires_clause] = STATE(5024),
    [sym_requires_expression] = STATE(5024),
    [sym_lambda_expression] = STATE(5024),
    [sym_lambda_capture_specifier] = STATE(7184),
    [sym_fold_expression] = STATE(5024),
    [sym_parameter_pack_expansion] = STATE(5024),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6886),
    [sym_qualified_identifier] = STATE(4507),
    [sym_qualified_type_identifier] = STATE(9352),
    [sym_user_defined_literal] = STATE(4507),
    [sym_identifier] = ACTIONS(3140),
    [anon_sym_RPAREN] = ACTIONS(5245),
    [anon_sym_LPAREN2] = ACTIONS(1472),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1474),
    [anon_sym_AMP] = ACTIONS(1474),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [sym_primitive_type] = ACTIONS(3146),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [1953] = {
    [sym__expression] = STATE(4463),
    [sym__expression_not_binary] = STATE(3672),
    [sym__string] = STATE(3672),
    [sym_comma_expression] = STATE(10195),
    [sym_conditional_expression] = STATE(3672),
    [sym_assignment_expression] = STATE(3672),
    [sym_pointer_expression] = STATE(3672),
    [sym_unary_expression] = STATE(3672),
    [sym_binary_expression] = STATE(3672),
    [sym_update_expression] = STATE(3672),
    [sym_cast_expression] = STATE(3672),
    [sym_sizeof_expression] = STATE(3672),
    [sym_alignof_expression] = STATE(3672),
    [sym_offsetof_expression] = STATE(3672),
    [sym_generic_expression] = STATE(3672),
    [sym_subscript_expression] = STATE(3672),
    [sym_call_expression] = STATE(3672),
    [sym_gnu_asm_expression] = STATE(3672),
    [sym_field_expression] = STATE(3672),
    [sym_compound_literal_expression] = STATE(3672),
    [sym_parenthesized_expression] = STATE(3672),
    [sym_char_literal] = STATE(3991),
    [sym_concatenated_string] = STATE(3973),
    [sym_string_literal] = STATE(3242),
    [sym_null] = STATE(3672),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9333),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(3672),
    [sym_raw_string_literal] = STATE(3241),
    [sym_co_await_expression] = STATE(3672),
    [sym_new_expression] = STATE(3672),
    [sym_delete_expression] = STATE(3672),
    [sym_requires_clause] = STATE(3672),
    [sym_requires_expression] = STATE(3672),
    [sym_lambda_expression] = STATE(3672),
    [sym_lambda_capture_specifier] = STATE(7134),
    [sym_fold_expression] = STATE(3672),
    [sym_parameter_pack_expansion] = STATE(3672),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6886),
    [sym_qualified_identifier] = STATE(3672),
    [sym_qualified_type_identifier] = STATE(9333),
    [sym__assignment_expression_lhs] = STATE(10297),
    [sym_user_defined_literal] = STATE(3672),
    [sym_identifier] = ACTIONS(3968),
    [anon_sym_LPAREN2] = ACTIONS(5219),
    [anon_sym_BANG] = ACTIONS(3972),
    [anon_sym_TILDE] = ACTIONS(3972),
    [anon_sym_DASH] = ACTIONS(3970),
    [anon_sym_PLUS] = ACTIONS(3970),
    [anon_sym_STAR] = ACTIONS(1474),
    [anon_sym_AMP] = ACTIONS(1474),
    [anon_sym_COLON_COLON] = ACTIONS(3974),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [sym_primitive_type] = ACTIONS(3928),
    [anon_sym_not] = ACTIONS(3970),
    [anon_sym_compl] = ACTIONS(3970),
    [anon_sym_DASH_DASH] = ACTIONS(4385),
    [anon_sym_PLUS_PLUS] = ACTIONS(4385),
    [anon_sym_sizeof] = ACTIONS(3976),
    [anon_sym___alignof__] = ACTIONS(3932),
    [anon_sym___alignof] = ACTIONS(3932),
    [anon_sym__alignof] = ACTIONS(3932),
    [anon_sym_alignof] = ACTIONS(3932),
    [anon_sym__Alignof] = ACTIONS(3932),
    [anon_sym_offsetof] = ACTIONS(3934),
    [anon_sym__Generic] = ACTIONS(3936),
    [anon_sym_asm] = ACTIONS(3938),
    [anon_sym___asm__] = ACTIONS(3938),
    [sym_number_literal] = ACTIONS(3978),
    [anon_sym_L_SQUOTE] = ACTIONS(3980),
    [anon_sym_u_SQUOTE] = ACTIONS(3980),
    [anon_sym_U_SQUOTE] = ACTIONS(3980),
    [anon_sym_u8_SQUOTE] = ACTIONS(3980),
    [anon_sym_SQUOTE] = ACTIONS(3980),
    [anon_sym_L_DQUOTE] = ACTIONS(3982),
    [anon_sym_u_DQUOTE] = ACTIONS(3982),
    [anon_sym_U_DQUOTE] = ACTIONS(3982),
    [anon_sym_u8_DQUOTE] = ACTIONS(3982),
    [anon_sym_DQUOTE] = ACTIONS(3982),
    [sym_true] = ACTIONS(3946),
    [sym_false] = ACTIONS(3946),
    [anon_sym_NULL] = ACTIONS(3948),
    [anon_sym_nullptr] = ACTIONS(3948),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(3984),
    [anon_sym_R_DQUOTE] = ACTIONS(3986),
    [anon_sym_LR_DQUOTE] = ACTIONS(3986),
    [anon_sym_uR_DQUOTE] = ACTIONS(3986),
    [anon_sym_UR_DQUOTE] = ACTIONS(3986),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3986),
    [anon_sym_co_await] = ACTIONS(3988),
    [anon_sym_new] = ACTIONS(3990),
    [anon_sym_requires] = ACTIONS(3958),
    [sym_this] = ACTIONS(3946),
  },
  [1954] = {
    [sym__expression] = STATE(3520),
    [sym__expression_not_binary] = STATE(3672),
    [sym__string] = STATE(3672),
    [sym_conditional_expression] = STATE(3672),
    [sym_assignment_expression] = STATE(3672),
    [sym_pointer_expression] = STATE(3672),
    [sym_unary_expression] = STATE(3672),
    [sym_binary_expression] = STATE(3672),
    [sym_update_expression] = STATE(3672),
    [sym_cast_expression] = STATE(3672),
    [sym_sizeof_expression] = STATE(3672),
    [sym_alignof_expression] = STATE(3672),
    [sym_offsetof_expression] = STATE(3672),
    [sym_generic_expression] = STATE(3672),
    [sym_subscript_expression] = STATE(3672),
    [sym_call_expression] = STATE(3672),
    [sym_gnu_asm_expression] = STATE(3672),
    [sym_field_expression] = STATE(3672),
    [sym_compound_literal_expression] = STATE(3672),
    [sym_parenthesized_expression] = STATE(3672),
    [sym_char_literal] = STATE(3991),
    [sym_concatenated_string] = STATE(3973),
    [sym_string_literal] = STATE(3242),
    [sym_null] = STATE(3672),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9333),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(3672),
    [sym_raw_string_literal] = STATE(3241),
    [sym_co_await_expression] = STATE(3672),
    [sym_new_expression] = STATE(3672),
    [sym_delete_expression] = STATE(3672),
    [sym_requires_clause] = STATE(3672),
    [sym_requires_expression] = STATE(3672),
    [sym_lambda_expression] = STATE(3672),
    [sym_lambda_capture_specifier] = STATE(7134),
    [sym_fold_expression] = STATE(3672),
    [sym_parameter_pack_expansion] = STATE(3672),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6886),
    [sym_qualified_identifier] = STATE(3672),
    [sym_qualified_type_identifier] = STATE(9333),
    [sym_user_defined_literal] = STATE(3672),
    [sym_identifier] = ACTIONS(3968),
    [anon_sym_COMMA] = ACTIONS(5247),
    [anon_sym_LPAREN2] = ACTIONS(5219),
    [anon_sym_BANG] = ACTIONS(3972),
    [anon_sym_TILDE] = ACTIONS(3972),
    [anon_sym_DASH] = ACTIONS(3970),
    [anon_sym_PLUS] = ACTIONS(3970),
    [anon_sym_STAR] = ACTIONS(1474),
    [anon_sym_AMP] = ACTIONS(1474),
    [anon_sym_COLON_COLON] = ACTIONS(3974),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [anon_sym_RBRACK] = ACTIONS(5247),
    [sym_primitive_type] = ACTIONS(3928),
    [anon_sym_not] = ACTIONS(3970),
    [anon_sym_compl] = ACTIONS(3970),
    [anon_sym_DASH_DASH] = ACTIONS(4385),
    [anon_sym_PLUS_PLUS] = ACTIONS(4385),
    [anon_sym_sizeof] = ACTIONS(3976),
    [anon_sym___alignof__] = ACTIONS(3932),
    [anon_sym___alignof] = ACTIONS(3932),
    [anon_sym__alignof] = ACTIONS(3932),
    [anon_sym_alignof] = ACTIONS(3932),
    [anon_sym__Alignof] = ACTIONS(3932),
    [anon_sym_offsetof] = ACTIONS(3934),
    [anon_sym__Generic] = ACTIONS(3936),
    [anon_sym_asm] = ACTIONS(3938),
    [anon_sym___asm__] = ACTIONS(3938),
    [sym_number_literal] = ACTIONS(3978),
    [anon_sym_L_SQUOTE] = ACTIONS(3980),
    [anon_sym_u_SQUOTE] = ACTIONS(3980),
    [anon_sym_U_SQUOTE] = ACTIONS(3980),
    [anon_sym_u8_SQUOTE] = ACTIONS(3980),
    [anon_sym_SQUOTE] = ACTIONS(3980),
    [anon_sym_L_DQUOTE] = ACTIONS(3982),
    [anon_sym_u_DQUOTE] = ACTIONS(3982),
    [anon_sym_U_DQUOTE] = ACTIONS(3982),
    [anon_sym_u8_DQUOTE] = ACTIONS(3982),
    [anon_sym_DQUOTE] = ACTIONS(3982),
    [sym_true] = ACTIONS(3946),
    [sym_false] = ACTIONS(3946),
    [anon_sym_NULL] = ACTIONS(3948),
    [anon_sym_nullptr] = ACTIONS(3948),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(3984),
    [anon_sym_R_DQUOTE] = ACTIONS(3986),
    [anon_sym_LR_DQUOTE] = ACTIONS(3986),
    [anon_sym_uR_DQUOTE] = ACTIONS(3986),
    [anon_sym_UR_DQUOTE] = ACTIONS(3986),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3986),
    [anon_sym_co_await] = ACTIONS(3988),
    [anon_sym_new] = ACTIONS(3990),
    [anon_sym_requires] = ACTIONS(3958),
    [sym_this] = ACTIONS(3946),
  },
  [1955] = {
    [sym__expression] = STATE(5832),
    [sym__expression_not_binary] = STATE(5024),
    [sym__string] = STATE(5024),
    [sym_conditional_expression] = STATE(5024),
    [sym_assignment_expression] = STATE(5024),
    [sym_pointer_expression] = STATE(4507),
    [sym_unary_expression] = STATE(5024),
    [sym_binary_expression] = STATE(5024),
    [sym_update_expression] = STATE(5024),
    [sym_cast_expression] = STATE(5024),
    [sym_sizeof_expression] = STATE(5024),
    [sym_alignof_expression] = STATE(5024),
    [sym_offsetof_expression] = STATE(5024),
    [sym_generic_expression] = STATE(5024),
    [sym_subscript_expression] = STATE(4507),
    [sym_call_expression] = STATE(4507),
    [sym_gnu_asm_expression] = STATE(5024),
    [sym_field_expression] = STATE(4507),
    [sym_compound_literal_expression] = STATE(5024),
    [sym_parenthesized_expression] = STATE(4507),
    [sym_initializer_list] = STATE(10257),
    [sym_char_literal] = STATE(5374),
    [sym_concatenated_string] = STATE(5377),
    [sym_string_literal] = STATE(4206),
    [sym_null] = STATE(5024),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9352),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(5024),
    [sym_raw_string_literal] = STATE(4217),
    [sym_co_await_expression] = STATE(5024),
    [sym_new_expression] = STATE(5024),
    [sym_delete_expression] = STATE(5024),
    [sym_requires_clause] = STATE(5024),
    [sym_requires_expression] = STATE(5024),
    [sym_lambda_expression] = STATE(5024),
    [sym_lambda_capture_specifier] = STATE(7184),
    [sym_fold_expression] = STATE(5024),
    [sym_parameter_pack_expansion] = STATE(5024),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6886),
    [sym_qualified_identifier] = STATE(4507),
    [sym_qualified_type_identifier] = STATE(9352),
    [sym_user_defined_literal] = STATE(4507),
    [sym_identifier] = ACTIONS(3140),
    [anon_sym_LPAREN2] = ACTIONS(1472),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1474),
    [anon_sym_AMP] = ACTIONS(1474),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(4413),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [sym_primitive_type] = ACTIONS(3146),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [1956] = {
    [sym__expression] = STATE(5909),
    [sym__expression_not_binary] = STATE(5024),
    [sym__string] = STATE(5024),
    [sym_conditional_expression] = STATE(5024),
    [sym_assignment_expression] = STATE(5024),
    [sym_pointer_expression] = STATE(4507),
    [sym_unary_expression] = STATE(5024),
    [sym_binary_expression] = STATE(5024),
    [sym_update_expression] = STATE(5024),
    [sym_cast_expression] = STATE(5024),
    [sym_sizeof_expression] = STATE(5024),
    [sym_alignof_expression] = STATE(5024),
    [sym_offsetof_expression] = STATE(5024),
    [sym_generic_expression] = STATE(5024),
    [sym_subscript_expression] = STATE(4507),
    [sym_call_expression] = STATE(4507),
    [sym_gnu_asm_expression] = STATE(5024),
    [sym_field_expression] = STATE(4507),
    [sym_compound_literal_expression] = STATE(5024),
    [sym_parenthesized_expression] = STATE(4507),
    [sym_initializer_list] = STATE(9620),
    [sym_char_literal] = STATE(5374),
    [sym_concatenated_string] = STATE(5377),
    [sym_string_literal] = STATE(4206),
    [sym_null] = STATE(5024),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9352),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(5024),
    [sym_raw_string_literal] = STATE(4217),
    [sym_co_await_expression] = STATE(5024),
    [sym_new_expression] = STATE(5024),
    [sym_delete_expression] = STATE(5024),
    [sym_requires_clause] = STATE(5024),
    [sym_requires_expression] = STATE(5024),
    [sym_lambda_expression] = STATE(5024),
    [sym_lambda_capture_specifier] = STATE(7184),
    [sym_fold_expression] = STATE(5024),
    [sym_parameter_pack_expansion] = STATE(5024),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6886),
    [sym_qualified_identifier] = STATE(4507),
    [sym_qualified_type_identifier] = STATE(9352),
    [sym_user_defined_literal] = STATE(4507),
    [sym_identifier] = ACTIONS(3140),
    [anon_sym_LPAREN2] = ACTIONS(1472),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1474),
    [anon_sym_AMP] = ACTIONS(1474),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(4413),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [sym_primitive_type] = ACTIONS(3146),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [1957] = {
    [sym__expression] = STATE(5772),
    [sym__expression_not_binary] = STATE(5024),
    [sym__string] = STATE(5024),
    [sym_comma_expression] = STATE(10054),
    [sym_conditional_expression] = STATE(5024),
    [sym_assignment_expression] = STATE(5024),
    [sym_pointer_expression] = STATE(4713),
    [sym_unary_expression] = STATE(5024),
    [sym_binary_expression] = STATE(5024),
    [sym_update_expression] = STATE(5024),
    [sym_cast_expression] = STATE(5024),
    [sym_sizeof_expression] = STATE(5024),
    [sym_alignof_expression] = STATE(5024),
    [sym_offsetof_expression] = STATE(5024),
    [sym_generic_expression] = STATE(5024),
    [sym_subscript_expression] = STATE(4713),
    [sym_call_expression] = STATE(4713),
    [sym_gnu_asm_expression] = STATE(5024),
    [sym_field_expression] = STATE(4713),
    [sym_compound_literal_expression] = STATE(5024),
    [sym_parenthesized_expression] = STATE(4713),
    [sym_char_literal] = STATE(5374),
    [sym_concatenated_string] = STATE(5377),
    [sym_string_literal] = STATE(4206),
    [sym_null] = STATE(5024),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9352),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(5024),
    [sym_raw_string_literal] = STATE(4217),
    [sym_co_await_expression] = STATE(5024),
    [sym_new_expression] = STATE(5024),
    [sym_delete_expression] = STATE(5024),
    [sym_requires_clause] = STATE(5024),
    [sym_requires_expression] = STATE(5024),
    [sym_lambda_expression] = STATE(5024),
    [sym_lambda_capture_specifier] = STATE(7184),
    [sym_fold_expression] = STATE(5024),
    [sym_parameter_pack_expansion] = STATE(5024),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6886),
    [sym_qualified_identifier] = STATE(4713),
    [sym_qualified_type_identifier] = STATE(9352),
    [sym_user_defined_literal] = STATE(4713),
    [sym_identifier] = ACTIONS(4518),
    [anon_sym_LPAREN2] = ACTIONS(5188),
    [anon_sym_BANG] = ACTIONS(4522),
    [anon_sym_TILDE] = ACTIONS(4522),
    [anon_sym_DASH] = ACTIONS(4520),
    [anon_sym_PLUS] = ACTIONS(4520),
    [anon_sym_STAR] = ACTIONS(5190),
    [anon_sym_AMP] = ACTIONS(5190),
    [anon_sym_COLON] = ACTIONS(5249),
    [anon_sym_COLON_COLON] = ACTIONS(4524),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [sym_primitive_type] = ACTIONS(3146),
    [anon_sym_not] = ACTIONS(4520),
    [anon_sym_compl] = ACTIONS(4520),
    [anon_sym_DASH_DASH] = ACTIONS(5071),
    [anon_sym_PLUS_PLUS] = ACTIONS(5071),
    [anon_sym_sizeof] = ACTIONS(4526),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(4528),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(4530),
    [anon_sym_new] = ACTIONS(4516),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [1958] = {
    [sym__expression] = STATE(5396),
    [sym__expression_not_binary] = STATE(5024),
    [sym__string] = STATE(5024),
    [sym_conditional_expression] = STATE(5024),
    [sym_assignment_expression] = STATE(5024),
    [sym_pointer_expression] = STATE(4507),
    [sym_unary_expression] = STATE(5024),
    [sym_binary_expression] = STATE(5024),
    [sym_update_expression] = STATE(5024),
    [sym_cast_expression] = STATE(5024),
    [sym_sizeof_expression] = STATE(5024),
    [sym_alignof_expression] = STATE(5024),
    [sym_offsetof_expression] = STATE(5024),
    [sym_generic_expression] = STATE(5024),
    [sym_subscript_expression] = STATE(4507),
    [sym_call_expression] = STATE(4507),
    [sym_gnu_asm_expression] = STATE(5024),
    [sym_field_expression] = STATE(4507),
    [sym_compound_literal_expression] = STATE(5024),
    [sym_parenthesized_expression] = STATE(4507),
    [sym_initializer_list] = STATE(5022),
    [sym_char_literal] = STATE(5374),
    [sym_concatenated_string] = STATE(5377),
    [sym_string_literal] = STATE(4206),
    [sym_null] = STATE(5024),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9352),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(5024),
    [sym_raw_string_literal] = STATE(4217),
    [sym_co_await_expression] = STATE(5024),
    [sym_new_expression] = STATE(5024),
    [sym_delete_expression] = STATE(5024),
    [sym_requires_clause] = STATE(5024),
    [sym_requires_expression] = STATE(5024),
    [sym_lambda_expression] = STATE(5024),
    [sym_lambda_capture_specifier] = STATE(7184),
    [sym_fold_expression] = STATE(5024),
    [sym_parameter_pack_expansion] = STATE(5024),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6886),
    [sym_qualified_identifier] = STATE(4507),
    [sym_qualified_type_identifier] = STATE(9352),
    [sym_user_defined_literal] = STATE(4507),
    [sym_identifier] = ACTIONS(3140),
    [anon_sym_LPAREN2] = ACTIONS(1472),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1474),
    [anon_sym_AMP] = ACTIONS(1474),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(4413),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [sym_primitive_type] = ACTIONS(3146),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [1959] = {
    [sym__expression] = STATE(5780),
    [sym__expression_not_binary] = STATE(5024),
    [sym__string] = STATE(5024),
    [sym_comma_expression] = STATE(10256),
    [sym_conditional_expression] = STATE(5024),
    [sym_assignment_expression] = STATE(5024),
    [sym_pointer_expression] = STATE(4507),
    [sym_unary_expression] = STATE(5024),
    [sym_binary_expression] = STATE(5024),
    [sym_update_expression] = STATE(5024),
    [sym_cast_expression] = STATE(5024),
    [sym_sizeof_expression] = STATE(5024),
    [sym_alignof_expression] = STATE(5024),
    [sym_offsetof_expression] = STATE(5024),
    [sym_generic_expression] = STATE(5024),
    [sym_subscript_expression] = STATE(4507),
    [sym_call_expression] = STATE(4507),
    [sym_gnu_asm_expression] = STATE(5024),
    [sym_field_expression] = STATE(4507),
    [sym_compound_literal_expression] = STATE(5024),
    [sym_parenthesized_expression] = STATE(4507),
    [sym_char_literal] = STATE(5374),
    [sym_concatenated_string] = STATE(5377),
    [sym_string_literal] = STATE(4206),
    [sym_null] = STATE(5024),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9352),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(5024),
    [sym_raw_string_literal] = STATE(4217),
    [sym_co_await_expression] = STATE(5024),
    [sym_new_expression] = STATE(5024),
    [sym_delete_expression] = STATE(5024),
    [sym_requires_clause] = STATE(5024),
    [sym_requires_expression] = STATE(5024),
    [sym_lambda_expression] = STATE(5024),
    [sym_lambda_capture_specifier] = STATE(7184),
    [sym_fold_expression] = STATE(5024),
    [sym_parameter_pack_expansion] = STATE(5024),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6886),
    [sym_qualified_identifier] = STATE(4507),
    [sym_qualified_type_identifier] = STATE(9352),
    [sym_user_defined_literal] = STATE(4507),
    [sym_identifier] = ACTIONS(3140),
    [anon_sym_RPAREN] = ACTIONS(5251),
    [anon_sym_LPAREN2] = ACTIONS(1472),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1474),
    [anon_sym_AMP] = ACTIONS(1474),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [sym_primitive_type] = ACTIONS(3146),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [1960] = {
    [sym__expression] = STATE(4973),
    [sym__expression_not_binary] = STATE(5024),
    [sym__string] = STATE(5024),
    [sym_conditional_expression] = STATE(5024),
    [sym_assignment_expression] = STATE(5024),
    [sym_pointer_expression] = STATE(4507),
    [sym_unary_expression] = STATE(5024),
    [sym_binary_expression] = STATE(5024),
    [sym_update_expression] = STATE(5024),
    [sym_cast_expression] = STATE(5024),
    [sym_sizeof_expression] = STATE(5024),
    [sym_alignof_expression] = STATE(5024),
    [sym_offsetof_expression] = STATE(5024),
    [sym_generic_expression] = STATE(5024),
    [sym_subscript_expression] = STATE(4507),
    [sym_call_expression] = STATE(4507),
    [sym_gnu_asm_expression] = STATE(5024),
    [sym_field_expression] = STATE(4507),
    [sym_compound_literal_expression] = STATE(5024),
    [sym_parenthesized_expression] = STATE(4507),
    [sym_initializer_list] = STATE(4974),
    [sym_char_literal] = STATE(5374),
    [sym_concatenated_string] = STATE(5377),
    [sym_string_literal] = STATE(4206),
    [sym_null] = STATE(5024),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9352),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(5024),
    [sym_raw_string_literal] = STATE(4217),
    [sym_co_await_expression] = STATE(5024),
    [sym_new_expression] = STATE(5024),
    [sym_delete_expression] = STATE(5024),
    [sym_requires_clause] = STATE(5024),
    [sym_requires_expression] = STATE(5024),
    [sym_lambda_expression] = STATE(5024),
    [sym_lambda_capture_specifier] = STATE(7184),
    [sym_fold_expression] = STATE(5024),
    [sym_parameter_pack_expansion] = STATE(5024),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6886),
    [sym_qualified_identifier] = STATE(4507),
    [sym_qualified_type_identifier] = STATE(9352),
    [sym_user_defined_literal] = STATE(4507),
    [sym_identifier] = ACTIONS(3140),
    [anon_sym_LPAREN2] = ACTIONS(1472),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1474),
    [anon_sym_AMP] = ACTIONS(1474),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(4413),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [sym_primitive_type] = ACTIONS(3146),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [1961] = {
    [sym__expression] = STATE(4728),
    [sym__expression_not_binary] = STATE(4939),
    [sym__string] = STATE(4939),
    [sym_conditional_expression] = STATE(4939),
    [sym_assignment_expression] = STATE(4939),
    [sym_pointer_expression] = STATE(4521),
    [sym_unary_expression] = STATE(4939),
    [sym_binary_expression] = STATE(4939),
    [sym_update_expression] = STATE(4939),
    [sym_cast_expression] = STATE(4939),
    [sym_sizeof_expression] = STATE(4939),
    [sym_alignof_expression] = STATE(4939),
    [sym_offsetof_expression] = STATE(4939),
    [sym_generic_expression] = STATE(4939),
    [sym_subscript_expression] = STATE(4521),
    [sym_call_expression] = STATE(4521),
    [sym_gnu_asm_expression] = STATE(4939),
    [sym_field_expression] = STATE(4521),
    [sym_compound_literal_expression] = STATE(4939),
    [sym_parenthesized_expression] = STATE(4521),
    [sym_initializer_list] = STATE(4923),
    [sym_char_literal] = STATE(4856),
    [sym_concatenated_string] = STATE(4876),
    [sym_string_literal] = STATE(3630),
    [sym_null] = STATE(4939),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9415),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(4939),
    [sym_raw_string_literal] = STATE(3632),
    [sym_co_await_expression] = STATE(4939),
    [sym_new_expression] = STATE(4939),
    [sym_delete_expression] = STATE(4939),
    [sym_requires_clause] = STATE(4939),
    [sym_requires_expression] = STATE(4939),
    [sym_lambda_expression] = STATE(4939),
    [sym_lambda_capture_specifier] = STATE(7190),
    [sym_fold_expression] = STATE(4939),
    [sym_parameter_pack_expansion] = STATE(4939),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6899),
    [sym_qualified_identifier] = STATE(4521),
    [sym_qualified_type_identifier] = STATE(9415),
    [sym_user_defined_literal] = STATE(4521),
    [sym_identifier] = ACTIONS(4178),
    [anon_sym_LPAREN2] = ACTIONS(2110),
    [anon_sym_BANG] = ACTIONS(2112),
    [anon_sym_TILDE] = ACTIONS(2112),
    [anon_sym_DASH] = ACTIONS(2114),
    [anon_sym_PLUS] = ACTIONS(2114),
    [anon_sym_STAR] = ACTIONS(2116),
    [anon_sym_AMP] = ACTIONS(2116),
    [anon_sym_COLON_COLON] = ACTIONS(2120),
    [anon_sym_LBRACE] = ACTIONS(4180),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [sym_primitive_type] = ACTIONS(4182),
    [anon_sym_not] = ACTIONS(2114),
    [anon_sym_compl] = ACTIONS(2114),
    [anon_sym_DASH_DASH] = ACTIONS(2132),
    [anon_sym_PLUS_PLUS] = ACTIONS(2132),
    [anon_sym_sizeof] = ACTIONS(2134),
    [anon_sym___alignof__] = ACTIONS(2136),
    [anon_sym___alignof] = ACTIONS(2136),
    [anon_sym__alignof] = ACTIONS(2136),
    [anon_sym_alignof] = ACTIONS(2136),
    [anon_sym__Alignof] = ACTIONS(2136),
    [anon_sym_offsetof] = ACTIONS(2138),
    [anon_sym__Generic] = ACTIONS(2140),
    [anon_sym_asm] = ACTIONS(2142),
    [anon_sym___asm__] = ACTIONS(2142),
    [sym_number_literal] = ACTIONS(2144),
    [anon_sym_L_SQUOTE] = ACTIONS(2146),
    [anon_sym_u_SQUOTE] = ACTIONS(2146),
    [anon_sym_U_SQUOTE] = ACTIONS(2146),
    [anon_sym_u8_SQUOTE] = ACTIONS(2146),
    [anon_sym_SQUOTE] = ACTIONS(2146),
    [anon_sym_L_DQUOTE] = ACTIONS(2148),
    [anon_sym_u_DQUOTE] = ACTIONS(2148),
    [anon_sym_U_DQUOTE] = ACTIONS(2148),
    [anon_sym_u8_DQUOTE] = ACTIONS(2148),
    [anon_sym_DQUOTE] = ACTIONS(2148),
    [sym_true] = ACTIONS(2150),
    [sym_false] = ACTIONS(2150),
    [anon_sym_NULL] = ACTIONS(2152),
    [anon_sym_nullptr] = ACTIONS(2152),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(2156),
    [anon_sym_R_DQUOTE] = ACTIONS(2158),
    [anon_sym_LR_DQUOTE] = ACTIONS(2158),
    [anon_sym_uR_DQUOTE] = ACTIONS(2158),
    [anon_sym_UR_DQUOTE] = ACTIONS(2158),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2158),
    [anon_sym_co_await] = ACTIONS(2160),
    [anon_sym_new] = ACTIONS(2162),
    [anon_sym_requires] = ACTIONS(2164),
    [sym_this] = ACTIONS(2150),
  },
  [1962] = {
    [sym__expression] = STATE(5766),
    [sym__expression_not_binary] = STATE(5024),
    [sym__string] = STATE(5024),
    [sym_comma_expression] = STATE(9926),
    [sym_conditional_expression] = STATE(5024),
    [sym_assignment_expression] = STATE(5024),
    [sym_pointer_expression] = STATE(4713),
    [sym_unary_expression] = STATE(5024),
    [sym_binary_expression] = STATE(5024),
    [sym_update_expression] = STATE(5024),
    [sym_cast_expression] = STATE(5024),
    [sym_sizeof_expression] = STATE(5024),
    [sym_alignof_expression] = STATE(5024),
    [sym_offsetof_expression] = STATE(5024),
    [sym_generic_expression] = STATE(5024),
    [sym_subscript_expression] = STATE(4713),
    [sym_call_expression] = STATE(4713),
    [sym_gnu_asm_expression] = STATE(5024),
    [sym_field_expression] = STATE(4713),
    [sym_compound_literal_expression] = STATE(5024),
    [sym_parenthesized_expression] = STATE(4713),
    [sym_char_literal] = STATE(5374),
    [sym_concatenated_string] = STATE(5377),
    [sym_string_literal] = STATE(4206),
    [sym_null] = STATE(5024),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9352),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(5024),
    [sym_raw_string_literal] = STATE(4217),
    [sym_co_await_expression] = STATE(5024),
    [sym_new_expression] = STATE(5024),
    [sym_delete_expression] = STATE(5024),
    [sym_requires_clause] = STATE(5024),
    [sym_requires_expression] = STATE(5024),
    [sym_lambda_expression] = STATE(5024),
    [sym_lambda_capture_specifier] = STATE(7184),
    [sym_fold_expression] = STATE(5024),
    [sym_parameter_pack_expansion] = STATE(5024),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6886),
    [sym_qualified_identifier] = STATE(4713),
    [sym_qualified_type_identifier] = STATE(9352),
    [sym_user_defined_literal] = STATE(4713),
    [sym_identifier] = ACTIONS(4518),
    [anon_sym_LPAREN2] = ACTIONS(5188),
    [anon_sym_BANG] = ACTIONS(4522),
    [anon_sym_TILDE] = ACTIONS(4522),
    [anon_sym_DASH] = ACTIONS(4520),
    [anon_sym_PLUS] = ACTIONS(4520),
    [anon_sym_STAR] = ACTIONS(5190),
    [anon_sym_AMP] = ACTIONS(5190),
    [anon_sym_COLON] = ACTIONS(5253),
    [anon_sym_COLON_COLON] = ACTIONS(4524),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [sym_primitive_type] = ACTIONS(3146),
    [anon_sym_not] = ACTIONS(4520),
    [anon_sym_compl] = ACTIONS(4520),
    [anon_sym_DASH_DASH] = ACTIONS(5071),
    [anon_sym_PLUS_PLUS] = ACTIONS(5071),
    [anon_sym_sizeof] = ACTIONS(4526),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(4528),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(4530),
    [anon_sym_new] = ACTIONS(4516),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [1963] = {
    [sym__expression] = STATE(5683),
    [sym__expression_not_binary] = STATE(5024),
    [sym__string] = STATE(5024),
    [sym_conditional_expression] = STATE(5024),
    [sym_assignment_expression] = STATE(5024),
    [sym_pointer_expression] = STATE(4507),
    [sym_unary_expression] = STATE(5024),
    [sym_binary_expression] = STATE(5024),
    [sym_update_expression] = STATE(5024),
    [sym_cast_expression] = STATE(5024),
    [sym_sizeof_expression] = STATE(5024),
    [sym_alignof_expression] = STATE(5024),
    [sym_offsetof_expression] = STATE(5024),
    [sym_generic_expression] = STATE(5024),
    [sym_subscript_expression] = STATE(4507),
    [sym_call_expression] = STATE(4507),
    [sym_gnu_asm_expression] = STATE(5024),
    [sym_field_expression] = STATE(4507),
    [sym_compound_literal_expression] = STATE(5024),
    [sym_parenthesized_expression] = STATE(4507),
    [sym_initializer_list] = STATE(9185),
    [sym_char_literal] = STATE(5374),
    [sym_concatenated_string] = STATE(5377),
    [sym_string_literal] = STATE(4206),
    [sym_null] = STATE(5024),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9352),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(5024),
    [sym_raw_string_literal] = STATE(4217),
    [sym_co_await_expression] = STATE(5024),
    [sym_new_expression] = STATE(5024),
    [sym_delete_expression] = STATE(5024),
    [sym_requires_clause] = STATE(5024),
    [sym_requires_expression] = STATE(5024),
    [sym_lambda_expression] = STATE(5024),
    [sym_lambda_capture_specifier] = STATE(7184),
    [sym_fold_expression] = STATE(5024),
    [sym_parameter_pack_expansion] = STATE(5024),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6886),
    [sym_qualified_identifier] = STATE(4507),
    [sym_qualified_type_identifier] = STATE(9352),
    [sym_user_defined_literal] = STATE(4507),
    [sym_identifier] = ACTIONS(3140),
    [anon_sym_LPAREN2] = ACTIONS(1472),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1474),
    [anon_sym_AMP] = ACTIONS(1474),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(4413),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [sym_primitive_type] = ACTIONS(3146),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [1964] = {
    [sym__expression] = STATE(5782),
    [sym__expression_not_binary] = STATE(5024),
    [sym__string] = STATE(5024),
    [sym_comma_expression] = STATE(10285),
    [sym_conditional_expression] = STATE(5024),
    [sym_assignment_expression] = STATE(5024),
    [sym_pointer_expression] = STATE(4713),
    [sym_unary_expression] = STATE(5024),
    [sym_binary_expression] = STATE(5024),
    [sym_update_expression] = STATE(5024),
    [sym_cast_expression] = STATE(5024),
    [sym_sizeof_expression] = STATE(5024),
    [sym_alignof_expression] = STATE(5024),
    [sym_offsetof_expression] = STATE(5024),
    [sym_generic_expression] = STATE(5024),
    [sym_subscript_expression] = STATE(4713),
    [sym_call_expression] = STATE(4713),
    [sym_gnu_asm_expression] = STATE(5024),
    [sym_field_expression] = STATE(4713),
    [sym_compound_literal_expression] = STATE(5024),
    [sym_parenthesized_expression] = STATE(4713),
    [sym_char_literal] = STATE(5374),
    [sym_concatenated_string] = STATE(5377),
    [sym_string_literal] = STATE(4206),
    [sym_null] = STATE(5024),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9352),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(5024),
    [sym_raw_string_literal] = STATE(4217),
    [sym_co_await_expression] = STATE(5024),
    [sym_new_expression] = STATE(5024),
    [sym_delete_expression] = STATE(5024),
    [sym_requires_clause] = STATE(5024),
    [sym_requires_expression] = STATE(5024),
    [sym_lambda_expression] = STATE(5024),
    [sym_lambda_capture_specifier] = STATE(7184),
    [sym_fold_expression] = STATE(5024),
    [sym_parameter_pack_expansion] = STATE(5024),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6886),
    [sym_qualified_identifier] = STATE(4713),
    [sym_qualified_type_identifier] = STATE(9352),
    [sym_user_defined_literal] = STATE(4713),
    [sym_identifier] = ACTIONS(4518),
    [anon_sym_LPAREN2] = ACTIONS(5188),
    [anon_sym_BANG] = ACTIONS(4522),
    [anon_sym_TILDE] = ACTIONS(4522),
    [anon_sym_DASH] = ACTIONS(4520),
    [anon_sym_PLUS] = ACTIONS(4520),
    [anon_sym_STAR] = ACTIONS(5190),
    [anon_sym_AMP] = ACTIONS(5190),
    [anon_sym_COLON] = ACTIONS(5255),
    [anon_sym_COLON_COLON] = ACTIONS(4524),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [sym_primitive_type] = ACTIONS(3146),
    [anon_sym_not] = ACTIONS(4520),
    [anon_sym_compl] = ACTIONS(4520),
    [anon_sym_DASH_DASH] = ACTIONS(5071),
    [anon_sym_PLUS_PLUS] = ACTIONS(5071),
    [anon_sym_sizeof] = ACTIONS(4526),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(4528),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(4530),
    [anon_sym_new] = ACTIONS(4516),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [1965] = {
    [sym__expression] = STATE(3544),
    [sym__expression_not_binary] = STATE(3672),
    [sym__string] = STATE(3672),
    [sym_conditional_expression] = STATE(3672),
    [sym_assignment_expression] = STATE(3672),
    [sym_pointer_expression] = STATE(3672),
    [sym_unary_expression] = STATE(3672),
    [sym_binary_expression] = STATE(3672),
    [sym_update_expression] = STATE(3672),
    [sym_cast_expression] = STATE(3672),
    [sym_sizeof_expression] = STATE(3672),
    [sym_alignof_expression] = STATE(3672),
    [sym_offsetof_expression] = STATE(3672),
    [sym_generic_expression] = STATE(3672),
    [sym_subscript_expression] = STATE(3672),
    [sym_call_expression] = STATE(3672),
    [sym_gnu_asm_expression] = STATE(3672),
    [sym_field_expression] = STATE(3672),
    [sym_compound_literal_expression] = STATE(3672),
    [sym_parenthesized_expression] = STATE(3672),
    [sym_initializer_list] = STATE(3655),
    [sym_char_literal] = STATE(4466),
    [sym_concatenated_string] = STATE(4465),
    [sym_string_literal] = STATE(3395),
    [sym_null] = STATE(3672),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9333),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(3672),
    [sym_raw_string_literal] = STATE(3400),
    [sym_co_await_expression] = STATE(3672),
    [sym_new_expression] = STATE(3672),
    [sym_delete_expression] = STATE(3672),
    [sym_requires_clause] = STATE(3672),
    [sym_requires_expression] = STATE(3672),
    [sym_lambda_expression] = STATE(3672),
    [sym_lambda_capture_specifier] = STATE(7134),
    [sym_fold_expression] = STATE(3672),
    [sym_parameter_pack_expansion] = STATE(3672),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6886),
    [sym_qualified_identifier] = STATE(3672),
    [sym_qualified_type_identifier] = STATE(9333),
    [sym_user_defined_literal] = STATE(3672),
    [sym_identifier] = ACTIONS(4070),
    [anon_sym_LPAREN2] = ACTIONS(5257),
    [anon_sym_BANG] = ACTIONS(4074),
    [anon_sym_TILDE] = ACTIONS(4074),
    [anon_sym_DASH] = ACTIONS(4072),
    [anon_sym_PLUS] = ACTIONS(4072),
    [anon_sym_STAR] = ACTIONS(5017),
    [anon_sym_AMP] = ACTIONS(5017),
    [anon_sym_COLON_COLON] = ACTIONS(4076),
    [anon_sym_LBRACE] = ACTIONS(3926),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [sym_primitive_type] = ACTIONS(3928),
    [anon_sym_not] = ACTIONS(4072),
    [anon_sym_compl] = ACTIONS(4072),
    [anon_sym_DASH_DASH] = ACTIONS(5043),
    [anon_sym_PLUS_PLUS] = ACTIONS(5043),
    [anon_sym_sizeof] = ACTIONS(4078),
    [anon_sym___alignof__] = ACTIONS(3932),
    [anon_sym___alignof] = ACTIONS(3932),
    [anon_sym__alignof] = ACTIONS(3932),
    [anon_sym_alignof] = ACTIONS(3932),
    [anon_sym__Alignof] = ACTIONS(3932),
    [anon_sym_offsetof] = ACTIONS(3934),
    [anon_sym__Generic] = ACTIONS(3936),
    [anon_sym_asm] = ACTIONS(3938),
    [anon_sym___asm__] = ACTIONS(3938),
    [sym_number_literal] = ACTIONS(4080),
    [anon_sym_L_SQUOTE] = ACTIONS(4082),
    [anon_sym_u_SQUOTE] = ACTIONS(4082),
    [anon_sym_U_SQUOTE] = ACTIONS(4082),
    [anon_sym_u8_SQUOTE] = ACTIONS(4082),
    [anon_sym_SQUOTE] = ACTIONS(4082),
    [anon_sym_L_DQUOTE] = ACTIONS(4084),
    [anon_sym_u_DQUOTE] = ACTIONS(4084),
    [anon_sym_U_DQUOTE] = ACTIONS(4084),
    [anon_sym_u8_DQUOTE] = ACTIONS(4084),
    [anon_sym_DQUOTE] = ACTIONS(4084),
    [sym_true] = ACTIONS(3946),
    [sym_false] = ACTIONS(3946),
    [anon_sym_NULL] = ACTIONS(3948),
    [anon_sym_nullptr] = ACTIONS(3948),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(4086),
    [anon_sym_R_DQUOTE] = ACTIONS(4088),
    [anon_sym_LR_DQUOTE] = ACTIONS(4088),
    [anon_sym_uR_DQUOTE] = ACTIONS(4088),
    [anon_sym_UR_DQUOTE] = ACTIONS(4088),
    [anon_sym_u8R_DQUOTE] = ACTIONS(4088),
    [anon_sym_co_await] = ACTIONS(4090),
    [anon_sym_new] = ACTIONS(3990),
    [anon_sym_requires] = ACTIONS(3958),
    [sym_this] = ACTIONS(3946),
  },
  [1966] = {
    [sym__declaration_modifiers] = STATE(2652),
    [sym__declaration_specifiers] = STATE(5160),
    [sym_attribute_specifier] = STATE(2652),
    [sym_attribute_declaration] = STATE(2652),
    [sym_ms_declspec_modifier] = STATE(2652),
    [sym_storage_class_specifier] = STATE(2652),
    [sym_type_qualifier] = STATE(2652),
    [sym__type_specifier] = STATE(2827),
    [sym_sized_type_specifier] = STATE(3085),
    [sym_enum_specifier] = STATE(3085),
    [sym_struct_specifier] = STATE(3085),
    [sym_union_specifier] = STATE(3085),
    [sym_parameter_declaration] = STATE(8894),
    [sym_placeholder_type_specifier] = STATE(3085),
    [sym_decltype_auto] = STATE(3091),
    [sym_decltype] = STATE(3050),
    [sym_class_specifier] = STATE(3085),
    [sym_virtual] = STATE(2652),
    [sym_alignas_specifier] = STATE(2652),
    [sym_dependent_type] = STATE(3085),
    [sym_type_parameter_declaration] = STATE(8894),
    [sym_variadic_type_parameter_declaration] = STATE(8894),
    [sym_optional_type_parameter_declaration] = STATE(8894),
    [sym_template_template_parameter_declaration] = STATE(8894),
    [sym_optional_parameter_declaration] = STATE(8894),
    [sym_variadic_parameter_declaration] = STATE(8894),
    [sym_template_type] = STATE(3050),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(7879),
    [sym_qualified_type_identifier] = STATE(3068),
    [sym_qualifiers] = STATE(2652),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2652),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3021),
    [sym_identifier] = ACTIONS(4559),
    [anon_sym___extension__] = ACTIONS(63),
    [anon_sym_in] = ACTIONS(2118),
    [anon_sym_out] = ACTIONS(2118),
    [anon_sym_inout] = ACTIONS(2118),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(4569),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2096),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(2891),
    [anon_sym_enum] = ACTIONS(2124),
    [anon_sym_class] = ACTIONS(5233),
    [anon_sym_struct] = ACTIONS(2128),
    [anon_sym_union] = ACTIONS(2130),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [anon_sym_virtual] = ACTIONS(123),
    [anon_sym_alignas] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(5235),
    [anon_sym_template] = ACTIONS(5237),
    [anon_sym_GT2] = ACTIONS(5259),
    [anon_sym_precise] = ACTIONS(161),
    [anon_sym_shared] = ACTIONS(161),
    [anon_sym_groupshared] = ACTIONS(161),
    [anon_sym_uniform] = ACTIONS(161),
    [anon_sym_row_major] = ACTIONS(161),
    [anon_sym_column_major] = ACTIONS(161),
    [anon_sym_globallycoherent] = ACTIONS(161),
    [anon_sym_centroid] = ACTIONS(161),
    [anon_sym_noperspective] = ACTIONS(161),
    [anon_sym_nointerpolation] = ACTIONS(161),
    [anon_sym_sample] = ACTIONS(161),
    [anon_sym_linear] = ACTIONS(161),
    [anon_sym_snorm] = ACTIONS(161),
    [anon_sym_unorm] = ACTIONS(161),
    [anon_sym_point] = ACTIONS(161),
    [anon_sym_line] = ACTIONS(161),
    [anon_sym_triangleadj] = ACTIONS(161),
    [anon_sym_lineadj] = ACTIONS(161),
    [anon_sym_triangle] = ACTIONS(161),
  },
  [1967] = {
    [sym__expression] = STATE(4734),
    [sym__expression_not_binary] = STATE(4939),
    [sym__string] = STATE(4939),
    [sym_conditional_expression] = STATE(4939),
    [sym_assignment_expression] = STATE(4939),
    [sym_pointer_expression] = STATE(4521),
    [sym_unary_expression] = STATE(4939),
    [sym_binary_expression] = STATE(4939),
    [sym_update_expression] = STATE(4939),
    [sym_cast_expression] = STATE(4939),
    [sym_sizeof_expression] = STATE(4939),
    [sym_alignof_expression] = STATE(4939),
    [sym_offsetof_expression] = STATE(4939),
    [sym_generic_expression] = STATE(4939),
    [sym_subscript_expression] = STATE(4521),
    [sym_call_expression] = STATE(4521),
    [sym_gnu_asm_expression] = STATE(4939),
    [sym_field_expression] = STATE(4521),
    [sym_compound_literal_expression] = STATE(4939),
    [sym_parenthesized_expression] = STATE(4521),
    [sym_initializer_list] = STATE(4933),
    [sym_char_literal] = STATE(4856),
    [sym_concatenated_string] = STATE(4876),
    [sym_string_literal] = STATE(3630),
    [sym_null] = STATE(4939),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9415),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(4939),
    [sym_raw_string_literal] = STATE(3632),
    [sym_co_await_expression] = STATE(4939),
    [sym_new_expression] = STATE(4939),
    [sym_delete_expression] = STATE(4939),
    [sym_requires_clause] = STATE(4939),
    [sym_requires_expression] = STATE(4939),
    [sym_lambda_expression] = STATE(4939),
    [sym_lambda_capture_specifier] = STATE(7190),
    [sym_fold_expression] = STATE(4939),
    [sym_parameter_pack_expansion] = STATE(4939),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6899),
    [sym_qualified_identifier] = STATE(4521),
    [sym_qualified_type_identifier] = STATE(9415),
    [sym_user_defined_literal] = STATE(4521),
    [sym_identifier] = ACTIONS(4178),
    [anon_sym_LPAREN2] = ACTIONS(2110),
    [anon_sym_BANG] = ACTIONS(2112),
    [anon_sym_TILDE] = ACTIONS(2112),
    [anon_sym_DASH] = ACTIONS(2114),
    [anon_sym_PLUS] = ACTIONS(2114),
    [anon_sym_STAR] = ACTIONS(2116),
    [anon_sym_AMP] = ACTIONS(2116),
    [anon_sym_COLON_COLON] = ACTIONS(2120),
    [anon_sym_LBRACE] = ACTIONS(4180),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [sym_primitive_type] = ACTIONS(4182),
    [anon_sym_not] = ACTIONS(2114),
    [anon_sym_compl] = ACTIONS(2114),
    [anon_sym_DASH_DASH] = ACTIONS(2132),
    [anon_sym_PLUS_PLUS] = ACTIONS(2132),
    [anon_sym_sizeof] = ACTIONS(2134),
    [anon_sym___alignof__] = ACTIONS(2136),
    [anon_sym___alignof] = ACTIONS(2136),
    [anon_sym__alignof] = ACTIONS(2136),
    [anon_sym_alignof] = ACTIONS(2136),
    [anon_sym__Alignof] = ACTIONS(2136),
    [anon_sym_offsetof] = ACTIONS(2138),
    [anon_sym__Generic] = ACTIONS(2140),
    [anon_sym_asm] = ACTIONS(2142),
    [anon_sym___asm__] = ACTIONS(2142),
    [sym_number_literal] = ACTIONS(2144),
    [anon_sym_L_SQUOTE] = ACTIONS(2146),
    [anon_sym_u_SQUOTE] = ACTIONS(2146),
    [anon_sym_U_SQUOTE] = ACTIONS(2146),
    [anon_sym_u8_SQUOTE] = ACTIONS(2146),
    [anon_sym_SQUOTE] = ACTIONS(2146),
    [anon_sym_L_DQUOTE] = ACTIONS(2148),
    [anon_sym_u_DQUOTE] = ACTIONS(2148),
    [anon_sym_U_DQUOTE] = ACTIONS(2148),
    [anon_sym_u8_DQUOTE] = ACTIONS(2148),
    [anon_sym_DQUOTE] = ACTIONS(2148),
    [sym_true] = ACTIONS(2150),
    [sym_false] = ACTIONS(2150),
    [anon_sym_NULL] = ACTIONS(2152),
    [anon_sym_nullptr] = ACTIONS(2152),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(2156),
    [anon_sym_R_DQUOTE] = ACTIONS(2158),
    [anon_sym_LR_DQUOTE] = ACTIONS(2158),
    [anon_sym_uR_DQUOTE] = ACTIONS(2158),
    [anon_sym_UR_DQUOTE] = ACTIONS(2158),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2158),
    [anon_sym_co_await] = ACTIONS(2160),
    [anon_sym_new] = ACTIONS(2162),
    [anon_sym_requires] = ACTIONS(2164),
    [sym_this] = ACTIONS(2150),
  },
  [1968] = {
    [sym__expression] = STATE(5799),
    [sym__expression_not_binary] = STATE(5024),
    [sym__string] = STATE(5024),
    [sym_comma_expression] = STATE(9654),
    [sym_conditional_expression] = STATE(5024),
    [sym_assignment_expression] = STATE(5024),
    [sym_pointer_expression] = STATE(4713),
    [sym_unary_expression] = STATE(5024),
    [sym_binary_expression] = STATE(5024),
    [sym_update_expression] = STATE(5024),
    [sym_cast_expression] = STATE(5024),
    [sym_sizeof_expression] = STATE(5024),
    [sym_alignof_expression] = STATE(5024),
    [sym_offsetof_expression] = STATE(5024),
    [sym_generic_expression] = STATE(5024),
    [sym_subscript_expression] = STATE(4713),
    [sym_call_expression] = STATE(4713),
    [sym_gnu_asm_expression] = STATE(5024),
    [sym_field_expression] = STATE(4713),
    [sym_compound_literal_expression] = STATE(5024),
    [sym_parenthesized_expression] = STATE(4713),
    [sym_char_literal] = STATE(5374),
    [sym_concatenated_string] = STATE(5377),
    [sym_string_literal] = STATE(4206),
    [sym_null] = STATE(5024),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9352),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(5024),
    [sym_raw_string_literal] = STATE(4217),
    [sym_co_await_expression] = STATE(5024),
    [sym_new_expression] = STATE(5024),
    [sym_delete_expression] = STATE(5024),
    [sym_requires_clause] = STATE(5024),
    [sym_requires_expression] = STATE(5024),
    [sym_lambda_expression] = STATE(5024),
    [sym_lambda_capture_specifier] = STATE(7184),
    [sym_fold_expression] = STATE(5024),
    [sym_parameter_pack_expansion] = STATE(5024),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6886),
    [sym_qualified_identifier] = STATE(4713),
    [sym_qualified_type_identifier] = STATE(9352),
    [sym_user_defined_literal] = STATE(4713),
    [sym_identifier] = ACTIONS(4518),
    [anon_sym_LPAREN2] = ACTIONS(5188),
    [anon_sym_BANG] = ACTIONS(4522),
    [anon_sym_TILDE] = ACTIONS(4522),
    [anon_sym_DASH] = ACTIONS(4520),
    [anon_sym_PLUS] = ACTIONS(4520),
    [anon_sym_STAR] = ACTIONS(5190),
    [anon_sym_AMP] = ACTIONS(5190),
    [anon_sym_COLON] = ACTIONS(5261),
    [anon_sym_COLON_COLON] = ACTIONS(4524),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [sym_primitive_type] = ACTIONS(3146),
    [anon_sym_not] = ACTIONS(4520),
    [anon_sym_compl] = ACTIONS(4520),
    [anon_sym_DASH_DASH] = ACTIONS(5071),
    [anon_sym_PLUS_PLUS] = ACTIONS(5071),
    [anon_sym_sizeof] = ACTIONS(4526),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(4528),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(4530),
    [anon_sym_new] = ACTIONS(4516),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [1969] = {
    [sym__expression] = STATE(4299),
    [sym__expression_not_binary] = STATE(4695),
    [sym__string] = STATE(4695),
    [sym_conditional_expression] = STATE(4695),
    [sym_assignment_expression] = STATE(4695),
    [sym_pointer_expression] = STATE(4695),
    [sym_unary_expression] = STATE(4695),
    [sym_binary_expression] = STATE(4695),
    [sym_update_expression] = STATE(4695),
    [sym_cast_expression] = STATE(4695),
    [sym_sizeof_expression] = STATE(4695),
    [sym_alignof_expression] = STATE(4695),
    [sym_offsetof_expression] = STATE(4695),
    [sym_generic_expression] = STATE(4695),
    [sym_subscript_expression] = STATE(4695),
    [sym_call_expression] = STATE(4695),
    [sym_gnu_asm_expression] = STATE(4695),
    [sym_field_expression] = STATE(4695),
    [sym_compound_literal_expression] = STATE(4695),
    [sym_parenthesized_expression] = STATE(4695),
    [sym_initializer_list] = STATE(4565),
    [sym_char_literal] = STATE(4427),
    [sym_concatenated_string] = STATE(4424),
    [sym_string_literal] = STATE(3398),
    [sym_null] = STATE(4695),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9425),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(4695),
    [sym_raw_string_literal] = STATE(3396),
    [sym_co_await_expression] = STATE(4695),
    [sym_new_expression] = STATE(4695),
    [sym_delete_expression] = STATE(4695),
    [sym_requires_clause] = STATE(4695),
    [sym_requires_expression] = STATE(4695),
    [sym_lambda_expression] = STATE(4695),
    [sym_lambda_capture_specifier] = STATE(7185),
    [sym_fold_expression] = STATE(4695),
    [sym_parameter_pack_expansion] = STATE(4695),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6899),
    [sym_qualified_identifier] = STATE(4695),
    [sym_qualified_type_identifier] = STATE(9425),
    [sym_user_defined_literal] = STATE(4695),
    [sym_identifier] = ACTIONS(4092),
    [anon_sym_LPAREN2] = ACTIONS(4188),
    [anon_sym_BANG] = ACTIONS(2532),
    [anon_sym_TILDE] = ACTIONS(2532),
    [anon_sym_DASH] = ACTIONS(2536),
    [anon_sym_PLUS] = ACTIONS(2536),
    [anon_sym_STAR] = ACTIONS(2116),
    [anon_sym_AMP] = ACTIONS(2116),
    [anon_sym_COLON_COLON] = ACTIONS(2542),
    [anon_sym_LBRACE] = ACTIONS(4094),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [sym_primitive_type] = ACTIONS(4096),
    [anon_sym_not] = ACTIONS(2536),
    [anon_sym_compl] = ACTIONS(2536),
    [anon_sym_DASH_DASH] = ACTIONS(2560),
    [anon_sym_PLUS_PLUS] = ACTIONS(2560),
    [anon_sym_sizeof] = ACTIONS(2562),
    [anon_sym___alignof__] = ACTIONS(2564),
    [anon_sym___alignof] = ACTIONS(2564),
    [anon_sym__alignof] = ACTIONS(2564),
    [anon_sym_alignof] = ACTIONS(2564),
    [anon_sym__Alignof] = ACTIONS(2564),
    [anon_sym_offsetof] = ACTIONS(2566),
    [anon_sym__Generic] = ACTIONS(2568),
    [anon_sym_asm] = ACTIONS(2570),
    [anon_sym___asm__] = ACTIONS(2570),
    [sym_number_literal] = ACTIONS(2572),
    [anon_sym_L_SQUOTE] = ACTIONS(2574),
    [anon_sym_u_SQUOTE] = ACTIONS(2574),
    [anon_sym_U_SQUOTE] = ACTIONS(2574),
    [anon_sym_u8_SQUOTE] = ACTIONS(2574),
    [anon_sym_SQUOTE] = ACTIONS(2574),
    [anon_sym_L_DQUOTE] = ACTIONS(2576),
    [anon_sym_u_DQUOTE] = ACTIONS(2576),
    [anon_sym_U_DQUOTE] = ACTIONS(2576),
    [anon_sym_u8_DQUOTE] = ACTIONS(2576),
    [anon_sym_DQUOTE] = ACTIONS(2576),
    [sym_true] = ACTIONS(2578),
    [sym_false] = ACTIONS(2578),
    [anon_sym_NULL] = ACTIONS(2580),
    [anon_sym_nullptr] = ACTIONS(2580),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(2590),
    [anon_sym_R_DQUOTE] = ACTIONS(2592),
    [anon_sym_LR_DQUOTE] = ACTIONS(2592),
    [anon_sym_uR_DQUOTE] = ACTIONS(2592),
    [anon_sym_UR_DQUOTE] = ACTIONS(2592),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2592),
    [anon_sym_co_await] = ACTIONS(2594),
    [anon_sym_new] = ACTIONS(2596),
    [anon_sym_requires] = ACTIONS(2598),
    [sym_this] = ACTIONS(2578),
  },
  [1970] = {
    [sym__expression] = STATE(5701),
    [sym__expression_not_binary] = STATE(5024),
    [sym__string] = STATE(5024),
    [sym_conditional_expression] = STATE(5024),
    [sym_assignment_expression] = STATE(5024),
    [sym_pointer_expression] = STATE(4507),
    [sym_unary_expression] = STATE(5024),
    [sym_binary_expression] = STATE(5024),
    [sym_update_expression] = STATE(5024),
    [sym_cast_expression] = STATE(5024),
    [sym_sizeof_expression] = STATE(5024),
    [sym_alignof_expression] = STATE(5024),
    [sym_offsetof_expression] = STATE(5024),
    [sym_generic_expression] = STATE(5024),
    [sym_subscript_expression] = STATE(4507),
    [sym_call_expression] = STATE(4507),
    [sym_gnu_asm_expression] = STATE(5024),
    [sym_field_expression] = STATE(4507),
    [sym_compound_literal_expression] = STATE(5024),
    [sym_parenthesized_expression] = STATE(4507),
    [sym_initializer_list] = STATE(9201),
    [sym_char_literal] = STATE(5374),
    [sym_concatenated_string] = STATE(5377),
    [sym_string_literal] = STATE(4206),
    [sym_null] = STATE(5024),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9352),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(5024),
    [sym_raw_string_literal] = STATE(4217),
    [sym_co_await_expression] = STATE(5024),
    [sym_new_expression] = STATE(5024),
    [sym_delete_expression] = STATE(5024),
    [sym_requires_clause] = STATE(5024),
    [sym_requires_expression] = STATE(5024),
    [sym_lambda_expression] = STATE(5024),
    [sym_lambda_capture_specifier] = STATE(7184),
    [sym_fold_expression] = STATE(5024),
    [sym_parameter_pack_expansion] = STATE(5024),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6886),
    [sym_qualified_identifier] = STATE(4507),
    [sym_qualified_type_identifier] = STATE(9352),
    [sym_user_defined_literal] = STATE(4507),
    [sym_identifier] = ACTIONS(3140),
    [anon_sym_LPAREN2] = ACTIONS(1472),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1474),
    [anon_sym_AMP] = ACTIONS(1474),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(4413),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [sym_primitive_type] = ACTIONS(3146),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [1971] = {
    [sym__expression] = STATE(5627),
    [sym__expression_not_binary] = STATE(5024),
    [sym__string] = STATE(5024),
    [sym_comma_expression] = STATE(9758),
    [sym_conditional_expression] = STATE(5024),
    [sym_assignment_expression] = STATE(5024),
    [sym_pointer_expression] = STATE(4507),
    [sym_unary_expression] = STATE(5024),
    [sym_binary_expression] = STATE(5024),
    [sym_update_expression] = STATE(5024),
    [sym_cast_expression] = STATE(5024),
    [sym_sizeof_expression] = STATE(5024),
    [sym_alignof_expression] = STATE(5024),
    [sym_offsetof_expression] = STATE(5024),
    [sym_generic_expression] = STATE(5024),
    [sym_subscript_expression] = STATE(4507),
    [sym_call_expression] = STATE(4507),
    [sym_gnu_asm_expression] = STATE(5024),
    [sym_field_expression] = STATE(4507),
    [sym_compound_literal_expression] = STATE(5024),
    [sym_parenthesized_expression] = STATE(4507),
    [sym_char_literal] = STATE(5374),
    [sym_concatenated_string] = STATE(5377),
    [sym_string_literal] = STATE(4206),
    [sym_null] = STATE(5024),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9352),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(5024),
    [sym_raw_string_literal] = STATE(4217),
    [sym_co_await_expression] = STATE(5024),
    [sym_new_expression] = STATE(5024),
    [sym_delete_expression] = STATE(5024),
    [sym_requires_clause] = STATE(5024),
    [sym_requires_expression] = STATE(5024),
    [sym_lambda_expression] = STATE(5024),
    [sym_lambda_capture_specifier] = STATE(7184),
    [sym_fold_expression] = STATE(5024),
    [sym_parameter_pack_expansion] = STATE(5024),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6886),
    [sym_qualified_identifier] = STATE(4507),
    [sym_qualified_type_identifier] = STATE(9352),
    [sym_user_defined_literal] = STATE(4507),
    [sym_identifier] = ACTIONS(3140),
    [anon_sym_RPAREN] = ACTIONS(5263),
    [anon_sym_LPAREN2] = ACTIONS(1472),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1474),
    [anon_sym_AMP] = ACTIONS(1474),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [sym_primitive_type] = ACTIONS(3146),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [1972] = {
    [sym__expression] = STATE(3520),
    [sym__expression_not_binary] = STATE(3672),
    [sym__string] = STATE(3672),
    [sym_conditional_expression] = STATE(3672),
    [sym_assignment_expression] = STATE(3672),
    [sym_pointer_expression] = STATE(3672),
    [sym_unary_expression] = STATE(3672),
    [sym_binary_expression] = STATE(3672),
    [sym_update_expression] = STATE(3672),
    [sym_cast_expression] = STATE(3672),
    [sym_sizeof_expression] = STATE(3672),
    [sym_alignof_expression] = STATE(3672),
    [sym_offsetof_expression] = STATE(3672),
    [sym_generic_expression] = STATE(3672),
    [sym_subscript_expression] = STATE(3672),
    [sym_call_expression] = STATE(3672),
    [sym_gnu_asm_expression] = STATE(3672),
    [sym_field_expression] = STATE(3672),
    [sym_compound_literal_expression] = STATE(3672),
    [sym_parenthesized_expression] = STATE(3672),
    [sym_char_literal] = STATE(3991),
    [sym_concatenated_string] = STATE(3973),
    [sym_string_literal] = STATE(3242),
    [sym_null] = STATE(3672),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9333),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(3672),
    [sym_raw_string_literal] = STATE(3241),
    [sym_co_await_expression] = STATE(3672),
    [sym_new_expression] = STATE(3672),
    [sym_delete_expression] = STATE(3672),
    [sym_requires_clause] = STATE(3672),
    [sym_requires_expression] = STATE(3672),
    [sym_lambda_expression] = STATE(3672),
    [sym_lambda_capture_specifier] = STATE(7134),
    [sym_fold_expression] = STATE(3672),
    [sym_parameter_pack_expansion] = STATE(3672),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6886),
    [sym_qualified_identifier] = STATE(3672),
    [sym_qualified_type_identifier] = STATE(9333),
    [sym_user_defined_literal] = STATE(3672),
    [sym_identifier] = ACTIONS(3968),
    [anon_sym_LPAREN2] = ACTIONS(5219),
    [anon_sym_BANG] = ACTIONS(3972),
    [anon_sym_TILDE] = ACTIONS(3972),
    [anon_sym_DASH] = ACTIONS(3970),
    [anon_sym_PLUS] = ACTIONS(3970),
    [anon_sym_STAR] = ACTIONS(1474),
    [anon_sym_AMP] = ACTIONS(1474),
    [anon_sym_COLON_COLON] = ACTIONS(3974),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [anon_sym_RBRACK] = ACTIONS(5265),
    [sym_primitive_type] = ACTIONS(3928),
    [anon_sym_not] = ACTIONS(3970),
    [anon_sym_compl] = ACTIONS(3970),
    [anon_sym_DASH_DASH] = ACTIONS(4385),
    [anon_sym_PLUS_PLUS] = ACTIONS(4385),
    [anon_sym_sizeof] = ACTIONS(3976),
    [anon_sym___alignof__] = ACTIONS(3932),
    [anon_sym___alignof] = ACTIONS(3932),
    [anon_sym__alignof] = ACTIONS(3932),
    [anon_sym_alignof] = ACTIONS(3932),
    [anon_sym__Alignof] = ACTIONS(3932),
    [anon_sym_offsetof] = ACTIONS(3934),
    [anon_sym__Generic] = ACTIONS(3936),
    [anon_sym_asm] = ACTIONS(3938),
    [anon_sym___asm__] = ACTIONS(3938),
    [sym_number_literal] = ACTIONS(3978),
    [anon_sym_L_SQUOTE] = ACTIONS(3980),
    [anon_sym_u_SQUOTE] = ACTIONS(3980),
    [anon_sym_U_SQUOTE] = ACTIONS(3980),
    [anon_sym_u8_SQUOTE] = ACTIONS(3980),
    [anon_sym_SQUOTE] = ACTIONS(3980),
    [anon_sym_L_DQUOTE] = ACTIONS(3982),
    [anon_sym_u_DQUOTE] = ACTIONS(3982),
    [anon_sym_U_DQUOTE] = ACTIONS(3982),
    [anon_sym_u8_DQUOTE] = ACTIONS(3982),
    [anon_sym_DQUOTE] = ACTIONS(3982),
    [sym_true] = ACTIONS(3946),
    [sym_false] = ACTIONS(3946),
    [anon_sym_NULL] = ACTIONS(3948),
    [anon_sym_nullptr] = ACTIONS(3948),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(3984),
    [anon_sym_R_DQUOTE] = ACTIONS(3986),
    [anon_sym_LR_DQUOTE] = ACTIONS(3986),
    [anon_sym_uR_DQUOTE] = ACTIONS(3986),
    [anon_sym_UR_DQUOTE] = ACTIONS(3986),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3986),
    [anon_sym_co_await] = ACTIONS(3988),
    [anon_sym_new] = ACTIONS(3990),
    [anon_sym_requires] = ACTIONS(3958),
    [sym_this] = ACTIONS(3946),
  },
  [1973] = {
    [sym__declaration_modifiers] = STATE(2673),
    [sym__declaration_specifiers] = STATE(5997),
    [sym_attribute_specifier] = STATE(2673),
    [sym_attribute_declaration] = STATE(2673),
    [sym_ms_declspec_modifier] = STATE(2673),
    [sym_ms_call_modifier] = STATE(2607),
    [sym_storage_class_specifier] = STATE(2673),
    [sym_type_qualifier] = STATE(2673),
    [sym__type_specifier] = STATE(2827),
    [sym_sized_type_specifier] = STATE(3085),
    [sym_enum_specifier] = STATE(3085),
    [sym_struct_specifier] = STATE(3085),
    [sym_union_specifier] = STATE(3085),
    [sym_placeholder_type_specifier] = STATE(3085),
    [sym_decltype_auto] = STATE(3091),
    [sym_decltype] = STATE(3050),
    [sym_class_specifier] = STATE(3085),
    [sym_virtual] = STATE(2673),
    [sym_alignas_specifier] = STATE(2673),
    [sym_dependent_type] = STATE(3085),
    [sym_template_type] = STATE(3050),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(7887),
    [sym_qualified_type_identifier] = STATE(3068),
    [sym_qualifiers] = STATE(2673),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2673),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3021),
    [sym_identifier] = ACTIONS(3896),
    [anon_sym___extension__] = ACTIONS(63),
    [anon_sym_in] = ACTIONS(1480),
    [anon_sym_out] = ACTIONS(1480),
    [anon_sym_inout] = ACTIONS(1480),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(3904),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2096),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(51),
    [anon_sym___clrcall] = ACTIONS(51),
    [anon_sym___stdcall] = ACTIONS(51),
    [anon_sym___fastcall] = ACTIONS(51),
    [anon_sym___thiscall] = ACTIONS(51),
    [anon_sym___vectorcall] = ACTIONS(51),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(2891),
    [anon_sym_enum] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(69),
    [anon_sym_struct] = ACTIONS(71),
    [anon_sym_union] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [anon_sym_virtual] = ACTIONS(123),
    [anon_sym_alignas] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_precise] = ACTIONS(161),
    [anon_sym_shared] = ACTIONS(161),
    [anon_sym_groupshared] = ACTIONS(161),
    [anon_sym_uniform] = ACTIONS(161),
    [anon_sym_row_major] = ACTIONS(161),
    [anon_sym_column_major] = ACTIONS(161),
    [anon_sym_globallycoherent] = ACTIONS(161),
    [anon_sym_centroid] = ACTIONS(161),
    [anon_sym_noperspective] = ACTIONS(161),
    [anon_sym_nointerpolation] = ACTIONS(161),
    [anon_sym_sample] = ACTIONS(161),
    [anon_sym_linear] = ACTIONS(161),
    [anon_sym_snorm] = ACTIONS(161),
    [anon_sym_unorm] = ACTIONS(161),
    [anon_sym_point] = ACTIONS(161),
    [anon_sym_line] = ACTIONS(161),
    [anon_sym_triangleadj] = ACTIONS(161),
    [anon_sym_lineadj] = ACTIONS(161),
    [anon_sym_triangle] = ACTIONS(161),
  },
  [1974] = {
    [sym__expression] = STATE(4335),
    [sym__expression_not_binary] = STATE(4695),
    [sym__string] = STATE(4695),
    [sym_conditional_expression] = STATE(4695),
    [sym_assignment_expression] = STATE(4695),
    [sym_pointer_expression] = STATE(4695),
    [sym_unary_expression] = STATE(4695),
    [sym_binary_expression] = STATE(4695),
    [sym_update_expression] = STATE(4695),
    [sym_cast_expression] = STATE(4695),
    [sym_sizeof_expression] = STATE(4695),
    [sym_alignof_expression] = STATE(4695),
    [sym_offsetof_expression] = STATE(4695),
    [sym_generic_expression] = STATE(4695),
    [sym_subscript_expression] = STATE(4695),
    [sym_call_expression] = STATE(4695),
    [sym_gnu_asm_expression] = STATE(4695),
    [sym_field_expression] = STATE(4695),
    [sym_compound_literal_expression] = STATE(4695),
    [sym_parenthesized_expression] = STATE(4695),
    [sym_char_literal] = STATE(4427),
    [sym_concatenated_string] = STATE(4424),
    [sym_string_literal] = STATE(3398),
    [sym_null] = STATE(4695),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9425),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(4695),
    [sym_raw_string_literal] = STATE(3396),
    [sym_co_await_expression] = STATE(4695),
    [sym_new_expression] = STATE(4695),
    [sym_delete_expression] = STATE(4695),
    [sym_requires_clause] = STATE(4695),
    [sym_requires_expression] = STATE(4695),
    [sym_lambda_expression] = STATE(4695),
    [sym_lambda_capture_specifier] = STATE(7185),
    [sym_fold_expression] = STATE(4695),
    [sym_parameter_pack_expansion] = STATE(4695),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6899),
    [sym_qualified_identifier] = STATE(4695),
    [sym_qualified_type_identifier] = STATE(9425),
    [sym_user_defined_literal] = STATE(4695),
    [sym_identifier] = ACTIONS(4092),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5267),
    [anon_sym_LPAREN2] = ACTIONS(4188),
    [anon_sym_BANG] = ACTIONS(2532),
    [anon_sym_TILDE] = ACTIONS(2532),
    [anon_sym_DASH] = ACTIONS(2536),
    [anon_sym_PLUS] = ACTIONS(2536),
    [anon_sym_STAR] = ACTIONS(2116),
    [anon_sym_AMP] = ACTIONS(2116),
    [anon_sym_COLON_COLON] = ACTIONS(2542),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [sym_primitive_type] = ACTIONS(4096),
    [anon_sym_not] = ACTIONS(2536),
    [anon_sym_compl] = ACTIONS(2536),
    [anon_sym_DASH_DASH] = ACTIONS(2560),
    [anon_sym_PLUS_PLUS] = ACTIONS(2560),
    [anon_sym_sizeof] = ACTIONS(2562),
    [anon_sym___alignof__] = ACTIONS(2564),
    [anon_sym___alignof] = ACTIONS(2564),
    [anon_sym__alignof] = ACTIONS(2564),
    [anon_sym_alignof] = ACTIONS(2564),
    [anon_sym__Alignof] = ACTIONS(2564),
    [anon_sym_offsetof] = ACTIONS(2566),
    [anon_sym__Generic] = ACTIONS(2568),
    [anon_sym_asm] = ACTIONS(2570),
    [anon_sym___asm__] = ACTIONS(2570),
    [sym_number_literal] = ACTIONS(2572),
    [anon_sym_L_SQUOTE] = ACTIONS(2574),
    [anon_sym_u_SQUOTE] = ACTIONS(2574),
    [anon_sym_U_SQUOTE] = ACTIONS(2574),
    [anon_sym_u8_SQUOTE] = ACTIONS(2574),
    [anon_sym_SQUOTE] = ACTIONS(2574),
    [anon_sym_L_DQUOTE] = ACTIONS(2576),
    [anon_sym_u_DQUOTE] = ACTIONS(2576),
    [anon_sym_U_DQUOTE] = ACTIONS(2576),
    [anon_sym_u8_DQUOTE] = ACTIONS(2576),
    [anon_sym_DQUOTE] = ACTIONS(2576),
    [sym_true] = ACTIONS(2578),
    [sym_false] = ACTIONS(2578),
    [anon_sym_NULL] = ACTIONS(2580),
    [anon_sym_nullptr] = ACTIONS(2580),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(2590),
    [anon_sym_R_DQUOTE] = ACTIONS(2592),
    [anon_sym_LR_DQUOTE] = ACTIONS(2592),
    [anon_sym_uR_DQUOTE] = ACTIONS(2592),
    [anon_sym_UR_DQUOTE] = ACTIONS(2592),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2592),
    [anon_sym_co_await] = ACTIONS(2594),
    [anon_sym_new] = ACTIONS(2596),
    [anon_sym_requires] = ACTIONS(2598),
    [sym_this] = ACTIONS(2578),
  },
  [1975] = {
    [sym__expression] = STATE(3520),
    [sym__expression_not_binary] = STATE(3672),
    [sym__string] = STATE(3672),
    [sym_conditional_expression] = STATE(3672),
    [sym_assignment_expression] = STATE(3672),
    [sym_pointer_expression] = STATE(3672),
    [sym_unary_expression] = STATE(3672),
    [sym_binary_expression] = STATE(3672),
    [sym_update_expression] = STATE(3672),
    [sym_cast_expression] = STATE(3672),
    [sym_sizeof_expression] = STATE(3672),
    [sym_alignof_expression] = STATE(3672),
    [sym_offsetof_expression] = STATE(3672),
    [sym_generic_expression] = STATE(3672),
    [sym_subscript_expression] = STATE(3672),
    [sym_call_expression] = STATE(3672),
    [sym_gnu_asm_expression] = STATE(3672),
    [sym_field_expression] = STATE(3672),
    [sym_compound_literal_expression] = STATE(3672),
    [sym_parenthesized_expression] = STATE(3672),
    [sym_char_literal] = STATE(3991),
    [sym_concatenated_string] = STATE(3973),
    [sym_string_literal] = STATE(3242),
    [sym_null] = STATE(3672),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9333),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(3672),
    [sym_raw_string_literal] = STATE(3241),
    [sym_co_await_expression] = STATE(3672),
    [sym_new_expression] = STATE(3672),
    [sym_delete_expression] = STATE(3672),
    [sym_requires_clause] = STATE(3672),
    [sym_requires_expression] = STATE(3672),
    [sym_lambda_expression] = STATE(3672),
    [sym_lambda_capture_specifier] = STATE(7134),
    [sym_fold_expression] = STATE(3672),
    [sym_parameter_pack_expansion] = STATE(3672),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6886),
    [sym_qualified_identifier] = STATE(3672),
    [sym_qualified_type_identifier] = STATE(9333),
    [sym_user_defined_literal] = STATE(3672),
    [sym_identifier] = ACTIONS(3968),
    [anon_sym_LPAREN2] = ACTIONS(5219),
    [anon_sym_BANG] = ACTIONS(3972),
    [anon_sym_TILDE] = ACTIONS(3972),
    [anon_sym_DASH] = ACTIONS(3970),
    [anon_sym_PLUS] = ACTIONS(3970),
    [anon_sym_STAR] = ACTIONS(1474),
    [anon_sym_AMP] = ACTIONS(1474),
    [anon_sym_COLON_COLON] = ACTIONS(3974),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [anon_sym_RBRACK] = ACTIONS(5270),
    [sym_primitive_type] = ACTIONS(3928),
    [anon_sym_not] = ACTIONS(3970),
    [anon_sym_compl] = ACTIONS(3970),
    [anon_sym_DASH_DASH] = ACTIONS(4385),
    [anon_sym_PLUS_PLUS] = ACTIONS(4385),
    [anon_sym_sizeof] = ACTIONS(3976),
    [anon_sym___alignof__] = ACTIONS(3932),
    [anon_sym___alignof] = ACTIONS(3932),
    [anon_sym__alignof] = ACTIONS(3932),
    [anon_sym_alignof] = ACTIONS(3932),
    [anon_sym__Alignof] = ACTIONS(3932),
    [anon_sym_offsetof] = ACTIONS(3934),
    [anon_sym__Generic] = ACTIONS(3936),
    [anon_sym_asm] = ACTIONS(3938),
    [anon_sym___asm__] = ACTIONS(3938),
    [sym_number_literal] = ACTIONS(3978),
    [anon_sym_L_SQUOTE] = ACTIONS(3980),
    [anon_sym_u_SQUOTE] = ACTIONS(3980),
    [anon_sym_U_SQUOTE] = ACTIONS(3980),
    [anon_sym_u8_SQUOTE] = ACTIONS(3980),
    [anon_sym_SQUOTE] = ACTIONS(3980),
    [anon_sym_L_DQUOTE] = ACTIONS(3982),
    [anon_sym_u_DQUOTE] = ACTIONS(3982),
    [anon_sym_U_DQUOTE] = ACTIONS(3982),
    [anon_sym_u8_DQUOTE] = ACTIONS(3982),
    [anon_sym_DQUOTE] = ACTIONS(3982),
    [sym_true] = ACTIONS(3946),
    [sym_false] = ACTIONS(3946),
    [anon_sym_NULL] = ACTIONS(3948),
    [anon_sym_nullptr] = ACTIONS(3948),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(3984),
    [anon_sym_R_DQUOTE] = ACTIONS(3986),
    [anon_sym_LR_DQUOTE] = ACTIONS(3986),
    [anon_sym_uR_DQUOTE] = ACTIONS(3986),
    [anon_sym_UR_DQUOTE] = ACTIONS(3986),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3986),
    [anon_sym_co_await] = ACTIONS(3988),
    [anon_sym_new] = ACTIONS(3990),
    [anon_sym_requires] = ACTIONS(3958),
    [sym_this] = ACTIONS(3946),
  },
  [1976] = {
    [sym__declaration_modifiers] = STATE(2673),
    [sym__declaration_specifiers] = STATE(6005),
    [sym_attribute_specifier] = STATE(2673),
    [sym_attribute_declaration] = STATE(2673),
    [sym_ms_declspec_modifier] = STATE(2673),
    [sym_ms_call_modifier] = STATE(2576),
    [sym_storage_class_specifier] = STATE(2673),
    [sym_type_qualifier] = STATE(2673),
    [sym__type_specifier] = STATE(2827),
    [sym_sized_type_specifier] = STATE(3085),
    [sym_enum_specifier] = STATE(3085),
    [sym_struct_specifier] = STATE(3085),
    [sym_union_specifier] = STATE(3085),
    [sym_placeholder_type_specifier] = STATE(3085),
    [sym_decltype_auto] = STATE(3091),
    [sym_decltype] = STATE(3050),
    [sym_class_specifier] = STATE(3085),
    [sym_virtual] = STATE(2673),
    [sym_alignas_specifier] = STATE(2673),
    [sym_dependent_type] = STATE(3085),
    [sym_template_type] = STATE(3050),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(7887),
    [sym_qualified_type_identifier] = STATE(3068),
    [sym_qualifiers] = STATE(2673),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2673),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3021),
    [sym_identifier] = ACTIONS(3896),
    [anon_sym___extension__] = ACTIONS(63),
    [anon_sym_in] = ACTIONS(1480),
    [anon_sym_out] = ACTIONS(1480),
    [anon_sym_inout] = ACTIONS(1480),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(3904),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2096),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(51),
    [anon_sym___clrcall] = ACTIONS(51),
    [anon_sym___stdcall] = ACTIONS(51),
    [anon_sym___fastcall] = ACTIONS(51),
    [anon_sym___thiscall] = ACTIONS(51),
    [anon_sym___vectorcall] = ACTIONS(51),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(2891),
    [anon_sym_enum] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(69),
    [anon_sym_struct] = ACTIONS(71),
    [anon_sym_union] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [anon_sym_virtual] = ACTIONS(123),
    [anon_sym_alignas] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_precise] = ACTIONS(161),
    [anon_sym_shared] = ACTIONS(161),
    [anon_sym_groupshared] = ACTIONS(161),
    [anon_sym_uniform] = ACTIONS(161),
    [anon_sym_row_major] = ACTIONS(161),
    [anon_sym_column_major] = ACTIONS(161),
    [anon_sym_globallycoherent] = ACTIONS(161),
    [anon_sym_centroid] = ACTIONS(161),
    [anon_sym_noperspective] = ACTIONS(161),
    [anon_sym_nointerpolation] = ACTIONS(161),
    [anon_sym_sample] = ACTIONS(161),
    [anon_sym_linear] = ACTIONS(161),
    [anon_sym_snorm] = ACTIONS(161),
    [anon_sym_unorm] = ACTIONS(161),
    [anon_sym_point] = ACTIONS(161),
    [anon_sym_line] = ACTIONS(161),
    [anon_sym_triangleadj] = ACTIONS(161),
    [anon_sym_lineadj] = ACTIONS(161),
    [anon_sym_triangle] = ACTIONS(161),
  },
  [1977] = {
    [sym__expression] = STATE(3520),
    [sym__expression_not_binary] = STATE(3672),
    [sym__string] = STATE(3672),
    [sym_conditional_expression] = STATE(3672),
    [sym_assignment_expression] = STATE(3672),
    [sym_pointer_expression] = STATE(3672),
    [sym_unary_expression] = STATE(3672),
    [sym_binary_expression] = STATE(3672),
    [sym_update_expression] = STATE(3672),
    [sym_cast_expression] = STATE(3672),
    [sym_sizeof_expression] = STATE(3672),
    [sym_alignof_expression] = STATE(3672),
    [sym_offsetof_expression] = STATE(3672),
    [sym_generic_expression] = STATE(3672),
    [sym_subscript_expression] = STATE(3672),
    [sym_call_expression] = STATE(3672),
    [sym_gnu_asm_expression] = STATE(3672),
    [sym_field_expression] = STATE(3672),
    [sym_compound_literal_expression] = STATE(3672),
    [sym_parenthesized_expression] = STATE(3672),
    [sym_char_literal] = STATE(3991),
    [sym_concatenated_string] = STATE(3973),
    [sym_string_literal] = STATE(3242),
    [sym_null] = STATE(3672),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9333),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(3672),
    [sym_raw_string_literal] = STATE(3241),
    [sym_co_await_expression] = STATE(3672),
    [sym_new_expression] = STATE(3672),
    [sym_delete_expression] = STATE(3672),
    [sym_requires_clause] = STATE(3672),
    [sym_requires_expression] = STATE(3672),
    [sym_lambda_expression] = STATE(3672),
    [sym_lambda_capture_specifier] = STATE(7134),
    [sym_fold_expression] = STATE(3672),
    [sym_parameter_pack_expansion] = STATE(3672),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6886),
    [sym_qualified_identifier] = STATE(3672),
    [sym_qualified_type_identifier] = STATE(9333),
    [sym_user_defined_literal] = STATE(3672),
    [sym_identifier] = ACTIONS(3968),
    [anon_sym_LPAREN2] = ACTIONS(5219),
    [anon_sym_BANG] = ACTIONS(3972),
    [anon_sym_TILDE] = ACTIONS(3972),
    [anon_sym_DASH] = ACTIONS(3970),
    [anon_sym_PLUS] = ACTIONS(3970),
    [anon_sym_STAR] = ACTIONS(1474),
    [anon_sym_AMP] = ACTIONS(1474),
    [anon_sym_COLON_COLON] = ACTIONS(3974),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [anon_sym_RBRACK] = ACTIONS(5272),
    [sym_primitive_type] = ACTIONS(3928),
    [anon_sym_not] = ACTIONS(3970),
    [anon_sym_compl] = ACTIONS(3970),
    [anon_sym_DASH_DASH] = ACTIONS(4385),
    [anon_sym_PLUS_PLUS] = ACTIONS(4385),
    [anon_sym_sizeof] = ACTIONS(3976),
    [anon_sym___alignof__] = ACTIONS(3932),
    [anon_sym___alignof] = ACTIONS(3932),
    [anon_sym__alignof] = ACTIONS(3932),
    [anon_sym_alignof] = ACTIONS(3932),
    [anon_sym__Alignof] = ACTIONS(3932),
    [anon_sym_offsetof] = ACTIONS(3934),
    [anon_sym__Generic] = ACTIONS(3936),
    [anon_sym_asm] = ACTIONS(3938),
    [anon_sym___asm__] = ACTIONS(3938),
    [sym_number_literal] = ACTIONS(3978),
    [anon_sym_L_SQUOTE] = ACTIONS(3980),
    [anon_sym_u_SQUOTE] = ACTIONS(3980),
    [anon_sym_U_SQUOTE] = ACTIONS(3980),
    [anon_sym_u8_SQUOTE] = ACTIONS(3980),
    [anon_sym_SQUOTE] = ACTIONS(3980),
    [anon_sym_L_DQUOTE] = ACTIONS(3982),
    [anon_sym_u_DQUOTE] = ACTIONS(3982),
    [anon_sym_U_DQUOTE] = ACTIONS(3982),
    [anon_sym_u8_DQUOTE] = ACTIONS(3982),
    [anon_sym_DQUOTE] = ACTIONS(3982),
    [sym_true] = ACTIONS(3946),
    [sym_false] = ACTIONS(3946),
    [anon_sym_NULL] = ACTIONS(3948),
    [anon_sym_nullptr] = ACTIONS(3948),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(3984),
    [anon_sym_R_DQUOTE] = ACTIONS(3986),
    [anon_sym_LR_DQUOTE] = ACTIONS(3986),
    [anon_sym_uR_DQUOTE] = ACTIONS(3986),
    [anon_sym_UR_DQUOTE] = ACTIONS(3986),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3986),
    [anon_sym_co_await] = ACTIONS(3988),
    [anon_sym_new] = ACTIONS(3990),
    [anon_sym_requires] = ACTIONS(3958),
    [sym_this] = ACTIONS(3946),
  },
  [1978] = {
    [sym__expression] = STATE(4332),
    [sym__expression_not_binary] = STATE(4695),
    [sym__string] = STATE(4695),
    [sym_conditional_expression] = STATE(4695),
    [sym_assignment_expression] = STATE(4695),
    [sym_pointer_expression] = STATE(4695),
    [sym_unary_expression] = STATE(4695),
    [sym_binary_expression] = STATE(4695),
    [sym_update_expression] = STATE(4695),
    [sym_cast_expression] = STATE(4695),
    [sym_sizeof_expression] = STATE(4695),
    [sym_alignof_expression] = STATE(4695),
    [sym_offsetof_expression] = STATE(4695),
    [sym_generic_expression] = STATE(4695),
    [sym_subscript_expression] = STATE(4695),
    [sym_call_expression] = STATE(4695),
    [sym_gnu_asm_expression] = STATE(4695),
    [sym_field_expression] = STATE(4695),
    [sym_compound_literal_expression] = STATE(4695),
    [sym_parenthesized_expression] = STATE(4695),
    [sym_char_literal] = STATE(4427),
    [sym_concatenated_string] = STATE(4424),
    [sym_string_literal] = STATE(3398),
    [sym_null] = STATE(4695),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9425),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(4695),
    [sym_raw_string_literal] = STATE(3396),
    [sym_co_await_expression] = STATE(4695),
    [sym_new_expression] = STATE(4695),
    [sym_delete_expression] = STATE(4695),
    [sym_requires_clause] = STATE(4695),
    [sym_requires_expression] = STATE(4695),
    [sym_lambda_expression] = STATE(4695),
    [sym_lambda_capture_specifier] = STATE(7185),
    [sym_fold_expression] = STATE(4695),
    [sym_parameter_pack_expansion] = STATE(4695),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6899),
    [sym_qualified_identifier] = STATE(4695),
    [sym_qualified_type_identifier] = STATE(9425),
    [sym_user_defined_literal] = STATE(4695),
    [sym_identifier] = ACTIONS(4092),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5274),
    [anon_sym_LPAREN2] = ACTIONS(4188),
    [anon_sym_BANG] = ACTIONS(2532),
    [anon_sym_TILDE] = ACTIONS(2532),
    [anon_sym_DASH] = ACTIONS(2536),
    [anon_sym_PLUS] = ACTIONS(2536),
    [anon_sym_STAR] = ACTIONS(2116),
    [anon_sym_AMP] = ACTIONS(2116),
    [anon_sym_COLON_COLON] = ACTIONS(2542),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [sym_primitive_type] = ACTIONS(4096),
    [anon_sym_not] = ACTIONS(2536),
    [anon_sym_compl] = ACTIONS(2536),
    [anon_sym_DASH_DASH] = ACTIONS(2560),
    [anon_sym_PLUS_PLUS] = ACTIONS(2560),
    [anon_sym_sizeof] = ACTIONS(2562),
    [anon_sym___alignof__] = ACTIONS(2564),
    [anon_sym___alignof] = ACTIONS(2564),
    [anon_sym__alignof] = ACTIONS(2564),
    [anon_sym_alignof] = ACTIONS(2564),
    [anon_sym__Alignof] = ACTIONS(2564),
    [anon_sym_offsetof] = ACTIONS(2566),
    [anon_sym__Generic] = ACTIONS(2568),
    [anon_sym_asm] = ACTIONS(2570),
    [anon_sym___asm__] = ACTIONS(2570),
    [sym_number_literal] = ACTIONS(2572),
    [anon_sym_L_SQUOTE] = ACTIONS(2574),
    [anon_sym_u_SQUOTE] = ACTIONS(2574),
    [anon_sym_U_SQUOTE] = ACTIONS(2574),
    [anon_sym_u8_SQUOTE] = ACTIONS(2574),
    [anon_sym_SQUOTE] = ACTIONS(2574),
    [anon_sym_L_DQUOTE] = ACTIONS(2576),
    [anon_sym_u_DQUOTE] = ACTIONS(2576),
    [anon_sym_U_DQUOTE] = ACTIONS(2576),
    [anon_sym_u8_DQUOTE] = ACTIONS(2576),
    [anon_sym_DQUOTE] = ACTIONS(2576),
    [sym_true] = ACTIONS(2578),
    [sym_false] = ACTIONS(2578),
    [anon_sym_NULL] = ACTIONS(2580),
    [anon_sym_nullptr] = ACTIONS(2580),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(2590),
    [anon_sym_R_DQUOTE] = ACTIONS(2592),
    [anon_sym_LR_DQUOTE] = ACTIONS(2592),
    [anon_sym_uR_DQUOTE] = ACTIONS(2592),
    [anon_sym_UR_DQUOTE] = ACTIONS(2592),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2592),
    [anon_sym_co_await] = ACTIONS(2594),
    [anon_sym_new] = ACTIONS(2596),
    [anon_sym_requires] = ACTIONS(2598),
    [sym_this] = ACTIONS(2578),
  },
  [1979] = {
    [sym__expression] = STATE(5945),
    [sym__expression_not_binary] = STATE(5024),
    [sym__string] = STATE(5024),
    [sym_conditional_expression] = STATE(5024),
    [sym_assignment_expression] = STATE(5024),
    [sym_pointer_expression] = STATE(4507),
    [sym_unary_expression] = STATE(5024),
    [sym_binary_expression] = STATE(5024),
    [sym_update_expression] = STATE(5024),
    [sym_cast_expression] = STATE(5024),
    [sym_sizeof_expression] = STATE(5024),
    [sym_alignof_expression] = STATE(5024),
    [sym_offsetof_expression] = STATE(5024),
    [sym_generic_expression] = STATE(5024),
    [sym_subscript_expression] = STATE(4507),
    [sym_call_expression] = STATE(4507),
    [sym_gnu_asm_expression] = STATE(5024),
    [sym_field_expression] = STATE(4507),
    [sym_compound_literal_expression] = STATE(5024),
    [sym_parenthesized_expression] = STATE(4507),
    [sym_char_literal] = STATE(5374),
    [sym_concatenated_string] = STATE(5377),
    [sym_string_literal] = STATE(4206),
    [sym_null] = STATE(5024),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9352),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(5024),
    [sym_raw_string_literal] = STATE(4217),
    [sym_co_await_expression] = STATE(5024),
    [sym_new_expression] = STATE(5024),
    [sym_delete_expression] = STATE(5024),
    [sym_requires_clause] = STATE(5024),
    [sym_requires_expression] = STATE(5024),
    [sym_lambda_expression] = STATE(5024),
    [sym_lambda_capture_specifier] = STATE(7184),
    [sym_fold_expression] = STATE(5024),
    [sym_parameter_pack_expansion] = STATE(5024),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6886),
    [sym_qualified_identifier] = STATE(4507),
    [sym_qualified_type_identifier] = STATE(9352),
    [sym_user_defined_literal] = STATE(4507),
    [sym_identifier] = ACTIONS(3140),
    [anon_sym_LPAREN2] = ACTIONS(1472),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1474),
    [anon_sym_AMP] = ACTIONS(1474),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [sym_primitive_type] = ACTIONS(3146),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5277),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [1980] = {
    [sym__expression] = STATE(3520),
    [sym__expression_not_binary] = STATE(3672),
    [sym__string] = STATE(3672),
    [sym_conditional_expression] = STATE(3672),
    [sym_assignment_expression] = STATE(3672),
    [sym_pointer_expression] = STATE(3672),
    [sym_unary_expression] = STATE(3672),
    [sym_binary_expression] = STATE(3672),
    [sym_update_expression] = STATE(3672),
    [sym_cast_expression] = STATE(3672),
    [sym_sizeof_expression] = STATE(3672),
    [sym_alignof_expression] = STATE(3672),
    [sym_offsetof_expression] = STATE(3672),
    [sym_generic_expression] = STATE(3672),
    [sym_subscript_expression] = STATE(3672),
    [sym_call_expression] = STATE(3672),
    [sym_gnu_asm_expression] = STATE(3672),
    [sym_field_expression] = STATE(3672),
    [sym_compound_literal_expression] = STATE(3672),
    [sym_parenthesized_expression] = STATE(3672),
    [sym_char_literal] = STATE(3991),
    [sym_concatenated_string] = STATE(3973),
    [sym_string_literal] = STATE(3242),
    [sym_null] = STATE(3672),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9333),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(3672),
    [sym_raw_string_literal] = STATE(3241),
    [sym_co_await_expression] = STATE(3672),
    [sym_new_expression] = STATE(3672),
    [sym_delete_expression] = STATE(3672),
    [sym_requires_clause] = STATE(3672),
    [sym_requires_expression] = STATE(3672),
    [sym_lambda_expression] = STATE(3672),
    [sym_lambda_capture_specifier] = STATE(7134),
    [sym_fold_expression] = STATE(3672),
    [sym_parameter_pack_expansion] = STATE(3672),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6886),
    [sym_qualified_identifier] = STATE(3672),
    [sym_qualified_type_identifier] = STATE(9333),
    [sym_user_defined_literal] = STATE(3672),
    [sym_identifier] = ACTIONS(3968),
    [anon_sym_LPAREN2] = ACTIONS(5219),
    [anon_sym_BANG] = ACTIONS(3972),
    [anon_sym_TILDE] = ACTIONS(3972),
    [anon_sym_DASH] = ACTIONS(3970),
    [anon_sym_PLUS] = ACTIONS(3970),
    [anon_sym_STAR] = ACTIONS(1474),
    [anon_sym_AMP] = ACTIONS(1474),
    [anon_sym_COLON_COLON] = ACTIONS(3974),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [anon_sym_RBRACK] = ACTIONS(5279),
    [sym_primitive_type] = ACTIONS(3928),
    [anon_sym_not] = ACTIONS(3970),
    [anon_sym_compl] = ACTIONS(3970),
    [anon_sym_DASH_DASH] = ACTIONS(4385),
    [anon_sym_PLUS_PLUS] = ACTIONS(4385),
    [anon_sym_sizeof] = ACTIONS(3976),
    [anon_sym___alignof__] = ACTIONS(3932),
    [anon_sym___alignof] = ACTIONS(3932),
    [anon_sym__alignof] = ACTIONS(3932),
    [anon_sym_alignof] = ACTIONS(3932),
    [anon_sym__Alignof] = ACTIONS(3932),
    [anon_sym_offsetof] = ACTIONS(3934),
    [anon_sym__Generic] = ACTIONS(3936),
    [anon_sym_asm] = ACTIONS(3938),
    [anon_sym___asm__] = ACTIONS(3938),
    [sym_number_literal] = ACTIONS(3978),
    [anon_sym_L_SQUOTE] = ACTIONS(3980),
    [anon_sym_u_SQUOTE] = ACTIONS(3980),
    [anon_sym_U_SQUOTE] = ACTIONS(3980),
    [anon_sym_u8_SQUOTE] = ACTIONS(3980),
    [anon_sym_SQUOTE] = ACTIONS(3980),
    [anon_sym_L_DQUOTE] = ACTIONS(3982),
    [anon_sym_u_DQUOTE] = ACTIONS(3982),
    [anon_sym_U_DQUOTE] = ACTIONS(3982),
    [anon_sym_u8_DQUOTE] = ACTIONS(3982),
    [anon_sym_DQUOTE] = ACTIONS(3982),
    [sym_true] = ACTIONS(3946),
    [sym_false] = ACTIONS(3946),
    [anon_sym_NULL] = ACTIONS(3948),
    [anon_sym_nullptr] = ACTIONS(3948),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(3984),
    [anon_sym_R_DQUOTE] = ACTIONS(3986),
    [anon_sym_LR_DQUOTE] = ACTIONS(3986),
    [anon_sym_uR_DQUOTE] = ACTIONS(3986),
    [anon_sym_UR_DQUOTE] = ACTIONS(3986),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3986),
    [anon_sym_co_await] = ACTIONS(3988),
    [anon_sym_new] = ACTIONS(3990),
    [anon_sym_requires] = ACTIONS(3958),
    [sym_this] = ACTIONS(3946),
  },
  [1981] = {
    [sym__expression] = STATE(3520),
    [sym__expression_not_binary] = STATE(3672),
    [sym__string] = STATE(3672),
    [sym_conditional_expression] = STATE(3672),
    [sym_assignment_expression] = STATE(3672),
    [sym_pointer_expression] = STATE(3672),
    [sym_unary_expression] = STATE(3672),
    [sym_binary_expression] = STATE(3672),
    [sym_update_expression] = STATE(3672),
    [sym_cast_expression] = STATE(3672),
    [sym_sizeof_expression] = STATE(3672),
    [sym_alignof_expression] = STATE(3672),
    [sym_offsetof_expression] = STATE(3672),
    [sym_generic_expression] = STATE(3672),
    [sym_subscript_expression] = STATE(3672),
    [sym_call_expression] = STATE(3672),
    [sym_gnu_asm_expression] = STATE(3672),
    [sym_field_expression] = STATE(3672),
    [sym_compound_literal_expression] = STATE(3672),
    [sym_parenthesized_expression] = STATE(3672),
    [sym_char_literal] = STATE(3991),
    [sym_concatenated_string] = STATE(3973),
    [sym_string_literal] = STATE(3242),
    [sym_null] = STATE(3672),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9333),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(3672),
    [sym_raw_string_literal] = STATE(3241),
    [sym_co_await_expression] = STATE(3672),
    [sym_new_expression] = STATE(3672),
    [sym_delete_expression] = STATE(3672),
    [sym_requires_clause] = STATE(3672),
    [sym_requires_expression] = STATE(3672),
    [sym_lambda_expression] = STATE(3672),
    [sym_lambda_capture_specifier] = STATE(7134),
    [sym_fold_expression] = STATE(3672),
    [sym_parameter_pack_expansion] = STATE(3672),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6886),
    [sym_qualified_identifier] = STATE(3672),
    [sym_qualified_type_identifier] = STATE(9333),
    [sym_user_defined_literal] = STATE(3672),
    [sym_identifier] = ACTIONS(3968),
    [anon_sym_LPAREN2] = ACTIONS(5219),
    [anon_sym_BANG] = ACTIONS(3972),
    [anon_sym_TILDE] = ACTIONS(3972),
    [anon_sym_DASH] = ACTIONS(3970),
    [anon_sym_PLUS] = ACTIONS(3970),
    [anon_sym_STAR] = ACTIONS(1474),
    [anon_sym_AMP] = ACTIONS(1474),
    [anon_sym_COLON_COLON] = ACTIONS(3974),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [anon_sym_RBRACK] = ACTIONS(5281),
    [sym_primitive_type] = ACTIONS(3928),
    [anon_sym_not] = ACTIONS(3970),
    [anon_sym_compl] = ACTIONS(3970),
    [anon_sym_DASH_DASH] = ACTIONS(4385),
    [anon_sym_PLUS_PLUS] = ACTIONS(4385),
    [anon_sym_sizeof] = ACTIONS(3976),
    [anon_sym___alignof__] = ACTIONS(3932),
    [anon_sym___alignof] = ACTIONS(3932),
    [anon_sym__alignof] = ACTIONS(3932),
    [anon_sym_alignof] = ACTIONS(3932),
    [anon_sym__Alignof] = ACTIONS(3932),
    [anon_sym_offsetof] = ACTIONS(3934),
    [anon_sym__Generic] = ACTIONS(3936),
    [anon_sym_asm] = ACTIONS(3938),
    [anon_sym___asm__] = ACTIONS(3938),
    [sym_number_literal] = ACTIONS(3978),
    [anon_sym_L_SQUOTE] = ACTIONS(3980),
    [anon_sym_u_SQUOTE] = ACTIONS(3980),
    [anon_sym_U_SQUOTE] = ACTIONS(3980),
    [anon_sym_u8_SQUOTE] = ACTIONS(3980),
    [anon_sym_SQUOTE] = ACTIONS(3980),
    [anon_sym_L_DQUOTE] = ACTIONS(3982),
    [anon_sym_u_DQUOTE] = ACTIONS(3982),
    [anon_sym_U_DQUOTE] = ACTIONS(3982),
    [anon_sym_u8_DQUOTE] = ACTIONS(3982),
    [anon_sym_DQUOTE] = ACTIONS(3982),
    [sym_true] = ACTIONS(3946),
    [sym_false] = ACTIONS(3946),
    [anon_sym_NULL] = ACTIONS(3948),
    [anon_sym_nullptr] = ACTIONS(3948),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(3984),
    [anon_sym_R_DQUOTE] = ACTIONS(3986),
    [anon_sym_LR_DQUOTE] = ACTIONS(3986),
    [anon_sym_uR_DQUOTE] = ACTIONS(3986),
    [anon_sym_UR_DQUOTE] = ACTIONS(3986),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3986),
    [anon_sym_co_await] = ACTIONS(3988),
    [anon_sym_new] = ACTIONS(3990),
    [anon_sym_requires] = ACTIONS(3958),
    [sym_this] = ACTIONS(3946),
  },
  [1982] = {
    [sym__expression] = STATE(3520),
    [sym__expression_not_binary] = STATE(3672),
    [sym__string] = STATE(3672),
    [sym_conditional_expression] = STATE(3672),
    [sym_assignment_expression] = STATE(3672),
    [sym_pointer_expression] = STATE(3672),
    [sym_unary_expression] = STATE(3672),
    [sym_binary_expression] = STATE(3672),
    [sym_update_expression] = STATE(3672),
    [sym_cast_expression] = STATE(3672),
    [sym_sizeof_expression] = STATE(3672),
    [sym_alignof_expression] = STATE(3672),
    [sym_offsetof_expression] = STATE(3672),
    [sym_generic_expression] = STATE(3672),
    [sym_subscript_expression] = STATE(3672),
    [sym_call_expression] = STATE(3672),
    [sym_gnu_asm_expression] = STATE(3672),
    [sym_field_expression] = STATE(3672),
    [sym_compound_literal_expression] = STATE(3672),
    [sym_parenthesized_expression] = STATE(3672),
    [sym_char_literal] = STATE(3991),
    [sym_concatenated_string] = STATE(3973),
    [sym_string_literal] = STATE(3242),
    [sym_null] = STATE(3672),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9333),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(3672),
    [sym_raw_string_literal] = STATE(3241),
    [sym_co_await_expression] = STATE(3672),
    [sym_new_expression] = STATE(3672),
    [sym_delete_expression] = STATE(3672),
    [sym_requires_clause] = STATE(3672),
    [sym_requires_expression] = STATE(3672),
    [sym_lambda_expression] = STATE(3672),
    [sym_lambda_capture_specifier] = STATE(7134),
    [sym_fold_expression] = STATE(3672),
    [sym_parameter_pack_expansion] = STATE(3672),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6886),
    [sym_qualified_identifier] = STATE(3672),
    [sym_qualified_type_identifier] = STATE(9333),
    [sym_user_defined_literal] = STATE(3672),
    [sym_identifier] = ACTIONS(3968),
    [anon_sym_LPAREN2] = ACTIONS(5219),
    [anon_sym_BANG] = ACTIONS(3972),
    [anon_sym_TILDE] = ACTIONS(3972),
    [anon_sym_DASH] = ACTIONS(3970),
    [anon_sym_PLUS] = ACTIONS(3970),
    [anon_sym_STAR] = ACTIONS(1474),
    [anon_sym_AMP] = ACTIONS(1474),
    [anon_sym_COLON_COLON] = ACTIONS(3974),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [anon_sym_RBRACK] = ACTIONS(5283),
    [sym_primitive_type] = ACTIONS(3928),
    [anon_sym_not] = ACTIONS(3970),
    [anon_sym_compl] = ACTIONS(3970),
    [anon_sym_DASH_DASH] = ACTIONS(4385),
    [anon_sym_PLUS_PLUS] = ACTIONS(4385),
    [anon_sym_sizeof] = ACTIONS(3976),
    [anon_sym___alignof__] = ACTIONS(3932),
    [anon_sym___alignof] = ACTIONS(3932),
    [anon_sym__alignof] = ACTIONS(3932),
    [anon_sym_alignof] = ACTIONS(3932),
    [anon_sym__Alignof] = ACTIONS(3932),
    [anon_sym_offsetof] = ACTIONS(3934),
    [anon_sym__Generic] = ACTIONS(3936),
    [anon_sym_asm] = ACTIONS(3938),
    [anon_sym___asm__] = ACTIONS(3938),
    [sym_number_literal] = ACTIONS(3978),
    [anon_sym_L_SQUOTE] = ACTIONS(3980),
    [anon_sym_u_SQUOTE] = ACTIONS(3980),
    [anon_sym_U_SQUOTE] = ACTIONS(3980),
    [anon_sym_u8_SQUOTE] = ACTIONS(3980),
    [anon_sym_SQUOTE] = ACTIONS(3980),
    [anon_sym_L_DQUOTE] = ACTIONS(3982),
    [anon_sym_u_DQUOTE] = ACTIONS(3982),
    [anon_sym_U_DQUOTE] = ACTIONS(3982),
    [anon_sym_u8_DQUOTE] = ACTIONS(3982),
    [anon_sym_DQUOTE] = ACTIONS(3982),
    [sym_true] = ACTIONS(3946),
    [sym_false] = ACTIONS(3946),
    [anon_sym_NULL] = ACTIONS(3948),
    [anon_sym_nullptr] = ACTIONS(3948),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(3984),
    [anon_sym_R_DQUOTE] = ACTIONS(3986),
    [anon_sym_LR_DQUOTE] = ACTIONS(3986),
    [anon_sym_uR_DQUOTE] = ACTIONS(3986),
    [anon_sym_UR_DQUOTE] = ACTIONS(3986),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3986),
    [anon_sym_co_await] = ACTIONS(3988),
    [anon_sym_new] = ACTIONS(3990),
    [anon_sym_requires] = ACTIONS(3958),
    [sym_this] = ACTIONS(3946),
  },
  [1983] = {
    [sym__declaration_modifiers] = STATE(2673),
    [sym__declaration_specifiers] = STATE(6010),
    [sym_attribute_specifier] = STATE(2673),
    [sym_attribute_declaration] = STATE(2673),
    [sym_ms_declspec_modifier] = STATE(2673),
    [sym_ms_call_modifier] = STATE(2554),
    [sym_storage_class_specifier] = STATE(2673),
    [sym_type_qualifier] = STATE(2673),
    [sym__type_specifier] = STATE(2827),
    [sym_sized_type_specifier] = STATE(3085),
    [sym_enum_specifier] = STATE(3085),
    [sym_struct_specifier] = STATE(3085),
    [sym_union_specifier] = STATE(3085),
    [sym_placeholder_type_specifier] = STATE(3085),
    [sym_decltype_auto] = STATE(3091),
    [sym_decltype] = STATE(3050),
    [sym_class_specifier] = STATE(3085),
    [sym_virtual] = STATE(2673),
    [sym_alignas_specifier] = STATE(2673),
    [sym_dependent_type] = STATE(3085),
    [sym_template_type] = STATE(3050),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(7887),
    [sym_qualified_type_identifier] = STATE(3068),
    [sym_qualifiers] = STATE(2673),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2673),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3021),
    [sym_identifier] = ACTIONS(3896),
    [anon_sym___extension__] = ACTIONS(63),
    [anon_sym_in] = ACTIONS(1480),
    [anon_sym_out] = ACTIONS(1480),
    [anon_sym_inout] = ACTIONS(1480),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(3904),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2096),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(51),
    [anon_sym___clrcall] = ACTIONS(51),
    [anon_sym___stdcall] = ACTIONS(51),
    [anon_sym___fastcall] = ACTIONS(51),
    [anon_sym___thiscall] = ACTIONS(51),
    [anon_sym___vectorcall] = ACTIONS(51),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(2891),
    [anon_sym_enum] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(69),
    [anon_sym_struct] = ACTIONS(71),
    [anon_sym_union] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [anon_sym_virtual] = ACTIONS(123),
    [anon_sym_alignas] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_precise] = ACTIONS(161),
    [anon_sym_shared] = ACTIONS(161),
    [anon_sym_groupshared] = ACTIONS(161),
    [anon_sym_uniform] = ACTIONS(161),
    [anon_sym_row_major] = ACTIONS(161),
    [anon_sym_column_major] = ACTIONS(161),
    [anon_sym_globallycoherent] = ACTIONS(161),
    [anon_sym_centroid] = ACTIONS(161),
    [anon_sym_noperspective] = ACTIONS(161),
    [anon_sym_nointerpolation] = ACTIONS(161),
    [anon_sym_sample] = ACTIONS(161),
    [anon_sym_linear] = ACTIONS(161),
    [anon_sym_snorm] = ACTIONS(161),
    [anon_sym_unorm] = ACTIONS(161),
    [anon_sym_point] = ACTIONS(161),
    [anon_sym_line] = ACTIONS(161),
    [anon_sym_triangleadj] = ACTIONS(161),
    [anon_sym_lineadj] = ACTIONS(161),
    [anon_sym_triangle] = ACTIONS(161),
  },
  [1984] = {
    [sym__expression] = STATE(5459),
    [sym__expression_not_binary] = STATE(5024),
    [sym__string] = STATE(5024),
    [sym_conditional_expression] = STATE(5024),
    [sym_assignment_expression] = STATE(5024),
    [sym_pointer_expression] = STATE(4607),
    [sym_unary_expression] = STATE(5024),
    [sym_binary_expression] = STATE(5024),
    [sym_update_expression] = STATE(5024),
    [sym_cast_expression] = STATE(5024),
    [sym_sizeof_expression] = STATE(5024),
    [sym_alignof_expression] = STATE(5024),
    [sym_offsetof_expression] = STATE(5024),
    [sym_generic_expression] = STATE(5024),
    [sym_subscript_expression] = STATE(4607),
    [sym_call_expression] = STATE(4607),
    [sym_gnu_asm_expression] = STATE(5024),
    [sym_field_expression] = STATE(4607),
    [sym_compound_literal_expression] = STATE(5024),
    [sym_parenthesized_expression] = STATE(4607),
    [sym_char_literal] = STATE(5726),
    [sym_concatenated_string] = STATE(5682),
    [sym_string_literal] = STATE(4827),
    [sym_null] = STATE(5024),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9352),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(5024),
    [sym_raw_string_literal] = STATE(4829),
    [sym_co_await_expression] = STATE(5024),
    [sym_new_expression] = STATE(5024),
    [sym_delete_expression] = STATE(5024),
    [sym_requires_clause] = STATE(5024),
    [sym_requires_expression] = STATE(5024),
    [sym_lambda_expression] = STATE(5024),
    [sym_lambda_capture_specifier] = STATE(7184),
    [sym_fold_expression] = STATE(5024),
    [sym_parameter_pack_expansion] = STATE(5024),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6886),
    [sym_qualified_identifier] = STATE(4607),
    [sym_qualified_type_identifier] = STATE(9352),
    [sym_user_defined_literal] = STATE(4607),
    [sym_identifier] = ACTIONS(4478),
    [anon_sym_LPAREN2] = ACTIONS(5015),
    [anon_sym_BANG] = ACTIONS(4482),
    [anon_sym_TILDE] = ACTIONS(4482),
    [anon_sym_DASH] = ACTIONS(4480),
    [anon_sym_PLUS] = ACTIONS(4480),
    [anon_sym_STAR] = ACTIONS(5017),
    [anon_sym_AMP] = ACTIONS(5017),
    [anon_sym_SEMI] = ACTIONS(5285),
    [anon_sym_COLON_COLON] = ACTIONS(4484),
    [anon_sym_LBRACK] = ACTIONS(5287),
    [sym_primitive_type] = ACTIONS(3146),
    [anon_sym_not] = ACTIONS(4480),
    [anon_sym_compl] = ACTIONS(4480),
    [anon_sym_DASH_DASH] = ACTIONS(5021),
    [anon_sym_PLUS_PLUS] = ACTIONS(5021),
    [anon_sym_sizeof] = ACTIONS(4486),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(4488),
    [anon_sym_L_SQUOTE] = ACTIONS(4490),
    [anon_sym_u_SQUOTE] = ACTIONS(4490),
    [anon_sym_U_SQUOTE] = ACTIONS(4490),
    [anon_sym_u8_SQUOTE] = ACTIONS(4490),
    [anon_sym_SQUOTE] = ACTIONS(4490),
    [anon_sym_L_DQUOTE] = ACTIONS(4492),
    [anon_sym_u_DQUOTE] = ACTIONS(4492),
    [anon_sym_U_DQUOTE] = ACTIONS(4492),
    [anon_sym_u8_DQUOTE] = ACTIONS(4492),
    [anon_sym_DQUOTE] = ACTIONS(4492),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(4494),
    [anon_sym_R_DQUOTE] = ACTIONS(4496),
    [anon_sym_LR_DQUOTE] = ACTIONS(4496),
    [anon_sym_uR_DQUOTE] = ACTIONS(4496),
    [anon_sym_UR_DQUOTE] = ACTIONS(4496),
    [anon_sym_u8R_DQUOTE] = ACTIONS(4496),
    [anon_sym_co_await] = ACTIONS(4498),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [1985] = {
    [sym__expression] = STATE(5850),
    [sym__expression_not_binary] = STATE(5024),
    [sym__string] = STATE(5024),
    [sym_conditional_expression] = STATE(5024),
    [sym_assignment_expression] = STATE(5024),
    [sym_pointer_expression] = STATE(4507),
    [sym_unary_expression] = STATE(5024),
    [sym_binary_expression] = STATE(5024),
    [sym_update_expression] = STATE(5024),
    [sym_cast_expression] = STATE(5024),
    [sym_sizeof_expression] = STATE(5024),
    [sym_alignof_expression] = STATE(5024),
    [sym_offsetof_expression] = STATE(5024),
    [sym_generic_expression] = STATE(5024),
    [sym_subscript_expression] = STATE(4507),
    [sym_call_expression] = STATE(4507),
    [sym_gnu_asm_expression] = STATE(5024),
    [sym_field_expression] = STATE(4507),
    [sym_compound_literal_expression] = STATE(5024),
    [sym_parenthesized_expression] = STATE(4507),
    [sym_char_literal] = STATE(5374),
    [sym_concatenated_string] = STATE(5377),
    [sym_string_literal] = STATE(4206),
    [sym_null] = STATE(5024),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9352),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(5024),
    [sym_raw_string_literal] = STATE(4217),
    [sym_co_await_expression] = STATE(5024),
    [sym_new_expression] = STATE(5024),
    [sym_delete_expression] = STATE(5024),
    [sym_requires_clause] = STATE(5024),
    [sym_requires_expression] = STATE(5024),
    [sym_lambda_expression] = STATE(5024),
    [sym_lambda_capture_specifier] = STATE(7184),
    [sym_fold_expression] = STATE(5024),
    [sym_parameter_pack_expansion] = STATE(5024),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6886),
    [sym_qualified_identifier] = STATE(4507),
    [sym_qualified_type_identifier] = STATE(9352),
    [sym_user_defined_literal] = STATE(4507),
    [sym_identifier] = ACTIONS(3140),
    [anon_sym_LPAREN2] = ACTIONS(1472),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1474),
    [anon_sym_AMP] = ACTIONS(1474),
    [anon_sym_SEMI] = ACTIONS(5289),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [sym_primitive_type] = ACTIONS(3146),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [1986] = {
    [sym__expression] = STATE(4715),
    [sym__expression_not_binary] = STATE(4939),
    [sym__string] = STATE(4939),
    [sym_conditional_expression] = STATE(4939),
    [sym_assignment_expression] = STATE(4939),
    [sym_pointer_expression] = STATE(4521),
    [sym_unary_expression] = STATE(4939),
    [sym_binary_expression] = STATE(4939),
    [sym_update_expression] = STATE(4939),
    [sym_cast_expression] = STATE(4939),
    [sym_sizeof_expression] = STATE(4939),
    [sym_alignof_expression] = STATE(4939),
    [sym_offsetof_expression] = STATE(4939),
    [sym_generic_expression] = STATE(4939),
    [sym_subscript_expression] = STATE(4521),
    [sym_call_expression] = STATE(4521),
    [sym_gnu_asm_expression] = STATE(4939),
    [sym_field_expression] = STATE(4521),
    [sym_compound_literal_expression] = STATE(4939),
    [sym_parenthesized_expression] = STATE(4521),
    [sym_char_literal] = STATE(4856),
    [sym_concatenated_string] = STATE(4876),
    [sym_string_literal] = STATE(3630),
    [sym_null] = STATE(4939),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9415),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(4939),
    [sym_raw_string_literal] = STATE(3632),
    [sym_co_await_expression] = STATE(4939),
    [sym_new_expression] = STATE(4939),
    [sym_delete_expression] = STATE(4939),
    [sym_requires_clause] = STATE(4939),
    [sym_requires_expression] = STATE(4939),
    [sym_lambda_expression] = STATE(4939),
    [sym_lambda_capture_specifier] = STATE(7190),
    [sym_fold_expression] = STATE(4939),
    [sym_parameter_pack_expansion] = STATE(4939),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6899),
    [sym_qualified_identifier] = STATE(4521),
    [sym_qualified_type_identifier] = STATE(9415),
    [sym_user_defined_literal] = STATE(4521),
    [sym_identifier] = ACTIONS(4178),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5291),
    [anon_sym_LPAREN2] = ACTIONS(2110),
    [anon_sym_BANG] = ACTIONS(2112),
    [anon_sym_TILDE] = ACTIONS(2112),
    [anon_sym_DASH] = ACTIONS(2114),
    [anon_sym_PLUS] = ACTIONS(2114),
    [anon_sym_STAR] = ACTIONS(2116),
    [anon_sym_AMP] = ACTIONS(2116),
    [anon_sym_COLON_COLON] = ACTIONS(2120),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [sym_primitive_type] = ACTIONS(4182),
    [anon_sym_not] = ACTIONS(2114),
    [anon_sym_compl] = ACTIONS(2114),
    [anon_sym_DASH_DASH] = ACTIONS(2132),
    [anon_sym_PLUS_PLUS] = ACTIONS(2132),
    [anon_sym_sizeof] = ACTIONS(2134),
    [anon_sym___alignof__] = ACTIONS(2136),
    [anon_sym___alignof] = ACTIONS(2136),
    [anon_sym__alignof] = ACTIONS(2136),
    [anon_sym_alignof] = ACTIONS(2136),
    [anon_sym__Alignof] = ACTIONS(2136),
    [anon_sym_offsetof] = ACTIONS(2138),
    [anon_sym__Generic] = ACTIONS(2140),
    [anon_sym_asm] = ACTIONS(2142),
    [anon_sym___asm__] = ACTIONS(2142),
    [sym_number_literal] = ACTIONS(2144),
    [anon_sym_L_SQUOTE] = ACTIONS(2146),
    [anon_sym_u_SQUOTE] = ACTIONS(2146),
    [anon_sym_U_SQUOTE] = ACTIONS(2146),
    [anon_sym_u8_SQUOTE] = ACTIONS(2146),
    [anon_sym_SQUOTE] = ACTIONS(2146),
    [anon_sym_L_DQUOTE] = ACTIONS(2148),
    [anon_sym_u_DQUOTE] = ACTIONS(2148),
    [anon_sym_U_DQUOTE] = ACTIONS(2148),
    [anon_sym_u8_DQUOTE] = ACTIONS(2148),
    [anon_sym_DQUOTE] = ACTIONS(2148),
    [sym_true] = ACTIONS(2150),
    [sym_false] = ACTIONS(2150),
    [anon_sym_NULL] = ACTIONS(2152),
    [anon_sym_nullptr] = ACTIONS(2152),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(2156),
    [anon_sym_R_DQUOTE] = ACTIONS(2158),
    [anon_sym_LR_DQUOTE] = ACTIONS(2158),
    [anon_sym_uR_DQUOTE] = ACTIONS(2158),
    [anon_sym_UR_DQUOTE] = ACTIONS(2158),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2158),
    [anon_sym_co_await] = ACTIONS(2160),
    [anon_sym_new] = ACTIONS(2162),
    [anon_sym_requires] = ACTIONS(2164),
    [sym_this] = ACTIONS(2150),
  },
  [1987] = {
    [sym__expression] = STATE(4369),
    [sym__expression_not_binary] = STATE(4695),
    [sym__string] = STATE(4695),
    [sym_conditional_expression] = STATE(4695),
    [sym_assignment_expression] = STATE(4695),
    [sym_pointer_expression] = STATE(4695),
    [sym_unary_expression] = STATE(4695),
    [sym_binary_expression] = STATE(4695),
    [sym_update_expression] = STATE(4695),
    [sym_cast_expression] = STATE(4695),
    [sym_sizeof_expression] = STATE(4695),
    [sym_alignof_expression] = STATE(4695),
    [sym_offsetof_expression] = STATE(4695),
    [sym_generic_expression] = STATE(4695),
    [sym_subscript_expression] = STATE(4695),
    [sym_call_expression] = STATE(4695),
    [sym_gnu_asm_expression] = STATE(4695),
    [sym_field_expression] = STATE(4695),
    [sym_compound_literal_expression] = STATE(4695),
    [sym_parenthesized_expression] = STATE(4695),
    [sym_char_literal] = STATE(4427),
    [sym_concatenated_string] = STATE(4424),
    [sym_string_literal] = STATE(3398),
    [sym_null] = STATE(4695),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9425),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(4695),
    [sym_raw_string_literal] = STATE(3396),
    [sym_co_await_expression] = STATE(4695),
    [sym_new_expression] = STATE(4695),
    [sym_delete_expression] = STATE(4695),
    [sym_requires_clause] = STATE(4695),
    [sym_requires_expression] = STATE(4695),
    [sym_lambda_expression] = STATE(4695),
    [sym_lambda_capture_specifier] = STATE(7185),
    [sym_fold_expression] = STATE(4695),
    [sym_parameter_pack_expansion] = STATE(4695),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6899),
    [sym_qualified_identifier] = STATE(4695),
    [sym_qualified_type_identifier] = STATE(9425),
    [sym_user_defined_literal] = STATE(4695),
    [sym_identifier] = ACTIONS(4092),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5294),
    [anon_sym_LPAREN2] = ACTIONS(5296),
    [anon_sym_BANG] = ACTIONS(2532),
    [anon_sym_TILDE] = ACTIONS(2532),
    [anon_sym_DASH] = ACTIONS(2536),
    [anon_sym_PLUS] = ACTIONS(2536),
    [anon_sym_STAR] = ACTIONS(2116),
    [anon_sym_AMP] = ACTIONS(2116),
    [anon_sym_COLON_COLON] = ACTIONS(2542),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [sym_primitive_type] = ACTIONS(4096),
    [anon_sym_not] = ACTIONS(2536),
    [anon_sym_compl] = ACTIONS(2536),
    [anon_sym_DASH_DASH] = ACTIONS(2560),
    [anon_sym_PLUS_PLUS] = ACTIONS(2560),
    [anon_sym_sizeof] = ACTIONS(2562),
    [anon_sym___alignof__] = ACTIONS(2564),
    [anon_sym___alignof] = ACTIONS(2564),
    [anon_sym__alignof] = ACTIONS(2564),
    [anon_sym_alignof] = ACTIONS(2564),
    [anon_sym__Alignof] = ACTIONS(2564),
    [anon_sym_offsetof] = ACTIONS(2566),
    [anon_sym__Generic] = ACTIONS(2568),
    [anon_sym_asm] = ACTIONS(2570),
    [anon_sym___asm__] = ACTIONS(2570),
    [sym_number_literal] = ACTIONS(2572),
    [anon_sym_L_SQUOTE] = ACTIONS(2574),
    [anon_sym_u_SQUOTE] = ACTIONS(2574),
    [anon_sym_U_SQUOTE] = ACTIONS(2574),
    [anon_sym_u8_SQUOTE] = ACTIONS(2574),
    [anon_sym_SQUOTE] = ACTIONS(2574),
    [anon_sym_L_DQUOTE] = ACTIONS(2576),
    [anon_sym_u_DQUOTE] = ACTIONS(2576),
    [anon_sym_U_DQUOTE] = ACTIONS(2576),
    [anon_sym_u8_DQUOTE] = ACTIONS(2576),
    [anon_sym_DQUOTE] = ACTIONS(2576),
    [sym_true] = ACTIONS(2578),
    [sym_false] = ACTIONS(2578),
    [anon_sym_NULL] = ACTIONS(2580),
    [anon_sym_nullptr] = ACTIONS(2580),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(2590),
    [anon_sym_R_DQUOTE] = ACTIONS(2592),
    [anon_sym_LR_DQUOTE] = ACTIONS(2592),
    [anon_sym_uR_DQUOTE] = ACTIONS(2592),
    [anon_sym_UR_DQUOTE] = ACTIONS(2592),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2592),
    [anon_sym_co_await] = ACTIONS(2594),
    [anon_sym_new] = ACTIONS(2596),
    [anon_sym_requires] = ACTIONS(2598),
    [sym_this] = ACTIONS(2578),
  },
  [1988] = {
    [sym__expression] = STATE(3520),
    [sym__expression_not_binary] = STATE(3672),
    [sym__string] = STATE(3672),
    [sym_conditional_expression] = STATE(3672),
    [sym_assignment_expression] = STATE(3672),
    [sym_pointer_expression] = STATE(3672),
    [sym_unary_expression] = STATE(3672),
    [sym_binary_expression] = STATE(3672),
    [sym_update_expression] = STATE(3672),
    [sym_cast_expression] = STATE(3672),
    [sym_sizeof_expression] = STATE(3672),
    [sym_alignof_expression] = STATE(3672),
    [sym_offsetof_expression] = STATE(3672),
    [sym_generic_expression] = STATE(3672),
    [sym_subscript_expression] = STATE(3672),
    [sym_call_expression] = STATE(3672),
    [sym_gnu_asm_expression] = STATE(3672),
    [sym_field_expression] = STATE(3672),
    [sym_compound_literal_expression] = STATE(3672),
    [sym_parenthesized_expression] = STATE(3672),
    [sym_char_literal] = STATE(3991),
    [sym_concatenated_string] = STATE(3973),
    [sym_string_literal] = STATE(3242),
    [sym_null] = STATE(3672),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9333),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(3672),
    [sym_raw_string_literal] = STATE(3241),
    [sym_co_await_expression] = STATE(3672),
    [sym_new_expression] = STATE(3672),
    [sym_delete_expression] = STATE(3672),
    [sym_requires_clause] = STATE(3672),
    [sym_requires_expression] = STATE(3672),
    [sym_lambda_expression] = STATE(3672),
    [sym_lambda_capture_specifier] = STATE(7134),
    [sym_fold_expression] = STATE(3672),
    [sym_parameter_pack_expansion] = STATE(3672),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6886),
    [sym_qualified_identifier] = STATE(3672),
    [sym_qualified_type_identifier] = STATE(9333),
    [sym_user_defined_literal] = STATE(3672),
    [sym_identifier] = ACTIONS(3968),
    [anon_sym_LPAREN2] = ACTIONS(5219),
    [anon_sym_BANG] = ACTIONS(3972),
    [anon_sym_TILDE] = ACTIONS(3972),
    [anon_sym_DASH] = ACTIONS(3970),
    [anon_sym_PLUS] = ACTIONS(3970),
    [anon_sym_STAR] = ACTIONS(1474),
    [anon_sym_AMP] = ACTIONS(1474),
    [anon_sym_COLON_COLON] = ACTIONS(3974),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [anon_sym_RBRACK] = ACTIONS(5298),
    [sym_primitive_type] = ACTIONS(3928),
    [anon_sym_not] = ACTIONS(3970),
    [anon_sym_compl] = ACTIONS(3970),
    [anon_sym_DASH_DASH] = ACTIONS(4385),
    [anon_sym_PLUS_PLUS] = ACTIONS(4385),
    [anon_sym_sizeof] = ACTIONS(3976),
    [anon_sym___alignof__] = ACTIONS(3932),
    [anon_sym___alignof] = ACTIONS(3932),
    [anon_sym__alignof] = ACTIONS(3932),
    [anon_sym_alignof] = ACTIONS(3932),
    [anon_sym__Alignof] = ACTIONS(3932),
    [anon_sym_offsetof] = ACTIONS(3934),
    [anon_sym__Generic] = ACTIONS(3936),
    [anon_sym_asm] = ACTIONS(3938),
    [anon_sym___asm__] = ACTIONS(3938),
    [sym_number_literal] = ACTIONS(3978),
    [anon_sym_L_SQUOTE] = ACTIONS(3980),
    [anon_sym_u_SQUOTE] = ACTIONS(3980),
    [anon_sym_U_SQUOTE] = ACTIONS(3980),
    [anon_sym_u8_SQUOTE] = ACTIONS(3980),
    [anon_sym_SQUOTE] = ACTIONS(3980),
    [anon_sym_L_DQUOTE] = ACTIONS(3982),
    [anon_sym_u_DQUOTE] = ACTIONS(3982),
    [anon_sym_U_DQUOTE] = ACTIONS(3982),
    [anon_sym_u8_DQUOTE] = ACTIONS(3982),
    [anon_sym_DQUOTE] = ACTIONS(3982),
    [sym_true] = ACTIONS(3946),
    [sym_false] = ACTIONS(3946),
    [anon_sym_NULL] = ACTIONS(3948),
    [anon_sym_nullptr] = ACTIONS(3948),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(3984),
    [anon_sym_R_DQUOTE] = ACTIONS(3986),
    [anon_sym_LR_DQUOTE] = ACTIONS(3986),
    [anon_sym_uR_DQUOTE] = ACTIONS(3986),
    [anon_sym_UR_DQUOTE] = ACTIONS(3986),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3986),
    [anon_sym_co_await] = ACTIONS(3988),
    [anon_sym_new] = ACTIONS(3990),
    [anon_sym_requires] = ACTIONS(3958),
    [sym_this] = ACTIONS(3946),
  },
  [1989] = {
    [sym__expression] = STATE(3520),
    [sym__expression_not_binary] = STATE(3672),
    [sym__string] = STATE(3672),
    [sym_conditional_expression] = STATE(3672),
    [sym_assignment_expression] = STATE(3672),
    [sym_pointer_expression] = STATE(3672),
    [sym_unary_expression] = STATE(3672),
    [sym_binary_expression] = STATE(3672),
    [sym_update_expression] = STATE(3672),
    [sym_cast_expression] = STATE(3672),
    [sym_sizeof_expression] = STATE(3672),
    [sym_alignof_expression] = STATE(3672),
    [sym_offsetof_expression] = STATE(3672),
    [sym_generic_expression] = STATE(3672),
    [sym_subscript_expression] = STATE(3672),
    [sym_call_expression] = STATE(3672),
    [sym_gnu_asm_expression] = STATE(3672),
    [sym_field_expression] = STATE(3672),
    [sym_compound_literal_expression] = STATE(3672),
    [sym_parenthesized_expression] = STATE(3672),
    [sym_char_literal] = STATE(3991),
    [sym_concatenated_string] = STATE(3973),
    [sym_string_literal] = STATE(3242),
    [sym_null] = STATE(3672),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9333),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(3672),
    [sym_raw_string_literal] = STATE(3241),
    [sym_co_await_expression] = STATE(3672),
    [sym_new_expression] = STATE(3672),
    [sym_delete_expression] = STATE(3672),
    [sym_requires_clause] = STATE(3672),
    [sym_requires_expression] = STATE(3672),
    [sym_lambda_expression] = STATE(3672),
    [sym_lambda_capture_specifier] = STATE(7134),
    [sym_fold_expression] = STATE(3672),
    [sym_parameter_pack_expansion] = STATE(3672),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6886),
    [sym_qualified_identifier] = STATE(3672),
    [sym_qualified_type_identifier] = STATE(9333),
    [sym_user_defined_literal] = STATE(3672),
    [sym_identifier] = ACTIONS(3968),
    [anon_sym_LPAREN2] = ACTIONS(5219),
    [anon_sym_BANG] = ACTIONS(3972),
    [anon_sym_TILDE] = ACTIONS(3972),
    [anon_sym_DASH] = ACTIONS(3970),
    [anon_sym_PLUS] = ACTIONS(3970),
    [anon_sym_STAR] = ACTIONS(1474),
    [anon_sym_AMP] = ACTIONS(1474),
    [anon_sym_COLON_COLON] = ACTIONS(3974),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [anon_sym_RBRACK] = ACTIONS(5300),
    [sym_primitive_type] = ACTIONS(3928),
    [anon_sym_not] = ACTIONS(3970),
    [anon_sym_compl] = ACTIONS(3970),
    [anon_sym_DASH_DASH] = ACTIONS(4385),
    [anon_sym_PLUS_PLUS] = ACTIONS(4385),
    [anon_sym_sizeof] = ACTIONS(3976),
    [anon_sym___alignof__] = ACTIONS(3932),
    [anon_sym___alignof] = ACTIONS(3932),
    [anon_sym__alignof] = ACTIONS(3932),
    [anon_sym_alignof] = ACTIONS(3932),
    [anon_sym__Alignof] = ACTIONS(3932),
    [anon_sym_offsetof] = ACTIONS(3934),
    [anon_sym__Generic] = ACTIONS(3936),
    [anon_sym_asm] = ACTIONS(3938),
    [anon_sym___asm__] = ACTIONS(3938),
    [sym_number_literal] = ACTIONS(3978),
    [anon_sym_L_SQUOTE] = ACTIONS(3980),
    [anon_sym_u_SQUOTE] = ACTIONS(3980),
    [anon_sym_U_SQUOTE] = ACTIONS(3980),
    [anon_sym_u8_SQUOTE] = ACTIONS(3980),
    [anon_sym_SQUOTE] = ACTIONS(3980),
    [anon_sym_L_DQUOTE] = ACTIONS(3982),
    [anon_sym_u_DQUOTE] = ACTIONS(3982),
    [anon_sym_U_DQUOTE] = ACTIONS(3982),
    [anon_sym_u8_DQUOTE] = ACTIONS(3982),
    [anon_sym_DQUOTE] = ACTIONS(3982),
    [sym_true] = ACTIONS(3946),
    [sym_false] = ACTIONS(3946),
    [anon_sym_NULL] = ACTIONS(3948),
    [anon_sym_nullptr] = ACTIONS(3948),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(3984),
    [anon_sym_R_DQUOTE] = ACTIONS(3986),
    [anon_sym_LR_DQUOTE] = ACTIONS(3986),
    [anon_sym_uR_DQUOTE] = ACTIONS(3986),
    [anon_sym_UR_DQUOTE] = ACTIONS(3986),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3986),
    [anon_sym_co_await] = ACTIONS(3988),
    [anon_sym_new] = ACTIONS(3990),
    [anon_sym_requires] = ACTIONS(3958),
    [sym_this] = ACTIONS(3946),
  },
  [1990] = {
    [sym__expression] = STATE(3520),
    [sym__expression_not_binary] = STATE(3672),
    [sym__string] = STATE(3672),
    [sym_conditional_expression] = STATE(3672),
    [sym_assignment_expression] = STATE(3672),
    [sym_pointer_expression] = STATE(3672),
    [sym_unary_expression] = STATE(3672),
    [sym_binary_expression] = STATE(3672),
    [sym_update_expression] = STATE(3672),
    [sym_cast_expression] = STATE(3672),
    [sym_sizeof_expression] = STATE(3672),
    [sym_alignof_expression] = STATE(3672),
    [sym_offsetof_expression] = STATE(3672),
    [sym_generic_expression] = STATE(3672),
    [sym_subscript_expression] = STATE(3672),
    [sym_call_expression] = STATE(3672),
    [sym_gnu_asm_expression] = STATE(3672),
    [sym_field_expression] = STATE(3672),
    [sym_compound_literal_expression] = STATE(3672),
    [sym_parenthesized_expression] = STATE(3672),
    [sym_char_literal] = STATE(3991),
    [sym_concatenated_string] = STATE(3973),
    [sym_string_literal] = STATE(3242),
    [sym_null] = STATE(3672),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9333),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(3672),
    [sym_raw_string_literal] = STATE(3241),
    [sym_co_await_expression] = STATE(3672),
    [sym_new_expression] = STATE(3672),
    [sym_delete_expression] = STATE(3672),
    [sym_requires_clause] = STATE(3672),
    [sym_requires_expression] = STATE(3672),
    [sym_lambda_expression] = STATE(3672),
    [sym_lambda_capture_specifier] = STATE(7134),
    [sym_fold_expression] = STATE(3672),
    [sym_parameter_pack_expansion] = STATE(3672),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6886),
    [sym_qualified_identifier] = STATE(3672),
    [sym_qualified_type_identifier] = STATE(9333),
    [sym_user_defined_literal] = STATE(3672),
    [sym_identifier] = ACTIONS(3968),
    [anon_sym_LPAREN2] = ACTIONS(5219),
    [anon_sym_BANG] = ACTIONS(3972),
    [anon_sym_TILDE] = ACTIONS(3972),
    [anon_sym_DASH] = ACTIONS(3970),
    [anon_sym_PLUS] = ACTIONS(3970),
    [anon_sym_STAR] = ACTIONS(1474),
    [anon_sym_AMP] = ACTIONS(1474),
    [anon_sym_COLON_COLON] = ACTIONS(3974),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [anon_sym_RBRACK] = ACTIONS(5302),
    [sym_primitive_type] = ACTIONS(3928),
    [anon_sym_not] = ACTIONS(3970),
    [anon_sym_compl] = ACTIONS(3970),
    [anon_sym_DASH_DASH] = ACTIONS(4385),
    [anon_sym_PLUS_PLUS] = ACTIONS(4385),
    [anon_sym_sizeof] = ACTIONS(3976),
    [anon_sym___alignof__] = ACTIONS(3932),
    [anon_sym___alignof] = ACTIONS(3932),
    [anon_sym__alignof] = ACTIONS(3932),
    [anon_sym_alignof] = ACTIONS(3932),
    [anon_sym__Alignof] = ACTIONS(3932),
    [anon_sym_offsetof] = ACTIONS(3934),
    [anon_sym__Generic] = ACTIONS(3936),
    [anon_sym_asm] = ACTIONS(3938),
    [anon_sym___asm__] = ACTIONS(3938),
    [sym_number_literal] = ACTIONS(3978),
    [anon_sym_L_SQUOTE] = ACTIONS(3980),
    [anon_sym_u_SQUOTE] = ACTIONS(3980),
    [anon_sym_U_SQUOTE] = ACTIONS(3980),
    [anon_sym_u8_SQUOTE] = ACTIONS(3980),
    [anon_sym_SQUOTE] = ACTIONS(3980),
    [anon_sym_L_DQUOTE] = ACTIONS(3982),
    [anon_sym_u_DQUOTE] = ACTIONS(3982),
    [anon_sym_U_DQUOTE] = ACTIONS(3982),
    [anon_sym_u8_DQUOTE] = ACTIONS(3982),
    [anon_sym_DQUOTE] = ACTIONS(3982),
    [sym_true] = ACTIONS(3946),
    [sym_false] = ACTIONS(3946),
    [anon_sym_NULL] = ACTIONS(3948),
    [anon_sym_nullptr] = ACTIONS(3948),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(3984),
    [anon_sym_R_DQUOTE] = ACTIONS(3986),
    [anon_sym_LR_DQUOTE] = ACTIONS(3986),
    [anon_sym_uR_DQUOTE] = ACTIONS(3986),
    [anon_sym_UR_DQUOTE] = ACTIONS(3986),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3986),
    [anon_sym_co_await] = ACTIONS(3988),
    [anon_sym_new] = ACTIONS(3990),
    [anon_sym_requires] = ACTIONS(3958),
    [sym_this] = ACTIONS(3946),
  },
  [1991] = {
    [sym__expression] = STATE(5924),
    [sym__expression_not_binary] = STATE(5024),
    [sym__string] = STATE(5024),
    [sym_conditional_expression] = STATE(5024),
    [sym_assignment_expression] = STATE(5024),
    [sym_pointer_expression] = STATE(4507),
    [sym_unary_expression] = STATE(5024),
    [sym_binary_expression] = STATE(5024),
    [sym_update_expression] = STATE(5024),
    [sym_cast_expression] = STATE(5024),
    [sym_sizeof_expression] = STATE(5024),
    [sym_alignof_expression] = STATE(5024),
    [sym_offsetof_expression] = STATE(5024),
    [sym_generic_expression] = STATE(5024),
    [sym_subscript_expression] = STATE(4507),
    [sym_call_expression] = STATE(4507),
    [sym_gnu_asm_expression] = STATE(5024),
    [sym_field_expression] = STATE(4507),
    [sym_compound_literal_expression] = STATE(5024),
    [sym_parenthesized_expression] = STATE(4507),
    [sym_char_literal] = STATE(5374),
    [sym_concatenated_string] = STATE(5377),
    [sym_string_literal] = STATE(4206),
    [sym_null] = STATE(5024),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9352),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(5024),
    [sym_raw_string_literal] = STATE(4217),
    [sym_co_await_expression] = STATE(5024),
    [sym_new_expression] = STATE(5024),
    [sym_delete_expression] = STATE(5024),
    [sym_requires_clause] = STATE(5024),
    [sym_requires_expression] = STATE(5024),
    [sym_lambda_expression] = STATE(5024),
    [sym_lambda_capture_specifier] = STATE(7184),
    [sym_fold_expression] = STATE(5024),
    [sym_parameter_pack_expansion] = STATE(5024),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6886),
    [sym_qualified_identifier] = STATE(4507),
    [sym_qualified_type_identifier] = STATE(9352),
    [sym_user_defined_literal] = STATE(4507),
    [sym_identifier] = ACTIONS(3140),
    [anon_sym_LPAREN2] = ACTIONS(1472),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1474),
    [anon_sym_AMP] = ACTIONS(1474),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [sym_primitive_type] = ACTIONS(3146),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5304),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [1992] = {
    [sym__expression] = STATE(4330),
    [sym__expression_not_binary] = STATE(4695),
    [sym__string] = STATE(4695),
    [sym_conditional_expression] = STATE(4695),
    [sym_assignment_expression] = STATE(4695),
    [sym_pointer_expression] = STATE(4695),
    [sym_unary_expression] = STATE(4695),
    [sym_binary_expression] = STATE(4695),
    [sym_update_expression] = STATE(4695),
    [sym_cast_expression] = STATE(4695),
    [sym_sizeof_expression] = STATE(4695),
    [sym_alignof_expression] = STATE(4695),
    [sym_offsetof_expression] = STATE(4695),
    [sym_generic_expression] = STATE(4695),
    [sym_subscript_expression] = STATE(4695),
    [sym_call_expression] = STATE(4695),
    [sym_gnu_asm_expression] = STATE(4695),
    [sym_field_expression] = STATE(4695),
    [sym_compound_literal_expression] = STATE(4695),
    [sym_parenthesized_expression] = STATE(4695),
    [sym_char_literal] = STATE(4427),
    [sym_concatenated_string] = STATE(4424),
    [sym_string_literal] = STATE(3398),
    [sym_null] = STATE(4695),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9425),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(4695),
    [sym_raw_string_literal] = STATE(3396),
    [sym_co_await_expression] = STATE(4695),
    [sym_new_expression] = STATE(4695),
    [sym_delete_expression] = STATE(4695),
    [sym_requires_clause] = STATE(4695),
    [sym_requires_expression] = STATE(4695),
    [sym_lambda_expression] = STATE(4695),
    [sym_lambda_capture_specifier] = STATE(7185),
    [sym_fold_expression] = STATE(4695),
    [sym_parameter_pack_expansion] = STATE(4695),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6899),
    [sym_qualified_identifier] = STATE(4695),
    [sym_qualified_type_identifier] = STATE(9425),
    [sym_user_defined_literal] = STATE(4695),
    [sym_identifier] = ACTIONS(4092),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5306),
    [anon_sym_LPAREN2] = ACTIONS(4188),
    [anon_sym_BANG] = ACTIONS(2532),
    [anon_sym_TILDE] = ACTIONS(2532),
    [anon_sym_DASH] = ACTIONS(2536),
    [anon_sym_PLUS] = ACTIONS(2536),
    [anon_sym_STAR] = ACTIONS(2116),
    [anon_sym_AMP] = ACTIONS(2116),
    [anon_sym_COLON_COLON] = ACTIONS(2542),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [sym_primitive_type] = ACTIONS(4096),
    [anon_sym_not] = ACTIONS(2536),
    [anon_sym_compl] = ACTIONS(2536),
    [anon_sym_DASH_DASH] = ACTIONS(2560),
    [anon_sym_PLUS_PLUS] = ACTIONS(2560),
    [anon_sym_sizeof] = ACTIONS(2562),
    [anon_sym___alignof__] = ACTIONS(2564),
    [anon_sym___alignof] = ACTIONS(2564),
    [anon_sym__alignof] = ACTIONS(2564),
    [anon_sym_alignof] = ACTIONS(2564),
    [anon_sym__Alignof] = ACTIONS(2564),
    [anon_sym_offsetof] = ACTIONS(2566),
    [anon_sym__Generic] = ACTIONS(2568),
    [anon_sym_asm] = ACTIONS(2570),
    [anon_sym___asm__] = ACTIONS(2570),
    [sym_number_literal] = ACTIONS(2572),
    [anon_sym_L_SQUOTE] = ACTIONS(2574),
    [anon_sym_u_SQUOTE] = ACTIONS(2574),
    [anon_sym_U_SQUOTE] = ACTIONS(2574),
    [anon_sym_u8_SQUOTE] = ACTIONS(2574),
    [anon_sym_SQUOTE] = ACTIONS(2574),
    [anon_sym_L_DQUOTE] = ACTIONS(2576),
    [anon_sym_u_DQUOTE] = ACTIONS(2576),
    [anon_sym_U_DQUOTE] = ACTIONS(2576),
    [anon_sym_u8_DQUOTE] = ACTIONS(2576),
    [anon_sym_DQUOTE] = ACTIONS(2576),
    [sym_true] = ACTIONS(2578),
    [sym_false] = ACTIONS(2578),
    [anon_sym_NULL] = ACTIONS(2580),
    [anon_sym_nullptr] = ACTIONS(2580),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(2590),
    [anon_sym_R_DQUOTE] = ACTIONS(2592),
    [anon_sym_LR_DQUOTE] = ACTIONS(2592),
    [anon_sym_uR_DQUOTE] = ACTIONS(2592),
    [anon_sym_UR_DQUOTE] = ACTIONS(2592),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2592),
    [anon_sym_co_await] = ACTIONS(2594),
    [anon_sym_new] = ACTIONS(2596),
    [anon_sym_requires] = ACTIONS(2598),
    [sym_this] = ACTIONS(2578),
  },
  [1993] = {
    [sym__expression] = STATE(5887),
    [sym__expression_not_binary] = STATE(5024),
    [sym__string] = STATE(5024),
    [sym_conditional_expression] = STATE(5024),
    [sym_assignment_expression] = STATE(5024),
    [sym_pointer_expression] = STATE(4507),
    [sym_unary_expression] = STATE(5024),
    [sym_binary_expression] = STATE(5024),
    [sym_update_expression] = STATE(5024),
    [sym_cast_expression] = STATE(5024),
    [sym_sizeof_expression] = STATE(5024),
    [sym_alignof_expression] = STATE(5024),
    [sym_offsetof_expression] = STATE(5024),
    [sym_generic_expression] = STATE(5024),
    [sym_subscript_expression] = STATE(4507),
    [sym_call_expression] = STATE(4507),
    [sym_gnu_asm_expression] = STATE(5024),
    [sym_field_expression] = STATE(4507),
    [sym_compound_literal_expression] = STATE(5024),
    [sym_parenthesized_expression] = STATE(4507),
    [sym_char_literal] = STATE(5374),
    [sym_concatenated_string] = STATE(5377),
    [sym_string_literal] = STATE(4206),
    [sym_null] = STATE(5024),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9352),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(5024),
    [sym_raw_string_literal] = STATE(4217),
    [sym_co_await_expression] = STATE(5024),
    [sym_new_expression] = STATE(5024),
    [sym_delete_expression] = STATE(5024),
    [sym_requires_clause] = STATE(5024),
    [sym_requires_expression] = STATE(5024),
    [sym_lambda_expression] = STATE(5024),
    [sym_lambda_capture_specifier] = STATE(7184),
    [sym_fold_expression] = STATE(5024),
    [sym_parameter_pack_expansion] = STATE(5024),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6886),
    [sym_qualified_identifier] = STATE(4507),
    [sym_qualified_type_identifier] = STATE(9352),
    [sym_user_defined_literal] = STATE(4507),
    [sym_identifier] = ACTIONS(3140),
    [anon_sym_LPAREN2] = ACTIONS(1472),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1474),
    [anon_sym_AMP] = ACTIONS(1474),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [sym_primitive_type] = ACTIONS(3146),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5309),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [1994] = {
    [sym__expression] = STATE(4329),
    [sym__expression_not_binary] = STATE(4695),
    [sym__string] = STATE(4695),
    [sym_conditional_expression] = STATE(4695),
    [sym_assignment_expression] = STATE(4695),
    [sym_pointer_expression] = STATE(4695),
    [sym_unary_expression] = STATE(4695),
    [sym_binary_expression] = STATE(4695),
    [sym_update_expression] = STATE(4695),
    [sym_cast_expression] = STATE(4695),
    [sym_sizeof_expression] = STATE(4695),
    [sym_alignof_expression] = STATE(4695),
    [sym_offsetof_expression] = STATE(4695),
    [sym_generic_expression] = STATE(4695),
    [sym_subscript_expression] = STATE(4695),
    [sym_call_expression] = STATE(4695),
    [sym_gnu_asm_expression] = STATE(4695),
    [sym_field_expression] = STATE(4695),
    [sym_compound_literal_expression] = STATE(4695),
    [sym_parenthesized_expression] = STATE(4695),
    [sym_char_literal] = STATE(4427),
    [sym_concatenated_string] = STATE(4424),
    [sym_string_literal] = STATE(3398),
    [sym_null] = STATE(4695),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9425),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(4695),
    [sym_raw_string_literal] = STATE(3396),
    [sym_co_await_expression] = STATE(4695),
    [sym_new_expression] = STATE(4695),
    [sym_delete_expression] = STATE(4695),
    [sym_requires_clause] = STATE(4695),
    [sym_requires_expression] = STATE(4695),
    [sym_lambda_expression] = STATE(4695),
    [sym_lambda_capture_specifier] = STATE(7185),
    [sym_fold_expression] = STATE(4695),
    [sym_parameter_pack_expansion] = STATE(4695),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6899),
    [sym_qualified_identifier] = STATE(4695),
    [sym_qualified_type_identifier] = STATE(9425),
    [sym_user_defined_literal] = STATE(4695),
    [sym_identifier] = ACTIONS(4092),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5311),
    [anon_sym_LPAREN2] = ACTIONS(4188),
    [anon_sym_BANG] = ACTIONS(2532),
    [anon_sym_TILDE] = ACTIONS(2532),
    [anon_sym_DASH] = ACTIONS(2536),
    [anon_sym_PLUS] = ACTIONS(2536),
    [anon_sym_STAR] = ACTIONS(2116),
    [anon_sym_AMP] = ACTIONS(2116),
    [anon_sym_COLON_COLON] = ACTIONS(2542),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [sym_primitive_type] = ACTIONS(4096),
    [anon_sym_not] = ACTIONS(2536),
    [anon_sym_compl] = ACTIONS(2536),
    [anon_sym_DASH_DASH] = ACTIONS(2560),
    [anon_sym_PLUS_PLUS] = ACTIONS(2560),
    [anon_sym_sizeof] = ACTIONS(2562),
    [anon_sym___alignof__] = ACTIONS(2564),
    [anon_sym___alignof] = ACTIONS(2564),
    [anon_sym__alignof] = ACTIONS(2564),
    [anon_sym_alignof] = ACTIONS(2564),
    [anon_sym__Alignof] = ACTIONS(2564),
    [anon_sym_offsetof] = ACTIONS(2566),
    [anon_sym__Generic] = ACTIONS(2568),
    [anon_sym_asm] = ACTIONS(2570),
    [anon_sym___asm__] = ACTIONS(2570),
    [sym_number_literal] = ACTIONS(2572),
    [anon_sym_L_SQUOTE] = ACTIONS(2574),
    [anon_sym_u_SQUOTE] = ACTIONS(2574),
    [anon_sym_U_SQUOTE] = ACTIONS(2574),
    [anon_sym_u8_SQUOTE] = ACTIONS(2574),
    [anon_sym_SQUOTE] = ACTIONS(2574),
    [anon_sym_L_DQUOTE] = ACTIONS(2576),
    [anon_sym_u_DQUOTE] = ACTIONS(2576),
    [anon_sym_U_DQUOTE] = ACTIONS(2576),
    [anon_sym_u8_DQUOTE] = ACTIONS(2576),
    [anon_sym_DQUOTE] = ACTIONS(2576),
    [sym_true] = ACTIONS(2578),
    [sym_false] = ACTIONS(2578),
    [anon_sym_NULL] = ACTIONS(2580),
    [anon_sym_nullptr] = ACTIONS(2580),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(2590),
    [anon_sym_R_DQUOTE] = ACTIONS(2592),
    [anon_sym_LR_DQUOTE] = ACTIONS(2592),
    [anon_sym_uR_DQUOTE] = ACTIONS(2592),
    [anon_sym_UR_DQUOTE] = ACTIONS(2592),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2592),
    [anon_sym_co_await] = ACTIONS(2594),
    [anon_sym_new] = ACTIONS(2596),
    [anon_sym_requires] = ACTIONS(2598),
    [sym_this] = ACTIONS(2578),
  },
  [1995] = {
    [sym__expression] = STATE(5887),
    [sym__expression_not_binary] = STATE(5024),
    [sym__string] = STATE(5024),
    [sym_conditional_expression] = STATE(5024),
    [sym_assignment_expression] = STATE(5024),
    [sym_pointer_expression] = STATE(4507),
    [sym_unary_expression] = STATE(5024),
    [sym_binary_expression] = STATE(5024),
    [sym_update_expression] = STATE(5024),
    [sym_cast_expression] = STATE(5024),
    [sym_sizeof_expression] = STATE(5024),
    [sym_alignof_expression] = STATE(5024),
    [sym_offsetof_expression] = STATE(5024),
    [sym_generic_expression] = STATE(5024),
    [sym_subscript_expression] = STATE(4507),
    [sym_call_expression] = STATE(4507),
    [sym_gnu_asm_expression] = STATE(5024),
    [sym_field_expression] = STATE(4507),
    [sym_compound_literal_expression] = STATE(5024),
    [sym_parenthesized_expression] = STATE(4507),
    [sym_char_literal] = STATE(5374),
    [sym_concatenated_string] = STATE(5377),
    [sym_string_literal] = STATE(4206),
    [sym_null] = STATE(5024),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9352),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(5024),
    [sym_raw_string_literal] = STATE(4217),
    [sym_co_await_expression] = STATE(5024),
    [sym_new_expression] = STATE(5024),
    [sym_delete_expression] = STATE(5024),
    [sym_requires_clause] = STATE(5024),
    [sym_requires_expression] = STATE(5024),
    [sym_lambda_expression] = STATE(5024),
    [sym_lambda_capture_specifier] = STATE(7184),
    [sym_fold_expression] = STATE(5024),
    [sym_parameter_pack_expansion] = STATE(5024),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6886),
    [sym_qualified_identifier] = STATE(4507),
    [sym_qualified_type_identifier] = STATE(9352),
    [sym_user_defined_literal] = STATE(4507),
    [sym_identifier] = ACTIONS(3140),
    [anon_sym_LPAREN2] = ACTIONS(1472),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1474),
    [anon_sym_AMP] = ACTIONS(1474),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [sym_primitive_type] = ACTIONS(3146),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5314),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [1996] = {
    [sym__expression] = STATE(5815),
    [sym__expression_not_binary] = STATE(5024),
    [sym__string] = STATE(5024),
    [sym_conditional_expression] = STATE(5024),
    [sym_assignment_expression] = STATE(5024),
    [sym_pointer_expression] = STATE(4507),
    [sym_unary_expression] = STATE(5024),
    [sym_binary_expression] = STATE(5024),
    [sym_update_expression] = STATE(5024),
    [sym_cast_expression] = STATE(5024),
    [sym_sizeof_expression] = STATE(5024),
    [sym_alignof_expression] = STATE(5024),
    [sym_offsetof_expression] = STATE(5024),
    [sym_generic_expression] = STATE(5024),
    [sym_subscript_expression] = STATE(4507),
    [sym_call_expression] = STATE(4507),
    [sym_gnu_asm_expression] = STATE(5024),
    [sym_field_expression] = STATE(4507),
    [sym_compound_literal_expression] = STATE(5024),
    [sym_parenthesized_expression] = STATE(4507),
    [sym_char_literal] = STATE(5374),
    [sym_concatenated_string] = STATE(5377),
    [sym_string_literal] = STATE(4206),
    [sym_null] = STATE(5024),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9352),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(5024),
    [sym_raw_string_literal] = STATE(4217),
    [sym_co_await_expression] = STATE(5024),
    [sym_new_expression] = STATE(5024),
    [sym_delete_expression] = STATE(5024),
    [sym_requires_clause] = STATE(5024),
    [sym_requires_expression] = STATE(5024),
    [sym_lambda_expression] = STATE(5024),
    [sym_lambda_capture_specifier] = STATE(7184),
    [sym_fold_expression] = STATE(5024),
    [sym_parameter_pack_expansion] = STATE(5024),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6886),
    [sym_qualified_identifier] = STATE(4507),
    [sym_qualified_type_identifier] = STATE(9352),
    [sym_user_defined_literal] = STATE(4507),
    [sym_identifier] = ACTIONS(3140),
    [anon_sym_LPAREN2] = ACTIONS(1472),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1474),
    [anon_sym_AMP] = ACTIONS(1474),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [sym_primitive_type] = ACTIONS(3146),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5316),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [1997] = {
    [sym__expression] = STATE(4326),
    [sym__expression_not_binary] = STATE(4695),
    [sym__string] = STATE(4695),
    [sym_conditional_expression] = STATE(4695),
    [sym_assignment_expression] = STATE(4695),
    [sym_pointer_expression] = STATE(4695),
    [sym_unary_expression] = STATE(4695),
    [sym_binary_expression] = STATE(4695),
    [sym_update_expression] = STATE(4695),
    [sym_cast_expression] = STATE(4695),
    [sym_sizeof_expression] = STATE(4695),
    [sym_alignof_expression] = STATE(4695),
    [sym_offsetof_expression] = STATE(4695),
    [sym_generic_expression] = STATE(4695),
    [sym_subscript_expression] = STATE(4695),
    [sym_call_expression] = STATE(4695),
    [sym_gnu_asm_expression] = STATE(4695),
    [sym_field_expression] = STATE(4695),
    [sym_compound_literal_expression] = STATE(4695),
    [sym_parenthesized_expression] = STATE(4695),
    [sym_char_literal] = STATE(4427),
    [sym_concatenated_string] = STATE(4424),
    [sym_string_literal] = STATE(3398),
    [sym_null] = STATE(4695),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9425),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(4695),
    [sym_raw_string_literal] = STATE(3396),
    [sym_co_await_expression] = STATE(4695),
    [sym_new_expression] = STATE(4695),
    [sym_delete_expression] = STATE(4695),
    [sym_requires_clause] = STATE(4695),
    [sym_requires_expression] = STATE(4695),
    [sym_lambda_expression] = STATE(4695),
    [sym_lambda_capture_specifier] = STATE(7185),
    [sym_fold_expression] = STATE(4695),
    [sym_parameter_pack_expansion] = STATE(4695),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6899),
    [sym_qualified_identifier] = STATE(4695),
    [sym_qualified_type_identifier] = STATE(9425),
    [sym_user_defined_literal] = STATE(4695),
    [sym_identifier] = ACTIONS(4092),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5291),
    [anon_sym_LPAREN2] = ACTIONS(4188),
    [anon_sym_BANG] = ACTIONS(2532),
    [anon_sym_TILDE] = ACTIONS(2532),
    [anon_sym_DASH] = ACTIONS(2536),
    [anon_sym_PLUS] = ACTIONS(2536),
    [anon_sym_STAR] = ACTIONS(2116),
    [anon_sym_AMP] = ACTIONS(2116),
    [anon_sym_COLON_COLON] = ACTIONS(2542),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [sym_primitive_type] = ACTIONS(4096),
    [anon_sym_not] = ACTIONS(2536),
    [anon_sym_compl] = ACTIONS(2536),
    [anon_sym_DASH_DASH] = ACTIONS(2560),
    [anon_sym_PLUS_PLUS] = ACTIONS(2560),
    [anon_sym_sizeof] = ACTIONS(2562),
    [anon_sym___alignof__] = ACTIONS(2564),
    [anon_sym___alignof] = ACTIONS(2564),
    [anon_sym__alignof] = ACTIONS(2564),
    [anon_sym_alignof] = ACTIONS(2564),
    [anon_sym__Alignof] = ACTIONS(2564),
    [anon_sym_offsetof] = ACTIONS(2566),
    [anon_sym__Generic] = ACTIONS(2568),
    [anon_sym_asm] = ACTIONS(2570),
    [anon_sym___asm__] = ACTIONS(2570),
    [sym_number_literal] = ACTIONS(2572),
    [anon_sym_L_SQUOTE] = ACTIONS(2574),
    [anon_sym_u_SQUOTE] = ACTIONS(2574),
    [anon_sym_U_SQUOTE] = ACTIONS(2574),
    [anon_sym_u8_SQUOTE] = ACTIONS(2574),
    [anon_sym_SQUOTE] = ACTIONS(2574),
    [anon_sym_L_DQUOTE] = ACTIONS(2576),
    [anon_sym_u_DQUOTE] = ACTIONS(2576),
    [anon_sym_U_DQUOTE] = ACTIONS(2576),
    [anon_sym_u8_DQUOTE] = ACTIONS(2576),
    [anon_sym_DQUOTE] = ACTIONS(2576),
    [sym_true] = ACTIONS(2578),
    [sym_false] = ACTIONS(2578),
    [anon_sym_NULL] = ACTIONS(2580),
    [anon_sym_nullptr] = ACTIONS(2580),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(2590),
    [anon_sym_R_DQUOTE] = ACTIONS(2592),
    [anon_sym_LR_DQUOTE] = ACTIONS(2592),
    [anon_sym_uR_DQUOTE] = ACTIONS(2592),
    [anon_sym_UR_DQUOTE] = ACTIONS(2592),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2592),
    [anon_sym_co_await] = ACTIONS(2594),
    [anon_sym_new] = ACTIONS(2596),
    [anon_sym_requires] = ACTIONS(2598),
    [sym_this] = ACTIONS(2578),
  },
  [1998] = {
    [sym__expression] = STATE(3520),
    [sym__expression_not_binary] = STATE(3672),
    [sym__string] = STATE(3672),
    [sym_conditional_expression] = STATE(3672),
    [sym_assignment_expression] = STATE(3672),
    [sym_pointer_expression] = STATE(3672),
    [sym_unary_expression] = STATE(3672),
    [sym_binary_expression] = STATE(3672),
    [sym_update_expression] = STATE(3672),
    [sym_cast_expression] = STATE(3672),
    [sym_sizeof_expression] = STATE(3672),
    [sym_alignof_expression] = STATE(3672),
    [sym_offsetof_expression] = STATE(3672),
    [sym_generic_expression] = STATE(3672),
    [sym_subscript_expression] = STATE(3672),
    [sym_call_expression] = STATE(3672),
    [sym_gnu_asm_expression] = STATE(3672),
    [sym_field_expression] = STATE(3672),
    [sym_compound_literal_expression] = STATE(3672),
    [sym_parenthesized_expression] = STATE(3672),
    [sym_char_literal] = STATE(3991),
    [sym_concatenated_string] = STATE(3973),
    [sym_string_literal] = STATE(3242),
    [sym_null] = STATE(3672),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9333),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(3672),
    [sym_raw_string_literal] = STATE(3241),
    [sym_co_await_expression] = STATE(3672),
    [sym_new_expression] = STATE(3672),
    [sym_delete_expression] = STATE(3672),
    [sym_requires_clause] = STATE(3672),
    [sym_requires_expression] = STATE(3672),
    [sym_lambda_expression] = STATE(3672),
    [sym_lambda_capture_specifier] = STATE(7134),
    [sym_fold_expression] = STATE(3672),
    [sym_parameter_pack_expansion] = STATE(3672),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6886),
    [sym_qualified_identifier] = STATE(3672),
    [sym_qualified_type_identifier] = STATE(9333),
    [sym_user_defined_literal] = STATE(3672),
    [sym_identifier] = ACTIONS(3968),
    [anon_sym_LPAREN2] = ACTIONS(5219),
    [anon_sym_BANG] = ACTIONS(3972),
    [anon_sym_TILDE] = ACTIONS(3972),
    [anon_sym_DASH] = ACTIONS(3970),
    [anon_sym_PLUS] = ACTIONS(3970),
    [anon_sym_STAR] = ACTIONS(1474),
    [anon_sym_AMP] = ACTIONS(1474),
    [anon_sym_COLON_COLON] = ACTIONS(3974),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [anon_sym_RBRACK] = ACTIONS(5318),
    [sym_primitive_type] = ACTIONS(3928),
    [anon_sym_not] = ACTIONS(3970),
    [anon_sym_compl] = ACTIONS(3970),
    [anon_sym_DASH_DASH] = ACTIONS(4385),
    [anon_sym_PLUS_PLUS] = ACTIONS(4385),
    [anon_sym_sizeof] = ACTIONS(3976),
    [anon_sym___alignof__] = ACTIONS(3932),
    [anon_sym___alignof] = ACTIONS(3932),
    [anon_sym__alignof] = ACTIONS(3932),
    [anon_sym_alignof] = ACTIONS(3932),
    [anon_sym__Alignof] = ACTIONS(3932),
    [anon_sym_offsetof] = ACTIONS(3934),
    [anon_sym__Generic] = ACTIONS(3936),
    [anon_sym_asm] = ACTIONS(3938),
    [anon_sym___asm__] = ACTIONS(3938),
    [sym_number_literal] = ACTIONS(3978),
    [anon_sym_L_SQUOTE] = ACTIONS(3980),
    [anon_sym_u_SQUOTE] = ACTIONS(3980),
    [anon_sym_U_SQUOTE] = ACTIONS(3980),
    [anon_sym_u8_SQUOTE] = ACTIONS(3980),
    [anon_sym_SQUOTE] = ACTIONS(3980),
    [anon_sym_L_DQUOTE] = ACTIONS(3982),
    [anon_sym_u_DQUOTE] = ACTIONS(3982),
    [anon_sym_U_DQUOTE] = ACTIONS(3982),
    [anon_sym_u8_DQUOTE] = ACTIONS(3982),
    [anon_sym_DQUOTE] = ACTIONS(3982),
    [sym_true] = ACTIONS(3946),
    [sym_false] = ACTIONS(3946),
    [anon_sym_NULL] = ACTIONS(3948),
    [anon_sym_nullptr] = ACTIONS(3948),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(3984),
    [anon_sym_R_DQUOTE] = ACTIONS(3986),
    [anon_sym_LR_DQUOTE] = ACTIONS(3986),
    [anon_sym_uR_DQUOTE] = ACTIONS(3986),
    [anon_sym_UR_DQUOTE] = ACTIONS(3986),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3986),
    [anon_sym_co_await] = ACTIONS(3988),
    [anon_sym_new] = ACTIONS(3990),
    [anon_sym_requires] = ACTIONS(3958),
    [sym_this] = ACTIONS(3946),
  },
  [1999] = {
    [sym__expression] = STATE(5949),
    [sym__expression_not_binary] = STATE(5024),
    [sym__string] = STATE(5024),
    [sym_conditional_expression] = STATE(5024),
    [sym_assignment_expression] = STATE(5024),
    [sym_pointer_expression] = STATE(4507),
    [sym_unary_expression] = STATE(5024),
    [sym_binary_expression] = STATE(5024),
    [sym_update_expression] = STATE(5024),
    [sym_cast_expression] = STATE(5024),
    [sym_sizeof_expression] = STATE(5024),
    [sym_alignof_expression] = STATE(5024),
    [sym_offsetof_expression] = STATE(5024),
    [sym_generic_expression] = STATE(5024),
    [sym_subscript_expression] = STATE(4507),
    [sym_call_expression] = STATE(4507),
    [sym_gnu_asm_expression] = STATE(5024),
    [sym_field_expression] = STATE(4507),
    [sym_compound_literal_expression] = STATE(5024),
    [sym_parenthesized_expression] = STATE(4507),
    [sym_char_literal] = STATE(5374),
    [sym_concatenated_string] = STATE(5377),
    [sym_string_literal] = STATE(4206),
    [sym_null] = STATE(5024),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9352),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(5024),
    [sym_raw_string_literal] = STATE(4217),
    [sym_co_await_expression] = STATE(5024),
    [sym_new_expression] = STATE(5024),
    [sym_delete_expression] = STATE(5024),
    [sym_requires_clause] = STATE(5024),
    [sym_requires_expression] = STATE(5024),
    [sym_lambda_expression] = STATE(5024),
    [sym_lambda_capture_specifier] = STATE(7184),
    [sym_fold_expression] = STATE(5024),
    [sym_parameter_pack_expansion] = STATE(5024),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6886),
    [sym_qualified_identifier] = STATE(4507),
    [sym_qualified_type_identifier] = STATE(9352),
    [sym_user_defined_literal] = STATE(4507),
    [sym_identifier] = ACTIONS(3140),
    [anon_sym_LPAREN2] = ACTIONS(1472),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1474),
    [anon_sym_AMP] = ACTIONS(1474),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [sym_primitive_type] = ACTIONS(3146),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5320),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [2000] = {
    [sym__expression] = STATE(3520),
    [sym__expression_not_binary] = STATE(3672),
    [sym__string] = STATE(3672),
    [sym_conditional_expression] = STATE(3672),
    [sym_assignment_expression] = STATE(3672),
    [sym_pointer_expression] = STATE(3672),
    [sym_unary_expression] = STATE(3672),
    [sym_binary_expression] = STATE(3672),
    [sym_update_expression] = STATE(3672),
    [sym_cast_expression] = STATE(3672),
    [sym_sizeof_expression] = STATE(3672),
    [sym_alignof_expression] = STATE(3672),
    [sym_offsetof_expression] = STATE(3672),
    [sym_generic_expression] = STATE(3672),
    [sym_subscript_expression] = STATE(3672),
    [sym_call_expression] = STATE(3672),
    [sym_gnu_asm_expression] = STATE(3672),
    [sym_field_expression] = STATE(3672),
    [sym_compound_literal_expression] = STATE(3672),
    [sym_parenthesized_expression] = STATE(3672),
    [sym_char_literal] = STATE(3991),
    [sym_concatenated_string] = STATE(3973),
    [sym_string_literal] = STATE(3242),
    [sym_null] = STATE(3672),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9333),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(3672),
    [sym_raw_string_literal] = STATE(3241),
    [sym_co_await_expression] = STATE(3672),
    [sym_new_expression] = STATE(3672),
    [sym_delete_expression] = STATE(3672),
    [sym_requires_clause] = STATE(3672),
    [sym_requires_expression] = STATE(3672),
    [sym_lambda_expression] = STATE(3672),
    [sym_lambda_capture_specifier] = STATE(7134),
    [sym_fold_expression] = STATE(3672),
    [sym_parameter_pack_expansion] = STATE(3672),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6886),
    [sym_qualified_identifier] = STATE(3672),
    [sym_qualified_type_identifier] = STATE(9333),
    [sym_user_defined_literal] = STATE(3672),
    [sym_identifier] = ACTIONS(3968),
    [anon_sym_LPAREN2] = ACTIONS(5219),
    [anon_sym_BANG] = ACTIONS(3972),
    [anon_sym_TILDE] = ACTIONS(3972),
    [anon_sym_DASH] = ACTIONS(3970),
    [anon_sym_PLUS] = ACTIONS(3970),
    [anon_sym_STAR] = ACTIONS(1474),
    [anon_sym_AMP] = ACTIONS(1474),
    [anon_sym_COLON_COLON] = ACTIONS(3974),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [anon_sym_RBRACK] = ACTIONS(5322),
    [sym_primitive_type] = ACTIONS(3928),
    [anon_sym_not] = ACTIONS(3970),
    [anon_sym_compl] = ACTIONS(3970),
    [anon_sym_DASH_DASH] = ACTIONS(4385),
    [anon_sym_PLUS_PLUS] = ACTIONS(4385),
    [anon_sym_sizeof] = ACTIONS(3976),
    [anon_sym___alignof__] = ACTIONS(3932),
    [anon_sym___alignof] = ACTIONS(3932),
    [anon_sym__alignof] = ACTIONS(3932),
    [anon_sym_alignof] = ACTIONS(3932),
    [anon_sym__Alignof] = ACTIONS(3932),
    [anon_sym_offsetof] = ACTIONS(3934),
    [anon_sym__Generic] = ACTIONS(3936),
    [anon_sym_asm] = ACTIONS(3938),
    [anon_sym___asm__] = ACTIONS(3938),
    [sym_number_literal] = ACTIONS(3978),
    [anon_sym_L_SQUOTE] = ACTIONS(3980),
    [anon_sym_u_SQUOTE] = ACTIONS(3980),
    [anon_sym_U_SQUOTE] = ACTIONS(3980),
    [anon_sym_u8_SQUOTE] = ACTIONS(3980),
    [anon_sym_SQUOTE] = ACTIONS(3980),
    [anon_sym_L_DQUOTE] = ACTIONS(3982),
    [anon_sym_u_DQUOTE] = ACTIONS(3982),
    [anon_sym_U_DQUOTE] = ACTIONS(3982),
    [anon_sym_u8_DQUOTE] = ACTIONS(3982),
    [anon_sym_DQUOTE] = ACTIONS(3982),
    [sym_true] = ACTIONS(3946),
    [sym_false] = ACTIONS(3946),
    [anon_sym_NULL] = ACTIONS(3948),
    [anon_sym_nullptr] = ACTIONS(3948),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(3984),
    [anon_sym_R_DQUOTE] = ACTIONS(3986),
    [anon_sym_LR_DQUOTE] = ACTIONS(3986),
    [anon_sym_uR_DQUOTE] = ACTIONS(3986),
    [anon_sym_UR_DQUOTE] = ACTIONS(3986),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3986),
    [anon_sym_co_await] = ACTIONS(3988),
    [anon_sym_new] = ACTIONS(3990),
    [anon_sym_requires] = ACTIONS(3958),
    [sym_this] = ACTIONS(3946),
  },
  [2001] = {
    [sym__expression] = STATE(3520),
    [sym__expression_not_binary] = STATE(3672),
    [sym__string] = STATE(3672),
    [sym_conditional_expression] = STATE(3672),
    [sym_assignment_expression] = STATE(3672),
    [sym_pointer_expression] = STATE(3672),
    [sym_unary_expression] = STATE(3672),
    [sym_binary_expression] = STATE(3672),
    [sym_update_expression] = STATE(3672),
    [sym_cast_expression] = STATE(3672),
    [sym_sizeof_expression] = STATE(3672),
    [sym_alignof_expression] = STATE(3672),
    [sym_offsetof_expression] = STATE(3672),
    [sym_generic_expression] = STATE(3672),
    [sym_subscript_expression] = STATE(3672),
    [sym_call_expression] = STATE(3672),
    [sym_gnu_asm_expression] = STATE(3672),
    [sym_field_expression] = STATE(3672),
    [sym_compound_literal_expression] = STATE(3672),
    [sym_parenthesized_expression] = STATE(3672),
    [sym_char_literal] = STATE(3991),
    [sym_concatenated_string] = STATE(3973),
    [sym_string_literal] = STATE(3242),
    [sym_null] = STATE(3672),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9333),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(3672),
    [sym_raw_string_literal] = STATE(3241),
    [sym_co_await_expression] = STATE(3672),
    [sym_new_expression] = STATE(3672),
    [sym_delete_expression] = STATE(3672),
    [sym_requires_clause] = STATE(3672),
    [sym_requires_expression] = STATE(3672),
    [sym_lambda_expression] = STATE(3672),
    [sym_lambda_capture_specifier] = STATE(7134),
    [sym_fold_expression] = STATE(3672),
    [sym_parameter_pack_expansion] = STATE(3672),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6886),
    [sym_qualified_identifier] = STATE(3672),
    [sym_qualified_type_identifier] = STATE(9333),
    [sym_user_defined_literal] = STATE(3672),
    [sym_identifier] = ACTIONS(3968),
    [anon_sym_LPAREN2] = ACTIONS(5219),
    [anon_sym_BANG] = ACTIONS(3972),
    [anon_sym_TILDE] = ACTIONS(3972),
    [anon_sym_DASH] = ACTIONS(3970),
    [anon_sym_PLUS] = ACTIONS(3970),
    [anon_sym_STAR] = ACTIONS(1474),
    [anon_sym_AMP] = ACTIONS(1474),
    [anon_sym_COLON_COLON] = ACTIONS(3974),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [anon_sym_RBRACK] = ACTIONS(5324),
    [sym_primitive_type] = ACTIONS(3928),
    [anon_sym_not] = ACTIONS(3970),
    [anon_sym_compl] = ACTIONS(3970),
    [anon_sym_DASH_DASH] = ACTIONS(4385),
    [anon_sym_PLUS_PLUS] = ACTIONS(4385),
    [anon_sym_sizeof] = ACTIONS(3976),
    [anon_sym___alignof__] = ACTIONS(3932),
    [anon_sym___alignof] = ACTIONS(3932),
    [anon_sym__alignof] = ACTIONS(3932),
    [anon_sym_alignof] = ACTIONS(3932),
    [anon_sym__Alignof] = ACTIONS(3932),
    [anon_sym_offsetof] = ACTIONS(3934),
    [anon_sym__Generic] = ACTIONS(3936),
    [anon_sym_asm] = ACTIONS(3938),
    [anon_sym___asm__] = ACTIONS(3938),
    [sym_number_literal] = ACTIONS(3978),
    [anon_sym_L_SQUOTE] = ACTIONS(3980),
    [anon_sym_u_SQUOTE] = ACTIONS(3980),
    [anon_sym_U_SQUOTE] = ACTIONS(3980),
    [anon_sym_u8_SQUOTE] = ACTIONS(3980),
    [anon_sym_SQUOTE] = ACTIONS(3980),
    [anon_sym_L_DQUOTE] = ACTIONS(3982),
    [anon_sym_u_DQUOTE] = ACTIONS(3982),
    [anon_sym_U_DQUOTE] = ACTIONS(3982),
    [anon_sym_u8_DQUOTE] = ACTIONS(3982),
    [anon_sym_DQUOTE] = ACTIONS(3982),
    [sym_true] = ACTIONS(3946),
    [sym_false] = ACTIONS(3946),
    [anon_sym_NULL] = ACTIONS(3948),
    [anon_sym_nullptr] = ACTIONS(3948),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(3984),
    [anon_sym_R_DQUOTE] = ACTIONS(3986),
    [anon_sym_LR_DQUOTE] = ACTIONS(3986),
    [anon_sym_uR_DQUOTE] = ACTIONS(3986),
    [anon_sym_UR_DQUOTE] = ACTIONS(3986),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3986),
    [anon_sym_co_await] = ACTIONS(3988),
    [anon_sym_new] = ACTIONS(3990),
    [anon_sym_requires] = ACTIONS(3958),
    [sym_this] = ACTIONS(3946),
  },
  [2002] = {
    [sym__expression] = STATE(3520),
    [sym__expression_not_binary] = STATE(3672),
    [sym__string] = STATE(3672),
    [sym_conditional_expression] = STATE(3672),
    [sym_assignment_expression] = STATE(3672),
    [sym_pointer_expression] = STATE(3672),
    [sym_unary_expression] = STATE(3672),
    [sym_binary_expression] = STATE(3672),
    [sym_update_expression] = STATE(3672),
    [sym_cast_expression] = STATE(3672),
    [sym_sizeof_expression] = STATE(3672),
    [sym_alignof_expression] = STATE(3672),
    [sym_offsetof_expression] = STATE(3672),
    [sym_generic_expression] = STATE(3672),
    [sym_subscript_expression] = STATE(3672),
    [sym_call_expression] = STATE(3672),
    [sym_gnu_asm_expression] = STATE(3672),
    [sym_field_expression] = STATE(3672),
    [sym_compound_literal_expression] = STATE(3672),
    [sym_parenthesized_expression] = STATE(3672),
    [sym_char_literal] = STATE(3991),
    [sym_concatenated_string] = STATE(3973),
    [sym_string_literal] = STATE(3242),
    [sym_null] = STATE(3672),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9333),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(3672),
    [sym_raw_string_literal] = STATE(3241),
    [sym_co_await_expression] = STATE(3672),
    [sym_new_expression] = STATE(3672),
    [sym_delete_expression] = STATE(3672),
    [sym_requires_clause] = STATE(3672),
    [sym_requires_expression] = STATE(3672),
    [sym_lambda_expression] = STATE(3672),
    [sym_lambda_capture_specifier] = STATE(7134),
    [sym_fold_expression] = STATE(3672),
    [sym_parameter_pack_expansion] = STATE(3672),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6886),
    [sym_qualified_identifier] = STATE(3672),
    [sym_qualified_type_identifier] = STATE(9333),
    [sym_user_defined_literal] = STATE(3672),
    [sym_identifier] = ACTIONS(3968),
    [anon_sym_LPAREN2] = ACTIONS(5219),
    [anon_sym_BANG] = ACTIONS(3972),
    [anon_sym_TILDE] = ACTIONS(3972),
    [anon_sym_DASH] = ACTIONS(3970),
    [anon_sym_PLUS] = ACTIONS(3970),
    [anon_sym_STAR] = ACTIONS(1474),
    [anon_sym_AMP] = ACTIONS(1474),
    [anon_sym_COLON_COLON] = ACTIONS(3974),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [anon_sym_RBRACK] = ACTIONS(5326),
    [sym_primitive_type] = ACTIONS(3928),
    [anon_sym_not] = ACTIONS(3970),
    [anon_sym_compl] = ACTIONS(3970),
    [anon_sym_DASH_DASH] = ACTIONS(4385),
    [anon_sym_PLUS_PLUS] = ACTIONS(4385),
    [anon_sym_sizeof] = ACTIONS(3976),
    [anon_sym___alignof__] = ACTIONS(3932),
    [anon_sym___alignof] = ACTIONS(3932),
    [anon_sym__alignof] = ACTIONS(3932),
    [anon_sym_alignof] = ACTIONS(3932),
    [anon_sym__Alignof] = ACTIONS(3932),
    [anon_sym_offsetof] = ACTIONS(3934),
    [anon_sym__Generic] = ACTIONS(3936),
    [anon_sym_asm] = ACTIONS(3938),
    [anon_sym___asm__] = ACTIONS(3938),
    [sym_number_literal] = ACTIONS(3978),
    [anon_sym_L_SQUOTE] = ACTIONS(3980),
    [anon_sym_u_SQUOTE] = ACTIONS(3980),
    [anon_sym_U_SQUOTE] = ACTIONS(3980),
    [anon_sym_u8_SQUOTE] = ACTIONS(3980),
    [anon_sym_SQUOTE] = ACTIONS(3980),
    [anon_sym_L_DQUOTE] = ACTIONS(3982),
    [anon_sym_u_DQUOTE] = ACTIONS(3982),
    [anon_sym_U_DQUOTE] = ACTIONS(3982),
    [anon_sym_u8_DQUOTE] = ACTIONS(3982),
    [anon_sym_DQUOTE] = ACTIONS(3982),
    [sym_true] = ACTIONS(3946),
    [sym_false] = ACTIONS(3946),
    [anon_sym_NULL] = ACTIONS(3948),
    [anon_sym_nullptr] = ACTIONS(3948),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(3984),
    [anon_sym_R_DQUOTE] = ACTIONS(3986),
    [anon_sym_LR_DQUOTE] = ACTIONS(3986),
    [anon_sym_uR_DQUOTE] = ACTIONS(3986),
    [anon_sym_UR_DQUOTE] = ACTIONS(3986),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3986),
    [anon_sym_co_await] = ACTIONS(3988),
    [anon_sym_new] = ACTIONS(3990),
    [anon_sym_requires] = ACTIONS(3958),
    [sym_this] = ACTIONS(3946),
  },
  [2003] = {
    [sym__expression] = STATE(5459),
    [sym__expression_not_binary] = STATE(5024),
    [sym__string] = STATE(5024),
    [sym_conditional_expression] = STATE(5024),
    [sym_assignment_expression] = STATE(5024),
    [sym_pointer_expression] = STATE(4607),
    [sym_unary_expression] = STATE(5024),
    [sym_binary_expression] = STATE(5024),
    [sym_update_expression] = STATE(5024),
    [sym_cast_expression] = STATE(5024),
    [sym_sizeof_expression] = STATE(5024),
    [sym_alignof_expression] = STATE(5024),
    [sym_offsetof_expression] = STATE(5024),
    [sym_generic_expression] = STATE(5024),
    [sym_subscript_expression] = STATE(4607),
    [sym_call_expression] = STATE(4607),
    [sym_gnu_asm_expression] = STATE(5024),
    [sym_field_expression] = STATE(4607),
    [sym_compound_literal_expression] = STATE(5024),
    [sym_parenthesized_expression] = STATE(4607),
    [sym_char_literal] = STATE(5726),
    [sym_concatenated_string] = STATE(5682),
    [sym_string_literal] = STATE(4827),
    [sym_null] = STATE(5024),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9352),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(5024),
    [sym_raw_string_literal] = STATE(4829),
    [sym_co_await_expression] = STATE(5024),
    [sym_new_expression] = STATE(5024),
    [sym_delete_expression] = STATE(5024),
    [sym_requires_clause] = STATE(5024),
    [sym_requires_expression] = STATE(5024),
    [sym_lambda_expression] = STATE(5024),
    [sym_lambda_capture_specifier] = STATE(7184),
    [sym_fold_expression] = STATE(5024),
    [sym_parameter_pack_expansion] = STATE(5024),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6886),
    [sym_qualified_identifier] = STATE(4607),
    [sym_qualified_type_identifier] = STATE(9352),
    [sym_user_defined_literal] = STATE(4607),
    [sym_identifier] = ACTIONS(4478),
    [anon_sym_LPAREN2] = ACTIONS(5015),
    [anon_sym_BANG] = ACTIONS(4482),
    [anon_sym_TILDE] = ACTIONS(4482),
    [anon_sym_DASH] = ACTIONS(4480),
    [anon_sym_PLUS] = ACTIONS(4480),
    [anon_sym_STAR] = ACTIONS(5017),
    [anon_sym_AMP] = ACTIONS(5017),
    [anon_sym_SEMI] = ACTIONS(5328),
    [anon_sym_COLON_COLON] = ACTIONS(4484),
    [anon_sym_LBRACK] = ACTIONS(5287),
    [sym_primitive_type] = ACTIONS(3146),
    [anon_sym_not] = ACTIONS(4480),
    [anon_sym_compl] = ACTIONS(4480),
    [anon_sym_DASH_DASH] = ACTIONS(5021),
    [anon_sym_PLUS_PLUS] = ACTIONS(5021),
    [anon_sym_sizeof] = ACTIONS(4486),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(4488),
    [anon_sym_L_SQUOTE] = ACTIONS(4490),
    [anon_sym_u_SQUOTE] = ACTIONS(4490),
    [anon_sym_U_SQUOTE] = ACTIONS(4490),
    [anon_sym_u8_SQUOTE] = ACTIONS(4490),
    [anon_sym_SQUOTE] = ACTIONS(4490),
    [anon_sym_L_DQUOTE] = ACTIONS(4492),
    [anon_sym_u_DQUOTE] = ACTIONS(4492),
    [anon_sym_U_DQUOTE] = ACTIONS(4492),
    [anon_sym_u8_DQUOTE] = ACTIONS(4492),
    [anon_sym_DQUOTE] = ACTIONS(4492),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(4494),
    [anon_sym_R_DQUOTE] = ACTIONS(4496),
    [anon_sym_LR_DQUOTE] = ACTIONS(4496),
    [anon_sym_uR_DQUOTE] = ACTIONS(4496),
    [anon_sym_UR_DQUOTE] = ACTIONS(4496),
    [anon_sym_u8R_DQUOTE] = ACTIONS(4496),
    [anon_sym_co_await] = ACTIONS(4498),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [2004] = {
    [sym__expression] = STATE(4321),
    [sym__expression_not_binary] = STATE(4695),
    [sym__string] = STATE(4695),
    [sym_conditional_expression] = STATE(4695),
    [sym_assignment_expression] = STATE(4695),
    [sym_pointer_expression] = STATE(4695),
    [sym_unary_expression] = STATE(4695),
    [sym_binary_expression] = STATE(4695),
    [sym_update_expression] = STATE(4695),
    [sym_cast_expression] = STATE(4695),
    [sym_sizeof_expression] = STATE(4695),
    [sym_alignof_expression] = STATE(4695),
    [sym_offsetof_expression] = STATE(4695),
    [sym_generic_expression] = STATE(4695),
    [sym_subscript_expression] = STATE(4695),
    [sym_call_expression] = STATE(4695),
    [sym_gnu_asm_expression] = STATE(4695),
    [sym_field_expression] = STATE(4695),
    [sym_compound_literal_expression] = STATE(4695),
    [sym_parenthesized_expression] = STATE(4695),
    [sym_char_literal] = STATE(4427),
    [sym_concatenated_string] = STATE(4424),
    [sym_string_literal] = STATE(3398),
    [sym_null] = STATE(4695),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9425),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(4695),
    [sym_raw_string_literal] = STATE(3396),
    [sym_co_await_expression] = STATE(4695),
    [sym_new_expression] = STATE(4695),
    [sym_delete_expression] = STATE(4695),
    [sym_requires_clause] = STATE(4695),
    [sym_requires_expression] = STATE(4695),
    [sym_lambda_expression] = STATE(4695),
    [sym_lambda_capture_specifier] = STATE(7185),
    [sym_fold_expression] = STATE(4695),
    [sym_parameter_pack_expansion] = STATE(4695),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6899),
    [sym_qualified_identifier] = STATE(4695),
    [sym_qualified_type_identifier] = STATE(9425),
    [sym_user_defined_literal] = STATE(4695),
    [sym_identifier] = ACTIONS(4092),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5330),
    [anon_sym_LPAREN2] = ACTIONS(4188),
    [anon_sym_BANG] = ACTIONS(2532),
    [anon_sym_TILDE] = ACTIONS(2532),
    [anon_sym_DASH] = ACTIONS(2536),
    [anon_sym_PLUS] = ACTIONS(2536),
    [anon_sym_STAR] = ACTIONS(2116),
    [anon_sym_AMP] = ACTIONS(2116),
    [anon_sym_COLON_COLON] = ACTIONS(2542),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [sym_primitive_type] = ACTIONS(4096),
    [anon_sym_not] = ACTIONS(2536),
    [anon_sym_compl] = ACTIONS(2536),
    [anon_sym_DASH_DASH] = ACTIONS(2560),
    [anon_sym_PLUS_PLUS] = ACTIONS(2560),
    [anon_sym_sizeof] = ACTIONS(2562),
    [anon_sym___alignof__] = ACTIONS(2564),
    [anon_sym___alignof] = ACTIONS(2564),
    [anon_sym__alignof] = ACTIONS(2564),
    [anon_sym_alignof] = ACTIONS(2564),
    [anon_sym__Alignof] = ACTIONS(2564),
    [anon_sym_offsetof] = ACTIONS(2566),
    [anon_sym__Generic] = ACTIONS(2568),
    [anon_sym_asm] = ACTIONS(2570),
    [anon_sym___asm__] = ACTIONS(2570),
    [sym_number_literal] = ACTIONS(2572),
    [anon_sym_L_SQUOTE] = ACTIONS(2574),
    [anon_sym_u_SQUOTE] = ACTIONS(2574),
    [anon_sym_U_SQUOTE] = ACTIONS(2574),
    [anon_sym_u8_SQUOTE] = ACTIONS(2574),
    [anon_sym_SQUOTE] = ACTIONS(2574),
    [anon_sym_L_DQUOTE] = ACTIONS(2576),
    [anon_sym_u_DQUOTE] = ACTIONS(2576),
    [anon_sym_U_DQUOTE] = ACTIONS(2576),
    [anon_sym_u8_DQUOTE] = ACTIONS(2576),
    [anon_sym_DQUOTE] = ACTIONS(2576),
    [sym_true] = ACTIONS(2578),
    [sym_false] = ACTIONS(2578),
    [anon_sym_NULL] = ACTIONS(2580),
    [anon_sym_nullptr] = ACTIONS(2580),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(2590),
    [anon_sym_R_DQUOTE] = ACTIONS(2592),
    [anon_sym_LR_DQUOTE] = ACTIONS(2592),
    [anon_sym_uR_DQUOTE] = ACTIONS(2592),
    [anon_sym_UR_DQUOTE] = ACTIONS(2592),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2592),
    [anon_sym_co_await] = ACTIONS(2594),
    [anon_sym_new] = ACTIONS(2596),
    [anon_sym_requires] = ACTIONS(2598),
    [sym_this] = ACTIONS(2578),
  },
  [2005] = {
    [sym__declaration_modifiers] = STATE(2673),
    [sym__declaration_specifiers] = STATE(6014),
    [sym_attribute_specifier] = STATE(2673),
    [sym_attribute_declaration] = STATE(2673),
    [sym_ms_declspec_modifier] = STATE(2673),
    [sym_ms_call_modifier] = STATE(2609),
    [sym_storage_class_specifier] = STATE(2673),
    [sym_type_qualifier] = STATE(2673),
    [sym__type_specifier] = STATE(2827),
    [sym_sized_type_specifier] = STATE(3085),
    [sym_enum_specifier] = STATE(3085),
    [sym_struct_specifier] = STATE(3085),
    [sym_union_specifier] = STATE(3085),
    [sym_placeholder_type_specifier] = STATE(3085),
    [sym_decltype_auto] = STATE(3091),
    [sym_decltype] = STATE(3050),
    [sym_class_specifier] = STATE(3085),
    [sym_virtual] = STATE(2673),
    [sym_alignas_specifier] = STATE(2673),
    [sym_dependent_type] = STATE(3085),
    [sym_template_type] = STATE(3050),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(7887),
    [sym_qualified_type_identifier] = STATE(3068),
    [sym_qualifiers] = STATE(2673),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2673),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3021),
    [sym_identifier] = ACTIONS(3896),
    [anon_sym___extension__] = ACTIONS(63),
    [anon_sym_in] = ACTIONS(1480),
    [anon_sym_out] = ACTIONS(1480),
    [anon_sym_inout] = ACTIONS(1480),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(3904),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2096),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(51),
    [anon_sym___clrcall] = ACTIONS(51),
    [anon_sym___stdcall] = ACTIONS(51),
    [anon_sym___fastcall] = ACTIONS(51),
    [anon_sym___thiscall] = ACTIONS(51),
    [anon_sym___vectorcall] = ACTIONS(51),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(2891),
    [anon_sym_enum] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(69),
    [anon_sym_struct] = ACTIONS(71),
    [anon_sym_union] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [anon_sym_virtual] = ACTIONS(123),
    [anon_sym_alignas] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_precise] = ACTIONS(161),
    [anon_sym_shared] = ACTIONS(161),
    [anon_sym_groupshared] = ACTIONS(161),
    [anon_sym_uniform] = ACTIONS(161),
    [anon_sym_row_major] = ACTIONS(161),
    [anon_sym_column_major] = ACTIONS(161),
    [anon_sym_globallycoherent] = ACTIONS(161),
    [anon_sym_centroid] = ACTIONS(161),
    [anon_sym_noperspective] = ACTIONS(161),
    [anon_sym_nointerpolation] = ACTIONS(161),
    [anon_sym_sample] = ACTIONS(161),
    [anon_sym_linear] = ACTIONS(161),
    [anon_sym_snorm] = ACTIONS(161),
    [anon_sym_unorm] = ACTIONS(161),
    [anon_sym_point] = ACTIONS(161),
    [anon_sym_line] = ACTIONS(161),
    [anon_sym_triangleadj] = ACTIONS(161),
    [anon_sym_lineadj] = ACTIONS(161),
    [anon_sym_triangle] = ACTIONS(161),
  },
  [2006] = {
    [sym__expression] = STATE(4322),
    [sym__expression_not_binary] = STATE(4695),
    [sym__string] = STATE(4695),
    [sym_conditional_expression] = STATE(4695),
    [sym_assignment_expression] = STATE(4695),
    [sym_pointer_expression] = STATE(4695),
    [sym_unary_expression] = STATE(4695),
    [sym_binary_expression] = STATE(4695),
    [sym_update_expression] = STATE(4695),
    [sym_cast_expression] = STATE(4695),
    [sym_sizeof_expression] = STATE(4695),
    [sym_alignof_expression] = STATE(4695),
    [sym_offsetof_expression] = STATE(4695),
    [sym_generic_expression] = STATE(4695),
    [sym_subscript_expression] = STATE(4695),
    [sym_call_expression] = STATE(4695),
    [sym_gnu_asm_expression] = STATE(4695),
    [sym_field_expression] = STATE(4695),
    [sym_compound_literal_expression] = STATE(4695),
    [sym_parenthesized_expression] = STATE(4695),
    [sym_char_literal] = STATE(4427),
    [sym_concatenated_string] = STATE(4424),
    [sym_string_literal] = STATE(3398),
    [sym_null] = STATE(4695),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9425),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(4695),
    [sym_raw_string_literal] = STATE(3396),
    [sym_co_await_expression] = STATE(4695),
    [sym_new_expression] = STATE(4695),
    [sym_delete_expression] = STATE(4695),
    [sym_requires_clause] = STATE(4695),
    [sym_requires_expression] = STATE(4695),
    [sym_lambda_expression] = STATE(4695),
    [sym_lambda_capture_specifier] = STATE(7185),
    [sym_fold_expression] = STATE(4695),
    [sym_parameter_pack_expansion] = STATE(4695),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6899),
    [sym_qualified_identifier] = STATE(4695),
    [sym_qualified_type_identifier] = STATE(9425),
    [sym_user_defined_literal] = STATE(4695),
    [sym_identifier] = ACTIONS(4092),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5333),
    [anon_sym_LPAREN2] = ACTIONS(4188),
    [anon_sym_BANG] = ACTIONS(2532),
    [anon_sym_TILDE] = ACTIONS(2532),
    [anon_sym_DASH] = ACTIONS(2536),
    [anon_sym_PLUS] = ACTIONS(2536),
    [anon_sym_STAR] = ACTIONS(2116),
    [anon_sym_AMP] = ACTIONS(2116),
    [anon_sym_COLON_COLON] = ACTIONS(2542),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [sym_primitive_type] = ACTIONS(4096),
    [anon_sym_not] = ACTIONS(2536),
    [anon_sym_compl] = ACTIONS(2536),
    [anon_sym_DASH_DASH] = ACTIONS(2560),
    [anon_sym_PLUS_PLUS] = ACTIONS(2560),
    [anon_sym_sizeof] = ACTIONS(2562),
    [anon_sym___alignof__] = ACTIONS(2564),
    [anon_sym___alignof] = ACTIONS(2564),
    [anon_sym__alignof] = ACTIONS(2564),
    [anon_sym_alignof] = ACTIONS(2564),
    [anon_sym__Alignof] = ACTIONS(2564),
    [anon_sym_offsetof] = ACTIONS(2566),
    [anon_sym__Generic] = ACTIONS(2568),
    [anon_sym_asm] = ACTIONS(2570),
    [anon_sym___asm__] = ACTIONS(2570),
    [sym_number_literal] = ACTIONS(2572),
    [anon_sym_L_SQUOTE] = ACTIONS(2574),
    [anon_sym_u_SQUOTE] = ACTIONS(2574),
    [anon_sym_U_SQUOTE] = ACTIONS(2574),
    [anon_sym_u8_SQUOTE] = ACTIONS(2574),
    [anon_sym_SQUOTE] = ACTIONS(2574),
    [anon_sym_L_DQUOTE] = ACTIONS(2576),
    [anon_sym_u_DQUOTE] = ACTIONS(2576),
    [anon_sym_U_DQUOTE] = ACTIONS(2576),
    [anon_sym_u8_DQUOTE] = ACTIONS(2576),
    [anon_sym_DQUOTE] = ACTIONS(2576),
    [sym_true] = ACTIONS(2578),
    [sym_false] = ACTIONS(2578),
    [anon_sym_NULL] = ACTIONS(2580),
    [anon_sym_nullptr] = ACTIONS(2580),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(2590),
    [anon_sym_R_DQUOTE] = ACTIONS(2592),
    [anon_sym_LR_DQUOTE] = ACTIONS(2592),
    [anon_sym_uR_DQUOTE] = ACTIONS(2592),
    [anon_sym_UR_DQUOTE] = ACTIONS(2592),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2592),
    [anon_sym_co_await] = ACTIONS(2594),
    [anon_sym_new] = ACTIONS(2596),
    [anon_sym_requires] = ACTIONS(2598),
    [sym_this] = ACTIONS(2578),
  },
  [2007] = {
    [sym__expression] = STATE(5816),
    [sym__expression_not_binary] = STATE(5024),
    [sym__string] = STATE(5024),
    [sym_conditional_expression] = STATE(5024),
    [sym_assignment_expression] = STATE(5024),
    [sym_pointer_expression] = STATE(4507),
    [sym_unary_expression] = STATE(5024),
    [sym_binary_expression] = STATE(5024),
    [sym_update_expression] = STATE(5024),
    [sym_cast_expression] = STATE(5024),
    [sym_sizeof_expression] = STATE(5024),
    [sym_alignof_expression] = STATE(5024),
    [sym_offsetof_expression] = STATE(5024),
    [sym_generic_expression] = STATE(5024),
    [sym_subscript_expression] = STATE(4507),
    [sym_call_expression] = STATE(4507),
    [sym_gnu_asm_expression] = STATE(5024),
    [sym_field_expression] = STATE(4507),
    [sym_compound_literal_expression] = STATE(5024),
    [sym_parenthesized_expression] = STATE(4507),
    [sym_char_literal] = STATE(5374),
    [sym_concatenated_string] = STATE(5377),
    [sym_string_literal] = STATE(4206),
    [sym_null] = STATE(5024),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9352),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(5024),
    [sym_raw_string_literal] = STATE(4217),
    [sym_co_await_expression] = STATE(5024),
    [sym_new_expression] = STATE(5024),
    [sym_delete_expression] = STATE(5024),
    [sym_requires_clause] = STATE(5024),
    [sym_requires_expression] = STATE(5024),
    [sym_lambda_expression] = STATE(5024),
    [sym_lambda_capture_specifier] = STATE(7184),
    [sym_fold_expression] = STATE(5024),
    [sym_parameter_pack_expansion] = STATE(5024),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6886),
    [sym_qualified_identifier] = STATE(4507),
    [sym_qualified_type_identifier] = STATE(9352),
    [sym_user_defined_literal] = STATE(4507),
    [sym_identifier] = ACTIONS(3140),
    [anon_sym_LPAREN2] = ACTIONS(1472),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1474),
    [anon_sym_AMP] = ACTIONS(1474),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [sym_primitive_type] = ACTIONS(3146),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5336),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [2008] = {
    [sym__expression] = STATE(4034),
    [sym__expression_not_binary] = STATE(4307),
    [sym__string] = STATE(4307),
    [sym_conditional_expression] = STATE(4307),
    [sym_assignment_expression] = STATE(4307),
    [sym_pointer_expression] = STATE(4307),
    [sym_unary_expression] = STATE(4307),
    [sym_binary_expression] = STATE(4307),
    [sym_update_expression] = STATE(4307),
    [sym_cast_expression] = STATE(4307),
    [sym_sizeof_expression] = STATE(4307),
    [sym_alignof_expression] = STATE(4307),
    [sym_offsetof_expression] = STATE(4307),
    [sym_generic_expression] = STATE(4307),
    [sym_subscript_expression] = STATE(4307),
    [sym_call_expression] = STATE(4307),
    [sym_gnu_asm_expression] = STATE(4307),
    [sym_field_expression] = STATE(4307),
    [sym_compound_literal_expression] = STATE(4307),
    [sym_parenthesized_expression] = STATE(4307),
    [sym_char_literal] = STATE(4093),
    [sym_concatenated_string] = STATE(4159),
    [sym_string_literal] = STATE(3328),
    [sym_null] = STATE(4307),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9053),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(4307),
    [sym_raw_string_literal] = STATE(3294),
    [sym_co_await_expression] = STATE(4307),
    [sym_new_expression] = STATE(4307),
    [sym_delete_expression] = STATE(4307),
    [sym_requires_clause] = STATE(4307),
    [sym_requires_expression] = STATE(4307),
    [sym_lambda_expression] = STATE(4307),
    [sym_lambda_capture_specifier] = STATE(7183),
    [sym_fold_expression] = STATE(4307),
    [sym_parameter_pack_expansion] = STATE(4307),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6962),
    [sym_qualified_identifier] = STATE(4307),
    [sym_qualified_type_identifier] = STATE(9053),
    [sym_user_defined_literal] = STATE(4307),
    [sym_identifier] = ACTIONS(5051),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5338),
    [anon_sym_LPAREN2] = ACTIONS(5340),
    [anon_sym_BANG] = ACTIONS(3994),
    [anon_sym_TILDE] = ACTIONS(3994),
    [anon_sym_DASH] = ACTIONS(3992),
    [anon_sym_PLUS] = ACTIONS(3992),
    [anon_sym_STAR] = ACTIONS(5202),
    [anon_sym_AMP] = ACTIONS(5202),
    [anon_sym_COLON_COLON] = ACTIONS(3996),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [sym_primitive_type] = ACTIONS(4000),
    [anon_sym_not] = ACTIONS(3992),
    [anon_sym_compl] = ACTIONS(3992),
    [anon_sym_DASH_DASH] = ACTIONS(5053),
    [anon_sym_PLUS_PLUS] = ACTIONS(5053),
    [anon_sym_sizeof] = ACTIONS(4002),
    [anon_sym___alignof__] = ACTIONS(4004),
    [anon_sym___alignof] = ACTIONS(4004),
    [anon_sym__alignof] = ACTIONS(4004),
    [anon_sym_alignof] = ACTIONS(4004),
    [anon_sym__Alignof] = ACTIONS(4004),
    [anon_sym_offsetof] = ACTIONS(4006),
    [anon_sym__Generic] = ACTIONS(4008),
    [anon_sym_asm] = ACTIONS(4010),
    [anon_sym___asm__] = ACTIONS(4010),
    [sym_number_literal] = ACTIONS(4012),
    [anon_sym_L_SQUOTE] = ACTIONS(4014),
    [anon_sym_u_SQUOTE] = ACTIONS(4014),
    [anon_sym_U_SQUOTE] = ACTIONS(4014),
    [anon_sym_u8_SQUOTE] = ACTIONS(4014),
    [anon_sym_SQUOTE] = ACTIONS(4014),
    [anon_sym_L_DQUOTE] = ACTIONS(4016),
    [anon_sym_u_DQUOTE] = ACTIONS(4016),
    [anon_sym_U_DQUOTE] = ACTIONS(4016),
    [anon_sym_u8_DQUOTE] = ACTIONS(4016),
    [anon_sym_DQUOTE] = ACTIONS(4016),
    [sym_true] = ACTIONS(4018),
    [sym_false] = ACTIONS(4018),
    [anon_sym_NULL] = ACTIONS(4020),
    [anon_sym_nullptr] = ACTIONS(4020),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(4022),
    [anon_sym_R_DQUOTE] = ACTIONS(4024),
    [anon_sym_LR_DQUOTE] = ACTIONS(4024),
    [anon_sym_uR_DQUOTE] = ACTIONS(4024),
    [anon_sym_UR_DQUOTE] = ACTIONS(4024),
    [anon_sym_u8R_DQUOTE] = ACTIONS(4024),
    [anon_sym_co_await] = ACTIONS(4026),
    [anon_sym_new] = ACTIONS(4028),
    [anon_sym_requires] = ACTIONS(4030),
    [sym_this] = ACTIONS(4018),
  },
  [2009] = {
    [sym__expression] = STATE(5833),
    [sym__expression_not_binary] = STATE(5024),
    [sym__string] = STATE(5024),
    [sym_conditional_expression] = STATE(5024),
    [sym_assignment_expression] = STATE(5024),
    [sym_pointer_expression] = STATE(4507),
    [sym_unary_expression] = STATE(5024),
    [sym_binary_expression] = STATE(5024),
    [sym_update_expression] = STATE(5024),
    [sym_cast_expression] = STATE(5024),
    [sym_sizeof_expression] = STATE(5024),
    [sym_alignof_expression] = STATE(5024),
    [sym_offsetof_expression] = STATE(5024),
    [sym_generic_expression] = STATE(5024),
    [sym_subscript_expression] = STATE(4507),
    [sym_call_expression] = STATE(4507),
    [sym_gnu_asm_expression] = STATE(5024),
    [sym_field_expression] = STATE(4507),
    [sym_compound_literal_expression] = STATE(5024),
    [sym_parenthesized_expression] = STATE(4507),
    [sym_char_literal] = STATE(5374),
    [sym_concatenated_string] = STATE(5377),
    [sym_string_literal] = STATE(4206),
    [sym_null] = STATE(5024),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9352),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(5024),
    [sym_raw_string_literal] = STATE(4217),
    [sym_co_await_expression] = STATE(5024),
    [sym_new_expression] = STATE(5024),
    [sym_delete_expression] = STATE(5024),
    [sym_requires_clause] = STATE(5024),
    [sym_requires_expression] = STATE(5024),
    [sym_lambda_expression] = STATE(5024),
    [sym_lambda_capture_specifier] = STATE(7184),
    [sym_fold_expression] = STATE(5024),
    [sym_parameter_pack_expansion] = STATE(5024),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6886),
    [sym_qualified_identifier] = STATE(4507),
    [sym_qualified_type_identifier] = STATE(9352),
    [sym_user_defined_literal] = STATE(4507),
    [sym_identifier] = ACTIONS(3140),
    [anon_sym_LPAREN2] = ACTIONS(1472),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1474),
    [anon_sym_AMP] = ACTIONS(1474),
    [anon_sym_SEMI] = ACTIONS(5342),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [sym_primitive_type] = ACTIONS(3146),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [2010] = {
    [sym__expression] = STATE(4321),
    [sym__expression_not_binary] = STATE(4695),
    [sym__string] = STATE(4695),
    [sym_conditional_expression] = STATE(4695),
    [sym_assignment_expression] = STATE(4695),
    [sym_pointer_expression] = STATE(4695),
    [sym_unary_expression] = STATE(4695),
    [sym_binary_expression] = STATE(4695),
    [sym_update_expression] = STATE(4695),
    [sym_cast_expression] = STATE(4695),
    [sym_sizeof_expression] = STATE(4695),
    [sym_alignof_expression] = STATE(4695),
    [sym_offsetof_expression] = STATE(4695),
    [sym_generic_expression] = STATE(4695),
    [sym_subscript_expression] = STATE(4695),
    [sym_call_expression] = STATE(4695),
    [sym_gnu_asm_expression] = STATE(4695),
    [sym_field_expression] = STATE(4695),
    [sym_compound_literal_expression] = STATE(4695),
    [sym_parenthesized_expression] = STATE(4695),
    [sym_char_literal] = STATE(4427),
    [sym_concatenated_string] = STATE(4424),
    [sym_string_literal] = STATE(3398),
    [sym_null] = STATE(4695),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9425),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(4695),
    [sym_raw_string_literal] = STATE(3396),
    [sym_co_await_expression] = STATE(4695),
    [sym_new_expression] = STATE(4695),
    [sym_delete_expression] = STATE(4695),
    [sym_requires_clause] = STATE(4695),
    [sym_requires_expression] = STATE(4695),
    [sym_lambda_expression] = STATE(4695),
    [sym_lambda_capture_specifier] = STATE(7185),
    [sym_fold_expression] = STATE(4695),
    [sym_parameter_pack_expansion] = STATE(4695),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6899),
    [sym_qualified_identifier] = STATE(4695),
    [sym_qualified_type_identifier] = STATE(9425),
    [sym_user_defined_literal] = STATE(4695),
    [sym_identifier] = ACTIONS(4092),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5344),
    [anon_sym_LPAREN2] = ACTIONS(4188),
    [anon_sym_BANG] = ACTIONS(2532),
    [anon_sym_TILDE] = ACTIONS(2532),
    [anon_sym_DASH] = ACTIONS(2536),
    [anon_sym_PLUS] = ACTIONS(2536),
    [anon_sym_STAR] = ACTIONS(2116),
    [anon_sym_AMP] = ACTIONS(2116),
    [anon_sym_COLON_COLON] = ACTIONS(2542),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [sym_primitive_type] = ACTIONS(4096),
    [anon_sym_not] = ACTIONS(2536),
    [anon_sym_compl] = ACTIONS(2536),
    [anon_sym_DASH_DASH] = ACTIONS(2560),
    [anon_sym_PLUS_PLUS] = ACTIONS(2560),
    [anon_sym_sizeof] = ACTIONS(2562),
    [anon_sym___alignof__] = ACTIONS(2564),
    [anon_sym___alignof] = ACTIONS(2564),
    [anon_sym__alignof] = ACTIONS(2564),
    [anon_sym_alignof] = ACTIONS(2564),
    [anon_sym__Alignof] = ACTIONS(2564),
    [anon_sym_offsetof] = ACTIONS(2566),
    [anon_sym__Generic] = ACTIONS(2568),
    [anon_sym_asm] = ACTIONS(2570),
    [anon_sym___asm__] = ACTIONS(2570),
    [sym_number_literal] = ACTIONS(2572),
    [anon_sym_L_SQUOTE] = ACTIONS(2574),
    [anon_sym_u_SQUOTE] = ACTIONS(2574),
    [anon_sym_U_SQUOTE] = ACTIONS(2574),
    [anon_sym_u8_SQUOTE] = ACTIONS(2574),
    [anon_sym_SQUOTE] = ACTIONS(2574),
    [anon_sym_L_DQUOTE] = ACTIONS(2576),
    [anon_sym_u_DQUOTE] = ACTIONS(2576),
    [anon_sym_U_DQUOTE] = ACTIONS(2576),
    [anon_sym_u8_DQUOTE] = ACTIONS(2576),
    [anon_sym_DQUOTE] = ACTIONS(2576),
    [sym_true] = ACTIONS(2578),
    [sym_false] = ACTIONS(2578),
    [anon_sym_NULL] = ACTIONS(2580),
    [anon_sym_nullptr] = ACTIONS(2580),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(2590),
    [anon_sym_R_DQUOTE] = ACTIONS(2592),
    [anon_sym_LR_DQUOTE] = ACTIONS(2592),
    [anon_sym_uR_DQUOTE] = ACTIONS(2592),
    [anon_sym_UR_DQUOTE] = ACTIONS(2592),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2592),
    [anon_sym_co_await] = ACTIONS(2594),
    [anon_sym_new] = ACTIONS(2596),
    [anon_sym_requires] = ACTIONS(2598),
    [sym_this] = ACTIONS(2578),
  },
  [2011] = {
    [sym__expression] = STATE(4331),
    [sym__expression_not_binary] = STATE(4695),
    [sym__string] = STATE(4695),
    [sym_conditional_expression] = STATE(4695),
    [sym_assignment_expression] = STATE(4695),
    [sym_pointer_expression] = STATE(4695),
    [sym_unary_expression] = STATE(4695),
    [sym_binary_expression] = STATE(4695),
    [sym_update_expression] = STATE(4695),
    [sym_cast_expression] = STATE(4695),
    [sym_sizeof_expression] = STATE(4695),
    [sym_alignof_expression] = STATE(4695),
    [sym_offsetof_expression] = STATE(4695),
    [sym_generic_expression] = STATE(4695),
    [sym_subscript_expression] = STATE(4695),
    [sym_call_expression] = STATE(4695),
    [sym_gnu_asm_expression] = STATE(4695),
    [sym_field_expression] = STATE(4695),
    [sym_compound_literal_expression] = STATE(4695),
    [sym_parenthesized_expression] = STATE(4695),
    [sym_char_literal] = STATE(4427),
    [sym_concatenated_string] = STATE(4424),
    [sym_string_literal] = STATE(3398),
    [sym_null] = STATE(4695),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9425),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(4695),
    [sym_raw_string_literal] = STATE(3396),
    [sym_co_await_expression] = STATE(4695),
    [sym_new_expression] = STATE(4695),
    [sym_delete_expression] = STATE(4695),
    [sym_requires_clause] = STATE(4695),
    [sym_requires_expression] = STATE(4695),
    [sym_lambda_expression] = STATE(4695),
    [sym_lambda_capture_specifier] = STATE(7185),
    [sym_fold_expression] = STATE(4695),
    [sym_parameter_pack_expansion] = STATE(4695),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6899),
    [sym_qualified_identifier] = STATE(4695),
    [sym_qualified_type_identifier] = STATE(9425),
    [sym_user_defined_literal] = STATE(4695),
    [sym_identifier] = ACTIONS(4092),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5347),
    [anon_sym_LPAREN2] = ACTIONS(4188),
    [anon_sym_BANG] = ACTIONS(2532),
    [anon_sym_TILDE] = ACTIONS(2532),
    [anon_sym_DASH] = ACTIONS(2536),
    [anon_sym_PLUS] = ACTIONS(2536),
    [anon_sym_STAR] = ACTIONS(2116),
    [anon_sym_AMP] = ACTIONS(2116),
    [anon_sym_COLON_COLON] = ACTIONS(2542),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [sym_primitive_type] = ACTIONS(4096),
    [anon_sym_not] = ACTIONS(2536),
    [anon_sym_compl] = ACTIONS(2536),
    [anon_sym_DASH_DASH] = ACTIONS(2560),
    [anon_sym_PLUS_PLUS] = ACTIONS(2560),
    [anon_sym_sizeof] = ACTIONS(2562),
    [anon_sym___alignof__] = ACTIONS(2564),
    [anon_sym___alignof] = ACTIONS(2564),
    [anon_sym__alignof] = ACTIONS(2564),
    [anon_sym_alignof] = ACTIONS(2564),
    [anon_sym__Alignof] = ACTIONS(2564),
    [anon_sym_offsetof] = ACTIONS(2566),
    [anon_sym__Generic] = ACTIONS(2568),
    [anon_sym_asm] = ACTIONS(2570),
    [anon_sym___asm__] = ACTIONS(2570),
    [sym_number_literal] = ACTIONS(2572),
    [anon_sym_L_SQUOTE] = ACTIONS(2574),
    [anon_sym_u_SQUOTE] = ACTIONS(2574),
    [anon_sym_U_SQUOTE] = ACTIONS(2574),
    [anon_sym_u8_SQUOTE] = ACTIONS(2574),
    [anon_sym_SQUOTE] = ACTIONS(2574),
    [anon_sym_L_DQUOTE] = ACTIONS(2576),
    [anon_sym_u_DQUOTE] = ACTIONS(2576),
    [anon_sym_U_DQUOTE] = ACTIONS(2576),
    [anon_sym_u8_DQUOTE] = ACTIONS(2576),
    [anon_sym_DQUOTE] = ACTIONS(2576),
    [sym_true] = ACTIONS(2578),
    [sym_false] = ACTIONS(2578),
    [anon_sym_NULL] = ACTIONS(2580),
    [anon_sym_nullptr] = ACTIONS(2580),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(2590),
    [anon_sym_R_DQUOTE] = ACTIONS(2592),
    [anon_sym_LR_DQUOTE] = ACTIONS(2592),
    [anon_sym_uR_DQUOTE] = ACTIONS(2592),
    [anon_sym_UR_DQUOTE] = ACTIONS(2592),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2592),
    [anon_sym_co_await] = ACTIONS(2594),
    [anon_sym_new] = ACTIONS(2596),
    [anon_sym_requires] = ACTIONS(2598),
    [sym_this] = ACTIONS(2578),
  },
  [2012] = {
    [sym__expression] = STATE(5459),
    [sym__expression_not_binary] = STATE(5024),
    [sym__string] = STATE(5024),
    [sym_conditional_expression] = STATE(5024),
    [sym_assignment_expression] = STATE(5024),
    [sym_pointer_expression] = STATE(4607),
    [sym_unary_expression] = STATE(5024),
    [sym_binary_expression] = STATE(5024),
    [sym_update_expression] = STATE(5024),
    [sym_cast_expression] = STATE(5024),
    [sym_sizeof_expression] = STATE(5024),
    [sym_alignof_expression] = STATE(5024),
    [sym_offsetof_expression] = STATE(5024),
    [sym_generic_expression] = STATE(5024),
    [sym_subscript_expression] = STATE(4607),
    [sym_call_expression] = STATE(4607),
    [sym_gnu_asm_expression] = STATE(5024),
    [sym_field_expression] = STATE(4607),
    [sym_compound_literal_expression] = STATE(5024),
    [sym_parenthesized_expression] = STATE(4607),
    [sym_char_literal] = STATE(5726),
    [sym_concatenated_string] = STATE(5682),
    [sym_string_literal] = STATE(4827),
    [sym_null] = STATE(5024),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9352),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(5024),
    [sym_raw_string_literal] = STATE(4829),
    [sym_co_await_expression] = STATE(5024),
    [sym_new_expression] = STATE(5024),
    [sym_delete_expression] = STATE(5024),
    [sym_requires_clause] = STATE(5024),
    [sym_requires_expression] = STATE(5024),
    [sym_lambda_expression] = STATE(5024),
    [sym_lambda_capture_specifier] = STATE(7184),
    [sym_fold_expression] = STATE(5024),
    [sym_parameter_pack_expansion] = STATE(5024),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6886),
    [sym_qualified_identifier] = STATE(4607),
    [sym_qualified_type_identifier] = STATE(9352),
    [sym_user_defined_literal] = STATE(4607),
    [sym_identifier] = ACTIONS(4478),
    [anon_sym_LPAREN2] = ACTIONS(5015),
    [anon_sym_BANG] = ACTIONS(4482),
    [anon_sym_TILDE] = ACTIONS(4482),
    [anon_sym_DASH] = ACTIONS(4480),
    [anon_sym_PLUS] = ACTIONS(4480),
    [anon_sym_STAR] = ACTIONS(5017),
    [anon_sym_AMP] = ACTIONS(5017),
    [anon_sym_SEMI] = ACTIONS(5350),
    [anon_sym_COLON_COLON] = ACTIONS(4484),
    [anon_sym_LBRACK] = ACTIONS(5287),
    [sym_primitive_type] = ACTIONS(3146),
    [anon_sym_not] = ACTIONS(4480),
    [anon_sym_compl] = ACTIONS(4480),
    [anon_sym_DASH_DASH] = ACTIONS(5021),
    [anon_sym_PLUS_PLUS] = ACTIONS(5021),
    [anon_sym_sizeof] = ACTIONS(4486),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(4488),
    [anon_sym_L_SQUOTE] = ACTIONS(4490),
    [anon_sym_u_SQUOTE] = ACTIONS(4490),
    [anon_sym_U_SQUOTE] = ACTIONS(4490),
    [anon_sym_u8_SQUOTE] = ACTIONS(4490),
    [anon_sym_SQUOTE] = ACTIONS(4490),
    [anon_sym_L_DQUOTE] = ACTIONS(4492),
    [anon_sym_u_DQUOTE] = ACTIONS(4492),
    [anon_sym_U_DQUOTE] = ACTIONS(4492),
    [anon_sym_u8_DQUOTE] = ACTIONS(4492),
    [anon_sym_DQUOTE] = ACTIONS(4492),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(4494),
    [anon_sym_R_DQUOTE] = ACTIONS(4496),
    [anon_sym_LR_DQUOTE] = ACTIONS(4496),
    [anon_sym_uR_DQUOTE] = ACTIONS(4496),
    [anon_sym_UR_DQUOTE] = ACTIONS(4496),
    [anon_sym_u8R_DQUOTE] = ACTIONS(4496),
    [anon_sym_co_await] = ACTIONS(4498),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [2013] = {
    [sym__expression] = STATE(5381),
    [sym__expression_not_binary] = STATE(5575),
    [sym__string] = STATE(5575),
    [sym_conditional_expression] = STATE(5575),
    [sym_assignment_expression] = STATE(5575),
    [sym_pointer_expression] = STATE(4218),
    [sym_unary_expression] = STATE(5575),
    [sym_binary_expression] = STATE(5575),
    [sym_update_expression] = STATE(5575),
    [sym_cast_expression] = STATE(5575),
    [sym_sizeof_expression] = STATE(5575),
    [sym_alignof_expression] = STATE(5575),
    [sym_offsetof_expression] = STATE(5575),
    [sym_generic_expression] = STATE(5575),
    [sym_subscript_expression] = STATE(4218),
    [sym_call_expression] = STATE(4218),
    [sym_gnu_asm_expression] = STATE(5575),
    [sym_field_expression] = STATE(4218),
    [sym_compound_literal_expression] = STATE(5575),
    [sym_parenthesized_expression] = STATE(4218),
    [sym_char_literal] = STATE(5388),
    [sym_concatenated_string] = STATE(5429),
    [sym_string_literal] = STATE(4410),
    [sym_null] = STATE(5575),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9045),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(5575),
    [sym_raw_string_literal] = STATE(4411),
    [sym_co_await_expression] = STATE(5575),
    [sym_new_expression] = STATE(5575),
    [sym_delete_expression] = STATE(5575),
    [sym_requires_clause] = STATE(5575),
    [sym_requires_expression] = STATE(5575),
    [sym_lambda_expression] = STATE(5575),
    [sym_lambda_capture_specifier] = STATE(7089),
    [sym_fold_expression] = STATE(5575),
    [sym_parameter_pack_expansion] = STATE(5575),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6962),
    [sym_qualified_identifier] = STATE(4218),
    [sym_qualified_type_identifier] = STATE(9045),
    [sym_user_defined_literal] = STATE(4218),
    [sym_identifier] = ACTIONS(5081),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5352),
    [anon_sym_LPAREN2] = ACTIONS(5354),
    [anon_sym_BANG] = ACTIONS(4431),
    [anon_sym_TILDE] = ACTIONS(4431),
    [anon_sym_DASH] = ACTIONS(4429),
    [anon_sym_PLUS] = ACTIONS(4429),
    [anon_sym_STAR] = ACTIONS(5202),
    [anon_sym_AMP] = ACTIONS(5202),
    [anon_sym_COLON_COLON] = ACTIONS(4433),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [sym_primitive_type] = ACTIONS(4437),
    [anon_sym_not] = ACTIONS(4429),
    [anon_sym_compl] = ACTIONS(4429),
    [anon_sym_DASH_DASH] = ACTIONS(5083),
    [anon_sym_PLUS_PLUS] = ACTIONS(5083),
    [anon_sym_sizeof] = ACTIONS(4439),
    [anon_sym___alignof__] = ACTIONS(4441),
    [anon_sym___alignof] = ACTIONS(4441),
    [anon_sym__alignof] = ACTIONS(4441),
    [anon_sym_alignof] = ACTIONS(4441),
    [anon_sym__Alignof] = ACTIONS(4441),
    [anon_sym_offsetof] = ACTIONS(4443),
    [anon_sym__Generic] = ACTIONS(4445),
    [anon_sym_asm] = ACTIONS(4447),
    [anon_sym___asm__] = ACTIONS(4447),
    [sym_number_literal] = ACTIONS(4449),
    [anon_sym_L_SQUOTE] = ACTIONS(4451),
    [anon_sym_u_SQUOTE] = ACTIONS(4451),
    [anon_sym_U_SQUOTE] = ACTIONS(4451),
    [anon_sym_u8_SQUOTE] = ACTIONS(4451),
    [anon_sym_SQUOTE] = ACTIONS(4451),
    [anon_sym_L_DQUOTE] = ACTIONS(4453),
    [anon_sym_u_DQUOTE] = ACTIONS(4453),
    [anon_sym_U_DQUOTE] = ACTIONS(4453),
    [anon_sym_u8_DQUOTE] = ACTIONS(4453),
    [anon_sym_DQUOTE] = ACTIONS(4453),
    [sym_true] = ACTIONS(4455),
    [sym_false] = ACTIONS(4455),
    [anon_sym_NULL] = ACTIONS(4457),
    [anon_sym_nullptr] = ACTIONS(4457),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(4459),
    [anon_sym_R_DQUOTE] = ACTIONS(4461),
    [anon_sym_LR_DQUOTE] = ACTIONS(4461),
    [anon_sym_uR_DQUOTE] = ACTIONS(4461),
    [anon_sym_UR_DQUOTE] = ACTIONS(4461),
    [anon_sym_u8R_DQUOTE] = ACTIONS(4461),
    [anon_sym_co_await] = ACTIONS(4463),
    [anon_sym_new] = ACTIONS(4465),
    [anon_sym_requires] = ACTIONS(4467),
    [sym_this] = ACTIONS(4455),
  },
  [2014] = {
    [sym__expression] = STATE(5892),
    [sym__expression_not_binary] = STATE(5024),
    [sym__string] = STATE(5024),
    [sym_conditional_expression] = STATE(5024),
    [sym_assignment_expression] = STATE(5024),
    [sym_pointer_expression] = STATE(4507),
    [sym_unary_expression] = STATE(5024),
    [sym_binary_expression] = STATE(5024),
    [sym_update_expression] = STATE(5024),
    [sym_cast_expression] = STATE(5024),
    [sym_sizeof_expression] = STATE(5024),
    [sym_alignof_expression] = STATE(5024),
    [sym_offsetof_expression] = STATE(5024),
    [sym_generic_expression] = STATE(5024),
    [sym_subscript_expression] = STATE(4507),
    [sym_call_expression] = STATE(4507),
    [sym_gnu_asm_expression] = STATE(5024),
    [sym_field_expression] = STATE(4507),
    [sym_compound_literal_expression] = STATE(5024),
    [sym_parenthesized_expression] = STATE(4507),
    [sym_char_literal] = STATE(5374),
    [sym_concatenated_string] = STATE(5377),
    [sym_string_literal] = STATE(4206),
    [sym_null] = STATE(5024),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9352),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(5024),
    [sym_raw_string_literal] = STATE(4217),
    [sym_co_await_expression] = STATE(5024),
    [sym_new_expression] = STATE(5024),
    [sym_delete_expression] = STATE(5024),
    [sym_requires_clause] = STATE(5024),
    [sym_requires_expression] = STATE(5024),
    [sym_lambda_expression] = STATE(5024),
    [sym_lambda_capture_specifier] = STATE(7184),
    [sym_fold_expression] = STATE(5024),
    [sym_parameter_pack_expansion] = STATE(5024),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6886),
    [sym_qualified_identifier] = STATE(4507),
    [sym_qualified_type_identifier] = STATE(9352),
    [sym_user_defined_literal] = STATE(4507),
    [sym_identifier] = ACTIONS(3140),
    [anon_sym_LPAREN2] = ACTIONS(1472),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1474),
    [anon_sym_AMP] = ACTIONS(1474),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [sym_primitive_type] = ACTIONS(3146),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5356),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [2015] = {
    [sym__expression] = STATE(4725),
    [sym__expression_not_binary] = STATE(4939),
    [sym__string] = STATE(4939),
    [sym_conditional_expression] = STATE(4939),
    [sym_assignment_expression] = STATE(4939),
    [sym_pointer_expression] = STATE(4521),
    [sym_unary_expression] = STATE(4939),
    [sym_binary_expression] = STATE(4939),
    [sym_update_expression] = STATE(4939),
    [sym_cast_expression] = STATE(4939),
    [sym_sizeof_expression] = STATE(4939),
    [sym_alignof_expression] = STATE(4939),
    [sym_offsetof_expression] = STATE(4939),
    [sym_generic_expression] = STATE(4939),
    [sym_subscript_expression] = STATE(4521),
    [sym_call_expression] = STATE(4521),
    [sym_gnu_asm_expression] = STATE(4939),
    [sym_field_expression] = STATE(4521),
    [sym_compound_literal_expression] = STATE(4939),
    [sym_parenthesized_expression] = STATE(4521),
    [sym_char_literal] = STATE(4856),
    [sym_concatenated_string] = STATE(4876),
    [sym_string_literal] = STATE(3630),
    [sym_null] = STATE(4939),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9415),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(4939),
    [sym_raw_string_literal] = STATE(3632),
    [sym_co_await_expression] = STATE(4939),
    [sym_new_expression] = STATE(4939),
    [sym_delete_expression] = STATE(4939),
    [sym_requires_clause] = STATE(4939),
    [sym_requires_expression] = STATE(4939),
    [sym_lambda_expression] = STATE(4939),
    [sym_lambda_capture_specifier] = STATE(7190),
    [sym_fold_expression] = STATE(4939),
    [sym_parameter_pack_expansion] = STATE(4939),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6899),
    [sym_qualified_identifier] = STATE(4521),
    [sym_qualified_type_identifier] = STATE(9415),
    [sym_user_defined_literal] = STATE(4521),
    [sym_identifier] = ACTIONS(4178),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5358),
    [anon_sym_LPAREN2] = ACTIONS(2110),
    [anon_sym_BANG] = ACTIONS(2112),
    [anon_sym_TILDE] = ACTIONS(2112),
    [anon_sym_DASH] = ACTIONS(2114),
    [anon_sym_PLUS] = ACTIONS(2114),
    [anon_sym_STAR] = ACTIONS(2116),
    [anon_sym_AMP] = ACTIONS(2116),
    [anon_sym_COLON_COLON] = ACTIONS(2120),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [sym_primitive_type] = ACTIONS(4182),
    [anon_sym_not] = ACTIONS(2114),
    [anon_sym_compl] = ACTIONS(2114),
    [anon_sym_DASH_DASH] = ACTIONS(2132),
    [anon_sym_PLUS_PLUS] = ACTIONS(2132),
    [anon_sym_sizeof] = ACTIONS(2134),
    [anon_sym___alignof__] = ACTIONS(2136),
    [anon_sym___alignof] = ACTIONS(2136),
    [anon_sym__alignof] = ACTIONS(2136),
    [anon_sym_alignof] = ACTIONS(2136),
    [anon_sym__Alignof] = ACTIONS(2136),
    [anon_sym_offsetof] = ACTIONS(2138),
    [anon_sym__Generic] = ACTIONS(2140),
    [anon_sym_asm] = ACTIONS(2142),
    [anon_sym___asm__] = ACTIONS(2142),
    [sym_number_literal] = ACTIONS(2144),
    [anon_sym_L_SQUOTE] = ACTIONS(2146),
    [anon_sym_u_SQUOTE] = ACTIONS(2146),
    [anon_sym_U_SQUOTE] = ACTIONS(2146),
    [anon_sym_u8_SQUOTE] = ACTIONS(2146),
    [anon_sym_SQUOTE] = ACTIONS(2146),
    [anon_sym_L_DQUOTE] = ACTIONS(2148),
    [anon_sym_u_DQUOTE] = ACTIONS(2148),
    [anon_sym_U_DQUOTE] = ACTIONS(2148),
    [anon_sym_u8_DQUOTE] = ACTIONS(2148),
    [anon_sym_DQUOTE] = ACTIONS(2148),
    [sym_true] = ACTIONS(2150),
    [sym_false] = ACTIONS(2150),
    [anon_sym_NULL] = ACTIONS(2152),
    [anon_sym_nullptr] = ACTIONS(2152),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(2156),
    [anon_sym_R_DQUOTE] = ACTIONS(2158),
    [anon_sym_LR_DQUOTE] = ACTIONS(2158),
    [anon_sym_uR_DQUOTE] = ACTIONS(2158),
    [anon_sym_UR_DQUOTE] = ACTIONS(2158),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2158),
    [anon_sym_co_await] = ACTIONS(2160),
    [anon_sym_new] = ACTIONS(2162),
    [anon_sym_requires] = ACTIONS(2164),
    [sym_this] = ACTIONS(2150),
  },
  [2016] = {
    [sym__declaration_modifiers] = STATE(2673),
    [sym__declaration_specifiers] = STATE(6009),
    [sym_attribute_specifier] = STATE(2673),
    [sym_attribute_declaration] = STATE(2673),
    [sym_ms_declspec_modifier] = STATE(2673),
    [sym_ms_call_modifier] = STATE(2603),
    [sym_storage_class_specifier] = STATE(2673),
    [sym_type_qualifier] = STATE(2673),
    [sym__type_specifier] = STATE(2827),
    [sym_sized_type_specifier] = STATE(3085),
    [sym_enum_specifier] = STATE(3085),
    [sym_struct_specifier] = STATE(3085),
    [sym_union_specifier] = STATE(3085),
    [sym_placeholder_type_specifier] = STATE(3085),
    [sym_decltype_auto] = STATE(3091),
    [sym_decltype] = STATE(3050),
    [sym_class_specifier] = STATE(3085),
    [sym_virtual] = STATE(2673),
    [sym_alignas_specifier] = STATE(2673),
    [sym_dependent_type] = STATE(3085),
    [sym_template_type] = STATE(3050),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(7887),
    [sym_qualified_type_identifier] = STATE(3068),
    [sym_qualifiers] = STATE(2673),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2673),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3021),
    [sym_identifier] = ACTIONS(3896),
    [anon_sym___extension__] = ACTIONS(63),
    [anon_sym_in] = ACTIONS(1480),
    [anon_sym_out] = ACTIONS(1480),
    [anon_sym_inout] = ACTIONS(1480),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(3904),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2096),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(51),
    [anon_sym___clrcall] = ACTIONS(51),
    [anon_sym___stdcall] = ACTIONS(51),
    [anon_sym___fastcall] = ACTIONS(51),
    [anon_sym___thiscall] = ACTIONS(51),
    [anon_sym___vectorcall] = ACTIONS(51),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(2891),
    [anon_sym_enum] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(69),
    [anon_sym_struct] = ACTIONS(71),
    [anon_sym_union] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [anon_sym_virtual] = ACTIONS(123),
    [anon_sym_alignas] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_precise] = ACTIONS(161),
    [anon_sym_shared] = ACTIONS(161),
    [anon_sym_groupshared] = ACTIONS(161),
    [anon_sym_uniform] = ACTIONS(161),
    [anon_sym_row_major] = ACTIONS(161),
    [anon_sym_column_major] = ACTIONS(161),
    [anon_sym_globallycoherent] = ACTIONS(161),
    [anon_sym_centroid] = ACTIONS(161),
    [anon_sym_noperspective] = ACTIONS(161),
    [anon_sym_nointerpolation] = ACTIONS(161),
    [anon_sym_sample] = ACTIONS(161),
    [anon_sym_linear] = ACTIONS(161),
    [anon_sym_snorm] = ACTIONS(161),
    [anon_sym_unorm] = ACTIONS(161),
    [anon_sym_point] = ACTIONS(161),
    [anon_sym_line] = ACTIONS(161),
    [anon_sym_triangleadj] = ACTIONS(161),
    [anon_sym_lineadj] = ACTIONS(161),
    [anon_sym_triangle] = ACTIONS(161),
  },
  [2017] = {
    [sym__declaration_modifiers] = STATE(2652),
    [sym__declaration_specifiers] = STATE(5160),
    [sym_attribute_specifier] = STATE(2652),
    [sym_attribute_declaration] = STATE(2652),
    [sym_ms_declspec_modifier] = STATE(2652),
    [sym_storage_class_specifier] = STATE(2652),
    [sym_type_qualifier] = STATE(2652),
    [sym__type_specifier] = STATE(2827),
    [sym_sized_type_specifier] = STATE(3085),
    [sym_enum_specifier] = STATE(3085),
    [sym_struct_specifier] = STATE(3085),
    [sym_union_specifier] = STATE(3085),
    [sym_parameter_declaration] = STATE(9067),
    [sym_placeholder_type_specifier] = STATE(3085),
    [sym_decltype_auto] = STATE(3091),
    [sym_decltype] = STATE(3050),
    [sym_class_specifier] = STATE(3085),
    [sym_virtual] = STATE(2652),
    [sym_alignas_specifier] = STATE(2652),
    [sym_dependent_type] = STATE(3085),
    [sym_type_parameter_declaration] = STATE(9067),
    [sym_variadic_type_parameter_declaration] = STATE(9067),
    [sym_optional_type_parameter_declaration] = STATE(9067),
    [sym_template_template_parameter_declaration] = STATE(9067),
    [sym_optional_parameter_declaration] = STATE(9067),
    [sym_variadic_parameter_declaration] = STATE(9067),
    [sym_template_type] = STATE(3050),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(7879),
    [sym_qualified_type_identifier] = STATE(3068),
    [sym_qualifiers] = STATE(2652),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2652),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3021),
    [sym_identifier] = ACTIONS(4559),
    [anon_sym___extension__] = ACTIONS(63),
    [anon_sym_in] = ACTIONS(2118),
    [anon_sym_out] = ACTIONS(2118),
    [anon_sym_inout] = ACTIONS(2118),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(4569),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2096),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(2891),
    [anon_sym_enum] = ACTIONS(2124),
    [anon_sym_class] = ACTIONS(5233),
    [anon_sym_struct] = ACTIONS(2128),
    [anon_sym_union] = ACTIONS(2130),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [anon_sym_virtual] = ACTIONS(123),
    [anon_sym_alignas] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(5235),
    [anon_sym_template] = ACTIONS(5237),
    [anon_sym_precise] = ACTIONS(161),
    [anon_sym_shared] = ACTIONS(161),
    [anon_sym_groupshared] = ACTIONS(161),
    [anon_sym_uniform] = ACTIONS(161),
    [anon_sym_row_major] = ACTIONS(161),
    [anon_sym_column_major] = ACTIONS(161),
    [anon_sym_globallycoherent] = ACTIONS(161),
    [anon_sym_centroid] = ACTIONS(161),
    [anon_sym_noperspective] = ACTIONS(161),
    [anon_sym_nointerpolation] = ACTIONS(161),
    [anon_sym_sample] = ACTIONS(161),
    [anon_sym_linear] = ACTIONS(161),
    [anon_sym_snorm] = ACTIONS(161),
    [anon_sym_unorm] = ACTIONS(161),
    [anon_sym_point] = ACTIONS(161),
    [anon_sym_line] = ACTIONS(161),
    [anon_sym_triangleadj] = ACTIONS(161),
    [anon_sym_lineadj] = ACTIONS(161),
    [anon_sym_triangle] = ACTIONS(161),
  },
  [2018] = {
    [sym__expression] = STATE(4493),
    [sym__expression_not_binary] = STATE(4786),
    [sym__string] = STATE(4786),
    [sym_conditional_expression] = STATE(4786),
    [sym_assignment_expression] = STATE(4786),
    [sym_pointer_expression] = STATE(4786),
    [sym_unary_expression] = STATE(4786),
    [sym_binary_expression] = STATE(4786),
    [sym_update_expression] = STATE(4786),
    [sym_cast_expression] = STATE(4786),
    [sym_sizeof_expression] = STATE(4786),
    [sym_alignof_expression] = STATE(4786),
    [sym_offsetof_expression] = STATE(4786),
    [sym_generic_expression] = STATE(4786),
    [sym_subscript_expression] = STATE(4786),
    [sym_call_expression] = STATE(4786),
    [sym_gnu_asm_expression] = STATE(4786),
    [sym_field_expression] = STATE(4786),
    [sym_compound_literal_expression] = STATE(4786),
    [sym_parenthesized_expression] = STATE(4786),
    [sym_char_literal] = STATE(4554),
    [sym_concatenated_string] = STATE(4621),
    [sym_string_literal] = STATE(3503),
    [sym_null] = STATE(4786),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9199),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(4786),
    [sym_raw_string_literal] = STATE(3498),
    [sym_co_await_expression] = STATE(4786),
    [sym_new_expression] = STATE(4786),
    [sym_delete_expression] = STATE(4786),
    [sym_requires_clause] = STATE(4786),
    [sym_requires_expression] = STATE(4786),
    [sym_lambda_expression] = STATE(4786),
    [sym_lambda_capture_specifier] = STATE(7160),
    [sym_fold_expression] = STATE(4786),
    [sym_parameter_pack_expansion] = STATE(4786),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6932),
    [sym_qualified_identifier] = STATE(4786),
    [sym_qualified_type_identifier] = STATE(9199),
    [sym_user_defined_literal] = STATE(4786),
    [sym_identifier] = ACTIONS(4126),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5361),
    [anon_sym_LPAREN2] = ACTIONS(5363),
    [anon_sym_BANG] = ACTIONS(4130),
    [anon_sym_TILDE] = ACTIONS(4130),
    [anon_sym_DASH] = ACTIONS(4128),
    [anon_sym_PLUS] = ACTIONS(4128),
    [anon_sym_STAR] = ACTIONS(4261),
    [anon_sym_AMP] = ACTIONS(4261),
    [anon_sym_COLON_COLON] = ACTIONS(4132),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [sym_primitive_type] = ACTIONS(4136),
    [anon_sym_not] = ACTIONS(4128),
    [anon_sym_compl] = ACTIONS(4128),
    [anon_sym_DASH_DASH] = ACTIONS(5049),
    [anon_sym_PLUS_PLUS] = ACTIONS(5049),
    [anon_sym_sizeof] = ACTIONS(4138),
    [anon_sym___alignof__] = ACTIONS(4140),
    [anon_sym___alignof] = ACTIONS(4140),
    [anon_sym__alignof] = ACTIONS(4140),
    [anon_sym_alignof] = ACTIONS(4140),
    [anon_sym__Alignof] = ACTIONS(4140),
    [anon_sym_offsetof] = ACTIONS(4142),
    [anon_sym__Generic] = ACTIONS(4144),
    [anon_sym_asm] = ACTIONS(4146),
    [anon_sym___asm__] = ACTIONS(4146),
    [sym_number_literal] = ACTIONS(4148),
    [anon_sym_L_SQUOTE] = ACTIONS(4150),
    [anon_sym_u_SQUOTE] = ACTIONS(4150),
    [anon_sym_U_SQUOTE] = ACTIONS(4150),
    [anon_sym_u8_SQUOTE] = ACTIONS(4150),
    [anon_sym_SQUOTE] = ACTIONS(4150),
    [anon_sym_L_DQUOTE] = ACTIONS(4152),
    [anon_sym_u_DQUOTE] = ACTIONS(4152),
    [anon_sym_U_DQUOTE] = ACTIONS(4152),
    [anon_sym_u8_DQUOTE] = ACTIONS(4152),
    [anon_sym_DQUOTE] = ACTIONS(4152),
    [sym_true] = ACTIONS(4154),
    [sym_false] = ACTIONS(4154),
    [anon_sym_NULL] = ACTIONS(4156),
    [anon_sym_nullptr] = ACTIONS(4156),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(4158),
    [anon_sym_R_DQUOTE] = ACTIONS(4160),
    [anon_sym_LR_DQUOTE] = ACTIONS(4160),
    [anon_sym_uR_DQUOTE] = ACTIONS(4160),
    [anon_sym_UR_DQUOTE] = ACTIONS(4160),
    [anon_sym_u8R_DQUOTE] = ACTIONS(4160),
    [anon_sym_co_await] = ACTIONS(4162),
    [anon_sym_new] = ACTIONS(4164),
    [anon_sym_requires] = ACTIONS(4166),
    [sym_this] = ACTIONS(4154),
  },
  [2019] = {
    [sym__expression] = STATE(5818),
    [sym__expression_not_binary] = STATE(5024),
    [sym__string] = STATE(5024),
    [sym_conditional_expression] = STATE(5024),
    [sym_assignment_expression] = STATE(5024),
    [sym_pointer_expression] = STATE(4507),
    [sym_unary_expression] = STATE(5024),
    [sym_binary_expression] = STATE(5024),
    [sym_update_expression] = STATE(5024),
    [sym_cast_expression] = STATE(5024),
    [sym_sizeof_expression] = STATE(5024),
    [sym_alignof_expression] = STATE(5024),
    [sym_offsetof_expression] = STATE(5024),
    [sym_generic_expression] = STATE(5024),
    [sym_subscript_expression] = STATE(4507),
    [sym_call_expression] = STATE(4507),
    [sym_gnu_asm_expression] = STATE(5024),
    [sym_field_expression] = STATE(4507),
    [sym_compound_literal_expression] = STATE(5024),
    [sym_parenthesized_expression] = STATE(4507),
    [sym_char_literal] = STATE(5374),
    [sym_concatenated_string] = STATE(5377),
    [sym_string_literal] = STATE(4206),
    [sym_null] = STATE(5024),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9352),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(5024),
    [sym_raw_string_literal] = STATE(4217),
    [sym_co_await_expression] = STATE(5024),
    [sym_new_expression] = STATE(5024),
    [sym_delete_expression] = STATE(5024),
    [sym_requires_clause] = STATE(5024),
    [sym_requires_expression] = STATE(5024),
    [sym_lambda_expression] = STATE(5024),
    [sym_lambda_capture_specifier] = STATE(7184),
    [sym_fold_expression] = STATE(5024),
    [sym_parameter_pack_expansion] = STATE(5024),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6886),
    [sym_qualified_identifier] = STATE(4507),
    [sym_qualified_type_identifier] = STATE(9352),
    [sym_user_defined_literal] = STATE(4507),
    [sym_identifier] = ACTIONS(3140),
    [anon_sym_LPAREN2] = ACTIONS(1472),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1474),
    [anon_sym_AMP] = ACTIONS(1474),
    [anon_sym_SEMI] = ACTIONS(5365),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [sym_primitive_type] = ACTIONS(3146),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [2020] = {
    [sym__expression] = STATE(4725),
    [sym__expression_not_binary] = STATE(4939),
    [sym__string] = STATE(4939),
    [sym_conditional_expression] = STATE(4939),
    [sym_assignment_expression] = STATE(4939),
    [sym_pointer_expression] = STATE(4521),
    [sym_unary_expression] = STATE(4939),
    [sym_binary_expression] = STATE(4939),
    [sym_update_expression] = STATE(4939),
    [sym_cast_expression] = STATE(4939),
    [sym_sizeof_expression] = STATE(4939),
    [sym_alignof_expression] = STATE(4939),
    [sym_offsetof_expression] = STATE(4939),
    [sym_generic_expression] = STATE(4939),
    [sym_subscript_expression] = STATE(4521),
    [sym_call_expression] = STATE(4521),
    [sym_gnu_asm_expression] = STATE(4939),
    [sym_field_expression] = STATE(4521),
    [sym_compound_literal_expression] = STATE(4939),
    [sym_parenthesized_expression] = STATE(4521),
    [sym_char_literal] = STATE(4856),
    [sym_concatenated_string] = STATE(4876),
    [sym_string_literal] = STATE(3630),
    [sym_null] = STATE(4939),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9415),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(4939),
    [sym_raw_string_literal] = STATE(3632),
    [sym_co_await_expression] = STATE(4939),
    [sym_new_expression] = STATE(4939),
    [sym_delete_expression] = STATE(4939),
    [sym_requires_clause] = STATE(4939),
    [sym_requires_expression] = STATE(4939),
    [sym_lambda_expression] = STATE(4939),
    [sym_lambda_capture_specifier] = STATE(7190),
    [sym_fold_expression] = STATE(4939),
    [sym_parameter_pack_expansion] = STATE(4939),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6899),
    [sym_qualified_identifier] = STATE(4521),
    [sym_qualified_type_identifier] = STATE(9415),
    [sym_user_defined_literal] = STATE(4521),
    [sym_identifier] = ACTIONS(4178),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5367),
    [anon_sym_LPAREN2] = ACTIONS(2110),
    [anon_sym_BANG] = ACTIONS(2112),
    [anon_sym_TILDE] = ACTIONS(2112),
    [anon_sym_DASH] = ACTIONS(2114),
    [anon_sym_PLUS] = ACTIONS(2114),
    [anon_sym_STAR] = ACTIONS(2116),
    [anon_sym_AMP] = ACTIONS(2116),
    [anon_sym_COLON_COLON] = ACTIONS(2120),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [sym_primitive_type] = ACTIONS(4182),
    [anon_sym_not] = ACTIONS(2114),
    [anon_sym_compl] = ACTIONS(2114),
    [anon_sym_DASH_DASH] = ACTIONS(2132),
    [anon_sym_PLUS_PLUS] = ACTIONS(2132),
    [anon_sym_sizeof] = ACTIONS(2134),
    [anon_sym___alignof__] = ACTIONS(2136),
    [anon_sym___alignof] = ACTIONS(2136),
    [anon_sym__alignof] = ACTIONS(2136),
    [anon_sym_alignof] = ACTIONS(2136),
    [anon_sym__Alignof] = ACTIONS(2136),
    [anon_sym_offsetof] = ACTIONS(2138),
    [anon_sym__Generic] = ACTIONS(2140),
    [anon_sym_asm] = ACTIONS(2142),
    [anon_sym___asm__] = ACTIONS(2142),
    [sym_number_literal] = ACTIONS(2144),
    [anon_sym_L_SQUOTE] = ACTIONS(2146),
    [anon_sym_u_SQUOTE] = ACTIONS(2146),
    [anon_sym_U_SQUOTE] = ACTIONS(2146),
    [anon_sym_u8_SQUOTE] = ACTIONS(2146),
    [anon_sym_SQUOTE] = ACTIONS(2146),
    [anon_sym_L_DQUOTE] = ACTIONS(2148),
    [anon_sym_u_DQUOTE] = ACTIONS(2148),
    [anon_sym_U_DQUOTE] = ACTIONS(2148),
    [anon_sym_u8_DQUOTE] = ACTIONS(2148),
    [anon_sym_DQUOTE] = ACTIONS(2148),
    [sym_true] = ACTIONS(2150),
    [sym_false] = ACTIONS(2150),
    [anon_sym_NULL] = ACTIONS(2152),
    [anon_sym_nullptr] = ACTIONS(2152),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(2156),
    [anon_sym_R_DQUOTE] = ACTIONS(2158),
    [anon_sym_LR_DQUOTE] = ACTIONS(2158),
    [anon_sym_uR_DQUOTE] = ACTIONS(2158),
    [anon_sym_UR_DQUOTE] = ACTIONS(2158),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2158),
    [anon_sym_co_await] = ACTIONS(2160),
    [anon_sym_new] = ACTIONS(2162),
    [anon_sym_requires] = ACTIONS(2164),
    [sym_this] = ACTIONS(2150),
  },
  [2021] = {
    [sym__expression] = STATE(4913),
    [sym__expression_not_binary] = STATE(5024),
    [sym__string] = STATE(5024),
    [sym_conditional_expression] = STATE(5024),
    [sym_assignment_expression] = STATE(5024),
    [sym_pointer_expression] = STATE(4607),
    [sym_unary_expression] = STATE(5024),
    [sym_binary_expression] = STATE(5024),
    [sym_update_expression] = STATE(5024),
    [sym_cast_expression] = STATE(5024),
    [sym_sizeof_expression] = STATE(5024),
    [sym_alignof_expression] = STATE(5024),
    [sym_offsetof_expression] = STATE(5024),
    [sym_generic_expression] = STATE(5024),
    [sym_subscript_expression] = STATE(4607),
    [sym_call_expression] = STATE(4607),
    [sym_gnu_asm_expression] = STATE(5024),
    [sym_field_expression] = STATE(4607),
    [sym_compound_literal_expression] = STATE(5024),
    [sym_parenthesized_expression] = STATE(4607),
    [sym_char_literal] = STATE(5726),
    [sym_concatenated_string] = STATE(5682),
    [sym_string_literal] = STATE(4827),
    [sym_null] = STATE(5024),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9352),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(5024),
    [sym_raw_string_literal] = STATE(4829),
    [sym_co_await_expression] = STATE(5024),
    [sym_new_expression] = STATE(5024),
    [sym_delete_expression] = STATE(5024),
    [sym_requires_clause] = STATE(5024),
    [sym_requires_expression] = STATE(5024),
    [sym_lambda_expression] = STATE(5024),
    [sym_lambda_capture_specifier] = STATE(7184),
    [sym_fold_expression] = STATE(5024),
    [sym_parameter_pack_expansion] = STATE(5024),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6886),
    [sym_qualified_identifier] = STATE(4607),
    [sym_qualified_type_identifier] = STATE(9352),
    [sym_user_defined_literal] = STATE(4607),
    [sym_identifier] = ACTIONS(4478),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5370),
    [anon_sym_LPAREN2] = ACTIONS(5372),
    [anon_sym_BANG] = ACTIONS(4482),
    [anon_sym_TILDE] = ACTIONS(4482),
    [anon_sym_DASH] = ACTIONS(4480),
    [anon_sym_PLUS] = ACTIONS(4480),
    [anon_sym_STAR] = ACTIONS(5017),
    [anon_sym_AMP] = ACTIONS(5017),
    [anon_sym_COLON_COLON] = ACTIONS(4484),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [sym_primitive_type] = ACTIONS(3146),
    [anon_sym_not] = ACTIONS(4480),
    [anon_sym_compl] = ACTIONS(4480),
    [anon_sym_DASH_DASH] = ACTIONS(5021),
    [anon_sym_PLUS_PLUS] = ACTIONS(5021),
    [anon_sym_sizeof] = ACTIONS(4486),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(4488),
    [anon_sym_L_SQUOTE] = ACTIONS(4490),
    [anon_sym_u_SQUOTE] = ACTIONS(4490),
    [anon_sym_U_SQUOTE] = ACTIONS(4490),
    [anon_sym_u8_SQUOTE] = ACTIONS(4490),
    [anon_sym_SQUOTE] = ACTIONS(4490),
    [anon_sym_L_DQUOTE] = ACTIONS(4492),
    [anon_sym_u_DQUOTE] = ACTIONS(4492),
    [anon_sym_U_DQUOTE] = ACTIONS(4492),
    [anon_sym_u8_DQUOTE] = ACTIONS(4492),
    [anon_sym_DQUOTE] = ACTIONS(4492),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(4494),
    [anon_sym_R_DQUOTE] = ACTIONS(4496),
    [anon_sym_LR_DQUOTE] = ACTIONS(4496),
    [anon_sym_uR_DQUOTE] = ACTIONS(4496),
    [anon_sym_UR_DQUOTE] = ACTIONS(4496),
    [anon_sym_u8R_DQUOTE] = ACTIONS(4496),
    [anon_sym_co_await] = ACTIONS(4498),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [2022] = {
    [sym__expression] = STATE(4724),
    [sym__expression_not_binary] = STATE(4939),
    [sym__string] = STATE(4939),
    [sym_conditional_expression] = STATE(4939),
    [sym_assignment_expression] = STATE(4939),
    [sym_pointer_expression] = STATE(4521),
    [sym_unary_expression] = STATE(4939),
    [sym_binary_expression] = STATE(4939),
    [sym_update_expression] = STATE(4939),
    [sym_cast_expression] = STATE(4939),
    [sym_sizeof_expression] = STATE(4939),
    [sym_alignof_expression] = STATE(4939),
    [sym_offsetof_expression] = STATE(4939),
    [sym_generic_expression] = STATE(4939),
    [sym_subscript_expression] = STATE(4521),
    [sym_call_expression] = STATE(4521),
    [sym_gnu_asm_expression] = STATE(4939),
    [sym_field_expression] = STATE(4521),
    [sym_compound_literal_expression] = STATE(4939),
    [sym_parenthesized_expression] = STATE(4521),
    [sym_char_literal] = STATE(4856),
    [sym_concatenated_string] = STATE(4876),
    [sym_string_literal] = STATE(3630),
    [sym_null] = STATE(4939),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9415),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(4939),
    [sym_raw_string_literal] = STATE(3632),
    [sym_co_await_expression] = STATE(4939),
    [sym_new_expression] = STATE(4939),
    [sym_delete_expression] = STATE(4939),
    [sym_requires_clause] = STATE(4939),
    [sym_requires_expression] = STATE(4939),
    [sym_lambda_expression] = STATE(4939),
    [sym_lambda_capture_specifier] = STATE(7190),
    [sym_fold_expression] = STATE(4939),
    [sym_parameter_pack_expansion] = STATE(4939),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6899),
    [sym_qualified_identifier] = STATE(4521),
    [sym_qualified_type_identifier] = STATE(9415),
    [sym_user_defined_literal] = STATE(4521),
    [sym_identifier] = ACTIONS(4178),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5374),
    [anon_sym_LPAREN2] = ACTIONS(2110),
    [anon_sym_BANG] = ACTIONS(2112),
    [anon_sym_TILDE] = ACTIONS(2112),
    [anon_sym_DASH] = ACTIONS(2114),
    [anon_sym_PLUS] = ACTIONS(2114),
    [anon_sym_STAR] = ACTIONS(2116),
    [anon_sym_AMP] = ACTIONS(2116),
    [anon_sym_COLON_COLON] = ACTIONS(2120),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [sym_primitive_type] = ACTIONS(4182),
    [anon_sym_not] = ACTIONS(2114),
    [anon_sym_compl] = ACTIONS(2114),
    [anon_sym_DASH_DASH] = ACTIONS(2132),
    [anon_sym_PLUS_PLUS] = ACTIONS(2132),
    [anon_sym_sizeof] = ACTIONS(2134),
    [anon_sym___alignof__] = ACTIONS(2136),
    [anon_sym___alignof] = ACTIONS(2136),
    [anon_sym__alignof] = ACTIONS(2136),
    [anon_sym_alignof] = ACTIONS(2136),
    [anon_sym__Alignof] = ACTIONS(2136),
    [anon_sym_offsetof] = ACTIONS(2138),
    [anon_sym__Generic] = ACTIONS(2140),
    [anon_sym_asm] = ACTIONS(2142),
    [anon_sym___asm__] = ACTIONS(2142),
    [sym_number_literal] = ACTIONS(2144),
    [anon_sym_L_SQUOTE] = ACTIONS(2146),
    [anon_sym_u_SQUOTE] = ACTIONS(2146),
    [anon_sym_U_SQUOTE] = ACTIONS(2146),
    [anon_sym_u8_SQUOTE] = ACTIONS(2146),
    [anon_sym_SQUOTE] = ACTIONS(2146),
    [anon_sym_L_DQUOTE] = ACTIONS(2148),
    [anon_sym_u_DQUOTE] = ACTIONS(2148),
    [anon_sym_U_DQUOTE] = ACTIONS(2148),
    [anon_sym_u8_DQUOTE] = ACTIONS(2148),
    [anon_sym_DQUOTE] = ACTIONS(2148),
    [sym_true] = ACTIONS(2150),
    [sym_false] = ACTIONS(2150),
    [anon_sym_NULL] = ACTIONS(2152),
    [anon_sym_nullptr] = ACTIONS(2152),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(2156),
    [anon_sym_R_DQUOTE] = ACTIONS(2158),
    [anon_sym_LR_DQUOTE] = ACTIONS(2158),
    [anon_sym_uR_DQUOTE] = ACTIONS(2158),
    [anon_sym_UR_DQUOTE] = ACTIONS(2158),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2158),
    [anon_sym_co_await] = ACTIONS(2160),
    [anon_sym_new] = ACTIONS(2162),
    [anon_sym_requires] = ACTIONS(2164),
    [sym_this] = ACTIONS(2150),
  },
  [2023] = {
    [sym__declaration_modifiers] = STATE(2673),
    [sym__declaration_specifiers] = STATE(6037),
    [sym_attribute_specifier] = STATE(2673),
    [sym_attribute_declaration] = STATE(2673),
    [sym_ms_declspec_modifier] = STATE(2673),
    [sym_ms_call_modifier] = STATE(2599),
    [sym_storage_class_specifier] = STATE(2673),
    [sym_type_qualifier] = STATE(2673),
    [sym__type_specifier] = STATE(2827),
    [sym_sized_type_specifier] = STATE(3085),
    [sym_enum_specifier] = STATE(3085),
    [sym_struct_specifier] = STATE(3085),
    [sym_union_specifier] = STATE(3085),
    [sym_placeholder_type_specifier] = STATE(3085),
    [sym_decltype_auto] = STATE(3091),
    [sym_decltype] = STATE(3050),
    [sym_class_specifier] = STATE(3085),
    [sym_virtual] = STATE(2673),
    [sym_alignas_specifier] = STATE(2673),
    [sym_dependent_type] = STATE(3085),
    [sym_template_type] = STATE(3050),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(7887),
    [sym_qualified_type_identifier] = STATE(3068),
    [sym_qualifiers] = STATE(2673),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2673),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3021),
    [sym_identifier] = ACTIONS(3896),
    [anon_sym___extension__] = ACTIONS(63),
    [anon_sym_in] = ACTIONS(1480),
    [anon_sym_out] = ACTIONS(1480),
    [anon_sym_inout] = ACTIONS(1480),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(3904),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2096),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(51),
    [anon_sym___clrcall] = ACTIONS(51),
    [anon_sym___stdcall] = ACTIONS(51),
    [anon_sym___fastcall] = ACTIONS(51),
    [anon_sym___thiscall] = ACTIONS(51),
    [anon_sym___vectorcall] = ACTIONS(51),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(2891),
    [anon_sym_enum] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(69),
    [anon_sym_struct] = ACTIONS(71),
    [anon_sym_union] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [anon_sym_virtual] = ACTIONS(123),
    [anon_sym_alignas] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_precise] = ACTIONS(161),
    [anon_sym_shared] = ACTIONS(161),
    [anon_sym_groupshared] = ACTIONS(161),
    [anon_sym_uniform] = ACTIONS(161),
    [anon_sym_row_major] = ACTIONS(161),
    [anon_sym_column_major] = ACTIONS(161),
    [anon_sym_globallycoherent] = ACTIONS(161),
    [anon_sym_centroid] = ACTIONS(161),
    [anon_sym_noperspective] = ACTIONS(161),
    [anon_sym_nointerpolation] = ACTIONS(161),
    [anon_sym_sample] = ACTIONS(161),
    [anon_sym_linear] = ACTIONS(161),
    [anon_sym_snorm] = ACTIONS(161),
    [anon_sym_unorm] = ACTIONS(161),
    [anon_sym_point] = ACTIONS(161),
    [anon_sym_line] = ACTIONS(161),
    [anon_sym_triangleadj] = ACTIONS(161),
    [anon_sym_lineadj] = ACTIONS(161),
    [anon_sym_triangle] = ACTIONS(161),
  },
  [2024] = {
    [sym__expression] = STATE(5830),
    [sym__expression_not_binary] = STATE(5024),
    [sym__string] = STATE(5024),
    [sym_conditional_expression] = STATE(5024),
    [sym_assignment_expression] = STATE(5024),
    [sym_pointer_expression] = STATE(4507),
    [sym_unary_expression] = STATE(5024),
    [sym_binary_expression] = STATE(5024),
    [sym_update_expression] = STATE(5024),
    [sym_cast_expression] = STATE(5024),
    [sym_sizeof_expression] = STATE(5024),
    [sym_alignof_expression] = STATE(5024),
    [sym_offsetof_expression] = STATE(5024),
    [sym_generic_expression] = STATE(5024),
    [sym_subscript_expression] = STATE(4507),
    [sym_call_expression] = STATE(4507),
    [sym_gnu_asm_expression] = STATE(5024),
    [sym_field_expression] = STATE(4507),
    [sym_compound_literal_expression] = STATE(5024),
    [sym_parenthesized_expression] = STATE(4507),
    [sym_char_literal] = STATE(5374),
    [sym_concatenated_string] = STATE(5377),
    [sym_string_literal] = STATE(4206),
    [sym_null] = STATE(5024),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9352),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(5024),
    [sym_raw_string_literal] = STATE(4217),
    [sym_co_await_expression] = STATE(5024),
    [sym_new_expression] = STATE(5024),
    [sym_delete_expression] = STATE(5024),
    [sym_requires_clause] = STATE(5024),
    [sym_requires_expression] = STATE(5024),
    [sym_lambda_expression] = STATE(5024),
    [sym_lambda_capture_specifier] = STATE(7184),
    [sym_fold_expression] = STATE(5024),
    [sym_parameter_pack_expansion] = STATE(5024),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6886),
    [sym_qualified_identifier] = STATE(4507),
    [sym_qualified_type_identifier] = STATE(9352),
    [sym_user_defined_literal] = STATE(4507),
    [sym_identifier] = ACTIONS(3140),
    [anon_sym_LPAREN2] = ACTIONS(1472),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1474),
    [anon_sym_AMP] = ACTIONS(1474),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [sym_primitive_type] = ACTIONS(3146),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5377),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [2025] = {
    [sym__expression] = STATE(4724),
    [sym__expression_not_binary] = STATE(4939),
    [sym__string] = STATE(4939),
    [sym_conditional_expression] = STATE(4939),
    [sym_assignment_expression] = STATE(4939),
    [sym_pointer_expression] = STATE(4521),
    [sym_unary_expression] = STATE(4939),
    [sym_binary_expression] = STATE(4939),
    [sym_update_expression] = STATE(4939),
    [sym_cast_expression] = STATE(4939),
    [sym_sizeof_expression] = STATE(4939),
    [sym_alignof_expression] = STATE(4939),
    [sym_offsetof_expression] = STATE(4939),
    [sym_generic_expression] = STATE(4939),
    [sym_subscript_expression] = STATE(4521),
    [sym_call_expression] = STATE(4521),
    [sym_gnu_asm_expression] = STATE(4939),
    [sym_field_expression] = STATE(4521),
    [sym_compound_literal_expression] = STATE(4939),
    [sym_parenthesized_expression] = STATE(4521),
    [sym_char_literal] = STATE(4856),
    [sym_concatenated_string] = STATE(4876),
    [sym_string_literal] = STATE(3630),
    [sym_null] = STATE(4939),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9415),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(4939),
    [sym_raw_string_literal] = STATE(3632),
    [sym_co_await_expression] = STATE(4939),
    [sym_new_expression] = STATE(4939),
    [sym_delete_expression] = STATE(4939),
    [sym_requires_clause] = STATE(4939),
    [sym_requires_expression] = STATE(4939),
    [sym_lambda_expression] = STATE(4939),
    [sym_lambda_capture_specifier] = STATE(7190),
    [sym_fold_expression] = STATE(4939),
    [sym_parameter_pack_expansion] = STATE(4939),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6899),
    [sym_qualified_identifier] = STATE(4521),
    [sym_qualified_type_identifier] = STATE(9415),
    [sym_user_defined_literal] = STATE(4521),
    [sym_identifier] = ACTIONS(4178),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5379),
    [anon_sym_LPAREN2] = ACTIONS(2110),
    [anon_sym_BANG] = ACTIONS(2112),
    [anon_sym_TILDE] = ACTIONS(2112),
    [anon_sym_DASH] = ACTIONS(2114),
    [anon_sym_PLUS] = ACTIONS(2114),
    [anon_sym_STAR] = ACTIONS(2116),
    [anon_sym_AMP] = ACTIONS(2116),
    [anon_sym_COLON_COLON] = ACTIONS(2120),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [sym_primitive_type] = ACTIONS(4182),
    [anon_sym_not] = ACTIONS(2114),
    [anon_sym_compl] = ACTIONS(2114),
    [anon_sym_DASH_DASH] = ACTIONS(2132),
    [anon_sym_PLUS_PLUS] = ACTIONS(2132),
    [anon_sym_sizeof] = ACTIONS(2134),
    [anon_sym___alignof__] = ACTIONS(2136),
    [anon_sym___alignof] = ACTIONS(2136),
    [anon_sym__alignof] = ACTIONS(2136),
    [anon_sym_alignof] = ACTIONS(2136),
    [anon_sym__Alignof] = ACTIONS(2136),
    [anon_sym_offsetof] = ACTIONS(2138),
    [anon_sym__Generic] = ACTIONS(2140),
    [anon_sym_asm] = ACTIONS(2142),
    [anon_sym___asm__] = ACTIONS(2142),
    [sym_number_literal] = ACTIONS(2144),
    [anon_sym_L_SQUOTE] = ACTIONS(2146),
    [anon_sym_u_SQUOTE] = ACTIONS(2146),
    [anon_sym_U_SQUOTE] = ACTIONS(2146),
    [anon_sym_u8_SQUOTE] = ACTIONS(2146),
    [anon_sym_SQUOTE] = ACTIONS(2146),
    [anon_sym_L_DQUOTE] = ACTIONS(2148),
    [anon_sym_u_DQUOTE] = ACTIONS(2148),
    [anon_sym_U_DQUOTE] = ACTIONS(2148),
    [anon_sym_u8_DQUOTE] = ACTIONS(2148),
    [anon_sym_DQUOTE] = ACTIONS(2148),
    [sym_true] = ACTIONS(2150),
    [sym_false] = ACTIONS(2150),
    [anon_sym_NULL] = ACTIONS(2152),
    [anon_sym_nullptr] = ACTIONS(2152),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(2156),
    [anon_sym_R_DQUOTE] = ACTIONS(2158),
    [anon_sym_LR_DQUOTE] = ACTIONS(2158),
    [anon_sym_uR_DQUOTE] = ACTIONS(2158),
    [anon_sym_UR_DQUOTE] = ACTIONS(2158),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2158),
    [anon_sym_co_await] = ACTIONS(2160),
    [anon_sym_new] = ACTIONS(2162),
    [anon_sym_requires] = ACTIONS(2164),
    [sym_this] = ACTIONS(2150),
  },
  [2026] = {
    [sym__expression] = STATE(5881),
    [sym__expression_not_binary] = STATE(5024),
    [sym__string] = STATE(5024),
    [sym_conditional_expression] = STATE(5024),
    [sym_assignment_expression] = STATE(5024),
    [sym_pointer_expression] = STATE(4507),
    [sym_unary_expression] = STATE(5024),
    [sym_binary_expression] = STATE(5024),
    [sym_update_expression] = STATE(5024),
    [sym_cast_expression] = STATE(5024),
    [sym_sizeof_expression] = STATE(5024),
    [sym_alignof_expression] = STATE(5024),
    [sym_offsetof_expression] = STATE(5024),
    [sym_generic_expression] = STATE(5024),
    [sym_subscript_expression] = STATE(4507),
    [sym_call_expression] = STATE(4507),
    [sym_gnu_asm_expression] = STATE(5024),
    [sym_field_expression] = STATE(4507),
    [sym_compound_literal_expression] = STATE(5024),
    [sym_parenthesized_expression] = STATE(4507),
    [sym_char_literal] = STATE(5374),
    [sym_concatenated_string] = STATE(5377),
    [sym_string_literal] = STATE(4206),
    [sym_null] = STATE(5024),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9352),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(5024),
    [sym_raw_string_literal] = STATE(4217),
    [sym_co_await_expression] = STATE(5024),
    [sym_new_expression] = STATE(5024),
    [sym_delete_expression] = STATE(5024),
    [sym_requires_clause] = STATE(5024),
    [sym_requires_expression] = STATE(5024),
    [sym_lambda_expression] = STATE(5024),
    [sym_lambda_capture_specifier] = STATE(7184),
    [sym_fold_expression] = STATE(5024),
    [sym_parameter_pack_expansion] = STATE(5024),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6886),
    [sym_qualified_identifier] = STATE(4507),
    [sym_qualified_type_identifier] = STATE(9352),
    [sym_user_defined_literal] = STATE(4507),
    [sym_identifier] = ACTIONS(3140),
    [anon_sym_LPAREN2] = ACTIONS(1472),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1474),
    [anon_sym_AMP] = ACTIONS(1474),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [sym_primitive_type] = ACTIONS(3146),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5382),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [2027] = {
    [sym__expression] = STATE(3520),
    [sym__expression_not_binary] = STATE(3672),
    [sym__string] = STATE(3672),
    [sym_conditional_expression] = STATE(3672),
    [sym_assignment_expression] = STATE(3672),
    [sym_pointer_expression] = STATE(3672),
    [sym_unary_expression] = STATE(3672),
    [sym_binary_expression] = STATE(3672),
    [sym_update_expression] = STATE(3672),
    [sym_cast_expression] = STATE(3672),
    [sym_sizeof_expression] = STATE(3672),
    [sym_alignof_expression] = STATE(3672),
    [sym_offsetof_expression] = STATE(3672),
    [sym_generic_expression] = STATE(3672),
    [sym_subscript_expression] = STATE(3672),
    [sym_call_expression] = STATE(3672),
    [sym_gnu_asm_expression] = STATE(3672),
    [sym_field_expression] = STATE(3672),
    [sym_compound_literal_expression] = STATE(3672),
    [sym_parenthesized_expression] = STATE(3672),
    [sym_char_literal] = STATE(3991),
    [sym_concatenated_string] = STATE(3973),
    [sym_string_literal] = STATE(3242),
    [sym_null] = STATE(3672),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9333),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(3672),
    [sym_raw_string_literal] = STATE(3241),
    [sym_co_await_expression] = STATE(3672),
    [sym_new_expression] = STATE(3672),
    [sym_delete_expression] = STATE(3672),
    [sym_requires_clause] = STATE(3672),
    [sym_requires_expression] = STATE(3672),
    [sym_lambda_expression] = STATE(3672),
    [sym_lambda_capture_specifier] = STATE(7134),
    [sym_fold_expression] = STATE(3672),
    [sym_parameter_pack_expansion] = STATE(3672),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6886),
    [sym_qualified_identifier] = STATE(3672),
    [sym_qualified_type_identifier] = STATE(9333),
    [sym_user_defined_literal] = STATE(3672),
    [sym_identifier] = ACTIONS(3968),
    [anon_sym_LPAREN2] = ACTIONS(5219),
    [anon_sym_BANG] = ACTIONS(3972),
    [anon_sym_TILDE] = ACTIONS(3972),
    [anon_sym_DASH] = ACTIONS(3970),
    [anon_sym_PLUS] = ACTIONS(3970),
    [anon_sym_STAR] = ACTIONS(1474),
    [anon_sym_AMP] = ACTIONS(1474),
    [anon_sym_COLON_COLON] = ACTIONS(3974),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [anon_sym_RBRACK] = ACTIONS(5384),
    [sym_primitive_type] = ACTIONS(3928),
    [anon_sym_not] = ACTIONS(3970),
    [anon_sym_compl] = ACTIONS(3970),
    [anon_sym_DASH_DASH] = ACTIONS(4385),
    [anon_sym_PLUS_PLUS] = ACTIONS(4385),
    [anon_sym_sizeof] = ACTIONS(3976),
    [anon_sym___alignof__] = ACTIONS(3932),
    [anon_sym___alignof] = ACTIONS(3932),
    [anon_sym__alignof] = ACTIONS(3932),
    [anon_sym_alignof] = ACTIONS(3932),
    [anon_sym__Alignof] = ACTIONS(3932),
    [anon_sym_offsetof] = ACTIONS(3934),
    [anon_sym__Generic] = ACTIONS(3936),
    [anon_sym_asm] = ACTIONS(3938),
    [anon_sym___asm__] = ACTIONS(3938),
    [sym_number_literal] = ACTIONS(3978),
    [anon_sym_L_SQUOTE] = ACTIONS(3980),
    [anon_sym_u_SQUOTE] = ACTIONS(3980),
    [anon_sym_U_SQUOTE] = ACTIONS(3980),
    [anon_sym_u8_SQUOTE] = ACTIONS(3980),
    [anon_sym_SQUOTE] = ACTIONS(3980),
    [anon_sym_L_DQUOTE] = ACTIONS(3982),
    [anon_sym_u_DQUOTE] = ACTIONS(3982),
    [anon_sym_U_DQUOTE] = ACTIONS(3982),
    [anon_sym_u8_DQUOTE] = ACTIONS(3982),
    [anon_sym_DQUOTE] = ACTIONS(3982),
    [sym_true] = ACTIONS(3946),
    [sym_false] = ACTIONS(3946),
    [anon_sym_NULL] = ACTIONS(3948),
    [anon_sym_nullptr] = ACTIONS(3948),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(3984),
    [anon_sym_R_DQUOTE] = ACTIONS(3986),
    [anon_sym_LR_DQUOTE] = ACTIONS(3986),
    [anon_sym_uR_DQUOTE] = ACTIONS(3986),
    [anon_sym_UR_DQUOTE] = ACTIONS(3986),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3986),
    [anon_sym_co_await] = ACTIONS(3988),
    [anon_sym_new] = ACTIONS(3990),
    [anon_sym_requires] = ACTIONS(3958),
    [sym_this] = ACTIONS(3946),
  },
  [2028] = {
    [sym__expression] = STATE(5926),
    [sym__expression_not_binary] = STATE(5024),
    [sym__string] = STATE(5024),
    [sym_conditional_expression] = STATE(5024),
    [sym_assignment_expression] = STATE(5024),
    [sym_pointer_expression] = STATE(4507),
    [sym_unary_expression] = STATE(5024),
    [sym_binary_expression] = STATE(5024),
    [sym_update_expression] = STATE(5024),
    [sym_cast_expression] = STATE(5024),
    [sym_sizeof_expression] = STATE(5024),
    [sym_alignof_expression] = STATE(5024),
    [sym_offsetof_expression] = STATE(5024),
    [sym_generic_expression] = STATE(5024),
    [sym_subscript_expression] = STATE(4507),
    [sym_call_expression] = STATE(4507),
    [sym_gnu_asm_expression] = STATE(5024),
    [sym_field_expression] = STATE(4507),
    [sym_compound_literal_expression] = STATE(5024),
    [sym_parenthesized_expression] = STATE(4507),
    [sym_char_literal] = STATE(5374),
    [sym_concatenated_string] = STATE(5377),
    [sym_string_literal] = STATE(4206),
    [sym_null] = STATE(5024),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9352),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(5024),
    [sym_raw_string_literal] = STATE(4217),
    [sym_co_await_expression] = STATE(5024),
    [sym_new_expression] = STATE(5024),
    [sym_delete_expression] = STATE(5024),
    [sym_requires_clause] = STATE(5024),
    [sym_requires_expression] = STATE(5024),
    [sym_lambda_expression] = STATE(5024),
    [sym_lambda_capture_specifier] = STATE(7184),
    [sym_fold_expression] = STATE(5024),
    [sym_parameter_pack_expansion] = STATE(5024),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6886),
    [sym_qualified_identifier] = STATE(4507),
    [sym_qualified_type_identifier] = STATE(9352),
    [sym_user_defined_literal] = STATE(4507),
    [sym_identifier] = ACTIONS(3140),
    [anon_sym_RPAREN] = ACTIONS(5386),
    [anon_sym_LPAREN2] = ACTIONS(1472),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1474),
    [anon_sym_AMP] = ACTIONS(1474),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [sym_primitive_type] = ACTIONS(3146),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [2029] = {
    [sym__expression] = STATE(4724),
    [sym__expression_not_binary] = STATE(4939),
    [sym__string] = STATE(4939),
    [sym_conditional_expression] = STATE(4939),
    [sym_assignment_expression] = STATE(4939),
    [sym_pointer_expression] = STATE(4521),
    [sym_unary_expression] = STATE(4939),
    [sym_binary_expression] = STATE(4939),
    [sym_update_expression] = STATE(4939),
    [sym_cast_expression] = STATE(4939),
    [sym_sizeof_expression] = STATE(4939),
    [sym_alignof_expression] = STATE(4939),
    [sym_offsetof_expression] = STATE(4939),
    [sym_generic_expression] = STATE(4939),
    [sym_subscript_expression] = STATE(4521),
    [sym_call_expression] = STATE(4521),
    [sym_gnu_asm_expression] = STATE(4939),
    [sym_field_expression] = STATE(4521),
    [sym_compound_literal_expression] = STATE(4939),
    [sym_parenthesized_expression] = STATE(4521),
    [sym_char_literal] = STATE(4856),
    [sym_concatenated_string] = STATE(4876),
    [sym_string_literal] = STATE(3630),
    [sym_null] = STATE(4939),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9415),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(4939),
    [sym_raw_string_literal] = STATE(3632),
    [sym_co_await_expression] = STATE(4939),
    [sym_new_expression] = STATE(4939),
    [sym_delete_expression] = STATE(4939),
    [sym_requires_clause] = STATE(4939),
    [sym_requires_expression] = STATE(4939),
    [sym_lambda_expression] = STATE(4939),
    [sym_lambda_capture_specifier] = STATE(7190),
    [sym_fold_expression] = STATE(4939),
    [sym_parameter_pack_expansion] = STATE(4939),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6899),
    [sym_qualified_identifier] = STATE(4521),
    [sym_qualified_type_identifier] = STATE(9415),
    [sym_user_defined_literal] = STATE(4521),
    [sym_identifier] = ACTIONS(4178),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5388),
    [anon_sym_LPAREN2] = ACTIONS(2110),
    [anon_sym_BANG] = ACTIONS(2112),
    [anon_sym_TILDE] = ACTIONS(2112),
    [anon_sym_DASH] = ACTIONS(2114),
    [anon_sym_PLUS] = ACTIONS(2114),
    [anon_sym_STAR] = ACTIONS(2116),
    [anon_sym_AMP] = ACTIONS(2116),
    [anon_sym_COLON_COLON] = ACTIONS(2120),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [sym_primitive_type] = ACTIONS(4182),
    [anon_sym_not] = ACTIONS(2114),
    [anon_sym_compl] = ACTIONS(2114),
    [anon_sym_DASH_DASH] = ACTIONS(2132),
    [anon_sym_PLUS_PLUS] = ACTIONS(2132),
    [anon_sym_sizeof] = ACTIONS(2134),
    [anon_sym___alignof__] = ACTIONS(2136),
    [anon_sym___alignof] = ACTIONS(2136),
    [anon_sym__alignof] = ACTIONS(2136),
    [anon_sym_alignof] = ACTIONS(2136),
    [anon_sym__Alignof] = ACTIONS(2136),
    [anon_sym_offsetof] = ACTIONS(2138),
    [anon_sym__Generic] = ACTIONS(2140),
    [anon_sym_asm] = ACTIONS(2142),
    [anon_sym___asm__] = ACTIONS(2142),
    [sym_number_literal] = ACTIONS(2144),
    [anon_sym_L_SQUOTE] = ACTIONS(2146),
    [anon_sym_u_SQUOTE] = ACTIONS(2146),
    [anon_sym_U_SQUOTE] = ACTIONS(2146),
    [anon_sym_u8_SQUOTE] = ACTIONS(2146),
    [anon_sym_SQUOTE] = ACTIONS(2146),
    [anon_sym_L_DQUOTE] = ACTIONS(2148),
    [anon_sym_u_DQUOTE] = ACTIONS(2148),
    [anon_sym_U_DQUOTE] = ACTIONS(2148),
    [anon_sym_u8_DQUOTE] = ACTIONS(2148),
    [anon_sym_DQUOTE] = ACTIONS(2148),
    [sym_true] = ACTIONS(2150),
    [sym_false] = ACTIONS(2150),
    [anon_sym_NULL] = ACTIONS(2152),
    [anon_sym_nullptr] = ACTIONS(2152),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(2156),
    [anon_sym_R_DQUOTE] = ACTIONS(2158),
    [anon_sym_LR_DQUOTE] = ACTIONS(2158),
    [anon_sym_uR_DQUOTE] = ACTIONS(2158),
    [anon_sym_UR_DQUOTE] = ACTIONS(2158),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2158),
    [anon_sym_co_await] = ACTIONS(2160),
    [anon_sym_new] = ACTIONS(2162),
    [anon_sym_requires] = ACTIONS(2164),
    [sym_this] = ACTIONS(2150),
  },
  [2030] = {
    [sym__expression] = STATE(4795),
    [sym__expression_not_binary] = STATE(4939),
    [sym__string] = STATE(4939),
    [sym_conditional_expression] = STATE(4939),
    [sym_assignment_expression] = STATE(4939),
    [sym_pointer_expression] = STATE(4521),
    [sym_unary_expression] = STATE(4939),
    [sym_binary_expression] = STATE(4939),
    [sym_update_expression] = STATE(4939),
    [sym_cast_expression] = STATE(4939),
    [sym_sizeof_expression] = STATE(4939),
    [sym_alignof_expression] = STATE(4939),
    [sym_offsetof_expression] = STATE(4939),
    [sym_generic_expression] = STATE(4939),
    [sym_subscript_expression] = STATE(4521),
    [sym_call_expression] = STATE(4521),
    [sym_gnu_asm_expression] = STATE(4939),
    [sym_field_expression] = STATE(4521),
    [sym_compound_literal_expression] = STATE(4939),
    [sym_parenthesized_expression] = STATE(4521),
    [sym_char_literal] = STATE(4856),
    [sym_concatenated_string] = STATE(4876),
    [sym_string_literal] = STATE(3630),
    [sym_null] = STATE(4939),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9415),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(4939),
    [sym_raw_string_literal] = STATE(3632),
    [sym_co_await_expression] = STATE(4939),
    [sym_new_expression] = STATE(4939),
    [sym_delete_expression] = STATE(4939),
    [sym_requires_clause] = STATE(4939),
    [sym_requires_expression] = STATE(4939),
    [sym_lambda_expression] = STATE(4939),
    [sym_lambda_capture_specifier] = STATE(7190),
    [sym_fold_expression] = STATE(4939),
    [sym_parameter_pack_expansion] = STATE(4939),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6899),
    [sym_qualified_identifier] = STATE(4521),
    [sym_qualified_type_identifier] = STATE(9415),
    [sym_user_defined_literal] = STATE(4521),
    [sym_identifier] = ACTIONS(4178),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5311),
    [anon_sym_LPAREN2] = ACTIONS(2110),
    [anon_sym_BANG] = ACTIONS(2112),
    [anon_sym_TILDE] = ACTIONS(2112),
    [anon_sym_DASH] = ACTIONS(2114),
    [anon_sym_PLUS] = ACTIONS(2114),
    [anon_sym_STAR] = ACTIONS(2116),
    [anon_sym_AMP] = ACTIONS(2116),
    [anon_sym_COLON_COLON] = ACTIONS(2120),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [sym_primitive_type] = ACTIONS(4182),
    [anon_sym_not] = ACTIONS(2114),
    [anon_sym_compl] = ACTIONS(2114),
    [anon_sym_DASH_DASH] = ACTIONS(2132),
    [anon_sym_PLUS_PLUS] = ACTIONS(2132),
    [anon_sym_sizeof] = ACTIONS(2134),
    [anon_sym___alignof__] = ACTIONS(2136),
    [anon_sym___alignof] = ACTIONS(2136),
    [anon_sym__alignof] = ACTIONS(2136),
    [anon_sym_alignof] = ACTIONS(2136),
    [anon_sym__Alignof] = ACTIONS(2136),
    [anon_sym_offsetof] = ACTIONS(2138),
    [anon_sym__Generic] = ACTIONS(2140),
    [anon_sym_asm] = ACTIONS(2142),
    [anon_sym___asm__] = ACTIONS(2142),
    [sym_number_literal] = ACTIONS(2144),
    [anon_sym_L_SQUOTE] = ACTIONS(2146),
    [anon_sym_u_SQUOTE] = ACTIONS(2146),
    [anon_sym_U_SQUOTE] = ACTIONS(2146),
    [anon_sym_u8_SQUOTE] = ACTIONS(2146),
    [anon_sym_SQUOTE] = ACTIONS(2146),
    [anon_sym_L_DQUOTE] = ACTIONS(2148),
    [anon_sym_u_DQUOTE] = ACTIONS(2148),
    [anon_sym_U_DQUOTE] = ACTIONS(2148),
    [anon_sym_u8_DQUOTE] = ACTIONS(2148),
    [anon_sym_DQUOTE] = ACTIONS(2148),
    [sym_true] = ACTIONS(2150),
    [sym_false] = ACTIONS(2150),
    [anon_sym_NULL] = ACTIONS(2152),
    [anon_sym_nullptr] = ACTIONS(2152),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(2156),
    [anon_sym_R_DQUOTE] = ACTIONS(2158),
    [anon_sym_LR_DQUOTE] = ACTIONS(2158),
    [anon_sym_uR_DQUOTE] = ACTIONS(2158),
    [anon_sym_UR_DQUOTE] = ACTIONS(2158),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2158),
    [anon_sym_co_await] = ACTIONS(2160),
    [anon_sym_new] = ACTIONS(2162),
    [anon_sym_requires] = ACTIONS(2164),
    [sym_this] = ACTIONS(2150),
  },
  [2031] = {
    [sym__expression] = STATE(4723),
    [sym__expression_not_binary] = STATE(4939),
    [sym__string] = STATE(4939),
    [sym_conditional_expression] = STATE(4939),
    [sym_assignment_expression] = STATE(4939),
    [sym_pointer_expression] = STATE(4521),
    [sym_unary_expression] = STATE(4939),
    [sym_binary_expression] = STATE(4939),
    [sym_update_expression] = STATE(4939),
    [sym_cast_expression] = STATE(4939),
    [sym_sizeof_expression] = STATE(4939),
    [sym_alignof_expression] = STATE(4939),
    [sym_offsetof_expression] = STATE(4939),
    [sym_generic_expression] = STATE(4939),
    [sym_subscript_expression] = STATE(4521),
    [sym_call_expression] = STATE(4521),
    [sym_gnu_asm_expression] = STATE(4939),
    [sym_field_expression] = STATE(4521),
    [sym_compound_literal_expression] = STATE(4939),
    [sym_parenthesized_expression] = STATE(4521),
    [sym_char_literal] = STATE(4856),
    [sym_concatenated_string] = STATE(4876),
    [sym_string_literal] = STATE(3630),
    [sym_null] = STATE(4939),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9415),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(4939),
    [sym_raw_string_literal] = STATE(3632),
    [sym_co_await_expression] = STATE(4939),
    [sym_new_expression] = STATE(4939),
    [sym_delete_expression] = STATE(4939),
    [sym_requires_clause] = STATE(4939),
    [sym_requires_expression] = STATE(4939),
    [sym_lambda_expression] = STATE(4939),
    [sym_lambda_capture_specifier] = STATE(7190),
    [sym_fold_expression] = STATE(4939),
    [sym_parameter_pack_expansion] = STATE(4939),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6899),
    [sym_qualified_identifier] = STATE(4521),
    [sym_qualified_type_identifier] = STATE(9415),
    [sym_user_defined_literal] = STATE(4521),
    [sym_identifier] = ACTIONS(4178),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5391),
    [anon_sym_LPAREN2] = ACTIONS(2110),
    [anon_sym_BANG] = ACTIONS(2112),
    [anon_sym_TILDE] = ACTIONS(2112),
    [anon_sym_DASH] = ACTIONS(2114),
    [anon_sym_PLUS] = ACTIONS(2114),
    [anon_sym_STAR] = ACTIONS(2116),
    [anon_sym_AMP] = ACTIONS(2116),
    [anon_sym_COLON_COLON] = ACTIONS(2120),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [sym_primitive_type] = ACTIONS(4182),
    [anon_sym_not] = ACTIONS(2114),
    [anon_sym_compl] = ACTIONS(2114),
    [anon_sym_DASH_DASH] = ACTIONS(2132),
    [anon_sym_PLUS_PLUS] = ACTIONS(2132),
    [anon_sym_sizeof] = ACTIONS(2134),
    [anon_sym___alignof__] = ACTIONS(2136),
    [anon_sym___alignof] = ACTIONS(2136),
    [anon_sym__alignof] = ACTIONS(2136),
    [anon_sym_alignof] = ACTIONS(2136),
    [anon_sym__Alignof] = ACTIONS(2136),
    [anon_sym_offsetof] = ACTIONS(2138),
    [anon_sym__Generic] = ACTIONS(2140),
    [anon_sym_asm] = ACTIONS(2142),
    [anon_sym___asm__] = ACTIONS(2142),
    [sym_number_literal] = ACTIONS(2144),
    [anon_sym_L_SQUOTE] = ACTIONS(2146),
    [anon_sym_u_SQUOTE] = ACTIONS(2146),
    [anon_sym_U_SQUOTE] = ACTIONS(2146),
    [anon_sym_u8_SQUOTE] = ACTIONS(2146),
    [anon_sym_SQUOTE] = ACTIONS(2146),
    [anon_sym_L_DQUOTE] = ACTIONS(2148),
    [anon_sym_u_DQUOTE] = ACTIONS(2148),
    [anon_sym_U_DQUOTE] = ACTIONS(2148),
    [anon_sym_u8_DQUOTE] = ACTIONS(2148),
    [anon_sym_DQUOTE] = ACTIONS(2148),
    [sym_true] = ACTIONS(2150),
    [sym_false] = ACTIONS(2150),
    [anon_sym_NULL] = ACTIONS(2152),
    [anon_sym_nullptr] = ACTIONS(2152),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(2156),
    [anon_sym_R_DQUOTE] = ACTIONS(2158),
    [anon_sym_LR_DQUOTE] = ACTIONS(2158),
    [anon_sym_uR_DQUOTE] = ACTIONS(2158),
    [anon_sym_UR_DQUOTE] = ACTIONS(2158),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2158),
    [anon_sym_co_await] = ACTIONS(2160),
    [anon_sym_new] = ACTIONS(2162),
    [anon_sym_requires] = ACTIONS(2164),
    [sym_this] = ACTIONS(2150),
  },
  [2032] = {
    [sym__expression] = STATE(4719),
    [sym__expression_not_binary] = STATE(4939),
    [sym__string] = STATE(4939),
    [sym_conditional_expression] = STATE(4939),
    [sym_assignment_expression] = STATE(4939),
    [sym_pointer_expression] = STATE(4521),
    [sym_unary_expression] = STATE(4939),
    [sym_binary_expression] = STATE(4939),
    [sym_update_expression] = STATE(4939),
    [sym_cast_expression] = STATE(4939),
    [sym_sizeof_expression] = STATE(4939),
    [sym_alignof_expression] = STATE(4939),
    [sym_offsetof_expression] = STATE(4939),
    [sym_generic_expression] = STATE(4939),
    [sym_subscript_expression] = STATE(4521),
    [sym_call_expression] = STATE(4521),
    [sym_gnu_asm_expression] = STATE(4939),
    [sym_field_expression] = STATE(4521),
    [sym_compound_literal_expression] = STATE(4939),
    [sym_parenthesized_expression] = STATE(4521),
    [sym_char_literal] = STATE(4856),
    [sym_concatenated_string] = STATE(4876),
    [sym_string_literal] = STATE(3630),
    [sym_null] = STATE(4939),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9415),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(4939),
    [sym_raw_string_literal] = STATE(3632),
    [sym_co_await_expression] = STATE(4939),
    [sym_new_expression] = STATE(4939),
    [sym_delete_expression] = STATE(4939),
    [sym_requires_clause] = STATE(4939),
    [sym_requires_expression] = STATE(4939),
    [sym_lambda_expression] = STATE(4939),
    [sym_lambda_capture_specifier] = STATE(7190),
    [sym_fold_expression] = STATE(4939),
    [sym_parameter_pack_expansion] = STATE(4939),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6899),
    [sym_qualified_identifier] = STATE(4521),
    [sym_qualified_type_identifier] = STATE(9415),
    [sym_user_defined_literal] = STATE(4521),
    [sym_identifier] = ACTIONS(4178),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5394),
    [anon_sym_LPAREN2] = ACTIONS(2110),
    [anon_sym_BANG] = ACTIONS(2112),
    [anon_sym_TILDE] = ACTIONS(2112),
    [anon_sym_DASH] = ACTIONS(2114),
    [anon_sym_PLUS] = ACTIONS(2114),
    [anon_sym_STAR] = ACTIONS(2116),
    [anon_sym_AMP] = ACTIONS(2116),
    [anon_sym_COLON_COLON] = ACTIONS(2120),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [sym_primitive_type] = ACTIONS(4182),
    [anon_sym_not] = ACTIONS(2114),
    [anon_sym_compl] = ACTIONS(2114),
    [anon_sym_DASH_DASH] = ACTIONS(2132),
    [anon_sym_PLUS_PLUS] = ACTIONS(2132),
    [anon_sym_sizeof] = ACTIONS(2134),
    [anon_sym___alignof__] = ACTIONS(2136),
    [anon_sym___alignof] = ACTIONS(2136),
    [anon_sym__alignof] = ACTIONS(2136),
    [anon_sym_alignof] = ACTIONS(2136),
    [anon_sym__Alignof] = ACTIONS(2136),
    [anon_sym_offsetof] = ACTIONS(2138),
    [anon_sym__Generic] = ACTIONS(2140),
    [anon_sym_asm] = ACTIONS(2142),
    [anon_sym___asm__] = ACTIONS(2142),
    [sym_number_literal] = ACTIONS(2144),
    [anon_sym_L_SQUOTE] = ACTIONS(2146),
    [anon_sym_u_SQUOTE] = ACTIONS(2146),
    [anon_sym_U_SQUOTE] = ACTIONS(2146),
    [anon_sym_u8_SQUOTE] = ACTIONS(2146),
    [anon_sym_SQUOTE] = ACTIONS(2146),
    [anon_sym_L_DQUOTE] = ACTIONS(2148),
    [anon_sym_u_DQUOTE] = ACTIONS(2148),
    [anon_sym_U_DQUOTE] = ACTIONS(2148),
    [anon_sym_u8_DQUOTE] = ACTIONS(2148),
    [anon_sym_DQUOTE] = ACTIONS(2148),
    [sym_true] = ACTIONS(2150),
    [sym_false] = ACTIONS(2150),
    [anon_sym_NULL] = ACTIONS(2152),
    [anon_sym_nullptr] = ACTIONS(2152),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(2156),
    [anon_sym_R_DQUOTE] = ACTIONS(2158),
    [anon_sym_LR_DQUOTE] = ACTIONS(2158),
    [anon_sym_uR_DQUOTE] = ACTIONS(2158),
    [anon_sym_UR_DQUOTE] = ACTIONS(2158),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2158),
    [anon_sym_co_await] = ACTIONS(2160),
    [anon_sym_new] = ACTIONS(2162),
    [anon_sym_requires] = ACTIONS(2164),
    [sym_this] = ACTIONS(2150),
  },
  [2033] = {
    [sym__expression] = STATE(3520),
    [sym__expression_not_binary] = STATE(3672),
    [sym__string] = STATE(3672),
    [sym_conditional_expression] = STATE(3672),
    [sym_assignment_expression] = STATE(3672),
    [sym_pointer_expression] = STATE(3672),
    [sym_unary_expression] = STATE(3672),
    [sym_binary_expression] = STATE(3672),
    [sym_update_expression] = STATE(3672),
    [sym_cast_expression] = STATE(3672),
    [sym_sizeof_expression] = STATE(3672),
    [sym_alignof_expression] = STATE(3672),
    [sym_offsetof_expression] = STATE(3672),
    [sym_generic_expression] = STATE(3672),
    [sym_subscript_expression] = STATE(3672),
    [sym_call_expression] = STATE(3672),
    [sym_gnu_asm_expression] = STATE(3672),
    [sym_field_expression] = STATE(3672),
    [sym_compound_literal_expression] = STATE(3672),
    [sym_parenthesized_expression] = STATE(3672),
    [sym_char_literal] = STATE(3991),
    [sym_concatenated_string] = STATE(3973),
    [sym_string_literal] = STATE(3242),
    [sym_null] = STATE(3672),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9333),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(3672),
    [sym_raw_string_literal] = STATE(3241),
    [sym_co_await_expression] = STATE(3672),
    [sym_new_expression] = STATE(3672),
    [sym_delete_expression] = STATE(3672),
    [sym_requires_clause] = STATE(3672),
    [sym_requires_expression] = STATE(3672),
    [sym_lambda_expression] = STATE(3672),
    [sym_lambda_capture_specifier] = STATE(7134),
    [sym_fold_expression] = STATE(3672),
    [sym_parameter_pack_expansion] = STATE(3672),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6886),
    [sym_qualified_identifier] = STATE(3672),
    [sym_qualified_type_identifier] = STATE(9333),
    [sym_user_defined_literal] = STATE(3672),
    [sym_identifier] = ACTIONS(3968),
    [anon_sym_LPAREN2] = ACTIONS(5219),
    [anon_sym_BANG] = ACTIONS(3972),
    [anon_sym_TILDE] = ACTIONS(3972),
    [anon_sym_DASH] = ACTIONS(3970),
    [anon_sym_PLUS] = ACTIONS(3970),
    [anon_sym_STAR] = ACTIONS(1474),
    [anon_sym_AMP] = ACTIONS(1474),
    [anon_sym_COLON_COLON] = ACTIONS(3974),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [anon_sym_RBRACK] = ACTIONS(5397),
    [sym_primitive_type] = ACTIONS(3928),
    [anon_sym_not] = ACTIONS(3970),
    [anon_sym_compl] = ACTIONS(3970),
    [anon_sym_DASH_DASH] = ACTIONS(4385),
    [anon_sym_PLUS_PLUS] = ACTIONS(4385),
    [anon_sym_sizeof] = ACTIONS(3976),
    [anon_sym___alignof__] = ACTIONS(3932),
    [anon_sym___alignof] = ACTIONS(3932),
    [anon_sym__alignof] = ACTIONS(3932),
    [anon_sym_alignof] = ACTIONS(3932),
    [anon_sym__Alignof] = ACTIONS(3932),
    [anon_sym_offsetof] = ACTIONS(3934),
    [anon_sym__Generic] = ACTIONS(3936),
    [anon_sym_asm] = ACTIONS(3938),
    [anon_sym___asm__] = ACTIONS(3938),
    [sym_number_literal] = ACTIONS(3978),
    [anon_sym_L_SQUOTE] = ACTIONS(3980),
    [anon_sym_u_SQUOTE] = ACTIONS(3980),
    [anon_sym_U_SQUOTE] = ACTIONS(3980),
    [anon_sym_u8_SQUOTE] = ACTIONS(3980),
    [anon_sym_SQUOTE] = ACTIONS(3980),
    [anon_sym_L_DQUOTE] = ACTIONS(3982),
    [anon_sym_u_DQUOTE] = ACTIONS(3982),
    [anon_sym_U_DQUOTE] = ACTIONS(3982),
    [anon_sym_u8_DQUOTE] = ACTIONS(3982),
    [anon_sym_DQUOTE] = ACTIONS(3982),
    [sym_true] = ACTIONS(3946),
    [sym_false] = ACTIONS(3946),
    [anon_sym_NULL] = ACTIONS(3948),
    [anon_sym_nullptr] = ACTIONS(3948),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(3984),
    [anon_sym_R_DQUOTE] = ACTIONS(3986),
    [anon_sym_LR_DQUOTE] = ACTIONS(3986),
    [anon_sym_uR_DQUOTE] = ACTIONS(3986),
    [anon_sym_UR_DQUOTE] = ACTIONS(3986),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3986),
    [anon_sym_co_await] = ACTIONS(3988),
    [anon_sym_new] = ACTIONS(3990),
    [anon_sym_requires] = ACTIONS(3958),
    [sym_this] = ACTIONS(3946),
  },
  [2034] = {
    [sym__expression] = STATE(4718),
    [sym__expression_not_binary] = STATE(4939),
    [sym__string] = STATE(4939),
    [sym_conditional_expression] = STATE(4939),
    [sym_assignment_expression] = STATE(4939),
    [sym_pointer_expression] = STATE(4521),
    [sym_unary_expression] = STATE(4939),
    [sym_binary_expression] = STATE(4939),
    [sym_update_expression] = STATE(4939),
    [sym_cast_expression] = STATE(4939),
    [sym_sizeof_expression] = STATE(4939),
    [sym_alignof_expression] = STATE(4939),
    [sym_offsetof_expression] = STATE(4939),
    [sym_generic_expression] = STATE(4939),
    [sym_subscript_expression] = STATE(4521),
    [sym_call_expression] = STATE(4521),
    [sym_gnu_asm_expression] = STATE(4939),
    [sym_field_expression] = STATE(4521),
    [sym_compound_literal_expression] = STATE(4939),
    [sym_parenthesized_expression] = STATE(4521),
    [sym_char_literal] = STATE(4856),
    [sym_concatenated_string] = STATE(4876),
    [sym_string_literal] = STATE(3630),
    [sym_null] = STATE(4939),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9415),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(4939),
    [sym_raw_string_literal] = STATE(3632),
    [sym_co_await_expression] = STATE(4939),
    [sym_new_expression] = STATE(4939),
    [sym_delete_expression] = STATE(4939),
    [sym_requires_clause] = STATE(4939),
    [sym_requires_expression] = STATE(4939),
    [sym_lambda_expression] = STATE(4939),
    [sym_lambda_capture_specifier] = STATE(7190),
    [sym_fold_expression] = STATE(4939),
    [sym_parameter_pack_expansion] = STATE(4939),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6899),
    [sym_qualified_identifier] = STATE(4521),
    [sym_qualified_type_identifier] = STATE(9415),
    [sym_user_defined_literal] = STATE(4521),
    [sym_identifier] = ACTIONS(4178),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5399),
    [anon_sym_LPAREN2] = ACTIONS(2110),
    [anon_sym_BANG] = ACTIONS(2112),
    [anon_sym_TILDE] = ACTIONS(2112),
    [anon_sym_DASH] = ACTIONS(2114),
    [anon_sym_PLUS] = ACTIONS(2114),
    [anon_sym_STAR] = ACTIONS(2116),
    [anon_sym_AMP] = ACTIONS(2116),
    [anon_sym_COLON_COLON] = ACTIONS(2120),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [sym_primitive_type] = ACTIONS(4182),
    [anon_sym_not] = ACTIONS(2114),
    [anon_sym_compl] = ACTIONS(2114),
    [anon_sym_DASH_DASH] = ACTIONS(2132),
    [anon_sym_PLUS_PLUS] = ACTIONS(2132),
    [anon_sym_sizeof] = ACTIONS(2134),
    [anon_sym___alignof__] = ACTIONS(2136),
    [anon_sym___alignof] = ACTIONS(2136),
    [anon_sym__alignof] = ACTIONS(2136),
    [anon_sym_alignof] = ACTIONS(2136),
    [anon_sym__Alignof] = ACTIONS(2136),
    [anon_sym_offsetof] = ACTIONS(2138),
    [anon_sym__Generic] = ACTIONS(2140),
    [anon_sym_asm] = ACTIONS(2142),
    [anon_sym___asm__] = ACTIONS(2142),
    [sym_number_literal] = ACTIONS(2144),
    [anon_sym_L_SQUOTE] = ACTIONS(2146),
    [anon_sym_u_SQUOTE] = ACTIONS(2146),
    [anon_sym_U_SQUOTE] = ACTIONS(2146),
    [anon_sym_u8_SQUOTE] = ACTIONS(2146),
    [anon_sym_SQUOTE] = ACTIONS(2146),
    [anon_sym_L_DQUOTE] = ACTIONS(2148),
    [anon_sym_u_DQUOTE] = ACTIONS(2148),
    [anon_sym_U_DQUOTE] = ACTIONS(2148),
    [anon_sym_u8_DQUOTE] = ACTIONS(2148),
    [anon_sym_DQUOTE] = ACTIONS(2148),
    [sym_true] = ACTIONS(2150),
    [sym_false] = ACTIONS(2150),
    [anon_sym_NULL] = ACTIONS(2152),
    [anon_sym_nullptr] = ACTIONS(2152),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(2156),
    [anon_sym_R_DQUOTE] = ACTIONS(2158),
    [anon_sym_LR_DQUOTE] = ACTIONS(2158),
    [anon_sym_uR_DQUOTE] = ACTIONS(2158),
    [anon_sym_UR_DQUOTE] = ACTIONS(2158),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2158),
    [anon_sym_co_await] = ACTIONS(2160),
    [anon_sym_new] = ACTIONS(2162),
    [anon_sym_requires] = ACTIONS(2164),
    [sym_this] = ACTIONS(2150),
  },
  [2035] = {
    [sym__declaration_modifiers] = STATE(2673),
    [sym__declaration_specifiers] = STATE(6051),
    [sym_attribute_specifier] = STATE(2673),
    [sym_attribute_declaration] = STATE(2673),
    [sym_ms_declspec_modifier] = STATE(2673),
    [sym_ms_call_modifier] = STATE(2588),
    [sym_storage_class_specifier] = STATE(2673),
    [sym_type_qualifier] = STATE(2673),
    [sym__type_specifier] = STATE(2827),
    [sym_sized_type_specifier] = STATE(3085),
    [sym_enum_specifier] = STATE(3085),
    [sym_struct_specifier] = STATE(3085),
    [sym_union_specifier] = STATE(3085),
    [sym_placeholder_type_specifier] = STATE(3085),
    [sym_decltype_auto] = STATE(3091),
    [sym_decltype] = STATE(3050),
    [sym_class_specifier] = STATE(3085),
    [sym_virtual] = STATE(2673),
    [sym_alignas_specifier] = STATE(2673),
    [sym_dependent_type] = STATE(3085),
    [sym_template_type] = STATE(3050),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(7887),
    [sym_qualified_type_identifier] = STATE(3068),
    [sym_qualifiers] = STATE(2673),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2673),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3021),
    [sym_identifier] = ACTIONS(3896),
    [anon_sym___extension__] = ACTIONS(63),
    [anon_sym_in] = ACTIONS(1480),
    [anon_sym_out] = ACTIONS(1480),
    [anon_sym_inout] = ACTIONS(1480),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(3904),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2096),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(51),
    [anon_sym___clrcall] = ACTIONS(51),
    [anon_sym___stdcall] = ACTIONS(51),
    [anon_sym___fastcall] = ACTIONS(51),
    [anon_sym___thiscall] = ACTIONS(51),
    [anon_sym___vectorcall] = ACTIONS(51),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(2891),
    [anon_sym_enum] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(69),
    [anon_sym_struct] = ACTIONS(71),
    [anon_sym_union] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [anon_sym_virtual] = ACTIONS(123),
    [anon_sym_alignas] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_precise] = ACTIONS(161),
    [anon_sym_shared] = ACTIONS(161),
    [anon_sym_groupshared] = ACTIONS(161),
    [anon_sym_uniform] = ACTIONS(161),
    [anon_sym_row_major] = ACTIONS(161),
    [anon_sym_column_major] = ACTIONS(161),
    [anon_sym_globallycoherent] = ACTIONS(161),
    [anon_sym_centroid] = ACTIONS(161),
    [anon_sym_noperspective] = ACTIONS(161),
    [anon_sym_nointerpolation] = ACTIONS(161),
    [anon_sym_sample] = ACTIONS(161),
    [anon_sym_linear] = ACTIONS(161),
    [anon_sym_snorm] = ACTIONS(161),
    [anon_sym_unorm] = ACTIONS(161),
    [anon_sym_point] = ACTIONS(161),
    [anon_sym_line] = ACTIONS(161),
    [anon_sym_triangleadj] = ACTIONS(161),
    [anon_sym_lineadj] = ACTIONS(161),
    [anon_sym_triangle] = ACTIONS(161),
  },
  [2036] = {
    [sym__expression] = STATE(5944),
    [sym__expression_not_binary] = STATE(5024),
    [sym__string] = STATE(5024),
    [sym_conditional_expression] = STATE(5024),
    [sym_assignment_expression] = STATE(5024),
    [sym_pointer_expression] = STATE(4507),
    [sym_unary_expression] = STATE(5024),
    [sym_binary_expression] = STATE(5024),
    [sym_update_expression] = STATE(5024),
    [sym_cast_expression] = STATE(5024),
    [sym_sizeof_expression] = STATE(5024),
    [sym_alignof_expression] = STATE(5024),
    [sym_offsetof_expression] = STATE(5024),
    [sym_generic_expression] = STATE(5024),
    [sym_subscript_expression] = STATE(4507),
    [sym_call_expression] = STATE(4507),
    [sym_gnu_asm_expression] = STATE(5024),
    [sym_field_expression] = STATE(4507),
    [sym_compound_literal_expression] = STATE(5024),
    [sym_parenthesized_expression] = STATE(4507),
    [sym_char_literal] = STATE(5374),
    [sym_concatenated_string] = STATE(5377),
    [sym_string_literal] = STATE(4206),
    [sym_null] = STATE(5024),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9352),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(5024),
    [sym_raw_string_literal] = STATE(4217),
    [sym_co_await_expression] = STATE(5024),
    [sym_new_expression] = STATE(5024),
    [sym_delete_expression] = STATE(5024),
    [sym_requires_clause] = STATE(5024),
    [sym_requires_expression] = STATE(5024),
    [sym_lambda_expression] = STATE(5024),
    [sym_lambda_capture_specifier] = STATE(7184),
    [sym_fold_expression] = STATE(5024),
    [sym_parameter_pack_expansion] = STATE(5024),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6886),
    [sym_qualified_identifier] = STATE(4507),
    [sym_qualified_type_identifier] = STATE(9352),
    [sym_user_defined_literal] = STATE(4507),
    [sym_identifier] = ACTIONS(3140),
    [anon_sym_LPAREN2] = ACTIONS(1472),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1474),
    [anon_sym_AMP] = ACTIONS(1474),
    [anon_sym_SEMI] = ACTIONS(5402),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [sym_primitive_type] = ACTIONS(3146),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [2037] = {
    [sym__expression] = STATE(4714),
    [sym__expression_not_binary] = STATE(4939),
    [sym__string] = STATE(4939),
    [sym_conditional_expression] = STATE(4939),
    [sym_assignment_expression] = STATE(4939),
    [sym_pointer_expression] = STATE(4521),
    [sym_unary_expression] = STATE(4939),
    [sym_binary_expression] = STATE(4939),
    [sym_update_expression] = STATE(4939),
    [sym_cast_expression] = STATE(4939),
    [sym_sizeof_expression] = STATE(4939),
    [sym_alignof_expression] = STATE(4939),
    [sym_offsetof_expression] = STATE(4939),
    [sym_generic_expression] = STATE(4939),
    [sym_subscript_expression] = STATE(4521),
    [sym_call_expression] = STATE(4521),
    [sym_gnu_asm_expression] = STATE(4939),
    [sym_field_expression] = STATE(4521),
    [sym_compound_literal_expression] = STATE(4939),
    [sym_parenthesized_expression] = STATE(4521),
    [sym_char_literal] = STATE(4856),
    [sym_concatenated_string] = STATE(4876),
    [sym_string_literal] = STATE(3630),
    [sym_null] = STATE(4939),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9415),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(4939),
    [sym_raw_string_literal] = STATE(3632),
    [sym_co_await_expression] = STATE(4939),
    [sym_new_expression] = STATE(4939),
    [sym_delete_expression] = STATE(4939),
    [sym_requires_clause] = STATE(4939),
    [sym_requires_expression] = STATE(4939),
    [sym_lambda_expression] = STATE(4939),
    [sym_lambda_capture_specifier] = STATE(7190),
    [sym_fold_expression] = STATE(4939),
    [sym_parameter_pack_expansion] = STATE(4939),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6899),
    [sym_qualified_identifier] = STATE(4521),
    [sym_qualified_type_identifier] = STATE(9415),
    [sym_user_defined_literal] = STATE(4521),
    [sym_identifier] = ACTIONS(4178),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5404),
    [anon_sym_LPAREN2] = ACTIONS(2110),
    [anon_sym_BANG] = ACTIONS(2112),
    [anon_sym_TILDE] = ACTIONS(2112),
    [anon_sym_DASH] = ACTIONS(2114),
    [anon_sym_PLUS] = ACTIONS(2114),
    [anon_sym_STAR] = ACTIONS(2116),
    [anon_sym_AMP] = ACTIONS(2116),
    [anon_sym_COLON_COLON] = ACTIONS(2120),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [sym_primitive_type] = ACTIONS(4182),
    [anon_sym_not] = ACTIONS(2114),
    [anon_sym_compl] = ACTIONS(2114),
    [anon_sym_DASH_DASH] = ACTIONS(2132),
    [anon_sym_PLUS_PLUS] = ACTIONS(2132),
    [anon_sym_sizeof] = ACTIONS(2134),
    [anon_sym___alignof__] = ACTIONS(2136),
    [anon_sym___alignof] = ACTIONS(2136),
    [anon_sym__alignof] = ACTIONS(2136),
    [anon_sym_alignof] = ACTIONS(2136),
    [anon_sym__Alignof] = ACTIONS(2136),
    [anon_sym_offsetof] = ACTIONS(2138),
    [anon_sym__Generic] = ACTIONS(2140),
    [anon_sym_asm] = ACTIONS(2142),
    [anon_sym___asm__] = ACTIONS(2142),
    [sym_number_literal] = ACTIONS(2144),
    [anon_sym_L_SQUOTE] = ACTIONS(2146),
    [anon_sym_u_SQUOTE] = ACTIONS(2146),
    [anon_sym_U_SQUOTE] = ACTIONS(2146),
    [anon_sym_u8_SQUOTE] = ACTIONS(2146),
    [anon_sym_SQUOTE] = ACTIONS(2146),
    [anon_sym_L_DQUOTE] = ACTIONS(2148),
    [anon_sym_u_DQUOTE] = ACTIONS(2148),
    [anon_sym_U_DQUOTE] = ACTIONS(2148),
    [anon_sym_u8_DQUOTE] = ACTIONS(2148),
    [anon_sym_DQUOTE] = ACTIONS(2148),
    [sym_true] = ACTIONS(2150),
    [sym_false] = ACTIONS(2150),
    [anon_sym_NULL] = ACTIONS(2152),
    [anon_sym_nullptr] = ACTIONS(2152),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(2156),
    [anon_sym_R_DQUOTE] = ACTIONS(2158),
    [anon_sym_LR_DQUOTE] = ACTIONS(2158),
    [anon_sym_uR_DQUOTE] = ACTIONS(2158),
    [anon_sym_UR_DQUOTE] = ACTIONS(2158),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2158),
    [anon_sym_co_await] = ACTIONS(2160),
    [anon_sym_new] = ACTIONS(2162),
    [anon_sym_requires] = ACTIONS(2164),
    [sym_this] = ACTIONS(2150),
  },
  [2038] = {
    [sym__expression] = STATE(5699),
    [sym__expression_not_binary] = STATE(6001),
    [sym__string] = STATE(6001),
    [sym_conditional_expression] = STATE(6001),
    [sym_assignment_expression] = STATE(6001),
    [sym_pointer_expression] = STATE(4807),
    [sym_unary_expression] = STATE(6001),
    [sym_binary_expression] = STATE(6001),
    [sym_update_expression] = STATE(6001),
    [sym_cast_expression] = STATE(6001),
    [sym_sizeof_expression] = STATE(6001),
    [sym_alignof_expression] = STATE(6001),
    [sym_offsetof_expression] = STATE(6001),
    [sym_generic_expression] = STATE(6001),
    [sym_subscript_expression] = STATE(4807),
    [sym_call_expression] = STATE(4807),
    [sym_gnu_asm_expression] = STATE(6001),
    [sym_field_expression] = STATE(4807),
    [sym_compound_literal_expression] = STATE(6001),
    [sym_parenthesized_expression] = STATE(4807),
    [sym_char_literal] = STATE(5842),
    [sym_concatenated_string] = STATE(5845),
    [sym_string_literal] = STATE(4864),
    [sym_null] = STATE(6001),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(8975),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(6001),
    [sym_raw_string_literal] = STATE(4865),
    [sym_co_await_expression] = STATE(6001),
    [sym_new_expression] = STATE(6001),
    [sym_delete_expression] = STATE(6001),
    [sym_requires_clause] = STATE(6001),
    [sym_requires_expression] = STATE(6001),
    [sym_lambda_expression] = STATE(6001),
    [sym_lambda_capture_specifier] = STATE(7123),
    [sym_fold_expression] = STATE(6001),
    [sym_parameter_pack_expansion] = STATE(6001),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6932),
    [sym_qualified_identifier] = STATE(4807),
    [sym_qualified_type_identifier] = STATE(8975),
    [sym_user_defined_literal] = STATE(4807),
    [sym_identifier] = ACTIONS(4532),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5407),
    [anon_sym_LPAREN2] = ACTIONS(5409),
    [anon_sym_BANG] = ACTIONS(4257),
    [anon_sym_TILDE] = ACTIONS(4257),
    [anon_sym_DASH] = ACTIONS(4259),
    [anon_sym_PLUS] = ACTIONS(4259),
    [anon_sym_STAR] = ACTIONS(4261),
    [anon_sym_AMP] = ACTIONS(4261),
    [anon_sym_COLON_COLON] = ACTIONS(4263),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [sym_primitive_type] = ACTIONS(4536),
    [anon_sym_not] = ACTIONS(4259),
    [anon_sym_compl] = ACTIONS(4259),
    [anon_sym_DASH_DASH] = ACTIONS(4277),
    [anon_sym_PLUS_PLUS] = ACTIONS(4277),
    [anon_sym_sizeof] = ACTIONS(4279),
    [anon_sym___alignof__] = ACTIONS(4281),
    [anon_sym___alignof] = ACTIONS(4281),
    [anon_sym__alignof] = ACTIONS(4281),
    [anon_sym_alignof] = ACTIONS(4281),
    [anon_sym__Alignof] = ACTIONS(4281),
    [anon_sym_offsetof] = ACTIONS(4283),
    [anon_sym__Generic] = ACTIONS(4285),
    [anon_sym_asm] = ACTIONS(4287),
    [anon_sym___asm__] = ACTIONS(4287),
    [sym_number_literal] = ACTIONS(4289),
    [anon_sym_L_SQUOTE] = ACTIONS(4291),
    [anon_sym_u_SQUOTE] = ACTIONS(4291),
    [anon_sym_U_SQUOTE] = ACTIONS(4291),
    [anon_sym_u8_SQUOTE] = ACTIONS(4291),
    [anon_sym_SQUOTE] = ACTIONS(4291),
    [anon_sym_L_DQUOTE] = ACTIONS(4293),
    [anon_sym_u_DQUOTE] = ACTIONS(4293),
    [anon_sym_U_DQUOTE] = ACTIONS(4293),
    [anon_sym_u8_DQUOTE] = ACTIONS(4293),
    [anon_sym_DQUOTE] = ACTIONS(4293),
    [sym_true] = ACTIONS(4295),
    [sym_false] = ACTIONS(4295),
    [anon_sym_NULL] = ACTIONS(4297),
    [anon_sym_nullptr] = ACTIONS(4297),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(4307),
    [anon_sym_R_DQUOTE] = ACTIONS(4309),
    [anon_sym_LR_DQUOTE] = ACTIONS(4309),
    [anon_sym_uR_DQUOTE] = ACTIONS(4309),
    [anon_sym_UR_DQUOTE] = ACTIONS(4309),
    [anon_sym_u8R_DQUOTE] = ACTIONS(4309),
    [anon_sym_co_await] = ACTIONS(4311),
    [anon_sym_new] = ACTIONS(4313),
    [anon_sym_requires] = ACTIONS(4315),
    [sym_this] = ACTIONS(4295),
  },
  [2039] = {
    [sym__expression] = STATE(5918),
    [sym__expression_not_binary] = STATE(5024),
    [sym__string] = STATE(5024),
    [sym_conditional_expression] = STATE(5024),
    [sym_assignment_expression] = STATE(5024),
    [sym_pointer_expression] = STATE(4507),
    [sym_unary_expression] = STATE(5024),
    [sym_binary_expression] = STATE(5024),
    [sym_update_expression] = STATE(5024),
    [sym_cast_expression] = STATE(5024),
    [sym_sizeof_expression] = STATE(5024),
    [sym_alignof_expression] = STATE(5024),
    [sym_offsetof_expression] = STATE(5024),
    [sym_generic_expression] = STATE(5024),
    [sym_subscript_expression] = STATE(4507),
    [sym_call_expression] = STATE(4507),
    [sym_gnu_asm_expression] = STATE(5024),
    [sym_field_expression] = STATE(4507),
    [sym_compound_literal_expression] = STATE(5024),
    [sym_parenthesized_expression] = STATE(4507),
    [sym_char_literal] = STATE(5374),
    [sym_concatenated_string] = STATE(5377),
    [sym_string_literal] = STATE(4206),
    [sym_null] = STATE(5024),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9352),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(5024),
    [sym_raw_string_literal] = STATE(4217),
    [sym_co_await_expression] = STATE(5024),
    [sym_new_expression] = STATE(5024),
    [sym_delete_expression] = STATE(5024),
    [sym_requires_clause] = STATE(5024),
    [sym_requires_expression] = STATE(5024),
    [sym_lambda_expression] = STATE(5024),
    [sym_lambda_capture_specifier] = STATE(7184),
    [sym_fold_expression] = STATE(5024),
    [sym_parameter_pack_expansion] = STATE(5024),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6886),
    [sym_qualified_identifier] = STATE(4507),
    [sym_qualified_type_identifier] = STATE(9352),
    [sym_user_defined_literal] = STATE(4507),
    [sym_identifier] = ACTIONS(3140),
    [anon_sym_LPAREN2] = ACTIONS(1472),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1474),
    [anon_sym_AMP] = ACTIONS(1474),
    [anon_sym_SEMI] = ACTIONS(5411),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [sym_primitive_type] = ACTIONS(3146),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [2040] = {
    [sym__expression] = STATE(5946),
    [sym__expression_not_binary] = STATE(5024),
    [sym__string] = STATE(5024),
    [sym_conditional_expression] = STATE(5024),
    [sym_assignment_expression] = STATE(5024),
    [sym_pointer_expression] = STATE(4507),
    [sym_unary_expression] = STATE(5024),
    [sym_binary_expression] = STATE(5024),
    [sym_update_expression] = STATE(5024),
    [sym_cast_expression] = STATE(5024),
    [sym_sizeof_expression] = STATE(5024),
    [sym_alignof_expression] = STATE(5024),
    [sym_offsetof_expression] = STATE(5024),
    [sym_generic_expression] = STATE(5024),
    [sym_subscript_expression] = STATE(4507),
    [sym_call_expression] = STATE(4507),
    [sym_gnu_asm_expression] = STATE(5024),
    [sym_field_expression] = STATE(4507),
    [sym_compound_literal_expression] = STATE(5024),
    [sym_parenthesized_expression] = STATE(4507),
    [sym_char_literal] = STATE(5374),
    [sym_concatenated_string] = STATE(5377),
    [sym_string_literal] = STATE(4206),
    [sym_null] = STATE(5024),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9352),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(5024),
    [sym_raw_string_literal] = STATE(4217),
    [sym_co_await_expression] = STATE(5024),
    [sym_new_expression] = STATE(5024),
    [sym_delete_expression] = STATE(5024),
    [sym_requires_clause] = STATE(5024),
    [sym_requires_expression] = STATE(5024),
    [sym_lambda_expression] = STATE(5024),
    [sym_lambda_capture_specifier] = STATE(7184),
    [sym_fold_expression] = STATE(5024),
    [sym_parameter_pack_expansion] = STATE(5024),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6886),
    [sym_qualified_identifier] = STATE(4507),
    [sym_qualified_type_identifier] = STATE(9352),
    [sym_user_defined_literal] = STATE(4507),
    [sym_identifier] = ACTIONS(3140),
    [anon_sym_LPAREN2] = ACTIONS(1472),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1474),
    [anon_sym_AMP] = ACTIONS(1474),
    [anon_sym_SEMI] = ACTIONS(5413),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [sym_primitive_type] = ACTIONS(3146),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [2041] = {
    [sym__expression] = STATE(5905),
    [sym__expression_not_binary] = STATE(5024),
    [sym__string] = STATE(5024),
    [sym_conditional_expression] = STATE(5024),
    [sym_assignment_expression] = STATE(5024),
    [sym_pointer_expression] = STATE(4507),
    [sym_unary_expression] = STATE(5024),
    [sym_binary_expression] = STATE(5024),
    [sym_update_expression] = STATE(5024),
    [sym_cast_expression] = STATE(5024),
    [sym_sizeof_expression] = STATE(5024),
    [sym_alignof_expression] = STATE(5024),
    [sym_offsetof_expression] = STATE(5024),
    [sym_generic_expression] = STATE(5024),
    [sym_subscript_expression] = STATE(4507),
    [sym_call_expression] = STATE(4507),
    [sym_gnu_asm_expression] = STATE(5024),
    [sym_field_expression] = STATE(4507),
    [sym_compound_literal_expression] = STATE(5024),
    [sym_parenthesized_expression] = STATE(4507),
    [sym_char_literal] = STATE(5374),
    [sym_concatenated_string] = STATE(5377),
    [sym_string_literal] = STATE(4206),
    [sym_null] = STATE(5024),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9352),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(5024),
    [sym_raw_string_literal] = STATE(4217),
    [sym_co_await_expression] = STATE(5024),
    [sym_new_expression] = STATE(5024),
    [sym_delete_expression] = STATE(5024),
    [sym_requires_clause] = STATE(5024),
    [sym_requires_expression] = STATE(5024),
    [sym_lambda_expression] = STATE(5024),
    [sym_lambda_capture_specifier] = STATE(7184),
    [sym_fold_expression] = STATE(5024),
    [sym_parameter_pack_expansion] = STATE(5024),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6886),
    [sym_qualified_identifier] = STATE(4507),
    [sym_qualified_type_identifier] = STATE(9352),
    [sym_user_defined_literal] = STATE(4507),
    [sym_identifier] = ACTIONS(3140),
    [anon_sym_LPAREN2] = ACTIONS(1472),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1474),
    [anon_sym_AMP] = ACTIONS(1474),
    [anon_sym_SEMI] = ACTIONS(5415),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [sym_primitive_type] = ACTIONS(3146),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [2042] = {
    [sym__expression] = STATE(3531),
    [sym__expression_not_binary] = STATE(3672),
    [sym__string] = STATE(3672),
    [sym_conditional_expression] = STATE(3672),
    [sym_assignment_expression] = STATE(3672),
    [sym_pointer_expression] = STATE(3672),
    [sym_unary_expression] = STATE(3672),
    [sym_binary_expression] = STATE(3672),
    [sym_update_expression] = STATE(3672),
    [sym_cast_expression] = STATE(3672),
    [sym_sizeof_expression] = STATE(3672),
    [sym_alignof_expression] = STATE(3672),
    [sym_offsetof_expression] = STATE(3672),
    [sym_generic_expression] = STATE(3672),
    [sym_subscript_expression] = STATE(3672),
    [sym_call_expression] = STATE(3672),
    [sym_gnu_asm_expression] = STATE(3672),
    [sym_field_expression] = STATE(3672),
    [sym_compound_literal_expression] = STATE(3672),
    [sym_parenthesized_expression] = STATE(3672),
    [sym_char_literal] = STATE(3991),
    [sym_concatenated_string] = STATE(3973),
    [sym_string_literal] = STATE(3242),
    [sym_null] = STATE(3672),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9333),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(3672),
    [sym_raw_string_literal] = STATE(3241),
    [sym_co_await_expression] = STATE(3672),
    [sym_new_expression] = STATE(3672),
    [sym_delete_expression] = STATE(3672),
    [sym_requires_clause] = STATE(3672),
    [sym_requires_expression] = STATE(3672),
    [sym_lambda_expression] = STATE(3672),
    [sym_lambda_capture_specifier] = STATE(7134),
    [sym_fold_expression] = STATE(3672),
    [sym_parameter_pack_expansion] = STATE(3672),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6886),
    [sym_qualified_identifier] = STATE(3672),
    [sym_qualified_type_identifier] = STATE(9333),
    [sym_user_defined_literal] = STATE(3672),
    [sym_identifier] = ACTIONS(3968),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5417),
    [anon_sym_LPAREN2] = ACTIONS(5419),
    [anon_sym_BANG] = ACTIONS(3972),
    [anon_sym_TILDE] = ACTIONS(3972),
    [anon_sym_DASH] = ACTIONS(3970),
    [anon_sym_PLUS] = ACTIONS(3970),
    [anon_sym_STAR] = ACTIONS(1474),
    [anon_sym_AMP] = ACTIONS(1474),
    [anon_sym_COLON_COLON] = ACTIONS(3974),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [sym_primitive_type] = ACTIONS(3928),
    [anon_sym_not] = ACTIONS(3970),
    [anon_sym_compl] = ACTIONS(3970),
    [anon_sym_DASH_DASH] = ACTIONS(4385),
    [anon_sym_PLUS_PLUS] = ACTIONS(4385),
    [anon_sym_sizeof] = ACTIONS(3976),
    [anon_sym___alignof__] = ACTIONS(3932),
    [anon_sym___alignof] = ACTIONS(3932),
    [anon_sym__alignof] = ACTIONS(3932),
    [anon_sym_alignof] = ACTIONS(3932),
    [anon_sym__Alignof] = ACTIONS(3932),
    [anon_sym_offsetof] = ACTIONS(3934),
    [anon_sym__Generic] = ACTIONS(3936),
    [anon_sym_asm] = ACTIONS(3938),
    [anon_sym___asm__] = ACTIONS(3938),
    [sym_number_literal] = ACTIONS(3978),
    [anon_sym_L_SQUOTE] = ACTIONS(3980),
    [anon_sym_u_SQUOTE] = ACTIONS(3980),
    [anon_sym_U_SQUOTE] = ACTIONS(3980),
    [anon_sym_u8_SQUOTE] = ACTIONS(3980),
    [anon_sym_SQUOTE] = ACTIONS(3980),
    [anon_sym_L_DQUOTE] = ACTIONS(3982),
    [anon_sym_u_DQUOTE] = ACTIONS(3982),
    [anon_sym_U_DQUOTE] = ACTIONS(3982),
    [anon_sym_u8_DQUOTE] = ACTIONS(3982),
    [anon_sym_DQUOTE] = ACTIONS(3982),
    [sym_true] = ACTIONS(3946),
    [sym_false] = ACTIONS(3946),
    [anon_sym_NULL] = ACTIONS(3948),
    [anon_sym_nullptr] = ACTIONS(3948),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(3984),
    [anon_sym_R_DQUOTE] = ACTIONS(3986),
    [anon_sym_LR_DQUOTE] = ACTIONS(3986),
    [anon_sym_uR_DQUOTE] = ACTIONS(3986),
    [anon_sym_UR_DQUOTE] = ACTIONS(3986),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3986),
    [anon_sym_co_await] = ACTIONS(3988),
    [anon_sym_new] = ACTIONS(3990),
    [anon_sym_requires] = ACTIONS(3958),
    [sym_this] = ACTIONS(3946),
  },
  [2043] = {
    [sym__expression] = STATE(4795),
    [sym__expression_not_binary] = STATE(4939),
    [sym__string] = STATE(4939),
    [sym_conditional_expression] = STATE(4939),
    [sym_assignment_expression] = STATE(4939),
    [sym_pointer_expression] = STATE(4521),
    [sym_unary_expression] = STATE(4939),
    [sym_binary_expression] = STATE(4939),
    [sym_update_expression] = STATE(4939),
    [sym_cast_expression] = STATE(4939),
    [sym_sizeof_expression] = STATE(4939),
    [sym_alignof_expression] = STATE(4939),
    [sym_offsetof_expression] = STATE(4939),
    [sym_generic_expression] = STATE(4939),
    [sym_subscript_expression] = STATE(4521),
    [sym_call_expression] = STATE(4521),
    [sym_gnu_asm_expression] = STATE(4939),
    [sym_field_expression] = STATE(4521),
    [sym_compound_literal_expression] = STATE(4939),
    [sym_parenthesized_expression] = STATE(4521),
    [sym_char_literal] = STATE(4856),
    [sym_concatenated_string] = STATE(4876),
    [sym_string_literal] = STATE(3630),
    [sym_null] = STATE(4939),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9415),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(4939),
    [sym_raw_string_literal] = STATE(3632),
    [sym_co_await_expression] = STATE(4939),
    [sym_new_expression] = STATE(4939),
    [sym_delete_expression] = STATE(4939),
    [sym_requires_clause] = STATE(4939),
    [sym_requires_expression] = STATE(4939),
    [sym_lambda_expression] = STATE(4939),
    [sym_lambda_capture_specifier] = STATE(7190),
    [sym_fold_expression] = STATE(4939),
    [sym_parameter_pack_expansion] = STATE(4939),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6899),
    [sym_qualified_identifier] = STATE(4521),
    [sym_qualified_type_identifier] = STATE(9415),
    [sym_user_defined_literal] = STATE(4521),
    [sym_identifier] = ACTIONS(4178),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5421),
    [anon_sym_LPAREN2] = ACTIONS(2110),
    [anon_sym_BANG] = ACTIONS(2112),
    [anon_sym_TILDE] = ACTIONS(2112),
    [anon_sym_DASH] = ACTIONS(2114),
    [anon_sym_PLUS] = ACTIONS(2114),
    [anon_sym_STAR] = ACTIONS(2116),
    [anon_sym_AMP] = ACTIONS(2116),
    [anon_sym_COLON_COLON] = ACTIONS(2120),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [sym_primitive_type] = ACTIONS(4182),
    [anon_sym_not] = ACTIONS(2114),
    [anon_sym_compl] = ACTIONS(2114),
    [anon_sym_DASH_DASH] = ACTIONS(2132),
    [anon_sym_PLUS_PLUS] = ACTIONS(2132),
    [anon_sym_sizeof] = ACTIONS(2134),
    [anon_sym___alignof__] = ACTIONS(2136),
    [anon_sym___alignof] = ACTIONS(2136),
    [anon_sym__alignof] = ACTIONS(2136),
    [anon_sym_alignof] = ACTIONS(2136),
    [anon_sym__Alignof] = ACTIONS(2136),
    [anon_sym_offsetof] = ACTIONS(2138),
    [anon_sym__Generic] = ACTIONS(2140),
    [anon_sym_asm] = ACTIONS(2142),
    [anon_sym___asm__] = ACTIONS(2142),
    [sym_number_literal] = ACTIONS(2144),
    [anon_sym_L_SQUOTE] = ACTIONS(2146),
    [anon_sym_u_SQUOTE] = ACTIONS(2146),
    [anon_sym_U_SQUOTE] = ACTIONS(2146),
    [anon_sym_u8_SQUOTE] = ACTIONS(2146),
    [anon_sym_SQUOTE] = ACTIONS(2146),
    [anon_sym_L_DQUOTE] = ACTIONS(2148),
    [anon_sym_u_DQUOTE] = ACTIONS(2148),
    [anon_sym_U_DQUOTE] = ACTIONS(2148),
    [anon_sym_u8_DQUOTE] = ACTIONS(2148),
    [anon_sym_DQUOTE] = ACTIONS(2148),
    [sym_true] = ACTIONS(2150),
    [sym_false] = ACTIONS(2150),
    [anon_sym_NULL] = ACTIONS(2152),
    [anon_sym_nullptr] = ACTIONS(2152),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(2156),
    [anon_sym_R_DQUOTE] = ACTIONS(2158),
    [anon_sym_LR_DQUOTE] = ACTIONS(2158),
    [anon_sym_uR_DQUOTE] = ACTIONS(2158),
    [anon_sym_UR_DQUOTE] = ACTIONS(2158),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2158),
    [anon_sym_co_await] = ACTIONS(2160),
    [anon_sym_new] = ACTIONS(2162),
    [anon_sym_requires] = ACTIONS(2164),
    [sym_this] = ACTIONS(2150),
  },
  [2044] = {
    [sym__expression] = STATE(4715),
    [sym__expression_not_binary] = STATE(4939),
    [sym__string] = STATE(4939),
    [sym_conditional_expression] = STATE(4939),
    [sym_assignment_expression] = STATE(4939),
    [sym_pointer_expression] = STATE(4521),
    [sym_unary_expression] = STATE(4939),
    [sym_binary_expression] = STATE(4939),
    [sym_update_expression] = STATE(4939),
    [sym_cast_expression] = STATE(4939),
    [sym_sizeof_expression] = STATE(4939),
    [sym_alignof_expression] = STATE(4939),
    [sym_offsetof_expression] = STATE(4939),
    [sym_generic_expression] = STATE(4939),
    [sym_subscript_expression] = STATE(4521),
    [sym_call_expression] = STATE(4521),
    [sym_gnu_asm_expression] = STATE(4939),
    [sym_field_expression] = STATE(4521),
    [sym_compound_literal_expression] = STATE(4939),
    [sym_parenthesized_expression] = STATE(4521),
    [sym_char_literal] = STATE(4856),
    [sym_concatenated_string] = STATE(4876),
    [sym_string_literal] = STATE(3630),
    [sym_null] = STATE(4939),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9415),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(4939),
    [sym_raw_string_literal] = STATE(3632),
    [sym_co_await_expression] = STATE(4939),
    [sym_new_expression] = STATE(4939),
    [sym_delete_expression] = STATE(4939),
    [sym_requires_clause] = STATE(4939),
    [sym_requires_expression] = STATE(4939),
    [sym_lambda_expression] = STATE(4939),
    [sym_lambda_capture_specifier] = STATE(7190),
    [sym_fold_expression] = STATE(4939),
    [sym_parameter_pack_expansion] = STATE(4939),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6899),
    [sym_qualified_identifier] = STATE(4521),
    [sym_qualified_type_identifier] = STATE(9415),
    [sym_user_defined_literal] = STATE(4521),
    [sym_identifier] = ACTIONS(4178),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5424),
    [anon_sym_LPAREN2] = ACTIONS(2110),
    [anon_sym_BANG] = ACTIONS(2112),
    [anon_sym_TILDE] = ACTIONS(2112),
    [anon_sym_DASH] = ACTIONS(2114),
    [anon_sym_PLUS] = ACTIONS(2114),
    [anon_sym_STAR] = ACTIONS(2116),
    [anon_sym_AMP] = ACTIONS(2116),
    [anon_sym_COLON_COLON] = ACTIONS(2120),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [sym_primitive_type] = ACTIONS(4182),
    [anon_sym_not] = ACTIONS(2114),
    [anon_sym_compl] = ACTIONS(2114),
    [anon_sym_DASH_DASH] = ACTIONS(2132),
    [anon_sym_PLUS_PLUS] = ACTIONS(2132),
    [anon_sym_sizeof] = ACTIONS(2134),
    [anon_sym___alignof__] = ACTIONS(2136),
    [anon_sym___alignof] = ACTIONS(2136),
    [anon_sym__alignof] = ACTIONS(2136),
    [anon_sym_alignof] = ACTIONS(2136),
    [anon_sym__Alignof] = ACTIONS(2136),
    [anon_sym_offsetof] = ACTIONS(2138),
    [anon_sym__Generic] = ACTIONS(2140),
    [anon_sym_asm] = ACTIONS(2142),
    [anon_sym___asm__] = ACTIONS(2142),
    [sym_number_literal] = ACTIONS(2144),
    [anon_sym_L_SQUOTE] = ACTIONS(2146),
    [anon_sym_u_SQUOTE] = ACTIONS(2146),
    [anon_sym_U_SQUOTE] = ACTIONS(2146),
    [anon_sym_u8_SQUOTE] = ACTIONS(2146),
    [anon_sym_SQUOTE] = ACTIONS(2146),
    [anon_sym_L_DQUOTE] = ACTIONS(2148),
    [anon_sym_u_DQUOTE] = ACTIONS(2148),
    [anon_sym_U_DQUOTE] = ACTIONS(2148),
    [anon_sym_u8_DQUOTE] = ACTIONS(2148),
    [anon_sym_DQUOTE] = ACTIONS(2148),
    [sym_true] = ACTIONS(2150),
    [sym_false] = ACTIONS(2150),
    [anon_sym_NULL] = ACTIONS(2152),
    [anon_sym_nullptr] = ACTIONS(2152),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(2156),
    [anon_sym_R_DQUOTE] = ACTIONS(2158),
    [anon_sym_LR_DQUOTE] = ACTIONS(2158),
    [anon_sym_uR_DQUOTE] = ACTIONS(2158),
    [anon_sym_UR_DQUOTE] = ACTIONS(2158),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2158),
    [anon_sym_co_await] = ACTIONS(2160),
    [anon_sym_new] = ACTIONS(2162),
    [anon_sym_requires] = ACTIONS(2164),
    [sym_this] = ACTIONS(2150),
  },
  [2045] = {
    [sym__expression] = STATE(5632),
    [sym__expression_not_binary] = STATE(5024),
    [sym__string] = STATE(5024),
    [sym_conditional_expression] = STATE(5024),
    [sym_assignment_expression] = STATE(5024),
    [sym_pointer_expression] = STATE(4713),
    [sym_unary_expression] = STATE(5024),
    [sym_binary_expression] = STATE(5024),
    [sym_update_expression] = STATE(5024),
    [sym_cast_expression] = STATE(5024),
    [sym_sizeof_expression] = STATE(5024),
    [sym_alignof_expression] = STATE(5024),
    [sym_offsetof_expression] = STATE(5024),
    [sym_generic_expression] = STATE(5024),
    [sym_subscript_expression] = STATE(4713),
    [sym_call_expression] = STATE(4713),
    [sym_gnu_asm_expression] = STATE(5024),
    [sym_field_expression] = STATE(4713),
    [sym_compound_literal_expression] = STATE(5024),
    [sym_parenthesized_expression] = STATE(4713),
    [sym_char_literal] = STATE(5374),
    [sym_concatenated_string] = STATE(5377),
    [sym_string_literal] = STATE(4206),
    [sym_null] = STATE(5024),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9352),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(5024),
    [sym_raw_string_literal] = STATE(4217),
    [sym_co_await_expression] = STATE(5024),
    [sym_new_expression] = STATE(5024),
    [sym_delete_expression] = STATE(5024),
    [sym_requires_clause] = STATE(5024),
    [sym_requires_expression] = STATE(5024),
    [sym_lambda_expression] = STATE(5024),
    [sym_lambda_capture_specifier] = STATE(7184),
    [sym_fold_expression] = STATE(5024),
    [sym_parameter_pack_expansion] = STATE(5024),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6886),
    [sym_qualified_identifier] = STATE(4713),
    [sym_qualified_type_identifier] = STATE(9352),
    [sym_user_defined_literal] = STATE(4713),
    [sym_identifier] = ACTIONS(4518),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5370),
    [anon_sym_LPAREN2] = ACTIONS(5427),
    [anon_sym_BANG] = ACTIONS(4522),
    [anon_sym_TILDE] = ACTIONS(4522),
    [anon_sym_DASH] = ACTIONS(4520),
    [anon_sym_PLUS] = ACTIONS(4520),
    [anon_sym_STAR] = ACTIONS(5190),
    [anon_sym_AMP] = ACTIONS(5190),
    [anon_sym_COLON_COLON] = ACTIONS(4524),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [sym_primitive_type] = ACTIONS(3146),
    [anon_sym_not] = ACTIONS(4520),
    [anon_sym_compl] = ACTIONS(4520),
    [anon_sym_DASH_DASH] = ACTIONS(5071),
    [anon_sym_PLUS_PLUS] = ACTIONS(5071),
    [anon_sym_sizeof] = ACTIONS(4526),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(4528),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(4530),
    [anon_sym_new] = ACTIONS(4516),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [2046] = {
    [sym__expression] = STATE(3520),
    [sym__expression_not_binary] = STATE(3672),
    [sym__string] = STATE(3672),
    [sym_conditional_expression] = STATE(3672),
    [sym_assignment_expression] = STATE(3672),
    [sym_pointer_expression] = STATE(3672),
    [sym_unary_expression] = STATE(3672),
    [sym_binary_expression] = STATE(3672),
    [sym_update_expression] = STATE(3672),
    [sym_cast_expression] = STATE(3672),
    [sym_sizeof_expression] = STATE(3672),
    [sym_alignof_expression] = STATE(3672),
    [sym_offsetof_expression] = STATE(3672),
    [sym_generic_expression] = STATE(3672),
    [sym_subscript_expression] = STATE(3672),
    [sym_call_expression] = STATE(3672),
    [sym_gnu_asm_expression] = STATE(3672),
    [sym_field_expression] = STATE(3672),
    [sym_compound_literal_expression] = STATE(3672),
    [sym_parenthesized_expression] = STATE(3672),
    [sym_char_literal] = STATE(3991),
    [sym_concatenated_string] = STATE(3973),
    [sym_string_literal] = STATE(3242),
    [sym_null] = STATE(3672),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9333),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(3672),
    [sym_raw_string_literal] = STATE(3241),
    [sym_co_await_expression] = STATE(3672),
    [sym_new_expression] = STATE(3672),
    [sym_delete_expression] = STATE(3672),
    [sym_requires_clause] = STATE(3672),
    [sym_requires_expression] = STATE(3672),
    [sym_lambda_expression] = STATE(3672),
    [sym_lambda_capture_specifier] = STATE(7134),
    [sym_fold_expression] = STATE(3672),
    [sym_parameter_pack_expansion] = STATE(3672),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6886),
    [sym_qualified_identifier] = STATE(3672),
    [sym_qualified_type_identifier] = STATE(9333),
    [sym_user_defined_literal] = STATE(3672),
    [sym_identifier] = ACTIONS(3968),
    [anon_sym_LPAREN2] = ACTIONS(5219),
    [anon_sym_BANG] = ACTIONS(3972),
    [anon_sym_TILDE] = ACTIONS(3972),
    [anon_sym_DASH] = ACTIONS(3970),
    [anon_sym_PLUS] = ACTIONS(3970),
    [anon_sym_STAR] = ACTIONS(1474),
    [anon_sym_AMP] = ACTIONS(1474),
    [anon_sym_COLON_COLON] = ACTIONS(3974),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [anon_sym_RBRACK] = ACTIONS(5429),
    [sym_primitive_type] = ACTIONS(3928),
    [anon_sym_not] = ACTIONS(3970),
    [anon_sym_compl] = ACTIONS(3970),
    [anon_sym_DASH_DASH] = ACTIONS(4385),
    [anon_sym_PLUS_PLUS] = ACTIONS(4385),
    [anon_sym_sizeof] = ACTIONS(3976),
    [anon_sym___alignof__] = ACTIONS(3932),
    [anon_sym___alignof] = ACTIONS(3932),
    [anon_sym__alignof] = ACTIONS(3932),
    [anon_sym_alignof] = ACTIONS(3932),
    [anon_sym__Alignof] = ACTIONS(3932),
    [anon_sym_offsetof] = ACTIONS(3934),
    [anon_sym__Generic] = ACTIONS(3936),
    [anon_sym_asm] = ACTIONS(3938),
    [anon_sym___asm__] = ACTIONS(3938),
    [sym_number_literal] = ACTIONS(3978),
    [anon_sym_L_SQUOTE] = ACTIONS(3980),
    [anon_sym_u_SQUOTE] = ACTIONS(3980),
    [anon_sym_U_SQUOTE] = ACTIONS(3980),
    [anon_sym_u8_SQUOTE] = ACTIONS(3980),
    [anon_sym_SQUOTE] = ACTIONS(3980),
    [anon_sym_L_DQUOTE] = ACTIONS(3982),
    [anon_sym_u_DQUOTE] = ACTIONS(3982),
    [anon_sym_U_DQUOTE] = ACTIONS(3982),
    [anon_sym_u8_DQUOTE] = ACTIONS(3982),
    [anon_sym_DQUOTE] = ACTIONS(3982),
    [sym_true] = ACTIONS(3946),
    [sym_false] = ACTIONS(3946),
    [anon_sym_NULL] = ACTIONS(3948),
    [anon_sym_nullptr] = ACTIONS(3948),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(3984),
    [anon_sym_R_DQUOTE] = ACTIONS(3986),
    [anon_sym_LR_DQUOTE] = ACTIONS(3986),
    [anon_sym_uR_DQUOTE] = ACTIONS(3986),
    [anon_sym_UR_DQUOTE] = ACTIONS(3986),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3986),
    [anon_sym_co_await] = ACTIONS(3988),
    [anon_sym_new] = ACTIONS(3990),
    [anon_sym_requires] = ACTIONS(3958),
    [sym_this] = ACTIONS(3946),
  },
  [2047] = {
    [sym__expression] = STATE(3520),
    [sym__expression_not_binary] = STATE(3672),
    [sym__string] = STATE(3672),
    [sym_conditional_expression] = STATE(3672),
    [sym_assignment_expression] = STATE(3672),
    [sym_pointer_expression] = STATE(3672),
    [sym_unary_expression] = STATE(3672),
    [sym_binary_expression] = STATE(3672),
    [sym_update_expression] = STATE(3672),
    [sym_cast_expression] = STATE(3672),
    [sym_sizeof_expression] = STATE(3672),
    [sym_alignof_expression] = STATE(3672),
    [sym_offsetof_expression] = STATE(3672),
    [sym_generic_expression] = STATE(3672),
    [sym_subscript_expression] = STATE(3672),
    [sym_call_expression] = STATE(3672),
    [sym_gnu_asm_expression] = STATE(3672),
    [sym_field_expression] = STATE(3672),
    [sym_compound_literal_expression] = STATE(3672),
    [sym_parenthesized_expression] = STATE(3672),
    [sym_char_literal] = STATE(3991),
    [sym_concatenated_string] = STATE(3973),
    [sym_string_literal] = STATE(3242),
    [sym_null] = STATE(3672),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9333),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(3672),
    [sym_raw_string_literal] = STATE(3241),
    [sym_co_await_expression] = STATE(3672),
    [sym_new_expression] = STATE(3672),
    [sym_delete_expression] = STATE(3672),
    [sym_requires_clause] = STATE(3672),
    [sym_requires_expression] = STATE(3672),
    [sym_lambda_expression] = STATE(3672),
    [sym_lambda_capture_specifier] = STATE(7134),
    [sym_fold_expression] = STATE(3672),
    [sym_parameter_pack_expansion] = STATE(3672),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6886),
    [sym_qualified_identifier] = STATE(3672),
    [sym_qualified_type_identifier] = STATE(9333),
    [sym_user_defined_literal] = STATE(3672),
    [sym_identifier] = ACTIONS(3968),
    [anon_sym_LPAREN2] = ACTIONS(5219),
    [anon_sym_BANG] = ACTIONS(3972),
    [anon_sym_TILDE] = ACTIONS(3972),
    [anon_sym_DASH] = ACTIONS(3970),
    [anon_sym_PLUS] = ACTIONS(3970),
    [anon_sym_STAR] = ACTIONS(1474),
    [anon_sym_AMP] = ACTIONS(1474),
    [anon_sym_COLON_COLON] = ACTIONS(3974),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [anon_sym_RBRACK] = ACTIONS(5431),
    [sym_primitive_type] = ACTIONS(3928),
    [anon_sym_not] = ACTIONS(3970),
    [anon_sym_compl] = ACTIONS(3970),
    [anon_sym_DASH_DASH] = ACTIONS(4385),
    [anon_sym_PLUS_PLUS] = ACTIONS(4385),
    [anon_sym_sizeof] = ACTIONS(3976),
    [anon_sym___alignof__] = ACTIONS(3932),
    [anon_sym___alignof] = ACTIONS(3932),
    [anon_sym__alignof] = ACTIONS(3932),
    [anon_sym_alignof] = ACTIONS(3932),
    [anon_sym__Alignof] = ACTIONS(3932),
    [anon_sym_offsetof] = ACTIONS(3934),
    [anon_sym__Generic] = ACTIONS(3936),
    [anon_sym_asm] = ACTIONS(3938),
    [anon_sym___asm__] = ACTIONS(3938),
    [sym_number_literal] = ACTIONS(3978),
    [anon_sym_L_SQUOTE] = ACTIONS(3980),
    [anon_sym_u_SQUOTE] = ACTIONS(3980),
    [anon_sym_U_SQUOTE] = ACTIONS(3980),
    [anon_sym_u8_SQUOTE] = ACTIONS(3980),
    [anon_sym_SQUOTE] = ACTIONS(3980),
    [anon_sym_L_DQUOTE] = ACTIONS(3982),
    [anon_sym_u_DQUOTE] = ACTIONS(3982),
    [anon_sym_U_DQUOTE] = ACTIONS(3982),
    [anon_sym_u8_DQUOTE] = ACTIONS(3982),
    [anon_sym_DQUOTE] = ACTIONS(3982),
    [sym_true] = ACTIONS(3946),
    [sym_false] = ACTIONS(3946),
    [anon_sym_NULL] = ACTIONS(3948),
    [anon_sym_nullptr] = ACTIONS(3948),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(3984),
    [anon_sym_R_DQUOTE] = ACTIONS(3986),
    [anon_sym_LR_DQUOTE] = ACTIONS(3986),
    [anon_sym_uR_DQUOTE] = ACTIONS(3986),
    [anon_sym_UR_DQUOTE] = ACTIONS(3986),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3986),
    [anon_sym_co_await] = ACTIONS(3988),
    [anon_sym_new] = ACTIONS(3990),
    [anon_sym_requires] = ACTIONS(3958),
    [sym_this] = ACTIONS(3946),
  },
  [2048] = {
    [sym__expression] = STATE(5874),
    [sym__expression_not_binary] = STATE(5024),
    [sym__string] = STATE(5024),
    [sym_conditional_expression] = STATE(5024),
    [sym_assignment_expression] = STATE(5024),
    [sym_pointer_expression] = STATE(4507),
    [sym_unary_expression] = STATE(5024),
    [sym_binary_expression] = STATE(5024),
    [sym_update_expression] = STATE(5024),
    [sym_cast_expression] = STATE(5024),
    [sym_sizeof_expression] = STATE(5024),
    [sym_alignof_expression] = STATE(5024),
    [sym_offsetof_expression] = STATE(5024),
    [sym_generic_expression] = STATE(5024),
    [sym_subscript_expression] = STATE(4507),
    [sym_call_expression] = STATE(4507),
    [sym_gnu_asm_expression] = STATE(5024),
    [sym_field_expression] = STATE(4507),
    [sym_compound_literal_expression] = STATE(5024),
    [sym_parenthesized_expression] = STATE(4507),
    [sym_char_literal] = STATE(5374),
    [sym_concatenated_string] = STATE(5377),
    [sym_string_literal] = STATE(4206),
    [sym_null] = STATE(5024),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9352),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(5024),
    [sym_raw_string_literal] = STATE(4217),
    [sym_co_await_expression] = STATE(5024),
    [sym_new_expression] = STATE(5024),
    [sym_delete_expression] = STATE(5024),
    [sym_requires_clause] = STATE(5024),
    [sym_requires_expression] = STATE(5024),
    [sym_lambda_expression] = STATE(5024),
    [sym_lambda_capture_specifier] = STATE(7184),
    [sym_fold_expression] = STATE(5024),
    [sym_parameter_pack_expansion] = STATE(5024),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6886),
    [sym_qualified_identifier] = STATE(4507),
    [sym_qualified_type_identifier] = STATE(9352),
    [sym_user_defined_literal] = STATE(4507),
    [sym_identifier] = ACTIONS(3140),
    [anon_sym_LPAREN2] = ACTIONS(1472),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1474),
    [anon_sym_AMP] = ACTIONS(1474),
    [anon_sym_SEMI] = ACTIONS(5433),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [sym_primitive_type] = ACTIONS(3146),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [2049] = {
    [sym__expression] = STATE(3531),
    [sym__expression_not_binary] = STATE(3672),
    [sym__string] = STATE(3672),
    [sym_conditional_expression] = STATE(3672),
    [sym_assignment_expression] = STATE(3672),
    [sym_pointer_expression] = STATE(3672),
    [sym_unary_expression] = STATE(3672),
    [sym_binary_expression] = STATE(3672),
    [sym_update_expression] = STATE(3672),
    [sym_cast_expression] = STATE(3672),
    [sym_sizeof_expression] = STATE(3672),
    [sym_alignof_expression] = STATE(3672),
    [sym_offsetof_expression] = STATE(3672),
    [sym_generic_expression] = STATE(3672),
    [sym_subscript_expression] = STATE(3672),
    [sym_call_expression] = STATE(3672),
    [sym_gnu_asm_expression] = STATE(3672),
    [sym_field_expression] = STATE(3672),
    [sym_compound_literal_expression] = STATE(3672),
    [sym_parenthesized_expression] = STATE(3672),
    [sym_char_literal] = STATE(3855),
    [sym_concatenated_string] = STATE(3873),
    [sym_string_literal] = STATE(3222),
    [sym_null] = STATE(3672),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9333),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(3672),
    [sym_raw_string_literal] = STATE(3216),
    [sym_co_await_expression] = STATE(3672),
    [sym_new_expression] = STATE(3672),
    [sym_delete_expression] = STATE(3672),
    [sym_requires_clause] = STATE(3672),
    [sym_requires_expression] = STATE(3672),
    [sym_lambda_expression] = STATE(3672),
    [sym_lambda_capture_specifier] = STATE(7134),
    [sym_fold_expression] = STATE(3672),
    [sym_parameter_pack_expansion] = STATE(3672),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6886),
    [sym_qualified_identifier] = STATE(3672),
    [sym_qualified_type_identifier] = STATE(9333),
    [sym_user_defined_literal] = STATE(3672),
    [sym_identifier] = ACTIONS(3968),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5417),
    [anon_sym_LPAREN2] = ACTIONS(5435),
    [anon_sym_BANG] = ACTIONS(3922),
    [anon_sym_TILDE] = ACTIONS(3922),
    [anon_sym_DASH] = ACTIONS(3920),
    [anon_sym_PLUS] = ACTIONS(3920),
    [anon_sym_STAR] = ACTIONS(5186),
    [anon_sym_AMP] = ACTIONS(5186),
    [anon_sym_COLON_COLON] = ACTIONS(3924),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [sym_primitive_type] = ACTIONS(3928),
    [anon_sym_not] = ACTIONS(3920),
    [anon_sym_compl] = ACTIONS(3920),
    [anon_sym_DASH_DASH] = ACTIONS(5013),
    [anon_sym_PLUS_PLUS] = ACTIONS(5013),
    [anon_sym_sizeof] = ACTIONS(3930),
    [anon_sym___alignof__] = ACTIONS(3932),
    [anon_sym___alignof] = ACTIONS(3932),
    [anon_sym__alignof] = ACTIONS(3932),
    [anon_sym_alignof] = ACTIONS(3932),
    [anon_sym__Alignof] = ACTIONS(3932),
    [anon_sym_offsetof] = ACTIONS(3934),
    [anon_sym__Generic] = ACTIONS(3936),
    [anon_sym_asm] = ACTIONS(3938),
    [anon_sym___asm__] = ACTIONS(3938),
    [sym_number_literal] = ACTIONS(3940),
    [anon_sym_L_SQUOTE] = ACTIONS(3942),
    [anon_sym_u_SQUOTE] = ACTIONS(3942),
    [anon_sym_U_SQUOTE] = ACTIONS(3942),
    [anon_sym_u8_SQUOTE] = ACTIONS(3942),
    [anon_sym_SQUOTE] = ACTIONS(3942),
    [anon_sym_L_DQUOTE] = ACTIONS(3944),
    [anon_sym_u_DQUOTE] = ACTIONS(3944),
    [anon_sym_U_DQUOTE] = ACTIONS(3944),
    [anon_sym_u8_DQUOTE] = ACTIONS(3944),
    [anon_sym_DQUOTE] = ACTIONS(3944),
    [sym_true] = ACTIONS(3946),
    [sym_false] = ACTIONS(3946),
    [anon_sym_NULL] = ACTIONS(3948),
    [anon_sym_nullptr] = ACTIONS(3948),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(3950),
    [anon_sym_R_DQUOTE] = ACTIONS(3952),
    [anon_sym_LR_DQUOTE] = ACTIONS(3952),
    [anon_sym_uR_DQUOTE] = ACTIONS(3952),
    [anon_sym_UR_DQUOTE] = ACTIONS(3952),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3952),
    [anon_sym_co_await] = ACTIONS(3954),
    [anon_sym_new] = ACTIONS(3956),
    [anon_sym_requires] = ACTIONS(3958),
    [sym_this] = ACTIONS(3946),
  },
  [2050] = {
    [sym__expression] = STATE(3520),
    [sym__expression_not_binary] = STATE(3672),
    [sym__string] = STATE(3672),
    [sym_conditional_expression] = STATE(3672),
    [sym_assignment_expression] = STATE(3672),
    [sym_pointer_expression] = STATE(3672),
    [sym_unary_expression] = STATE(3672),
    [sym_binary_expression] = STATE(3672),
    [sym_update_expression] = STATE(3672),
    [sym_cast_expression] = STATE(3672),
    [sym_sizeof_expression] = STATE(3672),
    [sym_alignof_expression] = STATE(3672),
    [sym_offsetof_expression] = STATE(3672),
    [sym_generic_expression] = STATE(3672),
    [sym_subscript_expression] = STATE(3672),
    [sym_call_expression] = STATE(3672),
    [sym_gnu_asm_expression] = STATE(3672),
    [sym_field_expression] = STATE(3672),
    [sym_compound_literal_expression] = STATE(3672),
    [sym_parenthesized_expression] = STATE(3672),
    [sym_char_literal] = STATE(3991),
    [sym_concatenated_string] = STATE(3973),
    [sym_string_literal] = STATE(3242),
    [sym_null] = STATE(3672),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9333),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(3672),
    [sym_raw_string_literal] = STATE(3241),
    [sym_co_await_expression] = STATE(3672),
    [sym_new_expression] = STATE(3672),
    [sym_delete_expression] = STATE(3672),
    [sym_requires_clause] = STATE(3672),
    [sym_requires_expression] = STATE(3672),
    [sym_lambda_expression] = STATE(3672),
    [sym_lambda_capture_specifier] = STATE(7134),
    [sym_fold_expression] = STATE(3672),
    [sym_parameter_pack_expansion] = STATE(3672),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6886),
    [sym_qualified_identifier] = STATE(3672),
    [sym_qualified_type_identifier] = STATE(9333),
    [sym_user_defined_literal] = STATE(3672),
    [sym_identifier] = ACTIONS(3968),
    [anon_sym_LPAREN2] = ACTIONS(5219),
    [anon_sym_BANG] = ACTIONS(3972),
    [anon_sym_TILDE] = ACTIONS(3972),
    [anon_sym_DASH] = ACTIONS(3970),
    [anon_sym_PLUS] = ACTIONS(3970),
    [anon_sym_STAR] = ACTIONS(1474),
    [anon_sym_AMP] = ACTIONS(1474),
    [anon_sym_COLON_COLON] = ACTIONS(3974),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [anon_sym_RBRACK] = ACTIONS(5437),
    [sym_primitive_type] = ACTIONS(3928),
    [anon_sym_not] = ACTIONS(3970),
    [anon_sym_compl] = ACTIONS(3970),
    [anon_sym_DASH_DASH] = ACTIONS(4385),
    [anon_sym_PLUS_PLUS] = ACTIONS(4385),
    [anon_sym_sizeof] = ACTIONS(3976),
    [anon_sym___alignof__] = ACTIONS(3932),
    [anon_sym___alignof] = ACTIONS(3932),
    [anon_sym__alignof] = ACTIONS(3932),
    [anon_sym_alignof] = ACTIONS(3932),
    [anon_sym__Alignof] = ACTIONS(3932),
    [anon_sym_offsetof] = ACTIONS(3934),
    [anon_sym__Generic] = ACTIONS(3936),
    [anon_sym_asm] = ACTIONS(3938),
    [anon_sym___asm__] = ACTIONS(3938),
    [sym_number_literal] = ACTIONS(3978),
    [anon_sym_L_SQUOTE] = ACTIONS(3980),
    [anon_sym_u_SQUOTE] = ACTIONS(3980),
    [anon_sym_U_SQUOTE] = ACTIONS(3980),
    [anon_sym_u8_SQUOTE] = ACTIONS(3980),
    [anon_sym_SQUOTE] = ACTIONS(3980),
    [anon_sym_L_DQUOTE] = ACTIONS(3982),
    [anon_sym_u_DQUOTE] = ACTIONS(3982),
    [anon_sym_U_DQUOTE] = ACTIONS(3982),
    [anon_sym_u8_DQUOTE] = ACTIONS(3982),
    [anon_sym_DQUOTE] = ACTIONS(3982),
    [sym_true] = ACTIONS(3946),
    [sym_false] = ACTIONS(3946),
    [anon_sym_NULL] = ACTIONS(3948),
    [anon_sym_nullptr] = ACTIONS(3948),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(3984),
    [anon_sym_R_DQUOTE] = ACTIONS(3986),
    [anon_sym_LR_DQUOTE] = ACTIONS(3986),
    [anon_sym_uR_DQUOTE] = ACTIONS(3986),
    [anon_sym_UR_DQUOTE] = ACTIONS(3986),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3986),
    [anon_sym_co_await] = ACTIONS(3988),
    [anon_sym_new] = ACTIONS(3990),
    [anon_sym_requires] = ACTIONS(3958),
    [sym_this] = ACTIONS(3946),
  },
  [2051] = {
    [sym__expression] = STATE(4715),
    [sym__expression_not_binary] = STATE(4939),
    [sym__string] = STATE(4939),
    [sym_conditional_expression] = STATE(4939),
    [sym_assignment_expression] = STATE(4939),
    [sym_pointer_expression] = STATE(4521),
    [sym_unary_expression] = STATE(4939),
    [sym_binary_expression] = STATE(4939),
    [sym_update_expression] = STATE(4939),
    [sym_cast_expression] = STATE(4939),
    [sym_sizeof_expression] = STATE(4939),
    [sym_alignof_expression] = STATE(4939),
    [sym_offsetof_expression] = STATE(4939),
    [sym_generic_expression] = STATE(4939),
    [sym_subscript_expression] = STATE(4521),
    [sym_call_expression] = STATE(4521),
    [sym_gnu_asm_expression] = STATE(4939),
    [sym_field_expression] = STATE(4521),
    [sym_compound_literal_expression] = STATE(4939),
    [sym_parenthesized_expression] = STATE(4521),
    [sym_char_literal] = STATE(4856),
    [sym_concatenated_string] = STATE(4876),
    [sym_string_literal] = STATE(3630),
    [sym_null] = STATE(4939),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9415),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(4939),
    [sym_raw_string_literal] = STATE(3632),
    [sym_co_await_expression] = STATE(4939),
    [sym_new_expression] = STATE(4939),
    [sym_delete_expression] = STATE(4939),
    [sym_requires_clause] = STATE(4939),
    [sym_requires_expression] = STATE(4939),
    [sym_lambda_expression] = STATE(4939),
    [sym_lambda_capture_specifier] = STATE(7190),
    [sym_fold_expression] = STATE(4939),
    [sym_parameter_pack_expansion] = STATE(4939),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6899),
    [sym_qualified_identifier] = STATE(4521),
    [sym_qualified_type_identifier] = STATE(9415),
    [sym_user_defined_literal] = STATE(4521),
    [sym_identifier] = ACTIONS(4178),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5439),
    [anon_sym_LPAREN2] = ACTIONS(2110),
    [anon_sym_BANG] = ACTIONS(2112),
    [anon_sym_TILDE] = ACTIONS(2112),
    [anon_sym_DASH] = ACTIONS(2114),
    [anon_sym_PLUS] = ACTIONS(2114),
    [anon_sym_STAR] = ACTIONS(2116),
    [anon_sym_AMP] = ACTIONS(2116),
    [anon_sym_COLON_COLON] = ACTIONS(2120),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [sym_primitive_type] = ACTIONS(4182),
    [anon_sym_not] = ACTIONS(2114),
    [anon_sym_compl] = ACTIONS(2114),
    [anon_sym_DASH_DASH] = ACTIONS(2132),
    [anon_sym_PLUS_PLUS] = ACTIONS(2132),
    [anon_sym_sizeof] = ACTIONS(2134),
    [anon_sym___alignof__] = ACTIONS(2136),
    [anon_sym___alignof] = ACTIONS(2136),
    [anon_sym__alignof] = ACTIONS(2136),
    [anon_sym_alignof] = ACTIONS(2136),
    [anon_sym__Alignof] = ACTIONS(2136),
    [anon_sym_offsetof] = ACTIONS(2138),
    [anon_sym__Generic] = ACTIONS(2140),
    [anon_sym_asm] = ACTIONS(2142),
    [anon_sym___asm__] = ACTIONS(2142),
    [sym_number_literal] = ACTIONS(2144),
    [anon_sym_L_SQUOTE] = ACTIONS(2146),
    [anon_sym_u_SQUOTE] = ACTIONS(2146),
    [anon_sym_U_SQUOTE] = ACTIONS(2146),
    [anon_sym_u8_SQUOTE] = ACTIONS(2146),
    [anon_sym_SQUOTE] = ACTIONS(2146),
    [anon_sym_L_DQUOTE] = ACTIONS(2148),
    [anon_sym_u_DQUOTE] = ACTIONS(2148),
    [anon_sym_U_DQUOTE] = ACTIONS(2148),
    [anon_sym_u8_DQUOTE] = ACTIONS(2148),
    [anon_sym_DQUOTE] = ACTIONS(2148),
    [sym_true] = ACTIONS(2150),
    [sym_false] = ACTIONS(2150),
    [anon_sym_NULL] = ACTIONS(2152),
    [anon_sym_nullptr] = ACTIONS(2152),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(2156),
    [anon_sym_R_DQUOTE] = ACTIONS(2158),
    [anon_sym_LR_DQUOTE] = ACTIONS(2158),
    [anon_sym_uR_DQUOTE] = ACTIONS(2158),
    [anon_sym_UR_DQUOTE] = ACTIONS(2158),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2158),
    [anon_sym_co_await] = ACTIONS(2160),
    [anon_sym_new] = ACTIONS(2162),
    [anon_sym_requires] = ACTIONS(2164),
    [sym_this] = ACTIONS(2150),
  },
  [2052] = {
    [sym__expression] = STATE(3520),
    [sym__expression_not_binary] = STATE(3672),
    [sym__string] = STATE(3672),
    [sym_conditional_expression] = STATE(3672),
    [sym_assignment_expression] = STATE(3672),
    [sym_pointer_expression] = STATE(3672),
    [sym_unary_expression] = STATE(3672),
    [sym_binary_expression] = STATE(3672),
    [sym_update_expression] = STATE(3672),
    [sym_cast_expression] = STATE(3672),
    [sym_sizeof_expression] = STATE(3672),
    [sym_alignof_expression] = STATE(3672),
    [sym_offsetof_expression] = STATE(3672),
    [sym_generic_expression] = STATE(3672),
    [sym_subscript_expression] = STATE(3672),
    [sym_call_expression] = STATE(3672),
    [sym_gnu_asm_expression] = STATE(3672),
    [sym_field_expression] = STATE(3672),
    [sym_compound_literal_expression] = STATE(3672),
    [sym_parenthesized_expression] = STATE(3672),
    [sym_char_literal] = STATE(3991),
    [sym_concatenated_string] = STATE(3973),
    [sym_string_literal] = STATE(3242),
    [sym_null] = STATE(3672),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9333),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(3672),
    [sym_raw_string_literal] = STATE(3241),
    [sym_co_await_expression] = STATE(3672),
    [sym_new_expression] = STATE(3672),
    [sym_delete_expression] = STATE(3672),
    [sym_requires_clause] = STATE(3672),
    [sym_requires_expression] = STATE(3672),
    [sym_lambda_expression] = STATE(3672),
    [sym_lambda_capture_specifier] = STATE(7134),
    [sym_fold_expression] = STATE(3672),
    [sym_parameter_pack_expansion] = STATE(3672),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6886),
    [sym_qualified_identifier] = STATE(3672),
    [sym_qualified_type_identifier] = STATE(9333),
    [sym_user_defined_literal] = STATE(3672),
    [sym_identifier] = ACTIONS(3968),
    [anon_sym_LPAREN2] = ACTIONS(5219),
    [anon_sym_BANG] = ACTIONS(3972),
    [anon_sym_TILDE] = ACTIONS(3972),
    [anon_sym_DASH] = ACTIONS(3970),
    [anon_sym_PLUS] = ACTIONS(3970),
    [anon_sym_STAR] = ACTIONS(1474),
    [anon_sym_AMP] = ACTIONS(1474),
    [anon_sym_COLON_COLON] = ACTIONS(3974),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [anon_sym_RBRACK] = ACTIONS(5442),
    [sym_primitive_type] = ACTIONS(3928),
    [anon_sym_not] = ACTIONS(3970),
    [anon_sym_compl] = ACTIONS(3970),
    [anon_sym_DASH_DASH] = ACTIONS(4385),
    [anon_sym_PLUS_PLUS] = ACTIONS(4385),
    [anon_sym_sizeof] = ACTIONS(3976),
    [anon_sym___alignof__] = ACTIONS(3932),
    [anon_sym___alignof] = ACTIONS(3932),
    [anon_sym__alignof] = ACTIONS(3932),
    [anon_sym_alignof] = ACTIONS(3932),
    [anon_sym__Alignof] = ACTIONS(3932),
    [anon_sym_offsetof] = ACTIONS(3934),
    [anon_sym__Generic] = ACTIONS(3936),
    [anon_sym_asm] = ACTIONS(3938),
    [anon_sym___asm__] = ACTIONS(3938),
    [sym_number_literal] = ACTIONS(3978),
    [anon_sym_L_SQUOTE] = ACTIONS(3980),
    [anon_sym_u_SQUOTE] = ACTIONS(3980),
    [anon_sym_U_SQUOTE] = ACTIONS(3980),
    [anon_sym_u8_SQUOTE] = ACTIONS(3980),
    [anon_sym_SQUOTE] = ACTIONS(3980),
    [anon_sym_L_DQUOTE] = ACTIONS(3982),
    [anon_sym_u_DQUOTE] = ACTIONS(3982),
    [anon_sym_U_DQUOTE] = ACTIONS(3982),
    [anon_sym_u8_DQUOTE] = ACTIONS(3982),
    [anon_sym_DQUOTE] = ACTIONS(3982),
    [sym_true] = ACTIONS(3946),
    [sym_false] = ACTIONS(3946),
    [anon_sym_NULL] = ACTIONS(3948),
    [anon_sym_nullptr] = ACTIONS(3948),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(3984),
    [anon_sym_R_DQUOTE] = ACTIONS(3986),
    [anon_sym_LR_DQUOTE] = ACTIONS(3986),
    [anon_sym_uR_DQUOTE] = ACTIONS(3986),
    [anon_sym_UR_DQUOTE] = ACTIONS(3986),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3986),
    [anon_sym_co_await] = ACTIONS(3988),
    [anon_sym_new] = ACTIONS(3990),
    [anon_sym_requires] = ACTIONS(3958),
    [sym_this] = ACTIONS(3946),
  },
  [2053] = {
    [sym__expression] = STATE(5857),
    [sym__expression_not_binary] = STATE(5024),
    [sym__string] = STATE(5024),
    [sym_conditional_expression] = STATE(5024),
    [sym_assignment_expression] = STATE(5024),
    [sym_pointer_expression] = STATE(4507),
    [sym_unary_expression] = STATE(5024),
    [sym_binary_expression] = STATE(5024),
    [sym_update_expression] = STATE(5024),
    [sym_cast_expression] = STATE(5024),
    [sym_sizeof_expression] = STATE(5024),
    [sym_alignof_expression] = STATE(5024),
    [sym_offsetof_expression] = STATE(5024),
    [sym_generic_expression] = STATE(5024),
    [sym_subscript_expression] = STATE(4507),
    [sym_call_expression] = STATE(4507),
    [sym_gnu_asm_expression] = STATE(5024),
    [sym_field_expression] = STATE(4507),
    [sym_compound_literal_expression] = STATE(5024),
    [sym_parenthesized_expression] = STATE(4507),
    [sym_char_literal] = STATE(5374),
    [sym_concatenated_string] = STATE(5377),
    [sym_string_literal] = STATE(4206),
    [sym_null] = STATE(5024),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9352),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(5024),
    [sym_raw_string_literal] = STATE(4217),
    [sym_co_await_expression] = STATE(5024),
    [sym_new_expression] = STATE(5024),
    [sym_delete_expression] = STATE(5024),
    [sym_requires_clause] = STATE(5024),
    [sym_requires_expression] = STATE(5024),
    [sym_lambda_expression] = STATE(5024),
    [sym_lambda_capture_specifier] = STATE(7184),
    [sym_fold_expression] = STATE(5024),
    [sym_parameter_pack_expansion] = STATE(5024),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6886),
    [sym_qualified_identifier] = STATE(4507),
    [sym_qualified_type_identifier] = STATE(9352),
    [sym_user_defined_literal] = STATE(4507),
    [sym_identifier] = ACTIONS(3140),
    [anon_sym_LPAREN2] = ACTIONS(1472),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1474),
    [anon_sym_AMP] = ACTIONS(1474),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [sym_primitive_type] = ACTIONS(3146),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5444),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [2054] = {
    [sym__expression] = STATE(3520),
    [sym__expression_not_binary] = STATE(3672),
    [sym__string] = STATE(3672),
    [sym_conditional_expression] = STATE(3672),
    [sym_assignment_expression] = STATE(3672),
    [sym_pointer_expression] = STATE(3672),
    [sym_unary_expression] = STATE(3672),
    [sym_binary_expression] = STATE(3672),
    [sym_update_expression] = STATE(3672),
    [sym_cast_expression] = STATE(3672),
    [sym_sizeof_expression] = STATE(3672),
    [sym_alignof_expression] = STATE(3672),
    [sym_offsetof_expression] = STATE(3672),
    [sym_generic_expression] = STATE(3672),
    [sym_subscript_expression] = STATE(3672),
    [sym_call_expression] = STATE(3672),
    [sym_gnu_asm_expression] = STATE(3672),
    [sym_field_expression] = STATE(3672),
    [sym_compound_literal_expression] = STATE(3672),
    [sym_parenthesized_expression] = STATE(3672),
    [sym_char_literal] = STATE(3991),
    [sym_concatenated_string] = STATE(3973),
    [sym_string_literal] = STATE(3242),
    [sym_null] = STATE(3672),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9333),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(3672),
    [sym_raw_string_literal] = STATE(3241),
    [sym_co_await_expression] = STATE(3672),
    [sym_new_expression] = STATE(3672),
    [sym_delete_expression] = STATE(3672),
    [sym_requires_clause] = STATE(3672),
    [sym_requires_expression] = STATE(3672),
    [sym_lambda_expression] = STATE(3672),
    [sym_lambda_capture_specifier] = STATE(7134),
    [sym_fold_expression] = STATE(3672),
    [sym_parameter_pack_expansion] = STATE(3672),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6886),
    [sym_qualified_identifier] = STATE(3672),
    [sym_qualified_type_identifier] = STATE(9333),
    [sym_user_defined_literal] = STATE(3672),
    [sym_identifier] = ACTIONS(3968),
    [anon_sym_LPAREN2] = ACTIONS(5219),
    [anon_sym_BANG] = ACTIONS(3972),
    [anon_sym_TILDE] = ACTIONS(3972),
    [anon_sym_DASH] = ACTIONS(3970),
    [anon_sym_PLUS] = ACTIONS(3970),
    [anon_sym_STAR] = ACTIONS(1474),
    [anon_sym_AMP] = ACTIONS(1474),
    [anon_sym_COLON_COLON] = ACTIONS(3974),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [anon_sym_RBRACK] = ACTIONS(5446),
    [sym_primitive_type] = ACTIONS(3928),
    [anon_sym_not] = ACTIONS(3970),
    [anon_sym_compl] = ACTIONS(3970),
    [anon_sym_DASH_DASH] = ACTIONS(4385),
    [anon_sym_PLUS_PLUS] = ACTIONS(4385),
    [anon_sym_sizeof] = ACTIONS(3976),
    [anon_sym___alignof__] = ACTIONS(3932),
    [anon_sym___alignof] = ACTIONS(3932),
    [anon_sym__alignof] = ACTIONS(3932),
    [anon_sym_alignof] = ACTIONS(3932),
    [anon_sym__Alignof] = ACTIONS(3932),
    [anon_sym_offsetof] = ACTIONS(3934),
    [anon_sym__Generic] = ACTIONS(3936),
    [anon_sym_asm] = ACTIONS(3938),
    [anon_sym___asm__] = ACTIONS(3938),
    [sym_number_literal] = ACTIONS(3978),
    [anon_sym_L_SQUOTE] = ACTIONS(3980),
    [anon_sym_u_SQUOTE] = ACTIONS(3980),
    [anon_sym_U_SQUOTE] = ACTIONS(3980),
    [anon_sym_u8_SQUOTE] = ACTIONS(3980),
    [anon_sym_SQUOTE] = ACTIONS(3980),
    [anon_sym_L_DQUOTE] = ACTIONS(3982),
    [anon_sym_u_DQUOTE] = ACTIONS(3982),
    [anon_sym_U_DQUOTE] = ACTIONS(3982),
    [anon_sym_u8_DQUOTE] = ACTIONS(3982),
    [anon_sym_DQUOTE] = ACTIONS(3982),
    [sym_true] = ACTIONS(3946),
    [sym_false] = ACTIONS(3946),
    [anon_sym_NULL] = ACTIONS(3948),
    [anon_sym_nullptr] = ACTIONS(3948),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(3984),
    [anon_sym_R_DQUOTE] = ACTIONS(3986),
    [anon_sym_LR_DQUOTE] = ACTIONS(3986),
    [anon_sym_uR_DQUOTE] = ACTIONS(3986),
    [anon_sym_UR_DQUOTE] = ACTIONS(3986),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3986),
    [anon_sym_co_await] = ACTIONS(3988),
    [anon_sym_new] = ACTIONS(3990),
    [anon_sym_requires] = ACTIONS(3958),
    [sym_this] = ACTIONS(3946),
  },
  [2055] = {
    [sym__expression] = STATE(4716),
    [sym__expression_not_binary] = STATE(4939),
    [sym__string] = STATE(4939),
    [sym_conditional_expression] = STATE(4939),
    [sym_assignment_expression] = STATE(4939),
    [sym_pointer_expression] = STATE(4521),
    [sym_unary_expression] = STATE(4939),
    [sym_binary_expression] = STATE(4939),
    [sym_update_expression] = STATE(4939),
    [sym_cast_expression] = STATE(4939),
    [sym_sizeof_expression] = STATE(4939),
    [sym_alignof_expression] = STATE(4939),
    [sym_offsetof_expression] = STATE(4939),
    [sym_generic_expression] = STATE(4939),
    [sym_subscript_expression] = STATE(4521),
    [sym_call_expression] = STATE(4521),
    [sym_gnu_asm_expression] = STATE(4939),
    [sym_field_expression] = STATE(4521),
    [sym_compound_literal_expression] = STATE(4939),
    [sym_parenthesized_expression] = STATE(4521),
    [sym_char_literal] = STATE(4856),
    [sym_concatenated_string] = STATE(4876),
    [sym_string_literal] = STATE(3630),
    [sym_null] = STATE(4939),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9415),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(4939),
    [sym_raw_string_literal] = STATE(3632),
    [sym_co_await_expression] = STATE(4939),
    [sym_new_expression] = STATE(4939),
    [sym_delete_expression] = STATE(4939),
    [sym_requires_clause] = STATE(4939),
    [sym_requires_expression] = STATE(4939),
    [sym_lambda_expression] = STATE(4939),
    [sym_lambda_capture_specifier] = STATE(7190),
    [sym_fold_expression] = STATE(4939),
    [sym_parameter_pack_expansion] = STATE(4939),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6899),
    [sym_qualified_identifier] = STATE(4521),
    [sym_qualified_type_identifier] = STATE(9415),
    [sym_user_defined_literal] = STATE(4521),
    [sym_identifier] = ACTIONS(4178),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5448),
    [anon_sym_LPAREN2] = ACTIONS(2110),
    [anon_sym_BANG] = ACTIONS(2112),
    [anon_sym_TILDE] = ACTIONS(2112),
    [anon_sym_DASH] = ACTIONS(2114),
    [anon_sym_PLUS] = ACTIONS(2114),
    [anon_sym_STAR] = ACTIONS(2116),
    [anon_sym_AMP] = ACTIONS(2116),
    [anon_sym_COLON_COLON] = ACTIONS(2120),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [sym_primitive_type] = ACTIONS(4182),
    [anon_sym_not] = ACTIONS(2114),
    [anon_sym_compl] = ACTIONS(2114),
    [anon_sym_DASH_DASH] = ACTIONS(2132),
    [anon_sym_PLUS_PLUS] = ACTIONS(2132),
    [anon_sym_sizeof] = ACTIONS(2134),
    [anon_sym___alignof__] = ACTIONS(2136),
    [anon_sym___alignof] = ACTIONS(2136),
    [anon_sym__alignof] = ACTIONS(2136),
    [anon_sym_alignof] = ACTIONS(2136),
    [anon_sym__Alignof] = ACTIONS(2136),
    [anon_sym_offsetof] = ACTIONS(2138),
    [anon_sym__Generic] = ACTIONS(2140),
    [anon_sym_asm] = ACTIONS(2142),
    [anon_sym___asm__] = ACTIONS(2142),
    [sym_number_literal] = ACTIONS(2144),
    [anon_sym_L_SQUOTE] = ACTIONS(2146),
    [anon_sym_u_SQUOTE] = ACTIONS(2146),
    [anon_sym_U_SQUOTE] = ACTIONS(2146),
    [anon_sym_u8_SQUOTE] = ACTIONS(2146),
    [anon_sym_SQUOTE] = ACTIONS(2146),
    [anon_sym_L_DQUOTE] = ACTIONS(2148),
    [anon_sym_u_DQUOTE] = ACTIONS(2148),
    [anon_sym_U_DQUOTE] = ACTIONS(2148),
    [anon_sym_u8_DQUOTE] = ACTIONS(2148),
    [anon_sym_DQUOTE] = ACTIONS(2148),
    [sym_true] = ACTIONS(2150),
    [sym_false] = ACTIONS(2150),
    [anon_sym_NULL] = ACTIONS(2152),
    [anon_sym_nullptr] = ACTIONS(2152),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(2156),
    [anon_sym_R_DQUOTE] = ACTIONS(2158),
    [anon_sym_LR_DQUOTE] = ACTIONS(2158),
    [anon_sym_uR_DQUOTE] = ACTIONS(2158),
    [anon_sym_UR_DQUOTE] = ACTIONS(2158),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2158),
    [anon_sym_co_await] = ACTIONS(2160),
    [anon_sym_new] = ACTIONS(2162),
    [anon_sym_requires] = ACTIONS(2164),
    [sym_this] = ACTIONS(2150),
  },
  [2056] = {
    [sym__expression] = STATE(4401),
    [sym__expression_not_binary] = STATE(3672),
    [sym__string] = STATE(3672),
    [sym_conditional_expression] = STATE(3672),
    [sym_assignment_expression] = STATE(3672),
    [sym_pointer_expression] = STATE(3672),
    [sym_unary_expression] = STATE(3672),
    [sym_binary_expression] = STATE(3672),
    [sym_update_expression] = STATE(3672),
    [sym_cast_expression] = STATE(3672),
    [sym_sizeof_expression] = STATE(3672),
    [sym_alignof_expression] = STATE(3672),
    [sym_offsetof_expression] = STATE(3672),
    [sym_generic_expression] = STATE(3672),
    [sym_subscript_expression] = STATE(3672),
    [sym_call_expression] = STATE(3672),
    [sym_gnu_asm_expression] = STATE(3672),
    [sym_field_expression] = STATE(3672),
    [sym_compound_literal_expression] = STATE(3672),
    [sym_parenthesized_expression] = STATE(3672),
    [sym_char_literal] = STATE(3991),
    [sym_concatenated_string] = STATE(3973),
    [sym_string_literal] = STATE(3242),
    [sym_null] = STATE(3672),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9333),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(3672),
    [sym_raw_string_literal] = STATE(3241),
    [sym_co_await_expression] = STATE(3672),
    [sym_new_expression] = STATE(3672),
    [sym_delete_expression] = STATE(3672),
    [sym_requires_clause] = STATE(3672),
    [sym_requires_expression] = STATE(3672),
    [sym_lambda_expression] = STATE(3672),
    [sym_lambda_capture_specifier] = STATE(7134),
    [sym_fold_expression] = STATE(3672),
    [sym_parameter_pack_expansion] = STATE(3672),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6886),
    [sym_qualified_identifier] = STATE(3672),
    [sym_qualified_type_identifier] = STATE(9333),
    [sym_user_defined_literal] = STATE(3672),
    [sym_identifier] = ACTIONS(3968),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5417),
    [anon_sym_LPAREN2] = ACTIONS(5451),
    [anon_sym_BANG] = ACTIONS(4116),
    [anon_sym_TILDE] = ACTIONS(4116),
    [anon_sym_DASH] = ACTIONS(4114),
    [anon_sym_PLUS] = ACTIONS(4114),
    [anon_sym_STAR] = ACTIONS(5190),
    [anon_sym_AMP] = ACTIONS(5190),
    [anon_sym_COLON_COLON] = ACTIONS(4118),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [sym_primitive_type] = ACTIONS(3928),
    [anon_sym_not] = ACTIONS(4114),
    [anon_sym_compl] = ACTIONS(4114),
    [anon_sym_DASH_DASH] = ACTIONS(5093),
    [anon_sym_PLUS_PLUS] = ACTIONS(5093),
    [anon_sym_sizeof] = ACTIONS(4120),
    [anon_sym___alignof__] = ACTIONS(3932),
    [anon_sym___alignof] = ACTIONS(3932),
    [anon_sym__alignof] = ACTIONS(3932),
    [anon_sym_alignof] = ACTIONS(3932),
    [anon_sym__Alignof] = ACTIONS(3932),
    [anon_sym_offsetof] = ACTIONS(3934),
    [anon_sym__Generic] = ACTIONS(3936),
    [anon_sym_asm] = ACTIONS(3938),
    [anon_sym___asm__] = ACTIONS(3938),
    [sym_number_literal] = ACTIONS(3978),
    [anon_sym_L_SQUOTE] = ACTIONS(3980),
    [anon_sym_u_SQUOTE] = ACTIONS(3980),
    [anon_sym_U_SQUOTE] = ACTIONS(3980),
    [anon_sym_u8_SQUOTE] = ACTIONS(3980),
    [anon_sym_SQUOTE] = ACTIONS(3980),
    [anon_sym_L_DQUOTE] = ACTIONS(3982),
    [anon_sym_u_DQUOTE] = ACTIONS(3982),
    [anon_sym_U_DQUOTE] = ACTIONS(3982),
    [anon_sym_u8_DQUOTE] = ACTIONS(3982),
    [anon_sym_DQUOTE] = ACTIONS(3982),
    [sym_true] = ACTIONS(3946),
    [sym_false] = ACTIONS(3946),
    [anon_sym_NULL] = ACTIONS(3948),
    [anon_sym_nullptr] = ACTIONS(3948),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(4122),
    [anon_sym_R_DQUOTE] = ACTIONS(3986),
    [anon_sym_LR_DQUOTE] = ACTIONS(3986),
    [anon_sym_uR_DQUOTE] = ACTIONS(3986),
    [anon_sym_UR_DQUOTE] = ACTIONS(3986),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3986),
    [anon_sym_co_await] = ACTIONS(4124),
    [anon_sym_new] = ACTIONS(3990),
    [anon_sym_requires] = ACTIONS(3958),
    [sym_this] = ACTIONS(3946),
  },
  [2057] = {
    [sym__declaration_modifiers] = STATE(2673),
    [sym__declaration_specifiers] = STATE(5967),
    [sym_attribute_specifier] = STATE(2673),
    [sym_attribute_declaration] = STATE(2673),
    [sym_ms_declspec_modifier] = STATE(2673),
    [sym_ms_call_modifier] = STATE(2650),
    [sym_storage_class_specifier] = STATE(2673),
    [sym_type_qualifier] = STATE(2673),
    [sym__type_specifier] = STATE(2827),
    [sym_sized_type_specifier] = STATE(3085),
    [sym_enum_specifier] = STATE(3085),
    [sym_struct_specifier] = STATE(3085),
    [sym_union_specifier] = STATE(3085),
    [sym_placeholder_type_specifier] = STATE(3085),
    [sym_decltype_auto] = STATE(3091),
    [sym_decltype] = STATE(3050),
    [sym_class_specifier] = STATE(3085),
    [sym_virtual] = STATE(2673),
    [sym_alignas_specifier] = STATE(2673),
    [sym_dependent_type] = STATE(3085),
    [sym_template_type] = STATE(3050),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(7887),
    [sym_qualified_type_identifier] = STATE(3068),
    [sym_qualifiers] = STATE(2673),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2673),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3021),
    [sym_identifier] = ACTIONS(3896),
    [anon_sym___extension__] = ACTIONS(63),
    [anon_sym_in] = ACTIONS(1480),
    [anon_sym_out] = ACTIONS(1480),
    [anon_sym_inout] = ACTIONS(1480),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(3904),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2096),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(51),
    [anon_sym___clrcall] = ACTIONS(51),
    [anon_sym___stdcall] = ACTIONS(51),
    [anon_sym___fastcall] = ACTIONS(51),
    [anon_sym___thiscall] = ACTIONS(51),
    [anon_sym___vectorcall] = ACTIONS(51),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(2891),
    [anon_sym_enum] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(69),
    [anon_sym_struct] = ACTIONS(71),
    [anon_sym_union] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [anon_sym_virtual] = ACTIONS(123),
    [anon_sym_alignas] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_precise] = ACTIONS(161),
    [anon_sym_shared] = ACTIONS(161),
    [anon_sym_groupshared] = ACTIONS(161),
    [anon_sym_uniform] = ACTIONS(161),
    [anon_sym_row_major] = ACTIONS(161),
    [anon_sym_column_major] = ACTIONS(161),
    [anon_sym_globallycoherent] = ACTIONS(161),
    [anon_sym_centroid] = ACTIONS(161),
    [anon_sym_noperspective] = ACTIONS(161),
    [anon_sym_nointerpolation] = ACTIONS(161),
    [anon_sym_sample] = ACTIONS(161),
    [anon_sym_linear] = ACTIONS(161),
    [anon_sym_snorm] = ACTIONS(161),
    [anon_sym_unorm] = ACTIONS(161),
    [anon_sym_point] = ACTIONS(161),
    [anon_sym_line] = ACTIONS(161),
    [anon_sym_triangleadj] = ACTIONS(161),
    [anon_sym_lineadj] = ACTIONS(161),
    [anon_sym_triangle] = ACTIONS(161),
  },
  [2058] = {
    [sym__expression] = STATE(5547),
    [sym__expression_not_binary] = STATE(5024),
    [sym__string] = STATE(5024),
    [sym_comma_expression] = STATE(8642),
    [sym_conditional_expression] = STATE(5024),
    [sym_assignment_expression] = STATE(5024),
    [sym_pointer_expression] = STATE(4507),
    [sym_unary_expression] = STATE(5024),
    [sym_binary_expression] = STATE(5024),
    [sym_update_expression] = STATE(5024),
    [sym_cast_expression] = STATE(5024),
    [sym_sizeof_expression] = STATE(5024),
    [sym_alignof_expression] = STATE(5024),
    [sym_offsetof_expression] = STATE(5024),
    [sym_generic_expression] = STATE(5024),
    [sym_subscript_expression] = STATE(4507),
    [sym_call_expression] = STATE(4507),
    [sym_gnu_asm_expression] = STATE(5024),
    [sym_field_expression] = STATE(4507),
    [sym_compound_literal_expression] = STATE(5024),
    [sym_parenthesized_expression] = STATE(4507),
    [sym_char_literal] = STATE(5374),
    [sym_concatenated_string] = STATE(5377),
    [sym_string_literal] = STATE(4206),
    [sym_null] = STATE(5024),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9352),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(5024),
    [sym_raw_string_literal] = STATE(4217),
    [sym_co_await_expression] = STATE(5024),
    [sym_new_expression] = STATE(5024),
    [sym_delete_expression] = STATE(5024),
    [sym_requires_clause] = STATE(5024),
    [sym_requires_expression] = STATE(5024),
    [sym_lambda_expression] = STATE(5024),
    [sym_lambda_capture_specifier] = STATE(7184),
    [sym_fold_expression] = STATE(5024),
    [sym_parameter_pack_expansion] = STATE(5024),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6886),
    [sym_qualified_identifier] = STATE(4507),
    [sym_qualified_type_identifier] = STATE(9352),
    [sym_user_defined_literal] = STATE(4507),
    [sym_identifier] = ACTIONS(3140),
    [anon_sym_LPAREN2] = ACTIONS(1472),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1474),
    [anon_sym_AMP] = ACTIONS(1474),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [sym_primitive_type] = ACTIONS(3146),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [2059] = {
    [sym__expression] = STATE(4716),
    [sym__expression_not_binary] = STATE(4939),
    [sym__string] = STATE(4939),
    [sym_conditional_expression] = STATE(4939),
    [sym_assignment_expression] = STATE(4939),
    [sym_pointer_expression] = STATE(4521),
    [sym_unary_expression] = STATE(4939),
    [sym_binary_expression] = STATE(4939),
    [sym_update_expression] = STATE(4939),
    [sym_cast_expression] = STATE(4939),
    [sym_sizeof_expression] = STATE(4939),
    [sym_alignof_expression] = STATE(4939),
    [sym_offsetof_expression] = STATE(4939),
    [sym_generic_expression] = STATE(4939),
    [sym_subscript_expression] = STATE(4521),
    [sym_call_expression] = STATE(4521),
    [sym_gnu_asm_expression] = STATE(4939),
    [sym_field_expression] = STATE(4521),
    [sym_compound_literal_expression] = STATE(4939),
    [sym_parenthesized_expression] = STATE(4521),
    [sym_char_literal] = STATE(4856),
    [sym_concatenated_string] = STATE(4876),
    [sym_string_literal] = STATE(3630),
    [sym_null] = STATE(4939),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9415),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(4939),
    [sym_raw_string_literal] = STATE(3632),
    [sym_co_await_expression] = STATE(4939),
    [sym_new_expression] = STATE(4939),
    [sym_delete_expression] = STATE(4939),
    [sym_requires_clause] = STATE(4939),
    [sym_requires_expression] = STATE(4939),
    [sym_lambda_expression] = STATE(4939),
    [sym_lambda_capture_specifier] = STATE(7190),
    [sym_fold_expression] = STATE(4939),
    [sym_parameter_pack_expansion] = STATE(4939),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6899),
    [sym_qualified_identifier] = STATE(4521),
    [sym_qualified_type_identifier] = STATE(9415),
    [sym_user_defined_literal] = STATE(4521),
    [sym_identifier] = ACTIONS(4178),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5453),
    [anon_sym_LPAREN2] = ACTIONS(2110),
    [anon_sym_BANG] = ACTIONS(2112),
    [anon_sym_TILDE] = ACTIONS(2112),
    [anon_sym_DASH] = ACTIONS(2114),
    [anon_sym_PLUS] = ACTIONS(2114),
    [anon_sym_STAR] = ACTIONS(2116),
    [anon_sym_AMP] = ACTIONS(2116),
    [anon_sym_COLON_COLON] = ACTIONS(2120),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [sym_primitive_type] = ACTIONS(4182),
    [anon_sym_not] = ACTIONS(2114),
    [anon_sym_compl] = ACTIONS(2114),
    [anon_sym_DASH_DASH] = ACTIONS(2132),
    [anon_sym_PLUS_PLUS] = ACTIONS(2132),
    [anon_sym_sizeof] = ACTIONS(2134),
    [anon_sym___alignof__] = ACTIONS(2136),
    [anon_sym___alignof] = ACTIONS(2136),
    [anon_sym__alignof] = ACTIONS(2136),
    [anon_sym_alignof] = ACTIONS(2136),
    [anon_sym__Alignof] = ACTIONS(2136),
    [anon_sym_offsetof] = ACTIONS(2138),
    [anon_sym__Generic] = ACTIONS(2140),
    [anon_sym_asm] = ACTIONS(2142),
    [anon_sym___asm__] = ACTIONS(2142),
    [sym_number_literal] = ACTIONS(2144),
    [anon_sym_L_SQUOTE] = ACTIONS(2146),
    [anon_sym_u_SQUOTE] = ACTIONS(2146),
    [anon_sym_U_SQUOTE] = ACTIONS(2146),
    [anon_sym_u8_SQUOTE] = ACTIONS(2146),
    [anon_sym_SQUOTE] = ACTIONS(2146),
    [anon_sym_L_DQUOTE] = ACTIONS(2148),
    [anon_sym_u_DQUOTE] = ACTIONS(2148),
    [anon_sym_U_DQUOTE] = ACTIONS(2148),
    [anon_sym_u8_DQUOTE] = ACTIONS(2148),
    [anon_sym_DQUOTE] = ACTIONS(2148),
    [sym_true] = ACTIONS(2150),
    [sym_false] = ACTIONS(2150),
    [anon_sym_NULL] = ACTIONS(2152),
    [anon_sym_nullptr] = ACTIONS(2152),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(2156),
    [anon_sym_R_DQUOTE] = ACTIONS(2158),
    [anon_sym_LR_DQUOTE] = ACTIONS(2158),
    [anon_sym_uR_DQUOTE] = ACTIONS(2158),
    [anon_sym_UR_DQUOTE] = ACTIONS(2158),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2158),
    [anon_sym_co_await] = ACTIONS(2160),
    [anon_sym_new] = ACTIONS(2162),
    [anon_sym_requires] = ACTIONS(2164),
    [sym_this] = ACTIONS(2150),
  },
  [2060] = {
    [sym__expression] = STATE(5929),
    [sym__expression_not_binary] = STATE(5024),
    [sym__string] = STATE(5024),
    [sym_conditional_expression] = STATE(5024),
    [sym_assignment_expression] = STATE(5024),
    [sym_pointer_expression] = STATE(4507),
    [sym_unary_expression] = STATE(5024),
    [sym_binary_expression] = STATE(5024),
    [sym_update_expression] = STATE(5024),
    [sym_cast_expression] = STATE(5024),
    [sym_sizeof_expression] = STATE(5024),
    [sym_alignof_expression] = STATE(5024),
    [sym_offsetof_expression] = STATE(5024),
    [sym_generic_expression] = STATE(5024),
    [sym_subscript_expression] = STATE(4507),
    [sym_call_expression] = STATE(4507),
    [sym_gnu_asm_expression] = STATE(5024),
    [sym_field_expression] = STATE(4507),
    [sym_compound_literal_expression] = STATE(5024),
    [sym_parenthesized_expression] = STATE(4507),
    [sym_char_literal] = STATE(5374),
    [sym_concatenated_string] = STATE(5377),
    [sym_string_literal] = STATE(4206),
    [sym_null] = STATE(5024),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9352),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(5024),
    [sym_raw_string_literal] = STATE(4217),
    [sym_co_await_expression] = STATE(5024),
    [sym_new_expression] = STATE(5024),
    [sym_delete_expression] = STATE(5024),
    [sym_requires_clause] = STATE(5024),
    [sym_requires_expression] = STATE(5024),
    [sym_lambda_expression] = STATE(5024),
    [sym_lambda_capture_specifier] = STATE(7184),
    [sym_fold_expression] = STATE(5024),
    [sym_parameter_pack_expansion] = STATE(5024),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6886),
    [sym_qualified_identifier] = STATE(4507),
    [sym_qualified_type_identifier] = STATE(9352),
    [sym_user_defined_literal] = STATE(4507),
    [sym_identifier] = ACTIONS(3140),
    [anon_sym_LPAREN2] = ACTIONS(1472),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1474),
    [anon_sym_AMP] = ACTIONS(1474),
    [anon_sym_SEMI] = ACTIONS(5456),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [sym_primitive_type] = ACTIONS(3146),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [2061] = {
    [sym__expression] = STATE(5938),
    [sym__expression_not_binary] = STATE(5024),
    [sym__string] = STATE(5024),
    [sym_conditional_expression] = STATE(5024),
    [sym_assignment_expression] = STATE(5024),
    [sym_pointer_expression] = STATE(4507),
    [sym_unary_expression] = STATE(5024),
    [sym_binary_expression] = STATE(5024),
    [sym_update_expression] = STATE(5024),
    [sym_cast_expression] = STATE(5024),
    [sym_sizeof_expression] = STATE(5024),
    [sym_alignof_expression] = STATE(5024),
    [sym_offsetof_expression] = STATE(5024),
    [sym_generic_expression] = STATE(5024),
    [sym_subscript_expression] = STATE(4507),
    [sym_call_expression] = STATE(4507),
    [sym_gnu_asm_expression] = STATE(5024),
    [sym_field_expression] = STATE(4507),
    [sym_compound_literal_expression] = STATE(5024),
    [sym_parenthesized_expression] = STATE(4507),
    [sym_char_literal] = STATE(5374),
    [sym_concatenated_string] = STATE(5377),
    [sym_string_literal] = STATE(4206),
    [sym_null] = STATE(5024),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9352),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(5024),
    [sym_raw_string_literal] = STATE(4217),
    [sym_co_await_expression] = STATE(5024),
    [sym_new_expression] = STATE(5024),
    [sym_delete_expression] = STATE(5024),
    [sym_requires_clause] = STATE(5024),
    [sym_requires_expression] = STATE(5024),
    [sym_lambda_expression] = STATE(5024),
    [sym_lambda_capture_specifier] = STATE(7184),
    [sym_fold_expression] = STATE(5024),
    [sym_parameter_pack_expansion] = STATE(5024),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6886),
    [sym_qualified_identifier] = STATE(4507),
    [sym_qualified_type_identifier] = STATE(9352),
    [sym_user_defined_literal] = STATE(4507),
    [sym_identifier] = ACTIONS(3140),
    [anon_sym_LPAREN2] = ACTIONS(1472),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1474),
    [anon_sym_AMP] = ACTIONS(1474),
    [anon_sym_SEMI] = ACTIONS(5458),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [sym_primitive_type] = ACTIONS(3146),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [2062] = {
    [sym__expression] = STATE(4913),
    [sym__expression_not_binary] = STATE(5024),
    [sym__string] = STATE(5024),
    [sym_conditional_expression] = STATE(5024),
    [sym_assignment_expression] = STATE(5024),
    [sym_pointer_expression] = STATE(4737),
    [sym_unary_expression] = STATE(5024),
    [sym_binary_expression] = STATE(5024),
    [sym_update_expression] = STATE(5024),
    [sym_cast_expression] = STATE(5024),
    [sym_sizeof_expression] = STATE(5024),
    [sym_alignof_expression] = STATE(5024),
    [sym_offsetof_expression] = STATE(5024),
    [sym_generic_expression] = STATE(5024),
    [sym_subscript_expression] = STATE(4737),
    [sym_call_expression] = STATE(4737),
    [sym_gnu_asm_expression] = STATE(5024),
    [sym_field_expression] = STATE(4737),
    [sym_compound_literal_expression] = STATE(5024),
    [sym_parenthesized_expression] = STATE(4737),
    [sym_char_literal] = STATE(5374),
    [sym_concatenated_string] = STATE(5377),
    [sym_string_literal] = STATE(4206),
    [sym_null] = STATE(5024),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9352),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(5024),
    [sym_raw_string_literal] = STATE(4217),
    [sym_co_await_expression] = STATE(5024),
    [sym_new_expression] = STATE(5024),
    [sym_delete_expression] = STATE(5024),
    [sym_requires_clause] = STATE(5024),
    [sym_requires_expression] = STATE(5024),
    [sym_lambda_expression] = STATE(5024),
    [sym_lambda_capture_specifier] = STATE(7184),
    [sym_fold_expression] = STATE(5024),
    [sym_parameter_pack_expansion] = STATE(5024),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6886),
    [sym_qualified_identifier] = STATE(4737),
    [sym_qualified_type_identifier] = STATE(9352),
    [sym_user_defined_literal] = STATE(4737),
    [sym_identifier] = ACTIONS(4502),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5370),
    [anon_sym_LPAREN2] = ACTIONS(5460),
    [anon_sym_BANG] = ACTIONS(4506),
    [anon_sym_TILDE] = ACTIONS(4506),
    [anon_sym_DASH] = ACTIONS(4504),
    [anon_sym_PLUS] = ACTIONS(4504),
    [anon_sym_STAR] = ACTIONS(1474),
    [anon_sym_AMP] = ACTIONS(1474),
    [anon_sym_COLON_COLON] = ACTIONS(4508),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [sym_primitive_type] = ACTIONS(3146),
    [anon_sym_not] = ACTIONS(4504),
    [anon_sym_compl] = ACTIONS(4504),
    [anon_sym_DASH_DASH] = ACTIONS(4544),
    [anon_sym_PLUS_PLUS] = ACTIONS(4544),
    [anon_sym_sizeof] = ACTIONS(4510),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(4512),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(4514),
    [anon_sym_new] = ACTIONS(4516),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [2063] = {
    [sym__expression] = STATE(3520),
    [sym__expression_not_binary] = STATE(3672),
    [sym__string] = STATE(3672),
    [sym_conditional_expression] = STATE(3672),
    [sym_assignment_expression] = STATE(3672),
    [sym_pointer_expression] = STATE(3672),
    [sym_unary_expression] = STATE(3672),
    [sym_binary_expression] = STATE(3672),
    [sym_update_expression] = STATE(3672),
    [sym_cast_expression] = STATE(3672),
    [sym_sizeof_expression] = STATE(3672),
    [sym_alignof_expression] = STATE(3672),
    [sym_offsetof_expression] = STATE(3672),
    [sym_generic_expression] = STATE(3672),
    [sym_subscript_expression] = STATE(3672),
    [sym_call_expression] = STATE(3672),
    [sym_gnu_asm_expression] = STATE(3672),
    [sym_field_expression] = STATE(3672),
    [sym_compound_literal_expression] = STATE(3672),
    [sym_parenthesized_expression] = STATE(3672),
    [sym_char_literal] = STATE(3991),
    [sym_concatenated_string] = STATE(3973),
    [sym_string_literal] = STATE(3242),
    [sym_null] = STATE(3672),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9333),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(3672),
    [sym_raw_string_literal] = STATE(3241),
    [sym_co_await_expression] = STATE(3672),
    [sym_new_expression] = STATE(3672),
    [sym_delete_expression] = STATE(3672),
    [sym_requires_clause] = STATE(3672),
    [sym_requires_expression] = STATE(3672),
    [sym_lambda_expression] = STATE(3672),
    [sym_lambda_capture_specifier] = STATE(7134),
    [sym_fold_expression] = STATE(3672),
    [sym_parameter_pack_expansion] = STATE(3672),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6886),
    [sym_qualified_identifier] = STATE(3672),
    [sym_qualified_type_identifier] = STATE(9333),
    [sym_user_defined_literal] = STATE(3672),
    [sym_identifier] = ACTIONS(3968),
    [anon_sym_LPAREN2] = ACTIONS(5219),
    [anon_sym_BANG] = ACTIONS(3972),
    [anon_sym_TILDE] = ACTIONS(3972),
    [anon_sym_DASH] = ACTIONS(3970),
    [anon_sym_PLUS] = ACTIONS(3970),
    [anon_sym_STAR] = ACTIONS(1474),
    [anon_sym_AMP] = ACTIONS(1474),
    [anon_sym_COLON_COLON] = ACTIONS(3974),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [anon_sym_RBRACK] = ACTIONS(5462),
    [sym_primitive_type] = ACTIONS(3928),
    [anon_sym_not] = ACTIONS(3970),
    [anon_sym_compl] = ACTIONS(3970),
    [anon_sym_DASH_DASH] = ACTIONS(4385),
    [anon_sym_PLUS_PLUS] = ACTIONS(4385),
    [anon_sym_sizeof] = ACTIONS(3976),
    [anon_sym___alignof__] = ACTIONS(3932),
    [anon_sym___alignof] = ACTIONS(3932),
    [anon_sym__alignof] = ACTIONS(3932),
    [anon_sym_alignof] = ACTIONS(3932),
    [anon_sym__Alignof] = ACTIONS(3932),
    [anon_sym_offsetof] = ACTIONS(3934),
    [anon_sym__Generic] = ACTIONS(3936),
    [anon_sym_asm] = ACTIONS(3938),
    [anon_sym___asm__] = ACTIONS(3938),
    [sym_number_literal] = ACTIONS(3978),
    [anon_sym_L_SQUOTE] = ACTIONS(3980),
    [anon_sym_u_SQUOTE] = ACTIONS(3980),
    [anon_sym_U_SQUOTE] = ACTIONS(3980),
    [anon_sym_u8_SQUOTE] = ACTIONS(3980),
    [anon_sym_SQUOTE] = ACTIONS(3980),
    [anon_sym_L_DQUOTE] = ACTIONS(3982),
    [anon_sym_u_DQUOTE] = ACTIONS(3982),
    [anon_sym_U_DQUOTE] = ACTIONS(3982),
    [anon_sym_u8_DQUOTE] = ACTIONS(3982),
    [anon_sym_DQUOTE] = ACTIONS(3982),
    [sym_true] = ACTIONS(3946),
    [sym_false] = ACTIONS(3946),
    [anon_sym_NULL] = ACTIONS(3948),
    [anon_sym_nullptr] = ACTIONS(3948),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(3984),
    [anon_sym_R_DQUOTE] = ACTIONS(3986),
    [anon_sym_LR_DQUOTE] = ACTIONS(3986),
    [anon_sym_uR_DQUOTE] = ACTIONS(3986),
    [anon_sym_UR_DQUOTE] = ACTIONS(3986),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3986),
    [anon_sym_co_await] = ACTIONS(3988),
    [anon_sym_new] = ACTIONS(3990),
    [anon_sym_requires] = ACTIONS(3958),
    [sym_this] = ACTIONS(3946),
  },
  [2064] = {
    [sym__expression] = STATE(3520),
    [sym__expression_not_binary] = STATE(3672),
    [sym__string] = STATE(3672),
    [sym_conditional_expression] = STATE(3672),
    [sym_assignment_expression] = STATE(3672),
    [sym_pointer_expression] = STATE(3672),
    [sym_unary_expression] = STATE(3672),
    [sym_binary_expression] = STATE(3672),
    [sym_update_expression] = STATE(3672),
    [sym_cast_expression] = STATE(3672),
    [sym_sizeof_expression] = STATE(3672),
    [sym_alignof_expression] = STATE(3672),
    [sym_offsetof_expression] = STATE(3672),
    [sym_generic_expression] = STATE(3672),
    [sym_subscript_expression] = STATE(3672),
    [sym_call_expression] = STATE(3672),
    [sym_gnu_asm_expression] = STATE(3672),
    [sym_field_expression] = STATE(3672),
    [sym_compound_literal_expression] = STATE(3672),
    [sym_parenthesized_expression] = STATE(3672),
    [sym_char_literal] = STATE(3991),
    [sym_concatenated_string] = STATE(3973),
    [sym_string_literal] = STATE(3242),
    [sym_null] = STATE(3672),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9333),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(3672),
    [sym_raw_string_literal] = STATE(3241),
    [sym_co_await_expression] = STATE(3672),
    [sym_new_expression] = STATE(3672),
    [sym_delete_expression] = STATE(3672),
    [sym_requires_clause] = STATE(3672),
    [sym_requires_expression] = STATE(3672),
    [sym_lambda_expression] = STATE(3672),
    [sym_lambda_capture_specifier] = STATE(7134),
    [sym_fold_expression] = STATE(3672),
    [sym_parameter_pack_expansion] = STATE(3672),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6886),
    [sym_qualified_identifier] = STATE(3672),
    [sym_qualified_type_identifier] = STATE(9333),
    [sym_user_defined_literal] = STATE(3672),
    [sym_identifier] = ACTIONS(3968),
    [anon_sym_LPAREN2] = ACTIONS(5219),
    [anon_sym_BANG] = ACTIONS(3972),
    [anon_sym_TILDE] = ACTIONS(3972),
    [anon_sym_DASH] = ACTIONS(3970),
    [anon_sym_PLUS] = ACTIONS(3970),
    [anon_sym_STAR] = ACTIONS(1474),
    [anon_sym_AMP] = ACTIONS(1474),
    [anon_sym_COLON_COLON] = ACTIONS(3974),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [anon_sym_RBRACK] = ACTIONS(5464),
    [sym_primitive_type] = ACTIONS(3928),
    [anon_sym_not] = ACTIONS(3970),
    [anon_sym_compl] = ACTIONS(3970),
    [anon_sym_DASH_DASH] = ACTIONS(4385),
    [anon_sym_PLUS_PLUS] = ACTIONS(4385),
    [anon_sym_sizeof] = ACTIONS(3976),
    [anon_sym___alignof__] = ACTIONS(3932),
    [anon_sym___alignof] = ACTIONS(3932),
    [anon_sym__alignof] = ACTIONS(3932),
    [anon_sym_alignof] = ACTIONS(3932),
    [anon_sym__Alignof] = ACTIONS(3932),
    [anon_sym_offsetof] = ACTIONS(3934),
    [anon_sym__Generic] = ACTIONS(3936),
    [anon_sym_asm] = ACTIONS(3938),
    [anon_sym___asm__] = ACTIONS(3938),
    [sym_number_literal] = ACTIONS(3978),
    [anon_sym_L_SQUOTE] = ACTIONS(3980),
    [anon_sym_u_SQUOTE] = ACTIONS(3980),
    [anon_sym_U_SQUOTE] = ACTIONS(3980),
    [anon_sym_u8_SQUOTE] = ACTIONS(3980),
    [anon_sym_SQUOTE] = ACTIONS(3980),
    [anon_sym_L_DQUOTE] = ACTIONS(3982),
    [anon_sym_u_DQUOTE] = ACTIONS(3982),
    [anon_sym_U_DQUOTE] = ACTIONS(3982),
    [anon_sym_u8_DQUOTE] = ACTIONS(3982),
    [anon_sym_DQUOTE] = ACTIONS(3982),
    [sym_true] = ACTIONS(3946),
    [sym_false] = ACTIONS(3946),
    [anon_sym_NULL] = ACTIONS(3948),
    [anon_sym_nullptr] = ACTIONS(3948),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(3984),
    [anon_sym_R_DQUOTE] = ACTIONS(3986),
    [anon_sym_LR_DQUOTE] = ACTIONS(3986),
    [anon_sym_uR_DQUOTE] = ACTIONS(3986),
    [anon_sym_UR_DQUOTE] = ACTIONS(3986),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3986),
    [anon_sym_co_await] = ACTIONS(3988),
    [anon_sym_new] = ACTIONS(3990),
    [anon_sym_requires] = ACTIONS(3958),
    [sym_this] = ACTIONS(3946),
  },
  [2065] = {
    [sym__expression] = STATE(5459),
    [sym__expression_not_binary] = STATE(5024),
    [sym__string] = STATE(5024),
    [sym_conditional_expression] = STATE(5024),
    [sym_assignment_expression] = STATE(5024),
    [sym_pointer_expression] = STATE(4607),
    [sym_unary_expression] = STATE(5024),
    [sym_binary_expression] = STATE(5024),
    [sym_update_expression] = STATE(5024),
    [sym_cast_expression] = STATE(5024),
    [sym_sizeof_expression] = STATE(5024),
    [sym_alignof_expression] = STATE(5024),
    [sym_offsetof_expression] = STATE(5024),
    [sym_generic_expression] = STATE(5024),
    [sym_subscript_expression] = STATE(4607),
    [sym_call_expression] = STATE(4607),
    [sym_gnu_asm_expression] = STATE(5024),
    [sym_field_expression] = STATE(4607),
    [sym_compound_literal_expression] = STATE(5024),
    [sym_parenthesized_expression] = STATE(4607),
    [sym_char_literal] = STATE(5726),
    [sym_concatenated_string] = STATE(5682),
    [sym_string_literal] = STATE(4827),
    [sym_null] = STATE(5024),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9352),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(5024),
    [sym_raw_string_literal] = STATE(4829),
    [sym_co_await_expression] = STATE(5024),
    [sym_new_expression] = STATE(5024),
    [sym_delete_expression] = STATE(5024),
    [sym_requires_clause] = STATE(5024),
    [sym_requires_expression] = STATE(5024),
    [sym_lambda_expression] = STATE(5024),
    [sym_lambda_capture_specifier] = STATE(7184),
    [sym_fold_expression] = STATE(5024),
    [sym_parameter_pack_expansion] = STATE(5024),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6886),
    [sym_qualified_identifier] = STATE(4607),
    [sym_qualified_type_identifier] = STATE(9352),
    [sym_user_defined_literal] = STATE(4607),
    [sym_identifier] = ACTIONS(4478),
    [anon_sym_LPAREN2] = ACTIONS(5015),
    [anon_sym_BANG] = ACTIONS(4482),
    [anon_sym_TILDE] = ACTIONS(4482),
    [anon_sym_DASH] = ACTIONS(4480),
    [anon_sym_PLUS] = ACTIONS(4480),
    [anon_sym_STAR] = ACTIONS(5017),
    [anon_sym_AMP] = ACTIONS(5017),
    [anon_sym_SEMI] = ACTIONS(5466),
    [anon_sym_COLON_COLON] = ACTIONS(4484),
    [anon_sym_LBRACK] = ACTIONS(5287),
    [sym_primitive_type] = ACTIONS(3146),
    [anon_sym_not] = ACTIONS(4480),
    [anon_sym_compl] = ACTIONS(4480),
    [anon_sym_DASH_DASH] = ACTIONS(5021),
    [anon_sym_PLUS_PLUS] = ACTIONS(5021),
    [anon_sym_sizeof] = ACTIONS(4486),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(4488),
    [anon_sym_L_SQUOTE] = ACTIONS(4490),
    [anon_sym_u_SQUOTE] = ACTIONS(4490),
    [anon_sym_U_SQUOTE] = ACTIONS(4490),
    [anon_sym_u8_SQUOTE] = ACTIONS(4490),
    [anon_sym_SQUOTE] = ACTIONS(4490),
    [anon_sym_L_DQUOTE] = ACTIONS(4492),
    [anon_sym_u_DQUOTE] = ACTIONS(4492),
    [anon_sym_U_DQUOTE] = ACTIONS(4492),
    [anon_sym_u8_DQUOTE] = ACTIONS(4492),
    [anon_sym_DQUOTE] = ACTIONS(4492),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(4494),
    [anon_sym_R_DQUOTE] = ACTIONS(4496),
    [anon_sym_LR_DQUOTE] = ACTIONS(4496),
    [anon_sym_uR_DQUOTE] = ACTIONS(4496),
    [anon_sym_UR_DQUOTE] = ACTIONS(4496),
    [anon_sym_u8R_DQUOTE] = ACTIONS(4496),
    [anon_sym_co_await] = ACTIONS(4498),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [2066] = {
    [sym__expression] = STATE(4340),
    [sym__expression_not_binary] = STATE(4695),
    [sym__string] = STATE(4695),
    [sym_conditional_expression] = STATE(4695),
    [sym_assignment_expression] = STATE(4695),
    [sym_pointer_expression] = STATE(4695),
    [sym_unary_expression] = STATE(4695),
    [sym_binary_expression] = STATE(4695),
    [sym_update_expression] = STATE(4695),
    [sym_cast_expression] = STATE(4695),
    [sym_sizeof_expression] = STATE(4695),
    [sym_alignof_expression] = STATE(4695),
    [sym_offsetof_expression] = STATE(4695),
    [sym_generic_expression] = STATE(4695),
    [sym_subscript_expression] = STATE(4695),
    [sym_call_expression] = STATE(4695),
    [sym_gnu_asm_expression] = STATE(4695),
    [sym_field_expression] = STATE(4695),
    [sym_compound_literal_expression] = STATE(4695),
    [sym_parenthesized_expression] = STATE(4695),
    [sym_char_literal] = STATE(4427),
    [sym_concatenated_string] = STATE(4424),
    [sym_string_literal] = STATE(3398),
    [sym_null] = STATE(4695),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9425),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(4695),
    [sym_raw_string_literal] = STATE(3396),
    [sym_co_await_expression] = STATE(4695),
    [sym_new_expression] = STATE(4695),
    [sym_delete_expression] = STATE(4695),
    [sym_requires_clause] = STATE(4695),
    [sym_requires_expression] = STATE(4695),
    [sym_lambda_expression] = STATE(4695),
    [sym_lambda_capture_specifier] = STATE(7185),
    [sym_fold_expression] = STATE(4695),
    [sym_parameter_pack_expansion] = STATE(4695),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6899),
    [sym_qualified_identifier] = STATE(4695),
    [sym_qualified_type_identifier] = STATE(9425),
    [sym_user_defined_literal] = STATE(4695),
    [sym_identifier] = ACTIONS(4092),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5358),
    [anon_sym_LPAREN2] = ACTIONS(4188),
    [anon_sym_BANG] = ACTIONS(2532),
    [anon_sym_TILDE] = ACTIONS(2532),
    [anon_sym_DASH] = ACTIONS(2536),
    [anon_sym_PLUS] = ACTIONS(2536),
    [anon_sym_STAR] = ACTIONS(2116),
    [anon_sym_AMP] = ACTIONS(2116),
    [anon_sym_COLON_COLON] = ACTIONS(2542),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [sym_primitive_type] = ACTIONS(4096),
    [anon_sym_not] = ACTIONS(2536),
    [anon_sym_compl] = ACTIONS(2536),
    [anon_sym_DASH_DASH] = ACTIONS(2560),
    [anon_sym_PLUS_PLUS] = ACTIONS(2560),
    [anon_sym_sizeof] = ACTIONS(2562),
    [anon_sym___alignof__] = ACTIONS(2564),
    [anon_sym___alignof] = ACTIONS(2564),
    [anon_sym__alignof] = ACTIONS(2564),
    [anon_sym_alignof] = ACTIONS(2564),
    [anon_sym__Alignof] = ACTIONS(2564),
    [anon_sym_offsetof] = ACTIONS(2566),
    [anon_sym__Generic] = ACTIONS(2568),
    [anon_sym_asm] = ACTIONS(2570),
    [anon_sym___asm__] = ACTIONS(2570),
    [sym_number_literal] = ACTIONS(2572),
    [anon_sym_L_SQUOTE] = ACTIONS(2574),
    [anon_sym_u_SQUOTE] = ACTIONS(2574),
    [anon_sym_U_SQUOTE] = ACTIONS(2574),
    [anon_sym_u8_SQUOTE] = ACTIONS(2574),
    [anon_sym_SQUOTE] = ACTIONS(2574),
    [anon_sym_L_DQUOTE] = ACTIONS(2576),
    [anon_sym_u_DQUOTE] = ACTIONS(2576),
    [anon_sym_U_DQUOTE] = ACTIONS(2576),
    [anon_sym_u8_DQUOTE] = ACTIONS(2576),
    [anon_sym_DQUOTE] = ACTIONS(2576),
    [sym_true] = ACTIONS(2578),
    [sym_false] = ACTIONS(2578),
    [anon_sym_NULL] = ACTIONS(2580),
    [anon_sym_nullptr] = ACTIONS(2580),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(2590),
    [anon_sym_R_DQUOTE] = ACTIONS(2592),
    [anon_sym_LR_DQUOTE] = ACTIONS(2592),
    [anon_sym_uR_DQUOTE] = ACTIONS(2592),
    [anon_sym_UR_DQUOTE] = ACTIONS(2592),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2592),
    [anon_sym_co_await] = ACTIONS(2594),
    [anon_sym_new] = ACTIONS(2596),
    [anon_sym_requires] = ACTIONS(2598),
    [sym_this] = ACTIONS(2578),
  },
  [2067] = {
    [sym__expression] = STATE(4913),
    [sym__expression_not_binary] = STATE(5024),
    [sym__string] = STATE(5024),
    [sym_conditional_expression] = STATE(5024),
    [sym_assignment_expression] = STATE(5024),
    [sym_pointer_expression] = STATE(4507),
    [sym_unary_expression] = STATE(5024),
    [sym_binary_expression] = STATE(5024),
    [sym_update_expression] = STATE(5024),
    [sym_cast_expression] = STATE(5024),
    [sym_sizeof_expression] = STATE(5024),
    [sym_alignof_expression] = STATE(5024),
    [sym_offsetof_expression] = STATE(5024),
    [sym_generic_expression] = STATE(5024),
    [sym_subscript_expression] = STATE(4507),
    [sym_call_expression] = STATE(4507),
    [sym_gnu_asm_expression] = STATE(5024),
    [sym_field_expression] = STATE(4507),
    [sym_compound_literal_expression] = STATE(5024),
    [sym_parenthesized_expression] = STATE(4507),
    [sym_char_literal] = STATE(5374),
    [sym_concatenated_string] = STATE(5377),
    [sym_string_literal] = STATE(4206),
    [sym_null] = STATE(5024),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9352),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(5024),
    [sym_raw_string_literal] = STATE(4217),
    [sym_co_await_expression] = STATE(5024),
    [sym_new_expression] = STATE(5024),
    [sym_delete_expression] = STATE(5024),
    [sym_requires_clause] = STATE(5024),
    [sym_requires_expression] = STATE(5024),
    [sym_lambda_expression] = STATE(5024),
    [sym_lambda_capture_specifier] = STATE(7184),
    [sym_fold_expression] = STATE(5024),
    [sym_parameter_pack_expansion] = STATE(5024),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6886),
    [sym_qualified_identifier] = STATE(4507),
    [sym_qualified_type_identifier] = STATE(9352),
    [sym_user_defined_literal] = STATE(4507),
    [sym_identifier] = ACTIONS(3140),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5370),
    [anon_sym_LPAREN2] = ACTIONS(5468),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1474),
    [anon_sym_AMP] = ACTIONS(1474),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [sym_primitive_type] = ACTIONS(3146),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [2068] = {
    [sym__expression] = STATE(4340),
    [sym__expression_not_binary] = STATE(4695),
    [sym__string] = STATE(4695),
    [sym_conditional_expression] = STATE(4695),
    [sym_assignment_expression] = STATE(4695),
    [sym_pointer_expression] = STATE(4695),
    [sym_unary_expression] = STATE(4695),
    [sym_binary_expression] = STATE(4695),
    [sym_update_expression] = STATE(4695),
    [sym_cast_expression] = STATE(4695),
    [sym_sizeof_expression] = STATE(4695),
    [sym_alignof_expression] = STATE(4695),
    [sym_offsetof_expression] = STATE(4695),
    [sym_generic_expression] = STATE(4695),
    [sym_subscript_expression] = STATE(4695),
    [sym_call_expression] = STATE(4695),
    [sym_gnu_asm_expression] = STATE(4695),
    [sym_field_expression] = STATE(4695),
    [sym_compound_literal_expression] = STATE(4695),
    [sym_parenthesized_expression] = STATE(4695),
    [sym_char_literal] = STATE(4427),
    [sym_concatenated_string] = STATE(4424),
    [sym_string_literal] = STATE(3398),
    [sym_null] = STATE(4695),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9425),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(4695),
    [sym_raw_string_literal] = STATE(3396),
    [sym_co_await_expression] = STATE(4695),
    [sym_new_expression] = STATE(4695),
    [sym_delete_expression] = STATE(4695),
    [sym_requires_clause] = STATE(4695),
    [sym_requires_expression] = STATE(4695),
    [sym_lambda_expression] = STATE(4695),
    [sym_lambda_capture_specifier] = STATE(7185),
    [sym_fold_expression] = STATE(4695),
    [sym_parameter_pack_expansion] = STATE(4695),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6899),
    [sym_qualified_identifier] = STATE(4695),
    [sym_qualified_type_identifier] = STATE(9425),
    [sym_user_defined_literal] = STATE(4695),
    [sym_identifier] = ACTIONS(4092),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5367),
    [anon_sym_LPAREN2] = ACTIONS(4188),
    [anon_sym_BANG] = ACTIONS(2532),
    [anon_sym_TILDE] = ACTIONS(2532),
    [anon_sym_DASH] = ACTIONS(2536),
    [anon_sym_PLUS] = ACTIONS(2536),
    [anon_sym_STAR] = ACTIONS(2116),
    [anon_sym_AMP] = ACTIONS(2116),
    [anon_sym_COLON_COLON] = ACTIONS(2542),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [sym_primitive_type] = ACTIONS(4096),
    [anon_sym_not] = ACTIONS(2536),
    [anon_sym_compl] = ACTIONS(2536),
    [anon_sym_DASH_DASH] = ACTIONS(2560),
    [anon_sym_PLUS_PLUS] = ACTIONS(2560),
    [anon_sym_sizeof] = ACTIONS(2562),
    [anon_sym___alignof__] = ACTIONS(2564),
    [anon_sym___alignof] = ACTIONS(2564),
    [anon_sym__alignof] = ACTIONS(2564),
    [anon_sym_alignof] = ACTIONS(2564),
    [anon_sym__Alignof] = ACTIONS(2564),
    [anon_sym_offsetof] = ACTIONS(2566),
    [anon_sym__Generic] = ACTIONS(2568),
    [anon_sym_asm] = ACTIONS(2570),
    [anon_sym___asm__] = ACTIONS(2570),
    [sym_number_literal] = ACTIONS(2572),
    [anon_sym_L_SQUOTE] = ACTIONS(2574),
    [anon_sym_u_SQUOTE] = ACTIONS(2574),
    [anon_sym_U_SQUOTE] = ACTIONS(2574),
    [anon_sym_u8_SQUOTE] = ACTIONS(2574),
    [anon_sym_SQUOTE] = ACTIONS(2574),
    [anon_sym_L_DQUOTE] = ACTIONS(2576),
    [anon_sym_u_DQUOTE] = ACTIONS(2576),
    [anon_sym_U_DQUOTE] = ACTIONS(2576),
    [anon_sym_u8_DQUOTE] = ACTIONS(2576),
    [anon_sym_DQUOTE] = ACTIONS(2576),
    [sym_true] = ACTIONS(2578),
    [sym_false] = ACTIONS(2578),
    [anon_sym_NULL] = ACTIONS(2580),
    [anon_sym_nullptr] = ACTIONS(2580),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(2590),
    [anon_sym_R_DQUOTE] = ACTIONS(2592),
    [anon_sym_LR_DQUOTE] = ACTIONS(2592),
    [anon_sym_uR_DQUOTE] = ACTIONS(2592),
    [anon_sym_UR_DQUOTE] = ACTIONS(2592),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2592),
    [anon_sym_co_await] = ACTIONS(2594),
    [anon_sym_new] = ACTIONS(2596),
    [anon_sym_requires] = ACTIONS(2598),
    [sym_this] = ACTIONS(2578),
  },
  [2069] = {
    [sym__expression] = STATE(4804),
    [sym__expression_not_binary] = STATE(4939),
    [sym__string] = STATE(4939),
    [sym_conditional_expression] = STATE(4939),
    [sym_assignment_expression] = STATE(4939),
    [sym_pointer_expression] = STATE(4521),
    [sym_unary_expression] = STATE(4939),
    [sym_binary_expression] = STATE(4939),
    [sym_update_expression] = STATE(4939),
    [sym_cast_expression] = STATE(4939),
    [sym_sizeof_expression] = STATE(4939),
    [sym_alignof_expression] = STATE(4939),
    [sym_offsetof_expression] = STATE(4939),
    [sym_generic_expression] = STATE(4939),
    [sym_subscript_expression] = STATE(4521),
    [sym_call_expression] = STATE(4521),
    [sym_gnu_asm_expression] = STATE(4939),
    [sym_field_expression] = STATE(4521),
    [sym_compound_literal_expression] = STATE(4939),
    [sym_parenthesized_expression] = STATE(4521),
    [sym_char_literal] = STATE(4856),
    [sym_concatenated_string] = STATE(4876),
    [sym_string_literal] = STATE(3630),
    [sym_null] = STATE(4939),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9415),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(4939),
    [sym_raw_string_literal] = STATE(3632),
    [sym_co_await_expression] = STATE(4939),
    [sym_new_expression] = STATE(4939),
    [sym_delete_expression] = STATE(4939),
    [sym_requires_clause] = STATE(4939),
    [sym_requires_expression] = STATE(4939),
    [sym_lambda_expression] = STATE(4939),
    [sym_lambda_capture_specifier] = STATE(7190),
    [sym_fold_expression] = STATE(4939),
    [sym_parameter_pack_expansion] = STATE(4939),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6899),
    [sym_qualified_identifier] = STATE(4521),
    [sym_qualified_type_identifier] = STATE(9415),
    [sym_user_defined_literal] = STATE(4521),
    [sym_identifier] = ACTIONS(4178),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5470),
    [anon_sym_LPAREN2] = ACTIONS(5472),
    [anon_sym_BANG] = ACTIONS(2112),
    [anon_sym_TILDE] = ACTIONS(2112),
    [anon_sym_DASH] = ACTIONS(2114),
    [anon_sym_PLUS] = ACTIONS(2114),
    [anon_sym_STAR] = ACTIONS(2116),
    [anon_sym_AMP] = ACTIONS(2116),
    [anon_sym_COLON_COLON] = ACTIONS(2120),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [sym_primitive_type] = ACTIONS(4182),
    [anon_sym_not] = ACTIONS(2114),
    [anon_sym_compl] = ACTIONS(2114),
    [anon_sym_DASH_DASH] = ACTIONS(2132),
    [anon_sym_PLUS_PLUS] = ACTIONS(2132),
    [anon_sym_sizeof] = ACTIONS(2134),
    [anon_sym___alignof__] = ACTIONS(2136),
    [anon_sym___alignof] = ACTIONS(2136),
    [anon_sym__alignof] = ACTIONS(2136),
    [anon_sym_alignof] = ACTIONS(2136),
    [anon_sym__Alignof] = ACTIONS(2136),
    [anon_sym_offsetof] = ACTIONS(2138),
    [anon_sym__Generic] = ACTIONS(2140),
    [anon_sym_asm] = ACTIONS(2142),
    [anon_sym___asm__] = ACTIONS(2142),
    [sym_number_literal] = ACTIONS(2144),
    [anon_sym_L_SQUOTE] = ACTIONS(2146),
    [anon_sym_u_SQUOTE] = ACTIONS(2146),
    [anon_sym_U_SQUOTE] = ACTIONS(2146),
    [anon_sym_u8_SQUOTE] = ACTIONS(2146),
    [anon_sym_SQUOTE] = ACTIONS(2146),
    [anon_sym_L_DQUOTE] = ACTIONS(2148),
    [anon_sym_u_DQUOTE] = ACTIONS(2148),
    [anon_sym_U_DQUOTE] = ACTIONS(2148),
    [anon_sym_u8_DQUOTE] = ACTIONS(2148),
    [anon_sym_DQUOTE] = ACTIONS(2148),
    [sym_true] = ACTIONS(2150),
    [sym_false] = ACTIONS(2150),
    [anon_sym_NULL] = ACTIONS(2152),
    [anon_sym_nullptr] = ACTIONS(2152),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(2156),
    [anon_sym_R_DQUOTE] = ACTIONS(2158),
    [anon_sym_LR_DQUOTE] = ACTIONS(2158),
    [anon_sym_uR_DQUOTE] = ACTIONS(2158),
    [anon_sym_UR_DQUOTE] = ACTIONS(2158),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2158),
    [anon_sym_co_await] = ACTIONS(2160),
    [anon_sym_new] = ACTIONS(2162),
    [anon_sym_requires] = ACTIONS(2164),
    [sym_this] = ACTIONS(2150),
  },
  [2070] = {
    [sym__expression] = STATE(4336),
    [sym__expression_not_binary] = STATE(4695),
    [sym__string] = STATE(4695),
    [sym_conditional_expression] = STATE(4695),
    [sym_assignment_expression] = STATE(4695),
    [sym_pointer_expression] = STATE(4695),
    [sym_unary_expression] = STATE(4695),
    [sym_binary_expression] = STATE(4695),
    [sym_update_expression] = STATE(4695),
    [sym_cast_expression] = STATE(4695),
    [sym_sizeof_expression] = STATE(4695),
    [sym_alignof_expression] = STATE(4695),
    [sym_offsetof_expression] = STATE(4695),
    [sym_generic_expression] = STATE(4695),
    [sym_subscript_expression] = STATE(4695),
    [sym_call_expression] = STATE(4695),
    [sym_gnu_asm_expression] = STATE(4695),
    [sym_field_expression] = STATE(4695),
    [sym_compound_literal_expression] = STATE(4695),
    [sym_parenthesized_expression] = STATE(4695),
    [sym_char_literal] = STATE(4427),
    [sym_concatenated_string] = STATE(4424),
    [sym_string_literal] = STATE(3398),
    [sym_null] = STATE(4695),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9425),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(4695),
    [sym_raw_string_literal] = STATE(3396),
    [sym_co_await_expression] = STATE(4695),
    [sym_new_expression] = STATE(4695),
    [sym_delete_expression] = STATE(4695),
    [sym_requires_clause] = STATE(4695),
    [sym_requires_expression] = STATE(4695),
    [sym_lambda_expression] = STATE(4695),
    [sym_lambda_capture_specifier] = STATE(7185),
    [sym_fold_expression] = STATE(4695),
    [sym_parameter_pack_expansion] = STATE(4695),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6899),
    [sym_qualified_identifier] = STATE(4695),
    [sym_qualified_type_identifier] = STATE(9425),
    [sym_user_defined_literal] = STATE(4695),
    [sym_identifier] = ACTIONS(4092),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5374),
    [anon_sym_LPAREN2] = ACTIONS(4188),
    [anon_sym_BANG] = ACTIONS(2532),
    [anon_sym_TILDE] = ACTIONS(2532),
    [anon_sym_DASH] = ACTIONS(2536),
    [anon_sym_PLUS] = ACTIONS(2536),
    [anon_sym_STAR] = ACTIONS(2116),
    [anon_sym_AMP] = ACTIONS(2116),
    [anon_sym_COLON_COLON] = ACTIONS(2542),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [sym_primitive_type] = ACTIONS(4096),
    [anon_sym_not] = ACTIONS(2536),
    [anon_sym_compl] = ACTIONS(2536),
    [anon_sym_DASH_DASH] = ACTIONS(2560),
    [anon_sym_PLUS_PLUS] = ACTIONS(2560),
    [anon_sym_sizeof] = ACTIONS(2562),
    [anon_sym___alignof__] = ACTIONS(2564),
    [anon_sym___alignof] = ACTIONS(2564),
    [anon_sym__alignof] = ACTIONS(2564),
    [anon_sym_alignof] = ACTIONS(2564),
    [anon_sym__Alignof] = ACTIONS(2564),
    [anon_sym_offsetof] = ACTIONS(2566),
    [anon_sym__Generic] = ACTIONS(2568),
    [anon_sym_asm] = ACTIONS(2570),
    [anon_sym___asm__] = ACTIONS(2570),
    [sym_number_literal] = ACTIONS(2572),
    [anon_sym_L_SQUOTE] = ACTIONS(2574),
    [anon_sym_u_SQUOTE] = ACTIONS(2574),
    [anon_sym_U_SQUOTE] = ACTIONS(2574),
    [anon_sym_u8_SQUOTE] = ACTIONS(2574),
    [anon_sym_SQUOTE] = ACTIONS(2574),
    [anon_sym_L_DQUOTE] = ACTIONS(2576),
    [anon_sym_u_DQUOTE] = ACTIONS(2576),
    [anon_sym_U_DQUOTE] = ACTIONS(2576),
    [anon_sym_u8_DQUOTE] = ACTIONS(2576),
    [anon_sym_DQUOTE] = ACTIONS(2576),
    [sym_true] = ACTIONS(2578),
    [sym_false] = ACTIONS(2578),
    [anon_sym_NULL] = ACTIONS(2580),
    [anon_sym_nullptr] = ACTIONS(2580),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(2590),
    [anon_sym_R_DQUOTE] = ACTIONS(2592),
    [anon_sym_LR_DQUOTE] = ACTIONS(2592),
    [anon_sym_uR_DQUOTE] = ACTIONS(2592),
    [anon_sym_UR_DQUOTE] = ACTIONS(2592),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2592),
    [anon_sym_co_await] = ACTIONS(2594),
    [anon_sym_new] = ACTIONS(2596),
    [anon_sym_requires] = ACTIONS(2598),
    [sym_this] = ACTIONS(2578),
  },
  [2071] = {
    [sym__expression] = STATE(5916),
    [sym__expression_not_binary] = STATE(5024),
    [sym__string] = STATE(5024),
    [sym_conditional_expression] = STATE(5024),
    [sym_assignment_expression] = STATE(5024),
    [sym_pointer_expression] = STATE(4507),
    [sym_unary_expression] = STATE(5024),
    [sym_binary_expression] = STATE(5024),
    [sym_update_expression] = STATE(5024),
    [sym_cast_expression] = STATE(5024),
    [sym_sizeof_expression] = STATE(5024),
    [sym_alignof_expression] = STATE(5024),
    [sym_offsetof_expression] = STATE(5024),
    [sym_generic_expression] = STATE(5024),
    [sym_subscript_expression] = STATE(4507),
    [sym_call_expression] = STATE(4507),
    [sym_gnu_asm_expression] = STATE(5024),
    [sym_field_expression] = STATE(4507),
    [sym_compound_literal_expression] = STATE(5024),
    [sym_parenthesized_expression] = STATE(4507),
    [sym_char_literal] = STATE(5374),
    [sym_concatenated_string] = STATE(5377),
    [sym_string_literal] = STATE(4206),
    [sym_null] = STATE(5024),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9352),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(5024),
    [sym_raw_string_literal] = STATE(4217),
    [sym_co_await_expression] = STATE(5024),
    [sym_new_expression] = STATE(5024),
    [sym_delete_expression] = STATE(5024),
    [sym_requires_clause] = STATE(5024),
    [sym_requires_expression] = STATE(5024),
    [sym_lambda_expression] = STATE(5024),
    [sym_lambda_capture_specifier] = STATE(7184),
    [sym_fold_expression] = STATE(5024),
    [sym_parameter_pack_expansion] = STATE(5024),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6886),
    [sym_qualified_identifier] = STATE(4507),
    [sym_qualified_type_identifier] = STATE(9352),
    [sym_user_defined_literal] = STATE(4507),
    [sym_identifier] = ACTIONS(3140),
    [anon_sym_LPAREN2] = ACTIONS(1472),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1474),
    [anon_sym_AMP] = ACTIONS(1474),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [sym_primitive_type] = ACTIONS(3146),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5474),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [2072] = {
    [sym__expression] = STATE(4336),
    [sym__expression_not_binary] = STATE(4695),
    [sym__string] = STATE(4695),
    [sym_conditional_expression] = STATE(4695),
    [sym_assignment_expression] = STATE(4695),
    [sym_pointer_expression] = STATE(4695),
    [sym_unary_expression] = STATE(4695),
    [sym_binary_expression] = STATE(4695),
    [sym_update_expression] = STATE(4695),
    [sym_cast_expression] = STATE(4695),
    [sym_sizeof_expression] = STATE(4695),
    [sym_alignof_expression] = STATE(4695),
    [sym_offsetof_expression] = STATE(4695),
    [sym_generic_expression] = STATE(4695),
    [sym_subscript_expression] = STATE(4695),
    [sym_call_expression] = STATE(4695),
    [sym_gnu_asm_expression] = STATE(4695),
    [sym_field_expression] = STATE(4695),
    [sym_compound_literal_expression] = STATE(4695),
    [sym_parenthesized_expression] = STATE(4695),
    [sym_char_literal] = STATE(4427),
    [sym_concatenated_string] = STATE(4424),
    [sym_string_literal] = STATE(3398),
    [sym_null] = STATE(4695),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9425),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(4695),
    [sym_raw_string_literal] = STATE(3396),
    [sym_co_await_expression] = STATE(4695),
    [sym_new_expression] = STATE(4695),
    [sym_delete_expression] = STATE(4695),
    [sym_requires_clause] = STATE(4695),
    [sym_requires_expression] = STATE(4695),
    [sym_lambda_expression] = STATE(4695),
    [sym_lambda_capture_specifier] = STATE(7185),
    [sym_fold_expression] = STATE(4695),
    [sym_parameter_pack_expansion] = STATE(4695),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6899),
    [sym_qualified_identifier] = STATE(4695),
    [sym_qualified_type_identifier] = STATE(9425),
    [sym_user_defined_literal] = STATE(4695),
    [sym_identifier] = ACTIONS(4092),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5379),
    [anon_sym_LPAREN2] = ACTIONS(4188),
    [anon_sym_BANG] = ACTIONS(2532),
    [anon_sym_TILDE] = ACTIONS(2532),
    [anon_sym_DASH] = ACTIONS(2536),
    [anon_sym_PLUS] = ACTIONS(2536),
    [anon_sym_STAR] = ACTIONS(2116),
    [anon_sym_AMP] = ACTIONS(2116),
    [anon_sym_COLON_COLON] = ACTIONS(2542),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [sym_primitive_type] = ACTIONS(4096),
    [anon_sym_not] = ACTIONS(2536),
    [anon_sym_compl] = ACTIONS(2536),
    [anon_sym_DASH_DASH] = ACTIONS(2560),
    [anon_sym_PLUS_PLUS] = ACTIONS(2560),
    [anon_sym_sizeof] = ACTIONS(2562),
    [anon_sym___alignof__] = ACTIONS(2564),
    [anon_sym___alignof] = ACTIONS(2564),
    [anon_sym__alignof] = ACTIONS(2564),
    [anon_sym_alignof] = ACTIONS(2564),
    [anon_sym__Alignof] = ACTIONS(2564),
    [anon_sym_offsetof] = ACTIONS(2566),
    [anon_sym__Generic] = ACTIONS(2568),
    [anon_sym_asm] = ACTIONS(2570),
    [anon_sym___asm__] = ACTIONS(2570),
    [sym_number_literal] = ACTIONS(2572),
    [anon_sym_L_SQUOTE] = ACTIONS(2574),
    [anon_sym_u_SQUOTE] = ACTIONS(2574),
    [anon_sym_U_SQUOTE] = ACTIONS(2574),
    [anon_sym_u8_SQUOTE] = ACTIONS(2574),
    [anon_sym_SQUOTE] = ACTIONS(2574),
    [anon_sym_L_DQUOTE] = ACTIONS(2576),
    [anon_sym_u_DQUOTE] = ACTIONS(2576),
    [anon_sym_U_DQUOTE] = ACTIONS(2576),
    [anon_sym_u8_DQUOTE] = ACTIONS(2576),
    [anon_sym_DQUOTE] = ACTIONS(2576),
    [sym_true] = ACTIONS(2578),
    [sym_false] = ACTIONS(2578),
    [anon_sym_NULL] = ACTIONS(2580),
    [anon_sym_nullptr] = ACTIONS(2580),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(2590),
    [anon_sym_R_DQUOTE] = ACTIONS(2592),
    [anon_sym_LR_DQUOTE] = ACTIONS(2592),
    [anon_sym_uR_DQUOTE] = ACTIONS(2592),
    [anon_sym_UR_DQUOTE] = ACTIONS(2592),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2592),
    [anon_sym_co_await] = ACTIONS(2594),
    [anon_sym_new] = ACTIONS(2596),
    [anon_sym_requires] = ACTIONS(2598),
    [sym_this] = ACTIONS(2578),
  },
  [2073] = {
    [sym__expression] = STATE(4336),
    [sym__expression_not_binary] = STATE(4695),
    [sym__string] = STATE(4695),
    [sym_conditional_expression] = STATE(4695),
    [sym_assignment_expression] = STATE(4695),
    [sym_pointer_expression] = STATE(4695),
    [sym_unary_expression] = STATE(4695),
    [sym_binary_expression] = STATE(4695),
    [sym_update_expression] = STATE(4695),
    [sym_cast_expression] = STATE(4695),
    [sym_sizeof_expression] = STATE(4695),
    [sym_alignof_expression] = STATE(4695),
    [sym_offsetof_expression] = STATE(4695),
    [sym_generic_expression] = STATE(4695),
    [sym_subscript_expression] = STATE(4695),
    [sym_call_expression] = STATE(4695),
    [sym_gnu_asm_expression] = STATE(4695),
    [sym_field_expression] = STATE(4695),
    [sym_compound_literal_expression] = STATE(4695),
    [sym_parenthesized_expression] = STATE(4695),
    [sym_char_literal] = STATE(4427),
    [sym_concatenated_string] = STATE(4424),
    [sym_string_literal] = STATE(3398),
    [sym_null] = STATE(4695),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9425),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(4695),
    [sym_raw_string_literal] = STATE(3396),
    [sym_co_await_expression] = STATE(4695),
    [sym_new_expression] = STATE(4695),
    [sym_delete_expression] = STATE(4695),
    [sym_requires_clause] = STATE(4695),
    [sym_requires_expression] = STATE(4695),
    [sym_lambda_expression] = STATE(4695),
    [sym_lambda_capture_specifier] = STATE(7185),
    [sym_fold_expression] = STATE(4695),
    [sym_parameter_pack_expansion] = STATE(4695),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6899),
    [sym_qualified_identifier] = STATE(4695),
    [sym_qualified_type_identifier] = STATE(9425),
    [sym_user_defined_literal] = STATE(4695),
    [sym_identifier] = ACTIONS(4092),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5388),
    [anon_sym_LPAREN2] = ACTIONS(4188),
    [anon_sym_BANG] = ACTIONS(2532),
    [anon_sym_TILDE] = ACTIONS(2532),
    [anon_sym_DASH] = ACTIONS(2536),
    [anon_sym_PLUS] = ACTIONS(2536),
    [anon_sym_STAR] = ACTIONS(2116),
    [anon_sym_AMP] = ACTIONS(2116),
    [anon_sym_COLON_COLON] = ACTIONS(2542),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [sym_primitive_type] = ACTIONS(4096),
    [anon_sym_not] = ACTIONS(2536),
    [anon_sym_compl] = ACTIONS(2536),
    [anon_sym_DASH_DASH] = ACTIONS(2560),
    [anon_sym_PLUS_PLUS] = ACTIONS(2560),
    [anon_sym_sizeof] = ACTIONS(2562),
    [anon_sym___alignof__] = ACTIONS(2564),
    [anon_sym___alignof] = ACTIONS(2564),
    [anon_sym__alignof] = ACTIONS(2564),
    [anon_sym_alignof] = ACTIONS(2564),
    [anon_sym__Alignof] = ACTIONS(2564),
    [anon_sym_offsetof] = ACTIONS(2566),
    [anon_sym__Generic] = ACTIONS(2568),
    [anon_sym_asm] = ACTIONS(2570),
    [anon_sym___asm__] = ACTIONS(2570),
    [sym_number_literal] = ACTIONS(2572),
    [anon_sym_L_SQUOTE] = ACTIONS(2574),
    [anon_sym_u_SQUOTE] = ACTIONS(2574),
    [anon_sym_U_SQUOTE] = ACTIONS(2574),
    [anon_sym_u8_SQUOTE] = ACTIONS(2574),
    [anon_sym_SQUOTE] = ACTIONS(2574),
    [anon_sym_L_DQUOTE] = ACTIONS(2576),
    [anon_sym_u_DQUOTE] = ACTIONS(2576),
    [anon_sym_U_DQUOTE] = ACTIONS(2576),
    [anon_sym_u8_DQUOTE] = ACTIONS(2576),
    [anon_sym_DQUOTE] = ACTIONS(2576),
    [sym_true] = ACTIONS(2578),
    [sym_false] = ACTIONS(2578),
    [anon_sym_NULL] = ACTIONS(2580),
    [anon_sym_nullptr] = ACTIONS(2580),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(2590),
    [anon_sym_R_DQUOTE] = ACTIONS(2592),
    [anon_sym_LR_DQUOTE] = ACTIONS(2592),
    [anon_sym_uR_DQUOTE] = ACTIONS(2592),
    [anon_sym_UR_DQUOTE] = ACTIONS(2592),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2592),
    [anon_sym_co_await] = ACTIONS(2594),
    [anon_sym_new] = ACTIONS(2596),
    [anon_sym_requires] = ACTIONS(2598),
    [sym_this] = ACTIONS(2578),
  },
  [2074] = {
    [sym__expression] = STATE(4716),
    [sym__expression_not_binary] = STATE(4939),
    [sym__string] = STATE(4939),
    [sym_conditional_expression] = STATE(4939),
    [sym_assignment_expression] = STATE(4939),
    [sym_pointer_expression] = STATE(4521),
    [sym_unary_expression] = STATE(4939),
    [sym_binary_expression] = STATE(4939),
    [sym_update_expression] = STATE(4939),
    [sym_cast_expression] = STATE(4939),
    [sym_sizeof_expression] = STATE(4939),
    [sym_alignof_expression] = STATE(4939),
    [sym_offsetof_expression] = STATE(4939),
    [sym_generic_expression] = STATE(4939),
    [sym_subscript_expression] = STATE(4521),
    [sym_call_expression] = STATE(4521),
    [sym_gnu_asm_expression] = STATE(4939),
    [sym_field_expression] = STATE(4521),
    [sym_compound_literal_expression] = STATE(4939),
    [sym_parenthesized_expression] = STATE(4521),
    [sym_char_literal] = STATE(4856),
    [sym_concatenated_string] = STATE(4876),
    [sym_string_literal] = STATE(3630),
    [sym_null] = STATE(4939),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9415),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(4939),
    [sym_raw_string_literal] = STATE(3632),
    [sym_co_await_expression] = STATE(4939),
    [sym_new_expression] = STATE(4939),
    [sym_delete_expression] = STATE(4939),
    [sym_requires_clause] = STATE(4939),
    [sym_requires_expression] = STATE(4939),
    [sym_lambda_expression] = STATE(4939),
    [sym_lambda_capture_specifier] = STATE(7190),
    [sym_fold_expression] = STATE(4939),
    [sym_parameter_pack_expansion] = STATE(4939),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6899),
    [sym_qualified_identifier] = STATE(4521),
    [sym_qualified_type_identifier] = STATE(9415),
    [sym_user_defined_literal] = STATE(4521),
    [sym_identifier] = ACTIONS(4178),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5333),
    [anon_sym_LPAREN2] = ACTIONS(2110),
    [anon_sym_BANG] = ACTIONS(2112),
    [anon_sym_TILDE] = ACTIONS(2112),
    [anon_sym_DASH] = ACTIONS(2114),
    [anon_sym_PLUS] = ACTIONS(2114),
    [anon_sym_STAR] = ACTIONS(2116),
    [anon_sym_AMP] = ACTIONS(2116),
    [anon_sym_COLON_COLON] = ACTIONS(2120),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [sym_primitive_type] = ACTIONS(4182),
    [anon_sym_not] = ACTIONS(2114),
    [anon_sym_compl] = ACTIONS(2114),
    [anon_sym_DASH_DASH] = ACTIONS(2132),
    [anon_sym_PLUS_PLUS] = ACTIONS(2132),
    [anon_sym_sizeof] = ACTIONS(2134),
    [anon_sym___alignof__] = ACTIONS(2136),
    [anon_sym___alignof] = ACTIONS(2136),
    [anon_sym__alignof] = ACTIONS(2136),
    [anon_sym_alignof] = ACTIONS(2136),
    [anon_sym__Alignof] = ACTIONS(2136),
    [anon_sym_offsetof] = ACTIONS(2138),
    [anon_sym__Generic] = ACTIONS(2140),
    [anon_sym_asm] = ACTIONS(2142),
    [anon_sym___asm__] = ACTIONS(2142),
    [sym_number_literal] = ACTIONS(2144),
    [anon_sym_L_SQUOTE] = ACTIONS(2146),
    [anon_sym_u_SQUOTE] = ACTIONS(2146),
    [anon_sym_U_SQUOTE] = ACTIONS(2146),
    [anon_sym_u8_SQUOTE] = ACTIONS(2146),
    [anon_sym_SQUOTE] = ACTIONS(2146),
    [anon_sym_L_DQUOTE] = ACTIONS(2148),
    [anon_sym_u_DQUOTE] = ACTIONS(2148),
    [anon_sym_U_DQUOTE] = ACTIONS(2148),
    [anon_sym_u8_DQUOTE] = ACTIONS(2148),
    [anon_sym_DQUOTE] = ACTIONS(2148),
    [sym_true] = ACTIONS(2150),
    [sym_false] = ACTIONS(2150),
    [anon_sym_NULL] = ACTIONS(2152),
    [anon_sym_nullptr] = ACTIONS(2152),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(2156),
    [anon_sym_R_DQUOTE] = ACTIONS(2158),
    [anon_sym_LR_DQUOTE] = ACTIONS(2158),
    [anon_sym_uR_DQUOTE] = ACTIONS(2158),
    [anon_sym_UR_DQUOTE] = ACTIONS(2158),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2158),
    [anon_sym_co_await] = ACTIONS(2160),
    [anon_sym_new] = ACTIONS(2162),
    [anon_sym_requires] = ACTIONS(2164),
    [sym_this] = ACTIONS(2150),
  },
  [2075] = {
    [sym__expression] = STATE(4335),
    [sym__expression_not_binary] = STATE(4695),
    [sym__string] = STATE(4695),
    [sym_conditional_expression] = STATE(4695),
    [sym_assignment_expression] = STATE(4695),
    [sym_pointer_expression] = STATE(4695),
    [sym_unary_expression] = STATE(4695),
    [sym_binary_expression] = STATE(4695),
    [sym_update_expression] = STATE(4695),
    [sym_cast_expression] = STATE(4695),
    [sym_sizeof_expression] = STATE(4695),
    [sym_alignof_expression] = STATE(4695),
    [sym_offsetof_expression] = STATE(4695),
    [sym_generic_expression] = STATE(4695),
    [sym_subscript_expression] = STATE(4695),
    [sym_call_expression] = STATE(4695),
    [sym_gnu_asm_expression] = STATE(4695),
    [sym_field_expression] = STATE(4695),
    [sym_compound_literal_expression] = STATE(4695),
    [sym_parenthesized_expression] = STATE(4695),
    [sym_char_literal] = STATE(4427),
    [sym_concatenated_string] = STATE(4424),
    [sym_string_literal] = STATE(3398),
    [sym_null] = STATE(4695),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9425),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(4695),
    [sym_raw_string_literal] = STATE(3396),
    [sym_co_await_expression] = STATE(4695),
    [sym_new_expression] = STATE(4695),
    [sym_delete_expression] = STATE(4695),
    [sym_requires_clause] = STATE(4695),
    [sym_requires_expression] = STATE(4695),
    [sym_lambda_expression] = STATE(4695),
    [sym_lambda_capture_specifier] = STATE(7185),
    [sym_fold_expression] = STATE(4695),
    [sym_parameter_pack_expansion] = STATE(4695),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6899),
    [sym_qualified_identifier] = STATE(4695),
    [sym_qualified_type_identifier] = STATE(9425),
    [sym_user_defined_literal] = STATE(4695),
    [sym_identifier] = ACTIONS(4092),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5391),
    [anon_sym_LPAREN2] = ACTIONS(4188),
    [anon_sym_BANG] = ACTIONS(2532),
    [anon_sym_TILDE] = ACTIONS(2532),
    [anon_sym_DASH] = ACTIONS(2536),
    [anon_sym_PLUS] = ACTIONS(2536),
    [anon_sym_STAR] = ACTIONS(2116),
    [anon_sym_AMP] = ACTIONS(2116),
    [anon_sym_COLON_COLON] = ACTIONS(2542),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [sym_primitive_type] = ACTIONS(4096),
    [anon_sym_not] = ACTIONS(2536),
    [anon_sym_compl] = ACTIONS(2536),
    [anon_sym_DASH_DASH] = ACTIONS(2560),
    [anon_sym_PLUS_PLUS] = ACTIONS(2560),
    [anon_sym_sizeof] = ACTIONS(2562),
    [anon_sym___alignof__] = ACTIONS(2564),
    [anon_sym___alignof] = ACTIONS(2564),
    [anon_sym__alignof] = ACTIONS(2564),
    [anon_sym_alignof] = ACTIONS(2564),
    [anon_sym__Alignof] = ACTIONS(2564),
    [anon_sym_offsetof] = ACTIONS(2566),
    [anon_sym__Generic] = ACTIONS(2568),
    [anon_sym_asm] = ACTIONS(2570),
    [anon_sym___asm__] = ACTIONS(2570),
    [sym_number_literal] = ACTIONS(2572),
    [anon_sym_L_SQUOTE] = ACTIONS(2574),
    [anon_sym_u_SQUOTE] = ACTIONS(2574),
    [anon_sym_U_SQUOTE] = ACTIONS(2574),
    [anon_sym_u8_SQUOTE] = ACTIONS(2574),
    [anon_sym_SQUOTE] = ACTIONS(2574),
    [anon_sym_L_DQUOTE] = ACTIONS(2576),
    [anon_sym_u_DQUOTE] = ACTIONS(2576),
    [anon_sym_U_DQUOTE] = ACTIONS(2576),
    [anon_sym_u8_DQUOTE] = ACTIONS(2576),
    [anon_sym_DQUOTE] = ACTIONS(2576),
    [sym_true] = ACTIONS(2578),
    [sym_false] = ACTIONS(2578),
    [anon_sym_NULL] = ACTIONS(2580),
    [anon_sym_nullptr] = ACTIONS(2580),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(2590),
    [anon_sym_R_DQUOTE] = ACTIONS(2592),
    [anon_sym_LR_DQUOTE] = ACTIONS(2592),
    [anon_sym_uR_DQUOTE] = ACTIONS(2592),
    [anon_sym_UR_DQUOTE] = ACTIONS(2592),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2592),
    [anon_sym_co_await] = ACTIONS(2594),
    [anon_sym_new] = ACTIONS(2596),
    [anon_sym_requires] = ACTIONS(2598),
    [sym_this] = ACTIONS(2578),
  },
  [2076] = {
    [sym__expression] = STATE(4717),
    [sym__expression_not_binary] = STATE(4939),
    [sym__string] = STATE(4939),
    [sym_conditional_expression] = STATE(4939),
    [sym_assignment_expression] = STATE(4939),
    [sym_pointer_expression] = STATE(4521),
    [sym_unary_expression] = STATE(4939),
    [sym_binary_expression] = STATE(4939),
    [sym_update_expression] = STATE(4939),
    [sym_cast_expression] = STATE(4939),
    [sym_sizeof_expression] = STATE(4939),
    [sym_alignof_expression] = STATE(4939),
    [sym_offsetof_expression] = STATE(4939),
    [sym_generic_expression] = STATE(4939),
    [sym_subscript_expression] = STATE(4521),
    [sym_call_expression] = STATE(4521),
    [sym_gnu_asm_expression] = STATE(4939),
    [sym_field_expression] = STATE(4521),
    [sym_compound_literal_expression] = STATE(4939),
    [sym_parenthesized_expression] = STATE(4521),
    [sym_char_literal] = STATE(4856),
    [sym_concatenated_string] = STATE(4876),
    [sym_string_literal] = STATE(3630),
    [sym_null] = STATE(4939),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9415),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(4939),
    [sym_raw_string_literal] = STATE(3632),
    [sym_co_await_expression] = STATE(4939),
    [sym_new_expression] = STATE(4939),
    [sym_delete_expression] = STATE(4939),
    [sym_requires_clause] = STATE(4939),
    [sym_requires_expression] = STATE(4939),
    [sym_lambda_expression] = STATE(4939),
    [sym_lambda_capture_specifier] = STATE(7190),
    [sym_fold_expression] = STATE(4939),
    [sym_parameter_pack_expansion] = STATE(4939),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6899),
    [sym_qualified_identifier] = STATE(4521),
    [sym_qualified_type_identifier] = STATE(9415),
    [sym_user_defined_literal] = STATE(4521),
    [sym_identifier] = ACTIONS(4178),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5330),
    [anon_sym_LPAREN2] = ACTIONS(2110),
    [anon_sym_BANG] = ACTIONS(2112),
    [anon_sym_TILDE] = ACTIONS(2112),
    [anon_sym_DASH] = ACTIONS(2114),
    [anon_sym_PLUS] = ACTIONS(2114),
    [anon_sym_STAR] = ACTIONS(2116),
    [anon_sym_AMP] = ACTIONS(2116),
    [anon_sym_COLON_COLON] = ACTIONS(2120),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [sym_primitive_type] = ACTIONS(4182),
    [anon_sym_not] = ACTIONS(2114),
    [anon_sym_compl] = ACTIONS(2114),
    [anon_sym_DASH_DASH] = ACTIONS(2132),
    [anon_sym_PLUS_PLUS] = ACTIONS(2132),
    [anon_sym_sizeof] = ACTIONS(2134),
    [anon_sym___alignof__] = ACTIONS(2136),
    [anon_sym___alignof] = ACTIONS(2136),
    [anon_sym__alignof] = ACTIONS(2136),
    [anon_sym_alignof] = ACTIONS(2136),
    [anon_sym__Alignof] = ACTIONS(2136),
    [anon_sym_offsetof] = ACTIONS(2138),
    [anon_sym__Generic] = ACTIONS(2140),
    [anon_sym_asm] = ACTIONS(2142),
    [anon_sym___asm__] = ACTIONS(2142),
    [sym_number_literal] = ACTIONS(2144),
    [anon_sym_L_SQUOTE] = ACTIONS(2146),
    [anon_sym_u_SQUOTE] = ACTIONS(2146),
    [anon_sym_U_SQUOTE] = ACTIONS(2146),
    [anon_sym_u8_SQUOTE] = ACTIONS(2146),
    [anon_sym_SQUOTE] = ACTIONS(2146),
    [anon_sym_L_DQUOTE] = ACTIONS(2148),
    [anon_sym_u_DQUOTE] = ACTIONS(2148),
    [anon_sym_U_DQUOTE] = ACTIONS(2148),
    [anon_sym_u8_DQUOTE] = ACTIONS(2148),
    [anon_sym_DQUOTE] = ACTIONS(2148),
    [sym_true] = ACTIONS(2150),
    [sym_false] = ACTIONS(2150),
    [anon_sym_NULL] = ACTIONS(2152),
    [anon_sym_nullptr] = ACTIONS(2152),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(2156),
    [anon_sym_R_DQUOTE] = ACTIONS(2158),
    [anon_sym_LR_DQUOTE] = ACTIONS(2158),
    [anon_sym_uR_DQUOTE] = ACTIONS(2158),
    [anon_sym_UR_DQUOTE] = ACTIONS(2158),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2158),
    [anon_sym_co_await] = ACTIONS(2160),
    [anon_sym_new] = ACTIONS(2162),
    [anon_sym_requires] = ACTIONS(2164),
    [sym_this] = ACTIONS(2150),
  },
  [2077] = {
    [sym__expression] = STATE(4332),
    [sym__expression_not_binary] = STATE(4695),
    [sym__string] = STATE(4695),
    [sym_conditional_expression] = STATE(4695),
    [sym_assignment_expression] = STATE(4695),
    [sym_pointer_expression] = STATE(4695),
    [sym_unary_expression] = STATE(4695),
    [sym_binary_expression] = STATE(4695),
    [sym_update_expression] = STATE(4695),
    [sym_cast_expression] = STATE(4695),
    [sym_sizeof_expression] = STATE(4695),
    [sym_alignof_expression] = STATE(4695),
    [sym_offsetof_expression] = STATE(4695),
    [sym_generic_expression] = STATE(4695),
    [sym_subscript_expression] = STATE(4695),
    [sym_call_expression] = STATE(4695),
    [sym_gnu_asm_expression] = STATE(4695),
    [sym_field_expression] = STATE(4695),
    [sym_compound_literal_expression] = STATE(4695),
    [sym_parenthesized_expression] = STATE(4695),
    [sym_char_literal] = STATE(4427),
    [sym_concatenated_string] = STATE(4424),
    [sym_string_literal] = STATE(3398),
    [sym_null] = STATE(4695),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9425),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(4695),
    [sym_raw_string_literal] = STATE(3396),
    [sym_co_await_expression] = STATE(4695),
    [sym_new_expression] = STATE(4695),
    [sym_delete_expression] = STATE(4695),
    [sym_requires_clause] = STATE(4695),
    [sym_requires_expression] = STATE(4695),
    [sym_lambda_expression] = STATE(4695),
    [sym_lambda_capture_specifier] = STATE(7185),
    [sym_fold_expression] = STATE(4695),
    [sym_parameter_pack_expansion] = STATE(4695),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6899),
    [sym_qualified_identifier] = STATE(4695),
    [sym_qualified_type_identifier] = STATE(9425),
    [sym_user_defined_literal] = STATE(4695),
    [sym_identifier] = ACTIONS(4092),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5394),
    [anon_sym_LPAREN2] = ACTIONS(4188),
    [anon_sym_BANG] = ACTIONS(2532),
    [anon_sym_TILDE] = ACTIONS(2532),
    [anon_sym_DASH] = ACTIONS(2536),
    [anon_sym_PLUS] = ACTIONS(2536),
    [anon_sym_STAR] = ACTIONS(2116),
    [anon_sym_AMP] = ACTIONS(2116),
    [anon_sym_COLON_COLON] = ACTIONS(2542),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [sym_primitive_type] = ACTIONS(4096),
    [anon_sym_not] = ACTIONS(2536),
    [anon_sym_compl] = ACTIONS(2536),
    [anon_sym_DASH_DASH] = ACTIONS(2560),
    [anon_sym_PLUS_PLUS] = ACTIONS(2560),
    [anon_sym_sizeof] = ACTIONS(2562),
    [anon_sym___alignof__] = ACTIONS(2564),
    [anon_sym___alignof] = ACTIONS(2564),
    [anon_sym__alignof] = ACTIONS(2564),
    [anon_sym_alignof] = ACTIONS(2564),
    [anon_sym__Alignof] = ACTIONS(2564),
    [anon_sym_offsetof] = ACTIONS(2566),
    [anon_sym__Generic] = ACTIONS(2568),
    [anon_sym_asm] = ACTIONS(2570),
    [anon_sym___asm__] = ACTIONS(2570),
    [sym_number_literal] = ACTIONS(2572),
    [anon_sym_L_SQUOTE] = ACTIONS(2574),
    [anon_sym_u_SQUOTE] = ACTIONS(2574),
    [anon_sym_U_SQUOTE] = ACTIONS(2574),
    [anon_sym_u8_SQUOTE] = ACTIONS(2574),
    [anon_sym_SQUOTE] = ACTIONS(2574),
    [anon_sym_L_DQUOTE] = ACTIONS(2576),
    [anon_sym_u_DQUOTE] = ACTIONS(2576),
    [anon_sym_U_DQUOTE] = ACTIONS(2576),
    [anon_sym_u8_DQUOTE] = ACTIONS(2576),
    [anon_sym_DQUOTE] = ACTIONS(2576),
    [sym_true] = ACTIONS(2578),
    [sym_false] = ACTIONS(2578),
    [anon_sym_NULL] = ACTIONS(2580),
    [anon_sym_nullptr] = ACTIONS(2580),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(2590),
    [anon_sym_R_DQUOTE] = ACTIONS(2592),
    [anon_sym_LR_DQUOTE] = ACTIONS(2592),
    [anon_sym_uR_DQUOTE] = ACTIONS(2592),
    [anon_sym_UR_DQUOTE] = ACTIONS(2592),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2592),
    [anon_sym_co_await] = ACTIONS(2594),
    [anon_sym_new] = ACTIONS(2596),
    [anon_sym_requires] = ACTIONS(2598),
    [sym_this] = ACTIONS(2578),
  },
  [2078] = {
    [sym__expression] = STATE(4717),
    [sym__expression_not_binary] = STATE(4939),
    [sym__string] = STATE(4939),
    [sym_conditional_expression] = STATE(4939),
    [sym_assignment_expression] = STATE(4939),
    [sym_pointer_expression] = STATE(4521),
    [sym_unary_expression] = STATE(4939),
    [sym_binary_expression] = STATE(4939),
    [sym_update_expression] = STATE(4939),
    [sym_cast_expression] = STATE(4939),
    [sym_sizeof_expression] = STATE(4939),
    [sym_alignof_expression] = STATE(4939),
    [sym_offsetof_expression] = STATE(4939),
    [sym_generic_expression] = STATE(4939),
    [sym_subscript_expression] = STATE(4521),
    [sym_call_expression] = STATE(4521),
    [sym_gnu_asm_expression] = STATE(4939),
    [sym_field_expression] = STATE(4521),
    [sym_compound_literal_expression] = STATE(4939),
    [sym_parenthesized_expression] = STATE(4521),
    [sym_char_literal] = STATE(4856),
    [sym_concatenated_string] = STATE(4876),
    [sym_string_literal] = STATE(3630),
    [sym_null] = STATE(4939),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9415),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(4939),
    [sym_raw_string_literal] = STATE(3632),
    [sym_co_await_expression] = STATE(4939),
    [sym_new_expression] = STATE(4939),
    [sym_delete_expression] = STATE(4939),
    [sym_requires_clause] = STATE(4939),
    [sym_requires_expression] = STATE(4939),
    [sym_lambda_expression] = STATE(4939),
    [sym_lambda_capture_specifier] = STATE(7190),
    [sym_fold_expression] = STATE(4939),
    [sym_parameter_pack_expansion] = STATE(4939),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6899),
    [sym_qualified_identifier] = STATE(4521),
    [sym_qualified_type_identifier] = STATE(9415),
    [sym_user_defined_literal] = STATE(4521),
    [sym_identifier] = ACTIONS(4178),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5344),
    [anon_sym_LPAREN2] = ACTIONS(2110),
    [anon_sym_BANG] = ACTIONS(2112),
    [anon_sym_TILDE] = ACTIONS(2112),
    [anon_sym_DASH] = ACTIONS(2114),
    [anon_sym_PLUS] = ACTIONS(2114),
    [anon_sym_STAR] = ACTIONS(2116),
    [anon_sym_AMP] = ACTIONS(2116),
    [anon_sym_COLON_COLON] = ACTIONS(2120),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [sym_primitive_type] = ACTIONS(4182),
    [anon_sym_not] = ACTIONS(2114),
    [anon_sym_compl] = ACTIONS(2114),
    [anon_sym_DASH_DASH] = ACTIONS(2132),
    [anon_sym_PLUS_PLUS] = ACTIONS(2132),
    [anon_sym_sizeof] = ACTIONS(2134),
    [anon_sym___alignof__] = ACTIONS(2136),
    [anon_sym___alignof] = ACTIONS(2136),
    [anon_sym__alignof] = ACTIONS(2136),
    [anon_sym_alignof] = ACTIONS(2136),
    [anon_sym__Alignof] = ACTIONS(2136),
    [anon_sym_offsetof] = ACTIONS(2138),
    [anon_sym__Generic] = ACTIONS(2140),
    [anon_sym_asm] = ACTIONS(2142),
    [anon_sym___asm__] = ACTIONS(2142),
    [sym_number_literal] = ACTIONS(2144),
    [anon_sym_L_SQUOTE] = ACTIONS(2146),
    [anon_sym_u_SQUOTE] = ACTIONS(2146),
    [anon_sym_U_SQUOTE] = ACTIONS(2146),
    [anon_sym_u8_SQUOTE] = ACTIONS(2146),
    [anon_sym_SQUOTE] = ACTIONS(2146),
    [anon_sym_L_DQUOTE] = ACTIONS(2148),
    [anon_sym_u_DQUOTE] = ACTIONS(2148),
    [anon_sym_U_DQUOTE] = ACTIONS(2148),
    [anon_sym_u8_DQUOTE] = ACTIONS(2148),
    [anon_sym_DQUOTE] = ACTIONS(2148),
    [sym_true] = ACTIONS(2150),
    [sym_false] = ACTIONS(2150),
    [anon_sym_NULL] = ACTIONS(2152),
    [anon_sym_nullptr] = ACTIONS(2152),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(2156),
    [anon_sym_R_DQUOTE] = ACTIONS(2158),
    [anon_sym_LR_DQUOTE] = ACTIONS(2158),
    [anon_sym_uR_DQUOTE] = ACTIONS(2158),
    [anon_sym_UR_DQUOTE] = ACTIONS(2158),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2158),
    [anon_sym_co_await] = ACTIONS(2160),
    [anon_sym_new] = ACTIONS(2162),
    [anon_sym_requires] = ACTIONS(2164),
    [sym_this] = ACTIONS(2150),
  },
  [2079] = {
    [sym__expression] = STATE(4331),
    [sym__expression_not_binary] = STATE(4695),
    [sym__string] = STATE(4695),
    [sym_conditional_expression] = STATE(4695),
    [sym_assignment_expression] = STATE(4695),
    [sym_pointer_expression] = STATE(4695),
    [sym_unary_expression] = STATE(4695),
    [sym_binary_expression] = STATE(4695),
    [sym_update_expression] = STATE(4695),
    [sym_cast_expression] = STATE(4695),
    [sym_sizeof_expression] = STATE(4695),
    [sym_alignof_expression] = STATE(4695),
    [sym_offsetof_expression] = STATE(4695),
    [sym_generic_expression] = STATE(4695),
    [sym_subscript_expression] = STATE(4695),
    [sym_call_expression] = STATE(4695),
    [sym_gnu_asm_expression] = STATE(4695),
    [sym_field_expression] = STATE(4695),
    [sym_compound_literal_expression] = STATE(4695),
    [sym_parenthesized_expression] = STATE(4695),
    [sym_char_literal] = STATE(4427),
    [sym_concatenated_string] = STATE(4424),
    [sym_string_literal] = STATE(3398),
    [sym_null] = STATE(4695),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9425),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(4695),
    [sym_raw_string_literal] = STATE(3396),
    [sym_co_await_expression] = STATE(4695),
    [sym_new_expression] = STATE(4695),
    [sym_delete_expression] = STATE(4695),
    [sym_requires_clause] = STATE(4695),
    [sym_requires_expression] = STATE(4695),
    [sym_lambda_expression] = STATE(4695),
    [sym_lambda_capture_specifier] = STATE(7185),
    [sym_fold_expression] = STATE(4695),
    [sym_parameter_pack_expansion] = STATE(4695),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6899),
    [sym_qualified_identifier] = STATE(4695),
    [sym_qualified_type_identifier] = STATE(9425),
    [sym_user_defined_literal] = STATE(4695),
    [sym_identifier] = ACTIONS(4092),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5399),
    [anon_sym_LPAREN2] = ACTIONS(4188),
    [anon_sym_BANG] = ACTIONS(2532),
    [anon_sym_TILDE] = ACTIONS(2532),
    [anon_sym_DASH] = ACTIONS(2536),
    [anon_sym_PLUS] = ACTIONS(2536),
    [anon_sym_STAR] = ACTIONS(2116),
    [anon_sym_AMP] = ACTIONS(2116),
    [anon_sym_COLON_COLON] = ACTIONS(2542),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [sym_primitive_type] = ACTIONS(4096),
    [anon_sym_not] = ACTIONS(2536),
    [anon_sym_compl] = ACTIONS(2536),
    [anon_sym_DASH_DASH] = ACTIONS(2560),
    [anon_sym_PLUS_PLUS] = ACTIONS(2560),
    [anon_sym_sizeof] = ACTIONS(2562),
    [anon_sym___alignof__] = ACTIONS(2564),
    [anon_sym___alignof] = ACTIONS(2564),
    [anon_sym__alignof] = ACTIONS(2564),
    [anon_sym_alignof] = ACTIONS(2564),
    [anon_sym__Alignof] = ACTIONS(2564),
    [anon_sym_offsetof] = ACTIONS(2566),
    [anon_sym__Generic] = ACTIONS(2568),
    [anon_sym_asm] = ACTIONS(2570),
    [anon_sym___asm__] = ACTIONS(2570),
    [sym_number_literal] = ACTIONS(2572),
    [anon_sym_L_SQUOTE] = ACTIONS(2574),
    [anon_sym_u_SQUOTE] = ACTIONS(2574),
    [anon_sym_U_SQUOTE] = ACTIONS(2574),
    [anon_sym_u8_SQUOTE] = ACTIONS(2574),
    [anon_sym_SQUOTE] = ACTIONS(2574),
    [anon_sym_L_DQUOTE] = ACTIONS(2576),
    [anon_sym_u_DQUOTE] = ACTIONS(2576),
    [anon_sym_U_DQUOTE] = ACTIONS(2576),
    [anon_sym_u8_DQUOTE] = ACTIONS(2576),
    [anon_sym_DQUOTE] = ACTIONS(2576),
    [sym_true] = ACTIONS(2578),
    [sym_false] = ACTIONS(2578),
    [anon_sym_NULL] = ACTIONS(2580),
    [anon_sym_nullptr] = ACTIONS(2580),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(2590),
    [anon_sym_R_DQUOTE] = ACTIONS(2592),
    [anon_sym_LR_DQUOTE] = ACTIONS(2592),
    [anon_sym_uR_DQUOTE] = ACTIONS(2592),
    [anon_sym_UR_DQUOTE] = ACTIONS(2592),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2592),
    [anon_sym_co_await] = ACTIONS(2594),
    [anon_sym_new] = ACTIONS(2596),
    [anon_sym_requires] = ACTIONS(2598),
    [sym_this] = ACTIONS(2578),
  },
  [2080] = {
    [sym__expression] = STATE(4723),
    [sym__expression_not_binary] = STATE(4939),
    [sym__string] = STATE(4939),
    [sym_conditional_expression] = STATE(4939),
    [sym_assignment_expression] = STATE(4939),
    [sym_pointer_expression] = STATE(4521),
    [sym_unary_expression] = STATE(4939),
    [sym_binary_expression] = STATE(4939),
    [sym_update_expression] = STATE(4939),
    [sym_cast_expression] = STATE(4939),
    [sym_sizeof_expression] = STATE(4939),
    [sym_alignof_expression] = STATE(4939),
    [sym_offsetof_expression] = STATE(4939),
    [sym_generic_expression] = STATE(4939),
    [sym_subscript_expression] = STATE(4521),
    [sym_call_expression] = STATE(4521),
    [sym_gnu_asm_expression] = STATE(4939),
    [sym_field_expression] = STATE(4521),
    [sym_compound_literal_expression] = STATE(4939),
    [sym_parenthesized_expression] = STATE(4521),
    [sym_char_literal] = STATE(4856),
    [sym_concatenated_string] = STATE(4876),
    [sym_string_literal] = STATE(3630),
    [sym_null] = STATE(4939),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9415),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(4939),
    [sym_raw_string_literal] = STATE(3632),
    [sym_co_await_expression] = STATE(4939),
    [sym_new_expression] = STATE(4939),
    [sym_delete_expression] = STATE(4939),
    [sym_requires_clause] = STATE(4939),
    [sym_requires_expression] = STATE(4939),
    [sym_lambda_expression] = STATE(4939),
    [sym_lambda_capture_specifier] = STATE(7190),
    [sym_fold_expression] = STATE(4939),
    [sym_parameter_pack_expansion] = STATE(4939),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6899),
    [sym_qualified_identifier] = STATE(4521),
    [sym_qualified_type_identifier] = STATE(9415),
    [sym_user_defined_literal] = STATE(4521),
    [sym_identifier] = ACTIONS(4178),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5267),
    [anon_sym_LPAREN2] = ACTIONS(2110),
    [anon_sym_BANG] = ACTIONS(2112),
    [anon_sym_TILDE] = ACTIONS(2112),
    [anon_sym_DASH] = ACTIONS(2114),
    [anon_sym_PLUS] = ACTIONS(2114),
    [anon_sym_STAR] = ACTIONS(2116),
    [anon_sym_AMP] = ACTIONS(2116),
    [anon_sym_COLON_COLON] = ACTIONS(2120),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [sym_primitive_type] = ACTIONS(4182),
    [anon_sym_not] = ACTIONS(2114),
    [anon_sym_compl] = ACTIONS(2114),
    [anon_sym_DASH_DASH] = ACTIONS(2132),
    [anon_sym_PLUS_PLUS] = ACTIONS(2132),
    [anon_sym_sizeof] = ACTIONS(2134),
    [anon_sym___alignof__] = ACTIONS(2136),
    [anon_sym___alignof] = ACTIONS(2136),
    [anon_sym__alignof] = ACTIONS(2136),
    [anon_sym_alignof] = ACTIONS(2136),
    [anon_sym__Alignof] = ACTIONS(2136),
    [anon_sym_offsetof] = ACTIONS(2138),
    [anon_sym__Generic] = ACTIONS(2140),
    [anon_sym_asm] = ACTIONS(2142),
    [anon_sym___asm__] = ACTIONS(2142),
    [sym_number_literal] = ACTIONS(2144),
    [anon_sym_L_SQUOTE] = ACTIONS(2146),
    [anon_sym_u_SQUOTE] = ACTIONS(2146),
    [anon_sym_U_SQUOTE] = ACTIONS(2146),
    [anon_sym_u8_SQUOTE] = ACTIONS(2146),
    [anon_sym_SQUOTE] = ACTIONS(2146),
    [anon_sym_L_DQUOTE] = ACTIONS(2148),
    [anon_sym_u_DQUOTE] = ACTIONS(2148),
    [anon_sym_U_DQUOTE] = ACTIONS(2148),
    [anon_sym_u8_DQUOTE] = ACTIONS(2148),
    [anon_sym_DQUOTE] = ACTIONS(2148),
    [sym_true] = ACTIONS(2150),
    [sym_false] = ACTIONS(2150),
    [anon_sym_NULL] = ACTIONS(2152),
    [anon_sym_nullptr] = ACTIONS(2152),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(2156),
    [anon_sym_R_DQUOTE] = ACTIONS(2158),
    [anon_sym_LR_DQUOTE] = ACTIONS(2158),
    [anon_sym_uR_DQUOTE] = ACTIONS(2158),
    [anon_sym_UR_DQUOTE] = ACTIONS(2158),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2158),
    [anon_sym_co_await] = ACTIONS(2160),
    [anon_sym_new] = ACTIONS(2162),
    [anon_sym_requires] = ACTIONS(2164),
    [sym_this] = ACTIONS(2150),
  },
  [2081] = {
    [sym__expression] = STATE(5813),
    [sym__expression_not_binary] = STATE(5024),
    [sym__string] = STATE(5024),
    [sym_conditional_expression] = STATE(5024),
    [sym_assignment_expression] = STATE(5024),
    [sym_pointer_expression] = STATE(4507),
    [sym_unary_expression] = STATE(5024),
    [sym_binary_expression] = STATE(5024),
    [sym_update_expression] = STATE(5024),
    [sym_cast_expression] = STATE(5024),
    [sym_sizeof_expression] = STATE(5024),
    [sym_alignof_expression] = STATE(5024),
    [sym_offsetof_expression] = STATE(5024),
    [sym_generic_expression] = STATE(5024),
    [sym_subscript_expression] = STATE(4507),
    [sym_call_expression] = STATE(4507),
    [sym_gnu_asm_expression] = STATE(5024),
    [sym_field_expression] = STATE(4507),
    [sym_compound_literal_expression] = STATE(5024),
    [sym_parenthesized_expression] = STATE(4507),
    [sym_char_literal] = STATE(5374),
    [sym_concatenated_string] = STATE(5377),
    [sym_string_literal] = STATE(4206),
    [sym_null] = STATE(5024),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9352),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(5024),
    [sym_raw_string_literal] = STATE(4217),
    [sym_co_await_expression] = STATE(5024),
    [sym_new_expression] = STATE(5024),
    [sym_delete_expression] = STATE(5024),
    [sym_requires_clause] = STATE(5024),
    [sym_requires_expression] = STATE(5024),
    [sym_lambda_expression] = STATE(5024),
    [sym_lambda_capture_specifier] = STATE(7184),
    [sym_fold_expression] = STATE(5024),
    [sym_parameter_pack_expansion] = STATE(5024),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6886),
    [sym_qualified_identifier] = STATE(4507),
    [sym_qualified_type_identifier] = STATE(9352),
    [sym_user_defined_literal] = STATE(4507),
    [sym_identifier] = ACTIONS(3140),
    [anon_sym_LPAREN2] = ACTIONS(1472),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1474),
    [anon_sym_AMP] = ACTIONS(1474),
    [anon_sym_SEMI] = ACTIONS(5476),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [sym_primitive_type] = ACTIONS(3146),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [2082] = {
    [sym__expression] = STATE(4330),
    [sym__expression_not_binary] = STATE(4695),
    [sym__string] = STATE(4695),
    [sym_conditional_expression] = STATE(4695),
    [sym_assignment_expression] = STATE(4695),
    [sym_pointer_expression] = STATE(4695),
    [sym_unary_expression] = STATE(4695),
    [sym_binary_expression] = STATE(4695),
    [sym_update_expression] = STATE(4695),
    [sym_cast_expression] = STATE(4695),
    [sym_sizeof_expression] = STATE(4695),
    [sym_alignof_expression] = STATE(4695),
    [sym_offsetof_expression] = STATE(4695),
    [sym_generic_expression] = STATE(4695),
    [sym_subscript_expression] = STATE(4695),
    [sym_call_expression] = STATE(4695),
    [sym_gnu_asm_expression] = STATE(4695),
    [sym_field_expression] = STATE(4695),
    [sym_compound_literal_expression] = STATE(4695),
    [sym_parenthesized_expression] = STATE(4695),
    [sym_char_literal] = STATE(4427),
    [sym_concatenated_string] = STATE(4424),
    [sym_string_literal] = STATE(3398),
    [sym_null] = STATE(4695),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9425),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(4695),
    [sym_raw_string_literal] = STATE(3396),
    [sym_co_await_expression] = STATE(4695),
    [sym_new_expression] = STATE(4695),
    [sym_delete_expression] = STATE(4695),
    [sym_requires_clause] = STATE(4695),
    [sym_requires_expression] = STATE(4695),
    [sym_lambda_expression] = STATE(4695),
    [sym_lambda_capture_specifier] = STATE(7185),
    [sym_fold_expression] = STATE(4695),
    [sym_parameter_pack_expansion] = STATE(4695),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6899),
    [sym_qualified_identifier] = STATE(4695),
    [sym_qualified_type_identifier] = STATE(9425),
    [sym_user_defined_literal] = STATE(4695),
    [sym_identifier] = ACTIONS(4092),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5404),
    [anon_sym_LPAREN2] = ACTIONS(4188),
    [anon_sym_BANG] = ACTIONS(2532),
    [anon_sym_TILDE] = ACTIONS(2532),
    [anon_sym_DASH] = ACTIONS(2536),
    [anon_sym_PLUS] = ACTIONS(2536),
    [anon_sym_STAR] = ACTIONS(2116),
    [anon_sym_AMP] = ACTIONS(2116),
    [anon_sym_COLON_COLON] = ACTIONS(2542),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [sym_primitive_type] = ACTIONS(4096),
    [anon_sym_not] = ACTIONS(2536),
    [anon_sym_compl] = ACTIONS(2536),
    [anon_sym_DASH_DASH] = ACTIONS(2560),
    [anon_sym_PLUS_PLUS] = ACTIONS(2560),
    [anon_sym_sizeof] = ACTIONS(2562),
    [anon_sym___alignof__] = ACTIONS(2564),
    [anon_sym___alignof] = ACTIONS(2564),
    [anon_sym__alignof] = ACTIONS(2564),
    [anon_sym_alignof] = ACTIONS(2564),
    [anon_sym__Alignof] = ACTIONS(2564),
    [anon_sym_offsetof] = ACTIONS(2566),
    [anon_sym__Generic] = ACTIONS(2568),
    [anon_sym_asm] = ACTIONS(2570),
    [anon_sym___asm__] = ACTIONS(2570),
    [sym_number_literal] = ACTIONS(2572),
    [anon_sym_L_SQUOTE] = ACTIONS(2574),
    [anon_sym_u_SQUOTE] = ACTIONS(2574),
    [anon_sym_U_SQUOTE] = ACTIONS(2574),
    [anon_sym_u8_SQUOTE] = ACTIONS(2574),
    [anon_sym_SQUOTE] = ACTIONS(2574),
    [anon_sym_L_DQUOTE] = ACTIONS(2576),
    [anon_sym_u_DQUOTE] = ACTIONS(2576),
    [anon_sym_U_DQUOTE] = ACTIONS(2576),
    [anon_sym_u8_DQUOTE] = ACTIONS(2576),
    [anon_sym_DQUOTE] = ACTIONS(2576),
    [sym_true] = ACTIONS(2578),
    [sym_false] = ACTIONS(2578),
    [anon_sym_NULL] = ACTIONS(2580),
    [anon_sym_nullptr] = ACTIONS(2580),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(2590),
    [anon_sym_R_DQUOTE] = ACTIONS(2592),
    [anon_sym_LR_DQUOTE] = ACTIONS(2592),
    [anon_sym_uR_DQUOTE] = ACTIONS(2592),
    [anon_sym_UR_DQUOTE] = ACTIONS(2592),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2592),
    [anon_sym_co_await] = ACTIONS(2594),
    [anon_sym_new] = ACTIONS(2596),
    [anon_sym_requires] = ACTIONS(2598),
    [sym_this] = ACTIONS(2578),
  },
  [2083] = {
    [sym__expression] = STATE(4913),
    [sym__expression_not_binary] = STATE(5024),
    [sym__string] = STATE(5024),
    [sym_conditional_expression] = STATE(5024),
    [sym_assignment_expression] = STATE(5024),
    [sym_pointer_expression] = STATE(4031),
    [sym_unary_expression] = STATE(5024),
    [sym_binary_expression] = STATE(5024),
    [sym_update_expression] = STATE(5024),
    [sym_cast_expression] = STATE(5024),
    [sym_sizeof_expression] = STATE(5024),
    [sym_alignof_expression] = STATE(5024),
    [sym_offsetof_expression] = STATE(5024),
    [sym_generic_expression] = STATE(5024),
    [sym_subscript_expression] = STATE(4031),
    [sym_call_expression] = STATE(4031),
    [sym_gnu_asm_expression] = STATE(5024),
    [sym_field_expression] = STATE(4031),
    [sym_compound_literal_expression] = STATE(5024),
    [sym_parenthesized_expression] = STATE(4031),
    [sym_char_literal] = STATE(5335),
    [sym_concatenated_string] = STATE(5317),
    [sym_string_literal] = STATE(4163),
    [sym_null] = STATE(5024),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9352),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(5024),
    [sym_raw_string_literal] = STATE(4121),
    [sym_co_await_expression] = STATE(5024),
    [sym_new_expression] = STATE(5024),
    [sym_delete_expression] = STATE(5024),
    [sym_requires_clause] = STATE(5024),
    [sym_requires_expression] = STATE(5024),
    [sym_lambda_expression] = STATE(5024),
    [sym_lambda_capture_specifier] = STATE(7184),
    [sym_fold_expression] = STATE(5024),
    [sym_parameter_pack_expansion] = STATE(5024),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6886),
    [sym_qualified_identifier] = STATE(4031),
    [sym_qualified_type_identifier] = STATE(9352),
    [sym_user_defined_literal] = STATE(4031),
    [sym_identifier] = ACTIONS(5113),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5370),
    [anon_sym_LPAREN2] = ACTIONS(5478),
    [anon_sym_BANG] = ACTIONS(4409),
    [anon_sym_TILDE] = ACTIONS(4409),
    [anon_sym_DASH] = ACTIONS(4407),
    [anon_sym_PLUS] = ACTIONS(4407),
    [anon_sym_STAR] = ACTIONS(5186),
    [anon_sym_AMP] = ACTIONS(5186),
    [anon_sym_COLON_COLON] = ACTIONS(4411),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [sym_primitive_type] = ACTIONS(3146),
    [anon_sym_not] = ACTIONS(4407),
    [anon_sym_compl] = ACTIONS(4407),
    [anon_sym_DASH_DASH] = ACTIONS(5115),
    [anon_sym_PLUS_PLUS] = ACTIONS(5115),
    [anon_sym_sizeof] = ACTIONS(4415),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(4417),
    [anon_sym_L_SQUOTE] = ACTIONS(4419),
    [anon_sym_u_SQUOTE] = ACTIONS(4419),
    [anon_sym_U_SQUOTE] = ACTIONS(4419),
    [anon_sym_u8_SQUOTE] = ACTIONS(4419),
    [anon_sym_SQUOTE] = ACTIONS(4419),
    [anon_sym_L_DQUOTE] = ACTIONS(4247),
    [anon_sym_u_DQUOTE] = ACTIONS(4247),
    [anon_sym_U_DQUOTE] = ACTIONS(4247),
    [anon_sym_u8_DQUOTE] = ACTIONS(4247),
    [anon_sym_DQUOTE] = ACTIONS(4247),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(4421),
    [anon_sym_R_DQUOTE] = ACTIONS(4249),
    [anon_sym_LR_DQUOTE] = ACTIONS(4249),
    [anon_sym_uR_DQUOTE] = ACTIONS(4249),
    [anon_sym_UR_DQUOTE] = ACTIONS(4249),
    [anon_sym_u8R_DQUOTE] = ACTIONS(4249),
    [anon_sym_co_await] = ACTIONS(4423),
    [anon_sym_new] = ACTIONS(4425),
    [anon_sym_requires] = ACTIONS(4427),
    [sym_this] = ACTIONS(221),
  },
  [2084] = {
    [sym__expression] = STATE(4719),
    [sym__expression_not_binary] = STATE(4939),
    [sym__string] = STATE(4939),
    [sym_conditional_expression] = STATE(4939),
    [sym_assignment_expression] = STATE(4939),
    [sym_pointer_expression] = STATE(4521),
    [sym_unary_expression] = STATE(4939),
    [sym_binary_expression] = STATE(4939),
    [sym_update_expression] = STATE(4939),
    [sym_cast_expression] = STATE(4939),
    [sym_sizeof_expression] = STATE(4939),
    [sym_alignof_expression] = STATE(4939),
    [sym_offsetof_expression] = STATE(4939),
    [sym_generic_expression] = STATE(4939),
    [sym_subscript_expression] = STATE(4521),
    [sym_call_expression] = STATE(4521),
    [sym_gnu_asm_expression] = STATE(4939),
    [sym_field_expression] = STATE(4521),
    [sym_compound_literal_expression] = STATE(4939),
    [sym_parenthesized_expression] = STATE(4521),
    [sym_char_literal] = STATE(4856),
    [sym_concatenated_string] = STATE(4876),
    [sym_string_literal] = STATE(3630),
    [sym_null] = STATE(4939),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9415),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(4939),
    [sym_raw_string_literal] = STATE(3632),
    [sym_co_await_expression] = STATE(4939),
    [sym_new_expression] = STATE(4939),
    [sym_delete_expression] = STATE(4939),
    [sym_requires_clause] = STATE(4939),
    [sym_requires_expression] = STATE(4939),
    [sym_lambda_expression] = STATE(4939),
    [sym_lambda_capture_specifier] = STATE(7190),
    [sym_fold_expression] = STATE(4939),
    [sym_parameter_pack_expansion] = STATE(4939),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6899),
    [sym_qualified_identifier] = STATE(4521),
    [sym_qualified_type_identifier] = STATE(9415),
    [sym_user_defined_literal] = STATE(4521),
    [sym_identifier] = ACTIONS(4178),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5274),
    [anon_sym_LPAREN2] = ACTIONS(2110),
    [anon_sym_BANG] = ACTIONS(2112),
    [anon_sym_TILDE] = ACTIONS(2112),
    [anon_sym_DASH] = ACTIONS(2114),
    [anon_sym_PLUS] = ACTIONS(2114),
    [anon_sym_STAR] = ACTIONS(2116),
    [anon_sym_AMP] = ACTIONS(2116),
    [anon_sym_COLON_COLON] = ACTIONS(2120),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [sym_primitive_type] = ACTIONS(4182),
    [anon_sym_not] = ACTIONS(2114),
    [anon_sym_compl] = ACTIONS(2114),
    [anon_sym_DASH_DASH] = ACTIONS(2132),
    [anon_sym_PLUS_PLUS] = ACTIONS(2132),
    [anon_sym_sizeof] = ACTIONS(2134),
    [anon_sym___alignof__] = ACTIONS(2136),
    [anon_sym___alignof] = ACTIONS(2136),
    [anon_sym__alignof] = ACTIONS(2136),
    [anon_sym_alignof] = ACTIONS(2136),
    [anon_sym__Alignof] = ACTIONS(2136),
    [anon_sym_offsetof] = ACTIONS(2138),
    [anon_sym__Generic] = ACTIONS(2140),
    [anon_sym_asm] = ACTIONS(2142),
    [anon_sym___asm__] = ACTIONS(2142),
    [sym_number_literal] = ACTIONS(2144),
    [anon_sym_L_SQUOTE] = ACTIONS(2146),
    [anon_sym_u_SQUOTE] = ACTIONS(2146),
    [anon_sym_U_SQUOTE] = ACTIONS(2146),
    [anon_sym_u8_SQUOTE] = ACTIONS(2146),
    [anon_sym_SQUOTE] = ACTIONS(2146),
    [anon_sym_L_DQUOTE] = ACTIONS(2148),
    [anon_sym_u_DQUOTE] = ACTIONS(2148),
    [anon_sym_U_DQUOTE] = ACTIONS(2148),
    [anon_sym_u8_DQUOTE] = ACTIONS(2148),
    [anon_sym_DQUOTE] = ACTIONS(2148),
    [sym_true] = ACTIONS(2150),
    [sym_false] = ACTIONS(2150),
    [anon_sym_NULL] = ACTIONS(2152),
    [anon_sym_nullptr] = ACTIONS(2152),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(2156),
    [anon_sym_R_DQUOTE] = ACTIONS(2158),
    [anon_sym_LR_DQUOTE] = ACTIONS(2158),
    [anon_sym_uR_DQUOTE] = ACTIONS(2158),
    [anon_sym_UR_DQUOTE] = ACTIONS(2158),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2158),
    [anon_sym_co_await] = ACTIONS(2160),
    [anon_sym_new] = ACTIONS(2162),
    [anon_sym_requires] = ACTIONS(2164),
    [sym_this] = ACTIONS(2150),
  },
  [2085] = {
    [sym__expression] = STATE(4716),
    [sym__expression_not_binary] = STATE(4939),
    [sym__string] = STATE(4939),
    [sym_conditional_expression] = STATE(4939),
    [sym_assignment_expression] = STATE(4939),
    [sym_pointer_expression] = STATE(4521),
    [sym_unary_expression] = STATE(4939),
    [sym_binary_expression] = STATE(4939),
    [sym_update_expression] = STATE(4939),
    [sym_cast_expression] = STATE(4939),
    [sym_sizeof_expression] = STATE(4939),
    [sym_alignof_expression] = STATE(4939),
    [sym_offsetof_expression] = STATE(4939),
    [sym_generic_expression] = STATE(4939),
    [sym_subscript_expression] = STATE(4521),
    [sym_call_expression] = STATE(4521),
    [sym_gnu_asm_expression] = STATE(4939),
    [sym_field_expression] = STATE(4521),
    [sym_compound_literal_expression] = STATE(4939),
    [sym_parenthesized_expression] = STATE(4521),
    [sym_char_literal] = STATE(4856),
    [sym_concatenated_string] = STATE(4876),
    [sym_string_literal] = STATE(3630),
    [sym_null] = STATE(4939),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9415),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(4939),
    [sym_raw_string_literal] = STATE(3632),
    [sym_co_await_expression] = STATE(4939),
    [sym_new_expression] = STATE(4939),
    [sym_delete_expression] = STATE(4939),
    [sym_requires_clause] = STATE(4939),
    [sym_requires_expression] = STATE(4939),
    [sym_lambda_expression] = STATE(4939),
    [sym_lambda_capture_specifier] = STATE(7190),
    [sym_fold_expression] = STATE(4939),
    [sym_parameter_pack_expansion] = STATE(4939),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6899),
    [sym_qualified_identifier] = STATE(4521),
    [sym_qualified_type_identifier] = STATE(9415),
    [sym_user_defined_literal] = STATE(4521),
    [sym_identifier] = ACTIONS(4178),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5480),
    [anon_sym_LPAREN2] = ACTIONS(2110),
    [anon_sym_BANG] = ACTIONS(2112),
    [anon_sym_TILDE] = ACTIONS(2112),
    [anon_sym_DASH] = ACTIONS(2114),
    [anon_sym_PLUS] = ACTIONS(2114),
    [anon_sym_STAR] = ACTIONS(2116),
    [anon_sym_AMP] = ACTIONS(2116),
    [anon_sym_COLON_COLON] = ACTIONS(2120),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [sym_primitive_type] = ACTIONS(4182),
    [anon_sym_not] = ACTIONS(2114),
    [anon_sym_compl] = ACTIONS(2114),
    [anon_sym_DASH_DASH] = ACTIONS(2132),
    [anon_sym_PLUS_PLUS] = ACTIONS(2132),
    [anon_sym_sizeof] = ACTIONS(2134),
    [anon_sym___alignof__] = ACTIONS(2136),
    [anon_sym___alignof] = ACTIONS(2136),
    [anon_sym__alignof] = ACTIONS(2136),
    [anon_sym_alignof] = ACTIONS(2136),
    [anon_sym__Alignof] = ACTIONS(2136),
    [anon_sym_offsetof] = ACTIONS(2138),
    [anon_sym__Generic] = ACTIONS(2140),
    [anon_sym_asm] = ACTIONS(2142),
    [anon_sym___asm__] = ACTIONS(2142),
    [sym_number_literal] = ACTIONS(2144),
    [anon_sym_L_SQUOTE] = ACTIONS(2146),
    [anon_sym_u_SQUOTE] = ACTIONS(2146),
    [anon_sym_U_SQUOTE] = ACTIONS(2146),
    [anon_sym_u8_SQUOTE] = ACTIONS(2146),
    [anon_sym_SQUOTE] = ACTIONS(2146),
    [anon_sym_L_DQUOTE] = ACTIONS(2148),
    [anon_sym_u_DQUOTE] = ACTIONS(2148),
    [anon_sym_U_DQUOTE] = ACTIONS(2148),
    [anon_sym_u8_DQUOTE] = ACTIONS(2148),
    [anon_sym_DQUOTE] = ACTIONS(2148),
    [sym_true] = ACTIONS(2150),
    [sym_false] = ACTIONS(2150),
    [anon_sym_NULL] = ACTIONS(2152),
    [anon_sym_nullptr] = ACTIONS(2152),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(2156),
    [anon_sym_R_DQUOTE] = ACTIONS(2158),
    [anon_sym_LR_DQUOTE] = ACTIONS(2158),
    [anon_sym_uR_DQUOTE] = ACTIONS(2158),
    [anon_sym_UR_DQUOTE] = ACTIONS(2158),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2158),
    [anon_sym_co_await] = ACTIONS(2160),
    [anon_sym_new] = ACTIONS(2162),
    [anon_sym_requires] = ACTIONS(2164),
    [sym_this] = ACTIONS(2150),
  },
  [2086] = {
    [sym__expression] = STATE(4718),
    [sym__expression_not_binary] = STATE(4939),
    [sym__string] = STATE(4939),
    [sym_conditional_expression] = STATE(4939),
    [sym_assignment_expression] = STATE(4939),
    [sym_pointer_expression] = STATE(4521),
    [sym_unary_expression] = STATE(4939),
    [sym_binary_expression] = STATE(4939),
    [sym_update_expression] = STATE(4939),
    [sym_cast_expression] = STATE(4939),
    [sym_sizeof_expression] = STATE(4939),
    [sym_alignof_expression] = STATE(4939),
    [sym_offsetof_expression] = STATE(4939),
    [sym_generic_expression] = STATE(4939),
    [sym_subscript_expression] = STATE(4521),
    [sym_call_expression] = STATE(4521),
    [sym_gnu_asm_expression] = STATE(4939),
    [sym_field_expression] = STATE(4521),
    [sym_compound_literal_expression] = STATE(4939),
    [sym_parenthesized_expression] = STATE(4521),
    [sym_char_literal] = STATE(4856),
    [sym_concatenated_string] = STATE(4876),
    [sym_string_literal] = STATE(3630),
    [sym_null] = STATE(4939),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9415),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(4939),
    [sym_raw_string_literal] = STATE(3632),
    [sym_co_await_expression] = STATE(4939),
    [sym_new_expression] = STATE(4939),
    [sym_delete_expression] = STATE(4939),
    [sym_requires_clause] = STATE(4939),
    [sym_requires_expression] = STATE(4939),
    [sym_lambda_expression] = STATE(4939),
    [sym_lambda_capture_specifier] = STATE(7190),
    [sym_fold_expression] = STATE(4939),
    [sym_parameter_pack_expansion] = STATE(4939),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6899),
    [sym_qualified_identifier] = STATE(4521),
    [sym_qualified_type_identifier] = STATE(9415),
    [sym_user_defined_literal] = STATE(4521),
    [sym_identifier] = ACTIONS(4178),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5347),
    [anon_sym_LPAREN2] = ACTIONS(2110),
    [anon_sym_BANG] = ACTIONS(2112),
    [anon_sym_TILDE] = ACTIONS(2112),
    [anon_sym_DASH] = ACTIONS(2114),
    [anon_sym_PLUS] = ACTIONS(2114),
    [anon_sym_STAR] = ACTIONS(2116),
    [anon_sym_AMP] = ACTIONS(2116),
    [anon_sym_COLON_COLON] = ACTIONS(2120),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [sym_primitive_type] = ACTIONS(4182),
    [anon_sym_not] = ACTIONS(2114),
    [anon_sym_compl] = ACTIONS(2114),
    [anon_sym_DASH_DASH] = ACTIONS(2132),
    [anon_sym_PLUS_PLUS] = ACTIONS(2132),
    [anon_sym_sizeof] = ACTIONS(2134),
    [anon_sym___alignof__] = ACTIONS(2136),
    [anon_sym___alignof] = ACTIONS(2136),
    [anon_sym__alignof] = ACTIONS(2136),
    [anon_sym_alignof] = ACTIONS(2136),
    [anon_sym__Alignof] = ACTIONS(2136),
    [anon_sym_offsetof] = ACTIONS(2138),
    [anon_sym__Generic] = ACTIONS(2140),
    [anon_sym_asm] = ACTIONS(2142),
    [anon_sym___asm__] = ACTIONS(2142),
    [sym_number_literal] = ACTIONS(2144),
    [anon_sym_L_SQUOTE] = ACTIONS(2146),
    [anon_sym_u_SQUOTE] = ACTIONS(2146),
    [anon_sym_U_SQUOTE] = ACTIONS(2146),
    [anon_sym_u8_SQUOTE] = ACTIONS(2146),
    [anon_sym_SQUOTE] = ACTIONS(2146),
    [anon_sym_L_DQUOTE] = ACTIONS(2148),
    [anon_sym_u_DQUOTE] = ACTIONS(2148),
    [anon_sym_U_DQUOTE] = ACTIONS(2148),
    [anon_sym_u8_DQUOTE] = ACTIONS(2148),
    [anon_sym_DQUOTE] = ACTIONS(2148),
    [sym_true] = ACTIONS(2150),
    [sym_false] = ACTIONS(2150),
    [anon_sym_NULL] = ACTIONS(2152),
    [anon_sym_nullptr] = ACTIONS(2152),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(2156),
    [anon_sym_R_DQUOTE] = ACTIONS(2158),
    [anon_sym_LR_DQUOTE] = ACTIONS(2158),
    [anon_sym_uR_DQUOTE] = ACTIONS(2158),
    [anon_sym_UR_DQUOTE] = ACTIONS(2158),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2158),
    [anon_sym_co_await] = ACTIONS(2160),
    [anon_sym_new] = ACTIONS(2162),
    [anon_sym_requires] = ACTIONS(2164),
    [sym_this] = ACTIONS(2150),
  },
  [2087] = {
    [sym__expression] = STATE(5847),
    [sym__expression_not_binary] = STATE(5024),
    [sym__string] = STATE(5024),
    [sym_conditional_expression] = STATE(5024),
    [sym_assignment_expression] = STATE(5024),
    [sym_pointer_expression] = STATE(4507),
    [sym_unary_expression] = STATE(5024),
    [sym_binary_expression] = STATE(5024),
    [sym_update_expression] = STATE(5024),
    [sym_cast_expression] = STATE(5024),
    [sym_sizeof_expression] = STATE(5024),
    [sym_alignof_expression] = STATE(5024),
    [sym_offsetof_expression] = STATE(5024),
    [sym_generic_expression] = STATE(5024),
    [sym_subscript_expression] = STATE(4507),
    [sym_call_expression] = STATE(4507),
    [sym_gnu_asm_expression] = STATE(5024),
    [sym_field_expression] = STATE(4507),
    [sym_compound_literal_expression] = STATE(5024),
    [sym_parenthesized_expression] = STATE(4507),
    [sym_char_literal] = STATE(5374),
    [sym_concatenated_string] = STATE(5377),
    [sym_string_literal] = STATE(4206),
    [sym_null] = STATE(5024),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9352),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(5024),
    [sym_raw_string_literal] = STATE(4217),
    [sym_co_await_expression] = STATE(5024),
    [sym_new_expression] = STATE(5024),
    [sym_delete_expression] = STATE(5024),
    [sym_requires_clause] = STATE(5024),
    [sym_requires_expression] = STATE(5024),
    [sym_lambda_expression] = STATE(5024),
    [sym_lambda_capture_specifier] = STATE(7184),
    [sym_fold_expression] = STATE(5024),
    [sym_parameter_pack_expansion] = STATE(5024),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6886),
    [sym_qualified_identifier] = STATE(4507),
    [sym_qualified_type_identifier] = STATE(9352),
    [sym_user_defined_literal] = STATE(4507),
    [sym_identifier] = ACTIONS(3140),
    [anon_sym_LPAREN2] = ACTIONS(1472),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1474),
    [anon_sym_AMP] = ACTIONS(1474),
    [anon_sym_SEMI] = ACTIONS(5483),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [sym_primitive_type] = ACTIONS(3146),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [2088] = {
    [sym__expression] = STATE(4329),
    [sym__expression_not_binary] = STATE(4695),
    [sym__string] = STATE(4695),
    [sym_conditional_expression] = STATE(4695),
    [sym_assignment_expression] = STATE(4695),
    [sym_pointer_expression] = STATE(4695),
    [sym_unary_expression] = STATE(4695),
    [sym_binary_expression] = STATE(4695),
    [sym_update_expression] = STATE(4695),
    [sym_cast_expression] = STATE(4695),
    [sym_sizeof_expression] = STATE(4695),
    [sym_alignof_expression] = STATE(4695),
    [sym_offsetof_expression] = STATE(4695),
    [sym_generic_expression] = STATE(4695),
    [sym_subscript_expression] = STATE(4695),
    [sym_call_expression] = STATE(4695),
    [sym_gnu_asm_expression] = STATE(4695),
    [sym_field_expression] = STATE(4695),
    [sym_compound_literal_expression] = STATE(4695),
    [sym_parenthesized_expression] = STATE(4695),
    [sym_char_literal] = STATE(4427),
    [sym_concatenated_string] = STATE(4424),
    [sym_string_literal] = STATE(3398),
    [sym_null] = STATE(4695),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9425),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(4695),
    [sym_raw_string_literal] = STATE(3396),
    [sym_co_await_expression] = STATE(4695),
    [sym_new_expression] = STATE(4695),
    [sym_delete_expression] = STATE(4695),
    [sym_requires_clause] = STATE(4695),
    [sym_requires_expression] = STATE(4695),
    [sym_lambda_expression] = STATE(4695),
    [sym_lambda_capture_specifier] = STATE(7185),
    [sym_fold_expression] = STATE(4695),
    [sym_parameter_pack_expansion] = STATE(4695),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6899),
    [sym_qualified_identifier] = STATE(4695),
    [sym_qualified_type_identifier] = STATE(9425),
    [sym_user_defined_literal] = STATE(4695),
    [sym_identifier] = ACTIONS(4092),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5421),
    [anon_sym_LPAREN2] = ACTIONS(4188),
    [anon_sym_BANG] = ACTIONS(2532),
    [anon_sym_TILDE] = ACTIONS(2532),
    [anon_sym_DASH] = ACTIONS(2536),
    [anon_sym_PLUS] = ACTIONS(2536),
    [anon_sym_STAR] = ACTIONS(2116),
    [anon_sym_AMP] = ACTIONS(2116),
    [anon_sym_COLON_COLON] = ACTIONS(2542),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [sym_primitive_type] = ACTIONS(4096),
    [anon_sym_not] = ACTIONS(2536),
    [anon_sym_compl] = ACTIONS(2536),
    [anon_sym_DASH_DASH] = ACTIONS(2560),
    [anon_sym_PLUS_PLUS] = ACTIONS(2560),
    [anon_sym_sizeof] = ACTIONS(2562),
    [anon_sym___alignof__] = ACTIONS(2564),
    [anon_sym___alignof] = ACTIONS(2564),
    [anon_sym__alignof] = ACTIONS(2564),
    [anon_sym_alignof] = ACTIONS(2564),
    [anon_sym__Alignof] = ACTIONS(2564),
    [anon_sym_offsetof] = ACTIONS(2566),
    [anon_sym__Generic] = ACTIONS(2568),
    [anon_sym_asm] = ACTIONS(2570),
    [anon_sym___asm__] = ACTIONS(2570),
    [sym_number_literal] = ACTIONS(2572),
    [anon_sym_L_SQUOTE] = ACTIONS(2574),
    [anon_sym_u_SQUOTE] = ACTIONS(2574),
    [anon_sym_U_SQUOTE] = ACTIONS(2574),
    [anon_sym_u8_SQUOTE] = ACTIONS(2574),
    [anon_sym_SQUOTE] = ACTIONS(2574),
    [anon_sym_L_DQUOTE] = ACTIONS(2576),
    [anon_sym_u_DQUOTE] = ACTIONS(2576),
    [anon_sym_U_DQUOTE] = ACTIONS(2576),
    [anon_sym_u8_DQUOTE] = ACTIONS(2576),
    [anon_sym_DQUOTE] = ACTIONS(2576),
    [sym_true] = ACTIONS(2578),
    [sym_false] = ACTIONS(2578),
    [anon_sym_NULL] = ACTIONS(2580),
    [anon_sym_nullptr] = ACTIONS(2580),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(2590),
    [anon_sym_R_DQUOTE] = ACTIONS(2592),
    [anon_sym_LR_DQUOTE] = ACTIONS(2592),
    [anon_sym_uR_DQUOTE] = ACTIONS(2592),
    [anon_sym_UR_DQUOTE] = ACTIONS(2592),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2592),
    [anon_sym_co_await] = ACTIONS(2594),
    [anon_sym_new] = ACTIONS(2596),
    [anon_sym_requires] = ACTIONS(2598),
    [sym_this] = ACTIONS(2578),
  },
  [2089] = {
    [sym__expression] = STATE(4714),
    [sym__expression_not_binary] = STATE(4939),
    [sym__string] = STATE(4939),
    [sym_conditional_expression] = STATE(4939),
    [sym_assignment_expression] = STATE(4939),
    [sym_pointer_expression] = STATE(4521),
    [sym_unary_expression] = STATE(4939),
    [sym_binary_expression] = STATE(4939),
    [sym_update_expression] = STATE(4939),
    [sym_cast_expression] = STATE(4939),
    [sym_sizeof_expression] = STATE(4939),
    [sym_alignof_expression] = STATE(4939),
    [sym_offsetof_expression] = STATE(4939),
    [sym_generic_expression] = STATE(4939),
    [sym_subscript_expression] = STATE(4521),
    [sym_call_expression] = STATE(4521),
    [sym_gnu_asm_expression] = STATE(4939),
    [sym_field_expression] = STATE(4521),
    [sym_compound_literal_expression] = STATE(4939),
    [sym_parenthesized_expression] = STATE(4521),
    [sym_char_literal] = STATE(4856),
    [sym_concatenated_string] = STATE(4876),
    [sym_string_literal] = STATE(3630),
    [sym_null] = STATE(4939),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9415),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(4939),
    [sym_raw_string_literal] = STATE(3632),
    [sym_co_await_expression] = STATE(4939),
    [sym_new_expression] = STATE(4939),
    [sym_delete_expression] = STATE(4939),
    [sym_requires_clause] = STATE(4939),
    [sym_requires_expression] = STATE(4939),
    [sym_lambda_expression] = STATE(4939),
    [sym_lambda_capture_specifier] = STATE(7190),
    [sym_fold_expression] = STATE(4939),
    [sym_parameter_pack_expansion] = STATE(4939),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6899),
    [sym_qualified_identifier] = STATE(4521),
    [sym_qualified_type_identifier] = STATE(9415),
    [sym_user_defined_literal] = STATE(4521),
    [sym_identifier] = ACTIONS(4178),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5306),
    [anon_sym_LPAREN2] = ACTIONS(2110),
    [anon_sym_BANG] = ACTIONS(2112),
    [anon_sym_TILDE] = ACTIONS(2112),
    [anon_sym_DASH] = ACTIONS(2114),
    [anon_sym_PLUS] = ACTIONS(2114),
    [anon_sym_STAR] = ACTIONS(2116),
    [anon_sym_AMP] = ACTIONS(2116),
    [anon_sym_COLON_COLON] = ACTIONS(2120),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [sym_primitive_type] = ACTIONS(4182),
    [anon_sym_not] = ACTIONS(2114),
    [anon_sym_compl] = ACTIONS(2114),
    [anon_sym_DASH_DASH] = ACTIONS(2132),
    [anon_sym_PLUS_PLUS] = ACTIONS(2132),
    [anon_sym_sizeof] = ACTIONS(2134),
    [anon_sym___alignof__] = ACTIONS(2136),
    [anon_sym___alignof] = ACTIONS(2136),
    [anon_sym__alignof] = ACTIONS(2136),
    [anon_sym_alignof] = ACTIONS(2136),
    [anon_sym__Alignof] = ACTIONS(2136),
    [anon_sym_offsetof] = ACTIONS(2138),
    [anon_sym__Generic] = ACTIONS(2140),
    [anon_sym_asm] = ACTIONS(2142),
    [anon_sym___asm__] = ACTIONS(2142),
    [sym_number_literal] = ACTIONS(2144),
    [anon_sym_L_SQUOTE] = ACTIONS(2146),
    [anon_sym_u_SQUOTE] = ACTIONS(2146),
    [anon_sym_U_SQUOTE] = ACTIONS(2146),
    [anon_sym_u8_SQUOTE] = ACTIONS(2146),
    [anon_sym_SQUOTE] = ACTIONS(2146),
    [anon_sym_L_DQUOTE] = ACTIONS(2148),
    [anon_sym_u_DQUOTE] = ACTIONS(2148),
    [anon_sym_U_DQUOTE] = ACTIONS(2148),
    [anon_sym_u8_DQUOTE] = ACTIONS(2148),
    [anon_sym_DQUOTE] = ACTIONS(2148),
    [sym_true] = ACTIONS(2150),
    [sym_false] = ACTIONS(2150),
    [anon_sym_NULL] = ACTIONS(2152),
    [anon_sym_nullptr] = ACTIONS(2152),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(2156),
    [anon_sym_R_DQUOTE] = ACTIONS(2158),
    [anon_sym_LR_DQUOTE] = ACTIONS(2158),
    [anon_sym_uR_DQUOTE] = ACTIONS(2158),
    [anon_sym_UR_DQUOTE] = ACTIONS(2158),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2158),
    [anon_sym_co_await] = ACTIONS(2160),
    [anon_sym_new] = ACTIONS(2162),
    [anon_sym_requires] = ACTIONS(2164),
    [sym_this] = ACTIONS(2150),
  },
  [2090] = {
    [sym__expression] = STATE(4326),
    [sym__expression_not_binary] = STATE(4695),
    [sym__string] = STATE(4695),
    [sym_conditional_expression] = STATE(4695),
    [sym_assignment_expression] = STATE(4695),
    [sym_pointer_expression] = STATE(4695),
    [sym_unary_expression] = STATE(4695),
    [sym_binary_expression] = STATE(4695),
    [sym_update_expression] = STATE(4695),
    [sym_cast_expression] = STATE(4695),
    [sym_sizeof_expression] = STATE(4695),
    [sym_alignof_expression] = STATE(4695),
    [sym_offsetof_expression] = STATE(4695),
    [sym_generic_expression] = STATE(4695),
    [sym_subscript_expression] = STATE(4695),
    [sym_call_expression] = STATE(4695),
    [sym_gnu_asm_expression] = STATE(4695),
    [sym_field_expression] = STATE(4695),
    [sym_compound_literal_expression] = STATE(4695),
    [sym_parenthesized_expression] = STATE(4695),
    [sym_char_literal] = STATE(4427),
    [sym_concatenated_string] = STATE(4424),
    [sym_string_literal] = STATE(3398),
    [sym_null] = STATE(4695),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9425),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(4695),
    [sym_raw_string_literal] = STATE(3396),
    [sym_co_await_expression] = STATE(4695),
    [sym_new_expression] = STATE(4695),
    [sym_delete_expression] = STATE(4695),
    [sym_requires_clause] = STATE(4695),
    [sym_requires_expression] = STATE(4695),
    [sym_lambda_expression] = STATE(4695),
    [sym_lambda_capture_specifier] = STATE(7185),
    [sym_fold_expression] = STATE(4695),
    [sym_parameter_pack_expansion] = STATE(4695),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6899),
    [sym_qualified_identifier] = STATE(4695),
    [sym_qualified_type_identifier] = STATE(9425),
    [sym_user_defined_literal] = STATE(4695),
    [sym_identifier] = ACTIONS(4092),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5424),
    [anon_sym_LPAREN2] = ACTIONS(4188),
    [anon_sym_BANG] = ACTIONS(2532),
    [anon_sym_TILDE] = ACTIONS(2532),
    [anon_sym_DASH] = ACTIONS(2536),
    [anon_sym_PLUS] = ACTIONS(2536),
    [anon_sym_STAR] = ACTIONS(2116),
    [anon_sym_AMP] = ACTIONS(2116),
    [anon_sym_COLON_COLON] = ACTIONS(2542),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [sym_primitive_type] = ACTIONS(4096),
    [anon_sym_not] = ACTIONS(2536),
    [anon_sym_compl] = ACTIONS(2536),
    [anon_sym_DASH_DASH] = ACTIONS(2560),
    [anon_sym_PLUS_PLUS] = ACTIONS(2560),
    [anon_sym_sizeof] = ACTIONS(2562),
    [anon_sym___alignof__] = ACTIONS(2564),
    [anon_sym___alignof] = ACTIONS(2564),
    [anon_sym__alignof] = ACTIONS(2564),
    [anon_sym_alignof] = ACTIONS(2564),
    [anon_sym__Alignof] = ACTIONS(2564),
    [anon_sym_offsetof] = ACTIONS(2566),
    [anon_sym__Generic] = ACTIONS(2568),
    [anon_sym_asm] = ACTIONS(2570),
    [anon_sym___asm__] = ACTIONS(2570),
    [sym_number_literal] = ACTIONS(2572),
    [anon_sym_L_SQUOTE] = ACTIONS(2574),
    [anon_sym_u_SQUOTE] = ACTIONS(2574),
    [anon_sym_U_SQUOTE] = ACTIONS(2574),
    [anon_sym_u8_SQUOTE] = ACTIONS(2574),
    [anon_sym_SQUOTE] = ACTIONS(2574),
    [anon_sym_L_DQUOTE] = ACTIONS(2576),
    [anon_sym_u_DQUOTE] = ACTIONS(2576),
    [anon_sym_U_DQUOTE] = ACTIONS(2576),
    [anon_sym_u8_DQUOTE] = ACTIONS(2576),
    [anon_sym_DQUOTE] = ACTIONS(2576),
    [sym_true] = ACTIONS(2578),
    [sym_false] = ACTIONS(2578),
    [anon_sym_NULL] = ACTIONS(2580),
    [anon_sym_nullptr] = ACTIONS(2580),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(2590),
    [anon_sym_R_DQUOTE] = ACTIONS(2592),
    [anon_sym_LR_DQUOTE] = ACTIONS(2592),
    [anon_sym_uR_DQUOTE] = ACTIONS(2592),
    [anon_sym_UR_DQUOTE] = ACTIONS(2592),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2592),
    [anon_sym_co_await] = ACTIONS(2594),
    [anon_sym_new] = ACTIONS(2596),
    [anon_sym_requires] = ACTIONS(2598),
    [sym_this] = ACTIONS(2578),
  },
  [2091] = {
    [sym__expression] = STATE(3531),
    [sym__expression_not_binary] = STATE(3672),
    [sym__string] = STATE(3672),
    [sym_conditional_expression] = STATE(3672),
    [sym_assignment_expression] = STATE(3672),
    [sym_pointer_expression] = STATE(3672),
    [sym_unary_expression] = STATE(3672),
    [sym_binary_expression] = STATE(3672),
    [sym_update_expression] = STATE(3672),
    [sym_cast_expression] = STATE(3672),
    [sym_sizeof_expression] = STATE(3672),
    [sym_alignof_expression] = STATE(3672),
    [sym_offsetof_expression] = STATE(3672),
    [sym_generic_expression] = STATE(3672),
    [sym_subscript_expression] = STATE(3672),
    [sym_call_expression] = STATE(3672),
    [sym_gnu_asm_expression] = STATE(3672),
    [sym_field_expression] = STATE(3672),
    [sym_compound_literal_expression] = STATE(3672),
    [sym_parenthesized_expression] = STATE(3672),
    [sym_char_literal] = STATE(4466),
    [sym_concatenated_string] = STATE(4465),
    [sym_string_literal] = STATE(3395),
    [sym_null] = STATE(3672),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9333),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(3672),
    [sym_raw_string_literal] = STATE(3400),
    [sym_co_await_expression] = STATE(3672),
    [sym_new_expression] = STATE(3672),
    [sym_delete_expression] = STATE(3672),
    [sym_requires_clause] = STATE(3672),
    [sym_requires_expression] = STATE(3672),
    [sym_lambda_expression] = STATE(3672),
    [sym_lambda_capture_specifier] = STATE(7134),
    [sym_fold_expression] = STATE(3672),
    [sym_parameter_pack_expansion] = STATE(3672),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6886),
    [sym_qualified_identifier] = STATE(3672),
    [sym_qualified_type_identifier] = STATE(9333),
    [sym_user_defined_literal] = STATE(3672),
    [sym_identifier] = ACTIONS(4070),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5417),
    [anon_sym_LPAREN2] = ACTIONS(5485),
    [anon_sym_BANG] = ACTIONS(4074),
    [anon_sym_TILDE] = ACTIONS(4074),
    [anon_sym_DASH] = ACTIONS(4072),
    [anon_sym_PLUS] = ACTIONS(4072),
    [anon_sym_STAR] = ACTIONS(5017),
    [anon_sym_AMP] = ACTIONS(5017),
    [anon_sym_COLON_COLON] = ACTIONS(4076),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [sym_primitive_type] = ACTIONS(3928),
    [anon_sym_not] = ACTIONS(4072),
    [anon_sym_compl] = ACTIONS(4072),
    [anon_sym_DASH_DASH] = ACTIONS(5043),
    [anon_sym_PLUS_PLUS] = ACTIONS(5043),
    [anon_sym_sizeof] = ACTIONS(4078),
    [anon_sym___alignof__] = ACTIONS(3932),
    [anon_sym___alignof] = ACTIONS(3932),
    [anon_sym__alignof] = ACTIONS(3932),
    [anon_sym_alignof] = ACTIONS(3932),
    [anon_sym__Alignof] = ACTIONS(3932),
    [anon_sym_offsetof] = ACTIONS(3934),
    [anon_sym__Generic] = ACTIONS(3936),
    [anon_sym_asm] = ACTIONS(3938),
    [anon_sym___asm__] = ACTIONS(3938),
    [sym_number_literal] = ACTIONS(4080),
    [anon_sym_L_SQUOTE] = ACTIONS(4082),
    [anon_sym_u_SQUOTE] = ACTIONS(4082),
    [anon_sym_U_SQUOTE] = ACTIONS(4082),
    [anon_sym_u8_SQUOTE] = ACTIONS(4082),
    [anon_sym_SQUOTE] = ACTIONS(4082),
    [anon_sym_L_DQUOTE] = ACTIONS(4084),
    [anon_sym_u_DQUOTE] = ACTIONS(4084),
    [anon_sym_U_DQUOTE] = ACTIONS(4084),
    [anon_sym_u8_DQUOTE] = ACTIONS(4084),
    [anon_sym_DQUOTE] = ACTIONS(4084),
    [sym_true] = ACTIONS(3946),
    [sym_false] = ACTIONS(3946),
    [anon_sym_NULL] = ACTIONS(3948),
    [anon_sym_nullptr] = ACTIONS(3948),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(4086),
    [anon_sym_R_DQUOTE] = ACTIONS(4088),
    [anon_sym_LR_DQUOTE] = ACTIONS(4088),
    [anon_sym_uR_DQUOTE] = ACTIONS(4088),
    [anon_sym_UR_DQUOTE] = ACTIONS(4088),
    [anon_sym_u8R_DQUOTE] = ACTIONS(4088),
    [anon_sym_co_await] = ACTIONS(4090),
    [anon_sym_new] = ACTIONS(3990),
    [anon_sym_requires] = ACTIONS(3958),
    [sym_this] = ACTIONS(3946),
  },
  [2092] = {
    [sym__expression] = STATE(5642),
    [sym__expression_not_binary] = STATE(5024),
    [sym__string] = STATE(5024),
    [sym_comma_expression] = STATE(8642),
    [sym_conditional_expression] = STATE(5024),
    [sym_assignment_expression] = STATE(5024),
    [sym_pointer_expression] = STATE(4713),
    [sym_unary_expression] = STATE(5024),
    [sym_binary_expression] = STATE(5024),
    [sym_update_expression] = STATE(5024),
    [sym_cast_expression] = STATE(5024),
    [sym_sizeof_expression] = STATE(5024),
    [sym_alignof_expression] = STATE(5024),
    [sym_offsetof_expression] = STATE(5024),
    [sym_generic_expression] = STATE(5024),
    [sym_subscript_expression] = STATE(4713),
    [sym_call_expression] = STATE(4713),
    [sym_gnu_asm_expression] = STATE(5024),
    [sym_field_expression] = STATE(4713),
    [sym_compound_literal_expression] = STATE(5024),
    [sym_parenthesized_expression] = STATE(4713),
    [sym_char_literal] = STATE(5374),
    [sym_concatenated_string] = STATE(5377),
    [sym_string_literal] = STATE(4206),
    [sym_null] = STATE(5024),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9352),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(5024),
    [sym_raw_string_literal] = STATE(4217),
    [sym_co_await_expression] = STATE(5024),
    [sym_new_expression] = STATE(5024),
    [sym_delete_expression] = STATE(5024),
    [sym_requires_clause] = STATE(5024),
    [sym_requires_expression] = STATE(5024),
    [sym_lambda_expression] = STATE(5024),
    [sym_lambda_capture_specifier] = STATE(7184),
    [sym_fold_expression] = STATE(5024),
    [sym_parameter_pack_expansion] = STATE(5024),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6886),
    [sym_qualified_identifier] = STATE(4713),
    [sym_qualified_type_identifier] = STATE(9352),
    [sym_user_defined_literal] = STATE(4713),
    [sym_identifier] = ACTIONS(4518),
    [anon_sym_LPAREN2] = ACTIONS(5188),
    [anon_sym_BANG] = ACTIONS(4522),
    [anon_sym_TILDE] = ACTIONS(4522),
    [anon_sym_DASH] = ACTIONS(4520),
    [anon_sym_PLUS] = ACTIONS(4520),
    [anon_sym_STAR] = ACTIONS(5190),
    [anon_sym_AMP] = ACTIONS(5190),
    [anon_sym_COLON_COLON] = ACTIONS(4524),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [sym_primitive_type] = ACTIONS(3146),
    [anon_sym_not] = ACTIONS(4520),
    [anon_sym_compl] = ACTIONS(4520),
    [anon_sym_DASH_DASH] = ACTIONS(5071),
    [anon_sym_PLUS_PLUS] = ACTIONS(5071),
    [anon_sym_sizeof] = ACTIONS(4526),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(4528),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(4530),
    [anon_sym_new] = ACTIONS(4516),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [2093] = {
    [sym__expression] = STATE(4326),
    [sym__expression_not_binary] = STATE(4695),
    [sym__string] = STATE(4695),
    [sym_conditional_expression] = STATE(4695),
    [sym_assignment_expression] = STATE(4695),
    [sym_pointer_expression] = STATE(4695),
    [sym_unary_expression] = STATE(4695),
    [sym_binary_expression] = STATE(4695),
    [sym_update_expression] = STATE(4695),
    [sym_cast_expression] = STATE(4695),
    [sym_sizeof_expression] = STATE(4695),
    [sym_alignof_expression] = STATE(4695),
    [sym_offsetof_expression] = STATE(4695),
    [sym_generic_expression] = STATE(4695),
    [sym_subscript_expression] = STATE(4695),
    [sym_call_expression] = STATE(4695),
    [sym_gnu_asm_expression] = STATE(4695),
    [sym_field_expression] = STATE(4695),
    [sym_compound_literal_expression] = STATE(4695),
    [sym_parenthesized_expression] = STATE(4695),
    [sym_char_literal] = STATE(4427),
    [sym_concatenated_string] = STATE(4424),
    [sym_string_literal] = STATE(3398),
    [sym_null] = STATE(4695),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9425),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(4695),
    [sym_raw_string_literal] = STATE(3396),
    [sym_co_await_expression] = STATE(4695),
    [sym_new_expression] = STATE(4695),
    [sym_delete_expression] = STATE(4695),
    [sym_requires_clause] = STATE(4695),
    [sym_requires_expression] = STATE(4695),
    [sym_lambda_expression] = STATE(4695),
    [sym_lambda_capture_specifier] = STATE(7185),
    [sym_fold_expression] = STATE(4695),
    [sym_parameter_pack_expansion] = STATE(4695),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6899),
    [sym_qualified_identifier] = STATE(4695),
    [sym_qualified_type_identifier] = STATE(9425),
    [sym_user_defined_literal] = STATE(4695),
    [sym_identifier] = ACTIONS(4092),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5439),
    [anon_sym_LPAREN2] = ACTIONS(4188),
    [anon_sym_BANG] = ACTIONS(2532),
    [anon_sym_TILDE] = ACTIONS(2532),
    [anon_sym_DASH] = ACTIONS(2536),
    [anon_sym_PLUS] = ACTIONS(2536),
    [anon_sym_STAR] = ACTIONS(2116),
    [anon_sym_AMP] = ACTIONS(2116),
    [anon_sym_COLON_COLON] = ACTIONS(2542),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [sym_primitive_type] = ACTIONS(4096),
    [anon_sym_not] = ACTIONS(2536),
    [anon_sym_compl] = ACTIONS(2536),
    [anon_sym_DASH_DASH] = ACTIONS(2560),
    [anon_sym_PLUS_PLUS] = ACTIONS(2560),
    [anon_sym_sizeof] = ACTIONS(2562),
    [anon_sym___alignof__] = ACTIONS(2564),
    [anon_sym___alignof] = ACTIONS(2564),
    [anon_sym__alignof] = ACTIONS(2564),
    [anon_sym_alignof] = ACTIONS(2564),
    [anon_sym__Alignof] = ACTIONS(2564),
    [anon_sym_offsetof] = ACTIONS(2566),
    [anon_sym__Generic] = ACTIONS(2568),
    [anon_sym_asm] = ACTIONS(2570),
    [anon_sym___asm__] = ACTIONS(2570),
    [sym_number_literal] = ACTIONS(2572),
    [anon_sym_L_SQUOTE] = ACTIONS(2574),
    [anon_sym_u_SQUOTE] = ACTIONS(2574),
    [anon_sym_U_SQUOTE] = ACTIONS(2574),
    [anon_sym_u8_SQUOTE] = ACTIONS(2574),
    [anon_sym_SQUOTE] = ACTIONS(2574),
    [anon_sym_L_DQUOTE] = ACTIONS(2576),
    [anon_sym_u_DQUOTE] = ACTIONS(2576),
    [anon_sym_U_DQUOTE] = ACTIONS(2576),
    [anon_sym_u8_DQUOTE] = ACTIONS(2576),
    [anon_sym_DQUOTE] = ACTIONS(2576),
    [sym_true] = ACTIONS(2578),
    [sym_false] = ACTIONS(2578),
    [anon_sym_NULL] = ACTIONS(2580),
    [anon_sym_nullptr] = ACTIONS(2580),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(2590),
    [anon_sym_R_DQUOTE] = ACTIONS(2592),
    [anon_sym_LR_DQUOTE] = ACTIONS(2592),
    [anon_sym_uR_DQUOTE] = ACTIONS(2592),
    [anon_sym_UR_DQUOTE] = ACTIONS(2592),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2592),
    [anon_sym_co_await] = ACTIONS(2594),
    [anon_sym_new] = ACTIONS(2596),
    [anon_sym_requires] = ACTIONS(2598),
    [sym_this] = ACTIONS(2578),
  },
  [2094] = {
    [sym__expression] = STATE(4322),
    [sym__expression_not_binary] = STATE(4695),
    [sym__string] = STATE(4695),
    [sym_conditional_expression] = STATE(4695),
    [sym_assignment_expression] = STATE(4695),
    [sym_pointer_expression] = STATE(4695),
    [sym_unary_expression] = STATE(4695),
    [sym_binary_expression] = STATE(4695),
    [sym_update_expression] = STATE(4695),
    [sym_cast_expression] = STATE(4695),
    [sym_sizeof_expression] = STATE(4695),
    [sym_alignof_expression] = STATE(4695),
    [sym_offsetof_expression] = STATE(4695),
    [sym_generic_expression] = STATE(4695),
    [sym_subscript_expression] = STATE(4695),
    [sym_call_expression] = STATE(4695),
    [sym_gnu_asm_expression] = STATE(4695),
    [sym_field_expression] = STATE(4695),
    [sym_compound_literal_expression] = STATE(4695),
    [sym_parenthesized_expression] = STATE(4695),
    [sym_char_literal] = STATE(4427),
    [sym_concatenated_string] = STATE(4424),
    [sym_string_literal] = STATE(3398),
    [sym_null] = STATE(4695),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9425),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(4695),
    [sym_raw_string_literal] = STATE(3396),
    [sym_co_await_expression] = STATE(4695),
    [sym_new_expression] = STATE(4695),
    [sym_delete_expression] = STATE(4695),
    [sym_requires_clause] = STATE(4695),
    [sym_requires_expression] = STATE(4695),
    [sym_lambda_expression] = STATE(4695),
    [sym_lambda_capture_specifier] = STATE(7185),
    [sym_fold_expression] = STATE(4695),
    [sym_parameter_pack_expansion] = STATE(4695),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6899),
    [sym_qualified_identifier] = STATE(4695),
    [sym_qualified_type_identifier] = STATE(9425),
    [sym_user_defined_literal] = STATE(4695),
    [sym_identifier] = ACTIONS(4092),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5448),
    [anon_sym_LPAREN2] = ACTIONS(4188),
    [anon_sym_BANG] = ACTIONS(2532),
    [anon_sym_TILDE] = ACTIONS(2532),
    [anon_sym_DASH] = ACTIONS(2536),
    [anon_sym_PLUS] = ACTIONS(2536),
    [anon_sym_STAR] = ACTIONS(2116),
    [anon_sym_AMP] = ACTIONS(2116),
    [anon_sym_COLON_COLON] = ACTIONS(2542),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [sym_primitive_type] = ACTIONS(4096),
    [anon_sym_not] = ACTIONS(2536),
    [anon_sym_compl] = ACTIONS(2536),
    [anon_sym_DASH_DASH] = ACTIONS(2560),
    [anon_sym_PLUS_PLUS] = ACTIONS(2560),
    [anon_sym_sizeof] = ACTIONS(2562),
    [anon_sym___alignof__] = ACTIONS(2564),
    [anon_sym___alignof] = ACTIONS(2564),
    [anon_sym__alignof] = ACTIONS(2564),
    [anon_sym_alignof] = ACTIONS(2564),
    [anon_sym__Alignof] = ACTIONS(2564),
    [anon_sym_offsetof] = ACTIONS(2566),
    [anon_sym__Generic] = ACTIONS(2568),
    [anon_sym_asm] = ACTIONS(2570),
    [anon_sym___asm__] = ACTIONS(2570),
    [sym_number_literal] = ACTIONS(2572),
    [anon_sym_L_SQUOTE] = ACTIONS(2574),
    [anon_sym_u_SQUOTE] = ACTIONS(2574),
    [anon_sym_U_SQUOTE] = ACTIONS(2574),
    [anon_sym_u8_SQUOTE] = ACTIONS(2574),
    [anon_sym_SQUOTE] = ACTIONS(2574),
    [anon_sym_L_DQUOTE] = ACTIONS(2576),
    [anon_sym_u_DQUOTE] = ACTIONS(2576),
    [anon_sym_U_DQUOTE] = ACTIONS(2576),
    [anon_sym_u8_DQUOTE] = ACTIONS(2576),
    [anon_sym_DQUOTE] = ACTIONS(2576),
    [sym_true] = ACTIONS(2578),
    [sym_false] = ACTIONS(2578),
    [anon_sym_NULL] = ACTIONS(2580),
    [anon_sym_nullptr] = ACTIONS(2580),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(2590),
    [anon_sym_R_DQUOTE] = ACTIONS(2592),
    [anon_sym_LR_DQUOTE] = ACTIONS(2592),
    [anon_sym_uR_DQUOTE] = ACTIONS(2592),
    [anon_sym_UR_DQUOTE] = ACTIONS(2592),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2592),
    [anon_sym_co_await] = ACTIONS(2594),
    [anon_sym_new] = ACTIONS(2596),
    [anon_sym_requires] = ACTIONS(2598),
    [sym_this] = ACTIONS(2578),
  },
  [2095] = {
    [sym__expression] = STATE(4322),
    [sym__expression_not_binary] = STATE(4695),
    [sym__string] = STATE(4695),
    [sym_conditional_expression] = STATE(4695),
    [sym_assignment_expression] = STATE(4695),
    [sym_pointer_expression] = STATE(4695),
    [sym_unary_expression] = STATE(4695),
    [sym_binary_expression] = STATE(4695),
    [sym_update_expression] = STATE(4695),
    [sym_cast_expression] = STATE(4695),
    [sym_sizeof_expression] = STATE(4695),
    [sym_alignof_expression] = STATE(4695),
    [sym_offsetof_expression] = STATE(4695),
    [sym_generic_expression] = STATE(4695),
    [sym_subscript_expression] = STATE(4695),
    [sym_call_expression] = STATE(4695),
    [sym_gnu_asm_expression] = STATE(4695),
    [sym_field_expression] = STATE(4695),
    [sym_compound_literal_expression] = STATE(4695),
    [sym_parenthesized_expression] = STATE(4695),
    [sym_char_literal] = STATE(4427),
    [sym_concatenated_string] = STATE(4424),
    [sym_string_literal] = STATE(3398),
    [sym_null] = STATE(4695),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9425),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(4695),
    [sym_raw_string_literal] = STATE(3396),
    [sym_co_await_expression] = STATE(4695),
    [sym_new_expression] = STATE(4695),
    [sym_delete_expression] = STATE(4695),
    [sym_requires_clause] = STATE(4695),
    [sym_requires_expression] = STATE(4695),
    [sym_lambda_expression] = STATE(4695),
    [sym_lambda_capture_specifier] = STATE(7185),
    [sym_fold_expression] = STATE(4695),
    [sym_parameter_pack_expansion] = STATE(4695),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6899),
    [sym_qualified_identifier] = STATE(4695),
    [sym_qualified_type_identifier] = STATE(9425),
    [sym_user_defined_literal] = STATE(4695),
    [sym_identifier] = ACTIONS(4092),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5453),
    [anon_sym_LPAREN2] = ACTIONS(4188),
    [anon_sym_BANG] = ACTIONS(2532),
    [anon_sym_TILDE] = ACTIONS(2532),
    [anon_sym_DASH] = ACTIONS(2536),
    [anon_sym_PLUS] = ACTIONS(2536),
    [anon_sym_STAR] = ACTIONS(2116),
    [anon_sym_AMP] = ACTIONS(2116),
    [anon_sym_COLON_COLON] = ACTIONS(2542),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [sym_primitive_type] = ACTIONS(4096),
    [anon_sym_not] = ACTIONS(2536),
    [anon_sym_compl] = ACTIONS(2536),
    [anon_sym_DASH_DASH] = ACTIONS(2560),
    [anon_sym_PLUS_PLUS] = ACTIONS(2560),
    [anon_sym_sizeof] = ACTIONS(2562),
    [anon_sym___alignof__] = ACTIONS(2564),
    [anon_sym___alignof] = ACTIONS(2564),
    [anon_sym__alignof] = ACTIONS(2564),
    [anon_sym_alignof] = ACTIONS(2564),
    [anon_sym__Alignof] = ACTIONS(2564),
    [anon_sym_offsetof] = ACTIONS(2566),
    [anon_sym__Generic] = ACTIONS(2568),
    [anon_sym_asm] = ACTIONS(2570),
    [anon_sym___asm__] = ACTIONS(2570),
    [sym_number_literal] = ACTIONS(2572),
    [anon_sym_L_SQUOTE] = ACTIONS(2574),
    [anon_sym_u_SQUOTE] = ACTIONS(2574),
    [anon_sym_U_SQUOTE] = ACTIONS(2574),
    [anon_sym_u8_SQUOTE] = ACTIONS(2574),
    [anon_sym_SQUOTE] = ACTIONS(2574),
    [anon_sym_L_DQUOTE] = ACTIONS(2576),
    [anon_sym_u_DQUOTE] = ACTIONS(2576),
    [anon_sym_U_DQUOTE] = ACTIONS(2576),
    [anon_sym_u8_DQUOTE] = ACTIONS(2576),
    [anon_sym_DQUOTE] = ACTIONS(2576),
    [sym_true] = ACTIONS(2578),
    [sym_false] = ACTIONS(2578),
    [anon_sym_NULL] = ACTIONS(2580),
    [anon_sym_nullptr] = ACTIONS(2580),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(2590),
    [anon_sym_R_DQUOTE] = ACTIONS(2592),
    [anon_sym_LR_DQUOTE] = ACTIONS(2592),
    [anon_sym_uR_DQUOTE] = ACTIONS(2592),
    [anon_sym_UR_DQUOTE] = ACTIONS(2592),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2592),
    [anon_sym_co_await] = ACTIONS(2594),
    [anon_sym_new] = ACTIONS(2596),
    [anon_sym_requires] = ACTIONS(2598),
    [sym_this] = ACTIONS(2578),
  },
  [2096] = {
    [sym__expression] = STATE(4322),
    [sym__expression_not_binary] = STATE(4695),
    [sym__string] = STATE(4695),
    [sym_conditional_expression] = STATE(4695),
    [sym_assignment_expression] = STATE(4695),
    [sym_pointer_expression] = STATE(4695),
    [sym_unary_expression] = STATE(4695),
    [sym_binary_expression] = STATE(4695),
    [sym_update_expression] = STATE(4695),
    [sym_cast_expression] = STATE(4695),
    [sym_sizeof_expression] = STATE(4695),
    [sym_alignof_expression] = STATE(4695),
    [sym_offsetof_expression] = STATE(4695),
    [sym_generic_expression] = STATE(4695),
    [sym_subscript_expression] = STATE(4695),
    [sym_call_expression] = STATE(4695),
    [sym_gnu_asm_expression] = STATE(4695),
    [sym_field_expression] = STATE(4695),
    [sym_compound_literal_expression] = STATE(4695),
    [sym_parenthesized_expression] = STATE(4695),
    [sym_char_literal] = STATE(4427),
    [sym_concatenated_string] = STATE(4424),
    [sym_string_literal] = STATE(3398),
    [sym_null] = STATE(4695),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9425),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(4695),
    [sym_raw_string_literal] = STATE(3396),
    [sym_co_await_expression] = STATE(4695),
    [sym_new_expression] = STATE(4695),
    [sym_delete_expression] = STATE(4695),
    [sym_requires_clause] = STATE(4695),
    [sym_requires_expression] = STATE(4695),
    [sym_lambda_expression] = STATE(4695),
    [sym_lambda_capture_specifier] = STATE(7185),
    [sym_fold_expression] = STATE(4695),
    [sym_parameter_pack_expansion] = STATE(4695),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6899),
    [sym_qualified_identifier] = STATE(4695),
    [sym_qualified_type_identifier] = STATE(9425),
    [sym_user_defined_literal] = STATE(4695),
    [sym_identifier] = ACTIONS(4092),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5480),
    [anon_sym_LPAREN2] = ACTIONS(4188),
    [anon_sym_BANG] = ACTIONS(2532),
    [anon_sym_TILDE] = ACTIONS(2532),
    [anon_sym_DASH] = ACTIONS(2536),
    [anon_sym_PLUS] = ACTIONS(2536),
    [anon_sym_STAR] = ACTIONS(2116),
    [anon_sym_AMP] = ACTIONS(2116),
    [anon_sym_COLON_COLON] = ACTIONS(2542),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [sym_primitive_type] = ACTIONS(4096),
    [anon_sym_not] = ACTIONS(2536),
    [anon_sym_compl] = ACTIONS(2536),
    [anon_sym_DASH_DASH] = ACTIONS(2560),
    [anon_sym_PLUS_PLUS] = ACTIONS(2560),
    [anon_sym_sizeof] = ACTIONS(2562),
    [anon_sym___alignof__] = ACTIONS(2564),
    [anon_sym___alignof] = ACTIONS(2564),
    [anon_sym__alignof] = ACTIONS(2564),
    [anon_sym_alignof] = ACTIONS(2564),
    [anon_sym__Alignof] = ACTIONS(2564),
    [anon_sym_offsetof] = ACTIONS(2566),
    [anon_sym__Generic] = ACTIONS(2568),
    [anon_sym_asm] = ACTIONS(2570),
    [anon_sym___asm__] = ACTIONS(2570),
    [sym_number_literal] = ACTIONS(2572),
    [anon_sym_L_SQUOTE] = ACTIONS(2574),
    [anon_sym_u_SQUOTE] = ACTIONS(2574),
    [anon_sym_U_SQUOTE] = ACTIONS(2574),
    [anon_sym_u8_SQUOTE] = ACTIONS(2574),
    [anon_sym_SQUOTE] = ACTIONS(2574),
    [anon_sym_L_DQUOTE] = ACTIONS(2576),
    [anon_sym_u_DQUOTE] = ACTIONS(2576),
    [anon_sym_U_DQUOTE] = ACTIONS(2576),
    [anon_sym_u8_DQUOTE] = ACTIONS(2576),
    [anon_sym_DQUOTE] = ACTIONS(2576),
    [sym_true] = ACTIONS(2578),
    [sym_false] = ACTIONS(2578),
    [anon_sym_NULL] = ACTIONS(2580),
    [anon_sym_nullptr] = ACTIONS(2580),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(2590),
    [anon_sym_R_DQUOTE] = ACTIONS(2592),
    [anon_sym_LR_DQUOTE] = ACTIONS(2592),
    [anon_sym_uR_DQUOTE] = ACTIONS(2592),
    [anon_sym_UR_DQUOTE] = ACTIONS(2592),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2592),
    [anon_sym_co_await] = ACTIONS(2594),
    [anon_sym_new] = ACTIONS(2596),
    [anon_sym_requires] = ACTIONS(2598),
    [sym_this] = ACTIONS(2578),
  },
  [2097] = {
    [sym__declaration_modifiers] = STATE(2673),
    [sym__declaration_specifiers] = STATE(6012),
    [sym_attribute_specifier] = STATE(2673),
    [sym_attribute_declaration] = STATE(2673),
    [sym_ms_declspec_modifier] = STATE(2673),
    [sym_ms_call_modifier] = STATE(2575),
    [sym_storage_class_specifier] = STATE(2673),
    [sym_type_qualifier] = STATE(2673),
    [sym__type_specifier] = STATE(2827),
    [sym_sized_type_specifier] = STATE(3085),
    [sym_enum_specifier] = STATE(3085),
    [sym_struct_specifier] = STATE(3085),
    [sym_union_specifier] = STATE(3085),
    [sym_placeholder_type_specifier] = STATE(3085),
    [sym_decltype_auto] = STATE(3091),
    [sym_decltype] = STATE(3050),
    [sym_class_specifier] = STATE(3085),
    [sym_virtual] = STATE(2673),
    [sym_alignas_specifier] = STATE(2673),
    [sym_dependent_type] = STATE(3085),
    [sym_template_type] = STATE(3050),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(7887),
    [sym_qualified_type_identifier] = STATE(3068),
    [sym_qualifiers] = STATE(2673),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2673),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3021),
    [sym_identifier] = ACTIONS(3896),
    [anon_sym___extension__] = ACTIONS(63),
    [anon_sym_in] = ACTIONS(1480),
    [anon_sym_out] = ACTIONS(1480),
    [anon_sym_inout] = ACTIONS(1480),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(3904),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2096),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(51),
    [anon_sym___clrcall] = ACTIONS(51),
    [anon_sym___stdcall] = ACTIONS(51),
    [anon_sym___fastcall] = ACTIONS(51),
    [anon_sym___thiscall] = ACTIONS(51),
    [anon_sym___vectorcall] = ACTIONS(51),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(2891),
    [anon_sym_enum] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(69),
    [anon_sym_struct] = ACTIONS(71),
    [anon_sym_union] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [anon_sym_virtual] = ACTIONS(123),
    [anon_sym_alignas] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_precise] = ACTIONS(161),
    [anon_sym_shared] = ACTIONS(161),
    [anon_sym_groupshared] = ACTIONS(161),
    [anon_sym_uniform] = ACTIONS(161),
    [anon_sym_row_major] = ACTIONS(161),
    [anon_sym_column_major] = ACTIONS(161),
    [anon_sym_globallycoherent] = ACTIONS(161),
    [anon_sym_centroid] = ACTIONS(161),
    [anon_sym_noperspective] = ACTIONS(161),
    [anon_sym_nointerpolation] = ACTIONS(161),
    [anon_sym_sample] = ACTIONS(161),
    [anon_sym_linear] = ACTIONS(161),
    [anon_sym_snorm] = ACTIONS(161),
    [anon_sym_unorm] = ACTIONS(161),
    [anon_sym_point] = ACTIONS(161),
    [anon_sym_line] = ACTIONS(161),
    [anon_sym_triangleadj] = ACTIONS(161),
    [anon_sym_lineadj] = ACTIONS(161),
    [anon_sym_triangle] = ACTIONS(161),
  },
  [2098] = {
    [sym__expression] = STATE(5841),
    [sym__expression_not_binary] = STATE(5024),
    [sym__string] = STATE(5024),
    [sym_conditional_expression] = STATE(5024),
    [sym_assignment_expression] = STATE(5024),
    [sym_pointer_expression] = STATE(4507),
    [sym_unary_expression] = STATE(5024),
    [sym_binary_expression] = STATE(5024),
    [sym_update_expression] = STATE(5024),
    [sym_cast_expression] = STATE(5024),
    [sym_sizeof_expression] = STATE(5024),
    [sym_alignof_expression] = STATE(5024),
    [sym_offsetof_expression] = STATE(5024),
    [sym_generic_expression] = STATE(5024),
    [sym_subscript_expression] = STATE(4507),
    [sym_call_expression] = STATE(4507),
    [sym_gnu_asm_expression] = STATE(5024),
    [sym_field_expression] = STATE(4507),
    [sym_compound_literal_expression] = STATE(5024),
    [sym_parenthesized_expression] = STATE(4507),
    [sym_char_literal] = STATE(5374),
    [sym_concatenated_string] = STATE(5377),
    [sym_string_literal] = STATE(4206),
    [sym_null] = STATE(5024),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9352),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(5024),
    [sym_raw_string_literal] = STATE(4217),
    [sym_co_await_expression] = STATE(5024),
    [sym_new_expression] = STATE(5024),
    [sym_delete_expression] = STATE(5024),
    [sym_requires_clause] = STATE(5024),
    [sym_requires_expression] = STATE(5024),
    [sym_lambda_expression] = STATE(5024),
    [sym_lambda_capture_specifier] = STATE(7184),
    [sym_fold_expression] = STATE(5024),
    [sym_parameter_pack_expansion] = STATE(5024),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6886),
    [sym_qualified_identifier] = STATE(4507),
    [sym_qualified_type_identifier] = STATE(9352),
    [sym_user_defined_literal] = STATE(4507),
    [sym_identifier] = ACTIONS(3140),
    [anon_sym_LPAREN2] = ACTIONS(1472),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1474),
    [anon_sym_AMP] = ACTIONS(1474),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [sym_primitive_type] = ACTIONS(3146),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [2099] = {
    [sym__expression] = STATE(4718),
    [sym__expression_not_binary] = STATE(4939),
    [sym__string] = STATE(4939),
    [sym_conditional_expression] = STATE(4939),
    [sym_assignment_expression] = STATE(4939),
    [sym_pointer_expression] = STATE(4521),
    [sym_unary_expression] = STATE(4939),
    [sym_binary_expression] = STATE(4939),
    [sym_update_expression] = STATE(4939),
    [sym_cast_expression] = STATE(4939),
    [sym_sizeof_expression] = STATE(4939),
    [sym_alignof_expression] = STATE(4939),
    [sym_offsetof_expression] = STATE(4939),
    [sym_generic_expression] = STATE(4939),
    [sym_subscript_expression] = STATE(4521),
    [sym_call_expression] = STATE(4521),
    [sym_gnu_asm_expression] = STATE(4939),
    [sym_field_expression] = STATE(4521),
    [sym_compound_literal_expression] = STATE(4939),
    [sym_parenthesized_expression] = STATE(4521),
    [sym_char_literal] = STATE(4856),
    [sym_concatenated_string] = STATE(4876),
    [sym_string_literal] = STATE(3630),
    [sym_null] = STATE(4939),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9415),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(4939),
    [sym_raw_string_literal] = STATE(3632),
    [sym_co_await_expression] = STATE(4939),
    [sym_new_expression] = STATE(4939),
    [sym_delete_expression] = STATE(4939),
    [sym_requires_clause] = STATE(4939),
    [sym_requires_expression] = STATE(4939),
    [sym_lambda_expression] = STATE(4939),
    [sym_lambda_capture_specifier] = STATE(7190),
    [sym_fold_expression] = STATE(4939),
    [sym_parameter_pack_expansion] = STATE(4939),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6899),
    [sym_qualified_identifier] = STATE(4521),
    [sym_qualified_type_identifier] = STATE(9415),
    [sym_user_defined_literal] = STATE(4521),
    [sym_identifier] = ACTIONS(4178),
    [anon_sym_LPAREN2] = ACTIONS(2110),
    [anon_sym_BANG] = ACTIONS(2112),
    [anon_sym_TILDE] = ACTIONS(2112),
    [anon_sym_DASH] = ACTIONS(2114),
    [anon_sym_PLUS] = ACTIONS(2114),
    [anon_sym_STAR] = ACTIONS(2116),
    [anon_sym_AMP] = ACTIONS(2116),
    [anon_sym_COLON_COLON] = ACTIONS(2120),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [sym_primitive_type] = ACTIONS(4182),
    [anon_sym_not] = ACTIONS(2114),
    [anon_sym_compl] = ACTIONS(2114),
    [anon_sym_DASH_DASH] = ACTIONS(2132),
    [anon_sym_PLUS_PLUS] = ACTIONS(2132),
    [anon_sym_sizeof] = ACTIONS(2134),
    [anon_sym___alignof__] = ACTIONS(2136),
    [anon_sym___alignof] = ACTIONS(2136),
    [anon_sym__alignof] = ACTIONS(2136),
    [anon_sym_alignof] = ACTIONS(2136),
    [anon_sym__Alignof] = ACTIONS(2136),
    [anon_sym_offsetof] = ACTIONS(2138),
    [anon_sym__Generic] = ACTIONS(2140),
    [anon_sym_asm] = ACTIONS(2142),
    [anon_sym___asm__] = ACTIONS(2142),
    [sym_number_literal] = ACTIONS(2144),
    [anon_sym_L_SQUOTE] = ACTIONS(2146),
    [anon_sym_u_SQUOTE] = ACTIONS(2146),
    [anon_sym_U_SQUOTE] = ACTIONS(2146),
    [anon_sym_u8_SQUOTE] = ACTIONS(2146),
    [anon_sym_SQUOTE] = ACTIONS(2146),
    [anon_sym_L_DQUOTE] = ACTIONS(2148),
    [anon_sym_u_DQUOTE] = ACTIONS(2148),
    [anon_sym_U_DQUOTE] = ACTIONS(2148),
    [anon_sym_u8_DQUOTE] = ACTIONS(2148),
    [anon_sym_DQUOTE] = ACTIONS(2148),
    [sym_true] = ACTIONS(2150),
    [sym_false] = ACTIONS(2150),
    [anon_sym_NULL] = ACTIONS(2152),
    [anon_sym_nullptr] = ACTIONS(2152),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(2156),
    [anon_sym_R_DQUOTE] = ACTIONS(2158),
    [anon_sym_LR_DQUOTE] = ACTIONS(2158),
    [anon_sym_uR_DQUOTE] = ACTIONS(2158),
    [anon_sym_UR_DQUOTE] = ACTIONS(2158),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2158),
    [anon_sym_co_await] = ACTIONS(2160),
    [anon_sym_new] = ACTIONS(2162),
    [anon_sym_requires] = ACTIONS(2164),
    [sym_this] = ACTIONS(2150),
  },
  [2100] = {
    [sym__expression] = STATE(3850),
    [sym__expression_not_binary] = STATE(3672),
    [sym__string] = STATE(3672),
    [sym_conditional_expression] = STATE(3672),
    [sym_assignment_expression] = STATE(3672),
    [sym_pointer_expression] = STATE(3672),
    [sym_unary_expression] = STATE(3672),
    [sym_binary_expression] = STATE(3672),
    [sym_update_expression] = STATE(3672),
    [sym_cast_expression] = STATE(3672),
    [sym_sizeof_expression] = STATE(3672),
    [sym_alignof_expression] = STATE(3672),
    [sym_offsetof_expression] = STATE(3672),
    [sym_generic_expression] = STATE(3672),
    [sym_subscript_expression] = STATE(3672),
    [sym_call_expression] = STATE(3672),
    [sym_gnu_asm_expression] = STATE(3672),
    [sym_field_expression] = STATE(3672),
    [sym_compound_literal_expression] = STATE(3672),
    [sym_parenthesized_expression] = STATE(3672),
    [sym_char_literal] = STATE(3855),
    [sym_concatenated_string] = STATE(3873),
    [sym_string_literal] = STATE(3222),
    [sym_null] = STATE(3672),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9333),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(3672),
    [sym_raw_string_literal] = STATE(3216),
    [sym_co_await_expression] = STATE(3672),
    [sym_new_expression] = STATE(3672),
    [sym_delete_expression] = STATE(3672),
    [sym_requires_clause] = STATE(3672),
    [sym_requires_expression] = STATE(3672),
    [sym_lambda_expression] = STATE(3672),
    [sym_lambda_capture_specifier] = STATE(7134),
    [sym_fold_expression] = STATE(3672),
    [sym_parameter_pack_expansion] = STATE(3672),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6886),
    [sym_qualified_identifier] = STATE(3672),
    [sym_qualified_type_identifier] = STATE(9333),
    [sym_user_defined_literal] = STATE(3672),
    [sym_identifier] = ACTIONS(3968),
    [anon_sym_LPAREN2] = ACTIONS(5184),
    [anon_sym_BANG] = ACTIONS(3922),
    [anon_sym_TILDE] = ACTIONS(3922),
    [anon_sym_DASH] = ACTIONS(3920),
    [anon_sym_PLUS] = ACTIONS(3920),
    [anon_sym_STAR] = ACTIONS(5186),
    [anon_sym_AMP] = ACTIONS(5186),
    [anon_sym_COLON_COLON] = ACTIONS(3924),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [sym_primitive_type] = ACTIONS(3928),
    [anon_sym_not] = ACTIONS(3920),
    [anon_sym_compl] = ACTIONS(3920),
    [anon_sym_DASH_DASH] = ACTIONS(5013),
    [anon_sym_PLUS_PLUS] = ACTIONS(5013),
    [anon_sym_sizeof] = ACTIONS(3930),
    [anon_sym___alignof__] = ACTIONS(3932),
    [anon_sym___alignof] = ACTIONS(3932),
    [anon_sym__alignof] = ACTIONS(3932),
    [anon_sym_alignof] = ACTIONS(3932),
    [anon_sym__Alignof] = ACTIONS(3932),
    [anon_sym_offsetof] = ACTIONS(3934),
    [anon_sym__Generic] = ACTIONS(3936),
    [anon_sym_asm] = ACTIONS(3938),
    [anon_sym___asm__] = ACTIONS(3938),
    [sym_number_literal] = ACTIONS(3940),
    [anon_sym_L_SQUOTE] = ACTIONS(3942),
    [anon_sym_u_SQUOTE] = ACTIONS(3942),
    [anon_sym_U_SQUOTE] = ACTIONS(3942),
    [anon_sym_u8_SQUOTE] = ACTIONS(3942),
    [anon_sym_SQUOTE] = ACTIONS(3942),
    [anon_sym_L_DQUOTE] = ACTIONS(3944),
    [anon_sym_u_DQUOTE] = ACTIONS(3944),
    [anon_sym_U_DQUOTE] = ACTIONS(3944),
    [anon_sym_u8_DQUOTE] = ACTIONS(3944),
    [anon_sym_DQUOTE] = ACTIONS(3944),
    [sym_true] = ACTIONS(3946),
    [sym_false] = ACTIONS(3946),
    [anon_sym_NULL] = ACTIONS(3948),
    [anon_sym_nullptr] = ACTIONS(3948),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(3950),
    [anon_sym_R_DQUOTE] = ACTIONS(3952),
    [anon_sym_LR_DQUOTE] = ACTIONS(3952),
    [anon_sym_uR_DQUOTE] = ACTIONS(3952),
    [anon_sym_UR_DQUOTE] = ACTIONS(3952),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3952),
    [anon_sym_co_await] = ACTIONS(3954),
    [anon_sym_new] = ACTIONS(3956),
    [anon_sym_requires] = ACTIONS(3958),
    [sym_this] = ACTIONS(3946),
  },
  [2101] = {
    [sym__expression] = STATE(5275),
    [sym__expression_not_binary] = STATE(5024),
    [sym__string] = STATE(5024),
    [sym_conditional_expression] = STATE(5024),
    [sym_assignment_expression] = STATE(5024),
    [sym_pointer_expression] = STATE(4031),
    [sym_unary_expression] = STATE(5024),
    [sym_binary_expression] = STATE(5024),
    [sym_update_expression] = STATE(5024),
    [sym_cast_expression] = STATE(5024),
    [sym_sizeof_expression] = STATE(5024),
    [sym_alignof_expression] = STATE(5024),
    [sym_offsetof_expression] = STATE(5024),
    [sym_generic_expression] = STATE(5024),
    [sym_subscript_expression] = STATE(4031),
    [sym_call_expression] = STATE(4031),
    [sym_gnu_asm_expression] = STATE(5024),
    [sym_field_expression] = STATE(4031),
    [sym_compound_literal_expression] = STATE(5024),
    [sym_parenthesized_expression] = STATE(4031),
    [sym_char_literal] = STATE(5335),
    [sym_concatenated_string] = STATE(5317),
    [sym_string_literal] = STATE(4163),
    [sym_null] = STATE(5024),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9352),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(5024),
    [sym_raw_string_literal] = STATE(4121),
    [sym_co_await_expression] = STATE(5024),
    [sym_new_expression] = STATE(5024),
    [sym_delete_expression] = STATE(5024),
    [sym_requires_clause] = STATE(5024),
    [sym_requires_expression] = STATE(5024),
    [sym_lambda_expression] = STATE(5024),
    [sym_lambda_capture_specifier] = STATE(7184),
    [sym_fold_expression] = STATE(5024),
    [sym_parameter_pack_expansion] = STATE(5024),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6886),
    [sym_qualified_identifier] = STATE(4031),
    [sym_qualified_type_identifier] = STATE(9352),
    [sym_user_defined_literal] = STATE(4031),
    [sym_identifier] = ACTIONS(5113),
    [anon_sym_LPAREN2] = ACTIONS(5212),
    [anon_sym_BANG] = ACTIONS(4409),
    [anon_sym_TILDE] = ACTIONS(4409),
    [anon_sym_DASH] = ACTIONS(4407),
    [anon_sym_PLUS] = ACTIONS(4407),
    [anon_sym_STAR] = ACTIONS(5186),
    [anon_sym_AMP] = ACTIONS(5186),
    [anon_sym_COLON_COLON] = ACTIONS(4411),
    [anon_sym_LBRACK] = ACTIONS(5487),
    [sym_primitive_type] = ACTIONS(3146),
    [anon_sym_not] = ACTIONS(4407),
    [anon_sym_compl] = ACTIONS(4407),
    [anon_sym_DASH_DASH] = ACTIONS(5115),
    [anon_sym_PLUS_PLUS] = ACTIONS(5115),
    [anon_sym_sizeof] = ACTIONS(4415),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(4417),
    [anon_sym_L_SQUOTE] = ACTIONS(4419),
    [anon_sym_u_SQUOTE] = ACTIONS(4419),
    [anon_sym_U_SQUOTE] = ACTIONS(4419),
    [anon_sym_u8_SQUOTE] = ACTIONS(4419),
    [anon_sym_SQUOTE] = ACTIONS(4419),
    [anon_sym_L_DQUOTE] = ACTIONS(4247),
    [anon_sym_u_DQUOTE] = ACTIONS(4247),
    [anon_sym_U_DQUOTE] = ACTIONS(4247),
    [anon_sym_u8_DQUOTE] = ACTIONS(4247),
    [anon_sym_DQUOTE] = ACTIONS(4247),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(4421),
    [anon_sym_R_DQUOTE] = ACTIONS(4249),
    [anon_sym_LR_DQUOTE] = ACTIONS(4249),
    [anon_sym_uR_DQUOTE] = ACTIONS(4249),
    [anon_sym_UR_DQUOTE] = ACTIONS(4249),
    [anon_sym_u8R_DQUOTE] = ACTIONS(4249),
    [anon_sym_co_await] = ACTIONS(4423),
    [anon_sym_new] = ACTIONS(4425),
    [anon_sym_requires] = ACTIONS(4427),
    [sym_this] = ACTIONS(221),
  },
  [2102] = {
    [sym__expression] = STATE(5809),
    [sym__expression_not_binary] = STATE(5024),
    [sym__string] = STATE(5024),
    [sym_conditional_expression] = STATE(5024),
    [sym_assignment_expression] = STATE(5024),
    [sym_pointer_expression] = STATE(4507),
    [sym_unary_expression] = STATE(5024),
    [sym_binary_expression] = STATE(5024),
    [sym_update_expression] = STATE(5024),
    [sym_cast_expression] = STATE(5024),
    [sym_sizeof_expression] = STATE(5024),
    [sym_alignof_expression] = STATE(5024),
    [sym_offsetof_expression] = STATE(5024),
    [sym_generic_expression] = STATE(5024),
    [sym_subscript_expression] = STATE(4507),
    [sym_call_expression] = STATE(4507),
    [sym_gnu_asm_expression] = STATE(5024),
    [sym_field_expression] = STATE(4507),
    [sym_compound_literal_expression] = STATE(5024),
    [sym_parenthesized_expression] = STATE(4507),
    [sym_char_literal] = STATE(5374),
    [sym_concatenated_string] = STATE(5377),
    [sym_string_literal] = STATE(4206),
    [sym_null] = STATE(5024),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9352),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(5024),
    [sym_raw_string_literal] = STATE(4217),
    [sym_co_await_expression] = STATE(5024),
    [sym_new_expression] = STATE(5024),
    [sym_delete_expression] = STATE(5024),
    [sym_requires_clause] = STATE(5024),
    [sym_requires_expression] = STATE(5024),
    [sym_lambda_expression] = STATE(5024),
    [sym_lambda_capture_specifier] = STATE(7184),
    [sym_fold_expression] = STATE(5024),
    [sym_parameter_pack_expansion] = STATE(5024),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6886),
    [sym_qualified_identifier] = STATE(4507),
    [sym_qualified_type_identifier] = STATE(9352),
    [sym_user_defined_literal] = STATE(4507),
    [sym_identifier] = ACTIONS(3140),
    [anon_sym_LPAREN2] = ACTIONS(1472),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1474),
    [anon_sym_AMP] = ACTIONS(1474),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [sym_primitive_type] = ACTIONS(3146),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [2103] = {
    [sym__expression] = STATE(5928),
    [sym__expression_not_binary] = STATE(5024),
    [sym__string] = STATE(5024),
    [sym_conditional_expression] = STATE(5024),
    [sym_assignment_expression] = STATE(5024),
    [sym_pointer_expression] = STATE(4507),
    [sym_unary_expression] = STATE(5024),
    [sym_binary_expression] = STATE(5024),
    [sym_update_expression] = STATE(5024),
    [sym_cast_expression] = STATE(5024),
    [sym_sizeof_expression] = STATE(5024),
    [sym_alignof_expression] = STATE(5024),
    [sym_offsetof_expression] = STATE(5024),
    [sym_generic_expression] = STATE(5024),
    [sym_subscript_expression] = STATE(4507),
    [sym_call_expression] = STATE(4507),
    [sym_gnu_asm_expression] = STATE(5024),
    [sym_field_expression] = STATE(4507),
    [sym_compound_literal_expression] = STATE(5024),
    [sym_parenthesized_expression] = STATE(4507),
    [sym_char_literal] = STATE(5374),
    [sym_concatenated_string] = STATE(5377),
    [sym_string_literal] = STATE(4206),
    [sym_null] = STATE(5024),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9352),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(5024),
    [sym_raw_string_literal] = STATE(4217),
    [sym_co_await_expression] = STATE(5024),
    [sym_new_expression] = STATE(5024),
    [sym_delete_expression] = STATE(5024),
    [sym_requires_clause] = STATE(5024),
    [sym_requires_expression] = STATE(5024),
    [sym_lambda_expression] = STATE(5024),
    [sym_lambda_capture_specifier] = STATE(7184),
    [sym_fold_expression] = STATE(5024),
    [sym_parameter_pack_expansion] = STATE(5024),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6886),
    [sym_qualified_identifier] = STATE(4507),
    [sym_qualified_type_identifier] = STATE(9352),
    [sym_user_defined_literal] = STATE(4507),
    [sym_identifier] = ACTIONS(3140),
    [anon_sym_LPAREN2] = ACTIONS(1472),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1474),
    [anon_sym_AMP] = ACTIONS(1474),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [sym_primitive_type] = ACTIONS(3146),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [2104] = {
    [sym__expression] = STATE(5810),
    [sym__expression_not_binary] = STATE(5024),
    [sym__string] = STATE(5024),
    [sym_conditional_expression] = STATE(5024),
    [sym_assignment_expression] = STATE(5024),
    [sym_pointer_expression] = STATE(4507),
    [sym_unary_expression] = STATE(5024),
    [sym_binary_expression] = STATE(5024),
    [sym_update_expression] = STATE(5024),
    [sym_cast_expression] = STATE(5024),
    [sym_sizeof_expression] = STATE(5024),
    [sym_alignof_expression] = STATE(5024),
    [sym_offsetof_expression] = STATE(5024),
    [sym_generic_expression] = STATE(5024),
    [sym_subscript_expression] = STATE(4507),
    [sym_call_expression] = STATE(4507),
    [sym_gnu_asm_expression] = STATE(5024),
    [sym_field_expression] = STATE(4507),
    [sym_compound_literal_expression] = STATE(5024),
    [sym_parenthesized_expression] = STATE(4507),
    [sym_char_literal] = STATE(5374),
    [sym_concatenated_string] = STATE(5377),
    [sym_string_literal] = STATE(4206),
    [sym_null] = STATE(5024),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9352),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(5024),
    [sym_raw_string_literal] = STATE(4217),
    [sym_co_await_expression] = STATE(5024),
    [sym_new_expression] = STATE(5024),
    [sym_delete_expression] = STATE(5024),
    [sym_requires_clause] = STATE(5024),
    [sym_requires_expression] = STATE(5024),
    [sym_lambda_expression] = STATE(5024),
    [sym_lambda_capture_specifier] = STATE(7184),
    [sym_fold_expression] = STATE(5024),
    [sym_parameter_pack_expansion] = STATE(5024),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6886),
    [sym_qualified_identifier] = STATE(4507),
    [sym_qualified_type_identifier] = STATE(9352),
    [sym_user_defined_literal] = STATE(4507),
    [sym_identifier] = ACTIONS(3140),
    [anon_sym_LPAREN2] = ACTIONS(1472),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1474),
    [anon_sym_AMP] = ACTIONS(1474),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [sym_primitive_type] = ACTIONS(3146),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [2105] = {
    [sym__expression] = STATE(5819),
    [sym__expression_not_binary] = STATE(5024),
    [sym__string] = STATE(5024),
    [sym_conditional_expression] = STATE(5024),
    [sym_assignment_expression] = STATE(5024),
    [sym_pointer_expression] = STATE(4507),
    [sym_unary_expression] = STATE(5024),
    [sym_binary_expression] = STATE(5024),
    [sym_update_expression] = STATE(5024),
    [sym_cast_expression] = STATE(5024),
    [sym_sizeof_expression] = STATE(5024),
    [sym_alignof_expression] = STATE(5024),
    [sym_offsetof_expression] = STATE(5024),
    [sym_generic_expression] = STATE(5024),
    [sym_subscript_expression] = STATE(4507),
    [sym_call_expression] = STATE(4507),
    [sym_gnu_asm_expression] = STATE(5024),
    [sym_field_expression] = STATE(4507),
    [sym_compound_literal_expression] = STATE(5024),
    [sym_parenthesized_expression] = STATE(4507),
    [sym_char_literal] = STATE(5374),
    [sym_concatenated_string] = STATE(5377),
    [sym_string_literal] = STATE(4206),
    [sym_null] = STATE(5024),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9352),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(5024),
    [sym_raw_string_literal] = STATE(4217),
    [sym_co_await_expression] = STATE(5024),
    [sym_new_expression] = STATE(5024),
    [sym_delete_expression] = STATE(5024),
    [sym_requires_clause] = STATE(5024),
    [sym_requires_expression] = STATE(5024),
    [sym_lambda_expression] = STATE(5024),
    [sym_lambda_capture_specifier] = STATE(7184),
    [sym_fold_expression] = STATE(5024),
    [sym_parameter_pack_expansion] = STATE(5024),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6886),
    [sym_qualified_identifier] = STATE(4507),
    [sym_qualified_type_identifier] = STATE(9352),
    [sym_user_defined_literal] = STATE(4507),
    [sym_identifier] = ACTIONS(3140),
    [anon_sym_LPAREN2] = ACTIONS(1472),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1474),
    [anon_sym_AMP] = ACTIONS(1474),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [sym_primitive_type] = ACTIONS(3146),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [2106] = {
    [sym__expression] = STATE(5653),
    [sym__expression_not_binary] = STATE(5024),
    [sym__string] = STATE(5024),
    [sym_conditional_expression] = STATE(5024),
    [sym_assignment_expression] = STATE(5024),
    [sym_pointer_expression] = STATE(4737),
    [sym_unary_expression] = STATE(5024),
    [sym_binary_expression] = STATE(5024),
    [sym_update_expression] = STATE(5024),
    [sym_cast_expression] = STATE(5024),
    [sym_sizeof_expression] = STATE(5024),
    [sym_alignof_expression] = STATE(5024),
    [sym_offsetof_expression] = STATE(5024),
    [sym_generic_expression] = STATE(5024),
    [sym_subscript_expression] = STATE(4737),
    [sym_call_expression] = STATE(4737),
    [sym_gnu_asm_expression] = STATE(5024),
    [sym_field_expression] = STATE(4737),
    [sym_compound_literal_expression] = STATE(5024),
    [sym_parenthesized_expression] = STATE(4737),
    [sym_char_literal] = STATE(5374),
    [sym_concatenated_string] = STATE(5377),
    [sym_string_literal] = STATE(4206),
    [sym_null] = STATE(5024),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9352),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(5024),
    [sym_raw_string_literal] = STATE(4217),
    [sym_co_await_expression] = STATE(5024),
    [sym_new_expression] = STATE(5024),
    [sym_delete_expression] = STATE(5024),
    [sym_requires_clause] = STATE(5024),
    [sym_requires_expression] = STATE(5024),
    [sym_lambda_expression] = STATE(5024),
    [sym_lambda_capture_specifier] = STATE(7184),
    [sym_fold_expression] = STATE(5024),
    [sym_parameter_pack_expansion] = STATE(5024),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6886),
    [sym_qualified_identifier] = STATE(4737),
    [sym_qualified_type_identifier] = STATE(9352),
    [sym_user_defined_literal] = STATE(4737),
    [sym_identifier] = ACTIONS(4502),
    [anon_sym_LPAREN2] = ACTIONS(4540),
    [anon_sym_BANG] = ACTIONS(4506),
    [anon_sym_TILDE] = ACTIONS(4506),
    [anon_sym_DASH] = ACTIONS(4504),
    [anon_sym_PLUS] = ACTIONS(4504),
    [anon_sym_STAR] = ACTIONS(1474),
    [anon_sym_AMP] = ACTIONS(1474),
    [anon_sym_COLON_COLON] = ACTIONS(4508),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [sym_primitive_type] = ACTIONS(3146),
    [anon_sym_not] = ACTIONS(4504),
    [anon_sym_compl] = ACTIONS(4504),
    [anon_sym_DASH_DASH] = ACTIONS(4544),
    [anon_sym_PLUS_PLUS] = ACTIONS(4544),
    [anon_sym_sizeof] = ACTIONS(4510),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(4512),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(4514),
    [anon_sym_new] = ACTIONS(4516),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [2107] = {
    [sym__expression] = STATE(5521),
    [sym__expression_not_binary] = STATE(5024),
    [sym__string] = STATE(5024),
    [sym_conditional_expression] = STATE(5024),
    [sym_assignment_expression] = STATE(5024),
    [sym_pointer_expression] = STATE(4607),
    [sym_unary_expression] = STATE(5024),
    [sym_binary_expression] = STATE(5024),
    [sym_update_expression] = STATE(5024),
    [sym_cast_expression] = STATE(5024),
    [sym_sizeof_expression] = STATE(5024),
    [sym_alignof_expression] = STATE(5024),
    [sym_offsetof_expression] = STATE(5024),
    [sym_generic_expression] = STATE(5024),
    [sym_subscript_expression] = STATE(4607),
    [sym_call_expression] = STATE(4607),
    [sym_gnu_asm_expression] = STATE(5024),
    [sym_field_expression] = STATE(4607),
    [sym_compound_literal_expression] = STATE(5024),
    [sym_parenthesized_expression] = STATE(4607),
    [sym_char_literal] = STATE(5726),
    [sym_concatenated_string] = STATE(5682),
    [sym_string_literal] = STATE(4827),
    [sym_null] = STATE(5024),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9352),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(5024),
    [sym_raw_string_literal] = STATE(4829),
    [sym_co_await_expression] = STATE(5024),
    [sym_new_expression] = STATE(5024),
    [sym_delete_expression] = STATE(5024),
    [sym_requires_clause] = STATE(5024),
    [sym_requires_expression] = STATE(5024),
    [sym_lambda_expression] = STATE(5024),
    [sym_lambda_capture_specifier] = STATE(7184),
    [sym_fold_expression] = STATE(5024),
    [sym_parameter_pack_expansion] = STATE(5024),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6886),
    [sym_qualified_identifier] = STATE(4607),
    [sym_qualified_type_identifier] = STATE(9352),
    [sym_user_defined_literal] = STATE(4607),
    [sym_identifier] = ACTIONS(4478),
    [anon_sym_LPAREN2] = ACTIONS(5015),
    [anon_sym_BANG] = ACTIONS(4482),
    [anon_sym_TILDE] = ACTIONS(4482),
    [anon_sym_DASH] = ACTIONS(4480),
    [anon_sym_PLUS] = ACTIONS(4480),
    [anon_sym_STAR] = ACTIONS(5017),
    [anon_sym_AMP] = ACTIONS(5017),
    [anon_sym_COLON_COLON] = ACTIONS(4484),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [sym_primitive_type] = ACTIONS(3146),
    [anon_sym_not] = ACTIONS(4480),
    [anon_sym_compl] = ACTIONS(4480),
    [anon_sym_DASH_DASH] = ACTIONS(5021),
    [anon_sym_PLUS_PLUS] = ACTIONS(5021),
    [anon_sym_sizeof] = ACTIONS(4486),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(4488),
    [anon_sym_L_SQUOTE] = ACTIONS(4490),
    [anon_sym_u_SQUOTE] = ACTIONS(4490),
    [anon_sym_U_SQUOTE] = ACTIONS(4490),
    [anon_sym_u8_SQUOTE] = ACTIONS(4490),
    [anon_sym_SQUOTE] = ACTIONS(4490),
    [anon_sym_L_DQUOTE] = ACTIONS(4492),
    [anon_sym_u_DQUOTE] = ACTIONS(4492),
    [anon_sym_U_DQUOTE] = ACTIONS(4492),
    [anon_sym_u8_DQUOTE] = ACTIONS(4492),
    [anon_sym_DQUOTE] = ACTIONS(4492),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(4494),
    [anon_sym_R_DQUOTE] = ACTIONS(4496),
    [anon_sym_LR_DQUOTE] = ACTIONS(4496),
    [anon_sym_uR_DQUOTE] = ACTIONS(4496),
    [anon_sym_UR_DQUOTE] = ACTIONS(4496),
    [anon_sym_u8R_DQUOTE] = ACTIONS(4496),
    [anon_sym_co_await] = ACTIONS(4498),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [2108] = {
    [sym__expression] = STATE(5849),
    [sym__expression_not_binary] = STATE(5024),
    [sym__string] = STATE(5024),
    [sym_conditional_expression] = STATE(5024),
    [sym_assignment_expression] = STATE(5024),
    [sym_pointer_expression] = STATE(4507),
    [sym_unary_expression] = STATE(5024),
    [sym_binary_expression] = STATE(5024),
    [sym_update_expression] = STATE(5024),
    [sym_cast_expression] = STATE(5024),
    [sym_sizeof_expression] = STATE(5024),
    [sym_alignof_expression] = STATE(5024),
    [sym_offsetof_expression] = STATE(5024),
    [sym_generic_expression] = STATE(5024),
    [sym_subscript_expression] = STATE(4507),
    [sym_call_expression] = STATE(4507),
    [sym_gnu_asm_expression] = STATE(5024),
    [sym_field_expression] = STATE(4507),
    [sym_compound_literal_expression] = STATE(5024),
    [sym_parenthesized_expression] = STATE(4507),
    [sym_char_literal] = STATE(5374),
    [sym_concatenated_string] = STATE(5377),
    [sym_string_literal] = STATE(4206),
    [sym_null] = STATE(5024),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9352),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(5024),
    [sym_raw_string_literal] = STATE(4217),
    [sym_co_await_expression] = STATE(5024),
    [sym_new_expression] = STATE(5024),
    [sym_delete_expression] = STATE(5024),
    [sym_requires_clause] = STATE(5024),
    [sym_requires_expression] = STATE(5024),
    [sym_lambda_expression] = STATE(5024),
    [sym_lambda_capture_specifier] = STATE(7184),
    [sym_fold_expression] = STATE(5024),
    [sym_parameter_pack_expansion] = STATE(5024),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6886),
    [sym_qualified_identifier] = STATE(4507),
    [sym_qualified_type_identifier] = STATE(9352),
    [sym_user_defined_literal] = STATE(4507),
    [sym_identifier] = ACTIONS(3140),
    [anon_sym_LPAREN2] = ACTIONS(1472),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1474),
    [anon_sym_AMP] = ACTIONS(1474),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [sym_primitive_type] = ACTIONS(3146),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [2109] = {
    [sym__expression] = STATE(4918),
    [sym__expression_not_binary] = STATE(5024),
    [sym__string] = STATE(5024),
    [sym_conditional_expression] = STATE(5024),
    [sym_assignment_expression] = STATE(5024),
    [sym_pointer_expression] = STATE(4507),
    [sym_unary_expression] = STATE(5024),
    [sym_binary_expression] = STATE(5024),
    [sym_update_expression] = STATE(5024),
    [sym_cast_expression] = STATE(5024),
    [sym_sizeof_expression] = STATE(5024),
    [sym_alignof_expression] = STATE(5024),
    [sym_offsetof_expression] = STATE(5024),
    [sym_generic_expression] = STATE(5024),
    [sym_subscript_expression] = STATE(4507),
    [sym_call_expression] = STATE(4507),
    [sym_gnu_asm_expression] = STATE(5024),
    [sym_field_expression] = STATE(4507),
    [sym_compound_literal_expression] = STATE(5024),
    [sym_parenthesized_expression] = STATE(4507),
    [sym_char_literal] = STATE(5374),
    [sym_concatenated_string] = STATE(5377),
    [sym_string_literal] = STATE(4206),
    [sym_null] = STATE(5024),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9352),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(5024),
    [sym_raw_string_literal] = STATE(4217),
    [sym_co_await_expression] = STATE(5024),
    [sym_new_expression] = STATE(5024),
    [sym_delete_expression] = STATE(5024),
    [sym_requires_clause] = STATE(5024),
    [sym_requires_expression] = STATE(5024),
    [sym_lambda_expression] = STATE(5024),
    [sym_lambda_capture_specifier] = STATE(7184),
    [sym_fold_expression] = STATE(5024),
    [sym_parameter_pack_expansion] = STATE(5024),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6886),
    [sym_qualified_identifier] = STATE(4507),
    [sym_qualified_type_identifier] = STATE(9352),
    [sym_user_defined_literal] = STATE(4507),
    [sym_identifier] = ACTIONS(3140),
    [anon_sym_LPAREN2] = ACTIONS(1472),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1474),
    [anon_sym_AMP] = ACTIONS(1474),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [sym_primitive_type] = ACTIONS(3146),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [2110] = {
    [sym__expression] = STATE(5659),
    [sym__expression_not_binary] = STATE(5024),
    [sym__string] = STATE(5024),
    [sym_conditional_expression] = STATE(5024),
    [sym_assignment_expression] = STATE(5024),
    [sym_pointer_expression] = STATE(4737),
    [sym_unary_expression] = STATE(5024),
    [sym_binary_expression] = STATE(5024),
    [sym_update_expression] = STATE(5024),
    [sym_cast_expression] = STATE(5024),
    [sym_sizeof_expression] = STATE(5024),
    [sym_alignof_expression] = STATE(5024),
    [sym_offsetof_expression] = STATE(5024),
    [sym_generic_expression] = STATE(5024),
    [sym_subscript_expression] = STATE(4737),
    [sym_call_expression] = STATE(4737),
    [sym_gnu_asm_expression] = STATE(5024),
    [sym_field_expression] = STATE(4737),
    [sym_compound_literal_expression] = STATE(5024),
    [sym_parenthesized_expression] = STATE(4737),
    [sym_char_literal] = STATE(5374),
    [sym_concatenated_string] = STATE(5377),
    [sym_string_literal] = STATE(4206),
    [sym_null] = STATE(5024),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9352),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(5024),
    [sym_raw_string_literal] = STATE(4217),
    [sym_co_await_expression] = STATE(5024),
    [sym_new_expression] = STATE(5024),
    [sym_delete_expression] = STATE(5024),
    [sym_requires_clause] = STATE(5024),
    [sym_requires_expression] = STATE(5024),
    [sym_lambda_expression] = STATE(5024),
    [sym_lambda_capture_specifier] = STATE(7184),
    [sym_fold_expression] = STATE(5024),
    [sym_parameter_pack_expansion] = STATE(5024),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6886),
    [sym_qualified_identifier] = STATE(4737),
    [sym_qualified_type_identifier] = STATE(9352),
    [sym_user_defined_literal] = STATE(4737),
    [sym_identifier] = ACTIONS(4502),
    [anon_sym_LPAREN2] = ACTIONS(4540),
    [anon_sym_BANG] = ACTIONS(4506),
    [anon_sym_TILDE] = ACTIONS(4506),
    [anon_sym_DASH] = ACTIONS(4504),
    [anon_sym_PLUS] = ACTIONS(4504),
    [anon_sym_STAR] = ACTIONS(1474),
    [anon_sym_AMP] = ACTIONS(1474),
    [anon_sym_COLON_COLON] = ACTIONS(4508),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [sym_primitive_type] = ACTIONS(3146),
    [anon_sym_not] = ACTIONS(4504),
    [anon_sym_compl] = ACTIONS(4504),
    [anon_sym_DASH_DASH] = ACTIONS(4544),
    [anon_sym_PLUS_PLUS] = ACTIONS(4544),
    [anon_sym_sizeof] = ACTIONS(4510),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(4512),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(4514),
    [anon_sym_new] = ACTIONS(4516),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [2111] = {
    [sym__expression] = STATE(4918),
    [sym__expression_not_binary] = STATE(5024),
    [sym__string] = STATE(5024),
    [sym_conditional_expression] = STATE(5024),
    [sym_assignment_expression] = STATE(5024),
    [sym_pointer_expression] = STATE(4507),
    [sym_unary_expression] = STATE(5024),
    [sym_binary_expression] = STATE(5024),
    [sym_update_expression] = STATE(5024),
    [sym_cast_expression] = STATE(5024),
    [sym_sizeof_expression] = STATE(5024),
    [sym_alignof_expression] = STATE(5024),
    [sym_offsetof_expression] = STATE(5024),
    [sym_generic_expression] = STATE(5024),
    [sym_subscript_expression] = STATE(4507),
    [sym_call_expression] = STATE(4507),
    [sym_gnu_asm_expression] = STATE(5024),
    [sym_field_expression] = STATE(4507),
    [sym_compound_literal_expression] = STATE(5024),
    [sym_parenthesized_expression] = STATE(4507),
    [sym_char_literal] = STATE(5374),
    [sym_concatenated_string] = STATE(5377),
    [sym_string_literal] = STATE(4206),
    [sym_null] = STATE(5024),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9352),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(5024),
    [sym_raw_string_literal] = STATE(4217),
    [sym_co_await_expression] = STATE(5024),
    [sym_new_expression] = STATE(5024),
    [sym_delete_expression] = STATE(5024),
    [sym_requires_clause] = STATE(5024),
    [sym_requires_expression] = STATE(5024),
    [sym_lambda_expression] = STATE(5024),
    [sym_lambda_capture_specifier] = STATE(7184),
    [sym_fold_expression] = STATE(5024),
    [sym_parameter_pack_expansion] = STATE(5024),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6886),
    [sym_qualified_identifier] = STATE(4507),
    [sym_qualified_type_identifier] = STATE(9352),
    [sym_user_defined_literal] = STATE(4507),
    [sym_identifier] = ACTIONS(5489),
    [anon_sym_LPAREN2] = ACTIONS(1472),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1474),
    [anon_sym_AMP] = ACTIONS(1474),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [sym_primitive_type] = ACTIONS(3146),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [2112] = {
    [sym__expression] = STATE(5260),
    [sym__expression_not_binary] = STATE(5024),
    [sym__string] = STATE(5024),
    [sym_conditional_expression] = STATE(5024),
    [sym_assignment_expression] = STATE(5024),
    [sym_pointer_expression] = STATE(4031),
    [sym_unary_expression] = STATE(5024),
    [sym_binary_expression] = STATE(5024),
    [sym_update_expression] = STATE(5024),
    [sym_cast_expression] = STATE(5024),
    [sym_sizeof_expression] = STATE(5024),
    [sym_alignof_expression] = STATE(5024),
    [sym_offsetof_expression] = STATE(5024),
    [sym_generic_expression] = STATE(5024),
    [sym_subscript_expression] = STATE(4031),
    [sym_call_expression] = STATE(4031),
    [sym_gnu_asm_expression] = STATE(5024),
    [sym_field_expression] = STATE(4031),
    [sym_compound_literal_expression] = STATE(5024),
    [sym_parenthesized_expression] = STATE(4031),
    [sym_char_literal] = STATE(5335),
    [sym_concatenated_string] = STATE(5317),
    [sym_string_literal] = STATE(4163),
    [sym_null] = STATE(5024),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9352),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(5024),
    [sym_raw_string_literal] = STATE(4121),
    [sym_co_await_expression] = STATE(5024),
    [sym_new_expression] = STATE(5024),
    [sym_delete_expression] = STATE(5024),
    [sym_requires_clause] = STATE(5024),
    [sym_requires_expression] = STATE(5024),
    [sym_lambda_expression] = STATE(5024),
    [sym_lambda_capture_specifier] = STATE(7184),
    [sym_fold_expression] = STATE(5024),
    [sym_parameter_pack_expansion] = STATE(5024),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6886),
    [sym_qualified_identifier] = STATE(4031),
    [sym_qualified_type_identifier] = STATE(9352),
    [sym_user_defined_literal] = STATE(4031),
    [sym_identifier] = ACTIONS(5113),
    [anon_sym_LPAREN2] = ACTIONS(5212),
    [anon_sym_BANG] = ACTIONS(4409),
    [anon_sym_TILDE] = ACTIONS(4409),
    [anon_sym_DASH] = ACTIONS(4407),
    [anon_sym_PLUS] = ACTIONS(4407),
    [anon_sym_STAR] = ACTIONS(5186),
    [anon_sym_AMP] = ACTIONS(5186),
    [anon_sym_COLON_COLON] = ACTIONS(4411),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [sym_primitive_type] = ACTIONS(3146),
    [anon_sym_not] = ACTIONS(4407),
    [anon_sym_compl] = ACTIONS(4407),
    [anon_sym_DASH_DASH] = ACTIONS(5115),
    [anon_sym_PLUS_PLUS] = ACTIONS(5115),
    [anon_sym_sizeof] = ACTIONS(4415),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(4417),
    [anon_sym_L_SQUOTE] = ACTIONS(4419),
    [anon_sym_u_SQUOTE] = ACTIONS(4419),
    [anon_sym_U_SQUOTE] = ACTIONS(4419),
    [anon_sym_u8_SQUOTE] = ACTIONS(4419),
    [anon_sym_SQUOTE] = ACTIONS(4419),
    [anon_sym_L_DQUOTE] = ACTIONS(4247),
    [anon_sym_u_DQUOTE] = ACTIONS(4247),
    [anon_sym_U_DQUOTE] = ACTIONS(4247),
    [anon_sym_u8_DQUOTE] = ACTIONS(4247),
    [anon_sym_DQUOTE] = ACTIONS(4247),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(4421),
    [anon_sym_R_DQUOTE] = ACTIONS(4249),
    [anon_sym_LR_DQUOTE] = ACTIONS(4249),
    [anon_sym_uR_DQUOTE] = ACTIONS(4249),
    [anon_sym_UR_DQUOTE] = ACTIONS(4249),
    [anon_sym_u8R_DQUOTE] = ACTIONS(4249),
    [anon_sym_co_await] = ACTIONS(4423),
    [anon_sym_new] = ACTIONS(4425),
    [anon_sym_requires] = ACTIONS(4427),
    [sym_this] = ACTIONS(221),
  },
  [2113] = {
    [sym__expression] = STATE(5568),
    [sym__expression_not_binary] = STATE(5024),
    [sym__string] = STATE(5024),
    [sym_conditional_expression] = STATE(5024),
    [sym_assignment_expression] = STATE(5024),
    [sym_pointer_expression] = STATE(4507),
    [sym_unary_expression] = STATE(5024),
    [sym_binary_expression] = STATE(5024),
    [sym_update_expression] = STATE(5024),
    [sym_cast_expression] = STATE(5024),
    [sym_sizeof_expression] = STATE(5024),
    [sym_alignof_expression] = STATE(5024),
    [sym_offsetof_expression] = STATE(5024),
    [sym_generic_expression] = STATE(5024),
    [sym_subscript_expression] = STATE(4507),
    [sym_call_expression] = STATE(4507),
    [sym_gnu_asm_expression] = STATE(5024),
    [sym_field_expression] = STATE(4507),
    [sym_compound_literal_expression] = STATE(5024),
    [sym_parenthesized_expression] = STATE(4507),
    [sym_char_literal] = STATE(5374),
    [sym_concatenated_string] = STATE(5377),
    [sym_string_literal] = STATE(4206),
    [sym_null] = STATE(5024),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9352),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(5024),
    [sym_raw_string_literal] = STATE(4217),
    [sym_co_await_expression] = STATE(5024),
    [sym_new_expression] = STATE(5024),
    [sym_delete_expression] = STATE(5024),
    [sym_requires_clause] = STATE(5024),
    [sym_requires_expression] = STATE(5024),
    [sym_lambda_expression] = STATE(5024),
    [sym_lambda_capture_specifier] = STATE(7184),
    [sym_fold_expression] = STATE(5024),
    [sym_parameter_pack_expansion] = STATE(5024),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6886),
    [sym_qualified_identifier] = STATE(4507),
    [sym_qualified_type_identifier] = STATE(9352),
    [sym_user_defined_literal] = STATE(4507),
    [sym_identifier] = ACTIONS(3140),
    [anon_sym_LPAREN2] = ACTIONS(1472),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1474),
    [anon_sym_AMP] = ACTIONS(1474),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [sym_primitive_type] = ACTIONS(3146),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [2114] = {
    [sym__expression] = STATE(4282),
    [sym__expression_not_binary] = STATE(4695),
    [sym__string] = STATE(4695),
    [sym_conditional_expression] = STATE(4695),
    [sym_assignment_expression] = STATE(4695),
    [sym_pointer_expression] = STATE(4695),
    [sym_unary_expression] = STATE(4695),
    [sym_binary_expression] = STATE(4695),
    [sym_update_expression] = STATE(4695),
    [sym_cast_expression] = STATE(4695),
    [sym_sizeof_expression] = STATE(4695),
    [sym_alignof_expression] = STATE(4695),
    [sym_offsetof_expression] = STATE(4695),
    [sym_generic_expression] = STATE(4695),
    [sym_subscript_expression] = STATE(4695),
    [sym_call_expression] = STATE(4695),
    [sym_gnu_asm_expression] = STATE(4695),
    [sym_field_expression] = STATE(4695),
    [sym_compound_literal_expression] = STATE(4695),
    [sym_parenthesized_expression] = STATE(4695),
    [sym_char_literal] = STATE(4427),
    [sym_concatenated_string] = STATE(4424),
    [sym_string_literal] = STATE(3398),
    [sym_null] = STATE(4695),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9425),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(4695),
    [sym_raw_string_literal] = STATE(3396),
    [sym_co_await_expression] = STATE(4695),
    [sym_new_expression] = STATE(4695),
    [sym_delete_expression] = STATE(4695),
    [sym_requires_clause] = STATE(4695),
    [sym_requires_expression] = STATE(4695),
    [sym_lambda_expression] = STATE(4695),
    [sym_lambda_capture_specifier] = STATE(7185),
    [sym_fold_expression] = STATE(4695),
    [sym_parameter_pack_expansion] = STATE(4695),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6899),
    [sym_qualified_identifier] = STATE(4695),
    [sym_qualified_type_identifier] = STATE(9425),
    [sym_user_defined_literal] = STATE(4695),
    [sym_identifier] = ACTIONS(4092),
    [anon_sym_LPAREN2] = ACTIONS(4188),
    [anon_sym_BANG] = ACTIONS(2532),
    [anon_sym_TILDE] = ACTIONS(2532),
    [anon_sym_DASH] = ACTIONS(2536),
    [anon_sym_PLUS] = ACTIONS(2536),
    [anon_sym_STAR] = ACTIONS(2116),
    [anon_sym_AMP] = ACTIONS(2116),
    [anon_sym_COLON_COLON] = ACTIONS(2542),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [sym_primitive_type] = ACTIONS(4096),
    [anon_sym_not] = ACTIONS(2536),
    [anon_sym_compl] = ACTIONS(2536),
    [anon_sym_DASH_DASH] = ACTIONS(2560),
    [anon_sym_PLUS_PLUS] = ACTIONS(2560),
    [anon_sym_sizeof] = ACTIONS(2562),
    [anon_sym___alignof__] = ACTIONS(2564),
    [anon_sym___alignof] = ACTIONS(2564),
    [anon_sym__alignof] = ACTIONS(2564),
    [anon_sym_alignof] = ACTIONS(2564),
    [anon_sym__Alignof] = ACTIONS(2564),
    [anon_sym_offsetof] = ACTIONS(2566),
    [anon_sym__Generic] = ACTIONS(2568),
    [anon_sym_asm] = ACTIONS(2570),
    [anon_sym___asm__] = ACTIONS(2570),
    [sym_number_literal] = ACTIONS(2572),
    [anon_sym_L_SQUOTE] = ACTIONS(2574),
    [anon_sym_u_SQUOTE] = ACTIONS(2574),
    [anon_sym_U_SQUOTE] = ACTIONS(2574),
    [anon_sym_u8_SQUOTE] = ACTIONS(2574),
    [anon_sym_SQUOTE] = ACTIONS(2574),
    [anon_sym_L_DQUOTE] = ACTIONS(2576),
    [anon_sym_u_DQUOTE] = ACTIONS(2576),
    [anon_sym_U_DQUOTE] = ACTIONS(2576),
    [anon_sym_u8_DQUOTE] = ACTIONS(2576),
    [anon_sym_DQUOTE] = ACTIONS(2576),
    [sym_true] = ACTIONS(2578),
    [sym_false] = ACTIONS(2578),
    [anon_sym_NULL] = ACTIONS(2580),
    [anon_sym_nullptr] = ACTIONS(2580),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(2590),
    [anon_sym_R_DQUOTE] = ACTIONS(2592),
    [anon_sym_LR_DQUOTE] = ACTIONS(2592),
    [anon_sym_uR_DQUOTE] = ACTIONS(2592),
    [anon_sym_UR_DQUOTE] = ACTIONS(2592),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2592),
    [anon_sym_co_await] = ACTIONS(2594),
    [anon_sym_new] = ACTIONS(2596),
    [anon_sym_requires] = ACTIONS(2598),
    [sym_this] = ACTIONS(2578),
  },
  [2115] = {
    [sym__expression] = STATE(5516),
    [sym__expression_not_binary] = STATE(5024),
    [sym__string] = STATE(5024),
    [sym_conditional_expression] = STATE(5024),
    [sym_assignment_expression] = STATE(5024),
    [sym_pointer_expression] = STATE(4507),
    [sym_unary_expression] = STATE(5024),
    [sym_binary_expression] = STATE(5024),
    [sym_update_expression] = STATE(5024),
    [sym_cast_expression] = STATE(5024),
    [sym_sizeof_expression] = STATE(5024),
    [sym_alignof_expression] = STATE(5024),
    [sym_offsetof_expression] = STATE(5024),
    [sym_generic_expression] = STATE(5024),
    [sym_subscript_expression] = STATE(4507),
    [sym_call_expression] = STATE(4507),
    [sym_gnu_asm_expression] = STATE(5024),
    [sym_field_expression] = STATE(4507),
    [sym_compound_literal_expression] = STATE(5024),
    [sym_parenthesized_expression] = STATE(4507),
    [sym_char_literal] = STATE(5374),
    [sym_concatenated_string] = STATE(5377),
    [sym_string_literal] = STATE(4206),
    [sym_null] = STATE(5024),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9352),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(5024),
    [sym_raw_string_literal] = STATE(4217),
    [sym_co_await_expression] = STATE(5024),
    [sym_new_expression] = STATE(5024),
    [sym_delete_expression] = STATE(5024),
    [sym_requires_clause] = STATE(5024),
    [sym_requires_expression] = STATE(5024),
    [sym_lambda_expression] = STATE(5024),
    [sym_lambda_capture_specifier] = STATE(7184),
    [sym_fold_expression] = STATE(5024),
    [sym_parameter_pack_expansion] = STATE(5024),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6886),
    [sym_qualified_identifier] = STATE(4507),
    [sym_qualified_type_identifier] = STATE(9352),
    [sym_user_defined_literal] = STATE(4507),
    [sym_identifier] = ACTIONS(3140),
    [anon_sym_LPAREN2] = ACTIONS(1472),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1474),
    [anon_sym_AMP] = ACTIONS(1474),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [sym_primitive_type] = ACTIONS(3146),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [2116] = {
    [sym__expression] = STATE(5886),
    [sym__expression_not_binary] = STATE(5024),
    [sym__string] = STATE(5024),
    [sym_conditional_expression] = STATE(5024),
    [sym_assignment_expression] = STATE(5024),
    [sym_pointer_expression] = STATE(4507),
    [sym_unary_expression] = STATE(5024),
    [sym_binary_expression] = STATE(5024),
    [sym_update_expression] = STATE(5024),
    [sym_cast_expression] = STATE(5024),
    [sym_sizeof_expression] = STATE(5024),
    [sym_alignof_expression] = STATE(5024),
    [sym_offsetof_expression] = STATE(5024),
    [sym_generic_expression] = STATE(5024),
    [sym_subscript_expression] = STATE(4507),
    [sym_call_expression] = STATE(4507),
    [sym_gnu_asm_expression] = STATE(5024),
    [sym_field_expression] = STATE(4507),
    [sym_compound_literal_expression] = STATE(5024),
    [sym_parenthesized_expression] = STATE(4507),
    [sym_char_literal] = STATE(5374),
    [sym_concatenated_string] = STATE(5377),
    [sym_string_literal] = STATE(4206),
    [sym_null] = STATE(5024),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9352),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(5024),
    [sym_raw_string_literal] = STATE(4217),
    [sym_co_await_expression] = STATE(5024),
    [sym_new_expression] = STATE(5024),
    [sym_delete_expression] = STATE(5024),
    [sym_requires_clause] = STATE(5024),
    [sym_requires_expression] = STATE(5024),
    [sym_lambda_expression] = STATE(5024),
    [sym_lambda_capture_specifier] = STATE(7184),
    [sym_fold_expression] = STATE(5024),
    [sym_parameter_pack_expansion] = STATE(5024),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6886),
    [sym_qualified_identifier] = STATE(4507),
    [sym_qualified_type_identifier] = STATE(9352),
    [sym_user_defined_literal] = STATE(4507),
    [sym_identifier] = ACTIONS(3140),
    [anon_sym_LPAREN2] = ACTIONS(1472),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1474),
    [anon_sym_AMP] = ACTIONS(1474),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [sym_primitive_type] = ACTIONS(3146),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [2117] = {
    [sym__expression] = STATE(3841),
    [sym__expression_not_binary] = STATE(3672),
    [sym__string] = STATE(3672),
    [sym_conditional_expression] = STATE(3672),
    [sym_assignment_expression] = STATE(3672),
    [sym_pointer_expression] = STATE(3672),
    [sym_unary_expression] = STATE(3672),
    [sym_binary_expression] = STATE(3672),
    [sym_update_expression] = STATE(3672),
    [sym_cast_expression] = STATE(3672),
    [sym_sizeof_expression] = STATE(3672),
    [sym_alignof_expression] = STATE(3672),
    [sym_offsetof_expression] = STATE(3672),
    [sym_generic_expression] = STATE(3672),
    [sym_subscript_expression] = STATE(3672),
    [sym_call_expression] = STATE(3672),
    [sym_gnu_asm_expression] = STATE(3672),
    [sym_field_expression] = STATE(3672),
    [sym_compound_literal_expression] = STATE(3672),
    [sym_parenthesized_expression] = STATE(3672),
    [sym_char_literal] = STATE(3855),
    [sym_concatenated_string] = STATE(3873),
    [sym_string_literal] = STATE(3222),
    [sym_null] = STATE(3672),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9333),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(3672),
    [sym_raw_string_literal] = STATE(3216),
    [sym_co_await_expression] = STATE(3672),
    [sym_new_expression] = STATE(3672),
    [sym_delete_expression] = STATE(3672),
    [sym_requires_clause] = STATE(3672),
    [sym_requires_expression] = STATE(3672),
    [sym_lambda_expression] = STATE(3672),
    [sym_lambda_capture_specifier] = STATE(7134),
    [sym_fold_expression] = STATE(3672),
    [sym_parameter_pack_expansion] = STATE(3672),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6886),
    [sym_qualified_identifier] = STATE(3672),
    [sym_qualified_type_identifier] = STATE(9333),
    [sym_user_defined_literal] = STATE(3672),
    [sym_identifier] = ACTIONS(3968),
    [anon_sym_LPAREN2] = ACTIONS(5184),
    [anon_sym_BANG] = ACTIONS(3922),
    [anon_sym_TILDE] = ACTIONS(3922),
    [anon_sym_DASH] = ACTIONS(3920),
    [anon_sym_PLUS] = ACTIONS(3920),
    [anon_sym_STAR] = ACTIONS(5186),
    [anon_sym_AMP] = ACTIONS(5186),
    [anon_sym_COLON_COLON] = ACTIONS(3924),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [sym_primitive_type] = ACTIONS(3928),
    [anon_sym_not] = ACTIONS(3920),
    [anon_sym_compl] = ACTIONS(3920),
    [anon_sym_DASH_DASH] = ACTIONS(5013),
    [anon_sym_PLUS_PLUS] = ACTIONS(5013),
    [anon_sym_sizeof] = ACTIONS(3930),
    [anon_sym___alignof__] = ACTIONS(3932),
    [anon_sym___alignof] = ACTIONS(3932),
    [anon_sym__alignof] = ACTIONS(3932),
    [anon_sym_alignof] = ACTIONS(3932),
    [anon_sym__Alignof] = ACTIONS(3932),
    [anon_sym_offsetof] = ACTIONS(3934),
    [anon_sym__Generic] = ACTIONS(3936),
    [anon_sym_asm] = ACTIONS(3938),
    [anon_sym___asm__] = ACTIONS(3938),
    [sym_number_literal] = ACTIONS(3940),
    [anon_sym_L_SQUOTE] = ACTIONS(3942),
    [anon_sym_u_SQUOTE] = ACTIONS(3942),
    [anon_sym_U_SQUOTE] = ACTIONS(3942),
    [anon_sym_u8_SQUOTE] = ACTIONS(3942),
    [anon_sym_SQUOTE] = ACTIONS(3942),
    [anon_sym_L_DQUOTE] = ACTIONS(3944),
    [anon_sym_u_DQUOTE] = ACTIONS(3944),
    [anon_sym_U_DQUOTE] = ACTIONS(3944),
    [anon_sym_u8_DQUOTE] = ACTIONS(3944),
    [anon_sym_DQUOTE] = ACTIONS(3944),
    [sym_true] = ACTIONS(3946),
    [sym_false] = ACTIONS(3946),
    [anon_sym_NULL] = ACTIONS(3948),
    [anon_sym_nullptr] = ACTIONS(3948),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(3950),
    [anon_sym_R_DQUOTE] = ACTIONS(3952),
    [anon_sym_LR_DQUOTE] = ACTIONS(3952),
    [anon_sym_uR_DQUOTE] = ACTIONS(3952),
    [anon_sym_UR_DQUOTE] = ACTIONS(3952),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3952),
    [anon_sym_co_await] = ACTIONS(3954),
    [anon_sym_new] = ACTIONS(3956),
    [anon_sym_requires] = ACTIONS(3958),
    [sym_this] = ACTIONS(3946),
  },
  [2118] = {
    [sym__expression] = STATE(4895),
    [sym__expression_not_binary] = STATE(5024),
    [sym__string] = STATE(5024),
    [sym_conditional_expression] = STATE(5024),
    [sym_assignment_expression] = STATE(5024),
    [sym_pointer_expression] = STATE(4031),
    [sym_unary_expression] = STATE(5024),
    [sym_binary_expression] = STATE(5024),
    [sym_update_expression] = STATE(5024),
    [sym_cast_expression] = STATE(5024),
    [sym_sizeof_expression] = STATE(5024),
    [sym_alignof_expression] = STATE(5024),
    [sym_offsetof_expression] = STATE(5024),
    [sym_generic_expression] = STATE(5024),
    [sym_subscript_expression] = STATE(4031),
    [sym_call_expression] = STATE(4031),
    [sym_gnu_asm_expression] = STATE(5024),
    [sym_field_expression] = STATE(4031),
    [sym_compound_literal_expression] = STATE(5024),
    [sym_parenthesized_expression] = STATE(4031),
    [sym_char_literal] = STATE(5335),
    [sym_concatenated_string] = STATE(5317),
    [sym_string_literal] = STATE(4163),
    [sym_null] = STATE(5024),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9352),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(5024),
    [sym_raw_string_literal] = STATE(4121),
    [sym_co_await_expression] = STATE(5024),
    [sym_new_expression] = STATE(5024),
    [sym_delete_expression] = STATE(5024),
    [sym_requires_clause] = STATE(5024),
    [sym_requires_expression] = STATE(5024),
    [sym_lambda_expression] = STATE(5024),
    [sym_lambda_capture_specifier] = STATE(7184),
    [sym_fold_expression] = STATE(5024),
    [sym_parameter_pack_expansion] = STATE(5024),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6886),
    [sym_qualified_identifier] = STATE(4031),
    [sym_qualified_type_identifier] = STATE(9352),
    [sym_user_defined_literal] = STATE(4031),
    [sym_identifier] = ACTIONS(5113),
    [anon_sym_LPAREN2] = ACTIONS(5212),
    [anon_sym_BANG] = ACTIONS(4409),
    [anon_sym_TILDE] = ACTIONS(4409),
    [anon_sym_DASH] = ACTIONS(4407),
    [anon_sym_PLUS] = ACTIONS(4407),
    [anon_sym_STAR] = ACTIONS(5186),
    [anon_sym_AMP] = ACTIONS(5186),
    [anon_sym_COLON_COLON] = ACTIONS(4411),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [sym_primitive_type] = ACTIONS(3146),
    [anon_sym_not] = ACTIONS(4407),
    [anon_sym_compl] = ACTIONS(4407),
    [anon_sym_DASH_DASH] = ACTIONS(5115),
    [anon_sym_PLUS_PLUS] = ACTIONS(5115),
    [anon_sym_sizeof] = ACTIONS(4415),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(4417),
    [anon_sym_L_SQUOTE] = ACTIONS(4419),
    [anon_sym_u_SQUOTE] = ACTIONS(4419),
    [anon_sym_U_SQUOTE] = ACTIONS(4419),
    [anon_sym_u8_SQUOTE] = ACTIONS(4419),
    [anon_sym_SQUOTE] = ACTIONS(4419),
    [anon_sym_L_DQUOTE] = ACTIONS(4247),
    [anon_sym_u_DQUOTE] = ACTIONS(4247),
    [anon_sym_U_DQUOTE] = ACTIONS(4247),
    [anon_sym_u8_DQUOTE] = ACTIONS(4247),
    [anon_sym_DQUOTE] = ACTIONS(4247),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(4421),
    [anon_sym_R_DQUOTE] = ACTIONS(4249),
    [anon_sym_LR_DQUOTE] = ACTIONS(4249),
    [anon_sym_uR_DQUOTE] = ACTIONS(4249),
    [anon_sym_UR_DQUOTE] = ACTIONS(4249),
    [anon_sym_u8R_DQUOTE] = ACTIONS(4249),
    [anon_sym_co_await] = ACTIONS(4423),
    [anon_sym_new] = ACTIONS(4425),
    [anon_sym_requires] = ACTIONS(4427),
    [sym_this] = ACTIONS(221),
  },
  [2119] = {
    [sym__expression] = STATE(5257),
    [sym__expression_not_binary] = STATE(5024),
    [sym__string] = STATE(5024),
    [sym_conditional_expression] = STATE(5024),
    [sym_assignment_expression] = STATE(5024),
    [sym_pointer_expression] = STATE(4031),
    [sym_unary_expression] = STATE(5024),
    [sym_binary_expression] = STATE(5024),
    [sym_update_expression] = STATE(5024),
    [sym_cast_expression] = STATE(5024),
    [sym_sizeof_expression] = STATE(5024),
    [sym_alignof_expression] = STATE(5024),
    [sym_offsetof_expression] = STATE(5024),
    [sym_generic_expression] = STATE(5024),
    [sym_subscript_expression] = STATE(4031),
    [sym_call_expression] = STATE(4031),
    [sym_gnu_asm_expression] = STATE(5024),
    [sym_field_expression] = STATE(4031),
    [sym_compound_literal_expression] = STATE(5024),
    [sym_parenthesized_expression] = STATE(4031),
    [sym_char_literal] = STATE(5335),
    [sym_concatenated_string] = STATE(5317),
    [sym_string_literal] = STATE(4163),
    [sym_null] = STATE(5024),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9352),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(5024),
    [sym_raw_string_literal] = STATE(4121),
    [sym_co_await_expression] = STATE(5024),
    [sym_new_expression] = STATE(5024),
    [sym_delete_expression] = STATE(5024),
    [sym_requires_clause] = STATE(5024),
    [sym_requires_expression] = STATE(5024),
    [sym_lambda_expression] = STATE(5024),
    [sym_lambda_capture_specifier] = STATE(7184),
    [sym_fold_expression] = STATE(5024),
    [sym_parameter_pack_expansion] = STATE(5024),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6886),
    [sym_qualified_identifier] = STATE(4031),
    [sym_qualified_type_identifier] = STATE(9352),
    [sym_user_defined_literal] = STATE(4031),
    [sym_identifier] = ACTIONS(5113),
    [anon_sym_LPAREN2] = ACTIONS(5212),
    [anon_sym_BANG] = ACTIONS(4409),
    [anon_sym_TILDE] = ACTIONS(4409),
    [anon_sym_DASH] = ACTIONS(4407),
    [anon_sym_PLUS] = ACTIONS(4407),
    [anon_sym_STAR] = ACTIONS(5186),
    [anon_sym_AMP] = ACTIONS(5186),
    [anon_sym_COLON_COLON] = ACTIONS(4411),
    [anon_sym_LBRACK] = ACTIONS(5491),
    [sym_primitive_type] = ACTIONS(3146),
    [anon_sym_not] = ACTIONS(4407),
    [anon_sym_compl] = ACTIONS(4407),
    [anon_sym_DASH_DASH] = ACTIONS(5115),
    [anon_sym_PLUS_PLUS] = ACTIONS(5115),
    [anon_sym_sizeof] = ACTIONS(4415),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(4417),
    [anon_sym_L_SQUOTE] = ACTIONS(4419),
    [anon_sym_u_SQUOTE] = ACTIONS(4419),
    [anon_sym_U_SQUOTE] = ACTIONS(4419),
    [anon_sym_u8_SQUOTE] = ACTIONS(4419),
    [anon_sym_SQUOTE] = ACTIONS(4419),
    [anon_sym_L_DQUOTE] = ACTIONS(4247),
    [anon_sym_u_DQUOTE] = ACTIONS(4247),
    [anon_sym_U_DQUOTE] = ACTIONS(4247),
    [anon_sym_u8_DQUOTE] = ACTIONS(4247),
    [anon_sym_DQUOTE] = ACTIONS(4247),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(4421),
    [anon_sym_R_DQUOTE] = ACTIONS(4249),
    [anon_sym_LR_DQUOTE] = ACTIONS(4249),
    [anon_sym_uR_DQUOTE] = ACTIONS(4249),
    [anon_sym_UR_DQUOTE] = ACTIONS(4249),
    [anon_sym_u8R_DQUOTE] = ACTIONS(4249),
    [anon_sym_co_await] = ACTIONS(4423),
    [anon_sym_new] = ACTIONS(4425),
    [anon_sym_requires] = ACTIONS(4427),
    [sym_this] = ACTIONS(221),
  },
  [2120] = {
    [sym__expression] = STATE(5748),
    [sym__expression_not_binary] = STATE(6001),
    [sym__string] = STATE(6001),
    [sym_conditional_expression] = STATE(6001),
    [sym_assignment_expression] = STATE(6001),
    [sym_pointer_expression] = STATE(4807),
    [sym_unary_expression] = STATE(6001),
    [sym_binary_expression] = STATE(6001),
    [sym_update_expression] = STATE(6001),
    [sym_cast_expression] = STATE(6001),
    [sym_sizeof_expression] = STATE(6001),
    [sym_alignof_expression] = STATE(6001),
    [sym_offsetof_expression] = STATE(6001),
    [sym_generic_expression] = STATE(6001),
    [sym_subscript_expression] = STATE(4807),
    [sym_call_expression] = STATE(4807),
    [sym_gnu_asm_expression] = STATE(6001),
    [sym_field_expression] = STATE(4807),
    [sym_compound_literal_expression] = STATE(6001),
    [sym_parenthesized_expression] = STATE(4807),
    [sym_char_literal] = STATE(5842),
    [sym_concatenated_string] = STATE(5845),
    [sym_string_literal] = STATE(4864),
    [sym_null] = STATE(6001),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(8975),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(6001),
    [sym_raw_string_literal] = STATE(4865),
    [sym_co_await_expression] = STATE(6001),
    [sym_new_expression] = STATE(6001),
    [sym_delete_expression] = STATE(6001),
    [sym_requires_clause] = STATE(6001),
    [sym_requires_expression] = STATE(6001),
    [sym_lambda_expression] = STATE(6001),
    [sym_lambda_capture_specifier] = STATE(7123),
    [sym_fold_expression] = STATE(6001),
    [sym_parameter_pack_expansion] = STATE(6001),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6932),
    [sym_qualified_identifier] = STATE(4807),
    [sym_qualified_type_identifier] = STATE(8975),
    [sym_user_defined_literal] = STATE(4807),
    [sym_identifier] = ACTIONS(4532),
    [anon_sym_LPAREN2] = ACTIONS(4255),
    [anon_sym_BANG] = ACTIONS(4257),
    [anon_sym_TILDE] = ACTIONS(4257),
    [anon_sym_DASH] = ACTIONS(4259),
    [anon_sym_PLUS] = ACTIONS(4259),
    [anon_sym_STAR] = ACTIONS(4261),
    [anon_sym_AMP] = ACTIONS(4261),
    [anon_sym_COLON_COLON] = ACTIONS(4263),
    [anon_sym_LBRACK] = ACTIONS(5493),
    [sym_primitive_type] = ACTIONS(4536),
    [anon_sym_not] = ACTIONS(4259),
    [anon_sym_compl] = ACTIONS(4259),
    [anon_sym_DASH_DASH] = ACTIONS(4277),
    [anon_sym_PLUS_PLUS] = ACTIONS(4277),
    [anon_sym_sizeof] = ACTIONS(4279),
    [anon_sym___alignof__] = ACTIONS(4281),
    [anon_sym___alignof] = ACTIONS(4281),
    [anon_sym__alignof] = ACTIONS(4281),
    [anon_sym_alignof] = ACTIONS(4281),
    [anon_sym__Alignof] = ACTIONS(4281),
    [anon_sym_offsetof] = ACTIONS(4283),
    [anon_sym__Generic] = ACTIONS(4285),
    [anon_sym_asm] = ACTIONS(4287),
    [anon_sym___asm__] = ACTIONS(4287),
    [sym_number_literal] = ACTIONS(4289),
    [anon_sym_L_SQUOTE] = ACTIONS(4291),
    [anon_sym_u_SQUOTE] = ACTIONS(4291),
    [anon_sym_U_SQUOTE] = ACTIONS(4291),
    [anon_sym_u8_SQUOTE] = ACTIONS(4291),
    [anon_sym_SQUOTE] = ACTIONS(4291),
    [anon_sym_L_DQUOTE] = ACTIONS(4293),
    [anon_sym_u_DQUOTE] = ACTIONS(4293),
    [anon_sym_U_DQUOTE] = ACTIONS(4293),
    [anon_sym_u8_DQUOTE] = ACTIONS(4293),
    [anon_sym_DQUOTE] = ACTIONS(4293),
    [sym_true] = ACTIONS(4295),
    [sym_false] = ACTIONS(4295),
    [anon_sym_NULL] = ACTIONS(4297),
    [anon_sym_nullptr] = ACTIONS(4297),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(4307),
    [anon_sym_R_DQUOTE] = ACTIONS(4309),
    [anon_sym_LR_DQUOTE] = ACTIONS(4309),
    [anon_sym_uR_DQUOTE] = ACTIONS(4309),
    [anon_sym_UR_DQUOTE] = ACTIONS(4309),
    [anon_sym_u8R_DQUOTE] = ACTIONS(4309),
    [anon_sym_co_await] = ACTIONS(4311),
    [anon_sym_new] = ACTIONS(4313),
    [anon_sym_requires] = ACTIONS(4315),
    [sym_this] = ACTIONS(4295),
  },
  [2121] = {
    [sym__expression] = STATE(5253),
    [sym__expression_not_binary] = STATE(5024),
    [sym__string] = STATE(5024),
    [sym_conditional_expression] = STATE(5024),
    [sym_assignment_expression] = STATE(5024),
    [sym_pointer_expression] = STATE(4031),
    [sym_unary_expression] = STATE(5024),
    [sym_binary_expression] = STATE(5024),
    [sym_update_expression] = STATE(5024),
    [sym_cast_expression] = STATE(5024),
    [sym_sizeof_expression] = STATE(5024),
    [sym_alignof_expression] = STATE(5024),
    [sym_offsetof_expression] = STATE(5024),
    [sym_generic_expression] = STATE(5024),
    [sym_subscript_expression] = STATE(4031),
    [sym_call_expression] = STATE(4031),
    [sym_gnu_asm_expression] = STATE(5024),
    [sym_field_expression] = STATE(4031),
    [sym_compound_literal_expression] = STATE(5024),
    [sym_parenthesized_expression] = STATE(4031),
    [sym_char_literal] = STATE(5335),
    [sym_concatenated_string] = STATE(5317),
    [sym_string_literal] = STATE(4163),
    [sym_null] = STATE(5024),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9352),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(5024),
    [sym_raw_string_literal] = STATE(4121),
    [sym_co_await_expression] = STATE(5024),
    [sym_new_expression] = STATE(5024),
    [sym_delete_expression] = STATE(5024),
    [sym_requires_clause] = STATE(5024),
    [sym_requires_expression] = STATE(5024),
    [sym_lambda_expression] = STATE(5024),
    [sym_lambda_capture_specifier] = STATE(7184),
    [sym_fold_expression] = STATE(5024),
    [sym_parameter_pack_expansion] = STATE(5024),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6886),
    [sym_qualified_identifier] = STATE(4031),
    [sym_qualified_type_identifier] = STATE(9352),
    [sym_user_defined_literal] = STATE(4031),
    [sym_identifier] = ACTIONS(5113),
    [anon_sym_LPAREN2] = ACTIONS(5212),
    [anon_sym_BANG] = ACTIONS(4409),
    [anon_sym_TILDE] = ACTIONS(4409),
    [anon_sym_DASH] = ACTIONS(4407),
    [anon_sym_PLUS] = ACTIONS(4407),
    [anon_sym_STAR] = ACTIONS(5186),
    [anon_sym_AMP] = ACTIONS(5186),
    [anon_sym_COLON_COLON] = ACTIONS(4411),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [sym_primitive_type] = ACTIONS(3146),
    [anon_sym_not] = ACTIONS(4407),
    [anon_sym_compl] = ACTIONS(4407),
    [anon_sym_DASH_DASH] = ACTIONS(5115),
    [anon_sym_PLUS_PLUS] = ACTIONS(5115),
    [anon_sym_sizeof] = ACTIONS(4415),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(4417),
    [anon_sym_L_SQUOTE] = ACTIONS(4419),
    [anon_sym_u_SQUOTE] = ACTIONS(4419),
    [anon_sym_U_SQUOTE] = ACTIONS(4419),
    [anon_sym_u8_SQUOTE] = ACTIONS(4419),
    [anon_sym_SQUOTE] = ACTIONS(4419),
    [anon_sym_L_DQUOTE] = ACTIONS(4247),
    [anon_sym_u_DQUOTE] = ACTIONS(4247),
    [anon_sym_U_DQUOTE] = ACTIONS(4247),
    [anon_sym_u8_DQUOTE] = ACTIONS(4247),
    [anon_sym_DQUOTE] = ACTIONS(4247),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(4421),
    [anon_sym_R_DQUOTE] = ACTIONS(4249),
    [anon_sym_LR_DQUOTE] = ACTIONS(4249),
    [anon_sym_uR_DQUOTE] = ACTIONS(4249),
    [anon_sym_UR_DQUOTE] = ACTIONS(4249),
    [anon_sym_u8R_DQUOTE] = ACTIONS(4249),
    [anon_sym_co_await] = ACTIONS(4423),
    [anon_sym_new] = ACTIONS(4425),
    [anon_sym_requires] = ACTIONS(4427),
    [sym_this] = ACTIONS(221),
  },
  [2122] = {
    [sym__expression] = STATE(5858),
    [sym__expression_not_binary] = STATE(5024),
    [sym__string] = STATE(5024),
    [sym_conditional_expression] = STATE(5024),
    [sym_assignment_expression] = STATE(5024),
    [sym_pointer_expression] = STATE(4507),
    [sym_unary_expression] = STATE(5024),
    [sym_binary_expression] = STATE(5024),
    [sym_update_expression] = STATE(5024),
    [sym_cast_expression] = STATE(5024),
    [sym_sizeof_expression] = STATE(5024),
    [sym_alignof_expression] = STATE(5024),
    [sym_offsetof_expression] = STATE(5024),
    [sym_generic_expression] = STATE(5024),
    [sym_subscript_expression] = STATE(4507),
    [sym_call_expression] = STATE(4507),
    [sym_gnu_asm_expression] = STATE(5024),
    [sym_field_expression] = STATE(4507),
    [sym_compound_literal_expression] = STATE(5024),
    [sym_parenthesized_expression] = STATE(4507),
    [sym_char_literal] = STATE(5374),
    [sym_concatenated_string] = STATE(5377),
    [sym_string_literal] = STATE(4206),
    [sym_null] = STATE(5024),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9352),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(5024),
    [sym_raw_string_literal] = STATE(4217),
    [sym_co_await_expression] = STATE(5024),
    [sym_new_expression] = STATE(5024),
    [sym_delete_expression] = STATE(5024),
    [sym_requires_clause] = STATE(5024),
    [sym_requires_expression] = STATE(5024),
    [sym_lambda_expression] = STATE(5024),
    [sym_lambda_capture_specifier] = STATE(7184),
    [sym_fold_expression] = STATE(5024),
    [sym_parameter_pack_expansion] = STATE(5024),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6886),
    [sym_qualified_identifier] = STATE(4507),
    [sym_qualified_type_identifier] = STATE(9352),
    [sym_user_defined_literal] = STATE(4507),
    [sym_identifier] = ACTIONS(3140),
    [anon_sym_LPAREN2] = ACTIONS(1472),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1474),
    [anon_sym_AMP] = ACTIONS(1474),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [sym_primitive_type] = ACTIONS(3146),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [2123] = {
    [sym__expression] = STATE(5859),
    [sym__expression_not_binary] = STATE(5024),
    [sym__string] = STATE(5024),
    [sym_conditional_expression] = STATE(5024),
    [sym_assignment_expression] = STATE(5024),
    [sym_pointer_expression] = STATE(4507),
    [sym_unary_expression] = STATE(5024),
    [sym_binary_expression] = STATE(5024),
    [sym_update_expression] = STATE(5024),
    [sym_cast_expression] = STATE(5024),
    [sym_sizeof_expression] = STATE(5024),
    [sym_alignof_expression] = STATE(5024),
    [sym_offsetof_expression] = STATE(5024),
    [sym_generic_expression] = STATE(5024),
    [sym_subscript_expression] = STATE(4507),
    [sym_call_expression] = STATE(4507),
    [sym_gnu_asm_expression] = STATE(5024),
    [sym_field_expression] = STATE(4507),
    [sym_compound_literal_expression] = STATE(5024),
    [sym_parenthesized_expression] = STATE(4507),
    [sym_char_literal] = STATE(5374),
    [sym_concatenated_string] = STATE(5377),
    [sym_string_literal] = STATE(4206),
    [sym_null] = STATE(5024),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9352),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(5024),
    [sym_raw_string_literal] = STATE(4217),
    [sym_co_await_expression] = STATE(5024),
    [sym_new_expression] = STATE(5024),
    [sym_delete_expression] = STATE(5024),
    [sym_requires_clause] = STATE(5024),
    [sym_requires_expression] = STATE(5024),
    [sym_lambda_expression] = STATE(5024),
    [sym_lambda_capture_specifier] = STATE(7184),
    [sym_fold_expression] = STATE(5024),
    [sym_parameter_pack_expansion] = STATE(5024),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6886),
    [sym_qualified_identifier] = STATE(4507),
    [sym_qualified_type_identifier] = STATE(9352),
    [sym_user_defined_literal] = STATE(4507),
    [sym_identifier] = ACTIONS(3140),
    [anon_sym_LPAREN2] = ACTIONS(1472),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1474),
    [anon_sym_AMP] = ACTIONS(1474),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [sym_primitive_type] = ACTIONS(3146),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [2124] = {
    [sym__expression] = STATE(5251),
    [sym__expression_not_binary] = STATE(5024),
    [sym__string] = STATE(5024),
    [sym_conditional_expression] = STATE(5024),
    [sym_assignment_expression] = STATE(5024),
    [sym_pointer_expression] = STATE(4031),
    [sym_unary_expression] = STATE(5024),
    [sym_binary_expression] = STATE(5024),
    [sym_update_expression] = STATE(5024),
    [sym_cast_expression] = STATE(5024),
    [sym_sizeof_expression] = STATE(5024),
    [sym_alignof_expression] = STATE(5024),
    [sym_offsetof_expression] = STATE(5024),
    [sym_generic_expression] = STATE(5024),
    [sym_subscript_expression] = STATE(4031),
    [sym_call_expression] = STATE(4031),
    [sym_gnu_asm_expression] = STATE(5024),
    [sym_field_expression] = STATE(4031),
    [sym_compound_literal_expression] = STATE(5024),
    [sym_parenthesized_expression] = STATE(4031),
    [sym_char_literal] = STATE(5335),
    [sym_concatenated_string] = STATE(5317),
    [sym_string_literal] = STATE(4163),
    [sym_null] = STATE(5024),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9352),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(5024),
    [sym_raw_string_literal] = STATE(4121),
    [sym_co_await_expression] = STATE(5024),
    [sym_new_expression] = STATE(5024),
    [sym_delete_expression] = STATE(5024),
    [sym_requires_clause] = STATE(5024),
    [sym_requires_expression] = STATE(5024),
    [sym_lambda_expression] = STATE(5024),
    [sym_lambda_capture_specifier] = STATE(7184),
    [sym_fold_expression] = STATE(5024),
    [sym_parameter_pack_expansion] = STATE(5024),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6886),
    [sym_qualified_identifier] = STATE(4031),
    [sym_qualified_type_identifier] = STATE(9352),
    [sym_user_defined_literal] = STATE(4031),
    [sym_identifier] = ACTIONS(5113),
    [anon_sym_LPAREN2] = ACTIONS(5212),
    [anon_sym_BANG] = ACTIONS(4409),
    [anon_sym_TILDE] = ACTIONS(4409),
    [anon_sym_DASH] = ACTIONS(4407),
    [anon_sym_PLUS] = ACTIONS(4407),
    [anon_sym_STAR] = ACTIONS(5186),
    [anon_sym_AMP] = ACTIONS(5186),
    [anon_sym_COLON_COLON] = ACTIONS(4411),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [sym_primitive_type] = ACTIONS(3146),
    [anon_sym_not] = ACTIONS(4407),
    [anon_sym_compl] = ACTIONS(4407),
    [anon_sym_DASH_DASH] = ACTIONS(5115),
    [anon_sym_PLUS_PLUS] = ACTIONS(5115),
    [anon_sym_sizeof] = ACTIONS(4415),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(4417),
    [anon_sym_L_SQUOTE] = ACTIONS(4419),
    [anon_sym_u_SQUOTE] = ACTIONS(4419),
    [anon_sym_U_SQUOTE] = ACTIONS(4419),
    [anon_sym_u8_SQUOTE] = ACTIONS(4419),
    [anon_sym_SQUOTE] = ACTIONS(4419),
    [anon_sym_L_DQUOTE] = ACTIONS(4247),
    [anon_sym_u_DQUOTE] = ACTIONS(4247),
    [anon_sym_U_DQUOTE] = ACTIONS(4247),
    [anon_sym_u8_DQUOTE] = ACTIONS(4247),
    [anon_sym_DQUOTE] = ACTIONS(4247),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(4421),
    [anon_sym_R_DQUOTE] = ACTIONS(4249),
    [anon_sym_LR_DQUOTE] = ACTIONS(4249),
    [anon_sym_uR_DQUOTE] = ACTIONS(4249),
    [anon_sym_UR_DQUOTE] = ACTIONS(4249),
    [anon_sym_u8R_DQUOTE] = ACTIONS(4249),
    [anon_sym_co_await] = ACTIONS(4423),
    [anon_sym_new] = ACTIONS(4425),
    [anon_sym_requires] = ACTIONS(4427),
    [sym_this] = ACTIONS(221),
  },
  [2125] = {
    [sym__expression] = STATE(4940),
    [sym__expression_not_binary] = STATE(5024),
    [sym__string] = STATE(5024),
    [sym_conditional_expression] = STATE(5024),
    [sym_assignment_expression] = STATE(5024),
    [sym_pointer_expression] = STATE(4031),
    [sym_unary_expression] = STATE(5024),
    [sym_binary_expression] = STATE(5024),
    [sym_update_expression] = STATE(5024),
    [sym_cast_expression] = STATE(5024),
    [sym_sizeof_expression] = STATE(5024),
    [sym_alignof_expression] = STATE(5024),
    [sym_offsetof_expression] = STATE(5024),
    [sym_generic_expression] = STATE(5024),
    [sym_subscript_expression] = STATE(4031),
    [sym_call_expression] = STATE(4031),
    [sym_gnu_asm_expression] = STATE(5024),
    [sym_field_expression] = STATE(4031),
    [sym_compound_literal_expression] = STATE(5024),
    [sym_parenthesized_expression] = STATE(4031),
    [sym_char_literal] = STATE(5335),
    [sym_concatenated_string] = STATE(5317),
    [sym_string_literal] = STATE(4163),
    [sym_null] = STATE(5024),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9352),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(5024),
    [sym_raw_string_literal] = STATE(4121),
    [sym_co_await_expression] = STATE(5024),
    [sym_new_expression] = STATE(5024),
    [sym_delete_expression] = STATE(5024),
    [sym_requires_clause] = STATE(5024),
    [sym_requires_expression] = STATE(5024),
    [sym_lambda_expression] = STATE(5024),
    [sym_lambda_capture_specifier] = STATE(7184),
    [sym_fold_expression] = STATE(5024),
    [sym_parameter_pack_expansion] = STATE(5024),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6886),
    [sym_qualified_identifier] = STATE(4031),
    [sym_qualified_type_identifier] = STATE(9352),
    [sym_user_defined_literal] = STATE(4031),
    [sym_identifier] = ACTIONS(5113),
    [anon_sym_LPAREN2] = ACTIONS(5212),
    [anon_sym_BANG] = ACTIONS(4409),
    [anon_sym_TILDE] = ACTIONS(4409),
    [anon_sym_DASH] = ACTIONS(4407),
    [anon_sym_PLUS] = ACTIONS(4407),
    [anon_sym_STAR] = ACTIONS(5186),
    [anon_sym_AMP] = ACTIONS(5186),
    [anon_sym_COLON_COLON] = ACTIONS(4411),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [sym_primitive_type] = ACTIONS(3146),
    [anon_sym_not] = ACTIONS(4407),
    [anon_sym_compl] = ACTIONS(4407),
    [anon_sym_DASH_DASH] = ACTIONS(5115),
    [anon_sym_PLUS_PLUS] = ACTIONS(5115),
    [anon_sym_sizeof] = ACTIONS(4415),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(4417),
    [anon_sym_L_SQUOTE] = ACTIONS(4419),
    [anon_sym_u_SQUOTE] = ACTIONS(4419),
    [anon_sym_U_SQUOTE] = ACTIONS(4419),
    [anon_sym_u8_SQUOTE] = ACTIONS(4419),
    [anon_sym_SQUOTE] = ACTIONS(4419),
    [anon_sym_L_DQUOTE] = ACTIONS(4247),
    [anon_sym_u_DQUOTE] = ACTIONS(4247),
    [anon_sym_U_DQUOTE] = ACTIONS(4247),
    [anon_sym_u8_DQUOTE] = ACTIONS(4247),
    [anon_sym_DQUOTE] = ACTIONS(4247),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(4421),
    [anon_sym_R_DQUOTE] = ACTIONS(4249),
    [anon_sym_LR_DQUOTE] = ACTIONS(4249),
    [anon_sym_uR_DQUOTE] = ACTIONS(4249),
    [anon_sym_UR_DQUOTE] = ACTIONS(4249),
    [anon_sym_u8R_DQUOTE] = ACTIONS(4249),
    [anon_sym_co_await] = ACTIONS(4423),
    [anon_sym_new] = ACTIONS(4425),
    [anon_sym_requires] = ACTIONS(4427),
    [sym_this] = ACTIONS(221),
  },
  [2126] = {
    [sym__expression] = STATE(4348),
    [sym__expression_not_binary] = STATE(3672),
    [sym__string] = STATE(3672),
    [sym_conditional_expression] = STATE(3672),
    [sym_assignment_expression] = STATE(3672),
    [sym_pointer_expression] = STATE(3672),
    [sym_unary_expression] = STATE(3672),
    [sym_binary_expression] = STATE(3672),
    [sym_update_expression] = STATE(3672),
    [sym_cast_expression] = STATE(3672),
    [sym_sizeof_expression] = STATE(3672),
    [sym_alignof_expression] = STATE(3672),
    [sym_offsetof_expression] = STATE(3672),
    [sym_generic_expression] = STATE(3672),
    [sym_subscript_expression] = STATE(3672),
    [sym_call_expression] = STATE(3672),
    [sym_gnu_asm_expression] = STATE(3672),
    [sym_field_expression] = STATE(3672),
    [sym_compound_literal_expression] = STATE(3672),
    [sym_parenthesized_expression] = STATE(3672),
    [sym_char_literal] = STATE(4466),
    [sym_concatenated_string] = STATE(4465),
    [sym_string_literal] = STATE(3395),
    [sym_null] = STATE(3672),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9333),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(3672),
    [sym_raw_string_literal] = STATE(3400),
    [sym_co_await_expression] = STATE(3672),
    [sym_new_expression] = STATE(3672),
    [sym_delete_expression] = STATE(3672),
    [sym_requires_clause] = STATE(3672),
    [sym_requires_expression] = STATE(3672),
    [sym_lambda_expression] = STATE(3672),
    [sym_lambda_capture_specifier] = STATE(7134),
    [sym_fold_expression] = STATE(3672),
    [sym_parameter_pack_expansion] = STATE(3672),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6886),
    [sym_qualified_identifier] = STATE(3672),
    [sym_qualified_type_identifier] = STATE(9333),
    [sym_user_defined_literal] = STATE(3672),
    [sym_identifier] = ACTIONS(4070),
    [anon_sym_LPAREN2] = ACTIONS(5257),
    [anon_sym_BANG] = ACTIONS(4074),
    [anon_sym_TILDE] = ACTIONS(4074),
    [anon_sym_DASH] = ACTIONS(4072),
    [anon_sym_PLUS] = ACTIONS(4072),
    [anon_sym_STAR] = ACTIONS(5017),
    [anon_sym_AMP] = ACTIONS(5017),
    [anon_sym_COLON_COLON] = ACTIONS(4076),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [sym_primitive_type] = ACTIONS(3928),
    [anon_sym_not] = ACTIONS(4072),
    [anon_sym_compl] = ACTIONS(4072),
    [anon_sym_DASH_DASH] = ACTIONS(5043),
    [anon_sym_PLUS_PLUS] = ACTIONS(5043),
    [anon_sym_sizeof] = ACTIONS(4078),
    [anon_sym___alignof__] = ACTIONS(3932),
    [anon_sym___alignof] = ACTIONS(3932),
    [anon_sym__alignof] = ACTIONS(3932),
    [anon_sym_alignof] = ACTIONS(3932),
    [anon_sym__Alignof] = ACTIONS(3932),
    [anon_sym_offsetof] = ACTIONS(3934),
    [anon_sym__Generic] = ACTIONS(3936),
    [anon_sym_asm] = ACTIONS(3938),
    [anon_sym___asm__] = ACTIONS(3938),
    [sym_number_literal] = ACTIONS(4080),
    [anon_sym_L_SQUOTE] = ACTIONS(4082),
    [anon_sym_u_SQUOTE] = ACTIONS(4082),
    [anon_sym_U_SQUOTE] = ACTIONS(4082),
    [anon_sym_u8_SQUOTE] = ACTIONS(4082),
    [anon_sym_SQUOTE] = ACTIONS(4082),
    [anon_sym_L_DQUOTE] = ACTIONS(4084),
    [anon_sym_u_DQUOTE] = ACTIONS(4084),
    [anon_sym_U_DQUOTE] = ACTIONS(4084),
    [anon_sym_u8_DQUOTE] = ACTIONS(4084),
    [anon_sym_DQUOTE] = ACTIONS(4084),
    [sym_true] = ACTIONS(3946),
    [sym_false] = ACTIONS(3946),
    [anon_sym_NULL] = ACTIONS(3948),
    [anon_sym_nullptr] = ACTIONS(3948),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(4086),
    [anon_sym_R_DQUOTE] = ACTIONS(4088),
    [anon_sym_LR_DQUOTE] = ACTIONS(4088),
    [anon_sym_uR_DQUOTE] = ACTIONS(4088),
    [anon_sym_UR_DQUOTE] = ACTIONS(4088),
    [anon_sym_u8R_DQUOTE] = ACTIONS(4088),
    [anon_sym_co_await] = ACTIONS(4090),
    [anon_sym_new] = ACTIONS(3990),
    [anon_sym_requires] = ACTIONS(3958),
    [sym_this] = ACTIONS(3946),
  },
  [2127] = {
    [sym__expression] = STATE(5283),
    [sym__expression_not_binary] = STATE(5024),
    [sym__string] = STATE(5024),
    [sym_conditional_expression] = STATE(5024),
    [sym_assignment_expression] = STATE(5024),
    [sym_pointer_expression] = STATE(4031),
    [sym_unary_expression] = STATE(5024),
    [sym_binary_expression] = STATE(5024),
    [sym_update_expression] = STATE(5024),
    [sym_cast_expression] = STATE(5024),
    [sym_sizeof_expression] = STATE(5024),
    [sym_alignof_expression] = STATE(5024),
    [sym_offsetof_expression] = STATE(5024),
    [sym_generic_expression] = STATE(5024),
    [sym_subscript_expression] = STATE(4031),
    [sym_call_expression] = STATE(4031),
    [sym_gnu_asm_expression] = STATE(5024),
    [sym_field_expression] = STATE(4031),
    [sym_compound_literal_expression] = STATE(5024),
    [sym_parenthesized_expression] = STATE(4031),
    [sym_char_literal] = STATE(5335),
    [sym_concatenated_string] = STATE(5317),
    [sym_string_literal] = STATE(4163),
    [sym_null] = STATE(5024),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9352),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(5024),
    [sym_raw_string_literal] = STATE(4121),
    [sym_co_await_expression] = STATE(5024),
    [sym_new_expression] = STATE(5024),
    [sym_delete_expression] = STATE(5024),
    [sym_requires_clause] = STATE(5024),
    [sym_requires_expression] = STATE(5024),
    [sym_lambda_expression] = STATE(5024),
    [sym_lambda_capture_specifier] = STATE(7184),
    [sym_fold_expression] = STATE(5024),
    [sym_parameter_pack_expansion] = STATE(5024),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6886),
    [sym_qualified_identifier] = STATE(4031),
    [sym_qualified_type_identifier] = STATE(9352),
    [sym_user_defined_literal] = STATE(4031),
    [sym_identifier] = ACTIONS(5113),
    [anon_sym_LPAREN2] = ACTIONS(5212),
    [anon_sym_BANG] = ACTIONS(4409),
    [anon_sym_TILDE] = ACTIONS(4409),
    [anon_sym_DASH] = ACTIONS(4407),
    [anon_sym_PLUS] = ACTIONS(4407),
    [anon_sym_STAR] = ACTIONS(5186),
    [anon_sym_AMP] = ACTIONS(5186),
    [anon_sym_COLON_COLON] = ACTIONS(4411),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [sym_primitive_type] = ACTIONS(3146),
    [anon_sym_not] = ACTIONS(4407),
    [anon_sym_compl] = ACTIONS(4407),
    [anon_sym_DASH_DASH] = ACTIONS(5115),
    [anon_sym_PLUS_PLUS] = ACTIONS(5115),
    [anon_sym_sizeof] = ACTIONS(4415),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(4417),
    [anon_sym_L_SQUOTE] = ACTIONS(4419),
    [anon_sym_u_SQUOTE] = ACTIONS(4419),
    [anon_sym_U_SQUOTE] = ACTIONS(4419),
    [anon_sym_u8_SQUOTE] = ACTIONS(4419),
    [anon_sym_SQUOTE] = ACTIONS(4419),
    [anon_sym_L_DQUOTE] = ACTIONS(4247),
    [anon_sym_u_DQUOTE] = ACTIONS(4247),
    [anon_sym_U_DQUOTE] = ACTIONS(4247),
    [anon_sym_u8_DQUOTE] = ACTIONS(4247),
    [anon_sym_DQUOTE] = ACTIONS(4247),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(4421),
    [anon_sym_R_DQUOTE] = ACTIONS(4249),
    [anon_sym_LR_DQUOTE] = ACTIONS(4249),
    [anon_sym_uR_DQUOTE] = ACTIONS(4249),
    [anon_sym_UR_DQUOTE] = ACTIONS(4249),
    [anon_sym_u8R_DQUOTE] = ACTIONS(4249),
    [anon_sym_co_await] = ACTIONS(4423),
    [anon_sym_new] = ACTIONS(4425),
    [anon_sym_requires] = ACTIONS(4427),
    [sym_this] = ACTIONS(221),
  },
  [2128] = {
    [sym__expression] = STATE(5747),
    [sym__expression_not_binary] = STATE(6001),
    [sym__string] = STATE(6001),
    [sym_conditional_expression] = STATE(6001),
    [sym_assignment_expression] = STATE(6001),
    [sym_pointer_expression] = STATE(4807),
    [sym_unary_expression] = STATE(6001),
    [sym_binary_expression] = STATE(6001),
    [sym_update_expression] = STATE(6001),
    [sym_cast_expression] = STATE(6001),
    [sym_sizeof_expression] = STATE(6001),
    [sym_alignof_expression] = STATE(6001),
    [sym_offsetof_expression] = STATE(6001),
    [sym_generic_expression] = STATE(6001),
    [sym_subscript_expression] = STATE(4807),
    [sym_call_expression] = STATE(4807),
    [sym_gnu_asm_expression] = STATE(6001),
    [sym_field_expression] = STATE(4807),
    [sym_compound_literal_expression] = STATE(6001),
    [sym_parenthesized_expression] = STATE(4807),
    [sym_char_literal] = STATE(5842),
    [sym_concatenated_string] = STATE(5845),
    [sym_string_literal] = STATE(4864),
    [sym_null] = STATE(6001),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(8975),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(6001),
    [sym_raw_string_literal] = STATE(4865),
    [sym_co_await_expression] = STATE(6001),
    [sym_new_expression] = STATE(6001),
    [sym_delete_expression] = STATE(6001),
    [sym_requires_clause] = STATE(6001),
    [sym_requires_expression] = STATE(6001),
    [sym_lambda_expression] = STATE(6001),
    [sym_lambda_capture_specifier] = STATE(7123),
    [sym_fold_expression] = STATE(6001),
    [sym_parameter_pack_expansion] = STATE(6001),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6932),
    [sym_qualified_identifier] = STATE(4807),
    [sym_qualified_type_identifier] = STATE(8975),
    [sym_user_defined_literal] = STATE(4807),
    [sym_identifier] = ACTIONS(4532),
    [anon_sym_LPAREN2] = ACTIONS(4255),
    [anon_sym_BANG] = ACTIONS(4257),
    [anon_sym_TILDE] = ACTIONS(4257),
    [anon_sym_DASH] = ACTIONS(4259),
    [anon_sym_PLUS] = ACTIONS(4259),
    [anon_sym_STAR] = ACTIONS(4261),
    [anon_sym_AMP] = ACTIONS(4261),
    [anon_sym_COLON_COLON] = ACTIONS(4263),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [sym_primitive_type] = ACTIONS(4536),
    [anon_sym_not] = ACTIONS(4259),
    [anon_sym_compl] = ACTIONS(4259),
    [anon_sym_DASH_DASH] = ACTIONS(4277),
    [anon_sym_PLUS_PLUS] = ACTIONS(4277),
    [anon_sym_sizeof] = ACTIONS(4279),
    [anon_sym___alignof__] = ACTIONS(4281),
    [anon_sym___alignof] = ACTIONS(4281),
    [anon_sym__alignof] = ACTIONS(4281),
    [anon_sym_alignof] = ACTIONS(4281),
    [anon_sym__Alignof] = ACTIONS(4281),
    [anon_sym_offsetof] = ACTIONS(4283),
    [anon_sym__Generic] = ACTIONS(4285),
    [anon_sym_asm] = ACTIONS(4287),
    [anon_sym___asm__] = ACTIONS(4287),
    [sym_number_literal] = ACTIONS(4289),
    [anon_sym_L_SQUOTE] = ACTIONS(4291),
    [anon_sym_u_SQUOTE] = ACTIONS(4291),
    [anon_sym_U_SQUOTE] = ACTIONS(4291),
    [anon_sym_u8_SQUOTE] = ACTIONS(4291),
    [anon_sym_SQUOTE] = ACTIONS(4291),
    [anon_sym_L_DQUOTE] = ACTIONS(4293),
    [anon_sym_u_DQUOTE] = ACTIONS(4293),
    [anon_sym_U_DQUOTE] = ACTIONS(4293),
    [anon_sym_u8_DQUOTE] = ACTIONS(4293),
    [anon_sym_DQUOTE] = ACTIONS(4293),
    [sym_true] = ACTIONS(4295),
    [sym_false] = ACTIONS(4295),
    [anon_sym_NULL] = ACTIONS(4297),
    [anon_sym_nullptr] = ACTIONS(4297),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(4307),
    [anon_sym_R_DQUOTE] = ACTIONS(4309),
    [anon_sym_LR_DQUOTE] = ACTIONS(4309),
    [anon_sym_uR_DQUOTE] = ACTIONS(4309),
    [anon_sym_UR_DQUOTE] = ACTIONS(4309),
    [anon_sym_u8R_DQUOTE] = ACTIONS(4309),
    [anon_sym_co_await] = ACTIONS(4311),
    [anon_sym_new] = ACTIONS(4313),
    [anon_sym_requires] = ACTIONS(4315),
    [sym_this] = ACTIONS(4295),
  },
  [2129] = {
    [sym__expression] = STATE(5750),
    [sym__expression_not_binary] = STATE(6001),
    [sym__string] = STATE(6001),
    [sym_conditional_expression] = STATE(6001),
    [sym_assignment_expression] = STATE(6001),
    [sym_pointer_expression] = STATE(4807),
    [sym_unary_expression] = STATE(6001),
    [sym_binary_expression] = STATE(6001),
    [sym_update_expression] = STATE(6001),
    [sym_cast_expression] = STATE(6001),
    [sym_sizeof_expression] = STATE(6001),
    [sym_alignof_expression] = STATE(6001),
    [sym_offsetof_expression] = STATE(6001),
    [sym_generic_expression] = STATE(6001),
    [sym_subscript_expression] = STATE(4807),
    [sym_call_expression] = STATE(4807),
    [sym_gnu_asm_expression] = STATE(6001),
    [sym_field_expression] = STATE(4807),
    [sym_compound_literal_expression] = STATE(6001),
    [sym_parenthesized_expression] = STATE(4807),
    [sym_char_literal] = STATE(5842),
    [sym_concatenated_string] = STATE(5845),
    [sym_string_literal] = STATE(4864),
    [sym_null] = STATE(6001),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(8975),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(6001),
    [sym_raw_string_literal] = STATE(4865),
    [sym_co_await_expression] = STATE(6001),
    [sym_new_expression] = STATE(6001),
    [sym_delete_expression] = STATE(6001),
    [sym_requires_clause] = STATE(6001),
    [sym_requires_expression] = STATE(6001),
    [sym_lambda_expression] = STATE(6001),
    [sym_lambda_capture_specifier] = STATE(7123),
    [sym_fold_expression] = STATE(6001),
    [sym_parameter_pack_expansion] = STATE(6001),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6932),
    [sym_qualified_identifier] = STATE(4807),
    [sym_qualified_type_identifier] = STATE(8975),
    [sym_user_defined_literal] = STATE(4807),
    [sym_identifier] = ACTIONS(4532),
    [anon_sym_LPAREN2] = ACTIONS(4255),
    [anon_sym_BANG] = ACTIONS(4257),
    [anon_sym_TILDE] = ACTIONS(4257),
    [anon_sym_DASH] = ACTIONS(4259),
    [anon_sym_PLUS] = ACTIONS(4259),
    [anon_sym_STAR] = ACTIONS(4261),
    [anon_sym_AMP] = ACTIONS(4261),
    [anon_sym_COLON_COLON] = ACTIONS(4263),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [sym_primitive_type] = ACTIONS(4536),
    [anon_sym_not] = ACTIONS(4259),
    [anon_sym_compl] = ACTIONS(4259),
    [anon_sym_DASH_DASH] = ACTIONS(4277),
    [anon_sym_PLUS_PLUS] = ACTIONS(4277),
    [anon_sym_sizeof] = ACTIONS(4279),
    [anon_sym___alignof__] = ACTIONS(4281),
    [anon_sym___alignof] = ACTIONS(4281),
    [anon_sym__alignof] = ACTIONS(4281),
    [anon_sym_alignof] = ACTIONS(4281),
    [anon_sym__Alignof] = ACTIONS(4281),
    [anon_sym_offsetof] = ACTIONS(4283),
    [anon_sym__Generic] = ACTIONS(4285),
    [anon_sym_asm] = ACTIONS(4287),
    [anon_sym___asm__] = ACTIONS(4287),
    [sym_number_literal] = ACTIONS(4289),
    [anon_sym_L_SQUOTE] = ACTIONS(4291),
    [anon_sym_u_SQUOTE] = ACTIONS(4291),
    [anon_sym_U_SQUOTE] = ACTIONS(4291),
    [anon_sym_u8_SQUOTE] = ACTIONS(4291),
    [anon_sym_SQUOTE] = ACTIONS(4291),
    [anon_sym_L_DQUOTE] = ACTIONS(4293),
    [anon_sym_u_DQUOTE] = ACTIONS(4293),
    [anon_sym_U_DQUOTE] = ACTIONS(4293),
    [anon_sym_u8_DQUOTE] = ACTIONS(4293),
    [anon_sym_DQUOTE] = ACTIONS(4293),
    [sym_true] = ACTIONS(4295),
    [sym_false] = ACTIONS(4295),
    [anon_sym_NULL] = ACTIONS(4297),
    [anon_sym_nullptr] = ACTIONS(4297),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(4307),
    [anon_sym_R_DQUOTE] = ACTIONS(4309),
    [anon_sym_LR_DQUOTE] = ACTIONS(4309),
    [anon_sym_uR_DQUOTE] = ACTIONS(4309),
    [anon_sym_UR_DQUOTE] = ACTIONS(4309),
    [anon_sym_u8R_DQUOTE] = ACTIONS(4309),
    [anon_sym_co_await] = ACTIONS(4311),
    [anon_sym_new] = ACTIONS(4313),
    [anon_sym_requires] = ACTIONS(4315),
    [sym_this] = ACTIONS(4295),
  },
  [2130] = {
    [sym__expression] = STATE(4467),
    [sym__expression_not_binary] = STATE(4786),
    [sym__string] = STATE(4786),
    [sym_conditional_expression] = STATE(4786),
    [sym_assignment_expression] = STATE(4786),
    [sym_pointer_expression] = STATE(4786),
    [sym_unary_expression] = STATE(4786),
    [sym_binary_expression] = STATE(4786),
    [sym_update_expression] = STATE(4786),
    [sym_cast_expression] = STATE(4786),
    [sym_sizeof_expression] = STATE(4786),
    [sym_alignof_expression] = STATE(4786),
    [sym_offsetof_expression] = STATE(4786),
    [sym_generic_expression] = STATE(4786),
    [sym_subscript_expression] = STATE(4786),
    [sym_call_expression] = STATE(4786),
    [sym_gnu_asm_expression] = STATE(4786),
    [sym_field_expression] = STATE(4786),
    [sym_compound_literal_expression] = STATE(4786),
    [sym_parenthesized_expression] = STATE(4786),
    [sym_char_literal] = STATE(4554),
    [sym_concatenated_string] = STATE(4621),
    [sym_string_literal] = STATE(3503),
    [sym_null] = STATE(4786),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9199),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(4786),
    [sym_raw_string_literal] = STATE(3498),
    [sym_co_await_expression] = STATE(4786),
    [sym_new_expression] = STATE(4786),
    [sym_delete_expression] = STATE(4786),
    [sym_requires_clause] = STATE(4786),
    [sym_requires_expression] = STATE(4786),
    [sym_lambda_expression] = STATE(4786),
    [sym_lambda_capture_specifier] = STATE(7160),
    [sym_fold_expression] = STATE(4786),
    [sym_parameter_pack_expansion] = STATE(4786),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6932),
    [sym_qualified_identifier] = STATE(4786),
    [sym_qualified_type_identifier] = STATE(9199),
    [sym_user_defined_literal] = STATE(4786),
    [sym_identifier] = ACTIONS(4126),
    [anon_sym_LPAREN2] = ACTIONS(5194),
    [anon_sym_BANG] = ACTIONS(4130),
    [anon_sym_TILDE] = ACTIONS(4130),
    [anon_sym_DASH] = ACTIONS(4128),
    [anon_sym_PLUS] = ACTIONS(4128),
    [anon_sym_STAR] = ACTIONS(4261),
    [anon_sym_AMP] = ACTIONS(4261),
    [anon_sym_COLON_COLON] = ACTIONS(4132),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [sym_primitive_type] = ACTIONS(4136),
    [anon_sym_not] = ACTIONS(4128),
    [anon_sym_compl] = ACTIONS(4128),
    [anon_sym_DASH_DASH] = ACTIONS(5049),
    [anon_sym_PLUS_PLUS] = ACTIONS(5049),
    [anon_sym_sizeof] = ACTIONS(4138),
    [anon_sym___alignof__] = ACTIONS(4140),
    [anon_sym___alignof] = ACTIONS(4140),
    [anon_sym__alignof] = ACTIONS(4140),
    [anon_sym_alignof] = ACTIONS(4140),
    [anon_sym__Alignof] = ACTIONS(4140),
    [anon_sym_offsetof] = ACTIONS(4142),
    [anon_sym__Generic] = ACTIONS(4144),
    [anon_sym_asm] = ACTIONS(4146),
    [anon_sym___asm__] = ACTIONS(4146),
    [sym_number_literal] = ACTIONS(4148),
    [anon_sym_L_SQUOTE] = ACTIONS(4150),
    [anon_sym_u_SQUOTE] = ACTIONS(4150),
    [anon_sym_U_SQUOTE] = ACTIONS(4150),
    [anon_sym_u8_SQUOTE] = ACTIONS(4150),
    [anon_sym_SQUOTE] = ACTIONS(4150),
    [anon_sym_L_DQUOTE] = ACTIONS(4152),
    [anon_sym_u_DQUOTE] = ACTIONS(4152),
    [anon_sym_U_DQUOTE] = ACTIONS(4152),
    [anon_sym_u8_DQUOTE] = ACTIONS(4152),
    [anon_sym_DQUOTE] = ACTIONS(4152),
    [sym_true] = ACTIONS(4154),
    [sym_false] = ACTIONS(4154),
    [anon_sym_NULL] = ACTIONS(4156),
    [anon_sym_nullptr] = ACTIONS(4156),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(4158),
    [anon_sym_R_DQUOTE] = ACTIONS(4160),
    [anon_sym_LR_DQUOTE] = ACTIONS(4160),
    [anon_sym_uR_DQUOTE] = ACTIONS(4160),
    [anon_sym_UR_DQUOTE] = ACTIONS(4160),
    [anon_sym_u8R_DQUOTE] = ACTIONS(4160),
    [anon_sym_co_await] = ACTIONS(4162),
    [anon_sym_new] = ACTIONS(4164),
    [anon_sym_requires] = ACTIONS(4166),
    [sym_this] = ACTIONS(4154),
  },
  [2131] = {
    [sym__expression] = STATE(5263),
    [sym__expression_not_binary] = STATE(5024),
    [sym__string] = STATE(5024),
    [sym_conditional_expression] = STATE(5024),
    [sym_assignment_expression] = STATE(5024),
    [sym_pointer_expression] = STATE(4031),
    [sym_unary_expression] = STATE(5024),
    [sym_binary_expression] = STATE(5024),
    [sym_update_expression] = STATE(5024),
    [sym_cast_expression] = STATE(5024),
    [sym_sizeof_expression] = STATE(5024),
    [sym_alignof_expression] = STATE(5024),
    [sym_offsetof_expression] = STATE(5024),
    [sym_generic_expression] = STATE(5024),
    [sym_subscript_expression] = STATE(4031),
    [sym_call_expression] = STATE(4031),
    [sym_gnu_asm_expression] = STATE(5024),
    [sym_field_expression] = STATE(4031),
    [sym_compound_literal_expression] = STATE(5024),
    [sym_parenthesized_expression] = STATE(4031),
    [sym_char_literal] = STATE(5335),
    [sym_concatenated_string] = STATE(5317),
    [sym_string_literal] = STATE(4163),
    [sym_null] = STATE(5024),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9352),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(5024),
    [sym_raw_string_literal] = STATE(4121),
    [sym_co_await_expression] = STATE(5024),
    [sym_new_expression] = STATE(5024),
    [sym_delete_expression] = STATE(5024),
    [sym_requires_clause] = STATE(5024),
    [sym_requires_expression] = STATE(5024),
    [sym_lambda_expression] = STATE(5024),
    [sym_lambda_capture_specifier] = STATE(7184),
    [sym_fold_expression] = STATE(5024),
    [sym_parameter_pack_expansion] = STATE(5024),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6886),
    [sym_qualified_identifier] = STATE(4031),
    [sym_qualified_type_identifier] = STATE(9352),
    [sym_user_defined_literal] = STATE(4031),
    [sym_identifier] = ACTIONS(5113),
    [anon_sym_LPAREN2] = ACTIONS(5212),
    [anon_sym_BANG] = ACTIONS(4409),
    [anon_sym_TILDE] = ACTIONS(4409),
    [anon_sym_DASH] = ACTIONS(4407),
    [anon_sym_PLUS] = ACTIONS(4407),
    [anon_sym_STAR] = ACTIONS(5186),
    [anon_sym_AMP] = ACTIONS(5186),
    [anon_sym_COLON_COLON] = ACTIONS(4411),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [sym_primitive_type] = ACTIONS(3146),
    [anon_sym_not] = ACTIONS(4407),
    [anon_sym_compl] = ACTIONS(4407),
    [anon_sym_DASH_DASH] = ACTIONS(5115),
    [anon_sym_PLUS_PLUS] = ACTIONS(5115),
    [anon_sym_sizeof] = ACTIONS(4415),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(4417),
    [anon_sym_L_SQUOTE] = ACTIONS(4419),
    [anon_sym_u_SQUOTE] = ACTIONS(4419),
    [anon_sym_U_SQUOTE] = ACTIONS(4419),
    [anon_sym_u8_SQUOTE] = ACTIONS(4419),
    [anon_sym_SQUOTE] = ACTIONS(4419),
    [anon_sym_L_DQUOTE] = ACTIONS(4247),
    [anon_sym_u_DQUOTE] = ACTIONS(4247),
    [anon_sym_U_DQUOTE] = ACTIONS(4247),
    [anon_sym_u8_DQUOTE] = ACTIONS(4247),
    [anon_sym_DQUOTE] = ACTIONS(4247),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(4421),
    [anon_sym_R_DQUOTE] = ACTIONS(4249),
    [anon_sym_LR_DQUOTE] = ACTIONS(4249),
    [anon_sym_uR_DQUOTE] = ACTIONS(4249),
    [anon_sym_UR_DQUOTE] = ACTIONS(4249),
    [anon_sym_u8R_DQUOTE] = ACTIONS(4249),
    [anon_sym_co_await] = ACTIONS(4423),
    [anon_sym_new] = ACTIONS(4425),
    [anon_sym_requires] = ACTIONS(4427),
    [sym_this] = ACTIONS(221),
  },
  [2132] = {
    [sym__expression] = STATE(5461),
    [sym__expression_not_binary] = STATE(5024),
    [sym__string] = STATE(5024),
    [sym_conditional_expression] = STATE(5024),
    [sym_assignment_expression] = STATE(5024),
    [sym_pointer_expression] = STATE(4507),
    [sym_unary_expression] = STATE(5024),
    [sym_binary_expression] = STATE(5024),
    [sym_update_expression] = STATE(5024),
    [sym_cast_expression] = STATE(5024),
    [sym_sizeof_expression] = STATE(5024),
    [sym_alignof_expression] = STATE(5024),
    [sym_offsetof_expression] = STATE(5024),
    [sym_generic_expression] = STATE(5024),
    [sym_subscript_expression] = STATE(4507),
    [sym_call_expression] = STATE(4507),
    [sym_gnu_asm_expression] = STATE(5024),
    [sym_field_expression] = STATE(4507),
    [sym_compound_literal_expression] = STATE(5024),
    [sym_parenthesized_expression] = STATE(4507),
    [sym_char_literal] = STATE(5374),
    [sym_concatenated_string] = STATE(5377),
    [sym_string_literal] = STATE(4206),
    [sym_null] = STATE(5024),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9352),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(5024),
    [sym_raw_string_literal] = STATE(4217),
    [sym_co_await_expression] = STATE(5024),
    [sym_new_expression] = STATE(5024),
    [sym_delete_expression] = STATE(5024),
    [sym_requires_clause] = STATE(5024),
    [sym_requires_expression] = STATE(5024),
    [sym_lambda_expression] = STATE(5024),
    [sym_lambda_capture_specifier] = STATE(7184),
    [sym_fold_expression] = STATE(5024),
    [sym_parameter_pack_expansion] = STATE(5024),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6886),
    [sym_qualified_identifier] = STATE(4507),
    [sym_qualified_type_identifier] = STATE(9352),
    [sym_user_defined_literal] = STATE(4507),
    [sym_identifier] = ACTIONS(3140),
    [anon_sym_LPAREN2] = ACTIONS(1472),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1474),
    [anon_sym_AMP] = ACTIONS(1474),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [sym_primitive_type] = ACTIONS(3146),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [2133] = {
    [sym__expression] = STATE(4914),
    [sym__expression_not_binary] = STATE(5024),
    [sym__string] = STATE(5024),
    [sym_conditional_expression] = STATE(5024),
    [sym_assignment_expression] = STATE(5024),
    [sym_pointer_expression] = STATE(4031),
    [sym_unary_expression] = STATE(5024),
    [sym_binary_expression] = STATE(5024),
    [sym_update_expression] = STATE(5024),
    [sym_cast_expression] = STATE(5024),
    [sym_sizeof_expression] = STATE(5024),
    [sym_alignof_expression] = STATE(5024),
    [sym_offsetof_expression] = STATE(5024),
    [sym_generic_expression] = STATE(5024),
    [sym_subscript_expression] = STATE(4031),
    [sym_call_expression] = STATE(4031),
    [sym_gnu_asm_expression] = STATE(5024),
    [sym_field_expression] = STATE(4031),
    [sym_compound_literal_expression] = STATE(5024),
    [sym_parenthesized_expression] = STATE(4031),
    [sym_char_literal] = STATE(5335),
    [sym_concatenated_string] = STATE(5317),
    [sym_string_literal] = STATE(4163),
    [sym_null] = STATE(5024),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9352),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(5024),
    [sym_raw_string_literal] = STATE(4121),
    [sym_co_await_expression] = STATE(5024),
    [sym_new_expression] = STATE(5024),
    [sym_delete_expression] = STATE(5024),
    [sym_requires_clause] = STATE(5024),
    [sym_requires_expression] = STATE(5024),
    [sym_lambda_expression] = STATE(5024),
    [sym_lambda_capture_specifier] = STATE(7184),
    [sym_fold_expression] = STATE(5024),
    [sym_parameter_pack_expansion] = STATE(5024),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6886),
    [sym_qualified_identifier] = STATE(4031),
    [sym_qualified_type_identifier] = STATE(9352),
    [sym_user_defined_literal] = STATE(4031),
    [sym_identifier] = ACTIONS(5113),
    [anon_sym_LPAREN2] = ACTIONS(5212),
    [anon_sym_BANG] = ACTIONS(4409),
    [anon_sym_TILDE] = ACTIONS(4409),
    [anon_sym_DASH] = ACTIONS(4407),
    [anon_sym_PLUS] = ACTIONS(4407),
    [anon_sym_STAR] = ACTIONS(5186),
    [anon_sym_AMP] = ACTIONS(5186),
    [anon_sym_COLON_COLON] = ACTIONS(4411),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [sym_primitive_type] = ACTIONS(3146),
    [anon_sym_not] = ACTIONS(4407),
    [anon_sym_compl] = ACTIONS(4407),
    [anon_sym_DASH_DASH] = ACTIONS(5115),
    [anon_sym_PLUS_PLUS] = ACTIONS(5115),
    [anon_sym_sizeof] = ACTIONS(4415),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(4417),
    [anon_sym_L_SQUOTE] = ACTIONS(4419),
    [anon_sym_u_SQUOTE] = ACTIONS(4419),
    [anon_sym_U_SQUOTE] = ACTIONS(4419),
    [anon_sym_u8_SQUOTE] = ACTIONS(4419),
    [anon_sym_SQUOTE] = ACTIONS(4419),
    [anon_sym_L_DQUOTE] = ACTIONS(4247),
    [anon_sym_u_DQUOTE] = ACTIONS(4247),
    [anon_sym_U_DQUOTE] = ACTIONS(4247),
    [anon_sym_u8_DQUOTE] = ACTIONS(4247),
    [anon_sym_DQUOTE] = ACTIONS(4247),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(4421),
    [anon_sym_R_DQUOTE] = ACTIONS(4249),
    [anon_sym_LR_DQUOTE] = ACTIONS(4249),
    [anon_sym_uR_DQUOTE] = ACTIONS(4249),
    [anon_sym_UR_DQUOTE] = ACTIONS(4249),
    [anon_sym_u8R_DQUOTE] = ACTIONS(4249),
    [anon_sym_co_await] = ACTIONS(4423),
    [anon_sym_new] = ACTIONS(4425),
    [anon_sym_requires] = ACTIONS(4427),
    [sym_this] = ACTIONS(221),
  },
  [2134] = {
    [sym__expression] = STATE(5622),
    [sym__expression_not_binary] = STATE(6001),
    [sym__string] = STATE(6001),
    [sym_conditional_expression] = STATE(6001),
    [sym_assignment_expression] = STATE(6001),
    [sym_pointer_expression] = STATE(4807),
    [sym_unary_expression] = STATE(6001),
    [sym_binary_expression] = STATE(6001),
    [sym_update_expression] = STATE(6001),
    [sym_cast_expression] = STATE(6001),
    [sym_sizeof_expression] = STATE(6001),
    [sym_alignof_expression] = STATE(6001),
    [sym_offsetof_expression] = STATE(6001),
    [sym_generic_expression] = STATE(6001),
    [sym_subscript_expression] = STATE(4807),
    [sym_call_expression] = STATE(4807),
    [sym_gnu_asm_expression] = STATE(6001),
    [sym_field_expression] = STATE(4807),
    [sym_compound_literal_expression] = STATE(6001),
    [sym_parenthesized_expression] = STATE(4807),
    [sym_char_literal] = STATE(5842),
    [sym_concatenated_string] = STATE(5845),
    [sym_string_literal] = STATE(4864),
    [sym_null] = STATE(6001),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(8975),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(6001),
    [sym_raw_string_literal] = STATE(4865),
    [sym_co_await_expression] = STATE(6001),
    [sym_new_expression] = STATE(6001),
    [sym_delete_expression] = STATE(6001),
    [sym_requires_clause] = STATE(6001),
    [sym_requires_expression] = STATE(6001),
    [sym_lambda_expression] = STATE(6001),
    [sym_lambda_capture_specifier] = STATE(7123),
    [sym_fold_expression] = STATE(6001),
    [sym_parameter_pack_expansion] = STATE(6001),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6932),
    [sym_qualified_identifier] = STATE(4807),
    [sym_qualified_type_identifier] = STATE(8975),
    [sym_user_defined_literal] = STATE(4807),
    [sym_identifier] = ACTIONS(4532),
    [anon_sym_LPAREN2] = ACTIONS(4255),
    [anon_sym_BANG] = ACTIONS(4257),
    [anon_sym_TILDE] = ACTIONS(4257),
    [anon_sym_DASH] = ACTIONS(4259),
    [anon_sym_PLUS] = ACTIONS(4259),
    [anon_sym_STAR] = ACTIONS(4261),
    [anon_sym_AMP] = ACTIONS(4261),
    [anon_sym_COLON_COLON] = ACTIONS(4263),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [sym_primitive_type] = ACTIONS(4536),
    [anon_sym_not] = ACTIONS(4259),
    [anon_sym_compl] = ACTIONS(4259),
    [anon_sym_DASH_DASH] = ACTIONS(4277),
    [anon_sym_PLUS_PLUS] = ACTIONS(4277),
    [anon_sym_sizeof] = ACTIONS(4279),
    [anon_sym___alignof__] = ACTIONS(4281),
    [anon_sym___alignof] = ACTIONS(4281),
    [anon_sym__alignof] = ACTIONS(4281),
    [anon_sym_alignof] = ACTIONS(4281),
    [anon_sym__Alignof] = ACTIONS(4281),
    [anon_sym_offsetof] = ACTIONS(4283),
    [anon_sym__Generic] = ACTIONS(4285),
    [anon_sym_asm] = ACTIONS(4287),
    [anon_sym___asm__] = ACTIONS(4287),
    [sym_number_literal] = ACTIONS(4289),
    [anon_sym_L_SQUOTE] = ACTIONS(4291),
    [anon_sym_u_SQUOTE] = ACTIONS(4291),
    [anon_sym_U_SQUOTE] = ACTIONS(4291),
    [anon_sym_u8_SQUOTE] = ACTIONS(4291),
    [anon_sym_SQUOTE] = ACTIONS(4291),
    [anon_sym_L_DQUOTE] = ACTIONS(4293),
    [anon_sym_u_DQUOTE] = ACTIONS(4293),
    [anon_sym_U_DQUOTE] = ACTIONS(4293),
    [anon_sym_u8_DQUOTE] = ACTIONS(4293),
    [anon_sym_DQUOTE] = ACTIONS(4293),
    [sym_true] = ACTIONS(4295),
    [sym_false] = ACTIONS(4295),
    [anon_sym_NULL] = ACTIONS(4297),
    [anon_sym_nullptr] = ACTIONS(4297),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(4307),
    [anon_sym_R_DQUOTE] = ACTIONS(4309),
    [anon_sym_LR_DQUOTE] = ACTIONS(4309),
    [anon_sym_uR_DQUOTE] = ACTIONS(4309),
    [anon_sym_UR_DQUOTE] = ACTIONS(4309),
    [anon_sym_u8R_DQUOTE] = ACTIONS(4309),
    [anon_sym_co_await] = ACTIONS(4311),
    [anon_sym_new] = ACTIONS(4313),
    [anon_sym_requires] = ACTIONS(4315),
    [sym_this] = ACTIONS(4295),
  },
  [2135] = {
    [sym__expression] = STATE(5836),
    [sym__expression_not_binary] = STATE(5024),
    [sym__string] = STATE(5024),
    [sym_conditional_expression] = STATE(5024),
    [sym_assignment_expression] = STATE(5024),
    [sym_pointer_expression] = STATE(4507),
    [sym_unary_expression] = STATE(5024),
    [sym_binary_expression] = STATE(5024),
    [sym_update_expression] = STATE(5024),
    [sym_cast_expression] = STATE(5024),
    [sym_sizeof_expression] = STATE(5024),
    [sym_alignof_expression] = STATE(5024),
    [sym_offsetof_expression] = STATE(5024),
    [sym_generic_expression] = STATE(5024),
    [sym_subscript_expression] = STATE(4507),
    [sym_call_expression] = STATE(4507),
    [sym_gnu_asm_expression] = STATE(5024),
    [sym_field_expression] = STATE(4507),
    [sym_compound_literal_expression] = STATE(5024),
    [sym_parenthesized_expression] = STATE(4507),
    [sym_char_literal] = STATE(5374),
    [sym_concatenated_string] = STATE(5377),
    [sym_string_literal] = STATE(4206),
    [sym_null] = STATE(5024),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9352),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(5024),
    [sym_raw_string_literal] = STATE(4217),
    [sym_co_await_expression] = STATE(5024),
    [sym_new_expression] = STATE(5024),
    [sym_delete_expression] = STATE(5024),
    [sym_requires_clause] = STATE(5024),
    [sym_requires_expression] = STATE(5024),
    [sym_lambda_expression] = STATE(5024),
    [sym_lambda_capture_specifier] = STATE(7184),
    [sym_fold_expression] = STATE(5024),
    [sym_parameter_pack_expansion] = STATE(5024),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6886),
    [sym_qualified_identifier] = STATE(4507),
    [sym_qualified_type_identifier] = STATE(9352),
    [sym_user_defined_literal] = STATE(4507),
    [sym_identifier] = ACTIONS(3140),
    [anon_sym_LPAREN2] = ACTIONS(1472),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1474),
    [anon_sym_AMP] = ACTIONS(1474),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [sym_primitive_type] = ACTIONS(3146),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [2136] = {
    [sym__expression] = STATE(5633),
    [sym__expression_not_binary] = STATE(5024),
    [sym__string] = STATE(5024),
    [sym_conditional_expression] = STATE(5024),
    [sym_assignment_expression] = STATE(5024),
    [sym_pointer_expression] = STATE(4737),
    [sym_unary_expression] = STATE(5024),
    [sym_binary_expression] = STATE(5024),
    [sym_update_expression] = STATE(5024),
    [sym_cast_expression] = STATE(5024),
    [sym_sizeof_expression] = STATE(5024),
    [sym_alignof_expression] = STATE(5024),
    [sym_offsetof_expression] = STATE(5024),
    [sym_generic_expression] = STATE(5024),
    [sym_subscript_expression] = STATE(4737),
    [sym_call_expression] = STATE(4737),
    [sym_gnu_asm_expression] = STATE(5024),
    [sym_field_expression] = STATE(4737),
    [sym_compound_literal_expression] = STATE(5024),
    [sym_parenthesized_expression] = STATE(4737),
    [sym_char_literal] = STATE(5374),
    [sym_concatenated_string] = STATE(5377),
    [sym_string_literal] = STATE(4206),
    [sym_null] = STATE(5024),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9352),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(5024),
    [sym_raw_string_literal] = STATE(4217),
    [sym_co_await_expression] = STATE(5024),
    [sym_new_expression] = STATE(5024),
    [sym_delete_expression] = STATE(5024),
    [sym_requires_clause] = STATE(5024),
    [sym_requires_expression] = STATE(5024),
    [sym_lambda_expression] = STATE(5024),
    [sym_lambda_capture_specifier] = STATE(7184),
    [sym_fold_expression] = STATE(5024),
    [sym_parameter_pack_expansion] = STATE(5024),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6886),
    [sym_qualified_identifier] = STATE(4737),
    [sym_qualified_type_identifier] = STATE(9352),
    [sym_user_defined_literal] = STATE(4737),
    [sym_identifier] = ACTIONS(4502),
    [anon_sym_LPAREN2] = ACTIONS(4540),
    [anon_sym_BANG] = ACTIONS(4506),
    [anon_sym_TILDE] = ACTIONS(4506),
    [anon_sym_DASH] = ACTIONS(4504),
    [anon_sym_PLUS] = ACTIONS(4504),
    [anon_sym_STAR] = ACTIONS(1474),
    [anon_sym_AMP] = ACTIONS(1474),
    [anon_sym_COLON_COLON] = ACTIONS(4508),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [sym_primitive_type] = ACTIONS(3146),
    [anon_sym_not] = ACTIONS(4504),
    [anon_sym_compl] = ACTIONS(4504),
    [anon_sym_DASH_DASH] = ACTIONS(4544),
    [anon_sym_PLUS_PLUS] = ACTIONS(4544),
    [anon_sym_sizeof] = ACTIONS(4510),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(4512),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(4514),
    [anon_sym_new] = ACTIONS(4516),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [2137] = {
    [sym__expression] = STATE(5754),
    [sym__expression_not_binary] = STATE(5024),
    [sym__string] = STATE(5024),
    [sym_conditional_expression] = STATE(5024),
    [sym_assignment_expression] = STATE(5024),
    [sym_pointer_expression] = STATE(4507),
    [sym_unary_expression] = STATE(5024),
    [sym_binary_expression] = STATE(5024),
    [sym_update_expression] = STATE(5024),
    [sym_cast_expression] = STATE(5024),
    [sym_sizeof_expression] = STATE(5024),
    [sym_alignof_expression] = STATE(5024),
    [sym_offsetof_expression] = STATE(5024),
    [sym_generic_expression] = STATE(5024),
    [sym_subscript_expression] = STATE(4507),
    [sym_call_expression] = STATE(4507),
    [sym_gnu_asm_expression] = STATE(5024),
    [sym_field_expression] = STATE(4507),
    [sym_compound_literal_expression] = STATE(5024),
    [sym_parenthesized_expression] = STATE(4507),
    [sym_char_literal] = STATE(5374),
    [sym_concatenated_string] = STATE(5377),
    [sym_string_literal] = STATE(4206),
    [sym_null] = STATE(5024),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9352),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(5024),
    [sym_raw_string_literal] = STATE(4217),
    [sym_co_await_expression] = STATE(5024),
    [sym_new_expression] = STATE(5024),
    [sym_delete_expression] = STATE(5024),
    [sym_requires_clause] = STATE(5024),
    [sym_requires_expression] = STATE(5024),
    [sym_lambda_expression] = STATE(5024),
    [sym_lambda_capture_specifier] = STATE(7184),
    [sym_fold_expression] = STATE(5024),
    [sym_parameter_pack_expansion] = STATE(5024),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6886),
    [sym_qualified_identifier] = STATE(4507),
    [sym_qualified_type_identifier] = STATE(9352),
    [sym_user_defined_literal] = STATE(4507),
    [sym_identifier] = ACTIONS(3140),
    [anon_sym_LPAREN2] = ACTIONS(1472),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1474),
    [anon_sym_AMP] = ACTIONS(1474),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [sym_primitive_type] = ACTIONS(3146),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [2138] = {
    [sym__expression] = STATE(4918),
    [sym__expression_not_binary] = STATE(5024),
    [sym__string] = STATE(5024),
    [sym_conditional_expression] = STATE(5024),
    [sym_assignment_expression] = STATE(5024),
    [sym_pointer_expression] = STATE(4031),
    [sym_unary_expression] = STATE(5024),
    [sym_binary_expression] = STATE(5024),
    [sym_update_expression] = STATE(5024),
    [sym_cast_expression] = STATE(5024),
    [sym_sizeof_expression] = STATE(5024),
    [sym_alignof_expression] = STATE(5024),
    [sym_offsetof_expression] = STATE(5024),
    [sym_generic_expression] = STATE(5024),
    [sym_subscript_expression] = STATE(4031),
    [sym_call_expression] = STATE(4031),
    [sym_gnu_asm_expression] = STATE(5024),
    [sym_field_expression] = STATE(4031),
    [sym_compound_literal_expression] = STATE(5024),
    [sym_parenthesized_expression] = STATE(4031),
    [sym_char_literal] = STATE(5335),
    [sym_concatenated_string] = STATE(5317),
    [sym_string_literal] = STATE(4163),
    [sym_null] = STATE(5024),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9352),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(5024),
    [sym_raw_string_literal] = STATE(4121),
    [sym_co_await_expression] = STATE(5024),
    [sym_new_expression] = STATE(5024),
    [sym_delete_expression] = STATE(5024),
    [sym_requires_clause] = STATE(5024),
    [sym_requires_expression] = STATE(5024),
    [sym_lambda_expression] = STATE(5024),
    [sym_lambda_capture_specifier] = STATE(7184),
    [sym_fold_expression] = STATE(5024),
    [sym_parameter_pack_expansion] = STATE(5024),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6886),
    [sym_qualified_identifier] = STATE(4031),
    [sym_qualified_type_identifier] = STATE(9352),
    [sym_user_defined_literal] = STATE(4031),
    [sym_identifier] = ACTIONS(5113),
    [anon_sym_LPAREN2] = ACTIONS(5212),
    [anon_sym_BANG] = ACTIONS(4409),
    [anon_sym_TILDE] = ACTIONS(4409),
    [anon_sym_DASH] = ACTIONS(4407),
    [anon_sym_PLUS] = ACTIONS(4407),
    [anon_sym_STAR] = ACTIONS(5186),
    [anon_sym_AMP] = ACTIONS(5186),
    [anon_sym_COLON_COLON] = ACTIONS(4411),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [sym_primitive_type] = ACTIONS(3146),
    [anon_sym_not] = ACTIONS(4407),
    [anon_sym_compl] = ACTIONS(4407),
    [anon_sym_DASH_DASH] = ACTIONS(5115),
    [anon_sym_PLUS_PLUS] = ACTIONS(5115),
    [anon_sym_sizeof] = ACTIONS(4415),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(4417),
    [anon_sym_L_SQUOTE] = ACTIONS(4419),
    [anon_sym_u_SQUOTE] = ACTIONS(4419),
    [anon_sym_U_SQUOTE] = ACTIONS(4419),
    [anon_sym_u8_SQUOTE] = ACTIONS(4419),
    [anon_sym_SQUOTE] = ACTIONS(4419),
    [anon_sym_L_DQUOTE] = ACTIONS(4247),
    [anon_sym_u_DQUOTE] = ACTIONS(4247),
    [anon_sym_U_DQUOTE] = ACTIONS(4247),
    [anon_sym_u8_DQUOTE] = ACTIONS(4247),
    [anon_sym_DQUOTE] = ACTIONS(4247),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(4421),
    [anon_sym_R_DQUOTE] = ACTIONS(4249),
    [anon_sym_LR_DQUOTE] = ACTIONS(4249),
    [anon_sym_uR_DQUOTE] = ACTIONS(4249),
    [anon_sym_UR_DQUOTE] = ACTIONS(4249),
    [anon_sym_u8R_DQUOTE] = ACTIONS(4249),
    [anon_sym_co_await] = ACTIONS(4423),
    [anon_sym_new] = ACTIONS(4425),
    [anon_sym_requires] = ACTIONS(4427),
    [sym_this] = ACTIONS(221),
  },
  [2139] = {
    [sym__expression] = STATE(3826),
    [sym__expression_not_binary] = STATE(3672),
    [sym__string] = STATE(3672),
    [sym_conditional_expression] = STATE(3672),
    [sym_assignment_expression] = STATE(3672),
    [sym_pointer_expression] = STATE(3672),
    [sym_unary_expression] = STATE(3672),
    [sym_binary_expression] = STATE(3672),
    [sym_update_expression] = STATE(3672),
    [sym_cast_expression] = STATE(3672),
    [sym_sizeof_expression] = STATE(3672),
    [sym_alignof_expression] = STATE(3672),
    [sym_offsetof_expression] = STATE(3672),
    [sym_generic_expression] = STATE(3672),
    [sym_subscript_expression] = STATE(3672),
    [sym_call_expression] = STATE(3672),
    [sym_gnu_asm_expression] = STATE(3672),
    [sym_field_expression] = STATE(3672),
    [sym_compound_literal_expression] = STATE(3672),
    [sym_parenthesized_expression] = STATE(3672),
    [sym_char_literal] = STATE(3855),
    [sym_concatenated_string] = STATE(3873),
    [sym_string_literal] = STATE(3222),
    [sym_null] = STATE(3672),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9333),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(3672),
    [sym_raw_string_literal] = STATE(3216),
    [sym_co_await_expression] = STATE(3672),
    [sym_new_expression] = STATE(3672),
    [sym_delete_expression] = STATE(3672),
    [sym_requires_clause] = STATE(3672),
    [sym_requires_expression] = STATE(3672),
    [sym_lambda_expression] = STATE(3672),
    [sym_lambda_capture_specifier] = STATE(7134),
    [sym_fold_expression] = STATE(3672),
    [sym_parameter_pack_expansion] = STATE(3672),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6886),
    [sym_qualified_identifier] = STATE(3672),
    [sym_qualified_type_identifier] = STATE(9333),
    [sym_user_defined_literal] = STATE(3672),
    [sym_identifier] = ACTIONS(3968),
    [anon_sym_LPAREN2] = ACTIONS(5184),
    [anon_sym_BANG] = ACTIONS(3922),
    [anon_sym_TILDE] = ACTIONS(3922),
    [anon_sym_DASH] = ACTIONS(3920),
    [anon_sym_PLUS] = ACTIONS(3920),
    [anon_sym_STAR] = ACTIONS(5186),
    [anon_sym_AMP] = ACTIONS(5186),
    [anon_sym_COLON_COLON] = ACTIONS(3924),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [sym_primitive_type] = ACTIONS(3928),
    [anon_sym_not] = ACTIONS(3920),
    [anon_sym_compl] = ACTIONS(3920),
    [anon_sym_DASH_DASH] = ACTIONS(5013),
    [anon_sym_PLUS_PLUS] = ACTIONS(5013),
    [anon_sym_sizeof] = ACTIONS(3930),
    [anon_sym___alignof__] = ACTIONS(3932),
    [anon_sym___alignof] = ACTIONS(3932),
    [anon_sym__alignof] = ACTIONS(3932),
    [anon_sym_alignof] = ACTIONS(3932),
    [anon_sym__Alignof] = ACTIONS(3932),
    [anon_sym_offsetof] = ACTIONS(3934),
    [anon_sym__Generic] = ACTIONS(3936),
    [anon_sym_asm] = ACTIONS(3938),
    [anon_sym___asm__] = ACTIONS(3938),
    [sym_number_literal] = ACTIONS(3940),
    [anon_sym_L_SQUOTE] = ACTIONS(3942),
    [anon_sym_u_SQUOTE] = ACTIONS(3942),
    [anon_sym_U_SQUOTE] = ACTIONS(3942),
    [anon_sym_u8_SQUOTE] = ACTIONS(3942),
    [anon_sym_SQUOTE] = ACTIONS(3942),
    [anon_sym_L_DQUOTE] = ACTIONS(3944),
    [anon_sym_u_DQUOTE] = ACTIONS(3944),
    [anon_sym_U_DQUOTE] = ACTIONS(3944),
    [anon_sym_u8_DQUOTE] = ACTIONS(3944),
    [anon_sym_DQUOTE] = ACTIONS(3944),
    [sym_true] = ACTIONS(3946),
    [sym_false] = ACTIONS(3946),
    [anon_sym_NULL] = ACTIONS(3948),
    [anon_sym_nullptr] = ACTIONS(3948),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(3950),
    [anon_sym_R_DQUOTE] = ACTIONS(3952),
    [anon_sym_LR_DQUOTE] = ACTIONS(3952),
    [anon_sym_uR_DQUOTE] = ACTIONS(3952),
    [anon_sym_UR_DQUOTE] = ACTIONS(3952),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3952),
    [anon_sym_co_await] = ACTIONS(3954),
    [anon_sym_new] = ACTIONS(3956),
    [anon_sym_requires] = ACTIONS(3958),
    [sym_this] = ACTIONS(3946),
  },
  [2140] = {
    [sym__expression] = STATE(3843),
    [sym__expression_not_binary] = STATE(3672),
    [sym__string] = STATE(3672),
    [sym_conditional_expression] = STATE(3672),
    [sym_assignment_expression] = STATE(3672),
    [sym_pointer_expression] = STATE(3672),
    [sym_unary_expression] = STATE(3672),
    [sym_binary_expression] = STATE(3672),
    [sym_update_expression] = STATE(3672),
    [sym_cast_expression] = STATE(3672),
    [sym_sizeof_expression] = STATE(3672),
    [sym_alignof_expression] = STATE(3672),
    [sym_offsetof_expression] = STATE(3672),
    [sym_generic_expression] = STATE(3672),
    [sym_subscript_expression] = STATE(3672),
    [sym_call_expression] = STATE(3672),
    [sym_gnu_asm_expression] = STATE(3672),
    [sym_field_expression] = STATE(3672),
    [sym_compound_literal_expression] = STATE(3672),
    [sym_parenthesized_expression] = STATE(3672),
    [sym_char_literal] = STATE(3855),
    [sym_concatenated_string] = STATE(3873),
    [sym_string_literal] = STATE(3222),
    [sym_null] = STATE(3672),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9333),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(3672),
    [sym_raw_string_literal] = STATE(3216),
    [sym_co_await_expression] = STATE(3672),
    [sym_new_expression] = STATE(3672),
    [sym_delete_expression] = STATE(3672),
    [sym_requires_clause] = STATE(3672),
    [sym_requires_expression] = STATE(3672),
    [sym_lambda_expression] = STATE(3672),
    [sym_lambda_capture_specifier] = STATE(7134),
    [sym_fold_expression] = STATE(3672),
    [sym_parameter_pack_expansion] = STATE(3672),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6886),
    [sym_qualified_identifier] = STATE(3672),
    [sym_qualified_type_identifier] = STATE(9333),
    [sym_user_defined_literal] = STATE(3672),
    [sym_identifier] = ACTIONS(3968),
    [anon_sym_LPAREN2] = ACTIONS(5184),
    [anon_sym_BANG] = ACTIONS(3922),
    [anon_sym_TILDE] = ACTIONS(3922),
    [anon_sym_DASH] = ACTIONS(3920),
    [anon_sym_PLUS] = ACTIONS(3920),
    [anon_sym_STAR] = ACTIONS(5186),
    [anon_sym_AMP] = ACTIONS(5186),
    [anon_sym_COLON_COLON] = ACTIONS(3924),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [sym_primitive_type] = ACTIONS(3928),
    [anon_sym_not] = ACTIONS(3920),
    [anon_sym_compl] = ACTIONS(3920),
    [anon_sym_DASH_DASH] = ACTIONS(5013),
    [anon_sym_PLUS_PLUS] = ACTIONS(5013),
    [anon_sym_sizeof] = ACTIONS(3930),
    [anon_sym___alignof__] = ACTIONS(3932),
    [anon_sym___alignof] = ACTIONS(3932),
    [anon_sym__alignof] = ACTIONS(3932),
    [anon_sym_alignof] = ACTIONS(3932),
    [anon_sym__Alignof] = ACTIONS(3932),
    [anon_sym_offsetof] = ACTIONS(3934),
    [anon_sym__Generic] = ACTIONS(3936),
    [anon_sym_asm] = ACTIONS(3938),
    [anon_sym___asm__] = ACTIONS(3938),
    [sym_number_literal] = ACTIONS(3940),
    [anon_sym_L_SQUOTE] = ACTIONS(3942),
    [anon_sym_u_SQUOTE] = ACTIONS(3942),
    [anon_sym_U_SQUOTE] = ACTIONS(3942),
    [anon_sym_u8_SQUOTE] = ACTIONS(3942),
    [anon_sym_SQUOTE] = ACTIONS(3942),
    [anon_sym_L_DQUOTE] = ACTIONS(3944),
    [anon_sym_u_DQUOTE] = ACTIONS(3944),
    [anon_sym_U_DQUOTE] = ACTIONS(3944),
    [anon_sym_u8_DQUOTE] = ACTIONS(3944),
    [anon_sym_DQUOTE] = ACTIONS(3944),
    [sym_true] = ACTIONS(3946),
    [sym_false] = ACTIONS(3946),
    [anon_sym_NULL] = ACTIONS(3948),
    [anon_sym_nullptr] = ACTIONS(3948),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(3950),
    [anon_sym_R_DQUOTE] = ACTIONS(3952),
    [anon_sym_LR_DQUOTE] = ACTIONS(3952),
    [anon_sym_uR_DQUOTE] = ACTIONS(3952),
    [anon_sym_UR_DQUOTE] = ACTIONS(3952),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3952),
    [anon_sym_co_await] = ACTIONS(3954),
    [anon_sym_new] = ACTIONS(3956),
    [anon_sym_requires] = ACTIONS(3958),
    [sym_this] = ACTIONS(3946),
  },
  [2141] = {
    [sym__expression] = STATE(3837),
    [sym__expression_not_binary] = STATE(3672),
    [sym__string] = STATE(3672),
    [sym_conditional_expression] = STATE(3672),
    [sym_assignment_expression] = STATE(3672),
    [sym_pointer_expression] = STATE(3672),
    [sym_unary_expression] = STATE(3672),
    [sym_binary_expression] = STATE(3672),
    [sym_update_expression] = STATE(3672),
    [sym_cast_expression] = STATE(3672),
    [sym_sizeof_expression] = STATE(3672),
    [sym_alignof_expression] = STATE(3672),
    [sym_offsetof_expression] = STATE(3672),
    [sym_generic_expression] = STATE(3672),
    [sym_subscript_expression] = STATE(3672),
    [sym_call_expression] = STATE(3672),
    [sym_gnu_asm_expression] = STATE(3672),
    [sym_field_expression] = STATE(3672),
    [sym_compound_literal_expression] = STATE(3672),
    [sym_parenthesized_expression] = STATE(3672),
    [sym_char_literal] = STATE(3855),
    [sym_concatenated_string] = STATE(3873),
    [sym_string_literal] = STATE(3222),
    [sym_null] = STATE(3672),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9333),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(3672),
    [sym_raw_string_literal] = STATE(3216),
    [sym_co_await_expression] = STATE(3672),
    [sym_new_expression] = STATE(3672),
    [sym_delete_expression] = STATE(3672),
    [sym_requires_clause] = STATE(3672),
    [sym_requires_expression] = STATE(3672),
    [sym_lambda_expression] = STATE(3672),
    [sym_lambda_capture_specifier] = STATE(7134),
    [sym_fold_expression] = STATE(3672),
    [sym_parameter_pack_expansion] = STATE(3672),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6886),
    [sym_qualified_identifier] = STATE(3672),
    [sym_qualified_type_identifier] = STATE(9333),
    [sym_user_defined_literal] = STATE(3672),
    [sym_identifier] = ACTIONS(3968),
    [anon_sym_LPAREN2] = ACTIONS(5184),
    [anon_sym_BANG] = ACTIONS(3922),
    [anon_sym_TILDE] = ACTIONS(3922),
    [anon_sym_DASH] = ACTIONS(3920),
    [anon_sym_PLUS] = ACTIONS(3920),
    [anon_sym_STAR] = ACTIONS(5186),
    [anon_sym_AMP] = ACTIONS(5186),
    [anon_sym_COLON_COLON] = ACTIONS(3924),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [sym_primitive_type] = ACTIONS(3928),
    [anon_sym_not] = ACTIONS(3920),
    [anon_sym_compl] = ACTIONS(3920),
    [anon_sym_DASH_DASH] = ACTIONS(5013),
    [anon_sym_PLUS_PLUS] = ACTIONS(5013),
    [anon_sym_sizeof] = ACTIONS(3930),
    [anon_sym___alignof__] = ACTIONS(3932),
    [anon_sym___alignof] = ACTIONS(3932),
    [anon_sym__alignof] = ACTIONS(3932),
    [anon_sym_alignof] = ACTIONS(3932),
    [anon_sym__Alignof] = ACTIONS(3932),
    [anon_sym_offsetof] = ACTIONS(3934),
    [anon_sym__Generic] = ACTIONS(3936),
    [anon_sym_asm] = ACTIONS(3938),
    [anon_sym___asm__] = ACTIONS(3938),
    [sym_number_literal] = ACTIONS(3940),
    [anon_sym_L_SQUOTE] = ACTIONS(3942),
    [anon_sym_u_SQUOTE] = ACTIONS(3942),
    [anon_sym_U_SQUOTE] = ACTIONS(3942),
    [anon_sym_u8_SQUOTE] = ACTIONS(3942),
    [anon_sym_SQUOTE] = ACTIONS(3942),
    [anon_sym_L_DQUOTE] = ACTIONS(3944),
    [anon_sym_u_DQUOTE] = ACTIONS(3944),
    [anon_sym_U_DQUOTE] = ACTIONS(3944),
    [anon_sym_u8_DQUOTE] = ACTIONS(3944),
    [anon_sym_DQUOTE] = ACTIONS(3944),
    [sym_true] = ACTIONS(3946),
    [sym_false] = ACTIONS(3946),
    [anon_sym_NULL] = ACTIONS(3948),
    [anon_sym_nullptr] = ACTIONS(3948),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(3950),
    [anon_sym_R_DQUOTE] = ACTIONS(3952),
    [anon_sym_LR_DQUOTE] = ACTIONS(3952),
    [anon_sym_uR_DQUOTE] = ACTIONS(3952),
    [anon_sym_UR_DQUOTE] = ACTIONS(3952),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3952),
    [anon_sym_co_await] = ACTIONS(3954),
    [anon_sym_new] = ACTIONS(3956),
    [anon_sym_requires] = ACTIONS(3958),
    [sym_this] = ACTIONS(3946),
  },
  [2142] = {
    [sym__expression] = STATE(3824),
    [sym__expression_not_binary] = STATE(3672),
    [sym__string] = STATE(3672),
    [sym_conditional_expression] = STATE(3672),
    [sym_assignment_expression] = STATE(3672),
    [sym_pointer_expression] = STATE(3672),
    [sym_unary_expression] = STATE(3672),
    [sym_binary_expression] = STATE(3672),
    [sym_update_expression] = STATE(3672),
    [sym_cast_expression] = STATE(3672),
    [sym_sizeof_expression] = STATE(3672),
    [sym_alignof_expression] = STATE(3672),
    [sym_offsetof_expression] = STATE(3672),
    [sym_generic_expression] = STATE(3672),
    [sym_subscript_expression] = STATE(3672),
    [sym_call_expression] = STATE(3672),
    [sym_gnu_asm_expression] = STATE(3672),
    [sym_field_expression] = STATE(3672),
    [sym_compound_literal_expression] = STATE(3672),
    [sym_parenthesized_expression] = STATE(3672),
    [sym_char_literal] = STATE(3855),
    [sym_concatenated_string] = STATE(3873),
    [sym_string_literal] = STATE(3222),
    [sym_null] = STATE(3672),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9333),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(3672),
    [sym_raw_string_literal] = STATE(3216),
    [sym_co_await_expression] = STATE(3672),
    [sym_new_expression] = STATE(3672),
    [sym_delete_expression] = STATE(3672),
    [sym_requires_clause] = STATE(3672),
    [sym_requires_expression] = STATE(3672),
    [sym_lambda_expression] = STATE(3672),
    [sym_lambda_capture_specifier] = STATE(7134),
    [sym_fold_expression] = STATE(3672),
    [sym_parameter_pack_expansion] = STATE(3672),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6886),
    [sym_qualified_identifier] = STATE(3672),
    [sym_qualified_type_identifier] = STATE(9333),
    [sym_user_defined_literal] = STATE(3672),
    [sym_identifier] = ACTIONS(3968),
    [anon_sym_LPAREN2] = ACTIONS(5184),
    [anon_sym_BANG] = ACTIONS(3922),
    [anon_sym_TILDE] = ACTIONS(3922),
    [anon_sym_DASH] = ACTIONS(3920),
    [anon_sym_PLUS] = ACTIONS(3920),
    [anon_sym_STAR] = ACTIONS(5186),
    [anon_sym_AMP] = ACTIONS(5186),
    [anon_sym_COLON_COLON] = ACTIONS(3924),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [sym_primitive_type] = ACTIONS(3928),
    [anon_sym_not] = ACTIONS(3920),
    [anon_sym_compl] = ACTIONS(3920),
    [anon_sym_DASH_DASH] = ACTIONS(5013),
    [anon_sym_PLUS_PLUS] = ACTIONS(5013),
    [anon_sym_sizeof] = ACTIONS(3930),
    [anon_sym___alignof__] = ACTIONS(3932),
    [anon_sym___alignof] = ACTIONS(3932),
    [anon_sym__alignof] = ACTIONS(3932),
    [anon_sym_alignof] = ACTIONS(3932),
    [anon_sym__Alignof] = ACTIONS(3932),
    [anon_sym_offsetof] = ACTIONS(3934),
    [anon_sym__Generic] = ACTIONS(3936),
    [anon_sym_asm] = ACTIONS(3938),
    [anon_sym___asm__] = ACTIONS(3938),
    [sym_number_literal] = ACTIONS(3940),
    [anon_sym_L_SQUOTE] = ACTIONS(3942),
    [anon_sym_u_SQUOTE] = ACTIONS(3942),
    [anon_sym_U_SQUOTE] = ACTIONS(3942),
    [anon_sym_u8_SQUOTE] = ACTIONS(3942),
    [anon_sym_SQUOTE] = ACTIONS(3942),
    [anon_sym_L_DQUOTE] = ACTIONS(3944),
    [anon_sym_u_DQUOTE] = ACTIONS(3944),
    [anon_sym_U_DQUOTE] = ACTIONS(3944),
    [anon_sym_u8_DQUOTE] = ACTIONS(3944),
    [anon_sym_DQUOTE] = ACTIONS(3944),
    [sym_true] = ACTIONS(3946),
    [sym_false] = ACTIONS(3946),
    [anon_sym_NULL] = ACTIONS(3948),
    [anon_sym_nullptr] = ACTIONS(3948),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(3950),
    [anon_sym_R_DQUOTE] = ACTIONS(3952),
    [anon_sym_LR_DQUOTE] = ACTIONS(3952),
    [anon_sym_uR_DQUOTE] = ACTIONS(3952),
    [anon_sym_UR_DQUOTE] = ACTIONS(3952),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3952),
    [anon_sym_co_await] = ACTIONS(3954),
    [anon_sym_new] = ACTIONS(3956),
    [anon_sym_requires] = ACTIONS(3958),
    [sym_this] = ACTIONS(3946),
  },
  [2143] = {
    [sym__expression] = STATE(5264),
    [sym__expression_not_binary] = STATE(5024),
    [sym__string] = STATE(5024),
    [sym_conditional_expression] = STATE(5024),
    [sym_assignment_expression] = STATE(5024),
    [sym_pointer_expression] = STATE(4031),
    [sym_unary_expression] = STATE(5024),
    [sym_binary_expression] = STATE(5024),
    [sym_update_expression] = STATE(5024),
    [sym_cast_expression] = STATE(5024),
    [sym_sizeof_expression] = STATE(5024),
    [sym_alignof_expression] = STATE(5024),
    [sym_offsetof_expression] = STATE(5024),
    [sym_generic_expression] = STATE(5024),
    [sym_subscript_expression] = STATE(4031),
    [sym_call_expression] = STATE(4031),
    [sym_gnu_asm_expression] = STATE(5024),
    [sym_field_expression] = STATE(4031),
    [sym_compound_literal_expression] = STATE(5024),
    [sym_parenthesized_expression] = STATE(4031),
    [sym_char_literal] = STATE(5335),
    [sym_concatenated_string] = STATE(5317),
    [sym_string_literal] = STATE(4163),
    [sym_null] = STATE(5024),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9352),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(5024),
    [sym_raw_string_literal] = STATE(4121),
    [sym_co_await_expression] = STATE(5024),
    [sym_new_expression] = STATE(5024),
    [sym_delete_expression] = STATE(5024),
    [sym_requires_clause] = STATE(5024),
    [sym_requires_expression] = STATE(5024),
    [sym_lambda_expression] = STATE(5024),
    [sym_lambda_capture_specifier] = STATE(7184),
    [sym_fold_expression] = STATE(5024),
    [sym_parameter_pack_expansion] = STATE(5024),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6886),
    [sym_qualified_identifier] = STATE(4031),
    [sym_qualified_type_identifier] = STATE(9352),
    [sym_user_defined_literal] = STATE(4031),
    [sym_identifier] = ACTIONS(5113),
    [anon_sym_LPAREN2] = ACTIONS(5212),
    [anon_sym_BANG] = ACTIONS(4409),
    [anon_sym_TILDE] = ACTIONS(4409),
    [anon_sym_DASH] = ACTIONS(4407),
    [anon_sym_PLUS] = ACTIONS(4407),
    [anon_sym_STAR] = ACTIONS(5186),
    [anon_sym_AMP] = ACTIONS(5186),
    [anon_sym_COLON_COLON] = ACTIONS(4411),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [sym_primitive_type] = ACTIONS(3146),
    [anon_sym_not] = ACTIONS(4407),
    [anon_sym_compl] = ACTIONS(4407),
    [anon_sym_DASH_DASH] = ACTIONS(5115),
    [anon_sym_PLUS_PLUS] = ACTIONS(5115),
    [anon_sym_sizeof] = ACTIONS(4415),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(4417),
    [anon_sym_L_SQUOTE] = ACTIONS(4419),
    [anon_sym_u_SQUOTE] = ACTIONS(4419),
    [anon_sym_U_SQUOTE] = ACTIONS(4419),
    [anon_sym_u8_SQUOTE] = ACTIONS(4419),
    [anon_sym_SQUOTE] = ACTIONS(4419),
    [anon_sym_L_DQUOTE] = ACTIONS(4247),
    [anon_sym_u_DQUOTE] = ACTIONS(4247),
    [anon_sym_U_DQUOTE] = ACTIONS(4247),
    [anon_sym_u8_DQUOTE] = ACTIONS(4247),
    [anon_sym_DQUOTE] = ACTIONS(4247),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(4421),
    [anon_sym_R_DQUOTE] = ACTIONS(4249),
    [anon_sym_LR_DQUOTE] = ACTIONS(4249),
    [anon_sym_uR_DQUOTE] = ACTIONS(4249),
    [anon_sym_UR_DQUOTE] = ACTIONS(4249),
    [anon_sym_u8R_DQUOTE] = ACTIONS(4249),
    [anon_sym_co_await] = ACTIONS(4423),
    [anon_sym_new] = ACTIONS(4425),
    [anon_sym_requires] = ACTIONS(4427),
    [sym_this] = ACTIONS(221),
  },
  [2144] = {
    [sym__expression] = STATE(5266),
    [sym__expression_not_binary] = STATE(5024),
    [sym__string] = STATE(5024),
    [sym_conditional_expression] = STATE(5024),
    [sym_assignment_expression] = STATE(5024),
    [sym_pointer_expression] = STATE(4031),
    [sym_unary_expression] = STATE(5024),
    [sym_binary_expression] = STATE(5024),
    [sym_update_expression] = STATE(5024),
    [sym_cast_expression] = STATE(5024),
    [sym_sizeof_expression] = STATE(5024),
    [sym_alignof_expression] = STATE(5024),
    [sym_offsetof_expression] = STATE(5024),
    [sym_generic_expression] = STATE(5024),
    [sym_subscript_expression] = STATE(4031),
    [sym_call_expression] = STATE(4031),
    [sym_gnu_asm_expression] = STATE(5024),
    [sym_field_expression] = STATE(4031),
    [sym_compound_literal_expression] = STATE(5024),
    [sym_parenthesized_expression] = STATE(4031),
    [sym_char_literal] = STATE(5335),
    [sym_concatenated_string] = STATE(5317),
    [sym_string_literal] = STATE(4163),
    [sym_null] = STATE(5024),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9352),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(5024),
    [sym_raw_string_literal] = STATE(4121),
    [sym_co_await_expression] = STATE(5024),
    [sym_new_expression] = STATE(5024),
    [sym_delete_expression] = STATE(5024),
    [sym_requires_clause] = STATE(5024),
    [sym_requires_expression] = STATE(5024),
    [sym_lambda_expression] = STATE(5024),
    [sym_lambda_capture_specifier] = STATE(7184),
    [sym_fold_expression] = STATE(5024),
    [sym_parameter_pack_expansion] = STATE(5024),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6886),
    [sym_qualified_identifier] = STATE(4031),
    [sym_qualified_type_identifier] = STATE(9352),
    [sym_user_defined_literal] = STATE(4031),
    [sym_identifier] = ACTIONS(5113),
    [anon_sym_LPAREN2] = ACTIONS(5212),
    [anon_sym_BANG] = ACTIONS(4409),
    [anon_sym_TILDE] = ACTIONS(4409),
    [anon_sym_DASH] = ACTIONS(4407),
    [anon_sym_PLUS] = ACTIONS(4407),
    [anon_sym_STAR] = ACTIONS(5186),
    [anon_sym_AMP] = ACTIONS(5186),
    [anon_sym_COLON_COLON] = ACTIONS(4411),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [sym_primitive_type] = ACTIONS(3146),
    [anon_sym_not] = ACTIONS(4407),
    [anon_sym_compl] = ACTIONS(4407),
    [anon_sym_DASH_DASH] = ACTIONS(5115),
    [anon_sym_PLUS_PLUS] = ACTIONS(5115),
    [anon_sym_sizeof] = ACTIONS(4415),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(4417),
    [anon_sym_L_SQUOTE] = ACTIONS(4419),
    [anon_sym_u_SQUOTE] = ACTIONS(4419),
    [anon_sym_U_SQUOTE] = ACTIONS(4419),
    [anon_sym_u8_SQUOTE] = ACTIONS(4419),
    [anon_sym_SQUOTE] = ACTIONS(4419),
    [anon_sym_L_DQUOTE] = ACTIONS(4247),
    [anon_sym_u_DQUOTE] = ACTIONS(4247),
    [anon_sym_U_DQUOTE] = ACTIONS(4247),
    [anon_sym_u8_DQUOTE] = ACTIONS(4247),
    [anon_sym_DQUOTE] = ACTIONS(4247),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(4421),
    [anon_sym_R_DQUOTE] = ACTIONS(4249),
    [anon_sym_LR_DQUOTE] = ACTIONS(4249),
    [anon_sym_uR_DQUOTE] = ACTIONS(4249),
    [anon_sym_UR_DQUOTE] = ACTIONS(4249),
    [anon_sym_u8R_DQUOTE] = ACTIONS(4249),
    [anon_sym_co_await] = ACTIONS(4423),
    [anon_sym_new] = ACTIONS(4425),
    [anon_sym_requires] = ACTIONS(4427),
    [sym_this] = ACTIONS(221),
  },
  [2145] = {
    [sym__expression] = STATE(3848),
    [sym__expression_not_binary] = STATE(3672),
    [sym__string] = STATE(3672),
    [sym_conditional_expression] = STATE(3672),
    [sym_assignment_expression] = STATE(3672),
    [sym_pointer_expression] = STATE(3672),
    [sym_unary_expression] = STATE(3672),
    [sym_binary_expression] = STATE(3672),
    [sym_update_expression] = STATE(3672),
    [sym_cast_expression] = STATE(3672),
    [sym_sizeof_expression] = STATE(3672),
    [sym_alignof_expression] = STATE(3672),
    [sym_offsetof_expression] = STATE(3672),
    [sym_generic_expression] = STATE(3672),
    [sym_subscript_expression] = STATE(3672),
    [sym_call_expression] = STATE(3672),
    [sym_gnu_asm_expression] = STATE(3672),
    [sym_field_expression] = STATE(3672),
    [sym_compound_literal_expression] = STATE(3672),
    [sym_parenthesized_expression] = STATE(3672),
    [sym_char_literal] = STATE(3855),
    [sym_concatenated_string] = STATE(3873),
    [sym_string_literal] = STATE(3222),
    [sym_null] = STATE(3672),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9333),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(3672),
    [sym_raw_string_literal] = STATE(3216),
    [sym_co_await_expression] = STATE(3672),
    [sym_new_expression] = STATE(3672),
    [sym_delete_expression] = STATE(3672),
    [sym_requires_clause] = STATE(3672),
    [sym_requires_expression] = STATE(3672),
    [sym_lambda_expression] = STATE(3672),
    [sym_lambda_capture_specifier] = STATE(7134),
    [sym_fold_expression] = STATE(3672),
    [sym_parameter_pack_expansion] = STATE(3672),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6886),
    [sym_qualified_identifier] = STATE(3672),
    [sym_qualified_type_identifier] = STATE(9333),
    [sym_user_defined_literal] = STATE(3672),
    [sym_identifier] = ACTIONS(3968),
    [anon_sym_LPAREN2] = ACTIONS(5184),
    [anon_sym_BANG] = ACTIONS(3922),
    [anon_sym_TILDE] = ACTIONS(3922),
    [anon_sym_DASH] = ACTIONS(3920),
    [anon_sym_PLUS] = ACTIONS(3920),
    [anon_sym_STAR] = ACTIONS(5186),
    [anon_sym_AMP] = ACTIONS(5186),
    [anon_sym_COLON_COLON] = ACTIONS(3924),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [sym_primitive_type] = ACTIONS(3928),
    [anon_sym_not] = ACTIONS(3920),
    [anon_sym_compl] = ACTIONS(3920),
    [anon_sym_DASH_DASH] = ACTIONS(5013),
    [anon_sym_PLUS_PLUS] = ACTIONS(5013),
    [anon_sym_sizeof] = ACTIONS(3930),
    [anon_sym___alignof__] = ACTIONS(3932),
    [anon_sym___alignof] = ACTIONS(3932),
    [anon_sym__alignof] = ACTIONS(3932),
    [anon_sym_alignof] = ACTIONS(3932),
    [anon_sym__Alignof] = ACTIONS(3932),
    [anon_sym_offsetof] = ACTIONS(3934),
    [anon_sym__Generic] = ACTIONS(3936),
    [anon_sym_asm] = ACTIONS(3938),
    [anon_sym___asm__] = ACTIONS(3938),
    [sym_number_literal] = ACTIONS(3940),
    [anon_sym_L_SQUOTE] = ACTIONS(3942),
    [anon_sym_u_SQUOTE] = ACTIONS(3942),
    [anon_sym_U_SQUOTE] = ACTIONS(3942),
    [anon_sym_u8_SQUOTE] = ACTIONS(3942),
    [anon_sym_SQUOTE] = ACTIONS(3942),
    [anon_sym_L_DQUOTE] = ACTIONS(3944),
    [anon_sym_u_DQUOTE] = ACTIONS(3944),
    [anon_sym_U_DQUOTE] = ACTIONS(3944),
    [anon_sym_u8_DQUOTE] = ACTIONS(3944),
    [anon_sym_DQUOTE] = ACTIONS(3944),
    [sym_true] = ACTIONS(3946),
    [sym_false] = ACTIONS(3946),
    [anon_sym_NULL] = ACTIONS(3948),
    [anon_sym_nullptr] = ACTIONS(3948),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(3950),
    [anon_sym_R_DQUOTE] = ACTIONS(3952),
    [anon_sym_LR_DQUOTE] = ACTIONS(3952),
    [anon_sym_uR_DQUOTE] = ACTIONS(3952),
    [anon_sym_UR_DQUOTE] = ACTIONS(3952),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3952),
    [anon_sym_co_await] = ACTIONS(3954),
    [anon_sym_new] = ACTIONS(3956),
    [anon_sym_requires] = ACTIONS(3958),
    [sym_this] = ACTIONS(3946),
  },
  [2146] = {
    [sym__expression] = STATE(5626),
    [sym__expression_not_binary] = STATE(5024),
    [sym__string] = STATE(5024),
    [sym_conditional_expression] = STATE(5024),
    [sym_assignment_expression] = STATE(5024),
    [sym_pointer_expression] = STATE(4737),
    [sym_unary_expression] = STATE(5024),
    [sym_binary_expression] = STATE(5024),
    [sym_update_expression] = STATE(5024),
    [sym_cast_expression] = STATE(5024),
    [sym_sizeof_expression] = STATE(5024),
    [sym_alignof_expression] = STATE(5024),
    [sym_offsetof_expression] = STATE(5024),
    [sym_generic_expression] = STATE(5024),
    [sym_subscript_expression] = STATE(4737),
    [sym_call_expression] = STATE(4737),
    [sym_gnu_asm_expression] = STATE(5024),
    [sym_field_expression] = STATE(4737),
    [sym_compound_literal_expression] = STATE(5024),
    [sym_parenthesized_expression] = STATE(4737),
    [sym_char_literal] = STATE(5374),
    [sym_concatenated_string] = STATE(5377),
    [sym_string_literal] = STATE(4206),
    [sym_null] = STATE(5024),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9352),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(5024),
    [sym_raw_string_literal] = STATE(4217),
    [sym_co_await_expression] = STATE(5024),
    [sym_new_expression] = STATE(5024),
    [sym_delete_expression] = STATE(5024),
    [sym_requires_clause] = STATE(5024),
    [sym_requires_expression] = STATE(5024),
    [sym_lambda_expression] = STATE(5024),
    [sym_lambda_capture_specifier] = STATE(7184),
    [sym_fold_expression] = STATE(5024),
    [sym_parameter_pack_expansion] = STATE(5024),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6886),
    [sym_qualified_identifier] = STATE(4737),
    [sym_qualified_type_identifier] = STATE(9352),
    [sym_user_defined_literal] = STATE(4737),
    [sym_identifier] = ACTIONS(4502),
    [anon_sym_LPAREN2] = ACTIONS(4540),
    [anon_sym_BANG] = ACTIONS(4506),
    [anon_sym_TILDE] = ACTIONS(4506),
    [anon_sym_DASH] = ACTIONS(4504),
    [anon_sym_PLUS] = ACTIONS(4504),
    [anon_sym_STAR] = ACTIONS(1474),
    [anon_sym_AMP] = ACTIONS(1474),
    [anon_sym_COLON_COLON] = ACTIONS(4508),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [sym_primitive_type] = ACTIONS(3146),
    [anon_sym_not] = ACTIONS(4504),
    [anon_sym_compl] = ACTIONS(4504),
    [anon_sym_DASH_DASH] = ACTIONS(4544),
    [anon_sym_PLUS_PLUS] = ACTIONS(4544),
    [anon_sym_sizeof] = ACTIONS(4510),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(4512),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(4514),
    [anon_sym_new] = ACTIONS(4516),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [2147] = {
    [sym__expression] = STATE(5624),
    [sym__expression_not_binary] = STATE(5024),
    [sym__string] = STATE(5024),
    [sym_conditional_expression] = STATE(5024),
    [sym_assignment_expression] = STATE(5024),
    [sym_pointer_expression] = STATE(4737),
    [sym_unary_expression] = STATE(5024),
    [sym_binary_expression] = STATE(5024),
    [sym_update_expression] = STATE(5024),
    [sym_cast_expression] = STATE(5024),
    [sym_sizeof_expression] = STATE(5024),
    [sym_alignof_expression] = STATE(5024),
    [sym_offsetof_expression] = STATE(5024),
    [sym_generic_expression] = STATE(5024),
    [sym_subscript_expression] = STATE(4737),
    [sym_call_expression] = STATE(4737),
    [sym_gnu_asm_expression] = STATE(5024),
    [sym_field_expression] = STATE(4737),
    [sym_compound_literal_expression] = STATE(5024),
    [sym_parenthesized_expression] = STATE(4737),
    [sym_char_literal] = STATE(5374),
    [sym_concatenated_string] = STATE(5377),
    [sym_string_literal] = STATE(4206),
    [sym_null] = STATE(5024),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9352),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(5024),
    [sym_raw_string_literal] = STATE(4217),
    [sym_co_await_expression] = STATE(5024),
    [sym_new_expression] = STATE(5024),
    [sym_delete_expression] = STATE(5024),
    [sym_requires_clause] = STATE(5024),
    [sym_requires_expression] = STATE(5024),
    [sym_lambda_expression] = STATE(5024),
    [sym_lambda_capture_specifier] = STATE(7184),
    [sym_fold_expression] = STATE(5024),
    [sym_parameter_pack_expansion] = STATE(5024),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6886),
    [sym_qualified_identifier] = STATE(4737),
    [sym_qualified_type_identifier] = STATE(9352),
    [sym_user_defined_literal] = STATE(4737),
    [sym_identifier] = ACTIONS(4502),
    [anon_sym_LPAREN2] = ACTIONS(4540),
    [anon_sym_BANG] = ACTIONS(4506),
    [anon_sym_TILDE] = ACTIONS(4506),
    [anon_sym_DASH] = ACTIONS(4504),
    [anon_sym_PLUS] = ACTIONS(4504),
    [anon_sym_STAR] = ACTIONS(1474),
    [anon_sym_AMP] = ACTIONS(1474),
    [anon_sym_COLON_COLON] = ACTIONS(4508),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [sym_primitive_type] = ACTIONS(3146),
    [anon_sym_not] = ACTIONS(4504),
    [anon_sym_compl] = ACTIONS(4504),
    [anon_sym_DASH_DASH] = ACTIONS(4544),
    [anon_sym_PLUS_PLUS] = ACTIONS(4544),
    [anon_sym_sizeof] = ACTIONS(4510),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(4512),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(4514),
    [anon_sym_new] = ACTIONS(4516),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [2148] = {
    [sym__expression] = STATE(3832),
    [sym__expression_not_binary] = STATE(3672),
    [sym__string] = STATE(3672),
    [sym_conditional_expression] = STATE(3672),
    [sym_assignment_expression] = STATE(3672),
    [sym_pointer_expression] = STATE(3672),
    [sym_unary_expression] = STATE(3672),
    [sym_binary_expression] = STATE(3672),
    [sym_update_expression] = STATE(3672),
    [sym_cast_expression] = STATE(3672),
    [sym_sizeof_expression] = STATE(3672),
    [sym_alignof_expression] = STATE(3672),
    [sym_offsetof_expression] = STATE(3672),
    [sym_generic_expression] = STATE(3672),
    [sym_subscript_expression] = STATE(3672),
    [sym_call_expression] = STATE(3672),
    [sym_gnu_asm_expression] = STATE(3672),
    [sym_field_expression] = STATE(3672),
    [sym_compound_literal_expression] = STATE(3672),
    [sym_parenthesized_expression] = STATE(3672),
    [sym_char_literal] = STATE(3855),
    [sym_concatenated_string] = STATE(3873),
    [sym_string_literal] = STATE(3222),
    [sym_null] = STATE(3672),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9333),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(3672),
    [sym_raw_string_literal] = STATE(3216),
    [sym_co_await_expression] = STATE(3672),
    [sym_new_expression] = STATE(3672),
    [sym_delete_expression] = STATE(3672),
    [sym_requires_clause] = STATE(3672),
    [sym_requires_expression] = STATE(3672),
    [sym_lambda_expression] = STATE(3672),
    [sym_lambda_capture_specifier] = STATE(7134),
    [sym_fold_expression] = STATE(3672),
    [sym_parameter_pack_expansion] = STATE(3672),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6886),
    [sym_qualified_identifier] = STATE(3672),
    [sym_qualified_type_identifier] = STATE(9333),
    [sym_user_defined_literal] = STATE(3672),
    [sym_identifier] = ACTIONS(3968),
    [anon_sym_LPAREN2] = ACTIONS(5184),
    [anon_sym_BANG] = ACTIONS(3922),
    [anon_sym_TILDE] = ACTIONS(3922),
    [anon_sym_DASH] = ACTIONS(3920),
    [anon_sym_PLUS] = ACTIONS(3920),
    [anon_sym_STAR] = ACTIONS(5186),
    [anon_sym_AMP] = ACTIONS(5186),
    [anon_sym_COLON_COLON] = ACTIONS(3924),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [sym_primitive_type] = ACTIONS(3928),
    [anon_sym_not] = ACTIONS(3920),
    [anon_sym_compl] = ACTIONS(3920),
    [anon_sym_DASH_DASH] = ACTIONS(5013),
    [anon_sym_PLUS_PLUS] = ACTIONS(5013),
    [anon_sym_sizeof] = ACTIONS(3930),
    [anon_sym___alignof__] = ACTIONS(3932),
    [anon_sym___alignof] = ACTIONS(3932),
    [anon_sym__alignof] = ACTIONS(3932),
    [anon_sym_alignof] = ACTIONS(3932),
    [anon_sym__Alignof] = ACTIONS(3932),
    [anon_sym_offsetof] = ACTIONS(3934),
    [anon_sym__Generic] = ACTIONS(3936),
    [anon_sym_asm] = ACTIONS(3938),
    [anon_sym___asm__] = ACTIONS(3938),
    [sym_number_literal] = ACTIONS(3940),
    [anon_sym_L_SQUOTE] = ACTIONS(3942),
    [anon_sym_u_SQUOTE] = ACTIONS(3942),
    [anon_sym_U_SQUOTE] = ACTIONS(3942),
    [anon_sym_u8_SQUOTE] = ACTIONS(3942),
    [anon_sym_SQUOTE] = ACTIONS(3942),
    [anon_sym_L_DQUOTE] = ACTIONS(3944),
    [anon_sym_u_DQUOTE] = ACTIONS(3944),
    [anon_sym_U_DQUOTE] = ACTIONS(3944),
    [anon_sym_u8_DQUOTE] = ACTIONS(3944),
    [anon_sym_DQUOTE] = ACTIONS(3944),
    [sym_true] = ACTIONS(3946),
    [sym_false] = ACTIONS(3946),
    [anon_sym_NULL] = ACTIONS(3948),
    [anon_sym_nullptr] = ACTIONS(3948),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(3950),
    [anon_sym_R_DQUOTE] = ACTIONS(3952),
    [anon_sym_LR_DQUOTE] = ACTIONS(3952),
    [anon_sym_uR_DQUOTE] = ACTIONS(3952),
    [anon_sym_UR_DQUOTE] = ACTIONS(3952),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3952),
    [anon_sym_co_await] = ACTIONS(3954),
    [anon_sym_new] = ACTIONS(3956),
    [anon_sym_requires] = ACTIONS(3958),
    [sym_this] = ACTIONS(3946),
  },
  [2149] = {
    [sym__expression] = STATE(5279),
    [sym__expression_not_binary] = STATE(5024),
    [sym__string] = STATE(5024),
    [sym_conditional_expression] = STATE(5024),
    [sym_assignment_expression] = STATE(5024),
    [sym_pointer_expression] = STATE(4031),
    [sym_unary_expression] = STATE(5024),
    [sym_binary_expression] = STATE(5024),
    [sym_update_expression] = STATE(5024),
    [sym_cast_expression] = STATE(5024),
    [sym_sizeof_expression] = STATE(5024),
    [sym_alignof_expression] = STATE(5024),
    [sym_offsetof_expression] = STATE(5024),
    [sym_generic_expression] = STATE(5024),
    [sym_subscript_expression] = STATE(4031),
    [sym_call_expression] = STATE(4031),
    [sym_gnu_asm_expression] = STATE(5024),
    [sym_field_expression] = STATE(4031),
    [sym_compound_literal_expression] = STATE(5024),
    [sym_parenthesized_expression] = STATE(4031),
    [sym_char_literal] = STATE(5335),
    [sym_concatenated_string] = STATE(5317),
    [sym_string_literal] = STATE(4163),
    [sym_null] = STATE(5024),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9352),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(5024),
    [sym_raw_string_literal] = STATE(4121),
    [sym_co_await_expression] = STATE(5024),
    [sym_new_expression] = STATE(5024),
    [sym_delete_expression] = STATE(5024),
    [sym_requires_clause] = STATE(5024),
    [sym_requires_expression] = STATE(5024),
    [sym_lambda_expression] = STATE(5024),
    [sym_lambda_capture_specifier] = STATE(7184),
    [sym_fold_expression] = STATE(5024),
    [sym_parameter_pack_expansion] = STATE(5024),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6886),
    [sym_qualified_identifier] = STATE(4031),
    [sym_qualified_type_identifier] = STATE(9352),
    [sym_user_defined_literal] = STATE(4031),
    [sym_identifier] = ACTIONS(5113),
    [anon_sym_LPAREN2] = ACTIONS(5212),
    [anon_sym_BANG] = ACTIONS(4409),
    [anon_sym_TILDE] = ACTIONS(4409),
    [anon_sym_DASH] = ACTIONS(4407),
    [anon_sym_PLUS] = ACTIONS(4407),
    [anon_sym_STAR] = ACTIONS(5186),
    [anon_sym_AMP] = ACTIONS(5186),
    [anon_sym_COLON_COLON] = ACTIONS(4411),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [sym_primitive_type] = ACTIONS(3146),
    [anon_sym_not] = ACTIONS(4407),
    [anon_sym_compl] = ACTIONS(4407),
    [anon_sym_DASH_DASH] = ACTIONS(5115),
    [anon_sym_PLUS_PLUS] = ACTIONS(5115),
    [anon_sym_sizeof] = ACTIONS(4415),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(4417),
    [anon_sym_L_SQUOTE] = ACTIONS(4419),
    [anon_sym_u_SQUOTE] = ACTIONS(4419),
    [anon_sym_U_SQUOTE] = ACTIONS(4419),
    [anon_sym_u8_SQUOTE] = ACTIONS(4419),
    [anon_sym_SQUOTE] = ACTIONS(4419),
    [anon_sym_L_DQUOTE] = ACTIONS(4247),
    [anon_sym_u_DQUOTE] = ACTIONS(4247),
    [anon_sym_U_DQUOTE] = ACTIONS(4247),
    [anon_sym_u8_DQUOTE] = ACTIONS(4247),
    [anon_sym_DQUOTE] = ACTIONS(4247),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(4421),
    [anon_sym_R_DQUOTE] = ACTIONS(4249),
    [anon_sym_LR_DQUOTE] = ACTIONS(4249),
    [anon_sym_uR_DQUOTE] = ACTIONS(4249),
    [anon_sym_UR_DQUOTE] = ACTIONS(4249),
    [anon_sym_u8R_DQUOTE] = ACTIONS(4249),
    [anon_sym_co_await] = ACTIONS(4423),
    [anon_sym_new] = ACTIONS(4425),
    [anon_sym_requires] = ACTIONS(4427),
    [sym_this] = ACTIONS(221),
  },
  [2150] = {
    [sym__expression] = STATE(5953),
    [sym__expression_not_binary] = STATE(5024),
    [sym__string] = STATE(5024),
    [sym_conditional_expression] = STATE(5024),
    [sym_assignment_expression] = STATE(5024),
    [sym_pointer_expression] = STATE(4713),
    [sym_unary_expression] = STATE(5024),
    [sym_binary_expression] = STATE(5024),
    [sym_update_expression] = STATE(5024),
    [sym_cast_expression] = STATE(5024),
    [sym_sizeof_expression] = STATE(5024),
    [sym_alignof_expression] = STATE(5024),
    [sym_offsetof_expression] = STATE(5024),
    [sym_generic_expression] = STATE(5024),
    [sym_subscript_expression] = STATE(4713),
    [sym_call_expression] = STATE(4713),
    [sym_gnu_asm_expression] = STATE(5024),
    [sym_field_expression] = STATE(4713),
    [sym_compound_literal_expression] = STATE(5024),
    [sym_parenthesized_expression] = STATE(4713),
    [sym_char_literal] = STATE(5374),
    [sym_concatenated_string] = STATE(5377),
    [sym_string_literal] = STATE(4206),
    [sym_null] = STATE(5024),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9352),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(5024),
    [sym_raw_string_literal] = STATE(4217),
    [sym_co_await_expression] = STATE(5024),
    [sym_new_expression] = STATE(5024),
    [sym_delete_expression] = STATE(5024),
    [sym_requires_clause] = STATE(5024),
    [sym_requires_expression] = STATE(5024),
    [sym_lambda_expression] = STATE(5024),
    [sym_lambda_capture_specifier] = STATE(7184),
    [sym_fold_expression] = STATE(5024),
    [sym_parameter_pack_expansion] = STATE(5024),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6886),
    [sym_qualified_identifier] = STATE(4713),
    [sym_qualified_type_identifier] = STATE(9352),
    [sym_user_defined_literal] = STATE(4713),
    [sym_identifier] = ACTIONS(4518),
    [anon_sym_LPAREN2] = ACTIONS(5188),
    [anon_sym_BANG] = ACTIONS(4522),
    [anon_sym_TILDE] = ACTIONS(4522),
    [anon_sym_DASH] = ACTIONS(4520),
    [anon_sym_PLUS] = ACTIONS(4520),
    [anon_sym_STAR] = ACTIONS(5190),
    [anon_sym_AMP] = ACTIONS(5190),
    [anon_sym_COLON_COLON] = ACTIONS(4524),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [sym_primitive_type] = ACTIONS(3146),
    [anon_sym_not] = ACTIONS(4520),
    [anon_sym_compl] = ACTIONS(4520),
    [anon_sym_DASH_DASH] = ACTIONS(5071),
    [anon_sym_PLUS_PLUS] = ACTIONS(5071),
    [anon_sym_sizeof] = ACTIONS(4526),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(4528),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(4530),
    [anon_sym_new] = ACTIONS(4516),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [2151] = {
    [sym__expression] = STATE(5623),
    [sym__expression_not_binary] = STATE(5024),
    [sym__string] = STATE(5024),
    [sym_conditional_expression] = STATE(5024),
    [sym_assignment_expression] = STATE(5024),
    [sym_pointer_expression] = STATE(4737),
    [sym_unary_expression] = STATE(5024),
    [sym_binary_expression] = STATE(5024),
    [sym_update_expression] = STATE(5024),
    [sym_cast_expression] = STATE(5024),
    [sym_sizeof_expression] = STATE(5024),
    [sym_alignof_expression] = STATE(5024),
    [sym_offsetof_expression] = STATE(5024),
    [sym_generic_expression] = STATE(5024),
    [sym_subscript_expression] = STATE(4737),
    [sym_call_expression] = STATE(4737),
    [sym_gnu_asm_expression] = STATE(5024),
    [sym_field_expression] = STATE(4737),
    [sym_compound_literal_expression] = STATE(5024),
    [sym_parenthesized_expression] = STATE(4737),
    [sym_char_literal] = STATE(5374),
    [sym_concatenated_string] = STATE(5377),
    [sym_string_literal] = STATE(4206),
    [sym_null] = STATE(5024),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9352),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(5024),
    [sym_raw_string_literal] = STATE(4217),
    [sym_co_await_expression] = STATE(5024),
    [sym_new_expression] = STATE(5024),
    [sym_delete_expression] = STATE(5024),
    [sym_requires_clause] = STATE(5024),
    [sym_requires_expression] = STATE(5024),
    [sym_lambda_expression] = STATE(5024),
    [sym_lambda_capture_specifier] = STATE(7184),
    [sym_fold_expression] = STATE(5024),
    [sym_parameter_pack_expansion] = STATE(5024),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6886),
    [sym_qualified_identifier] = STATE(4737),
    [sym_qualified_type_identifier] = STATE(9352),
    [sym_user_defined_literal] = STATE(4737),
    [sym_identifier] = ACTIONS(4502),
    [anon_sym_LPAREN2] = ACTIONS(4540),
    [anon_sym_BANG] = ACTIONS(4506),
    [anon_sym_TILDE] = ACTIONS(4506),
    [anon_sym_DASH] = ACTIONS(4504),
    [anon_sym_PLUS] = ACTIONS(4504),
    [anon_sym_STAR] = ACTIONS(1474),
    [anon_sym_AMP] = ACTIONS(1474),
    [anon_sym_COLON_COLON] = ACTIONS(4508),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [sym_primitive_type] = ACTIONS(3146),
    [anon_sym_not] = ACTIONS(4504),
    [anon_sym_compl] = ACTIONS(4504),
    [anon_sym_DASH_DASH] = ACTIONS(4544),
    [anon_sym_PLUS_PLUS] = ACTIONS(4544),
    [anon_sym_sizeof] = ACTIONS(4510),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(4512),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(4514),
    [anon_sym_new] = ACTIONS(4516),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [2152] = {
    [sym__expression] = STATE(5713),
    [sym__expression_not_binary] = STATE(5024),
    [sym__string] = STATE(5024),
    [sym_conditional_expression] = STATE(5024),
    [sym_assignment_expression] = STATE(5024),
    [sym_pointer_expression] = STATE(4737),
    [sym_unary_expression] = STATE(5024),
    [sym_binary_expression] = STATE(5024),
    [sym_update_expression] = STATE(5024),
    [sym_cast_expression] = STATE(5024),
    [sym_sizeof_expression] = STATE(5024),
    [sym_alignof_expression] = STATE(5024),
    [sym_offsetof_expression] = STATE(5024),
    [sym_generic_expression] = STATE(5024),
    [sym_subscript_expression] = STATE(4737),
    [sym_call_expression] = STATE(4737),
    [sym_gnu_asm_expression] = STATE(5024),
    [sym_field_expression] = STATE(4737),
    [sym_compound_literal_expression] = STATE(5024),
    [sym_parenthesized_expression] = STATE(4737),
    [sym_char_literal] = STATE(5374),
    [sym_concatenated_string] = STATE(5377),
    [sym_string_literal] = STATE(4206),
    [sym_null] = STATE(5024),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9352),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(5024),
    [sym_raw_string_literal] = STATE(4217),
    [sym_co_await_expression] = STATE(5024),
    [sym_new_expression] = STATE(5024),
    [sym_delete_expression] = STATE(5024),
    [sym_requires_clause] = STATE(5024),
    [sym_requires_expression] = STATE(5024),
    [sym_lambda_expression] = STATE(5024),
    [sym_lambda_capture_specifier] = STATE(7184),
    [sym_fold_expression] = STATE(5024),
    [sym_parameter_pack_expansion] = STATE(5024),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6886),
    [sym_qualified_identifier] = STATE(4737),
    [sym_qualified_type_identifier] = STATE(9352),
    [sym_user_defined_literal] = STATE(4737),
    [sym_identifier] = ACTIONS(4502),
    [anon_sym_LPAREN2] = ACTIONS(4540),
    [anon_sym_BANG] = ACTIONS(4506),
    [anon_sym_TILDE] = ACTIONS(4506),
    [anon_sym_DASH] = ACTIONS(4504),
    [anon_sym_PLUS] = ACTIONS(4504),
    [anon_sym_STAR] = ACTIONS(1474),
    [anon_sym_AMP] = ACTIONS(1474),
    [anon_sym_COLON_COLON] = ACTIONS(4508),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [sym_primitive_type] = ACTIONS(3146),
    [anon_sym_not] = ACTIONS(4504),
    [anon_sym_compl] = ACTIONS(4504),
    [anon_sym_DASH_DASH] = ACTIONS(4544),
    [anon_sym_PLUS_PLUS] = ACTIONS(4544),
    [anon_sym_sizeof] = ACTIONS(4510),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(4512),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(4514),
    [anon_sym_new] = ACTIONS(4516),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [2153] = {
    [sym__expression] = STATE(4510),
    [sym__expression_not_binary] = STATE(4786),
    [sym__string] = STATE(4786),
    [sym_conditional_expression] = STATE(4786),
    [sym_assignment_expression] = STATE(4786),
    [sym_pointer_expression] = STATE(4786),
    [sym_unary_expression] = STATE(4786),
    [sym_binary_expression] = STATE(4786),
    [sym_update_expression] = STATE(4786),
    [sym_cast_expression] = STATE(4786),
    [sym_sizeof_expression] = STATE(4786),
    [sym_alignof_expression] = STATE(4786),
    [sym_offsetof_expression] = STATE(4786),
    [sym_generic_expression] = STATE(4786),
    [sym_subscript_expression] = STATE(4786),
    [sym_call_expression] = STATE(4786),
    [sym_gnu_asm_expression] = STATE(4786),
    [sym_field_expression] = STATE(4786),
    [sym_compound_literal_expression] = STATE(4786),
    [sym_parenthesized_expression] = STATE(4786),
    [sym_char_literal] = STATE(4554),
    [sym_concatenated_string] = STATE(4621),
    [sym_string_literal] = STATE(3503),
    [sym_null] = STATE(4786),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9199),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(4786),
    [sym_raw_string_literal] = STATE(3498),
    [sym_co_await_expression] = STATE(4786),
    [sym_new_expression] = STATE(4786),
    [sym_delete_expression] = STATE(4786),
    [sym_requires_clause] = STATE(4786),
    [sym_requires_expression] = STATE(4786),
    [sym_lambda_expression] = STATE(4786),
    [sym_lambda_capture_specifier] = STATE(7160),
    [sym_fold_expression] = STATE(4786),
    [sym_parameter_pack_expansion] = STATE(4786),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6932),
    [sym_qualified_identifier] = STATE(4786),
    [sym_qualified_type_identifier] = STATE(9199),
    [sym_user_defined_literal] = STATE(4786),
    [sym_identifier] = ACTIONS(4126),
    [anon_sym_LPAREN2] = ACTIONS(5194),
    [anon_sym_BANG] = ACTIONS(4130),
    [anon_sym_TILDE] = ACTIONS(4130),
    [anon_sym_DASH] = ACTIONS(4128),
    [anon_sym_PLUS] = ACTIONS(4128),
    [anon_sym_STAR] = ACTIONS(4261),
    [anon_sym_AMP] = ACTIONS(4261),
    [anon_sym_COLON_COLON] = ACTIONS(4132),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [sym_primitive_type] = ACTIONS(4136),
    [anon_sym_not] = ACTIONS(4128),
    [anon_sym_compl] = ACTIONS(4128),
    [anon_sym_DASH_DASH] = ACTIONS(5049),
    [anon_sym_PLUS_PLUS] = ACTIONS(5049),
    [anon_sym_sizeof] = ACTIONS(4138),
    [anon_sym___alignof__] = ACTIONS(4140),
    [anon_sym___alignof] = ACTIONS(4140),
    [anon_sym__alignof] = ACTIONS(4140),
    [anon_sym_alignof] = ACTIONS(4140),
    [anon_sym__Alignof] = ACTIONS(4140),
    [anon_sym_offsetof] = ACTIONS(4142),
    [anon_sym__Generic] = ACTIONS(4144),
    [anon_sym_asm] = ACTIONS(4146),
    [anon_sym___asm__] = ACTIONS(4146),
    [sym_number_literal] = ACTIONS(4148),
    [anon_sym_L_SQUOTE] = ACTIONS(4150),
    [anon_sym_u_SQUOTE] = ACTIONS(4150),
    [anon_sym_U_SQUOTE] = ACTIONS(4150),
    [anon_sym_u8_SQUOTE] = ACTIONS(4150),
    [anon_sym_SQUOTE] = ACTIONS(4150),
    [anon_sym_L_DQUOTE] = ACTIONS(4152),
    [anon_sym_u_DQUOTE] = ACTIONS(4152),
    [anon_sym_U_DQUOTE] = ACTIONS(4152),
    [anon_sym_u8_DQUOTE] = ACTIONS(4152),
    [anon_sym_DQUOTE] = ACTIONS(4152),
    [sym_true] = ACTIONS(4154),
    [sym_false] = ACTIONS(4154),
    [anon_sym_NULL] = ACTIONS(4156),
    [anon_sym_nullptr] = ACTIONS(4156),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(4158),
    [anon_sym_R_DQUOTE] = ACTIONS(4160),
    [anon_sym_LR_DQUOTE] = ACTIONS(4160),
    [anon_sym_uR_DQUOTE] = ACTIONS(4160),
    [anon_sym_UR_DQUOTE] = ACTIONS(4160),
    [anon_sym_u8R_DQUOTE] = ACTIONS(4160),
    [anon_sym_co_await] = ACTIONS(4162),
    [anon_sym_new] = ACTIONS(4164),
    [anon_sym_requires] = ACTIONS(4166),
    [sym_this] = ACTIONS(4154),
  },
  [2154] = {
    [sym__expression] = STATE(5684),
    [sym__expression_not_binary] = STATE(5024),
    [sym__string] = STATE(5024),
    [sym_conditional_expression] = STATE(5024),
    [sym_assignment_expression] = STATE(5024),
    [sym_pointer_expression] = STATE(4737),
    [sym_unary_expression] = STATE(5024),
    [sym_binary_expression] = STATE(5024),
    [sym_update_expression] = STATE(5024),
    [sym_cast_expression] = STATE(5024),
    [sym_sizeof_expression] = STATE(5024),
    [sym_alignof_expression] = STATE(5024),
    [sym_offsetof_expression] = STATE(5024),
    [sym_generic_expression] = STATE(5024),
    [sym_subscript_expression] = STATE(4737),
    [sym_call_expression] = STATE(4737),
    [sym_gnu_asm_expression] = STATE(5024),
    [sym_field_expression] = STATE(4737),
    [sym_compound_literal_expression] = STATE(5024),
    [sym_parenthesized_expression] = STATE(4737),
    [sym_char_literal] = STATE(5374),
    [sym_concatenated_string] = STATE(5377),
    [sym_string_literal] = STATE(4206),
    [sym_null] = STATE(5024),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9352),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(5024),
    [sym_raw_string_literal] = STATE(4217),
    [sym_co_await_expression] = STATE(5024),
    [sym_new_expression] = STATE(5024),
    [sym_delete_expression] = STATE(5024),
    [sym_requires_clause] = STATE(5024),
    [sym_requires_expression] = STATE(5024),
    [sym_lambda_expression] = STATE(5024),
    [sym_lambda_capture_specifier] = STATE(7184),
    [sym_fold_expression] = STATE(5024),
    [sym_parameter_pack_expansion] = STATE(5024),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6886),
    [sym_qualified_identifier] = STATE(4737),
    [sym_qualified_type_identifier] = STATE(9352),
    [sym_user_defined_literal] = STATE(4737),
    [sym_identifier] = ACTIONS(4502),
    [anon_sym_LPAREN2] = ACTIONS(4540),
    [anon_sym_BANG] = ACTIONS(4506),
    [anon_sym_TILDE] = ACTIONS(4506),
    [anon_sym_DASH] = ACTIONS(4504),
    [anon_sym_PLUS] = ACTIONS(4504),
    [anon_sym_STAR] = ACTIONS(1474),
    [anon_sym_AMP] = ACTIONS(1474),
    [anon_sym_COLON_COLON] = ACTIONS(4508),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [sym_primitive_type] = ACTIONS(3146),
    [anon_sym_not] = ACTIONS(4504),
    [anon_sym_compl] = ACTIONS(4504),
    [anon_sym_DASH_DASH] = ACTIONS(4544),
    [anon_sym_PLUS_PLUS] = ACTIONS(4544),
    [anon_sym_sizeof] = ACTIONS(4510),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(4512),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(4514),
    [anon_sym_new] = ACTIONS(4516),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [2155] = {
    [sym__expression] = STATE(5634),
    [sym__expression_not_binary] = STATE(5024),
    [sym__string] = STATE(5024),
    [sym_conditional_expression] = STATE(5024),
    [sym_assignment_expression] = STATE(5024),
    [sym_pointer_expression] = STATE(4737),
    [sym_unary_expression] = STATE(5024),
    [sym_binary_expression] = STATE(5024),
    [sym_update_expression] = STATE(5024),
    [sym_cast_expression] = STATE(5024),
    [sym_sizeof_expression] = STATE(5024),
    [sym_alignof_expression] = STATE(5024),
    [sym_offsetof_expression] = STATE(5024),
    [sym_generic_expression] = STATE(5024),
    [sym_subscript_expression] = STATE(4737),
    [sym_call_expression] = STATE(4737),
    [sym_gnu_asm_expression] = STATE(5024),
    [sym_field_expression] = STATE(4737),
    [sym_compound_literal_expression] = STATE(5024),
    [sym_parenthesized_expression] = STATE(4737),
    [sym_char_literal] = STATE(5374),
    [sym_concatenated_string] = STATE(5377),
    [sym_string_literal] = STATE(4206),
    [sym_null] = STATE(5024),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9352),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(5024),
    [sym_raw_string_literal] = STATE(4217),
    [sym_co_await_expression] = STATE(5024),
    [sym_new_expression] = STATE(5024),
    [sym_delete_expression] = STATE(5024),
    [sym_requires_clause] = STATE(5024),
    [sym_requires_expression] = STATE(5024),
    [sym_lambda_expression] = STATE(5024),
    [sym_lambda_capture_specifier] = STATE(7184),
    [sym_fold_expression] = STATE(5024),
    [sym_parameter_pack_expansion] = STATE(5024),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6886),
    [sym_qualified_identifier] = STATE(4737),
    [sym_qualified_type_identifier] = STATE(9352),
    [sym_user_defined_literal] = STATE(4737),
    [sym_identifier] = ACTIONS(4502),
    [anon_sym_LPAREN2] = ACTIONS(4540),
    [anon_sym_BANG] = ACTIONS(4506),
    [anon_sym_TILDE] = ACTIONS(4506),
    [anon_sym_DASH] = ACTIONS(4504),
    [anon_sym_PLUS] = ACTIONS(4504),
    [anon_sym_STAR] = ACTIONS(1474),
    [anon_sym_AMP] = ACTIONS(1474),
    [anon_sym_COLON_COLON] = ACTIONS(4508),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [sym_primitive_type] = ACTIONS(3146),
    [anon_sym_not] = ACTIONS(4504),
    [anon_sym_compl] = ACTIONS(4504),
    [anon_sym_DASH_DASH] = ACTIONS(4544),
    [anon_sym_PLUS_PLUS] = ACTIONS(4544),
    [anon_sym_sizeof] = ACTIONS(4510),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(4512),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(4514),
    [anon_sym_new] = ACTIONS(4516),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [2156] = {
    [sym__expression] = STATE(4914),
    [sym__expression_not_binary] = STATE(5024),
    [sym__string] = STATE(5024),
    [sym_conditional_expression] = STATE(5024),
    [sym_assignment_expression] = STATE(5024),
    [sym_pointer_expression] = STATE(4507),
    [sym_unary_expression] = STATE(5024),
    [sym_binary_expression] = STATE(5024),
    [sym_update_expression] = STATE(5024),
    [sym_cast_expression] = STATE(5024),
    [sym_sizeof_expression] = STATE(5024),
    [sym_alignof_expression] = STATE(5024),
    [sym_offsetof_expression] = STATE(5024),
    [sym_generic_expression] = STATE(5024),
    [sym_subscript_expression] = STATE(4507),
    [sym_call_expression] = STATE(4507),
    [sym_gnu_asm_expression] = STATE(5024),
    [sym_field_expression] = STATE(4507),
    [sym_compound_literal_expression] = STATE(5024),
    [sym_parenthesized_expression] = STATE(4507),
    [sym_char_literal] = STATE(5374),
    [sym_concatenated_string] = STATE(5377),
    [sym_string_literal] = STATE(4206),
    [sym_null] = STATE(5024),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9352),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(5024),
    [sym_raw_string_literal] = STATE(4217),
    [sym_co_await_expression] = STATE(5024),
    [sym_new_expression] = STATE(5024),
    [sym_delete_expression] = STATE(5024),
    [sym_requires_clause] = STATE(5024),
    [sym_requires_expression] = STATE(5024),
    [sym_lambda_expression] = STATE(5024),
    [sym_lambda_capture_specifier] = STATE(7184),
    [sym_fold_expression] = STATE(5024),
    [sym_parameter_pack_expansion] = STATE(5024),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6886),
    [sym_qualified_identifier] = STATE(4507),
    [sym_qualified_type_identifier] = STATE(9352),
    [sym_user_defined_literal] = STATE(4507),
    [sym_identifier] = ACTIONS(3140),
    [anon_sym_LPAREN2] = ACTIONS(1472),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1474),
    [anon_sym_AMP] = ACTIONS(1474),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [sym_primitive_type] = ACTIONS(3146),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [2157] = {
    [sym__expression] = STATE(4195),
    [sym__expression_not_binary] = STATE(3672),
    [sym__string] = STATE(3672),
    [sym_conditional_expression] = STATE(3672),
    [sym_assignment_expression] = STATE(3672),
    [sym_pointer_expression] = STATE(3672),
    [sym_unary_expression] = STATE(3672),
    [sym_binary_expression] = STATE(3672),
    [sym_update_expression] = STATE(3672),
    [sym_cast_expression] = STATE(3672),
    [sym_sizeof_expression] = STATE(3672),
    [sym_alignof_expression] = STATE(3672),
    [sym_offsetof_expression] = STATE(3672),
    [sym_generic_expression] = STATE(3672),
    [sym_subscript_expression] = STATE(3672),
    [sym_call_expression] = STATE(3672),
    [sym_gnu_asm_expression] = STATE(3672),
    [sym_field_expression] = STATE(3672),
    [sym_compound_literal_expression] = STATE(3672),
    [sym_parenthesized_expression] = STATE(3672),
    [sym_char_literal] = STATE(4466),
    [sym_concatenated_string] = STATE(4465),
    [sym_string_literal] = STATE(3395),
    [sym_null] = STATE(3672),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9333),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(3672),
    [sym_raw_string_literal] = STATE(3400),
    [sym_co_await_expression] = STATE(3672),
    [sym_new_expression] = STATE(3672),
    [sym_delete_expression] = STATE(3672),
    [sym_requires_clause] = STATE(3672),
    [sym_requires_expression] = STATE(3672),
    [sym_lambda_expression] = STATE(3672),
    [sym_lambda_capture_specifier] = STATE(7134),
    [sym_fold_expression] = STATE(3672),
    [sym_parameter_pack_expansion] = STATE(3672),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6886),
    [sym_qualified_identifier] = STATE(3672),
    [sym_qualified_type_identifier] = STATE(9333),
    [sym_user_defined_literal] = STATE(3672),
    [sym_identifier] = ACTIONS(4070),
    [anon_sym_LPAREN2] = ACTIONS(5257),
    [anon_sym_BANG] = ACTIONS(4074),
    [anon_sym_TILDE] = ACTIONS(4074),
    [anon_sym_DASH] = ACTIONS(4072),
    [anon_sym_PLUS] = ACTIONS(4072),
    [anon_sym_STAR] = ACTIONS(5017),
    [anon_sym_AMP] = ACTIONS(5017),
    [anon_sym_COLON_COLON] = ACTIONS(4076),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [sym_primitive_type] = ACTIONS(3928),
    [anon_sym_not] = ACTIONS(4072),
    [anon_sym_compl] = ACTIONS(4072),
    [anon_sym_DASH_DASH] = ACTIONS(5043),
    [anon_sym_PLUS_PLUS] = ACTIONS(5043),
    [anon_sym_sizeof] = ACTIONS(4078),
    [anon_sym___alignof__] = ACTIONS(3932),
    [anon_sym___alignof] = ACTIONS(3932),
    [anon_sym__alignof] = ACTIONS(3932),
    [anon_sym_alignof] = ACTIONS(3932),
    [anon_sym__Alignof] = ACTIONS(3932),
    [anon_sym_offsetof] = ACTIONS(3934),
    [anon_sym__Generic] = ACTIONS(3936),
    [anon_sym_asm] = ACTIONS(3938),
    [anon_sym___asm__] = ACTIONS(3938),
    [sym_number_literal] = ACTIONS(4080),
    [anon_sym_L_SQUOTE] = ACTIONS(4082),
    [anon_sym_u_SQUOTE] = ACTIONS(4082),
    [anon_sym_U_SQUOTE] = ACTIONS(4082),
    [anon_sym_u8_SQUOTE] = ACTIONS(4082),
    [anon_sym_SQUOTE] = ACTIONS(4082),
    [anon_sym_L_DQUOTE] = ACTIONS(4084),
    [anon_sym_u_DQUOTE] = ACTIONS(4084),
    [anon_sym_U_DQUOTE] = ACTIONS(4084),
    [anon_sym_u8_DQUOTE] = ACTIONS(4084),
    [anon_sym_DQUOTE] = ACTIONS(4084),
    [sym_true] = ACTIONS(3946),
    [sym_false] = ACTIONS(3946),
    [anon_sym_NULL] = ACTIONS(3948),
    [anon_sym_nullptr] = ACTIONS(3948),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(4086),
    [anon_sym_R_DQUOTE] = ACTIONS(4088),
    [anon_sym_LR_DQUOTE] = ACTIONS(4088),
    [anon_sym_uR_DQUOTE] = ACTIONS(4088),
    [anon_sym_UR_DQUOTE] = ACTIONS(4088),
    [anon_sym_u8R_DQUOTE] = ACTIONS(4088),
    [anon_sym_co_await] = ACTIONS(4090),
    [anon_sym_new] = ACTIONS(3990),
    [anon_sym_requires] = ACTIONS(3958),
    [sym_this] = ACTIONS(3946),
  },
  [2158] = {
    [sym__expression] = STATE(5638),
    [sym__expression_not_binary] = STATE(5024),
    [sym__string] = STATE(5024),
    [sym_conditional_expression] = STATE(5024),
    [sym_assignment_expression] = STATE(5024),
    [sym_pointer_expression] = STATE(4737),
    [sym_unary_expression] = STATE(5024),
    [sym_binary_expression] = STATE(5024),
    [sym_update_expression] = STATE(5024),
    [sym_cast_expression] = STATE(5024),
    [sym_sizeof_expression] = STATE(5024),
    [sym_alignof_expression] = STATE(5024),
    [sym_offsetof_expression] = STATE(5024),
    [sym_generic_expression] = STATE(5024),
    [sym_subscript_expression] = STATE(4737),
    [sym_call_expression] = STATE(4737),
    [sym_gnu_asm_expression] = STATE(5024),
    [sym_field_expression] = STATE(4737),
    [sym_compound_literal_expression] = STATE(5024),
    [sym_parenthesized_expression] = STATE(4737),
    [sym_char_literal] = STATE(5374),
    [sym_concatenated_string] = STATE(5377),
    [sym_string_literal] = STATE(4206),
    [sym_null] = STATE(5024),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9352),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(5024),
    [sym_raw_string_literal] = STATE(4217),
    [sym_co_await_expression] = STATE(5024),
    [sym_new_expression] = STATE(5024),
    [sym_delete_expression] = STATE(5024),
    [sym_requires_clause] = STATE(5024),
    [sym_requires_expression] = STATE(5024),
    [sym_lambda_expression] = STATE(5024),
    [sym_lambda_capture_specifier] = STATE(7184),
    [sym_fold_expression] = STATE(5024),
    [sym_parameter_pack_expansion] = STATE(5024),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6886),
    [sym_qualified_identifier] = STATE(4737),
    [sym_qualified_type_identifier] = STATE(9352),
    [sym_user_defined_literal] = STATE(4737),
    [sym_identifier] = ACTIONS(4502),
    [anon_sym_LPAREN2] = ACTIONS(4540),
    [anon_sym_BANG] = ACTIONS(4506),
    [anon_sym_TILDE] = ACTIONS(4506),
    [anon_sym_DASH] = ACTIONS(4504),
    [anon_sym_PLUS] = ACTIONS(4504),
    [anon_sym_STAR] = ACTIONS(1474),
    [anon_sym_AMP] = ACTIONS(1474),
    [anon_sym_COLON_COLON] = ACTIONS(4508),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [sym_primitive_type] = ACTIONS(3146),
    [anon_sym_not] = ACTIONS(4504),
    [anon_sym_compl] = ACTIONS(4504),
    [anon_sym_DASH_DASH] = ACTIONS(4544),
    [anon_sym_PLUS_PLUS] = ACTIONS(4544),
    [anon_sym_sizeof] = ACTIONS(4510),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(4512),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(4514),
    [anon_sym_new] = ACTIONS(4516),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [2159] = {
    [sym__expression] = STATE(5639),
    [sym__expression_not_binary] = STATE(5024),
    [sym__string] = STATE(5024),
    [sym_conditional_expression] = STATE(5024),
    [sym_assignment_expression] = STATE(5024),
    [sym_pointer_expression] = STATE(4737),
    [sym_unary_expression] = STATE(5024),
    [sym_binary_expression] = STATE(5024),
    [sym_update_expression] = STATE(5024),
    [sym_cast_expression] = STATE(5024),
    [sym_sizeof_expression] = STATE(5024),
    [sym_alignof_expression] = STATE(5024),
    [sym_offsetof_expression] = STATE(5024),
    [sym_generic_expression] = STATE(5024),
    [sym_subscript_expression] = STATE(4737),
    [sym_call_expression] = STATE(4737),
    [sym_gnu_asm_expression] = STATE(5024),
    [sym_field_expression] = STATE(4737),
    [sym_compound_literal_expression] = STATE(5024),
    [sym_parenthesized_expression] = STATE(4737),
    [sym_char_literal] = STATE(5374),
    [sym_concatenated_string] = STATE(5377),
    [sym_string_literal] = STATE(4206),
    [sym_null] = STATE(5024),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9352),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(5024),
    [sym_raw_string_literal] = STATE(4217),
    [sym_co_await_expression] = STATE(5024),
    [sym_new_expression] = STATE(5024),
    [sym_delete_expression] = STATE(5024),
    [sym_requires_clause] = STATE(5024),
    [sym_requires_expression] = STATE(5024),
    [sym_lambda_expression] = STATE(5024),
    [sym_lambda_capture_specifier] = STATE(7184),
    [sym_fold_expression] = STATE(5024),
    [sym_parameter_pack_expansion] = STATE(5024),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6886),
    [sym_qualified_identifier] = STATE(4737),
    [sym_qualified_type_identifier] = STATE(9352),
    [sym_user_defined_literal] = STATE(4737),
    [sym_identifier] = ACTIONS(4502),
    [anon_sym_LPAREN2] = ACTIONS(4540),
    [anon_sym_BANG] = ACTIONS(4506),
    [anon_sym_TILDE] = ACTIONS(4506),
    [anon_sym_DASH] = ACTIONS(4504),
    [anon_sym_PLUS] = ACTIONS(4504),
    [anon_sym_STAR] = ACTIONS(1474),
    [anon_sym_AMP] = ACTIONS(1474),
    [anon_sym_COLON_COLON] = ACTIONS(4508),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [sym_primitive_type] = ACTIONS(3146),
    [anon_sym_not] = ACTIONS(4504),
    [anon_sym_compl] = ACTIONS(4504),
    [anon_sym_DASH_DASH] = ACTIONS(4544),
    [anon_sym_PLUS_PLUS] = ACTIONS(4544),
    [anon_sym_sizeof] = ACTIONS(4510),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(4512),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(4514),
    [anon_sym_new] = ACTIONS(4516),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [2160] = {
    [sym__expression] = STATE(5786),
    [sym__expression_not_binary] = STATE(6001),
    [sym__string] = STATE(6001),
    [sym_conditional_expression] = STATE(6001),
    [sym_assignment_expression] = STATE(6001),
    [sym_pointer_expression] = STATE(4807),
    [sym_unary_expression] = STATE(6001),
    [sym_binary_expression] = STATE(6001),
    [sym_update_expression] = STATE(6001),
    [sym_cast_expression] = STATE(6001),
    [sym_sizeof_expression] = STATE(6001),
    [sym_alignof_expression] = STATE(6001),
    [sym_offsetof_expression] = STATE(6001),
    [sym_generic_expression] = STATE(6001),
    [sym_subscript_expression] = STATE(4807),
    [sym_call_expression] = STATE(4807),
    [sym_gnu_asm_expression] = STATE(6001),
    [sym_field_expression] = STATE(4807),
    [sym_compound_literal_expression] = STATE(6001),
    [sym_parenthesized_expression] = STATE(4807),
    [sym_char_literal] = STATE(5842),
    [sym_concatenated_string] = STATE(5845),
    [sym_string_literal] = STATE(4864),
    [sym_null] = STATE(6001),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(8975),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(6001),
    [sym_raw_string_literal] = STATE(4865),
    [sym_co_await_expression] = STATE(6001),
    [sym_new_expression] = STATE(6001),
    [sym_delete_expression] = STATE(6001),
    [sym_requires_clause] = STATE(6001),
    [sym_requires_expression] = STATE(6001),
    [sym_lambda_expression] = STATE(6001),
    [sym_lambda_capture_specifier] = STATE(7123),
    [sym_fold_expression] = STATE(6001),
    [sym_parameter_pack_expansion] = STATE(6001),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6932),
    [sym_qualified_identifier] = STATE(4807),
    [sym_qualified_type_identifier] = STATE(8975),
    [sym_user_defined_literal] = STATE(4807),
    [sym_identifier] = ACTIONS(4532),
    [anon_sym_LPAREN2] = ACTIONS(4255),
    [anon_sym_BANG] = ACTIONS(4257),
    [anon_sym_TILDE] = ACTIONS(4257),
    [anon_sym_DASH] = ACTIONS(4259),
    [anon_sym_PLUS] = ACTIONS(4259),
    [anon_sym_STAR] = ACTIONS(4261),
    [anon_sym_AMP] = ACTIONS(4261),
    [anon_sym_COLON_COLON] = ACTIONS(4263),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [sym_primitive_type] = ACTIONS(4536),
    [anon_sym_not] = ACTIONS(4259),
    [anon_sym_compl] = ACTIONS(4259),
    [anon_sym_DASH_DASH] = ACTIONS(4277),
    [anon_sym_PLUS_PLUS] = ACTIONS(4277),
    [anon_sym_sizeof] = ACTIONS(4279),
    [anon_sym___alignof__] = ACTIONS(4281),
    [anon_sym___alignof] = ACTIONS(4281),
    [anon_sym__alignof] = ACTIONS(4281),
    [anon_sym_alignof] = ACTIONS(4281),
    [anon_sym__Alignof] = ACTIONS(4281),
    [anon_sym_offsetof] = ACTIONS(4283),
    [anon_sym__Generic] = ACTIONS(4285),
    [anon_sym_asm] = ACTIONS(4287),
    [anon_sym___asm__] = ACTIONS(4287),
    [sym_number_literal] = ACTIONS(4289),
    [anon_sym_L_SQUOTE] = ACTIONS(4291),
    [anon_sym_u_SQUOTE] = ACTIONS(4291),
    [anon_sym_U_SQUOTE] = ACTIONS(4291),
    [anon_sym_u8_SQUOTE] = ACTIONS(4291),
    [anon_sym_SQUOTE] = ACTIONS(4291),
    [anon_sym_L_DQUOTE] = ACTIONS(4293),
    [anon_sym_u_DQUOTE] = ACTIONS(4293),
    [anon_sym_U_DQUOTE] = ACTIONS(4293),
    [anon_sym_u8_DQUOTE] = ACTIONS(4293),
    [anon_sym_DQUOTE] = ACTIONS(4293),
    [sym_true] = ACTIONS(4295),
    [sym_false] = ACTIONS(4295),
    [anon_sym_NULL] = ACTIONS(4297),
    [anon_sym_nullptr] = ACTIONS(4297),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(4307),
    [anon_sym_R_DQUOTE] = ACTIONS(4309),
    [anon_sym_LR_DQUOTE] = ACTIONS(4309),
    [anon_sym_uR_DQUOTE] = ACTIONS(4309),
    [anon_sym_UR_DQUOTE] = ACTIONS(4309),
    [anon_sym_u8R_DQUOTE] = ACTIONS(4309),
    [anon_sym_co_await] = ACTIONS(4311),
    [anon_sym_new] = ACTIONS(4313),
    [anon_sym_requires] = ACTIONS(4315),
    [sym_this] = ACTIONS(4295),
  },
  [2161] = {
    [sym__expression] = STATE(4512),
    [sym__expression_not_binary] = STATE(4786),
    [sym__string] = STATE(4786),
    [sym_conditional_expression] = STATE(4786),
    [sym_assignment_expression] = STATE(4786),
    [sym_pointer_expression] = STATE(4786),
    [sym_unary_expression] = STATE(4786),
    [sym_binary_expression] = STATE(4786),
    [sym_update_expression] = STATE(4786),
    [sym_cast_expression] = STATE(4786),
    [sym_sizeof_expression] = STATE(4786),
    [sym_alignof_expression] = STATE(4786),
    [sym_offsetof_expression] = STATE(4786),
    [sym_generic_expression] = STATE(4786),
    [sym_subscript_expression] = STATE(4786),
    [sym_call_expression] = STATE(4786),
    [sym_gnu_asm_expression] = STATE(4786),
    [sym_field_expression] = STATE(4786),
    [sym_compound_literal_expression] = STATE(4786),
    [sym_parenthesized_expression] = STATE(4786),
    [sym_char_literal] = STATE(4554),
    [sym_concatenated_string] = STATE(4621),
    [sym_string_literal] = STATE(3503),
    [sym_null] = STATE(4786),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9199),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(4786),
    [sym_raw_string_literal] = STATE(3498),
    [sym_co_await_expression] = STATE(4786),
    [sym_new_expression] = STATE(4786),
    [sym_delete_expression] = STATE(4786),
    [sym_requires_clause] = STATE(4786),
    [sym_requires_expression] = STATE(4786),
    [sym_lambda_expression] = STATE(4786),
    [sym_lambda_capture_specifier] = STATE(7160),
    [sym_fold_expression] = STATE(4786),
    [sym_parameter_pack_expansion] = STATE(4786),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6932),
    [sym_qualified_identifier] = STATE(4786),
    [sym_qualified_type_identifier] = STATE(9199),
    [sym_user_defined_literal] = STATE(4786),
    [sym_identifier] = ACTIONS(4126),
    [anon_sym_LPAREN2] = ACTIONS(5194),
    [anon_sym_BANG] = ACTIONS(4130),
    [anon_sym_TILDE] = ACTIONS(4130),
    [anon_sym_DASH] = ACTIONS(4128),
    [anon_sym_PLUS] = ACTIONS(4128),
    [anon_sym_STAR] = ACTIONS(4261),
    [anon_sym_AMP] = ACTIONS(4261),
    [anon_sym_COLON_COLON] = ACTIONS(4132),
    [anon_sym_LBRACK] = ACTIONS(5495),
    [sym_primitive_type] = ACTIONS(4136),
    [anon_sym_not] = ACTIONS(4128),
    [anon_sym_compl] = ACTIONS(4128),
    [anon_sym_DASH_DASH] = ACTIONS(5049),
    [anon_sym_PLUS_PLUS] = ACTIONS(5049),
    [anon_sym_sizeof] = ACTIONS(4138),
    [anon_sym___alignof__] = ACTIONS(4140),
    [anon_sym___alignof] = ACTIONS(4140),
    [anon_sym__alignof] = ACTIONS(4140),
    [anon_sym_alignof] = ACTIONS(4140),
    [anon_sym__Alignof] = ACTIONS(4140),
    [anon_sym_offsetof] = ACTIONS(4142),
    [anon_sym__Generic] = ACTIONS(4144),
    [anon_sym_asm] = ACTIONS(4146),
    [anon_sym___asm__] = ACTIONS(4146),
    [sym_number_literal] = ACTIONS(4148),
    [anon_sym_L_SQUOTE] = ACTIONS(4150),
    [anon_sym_u_SQUOTE] = ACTIONS(4150),
    [anon_sym_U_SQUOTE] = ACTIONS(4150),
    [anon_sym_u8_SQUOTE] = ACTIONS(4150),
    [anon_sym_SQUOTE] = ACTIONS(4150),
    [anon_sym_L_DQUOTE] = ACTIONS(4152),
    [anon_sym_u_DQUOTE] = ACTIONS(4152),
    [anon_sym_U_DQUOTE] = ACTIONS(4152),
    [anon_sym_u8_DQUOTE] = ACTIONS(4152),
    [anon_sym_DQUOTE] = ACTIONS(4152),
    [sym_true] = ACTIONS(4154),
    [sym_false] = ACTIONS(4154),
    [anon_sym_NULL] = ACTIONS(4156),
    [anon_sym_nullptr] = ACTIONS(4156),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(4158),
    [anon_sym_R_DQUOTE] = ACTIONS(4160),
    [anon_sym_LR_DQUOTE] = ACTIONS(4160),
    [anon_sym_uR_DQUOTE] = ACTIONS(4160),
    [anon_sym_UR_DQUOTE] = ACTIONS(4160),
    [anon_sym_u8R_DQUOTE] = ACTIONS(4160),
    [anon_sym_co_await] = ACTIONS(4162),
    [anon_sym_new] = ACTIONS(4164),
    [anon_sym_requires] = ACTIONS(4166),
    [sym_this] = ACTIONS(4154),
  },
  [2162] = {
    [sym__expression] = STATE(4311),
    [sym__expression_not_binary] = STATE(3672),
    [sym__string] = STATE(3672),
    [sym_conditional_expression] = STATE(3672),
    [sym_assignment_expression] = STATE(3672),
    [sym_pointer_expression] = STATE(3672),
    [sym_unary_expression] = STATE(3672),
    [sym_binary_expression] = STATE(3672),
    [sym_update_expression] = STATE(3672),
    [sym_cast_expression] = STATE(3672),
    [sym_sizeof_expression] = STATE(3672),
    [sym_alignof_expression] = STATE(3672),
    [sym_offsetof_expression] = STATE(3672),
    [sym_generic_expression] = STATE(3672),
    [sym_subscript_expression] = STATE(3672),
    [sym_call_expression] = STATE(3672),
    [sym_gnu_asm_expression] = STATE(3672),
    [sym_field_expression] = STATE(3672),
    [sym_compound_literal_expression] = STATE(3672),
    [sym_parenthesized_expression] = STATE(3672),
    [sym_char_literal] = STATE(4466),
    [sym_concatenated_string] = STATE(4465),
    [sym_string_literal] = STATE(3395),
    [sym_null] = STATE(3672),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9333),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(3672),
    [sym_raw_string_literal] = STATE(3400),
    [sym_co_await_expression] = STATE(3672),
    [sym_new_expression] = STATE(3672),
    [sym_delete_expression] = STATE(3672),
    [sym_requires_clause] = STATE(3672),
    [sym_requires_expression] = STATE(3672),
    [sym_lambda_expression] = STATE(3672),
    [sym_lambda_capture_specifier] = STATE(7134),
    [sym_fold_expression] = STATE(3672),
    [sym_parameter_pack_expansion] = STATE(3672),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6886),
    [sym_qualified_identifier] = STATE(3672),
    [sym_qualified_type_identifier] = STATE(9333),
    [sym_user_defined_literal] = STATE(3672),
    [sym_identifier] = ACTIONS(4070),
    [anon_sym_LPAREN2] = ACTIONS(5257),
    [anon_sym_BANG] = ACTIONS(4074),
    [anon_sym_TILDE] = ACTIONS(4074),
    [anon_sym_DASH] = ACTIONS(4072),
    [anon_sym_PLUS] = ACTIONS(4072),
    [anon_sym_STAR] = ACTIONS(5017),
    [anon_sym_AMP] = ACTIONS(5017),
    [anon_sym_COLON_COLON] = ACTIONS(4076),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [sym_primitive_type] = ACTIONS(3928),
    [anon_sym_not] = ACTIONS(4072),
    [anon_sym_compl] = ACTIONS(4072),
    [anon_sym_DASH_DASH] = ACTIONS(5043),
    [anon_sym_PLUS_PLUS] = ACTIONS(5043),
    [anon_sym_sizeof] = ACTIONS(4078),
    [anon_sym___alignof__] = ACTIONS(3932),
    [anon_sym___alignof] = ACTIONS(3932),
    [anon_sym__alignof] = ACTIONS(3932),
    [anon_sym_alignof] = ACTIONS(3932),
    [anon_sym__Alignof] = ACTIONS(3932),
    [anon_sym_offsetof] = ACTIONS(3934),
    [anon_sym__Generic] = ACTIONS(3936),
    [anon_sym_asm] = ACTIONS(3938),
    [anon_sym___asm__] = ACTIONS(3938),
    [sym_number_literal] = ACTIONS(4080),
    [anon_sym_L_SQUOTE] = ACTIONS(4082),
    [anon_sym_u_SQUOTE] = ACTIONS(4082),
    [anon_sym_U_SQUOTE] = ACTIONS(4082),
    [anon_sym_u8_SQUOTE] = ACTIONS(4082),
    [anon_sym_SQUOTE] = ACTIONS(4082),
    [anon_sym_L_DQUOTE] = ACTIONS(4084),
    [anon_sym_u_DQUOTE] = ACTIONS(4084),
    [anon_sym_U_DQUOTE] = ACTIONS(4084),
    [anon_sym_u8_DQUOTE] = ACTIONS(4084),
    [anon_sym_DQUOTE] = ACTIONS(4084),
    [sym_true] = ACTIONS(3946),
    [sym_false] = ACTIONS(3946),
    [anon_sym_NULL] = ACTIONS(3948),
    [anon_sym_nullptr] = ACTIONS(3948),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(4086),
    [anon_sym_R_DQUOTE] = ACTIONS(4088),
    [anon_sym_LR_DQUOTE] = ACTIONS(4088),
    [anon_sym_uR_DQUOTE] = ACTIONS(4088),
    [anon_sym_UR_DQUOTE] = ACTIONS(4088),
    [anon_sym_u8R_DQUOTE] = ACTIONS(4088),
    [anon_sym_co_await] = ACTIONS(4090),
    [anon_sym_new] = ACTIONS(3990),
    [anon_sym_requires] = ACTIONS(3958),
    [sym_this] = ACTIONS(3946),
  },
  [2163] = {
    [sym__expression] = STATE(5394),
    [sym__expression_not_binary] = STATE(5024),
    [sym__string] = STATE(5024),
    [sym_conditional_expression] = STATE(5024),
    [sym_assignment_expression] = STATE(5024),
    [sym_pointer_expression] = STATE(4507),
    [sym_unary_expression] = STATE(5024),
    [sym_binary_expression] = STATE(5024),
    [sym_update_expression] = STATE(5024),
    [sym_cast_expression] = STATE(5024),
    [sym_sizeof_expression] = STATE(5024),
    [sym_alignof_expression] = STATE(5024),
    [sym_offsetof_expression] = STATE(5024),
    [sym_generic_expression] = STATE(5024),
    [sym_subscript_expression] = STATE(4507),
    [sym_call_expression] = STATE(4507),
    [sym_gnu_asm_expression] = STATE(5024),
    [sym_field_expression] = STATE(4507),
    [sym_compound_literal_expression] = STATE(5024),
    [sym_parenthesized_expression] = STATE(4507),
    [sym_char_literal] = STATE(5374),
    [sym_concatenated_string] = STATE(5377),
    [sym_string_literal] = STATE(4206),
    [sym_null] = STATE(5024),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9352),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(5024),
    [sym_raw_string_literal] = STATE(4217),
    [sym_co_await_expression] = STATE(5024),
    [sym_new_expression] = STATE(5024),
    [sym_delete_expression] = STATE(5024),
    [sym_requires_clause] = STATE(5024),
    [sym_requires_expression] = STATE(5024),
    [sym_lambda_expression] = STATE(5024),
    [sym_lambda_capture_specifier] = STATE(7184),
    [sym_fold_expression] = STATE(5024),
    [sym_parameter_pack_expansion] = STATE(5024),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6886),
    [sym_qualified_identifier] = STATE(4507),
    [sym_qualified_type_identifier] = STATE(9352),
    [sym_user_defined_literal] = STATE(4507),
    [sym_identifier] = ACTIONS(3140),
    [anon_sym_LPAREN2] = ACTIONS(1472),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1474),
    [anon_sym_AMP] = ACTIONS(1474),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(5497),
    [sym_primitive_type] = ACTIONS(3146),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [2164] = {
    [sym__expression] = STATE(3825),
    [sym__expression_not_binary] = STATE(3672),
    [sym__string] = STATE(3672),
    [sym_conditional_expression] = STATE(3672),
    [sym_assignment_expression] = STATE(3672),
    [sym_pointer_expression] = STATE(3672),
    [sym_unary_expression] = STATE(3672),
    [sym_binary_expression] = STATE(3672),
    [sym_update_expression] = STATE(3672),
    [sym_cast_expression] = STATE(3672),
    [sym_sizeof_expression] = STATE(3672),
    [sym_alignof_expression] = STATE(3672),
    [sym_offsetof_expression] = STATE(3672),
    [sym_generic_expression] = STATE(3672),
    [sym_subscript_expression] = STATE(3672),
    [sym_call_expression] = STATE(3672),
    [sym_gnu_asm_expression] = STATE(3672),
    [sym_field_expression] = STATE(3672),
    [sym_compound_literal_expression] = STATE(3672),
    [sym_parenthesized_expression] = STATE(3672),
    [sym_char_literal] = STATE(3855),
    [sym_concatenated_string] = STATE(3873),
    [sym_string_literal] = STATE(3222),
    [sym_null] = STATE(3672),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9333),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(3672),
    [sym_raw_string_literal] = STATE(3216),
    [sym_co_await_expression] = STATE(3672),
    [sym_new_expression] = STATE(3672),
    [sym_delete_expression] = STATE(3672),
    [sym_requires_clause] = STATE(3672),
    [sym_requires_expression] = STATE(3672),
    [sym_lambda_expression] = STATE(3672),
    [sym_lambda_capture_specifier] = STATE(7134),
    [sym_fold_expression] = STATE(3672),
    [sym_parameter_pack_expansion] = STATE(3672),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6886),
    [sym_qualified_identifier] = STATE(3672),
    [sym_qualified_type_identifier] = STATE(9333),
    [sym_user_defined_literal] = STATE(3672),
    [sym_identifier] = ACTIONS(3968),
    [anon_sym_LPAREN2] = ACTIONS(5184),
    [anon_sym_BANG] = ACTIONS(3922),
    [anon_sym_TILDE] = ACTIONS(3922),
    [anon_sym_DASH] = ACTIONS(3920),
    [anon_sym_PLUS] = ACTIONS(3920),
    [anon_sym_STAR] = ACTIONS(5186),
    [anon_sym_AMP] = ACTIONS(5186),
    [anon_sym_COLON_COLON] = ACTIONS(3924),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [sym_primitive_type] = ACTIONS(3928),
    [anon_sym_not] = ACTIONS(3920),
    [anon_sym_compl] = ACTIONS(3920),
    [anon_sym_DASH_DASH] = ACTIONS(5013),
    [anon_sym_PLUS_PLUS] = ACTIONS(5013),
    [anon_sym_sizeof] = ACTIONS(3930),
    [anon_sym___alignof__] = ACTIONS(3932),
    [anon_sym___alignof] = ACTIONS(3932),
    [anon_sym__alignof] = ACTIONS(3932),
    [anon_sym_alignof] = ACTIONS(3932),
    [anon_sym__Alignof] = ACTIONS(3932),
    [anon_sym_offsetof] = ACTIONS(3934),
    [anon_sym__Generic] = ACTIONS(3936),
    [anon_sym_asm] = ACTIONS(3938),
    [anon_sym___asm__] = ACTIONS(3938),
    [sym_number_literal] = ACTIONS(3940),
    [anon_sym_L_SQUOTE] = ACTIONS(3942),
    [anon_sym_u_SQUOTE] = ACTIONS(3942),
    [anon_sym_U_SQUOTE] = ACTIONS(3942),
    [anon_sym_u8_SQUOTE] = ACTIONS(3942),
    [anon_sym_SQUOTE] = ACTIONS(3942),
    [anon_sym_L_DQUOTE] = ACTIONS(3944),
    [anon_sym_u_DQUOTE] = ACTIONS(3944),
    [anon_sym_U_DQUOTE] = ACTIONS(3944),
    [anon_sym_u8_DQUOTE] = ACTIONS(3944),
    [anon_sym_DQUOTE] = ACTIONS(3944),
    [sym_true] = ACTIONS(3946),
    [sym_false] = ACTIONS(3946),
    [anon_sym_NULL] = ACTIONS(3948),
    [anon_sym_nullptr] = ACTIONS(3948),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(3950),
    [anon_sym_R_DQUOTE] = ACTIONS(3952),
    [anon_sym_LR_DQUOTE] = ACTIONS(3952),
    [anon_sym_uR_DQUOTE] = ACTIONS(3952),
    [anon_sym_UR_DQUOTE] = ACTIONS(3952),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3952),
    [anon_sym_co_await] = ACTIONS(3954),
    [anon_sym_new] = ACTIONS(3956),
    [anon_sym_requires] = ACTIONS(3958),
    [sym_this] = ACTIONS(3946),
  },
  [2165] = {
    [sym__expression] = STATE(4309),
    [sym__expression_not_binary] = STATE(3672),
    [sym__string] = STATE(3672),
    [sym_conditional_expression] = STATE(3672),
    [sym_assignment_expression] = STATE(3672),
    [sym_pointer_expression] = STATE(3672),
    [sym_unary_expression] = STATE(3672),
    [sym_binary_expression] = STATE(3672),
    [sym_update_expression] = STATE(3672),
    [sym_cast_expression] = STATE(3672),
    [sym_sizeof_expression] = STATE(3672),
    [sym_alignof_expression] = STATE(3672),
    [sym_offsetof_expression] = STATE(3672),
    [sym_generic_expression] = STATE(3672),
    [sym_subscript_expression] = STATE(3672),
    [sym_call_expression] = STATE(3672),
    [sym_gnu_asm_expression] = STATE(3672),
    [sym_field_expression] = STATE(3672),
    [sym_compound_literal_expression] = STATE(3672),
    [sym_parenthesized_expression] = STATE(3672),
    [sym_char_literal] = STATE(4466),
    [sym_concatenated_string] = STATE(4465),
    [sym_string_literal] = STATE(3395),
    [sym_null] = STATE(3672),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9333),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(3672),
    [sym_raw_string_literal] = STATE(3400),
    [sym_co_await_expression] = STATE(3672),
    [sym_new_expression] = STATE(3672),
    [sym_delete_expression] = STATE(3672),
    [sym_requires_clause] = STATE(3672),
    [sym_requires_expression] = STATE(3672),
    [sym_lambda_expression] = STATE(3672),
    [sym_lambda_capture_specifier] = STATE(7134),
    [sym_fold_expression] = STATE(3672),
    [sym_parameter_pack_expansion] = STATE(3672),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6886),
    [sym_qualified_identifier] = STATE(3672),
    [sym_qualified_type_identifier] = STATE(9333),
    [sym_user_defined_literal] = STATE(3672),
    [sym_identifier] = ACTIONS(4070),
    [anon_sym_LPAREN2] = ACTIONS(5257),
    [anon_sym_BANG] = ACTIONS(4074),
    [anon_sym_TILDE] = ACTIONS(4074),
    [anon_sym_DASH] = ACTIONS(4072),
    [anon_sym_PLUS] = ACTIONS(4072),
    [anon_sym_STAR] = ACTIONS(5017),
    [anon_sym_AMP] = ACTIONS(5017),
    [anon_sym_COLON_COLON] = ACTIONS(4076),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [sym_primitive_type] = ACTIONS(3928),
    [anon_sym_not] = ACTIONS(4072),
    [anon_sym_compl] = ACTIONS(4072),
    [anon_sym_DASH_DASH] = ACTIONS(5043),
    [anon_sym_PLUS_PLUS] = ACTIONS(5043),
    [anon_sym_sizeof] = ACTIONS(4078),
    [anon_sym___alignof__] = ACTIONS(3932),
    [anon_sym___alignof] = ACTIONS(3932),
    [anon_sym__alignof] = ACTIONS(3932),
    [anon_sym_alignof] = ACTIONS(3932),
    [anon_sym__Alignof] = ACTIONS(3932),
    [anon_sym_offsetof] = ACTIONS(3934),
    [anon_sym__Generic] = ACTIONS(3936),
    [anon_sym_asm] = ACTIONS(3938),
    [anon_sym___asm__] = ACTIONS(3938),
    [sym_number_literal] = ACTIONS(4080),
    [anon_sym_L_SQUOTE] = ACTIONS(4082),
    [anon_sym_u_SQUOTE] = ACTIONS(4082),
    [anon_sym_U_SQUOTE] = ACTIONS(4082),
    [anon_sym_u8_SQUOTE] = ACTIONS(4082),
    [anon_sym_SQUOTE] = ACTIONS(4082),
    [anon_sym_L_DQUOTE] = ACTIONS(4084),
    [anon_sym_u_DQUOTE] = ACTIONS(4084),
    [anon_sym_U_DQUOTE] = ACTIONS(4084),
    [anon_sym_u8_DQUOTE] = ACTIONS(4084),
    [anon_sym_DQUOTE] = ACTIONS(4084),
    [sym_true] = ACTIONS(3946),
    [sym_false] = ACTIONS(3946),
    [anon_sym_NULL] = ACTIONS(3948),
    [anon_sym_nullptr] = ACTIONS(3948),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(4086),
    [anon_sym_R_DQUOTE] = ACTIONS(4088),
    [anon_sym_LR_DQUOTE] = ACTIONS(4088),
    [anon_sym_uR_DQUOTE] = ACTIONS(4088),
    [anon_sym_UR_DQUOTE] = ACTIONS(4088),
    [anon_sym_u8R_DQUOTE] = ACTIONS(4088),
    [anon_sym_co_await] = ACTIONS(4090),
    [anon_sym_new] = ACTIONS(3990),
    [anon_sym_requires] = ACTIONS(3958),
    [sym_this] = ACTIONS(3946),
  },
  [2166] = {
    [sym__expression] = STATE(5793),
    [sym__expression_not_binary] = STATE(6001),
    [sym__string] = STATE(6001),
    [sym_conditional_expression] = STATE(6001),
    [sym_assignment_expression] = STATE(6001),
    [sym_pointer_expression] = STATE(4807),
    [sym_unary_expression] = STATE(6001),
    [sym_binary_expression] = STATE(6001),
    [sym_update_expression] = STATE(6001),
    [sym_cast_expression] = STATE(6001),
    [sym_sizeof_expression] = STATE(6001),
    [sym_alignof_expression] = STATE(6001),
    [sym_offsetof_expression] = STATE(6001),
    [sym_generic_expression] = STATE(6001),
    [sym_subscript_expression] = STATE(4807),
    [sym_call_expression] = STATE(4807),
    [sym_gnu_asm_expression] = STATE(6001),
    [sym_field_expression] = STATE(4807),
    [sym_compound_literal_expression] = STATE(6001),
    [sym_parenthesized_expression] = STATE(4807),
    [sym_char_literal] = STATE(5842),
    [sym_concatenated_string] = STATE(5845),
    [sym_string_literal] = STATE(4864),
    [sym_null] = STATE(6001),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(8975),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(6001),
    [sym_raw_string_literal] = STATE(4865),
    [sym_co_await_expression] = STATE(6001),
    [sym_new_expression] = STATE(6001),
    [sym_delete_expression] = STATE(6001),
    [sym_requires_clause] = STATE(6001),
    [sym_requires_expression] = STATE(6001),
    [sym_lambda_expression] = STATE(6001),
    [sym_lambda_capture_specifier] = STATE(7123),
    [sym_fold_expression] = STATE(6001),
    [sym_parameter_pack_expansion] = STATE(6001),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6932),
    [sym_qualified_identifier] = STATE(4807),
    [sym_qualified_type_identifier] = STATE(8975),
    [sym_user_defined_literal] = STATE(4807),
    [sym_identifier] = ACTIONS(4532),
    [anon_sym_LPAREN2] = ACTIONS(4255),
    [anon_sym_BANG] = ACTIONS(4257),
    [anon_sym_TILDE] = ACTIONS(4257),
    [anon_sym_DASH] = ACTIONS(4259),
    [anon_sym_PLUS] = ACTIONS(4259),
    [anon_sym_STAR] = ACTIONS(4261),
    [anon_sym_AMP] = ACTIONS(4261),
    [anon_sym_COLON_COLON] = ACTIONS(4263),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [sym_primitive_type] = ACTIONS(4536),
    [anon_sym_not] = ACTIONS(4259),
    [anon_sym_compl] = ACTIONS(4259),
    [anon_sym_DASH_DASH] = ACTIONS(4277),
    [anon_sym_PLUS_PLUS] = ACTIONS(4277),
    [anon_sym_sizeof] = ACTIONS(4279),
    [anon_sym___alignof__] = ACTIONS(4281),
    [anon_sym___alignof] = ACTIONS(4281),
    [anon_sym__alignof] = ACTIONS(4281),
    [anon_sym_alignof] = ACTIONS(4281),
    [anon_sym__Alignof] = ACTIONS(4281),
    [anon_sym_offsetof] = ACTIONS(4283),
    [anon_sym__Generic] = ACTIONS(4285),
    [anon_sym_asm] = ACTIONS(4287),
    [anon_sym___asm__] = ACTIONS(4287),
    [sym_number_literal] = ACTIONS(4289),
    [anon_sym_L_SQUOTE] = ACTIONS(4291),
    [anon_sym_u_SQUOTE] = ACTIONS(4291),
    [anon_sym_U_SQUOTE] = ACTIONS(4291),
    [anon_sym_u8_SQUOTE] = ACTIONS(4291),
    [anon_sym_SQUOTE] = ACTIONS(4291),
    [anon_sym_L_DQUOTE] = ACTIONS(4293),
    [anon_sym_u_DQUOTE] = ACTIONS(4293),
    [anon_sym_U_DQUOTE] = ACTIONS(4293),
    [anon_sym_u8_DQUOTE] = ACTIONS(4293),
    [anon_sym_DQUOTE] = ACTIONS(4293),
    [sym_true] = ACTIONS(4295),
    [sym_false] = ACTIONS(4295),
    [anon_sym_NULL] = ACTIONS(4297),
    [anon_sym_nullptr] = ACTIONS(4297),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(4307),
    [anon_sym_R_DQUOTE] = ACTIONS(4309),
    [anon_sym_LR_DQUOTE] = ACTIONS(4309),
    [anon_sym_uR_DQUOTE] = ACTIONS(4309),
    [anon_sym_UR_DQUOTE] = ACTIONS(4309),
    [anon_sym_u8R_DQUOTE] = ACTIONS(4309),
    [anon_sym_co_await] = ACTIONS(4311),
    [anon_sym_new] = ACTIONS(4313),
    [anon_sym_requires] = ACTIONS(4315),
    [sym_this] = ACTIONS(4295),
  },
  [2167] = {
    [sym__expression] = STATE(4306),
    [sym__expression_not_binary] = STATE(3672),
    [sym__string] = STATE(3672),
    [sym_conditional_expression] = STATE(3672),
    [sym_assignment_expression] = STATE(3672),
    [sym_pointer_expression] = STATE(3672),
    [sym_unary_expression] = STATE(3672),
    [sym_binary_expression] = STATE(3672),
    [sym_update_expression] = STATE(3672),
    [sym_cast_expression] = STATE(3672),
    [sym_sizeof_expression] = STATE(3672),
    [sym_alignof_expression] = STATE(3672),
    [sym_offsetof_expression] = STATE(3672),
    [sym_generic_expression] = STATE(3672),
    [sym_subscript_expression] = STATE(3672),
    [sym_call_expression] = STATE(3672),
    [sym_gnu_asm_expression] = STATE(3672),
    [sym_field_expression] = STATE(3672),
    [sym_compound_literal_expression] = STATE(3672),
    [sym_parenthesized_expression] = STATE(3672),
    [sym_char_literal] = STATE(4466),
    [sym_concatenated_string] = STATE(4465),
    [sym_string_literal] = STATE(3395),
    [sym_null] = STATE(3672),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9333),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(3672),
    [sym_raw_string_literal] = STATE(3400),
    [sym_co_await_expression] = STATE(3672),
    [sym_new_expression] = STATE(3672),
    [sym_delete_expression] = STATE(3672),
    [sym_requires_clause] = STATE(3672),
    [sym_requires_expression] = STATE(3672),
    [sym_lambda_expression] = STATE(3672),
    [sym_lambda_capture_specifier] = STATE(7134),
    [sym_fold_expression] = STATE(3672),
    [sym_parameter_pack_expansion] = STATE(3672),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6886),
    [sym_qualified_identifier] = STATE(3672),
    [sym_qualified_type_identifier] = STATE(9333),
    [sym_user_defined_literal] = STATE(3672),
    [sym_identifier] = ACTIONS(4070),
    [anon_sym_LPAREN2] = ACTIONS(5257),
    [anon_sym_BANG] = ACTIONS(4074),
    [anon_sym_TILDE] = ACTIONS(4074),
    [anon_sym_DASH] = ACTIONS(4072),
    [anon_sym_PLUS] = ACTIONS(4072),
    [anon_sym_STAR] = ACTIONS(5017),
    [anon_sym_AMP] = ACTIONS(5017),
    [anon_sym_COLON_COLON] = ACTIONS(4076),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [sym_primitive_type] = ACTIONS(3928),
    [anon_sym_not] = ACTIONS(4072),
    [anon_sym_compl] = ACTIONS(4072),
    [anon_sym_DASH_DASH] = ACTIONS(5043),
    [anon_sym_PLUS_PLUS] = ACTIONS(5043),
    [anon_sym_sizeof] = ACTIONS(4078),
    [anon_sym___alignof__] = ACTIONS(3932),
    [anon_sym___alignof] = ACTIONS(3932),
    [anon_sym__alignof] = ACTIONS(3932),
    [anon_sym_alignof] = ACTIONS(3932),
    [anon_sym__Alignof] = ACTIONS(3932),
    [anon_sym_offsetof] = ACTIONS(3934),
    [anon_sym__Generic] = ACTIONS(3936),
    [anon_sym_asm] = ACTIONS(3938),
    [anon_sym___asm__] = ACTIONS(3938),
    [sym_number_literal] = ACTIONS(4080),
    [anon_sym_L_SQUOTE] = ACTIONS(4082),
    [anon_sym_u_SQUOTE] = ACTIONS(4082),
    [anon_sym_U_SQUOTE] = ACTIONS(4082),
    [anon_sym_u8_SQUOTE] = ACTIONS(4082),
    [anon_sym_SQUOTE] = ACTIONS(4082),
    [anon_sym_L_DQUOTE] = ACTIONS(4084),
    [anon_sym_u_DQUOTE] = ACTIONS(4084),
    [anon_sym_U_DQUOTE] = ACTIONS(4084),
    [anon_sym_u8_DQUOTE] = ACTIONS(4084),
    [anon_sym_DQUOTE] = ACTIONS(4084),
    [sym_true] = ACTIONS(3946),
    [sym_false] = ACTIONS(3946),
    [anon_sym_NULL] = ACTIONS(3948),
    [anon_sym_nullptr] = ACTIONS(3948),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(4086),
    [anon_sym_R_DQUOTE] = ACTIONS(4088),
    [anon_sym_LR_DQUOTE] = ACTIONS(4088),
    [anon_sym_uR_DQUOTE] = ACTIONS(4088),
    [anon_sym_UR_DQUOTE] = ACTIONS(4088),
    [anon_sym_u8R_DQUOTE] = ACTIONS(4088),
    [anon_sym_co_await] = ACTIONS(4090),
    [anon_sym_new] = ACTIONS(3990),
    [anon_sym_requires] = ACTIONS(3958),
    [sym_this] = ACTIONS(3946),
  },
  [2168] = {
    [sym__expression] = STATE(4417),
    [sym__expression_not_binary] = STATE(4786),
    [sym__string] = STATE(4786),
    [sym_conditional_expression] = STATE(4786),
    [sym_assignment_expression] = STATE(4786),
    [sym_pointer_expression] = STATE(4786),
    [sym_unary_expression] = STATE(4786),
    [sym_binary_expression] = STATE(4786),
    [sym_update_expression] = STATE(4786),
    [sym_cast_expression] = STATE(4786),
    [sym_sizeof_expression] = STATE(4786),
    [sym_alignof_expression] = STATE(4786),
    [sym_offsetof_expression] = STATE(4786),
    [sym_generic_expression] = STATE(4786),
    [sym_subscript_expression] = STATE(4786),
    [sym_call_expression] = STATE(4786),
    [sym_gnu_asm_expression] = STATE(4786),
    [sym_field_expression] = STATE(4786),
    [sym_compound_literal_expression] = STATE(4786),
    [sym_parenthesized_expression] = STATE(4786),
    [sym_char_literal] = STATE(4554),
    [sym_concatenated_string] = STATE(4621),
    [sym_string_literal] = STATE(3503),
    [sym_null] = STATE(4786),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9199),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(4786),
    [sym_raw_string_literal] = STATE(3498),
    [sym_co_await_expression] = STATE(4786),
    [sym_new_expression] = STATE(4786),
    [sym_delete_expression] = STATE(4786),
    [sym_requires_clause] = STATE(4786),
    [sym_requires_expression] = STATE(4786),
    [sym_lambda_expression] = STATE(4786),
    [sym_lambda_capture_specifier] = STATE(7160),
    [sym_fold_expression] = STATE(4786),
    [sym_parameter_pack_expansion] = STATE(4786),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6932),
    [sym_qualified_identifier] = STATE(4786),
    [sym_qualified_type_identifier] = STATE(9199),
    [sym_user_defined_literal] = STATE(4786),
    [sym_identifier] = ACTIONS(4126),
    [anon_sym_LPAREN2] = ACTIONS(5194),
    [anon_sym_BANG] = ACTIONS(4130),
    [anon_sym_TILDE] = ACTIONS(4130),
    [anon_sym_DASH] = ACTIONS(4128),
    [anon_sym_PLUS] = ACTIONS(4128),
    [anon_sym_STAR] = ACTIONS(4261),
    [anon_sym_AMP] = ACTIONS(4261),
    [anon_sym_COLON_COLON] = ACTIONS(4132),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [sym_primitive_type] = ACTIONS(4136),
    [anon_sym_not] = ACTIONS(4128),
    [anon_sym_compl] = ACTIONS(4128),
    [anon_sym_DASH_DASH] = ACTIONS(5049),
    [anon_sym_PLUS_PLUS] = ACTIONS(5049),
    [anon_sym_sizeof] = ACTIONS(4138),
    [anon_sym___alignof__] = ACTIONS(4140),
    [anon_sym___alignof] = ACTIONS(4140),
    [anon_sym__alignof] = ACTIONS(4140),
    [anon_sym_alignof] = ACTIONS(4140),
    [anon_sym__Alignof] = ACTIONS(4140),
    [anon_sym_offsetof] = ACTIONS(4142),
    [anon_sym__Generic] = ACTIONS(4144),
    [anon_sym_asm] = ACTIONS(4146),
    [anon_sym___asm__] = ACTIONS(4146),
    [sym_number_literal] = ACTIONS(4148),
    [anon_sym_L_SQUOTE] = ACTIONS(4150),
    [anon_sym_u_SQUOTE] = ACTIONS(4150),
    [anon_sym_U_SQUOTE] = ACTIONS(4150),
    [anon_sym_u8_SQUOTE] = ACTIONS(4150),
    [anon_sym_SQUOTE] = ACTIONS(4150),
    [anon_sym_L_DQUOTE] = ACTIONS(4152),
    [anon_sym_u_DQUOTE] = ACTIONS(4152),
    [anon_sym_U_DQUOTE] = ACTIONS(4152),
    [anon_sym_u8_DQUOTE] = ACTIONS(4152),
    [anon_sym_DQUOTE] = ACTIONS(4152),
    [sym_true] = ACTIONS(4154),
    [sym_false] = ACTIONS(4154),
    [anon_sym_NULL] = ACTIONS(4156),
    [anon_sym_nullptr] = ACTIONS(4156),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(4158),
    [anon_sym_R_DQUOTE] = ACTIONS(4160),
    [anon_sym_LR_DQUOTE] = ACTIONS(4160),
    [anon_sym_uR_DQUOTE] = ACTIONS(4160),
    [anon_sym_UR_DQUOTE] = ACTIONS(4160),
    [anon_sym_u8R_DQUOTE] = ACTIONS(4160),
    [anon_sym_co_await] = ACTIONS(4162),
    [anon_sym_new] = ACTIONS(4164),
    [anon_sym_requires] = ACTIONS(4166),
    [sym_this] = ACTIONS(4154),
  },
  [2169] = {
    [sym__expression] = STATE(5273),
    [sym__expression_not_binary] = STATE(5024),
    [sym__string] = STATE(5024),
    [sym_conditional_expression] = STATE(5024),
    [sym_assignment_expression] = STATE(5024),
    [sym_pointer_expression] = STATE(4031),
    [sym_unary_expression] = STATE(5024),
    [sym_binary_expression] = STATE(5024),
    [sym_update_expression] = STATE(5024),
    [sym_cast_expression] = STATE(5024),
    [sym_sizeof_expression] = STATE(5024),
    [sym_alignof_expression] = STATE(5024),
    [sym_offsetof_expression] = STATE(5024),
    [sym_generic_expression] = STATE(5024),
    [sym_subscript_expression] = STATE(4031),
    [sym_call_expression] = STATE(4031),
    [sym_gnu_asm_expression] = STATE(5024),
    [sym_field_expression] = STATE(4031),
    [sym_compound_literal_expression] = STATE(5024),
    [sym_parenthesized_expression] = STATE(4031),
    [sym_char_literal] = STATE(5335),
    [sym_concatenated_string] = STATE(5317),
    [sym_string_literal] = STATE(4163),
    [sym_null] = STATE(5024),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9352),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(5024),
    [sym_raw_string_literal] = STATE(4121),
    [sym_co_await_expression] = STATE(5024),
    [sym_new_expression] = STATE(5024),
    [sym_delete_expression] = STATE(5024),
    [sym_requires_clause] = STATE(5024),
    [sym_requires_expression] = STATE(5024),
    [sym_lambda_expression] = STATE(5024),
    [sym_lambda_capture_specifier] = STATE(7184),
    [sym_fold_expression] = STATE(5024),
    [sym_parameter_pack_expansion] = STATE(5024),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6886),
    [sym_qualified_identifier] = STATE(4031),
    [sym_qualified_type_identifier] = STATE(9352),
    [sym_user_defined_literal] = STATE(4031),
    [sym_identifier] = ACTIONS(5113),
    [anon_sym_LPAREN2] = ACTIONS(5212),
    [anon_sym_BANG] = ACTIONS(4409),
    [anon_sym_TILDE] = ACTIONS(4409),
    [anon_sym_DASH] = ACTIONS(4407),
    [anon_sym_PLUS] = ACTIONS(4407),
    [anon_sym_STAR] = ACTIONS(5186),
    [anon_sym_AMP] = ACTIONS(5186),
    [anon_sym_COLON_COLON] = ACTIONS(4411),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [sym_primitive_type] = ACTIONS(3146),
    [anon_sym_not] = ACTIONS(4407),
    [anon_sym_compl] = ACTIONS(4407),
    [anon_sym_DASH_DASH] = ACTIONS(5115),
    [anon_sym_PLUS_PLUS] = ACTIONS(5115),
    [anon_sym_sizeof] = ACTIONS(4415),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(4417),
    [anon_sym_L_SQUOTE] = ACTIONS(4419),
    [anon_sym_u_SQUOTE] = ACTIONS(4419),
    [anon_sym_U_SQUOTE] = ACTIONS(4419),
    [anon_sym_u8_SQUOTE] = ACTIONS(4419),
    [anon_sym_SQUOTE] = ACTIONS(4419),
    [anon_sym_L_DQUOTE] = ACTIONS(4247),
    [anon_sym_u_DQUOTE] = ACTIONS(4247),
    [anon_sym_U_DQUOTE] = ACTIONS(4247),
    [anon_sym_u8_DQUOTE] = ACTIONS(4247),
    [anon_sym_DQUOTE] = ACTIONS(4247),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(4421),
    [anon_sym_R_DQUOTE] = ACTIONS(4249),
    [anon_sym_LR_DQUOTE] = ACTIONS(4249),
    [anon_sym_uR_DQUOTE] = ACTIONS(4249),
    [anon_sym_UR_DQUOTE] = ACTIONS(4249),
    [anon_sym_u8R_DQUOTE] = ACTIONS(4249),
    [anon_sym_co_await] = ACTIONS(4423),
    [anon_sym_new] = ACTIONS(4425),
    [anon_sym_requires] = ACTIONS(4427),
    [sym_this] = ACTIONS(221),
  },
  [2170] = {
    [sym__expression] = STATE(4497),
    [sym__expression_not_binary] = STATE(4786),
    [sym__string] = STATE(4786),
    [sym_conditional_expression] = STATE(4786),
    [sym_assignment_expression] = STATE(4786),
    [sym_pointer_expression] = STATE(4786),
    [sym_unary_expression] = STATE(4786),
    [sym_binary_expression] = STATE(4786),
    [sym_update_expression] = STATE(4786),
    [sym_cast_expression] = STATE(4786),
    [sym_sizeof_expression] = STATE(4786),
    [sym_alignof_expression] = STATE(4786),
    [sym_offsetof_expression] = STATE(4786),
    [sym_generic_expression] = STATE(4786),
    [sym_subscript_expression] = STATE(4786),
    [sym_call_expression] = STATE(4786),
    [sym_gnu_asm_expression] = STATE(4786),
    [sym_field_expression] = STATE(4786),
    [sym_compound_literal_expression] = STATE(4786),
    [sym_parenthesized_expression] = STATE(4786),
    [sym_char_literal] = STATE(4554),
    [sym_concatenated_string] = STATE(4621),
    [sym_string_literal] = STATE(3503),
    [sym_null] = STATE(4786),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9199),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(4786),
    [sym_raw_string_literal] = STATE(3498),
    [sym_co_await_expression] = STATE(4786),
    [sym_new_expression] = STATE(4786),
    [sym_delete_expression] = STATE(4786),
    [sym_requires_clause] = STATE(4786),
    [sym_requires_expression] = STATE(4786),
    [sym_lambda_expression] = STATE(4786),
    [sym_lambda_capture_specifier] = STATE(7160),
    [sym_fold_expression] = STATE(4786),
    [sym_parameter_pack_expansion] = STATE(4786),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6932),
    [sym_qualified_identifier] = STATE(4786),
    [sym_qualified_type_identifier] = STATE(9199),
    [sym_user_defined_literal] = STATE(4786),
    [sym_identifier] = ACTIONS(4126),
    [anon_sym_LPAREN2] = ACTIONS(5194),
    [anon_sym_BANG] = ACTIONS(4130),
    [anon_sym_TILDE] = ACTIONS(4130),
    [anon_sym_DASH] = ACTIONS(4128),
    [anon_sym_PLUS] = ACTIONS(4128),
    [anon_sym_STAR] = ACTIONS(4261),
    [anon_sym_AMP] = ACTIONS(4261),
    [anon_sym_COLON_COLON] = ACTIONS(4132),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [sym_primitive_type] = ACTIONS(4136),
    [anon_sym_not] = ACTIONS(4128),
    [anon_sym_compl] = ACTIONS(4128),
    [anon_sym_DASH_DASH] = ACTIONS(5049),
    [anon_sym_PLUS_PLUS] = ACTIONS(5049),
    [anon_sym_sizeof] = ACTIONS(4138),
    [anon_sym___alignof__] = ACTIONS(4140),
    [anon_sym___alignof] = ACTIONS(4140),
    [anon_sym__alignof] = ACTIONS(4140),
    [anon_sym_alignof] = ACTIONS(4140),
    [anon_sym__Alignof] = ACTIONS(4140),
    [anon_sym_offsetof] = ACTIONS(4142),
    [anon_sym__Generic] = ACTIONS(4144),
    [anon_sym_asm] = ACTIONS(4146),
    [anon_sym___asm__] = ACTIONS(4146),
    [sym_number_literal] = ACTIONS(4148),
    [anon_sym_L_SQUOTE] = ACTIONS(4150),
    [anon_sym_u_SQUOTE] = ACTIONS(4150),
    [anon_sym_U_SQUOTE] = ACTIONS(4150),
    [anon_sym_u8_SQUOTE] = ACTIONS(4150),
    [anon_sym_SQUOTE] = ACTIONS(4150),
    [anon_sym_L_DQUOTE] = ACTIONS(4152),
    [anon_sym_u_DQUOTE] = ACTIONS(4152),
    [anon_sym_U_DQUOTE] = ACTIONS(4152),
    [anon_sym_u8_DQUOTE] = ACTIONS(4152),
    [anon_sym_DQUOTE] = ACTIONS(4152),
    [sym_true] = ACTIONS(4154),
    [sym_false] = ACTIONS(4154),
    [anon_sym_NULL] = ACTIONS(4156),
    [anon_sym_nullptr] = ACTIONS(4156),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(4158),
    [anon_sym_R_DQUOTE] = ACTIONS(4160),
    [anon_sym_LR_DQUOTE] = ACTIONS(4160),
    [anon_sym_uR_DQUOTE] = ACTIONS(4160),
    [anon_sym_UR_DQUOTE] = ACTIONS(4160),
    [anon_sym_u8R_DQUOTE] = ACTIONS(4160),
    [anon_sym_co_await] = ACTIONS(4162),
    [anon_sym_new] = ACTIONS(4164),
    [anon_sym_requires] = ACTIONS(4166),
    [sym_this] = ACTIONS(4154),
  },
  [2171] = {
    [sym__expression] = STATE(4495),
    [sym__expression_not_binary] = STATE(4786),
    [sym__string] = STATE(4786),
    [sym_conditional_expression] = STATE(4786),
    [sym_assignment_expression] = STATE(4786),
    [sym_pointer_expression] = STATE(4786),
    [sym_unary_expression] = STATE(4786),
    [sym_binary_expression] = STATE(4786),
    [sym_update_expression] = STATE(4786),
    [sym_cast_expression] = STATE(4786),
    [sym_sizeof_expression] = STATE(4786),
    [sym_alignof_expression] = STATE(4786),
    [sym_offsetof_expression] = STATE(4786),
    [sym_generic_expression] = STATE(4786),
    [sym_subscript_expression] = STATE(4786),
    [sym_call_expression] = STATE(4786),
    [sym_gnu_asm_expression] = STATE(4786),
    [sym_field_expression] = STATE(4786),
    [sym_compound_literal_expression] = STATE(4786),
    [sym_parenthesized_expression] = STATE(4786),
    [sym_char_literal] = STATE(4554),
    [sym_concatenated_string] = STATE(4621),
    [sym_string_literal] = STATE(3503),
    [sym_null] = STATE(4786),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9199),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(4786),
    [sym_raw_string_literal] = STATE(3498),
    [sym_co_await_expression] = STATE(4786),
    [sym_new_expression] = STATE(4786),
    [sym_delete_expression] = STATE(4786),
    [sym_requires_clause] = STATE(4786),
    [sym_requires_expression] = STATE(4786),
    [sym_lambda_expression] = STATE(4786),
    [sym_lambda_capture_specifier] = STATE(7160),
    [sym_fold_expression] = STATE(4786),
    [sym_parameter_pack_expansion] = STATE(4786),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6932),
    [sym_qualified_identifier] = STATE(4786),
    [sym_qualified_type_identifier] = STATE(9199),
    [sym_user_defined_literal] = STATE(4786),
    [sym_identifier] = ACTIONS(4126),
    [anon_sym_LPAREN2] = ACTIONS(5194),
    [anon_sym_BANG] = ACTIONS(4130),
    [anon_sym_TILDE] = ACTIONS(4130),
    [anon_sym_DASH] = ACTIONS(4128),
    [anon_sym_PLUS] = ACTIONS(4128),
    [anon_sym_STAR] = ACTIONS(4261),
    [anon_sym_AMP] = ACTIONS(4261),
    [anon_sym_COLON_COLON] = ACTIONS(4132),
    [anon_sym_LBRACK] = ACTIONS(5499),
    [sym_primitive_type] = ACTIONS(4136),
    [anon_sym_not] = ACTIONS(4128),
    [anon_sym_compl] = ACTIONS(4128),
    [anon_sym_DASH_DASH] = ACTIONS(5049),
    [anon_sym_PLUS_PLUS] = ACTIONS(5049),
    [anon_sym_sizeof] = ACTIONS(4138),
    [anon_sym___alignof__] = ACTIONS(4140),
    [anon_sym___alignof] = ACTIONS(4140),
    [anon_sym__alignof] = ACTIONS(4140),
    [anon_sym_alignof] = ACTIONS(4140),
    [anon_sym__Alignof] = ACTIONS(4140),
    [anon_sym_offsetof] = ACTIONS(4142),
    [anon_sym__Generic] = ACTIONS(4144),
    [anon_sym_asm] = ACTIONS(4146),
    [anon_sym___asm__] = ACTIONS(4146),
    [sym_number_literal] = ACTIONS(4148),
    [anon_sym_L_SQUOTE] = ACTIONS(4150),
    [anon_sym_u_SQUOTE] = ACTIONS(4150),
    [anon_sym_U_SQUOTE] = ACTIONS(4150),
    [anon_sym_u8_SQUOTE] = ACTIONS(4150),
    [anon_sym_SQUOTE] = ACTIONS(4150),
    [anon_sym_L_DQUOTE] = ACTIONS(4152),
    [anon_sym_u_DQUOTE] = ACTIONS(4152),
    [anon_sym_U_DQUOTE] = ACTIONS(4152),
    [anon_sym_u8_DQUOTE] = ACTIONS(4152),
    [anon_sym_DQUOTE] = ACTIONS(4152),
    [sym_true] = ACTIONS(4154),
    [sym_false] = ACTIONS(4154),
    [anon_sym_NULL] = ACTIONS(4156),
    [anon_sym_nullptr] = ACTIONS(4156),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(4158),
    [anon_sym_R_DQUOTE] = ACTIONS(4160),
    [anon_sym_LR_DQUOTE] = ACTIONS(4160),
    [anon_sym_uR_DQUOTE] = ACTIONS(4160),
    [anon_sym_UR_DQUOTE] = ACTIONS(4160),
    [anon_sym_u8R_DQUOTE] = ACTIONS(4160),
    [anon_sym_co_await] = ACTIONS(4162),
    [anon_sym_new] = ACTIONS(4164),
    [anon_sym_requires] = ACTIONS(4166),
    [sym_this] = ACTIONS(4154),
  },
  [2172] = {
    [sym__expression] = STATE(5724),
    [sym__expression_not_binary] = STATE(6001),
    [sym__string] = STATE(6001),
    [sym_conditional_expression] = STATE(6001),
    [sym_assignment_expression] = STATE(6001),
    [sym_pointer_expression] = STATE(4807),
    [sym_unary_expression] = STATE(6001),
    [sym_binary_expression] = STATE(6001),
    [sym_update_expression] = STATE(6001),
    [sym_cast_expression] = STATE(6001),
    [sym_sizeof_expression] = STATE(6001),
    [sym_alignof_expression] = STATE(6001),
    [sym_offsetof_expression] = STATE(6001),
    [sym_generic_expression] = STATE(6001),
    [sym_subscript_expression] = STATE(4807),
    [sym_call_expression] = STATE(4807),
    [sym_gnu_asm_expression] = STATE(6001),
    [sym_field_expression] = STATE(4807),
    [sym_compound_literal_expression] = STATE(6001),
    [sym_parenthesized_expression] = STATE(4807),
    [sym_char_literal] = STATE(5842),
    [sym_concatenated_string] = STATE(5845),
    [sym_string_literal] = STATE(4864),
    [sym_null] = STATE(6001),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(8975),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(6001),
    [sym_raw_string_literal] = STATE(4865),
    [sym_co_await_expression] = STATE(6001),
    [sym_new_expression] = STATE(6001),
    [sym_delete_expression] = STATE(6001),
    [sym_requires_clause] = STATE(6001),
    [sym_requires_expression] = STATE(6001),
    [sym_lambda_expression] = STATE(6001),
    [sym_lambda_capture_specifier] = STATE(7123),
    [sym_fold_expression] = STATE(6001),
    [sym_parameter_pack_expansion] = STATE(6001),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6932),
    [sym_qualified_identifier] = STATE(4807),
    [sym_qualified_type_identifier] = STATE(8975),
    [sym_user_defined_literal] = STATE(4807),
    [sym_identifier] = ACTIONS(4532),
    [anon_sym_LPAREN2] = ACTIONS(4255),
    [anon_sym_BANG] = ACTIONS(4257),
    [anon_sym_TILDE] = ACTIONS(4257),
    [anon_sym_DASH] = ACTIONS(4259),
    [anon_sym_PLUS] = ACTIONS(4259),
    [anon_sym_STAR] = ACTIONS(4261),
    [anon_sym_AMP] = ACTIONS(4261),
    [anon_sym_COLON_COLON] = ACTIONS(4263),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [sym_primitive_type] = ACTIONS(4536),
    [anon_sym_not] = ACTIONS(4259),
    [anon_sym_compl] = ACTIONS(4259),
    [anon_sym_DASH_DASH] = ACTIONS(4277),
    [anon_sym_PLUS_PLUS] = ACTIONS(4277),
    [anon_sym_sizeof] = ACTIONS(4279),
    [anon_sym___alignof__] = ACTIONS(4281),
    [anon_sym___alignof] = ACTIONS(4281),
    [anon_sym__alignof] = ACTIONS(4281),
    [anon_sym_alignof] = ACTIONS(4281),
    [anon_sym__Alignof] = ACTIONS(4281),
    [anon_sym_offsetof] = ACTIONS(4283),
    [anon_sym__Generic] = ACTIONS(4285),
    [anon_sym_asm] = ACTIONS(4287),
    [anon_sym___asm__] = ACTIONS(4287),
    [sym_number_literal] = ACTIONS(4289),
    [anon_sym_L_SQUOTE] = ACTIONS(4291),
    [anon_sym_u_SQUOTE] = ACTIONS(4291),
    [anon_sym_U_SQUOTE] = ACTIONS(4291),
    [anon_sym_u8_SQUOTE] = ACTIONS(4291),
    [anon_sym_SQUOTE] = ACTIONS(4291),
    [anon_sym_L_DQUOTE] = ACTIONS(4293),
    [anon_sym_u_DQUOTE] = ACTIONS(4293),
    [anon_sym_U_DQUOTE] = ACTIONS(4293),
    [anon_sym_u8_DQUOTE] = ACTIONS(4293),
    [anon_sym_DQUOTE] = ACTIONS(4293),
    [sym_true] = ACTIONS(4295),
    [sym_false] = ACTIONS(4295),
    [anon_sym_NULL] = ACTIONS(4297),
    [anon_sym_nullptr] = ACTIONS(4297),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(4307),
    [anon_sym_R_DQUOTE] = ACTIONS(4309),
    [anon_sym_LR_DQUOTE] = ACTIONS(4309),
    [anon_sym_uR_DQUOTE] = ACTIONS(4309),
    [anon_sym_UR_DQUOTE] = ACTIONS(4309),
    [anon_sym_u8R_DQUOTE] = ACTIONS(4309),
    [anon_sym_co_await] = ACTIONS(4311),
    [anon_sym_new] = ACTIONS(4313),
    [anon_sym_requires] = ACTIONS(4315),
    [sym_this] = ACTIONS(4295),
  },
  [2173] = {
    [sym__expression] = STATE(5925),
    [sym__expression_not_binary] = STATE(5024),
    [sym__string] = STATE(5024),
    [sym_conditional_expression] = STATE(5024),
    [sym_assignment_expression] = STATE(5024),
    [sym_pointer_expression] = STATE(4507),
    [sym_unary_expression] = STATE(5024),
    [sym_binary_expression] = STATE(5024),
    [sym_update_expression] = STATE(5024),
    [sym_cast_expression] = STATE(5024),
    [sym_sizeof_expression] = STATE(5024),
    [sym_alignof_expression] = STATE(5024),
    [sym_offsetof_expression] = STATE(5024),
    [sym_generic_expression] = STATE(5024),
    [sym_subscript_expression] = STATE(4507),
    [sym_call_expression] = STATE(4507),
    [sym_gnu_asm_expression] = STATE(5024),
    [sym_field_expression] = STATE(4507),
    [sym_compound_literal_expression] = STATE(5024),
    [sym_parenthesized_expression] = STATE(4507),
    [sym_char_literal] = STATE(5374),
    [sym_concatenated_string] = STATE(5377),
    [sym_string_literal] = STATE(4206),
    [sym_null] = STATE(5024),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9352),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(5024),
    [sym_raw_string_literal] = STATE(4217),
    [sym_co_await_expression] = STATE(5024),
    [sym_new_expression] = STATE(5024),
    [sym_delete_expression] = STATE(5024),
    [sym_requires_clause] = STATE(5024),
    [sym_requires_expression] = STATE(5024),
    [sym_lambda_expression] = STATE(5024),
    [sym_lambda_capture_specifier] = STATE(7184),
    [sym_fold_expression] = STATE(5024),
    [sym_parameter_pack_expansion] = STATE(5024),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6886),
    [sym_qualified_identifier] = STATE(4507),
    [sym_qualified_type_identifier] = STATE(9352),
    [sym_user_defined_literal] = STATE(4507),
    [sym_identifier] = ACTIONS(3140),
    [anon_sym_LPAREN2] = ACTIONS(1472),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1474),
    [anon_sym_AMP] = ACTIONS(1474),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [sym_primitive_type] = ACTIONS(3146),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [2174] = {
    [sym__expression] = STATE(5685),
    [sym__expression_not_binary] = STATE(6001),
    [sym__string] = STATE(6001),
    [sym_conditional_expression] = STATE(6001),
    [sym_assignment_expression] = STATE(6001),
    [sym_pointer_expression] = STATE(4807),
    [sym_unary_expression] = STATE(6001),
    [sym_binary_expression] = STATE(6001),
    [sym_update_expression] = STATE(6001),
    [sym_cast_expression] = STATE(6001),
    [sym_sizeof_expression] = STATE(6001),
    [sym_alignof_expression] = STATE(6001),
    [sym_offsetof_expression] = STATE(6001),
    [sym_generic_expression] = STATE(6001),
    [sym_subscript_expression] = STATE(4807),
    [sym_call_expression] = STATE(4807),
    [sym_gnu_asm_expression] = STATE(6001),
    [sym_field_expression] = STATE(4807),
    [sym_compound_literal_expression] = STATE(6001),
    [sym_parenthesized_expression] = STATE(4807),
    [sym_char_literal] = STATE(5842),
    [sym_concatenated_string] = STATE(5845),
    [sym_string_literal] = STATE(4864),
    [sym_null] = STATE(6001),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(8975),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(6001),
    [sym_raw_string_literal] = STATE(4865),
    [sym_co_await_expression] = STATE(6001),
    [sym_new_expression] = STATE(6001),
    [sym_delete_expression] = STATE(6001),
    [sym_requires_clause] = STATE(6001),
    [sym_requires_expression] = STATE(6001),
    [sym_lambda_expression] = STATE(6001),
    [sym_lambda_capture_specifier] = STATE(7123),
    [sym_fold_expression] = STATE(6001),
    [sym_parameter_pack_expansion] = STATE(6001),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6932),
    [sym_qualified_identifier] = STATE(4807),
    [sym_qualified_type_identifier] = STATE(8975),
    [sym_user_defined_literal] = STATE(4807),
    [sym_identifier] = ACTIONS(4532),
    [anon_sym_LPAREN2] = ACTIONS(4255),
    [anon_sym_BANG] = ACTIONS(4257),
    [anon_sym_TILDE] = ACTIONS(4257),
    [anon_sym_DASH] = ACTIONS(4259),
    [anon_sym_PLUS] = ACTIONS(4259),
    [anon_sym_STAR] = ACTIONS(4261),
    [anon_sym_AMP] = ACTIONS(4261),
    [anon_sym_COLON_COLON] = ACTIONS(4263),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [sym_primitive_type] = ACTIONS(4536),
    [anon_sym_not] = ACTIONS(4259),
    [anon_sym_compl] = ACTIONS(4259),
    [anon_sym_DASH_DASH] = ACTIONS(4277),
    [anon_sym_PLUS_PLUS] = ACTIONS(4277),
    [anon_sym_sizeof] = ACTIONS(4279),
    [anon_sym___alignof__] = ACTIONS(4281),
    [anon_sym___alignof] = ACTIONS(4281),
    [anon_sym__alignof] = ACTIONS(4281),
    [anon_sym_alignof] = ACTIONS(4281),
    [anon_sym__Alignof] = ACTIONS(4281),
    [anon_sym_offsetof] = ACTIONS(4283),
    [anon_sym__Generic] = ACTIONS(4285),
    [anon_sym_asm] = ACTIONS(4287),
    [anon_sym___asm__] = ACTIONS(4287),
    [sym_number_literal] = ACTIONS(4289),
    [anon_sym_L_SQUOTE] = ACTIONS(4291),
    [anon_sym_u_SQUOTE] = ACTIONS(4291),
    [anon_sym_U_SQUOTE] = ACTIONS(4291),
    [anon_sym_u8_SQUOTE] = ACTIONS(4291),
    [anon_sym_SQUOTE] = ACTIONS(4291),
    [anon_sym_L_DQUOTE] = ACTIONS(4293),
    [anon_sym_u_DQUOTE] = ACTIONS(4293),
    [anon_sym_U_DQUOTE] = ACTIONS(4293),
    [anon_sym_u8_DQUOTE] = ACTIONS(4293),
    [anon_sym_DQUOTE] = ACTIONS(4293),
    [sym_true] = ACTIONS(4295),
    [sym_false] = ACTIONS(4295),
    [anon_sym_NULL] = ACTIONS(4297),
    [anon_sym_nullptr] = ACTIONS(4297),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(4307),
    [anon_sym_R_DQUOTE] = ACTIONS(4309),
    [anon_sym_LR_DQUOTE] = ACTIONS(4309),
    [anon_sym_uR_DQUOTE] = ACTIONS(4309),
    [anon_sym_UR_DQUOTE] = ACTIONS(4309),
    [anon_sym_u8R_DQUOTE] = ACTIONS(4309),
    [anon_sym_co_await] = ACTIONS(4311),
    [anon_sym_new] = ACTIONS(4313),
    [anon_sym_requires] = ACTIONS(4315),
    [sym_this] = ACTIONS(4295),
  },
  [2175] = {
    [sym__expression] = STATE(4895),
    [sym__expression_not_binary] = STATE(5024),
    [sym__string] = STATE(5024),
    [sym_conditional_expression] = STATE(5024),
    [sym_assignment_expression] = STATE(5024),
    [sym_pointer_expression] = STATE(4507),
    [sym_unary_expression] = STATE(5024),
    [sym_binary_expression] = STATE(5024),
    [sym_update_expression] = STATE(5024),
    [sym_cast_expression] = STATE(5024),
    [sym_sizeof_expression] = STATE(5024),
    [sym_alignof_expression] = STATE(5024),
    [sym_offsetof_expression] = STATE(5024),
    [sym_generic_expression] = STATE(5024),
    [sym_subscript_expression] = STATE(4507),
    [sym_call_expression] = STATE(4507),
    [sym_gnu_asm_expression] = STATE(5024),
    [sym_field_expression] = STATE(4507),
    [sym_compound_literal_expression] = STATE(5024),
    [sym_parenthesized_expression] = STATE(4507),
    [sym_char_literal] = STATE(5374),
    [sym_concatenated_string] = STATE(5377),
    [sym_string_literal] = STATE(4206),
    [sym_null] = STATE(5024),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9352),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(5024),
    [sym_raw_string_literal] = STATE(4217),
    [sym_co_await_expression] = STATE(5024),
    [sym_new_expression] = STATE(5024),
    [sym_delete_expression] = STATE(5024),
    [sym_requires_clause] = STATE(5024),
    [sym_requires_expression] = STATE(5024),
    [sym_lambda_expression] = STATE(5024),
    [sym_lambda_capture_specifier] = STATE(7184),
    [sym_fold_expression] = STATE(5024),
    [sym_parameter_pack_expansion] = STATE(5024),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6886),
    [sym_qualified_identifier] = STATE(4507),
    [sym_qualified_type_identifier] = STATE(9352),
    [sym_user_defined_literal] = STATE(4507),
    [sym_identifier] = ACTIONS(3140),
    [anon_sym_LPAREN2] = ACTIONS(1472),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1474),
    [anon_sym_AMP] = ACTIONS(1474),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [sym_primitive_type] = ACTIONS(3146),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [2176] = {
    [sym__expression] = STATE(5621),
    [sym__expression_not_binary] = STATE(6001),
    [sym__string] = STATE(6001),
    [sym_conditional_expression] = STATE(6001),
    [sym_assignment_expression] = STATE(6001),
    [sym_pointer_expression] = STATE(4807),
    [sym_unary_expression] = STATE(6001),
    [sym_binary_expression] = STATE(6001),
    [sym_update_expression] = STATE(6001),
    [sym_cast_expression] = STATE(6001),
    [sym_sizeof_expression] = STATE(6001),
    [sym_alignof_expression] = STATE(6001),
    [sym_offsetof_expression] = STATE(6001),
    [sym_generic_expression] = STATE(6001),
    [sym_subscript_expression] = STATE(4807),
    [sym_call_expression] = STATE(4807),
    [sym_gnu_asm_expression] = STATE(6001),
    [sym_field_expression] = STATE(4807),
    [sym_compound_literal_expression] = STATE(6001),
    [sym_parenthesized_expression] = STATE(4807),
    [sym_char_literal] = STATE(5842),
    [sym_concatenated_string] = STATE(5845),
    [sym_string_literal] = STATE(4864),
    [sym_null] = STATE(6001),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(8975),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(6001),
    [sym_raw_string_literal] = STATE(4865),
    [sym_co_await_expression] = STATE(6001),
    [sym_new_expression] = STATE(6001),
    [sym_delete_expression] = STATE(6001),
    [sym_requires_clause] = STATE(6001),
    [sym_requires_expression] = STATE(6001),
    [sym_lambda_expression] = STATE(6001),
    [sym_lambda_capture_specifier] = STATE(7123),
    [sym_fold_expression] = STATE(6001),
    [sym_parameter_pack_expansion] = STATE(6001),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6932),
    [sym_qualified_identifier] = STATE(4807),
    [sym_qualified_type_identifier] = STATE(8975),
    [sym_user_defined_literal] = STATE(4807),
    [sym_identifier] = ACTIONS(4532),
    [anon_sym_LPAREN2] = ACTIONS(4255),
    [anon_sym_BANG] = ACTIONS(4257),
    [anon_sym_TILDE] = ACTIONS(4257),
    [anon_sym_DASH] = ACTIONS(4259),
    [anon_sym_PLUS] = ACTIONS(4259),
    [anon_sym_STAR] = ACTIONS(4261),
    [anon_sym_AMP] = ACTIONS(4261),
    [anon_sym_COLON_COLON] = ACTIONS(4263),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [sym_primitive_type] = ACTIONS(4536),
    [anon_sym_not] = ACTIONS(4259),
    [anon_sym_compl] = ACTIONS(4259),
    [anon_sym_DASH_DASH] = ACTIONS(4277),
    [anon_sym_PLUS_PLUS] = ACTIONS(4277),
    [anon_sym_sizeof] = ACTIONS(4279),
    [anon_sym___alignof__] = ACTIONS(4281),
    [anon_sym___alignof] = ACTIONS(4281),
    [anon_sym__alignof] = ACTIONS(4281),
    [anon_sym_alignof] = ACTIONS(4281),
    [anon_sym__Alignof] = ACTIONS(4281),
    [anon_sym_offsetof] = ACTIONS(4283),
    [anon_sym__Generic] = ACTIONS(4285),
    [anon_sym_asm] = ACTIONS(4287),
    [anon_sym___asm__] = ACTIONS(4287),
    [sym_number_literal] = ACTIONS(4289),
    [anon_sym_L_SQUOTE] = ACTIONS(4291),
    [anon_sym_u_SQUOTE] = ACTIONS(4291),
    [anon_sym_U_SQUOTE] = ACTIONS(4291),
    [anon_sym_u8_SQUOTE] = ACTIONS(4291),
    [anon_sym_SQUOTE] = ACTIONS(4291),
    [anon_sym_L_DQUOTE] = ACTIONS(4293),
    [anon_sym_u_DQUOTE] = ACTIONS(4293),
    [anon_sym_U_DQUOTE] = ACTIONS(4293),
    [anon_sym_u8_DQUOTE] = ACTIONS(4293),
    [anon_sym_DQUOTE] = ACTIONS(4293),
    [sym_true] = ACTIONS(4295),
    [sym_false] = ACTIONS(4295),
    [anon_sym_NULL] = ACTIONS(4297),
    [anon_sym_nullptr] = ACTIONS(4297),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(4307),
    [anon_sym_R_DQUOTE] = ACTIONS(4309),
    [anon_sym_LR_DQUOTE] = ACTIONS(4309),
    [anon_sym_uR_DQUOTE] = ACTIONS(4309),
    [anon_sym_UR_DQUOTE] = ACTIONS(4309),
    [anon_sym_u8R_DQUOTE] = ACTIONS(4309),
    [anon_sym_co_await] = ACTIONS(4311),
    [anon_sym_new] = ACTIONS(4313),
    [anon_sym_requires] = ACTIONS(4315),
    [sym_this] = ACTIONS(4295),
  },
  [2177] = {
    [sym__expression] = STATE(5681),
    [sym__expression_not_binary] = STATE(6001),
    [sym__string] = STATE(6001),
    [sym_conditional_expression] = STATE(6001),
    [sym_assignment_expression] = STATE(6001),
    [sym_pointer_expression] = STATE(4807),
    [sym_unary_expression] = STATE(6001),
    [sym_binary_expression] = STATE(6001),
    [sym_update_expression] = STATE(6001),
    [sym_cast_expression] = STATE(6001),
    [sym_sizeof_expression] = STATE(6001),
    [sym_alignof_expression] = STATE(6001),
    [sym_offsetof_expression] = STATE(6001),
    [sym_generic_expression] = STATE(6001),
    [sym_subscript_expression] = STATE(4807),
    [sym_call_expression] = STATE(4807),
    [sym_gnu_asm_expression] = STATE(6001),
    [sym_field_expression] = STATE(4807),
    [sym_compound_literal_expression] = STATE(6001),
    [sym_parenthesized_expression] = STATE(4807),
    [sym_char_literal] = STATE(5842),
    [sym_concatenated_string] = STATE(5845),
    [sym_string_literal] = STATE(4864),
    [sym_null] = STATE(6001),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(8975),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(6001),
    [sym_raw_string_literal] = STATE(4865),
    [sym_co_await_expression] = STATE(6001),
    [sym_new_expression] = STATE(6001),
    [sym_delete_expression] = STATE(6001),
    [sym_requires_clause] = STATE(6001),
    [sym_requires_expression] = STATE(6001),
    [sym_lambda_expression] = STATE(6001),
    [sym_lambda_capture_specifier] = STATE(7123),
    [sym_fold_expression] = STATE(6001),
    [sym_parameter_pack_expansion] = STATE(6001),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6932),
    [sym_qualified_identifier] = STATE(4807),
    [sym_qualified_type_identifier] = STATE(8975),
    [sym_user_defined_literal] = STATE(4807),
    [sym_identifier] = ACTIONS(4532),
    [anon_sym_LPAREN2] = ACTIONS(4255),
    [anon_sym_BANG] = ACTIONS(4257),
    [anon_sym_TILDE] = ACTIONS(4257),
    [anon_sym_DASH] = ACTIONS(4259),
    [anon_sym_PLUS] = ACTIONS(4259),
    [anon_sym_STAR] = ACTIONS(4261),
    [anon_sym_AMP] = ACTIONS(4261),
    [anon_sym_COLON_COLON] = ACTIONS(4263),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [sym_primitive_type] = ACTIONS(4536),
    [anon_sym_not] = ACTIONS(4259),
    [anon_sym_compl] = ACTIONS(4259),
    [anon_sym_DASH_DASH] = ACTIONS(4277),
    [anon_sym_PLUS_PLUS] = ACTIONS(4277),
    [anon_sym_sizeof] = ACTIONS(4279),
    [anon_sym___alignof__] = ACTIONS(4281),
    [anon_sym___alignof] = ACTIONS(4281),
    [anon_sym__alignof] = ACTIONS(4281),
    [anon_sym_alignof] = ACTIONS(4281),
    [anon_sym__Alignof] = ACTIONS(4281),
    [anon_sym_offsetof] = ACTIONS(4283),
    [anon_sym__Generic] = ACTIONS(4285),
    [anon_sym_asm] = ACTIONS(4287),
    [anon_sym___asm__] = ACTIONS(4287),
    [sym_number_literal] = ACTIONS(4289),
    [anon_sym_L_SQUOTE] = ACTIONS(4291),
    [anon_sym_u_SQUOTE] = ACTIONS(4291),
    [anon_sym_U_SQUOTE] = ACTIONS(4291),
    [anon_sym_u8_SQUOTE] = ACTIONS(4291),
    [anon_sym_SQUOTE] = ACTIONS(4291),
    [anon_sym_L_DQUOTE] = ACTIONS(4293),
    [anon_sym_u_DQUOTE] = ACTIONS(4293),
    [anon_sym_U_DQUOTE] = ACTIONS(4293),
    [anon_sym_u8_DQUOTE] = ACTIONS(4293),
    [anon_sym_DQUOTE] = ACTIONS(4293),
    [sym_true] = ACTIONS(4295),
    [sym_false] = ACTIONS(4295),
    [anon_sym_NULL] = ACTIONS(4297),
    [anon_sym_nullptr] = ACTIONS(4297),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(4307),
    [anon_sym_R_DQUOTE] = ACTIONS(4309),
    [anon_sym_LR_DQUOTE] = ACTIONS(4309),
    [anon_sym_uR_DQUOTE] = ACTIONS(4309),
    [anon_sym_UR_DQUOTE] = ACTIONS(4309),
    [anon_sym_u8R_DQUOTE] = ACTIONS(4309),
    [anon_sym_co_await] = ACTIONS(4311),
    [anon_sym_new] = ACTIONS(4313),
    [anon_sym_requires] = ACTIONS(4315),
    [sym_this] = ACTIONS(4295),
  },
  [2178] = {
    [sym__expression] = STATE(5696),
    [sym__expression_not_binary] = STATE(6001),
    [sym__string] = STATE(6001),
    [sym_conditional_expression] = STATE(6001),
    [sym_assignment_expression] = STATE(6001),
    [sym_pointer_expression] = STATE(4807),
    [sym_unary_expression] = STATE(6001),
    [sym_binary_expression] = STATE(6001),
    [sym_update_expression] = STATE(6001),
    [sym_cast_expression] = STATE(6001),
    [sym_sizeof_expression] = STATE(6001),
    [sym_alignof_expression] = STATE(6001),
    [sym_offsetof_expression] = STATE(6001),
    [sym_generic_expression] = STATE(6001),
    [sym_subscript_expression] = STATE(4807),
    [sym_call_expression] = STATE(4807),
    [sym_gnu_asm_expression] = STATE(6001),
    [sym_field_expression] = STATE(4807),
    [sym_compound_literal_expression] = STATE(6001),
    [sym_parenthesized_expression] = STATE(4807),
    [sym_char_literal] = STATE(5842),
    [sym_concatenated_string] = STATE(5845),
    [sym_string_literal] = STATE(4864),
    [sym_null] = STATE(6001),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(8975),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(6001),
    [sym_raw_string_literal] = STATE(4865),
    [sym_co_await_expression] = STATE(6001),
    [sym_new_expression] = STATE(6001),
    [sym_delete_expression] = STATE(6001),
    [sym_requires_clause] = STATE(6001),
    [sym_requires_expression] = STATE(6001),
    [sym_lambda_expression] = STATE(6001),
    [sym_lambda_capture_specifier] = STATE(7123),
    [sym_fold_expression] = STATE(6001),
    [sym_parameter_pack_expansion] = STATE(6001),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6932),
    [sym_qualified_identifier] = STATE(4807),
    [sym_qualified_type_identifier] = STATE(8975),
    [sym_user_defined_literal] = STATE(4807),
    [sym_identifier] = ACTIONS(4532),
    [anon_sym_LPAREN2] = ACTIONS(4255),
    [anon_sym_BANG] = ACTIONS(4257),
    [anon_sym_TILDE] = ACTIONS(4257),
    [anon_sym_DASH] = ACTIONS(4259),
    [anon_sym_PLUS] = ACTIONS(4259),
    [anon_sym_STAR] = ACTIONS(4261),
    [anon_sym_AMP] = ACTIONS(4261),
    [anon_sym_COLON_COLON] = ACTIONS(4263),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [sym_primitive_type] = ACTIONS(4536),
    [anon_sym_not] = ACTIONS(4259),
    [anon_sym_compl] = ACTIONS(4259),
    [anon_sym_DASH_DASH] = ACTIONS(4277),
    [anon_sym_PLUS_PLUS] = ACTIONS(4277),
    [anon_sym_sizeof] = ACTIONS(4279),
    [anon_sym___alignof__] = ACTIONS(4281),
    [anon_sym___alignof] = ACTIONS(4281),
    [anon_sym__alignof] = ACTIONS(4281),
    [anon_sym_alignof] = ACTIONS(4281),
    [anon_sym__Alignof] = ACTIONS(4281),
    [anon_sym_offsetof] = ACTIONS(4283),
    [anon_sym__Generic] = ACTIONS(4285),
    [anon_sym_asm] = ACTIONS(4287),
    [anon_sym___asm__] = ACTIONS(4287),
    [sym_number_literal] = ACTIONS(4289),
    [anon_sym_L_SQUOTE] = ACTIONS(4291),
    [anon_sym_u_SQUOTE] = ACTIONS(4291),
    [anon_sym_U_SQUOTE] = ACTIONS(4291),
    [anon_sym_u8_SQUOTE] = ACTIONS(4291),
    [anon_sym_SQUOTE] = ACTIONS(4291),
    [anon_sym_L_DQUOTE] = ACTIONS(4293),
    [anon_sym_u_DQUOTE] = ACTIONS(4293),
    [anon_sym_U_DQUOTE] = ACTIONS(4293),
    [anon_sym_u8_DQUOTE] = ACTIONS(4293),
    [anon_sym_DQUOTE] = ACTIONS(4293),
    [sym_true] = ACTIONS(4295),
    [sym_false] = ACTIONS(4295),
    [anon_sym_NULL] = ACTIONS(4297),
    [anon_sym_nullptr] = ACTIONS(4297),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(4307),
    [anon_sym_R_DQUOTE] = ACTIONS(4309),
    [anon_sym_LR_DQUOTE] = ACTIONS(4309),
    [anon_sym_uR_DQUOTE] = ACTIONS(4309),
    [anon_sym_UR_DQUOTE] = ACTIONS(4309),
    [anon_sym_u8R_DQUOTE] = ACTIONS(4309),
    [anon_sym_co_await] = ACTIONS(4311),
    [anon_sym_new] = ACTIONS(4313),
    [anon_sym_requires] = ACTIONS(4315),
    [sym_this] = ACTIONS(4295),
  },
  [2179] = {
    [sym__expression] = STATE(4940),
    [sym__expression_not_binary] = STATE(5024),
    [sym__string] = STATE(5024),
    [sym_conditional_expression] = STATE(5024),
    [sym_assignment_expression] = STATE(5024),
    [sym_pointer_expression] = STATE(4737),
    [sym_unary_expression] = STATE(5024),
    [sym_binary_expression] = STATE(5024),
    [sym_update_expression] = STATE(5024),
    [sym_cast_expression] = STATE(5024),
    [sym_sizeof_expression] = STATE(5024),
    [sym_alignof_expression] = STATE(5024),
    [sym_offsetof_expression] = STATE(5024),
    [sym_generic_expression] = STATE(5024),
    [sym_subscript_expression] = STATE(4737),
    [sym_call_expression] = STATE(4737),
    [sym_gnu_asm_expression] = STATE(5024),
    [sym_field_expression] = STATE(4737),
    [sym_compound_literal_expression] = STATE(5024),
    [sym_parenthesized_expression] = STATE(4737),
    [sym_char_literal] = STATE(5374),
    [sym_concatenated_string] = STATE(5377),
    [sym_string_literal] = STATE(4206),
    [sym_null] = STATE(5024),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9352),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(5024),
    [sym_raw_string_literal] = STATE(4217),
    [sym_co_await_expression] = STATE(5024),
    [sym_new_expression] = STATE(5024),
    [sym_delete_expression] = STATE(5024),
    [sym_requires_clause] = STATE(5024),
    [sym_requires_expression] = STATE(5024),
    [sym_lambda_expression] = STATE(5024),
    [sym_lambda_capture_specifier] = STATE(7184),
    [sym_fold_expression] = STATE(5024),
    [sym_parameter_pack_expansion] = STATE(5024),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6886),
    [sym_qualified_identifier] = STATE(4737),
    [sym_qualified_type_identifier] = STATE(9352),
    [sym_user_defined_literal] = STATE(4737),
    [sym_identifier] = ACTIONS(4502),
    [anon_sym_LPAREN2] = ACTIONS(4540),
    [anon_sym_BANG] = ACTIONS(4506),
    [anon_sym_TILDE] = ACTIONS(4506),
    [anon_sym_DASH] = ACTIONS(4504),
    [anon_sym_PLUS] = ACTIONS(4504),
    [anon_sym_STAR] = ACTIONS(1474),
    [anon_sym_AMP] = ACTIONS(1474),
    [anon_sym_COLON_COLON] = ACTIONS(4508),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [sym_primitive_type] = ACTIONS(3146),
    [anon_sym_not] = ACTIONS(4504),
    [anon_sym_compl] = ACTIONS(4504),
    [anon_sym_DASH_DASH] = ACTIONS(4544),
    [anon_sym_PLUS_PLUS] = ACTIONS(4544),
    [anon_sym_sizeof] = ACTIONS(4510),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(4512),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(4514),
    [anon_sym_new] = ACTIONS(4516),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [2180] = {
    [sym__expression] = STATE(5620),
    [sym__expression_not_binary] = STATE(6001),
    [sym__string] = STATE(6001),
    [sym_conditional_expression] = STATE(6001),
    [sym_assignment_expression] = STATE(6001),
    [sym_pointer_expression] = STATE(4807),
    [sym_unary_expression] = STATE(6001),
    [sym_binary_expression] = STATE(6001),
    [sym_update_expression] = STATE(6001),
    [sym_cast_expression] = STATE(6001),
    [sym_sizeof_expression] = STATE(6001),
    [sym_alignof_expression] = STATE(6001),
    [sym_offsetof_expression] = STATE(6001),
    [sym_generic_expression] = STATE(6001),
    [sym_subscript_expression] = STATE(4807),
    [sym_call_expression] = STATE(4807),
    [sym_gnu_asm_expression] = STATE(6001),
    [sym_field_expression] = STATE(4807),
    [sym_compound_literal_expression] = STATE(6001),
    [sym_parenthesized_expression] = STATE(4807),
    [sym_char_literal] = STATE(5842),
    [sym_concatenated_string] = STATE(5845),
    [sym_string_literal] = STATE(4864),
    [sym_null] = STATE(6001),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(8975),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(6001),
    [sym_raw_string_literal] = STATE(4865),
    [sym_co_await_expression] = STATE(6001),
    [sym_new_expression] = STATE(6001),
    [sym_delete_expression] = STATE(6001),
    [sym_requires_clause] = STATE(6001),
    [sym_requires_expression] = STATE(6001),
    [sym_lambda_expression] = STATE(6001),
    [sym_lambda_capture_specifier] = STATE(7123),
    [sym_fold_expression] = STATE(6001),
    [sym_parameter_pack_expansion] = STATE(6001),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6932),
    [sym_qualified_identifier] = STATE(4807),
    [sym_qualified_type_identifier] = STATE(8975),
    [sym_user_defined_literal] = STATE(4807),
    [sym_identifier] = ACTIONS(4532),
    [anon_sym_LPAREN2] = ACTIONS(4255),
    [anon_sym_BANG] = ACTIONS(4257),
    [anon_sym_TILDE] = ACTIONS(4257),
    [anon_sym_DASH] = ACTIONS(4259),
    [anon_sym_PLUS] = ACTIONS(4259),
    [anon_sym_STAR] = ACTIONS(4261),
    [anon_sym_AMP] = ACTIONS(4261),
    [anon_sym_COLON_COLON] = ACTIONS(4263),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [sym_primitive_type] = ACTIONS(4536),
    [anon_sym_not] = ACTIONS(4259),
    [anon_sym_compl] = ACTIONS(4259),
    [anon_sym_DASH_DASH] = ACTIONS(4277),
    [anon_sym_PLUS_PLUS] = ACTIONS(4277),
    [anon_sym_sizeof] = ACTIONS(4279),
    [anon_sym___alignof__] = ACTIONS(4281),
    [anon_sym___alignof] = ACTIONS(4281),
    [anon_sym__alignof] = ACTIONS(4281),
    [anon_sym_alignof] = ACTIONS(4281),
    [anon_sym__Alignof] = ACTIONS(4281),
    [anon_sym_offsetof] = ACTIONS(4283),
    [anon_sym__Generic] = ACTIONS(4285),
    [anon_sym_asm] = ACTIONS(4287),
    [anon_sym___asm__] = ACTIONS(4287),
    [sym_number_literal] = ACTIONS(4289),
    [anon_sym_L_SQUOTE] = ACTIONS(4291),
    [anon_sym_u_SQUOTE] = ACTIONS(4291),
    [anon_sym_U_SQUOTE] = ACTIONS(4291),
    [anon_sym_u8_SQUOTE] = ACTIONS(4291),
    [anon_sym_SQUOTE] = ACTIONS(4291),
    [anon_sym_L_DQUOTE] = ACTIONS(4293),
    [anon_sym_u_DQUOTE] = ACTIONS(4293),
    [anon_sym_U_DQUOTE] = ACTIONS(4293),
    [anon_sym_u8_DQUOTE] = ACTIONS(4293),
    [anon_sym_DQUOTE] = ACTIONS(4293),
    [sym_true] = ACTIONS(4295),
    [sym_false] = ACTIONS(4295),
    [anon_sym_NULL] = ACTIONS(4297),
    [anon_sym_nullptr] = ACTIONS(4297),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(4307),
    [anon_sym_R_DQUOTE] = ACTIONS(4309),
    [anon_sym_LR_DQUOTE] = ACTIONS(4309),
    [anon_sym_uR_DQUOTE] = ACTIONS(4309),
    [anon_sym_UR_DQUOTE] = ACTIONS(4309),
    [anon_sym_u8R_DQUOTE] = ACTIONS(4309),
    [anon_sym_co_await] = ACTIONS(4311),
    [anon_sym_new] = ACTIONS(4313),
    [anon_sym_requires] = ACTIONS(4315),
    [sym_this] = ACTIONS(4295),
  },
  [2181] = {
    [sym__expression] = STATE(5641),
    [sym__expression_not_binary] = STATE(5024),
    [sym__string] = STATE(5024),
    [sym_conditional_expression] = STATE(5024),
    [sym_assignment_expression] = STATE(5024),
    [sym_pointer_expression] = STATE(4737),
    [sym_unary_expression] = STATE(5024),
    [sym_binary_expression] = STATE(5024),
    [sym_update_expression] = STATE(5024),
    [sym_cast_expression] = STATE(5024),
    [sym_sizeof_expression] = STATE(5024),
    [sym_alignof_expression] = STATE(5024),
    [sym_offsetof_expression] = STATE(5024),
    [sym_generic_expression] = STATE(5024),
    [sym_subscript_expression] = STATE(4737),
    [sym_call_expression] = STATE(4737),
    [sym_gnu_asm_expression] = STATE(5024),
    [sym_field_expression] = STATE(4737),
    [sym_compound_literal_expression] = STATE(5024),
    [sym_parenthesized_expression] = STATE(4737),
    [sym_char_literal] = STATE(5374),
    [sym_concatenated_string] = STATE(5377),
    [sym_string_literal] = STATE(4206),
    [sym_null] = STATE(5024),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9352),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(5024),
    [sym_raw_string_literal] = STATE(4217),
    [sym_co_await_expression] = STATE(5024),
    [sym_new_expression] = STATE(5024),
    [sym_delete_expression] = STATE(5024),
    [sym_requires_clause] = STATE(5024),
    [sym_requires_expression] = STATE(5024),
    [sym_lambda_expression] = STATE(5024),
    [sym_lambda_capture_specifier] = STATE(7184),
    [sym_fold_expression] = STATE(5024),
    [sym_parameter_pack_expansion] = STATE(5024),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6886),
    [sym_qualified_identifier] = STATE(4737),
    [sym_qualified_type_identifier] = STATE(9352),
    [sym_user_defined_literal] = STATE(4737),
    [sym_identifier] = ACTIONS(4502),
    [anon_sym_LPAREN2] = ACTIONS(4540),
    [anon_sym_BANG] = ACTIONS(4506),
    [anon_sym_TILDE] = ACTIONS(4506),
    [anon_sym_DASH] = ACTIONS(4504),
    [anon_sym_PLUS] = ACTIONS(4504),
    [anon_sym_STAR] = ACTIONS(1474),
    [anon_sym_AMP] = ACTIONS(1474),
    [anon_sym_COLON_COLON] = ACTIONS(4508),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [sym_primitive_type] = ACTIONS(3146),
    [anon_sym_not] = ACTIONS(4504),
    [anon_sym_compl] = ACTIONS(4504),
    [anon_sym_DASH_DASH] = ACTIONS(4544),
    [anon_sym_PLUS_PLUS] = ACTIONS(4544),
    [anon_sym_sizeof] = ACTIONS(4510),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(4512),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(4514),
    [anon_sym_new] = ACTIONS(4516),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [2182] = {
    [sym__expression] = STATE(5770),
    [sym__expression_not_binary] = STATE(6001),
    [sym__string] = STATE(6001),
    [sym_conditional_expression] = STATE(6001),
    [sym_assignment_expression] = STATE(6001),
    [sym_pointer_expression] = STATE(4807),
    [sym_unary_expression] = STATE(6001),
    [sym_binary_expression] = STATE(6001),
    [sym_update_expression] = STATE(6001),
    [sym_cast_expression] = STATE(6001),
    [sym_sizeof_expression] = STATE(6001),
    [sym_alignof_expression] = STATE(6001),
    [sym_offsetof_expression] = STATE(6001),
    [sym_generic_expression] = STATE(6001),
    [sym_subscript_expression] = STATE(4807),
    [sym_call_expression] = STATE(4807),
    [sym_gnu_asm_expression] = STATE(6001),
    [sym_field_expression] = STATE(4807),
    [sym_compound_literal_expression] = STATE(6001),
    [sym_parenthesized_expression] = STATE(4807),
    [sym_char_literal] = STATE(5842),
    [sym_concatenated_string] = STATE(5845),
    [sym_string_literal] = STATE(4864),
    [sym_null] = STATE(6001),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(8975),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(6001),
    [sym_raw_string_literal] = STATE(4865),
    [sym_co_await_expression] = STATE(6001),
    [sym_new_expression] = STATE(6001),
    [sym_delete_expression] = STATE(6001),
    [sym_requires_clause] = STATE(6001),
    [sym_requires_expression] = STATE(6001),
    [sym_lambda_expression] = STATE(6001),
    [sym_lambda_capture_specifier] = STATE(7123),
    [sym_fold_expression] = STATE(6001),
    [sym_parameter_pack_expansion] = STATE(6001),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6932),
    [sym_qualified_identifier] = STATE(4807),
    [sym_qualified_type_identifier] = STATE(8975),
    [sym_user_defined_literal] = STATE(4807),
    [sym_identifier] = ACTIONS(4532),
    [anon_sym_LPAREN2] = ACTIONS(4255),
    [anon_sym_BANG] = ACTIONS(4257),
    [anon_sym_TILDE] = ACTIONS(4257),
    [anon_sym_DASH] = ACTIONS(4259),
    [anon_sym_PLUS] = ACTIONS(4259),
    [anon_sym_STAR] = ACTIONS(4261),
    [anon_sym_AMP] = ACTIONS(4261),
    [anon_sym_COLON_COLON] = ACTIONS(4263),
    [anon_sym_LBRACK] = ACTIONS(5501),
    [sym_primitive_type] = ACTIONS(4536),
    [anon_sym_not] = ACTIONS(4259),
    [anon_sym_compl] = ACTIONS(4259),
    [anon_sym_DASH_DASH] = ACTIONS(4277),
    [anon_sym_PLUS_PLUS] = ACTIONS(4277),
    [anon_sym_sizeof] = ACTIONS(4279),
    [anon_sym___alignof__] = ACTIONS(4281),
    [anon_sym___alignof] = ACTIONS(4281),
    [anon_sym__alignof] = ACTIONS(4281),
    [anon_sym_alignof] = ACTIONS(4281),
    [anon_sym__Alignof] = ACTIONS(4281),
    [anon_sym_offsetof] = ACTIONS(4283),
    [anon_sym__Generic] = ACTIONS(4285),
    [anon_sym_asm] = ACTIONS(4287),
    [anon_sym___asm__] = ACTIONS(4287),
    [sym_number_literal] = ACTIONS(4289),
    [anon_sym_L_SQUOTE] = ACTIONS(4291),
    [anon_sym_u_SQUOTE] = ACTIONS(4291),
    [anon_sym_U_SQUOTE] = ACTIONS(4291),
    [anon_sym_u8_SQUOTE] = ACTIONS(4291),
    [anon_sym_SQUOTE] = ACTIONS(4291),
    [anon_sym_L_DQUOTE] = ACTIONS(4293),
    [anon_sym_u_DQUOTE] = ACTIONS(4293),
    [anon_sym_U_DQUOTE] = ACTIONS(4293),
    [anon_sym_u8_DQUOTE] = ACTIONS(4293),
    [anon_sym_DQUOTE] = ACTIONS(4293),
    [sym_true] = ACTIONS(4295),
    [sym_false] = ACTIONS(4295),
    [anon_sym_NULL] = ACTIONS(4297),
    [anon_sym_nullptr] = ACTIONS(4297),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(4307),
    [anon_sym_R_DQUOTE] = ACTIONS(4309),
    [anon_sym_LR_DQUOTE] = ACTIONS(4309),
    [anon_sym_uR_DQUOTE] = ACTIONS(4309),
    [anon_sym_UR_DQUOTE] = ACTIONS(4309),
    [anon_sym_u8R_DQUOTE] = ACTIONS(4309),
    [anon_sym_co_await] = ACTIONS(4311),
    [anon_sym_new] = ACTIONS(4313),
    [anon_sym_requires] = ACTIONS(4315),
    [sym_this] = ACTIONS(4295),
  },
  [2183] = {
    [sym__expression] = STATE(5649),
    [sym__expression_not_binary] = STATE(6001),
    [sym__string] = STATE(6001),
    [sym_conditional_expression] = STATE(6001),
    [sym_assignment_expression] = STATE(6001),
    [sym_pointer_expression] = STATE(4807),
    [sym_unary_expression] = STATE(6001),
    [sym_binary_expression] = STATE(6001),
    [sym_update_expression] = STATE(6001),
    [sym_cast_expression] = STATE(6001),
    [sym_sizeof_expression] = STATE(6001),
    [sym_alignof_expression] = STATE(6001),
    [sym_offsetof_expression] = STATE(6001),
    [sym_generic_expression] = STATE(6001),
    [sym_subscript_expression] = STATE(4807),
    [sym_call_expression] = STATE(4807),
    [sym_gnu_asm_expression] = STATE(6001),
    [sym_field_expression] = STATE(4807),
    [sym_compound_literal_expression] = STATE(6001),
    [sym_parenthesized_expression] = STATE(4807),
    [sym_char_literal] = STATE(5842),
    [sym_concatenated_string] = STATE(5845),
    [sym_string_literal] = STATE(4864),
    [sym_null] = STATE(6001),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(8975),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(6001),
    [sym_raw_string_literal] = STATE(4865),
    [sym_co_await_expression] = STATE(6001),
    [sym_new_expression] = STATE(6001),
    [sym_delete_expression] = STATE(6001),
    [sym_requires_clause] = STATE(6001),
    [sym_requires_expression] = STATE(6001),
    [sym_lambda_expression] = STATE(6001),
    [sym_lambda_capture_specifier] = STATE(7123),
    [sym_fold_expression] = STATE(6001),
    [sym_parameter_pack_expansion] = STATE(6001),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6932),
    [sym_qualified_identifier] = STATE(4807),
    [sym_qualified_type_identifier] = STATE(8975),
    [sym_user_defined_literal] = STATE(4807),
    [sym_identifier] = ACTIONS(4532),
    [anon_sym_LPAREN2] = ACTIONS(4255),
    [anon_sym_BANG] = ACTIONS(4257),
    [anon_sym_TILDE] = ACTIONS(4257),
    [anon_sym_DASH] = ACTIONS(4259),
    [anon_sym_PLUS] = ACTIONS(4259),
    [anon_sym_STAR] = ACTIONS(4261),
    [anon_sym_AMP] = ACTIONS(4261),
    [anon_sym_COLON_COLON] = ACTIONS(4263),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [sym_primitive_type] = ACTIONS(4536),
    [anon_sym_not] = ACTIONS(4259),
    [anon_sym_compl] = ACTIONS(4259),
    [anon_sym_DASH_DASH] = ACTIONS(4277),
    [anon_sym_PLUS_PLUS] = ACTIONS(4277),
    [anon_sym_sizeof] = ACTIONS(4279),
    [anon_sym___alignof__] = ACTIONS(4281),
    [anon_sym___alignof] = ACTIONS(4281),
    [anon_sym__alignof] = ACTIONS(4281),
    [anon_sym_alignof] = ACTIONS(4281),
    [anon_sym__Alignof] = ACTIONS(4281),
    [anon_sym_offsetof] = ACTIONS(4283),
    [anon_sym__Generic] = ACTIONS(4285),
    [anon_sym_asm] = ACTIONS(4287),
    [anon_sym___asm__] = ACTIONS(4287),
    [sym_number_literal] = ACTIONS(4289),
    [anon_sym_L_SQUOTE] = ACTIONS(4291),
    [anon_sym_u_SQUOTE] = ACTIONS(4291),
    [anon_sym_U_SQUOTE] = ACTIONS(4291),
    [anon_sym_u8_SQUOTE] = ACTIONS(4291),
    [anon_sym_SQUOTE] = ACTIONS(4291),
    [anon_sym_L_DQUOTE] = ACTIONS(4293),
    [anon_sym_u_DQUOTE] = ACTIONS(4293),
    [anon_sym_U_DQUOTE] = ACTIONS(4293),
    [anon_sym_u8_DQUOTE] = ACTIONS(4293),
    [anon_sym_DQUOTE] = ACTIONS(4293),
    [sym_true] = ACTIONS(4295),
    [sym_false] = ACTIONS(4295),
    [anon_sym_NULL] = ACTIONS(4297),
    [anon_sym_nullptr] = ACTIONS(4297),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(4307),
    [anon_sym_R_DQUOTE] = ACTIONS(4309),
    [anon_sym_LR_DQUOTE] = ACTIONS(4309),
    [anon_sym_uR_DQUOTE] = ACTIONS(4309),
    [anon_sym_UR_DQUOTE] = ACTIONS(4309),
    [anon_sym_u8R_DQUOTE] = ACTIONS(4309),
    [anon_sym_co_await] = ACTIONS(4311),
    [anon_sym_new] = ACTIONS(4313),
    [anon_sym_requires] = ACTIONS(4315),
    [sym_this] = ACTIONS(4295),
  },
  [2184] = {
    [sym__expression] = STATE(5896),
    [sym__expression_not_binary] = STATE(5024),
    [sym__string] = STATE(5024),
    [sym_conditional_expression] = STATE(5024),
    [sym_assignment_expression] = STATE(5024),
    [sym_pointer_expression] = STATE(4737),
    [sym_unary_expression] = STATE(5024),
    [sym_binary_expression] = STATE(5024),
    [sym_update_expression] = STATE(5024),
    [sym_cast_expression] = STATE(5024),
    [sym_sizeof_expression] = STATE(5024),
    [sym_alignof_expression] = STATE(5024),
    [sym_offsetof_expression] = STATE(5024),
    [sym_generic_expression] = STATE(5024),
    [sym_subscript_expression] = STATE(4737),
    [sym_call_expression] = STATE(4737),
    [sym_gnu_asm_expression] = STATE(5024),
    [sym_field_expression] = STATE(4737),
    [sym_compound_literal_expression] = STATE(5024),
    [sym_parenthesized_expression] = STATE(4737),
    [sym_char_literal] = STATE(5374),
    [sym_concatenated_string] = STATE(5377),
    [sym_string_literal] = STATE(4206),
    [sym_null] = STATE(5024),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9352),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(5024),
    [sym_raw_string_literal] = STATE(4217),
    [sym_co_await_expression] = STATE(5024),
    [sym_new_expression] = STATE(5024),
    [sym_delete_expression] = STATE(5024),
    [sym_requires_clause] = STATE(5024),
    [sym_requires_expression] = STATE(5024),
    [sym_lambda_expression] = STATE(5024),
    [sym_lambda_capture_specifier] = STATE(7184),
    [sym_fold_expression] = STATE(5024),
    [sym_parameter_pack_expansion] = STATE(5024),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6886),
    [sym_qualified_identifier] = STATE(4737),
    [sym_qualified_type_identifier] = STATE(9352),
    [sym_user_defined_literal] = STATE(4737),
    [sym_identifier] = ACTIONS(4502),
    [anon_sym_LPAREN2] = ACTIONS(4540),
    [anon_sym_BANG] = ACTIONS(4506),
    [anon_sym_TILDE] = ACTIONS(4506),
    [anon_sym_DASH] = ACTIONS(4504),
    [anon_sym_PLUS] = ACTIONS(4504),
    [anon_sym_STAR] = ACTIONS(1474),
    [anon_sym_AMP] = ACTIONS(1474),
    [anon_sym_COLON_COLON] = ACTIONS(4508),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [sym_primitive_type] = ACTIONS(3146),
    [anon_sym_not] = ACTIONS(4504),
    [anon_sym_compl] = ACTIONS(4504),
    [anon_sym_DASH_DASH] = ACTIONS(4544),
    [anon_sym_PLUS_PLUS] = ACTIONS(4544),
    [anon_sym_sizeof] = ACTIONS(4510),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(4512),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(4514),
    [anon_sym_new] = ACTIONS(4516),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [2185] = {
    [sym__expression] = STATE(5735),
    [sym__expression_not_binary] = STATE(6001),
    [sym__string] = STATE(6001),
    [sym_conditional_expression] = STATE(6001),
    [sym_assignment_expression] = STATE(6001),
    [sym_pointer_expression] = STATE(4807),
    [sym_unary_expression] = STATE(6001),
    [sym_binary_expression] = STATE(6001),
    [sym_update_expression] = STATE(6001),
    [sym_cast_expression] = STATE(6001),
    [sym_sizeof_expression] = STATE(6001),
    [sym_alignof_expression] = STATE(6001),
    [sym_offsetof_expression] = STATE(6001),
    [sym_generic_expression] = STATE(6001),
    [sym_subscript_expression] = STATE(4807),
    [sym_call_expression] = STATE(4807),
    [sym_gnu_asm_expression] = STATE(6001),
    [sym_field_expression] = STATE(4807),
    [sym_compound_literal_expression] = STATE(6001),
    [sym_parenthesized_expression] = STATE(4807),
    [sym_char_literal] = STATE(5842),
    [sym_concatenated_string] = STATE(5845),
    [sym_string_literal] = STATE(4864),
    [sym_null] = STATE(6001),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(8975),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(6001),
    [sym_raw_string_literal] = STATE(4865),
    [sym_co_await_expression] = STATE(6001),
    [sym_new_expression] = STATE(6001),
    [sym_delete_expression] = STATE(6001),
    [sym_requires_clause] = STATE(6001),
    [sym_requires_expression] = STATE(6001),
    [sym_lambda_expression] = STATE(6001),
    [sym_lambda_capture_specifier] = STATE(7123),
    [sym_fold_expression] = STATE(6001),
    [sym_parameter_pack_expansion] = STATE(6001),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6932),
    [sym_qualified_identifier] = STATE(4807),
    [sym_qualified_type_identifier] = STATE(8975),
    [sym_user_defined_literal] = STATE(4807),
    [sym_identifier] = ACTIONS(4532),
    [anon_sym_LPAREN2] = ACTIONS(4255),
    [anon_sym_BANG] = ACTIONS(4257),
    [anon_sym_TILDE] = ACTIONS(4257),
    [anon_sym_DASH] = ACTIONS(4259),
    [anon_sym_PLUS] = ACTIONS(4259),
    [anon_sym_STAR] = ACTIONS(4261),
    [anon_sym_AMP] = ACTIONS(4261),
    [anon_sym_COLON_COLON] = ACTIONS(4263),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [sym_primitive_type] = ACTIONS(4536),
    [anon_sym_not] = ACTIONS(4259),
    [anon_sym_compl] = ACTIONS(4259),
    [anon_sym_DASH_DASH] = ACTIONS(4277),
    [anon_sym_PLUS_PLUS] = ACTIONS(4277),
    [anon_sym_sizeof] = ACTIONS(4279),
    [anon_sym___alignof__] = ACTIONS(4281),
    [anon_sym___alignof] = ACTIONS(4281),
    [anon_sym__alignof] = ACTIONS(4281),
    [anon_sym_alignof] = ACTIONS(4281),
    [anon_sym__Alignof] = ACTIONS(4281),
    [anon_sym_offsetof] = ACTIONS(4283),
    [anon_sym__Generic] = ACTIONS(4285),
    [anon_sym_asm] = ACTIONS(4287),
    [anon_sym___asm__] = ACTIONS(4287),
    [sym_number_literal] = ACTIONS(4289),
    [anon_sym_L_SQUOTE] = ACTIONS(4291),
    [anon_sym_u_SQUOTE] = ACTIONS(4291),
    [anon_sym_U_SQUOTE] = ACTIONS(4291),
    [anon_sym_u8_SQUOTE] = ACTIONS(4291),
    [anon_sym_SQUOTE] = ACTIONS(4291),
    [anon_sym_L_DQUOTE] = ACTIONS(4293),
    [anon_sym_u_DQUOTE] = ACTIONS(4293),
    [anon_sym_U_DQUOTE] = ACTIONS(4293),
    [anon_sym_u8_DQUOTE] = ACTIONS(4293),
    [anon_sym_DQUOTE] = ACTIONS(4293),
    [sym_true] = ACTIONS(4295),
    [sym_false] = ACTIONS(4295),
    [anon_sym_NULL] = ACTIONS(4297),
    [anon_sym_nullptr] = ACTIONS(4297),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(4307),
    [anon_sym_R_DQUOTE] = ACTIONS(4309),
    [anon_sym_LR_DQUOTE] = ACTIONS(4309),
    [anon_sym_uR_DQUOTE] = ACTIONS(4309),
    [anon_sym_UR_DQUOTE] = ACTIONS(4309),
    [anon_sym_u8R_DQUOTE] = ACTIONS(4309),
    [anon_sym_co_await] = ACTIONS(4311),
    [anon_sym_new] = ACTIONS(4313),
    [anon_sym_requires] = ACTIONS(4315),
    [sym_this] = ACTIONS(4295),
  },
  [2186] = {
    [sym__expression] = STATE(3526),
    [sym__expression_not_binary] = STATE(3672),
    [sym__string] = STATE(3672),
    [sym_conditional_expression] = STATE(3672),
    [sym_assignment_expression] = STATE(3672),
    [sym_pointer_expression] = STATE(3672),
    [sym_unary_expression] = STATE(3672),
    [sym_binary_expression] = STATE(3672),
    [sym_update_expression] = STATE(3672),
    [sym_cast_expression] = STATE(3672),
    [sym_sizeof_expression] = STATE(3672),
    [sym_alignof_expression] = STATE(3672),
    [sym_offsetof_expression] = STATE(3672),
    [sym_generic_expression] = STATE(3672),
    [sym_subscript_expression] = STATE(3672),
    [sym_call_expression] = STATE(3672),
    [sym_gnu_asm_expression] = STATE(3672),
    [sym_field_expression] = STATE(3672),
    [sym_compound_literal_expression] = STATE(3672),
    [sym_parenthesized_expression] = STATE(3672),
    [sym_char_literal] = STATE(3991),
    [sym_concatenated_string] = STATE(3973),
    [sym_string_literal] = STATE(3242),
    [sym_null] = STATE(3672),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9333),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(3672),
    [sym_raw_string_literal] = STATE(3241),
    [sym_co_await_expression] = STATE(3672),
    [sym_new_expression] = STATE(3672),
    [sym_delete_expression] = STATE(3672),
    [sym_requires_clause] = STATE(3672),
    [sym_requires_expression] = STATE(3672),
    [sym_lambda_expression] = STATE(3672),
    [sym_lambda_capture_specifier] = STATE(7134),
    [sym_fold_expression] = STATE(3672),
    [sym_parameter_pack_expansion] = STATE(3672),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6886),
    [sym_qualified_identifier] = STATE(3672),
    [sym_qualified_type_identifier] = STATE(9333),
    [sym_user_defined_literal] = STATE(3672),
    [sym_identifier] = ACTIONS(3968),
    [anon_sym_LPAREN2] = ACTIONS(5219),
    [anon_sym_BANG] = ACTIONS(3972),
    [anon_sym_TILDE] = ACTIONS(3972),
    [anon_sym_DASH] = ACTIONS(3970),
    [anon_sym_PLUS] = ACTIONS(3970),
    [anon_sym_STAR] = ACTIONS(1474),
    [anon_sym_AMP] = ACTIONS(1474),
    [anon_sym_COLON_COLON] = ACTIONS(3974),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [sym_primitive_type] = ACTIONS(3928),
    [anon_sym_not] = ACTIONS(3970),
    [anon_sym_compl] = ACTIONS(3970),
    [anon_sym_DASH_DASH] = ACTIONS(4385),
    [anon_sym_PLUS_PLUS] = ACTIONS(4385),
    [anon_sym_sizeof] = ACTIONS(3976),
    [anon_sym___alignof__] = ACTIONS(3932),
    [anon_sym___alignof] = ACTIONS(3932),
    [anon_sym__alignof] = ACTIONS(3932),
    [anon_sym_alignof] = ACTIONS(3932),
    [anon_sym__Alignof] = ACTIONS(3932),
    [anon_sym_offsetof] = ACTIONS(3934),
    [anon_sym__Generic] = ACTIONS(3936),
    [anon_sym_asm] = ACTIONS(3938),
    [anon_sym___asm__] = ACTIONS(3938),
    [sym_number_literal] = ACTIONS(3978),
    [anon_sym_L_SQUOTE] = ACTIONS(3980),
    [anon_sym_u_SQUOTE] = ACTIONS(3980),
    [anon_sym_U_SQUOTE] = ACTIONS(3980),
    [anon_sym_u8_SQUOTE] = ACTIONS(3980),
    [anon_sym_SQUOTE] = ACTIONS(3980),
    [anon_sym_L_DQUOTE] = ACTIONS(3982),
    [anon_sym_u_DQUOTE] = ACTIONS(3982),
    [anon_sym_U_DQUOTE] = ACTIONS(3982),
    [anon_sym_u8_DQUOTE] = ACTIONS(3982),
    [anon_sym_DQUOTE] = ACTIONS(3982),
    [sym_true] = ACTIONS(3946),
    [sym_false] = ACTIONS(3946),
    [anon_sym_NULL] = ACTIONS(3948),
    [anon_sym_nullptr] = ACTIONS(3948),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(3984),
    [anon_sym_R_DQUOTE] = ACTIONS(3986),
    [anon_sym_LR_DQUOTE] = ACTIONS(3986),
    [anon_sym_uR_DQUOTE] = ACTIONS(3986),
    [anon_sym_UR_DQUOTE] = ACTIONS(3986),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3986),
    [anon_sym_co_await] = ACTIONS(3988),
    [anon_sym_new] = ACTIONS(3990),
    [anon_sym_requires] = ACTIONS(3958),
    [sym_this] = ACTIONS(3946),
  },
  [2187] = {
    [sym__expression] = STATE(3526),
    [sym__expression_not_binary] = STATE(3672),
    [sym__string] = STATE(3672),
    [sym_conditional_expression] = STATE(3672),
    [sym_assignment_expression] = STATE(3672),
    [sym_pointer_expression] = STATE(3672),
    [sym_unary_expression] = STATE(3672),
    [sym_binary_expression] = STATE(3672),
    [sym_update_expression] = STATE(3672),
    [sym_cast_expression] = STATE(3672),
    [sym_sizeof_expression] = STATE(3672),
    [sym_alignof_expression] = STATE(3672),
    [sym_offsetof_expression] = STATE(3672),
    [sym_generic_expression] = STATE(3672),
    [sym_subscript_expression] = STATE(3672),
    [sym_call_expression] = STATE(3672),
    [sym_gnu_asm_expression] = STATE(3672),
    [sym_field_expression] = STATE(3672),
    [sym_compound_literal_expression] = STATE(3672),
    [sym_parenthesized_expression] = STATE(3672),
    [sym_char_literal] = STATE(3991),
    [sym_concatenated_string] = STATE(3973),
    [sym_string_literal] = STATE(3242),
    [sym_null] = STATE(3672),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9333),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(3672),
    [sym_raw_string_literal] = STATE(3241),
    [sym_co_await_expression] = STATE(3672),
    [sym_new_expression] = STATE(3672),
    [sym_delete_expression] = STATE(3672),
    [sym_requires_clause] = STATE(3672),
    [sym_requires_expression] = STATE(3672),
    [sym_lambda_expression] = STATE(3672),
    [sym_lambda_capture_specifier] = STATE(7134),
    [sym_fold_expression] = STATE(3672),
    [sym_parameter_pack_expansion] = STATE(3672),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6886),
    [sym_qualified_identifier] = STATE(3672),
    [sym_qualified_type_identifier] = STATE(9333),
    [sym_user_defined_literal] = STATE(3672),
    [sym_identifier] = ACTIONS(5503),
    [anon_sym_LPAREN2] = ACTIONS(5219),
    [anon_sym_BANG] = ACTIONS(3972),
    [anon_sym_TILDE] = ACTIONS(3972),
    [anon_sym_DASH] = ACTIONS(3970),
    [anon_sym_PLUS] = ACTIONS(3970),
    [anon_sym_STAR] = ACTIONS(1474),
    [anon_sym_AMP] = ACTIONS(1474),
    [anon_sym_COLON_COLON] = ACTIONS(3974),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [sym_primitive_type] = ACTIONS(3928),
    [anon_sym_not] = ACTIONS(3970),
    [anon_sym_compl] = ACTIONS(3970),
    [anon_sym_DASH_DASH] = ACTIONS(4385),
    [anon_sym_PLUS_PLUS] = ACTIONS(4385),
    [anon_sym_sizeof] = ACTIONS(3976),
    [anon_sym___alignof__] = ACTIONS(3932),
    [anon_sym___alignof] = ACTIONS(3932),
    [anon_sym__alignof] = ACTIONS(3932),
    [anon_sym_alignof] = ACTIONS(3932),
    [anon_sym__Alignof] = ACTIONS(3932),
    [anon_sym_offsetof] = ACTIONS(3934),
    [anon_sym__Generic] = ACTIONS(3936),
    [anon_sym_asm] = ACTIONS(3938),
    [anon_sym___asm__] = ACTIONS(3938),
    [sym_number_literal] = ACTIONS(3978),
    [anon_sym_L_SQUOTE] = ACTIONS(3980),
    [anon_sym_u_SQUOTE] = ACTIONS(3980),
    [anon_sym_U_SQUOTE] = ACTIONS(3980),
    [anon_sym_u8_SQUOTE] = ACTIONS(3980),
    [anon_sym_SQUOTE] = ACTIONS(3980),
    [anon_sym_L_DQUOTE] = ACTIONS(3982),
    [anon_sym_u_DQUOTE] = ACTIONS(3982),
    [anon_sym_U_DQUOTE] = ACTIONS(3982),
    [anon_sym_u8_DQUOTE] = ACTIONS(3982),
    [anon_sym_DQUOTE] = ACTIONS(3982),
    [sym_true] = ACTIONS(3946),
    [sym_false] = ACTIONS(3946),
    [anon_sym_NULL] = ACTIONS(3948),
    [anon_sym_nullptr] = ACTIONS(3948),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(3984),
    [anon_sym_R_DQUOTE] = ACTIONS(3986),
    [anon_sym_LR_DQUOTE] = ACTIONS(3986),
    [anon_sym_uR_DQUOTE] = ACTIONS(3986),
    [anon_sym_UR_DQUOTE] = ACTIONS(3986),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3986),
    [anon_sym_co_await] = ACTIONS(3988),
    [anon_sym_new] = ACTIONS(3990),
    [anon_sym_requires] = ACTIONS(3958),
    [sym_this] = ACTIONS(3946),
  },
  [2188] = {
    [sym__expression] = STATE(4058),
    [sym__expression_not_binary] = STATE(4307),
    [sym__string] = STATE(4307),
    [sym_conditional_expression] = STATE(4307),
    [sym_assignment_expression] = STATE(4307),
    [sym_pointer_expression] = STATE(4307),
    [sym_unary_expression] = STATE(4307),
    [sym_binary_expression] = STATE(4307),
    [sym_update_expression] = STATE(4307),
    [sym_cast_expression] = STATE(4307),
    [sym_sizeof_expression] = STATE(4307),
    [sym_alignof_expression] = STATE(4307),
    [sym_offsetof_expression] = STATE(4307),
    [sym_generic_expression] = STATE(4307),
    [sym_subscript_expression] = STATE(4307),
    [sym_call_expression] = STATE(4307),
    [sym_gnu_asm_expression] = STATE(4307),
    [sym_field_expression] = STATE(4307),
    [sym_compound_literal_expression] = STATE(4307),
    [sym_parenthesized_expression] = STATE(4307),
    [sym_char_literal] = STATE(4093),
    [sym_concatenated_string] = STATE(4159),
    [sym_string_literal] = STATE(3328),
    [sym_null] = STATE(4307),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9053),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(4307),
    [sym_raw_string_literal] = STATE(3294),
    [sym_co_await_expression] = STATE(4307),
    [sym_new_expression] = STATE(4307),
    [sym_delete_expression] = STATE(4307),
    [sym_requires_clause] = STATE(4307),
    [sym_requires_expression] = STATE(4307),
    [sym_lambda_expression] = STATE(4307),
    [sym_lambda_capture_specifier] = STATE(7183),
    [sym_fold_expression] = STATE(4307),
    [sym_parameter_pack_expansion] = STATE(4307),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6962),
    [sym_qualified_identifier] = STATE(4307),
    [sym_qualified_type_identifier] = STATE(9053),
    [sym_user_defined_literal] = STATE(4307),
    [sym_identifier] = ACTIONS(5051),
    [anon_sym_LPAREN2] = ACTIONS(5204),
    [anon_sym_BANG] = ACTIONS(3994),
    [anon_sym_TILDE] = ACTIONS(3994),
    [anon_sym_DASH] = ACTIONS(3992),
    [anon_sym_PLUS] = ACTIONS(3992),
    [anon_sym_STAR] = ACTIONS(5202),
    [anon_sym_AMP] = ACTIONS(5202),
    [anon_sym_COLON_COLON] = ACTIONS(3996),
    [anon_sym_LBRACK] = ACTIONS(5505),
    [sym_primitive_type] = ACTIONS(4000),
    [anon_sym_not] = ACTIONS(3992),
    [anon_sym_compl] = ACTIONS(3992),
    [anon_sym_DASH_DASH] = ACTIONS(5053),
    [anon_sym_PLUS_PLUS] = ACTIONS(5053),
    [anon_sym_sizeof] = ACTIONS(4002),
    [anon_sym___alignof__] = ACTIONS(4004),
    [anon_sym___alignof] = ACTIONS(4004),
    [anon_sym__alignof] = ACTIONS(4004),
    [anon_sym_alignof] = ACTIONS(4004),
    [anon_sym__Alignof] = ACTIONS(4004),
    [anon_sym_offsetof] = ACTIONS(4006),
    [anon_sym__Generic] = ACTIONS(4008),
    [anon_sym_asm] = ACTIONS(4010),
    [anon_sym___asm__] = ACTIONS(4010),
    [sym_number_literal] = ACTIONS(4012),
    [anon_sym_L_SQUOTE] = ACTIONS(4014),
    [anon_sym_u_SQUOTE] = ACTIONS(4014),
    [anon_sym_U_SQUOTE] = ACTIONS(4014),
    [anon_sym_u8_SQUOTE] = ACTIONS(4014),
    [anon_sym_SQUOTE] = ACTIONS(4014),
    [anon_sym_L_DQUOTE] = ACTIONS(4016),
    [anon_sym_u_DQUOTE] = ACTIONS(4016),
    [anon_sym_U_DQUOTE] = ACTIONS(4016),
    [anon_sym_u8_DQUOTE] = ACTIONS(4016),
    [anon_sym_DQUOTE] = ACTIONS(4016),
    [sym_true] = ACTIONS(4018),
    [sym_false] = ACTIONS(4018),
    [anon_sym_NULL] = ACTIONS(4020),
    [anon_sym_nullptr] = ACTIONS(4020),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(4022),
    [anon_sym_R_DQUOTE] = ACTIONS(4024),
    [anon_sym_LR_DQUOTE] = ACTIONS(4024),
    [anon_sym_uR_DQUOTE] = ACTIONS(4024),
    [anon_sym_UR_DQUOTE] = ACTIONS(4024),
    [anon_sym_u8R_DQUOTE] = ACTIONS(4024),
    [anon_sym_co_await] = ACTIONS(4026),
    [anon_sym_new] = ACTIONS(4028),
    [anon_sym_requires] = ACTIONS(4030),
    [sym_this] = ACTIONS(4018),
  },
  [2189] = {
    [sym__expression] = STATE(4028),
    [sym__expression_not_binary] = STATE(4307),
    [sym__string] = STATE(4307),
    [sym_conditional_expression] = STATE(4307),
    [sym_assignment_expression] = STATE(4307),
    [sym_pointer_expression] = STATE(4307),
    [sym_unary_expression] = STATE(4307),
    [sym_binary_expression] = STATE(4307),
    [sym_update_expression] = STATE(4307),
    [sym_cast_expression] = STATE(4307),
    [sym_sizeof_expression] = STATE(4307),
    [sym_alignof_expression] = STATE(4307),
    [sym_offsetof_expression] = STATE(4307),
    [sym_generic_expression] = STATE(4307),
    [sym_subscript_expression] = STATE(4307),
    [sym_call_expression] = STATE(4307),
    [sym_gnu_asm_expression] = STATE(4307),
    [sym_field_expression] = STATE(4307),
    [sym_compound_literal_expression] = STATE(4307),
    [sym_parenthesized_expression] = STATE(4307),
    [sym_char_literal] = STATE(4093),
    [sym_concatenated_string] = STATE(4159),
    [sym_string_literal] = STATE(3328),
    [sym_null] = STATE(4307),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9053),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(4307),
    [sym_raw_string_literal] = STATE(3294),
    [sym_co_await_expression] = STATE(4307),
    [sym_new_expression] = STATE(4307),
    [sym_delete_expression] = STATE(4307),
    [sym_requires_clause] = STATE(4307),
    [sym_requires_expression] = STATE(4307),
    [sym_lambda_expression] = STATE(4307),
    [sym_lambda_capture_specifier] = STATE(7183),
    [sym_fold_expression] = STATE(4307),
    [sym_parameter_pack_expansion] = STATE(4307),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6962),
    [sym_qualified_identifier] = STATE(4307),
    [sym_qualified_type_identifier] = STATE(9053),
    [sym_user_defined_literal] = STATE(4307),
    [sym_identifier] = ACTIONS(5051),
    [anon_sym_LPAREN2] = ACTIONS(5204),
    [anon_sym_BANG] = ACTIONS(3994),
    [anon_sym_TILDE] = ACTIONS(3994),
    [anon_sym_DASH] = ACTIONS(3992),
    [anon_sym_PLUS] = ACTIONS(3992),
    [anon_sym_STAR] = ACTIONS(5202),
    [anon_sym_AMP] = ACTIONS(5202),
    [anon_sym_COLON_COLON] = ACTIONS(3996),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [sym_primitive_type] = ACTIONS(4000),
    [anon_sym_not] = ACTIONS(3992),
    [anon_sym_compl] = ACTIONS(3992),
    [anon_sym_DASH_DASH] = ACTIONS(5053),
    [anon_sym_PLUS_PLUS] = ACTIONS(5053),
    [anon_sym_sizeof] = ACTIONS(4002),
    [anon_sym___alignof__] = ACTIONS(4004),
    [anon_sym___alignof] = ACTIONS(4004),
    [anon_sym__alignof] = ACTIONS(4004),
    [anon_sym_alignof] = ACTIONS(4004),
    [anon_sym__Alignof] = ACTIONS(4004),
    [anon_sym_offsetof] = ACTIONS(4006),
    [anon_sym__Generic] = ACTIONS(4008),
    [anon_sym_asm] = ACTIONS(4010),
    [anon_sym___asm__] = ACTIONS(4010),
    [sym_number_literal] = ACTIONS(4012),
    [anon_sym_L_SQUOTE] = ACTIONS(4014),
    [anon_sym_u_SQUOTE] = ACTIONS(4014),
    [anon_sym_U_SQUOTE] = ACTIONS(4014),
    [anon_sym_u8_SQUOTE] = ACTIONS(4014),
    [anon_sym_SQUOTE] = ACTIONS(4014),
    [anon_sym_L_DQUOTE] = ACTIONS(4016),
    [anon_sym_u_DQUOTE] = ACTIONS(4016),
    [anon_sym_U_DQUOTE] = ACTIONS(4016),
    [anon_sym_u8_DQUOTE] = ACTIONS(4016),
    [anon_sym_DQUOTE] = ACTIONS(4016),
    [sym_true] = ACTIONS(4018),
    [sym_false] = ACTIONS(4018),
    [anon_sym_NULL] = ACTIONS(4020),
    [anon_sym_nullptr] = ACTIONS(4020),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(4022),
    [anon_sym_R_DQUOTE] = ACTIONS(4024),
    [anon_sym_LR_DQUOTE] = ACTIONS(4024),
    [anon_sym_uR_DQUOTE] = ACTIONS(4024),
    [anon_sym_UR_DQUOTE] = ACTIONS(4024),
    [anon_sym_u8R_DQUOTE] = ACTIONS(4024),
    [anon_sym_co_await] = ACTIONS(4026),
    [anon_sym_new] = ACTIONS(4028),
    [anon_sym_requires] = ACTIONS(4030),
    [sym_this] = ACTIONS(4018),
  },
  [2190] = {
    [sym__expression] = STATE(3527),
    [sym__expression_not_binary] = STATE(3672),
    [sym__string] = STATE(3672),
    [sym_conditional_expression] = STATE(3672),
    [sym_assignment_expression] = STATE(3672),
    [sym_pointer_expression] = STATE(3672),
    [sym_unary_expression] = STATE(3672),
    [sym_binary_expression] = STATE(3672),
    [sym_update_expression] = STATE(3672),
    [sym_cast_expression] = STATE(3672),
    [sym_sizeof_expression] = STATE(3672),
    [sym_alignof_expression] = STATE(3672),
    [sym_offsetof_expression] = STATE(3672),
    [sym_generic_expression] = STATE(3672),
    [sym_subscript_expression] = STATE(3672),
    [sym_call_expression] = STATE(3672),
    [sym_gnu_asm_expression] = STATE(3672),
    [sym_field_expression] = STATE(3672),
    [sym_compound_literal_expression] = STATE(3672),
    [sym_parenthesized_expression] = STATE(3672),
    [sym_char_literal] = STATE(3991),
    [sym_concatenated_string] = STATE(3973),
    [sym_string_literal] = STATE(3242),
    [sym_null] = STATE(3672),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9333),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(3672),
    [sym_raw_string_literal] = STATE(3241),
    [sym_co_await_expression] = STATE(3672),
    [sym_new_expression] = STATE(3672),
    [sym_delete_expression] = STATE(3672),
    [sym_requires_clause] = STATE(3672),
    [sym_requires_expression] = STATE(3672),
    [sym_lambda_expression] = STATE(3672),
    [sym_lambda_capture_specifier] = STATE(7134),
    [sym_fold_expression] = STATE(3672),
    [sym_parameter_pack_expansion] = STATE(3672),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6886),
    [sym_qualified_identifier] = STATE(3672),
    [sym_qualified_type_identifier] = STATE(9333),
    [sym_user_defined_literal] = STATE(3672),
    [sym_identifier] = ACTIONS(3968),
    [anon_sym_LPAREN2] = ACTIONS(5219),
    [anon_sym_BANG] = ACTIONS(3972),
    [anon_sym_TILDE] = ACTIONS(3972),
    [anon_sym_DASH] = ACTIONS(3970),
    [anon_sym_PLUS] = ACTIONS(3970),
    [anon_sym_STAR] = ACTIONS(1474),
    [anon_sym_AMP] = ACTIONS(1474),
    [anon_sym_COLON_COLON] = ACTIONS(3974),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [sym_primitive_type] = ACTIONS(3928),
    [anon_sym_not] = ACTIONS(3970),
    [anon_sym_compl] = ACTIONS(3970),
    [anon_sym_DASH_DASH] = ACTIONS(4385),
    [anon_sym_PLUS_PLUS] = ACTIONS(4385),
    [anon_sym_sizeof] = ACTIONS(3976),
    [anon_sym___alignof__] = ACTIONS(3932),
    [anon_sym___alignof] = ACTIONS(3932),
    [anon_sym__alignof] = ACTIONS(3932),
    [anon_sym_alignof] = ACTIONS(3932),
    [anon_sym__Alignof] = ACTIONS(3932),
    [anon_sym_offsetof] = ACTIONS(3934),
    [anon_sym__Generic] = ACTIONS(3936),
    [anon_sym_asm] = ACTIONS(3938),
    [anon_sym___asm__] = ACTIONS(3938),
    [sym_number_literal] = ACTIONS(3978),
    [anon_sym_L_SQUOTE] = ACTIONS(3980),
    [anon_sym_u_SQUOTE] = ACTIONS(3980),
    [anon_sym_U_SQUOTE] = ACTIONS(3980),
    [anon_sym_u8_SQUOTE] = ACTIONS(3980),
    [anon_sym_SQUOTE] = ACTIONS(3980),
    [anon_sym_L_DQUOTE] = ACTIONS(3982),
    [anon_sym_u_DQUOTE] = ACTIONS(3982),
    [anon_sym_U_DQUOTE] = ACTIONS(3982),
    [anon_sym_u8_DQUOTE] = ACTIONS(3982),
    [anon_sym_DQUOTE] = ACTIONS(3982),
    [sym_true] = ACTIONS(3946),
    [sym_false] = ACTIONS(3946),
    [anon_sym_NULL] = ACTIONS(3948),
    [anon_sym_nullptr] = ACTIONS(3948),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(3984),
    [anon_sym_R_DQUOTE] = ACTIONS(3986),
    [anon_sym_LR_DQUOTE] = ACTIONS(3986),
    [anon_sym_uR_DQUOTE] = ACTIONS(3986),
    [anon_sym_UR_DQUOTE] = ACTIONS(3986),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3986),
    [anon_sym_co_await] = ACTIONS(3988),
    [anon_sym_new] = ACTIONS(3990),
    [anon_sym_requires] = ACTIONS(3958),
    [sym_this] = ACTIONS(3946),
  },
  [2191] = {
    [sym__expression] = STATE(5629),
    [sym__expression_not_binary] = STATE(5024),
    [sym__string] = STATE(5024),
    [sym_conditional_expression] = STATE(5024),
    [sym_assignment_expression] = STATE(5024),
    [sym_pointer_expression] = STATE(4713),
    [sym_unary_expression] = STATE(5024),
    [sym_binary_expression] = STATE(5024),
    [sym_update_expression] = STATE(5024),
    [sym_cast_expression] = STATE(5024),
    [sym_sizeof_expression] = STATE(5024),
    [sym_alignof_expression] = STATE(5024),
    [sym_offsetof_expression] = STATE(5024),
    [sym_generic_expression] = STATE(5024),
    [sym_subscript_expression] = STATE(4713),
    [sym_call_expression] = STATE(4713),
    [sym_gnu_asm_expression] = STATE(5024),
    [sym_field_expression] = STATE(4713),
    [sym_compound_literal_expression] = STATE(5024),
    [sym_parenthesized_expression] = STATE(4713),
    [sym_char_literal] = STATE(5374),
    [sym_concatenated_string] = STATE(5377),
    [sym_string_literal] = STATE(4206),
    [sym_null] = STATE(5024),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9352),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(5024),
    [sym_raw_string_literal] = STATE(4217),
    [sym_co_await_expression] = STATE(5024),
    [sym_new_expression] = STATE(5024),
    [sym_delete_expression] = STATE(5024),
    [sym_requires_clause] = STATE(5024),
    [sym_requires_expression] = STATE(5024),
    [sym_lambda_expression] = STATE(5024),
    [sym_lambda_capture_specifier] = STATE(7184),
    [sym_fold_expression] = STATE(5024),
    [sym_parameter_pack_expansion] = STATE(5024),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6886),
    [sym_qualified_identifier] = STATE(4713),
    [sym_qualified_type_identifier] = STATE(9352),
    [sym_user_defined_literal] = STATE(4713),
    [sym_identifier] = ACTIONS(4518),
    [anon_sym_LPAREN2] = ACTIONS(5188),
    [anon_sym_BANG] = ACTIONS(4522),
    [anon_sym_TILDE] = ACTIONS(4522),
    [anon_sym_DASH] = ACTIONS(4520),
    [anon_sym_PLUS] = ACTIONS(4520),
    [anon_sym_STAR] = ACTIONS(5190),
    [anon_sym_AMP] = ACTIONS(5190),
    [anon_sym_COLON_COLON] = ACTIONS(4524),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [sym_primitive_type] = ACTIONS(3146),
    [anon_sym_not] = ACTIONS(4520),
    [anon_sym_compl] = ACTIONS(4520),
    [anon_sym_DASH_DASH] = ACTIONS(5071),
    [anon_sym_PLUS_PLUS] = ACTIONS(5071),
    [anon_sym_sizeof] = ACTIONS(4526),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(4528),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(4530),
    [anon_sym_new] = ACTIONS(4516),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [2192] = {
    [sym__expression] = STATE(5756),
    [sym__expression_not_binary] = STATE(5024),
    [sym__string] = STATE(5024),
    [sym_conditional_expression] = STATE(5024),
    [sym_assignment_expression] = STATE(5024),
    [sym_pointer_expression] = STATE(4713),
    [sym_unary_expression] = STATE(5024),
    [sym_binary_expression] = STATE(5024),
    [sym_update_expression] = STATE(5024),
    [sym_cast_expression] = STATE(5024),
    [sym_sizeof_expression] = STATE(5024),
    [sym_alignof_expression] = STATE(5024),
    [sym_offsetof_expression] = STATE(5024),
    [sym_generic_expression] = STATE(5024),
    [sym_subscript_expression] = STATE(4713),
    [sym_call_expression] = STATE(4713),
    [sym_gnu_asm_expression] = STATE(5024),
    [sym_field_expression] = STATE(4713),
    [sym_compound_literal_expression] = STATE(5024),
    [sym_parenthesized_expression] = STATE(4713),
    [sym_char_literal] = STATE(5374),
    [sym_concatenated_string] = STATE(5377),
    [sym_string_literal] = STATE(4206),
    [sym_null] = STATE(5024),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9352),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(5024),
    [sym_raw_string_literal] = STATE(4217),
    [sym_co_await_expression] = STATE(5024),
    [sym_new_expression] = STATE(5024),
    [sym_delete_expression] = STATE(5024),
    [sym_requires_clause] = STATE(5024),
    [sym_requires_expression] = STATE(5024),
    [sym_lambda_expression] = STATE(5024),
    [sym_lambda_capture_specifier] = STATE(7184),
    [sym_fold_expression] = STATE(5024),
    [sym_parameter_pack_expansion] = STATE(5024),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6886),
    [sym_qualified_identifier] = STATE(4713),
    [sym_qualified_type_identifier] = STATE(9352),
    [sym_user_defined_literal] = STATE(4713),
    [sym_identifier] = ACTIONS(4518),
    [anon_sym_LPAREN2] = ACTIONS(5188),
    [anon_sym_BANG] = ACTIONS(4522),
    [anon_sym_TILDE] = ACTIONS(4522),
    [anon_sym_DASH] = ACTIONS(4520),
    [anon_sym_PLUS] = ACTIONS(4520),
    [anon_sym_STAR] = ACTIONS(5190),
    [anon_sym_AMP] = ACTIONS(5190),
    [anon_sym_COLON_COLON] = ACTIONS(4524),
    [anon_sym_LBRACK] = ACTIONS(5507),
    [sym_primitive_type] = ACTIONS(3146),
    [anon_sym_not] = ACTIONS(4520),
    [anon_sym_compl] = ACTIONS(4520),
    [anon_sym_DASH_DASH] = ACTIONS(5071),
    [anon_sym_PLUS_PLUS] = ACTIONS(5071),
    [anon_sym_sizeof] = ACTIONS(4526),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(4528),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(4530),
    [anon_sym_new] = ACTIONS(4516),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [2193] = {
    [sym__expression] = STATE(3821),
    [sym__expression_not_binary] = STATE(3672),
    [sym__string] = STATE(3672),
    [sym_conditional_expression] = STATE(3672),
    [sym_assignment_expression] = STATE(3672),
    [sym_pointer_expression] = STATE(3672),
    [sym_unary_expression] = STATE(3672),
    [sym_binary_expression] = STATE(3672),
    [sym_update_expression] = STATE(3672),
    [sym_cast_expression] = STATE(3672),
    [sym_sizeof_expression] = STATE(3672),
    [sym_alignof_expression] = STATE(3672),
    [sym_offsetof_expression] = STATE(3672),
    [sym_generic_expression] = STATE(3672),
    [sym_subscript_expression] = STATE(3672),
    [sym_call_expression] = STATE(3672),
    [sym_gnu_asm_expression] = STATE(3672),
    [sym_field_expression] = STATE(3672),
    [sym_compound_literal_expression] = STATE(3672),
    [sym_parenthesized_expression] = STATE(3672),
    [sym_char_literal] = STATE(3855),
    [sym_concatenated_string] = STATE(3873),
    [sym_string_literal] = STATE(3222),
    [sym_null] = STATE(3672),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9333),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(3672),
    [sym_raw_string_literal] = STATE(3216),
    [sym_co_await_expression] = STATE(3672),
    [sym_new_expression] = STATE(3672),
    [sym_delete_expression] = STATE(3672),
    [sym_requires_clause] = STATE(3672),
    [sym_requires_expression] = STATE(3672),
    [sym_lambda_expression] = STATE(3672),
    [sym_lambda_capture_specifier] = STATE(7134),
    [sym_fold_expression] = STATE(3672),
    [sym_parameter_pack_expansion] = STATE(3672),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6886),
    [sym_qualified_identifier] = STATE(3672),
    [sym_qualified_type_identifier] = STATE(9333),
    [sym_user_defined_literal] = STATE(3672),
    [sym_identifier] = ACTIONS(3968),
    [anon_sym_LPAREN2] = ACTIONS(5184),
    [anon_sym_BANG] = ACTIONS(3922),
    [anon_sym_TILDE] = ACTIONS(3922),
    [anon_sym_DASH] = ACTIONS(3920),
    [anon_sym_PLUS] = ACTIONS(3920),
    [anon_sym_STAR] = ACTIONS(5186),
    [anon_sym_AMP] = ACTIONS(5186),
    [anon_sym_COLON_COLON] = ACTIONS(3924),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [sym_primitive_type] = ACTIONS(3928),
    [anon_sym_not] = ACTIONS(3920),
    [anon_sym_compl] = ACTIONS(3920),
    [anon_sym_DASH_DASH] = ACTIONS(5013),
    [anon_sym_PLUS_PLUS] = ACTIONS(5013),
    [anon_sym_sizeof] = ACTIONS(3930),
    [anon_sym___alignof__] = ACTIONS(3932),
    [anon_sym___alignof] = ACTIONS(3932),
    [anon_sym__alignof] = ACTIONS(3932),
    [anon_sym_alignof] = ACTIONS(3932),
    [anon_sym__Alignof] = ACTIONS(3932),
    [anon_sym_offsetof] = ACTIONS(3934),
    [anon_sym__Generic] = ACTIONS(3936),
    [anon_sym_asm] = ACTIONS(3938),
    [anon_sym___asm__] = ACTIONS(3938),
    [sym_number_literal] = ACTIONS(3940),
    [anon_sym_L_SQUOTE] = ACTIONS(3942),
    [anon_sym_u_SQUOTE] = ACTIONS(3942),
    [anon_sym_U_SQUOTE] = ACTIONS(3942),
    [anon_sym_u8_SQUOTE] = ACTIONS(3942),
    [anon_sym_SQUOTE] = ACTIONS(3942),
    [anon_sym_L_DQUOTE] = ACTIONS(3944),
    [anon_sym_u_DQUOTE] = ACTIONS(3944),
    [anon_sym_U_DQUOTE] = ACTIONS(3944),
    [anon_sym_u8_DQUOTE] = ACTIONS(3944),
    [anon_sym_DQUOTE] = ACTIONS(3944),
    [sym_true] = ACTIONS(3946),
    [sym_false] = ACTIONS(3946),
    [anon_sym_NULL] = ACTIONS(3948),
    [anon_sym_nullptr] = ACTIONS(3948),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(3950),
    [anon_sym_R_DQUOTE] = ACTIONS(3952),
    [anon_sym_LR_DQUOTE] = ACTIONS(3952),
    [anon_sym_uR_DQUOTE] = ACTIONS(3952),
    [anon_sym_UR_DQUOTE] = ACTIONS(3952),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3952),
    [anon_sym_co_await] = ACTIONS(3954),
    [anon_sym_new] = ACTIONS(3956),
    [anon_sym_requires] = ACTIONS(3958),
    [sym_this] = ACTIONS(3946),
  },
  [2194] = {
    [sym__expression] = STATE(5635),
    [sym__expression_not_binary] = STATE(5024),
    [sym__string] = STATE(5024),
    [sym_conditional_expression] = STATE(5024),
    [sym_assignment_expression] = STATE(5024),
    [sym_pointer_expression] = STATE(4713),
    [sym_unary_expression] = STATE(5024),
    [sym_binary_expression] = STATE(5024),
    [sym_update_expression] = STATE(5024),
    [sym_cast_expression] = STATE(5024),
    [sym_sizeof_expression] = STATE(5024),
    [sym_alignof_expression] = STATE(5024),
    [sym_offsetof_expression] = STATE(5024),
    [sym_generic_expression] = STATE(5024),
    [sym_subscript_expression] = STATE(4713),
    [sym_call_expression] = STATE(4713),
    [sym_gnu_asm_expression] = STATE(5024),
    [sym_field_expression] = STATE(4713),
    [sym_compound_literal_expression] = STATE(5024),
    [sym_parenthesized_expression] = STATE(4713),
    [sym_char_literal] = STATE(5374),
    [sym_concatenated_string] = STATE(5377),
    [sym_string_literal] = STATE(4206),
    [sym_null] = STATE(5024),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9352),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(5024),
    [sym_raw_string_literal] = STATE(4217),
    [sym_co_await_expression] = STATE(5024),
    [sym_new_expression] = STATE(5024),
    [sym_delete_expression] = STATE(5024),
    [sym_requires_clause] = STATE(5024),
    [sym_requires_expression] = STATE(5024),
    [sym_lambda_expression] = STATE(5024),
    [sym_lambda_capture_specifier] = STATE(7184),
    [sym_fold_expression] = STATE(5024),
    [sym_parameter_pack_expansion] = STATE(5024),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6886),
    [sym_qualified_identifier] = STATE(4713),
    [sym_qualified_type_identifier] = STATE(9352),
    [sym_user_defined_literal] = STATE(4713),
    [sym_identifier] = ACTIONS(4518),
    [anon_sym_LPAREN2] = ACTIONS(5188),
    [anon_sym_BANG] = ACTIONS(4522),
    [anon_sym_TILDE] = ACTIONS(4522),
    [anon_sym_DASH] = ACTIONS(4520),
    [anon_sym_PLUS] = ACTIONS(4520),
    [anon_sym_STAR] = ACTIONS(5190),
    [anon_sym_AMP] = ACTIONS(5190),
    [anon_sym_COLON_COLON] = ACTIONS(4524),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [sym_primitive_type] = ACTIONS(3146),
    [anon_sym_not] = ACTIONS(4520),
    [anon_sym_compl] = ACTIONS(4520),
    [anon_sym_DASH_DASH] = ACTIONS(5071),
    [anon_sym_PLUS_PLUS] = ACTIONS(5071),
    [anon_sym_sizeof] = ACTIONS(4526),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(4528),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(4530),
    [anon_sym_new] = ACTIONS(4516),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [2195] = {
    [sym__expression] = STATE(5907),
    [sym__expression_not_binary] = STATE(5024),
    [sym__string] = STATE(5024),
    [sym_conditional_expression] = STATE(5024),
    [sym_assignment_expression] = STATE(5024),
    [sym_pointer_expression] = STATE(4507),
    [sym_unary_expression] = STATE(5024),
    [sym_binary_expression] = STATE(5024),
    [sym_update_expression] = STATE(5024),
    [sym_cast_expression] = STATE(5024),
    [sym_sizeof_expression] = STATE(5024),
    [sym_alignof_expression] = STATE(5024),
    [sym_offsetof_expression] = STATE(5024),
    [sym_generic_expression] = STATE(5024),
    [sym_subscript_expression] = STATE(4507),
    [sym_call_expression] = STATE(4507),
    [sym_gnu_asm_expression] = STATE(5024),
    [sym_field_expression] = STATE(4507),
    [sym_compound_literal_expression] = STATE(5024),
    [sym_parenthesized_expression] = STATE(4507),
    [sym_char_literal] = STATE(5374),
    [sym_concatenated_string] = STATE(5377),
    [sym_string_literal] = STATE(4206),
    [sym_null] = STATE(5024),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9352),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(5024),
    [sym_raw_string_literal] = STATE(4217),
    [sym_co_await_expression] = STATE(5024),
    [sym_new_expression] = STATE(5024),
    [sym_delete_expression] = STATE(5024),
    [sym_requires_clause] = STATE(5024),
    [sym_requires_expression] = STATE(5024),
    [sym_lambda_expression] = STATE(5024),
    [sym_lambda_capture_specifier] = STATE(7184),
    [sym_fold_expression] = STATE(5024),
    [sym_parameter_pack_expansion] = STATE(5024),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6886),
    [sym_qualified_identifier] = STATE(4507),
    [sym_qualified_type_identifier] = STATE(9352),
    [sym_user_defined_literal] = STATE(4507),
    [sym_identifier] = ACTIONS(3140),
    [anon_sym_LPAREN2] = ACTIONS(1472),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1474),
    [anon_sym_AMP] = ACTIONS(1474),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [sym_primitive_type] = ACTIONS(5509),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [2196] = {
    [sym__expression] = STATE(5647),
    [sym__expression_not_binary] = STATE(5024),
    [sym__string] = STATE(5024),
    [sym_conditional_expression] = STATE(5024),
    [sym_assignment_expression] = STATE(5024),
    [sym_pointer_expression] = STATE(4713),
    [sym_unary_expression] = STATE(5024),
    [sym_binary_expression] = STATE(5024),
    [sym_update_expression] = STATE(5024),
    [sym_cast_expression] = STATE(5024),
    [sym_sizeof_expression] = STATE(5024),
    [sym_alignof_expression] = STATE(5024),
    [sym_offsetof_expression] = STATE(5024),
    [sym_generic_expression] = STATE(5024),
    [sym_subscript_expression] = STATE(4713),
    [sym_call_expression] = STATE(4713),
    [sym_gnu_asm_expression] = STATE(5024),
    [sym_field_expression] = STATE(4713),
    [sym_compound_literal_expression] = STATE(5024),
    [sym_parenthesized_expression] = STATE(4713),
    [sym_char_literal] = STATE(5374),
    [sym_concatenated_string] = STATE(5377),
    [sym_string_literal] = STATE(4206),
    [sym_null] = STATE(5024),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9352),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(5024),
    [sym_raw_string_literal] = STATE(4217),
    [sym_co_await_expression] = STATE(5024),
    [sym_new_expression] = STATE(5024),
    [sym_delete_expression] = STATE(5024),
    [sym_requires_clause] = STATE(5024),
    [sym_requires_expression] = STATE(5024),
    [sym_lambda_expression] = STATE(5024),
    [sym_lambda_capture_specifier] = STATE(7184),
    [sym_fold_expression] = STATE(5024),
    [sym_parameter_pack_expansion] = STATE(5024),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6886),
    [sym_qualified_identifier] = STATE(4713),
    [sym_qualified_type_identifier] = STATE(9352),
    [sym_user_defined_literal] = STATE(4713),
    [sym_identifier] = ACTIONS(4518),
    [anon_sym_LPAREN2] = ACTIONS(5188),
    [anon_sym_BANG] = ACTIONS(4522),
    [anon_sym_TILDE] = ACTIONS(4522),
    [anon_sym_DASH] = ACTIONS(4520),
    [anon_sym_PLUS] = ACTIONS(4520),
    [anon_sym_STAR] = ACTIONS(5190),
    [anon_sym_AMP] = ACTIONS(5190),
    [anon_sym_COLON_COLON] = ACTIONS(4524),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [sym_primitive_type] = ACTIONS(3146),
    [anon_sym_not] = ACTIONS(4520),
    [anon_sym_compl] = ACTIONS(4520),
    [anon_sym_DASH_DASH] = ACTIONS(5071),
    [anon_sym_PLUS_PLUS] = ACTIONS(5071),
    [anon_sym_sizeof] = ACTIONS(4526),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(4528),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(4530),
    [anon_sym_new] = ACTIONS(4516),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [2197] = {
    [sym__expression] = STATE(4018),
    [sym__expression_not_binary] = STATE(4307),
    [sym__string] = STATE(4307),
    [sym_conditional_expression] = STATE(4307),
    [sym_assignment_expression] = STATE(4307),
    [sym_pointer_expression] = STATE(4307),
    [sym_unary_expression] = STATE(4307),
    [sym_binary_expression] = STATE(4307),
    [sym_update_expression] = STATE(4307),
    [sym_cast_expression] = STATE(4307),
    [sym_sizeof_expression] = STATE(4307),
    [sym_alignof_expression] = STATE(4307),
    [sym_offsetof_expression] = STATE(4307),
    [sym_generic_expression] = STATE(4307),
    [sym_subscript_expression] = STATE(4307),
    [sym_call_expression] = STATE(4307),
    [sym_gnu_asm_expression] = STATE(4307),
    [sym_field_expression] = STATE(4307),
    [sym_compound_literal_expression] = STATE(4307),
    [sym_parenthesized_expression] = STATE(4307),
    [sym_char_literal] = STATE(4093),
    [sym_concatenated_string] = STATE(4159),
    [sym_string_literal] = STATE(3328),
    [sym_null] = STATE(4307),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9053),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(4307),
    [sym_raw_string_literal] = STATE(3294),
    [sym_co_await_expression] = STATE(4307),
    [sym_new_expression] = STATE(4307),
    [sym_delete_expression] = STATE(4307),
    [sym_requires_clause] = STATE(4307),
    [sym_requires_expression] = STATE(4307),
    [sym_lambda_expression] = STATE(4307),
    [sym_lambda_capture_specifier] = STATE(7183),
    [sym_fold_expression] = STATE(4307),
    [sym_parameter_pack_expansion] = STATE(4307),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6962),
    [sym_qualified_identifier] = STATE(4307),
    [sym_qualified_type_identifier] = STATE(9053),
    [sym_user_defined_literal] = STATE(4307),
    [sym_identifier] = ACTIONS(5051),
    [anon_sym_LPAREN2] = ACTIONS(5204),
    [anon_sym_BANG] = ACTIONS(3994),
    [anon_sym_TILDE] = ACTIONS(3994),
    [anon_sym_DASH] = ACTIONS(3992),
    [anon_sym_PLUS] = ACTIONS(3992),
    [anon_sym_STAR] = ACTIONS(5202),
    [anon_sym_AMP] = ACTIONS(5202),
    [anon_sym_COLON_COLON] = ACTIONS(3996),
    [anon_sym_LBRACK] = ACTIONS(5511),
    [sym_primitive_type] = ACTIONS(4000),
    [anon_sym_not] = ACTIONS(3992),
    [anon_sym_compl] = ACTIONS(3992),
    [anon_sym_DASH_DASH] = ACTIONS(5053),
    [anon_sym_PLUS_PLUS] = ACTIONS(5053),
    [anon_sym_sizeof] = ACTIONS(4002),
    [anon_sym___alignof__] = ACTIONS(4004),
    [anon_sym___alignof] = ACTIONS(4004),
    [anon_sym__alignof] = ACTIONS(4004),
    [anon_sym_alignof] = ACTIONS(4004),
    [anon_sym__Alignof] = ACTIONS(4004),
    [anon_sym_offsetof] = ACTIONS(4006),
    [anon_sym__Generic] = ACTIONS(4008),
    [anon_sym_asm] = ACTIONS(4010),
    [anon_sym___asm__] = ACTIONS(4010),
    [sym_number_literal] = ACTIONS(4012),
    [anon_sym_L_SQUOTE] = ACTIONS(4014),
    [anon_sym_u_SQUOTE] = ACTIONS(4014),
    [anon_sym_U_SQUOTE] = ACTIONS(4014),
    [anon_sym_u8_SQUOTE] = ACTIONS(4014),
    [anon_sym_SQUOTE] = ACTIONS(4014),
    [anon_sym_L_DQUOTE] = ACTIONS(4016),
    [anon_sym_u_DQUOTE] = ACTIONS(4016),
    [anon_sym_U_DQUOTE] = ACTIONS(4016),
    [anon_sym_u8_DQUOTE] = ACTIONS(4016),
    [anon_sym_DQUOTE] = ACTIONS(4016),
    [sym_true] = ACTIONS(4018),
    [sym_false] = ACTIONS(4018),
    [anon_sym_NULL] = ACTIONS(4020),
    [anon_sym_nullptr] = ACTIONS(4020),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(4022),
    [anon_sym_R_DQUOTE] = ACTIONS(4024),
    [anon_sym_LR_DQUOTE] = ACTIONS(4024),
    [anon_sym_uR_DQUOTE] = ACTIONS(4024),
    [anon_sym_UR_DQUOTE] = ACTIONS(4024),
    [anon_sym_u8R_DQUOTE] = ACTIONS(4024),
    [anon_sym_co_await] = ACTIONS(4026),
    [anon_sym_new] = ACTIONS(4028),
    [anon_sym_requires] = ACTIONS(4030),
    [sym_this] = ACTIONS(4018),
  },
  [2198] = {
    [sym__expression] = STATE(3541),
    [sym__expression_not_binary] = STATE(3672),
    [sym__string] = STATE(3672),
    [sym_conditional_expression] = STATE(3672),
    [sym_assignment_expression] = STATE(3672),
    [sym_pointer_expression] = STATE(3672),
    [sym_unary_expression] = STATE(3672),
    [sym_binary_expression] = STATE(3672),
    [sym_update_expression] = STATE(3672),
    [sym_cast_expression] = STATE(3672),
    [sym_sizeof_expression] = STATE(3672),
    [sym_alignof_expression] = STATE(3672),
    [sym_offsetof_expression] = STATE(3672),
    [sym_generic_expression] = STATE(3672),
    [sym_subscript_expression] = STATE(3672),
    [sym_call_expression] = STATE(3672),
    [sym_gnu_asm_expression] = STATE(3672),
    [sym_field_expression] = STATE(3672),
    [sym_compound_literal_expression] = STATE(3672),
    [sym_parenthesized_expression] = STATE(3672),
    [sym_char_literal] = STATE(3855),
    [sym_concatenated_string] = STATE(3873),
    [sym_string_literal] = STATE(3222),
    [sym_null] = STATE(3672),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9333),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(3672),
    [sym_raw_string_literal] = STATE(3216),
    [sym_co_await_expression] = STATE(3672),
    [sym_new_expression] = STATE(3672),
    [sym_delete_expression] = STATE(3672),
    [sym_requires_clause] = STATE(3672),
    [sym_requires_expression] = STATE(3672),
    [sym_lambda_expression] = STATE(3672),
    [sym_lambda_capture_specifier] = STATE(7134),
    [sym_fold_expression] = STATE(3672),
    [sym_parameter_pack_expansion] = STATE(3672),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6886),
    [sym_qualified_identifier] = STATE(3672),
    [sym_qualified_type_identifier] = STATE(9333),
    [sym_user_defined_literal] = STATE(3672),
    [sym_identifier] = ACTIONS(3968),
    [anon_sym_LPAREN2] = ACTIONS(5184),
    [anon_sym_BANG] = ACTIONS(3922),
    [anon_sym_TILDE] = ACTIONS(3922),
    [anon_sym_DASH] = ACTIONS(3920),
    [anon_sym_PLUS] = ACTIONS(3920),
    [anon_sym_STAR] = ACTIONS(5186),
    [anon_sym_AMP] = ACTIONS(5186),
    [anon_sym_COLON_COLON] = ACTIONS(3924),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [sym_primitive_type] = ACTIONS(3928),
    [anon_sym_not] = ACTIONS(3920),
    [anon_sym_compl] = ACTIONS(3920),
    [anon_sym_DASH_DASH] = ACTIONS(5013),
    [anon_sym_PLUS_PLUS] = ACTIONS(5013),
    [anon_sym_sizeof] = ACTIONS(3930),
    [anon_sym___alignof__] = ACTIONS(3932),
    [anon_sym___alignof] = ACTIONS(3932),
    [anon_sym__alignof] = ACTIONS(3932),
    [anon_sym_alignof] = ACTIONS(3932),
    [anon_sym__Alignof] = ACTIONS(3932),
    [anon_sym_offsetof] = ACTIONS(3934),
    [anon_sym__Generic] = ACTIONS(3936),
    [anon_sym_asm] = ACTIONS(3938),
    [anon_sym___asm__] = ACTIONS(3938),
    [sym_number_literal] = ACTIONS(3940),
    [anon_sym_L_SQUOTE] = ACTIONS(3942),
    [anon_sym_u_SQUOTE] = ACTIONS(3942),
    [anon_sym_U_SQUOTE] = ACTIONS(3942),
    [anon_sym_u8_SQUOTE] = ACTIONS(3942),
    [anon_sym_SQUOTE] = ACTIONS(3942),
    [anon_sym_L_DQUOTE] = ACTIONS(3944),
    [anon_sym_u_DQUOTE] = ACTIONS(3944),
    [anon_sym_U_DQUOTE] = ACTIONS(3944),
    [anon_sym_u8_DQUOTE] = ACTIONS(3944),
    [anon_sym_DQUOTE] = ACTIONS(3944),
    [sym_true] = ACTIONS(3946),
    [sym_false] = ACTIONS(3946),
    [anon_sym_NULL] = ACTIONS(3948),
    [anon_sym_nullptr] = ACTIONS(3948),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(3950),
    [anon_sym_R_DQUOTE] = ACTIONS(3952),
    [anon_sym_LR_DQUOTE] = ACTIONS(3952),
    [anon_sym_uR_DQUOTE] = ACTIONS(3952),
    [anon_sym_UR_DQUOTE] = ACTIONS(3952),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3952),
    [anon_sym_co_await] = ACTIONS(3954),
    [anon_sym_new] = ACTIONS(3956),
    [anon_sym_requires] = ACTIONS(3958),
    [sym_this] = ACTIONS(3946),
  },
  [2199] = {
    [sym__expression] = STATE(5762),
    [sym__expression_not_binary] = STATE(5024),
    [sym__string] = STATE(5024),
    [sym_conditional_expression] = STATE(5024),
    [sym_assignment_expression] = STATE(5024),
    [sym_pointer_expression] = STATE(4713),
    [sym_unary_expression] = STATE(5024),
    [sym_binary_expression] = STATE(5024),
    [sym_update_expression] = STATE(5024),
    [sym_cast_expression] = STATE(5024),
    [sym_sizeof_expression] = STATE(5024),
    [sym_alignof_expression] = STATE(5024),
    [sym_offsetof_expression] = STATE(5024),
    [sym_generic_expression] = STATE(5024),
    [sym_subscript_expression] = STATE(4713),
    [sym_call_expression] = STATE(4713),
    [sym_gnu_asm_expression] = STATE(5024),
    [sym_field_expression] = STATE(4713),
    [sym_compound_literal_expression] = STATE(5024),
    [sym_parenthesized_expression] = STATE(4713),
    [sym_char_literal] = STATE(5374),
    [sym_concatenated_string] = STATE(5377),
    [sym_string_literal] = STATE(4206),
    [sym_null] = STATE(5024),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9352),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(5024),
    [sym_raw_string_literal] = STATE(4217),
    [sym_co_await_expression] = STATE(5024),
    [sym_new_expression] = STATE(5024),
    [sym_delete_expression] = STATE(5024),
    [sym_requires_clause] = STATE(5024),
    [sym_requires_expression] = STATE(5024),
    [sym_lambda_expression] = STATE(5024),
    [sym_lambda_capture_specifier] = STATE(7184),
    [sym_fold_expression] = STATE(5024),
    [sym_parameter_pack_expansion] = STATE(5024),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6886),
    [sym_qualified_identifier] = STATE(4713),
    [sym_qualified_type_identifier] = STATE(9352),
    [sym_user_defined_literal] = STATE(4713),
    [sym_identifier] = ACTIONS(4518),
    [anon_sym_LPAREN2] = ACTIONS(5188),
    [anon_sym_BANG] = ACTIONS(4522),
    [anon_sym_TILDE] = ACTIONS(4522),
    [anon_sym_DASH] = ACTIONS(4520),
    [anon_sym_PLUS] = ACTIONS(4520),
    [anon_sym_STAR] = ACTIONS(5190),
    [anon_sym_AMP] = ACTIONS(5190),
    [anon_sym_COLON_COLON] = ACTIONS(4524),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [sym_primitive_type] = ACTIONS(3146),
    [anon_sym_not] = ACTIONS(4520),
    [anon_sym_compl] = ACTIONS(4520),
    [anon_sym_DASH_DASH] = ACTIONS(5071),
    [anon_sym_PLUS_PLUS] = ACTIONS(5071),
    [anon_sym_sizeof] = ACTIONS(4526),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(4528),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(4530),
    [anon_sym_new] = ACTIONS(4516),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [2200] = {
    [sym__expression] = STATE(3999),
    [sym__expression_not_binary] = STATE(4307),
    [sym__string] = STATE(4307),
    [sym_conditional_expression] = STATE(4307),
    [sym_assignment_expression] = STATE(4307),
    [sym_pointer_expression] = STATE(4307),
    [sym_unary_expression] = STATE(4307),
    [sym_binary_expression] = STATE(4307),
    [sym_update_expression] = STATE(4307),
    [sym_cast_expression] = STATE(4307),
    [sym_sizeof_expression] = STATE(4307),
    [sym_alignof_expression] = STATE(4307),
    [sym_offsetof_expression] = STATE(4307),
    [sym_generic_expression] = STATE(4307),
    [sym_subscript_expression] = STATE(4307),
    [sym_call_expression] = STATE(4307),
    [sym_gnu_asm_expression] = STATE(4307),
    [sym_field_expression] = STATE(4307),
    [sym_compound_literal_expression] = STATE(4307),
    [sym_parenthesized_expression] = STATE(4307),
    [sym_char_literal] = STATE(4093),
    [sym_concatenated_string] = STATE(4159),
    [sym_string_literal] = STATE(3328),
    [sym_null] = STATE(4307),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9053),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(4307),
    [sym_raw_string_literal] = STATE(3294),
    [sym_co_await_expression] = STATE(4307),
    [sym_new_expression] = STATE(4307),
    [sym_delete_expression] = STATE(4307),
    [sym_requires_clause] = STATE(4307),
    [sym_requires_expression] = STATE(4307),
    [sym_lambda_expression] = STATE(4307),
    [sym_lambda_capture_specifier] = STATE(7183),
    [sym_fold_expression] = STATE(4307),
    [sym_parameter_pack_expansion] = STATE(4307),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6962),
    [sym_qualified_identifier] = STATE(4307),
    [sym_qualified_type_identifier] = STATE(9053),
    [sym_user_defined_literal] = STATE(4307),
    [sym_identifier] = ACTIONS(5051),
    [anon_sym_LPAREN2] = ACTIONS(5204),
    [anon_sym_BANG] = ACTIONS(3994),
    [anon_sym_TILDE] = ACTIONS(3994),
    [anon_sym_DASH] = ACTIONS(3992),
    [anon_sym_PLUS] = ACTIONS(3992),
    [anon_sym_STAR] = ACTIONS(5202),
    [anon_sym_AMP] = ACTIONS(5202),
    [anon_sym_COLON_COLON] = ACTIONS(3996),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [sym_primitive_type] = ACTIONS(4000),
    [anon_sym_not] = ACTIONS(3992),
    [anon_sym_compl] = ACTIONS(3992),
    [anon_sym_DASH_DASH] = ACTIONS(5053),
    [anon_sym_PLUS_PLUS] = ACTIONS(5053),
    [anon_sym_sizeof] = ACTIONS(4002),
    [anon_sym___alignof__] = ACTIONS(4004),
    [anon_sym___alignof] = ACTIONS(4004),
    [anon_sym__alignof] = ACTIONS(4004),
    [anon_sym_alignof] = ACTIONS(4004),
    [anon_sym__Alignof] = ACTIONS(4004),
    [anon_sym_offsetof] = ACTIONS(4006),
    [anon_sym__Generic] = ACTIONS(4008),
    [anon_sym_asm] = ACTIONS(4010),
    [anon_sym___asm__] = ACTIONS(4010),
    [sym_number_literal] = ACTIONS(4012),
    [anon_sym_L_SQUOTE] = ACTIONS(4014),
    [anon_sym_u_SQUOTE] = ACTIONS(4014),
    [anon_sym_U_SQUOTE] = ACTIONS(4014),
    [anon_sym_u8_SQUOTE] = ACTIONS(4014),
    [anon_sym_SQUOTE] = ACTIONS(4014),
    [anon_sym_L_DQUOTE] = ACTIONS(4016),
    [anon_sym_u_DQUOTE] = ACTIONS(4016),
    [anon_sym_U_DQUOTE] = ACTIONS(4016),
    [anon_sym_u8_DQUOTE] = ACTIONS(4016),
    [anon_sym_DQUOTE] = ACTIONS(4016),
    [sym_true] = ACTIONS(4018),
    [sym_false] = ACTIONS(4018),
    [anon_sym_NULL] = ACTIONS(4020),
    [anon_sym_nullptr] = ACTIONS(4020),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(4022),
    [anon_sym_R_DQUOTE] = ACTIONS(4024),
    [anon_sym_LR_DQUOTE] = ACTIONS(4024),
    [anon_sym_uR_DQUOTE] = ACTIONS(4024),
    [anon_sym_UR_DQUOTE] = ACTIONS(4024),
    [anon_sym_u8R_DQUOTE] = ACTIONS(4024),
    [anon_sym_co_await] = ACTIONS(4026),
    [anon_sym_new] = ACTIONS(4028),
    [anon_sym_requires] = ACTIONS(4030),
    [sym_this] = ACTIONS(4018),
  },
  [2201] = {
    [sym__expression] = STATE(5764),
    [sym__expression_not_binary] = STATE(5024),
    [sym__string] = STATE(5024),
    [sym_conditional_expression] = STATE(5024),
    [sym_assignment_expression] = STATE(5024),
    [sym_pointer_expression] = STATE(4713),
    [sym_unary_expression] = STATE(5024),
    [sym_binary_expression] = STATE(5024),
    [sym_update_expression] = STATE(5024),
    [sym_cast_expression] = STATE(5024),
    [sym_sizeof_expression] = STATE(5024),
    [sym_alignof_expression] = STATE(5024),
    [sym_offsetof_expression] = STATE(5024),
    [sym_generic_expression] = STATE(5024),
    [sym_subscript_expression] = STATE(4713),
    [sym_call_expression] = STATE(4713),
    [sym_gnu_asm_expression] = STATE(5024),
    [sym_field_expression] = STATE(4713),
    [sym_compound_literal_expression] = STATE(5024),
    [sym_parenthesized_expression] = STATE(4713),
    [sym_char_literal] = STATE(5374),
    [sym_concatenated_string] = STATE(5377),
    [sym_string_literal] = STATE(4206),
    [sym_null] = STATE(5024),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9352),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(5024),
    [sym_raw_string_literal] = STATE(4217),
    [sym_co_await_expression] = STATE(5024),
    [sym_new_expression] = STATE(5024),
    [sym_delete_expression] = STATE(5024),
    [sym_requires_clause] = STATE(5024),
    [sym_requires_expression] = STATE(5024),
    [sym_lambda_expression] = STATE(5024),
    [sym_lambda_capture_specifier] = STATE(7184),
    [sym_fold_expression] = STATE(5024),
    [sym_parameter_pack_expansion] = STATE(5024),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6886),
    [sym_qualified_identifier] = STATE(4713),
    [sym_qualified_type_identifier] = STATE(9352),
    [sym_user_defined_literal] = STATE(4713),
    [sym_identifier] = ACTIONS(4518),
    [anon_sym_LPAREN2] = ACTIONS(5188),
    [anon_sym_BANG] = ACTIONS(4522),
    [anon_sym_TILDE] = ACTIONS(4522),
    [anon_sym_DASH] = ACTIONS(4520),
    [anon_sym_PLUS] = ACTIONS(4520),
    [anon_sym_STAR] = ACTIONS(5190),
    [anon_sym_AMP] = ACTIONS(5190),
    [anon_sym_COLON_COLON] = ACTIONS(4524),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [sym_primitive_type] = ACTIONS(3146),
    [anon_sym_not] = ACTIONS(4520),
    [anon_sym_compl] = ACTIONS(4520),
    [anon_sym_DASH_DASH] = ACTIONS(5071),
    [anon_sym_PLUS_PLUS] = ACTIONS(5071),
    [anon_sym_sizeof] = ACTIONS(4526),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(4528),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(4530),
    [anon_sym_new] = ACTIONS(4516),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [2202] = {
    [sym__expression] = STATE(5610),
    [sym__expression_not_binary] = STATE(5024),
    [sym__string] = STATE(5024),
    [sym_conditional_expression] = STATE(5024),
    [sym_assignment_expression] = STATE(5024),
    [sym_pointer_expression] = STATE(4607),
    [sym_unary_expression] = STATE(5024),
    [sym_binary_expression] = STATE(5024),
    [sym_update_expression] = STATE(5024),
    [sym_cast_expression] = STATE(5024),
    [sym_sizeof_expression] = STATE(5024),
    [sym_alignof_expression] = STATE(5024),
    [sym_offsetof_expression] = STATE(5024),
    [sym_generic_expression] = STATE(5024),
    [sym_subscript_expression] = STATE(4607),
    [sym_call_expression] = STATE(4607),
    [sym_gnu_asm_expression] = STATE(5024),
    [sym_field_expression] = STATE(4607),
    [sym_compound_literal_expression] = STATE(5024),
    [sym_parenthesized_expression] = STATE(4607),
    [sym_char_literal] = STATE(5726),
    [sym_concatenated_string] = STATE(5682),
    [sym_string_literal] = STATE(4827),
    [sym_null] = STATE(5024),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9352),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(5024),
    [sym_raw_string_literal] = STATE(4829),
    [sym_co_await_expression] = STATE(5024),
    [sym_new_expression] = STATE(5024),
    [sym_delete_expression] = STATE(5024),
    [sym_requires_clause] = STATE(5024),
    [sym_requires_expression] = STATE(5024),
    [sym_lambda_expression] = STATE(5024),
    [sym_lambda_capture_specifier] = STATE(7184),
    [sym_fold_expression] = STATE(5024),
    [sym_parameter_pack_expansion] = STATE(5024),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6886),
    [sym_qualified_identifier] = STATE(4607),
    [sym_qualified_type_identifier] = STATE(9352),
    [sym_user_defined_literal] = STATE(4607),
    [sym_identifier] = ACTIONS(4478),
    [anon_sym_LPAREN2] = ACTIONS(5015),
    [anon_sym_BANG] = ACTIONS(4482),
    [anon_sym_TILDE] = ACTIONS(4482),
    [anon_sym_DASH] = ACTIONS(4480),
    [anon_sym_PLUS] = ACTIONS(4480),
    [anon_sym_STAR] = ACTIONS(5017),
    [anon_sym_AMP] = ACTIONS(5017),
    [anon_sym_COLON_COLON] = ACTIONS(4484),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [sym_primitive_type] = ACTIONS(3146),
    [anon_sym_not] = ACTIONS(4480),
    [anon_sym_compl] = ACTIONS(4480),
    [anon_sym_DASH_DASH] = ACTIONS(5021),
    [anon_sym_PLUS_PLUS] = ACTIONS(5021),
    [anon_sym_sizeof] = ACTIONS(4486),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(4488),
    [anon_sym_L_SQUOTE] = ACTIONS(4490),
    [anon_sym_u_SQUOTE] = ACTIONS(4490),
    [anon_sym_U_SQUOTE] = ACTIONS(4490),
    [anon_sym_u8_SQUOTE] = ACTIONS(4490),
    [anon_sym_SQUOTE] = ACTIONS(4490),
    [anon_sym_L_DQUOTE] = ACTIONS(4492),
    [anon_sym_u_DQUOTE] = ACTIONS(4492),
    [anon_sym_U_DQUOTE] = ACTIONS(4492),
    [anon_sym_u8_DQUOTE] = ACTIONS(4492),
    [anon_sym_DQUOTE] = ACTIONS(4492),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(4494),
    [anon_sym_R_DQUOTE] = ACTIONS(4496),
    [anon_sym_LR_DQUOTE] = ACTIONS(4496),
    [anon_sym_uR_DQUOTE] = ACTIONS(4496),
    [anon_sym_UR_DQUOTE] = ACTIONS(4496),
    [anon_sym_u8R_DQUOTE] = ACTIONS(4496),
    [anon_sym_co_await] = ACTIONS(4498),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [2203] = {
    [sym__expression] = STATE(4940),
    [sym__expression_not_binary] = STATE(5024),
    [sym__string] = STATE(5024),
    [sym_conditional_expression] = STATE(5024),
    [sym_assignment_expression] = STATE(5024),
    [sym_pointer_expression] = STATE(4607),
    [sym_unary_expression] = STATE(5024),
    [sym_binary_expression] = STATE(5024),
    [sym_update_expression] = STATE(5024),
    [sym_cast_expression] = STATE(5024),
    [sym_sizeof_expression] = STATE(5024),
    [sym_alignof_expression] = STATE(5024),
    [sym_offsetof_expression] = STATE(5024),
    [sym_generic_expression] = STATE(5024),
    [sym_subscript_expression] = STATE(4607),
    [sym_call_expression] = STATE(4607),
    [sym_gnu_asm_expression] = STATE(5024),
    [sym_field_expression] = STATE(4607),
    [sym_compound_literal_expression] = STATE(5024),
    [sym_parenthesized_expression] = STATE(4607),
    [sym_char_literal] = STATE(5726),
    [sym_concatenated_string] = STATE(5682),
    [sym_string_literal] = STATE(4827),
    [sym_null] = STATE(5024),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9352),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(5024),
    [sym_raw_string_literal] = STATE(4829),
    [sym_co_await_expression] = STATE(5024),
    [sym_new_expression] = STATE(5024),
    [sym_delete_expression] = STATE(5024),
    [sym_requires_clause] = STATE(5024),
    [sym_requires_expression] = STATE(5024),
    [sym_lambda_expression] = STATE(5024),
    [sym_lambda_capture_specifier] = STATE(7184),
    [sym_fold_expression] = STATE(5024),
    [sym_parameter_pack_expansion] = STATE(5024),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6886),
    [sym_qualified_identifier] = STATE(4607),
    [sym_qualified_type_identifier] = STATE(9352),
    [sym_user_defined_literal] = STATE(4607),
    [sym_identifier] = ACTIONS(4478),
    [anon_sym_LPAREN2] = ACTIONS(5015),
    [anon_sym_BANG] = ACTIONS(4482),
    [anon_sym_TILDE] = ACTIONS(4482),
    [anon_sym_DASH] = ACTIONS(4480),
    [anon_sym_PLUS] = ACTIONS(4480),
    [anon_sym_STAR] = ACTIONS(5017),
    [anon_sym_AMP] = ACTIONS(5017),
    [anon_sym_COLON_COLON] = ACTIONS(4484),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [sym_primitive_type] = ACTIONS(3146),
    [anon_sym_not] = ACTIONS(4480),
    [anon_sym_compl] = ACTIONS(4480),
    [anon_sym_DASH_DASH] = ACTIONS(5021),
    [anon_sym_PLUS_PLUS] = ACTIONS(5021),
    [anon_sym_sizeof] = ACTIONS(4486),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(4488),
    [anon_sym_L_SQUOTE] = ACTIONS(4490),
    [anon_sym_u_SQUOTE] = ACTIONS(4490),
    [anon_sym_U_SQUOTE] = ACTIONS(4490),
    [anon_sym_u8_SQUOTE] = ACTIONS(4490),
    [anon_sym_SQUOTE] = ACTIONS(4490),
    [anon_sym_L_DQUOTE] = ACTIONS(4492),
    [anon_sym_u_DQUOTE] = ACTIONS(4492),
    [anon_sym_U_DQUOTE] = ACTIONS(4492),
    [anon_sym_u8_DQUOTE] = ACTIONS(4492),
    [anon_sym_DQUOTE] = ACTIONS(4492),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(4494),
    [anon_sym_R_DQUOTE] = ACTIONS(4496),
    [anon_sym_LR_DQUOTE] = ACTIONS(4496),
    [anon_sym_uR_DQUOTE] = ACTIONS(4496),
    [anon_sym_UR_DQUOTE] = ACTIONS(4496),
    [anon_sym_u8R_DQUOTE] = ACTIONS(4496),
    [anon_sym_co_await] = ACTIONS(4498),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [2204] = {
    [sym__expression] = STATE(5914),
    [sym__expression_not_binary] = STATE(5024),
    [sym__string] = STATE(5024),
    [sym_conditional_expression] = STATE(5024),
    [sym_assignment_expression] = STATE(5024),
    [sym_pointer_expression] = STATE(4507),
    [sym_unary_expression] = STATE(5024),
    [sym_binary_expression] = STATE(5024),
    [sym_update_expression] = STATE(5024),
    [sym_cast_expression] = STATE(5024),
    [sym_sizeof_expression] = STATE(5024),
    [sym_alignof_expression] = STATE(5024),
    [sym_offsetof_expression] = STATE(5024),
    [sym_generic_expression] = STATE(5024),
    [sym_subscript_expression] = STATE(4507),
    [sym_call_expression] = STATE(4507),
    [sym_gnu_asm_expression] = STATE(5024),
    [sym_field_expression] = STATE(4507),
    [sym_compound_literal_expression] = STATE(5024),
    [sym_parenthesized_expression] = STATE(4507),
    [sym_char_literal] = STATE(5374),
    [sym_concatenated_string] = STATE(5377),
    [sym_string_literal] = STATE(4206),
    [sym_null] = STATE(5024),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9352),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(5024),
    [sym_raw_string_literal] = STATE(4217),
    [sym_co_await_expression] = STATE(5024),
    [sym_new_expression] = STATE(5024),
    [sym_delete_expression] = STATE(5024),
    [sym_requires_clause] = STATE(5024),
    [sym_requires_expression] = STATE(5024),
    [sym_lambda_expression] = STATE(5024),
    [sym_lambda_capture_specifier] = STATE(7184),
    [sym_fold_expression] = STATE(5024),
    [sym_parameter_pack_expansion] = STATE(5024),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6886),
    [sym_qualified_identifier] = STATE(4507),
    [sym_qualified_type_identifier] = STATE(9352),
    [sym_user_defined_literal] = STATE(4507),
    [sym_identifier] = ACTIONS(3140),
    [anon_sym_LPAREN2] = ACTIONS(1472),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1474),
    [anon_sym_AMP] = ACTIONS(1474),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [sym_primitive_type] = ACTIONS(3146),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [2205] = {
    [sym__expression] = STATE(5599),
    [sym__expression_not_binary] = STATE(5024),
    [sym__string] = STATE(5024),
    [sym_conditional_expression] = STATE(5024),
    [sym_assignment_expression] = STATE(5024),
    [sym_pointer_expression] = STATE(4607),
    [sym_unary_expression] = STATE(5024),
    [sym_binary_expression] = STATE(5024),
    [sym_update_expression] = STATE(5024),
    [sym_cast_expression] = STATE(5024),
    [sym_sizeof_expression] = STATE(5024),
    [sym_alignof_expression] = STATE(5024),
    [sym_offsetof_expression] = STATE(5024),
    [sym_generic_expression] = STATE(5024),
    [sym_subscript_expression] = STATE(4607),
    [sym_call_expression] = STATE(4607),
    [sym_gnu_asm_expression] = STATE(5024),
    [sym_field_expression] = STATE(4607),
    [sym_compound_literal_expression] = STATE(5024),
    [sym_parenthesized_expression] = STATE(4607),
    [sym_char_literal] = STATE(5726),
    [sym_concatenated_string] = STATE(5682),
    [sym_string_literal] = STATE(4827),
    [sym_null] = STATE(5024),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9352),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(5024),
    [sym_raw_string_literal] = STATE(4829),
    [sym_co_await_expression] = STATE(5024),
    [sym_new_expression] = STATE(5024),
    [sym_delete_expression] = STATE(5024),
    [sym_requires_clause] = STATE(5024),
    [sym_requires_expression] = STATE(5024),
    [sym_lambda_expression] = STATE(5024),
    [sym_lambda_capture_specifier] = STATE(7184),
    [sym_fold_expression] = STATE(5024),
    [sym_parameter_pack_expansion] = STATE(5024),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6886),
    [sym_qualified_identifier] = STATE(4607),
    [sym_qualified_type_identifier] = STATE(9352),
    [sym_user_defined_literal] = STATE(4607),
    [sym_identifier] = ACTIONS(4478),
    [anon_sym_LPAREN2] = ACTIONS(5015),
    [anon_sym_BANG] = ACTIONS(4482),
    [anon_sym_TILDE] = ACTIONS(4482),
    [anon_sym_DASH] = ACTIONS(4480),
    [anon_sym_PLUS] = ACTIONS(4480),
    [anon_sym_STAR] = ACTIONS(5017),
    [anon_sym_AMP] = ACTIONS(5017),
    [anon_sym_COLON_COLON] = ACTIONS(4484),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [sym_primitive_type] = ACTIONS(3146),
    [anon_sym_not] = ACTIONS(4480),
    [anon_sym_compl] = ACTIONS(4480),
    [anon_sym_DASH_DASH] = ACTIONS(5021),
    [anon_sym_PLUS_PLUS] = ACTIONS(5021),
    [anon_sym_sizeof] = ACTIONS(4486),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(4488),
    [anon_sym_L_SQUOTE] = ACTIONS(4490),
    [anon_sym_u_SQUOTE] = ACTIONS(4490),
    [anon_sym_U_SQUOTE] = ACTIONS(4490),
    [anon_sym_u8_SQUOTE] = ACTIONS(4490),
    [anon_sym_SQUOTE] = ACTIONS(4490),
    [anon_sym_L_DQUOTE] = ACTIONS(4492),
    [anon_sym_u_DQUOTE] = ACTIONS(4492),
    [anon_sym_U_DQUOTE] = ACTIONS(4492),
    [anon_sym_u8_DQUOTE] = ACTIONS(4492),
    [anon_sym_DQUOTE] = ACTIONS(4492),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(4494),
    [anon_sym_R_DQUOTE] = ACTIONS(4496),
    [anon_sym_LR_DQUOTE] = ACTIONS(4496),
    [anon_sym_uR_DQUOTE] = ACTIONS(4496),
    [anon_sym_UR_DQUOTE] = ACTIONS(4496),
    [anon_sym_u8R_DQUOTE] = ACTIONS(4496),
    [anon_sym_co_await] = ACTIONS(4498),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [2206] = {
    [sym__expression] = STATE(5777),
    [sym__expression_not_binary] = STATE(5024),
    [sym__string] = STATE(5024),
    [sym_conditional_expression] = STATE(5024),
    [sym_assignment_expression] = STATE(5024),
    [sym_pointer_expression] = STATE(4713),
    [sym_unary_expression] = STATE(5024),
    [sym_binary_expression] = STATE(5024),
    [sym_update_expression] = STATE(5024),
    [sym_cast_expression] = STATE(5024),
    [sym_sizeof_expression] = STATE(5024),
    [sym_alignof_expression] = STATE(5024),
    [sym_offsetof_expression] = STATE(5024),
    [sym_generic_expression] = STATE(5024),
    [sym_subscript_expression] = STATE(4713),
    [sym_call_expression] = STATE(4713),
    [sym_gnu_asm_expression] = STATE(5024),
    [sym_field_expression] = STATE(4713),
    [sym_compound_literal_expression] = STATE(5024),
    [sym_parenthesized_expression] = STATE(4713),
    [sym_char_literal] = STATE(5374),
    [sym_concatenated_string] = STATE(5377),
    [sym_string_literal] = STATE(4206),
    [sym_null] = STATE(5024),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9352),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(5024),
    [sym_raw_string_literal] = STATE(4217),
    [sym_co_await_expression] = STATE(5024),
    [sym_new_expression] = STATE(5024),
    [sym_delete_expression] = STATE(5024),
    [sym_requires_clause] = STATE(5024),
    [sym_requires_expression] = STATE(5024),
    [sym_lambda_expression] = STATE(5024),
    [sym_lambda_capture_specifier] = STATE(7184),
    [sym_fold_expression] = STATE(5024),
    [sym_parameter_pack_expansion] = STATE(5024),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6886),
    [sym_qualified_identifier] = STATE(4713),
    [sym_qualified_type_identifier] = STATE(9352),
    [sym_user_defined_literal] = STATE(4713),
    [sym_identifier] = ACTIONS(4518),
    [anon_sym_LPAREN2] = ACTIONS(5188),
    [anon_sym_BANG] = ACTIONS(4522),
    [anon_sym_TILDE] = ACTIONS(4522),
    [anon_sym_DASH] = ACTIONS(4520),
    [anon_sym_PLUS] = ACTIONS(4520),
    [anon_sym_STAR] = ACTIONS(5190),
    [anon_sym_AMP] = ACTIONS(5190),
    [anon_sym_COLON_COLON] = ACTIONS(4524),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [sym_primitive_type] = ACTIONS(3146),
    [anon_sym_not] = ACTIONS(4520),
    [anon_sym_compl] = ACTIONS(4520),
    [anon_sym_DASH_DASH] = ACTIONS(5071),
    [anon_sym_PLUS_PLUS] = ACTIONS(5071),
    [anon_sym_sizeof] = ACTIONS(4526),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(4528),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(4530),
    [anon_sym_new] = ACTIONS(4516),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [2207] = {
    [sym__expression] = STATE(5779),
    [sym__expression_not_binary] = STATE(5024),
    [sym__string] = STATE(5024),
    [sym_conditional_expression] = STATE(5024),
    [sym_assignment_expression] = STATE(5024),
    [sym_pointer_expression] = STATE(4713),
    [sym_unary_expression] = STATE(5024),
    [sym_binary_expression] = STATE(5024),
    [sym_update_expression] = STATE(5024),
    [sym_cast_expression] = STATE(5024),
    [sym_sizeof_expression] = STATE(5024),
    [sym_alignof_expression] = STATE(5024),
    [sym_offsetof_expression] = STATE(5024),
    [sym_generic_expression] = STATE(5024),
    [sym_subscript_expression] = STATE(4713),
    [sym_call_expression] = STATE(4713),
    [sym_gnu_asm_expression] = STATE(5024),
    [sym_field_expression] = STATE(4713),
    [sym_compound_literal_expression] = STATE(5024),
    [sym_parenthesized_expression] = STATE(4713),
    [sym_char_literal] = STATE(5374),
    [sym_concatenated_string] = STATE(5377),
    [sym_string_literal] = STATE(4206),
    [sym_null] = STATE(5024),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9352),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(5024),
    [sym_raw_string_literal] = STATE(4217),
    [sym_co_await_expression] = STATE(5024),
    [sym_new_expression] = STATE(5024),
    [sym_delete_expression] = STATE(5024),
    [sym_requires_clause] = STATE(5024),
    [sym_requires_expression] = STATE(5024),
    [sym_lambda_expression] = STATE(5024),
    [sym_lambda_capture_specifier] = STATE(7184),
    [sym_fold_expression] = STATE(5024),
    [sym_parameter_pack_expansion] = STATE(5024),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6886),
    [sym_qualified_identifier] = STATE(4713),
    [sym_qualified_type_identifier] = STATE(9352),
    [sym_user_defined_literal] = STATE(4713),
    [sym_identifier] = ACTIONS(4518),
    [anon_sym_LPAREN2] = ACTIONS(5188),
    [anon_sym_BANG] = ACTIONS(4522),
    [anon_sym_TILDE] = ACTIONS(4522),
    [anon_sym_DASH] = ACTIONS(4520),
    [anon_sym_PLUS] = ACTIONS(4520),
    [anon_sym_STAR] = ACTIONS(5190),
    [anon_sym_AMP] = ACTIONS(5190),
    [anon_sym_COLON_COLON] = ACTIONS(4524),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [sym_primitive_type] = ACTIONS(3146),
    [anon_sym_not] = ACTIONS(4520),
    [anon_sym_compl] = ACTIONS(4520),
    [anon_sym_DASH_DASH] = ACTIONS(5071),
    [anon_sym_PLUS_PLUS] = ACTIONS(5071),
    [anon_sym_sizeof] = ACTIONS(4526),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(4528),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(4530),
    [anon_sym_new] = ACTIONS(4516),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [2208] = {
    [sym__expression] = STATE(5783),
    [sym__expression_not_binary] = STATE(5024),
    [sym__string] = STATE(5024),
    [sym_conditional_expression] = STATE(5024),
    [sym_assignment_expression] = STATE(5024),
    [sym_pointer_expression] = STATE(4713),
    [sym_unary_expression] = STATE(5024),
    [sym_binary_expression] = STATE(5024),
    [sym_update_expression] = STATE(5024),
    [sym_cast_expression] = STATE(5024),
    [sym_sizeof_expression] = STATE(5024),
    [sym_alignof_expression] = STATE(5024),
    [sym_offsetof_expression] = STATE(5024),
    [sym_generic_expression] = STATE(5024),
    [sym_subscript_expression] = STATE(4713),
    [sym_call_expression] = STATE(4713),
    [sym_gnu_asm_expression] = STATE(5024),
    [sym_field_expression] = STATE(4713),
    [sym_compound_literal_expression] = STATE(5024),
    [sym_parenthesized_expression] = STATE(4713),
    [sym_char_literal] = STATE(5374),
    [sym_concatenated_string] = STATE(5377),
    [sym_string_literal] = STATE(4206),
    [sym_null] = STATE(5024),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9352),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(5024),
    [sym_raw_string_literal] = STATE(4217),
    [sym_co_await_expression] = STATE(5024),
    [sym_new_expression] = STATE(5024),
    [sym_delete_expression] = STATE(5024),
    [sym_requires_clause] = STATE(5024),
    [sym_requires_expression] = STATE(5024),
    [sym_lambda_expression] = STATE(5024),
    [sym_lambda_capture_specifier] = STATE(7184),
    [sym_fold_expression] = STATE(5024),
    [sym_parameter_pack_expansion] = STATE(5024),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6886),
    [sym_qualified_identifier] = STATE(4713),
    [sym_qualified_type_identifier] = STATE(9352),
    [sym_user_defined_literal] = STATE(4713),
    [sym_identifier] = ACTIONS(4518),
    [anon_sym_LPAREN2] = ACTIONS(5188),
    [anon_sym_BANG] = ACTIONS(4522),
    [anon_sym_TILDE] = ACTIONS(4522),
    [anon_sym_DASH] = ACTIONS(4520),
    [anon_sym_PLUS] = ACTIONS(4520),
    [anon_sym_STAR] = ACTIONS(5190),
    [anon_sym_AMP] = ACTIONS(5190),
    [anon_sym_COLON_COLON] = ACTIONS(4524),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [sym_primitive_type] = ACTIONS(3146),
    [anon_sym_not] = ACTIONS(4520),
    [anon_sym_compl] = ACTIONS(4520),
    [anon_sym_DASH_DASH] = ACTIONS(5071),
    [anon_sym_PLUS_PLUS] = ACTIONS(5071),
    [anon_sym_sizeof] = ACTIONS(4526),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(4528),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(4530),
    [anon_sym_new] = ACTIONS(4516),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [2209] = {
    [sym__expression] = STATE(5784),
    [sym__expression_not_binary] = STATE(5024),
    [sym__string] = STATE(5024),
    [sym_conditional_expression] = STATE(5024),
    [sym_assignment_expression] = STATE(5024),
    [sym_pointer_expression] = STATE(4713),
    [sym_unary_expression] = STATE(5024),
    [sym_binary_expression] = STATE(5024),
    [sym_update_expression] = STATE(5024),
    [sym_cast_expression] = STATE(5024),
    [sym_sizeof_expression] = STATE(5024),
    [sym_alignof_expression] = STATE(5024),
    [sym_offsetof_expression] = STATE(5024),
    [sym_generic_expression] = STATE(5024),
    [sym_subscript_expression] = STATE(4713),
    [sym_call_expression] = STATE(4713),
    [sym_gnu_asm_expression] = STATE(5024),
    [sym_field_expression] = STATE(4713),
    [sym_compound_literal_expression] = STATE(5024),
    [sym_parenthesized_expression] = STATE(4713),
    [sym_char_literal] = STATE(5374),
    [sym_concatenated_string] = STATE(5377),
    [sym_string_literal] = STATE(4206),
    [sym_null] = STATE(5024),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9352),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(5024),
    [sym_raw_string_literal] = STATE(4217),
    [sym_co_await_expression] = STATE(5024),
    [sym_new_expression] = STATE(5024),
    [sym_delete_expression] = STATE(5024),
    [sym_requires_clause] = STATE(5024),
    [sym_requires_expression] = STATE(5024),
    [sym_lambda_expression] = STATE(5024),
    [sym_lambda_capture_specifier] = STATE(7184),
    [sym_fold_expression] = STATE(5024),
    [sym_parameter_pack_expansion] = STATE(5024),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6886),
    [sym_qualified_identifier] = STATE(4713),
    [sym_qualified_type_identifier] = STATE(9352),
    [sym_user_defined_literal] = STATE(4713),
    [sym_identifier] = ACTIONS(4518),
    [anon_sym_LPAREN2] = ACTIONS(5188),
    [anon_sym_BANG] = ACTIONS(4522),
    [anon_sym_TILDE] = ACTIONS(4522),
    [anon_sym_DASH] = ACTIONS(4520),
    [anon_sym_PLUS] = ACTIONS(4520),
    [anon_sym_STAR] = ACTIONS(5190),
    [anon_sym_AMP] = ACTIONS(5190),
    [anon_sym_COLON_COLON] = ACTIONS(4524),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [sym_primitive_type] = ACTIONS(3146),
    [anon_sym_not] = ACTIONS(4520),
    [anon_sym_compl] = ACTIONS(4520),
    [anon_sym_DASH_DASH] = ACTIONS(5071),
    [anon_sym_PLUS_PLUS] = ACTIONS(5071),
    [anon_sym_sizeof] = ACTIONS(4526),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(4528),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(4530),
    [anon_sym_new] = ACTIONS(4516),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [2210] = {
    [sym__expression] = STATE(5788),
    [sym__expression_not_binary] = STATE(5024),
    [sym__string] = STATE(5024),
    [sym_conditional_expression] = STATE(5024),
    [sym_assignment_expression] = STATE(5024),
    [sym_pointer_expression] = STATE(4713),
    [sym_unary_expression] = STATE(5024),
    [sym_binary_expression] = STATE(5024),
    [sym_update_expression] = STATE(5024),
    [sym_cast_expression] = STATE(5024),
    [sym_sizeof_expression] = STATE(5024),
    [sym_alignof_expression] = STATE(5024),
    [sym_offsetof_expression] = STATE(5024),
    [sym_generic_expression] = STATE(5024),
    [sym_subscript_expression] = STATE(4713),
    [sym_call_expression] = STATE(4713),
    [sym_gnu_asm_expression] = STATE(5024),
    [sym_field_expression] = STATE(4713),
    [sym_compound_literal_expression] = STATE(5024),
    [sym_parenthesized_expression] = STATE(4713),
    [sym_char_literal] = STATE(5374),
    [sym_concatenated_string] = STATE(5377),
    [sym_string_literal] = STATE(4206),
    [sym_null] = STATE(5024),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9352),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(5024),
    [sym_raw_string_literal] = STATE(4217),
    [sym_co_await_expression] = STATE(5024),
    [sym_new_expression] = STATE(5024),
    [sym_delete_expression] = STATE(5024),
    [sym_requires_clause] = STATE(5024),
    [sym_requires_expression] = STATE(5024),
    [sym_lambda_expression] = STATE(5024),
    [sym_lambda_capture_specifier] = STATE(7184),
    [sym_fold_expression] = STATE(5024),
    [sym_parameter_pack_expansion] = STATE(5024),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6886),
    [sym_qualified_identifier] = STATE(4713),
    [sym_qualified_type_identifier] = STATE(9352),
    [sym_user_defined_literal] = STATE(4713),
    [sym_identifier] = ACTIONS(4518),
    [anon_sym_LPAREN2] = ACTIONS(5188),
    [anon_sym_BANG] = ACTIONS(4522),
    [anon_sym_TILDE] = ACTIONS(4522),
    [anon_sym_DASH] = ACTIONS(4520),
    [anon_sym_PLUS] = ACTIONS(4520),
    [anon_sym_STAR] = ACTIONS(5190),
    [anon_sym_AMP] = ACTIONS(5190),
    [anon_sym_COLON_COLON] = ACTIONS(4524),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [sym_primitive_type] = ACTIONS(3146),
    [anon_sym_not] = ACTIONS(4520),
    [anon_sym_compl] = ACTIONS(4520),
    [anon_sym_DASH_DASH] = ACTIONS(5071),
    [anon_sym_PLUS_PLUS] = ACTIONS(5071),
    [anon_sym_sizeof] = ACTIONS(4526),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(4528),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(4530),
    [anon_sym_new] = ACTIONS(4516),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [2211] = {
    [sym__expression] = STATE(5598),
    [sym__expression_not_binary] = STATE(5024),
    [sym__string] = STATE(5024),
    [sym_conditional_expression] = STATE(5024),
    [sym_assignment_expression] = STATE(5024),
    [sym_pointer_expression] = STATE(4607),
    [sym_unary_expression] = STATE(5024),
    [sym_binary_expression] = STATE(5024),
    [sym_update_expression] = STATE(5024),
    [sym_cast_expression] = STATE(5024),
    [sym_sizeof_expression] = STATE(5024),
    [sym_alignof_expression] = STATE(5024),
    [sym_offsetof_expression] = STATE(5024),
    [sym_generic_expression] = STATE(5024),
    [sym_subscript_expression] = STATE(4607),
    [sym_call_expression] = STATE(4607),
    [sym_gnu_asm_expression] = STATE(5024),
    [sym_field_expression] = STATE(4607),
    [sym_compound_literal_expression] = STATE(5024),
    [sym_parenthesized_expression] = STATE(4607),
    [sym_char_literal] = STATE(5726),
    [sym_concatenated_string] = STATE(5682),
    [sym_string_literal] = STATE(4827),
    [sym_null] = STATE(5024),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9352),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(5024),
    [sym_raw_string_literal] = STATE(4829),
    [sym_co_await_expression] = STATE(5024),
    [sym_new_expression] = STATE(5024),
    [sym_delete_expression] = STATE(5024),
    [sym_requires_clause] = STATE(5024),
    [sym_requires_expression] = STATE(5024),
    [sym_lambda_expression] = STATE(5024),
    [sym_lambda_capture_specifier] = STATE(7184),
    [sym_fold_expression] = STATE(5024),
    [sym_parameter_pack_expansion] = STATE(5024),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6886),
    [sym_qualified_identifier] = STATE(4607),
    [sym_qualified_type_identifier] = STATE(9352),
    [sym_user_defined_literal] = STATE(4607),
    [sym_identifier] = ACTIONS(4478),
    [anon_sym_LPAREN2] = ACTIONS(5015),
    [anon_sym_BANG] = ACTIONS(4482),
    [anon_sym_TILDE] = ACTIONS(4482),
    [anon_sym_DASH] = ACTIONS(4480),
    [anon_sym_PLUS] = ACTIONS(4480),
    [anon_sym_STAR] = ACTIONS(5017),
    [anon_sym_AMP] = ACTIONS(5017),
    [anon_sym_COLON_COLON] = ACTIONS(4484),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [sym_primitive_type] = ACTIONS(3146),
    [anon_sym_not] = ACTIONS(4480),
    [anon_sym_compl] = ACTIONS(4480),
    [anon_sym_DASH_DASH] = ACTIONS(5021),
    [anon_sym_PLUS_PLUS] = ACTIONS(5021),
    [anon_sym_sizeof] = ACTIONS(4486),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(4488),
    [anon_sym_L_SQUOTE] = ACTIONS(4490),
    [anon_sym_u_SQUOTE] = ACTIONS(4490),
    [anon_sym_U_SQUOTE] = ACTIONS(4490),
    [anon_sym_u8_SQUOTE] = ACTIONS(4490),
    [anon_sym_SQUOTE] = ACTIONS(4490),
    [anon_sym_L_DQUOTE] = ACTIONS(4492),
    [anon_sym_u_DQUOTE] = ACTIONS(4492),
    [anon_sym_U_DQUOTE] = ACTIONS(4492),
    [anon_sym_u8_DQUOTE] = ACTIONS(4492),
    [anon_sym_DQUOTE] = ACTIONS(4492),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(4494),
    [anon_sym_R_DQUOTE] = ACTIONS(4496),
    [anon_sym_LR_DQUOTE] = ACTIONS(4496),
    [anon_sym_uR_DQUOTE] = ACTIONS(4496),
    [anon_sym_UR_DQUOTE] = ACTIONS(4496),
    [anon_sym_u8R_DQUOTE] = ACTIONS(4496),
    [anon_sym_co_await] = ACTIONS(4498),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [2212] = {
    [sym__expression] = STATE(5678),
    [sym__expression_not_binary] = STATE(5024),
    [sym__string] = STATE(5024),
    [sym_conditional_expression] = STATE(5024),
    [sym_assignment_expression] = STATE(5024),
    [sym_pointer_expression] = STATE(4507),
    [sym_unary_expression] = STATE(5024),
    [sym_binary_expression] = STATE(5024),
    [sym_update_expression] = STATE(5024),
    [sym_cast_expression] = STATE(5024),
    [sym_sizeof_expression] = STATE(5024),
    [sym_alignof_expression] = STATE(5024),
    [sym_offsetof_expression] = STATE(5024),
    [sym_generic_expression] = STATE(5024),
    [sym_subscript_expression] = STATE(4507),
    [sym_call_expression] = STATE(4507),
    [sym_gnu_asm_expression] = STATE(5024),
    [sym_field_expression] = STATE(4507),
    [sym_compound_literal_expression] = STATE(5024),
    [sym_parenthesized_expression] = STATE(4507),
    [sym_char_literal] = STATE(5374),
    [sym_concatenated_string] = STATE(5377),
    [sym_string_literal] = STATE(4206),
    [sym_null] = STATE(5024),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9352),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(5024),
    [sym_raw_string_literal] = STATE(4217),
    [sym_co_await_expression] = STATE(5024),
    [sym_new_expression] = STATE(5024),
    [sym_delete_expression] = STATE(5024),
    [sym_requires_clause] = STATE(5024),
    [sym_requires_expression] = STATE(5024),
    [sym_lambda_expression] = STATE(5024),
    [sym_lambda_capture_specifier] = STATE(7184),
    [sym_fold_expression] = STATE(5024),
    [sym_parameter_pack_expansion] = STATE(5024),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6886),
    [sym_qualified_identifier] = STATE(4507),
    [sym_qualified_type_identifier] = STATE(9352),
    [sym_user_defined_literal] = STATE(4507),
    [sym_identifier] = ACTIONS(3140),
    [anon_sym_LPAREN2] = ACTIONS(1472),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1474),
    [anon_sym_AMP] = ACTIONS(1474),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [sym_primitive_type] = ACTIONS(3146),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [2213] = {
    [sym__expression] = STATE(3831),
    [sym__expression_not_binary] = STATE(3672),
    [sym__string] = STATE(3672),
    [sym_conditional_expression] = STATE(3672),
    [sym_assignment_expression] = STATE(3672),
    [sym_pointer_expression] = STATE(3672),
    [sym_unary_expression] = STATE(3672),
    [sym_binary_expression] = STATE(3672),
    [sym_update_expression] = STATE(3672),
    [sym_cast_expression] = STATE(3672),
    [sym_sizeof_expression] = STATE(3672),
    [sym_alignof_expression] = STATE(3672),
    [sym_offsetof_expression] = STATE(3672),
    [sym_generic_expression] = STATE(3672),
    [sym_subscript_expression] = STATE(3672),
    [sym_call_expression] = STATE(3672),
    [sym_gnu_asm_expression] = STATE(3672),
    [sym_field_expression] = STATE(3672),
    [sym_compound_literal_expression] = STATE(3672),
    [sym_parenthesized_expression] = STATE(3672),
    [sym_char_literal] = STATE(3855),
    [sym_concatenated_string] = STATE(3873),
    [sym_string_literal] = STATE(3222),
    [sym_null] = STATE(3672),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9333),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(3672),
    [sym_raw_string_literal] = STATE(3216),
    [sym_co_await_expression] = STATE(3672),
    [sym_new_expression] = STATE(3672),
    [sym_delete_expression] = STATE(3672),
    [sym_requires_clause] = STATE(3672),
    [sym_requires_expression] = STATE(3672),
    [sym_lambda_expression] = STATE(3672),
    [sym_lambda_capture_specifier] = STATE(7134),
    [sym_fold_expression] = STATE(3672),
    [sym_parameter_pack_expansion] = STATE(3672),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6886),
    [sym_qualified_identifier] = STATE(3672),
    [sym_qualified_type_identifier] = STATE(9333),
    [sym_user_defined_literal] = STATE(3672),
    [sym_identifier] = ACTIONS(3968),
    [anon_sym_LPAREN2] = ACTIONS(5184),
    [anon_sym_BANG] = ACTIONS(3922),
    [anon_sym_TILDE] = ACTIONS(3922),
    [anon_sym_DASH] = ACTIONS(3920),
    [anon_sym_PLUS] = ACTIONS(3920),
    [anon_sym_STAR] = ACTIONS(5186),
    [anon_sym_AMP] = ACTIONS(5186),
    [anon_sym_COLON_COLON] = ACTIONS(3924),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [sym_primitive_type] = ACTIONS(3928),
    [anon_sym_not] = ACTIONS(3920),
    [anon_sym_compl] = ACTIONS(3920),
    [anon_sym_DASH_DASH] = ACTIONS(5013),
    [anon_sym_PLUS_PLUS] = ACTIONS(5013),
    [anon_sym_sizeof] = ACTIONS(3930),
    [anon_sym___alignof__] = ACTIONS(3932),
    [anon_sym___alignof] = ACTIONS(3932),
    [anon_sym__alignof] = ACTIONS(3932),
    [anon_sym_alignof] = ACTIONS(3932),
    [anon_sym__Alignof] = ACTIONS(3932),
    [anon_sym_offsetof] = ACTIONS(3934),
    [anon_sym__Generic] = ACTIONS(3936),
    [anon_sym_asm] = ACTIONS(3938),
    [anon_sym___asm__] = ACTIONS(3938),
    [sym_number_literal] = ACTIONS(3940),
    [anon_sym_L_SQUOTE] = ACTIONS(3942),
    [anon_sym_u_SQUOTE] = ACTIONS(3942),
    [anon_sym_U_SQUOTE] = ACTIONS(3942),
    [anon_sym_u8_SQUOTE] = ACTIONS(3942),
    [anon_sym_SQUOTE] = ACTIONS(3942),
    [anon_sym_L_DQUOTE] = ACTIONS(3944),
    [anon_sym_u_DQUOTE] = ACTIONS(3944),
    [anon_sym_U_DQUOTE] = ACTIONS(3944),
    [anon_sym_u8_DQUOTE] = ACTIONS(3944),
    [anon_sym_DQUOTE] = ACTIONS(3944),
    [sym_true] = ACTIONS(3946),
    [sym_false] = ACTIONS(3946),
    [anon_sym_NULL] = ACTIONS(3948),
    [anon_sym_nullptr] = ACTIONS(3948),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(3950),
    [anon_sym_R_DQUOTE] = ACTIONS(3952),
    [anon_sym_LR_DQUOTE] = ACTIONS(3952),
    [anon_sym_uR_DQUOTE] = ACTIONS(3952),
    [anon_sym_UR_DQUOTE] = ACTIONS(3952),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3952),
    [anon_sym_co_await] = ACTIONS(3954),
    [anon_sym_new] = ACTIONS(3956),
    [anon_sym_requires] = ACTIONS(3958),
    [sym_this] = ACTIONS(3946),
  },
  [2214] = {
    [sym__expression] = STATE(5667),
    [sym__expression_not_binary] = STATE(5024),
    [sym__string] = STATE(5024),
    [sym_conditional_expression] = STATE(5024),
    [sym_assignment_expression] = STATE(5024),
    [sym_pointer_expression] = STATE(4713),
    [sym_unary_expression] = STATE(5024),
    [sym_binary_expression] = STATE(5024),
    [sym_update_expression] = STATE(5024),
    [sym_cast_expression] = STATE(5024),
    [sym_sizeof_expression] = STATE(5024),
    [sym_alignof_expression] = STATE(5024),
    [sym_offsetof_expression] = STATE(5024),
    [sym_generic_expression] = STATE(5024),
    [sym_subscript_expression] = STATE(4713),
    [sym_call_expression] = STATE(4713),
    [sym_gnu_asm_expression] = STATE(5024),
    [sym_field_expression] = STATE(4713),
    [sym_compound_literal_expression] = STATE(5024),
    [sym_parenthesized_expression] = STATE(4713),
    [sym_char_literal] = STATE(5374),
    [sym_concatenated_string] = STATE(5377),
    [sym_string_literal] = STATE(4206),
    [sym_null] = STATE(5024),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9352),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(5024),
    [sym_raw_string_literal] = STATE(4217),
    [sym_co_await_expression] = STATE(5024),
    [sym_new_expression] = STATE(5024),
    [sym_delete_expression] = STATE(5024),
    [sym_requires_clause] = STATE(5024),
    [sym_requires_expression] = STATE(5024),
    [sym_lambda_expression] = STATE(5024),
    [sym_lambda_capture_specifier] = STATE(7184),
    [sym_fold_expression] = STATE(5024),
    [sym_parameter_pack_expansion] = STATE(5024),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6886),
    [sym_qualified_identifier] = STATE(4713),
    [sym_qualified_type_identifier] = STATE(9352),
    [sym_user_defined_literal] = STATE(4713),
    [sym_identifier] = ACTIONS(4518),
    [anon_sym_LPAREN2] = ACTIONS(5188),
    [anon_sym_BANG] = ACTIONS(4522),
    [anon_sym_TILDE] = ACTIONS(4522),
    [anon_sym_DASH] = ACTIONS(4520),
    [anon_sym_PLUS] = ACTIONS(4520),
    [anon_sym_STAR] = ACTIONS(5190),
    [anon_sym_AMP] = ACTIONS(5190),
    [anon_sym_COLON_COLON] = ACTIONS(4524),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [sym_primitive_type] = ACTIONS(3146),
    [anon_sym_not] = ACTIONS(4520),
    [anon_sym_compl] = ACTIONS(4520),
    [anon_sym_DASH_DASH] = ACTIONS(5071),
    [anon_sym_PLUS_PLUS] = ACTIONS(5071),
    [anon_sym_sizeof] = ACTIONS(4526),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(4528),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(4530),
    [anon_sym_new] = ACTIONS(4516),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [2215] = {
    [sym__expression] = STATE(5475),
    [sym__expression_not_binary] = STATE(5024),
    [sym__string] = STATE(5024),
    [sym_conditional_expression] = STATE(5024),
    [sym_assignment_expression] = STATE(5024),
    [sym_pointer_expression] = STATE(4607),
    [sym_unary_expression] = STATE(5024),
    [sym_binary_expression] = STATE(5024),
    [sym_update_expression] = STATE(5024),
    [sym_cast_expression] = STATE(5024),
    [sym_sizeof_expression] = STATE(5024),
    [sym_alignof_expression] = STATE(5024),
    [sym_offsetof_expression] = STATE(5024),
    [sym_generic_expression] = STATE(5024),
    [sym_subscript_expression] = STATE(4607),
    [sym_call_expression] = STATE(4607),
    [sym_gnu_asm_expression] = STATE(5024),
    [sym_field_expression] = STATE(4607),
    [sym_compound_literal_expression] = STATE(5024),
    [sym_parenthesized_expression] = STATE(4607),
    [sym_char_literal] = STATE(5726),
    [sym_concatenated_string] = STATE(5682),
    [sym_string_literal] = STATE(4827),
    [sym_null] = STATE(5024),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9352),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(5024),
    [sym_raw_string_literal] = STATE(4829),
    [sym_co_await_expression] = STATE(5024),
    [sym_new_expression] = STATE(5024),
    [sym_delete_expression] = STATE(5024),
    [sym_requires_clause] = STATE(5024),
    [sym_requires_expression] = STATE(5024),
    [sym_lambda_expression] = STATE(5024),
    [sym_lambda_capture_specifier] = STATE(7184),
    [sym_fold_expression] = STATE(5024),
    [sym_parameter_pack_expansion] = STATE(5024),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6886),
    [sym_qualified_identifier] = STATE(4607),
    [sym_qualified_type_identifier] = STATE(9352),
    [sym_user_defined_literal] = STATE(4607),
    [sym_identifier] = ACTIONS(4478),
    [anon_sym_LPAREN2] = ACTIONS(5015),
    [anon_sym_BANG] = ACTIONS(4482),
    [anon_sym_TILDE] = ACTIONS(4482),
    [anon_sym_DASH] = ACTIONS(4480),
    [anon_sym_PLUS] = ACTIONS(4480),
    [anon_sym_STAR] = ACTIONS(5017),
    [anon_sym_AMP] = ACTIONS(5017),
    [anon_sym_COLON_COLON] = ACTIONS(4484),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [sym_primitive_type] = ACTIONS(3146),
    [anon_sym_not] = ACTIONS(4480),
    [anon_sym_compl] = ACTIONS(4480),
    [anon_sym_DASH_DASH] = ACTIONS(5021),
    [anon_sym_PLUS_PLUS] = ACTIONS(5021),
    [anon_sym_sizeof] = ACTIONS(4486),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(4488),
    [anon_sym_L_SQUOTE] = ACTIONS(4490),
    [anon_sym_u_SQUOTE] = ACTIONS(4490),
    [anon_sym_U_SQUOTE] = ACTIONS(4490),
    [anon_sym_u8_SQUOTE] = ACTIONS(4490),
    [anon_sym_SQUOTE] = ACTIONS(4490),
    [anon_sym_L_DQUOTE] = ACTIONS(4492),
    [anon_sym_u_DQUOTE] = ACTIONS(4492),
    [anon_sym_U_DQUOTE] = ACTIONS(4492),
    [anon_sym_u8_DQUOTE] = ACTIONS(4492),
    [anon_sym_DQUOTE] = ACTIONS(4492),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(4494),
    [anon_sym_R_DQUOTE] = ACTIONS(4496),
    [anon_sym_LR_DQUOTE] = ACTIONS(4496),
    [anon_sym_uR_DQUOTE] = ACTIONS(4496),
    [anon_sym_UR_DQUOTE] = ACTIONS(4496),
    [anon_sym_u8R_DQUOTE] = ACTIONS(4496),
    [anon_sym_co_await] = ACTIONS(4498),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [2216] = {
    [sym__expression] = STATE(3520),
    [sym__expression_not_binary] = STATE(3672),
    [sym__string] = STATE(3672),
    [sym_conditional_expression] = STATE(3672),
    [sym_assignment_expression] = STATE(3672),
    [sym_pointer_expression] = STATE(3672),
    [sym_unary_expression] = STATE(3672),
    [sym_binary_expression] = STATE(3672),
    [sym_update_expression] = STATE(3672),
    [sym_cast_expression] = STATE(3672),
    [sym_sizeof_expression] = STATE(3672),
    [sym_alignof_expression] = STATE(3672),
    [sym_offsetof_expression] = STATE(3672),
    [sym_generic_expression] = STATE(3672),
    [sym_subscript_expression] = STATE(3672),
    [sym_call_expression] = STATE(3672),
    [sym_gnu_asm_expression] = STATE(3672),
    [sym_field_expression] = STATE(3672),
    [sym_compound_literal_expression] = STATE(3672),
    [sym_parenthesized_expression] = STATE(3672),
    [sym_char_literal] = STATE(3991),
    [sym_concatenated_string] = STATE(3973),
    [sym_string_literal] = STATE(3242),
    [sym_null] = STATE(3672),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9333),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(3672),
    [sym_raw_string_literal] = STATE(3241),
    [sym_co_await_expression] = STATE(3672),
    [sym_new_expression] = STATE(3672),
    [sym_delete_expression] = STATE(3672),
    [sym_requires_clause] = STATE(3672),
    [sym_requires_expression] = STATE(3672),
    [sym_lambda_expression] = STATE(3672),
    [sym_lambda_capture_specifier] = STATE(7134),
    [sym_fold_expression] = STATE(3672),
    [sym_parameter_pack_expansion] = STATE(3672),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6886),
    [sym_qualified_identifier] = STATE(3672),
    [sym_qualified_type_identifier] = STATE(9333),
    [sym_user_defined_literal] = STATE(3672),
    [sym_identifier] = ACTIONS(3968),
    [anon_sym_LPAREN2] = ACTIONS(5219),
    [anon_sym_BANG] = ACTIONS(3972),
    [anon_sym_TILDE] = ACTIONS(3972),
    [anon_sym_DASH] = ACTIONS(3970),
    [anon_sym_PLUS] = ACTIONS(3970),
    [anon_sym_STAR] = ACTIONS(1474),
    [anon_sym_AMP] = ACTIONS(1474),
    [anon_sym_COLON_COLON] = ACTIONS(3974),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [sym_primitive_type] = ACTIONS(3928),
    [anon_sym_not] = ACTIONS(3970),
    [anon_sym_compl] = ACTIONS(3970),
    [anon_sym_DASH_DASH] = ACTIONS(4385),
    [anon_sym_PLUS_PLUS] = ACTIONS(4385),
    [anon_sym_sizeof] = ACTIONS(3976),
    [anon_sym___alignof__] = ACTIONS(3932),
    [anon_sym___alignof] = ACTIONS(3932),
    [anon_sym__alignof] = ACTIONS(3932),
    [anon_sym_alignof] = ACTIONS(3932),
    [anon_sym__Alignof] = ACTIONS(3932),
    [anon_sym_offsetof] = ACTIONS(3934),
    [anon_sym__Generic] = ACTIONS(3936),
    [anon_sym_asm] = ACTIONS(3938),
    [anon_sym___asm__] = ACTIONS(3938),
    [sym_number_literal] = ACTIONS(3978),
    [anon_sym_L_SQUOTE] = ACTIONS(3980),
    [anon_sym_u_SQUOTE] = ACTIONS(3980),
    [anon_sym_U_SQUOTE] = ACTIONS(3980),
    [anon_sym_u8_SQUOTE] = ACTIONS(3980),
    [anon_sym_SQUOTE] = ACTIONS(3980),
    [anon_sym_L_DQUOTE] = ACTIONS(3982),
    [anon_sym_u_DQUOTE] = ACTIONS(3982),
    [anon_sym_U_DQUOTE] = ACTIONS(3982),
    [anon_sym_u8_DQUOTE] = ACTIONS(3982),
    [anon_sym_DQUOTE] = ACTIONS(3982),
    [sym_true] = ACTIONS(3946),
    [sym_false] = ACTIONS(3946),
    [anon_sym_NULL] = ACTIONS(3948),
    [anon_sym_nullptr] = ACTIONS(3948),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(3984),
    [anon_sym_R_DQUOTE] = ACTIONS(3986),
    [anon_sym_LR_DQUOTE] = ACTIONS(3986),
    [anon_sym_uR_DQUOTE] = ACTIONS(3986),
    [anon_sym_UR_DQUOTE] = ACTIONS(3986),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3986),
    [anon_sym_co_await] = ACTIONS(3988),
    [anon_sym_new] = ACTIONS(3990),
    [anon_sym_requires] = ACTIONS(3958),
    [sym_this] = ACTIONS(3946),
  },
  [2217] = {
    [sym__expression] = STATE(5790),
    [sym__expression_not_binary] = STATE(5024),
    [sym__string] = STATE(5024),
    [sym_conditional_expression] = STATE(5024),
    [sym_assignment_expression] = STATE(5024),
    [sym_pointer_expression] = STATE(4713),
    [sym_unary_expression] = STATE(5024),
    [sym_binary_expression] = STATE(5024),
    [sym_update_expression] = STATE(5024),
    [sym_cast_expression] = STATE(5024),
    [sym_sizeof_expression] = STATE(5024),
    [sym_alignof_expression] = STATE(5024),
    [sym_offsetof_expression] = STATE(5024),
    [sym_generic_expression] = STATE(5024),
    [sym_subscript_expression] = STATE(4713),
    [sym_call_expression] = STATE(4713),
    [sym_gnu_asm_expression] = STATE(5024),
    [sym_field_expression] = STATE(4713),
    [sym_compound_literal_expression] = STATE(5024),
    [sym_parenthesized_expression] = STATE(4713),
    [sym_char_literal] = STATE(5374),
    [sym_concatenated_string] = STATE(5377),
    [sym_string_literal] = STATE(4206),
    [sym_null] = STATE(5024),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9352),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(5024),
    [sym_raw_string_literal] = STATE(4217),
    [sym_co_await_expression] = STATE(5024),
    [sym_new_expression] = STATE(5024),
    [sym_delete_expression] = STATE(5024),
    [sym_requires_clause] = STATE(5024),
    [sym_requires_expression] = STATE(5024),
    [sym_lambda_expression] = STATE(5024),
    [sym_lambda_capture_specifier] = STATE(7184),
    [sym_fold_expression] = STATE(5024),
    [sym_parameter_pack_expansion] = STATE(5024),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6886),
    [sym_qualified_identifier] = STATE(4713),
    [sym_qualified_type_identifier] = STATE(9352),
    [sym_user_defined_literal] = STATE(4713),
    [sym_identifier] = ACTIONS(4518),
    [anon_sym_LPAREN2] = ACTIONS(5188),
    [anon_sym_BANG] = ACTIONS(4522),
    [anon_sym_TILDE] = ACTIONS(4522),
    [anon_sym_DASH] = ACTIONS(4520),
    [anon_sym_PLUS] = ACTIONS(4520),
    [anon_sym_STAR] = ACTIONS(5190),
    [anon_sym_AMP] = ACTIONS(5190),
    [anon_sym_COLON_COLON] = ACTIONS(4524),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [sym_primitive_type] = ACTIONS(3146),
    [anon_sym_not] = ACTIONS(4520),
    [anon_sym_compl] = ACTIONS(4520),
    [anon_sym_DASH_DASH] = ACTIONS(5071),
    [anon_sym_PLUS_PLUS] = ACTIONS(5071),
    [anon_sym_sizeof] = ACTIONS(4526),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(4528),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(4530),
    [anon_sym_new] = ACTIONS(4516),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [2218] = {
    [sym__expression] = STATE(5591),
    [sym__expression_not_binary] = STATE(5024),
    [sym__string] = STATE(5024),
    [sym_conditional_expression] = STATE(5024),
    [sym_assignment_expression] = STATE(5024),
    [sym_pointer_expression] = STATE(4607),
    [sym_unary_expression] = STATE(5024),
    [sym_binary_expression] = STATE(5024),
    [sym_update_expression] = STATE(5024),
    [sym_cast_expression] = STATE(5024),
    [sym_sizeof_expression] = STATE(5024),
    [sym_alignof_expression] = STATE(5024),
    [sym_offsetof_expression] = STATE(5024),
    [sym_generic_expression] = STATE(5024),
    [sym_subscript_expression] = STATE(4607),
    [sym_call_expression] = STATE(4607),
    [sym_gnu_asm_expression] = STATE(5024),
    [sym_field_expression] = STATE(4607),
    [sym_compound_literal_expression] = STATE(5024),
    [sym_parenthesized_expression] = STATE(4607),
    [sym_char_literal] = STATE(5726),
    [sym_concatenated_string] = STATE(5682),
    [sym_string_literal] = STATE(4827),
    [sym_null] = STATE(5024),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9352),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(5024),
    [sym_raw_string_literal] = STATE(4829),
    [sym_co_await_expression] = STATE(5024),
    [sym_new_expression] = STATE(5024),
    [sym_delete_expression] = STATE(5024),
    [sym_requires_clause] = STATE(5024),
    [sym_requires_expression] = STATE(5024),
    [sym_lambda_expression] = STATE(5024),
    [sym_lambda_capture_specifier] = STATE(7184),
    [sym_fold_expression] = STATE(5024),
    [sym_parameter_pack_expansion] = STATE(5024),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6886),
    [sym_qualified_identifier] = STATE(4607),
    [sym_qualified_type_identifier] = STATE(9352),
    [sym_user_defined_literal] = STATE(4607),
    [sym_identifier] = ACTIONS(4478),
    [anon_sym_LPAREN2] = ACTIONS(5015),
    [anon_sym_BANG] = ACTIONS(4482),
    [anon_sym_TILDE] = ACTIONS(4482),
    [anon_sym_DASH] = ACTIONS(4480),
    [anon_sym_PLUS] = ACTIONS(4480),
    [anon_sym_STAR] = ACTIONS(5017),
    [anon_sym_AMP] = ACTIONS(5017),
    [anon_sym_COLON_COLON] = ACTIONS(4484),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [sym_primitive_type] = ACTIONS(3146),
    [anon_sym_not] = ACTIONS(4480),
    [anon_sym_compl] = ACTIONS(4480),
    [anon_sym_DASH_DASH] = ACTIONS(5021),
    [anon_sym_PLUS_PLUS] = ACTIONS(5021),
    [anon_sym_sizeof] = ACTIONS(4486),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(4488),
    [anon_sym_L_SQUOTE] = ACTIONS(4490),
    [anon_sym_u_SQUOTE] = ACTIONS(4490),
    [anon_sym_U_SQUOTE] = ACTIONS(4490),
    [anon_sym_u8_SQUOTE] = ACTIONS(4490),
    [anon_sym_SQUOTE] = ACTIONS(4490),
    [anon_sym_L_DQUOTE] = ACTIONS(4492),
    [anon_sym_u_DQUOTE] = ACTIONS(4492),
    [anon_sym_U_DQUOTE] = ACTIONS(4492),
    [anon_sym_u8_DQUOTE] = ACTIONS(4492),
    [anon_sym_DQUOTE] = ACTIONS(4492),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(4494),
    [anon_sym_R_DQUOTE] = ACTIONS(4496),
    [anon_sym_LR_DQUOTE] = ACTIONS(4496),
    [anon_sym_uR_DQUOTE] = ACTIONS(4496),
    [anon_sym_UR_DQUOTE] = ACTIONS(4496),
    [anon_sym_u8R_DQUOTE] = ACTIONS(4496),
    [anon_sym_co_await] = ACTIONS(4498),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [2219] = {
    [sym__expression] = STATE(4381),
    [sym__expression_not_binary] = STATE(3672),
    [sym__string] = STATE(3672),
    [sym_conditional_expression] = STATE(3672),
    [sym_assignment_expression] = STATE(3672),
    [sym_pointer_expression] = STATE(3672),
    [sym_unary_expression] = STATE(3672),
    [sym_binary_expression] = STATE(3672),
    [sym_update_expression] = STATE(3672),
    [sym_cast_expression] = STATE(3672),
    [sym_sizeof_expression] = STATE(3672),
    [sym_alignof_expression] = STATE(3672),
    [sym_offsetof_expression] = STATE(3672),
    [sym_generic_expression] = STATE(3672),
    [sym_subscript_expression] = STATE(3672),
    [sym_call_expression] = STATE(3672),
    [sym_gnu_asm_expression] = STATE(3672),
    [sym_field_expression] = STATE(3672),
    [sym_compound_literal_expression] = STATE(3672),
    [sym_parenthesized_expression] = STATE(3672),
    [sym_char_literal] = STATE(4466),
    [sym_concatenated_string] = STATE(4465),
    [sym_string_literal] = STATE(3395),
    [sym_null] = STATE(3672),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9333),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(3672),
    [sym_raw_string_literal] = STATE(3400),
    [sym_co_await_expression] = STATE(3672),
    [sym_new_expression] = STATE(3672),
    [sym_delete_expression] = STATE(3672),
    [sym_requires_clause] = STATE(3672),
    [sym_requires_expression] = STATE(3672),
    [sym_lambda_expression] = STATE(3672),
    [sym_lambda_capture_specifier] = STATE(7134),
    [sym_fold_expression] = STATE(3672),
    [sym_parameter_pack_expansion] = STATE(3672),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6886),
    [sym_qualified_identifier] = STATE(3672),
    [sym_qualified_type_identifier] = STATE(9333),
    [sym_user_defined_literal] = STATE(3672),
    [sym_identifier] = ACTIONS(4070),
    [anon_sym_LPAREN2] = ACTIONS(5257),
    [anon_sym_BANG] = ACTIONS(4074),
    [anon_sym_TILDE] = ACTIONS(4074),
    [anon_sym_DASH] = ACTIONS(4072),
    [anon_sym_PLUS] = ACTIONS(4072),
    [anon_sym_STAR] = ACTIONS(5017),
    [anon_sym_AMP] = ACTIONS(5017),
    [anon_sym_COLON_COLON] = ACTIONS(4076),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [sym_primitive_type] = ACTIONS(3928),
    [anon_sym_not] = ACTIONS(4072),
    [anon_sym_compl] = ACTIONS(4072),
    [anon_sym_DASH_DASH] = ACTIONS(5043),
    [anon_sym_PLUS_PLUS] = ACTIONS(5043),
    [anon_sym_sizeof] = ACTIONS(4078),
    [anon_sym___alignof__] = ACTIONS(3932),
    [anon_sym___alignof] = ACTIONS(3932),
    [anon_sym__alignof] = ACTIONS(3932),
    [anon_sym_alignof] = ACTIONS(3932),
    [anon_sym__Alignof] = ACTIONS(3932),
    [anon_sym_offsetof] = ACTIONS(3934),
    [anon_sym__Generic] = ACTIONS(3936),
    [anon_sym_asm] = ACTIONS(3938),
    [anon_sym___asm__] = ACTIONS(3938),
    [sym_number_literal] = ACTIONS(4080),
    [anon_sym_L_SQUOTE] = ACTIONS(4082),
    [anon_sym_u_SQUOTE] = ACTIONS(4082),
    [anon_sym_U_SQUOTE] = ACTIONS(4082),
    [anon_sym_u8_SQUOTE] = ACTIONS(4082),
    [anon_sym_SQUOTE] = ACTIONS(4082),
    [anon_sym_L_DQUOTE] = ACTIONS(4084),
    [anon_sym_u_DQUOTE] = ACTIONS(4084),
    [anon_sym_U_DQUOTE] = ACTIONS(4084),
    [anon_sym_u8_DQUOTE] = ACTIONS(4084),
    [anon_sym_DQUOTE] = ACTIONS(4084),
    [sym_true] = ACTIONS(3946),
    [sym_false] = ACTIONS(3946),
    [anon_sym_NULL] = ACTIONS(3948),
    [anon_sym_nullptr] = ACTIONS(3948),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(4086),
    [anon_sym_R_DQUOTE] = ACTIONS(4088),
    [anon_sym_LR_DQUOTE] = ACTIONS(4088),
    [anon_sym_uR_DQUOTE] = ACTIONS(4088),
    [anon_sym_UR_DQUOTE] = ACTIONS(4088),
    [anon_sym_u8R_DQUOTE] = ACTIONS(4088),
    [anon_sym_co_await] = ACTIONS(4090),
    [anon_sym_new] = ACTIONS(3990),
    [anon_sym_requires] = ACTIONS(3958),
    [sym_this] = ACTIONS(3946),
  },
  [2220] = {
    [sym__expression] = STATE(5590),
    [sym__expression_not_binary] = STATE(5024),
    [sym__string] = STATE(5024),
    [sym_conditional_expression] = STATE(5024),
    [sym_assignment_expression] = STATE(5024),
    [sym_pointer_expression] = STATE(4607),
    [sym_unary_expression] = STATE(5024),
    [sym_binary_expression] = STATE(5024),
    [sym_update_expression] = STATE(5024),
    [sym_cast_expression] = STATE(5024),
    [sym_sizeof_expression] = STATE(5024),
    [sym_alignof_expression] = STATE(5024),
    [sym_offsetof_expression] = STATE(5024),
    [sym_generic_expression] = STATE(5024),
    [sym_subscript_expression] = STATE(4607),
    [sym_call_expression] = STATE(4607),
    [sym_gnu_asm_expression] = STATE(5024),
    [sym_field_expression] = STATE(4607),
    [sym_compound_literal_expression] = STATE(5024),
    [sym_parenthesized_expression] = STATE(4607),
    [sym_char_literal] = STATE(5726),
    [sym_concatenated_string] = STATE(5682),
    [sym_string_literal] = STATE(4827),
    [sym_null] = STATE(5024),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9352),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(5024),
    [sym_raw_string_literal] = STATE(4829),
    [sym_co_await_expression] = STATE(5024),
    [sym_new_expression] = STATE(5024),
    [sym_delete_expression] = STATE(5024),
    [sym_requires_clause] = STATE(5024),
    [sym_requires_expression] = STATE(5024),
    [sym_lambda_expression] = STATE(5024),
    [sym_lambda_capture_specifier] = STATE(7184),
    [sym_fold_expression] = STATE(5024),
    [sym_parameter_pack_expansion] = STATE(5024),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6886),
    [sym_qualified_identifier] = STATE(4607),
    [sym_qualified_type_identifier] = STATE(9352),
    [sym_user_defined_literal] = STATE(4607),
    [sym_identifier] = ACTIONS(4478),
    [anon_sym_LPAREN2] = ACTIONS(5015),
    [anon_sym_BANG] = ACTIONS(4482),
    [anon_sym_TILDE] = ACTIONS(4482),
    [anon_sym_DASH] = ACTIONS(4480),
    [anon_sym_PLUS] = ACTIONS(4480),
    [anon_sym_STAR] = ACTIONS(5017),
    [anon_sym_AMP] = ACTIONS(5017),
    [anon_sym_COLON_COLON] = ACTIONS(4484),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [sym_primitive_type] = ACTIONS(3146),
    [anon_sym_not] = ACTIONS(4480),
    [anon_sym_compl] = ACTIONS(4480),
    [anon_sym_DASH_DASH] = ACTIONS(5021),
    [anon_sym_PLUS_PLUS] = ACTIONS(5021),
    [anon_sym_sizeof] = ACTIONS(4486),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(4488),
    [anon_sym_L_SQUOTE] = ACTIONS(4490),
    [anon_sym_u_SQUOTE] = ACTIONS(4490),
    [anon_sym_U_SQUOTE] = ACTIONS(4490),
    [anon_sym_u8_SQUOTE] = ACTIONS(4490),
    [anon_sym_SQUOTE] = ACTIONS(4490),
    [anon_sym_L_DQUOTE] = ACTIONS(4492),
    [anon_sym_u_DQUOTE] = ACTIONS(4492),
    [anon_sym_U_DQUOTE] = ACTIONS(4492),
    [anon_sym_u8_DQUOTE] = ACTIONS(4492),
    [anon_sym_DQUOTE] = ACTIONS(4492),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(4494),
    [anon_sym_R_DQUOTE] = ACTIONS(4496),
    [anon_sym_LR_DQUOTE] = ACTIONS(4496),
    [anon_sym_uR_DQUOTE] = ACTIONS(4496),
    [anon_sym_UR_DQUOTE] = ACTIONS(4496),
    [anon_sym_u8R_DQUOTE] = ACTIONS(4496),
    [anon_sym_co_await] = ACTIONS(4498),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [2221] = {
    [sym__expression] = STATE(5791),
    [sym__expression_not_binary] = STATE(5024),
    [sym__string] = STATE(5024),
    [sym_conditional_expression] = STATE(5024),
    [sym_assignment_expression] = STATE(5024),
    [sym_pointer_expression] = STATE(4713),
    [sym_unary_expression] = STATE(5024),
    [sym_binary_expression] = STATE(5024),
    [sym_update_expression] = STATE(5024),
    [sym_cast_expression] = STATE(5024),
    [sym_sizeof_expression] = STATE(5024),
    [sym_alignof_expression] = STATE(5024),
    [sym_offsetof_expression] = STATE(5024),
    [sym_generic_expression] = STATE(5024),
    [sym_subscript_expression] = STATE(4713),
    [sym_call_expression] = STATE(4713),
    [sym_gnu_asm_expression] = STATE(5024),
    [sym_field_expression] = STATE(4713),
    [sym_compound_literal_expression] = STATE(5024),
    [sym_parenthesized_expression] = STATE(4713),
    [sym_char_literal] = STATE(5374),
    [sym_concatenated_string] = STATE(5377),
    [sym_string_literal] = STATE(4206),
    [sym_null] = STATE(5024),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9352),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(5024),
    [sym_raw_string_literal] = STATE(4217),
    [sym_co_await_expression] = STATE(5024),
    [sym_new_expression] = STATE(5024),
    [sym_delete_expression] = STATE(5024),
    [sym_requires_clause] = STATE(5024),
    [sym_requires_expression] = STATE(5024),
    [sym_lambda_expression] = STATE(5024),
    [sym_lambda_capture_specifier] = STATE(7184),
    [sym_fold_expression] = STATE(5024),
    [sym_parameter_pack_expansion] = STATE(5024),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6886),
    [sym_qualified_identifier] = STATE(4713),
    [sym_qualified_type_identifier] = STATE(9352),
    [sym_user_defined_literal] = STATE(4713),
    [sym_identifier] = ACTIONS(4518),
    [anon_sym_LPAREN2] = ACTIONS(5188),
    [anon_sym_BANG] = ACTIONS(4522),
    [anon_sym_TILDE] = ACTIONS(4522),
    [anon_sym_DASH] = ACTIONS(4520),
    [anon_sym_PLUS] = ACTIONS(4520),
    [anon_sym_STAR] = ACTIONS(5190),
    [anon_sym_AMP] = ACTIONS(5190),
    [anon_sym_COLON_COLON] = ACTIONS(4524),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [sym_primitive_type] = ACTIONS(3146),
    [anon_sym_not] = ACTIONS(4520),
    [anon_sym_compl] = ACTIONS(4520),
    [anon_sym_DASH_DASH] = ACTIONS(5071),
    [anon_sym_PLUS_PLUS] = ACTIONS(5071),
    [anon_sym_sizeof] = ACTIONS(4526),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(4528),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(4530),
    [anon_sym_new] = ACTIONS(4516),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [2222] = {
    [sym__expression] = STATE(5586),
    [sym__expression_not_binary] = STATE(5024),
    [sym__string] = STATE(5024),
    [sym_conditional_expression] = STATE(5024),
    [sym_assignment_expression] = STATE(5024),
    [sym_pointer_expression] = STATE(4607),
    [sym_unary_expression] = STATE(5024),
    [sym_binary_expression] = STATE(5024),
    [sym_update_expression] = STATE(5024),
    [sym_cast_expression] = STATE(5024),
    [sym_sizeof_expression] = STATE(5024),
    [sym_alignof_expression] = STATE(5024),
    [sym_offsetof_expression] = STATE(5024),
    [sym_generic_expression] = STATE(5024),
    [sym_subscript_expression] = STATE(4607),
    [sym_call_expression] = STATE(4607),
    [sym_gnu_asm_expression] = STATE(5024),
    [sym_field_expression] = STATE(4607),
    [sym_compound_literal_expression] = STATE(5024),
    [sym_parenthesized_expression] = STATE(4607),
    [sym_char_literal] = STATE(5726),
    [sym_concatenated_string] = STATE(5682),
    [sym_string_literal] = STATE(4827),
    [sym_null] = STATE(5024),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9352),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(5024),
    [sym_raw_string_literal] = STATE(4829),
    [sym_co_await_expression] = STATE(5024),
    [sym_new_expression] = STATE(5024),
    [sym_delete_expression] = STATE(5024),
    [sym_requires_clause] = STATE(5024),
    [sym_requires_expression] = STATE(5024),
    [sym_lambda_expression] = STATE(5024),
    [sym_lambda_capture_specifier] = STATE(7184),
    [sym_fold_expression] = STATE(5024),
    [sym_parameter_pack_expansion] = STATE(5024),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6886),
    [sym_qualified_identifier] = STATE(4607),
    [sym_qualified_type_identifier] = STATE(9352),
    [sym_user_defined_literal] = STATE(4607),
    [sym_identifier] = ACTIONS(4478),
    [anon_sym_LPAREN2] = ACTIONS(5015),
    [anon_sym_BANG] = ACTIONS(4482),
    [anon_sym_TILDE] = ACTIONS(4482),
    [anon_sym_DASH] = ACTIONS(4480),
    [anon_sym_PLUS] = ACTIONS(4480),
    [anon_sym_STAR] = ACTIONS(5017),
    [anon_sym_AMP] = ACTIONS(5017),
    [anon_sym_COLON_COLON] = ACTIONS(4484),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [sym_primitive_type] = ACTIONS(3146),
    [anon_sym_not] = ACTIONS(4480),
    [anon_sym_compl] = ACTIONS(4480),
    [anon_sym_DASH_DASH] = ACTIONS(5021),
    [anon_sym_PLUS_PLUS] = ACTIONS(5021),
    [anon_sym_sizeof] = ACTIONS(4486),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(4488),
    [anon_sym_L_SQUOTE] = ACTIONS(4490),
    [anon_sym_u_SQUOTE] = ACTIONS(4490),
    [anon_sym_U_SQUOTE] = ACTIONS(4490),
    [anon_sym_u8_SQUOTE] = ACTIONS(4490),
    [anon_sym_SQUOTE] = ACTIONS(4490),
    [anon_sym_L_DQUOTE] = ACTIONS(4492),
    [anon_sym_u_DQUOTE] = ACTIONS(4492),
    [anon_sym_U_DQUOTE] = ACTIONS(4492),
    [anon_sym_u8_DQUOTE] = ACTIONS(4492),
    [anon_sym_DQUOTE] = ACTIONS(4492),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(4494),
    [anon_sym_R_DQUOTE] = ACTIONS(4496),
    [anon_sym_LR_DQUOTE] = ACTIONS(4496),
    [anon_sym_uR_DQUOTE] = ACTIONS(4496),
    [anon_sym_UR_DQUOTE] = ACTIONS(4496),
    [anon_sym_u8R_DQUOTE] = ACTIONS(4496),
    [anon_sym_co_await] = ACTIONS(4498),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [2223] = {
    [sym__expression] = STATE(5795),
    [sym__expression_not_binary] = STATE(5024),
    [sym__string] = STATE(5024),
    [sym_conditional_expression] = STATE(5024),
    [sym_assignment_expression] = STATE(5024),
    [sym_pointer_expression] = STATE(4713),
    [sym_unary_expression] = STATE(5024),
    [sym_binary_expression] = STATE(5024),
    [sym_update_expression] = STATE(5024),
    [sym_cast_expression] = STATE(5024),
    [sym_sizeof_expression] = STATE(5024),
    [sym_alignof_expression] = STATE(5024),
    [sym_offsetof_expression] = STATE(5024),
    [sym_generic_expression] = STATE(5024),
    [sym_subscript_expression] = STATE(4713),
    [sym_call_expression] = STATE(4713),
    [sym_gnu_asm_expression] = STATE(5024),
    [sym_field_expression] = STATE(4713),
    [sym_compound_literal_expression] = STATE(5024),
    [sym_parenthesized_expression] = STATE(4713),
    [sym_char_literal] = STATE(5374),
    [sym_concatenated_string] = STATE(5377),
    [sym_string_literal] = STATE(4206),
    [sym_null] = STATE(5024),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9352),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(5024),
    [sym_raw_string_literal] = STATE(4217),
    [sym_co_await_expression] = STATE(5024),
    [sym_new_expression] = STATE(5024),
    [sym_delete_expression] = STATE(5024),
    [sym_requires_clause] = STATE(5024),
    [sym_requires_expression] = STATE(5024),
    [sym_lambda_expression] = STATE(5024),
    [sym_lambda_capture_specifier] = STATE(7184),
    [sym_fold_expression] = STATE(5024),
    [sym_parameter_pack_expansion] = STATE(5024),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6886),
    [sym_qualified_identifier] = STATE(4713),
    [sym_qualified_type_identifier] = STATE(9352),
    [sym_user_defined_literal] = STATE(4713),
    [sym_identifier] = ACTIONS(4518),
    [anon_sym_LPAREN2] = ACTIONS(5188),
    [anon_sym_BANG] = ACTIONS(4522),
    [anon_sym_TILDE] = ACTIONS(4522),
    [anon_sym_DASH] = ACTIONS(4520),
    [anon_sym_PLUS] = ACTIONS(4520),
    [anon_sym_STAR] = ACTIONS(5190),
    [anon_sym_AMP] = ACTIONS(5190),
    [anon_sym_COLON_COLON] = ACTIONS(4524),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [sym_primitive_type] = ACTIONS(3146),
    [anon_sym_not] = ACTIONS(4520),
    [anon_sym_compl] = ACTIONS(4520),
    [anon_sym_DASH_DASH] = ACTIONS(5071),
    [anon_sym_PLUS_PLUS] = ACTIONS(5071),
    [anon_sym_sizeof] = ACTIONS(4526),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(4528),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(4530),
    [anon_sym_new] = ACTIONS(4516),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [2224] = {
    [sym__expression] = STATE(5583),
    [sym__expression_not_binary] = STATE(5024),
    [sym__string] = STATE(5024),
    [sym_conditional_expression] = STATE(5024),
    [sym_assignment_expression] = STATE(5024),
    [sym_pointer_expression] = STATE(4607),
    [sym_unary_expression] = STATE(5024),
    [sym_binary_expression] = STATE(5024),
    [sym_update_expression] = STATE(5024),
    [sym_cast_expression] = STATE(5024),
    [sym_sizeof_expression] = STATE(5024),
    [sym_alignof_expression] = STATE(5024),
    [sym_offsetof_expression] = STATE(5024),
    [sym_generic_expression] = STATE(5024),
    [sym_subscript_expression] = STATE(4607),
    [sym_call_expression] = STATE(4607),
    [sym_gnu_asm_expression] = STATE(5024),
    [sym_field_expression] = STATE(4607),
    [sym_compound_literal_expression] = STATE(5024),
    [sym_parenthesized_expression] = STATE(4607),
    [sym_char_literal] = STATE(5726),
    [sym_concatenated_string] = STATE(5682),
    [sym_string_literal] = STATE(4827),
    [sym_null] = STATE(5024),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9352),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(5024),
    [sym_raw_string_literal] = STATE(4829),
    [sym_co_await_expression] = STATE(5024),
    [sym_new_expression] = STATE(5024),
    [sym_delete_expression] = STATE(5024),
    [sym_requires_clause] = STATE(5024),
    [sym_requires_expression] = STATE(5024),
    [sym_lambda_expression] = STATE(5024),
    [sym_lambda_capture_specifier] = STATE(7184),
    [sym_fold_expression] = STATE(5024),
    [sym_parameter_pack_expansion] = STATE(5024),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6886),
    [sym_qualified_identifier] = STATE(4607),
    [sym_qualified_type_identifier] = STATE(9352),
    [sym_user_defined_literal] = STATE(4607),
    [sym_identifier] = ACTIONS(4478),
    [anon_sym_LPAREN2] = ACTIONS(5015),
    [anon_sym_BANG] = ACTIONS(4482),
    [anon_sym_TILDE] = ACTIONS(4482),
    [anon_sym_DASH] = ACTIONS(4480),
    [anon_sym_PLUS] = ACTIONS(4480),
    [anon_sym_STAR] = ACTIONS(5017),
    [anon_sym_AMP] = ACTIONS(5017),
    [anon_sym_COLON_COLON] = ACTIONS(4484),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [sym_primitive_type] = ACTIONS(3146),
    [anon_sym_not] = ACTIONS(4480),
    [anon_sym_compl] = ACTIONS(4480),
    [anon_sym_DASH_DASH] = ACTIONS(5021),
    [anon_sym_PLUS_PLUS] = ACTIONS(5021),
    [anon_sym_sizeof] = ACTIONS(4486),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(4488),
    [anon_sym_L_SQUOTE] = ACTIONS(4490),
    [anon_sym_u_SQUOTE] = ACTIONS(4490),
    [anon_sym_U_SQUOTE] = ACTIONS(4490),
    [anon_sym_u8_SQUOTE] = ACTIONS(4490),
    [anon_sym_SQUOTE] = ACTIONS(4490),
    [anon_sym_L_DQUOTE] = ACTIONS(4492),
    [anon_sym_u_DQUOTE] = ACTIONS(4492),
    [anon_sym_U_DQUOTE] = ACTIONS(4492),
    [anon_sym_u8_DQUOTE] = ACTIONS(4492),
    [anon_sym_DQUOTE] = ACTIONS(4492),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(4494),
    [anon_sym_R_DQUOTE] = ACTIONS(4496),
    [anon_sym_LR_DQUOTE] = ACTIONS(4496),
    [anon_sym_uR_DQUOTE] = ACTIONS(4496),
    [anon_sym_UR_DQUOTE] = ACTIONS(4496),
    [anon_sym_u8R_DQUOTE] = ACTIONS(4496),
    [anon_sym_co_await] = ACTIONS(4498),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [2225] = {
    [sym__expression] = STATE(5796),
    [sym__expression_not_binary] = STATE(5024),
    [sym__string] = STATE(5024),
    [sym_conditional_expression] = STATE(5024),
    [sym_assignment_expression] = STATE(5024),
    [sym_pointer_expression] = STATE(4713),
    [sym_unary_expression] = STATE(5024),
    [sym_binary_expression] = STATE(5024),
    [sym_update_expression] = STATE(5024),
    [sym_cast_expression] = STATE(5024),
    [sym_sizeof_expression] = STATE(5024),
    [sym_alignof_expression] = STATE(5024),
    [sym_offsetof_expression] = STATE(5024),
    [sym_generic_expression] = STATE(5024),
    [sym_subscript_expression] = STATE(4713),
    [sym_call_expression] = STATE(4713),
    [sym_gnu_asm_expression] = STATE(5024),
    [sym_field_expression] = STATE(4713),
    [sym_compound_literal_expression] = STATE(5024),
    [sym_parenthesized_expression] = STATE(4713),
    [sym_char_literal] = STATE(5374),
    [sym_concatenated_string] = STATE(5377),
    [sym_string_literal] = STATE(4206),
    [sym_null] = STATE(5024),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9352),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(5024),
    [sym_raw_string_literal] = STATE(4217),
    [sym_co_await_expression] = STATE(5024),
    [sym_new_expression] = STATE(5024),
    [sym_delete_expression] = STATE(5024),
    [sym_requires_clause] = STATE(5024),
    [sym_requires_expression] = STATE(5024),
    [sym_lambda_expression] = STATE(5024),
    [sym_lambda_capture_specifier] = STATE(7184),
    [sym_fold_expression] = STATE(5024),
    [sym_parameter_pack_expansion] = STATE(5024),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6886),
    [sym_qualified_identifier] = STATE(4713),
    [sym_qualified_type_identifier] = STATE(9352),
    [sym_user_defined_literal] = STATE(4713),
    [sym_identifier] = ACTIONS(4518),
    [anon_sym_LPAREN2] = ACTIONS(5188),
    [anon_sym_BANG] = ACTIONS(4522),
    [anon_sym_TILDE] = ACTIONS(4522),
    [anon_sym_DASH] = ACTIONS(4520),
    [anon_sym_PLUS] = ACTIONS(4520),
    [anon_sym_STAR] = ACTIONS(5190),
    [anon_sym_AMP] = ACTIONS(5190),
    [anon_sym_COLON_COLON] = ACTIONS(4524),
    [anon_sym_LBRACK] = ACTIONS(5513),
    [sym_primitive_type] = ACTIONS(3146),
    [anon_sym_not] = ACTIONS(4520),
    [anon_sym_compl] = ACTIONS(4520),
    [anon_sym_DASH_DASH] = ACTIONS(5071),
    [anon_sym_PLUS_PLUS] = ACTIONS(5071),
    [anon_sym_sizeof] = ACTIONS(4526),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(4528),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(4530),
    [anon_sym_new] = ACTIONS(4516),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [2226] = {
    [sym__expression] = STATE(4506),
    [sym__expression_not_binary] = STATE(4786),
    [sym__string] = STATE(4786),
    [sym_conditional_expression] = STATE(4786),
    [sym_assignment_expression] = STATE(4786),
    [sym_pointer_expression] = STATE(4786),
    [sym_unary_expression] = STATE(4786),
    [sym_binary_expression] = STATE(4786),
    [sym_update_expression] = STATE(4786),
    [sym_cast_expression] = STATE(4786),
    [sym_sizeof_expression] = STATE(4786),
    [sym_alignof_expression] = STATE(4786),
    [sym_offsetof_expression] = STATE(4786),
    [sym_generic_expression] = STATE(4786),
    [sym_subscript_expression] = STATE(4786),
    [sym_call_expression] = STATE(4786),
    [sym_gnu_asm_expression] = STATE(4786),
    [sym_field_expression] = STATE(4786),
    [sym_compound_literal_expression] = STATE(4786),
    [sym_parenthesized_expression] = STATE(4786),
    [sym_char_literal] = STATE(4554),
    [sym_concatenated_string] = STATE(4621),
    [sym_string_literal] = STATE(3503),
    [sym_null] = STATE(4786),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9199),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(4786),
    [sym_raw_string_literal] = STATE(3498),
    [sym_co_await_expression] = STATE(4786),
    [sym_new_expression] = STATE(4786),
    [sym_delete_expression] = STATE(4786),
    [sym_requires_clause] = STATE(4786),
    [sym_requires_expression] = STATE(4786),
    [sym_lambda_expression] = STATE(4786),
    [sym_lambda_capture_specifier] = STATE(7160),
    [sym_fold_expression] = STATE(4786),
    [sym_parameter_pack_expansion] = STATE(4786),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6932),
    [sym_qualified_identifier] = STATE(4786),
    [sym_qualified_type_identifier] = STATE(9199),
    [sym_user_defined_literal] = STATE(4786),
    [sym_identifier] = ACTIONS(4126),
    [anon_sym_LPAREN2] = ACTIONS(5194),
    [anon_sym_BANG] = ACTIONS(4130),
    [anon_sym_TILDE] = ACTIONS(4130),
    [anon_sym_DASH] = ACTIONS(4128),
    [anon_sym_PLUS] = ACTIONS(4128),
    [anon_sym_STAR] = ACTIONS(4261),
    [anon_sym_AMP] = ACTIONS(4261),
    [anon_sym_COLON_COLON] = ACTIONS(4132),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [sym_primitive_type] = ACTIONS(4136),
    [anon_sym_not] = ACTIONS(4128),
    [anon_sym_compl] = ACTIONS(4128),
    [anon_sym_DASH_DASH] = ACTIONS(5049),
    [anon_sym_PLUS_PLUS] = ACTIONS(5049),
    [anon_sym_sizeof] = ACTIONS(4138),
    [anon_sym___alignof__] = ACTIONS(4140),
    [anon_sym___alignof] = ACTIONS(4140),
    [anon_sym__alignof] = ACTIONS(4140),
    [anon_sym_alignof] = ACTIONS(4140),
    [anon_sym__Alignof] = ACTIONS(4140),
    [anon_sym_offsetof] = ACTIONS(4142),
    [anon_sym__Generic] = ACTIONS(4144),
    [anon_sym_asm] = ACTIONS(4146),
    [anon_sym___asm__] = ACTIONS(4146),
    [sym_number_literal] = ACTIONS(4148),
    [anon_sym_L_SQUOTE] = ACTIONS(4150),
    [anon_sym_u_SQUOTE] = ACTIONS(4150),
    [anon_sym_U_SQUOTE] = ACTIONS(4150),
    [anon_sym_u8_SQUOTE] = ACTIONS(4150),
    [anon_sym_SQUOTE] = ACTIONS(4150),
    [anon_sym_L_DQUOTE] = ACTIONS(4152),
    [anon_sym_u_DQUOTE] = ACTIONS(4152),
    [anon_sym_U_DQUOTE] = ACTIONS(4152),
    [anon_sym_u8_DQUOTE] = ACTIONS(4152),
    [anon_sym_DQUOTE] = ACTIONS(4152),
    [sym_true] = ACTIONS(4154),
    [sym_false] = ACTIONS(4154),
    [anon_sym_NULL] = ACTIONS(4156),
    [anon_sym_nullptr] = ACTIONS(4156),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(4158),
    [anon_sym_R_DQUOTE] = ACTIONS(4160),
    [anon_sym_LR_DQUOTE] = ACTIONS(4160),
    [anon_sym_uR_DQUOTE] = ACTIONS(4160),
    [anon_sym_UR_DQUOTE] = ACTIONS(4160),
    [anon_sym_u8R_DQUOTE] = ACTIONS(4160),
    [anon_sym_co_await] = ACTIONS(4162),
    [anon_sym_new] = ACTIONS(4164),
    [anon_sym_requires] = ACTIONS(4166),
    [sym_this] = ACTIONS(4154),
  },
  [2227] = {
    [sym__expression] = STATE(4437),
    [sym__expression_not_binary] = STATE(3672),
    [sym__string] = STATE(3672),
    [sym_conditional_expression] = STATE(3672),
    [sym_assignment_expression] = STATE(3672),
    [sym_pointer_expression] = STATE(3672),
    [sym_unary_expression] = STATE(3672),
    [sym_binary_expression] = STATE(3672),
    [sym_update_expression] = STATE(3672),
    [sym_cast_expression] = STATE(3672),
    [sym_sizeof_expression] = STATE(3672),
    [sym_alignof_expression] = STATE(3672),
    [sym_offsetof_expression] = STATE(3672),
    [sym_generic_expression] = STATE(3672),
    [sym_subscript_expression] = STATE(3672),
    [sym_call_expression] = STATE(3672),
    [sym_gnu_asm_expression] = STATE(3672),
    [sym_field_expression] = STATE(3672),
    [sym_compound_literal_expression] = STATE(3672),
    [sym_parenthesized_expression] = STATE(3672),
    [sym_char_literal] = STATE(3991),
    [sym_concatenated_string] = STATE(3973),
    [sym_string_literal] = STATE(3242),
    [sym_null] = STATE(3672),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9333),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(3672),
    [sym_raw_string_literal] = STATE(3241),
    [sym_co_await_expression] = STATE(3672),
    [sym_new_expression] = STATE(3672),
    [sym_delete_expression] = STATE(3672),
    [sym_requires_clause] = STATE(3672),
    [sym_requires_expression] = STATE(3672),
    [sym_lambda_expression] = STATE(3672),
    [sym_lambda_capture_specifier] = STATE(7134),
    [sym_fold_expression] = STATE(3672),
    [sym_parameter_pack_expansion] = STATE(3672),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6886),
    [sym_qualified_identifier] = STATE(3672),
    [sym_qualified_type_identifier] = STATE(9333),
    [sym_user_defined_literal] = STATE(3672),
    [sym_identifier] = ACTIONS(3968),
    [anon_sym_LPAREN2] = ACTIONS(5243),
    [anon_sym_BANG] = ACTIONS(4116),
    [anon_sym_TILDE] = ACTIONS(4116),
    [anon_sym_DASH] = ACTIONS(4114),
    [anon_sym_PLUS] = ACTIONS(4114),
    [anon_sym_STAR] = ACTIONS(5190),
    [anon_sym_AMP] = ACTIONS(5190),
    [anon_sym_COLON_COLON] = ACTIONS(4118),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [sym_primitive_type] = ACTIONS(3928),
    [anon_sym_not] = ACTIONS(4114),
    [anon_sym_compl] = ACTIONS(4114),
    [anon_sym_DASH_DASH] = ACTIONS(5093),
    [anon_sym_PLUS_PLUS] = ACTIONS(5093),
    [anon_sym_sizeof] = ACTIONS(4120),
    [anon_sym___alignof__] = ACTIONS(3932),
    [anon_sym___alignof] = ACTIONS(3932),
    [anon_sym__alignof] = ACTIONS(3932),
    [anon_sym_alignof] = ACTIONS(3932),
    [anon_sym__Alignof] = ACTIONS(3932),
    [anon_sym_offsetof] = ACTIONS(3934),
    [anon_sym__Generic] = ACTIONS(3936),
    [anon_sym_asm] = ACTIONS(3938),
    [anon_sym___asm__] = ACTIONS(3938),
    [sym_number_literal] = ACTIONS(3978),
    [anon_sym_L_SQUOTE] = ACTIONS(3980),
    [anon_sym_u_SQUOTE] = ACTIONS(3980),
    [anon_sym_U_SQUOTE] = ACTIONS(3980),
    [anon_sym_u8_SQUOTE] = ACTIONS(3980),
    [anon_sym_SQUOTE] = ACTIONS(3980),
    [anon_sym_L_DQUOTE] = ACTIONS(3982),
    [anon_sym_u_DQUOTE] = ACTIONS(3982),
    [anon_sym_U_DQUOTE] = ACTIONS(3982),
    [anon_sym_u8_DQUOTE] = ACTIONS(3982),
    [anon_sym_DQUOTE] = ACTIONS(3982),
    [sym_true] = ACTIONS(3946),
    [sym_false] = ACTIONS(3946),
    [anon_sym_NULL] = ACTIONS(3948),
    [anon_sym_nullptr] = ACTIONS(3948),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(4122),
    [anon_sym_R_DQUOTE] = ACTIONS(3986),
    [anon_sym_LR_DQUOTE] = ACTIONS(3986),
    [anon_sym_uR_DQUOTE] = ACTIONS(3986),
    [anon_sym_UR_DQUOTE] = ACTIONS(3986),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3986),
    [anon_sym_co_await] = ACTIONS(4124),
    [anon_sym_new] = ACTIONS(3990),
    [anon_sym_requires] = ACTIONS(3958),
    [sym_this] = ACTIONS(3946),
  },
  [2228] = {
    [sym__expression] = STATE(5577),
    [sym__expression_not_binary] = STATE(5024),
    [sym__string] = STATE(5024),
    [sym_conditional_expression] = STATE(5024),
    [sym_assignment_expression] = STATE(5024),
    [sym_pointer_expression] = STATE(4607),
    [sym_unary_expression] = STATE(5024),
    [sym_binary_expression] = STATE(5024),
    [sym_update_expression] = STATE(5024),
    [sym_cast_expression] = STATE(5024),
    [sym_sizeof_expression] = STATE(5024),
    [sym_alignof_expression] = STATE(5024),
    [sym_offsetof_expression] = STATE(5024),
    [sym_generic_expression] = STATE(5024),
    [sym_subscript_expression] = STATE(4607),
    [sym_call_expression] = STATE(4607),
    [sym_gnu_asm_expression] = STATE(5024),
    [sym_field_expression] = STATE(4607),
    [sym_compound_literal_expression] = STATE(5024),
    [sym_parenthesized_expression] = STATE(4607),
    [sym_char_literal] = STATE(5726),
    [sym_concatenated_string] = STATE(5682),
    [sym_string_literal] = STATE(4827),
    [sym_null] = STATE(5024),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9352),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(5024),
    [sym_raw_string_literal] = STATE(4829),
    [sym_co_await_expression] = STATE(5024),
    [sym_new_expression] = STATE(5024),
    [sym_delete_expression] = STATE(5024),
    [sym_requires_clause] = STATE(5024),
    [sym_requires_expression] = STATE(5024),
    [sym_lambda_expression] = STATE(5024),
    [sym_lambda_capture_specifier] = STATE(7184),
    [sym_fold_expression] = STATE(5024),
    [sym_parameter_pack_expansion] = STATE(5024),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6886),
    [sym_qualified_identifier] = STATE(4607),
    [sym_qualified_type_identifier] = STATE(9352),
    [sym_user_defined_literal] = STATE(4607),
    [sym_identifier] = ACTIONS(4478),
    [anon_sym_LPAREN2] = ACTIONS(5015),
    [anon_sym_BANG] = ACTIONS(4482),
    [anon_sym_TILDE] = ACTIONS(4482),
    [anon_sym_DASH] = ACTIONS(4480),
    [anon_sym_PLUS] = ACTIONS(4480),
    [anon_sym_STAR] = ACTIONS(5017),
    [anon_sym_AMP] = ACTIONS(5017),
    [anon_sym_COLON_COLON] = ACTIONS(4484),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [sym_primitive_type] = ACTIONS(3146),
    [anon_sym_not] = ACTIONS(4480),
    [anon_sym_compl] = ACTIONS(4480),
    [anon_sym_DASH_DASH] = ACTIONS(5021),
    [anon_sym_PLUS_PLUS] = ACTIONS(5021),
    [anon_sym_sizeof] = ACTIONS(4486),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(4488),
    [anon_sym_L_SQUOTE] = ACTIONS(4490),
    [anon_sym_u_SQUOTE] = ACTIONS(4490),
    [anon_sym_U_SQUOTE] = ACTIONS(4490),
    [anon_sym_u8_SQUOTE] = ACTIONS(4490),
    [anon_sym_SQUOTE] = ACTIONS(4490),
    [anon_sym_L_DQUOTE] = ACTIONS(4492),
    [anon_sym_u_DQUOTE] = ACTIONS(4492),
    [anon_sym_U_DQUOTE] = ACTIONS(4492),
    [anon_sym_u8_DQUOTE] = ACTIONS(4492),
    [anon_sym_DQUOTE] = ACTIONS(4492),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(4494),
    [anon_sym_R_DQUOTE] = ACTIONS(4496),
    [anon_sym_LR_DQUOTE] = ACTIONS(4496),
    [anon_sym_uR_DQUOTE] = ACTIONS(4496),
    [anon_sym_UR_DQUOTE] = ACTIONS(4496),
    [anon_sym_u8R_DQUOTE] = ACTIONS(4496),
    [anon_sym_co_await] = ACTIONS(4498),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [2229] = {
    [sym__expression] = STATE(5734),
    [sym__expression_not_binary] = STATE(6001),
    [sym__string] = STATE(6001),
    [sym_conditional_expression] = STATE(6001),
    [sym_assignment_expression] = STATE(6001),
    [sym_pointer_expression] = STATE(4807),
    [sym_unary_expression] = STATE(6001),
    [sym_binary_expression] = STATE(6001),
    [sym_update_expression] = STATE(6001),
    [sym_cast_expression] = STATE(6001),
    [sym_sizeof_expression] = STATE(6001),
    [sym_alignof_expression] = STATE(6001),
    [sym_offsetof_expression] = STATE(6001),
    [sym_generic_expression] = STATE(6001),
    [sym_subscript_expression] = STATE(4807),
    [sym_call_expression] = STATE(4807),
    [sym_gnu_asm_expression] = STATE(6001),
    [sym_field_expression] = STATE(4807),
    [sym_compound_literal_expression] = STATE(6001),
    [sym_parenthesized_expression] = STATE(4807),
    [sym_char_literal] = STATE(5842),
    [sym_concatenated_string] = STATE(5845),
    [sym_string_literal] = STATE(4864),
    [sym_null] = STATE(6001),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(8975),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(6001),
    [sym_raw_string_literal] = STATE(4865),
    [sym_co_await_expression] = STATE(6001),
    [sym_new_expression] = STATE(6001),
    [sym_delete_expression] = STATE(6001),
    [sym_requires_clause] = STATE(6001),
    [sym_requires_expression] = STATE(6001),
    [sym_lambda_expression] = STATE(6001),
    [sym_lambda_capture_specifier] = STATE(7123),
    [sym_fold_expression] = STATE(6001),
    [sym_parameter_pack_expansion] = STATE(6001),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6932),
    [sym_qualified_identifier] = STATE(4807),
    [sym_qualified_type_identifier] = STATE(8975),
    [sym_user_defined_literal] = STATE(4807),
    [sym_identifier] = ACTIONS(4532),
    [anon_sym_LPAREN2] = ACTIONS(4255),
    [anon_sym_BANG] = ACTIONS(4257),
    [anon_sym_TILDE] = ACTIONS(4257),
    [anon_sym_DASH] = ACTIONS(4259),
    [anon_sym_PLUS] = ACTIONS(4259),
    [anon_sym_STAR] = ACTIONS(4261),
    [anon_sym_AMP] = ACTIONS(4261),
    [anon_sym_COLON_COLON] = ACTIONS(4263),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [sym_primitive_type] = ACTIONS(4536),
    [anon_sym_not] = ACTIONS(4259),
    [anon_sym_compl] = ACTIONS(4259),
    [anon_sym_DASH_DASH] = ACTIONS(4277),
    [anon_sym_PLUS_PLUS] = ACTIONS(4277),
    [anon_sym_sizeof] = ACTIONS(4279),
    [anon_sym___alignof__] = ACTIONS(4281),
    [anon_sym___alignof] = ACTIONS(4281),
    [anon_sym__alignof] = ACTIONS(4281),
    [anon_sym_alignof] = ACTIONS(4281),
    [anon_sym__Alignof] = ACTIONS(4281),
    [anon_sym_offsetof] = ACTIONS(4283),
    [anon_sym__Generic] = ACTIONS(4285),
    [anon_sym_asm] = ACTIONS(4287),
    [anon_sym___asm__] = ACTIONS(4287),
    [sym_number_literal] = ACTIONS(4289),
    [anon_sym_L_SQUOTE] = ACTIONS(4291),
    [anon_sym_u_SQUOTE] = ACTIONS(4291),
    [anon_sym_U_SQUOTE] = ACTIONS(4291),
    [anon_sym_u8_SQUOTE] = ACTIONS(4291),
    [anon_sym_SQUOTE] = ACTIONS(4291),
    [anon_sym_L_DQUOTE] = ACTIONS(4293),
    [anon_sym_u_DQUOTE] = ACTIONS(4293),
    [anon_sym_U_DQUOTE] = ACTIONS(4293),
    [anon_sym_u8_DQUOTE] = ACTIONS(4293),
    [anon_sym_DQUOTE] = ACTIONS(4293),
    [sym_true] = ACTIONS(4295),
    [sym_false] = ACTIONS(4295),
    [anon_sym_NULL] = ACTIONS(4297),
    [anon_sym_nullptr] = ACTIONS(4297),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(4307),
    [anon_sym_R_DQUOTE] = ACTIONS(4309),
    [anon_sym_LR_DQUOTE] = ACTIONS(4309),
    [anon_sym_uR_DQUOTE] = ACTIONS(4309),
    [anon_sym_UR_DQUOTE] = ACTIONS(4309),
    [anon_sym_u8R_DQUOTE] = ACTIONS(4309),
    [anon_sym_co_await] = ACTIONS(4311),
    [anon_sym_new] = ACTIONS(4313),
    [anon_sym_requires] = ACTIONS(4315),
    [sym_this] = ACTIONS(4295),
  },
  [2230] = {
    [sym__expression] = STATE(5670),
    [sym__expression_not_binary] = STATE(5024),
    [sym__string] = STATE(5024),
    [sym_conditional_expression] = STATE(5024),
    [sym_assignment_expression] = STATE(5024),
    [sym_pointer_expression] = STATE(4737),
    [sym_unary_expression] = STATE(5024),
    [sym_binary_expression] = STATE(5024),
    [sym_update_expression] = STATE(5024),
    [sym_cast_expression] = STATE(5024),
    [sym_sizeof_expression] = STATE(5024),
    [sym_alignof_expression] = STATE(5024),
    [sym_offsetof_expression] = STATE(5024),
    [sym_generic_expression] = STATE(5024),
    [sym_subscript_expression] = STATE(4737),
    [sym_call_expression] = STATE(4737),
    [sym_gnu_asm_expression] = STATE(5024),
    [sym_field_expression] = STATE(4737),
    [sym_compound_literal_expression] = STATE(5024),
    [sym_parenthesized_expression] = STATE(4737),
    [sym_char_literal] = STATE(5374),
    [sym_concatenated_string] = STATE(5377),
    [sym_string_literal] = STATE(4206),
    [sym_null] = STATE(5024),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9352),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(5024),
    [sym_raw_string_literal] = STATE(4217),
    [sym_co_await_expression] = STATE(5024),
    [sym_new_expression] = STATE(5024),
    [sym_delete_expression] = STATE(5024),
    [sym_requires_clause] = STATE(5024),
    [sym_requires_expression] = STATE(5024),
    [sym_lambda_expression] = STATE(5024),
    [sym_lambda_capture_specifier] = STATE(7184),
    [sym_fold_expression] = STATE(5024),
    [sym_parameter_pack_expansion] = STATE(5024),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6886),
    [sym_qualified_identifier] = STATE(4737),
    [sym_qualified_type_identifier] = STATE(9352),
    [sym_user_defined_literal] = STATE(4737),
    [sym_identifier] = ACTIONS(4502),
    [anon_sym_LPAREN2] = ACTIONS(4540),
    [anon_sym_BANG] = ACTIONS(4506),
    [anon_sym_TILDE] = ACTIONS(4506),
    [anon_sym_DASH] = ACTIONS(4504),
    [anon_sym_PLUS] = ACTIONS(4504),
    [anon_sym_STAR] = ACTIONS(1474),
    [anon_sym_AMP] = ACTIONS(1474),
    [anon_sym_COLON_COLON] = ACTIONS(4508),
    [anon_sym_LBRACK] = ACTIONS(5515),
    [sym_primitive_type] = ACTIONS(3146),
    [anon_sym_not] = ACTIONS(4504),
    [anon_sym_compl] = ACTIONS(4504),
    [anon_sym_DASH_DASH] = ACTIONS(4544),
    [anon_sym_PLUS_PLUS] = ACTIONS(4544),
    [anon_sym_sizeof] = ACTIONS(4510),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(4512),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(4514),
    [anon_sym_new] = ACTIONS(4516),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [2231] = {
    [sym__expression] = STATE(5708),
    [sym__expression_not_binary] = STATE(5024),
    [sym__string] = STATE(5024),
    [sym_conditional_expression] = STATE(5024),
    [sym_assignment_expression] = STATE(5024),
    [sym_pointer_expression] = STATE(4507),
    [sym_unary_expression] = STATE(5024),
    [sym_binary_expression] = STATE(5024),
    [sym_update_expression] = STATE(5024),
    [sym_cast_expression] = STATE(5024),
    [sym_sizeof_expression] = STATE(5024),
    [sym_alignof_expression] = STATE(5024),
    [sym_offsetof_expression] = STATE(5024),
    [sym_generic_expression] = STATE(5024),
    [sym_subscript_expression] = STATE(4507),
    [sym_call_expression] = STATE(4507),
    [sym_gnu_asm_expression] = STATE(5024),
    [sym_field_expression] = STATE(4507),
    [sym_compound_literal_expression] = STATE(5024),
    [sym_parenthesized_expression] = STATE(4507),
    [sym_char_literal] = STATE(5374),
    [sym_concatenated_string] = STATE(5377),
    [sym_string_literal] = STATE(4206),
    [sym_null] = STATE(5024),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9352),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(5024),
    [sym_raw_string_literal] = STATE(4217),
    [sym_co_await_expression] = STATE(5024),
    [sym_new_expression] = STATE(5024),
    [sym_delete_expression] = STATE(5024),
    [sym_requires_clause] = STATE(5024),
    [sym_requires_expression] = STATE(5024),
    [sym_lambda_expression] = STATE(5024),
    [sym_lambda_capture_specifier] = STATE(7184),
    [sym_fold_expression] = STATE(5024),
    [sym_parameter_pack_expansion] = STATE(5024),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6886),
    [sym_qualified_identifier] = STATE(4507),
    [sym_qualified_type_identifier] = STATE(9352),
    [sym_user_defined_literal] = STATE(4507),
    [sym_identifier] = ACTIONS(3140),
    [anon_sym_LPAREN2] = ACTIONS(1472),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1474),
    [anon_sym_AMP] = ACTIONS(1474),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [sym_primitive_type] = ACTIONS(3146),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [2232] = {
    [sym__expression] = STATE(5276),
    [sym__expression_not_binary] = STATE(5024),
    [sym__string] = STATE(5024),
    [sym_conditional_expression] = STATE(5024),
    [sym_assignment_expression] = STATE(5024),
    [sym_pointer_expression] = STATE(4031),
    [sym_unary_expression] = STATE(5024),
    [sym_binary_expression] = STATE(5024),
    [sym_update_expression] = STATE(5024),
    [sym_cast_expression] = STATE(5024),
    [sym_sizeof_expression] = STATE(5024),
    [sym_alignof_expression] = STATE(5024),
    [sym_offsetof_expression] = STATE(5024),
    [sym_generic_expression] = STATE(5024),
    [sym_subscript_expression] = STATE(4031),
    [sym_call_expression] = STATE(4031),
    [sym_gnu_asm_expression] = STATE(5024),
    [sym_field_expression] = STATE(4031),
    [sym_compound_literal_expression] = STATE(5024),
    [sym_parenthesized_expression] = STATE(4031),
    [sym_char_literal] = STATE(5335),
    [sym_concatenated_string] = STATE(5317),
    [sym_string_literal] = STATE(4163),
    [sym_null] = STATE(5024),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9352),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(5024),
    [sym_raw_string_literal] = STATE(4121),
    [sym_co_await_expression] = STATE(5024),
    [sym_new_expression] = STATE(5024),
    [sym_delete_expression] = STATE(5024),
    [sym_requires_clause] = STATE(5024),
    [sym_requires_expression] = STATE(5024),
    [sym_lambda_expression] = STATE(5024),
    [sym_lambda_capture_specifier] = STATE(7184),
    [sym_fold_expression] = STATE(5024),
    [sym_parameter_pack_expansion] = STATE(5024),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6886),
    [sym_qualified_identifier] = STATE(4031),
    [sym_qualified_type_identifier] = STATE(9352),
    [sym_user_defined_literal] = STATE(4031),
    [sym_identifier] = ACTIONS(5113),
    [anon_sym_LPAREN2] = ACTIONS(5212),
    [anon_sym_BANG] = ACTIONS(4409),
    [anon_sym_TILDE] = ACTIONS(4409),
    [anon_sym_DASH] = ACTIONS(4407),
    [anon_sym_PLUS] = ACTIONS(4407),
    [anon_sym_STAR] = ACTIONS(5186),
    [anon_sym_AMP] = ACTIONS(5186),
    [anon_sym_COLON_COLON] = ACTIONS(4411),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [sym_primitive_type] = ACTIONS(3146),
    [anon_sym_not] = ACTIONS(4407),
    [anon_sym_compl] = ACTIONS(4407),
    [anon_sym_DASH_DASH] = ACTIONS(5115),
    [anon_sym_PLUS_PLUS] = ACTIONS(5115),
    [anon_sym_sizeof] = ACTIONS(4415),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(4417),
    [anon_sym_L_SQUOTE] = ACTIONS(4419),
    [anon_sym_u_SQUOTE] = ACTIONS(4419),
    [anon_sym_U_SQUOTE] = ACTIONS(4419),
    [anon_sym_u8_SQUOTE] = ACTIONS(4419),
    [anon_sym_SQUOTE] = ACTIONS(4419),
    [anon_sym_L_DQUOTE] = ACTIONS(4247),
    [anon_sym_u_DQUOTE] = ACTIONS(4247),
    [anon_sym_U_DQUOTE] = ACTIONS(4247),
    [anon_sym_u8_DQUOTE] = ACTIONS(4247),
    [anon_sym_DQUOTE] = ACTIONS(4247),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(4421),
    [anon_sym_R_DQUOTE] = ACTIONS(4249),
    [anon_sym_LR_DQUOTE] = ACTIONS(4249),
    [anon_sym_uR_DQUOTE] = ACTIONS(4249),
    [anon_sym_UR_DQUOTE] = ACTIONS(4249),
    [anon_sym_u8R_DQUOTE] = ACTIONS(4249),
    [anon_sym_co_await] = ACTIONS(4423),
    [anon_sym_new] = ACTIONS(4425),
    [anon_sym_requires] = ACTIONS(4427),
    [sym_this] = ACTIONS(221),
  },
  [2233] = {
    [sym__expression] = STATE(4492),
    [sym__expression_not_binary] = STATE(4786),
    [sym__string] = STATE(4786),
    [sym_conditional_expression] = STATE(4786),
    [sym_assignment_expression] = STATE(4786),
    [sym_pointer_expression] = STATE(4786),
    [sym_unary_expression] = STATE(4786),
    [sym_binary_expression] = STATE(4786),
    [sym_update_expression] = STATE(4786),
    [sym_cast_expression] = STATE(4786),
    [sym_sizeof_expression] = STATE(4786),
    [sym_alignof_expression] = STATE(4786),
    [sym_offsetof_expression] = STATE(4786),
    [sym_generic_expression] = STATE(4786),
    [sym_subscript_expression] = STATE(4786),
    [sym_call_expression] = STATE(4786),
    [sym_gnu_asm_expression] = STATE(4786),
    [sym_field_expression] = STATE(4786),
    [sym_compound_literal_expression] = STATE(4786),
    [sym_parenthesized_expression] = STATE(4786),
    [sym_char_literal] = STATE(4554),
    [sym_concatenated_string] = STATE(4621),
    [sym_string_literal] = STATE(3503),
    [sym_null] = STATE(4786),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9199),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(4786),
    [sym_raw_string_literal] = STATE(3498),
    [sym_co_await_expression] = STATE(4786),
    [sym_new_expression] = STATE(4786),
    [sym_delete_expression] = STATE(4786),
    [sym_requires_clause] = STATE(4786),
    [sym_requires_expression] = STATE(4786),
    [sym_lambda_expression] = STATE(4786),
    [sym_lambda_capture_specifier] = STATE(7160),
    [sym_fold_expression] = STATE(4786),
    [sym_parameter_pack_expansion] = STATE(4786),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6932),
    [sym_qualified_identifier] = STATE(4786),
    [sym_qualified_type_identifier] = STATE(9199),
    [sym_user_defined_literal] = STATE(4786),
    [sym_identifier] = ACTIONS(4126),
    [anon_sym_LPAREN2] = ACTIONS(5194),
    [anon_sym_BANG] = ACTIONS(4130),
    [anon_sym_TILDE] = ACTIONS(4130),
    [anon_sym_DASH] = ACTIONS(4128),
    [anon_sym_PLUS] = ACTIONS(4128),
    [anon_sym_STAR] = ACTIONS(4261),
    [anon_sym_AMP] = ACTIONS(4261),
    [anon_sym_COLON_COLON] = ACTIONS(4132),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [sym_primitive_type] = ACTIONS(4136),
    [anon_sym_not] = ACTIONS(4128),
    [anon_sym_compl] = ACTIONS(4128),
    [anon_sym_DASH_DASH] = ACTIONS(5049),
    [anon_sym_PLUS_PLUS] = ACTIONS(5049),
    [anon_sym_sizeof] = ACTIONS(4138),
    [anon_sym___alignof__] = ACTIONS(4140),
    [anon_sym___alignof] = ACTIONS(4140),
    [anon_sym__alignof] = ACTIONS(4140),
    [anon_sym_alignof] = ACTIONS(4140),
    [anon_sym__Alignof] = ACTIONS(4140),
    [anon_sym_offsetof] = ACTIONS(4142),
    [anon_sym__Generic] = ACTIONS(4144),
    [anon_sym_asm] = ACTIONS(4146),
    [anon_sym___asm__] = ACTIONS(4146),
    [sym_number_literal] = ACTIONS(4148),
    [anon_sym_L_SQUOTE] = ACTIONS(4150),
    [anon_sym_u_SQUOTE] = ACTIONS(4150),
    [anon_sym_U_SQUOTE] = ACTIONS(4150),
    [anon_sym_u8_SQUOTE] = ACTIONS(4150),
    [anon_sym_SQUOTE] = ACTIONS(4150),
    [anon_sym_L_DQUOTE] = ACTIONS(4152),
    [anon_sym_u_DQUOTE] = ACTIONS(4152),
    [anon_sym_U_DQUOTE] = ACTIONS(4152),
    [anon_sym_u8_DQUOTE] = ACTIONS(4152),
    [anon_sym_DQUOTE] = ACTIONS(4152),
    [sym_true] = ACTIONS(4154),
    [sym_false] = ACTIONS(4154),
    [anon_sym_NULL] = ACTIONS(4156),
    [anon_sym_nullptr] = ACTIONS(4156),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(4158),
    [anon_sym_R_DQUOTE] = ACTIONS(4160),
    [anon_sym_LR_DQUOTE] = ACTIONS(4160),
    [anon_sym_uR_DQUOTE] = ACTIONS(4160),
    [anon_sym_UR_DQUOTE] = ACTIONS(4160),
    [anon_sym_u8R_DQUOTE] = ACTIONS(4160),
    [anon_sym_co_await] = ACTIONS(4162),
    [anon_sym_new] = ACTIONS(4164),
    [anon_sym_requires] = ACTIONS(4166),
    [sym_this] = ACTIONS(4154),
  },
  [2234] = {
    [sym__expression] = STATE(5426),
    [sym__expression_not_binary] = STATE(5024),
    [sym__string] = STATE(5024),
    [sym_conditional_expression] = STATE(5024),
    [sym_assignment_expression] = STATE(5024),
    [sym_pointer_expression] = STATE(4507),
    [sym_unary_expression] = STATE(5024),
    [sym_binary_expression] = STATE(5024),
    [sym_update_expression] = STATE(5024),
    [sym_cast_expression] = STATE(5024),
    [sym_sizeof_expression] = STATE(5024),
    [sym_alignof_expression] = STATE(5024),
    [sym_offsetof_expression] = STATE(5024),
    [sym_generic_expression] = STATE(5024),
    [sym_subscript_expression] = STATE(4507),
    [sym_call_expression] = STATE(4507),
    [sym_gnu_asm_expression] = STATE(5024),
    [sym_field_expression] = STATE(4507),
    [sym_compound_literal_expression] = STATE(5024),
    [sym_parenthesized_expression] = STATE(4507),
    [sym_char_literal] = STATE(5374),
    [sym_concatenated_string] = STATE(5377),
    [sym_string_literal] = STATE(4206),
    [sym_null] = STATE(5024),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9352),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(5024),
    [sym_raw_string_literal] = STATE(4217),
    [sym_co_await_expression] = STATE(5024),
    [sym_new_expression] = STATE(5024),
    [sym_delete_expression] = STATE(5024),
    [sym_requires_clause] = STATE(5024),
    [sym_requires_expression] = STATE(5024),
    [sym_lambda_expression] = STATE(5024),
    [sym_lambda_capture_specifier] = STATE(7184),
    [sym_fold_expression] = STATE(5024),
    [sym_parameter_pack_expansion] = STATE(5024),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6886),
    [sym_qualified_identifier] = STATE(4507),
    [sym_qualified_type_identifier] = STATE(9352),
    [sym_user_defined_literal] = STATE(4507),
    [sym_identifier] = ACTIONS(3140),
    [anon_sym_LPAREN2] = ACTIONS(1472),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1474),
    [anon_sym_AMP] = ACTIONS(1474),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(5517),
    [sym_primitive_type] = ACTIONS(3146),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [2235] = {
    [sym__expression] = STATE(4023),
    [sym__expression_not_binary] = STATE(3672),
    [sym__string] = STATE(3672),
    [sym_conditional_expression] = STATE(3672),
    [sym_assignment_expression] = STATE(3672),
    [sym_pointer_expression] = STATE(3672),
    [sym_unary_expression] = STATE(3672),
    [sym_binary_expression] = STATE(3672),
    [sym_update_expression] = STATE(3672),
    [sym_cast_expression] = STATE(3672),
    [sym_sizeof_expression] = STATE(3672),
    [sym_alignof_expression] = STATE(3672),
    [sym_offsetof_expression] = STATE(3672),
    [sym_generic_expression] = STATE(3672),
    [sym_subscript_expression] = STATE(3672),
    [sym_call_expression] = STATE(3672),
    [sym_gnu_asm_expression] = STATE(3672),
    [sym_field_expression] = STATE(3672),
    [sym_compound_literal_expression] = STATE(3672),
    [sym_parenthesized_expression] = STATE(3672),
    [sym_char_literal] = STATE(3991),
    [sym_concatenated_string] = STATE(3973),
    [sym_string_literal] = STATE(3242),
    [sym_null] = STATE(3672),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9333),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(3672),
    [sym_raw_string_literal] = STATE(3241),
    [sym_co_await_expression] = STATE(3672),
    [sym_new_expression] = STATE(3672),
    [sym_delete_expression] = STATE(3672),
    [sym_requires_clause] = STATE(3672),
    [sym_requires_expression] = STATE(3672),
    [sym_lambda_expression] = STATE(3672),
    [sym_lambda_capture_specifier] = STATE(7134),
    [sym_fold_expression] = STATE(3672),
    [sym_parameter_pack_expansion] = STATE(3672),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6886),
    [sym_qualified_identifier] = STATE(3672),
    [sym_qualified_type_identifier] = STATE(9333),
    [sym_user_defined_literal] = STATE(3672),
    [sym_identifier] = ACTIONS(3968),
    [anon_sym_LPAREN2] = ACTIONS(5219),
    [anon_sym_BANG] = ACTIONS(3972),
    [anon_sym_TILDE] = ACTIONS(3972),
    [anon_sym_DASH] = ACTIONS(3970),
    [anon_sym_PLUS] = ACTIONS(3970),
    [anon_sym_STAR] = ACTIONS(1474),
    [anon_sym_AMP] = ACTIONS(1474),
    [anon_sym_COLON_COLON] = ACTIONS(3974),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [sym_primitive_type] = ACTIONS(3928),
    [anon_sym_not] = ACTIONS(3970),
    [anon_sym_compl] = ACTIONS(3970),
    [anon_sym_DASH_DASH] = ACTIONS(4385),
    [anon_sym_PLUS_PLUS] = ACTIONS(4385),
    [anon_sym_sizeof] = ACTIONS(3976),
    [anon_sym___alignof__] = ACTIONS(3932),
    [anon_sym___alignof] = ACTIONS(3932),
    [anon_sym__alignof] = ACTIONS(3932),
    [anon_sym_alignof] = ACTIONS(3932),
    [anon_sym__Alignof] = ACTIONS(3932),
    [anon_sym_offsetof] = ACTIONS(3934),
    [anon_sym__Generic] = ACTIONS(3936),
    [anon_sym_asm] = ACTIONS(3938),
    [anon_sym___asm__] = ACTIONS(3938),
    [sym_number_literal] = ACTIONS(3978),
    [anon_sym_L_SQUOTE] = ACTIONS(3980),
    [anon_sym_u_SQUOTE] = ACTIONS(3980),
    [anon_sym_U_SQUOTE] = ACTIONS(3980),
    [anon_sym_u8_SQUOTE] = ACTIONS(3980),
    [anon_sym_SQUOTE] = ACTIONS(3980),
    [anon_sym_L_DQUOTE] = ACTIONS(3982),
    [anon_sym_u_DQUOTE] = ACTIONS(3982),
    [anon_sym_U_DQUOTE] = ACTIONS(3982),
    [anon_sym_u8_DQUOTE] = ACTIONS(3982),
    [anon_sym_DQUOTE] = ACTIONS(3982),
    [sym_true] = ACTIONS(3946),
    [sym_false] = ACTIONS(3946),
    [anon_sym_NULL] = ACTIONS(3948),
    [anon_sym_nullptr] = ACTIONS(3948),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(3984),
    [anon_sym_R_DQUOTE] = ACTIONS(3986),
    [anon_sym_LR_DQUOTE] = ACTIONS(3986),
    [anon_sym_uR_DQUOTE] = ACTIONS(3986),
    [anon_sym_UR_DQUOTE] = ACTIONS(3986),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3986),
    [anon_sym_co_await] = ACTIONS(3988),
    [anon_sym_new] = ACTIONS(3990),
    [anon_sym_requires] = ACTIONS(3958),
    [sym_this] = ACTIONS(3946),
  },
  [2236] = {
    [sym__expression] = STATE(4434),
    [sym__expression_not_binary] = STATE(3672),
    [sym__string] = STATE(3672),
    [sym_conditional_expression] = STATE(3672),
    [sym_assignment_expression] = STATE(3672),
    [sym_pointer_expression] = STATE(3672),
    [sym_unary_expression] = STATE(3672),
    [sym_binary_expression] = STATE(3672),
    [sym_update_expression] = STATE(3672),
    [sym_cast_expression] = STATE(3672),
    [sym_sizeof_expression] = STATE(3672),
    [sym_alignof_expression] = STATE(3672),
    [sym_offsetof_expression] = STATE(3672),
    [sym_generic_expression] = STATE(3672),
    [sym_subscript_expression] = STATE(3672),
    [sym_call_expression] = STATE(3672),
    [sym_gnu_asm_expression] = STATE(3672),
    [sym_field_expression] = STATE(3672),
    [sym_compound_literal_expression] = STATE(3672),
    [sym_parenthesized_expression] = STATE(3672),
    [sym_char_literal] = STATE(3991),
    [sym_concatenated_string] = STATE(3973),
    [sym_string_literal] = STATE(3242),
    [sym_null] = STATE(3672),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9333),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(3672),
    [sym_raw_string_literal] = STATE(3241),
    [sym_co_await_expression] = STATE(3672),
    [sym_new_expression] = STATE(3672),
    [sym_delete_expression] = STATE(3672),
    [sym_requires_clause] = STATE(3672),
    [sym_requires_expression] = STATE(3672),
    [sym_lambda_expression] = STATE(3672),
    [sym_lambda_capture_specifier] = STATE(7134),
    [sym_fold_expression] = STATE(3672),
    [sym_parameter_pack_expansion] = STATE(3672),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6886),
    [sym_qualified_identifier] = STATE(3672),
    [sym_qualified_type_identifier] = STATE(9333),
    [sym_user_defined_literal] = STATE(3672),
    [sym_identifier] = ACTIONS(3968),
    [anon_sym_LPAREN2] = ACTIONS(5243),
    [anon_sym_BANG] = ACTIONS(4116),
    [anon_sym_TILDE] = ACTIONS(4116),
    [anon_sym_DASH] = ACTIONS(4114),
    [anon_sym_PLUS] = ACTIONS(4114),
    [anon_sym_STAR] = ACTIONS(5190),
    [anon_sym_AMP] = ACTIONS(5190),
    [anon_sym_COLON_COLON] = ACTIONS(4118),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [sym_primitive_type] = ACTIONS(3928),
    [anon_sym_not] = ACTIONS(4114),
    [anon_sym_compl] = ACTIONS(4114),
    [anon_sym_DASH_DASH] = ACTIONS(5093),
    [anon_sym_PLUS_PLUS] = ACTIONS(5093),
    [anon_sym_sizeof] = ACTIONS(4120),
    [anon_sym___alignof__] = ACTIONS(3932),
    [anon_sym___alignof] = ACTIONS(3932),
    [anon_sym__alignof] = ACTIONS(3932),
    [anon_sym_alignof] = ACTIONS(3932),
    [anon_sym__Alignof] = ACTIONS(3932),
    [anon_sym_offsetof] = ACTIONS(3934),
    [anon_sym__Generic] = ACTIONS(3936),
    [anon_sym_asm] = ACTIONS(3938),
    [anon_sym___asm__] = ACTIONS(3938),
    [sym_number_literal] = ACTIONS(3978),
    [anon_sym_L_SQUOTE] = ACTIONS(3980),
    [anon_sym_u_SQUOTE] = ACTIONS(3980),
    [anon_sym_U_SQUOTE] = ACTIONS(3980),
    [anon_sym_u8_SQUOTE] = ACTIONS(3980),
    [anon_sym_SQUOTE] = ACTIONS(3980),
    [anon_sym_L_DQUOTE] = ACTIONS(3982),
    [anon_sym_u_DQUOTE] = ACTIONS(3982),
    [anon_sym_U_DQUOTE] = ACTIONS(3982),
    [anon_sym_u8_DQUOTE] = ACTIONS(3982),
    [anon_sym_DQUOTE] = ACTIONS(3982),
    [sym_true] = ACTIONS(3946),
    [sym_false] = ACTIONS(3946),
    [anon_sym_NULL] = ACTIONS(3948),
    [anon_sym_nullptr] = ACTIONS(3948),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(4122),
    [anon_sym_R_DQUOTE] = ACTIONS(3986),
    [anon_sym_LR_DQUOTE] = ACTIONS(3986),
    [anon_sym_uR_DQUOTE] = ACTIONS(3986),
    [anon_sym_UR_DQUOTE] = ACTIONS(3986),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3986),
    [anon_sym_co_await] = ACTIONS(4124),
    [anon_sym_new] = ACTIONS(3990),
    [anon_sym_requires] = ACTIONS(3958),
    [sym_this] = ACTIONS(3946),
  },
  [2237] = {
    [sym__expression] = STATE(5611),
    [sym__expression_not_binary] = STATE(5024),
    [sym__string] = STATE(5024),
    [sym_conditional_expression] = STATE(5024),
    [sym_assignment_expression] = STATE(5024),
    [sym_pointer_expression] = STATE(4607),
    [sym_unary_expression] = STATE(5024),
    [sym_binary_expression] = STATE(5024),
    [sym_update_expression] = STATE(5024),
    [sym_cast_expression] = STATE(5024),
    [sym_sizeof_expression] = STATE(5024),
    [sym_alignof_expression] = STATE(5024),
    [sym_offsetof_expression] = STATE(5024),
    [sym_generic_expression] = STATE(5024),
    [sym_subscript_expression] = STATE(4607),
    [sym_call_expression] = STATE(4607),
    [sym_gnu_asm_expression] = STATE(5024),
    [sym_field_expression] = STATE(4607),
    [sym_compound_literal_expression] = STATE(5024),
    [sym_parenthesized_expression] = STATE(4607),
    [sym_char_literal] = STATE(5726),
    [sym_concatenated_string] = STATE(5682),
    [sym_string_literal] = STATE(4827),
    [sym_null] = STATE(5024),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9352),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(5024),
    [sym_raw_string_literal] = STATE(4829),
    [sym_co_await_expression] = STATE(5024),
    [sym_new_expression] = STATE(5024),
    [sym_delete_expression] = STATE(5024),
    [sym_requires_clause] = STATE(5024),
    [sym_requires_expression] = STATE(5024),
    [sym_lambda_expression] = STATE(5024),
    [sym_lambda_capture_specifier] = STATE(7184),
    [sym_fold_expression] = STATE(5024),
    [sym_parameter_pack_expansion] = STATE(5024),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6886),
    [sym_qualified_identifier] = STATE(4607),
    [sym_qualified_type_identifier] = STATE(9352),
    [sym_user_defined_literal] = STATE(4607),
    [sym_identifier] = ACTIONS(4478),
    [anon_sym_LPAREN2] = ACTIONS(5015),
    [anon_sym_BANG] = ACTIONS(4482),
    [anon_sym_TILDE] = ACTIONS(4482),
    [anon_sym_DASH] = ACTIONS(4480),
    [anon_sym_PLUS] = ACTIONS(4480),
    [anon_sym_STAR] = ACTIONS(5017),
    [anon_sym_AMP] = ACTIONS(5017),
    [anon_sym_COLON_COLON] = ACTIONS(4484),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [sym_primitive_type] = ACTIONS(3146),
    [anon_sym_not] = ACTIONS(4480),
    [anon_sym_compl] = ACTIONS(4480),
    [anon_sym_DASH_DASH] = ACTIONS(5021),
    [anon_sym_PLUS_PLUS] = ACTIONS(5021),
    [anon_sym_sizeof] = ACTIONS(4486),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(4488),
    [anon_sym_L_SQUOTE] = ACTIONS(4490),
    [anon_sym_u_SQUOTE] = ACTIONS(4490),
    [anon_sym_U_SQUOTE] = ACTIONS(4490),
    [anon_sym_u8_SQUOTE] = ACTIONS(4490),
    [anon_sym_SQUOTE] = ACTIONS(4490),
    [anon_sym_L_DQUOTE] = ACTIONS(4492),
    [anon_sym_u_DQUOTE] = ACTIONS(4492),
    [anon_sym_U_DQUOTE] = ACTIONS(4492),
    [anon_sym_u8_DQUOTE] = ACTIONS(4492),
    [anon_sym_DQUOTE] = ACTIONS(4492),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(4494),
    [anon_sym_R_DQUOTE] = ACTIONS(4496),
    [anon_sym_LR_DQUOTE] = ACTIONS(4496),
    [anon_sym_uR_DQUOTE] = ACTIONS(4496),
    [anon_sym_UR_DQUOTE] = ACTIONS(4496),
    [anon_sym_u8R_DQUOTE] = ACTIONS(4496),
    [anon_sym_co_await] = ACTIONS(4498),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [2238] = {
    [sym__expression] = STATE(3978),
    [sym__expression_not_binary] = STATE(4307),
    [sym__string] = STATE(4307),
    [sym_conditional_expression] = STATE(4307),
    [sym_assignment_expression] = STATE(4307),
    [sym_pointer_expression] = STATE(4307),
    [sym_unary_expression] = STATE(4307),
    [sym_binary_expression] = STATE(4307),
    [sym_update_expression] = STATE(4307),
    [sym_cast_expression] = STATE(4307),
    [sym_sizeof_expression] = STATE(4307),
    [sym_alignof_expression] = STATE(4307),
    [sym_offsetof_expression] = STATE(4307),
    [sym_generic_expression] = STATE(4307),
    [sym_subscript_expression] = STATE(4307),
    [sym_call_expression] = STATE(4307),
    [sym_gnu_asm_expression] = STATE(4307),
    [sym_field_expression] = STATE(4307),
    [sym_compound_literal_expression] = STATE(4307),
    [sym_parenthesized_expression] = STATE(4307),
    [sym_char_literal] = STATE(4093),
    [sym_concatenated_string] = STATE(4159),
    [sym_string_literal] = STATE(3328),
    [sym_null] = STATE(4307),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9053),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(4307),
    [sym_raw_string_literal] = STATE(3294),
    [sym_co_await_expression] = STATE(4307),
    [sym_new_expression] = STATE(4307),
    [sym_delete_expression] = STATE(4307),
    [sym_requires_clause] = STATE(4307),
    [sym_requires_expression] = STATE(4307),
    [sym_lambda_expression] = STATE(4307),
    [sym_lambda_capture_specifier] = STATE(7183),
    [sym_fold_expression] = STATE(4307),
    [sym_parameter_pack_expansion] = STATE(4307),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6962),
    [sym_qualified_identifier] = STATE(4307),
    [sym_qualified_type_identifier] = STATE(9053),
    [sym_user_defined_literal] = STATE(4307),
    [sym_identifier] = ACTIONS(5051),
    [anon_sym_LPAREN2] = ACTIONS(5204),
    [anon_sym_BANG] = ACTIONS(3994),
    [anon_sym_TILDE] = ACTIONS(3994),
    [anon_sym_DASH] = ACTIONS(3992),
    [anon_sym_PLUS] = ACTIONS(3992),
    [anon_sym_STAR] = ACTIONS(5202),
    [anon_sym_AMP] = ACTIONS(5202),
    [anon_sym_COLON_COLON] = ACTIONS(3996),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [sym_primitive_type] = ACTIONS(4000),
    [anon_sym_not] = ACTIONS(3992),
    [anon_sym_compl] = ACTIONS(3992),
    [anon_sym_DASH_DASH] = ACTIONS(5053),
    [anon_sym_PLUS_PLUS] = ACTIONS(5053),
    [anon_sym_sizeof] = ACTIONS(4002),
    [anon_sym___alignof__] = ACTIONS(4004),
    [anon_sym___alignof] = ACTIONS(4004),
    [anon_sym__alignof] = ACTIONS(4004),
    [anon_sym_alignof] = ACTIONS(4004),
    [anon_sym__Alignof] = ACTIONS(4004),
    [anon_sym_offsetof] = ACTIONS(4006),
    [anon_sym__Generic] = ACTIONS(4008),
    [anon_sym_asm] = ACTIONS(4010),
    [anon_sym___asm__] = ACTIONS(4010),
    [sym_number_literal] = ACTIONS(4012),
    [anon_sym_L_SQUOTE] = ACTIONS(4014),
    [anon_sym_u_SQUOTE] = ACTIONS(4014),
    [anon_sym_U_SQUOTE] = ACTIONS(4014),
    [anon_sym_u8_SQUOTE] = ACTIONS(4014),
    [anon_sym_SQUOTE] = ACTIONS(4014),
    [anon_sym_L_DQUOTE] = ACTIONS(4016),
    [anon_sym_u_DQUOTE] = ACTIONS(4016),
    [anon_sym_U_DQUOTE] = ACTIONS(4016),
    [anon_sym_u8_DQUOTE] = ACTIONS(4016),
    [anon_sym_DQUOTE] = ACTIONS(4016),
    [sym_true] = ACTIONS(4018),
    [sym_false] = ACTIONS(4018),
    [anon_sym_NULL] = ACTIONS(4020),
    [anon_sym_nullptr] = ACTIONS(4020),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(4022),
    [anon_sym_R_DQUOTE] = ACTIONS(4024),
    [anon_sym_LR_DQUOTE] = ACTIONS(4024),
    [anon_sym_uR_DQUOTE] = ACTIONS(4024),
    [anon_sym_UR_DQUOTE] = ACTIONS(4024),
    [anon_sym_u8R_DQUOTE] = ACTIONS(4024),
    [anon_sym_co_await] = ACTIONS(4026),
    [anon_sym_new] = ACTIONS(4028),
    [anon_sym_requires] = ACTIONS(4030),
    [sym_this] = ACTIONS(4018),
  },
  [2239] = {
    [sym__expression] = STATE(4419),
    [sym__expression_not_binary] = STATE(3672),
    [sym__string] = STATE(3672),
    [sym_conditional_expression] = STATE(3672),
    [sym_assignment_expression] = STATE(3672),
    [sym_pointer_expression] = STATE(3672),
    [sym_unary_expression] = STATE(3672),
    [sym_binary_expression] = STATE(3672),
    [sym_update_expression] = STATE(3672),
    [sym_cast_expression] = STATE(3672),
    [sym_sizeof_expression] = STATE(3672),
    [sym_alignof_expression] = STATE(3672),
    [sym_offsetof_expression] = STATE(3672),
    [sym_generic_expression] = STATE(3672),
    [sym_subscript_expression] = STATE(3672),
    [sym_call_expression] = STATE(3672),
    [sym_gnu_asm_expression] = STATE(3672),
    [sym_field_expression] = STATE(3672),
    [sym_compound_literal_expression] = STATE(3672),
    [sym_parenthesized_expression] = STATE(3672),
    [sym_char_literal] = STATE(3991),
    [sym_concatenated_string] = STATE(3973),
    [sym_string_literal] = STATE(3242),
    [sym_null] = STATE(3672),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9333),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(3672),
    [sym_raw_string_literal] = STATE(3241),
    [sym_co_await_expression] = STATE(3672),
    [sym_new_expression] = STATE(3672),
    [sym_delete_expression] = STATE(3672),
    [sym_requires_clause] = STATE(3672),
    [sym_requires_expression] = STATE(3672),
    [sym_lambda_expression] = STATE(3672),
    [sym_lambda_capture_specifier] = STATE(7134),
    [sym_fold_expression] = STATE(3672),
    [sym_parameter_pack_expansion] = STATE(3672),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6886),
    [sym_qualified_identifier] = STATE(3672),
    [sym_qualified_type_identifier] = STATE(9333),
    [sym_user_defined_literal] = STATE(3672),
    [sym_identifier] = ACTIONS(3968),
    [anon_sym_LPAREN2] = ACTIONS(5243),
    [anon_sym_BANG] = ACTIONS(4116),
    [anon_sym_TILDE] = ACTIONS(4116),
    [anon_sym_DASH] = ACTIONS(4114),
    [anon_sym_PLUS] = ACTIONS(4114),
    [anon_sym_STAR] = ACTIONS(5190),
    [anon_sym_AMP] = ACTIONS(5190),
    [anon_sym_COLON_COLON] = ACTIONS(4118),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [sym_primitive_type] = ACTIONS(3928),
    [anon_sym_not] = ACTIONS(4114),
    [anon_sym_compl] = ACTIONS(4114),
    [anon_sym_DASH_DASH] = ACTIONS(5093),
    [anon_sym_PLUS_PLUS] = ACTIONS(5093),
    [anon_sym_sizeof] = ACTIONS(4120),
    [anon_sym___alignof__] = ACTIONS(3932),
    [anon_sym___alignof] = ACTIONS(3932),
    [anon_sym__alignof] = ACTIONS(3932),
    [anon_sym_alignof] = ACTIONS(3932),
    [anon_sym__Alignof] = ACTIONS(3932),
    [anon_sym_offsetof] = ACTIONS(3934),
    [anon_sym__Generic] = ACTIONS(3936),
    [anon_sym_asm] = ACTIONS(3938),
    [anon_sym___asm__] = ACTIONS(3938),
    [sym_number_literal] = ACTIONS(3978),
    [anon_sym_L_SQUOTE] = ACTIONS(3980),
    [anon_sym_u_SQUOTE] = ACTIONS(3980),
    [anon_sym_U_SQUOTE] = ACTIONS(3980),
    [anon_sym_u8_SQUOTE] = ACTIONS(3980),
    [anon_sym_SQUOTE] = ACTIONS(3980),
    [anon_sym_L_DQUOTE] = ACTIONS(3982),
    [anon_sym_u_DQUOTE] = ACTIONS(3982),
    [anon_sym_U_DQUOTE] = ACTIONS(3982),
    [anon_sym_u8_DQUOTE] = ACTIONS(3982),
    [anon_sym_DQUOTE] = ACTIONS(3982),
    [sym_true] = ACTIONS(3946),
    [sym_false] = ACTIONS(3946),
    [anon_sym_NULL] = ACTIONS(3948),
    [anon_sym_nullptr] = ACTIONS(3948),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(4122),
    [anon_sym_R_DQUOTE] = ACTIONS(3986),
    [anon_sym_LR_DQUOTE] = ACTIONS(3986),
    [anon_sym_uR_DQUOTE] = ACTIONS(3986),
    [anon_sym_UR_DQUOTE] = ACTIONS(3986),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3986),
    [anon_sym_co_await] = ACTIONS(4124),
    [anon_sym_new] = ACTIONS(3990),
    [anon_sym_requires] = ACTIONS(3958),
    [sym_this] = ACTIONS(3946),
  },
  [2240] = {
    [sym__expression] = STATE(4303),
    [sym__expression_not_binary] = STATE(3672),
    [sym__string] = STATE(3672),
    [sym_conditional_expression] = STATE(3672),
    [sym_assignment_expression] = STATE(3672),
    [sym_pointer_expression] = STATE(3672),
    [sym_unary_expression] = STATE(3672),
    [sym_binary_expression] = STATE(3672),
    [sym_update_expression] = STATE(3672),
    [sym_cast_expression] = STATE(3672),
    [sym_sizeof_expression] = STATE(3672),
    [sym_alignof_expression] = STATE(3672),
    [sym_offsetof_expression] = STATE(3672),
    [sym_generic_expression] = STATE(3672),
    [sym_subscript_expression] = STATE(3672),
    [sym_call_expression] = STATE(3672),
    [sym_gnu_asm_expression] = STATE(3672),
    [sym_field_expression] = STATE(3672),
    [sym_compound_literal_expression] = STATE(3672),
    [sym_parenthesized_expression] = STATE(3672),
    [sym_char_literal] = STATE(4466),
    [sym_concatenated_string] = STATE(4465),
    [sym_string_literal] = STATE(3395),
    [sym_null] = STATE(3672),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9333),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(3672),
    [sym_raw_string_literal] = STATE(3400),
    [sym_co_await_expression] = STATE(3672),
    [sym_new_expression] = STATE(3672),
    [sym_delete_expression] = STATE(3672),
    [sym_requires_clause] = STATE(3672),
    [sym_requires_expression] = STATE(3672),
    [sym_lambda_expression] = STATE(3672),
    [sym_lambda_capture_specifier] = STATE(7134),
    [sym_fold_expression] = STATE(3672),
    [sym_parameter_pack_expansion] = STATE(3672),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6886),
    [sym_qualified_identifier] = STATE(3672),
    [sym_qualified_type_identifier] = STATE(9333),
    [sym_user_defined_literal] = STATE(3672),
    [sym_identifier] = ACTIONS(4070),
    [anon_sym_LPAREN2] = ACTIONS(5257),
    [anon_sym_BANG] = ACTIONS(4074),
    [anon_sym_TILDE] = ACTIONS(4074),
    [anon_sym_DASH] = ACTIONS(4072),
    [anon_sym_PLUS] = ACTIONS(4072),
    [anon_sym_STAR] = ACTIONS(5017),
    [anon_sym_AMP] = ACTIONS(5017),
    [anon_sym_COLON_COLON] = ACTIONS(4076),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [sym_primitive_type] = ACTIONS(3928),
    [anon_sym_not] = ACTIONS(4072),
    [anon_sym_compl] = ACTIONS(4072),
    [anon_sym_DASH_DASH] = ACTIONS(5043),
    [anon_sym_PLUS_PLUS] = ACTIONS(5043),
    [anon_sym_sizeof] = ACTIONS(4078),
    [anon_sym___alignof__] = ACTIONS(3932),
    [anon_sym___alignof] = ACTIONS(3932),
    [anon_sym__alignof] = ACTIONS(3932),
    [anon_sym_alignof] = ACTIONS(3932),
    [anon_sym__Alignof] = ACTIONS(3932),
    [anon_sym_offsetof] = ACTIONS(3934),
    [anon_sym__Generic] = ACTIONS(3936),
    [anon_sym_asm] = ACTIONS(3938),
    [anon_sym___asm__] = ACTIONS(3938),
    [sym_number_literal] = ACTIONS(4080),
    [anon_sym_L_SQUOTE] = ACTIONS(4082),
    [anon_sym_u_SQUOTE] = ACTIONS(4082),
    [anon_sym_U_SQUOTE] = ACTIONS(4082),
    [anon_sym_u8_SQUOTE] = ACTIONS(4082),
    [anon_sym_SQUOTE] = ACTIONS(4082),
    [anon_sym_L_DQUOTE] = ACTIONS(4084),
    [anon_sym_u_DQUOTE] = ACTIONS(4084),
    [anon_sym_U_DQUOTE] = ACTIONS(4084),
    [anon_sym_u8_DQUOTE] = ACTIONS(4084),
    [anon_sym_DQUOTE] = ACTIONS(4084),
    [sym_true] = ACTIONS(3946),
    [sym_false] = ACTIONS(3946),
    [anon_sym_NULL] = ACTIONS(3948),
    [anon_sym_nullptr] = ACTIONS(3948),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(4086),
    [anon_sym_R_DQUOTE] = ACTIONS(4088),
    [anon_sym_LR_DQUOTE] = ACTIONS(4088),
    [anon_sym_uR_DQUOTE] = ACTIONS(4088),
    [anon_sym_UR_DQUOTE] = ACTIONS(4088),
    [anon_sym_u8R_DQUOTE] = ACTIONS(4088),
    [anon_sym_co_await] = ACTIONS(4090),
    [anon_sym_new] = ACTIONS(3990),
    [anon_sym_requires] = ACTIONS(3958),
    [sym_this] = ACTIONS(3946),
  },
  [2241] = {
    [sym__expression] = STATE(4420),
    [sym__expression_not_binary] = STATE(3672),
    [sym__string] = STATE(3672),
    [sym_conditional_expression] = STATE(3672),
    [sym_assignment_expression] = STATE(3672),
    [sym_pointer_expression] = STATE(3672),
    [sym_unary_expression] = STATE(3672),
    [sym_binary_expression] = STATE(3672),
    [sym_update_expression] = STATE(3672),
    [sym_cast_expression] = STATE(3672),
    [sym_sizeof_expression] = STATE(3672),
    [sym_alignof_expression] = STATE(3672),
    [sym_offsetof_expression] = STATE(3672),
    [sym_generic_expression] = STATE(3672),
    [sym_subscript_expression] = STATE(3672),
    [sym_call_expression] = STATE(3672),
    [sym_gnu_asm_expression] = STATE(3672),
    [sym_field_expression] = STATE(3672),
    [sym_compound_literal_expression] = STATE(3672),
    [sym_parenthesized_expression] = STATE(3672),
    [sym_char_literal] = STATE(3991),
    [sym_concatenated_string] = STATE(3973),
    [sym_string_literal] = STATE(3242),
    [sym_null] = STATE(3672),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9333),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(3672),
    [sym_raw_string_literal] = STATE(3241),
    [sym_co_await_expression] = STATE(3672),
    [sym_new_expression] = STATE(3672),
    [sym_delete_expression] = STATE(3672),
    [sym_requires_clause] = STATE(3672),
    [sym_requires_expression] = STATE(3672),
    [sym_lambda_expression] = STATE(3672),
    [sym_lambda_capture_specifier] = STATE(7134),
    [sym_fold_expression] = STATE(3672),
    [sym_parameter_pack_expansion] = STATE(3672),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6886),
    [sym_qualified_identifier] = STATE(3672),
    [sym_qualified_type_identifier] = STATE(9333),
    [sym_user_defined_literal] = STATE(3672),
    [sym_identifier] = ACTIONS(3968),
    [anon_sym_LPAREN2] = ACTIONS(5243),
    [anon_sym_BANG] = ACTIONS(4116),
    [anon_sym_TILDE] = ACTIONS(4116),
    [anon_sym_DASH] = ACTIONS(4114),
    [anon_sym_PLUS] = ACTIONS(4114),
    [anon_sym_STAR] = ACTIONS(5190),
    [anon_sym_AMP] = ACTIONS(5190),
    [anon_sym_COLON_COLON] = ACTIONS(4118),
    [anon_sym_LBRACK] = ACTIONS(5519),
    [sym_primitive_type] = ACTIONS(3928),
    [anon_sym_not] = ACTIONS(4114),
    [anon_sym_compl] = ACTIONS(4114),
    [anon_sym_DASH_DASH] = ACTIONS(5093),
    [anon_sym_PLUS_PLUS] = ACTIONS(5093),
    [anon_sym_sizeof] = ACTIONS(4120),
    [anon_sym___alignof__] = ACTIONS(3932),
    [anon_sym___alignof] = ACTIONS(3932),
    [anon_sym__alignof] = ACTIONS(3932),
    [anon_sym_alignof] = ACTIONS(3932),
    [anon_sym__Alignof] = ACTIONS(3932),
    [anon_sym_offsetof] = ACTIONS(3934),
    [anon_sym__Generic] = ACTIONS(3936),
    [anon_sym_asm] = ACTIONS(3938),
    [anon_sym___asm__] = ACTIONS(3938),
    [sym_number_literal] = ACTIONS(3978),
    [anon_sym_L_SQUOTE] = ACTIONS(3980),
    [anon_sym_u_SQUOTE] = ACTIONS(3980),
    [anon_sym_U_SQUOTE] = ACTIONS(3980),
    [anon_sym_u8_SQUOTE] = ACTIONS(3980),
    [anon_sym_SQUOTE] = ACTIONS(3980),
    [anon_sym_L_DQUOTE] = ACTIONS(3982),
    [anon_sym_u_DQUOTE] = ACTIONS(3982),
    [anon_sym_U_DQUOTE] = ACTIONS(3982),
    [anon_sym_u8_DQUOTE] = ACTIONS(3982),
    [anon_sym_DQUOTE] = ACTIONS(3982),
    [sym_true] = ACTIONS(3946),
    [sym_false] = ACTIONS(3946),
    [anon_sym_NULL] = ACTIONS(3948),
    [anon_sym_nullptr] = ACTIONS(3948),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(4122),
    [anon_sym_R_DQUOTE] = ACTIONS(3986),
    [anon_sym_LR_DQUOTE] = ACTIONS(3986),
    [anon_sym_uR_DQUOTE] = ACTIONS(3986),
    [anon_sym_UR_DQUOTE] = ACTIONS(3986),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3986),
    [anon_sym_co_await] = ACTIONS(4124),
    [anon_sym_new] = ACTIONS(3990),
    [anon_sym_requires] = ACTIONS(3958),
    [sym_this] = ACTIONS(3946),
  },
  [2242] = {
    [sym__expression] = STATE(4389),
    [sym__expression_not_binary] = STATE(3672),
    [sym__string] = STATE(3672),
    [sym_conditional_expression] = STATE(3672),
    [sym_assignment_expression] = STATE(3672),
    [sym_pointer_expression] = STATE(3672),
    [sym_unary_expression] = STATE(3672),
    [sym_binary_expression] = STATE(3672),
    [sym_update_expression] = STATE(3672),
    [sym_cast_expression] = STATE(3672),
    [sym_sizeof_expression] = STATE(3672),
    [sym_alignof_expression] = STATE(3672),
    [sym_offsetof_expression] = STATE(3672),
    [sym_generic_expression] = STATE(3672),
    [sym_subscript_expression] = STATE(3672),
    [sym_call_expression] = STATE(3672),
    [sym_gnu_asm_expression] = STATE(3672),
    [sym_field_expression] = STATE(3672),
    [sym_compound_literal_expression] = STATE(3672),
    [sym_parenthesized_expression] = STATE(3672),
    [sym_char_literal] = STATE(3991),
    [sym_concatenated_string] = STATE(3973),
    [sym_string_literal] = STATE(3242),
    [sym_null] = STATE(3672),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9333),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(3672),
    [sym_raw_string_literal] = STATE(3241),
    [sym_co_await_expression] = STATE(3672),
    [sym_new_expression] = STATE(3672),
    [sym_delete_expression] = STATE(3672),
    [sym_requires_clause] = STATE(3672),
    [sym_requires_expression] = STATE(3672),
    [sym_lambda_expression] = STATE(3672),
    [sym_lambda_capture_specifier] = STATE(7134),
    [sym_fold_expression] = STATE(3672),
    [sym_parameter_pack_expansion] = STATE(3672),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6886),
    [sym_qualified_identifier] = STATE(3672),
    [sym_qualified_type_identifier] = STATE(9333),
    [sym_user_defined_literal] = STATE(3672),
    [sym_identifier] = ACTIONS(3968),
    [anon_sym_LPAREN2] = ACTIONS(5243),
    [anon_sym_BANG] = ACTIONS(4116),
    [anon_sym_TILDE] = ACTIONS(4116),
    [anon_sym_DASH] = ACTIONS(4114),
    [anon_sym_PLUS] = ACTIONS(4114),
    [anon_sym_STAR] = ACTIONS(5190),
    [anon_sym_AMP] = ACTIONS(5190),
    [anon_sym_COLON_COLON] = ACTIONS(4118),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [sym_primitive_type] = ACTIONS(3928),
    [anon_sym_not] = ACTIONS(4114),
    [anon_sym_compl] = ACTIONS(4114),
    [anon_sym_DASH_DASH] = ACTIONS(5093),
    [anon_sym_PLUS_PLUS] = ACTIONS(5093),
    [anon_sym_sizeof] = ACTIONS(4120),
    [anon_sym___alignof__] = ACTIONS(3932),
    [anon_sym___alignof] = ACTIONS(3932),
    [anon_sym__alignof] = ACTIONS(3932),
    [anon_sym_alignof] = ACTIONS(3932),
    [anon_sym__Alignof] = ACTIONS(3932),
    [anon_sym_offsetof] = ACTIONS(3934),
    [anon_sym__Generic] = ACTIONS(3936),
    [anon_sym_asm] = ACTIONS(3938),
    [anon_sym___asm__] = ACTIONS(3938),
    [sym_number_literal] = ACTIONS(3978),
    [anon_sym_L_SQUOTE] = ACTIONS(3980),
    [anon_sym_u_SQUOTE] = ACTIONS(3980),
    [anon_sym_U_SQUOTE] = ACTIONS(3980),
    [anon_sym_u8_SQUOTE] = ACTIONS(3980),
    [anon_sym_SQUOTE] = ACTIONS(3980),
    [anon_sym_L_DQUOTE] = ACTIONS(3982),
    [anon_sym_u_DQUOTE] = ACTIONS(3982),
    [anon_sym_U_DQUOTE] = ACTIONS(3982),
    [anon_sym_u8_DQUOTE] = ACTIONS(3982),
    [anon_sym_DQUOTE] = ACTIONS(3982),
    [sym_true] = ACTIONS(3946),
    [sym_false] = ACTIONS(3946),
    [anon_sym_NULL] = ACTIONS(3948),
    [anon_sym_nullptr] = ACTIONS(3948),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(4122),
    [anon_sym_R_DQUOTE] = ACTIONS(3986),
    [anon_sym_LR_DQUOTE] = ACTIONS(3986),
    [anon_sym_uR_DQUOTE] = ACTIONS(3986),
    [anon_sym_UR_DQUOTE] = ACTIONS(3986),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3986),
    [anon_sym_co_await] = ACTIONS(4124),
    [anon_sym_new] = ACTIONS(3990),
    [anon_sym_requires] = ACTIONS(3958),
    [sym_this] = ACTIONS(3946),
  },
  [2243] = {
    [sym__expression] = STATE(4387),
    [sym__expression_not_binary] = STATE(3672),
    [sym__string] = STATE(3672),
    [sym_conditional_expression] = STATE(3672),
    [sym_assignment_expression] = STATE(3672),
    [sym_pointer_expression] = STATE(3672),
    [sym_unary_expression] = STATE(3672),
    [sym_binary_expression] = STATE(3672),
    [sym_update_expression] = STATE(3672),
    [sym_cast_expression] = STATE(3672),
    [sym_sizeof_expression] = STATE(3672),
    [sym_alignof_expression] = STATE(3672),
    [sym_offsetof_expression] = STATE(3672),
    [sym_generic_expression] = STATE(3672),
    [sym_subscript_expression] = STATE(3672),
    [sym_call_expression] = STATE(3672),
    [sym_gnu_asm_expression] = STATE(3672),
    [sym_field_expression] = STATE(3672),
    [sym_compound_literal_expression] = STATE(3672),
    [sym_parenthesized_expression] = STATE(3672),
    [sym_char_literal] = STATE(3991),
    [sym_concatenated_string] = STATE(3973),
    [sym_string_literal] = STATE(3242),
    [sym_null] = STATE(3672),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9333),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(3672),
    [sym_raw_string_literal] = STATE(3241),
    [sym_co_await_expression] = STATE(3672),
    [sym_new_expression] = STATE(3672),
    [sym_delete_expression] = STATE(3672),
    [sym_requires_clause] = STATE(3672),
    [sym_requires_expression] = STATE(3672),
    [sym_lambda_expression] = STATE(3672),
    [sym_lambda_capture_specifier] = STATE(7134),
    [sym_fold_expression] = STATE(3672),
    [sym_parameter_pack_expansion] = STATE(3672),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6886),
    [sym_qualified_identifier] = STATE(3672),
    [sym_qualified_type_identifier] = STATE(9333),
    [sym_user_defined_literal] = STATE(3672),
    [sym_identifier] = ACTIONS(3968),
    [anon_sym_LPAREN2] = ACTIONS(5243),
    [anon_sym_BANG] = ACTIONS(4116),
    [anon_sym_TILDE] = ACTIONS(4116),
    [anon_sym_DASH] = ACTIONS(4114),
    [anon_sym_PLUS] = ACTIONS(4114),
    [anon_sym_STAR] = ACTIONS(5190),
    [anon_sym_AMP] = ACTIONS(5190),
    [anon_sym_COLON_COLON] = ACTIONS(4118),
    [anon_sym_LBRACK] = ACTIONS(5521),
    [sym_primitive_type] = ACTIONS(3928),
    [anon_sym_not] = ACTIONS(4114),
    [anon_sym_compl] = ACTIONS(4114),
    [anon_sym_DASH_DASH] = ACTIONS(5093),
    [anon_sym_PLUS_PLUS] = ACTIONS(5093),
    [anon_sym_sizeof] = ACTIONS(4120),
    [anon_sym___alignof__] = ACTIONS(3932),
    [anon_sym___alignof] = ACTIONS(3932),
    [anon_sym__alignof] = ACTIONS(3932),
    [anon_sym_alignof] = ACTIONS(3932),
    [anon_sym__Alignof] = ACTIONS(3932),
    [anon_sym_offsetof] = ACTIONS(3934),
    [anon_sym__Generic] = ACTIONS(3936),
    [anon_sym_asm] = ACTIONS(3938),
    [anon_sym___asm__] = ACTIONS(3938),
    [sym_number_literal] = ACTIONS(3978),
    [anon_sym_L_SQUOTE] = ACTIONS(3980),
    [anon_sym_u_SQUOTE] = ACTIONS(3980),
    [anon_sym_U_SQUOTE] = ACTIONS(3980),
    [anon_sym_u8_SQUOTE] = ACTIONS(3980),
    [anon_sym_SQUOTE] = ACTIONS(3980),
    [anon_sym_L_DQUOTE] = ACTIONS(3982),
    [anon_sym_u_DQUOTE] = ACTIONS(3982),
    [anon_sym_U_DQUOTE] = ACTIONS(3982),
    [anon_sym_u8_DQUOTE] = ACTIONS(3982),
    [anon_sym_DQUOTE] = ACTIONS(3982),
    [sym_true] = ACTIONS(3946),
    [sym_false] = ACTIONS(3946),
    [anon_sym_NULL] = ACTIONS(3948),
    [anon_sym_nullptr] = ACTIONS(3948),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(4122),
    [anon_sym_R_DQUOTE] = ACTIONS(3986),
    [anon_sym_LR_DQUOTE] = ACTIONS(3986),
    [anon_sym_uR_DQUOTE] = ACTIONS(3986),
    [anon_sym_UR_DQUOTE] = ACTIONS(3986),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3986),
    [anon_sym_co_await] = ACTIONS(4124),
    [anon_sym_new] = ACTIONS(3990),
    [anon_sym_requires] = ACTIONS(3958),
    [sym_this] = ACTIONS(3946),
  },
  [2244] = {
    [sym__expression] = STATE(4415),
    [sym__expression_not_binary] = STATE(3672),
    [sym__string] = STATE(3672),
    [sym_conditional_expression] = STATE(3672),
    [sym_assignment_expression] = STATE(3672),
    [sym_pointer_expression] = STATE(3672),
    [sym_unary_expression] = STATE(3672),
    [sym_binary_expression] = STATE(3672),
    [sym_update_expression] = STATE(3672),
    [sym_cast_expression] = STATE(3672),
    [sym_sizeof_expression] = STATE(3672),
    [sym_alignof_expression] = STATE(3672),
    [sym_offsetof_expression] = STATE(3672),
    [sym_generic_expression] = STATE(3672),
    [sym_subscript_expression] = STATE(3672),
    [sym_call_expression] = STATE(3672),
    [sym_gnu_asm_expression] = STATE(3672),
    [sym_field_expression] = STATE(3672),
    [sym_compound_literal_expression] = STATE(3672),
    [sym_parenthesized_expression] = STATE(3672),
    [sym_char_literal] = STATE(3991),
    [sym_concatenated_string] = STATE(3973),
    [sym_string_literal] = STATE(3242),
    [sym_null] = STATE(3672),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9333),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(3672),
    [sym_raw_string_literal] = STATE(3241),
    [sym_co_await_expression] = STATE(3672),
    [sym_new_expression] = STATE(3672),
    [sym_delete_expression] = STATE(3672),
    [sym_requires_clause] = STATE(3672),
    [sym_requires_expression] = STATE(3672),
    [sym_lambda_expression] = STATE(3672),
    [sym_lambda_capture_specifier] = STATE(7134),
    [sym_fold_expression] = STATE(3672),
    [sym_parameter_pack_expansion] = STATE(3672),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6886),
    [sym_qualified_identifier] = STATE(3672),
    [sym_qualified_type_identifier] = STATE(9333),
    [sym_user_defined_literal] = STATE(3672),
    [sym_identifier] = ACTIONS(3968),
    [anon_sym_LPAREN2] = ACTIONS(5243),
    [anon_sym_BANG] = ACTIONS(4116),
    [anon_sym_TILDE] = ACTIONS(4116),
    [anon_sym_DASH] = ACTIONS(4114),
    [anon_sym_PLUS] = ACTIONS(4114),
    [anon_sym_STAR] = ACTIONS(5190),
    [anon_sym_AMP] = ACTIONS(5190),
    [anon_sym_COLON_COLON] = ACTIONS(4118),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [sym_primitive_type] = ACTIONS(3928),
    [anon_sym_not] = ACTIONS(4114),
    [anon_sym_compl] = ACTIONS(4114),
    [anon_sym_DASH_DASH] = ACTIONS(5093),
    [anon_sym_PLUS_PLUS] = ACTIONS(5093),
    [anon_sym_sizeof] = ACTIONS(4120),
    [anon_sym___alignof__] = ACTIONS(3932),
    [anon_sym___alignof] = ACTIONS(3932),
    [anon_sym__alignof] = ACTIONS(3932),
    [anon_sym_alignof] = ACTIONS(3932),
    [anon_sym__Alignof] = ACTIONS(3932),
    [anon_sym_offsetof] = ACTIONS(3934),
    [anon_sym__Generic] = ACTIONS(3936),
    [anon_sym_asm] = ACTIONS(3938),
    [anon_sym___asm__] = ACTIONS(3938),
    [sym_number_literal] = ACTIONS(3978),
    [anon_sym_L_SQUOTE] = ACTIONS(3980),
    [anon_sym_u_SQUOTE] = ACTIONS(3980),
    [anon_sym_U_SQUOTE] = ACTIONS(3980),
    [anon_sym_u8_SQUOTE] = ACTIONS(3980),
    [anon_sym_SQUOTE] = ACTIONS(3980),
    [anon_sym_L_DQUOTE] = ACTIONS(3982),
    [anon_sym_u_DQUOTE] = ACTIONS(3982),
    [anon_sym_U_DQUOTE] = ACTIONS(3982),
    [anon_sym_u8_DQUOTE] = ACTIONS(3982),
    [anon_sym_DQUOTE] = ACTIONS(3982),
    [sym_true] = ACTIONS(3946),
    [sym_false] = ACTIONS(3946),
    [anon_sym_NULL] = ACTIONS(3948),
    [anon_sym_nullptr] = ACTIONS(3948),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(4122),
    [anon_sym_R_DQUOTE] = ACTIONS(3986),
    [anon_sym_LR_DQUOTE] = ACTIONS(3986),
    [anon_sym_uR_DQUOTE] = ACTIONS(3986),
    [anon_sym_UR_DQUOTE] = ACTIONS(3986),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3986),
    [anon_sym_co_await] = ACTIONS(4124),
    [anon_sym_new] = ACTIONS(3990),
    [anon_sym_requires] = ACTIONS(3958),
    [sym_this] = ACTIONS(3946),
  },
  [2245] = {
    [sym__expression] = STATE(4408),
    [sym__expression_not_binary] = STATE(3672),
    [sym__string] = STATE(3672),
    [sym_conditional_expression] = STATE(3672),
    [sym_assignment_expression] = STATE(3672),
    [sym_pointer_expression] = STATE(3672),
    [sym_unary_expression] = STATE(3672),
    [sym_binary_expression] = STATE(3672),
    [sym_update_expression] = STATE(3672),
    [sym_cast_expression] = STATE(3672),
    [sym_sizeof_expression] = STATE(3672),
    [sym_alignof_expression] = STATE(3672),
    [sym_offsetof_expression] = STATE(3672),
    [sym_generic_expression] = STATE(3672),
    [sym_subscript_expression] = STATE(3672),
    [sym_call_expression] = STATE(3672),
    [sym_gnu_asm_expression] = STATE(3672),
    [sym_field_expression] = STATE(3672),
    [sym_compound_literal_expression] = STATE(3672),
    [sym_parenthesized_expression] = STATE(3672),
    [sym_char_literal] = STATE(3991),
    [sym_concatenated_string] = STATE(3973),
    [sym_string_literal] = STATE(3242),
    [sym_null] = STATE(3672),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9333),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(3672),
    [sym_raw_string_literal] = STATE(3241),
    [sym_co_await_expression] = STATE(3672),
    [sym_new_expression] = STATE(3672),
    [sym_delete_expression] = STATE(3672),
    [sym_requires_clause] = STATE(3672),
    [sym_requires_expression] = STATE(3672),
    [sym_lambda_expression] = STATE(3672),
    [sym_lambda_capture_specifier] = STATE(7134),
    [sym_fold_expression] = STATE(3672),
    [sym_parameter_pack_expansion] = STATE(3672),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6886),
    [sym_qualified_identifier] = STATE(3672),
    [sym_qualified_type_identifier] = STATE(9333),
    [sym_user_defined_literal] = STATE(3672),
    [sym_identifier] = ACTIONS(3968),
    [anon_sym_LPAREN2] = ACTIONS(5243),
    [anon_sym_BANG] = ACTIONS(4116),
    [anon_sym_TILDE] = ACTIONS(4116),
    [anon_sym_DASH] = ACTIONS(4114),
    [anon_sym_PLUS] = ACTIONS(4114),
    [anon_sym_STAR] = ACTIONS(5190),
    [anon_sym_AMP] = ACTIONS(5190),
    [anon_sym_COLON_COLON] = ACTIONS(4118),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [sym_primitive_type] = ACTIONS(3928),
    [anon_sym_not] = ACTIONS(4114),
    [anon_sym_compl] = ACTIONS(4114),
    [anon_sym_DASH_DASH] = ACTIONS(5093),
    [anon_sym_PLUS_PLUS] = ACTIONS(5093),
    [anon_sym_sizeof] = ACTIONS(4120),
    [anon_sym___alignof__] = ACTIONS(3932),
    [anon_sym___alignof] = ACTIONS(3932),
    [anon_sym__alignof] = ACTIONS(3932),
    [anon_sym_alignof] = ACTIONS(3932),
    [anon_sym__Alignof] = ACTIONS(3932),
    [anon_sym_offsetof] = ACTIONS(3934),
    [anon_sym__Generic] = ACTIONS(3936),
    [anon_sym_asm] = ACTIONS(3938),
    [anon_sym___asm__] = ACTIONS(3938),
    [sym_number_literal] = ACTIONS(3978),
    [anon_sym_L_SQUOTE] = ACTIONS(3980),
    [anon_sym_u_SQUOTE] = ACTIONS(3980),
    [anon_sym_U_SQUOTE] = ACTIONS(3980),
    [anon_sym_u8_SQUOTE] = ACTIONS(3980),
    [anon_sym_SQUOTE] = ACTIONS(3980),
    [anon_sym_L_DQUOTE] = ACTIONS(3982),
    [anon_sym_u_DQUOTE] = ACTIONS(3982),
    [anon_sym_U_DQUOTE] = ACTIONS(3982),
    [anon_sym_u8_DQUOTE] = ACTIONS(3982),
    [anon_sym_DQUOTE] = ACTIONS(3982),
    [sym_true] = ACTIONS(3946),
    [sym_false] = ACTIONS(3946),
    [anon_sym_NULL] = ACTIONS(3948),
    [anon_sym_nullptr] = ACTIONS(3948),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(4122),
    [anon_sym_R_DQUOTE] = ACTIONS(3986),
    [anon_sym_LR_DQUOTE] = ACTIONS(3986),
    [anon_sym_uR_DQUOTE] = ACTIONS(3986),
    [anon_sym_UR_DQUOTE] = ACTIONS(3986),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3986),
    [anon_sym_co_await] = ACTIONS(4124),
    [anon_sym_new] = ACTIONS(3990),
    [anon_sym_requires] = ACTIONS(3958),
    [sym_this] = ACTIONS(3946),
  },
  [2246] = {
    [sym__expression] = STATE(4006),
    [sym__expression_not_binary] = STATE(4307),
    [sym__string] = STATE(4307),
    [sym_conditional_expression] = STATE(4307),
    [sym_assignment_expression] = STATE(4307),
    [sym_pointer_expression] = STATE(4307),
    [sym_unary_expression] = STATE(4307),
    [sym_binary_expression] = STATE(4307),
    [sym_update_expression] = STATE(4307),
    [sym_cast_expression] = STATE(4307),
    [sym_sizeof_expression] = STATE(4307),
    [sym_alignof_expression] = STATE(4307),
    [sym_offsetof_expression] = STATE(4307),
    [sym_generic_expression] = STATE(4307),
    [sym_subscript_expression] = STATE(4307),
    [sym_call_expression] = STATE(4307),
    [sym_gnu_asm_expression] = STATE(4307),
    [sym_field_expression] = STATE(4307),
    [sym_compound_literal_expression] = STATE(4307),
    [sym_parenthesized_expression] = STATE(4307),
    [sym_char_literal] = STATE(4093),
    [sym_concatenated_string] = STATE(4159),
    [sym_string_literal] = STATE(3328),
    [sym_null] = STATE(4307),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9053),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(4307),
    [sym_raw_string_literal] = STATE(3294),
    [sym_co_await_expression] = STATE(4307),
    [sym_new_expression] = STATE(4307),
    [sym_delete_expression] = STATE(4307),
    [sym_requires_clause] = STATE(4307),
    [sym_requires_expression] = STATE(4307),
    [sym_lambda_expression] = STATE(4307),
    [sym_lambda_capture_specifier] = STATE(7183),
    [sym_fold_expression] = STATE(4307),
    [sym_parameter_pack_expansion] = STATE(4307),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6962),
    [sym_qualified_identifier] = STATE(4307),
    [sym_qualified_type_identifier] = STATE(9053),
    [sym_user_defined_literal] = STATE(4307),
    [sym_identifier] = ACTIONS(5051),
    [anon_sym_LPAREN2] = ACTIONS(5204),
    [anon_sym_BANG] = ACTIONS(3994),
    [anon_sym_TILDE] = ACTIONS(3994),
    [anon_sym_DASH] = ACTIONS(3992),
    [anon_sym_PLUS] = ACTIONS(3992),
    [anon_sym_STAR] = ACTIONS(5202),
    [anon_sym_AMP] = ACTIONS(5202),
    [anon_sym_COLON_COLON] = ACTIONS(3996),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [sym_primitive_type] = ACTIONS(4000),
    [anon_sym_not] = ACTIONS(3992),
    [anon_sym_compl] = ACTIONS(3992),
    [anon_sym_DASH_DASH] = ACTIONS(5053),
    [anon_sym_PLUS_PLUS] = ACTIONS(5053),
    [anon_sym_sizeof] = ACTIONS(4002),
    [anon_sym___alignof__] = ACTIONS(4004),
    [anon_sym___alignof] = ACTIONS(4004),
    [anon_sym__alignof] = ACTIONS(4004),
    [anon_sym_alignof] = ACTIONS(4004),
    [anon_sym__Alignof] = ACTIONS(4004),
    [anon_sym_offsetof] = ACTIONS(4006),
    [anon_sym__Generic] = ACTIONS(4008),
    [anon_sym_asm] = ACTIONS(4010),
    [anon_sym___asm__] = ACTIONS(4010),
    [sym_number_literal] = ACTIONS(4012),
    [anon_sym_L_SQUOTE] = ACTIONS(4014),
    [anon_sym_u_SQUOTE] = ACTIONS(4014),
    [anon_sym_U_SQUOTE] = ACTIONS(4014),
    [anon_sym_u8_SQUOTE] = ACTIONS(4014),
    [anon_sym_SQUOTE] = ACTIONS(4014),
    [anon_sym_L_DQUOTE] = ACTIONS(4016),
    [anon_sym_u_DQUOTE] = ACTIONS(4016),
    [anon_sym_U_DQUOTE] = ACTIONS(4016),
    [anon_sym_u8_DQUOTE] = ACTIONS(4016),
    [anon_sym_DQUOTE] = ACTIONS(4016),
    [sym_true] = ACTIONS(4018),
    [sym_false] = ACTIONS(4018),
    [anon_sym_NULL] = ACTIONS(4020),
    [anon_sym_nullptr] = ACTIONS(4020),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(4022),
    [anon_sym_R_DQUOTE] = ACTIONS(4024),
    [anon_sym_LR_DQUOTE] = ACTIONS(4024),
    [anon_sym_uR_DQUOTE] = ACTIONS(4024),
    [anon_sym_UR_DQUOTE] = ACTIONS(4024),
    [anon_sym_u8R_DQUOTE] = ACTIONS(4024),
    [anon_sym_co_await] = ACTIONS(4026),
    [anon_sym_new] = ACTIONS(4028),
    [anon_sym_requires] = ACTIONS(4030),
    [sym_this] = ACTIONS(4018),
  },
  [2247] = {
    [sym__expression] = STATE(5856),
    [sym__expression_not_binary] = STATE(5024),
    [sym__string] = STATE(5024),
    [sym_conditional_expression] = STATE(5024),
    [sym_assignment_expression] = STATE(5024),
    [sym_pointer_expression] = STATE(4507),
    [sym_unary_expression] = STATE(5024),
    [sym_binary_expression] = STATE(5024),
    [sym_update_expression] = STATE(5024),
    [sym_cast_expression] = STATE(5024),
    [sym_sizeof_expression] = STATE(5024),
    [sym_alignof_expression] = STATE(5024),
    [sym_offsetof_expression] = STATE(5024),
    [sym_generic_expression] = STATE(5024),
    [sym_subscript_expression] = STATE(4507),
    [sym_call_expression] = STATE(4507),
    [sym_gnu_asm_expression] = STATE(5024),
    [sym_field_expression] = STATE(4507),
    [sym_compound_literal_expression] = STATE(5024),
    [sym_parenthesized_expression] = STATE(4507),
    [sym_char_literal] = STATE(5374),
    [sym_concatenated_string] = STATE(5377),
    [sym_string_literal] = STATE(4206),
    [sym_null] = STATE(5024),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9352),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(5024),
    [sym_raw_string_literal] = STATE(4217),
    [sym_co_await_expression] = STATE(5024),
    [sym_new_expression] = STATE(5024),
    [sym_delete_expression] = STATE(5024),
    [sym_requires_clause] = STATE(5024),
    [sym_requires_expression] = STATE(5024),
    [sym_lambda_expression] = STATE(5024),
    [sym_lambda_capture_specifier] = STATE(7184),
    [sym_fold_expression] = STATE(5024),
    [sym_parameter_pack_expansion] = STATE(5024),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6886),
    [sym_qualified_identifier] = STATE(4507),
    [sym_qualified_type_identifier] = STATE(9352),
    [sym_user_defined_literal] = STATE(4507),
    [sym_identifier] = ACTIONS(3140),
    [anon_sym_LPAREN2] = ACTIONS(1472),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1474),
    [anon_sym_AMP] = ACTIONS(1474),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [sym_primitive_type] = ACTIONS(3146),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [2248] = {
    [sym__expression] = STATE(3813),
    [sym__expression_not_binary] = STATE(3672),
    [sym__string] = STATE(3672),
    [sym_conditional_expression] = STATE(3672),
    [sym_assignment_expression] = STATE(3672),
    [sym_pointer_expression] = STATE(3672),
    [sym_unary_expression] = STATE(3672),
    [sym_binary_expression] = STATE(3672),
    [sym_update_expression] = STATE(3672),
    [sym_cast_expression] = STATE(3672),
    [sym_sizeof_expression] = STATE(3672),
    [sym_alignof_expression] = STATE(3672),
    [sym_offsetof_expression] = STATE(3672),
    [sym_generic_expression] = STATE(3672),
    [sym_subscript_expression] = STATE(3672),
    [sym_call_expression] = STATE(3672),
    [sym_gnu_asm_expression] = STATE(3672),
    [sym_field_expression] = STATE(3672),
    [sym_compound_literal_expression] = STATE(3672),
    [sym_parenthesized_expression] = STATE(3672),
    [sym_char_literal] = STATE(3855),
    [sym_concatenated_string] = STATE(3873),
    [sym_string_literal] = STATE(3222),
    [sym_null] = STATE(3672),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9333),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(3672),
    [sym_raw_string_literal] = STATE(3216),
    [sym_co_await_expression] = STATE(3672),
    [sym_new_expression] = STATE(3672),
    [sym_delete_expression] = STATE(3672),
    [sym_requires_clause] = STATE(3672),
    [sym_requires_expression] = STATE(3672),
    [sym_lambda_expression] = STATE(3672),
    [sym_lambda_capture_specifier] = STATE(7134),
    [sym_fold_expression] = STATE(3672),
    [sym_parameter_pack_expansion] = STATE(3672),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6886),
    [sym_qualified_identifier] = STATE(3672),
    [sym_qualified_type_identifier] = STATE(9333),
    [sym_user_defined_literal] = STATE(3672),
    [sym_identifier] = ACTIONS(3968),
    [anon_sym_LPAREN2] = ACTIONS(5184),
    [anon_sym_BANG] = ACTIONS(3922),
    [anon_sym_TILDE] = ACTIONS(3922),
    [anon_sym_DASH] = ACTIONS(3920),
    [anon_sym_PLUS] = ACTIONS(3920),
    [anon_sym_STAR] = ACTIONS(5186),
    [anon_sym_AMP] = ACTIONS(5186),
    [anon_sym_COLON_COLON] = ACTIONS(3924),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [sym_primitive_type] = ACTIONS(3928),
    [anon_sym_not] = ACTIONS(3920),
    [anon_sym_compl] = ACTIONS(3920),
    [anon_sym_DASH_DASH] = ACTIONS(5013),
    [anon_sym_PLUS_PLUS] = ACTIONS(5013),
    [anon_sym_sizeof] = ACTIONS(3930),
    [anon_sym___alignof__] = ACTIONS(3932),
    [anon_sym___alignof] = ACTIONS(3932),
    [anon_sym__alignof] = ACTIONS(3932),
    [anon_sym_alignof] = ACTIONS(3932),
    [anon_sym__Alignof] = ACTIONS(3932),
    [anon_sym_offsetof] = ACTIONS(3934),
    [anon_sym__Generic] = ACTIONS(3936),
    [anon_sym_asm] = ACTIONS(3938),
    [anon_sym___asm__] = ACTIONS(3938),
    [sym_number_literal] = ACTIONS(3940),
    [anon_sym_L_SQUOTE] = ACTIONS(3942),
    [anon_sym_u_SQUOTE] = ACTIONS(3942),
    [anon_sym_U_SQUOTE] = ACTIONS(3942),
    [anon_sym_u8_SQUOTE] = ACTIONS(3942),
    [anon_sym_SQUOTE] = ACTIONS(3942),
    [anon_sym_L_DQUOTE] = ACTIONS(3944),
    [anon_sym_u_DQUOTE] = ACTIONS(3944),
    [anon_sym_U_DQUOTE] = ACTIONS(3944),
    [anon_sym_u8_DQUOTE] = ACTIONS(3944),
    [anon_sym_DQUOTE] = ACTIONS(3944),
    [sym_true] = ACTIONS(3946),
    [sym_false] = ACTIONS(3946),
    [anon_sym_NULL] = ACTIONS(3948),
    [anon_sym_nullptr] = ACTIONS(3948),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(3950),
    [anon_sym_R_DQUOTE] = ACTIONS(3952),
    [anon_sym_LR_DQUOTE] = ACTIONS(3952),
    [anon_sym_uR_DQUOTE] = ACTIONS(3952),
    [anon_sym_UR_DQUOTE] = ACTIONS(3952),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3952),
    [anon_sym_co_await] = ACTIONS(3954),
    [anon_sym_new] = ACTIONS(3956),
    [anon_sym_requires] = ACTIONS(3958),
    [sym_this] = ACTIONS(3946),
  },
  [2249] = {
    [sym__expression] = STATE(5392),
    [sym__expression_not_binary] = STATE(5024),
    [sym__string] = STATE(5024),
    [sym_conditional_expression] = STATE(5024),
    [sym_assignment_expression] = STATE(5024),
    [sym_pointer_expression] = STATE(4507),
    [sym_unary_expression] = STATE(5024),
    [sym_binary_expression] = STATE(5024),
    [sym_update_expression] = STATE(5024),
    [sym_cast_expression] = STATE(5024),
    [sym_sizeof_expression] = STATE(5024),
    [sym_alignof_expression] = STATE(5024),
    [sym_offsetof_expression] = STATE(5024),
    [sym_generic_expression] = STATE(5024),
    [sym_subscript_expression] = STATE(4507),
    [sym_call_expression] = STATE(4507),
    [sym_gnu_asm_expression] = STATE(5024),
    [sym_field_expression] = STATE(4507),
    [sym_compound_literal_expression] = STATE(5024),
    [sym_parenthesized_expression] = STATE(4507),
    [sym_char_literal] = STATE(5374),
    [sym_concatenated_string] = STATE(5377),
    [sym_string_literal] = STATE(4206),
    [sym_null] = STATE(5024),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9352),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(5024),
    [sym_raw_string_literal] = STATE(4217),
    [sym_co_await_expression] = STATE(5024),
    [sym_new_expression] = STATE(5024),
    [sym_delete_expression] = STATE(5024),
    [sym_requires_clause] = STATE(5024),
    [sym_requires_expression] = STATE(5024),
    [sym_lambda_expression] = STATE(5024),
    [sym_lambda_capture_specifier] = STATE(7184),
    [sym_fold_expression] = STATE(5024),
    [sym_parameter_pack_expansion] = STATE(5024),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6886),
    [sym_qualified_identifier] = STATE(4507),
    [sym_qualified_type_identifier] = STATE(9352),
    [sym_user_defined_literal] = STATE(4507),
    [sym_identifier] = ACTIONS(3140),
    [anon_sym_LPAREN2] = ACTIONS(1472),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1474),
    [anon_sym_AMP] = ACTIONS(1474),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [sym_primitive_type] = ACTIONS(3146),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [2250] = {
    [sym__expression] = STATE(4407),
    [sym__expression_not_binary] = STATE(3672),
    [sym__string] = STATE(3672),
    [sym_conditional_expression] = STATE(3672),
    [sym_assignment_expression] = STATE(3672),
    [sym_pointer_expression] = STATE(3672),
    [sym_unary_expression] = STATE(3672),
    [sym_binary_expression] = STATE(3672),
    [sym_update_expression] = STATE(3672),
    [sym_cast_expression] = STATE(3672),
    [sym_sizeof_expression] = STATE(3672),
    [sym_alignof_expression] = STATE(3672),
    [sym_offsetof_expression] = STATE(3672),
    [sym_generic_expression] = STATE(3672),
    [sym_subscript_expression] = STATE(3672),
    [sym_call_expression] = STATE(3672),
    [sym_gnu_asm_expression] = STATE(3672),
    [sym_field_expression] = STATE(3672),
    [sym_compound_literal_expression] = STATE(3672),
    [sym_parenthesized_expression] = STATE(3672),
    [sym_char_literal] = STATE(3991),
    [sym_concatenated_string] = STATE(3973),
    [sym_string_literal] = STATE(3242),
    [sym_null] = STATE(3672),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9333),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(3672),
    [sym_raw_string_literal] = STATE(3241),
    [sym_co_await_expression] = STATE(3672),
    [sym_new_expression] = STATE(3672),
    [sym_delete_expression] = STATE(3672),
    [sym_requires_clause] = STATE(3672),
    [sym_requires_expression] = STATE(3672),
    [sym_lambda_expression] = STATE(3672),
    [sym_lambda_capture_specifier] = STATE(7134),
    [sym_fold_expression] = STATE(3672),
    [sym_parameter_pack_expansion] = STATE(3672),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6886),
    [sym_qualified_identifier] = STATE(3672),
    [sym_qualified_type_identifier] = STATE(9333),
    [sym_user_defined_literal] = STATE(3672),
    [sym_identifier] = ACTIONS(3968),
    [anon_sym_LPAREN2] = ACTIONS(5243),
    [anon_sym_BANG] = ACTIONS(4116),
    [anon_sym_TILDE] = ACTIONS(4116),
    [anon_sym_DASH] = ACTIONS(4114),
    [anon_sym_PLUS] = ACTIONS(4114),
    [anon_sym_STAR] = ACTIONS(5190),
    [anon_sym_AMP] = ACTIONS(5190),
    [anon_sym_COLON_COLON] = ACTIONS(4118),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [sym_primitive_type] = ACTIONS(3928),
    [anon_sym_not] = ACTIONS(4114),
    [anon_sym_compl] = ACTIONS(4114),
    [anon_sym_DASH_DASH] = ACTIONS(5093),
    [anon_sym_PLUS_PLUS] = ACTIONS(5093),
    [anon_sym_sizeof] = ACTIONS(4120),
    [anon_sym___alignof__] = ACTIONS(3932),
    [anon_sym___alignof] = ACTIONS(3932),
    [anon_sym__alignof] = ACTIONS(3932),
    [anon_sym_alignof] = ACTIONS(3932),
    [anon_sym__Alignof] = ACTIONS(3932),
    [anon_sym_offsetof] = ACTIONS(3934),
    [anon_sym__Generic] = ACTIONS(3936),
    [anon_sym_asm] = ACTIONS(3938),
    [anon_sym___asm__] = ACTIONS(3938),
    [sym_number_literal] = ACTIONS(3978),
    [anon_sym_L_SQUOTE] = ACTIONS(3980),
    [anon_sym_u_SQUOTE] = ACTIONS(3980),
    [anon_sym_U_SQUOTE] = ACTIONS(3980),
    [anon_sym_u8_SQUOTE] = ACTIONS(3980),
    [anon_sym_SQUOTE] = ACTIONS(3980),
    [anon_sym_L_DQUOTE] = ACTIONS(3982),
    [anon_sym_u_DQUOTE] = ACTIONS(3982),
    [anon_sym_U_DQUOTE] = ACTIONS(3982),
    [anon_sym_u8_DQUOTE] = ACTIONS(3982),
    [anon_sym_DQUOTE] = ACTIONS(3982),
    [sym_true] = ACTIONS(3946),
    [sym_false] = ACTIONS(3946),
    [anon_sym_NULL] = ACTIONS(3948),
    [anon_sym_nullptr] = ACTIONS(3948),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(4122),
    [anon_sym_R_DQUOTE] = ACTIONS(3986),
    [anon_sym_LR_DQUOTE] = ACTIONS(3986),
    [anon_sym_uR_DQUOTE] = ACTIONS(3986),
    [anon_sym_UR_DQUOTE] = ACTIONS(3986),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3986),
    [anon_sym_co_await] = ACTIONS(4124),
    [anon_sym_new] = ACTIONS(3990),
    [anon_sym_requires] = ACTIONS(3958),
    [sym_this] = ACTIONS(3946),
  },
  [2251] = {
    [sym__expression] = STATE(5820),
    [sym__expression_not_binary] = STATE(5024),
    [sym__string] = STATE(5024),
    [sym_conditional_expression] = STATE(5024),
    [sym_assignment_expression] = STATE(5024),
    [sym_pointer_expression] = STATE(4713),
    [sym_unary_expression] = STATE(5024),
    [sym_binary_expression] = STATE(5024),
    [sym_update_expression] = STATE(5024),
    [sym_cast_expression] = STATE(5024),
    [sym_sizeof_expression] = STATE(5024),
    [sym_alignof_expression] = STATE(5024),
    [sym_offsetof_expression] = STATE(5024),
    [sym_generic_expression] = STATE(5024),
    [sym_subscript_expression] = STATE(4713),
    [sym_call_expression] = STATE(4713),
    [sym_gnu_asm_expression] = STATE(5024),
    [sym_field_expression] = STATE(4713),
    [sym_compound_literal_expression] = STATE(5024),
    [sym_parenthesized_expression] = STATE(4713),
    [sym_char_literal] = STATE(5374),
    [sym_concatenated_string] = STATE(5377),
    [sym_string_literal] = STATE(4206),
    [sym_null] = STATE(5024),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9352),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(5024),
    [sym_raw_string_literal] = STATE(4217),
    [sym_co_await_expression] = STATE(5024),
    [sym_new_expression] = STATE(5024),
    [sym_delete_expression] = STATE(5024),
    [sym_requires_clause] = STATE(5024),
    [sym_requires_expression] = STATE(5024),
    [sym_lambda_expression] = STATE(5024),
    [sym_lambda_capture_specifier] = STATE(7184),
    [sym_fold_expression] = STATE(5024),
    [sym_parameter_pack_expansion] = STATE(5024),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6886),
    [sym_qualified_identifier] = STATE(4713),
    [sym_qualified_type_identifier] = STATE(9352),
    [sym_user_defined_literal] = STATE(4713),
    [sym_identifier] = ACTIONS(4518),
    [anon_sym_LPAREN2] = ACTIONS(5188),
    [anon_sym_BANG] = ACTIONS(4522),
    [anon_sym_TILDE] = ACTIONS(4522),
    [anon_sym_DASH] = ACTIONS(4520),
    [anon_sym_PLUS] = ACTIONS(4520),
    [anon_sym_STAR] = ACTIONS(5190),
    [anon_sym_AMP] = ACTIONS(5190),
    [anon_sym_COLON_COLON] = ACTIONS(4524),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [sym_primitive_type] = ACTIONS(3146),
    [anon_sym_not] = ACTIONS(4520),
    [anon_sym_compl] = ACTIONS(4520),
    [anon_sym_DASH_DASH] = ACTIONS(5071),
    [anon_sym_PLUS_PLUS] = ACTIONS(5071),
    [anon_sym_sizeof] = ACTIONS(4526),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(4528),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(4530),
    [anon_sym_new] = ACTIONS(4516),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [2252] = {
    [sym__expression] = STATE(4194),
    [sym__expression_not_binary] = STATE(3672),
    [sym__string] = STATE(3672),
    [sym_conditional_expression] = STATE(3672),
    [sym_assignment_expression] = STATE(3672),
    [sym_pointer_expression] = STATE(3672),
    [sym_unary_expression] = STATE(3672),
    [sym_binary_expression] = STATE(3672),
    [sym_update_expression] = STATE(3672),
    [sym_cast_expression] = STATE(3672),
    [sym_sizeof_expression] = STATE(3672),
    [sym_alignof_expression] = STATE(3672),
    [sym_offsetof_expression] = STATE(3672),
    [sym_generic_expression] = STATE(3672),
    [sym_subscript_expression] = STATE(3672),
    [sym_call_expression] = STATE(3672),
    [sym_gnu_asm_expression] = STATE(3672),
    [sym_field_expression] = STATE(3672),
    [sym_compound_literal_expression] = STATE(3672),
    [sym_parenthesized_expression] = STATE(3672),
    [sym_char_literal] = STATE(4466),
    [sym_concatenated_string] = STATE(4465),
    [sym_string_literal] = STATE(3395),
    [sym_null] = STATE(3672),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9333),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(3672),
    [sym_raw_string_literal] = STATE(3400),
    [sym_co_await_expression] = STATE(3672),
    [sym_new_expression] = STATE(3672),
    [sym_delete_expression] = STATE(3672),
    [sym_requires_clause] = STATE(3672),
    [sym_requires_expression] = STATE(3672),
    [sym_lambda_expression] = STATE(3672),
    [sym_lambda_capture_specifier] = STATE(7134),
    [sym_fold_expression] = STATE(3672),
    [sym_parameter_pack_expansion] = STATE(3672),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6886),
    [sym_qualified_identifier] = STATE(3672),
    [sym_qualified_type_identifier] = STATE(9333),
    [sym_user_defined_literal] = STATE(3672),
    [sym_identifier] = ACTIONS(4070),
    [anon_sym_LPAREN2] = ACTIONS(5257),
    [anon_sym_BANG] = ACTIONS(4074),
    [anon_sym_TILDE] = ACTIONS(4074),
    [anon_sym_DASH] = ACTIONS(4072),
    [anon_sym_PLUS] = ACTIONS(4072),
    [anon_sym_STAR] = ACTIONS(5017),
    [anon_sym_AMP] = ACTIONS(5017),
    [anon_sym_COLON_COLON] = ACTIONS(4076),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [sym_primitive_type] = ACTIONS(3928),
    [anon_sym_not] = ACTIONS(4072),
    [anon_sym_compl] = ACTIONS(4072),
    [anon_sym_DASH_DASH] = ACTIONS(5043),
    [anon_sym_PLUS_PLUS] = ACTIONS(5043),
    [anon_sym_sizeof] = ACTIONS(4078),
    [anon_sym___alignof__] = ACTIONS(3932),
    [anon_sym___alignof] = ACTIONS(3932),
    [anon_sym__alignof] = ACTIONS(3932),
    [anon_sym_alignof] = ACTIONS(3932),
    [anon_sym__Alignof] = ACTIONS(3932),
    [anon_sym_offsetof] = ACTIONS(3934),
    [anon_sym__Generic] = ACTIONS(3936),
    [anon_sym_asm] = ACTIONS(3938),
    [anon_sym___asm__] = ACTIONS(3938),
    [sym_number_literal] = ACTIONS(4080),
    [anon_sym_L_SQUOTE] = ACTIONS(4082),
    [anon_sym_u_SQUOTE] = ACTIONS(4082),
    [anon_sym_U_SQUOTE] = ACTIONS(4082),
    [anon_sym_u8_SQUOTE] = ACTIONS(4082),
    [anon_sym_SQUOTE] = ACTIONS(4082),
    [anon_sym_L_DQUOTE] = ACTIONS(4084),
    [anon_sym_u_DQUOTE] = ACTIONS(4084),
    [anon_sym_U_DQUOTE] = ACTIONS(4084),
    [anon_sym_u8_DQUOTE] = ACTIONS(4084),
    [anon_sym_DQUOTE] = ACTIONS(4084),
    [sym_true] = ACTIONS(3946),
    [sym_false] = ACTIONS(3946),
    [anon_sym_NULL] = ACTIONS(3948),
    [anon_sym_nullptr] = ACTIONS(3948),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(4086),
    [anon_sym_R_DQUOTE] = ACTIONS(4088),
    [anon_sym_LR_DQUOTE] = ACTIONS(4088),
    [anon_sym_uR_DQUOTE] = ACTIONS(4088),
    [anon_sym_UR_DQUOTE] = ACTIONS(4088),
    [anon_sym_u8R_DQUOTE] = ACTIONS(4088),
    [anon_sym_co_await] = ACTIONS(4090),
    [anon_sym_new] = ACTIONS(3990),
    [anon_sym_requires] = ACTIONS(3958),
    [sym_this] = ACTIONS(3946),
  },
  [2253] = {
    [sym__expression] = STATE(4248),
    [sym__expression_not_binary] = STATE(4695),
    [sym__string] = STATE(4695),
    [sym_conditional_expression] = STATE(4695),
    [sym_assignment_expression] = STATE(4695),
    [sym_pointer_expression] = STATE(4695),
    [sym_unary_expression] = STATE(4695),
    [sym_binary_expression] = STATE(4695),
    [sym_update_expression] = STATE(4695),
    [sym_cast_expression] = STATE(4695),
    [sym_sizeof_expression] = STATE(4695),
    [sym_alignof_expression] = STATE(4695),
    [sym_offsetof_expression] = STATE(4695),
    [sym_generic_expression] = STATE(4695),
    [sym_subscript_expression] = STATE(4695),
    [sym_call_expression] = STATE(4695),
    [sym_gnu_asm_expression] = STATE(4695),
    [sym_field_expression] = STATE(4695),
    [sym_compound_literal_expression] = STATE(4695),
    [sym_parenthesized_expression] = STATE(4695),
    [sym_char_literal] = STATE(4427),
    [sym_concatenated_string] = STATE(4424),
    [sym_string_literal] = STATE(3398),
    [sym_null] = STATE(4695),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9425),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(4695),
    [sym_raw_string_literal] = STATE(3396),
    [sym_co_await_expression] = STATE(4695),
    [sym_new_expression] = STATE(4695),
    [sym_delete_expression] = STATE(4695),
    [sym_requires_clause] = STATE(4695),
    [sym_requires_expression] = STATE(4695),
    [sym_lambda_expression] = STATE(4695),
    [sym_lambda_capture_specifier] = STATE(7185),
    [sym_fold_expression] = STATE(4695),
    [sym_parameter_pack_expansion] = STATE(4695),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6899),
    [sym_qualified_identifier] = STATE(4695),
    [sym_qualified_type_identifier] = STATE(9425),
    [sym_user_defined_literal] = STATE(4695),
    [sym_identifier] = ACTIONS(4092),
    [anon_sym_LPAREN2] = ACTIONS(4188),
    [anon_sym_BANG] = ACTIONS(2532),
    [anon_sym_TILDE] = ACTIONS(2532),
    [anon_sym_DASH] = ACTIONS(2536),
    [anon_sym_PLUS] = ACTIONS(2536),
    [anon_sym_STAR] = ACTIONS(2116),
    [anon_sym_AMP] = ACTIONS(2116),
    [anon_sym_COLON_COLON] = ACTIONS(2542),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [sym_primitive_type] = ACTIONS(4096),
    [anon_sym_not] = ACTIONS(2536),
    [anon_sym_compl] = ACTIONS(2536),
    [anon_sym_DASH_DASH] = ACTIONS(2560),
    [anon_sym_PLUS_PLUS] = ACTIONS(2560),
    [anon_sym_sizeof] = ACTIONS(2562),
    [anon_sym___alignof__] = ACTIONS(2564),
    [anon_sym___alignof] = ACTIONS(2564),
    [anon_sym__alignof] = ACTIONS(2564),
    [anon_sym_alignof] = ACTIONS(2564),
    [anon_sym__Alignof] = ACTIONS(2564),
    [anon_sym_offsetof] = ACTIONS(2566),
    [anon_sym__Generic] = ACTIONS(2568),
    [anon_sym_asm] = ACTIONS(2570),
    [anon_sym___asm__] = ACTIONS(2570),
    [sym_number_literal] = ACTIONS(2572),
    [anon_sym_L_SQUOTE] = ACTIONS(2574),
    [anon_sym_u_SQUOTE] = ACTIONS(2574),
    [anon_sym_U_SQUOTE] = ACTIONS(2574),
    [anon_sym_u8_SQUOTE] = ACTIONS(2574),
    [anon_sym_SQUOTE] = ACTIONS(2574),
    [anon_sym_L_DQUOTE] = ACTIONS(2576),
    [anon_sym_u_DQUOTE] = ACTIONS(2576),
    [anon_sym_U_DQUOTE] = ACTIONS(2576),
    [anon_sym_u8_DQUOTE] = ACTIONS(2576),
    [anon_sym_DQUOTE] = ACTIONS(2576),
    [sym_true] = ACTIONS(2578),
    [sym_false] = ACTIONS(2578),
    [anon_sym_NULL] = ACTIONS(2580),
    [anon_sym_nullptr] = ACTIONS(2580),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(2590),
    [anon_sym_R_DQUOTE] = ACTIONS(2592),
    [anon_sym_LR_DQUOTE] = ACTIONS(2592),
    [anon_sym_uR_DQUOTE] = ACTIONS(2592),
    [anon_sym_UR_DQUOTE] = ACTIONS(2592),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2592),
    [anon_sym_co_await] = ACTIONS(2594),
    [anon_sym_new] = ACTIONS(2596),
    [anon_sym_requires] = ACTIONS(2598),
    [sym_this] = ACTIONS(2578),
  },
  [2254] = {
    [sym__expression] = STATE(4809),
    [sym__expression_not_binary] = STATE(4939),
    [sym__string] = STATE(4939),
    [sym_conditional_expression] = STATE(4939),
    [sym_assignment_expression] = STATE(4939),
    [sym_pointer_expression] = STATE(4521),
    [sym_unary_expression] = STATE(4939),
    [sym_binary_expression] = STATE(4939),
    [sym_update_expression] = STATE(4939),
    [sym_cast_expression] = STATE(4939),
    [sym_sizeof_expression] = STATE(4939),
    [sym_alignof_expression] = STATE(4939),
    [sym_offsetof_expression] = STATE(4939),
    [sym_generic_expression] = STATE(4939),
    [sym_subscript_expression] = STATE(4521),
    [sym_call_expression] = STATE(4521),
    [sym_gnu_asm_expression] = STATE(4939),
    [sym_field_expression] = STATE(4521),
    [sym_compound_literal_expression] = STATE(4939),
    [sym_parenthesized_expression] = STATE(4521),
    [sym_char_literal] = STATE(4856),
    [sym_concatenated_string] = STATE(4876),
    [sym_string_literal] = STATE(3630),
    [sym_null] = STATE(4939),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9415),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(4939),
    [sym_raw_string_literal] = STATE(3632),
    [sym_co_await_expression] = STATE(4939),
    [sym_new_expression] = STATE(4939),
    [sym_delete_expression] = STATE(4939),
    [sym_requires_clause] = STATE(4939),
    [sym_requires_expression] = STATE(4939),
    [sym_lambda_expression] = STATE(4939),
    [sym_lambda_capture_specifier] = STATE(7190),
    [sym_fold_expression] = STATE(4939),
    [sym_parameter_pack_expansion] = STATE(4939),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6899),
    [sym_qualified_identifier] = STATE(4521),
    [sym_qualified_type_identifier] = STATE(9415),
    [sym_user_defined_literal] = STATE(4521),
    [sym_identifier] = ACTIONS(4178),
    [anon_sym_LPAREN2] = ACTIONS(2110),
    [anon_sym_BANG] = ACTIONS(2112),
    [anon_sym_TILDE] = ACTIONS(2112),
    [anon_sym_DASH] = ACTIONS(2114),
    [anon_sym_PLUS] = ACTIONS(2114),
    [anon_sym_STAR] = ACTIONS(2116),
    [anon_sym_AMP] = ACTIONS(2116),
    [anon_sym_COLON_COLON] = ACTIONS(2120),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [sym_primitive_type] = ACTIONS(4182),
    [anon_sym_not] = ACTIONS(2114),
    [anon_sym_compl] = ACTIONS(2114),
    [anon_sym_DASH_DASH] = ACTIONS(2132),
    [anon_sym_PLUS_PLUS] = ACTIONS(2132),
    [anon_sym_sizeof] = ACTIONS(2134),
    [anon_sym___alignof__] = ACTIONS(2136),
    [anon_sym___alignof] = ACTIONS(2136),
    [anon_sym__alignof] = ACTIONS(2136),
    [anon_sym_alignof] = ACTIONS(2136),
    [anon_sym__Alignof] = ACTIONS(2136),
    [anon_sym_offsetof] = ACTIONS(2138),
    [anon_sym__Generic] = ACTIONS(2140),
    [anon_sym_asm] = ACTIONS(2142),
    [anon_sym___asm__] = ACTIONS(2142),
    [sym_number_literal] = ACTIONS(2144),
    [anon_sym_L_SQUOTE] = ACTIONS(2146),
    [anon_sym_u_SQUOTE] = ACTIONS(2146),
    [anon_sym_U_SQUOTE] = ACTIONS(2146),
    [anon_sym_u8_SQUOTE] = ACTIONS(2146),
    [anon_sym_SQUOTE] = ACTIONS(2146),
    [anon_sym_L_DQUOTE] = ACTIONS(2148),
    [anon_sym_u_DQUOTE] = ACTIONS(2148),
    [anon_sym_U_DQUOTE] = ACTIONS(2148),
    [anon_sym_u8_DQUOTE] = ACTIONS(2148),
    [anon_sym_DQUOTE] = ACTIONS(2148),
    [sym_true] = ACTIONS(2150),
    [sym_false] = ACTIONS(2150),
    [anon_sym_NULL] = ACTIONS(2152),
    [anon_sym_nullptr] = ACTIONS(2152),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(2156),
    [anon_sym_R_DQUOTE] = ACTIONS(2158),
    [anon_sym_LR_DQUOTE] = ACTIONS(2158),
    [anon_sym_uR_DQUOTE] = ACTIONS(2158),
    [anon_sym_UR_DQUOTE] = ACTIONS(2158),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2158),
    [anon_sym_co_await] = ACTIONS(2160),
    [anon_sym_new] = ACTIONS(2162),
    [anon_sym_requires] = ACTIONS(2164),
    [sym_this] = ACTIONS(2150),
  },
  [2255] = {
    [sym__expression] = STATE(5744),
    [sym__expression_not_binary] = STATE(6001),
    [sym__string] = STATE(6001),
    [sym_conditional_expression] = STATE(6001),
    [sym_assignment_expression] = STATE(6001),
    [sym_pointer_expression] = STATE(4807),
    [sym_unary_expression] = STATE(6001),
    [sym_binary_expression] = STATE(6001),
    [sym_update_expression] = STATE(6001),
    [sym_cast_expression] = STATE(6001),
    [sym_sizeof_expression] = STATE(6001),
    [sym_alignof_expression] = STATE(6001),
    [sym_offsetof_expression] = STATE(6001),
    [sym_generic_expression] = STATE(6001),
    [sym_subscript_expression] = STATE(4807),
    [sym_call_expression] = STATE(4807),
    [sym_gnu_asm_expression] = STATE(6001),
    [sym_field_expression] = STATE(4807),
    [sym_compound_literal_expression] = STATE(6001),
    [sym_parenthesized_expression] = STATE(4807),
    [sym_char_literal] = STATE(5842),
    [sym_concatenated_string] = STATE(5845),
    [sym_string_literal] = STATE(4864),
    [sym_null] = STATE(6001),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(8975),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(6001),
    [sym_raw_string_literal] = STATE(4865),
    [sym_co_await_expression] = STATE(6001),
    [sym_new_expression] = STATE(6001),
    [sym_delete_expression] = STATE(6001),
    [sym_requires_clause] = STATE(6001),
    [sym_requires_expression] = STATE(6001),
    [sym_lambda_expression] = STATE(6001),
    [sym_lambda_capture_specifier] = STATE(7123),
    [sym_fold_expression] = STATE(6001),
    [sym_parameter_pack_expansion] = STATE(6001),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6932),
    [sym_qualified_identifier] = STATE(4807),
    [sym_qualified_type_identifier] = STATE(8975),
    [sym_user_defined_literal] = STATE(4807),
    [sym_identifier] = ACTIONS(4532),
    [anon_sym_LPAREN2] = ACTIONS(4255),
    [anon_sym_BANG] = ACTIONS(4257),
    [anon_sym_TILDE] = ACTIONS(4257),
    [anon_sym_DASH] = ACTIONS(4259),
    [anon_sym_PLUS] = ACTIONS(4259),
    [anon_sym_STAR] = ACTIONS(4261),
    [anon_sym_AMP] = ACTIONS(4261),
    [anon_sym_COLON_COLON] = ACTIONS(4263),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [sym_primitive_type] = ACTIONS(4536),
    [anon_sym_not] = ACTIONS(4259),
    [anon_sym_compl] = ACTIONS(4259),
    [anon_sym_DASH_DASH] = ACTIONS(4277),
    [anon_sym_PLUS_PLUS] = ACTIONS(4277),
    [anon_sym_sizeof] = ACTIONS(4279),
    [anon_sym___alignof__] = ACTIONS(4281),
    [anon_sym___alignof] = ACTIONS(4281),
    [anon_sym__alignof] = ACTIONS(4281),
    [anon_sym_alignof] = ACTIONS(4281),
    [anon_sym__Alignof] = ACTIONS(4281),
    [anon_sym_offsetof] = ACTIONS(4283),
    [anon_sym__Generic] = ACTIONS(4285),
    [anon_sym_asm] = ACTIONS(4287),
    [anon_sym___asm__] = ACTIONS(4287),
    [sym_number_literal] = ACTIONS(4289),
    [anon_sym_L_SQUOTE] = ACTIONS(4291),
    [anon_sym_u_SQUOTE] = ACTIONS(4291),
    [anon_sym_U_SQUOTE] = ACTIONS(4291),
    [anon_sym_u8_SQUOTE] = ACTIONS(4291),
    [anon_sym_SQUOTE] = ACTIONS(4291),
    [anon_sym_L_DQUOTE] = ACTIONS(4293),
    [anon_sym_u_DQUOTE] = ACTIONS(4293),
    [anon_sym_U_DQUOTE] = ACTIONS(4293),
    [anon_sym_u8_DQUOTE] = ACTIONS(4293),
    [anon_sym_DQUOTE] = ACTIONS(4293),
    [sym_true] = ACTIONS(4295),
    [sym_false] = ACTIONS(4295),
    [anon_sym_NULL] = ACTIONS(4297),
    [anon_sym_nullptr] = ACTIONS(4297),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(4307),
    [anon_sym_R_DQUOTE] = ACTIONS(4309),
    [anon_sym_LR_DQUOTE] = ACTIONS(4309),
    [anon_sym_uR_DQUOTE] = ACTIONS(4309),
    [anon_sym_UR_DQUOTE] = ACTIONS(4309),
    [anon_sym_u8R_DQUOTE] = ACTIONS(4309),
    [anon_sym_co_await] = ACTIONS(4311),
    [anon_sym_new] = ACTIONS(4313),
    [anon_sym_requires] = ACTIONS(4315),
    [sym_this] = ACTIONS(4295),
  },
  [2256] = {
    [sym__expression] = STATE(5854),
    [sym__expression_not_binary] = STATE(5024),
    [sym__string] = STATE(5024),
    [sym_conditional_expression] = STATE(5024),
    [sym_assignment_expression] = STATE(5024),
    [sym_pointer_expression] = STATE(4507),
    [sym_unary_expression] = STATE(5024),
    [sym_binary_expression] = STATE(5024),
    [sym_update_expression] = STATE(5024),
    [sym_cast_expression] = STATE(5024),
    [sym_sizeof_expression] = STATE(5024),
    [sym_alignof_expression] = STATE(5024),
    [sym_offsetof_expression] = STATE(5024),
    [sym_generic_expression] = STATE(5024),
    [sym_subscript_expression] = STATE(4507),
    [sym_call_expression] = STATE(4507),
    [sym_gnu_asm_expression] = STATE(5024),
    [sym_field_expression] = STATE(4507),
    [sym_compound_literal_expression] = STATE(5024),
    [sym_parenthesized_expression] = STATE(4507),
    [sym_char_literal] = STATE(5374),
    [sym_concatenated_string] = STATE(5377),
    [sym_string_literal] = STATE(4206),
    [sym_null] = STATE(5024),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9352),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(5024),
    [sym_raw_string_literal] = STATE(4217),
    [sym_co_await_expression] = STATE(5024),
    [sym_new_expression] = STATE(5024),
    [sym_delete_expression] = STATE(5024),
    [sym_requires_clause] = STATE(5024),
    [sym_requires_expression] = STATE(5024),
    [sym_lambda_expression] = STATE(5024),
    [sym_lambda_capture_specifier] = STATE(7184),
    [sym_fold_expression] = STATE(5024),
    [sym_parameter_pack_expansion] = STATE(5024),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6886),
    [sym_qualified_identifier] = STATE(4507),
    [sym_qualified_type_identifier] = STATE(9352),
    [sym_user_defined_literal] = STATE(4507),
    [sym_identifier] = ACTIONS(3140),
    [anon_sym_LPAREN2] = ACTIONS(1472),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1474),
    [anon_sym_AMP] = ACTIONS(1474),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [sym_primitive_type] = ACTIONS(3146),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [2257] = {
    [sym__expression] = STATE(5262),
    [sym__expression_not_binary] = STATE(5024),
    [sym__string] = STATE(5024),
    [sym_conditional_expression] = STATE(5024),
    [sym_assignment_expression] = STATE(5024),
    [sym_pointer_expression] = STATE(4031),
    [sym_unary_expression] = STATE(5024),
    [sym_binary_expression] = STATE(5024),
    [sym_update_expression] = STATE(5024),
    [sym_cast_expression] = STATE(5024),
    [sym_sizeof_expression] = STATE(5024),
    [sym_alignof_expression] = STATE(5024),
    [sym_offsetof_expression] = STATE(5024),
    [sym_generic_expression] = STATE(5024),
    [sym_subscript_expression] = STATE(4031),
    [sym_call_expression] = STATE(4031),
    [sym_gnu_asm_expression] = STATE(5024),
    [sym_field_expression] = STATE(4031),
    [sym_compound_literal_expression] = STATE(5024),
    [sym_parenthesized_expression] = STATE(4031),
    [sym_char_literal] = STATE(5335),
    [sym_concatenated_string] = STATE(5317),
    [sym_string_literal] = STATE(4163),
    [sym_null] = STATE(5024),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9352),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(5024),
    [sym_raw_string_literal] = STATE(4121),
    [sym_co_await_expression] = STATE(5024),
    [sym_new_expression] = STATE(5024),
    [sym_delete_expression] = STATE(5024),
    [sym_requires_clause] = STATE(5024),
    [sym_requires_expression] = STATE(5024),
    [sym_lambda_expression] = STATE(5024),
    [sym_lambda_capture_specifier] = STATE(7184),
    [sym_fold_expression] = STATE(5024),
    [sym_parameter_pack_expansion] = STATE(5024),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6886),
    [sym_qualified_identifier] = STATE(4031),
    [sym_qualified_type_identifier] = STATE(9352),
    [sym_user_defined_literal] = STATE(4031),
    [sym_identifier] = ACTIONS(5113),
    [anon_sym_LPAREN2] = ACTIONS(5212),
    [anon_sym_BANG] = ACTIONS(4409),
    [anon_sym_TILDE] = ACTIONS(4409),
    [anon_sym_DASH] = ACTIONS(4407),
    [anon_sym_PLUS] = ACTIONS(4407),
    [anon_sym_STAR] = ACTIONS(5186),
    [anon_sym_AMP] = ACTIONS(5186),
    [anon_sym_COLON_COLON] = ACTIONS(4411),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [sym_primitive_type] = ACTIONS(3146),
    [anon_sym_not] = ACTIONS(4407),
    [anon_sym_compl] = ACTIONS(4407),
    [anon_sym_DASH_DASH] = ACTIONS(5115),
    [anon_sym_PLUS_PLUS] = ACTIONS(5115),
    [anon_sym_sizeof] = ACTIONS(4415),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(4417),
    [anon_sym_L_SQUOTE] = ACTIONS(4419),
    [anon_sym_u_SQUOTE] = ACTIONS(4419),
    [anon_sym_U_SQUOTE] = ACTIONS(4419),
    [anon_sym_u8_SQUOTE] = ACTIONS(4419),
    [anon_sym_SQUOTE] = ACTIONS(4419),
    [anon_sym_L_DQUOTE] = ACTIONS(4247),
    [anon_sym_u_DQUOTE] = ACTIONS(4247),
    [anon_sym_U_DQUOTE] = ACTIONS(4247),
    [anon_sym_u8_DQUOTE] = ACTIONS(4247),
    [anon_sym_DQUOTE] = ACTIONS(4247),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(4421),
    [anon_sym_R_DQUOTE] = ACTIONS(4249),
    [anon_sym_LR_DQUOTE] = ACTIONS(4249),
    [anon_sym_uR_DQUOTE] = ACTIONS(4249),
    [anon_sym_UR_DQUOTE] = ACTIONS(4249),
    [anon_sym_u8R_DQUOTE] = ACTIONS(4249),
    [anon_sym_co_await] = ACTIONS(4423),
    [anon_sym_new] = ACTIONS(4425),
    [anon_sym_requires] = ACTIONS(4427),
    [sym_this] = ACTIONS(221),
  },
  [2258] = {
    [sym__expression] = STATE(5489),
    [sym__expression_not_binary] = STATE(5024),
    [sym__string] = STATE(5024),
    [sym_conditional_expression] = STATE(5024),
    [sym_assignment_expression] = STATE(5024),
    [sym_pointer_expression] = STATE(4607),
    [sym_unary_expression] = STATE(5024),
    [sym_binary_expression] = STATE(5024),
    [sym_update_expression] = STATE(5024),
    [sym_cast_expression] = STATE(5024),
    [sym_sizeof_expression] = STATE(5024),
    [sym_alignof_expression] = STATE(5024),
    [sym_offsetof_expression] = STATE(5024),
    [sym_generic_expression] = STATE(5024),
    [sym_subscript_expression] = STATE(4607),
    [sym_call_expression] = STATE(4607),
    [sym_gnu_asm_expression] = STATE(5024),
    [sym_field_expression] = STATE(4607),
    [sym_compound_literal_expression] = STATE(5024),
    [sym_parenthesized_expression] = STATE(4607),
    [sym_char_literal] = STATE(5726),
    [sym_concatenated_string] = STATE(5682),
    [sym_string_literal] = STATE(4827),
    [sym_null] = STATE(5024),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9352),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(5024),
    [sym_raw_string_literal] = STATE(4829),
    [sym_co_await_expression] = STATE(5024),
    [sym_new_expression] = STATE(5024),
    [sym_delete_expression] = STATE(5024),
    [sym_requires_clause] = STATE(5024),
    [sym_requires_expression] = STATE(5024),
    [sym_lambda_expression] = STATE(5024),
    [sym_lambda_capture_specifier] = STATE(7184),
    [sym_fold_expression] = STATE(5024),
    [sym_parameter_pack_expansion] = STATE(5024),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6886),
    [sym_qualified_identifier] = STATE(4607),
    [sym_qualified_type_identifier] = STATE(9352),
    [sym_user_defined_literal] = STATE(4607),
    [sym_identifier] = ACTIONS(4478),
    [anon_sym_LPAREN2] = ACTIONS(5015),
    [anon_sym_BANG] = ACTIONS(4482),
    [anon_sym_TILDE] = ACTIONS(4482),
    [anon_sym_DASH] = ACTIONS(4480),
    [anon_sym_PLUS] = ACTIONS(4480),
    [anon_sym_STAR] = ACTIONS(5017),
    [anon_sym_AMP] = ACTIONS(5017),
    [anon_sym_COLON_COLON] = ACTIONS(4484),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [sym_primitive_type] = ACTIONS(3146),
    [anon_sym_not] = ACTIONS(4480),
    [anon_sym_compl] = ACTIONS(4480),
    [anon_sym_DASH_DASH] = ACTIONS(5021),
    [anon_sym_PLUS_PLUS] = ACTIONS(5021),
    [anon_sym_sizeof] = ACTIONS(4486),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(4488),
    [anon_sym_L_SQUOTE] = ACTIONS(4490),
    [anon_sym_u_SQUOTE] = ACTIONS(4490),
    [anon_sym_U_SQUOTE] = ACTIONS(4490),
    [anon_sym_u8_SQUOTE] = ACTIONS(4490),
    [anon_sym_SQUOTE] = ACTIONS(4490),
    [anon_sym_L_DQUOTE] = ACTIONS(4492),
    [anon_sym_u_DQUOTE] = ACTIONS(4492),
    [anon_sym_U_DQUOTE] = ACTIONS(4492),
    [anon_sym_u8_DQUOTE] = ACTIONS(4492),
    [anon_sym_DQUOTE] = ACTIONS(4492),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(4494),
    [anon_sym_R_DQUOTE] = ACTIONS(4496),
    [anon_sym_LR_DQUOTE] = ACTIONS(4496),
    [anon_sym_uR_DQUOTE] = ACTIONS(4496),
    [anon_sym_UR_DQUOTE] = ACTIONS(4496),
    [anon_sym_u8R_DQUOTE] = ACTIONS(4496),
    [anon_sym_co_await] = ACTIONS(4498),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [2259] = {
    [sym__expression] = STATE(5952),
    [sym__expression_not_binary] = STATE(5024),
    [sym__string] = STATE(5024),
    [sym_conditional_expression] = STATE(5024),
    [sym_assignment_expression] = STATE(5024),
    [sym_pointer_expression] = STATE(4713),
    [sym_unary_expression] = STATE(5024),
    [sym_binary_expression] = STATE(5024),
    [sym_update_expression] = STATE(5024),
    [sym_cast_expression] = STATE(5024),
    [sym_sizeof_expression] = STATE(5024),
    [sym_alignof_expression] = STATE(5024),
    [sym_offsetof_expression] = STATE(5024),
    [sym_generic_expression] = STATE(5024),
    [sym_subscript_expression] = STATE(4713),
    [sym_call_expression] = STATE(4713),
    [sym_gnu_asm_expression] = STATE(5024),
    [sym_field_expression] = STATE(4713),
    [sym_compound_literal_expression] = STATE(5024),
    [sym_parenthesized_expression] = STATE(4713),
    [sym_char_literal] = STATE(5374),
    [sym_concatenated_string] = STATE(5377),
    [sym_string_literal] = STATE(4206),
    [sym_null] = STATE(5024),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9352),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(5024),
    [sym_raw_string_literal] = STATE(4217),
    [sym_co_await_expression] = STATE(5024),
    [sym_new_expression] = STATE(5024),
    [sym_delete_expression] = STATE(5024),
    [sym_requires_clause] = STATE(5024),
    [sym_requires_expression] = STATE(5024),
    [sym_lambda_expression] = STATE(5024),
    [sym_lambda_capture_specifier] = STATE(7184),
    [sym_fold_expression] = STATE(5024),
    [sym_parameter_pack_expansion] = STATE(5024),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6886),
    [sym_qualified_identifier] = STATE(4713),
    [sym_qualified_type_identifier] = STATE(9352),
    [sym_user_defined_literal] = STATE(4713),
    [sym_identifier] = ACTIONS(4518),
    [anon_sym_LPAREN2] = ACTIONS(5188),
    [anon_sym_BANG] = ACTIONS(4522),
    [anon_sym_TILDE] = ACTIONS(4522),
    [anon_sym_DASH] = ACTIONS(4520),
    [anon_sym_PLUS] = ACTIONS(4520),
    [anon_sym_STAR] = ACTIONS(5190),
    [anon_sym_AMP] = ACTIONS(5190),
    [anon_sym_COLON_COLON] = ACTIONS(4524),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [sym_primitive_type] = ACTIONS(3146),
    [anon_sym_not] = ACTIONS(4520),
    [anon_sym_compl] = ACTIONS(4520),
    [anon_sym_DASH_DASH] = ACTIONS(5071),
    [anon_sym_PLUS_PLUS] = ACTIONS(5071),
    [anon_sym_sizeof] = ACTIONS(4526),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(4528),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(4530),
    [anon_sym_new] = ACTIONS(4516),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [2260] = {
    [sym__expression] = STATE(4402),
    [sym__expression_not_binary] = STATE(3672),
    [sym__string] = STATE(3672),
    [sym_conditional_expression] = STATE(3672),
    [sym_assignment_expression] = STATE(3672),
    [sym_pointer_expression] = STATE(3672),
    [sym_unary_expression] = STATE(3672),
    [sym_binary_expression] = STATE(3672),
    [sym_update_expression] = STATE(3672),
    [sym_cast_expression] = STATE(3672),
    [sym_sizeof_expression] = STATE(3672),
    [sym_alignof_expression] = STATE(3672),
    [sym_offsetof_expression] = STATE(3672),
    [sym_generic_expression] = STATE(3672),
    [sym_subscript_expression] = STATE(3672),
    [sym_call_expression] = STATE(3672),
    [sym_gnu_asm_expression] = STATE(3672),
    [sym_field_expression] = STATE(3672),
    [sym_compound_literal_expression] = STATE(3672),
    [sym_parenthesized_expression] = STATE(3672),
    [sym_char_literal] = STATE(3991),
    [sym_concatenated_string] = STATE(3973),
    [sym_string_literal] = STATE(3242),
    [sym_null] = STATE(3672),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9333),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(3672),
    [sym_raw_string_literal] = STATE(3241),
    [sym_co_await_expression] = STATE(3672),
    [sym_new_expression] = STATE(3672),
    [sym_delete_expression] = STATE(3672),
    [sym_requires_clause] = STATE(3672),
    [sym_requires_expression] = STATE(3672),
    [sym_lambda_expression] = STATE(3672),
    [sym_lambda_capture_specifier] = STATE(7134),
    [sym_fold_expression] = STATE(3672),
    [sym_parameter_pack_expansion] = STATE(3672),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6886),
    [sym_qualified_identifier] = STATE(3672),
    [sym_qualified_type_identifier] = STATE(9333),
    [sym_user_defined_literal] = STATE(3672),
    [sym_identifier] = ACTIONS(3968),
    [anon_sym_LPAREN2] = ACTIONS(5243),
    [anon_sym_BANG] = ACTIONS(4116),
    [anon_sym_TILDE] = ACTIONS(4116),
    [anon_sym_DASH] = ACTIONS(4114),
    [anon_sym_PLUS] = ACTIONS(4114),
    [anon_sym_STAR] = ACTIONS(5190),
    [anon_sym_AMP] = ACTIONS(5190),
    [anon_sym_COLON_COLON] = ACTIONS(4118),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [sym_primitive_type] = ACTIONS(3928),
    [anon_sym_not] = ACTIONS(4114),
    [anon_sym_compl] = ACTIONS(4114),
    [anon_sym_DASH_DASH] = ACTIONS(5093),
    [anon_sym_PLUS_PLUS] = ACTIONS(5093),
    [anon_sym_sizeof] = ACTIONS(4120),
    [anon_sym___alignof__] = ACTIONS(3932),
    [anon_sym___alignof] = ACTIONS(3932),
    [anon_sym__alignof] = ACTIONS(3932),
    [anon_sym_alignof] = ACTIONS(3932),
    [anon_sym__Alignof] = ACTIONS(3932),
    [anon_sym_offsetof] = ACTIONS(3934),
    [anon_sym__Generic] = ACTIONS(3936),
    [anon_sym_asm] = ACTIONS(3938),
    [anon_sym___asm__] = ACTIONS(3938),
    [sym_number_literal] = ACTIONS(3978),
    [anon_sym_L_SQUOTE] = ACTIONS(3980),
    [anon_sym_u_SQUOTE] = ACTIONS(3980),
    [anon_sym_U_SQUOTE] = ACTIONS(3980),
    [anon_sym_u8_SQUOTE] = ACTIONS(3980),
    [anon_sym_SQUOTE] = ACTIONS(3980),
    [anon_sym_L_DQUOTE] = ACTIONS(3982),
    [anon_sym_u_DQUOTE] = ACTIONS(3982),
    [anon_sym_U_DQUOTE] = ACTIONS(3982),
    [anon_sym_u8_DQUOTE] = ACTIONS(3982),
    [anon_sym_DQUOTE] = ACTIONS(3982),
    [sym_true] = ACTIONS(3946),
    [sym_false] = ACTIONS(3946),
    [anon_sym_NULL] = ACTIONS(3948),
    [anon_sym_nullptr] = ACTIONS(3948),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(4122),
    [anon_sym_R_DQUOTE] = ACTIONS(3986),
    [anon_sym_LR_DQUOTE] = ACTIONS(3986),
    [anon_sym_uR_DQUOTE] = ACTIONS(3986),
    [anon_sym_UR_DQUOTE] = ACTIONS(3986),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3986),
    [anon_sym_co_await] = ACTIONS(4124),
    [anon_sym_new] = ACTIONS(3990),
    [anon_sym_requires] = ACTIONS(3958),
    [sym_this] = ACTIONS(3946),
  },
  [2261] = {
    [sym__expression] = STATE(4400),
    [sym__expression_not_binary] = STATE(3672),
    [sym__string] = STATE(3672),
    [sym_conditional_expression] = STATE(3672),
    [sym_assignment_expression] = STATE(3672),
    [sym_pointer_expression] = STATE(3672),
    [sym_unary_expression] = STATE(3672),
    [sym_binary_expression] = STATE(3672),
    [sym_update_expression] = STATE(3672),
    [sym_cast_expression] = STATE(3672),
    [sym_sizeof_expression] = STATE(3672),
    [sym_alignof_expression] = STATE(3672),
    [sym_offsetof_expression] = STATE(3672),
    [sym_generic_expression] = STATE(3672),
    [sym_subscript_expression] = STATE(3672),
    [sym_call_expression] = STATE(3672),
    [sym_gnu_asm_expression] = STATE(3672),
    [sym_field_expression] = STATE(3672),
    [sym_compound_literal_expression] = STATE(3672),
    [sym_parenthesized_expression] = STATE(3672),
    [sym_char_literal] = STATE(3991),
    [sym_concatenated_string] = STATE(3973),
    [sym_string_literal] = STATE(3242),
    [sym_null] = STATE(3672),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9333),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(3672),
    [sym_raw_string_literal] = STATE(3241),
    [sym_co_await_expression] = STATE(3672),
    [sym_new_expression] = STATE(3672),
    [sym_delete_expression] = STATE(3672),
    [sym_requires_clause] = STATE(3672),
    [sym_requires_expression] = STATE(3672),
    [sym_lambda_expression] = STATE(3672),
    [sym_lambda_capture_specifier] = STATE(7134),
    [sym_fold_expression] = STATE(3672),
    [sym_parameter_pack_expansion] = STATE(3672),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6886),
    [sym_qualified_identifier] = STATE(3672),
    [sym_qualified_type_identifier] = STATE(9333),
    [sym_user_defined_literal] = STATE(3672),
    [sym_identifier] = ACTIONS(3968),
    [anon_sym_LPAREN2] = ACTIONS(5243),
    [anon_sym_BANG] = ACTIONS(4116),
    [anon_sym_TILDE] = ACTIONS(4116),
    [anon_sym_DASH] = ACTIONS(4114),
    [anon_sym_PLUS] = ACTIONS(4114),
    [anon_sym_STAR] = ACTIONS(5190),
    [anon_sym_AMP] = ACTIONS(5190),
    [anon_sym_COLON_COLON] = ACTIONS(4118),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [sym_primitive_type] = ACTIONS(3928),
    [anon_sym_not] = ACTIONS(4114),
    [anon_sym_compl] = ACTIONS(4114),
    [anon_sym_DASH_DASH] = ACTIONS(5093),
    [anon_sym_PLUS_PLUS] = ACTIONS(5093),
    [anon_sym_sizeof] = ACTIONS(4120),
    [anon_sym___alignof__] = ACTIONS(3932),
    [anon_sym___alignof] = ACTIONS(3932),
    [anon_sym__alignof] = ACTIONS(3932),
    [anon_sym_alignof] = ACTIONS(3932),
    [anon_sym__Alignof] = ACTIONS(3932),
    [anon_sym_offsetof] = ACTIONS(3934),
    [anon_sym__Generic] = ACTIONS(3936),
    [anon_sym_asm] = ACTIONS(3938),
    [anon_sym___asm__] = ACTIONS(3938),
    [sym_number_literal] = ACTIONS(3978),
    [anon_sym_L_SQUOTE] = ACTIONS(3980),
    [anon_sym_u_SQUOTE] = ACTIONS(3980),
    [anon_sym_U_SQUOTE] = ACTIONS(3980),
    [anon_sym_u8_SQUOTE] = ACTIONS(3980),
    [anon_sym_SQUOTE] = ACTIONS(3980),
    [anon_sym_L_DQUOTE] = ACTIONS(3982),
    [anon_sym_u_DQUOTE] = ACTIONS(3982),
    [anon_sym_U_DQUOTE] = ACTIONS(3982),
    [anon_sym_u8_DQUOTE] = ACTIONS(3982),
    [anon_sym_DQUOTE] = ACTIONS(3982),
    [sym_true] = ACTIONS(3946),
    [sym_false] = ACTIONS(3946),
    [anon_sym_NULL] = ACTIONS(3948),
    [anon_sym_nullptr] = ACTIONS(3948),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(4122),
    [anon_sym_R_DQUOTE] = ACTIONS(3986),
    [anon_sym_LR_DQUOTE] = ACTIONS(3986),
    [anon_sym_uR_DQUOTE] = ACTIONS(3986),
    [anon_sym_UR_DQUOTE] = ACTIONS(3986),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3986),
    [anon_sym_co_await] = ACTIONS(4124),
    [anon_sym_new] = ACTIONS(3990),
    [anon_sym_requires] = ACTIONS(3958),
    [sym_this] = ACTIONS(3946),
  },
  [2262] = {
    [sym__expression] = STATE(4399),
    [sym__expression_not_binary] = STATE(3672),
    [sym__string] = STATE(3672),
    [sym_conditional_expression] = STATE(3672),
    [sym_assignment_expression] = STATE(3672),
    [sym_pointer_expression] = STATE(3672),
    [sym_unary_expression] = STATE(3672),
    [sym_binary_expression] = STATE(3672),
    [sym_update_expression] = STATE(3672),
    [sym_cast_expression] = STATE(3672),
    [sym_sizeof_expression] = STATE(3672),
    [sym_alignof_expression] = STATE(3672),
    [sym_offsetof_expression] = STATE(3672),
    [sym_generic_expression] = STATE(3672),
    [sym_subscript_expression] = STATE(3672),
    [sym_call_expression] = STATE(3672),
    [sym_gnu_asm_expression] = STATE(3672),
    [sym_field_expression] = STATE(3672),
    [sym_compound_literal_expression] = STATE(3672),
    [sym_parenthesized_expression] = STATE(3672),
    [sym_char_literal] = STATE(3991),
    [sym_concatenated_string] = STATE(3973),
    [sym_string_literal] = STATE(3242),
    [sym_null] = STATE(3672),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9333),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(3672),
    [sym_raw_string_literal] = STATE(3241),
    [sym_co_await_expression] = STATE(3672),
    [sym_new_expression] = STATE(3672),
    [sym_delete_expression] = STATE(3672),
    [sym_requires_clause] = STATE(3672),
    [sym_requires_expression] = STATE(3672),
    [sym_lambda_expression] = STATE(3672),
    [sym_lambda_capture_specifier] = STATE(7134),
    [sym_fold_expression] = STATE(3672),
    [sym_parameter_pack_expansion] = STATE(3672),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6886),
    [sym_qualified_identifier] = STATE(3672),
    [sym_qualified_type_identifier] = STATE(9333),
    [sym_user_defined_literal] = STATE(3672),
    [sym_identifier] = ACTIONS(3968),
    [anon_sym_LPAREN2] = ACTIONS(5243),
    [anon_sym_BANG] = ACTIONS(4116),
    [anon_sym_TILDE] = ACTIONS(4116),
    [anon_sym_DASH] = ACTIONS(4114),
    [anon_sym_PLUS] = ACTIONS(4114),
    [anon_sym_STAR] = ACTIONS(5190),
    [anon_sym_AMP] = ACTIONS(5190),
    [anon_sym_COLON_COLON] = ACTIONS(4118),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [sym_primitive_type] = ACTIONS(3928),
    [anon_sym_not] = ACTIONS(4114),
    [anon_sym_compl] = ACTIONS(4114),
    [anon_sym_DASH_DASH] = ACTIONS(5093),
    [anon_sym_PLUS_PLUS] = ACTIONS(5093),
    [anon_sym_sizeof] = ACTIONS(4120),
    [anon_sym___alignof__] = ACTIONS(3932),
    [anon_sym___alignof] = ACTIONS(3932),
    [anon_sym__alignof] = ACTIONS(3932),
    [anon_sym_alignof] = ACTIONS(3932),
    [anon_sym__Alignof] = ACTIONS(3932),
    [anon_sym_offsetof] = ACTIONS(3934),
    [anon_sym__Generic] = ACTIONS(3936),
    [anon_sym_asm] = ACTIONS(3938),
    [anon_sym___asm__] = ACTIONS(3938),
    [sym_number_literal] = ACTIONS(3978),
    [anon_sym_L_SQUOTE] = ACTIONS(3980),
    [anon_sym_u_SQUOTE] = ACTIONS(3980),
    [anon_sym_U_SQUOTE] = ACTIONS(3980),
    [anon_sym_u8_SQUOTE] = ACTIONS(3980),
    [anon_sym_SQUOTE] = ACTIONS(3980),
    [anon_sym_L_DQUOTE] = ACTIONS(3982),
    [anon_sym_u_DQUOTE] = ACTIONS(3982),
    [anon_sym_U_DQUOTE] = ACTIONS(3982),
    [anon_sym_u8_DQUOTE] = ACTIONS(3982),
    [anon_sym_DQUOTE] = ACTIONS(3982),
    [sym_true] = ACTIONS(3946),
    [sym_false] = ACTIONS(3946),
    [anon_sym_NULL] = ACTIONS(3948),
    [anon_sym_nullptr] = ACTIONS(3948),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(4122),
    [anon_sym_R_DQUOTE] = ACTIONS(3986),
    [anon_sym_LR_DQUOTE] = ACTIONS(3986),
    [anon_sym_uR_DQUOTE] = ACTIONS(3986),
    [anon_sym_UR_DQUOTE] = ACTIONS(3986),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3986),
    [anon_sym_co_await] = ACTIONS(4124),
    [anon_sym_new] = ACTIONS(3990),
    [anon_sym_requires] = ACTIONS(3958),
    [sym_this] = ACTIONS(3946),
  },
  [2263] = {
    [sym__expression] = STATE(4398),
    [sym__expression_not_binary] = STATE(3672),
    [sym__string] = STATE(3672),
    [sym_conditional_expression] = STATE(3672),
    [sym_assignment_expression] = STATE(3672),
    [sym_pointer_expression] = STATE(3672),
    [sym_unary_expression] = STATE(3672),
    [sym_binary_expression] = STATE(3672),
    [sym_update_expression] = STATE(3672),
    [sym_cast_expression] = STATE(3672),
    [sym_sizeof_expression] = STATE(3672),
    [sym_alignof_expression] = STATE(3672),
    [sym_offsetof_expression] = STATE(3672),
    [sym_generic_expression] = STATE(3672),
    [sym_subscript_expression] = STATE(3672),
    [sym_call_expression] = STATE(3672),
    [sym_gnu_asm_expression] = STATE(3672),
    [sym_field_expression] = STATE(3672),
    [sym_compound_literal_expression] = STATE(3672),
    [sym_parenthesized_expression] = STATE(3672),
    [sym_char_literal] = STATE(3991),
    [sym_concatenated_string] = STATE(3973),
    [sym_string_literal] = STATE(3242),
    [sym_null] = STATE(3672),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9333),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(3672),
    [sym_raw_string_literal] = STATE(3241),
    [sym_co_await_expression] = STATE(3672),
    [sym_new_expression] = STATE(3672),
    [sym_delete_expression] = STATE(3672),
    [sym_requires_clause] = STATE(3672),
    [sym_requires_expression] = STATE(3672),
    [sym_lambda_expression] = STATE(3672),
    [sym_lambda_capture_specifier] = STATE(7134),
    [sym_fold_expression] = STATE(3672),
    [sym_parameter_pack_expansion] = STATE(3672),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6886),
    [sym_qualified_identifier] = STATE(3672),
    [sym_qualified_type_identifier] = STATE(9333),
    [sym_user_defined_literal] = STATE(3672),
    [sym_identifier] = ACTIONS(3968),
    [anon_sym_LPAREN2] = ACTIONS(5243),
    [anon_sym_BANG] = ACTIONS(4116),
    [anon_sym_TILDE] = ACTIONS(4116),
    [anon_sym_DASH] = ACTIONS(4114),
    [anon_sym_PLUS] = ACTIONS(4114),
    [anon_sym_STAR] = ACTIONS(5190),
    [anon_sym_AMP] = ACTIONS(5190),
    [anon_sym_COLON_COLON] = ACTIONS(4118),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [sym_primitive_type] = ACTIONS(3928),
    [anon_sym_not] = ACTIONS(4114),
    [anon_sym_compl] = ACTIONS(4114),
    [anon_sym_DASH_DASH] = ACTIONS(5093),
    [anon_sym_PLUS_PLUS] = ACTIONS(5093),
    [anon_sym_sizeof] = ACTIONS(4120),
    [anon_sym___alignof__] = ACTIONS(3932),
    [anon_sym___alignof] = ACTIONS(3932),
    [anon_sym__alignof] = ACTIONS(3932),
    [anon_sym_alignof] = ACTIONS(3932),
    [anon_sym__Alignof] = ACTIONS(3932),
    [anon_sym_offsetof] = ACTIONS(3934),
    [anon_sym__Generic] = ACTIONS(3936),
    [anon_sym_asm] = ACTIONS(3938),
    [anon_sym___asm__] = ACTIONS(3938),
    [sym_number_literal] = ACTIONS(3978),
    [anon_sym_L_SQUOTE] = ACTIONS(3980),
    [anon_sym_u_SQUOTE] = ACTIONS(3980),
    [anon_sym_U_SQUOTE] = ACTIONS(3980),
    [anon_sym_u8_SQUOTE] = ACTIONS(3980),
    [anon_sym_SQUOTE] = ACTIONS(3980),
    [anon_sym_L_DQUOTE] = ACTIONS(3982),
    [anon_sym_u_DQUOTE] = ACTIONS(3982),
    [anon_sym_U_DQUOTE] = ACTIONS(3982),
    [anon_sym_u8_DQUOTE] = ACTIONS(3982),
    [anon_sym_DQUOTE] = ACTIONS(3982),
    [sym_true] = ACTIONS(3946),
    [sym_false] = ACTIONS(3946),
    [anon_sym_NULL] = ACTIONS(3948),
    [anon_sym_nullptr] = ACTIONS(3948),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(4122),
    [anon_sym_R_DQUOTE] = ACTIONS(3986),
    [anon_sym_LR_DQUOTE] = ACTIONS(3986),
    [anon_sym_uR_DQUOTE] = ACTIONS(3986),
    [anon_sym_UR_DQUOTE] = ACTIONS(3986),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3986),
    [anon_sym_co_await] = ACTIONS(4124),
    [anon_sym_new] = ACTIONS(3990),
    [anon_sym_requires] = ACTIONS(3958),
    [sym_this] = ACTIONS(3946),
  },
  [2264] = {
    [sym__expression] = STATE(4397),
    [sym__expression_not_binary] = STATE(3672),
    [sym__string] = STATE(3672),
    [sym_conditional_expression] = STATE(3672),
    [sym_assignment_expression] = STATE(3672),
    [sym_pointer_expression] = STATE(3672),
    [sym_unary_expression] = STATE(3672),
    [sym_binary_expression] = STATE(3672),
    [sym_update_expression] = STATE(3672),
    [sym_cast_expression] = STATE(3672),
    [sym_sizeof_expression] = STATE(3672),
    [sym_alignof_expression] = STATE(3672),
    [sym_offsetof_expression] = STATE(3672),
    [sym_generic_expression] = STATE(3672),
    [sym_subscript_expression] = STATE(3672),
    [sym_call_expression] = STATE(3672),
    [sym_gnu_asm_expression] = STATE(3672),
    [sym_field_expression] = STATE(3672),
    [sym_compound_literal_expression] = STATE(3672),
    [sym_parenthesized_expression] = STATE(3672),
    [sym_char_literal] = STATE(3991),
    [sym_concatenated_string] = STATE(3973),
    [sym_string_literal] = STATE(3242),
    [sym_null] = STATE(3672),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9333),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(3672),
    [sym_raw_string_literal] = STATE(3241),
    [sym_co_await_expression] = STATE(3672),
    [sym_new_expression] = STATE(3672),
    [sym_delete_expression] = STATE(3672),
    [sym_requires_clause] = STATE(3672),
    [sym_requires_expression] = STATE(3672),
    [sym_lambda_expression] = STATE(3672),
    [sym_lambda_capture_specifier] = STATE(7134),
    [sym_fold_expression] = STATE(3672),
    [sym_parameter_pack_expansion] = STATE(3672),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6886),
    [sym_qualified_identifier] = STATE(3672),
    [sym_qualified_type_identifier] = STATE(9333),
    [sym_user_defined_literal] = STATE(3672),
    [sym_identifier] = ACTIONS(3968),
    [anon_sym_LPAREN2] = ACTIONS(5243),
    [anon_sym_BANG] = ACTIONS(4116),
    [anon_sym_TILDE] = ACTIONS(4116),
    [anon_sym_DASH] = ACTIONS(4114),
    [anon_sym_PLUS] = ACTIONS(4114),
    [anon_sym_STAR] = ACTIONS(5190),
    [anon_sym_AMP] = ACTIONS(5190),
    [anon_sym_COLON_COLON] = ACTIONS(4118),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [sym_primitive_type] = ACTIONS(3928),
    [anon_sym_not] = ACTIONS(4114),
    [anon_sym_compl] = ACTIONS(4114),
    [anon_sym_DASH_DASH] = ACTIONS(5093),
    [anon_sym_PLUS_PLUS] = ACTIONS(5093),
    [anon_sym_sizeof] = ACTIONS(4120),
    [anon_sym___alignof__] = ACTIONS(3932),
    [anon_sym___alignof] = ACTIONS(3932),
    [anon_sym__alignof] = ACTIONS(3932),
    [anon_sym_alignof] = ACTIONS(3932),
    [anon_sym__Alignof] = ACTIONS(3932),
    [anon_sym_offsetof] = ACTIONS(3934),
    [anon_sym__Generic] = ACTIONS(3936),
    [anon_sym_asm] = ACTIONS(3938),
    [anon_sym___asm__] = ACTIONS(3938),
    [sym_number_literal] = ACTIONS(3978),
    [anon_sym_L_SQUOTE] = ACTIONS(3980),
    [anon_sym_u_SQUOTE] = ACTIONS(3980),
    [anon_sym_U_SQUOTE] = ACTIONS(3980),
    [anon_sym_u8_SQUOTE] = ACTIONS(3980),
    [anon_sym_SQUOTE] = ACTIONS(3980),
    [anon_sym_L_DQUOTE] = ACTIONS(3982),
    [anon_sym_u_DQUOTE] = ACTIONS(3982),
    [anon_sym_U_DQUOTE] = ACTIONS(3982),
    [anon_sym_u8_DQUOTE] = ACTIONS(3982),
    [anon_sym_DQUOTE] = ACTIONS(3982),
    [sym_true] = ACTIONS(3946),
    [sym_false] = ACTIONS(3946),
    [anon_sym_NULL] = ACTIONS(3948),
    [anon_sym_nullptr] = ACTIONS(3948),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(4122),
    [anon_sym_R_DQUOTE] = ACTIONS(3986),
    [anon_sym_LR_DQUOTE] = ACTIONS(3986),
    [anon_sym_uR_DQUOTE] = ACTIONS(3986),
    [anon_sym_UR_DQUOTE] = ACTIONS(3986),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3986),
    [anon_sym_co_await] = ACTIONS(4124),
    [anon_sym_new] = ACTIONS(3990),
    [anon_sym_requires] = ACTIONS(3958),
    [sym_this] = ACTIONS(3946),
  },
  [2265] = {
    [sym__expression] = STATE(4396),
    [sym__expression_not_binary] = STATE(3672),
    [sym__string] = STATE(3672),
    [sym_conditional_expression] = STATE(3672),
    [sym_assignment_expression] = STATE(3672),
    [sym_pointer_expression] = STATE(3672),
    [sym_unary_expression] = STATE(3672),
    [sym_binary_expression] = STATE(3672),
    [sym_update_expression] = STATE(3672),
    [sym_cast_expression] = STATE(3672),
    [sym_sizeof_expression] = STATE(3672),
    [sym_alignof_expression] = STATE(3672),
    [sym_offsetof_expression] = STATE(3672),
    [sym_generic_expression] = STATE(3672),
    [sym_subscript_expression] = STATE(3672),
    [sym_call_expression] = STATE(3672),
    [sym_gnu_asm_expression] = STATE(3672),
    [sym_field_expression] = STATE(3672),
    [sym_compound_literal_expression] = STATE(3672),
    [sym_parenthesized_expression] = STATE(3672),
    [sym_char_literal] = STATE(3991),
    [sym_concatenated_string] = STATE(3973),
    [sym_string_literal] = STATE(3242),
    [sym_null] = STATE(3672),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9333),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(3672),
    [sym_raw_string_literal] = STATE(3241),
    [sym_co_await_expression] = STATE(3672),
    [sym_new_expression] = STATE(3672),
    [sym_delete_expression] = STATE(3672),
    [sym_requires_clause] = STATE(3672),
    [sym_requires_expression] = STATE(3672),
    [sym_lambda_expression] = STATE(3672),
    [sym_lambda_capture_specifier] = STATE(7134),
    [sym_fold_expression] = STATE(3672),
    [sym_parameter_pack_expansion] = STATE(3672),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6886),
    [sym_qualified_identifier] = STATE(3672),
    [sym_qualified_type_identifier] = STATE(9333),
    [sym_user_defined_literal] = STATE(3672),
    [sym_identifier] = ACTIONS(3968),
    [anon_sym_LPAREN2] = ACTIONS(5243),
    [anon_sym_BANG] = ACTIONS(4116),
    [anon_sym_TILDE] = ACTIONS(4116),
    [anon_sym_DASH] = ACTIONS(4114),
    [anon_sym_PLUS] = ACTIONS(4114),
    [anon_sym_STAR] = ACTIONS(5190),
    [anon_sym_AMP] = ACTIONS(5190),
    [anon_sym_COLON_COLON] = ACTIONS(4118),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [sym_primitive_type] = ACTIONS(3928),
    [anon_sym_not] = ACTIONS(4114),
    [anon_sym_compl] = ACTIONS(4114),
    [anon_sym_DASH_DASH] = ACTIONS(5093),
    [anon_sym_PLUS_PLUS] = ACTIONS(5093),
    [anon_sym_sizeof] = ACTIONS(4120),
    [anon_sym___alignof__] = ACTIONS(3932),
    [anon_sym___alignof] = ACTIONS(3932),
    [anon_sym__alignof] = ACTIONS(3932),
    [anon_sym_alignof] = ACTIONS(3932),
    [anon_sym__Alignof] = ACTIONS(3932),
    [anon_sym_offsetof] = ACTIONS(3934),
    [anon_sym__Generic] = ACTIONS(3936),
    [anon_sym_asm] = ACTIONS(3938),
    [anon_sym___asm__] = ACTIONS(3938),
    [sym_number_literal] = ACTIONS(3978),
    [anon_sym_L_SQUOTE] = ACTIONS(3980),
    [anon_sym_u_SQUOTE] = ACTIONS(3980),
    [anon_sym_U_SQUOTE] = ACTIONS(3980),
    [anon_sym_u8_SQUOTE] = ACTIONS(3980),
    [anon_sym_SQUOTE] = ACTIONS(3980),
    [anon_sym_L_DQUOTE] = ACTIONS(3982),
    [anon_sym_u_DQUOTE] = ACTIONS(3982),
    [anon_sym_U_DQUOTE] = ACTIONS(3982),
    [anon_sym_u8_DQUOTE] = ACTIONS(3982),
    [anon_sym_DQUOTE] = ACTIONS(3982),
    [sym_true] = ACTIONS(3946),
    [sym_false] = ACTIONS(3946),
    [anon_sym_NULL] = ACTIONS(3948),
    [anon_sym_nullptr] = ACTIONS(3948),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(4122),
    [anon_sym_R_DQUOTE] = ACTIONS(3986),
    [anon_sym_LR_DQUOTE] = ACTIONS(3986),
    [anon_sym_uR_DQUOTE] = ACTIONS(3986),
    [anon_sym_UR_DQUOTE] = ACTIONS(3986),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3986),
    [anon_sym_co_await] = ACTIONS(4124),
    [anon_sym_new] = ACTIONS(3990),
    [anon_sym_requires] = ACTIONS(3958),
    [sym_this] = ACTIONS(3946),
  },
  [2266] = {
    [sym__expression] = STATE(5943),
    [sym__expression_not_binary] = STATE(5024),
    [sym__string] = STATE(5024),
    [sym_conditional_expression] = STATE(5024),
    [sym_assignment_expression] = STATE(5024),
    [sym_pointer_expression] = STATE(4507),
    [sym_unary_expression] = STATE(5024),
    [sym_binary_expression] = STATE(5024),
    [sym_update_expression] = STATE(5024),
    [sym_cast_expression] = STATE(5024),
    [sym_sizeof_expression] = STATE(5024),
    [sym_alignof_expression] = STATE(5024),
    [sym_offsetof_expression] = STATE(5024),
    [sym_generic_expression] = STATE(5024),
    [sym_subscript_expression] = STATE(4507),
    [sym_call_expression] = STATE(4507),
    [sym_gnu_asm_expression] = STATE(5024),
    [sym_field_expression] = STATE(4507),
    [sym_compound_literal_expression] = STATE(5024),
    [sym_parenthesized_expression] = STATE(4507),
    [sym_char_literal] = STATE(5374),
    [sym_concatenated_string] = STATE(5377),
    [sym_string_literal] = STATE(4206),
    [sym_null] = STATE(5024),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9352),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(5024),
    [sym_raw_string_literal] = STATE(4217),
    [sym_co_await_expression] = STATE(5024),
    [sym_new_expression] = STATE(5024),
    [sym_delete_expression] = STATE(5024),
    [sym_requires_clause] = STATE(5024),
    [sym_requires_expression] = STATE(5024),
    [sym_lambda_expression] = STATE(5024),
    [sym_lambda_capture_specifier] = STATE(7184),
    [sym_fold_expression] = STATE(5024),
    [sym_parameter_pack_expansion] = STATE(5024),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6886),
    [sym_qualified_identifier] = STATE(4507),
    [sym_qualified_type_identifier] = STATE(9352),
    [sym_user_defined_literal] = STATE(4507),
    [sym_identifier] = ACTIONS(3140),
    [anon_sym_LPAREN2] = ACTIONS(1472),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1474),
    [anon_sym_AMP] = ACTIONS(1474),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [sym_primitive_type] = ACTIONS(3146),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [2267] = {
    [sym__expression] = STATE(4391),
    [sym__expression_not_binary] = STATE(3672),
    [sym__string] = STATE(3672),
    [sym_conditional_expression] = STATE(3672),
    [sym_assignment_expression] = STATE(3672),
    [sym_pointer_expression] = STATE(3672),
    [sym_unary_expression] = STATE(3672),
    [sym_binary_expression] = STATE(3672),
    [sym_update_expression] = STATE(3672),
    [sym_cast_expression] = STATE(3672),
    [sym_sizeof_expression] = STATE(3672),
    [sym_alignof_expression] = STATE(3672),
    [sym_offsetof_expression] = STATE(3672),
    [sym_generic_expression] = STATE(3672),
    [sym_subscript_expression] = STATE(3672),
    [sym_call_expression] = STATE(3672),
    [sym_gnu_asm_expression] = STATE(3672),
    [sym_field_expression] = STATE(3672),
    [sym_compound_literal_expression] = STATE(3672),
    [sym_parenthesized_expression] = STATE(3672),
    [sym_char_literal] = STATE(3991),
    [sym_concatenated_string] = STATE(3973),
    [sym_string_literal] = STATE(3242),
    [sym_null] = STATE(3672),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9333),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(3672),
    [sym_raw_string_literal] = STATE(3241),
    [sym_co_await_expression] = STATE(3672),
    [sym_new_expression] = STATE(3672),
    [sym_delete_expression] = STATE(3672),
    [sym_requires_clause] = STATE(3672),
    [sym_requires_expression] = STATE(3672),
    [sym_lambda_expression] = STATE(3672),
    [sym_lambda_capture_specifier] = STATE(7134),
    [sym_fold_expression] = STATE(3672),
    [sym_parameter_pack_expansion] = STATE(3672),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6886),
    [sym_qualified_identifier] = STATE(3672),
    [sym_qualified_type_identifier] = STATE(9333),
    [sym_user_defined_literal] = STATE(3672),
    [sym_identifier] = ACTIONS(3968),
    [anon_sym_LPAREN2] = ACTIONS(5243),
    [anon_sym_BANG] = ACTIONS(4116),
    [anon_sym_TILDE] = ACTIONS(4116),
    [anon_sym_DASH] = ACTIONS(4114),
    [anon_sym_PLUS] = ACTIONS(4114),
    [anon_sym_STAR] = ACTIONS(5190),
    [anon_sym_AMP] = ACTIONS(5190),
    [anon_sym_COLON_COLON] = ACTIONS(4118),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [sym_primitive_type] = ACTIONS(3928),
    [anon_sym_not] = ACTIONS(4114),
    [anon_sym_compl] = ACTIONS(4114),
    [anon_sym_DASH_DASH] = ACTIONS(5093),
    [anon_sym_PLUS_PLUS] = ACTIONS(5093),
    [anon_sym_sizeof] = ACTIONS(4120),
    [anon_sym___alignof__] = ACTIONS(3932),
    [anon_sym___alignof] = ACTIONS(3932),
    [anon_sym__alignof] = ACTIONS(3932),
    [anon_sym_alignof] = ACTIONS(3932),
    [anon_sym__Alignof] = ACTIONS(3932),
    [anon_sym_offsetof] = ACTIONS(3934),
    [anon_sym__Generic] = ACTIONS(3936),
    [anon_sym_asm] = ACTIONS(3938),
    [anon_sym___asm__] = ACTIONS(3938),
    [sym_number_literal] = ACTIONS(3978),
    [anon_sym_L_SQUOTE] = ACTIONS(3980),
    [anon_sym_u_SQUOTE] = ACTIONS(3980),
    [anon_sym_U_SQUOTE] = ACTIONS(3980),
    [anon_sym_u8_SQUOTE] = ACTIONS(3980),
    [anon_sym_SQUOTE] = ACTIONS(3980),
    [anon_sym_L_DQUOTE] = ACTIONS(3982),
    [anon_sym_u_DQUOTE] = ACTIONS(3982),
    [anon_sym_U_DQUOTE] = ACTIONS(3982),
    [anon_sym_u8_DQUOTE] = ACTIONS(3982),
    [anon_sym_DQUOTE] = ACTIONS(3982),
    [sym_true] = ACTIONS(3946),
    [sym_false] = ACTIONS(3946),
    [anon_sym_NULL] = ACTIONS(3948),
    [anon_sym_nullptr] = ACTIONS(3948),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(4122),
    [anon_sym_R_DQUOTE] = ACTIONS(3986),
    [anon_sym_LR_DQUOTE] = ACTIONS(3986),
    [anon_sym_uR_DQUOTE] = ACTIONS(3986),
    [anon_sym_UR_DQUOTE] = ACTIONS(3986),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3986),
    [anon_sym_co_await] = ACTIONS(4124),
    [anon_sym_new] = ACTIONS(3990),
    [anon_sym_requires] = ACTIONS(3958),
    [sym_this] = ACTIONS(3946),
  },
  [2268] = {
    [sym__expression] = STATE(5353),
    [sym__expression_not_binary] = STATE(5575),
    [sym__string] = STATE(5575),
    [sym_conditional_expression] = STATE(5575),
    [sym_assignment_expression] = STATE(5575),
    [sym_pointer_expression] = STATE(4218),
    [sym_unary_expression] = STATE(5575),
    [sym_binary_expression] = STATE(5575),
    [sym_update_expression] = STATE(5575),
    [sym_cast_expression] = STATE(5575),
    [sym_sizeof_expression] = STATE(5575),
    [sym_alignof_expression] = STATE(5575),
    [sym_offsetof_expression] = STATE(5575),
    [sym_generic_expression] = STATE(5575),
    [sym_subscript_expression] = STATE(4218),
    [sym_call_expression] = STATE(4218),
    [sym_gnu_asm_expression] = STATE(5575),
    [sym_field_expression] = STATE(4218),
    [sym_compound_literal_expression] = STATE(5575),
    [sym_parenthesized_expression] = STATE(4218),
    [sym_char_literal] = STATE(5388),
    [sym_concatenated_string] = STATE(5429),
    [sym_string_literal] = STATE(4410),
    [sym_null] = STATE(5575),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9045),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(5575),
    [sym_raw_string_literal] = STATE(4411),
    [sym_co_await_expression] = STATE(5575),
    [sym_new_expression] = STATE(5575),
    [sym_delete_expression] = STATE(5575),
    [sym_requires_clause] = STATE(5575),
    [sym_requires_expression] = STATE(5575),
    [sym_lambda_expression] = STATE(5575),
    [sym_lambda_capture_specifier] = STATE(7089),
    [sym_fold_expression] = STATE(5575),
    [sym_parameter_pack_expansion] = STATE(5575),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6962),
    [sym_qualified_identifier] = STATE(4218),
    [sym_qualified_type_identifier] = STATE(9045),
    [sym_user_defined_literal] = STATE(4218),
    [sym_identifier] = ACTIONS(5081),
    [anon_sym_LPAREN2] = ACTIONS(5200),
    [anon_sym_BANG] = ACTIONS(4431),
    [anon_sym_TILDE] = ACTIONS(4431),
    [anon_sym_DASH] = ACTIONS(4429),
    [anon_sym_PLUS] = ACTIONS(4429),
    [anon_sym_STAR] = ACTIONS(5202),
    [anon_sym_AMP] = ACTIONS(5202),
    [anon_sym_COLON_COLON] = ACTIONS(4433),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [sym_primitive_type] = ACTIONS(4437),
    [anon_sym_not] = ACTIONS(4429),
    [anon_sym_compl] = ACTIONS(4429),
    [anon_sym_DASH_DASH] = ACTIONS(5083),
    [anon_sym_PLUS_PLUS] = ACTIONS(5083),
    [anon_sym_sizeof] = ACTIONS(4439),
    [anon_sym___alignof__] = ACTIONS(4441),
    [anon_sym___alignof] = ACTIONS(4441),
    [anon_sym__alignof] = ACTIONS(4441),
    [anon_sym_alignof] = ACTIONS(4441),
    [anon_sym__Alignof] = ACTIONS(4441),
    [anon_sym_offsetof] = ACTIONS(4443),
    [anon_sym__Generic] = ACTIONS(4445),
    [anon_sym_asm] = ACTIONS(4447),
    [anon_sym___asm__] = ACTIONS(4447),
    [sym_number_literal] = ACTIONS(4449),
    [anon_sym_L_SQUOTE] = ACTIONS(4451),
    [anon_sym_u_SQUOTE] = ACTIONS(4451),
    [anon_sym_U_SQUOTE] = ACTIONS(4451),
    [anon_sym_u8_SQUOTE] = ACTIONS(4451),
    [anon_sym_SQUOTE] = ACTIONS(4451),
    [anon_sym_L_DQUOTE] = ACTIONS(4453),
    [anon_sym_u_DQUOTE] = ACTIONS(4453),
    [anon_sym_U_DQUOTE] = ACTIONS(4453),
    [anon_sym_u8_DQUOTE] = ACTIONS(4453),
    [anon_sym_DQUOTE] = ACTIONS(4453),
    [sym_true] = ACTIONS(4455),
    [sym_false] = ACTIONS(4455),
    [anon_sym_NULL] = ACTIONS(4457),
    [anon_sym_nullptr] = ACTIONS(4457),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(4459),
    [anon_sym_R_DQUOTE] = ACTIONS(4461),
    [anon_sym_LR_DQUOTE] = ACTIONS(4461),
    [anon_sym_uR_DQUOTE] = ACTIONS(4461),
    [anon_sym_UR_DQUOTE] = ACTIONS(4461),
    [anon_sym_u8R_DQUOTE] = ACTIONS(4461),
    [anon_sym_co_await] = ACTIONS(4463),
    [anon_sym_new] = ACTIONS(4465),
    [anon_sym_requires] = ACTIONS(4467),
    [sym_this] = ACTIONS(4455),
  },
  [2269] = {
    [sym__expression] = STATE(4482),
    [sym__expression_not_binary] = STATE(3672),
    [sym__string] = STATE(3672),
    [sym_conditional_expression] = STATE(3672),
    [sym_assignment_expression] = STATE(3672),
    [sym_pointer_expression] = STATE(3672),
    [sym_unary_expression] = STATE(3672),
    [sym_binary_expression] = STATE(3672),
    [sym_update_expression] = STATE(3672),
    [sym_cast_expression] = STATE(3672),
    [sym_sizeof_expression] = STATE(3672),
    [sym_alignof_expression] = STATE(3672),
    [sym_offsetof_expression] = STATE(3672),
    [sym_generic_expression] = STATE(3672),
    [sym_subscript_expression] = STATE(3672),
    [sym_call_expression] = STATE(3672),
    [sym_gnu_asm_expression] = STATE(3672),
    [sym_field_expression] = STATE(3672),
    [sym_compound_literal_expression] = STATE(3672),
    [sym_parenthesized_expression] = STATE(3672),
    [sym_char_literal] = STATE(3991),
    [sym_concatenated_string] = STATE(3973),
    [sym_string_literal] = STATE(3242),
    [sym_null] = STATE(3672),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9333),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(3672),
    [sym_raw_string_literal] = STATE(3241),
    [sym_co_await_expression] = STATE(3672),
    [sym_new_expression] = STATE(3672),
    [sym_delete_expression] = STATE(3672),
    [sym_requires_clause] = STATE(3672),
    [sym_requires_expression] = STATE(3672),
    [sym_lambda_expression] = STATE(3672),
    [sym_lambda_capture_specifier] = STATE(7134),
    [sym_fold_expression] = STATE(3672),
    [sym_parameter_pack_expansion] = STATE(3672),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6886),
    [sym_qualified_identifier] = STATE(3672),
    [sym_qualified_type_identifier] = STATE(9333),
    [sym_user_defined_literal] = STATE(3672),
    [sym_identifier] = ACTIONS(3968),
    [anon_sym_LPAREN2] = ACTIONS(5243),
    [anon_sym_BANG] = ACTIONS(4116),
    [anon_sym_TILDE] = ACTIONS(4116),
    [anon_sym_DASH] = ACTIONS(4114),
    [anon_sym_PLUS] = ACTIONS(4114),
    [anon_sym_STAR] = ACTIONS(5190),
    [anon_sym_AMP] = ACTIONS(5190),
    [anon_sym_COLON_COLON] = ACTIONS(4118),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [sym_primitive_type] = ACTIONS(3928),
    [anon_sym_not] = ACTIONS(4114),
    [anon_sym_compl] = ACTIONS(4114),
    [anon_sym_DASH_DASH] = ACTIONS(5093),
    [anon_sym_PLUS_PLUS] = ACTIONS(5093),
    [anon_sym_sizeof] = ACTIONS(4120),
    [anon_sym___alignof__] = ACTIONS(3932),
    [anon_sym___alignof] = ACTIONS(3932),
    [anon_sym__alignof] = ACTIONS(3932),
    [anon_sym_alignof] = ACTIONS(3932),
    [anon_sym__Alignof] = ACTIONS(3932),
    [anon_sym_offsetof] = ACTIONS(3934),
    [anon_sym__Generic] = ACTIONS(3936),
    [anon_sym_asm] = ACTIONS(3938),
    [anon_sym___asm__] = ACTIONS(3938),
    [sym_number_literal] = ACTIONS(3978),
    [anon_sym_L_SQUOTE] = ACTIONS(3980),
    [anon_sym_u_SQUOTE] = ACTIONS(3980),
    [anon_sym_U_SQUOTE] = ACTIONS(3980),
    [anon_sym_u8_SQUOTE] = ACTIONS(3980),
    [anon_sym_SQUOTE] = ACTIONS(3980),
    [anon_sym_L_DQUOTE] = ACTIONS(3982),
    [anon_sym_u_DQUOTE] = ACTIONS(3982),
    [anon_sym_U_DQUOTE] = ACTIONS(3982),
    [anon_sym_u8_DQUOTE] = ACTIONS(3982),
    [anon_sym_DQUOTE] = ACTIONS(3982),
    [sym_true] = ACTIONS(3946),
    [sym_false] = ACTIONS(3946),
    [anon_sym_NULL] = ACTIONS(3948),
    [anon_sym_nullptr] = ACTIONS(3948),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(4122),
    [anon_sym_R_DQUOTE] = ACTIONS(3986),
    [anon_sym_LR_DQUOTE] = ACTIONS(3986),
    [anon_sym_uR_DQUOTE] = ACTIONS(3986),
    [anon_sym_UR_DQUOTE] = ACTIONS(3986),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3986),
    [anon_sym_co_await] = ACTIONS(4124),
    [anon_sym_new] = ACTIONS(3990),
    [anon_sym_requires] = ACTIONS(3958),
    [sym_this] = ACTIONS(3946),
  },
  [2270] = {
    [sym__expression] = STATE(5867),
    [sym__expression_not_binary] = STATE(5024),
    [sym__string] = STATE(5024),
    [sym_conditional_expression] = STATE(5024),
    [sym_assignment_expression] = STATE(5024),
    [sym_pointer_expression] = STATE(4507),
    [sym_unary_expression] = STATE(5024),
    [sym_binary_expression] = STATE(5024),
    [sym_update_expression] = STATE(5024),
    [sym_cast_expression] = STATE(5024),
    [sym_sizeof_expression] = STATE(5024),
    [sym_alignof_expression] = STATE(5024),
    [sym_offsetof_expression] = STATE(5024),
    [sym_generic_expression] = STATE(5024),
    [sym_subscript_expression] = STATE(4507),
    [sym_call_expression] = STATE(4507),
    [sym_gnu_asm_expression] = STATE(5024),
    [sym_field_expression] = STATE(4507),
    [sym_compound_literal_expression] = STATE(5024),
    [sym_parenthesized_expression] = STATE(4507),
    [sym_char_literal] = STATE(5374),
    [sym_concatenated_string] = STATE(5377),
    [sym_string_literal] = STATE(4206),
    [sym_null] = STATE(5024),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9352),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(5024),
    [sym_raw_string_literal] = STATE(4217),
    [sym_co_await_expression] = STATE(5024),
    [sym_new_expression] = STATE(5024),
    [sym_delete_expression] = STATE(5024),
    [sym_requires_clause] = STATE(5024),
    [sym_requires_expression] = STATE(5024),
    [sym_lambda_expression] = STATE(5024),
    [sym_lambda_capture_specifier] = STATE(7184),
    [sym_fold_expression] = STATE(5024),
    [sym_parameter_pack_expansion] = STATE(5024),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6886),
    [sym_qualified_identifier] = STATE(4507),
    [sym_qualified_type_identifier] = STATE(9352),
    [sym_user_defined_literal] = STATE(4507),
    [sym_identifier] = ACTIONS(3140),
    [anon_sym_LPAREN2] = ACTIONS(1472),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1474),
    [anon_sym_AMP] = ACTIONS(1474),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [sym_primitive_type] = ACTIONS(3146),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [2271] = {
    [sym__expression] = STATE(4290),
    [sym__expression_not_binary] = STATE(3672),
    [sym__string] = STATE(3672),
    [sym_conditional_expression] = STATE(3672),
    [sym_assignment_expression] = STATE(3672),
    [sym_pointer_expression] = STATE(3672),
    [sym_unary_expression] = STATE(3672),
    [sym_binary_expression] = STATE(3672),
    [sym_update_expression] = STATE(3672),
    [sym_cast_expression] = STATE(3672),
    [sym_sizeof_expression] = STATE(3672),
    [sym_alignof_expression] = STATE(3672),
    [sym_offsetof_expression] = STATE(3672),
    [sym_generic_expression] = STATE(3672),
    [sym_subscript_expression] = STATE(3672),
    [sym_call_expression] = STATE(3672),
    [sym_gnu_asm_expression] = STATE(3672),
    [sym_field_expression] = STATE(3672),
    [sym_compound_literal_expression] = STATE(3672),
    [sym_parenthesized_expression] = STATE(3672),
    [sym_char_literal] = STATE(4466),
    [sym_concatenated_string] = STATE(4465),
    [sym_string_literal] = STATE(3395),
    [sym_null] = STATE(3672),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9333),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(3672),
    [sym_raw_string_literal] = STATE(3400),
    [sym_co_await_expression] = STATE(3672),
    [sym_new_expression] = STATE(3672),
    [sym_delete_expression] = STATE(3672),
    [sym_requires_clause] = STATE(3672),
    [sym_requires_expression] = STATE(3672),
    [sym_lambda_expression] = STATE(3672),
    [sym_lambda_capture_specifier] = STATE(7134),
    [sym_fold_expression] = STATE(3672),
    [sym_parameter_pack_expansion] = STATE(3672),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6886),
    [sym_qualified_identifier] = STATE(3672),
    [sym_qualified_type_identifier] = STATE(9333),
    [sym_user_defined_literal] = STATE(3672),
    [sym_identifier] = ACTIONS(4070),
    [anon_sym_LPAREN2] = ACTIONS(5257),
    [anon_sym_BANG] = ACTIONS(4074),
    [anon_sym_TILDE] = ACTIONS(4074),
    [anon_sym_DASH] = ACTIONS(4072),
    [anon_sym_PLUS] = ACTIONS(4072),
    [anon_sym_STAR] = ACTIONS(5017),
    [anon_sym_AMP] = ACTIONS(5017),
    [anon_sym_COLON_COLON] = ACTIONS(4076),
    [anon_sym_LBRACK] = ACTIONS(5523),
    [sym_primitive_type] = ACTIONS(3928),
    [anon_sym_not] = ACTIONS(4072),
    [anon_sym_compl] = ACTIONS(4072),
    [anon_sym_DASH_DASH] = ACTIONS(5043),
    [anon_sym_PLUS_PLUS] = ACTIONS(5043),
    [anon_sym_sizeof] = ACTIONS(4078),
    [anon_sym___alignof__] = ACTIONS(3932),
    [anon_sym___alignof] = ACTIONS(3932),
    [anon_sym__alignof] = ACTIONS(3932),
    [anon_sym_alignof] = ACTIONS(3932),
    [anon_sym__Alignof] = ACTIONS(3932),
    [anon_sym_offsetof] = ACTIONS(3934),
    [anon_sym__Generic] = ACTIONS(3936),
    [anon_sym_asm] = ACTIONS(3938),
    [anon_sym___asm__] = ACTIONS(3938),
    [sym_number_literal] = ACTIONS(4080),
    [anon_sym_L_SQUOTE] = ACTIONS(4082),
    [anon_sym_u_SQUOTE] = ACTIONS(4082),
    [anon_sym_U_SQUOTE] = ACTIONS(4082),
    [anon_sym_u8_SQUOTE] = ACTIONS(4082),
    [anon_sym_SQUOTE] = ACTIONS(4082),
    [anon_sym_L_DQUOTE] = ACTIONS(4084),
    [anon_sym_u_DQUOTE] = ACTIONS(4084),
    [anon_sym_U_DQUOTE] = ACTIONS(4084),
    [anon_sym_u8_DQUOTE] = ACTIONS(4084),
    [anon_sym_DQUOTE] = ACTIONS(4084),
    [sym_true] = ACTIONS(3946),
    [sym_false] = ACTIONS(3946),
    [anon_sym_NULL] = ACTIONS(3948),
    [anon_sym_nullptr] = ACTIONS(3948),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(4086),
    [anon_sym_R_DQUOTE] = ACTIONS(4088),
    [anon_sym_LR_DQUOTE] = ACTIONS(4088),
    [anon_sym_uR_DQUOTE] = ACTIONS(4088),
    [anon_sym_UR_DQUOTE] = ACTIONS(4088),
    [anon_sym_u8R_DQUOTE] = ACTIONS(4088),
    [anon_sym_co_await] = ACTIONS(4090),
    [anon_sym_new] = ACTIONS(3990),
    [anon_sym_requires] = ACTIONS(3958),
    [sym_this] = ACTIONS(3946),
  },
  [2272] = {
    [sym__expression] = STATE(5903),
    [sym__expression_not_binary] = STATE(5024),
    [sym__string] = STATE(5024),
    [sym_conditional_expression] = STATE(5024),
    [sym_assignment_expression] = STATE(5024),
    [sym_pointer_expression] = STATE(4507),
    [sym_unary_expression] = STATE(5024),
    [sym_binary_expression] = STATE(5024),
    [sym_update_expression] = STATE(5024),
    [sym_cast_expression] = STATE(5024),
    [sym_sizeof_expression] = STATE(5024),
    [sym_alignof_expression] = STATE(5024),
    [sym_offsetof_expression] = STATE(5024),
    [sym_generic_expression] = STATE(5024),
    [sym_subscript_expression] = STATE(4507),
    [sym_call_expression] = STATE(4507),
    [sym_gnu_asm_expression] = STATE(5024),
    [sym_field_expression] = STATE(4507),
    [sym_compound_literal_expression] = STATE(5024),
    [sym_parenthesized_expression] = STATE(4507),
    [sym_char_literal] = STATE(5374),
    [sym_concatenated_string] = STATE(5377),
    [sym_string_literal] = STATE(4206),
    [sym_null] = STATE(5024),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9352),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(5024),
    [sym_raw_string_literal] = STATE(4217),
    [sym_co_await_expression] = STATE(5024),
    [sym_new_expression] = STATE(5024),
    [sym_delete_expression] = STATE(5024),
    [sym_requires_clause] = STATE(5024),
    [sym_requires_expression] = STATE(5024),
    [sym_lambda_expression] = STATE(5024),
    [sym_lambda_capture_specifier] = STATE(7184),
    [sym_fold_expression] = STATE(5024),
    [sym_parameter_pack_expansion] = STATE(5024),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6886),
    [sym_qualified_identifier] = STATE(4507),
    [sym_qualified_type_identifier] = STATE(9352),
    [sym_user_defined_literal] = STATE(4507),
    [sym_identifier] = ACTIONS(3140),
    [anon_sym_LPAREN2] = ACTIONS(1472),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1474),
    [anon_sym_AMP] = ACTIONS(1474),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [sym_primitive_type] = ACTIONS(3146),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [2273] = {
    [sym__expression] = STATE(3811),
    [sym__expression_not_binary] = STATE(3672),
    [sym__string] = STATE(3672),
    [sym_conditional_expression] = STATE(3672),
    [sym_assignment_expression] = STATE(3672),
    [sym_pointer_expression] = STATE(3672),
    [sym_unary_expression] = STATE(3672),
    [sym_binary_expression] = STATE(3672),
    [sym_update_expression] = STATE(3672),
    [sym_cast_expression] = STATE(3672),
    [sym_sizeof_expression] = STATE(3672),
    [sym_alignof_expression] = STATE(3672),
    [sym_offsetof_expression] = STATE(3672),
    [sym_generic_expression] = STATE(3672),
    [sym_subscript_expression] = STATE(3672),
    [sym_call_expression] = STATE(3672),
    [sym_gnu_asm_expression] = STATE(3672),
    [sym_field_expression] = STATE(3672),
    [sym_compound_literal_expression] = STATE(3672),
    [sym_parenthesized_expression] = STATE(3672),
    [sym_char_literal] = STATE(3855),
    [sym_concatenated_string] = STATE(3873),
    [sym_string_literal] = STATE(3222),
    [sym_null] = STATE(3672),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9333),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(3672),
    [sym_raw_string_literal] = STATE(3216),
    [sym_co_await_expression] = STATE(3672),
    [sym_new_expression] = STATE(3672),
    [sym_delete_expression] = STATE(3672),
    [sym_requires_clause] = STATE(3672),
    [sym_requires_expression] = STATE(3672),
    [sym_lambda_expression] = STATE(3672),
    [sym_lambda_capture_specifier] = STATE(7134),
    [sym_fold_expression] = STATE(3672),
    [sym_parameter_pack_expansion] = STATE(3672),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6886),
    [sym_qualified_identifier] = STATE(3672),
    [sym_qualified_type_identifier] = STATE(9333),
    [sym_user_defined_literal] = STATE(3672),
    [sym_identifier] = ACTIONS(3968),
    [anon_sym_LPAREN2] = ACTIONS(5184),
    [anon_sym_BANG] = ACTIONS(3922),
    [anon_sym_TILDE] = ACTIONS(3922),
    [anon_sym_DASH] = ACTIONS(3920),
    [anon_sym_PLUS] = ACTIONS(3920),
    [anon_sym_STAR] = ACTIONS(5186),
    [anon_sym_AMP] = ACTIONS(5186),
    [anon_sym_COLON_COLON] = ACTIONS(3924),
    [anon_sym_LBRACK] = ACTIONS(5525),
    [sym_primitive_type] = ACTIONS(3928),
    [anon_sym_not] = ACTIONS(3920),
    [anon_sym_compl] = ACTIONS(3920),
    [anon_sym_DASH_DASH] = ACTIONS(5013),
    [anon_sym_PLUS_PLUS] = ACTIONS(5013),
    [anon_sym_sizeof] = ACTIONS(3930),
    [anon_sym___alignof__] = ACTIONS(3932),
    [anon_sym___alignof] = ACTIONS(3932),
    [anon_sym__alignof] = ACTIONS(3932),
    [anon_sym_alignof] = ACTIONS(3932),
    [anon_sym__Alignof] = ACTIONS(3932),
    [anon_sym_offsetof] = ACTIONS(3934),
    [anon_sym__Generic] = ACTIONS(3936),
    [anon_sym_asm] = ACTIONS(3938),
    [anon_sym___asm__] = ACTIONS(3938),
    [sym_number_literal] = ACTIONS(3940),
    [anon_sym_L_SQUOTE] = ACTIONS(3942),
    [anon_sym_u_SQUOTE] = ACTIONS(3942),
    [anon_sym_U_SQUOTE] = ACTIONS(3942),
    [anon_sym_u8_SQUOTE] = ACTIONS(3942),
    [anon_sym_SQUOTE] = ACTIONS(3942),
    [anon_sym_L_DQUOTE] = ACTIONS(3944),
    [anon_sym_u_DQUOTE] = ACTIONS(3944),
    [anon_sym_U_DQUOTE] = ACTIONS(3944),
    [anon_sym_u8_DQUOTE] = ACTIONS(3944),
    [anon_sym_DQUOTE] = ACTIONS(3944),
    [sym_true] = ACTIONS(3946),
    [sym_false] = ACTIONS(3946),
    [anon_sym_NULL] = ACTIONS(3948),
    [anon_sym_nullptr] = ACTIONS(3948),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(3950),
    [anon_sym_R_DQUOTE] = ACTIONS(3952),
    [anon_sym_LR_DQUOTE] = ACTIONS(3952),
    [anon_sym_uR_DQUOTE] = ACTIONS(3952),
    [anon_sym_UR_DQUOTE] = ACTIONS(3952),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3952),
    [anon_sym_co_await] = ACTIONS(3954),
    [anon_sym_new] = ACTIONS(3956),
    [anon_sym_requires] = ACTIONS(3958),
    [sym_this] = ACTIONS(3946),
  },
  [2274] = {
    [sym__expression] = STATE(5797),
    [sym__expression_not_binary] = STATE(5024),
    [sym__string] = STATE(5024),
    [sym_conditional_expression] = STATE(5024),
    [sym_assignment_expression] = STATE(5024),
    [sym_pointer_expression] = STATE(4507),
    [sym_unary_expression] = STATE(5024),
    [sym_binary_expression] = STATE(5024),
    [sym_update_expression] = STATE(5024),
    [sym_cast_expression] = STATE(5024),
    [sym_sizeof_expression] = STATE(5024),
    [sym_alignof_expression] = STATE(5024),
    [sym_offsetof_expression] = STATE(5024),
    [sym_generic_expression] = STATE(5024),
    [sym_subscript_expression] = STATE(4507),
    [sym_call_expression] = STATE(4507),
    [sym_gnu_asm_expression] = STATE(5024),
    [sym_field_expression] = STATE(4507),
    [sym_compound_literal_expression] = STATE(5024),
    [sym_parenthesized_expression] = STATE(4507),
    [sym_char_literal] = STATE(5374),
    [sym_concatenated_string] = STATE(5377),
    [sym_string_literal] = STATE(4206),
    [sym_null] = STATE(5024),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9352),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(5024),
    [sym_raw_string_literal] = STATE(4217),
    [sym_co_await_expression] = STATE(5024),
    [sym_new_expression] = STATE(5024),
    [sym_delete_expression] = STATE(5024),
    [sym_requires_clause] = STATE(5024),
    [sym_requires_expression] = STATE(5024),
    [sym_lambda_expression] = STATE(5024),
    [sym_lambda_capture_specifier] = STATE(7184),
    [sym_fold_expression] = STATE(5024),
    [sym_parameter_pack_expansion] = STATE(5024),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6886),
    [sym_qualified_identifier] = STATE(4507),
    [sym_qualified_type_identifier] = STATE(9352),
    [sym_user_defined_literal] = STATE(4507),
    [sym_identifier] = ACTIONS(3140),
    [anon_sym_LPAREN2] = ACTIONS(1472),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1474),
    [anon_sym_AMP] = ACTIONS(1474),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [sym_primitive_type] = ACTIONS(3146),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [2275] = {
    [sym__expression] = STATE(5883),
    [sym__expression_not_binary] = STATE(5024),
    [sym__string] = STATE(5024),
    [sym_conditional_expression] = STATE(5024),
    [sym_assignment_expression] = STATE(5024),
    [sym_pointer_expression] = STATE(4507),
    [sym_unary_expression] = STATE(5024),
    [sym_binary_expression] = STATE(5024),
    [sym_update_expression] = STATE(5024),
    [sym_cast_expression] = STATE(5024),
    [sym_sizeof_expression] = STATE(5024),
    [sym_alignof_expression] = STATE(5024),
    [sym_offsetof_expression] = STATE(5024),
    [sym_generic_expression] = STATE(5024),
    [sym_subscript_expression] = STATE(4507),
    [sym_call_expression] = STATE(4507),
    [sym_gnu_asm_expression] = STATE(5024),
    [sym_field_expression] = STATE(4507),
    [sym_compound_literal_expression] = STATE(5024),
    [sym_parenthesized_expression] = STATE(4507),
    [sym_char_literal] = STATE(5374),
    [sym_concatenated_string] = STATE(5377),
    [sym_string_literal] = STATE(4206),
    [sym_null] = STATE(5024),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9352),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(5024),
    [sym_raw_string_literal] = STATE(4217),
    [sym_co_await_expression] = STATE(5024),
    [sym_new_expression] = STATE(5024),
    [sym_delete_expression] = STATE(5024),
    [sym_requires_clause] = STATE(5024),
    [sym_requires_expression] = STATE(5024),
    [sym_lambda_expression] = STATE(5024),
    [sym_lambda_capture_specifier] = STATE(7184),
    [sym_fold_expression] = STATE(5024),
    [sym_parameter_pack_expansion] = STATE(5024),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6886),
    [sym_qualified_identifier] = STATE(4507),
    [sym_qualified_type_identifier] = STATE(9352),
    [sym_user_defined_literal] = STATE(4507),
    [sym_identifier] = ACTIONS(3140),
    [anon_sym_LPAREN2] = ACTIONS(1472),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1474),
    [anon_sym_AMP] = ACTIONS(1474),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [sym_primitive_type] = ACTIONS(5527),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [2276] = {
    [sym__expression] = STATE(5789),
    [sym__expression_not_binary] = STATE(5024),
    [sym__string] = STATE(5024),
    [sym_conditional_expression] = STATE(5024),
    [sym_assignment_expression] = STATE(5024),
    [sym_pointer_expression] = STATE(4713),
    [sym_unary_expression] = STATE(5024),
    [sym_binary_expression] = STATE(5024),
    [sym_update_expression] = STATE(5024),
    [sym_cast_expression] = STATE(5024),
    [sym_sizeof_expression] = STATE(5024),
    [sym_alignof_expression] = STATE(5024),
    [sym_offsetof_expression] = STATE(5024),
    [sym_generic_expression] = STATE(5024),
    [sym_subscript_expression] = STATE(4713),
    [sym_call_expression] = STATE(4713),
    [sym_gnu_asm_expression] = STATE(5024),
    [sym_field_expression] = STATE(4713),
    [sym_compound_literal_expression] = STATE(5024),
    [sym_parenthesized_expression] = STATE(4713),
    [sym_char_literal] = STATE(5374),
    [sym_concatenated_string] = STATE(5377),
    [sym_string_literal] = STATE(4206),
    [sym_null] = STATE(5024),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9352),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(5024),
    [sym_raw_string_literal] = STATE(4217),
    [sym_co_await_expression] = STATE(5024),
    [sym_new_expression] = STATE(5024),
    [sym_delete_expression] = STATE(5024),
    [sym_requires_clause] = STATE(5024),
    [sym_requires_expression] = STATE(5024),
    [sym_lambda_expression] = STATE(5024),
    [sym_lambda_capture_specifier] = STATE(7184),
    [sym_fold_expression] = STATE(5024),
    [sym_parameter_pack_expansion] = STATE(5024),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6886),
    [sym_qualified_identifier] = STATE(4713),
    [sym_qualified_type_identifier] = STATE(9352),
    [sym_user_defined_literal] = STATE(4713),
    [sym_identifier] = ACTIONS(4518),
    [anon_sym_LPAREN2] = ACTIONS(5188),
    [anon_sym_BANG] = ACTIONS(4522),
    [anon_sym_TILDE] = ACTIONS(4522),
    [anon_sym_DASH] = ACTIONS(4520),
    [anon_sym_PLUS] = ACTIONS(4520),
    [anon_sym_STAR] = ACTIONS(5190),
    [anon_sym_AMP] = ACTIONS(5190),
    [anon_sym_COLON_COLON] = ACTIONS(4524),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [sym_primitive_type] = ACTIONS(3146),
    [anon_sym_not] = ACTIONS(4520),
    [anon_sym_compl] = ACTIONS(4520),
    [anon_sym_DASH_DASH] = ACTIONS(5071),
    [anon_sym_PLUS_PLUS] = ACTIONS(5071),
    [anon_sym_sizeof] = ACTIONS(4526),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(4528),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(4530),
    [anon_sym_new] = ACTIONS(4516),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [2277] = {
    [sym__expression] = STATE(5736),
    [sym__expression_not_binary] = STATE(6001),
    [sym__string] = STATE(6001),
    [sym_conditional_expression] = STATE(6001),
    [sym_assignment_expression] = STATE(6001),
    [sym_pointer_expression] = STATE(4807),
    [sym_unary_expression] = STATE(6001),
    [sym_binary_expression] = STATE(6001),
    [sym_update_expression] = STATE(6001),
    [sym_cast_expression] = STATE(6001),
    [sym_sizeof_expression] = STATE(6001),
    [sym_alignof_expression] = STATE(6001),
    [sym_offsetof_expression] = STATE(6001),
    [sym_generic_expression] = STATE(6001),
    [sym_subscript_expression] = STATE(4807),
    [sym_call_expression] = STATE(4807),
    [sym_gnu_asm_expression] = STATE(6001),
    [sym_field_expression] = STATE(4807),
    [sym_compound_literal_expression] = STATE(6001),
    [sym_parenthesized_expression] = STATE(4807),
    [sym_char_literal] = STATE(5842),
    [sym_concatenated_string] = STATE(5845),
    [sym_string_literal] = STATE(4864),
    [sym_null] = STATE(6001),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(8975),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(6001),
    [sym_raw_string_literal] = STATE(4865),
    [sym_co_await_expression] = STATE(6001),
    [sym_new_expression] = STATE(6001),
    [sym_delete_expression] = STATE(6001),
    [sym_requires_clause] = STATE(6001),
    [sym_requires_expression] = STATE(6001),
    [sym_lambda_expression] = STATE(6001),
    [sym_lambda_capture_specifier] = STATE(7123),
    [sym_fold_expression] = STATE(6001),
    [sym_parameter_pack_expansion] = STATE(6001),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6932),
    [sym_qualified_identifier] = STATE(4807),
    [sym_qualified_type_identifier] = STATE(8975),
    [sym_user_defined_literal] = STATE(4807),
    [sym_identifier] = ACTIONS(4532),
    [anon_sym_LPAREN2] = ACTIONS(4255),
    [anon_sym_BANG] = ACTIONS(4257),
    [anon_sym_TILDE] = ACTIONS(4257),
    [anon_sym_DASH] = ACTIONS(4259),
    [anon_sym_PLUS] = ACTIONS(4259),
    [anon_sym_STAR] = ACTIONS(4261),
    [anon_sym_AMP] = ACTIONS(4261),
    [anon_sym_COLON_COLON] = ACTIONS(4263),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [sym_primitive_type] = ACTIONS(4536),
    [anon_sym_not] = ACTIONS(4259),
    [anon_sym_compl] = ACTIONS(4259),
    [anon_sym_DASH_DASH] = ACTIONS(4277),
    [anon_sym_PLUS_PLUS] = ACTIONS(4277),
    [anon_sym_sizeof] = ACTIONS(4279),
    [anon_sym___alignof__] = ACTIONS(4281),
    [anon_sym___alignof] = ACTIONS(4281),
    [anon_sym__alignof] = ACTIONS(4281),
    [anon_sym_alignof] = ACTIONS(4281),
    [anon_sym__Alignof] = ACTIONS(4281),
    [anon_sym_offsetof] = ACTIONS(4283),
    [anon_sym__Generic] = ACTIONS(4285),
    [anon_sym_asm] = ACTIONS(4287),
    [anon_sym___asm__] = ACTIONS(4287),
    [sym_number_literal] = ACTIONS(4289),
    [anon_sym_L_SQUOTE] = ACTIONS(4291),
    [anon_sym_u_SQUOTE] = ACTIONS(4291),
    [anon_sym_U_SQUOTE] = ACTIONS(4291),
    [anon_sym_u8_SQUOTE] = ACTIONS(4291),
    [anon_sym_SQUOTE] = ACTIONS(4291),
    [anon_sym_L_DQUOTE] = ACTIONS(4293),
    [anon_sym_u_DQUOTE] = ACTIONS(4293),
    [anon_sym_U_DQUOTE] = ACTIONS(4293),
    [anon_sym_u8_DQUOTE] = ACTIONS(4293),
    [anon_sym_DQUOTE] = ACTIONS(4293),
    [sym_true] = ACTIONS(4295),
    [sym_false] = ACTIONS(4295),
    [anon_sym_NULL] = ACTIONS(4297),
    [anon_sym_nullptr] = ACTIONS(4297),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(4307),
    [anon_sym_R_DQUOTE] = ACTIONS(4309),
    [anon_sym_LR_DQUOTE] = ACTIONS(4309),
    [anon_sym_uR_DQUOTE] = ACTIONS(4309),
    [anon_sym_UR_DQUOTE] = ACTIONS(4309),
    [anon_sym_u8R_DQUOTE] = ACTIONS(4309),
    [anon_sym_co_await] = ACTIONS(4311),
    [anon_sym_new] = ACTIONS(4313),
    [anon_sym_requires] = ACTIONS(4315),
    [sym_this] = ACTIONS(4295),
  },
  [2278] = {
    [sym__expression] = STATE(5487),
    [sym__expression_not_binary] = STATE(5024),
    [sym__string] = STATE(5024),
    [sym_conditional_expression] = STATE(5024),
    [sym_assignment_expression] = STATE(5024),
    [sym_pointer_expression] = STATE(4507),
    [sym_unary_expression] = STATE(5024),
    [sym_binary_expression] = STATE(5024),
    [sym_update_expression] = STATE(5024),
    [sym_cast_expression] = STATE(5024),
    [sym_sizeof_expression] = STATE(5024),
    [sym_alignof_expression] = STATE(5024),
    [sym_offsetof_expression] = STATE(5024),
    [sym_generic_expression] = STATE(5024),
    [sym_subscript_expression] = STATE(4507),
    [sym_call_expression] = STATE(4507),
    [sym_gnu_asm_expression] = STATE(5024),
    [sym_field_expression] = STATE(4507),
    [sym_compound_literal_expression] = STATE(5024),
    [sym_parenthesized_expression] = STATE(4507),
    [sym_char_literal] = STATE(5374),
    [sym_concatenated_string] = STATE(5377),
    [sym_string_literal] = STATE(4206),
    [sym_null] = STATE(5024),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9352),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(5024),
    [sym_raw_string_literal] = STATE(4217),
    [sym_co_await_expression] = STATE(5024),
    [sym_new_expression] = STATE(5024),
    [sym_delete_expression] = STATE(5024),
    [sym_requires_clause] = STATE(5024),
    [sym_requires_expression] = STATE(5024),
    [sym_lambda_expression] = STATE(5024),
    [sym_lambda_capture_specifier] = STATE(7184),
    [sym_fold_expression] = STATE(5024),
    [sym_parameter_pack_expansion] = STATE(5024),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6886),
    [sym_qualified_identifier] = STATE(4507),
    [sym_qualified_type_identifier] = STATE(9352),
    [sym_user_defined_literal] = STATE(4507),
    [sym_identifier] = ACTIONS(3140),
    [anon_sym_LPAREN2] = ACTIONS(1472),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1474),
    [anon_sym_AMP] = ACTIONS(1474),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [sym_primitive_type] = ACTIONS(3146),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [2279] = {
    [sym__expression] = STATE(5348),
    [sym__expression_not_binary] = STATE(5575),
    [sym__string] = STATE(5575),
    [sym_conditional_expression] = STATE(5575),
    [sym_assignment_expression] = STATE(5575),
    [sym_pointer_expression] = STATE(4218),
    [sym_unary_expression] = STATE(5575),
    [sym_binary_expression] = STATE(5575),
    [sym_update_expression] = STATE(5575),
    [sym_cast_expression] = STATE(5575),
    [sym_sizeof_expression] = STATE(5575),
    [sym_alignof_expression] = STATE(5575),
    [sym_offsetof_expression] = STATE(5575),
    [sym_generic_expression] = STATE(5575),
    [sym_subscript_expression] = STATE(4218),
    [sym_call_expression] = STATE(4218),
    [sym_gnu_asm_expression] = STATE(5575),
    [sym_field_expression] = STATE(4218),
    [sym_compound_literal_expression] = STATE(5575),
    [sym_parenthesized_expression] = STATE(4218),
    [sym_char_literal] = STATE(5388),
    [sym_concatenated_string] = STATE(5429),
    [sym_string_literal] = STATE(4410),
    [sym_null] = STATE(5575),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9045),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(5575),
    [sym_raw_string_literal] = STATE(4411),
    [sym_co_await_expression] = STATE(5575),
    [sym_new_expression] = STATE(5575),
    [sym_delete_expression] = STATE(5575),
    [sym_requires_clause] = STATE(5575),
    [sym_requires_expression] = STATE(5575),
    [sym_lambda_expression] = STATE(5575),
    [sym_lambda_capture_specifier] = STATE(7089),
    [sym_fold_expression] = STATE(5575),
    [sym_parameter_pack_expansion] = STATE(5575),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6962),
    [sym_qualified_identifier] = STATE(4218),
    [sym_qualified_type_identifier] = STATE(9045),
    [sym_user_defined_literal] = STATE(4218),
    [sym_identifier] = ACTIONS(5081),
    [anon_sym_LPAREN2] = ACTIONS(5200),
    [anon_sym_BANG] = ACTIONS(4431),
    [anon_sym_TILDE] = ACTIONS(4431),
    [anon_sym_DASH] = ACTIONS(4429),
    [anon_sym_PLUS] = ACTIONS(4429),
    [anon_sym_STAR] = ACTIONS(5202),
    [anon_sym_AMP] = ACTIONS(5202),
    [anon_sym_COLON_COLON] = ACTIONS(4433),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [sym_primitive_type] = ACTIONS(4437),
    [anon_sym_not] = ACTIONS(4429),
    [anon_sym_compl] = ACTIONS(4429),
    [anon_sym_DASH_DASH] = ACTIONS(5083),
    [anon_sym_PLUS_PLUS] = ACTIONS(5083),
    [anon_sym_sizeof] = ACTIONS(4439),
    [anon_sym___alignof__] = ACTIONS(4441),
    [anon_sym___alignof] = ACTIONS(4441),
    [anon_sym__alignof] = ACTIONS(4441),
    [anon_sym_alignof] = ACTIONS(4441),
    [anon_sym__Alignof] = ACTIONS(4441),
    [anon_sym_offsetof] = ACTIONS(4443),
    [anon_sym__Generic] = ACTIONS(4445),
    [anon_sym_asm] = ACTIONS(4447),
    [anon_sym___asm__] = ACTIONS(4447),
    [sym_number_literal] = ACTIONS(4449),
    [anon_sym_L_SQUOTE] = ACTIONS(4451),
    [anon_sym_u_SQUOTE] = ACTIONS(4451),
    [anon_sym_U_SQUOTE] = ACTIONS(4451),
    [anon_sym_u8_SQUOTE] = ACTIONS(4451),
    [anon_sym_SQUOTE] = ACTIONS(4451),
    [anon_sym_L_DQUOTE] = ACTIONS(4453),
    [anon_sym_u_DQUOTE] = ACTIONS(4453),
    [anon_sym_U_DQUOTE] = ACTIONS(4453),
    [anon_sym_u8_DQUOTE] = ACTIONS(4453),
    [anon_sym_DQUOTE] = ACTIONS(4453),
    [sym_true] = ACTIONS(4455),
    [sym_false] = ACTIONS(4455),
    [anon_sym_NULL] = ACTIONS(4457),
    [anon_sym_nullptr] = ACTIONS(4457),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(4459),
    [anon_sym_R_DQUOTE] = ACTIONS(4461),
    [anon_sym_LR_DQUOTE] = ACTIONS(4461),
    [anon_sym_uR_DQUOTE] = ACTIONS(4461),
    [anon_sym_UR_DQUOTE] = ACTIONS(4461),
    [anon_sym_u8R_DQUOTE] = ACTIONS(4461),
    [anon_sym_co_await] = ACTIONS(4463),
    [anon_sym_new] = ACTIONS(4465),
    [anon_sym_requires] = ACTIONS(4467),
    [sym_this] = ACTIONS(4455),
  },
  [2280] = {
    [sym__expression] = STATE(5362),
    [sym__expression_not_binary] = STATE(5575),
    [sym__string] = STATE(5575),
    [sym_conditional_expression] = STATE(5575),
    [sym_assignment_expression] = STATE(5575),
    [sym_pointer_expression] = STATE(4218),
    [sym_unary_expression] = STATE(5575),
    [sym_binary_expression] = STATE(5575),
    [sym_update_expression] = STATE(5575),
    [sym_cast_expression] = STATE(5575),
    [sym_sizeof_expression] = STATE(5575),
    [sym_alignof_expression] = STATE(5575),
    [sym_offsetof_expression] = STATE(5575),
    [sym_generic_expression] = STATE(5575),
    [sym_subscript_expression] = STATE(4218),
    [sym_call_expression] = STATE(4218),
    [sym_gnu_asm_expression] = STATE(5575),
    [sym_field_expression] = STATE(4218),
    [sym_compound_literal_expression] = STATE(5575),
    [sym_parenthesized_expression] = STATE(4218),
    [sym_char_literal] = STATE(5388),
    [sym_concatenated_string] = STATE(5429),
    [sym_string_literal] = STATE(4410),
    [sym_null] = STATE(5575),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9045),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(5575),
    [sym_raw_string_literal] = STATE(4411),
    [sym_co_await_expression] = STATE(5575),
    [sym_new_expression] = STATE(5575),
    [sym_delete_expression] = STATE(5575),
    [sym_requires_clause] = STATE(5575),
    [sym_requires_expression] = STATE(5575),
    [sym_lambda_expression] = STATE(5575),
    [sym_lambda_capture_specifier] = STATE(7089),
    [sym_fold_expression] = STATE(5575),
    [sym_parameter_pack_expansion] = STATE(5575),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6962),
    [sym_qualified_identifier] = STATE(4218),
    [sym_qualified_type_identifier] = STATE(9045),
    [sym_user_defined_literal] = STATE(4218),
    [sym_identifier] = ACTIONS(5081),
    [anon_sym_LPAREN2] = ACTIONS(5200),
    [anon_sym_BANG] = ACTIONS(4431),
    [anon_sym_TILDE] = ACTIONS(4431),
    [anon_sym_DASH] = ACTIONS(4429),
    [anon_sym_PLUS] = ACTIONS(4429),
    [anon_sym_STAR] = ACTIONS(5202),
    [anon_sym_AMP] = ACTIONS(5202),
    [anon_sym_COLON_COLON] = ACTIONS(4433),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [sym_primitive_type] = ACTIONS(4437),
    [anon_sym_not] = ACTIONS(4429),
    [anon_sym_compl] = ACTIONS(4429),
    [anon_sym_DASH_DASH] = ACTIONS(5083),
    [anon_sym_PLUS_PLUS] = ACTIONS(5083),
    [anon_sym_sizeof] = ACTIONS(4439),
    [anon_sym___alignof__] = ACTIONS(4441),
    [anon_sym___alignof] = ACTIONS(4441),
    [anon_sym__alignof] = ACTIONS(4441),
    [anon_sym_alignof] = ACTIONS(4441),
    [anon_sym__Alignof] = ACTIONS(4441),
    [anon_sym_offsetof] = ACTIONS(4443),
    [anon_sym__Generic] = ACTIONS(4445),
    [anon_sym_asm] = ACTIONS(4447),
    [anon_sym___asm__] = ACTIONS(4447),
    [sym_number_literal] = ACTIONS(4449),
    [anon_sym_L_SQUOTE] = ACTIONS(4451),
    [anon_sym_u_SQUOTE] = ACTIONS(4451),
    [anon_sym_U_SQUOTE] = ACTIONS(4451),
    [anon_sym_u8_SQUOTE] = ACTIONS(4451),
    [anon_sym_SQUOTE] = ACTIONS(4451),
    [anon_sym_L_DQUOTE] = ACTIONS(4453),
    [anon_sym_u_DQUOTE] = ACTIONS(4453),
    [anon_sym_U_DQUOTE] = ACTIONS(4453),
    [anon_sym_u8_DQUOTE] = ACTIONS(4453),
    [anon_sym_DQUOTE] = ACTIONS(4453),
    [sym_true] = ACTIONS(4455),
    [sym_false] = ACTIONS(4455),
    [anon_sym_NULL] = ACTIONS(4457),
    [anon_sym_nullptr] = ACTIONS(4457),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(4459),
    [anon_sym_R_DQUOTE] = ACTIONS(4461),
    [anon_sym_LR_DQUOTE] = ACTIONS(4461),
    [anon_sym_uR_DQUOTE] = ACTIONS(4461),
    [anon_sym_UR_DQUOTE] = ACTIONS(4461),
    [anon_sym_u8R_DQUOTE] = ACTIONS(4461),
    [anon_sym_co_await] = ACTIONS(4463),
    [anon_sym_new] = ACTIONS(4465),
    [anon_sym_requires] = ACTIONS(4467),
    [sym_this] = ACTIONS(4455),
  },
  [2281] = {
    [sym__expression] = STATE(5853),
    [sym__expression_not_binary] = STATE(5024),
    [sym__string] = STATE(5024),
    [sym_conditional_expression] = STATE(5024),
    [sym_assignment_expression] = STATE(5024),
    [sym_pointer_expression] = STATE(4737),
    [sym_unary_expression] = STATE(5024),
    [sym_binary_expression] = STATE(5024),
    [sym_update_expression] = STATE(5024),
    [sym_cast_expression] = STATE(5024),
    [sym_sizeof_expression] = STATE(5024),
    [sym_alignof_expression] = STATE(5024),
    [sym_offsetof_expression] = STATE(5024),
    [sym_generic_expression] = STATE(5024),
    [sym_subscript_expression] = STATE(4737),
    [sym_call_expression] = STATE(4737),
    [sym_gnu_asm_expression] = STATE(5024),
    [sym_field_expression] = STATE(4737),
    [sym_compound_literal_expression] = STATE(5024),
    [sym_parenthesized_expression] = STATE(4737),
    [sym_char_literal] = STATE(5374),
    [sym_concatenated_string] = STATE(5377),
    [sym_string_literal] = STATE(4206),
    [sym_null] = STATE(5024),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9352),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(5024),
    [sym_raw_string_literal] = STATE(4217),
    [sym_co_await_expression] = STATE(5024),
    [sym_new_expression] = STATE(5024),
    [sym_delete_expression] = STATE(5024),
    [sym_requires_clause] = STATE(5024),
    [sym_requires_expression] = STATE(5024),
    [sym_lambda_expression] = STATE(5024),
    [sym_lambda_capture_specifier] = STATE(7184),
    [sym_fold_expression] = STATE(5024),
    [sym_parameter_pack_expansion] = STATE(5024),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6886),
    [sym_qualified_identifier] = STATE(4737),
    [sym_qualified_type_identifier] = STATE(9352),
    [sym_user_defined_literal] = STATE(4737),
    [sym_identifier] = ACTIONS(4502),
    [anon_sym_LPAREN2] = ACTIONS(4540),
    [anon_sym_BANG] = ACTIONS(4506),
    [anon_sym_TILDE] = ACTIONS(4506),
    [anon_sym_DASH] = ACTIONS(4504),
    [anon_sym_PLUS] = ACTIONS(4504),
    [anon_sym_STAR] = ACTIONS(1474),
    [anon_sym_AMP] = ACTIONS(1474),
    [anon_sym_COLON_COLON] = ACTIONS(4508),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [sym_primitive_type] = ACTIONS(3146),
    [anon_sym_not] = ACTIONS(4504),
    [anon_sym_compl] = ACTIONS(4504),
    [anon_sym_DASH_DASH] = ACTIONS(4544),
    [anon_sym_PLUS_PLUS] = ACTIONS(4544),
    [anon_sym_sizeof] = ACTIONS(4510),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(4512),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(4514),
    [anon_sym_new] = ACTIONS(4516),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [2282] = {
    [sym__expression] = STATE(5761),
    [sym__expression_not_binary] = STATE(5024),
    [sym__string] = STATE(5024),
    [sym_conditional_expression] = STATE(5024),
    [sym_assignment_expression] = STATE(5024),
    [sym_pointer_expression] = STATE(4507),
    [sym_unary_expression] = STATE(5024),
    [sym_binary_expression] = STATE(5024),
    [sym_update_expression] = STATE(5024),
    [sym_cast_expression] = STATE(5024),
    [sym_sizeof_expression] = STATE(5024),
    [sym_alignof_expression] = STATE(5024),
    [sym_offsetof_expression] = STATE(5024),
    [sym_generic_expression] = STATE(5024),
    [sym_subscript_expression] = STATE(4507),
    [sym_call_expression] = STATE(4507),
    [sym_gnu_asm_expression] = STATE(5024),
    [sym_field_expression] = STATE(4507),
    [sym_compound_literal_expression] = STATE(5024),
    [sym_parenthesized_expression] = STATE(4507),
    [sym_char_literal] = STATE(5374),
    [sym_concatenated_string] = STATE(5377),
    [sym_string_literal] = STATE(4206),
    [sym_null] = STATE(5024),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9352),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(5024),
    [sym_raw_string_literal] = STATE(4217),
    [sym_co_await_expression] = STATE(5024),
    [sym_new_expression] = STATE(5024),
    [sym_delete_expression] = STATE(5024),
    [sym_requires_clause] = STATE(5024),
    [sym_requires_expression] = STATE(5024),
    [sym_lambda_expression] = STATE(5024),
    [sym_lambda_capture_specifier] = STATE(7184),
    [sym_fold_expression] = STATE(5024),
    [sym_parameter_pack_expansion] = STATE(5024),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6886),
    [sym_qualified_identifier] = STATE(4507),
    [sym_qualified_type_identifier] = STATE(9352),
    [sym_user_defined_literal] = STATE(4507),
    [sym_identifier] = ACTIONS(3140),
    [anon_sym_LPAREN2] = ACTIONS(1472),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1474),
    [anon_sym_AMP] = ACTIONS(1474),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [sym_primitive_type] = ACTIONS(3146),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [2283] = {
    [sym__expression] = STATE(5349),
    [sym__expression_not_binary] = STATE(5575),
    [sym__string] = STATE(5575),
    [sym_conditional_expression] = STATE(5575),
    [sym_assignment_expression] = STATE(5575),
    [sym_pointer_expression] = STATE(4218),
    [sym_unary_expression] = STATE(5575),
    [sym_binary_expression] = STATE(5575),
    [sym_update_expression] = STATE(5575),
    [sym_cast_expression] = STATE(5575),
    [sym_sizeof_expression] = STATE(5575),
    [sym_alignof_expression] = STATE(5575),
    [sym_offsetof_expression] = STATE(5575),
    [sym_generic_expression] = STATE(5575),
    [sym_subscript_expression] = STATE(4218),
    [sym_call_expression] = STATE(4218),
    [sym_gnu_asm_expression] = STATE(5575),
    [sym_field_expression] = STATE(4218),
    [sym_compound_literal_expression] = STATE(5575),
    [sym_parenthesized_expression] = STATE(4218),
    [sym_char_literal] = STATE(5388),
    [sym_concatenated_string] = STATE(5429),
    [sym_string_literal] = STATE(4410),
    [sym_null] = STATE(5575),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9045),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(5575),
    [sym_raw_string_literal] = STATE(4411),
    [sym_co_await_expression] = STATE(5575),
    [sym_new_expression] = STATE(5575),
    [sym_delete_expression] = STATE(5575),
    [sym_requires_clause] = STATE(5575),
    [sym_requires_expression] = STATE(5575),
    [sym_lambda_expression] = STATE(5575),
    [sym_lambda_capture_specifier] = STATE(7089),
    [sym_fold_expression] = STATE(5575),
    [sym_parameter_pack_expansion] = STATE(5575),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6962),
    [sym_qualified_identifier] = STATE(4218),
    [sym_qualified_type_identifier] = STATE(9045),
    [sym_user_defined_literal] = STATE(4218),
    [sym_identifier] = ACTIONS(5081),
    [anon_sym_LPAREN2] = ACTIONS(5200),
    [anon_sym_BANG] = ACTIONS(4431),
    [anon_sym_TILDE] = ACTIONS(4431),
    [anon_sym_DASH] = ACTIONS(4429),
    [anon_sym_PLUS] = ACTIONS(4429),
    [anon_sym_STAR] = ACTIONS(5202),
    [anon_sym_AMP] = ACTIONS(5202),
    [anon_sym_COLON_COLON] = ACTIONS(4433),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [sym_primitive_type] = ACTIONS(4437),
    [anon_sym_not] = ACTIONS(4429),
    [anon_sym_compl] = ACTIONS(4429),
    [anon_sym_DASH_DASH] = ACTIONS(5083),
    [anon_sym_PLUS_PLUS] = ACTIONS(5083),
    [anon_sym_sizeof] = ACTIONS(4439),
    [anon_sym___alignof__] = ACTIONS(4441),
    [anon_sym___alignof] = ACTIONS(4441),
    [anon_sym__alignof] = ACTIONS(4441),
    [anon_sym_alignof] = ACTIONS(4441),
    [anon_sym__Alignof] = ACTIONS(4441),
    [anon_sym_offsetof] = ACTIONS(4443),
    [anon_sym__Generic] = ACTIONS(4445),
    [anon_sym_asm] = ACTIONS(4447),
    [anon_sym___asm__] = ACTIONS(4447),
    [sym_number_literal] = ACTIONS(4449),
    [anon_sym_L_SQUOTE] = ACTIONS(4451),
    [anon_sym_u_SQUOTE] = ACTIONS(4451),
    [anon_sym_U_SQUOTE] = ACTIONS(4451),
    [anon_sym_u8_SQUOTE] = ACTIONS(4451),
    [anon_sym_SQUOTE] = ACTIONS(4451),
    [anon_sym_L_DQUOTE] = ACTIONS(4453),
    [anon_sym_u_DQUOTE] = ACTIONS(4453),
    [anon_sym_U_DQUOTE] = ACTIONS(4453),
    [anon_sym_u8_DQUOTE] = ACTIONS(4453),
    [anon_sym_DQUOTE] = ACTIONS(4453),
    [sym_true] = ACTIONS(4455),
    [sym_false] = ACTIONS(4455),
    [anon_sym_NULL] = ACTIONS(4457),
    [anon_sym_nullptr] = ACTIONS(4457),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(4459),
    [anon_sym_R_DQUOTE] = ACTIONS(4461),
    [anon_sym_LR_DQUOTE] = ACTIONS(4461),
    [anon_sym_uR_DQUOTE] = ACTIONS(4461),
    [anon_sym_UR_DQUOTE] = ACTIONS(4461),
    [anon_sym_u8R_DQUOTE] = ACTIONS(4461),
    [anon_sym_co_await] = ACTIONS(4463),
    [anon_sym_new] = ACTIONS(4465),
    [anon_sym_requires] = ACTIONS(4467),
    [sym_this] = ACTIONS(4455),
  },
  [2284] = {
    [sym__expression] = STATE(3537),
    [sym__expression_not_binary] = STATE(3672),
    [sym__string] = STATE(3672),
    [sym_conditional_expression] = STATE(3672),
    [sym_assignment_expression] = STATE(3672),
    [sym_pointer_expression] = STATE(3672),
    [sym_unary_expression] = STATE(3672),
    [sym_binary_expression] = STATE(3672),
    [sym_update_expression] = STATE(3672),
    [sym_cast_expression] = STATE(3672),
    [sym_sizeof_expression] = STATE(3672),
    [sym_alignof_expression] = STATE(3672),
    [sym_offsetof_expression] = STATE(3672),
    [sym_generic_expression] = STATE(3672),
    [sym_subscript_expression] = STATE(3672),
    [sym_call_expression] = STATE(3672),
    [sym_gnu_asm_expression] = STATE(3672),
    [sym_field_expression] = STATE(3672),
    [sym_compound_literal_expression] = STATE(3672),
    [sym_parenthesized_expression] = STATE(3672),
    [sym_char_literal] = STATE(3855),
    [sym_concatenated_string] = STATE(3873),
    [sym_string_literal] = STATE(3222),
    [sym_null] = STATE(3672),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9333),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(3672),
    [sym_raw_string_literal] = STATE(3216),
    [sym_co_await_expression] = STATE(3672),
    [sym_new_expression] = STATE(3672),
    [sym_delete_expression] = STATE(3672),
    [sym_requires_clause] = STATE(3672),
    [sym_requires_expression] = STATE(3672),
    [sym_lambda_expression] = STATE(3672),
    [sym_lambda_capture_specifier] = STATE(7134),
    [sym_fold_expression] = STATE(3672),
    [sym_parameter_pack_expansion] = STATE(3672),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6886),
    [sym_qualified_identifier] = STATE(3672),
    [sym_qualified_type_identifier] = STATE(9333),
    [sym_user_defined_literal] = STATE(3672),
    [sym_identifier] = ACTIONS(3968),
    [anon_sym_LPAREN2] = ACTIONS(5184),
    [anon_sym_BANG] = ACTIONS(3922),
    [anon_sym_TILDE] = ACTIONS(3922),
    [anon_sym_DASH] = ACTIONS(3920),
    [anon_sym_PLUS] = ACTIONS(3920),
    [anon_sym_STAR] = ACTIONS(5186),
    [anon_sym_AMP] = ACTIONS(5186),
    [anon_sym_COLON_COLON] = ACTIONS(3924),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [sym_primitive_type] = ACTIONS(3928),
    [anon_sym_not] = ACTIONS(3920),
    [anon_sym_compl] = ACTIONS(3920),
    [anon_sym_DASH_DASH] = ACTIONS(5013),
    [anon_sym_PLUS_PLUS] = ACTIONS(5013),
    [anon_sym_sizeof] = ACTIONS(3930),
    [anon_sym___alignof__] = ACTIONS(3932),
    [anon_sym___alignof] = ACTIONS(3932),
    [anon_sym__alignof] = ACTIONS(3932),
    [anon_sym_alignof] = ACTIONS(3932),
    [anon_sym__Alignof] = ACTIONS(3932),
    [anon_sym_offsetof] = ACTIONS(3934),
    [anon_sym__Generic] = ACTIONS(3936),
    [anon_sym_asm] = ACTIONS(3938),
    [anon_sym___asm__] = ACTIONS(3938),
    [sym_number_literal] = ACTIONS(3940),
    [anon_sym_L_SQUOTE] = ACTIONS(3942),
    [anon_sym_u_SQUOTE] = ACTIONS(3942),
    [anon_sym_U_SQUOTE] = ACTIONS(3942),
    [anon_sym_u8_SQUOTE] = ACTIONS(3942),
    [anon_sym_SQUOTE] = ACTIONS(3942),
    [anon_sym_L_DQUOTE] = ACTIONS(3944),
    [anon_sym_u_DQUOTE] = ACTIONS(3944),
    [anon_sym_U_DQUOTE] = ACTIONS(3944),
    [anon_sym_u8_DQUOTE] = ACTIONS(3944),
    [anon_sym_DQUOTE] = ACTIONS(3944),
    [sym_true] = ACTIONS(3946),
    [sym_false] = ACTIONS(3946),
    [anon_sym_NULL] = ACTIONS(3948),
    [anon_sym_nullptr] = ACTIONS(3948),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(3950),
    [anon_sym_R_DQUOTE] = ACTIONS(3952),
    [anon_sym_LR_DQUOTE] = ACTIONS(3952),
    [anon_sym_uR_DQUOTE] = ACTIONS(3952),
    [anon_sym_UR_DQUOTE] = ACTIONS(3952),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3952),
    [anon_sym_co_await] = ACTIONS(3954),
    [anon_sym_new] = ACTIONS(3956),
    [anon_sym_requires] = ACTIONS(3958),
    [sym_this] = ACTIONS(3946),
  },
  [2285] = {
    [sym__expression] = STATE(5837),
    [sym__expression_not_binary] = STATE(5024),
    [sym__string] = STATE(5024),
    [sym_conditional_expression] = STATE(5024),
    [sym_assignment_expression] = STATE(5024),
    [sym_pointer_expression] = STATE(4507),
    [sym_unary_expression] = STATE(5024),
    [sym_binary_expression] = STATE(5024),
    [sym_update_expression] = STATE(5024),
    [sym_cast_expression] = STATE(5024),
    [sym_sizeof_expression] = STATE(5024),
    [sym_alignof_expression] = STATE(5024),
    [sym_offsetof_expression] = STATE(5024),
    [sym_generic_expression] = STATE(5024),
    [sym_subscript_expression] = STATE(4507),
    [sym_call_expression] = STATE(4507),
    [sym_gnu_asm_expression] = STATE(5024),
    [sym_field_expression] = STATE(4507),
    [sym_compound_literal_expression] = STATE(5024),
    [sym_parenthesized_expression] = STATE(4507),
    [sym_char_literal] = STATE(5374),
    [sym_concatenated_string] = STATE(5377),
    [sym_string_literal] = STATE(4206),
    [sym_null] = STATE(5024),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9352),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(5024),
    [sym_raw_string_literal] = STATE(4217),
    [sym_co_await_expression] = STATE(5024),
    [sym_new_expression] = STATE(5024),
    [sym_delete_expression] = STATE(5024),
    [sym_requires_clause] = STATE(5024),
    [sym_requires_expression] = STATE(5024),
    [sym_lambda_expression] = STATE(5024),
    [sym_lambda_capture_specifier] = STATE(7184),
    [sym_fold_expression] = STATE(5024),
    [sym_parameter_pack_expansion] = STATE(5024),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6886),
    [sym_qualified_identifier] = STATE(4507),
    [sym_qualified_type_identifier] = STATE(9352),
    [sym_user_defined_literal] = STATE(4507),
    [sym_identifier] = ACTIONS(3140),
    [anon_sym_LPAREN2] = ACTIONS(1472),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1474),
    [anon_sym_AMP] = ACTIONS(1474),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [sym_primitive_type] = ACTIONS(3146),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [2286] = {
    [sym__expression] = STATE(3814),
    [sym__expression_not_binary] = STATE(3672),
    [sym__string] = STATE(3672),
    [sym_conditional_expression] = STATE(3672),
    [sym_assignment_expression] = STATE(3672),
    [sym_pointer_expression] = STATE(3672),
    [sym_unary_expression] = STATE(3672),
    [sym_binary_expression] = STATE(3672),
    [sym_update_expression] = STATE(3672),
    [sym_cast_expression] = STATE(3672),
    [sym_sizeof_expression] = STATE(3672),
    [sym_alignof_expression] = STATE(3672),
    [sym_offsetof_expression] = STATE(3672),
    [sym_generic_expression] = STATE(3672),
    [sym_subscript_expression] = STATE(3672),
    [sym_call_expression] = STATE(3672),
    [sym_gnu_asm_expression] = STATE(3672),
    [sym_field_expression] = STATE(3672),
    [sym_compound_literal_expression] = STATE(3672),
    [sym_parenthesized_expression] = STATE(3672),
    [sym_char_literal] = STATE(3855),
    [sym_concatenated_string] = STATE(3873),
    [sym_string_literal] = STATE(3222),
    [sym_null] = STATE(3672),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9333),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(3672),
    [sym_raw_string_literal] = STATE(3216),
    [sym_co_await_expression] = STATE(3672),
    [sym_new_expression] = STATE(3672),
    [sym_delete_expression] = STATE(3672),
    [sym_requires_clause] = STATE(3672),
    [sym_requires_expression] = STATE(3672),
    [sym_lambda_expression] = STATE(3672),
    [sym_lambda_capture_specifier] = STATE(7134),
    [sym_fold_expression] = STATE(3672),
    [sym_parameter_pack_expansion] = STATE(3672),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6886),
    [sym_qualified_identifier] = STATE(3672),
    [sym_qualified_type_identifier] = STATE(9333),
    [sym_user_defined_literal] = STATE(3672),
    [sym_identifier] = ACTIONS(3968),
    [anon_sym_LPAREN2] = ACTIONS(5184),
    [anon_sym_BANG] = ACTIONS(3922),
    [anon_sym_TILDE] = ACTIONS(3922),
    [anon_sym_DASH] = ACTIONS(3920),
    [anon_sym_PLUS] = ACTIONS(3920),
    [anon_sym_STAR] = ACTIONS(5186),
    [anon_sym_AMP] = ACTIONS(5186),
    [anon_sym_COLON_COLON] = ACTIONS(3924),
    [anon_sym_LBRACK] = ACTIONS(5529),
    [sym_primitive_type] = ACTIONS(3928),
    [anon_sym_not] = ACTIONS(3920),
    [anon_sym_compl] = ACTIONS(3920),
    [anon_sym_DASH_DASH] = ACTIONS(5013),
    [anon_sym_PLUS_PLUS] = ACTIONS(5013),
    [anon_sym_sizeof] = ACTIONS(3930),
    [anon_sym___alignof__] = ACTIONS(3932),
    [anon_sym___alignof] = ACTIONS(3932),
    [anon_sym__alignof] = ACTIONS(3932),
    [anon_sym_alignof] = ACTIONS(3932),
    [anon_sym__Alignof] = ACTIONS(3932),
    [anon_sym_offsetof] = ACTIONS(3934),
    [anon_sym__Generic] = ACTIONS(3936),
    [anon_sym_asm] = ACTIONS(3938),
    [anon_sym___asm__] = ACTIONS(3938),
    [sym_number_literal] = ACTIONS(3940),
    [anon_sym_L_SQUOTE] = ACTIONS(3942),
    [anon_sym_u_SQUOTE] = ACTIONS(3942),
    [anon_sym_U_SQUOTE] = ACTIONS(3942),
    [anon_sym_u8_SQUOTE] = ACTIONS(3942),
    [anon_sym_SQUOTE] = ACTIONS(3942),
    [anon_sym_L_DQUOTE] = ACTIONS(3944),
    [anon_sym_u_DQUOTE] = ACTIONS(3944),
    [anon_sym_U_DQUOTE] = ACTIONS(3944),
    [anon_sym_u8_DQUOTE] = ACTIONS(3944),
    [anon_sym_DQUOTE] = ACTIONS(3944),
    [sym_true] = ACTIONS(3946),
    [sym_false] = ACTIONS(3946),
    [anon_sym_NULL] = ACTIONS(3948),
    [anon_sym_nullptr] = ACTIONS(3948),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(3950),
    [anon_sym_R_DQUOTE] = ACTIONS(3952),
    [anon_sym_LR_DQUOTE] = ACTIONS(3952),
    [anon_sym_uR_DQUOTE] = ACTIONS(3952),
    [anon_sym_UR_DQUOTE] = ACTIONS(3952),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3952),
    [anon_sym_co_await] = ACTIONS(3954),
    [anon_sym_new] = ACTIONS(3956),
    [anon_sym_requires] = ACTIONS(3958),
    [sym_this] = ACTIONS(3946),
  },
  [2287] = {
    [sym__expression] = STATE(5720),
    [sym__expression_not_binary] = STATE(5024),
    [sym__string] = STATE(5024),
    [sym_conditional_expression] = STATE(5024),
    [sym_assignment_expression] = STATE(5024),
    [sym_pointer_expression] = STATE(4507),
    [sym_unary_expression] = STATE(5024),
    [sym_binary_expression] = STATE(5024),
    [sym_update_expression] = STATE(5024),
    [sym_cast_expression] = STATE(5024),
    [sym_sizeof_expression] = STATE(5024),
    [sym_alignof_expression] = STATE(5024),
    [sym_offsetof_expression] = STATE(5024),
    [sym_generic_expression] = STATE(5024),
    [sym_subscript_expression] = STATE(4507),
    [sym_call_expression] = STATE(4507),
    [sym_gnu_asm_expression] = STATE(5024),
    [sym_field_expression] = STATE(4507),
    [sym_compound_literal_expression] = STATE(5024),
    [sym_parenthesized_expression] = STATE(4507),
    [sym_char_literal] = STATE(5374),
    [sym_concatenated_string] = STATE(5377),
    [sym_string_literal] = STATE(4206),
    [sym_null] = STATE(5024),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9352),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(5024),
    [sym_raw_string_literal] = STATE(4217),
    [sym_co_await_expression] = STATE(5024),
    [sym_new_expression] = STATE(5024),
    [sym_delete_expression] = STATE(5024),
    [sym_requires_clause] = STATE(5024),
    [sym_requires_expression] = STATE(5024),
    [sym_lambda_expression] = STATE(5024),
    [sym_lambda_capture_specifier] = STATE(7184),
    [sym_fold_expression] = STATE(5024),
    [sym_parameter_pack_expansion] = STATE(5024),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6886),
    [sym_qualified_identifier] = STATE(4507),
    [sym_qualified_type_identifier] = STATE(9352),
    [sym_user_defined_literal] = STATE(4507),
    [sym_identifier] = ACTIONS(3140),
    [anon_sym_LPAREN2] = ACTIONS(1472),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1474),
    [anon_sym_AMP] = ACTIONS(1474),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [sym_primitive_type] = ACTIONS(3146),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [2288] = {
    [sym__expression] = STATE(5346),
    [sym__expression_not_binary] = STATE(5575),
    [sym__string] = STATE(5575),
    [sym_conditional_expression] = STATE(5575),
    [sym_assignment_expression] = STATE(5575),
    [sym_pointer_expression] = STATE(4218),
    [sym_unary_expression] = STATE(5575),
    [sym_binary_expression] = STATE(5575),
    [sym_update_expression] = STATE(5575),
    [sym_cast_expression] = STATE(5575),
    [sym_sizeof_expression] = STATE(5575),
    [sym_alignof_expression] = STATE(5575),
    [sym_offsetof_expression] = STATE(5575),
    [sym_generic_expression] = STATE(5575),
    [sym_subscript_expression] = STATE(4218),
    [sym_call_expression] = STATE(4218),
    [sym_gnu_asm_expression] = STATE(5575),
    [sym_field_expression] = STATE(4218),
    [sym_compound_literal_expression] = STATE(5575),
    [sym_parenthesized_expression] = STATE(4218),
    [sym_char_literal] = STATE(5388),
    [sym_concatenated_string] = STATE(5429),
    [sym_string_literal] = STATE(4410),
    [sym_null] = STATE(5575),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9045),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(5575),
    [sym_raw_string_literal] = STATE(4411),
    [sym_co_await_expression] = STATE(5575),
    [sym_new_expression] = STATE(5575),
    [sym_delete_expression] = STATE(5575),
    [sym_requires_clause] = STATE(5575),
    [sym_requires_expression] = STATE(5575),
    [sym_lambda_expression] = STATE(5575),
    [sym_lambda_capture_specifier] = STATE(7089),
    [sym_fold_expression] = STATE(5575),
    [sym_parameter_pack_expansion] = STATE(5575),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6962),
    [sym_qualified_identifier] = STATE(4218),
    [sym_qualified_type_identifier] = STATE(9045),
    [sym_user_defined_literal] = STATE(4218),
    [sym_identifier] = ACTIONS(5081),
    [anon_sym_LPAREN2] = ACTIONS(5200),
    [anon_sym_BANG] = ACTIONS(4431),
    [anon_sym_TILDE] = ACTIONS(4431),
    [anon_sym_DASH] = ACTIONS(4429),
    [anon_sym_PLUS] = ACTIONS(4429),
    [anon_sym_STAR] = ACTIONS(5202),
    [anon_sym_AMP] = ACTIONS(5202),
    [anon_sym_COLON_COLON] = ACTIONS(4433),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [sym_primitive_type] = ACTIONS(4437),
    [anon_sym_not] = ACTIONS(4429),
    [anon_sym_compl] = ACTIONS(4429),
    [anon_sym_DASH_DASH] = ACTIONS(5083),
    [anon_sym_PLUS_PLUS] = ACTIONS(5083),
    [anon_sym_sizeof] = ACTIONS(4439),
    [anon_sym___alignof__] = ACTIONS(4441),
    [anon_sym___alignof] = ACTIONS(4441),
    [anon_sym__alignof] = ACTIONS(4441),
    [anon_sym_alignof] = ACTIONS(4441),
    [anon_sym__Alignof] = ACTIONS(4441),
    [anon_sym_offsetof] = ACTIONS(4443),
    [anon_sym__Generic] = ACTIONS(4445),
    [anon_sym_asm] = ACTIONS(4447),
    [anon_sym___asm__] = ACTIONS(4447),
    [sym_number_literal] = ACTIONS(4449),
    [anon_sym_L_SQUOTE] = ACTIONS(4451),
    [anon_sym_u_SQUOTE] = ACTIONS(4451),
    [anon_sym_U_SQUOTE] = ACTIONS(4451),
    [anon_sym_u8_SQUOTE] = ACTIONS(4451),
    [anon_sym_SQUOTE] = ACTIONS(4451),
    [anon_sym_L_DQUOTE] = ACTIONS(4453),
    [anon_sym_u_DQUOTE] = ACTIONS(4453),
    [anon_sym_U_DQUOTE] = ACTIONS(4453),
    [anon_sym_u8_DQUOTE] = ACTIONS(4453),
    [anon_sym_DQUOTE] = ACTIONS(4453),
    [sym_true] = ACTIONS(4455),
    [sym_false] = ACTIONS(4455),
    [anon_sym_NULL] = ACTIONS(4457),
    [anon_sym_nullptr] = ACTIONS(4457),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(4459),
    [anon_sym_R_DQUOTE] = ACTIONS(4461),
    [anon_sym_LR_DQUOTE] = ACTIONS(4461),
    [anon_sym_uR_DQUOTE] = ACTIONS(4461),
    [anon_sym_UR_DQUOTE] = ACTIONS(4461),
    [anon_sym_u8R_DQUOTE] = ACTIONS(4461),
    [anon_sym_co_await] = ACTIONS(4463),
    [anon_sym_new] = ACTIONS(4465),
    [anon_sym_requires] = ACTIONS(4467),
    [sym_this] = ACTIONS(4455),
  },
  [2289] = {
    [sym__expression] = STATE(5345),
    [sym__expression_not_binary] = STATE(5575),
    [sym__string] = STATE(5575),
    [sym_conditional_expression] = STATE(5575),
    [sym_assignment_expression] = STATE(5575),
    [sym_pointer_expression] = STATE(4218),
    [sym_unary_expression] = STATE(5575),
    [sym_binary_expression] = STATE(5575),
    [sym_update_expression] = STATE(5575),
    [sym_cast_expression] = STATE(5575),
    [sym_sizeof_expression] = STATE(5575),
    [sym_alignof_expression] = STATE(5575),
    [sym_offsetof_expression] = STATE(5575),
    [sym_generic_expression] = STATE(5575),
    [sym_subscript_expression] = STATE(4218),
    [sym_call_expression] = STATE(4218),
    [sym_gnu_asm_expression] = STATE(5575),
    [sym_field_expression] = STATE(4218),
    [sym_compound_literal_expression] = STATE(5575),
    [sym_parenthesized_expression] = STATE(4218),
    [sym_char_literal] = STATE(5388),
    [sym_concatenated_string] = STATE(5429),
    [sym_string_literal] = STATE(4410),
    [sym_null] = STATE(5575),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9045),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(5575),
    [sym_raw_string_literal] = STATE(4411),
    [sym_co_await_expression] = STATE(5575),
    [sym_new_expression] = STATE(5575),
    [sym_delete_expression] = STATE(5575),
    [sym_requires_clause] = STATE(5575),
    [sym_requires_expression] = STATE(5575),
    [sym_lambda_expression] = STATE(5575),
    [sym_lambda_capture_specifier] = STATE(7089),
    [sym_fold_expression] = STATE(5575),
    [sym_parameter_pack_expansion] = STATE(5575),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6962),
    [sym_qualified_identifier] = STATE(4218),
    [sym_qualified_type_identifier] = STATE(9045),
    [sym_user_defined_literal] = STATE(4218),
    [sym_identifier] = ACTIONS(5081),
    [anon_sym_LPAREN2] = ACTIONS(5200),
    [anon_sym_BANG] = ACTIONS(4431),
    [anon_sym_TILDE] = ACTIONS(4431),
    [anon_sym_DASH] = ACTIONS(4429),
    [anon_sym_PLUS] = ACTIONS(4429),
    [anon_sym_STAR] = ACTIONS(5202),
    [anon_sym_AMP] = ACTIONS(5202),
    [anon_sym_COLON_COLON] = ACTIONS(4433),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [sym_primitive_type] = ACTIONS(4437),
    [anon_sym_not] = ACTIONS(4429),
    [anon_sym_compl] = ACTIONS(4429),
    [anon_sym_DASH_DASH] = ACTIONS(5083),
    [anon_sym_PLUS_PLUS] = ACTIONS(5083),
    [anon_sym_sizeof] = ACTIONS(4439),
    [anon_sym___alignof__] = ACTIONS(4441),
    [anon_sym___alignof] = ACTIONS(4441),
    [anon_sym__alignof] = ACTIONS(4441),
    [anon_sym_alignof] = ACTIONS(4441),
    [anon_sym__Alignof] = ACTIONS(4441),
    [anon_sym_offsetof] = ACTIONS(4443),
    [anon_sym__Generic] = ACTIONS(4445),
    [anon_sym_asm] = ACTIONS(4447),
    [anon_sym___asm__] = ACTIONS(4447),
    [sym_number_literal] = ACTIONS(4449),
    [anon_sym_L_SQUOTE] = ACTIONS(4451),
    [anon_sym_u_SQUOTE] = ACTIONS(4451),
    [anon_sym_U_SQUOTE] = ACTIONS(4451),
    [anon_sym_u8_SQUOTE] = ACTIONS(4451),
    [anon_sym_SQUOTE] = ACTIONS(4451),
    [anon_sym_L_DQUOTE] = ACTIONS(4453),
    [anon_sym_u_DQUOTE] = ACTIONS(4453),
    [anon_sym_U_DQUOTE] = ACTIONS(4453),
    [anon_sym_u8_DQUOTE] = ACTIONS(4453),
    [anon_sym_DQUOTE] = ACTIONS(4453),
    [sym_true] = ACTIONS(4455),
    [sym_false] = ACTIONS(4455),
    [anon_sym_NULL] = ACTIONS(4457),
    [anon_sym_nullptr] = ACTIONS(4457),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(4459),
    [anon_sym_R_DQUOTE] = ACTIONS(4461),
    [anon_sym_LR_DQUOTE] = ACTIONS(4461),
    [anon_sym_uR_DQUOTE] = ACTIONS(4461),
    [anon_sym_UR_DQUOTE] = ACTIONS(4461),
    [anon_sym_u8R_DQUOTE] = ACTIONS(4461),
    [anon_sym_co_await] = ACTIONS(4463),
    [anon_sym_new] = ACTIONS(4465),
    [anon_sym_requires] = ACTIONS(4467),
    [sym_this] = ACTIONS(4455),
  },
  [2290] = {
    [sym__expression] = STATE(5476),
    [sym__expression_not_binary] = STATE(5024),
    [sym__string] = STATE(5024),
    [sym_conditional_expression] = STATE(5024),
    [sym_assignment_expression] = STATE(5024),
    [sym_pointer_expression] = STATE(4507),
    [sym_unary_expression] = STATE(5024),
    [sym_binary_expression] = STATE(5024),
    [sym_update_expression] = STATE(5024),
    [sym_cast_expression] = STATE(5024),
    [sym_sizeof_expression] = STATE(5024),
    [sym_alignof_expression] = STATE(5024),
    [sym_offsetof_expression] = STATE(5024),
    [sym_generic_expression] = STATE(5024),
    [sym_subscript_expression] = STATE(4507),
    [sym_call_expression] = STATE(4507),
    [sym_gnu_asm_expression] = STATE(5024),
    [sym_field_expression] = STATE(4507),
    [sym_compound_literal_expression] = STATE(5024),
    [sym_parenthesized_expression] = STATE(4507),
    [sym_char_literal] = STATE(5374),
    [sym_concatenated_string] = STATE(5377),
    [sym_string_literal] = STATE(4206),
    [sym_null] = STATE(5024),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9352),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(5024),
    [sym_raw_string_literal] = STATE(4217),
    [sym_co_await_expression] = STATE(5024),
    [sym_new_expression] = STATE(5024),
    [sym_delete_expression] = STATE(5024),
    [sym_requires_clause] = STATE(5024),
    [sym_requires_expression] = STATE(5024),
    [sym_lambda_expression] = STATE(5024),
    [sym_lambda_capture_specifier] = STATE(7184),
    [sym_fold_expression] = STATE(5024),
    [sym_parameter_pack_expansion] = STATE(5024),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6886),
    [sym_qualified_identifier] = STATE(4507),
    [sym_qualified_type_identifier] = STATE(9352),
    [sym_user_defined_literal] = STATE(4507),
    [sym_identifier] = ACTIONS(3140),
    [anon_sym_LPAREN2] = ACTIONS(1472),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1474),
    [anon_sym_AMP] = ACTIONS(1474),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [sym_primitive_type] = ACTIONS(3146),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [2291] = {
    [sym__expression] = STATE(5344),
    [sym__expression_not_binary] = STATE(5575),
    [sym__string] = STATE(5575),
    [sym_conditional_expression] = STATE(5575),
    [sym_assignment_expression] = STATE(5575),
    [sym_pointer_expression] = STATE(4218),
    [sym_unary_expression] = STATE(5575),
    [sym_binary_expression] = STATE(5575),
    [sym_update_expression] = STATE(5575),
    [sym_cast_expression] = STATE(5575),
    [sym_sizeof_expression] = STATE(5575),
    [sym_alignof_expression] = STATE(5575),
    [sym_offsetof_expression] = STATE(5575),
    [sym_generic_expression] = STATE(5575),
    [sym_subscript_expression] = STATE(4218),
    [sym_call_expression] = STATE(4218),
    [sym_gnu_asm_expression] = STATE(5575),
    [sym_field_expression] = STATE(4218),
    [sym_compound_literal_expression] = STATE(5575),
    [sym_parenthesized_expression] = STATE(4218),
    [sym_char_literal] = STATE(5388),
    [sym_concatenated_string] = STATE(5429),
    [sym_string_literal] = STATE(4410),
    [sym_null] = STATE(5575),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9045),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(5575),
    [sym_raw_string_literal] = STATE(4411),
    [sym_co_await_expression] = STATE(5575),
    [sym_new_expression] = STATE(5575),
    [sym_delete_expression] = STATE(5575),
    [sym_requires_clause] = STATE(5575),
    [sym_requires_expression] = STATE(5575),
    [sym_lambda_expression] = STATE(5575),
    [sym_lambda_capture_specifier] = STATE(7089),
    [sym_fold_expression] = STATE(5575),
    [sym_parameter_pack_expansion] = STATE(5575),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6962),
    [sym_qualified_identifier] = STATE(4218),
    [sym_qualified_type_identifier] = STATE(9045),
    [sym_user_defined_literal] = STATE(4218),
    [sym_identifier] = ACTIONS(5081),
    [anon_sym_LPAREN2] = ACTIONS(5200),
    [anon_sym_BANG] = ACTIONS(4431),
    [anon_sym_TILDE] = ACTIONS(4431),
    [anon_sym_DASH] = ACTIONS(4429),
    [anon_sym_PLUS] = ACTIONS(4429),
    [anon_sym_STAR] = ACTIONS(5202),
    [anon_sym_AMP] = ACTIONS(5202),
    [anon_sym_COLON_COLON] = ACTIONS(4433),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [sym_primitive_type] = ACTIONS(4437),
    [anon_sym_not] = ACTIONS(4429),
    [anon_sym_compl] = ACTIONS(4429),
    [anon_sym_DASH_DASH] = ACTIONS(5083),
    [anon_sym_PLUS_PLUS] = ACTIONS(5083),
    [anon_sym_sizeof] = ACTIONS(4439),
    [anon_sym___alignof__] = ACTIONS(4441),
    [anon_sym___alignof] = ACTIONS(4441),
    [anon_sym__alignof] = ACTIONS(4441),
    [anon_sym_alignof] = ACTIONS(4441),
    [anon_sym__Alignof] = ACTIONS(4441),
    [anon_sym_offsetof] = ACTIONS(4443),
    [anon_sym__Generic] = ACTIONS(4445),
    [anon_sym_asm] = ACTIONS(4447),
    [anon_sym___asm__] = ACTIONS(4447),
    [sym_number_literal] = ACTIONS(4449),
    [anon_sym_L_SQUOTE] = ACTIONS(4451),
    [anon_sym_u_SQUOTE] = ACTIONS(4451),
    [anon_sym_U_SQUOTE] = ACTIONS(4451),
    [anon_sym_u8_SQUOTE] = ACTIONS(4451),
    [anon_sym_SQUOTE] = ACTIONS(4451),
    [anon_sym_L_DQUOTE] = ACTIONS(4453),
    [anon_sym_u_DQUOTE] = ACTIONS(4453),
    [anon_sym_U_DQUOTE] = ACTIONS(4453),
    [anon_sym_u8_DQUOTE] = ACTIONS(4453),
    [anon_sym_DQUOTE] = ACTIONS(4453),
    [sym_true] = ACTIONS(4455),
    [sym_false] = ACTIONS(4455),
    [anon_sym_NULL] = ACTIONS(4457),
    [anon_sym_nullptr] = ACTIONS(4457),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(4459),
    [anon_sym_R_DQUOTE] = ACTIONS(4461),
    [anon_sym_LR_DQUOTE] = ACTIONS(4461),
    [anon_sym_uR_DQUOTE] = ACTIONS(4461),
    [anon_sym_UR_DQUOTE] = ACTIONS(4461),
    [anon_sym_u8R_DQUOTE] = ACTIONS(4461),
    [anon_sym_co_await] = ACTIONS(4463),
    [anon_sym_new] = ACTIONS(4465),
    [anon_sym_requires] = ACTIONS(4467),
    [sym_this] = ACTIONS(4455),
  },
  [2292] = {
    [sym__expression] = STATE(5805),
    [sym__expression_not_binary] = STATE(5024),
    [sym__string] = STATE(5024),
    [sym_conditional_expression] = STATE(5024),
    [sym_assignment_expression] = STATE(5024),
    [sym_pointer_expression] = STATE(4507),
    [sym_unary_expression] = STATE(5024),
    [sym_binary_expression] = STATE(5024),
    [sym_update_expression] = STATE(5024),
    [sym_cast_expression] = STATE(5024),
    [sym_sizeof_expression] = STATE(5024),
    [sym_alignof_expression] = STATE(5024),
    [sym_offsetof_expression] = STATE(5024),
    [sym_generic_expression] = STATE(5024),
    [sym_subscript_expression] = STATE(4507),
    [sym_call_expression] = STATE(4507),
    [sym_gnu_asm_expression] = STATE(5024),
    [sym_field_expression] = STATE(4507),
    [sym_compound_literal_expression] = STATE(5024),
    [sym_parenthesized_expression] = STATE(4507),
    [sym_char_literal] = STATE(5374),
    [sym_concatenated_string] = STATE(5377),
    [sym_string_literal] = STATE(4206),
    [sym_null] = STATE(5024),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9352),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(5024),
    [sym_raw_string_literal] = STATE(4217),
    [sym_co_await_expression] = STATE(5024),
    [sym_new_expression] = STATE(5024),
    [sym_delete_expression] = STATE(5024),
    [sym_requires_clause] = STATE(5024),
    [sym_requires_expression] = STATE(5024),
    [sym_lambda_expression] = STATE(5024),
    [sym_lambda_capture_specifier] = STATE(7184),
    [sym_fold_expression] = STATE(5024),
    [sym_parameter_pack_expansion] = STATE(5024),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6886),
    [sym_qualified_identifier] = STATE(4507),
    [sym_qualified_type_identifier] = STATE(9352),
    [sym_user_defined_literal] = STATE(4507),
    [sym_identifier] = ACTIONS(3140),
    [anon_sym_LPAREN2] = ACTIONS(1472),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1474),
    [anon_sym_AMP] = ACTIONS(1474),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [sym_primitive_type] = ACTIONS(3146),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [2293] = {
    [sym__expression] = STATE(3537),
    [sym__expression_not_binary] = STATE(3672),
    [sym__string] = STATE(3672),
    [sym_conditional_expression] = STATE(3672),
    [sym_assignment_expression] = STATE(3672),
    [sym_pointer_expression] = STATE(3672),
    [sym_unary_expression] = STATE(3672),
    [sym_binary_expression] = STATE(3672),
    [sym_update_expression] = STATE(3672),
    [sym_cast_expression] = STATE(3672),
    [sym_sizeof_expression] = STATE(3672),
    [sym_alignof_expression] = STATE(3672),
    [sym_offsetof_expression] = STATE(3672),
    [sym_generic_expression] = STATE(3672),
    [sym_subscript_expression] = STATE(3672),
    [sym_call_expression] = STATE(3672),
    [sym_gnu_asm_expression] = STATE(3672),
    [sym_field_expression] = STATE(3672),
    [sym_compound_literal_expression] = STATE(3672),
    [sym_parenthesized_expression] = STATE(3672),
    [sym_char_literal] = STATE(4466),
    [sym_concatenated_string] = STATE(4465),
    [sym_string_literal] = STATE(3395),
    [sym_null] = STATE(3672),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9333),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(3672),
    [sym_raw_string_literal] = STATE(3400),
    [sym_co_await_expression] = STATE(3672),
    [sym_new_expression] = STATE(3672),
    [sym_delete_expression] = STATE(3672),
    [sym_requires_clause] = STATE(3672),
    [sym_requires_expression] = STATE(3672),
    [sym_lambda_expression] = STATE(3672),
    [sym_lambda_capture_specifier] = STATE(7134),
    [sym_fold_expression] = STATE(3672),
    [sym_parameter_pack_expansion] = STATE(3672),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6886),
    [sym_qualified_identifier] = STATE(3672),
    [sym_qualified_type_identifier] = STATE(9333),
    [sym_user_defined_literal] = STATE(3672),
    [sym_identifier] = ACTIONS(4070),
    [anon_sym_LPAREN2] = ACTIONS(5257),
    [anon_sym_BANG] = ACTIONS(4074),
    [anon_sym_TILDE] = ACTIONS(4074),
    [anon_sym_DASH] = ACTIONS(4072),
    [anon_sym_PLUS] = ACTIONS(4072),
    [anon_sym_STAR] = ACTIONS(5017),
    [anon_sym_AMP] = ACTIONS(5017),
    [anon_sym_COLON_COLON] = ACTIONS(4076),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [sym_primitive_type] = ACTIONS(3928),
    [anon_sym_not] = ACTIONS(4072),
    [anon_sym_compl] = ACTIONS(4072),
    [anon_sym_DASH_DASH] = ACTIONS(5043),
    [anon_sym_PLUS_PLUS] = ACTIONS(5043),
    [anon_sym_sizeof] = ACTIONS(4078),
    [anon_sym___alignof__] = ACTIONS(3932),
    [anon_sym___alignof] = ACTIONS(3932),
    [anon_sym__alignof] = ACTIONS(3932),
    [anon_sym_alignof] = ACTIONS(3932),
    [anon_sym__Alignof] = ACTIONS(3932),
    [anon_sym_offsetof] = ACTIONS(3934),
    [anon_sym__Generic] = ACTIONS(3936),
    [anon_sym_asm] = ACTIONS(3938),
    [anon_sym___asm__] = ACTIONS(3938),
    [sym_number_literal] = ACTIONS(4080),
    [anon_sym_L_SQUOTE] = ACTIONS(4082),
    [anon_sym_u_SQUOTE] = ACTIONS(4082),
    [anon_sym_U_SQUOTE] = ACTIONS(4082),
    [anon_sym_u8_SQUOTE] = ACTIONS(4082),
    [anon_sym_SQUOTE] = ACTIONS(4082),
    [anon_sym_L_DQUOTE] = ACTIONS(4084),
    [anon_sym_u_DQUOTE] = ACTIONS(4084),
    [anon_sym_U_DQUOTE] = ACTIONS(4084),
    [anon_sym_u8_DQUOTE] = ACTIONS(4084),
    [anon_sym_DQUOTE] = ACTIONS(4084),
    [sym_true] = ACTIONS(3946),
    [sym_false] = ACTIONS(3946),
    [anon_sym_NULL] = ACTIONS(3948),
    [anon_sym_nullptr] = ACTIONS(3948),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(4086),
    [anon_sym_R_DQUOTE] = ACTIONS(4088),
    [anon_sym_LR_DQUOTE] = ACTIONS(4088),
    [anon_sym_uR_DQUOTE] = ACTIONS(4088),
    [anon_sym_UR_DQUOTE] = ACTIONS(4088),
    [anon_sym_u8R_DQUOTE] = ACTIONS(4088),
    [anon_sym_co_await] = ACTIONS(4090),
    [anon_sym_new] = ACTIONS(3990),
    [anon_sym_requires] = ACTIONS(3958),
    [sym_this] = ACTIONS(3946),
  },
  [2294] = {
    [sym__expression] = STATE(4081),
    [sym__expression_not_binary] = STATE(3672),
    [sym__string] = STATE(3672),
    [sym_conditional_expression] = STATE(3672),
    [sym_assignment_expression] = STATE(3672),
    [sym_pointer_expression] = STATE(3672),
    [sym_unary_expression] = STATE(3672),
    [sym_binary_expression] = STATE(3672),
    [sym_update_expression] = STATE(3672),
    [sym_cast_expression] = STATE(3672),
    [sym_sizeof_expression] = STATE(3672),
    [sym_alignof_expression] = STATE(3672),
    [sym_offsetof_expression] = STATE(3672),
    [sym_generic_expression] = STATE(3672),
    [sym_subscript_expression] = STATE(3672),
    [sym_call_expression] = STATE(3672),
    [sym_gnu_asm_expression] = STATE(3672),
    [sym_field_expression] = STATE(3672),
    [sym_compound_literal_expression] = STATE(3672),
    [sym_parenthesized_expression] = STATE(3672),
    [sym_char_literal] = STATE(3991),
    [sym_concatenated_string] = STATE(3973),
    [sym_string_literal] = STATE(3242),
    [sym_null] = STATE(3672),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9333),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(3672),
    [sym_raw_string_literal] = STATE(3241),
    [sym_co_await_expression] = STATE(3672),
    [sym_new_expression] = STATE(3672),
    [sym_delete_expression] = STATE(3672),
    [sym_requires_clause] = STATE(3672),
    [sym_requires_expression] = STATE(3672),
    [sym_lambda_expression] = STATE(3672),
    [sym_lambda_capture_specifier] = STATE(7134),
    [sym_fold_expression] = STATE(3672),
    [sym_parameter_pack_expansion] = STATE(3672),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6886),
    [sym_qualified_identifier] = STATE(3672),
    [sym_qualified_type_identifier] = STATE(9333),
    [sym_user_defined_literal] = STATE(3672),
    [sym_identifier] = ACTIONS(3968),
    [anon_sym_LPAREN2] = ACTIONS(5219),
    [anon_sym_BANG] = ACTIONS(3972),
    [anon_sym_TILDE] = ACTIONS(3972),
    [anon_sym_DASH] = ACTIONS(3970),
    [anon_sym_PLUS] = ACTIONS(3970),
    [anon_sym_STAR] = ACTIONS(1474),
    [anon_sym_AMP] = ACTIONS(1474),
    [anon_sym_COLON_COLON] = ACTIONS(3974),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [sym_primitive_type] = ACTIONS(3928),
    [anon_sym_not] = ACTIONS(3970),
    [anon_sym_compl] = ACTIONS(3970),
    [anon_sym_DASH_DASH] = ACTIONS(4385),
    [anon_sym_PLUS_PLUS] = ACTIONS(4385),
    [anon_sym_sizeof] = ACTIONS(3976),
    [anon_sym___alignof__] = ACTIONS(3932),
    [anon_sym___alignof] = ACTIONS(3932),
    [anon_sym__alignof] = ACTIONS(3932),
    [anon_sym_alignof] = ACTIONS(3932),
    [anon_sym__Alignof] = ACTIONS(3932),
    [anon_sym_offsetof] = ACTIONS(3934),
    [anon_sym__Generic] = ACTIONS(3936),
    [anon_sym_asm] = ACTIONS(3938),
    [anon_sym___asm__] = ACTIONS(3938),
    [sym_number_literal] = ACTIONS(3978),
    [anon_sym_L_SQUOTE] = ACTIONS(3980),
    [anon_sym_u_SQUOTE] = ACTIONS(3980),
    [anon_sym_U_SQUOTE] = ACTIONS(3980),
    [anon_sym_u8_SQUOTE] = ACTIONS(3980),
    [anon_sym_SQUOTE] = ACTIONS(3980),
    [anon_sym_L_DQUOTE] = ACTIONS(3982),
    [anon_sym_u_DQUOTE] = ACTIONS(3982),
    [anon_sym_U_DQUOTE] = ACTIONS(3982),
    [anon_sym_u8_DQUOTE] = ACTIONS(3982),
    [anon_sym_DQUOTE] = ACTIONS(3982),
    [sym_true] = ACTIONS(3946),
    [sym_false] = ACTIONS(3946),
    [anon_sym_NULL] = ACTIONS(3948),
    [anon_sym_nullptr] = ACTIONS(3948),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(3984),
    [anon_sym_R_DQUOTE] = ACTIONS(3986),
    [anon_sym_LR_DQUOTE] = ACTIONS(3986),
    [anon_sym_uR_DQUOTE] = ACTIONS(3986),
    [anon_sym_UR_DQUOTE] = ACTIONS(3986),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3986),
    [anon_sym_co_await] = ACTIONS(3988),
    [anon_sym_new] = ACTIONS(3990),
    [anon_sym_requires] = ACTIONS(3958),
    [sym_this] = ACTIONS(3946),
  },
  [2295] = {
    [sym__expression] = STATE(5709),
    [sym__expression_not_binary] = STATE(5024),
    [sym__string] = STATE(5024),
    [sym_conditional_expression] = STATE(5024),
    [sym_assignment_expression] = STATE(5024),
    [sym_pointer_expression] = STATE(4507),
    [sym_unary_expression] = STATE(5024),
    [sym_binary_expression] = STATE(5024),
    [sym_update_expression] = STATE(5024),
    [sym_cast_expression] = STATE(5024),
    [sym_sizeof_expression] = STATE(5024),
    [sym_alignof_expression] = STATE(5024),
    [sym_offsetof_expression] = STATE(5024),
    [sym_generic_expression] = STATE(5024),
    [sym_subscript_expression] = STATE(4507),
    [sym_call_expression] = STATE(4507),
    [sym_gnu_asm_expression] = STATE(5024),
    [sym_field_expression] = STATE(4507),
    [sym_compound_literal_expression] = STATE(5024),
    [sym_parenthesized_expression] = STATE(4507),
    [sym_char_literal] = STATE(5374),
    [sym_concatenated_string] = STATE(5377),
    [sym_string_literal] = STATE(4206),
    [sym_null] = STATE(5024),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9352),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(5024),
    [sym_raw_string_literal] = STATE(4217),
    [sym_co_await_expression] = STATE(5024),
    [sym_new_expression] = STATE(5024),
    [sym_delete_expression] = STATE(5024),
    [sym_requires_clause] = STATE(5024),
    [sym_requires_expression] = STATE(5024),
    [sym_lambda_expression] = STATE(5024),
    [sym_lambda_capture_specifier] = STATE(7184),
    [sym_fold_expression] = STATE(5024),
    [sym_parameter_pack_expansion] = STATE(5024),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6886),
    [sym_qualified_identifier] = STATE(4507),
    [sym_qualified_type_identifier] = STATE(9352),
    [sym_user_defined_literal] = STATE(4507),
    [sym_identifier] = ACTIONS(3140),
    [anon_sym_LPAREN2] = ACTIONS(1472),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1474),
    [anon_sym_AMP] = ACTIONS(1474),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [sym_primitive_type] = ACTIONS(3146),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [2296] = {
    [sym__expression] = STATE(5668),
    [sym__expression_not_binary] = STATE(6001),
    [sym__string] = STATE(6001),
    [sym_conditional_expression] = STATE(6001),
    [sym_assignment_expression] = STATE(6001),
    [sym_pointer_expression] = STATE(4807),
    [sym_unary_expression] = STATE(6001),
    [sym_binary_expression] = STATE(6001),
    [sym_update_expression] = STATE(6001),
    [sym_cast_expression] = STATE(6001),
    [sym_sizeof_expression] = STATE(6001),
    [sym_alignof_expression] = STATE(6001),
    [sym_offsetof_expression] = STATE(6001),
    [sym_generic_expression] = STATE(6001),
    [sym_subscript_expression] = STATE(4807),
    [sym_call_expression] = STATE(4807),
    [sym_gnu_asm_expression] = STATE(6001),
    [sym_field_expression] = STATE(4807),
    [sym_compound_literal_expression] = STATE(6001),
    [sym_parenthesized_expression] = STATE(4807),
    [sym_char_literal] = STATE(5842),
    [sym_concatenated_string] = STATE(5845),
    [sym_string_literal] = STATE(4864),
    [sym_null] = STATE(6001),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(8975),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(6001),
    [sym_raw_string_literal] = STATE(4865),
    [sym_co_await_expression] = STATE(6001),
    [sym_new_expression] = STATE(6001),
    [sym_delete_expression] = STATE(6001),
    [sym_requires_clause] = STATE(6001),
    [sym_requires_expression] = STATE(6001),
    [sym_lambda_expression] = STATE(6001),
    [sym_lambda_capture_specifier] = STATE(7123),
    [sym_fold_expression] = STATE(6001),
    [sym_parameter_pack_expansion] = STATE(6001),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6932),
    [sym_qualified_identifier] = STATE(4807),
    [sym_qualified_type_identifier] = STATE(8975),
    [sym_user_defined_literal] = STATE(4807),
    [sym_identifier] = ACTIONS(4532),
    [anon_sym_LPAREN2] = ACTIONS(4255),
    [anon_sym_BANG] = ACTIONS(4257),
    [anon_sym_TILDE] = ACTIONS(4257),
    [anon_sym_DASH] = ACTIONS(4259),
    [anon_sym_PLUS] = ACTIONS(4259),
    [anon_sym_STAR] = ACTIONS(4261),
    [anon_sym_AMP] = ACTIONS(4261),
    [anon_sym_COLON_COLON] = ACTIONS(4263),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [sym_primitive_type] = ACTIONS(4536),
    [anon_sym_not] = ACTIONS(4259),
    [anon_sym_compl] = ACTIONS(4259),
    [anon_sym_DASH_DASH] = ACTIONS(4277),
    [anon_sym_PLUS_PLUS] = ACTIONS(4277),
    [anon_sym_sizeof] = ACTIONS(4279),
    [anon_sym___alignof__] = ACTIONS(4281),
    [anon_sym___alignof] = ACTIONS(4281),
    [anon_sym__alignof] = ACTIONS(4281),
    [anon_sym_alignof] = ACTIONS(4281),
    [anon_sym__Alignof] = ACTIONS(4281),
    [anon_sym_offsetof] = ACTIONS(4283),
    [anon_sym__Generic] = ACTIONS(4285),
    [anon_sym_asm] = ACTIONS(4287),
    [anon_sym___asm__] = ACTIONS(4287),
    [sym_number_literal] = ACTIONS(4289),
    [anon_sym_L_SQUOTE] = ACTIONS(4291),
    [anon_sym_u_SQUOTE] = ACTIONS(4291),
    [anon_sym_U_SQUOTE] = ACTIONS(4291),
    [anon_sym_u8_SQUOTE] = ACTIONS(4291),
    [anon_sym_SQUOTE] = ACTIONS(4291),
    [anon_sym_L_DQUOTE] = ACTIONS(4293),
    [anon_sym_u_DQUOTE] = ACTIONS(4293),
    [anon_sym_U_DQUOTE] = ACTIONS(4293),
    [anon_sym_u8_DQUOTE] = ACTIONS(4293),
    [anon_sym_DQUOTE] = ACTIONS(4293),
    [sym_true] = ACTIONS(4295),
    [sym_false] = ACTIONS(4295),
    [anon_sym_NULL] = ACTIONS(4297),
    [anon_sym_nullptr] = ACTIONS(4297),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(4307),
    [anon_sym_R_DQUOTE] = ACTIONS(4309),
    [anon_sym_LR_DQUOTE] = ACTIONS(4309),
    [anon_sym_uR_DQUOTE] = ACTIONS(4309),
    [anon_sym_UR_DQUOTE] = ACTIONS(4309),
    [anon_sym_u8R_DQUOTE] = ACTIONS(4309),
    [anon_sym_co_await] = ACTIONS(4311),
    [anon_sym_new] = ACTIONS(4313),
    [anon_sym_requires] = ACTIONS(4315),
    [sym_this] = ACTIONS(4295),
  },
  [2297] = {
    [sym__expression] = STATE(5438),
    [sym__expression_not_binary] = STATE(5024),
    [sym__string] = STATE(5024),
    [sym_conditional_expression] = STATE(5024),
    [sym_assignment_expression] = STATE(5024),
    [sym_pointer_expression] = STATE(4507),
    [sym_unary_expression] = STATE(5024),
    [sym_binary_expression] = STATE(5024),
    [sym_update_expression] = STATE(5024),
    [sym_cast_expression] = STATE(5024),
    [sym_sizeof_expression] = STATE(5024),
    [sym_alignof_expression] = STATE(5024),
    [sym_offsetof_expression] = STATE(5024),
    [sym_generic_expression] = STATE(5024),
    [sym_subscript_expression] = STATE(4507),
    [sym_call_expression] = STATE(4507),
    [sym_gnu_asm_expression] = STATE(5024),
    [sym_field_expression] = STATE(4507),
    [sym_compound_literal_expression] = STATE(5024),
    [sym_parenthesized_expression] = STATE(4507),
    [sym_char_literal] = STATE(5374),
    [sym_concatenated_string] = STATE(5377),
    [sym_string_literal] = STATE(4206),
    [sym_null] = STATE(5024),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9352),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(5024),
    [sym_raw_string_literal] = STATE(4217),
    [sym_co_await_expression] = STATE(5024),
    [sym_new_expression] = STATE(5024),
    [sym_delete_expression] = STATE(5024),
    [sym_requires_clause] = STATE(5024),
    [sym_requires_expression] = STATE(5024),
    [sym_lambda_expression] = STATE(5024),
    [sym_lambda_capture_specifier] = STATE(7184),
    [sym_fold_expression] = STATE(5024),
    [sym_parameter_pack_expansion] = STATE(5024),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6886),
    [sym_qualified_identifier] = STATE(4507),
    [sym_qualified_type_identifier] = STATE(9352),
    [sym_user_defined_literal] = STATE(4507),
    [sym_identifier] = ACTIONS(3140),
    [anon_sym_LPAREN2] = ACTIONS(1472),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1474),
    [anon_sym_AMP] = ACTIONS(1474),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [sym_primitive_type] = ACTIONS(3146),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [2298] = {
    [sym__expression] = STATE(5951),
    [sym__expression_not_binary] = STATE(5024),
    [sym__string] = STATE(5024),
    [sym_conditional_expression] = STATE(5024),
    [sym_assignment_expression] = STATE(5024),
    [sym_pointer_expression] = STATE(4713),
    [sym_unary_expression] = STATE(5024),
    [sym_binary_expression] = STATE(5024),
    [sym_update_expression] = STATE(5024),
    [sym_cast_expression] = STATE(5024),
    [sym_sizeof_expression] = STATE(5024),
    [sym_alignof_expression] = STATE(5024),
    [sym_offsetof_expression] = STATE(5024),
    [sym_generic_expression] = STATE(5024),
    [sym_subscript_expression] = STATE(4713),
    [sym_call_expression] = STATE(4713),
    [sym_gnu_asm_expression] = STATE(5024),
    [sym_field_expression] = STATE(4713),
    [sym_compound_literal_expression] = STATE(5024),
    [sym_parenthesized_expression] = STATE(4713),
    [sym_char_literal] = STATE(5374),
    [sym_concatenated_string] = STATE(5377),
    [sym_string_literal] = STATE(4206),
    [sym_null] = STATE(5024),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9352),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(5024),
    [sym_raw_string_literal] = STATE(4217),
    [sym_co_await_expression] = STATE(5024),
    [sym_new_expression] = STATE(5024),
    [sym_delete_expression] = STATE(5024),
    [sym_requires_clause] = STATE(5024),
    [sym_requires_expression] = STATE(5024),
    [sym_lambda_expression] = STATE(5024),
    [sym_lambda_capture_specifier] = STATE(7184),
    [sym_fold_expression] = STATE(5024),
    [sym_parameter_pack_expansion] = STATE(5024),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6886),
    [sym_qualified_identifier] = STATE(4713),
    [sym_qualified_type_identifier] = STATE(9352),
    [sym_user_defined_literal] = STATE(4713),
    [sym_identifier] = ACTIONS(4518),
    [anon_sym_LPAREN2] = ACTIONS(5188),
    [anon_sym_BANG] = ACTIONS(4522),
    [anon_sym_TILDE] = ACTIONS(4522),
    [anon_sym_DASH] = ACTIONS(4520),
    [anon_sym_PLUS] = ACTIONS(4520),
    [anon_sym_STAR] = ACTIONS(5190),
    [anon_sym_AMP] = ACTIONS(5190),
    [anon_sym_COLON_COLON] = ACTIONS(4524),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [sym_primitive_type] = ACTIONS(3146),
    [anon_sym_not] = ACTIONS(4520),
    [anon_sym_compl] = ACTIONS(4520),
    [anon_sym_DASH_DASH] = ACTIONS(5071),
    [anon_sym_PLUS_PLUS] = ACTIONS(5071),
    [anon_sym_sizeof] = ACTIONS(4526),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(4528),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(4530),
    [anon_sym_new] = ACTIONS(4516),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [2299] = {
    [sym__expression] = STATE(5904),
    [sym__expression_not_binary] = STATE(5024),
    [sym__string] = STATE(5024),
    [sym_conditional_expression] = STATE(5024),
    [sym_assignment_expression] = STATE(5024),
    [sym_pointer_expression] = STATE(4507),
    [sym_unary_expression] = STATE(5024),
    [sym_binary_expression] = STATE(5024),
    [sym_update_expression] = STATE(5024),
    [sym_cast_expression] = STATE(5024),
    [sym_sizeof_expression] = STATE(5024),
    [sym_alignof_expression] = STATE(5024),
    [sym_offsetof_expression] = STATE(5024),
    [sym_generic_expression] = STATE(5024),
    [sym_subscript_expression] = STATE(4507),
    [sym_call_expression] = STATE(4507),
    [sym_gnu_asm_expression] = STATE(5024),
    [sym_field_expression] = STATE(4507),
    [sym_compound_literal_expression] = STATE(5024),
    [sym_parenthesized_expression] = STATE(4507),
    [sym_char_literal] = STATE(5374),
    [sym_concatenated_string] = STATE(5377),
    [sym_string_literal] = STATE(4206),
    [sym_null] = STATE(5024),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9352),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(5024),
    [sym_raw_string_literal] = STATE(4217),
    [sym_co_await_expression] = STATE(5024),
    [sym_new_expression] = STATE(5024),
    [sym_delete_expression] = STATE(5024),
    [sym_requires_clause] = STATE(5024),
    [sym_requires_expression] = STATE(5024),
    [sym_lambda_expression] = STATE(5024),
    [sym_lambda_capture_specifier] = STATE(7184),
    [sym_fold_expression] = STATE(5024),
    [sym_parameter_pack_expansion] = STATE(5024),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6886),
    [sym_qualified_identifier] = STATE(4507),
    [sym_qualified_type_identifier] = STATE(9352),
    [sym_user_defined_literal] = STATE(4507),
    [sym_identifier] = ACTIONS(3140),
    [anon_sym_LPAREN2] = ACTIONS(1472),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1474),
    [anon_sym_AMP] = ACTIONS(1474),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [sym_primitive_type] = ACTIONS(3146),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [2300] = {
    [sym__expression] = STATE(5677),
    [sym__expression_not_binary] = STATE(5024),
    [sym__string] = STATE(5024),
    [sym_conditional_expression] = STATE(5024),
    [sym_assignment_expression] = STATE(5024),
    [sym_pointer_expression] = STATE(4507),
    [sym_unary_expression] = STATE(5024),
    [sym_binary_expression] = STATE(5024),
    [sym_update_expression] = STATE(5024),
    [sym_cast_expression] = STATE(5024),
    [sym_sizeof_expression] = STATE(5024),
    [sym_alignof_expression] = STATE(5024),
    [sym_offsetof_expression] = STATE(5024),
    [sym_generic_expression] = STATE(5024),
    [sym_subscript_expression] = STATE(4507),
    [sym_call_expression] = STATE(4507),
    [sym_gnu_asm_expression] = STATE(5024),
    [sym_field_expression] = STATE(4507),
    [sym_compound_literal_expression] = STATE(5024),
    [sym_parenthesized_expression] = STATE(4507),
    [sym_char_literal] = STATE(5374),
    [sym_concatenated_string] = STATE(5377),
    [sym_string_literal] = STATE(4206),
    [sym_null] = STATE(5024),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9352),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(5024),
    [sym_raw_string_literal] = STATE(4217),
    [sym_co_await_expression] = STATE(5024),
    [sym_new_expression] = STATE(5024),
    [sym_delete_expression] = STATE(5024),
    [sym_requires_clause] = STATE(5024),
    [sym_requires_expression] = STATE(5024),
    [sym_lambda_expression] = STATE(5024),
    [sym_lambda_capture_specifier] = STATE(7184),
    [sym_fold_expression] = STATE(5024),
    [sym_parameter_pack_expansion] = STATE(5024),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6886),
    [sym_qualified_identifier] = STATE(4507),
    [sym_qualified_type_identifier] = STATE(9352),
    [sym_user_defined_literal] = STATE(4507),
    [sym_identifier] = ACTIONS(3140),
    [anon_sym_LPAREN2] = ACTIONS(1472),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1474),
    [anon_sym_AMP] = ACTIONS(1474),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [sym_primitive_type] = ACTIONS(3146),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [2301] = {
    [sym__expression] = STATE(5343),
    [sym__expression_not_binary] = STATE(5575),
    [sym__string] = STATE(5575),
    [sym_conditional_expression] = STATE(5575),
    [sym_assignment_expression] = STATE(5575),
    [sym_pointer_expression] = STATE(4218),
    [sym_unary_expression] = STATE(5575),
    [sym_binary_expression] = STATE(5575),
    [sym_update_expression] = STATE(5575),
    [sym_cast_expression] = STATE(5575),
    [sym_sizeof_expression] = STATE(5575),
    [sym_alignof_expression] = STATE(5575),
    [sym_offsetof_expression] = STATE(5575),
    [sym_generic_expression] = STATE(5575),
    [sym_subscript_expression] = STATE(4218),
    [sym_call_expression] = STATE(4218),
    [sym_gnu_asm_expression] = STATE(5575),
    [sym_field_expression] = STATE(4218),
    [sym_compound_literal_expression] = STATE(5575),
    [sym_parenthesized_expression] = STATE(4218),
    [sym_char_literal] = STATE(5388),
    [sym_concatenated_string] = STATE(5429),
    [sym_string_literal] = STATE(4410),
    [sym_null] = STATE(5575),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9045),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(5575),
    [sym_raw_string_literal] = STATE(4411),
    [sym_co_await_expression] = STATE(5575),
    [sym_new_expression] = STATE(5575),
    [sym_delete_expression] = STATE(5575),
    [sym_requires_clause] = STATE(5575),
    [sym_requires_expression] = STATE(5575),
    [sym_lambda_expression] = STATE(5575),
    [sym_lambda_capture_specifier] = STATE(7089),
    [sym_fold_expression] = STATE(5575),
    [sym_parameter_pack_expansion] = STATE(5575),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6962),
    [sym_qualified_identifier] = STATE(4218),
    [sym_qualified_type_identifier] = STATE(9045),
    [sym_user_defined_literal] = STATE(4218),
    [sym_identifier] = ACTIONS(5081),
    [anon_sym_LPAREN2] = ACTIONS(5200),
    [anon_sym_BANG] = ACTIONS(4431),
    [anon_sym_TILDE] = ACTIONS(4431),
    [anon_sym_DASH] = ACTIONS(4429),
    [anon_sym_PLUS] = ACTIONS(4429),
    [anon_sym_STAR] = ACTIONS(5202),
    [anon_sym_AMP] = ACTIONS(5202),
    [anon_sym_COLON_COLON] = ACTIONS(4433),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [sym_primitive_type] = ACTIONS(4437),
    [anon_sym_not] = ACTIONS(4429),
    [anon_sym_compl] = ACTIONS(4429),
    [anon_sym_DASH_DASH] = ACTIONS(5083),
    [anon_sym_PLUS_PLUS] = ACTIONS(5083),
    [anon_sym_sizeof] = ACTIONS(4439),
    [anon_sym___alignof__] = ACTIONS(4441),
    [anon_sym___alignof] = ACTIONS(4441),
    [anon_sym__alignof] = ACTIONS(4441),
    [anon_sym_alignof] = ACTIONS(4441),
    [anon_sym__Alignof] = ACTIONS(4441),
    [anon_sym_offsetof] = ACTIONS(4443),
    [anon_sym__Generic] = ACTIONS(4445),
    [anon_sym_asm] = ACTIONS(4447),
    [anon_sym___asm__] = ACTIONS(4447),
    [sym_number_literal] = ACTIONS(4449),
    [anon_sym_L_SQUOTE] = ACTIONS(4451),
    [anon_sym_u_SQUOTE] = ACTIONS(4451),
    [anon_sym_U_SQUOTE] = ACTIONS(4451),
    [anon_sym_u8_SQUOTE] = ACTIONS(4451),
    [anon_sym_SQUOTE] = ACTIONS(4451),
    [anon_sym_L_DQUOTE] = ACTIONS(4453),
    [anon_sym_u_DQUOTE] = ACTIONS(4453),
    [anon_sym_U_DQUOTE] = ACTIONS(4453),
    [anon_sym_u8_DQUOTE] = ACTIONS(4453),
    [anon_sym_DQUOTE] = ACTIONS(4453),
    [sym_true] = ACTIONS(4455),
    [sym_false] = ACTIONS(4455),
    [anon_sym_NULL] = ACTIONS(4457),
    [anon_sym_nullptr] = ACTIONS(4457),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(4459),
    [anon_sym_R_DQUOTE] = ACTIONS(4461),
    [anon_sym_LR_DQUOTE] = ACTIONS(4461),
    [anon_sym_uR_DQUOTE] = ACTIONS(4461),
    [anon_sym_UR_DQUOTE] = ACTIONS(4461),
    [anon_sym_u8R_DQUOTE] = ACTIONS(4461),
    [anon_sym_co_await] = ACTIONS(4463),
    [anon_sym_new] = ACTIONS(4465),
    [anon_sym_requires] = ACTIONS(4467),
    [sym_this] = ACTIONS(4455),
  },
  [2302] = {
    [sym__expression] = STATE(5341),
    [sym__expression_not_binary] = STATE(5575),
    [sym__string] = STATE(5575),
    [sym_conditional_expression] = STATE(5575),
    [sym_assignment_expression] = STATE(5575),
    [sym_pointer_expression] = STATE(4218),
    [sym_unary_expression] = STATE(5575),
    [sym_binary_expression] = STATE(5575),
    [sym_update_expression] = STATE(5575),
    [sym_cast_expression] = STATE(5575),
    [sym_sizeof_expression] = STATE(5575),
    [sym_alignof_expression] = STATE(5575),
    [sym_offsetof_expression] = STATE(5575),
    [sym_generic_expression] = STATE(5575),
    [sym_subscript_expression] = STATE(4218),
    [sym_call_expression] = STATE(4218),
    [sym_gnu_asm_expression] = STATE(5575),
    [sym_field_expression] = STATE(4218),
    [sym_compound_literal_expression] = STATE(5575),
    [sym_parenthesized_expression] = STATE(4218),
    [sym_char_literal] = STATE(5388),
    [sym_concatenated_string] = STATE(5429),
    [sym_string_literal] = STATE(4410),
    [sym_null] = STATE(5575),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9045),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(5575),
    [sym_raw_string_literal] = STATE(4411),
    [sym_co_await_expression] = STATE(5575),
    [sym_new_expression] = STATE(5575),
    [sym_delete_expression] = STATE(5575),
    [sym_requires_clause] = STATE(5575),
    [sym_requires_expression] = STATE(5575),
    [sym_lambda_expression] = STATE(5575),
    [sym_lambda_capture_specifier] = STATE(7089),
    [sym_fold_expression] = STATE(5575),
    [sym_parameter_pack_expansion] = STATE(5575),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6962),
    [sym_qualified_identifier] = STATE(4218),
    [sym_qualified_type_identifier] = STATE(9045),
    [sym_user_defined_literal] = STATE(4218),
    [sym_identifier] = ACTIONS(5081),
    [anon_sym_LPAREN2] = ACTIONS(5200),
    [anon_sym_BANG] = ACTIONS(4431),
    [anon_sym_TILDE] = ACTIONS(4431),
    [anon_sym_DASH] = ACTIONS(4429),
    [anon_sym_PLUS] = ACTIONS(4429),
    [anon_sym_STAR] = ACTIONS(5202),
    [anon_sym_AMP] = ACTIONS(5202),
    [anon_sym_COLON_COLON] = ACTIONS(4433),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [sym_primitive_type] = ACTIONS(4437),
    [anon_sym_not] = ACTIONS(4429),
    [anon_sym_compl] = ACTIONS(4429),
    [anon_sym_DASH_DASH] = ACTIONS(5083),
    [anon_sym_PLUS_PLUS] = ACTIONS(5083),
    [anon_sym_sizeof] = ACTIONS(4439),
    [anon_sym___alignof__] = ACTIONS(4441),
    [anon_sym___alignof] = ACTIONS(4441),
    [anon_sym__alignof] = ACTIONS(4441),
    [anon_sym_alignof] = ACTIONS(4441),
    [anon_sym__Alignof] = ACTIONS(4441),
    [anon_sym_offsetof] = ACTIONS(4443),
    [anon_sym__Generic] = ACTIONS(4445),
    [anon_sym_asm] = ACTIONS(4447),
    [anon_sym___asm__] = ACTIONS(4447),
    [sym_number_literal] = ACTIONS(4449),
    [anon_sym_L_SQUOTE] = ACTIONS(4451),
    [anon_sym_u_SQUOTE] = ACTIONS(4451),
    [anon_sym_U_SQUOTE] = ACTIONS(4451),
    [anon_sym_u8_SQUOTE] = ACTIONS(4451),
    [anon_sym_SQUOTE] = ACTIONS(4451),
    [anon_sym_L_DQUOTE] = ACTIONS(4453),
    [anon_sym_u_DQUOTE] = ACTIONS(4453),
    [anon_sym_U_DQUOTE] = ACTIONS(4453),
    [anon_sym_u8_DQUOTE] = ACTIONS(4453),
    [anon_sym_DQUOTE] = ACTIONS(4453),
    [sym_true] = ACTIONS(4455),
    [sym_false] = ACTIONS(4455),
    [anon_sym_NULL] = ACTIONS(4457),
    [anon_sym_nullptr] = ACTIONS(4457),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(4459),
    [anon_sym_R_DQUOTE] = ACTIONS(4461),
    [anon_sym_LR_DQUOTE] = ACTIONS(4461),
    [anon_sym_uR_DQUOTE] = ACTIONS(4461),
    [anon_sym_UR_DQUOTE] = ACTIONS(4461),
    [anon_sym_u8R_DQUOTE] = ACTIONS(4461),
    [anon_sym_co_await] = ACTIONS(4463),
    [anon_sym_new] = ACTIONS(4465),
    [anon_sym_requires] = ACTIONS(4467),
    [sym_this] = ACTIONS(4455),
  },
  [2303] = {
    [sym__expression] = STATE(5340),
    [sym__expression_not_binary] = STATE(5575),
    [sym__string] = STATE(5575),
    [sym_conditional_expression] = STATE(5575),
    [sym_assignment_expression] = STATE(5575),
    [sym_pointer_expression] = STATE(4218),
    [sym_unary_expression] = STATE(5575),
    [sym_binary_expression] = STATE(5575),
    [sym_update_expression] = STATE(5575),
    [sym_cast_expression] = STATE(5575),
    [sym_sizeof_expression] = STATE(5575),
    [sym_alignof_expression] = STATE(5575),
    [sym_offsetof_expression] = STATE(5575),
    [sym_generic_expression] = STATE(5575),
    [sym_subscript_expression] = STATE(4218),
    [sym_call_expression] = STATE(4218),
    [sym_gnu_asm_expression] = STATE(5575),
    [sym_field_expression] = STATE(4218),
    [sym_compound_literal_expression] = STATE(5575),
    [sym_parenthesized_expression] = STATE(4218),
    [sym_char_literal] = STATE(5388),
    [sym_concatenated_string] = STATE(5429),
    [sym_string_literal] = STATE(4410),
    [sym_null] = STATE(5575),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9045),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(5575),
    [sym_raw_string_literal] = STATE(4411),
    [sym_co_await_expression] = STATE(5575),
    [sym_new_expression] = STATE(5575),
    [sym_delete_expression] = STATE(5575),
    [sym_requires_clause] = STATE(5575),
    [sym_requires_expression] = STATE(5575),
    [sym_lambda_expression] = STATE(5575),
    [sym_lambda_capture_specifier] = STATE(7089),
    [sym_fold_expression] = STATE(5575),
    [sym_parameter_pack_expansion] = STATE(5575),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6962),
    [sym_qualified_identifier] = STATE(4218),
    [sym_qualified_type_identifier] = STATE(9045),
    [sym_user_defined_literal] = STATE(4218),
    [sym_identifier] = ACTIONS(5081),
    [anon_sym_LPAREN2] = ACTIONS(5200),
    [anon_sym_BANG] = ACTIONS(4431),
    [anon_sym_TILDE] = ACTIONS(4431),
    [anon_sym_DASH] = ACTIONS(4429),
    [anon_sym_PLUS] = ACTIONS(4429),
    [anon_sym_STAR] = ACTIONS(5202),
    [anon_sym_AMP] = ACTIONS(5202),
    [anon_sym_COLON_COLON] = ACTIONS(4433),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [sym_primitive_type] = ACTIONS(4437),
    [anon_sym_not] = ACTIONS(4429),
    [anon_sym_compl] = ACTIONS(4429),
    [anon_sym_DASH_DASH] = ACTIONS(5083),
    [anon_sym_PLUS_PLUS] = ACTIONS(5083),
    [anon_sym_sizeof] = ACTIONS(4439),
    [anon_sym___alignof__] = ACTIONS(4441),
    [anon_sym___alignof] = ACTIONS(4441),
    [anon_sym__alignof] = ACTIONS(4441),
    [anon_sym_alignof] = ACTIONS(4441),
    [anon_sym__Alignof] = ACTIONS(4441),
    [anon_sym_offsetof] = ACTIONS(4443),
    [anon_sym__Generic] = ACTIONS(4445),
    [anon_sym_asm] = ACTIONS(4447),
    [anon_sym___asm__] = ACTIONS(4447),
    [sym_number_literal] = ACTIONS(4449),
    [anon_sym_L_SQUOTE] = ACTIONS(4451),
    [anon_sym_u_SQUOTE] = ACTIONS(4451),
    [anon_sym_U_SQUOTE] = ACTIONS(4451),
    [anon_sym_u8_SQUOTE] = ACTIONS(4451),
    [anon_sym_SQUOTE] = ACTIONS(4451),
    [anon_sym_L_DQUOTE] = ACTIONS(4453),
    [anon_sym_u_DQUOTE] = ACTIONS(4453),
    [anon_sym_U_DQUOTE] = ACTIONS(4453),
    [anon_sym_u8_DQUOTE] = ACTIONS(4453),
    [anon_sym_DQUOTE] = ACTIONS(4453),
    [sym_true] = ACTIONS(4455),
    [sym_false] = ACTIONS(4455),
    [anon_sym_NULL] = ACTIONS(4457),
    [anon_sym_nullptr] = ACTIONS(4457),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(4459),
    [anon_sym_R_DQUOTE] = ACTIONS(4461),
    [anon_sym_LR_DQUOTE] = ACTIONS(4461),
    [anon_sym_uR_DQUOTE] = ACTIONS(4461),
    [anon_sym_UR_DQUOTE] = ACTIONS(4461),
    [anon_sym_u8R_DQUOTE] = ACTIONS(4461),
    [anon_sym_co_await] = ACTIONS(4463),
    [anon_sym_new] = ACTIONS(4465),
    [anon_sym_requires] = ACTIONS(4467),
    [sym_this] = ACTIONS(4455),
  },
  [2304] = {
    [sym__expression] = STATE(5458),
    [sym__expression_not_binary] = STATE(5024),
    [sym__string] = STATE(5024),
    [sym_conditional_expression] = STATE(5024),
    [sym_assignment_expression] = STATE(5024),
    [sym_pointer_expression] = STATE(4507),
    [sym_unary_expression] = STATE(5024),
    [sym_binary_expression] = STATE(5024),
    [sym_update_expression] = STATE(5024),
    [sym_cast_expression] = STATE(5024),
    [sym_sizeof_expression] = STATE(5024),
    [sym_alignof_expression] = STATE(5024),
    [sym_offsetof_expression] = STATE(5024),
    [sym_generic_expression] = STATE(5024),
    [sym_subscript_expression] = STATE(4507),
    [sym_call_expression] = STATE(4507),
    [sym_gnu_asm_expression] = STATE(5024),
    [sym_field_expression] = STATE(4507),
    [sym_compound_literal_expression] = STATE(5024),
    [sym_parenthesized_expression] = STATE(4507),
    [sym_char_literal] = STATE(5374),
    [sym_concatenated_string] = STATE(5377),
    [sym_string_literal] = STATE(4206),
    [sym_null] = STATE(5024),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9352),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(5024),
    [sym_raw_string_literal] = STATE(4217),
    [sym_co_await_expression] = STATE(5024),
    [sym_new_expression] = STATE(5024),
    [sym_delete_expression] = STATE(5024),
    [sym_requires_clause] = STATE(5024),
    [sym_requires_expression] = STATE(5024),
    [sym_lambda_expression] = STATE(5024),
    [sym_lambda_capture_specifier] = STATE(7184),
    [sym_fold_expression] = STATE(5024),
    [sym_parameter_pack_expansion] = STATE(5024),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6886),
    [sym_qualified_identifier] = STATE(4507),
    [sym_qualified_type_identifier] = STATE(9352),
    [sym_user_defined_literal] = STATE(4507),
    [sym_identifier] = ACTIONS(3140),
    [anon_sym_LPAREN2] = ACTIONS(1472),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1474),
    [anon_sym_AMP] = ACTIONS(1474),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [sym_primitive_type] = ACTIONS(3146),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [2305] = {
    [sym__expression] = STATE(5821),
    [sym__expression_not_binary] = STATE(5024),
    [sym__string] = STATE(5024),
    [sym_conditional_expression] = STATE(5024),
    [sym_assignment_expression] = STATE(5024),
    [sym_pointer_expression] = STATE(4507),
    [sym_unary_expression] = STATE(5024),
    [sym_binary_expression] = STATE(5024),
    [sym_update_expression] = STATE(5024),
    [sym_cast_expression] = STATE(5024),
    [sym_sizeof_expression] = STATE(5024),
    [sym_alignof_expression] = STATE(5024),
    [sym_offsetof_expression] = STATE(5024),
    [sym_generic_expression] = STATE(5024),
    [sym_subscript_expression] = STATE(4507),
    [sym_call_expression] = STATE(4507),
    [sym_gnu_asm_expression] = STATE(5024),
    [sym_field_expression] = STATE(4507),
    [sym_compound_literal_expression] = STATE(5024),
    [sym_parenthesized_expression] = STATE(4507),
    [sym_char_literal] = STATE(5374),
    [sym_concatenated_string] = STATE(5377),
    [sym_string_literal] = STATE(4206),
    [sym_null] = STATE(5024),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9352),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(5024),
    [sym_raw_string_literal] = STATE(4217),
    [sym_co_await_expression] = STATE(5024),
    [sym_new_expression] = STATE(5024),
    [sym_delete_expression] = STATE(5024),
    [sym_requires_clause] = STATE(5024),
    [sym_requires_expression] = STATE(5024),
    [sym_lambda_expression] = STATE(5024),
    [sym_lambda_capture_specifier] = STATE(7184),
    [sym_fold_expression] = STATE(5024),
    [sym_parameter_pack_expansion] = STATE(5024),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6886),
    [sym_qualified_identifier] = STATE(4507),
    [sym_qualified_type_identifier] = STATE(9352),
    [sym_user_defined_literal] = STATE(4507),
    [sym_identifier] = ACTIONS(3140),
    [anon_sym_LPAREN2] = ACTIONS(1472),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1474),
    [anon_sym_AMP] = ACTIONS(1474),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [sym_primitive_type] = ACTIONS(3146),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [2306] = {
    [sym__expression] = STATE(5383),
    [sym__expression_not_binary] = STATE(5575),
    [sym__string] = STATE(5575),
    [sym_conditional_expression] = STATE(5575),
    [sym_assignment_expression] = STATE(5575),
    [sym_pointer_expression] = STATE(4218),
    [sym_unary_expression] = STATE(5575),
    [sym_binary_expression] = STATE(5575),
    [sym_update_expression] = STATE(5575),
    [sym_cast_expression] = STATE(5575),
    [sym_sizeof_expression] = STATE(5575),
    [sym_alignof_expression] = STATE(5575),
    [sym_offsetof_expression] = STATE(5575),
    [sym_generic_expression] = STATE(5575),
    [sym_subscript_expression] = STATE(4218),
    [sym_call_expression] = STATE(4218),
    [sym_gnu_asm_expression] = STATE(5575),
    [sym_field_expression] = STATE(4218),
    [sym_compound_literal_expression] = STATE(5575),
    [sym_parenthesized_expression] = STATE(4218),
    [sym_char_literal] = STATE(5388),
    [sym_concatenated_string] = STATE(5429),
    [sym_string_literal] = STATE(4410),
    [sym_null] = STATE(5575),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9045),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(5575),
    [sym_raw_string_literal] = STATE(4411),
    [sym_co_await_expression] = STATE(5575),
    [sym_new_expression] = STATE(5575),
    [sym_delete_expression] = STATE(5575),
    [sym_requires_clause] = STATE(5575),
    [sym_requires_expression] = STATE(5575),
    [sym_lambda_expression] = STATE(5575),
    [sym_lambda_capture_specifier] = STATE(7089),
    [sym_fold_expression] = STATE(5575),
    [sym_parameter_pack_expansion] = STATE(5575),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6962),
    [sym_qualified_identifier] = STATE(4218),
    [sym_qualified_type_identifier] = STATE(9045),
    [sym_user_defined_literal] = STATE(4218),
    [sym_identifier] = ACTIONS(5081),
    [anon_sym_LPAREN2] = ACTIONS(5200),
    [anon_sym_BANG] = ACTIONS(4431),
    [anon_sym_TILDE] = ACTIONS(4431),
    [anon_sym_DASH] = ACTIONS(4429),
    [anon_sym_PLUS] = ACTIONS(4429),
    [anon_sym_STAR] = ACTIONS(5202),
    [anon_sym_AMP] = ACTIONS(5202),
    [anon_sym_COLON_COLON] = ACTIONS(4433),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [sym_primitive_type] = ACTIONS(4437),
    [anon_sym_not] = ACTIONS(4429),
    [anon_sym_compl] = ACTIONS(4429),
    [anon_sym_DASH_DASH] = ACTIONS(5083),
    [anon_sym_PLUS_PLUS] = ACTIONS(5083),
    [anon_sym_sizeof] = ACTIONS(4439),
    [anon_sym___alignof__] = ACTIONS(4441),
    [anon_sym___alignof] = ACTIONS(4441),
    [anon_sym__alignof] = ACTIONS(4441),
    [anon_sym_alignof] = ACTIONS(4441),
    [anon_sym__Alignof] = ACTIONS(4441),
    [anon_sym_offsetof] = ACTIONS(4443),
    [anon_sym__Generic] = ACTIONS(4445),
    [anon_sym_asm] = ACTIONS(4447),
    [anon_sym___asm__] = ACTIONS(4447),
    [sym_number_literal] = ACTIONS(4449),
    [anon_sym_L_SQUOTE] = ACTIONS(4451),
    [anon_sym_u_SQUOTE] = ACTIONS(4451),
    [anon_sym_U_SQUOTE] = ACTIONS(4451),
    [anon_sym_u8_SQUOTE] = ACTIONS(4451),
    [anon_sym_SQUOTE] = ACTIONS(4451),
    [anon_sym_L_DQUOTE] = ACTIONS(4453),
    [anon_sym_u_DQUOTE] = ACTIONS(4453),
    [anon_sym_U_DQUOTE] = ACTIONS(4453),
    [anon_sym_u8_DQUOTE] = ACTIONS(4453),
    [anon_sym_DQUOTE] = ACTIONS(4453),
    [sym_true] = ACTIONS(4455),
    [sym_false] = ACTIONS(4455),
    [anon_sym_NULL] = ACTIONS(4457),
    [anon_sym_nullptr] = ACTIONS(4457),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(4459),
    [anon_sym_R_DQUOTE] = ACTIONS(4461),
    [anon_sym_LR_DQUOTE] = ACTIONS(4461),
    [anon_sym_uR_DQUOTE] = ACTIONS(4461),
    [anon_sym_UR_DQUOTE] = ACTIONS(4461),
    [anon_sym_u8R_DQUOTE] = ACTIONS(4461),
    [anon_sym_co_await] = ACTIONS(4463),
    [anon_sym_new] = ACTIONS(4465),
    [anon_sym_requires] = ACTIONS(4467),
    [sym_this] = ACTIONS(4455),
  },
  [2307] = {
    [sym__expression] = STATE(5448),
    [sym__expression_not_binary] = STATE(5024),
    [sym__string] = STATE(5024),
    [sym_conditional_expression] = STATE(5024),
    [sym_assignment_expression] = STATE(5024),
    [sym_pointer_expression] = STATE(4507),
    [sym_unary_expression] = STATE(5024),
    [sym_binary_expression] = STATE(5024),
    [sym_update_expression] = STATE(5024),
    [sym_cast_expression] = STATE(5024),
    [sym_sizeof_expression] = STATE(5024),
    [sym_alignof_expression] = STATE(5024),
    [sym_offsetof_expression] = STATE(5024),
    [sym_generic_expression] = STATE(5024),
    [sym_subscript_expression] = STATE(4507),
    [sym_call_expression] = STATE(4507),
    [sym_gnu_asm_expression] = STATE(5024),
    [sym_field_expression] = STATE(4507),
    [sym_compound_literal_expression] = STATE(5024),
    [sym_parenthesized_expression] = STATE(4507),
    [sym_char_literal] = STATE(5374),
    [sym_concatenated_string] = STATE(5377),
    [sym_string_literal] = STATE(4206),
    [sym_null] = STATE(5024),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9352),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(5024),
    [sym_raw_string_literal] = STATE(4217),
    [sym_co_await_expression] = STATE(5024),
    [sym_new_expression] = STATE(5024),
    [sym_delete_expression] = STATE(5024),
    [sym_requires_clause] = STATE(5024),
    [sym_requires_expression] = STATE(5024),
    [sym_lambda_expression] = STATE(5024),
    [sym_lambda_capture_specifier] = STATE(7184),
    [sym_fold_expression] = STATE(5024),
    [sym_parameter_pack_expansion] = STATE(5024),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6886),
    [sym_qualified_identifier] = STATE(4507),
    [sym_qualified_type_identifier] = STATE(9352),
    [sym_user_defined_literal] = STATE(4507),
    [sym_identifier] = ACTIONS(3140),
    [anon_sym_LPAREN2] = ACTIONS(1472),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1474),
    [anon_sym_AMP] = ACTIONS(1474),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [sym_primitive_type] = ACTIONS(3146),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [2308] = {
    [sym__expression] = STATE(5823),
    [sym__expression_not_binary] = STATE(5024),
    [sym__string] = STATE(5024),
    [sym_conditional_expression] = STATE(5024),
    [sym_assignment_expression] = STATE(5024),
    [sym_pointer_expression] = STATE(4507),
    [sym_unary_expression] = STATE(5024),
    [sym_binary_expression] = STATE(5024),
    [sym_update_expression] = STATE(5024),
    [sym_cast_expression] = STATE(5024),
    [sym_sizeof_expression] = STATE(5024),
    [sym_alignof_expression] = STATE(5024),
    [sym_offsetof_expression] = STATE(5024),
    [sym_generic_expression] = STATE(5024),
    [sym_subscript_expression] = STATE(4507),
    [sym_call_expression] = STATE(4507),
    [sym_gnu_asm_expression] = STATE(5024),
    [sym_field_expression] = STATE(4507),
    [sym_compound_literal_expression] = STATE(5024),
    [sym_parenthesized_expression] = STATE(4507),
    [sym_char_literal] = STATE(5374),
    [sym_concatenated_string] = STATE(5377),
    [sym_string_literal] = STATE(4206),
    [sym_null] = STATE(5024),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9352),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(5024),
    [sym_raw_string_literal] = STATE(4217),
    [sym_co_await_expression] = STATE(5024),
    [sym_new_expression] = STATE(5024),
    [sym_delete_expression] = STATE(5024),
    [sym_requires_clause] = STATE(5024),
    [sym_requires_expression] = STATE(5024),
    [sym_lambda_expression] = STATE(5024),
    [sym_lambda_capture_specifier] = STATE(7184),
    [sym_fold_expression] = STATE(5024),
    [sym_parameter_pack_expansion] = STATE(5024),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6886),
    [sym_qualified_identifier] = STATE(4507),
    [sym_qualified_type_identifier] = STATE(9352),
    [sym_user_defined_literal] = STATE(4507),
    [sym_identifier] = ACTIONS(3140),
    [anon_sym_LPAREN2] = ACTIONS(1472),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1474),
    [anon_sym_AMP] = ACTIONS(1474),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [sym_primitive_type] = ACTIONS(3146),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [2309] = {
    [sym__expression] = STATE(5824),
    [sym__expression_not_binary] = STATE(5024),
    [sym__string] = STATE(5024),
    [sym_conditional_expression] = STATE(5024),
    [sym_assignment_expression] = STATE(5024),
    [sym_pointer_expression] = STATE(4737),
    [sym_unary_expression] = STATE(5024),
    [sym_binary_expression] = STATE(5024),
    [sym_update_expression] = STATE(5024),
    [sym_cast_expression] = STATE(5024),
    [sym_sizeof_expression] = STATE(5024),
    [sym_alignof_expression] = STATE(5024),
    [sym_offsetof_expression] = STATE(5024),
    [sym_generic_expression] = STATE(5024),
    [sym_subscript_expression] = STATE(4737),
    [sym_call_expression] = STATE(4737),
    [sym_gnu_asm_expression] = STATE(5024),
    [sym_field_expression] = STATE(4737),
    [sym_compound_literal_expression] = STATE(5024),
    [sym_parenthesized_expression] = STATE(4737),
    [sym_char_literal] = STATE(5374),
    [sym_concatenated_string] = STATE(5377),
    [sym_string_literal] = STATE(4206),
    [sym_null] = STATE(5024),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9352),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(5024),
    [sym_raw_string_literal] = STATE(4217),
    [sym_co_await_expression] = STATE(5024),
    [sym_new_expression] = STATE(5024),
    [sym_delete_expression] = STATE(5024),
    [sym_requires_clause] = STATE(5024),
    [sym_requires_expression] = STATE(5024),
    [sym_lambda_expression] = STATE(5024),
    [sym_lambda_capture_specifier] = STATE(7184),
    [sym_fold_expression] = STATE(5024),
    [sym_parameter_pack_expansion] = STATE(5024),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6886),
    [sym_qualified_identifier] = STATE(4737),
    [sym_qualified_type_identifier] = STATE(9352),
    [sym_user_defined_literal] = STATE(4737),
    [sym_identifier] = ACTIONS(4502),
    [anon_sym_LPAREN2] = ACTIONS(4540),
    [anon_sym_BANG] = ACTIONS(4506),
    [anon_sym_TILDE] = ACTIONS(4506),
    [anon_sym_DASH] = ACTIONS(4504),
    [anon_sym_PLUS] = ACTIONS(4504),
    [anon_sym_STAR] = ACTIONS(1474),
    [anon_sym_AMP] = ACTIONS(1474),
    [anon_sym_COLON_COLON] = ACTIONS(4508),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [sym_primitive_type] = ACTIONS(3146),
    [anon_sym_not] = ACTIONS(4504),
    [anon_sym_compl] = ACTIONS(4504),
    [anon_sym_DASH_DASH] = ACTIONS(4544),
    [anon_sym_PLUS_PLUS] = ACTIONS(4544),
    [anon_sym_sizeof] = ACTIONS(4510),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(4512),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(4514),
    [anon_sym_new] = ACTIONS(4516),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [2310] = {
    [sym__expression] = STATE(5569),
    [sym__expression_not_binary] = STATE(5024),
    [sym__string] = STATE(5024),
    [sym_conditional_expression] = STATE(5024),
    [sym_assignment_expression] = STATE(5024),
    [sym_pointer_expression] = STATE(4607),
    [sym_unary_expression] = STATE(5024),
    [sym_binary_expression] = STATE(5024),
    [sym_update_expression] = STATE(5024),
    [sym_cast_expression] = STATE(5024),
    [sym_sizeof_expression] = STATE(5024),
    [sym_alignof_expression] = STATE(5024),
    [sym_offsetof_expression] = STATE(5024),
    [sym_generic_expression] = STATE(5024),
    [sym_subscript_expression] = STATE(4607),
    [sym_call_expression] = STATE(4607),
    [sym_gnu_asm_expression] = STATE(5024),
    [sym_field_expression] = STATE(4607),
    [sym_compound_literal_expression] = STATE(5024),
    [sym_parenthesized_expression] = STATE(4607),
    [sym_char_literal] = STATE(5726),
    [sym_concatenated_string] = STATE(5682),
    [sym_string_literal] = STATE(4827),
    [sym_null] = STATE(5024),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9352),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(5024),
    [sym_raw_string_literal] = STATE(4829),
    [sym_co_await_expression] = STATE(5024),
    [sym_new_expression] = STATE(5024),
    [sym_delete_expression] = STATE(5024),
    [sym_requires_clause] = STATE(5024),
    [sym_requires_expression] = STATE(5024),
    [sym_lambda_expression] = STATE(5024),
    [sym_lambda_capture_specifier] = STATE(7184),
    [sym_fold_expression] = STATE(5024),
    [sym_parameter_pack_expansion] = STATE(5024),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6886),
    [sym_qualified_identifier] = STATE(4607),
    [sym_qualified_type_identifier] = STATE(9352),
    [sym_user_defined_literal] = STATE(4607),
    [sym_identifier] = ACTIONS(4478),
    [anon_sym_LPAREN2] = ACTIONS(5015),
    [anon_sym_BANG] = ACTIONS(4482),
    [anon_sym_TILDE] = ACTIONS(4482),
    [anon_sym_DASH] = ACTIONS(4480),
    [anon_sym_PLUS] = ACTIONS(4480),
    [anon_sym_STAR] = ACTIONS(5017),
    [anon_sym_AMP] = ACTIONS(5017),
    [anon_sym_COLON_COLON] = ACTIONS(4484),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [sym_primitive_type] = ACTIONS(3146),
    [anon_sym_not] = ACTIONS(4480),
    [anon_sym_compl] = ACTIONS(4480),
    [anon_sym_DASH_DASH] = ACTIONS(5021),
    [anon_sym_PLUS_PLUS] = ACTIONS(5021),
    [anon_sym_sizeof] = ACTIONS(4486),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(4488),
    [anon_sym_L_SQUOTE] = ACTIONS(4490),
    [anon_sym_u_SQUOTE] = ACTIONS(4490),
    [anon_sym_U_SQUOTE] = ACTIONS(4490),
    [anon_sym_u8_SQUOTE] = ACTIONS(4490),
    [anon_sym_SQUOTE] = ACTIONS(4490),
    [anon_sym_L_DQUOTE] = ACTIONS(4492),
    [anon_sym_u_DQUOTE] = ACTIONS(4492),
    [anon_sym_U_DQUOTE] = ACTIONS(4492),
    [anon_sym_u8_DQUOTE] = ACTIONS(4492),
    [anon_sym_DQUOTE] = ACTIONS(4492),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(4494),
    [anon_sym_R_DQUOTE] = ACTIONS(4496),
    [anon_sym_LR_DQUOTE] = ACTIONS(4496),
    [anon_sym_uR_DQUOTE] = ACTIONS(4496),
    [anon_sym_UR_DQUOTE] = ACTIONS(4496),
    [anon_sym_u8R_DQUOTE] = ACTIONS(4496),
    [anon_sym_co_await] = ACTIONS(4498),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [2311] = {
    [sym__expression] = STATE(4918),
    [sym__expression_not_binary] = STATE(5024),
    [sym__string] = STATE(5024),
    [sym_conditional_expression] = STATE(5024),
    [sym_assignment_expression] = STATE(5024),
    [sym_pointer_expression] = STATE(4607),
    [sym_unary_expression] = STATE(5024),
    [sym_binary_expression] = STATE(5024),
    [sym_update_expression] = STATE(5024),
    [sym_cast_expression] = STATE(5024),
    [sym_sizeof_expression] = STATE(5024),
    [sym_alignof_expression] = STATE(5024),
    [sym_offsetof_expression] = STATE(5024),
    [sym_generic_expression] = STATE(5024),
    [sym_subscript_expression] = STATE(4607),
    [sym_call_expression] = STATE(4607),
    [sym_gnu_asm_expression] = STATE(5024),
    [sym_field_expression] = STATE(4607),
    [sym_compound_literal_expression] = STATE(5024),
    [sym_parenthesized_expression] = STATE(4607),
    [sym_char_literal] = STATE(5726),
    [sym_concatenated_string] = STATE(5682),
    [sym_string_literal] = STATE(4827),
    [sym_null] = STATE(5024),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9352),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(5024),
    [sym_raw_string_literal] = STATE(4829),
    [sym_co_await_expression] = STATE(5024),
    [sym_new_expression] = STATE(5024),
    [sym_delete_expression] = STATE(5024),
    [sym_requires_clause] = STATE(5024),
    [sym_requires_expression] = STATE(5024),
    [sym_lambda_expression] = STATE(5024),
    [sym_lambda_capture_specifier] = STATE(7184),
    [sym_fold_expression] = STATE(5024),
    [sym_parameter_pack_expansion] = STATE(5024),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6886),
    [sym_qualified_identifier] = STATE(4607),
    [sym_qualified_type_identifier] = STATE(9352),
    [sym_user_defined_literal] = STATE(4607),
    [sym_identifier] = ACTIONS(4478),
    [anon_sym_LPAREN2] = ACTIONS(5015),
    [anon_sym_BANG] = ACTIONS(4482),
    [anon_sym_TILDE] = ACTIONS(4482),
    [anon_sym_DASH] = ACTIONS(4480),
    [anon_sym_PLUS] = ACTIONS(4480),
    [anon_sym_STAR] = ACTIONS(5017),
    [anon_sym_AMP] = ACTIONS(5017),
    [anon_sym_COLON_COLON] = ACTIONS(4484),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [sym_primitive_type] = ACTIONS(3146),
    [anon_sym_not] = ACTIONS(4480),
    [anon_sym_compl] = ACTIONS(4480),
    [anon_sym_DASH_DASH] = ACTIONS(5021),
    [anon_sym_PLUS_PLUS] = ACTIONS(5021),
    [anon_sym_sizeof] = ACTIONS(4486),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(4488),
    [anon_sym_L_SQUOTE] = ACTIONS(4490),
    [anon_sym_u_SQUOTE] = ACTIONS(4490),
    [anon_sym_U_SQUOTE] = ACTIONS(4490),
    [anon_sym_u8_SQUOTE] = ACTIONS(4490),
    [anon_sym_SQUOTE] = ACTIONS(4490),
    [anon_sym_L_DQUOTE] = ACTIONS(4492),
    [anon_sym_u_DQUOTE] = ACTIONS(4492),
    [anon_sym_U_DQUOTE] = ACTIONS(4492),
    [anon_sym_u8_DQUOTE] = ACTIONS(4492),
    [anon_sym_DQUOTE] = ACTIONS(4492),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(4494),
    [anon_sym_R_DQUOTE] = ACTIONS(4496),
    [anon_sym_LR_DQUOTE] = ACTIONS(4496),
    [anon_sym_uR_DQUOTE] = ACTIONS(4496),
    [anon_sym_UR_DQUOTE] = ACTIONS(4496),
    [anon_sym_u8R_DQUOTE] = ACTIONS(4496),
    [anon_sym_co_await] = ACTIONS(4498),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [2312] = {
    [sym__expression] = STATE(5451),
    [sym__expression_not_binary] = STATE(5024),
    [sym__string] = STATE(5024),
    [sym_conditional_expression] = STATE(5024),
    [sym_assignment_expression] = STATE(5024),
    [sym_pointer_expression] = STATE(4507),
    [sym_unary_expression] = STATE(5024),
    [sym_binary_expression] = STATE(5024),
    [sym_update_expression] = STATE(5024),
    [sym_cast_expression] = STATE(5024),
    [sym_sizeof_expression] = STATE(5024),
    [sym_alignof_expression] = STATE(5024),
    [sym_offsetof_expression] = STATE(5024),
    [sym_generic_expression] = STATE(5024),
    [sym_subscript_expression] = STATE(4507),
    [sym_call_expression] = STATE(4507),
    [sym_gnu_asm_expression] = STATE(5024),
    [sym_field_expression] = STATE(4507),
    [sym_compound_literal_expression] = STATE(5024),
    [sym_parenthesized_expression] = STATE(4507),
    [sym_char_literal] = STATE(5374),
    [sym_concatenated_string] = STATE(5377),
    [sym_string_literal] = STATE(4206),
    [sym_null] = STATE(5024),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9352),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(5024),
    [sym_raw_string_literal] = STATE(4217),
    [sym_co_await_expression] = STATE(5024),
    [sym_new_expression] = STATE(5024),
    [sym_delete_expression] = STATE(5024),
    [sym_requires_clause] = STATE(5024),
    [sym_requires_expression] = STATE(5024),
    [sym_lambda_expression] = STATE(5024),
    [sym_lambda_capture_specifier] = STATE(7184),
    [sym_fold_expression] = STATE(5024),
    [sym_parameter_pack_expansion] = STATE(5024),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6886),
    [sym_qualified_identifier] = STATE(4507),
    [sym_qualified_type_identifier] = STATE(9352),
    [sym_user_defined_literal] = STATE(4507),
    [sym_identifier] = ACTIONS(3140),
    [anon_sym_LPAREN2] = ACTIONS(1472),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1474),
    [anon_sym_AMP] = ACTIONS(1474),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [sym_primitive_type] = ACTIONS(3146),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [2313] = {
    [sym__expression] = STATE(4033),
    [sym__expression_not_binary] = STATE(4307),
    [sym__string] = STATE(4307),
    [sym_conditional_expression] = STATE(4307),
    [sym_assignment_expression] = STATE(4307),
    [sym_pointer_expression] = STATE(4307),
    [sym_unary_expression] = STATE(4307),
    [sym_binary_expression] = STATE(4307),
    [sym_update_expression] = STATE(4307),
    [sym_cast_expression] = STATE(4307),
    [sym_sizeof_expression] = STATE(4307),
    [sym_alignof_expression] = STATE(4307),
    [sym_offsetof_expression] = STATE(4307),
    [sym_generic_expression] = STATE(4307),
    [sym_subscript_expression] = STATE(4307),
    [sym_call_expression] = STATE(4307),
    [sym_gnu_asm_expression] = STATE(4307),
    [sym_field_expression] = STATE(4307),
    [sym_compound_literal_expression] = STATE(4307),
    [sym_parenthesized_expression] = STATE(4307),
    [sym_char_literal] = STATE(4093),
    [sym_concatenated_string] = STATE(4159),
    [sym_string_literal] = STATE(3328),
    [sym_null] = STATE(4307),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9053),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(4307),
    [sym_raw_string_literal] = STATE(3294),
    [sym_co_await_expression] = STATE(4307),
    [sym_new_expression] = STATE(4307),
    [sym_delete_expression] = STATE(4307),
    [sym_requires_clause] = STATE(4307),
    [sym_requires_expression] = STATE(4307),
    [sym_lambda_expression] = STATE(4307),
    [sym_lambda_capture_specifier] = STATE(7183),
    [sym_fold_expression] = STATE(4307),
    [sym_parameter_pack_expansion] = STATE(4307),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6962),
    [sym_qualified_identifier] = STATE(4307),
    [sym_qualified_type_identifier] = STATE(9053),
    [sym_user_defined_literal] = STATE(4307),
    [sym_identifier] = ACTIONS(5051),
    [anon_sym_LPAREN2] = ACTIONS(5204),
    [anon_sym_BANG] = ACTIONS(3994),
    [anon_sym_TILDE] = ACTIONS(3994),
    [anon_sym_DASH] = ACTIONS(3992),
    [anon_sym_PLUS] = ACTIONS(3992),
    [anon_sym_STAR] = ACTIONS(5202),
    [anon_sym_AMP] = ACTIONS(5202),
    [anon_sym_COLON_COLON] = ACTIONS(3996),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [sym_primitive_type] = ACTIONS(4000),
    [anon_sym_not] = ACTIONS(3992),
    [anon_sym_compl] = ACTIONS(3992),
    [anon_sym_DASH_DASH] = ACTIONS(5053),
    [anon_sym_PLUS_PLUS] = ACTIONS(5053),
    [anon_sym_sizeof] = ACTIONS(4002),
    [anon_sym___alignof__] = ACTIONS(4004),
    [anon_sym___alignof] = ACTIONS(4004),
    [anon_sym__alignof] = ACTIONS(4004),
    [anon_sym_alignof] = ACTIONS(4004),
    [anon_sym__Alignof] = ACTIONS(4004),
    [anon_sym_offsetof] = ACTIONS(4006),
    [anon_sym__Generic] = ACTIONS(4008),
    [anon_sym_asm] = ACTIONS(4010),
    [anon_sym___asm__] = ACTIONS(4010),
    [sym_number_literal] = ACTIONS(4012),
    [anon_sym_L_SQUOTE] = ACTIONS(4014),
    [anon_sym_u_SQUOTE] = ACTIONS(4014),
    [anon_sym_U_SQUOTE] = ACTIONS(4014),
    [anon_sym_u8_SQUOTE] = ACTIONS(4014),
    [anon_sym_SQUOTE] = ACTIONS(4014),
    [anon_sym_L_DQUOTE] = ACTIONS(4016),
    [anon_sym_u_DQUOTE] = ACTIONS(4016),
    [anon_sym_U_DQUOTE] = ACTIONS(4016),
    [anon_sym_u8_DQUOTE] = ACTIONS(4016),
    [anon_sym_DQUOTE] = ACTIONS(4016),
    [sym_true] = ACTIONS(4018),
    [sym_false] = ACTIONS(4018),
    [anon_sym_NULL] = ACTIONS(4020),
    [anon_sym_nullptr] = ACTIONS(4020),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(4022),
    [anon_sym_R_DQUOTE] = ACTIONS(4024),
    [anon_sym_LR_DQUOTE] = ACTIONS(4024),
    [anon_sym_uR_DQUOTE] = ACTIONS(4024),
    [anon_sym_UR_DQUOTE] = ACTIONS(4024),
    [anon_sym_u8R_DQUOTE] = ACTIONS(4024),
    [anon_sym_co_await] = ACTIONS(4026),
    [anon_sym_new] = ACTIONS(4028),
    [anon_sym_requires] = ACTIONS(4030),
    [sym_this] = ACTIONS(4018),
  },
  [2314] = {
    [sym__expression] = STATE(4056),
    [sym__expression_not_binary] = STATE(4307),
    [sym__string] = STATE(4307),
    [sym_conditional_expression] = STATE(4307),
    [sym_assignment_expression] = STATE(4307),
    [sym_pointer_expression] = STATE(4307),
    [sym_unary_expression] = STATE(4307),
    [sym_binary_expression] = STATE(4307),
    [sym_update_expression] = STATE(4307),
    [sym_cast_expression] = STATE(4307),
    [sym_sizeof_expression] = STATE(4307),
    [sym_alignof_expression] = STATE(4307),
    [sym_offsetof_expression] = STATE(4307),
    [sym_generic_expression] = STATE(4307),
    [sym_subscript_expression] = STATE(4307),
    [sym_call_expression] = STATE(4307),
    [sym_gnu_asm_expression] = STATE(4307),
    [sym_field_expression] = STATE(4307),
    [sym_compound_literal_expression] = STATE(4307),
    [sym_parenthesized_expression] = STATE(4307),
    [sym_char_literal] = STATE(4093),
    [sym_concatenated_string] = STATE(4159),
    [sym_string_literal] = STATE(3328),
    [sym_null] = STATE(4307),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9053),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(4307),
    [sym_raw_string_literal] = STATE(3294),
    [sym_co_await_expression] = STATE(4307),
    [sym_new_expression] = STATE(4307),
    [sym_delete_expression] = STATE(4307),
    [sym_requires_clause] = STATE(4307),
    [sym_requires_expression] = STATE(4307),
    [sym_lambda_expression] = STATE(4307),
    [sym_lambda_capture_specifier] = STATE(7183),
    [sym_fold_expression] = STATE(4307),
    [sym_parameter_pack_expansion] = STATE(4307),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6962),
    [sym_qualified_identifier] = STATE(4307),
    [sym_qualified_type_identifier] = STATE(9053),
    [sym_user_defined_literal] = STATE(4307),
    [sym_identifier] = ACTIONS(5051),
    [anon_sym_LPAREN2] = ACTIONS(5204),
    [anon_sym_BANG] = ACTIONS(3994),
    [anon_sym_TILDE] = ACTIONS(3994),
    [anon_sym_DASH] = ACTIONS(3992),
    [anon_sym_PLUS] = ACTIONS(3992),
    [anon_sym_STAR] = ACTIONS(5202),
    [anon_sym_AMP] = ACTIONS(5202),
    [anon_sym_COLON_COLON] = ACTIONS(3996),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [sym_primitive_type] = ACTIONS(4000),
    [anon_sym_not] = ACTIONS(3992),
    [anon_sym_compl] = ACTIONS(3992),
    [anon_sym_DASH_DASH] = ACTIONS(5053),
    [anon_sym_PLUS_PLUS] = ACTIONS(5053),
    [anon_sym_sizeof] = ACTIONS(4002),
    [anon_sym___alignof__] = ACTIONS(4004),
    [anon_sym___alignof] = ACTIONS(4004),
    [anon_sym__alignof] = ACTIONS(4004),
    [anon_sym_alignof] = ACTIONS(4004),
    [anon_sym__Alignof] = ACTIONS(4004),
    [anon_sym_offsetof] = ACTIONS(4006),
    [anon_sym__Generic] = ACTIONS(4008),
    [anon_sym_asm] = ACTIONS(4010),
    [anon_sym___asm__] = ACTIONS(4010),
    [sym_number_literal] = ACTIONS(4012),
    [anon_sym_L_SQUOTE] = ACTIONS(4014),
    [anon_sym_u_SQUOTE] = ACTIONS(4014),
    [anon_sym_U_SQUOTE] = ACTIONS(4014),
    [anon_sym_u8_SQUOTE] = ACTIONS(4014),
    [anon_sym_SQUOTE] = ACTIONS(4014),
    [anon_sym_L_DQUOTE] = ACTIONS(4016),
    [anon_sym_u_DQUOTE] = ACTIONS(4016),
    [anon_sym_U_DQUOTE] = ACTIONS(4016),
    [anon_sym_u8_DQUOTE] = ACTIONS(4016),
    [anon_sym_DQUOTE] = ACTIONS(4016),
    [sym_true] = ACTIONS(4018),
    [sym_false] = ACTIONS(4018),
    [anon_sym_NULL] = ACTIONS(4020),
    [anon_sym_nullptr] = ACTIONS(4020),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(4022),
    [anon_sym_R_DQUOTE] = ACTIONS(4024),
    [anon_sym_LR_DQUOTE] = ACTIONS(4024),
    [anon_sym_uR_DQUOTE] = ACTIONS(4024),
    [anon_sym_UR_DQUOTE] = ACTIONS(4024),
    [anon_sym_u8R_DQUOTE] = ACTIONS(4024),
    [anon_sym_co_await] = ACTIONS(4026),
    [anon_sym_new] = ACTIONS(4028),
    [anon_sym_requires] = ACTIONS(4030),
    [sym_this] = ACTIONS(4018),
  },
  [2315] = {
    [sym__expression] = STATE(4002),
    [sym__expression_not_binary] = STATE(4307),
    [sym__string] = STATE(4307),
    [sym_conditional_expression] = STATE(4307),
    [sym_assignment_expression] = STATE(4307),
    [sym_pointer_expression] = STATE(4307),
    [sym_unary_expression] = STATE(4307),
    [sym_binary_expression] = STATE(4307),
    [sym_update_expression] = STATE(4307),
    [sym_cast_expression] = STATE(4307),
    [sym_sizeof_expression] = STATE(4307),
    [sym_alignof_expression] = STATE(4307),
    [sym_offsetof_expression] = STATE(4307),
    [sym_generic_expression] = STATE(4307),
    [sym_subscript_expression] = STATE(4307),
    [sym_call_expression] = STATE(4307),
    [sym_gnu_asm_expression] = STATE(4307),
    [sym_field_expression] = STATE(4307),
    [sym_compound_literal_expression] = STATE(4307),
    [sym_parenthesized_expression] = STATE(4307),
    [sym_char_literal] = STATE(4093),
    [sym_concatenated_string] = STATE(4159),
    [sym_string_literal] = STATE(3328),
    [sym_null] = STATE(4307),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9053),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(4307),
    [sym_raw_string_literal] = STATE(3294),
    [sym_co_await_expression] = STATE(4307),
    [sym_new_expression] = STATE(4307),
    [sym_delete_expression] = STATE(4307),
    [sym_requires_clause] = STATE(4307),
    [sym_requires_expression] = STATE(4307),
    [sym_lambda_expression] = STATE(4307),
    [sym_lambda_capture_specifier] = STATE(7183),
    [sym_fold_expression] = STATE(4307),
    [sym_parameter_pack_expansion] = STATE(4307),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6962),
    [sym_qualified_identifier] = STATE(4307),
    [sym_qualified_type_identifier] = STATE(9053),
    [sym_user_defined_literal] = STATE(4307),
    [sym_identifier] = ACTIONS(5051),
    [anon_sym_LPAREN2] = ACTIONS(5204),
    [anon_sym_BANG] = ACTIONS(3994),
    [anon_sym_TILDE] = ACTIONS(3994),
    [anon_sym_DASH] = ACTIONS(3992),
    [anon_sym_PLUS] = ACTIONS(3992),
    [anon_sym_STAR] = ACTIONS(5202),
    [anon_sym_AMP] = ACTIONS(5202),
    [anon_sym_COLON_COLON] = ACTIONS(3996),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [sym_primitive_type] = ACTIONS(4000),
    [anon_sym_not] = ACTIONS(3992),
    [anon_sym_compl] = ACTIONS(3992),
    [anon_sym_DASH_DASH] = ACTIONS(5053),
    [anon_sym_PLUS_PLUS] = ACTIONS(5053),
    [anon_sym_sizeof] = ACTIONS(4002),
    [anon_sym___alignof__] = ACTIONS(4004),
    [anon_sym___alignof] = ACTIONS(4004),
    [anon_sym__alignof] = ACTIONS(4004),
    [anon_sym_alignof] = ACTIONS(4004),
    [anon_sym__Alignof] = ACTIONS(4004),
    [anon_sym_offsetof] = ACTIONS(4006),
    [anon_sym__Generic] = ACTIONS(4008),
    [anon_sym_asm] = ACTIONS(4010),
    [anon_sym___asm__] = ACTIONS(4010),
    [sym_number_literal] = ACTIONS(4012),
    [anon_sym_L_SQUOTE] = ACTIONS(4014),
    [anon_sym_u_SQUOTE] = ACTIONS(4014),
    [anon_sym_U_SQUOTE] = ACTIONS(4014),
    [anon_sym_u8_SQUOTE] = ACTIONS(4014),
    [anon_sym_SQUOTE] = ACTIONS(4014),
    [anon_sym_L_DQUOTE] = ACTIONS(4016),
    [anon_sym_u_DQUOTE] = ACTIONS(4016),
    [anon_sym_U_DQUOTE] = ACTIONS(4016),
    [anon_sym_u8_DQUOTE] = ACTIONS(4016),
    [anon_sym_DQUOTE] = ACTIONS(4016),
    [sym_true] = ACTIONS(4018),
    [sym_false] = ACTIONS(4018),
    [anon_sym_NULL] = ACTIONS(4020),
    [anon_sym_nullptr] = ACTIONS(4020),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(4022),
    [anon_sym_R_DQUOTE] = ACTIONS(4024),
    [anon_sym_LR_DQUOTE] = ACTIONS(4024),
    [anon_sym_uR_DQUOTE] = ACTIONS(4024),
    [anon_sym_UR_DQUOTE] = ACTIONS(4024),
    [anon_sym_u8R_DQUOTE] = ACTIONS(4024),
    [anon_sym_co_await] = ACTIONS(4026),
    [anon_sym_new] = ACTIONS(4028),
    [anon_sym_requires] = ACTIONS(4030),
    [sym_this] = ACTIONS(4018),
  },
  [2316] = {
    [sym__expression] = STATE(4036),
    [sym__expression_not_binary] = STATE(4307),
    [sym__string] = STATE(4307),
    [sym_conditional_expression] = STATE(4307),
    [sym_assignment_expression] = STATE(4307),
    [sym_pointer_expression] = STATE(4307),
    [sym_unary_expression] = STATE(4307),
    [sym_binary_expression] = STATE(4307),
    [sym_update_expression] = STATE(4307),
    [sym_cast_expression] = STATE(4307),
    [sym_sizeof_expression] = STATE(4307),
    [sym_alignof_expression] = STATE(4307),
    [sym_offsetof_expression] = STATE(4307),
    [sym_generic_expression] = STATE(4307),
    [sym_subscript_expression] = STATE(4307),
    [sym_call_expression] = STATE(4307),
    [sym_gnu_asm_expression] = STATE(4307),
    [sym_field_expression] = STATE(4307),
    [sym_compound_literal_expression] = STATE(4307),
    [sym_parenthesized_expression] = STATE(4307),
    [sym_char_literal] = STATE(4093),
    [sym_concatenated_string] = STATE(4159),
    [sym_string_literal] = STATE(3328),
    [sym_null] = STATE(4307),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9053),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(4307),
    [sym_raw_string_literal] = STATE(3294),
    [sym_co_await_expression] = STATE(4307),
    [sym_new_expression] = STATE(4307),
    [sym_delete_expression] = STATE(4307),
    [sym_requires_clause] = STATE(4307),
    [sym_requires_expression] = STATE(4307),
    [sym_lambda_expression] = STATE(4307),
    [sym_lambda_capture_specifier] = STATE(7183),
    [sym_fold_expression] = STATE(4307),
    [sym_parameter_pack_expansion] = STATE(4307),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6962),
    [sym_qualified_identifier] = STATE(4307),
    [sym_qualified_type_identifier] = STATE(9053),
    [sym_user_defined_literal] = STATE(4307),
    [sym_identifier] = ACTIONS(5051),
    [anon_sym_LPAREN2] = ACTIONS(5204),
    [anon_sym_BANG] = ACTIONS(3994),
    [anon_sym_TILDE] = ACTIONS(3994),
    [anon_sym_DASH] = ACTIONS(3992),
    [anon_sym_PLUS] = ACTIONS(3992),
    [anon_sym_STAR] = ACTIONS(5202),
    [anon_sym_AMP] = ACTIONS(5202),
    [anon_sym_COLON_COLON] = ACTIONS(3996),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [sym_primitive_type] = ACTIONS(4000),
    [anon_sym_not] = ACTIONS(3992),
    [anon_sym_compl] = ACTIONS(3992),
    [anon_sym_DASH_DASH] = ACTIONS(5053),
    [anon_sym_PLUS_PLUS] = ACTIONS(5053),
    [anon_sym_sizeof] = ACTIONS(4002),
    [anon_sym___alignof__] = ACTIONS(4004),
    [anon_sym___alignof] = ACTIONS(4004),
    [anon_sym__alignof] = ACTIONS(4004),
    [anon_sym_alignof] = ACTIONS(4004),
    [anon_sym__Alignof] = ACTIONS(4004),
    [anon_sym_offsetof] = ACTIONS(4006),
    [anon_sym__Generic] = ACTIONS(4008),
    [anon_sym_asm] = ACTIONS(4010),
    [anon_sym___asm__] = ACTIONS(4010),
    [sym_number_literal] = ACTIONS(4012),
    [anon_sym_L_SQUOTE] = ACTIONS(4014),
    [anon_sym_u_SQUOTE] = ACTIONS(4014),
    [anon_sym_U_SQUOTE] = ACTIONS(4014),
    [anon_sym_u8_SQUOTE] = ACTIONS(4014),
    [anon_sym_SQUOTE] = ACTIONS(4014),
    [anon_sym_L_DQUOTE] = ACTIONS(4016),
    [anon_sym_u_DQUOTE] = ACTIONS(4016),
    [anon_sym_U_DQUOTE] = ACTIONS(4016),
    [anon_sym_u8_DQUOTE] = ACTIONS(4016),
    [anon_sym_DQUOTE] = ACTIONS(4016),
    [sym_true] = ACTIONS(4018),
    [sym_false] = ACTIONS(4018),
    [anon_sym_NULL] = ACTIONS(4020),
    [anon_sym_nullptr] = ACTIONS(4020),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(4022),
    [anon_sym_R_DQUOTE] = ACTIONS(4024),
    [anon_sym_LR_DQUOTE] = ACTIONS(4024),
    [anon_sym_uR_DQUOTE] = ACTIONS(4024),
    [anon_sym_UR_DQUOTE] = ACTIONS(4024),
    [anon_sym_u8R_DQUOTE] = ACTIONS(4024),
    [anon_sym_co_await] = ACTIONS(4026),
    [anon_sym_new] = ACTIONS(4028),
    [anon_sym_requires] = ACTIONS(4030),
    [sym_this] = ACTIONS(4018),
  },
  [2317] = {
    [sym__expression] = STATE(5662),
    [sym__expression_not_binary] = STATE(5024),
    [sym__string] = STATE(5024),
    [sym_conditional_expression] = STATE(5024),
    [sym_assignment_expression] = STATE(5024),
    [sym_pointer_expression] = STATE(4507),
    [sym_unary_expression] = STATE(5024),
    [sym_binary_expression] = STATE(5024),
    [sym_update_expression] = STATE(5024),
    [sym_cast_expression] = STATE(5024),
    [sym_sizeof_expression] = STATE(5024),
    [sym_alignof_expression] = STATE(5024),
    [sym_offsetof_expression] = STATE(5024),
    [sym_generic_expression] = STATE(5024),
    [sym_subscript_expression] = STATE(4507),
    [sym_call_expression] = STATE(4507),
    [sym_gnu_asm_expression] = STATE(5024),
    [sym_field_expression] = STATE(4507),
    [sym_compound_literal_expression] = STATE(5024),
    [sym_parenthesized_expression] = STATE(4507),
    [sym_char_literal] = STATE(5374),
    [sym_concatenated_string] = STATE(5377),
    [sym_string_literal] = STATE(4206),
    [sym_null] = STATE(5024),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9352),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(5024),
    [sym_raw_string_literal] = STATE(4217),
    [sym_co_await_expression] = STATE(5024),
    [sym_new_expression] = STATE(5024),
    [sym_delete_expression] = STATE(5024),
    [sym_requires_clause] = STATE(5024),
    [sym_requires_expression] = STATE(5024),
    [sym_lambda_expression] = STATE(5024),
    [sym_lambda_capture_specifier] = STATE(7184),
    [sym_fold_expression] = STATE(5024),
    [sym_parameter_pack_expansion] = STATE(5024),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6886),
    [sym_qualified_identifier] = STATE(4507),
    [sym_qualified_type_identifier] = STATE(9352),
    [sym_user_defined_literal] = STATE(4507),
    [sym_identifier] = ACTIONS(3140),
    [anon_sym_LPAREN2] = ACTIONS(1472),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1474),
    [anon_sym_AMP] = ACTIONS(1474),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [sym_primitive_type] = ACTIONS(3146),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [2318] = {
    [sym__expression] = STATE(5826),
    [sym__expression_not_binary] = STATE(5024),
    [sym__string] = STATE(5024),
    [sym_conditional_expression] = STATE(5024),
    [sym_assignment_expression] = STATE(5024),
    [sym_pointer_expression] = STATE(4507),
    [sym_unary_expression] = STATE(5024),
    [sym_binary_expression] = STATE(5024),
    [sym_update_expression] = STATE(5024),
    [sym_cast_expression] = STATE(5024),
    [sym_sizeof_expression] = STATE(5024),
    [sym_alignof_expression] = STATE(5024),
    [sym_offsetof_expression] = STATE(5024),
    [sym_generic_expression] = STATE(5024),
    [sym_subscript_expression] = STATE(4507),
    [sym_call_expression] = STATE(4507),
    [sym_gnu_asm_expression] = STATE(5024),
    [sym_field_expression] = STATE(4507),
    [sym_compound_literal_expression] = STATE(5024),
    [sym_parenthesized_expression] = STATE(4507),
    [sym_char_literal] = STATE(5374),
    [sym_concatenated_string] = STATE(5377),
    [sym_string_literal] = STATE(4206),
    [sym_null] = STATE(5024),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9352),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(5024),
    [sym_raw_string_literal] = STATE(4217),
    [sym_co_await_expression] = STATE(5024),
    [sym_new_expression] = STATE(5024),
    [sym_delete_expression] = STATE(5024),
    [sym_requires_clause] = STATE(5024),
    [sym_requires_expression] = STATE(5024),
    [sym_lambda_expression] = STATE(5024),
    [sym_lambda_capture_specifier] = STATE(7184),
    [sym_fold_expression] = STATE(5024),
    [sym_parameter_pack_expansion] = STATE(5024),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6886),
    [sym_qualified_identifier] = STATE(4507),
    [sym_qualified_type_identifier] = STATE(9352),
    [sym_user_defined_literal] = STATE(4507),
    [sym_identifier] = ACTIONS(3140),
    [anon_sym_LPAREN2] = ACTIONS(1472),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1474),
    [anon_sym_AMP] = ACTIONS(1474),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [sym_primitive_type] = ACTIONS(3146),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [2319] = {
    [sym__expression] = STATE(5359),
    [sym__expression_not_binary] = STATE(5575),
    [sym__string] = STATE(5575),
    [sym_conditional_expression] = STATE(5575),
    [sym_assignment_expression] = STATE(5575),
    [sym_pointer_expression] = STATE(4218),
    [sym_unary_expression] = STATE(5575),
    [sym_binary_expression] = STATE(5575),
    [sym_update_expression] = STATE(5575),
    [sym_cast_expression] = STATE(5575),
    [sym_sizeof_expression] = STATE(5575),
    [sym_alignof_expression] = STATE(5575),
    [sym_offsetof_expression] = STATE(5575),
    [sym_generic_expression] = STATE(5575),
    [sym_subscript_expression] = STATE(4218),
    [sym_call_expression] = STATE(4218),
    [sym_gnu_asm_expression] = STATE(5575),
    [sym_field_expression] = STATE(4218),
    [sym_compound_literal_expression] = STATE(5575),
    [sym_parenthesized_expression] = STATE(4218),
    [sym_char_literal] = STATE(5388),
    [sym_concatenated_string] = STATE(5429),
    [sym_string_literal] = STATE(4410),
    [sym_null] = STATE(5575),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9045),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(5575),
    [sym_raw_string_literal] = STATE(4411),
    [sym_co_await_expression] = STATE(5575),
    [sym_new_expression] = STATE(5575),
    [sym_delete_expression] = STATE(5575),
    [sym_requires_clause] = STATE(5575),
    [sym_requires_expression] = STATE(5575),
    [sym_lambda_expression] = STATE(5575),
    [sym_lambda_capture_specifier] = STATE(7089),
    [sym_fold_expression] = STATE(5575),
    [sym_parameter_pack_expansion] = STATE(5575),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6962),
    [sym_qualified_identifier] = STATE(4218),
    [sym_qualified_type_identifier] = STATE(9045),
    [sym_user_defined_literal] = STATE(4218),
    [sym_identifier] = ACTIONS(5081),
    [anon_sym_LPAREN2] = ACTIONS(5200),
    [anon_sym_BANG] = ACTIONS(4431),
    [anon_sym_TILDE] = ACTIONS(4431),
    [anon_sym_DASH] = ACTIONS(4429),
    [anon_sym_PLUS] = ACTIONS(4429),
    [anon_sym_STAR] = ACTIONS(5202),
    [anon_sym_AMP] = ACTIONS(5202),
    [anon_sym_COLON_COLON] = ACTIONS(4433),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [sym_primitive_type] = ACTIONS(4437),
    [anon_sym_not] = ACTIONS(4429),
    [anon_sym_compl] = ACTIONS(4429),
    [anon_sym_DASH_DASH] = ACTIONS(5083),
    [anon_sym_PLUS_PLUS] = ACTIONS(5083),
    [anon_sym_sizeof] = ACTIONS(4439),
    [anon_sym___alignof__] = ACTIONS(4441),
    [anon_sym___alignof] = ACTIONS(4441),
    [anon_sym__alignof] = ACTIONS(4441),
    [anon_sym_alignof] = ACTIONS(4441),
    [anon_sym__Alignof] = ACTIONS(4441),
    [anon_sym_offsetof] = ACTIONS(4443),
    [anon_sym__Generic] = ACTIONS(4445),
    [anon_sym_asm] = ACTIONS(4447),
    [anon_sym___asm__] = ACTIONS(4447),
    [sym_number_literal] = ACTIONS(4449),
    [anon_sym_L_SQUOTE] = ACTIONS(4451),
    [anon_sym_u_SQUOTE] = ACTIONS(4451),
    [anon_sym_U_SQUOTE] = ACTIONS(4451),
    [anon_sym_u8_SQUOTE] = ACTIONS(4451),
    [anon_sym_SQUOTE] = ACTIONS(4451),
    [anon_sym_L_DQUOTE] = ACTIONS(4453),
    [anon_sym_u_DQUOTE] = ACTIONS(4453),
    [anon_sym_U_DQUOTE] = ACTIONS(4453),
    [anon_sym_u8_DQUOTE] = ACTIONS(4453),
    [anon_sym_DQUOTE] = ACTIONS(4453),
    [sym_true] = ACTIONS(4455),
    [sym_false] = ACTIONS(4455),
    [anon_sym_NULL] = ACTIONS(4457),
    [anon_sym_nullptr] = ACTIONS(4457),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(4459),
    [anon_sym_R_DQUOTE] = ACTIONS(4461),
    [anon_sym_LR_DQUOTE] = ACTIONS(4461),
    [anon_sym_uR_DQUOTE] = ACTIONS(4461),
    [anon_sym_UR_DQUOTE] = ACTIONS(4461),
    [anon_sym_u8R_DQUOTE] = ACTIONS(4461),
    [anon_sym_co_await] = ACTIONS(4463),
    [anon_sym_new] = ACTIONS(4465),
    [anon_sym_requires] = ACTIONS(4467),
    [sym_this] = ACTIONS(4455),
  },
  [2320] = {
    [sym__expression] = STATE(5941),
    [sym__expression_not_binary] = STATE(5024),
    [sym__string] = STATE(5024),
    [sym_conditional_expression] = STATE(5024),
    [sym_assignment_expression] = STATE(5024),
    [sym_pointer_expression] = STATE(4737),
    [sym_unary_expression] = STATE(5024),
    [sym_binary_expression] = STATE(5024),
    [sym_update_expression] = STATE(5024),
    [sym_cast_expression] = STATE(5024),
    [sym_sizeof_expression] = STATE(5024),
    [sym_alignof_expression] = STATE(5024),
    [sym_offsetof_expression] = STATE(5024),
    [sym_generic_expression] = STATE(5024),
    [sym_subscript_expression] = STATE(4737),
    [sym_call_expression] = STATE(4737),
    [sym_gnu_asm_expression] = STATE(5024),
    [sym_field_expression] = STATE(4737),
    [sym_compound_literal_expression] = STATE(5024),
    [sym_parenthesized_expression] = STATE(4737),
    [sym_char_literal] = STATE(5374),
    [sym_concatenated_string] = STATE(5377),
    [sym_string_literal] = STATE(4206),
    [sym_null] = STATE(5024),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9352),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(5024),
    [sym_raw_string_literal] = STATE(4217),
    [sym_co_await_expression] = STATE(5024),
    [sym_new_expression] = STATE(5024),
    [sym_delete_expression] = STATE(5024),
    [sym_requires_clause] = STATE(5024),
    [sym_requires_expression] = STATE(5024),
    [sym_lambda_expression] = STATE(5024),
    [sym_lambda_capture_specifier] = STATE(7184),
    [sym_fold_expression] = STATE(5024),
    [sym_parameter_pack_expansion] = STATE(5024),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6886),
    [sym_qualified_identifier] = STATE(4737),
    [sym_qualified_type_identifier] = STATE(9352),
    [sym_user_defined_literal] = STATE(4737),
    [sym_identifier] = ACTIONS(4502),
    [anon_sym_LPAREN2] = ACTIONS(4540),
    [anon_sym_BANG] = ACTIONS(4506),
    [anon_sym_TILDE] = ACTIONS(4506),
    [anon_sym_DASH] = ACTIONS(4504),
    [anon_sym_PLUS] = ACTIONS(4504),
    [anon_sym_STAR] = ACTIONS(1474),
    [anon_sym_AMP] = ACTIONS(1474),
    [anon_sym_COLON_COLON] = ACTIONS(4508),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [sym_primitive_type] = ACTIONS(3146),
    [anon_sym_not] = ACTIONS(4504),
    [anon_sym_compl] = ACTIONS(4504),
    [anon_sym_DASH_DASH] = ACTIONS(4544),
    [anon_sym_PLUS_PLUS] = ACTIONS(4544),
    [anon_sym_sizeof] = ACTIONS(4510),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(4512),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(4514),
    [anon_sym_new] = ACTIONS(4516),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [2321] = {
    [sym__expression] = STATE(4317),
    [sym__expression_not_binary] = STATE(4695),
    [sym__string] = STATE(4695),
    [sym_conditional_expression] = STATE(4695),
    [sym_assignment_expression] = STATE(4695),
    [sym_pointer_expression] = STATE(4695),
    [sym_unary_expression] = STATE(4695),
    [sym_binary_expression] = STATE(4695),
    [sym_update_expression] = STATE(4695),
    [sym_cast_expression] = STATE(4695),
    [sym_sizeof_expression] = STATE(4695),
    [sym_alignof_expression] = STATE(4695),
    [sym_offsetof_expression] = STATE(4695),
    [sym_generic_expression] = STATE(4695),
    [sym_subscript_expression] = STATE(4695),
    [sym_call_expression] = STATE(4695),
    [sym_gnu_asm_expression] = STATE(4695),
    [sym_field_expression] = STATE(4695),
    [sym_compound_literal_expression] = STATE(4695),
    [sym_parenthesized_expression] = STATE(4695),
    [sym_char_literal] = STATE(4427),
    [sym_concatenated_string] = STATE(4424),
    [sym_string_literal] = STATE(3398),
    [sym_null] = STATE(4695),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9425),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(4695),
    [sym_raw_string_literal] = STATE(3396),
    [sym_co_await_expression] = STATE(4695),
    [sym_new_expression] = STATE(4695),
    [sym_delete_expression] = STATE(4695),
    [sym_requires_clause] = STATE(4695),
    [sym_requires_expression] = STATE(4695),
    [sym_lambda_expression] = STATE(4695),
    [sym_lambda_capture_specifier] = STATE(7185),
    [sym_fold_expression] = STATE(4695),
    [sym_parameter_pack_expansion] = STATE(4695),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6899),
    [sym_qualified_identifier] = STATE(4695),
    [sym_qualified_type_identifier] = STATE(9425),
    [sym_user_defined_literal] = STATE(4695),
    [sym_identifier] = ACTIONS(4092),
    [anon_sym_LPAREN2] = ACTIONS(4188),
    [anon_sym_BANG] = ACTIONS(2532),
    [anon_sym_TILDE] = ACTIONS(2532),
    [anon_sym_DASH] = ACTIONS(2536),
    [anon_sym_PLUS] = ACTIONS(2536),
    [anon_sym_STAR] = ACTIONS(2116),
    [anon_sym_AMP] = ACTIONS(2116),
    [anon_sym_COLON_COLON] = ACTIONS(2542),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [sym_primitive_type] = ACTIONS(4096),
    [anon_sym_not] = ACTIONS(2536),
    [anon_sym_compl] = ACTIONS(2536),
    [anon_sym_DASH_DASH] = ACTIONS(2560),
    [anon_sym_PLUS_PLUS] = ACTIONS(2560),
    [anon_sym_sizeof] = ACTIONS(2562),
    [anon_sym___alignof__] = ACTIONS(2564),
    [anon_sym___alignof] = ACTIONS(2564),
    [anon_sym__alignof] = ACTIONS(2564),
    [anon_sym_alignof] = ACTIONS(2564),
    [anon_sym__Alignof] = ACTIONS(2564),
    [anon_sym_offsetof] = ACTIONS(2566),
    [anon_sym__Generic] = ACTIONS(2568),
    [anon_sym_asm] = ACTIONS(2570),
    [anon_sym___asm__] = ACTIONS(2570),
    [sym_number_literal] = ACTIONS(2572),
    [anon_sym_L_SQUOTE] = ACTIONS(2574),
    [anon_sym_u_SQUOTE] = ACTIONS(2574),
    [anon_sym_U_SQUOTE] = ACTIONS(2574),
    [anon_sym_u8_SQUOTE] = ACTIONS(2574),
    [anon_sym_SQUOTE] = ACTIONS(2574),
    [anon_sym_L_DQUOTE] = ACTIONS(2576),
    [anon_sym_u_DQUOTE] = ACTIONS(2576),
    [anon_sym_U_DQUOTE] = ACTIONS(2576),
    [anon_sym_u8_DQUOTE] = ACTIONS(2576),
    [anon_sym_DQUOTE] = ACTIONS(2576),
    [sym_true] = ACTIONS(2578),
    [sym_false] = ACTIONS(2578),
    [anon_sym_NULL] = ACTIONS(2580),
    [anon_sym_nullptr] = ACTIONS(2580),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(2590),
    [anon_sym_R_DQUOTE] = ACTIONS(2592),
    [anon_sym_LR_DQUOTE] = ACTIONS(2592),
    [anon_sym_uR_DQUOTE] = ACTIONS(2592),
    [anon_sym_UR_DQUOTE] = ACTIONS(2592),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2592),
    [anon_sym_co_await] = ACTIONS(2594),
    [anon_sym_new] = ACTIONS(2596),
    [anon_sym_requires] = ACTIONS(2598),
    [sym_this] = ACTIONS(2578),
  },
  [2322] = {
    [sym__expression] = STATE(3974),
    [sym__expression_not_binary] = STATE(3672),
    [sym__string] = STATE(3672),
    [sym_conditional_expression] = STATE(3672),
    [sym_assignment_expression] = STATE(3672),
    [sym_pointer_expression] = STATE(3672),
    [sym_unary_expression] = STATE(3672),
    [sym_binary_expression] = STATE(3672),
    [sym_update_expression] = STATE(3672),
    [sym_cast_expression] = STATE(3672),
    [sym_sizeof_expression] = STATE(3672),
    [sym_alignof_expression] = STATE(3672),
    [sym_offsetof_expression] = STATE(3672),
    [sym_generic_expression] = STATE(3672),
    [sym_subscript_expression] = STATE(3672),
    [sym_call_expression] = STATE(3672),
    [sym_gnu_asm_expression] = STATE(3672),
    [sym_field_expression] = STATE(3672),
    [sym_compound_literal_expression] = STATE(3672),
    [sym_parenthesized_expression] = STATE(3672),
    [sym_char_literal] = STATE(3991),
    [sym_concatenated_string] = STATE(3973),
    [sym_string_literal] = STATE(3242),
    [sym_null] = STATE(3672),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9333),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(3672),
    [sym_raw_string_literal] = STATE(3241),
    [sym_co_await_expression] = STATE(3672),
    [sym_new_expression] = STATE(3672),
    [sym_delete_expression] = STATE(3672),
    [sym_requires_clause] = STATE(3672),
    [sym_requires_expression] = STATE(3672),
    [sym_lambda_expression] = STATE(3672),
    [sym_lambda_capture_specifier] = STATE(7134),
    [sym_fold_expression] = STATE(3672),
    [sym_parameter_pack_expansion] = STATE(3672),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6886),
    [sym_qualified_identifier] = STATE(3672),
    [sym_qualified_type_identifier] = STATE(9333),
    [sym_user_defined_literal] = STATE(3672),
    [sym_identifier] = ACTIONS(3968),
    [anon_sym_LPAREN2] = ACTIONS(5219),
    [anon_sym_BANG] = ACTIONS(3972),
    [anon_sym_TILDE] = ACTIONS(3972),
    [anon_sym_DASH] = ACTIONS(3970),
    [anon_sym_PLUS] = ACTIONS(3970),
    [anon_sym_STAR] = ACTIONS(1474),
    [anon_sym_AMP] = ACTIONS(1474),
    [anon_sym_COLON_COLON] = ACTIONS(3974),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [sym_primitive_type] = ACTIONS(3928),
    [anon_sym_not] = ACTIONS(3970),
    [anon_sym_compl] = ACTIONS(3970),
    [anon_sym_DASH_DASH] = ACTIONS(4385),
    [anon_sym_PLUS_PLUS] = ACTIONS(4385),
    [anon_sym_sizeof] = ACTIONS(3976),
    [anon_sym___alignof__] = ACTIONS(3932),
    [anon_sym___alignof] = ACTIONS(3932),
    [anon_sym__alignof] = ACTIONS(3932),
    [anon_sym_alignof] = ACTIONS(3932),
    [anon_sym__Alignof] = ACTIONS(3932),
    [anon_sym_offsetof] = ACTIONS(3934),
    [anon_sym__Generic] = ACTIONS(3936),
    [anon_sym_asm] = ACTIONS(3938),
    [anon_sym___asm__] = ACTIONS(3938),
    [sym_number_literal] = ACTIONS(3978),
    [anon_sym_L_SQUOTE] = ACTIONS(3980),
    [anon_sym_u_SQUOTE] = ACTIONS(3980),
    [anon_sym_U_SQUOTE] = ACTIONS(3980),
    [anon_sym_u8_SQUOTE] = ACTIONS(3980),
    [anon_sym_SQUOTE] = ACTIONS(3980),
    [anon_sym_L_DQUOTE] = ACTIONS(3982),
    [anon_sym_u_DQUOTE] = ACTIONS(3982),
    [anon_sym_U_DQUOTE] = ACTIONS(3982),
    [anon_sym_u8_DQUOTE] = ACTIONS(3982),
    [anon_sym_DQUOTE] = ACTIONS(3982),
    [sym_true] = ACTIONS(3946),
    [sym_false] = ACTIONS(3946),
    [anon_sym_NULL] = ACTIONS(3948),
    [anon_sym_nullptr] = ACTIONS(3948),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(3984),
    [anon_sym_R_DQUOTE] = ACTIONS(3986),
    [anon_sym_LR_DQUOTE] = ACTIONS(3986),
    [anon_sym_uR_DQUOTE] = ACTIONS(3986),
    [anon_sym_UR_DQUOTE] = ACTIONS(3986),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3986),
    [anon_sym_co_await] = ACTIONS(3988),
    [anon_sym_new] = ACTIONS(3990),
    [anon_sym_requires] = ACTIONS(3958),
    [sym_this] = ACTIONS(3946),
  },
  [2323] = {
    [sym__expression] = STATE(3976),
    [sym__expression_not_binary] = STATE(3672),
    [sym__string] = STATE(3672),
    [sym_conditional_expression] = STATE(3672),
    [sym_assignment_expression] = STATE(3672),
    [sym_pointer_expression] = STATE(3672),
    [sym_unary_expression] = STATE(3672),
    [sym_binary_expression] = STATE(3672),
    [sym_update_expression] = STATE(3672),
    [sym_cast_expression] = STATE(3672),
    [sym_sizeof_expression] = STATE(3672),
    [sym_alignof_expression] = STATE(3672),
    [sym_offsetof_expression] = STATE(3672),
    [sym_generic_expression] = STATE(3672),
    [sym_subscript_expression] = STATE(3672),
    [sym_call_expression] = STATE(3672),
    [sym_gnu_asm_expression] = STATE(3672),
    [sym_field_expression] = STATE(3672),
    [sym_compound_literal_expression] = STATE(3672),
    [sym_parenthesized_expression] = STATE(3672),
    [sym_char_literal] = STATE(3991),
    [sym_concatenated_string] = STATE(3973),
    [sym_string_literal] = STATE(3242),
    [sym_null] = STATE(3672),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9333),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(3672),
    [sym_raw_string_literal] = STATE(3241),
    [sym_co_await_expression] = STATE(3672),
    [sym_new_expression] = STATE(3672),
    [sym_delete_expression] = STATE(3672),
    [sym_requires_clause] = STATE(3672),
    [sym_requires_expression] = STATE(3672),
    [sym_lambda_expression] = STATE(3672),
    [sym_lambda_capture_specifier] = STATE(7134),
    [sym_fold_expression] = STATE(3672),
    [sym_parameter_pack_expansion] = STATE(3672),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6886),
    [sym_qualified_identifier] = STATE(3672),
    [sym_qualified_type_identifier] = STATE(9333),
    [sym_user_defined_literal] = STATE(3672),
    [sym_identifier] = ACTIONS(3968),
    [anon_sym_LPAREN2] = ACTIONS(5219),
    [anon_sym_BANG] = ACTIONS(3972),
    [anon_sym_TILDE] = ACTIONS(3972),
    [anon_sym_DASH] = ACTIONS(3970),
    [anon_sym_PLUS] = ACTIONS(3970),
    [anon_sym_STAR] = ACTIONS(1474),
    [anon_sym_AMP] = ACTIONS(1474),
    [anon_sym_COLON_COLON] = ACTIONS(3974),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [sym_primitive_type] = ACTIONS(3928),
    [anon_sym_not] = ACTIONS(3970),
    [anon_sym_compl] = ACTIONS(3970),
    [anon_sym_DASH_DASH] = ACTIONS(4385),
    [anon_sym_PLUS_PLUS] = ACTIONS(4385),
    [anon_sym_sizeof] = ACTIONS(3976),
    [anon_sym___alignof__] = ACTIONS(3932),
    [anon_sym___alignof] = ACTIONS(3932),
    [anon_sym__alignof] = ACTIONS(3932),
    [anon_sym_alignof] = ACTIONS(3932),
    [anon_sym__Alignof] = ACTIONS(3932),
    [anon_sym_offsetof] = ACTIONS(3934),
    [anon_sym__Generic] = ACTIONS(3936),
    [anon_sym_asm] = ACTIONS(3938),
    [anon_sym___asm__] = ACTIONS(3938),
    [sym_number_literal] = ACTIONS(3978),
    [anon_sym_L_SQUOTE] = ACTIONS(3980),
    [anon_sym_u_SQUOTE] = ACTIONS(3980),
    [anon_sym_U_SQUOTE] = ACTIONS(3980),
    [anon_sym_u8_SQUOTE] = ACTIONS(3980),
    [anon_sym_SQUOTE] = ACTIONS(3980),
    [anon_sym_L_DQUOTE] = ACTIONS(3982),
    [anon_sym_u_DQUOTE] = ACTIONS(3982),
    [anon_sym_U_DQUOTE] = ACTIONS(3982),
    [anon_sym_u8_DQUOTE] = ACTIONS(3982),
    [anon_sym_DQUOTE] = ACTIONS(3982),
    [sym_true] = ACTIONS(3946),
    [sym_false] = ACTIONS(3946),
    [anon_sym_NULL] = ACTIONS(3948),
    [anon_sym_nullptr] = ACTIONS(3948),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(3984),
    [anon_sym_R_DQUOTE] = ACTIONS(3986),
    [anon_sym_LR_DQUOTE] = ACTIONS(3986),
    [anon_sym_uR_DQUOTE] = ACTIONS(3986),
    [anon_sym_UR_DQUOTE] = ACTIONS(3986),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3986),
    [anon_sym_co_await] = ACTIONS(3988),
    [anon_sym_new] = ACTIONS(3990),
    [anon_sym_requires] = ACTIONS(3958),
    [sym_this] = ACTIONS(3946),
  },
  [2324] = {
    [sym__expression] = STATE(4044),
    [sym__expression_not_binary] = STATE(3672),
    [sym__string] = STATE(3672),
    [sym_conditional_expression] = STATE(3672),
    [sym_assignment_expression] = STATE(3672),
    [sym_pointer_expression] = STATE(3672),
    [sym_unary_expression] = STATE(3672),
    [sym_binary_expression] = STATE(3672),
    [sym_update_expression] = STATE(3672),
    [sym_cast_expression] = STATE(3672),
    [sym_sizeof_expression] = STATE(3672),
    [sym_alignof_expression] = STATE(3672),
    [sym_offsetof_expression] = STATE(3672),
    [sym_generic_expression] = STATE(3672),
    [sym_subscript_expression] = STATE(3672),
    [sym_call_expression] = STATE(3672),
    [sym_gnu_asm_expression] = STATE(3672),
    [sym_field_expression] = STATE(3672),
    [sym_compound_literal_expression] = STATE(3672),
    [sym_parenthesized_expression] = STATE(3672),
    [sym_char_literal] = STATE(3991),
    [sym_concatenated_string] = STATE(3973),
    [sym_string_literal] = STATE(3242),
    [sym_null] = STATE(3672),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9333),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(3672),
    [sym_raw_string_literal] = STATE(3241),
    [sym_co_await_expression] = STATE(3672),
    [sym_new_expression] = STATE(3672),
    [sym_delete_expression] = STATE(3672),
    [sym_requires_clause] = STATE(3672),
    [sym_requires_expression] = STATE(3672),
    [sym_lambda_expression] = STATE(3672),
    [sym_lambda_capture_specifier] = STATE(7134),
    [sym_fold_expression] = STATE(3672),
    [sym_parameter_pack_expansion] = STATE(3672),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6886),
    [sym_qualified_identifier] = STATE(3672),
    [sym_qualified_type_identifier] = STATE(9333),
    [sym_user_defined_literal] = STATE(3672),
    [sym_identifier] = ACTIONS(3968),
    [anon_sym_LPAREN2] = ACTIONS(5219),
    [anon_sym_BANG] = ACTIONS(3972),
    [anon_sym_TILDE] = ACTIONS(3972),
    [anon_sym_DASH] = ACTIONS(3970),
    [anon_sym_PLUS] = ACTIONS(3970),
    [anon_sym_STAR] = ACTIONS(1474),
    [anon_sym_AMP] = ACTIONS(1474),
    [anon_sym_COLON_COLON] = ACTIONS(3974),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [sym_primitive_type] = ACTIONS(3928),
    [anon_sym_not] = ACTIONS(3970),
    [anon_sym_compl] = ACTIONS(3970),
    [anon_sym_DASH_DASH] = ACTIONS(4385),
    [anon_sym_PLUS_PLUS] = ACTIONS(4385),
    [anon_sym_sizeof] = ACTIONS(3976),
    [anon_sym___alignof__] = ACTIONS(3932),
    [anon_sym___alignof] = ACTIONS(3932),
    [anon_sym__alignof] = ACTIONS(3932),
    [anon_sym_alignof] = ACTIONS(3932),
    [anon_sym__Alignof] = ACTIONS(3932),
    [anon_sym_offsetof] = ACTIONS(3934),
    [anon_sym__Generic] = ACTIONS(3936),
    [anon_sym_asm] = ACTIONS(3938),
    [anon_sym___asm__] = ACTIONS(3938),
    [sym_number_literal] = ACTIONS(3978),
    [anon_sym_L_SQUOTE] = ACTIONS(3980),
    [anon_sym_u_SQUOTE] = ACTIONS(3980),
    [anon_sym_U_SQUOTE] = ACTIONS(3980),
    [anon_sym_u8_SQUOTE] = ACTIONS(3980),
    [anon_sym_SQUOTE] = ACTIONS(3980),
    [anon_sym_L_DQUOTE] = ACTIONS(3982),
    [anon_sym_u_DQUOTE] = ACTIONS(3982),
    [anon_sym_U_DQUOTE] = ACTIONS(3982),
    [anon_sym_u8_DQUOTE] = ACTIONS(3982),
    [anon_sym_DQUOTE] = ACTIONS(3982),
    [sym_true] = ACTIONS(3946),
    [sym_false] = ACTIONS(3946),
    [anon_sym_NULL] = ACTIONS(3948),
    [anon_sym_nullptr] = ACTIONS(3948),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(3984),
    [anon_sym_R_DQUOTE] = ACTIONS(3986),
    [anon_sym_LR_DQUOTE] = ACTIONS(3986),
    [anon_sym_uR_DQUOTE] = ACTIONS(3986),
    [anon_sym_UR_DQUOTE] = ACTIONS(3986),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3986),
    [anon_sym_co_await] = ACTIONS(3988),
    [anon_sym_new] = ACTIONS(3990),
    [anon_sym_requires] = ACTIONS(3958),
    [sym_this] = ACTIONS(3946),
  },
  [2325] = {
    [sym__expression] = STATE(4080),
    [sym__expression_not_binary] = STATE(3672),
    [sym__string] = STATE(3672),
    [sym_conditional_expression] = STATE(3672),
    [sym_assignment_expression] = STATE(3672),
    [sym_pointer_expression] = STATE(3672),
    [sym_unary_expression] = STATE(3672),
    [sym_binary_expression] = STATE(3672),
    [sym_update_expression] = STATE(3672),
    [sym_cast_expression] = STATE(3672),
    [sym_sizeof_expression] = STATE(3672),
    [sym_alignof_expression] = STATE(3672),
    [sym_offsetof_expression] = STATE(3672),
    [sym_generic_expression] = STATE(3672),
    [sym_subscript_expression] = STATE(3672),
    [sym_call_expression] = STATE(3672),
    [sym_gnu_asm_expression] = STATE(3672),
    [sym_field_expression] = STATE(3672),
    [sym_compound_literal_expression] = STATE(3672),
    [sym_parenthesized_expression] = STATE(3672),
    [sym_char_literal] = STATE(3991),
    [sym_concatenated_string] = STATE(3973),
    [sym_string_literal] = STATE(3242),
    [sym_null] = STATE(3672),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9333),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(3672),
    [sym_raw_string_literal] = STATE(3241),
    [sym_co_await_expression] = STATE(3672),
    [sym_new_expression] = STATE(3672),
    [sym_delete_expression] = STATE(3672),
    [sym_requires_clause] = STATE(3672),
    [sym_requires_expression] = STATE(3672),
    [sym_lambda_expression] = STATE(3672),
    [sym_lambda_capture_specifier] = STATE(7134),
    [sym_fold_expression] = STATE(3672),
    [sym_parameter_pack_expansion] = STATE(3672),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6886),
    [sym_qualified_identifier] = STATE(3672),
    [sym_qualified_type_identifier] = STATE(9333),
    [sym_user_defined_literal] = STATE(3672),
    [sym_identifier] = ACTIONS(3968),
    [anon_sym_LPAREN2] = ACTIONS(5219),
    [anon_sym_BANG] = ACTIONS(3972),
    [anon_sym_TILDE] = ACTIONS(3972),
    [anon_sym_DASH] = ACTIONS(3970),
    [anon_sym_PLUS] = ACTIONS(3970),
    [anon_sym_STAR] = ACTIONS(1474),
    [anon_sym_AMP] = ACTIONS(1474),
    [anon_sym_COLON_COLON] = ACTIONS(3974),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [sym_primitive_type] = ACTIONS(3928),
    [anon_sym_not] = ACTIONS(3970),
    [anon_sym_compl] = ACTIONS(3970),
    [anon_sym_DASH_DASH] = ACTIONS(4385),
    [anon_sym_PLUS_PLUS] = ACTIONS(4385),
    [anon_sym_sizeof] = ACTIONS(3976),
    [anon_sym___alignof__] = ACTIONS(3932),
    [anon_sym___alignof] = ACTIONS(3932),
    [anon_sym__alignof] = ACTIONS(3932),
    [anon_sym_alignof] = ACTIONS(3932),
    [anon_sym__Alignof] = ACTIONS(3932),
    [anon_sym_offsetof] = ACTIONS(3934),
    [anon_sym__Generic] = ACTIONS(3936),
    [anon_sym_asm] = ACTIONS(3938),
    [anon_sym___asm__] = ACTIONS(3938),
    [sym_number_literal] = ACTIONS(3978),
    [anon_sym_L_SQUOTE] = ACTIONS(3980),
    [anon_sym_u_SQUOTE] = ACTIONS(3980),
    [anon_sym_U_SQUOTE] = ACTIONS(3980),
    [anon_sym_u8_SQUOTE] = ACTIONS(3980),
    [anon_sym_SQUOTE] = ACTIONS(3980),
    [anon_sym_L_DQUOTE] = ACTIONS(3982),
    [anon_sym_u_DQUOTE] = ACTIONS(3982),
    [anon_sym_U_DQUOTE] = ACTIONS(3982),
    [anon_sym_u8_DQUOTE] = ACTIONS(3982),
    [anon_sym_DQUOTE] = ACTIONS(3982),
    [sym_true] = ACTIONS(3946),
    [sym_false] = ACTIONS(3946),
    [anon_sym_NULL] = ACTIONS(3948),
    [anon_sym_nullptr] = ACTIONS(3948),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(3984),
    [anon_sym_R_DQUOTE] = ACTIONS(3986),
    [anon_sym_LR_DQUOTE] = ACTIONS(3986),
    [anon_sym_uR_DQUOTE] = ACTIONS(3986),
    [anon_sym_UR_DQUOTE] = ACTIONS(3986),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3986),
    [anon_sym_co_await] = ACTIONS(3988),
    [anon_sym_new] = ACTIONS(3990),
    [anon_sym_requires] = ACTIONS(3958),
    [sym_this] = ACTIONS(3946),
  },
  [2326] = {
    [sym__expression] = STATE(4014),
    [sym__expression_not_binary] = STATE(3672),
    [sym__string] = STATE(3672),
    [sym_conditional_expression] = STATE(3672),
    [sym_assignment_expression] = STATE(3672),
    [sym_pointer_expression] = STATE(3672),
    [sym_unary_expression] = STATE(3672),
    [sym_binary_expression] = STATE(3672),
    [sym_update_expression] = STATE(3672),
    [sym_cast_expression] = STATE(3672),
    [sym_sizeof_expression] = STATE(3672),
    [sym_alignof_expression] = STATE(3672),
    [sym_offsetof_expression] = STATE(3672),
    [sym_generic_expression] = STATE(3672),
    [sym_subscript_expression] = STATE(3672),
    [sym_call_expression] = STATE(3672),
    [sym_gnu_asm_expression] = STATE(3672),
    [sym_field_expression] = STATE(3672),
    [sym_compound_literal_expression] = STATE(3672),
    [sym_parenthesized_expression] = STATE(3672),
    [sym_char_literal] = STATE(3991),
    [sym_concatenated_string] = STATE(3973),
    [sym_string_literal] = STATE(3242),
    [sym_null] = STATE(3672),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9333),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(3672),
    [sym_raw_string_literal] = STATE(3241),
    [sym_co_await_expression] = STATE(3672),
    [sym_new_expression] = STATE(3672),
    [sym_delete_expression] = STATE(3672),
    [sym_requires_clause] = STATE(3672),
    [sym_requires_expression] = STATE(3672),
    [sym_lambda_expression] = STATE(3672),
    [sym_lambda_capture_specifier] = STATE(7134),
    [sym_fold_expression] = STATE(3672),
    [sym_parameter_pack_expansion] = STATE(3672),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6886),
    [sym_qualified_identifier] = STATE(3672),
    [sym_qualified_type_identifier] = STATE(9333),
    [sym_user_defined_literal] = STATE(3672),
    [sym_identifier] = ACTIONS(3968),
    [anon_sym_LPAREN2] = ACTIONS(5219),
    [anon_sym_BANG] = ACTIONS(3972),
    [anon_sym_TILDE] = ACTIONS(3972),
    [anon_sym_DASH] = ACTIONS(3970),
    [anon_sym_PLUS] = ACTIONS(3970),
    [anon_sym_STAR] = ACTIONS(1474),
    [anon_sym_AMP] = ACTIONS(1474),
    [anon_sym_COLON_COLON] = ACTIONS(3974),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [sym_primitive_type] = ACTIONS(3928),
    [anon_sym_not] = ACTIONS(3970),
    [anon_sym_compl] = ACTIONS(3970),
    [anon_sym_DASH_DASH] = ACTIONS(4385),
    [anon_sym_PLUS_PLUS] = ACTIONS(4385),
    [anon_sym_sizeof] = ACTIONS(3976),
    [anon_sym___alignof__] = ACTIONS(3932),
    [anon_sym___alignof] = ACTIONS(3932),
    [anon_sym__alignof] = ACTIONS(3932),
    [anon_sym_alignof] = ACTIONS(3932),
    [anon_sym__Alignof] = ACTIONS(3932),
    [anon_sym_offsetof] = ACTIONS(3934),
    [anon_sym__Generic] = ACTIONS(3936),
    [anon_sym_asm] = ACTIONS(3938),
    [anon_sym___asm__] = ACTIONS(3938),
    [sym_number_literal] = ACTIONS(3978),
    [anon_sym_L_SQUOTE] = ACTIONS(3980),
    [anon_sym_u_SQUOTE] = ACTIONS(3980),
    [anon_sym_U_SQUOTE] = ACTIONS(3980),
    [anon_sym_u8_SQUOTE] = ACTIONS(3980),
    [anon_sym_SQUOTE] = ACTIONS(3980),
    [anon_sym_L_DQUOTE] = ACTIONS(3982),
    [anon_sym_u_DQUOTE] = ACTIONS(3982),
    [anon_sym_U_DQUOTE] = ACTIONS(3982),
    [anon_sym_u8_DQUOTE] = ACTIONS(3982),
    [anon_sym_DQUOTE] = ACTIONS(3982),
    [sym_true] = ACTIONS(3946),
    [sym_false] = ACTIONS(3946),
    [anon_sym_NULL] = ACTIONS(3948),
    [anon_sym_nullptr] = ACTIONS(3948),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(3984),
    [anon_sym_R_DQUOTE] = ACTIONS(3986),
    [anon_sym_LR_DQUOTE] = ACTIONS(3986),
    [anon_sym_uR_DQUOTE] = ACTIONS(3986),
    [anon_sym_UR_DQUOTE] = ACTIONS(3986),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3986),
    [anon_sym_co_await] = ACTIONS(3988),
    [anon_sym_new] = ACTIONS(3990),
    [anon_sym_requires] = ACTIONS(3958),
    [sym_this] = ACTIONS(3946),
  },
  [2327] = {
    [sym__expression] = STATE(4062),
    [sym__expression_not_binary] = STATE(3672),
    [sym__string] = STATE(3672),
    [sym_conditional_expression] = STATE(3672),
    [sym_assignment_expression] = STATE(3672),
    [sym_pointer_expression] = STATE(3672),
    [sym_unary_expression] = STATE(3672),
    [sym_binary_expression] = STATE(3672),
    [sym_update_expression] = STATE(3672),
    [sym_cast_expression] = STATE(3672),
    [sym_sizeof_expression] = STATE(3672),
    [sym_alignof_expression] = STATE(3672),
    [sym_offsetof_expression] = STATE(3672),
    [sym_generic_expression] = STATE(3672),
    [sym_subscript_expression] = STATE(3672),
    [sym_call_expression] = STATE(3672),
    [sym_gnu_asm_expression] = STATE(3672),
    [sym_field_expression] = STATE(3672),
    [sym_compound_literal_expression] = STATE(3672),
    [sym_parenthesized_expression] = STATE(3672),
    [sym_char_literal] = STATE(3991),
    [sym_concatenated_string] = STATE(3973),
    [sym_string_literal] = STATE(3242),
    [sym_null] = STATE(3672),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9333),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(3672),
    [sym_raw_string_literal] = STATE(3241),
    [sym_co_await_expression] = STATE(3672),
    [sym_new_expression] = STATE(3672),
    [sym_delete_expression] = STATE(3672),
    [sym_requires_clause] = STATE(3672),
    [sym_requires_expression] = STATE(3672),
    [sym_lambda_expression] = STATE(3672),
    [sym_lambda_capture_specifier] = STATE(7134),
    [sym_fold_expression] = STATE(3672),
    [sym_parameter_pack_expansion] = STATE(3672),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6886),
    [sym_qualified_identifier] = STATE(3672),
    [sym_qualified_type_identifier] = STATE(9333),
    [sym_user_defined_literal] = STATE(3672),
    [sym_identifier] = ACTIONS(3968),
    [anon_sym_LPAREN2] = ACTIONS(5219),
    [anon_sym_BANG] = ACTIONS(3972),
    [anon_sym_TILDE] = ACTIONS(3972),
    [anon_sym_DASH] = ACTIONS(3970),
    [anon_sym_PLUS] = ACTIONS(3970),
    [anon_sym_STAR] = ACTIONS(1474),
    [anon_sym_AMP] = ACTIONS(1474),
    [anon_sym_COLON_COLON] = ACTIONS(3974),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [sym_primitive_type] = ACTIONS(3928),
    [anon_sym_not] = ACTIONS(3970),
    [anon_sym_compl] = ACTIONS(3970),
    [anon_sym_DASH_DASH] = ACTIONS(4385),
    [anon_sym_PLUS_PLUS] = ACTIONS(4385),
    [anon_sym_sizeof] = ACTIONS(3976),
    [anon_sym___alignof__] = ACTIONS(3932),
    [anon_sym___alignof] = ACTIONS(3932),
    [anon_sym__alignof] = ACTIONS(3932),
    [anon_sym_alignof] = ACTIONS(3932),
    [anon_sym__Alignof] = ACTIONS(3932),
    [anon_sym_offsetof] = ACTIONS(3934),
    [anon_sym__Generic] = ACTIONS(3936),
    [anon_sym_asm] = ACTIONS(3938),
    [anon_sym___asm__] = ACTIONS(3938),
    [sym_number_literal] = ACTIONS(3978),
    [anon_sym_L_SQUOTE] = ACTIONS(3980),
    [anon_sym_u_SQUOTE] = ACTIONS(3980),
    [anon_sym_U_SQUOTE] = ACTIONS(3980),
    [anon_sym_u8_SQUOTE] = ACTIONS(3980),
    [anon_sym_SQUOTE] = ACTIONS(3980),
    [anon_sym_L_DQUOTE] = ACTIONS(3982),
    [anon_sym_u_DQUOTE] = ACTIONS(3982),
    [anon_sym_U_DQUOTE] = ACTIONS(3982),
    [anon_sym_u8_DQUOTE] = ACTIONS(3982),
    [anon_sym_DQUOTE] = ACTIONS(3982),
    [sym_true] = ACTIONS(3946),
    [sym_false] = ACTIONS(3946),
    [anon_sym_NULL] = ACTIONS(3948),
    [anon_sym_nullptr] = ACTIONS(3948),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(3984),
    [anon_sym_R_DQUOTE] = ACTIONS(3986),
    [anon_sym_LR_DQUOTE] = ACTIONS(3986),
    [anon_sym_uR_DQUOTE] = ACTIONS(3986),
    [anon_sym_UR_DQUOTE] = ACTIONS(3986),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3986),
    [anon_sym_co_await] = ACTIONS(3988),
    [anon_sym_new] = ACTIONS(3990),
    [anon_sym_requires] = ACTIONS(3958),
    [sym_this] = ACTIONS(3946),
  },
  [2328] = {
    [sym__expression] = STATE(4071),
    [sym__expression_not_binary] = STATE(3672),
    [sym__string] = STATE(3672),
    [sym_conditional_expression] = STATE(3672),
    [sym_assignment_expression] = STATE(3672),
    [sym_pointer_expression] = STATE(3672),
    [sym_unary_expression] = STATE(3672),
    [sym_binary_expression] = STATE(3672),
    [sym_update_expression] = STATE(3672),
    [sym_cast_expression] = STATE(3672),
    [sym_sizeof_expression] = STATE(3672),
    [sym_alignof_expression] = STATE(3672),
    [sym_offsetof_expression] = STATE(3672),
    [sym_generic_expression] = STATE(3672),
    [sym_subscript_expression] = STATE(3672),
    [sym_call_expression] = STATE(3672),
    [sym_gnu_asm_expression] = STATE(3672),
    [sym_field_expression] = STATE(3672),
    [sym_compound_literal_expression] = STATE(3672),
    [sym_parenthesized_expression] = STATE(3672),
    [sym_char_literal] = STATE(3991),
    [sym_concatenated_string] = STATE(3973),
    [sym_string_literal] = STATE(3242),
    [sym_null] = STATE(3672),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9333),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(3672),
    [sym_raw_string_literal] = STATE(3241),
    [sym_co_await_expression] = STATE(3672),
    [sym_new_expression] = STATE(3672),
    [sym_delete_expression] = STATE(3672),
    [sym_requires_clause] = STATE(3672),
    [sym_requires_expression] = STATE(3672),
    [sym_lambda_expression] = STATE(3672),
    [sym_lambda_capture_specifier] = STATE(7134),
    [sym_fold_expression] = STATE(3672),
    [sym_parameter_pack_expansion] = STATE(3672),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6886),
    [sym_qualified_identifier] = STATE(3672),
    [sym_qualified_type_identifier] = STATE(9333),
    [sym_user_defined_literal] = STATE(3672),
    [sym_identifier] = ACTIONS(3968),
    [anon_sym_LPAREN2] = ACTIONS(5219),
    [anon_sym_BANG] = ACTIONS(3972),
    [anon_sym_TILDE] = ACTIONS(3972),
    [anon_sym_DASH] = ACTIONS(3970),
    [anon_sym_PLUS] = ACTIONS(3970),
    [anon_sym_STAR] = ACTIONS(1474),
    [anon_sym_AMP] = ACTIONS(1474),
    [anon_sym_COLON_COLON] = ACTIONS(3974),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [sym_primitive_type] = ACTIONS(3928),
    [anon_sym_not] = ACTIONS(3970),
    [anon_sym_compl] = ACTIONS(3970),
    [anon_sym_DASH_DASH] = ACTIONS(4385),
    [anon_sym_PLUS_PLUS] = ACTIONS(4385),
    [anon_sym_sizeof] = ACTIONS(3976),
    [anon_sym___alignof__] = ACTIONS(3932),
    [anon_sym___alignof] = ACTIONS(3932),
    [anon_sym__alignof] = ACTIONS(3932),
    [anon_sym_alignof] = ACTIONS(3932),
    [anon_sym__Alignof] = ACTIONS(3932),
    [anon_sym_offsetof] = ACTIONS(3934),
    [anon_sym__Generic] = ACTIONS(3936),
    [anon_sym_asm] = ACTIONS(3938),
    [anon_sym___asm__] = ACTIONS(3938),
    [sym_number_literal] = ACTIONS(3978),
    [anon_sym_L_SQUOTE] = ACTIONS(3980),
    [anon_sym_u_SQUOTE] = ACTIONS(3980),
    [anon_sym_U_SQUOTE] = ACTIONS(3980),
    [anon_sym_u8_SQUOTE] = ACTIONS(3980),
    [anon_sym_SQUOTE] = ACTIONS(3980),
    [anon_sym_L_DQUOTE] = ACTIONS(3982),
    [anon_sym_u_DQUOTE] = ACTIONS(3982),
    [anon_sym_U_DQUOTE] = ACTIONS(3982),
    [anon_sym_u8_DQUOTE] = ACTIONS(3982),
    [anon_sym_DQUOTE] = ACTIONS(3982),
    [sym_true] = ACTIONS(3946),
    [sym_false] = ACTIONS(3946),
    [anon_sym_NULL] = ACTIONS(3948),
    [anon_sym_nullptr] = ACTIONS(3948),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(3984),
    [anon_sym_R_DQUOTE] = ACTIONS(3986),
    [anon_sym_LR_DQUOTE] = ACTIONS(3986),
    [anon_sym_uR_DQUOTE] = ACTIONS(3986),
    [anon_sym_UR_DQUOTE] = ACTIONS(3986),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3986),
    [anon_sym_co_await] = ACTIONS(3988),
    [anon_sym_new] = ACTIONS(3990),
    [anon_sym_requires] = ACTIONS(3958),
    [sym_this] = ACTIONS(3946),
  },
  [2329] = {
    [sym__expression] = STATE(4078),
    [sym__expression_not_binary] = STATE(3672),
    [sym__string] = STATE(3672),
    [sym_conditional_expression] = STATE(3672),
    [sym_assignment_expression] = STATE(3672),
    [sym_pointer_expression] = STATE(3672),
    [sym_unary_expression] = STATE(3672),
    [sym_binary_expression] = STATE(3672),
    [sym_update_expression] = STATE(3672),
    [sym_cast_expression] = STATE(3672),
    [sym_sizeof_expression] = STATE(3672),
    [sym_alignof_expression] = STATE(3672),
    [sym_offsetof_expression] = STATE(3672),
    [sym_generic_expression] = STATE(3672),
    [sym_subscript_expression] = STATE(3672),
    [sym_call_expression] = STATE(3672),
    [sym_gnu_asm_expression] = STATE(3672),
    [sym_field_expression] = STATE(3672),
    [sym_compound_literal_expression] = STATE(3672),
    [sym_parenthesized_expression] = STATE(3672),
    [sym_char_literal] = STATE(3991),
    [sym_concatenated_string] = STATE(3973),
    [sym_string_literal] = STATE(3242),
    [sym_null] = STATE(3672),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9333),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(3672),
    [sym_raw_string_literal] = STATE(3241),
    [sym_co_await_expression] = STATE(3672),
    [sym_new_expression] = STATE(3672),
    [sym_delete_expression] = STATE(3672),
    [sym_requires_clause] = STATE(3672),
    [sym_requires_expression] = STATE(3672),
    [sym_lambda_expression] = STATE(3672),
    [sym_lambda_capture_specifier] = STATE(7134),
    [sym_fold_expression] = STATE(3672),
    [sym_parameter_pack_expansion] = STATE(3672),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6886),
    [sym_qualified_identifier] = STATE(3672),
    [sym_qualified_type_identifier] = STATE(9333),
    [sym_user_defined_literal] = STATE(3672),
    [sym_identifier] = ACTIONS(3968),
    [anon_sym_LPAREN2] = ACTIONS(5219),
    [anon_sym_BANG] = ACTIONS(3972),
    [anon_sym_TILDE] = ACTIONS(3972),
    [anon_sym_DASH] = ACTIONS(3970),
    [anon_sym_PLUS] = ACTIONS(3970),
    [anon_sym_STAR] = ACTIONS(1474),
    [anon_sym_AMP] = ACTIONS(1474),
    [anon_sym_COLON_COLON] = ACTIONS(3974),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [sym_primitive_type] = ACTIONS(3928),
    [anon_sym_not] = ACTIONS(3970),
    [anon_sym_compl] = ACTIONS(3970),
    [anon_sym_DASH_DASH] = ACTIONS(4385),
    [anon_sym_PLUS_PLUS] = ACTIONS(4385),
    [anon_sym_sizeof] = ACTIONS(3976),
    [anon_sym___alignof__] = ACTIONS(3932),
    [anon_sym___alignof] = ACTIONS(3932),
    [anon_sym__alignof] = ACTIONS(3932),
    [anon_sym_alignof] = ACTIONS(3932),
    [anon_sym__Alignof] = ACTIONS(3932),
    [anon_sym_offsetof] = ACTIONS(3934),
    [anon_sym__Generic] = ACTIONS(3936),
    [anon_sym_asm] = ACTIONS(3938),
    [anon_sym___asm__] = ACTIONS(3938),
    [sym_number_literal] = ACTIONS(3978),
    [anon_sym_L_SQUOTE] = ACTIONS(3980),
    [anon_sym_u_SQUOTE] = ACTIONS(3980),
    [anon_sym_U_SQUOTE] = ACTIONS(3980),
    [anon_sym_u8_SQUOTE] = ACTIONS(3980),
    [anon_sym_SQUOTE] = ACTIONS(3980),
    [anon_sym_L_DQUOTE] = ACTIONS(3982),
    [anon_sym_u_DQUOTE] = ACTIONS(3982),
    [anon_sym_U_DQUOTE] = ACTIONS(3982),
    [anon_sym_u8_DQUOTE] = ACTIONS(3982),
    [anon_sym_DQUOTE] = ACTIONS(3982),
    [sym_true] = ACTIONS(3946),
    [sym_false] = ACTIONS(3946),
    [anon_sym_NULL] = ACTIONS(3948),
    [anon_sym_nullptr] = ACTIONS(3948),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(3984),
    [anon_sym_R_DQUOTE] = ACTIONS(3986),
    [anon_sym_LR_DQUOTE] = ACTIONS(3986),
    [anon_sym_uR_DQUOTE] = ACTIONS(3986),
    [anon_sym_UR_DQUOTE] = ACTIONS(3986),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3986),
    [anon_sym_co_await] = ACTIONS(3988),
    [anon_sym_new] = ACTIONS(3990),
    [anon_sym_requires] = ACTIONS(3958),
    [sym_this] = ACTIONS(3946),
  },
  [2330] = {
    [sym__expression] = STATE(3541),
    [sym__expression_not_binary] = STATE(3672),
    [sym__string] = STATE(3672),
    [sym_conditional_expression] = STATE(3672),
    [sym_assignment_expression] = STATE(3672),
    [sym_pointer_expression] = STATE(3672),
    [sym_unary_expression] = STATE(3672),
    [sym_binary_expression] = STATE(3672),
    [sym_update_expression] = STATE(3672),
    [sym_cast_expression] = STATE(3672),
    [sym_sizeof_expression] = STATE(3672),
    [sym_alignof_expression] = STATE(3672),
    [sym_offsetof_expression] = STATE(3672),
    [sym_generic_expression] = STATE(3672),
    [sym_subscript_expression] = STATE(3672),
    [sym_call_expression] = STATE(3672),
    [sym_gnu_asm_expression] = STATE(3672),
    [sym_field_expression] = STATE(3672),
    [sym_compound_literal_expression] = STATE(3672),
    [sym_parenthesized_expression] = STATE(3672),
    [sym_char_literal] = STATE(3991),
    [sym_concatenated_string] = STATE(3973),
    [sym_string_literal] = STATE(3242),
    [sym_null] = STATE(3672),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9333),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(3672),
    [sym_raw_string_literal] = STATE(3241),
    [sym_co_await_expression] = STATE(3672),
    [sym_new_expression] = STATE(3672),
    [sym_delete_expression] = STATE(3672),
    [sym_requires_clause] = STATE(3672),
    [sym_requires_expression] = STATE(3672),
    [sym_lambda_expression] = STATE(3672),
    [sym_lambda_capture_specifier] = STATE(7134),
    [sym_fold_expression] = STATE(3672),
    [sym_parameter_pack_expansion] = STATE(3672),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6886),
    [sym_qualified_identifier] = STATE(3672),
    [sym_qualified_type_identifier] = STATE(9333),
    [sym_user_defined_literal] = STATE(3672),
    [sym_identifier] = ACTIONS(3968),
    [anon_sym_LPAREN2] = ACTIONS(5219),
    [anon_sym_BANG] = ACTIONS(3972),
    [anon_sym_TILDE] = ACTIONS(3972),
    [anon_sym_DASH] = ACTIONS(3970),
    [anon_sym_PLUS] = ACTIONS(3970),
    [anon_sym_STAR] = ACTIONS(1474),
    [anon_sym_AMP] = ACTIONS(1474),
    [anon_sym_COLON_COLON] = ACTIONS(3974),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [sym_primitive_type] = ACTIONS(3928),
    [anon_sym_not] = ACTIONS(3970),
    [anon_sym_compl] = ACTIONS(3970),
    [anon_sym_DASH_DASH] = ACTIONS(4385),
    [anon_sym_PLUS_PLUS] = ACTIONS(4385),
    [anon_sym_sizeof] = ACTIONS(3976),
    [anon_sym___alignof__] = ACTIONS(3932),
    [anon_sym___alignof] = ACTIONS(3932),
    [anon_sym__alignof] = ACTIONS(3932),
    [anon_sym_alignof] = ACTIONS(3932),
    [anon_sym__Alignof] = ACTIONS(3932),
    [anon_sym_offsetof] = ACTIONS(3934),
    [anon_sym__Generic] = ACTIONS(3936),
    [anon_sym_asm] = ACTIONS(3938),
    [anon_sym___asm__] = ACTIONS(3938),
    [sym_number_literal] = ACTIONS(3978),
    [anon_sym_L_SQUOTE] = ACTIONS(3980),
    [anon_sym_u_SQUOTE] = ACTIONS(3980),
    [anon_sym_U_SQUOTE] = ACTIONS(3980),
    [anon_sym_u8_SQUOTE] = ACTIONS(3980),
    [anon_sym_SQUOTE] = ACTIONS(3980),
    [anon_sym_L_DQUOTE] = ACTIONS(3982),
    [anon_sym_u_DQUOTE] = ACTIONS(3982),
    [anon_sym_U_DQUOTE] = ACTIONS(3982),
    [anon_sym_u8_DQUOTE] = ACTIONS(3982),
    [anon_sym_DQUOTE] = ACTIONS(3982),
    [sym_true] = ACTIONS(3946),
    [sym_false] = ACTIONS(3946),
    [anon_sym_NULL] = ACTIONS(3948),
    [anon_sym_nullptr] = ACTIONS(3948),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(3984),
    [anon_sym_R_DQUOTE] = ACTIONS(3986),
    [anon_sym_LR_DQUOTE] = ACTIONS(3986),
    [anon_sym_uR_DQUOTE] = ACTIONS(3986),
    [anon_sym_UR_DQUOTE] = ACTIONS(3986),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3986),
    [anon_sym_co_await] = ACTIONS(3988),
    [anon_sym_new] = ACTIONS(3990),
    [anon_sym_requires] = ACTIONS(3958),
    [sym_this] = ACTIONS(3946),
  },
  [2331] = {
    [sym__expression] = STATE(4076),
    [sym__expression_not_binary] = STATE(3672),
    [sym__string] = STATE(3672),
    [sym_conditional_expression] = STATE(3672),
    [sym_assignment_expression] = STATE(3672),
    [sym_pointer_expression] = STATE(3672),
    [sym_unary_expression] = STATE(3672),
    [sym_binary_expression] = STATE(3672),
    [sym_update_expression] = STATE(3672),
    [sym_cast_expression] = STATE(3672),
    [sym_sizeof_expression] = STATE(3672),
    [sym_alignof_expression] = STATE(3672),
    [sym_offsetof_expression] = STATE(3672),
    [sym_generic_expression] = STATE(3672),
    [sym_subscript_expression] = STATE(3672),
    [sym_call_expression] = STATE(3672),
    [sym_gnu_asm_expression] = STATE(3672),
    [sym_field_expression] = STATE(3672),
    [sym_compound_literal_expression] = STATE(3672),
    [sym_parenthesized_expression] = STATE(3672),
    [sym_char_literal] = STATE(3991),
    [sym_concatenated_string] = STATE(3973),
    [sym_string_literal] = STATE(3242),
    [sym_null] = STATE(3672),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9333),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(3672),
    [sym_raw_string_literal] = STATE(3241),
    [sym_co_await_expression] = STATE(3672),
    [sym_new_expression] = STATE(3672),
    [sym_delete_expression] = STATE(3672),
    [sym_requires_clause] = STATE(3672),
    [sym_requires_expression] = STATE(3672),
    [sym_lambda_expression] = STATE(3672),
    [sym_lambda_capture_specifier] = STATE(7134),
    [sym_fold_expression] = STATE(3672),
    [sym_parameter_pack_expansion] = STATE(3672),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6886),
    [sym_qualified_identifier] = STATE(3672),
    [sym_qualified_type_identifier] = STATE(9333),
    [sym_user_defined_literal] = STATE(3672),
    [sym_identifier] = ACTIONS(3968),
    [anon_sym_LPAREN2] = ACTIONS(5219),
    [anon_sym_BANG] = ACTIONS(3972),
    [anon_sym_TILDE] = ACTIONS(3972),
    [anon_sym_DASH] = ACTIONS(3970),
    [anon_sym_PLUS] = ACTIONS(3970),
    [anon_sym_STAR] = ACTIONS(1474),
    [anon_sym_AMP] = ACTIONS(1474),
    [anon_sym_COLON_COLON] = ACTIONS(3974),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [sym_primitive_type] = ACTIONS(3928),
    [anon_sym_not] = ACTIONS(3970),
    [anon_sym_compl] = ACTIONS(3970),
    [anon_sym_DASH_DASH] = ACTIONS(4385),
    [anon_sym_PLUS_PLUS] = ACTIONS(4385),
    [anon_sym_sizeof] = ACTIONS(3976),
    [anon_sym___alignof__] = ACTIONS(3932),
    [anon_sym___alignof] = ACTIONS(3932),
    [anon_sym__alignof] = ACTIONS(3932),
    [anon_sym_alignof] = ACTIONS(3932),
    [anon_sym__Alignof] = ACTIONS(3932),
    [anon_sym_offsetof] = ACTIONS(3934),
    [anon_sym__Generic] = ACTIONS(3936),
    [anon_sym_asm] = ACTIONS(3938),
    [anon_sym___asm__] = ACTIONS(3938),
    [sym_number_literal] = ACTIONS(3978),
    [anon_sym_L_SQUOTE] = ACTIONS(3980),
    [anon_sym_u_SQUOTE] = ACTIONS(3980),
    [anon_sym_U_SQUOTE] = ACTIONS(3980),
    [anon_sym_u8_SQUOTE] = ACTIONS(3980),
    [anon_sym_SQUOTE] = ACTIONS(3980),
    [anon_sym_L_DQUOTE] = ACTIONS(3982),
    [anon_sym_u_DQUOTE] = ACTIONS(3982),
    [anon_sym_U_DQUOTE] = ACTIONS(3982),
    [anon_sym_u8_DQUOTE] = ACTIONS(3982),
    [anon_sym_DQUOTE] = ACTIONS(3982),
    [sym_true] = ACTIONS(3946),
    [sym_false] = ACTIONS(3946),
    [anon_sym_NULL] = ACTIONS(3948),
    [anon_sym_nullptr] = ACTIONS(3948),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(3984),
    [anon_sym_R_DQUOTE] = ACTIONS(3986),
    [anon_sym_LR_DQUOTE] = ACTIONS(3986),
    [anon_sym_uR_DQUOTE] = ACTIONS(3986),
    [anon_sym_UR_DQUOTE] = ACTIONS(3986),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3986),
    [anon_sym_co_await] = ACTIONS(3988),
    [anon_sym_new] = ACTIONS(3990),
    [anon_sym_requires] = ACTIONS(3958),
    [sym_this] = ACTIONS(3946),
  },
  [2332] = {
    [sym__expression] = STATE(4049),
    [sym__expression_not_binary] = STATE(4307),
    [sym__string] = STATE(4307),
    [sym_conditional_expression] = STATE(4307),
    [sym_assignment_expression] = STATE(4307),
    [sym_pointer_expression] = STATE(4307),
    [sym_unary_expression] = STATE(4307),
    [sym_binary_expression] = STATE(4307),
    [sym_update_expression] = STATE(4307),
    [sym_cast_expression] = STATE(4307),
    [sym_sizeof_expression] = STATE(4307),
    [sym_alignof_expression] = STATE(4307),
    [sym_offsetof_expression] = STATE(4307),
    [sym_generic_expression] = STATE(4307),
    [sym_subscript_expression] = STATE(4307),
    [sym_call_expression] = STATE(4307),
    [sym_gnu_asm_expression] = STATE(4307),
    [sym_field_expression] = STATE(4307),
    [sym_compound_literal_expression] = STATE(4307),
    [sym_parenthesized_expression] = STATE(4307),
    [sym_char_literal] = STATE(4093),
    [sym_concatenated_string] = STATE(4159),
    [sym_string_literal] = STATE(3328),
    [sym_null] = STATE(4307),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9053),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(4307),
    [sym_raw_string_literal] = STATE(3294),
    [sym_co_await_expression] = STATE(4307),
    [sym_new_expression] = STATE(4307),
    [sym_delete_expression] = STATE(4307),
    [sym_requires_clause] = STATE(4307),
    [sym_requires_expression] = STATE(4307),
    [sym_lambda_expression] = STATE(4307),
    [sym_lambda_capture_specifier] = STATE(7183),
    [sym_fold_expression] = STATE(4307),
    [sym_parameter_pack_expansion] = STATE(4307),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6962),
    [sym_qualified_identifier] = STATE(4307),
    [sym_qualified_type_identifier] = STATE(9053),
    [sym_user_defined_literal] = STATE(4307),
    [sym_identifier] = ACTIONS(5051),
    [anon_sym_LPAREN2] = ACTIONS(5204),
    [anon_sym_BANG] = ACTIONS(3994),
    [anon_sym_TILDE] = ACTIONS(3994),
    [anon_sym_DASH] = ACTIONS(3992),
    [anon_sym_PLUS] = ACTIONS(3992),
    [anon_sym_STAR] = ACTIONS(5202),
    [anon_sym_AMP] = ACTIONS(5202),
    [anon_sym_COLON_COLON] = ACTIONS(3996),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [sym_primitive_type] = ACTIONS(4000),
    [anon_sym_not] = ACTIONS(3992),
    [anon_sym_compl] = ACTIONS(3992),
    [anon_sym_DASH_DASH] = ACTIONS(5053),
    [anon_sym_PLUS_PLUS] = ACTIONS(5053),
    [anon_sym_sizeof] = ACTIONS(4002),
    [anon_sym___alignof__] = ACTIONS(4004),
    [anon_sym___alignof] = ACTIONS(4004),
    [anon_sym__alignof] = ACTIONS(4004),
    [anon_sym_alignof] = ACTIONS(4004),
    [anon_sym__Alignof] = ACTIONS(4004),
    [anon_sym_offsetof] = ACTIONS(4006),
    [anon_sym__Generic] = ACTIONS(4008),
    [anon_sym_asm] = ACTIONS(4010),
    [anon_sym___asm__] = ACTIONS(4010),
    [sym_number_literal] = ACTIONS(4012),
    [anon_sym_L_SQUOTE] = ACTIONS(4014),
    [anon_sym_u_SQUOTE] = ACTIONS(4014),
    [anon_sym_U_SQUOTE] = ACTIONS(4014),
    [anon_sym_u8_SQUOTE] = ACTIONS(4014),
    [anon_sym_SQUOTE] = ACTIONS(4014),
    [anon_sym_L_DQUOTE] = ACTIONS(4016),
    [anon_sym_u_DQUOTE] = ACTIONS(4016),
    [anon_sym_U_DQUOTE] = ACTIONS(4016),
    [anon_sym_u8_DQUOTE] = ACTIONS(4016),
    [anon_sym_DQUOTE] = ACTIONS(4016),
    [sym_true] = ACTIONS(4018),
    [sym_false] = ACTIONS(4018),
    [anon_sym_NULL] = ACTIONS(4020),
    [anon_sym_nullptr] = ACTIONS(4020),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(4022),
    [anon_sym_R_DQUOTE] = ACTIONS(4024),
    [anon_sym_LR_DQUOTE] = ACTIONS(4024),
    [anon_sym_uR_DQUOTE] = ACTIONS(4024),
    [anon_sym_UR_DQUOTE] = ACTIONS(4024),
    [anon_sym_u8R_DQUOTE] = ACTIONS(4024),
    [anon_sym_co_await] = ACTIONS(4026),
    [anon_sym_new] = ACTIONS(4028),
    [anon_sym_requires] = ACTIONS(4030),
    [sym_this] = ACTIONS(4018),
  },
  [2333] = {
    [sym__expression] = STATE(5463),
    [sym__expression_not_binary] = STATE(5024),
    [sym__string] = STATE(5024),
    [sym_conditional_expression] = STATE(5024),
    [sym_assignment_expression] = STATE(5024),
    [sym_pointer_expression] = STATE(4507),
    [sym_unary_expression] = STATE(5024),
    [sym_binary_expression] = STATE(5024),
    [sym_update_expression] = STATE(5024),
    [sym_cast_expression] = STATE(5024),
    [sym_sizeof_expression] = STATE(5024),
    [sym_alignof_expression] = STATE(5024),
    [sym_offsetof_expression] = STATE(5024),
    [sym_generic_expression] = STATE(5024),
    [sym_subscript_expression] = STATE(4507),
    [sym_call_expression] = STATE(4507),
    [sym_gnu_asm_expression] = STATE(5024),
    [sym_field_expression] = STATE(4507),
    [sym_compound_literal_expression] = STATE(5024),
    [sym_parenthesized_expression] = STATE(4507),
    [sym_char_literal] = STATE(5374),
    [sym_concatenated_string] = STATE(5377),
    [sym_string_literal] = STATE(4206),
    [sym_null] = STATE(5024),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9352),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(5024),
    [sym_raw_string_literal] = STATE(4217),
    [sym_co_await_expression] = STATE(5024),
    [sym_new_expression] = STATE(5024),
    [sym_delete_expression] = STATE(5024),
    [sym_requires_clause] = STATE(5024),
    [sym_requires_expression] = STATE(5024),
    [sym_lambda_expression] = STATE(5024),
    [sym_lambda_capture_specifier] = STATE(7184),
    [sym_fold_expression] = STATE(5024),
    [sym_parameter_pack_expansion] = STATE(5024),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6886),
    [sym_qualified_identifier] = STATE(4507),
    [sym_qualified_type_identifier] = STATE(9352),
    [sym_user_defined_literal] = STATE(4507),
    [sym_identifier] = ACTIONS(3140),
    [anon_sym_LPAREN2] = ACTIONS(1472),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1474),
    [anon_sym_AMP] = ACTIONS(1474),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [sym_primitive_type] = ACTIONS(3146),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [2334] = {
    [sym__expression] = STATE(3987),
    [sym__expression_not_binary] = STATE(4307),
    [sym__string] = STATE(4307),
    [sym_conditional_expression] = STATE(4307),
    [sym_assignment_expression] = STATE(4307),
    [sym_pointer_expression] = STATE(4307),
    [sym_unary_expression] = STATE(4307),
    [sym_binary_expression] = STATE(4307),
    [sym_update_expression] = STATE(4307),
    [sym_cast_expression] = STATE(4307),
    [sym_sizeof_expression] = STATE(4307),
    [sym_alignof_expression] = STATE(4307),
    [sym_offsetof_expression] = STATE(4307),
    [sym_generic_expression] = STATE(4307),
    [sym_subscript_expression] = STATE(4307),
    [sym_call_expression] = STATE(4307),
    [sym_gnu_asm_expression] = STATE(4307),
    [sym_field_expression] = STATE(4307),
    [sym_compound_literal_expression] = STATE(4307),
    [sym_parenthesized_expression] = STATE(4307),
    [sym_char_literal] = STATE(4093),
    [sym_concatenated_string] = STATE(4159),
    [sym_string_literal] = STATE(3328),
    [sym_null] = STATE(4307),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9053),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(4307),
    [sym_raw_string_literal] = STATE(3294),
    [sym_co_await_expression] = STATE(4307),
    [sym_new_expression] = STATE(4307),
    [sym_delete_expression] = STATE(4307),
    [sym_requires_clause] = STATE(4307),
    [sym_requires_expression] = STATE(4307),
    [sym_lambda_expression] = STATE(4307),
    [sym_lambda_capture_specifier] = STATE(7183),
    [sym_fold_expression] = STATE(4307),
    [sym_parameter_pack_expansion] = STATE(4307),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6962),
    [sym_qualified_identifier] = STATE(4307),
    [sym_qualified_type_identifier] = STATE(9053),
    [sym_user_defined_literal] = STATE(4307),
    [sym_identifier] = ACTIONS(5051),
    [anon_sym_LPAREN2] = ACTIONS(5204),
    [anon_sym_BANG] = ACTIONS(3994),
    [anon_sym_TILDE] = ACTIONS(3994),
    [anon_sym_DASH] = ACTIONS(3992),
    [anon_sym_PLUS] = ACTIONS(3992),
    [anon_sym_STAR] = ACTIONS(5202),
    [anon_sym_AMP] = ACTIONS(5202),
    [anon_sym_COLON_COLON] = ACTIONS(3996),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [sym_primitive_type] = ACTIONS(4000),
    [anon_sym_not] = ACTIONS(3992),
    [anon_sym_compl] = ACTIONS(3992),
    [anon_sym_DASH_DASH] = ACTIONS(5053),
    [anon_sym_PLUS_PLUS] = ACTIONS(5053),
    [anon_sym_sizeof] = ACTIONS(4002),
    [anon_sym___alignof__] = ACTIONS(4004),
    [anon_sym___alignof] = ACTIONS(4004),
    [anon_sym__alignof] = ACTIONS(4004),
    [anon_sym_alignof] = ACTIONS(4004),
    [anon_sym__Alignof] = ACTIONS(4004),
    [anon_sym_offsetof] = ACTIONS(4006),
    [anon_sym__Generic] = ACTIONS(4008),
    [anon_sym_asm] = ACTIONS(4010),
    [anon_sym___asm__] = ACTIONS(4010),
    [sym_number_literal] = ACTIONS(4012),
    [anon_sym_L_SQUOTE] = ACTIONS(4014),
    [anon_sym_u_SQUOTE] = ACTIONS(4014),
    [anon_sym_U_SQUOTE] = ACTIONS(4014),
    [anon_sym_u8_SQUOTE] = ACTIONS(4014),
    [anon_sym_SQUOTE] = ACTIONS(4014),
    [anon_sym_L_DQUOTE] = ACTIONS(4016),
    [anon_sym_u_DQUOTE] = ACTIONS(4016),
    [anon_sym_U_DQUOTE] = ACTIONS(4016),
    [anon_sym_u8_DQUOTE] = ACTIONS(4016),
    [anon_sym_DQUOTE] = ACTIONS(4016),
    [sym_true] = ACTIONS(4018),
    [sym_false] = ACTIONS(4018),
    [anon_sym_NULL] = ACTIONS(4020),
    [anon_sym_nullptr] = ACTIONS(4020),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(4022),
    [anon_sym_R_DQUOTE] = ACTIONS(4024),
    [anon_sym_LR_DQUOTE] = ACTIONS(4024),
    [anon_sym_uR_DQUOTE] = ACTIONS(4024),
    [anon_sym_UR_DQUOTE] = ACTIONS(4024),
    [anon_sym_u8R_DQUOTE] = ACTIONS(4024),
    [anon_sym_co_await] = ACTIONS(4026),
    [anon_sym_new] = ACTIONS(4028),
    [anon_sym_requires] = ACTIONS(4030),
    [sym_this] = ACTIONS(4018),
  },
  [2335] = {
    [sym__expression] = STATE(5876),
    [sym__expression_not_binary] = STATE(5024),
    [sym__string] = STATE(5024),
    [sym_conditional_expression] = STATE(5024),
    [sym_assignment_expression] = STATE(5024),
    [sym_pointer_expression] = STATE(4713),
    [sym_unary_expression] = STATE(5024),
    [sym_binary_expression] = STATE(5024),
    [sym_update_expression] = STATE(5024),
    [sym_cast_expression] = STATE(5024),
    [sym_sizeof_expression] = STATE(5024),
    [sym_alignof_expression] = STATE(5024),
    [sym_offsetof_expression] = STATE(5024),
    [sym_generic_expression] = STATE(5024),
    [sym_subscript_expression] = STATE(4713),
    [sym_call_expression] = STATE(4713),
    [sym_gnu_asm_expression] = STATE(5024),
    [sym_field_expression] = STATE(4713),
    [sym_compound_literal_expression] = STATE(5024),
    [sym_parenthesized_expression] = STATE(4713),
    [sym_char_literal] = STATE(5374),
    [sym_concatenated_string] = STATE(5377),
    [sym_string_literal] = STATE(4206),
    [sym_null] = STATE(5024),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9352),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(5024),
    [sym_raw_string_literal] = STATE(4217),
    [sym_co_await_expression] = STATE(5024),
    [sym_new_expression] = STATE(5024),
    [sym_delete_expression] = STATE(5024),
    [sym_requires_clause] = STATE(5024),
    [sym_requires_expression] = STATE(5024),
    [sym_lambda_expression] = STATE(5024),
    [sym_lambda_capture_specifier] = STATE(7184),
    [sym_fold_expression] = STATE(5024),
    [sym_parameter_pack_expansion] = STATE(5024),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6886),
    [sym_qualified_identifier] = STATE(4713),
    [sym_qualified_type_identifier] = STATE(9352),
    [sym_user_defined_literal] = STATE(4713),
    [sym_identifier] = ACTIONS(4518),
    [anon_sym_LPAREN2] = ACTIONS(5188),
    [anon_sym_BANG] = ACTIONS(4522),
    [anon_sym_TILDE] = ACTIONS(4522),
    [anon_sym_DASH] = ACTIONS(4520),
    [anon_sym_PLUS] = ACTIONS(4520),
    [anon_sym_STAR] = ACTIONS(5190),
    [anon_sym_AMP] = ACTIONS(5190),
    [anon_sym_COLON_COLON] = ACTIONS(4524),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [sym_primitive_type] = ACTIONS(3146),
    [anon_sym_not] = ACTIONS(4520),
    [anon_sym_compl] = ACTIONS(4520),
    [anon_sym_DASH_DASH] = ACTIONS(5071),
    [anon_sym_PLUS_PLUS] = ACTIONS(5071),
    [anon_sym_sizeof] = ACTIONS(4526),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(4528),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(4530),
    [anon_sym_new] = ACTIONS(4516),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [2336] = {
    [sym__expression] = STATE(5812),
    [sym__expression_not_binary] = STATE(5024),
    [sym__string] = STATE(5024),
    [sym_conditional_expression] = STATE(5024),
    [sym_assignment_expression] = STATE(5024),
    [sym_pointer_expression] = STATE(4507),
    [sym_unary_expression] = STATE(5024),
    [sym_binary_expression] = STATE(5024),
    [sym_update_expression] = STATE(5024),
    [sym_cast_expression] = STATE(5024),
    [sym_sizeof_expression] = STATE(5024),
    [sym_alignof_expression] = STATE(5024),
    [sym_offsetof_expression] = STATE(5024),
    [sym_generic_expression] = STATE(5024),
    [sym_subscript_expression] = STATE(4507),
    [sym_call_expression] = STATE(4507),
    [sym_gnu_asm_expression] = STATE(5024),
    [sym_field_expression] = STATE(4507),
    [sym_compound_literal_expression] = STATE(5024),
    [sym_parenthesized_expression] = STATE(4507),
    [sym_char_literal] = STATE(5374),
    [sym_concatenated_string] = STATE(5377),
    [sym_string_literal] = STATE(4206),
    [sym_null] = STATE(5024),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9352),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(5024),
    [sym_raw_string_literal] = STATE(4217),
    [sym_co_await_expression] = STATE(5024),
    [sym_new_expression] = STATE(5024),
    [sym_delete_expression] = STATE(5024),
    [sym_requires_clause] = STATE(5024),
    [sym_requires_expression] = STATE(5024),
    [sym_lambda_expression] = STATE(5024),
    [sym_lambda_capture_specifier] = STATE(7184),
    [sym_fold_expression] = STATE(5024),
    [sym_parameter_pack_expansion] = STATE(5024),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6886),
    [sym_qualified_identifier] = STATE(4507),
    [sym_qualified_type_identifier] = STATE(9352),
    [sym_user_defined_literal] = STATE(4507),
    [sym_identifier] = ACTIONS(3140),
    [anon_sym_LPAREN2] = ACTIONS(1472),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1474),
    [anon_sym_AMP] = ACTIONS(1474),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [sym_primitive_type] = ACTIONS(3146),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [2337] = {
    [sym__expression] = STATE(5418),
    [sym__expression_not_binary] = STATE(5024),
    [sym__string] = STATE(5024),
    [sym_conditional_expression] = STATE(5024),
    [sym_assignment_expression] = STATE(5024),
    [sym_pointer_expression] = STATE(4507),
    [sym_unary_expression] = STATE(5024),
    [sym_binary_expression] = STATE(5024),
    [sym_update_expression] = STATE(5024),
    [sym_cast_expression] = STATE(5024),
    [sym_sizeof_expression] = STATE(5024),
    [sym_alignof_expression] = STATE(5024),
    [sym_offsetof_expression] = STATE(5024),
    [sym_generic_expression] = STATE(5024),
    [sym_subscript_expression] = STATE(4507),
    [sym_call_expression] = STATE(4507),
    [sym_gnu_asm_expression] = STATE(5024),
    [sym_field_expression] = STATE(4507),
    [sym_compound_literal_expression] = STATE(5024),
    [sym_parenthesized_expression] = STATE(4507),
    [sym_char_literal] = STATE(5374),
    [sym_concatenated_string] = STATE(5377),
    [sym_string_literal] = STATE(4206),
    [sym_null] = STATE(5024),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9352),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(5024),
    [sym_raw_string_literal] = STATE(4217),
    [sym_co_await_expression] = STATE(5024),
    [sym_new_expression] = STATE(5024),
    [sym_delete_expression] = STATE(5024),
    [sym_requires_clause] = STATE(5024),
    [sym_requires_expression] = STATE(5024),
    [sym_lambda_expression] = STATE(5024),
    [sym_lambda_capture_specifier] = STATE(7184),
    [sym_fold_expression] = STATE(5024),
    [sym_parameter_pack_expansion] = STATE(5024),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6886),
    [sym_qualified_identifier] = STATE(4507),
    [sym_qualified_type_identifier] = STATE(9352),
    [sym_user_defined_literal] = STATE(4507),
    [sym_identifier] = ACTIONS(3140),
    [anon_sym_LPAREN2] = ACTIONS(1472),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1474),
    [anon_sym_AMP] = ACTIONS(1474),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [sym_primitive_type] = ACTIONS(3146),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [2338] = {
    [sym__expression] = STATE(5380),
    [sym__expression_not_binary] = STATE(5575),
    [sym__string] = STATE(5575),
    [sym_conditional_expression] = STATE(5575),
    [sym_assignment_expression] = STATE(5575),
    [sym_pointer_expression] = STATE(4218),
    [sym_unary_expression] = STATE(5575),
    [sym_binary_expression] = STATE(5575),
    [sym_update_expression] = STATE(5575),
    [sym_cast_expression] = STATE(5575),
    [sym_sizeof_expression] = STATE(5575),
    [sym_alignof_expression] = STATE(5575),
    [sym_offsetof_expression] = STATE(5575),
    [sym_generic_expression] = STATE(5575),
    [sym_subscript_expression] = STATE(4218),
    [sym_call_expression] = STATE(4218),
    [sym_gnu_asm_expression] = STATE(5575),
    [sym_field_expression] = STATE(4218),
    [sym_compound_literal_expression] = STATE(5575),
    [sym_parenthesized_expression] = STATE(4218),
    [sym_char_literal] = STATE(5388),
    [sym_concatenated_string] = STATE(5429),
    [sym_string_literal] = STATE(4410),
    [sym_null] = STATE(5575),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9045),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(5575),
    [sym_raw_string_literal] = STATE(4411),
    [sym_co_await_expression] = STATE(5575),
    [sym_new_expression] = STATE(5575),
    [sym_delete_expression] = STATE(5575),
    [sym_requires_clause] = STATE(5575),
    [sym_requires_expression] = STATE(5575),
    [sym_lambda_expression] = STATE(5575),
    [sym_lambda_capture_specifier] = STATE(7089),
    [sym_fold_expression] = STATE(5575),
    [sym_parameter_pack_expansion] = STATE(5575),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6962),
    [sym_qualified_identifier] = STATE(4218),
    [sym_qualified_type_identifier] = STATE(9045),
    [sym_user_defined_literal] = STATE(4218),
    [sym_identifier] = ACTIONS(5081),
    [anon_sym_LPAREN2] = ACTIONS(5200),
    [anon_sym_BANG] = ACTIONS(4431),
    [anon_sym_TILDE] = ACTIONS(4431),
    [anon_sym_DASH] = ACTIONS(4429),
    [anon_sym_PLUS] = ACTIONS(4429),
    [anon_sym_STAR] = ACTIONS(5202),
    [anon_sym_AMP] = ACTIONS(5202),
    [anon_sym_COLON_COLON] = ACTIONS(4433),
    [anon_sym_LBRACK] = ACTIONS(5531),
    [sym_primitive_type] = ACTIONS(4437),
    [anon_sym_not] = ACTIONS(4429),
    [anon_sym_compl] = ACTIONS(4429),
    [anon_sym_DASH_DASH] = ACTIONS(5083),
    [anon_sym_PLUS_PLUS] = ACTIONS(5083),
    [anon_sym_sizeof] = ACTIONS(4439),
    [anon_sym___alignof__] = ACTIONS(4441),
    [anon_sym___alignof] = ACTIONS(4441),
    [anon_sym__alignof] = ACTIONS(4441),
    [anon_sym_alignof] = ACTIONS(4441),
    [anon_sym__Alignof] = ACTIONS(4441),
    [anon_sym_offsetof] = ACTIONS(4443),
    [anon_sym__Generic] = ACTIONS(4445),
    [anon_sym_asm] = ACTIONS(4447),
    [anon_sym___asm__] = ACTIONS(4447),
    [sym_number_literal] = ACTIONS(4449),
    [anon_sym_L_SQUOTE] = ACTIONS(4451),
    [anon_sym_u_SQUOTE] = ACTIONS(4451),
    [anon_sym_U_SQUOTE] = ACTIONS(4451),
    [anon_sym_u8_SQUOTE] = ACTIONS(4451),
    [anon_sym_SQUOTE] = ACTIONS(4451),
    [anon_sym_L_DQUOTE] = ACTIONS(4453),
    [anon_sym_u_DQUOTE] = ACTIONS(4453),
    [anon_sym_U_DQUOTE] = ACTIONS(4453),
    [anon_sym_u8_DQUOTE] = ACTIONS(4453),
    [anon_sym_DQUOTE] = ACTIONS(4453),
    [sym_true] = ACTIONS(4455),
    [sym_false] = ACTIONS(4455),
    [anon_sym_NULL] = ACTIONS(4457),
    [anon_sym_nullptr] = ACTIONS(4457),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(4459),
    [anon_sym_R_DQUOTE] = ACTIONS(4461),
    [anon_sym_LR_DQUOTE] = ACTIONS(4461),
    [anon_sym_uR_DQUOTE] = ACTIONS(4461),
    [anon_sym_UR_DQUOTE] = ACTIONS(4461),
    [anon_sym_u8R_DQUOTE] = ACTIONS(4461),
    [anon_sym_co_await] = ACTIONS(4463),
    [anon_sym_new] = ACTIONS(4465),
    [anon_sym_requires] = ACTIONS(4467),
    [sym_this] = ACTIONS(4455),
  },
  [2339] = {
    [sym__expression] = STATE(5375),
    [sym__expression_not_binary] = STATE(5575),
    [sym__string] = STATE(5575),
    [sym_conditional_expression] = STATE(5575),
    [sym_assignment_expression] = STATE(5575),
    [sym_pointer_expression] = STATE(4218),
    [sym_unary_expression] = STATE(5575),
    [sym_binary_expression] = STATE(5575),
    [sym_update_expression] = STATE(5575),
    [sym_cast_expression] = STATE(5575),
    [sym_sizeof_expression] = STATE(5575),
    [sym_alignof_expression] = STATE(5575),
    [sym_offsetof_expression] = STATE(5575),
    [sym_generic_expression] = STATE(5575),
    [sym_subscript_expression] = STATE(4218),
    [sym_call_expression] = STATE(4218),
    [sym_gnu_asm_expression] = STATE(5575),
    [sym_field_expression] = STATE(4218),
    [sym_compound_literal_expression] = STATE(5575),
    [sym_parenthesized_expression] = STATE(4218),
    [sym_char_literal] = STATE(5388),
    [sym_concatenated_string] = STATE(5429),
    [sym_string_literal] = STATE(4410),
    [sym_null] = STATE(5575),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9045),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(5575),
    [sym_raw_string_literal] = STATE(4411),
    [sym_co_await_expression] = STATE(5575),
    [sym_new_expression] = STATE(5575),
    [sym_delete_expression] = STATE(5575),
    [sym_requires_clause] = STATE(5575),
    [sym_requires_expression] = STATE(5575),
    [sym_lambda_expression] = STATE(5575),
    [sym_lambda_capture_specifier] = STATE(7089),
    [sym_fold_expression] = STATE(5575),
    [sym_parameter_pack_expansion] = STATE(5575),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6962),
    [sym_qualified_identifier] = STATE(4218),
    [sym_qualified_type_identifier] = STATE(9045),
    [sym_user_defined_literal] = STATE(4218),
    [sym_identifier] = ACTIONS(5081),
    [anon_sym_LPAREN2] = ACTIONS(5200),
    [anon_sym_BANG] = ACTIONS(4431),
    [anon_sym_TILDE] = ACTIONS(4431),
    [anon_sym_DASH] = ACTIONS(4429),
    [anon_sym_PLUS] = ACTIONS(4429),
    [anon_sym_STAR] = ACTIONS(5202),
    [anon_sym_AMP] = ACTIONS(5202),
    [anon_sym_COLON_COLON] = ACTIONS(4433),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [sym_primitive_type] = ACTIONS(4437),
    [anon_sym_not] = ACTIONS(4429),
    [anon_sym_compl] = ACTIONS(4429),
    [anon_sym_DASH_DASH] = ACTIONS(5083),
    [anon_sym_PLUS_PLUS] = ACTIONS(5083),
    [anon_sym_sizeof] = ACTIONS(4439),
    [anon_sym___alignof__] = ACTIONS(4441),
    [anon_sym___alignof] = ACTIONS(4441),
    [anon_sym__alignof] = ACTIONS(4441),
    [anon_sym_alignof] = ACTIONS(4441),
    [anon_sym__Alignof] = ACTIONS(4441),
    [anon_sym_offsetof] = ACTIONS(4443),
    [anon_sym__Generic] = ACTIONS(4445),
    [anon_sym_asm] = ACTIONS(4447),
    [anon_sym___asm__] = ACTIONS(4447),
    [sym_number_literal] = ACTIONS(4449),
    [anon_sym_L_SQUOTE] = ACTIONS(4451),
    [anon_sym_u_SQUOTE] = ACTIONS(4451),
    [anon_sym_U_SQUOTE] = ACTIONS(4451),
    [anon_sym_u8_SQUOTE] = ACTIONS(4451),
    [anon_sym_SQUOTE] = ACTIONS(4451),
    [anon_sym_L_DQUOTE] = ACTIONS(4453),
    [anon_sym_u_DQUOTE] = ACTIONS(4453),
    [anon_sym_U_DQUOTE] = ACTIONS(4453),
    [anon_sym_u8_DQUOTE] = ACTIONS(4453),
    [anon_sym_DQUOTE] = ACTIONS(4453),
    [sym_true] = ACTIONS(4455),
    [sym_false] = ACTIONS(4455),
    [anon_sym_NULL] = ACTIONS(4457),
    [anon_sym_nullptr] = ACTIONS(4457),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(4459),
    [anon_sym_R_DQUOTE] = ACTIONS(4461),
    [anon_sym_LR_DQUOTE] = ACTIONS(4461),
    [anon_sym_uR_DQUOTE] = ACTIONS(4461),
    [anon_sym_UR_DQUOTE] = ACTIONS(4461),
    [anon_sym_u8R_DQUOTE] = ACTIONS(4461),
    [anon_sym_co_await] = ACTIONS(4463),
    [anon_sym_new] = ACTIONS(4465),
    [anon_sym_requires] = ACTIONS(4467),
    [sym_this] = ACTIONS(4455),
  },
  [2340] = {
    [sym__expression] = STATE(4940),
    [sym__expression_not_binary] = STATE(5024),
    [sym__string] = STATE(5024),
    [sym_conditional_expression] = STATE(5024),
    [sym_assignment_expression] = STATE(5024),
    [sym_pointer_expression] = STATE(4507),
    [sym_unary_expression] = STATE(5024),
    [sym_binary_expression] = STATE(5024),
    [sym_update_expression] = STATE(5024),
    [sym_cast_expression] = STATE(5024),
    [sym_sizeof_expression] = STATE(5024),
    [sym_alignof_expression] = STATE(5024),
    [sym_offsetof_expression] = STATE(5024),
    [sym_generic_expression] = STATE(5024),
    [sym_subscript_expression] = STATE(4507),
    [sym_call_expression] = STATE(4507),
    [sym_gnu_asm_expression] = STATE(5024),
    [sym_field_expression] = STATE(4507),
    [sym_compound_literal_expression] = STATE(5024),
    [sym_parenthesized_expression] = STATE(4507),
    [sym_char_literal] = STATE(5374),
    [sym_concatenated_string] = STATE(5377),
    [sym_string_literal] = STATE(4206),
    [sym_null] = STATE(5024),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9352),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(5024),
    [sym_raw_string_literal] = STATE(4217),
    [sym_co_await_expression] = STATE(5024),
    [sym_new_expression] = STATE(5024),
    [sym_delete_expression] = STATE(5024),
    [sym_requires_clause] = STATE(5024),
    [sym_requires_expression] = STATE(5024),
    [sym_lambda_expression] = STATE(5024),
    [sym_lambda_capture_specifier] = STATE(7184),
    [sym_fold_expression] = STATE(5024),
    [sym_parameter_pack_expansion] = STATE(5024),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6886),
    [sym_qualified_identifier] = STATE(4507),
    [sym_qualified_type_identifier] = STATE(9352),
    [sym_user_defined_literal] = STATE(4507),
    [sym_identifier] = ACTIONS(3140),
    [anon_sym_LPAREN2] = ACTIONS(1472),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1474),
    [anon_sym_AMP] = ACTIONS(1474),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [sym_primitive_type] = ACTIONS(3146),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [2341] = {
    [sym__expression] = STATE(5416),
    [sym__expression_not_binary] = STATE(5024),
    [sym__string] = STATE(5024),
    [sym_conditional_expression] = STATE(5024),
    [sym_assignment_expression] = STATE(5024),
    [sym_pointer_expression] = STATE(4507),
    [sym_unary_expression] = STATE(5024),
    [sym_binary_expression] = STATE(5024),
    [sym_update_expression] = STATE(5024),
    [sym_cast_expression] = STATE(5024),
    [sym_sizeof_expression] = STATE(5024),
    [sym_alignof_expression] = STATE(5024),
    [sym_offsetof_expression] = STATE(5024),
    [sym_generic_expression] = STATE(5024),
    [sym_subscript_expression] = STATE(4507),
    [sym_call_expression] = STATE(4507),
    [sym_gnu_asm_expression] = STATE(5024),
    [sym_field_expression] = STATE(4507),
    [sym_compound_literal_expression] = STATE(5024),
    [sym_parenthesized_expression] = STATE(4507),
    [sym_char_literal] = STATE(5374),
    [sym_concatenated_string] = STATE(5377),
    [sym_string_literal] = STATE(4206),
    [sym_null] = STATE(5024),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9352),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(5024),
    [sym_raw_string_literal] = STATE(4217),
    [sym_co_await_expression] = STATE(5024),
    [sym_new_expression] = STATE(5024),
    [sym_delete_expression] = STATE(5024),
    [sym_requires_clause] = STATE(5024),
    [sym_requires_expression] = STATE(5024),
    [sym_lambda_expression] = STATE(5024),
    [sym_lambda_capture_specifier] = STATE(7184),
    [sym_fold_expression] = STATE(5024),
    [sym_parameter_pack_expansion] = STATE(5024),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6886),
    [sym_qualified_identifier] = STATE(4507),
    [sym_qualified_type_identifier] = STATE(9352),
    [sym_user_defined_literal] = STATE(4507),
    [sym_identifier] = ACTIONS(3140),
    [anon_sym_LPAREN2] = ACTIONS(1472),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1474),
    [anon_sym_AMP] = ACTIONS(1474),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [sym_primitive_type] = ACTIONS(3146),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [2342] = {
    [sym__expression] = STATE(5390),
    [sym__expression_not_binary] = STATE(5024),
    [sym__string] = STATE(5024),
    [sym_conditional_expression] = STATE(5024),
    [sym_assignment_expression] = STATE(5024),
    [sym_pointer_expression] = STATE(4507),
    [sym_unary_expression] = STATE(5024),
    [sym_binary_expression] = STATE(5024),
    [sym_update_expression] = STATE(5024),
    [sym_cast_expression] = STATE(5024),
    [sym_sizeof_expression] = STATE(5024),
    [sym_alignof_expression] = STATE(5024),
    [sym_offsetof_expression] = STATE(5024),
    [sym_generic_expression] = STATE(5024),
    [sym_subscript_expression] = STATE(4507),
    [sym_call_expression] = STATE(4507),
    [sym_gnu_asm_expression] = STATE(5024),
    [sym_field_expression] = STATE(4507),
    [sym_compound_literal_expression] = STATE(5024),
    [sym_parenthesized_expression] = STATE(4507),
    [sym_char_literal] = STATE(5374),
    [sym_concatenated_string] = STATE(5377),
    [sym_string_literal] = STATE(4206),
    [sym_null] = STATE(5024),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9352),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(5024),
    [sym_raw_string_literal] = STATE(4217),
    [sym_co_await_expression] = STATE(5024),
    [sym_new_expression] = STATE(5024),
    [sym_delete_expression] = STATE(5024),
    [sym_requires_clause] = STATE(5024),
    [sym_requires_expression] = STATE(5024),
    [sym_lambda_expression] = STATE(5024),
    [sym_lambda_capture_specifier] = STATE(7184),
    [sym_fold_expression] = STATE(5024),
    [sym_parameter_pack_expansion] = STATE(5024),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6886),
    [sym_qualified_identifier] = STATE(4507),
    [sym_qualified_type_identifier] = STATE(9352),
    [sym_user_defined_literal] = STATE(4507),
    [sym_identifier] = ACTIONS(3140),
    [anon_sym_LPAREN2] = ACTIONS(1472),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1474),
    [anon_sym_AMP] = ACTIONS(1474),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [sym_primitive_type] = ACTIONS(3146),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [2343] = {
    [sym__expression] = STATE(5483),
    [sym__expression_not_binary] = STATE(5024),
    [sym__string] = STATE(5024),
    [sym_conditional_expression] = STATE(5024),
    [sym_assignment_expression] = STATE(5024),
    [sym_pointer_expression] = STATE(4507),
    [sym_unary_expression] = STATE(5024),
    [sym_binary_expression] = STATE(5024),
    [sym_update_expression] = STATE(5024),
    [sym_cast_expression] = STATE(5024),
    [sym_sizeof_expression] = STATE(5024),
    [sym_alignof_expression] = STATE(5024),
    [sym_offsetof_expression] = STATE(5024),
    [sym_generic_expression] = STATE(5024),
    [sym_subscript_expression] = STATE(4507),
    [sym_call_expression] = STATE(4507),
    [sym_gnu_asm_expression] = STATE(5024),
    [sym_field_expression] = STATE(4507),
    [sym_compound_literal_expression] = STATE(5024),
    [sym_parenthesized_expression] = STATE(4507),
    [sym_char_literal] = STATE(5374),
    [sym_concatenated_string] = STATE(5377),
    [sym_string_literal] = STATE(4206),
    [sym_null] = STATE(5024),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9352),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(5024),
    [sym_raw_string_literal] = STATE(4217),
    [sym_co_await_expression] = STATE(5024),
    [sym_new_expression] = STATE(5024),
    [sym_delete_expression] = STATE(5024),
    [sym_requires_clause] = STATE(5024),
    [sym_requires_expression] = STATE(5024),
    [sym_lambda_expression] = STATE(5024),
    [sym_lambda_capture_specifier] = STATE(7184),
    [sym_fold_expression] = STATE(5024),
    [sym_parameter_pack_expansion] = STATE(5024),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6886),
    [sym_qualified_identifier] = STATE(4507),
    [sym_qualified_type_identifier] = STATE(9352),
    [sym_user_defined_literal] = STATE(4507),
    [sym_identifier] = ACTIONS(3140),
    [anon_sym_LPAREN2] = ACTIONS(1472),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1474),
    [anon_sym_AMP] = ACTIONS(1474),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [sym_primitive_type] = ACTIONS(3146),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [2344] = {
    [sym__expression] = STATE(4302),
    [sym__expression_not_binary] = STATE(3672),
    [sym__string] = STATE(3672),
    [sym_conditional_expression] = STATE(3672),
    [sym_assignment_expression] = STATE(3672),
    [sym_pointer_expression] = STATE(3672),
    [sym_unary_expression] = STATE(3672),
    [sym_binary_expression] = STATE(3672),
    [sym_update_expression] = STATE(3672),
    [sym_cast_expression] = STATE(3672),
    [sym_sizeof_expression] = STATE(3672),
    [sym_alignof_expression] = STATE(3672),
    [sym_offsetof_expression] = STATE(3672),
    [sym_generic_expression] = STATE(3672),
    [sym_subscript_expression] = STATE(3672),
    [sym_call_expression] = STATE(3672),
    [sym_gnu_asm_expression] = STATE(3672),
    [sym_field_expression] = STATE(3672),
    [sym_compound_literal_expression] = STATE(3672),
    [sym_parenthesized_expression] = STATE(3672),
    [sym_char_literal] = STATE(4466),
    [sym_concatenated_string] = STATE(4465),
    [sym_string_literal] = STATE(3395),
    [sym_null] = STATE(3672),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9333),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(3672),
    [sym_raw_string_literal] = STATE(3400),
    [sym_co_await_expression] = STATE(3672),
    [sym_new_expression] = STATE(3672),
    [sym_delete_expression] = STATE(3672),
    [sym_requires_clause] = STATE(3672),
    [sym_requires_expression] = STATE(3672),
    [sym_lambda_expression] = STATE(3672),
    [sym_lambda_capture_specifier] = STATE(7134),
    [sym_fold_expression] = STATE(3672),
    [sym_parameter_pack_expansion] = STATE(3672),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6886),
    [sym_qualified_identifier] = STATE(3672),
    [sym_qualified_type_identifier] = STATE(9333),
    [sym_user_defined_literal] = STATE(3672),
    [sym_identifier] = ACTIONS(4070),
    [anon_sym_LPAREN2] = ACTIONS(5257),
    [anon_sym_BANG] = ACTIONS(4074),
    [anon_sym_TILDE] = ACTIONS(4074),
    [anon_sym_DASH] = ACTIONS(4072),
    [anon_sym_PLUS] = ACTIONS(4072),
    [anon_sym_STAR] = ACTIONS(5017),
    [anon_sym_AMP] = ACTIONS(5017),
    [anon_sym_COLON_COLON] = ACTIONS(4076),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [sym_primitive_type] = ACTIONS(3928),
    [anon_sym_not] = ACTIONS(4072),
    [anon_sym_compl] = ACTIONS(4072),
    [anon_sym_DASH_DASH] = ACTIONS(5043),
    [anon_sym_PLUS_PLUS] = ACTIONS(5043),
    [anon_sym_sizeof] = ACTIONS(4078),
    [anon_sym___alignof__] = ACTIONS(3932),
    [anon_sym___alignof] = ACTIONS(3932),
    [anon_sym__alignof] = ACTIONS(3932),
    [anon_sym_alignof] = ACTIONS(3932),
    [anon_sym__Alignof] = ACTIONS(3932),
    [anon_sym_offsetof] = ACTIONS(3934),
    [anon_sym__Generic] = ACTIONS(3936),
    [anon_sym_asm] = ACTIONS(3938),
    [anon_sym___asm__] = ACTIONS(3938),
    [sym_number_literal] = ACTIONS(4080),
    [anon_sym_L_SQUOTE] = ACTIONS(4082),
    [anon_sym_u_SQUOTE] = ACTIONS(4082),
    [anon_sym_U_SQUOTE] = ACTIONS(4082),
    [anon_sym_u8_SQUOTE] = ACTIONS(4082),
    [anon_sym_SQUOTE] = ACTIONS(4082),
    [anon_sym_L_DQUOTE] = ACTIONS(4084),
    [anon_sym_u_DQUOTE] = ACTIONS(4084),
    [anon_sym_U_DQUOTE] = ACTIONS(4084),
    [anon_sym_u8_DQUOTE] = ACTIONS(4084),
    [anon_sym_DQUOTE] = ACTIONS(4084),
    [sym_true] = ACTIONS(3946),
    [sym_false] = ACTIONS(3946),
    [anon_sym_NULL] = ACTIONS(3948),
    [anon_sym_nullptr] = ACTIONS(3948),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(4086),
    [anon_sym_R_DQUOTE] = ACTIONS(4088),
    [anon_sym_LR_DQUOTE] = ACTIONS(4088),
    [anon_sym_uR_DQUOTE] = ACTIONS(4088),
    [anon_sym_UR_DQUOTE] = ACTIONS(4088),
    [anon_sym_u8R_DQUOTE] = ACTIONS(4088),
    [anon_sym_co_await] = ACTIONS(4090),
    [anon_sym_new] = ACTIONS(3990),
    [anon_sym_requires] = ACTIONS(3958),
    [sym_this] = ACTIONS(3946),
  },
  [2345] = {
    [sym__expression] = STATE(4301),
    [sym__expression_not_binary] = STATE(3672),
    [sym__string] = STATE(3672),
    [sym_conditional_expression] = STATE(3672),
    [sym_assignment_expression] = STATE(3672),
    [sym_pointer_expression] = STATE(3672),
    [sym_unary_expression] = STATE(3672),
    [sym_binary_expression] = STATE(3672),
    [sym_update_expression] = STATE(3672),
    [sym_cast_expression] = STATE(3672),
    [sym_sizeof_expression] = STATE(3672),
    [sym_alignof_expression] = STATE(3672),
    [sym_offsetof_expression] = STATE(3672),
    [sym_generic_expression] = STATE(3672),
    [sym_subscript_expression] = STATE(3672),
    [sym_call_expression] = STATE(3672),
    [sym_gnu_asm_expression] = STATE(3672),
    [sym_field_expression] = STATE(3672),
    [sym_compound_literal_expression] = STATE(3672),
    [sym_parenthesized_expression] = STATE(3672),
    [sym_char_literal] = STATE(4466),
    [sym_concatenated_string] = STATE(4465),
    [sym_string_literal] = STATE(3395),
    [sym_null] = STATE(3672),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9333),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(3672),
    [sym_raw_string_literal] = STATE(3400),
    [sym_co_await_expression] = STATE(3672),
    [sym_new_expression] = STATE(3672),
    [sym_delete_expression] = STATE(3672),
    [sym_requires_clause] = STATE(3672),
    [sym_requires_expression] = STATE(3672),
    [sym_lambda_expression] = STATE(3672),
    [sym_lambda_capture_specifier] = STATE(7134),
    [sym_fold_expression] = STATE(3672),
    [sym_parameter_pack_expansion] = STATE(3672),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6886),
    [sym_qualified_identifier] = STATE(3672),
    [sym_qualified_type_identifier] = STATE(9333),
    [sym_user_defined_literal] = STATE(3672),
    [sym_identifier] = ACTIONS(4070),
    [anon_sym_LPAREN2] = ACTIONS(5257),
    [anon_sym_BANG] = ACTIONS(4074),
    [anon_sym_TILDE] = ACTIONS(4074),
    [anon_sym_DASH] = ACTIONS(4072),
    [anon_sym_PLUS] = ACTIONS(4072),
    [anon_sym_STAR] = ACTIONS(5017),
    [anon_sym_AMP] = ACTIONS(5017),
    [anon_sym_COLON_COLON] = ACTIONS(4076),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [sym_primitive_type] = ACTIONS(3928),
    [anon_sym_not] = ACTIONS(4072),
    [anon_sym_compl] = ACTIONS(4072),
    [anon_sym_DASH_DASH] = ACTIONS(5043),
    [anon_sym_PLUS_PLUS] = ACTIONS(5043),
    [anon_sym_sizeof] = ACTIONS(4078),
    [anon_sym___alignof__] = ACTIONS(3932),
    [anon_sym___alignof] = ACTIONS(3932),
    [anon_sym__alignof] = ACTIONS(3932),
    [anon_sym_alignof] = ACTIONS(3932),
    [anon_sym__Alignof] = ACTIONS(3932),
    [anon_sym_offsetof] = ACTIONS(3934),
    [anon_sym__Generic] = ACTIONS(3936),
    [anon_sym_asm] = ACTIONS(3938),
    [anon_sym___asm__] = ACTIONS(3938),
    [sym_number_literal] = ACTIONS(4080),
    [anon_sym_L_SQUOTE] = ACTIONS(4082),
    [anon_sym_u_SQUOTE] = ACTIONS(4082),
    [anon_sym_U_SQUOTE] = ACTIONS(4082),
    [anon_sym_u8_SQUOTE] = ACTIONS(4082),
    [anon_sym_SQUOTE] = ACTIONS(4082),
    [anon_sym_L_DQUOTE] = ACTIONS(4084),
    [anon_sym_u_DQUOTE] = ACTIONS(4084),
    [anon_sym_U_DQUOTE] = ACTIONS(4084),
    [anon_sym_u8_DQUOTE] = ACTIONS(4084),
    [anon_sym_DQUOTE] = ACTIONS(4084),
    [sym_true] = ACTIONS(3946),
    [sym_false] = ACTIONS(3946),
    [anon_sym_NULL] = ACTIONS(3948),
    [anon_sym_nullptr] = ACTIONS(3948),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(4086),
    [anon_sym_R_DQUOTE] = ACTIONS(4088),
    [anon_sym_LR_DQUOTE] = ACTIONS(4088),
    [anon_sym_uR_DQUOTE] = ACTIONS(4088),
    [anon_sym_UR_DQUOTE] = ACTIONS(4088),
    [anon_sym_u8R_DQUOTE] = ACTIONS(4088),
    [anon_sym_co_await] = ACTIONS(4090),
    [anon_sym_new] = ACTIONS(3990),
    [anon_sym_requires] = ACTIONS(3958),
    [sym_this] = ACTIONS(3946),
  },
  [2346] = {
    [sym__expression] = STATE(4300),
    [sym__expression_not_binary] = STATE(3672),
    [sym__string] = STATE(3672),
    [sym_conditional_expression] = STATE(3672),
    [sym_assignment_expression] = STATE(3672),
    [sym_pointer_expression] = STATE(3672),
    [sym_unary_expression] = STATE(3672),
    [sym_binary_expression] = STATE(3672),
    [sym_update_expression] = STATE(3672),
    [sym_cast_expression] = STATE(3672),
    [sym_sizeof_expression] = STATE(3672),
    [sym_alignof_expression] = STATE(3672),
    [sym_offsetof_expression] = STATE(3672),
    [sym_generic_expression] = STATE(3672),
    [sym_subscript_expression] = STATE(3672),
    [sym_call_expression] = STATE(3672),
    [sym_gnu_asm_expression] = STATE(3672),
    [sym_field_expression] = STATE(3672),
    [sym_compound_literal_expression] = STATE(3672),
    [sym_parenthesized_expression] = STATE(3672),
    [sym_char_literal] = STATE(4466),
    [sym_concatenated_string] = STATE(4465),
    [sym_string_literal] = STATE(3395),
    [sym_null] = STATE(3672),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9333),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(3672),
    [sym_raw_string_literal] = STATE(3400),
    [sym_co_await_expression] = STATE(3672),
    [sym_new_expression] = STATE(3672),
    [sym_delete_expression] = STATE(3672),
    [sym_requires_clause] = STATE(3672),
    [sym_requires_expression] = STATE(3672),
    [sym_lambda_expression] = STATE(3672),
    [sym_lambda_capture_specifier] = STATE(7134),
    [sym_fold_expression] = STATE(3672),
    [sym_parameter_pack_expansion] = STATE(3672),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6886),
    [sym_qualified_identifier] = STATE(3672),
    [sym_qualified_type_identifier] = STATE(9333),
    [sym_user_defined_literal] = STATE(3672),
    [sym_identifier] = ACTIONS(4070),
    [anon_sym_LPAREN2] = ACTIONS(5257),
    [anon_sym_BANG] = ACTIONS(4074),
    [anon_sym_TILDE] = ACTIONS(4074),
    [anon_sym_DASH] = ACTIONS(4072),
    [anon_sym_PLUS] = ACTIONS(4072),
    [anon_sym_STAR] = ACTIONS(5017),
    [anon_sym_AMP] = ACTIONS(5017),
    [anon_sym_COLON_COLON] = ACTIONS(4076),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [sym_primitive_type] = ACTIONS(3928),
    [anon_sym_not] = ACTIONS(4072),
    [anon_sym_compl] = ACTIONS(4072),
    [anon_sym_DASH_DASH] = ACTIONS(5043),
    [anon_sym_PLUS_PLUS] = ACTIONS(5043),
    [anon_sym_sizeof] = ACTIONS(4078),
    [anon_sym___alignof__] = ACTIONS(3932),
    [anon_sym___alignof] = ACTIONS(3932),
    [anon_sym__alignof] = ACTIONS(3932),
    [anon_sym_alignof] = ACTIONS(3932),
    [anon_sym__Alignof] = ACTIONS(3932),
    [anon_sym_offsetof] = ACTIONS(3934),
    [anon_sym__Generic] = ACTIONS(3936),
    [anon_sym_asm] = ACTIONS(3938),
    [anon_sym___asm__] = ACTIONS(3938),
    [sym_number_literal] = ACTIONS(4080),
    [anon_sym_L_SQUOTE] = ACTIONS(4082),
    [anon_sym_u_SQUOTE] = ACTIONS(4082),
    [anon_sym_U_SQUOTE] = ACTIONS(4082),
    [anon_sym_u8_SQUOTE] = ACTIONS(4082),
    [anon_sym_SQUOTE] = ACTIONS(4082),
    [anon_sym_L_DQUOTE] = ACTIONS(4084),
    [anon_sym_u_DQUOTE] = ACTIONS(4084),
    [anon_sym_U_DQUOTE] = ACTIONS(4084),
    [anon_sym_u8_DQUOTE] = ACTIONS(4084),
    [anon_sym_DQUOTE] = ACTIONS(4084),
    [sym_true] = ACTIONS(3946),
    [sym_false] = ACTIONS(3946),
    [anon_sym_NULL] = ACTIONS(3948),
    [anon_sym_nullptr] = ACTIONS(3948),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(4086),
    [anon_sym_R_DQUOTE] = ACTIONS(4088),
    [anon_sym_LR_DQUOTE] = ACTIONS(4088),
    [anon_sym_uR_DQUOTE] = ACTIONS(4088),
    [anon_sym_UR_DQUOTE] = ACTIONS(4088),
    [anon_sym_u8R_DQUOTE] = ACTIONS(4088),
    [anon_sym_co_await] = ACTIONS(4090),
    [anon_sym_new] = ACTIONS(3990),
    [anon_sym_requires] = ACTIONS(3958),
    [sym_this] = ACTIONS(3946),
  },
  [2347] = {
    [sym__expression] = STATE(4016),
    [sym__expression_not_binary] = STATE(4307),
    [sym__string] = STATE(4307),
    [sym_conditional_expression] = STATE(4307),
    [sym_assignment_expression] = STATE(4307),
    [sym_pointer_expression] = STATE(4307),
    [sym_unary_expression] = STATE(4307),
    [sym_binary_expression] = STATE(4307),
    [sym_update_expression] = STATE(4307),
    [sym_cast_expression] = STATE(4307),
    [sym_sizeof_expression] = STATE(4307),
    [sym_alignof_expression] = STATE(4307),
    [sym_offsetof_expression] = STATE(4307),
    [sym_generic_expression] = STATE(4307),
    [sym_subscript_expression] = STATE(4307),
    [sym_call_expression] = STATE(4307),
    [sym_gnu_asm_expression] = STATE(4307),
    [sym_field_expression] = STATE(4307),
    [sym_compound_literal_expression] = STATE(4307),
    [sym_parenthesized_expression] = STATE(4307),
    [sym_char_literal] = STATE(4093),
    [sym_concatenated_string] = STATE(4159),
    [sym_string_literal] = STATE(3328),
    [sym_null] = STATE(4307),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9053),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(4307),
    [sym_raw_string_literal] = STATE(3294),
    [sym_co_await_expression] = STATE(4307),
    [sym_new_expression] = STATE(4307),
    [sym_delete_expression] = STATE(4307),
    [sym_requires_clause] = STATE(4307),
    [sym_requires_expression] = STATE(4307),
    [sym_lambda_expression] = STATE(4307),
    [sym_lambda_capture_specifier] = STATE(7183),
    [sym_fold_expression] = STATE(4307),
    [sym_parameter_pack_expansion] = STATE(4307),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6962),
    [sym_qualified_identifier] = STATE(4307),
    [sym_qualified_type_identifier] = STATE(9053),
    [sym_user_defined_literal] = STATE(4307),
    [sym_identifier] = ACTIONS(5051),
    [anon_sym_LPAREN2] = ACTIONS(5204),
    [anon_sym_BANG] = ACTIONS(3994),
    [anon_sym_TILDE] = ACTIONS(3994),
    [anon_sym_DASH] = ACTIONS(3992),
    [anon_sym_PLUS] = ACTIONS(3992),
    [anon_sym_STAR] = ACTIONS(5202),
    [anon_sym_AMP] = ACTIONS(5202),
    [anon_sym_COLON_COLON] = ACTIONS(3996),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [sym_primitive_type] = ACTIONS(4000),
    [anon_sym_not] = ACTIONS(3992),
    [anon_sym_compl] = ACTIONS(3992),
    [anon_sym_DASH_DASH] = ACTIONS(5053),
    [anon_sym_PLUS_PLUS] = ACTIONS(5053),
    [anon_sym_sizeof] = ACTIONS(4002),
    [anon_sym___alignof__] = ACTIONS(4004),
    [anon_sym___alignof] = ACTIONS(4004),
    [anon_sym__alignof] = ACTIONS(4004),
    [anon_sym_alignof] = ACTIONS(4004),
    [anon_sym__Alignof] = ACTIONS(4004),
    [anon_sym_offsetof] = ACTIONS(4006),
    [anon_sym__Generic] = ACTIONS(4008),
    [anon_sym_asm] = ACTIONS(4010),
    [anon_sym___asm__] = ACTIONS(4010),
    [sym_number_literal] = ACTIONS(4012),
    [anon_sym_L_SQUOTE] = ACTIONS(4014),
    [anon_sym_u_SQUOTE] = ACTIONS(4014),
    [anon_sym_U_SQUOTE] = ACTIONS(4014),
    [anon_sym_u8_SQUOTE] = ACTIONS(4014),
    [anon_sym_SQUOTE] = ACTIONS(4014),
    [anon_sym_L_DQUOTE] = ACTIONS(4016),
    [anon_sym_u_DQUOTE] = ACTIONS(4016),
    [anon_sym_U_DQUOTE] = ACTIONS(4016),
    [anon_sym_u8_DQUOTE] = ACTIONS(4016),
    [anon_sym_DQUOTE] = ACTIONS(4016),
    [sym_true] = ACTIONS(4018),
    [sym_false] = ACTIONS(4018),
    [anon_sym_NULL] = ACTIONS(4020),
    [anon_sym_nullptr] = ACTIONS(4020),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(4022),
    [anon_sym_R_DQUOTE] = ACTIONS(4024),
    [anon_sym_LR_DQUOTE] = ACTIONS(4024),
    [anon_sym_uR_DQUOTE] = ACTIONS(4024),
    [anon_sym_UR_DQUOTE] = ACTIONS(4024),
    [anon_sym_u8R_DQUOTE] = ACTIONS(4024),
    [anon_sym_co_await] = ACTIONS(4026),
    [anon_sym_new] = ACTIONS(4028),
    [anon_sym_requires] = ACTIONS(4030),
    [sym_this] = ACTIONS(4018),
  },
  [2348] = {
    [sym__expression] = STATE(5877),
    [sym__expression_not_binary] = STATE(5024),
    [sym__string] = STATE(5024),
    [sym_conditional_expression] = STATE(5024),
    [sym_assignment_expression] = STATE(5024),
    [sym_pointer_expression] = STATE(4507),
    [sym_unary_expression] = STATE(5024),
    [sym_binary_expression] = STATE(5024),
    [sym_update_expression] = STATE(5024),
    [sym_cast_expression] = STATE(5024),
    [sym_sizeof_expression] = STATE(5024),
    [sym_alignof_expression] = STATE(5024),
    [sym_offsetof_expression] = STATE(5024),
    [sym_generic_expression] = STATE(5024),
    [sym_subscript_expression] = STATE(4507),
    [sym_call_expression] = STATE(4507),
    [sym_gnu_asm_expression] = STATE(5024),
    [sym_field_expression] = STATE(4507),
    [sym_compound_literal_expression] = STATE(5024),
    [sym_parenthesized_expression] = STATE(4507),
    [sym_char_literal] = STATE(5374),
    [sym_concatenated_string] = STATE(5377),
    [sym_string_literal] = STATE(4206),
    [sym_null] = STATE(5024),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9352),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(5024),
    [sym_raw_string_literal] = STATE(4217),
    [sym_co_await_expression] = STATE(5024),
    [sym_new_expression] = STATE(5024),
    [sym_delete_expression] = STATE(5024),
    [sym_requires_clause] = STATE(5024),
    [sym_requires_expression] = STATE(5024),
    [sym_lambda_expression] = STATE(5024),
    [sym_lambda_capture_specifier] = STATE(7184),
    [sym_fold_expression] = STATE(5024),
    [sym_parameter_pack_expansion] = STATE(5024),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6886),
    [sym_qualified_identifier] = STATE(4507),
    [sym_qualified_type_identifier] = STATE(9352),
    [sym_user_defined_literal] = STATE(4507),
    [sym_identifier] = ACTIONS(3140),
    [anon_sym_LPAREN2] = ACTIONS(1472),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1474),
    [anon_sym_AMP] = ACTIONS(1474),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [sym_primitive_type] = ACTIONS(3146),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [2349] = {
    [sym__expression] = STATE(5391),
    [sym__expression_not_binary] = STATE(5024),
    [sym__string] = STATE(5024),
    [sym_conditional_expression] = STATE(5024),
    [sym_assignment_expression] = STATE(5024),
    [sym_pointer_expression] = STATE(4507),
    [sym_unary_expression] = STATE(5024),
    [sym_binary_expression] = STATE(5024),
    [sym_update_expression] = STATE(5024),
    [sym_cast_expression] = STATE(5024),
    [sym_sizeof_expression] = STATE(5024),
    [sym_alignof_expression] = STATE(5024),
    [sym_offsetof_expression] = STATE(5024),
    [sym_generic_expression] = STATE(5024),
    [sym_subscript_expression] = STATE(4507),
    [sym_call_expression] = STATE(4507),
    [sym_gnu_asm_expression] = STATE(5024),
    [sym_field_expression] = STATE(4507),
    [sym_compound_literal_expression] = STATE(5024),
    [sym_parenthesized_expression] = STATE(4507),
    [sym_char_literal] = STATE(5374),
    [sym_concatenated_string] = STATE(5377),
    [sym_string_literal] = STATE(4206),
    [sym_null] = STATE(5024),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9352),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(5024),
    [sym_raw_string_literal] = STATE(4217),
    [sym_co_await_expression] = STATE(5024),
    [sym_new_expression] = STATE(5024),
    [sym_delete_expression] = STATE(5024),
    [sym_requires_clause] = STATE(5024),
    [sym_requires_expression] = STATE(5024),
    [sym_lambda_expression] = STATE(5024),
    [sym_lambda_capture_specifier] = STATE(7184),
    [sym_fold_expression] = STATE(5024),
    [sym_parameter_pack_expansion] = STATE(5024),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6886),
    [sym_qualified_identifier] = STATE(4507),
    [sym_qualified_type_identifier] = STATE(9352),
    [sym_user_defined_literal] = STATE(4507),
    [sym_identifier] = ACTIONS(3140),
    [anon_sym_LPAREN2] = ACTIONS(1472),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1474),
    [anon_sym_AMP] = ACTIONS(1474),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [sym_primitive_type] = ACTIONS(3146),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [2350] = {
    [sym__expression] = STATE(5433),
    [sym__expression_not_binary] = STATE(5024),
    [sym__string] = STATE(5024),
    [sym_conditional_expression] = STATE(5024),
    [sym_assignment_expression] = STATE(5024),
    [sym_pointer_expression] = STATE(4507),
    [sym_unary_expression] = STATE(5024),
    [sym_binary_expression] = STATE(5024),
    [sym_update_expression] = STATE(5024),
    [sym_cast_expression] = STATE(5024),
    [sym_sizeof_expression] = STATE(5024),
    [sym_alignof_expression] = STATE(5024),
    [sym_offsetof_expression] = STATE(5024),
    [sym_generic_expression] = STATE(5024),
    [sym_subscript_expression] = STATE(4507),
    [sym_call_expression] = STATE(4507),
    [sym_gnu_asm_expression] = STATE(5024),
    [sym_field_expression] = STATE(4507),
    [sym_compound_literal_expression] = STATE(5024),
    [sym_parenthesized_expression] = STATE(4507),
    [sym_char_literal] = STATE(5374),
    [sym_concatenated_string] = STATE(5377),
    [sym_string_literal] = STATE(4206),
    [sym_null] = STATE(5024),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9352),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(5024),
    [sym_raw_string_literal] = STATE(4217),
    [sym_co_await_expression] = STATE(5024),
    [sym_new_expression] = STATE(5024),
    [sym_delete_expression] = STATE(5024),
    [sym_requires_clause] = STATE(5024),
    [sym_requires_expression] = STATE(5024),
    [sym_lambda_expression] = STATE(5024),
    [sym_lambda_capture_specifier] = STATE(7184),
    [sym_fold_expression] = STATE(5024),
    [sym_parameter_pack_expansion] = STATE(5024),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6886),
    [sym_qualified_identifier] = STATE(4507),
    [sym_qualified_type_identifier] = STATE(9352),
    [sym_user_defined_literal] = STATE(4507),
    [sym_identifier] = ACTIONS(3140),
    [anon_sym_LPAREN2] = ACTIONS(1472),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1474),
    [anon_sym_AMP] = ACTIONS(1474),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [sym_primitive_type] = ACTIONS(3146),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [2351] = {
    [sym__expression] = STATE(5428),
    [sym__expression_not_binary] = STATE(5024),
    [sym__string] = STATE(5024),
    [sym_conditional_expression] = STATE(5024),
    [sym_assignment_expression] = STATE(5024),
    [sym_pointer_expression] = STATE(4507),
    [sym_unary_expression] = STATE(5024),
    [sym_binary_expression] = STATE(5024),
    [sym_update_expression] = STATE(5024),
    [sym_cast_expression] = STATE(5024),
    [sym_sizeof_expression] = STATE(5024),
    [sym_alignof_expression] = STATE(5024),
    [sym_offsetof_expression] = STATE(5024),
    [sym_generic_expression] = STATE(5024),
    [sym_subscript_expression] = STATE(4507),
    [sym_call_expression] = STATE(4507),
    [sym_gnu_asm_expression] = STATE(5024),
    [sym_field_expression] = STATE(4507),
    [sym_compound_literal_expression] = STATE(5024),
    [sym_parenthesized_expression] = STATE(4507),
    [sym_char_literal] = STATE(5374),
    [sym_concatenated_string] = STATE(5377),
    [sym_string_literal] = STATE(4206),
    [sym_null] = STATE(5024),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9352),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(5024),
    [sym_raw_string_literal] = STATE(4217),
    [sym_co_await_expression] = STATE(5024),
    [sym_new_expression] = STATE(5024),
    [sym_delete_expression] = STATE(5024),
    [sym_requires_clause] = STATE(5024),
    [sym_requires_expression] = STATE(5024),
    [sym_lambda_expression] = STATE(5024),
    [sym_lambda_capture_specifier] = STATE(7184),
    [sym_fold_expression] = STATE(5024),
    [sym_parameter_pack_expansion] = STATE(5024),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6886),
    [sym_qualified_identifier] = STATE(4507),
    [sym_qualified_type_identifier] = STATE(9352),
    [sym_user_defined_literal] = STATE(4507),
    [sym_identifier] = ACTIONS(3140),
    [anon_sym_LPAREN2] = ACTIONS(1472),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1474),
    [anon_sym_AMP] = ACTIONS(1474),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [sym_primitive_type] = ACTIONS(3146),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [2352] = {
    [sym__expression] = STATE(5432),
    [sym__expression_not_binary] = STATE(5024),
    [sym__string] = STATE(5024),
    [sym_conditional_expression] = STATE(5024),
    [sym_assignment_expression] = STATE(5024),
    [sym_pointer_expression] = STATE(4507),
    [sym_unary_expression] = STATE(5024),
    [sym_binary_expression] = STATE(5024),
    [sym_update_expression] = STATE(5024),
    [sym_cast_expression] = STATE(5024),
    [sym_sizeof_expression] = STATE(5024),
    [sym_alignof_expression] = STATE(5024),
    [sym_offsetof_expression] = STATE(5024),
    [sym_generic_expression] = STATE(5024),
    [sym_subscript_expression] = STATE(4507),
    [sym_call_expression] = STATE(4507),
    [sym_gnu_asm_expression] = STATE(5024),
    [sym_field_expression] = STATE(4507),
    [sym_compound_literal_expression] = STATE(5024),
    [sym_parenthesized_expression] = STATE(4507),
    [sym_char_literal] = STATE(5374),
    [sym_concatenated_string] = STATE(5377),
    [sym_string_literal] = STATE(4206),
    [sym_null] = STATE(5024),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9352),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(5024),
    [sym_raw_string_literal] = STATE(4217),
    [sym_co_await_expression] = STATE(5024),
    [sym_new_expression] = STATE(5024),
    [sym_delete_expression] = STATE(5024),
    [sym_requires_clause] = STATE(5024),
    [sym_requires_expression] = STATE(5024),
    [sym_lambda_expression] = STATE(5024),
    [sym_lambda_capture_specifier] = STATE(7184),
    [sym_fold_expression] = STATE(5024),
    [sym_parameter_pack_expansion] = STATE(5024),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6886),
    [sym_qualified_identifier] = STATE(4507),
    [sym_qualified_type_identifier] = STATE(9352),
    [sym_user_defined_literal] = STATE(4507),
    [sym_identifier] = ACTIONS(3140),
    [anon_sym_LPAREN2] = ACTIONS(1472),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1474),
    [anon_sym_AMP] = ACTIONS(1474),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [sym_primitive_type] = ACTIONS(3146),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [2353] = {
    [sym__expression] = STATE(5424),
    [sym__expression_not_binary] = STATE(5024),
    [sym__string] = STATE(5024),
    [sym_conditional_expression] = STATE(5024),
    [sym_assignment_expression] = STATE(5024),
    [sym_pointer_expression] = STATE(4507),
    [sym_unary_expression] = STATE(5024),
    [sym_binary_expression] = STATE(5024),
    [sym_update_expression] = STATE(5024),
    [sym_cast_expression] = STATE(5024),
    [sym_sizeof_expression] = STATE(5024),
    [sym_alignof_expression] = STATE(5024),
    [sym_offsetof_expression] = STATE(5024),
    [sym_generic_expression] = STATE(5024),
    [sym_subscript_expression] = STATE(4507),
    [sym_call_expression] = STATE(4507),
    [sym_gnu_asm_expression] = STATE(5024),
    [sym_field_expression] = STATE(4507),
    [sym_compound_literal_expression] = STATE(5024),
    [sym_parenthesized_expression] = STATE(4507),
    [sym_char_literal] = STATE(5374),
    [sym_concatenated_string] = STATE(5377),
    [sym_string_literal] = STATE(4206),
    [sym_null] = STATE(5024),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9352),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(5024),
    [sym_raw_string_literal] = STATE(4217),
    [sym_co_await_expression] = STATE(5024),
    [sym_new_expression] = STATE(5024),
    [sym_delete_expression] = STATE(5024),
    [sym_requires_clause] = STATE(5024),
    [sym_requires_expression] = STATE(5024),
    [sym_lambda_expression] = STATE(5024),
    [sym_lambda_capture_specifier] = STATE(7184),
    [sym_fold_expression] = STATE(5024),
    [sym_parameter_pack_expansion] = STATE(5024),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6886),
    [sym_qualified_identifier] = STATE(4507),
    [sym_qualified_type_identifier] = STATE(9352),
    [sym_user_defined_literal] = STATE(4507),
    [sym_identifier] = ACTIONS(3140),
    [anon_sym_LPAREN2] = ACTIONS(1472),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1474),
    [anon_sym_AMP] = ACTIONS(1474),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [sym_primitive_type] = ACTIONS(3146),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [2354] = {
    [sym__expression] = STATE(4079),
    [sym__expression_not_binary] = STATE(4307),
    [sym__string] = STATE(4307),
    [sym_conditional_expression] = STATE(4307),
    [sym_assignment_expression] = STATE(4307),
    [sym_pointer_expression] = STATE(4307),
    [sym_unary_expression] = STATE(4307),
    [sym_binary_expression] = STATE(4307),
    [sym_update_expression] = STATE(4307),
    [sym_cast_expression] = STATE(4307),
    [sym_sizeof_expression] = STATE(4307),
    [sym_alignof_expression] = STATE(4307),
    [sym_offsetof_expression] = STATE(4307),
    [sym_generic_expression] = STATE(4307),
    [sym_subscript_expression] = STATE(4307),
    [sym_call_expression] = STATE(4307),
    [sym_gnu_asm_expression] = STATE(4307),
    [sym_field_expression] = STATE(4307),
    [sym_compound_literal_expression] = STATE(4307),
    [sym_parenthesized_expression] = STATE(4307),
    [sym_char_literal] = STATE(4093),
    [sym_concatenated_string] = STATE(4159),
    [sym_string_literal] = STATE(3328),
    [sym_null] = STATE(4307),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9053),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(4307),
    [sym_raw_string_literal] = STATE(3294),
    [sym_co_await_expression] = STATE(4307),
    [sym_new_expression] = STATE(4307),
    [sym_delete_expression] = STATE(4307),
    [sym_requires_clause] = STATE(4307),
    [sym_requires_expression] = STATE(4307),
    [sym_lambda_expression] = STATE(4307),
    [sym_lambda_capture_specifier] = STATE(7183),
    [sym_fold_expression] = STATE(4307),
    [sym_parameter_pack_expansion] = STATE(4307),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6962),
    [sym_qualified_identifier] = STATE(4307),
    [sym_qualified_type_identifier] = STATE(9053),
    [sym_user_defined_literal] = STATE(4307),
    [sym_identifier] = ACTIONS(5051),
    [anon_sym_LPAREN2] = ACTIONS(5204),
    [anon_sym_BANG] = ACTIONS(3994),
    [anon_sym_TILDE] = ACTIONS(3994),
    [anon_sym_DASH] = ACTIONS(3992),
    [anon_sym_PLUS] = ACTIONS(3992),
    [anon_sym_STAR] = ACTIONS(5202),
    [anon_sym_AMP] = ACTIONS(5202),
    [anon_sym_COLON_COLON] = ACTIONS(3996),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [sym_primitive_type] = ACTIONS(4000),
    [anon_sym_not] = ACTIONS(3992),
    [anon_sym_compl] = ACTIONS(3992),
    [anon_sym_DASH_DASH] = ACTIONS(5053),
    [anon_sym_PLUS_PLUS] = ACTIONS(5053),
    [anon_sym_sizeof] = ACTIONS(4002),
    [anon_sym___alignof__] = ACTIONS(4004),
    [anon_sym___alignof] = ACTIONS(4004),
    [anon_sym__alignof] = ACTIONS(4004),
    [anon_sym_alignof] = ACTIONS(4004),
    [anon_sym__Alignof] = ACTIONS(4004),
    [anon_sym_offsetof] = ACTIONS(4006),
    [anon_sym__Generic] = ACTIONS(4008),
    [anon_sym_asm] = ACTIONS(4010),
    [anon_sym___asm__] = ACTIONS(4010),
    [sym_number_literal] = ACTIONS(4012),
    [anon_sym_L_SQUOTE] = ACTIONS(4014),
    [anon_sym_u_SQUOTE] = ACTIONS(4014),
    [anon_sym_U_SQUOTE] = ACTIONS(4014),
    [anon_sym_u8_SQUOTE] = ACTIONS(4014),
    [anon_sym_SQUOTE] = ACTIONS(4014),
    [anon_sym_L_DQUOTE] = ACTIONS(4016),
    [anon_sym_u_DQUOTE] = ACTIONS(4016),
    [anon_sym_U_DQUOTE] = ACTIONS(4016),
    [anon_sym_u8_DQUOTE] = ACTIONS(4016),
    [anon_sym_DQUOTE] = ACTIONS(4016),
    [sym_true] = ACTIONS(4018),
    [sym_false] = ACTIONS(4018),
    [anon_sym_NULL] = ACTIONS(4020),
    [anon_sym_nullptr] = ACTIONS(4020),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(4022),
    [anon_sym_R_DQUOTE] = ACTIONS(4024),
    [anon_sym_LR_DQUOTE] = ACTIONS(4024),
    [anon_sym_uR_DQUOTE] = ACTIONS(4024),
    [anon_sym_UR_DQUOTE] = ACTIONS(4024),
    [anon_sym_u8R_DQUOTE] = ACTIONS(4024),
    [anon_sym_co_await] = ACTIONS(4026),
    [anon_sym_new] = ACTIONS(4028),
    [anon_sym_requires] = ACTIONS(4030),
    [sym_this] = ACTIONS(4018),
  },
  [2355] = {
    [sym__expression] = STATE(5417),
    [sym__expression_not_binary] = STATE(5024),
    [sym__string] = STATE(5024),
    [sym_conditional_expression] = STATE(5024),
    [sym_assignment_expression] = STATE(5024),
    [sym_pointer_expression] = STATE(4507),
    [sym_unary_expression] = STATE(5024),
    [sym_binary_expression] = STATE(5024),
    [sym_update_expression] = STATE(5024),
    [sym_cast_expression] = STATE(5024),
    [sym_sizeof_expression] = STATE(5024),
    [sym_alignof_expression] = STATE(5024),
    [sym_offsetof_expression] = STATE(5024),
    [sym_generic_expression] = STATE(5024),
    [sym_subscript_expression] = STATE(4507),
    [sym_call_expression] = STATE(4507),
    [sym_gnu_asm_expression] = STATE(5024),
    [sym_field_expression] = STATE(4507),
    [sym_compound_literal_expression] = STATE(5024),
    [sym_parenthesized_expression] = STATE(4507),
    [sym_char_literal] = STATE(5374),
    [sym_concatenated_string] = STATE(5377),
    [sym_string_literal] = STATE(4206),
    [sym_null] = STATE(5024),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9352),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(5024),
    [sym_raw_string_literal] = STATE(4217),
    [sym_co_await_expression] = STATE(5024),
    [sym_new_expression] = STATE(5024),
    [sym_delete_expression] = STATE(5024),
    [sym_requires_clause] = STATE(5024),
    [sym_requires_expression] = STATE(5024),
    [sym_lambda_expression] = STATE(5024),
    [sym_lambda_capture_specifier] = STATE(7184),
    [sym_fold_expression] = STATE(5024),
    [sym_parameter_pack_expansion] = STATE(5024),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6886),
    [sym_qualified_identifier] = STATE(4507),
    [sym_qualified_type_identifier] = STATE(9352),
    [sym_user_defined_literal] = STATE(4507),
    [sym_identifier] = ACTIONS(3140),
    [anon_sym_LPAREN2] = ACTIONS(1472),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1474),
    [anon_sym_AMP] = ACTIONS(1474),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [sym_primitive_type] = ACTIONS(3146),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [2356] = {
    [sym__expression] = STATE(5272),
    [sym__expression_not_binary] = STATE(5024),
    [sym__string] = STATE(5024),
    [sym_conditional_expression] = STATE(5024),
    [sym_assignment_expression] = STATE(5024),
    [sym_pointer_expression] = STATE(4031),
    [sym_unary_expression] = STATE(5024),
    [sym_binary_expression] = STATE(5024),
    [sym_update_expression] = STATE(5024),
    [sym_cast_expression] = STATE(5024),
    [sym_sizeof_expression] = STATE(5024),
    [sym_alignof_expression] = STATE(5024),
    [sym_offsetof_expression] = STATE(5024),
    [sym_generic_expression] = STATE(5024),
    [sym_subscript_expression] = STATE(4031),
    [sym_call_expression] = STATE(4031),
    [sym_gnu_asm_expression] = STATE(5024),
    [sym_field_expression] = STATE(4031),
    [sym_compound_literal_expression] = STATE(5024),
    [sym_parenthesized_expression] = STATE(4031),
    [sym_char_literal] = STATE(5335),
    [sym_concatenated_string] = STATE(5317),
    [sym_string_literal] = STATE(4163),
    [sym_null] = STATE(5024),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9352),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(5024),
    [sym_raw_string_literal] = STATE(4121),
    [sym_co_await_expression] = STATE(5024),
    [sym_new_expression] = STATE(5024),
    [sym_delete_expression] = STATE(5024),
    [sym_requires_clause] = STATE(5024),
    [sym_requires_expression] = STATE(5024),
    [sym_lambda_expression] = STATE(5024),
    [sym_lambda_capture_specifier] = STATE(7184),
    [sym_fold_expression] = STATE(5024),
    [sym_parameter_pack_expansion] = STATE(5024),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6886),
    [sym_qualified_identifier] = STATE(4031),
    [sym_qualified_type_identifier] = STATE(9352),
    [sym_user_defined_literal] = STATE(4031),
    [sym_identifier] = ACTIONS(5113),
    [anon_sym_LPAREN2] = ACTIONS(5212),
    [anon_sym_BANG] = ACTIONS(4409),
    [anon_sym_TILDE] = ACTIONS(4409),
    [anon_sym_DASH] = ACTIONS(4407),
    [anon_sym_PLUS] = ACTIONS(4407),
    [anon_sym_STAR] = ACTIONS(5186),
    [anon_sym_AMP] = ACTIONS(5186),
    [anon_sym_COLON_COLON] = ACTIONS(4411),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [sym_primitive_type] = ACTIONS(3146),
    [anon_sym_not] = ACTIONS(4407),
    [anon_sym_compl] = ACTIONS(4407),
    [anon_sym_DASH_DASH] = ACTIONS(5115),
    [anon_sym_PLUS_PLUS] = ACTIONS(5115),
    [anon_sym_sizeof] = ACTIONS(4415),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(4417),
    [anon_sym_L_SQUOTE] = ACTIONS(4419),
    [anon_sym_u_SQUOTE] = ACTIONS(4419),
    [anon_sym_U_SQUOTE] = ACTIONS(4419),
    [anon_sym_u8_SQUOTE] = ACTIONS(4419),
    [anon_sym_SQUOTE] = ACTIONS(4419),
    [anon_sym_L_DQUOTE] = ACTIONS(4247),
    [anon_sym_u_DQUOTE] = ACTIONS(4247),
    [anon_sym_U_DQUOTE] = ACTIONS(4247),
    [anon_sym_u8_DQUOTE] = ACTIONS(4247),
    [anon_sym_DQUOTE] = ACTIONS(4247),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(4421),
    [anon_sym_R_DQUOTE] = ACTIONS(4249),
    [anon_sym_LR_DQUOTE] = ACTIONS(4249),
    [anon_sym_uR_DQUOTE] = ACTIONS(4249),
    [anon_sym_UR_DQUOTE] = ACTIONS(4249),
    [anon_sym_u8R_DQUOTE] = ACTIONS(4249),
    [anon_sym_co_await] = ACTIONS(4423),
    [anon_sym_new] = ACTIONS(4425),
    [anon_sym_requires] = ACTIONS(4427),
    [sym_this] = ACTIONS(221),
  },
  [2357] = {
    [sym__expression] = STATE(5861),
    [sym__expression_not_binary] = STATE(5024),
    [sym__string] = STATE(5024),
    [sym_conditional_expression] = STATE(5024),
    [sym_assignment_expression] = STATE(5024),
    [sym_pointer_expression] = STATE(4507),
    [sym_unary_expression] = STATE(5024),
    [sym_binary_expression] = STATE(5024),
    [sym_update_expression] = STATE(5024),
    [sym_cast_expression] = STATE(5024),
    [sym_sizeof_expression] = STATE(5024),
    [sym_alignof_expression] = STATE(5024),
    [sym_offsetof_expression] = STATE(5024),
    [sym_generic_expression] = STATE(5024),
    [sym_subscript_expression] = STATE(4507),
    [sym_call_expression] = STATE(4507),
    [sym_gnu_asm_expression] = STATE(5024),
    [sym_field_expression] = STATE(4507),
    [sym_compound_literal_expression] = STATE(5024),
    [sym_parenthesized_expression] = STATE(4507),
    [sym_char_literal] = STATE(5374),
    [sym_concatenated_string] = STATE(5377),
    [sym_string_literal] = STATE(4206),
    [sym_null] = STATE(5024),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9352),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(5024),
    [sym_raw_string_literal] = STATE(4217),
    [sym_co_await_expression] = STATE(5024),
    [sym_new_expression] = STATE(5024),
    [sym_delete_expression] = STATE(5024),
    [sym_requires_clause] = STATE(5024),
    [sym_requires_expression] = STATE(5024),
    [sym_lambda_expression] = STATE(5024),
    [sym_lambda_capture_specifier] = STATE(7184),
    [sym_fold_expression] = STATE(5024),
    [sym_parameter_pack_expansion] = STATE(5024),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6886),
    [sym_qualified_identifier] = STATE(4507),
    [sym_qualified_type_identifier] = STATE(9352),
    [sym_user_defined_literal] = STATE(4507),
    [sym_identifier] = ACTIONS(3140),
    [anon_sym_LPAREN2] = ACTIONS(1472),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1474),
    [anon_sym_AMP] = ACTIONS(1474),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [sym_primitive_type] = ACTIONS(3146),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [2358] = {
    [sym__expression] = STATE(4447),
    [sym__expression_not_binary] = STATE(4786),
    [sym__string] = STATE(4786),
    [sym_conditional_expression] = STATE(4786),
    [sym_assignment_expression] = STATE(4786),
    [sym_pointer_expression] = STATE(4786),
    [sym_unary_expression] = STATE(4786),
    [sym_binary_expression] = STATE(4786),
    [sym_update_expression] = STATE(4786),
    [sym_cast_expression] = STATE(4786),
    [sym_sizeof_expression] = STATE(4786),
    [sym_alignof_expression] = STATE(4786),
    [sym_offsetof_expression] = STATE(4786),
    [sym_generic_expression] = STATE(4786),
    [sym_subscript_expression] = STATE(4786),
    [sym_call_expression] = STATE(4786),
    [sym_gnu_asm_expression] = STATE(4786),
    [sym_field_expression] = STATE(4786),
    [sym_compound_literal_expression] = STATE(4786),
    [sym_parenthesized_expression] = STATE(4786),
    [sym_char_literal] = STATE(4554),
    [sym_concatenated_string] = STATE(4621),
    [sym_string_literal] = STATE(3503),
    [sym_null] = STATE(4786),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9199),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(4786),
    [sym_raw_string_literal] = STATE(3498),
    [sym_co_await_expression] = STATE(4786),
    [sym_new_expression] = STATE(4786),
    [sym_delete_expression] = STATE(4786),
    [sym_requires_clause] = STATE(4786),
    [sym_requires_expression] = STATE(4786),
    [sym_lambda_expression] = STATE(4786),
    [sym_lambda_capture_specifier] = STATE(7160),
    [sym_fold_expression] = STATE(4786),
    [sym_parameter_pack_expansion] = STATE(4786),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6932),
    [sym_qualified_identifier] = STATE(4786),
    [sym_qualified_type_identifier] = STATE(9199),
    [sym_user_defined_literal] = STATE(4786),
    [sym_identifier] = ACTIONS(4126),
    [anon_sym_LPAREN2] = ACTIONS(5194),
    [anon_sym_BANG] = ACTIONS(4130),
    [anon_sym_TILDE] = ACTIONS(4130),
    [anon_sym_DASH] = ACTIONS(4128),
    [anon_sym_PLUS] = ACTIONS(4128),
    [anon_sym_STAR] = ACTIONS(4261),
    [anon_sym_AMP] = ACTIONS(4261),
    [anon_sym_COLON_COLON] = ACTIONS(4132),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [sym_primitive_type] = ACTIONS(4136),
    [anon_sym_not] = ACTIONS(4128),
    [anon_sym_compl] = ACTIONS(4128),
    [anon_sym_DASH_DASH] = ACTIONS(5049),
    [anon_sym_PLUS_PLUS] = ACTIONS(5049),
    [anon_sym_sizeof] = ACTIONS(4138),
    [anon_sym___alignof__] = ACTIONS(4140),
    [anon_sym___alignof] = ACTIONS(4140),
    [anon_sym__alignof] = ACTIONS(4140),
    [anon_sym_alignof] = ACTIONS(4140),
    [anon_sym__Alignof] = ACTIONS(4140),
    [anon_sym_offsetof] = ACTIONS(4142),
    [anon_sym__Generic] = ACTIONS(4144),
    [anon_sym_asm] = ACTIONS(4146),
    [anon_sym___asm__] = ACTIONS(4146),
    [sym_number_literal] = ACTIONS(4148),
    [anon_sym_L_SQUOTE] = ACTIONS(4150),
    [anon_sym_u_SQUOTE] = ACTIONS(4150),
    [anon_sym_U_SQUOTE] = ACTIONS(4150),
    [anon_sym_u8_SQUOTE] = ACTIONS(4150),
    [anon_sym_SQUOTE] = ACTIONS(4150),
    [anon_sym_L_DQUOTE] = ACTIONS(4152),
    [anon_sym_u_DQUOTE] = ACTIONS(4152),
    [anon_sym_U_DQUOTE] = ACTIONS(4152),
    [anon_sym_u8_DQUOTE] = ACTIONS(4152),
    [anon_sym_DQUOTE] = ACTIONS(4152),
    [sym_true] = ACTIONS(4154),
    [sym_false] = ACTIONS(4154),
    [anon_sym_NULL] = ACTIONS(4156),
    [anon_sym_nullptr] = ACTIONS(4156),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(4158),
    [anon_sym_R_DQUOTE] = ACTIONS(4160),
    [anon_sym_LR_DQUOTE] = ACTIONS(4160),
    [anon_sym_uR_DQUOTE] = ACTIONS(4160),
    [anon_sym_UR_DQUOTE] = ACTIONS(4160),
    [anon_sym_u8R_DQUOTE] = ACTIONS(4160),
    [anon_sym_co_await] = ACTIONS(4162),
    [anon_sym_new] = ACTIONS(4164),
    [anon_sym_requires] = ACTIONS(4166),
    [sym_this] = ACTIONS(4154),
  },
  [2359] = {
    [sym__expression] = STATE(4063),
    [sym__expression_not_binary] = STATE(4307),
    [sym__string] = STATE(4307),
    [sym_conditional_expression] = STATE(4307),
    [sym_assignment_expression] = STATE(4307),
    [sym_pointer_expression] = STATE(4307),
    [sym_unary_expression] = STATE(4307),
    [sym_binary_expression] = STATE(4307),
    [sym_update_expression] = STATE(4307),
    [sym_cast_expression] = STATE(4307),
    [sym_sizeof_expression] = STATE(4307),
    [sym_alignof_expression] = STATE(4307),
    [sym_offsetof_expression] = STATE(4307),
    [sym_generic_expression] = STATE(4307),
    [sym_subscript_expression] = STATE(4307),
    [sym_call_expression] = STATE(4307),
    [sym_gnu_asm_expression] = STATE(4307),
    [sym_field_expression] = STATE(4307),
    [sym_compound_literal_expression] = STATE(4307),
    [sym_parenthesized_expression] = STATE(4307),
    [sym_char_literal] = STATE(4093),
    [sym_concatenated_string] = STATE(4159),
    [sym_string_literal] = STATE(3328),
    [sym_null] = STATE(4307),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9053),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(4307),
    [sym_raw_string_literal] = STATE(3294),
    [sym_co_await_expression] = STATE(4307),
    [sym_new_expression] = STATE(4307),
    [sym_delete_expression] = STATE(4307),
    [sym_requires_clause] = STATE(4307),
    [sym_requires_expression] = STATE(4307),
    [sym_lambda_expression] = STATE(4307),
    [sym_lambda_capture_specifier] = STATE(7183),
    [sym_fold_expression] = STATE(4307),
    [sym_parameter_pack_expansion] = STATE(4307),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6962),
    [sym_qualified_identifier] = STATE(4307),
    [sym_qualified_type_identifier] = STATE(9053),
    [sym_user_defined_literal] = STATE(4307),
    [sym_identifier] = ACTIONS(5051),
    [anon_sym_LPAREN2] = ACTIONS(5204),
    [anon_sym_BANG] = ACTIONS(3994),
    [anon_sym_TILDE] = ACTIONS(3994),
    [anon_sym_DASH] = ACTIONS(3992),
    [anon_sym_PLUS] = ACTIONS(3992),
    [anon_sym_STAR] = ACTIONS(5202),
    [anon_sym_AMP] = ACTIONS(5202),
    [anon_sym_COLON_COLON] = ACTIONS(3996),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [sym_primitive_type] = ACTIONS(4000),
    [anon_sym_not] = ACTIONS(3992),
    [anon_sym_compl] = ACTIONS(3992),
    [anon_sym_DASH_DASH] = ACTIONS(5053),
    [anon_sym_PLUS_PLUS] = ACTIONS(5053),
    [anon_sym_sizeof] = ACTIONS(4002),
    [anon_sym___alignof__] = ACTIONS(4004),
    [anon_sym___alignof] = ACTIONS(4004),
    [anon_sym__alignof] = ACTIONS(4004),
    [anon_sym_alignof] = ACTIONS(4004),
    [anon_sym__Alignof] = ACTIONS(4004),
    [anon_sym_offsetof] = ACTIONS(4006),
    [anon_sym__Generic] = ACTIONS(4008),
    [anon_sym_asm] = ACTIONS(4010),
    [anon_sym___asm__] = ACTIONS(4010),
    [sym_number_literal] = ACTIONS(4012),
    [anon_sym_L_SQUOTE] = ACTIONS(4014),
    [anon_sym_u_SQUOTE] = ACTIONS(4014),
    [anon_sym_U_SQUOTE] = ACTIONS(4014),
    [anon_sym_u8_SQUOTE] = ACTIONS(4014),
    [anon_sym_SQUOTE] = ACTIONS(4014),
    [anon_sym_L_DQUOTE] = ACTIONS(4016),
    [anon_sym_u_DQUOTE] = ACTIONS(4016),
    [anon_sym_U_DQUOTE] = ACTIONS(4016),
    [anon_sym_u8_DQUOTE] = ACTIONS(4016),
    [anon_sym_DQUOTE] = ACTIONS(4016),
    [sym_true] = ACTIONS(4018),
    [sym_false] = ACTIONS(4018),
    [anon_sym_NULL] = ACTIONS(4020),
    [anon_sym_nullptr] = ACTIONS(4020),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(4022),
    [anon_sym_R_DQUOTE] = ACTIONS(4024),
    [anon_sym_LR_DQUOTE] = ACTIONS(4024),
    [anon_sym_uR_DQUOTE] = ACTIONS(4024),
    [anon_sym_UR_DQUOTE] = ACTIONS(4024),
    [anon_sym_u8R_DQUOTE] = ACTIONS(4024),
    [anon_sym_co_await] = ACTIONS(4026),
    [anon_sym_new] = ACTIONS(4028),
    [anon_sym_requires] = ACTIONS(4030),
    [sym_this] = ACTIONS(4018),
  },
  [2360] = {
    [sym__expression] = STATE(3992),
    [sym__expression_not_binary] = STATE(4307),
    [sym__string] = STATE(4307),
    [sym_conditional_expression] = STATE(4307),
    [sym_assignment_expression] = STATE(4307),
    [sym_pointer_expression] = STATE(4307),
    [sym_unary_expression] = STATE(4307),
    [sym_binary_expression] = STATE(4307),
    [sym_update_expression] = STATE(4307),
    [sym_cast_expression] = STATE(4307),
    [sym_sizeof_expression] = STATE(4307),
    [sym_alignof_expression] = STATE(4307),
    [sym_offsetof_expression] = STATE(4307),
    [sym_generic_expression] = STATE(4307),
    [sym_subscript_expression] = STATE(4307),
    [sym_call_expression] = STATE(4307),
    [sym_gnu_asm_expression] = STATE(4307),
    [sym_field_expression] = STATE(4307),
    [sym_compound_literal_expression] = STATE(4307),
    [sym_parenthesized_expression] = STATE(4307),
    [sym_char_literal] = STATE(4093),
    [sym_concatenated_string] = STATE(4159),
    [sym_string_literal] = STATE(3328),
    [sym_null] = STATE(4307),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9053),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(4307),
    [sym_raw_string_literal] = STATE(3294),
    [sym_co_await_expression] = STATE(4307),
    [sym_new_expression] = STATE(4307),
    [sym_delete_expression] = STATE(4307),
    [sym_requires_clause] = STATE(4307),
    [sym_requires_expression] = STATE(4307),
    [sym_lambda_expression] = STATE(4307),
    [sym_lambda_capture_specifier] = STATE(7183),
    [sym_fold_expression] = STATE(4307),
    [sym_parameter_pack_expansion] = STATE(4307),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6962),
    [sym_qualified_identifier] = STATE(4307),
    [sym_qualified_type_identifier] = STATE(9053),
    [sym_user_defined_literal] = STATE(4307),
    [sym_identifier] = ACTIONS(5051),
    [anon_sym_LPAREN2] = ACTIONS(5204),
    [anon_sym_BANG] = ACTIONS(3994),
    [anon_sym_TILDE] = ACTIONS(3994),
    [anon_sym_DASH] = ACTIONS(3992),
    [anon_sym_PLUS] = ACTIONS(3992),
    [anon_sym_STAR] = ACTIONS(5202),
    [anon_sym_AMP] = ACTIONS(5202),
    [anon_sym_COLON_COLON] = ACTIONS(3996),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [sym_primitive_type] = ACTIONS(4000),
    [anon_sym_not] = ACTIONS(3992),
    [anon_sym_compl] = ACTIONS(3992),
    [anon_sym_DASH_DASH] = ACTIONS(5053),
    [anon_sym_PLUS_PLUS] = ACTIONS(5053),
    [anon_sym_sizeof] = ACTIONS(4002),
    [anon_sym___alignof__] = ACTIONS(4004),
    [anon_sym___alignof] = ACTIONS(4004),
    [anon_sym__alignof] = ACTIONS(4004),
    [anon_sym_alignof] = ACTIONS(4004),
    [anon_sym__Alignof] = ACTIONS(4004),
    [anon_sym_offsetof] = ACTIONS(4006),
    [anon_sym__Generic] = ACTIONS(4008),
    [anon_sym_asm] = ACTIONS(4010),
    [anon_sym___asm__] = ACTIONS(4010),
    [sym_number_literal] = ACTIONS(4012),
    [anon_sym_L_SQUOTE] = ACTIONS(4014),
    [anon_sym_u_SQUOTE] = ACTIONS(4014),
    [anon_sym_U_SQUOTE] = ACTIONS(4014),
    [anon_sym_u8_SQUOTE] = ACTIONS(4014),
    [anon_sym_SQUOTE] = ACTIONS(4014),
    [anon_sym_L_DQUOTE] = ACTIONS(4016),
    [anon_sym_u_DQUOTE] = ACTIONS(4016),
    [anon_sym_U_DQUOTE] = ACTIONS(4016),
    [anon_sym_u8_DQUOTE] = ACTIONS(4016),
    [anon_sym_DQUOTE] = ACTIONS(4016),
    [sym_true] = ACTIONS(4018),
    [sym_false] = ACTIONS(4018),
    [anon_sym_NULL] = ACTIONS(4020),
    [anon_sym_nullptr] = ACTIONS(4020),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(4022),
    [anon_sym_R_DQUOTE] = ACTIONS(4024),
    [anon_sym_LR_DQUOTE] = ACTIONS(4024),
    [anon_sym_uR_DQUOTE] = ACTIONS(4024),
    [anon_sym_UR_DQUOTE] = ACTIONS(4024),
    [anon_sym_u8R_DQUOTE] = ACTIONS(4024),
    [anon_sym_co_await] = ACTIONS(4026),
    [anon_sym_new] = ACTIONS(4028),
    [anon_sym_requires] = ACTIONS(4030),
    [sym_this] = ACTIONS(4018),
  },
  [2361] = {
    [sym__expression] = STATE(4199),
    [sym__expression_not_binary] = STATE(3672),
    [sym__string] = STATE(3672),
    [sym_conditional_expression] = STATE(3672),
    [sym_assignment_expression] = STATE(3672),
    [sym_pointer_expression] = STATE(3672),
    [sym_unary_expression] = STATE(3672),
    [sym_binary_expression] = STATE(3672),
    [sym_update_expression] = STATE(3672),
    [sym_cast_expression] = STATE(3672),
    [sym_sizeof_expression] = STATE(3672),
    [sym_alignof_expression] = STATE(3672),
    [sym_offsetof_expression] = STATE(3672),
    [sym_generic_expression] = STATE(3672),
    [sym_subscript_expression] = STATE(3672),
    [sym_call_expression] = STATE(3672),
    [sym_gnu_asm_expression] = STATE(3672),
    [sym_field_expression] = STATE(3672),
    [sym_compound_literal_expression] = STATE(3672),
    [sym_parenthesized_expression] = STATE(3672),
    [sym_char_literal] = STATE(4466),
    [sym_concatenated_string] = STATE(4465),
    [sym_string_literal] = STATE(3395),
    [sym_null] = STATE(3672),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9333),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(3672),
    [sym_raw_string_literal] = STATE(3400),
    [sym_co_await_expression] = STATE(3672),
    [sym_new_expression] = STATE(3672),
    [sym_delete_expression] = STATE(3672),
    [sym_requires_clause] = STATE(3672),
    [sym_requires_expression] = STATE(3672),
    [sym_lambda_expression] = STATE(3672),
    [sym_lambda_capture_specifier] = STATE(7134),
    [sym_fold_expression] = STATE(3672),
    [sym_parameter_pack_expansion] = STATE(3672),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6886),
    [sym_qualified_identifier] = STATE(3672),
    [sym_qualified_type_identifier] = STATE(9333),
    [sym_user_defined_literal] = STATE(3672),
    [sym_identifier] = ACTIONS(4070),
    [anon_sym_LPAREN2] = ACTIONS(5257),
    [anon_sym_BANG] = ACTIONS(4074),
    [anon_sym_TILDE] = ACTIONS(4074),
    [anon_sym_DASH] = ACTIONS(4072),
    [anon_sym_PLUS] = ACTIONS(4072),
    [anon_sym_STAR] = ACTIONS(5017),
    [anon_sym_AMP] = ACTIONS(5017),
    [anon_sym_COLON_COLON] = ACTIONS(4076),
    [anon_sym_LBRACK] = ACTIONS(5533),
    [sym_primitive_type] = ACTIONS(3928),
    [anon_sym_not] = ACTIONS(4072),
    [anon_sym_compl] = ACTIONS(4072),
    [anon_sym_DASH_DASH] = ACTIONS(5043),
    [anon_sym_PLUS_PLUS] = ACTIONS(5043),
    [anon_sym_sizeof] = ACTIONS(4078),
    [anon_sym___alignof__] = ACTIONS(3932),
    [anon_sym___alignof] = ACTIONS(3932),
    [anon_sym__alignof] = ACTIONS(3932),
    [anon_sym_alignof] = ACTIONS(3932),
    [anon_sym__Alignof] = ACTIONS(3932),
    [anon_sym_offsetof] = ACTIONS(3934),
    [anon_sym__Generic] = ACTIONS(3936),
    [anon_sym_asm] = ACTIONS(3938),
    [anon_sym___asm__] = ACTIONS(3938),
    [sym_number_literal] = ACTIONS(4080),
    [anon_sym_L_SQUOTE] = ACTIONS(4082),
    [anon_sym_u_SQUOTE] = ACTIONS(4082),
    [anon_sym_U_SQUOTE] = ACTIONS(4082),
    [anon_sym_u8_SQUOTE] = ACTIONS(4082),
    [anon_sym_SQUOTE] = ACTIONS(4082),
    [anon_sym_L_DQUOTE] = ACTIONS(4084),
    [anon_sym_u_DQUOTE] = ACTIONS(4084),
    [anon_sym_U_DQUOTE] = ACTIONS(4084),
    [anon_sym_u8_DQUOTE] = ACTIONS(4084),
    [anon_sym_DQUOTE] = ACTIONS(4084),
    [sym_true] = ACTIONS(3946),
    [sym_false] = ACTIONS(3946),
    [anon_sym_NULL] = ACTIONS(3948),
    [anon_sym_nullptr] = ACTIONS(3948),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(4086),
    [anon_sym_R_DQUOTE] = ACTIONS(4088),
    [anon_sym_LR_DQUOTE] = ACTIONS(4088),
    [anon_sym_uR_DQUOTE] = ACTIONS(4088),
    [anon_sym_UR_DQUOTE] = ACTIONS(4088),
    [anon_sym_u8R_DQUOTE] = ACTIONS(4088),
    [anon_sym_co_await] = ACTIONS(4090),
    [anon_sym_new] = ACTIONS(3990),
    [anon_sym_requires] = ACTIONS(3958),
    [sym_this] = ACTIONS(3946),
  },
  [2362] = {
    [sym__expression] = STATE(5651),
    [sym__expression_not_binary] = STATE(5024),
    [sym__string] = STATE(5024),
    [sym_conditional_expression] = STATE(5024),
    [sym_assignment_expression] = STATE(5024),
    [sym_pointer_expression] = STATE(4507),
    [sym_unary_expression] = STATE(5024),
    [sym_binary_expression] = STATE(5024),
    [sym_update_expression] = STATE(5024),
    [sym_cast_expression] = STATE(5024),
    [sym_sizeof_expression] = STATE(5024),
    [sym_alignof_expression] = STATE(5024),
    [sym_offsetof_expression] = STATE(5024),
    [sym_generic_expression] = STATE(5024),
    [sym_subscript_expression] = STATE(4507),
    [sym_call_expression] = STATE(4507),
    [sym_gnu_asm_expression] = STATE(5024),
    [sym_field_expression] = STATE(4507),
    [sym_compound_literal_expression] = STATE(5024),
    [sym_parenthesized_expression] = STATE(4507),
    [sym_char_literal] = STATE(5374),
    [sym_concatenated_string] = STATE(5377),
    [sym_string_literal] = STATE(4206),
    [sym_null] = STATE(5024),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9352),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(5024),
    [sym_raw_string_literal] = STATE(4217),
    [sym_co_await_expression] = STATE(5024),
    [sym_new_expression] = STATE(5024),
    [sym_delete_expression] = STATE(5024),
    [sym_requires_clause] = STATE(5024),
    [sym_requires_expression] = STATE(5024),
    [sym_lambda_expression] = STATE(5024),
    [sym_lambda_capture_specifier] = STATE(7184),
    [sym_fold_expression] = STATE(5024),
    [sym_parameter_pack_expansion] = STATE(5024),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6886),
    [sym_qualified_identifier] = STATE(4507),
    [sym_qualified_type_identifier] = STATE(9352),
    [sym_user_defined_literal] = STATE(4507),
    [sym_identifier] = ACTIONS(3140),
    [anon_sym_LPAREN2] = ACTIONS(1472),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1474),
    [anon_sym_AMP] = ACTIONS(1474),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [sym_primitive_type] = ACTIONS(3146),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [2363] = {
    [sym__expression] = STATE(3520),
    [sym__expression_not_binary] = STATE(3672),
    [sym__string] = STATE(3672),
    [sym_conditional_expression] = STATE(3672),
    [sym_assignment_expression] = STATE(3672),
    [sym_pointer_expression] = STATE(3672),
    [sym_unary_expression] = STATE(3672),
    [sym_binary_expression] = STATE(3672),
    [sym_update_expression] = STATE(3672),
    [sym_cast_expression] = STATE(3672),
    [sym_sizeof_expression] = STATE(3672),
    [sym_alignof_expression] = STATE(3672),
    [sym_offsetof_expression] = STATE(3672),
    [sym_generic_expression] = STATE(3672),
    [sym_subscript_expression] = STATE(3672),
    [sym_call_expression] = STATE(3672),
    [sym_gnu_asm_expression] = STATE(3672),
    [sym_field_expression] = STATE(3672),
    [sym_compound_literal_expression] = STATE(3672),
    [sym_parenthesized_expression] = STATE(3672),
    [sym_char_literal] = STATE(3855),
    [sym_concatenated_string] = STATE(3873),
    [sym_string_literal] = STATE(3222),
    [sym_null] = STATE(3672),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9333),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(3672),
    [sym_raw_string_literal] = STATE(3216),
    [sym_co_await_expression] = STATE(3672),
    [sym_new_expression] = STATE(3672),
    [sym_delete_expression] = STATE(3672),
    [sym_requires_clause] = STATE(3672),
    [sym_requires_expression] = STATE(3672),
    [sym_lambda_expression] = STATE(3672),
    [sym_lambda_capture_specifier] = STATE(7134),
    [sym_fold_expression] = STATE(3672),
    [sym_parameter_pack_expansion] = STATE(3672),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6886),
    [sym_qualified_identifier] = STATE(3672),
    [sym_qualified_type_identifier] = STATE(9333),
    [sym_user_defined_literal] = STATE(3672),
    [sym_identifier] = ACTIONS(3968),
    [anon_sym_LPAREN2] = ACTIONS(5184),
    [anon_sym_BANG] = ACTIONS(3922),
    [anon_sym_TILDE] = ACTIONS(3922),
    [anon_sym_DASH] = ACTIONS(3920),
    [anon_sym_PLUS] = ACTIONS(3920),
    [anon_sym_STAR] = ACTIONS(5186),
    [anon_sym_AMP] = ACTIONS(5186),
    [anon_sym_COLON_COLON] = ACTIONS(3924),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [sym_primitive_type] = ACTIONS(3928),
    [anon_sym_not] = ACTIONS(3920),
    [anon_sym_compl] = ACTIONS(3920),
    [anon_sym_DASH_DASH] = ACTIONS(5013),
    [anon_sym_PLUS_PLUS] = ACTIONS(5013),
    [anon_sym_sizeof] = ACTIONS(3930),
    [anon_sym___alignof__] = ACTIONS(3932),
    [anon_sym___alignof] = ACTIONS(3932),
    [anon_sym__alignof] = ACTIONS(3932),
    [anon_sym_alignof] = ACTIONS(3932),
    [anon_sym__Alignof] = ACTIONS(3932),
    [anon_sym_offsetof] = ACTIONS(3934),
    [anon_sym__Generic] = ACTIONS(3936),
    [anon_sym_asm] = ACTIONS(3938),
    [anon_sym___asm__] = ACTIONS(3938),
    [sym_number_literal] = ACTIONS(3940),
    [anon_sym_L_SQUOTE] = ACTIONS(3942),
    [anon_sym_u_SQUOTE] = ACTIONS(3942),
    [anon_sym_U_SQUOTE] = ACTIONS(3942),
    [anon_sym_u8_SQUOTE] = ACTIONS(3942),
    [anon_sym_SQUOTE] = ACTIONS(3942),
    [anon_sym_L_DQUOTE] = ACTIONS(3944),
    [anon_sym_u_DQUOTE] = ACTIONS(3944),
    [anon_sym_U_DQUOTE] = ACTIONS(3944),
    [anon_sym_u8_DQUOTE] = ACTIONS(3944),
    [anon_sym_DQUOTE] = ACTIONS(3944),
    [sym_true] = ACTIONS(3946),
    [sym_false] = ACTIONS(3946),
    [anon_sym_NULL] = ACTIONS(3948),
    [anon_sym_nullptr] = ACTIONS(3948),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(3950),
    [anon_sym_R_DQUOTE] = ACTIONS(3952),
    [anon_sym_LR_DQUOTE] = ACTIONS(3952),
    [anon_sym_uR_DQUOTE] = ACTIONS(3952),
    [anon_sym_UR_DQUOTE] = ACTIONS(3952),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3952),
    [anon_sym_co_await] = ACTIONS(3954),
    [anon_sym_new] = ACTIONS(3956),
    [anon_sym_requires] = ACTIONS(3958),
    [sym_this] = ACTIONS(3946),
  },
  [2364] = {
    [sym__expression] = STATE(4914),
    [sym__expression_not_binary] = STATE(5024),
    [sym__string] = STATE(5024),
    [sym_conditional_expression] = STATE(5024),
    [sym_assignment_expression] = STATE(5024),
    [sym_pointer_expression] = STATE(4607),
    [sym_unary_expression] = STATE(5024),
    [sym_binary_expression] = STATE(5024),
    [sym_update_expression] = STATE(5024),
    [sym_cast_expression] = STATE(5024),
    [sym_sizeof_expression] = STATE(5024),
    [sym_alignof_expression] = STATE(5024),
    [sym_offsetof_expression] = STATE(5024),
    [sym_generic_expression] = STATE(5024),
    [sym_subscript_expression] = STATE(4607),
    [sym_call_expression] = STATE(4607),
    [sym_gnu_asm_expression] = STATE(5024),
    [sym_field_expression] = STATE(4607),
    [sym_compound_literal_expression] = STATE(5024),
    [sym_parenthesized_expression] = STATE(4607),
    [sym_char_literal] = STATE(5726),
    [sym_concatenated_string] = STATE(5682),
    [sym_string_literal] = STATE(4827),
    [sym_null] = STATE(5024),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9352),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(5024),
    [sym_raw_string_literal] = STATE(4829),
    [sym_co_await_expression] = STATE(5024),
    [sym_new_expression] = STATE(5024),
    [sym_delete_expression] = STATE(5024),
    [sym_requires_clause] = STATE(5024),
    [sym_requires_expression] = STATE(5024),
    [sym_lambda_expression] = STATE(5024),
    [sym_lambda_capture_specifier] = STATE(7184),
    [sym_fold_expression] = STATE(5024),
    [sym_parameter_pack_expansion] = STATE(5024),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6886),
    [sym_qualified_identifier] = STATE(4607),
    [sym_qualified_type_identifier] = STATE(9352),
    [sym_user_defined_literal] = STATE(4607),
    [sym_identifier] = ACTIONS(4478),
    [anon_sym_LPAREN2] = ACTIONS(5015),
    [anon_sym_BANG] = ACTIONS(4482),
    [anon_sym_TILDE] = ACTIONS(4482),
    [anon_sym_DASH] = ACTIONS(4480),
    [anon_sym_PLUS] = ACTIONS(4480),
    [anon_sym_STAR] = ACTIONS(5017),
    [anon_sym_AMP] = ACTIONS(5017),
    [anon_sym_COLON_COLON] = ACTIONS(4484),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [sym_primitive_type] = ACTIONS(3146),
    [anon_sym_not] = ACTIONS(4480),
    [anon_sym_compl] = ACTIONS(4480),
    [anon_sym_DASH_DASH] = ACTIONS(5021),
    [anon_sym_PLUS_PLUS] = ACTIONS(5021),
    [anon_sym_sizeof] = ACTIONS(4486),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(4488),
    [anon_sym_L_SQUOTE] = ACTIONS(4490),
    [anon_sym_u_SQUOTE] = ACTIONS(4490),
    [anon_sym_U_SQUOTE] = ACTIONS(4490),
    [anon_sym_u8_SQUOTE] = ACTIONS(4490),
    [anon_sym_SQUOTE] = ACTIONS(4490),
    [anon_sym_L_DQUOTE] = ACTIONS(4492),
    [anon_sym_u_DQUOTE] = ACTIONS(4492),
    [anon_sym_U_DQUOTE] = ACTIONS(4492),
    [anon_sym_u8_DQUOTE] = ACTIONS(4492),
    [anon_sym_DQUOTE] = ACTIONS(4492),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(4494),
    [anon_sym_R_DQUOTE] = ACTIONS(4496),
    [anon_sym_LR_DQUOTE] = ACTIONS(4496),
    [anon_sym_uR_DQUOTE] = ACTIONS(4496),
    [anon_sym_UR_DQUOTE] = ACTIONS(4496),
    [anon_sym_u8R_DQUOTE] = ACTIONS(4496),
    [anon_sym_co_await] = ACTIONS(4498),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [2365] = {
    [sym__expression] = STATE(4819),
    [sym__expression_not_binary] = STATE(4939),
    [sym__string] = STATE(4939),
    [sym_conditional_expression] = STATE(4939),
    [sym_assignment_expression] = STATE(4939),
    [sym_pointer_expression] = STATE(4521),
    [sym_unary_expression] = STATE(4939),
    [sym_binary_expression] = STATE(4939),
    [sym_update_expression] = STATE(4939),
    [sym_cast_expression] = STATE(4939),
    [sym_sizeof_expression] = STATE(4939),
    [sym_alignof_expression] = STATE(4939),
    [sym_offsetof_expression] = STATE(4939),
    [sym_generic_expression] = STATE(4939),
    [sym_subscript_expression] = STATE(4521),
    [sym_call_expression] = STATE(4521),
    [sym_gnu_asm_expression] = STATE(4939),
    [sym_field_expression] = STATE(4521),
    [sym_compound_literal_expression] = STATE(4939),
    [sym_parenthesized_expression] = STATE(4521),
    [sym_char_literal] = STATE(4856),
    [sym_concatenated_string] = STATE(4876),
    [sym_string_literal] = STATE(3630),
    [sym_null] = STATE(4939),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9415),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(4939),
    [sym_raw_string_literal] = STATE(3632),
    [sym_co_await_expression] = STATE(4939),
    [sym_new_expression] = STATE(4939),
    [sym_delete_expression] = STATE(4939),
    [sym_requires_clause] = STATE(4939),
    [sym_requires_expression] = STATE(4939),
    [sym_lambda_expression] = STATE(4939),
    [sym_lambda_capture_specifier] = STATE(7190),
    [sym_fold_expression] = STATE(4939),
    [sym_parameter_pack_expansion] = STATE(4939),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6899),
    [sym_qualified_identifier] = STATE(4521),
    [sym_qualified_type_identifier] = STATE(9415),
    [sym_user_defined_literal] = STATE(4521),
    [sym_identifier] = ACTIONS(4178),
    [anon_sym_LPAREN2] = ACTIONS(2110),
    [anon_sym_BANG] = ACTIONS(2112),
    [anon_sym_TILDE] = ACTIONS(2112),
    [anon_sym_DASH] = ACTIONS(2114),
    [anon_sym_PLUS] = ACTIONS(2114),
    [anon_sym_STAR] = ACTIONS(2116),
    [anon_sym_AMP] = ACTIONS(2116),
    [anon_sym_COLON_COLON] = ACTIONS(2120),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [sym_primitive_type] = ACTIONS(4182),
    [anon_sym_not] = ACTIONS(2114),
    [anon_sym_compl] = ACTIONS(2114),
    [anon_sym_DASH_DASH] = ACTIONS(2132),
    [anon_sym_PLUS_PLUS] = ACTIONS(2132),
    [anon_sym_sizeof] = ACTIONS(2134),
    [anon_sym___alignof__] = ACTIONS(2136),
    [anon_sym___alignof] = ACTIONS(2136),
    [anon_sym__alignof] = ACTIONS(2136),
    [anon_sym_alignof] = ACTIONS(2136),
    [anon_sym__Alignof] = ACTIONS(2136),
    [anon_sym_offsetof] = ACTIONS(2138),
    [anon_sym__Generic] = ACTIONS(2140),
    [anon_sym_asm] = ACTIONS(2142),
    [anon_sym___asm__] = ACTIONS(2142),
    [sym_number_literal] = ACTIONS(2144),
    [anon_sym_L_SQUOTE] = ACTIONS(2146),
    [anon_sym_u_SQUOTE] = ACTIONS(2146),
    [anon_sym_U_SQUOTE] = ACTIONS(2146),
    [anon_sym_u8_SQUOTE] = ACTIONS(2146),
    [anon_sym_SQUOTE] = ACTIONS(2146),
    [anon_sym_L_DQUOTE] = ACTIONS(2148),
    [anon_sym_u_DQUOTE] = ACTIONS(2148),
    [anon_sym_U_DQUOTE] = ACTIONS(2148),
    [anon_sym_u8_DQUOTE] = ACTIONS(2148),
    [anon_sym_DQUOTE] = ACTIONS(2148),
    [sym_true] = ACTIONS(2150),
    [sym_false] = ACTIONS(2150),
    [anon_sym_NULL] = ACTIONS(2152),
    [anon_sym_nullptr] = ACTIONS(2152),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(2156),
    [anon_sym_R_DQUOTE] = ACTIONS(2158),
    [anon_sym_LR_DQUOTE] = ACTIONS(2158),
    [anon_sym_uR_DQUOTE] = ACTIONS(2158),
    [anon_sym_UR_DQUOTE] = ACTIONS(2158),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2158),
    [anon_sym_co_await] = ACTIONS(2160),
    [anon_sym_new] = ACTIONS(2162),
    [anon_sym_requires] = ACTIONS(2164),
    [sym_this] = ACTIONS(2150),
  },
  [2366] = {
    [sym__expression] = STATE(5378),
    [sym__expression_not_binary] = STATE(5575),
    [sym__string] = STATE(5575),
    [sym_conditional_expression] = STATE(5575),
    [sym_assignment_expression] = STATE(5575),
    [sym_pointer_expression] = STATE(4218),
    [sym_unary_expression] = STATE(5575),
    [sym_binary_expression] = STATE(5575),
    [sym_update_expression] = STATE(5575),
    [sym_cast_expression] = STATE(5575),
    [sym_sizeof_expression] = STATE(5575),
    [sym_alignof_expression] = STATE(5575),
    [sym_offsetof_expression] = STATE(5575),
    [sym_generic_expression] = STATE(5575),
    [sym_subscript_expression] = STATE(4218),
    [sym_call_expression] = STATE(4218),
    [sym_gnu_asm_expression] = STATE(5575),
    [sym_field_expression] = STATE(4218),
    [sym_compound_literal_expression] = STATE(5575),
    [sym_parenthesized_expression] = STATE(4218),
    [sym_char_literal] = STATE(5388),
    [sym_concatenated_string] = STATE(5429),
    [sym_string_literal] = STATE(4410),
    [sym_null] = STATE(5575),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9045),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(5575),
    [sym_raw_string_literal] = STATE(4411),
    [sym_co_await_expression] = STATE(5575),
    [sym_new_expression] = STATE(5575),
    [sym_delete_expression] = STATE(5575),
    [sym_requires_clause] = STATE(5575),
    [sym_requires_expression] = STATE(5575),
    [sym_lambda_expression] = STATE(5575),
    [sym_lambda_capture_specifier] = STATE(7089),
    [sym_fold_expression] = STATE(5575),
    [sym_parameter_pack_expansion] = STATE(5575),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6962),
    [sym_qualified_identifier] = STATE(4218),
    [sym_qualified_type_identifier] = STATE(9045),
    [sym_user_defined_literal] = STATE(4218),
    [sym_identifier] = ACTIONS(5081),
    [anon_sym_LPAREN2] = ACTIONS(5200),
    [anon_sym_BANG] = ACTIONS(4431),
    [anon_sym_TILDE] = ACTIONS(4431),
    [anon_sym_DASH] = ACTIONS(4429),
    [anon_sym_PLUS] = ACTIONS(4429),
    [anon_sym_STAR] = ACTIONS(5202),
    [anon_sym_AMP] = ACTIONS(5202),
    [anon_sym_COLON_COLON] = ACTIONS(4433),
    [anon_sym_LBRACK] = ACTIONS(5535),
    [sym_primitive_type] = ACTIONS(4437),
    [anon_sym_not] = ACTIONS(4429),
    [anon_sym_compl] = ACTIONS(4429),
    [anon_sym_DASH_DASH] = ACTIONS(5083),
    [anon_sym_PLUS_PLUS] = ACTIONS(5083),
    [anon_sym_sizeof] = ACTIONS(4439),
    [anon_sym___alignof__] = ACTIONS(4441),
    [anon_sym___alignof] = ACTIONS(4441),
    [anon_sym__alignof] = ACTIONS(4441),
    [anon_sym_alignof] = ACTIONS(4441),
    [anon_sym__Alignof] = ACTIONS(4441),
    [anon_sym_offsetof] = ACTIONS(4443),
    [anon_sym__Generic] = ACTIONS(4445),
    [anon_sym_asm] = ACTIONS(4447),
    [anon_sym___asm__] = ACTIONS(4447),
    [sym_number_literal] = ACTIONS(4449),
    [anon_sym_L_SQUOTE] = ACTIONS(4451),
    [anon_sym_u_SQUOTE] = ACTIONS(4451),
    [anon_sym_U_SQUOTE] = ACTIONS(4451),
    [anon_sym_u8_SQUOTE] = ACTIONS(4451),
    [anon_sym_SQUOTE] = ACTIONS(4451),
    [anon_sym_L_DQUOTE] = ACTIONS(4453),
    [anon_sym_u_DQUOTE] = ACTIONS(4453),
    [anon_sym_U_DQUOTE] = ACTIONS(4453),
    [anon_sym_u8_DQUOTE] = ACTIONS(4453),
    [anon_sym_DQUOTE] = ACTIONS(4453),
    [sym_true] = ACTIONS(4455),
    [sym_false] = ACTIONS(4455),
    [anon_sym_NULL] = ACTIONS(4457),
    [anon_sym_nullptr] = ACTIONS(4457),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(4459),
    [anon_sym_R_DQUOTE] = ACTIONS(4461),
    [anon_sym_LR_DQUOTE] = ACTIONS(4461),
    [anon_sym_uR_DQUOTE] = ACTIONS(4461),
    [anon_sym_UR_DQUOTE] = ACTIONS(4461),
    [anon_sym_u8R_DQUOTE] = ACTIONS(4461),
    [anon_sym_co_await] = ACTIONS(4463),
    [anon_sym_new] = ACTIONS(4465),
    [anon_sym_requires] = ACTIONS(4467),
    [sym_this] = ACTIONS(4455),
  },
  [2367] = {
    [sym__expression] = STATE(3527),
    [sym__expression_not_binary] = STATE(3672),
    [sym__string] = STATE(3672),
    [sym_conditional_expression] = STATE(3672),
    [sym_assignment_expression] = STATE(3672),
    [sym_pointer_expression] = STATE(3672),
    [sym_unary_expression] = STATE(3672),
    [sym_binary_expression] = STATE(3672),
    [sym_update_expression] = STATE(3672),
    [sym_cast_expression] = STATE(3672),
    [sym_sizeof_expression] = STATE(3672),
    [sym_alignof_expression] = STATE(3672),
    [sym_offsetof_expression] = STATE(3672),
    [sym_generic_expression] = STATE(3672),
    [sym_subscript_expression] = STATE(3672),
    [sym_call_expression] = STATE(3672),
    [sym_gnu_asm_expression] = STATE(3672),
    [sym_field_expression] = STATE(3672),
    [sym_compound_literal_expression] = STATE(3672),
    [sym_parenthesized_expression] = STATE(3672),
    [sym_char_literal] = STATE(3855),
    [sym_concatenated_string] = STATE(3873),
    [sym_string_literal] = STATE(3222),
    [sym_null] = STATE(3672),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9333),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(3672),
    [sym_raw_string_literal] = STATE(3216),
    [sym_co_await_expression] = STATE(3672),
    [sym_new_expression] = STATE(3672),
    [sym_delete_expression] = STATE(3672),
    [sym_requires_clause] = STATE(3672),
    [sym_requires_expression] = STATE(3672),
    [sym_lambda_expression] = STATE(3672),
    [sym_lambda_capture_specifier] = STATE(7134),
    [sym_fold_expression] = STATE(3672),
    [sym_parameter_pack_expansion] = STATE(3672),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6886),
    [sym_qualified_identifier] = STATE(3672),
    [sym_qualified_type_identifier] = STATE(9333),
    [sym_user_defined_literal] = STATE(3672),
    [sym_identifier] = ACTIONS(3968),
    [anon_sym_LPAREN2] = ACTIONS(5184),
    [anon_sym_BANG] = ACTIONS(3922),
    [anon_sym_TILDE] = ACTIONS(3922),
    [anon_sym_DASH] = ACTIONS(3920),
    [anon_sym_PLUS] = ACTIONS(3920),
    [anon_sym_STAR] = ACTIONS(5186),
    [anon_sym_AMP] = ACTIONS(5186),
    [anon_sym_COLON_COLON] = ACTIONS(3924),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [sym_primitive_type] = ACTIONS(3928),
    [anon_sym_not] = ACTIONS(3920),
    [anon_sym_compl] = ACTIONS(3920),
    [anon_sym_DASH_DASH] = ACTIONS(5013),
    [anon_sym_PLUS_PLUS] = ACTIONS(5013),
    [anon_sym_sizeof] = ACTIONS(3930),
    [anon_sym___alignof__] = ACTIONS(3932),
    [anon_sym___alignof] = ACTIONS(3932),
    [anon_sym__alignof] = ACTIONS(3932),
    [anon_sym_alignof] = ACTIONS(3932),
    [anon_sym__Alignof] = ACTIONS(3932),
    [anon_sym_offsetof] = ACTIONS(3934),
    [anon_sym__Generic] = ACTIONS(3936),
    [anon_sym_asm] = ACTIONS(3938),
    [anon_sym___asm__] = ACTIONS(3938),
    [sym_number_literal] = ACTIONS(3940),
    [anon_sym_L_SQUOTE] = ACTIONS(3942),
    [anon_sym_u_SQUOTE] = ACTIONS(3942),
    [anon_sym_U_SQUOTE] = ACTIONS(3942),
    [anon_sym_u8_SQUOTE] = ACTIONS(3942),
    [anon_sym_SQUOTE] = ACTIONS(3942),
    [anon_sym_L_DQUOTE] = ACTIONS(3944),
    [anon_sym_u_DQUOTE] = ACTIONS(3944),
    [anon_sym_U_DQUOTE] = ACTIONS(3944),
    [anon_sym_u8_DQUOTE] = ACTIONS(3944),
    [anon_sym_DQUOTE] = ACTIONS(3944),
    [sym_true] = ACTIONS(3946),
    [sym_false] = ACTIONS(3946),
    [anon_sym_NULL] = ACTIONS(3948),
    [anon_sym_nullptr] = ACTIONS(3948),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(3950),
    [anon_sym_R_DQUOTE] = ACTIONS(3952),
    [anon_sym_LR_DQUOTE] = ACTIONS(3952),
    [anon_sym_uR_DQUOTE] = ACTIONS(3952),
    [anon_sym_UR_DQUOTE] = ACTIONS(3952),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3952),
    [anon_sym_co_await] = ACTIONS(3954),
    [anon_sym_new] = ACTIONS(3956),
    [anon_sym_requires] = ACTIONS(3958),
    [sym_this] = ACTIONS(3946),
  },
  [2368] = {
    [sym__expression] = STATE(5631),
    [sym__expression_not_binary] = STATE(5024),
    [sym__string] = STATE(5024),
    [sym_conditional_expression] = STATE(5024),
    [sym_assignment_expression] = STATE(5024),
    [sym_pointer_expression] = STATE(4507),
    [sym_unary_expression] = STATE(5024),
    [sym_binary_expression] = STATE(5024),
    [sym_update_expression] = STATE(5024),
    [sym_cast_expression] = STATE(5024),
    [sym_sizeof_expression] = STATE(5024),
    [sym_alignof_expression] = STATE(5024),
    [sym_offsetof_expression] = STATE(5024),
    [sym_generic_expression] = STATE(5024),
    [sym_subscript_expression] = STATE(4507),
    [sym_call_expression] = STATE(4507),
    [sym_gnu_asm_expression] = STATE(5024),
    [sym_field_expression] = STATE(4507),
    [sym_compound_literal_expression] = STATE(5024),
    [sym_parenthesized_expression] = STATE(4507),
    [sym_char_literal] = STATE(5374),
    [sym_concatenated_string] = STATE(5377),
    [sym_string_literal] = STATE(4206),
    [sym_null] = STATE(5024),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9352),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(5024),
    [sym_raw_string_literal] = STATE(4217),
    [sym_co_await_expression] = STATE(5024),
    [sym_new_expression] = STATE(5024),
    [sym_delete_expression] = STATE(5024),
    [sym_requires_clause] = STATE(5024),
    [sym_requires_expression] = STATE(5024),
    [sym_lambda_expression] = STATE(5024),
    [sym_lambda_capture_specifier] = STATE(7184),
    [sym_fold_expression] = STATE(5024),
    [sym_parameter_pack_expansion] = STATE(5024),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6886),
    [sym_qualified_identifier] = STATE(4507),
    [sym_qualified_type_identifier] = STATE(9352),
    [sym_user_defined_literal] = STATE(4507),
    [sym_identifier] = ACTIONS(3140),
    [anon_sym_LPAREN2] = ACTIONS(1472),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1474),
    [anon_sym_AMP] = ACTIONS(1474),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [sym_primitive_type] = ACTIONS(3146),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [2369] = {
    [sym__expression] = STATE(5749),
    [sym__expression_not_binary] = STATE(5024),
    [sym__string] = STATE(5024),
    [sym_conditional_expression] = STATE(5024),
    [sym_assignment_expression] = STATE(5024),
    [sym_pointer_expression] = STATE(4507),
    [sym_unary_expression] = STATE(5024),
    [sym_binary_expression] = STATE(5024),
    [sym_update_expression] = STATE(5024),
    [sym_cast_expression] = STATE(5024),
    [sym_sizeof_expression] = STATE(5024),
    [sym_alignof_expression] = STATE(5024),
    [sym_offsetof_expression] = STATE(5024),
    [sym_generic_expression] = STATE(5024),
    [sym_subscript_expression] = STATE(4507),
    [sym_call_expression] = STATE(4507),
    [sym_gnu_asm_expression] = STATE(5024),
    [sym_field_expression] = STATE(4507),
    [sym_compound_literal_expression] = STATE(5024),
    [sym_parenthesized_expression] = STATE(4507),
    [sym_char_literal] = STATE(5374),
    [sym_concatenated_string] = STATE(5377),
    [sym_string_literal] = STATE(4206),
    [sym_null] = STATE(5024),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9352),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(5024),
    [sym_raw_string_literal] = STATE(4217),
    [sym_co_await_expression] = STATE(5024),
    [sym_new_expression] = STATE(5024),
    [sym_delete_expression] = STATE(5024),
    [sym_requires_clause] = STATE(5024),
    [sym_requires_expression] = STATE(5024),
    [sym_lambda_expression] = STATE(5024),
    [sym_lambda_capture_specifier] = STATE(7184),
    [sym_fold_expression] = STATE(5024),
    [sym_parameter_pack_expansion] = STATE(5024),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6886),
    [sym_qualified_identifier] = STATE(4507),
    [sym_qualified_type_identifier] = STATE(9352),
    [sym_user_defined_literal] = STATE(4507),
    [sym_identifier] = ACTIONS(3140),
    [anon_sym_LPAREN2] = ACTIONS(1472),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1474),
    [anon_sym_AMP] = ACTIONS(1474),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [sym_primitive_type] = ACTIONS(3146),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [2370] = {
    [sym__expression] = STATE(5449),
    [sym__expression_not_binary] = STATE(5024),
    [sym__string] = STATE(5024),
    [sym_conditional_expression] = STATE(5024),
    [sym_assignment_expression] = STATE(5024),
    [sym_pointer_expression] = STATE(4607),
    [sym_unary_expression] = STATE(5024),
    [sym_binary_expression] = STATE(5024),
    [sym_update_expression] = STATE(5024),
    [sym_cast_expression] = STATE(5024),
    [sym_sizeof_expression] = STATE(5024),
    [sym_alignof_expression] = STATE(5024),
    [sym_offsetof_expression] = STATE(5024),
    [sym_generic_expression] = STATE(5024),
    [sym_subscript_expression] = STATE(4607),
    [sym_call_expression] = STATE(4607),
    [sym_gnu_asm_expression] = STATE(5024),
    [sym_field_expression] = STATE(4607),
    [sym_compound_literal_expression] = STATE(5024),
    [sym_parenthesized_expression] = STATE(4607),
    [sym_char_literal] = STATE(5726),
    [sym_concatenated_string] = STATE(5682),
    [sym_string_literal] = STATE(4827),
    [sym_null] = STATE(5024),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9352),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(5024),
    [sym_raw_string_literal] = STATE(4829),
    [sym_co_await_expression] = STATE(5024),
    [sym_new_expression] = STATE(5024),
    [sym_delete_expression] = STATE(5024),
    [sym_requires_clause] = STATE(5024),
    [sym_requires_expression] = STATE(5024),
    [sym_lambda_expression] = STATE(5024),
    [sym_lambda_capture_specifier] = STATE(7184),
    [sym_fold_expression] = STATE(5024),
    [sym_parameter_pack_expansion] = STATE(5024),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6886),
    [sym_qualified_identifier] = STATE(4607),
    [sym_qualified_type_identifier] = STATE(9352),
    [sym_user_defined_literal] = STATE(4607),
    [sym_identifier] = ACTIONS(4478),
    [anon_sym_LPAREN2] = ACTIONS(5015),
    [anon_sym_BANG] = ACTIONS(4482),
    [anon_sym_TILDE] = ACTIONS(4482),
    [anon_sym_DASH] = ACTIONS(4480),
    [anon_sym_PLUS] = ACTIONS(4480),
    [anon_sym_STAR] = ACTIONS(5017),
    [anon_sym_AMP] = ACTIONS(5017),
    [anon_sym_COLON_COLON] = ACTIONS(4484),
    [anon_sym_LBRACK] = ACTIONS(5537),
    [sym_primitive_type] = ACTIONS(3146),
    [anon_sym_not] = ACTIONS(4480),
    [anon_sym_compl] = ACTIONS(4480),
    [anon_sym_DASH_DASH] = ACTIONS(5021),
    [anon_sym_PLUS_PLUS] = ACTIONS(5021),
    [anon_sym_sizeof] = ACTIONS(4486),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(4488),
    [anon_sym_L_SQUOTE] = ACTIONS(4490),
    [anon_sym_u_SQUOTE] = ACTIONS(4490),
    [anon_sym_U_SQUOTE] = ACTIONS(4490),
    [anon_sym_u8_SQUOTE] = ACTIONS(4490),
    [anon_sym_SQUOTE] = ACTIONS(4490),
    [anon_sym_L_DQUOTE] = ACTIONS(4492),
    [anon_sym_u_DQUOTE] = ACTIONS(4492),
    [anon_sym_U_DQUOTE] = ACTIONS(4492),
    [anon_sym_u8_DQUOTE] = ACTIONS(4492),
    [anon_sym_DQUOTE] = ACTIONS(4492),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(4494),
    [anon_sym_R_DQUOTE] = ACTIONS(4496),
    [anon_sym_LR_DQUOTE] = ACTIONS(4496),
    [anon_sym_uR_DQUOTE] = ACTIONS(4496),
    [anon_sym_UR_DQUOTE] = ACTIONS(4496),
    [anon_sym_u8R_DQUOTE] = ACTIONS(4496),
    [anon_sym_co_await] = ACTIONS(4498),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [2371] = {
    [sym__expression] = STATE(4895),
    [sym__expression_not_binary] = STATE(5024),
    [sym__string] = STATE(5024),
    [sym_conditional_expression] = STATE(5024),
    [sym_assignment_expression] = STATE(5024),
    [sym_pointer_expression] = STATE(4607),
    [sym_unary_expression] = STATE(5024),
    [sym_binary_expression] = STATE(5024),
    [sym_update_expression] = STATE(5024),
    [sym_cast_expression] = STATE(5024),
    [sym_sizeof_expression] = STATE(5024),
    [sym_alignof_expression] = STATE(5024),
    [sym_offsetof_expression] = STATE(5024),
    [sym_generic_expression] = STATE(5024),
    [sym_subscript_expression] = STATE(4607),
    [sym_call_expression] = STATE(4607),
    [sym_gnu_asm_expression] = STATE(5024),
    [sym_field_expression] = STATE(4607),
    [sym_compound_literal_expression] = STATE(5024),
    [sym_parenthesized_expression] = STATE(4607),
    [sym_char_literal] = STATE(5726),
    [sym_concatenated_string] = STATE(5682),
    [sym_string_literal] = STATE(4827),
    [sym_null] = STATE(5024),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9352),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(5024),
    [sym_raw_string_literal] = STATE(4829),
    [sym_co_await_expression] = STATE(5024),
    [sym_new_expression] = STATE(5024),
    [sym_delete_expression] = STATE(5024),
    [sym_requires_clause] = STATE(5024),
    [sym_requires_expression] = STATE(5024),
    [sym_lambda_expression] = STATE(5024),
    [sym_lambda_capture_specifier] = STATE(7184),
    [sym_fold_expression] = STATE(5024),
    [sym_parameter_pack_expansion] = STATE(5024),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6886),
    [sym_qualified_identifier] = STATE(4607),
    [sym_qualified_type_identifier] = STATE(9352),
    [sym_user_defined_literal] = STATE(4607),
    [sym_identifier] = ACTIONS(4478),
    [anon_sym_LPAREN2] = ACTIONS(5015),
    [anon_sym_BANG] = ACTIONS(4482),
    [anon_sym_TILDE] = ACTIONS(4482),
    [anon_sym_DASH] = ACTIONS(4480),
    [anon_sym_PLUS] = ACTIONS(4480),
    [anon_sym_STAR] = ACTIONS(5017),
    [anon_sym_AMP] = ACTIONS(5017),
    [anon_sym_COLON_COLON] = ACTIONS(4484),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [sym_primitive_type] = ACTIONS(3146),
    [anon_sym_not] = ACTIONS(4480),
    [anon_sym_compl] = ACTIONS(4480),
    [anon_sym_DASH_DASH] = ACTIONS(5021),
    [anon_sym_PLUS_PLUS] = ACTIONS(5021),
    [anon_sym_sizeof] = ACTIONS(4486),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(4488),
    [anon_sym_L_SQUOTE] = ACTIONS(4490),
    [anon_sym_u_SQUOTE] = ACTIONS(4490),
    [anon_sym_U_SQUOTE] = ACTIONS(4490),
    [anon_sym_u8_SQUOTE] = ACTIONS(4490),
    [anon_sym_SQUOTE] = ACTIONS(4490),
    [anon_sym_L_DQUOTE] = ACTIONS(4492),
    [anon_sym_u_DQUOTE] = ACTIONS(4492),
    [anon_sym_U_DQUOTE] = ACTIONS(4492),
    [anon_sym_u8_DQUOTE] = ACTIONS(4492),
    [anon_sym_DQUOTE] = ACTIONS(4492),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(4494),
    [anon_sym_R_DQUOTE] = ACTIONS(4496),
    [anon_sym_LR_DQUOTE] = ACTIONS(4496),
    [anon_sym_uR_DQUOTE] = ACTIONS(4496),
    [anon_sym_UR_DQUOTE] = ACTIONS(4496),
    [anon_sym_u8R_DQUOTE] = ACTIONS(4496),
    [anon_sym_co_await] = ACTIONS(4498),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [2372] = {
    [sym__expression] = STATE(5459),
    [sym__expression_not_binary] = STATE(5024),
    [sym__string] = STATE(5024),
    [sym_conditional_expression] = STATE(5024),
    [sym_assignment_expression] = STATE(5024),
    [sym_pointer_expression] = STATE(4607),
    [sym_unary_expression] = STATE(5024),
    [sym_binary_expression] = STATE(5024),
    [sym_update_expression] = STATE(5024),
    [sym_cast_expression] = STATE(5024),
    [sym_sizeof_expression] = STATE(5024),
    [sym_alignof_expression] = STATE(5024),
    [sym_offsetof_expression] = STATE(5024),
    [sym_generic_expression] = STATE(5024),
    [sym_subscript_expression] = STATE(4607),
    [sym_call_expression] = STATE(4607),
    [sym_gnu_asm_expression] = STATE(5024),
    [sym_field_expression] = STATE(4607),
    [sym_compound_literal_expression] = STATE(5024),
    [sym_parenthesized_expression] = STATE(4607),
    [sym_char_literal] = STATE(5726),
    [sym_concatenated_string] = STATE(5682),
    [sym_string_literal] = STATE(4827),
    [sym_null] = STATE(5024),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9352),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(5024),
    [sym_raw_string_literal] = STATE(4829),
    [sym_co_await_expression] = STATE(5024),
    [sym_new_expression] = STATE(5024),
    [sym_delete_expression] = STATE(5024),
    [sym_requires_clause] = STATE(5024),
    [sym_requires_expression] = STATE(5024),
    [sym_lambda_expression] = STATE(5024),
    [sym_lambda_capture_specifier] = STATE(7184),
    [sym_fold_expression] = STATE(5024),
    [sym_parameter_pack_expansion] = STATE(5024),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6886),
    [sym_qualified_identifier] = STATE(4607),
    [sym_qualified_type_identifier] = STATE(9352),
    [sym_user_defined_literal] = STATE(4607),
    [sym_identifier] = ACTIONS(4478),
    [anon_sym_LPAREN2] = ACTIONS(5015),
    [anon_sym_BANG] = ACTIONS(4482),
    [anon_sym_TILDE] = ACTIONS(4482),
    [anon_sym_DASH] = ACTIONS(4480),
    [anon_sym_PLUS] = ACTIONS(4480),
    [anon_sym_STAR] = ACTIONS(5017),
    [anon_sym_AMP] = ACTIONS(5017),
    [anon_sym_COLON_COLON] = ACTIONS(4484),
    [anon_sym_LBRACK] = ACTIONS(5287),
    [sym_primitive_type] = ACTIONS(3146),
    [anon_sym_not] = ACTIONS(4480),
    [anon_sym_compl] = ACTIONS(4480),
    [anon_sym_DASH_DASH] = ACTIONS(5021),
    [anon_sym_PLUS_PLUS] = ACTIONS(5021),
    [anon_sym_sizeof] = ACTIONS(4486),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(4488),
    [anon_sym_L_SQUOTE] = ACTIONS(4490),
    [anon_sym_u_SQUOTE] = ACTIONS(4490),
    [anon_sym_U_SQUOTE] = ACTIONS(4490),
    [anon_sym_u8_SQUOTE] = ACTIONS(4490),
    [anon_sym_SQUOTE] = ACTIONS(4490),
    [anon_sym_L_DQUOTE] = ACTIONS(4492),
    [anon_sym_u_DQUOTE] = ACTIONS(4492),
    [anon_sym_U_DQUOTE] = ACTIONS(4492),
    [anon_sym_u8_DQUOTE] = ACTIONS(4492),
    [anon_sym_DQUOTE] = ACTIONS(4492),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(4494),
    [anon_sym_R_DQUOTE] = ACTIONS(4496),
    [anon_sym_LR_DQUOTE] = ACTIONS(4496),
    [anon_sym_uR_DQUOTE] = ACTIONS(4496),
    [anon_sym_UR_DQUOTE] = ACTIONS(4496),
    [anon_sym_u8R_DQUOTE] = ACTIONS(4496),
    [anon_sym_co_await] = ACTIONS(4498),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [2373] = {
    [sym__expression] = STATE(4344),
    [sym__expression_not_binary] = STATE(4695),
    [sym__string] = STATE(4695),
    [sym_conditional_expression] = STATE(4695),
    [sym_assignment_expression] = STATE(4695),
    [sym_pointer_expression] = STATE(4695),
    [sym_unary_expression] = STATE(4695),
    [sym_binary_expression] = STATE(4695),
    [sym_update_expression] = STATE(4695),
    [sym_cast_expression] = STATE(4695),
    [sym_sizeof_expression] = STATE(4695),
    [sym_alignof_expression] = STATE(4695),
    [sym_offsetof_expression] = STATE(4695),
    [sym_generic_expression] = STATE(4695),
    [sym_subscript_expression] = STATE(4695),
    [sym_call_expression] = STATE(4695),
    [sym_gnu_asm_expression] = STATE(4695),
    [sym_field_expression] = STATE(4695),
    [sym_compound_literal_expression] = STATE(4695),
    [sym_parenthesized_expression] = STATE(4695),
    [sym_char_literal] = STATE(4427),
    [sym_concatenated_string] = STATE(4424),
    [sym_string_literal] = STATE(3398),
    [sym_null] = STATE(4695),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9425),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(4695),
    [sym_raw_string_literal] = STATE(3396),
    [sym_co_await_expression] = STATE(4695),
    [sym_new_expression] = STATE(4695),
    [sym_delete_expression] = STATE(4695),
    [sym_requires_clause] = STATE(4695),
    [sym_requires_expression] = STATE(4695),
    [sym_lambda_expression] = STATE(4695),
    [sym_lambda_capture_specifier] = STATE(7185),
    [sym_fold_expression] = STATE(4695),
    [sym_parameter_pack_expansion] = STATE(4695),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6899),
    [sym_qualified_identifier] = STATE(4695),
    [sym_qualified_type_identifier] = STATE(9425),
    [sym_user_defined_literal] = STATE(4695),
    [sym_identifier] = ACTIONS(4092),
    [anon_sym_LPAREN2] = ACTIONS(4188),
    [anon_sym_BANG] = ACTIONS(2532),
    [anon_sym_TILDE] = ACTIONS(2532),
    [anon_sym_DASH] = ACTIONS(2536),
    [anon_sym_PLUS] = ACTIONS(2536),
    [anon_sym_STAR] = ACTIONS(2116),
    [anon_sym_AMP] = ACTIONS(2116),
    [anon_sym_COLON_COLON] = ACTIONS(2542),
    [anon_sym_LBRACK] = ACTIONS(5539),
    [sym_primitive_type] = ACTIONS(4096),
    [anon_sym_not] = ACTIONS(2536),
    [anon_sym_compl] = ACTIONS(2536),
    [anon_sym_DASH_DASH] = ACTIONS(2560),
    [anon_sym_PLUS_PLUS] = ACTIONS(2560),
    [anon_sym_sizeof] = ACTIONS(2562),
    [anon_sym___alignof__] = ACTIONS(2564),
    [anon_sym___alignof] = ACTIONS(2564),
    [anon_sym__alignof] = ACTIONS(2564),
    [anon_sym_alignof] = ACTIONS(2564),
    [anon_sym__Alignof] = ACTIONS(2564),
    [anon_sym_offsetof] = ACTIONS(2566),
    [anon_sym__Generic] = ACTIONS(2568),
    [anon_sym_asm] = ACTIONS(2570),
    [anon_sym___asm__] = ACTIONS(2570),
    [sym_number_literal] = ACTIONS(2572),
    [anon_sym_L_SQUOTE] = ACTIONS(2574),
    [anon_sym_u_SQUOTE] = ACTIONS(2574),
    [anon_sym_U_SQUOTE] = ACTIONS(2574),
    [anon_sym_u8_SQUOTE] = ACTIONS(2574),
    [anon_sym_SQUOTE] = ACTIONS(2574),
    [anon_sym_L_DQUOTE] = ACTIONS(2576),
    [anon_sym_u_DQUOTE] = ACTIONS(2576),
    [anon_sym_U_DQUOTE] = ACTIONS(2576),
    [anon_sym_u8_DQUOTE] = ACTIONS(2576),
    [anon_sym_DQUOTE] = ACTIONS(2576),
    [sym_true] = ACTIONS(2578),
    [sym_false] = ACTIONS(2578),
    [anon_sym_NULL] = ACTIONS(2580),
    [anon_sym_nullptr] = ACTIONS(2580),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(2590),
    [anon_sym_R_DQUOTE] = ACTIONS(2592),
    [anon_sym_LR_DQUOTE] = ACTIONS(2592),
    [anon_sym_uR_DQUOTE] = ACTIONS(2592),
    [anon_sym_UR_DQUOTE] = ACTIONS(2592),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2592),
    [anon_sym_co_await] = ACTIONS(2594),
    [anon_sym_new] = ACTIONS(2596),
    [anon_sym_requires] = ACTIONS(2598),
    [sym_this] = ACTIONS(2578),
  },
  [2374] = {
    [sym__expression] = STATE(5932),
    [sym__expression_not_binary] = STATE(5024),
    [sym__string] = STATE(5024),
    [sym_conditional_expression] = STATE(5024),
    [sym_assignment_expression] = STATE(5024),
    [sym_pointer_expression] = STATE(4507),
    [sym_unary_expression] = STATE(5024),
    [sym_binary_expression] = STATE(5024),
    [sym_update_expression] = STATE(5024),
    [sym_cast_expression] = STATE(5024),
    [sym_sizeof_expression] = STATE(5024),
    [sym_alignof_expression] = STATE(5024),
    [sym_offsetof_expression] = STATE(5024),
    [sym_generic_expression] = STATE(5024),
    [sym_subscript_expression] = STATE(4507),
    [sym_call_expression] = STATE(4507),
    [sym_gnu_asm_expression] = STATE(5024),
    [sym_field_expression] = STATE(4507),
    [sym_compound_literal_expression] = STATE(5024),
    [sym_parenthesized_expression] = STATE(4507),
    [sym_char_literal] = STATE(5374),
    [sym_concatenated_string] = STATE(5377),
    [sym_string_literal] = STATE(4206),
    [sym_null] = STATE(5024),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9352),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(5024),
    [sym_raw_string_literal] = STATE(4217),
    [sym_co_await_expression] = STATE(5024),
    [sym_new_expression] = STATE(5024),
    [sym_delete_expression] = STATE(5024),
    [sym_requires_clause] = STATE(5024),
    [sym_requires_expression] = STATE(5024),
    [sym_lambda_expression] = STATE(5024),
    [sym_lambda_capture_specifier] = STATE(7184),
    [sym_fold_expression] = STATE(5024),
    [sym_parameter_pack_expansion] = STATE(5024),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6886),
    [sym_qualified_identifier] = STATE(4507),
    [sym_qualified_type_identifier] = STATE(9352),
    [sym_user_defined_literal] = STATE(4507),
    [sym_identifier] = ACTIONS(3140),
    [anon_sym_LPAREN2] = ACTIONS(1472),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1474),
    [anon_sym_AMP] = ACTIONS(1474),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [sym_primitive_type] = ACTIONS(3146),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [2375] = {
    [sym__expression] = STATE(5739),
    [sym__expression_not_binary] = STATE(5024),
    [sym__string] = STATE(5024),
    [sym_conditional_expression] = STATE(5024),
    [sym_assignment_expression] = STATE(5024),
    [sym_pointer_expression] = STATE(4507),
    [sym_unary_expression] = STATE(5024),
    [sym_binary_expression] = STATE(5024),
    [sym_update_expression] = STATE(5024),
    [sym_cast_expression] = STATE(5024),
    [sym_sizeof_expression] = STATE(5024),
    [sym_alignof_expression] = STATE(5024),
    [sym_offsetof_expression] = STATE(5024),
    [sym_generic_expression] = STATE(5024),
    [sym_subscript_expression] = STATE(4507),
    [sym_call_expression] = STATE(4507),
    [sym_gnu_asm_expression] = STATE(5024),
    [sym_field_expression] = STATE(4507),
    [sym_compound_literal_expression] = STATE(5024),
    [sym_parenthesized_expression] = STATE(4507),
    [sym_char_literal] = STATE(5374),
    [sym_concatenated_string] = STATE(5377),
    [sym_string_literal] = STATE(4206),
    [sym_null] = STATE(5024),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9352),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(5024),
    [sym_raw_string_literal] = STATE(4217),
    [sym_co_await_expression] = STATE(5024),
    [sym_new_expression] = STATE(5024),
    [sym_delete_expression] = STATE(5024),
    [sym_requires_clause] = STATE(5024),
    [sym_requires_expression] = STATE(5024),
    [sym_lambda_expression] = STATE(5024),
    [sym_lambda_capture_specifier] = STATE(7184),
    [sym_fold_expression] = STATE(5024),
    [sym_parameter_pack_expansion] = STATE(5024),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6886),
    [sym_qualified_identifier] = STATE(4507),
    [sym_qualified_type_identifier] = STATE(9352),
    [sym_user_defined_literal] = STATE(4507),
    [sym_identifier] = ACTIONS(3140),
    [anon_sym_LPAREN2] = ACTIONS(1472),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1474),
    [anon_sym_AMP] = ACTIONS(1474),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [sym_primitive_type] = ACTIONS(3146),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [2376] = {
    [sym__expression] = STATE(4802),
    [sym__expression_not_binary] = STATE(4939),
    [sym__string] = STATE(4939),
    [sym_conditional_expression] = STATE(4939),
    [sym_assignment_expression] = STATE(4939),
    [sym_pointer_expression] = STATE(4521),
    [sym_unary_expression] = STATE(4939),
    [sym_binary_expression] = STATE(4939),
    [sym_update_expression] = STATE(4939),
    [sym_cast_expression] = STATE(4939),
    [sym_sizeof_expression] = STATE(4939),
    [sym_alignof_expression] = STATE(4939),
    [sym_offsetof_expression] = STATE(4939),
    [sym_generic_expression] = STATE(4939),
    [sym_subscript_expression] = STATE(4521),
    [sym_call_expression] = STATE(4521),
    [sym_gnu_asm_expression] = STATE(4939),
    [sym_field_expression] = STATE(4521),
    [sym_compound_literal_expression] = STATE(4939),
    [sym_parenthesized_expression] = STATE(4521),
    [sym_char_literal] = STATE(4856),
    [sym_concatenated_string] = STATE(4876),
    [sym_string_literal] = STATE(3630),
    [sym_null] = STATE(4939),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9415),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(4939),
    [sym_raw_string_literal] = STATE(3632),
    [sym_co_await_expression] = STATE(4939),
    [sym_new_expression] = STATE(4939),
    [sym_delete_expression] = STATE(4939),
    [sym_requires_clause] = STATE(4939),
    [sym_requires_expression] = STATE(4939),
    [sym_lambda_expression] = STATE(4939),
    [sym_lambda_capture_specifier] = STATE(7190),
    [sym_fold_expression] = STATE(4939),
    [sym_parameter_pack_expansion] = STATE(4939),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6899),
    [sym_qualified_identifier] = STATE(4521),
    [sym_qualified_type_identifier] = STATE(9415),
    [sym_user_defined_literal] = STATE(4521),
    [sym_identifier] = ACTIONS(4178),
    [anon_sym_LPAREN2] = ACTIONS(2110),
    [anon_sym_BANG] = ACTIONS(2112),
    [anon_sym_TILDE] = ACTIONS(2112),
    [anon_sym_DASH] = ACTIONS(2114),
    [anon_sym_PLUS] = ACTIONS(2114),
    [anon_sym_STAR] = ACTIONS(2116),
    [anon_sym_AMP] = ACTIONS(2116),
    [anon_sym_COLON_COLON] = ACTIONS(2120),
    [anon_sym_LBRACK] = ACTIONS(5541),
    [sym_primitive_type] = ACTIONS(4182),
    [anon_sym_not] = ACTIONS(2114),
    [anon_sym_compl] = ACTIONS(2114),
    [anon_sym_DASH_DASH] = ACTIONS(2132),
    [anon_sym_PLUS_PLUS] = ACTIONS(2132),
    [anon_sym_sizeof] = ACTIONS(2134),
    [anon_sym___alignof__] = ACTIONS(2136),
    [anon_sym___alignof] = ACTIONS(2136),
    [anon_sym__alignof] = ACTIONS(2136),
    [anon_sym_alignof] = ACTIONS(2136),
    [anon_sym__Alignof] = ACTIONS(2136),
    [anon_sym_offsetof] = ACTIONS(2138),
    [anon_sym__Generic] = ACTIONS(2140),
    [anon_sym_asm] = ACTIONS(2142),
    [anon_sym___asm__] = ACTIONS(2142),
    [sym_number_literal] = ACTIONS(2144),
    [anon_sym_L_SQUOTE] = ACTIONS(2146),
    [anon_sym_u_SQUOTE] = ACTIONS(2146),
    [anon_sym_U_SQUOTE] = ACTIONS(2146),
    [anon_sym_u8_SQUOTE] = ACTIONS(2146),
    [anon_sym_SQUOTE] = ACTIONS(2146),
    [anon_sym_L_DQUOTE] = ACTIONS(2148),
    [anon_sym_u_DQUOTE] = ACTIONS(2148),
    [anon_sym_U_DQUOTE] = ACTIONS(2148),
    [anon_sym_u8_DQUOTE] = ACTIONS(2148),
    [anon_sym_DQUOTE] = ACTIONS(2148),
    [sym_true] = ACTIONS(2150),
    [sym_false] = ACTIONS(2150),
    [anon_sym_NULL] = ACTIONS(2152),
    [anon_sym_nullptr] = ACTIONS(2152),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(2156),
    [anon_sym_R_DQUOTE] = ACTIONS(2158),
    [anon_sym_LR_DQUOTE] = ACTIONS(2158),
    [anon_sym_uR_DQUOTE] = ACTIONS(2158),
    [anon_sym_UR_DQUOTE] = ACTIONS(2158),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2158),
    [anon_sym_co_await] = ACTIONS(2160),
    [anon_sym_new] = ACTIONS(2162),
    [anon_sym_requires] = ACTIONS(2164),
    [sym_this] = ACTIONS(2150),
  },
  [2377] = {
    [sym__expression] = STATE(4833),
    [sym__expression_not_binary] = STATE(4939),
    [sym__string] = STATE(4939),
    [sym_conditional_expression] = STATE(4939),
    [sym_assignment_expression] = STATE(4939),
    [sym_pointer_expression] = STATE(4521),
    [sym_unary_expression] = STATE(4939),
    [sym_binary_expression] = STATE(4939),
    [sym_update_expression] = STATE(4939),
    [sym_cast_expression] = STATE(4939),
    [sym_sizeof_expression] = STATE(4939),
    [sym_alignof_expression] = STATE(4939),
    [sym_offsetof_expression] = STATE(4939),
    [sym_generic_expression] = STATE(4939),
    [sym_subscript_expression] = STATE(4521),
    [sym_call_expression] = STATE(4521),
    [sym_gnu_asm_expression] = STATE(4939),
    [sym_field_expression] = STATE(4521),
    [sym_compound_literal_expression] = STATE(4939),
    [sym_parenthesized_expression] = STATE(4521),
    [sym_char_literal] = STATE(4856),
    [sym_concatenated_string] = STATE(4876),
    [sym_string_literal] = STATE(3630),
    [sym_null] = STATE(4939),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9415),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(4939),
    [sym_raw_string_literal] = STATE(3632),
    [sym_co_await_expression] = STATE(4939),
    [sym_new_expression] = STATE(4939),
    [sym_delete_expression] = STATE(4939),
    [sym_requires_clause] = STATE(4939),
    [sym_requires_expression] = STATE(4939),
    [sym_lambda_expression] = STATE(4939),
    [sym_lambda_capture_specifier] = STATE(7190),
    [sym_fold_expression] = STATE(4939),
    [sym_parameter_pack_expansion] = STATE(4939),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6899),
    [sym_qualified_identifier] = STATE(4521),
    [sym_qualified_type_identifier] = STATE(9415),
    [sym_user_defined_literal] = STATE(4521),
    [sym_identifier] = ACTIONS(4178),
    [anon_sym_LPAREN2] = ACTIONS(2110),
    [anon_sym_BANG] = ACTIONS(2112),
    [anon_sym_TILDE] = ACTIONS(2112),
    [anon_sym_DASH] = ACTIONS(2114),
    [anon_sym_PLUS] = ACTIONS(2114),
    [anon_sym_STAR] = ACTIONS(2116),
    [anon_sym_AMP] = ACTIONS(2116),
    [anon_sym_COLON_COLON] = ACTIONS(2120),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [sym_primitive_type] = ACTIONS(4182),
    [anon_sym_not] = ACTIONS(2114),
    [anon_sym_compl] = ACTIONS(2114),
    [anon_sym_DASH_DASH] = ACTIONS(2132),
    [anon_sym_PLUS_PLUS] = ACTIONS(2132),
    [anon_sym_sizeof] = ACTIONS(2134),
    [anon_sym___alignof__] = ACTIONS(2136),
    [anon_sym___alignof] = ACTIONS(2136),
    [anon_sym__alignof] = ACTIONS(2136),
    [anon_sym_alignof] = ACTIONS(2136),
    [anon_sym__Alignof] = ACTIONS(2136),
    [anon_sym_offsetof] = ACTIONS(2138),
    [anon_sym__Generic] = ACTIONS(2140),
    [anon_sym_asm] = ACTIONS(2142),
    [anon_sym___asm__] = ACTIONS(2142),
    [sym_number_literal] = ACTIONS(2144),
    [anon_sym_L_SQUOTE] = ACTIONS(2146),
    [anon_sym_u_SQUOTE] = ACTIONS(2146),
    [anon_sym_U_SQUOTE] = ACTIONS(2146),
    [anon_sym_u8_SQUOTE] = ACTIONS(2146),
    [anon_sym_SQUOTE] = ACTIONS(2146),
    [anon_sym_L_DQUOTE] = ACTIONS(2148),
    [anon_sym_u_DQUOTE] = ACTIONS(2148),
    [anon_sym_U_DQUOTE] = ACTIONS(2148),
    [anon_sym_u8_DQUOTE] = ACTIONS(2148),
    [anon_sym_DQUOTE] = ACTIONS(2148),
    [sym_true] = ACTIONS(2150),
    [sym_false] = ACTIONS(2150),
    [anon_sym_NULL] = ACTIONS(2152),
    [anon_sym_nullptr] = ACTIONS(2152),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(2156),
    [anon_sym_R_DQUOTE] = ACTIONS(2158),
    [anon_sym_LR_DQUOTE] = ACTIONS(2158),
    [anon_sym_uR_DQUOTE] = ACTIONS(2158),
    [anon_sym_UR_DQUOTE] = ACTIONS(2158),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2158),
    [anon_sym_co_await] = ACTIONS(2160),
    [anon_sym_new] = ACTIONS(2162),
    [anon_sym_requires] = ACTIONS(2164),
    [sym_this] = ACTIONS(2150),
  },
  [2378] = {
    [sym__expression] = STATE(5462),
    [sym__expression_not_binary] = STATE(5024),
    [sym__string] = STATE(5024),
    [sym_conditional_expression] = STATE(5024),
    [sym_assignment_expression] = STATE(5024),
    [sym_pointer_expression] = STATE(4507),
    [sym_unary_expression] = STATE(5024),
    [sym_binary_expression] = STATE(5024),
    [sym_update_expression] = STATE(5024),
    [sym_cast_expression] = STATE(5024),
    [sym_sizeof_expression] = STATE(5024),
    [sym_alignof_expression] = STATE(5024),
    [sym_offsetof_expression] = STATE(5024),
    [sym_generic_expression] = STATE(5024),
    [sym_subscript_expression] = STATE(4507),
    [sym_call_expression] = STATE(4507),
    [sym_gnu_asm_expression] = STATE(5024),
    [sym_field_expression] = STATE(4507),
    [sym_compound_literal_expression] = STATE(5024),
    [sym_parenthesized_expression] = STATE(4507),
    [sym_char_literal] = STATE(5374),
    [sym_concatenated_string] = STATE(5377),
    [sym_string_literal] = STATE(4206),
    [sym_null] = STATE(5024),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9352),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(5024),
    [sym_raw_string_literal] = STATE(4217),
    [sym_co_await_expression] = STATE(5024),
    [sym_new_expression] = STATE(5024),
    [sym_delete_expression] = STATE(5024),
    [sym_requires_clause] = STATE(5024),
    [sym_requires_expression] = STATE(5024),
    [sym_lambda_expression] = STATE(5024),
    [sym_lambda_capture_specifier] = STATE(7184),
    [sym_fold_expression] = STATE(5024),
    [sym_parameter_pack_expansion] = STATE(5024),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6886),
    [sym_qualified_identifier] = STATE(4507),
    [sym_qualified_type_identifier] = STATE(9352),
    [sym_user_defined_literal] = STATE(4507),
    [sym_identifier] = ACTIONS(3140),
    [anon_sym_LPAREN2] = ACTIONS(1472),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1474),
    [anon_sym_AMP] = ACTIONS(1474),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [sym_primitive_type] = ACTIONS(3146),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [2379] = {
    [sym__expression] = STATE(5948),
    [sym__expression_not_binary] = STATE(5024),
    [sym__string] = STATE(5024),
    [sym_conditional_expression] = STATE(5024),
    [sym_assignment_expression] = STATE(5024),
    [sym_pointer_expression] = STATE(4507),
    [sym_unary_expression] = STATE(5024),
    [sym_binary_expression] = STATE(5024),
    [sym_update_expression] = STATE(5024),
    [sym_cast_expression] = STATE(5024),
    [sym_sizeof_expression] = STATE(5024),
    [sym_alignof_expression] = STATE(5024),
    [sym_offsetof_expression] = STATE(5024),
    [sym_generic_expression] = STATE(5024),
    [sym_subscript_expression] = STATE(4507),
    [sym_call_expression] = STATE(4507),
    [sym_gnu_asm_expression] = STATE(5024),
    [sym_field_expression] = STATE(4507),
    [sym_compound_literal_expression] = STATE(5024),
    [sym_parenthesized_expression] = STATE(4507),
    [sym_char_literal] = STATE(5374),
    [sym_concatenated_string] = STATE(5377),
    [sym_string_literal] = STATE(4206),
    [sym_null] = STATE(5024),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9352),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(5024),
    [sym_raw_string_literal] = STATE(4217),
    [sym_co_await_expression] = STATE(5024),
    [sym_new_expression] = STATE(5024),
    [sym_delete_expression] = STATE(5024),
    [sym_requires_clause] = STATE(5024),
    [sym_requires_expression] = STATE(5024),
    [sym_lambda_expression] = STATE(5024),
    [sym_lambda_capture_specifier] = STATE(7184),
    [sym_fold_expression] = STATE(5024),
    [sym_parameter_pack_expansion] = STATE(5024),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6886),
    [sym_qualified_identifier] = STATE(4507),
    [sym_qualified_type_identifier] = STATE(9352),
    [sym_user_defined_literal] = STATE(4507),
    [sym_identifier] = ACTIONS(3140),
    [anon_sym_LPAREN2] = ACTIONS(1472),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1474),
    [anon_sym_AMP] = ACTIONS(1474),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [sym_primitive_type] = ACTIONS(3146),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [2380] = {
    [sym__expression] = STATE(3526),
    [sym__expression_not_binary] = STATE(3672),
    [sym__string] = STATE(3672),
    [sym_conditional_expression] = STATE(3672),
    [sym_assignment_expression] = STATE(3672),
    [sym_pointer_expression] = STATE(3672),
    [sym_unary_expression] = STATE(3672),
    [sym_binary_expression] = STATE(3672),
    [sym_update_expression] = STATE(3672),
    [sym_cast_expression] = STATE(3672),
    [sym_sizeof_expression] = STATE(3672),
    [sym_alignof_expression] = STATE(3672),
    [sym_offsetof_expression] = STATE(3672),
    [sym_generic_expression] = STATE(3672),
    [sym_subscript_expression] = STATE(3672),
    [sym_call_expression] = STATE(3672),
    [sym_gnu_asm_expression] = STATE(3672),
    [sym_field_expression] = STATE(3672),
    [sym_compound_literal_expression] = STATE(3672),
    [sym_parenthesized_expression] = STATE(3672),
    [sym_char_literal] = STATE(3855),
    [sym_concatenated_string] = STATE(3873),
    [sym_string_literal] = STATE(3222),
    [sym_null] = STATE(3672),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9333),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(3672),
    [sym_raw_string_literal] = STATE(3216),
    [sym_co_await_expression] = STATE(3672),
    [sym_new_expression] = STATE(3672),
    [sym_delete_expression] = STATE(3672),
    [sym_requires_clause] = STATE(3672),
    [sym_requires_expression] = STATE(3672),
    [sym_lambda_expression] = STATE(3672),
    [sym_lambda_capture_specifier] = STATE(7134),
    [sym_fold_expression] = STATE(3672),
    [sym_parameter_pack_expansion] = STATE(3672),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6886),
    [sym_qualified_identifier] = STATE(3672),
    [sym_qualified_type_identifier] = STATE(9333),
    [sym_user_defined_literal] = STATE(3672),
    [sym_identifier] = ACTIONS(3968),
    [anon_sym_LPAREN2] = ACTIONS(5184),
    [anon_sym_BANG] = ACTIONS(3922),
    [anon_sym_TILDE] = ACTIONS(3922),
    [anon_sym_DASH] = ACTIONS(3920),
    [anon_sym_PLUS] = ACTIONS(3920),
    [anon_sym_STAR] = ACTIONS(5186),
    [anon_sym_AMP] = ACTIONS(5186),
    [anon_sym_COLON_COLON] = ACTIONS(3924),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [sym_primitive_type] = ACTIONS(3928),
    [anon_sym_not] = ACTIONS(3920),
    [anon_sym_compl] = ACTIONS(3920),
    [anon_sym_DASH_DASH] = ACTIONS(5013),
    [anon_sym_PLUS_PLUS] = ACTIONS(5013),
    [anon_sym_sizeof] = ACTIONS(3930),
    [anon_sym___alignof__] = ACTIONS(3932),
    [anon_sym___alignof] = ACTIONS(3932),
    [anon_sym__alignof] = ACTIONS(3932),
    [anon_sym_alignof] = ACTIONS(3932),
    [anon_sym__Alignof] = ACTIONS(3932),
    [anon_sym_offsetof] = ACTIONS(3934),
    [anon_sym__Generic] = ACTIONS(3936),
    [anon_sym_asm] = ACTIONS(3938),
    [anon_sym___asm__] = ACTIONS(3938),
    [sym_number_literal] = ACTIONS(3940),
    [anon_sym_L_SQUOTE] = ACTIONS(3942),
    [anon_sym_u_SQUOTE] = ACTIONS(3942),
    [anon_sym_U_SQUOTE] = ACTIONS(3942),
    [anon_sym_u8_SQUOTE] = ACTIONS(3942),
    [anon_sym_SQUOTE] = ACTIONS(3942),
    [anon_sym_L_DQUOTE] = ACTIONS(3944),
    [anon_sym_u_DQUOTE] = ACTIONS(3944),
    [anon_sym_U_DQUOTE] = ACTIONS(3944),
    [anon_sym_u8_DQUOTE] = ACTIONS(3944),
    [anon_sym_DQUOTE] = ACTIONS(3944),
    [sym_true] = ACTIONS(3946),
    [sym_false] = ACTIONS(3946),
    [anon_sym_NULL] = ACTIONS(3948),
    [anon_sym_nullptr] = ACTIONS(3948),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(3950),
    [anon_sym_R_DQUOTE] = ACTIONS(3952),
    [anon_sym_LR_DQUOTE] = ACTIONS(3952),
    [anon_sym_uR_DQUOTE] = ACTIONS(3952),
    [anon_sym_UR_DQUOTE] = ACTIONS(3952),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3952),
    [anon_sym_co_await] = ACTIONS(3954),
    [anon_sym_new] = ACTIONS(3956),
    [anon_sym_requires] = ACTIONS(3958),
    [sym_this] = ACTIONS(3946),
  },
  [2381] = {
    [sym__expression] = STATE(5395),
    [sym__expression_not_binary] = STATE(5024),
    [sym__string] = STATE(5024),
    [sym_conditional_expression] = STATE(5024),
    [sym_assignment_expression] = STATE(5024),
    [sym_pointer_expression] = STATE(4507),
    [sym_unary_expression] = STATE(5024),
    [sym_binary_expression] = STATE(5024),
    [sym_update_expression] = STATE(5024),
    [sym_cast_expression] = STATE(5024),
    [sym_sizeof_expression] = STATE(5024),
    [sym_alignof_expression] = STATE(5024),
    [sym_offsetof_expression] = STATE(5024),
    [sym_generic_expression] = STATE(5024),
    [sym_subscript_expression] = STATE(4507),
    [sym_call_expression] = STATE(4507),
    [sym_gnu_asm_expression] = STATE(5024),
    [sym_field_expression] = STATE(4507),
    [sym_compound_literal_expression] = STATE(5024),
    [sym_parenthesized_expression] = STATE(4507),
    [sym_char_literal] = STATE(5374),
    [sym_concatenated_string] = STATE(5377),
    [sym_string_literal] = STATE(4206),
    [sym_null] = STATE(5024),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9352),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(5024),
    [sym_raw_string_literal] = STATE(4217),
    [sym_co_await_expression] = STATE(5024),
    [sym_new_expression] = STATE(5024),
    [sym_delete_expression] = STATE(5024),
    [sym_requires_clause] = STATE(5024),
    [sym_requires_expression] = STATE(5024),
    [sym_lambda_expression] = STATE(5024),
    [sym_lambda_capture_specifier] = STATE(7184),
    [sym_fold_expression] = STATE(5024),
    [sym_parameter_pack_expansion] = STATE(5024),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6886),
    [sym_qualified_identifier] = STATE(4507),
    [sym_qualified_type_identifier] = STATE(9352),
    [sym_user_defined_literal] = STATE(4507),
    [sym_identifier] = ACTIONS(3140),
    [anon_sym_LPAREN2] = ACTIONS(1472),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1474),
    [anon_sym_AMP] = ACTIONS(1474),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [sym_primitive_type] = ACTIONS(3146),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [2382] = {
    [sym__expression] = STATE(5691),
    [sym__expression_not_binary] = STATE(5024),
    [sym__string] = STATE(5024),
    [sym_conditional_expression] = STATE(5024),
    [sym_assignment_expression] = STATE(5024),
    [sym_pointer_expression] = STATE(4713),
    [sym_unary_expression] = STATE(5024),
    [sym_binary_expression] = STATE(5024),
    [sym_update_expression] = STATE(5024),
    [sym_cast_expression] = STATE(5024),
    [sym_sizeof_expression] = STATE(5024),
    [sym_alignof_expression] = STATE(5024),
    [sym_offsetof_expression] = STATE(5024),
    [sym_generic_expression] = STATE(5024),
    [sym_subscript_expression] = STATE(4713),
    [sym_call_expression] = STATE(4713),
    [sym_gnu_asm_expression] = STATE(5024),
    [sym_field_expression] = STATE(4713),
    [sym_compound_literal_expression] = STATE(5024),
    [sym_parenthesized_expression] = STATE(4713),
    [sym_char_literal] = STATE(5374),
    [sym_concatenated_string] = STATE(5377),
    [sym_string_literal] = STATE(4206),
    [sym_null] = STATE(5024),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9352),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(5024),
    [sym_raw_string_literal] = STATE(4217),
    [sym_co_await_expression] = STATE(5024),
    [sym_new_expression] = STATE(5024),
    [sym_delete_expression] = STATE(5024),
    [sym_requires_clause] = STATE(5024),
    [sym_requires_expression] = STATE(5024),
    [sym_lambda_expression] = STATE(5024),
    [sym_lambda_capture_specifier] = STATE(7184),
    [sym_fold_expression] = STATE(5024),
    [sym_parameter_pack_expansion] = STATE(5024),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6886),
    [sym_qualified_identifier] = STATE(4713),
    [sym_qualified_type_identifier] = STATE(9352),
    [sym_user_defined_literal] = STATE(4713),
    [sym_identifier] = ACTIONS(4518),
    [anon_sym_LPAREN2] = ACTIONS(5188),
    [anon_sym_BANG] = ACTIONS(4522),
    [anon_sym_TILDE] = ACTIONS(4522),
    [anon_sym_DASH] = ACTIONS(4520),
    [anon_sym_PLUS] = ACTIONS(4520),
    [anon_sym_STAR] = ACTIONS(5190),
    [anon_sym_AMP] = ACTIONS(5190),
    [anon_sym_COLON_COLON] = ACTIONS(4524),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [sym_primitive_type] = ACTIONS(3146),
    [anon_sym_not] = ACTIONS(4520),
    [anon_sym_compl] = ACTIONS(4520),
    [anon_sym_DASH_DASH] = ACTIONS(5071),
    [anon_sym_PLUS_PLUS] = ACTIONS(5071),
    [anon_sym_sizeof] = ACTIONS(4526),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(4528),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(4530),
    [anon_sym_new] = ACTIONS(4516),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [2383] = {
    [sym__expression] = STATE(5899),
    [sym__expression_not_binary] = STATE(5024),
    [sym__string] = STATE(5024),
    [sym_conditional_expression] = STATE(5024),
    [sym_assignment_expression] = STATE(5024),
    [sym_pointer_expression] = STATE(4507),
    [sym_unary_expression] = STATE(5024),
    [sym_binary_expression] = STATE(5024),
    [sym_update_expression] = STATE(5024),
    [sym_cast_expression] = STATE(5024),
    [sym_sizeof_expression] = STATE(5024),
    [sym_alignof_expression] = STATE(5024),
    [sym_offsetof_expression] = STATE(5024),
    [sym_generic_expression] = STATE(5024),
    [sym_subscript_expression] = STATE(4507),
    [sym_call_expression] = STATE(4507),
    [sym_gnu_asm_expression] = STATE(5024),
    [sym_field_expression] = STATE(4507),
    [sym_compound_literal_expression] = STATE(5024),
    [sym_parenthesized_expression] = STATE(4507),
    [sym_char_literal] = STATE(5374),
    [sym_concatenated_string] = STATE(5377),
    [sym_string_literal] = STATE(4206),
    [sym_null] = STATE(5024),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9352),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(5024),
    [sym_raw_string_literal] = STATE(4217),
    [sym_co_await_expression] = STATE(5024),
    [sym_new_expression] = STATE(5024),
    [sym_delete_expression] = STATE(5024),
    [sym_requires_clause] = STATE(5024),
    [sym_requires_expression] = STATE(5024),
    [sym_lambda_expression] = STATE(5024),
    [sym_lambda_capture_specifier] = STATE(7184),
    [sym_fold_expression] = STATE(5024),
    [sym_parameter_pack_expansion] = STATE(5024),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6886),
    [sym_qualified_identifier] = STATE(4507),
    [sym_qualified_type_identifier] = STATE(9352),
    [sym_user_defined_literal] = STATE(4507),
    [sym_identifier] = ACTIONS(3140),
    [anon_sym_LPAREN2] = ACTIONS(1472),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1474),
    [anon_sym_AMP] = ACTIONS(1474),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [sym_primitive_type] = ACTIONS(3146),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [2384] = {
    [sym__expression] = STATE(4404),
    [sym__expression_not_binary] = STATE(3672),
    [sym__string] = STATE(3672),
    [sym_conditional_expression] = STATE(3672),
    [sym_assignment_expression] = STATE(3672),
    [sym_pointer_expression] = STATE(3672),
    [sym_unary_expression] = STATE(3672),
    [sym_binary_expression] = STATE(3672),
    [sym_update_expression] = STATE(3672),
    [sym_cast_expression] = STATE(3672),
    [sym_sizeof_expression] = STATE(3672),
    [sym_alignof_expression] = STATE(3672),
    [sym_offsetof_expression] = STATE(3672),
    [sym_generic_expression] = STATE(3672),
    [sym_subscript_expression] = STATE(3672),
    [sym_call_expression] = STATE(3672),
    [sym_gnu_asm_expression] = STATE(3672),
    [sym_field_expression] = STATE(3672),
    [sym_compound_literal_expression] = STATE(3672),
    [sym_parenthesized_expression] = STATE(3672),
    [sym_char_literal] = STATE(3991),
    [sym_concatenated_string] = STATE(3973),
    [sym_string_literal] = STATE(3242),
    [sym_null] = STATE(3672),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9333),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(3672),
    [sym_raw_string_literal] = STATE(3241),
    [sym_co_await_expression] = STATE(3672),
    [sym_new_expression] = STATE(3672),
    [sym_delete_expression] = STATE(3672),
    [sym_requires_clause] = STATE(3672),
    [sym_requires_expression] = STATE(3672),
    [sym_lambda_expression] = STATE(3672),
    [sym_lambda_capture_specifier] = STATE(7134),
    [sym_fold_expression] = STATE(3672),
    [sym_parameter_pack_expansion] = STATE(3672),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6886),
    [sym_qualified_identifier] = STATE(3672),
    [sym_qualified_type_identifier] = STATE(9333),
    [sym_user_defined_literal] = STATE(3672),
    [sym_identifier] = ACTIONS(3968),
    [anon_sym_LPAREN2] = ACTIONS(5243),
    [anon_sym_BANG] = ACTIONS(4116),
    [anon_sym_TILDE] = ACTIONS(4116),
    [anon_sym_DASH] = ACTIONS(4114),
    [anon_sym_PLUS] = ACTIONS(4114),
    [anon_sym_STAR] = ACTIONS(5190),
    [anon_sym_AMP] = ACTIONS(5190),
    [anon_sym_COLON_COLON] = ACTIONS(4118),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [sym_primitive_type] = ACTIONS(3928),
    [anon_sym_not] = ACTIONS(4114),
    [anon_sym_compl] = ACTIONS(4114),
    [anon_sym_DASH_DASH] = ACTIONS(5093),
    [anon_sym_PLUS_PLUS] = ACTIONS(5093),
    [anon_sym_sizeof] = ACTIONS(4120),
    [anon_sym___alignof__] = ACTIONS(3932),
    [anon_sym___alignof] = ACTIONS(3932),
    [anon_sym__alignof] = ACTIONS(3932),
    [anon_sym_alignof] = ACTIONS(3932),
    [anon_sym__Alignof] = ACTIONS(3932),
    [anon_sym_offsetof] = ACTIONS(3934),
    [anon_sym__Generic] = ACTIONS(3936),
    [anon_sym_asm] = ACTIONS(3938),
    [anon_sym___asm__] = ACTIONS(3938),
    [sym_number_literal] = ACTIONS(3978),
    [anon_sym_L_SQUOTE] = ACTIONS(3980),
    [anon_sym_u_SQUOTE] = ACTIONS(3980),
    [anon_sym_U_SQUOTE] = ACTIONS(3980),
    [anon_sym_u8_SQUOTE] = ACTIONS(3980),
    [anon_sym_SQUOTE] = ACTIONS(3980),
    [anon_sym_L_DQUOTE] = ACTIONS(3982),
    [anon_sym_u_DQUOTE] = ACTIONS(3982),
    [anon_sym_U_DQUOTE] = ACTIONS(3982),
    [anon_sym_u8_DQUOTE] = ACTIONS(3982),
    [anon_sym_DQUOTE] = ACTIONS(3982),
    [sym_true] = ACTIONS(3946),
    [sym_false] = ACTIONS(3946),
    [anon_sym_NULL] = ACTIONS(3948),
    [anon_sym_nullptr] = ACTIONS(3948),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(4122),
    [anon_sym_R_DQUOTE] = ACTIONS(3986),
    [anon_sym_LR_DQUOTE] = ACTIONS(3986),
    [anon_sym_uR_DQUOTE] = ACTIONS(3986),
    [anon_sym_UR_DQUOTE] = ACTIONS(3986),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3986),
    [anon_sym_co_await] = ACTIONS(4124),
    [anon_sym_new] = ACTIONS(3990),
    [anon_sym_requires] = ACTIONS(3958),
    [sym_this] = ACTIONS(3946),
  },
  [2385] = {
    [sym__expression] = STATE(4405),
    [sym__expression_not_binary] = STATE(3672),
    [sym__string] = STATE(3672),
    [sym_conditional_expression] = STATE(3672),
    [sym_assignment_expression] = STATE(3672),
    [sym_pointer_expression] = STATE(3672),
    [sym_unary_expression] = STATE(3672),
    [sym_binary_expression] = STATE(3672),
    [sym_update_expression] = STATE(3672),
    [sym_cast_expression] = STATE(3672),
    [sym_sizeof_expression] = STATE(3672),
    [sym_alignof_expression] = STATE(3672),
    [sym_offsetof_expression] = STATE(3672),
    [sym_generic_expression] = STATE(3672),
    [sym_subscript_expression] = STATE(3672),
    [sym_call_expression] = STATE(3672),
    [sym_gnu_asm_expression] = STATE(3672),
    [sym_field_expression] = STATE(3672),
    [sym_compound_literal_expression] = STATE(3672),
    [sym_parenthesized_expression] = STATE(3672),
    [sym_char_literal] = STATE(3991),
    [sym_concatenated_string] = STATE(3973),
    [sym_string_literal] = STATE(3242),
    [sym_null] = STATE(3672),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9333),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(3672),
    [sym_raw_string_literal] = STATE(3241),
    [sym_co_await_expression] = STATE(3672),
    [sym_new_expression] = STATE(3672),
    [sym_delete_expression] = STATE(3672),
    [sym_requires_clause] = STATE(3672),
    [sym_requires_expression] = STATE(3672),
    [sym_lambda_expression] = STATE(3672),
    [sym_lambda_capture_specifier] = STATE(7134),
    [sym_fold_expression] = STATE(3672),
    [sym_parameter_pack_expansion] = STATE(3672),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6886),
    [sym_qualified_identifier] = STATE(3672),
    [sym_qualified_type_identifier] = STATE(9333),
    [sym_user_defined_literal] = STATE(3672),
    [sym_identifier] = ACTIONS(3968),
    [anon_sym_LPAREN2] = ACTIONS(5243),
    [anon_sym_BANG] = ACTIONS(4116),
    [anon_sym_TILDE] = ACTIONS(4116),
    [anon_sym_DASH] = ACTIONS(4114),
    [anon_sym_PLUS] = ACTIONS(4114),
    [anon_sym_STAR] = ACTIONS(5190),
    [anon_sym_AMP] = ACTIONS(5190),
    [anon_sym_COLON_COLON] = ACTIONS(4118),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [sym_primitive_type] = ACTIONS(3928),
    [anon_sym_not] = ACTIONS(4114),
    [anon_sym_compl] = ACTIONS(4114),
    [anon_sym_DASH_DASH] = ACTIONS(5093),
    [anon_sym_PLUS_PLUS] = ACTIONS(5093),
    [anon_sym_sizeof] = ACTIONS(4120),
    [anon_sym___alignof__] = ACTIONS(3932),
    [anon_sym___alignof] = ACTIONS(3932),
    [anon_sym__alignof] = ACTIONS(3932),
    [anon_sym_alignof] = ACTIONS(3932),
    [anon_sym__Alignof] = ACTIONS(3932),
    [anon_sym_offsetof] = ACTIONS(3934),
    [anon_sym__Generic] = ACTIONS(3936),
    [anon_sym_asm] = ACTIONS(3938),
    [anon_sym___asm__] = ACTIONS(3938),
    [sym_number_literal] = ACTIONS(3978),
    [anon_sym_L_SQUOTE] = ACTIONS(3980),
    [anon_sym_u_SQUOTE] = ACTIONS(3980),
    [anon_sym_U_SQUOTE] = ACTIONS(3980),
    [anon_sym_u8_SQUOTE] = ACTIONS(3980),
    [anon_sym_SQUOTE] = ACTIONS(3980),
    [anon_sym_L_DQUOTE] = ACTIONS(3982),
    [anon_sym_u_DQUOTE] = ACTIONS(3982),
    [anon_sym_U_DQUOTE] = ACTIONS(3982),
    [anon_sym_u8_DQUOTE] = ACTIONS(3982),
    [anon_sym_DQUOTE] = ACTIONS(3982),
    [sym_true] = ACTIONS(3946),
    [sym_false] = ACTIONS(3946),
    [anon_sym_NULL] = ACTIONS(3948),
    [anon_sym_nullptr] = ACTIONS(3948),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(4122),
    [anon_sym_R_DQUOTE] = ACTIONS(3986),
    [anon_sym_LR_DQUOTE] = ACTIONS(3986),
    [anon_sym_uR_DQUOTE] = ACTIONS(3986),
    [anon_sym_UR_DQUOTE] = ACTIONS(3986),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3986),
    [anon_sym_co_await] = ACTIONS(4124),
    [anon_sym_new] = ACTIONS(3990),
    [anon_sym_requires] = ACTIONS(3958),
    [sym_this] = ACTIONS(3946),
  },
  [2386] = {
    [sym__expression] = STATE(4752),
    [sym__expression_not_binary] = STATE(4939),
    [sym__string] = STATE(4939),
    [sym_conditional_expression] = STATE(4939),
    [sym_assignment_expression] = STATE(4939),
    [sym_pointer_expression] = STATE(4521),
    [sym_unary_expression] = STATE(4939),
    [sym_binary_expression] = STATE(4939),
    [sym_update_expression] = STATE(4939),
    [sym_cast_expression] = STATE(4939),
    [sym_sizeof_expression] = STATE(4939),
    [sym_alignof_expression] = STATE(4939),
    [sym_offsetof_expression] = STATE(4939),
    [sym_generic_expression] = STATE(4939),
    [sym_subscript_expression] = STATE(4521),
    [sym_call_expression] = STATE(4521),
    [sym_gnu_asm_expression] = STATE(4939),
    [sym_field_expression] = STATE(4521),
    [sym_compound_literal_expression] = STATE(4939),
    [sym_parenthesized_expression] = STATE(4521),
    [sym_char_literal] = STATE(4856),
    [sym_concatenated_string] = STATE(4876),
    [sym_string_literal] = STATE(3630),
    [sym_null] = STATE(4939),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9415),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(4939),
    [sym_raw_string_literal] = STATE(3632),
    [sym_co_await_expression] = STATE(4939),
    [sym_new_expression] = STATE(4939),
    [sym_delete_expression] = STATE(4939),
    [sym_requires_clause] = STATE(4939),
    [sym_requires_expression] = STATE(4939),
    [sym_lambda_expression] = STATE(4939),
    [sym_lambda_capture_specifier] = STATE(7190),
    [sym_fold_expression] = STATE(4939),
    [sym_parameter_pack_expansion] = STATE(4939),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6899),
    [sym_qualified_identifier] = STATE(4521),
    [sym_qualified_type_identifier] = STATE(9415),
    [sym_user_defined_literal] = STATE(4521),
    [sym_identifier] = ACTIONS(4178),
    [anon_sym_LPAREN2] = ACTIONS(2110),
    [anon_sym_BANG] = ACTIONS(2112),
    [anon_sym_TILDE] = ACTIONS(2112),
    [anon_sym_DASH] = ACTIONS(2114),
    [anon_sym_PLUS] = ACTIONS(2114),
    [anon_sym_STAR] = ACTIONS(2116),
    [anon_sym_AMP] = ACTIONS(2116),
    [anon_sym_COLON_COLON] = ACTIONS(2120),
    [anon_sym_LBRACK] = ACTIONS(5543),
    [sym_primitive_type] = ACTIONS(4182),
    [anon_sym_not] = ACTIONS(2114),
    [anon_sym_compl] = ACTIONS(2114),
    [anon_sym_DASH_DASH] = ACTIONS(2132),
    [anon_sym_PLUS_PLUS] = ACTIONS(2132),
    [anon_sym_sizeof] = ACTIONS(2134),
    [anon_sym___alignof__] = ACTIONS(2136),
    [anon_sym___alignof] = ACTIONS(2136),
    [anon_sym__alignof] = ACTIONS(2136),
    [anon_sym_alignof] = ACTIONS(2136),
    [anon_sym__Alignof] = ACTIONS(2136),
    [anon_sym_offsetof] = ACTIONS(2138),
    [anon_sym__Generic] = ACTIONS(2140),
    [anon_sym_asm] = ACTIONS(2142),
    [anon_sym___asm__] = ACTIONS(2142),
    [sym_number_literal] = ACTIONS(2144),
    [anon_sym_L_SQUOTE] = ACTIONS(2146),
    [anon_sym_u_SQUOTE] = ACTIONS(2146),
    [anon_sym_U_SQUOTE] = ACTIONS(2146),
    [anon_sym_u8_SQUOTE] = ACTIONS(2146),
    [anon_sym_SQUOTE] = ACTIONS(2146),
    [anon_sym_L_DQUOTE] = ACTIONS(2148),
    [anon_sym_u_DQUOTE] = ACTIONS(2148),
    [anon_sym_U_DQUOTE] = ACTIONS(2148),
    [anon_sym_u8_DQUOTE] = ACTIONS(2148),
    [anon_sym_DQUOTE] = ACTIONS(2148),
    [sym_true] = ACTIONS(2150),
    [sym_false] = ACTIONS(2150),
    [anon_sym_NULL] = ACTIONS(2152),
    [anon_sym_nullptr] = ACTIONS(2152),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(2156),
    [anon_sym_R_DQUOTE] = ACTIONS(2158),
    [anon_sym_LR_DQUOTE] = ACTIONS(2158),
    [anon_sym_uR_DQUOTE] = ACTIONS(2158),
    [anon_sym_UR_DQUOTE] = ACTIONS(2158),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2158),
    [anon_sym_co_await] = ACTIONS(2160),
    [anon_sym_new] = ACTIONS(2162),
    [anon_sym_requires] = ACTIONS(2164),
    [sym_this] = ACTIONS(2150),
  },
  [2387] = {
    [sym__expression] = STATE(5922),
    [sym__expression_not_binary] = STATE(5024),
    [sym__string] = STATE(5024),
    [sym_conditional_expression] = STATE(5024),
    [sym_assignment_expression] = STATE(5024),
    [sym_pointer_expression] = STATE(4507),
    [sym_unary_expression] = STATE(5024),
    [sym_binary_expression] = STATE(5024),
    [sym_update_expression] = STATE(5024),
    [sym_cast_expression] = STATE(5024),
    [sym_sizeof_expression] = STATE(5024),
    [sym_alignof_expression] = STATE(5024),
    [sym_offsetof_expression] = STATE(5024),
    [sym_generic_expression] = STATE(5024),
    [sym_subscript_expression] = STATE(4507),
    [sym_call_expression] = STATE(4507),
    [sym_gnu_asm_expression] = STATE(5024),
    [sym_field_expression] = STATE(4507),
    [sym_compound_literal_expression] = STATE(5024),
    [sym_parenthesized_expression] = STATE(4507),
    [sym_char_literal] = STATE(5374),
    [sym_concatenated_string] = STATE(5377),
    [sym_string_literal] = STATE(4206),
    [sym_null] = STATE(5024),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9352),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(5024),
    [sym_raw_string_literal] = STATE(4217),
    [sym_co_await_expression] = STATE(5024),
    [sym_new_expression] = STATE(5024),
    [sym_delete_expression] = STATE(5024),
    [sym_requires_clause] = STATE(5024),
    [sym_requires_expression] = STATE(5024),
    [sym_lambda_expression] = STATE(5024),
    [sym_lambda_capture_specifier] = STATE(7184),
    [sym_fold_expression] = STATE(5024),
    [sym_parameter_pack_expansion] = STATE(5024),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6886),
    [sym_qualified_identifier] = STATE(4507),
    [sym_qualified_type_identifier] = STATE(9352),
    [sym_user_defined_literal] = STATE(4507),
    [sym_identifier] = ACTIONS(3140),
    [anon_sym_LPAREN2] = ACTIONS(1472),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1474),
    [anon_sym_AMP] = ACTIONS(1474),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [sym_primitive_type] = ACTIONS(3146),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [2388] = {
    [sym__expression] = STATE(4478),
    [sym__expression_not_binary] = STATE(4786),
    [sym__string] = STATE(4786),
    [sym_conditional_expression] = STATE(4786),
    [sym_assignment_expression] = STATE(4786),
    [sym_pointer_expression] = STATE(4786),
    [sym_unary_expression] = STATE(4786),
    [sym_binary_expression] = STATE(4786),
    [sym_update_expression] = STATE(4786),
    [sym_cast_expression] = STATE(4786),
    [sym_sizeof_expression] = STATE(4786),
    [sym_alignof_expression] = STATE(4786),
    [sym_offsetof_expression] = STATE(4786),
    [sym_generic_expression] = STATE(4786),
    [sym_subscript_expression] = STATE(4786),
    [sym_call_expression] = STATE(4786),
    [sym_gnu_asm_expression] = STATE(4786),
    [sym_field_expression] = STATE(4786),
    [sym_compound_literal_expression] = STATE(4786),
    [sym_parenthesized_expression] = STATE(4786),
    [sym_char_literal] = STATE(4554),
    [sym_concatenated_string] = STATE(4621),
    [sym_string_literal] = STATE(3503),
    [sym_null] = STATE(4786),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9199),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(4786),
    [sym_raw_string_literal] = STATE(3498),
    [sym_co_await_expression] = STATE(4786),
    [sym_new_expression] = STATE(4786),
    [sym_delete_expression] = STATE(4786),
    [sym_requires_clause] = STATE(4786),
    [sym_requires_expression] = STATE(4786),
    [sym_lambda_expression] = STATE(4786),
    [sym_lambda_capture_specifier] = STATE(7160),
    [sym_fold_expression] = STATE(4786),
    [sym_parameter_pack_expansion] = STATE(4786),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6932),
    [sym_qualified_identifier] = STATE(4786),
    [sym_qualified_type_identifier] = STATE(9199),
    [sym_user_defined_literal] = STATE(4786),
    [sym_identifier] = ACTIONS(4126),
    [anon_sym_LPAREN2] = ACTIONS(5194),
    [anon_sym_BANG] = ACTIONS(4130),
    [anon_sym_TILDE] = ACTIONS(4130),
    [anon_sym_DASH] = ACTIONS(4128),
    [anon_sym_PLUS] = ACTIONS(4128),
    [anon_sym_STAR] = ACTIONS(4261),
    [anon_sym_AMP] = ACTIONS(4261),
    [anon_sym_COLON_COLON] = ACTIONS(4132),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [sym_primitive_type] = ACTIONS(4136),
    [anon_sym_not] = ACTIONS(4128),
    [anon_sym_compl] = ACTIONS(4128),
    [anon_sym_DASH_DASH] = ACTIONS(5049),
    [anon_sym_PLUS_PLUS] = ACTIONS(5049),
    [anon_sym_sizeof] = ACTIONS(4138),
    [anon_sym___alignof__] = ACTIONS(4140),
    [anon_sym___alignof] = ACTIONS(4140),
    [anon_sym__alignof] = ACTIONS(4140),
    [anon_sym_alignof] = ACTIONS(4140),
    [anon_sym__Alignof] = ACTIONS(4140),
    [anon_sym_offsetof] = ACTIONS(4142),
    [anon_sym__Generic] = ACTIONS(4144),
    [anon_sym_asm] = ACTIONS(4146),
    [anon_sym___asm__] = ACTIONS(4146),
    [sym_number_literal] = ACTIONS(4148),
    [anon_sym_L_SQUOTE] = ACTIONS(4150),
    [anon_sym_u_SQUOTE] = ACTIONS(4150),
    [anon_sym_U_SQUOTE] = ACTIONS(4150),
    [anon_sym_u8_SQUOTE] = ACTIONS(4150),
    [anon_sym_SQUOTE] = ACTIONS(4150),
    [anon_sym_L_DQUOTE] = ACTIONS(4152),
    [anon_sym_u_DQUOTE] = ACTIONS(4152),
    [anon_sym_U_DQUOTE] = ACTIONS(4152),
    [anon_sym_u8_DQUOTE] = ACTIONS(4152),
    [anon_sym_DQUOTE] = ACTIONS(4152),
    [sym_true] = ACTIONS(4154),
    [sym_false] = ACTIONS(4154),
    [anon_sym_NULL] = ACTIONS(4156),
    [anon_sym_nullptr] = ACTIONS(4156),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(4158),
    [anon_sym_R_DQUOTE] = ACTIONS(4160),
    [anon_sym_LR_DQUOTE] = ACTIONS(4160),
    [anon_sym_uR_DQUOTE] = ACTIONS(4160),
    [anon_sym_UR_DQUOTE] = ACTIONS(4160),
    [anon_sym_u8R_DQUOTE] = ACTIONS(4160),
    [anon_sym_co_await] = ACTIONS(4162),
    [anon_sym_new] = ACTIONS(4164),
    [anon_sym_requires] = ACTIONS(4166),
    [sym_this] = ACTIONS(4154),
  },
  [2389] = {
    [sym__expression] = STATE(4477),
    [sym__expression_not_binary] = STATE(4786),
    [sym__string] = STATE(4786),
    [sym_conditional_expression] = STATE(4786),
    [sym_assignment_expression] = STATE(4786),
    [sym_pointer_expression] = STATE(4786),
    [sym_unary_expression] = STATE(4786),
    [sym_binary_expression] = STATE(4786),
    [sym_update_expression] = STATE(4786),
    [sym_cast_expression] = STATE(4786),
    [sym_sizeof_expression] = STATE(4786),
    [sym_alignof_expression] = STATE(4786),
    [sym_offsetof_expression] = STATE(4786),
    [sym_generic_expression] = STATE(4786),
    [sym_subscript_expression] = STATE(4786),
    [sym_call_expression] = STATE(4786),
    [sym_gnu_asm_expression] = STATE(4786),
    [sym_field_expression] = STATE(4786),
    [sym_compound_literal_expression] = STATE(4786),
    [sym_parenthesized_expression] = STATE(4786),
    [sym_char_literal] = STATE(4554),
    [sym_concatenated_string] = STATE(4621),
    [sym_string_literal] = STATE(3503),
    [sym_null] = STATE(4786),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9199),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(4786),
    [sym_raw_string_literal] = STATE(3498),
    [sym_co_await_expression] = STATE(4786),
    [sym_new_expression] = STATE(4786),
    [sym_delete_expression] = STATE(4786),
    [sym_requires_clause] = STATE(4786),
    [sym_requires_expression] = STATE(4786),
    [sym_lambda_expression] = STATE(4786),
    [sym_lambda_capture_specifier] = STATE(7160),
    [sym_fold_expression] = STATE(4786),
    [sym_parameter_pack_expansion] = STATE(4786),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6932),
    [sym_qualified_identifier] = STATE(4786),
    [sym_qualified_type_identifier] = STATE(9199),
    [sym_user_defined_literal] = STATE(4786),
    [sym_identifier] = ACTIONS(4126),
    [anon_sym_LPAREN2] = ACTIONS(5194),
    [anon_sym_BANG] = ACTIONS(4130),
    [anon_sym_TILDE] = ACTIONS(4130),
    [anon_sym_DASH] = ACTIONS(4128),
    [anon_sym_PLUS] = ACTIONS(4128),
    [anon_sym_STAR] = ACTIONS(4261),
    [anon_sym_AMP] = ACTIONS(4261),
    [anon_sym_COLON_COLON] = ACTIONS(4132),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [sym_primitive_type] = ACTIONS(4136),
    [anon_sym_not] = ACTIONS(4128),
    [anon_sym_compl] = ACTIONS(4128),
    [anon_sym_DASH_DASH] = ACTIONS(5049),
    [anon_sym_PLUS_PLUS] = ACTIONS(5049),
    [anon_sym_sizeof] = ACTIONS(4138),
    [anon_sym___alignof__] = ACTIONS(4140),
    [anon_sym___alignof] = ACTIONS(4140),
    [anon_sym__alignof] = ACTIONS(4140),
    [anon_sym_alignof] = ACTIONS(4140),
    [anon_sym__Alignof] = ACTIONS(4140),
    [anon_sym_offsetof] = ACTIONS(4142),
    [anon_sym__Generic] = ACTIONS(4144),
    [anon_sym_asm] = ACTIONS(4146),
    [anon_sym___asm__] = ACTIONS(4146),
    [sym_number_literal] = ACTIONS(4148),
    [anon_sym_L_SQUOTE] = ACTIONS(4150),
    [anon_sym_u_SQUOTE] = ACTIONS(4150),
    [anon_sym_U_SQUOTE] = ACTIONS(4150),
    [anon_sym_u8_SQUOTE] = ACTIONS(4150),
    [anon_sym_SQUOTE] = ACTIONS(4150),
    [anon_sym_L_DQUOTE] = ACTIONS(4152),
    [anon_sym_u_DQUOTE] = ACTIONS(4152),
    [anon_sym_U_DQUOTE] = ACTIONS(4152),
    [anon_sym_u8_DQUOTE] = ACTIONS(4152),
    [anon_sym_DQUOTE] = ACTIONS(4152),
    [sym_true] = ACTIONS(4154),
    [sym_false] = ACTIONS(4154),
    [anon_sym_NULL] = ACTIONS(4156),
    [anon_sym_nullptr] = ACTIONS(4156),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(4158),
    [anon_sym_R_DQUOTE] = ACTIONS(4160),
    [anon_sym_LR_DQUOTE] = ACTIONS(4160),
    [anon_sym_uR_DQUOTE] = ACTIONS(4160),
    [anon_sym_UR_DQUOTE] = ACTIONS(4160),
    [anon_sym_u8R_DQUOTE] = ACTIONS(4160),
    [anon_sym_co_await] = ACTIONS(4162),
    [anon_sym_new] = ACTIONS(4164),
    [anon_sym_requires] = ACTIONS(4166),
    [sym_this] = ACTIONS(4154),
  },
  [2390] = {
    [sym__expression] = STATE(3972),
    [sym__expression_not_binary] = STATE(3672),
    [sym__string] = STATE(3672),
    [sym_conditional_expression] = STATE(3672),
    [sym_assignment_expression] = STATE(3672),
    [sym_pointer_expression] = STATE(3672),
    [sym_unary_expression] = STATE(3672),
    [sym_binary_expression] = STATE(3672),
    [sym_update_expression] = STATE(3672),
    [sym_cast_expression] = STATE(3672),
    [sym_sizeof_expression] = STATE(3672),
    [sym_alignof_expression] = STATE(3672),
    [sym_offsetof_expression] = STATE(3672),
    [sym_generic_expression] = STATE(3672),
    [sym_subscript_expression] = STATE(3672),
    [sym_call_expression] = STATE(3672),
    [sym_gnu_asm_expression] = STATE(3672),
    [sym_field_expression] = STATE(3672),
    [sym_compound_literal_expression] = STATE(3672),
    [sym_parenthesized_expression] = STATE(3672),
    [sym_char_literal] = STATE(3991),
    [sym_concatenated_string] = STATE(3973),
    [sym_string_literal] = STATE(3242),
    [sym_null] = STATE(3672),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9333),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(3672),
    [sym_raw_string_literal] = STATE(3241),
    [sym_co_await_expression] = STATE(3672),
    [sym_new_expression] = STATE(3672),
    [sym_delete_expression] = STATE(3672),
    [sym_requires_clause] = STATE(3672),
    [sym_requires_expression] = STATE(3672),
    [sym_lambda_expression] = STATE(3672),
    [sym_lambda_capture_specifier] = STATE(7134),
    [sym_fold_expression] = STATE(3672),
    [sym_parameter_pack_expansion] = STATE(3672),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6886),
    [sym_qualified_identifier] = STATE(3672),
    [sym_qualified_type_identifier] = STATE(9333),
    [sym_user_defined_literal] = STATE(3672),
    [sym_identifier] = ACTIONS(3968),
    [anon_sym_LPAREN2] = ACTIONS(5219),
    [anon_sym_BANG] = ACTIONS(3972),
    [anon_sym_TILDE] = ACTIONS(3972),
    [anon_sym_DASH] = ACTIONS(3970),
    [anon_sym_PLUS] = ACTIONS(3970),
    [anon_sym_STAR] = ACTIONS(1474),
    [anon_sym_AMP] = ACTIONS(1474),
    [anon_sym_COLON_COLON] = ACTIONS(3974),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [sym_primitive_type] = ACTIONS(3928),
    [anon_sym_not] = ACTIONS(3970),
    [anon_sym_compl] = ACTIONS(3970),
    [anon_sym_DASH_DASH] = ACTIONS(4385),
    [anon_sym_PLUS_PLUS] = ACTIONS(4385),
    [anon_sym_sizeof] = ACTIONS(3976),
    [anon_sym___alignof__] = ACTIONS(3932),
    [anon_sym___alignof] = ACTIONS(3932),
    [anon_sym__alignof] = ACTIONS(3932),
    [anon_sym_alignof] = ACTIONS(3932),
    [anon_sym__Alignof] = ACTIONS(3932),
    [anon_sym_offsetof] = ACTIONS(3934),
    [anon_sym__Generic] = ACTIONS(3936),
    [anon_sym_asm] = ACTIONS(3938),
    [anon_sym___asm__] = ACTIONS(3938),
    [sym_number_literal] = ACTIONS(3978),
    [anon_sym_L_SQUOTE] = ACTIONS(3980),
    [anon_sym_u_SQUOTE] = ACTIONS(3980),
    [anon_sym_U_SQUOTE] = ACTIONS(3980),
    [anon_sym_u8_SQUOTE] = ACTIONS(3980),
    [anon_sym_SQUOTE] = ACTIONS(3980),
    [anon_sym_L_DQUOTE] = ACTIONS(3982),
    [anon_sym_u_DQUOTE] = ACTIONS(3982),
    [anon_sym_U_DQUOTE] = ACTIONS(3982),
    [anon_sym_u8_DQUOTE] = ACTIONS(3982),
    [anon_sym_DQUOTE] = ACTIONS(3982),
    [sym_true] = ACTIONS(3946),
    [sym_false] = ACTIONS(3946),
    [anon_sym_NULL] = ACTIONS(3948),
    [anon_sym_nullptr] = ACTIONS(3948),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(3984),
    [anon_sym_R_DQUOTE] = ACTIONS(3986),
    [anon_sym_LR_DQUOTE] = ACTIONS(3986),
    [anon_sym_uR_DQUOTE] = ACTIONS(3986),
    [anon_sym_UR_DQUOTE] = ACTIONS(3986),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3986),
    [anon_sym_co_await] = ACTIONS(3988),
    [anon_sym_new] = ACTIONS(3990),
    [anon_sym_requires] = ACTIONS(3958),
    [sym_this] = ACTIONS(3946),
  },
  [2391] = {
    [sym__expression] = STATE(4475),
    [sym__expression_not_binary] = STATE(4786),
    [sym__string] = STATE(4786),
    [sym_conditional_expression] = STATE(4786),
    [sym_assignment_expression] = STATE(4786),
    [sym_pointer_expression] = STATE(4786),
    [sym_unary_expression] = STATE(4786),
    [sym_binary_expression] = STATE(4786),
    [sym_update_expression] = STATE(4786),
    [sym_cast_expression] = STATE(4786),
    [sym_sizeof_expression] = STATE(4786),
    [sym_alignof_expression] = STATE(4786),
    [sym_offsetof_expression] = STATE(4786),
    [sym_generic_expression] = STATE(4786),
    [sym_subscript_expression] = STATE(4786),
    [sym_call_expression] = STATE(4786),
    [sym_gnu_asm_expression] = STATE(4786),
    [sym_field_expression] = STATE(4786),
    [sym_compound_literal_expression] = STATE(4786),
    [sym_parenthesized_expression] = STATE(4786),
    [sym_char_literal] = STATE(4554),
    [sym_concatenated_string] = STATE(4621),
    [sym_string_literal] = STATE(3503),
    [sym_null] = STATE(4786),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9199),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(4786),
    [sym_raw_string_literal] = STATE(3498),
    [sym_co_await_expression] = STATE(4786),
    [sym_new_expression] = STATE(4786),
    [sym_delete_expression] = STATE(4786),
    [sym_requires_clause] = STATE(4786),
    [sym_requires_expression] = STATE(4786),
    [sym_lambda_expression] = STATE(4786),
    [sym_lambda_capture_specifier] = STATE(7160),
    [sym_fold_expression] = STATE(4786),
    [sym_parameter_pack_expansion] = STATE(4786),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6932),
    [sym_qualified_identifier] = STATE(4786),
    [sym_qualified_type_identifier] = STATE(9199),
    [sym_user_defined_literal] = STATE(4786),
    [sym_identifier] = ACTIONS(4126),
    [anon_sym_LPAREN2] = ACTIONS(5194),
    [anon_sym_BANG] = ACTIONS(4130),
    [anon_sym_TILDE] = ACTIONS(4130),
    [anon_sym_DASH] = ACTIONS(4128),
    [anon_sym_PLUS] = ACTIONS(4128),
    [anon_sym_STAR] = ACTIONS(4261),
    [anon_sym_AMP] = ACTIONS(4261),
    [anon_sym_COLON_COLON] = ACTIONS(4132),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [sym_primitive_type] = ACTIONS(4136),
    [anon_sym_not] = ACTIONS(4128),
    [anon_sym_compl] = ACTIONS(4128),
    [anon_sym_DASH_DASH] = ACTIONS(5049),
    [anon_sym_PLUS_PLUS] = ACTIONS(5049),
    [anon_sym_sizeof] = ACTIONS(4138),
    [anon_sym___alignof__] = ACTIONS(4140),
    [anon_sym___alignof] = ACTIONS(4140),
    [anon_sym__alignof] = ACTIONS(4140),
    [anon_sym_alignof] = ACTIONS(4140),
    [anon_sym__Alignof] = ACTIONS(4140),
    [anon_sym_offsetof] = ACTIONS(4142),
    [anon_sym__Generic] = ACTIONS(4144),
    [anon_sym_asm] = ACTIONS(4146),
    [anon_sym___asm__] = ACTIONS(4146),
    [sym_number_literal] = ACTIONS(4148),
    [anon_sym_L_SQUOTE] = ACTIONS(4150),
    [anon_sym_u_SQUOTE] = ACTIONS(4150),
    [anon_sym_U_SQUOTE] = ACTIONS(4150),
    [anon_sym_u8_SQUOTE] = ACTIONS(4150),
    [anon_sym_SQUOTE] = ACTIONS(4150),
    [anon_sym_L_DQUOTE] = ACTIONS(4152),
    [anon_sym_u_DQUOTE] = ACTIONS(4152),
    [anon_sym_U_DQUOTE] = ACTIONS(4152),
    [anon_sym_u8_DQUOTE] = ACTIONS(4152),
    [anon_sym_DQUOTE] = ACTIONS(4152),
    [sym_true] = ACTIONS(4154),
    [sym_false] = ACTIONS(4154),
    [anon_sym_NULL] = ACTIONS(4156),
    [anon_sym_nullptr] = ACTIONS(4156),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(4158),
    [anon_sym_R_DQUOTE] = ACTIONS(4160),
    [anon_sym_LR_DQUOTE] = ACTIONS(4160),
    [anon_sym_uR_DQUOTE] = ACTIONS(4160),
    [anon_sym_UR_DQUOTE] = ACTIONS(4160),
    [anon_sym_u8R_DQUOTE] = ACTIONS(4160),
    [anon_sym_co_await] = ACTIONS(4162),
    [anon_sym_new] = ACTIONS(4164),
    [anon_sym_requires] = ACTIONS(4166),
    [sym_this] = ACTIONS(4154),
  },
  [2392] = {
    [sym__expression] = STATE(4321),
    [sym__expression_not_binary] = STATE(4695),
    [sym__string] = STATE(4695),
    [sym_conditional_expression] = STATE(4695),
    [sym_assignment_expression] = STATE(4695),
    [sym_pointer_expression] = STATE(4695),
    [sym_unary_expression] = STATE(4695),
    [sym_binary_expression] = STATE(4695),
    [sym_update_expression] = STATE(4695),
    [sym_cast_expression] = STATE(4695),
    [sym_sizeof_expression] = STATE(4695),
    [sym_alignof_expression] = STATE(4695),
    [sym_offsetof_expression] = STATE(4695),
    [sym_generic_expression] = STATE(4695),
    [sym_subscript_expression] = STATE(4695),
    [sym_call_expression] = STATE(4695),
    [sym_gnu_asm_expression] = STATE(4695),
    [sym_field_expression] = STATE(4695),
    [sym_compound_literal_expression] = STATE(4695),
    [sym_parenthesized_expression] = STATE(4695),
    [sym_char_literal] = STATE(4427),
    [sym_concatenated_string] = STATE(4424),
    [sym_string_literal] = STATE(3398),
    [sym_null] = STATE(4695),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9425),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(4695),
    [sym_raw_string_literal] = STATE(3396),
    [sym_co_await_expression] = STATE(4695),
    [sym_new_expression] = STATE(4695),
    [sym_delete_expression] = STATE(4695),
    [sym_requires_clause] = STATE(4695),
    [sym_requires_expression] = STATE(4695),
    [sym_lambda_expression] = STATE(4695),
    [sym_lambda_capture_specifier] = STATE(7185),
    [sym_fold_expression] = STATE(4695),
    [sym_parameter_pack_expansion] = STATE(4695),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6899),
    [sym_qualified_identifier] = STATE(4695),
    [sym_qualified_type_identifier] = STATE(9425),
    [sym_user_defined_literal] = STATE(4695),
    [sym_identifier] = ACTIONS(4092),
    [anon_sym_LPAREN2] = ACTIONS(4188),
    [anon_sym_BANG] = ACTIONS(2532),
    [anon_sym_TILDE] = ACTIONS(2532),
    [anon_sym_DASH] = ACTIONS(2536),
    [anon_sym_PLUS] = ACTIONS(2536),
    [anon_sym_STAR] = ACTIONS(2116),
    [anon_sym_AMP] = ACTIONS(2116),
    [anon_sym_COLON_COLON] = ACTIONS(2542),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [sym_primitive_type] = ACTIONS(4096),
    [anon_sym_not] = ACTIONS(2536),
    [anon_sym_compl] = ACTIONS(2536),
    [anon_sym_DASH_DASH] = ACTIONS(2560),
    [anon_sym_PLUS_PLUS] = ACTIONS(2560),
    [anon_sym_sizeof] = ACTIONS(2562),
    [anon_sym___alignof__] = ACTIONS(2564),
    [anon_sym___alignof] = ACTIONS(2564),
    [anon_sym__alignof] = ACTIONS(2564),
    [anon_sym_alignof] = ACTIONS(2564),
    [anon_sym__Alignof] = ACTIONS(2564),
    [anon_sym_offsetof] = ACTIONS(2566),
    [anon_sym__Generic] = ACTIONS(2568),
    [anon_sym_asm] = ACTIONS(2570),
    [anon_sym___asm__] = ACTIONS(2570),
    [sym_number_literal] = ACTIONS(2572),
    [anon_sym_L_SQUOTE] = ACTIONS(2574),
    [anon_sym_u_SQUOTE] = ACTIONS(2574),
    [anon_sym_U_SQUOTE] = ACTIONS(2574),
    [anon_sym_u8_SQUOTE] = ACTIONS(2574),
    [anon_sym_SQUOTE] = ACTIONS(2574),
    [anon_sym_L_DQUOTE] = ACTIONS(2576),
    [anon_sym_u_DQUOTE] = ACTIONS(2576),
    [anon_sym_U_DQUOTE] = ACTIONS(2576),
    [anon_sym_u8_DQUOTE] = ACTIONS(2576),
    [anon_sym_DQUOTE] = ACTIONS(2576),
    [sym_true] = ACTIONS(2578),
    [sym_false] = ACTIONS(2578),
    [anon_sym_NULL] = ACTIONS(2580),
    [anon_sym_nullptr] = ACTIONS(2580),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(2590),
    [anon_sym_R_DQUOTE] = ACTIONS(2592),
    [anon_sym_LR_DQUOTE] = ACTIONS(2592),
    [anon_sym_uR_DQUOTE] = ACTIONS(2592),
    [anon_sym_UR_DQUOTE] = ACTIONS(2592),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2592),
    [anon_sym_co_await] = ACTIONS(2594),
    [anon_sym_new] = ACTIONS(2596),
    [anon_sym_requires] = ACTIONS(2598),
    [sym_this] = ACTIONS(2578),
  },
  [2393] = {
    [sym__expression] = STATE(4322),
    [sym__expression_not_binary] = STATE(4695),
    [sym__string] = STATE(4695),
    [sym_conditional_expression] = STATE(4695),
    [sym_assignment_expression] = STATE(4695),
    [sym_pointer_expression] = STATE(4695),
    [sym_unary_expression] = STATE(4695),
    [sym_binary_expression] = STATE(4695),
    [sym_update_expression] = STATE(4695),
    [sym_cast_expression] = STATE(4695),
    [sym_sizeof_expression] = STATE(4695),
    [sym_alignof_expression] = STATE(4695),
    [sym_offsetof_expression] = STATE(4695),
    [sym_generic_expression] = STATE(4695),
    [sym_subscript_expression] = STATE(4695),
    [sym_call_expression] = STATE(4695),
    [sym_gnu_asm_expression] = STATE(4695),
    [sym_field_expression] = STATE(4695),
    [sym_compound_literal_expression] = STATE(4695),
    [sym_parenthesized_expression] = STATE(4695),
    [sym_char_literal] = STATE(4427),
    [sym_concatenated_string] = STATE(4424),
    [sym_string_literal] = STATE(3398),
    [sym_null] = STATE(4695),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9425),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(4695),
    [sym_raw_string_literal] = STATE(3396),
    [sym_co_await_expression] = STATE(4695),
    [sym_new_expression] = STATE(4695),
    [sym_delete_expression] = STATE(4695),
    [sym_requires_clause] = STATE(4695),
    [sym_requires_expression] = STATE(4695),
    [sym_lambda_expression] = STATE(4695),
    [sym_lambda_capture_specifier] = STATE(7185),
    [sym_fold_expression] = STATE(4695),
    [sym_parameter_pack_expansion] = STATE(4695),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6899),
    [sym_qualified_identifier] = STATE(4695),
    [sym_qualified_type_identifier] = STATE(9425),
    [sym_user_defined_literal] = STATE(4695),
    [sym_identifier] = ACTIONS(4092),
    [anon_sym_LPAREN2] = ACTIONS(4188),
    [anon_sym_BANG] = ACTIONS(2532),
    [anon_sym_TILDE] = ACTIONS(2532),
    [anon_sym_DASH] = ACTIONS(2536),
    [anon_sym_PLUS] = ACTIONS(2536),
    [anon_sym_STAR] = ACTIONS(2116),
    [anon_sym_AMP] = ACTIONS(2116),
    [anon_sym_COLON_COLON] = ACTIONS(2542),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [sym_primitive_type] = ACTIONS(4096),
    [anon_sym_not] = ACTIONS(2536),
    [anon_sym_compl] = ACTIONS(2536),
    [anon_sym_DASH_DASH] = ACTIONS(2560),
    [anon_sym_PLUS_PLUS] = ACTIONS(2560),
    [anon_sym_sizeof] = ACTIONS(2562),
    [anon_sym___alignof__] = ACTIONS(2564),
    [anon_sym___alignof] = ACTIONS(2564),
    [anon_sym__alignof] = ACTIONS(2564),
    [anon_sym_alignof] = ACTIONS(2564),
    [anon_sym__Alignof] = ACTIONS(2564),
    [anon_sym_offsetof] = ACTIONS(2566),
    [anon_sym__Generic] = ACTIONS(2568),
    [anon_sym_asm] = ACTIONS(2570),
    [anon_sym___asm__] = ACTIONS(2570),
    [sym_number_literal] = ACTIONS(2572),
    [anon_sym_L_SQUOTE] = ACTIONS(2574),
    [anon_sym_u_SQUOTE] = ACTIONS(2574),
    [anon_sym_U_SQUOTE] = ACTIONS(2574),
    [anon_sym_u8_SQUOTE] = ACTIONS(2574),
    [anon_sym_SQUOTE] = ACTIONS(2574),
    [anon_sym_L_DQUOTE] = ACTIONS(2576),
    [anon_sym_u_DQUOTE] = ACTIONS(2576),
    [anon_sym_U_DQUOTE] = ACTIONS(2576),
    [anon_sym_u8_DQUOTE] = ACTIONS(2576),
    [anon_sym_DQUOTE] = ACTIONS(2576),
    [sym_true] = ACTIONS(2578),
    [sym_false] = ACTIONS(2578),
    [anon_sym_NULL] = ACTIONS(2580),
    [anon_sym_nullptr] = ACTIONS(2580),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(2590),
    [anon_sym_R_DQUOTE] = ACTIONS(2592),
    [anon_sym_LR_DQUOTE] = ACTIONS(2592),
    [anon_sym_uR_DQUOTE] = ACTIONS(2592),
    [anon_sym_UR_DQUOTE] = ACTIONS(2592),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2592),
    [anon_sym_co_await] = ACTIONS(2594),
    [anon_sym_new] = ACTIONS(2596),
    [anon_sym_requires] = ACTIONS(2598),
    [sym_this] = ACTIONS(2578),
  },
  [2394] = {
    [sym__expression] = STATE(4474),
    [sym__expression_not_binary] = STATE(4786),
    [sym__string] = STATE(4786),
    [sym_conditional_expression] = STATE(4786),
    [sym_assignment_expression] = STATE(4786),
    [sym_pointer_expression] = STATE(4786),
    [sym_unary_expression] = STATE(4786),
    [sym_binary_expression] = STATE(4786),
    [sym_update_expression] = STATE(4786),
    [sym_cast_expression] = STATE(4786),
    [sym_sizeof_expression] = STATE(4786),
    [sym_alignof_expression] = STATE(4786),
    [sym_offsetof_expression] = STATE(4786),
    [sym_generic_expression] = STATE(4786),
    [sym_subscript_expression] = STATE(4786),
    [sym_call_expression] = STATE(4786),
    [sym_gnu_asm_expression] = STATE(4786),
    [sym_field_expression] = STATE(4786),
    [sym_compound_literal_expression] = STATE(4786),
    [sym_parenthesized_expression] = STATE(4786),
    [sym_char_literal] = STATE(4554),
    [sym_concatenated_string] = STATE(4621),
    [sym_string_literal] = STATE(3503),
    [sym_null] = STATE(4786),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9199),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(4786),
    [sym_raw_string_literal] = STATE(3498),
    [sym_co_await_expression] = STATE(4786),
    [sym_new_expression] = STATE(4786),
    [sym_delete_expression] = STATE(4786),
    [sym_requires_clause] = STATE(4786),
    [sym_requires_expression] = STATE(4786),
    [sym_lambda_expression] = STATE(4786),
    [sym_lambda_capture_specifier] = STATE(7160),
    [sym_fold_expression] = STATE(4786),
    [sym_parameter_pack_expansion] = STATE(4786),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6932),
    [sym_qualified_identifier] = STATE(4786),
    [sym_qualified_type_identifier] = STATE(9199),
    [sym_user_defined_literal] = STATE(4786),
    [sym_identifier] = ACTIONS(4126),
    [anon_sym_LPAREN2] = ACTIONS(5194),
    [anon_sym_BANG] = ACTIONS(4130),
    [anon_sym_TILDE] = ACTIONS(4130),
    [anon_sym_DASH] = ACTIONS(4128),
    [anon_sym_PLUS] = ACTIONS(4128),
    [anon_sym_STAR] = ACTIONS(4261),
    [anon_sym_AMP] = ACTIONS(4261),
    [anon_sym_COLON_COLON] = ACTIONS(4132),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [sym_primitive_type] = ACTIONS(4136),
    [anon_sym_not] = ACTIONS(4128),
    [anon_sym_compl] = ACTIONS(4128),
    [anon_sym_DASH_DASH] = ACTIONS(5049),
    [anon_sym_PLUS_PLUS] = ACTIONS(5049),
    [anon_sym_sizeof] = ACTIONS(4138),
    [anon_sym___alignof__] = ACTIONS(4140),
    [anon_sym___alignof] = ACTIONS(4140),
    [anon_sym__alignof] = ACTIONS(4140),
    [anon_sym_alignof] = ACTIONS(4140),
    [anon_sym__Alignof] = ACTIONS(4140),
    [anon_sym_offsetof] = ACTIONS(4142),
    [anon_sym__Generic] = ACTIONS(4144),
    [anon_sym_asm] = ACTIONS(4146),
    [anon_sym___asm__] = ACTIONS(4146),
    [sym_number_literal] = ACTIONS(4148),
    [anon_sym_L_SQUOTE] = ACTIONS(4150),
    [anon_sym_u_SQUOTE] = ACTIONS(4150),
    [anon_sym_U_SQUOTE] = ACTIONS(4150),
    [anon_sym_u8_SQUOTE] = ACTIONS(4150),
    [anon_sym_SQUOTE] = ACTIONS(4150),
    [anon_sym_L_DQUOTE] = ACTIONS(4152),
    [anon_sym_u_DQUOTE] = ACTIONS(4152),
    [anon_sym_U_DQUOTE] = ACTIONS(4152),
    [anon_sym_u8_DQUOTE] = ACTIONS(4152),
    [anon_sym_DQUOTE] = ACTIONS(4152),
    [sym_true] = ACTIONS(4154),
    [sym_false] = ACTIONS(4154),
    [anon_sym_NULL] = ACTIONS(4156),
    [anon_sym_nullptr] = ACTIONS(4156),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(4158),
    [anon_sym_R_DQUOTE] = ACTIONS(4160),
    [anon_sym_LR_DQUOTE] = ACTIONS(4160),
    [anon_sym_uR_DQUOTE] = ACTIONS(4160),
    [anon_sym_UR_DQUOTE] = ACTIONS(4160),
    [anon_sym_u8R_DQUOTE] = ACTIONS(4160),
    [anon_sym_co_await] = ACTIONS(4162),
    [anon_sym_new] = ACTIONS(4164),
    [anon_sym_requires] = ACTIONS(4166),
    [sym_this] = ACTIONS(4154),
  },
  [2395] = {
    [sym__expression] = STATE(4326),
    [sym__expression_not_binary] = STATE(4695),
    [sym__string] = STATE(4695),
    [sym_conditional_expression] = STATE(4695),
    [sym_assignment_expression] = STATE(4695),
    [sym_pointer_expression] = STATE(4695),
    [sym_unary_expression] = STATE(4695),
    [sym_binary_expression] = STATE(4695),
    [sym_update_expression] = STATE(4695),
    [sym_cast_expression] = STATE(4695),
    [sym_sizeof_expression] = STATE(4695),
    [sym_alignof_expression] = STATE(4695),
    [sym_offsetof_expression] = STATE(4695),
    [sym_generic_expression] = STATE(4695),
    [sym_subscript_expression] = STATE(4695),
    [sym_call_expression] = STATE(4695),
    [sym_gnu_asm_expression] = STATE(4695),
    [sym_field_expression] = STATE(4695),
    [sym_compound_literal_expression] = STATE(4695),
    [sym_parenthesized_expression] = STATE(4695),
    [sym_char_literal] = STATE(4427),
    [sym_concatenated_string] = STATE(4424),
    [sym_string_literal] = STATE(3398),
    [sym_null] = STATE(4695),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9425),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(4695),
    [sym_raw_string_literal] = STATE(3396),
    [sym_co_await_expression] = STATE(4695),
    [sym_new_expression] = STATE(4695),
    [sym_delete_expression] = STATE(4695),
    [sym_requires_clause] = STATE(4695),
    [sym_requires_expression] = STATE(4695),
    [sym_lambda_expression] = STATE(4695),
    [sym_lambda_capture_specifier] = STATE(7185),
    [sym_fold_expression] = STATE(4695),
    [sym_parameter_pack_expansion] = STATE(4695),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6899),
    [sym_qualified_identifier] = STATE(4695),
    [sym_qualified_type_identifier] = STATE(9425),
    [sym_user_defined_literal] = STATE(4695),
    [sym_identifier] = ACTIONS(4092),
    [anon_sym_LPAREN2] = ACTIONS(4188),
    [anon_sym_BANG] = ACTIONS(2532),
    [anon_sym_TILDE] = ACTIONS(2532),
    [anon_sym_DASH] = ACTIONS(2536),
    [anon_sym_PLUS] = ACTIONS(2536),
    [anon_sym_STAR] = ACTIONS(2116),
    [anon_sym_AMP] = ACTIONS(2116),
    [anon_sym_COLON_COLON] = ACTIONS(2542),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [sym_primitive_type] = ACTIONS(4096),
    [anon_sym_not] = ACTIONS(2536),
    [anon_sym_compl] = ACTIONS(2536),
    [anon_sym_DASH_DASH] = ACTIONS(2560),
    [anon_sym_PLUS_PLUS] = ACTIONS(2560),
    [anon_sym_sizeof] = ACTIONS(2562),
    [anon_sym___alignof__] = ACTIONS(2564),
    [anon_sym___alignof] = ACTIONS(2564),
    [anon_sym__alignof] = ACTIONS(2564),
    [anon_sym_alignof] = ACTIONS(2564),
    [anon_sym__Alignof] = ACTIONS(2564),
    [anon_sym_offsetof] = ACTIONS(2566),
    [anon_sym__Generic] = ACTIONS(2568),
    [anon_sym_asm] = ACTIONS(2570),
    [anon_sym___asm__] = ACTIONS(2570),
    [sym_number_literal] = ACTIONS(2572),
    [anon_sym_L_SQUOTE] = ACTIONS(2574),
    [anon_sym_u_SQUOTE] = ACTIONS(2574),
    [anon_sym_U_SQUOTE] = ACTIONS(2574),
    [anon_sym_u8_SQUOTE] = ACTIONS(2574),
    [anon_sym_SQUOTE] = ACTIONS(2574),
    [anon_sym_L_DQUOTE] = ACTIONS(2576),
    [anon_sym_u_DQUOTE] = ACTIONS(2576),
    [anon_sym_U_DQUOTE] = ACTIONS(2576),
    [anon_sym_u8_DQUOTE] = ACTIONS(2576),
    [anon_sym_DQUOTE] = ACTIONS(2576),
    [sym_true] = ACTIONS(2578),
    [sym_false] = ACTIONS(2578),
    [anon_sym_NULL] = ACTIONS(2580),
    [anon_sym_nullptr] = ACTIONS(2580),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(2590),
    [anon_sym_R_DQUOTE] = ACTIONS(2592),
    [anon_sym_LR_DQUOTE] = ACTIONS(2592),
    [anon_sym_uR_DQUOTE] = ACTIONS(2592),
    [anon_sym_UR_DQUOTE] = ACTIONS(2592),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2592),
    [anon_sym_co_await] = ACTIONS(2594),
    [anon_sym_new] = ACTIONS(2596),
    [anon_sym_requires] = ACTIONS(2598),
    [sym_this] = ACTIONS(2578),
  },
  [2396] = {
    [sym__expression] = STATE(4329),
    [sym__expression_not_binary] = STATE(4695),
    [sym__string] = STATE(4695),
    [sym_conditional_expression] = STATE(4695),
    [sym_assignment_expression] = STATE(4695),
    [sym_pointer_expression] = STATE(4695),
    [sym_unary_expression] = STATE(4695),
    [sym_binary_expression] = STATE(4695),
    [sym_update_expression] = STATE(4695),
    [sym_cast_expression] = STATE(4695),
    [sym_sizeof_expression] = STATE(4695),
    [sym_alignof_expression] = STATE(4695),
    [sym_offsetof_expression] = STATE(4695),
    [sym_generic_expression] = STATE(4695),
    [sym_subscript_expression] = STATE(4695),
    [sym_call_expression] = STATE(4695),
    [sym_gnu_asm_expression] = STATE(4695),
    [sym_field_expression] = STATE(4695),
    [sym_compound_literal_expression] = STATE(4695),
    [sym_parenthesized_expression] = STATE(4695),
    [sym_char_literal] = STATE(4427),
    [sym_concatenated_string] = STATE(4424),
    [sym_string_literal] = STATE(3398),
    [sym_null] = STATE(4695),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9425),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(4695),
    [sym_raw_string_literal] = STATE(3396),
    [sym_co_await_expression] = STATE(4695),
    [sym_new_expression] = STATE(4695),
    [sym_delete_expression] = STATE(4695),
    [sym_requires_clause] = STATE(4695),
    [sym_requires_expression] = STATE(4695),
    [sym_lambda_expression] = STATE(4695),
    [sym_lambda_capture_specifier] = STATE(7185),
    [sym_fold_expression] = STATE(4695),
    [sym_parameter_pack_expansion] = STATE(4695),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6899),
    [sym_qualified_identifier] = STATE(4695),
    [sym_qualified_type_identifier] = STATE(9425),
    [sym_user_defined_literal] = STATE(4695),
    [sym_identifier] = ACTIONS(4092),
    [anon_sym_LPAREN2] = ACTIONS(4188),
    [anon_sym_BANG] = ACTIONS(2532),
    [anon_sym_TILDE] = ACTIONS(2532),
    [anon_sym_DASH] = ACTIONS(2536),
    [anon_sym_PLUS] = ACTIONS(2536),
    [anon_sym_STAR] = ACTIONS(2116),
    [anon_sym_AMP] = ACTIONS(2116),
    [anon_sym_COLON_COLON] = ACTIONS(2542),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [sym_primitive_type] = ACTIONS(4096),
    [anon_sym_not] = ACTIONS(2536),
    [anon_sym_compl] = ACTIONS(2536),
    [anon_sym_DASH_DASH] = ACTIONS(2560),
    [anon_sym_PLUS_PLUS] = ACTIONS(2560),
    [anon_sym_sizeof] = ACTIONS(2562),
    [anon_sym___alignof__] = ACTIONS(2564),
    [anon_sym___alignof] = ACTIONS(2564),
    [anon_sym__alignof] = ACTIONS(2564),
    [anon_sym_alignof] = ACTIONS(2564),
    [anon_sym__Alignof] = ACTIONS(2564),
    [anon_sym_offsetof] = ACTIONS(2566),
    [anon_sym__Generic] = ACTIONS(2568),
    [anon_sym_asm] = ACTIONS(2570),
    [anon_sym___asm__] = ACTIONS(2570),
    [sym_number_literal] = ACTIONS(2572),
    [anon_sym_L_SQUOTE] = ACTIONS(2574),
    [anon_sym_u_SQUOTE] = ACTIONS(2574),
    [anon_sym_U_SQUOTE] = ACTIONS(2574),
    [anon_sym_u8_SQUOTE] = ACTIONS(2574),
    [anon_sym_SQUOTE] = ACTIONS(2574),
    [anon_sym_L_DQUOTE] = ACTIONS(2576),
    [anon_sym_u_DQUOTE] = ACTIONS(2576),
    [anon_sym_U_DQUOTE] = ACTIONS(2576),
    [anon_sym_u8_DQUOTE] = ACTIONS(2576),
    [anon_sym_DQUOTE] = ACTIONS(2576),
    [sym_true] = ACTIONS(2578),
    [sym_false] = ACTIONS(2578),
    [anon_sym_NULL] = ACTIONS(2580),
    [anon_sym_nullptr] = ACTIONS(2580),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(2590),
    [anon_sym_R_DQUOTE] = ACTIONS(2592),
    [anon_sym_LR_DQUOTE] = ACTIONS(2592),
    [anon_sym_uR_DQUOTE] = ACTIONS(2592),
    [anon_sym_UR_DQUOTE] = ACTIONS(2592),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2592),
    [anon_sym_co_await] = ACTIONS(2594),
    [anon_sym_new] = ACTIONS(2596),
    [anon_sym_requires] = ACTIONS(2598),
    [sym_this] = ACTIONS(2578),
  },
  [2397] = {
    [sym__expression] = STATE(4473),
    [sym__expression_not_binary] = STATE(4786),
    [sym__string] = STATE(4786),
    [sym_conditional_expression] = STATE(4786),
    [sym_assignment_expression] = STATE(4786),
    [sym_pointer_expression] = STATE(4786),
    [sym_unary_expression] = STATE(4786),
    [sym_binary_expression] = STATE(4786),
    [sym_update_expression] = STATE(4786),
    [sym_cast_expression] = STATE(4786),
    [sym_sizeof_expression] = STATE(4786),
    [sym_alignof_expression] = STATE(4786),
    [sym_offsetof_expression] = STATE(4786),
    [sym_generic_expression] = STATE(4786),
    [sym_subscript_expression] = STATE(4786),
    [sym_call_expression] = STATE(4786),
    [sym_gnu_asm_expression] = STATE(4786),
    [sym_field_expression] = STATE(4786),
    [sym_compound_literal_expression] = STATE(4786),
    [sym_parenthesized_expression] = STATE(4786),
    [sym_char_literal] = STATE(4554),
    [sym_concatenated_string] = STATE(4621),
    [sym_string_literal] = STATE(3503),
    [sym_null] = STATE(4786),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9199),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(4786),
    [sym_raw_string_literal] = STATE(3498),
    [sym_co_await_expression] = STATE(4786),
    [sym_new_expression] = STATE(4786),
    [sym_delete_expression] = STATE(4786),
    [sym_requires_clause] = STATE(4786),
    [sym_requires_expression] = STATE(4786),
    [sym_lambda_expression] = STATE(4786),
    [sym_lambda_capture_specifier] = STATE(7160),
    [sym_fold_expression] = STATE(4786),
    [sym_parameter_pack_expansion] = STATE(4786),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6932),
    [sym_qualified_identifier] = STATE(4786),
    [sym_qualified_type_identifier] = STATE(9199),
    [sym_user_defined_literal] = STATE(4786),
    [sym_identifier] = ACTIONS(4126),
    [anon_sym_LPAREN2] = ACTIONS(5194),
    [anon_sym_BANG] = ACTIONS(4130),
    [anon_sym_TILDE] = ACTIONS(4130),
    [anon_sym_DASH] = ACTIONS(4128),
    [anon_sym_PLUS] = ACTIONS(4128),
    [anon_sym_STAR] = ACTIONS(4261),
    [anon_sym_AMP] = ACTIONS(4261),
    [anon_sym_COLON_COLON] = ACTIONS(4132),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [sym_primitive_type] = ACTIONS(4136),
    [anon_sym_not] = ACTIONS(4128),
    [anon_sym_compl] = ACTIONS(4128),
    [anon_sym_DASH_DASH] = ACTIONS(5049),
    [anon_sym_PLUS_PLUS] = ACTIONS(5049),
    [anon_sym_sizeof] = ACTIONS(4138),
    [anon_sym___alignof__] = ACTIONS(4140),
    [anon_sym___alignof] = ACTIONS(4140),
    [anon_sym__alignof] = ACTIONS(4140),
    [anon_sym_alignof] = ACTIONS(4140),
    [anon_sym__Alignof] = ACTIONS(4140),
    [anon_sym_offsetof] = ACTIONS(4142),
    [anon_sym__Generic] = ACTIONS(4144),
    [anon_sym_asm] = ACTIONS(4146),
    [anon_sym___asm__] = ACTIONS(4146),
    [sym_number_literal] = ACTIONS(4148),
    [anon_sym_L_SQUOTE] = ACTIONS(4150),
    [anon_sym_u_SQUOTE] = ACTIONS(4150),
    [anon_sym_U_SQUOTE] = ACTIONS(4150),
    [anon_sym_u8_SQUOTE] = ACTIONS(4150),
    [anon_sym_SQUOTE] = ACTIONS(4150),
    [anon_sym_L_DQUOTE] = ACTIONS(4152),
    [anon_sym_u_DQUOTE] = ACTIONS(4152),
    [anon_sym_U_DQUOTE] = ACTIONS(4152),
    [anon_sym_u8_DQUOTE] = ACTIONS(4152),
    [anon_sym_DQUOTE] = ACTIONS(4152),
    [sym_true] = ACTIONS(4154),
    [sym_false] = ACTIONS(4154),
    [anon_sym_NULL] = ACTIONS(4156),
    [anon_sym_nullptr] = ACTIONS(4156),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(4158),
    [anon_sym_R_DQUOTE] = ACTIONS(4160),
    [anon_sym_LR_DQUOTE] = ACTIONS(4160),
    [anon_sym_uR_DQUOTE] = ACTIONS(4160),
    [anon_sym_UR_DQUOTE] = ACTIONS(4160),
    [anon_sym_u8R_DQUOTE] = ACTIONS(4160),
    [anon_sym_co_await] = ACTIONS(4162),
    [anon_sym_new] = ACTIONS(4164),
    [anon_sym_requires] = ACTIONS(4166),
    [sym_this] = ACTIONS(4154),
  },
  [2398] = {
    [sym__expression] = STATE(3981),
    [sym__expression_not_binary] = STATE(4307),
    [sym__string] = STATE(4307),
    [sym_conditional_expression] = STATE(4307),
    [sym_assignment_expression] = STATE(4307),
    [sym_pointer_expression] = STATE(4307),
    [sym_unary_expression] = STATE(4307),
    [sym_binary_expression] = STATE(4307),
    [sym_update_expression] = STATE(4307),
    [sym_cast_expression] = STATE(4307),
    [sym_sizeof_expression] = STATE(4307),
    [sym_alignof_expression] = STATE(4307),
    [sym_offsetof_expression] = STATE(4307),
    [sym_generic_expression] = STATE(4307),
    [sym_subscript_expression] = STATE(4307),
    [sym_call_expression] = STATE(4307),
    [sym_gnu_asm_expression] = STATE(4307),
    [sym_field_expression] = STATE(4307),
    [sym_compound_literal_expression] = STATE(4307),
    [sym_parenthesized_expression] = STATE(4307),
    [sym_char_literal] = STATE(4093),
    [sym_concatenated_string] = STATE(4159),
    [sym_string_literal] = STATE(3328),
    [sym_null] = STATE(4307),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9053),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(4307),
    [sym_raw_string_literal] = STATE(3294),
    [sym_co_await_expression] = STATE(4307),
    [sym_new_expression] = STATE(4307),
    [sym_delete_expression] = STATE(4307),
    [sym_requires_clause] = STATE(4307),
    [sym_requires_expression] = STATE(4307),
    [sym_lambda_expression] = STATE(4307),
    [sym_lambda_capture_specifier] = STATE(7183),
    [sym_fold_expression] = STATE(4307),
    [sym_parameter_pack_expansion] = STATE(4307),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6962),
    [sym_qualified_identifier] = STATE(4307),
    [sym_qualified_type_identifier] = STATE(9053),
    [sym_user_defined_literal] = STATE(4307),
    [sym_identifier] = ACTIONS(5051),
    [anon_sym_LPAREN2] = ACTIONS(5204),
    [anon_sym_BANG] = ACTIONS(3994),
    [anon_sym_TILDE] = ACTIONS(3994),
    [anon_sym_DASH] = ACTIONS(3992),
    [anon_sym_PLUS] = ACTIONS(3992),
    [anon_sym_STAR] = ACTIONS(5202),
    [anon_sym_AMP] = ACTIONS(5202),
    [anon_sym_COLON_COLON] = ACTIONS(3996),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [sym_primitive_type] = ACTIONS(4000),
    [anon_sym_not] = ACTIONS(3992),
    [anon_sym_compl] = ACTIONS(3992),
    [anon_sym_DASH_DASH] = ACTIONS(5053),
    [anon_sym_PLUS_PLUS] = ACTIONS(5053),
    [anon_sym_sizeof] = ACTIONS(4002),
    [anon_sym___alignof__] = ACTIONS(4004),
    [anon_sym___alignof] = ACTIONS(4004),
    [anon_sym__alignof] = ACTIONS(4004),
    [anon_sym_alignof] = ACTIONS(4004),
    [anon_sym__Alignof] = ACTIONS(4004),
    [anon_sym_offsetof] = ACTIONS(4006),
    [anon_sym__Generic] = ACTIONS(4008),
    [anon_sym_asm] = ACTIONS(4010),
    [anon_sym___asm__] = ACTIONS(4010),
    [sym_number_literal] = ACTIONS(4012),
    [anon_sym_L_SQUOTE] = ACTIONS(4014),
    [anon_sym_u_SQUOTE] = ACTIONS(4014),
    [anon_sym_U_SQUOTE] = ACTIONS(4014),
    [anon_sym_u8_SQUOTE] = ACTIONS(4014),
    [anon_sym_SQUOTE] = ACTIONS(4014),
    [anon_sym_L_DQUOTE] = ACTIONS(4016),
    [anon_sym_u_DQUOTE] = ACTIONS(4016),
    [anon_sym_U_DQUOTE] = ACTIONS(4016),
    [anon_sym_u8_DQUOTE] = ACTIONS(4016),
    [anon_sym_DQUOTE] = ACTIONS(4016),
    [sym_true] = ACTIONS(4018),
    [sym_false] = ACTIONS(4018),
    [anon_sym_NULL] = ACTIONS(4020),
    [anon_sym_nullptr] = ACTIONS(4020),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(4022),
    [anon_sym_R_DQUOTE] = ACTIONS(4024),
    [anon_sym_LR_DQUOTE] = ACTIONS(4024),
    [anon_sym_uR_DQUOTE] = ACTIONS(4024),
    [anon_sym_UR_DQUOTE] = ACTIONS(4024),
    [anon_sym_u8R_DQUOTE] = ACTIONS(4024),
    [anon_sym_co_await] = ACTIONS(4026),
    [anon_sym_new] = ACTIONS(4028),
    [anon_sym_requires] = ACTIONS(4030),
    [sym_this] = ACTIONS(4018),
  },
  [2399] = {
    [sym__expression] = STATE(4330),
    [sym__expression_not_binary] = STATE(4695),
    [sym__string] = STATE(4695),
    [sym_conditional_expression] = STATE(4695),
    [sym_assignment_expression] = STATE(4695),
    [sym_pointer_expression] = STATE(4695),
    [sym_unary_expression] = STATE(4695),
    [sym_binary_expression] = STATE(4695),
    [sym_update_expression] = STATE(4695),
    [sym_cast_expression] = STATE(4695),
    [sym_sizeof_expression] = STATE(4695),
    [sym_alignof_expression] = STATE(4695),
    [sym_offsetof_expression] = STATE(4695),
    [sym_generic_expression] = STATE(4695),
    [sym_subscript_expression] = STATE(4695),
    [sym_call_expression] = STATE(4695),
    [sym_gnu_asm_expression] = STATE(4695),
    [sym_field_expression] = STATE(4695),
    [sym_compound_literal_expression] = STATE(4695),
    [sym_parenthesized_expression] = STATE(4695),
    [sym_char_literal] = STATE(4427),
    [sym_concatenated_string] = STATE(4424),
    [sym_string_literal] = STATE(3398),
    [sym_null] = STATE(4695),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9425),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(4695),
    [sym_raw_string_literal] = STATE(3396),
    [sym_co_await_expression] = STATE(4695),
    [sym_new_expression] = STATE(4695),
    [sym_delete_expression] = STATE(4695),
    [sym_requires_clause] = STATE(4695),
    [sym_requires_expression] = STATE(4695),
    [sym_lambda_expression] = STATE(4695),
    [sym_lambda_capture_specifier] = STATE(7185),
    [sym_fold_expression] = STATE(4695),
    [sym_parameter_pack_expansion] = STATE(4695),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6899),
    [sym_qualified_identifier] = STATE(4695),
    [sym_qualified_type_identifier] = STATE(9425),
    [sym_user_defined_literal] = STATE(4695),
    [sym_identifier] = ACTIONS(4092),
    [anon_sym_LPAREN2] = ACTIONS(4188),
    [anon_sym_BANG] = ACTIONS(2532),
    [anon_sym_TILDE] = ACTIONS(2532),
    [anon_sym_DASH] = ACTIONS(2536),
    [anon_sym_PLUS] = ACTIONS(2536),
    [anon_sym_STAR] = ACTIONS(2116),
    [anon_sym_AMP] = ACTIONS(2116),
    [anon_sym_COLON_COLON] = ACTIONS(2542),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [sym_primitive_type] = ACTIONS(4096),
    [anon_sym_not] = ACTIONS(2536),
    [anon_sym_compl] = ACTIONS(2536),
    [anon_sym_DASH_DASH] = ACTIONS(2560),
    [anon_sym_PLUS_PLUS] = ACTIONS(2560),
    [anon_sym_sizeof] = ACTIONS(2562),
    [anon_sym___alignof__] = ACTIONS(2564),
    [anon_sym___alignof] = ACTIONS(2564),
    [anon_sym__alignof] = ACTIONS(2564),
    [anon_sym_alignof] = ACTIONS(2564),
    [anon_sym__Alignof] = ACTIONS(2564),
    [anon_sym_offsetof] = ACTIONS(2566),
    [anon_sym__Generic] = ACTIONS(2568),
    [anon_sym_asm] = ACTIONS(2570),
    [anon_sym___asm__] = ACTIONS(2570),
    [sym_number_literal] = ACTIONS(2572),
    [anon_sym_L_SQUOTE] = ACTIONS(2574),
    [anon_sym_u_SQUOTE] = ACTIONS(2574),
    [anon_sym_U_SQUOTE] = ACTIONS(2574),
    [anon_sym_u8_SQUOTE] = ACTIONS(2574),
    [anon_sym_SQUOTE] = ACTIONS(2574),
    [anon_sym_L_DQUOTE] = ACTIONS(2576),
    [anon_sym_u_DQUOTE] = ACTIONS(2576),
    [anon_sym_U_DQUOTE] = ACTIONS(2576),
    [anon_sym_u8_DQUOTE] = ACTIONS(2576),
    [anon_sym_DQUOTE] = ACTIONS(2576),
    [sym_true] = ACTIONS(2578),
    [sym_false] = ACTIONS(2578),
    [anon_sym_NULL] = ACTIONS(2580),
    [anon_sym_nullptr] = ACTIONS(2580),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(2590),
    [anon_sym_R_DQUOTE] = ACTIONS(2592),
    [anon_sym_LR_DQUOTE] = ACTIONS(2592),
    [anon_sym_uR_DQUOTE] = ACTIONS(2592),
    [anon_sym_UR_DQUOTE] = ACTIONS(2592),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2592),
    [anon_sym_co_await] = ACTIONS(2594),
    [anon_sym_new] = ACTIONS(2596),
    [anon_sym_requires] = ACTIONS(2598),
    [sym_this] = ACTIONS(2578),
  },
  [2400] = {
    [sym__expression] = STATE(4072),
    [sym__expression_not_binary] = STATE(4307),
    [sym__string] = STATE(4307),
    [sym_conditional_expression] = STATE(4307),
    [sym_assignment_expression] = STATE(4307),
    [sym_pointer_expression] = STATE(4307),
    [sym_unary_expression] = STATE(4307),
    [sym_binary_expression] = STATE(4307),
    [sym_update_expression] = STATE(4307),
    [sym_cast_expression] = STATE(4307),
    [sym_sizeof_expression] = STATE(4307),
    [sym_alignof_expression] = STATE(4307),
    [sym_offsetof_expression] = STATE(4307),
    [sym_generic_expression] = STATE(4307),
    [sym_subscript_expression] = STATE(4307),
    [sym_call_expression] = STATE(4307),
    [sym_gnu_asm_expression] = STATE(4307),
    [sym_field_expression] = STATE(4307),
    [sym_compound_literal_expression] = STATE(4307),
    [sym_parenthesized_expression] = STATE(4307),
    [sym_char_literal] = STATE(4093),
    [sym_concatenated_string] = STATE(4159),
    [sym_string_literal] = STATE(3328),
    [sym_null] = STATE(4307),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9053),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(4307),
    [sym_raw_string_literal] = STATE(3294),
    [sym_co_await_expression] = STATE(4307),
    [sym_new_expression] = STATE(4307),
    [sym_delete_expression] = STATE(4307),
    [sym_requires_clause] = STATE(4307),
    [sym_requires_expression] = STATE(4307),
    [sym_lambda_expression] = STATE(4307),
    [sym_lambda_capture_specifier] = STATE(7183),
    [sym_fold_expression] = STATE(4307),
    [sym_parameter_pack_expansion] = STATE(4307),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6962),
    [sym_qualified_identifier] = STATE(4307),
    [sym_qualified_type_identifier] = STATE(9053),
    [sym_user_defined_literal] = STATE(4307),
    [sym_identifier] = ACTIONS(5051),
    [anon_sym_LPAREN2] = ACTIONS(5204),
    [anon_sym_BANG] = ACTIONS(3994),
    [anon_sym_TILDE] = ACTIONS(3994),
    [anon_sym_DASH] = ACTIONS(3992),
    [anon_sym_PLUS] = ACTIONS(3992),
    [anon_sym_STAR] = ACTIONS(5202),
    [anon_sym_AMP] = ACTIONS(5202),
    [anon_sym_COLON_COLON] = ACTIONS(3996),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [sym_primitive_type] = ACTIONS(4000),
    [anon_sym_not] = ACTIONS(3992),
    [anon_sym_compl] = ACTIONS(3992),
    [anon_sym_DASH_DASH] = ACTIONS(5053),
    [anon_sym_PLUS_PLUS] = ACTIONS(5053),
    [anon_sym_sizeof] = ACTIONS(4002),
    [anon_sym___alignof__] = ACTIONS(4004),
    [anon_sym___alignof] = ACTIONS(4004),
    [anon_sym__alignof] = ACTIONS(4004),
    [anon_sym_alignof] = ACTIONS(4004),
    [anon_sym__Alignof] = ACTIONS(4004),
    [anon_sym_offsetof] = ACTIONS(4006),
    [anon_sym__Generic] = ACTIONS(4008),
    [anon_sym_asm] = ACTIONS(4010),
    [anon_sym___asm__] = ACTIONS(4010),
    [sym_number_literal] = ACTIONS(4012),
    [anon_sym_L_SQUOTE] = ACTIONS(4014),
    [anon_sym_u_SQUOTE] = ACTIONS(4014),
    [anon_sym_U_SQUOTE] = ACTIONS(4014),
    [anon_sym_u8_SQUOTE] = ACTIONS(4014),
    [anon_sym_SQUOTE] = ACTIONS(4014),
    [anon_sym_L_DQUOTE] = ACTIONS(4016),
    [anon_sym_u_DQUOTE] = ACTIONS(4016),
    [anon_sym_U_DQUOTE] = ACTIONS(4016),
    [anon_sym_u8_DQUOTE] = ACTIONS(4016),
    [anon_sym_DQUOTE] = ACTIONS(4016),
    [sym_true] = ACTIONS(4018),
    [sym_false] = ACTIONS(4018),
    [anon_sym_NULL] = ACTIONS(4020),
    [anon_sym_nullptr] = ACTIONS(4020),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(4022),
    [anon_sym_R_DQUOTE] = ACTIONS(4024),
    [anon_sym_LR_DQUOTE] = ACTIONS(4024),
    [anon_sym_uR_DQUOTE] = ACTIONS(4024),
    [anon_sym_UR_DQUOTE] = ACTIONS(4024),
    [anon_sym_u8R_DQUOTE] = ACTIONS(4024),
    [anon_sym_co_await] = ACTIONS(4026),
    [anon_sym_new] = ACTIONS(4028),
    [anon_sym_requires] = ACTIONS(4030),
    [sym_this] = ACTIONS(4018),
  },
  [2401] = {
    [sym__expression] = STATE(5887),
    [sym__expression_not_binary] = STATE(5024),
    [sym__string] = STATE(5024),
    [sym_conditional_expression] = STATE(5024),
    [sym_assignment_expression] = STATE(5024),
    [sym_pointer_expression] = STATE(4507),
    [sym_unary_expression] = STATE(5024),
    [sym_binary_expression] = STATE(5024),
    [sym_update_expression] = STATE(5024),
    [sym_cast_expression] = STATE(5024),
    [sym_sizeof_expression] = STATE(5024),
    [sym_alignof_expression] = STATE(5024),
    [sym_offsetof_expression] = STATE(5024),
    [sym_generic_expression] = STATE(5024),
    [sym_subscript_expression] = STATE(4507),
    [sym_call_expression] = STATE(4507),
    [sym_gnu_asm_expression] = STATE(5024),
    [sym_field_expression] = STATE(4507),
    [sym_compound_literal_expression] = STATE(5024),
    [sym_parenthesized_expression] = STATE(4507),
    [sym_char_literal] = STATE(5374),
    [sym_concatenated_string] = STATE(5377),
    [sym_string_literal] = STATE(4206),
    [sym_null] = STATE(5024),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9352),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(5024),
    [sym_raw_string_literal] = STATE(4217),
    [sym_co_await_expression] = STATE(5024),
    [sym_new_expression] = STATE(5024),
    [sym_delete_expression] = STATE(5024),
    [sym_requires_clause] = STATE(5024),
    [sym_requires_expression] = STATE(5024),
    [sym_lambda_expression] = STATE(5024),
    [sym_lambda_capture_specifier] = STATE(7184),
    [sym_fold_expression] = STATE(5024),
    [sym_parameter_pack_expansion] = STATE(5024),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6886),
    [sym_qualified_identifier] = STATE(4507),
    [sym_qualified_type_identifier] = STATE(9352),
    [sym_user_defined_literal] = STATE(4507),
    [sym_identifier] = ACTIONS(3140),
    [anon_sym_LPAREN2] = ACTIONS(1472),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1474),
    [anon_sym_AMP] = ACTIONS(1474),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [sym_primitive_type] = ACTIONS(3146),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [2402] = {
    [sym__expression] = STATE(4472),
    [sym__expression_not_binary] = STATE(4786),
    [sym__string] = STATE(4786),
    [sym_conditional_expression] = STATE(4786),
    [sym_assignment_expression] = STATE(4786),
    [sym_pointer_expression] = STATE(4786),
    [sym_unary_expression] = STATE(4786),
    [sym_binary_expression] = STATE(4786),
    [sym_update_expression] = STATE(4786),
    [sym_cast_expression] = STATE(4786),
    [sym_sizeof_expression] = STATE(4786),
    [sym_alignof_expression] = STATE(4786),
    [sym_offsetof_expression] = STATE(4786),
    [sym_generic_expression] = STATE(4786),
    [sym_subscript_expression] = STATE(4786),
    [sym_call_expression] = STATE(4786),
    [sym_gnu_asm_expression] = STATE(4786),
    [sym_field_expression] = STATE(4786),
    [sym_compound_literal_expression] = STATE(4786),
    [sym_parenthesized_expression] = STATE(4786),
    [sym_char_literal] = STATE(4554),
    [sym_concatenated_string] = STATE(4621),
    [sym_string_literal] = STATE(3503),
    [sym_null] = STATE(4786),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9199),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(4786),
    [sym_raw_string_literal] = STATE(3498),
    [sym_co_await_expression] = STATE(4786),
    [sym_new_expression] = STATE(4786),
    [sym_delete_expression] = STATE(4786),
    [sym_requires_clause] = STATE(4786),
    [sym_requires_expression] = STATE(4786),
    [sym_lambda_expression] = STATE(4786),
    [sym_lambda_capture_specifier] = STATE(7160),
    [sym_fold_expression] = STATE(4786),
    [sym_parameter_pack_expansion] = STATE(4786),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6932),
    [sym_qualified_identifier] = STATE(4786),
    [sym_qualified_type_identifier] = STATE(9199),
    [sym_user_defined_literal] = STATE(4786),
    [sym_identifier] = ACTIONS(4126),
    [anon_sym_LPAREN2] = ACTIONS(5194),
    [anon_sym_BANG] = ACTIONS(4130),
    [anon_sym_TILDE] = ACTIONS(4130),
    [anon_sym_DASH] = ACTIONS(4128),
    [anon_sym_PLUS] = ACTIONS(4128),
    [anon_sym_STAR] = ACTIONS(4261),
    [anon_sym_AMP] = ACTIONS(4261),
    [anon_sym_COLON_COLON] = ACTIONS(4132),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [sym_primitive_type] = ACTIONS(4136),
    [anon_sym_not] = ACTIONS(4128),
    [anon_sym_compl] = ACTIONS(4128),
    [anon_sym_DASH_DASH] = ACTIONS(5049),
    [anon_sym_PLUS_PLUS] = ACTIONS(5049),
    [anon_sym_sizeof] = ACTIONS(4138),
    [anon_sym___alignof__] = ACTIONS(4140),
    [anon_sym___alignof] = ACTIONS(4140),
    [anon_sym__alignof] = ACTIONS(4140),
    [anon_sym_alignof] = ACTIONS(4140),
    [anon_sym__Alignof] = ACTIONS(4140),
    [anon_sym_offsetof] = ACTIONS(4142),
    [anon_sym__Generic] = ACTIONS(4144),
    [anon_sym_asm] = ACTIONS(4146),
    [anon_sym___asm__] = ACTIONS(4146),
    [sym_number_literal] = ACTIONS(4148),
    [anon_sym_L_SQUOTE] = ACTIONS(4150),
    [anon_sym_u_SQUOTE] = ACTIONS(4150),
    [anon_sym_U_SQUOTE] = ACTIONS(4150),
    [anon_sym_u8_SQUOTE] = ACTIONS(4150),
    [anon_sym_SQUOTE] = ACTIONS(4150),
    [anon_sym_L_DQUOTE] = ACTIONS(4152),
    [anon_sym_u_DQUOTE] = ACTIONS(4152),
    [anon_sym_U_DQUOTE] = ACTIONS(4152),
    [anon_sym_u8_DQUOTE] = ACTIONS(4152),
    [anon_sym_DQUOTE] = ACTIONS(4152),
    [sym_true] = ACTIONS(4154),
    [sym_false] = ACTIONS(4154),
    [anon_sym_NULL] = ACTIONS(4156),
    [anon_sym_nullptr] = ACTIONS(4156),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(4158),
    [anon_sym_R_DQUOTE] = ACTIONS(4160),
    [anon_sym_LR_DQUOTE] = ACTIONS(4160),
    [anon_sym_uR_DQUOTE] = ACTIONS(4160),
    [anon_sym_UR_DQUOTE] = ACTIONS(4160),
    [anon_sym_u8R_DQUOTE] = ACTIONS(4160),
    [anon_sym_co_await] = ACTIONS(4162),
    [anon_sym_new] = ACTIONS(4164),
    [anon_sym_requires] = ACTIONS(4166),
    [sym_this] = ACTIONS(4154),
  },
  [2403] = {
    [sym__expression] = STATE(4471),
    [sym__expression_not_binary] = STATE(4786),
    [sym__string] = STATE(4786),
    [sym_conditional_expression] = STATE(4786),
    [sym_assignment_expression] = STATE(4786),
    [sym_pointer_expression] = STATE(4786),
    [sym_unary_expression] = STATE(4786),
    [sym_binary_expression] = STATE(4786),
    [sym_update_expression] = STATE(4786),
    [sym_cast_expression] = STATE(4786),
    [sym_sizeof_expression] = STATE(4786),
    [sym_alignof_expression] = STATE(4786),
    [sym_offsetof_expression] = STATE(4786),
    [sym_generic_expression] = STATE(4786),
    [sym_subscript_expression] = STATE(4786),
    [sym_call_expression] = STATE(4786),
    [sym_gnu_asm_expression] = STATE(4786),
    [sym_field_expression] = STATE(4786),
    [sym_compound_literal_expression] = STATE(4786),
    [sym_parenthesized_expression] = STATE(4786),
    [sym_char_literal] = STATE(4554),
    [sym_concatenated_string] = STATE(4621),
    [sym_string_literal] = STATE(3503),
    [sym_null] = STATE(4786),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9199),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(4786),
    [sym_raw_string_literal] = STATE(3498),
    [sym_co_await_expression] = STATE(4786),
    [sym_new_expression] = STATE(4786),
    [sym_delete_expression] = STATE(4786),
    [sym_requires_clause] = STATE(4786),
    [sym_requires_expression] = STATE(4786),
    [sym_lambda_expression] = STATE(4786),
    [sym_lambda_capture_specifier] = STATE(7160),
    [sym_fold_expression] = STATE(4786),
    [sym_parameter_pack_expansion] = STATE(4786),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6932),
    [sym_qualified_identifier] = STATE(4786),
    [sym_qualified_type_identifier] = STATE(9199),
    [sym_user_defined_literal] = STATE(4786),
    [sym_identifier] = ACTIONS(4126),
    [anon_sym_LPAREN2] = ACTIONS(5194),
    [anon_sym_BANG] = ACTIONS(4130),
    [anon_sym_TILDE] = ACTIONS(4130),
    [anon_sym_DASH] = ACTIONS(4128),
    [anon_sym_PLUS] = ACTIONS(4128),
    [anon_sym_STAR] = ACTIONS(4261),
    [anon_sym_AMP] = ACTIONS(4261),
    [anon_sym_COLON_COLON] = ACTIONS(4132),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [sym_primitive_type] = ACTIONS(4136),
    [anon_sym_not] = ACTIONS(4128),
    [anon_sym_compl] = ACTIONS(4128),
    [anon_sym_DASH_DASH] = ACTIONS(5049),
    [anon_sym_PLUS_PLUS] = ACTIONS(5049),
    [anon_sym_sizeof] = ACTIONS(4138),
    [anon_sym___alignof__] = ACTIONS(4140),
    [anon_sym___alignof] = ACTIONS(4140),
    [anon_sym__alignof] = ACTIONS(4140),
    [anon_sym_alignof] = ACTIONS(4140),
    [anon_sym__Alignof] = ACTIONS(4140),
    [anon_sym_offsetof] = ACTIONS(4142),
    [anon_sym__Generic] = ACTIONS(4144),
    [anon_sym_asm] = ACTIONS(4146),
    [anon_sym___asm__] = ACTIONS(4146),
    [sym_number_literal] = ACTIONS(4148),
    [anon_sym_L_SQUOTE] = ACTIONS(4150),
    [anon_sym_u_SQUOTE] = ACTIONS(4150),
    [anon_sym_U_SQUOTE] = ACTIONS(4150),
    [anon_sym_u8_SQUOTE] = ACTIONS(4150),
    [anon_sym_SQUOTE] = ACTIONS(4150),
    [anon_sym_L_DQUOTE] = ACTIONS(4152),
    [anon_sym_u_DQUOTE] = ACTIONS(4152),
    [anon_sym_U_DQUOTE] = ACTIONS(4152),
    [anon_sym_u8_DQUOTE] = ACTIONS(4152),
    [anon_sym_DQUOTE] = ACTIONS(4152),
    [sym_true] = ACTIONS(4154),
    [sym_false] = ACTIONS(4154),
    [anon_sym_NULL] = ACTIONS(4156),
    [anon_sym_nullptr] = ACTIONS(4156),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(4158),
    [anon_sym_R_DQUOTE] = ACTIONS(4160),
    [anon_sym_LR_DQUOTE] = ACTIONS(4160),
    [anon_sym_uR_DQUOTE] = ACTIONS(4160),
    [anon_sym_UR_DQUOTE] = ACTIONS(4160),
    [anon_sym_u8R_DQUOTE] = ACTIONS(4160),
    [anon_sym_co_await] = ACTIONS(4162),
    [anon_sym_new] = ACTIONS(4164),
    [anon_sym_requires] = ACTIONS(4166),
    [sym_this] = ACTIONS(4154),
  },
  [2404] = {
    [sym__expression] = STATE(4000),
    [sym__expression_not_binary] = STATE(4307),
    [sym__string] = STATE(4307),
    [sym_conditional_expression] = STATE(4307),
    [sym_assignment_expression] = STATE(4307),
    [sym_pointer_expression] = STATE(4307),
    [sym_unary_expression] = STATE(4307),
    [sym_binary_expression] = STATE(4307),
    [sym_update_expression] = STATE(4307),
    [sym_cast_expression] = STATE(4307),
    [sym_sizeof_expression] = STATE(4307),
    [sym_alignof_expression] = STATE(4307),
    [sym_offsetof_expression] = STATE(4307),
    [sym_generic_expression] = STATE(4307),
    [sym_subscript_expression] = STATE(4307),
    [sym_call_expression] = STATE(4307),
    [sym_gnu_asm_expression] = STATE(4307),
    [sym_field_expression] = STATE(4307),
    [sym_compound_literal_expression] = STATE(4307),
    [sym_parenthesized_expression] = STATE(4307),
    [sym_char_literal] = STATE(4093),
    [sym_concatenated_string] = STATE(4159),
    [sym_string_literal] = STATE(3328),
    [sym_null] = STATE(4307),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9053),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(4307),
    [sym_raw_string_literal] = STATE(3294),
    [sym_co_await_expression] = STATE(4307),
    [sym_new_expression] = STATE(4307),
    [sym_delete_expression] = STATE(4307),
    [sym_requires_clause] = STATE(4307),
    [sym_requires_expression] = STATE(4307),
    [sym_lambda_expression] = STATE(4307),
    [sym_lambda_capture_specifier] = STATE(7183),
    [sym_fold_expression] = STATE(4307),
    [sym_parameter_pack_expansion] = STATE(4307),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6962),
    [sym_qualified_identifier] = STATE(4307),
    [sym_qualified_type_identifier] = STATE(9053),
    [sym_user_defined_literal] = STATE(4307),
    [sym_identifier] = ACTIONS(5051),
    [anon_sym_LPAREN2] = ACTIONS(5204),
    [anon_sym_BANG] = ACTIONS(3994),
    [anon_sym_TILDE] = ACTIONS(3994),
    [anon_sym_DASH] = ACTIONS(3992),
    [anon_sym_PLUS] = ACTIONS(3992),
    [anon_sym_STAR] = ACTIONS(5202),
    [anon_sym_AMP] = ACTIONS(5202),
    [anon_sym_COLON_COLON] = ACTIONS(3996),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [sym_primitive_type] = ACTIONS(4000),
    [anon_sym_not] = ACTIONS(3992),
    [anon_sym_compl] = ACTIONS(3992),
    [anon_sym_DASH_DASH] = ACTIONS(5053),
    [anon_sym_PLUS_PLUS] = ACTIONS(5053),
    [anon_sym_sizeof] = ACTIONS(4002),
    [anon_sym___alignof__] = ACTIONS(4004),
    [anon_sym___alignof] = ACTIONS(4004),
    [anon_sym__alignof] = ACTIONS(4004),
    [anon_sym_alignof] = ACTIONS(4004),
    [anon_sym__Alignof] = ACTIONS(4004),
    [anon_sym_offsetof] = ACTIONS(4006),
    [anon_sym__Generic] = ACTIONS(4008),
    [anon_sym_asm] = ACTIONS(4010),
    [anon_sym___asm__] = ACTIONS(4010),
    [sym_number_literal] = ACTIONS(4012),
    [anon_sym_L_SQUOTE] = ACTIONS(4014),
    [anon_sym_u_SQUOTE] = ACTIONS(4014),
    [anon_sym_U_SQUOTE] = ACTIONS(4014),
    [anon_sym_u8_SQUOTE] = ACTIONS(4014),
    [anon_sym_SQUOTE] = ACTIONS(4014),
    [anon_sym_L_DQUOTE] = ACTIONS(4016),
    [anon_sym_u_DQUOTE] = ACTIONS(4016),
    [anon_sym_U_DQUOTE] = ACTIONS(4016),
    [anon_sym_u8_DQUOTE] = ACTIONS(4016),
    [anon_sym_DQUOTE] = ACTIONS(4016),
    [sym_true] = ACTIONS(4018),
    [sym_false] = ACTIONS(4018),
    [anon_sym_NULL] = ACTIONS(4020),
    [anon_sym_nullptr] = ACTIONS(4020),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(4022),
    [anon_sym_R_DQUOTE] = ACTIONS(4024),
    [anon_sym_LR_DQUOTE] = ACTIONS(4024),
    [anon_sym_uR_DQUOTE] = ACTIONS(4024),
    [anon_sym_UR_DQUOTE] = ACTIONS(4024),
    [anon_sym_u8R_DQUOTE] = ACTIONS(4024),
    [anon_sym_co_await] = ACTIONS(4026),
    [anon_sym_new] = ACTIONS(4028),
    [anon_sym_requires] = ACTIONS(4030),
    [sym_this] = ACTIONS(4018),
  },
  [2405] = {
    [sym__expression] = STATE(4470),
    [sym__expression_not_binary] = STATE(4786),
    [sym__string] = STATE(4786),
    [sym_conditional_expression] = STATE(4786),
    [sym_assignment_expression] = STATE(4786),
    [sym_pointer_expression] = STATE(4786),
    [sym_unary_expression] = STATE(4786),
    [sym_binary_expression] = STATE(4786),
    [sym_update_expression] = STATE(4786),
    [sym_cast_expression] = STATE(4786),
    [sym_sizeof_expression] = STATE(4786),
    [sym_alignof_expression] = STATE(4786),
    [sym_offsetof_expression] = STATE(4786),
    [sym_generic_expression] = STATE(4786),
    [sym_subscript_expression] = STATE(4786),
    [sym_call_expression] = STATE(4786),
    [sym_gnu_asm_expression] = STATE(4786),
    [sym_field_expression] = STATE(4786),
    [sym_compound_literal_expression] = STATE(4786),
    [sym_parenthesized_expression] = STATE(4786),
    [sym_char_literal] = STATE(4554),
    [sym_concatenated_string] = STATE(4621),
    [sym_string_literal] = STATE(3503),
    [sym_null] = STATE(4786),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9199),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(4786),
    [sym_raw_string_literal] = STATE(3498),
    [sym_co_await_expression] = STATE(4786),
    [sym_new_expression] = STATE(4786),
    [sym_delete_expression] = STATE(4786),
    [sym_requires_clause] = STATE(4786),
    [sym_requires_expression] = STATE(4786),
    [sym_lambda_expression] = STATE(4786),
    [sym_lambda_capture_specifier] = STATE(7160),
    [sym_fold_expression] = STATE(4786),
    [sym_parameter_pack_expansion] = STATE(4786),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6932),
    [sym_qualified_identifier] = STATE(4786),
    [sym_qualified_type_identifier] = STATE(9199),
    [sym_user_defined_literal] = STATE(4786),
    [sym_identifier] = ACTIONS(4126),
    [anon_sym_LPAREN2] = ACTIONS(5194),
    [anon_sym_BANG] = ACTIONS(4130),
    [anon_sym_TILDE] = ACTIONS(4130),
    [anon_sym_DASH] = ACTIONS(4128),
    [anon_sym_PLUS] = ACTIONS(4128),
    [anon_sym_STAR] = ACTIONS(4261),
    [anon_sym_AMP] = ACTIONS(4261),
    [anon_sym_COLON_COLON] = ACTIONS(4132),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [sym_primitive_type] = ACTIONS(4136),
    [anon_sym_not] = ACTIONS(4128),
    [anon_sym_compl] = ACTIONS(4128),
    [anon_sym_DASH_DASH] = ACTIONS(5049),
    [anon_sym_PLUS_PLUS] = ACTIONS(5049),
    [anon_sym_sizeof] = ACTIONS(4138),
    [anon_sym___alignof__] = ACTIONS(4140),
    [anon_sym___alignof] = ACTIONS(4140),
    [anon_sym__alignof] = ACTIONS(4140),
    [anon_sym_alignof] = ACTIONS(4140),
    [anon_sym__Alignof] = ACTIONS(4140),
    [anon_sym_offsetof] = ACTIONS(4142),
    [anon_sym__Generic] = ACTIONS(4144),
    [anon_sym_asm] = ACTIONS(4146),
    [anon_sym___asm__] = ACTIONS(4146),
    [sym_number_literal] = ACTIONS(4148),
    [anon_sym_L_SQUOTE] = ACTIONS(4150),
    [anon_sym_u_SQUOTE] = ACTIONS(4150),
    [anon_sym_U_SQUOTE] = ACTIONS(4150),
    [anon_sym_u8_SQUOTE] = ACTIONS(4150),
    [anon_sym_SQUOTE] = ACTIONS(4150),
    [anon_sym_L_DQUOTE] = ACTIONS(4152),
    [anon_sym_u_DQUOTE] = ACTIONS(4152),
    [anon_sym_U_DQUOTE] = ACTIONS(4152),
    [anon_sym_u8_DQUOTE] = ACTIONS(4152),
    [anon_sym_DQUOTE] = ACTIONS(4152),
    [sym_true] = ACTIONS(4154),
    [sym_false] = ACTIONS(4154),
    [anon_sym_NULL] = ACTIONS(4156),
    [anon_sym_nullptr] = ACTIONS(4156),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(4158),
    [anon_sym_R_DQUOTE] = ACTIONS(4160),
    [anon_sym_LR_DQUOTE] = ACTIONS(4160),
    [anon_sym_uR_DQUOTE] = ACTIONS(4160),
    [anon_sym_UR_DQUOTE] = ACTIONS(4160),
    [anon_sym_u8R_DQUOTE] = ACTIONS(4160),
    [anon_sym_co_await] = ACTIONS(4162),
    [anon_sym_new] = ACTIONS(4164),
    [anon_sym_requires] = ACTIONS(4166),
    [sym_this] = ACTIONS(4154),
  },
  [2406] = {
    [sym__expression] = STATE(4331),
    [sym__expression_not_binary] = STATE(4695),
    [sym__string] = STATE(4695),
    [sym_conditional_expression] = STATE(4695),
    [sym_assignment_expression] = STATE(4695),
    [sym_pointer_expression] = STATE(4695),
    [sym_unary_expression] = STATE(4695),
    [sym_binary_expression] = STATE(4695),
    [sym_update_expression] = STATE(4695),
    [sym_cast_expression] = STATE(4695),
    [sym_sizeof_expression] = STATE(4695),
    [sym_alignof_expression] = STATE(4695),
    [sym_offsetof_expression] = STATE(4695),
    [sym_generic_expression] = STATE(4695),
    [sym_subscript_expression] = STATE(4695),
    [sym_call_expression] = STATE(4695),
    [sym_gnu_asm_expression] = STATE(4695),
    [sym_field_expression] = STATE(4695),
    [sym_compound_literal_expression] = STATE(4695),
    [sym_parenthesized_expression] = STATE(4695),
    [sym_char_literal] = STATE(4427),
    [sym_concatenated_string] = STATE(4424),
    [sym_string_literal] = STATE(3398),
    [sym_null] = STATE(4695),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9425),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(4695),
    [sym_raw_string_literal] = STATE(3396),
    [sym_co_await_expression] = STATE(4695),
    [sym_new_expression] = STATE(4695),
    [sym_delete_expression] = STATE(4695),
    [sym_requires_clause] = STATE(4695),
    [sym_requires_expression] = STATE(4695),
    [sym_lambda_expression] = STATE(4695),
    [sym_lambda_capture_specifier] = STATE(7185),
    [sym_fold_expression] = STATE(4695),
    [sym_parameter_pack_expansion] = STATE(4695),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6899),
    [sym_qualified_identifier] = STATE(4695),
    [sym_qualified_type_identifier] = STATE(9425),
    [sym_user_defined_literal] = STATE(4695),
    [sym_identifier] = ACTIONS(4092),
    [anon_sym_LPAREN2] = ACTIONS(4188),
    [anon_sym_BANG] = ACTIONS(2532),
    [anon_sym_TILDE] = ACTIONS(2532),
    [anon_sym_DASH] = ACTIONS(2536),
    [anon_sym_PLUS] = ACTIONS(2536),
    [anon_sym_STAR] = ACTIONS(2116),
    [anon_sym_AMP] = ACTIONS(2116),
    [anon_sym_COLON_COLON] = ACTIONS(2542),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [sym_primitive_type] = ACTIONS(4096),
    [anon_sym_not] = ACTIONS(2536),
    [anon_sym_compl] = ACTIONS(2536),
    [anon_sym_DASH_DASH] = ACTIONS(2560),
    [anon_sym_PLUS_PLUS] = ACTIONS(2560),
    [anon_sym_sizeof] = ACTIONS(2562),
    [anon_sym___alignof__] = ACTIONS(2564),
    [anon_sym___alignof] = ACTIONS(2564),
    [anon_sym__alignof] = ACTIONS(2564),
    [anon_sym_alignof] = ACTIONS(2564),
    [anon_sym__Alignof] = ACTIONS(2564),
    [anon_sym_offsetof] = ACTIONS(2566),
    [anon_sym__Generic] = ACTIONS(2568),
    [anon_sym_asm] = ACTIONS(2570),
    [anon_sym___asm__] = ACTIONS(2570),
    [sym_number_literal] = ACTIONS(2572),
    [anon_sym_L_SQUOTE] = ACTIONS(2574),
    [anon_sym_u_SQUOTE] = ACTIONS(2574),
    [anon_sym_U_SQUOTE] = ACTIONS(2574),
    [anon_sym_u8_SQUOTE] = ACTIONS(2574),
    [anon_sym_SQUOTE] = ACTIONS(2574),
    [anon_sym_L_DQUOTE] = ACTIONS(2576),
    [anon_sym_u_DQUOTE] = ACTIONS(2576),
    [anon_sym_U_DQUOTE] = ACTIONS(2576),
    [anon_sym_u8_DQUOTE] = ACTIONS(2576),
    [anon_sym_DQUOTE] = ACTIONS(2576),
    [sym_true] = ACTIONS(2578),
    [sym_false] = ACTIONS(2578),
    [anon_sym_NULL] = ACTIONS(2580),
    [anon_sym_nullptr] = ACTIONS(2580),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(2590),
    [anon_sym_R_DQUOTE] = ACTIONS(2592),
    [anon_sym_LR_DQUOTE] = ACTIONS(2592),
    [anon_sym_uR_DQUOTE] = ACTIONS(2592),
    [anon_sym_UR_DQUOTE] = ACTIONS(2592),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2592),
    [anon_sym_co_await] = ACTIONS(2594),
    [anon_sym_new] = ACTIONS(2596),
    [anon_sym_requires] = ACTIONS(2598),
    [sym_this] = ACTIONS(2578),
  },
  [2407] = {
    [sym__expression] = STATE(4332),
    [sym__expression_not_binary] = STATE(4695),
    [sym__string] = STATE(4695),
    [sym_conditional_expression] = STATE(4695),
    [sym_assignment_expression] = STATE(4695),
    [sym_pointer_expression] = STATE(4695),
    [sym_unary_expression] = STATE(4695),
    [sym_binary_expression] = STATE(4695),
    [sym_update_expression] = STATE(4695),
    [sym_cast_expression] = STATE(4695),
    [sym_sizeof_expression] = STATE(4695),
    [sym_alignof_expression] = STATE(4695),
    [sym_offsetof_expression] = STATE(4695),
    [sym_generic_expression] = STATE(4695),
    [sym_subscript_expression] = STATE(4695),
    [sym_call_expression] = STATE(4695),
    [sym_gnu_asm_expression] = STATE(4695),
    [sym_field_expression] = STATE(4695),
    [sym_compound_literal_expression] = STATE(4695),
    [sym_parenthesized_expression] = STATE(4695),
    [sym_char_literal] = STATE(4427),
    [sym_concatenated_string] = STATE(4424),
    [sym_string_literal] = STATE(3398),
    [sym_null] = STATE(4695),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9425),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(4695),
    [sym_raw_string_literal] = STATE(3396),
    [sym_co_await_expression] = STATE(4695),
    [sym_new_expression] = STATE(4695),
    [sym_delete_expression] = STATE(4695),
    [sym_requires_clause] = STATE(4695),
    [sym_requires_expression] = STATE(4695),
    [sym_lambda_expression] = STATE(4695),
    [sym_lambda_capture_specifier] = STATE(7185),
    [sym_fold_expression] = STATE(4695),
    [sym_parameter_pack_expansion] = STATE(4695),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6899),
    [sym_qualified_identifier] = STATE(4695),
    [sym_qualified_type_identifier] = STATE(9425),
    [sym_user_defined_literal] = STATE(4695),
    [sym_identifier] = ACTIONS(4092),
    [anon_sym_LPAREN2] = ACTIONS(4188),
    [anon_sym_BANG] = ACTIONS(2532),
    [anon_sym_TILDE] = ACTIONS(2532),
    [anon_sym_DASH] = ACTIONS(2536),
    [anon_sym_PLUS] = ACTIONS(2536),
    [anon_sym_STAR] = ACTIONS(2116),
    [anon_sym_AMP] = ACTIONS(2116),
    [anon_sym_COLON_COLON] = ACTIONS(2542),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [sym_primitive_type] = ACTIONS(4096),
    [anon_sym_not] = ACTIONS(2536),
    [anon_sym_compl] = ACTIONS(2536),
    [anon_sym_DASH_DASH] = ACTIONS(2560),
    [anon_sym_PLUS_PLUS] = ACTIONS(2560),
    [anon_sym_sizeof] = ACTIONS(2562),
    [anon_sym___alignof__] = ACTIONS(2564),
    [anon_sym___alignof] = ACTIONS(2564),
    [anon_sym__alignof] = ACTIONS(2564),
    [anon_sym_alignof] = ACTIONS(2564),
    [anon_sym__Alignof] = ACTIONS(2564),
    [anon_sym_offsetof] = ACTIONS(2566),
    [anon_sym__Generic] = ACTIONS(2568),
    [anon_sym_asm] = ACTIONS(2570),
    [anon_sym___asm__] = ACTIONS(2570),
    [sym_number_literal] = ACTIONS(2572),
    [anon_sym_L_SQUOTE] = ACTIONS(2574),
    [anon_sym_u_SQUOTE] = ACTIONS(2574),
    [anon_sym_U_SQUOTE] = ACTIONS(2574),
    [anon_sym_u8_SQUOTE] = ACTIONS(2574),
    [anon_sym_SQUOTE] = ACTIONS(2574),
    [anon_sym_L_DQUOTE] = ACTIONS(2576),
    [anon_sym_u_DQUOTE] = ACTIONS(2576),
    [anon_sym_U_DQUOTE] = ACTIONS(2576),
    [anon_sym_u8_DQUOTE] = ACTIONS(2576),
    [anon_sym_DQUOTE] = ACTIONS(2576),
    [sym_true] = ACTIONS(2578),
    [sym_false] = ACTIONS(2578),
    [anon_sym_NULL] = ACTIONS(2580),
    [anon_sym_nullptr] = ACTIONS(2580),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(2590),
    [anon_sym_R_DQUOTE] = ACTIONS(2592),
    [anon_sym_LR_DQUOTE] = ACTIONS(2592),
    [anon_sym_uR_DQUOTE] = ACTIONS(2592),
    [anon_sym_UR_DQUOTE] = ACTIONS(2592),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2592),
    [anon_sym_co_await] = ACTIONS(2594),
    [anon_sym_new] = ACTIONS(2596),
    [anon_sym_requires] = ACTIONS(2598),
    [sym_this] = ACTIONS(2578),
  },
  [2408] = {
    [sym__expression] = STATE(4469),
    [sym__expression_not_binary] = STATE(4786),
    [sym__string] = STATE(4786),
    [sym_conditional_expression] = STATE(4786),
    [sym_assignment_expression] = STATE(4786),
    [sym_pointer_expression] = STATE(4786),
    [sym_unary_expression] = STATE(4786),
    [sym_binary_expression] = STATE(4786),
    [sym_update_expression] = STATE(4786),
    [sym_cast_expression] = STATE(4786),
    [sym_sizeof_expression] = STATE(4786),
    [sym_alignof_expression] = STATE(4786),
    [sym_offsetof_expression] = STATE(4786),
    [sym_generic_expression] = STATE(4786),
    [sym_subscript_expression] = STATE(4786),
    [sym_call_expression] = STATE(4786),
    [sym_gnu_asm_expression] = STATE(4786),
    [sym_field_expression] = STATE(4786),
    [sym_compound_literal_expression] = STATE(4786),
    [sym_parenthesized_expression] = STATE(4786),
    [sym_char_literal] = STATE(4554),
    [sym_concatenated_string] = STATE(4621),
    [sym_string_literal] = STATE(3503),
    [sym_null] = STATE(4786),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9199),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(4786),
    [sym_raw_string_literal] = STATE(3498),
    [sym_co_await_expression] = STATE(4786),
    [sym_new_expression] = STATE(4786),
    [sym_delete_expression] = STATE(4786),
    [sym_requires_clause] = STATE(4786),
    [sym_requires_expression] = STATE(4786),
    [sym_lambda_expression] = STATE(4786),
    [sym_lambda_capture_specifier] = STATE(7160),
    [sym_fold_expression] = STATE(4786),
    [sym_parameter_pack_expansion] = STATE(4786),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6932),
    [sym_qualified_identifier] = STATE(4786),
    [sym_qualified_type_identifier] = STATE(9199),
    [sym_user_defined_literal] = STATE(4786),
    [sym_identifier] = ACTIONS(4126),
    [anon_sym_LPAREN2] = ACTIONS(5194),
    [anon_sym_BANG] = ACTIONS(4130),
    [anon_sym_TILDE] = ACTIONS(4130),
    [anon_sym_DASH] = ACTIONS(4128),
    [anon_sym_PLUS] = ACTIONS(4128),
    [anon_sym_STAR] = ACTIONS(4261),
    [anon_sym_AMP] = ACTIONS(4261),
    [anon_sym_COLON_COLON] = ACTIONS(4132),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [sym_primitive_type] = ACTIONS(4136),
    [anon_sym_not] = ACTIONS(4128),
    [anon_sym_compl] = ACTIONS(4128),
    [anon_sym_DASH_DASH] = ACTIONS(5049),
    [anon_sym_PLUS_PLUS] = ACTIONS(5049),
    [anon_sym_sizeof] = ACTIONS(4138),
    [anon_sym___alignof__] = ACTIONS(4140),
    [anon_sym___alignof] = ACTIONS(4140),
    [anon_sym__alignof] = ACTIONS(4140),
    [anon_sym_alignof] = ACTIONS(4140),
    [anon_sym__Alignof] = ACTIONS(4140),
    [anon_sym_offsetof] = ACTIONS(4142),
    [anon_sym__Generic] = ACTIONS(4144),
    [anon_sym_asm] = ACTIONS(4146),
    [anon_sym___asm__] = ACTIONS(4146),
    [sym_number_literal] = ACTIONS(4148),
    [anon_sym_L_SQUOTE] = ACTIONS(4150),
    [anon_sym_u_SQUOTE] = ACTIONS(4150),
    [anon_sym_U_SQUOTE] = ACTIONS(4150),
    [anon_sym_u8_SQUOTE] = ACTIONS(4150),
    [anon_sym_SQUOTE] = ACTIONS(4150),
    [anon_sym_L_DQUOTE] = ACTIONS(4152),
    [anon_sym_u_DQUOTE] = ACTIONS(4152),
    [anon_sym_U_DQUOTE] = ACTIONS(4152),
    [anon_sym_u8_DQUOTE] = ACTIONS(4152),
    [anon_sym_DQUOTE] = ACTIONS(4152),
    [sym_true] = ACTIONS(4154),
    [sym_false] = ACTIONS(4154),
    [anon_sym_NULL] = ACTIONS(4156),
    [anon_sym_nullptr] = ACTIONS(4156),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(4158),
    [anon_sym_R_DQUOTE] = ACTIONS(4160),
    [anon_sym_LR_DQUOTE] = ACTIONS(4160),
    [anon_sym_uR_DQUOTE] = ACTIONS(4160),
    [anon_sym_UR_DQUOTE] = ACTIONS(4160),
    [anon_sym_u8R_DQUOTE] = ACTIONS(4160),
    [anon_sym_co_await] = ACTIONS(4162),
    [anon_sym_new] = ACTIONS(4164),
    [anon_sym_requires] = ACTIONS(4166),
    [sym_this] = ACTIONS(4154),
  },
  [2409] = {
    [sym__expression] = STATE(4335),
    [sym__expression_not_binary] = STATE(4695),
    [sym__string] = STATE(4695),
    [sym_conditional_expression] = STATE(4695),
    [sym_assignment_expression] = STATE(4695),
    [sym_pointer_expression] = STATE(4695),
    [sym_unary_expression] = STATE(4695),
    [sym_binary_expression] = STATE(4695),
    [sym_update_expression] = STATE(4695),
    [sym_cast_expression] = STATE(4695),
    [sym_sizeof_expression] = STATE(4695),
    [sym_alignof_expression] = STATE(4695),
    [sym_offsetof_expression] = STATE(4695),
    [sym_generic_expression] = STATE(4695),
    [sym_subscript_expression] = STATE(4695),
    [sym_call_expression] = STATE(4695),
    [sym_gnu_asm_expression] = STATE(4695),
    [sym_field_expression] = STATE(4695),
    [sym_compound_literal_expression] = STATE(4695),
    [sym_parenthesized_expression] = STATE(4695),
    [sym_char_literal] = STATE(4427),
    [sym_concatenated_string] = STATE(4424),
    [sym_string_literal] = STATE(3398),
    [sym_null] = STATE(4695),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9425),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(4695),
    [sym_raw_string_literal] = STATE(3396),
    [sym_co_await_expression] = STATE(4695),
    [sym_new_expression] = STATE(4695),
    [sym_delete_expression] = STATE(4695),
    [sym_requires_clause] = STATE(4695),
    [sym_requires_expression] = STATE(4695),
    [sym_lambda_expression] = STATE(4695),
    [sym_lambda_capture_specifier] = STATE(7185),
    [sym_fold_expression] = STATE(4695),
    [sym_parameter_pack_expansion] = STATE(4695),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6899),
    [sym_qualified_identifier] = STATE(4695),
    [sym_qualified_type_identifier] = STATE(9425),
    [sym_user_defined_literal] = STATE(4695),
    [sym_identifier] = ACTIONS(4092),
    [anon_sym_LPAREN2] = ACTIONS(4188),
    [anon_sym_BANG] = ACTIONS(2532),
    [anon_sym_TILDE] = ACTIONS(2532),
    [anon_sym_DASH] = ACTIONS(2536),
    [anon_sym_PLUS] = ACTIONS(2536),
    [anon_sym_STAR] = ACTIONS(2116),
    [anon_sym_AMP] = ACTIONS(2116),
    [anon_sym_COLON_COLON] = ACTIONS(2542),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [sym_primitive_type] = ACTIONS(4096),
    [anon_sym_not] = ACTIONS(2536),
    [anon_sym_compl] = ACTIONS(2536),
    [anon_sym_DASH_DASH] = ACTIONS(2560),
    [anon_sym_PLUS_PLUS] = ACTIONS(2560),
    [anon_sym_sizeof] = ACTIONS(2562),
    [anon_sym___alignof__] = ACTIONS(2564),
    [anon_sym___alignof] = ACTIONS(2564),
    [anon_sym__alignof] = ACTIONS(2564),
    [anon_sym_alignof] = ACTIONS(2564),
    [anon_sym__Alignof] = ACTIONS(2564),
    [anon_sym_offsetof] = ACTIONS(2566),
    [anon_sym__Generic] = ACTIONS(2568),
    [anon_sym_asm] = ACTIONS(2570),
    [anon_sym___asm__] = ACTIONS(2570),
    [sym_number_literal] = ACTIONS(2572),
    [anon_sym_L_SQUOTE] = ACTIONS(2574),
    [anon_sym_u_SQUOTE] = ACTIONS(2574),
    [anon_sym_U_SQUOTE] = ACTIONS(2574),
    [anon_sym_u8_SQUOTE] = ACTIONS(2574),
    [anon_sym_SQUOTE] = ACTIONS(2574),
    [anon_sym_L_DQUOTE] = ACTIONS(2576),
    [anon_sym_u_DQUOTE] = ACTIONS(2576),
    [anon_sym_U_DQUOTE] = ACTIONS(2576),
    [anon_sym_u8_DQUOTE] = ACTIONS(2576),
    [anon_sym_DQUOTE] = ACTIONS(2576),
    [sym_true] = ACTIONS(2578),
    [sym_false] = ACTIONS(2578),
    [anon_sym_NULL] = ACTIONS(2580),
    [anon_sym_nullptr] = ACTIONS(2580),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(2590),
    [anon_sym_R_DQUOTE] = ACTIONS(2592),
    [anon_sym_LR_DQUOTE] = ACTIONS(2592),
    [anon_sym_uR_DQUOTE] = ACTIONS(2592),
    [anon_sym_UR_DQUOTE] = ACTIONS(2592),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2592),
    [anon_sym_co_await] = ACTIONS(2594),
    [anon_sym_new] = ACTIONS(2596),
    [anon_sym_requires] = ACTIONS(2598),
    [sym_this] = ACTIONS(2578),
  },
  [2410] = {
    [sym__expression] = STATE(4468),
    [sym__expression_not_binary] = STATE(4786),
    [sym__string] = STATE(4786),
    [sym_conditional_expression] = STATE(4786),
    [sym_assignment_expression] = STATE(4786),
    [sym_pointer_expression] = STATE(4786),
    [sym_unary_expression] = STATE(4786),
    [sym_binary_expression] = STATE(4786),
    [sym_update_expression] = STATE(4786),
    [sym_cast_expression] = STATE(4786),
    [sym_sizeof_expression] = STATE(4786),
    [sym_alignof_expression] = STATE(4786),
    [sym_offsetof_expression] = STATE(4786),
    [sym_generic_expression] = STATE(4786),
    [sym_subscript_expression] = STATE(4786),
    [sym_call_expression] = STATE(4786),
    [sym_gnu_asm_expression] = STATE(4786),
    [sym_field_expression] = STATE(4786),
    [sym_compound_literal_expression] = STATE(4786),
    [sym_parenthesized_expression] = STATE(4786),
    [sym_char_literal] = STATE(4554),
    [sym_concatenated_string] = STATE(4621),
    [sym_string_literal] = STATE(3503),
    [sym_null] = STATE(4786),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9199),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(4786),
    [sym_raw_string_literal] = STATE(3498),
    [sym_co_await_expression] = STATE(4786),
    [sym_new_expression] = STATE(4786),
    [sym_delete_expression] = STATE(4786),
    [sym_requires_clause] = STATE(4786),
    [sym_requires_expression] = STATE(4786),
    [sym_lambda_expression] = STATE(4786),
    [sym_lambda_capture_specifier] = STATE(7160),
    [sym_fold_expression] = STATE(4786),
    [sym_parameter_pack_expansion] = STATE(4786),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6932),
    [sym_qualified_identifier] = STATE(4786),
    [sym_qualified_type_identifier] = STATE(9199),
    [sym_user_defined_literal] = STATE(4786),
    [sym_identifier] = ACTIONS(4126),
    [anon_sym_LPAREN2] = ACTIONS(5194),
    [anon_sym_BANG] = ACTIONS(4130),
    [anon_sym_TILDE] = ACTIONS(4130),
    [anon_sym_DASH] = ACTIONS(4128),
    [anon_sym_PLUS] = ACTIONS(4128),
    [anon_sym_STAR] = ACTIONS(4261),
    [anon_sym_AMP] = ACTIONS(4261),
    [anon_sym_COLON_COLON] = ACTIONS(4132),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [sym_primitive_type] = ACTIONS(4136),
    [anon_sym_not] = ACTIONS(4128),
    [anon_sym_compl] = ACTIONS(4128),
    [anon_sym_DASH_DASH] = ACTIONS(5049),
    [anon_sym_PLUS_PLUS] = ACTIONS(5049),
    [anon_sym_sizeof] = ACTIONS(4138),
    [anon_sym___alignof__] = ACTIONS(4140),
    [anon_sym___alignof] = ACTIONS(4140),
    [anon_sym__alignof] = ACTIONS(4140),
    [anon_sym_alignof] = ACTIONS(4140),
    [anon_sym__Alignof] = ACTIONS(4140),
    [anon_sym_offsetof] = ACTIONS(4142),
    [anon_sym__Generic] = ACTIONS(4144),
    [anon_sym_asm] = ACTIONS(4146),
    [anon_sym___asm__] = ACTIONS(4146),
    [sym_number_literal] = ACTIONS(4148),
    [anon_sym_L_SQUOTE] = ACTIONS(4150),
    [anon_sym_u_SQUOTE] = ACTIONS(4150),
    [anon_sym_U_SQUOTE] = ACTIONS(4150),
    [anon_sym_u8_SQUOTE] = ACTIONS(4150),
    [anon_sym_SQUOTE] = ACTIONS(4150),
    [anon_sym_L_DQUOTE] = ACTIONS(4152),
    [anon_sym_u_DQUOTE] = ACTIONS(4152),
    [anon_sym_U_DQUOTE] = ACTIONS(4152),
    [anon_sym_u8_DQUOTE] = ACTIONS(4152),
    [anon_sym_DQUOTE] = ACTIONS(4152),
    [sym_true] = ACTIONS(4154),
    [sym_false] = ACTIONS(4154),
    [anon_sym_NULL] = ACTIONS(4156),
    [anon_sym_nullptr] = ACTIONS(4156),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(4158),
    [anon_sym_R_DQUOTE] = ACTIONS(4160),
    [anon_sym_LR_DQUOTE] = ACTIONS(4160),
    [anon_sym_uR_DQUOTE] = ACTIONS(4160),
    [anon_sym_UR_DQUOTE] = ACTIONS(4160),
    [anon_sym_u8R_DQUOTE] = ACTIONS(4160),
    [anon_sym_co_await] = ACTIONS(4162),
    [anon_sym_new] = ACTIONS(4164),
    [anon_sym_requires] = ACTIONS(4166),
    [sym_this] = ACTIONS(4154),
  },
  [2411] = {
    [sym__expression] = STATE(4336),
    [sym__expression_not_binary] = STATE(4695),
    [sym__string] = STATE(4695),
    [sym_conditional_expression] = STATE(4695),
    [sym_assignment_expression] = STATE(4695),
    [sym_pointer_expression] = STATE(4695),
    [sym_unary_expression] = STATE(4695),
    [sym_binary_expression] = STATE(4695),
    [sym_update_expression] = STATE(4695),
    [sym_cast_expression] = STATE(4695),
    [sym_sizeof_expression] = STATE(4695),
    [sym_alignof_expression] = STATE(4695),
    [sym_offsetof_expression] = STATE(4695),
    [sym_generic_expression] = STATE(4695),
    [sym_subscript_expression] = STATE(4695),
    [sym_call_expression] = STATE(4695),
    [sym_gnu_asm_expression] = STATE(4695),
    [sym_field_expression] = STATE(4695),
    [sym_compound_literal_expression] = STATE(4695),
    [sym_parenthesized_expression] = STATE(4695),
    [sym_char_literal] = STATE(4427),
    [sym_concatenated_string] = STATE(4424),
    [sym_string_literal] = STATE(3398),
    [sym_null] = STATE(4695),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9425),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(4695),
    [sym_raw_string_literal] = STATE(3396),
    [sym_co_await_expression] = STATE(4695),
    [sym_new_expression] = STATE(4695),
    [sym_delete_expression] = STATE(4695),
    [sym_requires_clause] = STATE(4695),
    [sym_requires_expression] = STATE(4695),
    [sym_lambda_expression] = STATE(4695),
    [sym_lambda_capture_specifier] = STATE(7185),
    [sym_fold_expression] = STATE(4695),
    [sym_parameter_pack_expansion] = STATE(4695),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6899),
    [sym_qualified_identifier] = STATE(4695),
    [sym_qualified_type_identifier] = STATE(9425),
    [sym_user_defined_literal] = STATE(4695),
    [sym_identifier] = ACTIONS(4092),
    [anon_sym_LPAREN2] = ACTIONS(4188),
    [anon_sym_BANG] = ACTIONS(2532),
    [anon_sym_TILDE] = ACTIONS(2532),
    [anon_sym_DASH] = ACTIONS(2536),
    [anon_sym_PLUS] = ACTIONS(2536),
    [anon_sym_STAR] = ACTIONS(2116),
    [anon_sym_AMP] = ACTIONS(2116),
    [anon_sym_COLON_COLON] = ACTIONS(2542),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [sym_primitive_type] = ACTIONS(4096),
    [anon_sym_not] = ACTIONS(2536),
    [anon_sym_compl] = ACTIONS(2536),
    [anon_sym_DASH_DASH] = ACTIONS(2560),
    [anon_sym_PLUS_PLUS] = ACTIONS(2560),
    [anon_sym_sizeof] = ACTIONS(2562),
    [anon_sym___alignof__] = ACTIONS(2564),
    [anon_sym___alignof] = ACTIONS(2564),
    [anon_sym__alignof] = ACTIONS(2564),
    [anon_sym_alignof] = ACTIONS(2564),
    [anon_sym__Alignof] = ACTIONS(2564),
    [anon_sym_offsetof] = ACTIONS(2566),
    [anon_sym__Generic] = ACTIONS(2568),
    [anon_sym_asm] = ACTIONS(2570),
    [anon_sym___asm__] = ACTIONS(2570),
    [sym_number_literal] = ACTIONS(2572),
    [anon_sym_L_SQUOTE] = ACTIONS(2574),
    [anon_sym_u_SQUOTE] = ACTIONS(2574),
    [anon_sym_U_SQUOTE] = ACTIONS(2574),
    [anon_sym_u8_SQUOTE] = ACTIONS(2574),
    [anon_sym_SQUOTE] = ACTIONS(2574),
    [anon_sym_L_DQUOTE] = ACTIONS(2576),
    [anon_sym_u_DQUOTE] = ACTIONS(2576),
    [anon_sym_U_DQUOTE] = ACTIONS(2576),
    [anon_sym_u8_DQUOTE] = ACTIONS(2576),
    [anon_sym_DQUOTE] = ACTIONS(2576),
    [sym_true] = ACTIONS(2578),
    [sym_false] = ACTIONS(2578),
    [anon_sym_NULL] = ACTIONS(2580),
    [anon_sym_nullptr] = ACTIONS(2580),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(2590),
    [anon_sym_R_DQUOTE] = ACTIONS(2592),
    [anon_sym_LR_DQUOTE] = ACTIONS(2592),
    [anon_sym_uR_DQUOTE] = ACTIONS(2592),
    [anon_sym_UR_DQUOTE] = ACTIONS(2592),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2592),
    [anon_sym_co_await] = ACTIONS(2594),
    [anon_sym_new] = ACTIONS(2596),
    [anon_sym_requires] = ACTIONS(2598),
    [sym_this] = ACTIONS(2578),
  },
  [2412] = {
    [sym__expression] = STATE(4340),
    [sym__expression_not_binary] = STATE(4695),
    [sym__string] = STATE(4695),
    [sym_conditional_expression] = STATE(4695),
    [sym_assignment_expression] = STATE(4695),
    [sym_pointer_expression] = STATE(4695),
    [sym_unary_expression] = STATE(4695),
    [sym_binary_expression] = STATE(4695),
    [sym_update_expression] = STATE(4695),
    [sym_cast_expression] = STATE(4695),
    [sym_sizeof_expression] = STATE(4695),
    [sym_alignof_expression] = STATE(4695),
    [sym_offsetof_expression] = STATE(4695),
    [sym_generic_expression] = STATE(4695),
    [sym_subscript_expression] = STATE(4695),
    [sym_call_expression] = STATE(4695),
    [sym_gnu_asm_expression] = STATE(4695),
    [sym_field_expression] = STATE(4695),
    [sym_compound_literal_expression] = STATE(4695),
    [sym_parenthesized_expression] = STATE(4695),
    [sym_char_literal] = STATE(4427),
    [sym_concatenated_string] = STATE(4424),
    [sym_string_literal] = STATE(3398),
    [sym_null] = STATE(4695),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9425),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(4695),
    [sym_raw_string_literal] = STATE(3396),
    [sym_co_await_expression] = STATE(4695),
    [sym_new_expression] = STATE(4695),
    [sym_delete_expression] = STATE(4695),
    [sym_requires_clause] = STATE(4695),
    [sym_requires_expression] = STATE(4695),
    [sym_lambda_expression] = STATE(4695),
    [sym_lambda_capture_specifier] = STATE(7185),
    [sym_fold_expression] = STATE(4695),
    [sym_parameter_pack_expansion] = STATE(4695),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6899),
    [sym_qualified_identifier] = STATE(4695),
    [sym_qualified_type_identifier] = STATE(9425),
    [sym_user_defined_literal] = STATE(4695),
    [sym_identifier] = ACTIONS(4092),
    [anon_sym_LPAREN2] = ACTIONS(4188),
    [anon_sym_BANG] = ACTIONS(2532),
    [anon_sym_TILDE] = ACTIONS(2532),
    [anon_sym_DASH] = ACTIONS(2536),
    [anon_sym_PLUS] = ACTIONS(2536),
    [anon_sym_STAR] = ACTIONS(2116),
    [anon_sym_AMP] = ACTIONS(2116),
    [anon_sym_COLON_COLON] = ACTIONS(2542),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [sym_primitive_type] = ACTIONS(4096),
    [anon_sym_not] = ACTIONS(2536),
    [anon_sym_compl] = ACTIONS(2536),
    [anon_sym_DASH_DASH] = ACTIONS(2560),
    [anon_sym_PLUS_PLUS] = ACTIONS(2560),
    [anon_sym_sizeof] = ACTIONS(2562),
    [anon_sym___alignof__] = ACTIONS(2564),
    [anon_sym___alignof] = ACTIONS(2564),
    [anon_sym__alignof] = ACTIONS(2564),
    [anon_sym_alignof] = ACTIONS(2564),
    [anon_sym__Alignof] = ACTIONS(2564),
    [anon_sym_offsetof] = ACTIONS(2566),
    [anon_sym__Generic] = ACTIONS(2568),
    [anon_sym_asm] = ACTIONS(2570),
    [anon_sym___asm__] = ACTIONS(2570),
    [sym_number_literal] = ACTIONS(2572),
    [anon_sym_L_SQUOTE] = ACTIONS(2574),
    [anon_sym_u_SQUOTE] = ACTIONS(2574),
    [anon_sym_U_SQUOTE] = ACTIONS(2574),
    [anon_sym_u8_SQUOTE] = ACTIONS(2574),
    [anon_sym_SQUOTE] = ACTIONS(2574),
    [anon_sym_L_DQUOTE] = ACTIONS(2576),
    [anon_sym_u_DQUOTE] = ACTIONS(2576),
    [anon_sym_U_DQUOTE] = ACTIONS(2576),
    [anon_sym_u8_DQUOTE] = ACTIONS(2576),
    [anon_sym_DQUOTE] = ACTIONS(2576),
    [sym_true] = ACTIONS(2578),
    [sym_false] = ACTIONS(2578),
    [anon_sym_NULL] = ACTIONS(2580),
    [anon_sym_nullptr] = ACTIONS(2580),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(2590),
    [anon_sym_R_DQUOTE] = ACTIONS(2592),
    [anon_sym_LR_DQUOTE] = ACTIONS(2592),
    [anon_sym_uR_DQUOTE] = ACTIONS(2592),
    [anon_sym_UR_DQUOTE] = ACTIONS(2592),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2592),
    [anon_sym_co_await] = ACTIONS(2594),
    [anon_sym_new] = ACTIONS(2596),
    [anon_sym_requires] = ACTIONS(2598),
    [sym_this] = ACTIONS(2578),
  },
  [2413] = {
    [sym__expression] = STATE(5738),
    [sym__expression_not_binary] = STATE(6001),
    [sym__string] = STATE(6001),
    [sym_conditional_expression] = STATE(6001),
    [sym_assignment_expression] = STATE(6001),
    [sym_pointer_expression] = STATE(4807),
    [sym_unary_expression] = STATE(6001),
    [sym_binary_expression] = STATE(6001),
    [sym_update_expression] = STATE(6001),
    [sym_cast_expression] = STATE(6001),
    [sym_sizeof_expression] = STATE(6001),
    [sym_alignof_expression] = STATE(6001),
    [sym_offsetof_expression] = STATE(6001),
    [sym_generic_expression] = STATE(6001),
    [sym_subscript_expression] = STATE(4807),
    [sym_call_expression] = STATE(4807),
    [sym_gnu_asm_expression] = STATE(6001),
    [sym_field_expression] = STATE(4807),
    [sym_compound_literal_expression] = STATE(6001),
    [sym_parenthesized_expression] = STATE(4807),
    [sym_char_literal] = STATE(5842),
    [sym_concatenated_string] = STATE(5845),
    [sym_string_literal] = STATE(4864),
    [sym_null] = STATE(6001),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(8975),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(6001),
    [sym_raw_string_literal] = STATE(4865),
    [sym_co_await_expression] = STATE(6001),
    [sym_new_expression] = STATE(6001),
    [sym_delete_expression] = STATE(6001),
    [sym_requires_clause] = STATE(6001),
    [sym_requires_expression] = STATE(6001),
    [sym_lambda_expression] = STATE(6001),
    [sym_lambda_capture_specifier] = STATE(7123),
    [sym_fold_expression] = STATE(6001),
    [sym_parameter_pack_expansion] = STATE(6001),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6932),
    [sym_qualified_identifier] = STATE(4807),
    [sym_qualified_type_identifier] = STATE(8975),
    [sym_user_defined_literal] = STATE(4807),
    [sym_identifier] = ACTIONS(4532),
    [anon_sym_LPAREN2] = ACTIONS(4255),
    [anon_sym_BANG] = ACTIONS(4257),
    [anon_sym_TILDE] = ACTIONS(4257),
    [anon_sym_DASH] = ACTIONS(4259),
    [anon_sym_PLUS] = ACTIONS(4259),
    [anon_sym_STAR] = ACTIONS(4261),
    [anon_sym_AMP] = ACTIONS(4261),
    [anon_sym_COLON_COLON] = ACTIONS(4263),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [sym_primitive_type] = ACTIONS(4536),
    [anon_sym_not] = ACTIONS(4259),
    [anon_sym_compl] = ACTIONS(4259),
    [anon_sym_DASH_DASH] = ACTIONS(4277),
    [anon_sym_PLUS_PLUS] = ACTIONS(4277),
    [anon_sym_sizeof] = ACTIONS(4279),
    [anon_sym___alignof__] = ACTIONS(4281),
    [anon_sym___alignof] = ACTIONS(4281),
    [anon_sym__alignof] = ACTIONS(4281),
    [anon_sym_alignof] = ACTIONS(4281),
    [anon_sym__Alignof] = ACTIONS(4281),
    [anon_sym_offsetof] = ACTIONS(4283),
    [anon_sym__Generic] = ACTIONS(4285),
    [anon_sym_asm] = ACTIONS(4287),
    [anon_sym___asm__] = ACTIONS(4287),
    [sym_number_literal] = ACTIONS(4289),
    [anon_sym_L_SQUOTE] = ACTIONS(4291),
    [anon_sym_u_SQUOTE] = ACTIONS(4291),
    [anon_sym_U_SQUOTE] = ACTIONS(4291),
    [anon_sym_u8_SQUOTE] = ACTIONS(4291),
    [anon_sym_SQUOTE] = ACTIONS(4291),
    [anon_sym_L_DQUOTE] = ACTIONS(4293),
    [anon_sym_u_DQUOTE] = ACTIONS(4293),
    [anon_sym_U_DQUOTE] = ACTIONS(4293),
    [anon_sym_u8_DQUOTE] = ACTIONS(4293),
    [anon_sym_DQUOTE] = ACTIONS(4293),
    [sym_true] = ACTIONS(4295),
    [sym_false] = ACTIONS(4295),
    [anon_sym_NULL] = ACTIONS(4297),
    [anon_sym_nullptr] = ACTIONS(4297),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(4307),
    [anon_sym_R_DQUOTE] = ACTIONS(4309),
    [anon_sym_LR_DQUOTE] = ACTIONS(4309),
    [anon_sym_uR_DQUOTE] = ACTIONS(4309),
    [anon_sym_UR_DQUOTE] = ACTIONS(4309),
    [anon_sym_u8R_DQUOTE] = ACTIONS(4309),
    [anon_sym_co_await] = ACTIONS(4311),
    [anon_sym_new] = ACTIONS(4313),
    [anon_sym_requires] = ACTIONS(4315),
    [sym_this] = ACTIONS(4295),
  },
  [2414] = {
    [sym__expression] = STATE(4354),
    [sym__expression_not_binary] = STATE(4695),
    [sym__string] = STATE(4695),
    [sym_conditional_expression] = STATE(4695),
    [sym_assignment_expression] = STATE(4695),
    [sym_pointer_expression] = STATE(4695),
    [sym_unary_expression] = STATE(4695),
    [sym_binary_expression] = STATE(4695),
    [sym_update_expression] = STATE(4695),
    [sym_cast_expression] = STATE(4695),
    [sym_sizeof_expression] = STATE(4695),
    [sym_alignof_expression] = STATE(4695),
    [sym_offsetof_expression] = STATE(4695),
    [sym_generic_expression] = STATE(4695),
    [sym_subscript_expression] = STATE(4695),
    [sym_call_expression] = STATE(4695),
    [sym_gnu_asm_expression] = STATE(4695),
    [sym_field_expression] = STATE(4695),
    [sym_compound_literal_expression] = STATE(4695),
    [sym_parenthesized_expression] = STATE(4695),
    [sym_char_literal] = STATE(4427),
    [sym_concatenated_string] = STATE(4424),
    [sym_string_literal] = STATE(3398),
    [sym_null] = STATE(4695),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9425),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(4695),
    [sym_raw_string_literal] = STATE(3396),
    [sym_co_await_expression] = STATE(4695),
    [sym_new_expression] = STATE(4695),
    [sym_delete_expression] = STATE(4695),
    [sym_requires_clause] = STATE(4695),
    [sym_requires_expression] = STATE(4695),
    [sym_lambda_expression] = STATE(4695),
    [sym_lambda_capture_specifier] = STATE(7185),
    [sym_fold_expression] = STATE(4695),
    [sym_parameter_pack_expansion] = STATE(4695),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6899),
    [sym_qualified_identifier] = STATE(4695),
    [sym_qualified_type_identifier] = STATE(9425),
    [sym_user_defined_literal] = STATE(4695),
    [sym_identifier] = ACTIONS(4092),
    [anon_sym_LPAREN2] = ACTIONS(4188),
    [anon_sym_BANG] = ACTIONS(2532),
    [anon_sym_TILDE] = ACTIONS(2532),
    [anon_sym_DASH] = ACTIONS(2536),
    [anon_sym_PLUS] = ACTIONS(2536),
    [anon_sym_STAR] = ACTIONS(2116),
    [anon_sym_AMP] = ACTIONS(2116),
    [anon_sym_COLON_COLON] = ACTIONS(2542),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [sym_primitive_type] = ACTIONS(4096),
    [anon_sym_not] = ACTIONS(2536),
    [anon_sym_compl] = ACTIONS(2536),
    [anon_sym_DASH_DASH] = ACTIONS(2560),
    [anon_sym_PLUS_PLUS] = ACTIONS(2560),
    [anon_sym_sizeof] = ACTIONS(2562),
    [anon_sym___alignof__] = ACTIONS(2564),
    [anon_sym___alignof] = ACTIONS(2564),
    [anon_sym__alignof] = ACTIONS(2564),
    [anon_sym_alignof] = ACTIONS(2564),
    [anon_sym__Alignof] = ACTIONS(2564),
    [anon_sym_offsetof] = ACTIONS(2566),
    [anon_sym__Generic] = ACTIONS(2568),
    [anon_sym_asm] = ACTIONS(2570),
    [anon_sym___asm__] = ACTIONS(2570),
    [sym_number_literal] = ACTIONS(2572),
    [anon_sym_L_SQUOTE] = ACTIONS(2574),
    [anon_sym_u_SQUOTE] = ACTIONS(2574),
    [anon_sym_U_SQUOTE] = ACTIONS(2574),
    [anon_sym_u8_SQUOTE] = ACTIONS(2574),
    [anon_sym_SQUOTE] = ACTIONS(2574),
    [anon_sym_L_DQUOTE] = ACTIONS(2576),
    [anon_sym_u_DQUOTE] = ACTIONS(2576),
    [anon_sym_U_DQUOTE] = ACTIONS(2576),
    [anon_sym_u8_DQUOTE] = ACTIONS(2576),
    [anon_sym_DQUOTE] = ACTIONS(2576),
    [sym_true] = ACTIONS(2578),
    [sym_false] = ACTIONS(2578),
    [anon_sym_NULL] = ACTIONS(2580),
    [anon_sym_nullptr] = ACTIONS(2580),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(2590),
    [anon_sym_R_DQUOTE] = ACTIONS(2592),
    [anon_sym_LR_DQUOTE] = ACTIONS(2592),
    [anon_sym_uR_DQUOTE] = ACTIONS(2592),
    [anon_sym_UR_DQUOTE] = ACTIONS(2592),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2592),
    [anon_sym_co_await] = ACTIONS(2594),
    [anon_sym_new] = ACTIONS(2596),
    [anon_sym_requires] = ACTIONS(2598),
    [sym_this] = ACTIONS(2578),
  },
  [2415] = {
    [sym__expression] = STATE(4352),
    [sym__expression_not_binary] = STATE(4695),
    [sym__string] = STATE(4695),
    [sym_conditional_expression] = STATE(4695),
    [sym_assignment_expression] = STATE(4695),
    [sym_pointer_expression] = STATE(4695),
    [sym_unary_expression] = STATE(4695),
    [sym_binary_expression] = STATE(4695),
    [sym_update_expression] = STATE(4695),
    [sym_cast_expression] = STATE(4695),
    [sym_sizeof_expression] = STATE(4695),
    [sym_alignof_expression] = STATE(4695),
    [sym_offsetof_expression] = STATE(4695),
    [sym_generic_expression] = STATE(4695),
    [sym_subscript_expression] = STATE(4695),
    [sym_call_expression] = STATE(4695),
    [sym_gnu_asm_expression] = STATE(4695),
    [sym_field_expression] = STATE(4695),
    [sym_compound_literal_expression] = STATE(4695),
    [sym_parenthesized_expression] = STATE(4695),
    [sym_char_literal] = STATE(4427),
    [sym_concatenated_string] = STATE(4424),
    [sym_string_literal] = STATE(3398),
    [sym_null] = STATE(4695),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9425),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(4695),
    [sym_raw_string_literal] = STATE(3396),
    [sym_co_await_expression] = STATE(4695),
    [sym_new_expression] = STATE(4695),
    [sym_delete_expression] = STATE(4695),
    [sym_requires_clause] = STATE(4695),
    [sym_requires_expression] = STATE(4695),
    [sym_lambda_expression] = STATE(4695),
    [sym_lambda_capture_specifier] = STATE(7185),
    [sym_fold_expression] = STATE(4695),
    [sym_parameter_pack_expansion] = STATE(4695),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6899),
    [sym_qualified_identifier] = STATE(4695),
    [sym_qualified_type_identifier] = STATE(9425),
    [sym_user_defined_literal] = STATE(4695),
    [sym_identifier] = ACTIONS(4092),
    [anon_sym_LPAREN2] = ACTIONS(4188),
    [anon_sym_BANG] = ACTIONS(2532),
    [anon_sym_TILDE] = ACTIONS(2532),
    [anon_sym_DASH] = ACTIONS(2536),
    [anon_sym_PLUS] = ACTIONS(2536),
    [anon_sym_STAR] = ACTIONS(2116),
    [anon_sym_AMP] = ACTIONS(2116),
    [anon_sym_COLON_COLON] = ACTIONS(2542),
    [anon_sym_LBRACK] = ACTIONS(5545),
    [sym_primitive_type] = ACTIONS(4096),
    [anon_sym_not] = ACTIONS(2536),
    [anon_sym_compl] = ACTIONS(2536),
    [anon_sym_DASH_DASH] = ACTIONS(2560),
    [anon_sym_PLUS_PLUS] = ACTIONS(2560),
    [anon_sym_sizeof] = ACTIONS(2562),
    [anon_sym___alignof__] = ACTIONS(2564),
    [anon_sym___alignof] = ACTIONS(2564),
    [anon_sym__alignof] = ACTIONS(2564),
    [anon_sym_alignof] = ACTIONS(2564),
    [anon_sym__Alignof] = ACTIONS(2564),
    [anon_sym_offsetof] = ACTIONS(2566),
    [anon_sym__Generic] = ACTIONS(2568),
    [anon_sym_asm] = ACTIONS(2570),
    [anon_sym___asm__] = ACTIONS(2570),
    [sym_number_literal] = ACTIONS(2572),
    [anon_sym_L_SQUOTE] = ACTIONS(2574),
    [anon_sym_u_SQUOTE] = ACTIONS(2574),
    [anon_sym_U_SQUOTE] = ACTIONS(2574),
    [anon_sym_u8_SQUOTE] = ACTIONS(2574),
    [anon_sym_SQUOTE] = ACTIONS(2574),
    [anon_sym_L_DQUOTE] = ACTIONS(2576),
    [anon_sym_u_DQUOTE] = ACTIONS(2576),
    [anon_sym_U_DQUOTE] = ACTIONS(2576),
    [anon_sym_u8_DQUOTE] = ACTIONS(2576),
    [anon_sym_DQUOTE] = ACTIONS(2576),
    [sym_true] = ACTIONS(2578),
    [sym_false] = ACTIONS(2578),
    [anon_sym_NULL] = ACTIONS(2580),
    [anon_sym_nullptr] = ACTIONS(2580),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(2590),
    [anon_sym_R_DQUOTE] = ACTIONS(2592),
    [anon_sym_LR_DQUOTE] = ACTIONS(2592),
    [anon_sym_uR_DQUOTE] = ACTIONS(2592),
    [anon_sym_UR_DQUOTE] = ACTIONS(2592),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2592),
    [anon_sym_co_await] = ACTIONS(2594),
    [anon_sym_new] = ACTIONS(2596),
    [anon_sym_requires] = ACTIONS(2598),
    [sym_this] = ACTIONS(2578),
  },
  [2416] = {
    [sym__expression] = STATE(5927),
    [sym__expression_not_binary] = STATE(5024),
    [sym__string] = STATE(5024),
    [sym_conditional_expression] = STATE(5024),
    [sym_assignment_expression] = STATE(5024),
    [sym_pointer_expression] = STATE(4737),
    [sym_unary_expression] = STATE(5024),
    [sym_binary_expression] = STATE(5024),
    [sym_update_expression] = STATE(5024),
    [sym_cast_expression] = STATE(5024),
    [sym_sizeof_expression] = STATE(5024),
    [sym_alignof_expression] = STATE(5024),
    [sym_offsetof_expression] = STATE(5024),
    [sym_generic_expression] = STATE(5024),
    [sym_subscript_expression] = STATE(4737),
    [sym_call_expression] = STATE(4737),
    [sym_gnu_asm_expression] = STATE(5024),
    [sym_field_expression] = STATE(4737),
    [sym_compound_literal_expression] = STATE(5024),
    [sym_parenthesized_expression] = STATE(4737),
    [sym_char_literal] = STATE(5374),
    [sym_concatenated_string] = STATE(5377),
    [sym_string_literal] = STATE(4206),
    [sym_null] = STATE(5024),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9352),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(5024),
    [sym_raw_string_literal] = STATE(4217),
    [sym_co_await_expression] = STATE(5024),
    [sym_new_expression] = STATE(5024),
    [sym_delete_expression] = STATE(5024),
    [sym_requires_clause] = STATE(5024),
    [sym_requires_expression] = STATE(5024),
    [sym_lambda_expression] = STATE(5024),
    [sym_lambda_capture_specifier] = STATE(7184),
    [sym_fold_expression] = STATE(5024),
    [sym_parameter_pack_expansion] = STATE(5024),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6886),
    [sym_qualified_identifier] = STATE(4737),
    [sym_qualified_type_identifier] = STATE(9352),
    [sym_user_defined_literal] = STATE(4737),
    [sym_identifier] = ACTIONS(4502),
    [anon_sym_LPAREN2] = ACTIONS(4540),
    [anon_sym_BANG] = ACTIONS(4506),
    [anon_sym_TILDE] = ACTIONS(4506),
    [anon_sym_DASH] = ACTIONS(4504),
    [anon_sym_PLUS] = ACTIONS(4504),
    [anon_sym_STAR] = ACTIONS(1474),
    [anon_sym_AMP] = ACTIONS(1474),
    [anon_sym_COLON_COLON] = ACTIONS(4508),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [sym_primitive_type] = ACTIONS(3146),
    [anon_sym_not] = ACTIONS(4504),
    [anon_sym_compl] = ACTIONS(4504),
    [anon_sym_DASH_DASH] = ACTIONS(4544),
    [anon_sym_PLUS_PLUS] = ACTIONS(4544),
    [anon_sym_sizeof] = ACTIONS(4510),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(4512),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(4514),
    [anon_sym_new] = ACTIONS(4516),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [2417] = {
    [sym__expression] = STATE(5710),
    [sym__expression_not_binary] = STATE(6001),
    [sym__string] = STATE(6001),
    [sym_conditional_expression] = STATE(6001),
    [sym_assignment_expression] = STATE(6001),
    [sym_pointer_expression] = STATE(4807),
    [sym_unary_expression] = STATE(6001),
    [sym_binary_expression] = STATE(6001),
    [sym_update_expression] = STATE(6001),
    [sym_cast_expression] = STATE(6001),
    [sym_sizeof_expression] = STATE(6001),
    [sym_alignof_expression] = STATE(6001),
    [sym_offsetof_expression] = STATE(6001),
    [sym_generic_expression] = STATE(6001),
    [sym_subscript_expression] = STATE(4807),
    [sym_call_expression] = STATE(4807),
    [sym_gnu_asm_expression] = STATE(6001),
    [sym_field_expression] = STATE(4807),
    [sym_compound_literal_expression] = STATE(6001),
    [sym_parenthesized_expression] = STATE(4807),
    [sym_char_literal] = STATE(5842),
    [sym_concatenated_string] = STATE(5845),
    [sym_string_literal] = STATE(4864),
    [sym_null] = STATE(6001),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(8975),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(6001),
    [sym_raw_string_literal] = STATE(4865),
    [sym_co_await_expression] = STATE(6001),
    [sym_new_expression] = STATE(6001),
    [sym_delete_expression] = STATE(6001),
    [sym_requires_clause] = STATE(6001),
    [sym_requires_expression] = STATE(6001),
    [sym_lambda_expression] = STATE(6001),
    [sym_lambda_capture_specifier] = STATE(7123),
    [sym_fold_expression] = STATE(6001),
    [sym_parameter_pack_expansion] = STATE(6001),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6932),
    [sym_qualified_identifier] = STATE(4807),
    [sym_qualified_type_identifier] = STATE(8975),
    [sym_user_defined_literal] = STATE(4807),
    [sym_identifier] = ACTIONS(4532),
    [anon_sym_LPAREN2] = ACTIONS(4255),
    [anon_sym_BANG] = ACTIONS(4257),
    [anon_sym_TILDE] = ACTIONS(4257),
    [anon_sym_DASH] = ACTIONS(4259),
    [anon_sym_PLUS] = ACTIONS(4259),
    [anon_sym_STAR] = ACTIONS(4261),
    [anon_sym_AMP] = ACTIONS(4261),
    [anon_sym_COLON_COLON] = ACTIONS(4263),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [sym_primitive_type] = ACTIONS(4536),
    [anon_sym_not] = ACTIONS(4259),
    [anon_sym_compl] = ACTIONS(4259),
    [anon_sym_DASH_DASH] = ACTIONS(4277),
    [anon_sym_PLUS_PLUS] = ACTIONS(4277),
    [anon_sym_sizeof] = ACTIONS(4279),
    [anon_sym___alignof__] = ACTIONS(4281),
    [anon_sym___alignof] = ACTIONS(4281),
    [anon_sym__alignof] = ACTIONS(4281),
    [anon_sym_alignof] = ACTIONS(4281),
    [anon_sym__Alignof] = ACTIONS(4281),
    [anon_sym_offsetof] = ACTIONS(4283),
    [anon_sym__Generic] = ACTIONS(4285),
    [anon_sym_asm] = ACTIONS(4287),
    [anon_sym___asm__] = ACTIONS(4287),
    [sym_number_literal] = ACTIONS(4289),
    [anon_sym_L_SQUOTE] = ACTIONS(4291),
    [anon_sym_u_SQUOTE] = ACTIONS(4291),
    [anon_sym_U_SQUOTE] = ACTIONS(4291),
    [anon_sym_u8_SQUOTE] = ACTIONS(4291),
    [anon_sym_SQUOTE] = ACTIONS(4291),
    [anon_sym_L_DQUOTE] = ACTIONS(4293),
    [anon_sym_u_DQUOTE] = ACTIONS(4293),
    [anon_sym_U_DQUOTE] = ACTIONS(4293),
    [anon_sym_u8_DQUOTE] = ACTIONS(4293),
    [anon_sym_DQUOTE] = ACTIONS(4293),
    [sym_true] = ACTIONS(4295),
    [sym_false] = ACTIONS(4295),
    [anon_sym_NULL] = ACTIONS(4297),
    [anon_sym_nullptr] = ACTIONS(4297),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(4307),
    [anon_sym_R_DQUOTE] = ACTIONS(4309),
    [anon_sym_LR_DQUOTE] = ACTIONS(4309),
    [anon_sym_uR_DQUOTE] = ACTIONS(4309),
    [anon_sym_UR_DQUOTE] = ACTIONS(4309),
    [anon_sym_u8R_DQUOTE] = ACTIONS(4309),
    [anon_sym_co_await] = ACTIONS(4311),
    [anon_sym_new] = ACTIONS(4313),
    [anon_sym_requires] = ACTIONS(4315),
    [sym_this] = ACTIONS(4295),
  },
  [2418] = {
    [sym__expression] = STATE(5947),
    [sym__expression_not_binary] = STATE(5024),
    [sym__string] = STATE(5024),
    [sym_conditional_expression] = STATE(5024),
    [sym_assignment_expression] = STATE(5024),
    [sym_pointer_expression] = STATE(4737),
    [sym_unary_expression] = STATE(5024),
    [sym_binary_expression] = STATE(5024),
    [sym_update_expression] = STATE(5024),
    [sym_cast_expression] = STATE(5024),
    [sym_sizeof_expression] = STATE(5024),
    [sym_alignof_expression] = STATE(5024),
    [sym_offsetof_expression] = STATE(5024),
    [sym_generic_expression] = STATE(5024),
    [sym_subscript_expression] = STATE(4737),
    [sym_call_expression] = STATE(4737),
    [sym_gnu_asm_expression] = STATE(5024),
    [sym_field_expression] = STATE(4737),
    [sym_compound_literal_expression] = STATE(5024),
    [sym_parenthesized_expression] = STATE(4737),
    [sym_char_literal] = STATE(5374),
    [sym_concatenated_string] = STATE(5377),
    [sym_string_literal] = STATE(4206),
    [sym_null] = STATE(5024),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9352),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(5024),
    [sym_raw_string_literal] = STATE(4217),
    [sym_co_await_expression] = STATE(5024),
    [sym_new_expression] = STATE(5024),
    [sym_delete_expression] = STATE(5024),
    [sym_requires_clause] = STATE(5024),
    [sym_requires_expression] = STATE(5024),
    [sym_lambda_expression] = STATE(5024),
    [sym_lambda_capture_specifier] = STATE(7184),
    [sym_fold_expression] = STATE(5024),
    [sym_parameter_pack_expansion] = STATE(5024),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6886),
    [sym_qualified_identifier] = STATE(4737),
    [sym_qualified_type_identifier] = STATE(9352),
    [sym_user_defined_literal] = STATE(4737),
    [sym_identifier] = ACTIONS(4502),
    [anon_sym_LPAREN2] = ACTIONS(4540),
    [anon_sym_BANG] = ACTIONS(4506),
    [anon_sym_TILDE] = ACTIONS(4506),
    [anon_sym_DASH] = ACTIONS(4504),
    [anon_sym_PLUS] = ACTIONS(4504),
    [anon_sym_STAR] = ACTIONS(1474),
    [anon_sym_AMP] = ACTIONS(1474),
    [anon_sym_COLON_COLON] = ACTIONS(4508),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [sym_primitive_type] = ACTIONS(3146),
    [anon_sym_not] = ACTIONS(4504),
    [anon_sym_compl] = ACTIONS(4504),
    [anon_sym_DASH_DASH] = ACTIONS(4544),
    [anon_sym_PLUS_PLUS] = ACTIONS(4544),
    [anon_sym_sizeof] = ACTIONS(4510),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(4512),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(4514),
    [anon_sym_new] = ACTIONS(4516),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [2419] = {
    [sym__expression] = STATE(5615),
    [sym__expression_not_binary] = STATE(5024),
    [sym__string] = STATE(5024),
    [sym_conditional_expression] = STATE(5024),
    [sym_assignment_expression] = STATE(5024),
    [sym_pointer_expression] = STATE(4507),
    [sym_unary_expression] = STATE(5024),
    [sym_binary_expression] = STATE(5024),
    [sym_update_expression] = STATE(5024),
    [sym_cast_expression] = STATE(5024),
    [sym_sizeof_expression] = STATE(5024),
    [sym_alignof_expression] = STATE(5024),
    [sym_offsetof_expression] = STATE(5024),
    [sym_generic_expression] = STATE(5024),
    [sym_subscript_expression] = STATE(4507),
    [sym_call_expression] = STATE(4507),
    [sym_gnu_asm_expression] = STATE(5024),
    [sym_field_expression] = STATE(4507),
    [sym_compound_literal_expression] = STATE(5024),
    [sym_parenthesized_expression] = STATE(4507),
    [sym_char_literal] = STATE(5374),
    [sym_concatenated_string] = STATE(5377),
    [sym_string_literal] = STATE(4206),
    [sym_null] = STATE(5024),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9352),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(5024),
    [sym_raw_string_literal] = STATE(4217),
    [sym_co_await_expression] = STATE(5024),
    [sym_new_expression] = STATE(5024),
    [sym_delete_expression] = STATE(5024),
    [sym_requires_clause] = STATE(5024),
    [sym_requires_expression] = STATE(5024),
    [sym_lambda_expression] = STATE(5024),
    [sym_lambda_capture_specifier] = STATE(7184),
    [sym_fold_expression] = STATE(5024),
    [sym_parameter_pack_expansion] = STATE(5024),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6886),
    [sym_qualified_identifier] = STATE(4507),
    [sym_qualified_type_identifier] = STATE(9352),
    [sym_user_defined_literal] = STATE(4507),
    [sym_identifier] = ACTIONS(3140),
    [anon_sym_LPAREN2] = ACTIONS(1472),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1474),
    [anon_sym_AMP] = ACTIONS(1474),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [sym_primitive_type] = ACTIONS(3146),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [2420] = {
    [sym__expression] = STATE(5520),
    [sym__expression_not_binary] = STATE(5024),
    [sym__string] = STATE(5024),
    [sym_conditional_expression] = STATE(5024),
    [sym_assignment_expression] = STATE(5024),
    [sym_pointer_expression] = STATE(4507),
    [sym_unary_expression] = STATE(5024),
    [sym_binary_expression] = STATE(5024),
    [sym_update_expression] = STATE(5024),
    [sym_cast_expression] = STATE(5024),
    [sym_sizeof_expression] = STATE(5024),
    [sym_alignof_expression] = STATE(5024),
    [sym_offsetof_expression] = STATE(5024),
    [sym_generic_expression] = STATE(5024),
    [sym_subscript_expression] = STATE(4507),
    [sym_call_expression] = STATE(4507),
    [sym_gnu_asm_expression] = STATE(5024),
    [sym_field_expression] = STATE(4507),
    [sym_compound_literal_expression] = STATE(5024),
    [sym_parenthesized_expression] = STATE(4507),
    [sym_char_literal] = STATE(5374),
    [sym_concatenated_string] = STATE(5377),
    [sym_string_literal] = STATE(4206),
    [sym_null] = STATE(5024),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9352),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(5024),
    [sym_raw_string_literal] = STATE(4217),
    [sym_co_await_expression] = STATE(5024),
    [sym_new_expression] = STATE(5024),
    [sym_delete_expression] = STATE(5024),
    [sym_requires_clause] = STATE(5024),
    [sym_requires_expression] = STATE(5024),
    [sym_lambda_expression] = STATE(5024),
    [sym_lambda_capture_specifier] = STATE(7184),
    [sym_fold_expression] = STATE(5024),
    [sym_parameter_pack_expansion] = STATE(5024),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6886),
    [sym_qualified_identifier] = STATE(4507),
    [sym_qualified_type_identifier] = STATE(9352),
    [sym_user_defined_literal] = STATE(4507),
    [sym_identifier] = ACTIONS(3140),
    [anon_sym_LPAREN2] = ACTIONS(1472),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1474),
    [anon_sym_AMP] = ACTIONS(1474),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [sym_primitive_type] = ACTIONS(3146),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [2421] = {
    [sym__expression] = STATE(5384),
    [sym__expression_not_binary] = STATE(5575),
    [sym__string] = STATE(5575),
    [sym_conditional_expression] = STATE(5575),
    [sym_assignment_expression] = STATE(5575),
    [sym_pointer_expression] = STATE(4218),
    [sym_unary_expression] = STATE(5575),
    [sym_binary_expression] = STATE(5575),
    [sym_update_expression] = STATE(5575),
    [sym_cast_expression] = STATE(5575),
    [sym_sizeof_expression] = STATE(5575),
    [sym_alignof_expression] = STATE(5575),
    [sym_offsetof_expression] = STATE(5575),
    [sym_generic_expression] = STATE(5575),
    [sym_subscript_expression] = STATE(4218),
    [sym_call_expression] = STATE(4218),
    [sym_gnu_asm_expression] = STATE(5575),
    [sym_field_expression] = STATE(4218),
    [sym_compound_literal_expression] = STATE(5575),
    [sym_parenthesized_expression] = STATE(4218),
    [sym_char_literal] = STATE(5388),
    [sym_concatenated_string] = STATE(5429),
    [sym_string_literal] = STATE(4410),
    [sym_null] = STATE(5575),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9045),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(5575),
    [sym_raw_string_literal] = STATE(4411),
    [sym_co_await_expression] = STATE(5575),
    [sym_new_expression] = STATE(5575),
    [sym_delete_expression] = STATE(5575),
    [sym_requires_clause] = STATE(5575),
    [sym_requires_expression] = STATE(5575),
    [sym_lambda_expression] = STATE(5575),
    [sym_lambda_capture_specifier] = STATE(7089),
    [sym_fold_expression] = STATE(5575),
    [sym_parameter_pack_expansion] = STATE(5575),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6962),
    [sym_qualified_identifier] = STATE(4218),
    [sym_qualified_type_identifier] = STATE(9045),
    [sym_user_defined_literal] = STATE(4218),
    [sym_identifier] = ACTIONS(5081),
    [anon_sym_LPAREN2] = ACTIONS(5200),
    [anon_sym_BANG] = ACTIONS(4431),
    [anon_sym_TILDE] = ACTIONS(4431),
    [anon_sym_DASH] = ACTIONS(4429),
    [anon_sym_PLUS] = ACTIONS(4429),
    [anon_sym_STAR] = ACTIONS(5202),
    [anon_sym_AMP] = ACTIONS(5202),
    [anon_sym_COLON_COLON] = ACTIONS(4433),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [sym_primitive_type] = ACTIONS(4437),
    [anon_sym_not] = ACTIONS(4429),
    [anon_sym_compl] = ACTIONS(4429),
    [anon_sym_DASH_DASH] = ACTIONS(5083),
    [anon_sym_PLUS_PLUS] = ACTIONS(5083),
    [anon_sym_sizeof] = ACTIONS(4439),
    [anon_sym___alignof__] = ACTIONS(4441),
    [anon_sym___alignof] = ACTIONS(4441),
    [anon_sym__alignof] = ACTIONS(4441),
    [anon_sym_alignof] = ACTIONS(4441),
    [anon_sym__Alignof] = ACTIONS(4441),
    [anon_sym_offsetof] = ACTIONS(4443),
    [anon_sym__Generic] = ACTIONS(4445),
    [anon_sym_asm] = ACTIONS(4447),
    [anon_sym___asm__] = ACTIONS(4447),
    [sym_number_literal] = ACTIONS(4449),
    [anon_sym_L_SQUOTE] = ACTIONS(4451),
    [anon_sym_u_SQUOTE] = ACTIONS(4451),
    [anon_sym_U_SQUOTE] = ACTIONS(4451),
    [anon_sym_u8_SQUOTE] = ACTIONS(4451),
    [anon_sym_SQUOTE] = ACTIONS(4451),
    [anon_sym_L_DQUOTE] = ACTIONS(4453),
    [anon_sym_u_DQUOTE] = ACTIONS(4453),
    [anon_sym_U_DQUOTE] = ACTIONS(4453),
    [anon_sym_u8_DQUOTE] = ACTIONS(4453),
    [anon_sym_DQUOTE] = ACTIONS(4453),
    [sym_true] = ACTIONS(4455),
    [sym_false] = ACTIONS(4455),
    [anon_sym_NULL] = ACTIONS(4457),
    [anon_sym_nullptr] = ACTIONS(4457),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(4459),
    [anon_sym_R_DQUOTE] = ACTIONS(4461),
    [anon_sym_LR_DQUOTE] = ACTIONS(4461),
    [anon_sym_uR_DQUOTE] = ACTIONS(4461),
    [anon_sym_UR_DQUOTE] = ACTIONS(4461),
    [anon_sym_u8R_DQUOTE] = ACTIONS(4461),
    [anon_sym_co_await] = ACTIONS(4463),
    [anon_sym_new] = ACTIONS(4465),
    [anon_sym_requires] = ACTIONS(4467),
    [sym_this] = ACTIONS(4455),
  },
  [2422] = {
    [sym__expression] = STATE(5872),
    [sym__expression_not_binary] = STATE(5024),
    [sym__string] = STATE(5024),
    [sym_conditional_expression] = STATE(5024),
    [sym_assignment_expression] = STATE(5024),
    [sym_pointer_expression] = STATE(4507),
    [sym_unary_expression] = STATE(5024),
    [sym_binary_expression] = STATE(5024),
    [sym_update_expression] = STATE(5024),
    [sym_cast_expression] = STATE(5024),
    [sym_sizeof_expression] = STATE(5024),
    [sym_alignof_expression] = STATE(5024),
    [sym_offsetof_expression] = STATE(5024),
    [sym_generic_expression] = STATE(5024),
    [sym_subscript_expression] = STATE(4507),
    [sym_call_expression] = STATE(4507),
    [sym_gnu_asm_expression] = STATE(5024),
    [sym_field_expression] = STATE(4507),
    [sym_compound_literal_expression] = STATE(5024),
    [sym_parenthesized_expression] = STATE(4507),
    [sym_char_literal] = STATE(5374),
    [sym_concatenated_string] = STATE(5377),
    [sym_string_literal] = STATE(4206),
    [sym_null] = STATE(5024),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9352),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(5024),
    [sym_raw_string_literal] = STATE(4217),
    [sym_co_await_expression] = STATE(5024),
    [sym_new_expression] = STATE(5024),
    [sym_delete_expression] = STATE(5024),
    [sym_requires_clause] = STATE(5024),
    [sym_requires_expression] = STATE(5024),
    [sym_lambda_expression] = STATE(5024),
    [sym_lambda_capture_specifier] = STATE(7184),
    [sym_fold_expression] = STATE(5024),
    [sym_parameter_pack_expansion] = STATE(5024),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6886),
    [sym_qualified_identifier] = STATE(4507),
    [sym_qualified_type_identifier] = STATE(9352),
    [sym_user_defined_literal] = STATE(4507),
    [sym_identifier] = ACTIONS(3140),
    [anon_sym_LPAREN2] = ACTIONS(1472),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1474),
    [anon_sym_AMP] = ACTIONS(1474),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [sym_primitive_type] = ACTIONS(3146),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [2423] = {
    [sym__expression] = STATE(3520),
    [sym__expression_not_binary] = STATE(3672),
    [sym__string] = STATE(3672),
    [sym_conditional_expression] = STATE(3672),
    [sym_assignment_expression] = STATE(3672),
    [sym_pointer_expression] = STATE(3672),
    [sym_unary_expression] = STATE(3672),
    [sym_binary_expression] = STATE(3672),
    [sym_update_expression] = STATE(3672),
    [sym_cast_expression] = STATE(3672),
    [sym_sizeof_expression] = STATE(3672),
    [sym_alignof_expression] = STATE(3672),
    [sym_offsetof_expression] = STATE(3672),
    [sym_generic_expression] = STATE(3672),
    [sym_subscript_expression] = STATE(3672),
    [sym_call_expression] = STATE(3672),
    [sym_gnu_asm_expression] = STATE(3672),
    [sym_field_expression] = STATE(3672),
    [sym_compound_literal_expression] = STATE(3672),
    [sym_parenthesized_expression] = STATE(3672),
    [sym_char_literal] = STATE(4466),
    [sym_concatenated_string] = STATE(4465),
    [sym_string_literal] = STATE(3395),
    [sym_null] = STATE(3672),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9333),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(3672),
    [sym_raw_string_literal] = STATE(3400),
    [sym_co_await_expression] = STATE(3672),
    [sym_new_expression] = STATE(3672),
    [sym_delete_expression] = STATE(3672),
    [sym_requires_clause] = STATE(3672),
    [sym_requires_expression] = STATE(3672),
    [sym_lambda_expression] = STATE(3672),
    [sym_lambda_capture_specifier] = STATE(7134),
    [sym_fold_expression] = STATE(3672),
    [sym_parameter_pack_expansion] = STATE(3672),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6886),
    [sym_qualified_identifier] = STATE(3672),
    [sym_qualified_type_identifier] = STATE(9333),
    [sym_user_defined_literal] = STATE(3672),
    [sym_identifier] = ACTIONS(4070),
    [anon_sym_LPAREN2] = ACTIONS(5257),
    [anon_sym_BANG] = ACTIONS(4074),
    [anon_sym_TILDE] = ACTIONS(4074),
    [anon_sym_DASH] = ACTIONS(4072),
    [anon_sym_PLUS] = ACTIONS(4072),
    [anon_sym_STAR] = ACTIONS(5017),
    [anon_sym_AMP] = ACTIONS(5017),
    [anon_sym_COLON_COLON] = ACTIONS(4076),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [sym_primitive_type] = ACTIONS(3928),
    [anon_sym_not] = ACTIONS(4072),
    [anon_sym_compl] = ACTIONS(4072),
    [anon_sym_DASH_DASH] = ACTIONS(5043),
    [anon_sym_PLUS_PLUS] = ACTIONS(5043),
    [anon_sym_sizeof] = ACTIONS(4078),
    [anon_sym___alignof__] = ACTIONS(3932),
    [anon_sym___alignof] = ACTIONS(3932),
    [anon_sym__alignof] = ACTIONS(3932),
    [anon_sym_alignof] = ACTIONS(3932),
    [anon_sym__Alignof] = ACTIONS(3932),
    [anon_sym_offsetof] = ACTIONS(3934),
    [anon_sym__Generic] = ACTIONS(3936),
    [anon_sym_asm] = ACTIONS(3938),
    [anon_sym___asm__] = ACTIONS(3938),
    [sym_number_literal] = ACTIONS(4080),
    [anon_sym_L_SQUOTE] = ACTIONS(4082),
    [anon_sym_u_SQUOTE] = ACTIONS(4082),
    [anon_sym_U_SQUOTE] = ACTIONS(4082),
    [anon_sym_u8_SQUOTE] = ACTIONS(4082),
    [anon_sym_SQUOTE] = ACTIONS(4082),
    [anon_sym_L_DQUOTE] = ACTIONS(4084),
    [anon_sym_u_DQUOTE] = ACTIONS(4084),
    [anon_sym_U_DQUOTE] = ACTIONS(4084),
    [anon_sym_u8_DQUOTE] = ACTIONS(4084),
    [anon_sym_DQUOTE] = ACTIONS(4084),
    [sym_true] = ACTIONS(3946),
    [sym_false] = ACTIONS(3946),
    [anon_sym_NULL] = ACTIONS(3948),
    [anon_sym_nullptr] = ACTIONS(3948),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(4086),
    [anon_sym_R_DQUOTE] = ACTIONS(4088),
    [anon_sym_LR_DQUOTE] = ACTIONS(4088),
    [anon_sym_uR_DQUOTE] = ACTIONS(4088),
    [anon_sym_UR_DQUOTE] = ACTIONS(4088),
    [anon_sym_u8R_DQUOTE] = ACTIONS(4088),
    [anon_sym_co_await] = ACTIONS(4090),
    [anon_sym_new] = ACTIONS(3990),
    [anon_sym_requires] = ACTIONS(3958),
    [sym_this] = ACTIONS(3946),
  },
  [2424] = {
    [sym__expression] = STATE(5518),
    [sym__expression_not_binary] = STATE(5024),
    [sym__string] = STATE(5024),
    [sym_conditional_expression] = STATE(5024),
    [sym_assignment_expression] = STATE(5024),
    [sym_pointer_expression] = STATE(4507),
    [sym_unary_expression] = STATE(5024),
    [sym_binary_expression] = STATE(5024),
    [sym_update_expression] = STATE(5024),
    [sym_cast_expression] = STATE(5024),
    [sym_sizeof_expression] = STATE(5024),
    [sym_alignof_expression] = STATE(5024),
    [sym_offsetof_expression] = STATE(5024),
    [sym_generic_expression] = STATE(5024),
    [sym_subscript_expression] = STATE(4507),
    [sym_call_expression] = STATE(4507),
    [sym_gnu_asm_expression] = STATE(5024),
    [sym_field_expression] = STATE(4507),
    [sym_compound_literal_expression] = STATE(5024),
    [sym_parenthesized_expression] = STATE(4507),
    [sym_char_literal] = STATE(5374),
    [sym_concatenated_string] = STATE(5377),
    [sym_string_literal] = STATE(4206),
    [sym_null] = STATE(5024),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9352),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(5024),
    [sym_raw_string_literal] = STATE(4217),
    [sym_co_await_expression] = STATE(5024),
    [sym_new_expression] = STATE(5024),
    [sym_delete_expression] = STATE(5024),
    [sym_requires_clause] = STATE(5024),
    [sym_requires_expression] = STATE(5024),
    [sym_lambda_expression] = STATE(5024),
    [sym_lambda_capture_specifier] = STATE(7184),
    [sym_fold_expression] = STATE(5024),
    [sym_parameter_pack_expansion] = STATE(5024),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6886),
    [sym_qualified_identifier] = STATE(4507),
    [sym_qualified_type_identifier] = STATE(9352),
    [sym_user_defined_literal] = STATE(4507),
    [sym_identifier] = ACTIONS(3140),
    [anon_sym_LPAREN2] = ACTIONS(1472),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1474),
    [anon_sym_AMP] = ACTIONS(1474),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [sym_primitive_type] = ACTIONS(3146),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [2425] = {
    [sym__expression] = STATE(5839),
    [sym__expression_not_binary] = STATE(5024),
    [sym__string] = STATE(5024),
    [sym_conditional_expression] = STATE(5024),
    [sym_assignment_expression] = STATE(5024),
    [sym_pointer_expression] = STATE(4713),
    [sym_unary_expression] = STATE(5024),
    [sym_binary_expression] = STATE(5024),
    [sym_update_expression] = STATE(5024),
    [sym_cast_expression] = STATE(5024),
    [sym_sizeof_expression] = STATE(5024),
    [sym_alignof_expression] = STATE(5024),
    [sym_offsetof_expression] = STATE(5024),
    [sym_generic_expression] = STATE(5024),
    [sym_subscript_expression] = STATE(4713),
    [sym_call_expression] = STATE(4713),
    [sym_gnu_asm_expression] = STATE(5024),
    [sym_field_expression] = STATE(4713),
    [sym_compound_literal_expression] = STATE(5024),
    [sym_parenthesized_expression] = STATE(4713),
    [sym_char_literal] = STATE(5374),
    [sym_concatenated_string] = STATE(5377),
    [sym_string_literal] = STATE(4206),
    [sym_null] = STATE(5024),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9352),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(5024),
    [sym_raw_string_literal] = STATE(4217),
    [sym_co_await_expression] = STATE(5024),
    [sym_new_expression] = STATE(5024),
    [sym_delete_expression] = STATE(5024),
    [sym_requires_clause] = STATE(5024),
    [sym_requires_expression] = STATE(5024),
    [sym_lambda_expression] = STATE(5024),
    [sym_lambda_capture_specifier] = STATE(7184),
    [sym_fold_expression] = STATE(5024),
    [sym_parameter_pack_expansion] = STATE(5024),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6886),
    [sym_qualified_identifier] = STATE(4713),
    [sym_qualified_type_identifier] = STATE(9352),
    [sym_user_defined_literal] = STATE(4713),
    [sym_identifier] = ACTIONS(4518),
    [anon_sym_LPAREN2] = ACTIONS(5188),
    [anon_sym_BANG] = ACTIONS(4522),
    [anon_sym_TILDE] = ACTIONS(4522),
    [anon_sym_DASH] = ACTIONS(4520),
    [anon_sym_PLUS] = ACTIONS(4520),
    [anon_sym_STAR] = ACTIONS(5190),
    [anon_sym_AMP] = ACTIONS(5190),
    [anon_sym_COLON_COLON] = ACTIONS(4524),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [sym_primitive_type] = ACTIONS(3146),
    [anon_sym_not] = ACTIONS(4520),
    [anon_sym_compl] = ACTIONS(4520),
    [anon_sym_DASH_DASH] = ACTIONS(5071),
    [anon_sym_PLUS_PLUS] = ACTIONS(5071),
    [anon_sym_sizeof] = ACTIONS(4526),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(4528),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(4530),
    [anon_sym_new] = ACTIONS(4516),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [2426] = {
    [sym__expression] = STATE(5871),
    [sym__expression_not_binary] = STATE(5024),
    [sym__string] = STATE(5024),
    [sym_conditional_expression] = STATE(5024),
    [sym_assignment_expression] = STATE(5024),
    [sym_pointer_expression] = STATE(4507),
    [sym_unary_expression] = STATE(5024),
    [sym_binary_expression] = STATE(5024),
    [sym_update_expression] = STATE(5024),
    [sym_cast_expression] = STATE(5024),
    [sym_sizeof_expression] = STATE(5024),
    [sym_alignof_expression] = STATE(5024),
    [sym_offsetof_expression] = STATE(5024),
    [sym_generic_expression] = STATE(5024),
    [sym_subscript_expression] = STATE(4507),
    [sym_call_expression] = STATE(4507),
    [sym_gnu_asm_expression] = STATE(5024),
    [sym_field_expression] = STATE(4507),
    [sym_compound_literal_expression] = STATE(5024),
    [sym_parenthesized_expression] = STATE(4507),
    [sym_char_literal] = STATE(5374),
    [sym_concatenated_string] = STATE(5377),
    [sym_string_literal] = STATE(4206),
    [sym_null] = STATE(5024),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9352),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(5024),
    [sym_raw_string_literal] = STATE(4217),
    [sym_co_await_expression] = STATE(5024),
    [sym_new_expression] = STATE(5024),
    [sym_delete_expression] = STATE(5024),
    [sym_requires_clause] = STATE(5024),
    [sym_requires_expression] = STATE(5024),
    [sym_lambda_expression] = STATE(5024),
    [sym_lambda_capture_specifier] = STATE(7184),
    [sym_fold_expression] = STATE(5024),
    [sym_parameter_pack_expansion] = STATE(5024),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6886),
    [sym_qualified_identifier] = STATE(4507),
    [sym_qualified_type_identifier] = STATE(9352),
    [sym_user_defined_literal] = STATE(4507),
    [sym_identifier] = ACTIONS(3140),
    [anon_sym_LPAREN2] = ACTIONS(1472),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1474),
    [anon_sym_AMP] = ACTIONS(1474),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [sym_primitive_type] = ACTIONS(3146),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [2427] = {
    [sym__expression] = STATE(5640),
    [sym__expression_not_binary] = STATE(5024),
    [sym__string] = STATE(5024),
    [sym_conditional_expression] = STATE(5024),
    [sym_assignment_expression] = STATE(5024),
    [sym_pointer_expression] = STATE(4737),
    [sym_unary_expression] = STATE(5024),
    [sym_binary_expression] = STATE(5024),
    [sym_update_expression] = STATE(5024),
    [sym_cast_expression] = STATE(5024),
    [sym_sizeof_expression] = STATE(5024),
    [sym_alignof_expression] = STATE(5024),
    [sym_offsetof_expression] = STATE(5024),
    [sym_generic_expression] = STATE(5024),
    [sym_subscript_expression] = STATE(4737),
    [sym_call_expression] = STATE(4737),
    [sym_gnu_asm_expression] = STATE(5024),
    [sym_field_expression] = STATE(4737),
    [sym_compound_literal_expression] = STATE(5024),
    [sym_parenthesized_expression] = STATE(4737),
    [sym_char_literal] = STATE(5374),
    [sym_concatenated_string] = STATE(5377),
    [sym_string_literal] = STATE(4206),
    [sym_null] = STATE(5024),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9352),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(5024),
    [sym_raw_string_literal] = STATE(4217),
    [sym_co_await_expression] = STATE(5024),
    [sym_new_expression] = STATE(5024),
    [sym_delete_expression] = STATE(5024),
    [sym_requires_clause] = STATE(5024),
    [sym_requires_expression] = STATE(5024),
    [sym_lambda_expression] = STATE(5024),
    [sym_lambda_capture_specifier] = STATE(7184),
    [sym_fold_expression] = STATE(5024),
    [sym_parameter_pack_expansion] = STATE(5024),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6886),
    [sym_qualified_identifier] = STATE(4737),
    [sym_qualified_type_identifier] = STATE(9352),
    [sym_user_defined_literal] = STATE(4737),
    [sym_identifier] = ACTIONS(4502),
    [anon_sym_LPAREN2] = ACTIONS(4540),
    [anon_sym_BANG] = ACTIONS(4506),
    [anon_sym_TILDE] = ACTIONS(4506),
    [anon_sym_DASH] = ACTIONS(4504),
    [anon_sym_PLUS] = ACTIONS(4504),
    [anon_sym_STAR] = ACTIONS(1474),
    [anon_sym_AMP] = ACTIONS(1474),
    [anon_sym_COLON_COLON] = ACTIONS(4508),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [sym_primitive_type] = ACTIONS(3146),
    [anon_sym_not] = ACTIONS(4504),
    [anon_sym_compl] = ACTIONS(4504),
    [anon_sym_DASH_DASH] = ACTIONS(4544),
    [anon_sym_PLUS_PLUS] = ACTIONS(4544),
    [anon_sym_sizeof] = ACTIONS(4510),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(4512),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(4514),
    [anon_sym_new] = ACTIONS(4516),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [2428] = {
    [sym__expression] = STATE(5935),
    [sym__expression_not_binary] = STATE(5024),
    [sym__string] = STATE(5024),
    [sym_conditional_expression] = STATE(5024),
    [sym_assignment_expression] = STATE(5024),
    [sym_pointer_expression] = STATE(4507),
    [sym_unary_expression] = STATE(5024),
    [sym_binary_expression] = STATE(5024),
    [sym_update_expression] = STATE(5024),
    [sym_cast_expression] = STATE(5024),
    [sym_sizeof_expression] = STATE(5024),
    [sym_alignof_expression] = STATE(5024),
    [sym_offsetof_expression] = STATE(5024),
    [sym_generic_expression] = STATE(5024),
    [sym_subscript_expression] = STATE(4507),
    [sym_call_expression] = STATE(4507),
    [sym_gnu_asm_expression] = STATE(5024),
    [sym_field_expression] = STATE(4507),
    [sym_compound_literal_expression] = STATE(5024),
    [sym_parenthesized_expression] = STATE(4507),
    [sym_char_literal] = STATE(5374),
    [sym_concatenated_string] = STATE(5377),
    [sym_string_literal] = STATE(4206),
    [sym_null] = STATE(5024),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9352),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(5024),
    [sym_raw_string_literal] = STATE(4217),
    [sym_co_await_expression] = STATE(5024),
    [sym_new_expression] = STATE(5024),
    [sym_delete_expression] = STATE(5024),
    [sym_requires_clause] = STATE(5024),
    [sym_requires_expression] = STATE(5024),
    [sym_lambda_expression] = STATE(5024),
    [sym_lambda_capture_specifier] = STATE(7184),
    [sym_fold_expression] = STATE(5024),
    [sym_parameter_pack_expansion] = STATE(5024),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6886),
    [sym_qualified_identifier] = STATE(4507),
    [sym_qualified_type_identifier] = STATE(9352),
    [sym_user_defined_literal] = STATE(4507),
    [sym_identifier] = ACTIONS(3140),
    [anon_sym_LPAREN2] = ACTIONS(1472),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1474),
    [anon_sym_AMP] = ACTIONS(1474),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [sym_primitive_type] = ACTIONS(3146),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [2429] = {
    [sym__expression] = STATE(5553),
    [sym__expression_not_binary] = STATE(5024),
    [sym__string] = STATE(5024),
    [sym_conditional_expression] = STATE(5024),
    [sym_assignment_expression] = STATE(5024),
    [sym_pointer_expression] = STATE(4507),
    [sym_unary_expression] = STATE(5024),
    [sym_binary_expression] = STATE(5024),
    [sym_update_expression] = STATE(5024),
    [sym_cast_expression] = STATE(5024),
    [sym_sizeof_expression] = STATE(5024),
    [sym_alignof_expression] = STATE(5024),
    [sym_offsetof_expression] = STATE(5024),
    [sym_generic_expression] = STATE(5024),
    [sym_subscript_expression] = STATE(4507),
    [sym_call_expression] = STATE(4507),
    [sym_gnu_asm_expression] = STATE(5024),
    [sym_field_expression] = STATE(4507),
    [sym_compound_literal_expression] = STATE(5024),
    [sym_parenthesized_expression] = STATE(4507),
    [sym_char_literal] = STATE(5374),
    [sym_concatenated_string] = STATE(5377),
    [sym_string_literal] = STATE(4206),
    [sym_null] = STATE(5024),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9352),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(5024),
    [sym_raw_string_literal] = STATE(4217),
    [sym_co_await_expression] = STATE(5024),
    [sym_new_expression] = STATE(5024),
    [sym_delete_expression] = STATE(5024),
    [sym_requires_clause] = STATE(5024),
    [sym_requires_expression] = STATE(5024),
    [sym_lambda_expression] = STATE(5024),
    [sym_lambda_capture_specifier] = STATE(7184),
    [sym_fold_expression] = STATE(5024),
    [sym_parameter_pack_expansion] = STATE(5024),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6886),
    [sym_qualified_identifier] = STATE(4507),
    [sym_qualified_type_identifier] = STATE(9352),
    [sym_user_defined_literal] = STATE(4507),
    [sym_identifier] = ACTIONS(3140),
    [anon_sym_LPAREN2] = ACTIONS(1472),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1474),
    [anon_sym_AMP] = ACTIONS(1474),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [sym_primitive_type] = ACTIONS(3146),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [2430] = {
    [sym__expression] = STATE(5891),
    [sym__expression_not_binary] = STATE(5024),
    [sym__string] = STATE(5024),
    [sym_conditional_expression] = STATE(5024),
    [sym_assignment_expression] = STATE(5024),
    [sym_pointer_expression] = STATE(4507),
    [sym_unary_expression] = STATE(5024),
    [sym_binary_expression] = STATE(5024),
    [sym_update_expression] = STATE(5024),
    [sym_cast_expression] = STATE(5024),
    [sym_sizeof_expression] = STATE(5024),
    [sym_alignof_expression] = STATE(5024),
    [sym_offsetof_expression] = STATE(5024),
    [sym_generic_expression] = STATE(5024),
    [sym_subscript_expression] = STATE(4507),
    [sym_call_expression] = STATE(4507),
    [sym_gnu_asm_expression] = STATE(5024),
    [sym_field_expression] = STATE(4507),
    [sym_compound_literal_expression] = STATE(5024),
    [sym_parenthesized_expression] = STATE(4507),
    [sym_char_literal] = STATE(5374),
    [sym_concatenated_string] = STATE(5377),
    [sym_string_literal] = STATE(4206),
    [sym_null] = STATE(5024),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9352),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(5024),
    [sym_raw_string_literal] = STATE(4217),
    [sym_co_await_expression] = STATE(5024),
    [sym_new_expression] = STATE(5024),
    [sym_delete_expression] = STATE(5024),
    [sym_requires_clause] = STATE(5024),
    [sym_requires_expression] = STATE(5024),
    [sym_lambda_expression] = STATE(5024),
    [sym_lambda_capture_specifier] = STATE(7184),
    [sym_fold_expression] = STATE(5024),
    [sym_parameter_pack_expansion] = STATE(5024),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6886),
    [sym_qualified_identifier] = STATE(4507),
    [sym_qualified_type_identifier] = STATE(9352),
    [sym_user_defined_literal] = STATE(4507),
    [sym_identifier] = ACTIONS(3140),
    [anon_sym_LPAREN2] = ACTIONS(1472),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1474),
    [anon_sym_AMP] = ACTIONS(1474),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [sym_primitive_type] = ACTIONS(3146),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [2431] = {
    [sym__expression] = STATE(5894),
    [sym__expression_not_binary] = STATE(5024),
    [sym__string] = STATE(5024),
    [sym_conditional_expression] = STATE(5024),
    [sym_assignment_expression] = STATE(5024),
    [sym_pointer_expression] = STATE(4737),
    [sym_unary_expression] = STATE(5024),
    [sym_binary_expression] = STATE(5024),
    [sym_update_expression] = STATE(5024),
    [sym_cast_expression] = STATE(5024),
    [sym_sizeof_expression] = STATE(5024),
    [sym_alignof_expression] = STATE(5024),
    [sym_offsetof_expression] = STATE(5024),
    [sym_generic_expression] = STATE(5024),
    [sym_subscript_expression] = STATE(4737),
    [sym_call_expression] = STATE(4737),
    [sym_gnu_asm_expression] = STATE(5024),
    [sym_field_expression] = STATE(4737),
    [sym_compound_literal_expression] = STATE(5024),
    [sym_parenthesized_expression] = STATE(4737),
    [sym_char_literal] = STATE(5374),
    [sym_concatenated_string] = STATE(5377),
    [sym_string_literal] = STATE(4206),
    [sym_null] = STATE(5024),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9352),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(5024),
    [sym_raw_string_literal] = STATE(4217),
    [sym_co_await_expression] = STATE(5024),
    [sym_new_expression] = STATE(5024),
    [sym_delete_expression] = STATE(5024),
    [sym_requires_clause] = STATE(5024),
    [sym_requires_expression] = STATE(5024),
    [sym_lambda_expression] = STATE(5024),
    [sym_lambda_capture_specifier] = STATE(7184),
    [sym_fold_expression] = STATE(5024),
    [sym_parameter_pack_expansion] = STATE(5024),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6886),
    [sym_qualified_identifier] = STATE(4737),
    [sym_qualified_type_identifier] = STATE(9352),
    [sym_user_defined_literal] = STATE(4737),
    [sym_identifier] = ACTIONS(4502),
    [anon_sym_LPAREN2] = ACTIONS(4540),
    [anon_sym_BANG] = ACTIONS(4506),
    [anon_sym_TILDE] = ACTIONS(4506),
    [anon_sym_DASH] = ACTIONS(4504),
    [anon_sym_PLUS] = ACTIONS(4504),
    [anon_sym_STAR] = ACTIONS(1474),
    [anon_sym_AMP] = ACTIONS(1474),
    [anon_sym_COLON_COLON] = ACTIONS(4508),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [sym_primitive_type] = ACTIONS(3146),
    [anon_sym_not] = ACTIONS(4504),
    [anon_sym_compl] = ACTIONS(4504),
    [anon_sym_DASH_DASH] = ACTIONS(4544),
    [anon_sym_PLUS_PLUS] = ACTIONS(4544),
    [anon_sym_sizeof] = ACTIONS(4510),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(4512),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(4514),
    [anon_sym_new] = ACTIONS(4516),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [2432] = {
    [sym__expression] = STATE(5619),
    [sym__expression_not_binary] = STATE(5024),
    [sym__string] = STATE(5024),
    [sym_conditional_expression] = STATE(5024),
    [sym_assignment_expression] = STATE(5024),
    [sym_pointer_expression] = STATE(4737),
    [sym_unary_expression] = STATE(5024),
    [sym_binary_expression] = STATE(5024),
    [sym_update_expression] = STATE(5024),
    [sym_cast_expression] = STATE(5024),
    [sym_sizeof_expression] = STATE(5024),
    [sym_alignof_expression] = STATE(5024),
    [sym_offsetof_expression] = STATE(5024),
    [sym_generic_expression] = STATE(5024),
    [sym_subscript_expression] = STATE(4737),
    [sym_call_expression] = STATE(4737),
    [sym_gnu_asm_expression] = STATE(5024),
    [sym_field_expression] = STATE(4737),
    [sym_compound_literal_expression] = STATE(5024),
    [sym_parenthesized_expression] = STATE(4737),
    [sym_char_literal] = STATE(5374),
    [sym_concatenated_string] = STATE(5377),
    [sym_string_literal] = STATE(4206),
    [sym_null] = STATE(5024),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9352),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(5024),
    [sym_raw_string_literal] = STATE(4217),
    [sym_co_await_expression] = STATE(5024),
    [sym_new_expression] = STATE(5024),
    [sym_delete_expression] = STATE(5024),
    [sym_requires_clause] = STATE(5024),
    [sym_requires_expression] = STATE(5024),
    [sym_lambda_expression] = STATE(5024),
    [sym_lambda_capture_specifier] = STATE(7184),
    [sym_fold_expression] = STATE(5024),
    [sym_parameter_pack_expansion] = STATE(5024),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6886),
    [sym_qualified_identifier] = STATE(4737),
    [sym_qualified_type_identifier] = STATE(9352),
    [sym_user_defined_literal] = STATE(4737),
    [sym_identifier] = ACTIONS(4502),
    [anon_sym_LPAREN2] = ACTIONS(4540),
    [anon_sym_BANG] = ACTIONS(4506),
    [anon_sym_TILDE] = ACTIONS(4506),
    [anon_sym_DASH] = ACTIONS(4504),
    [anon_sym_PLUS] = ACTIONS(4504),
    [anon_sym_STAR] = ACTIONS(1474),
    [anon_sym_AMP] = ACTIONS(1474),
    [anon_sym_COLON_COLON] = ACTIONS(4508),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [sym_primitive_type] = ACTIONS(3146),
    [anon_sym_not] = ACTIONS(4504),
    [anon_sym_compl] = ACTIONS(4504),
    [anon_sym_DASH_DASH] = ACTIONS(4544),
    [anon_sym_PLUS_PLUS] = ACTIONS(4544),
    [anon_sym_sizeof] = ACTIONS(4510),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(4512),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(4514),
    [anon_sym_new] = ACTIONS(4516),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [2433] = {
    [sym__expression] = STATE(5855),
    [sym__expression_not_binary] = STATE(5024),
    [sym__string] = STATE(5024),
    [sym_conditional_expression] = STATE(5024),
    [sym_assignment_expression] = STATE(5024),
    [sym_pointer_expression] = STATE(4507),
    [sym_unary_expression] = STATE(5024),
    [sym_binary_expression] = STATE(5024),
    [sym_update_expression] = STATE(5024),
    [sym_cast_expression] = STATE(5024),
    [sym_sizeof_expression] = STATE(5024),
    [sym_alignof_expression] = STATE(5024),
    [sym_offsetof_expression] = STATE(5024),
    [sym_generic_expression] = STATE(5024),
    [sym_subscript_expression] = STATE(4507),
    [sym_call_expression] = STATE(4507),
    [sym_gnu_asm_expression] = STATE(5024),
    [sym_field_expression] = STATE(4507),
    [sym_compound_literal_expression] = STATE(5024),
    [sym_parenthesized_expression] = STATE(4507),
    [sym_char_literal] = STATE(5374),
    [sym_concatenated_string] = STATE(5377),
    [sym_string_literal] = STATE(4206),
    [sym_null] = STATE(5024),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9352),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(5024),
    [sym_raw_string_literal] = STATE(4217),
    [sym_co_await_expression] = STATE(5024),
    [sym_new_expression] = STATE(5024),
    [sym_delete_expression] = STATE(5024),
    [sym_requires_clause] = STATE(5024),
    [sym_requires_expression] = STATE(5024),
    [sym_lambda_expression] = STATE(5024),
    [sym_lambda_capture_specifier] = STATE(7184),
    [sym_fold_expression] = STATE(5024),
    [sym_parameter_pack_expansion] = STATE(5024),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6886),
    [sym_qualified_identifier] = STATE(4507),
    [sym_qualified_type_identifier] = STATE(9352),
    [sym_user_defined_literal] = STATE(4507),
    [sym_identifier] = ACTIONS(3140),
    [anon_sym_LPAREN2] = ACTIONS(1472),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1474),
    [anon_sym_AMP] = ACTIONS(1474),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [sym_primitive_type] = ACTIONS(3146),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [2434] = {
    [sym__expression] = STATE(5897),
    [sym__expression_not_binary] = STATE(5024),
    [sym__string] = STATE(5024),
    [sym_conditional_expression] = STATE(5024),
    [sym_assignment_expression] = STATE(5024),
    [sym_pointer_expression] = STATE(4507),
    [sym_unary_expression] = STATE(5024),
    [sym_binary_expression] = STATE(5024),
    [sym_update_expression] = STATE(5024),
    [sym_cast_expression] = STATE(5024),
    [sym_sizeof_expression] = STATE(5024),
    [sym_alignof_expression] = STATE(5024),
    [sym_offsetof_expression] = STATE(5024),
    [sym_generic_expression] = STATE(5024),
    [sym_subscript_expression] = STATE(4507),
    [sym_call_expression] = STATE(4507),
    [sym_gnu_asm_expression] = STATE(5024),
    [sym_field_expression] = STATE(4507),
    [sym_compound_literal_expression] = STATE(5024),
    [sym_parenthesized_expression] = STATE(4507),
    [sym_char_literal] = STATE(5374),
    [sym_concatenated_string] = STATE(5377),
    [sym_string_literal] = STATE(4206),
    [sym_null] = STATE(5024),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9352),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(5024),
    [sym_raw_string_literal] = STATE(4217),
    [sym_co_await_expression] = STATE(5024),
    [sym_new_expression] = STATE(5024),
    [sym_delete_expression] = STATE(5024),
    [sym_requires_clause] = STATE(5024),
    [sym_requires_expression] = STATE(5024),
    [sym_lambda_expression] = STATE(5024),
    [sym_lambda_capture_specifier] = STATE(7184),
    [sym_fold_expression] = STATE(5024),
    [sym_parameter_pack_expansion] = STATE(5024),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6886),
    [sym_qualified_identifier] = STATE(4507),
    [sym_qualified_type_identifier] = STATE(9352),
    [sym_user_defined_literal] = STATE(4507),
    [sym_identifier] = ACTIONS(3140),
    [anon_sym_LPAREN2] = ACTIONS(1472),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1474),
    [anon_sym_AMP] = ACTIONS(1474),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [sym_primitive_type] = ACTIONS(3146),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [2435] = {
    [sym_identifier] = ACTIONS(2254),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4575),
    [anon_sym_COMMA] = ACTIONS(4575),
    [anon_sym_RPAREN] = ACTIONS(4575),
    [anon_sym_LPAREN2] = ACTIONS(4575),
    [anon_sym_TILDE] = ACTIONS(2256),
    [anon_sym_DASH] = ACTIONS(4578),
    [anon_sym_PLUS] = ACTIONS(4578),
    [anon_sym_STAR] = ACTIONS(4575),
    [anon_sym_SLASH] = ACTIONS(4578),
    [anon_sym_PERCENT] = ACTIONS(4573),
    [anon_sym_PIPE_PIPE] = ACTIONS(4573),
    [anon_sym_AMP_AMP] = ACTIONS(4575),
    [anon_sym_PIPE] = ACTIONS(4578),
    [anon_sym_CARET] = ACTIONS(4573),
    [anon_sym_AMP] = ACTIONS(4580),
    [anon_sym_EQ_EQ] = ACTIONS(4573),
    [anon_sym_BANG_EQ] = ACTIONS(4573),
    [anon_sym_GT] = ACTIONS(4578),
    [anon_sym_GT_EQ] = ACTIONS(4573),
    [anon_sym_LT_EQ] = ACTIONS(4578),
    [anon_sym_LT] = ACTIONS(4578),
    [anon_sym_LT_LT] = ACTIONS(4573),
    [anon_sym_GT_GT] = ACTIONS(4573),
    [anon_sym_COLON] = ACTIONS(2254),
    [anon_sym___extension__] = ACTIONS(2254),
    [anon_sym_in] = ACTIONS(2254),
    [anon_sym_out] = ACTIONS(2254),
    [anon_sym_inout] = ACTIONS(2254),
    [anon_sym_extern] = ACTIONS(2254),
    [anon_sym___attribute__] = ACTIONS(2254),
    [anon_sym_COLON_COLON] = ACTIONS(2256),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2256),
    [anon_sym___declspec] = ACTIONS(2254),
    [anon_sym___based] = ACTIONS(2254),
    [anon_sym_LBRACE] = ACTIONS(2256),
    [anon_sym_LBRACK] = ACTIONS(4580),
    [anon_sym_EQ] = ACTIONS(2254),
    [anon_sym_static] = ACTIONS(2254),
    [anon_sym_register] = ACTIONS(2254),
    [anon_sym_inline] = ACTIONS(2254),
    [anon_sym___inline] = ACTIONS(2254),
    [anon_sym___inline__] = ACTIONS(2254),
    [anon_sym___forceinline] = ACTIONS(2254),
    [anon_sym_thread_local] = ACTIONS(2254),
    [anon_sym___thread] = ACTIONS(2254),
    [anon_sym_const] = ACTIONS(2254),
    [anon_sym_constexpr] = ACTIONS(2254),
    [anon_sym_volatile] = ACTIONS(2254),
    [anon_sym_restrict] = ACTIONS(2254),
    [anon_sym___restrict__] = ACTIONS(2254),
    [anon_sym__Atomic] = ACTIONS(2254),
    [anon_sym__Noreturn] = ACTIONS(2254),
    [anon_sym_noreturn] = ACTIONS(2254),
    [anon_sym_mutable] = ACTIONS(2254),
    [anon_sym_constinit] = ACTIONS(2254),
    [anon_sym_consteval] = ACTIONS(2254),
    [anon_sym_QMARK] = ACTIONS(4573),
    [anon_sym_LT_EQ_GT] = ACTIONS(4573),
    [anon_sym_or] = ACTIONS(4578),
    [anon_sym_and] = ACTIONS(4578),
    [anon_sym_bitor] = ACTIONS(4578),
    [anon_sym_xor] = ACTIONS(4578),
    [anon_sym_bitand] = ACTIONS(4578),
    [anon_sym_not_eq] = ACTIONS(4578),
    [anon_sym_DASH_DASH] = ACTIONS(4573),
    [anon_sym_PLUS_PLUS] = ACTIONS(4573),
    [anon_sym_DOT] = ACTIONS(4578),
    [anon_sym_DOT_STAR] = ACTIONS(4573),
    [anon_sym_DASH_GT] = ACTIONS(4573),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2254),
    [anon_sym_decltype] = ACTIONS(2254),
    [anon_sym_virtual] = ACTIONS(2254),
    [anon_sym_alignas] = ACTIONS(2254),
    [anon_sym_template] = ACTIONS(2254),
    [anon_sym_operator] = ACTIONS(2254),
    [anon_sym_precise] = ACTIONS(2254),
    [anon_sym_shared] = ACTIONS(2254),
    [anon_sym_groupshared] = ACTIONS(2254),
    [anon_sym_uniform] = ACTIONS(2254),
    [anon_sym_row_major] = ACTIONS(2254),
    [anon_sym_column_major] = ACTIONS(2254),
    [anon_sym_globallycoherent] = ACTIONS(2254),
    [anon_sym_centroid] = ACTIONS(2254),
    [anon_sym_noperspective] = ACTIONS(2254),
    [anon_sym_nointerpolation] = ACTIONS(2254),
    [anon_sym_sample] = ACTIONS(2254),
    [anon_sym_linear] = ACTIONS(2254),
    [anon_sym_snorm] = ACTIONS(2254),
    [anon_sym_unorm] = ACTIONS(2254),
    [anon_sym_point] = ACTIONS(2254),
    [anon_sym_line] = ACTIONS(2254),
    [anon_sym_triangleadj] = ACTIONS(2254),
    [anon_sym_lineadj] = ACTIONS(2254),
    [anon_sym_triangle] = ACTIONS(2254),
  },
  [2436] = {
    [sym__expression] = STATE(5456),
    [sym__expression_not_binary] = STATE(5024),
    [sym__string] = STATE(5024),
    [sym_conditional_expression] = STATE(5024),
    [sym_assignment_expression] = STATE(5024),
    [sym_pointer_expression] = STATE(4507),
    [sym_unary_expression] = STATE(5024),
    [sym_binary_expression] = STATE(5024),
    [sym_update_expression] = STATE(5024),
    [sym_cast_expression] = STATE(5024),
    [sym_sizeof_expression] = STATE(5024),
    [sym_alignof_expression] = STATE(5024),
    [sym_offsetof_expression] = STATE(5024),
    [sym_generic_expression] = STATE(5024),
    [sym_subscript_expression] = STATE(4507),
    [sym_call_expression] = STATE(4507),
    [sym_gnu_asm_expression] = STATE(5024),
    [sym_field_expression] = STATE(4507),
    [sym_compound_literal_expression] = STATE(5024),
    [sym_parenthesized_expression] = STATE(4507),
    [sym_char_literal] = STATE(5374),
    [sym_concatenated_string] = STATE(5377),
    [sym_string_literal] = STATE(4206),
    [sym_null] = STATE(5024),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9352),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(5024),
    [sym_raw_string_literal] = STATE(4217),
    [sym_co_await_expression] = STATE(5024),
    [sym_new_expression] = STATE(5024),
    [sym_delete_expression] = STATE(5024),
    [sym_requires_clause] = STATE(5024),
    [sym_requires_expression] = STATE(5024),
    [sym_lambda_expression] = STATE(5024),
    [sym_lambda_capture_specifier] = STATE(7184),
    [sym_fold_expression] = STATE(5024),
    [sym_parameter_pack_expansion] = STATE(5024),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6886),
    [sym_qualified_identifier] = STATE(4507),
    [sym_qualified_type_identifier] = STATE(9352),
    [sym_user_defined_literal] = STATE(4507),
    [sym_identifier] = ACTIONS(3140),
    [anon_sym_LPAREN2] = ACTIONS(1472),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1474),
    [anon_sym_AMP] = ACTIONS(1474),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [sym_primitive_type] = ACTIONS(3146),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [2437] = {
    [sym__expression] = STATE(4769),
    [sym__expression_not_binary] = STATE(4939),
    [sym__string] = STATE(4939),
    [sym_conditional_expression] = STATE(4939),
    [sym_assignment_expression] = STATE(4939),
    [sym_pointer_expression] = STATE(4521),
    [sym_unary_expression] = STATE(4939),
    [sym_binary_expression] = STATE(4939),
    [sym_update_expression] = STATE(4939),
    [sym_cast_expression] = STATE(4939),
    [sym_sizeof_expression] = STATE(4939),
    [sym_alignof_expression] = STATE(4939),
    [sym_offsetof_expression] = STATE(4939),
    [sym_generic_expression] = STATE(4939),
    [sym_subscript_expression] = STATE(4521),
    [sym_call_expression] = STATE(4521),
    [sym_gnu_asm_expression] = STATE(4939),
    [sym_field_expression] = STATE(4521),
    [sym_compound_literal_expression] = STATE(4939),
    [sym_parenthesized_expression] = STATE(4521),
    [sym_char_literal] = STATE(4856),
    [sym_concatenated_string] = STATE(4876),
    [sym_string_literal] = STATE(3630),
    [sym_null] = STATE(4939),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9415),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(4939),
    [sym_raw_string_literal] = STATE(3632),
    [sym_co_await_expression] = STATE(4939),
    [sym_new_expression] = STATE(4939),
    [sym_delete_expression] = STATE(4939),
    [sym_requires_clause] = STATE(4939),
    [sym_requires_expression] = STATE(4939),
    [sym_lambda_expression] = STATE(4939),
    [sym_lambda_capture_specifier] = STATE(7190),
    [sym_fold_expression] = STATE(4939),
    [sym_parameter_pack_expansion] = STATE(4939),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6899),
    [sym_qualified_identifier] = STATE(4521),
    [sym_qualified_type_identifier] = STATE(9415),
    [sym_user_defined_literal] = STATE(4521),
    [sym_identifier] = ACTIONS(4178),
    [anon_sym_LPAREN2] = ACTIONS(2110),
    [anon_sym_BANG] = ACTIONS(2112),
    [anon_sym_TILDE] = ACTIONS(2112),
    [anon_sym_DASH] = ACTIONS(2114),
    [anon_sym_PLUS] = ACTIONS(2114),
    [anon_sym_STAR] = ACTIONS(2116),
    [anon_sym_AMP] = ACTIONS(2116),
    [anon_sym_COLON_COLON] = ACTIONS(2120),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [sym_primitive_type] = ACTIONS(4182),
    [anon_sym_not] = ACTIONS(2114),
    [anon_sym_compl] = ACTIONS(2114),
    [anon_sym_DASH_DASH] = ACTIONS(2132),
    [anon_sym_PLUS_PLUS] = ACTIONS(2132),
    [anon_sym_sizeof] = ACTIONS(2134),
    [anon_sym___alignof__] = ACTIONS(2136),
    [anon_sym___alignof] = ACTIONS(2136),
    [anon_sym__alignof] = ACTIONS(2136),
    [anon_sym_alignof] = ACTIONS(2136),
    [anon_sym__Alignof] = ACTIONS(2136),
    [anon_sym_offsetof] = ACTIONS(2138),
    [anon_sym__Generic] = ACTIONS(2140),
    [anon_sym_asm] = ACTIONS(2142),
    [anon_sym___asm__] = ACTIONS(2142),
    [sym_number_literal] = ACTIONS(2144),
    [anon_sym_L_SQUOTE] = ACTIONS(2146),
    [anon_sym_u_SQUOTE] = ACTIONS(2146),
    [anon_sym_U_SQUOTE] = ACTIONS(2146),
    [anon_sym_u8_SQUOTE] = ACTIONS(2146),
    [anon_sym_SQUOTE] = ACTIONS(2146),
    [anon_sym_L_DQUOTE] = ACTIONS(2148),
    [anon_sym_u_DQUOTE] = ACTIONS(2148),
    [anon_sym_U_DQUOTE] = ACTIONS(2148),
    [anon_sym_u8_DQUOTE] = ACTIONS(2148),
    [anon_sym_DQUOTE] = ACTIONS(2148),
    [sym_true] = ACTIONS(2150),
    [sym_false] = ACTIONS(2150),
    [anon_sym_NULL] = ACTIONS(2152),
    [anon_sym_nullptr] = ACTIONS(2152),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(2156),
    [anon_sym_R_DQUOTE] = ACTIONS(2158),
    [anon_sym_LR_DQUOTE] = ACTIONS(2158),
    [anon_sym_uR_DQUOTE] = ACTIONS(2158),
    [anon_sym_UR_DQUOTE] = ACTIONS(2158),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2158),
    [anon_sym_co_await] = ACTIONS(2160),
    [anon_sym_new] = ACTIONS(2162),
    [anon_sym_requires] = ACTIONS(2164),
    [sym_this] = ACTIONS(2150),
  },
  [2438] = {
    [sym__expression] = STATE(3526),
    [sym__expression_not_binary] = STATE(3672),
    [sym__string] = STATE(3672),
    [sym_conditional_expression] = STATE(3672),
    [sym_assignment_expression] = STATE(3672),
    [sym_pointer_expression] = STATE(3672),
    [sym_unary_expression] = STATE(3672),
    [sym_binary_expression] = STATE(3672),
    [sym_update_expression] = STATE(3672),
    [sym_cast_expression] = STATE(3672),
    [sym_sizeof_expression] = STATE(3672),
    [sym_alignof_expression] = STATE(3672),
    [sym_offsetof_expression] = STATE(3672),
    [sym_generic_expression] = STATE(3672),
    [sym_subscript_expression] = STATE(3672),
    [sym_call_expression] = STATE(3672),
    [sym_gnu_asm_expression] = STATE(3672),
    [sym_field_expression] = STATE(3672),
    [sym_compound_literal_expression] = STATE(3672),
    [sym_parenthesized_expression] = STATE(3672),
    [sym_char_literal] = STATE(4466),
    [sym_concatenated_string] = STATE(4465),
    [sym_string_literal] = STATE(3395),
    [sym_null] = STATE(3672),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9333),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(3672),
    [sym_raw_string_literal] = STATE(3400),
    [sym_co_await_expression] = STATE(3672),
    [sym_new_expression] = STATE(3672),
    [sym_delete_expression] = STATE(3672),
    [sym_requires_clause] = STATE(3672),
    [sym_requires_expression] = STATE(3672),
    [sym_lambda_expression] = STATE(3672),
    [sym_lambda_capture_specifier] = STATE(7134),
    [sym_fold_expression] = STATE(3672),
    [sym_parameter_pack_expansion] = STATE(3672),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6886),
    [sym_qualified_identifier] = STATE(3672),
    [sym_qualified_type_identifier] = STATE(9333),
    [sym_user_defined_literal] = STATE(3672),
    [sym_identifier] = ACTIONS(4070),
    [anon_sym_LPAREN2] = ACTIONS(5257),
    [anon_sym_BANG] = ACTIONS(4074),
    [anon_sym_TILDE] = ACTIONS(4074),
    [anon_sym_DASH] = ACTIONS(4072),
    [anon_sym_PLUS] = ACTIONS(4072),
    [anon_sym_STAR] = ACTIONS(5017),
    [anon_sym_AMP] = ACTIONS(5017),
    [anon_sym_COLON_COLON] = ACTIONS(4076),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [sym_primitive_type] = ACTIONS(3928),
    [anon_sym_not] = ACTIONS(4072),
    [anon_sym_compl] = ACTIONS(4072),
    [anon_sym_DASH_DASH] = ACTIONS(5043),
    [anon_sym_PLUS_PLUS] = ACTIONS(5043),
    [anon_sym_sizeof] = ACTIONS(4078),
    [anon_sym___alignof__] = ACTIONS(3932),
    [anon_sym___alignof] = ACTIONS(3932),
    [anon_sym__alignof] = ACTIONS(3932),
    [anon_sym_alignof] = ACTIONS(3932),
    [anon_sym__Alignof] = ACTIONS(3932),
    [anon_sym_offsetof] = ACTIONS(3934),
    [anon_sym__Generic] = ACTIONS(3936),
    [anon_sym_asm] = ACTIONS(3938),
    [anon_sym___asm__] = ACTIONS(3938),
    [sym_number_literal] = ACTIONS(4080),
    [anon_sym_L_SQUOTE] = ACTIONS(4082),
    [anon_sym_u_SQUOTE] = ACTIONS(4082),
    [anon_sym_U_SQUOTE] = ACTIONS(4082),
    [anon_sym_u8_SQUOTE] = ACTIONS(4082),
    [anon_sym_SQUOTE] = ACTIONS(4082),
    [anon_sym_L_DQUOTE] = ACTIONS(4084),
    [anon_sym_u_DQUOTE] = ACTIONS(4084),
    [anon_sym_U_DQUOTE] = ACTIONS(4084),
    [anon_sym_u8_DQUOTE] = ACTIONS(4084),
    [anon_sym_DQUOTE] = ACTIONS(4084),
    [sym_true] = ACTIONS(3946),
    [sym_false] = ACTIONS(3946),
    [anon_sym_NULL] = ACTIONS(3948),
    [anon_sym_nullptr] = ACTIONS(3948),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(4086),
    [anon_sym_R_DQUOTE] = ACTIONS(4088),
    [anon_sym_LR_DQUOTE] = ACTIONS(4088),
    [anon_sym_uR_DQUOTE] = ACTIONS(4088),
    [anon_sym_UR_DQUOTE] = ACTIONS(4088),
    [anon_sym_u8R_DQUOTE] = ACTIONS(4088),
    [anon_sym_co_await] = ACTIONS(4090),
    [anon_sym_new] = ACTIONS(3990),
    [anon_sym_requires] = ACTIONS(3958),
    [sym_this] = ACTIONS(3946),
  },
  [2439] = {
    [sym__expression] = STATE(5831),
    [sym__expression_not_binary] = STATE(5024),
    [sym__string] = STATE(5024),
    [sym_conditional_expression] = STATE(5024),
    [sym_assignment_expression] = STATE(5024),
    [sym_pointer_expression] = STATE(4507),
    [sym_unary_expression] = STATE(5024),
    [sym_binary_expression] = STATE(5024),
    [sym_update_expression] = STATE(5024),
    [sym_cast_expression] = STATE(5024),
    [sym_sizeof_expression] = STATE(5024),
    [sym_alignof_expression] = STATE(5024),
    [sym_offsetof_expression] = STATE(5024),
    [sym_generic_expression] = STATE(5024),
    [sym_subscript_expression] = STATE(4507),
    [sym_call_expression] = STATE(4507),
    [sym_gnu_asm_expression] = STATE(5024),
    [sym_field_expression] = STATE(4507),
    [sym_compound_literal_expression] = STATE(5024),
    [sym_parenthesized_expression] = STATE(4507),
    [sym_char_literal] = STATE(5374),
    [sym_concatenated_string] = STATE(5377),
    [sym_string_literal] = STATE(4206),
    [sym_null] = STATE(5024),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9352),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(5024),
    [sym_raw_string_literal] = STATE(4217),
    [sym_co_await_expression] = STATE(5024),
    [sym_new_expression] = STATE(5024),
    [sym_delete_expression] = STATE(5024),
    [sym_requires_clause] = STATE(5024),
    [sym_requires_expression] = STATE(5024),
    [sym_lambda_expression] = STATE(5024),
    [sym_lambda_capture_specifier] = STATE(7184),
    [sym_fold_expression] = STATE(5024),
    [sym_parameter_pack_expansion] = STATE(5024),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6886),
    [sym_qualified_identifier] = STATE(4507),
    [sym_qualified_type_identifier] = STATE(9352),
    [sym_user_defined_literal] = STATE(4507),
    [sym_identifier] = ACTIONS(3140),
    [anon_sym_LPAREN2] = ACTIONS(1472),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1474),
    [anon_sym_AMP] = ACTIONS(1474),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [sym_primitive_type] = ACTIONS(3146),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [2440] = {
    [sym__expression] = STATE(5652),
    [sym__expression_not_binary] = STATE(5024),
    [sym__string] = STATE(5024),
    [sym_conditional_expression] = STATE(5024),
    [sym_assignment_expression] = STATE(5024),
    [sym_pointer_expression] = STATE(4507),
    [sym_unary_expression] = STATE(5024),
    [sym_binary_expression] = STATE(5024),
    [sym_update_expression] = STATE(5024),
    [sym_cast_expression] = STATE(5024),
    [sym_sizeof_expression] = STATE(5024),
    [sym_alignof_expression] = STATE(5024),
    [sym_offsetof_expression] = STATE(5024),
    [sym_generic_expression] = STATE(5024),
    [sym_subscript_expression] = STATE(4507),
    [sym_call_expression] = STATE(4507),
    [sym_gnu_asm_expression] = STATE(5024),
    [sym_field_expression] = STATE(4507),
    [sym_compound_literal_expression] = STATE(5024),
    [sym_parenthesized_expression] = STATE(4507),
    [sym_char_literal] = STATE(5374),
    [sym_concatenated_string] = STATE(5377),
    [sym_string_literal] = STATE(4206),
    [sym_null] = STATE(5024),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9352),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(5024),
    [sym_raw_string_literal] = STATE(4217),
    [sym_co_await_expression] = STATE(5024),
    [sym_new_expression] = STATE(5024),
    [sym_delete_expression] = STATE(5024),
    [sym_requires_clause] = STATE(5024),
    [sym_requires_expression] = STATE(5024),
    [sym_lambda_expression] = STATE(5024),
    [sym_lambda_capture_specifier] = STATE(7184),
    [sym_fold_expression] = STATE(5024),
    [sym_parameter_pack_expansion] = STATE(5024),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6886),
    [sym_qualified_identifier] = STATE(4507),
    [sym_qualified_type_identifier] = STATE(9352),
    [sym_user_defined_literal] = STATE(4507),
    [sym_identifier] = ACTIONS(3140),
    [anon_sym_LPAREN2] = ACTIONS(1472),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1474),
    [anon_sym_AMP] = ACTIONS(1474),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [sym_primitive_type] = ACTIONS(3146),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [2441] = {
    [sym__expression] = STATE(5494),
    [sym__expression_not_binary] = STATE(5024),
    [sym__string] = STATE(5024),
    [sym_conditional_expression] = STATE(5024),
    [sym_assignment_expression] = STATE(5024),
    [sym_pointer_expression] = STATE(4507),
    [sym_unary_expression] = STATE(5024),
    [sym_binary_expression] = STATE(5024),
    [sym_update_expression] = STATE(5024),
    [sym_cast_expression] = STATE(5024),
    [sym_sizeof_expression] = STATE(5024),
    [sym_alignof_expression] = STATE(5024),
    [sym_offsetof_expression] = STATE(5024),
    [sym_generic_expression] = STATE(5024),
    [sym_subscript_expression] = STATE(4507),
    [sym_call_expression] = STATE(4507),
    [sym_gnu_asm_expression] = STATE(5024),
    [sym_field_expression] = STATE(4507),
    [sym_compound_literal_expression] = STATE(5024),
    [sym_parenthesized_expression] = STATE(4507),
    [sym_char_literal] = STATE(5374),
    [sym_concatenated_string] = STATE(5377),
    [sym_string_literal] = STATE(4206),
    [sym_null] = STATE(5024),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9352),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(5024),
    [sym_raw_string_literal] = STATE(4217),
    [sym_co_await_expression] = STATE(5024),
    [sym_new_expression] = STATE(5024),
    [sym_delete_expression] = STATE(5024),
    [sym_requires_clause] = STATE(5024),
    [sym_requires_expression] = STATE(5024),
    [sym_lambda_expression] = STATE(5024),
    [sym_lambda_capture_specifier] = STATE(7184),
    [sym_fold_expression] = STATE(5024),
    [sym_parameter_pack_expansion] = STATE(5024),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6886),
    [sym_qualified_identifier] = STATE(4507),
    [sym_qualified_type_identifier] = STATE(9352),
    [sym_user_defined_literal] = STATE(4507),
    [sym_identifier] = ACTIONS(3140),
    [anon_sym_LPAREN2] = ACTIONS(1472),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1474),
    [anon_sym_AMP] = ACTIONS(1474),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [sym_primitive_type] = ACTIONS(3146),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [2442] = {
    [sym__expression] = STATE(5875),
    [sym__expression_not_binary] = STATE(5024),
    [sym__string] = STATE(5024),
    [sym_conditional_expression] = STATE(5024),
    [sym_assignment_expression] = STATE(5024),
    [sym_pointer_expression] = STATE(4507),
    [sym_unary_expression] = STATE(5024),
    [sym_binary_expression] = STATE(5024),
    [sym_update_expression] = STATE(5024),
    [sym_cast_expression] = STATE(5024),
    [sym_sizeof_expression] = STATE(5024),
    [sym_alignof_expression] = STATE(5024),
    [sym_offsetof_expression] = STATE(5024),
    [sym_generic_expression] = STATE(5024),
    [sym_subscript_expression] = STATE(4507),
    [sym_call_expression] = STATE(4507),
    [sym_gnu_asm_expression] = STATE(5024),
    [sym_field_expression] = STATE(4507),
    [sym_compound_literal_expression] = STATE(5024),
    [sym_parenthesized_expression] = STATE(4507),
    [sym_char_literal] = STATE(5374),
    [sym_concatenated_string] = STATE(5377),
    [sym_string_literal] = STATE(4206),
    [sym_null] = STATE(5024),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9352),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(5024),
    [sym_raw_string_literal] = STATE(4217),
    [sym_co_await_expression] = STATE(5024),
    [sym_new_expression] = STATE(5024),
    [sym_delete_expression] = STATE(5024),
    [sym_requires_clause] = STATE(5024),
    [sym_requires_expression] = STATE(5024),
    [sym_lambda_expression] = STATE(5024),
    [sym_lambda_capture_specifier] = STATE(7184),
    [sym_fold_expression] = STATE(5024),
    [sym_parameter_pack_expansion] = STATE(5024),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6886),
    [sym_qualified_identifier] = STATE(4507),
    [sym_qualified_type_identifier] = STATE(9352),
    [sym_user_defined_literal] = STATE(4507),
    [sym_identifier] = ACTIONS(3140),
    [anon_sym_LPAREN2] = ACTIONS(1472),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1474),
    [anon_sym_AMP] = ACTIONS(1474),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [sym_primitive_type] = ACTIONS(3146),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [2443] = {
    [sym__expression] = STATE(5890),
    [sym__expression_not_binary] = STATE(5024),
    [sym__string] = STATE(5024),
    [sym_conditional_expression] = STATE(5024),
    [sym_assignment_expression] = STATE(5024),
    [sym_pointer_expression] = STATE(4737),
    [sym_unary_expression] = STATE(5024),
    [sym_binary_expression] = STATE(5024),
    [sym_update_expression] = STATE(5024),
    [sym_cast_expression] = STATE(5024),
    [sym_sizeof_expression] = STATE(5024),
    [sym_alignof_expression] = STATE(5024),
    [sym_offsetof_expression] = STATE(5024),
    [sym_generic_expression] = STATE(5024),
    [sym_subscript_expression] = STATE(4737),
    [sym_call_expression] = STATE(4737),
    [sym_gnu_asm_expression] = STATE(5024),
    [sym_field_expression] = STATE(4737),
    [sym_compound_literal_expression] = STATE(5024),
    [sym_parenthesized_expression] = STATE(4737),
    [sym_char_literal] = STATE(5374),
    [sym_concatenated_string] = STATE(5377),
    [sym_string_literal] = STATE(4206),
    [sym_null] = STATE(5024),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9352),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(5024),
    [sym_raw_string_literal] = STATE(4217),
    [sym_co_await_expression] = STATE(5024),
    [sym_new_expression] = STATE(5024),
    [sym_delete_expression] = STATE(5024),
    [sym_requires_clause] = STATE(5024),
    [sym_requires_expression] = STATE(5024),
    [sym_lambda_expression] = STATE(5024),
    [sym_lambda_capture_specifier] = STATE(7184),
    [sym_fold_expression] = STATE(5024),
    [sym_parameter_pack_expansion] = STATE(5024),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6886),
    [sym_qualified_identifier] = STATE(4737),
    [sym_qualified_type_identifier] = STATE(9352),
    [sym_user_defined_literal] = STATE(4737),
    [sym_identifier] = ACTIONS(4502),
    [anon_sym_LPAREN2] = ACTIONS(4540),
    [anon_sym_BANG] = ACTIONS(4506),
    [anon_sym_TILDE] = ACTIONS(4506),
    [anon_sym_DASH] = ACTIONS(4504),
    [anon_sym_PLUS] = ACTIONS(4504),
    [anon_sym_STAR] = ACTIONS(1474),
    [anon_sym_AMP] = ACTIONS(1474),
    [anon_sym_COLON_COLON] = ACTIONS(4508),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [sym_primitive_type] = ACTIONS(3146),
    [anon_sym_not] = ACTIONS(4504),
    [anon_sym_compl] = ACTIONS(4504),
    [anon_sym_DASH_DASH] = ACTIONS(4544),
    [anon_sym_PLUS_PLUS] = ACTIONS(4544),
    [anon_sym_sizeof] = ACTIONS(4510),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(4512),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(4514),
    [anon_sym_new] = ACTIONS(4516),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [2444] = {
    [sym__expression] = STATE(5950),
    [sym__expression_not_binary] = STATE(5024),
    [sym__string] = STATE(5024),
    [sym_conditional_expression] = STATE(5024),
    [sym_assignment_expression] = STATE(5024),
    [sym_pointer_expression] = STATE(4507),
    [sym_unary_expression] = STATE(5024),
    [sym_binary_expression] = STATE(5024),
    [sym_update_expression] = STATE(5024),
    [sym_cast_expression] = STATE(5024),
    [sym_sizeof_expression] = STATE(5024),
    [sym_alignof_expression] = STATE(5024),
    [sym_offsetof_expression] = STATE(5024),
    [sym_generic_expression] = STATE(5024),
    [sym_subscript_expression] = STATE(4507),
    [sym_call_expression] = STATE(4507),
    [sym_gnu_asm_expression] = STATE(5024),
    [sym_field_expression] = STATE(4507),
    [sym_compound_literal_expression] = STATE(5024),
    [sym_parenthesized_expression] = STATE(4507),
    [sym_char_literal] = STATE(5374),
    [sym_concatenated_string] = STATE(5377),
    [sym_string_literal] = STATE(4206),
    [sym_null] = STATE(5024),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9352),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(5024),
    [sym_raw_string_literal] = STATE(4217),
    [sym_co_await_expression] = STATE(5024),
    [sym_new_expression] = STATE(5024),
    [sym_delete_expression] = STATE(5024),
    [sym_requires_clause] = STATE(5024),
    [sym_requires_expression] = STATE(5024),
    [sym_lambda_expression] = STATE(5024),
    [sym_lambda_capture_specifier] = STATE(7184),
    [sym_fold_expression] = STATE(5024),
    [sym_parameter_pack_expansion] = STATE(5024),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6886),
    [sym_qualified_identifier] = STATE(4507),
    [sym_qualified_type_identifier] = STATE(9352),
    [sym_user_defined_literal] = STATE(4507),
    [sym_identifier] = ACTIONS(3140),
    [anon_sym_LPAREN2] = ACTIONS(1472),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1474),
    [anon_sym_AMP] = ACTIONS(1474),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [sym_primitive_type] = ACTIONS(3146),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [2445] = {
    [sym__expression] = STATE(4895),
    [sym__expression_not_binary] = STATE(5024),
    [sym__string] = STATE(5024),
    [sym_conditional_expression] = STATE(5024),
    [sym_assignment_expression] = STATE(5024),
    [sym_pointer_expression] = STATE(4737),
    [sym_unary_expression] = STATE(5024),
    [sym_binary_expression] = STATE(5024),
    [sym_update_expression] = STATE(5024),
    [sym_cast_expression] = STATE(5024),
    [sym_sizeof_expression] = STATE(5024),
    [sym_alignof_expression] = STATE(5024),
    [sym_offsetof_expression] = STATE(5024),
    [sym_generic_expression] = STATE(5024),
    [sym_subscript_expression] = STATE(4737),
    [sym_call_expression] = STATE(4737),
    [sym_gnu_asm_expression] = STATE(5024),
    [sym_field_expression] = STATE(4737),
    [sym_compound_literal_expression] = STATE(5024),
    [sym_parenthesized_expression] = STATE(4737),
    [sym_char_literal] = STATE(5374),
    [sym_concatenated_string] = STATE(5377),
    [sym_string_literal] = STATE(4206),
    [sym_null] = STATE(5024),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9352),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(5024),
    [sym_raw_string_literal] = STATE(4217),
    [sym_co_await_expression] = STATE(5024),
    [sym_new_expression] = STATE(5024),
    [sym_delete_expression] = STATE(5024),
    [sym_requires_clause] = STATE(5024),
    [sym_requires_expression] = STATE(5024),
    [sym_lambda_expression] = STATE(5024),
    [sym_lambda_capture_specifier] = STATE(7184),
    [sym_fold_expression] = STATE(5024),
    [sym_parameter_pack_expansion] = STATE(5024),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6886),
    [sym_qualified_identifier] = STATE(4737),
    [sym_qualified_type_identifier] = STATE(9352),
    [sym_user_defined_literal] = STATE(4737),
    [sym_identifier] = ACTIONS(4502),
    [anon_sym_LPAREN2] = ACTIONS(4540),
    [anon_sym_BANG] = ACTIONS(4506),
    [anon_sym_TILDE] = ACTIONS(4506),
    [anon_sym_DASH] = ACTIONS(4504),
    [anon_sym_PLUS] = ACTIONS(4504),
    [anon_sym_STAR] = ACTIONS(1474),
    [anon_sym_AMP] = ACTIONS(1474),
    [anon_sym_COLON_COLON] = ACTIONS(4508),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [sym_primitive_type] = ACTIONS(3146),
    [anon_sym_not] = ACTIONS(4504),
    [anon_sym_compl] = ACTIONS(4504),
    [anon_sym_DASH_DASH] = ACTIONS(4544),
    [anon_sym_PLUS_PLUS] = ACTIONS(4544),
    [anon_sym_sizeof] = ACTIONS(4510),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(4512),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(4514),
    [anon_sym_new] = ACTIONS(4516),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [2446] = {
    [sym__expression] = STATE(3527),
    [sym__expression_not_binary] = STATE(3672),
    [sym__string] = STATE(3672),
    [sym_conditional_expression] = STATE(3672),
    [sym_assignment_expression] = STATE(3672),
    [sym_pointer_expression] = STATE(3672),
    [sym_unary_expression] = STATE(3672),
    [sym_binary_expression] = STATE(3672),
    [sym_update_expression] = STATE(3672),
    [sym_cast_expression] = STATE(3672),
    [sym_sizeof_expression] = STATE(3672),
    [sym_alignof_expression] = STATE(3672),
    [sym_offsetof_expression] = STATE(3672),
    [sym_generic_expression] = STATE(3672),
    [sym_subscript_expression] = STATE(3672),
    [sym_call_expression] = STATE(3672),
    [sym_gnu_asm_expression] = STATE(3672),
    [sym_field_expression] = STATE(3672),
    [sym_compound_literal_expression] = STATE(3672),
    [sym_parenthesized_expression] = STATE(3672),
    [sym_char_literal] = STATE(4466),
    [sym_concatenated_string] = STATE(4465),
    [sym_string_literal] = STATE(3395),
    [sym_null] = STATE(3672),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9333),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(3672),
    [sym_raw_string_literal] = STATE(3400),
    [sym_co_await_expression] = STATE(3672),
    [sym_new_expression] = STATE(3672),
    [sym_delete_expression] = STATE(3672),
    [sym_requires_clause] = STATE(3672),
    [sym_requires_expression] = STATE(3672),
    [sym_lambda_expression] = STATE(3672),
    [sym_lambda_capture_specifier] = STATE(7134),
    [sym_fold_expression] = STATE(3672),
    [sym_parameter_pack_expansion] = STATE(3672),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6886),
    [sym_qualified_identifier] = STATE(3672),
    [sym_qualified_type_identifier] = STATE(9333),
    [sym_user_defined_literal] = STATE(3672),
    [sym_identifier] = ACTIONS(4070),
    [anon_sym_LPAREN2] = ACTIONS(5257),
    [anon_sym_BANG] = ACTIONS(4074),
    [anon_sym_TILDE] = ACTIONS(4074),
    [anon_sym_DASH] = ACTIONS(4072),
    [anon_sym_PLUS] = ACTIONS(4072),
    [anon_sym_STAR] = ACTIONS(5017),
    [anon_sym_AMP] = ACTIONS(5017),
    [anon_sym_COLON_COLON] = ACTIONS(4076),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [sym_primitive_type] = ACTIONS(3928),
    [anon_sym_not] = ACTIONS(4072),
    [anon_sym_compl] = ACTIONS(4072),
    [anon_sym_DASH_DASH] = ACTIONS(5043),
    [anon_sym_PLUS_PLUS] = ACTIONS(5043),
    [anon_sym_sizeof] = ACTIONS(4078),
    [anon_sym___alignof__] = ACTIONS(3932),
    [anon_sym___alignof] = ACTIONS(3932),
    [anon_sym__alignof] = ACTIONS(3932),
    [anon_sym_alignof] = ACTIONS(3932),
    [anon_sym__Alignof] = ACTIONS(3932),
    [anon_sym_offsetof] = ACTIONS(3934),
    [anon_sym__Generic] = ACTIONS(3936),
    [anon_sym_asm] = ACTIONS(3938),
    [anon_sym___asm__] = ACTIONS(3938),
    [sym_number_literal] = ACTIONS(4080),
    [anon_sym_L_SQUOTE] = ACTIONS(4082),
    [anon_sym_u_SQUOTE] = ACTIONS(4082),
    [anon_sym_U_SQUOTE] = ACTIONS(4082),
    [anon_sym_u8_SQUOTE] = ACTIONS(4082),
    [anon_sym_SQUOTE] = ACTIONS(4082),
    [anon_sym_L_DQUOTE] = ACTIONS(4084),
    [anon_sym_u_DQUOTE] = ACTIONS(4084),
    [anon_sym_U_DQUOTE] = ACTIONS(4084),
    [anon_sym_u8_DQUOTE] = ACTIONS(4084),
    [anon_sym_DQUOTE] = ACTIONS(4084),
    [sym_true] = ACTIONS(3946),
    [sym_false] = ACTIONS(3946),
    [anon_sym_NULL] = ACTIONS(3948),
    [anon_sym_nullptr] = ACTIONS(3948),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(4086),
    [anon_sym_R_DQUOTE] = ACTIONS(4088),
    [anon_sym_LR_DQUOTE] = ACTIONS(4088),
    [anon_sym_uR_DQUOTE] = ACTIONS(4088),
    [anon_sym_UR_DQUOTE] = ACTIONS(4088),
    [anon_sym_u8R_DQUOTE] = ACTIONS(4088),
    [anon_sym_co_await] = ACTIONS(4090),
    [anon_sym_new] = ACTIONS(3990),
    [anon_sym_requires] = ACTIONS(3958),
    [sym_this] = ACTIONS(3946),
  },
  [2447] = {
    [sym__expression] = STATE(5644),
    [sym__expression_not_binary] = STATE(5024),
    [sym__string] = STATE(5024),
    [sym_conditional_expression] = STATE(5024),
    [sym_assignment_expression] = STATE(5024),
    [sym_pointer_expression] = STATE(4507),
    [sym_unary_expression] = STATE(5024),
    [sym_binary_expression] = STATE(5024),
    [sym_update_expression] = STATE(5024),
    [sym_cast_expression] = STATE(5024),
    [sym_sizeof_expression] = STATE(5024),
    [sym_alignof_expression] = STATE(5024),
    [sym_offsetof_expression] = STATE(5024),
    [sym_generic_expression] = STATE(5024),
    [sym_subscript_expression] = STATE(4507),
    [sym_call_expression] = STATE(4507),
    [sym_gnu_asm_expression] = STATE(5024),
    [sym_field_expression] = STATE(4507),
    [sym_compound_literal_expression] = STATE(5024),
    [sym_parenthesized_expression] = STATE(4507),
    [sym_char_literal] = STATE(5374),
    [sym_concatenated_string] = STATE(5377),
    [sym_string_literal] = STATE(4206),
    [sym_null] = STATE(5024),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9352),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(5024),
    [sym_raw_string_literal] = STATE(4217),
    [sym_co_await_expression] = STATE(5024),
    [sym_new_expression] = STATE(5024),
    [sym_delete_expression] = STATE(5024),
    [sym_requires_clause] = STATE(5024),
    [sym_requires_expression] = STATE(5024),
    [sym_lambda_expression] = STATE(5024),
    [sym_lambda_capture_specifier] = STATE(7184),
    [sym_fold_expression] = STATE(5024),
    [sym_parameter_pack_expansion] = STATE(5024),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6886),
    [sym_qualified_identifier] = STATE(4507),
    [sym_qualified_type_identifier] = STATE(9352),
    [sym_user_defined_literal] = STATE(4507),
    [sym_identifier] = ACTIONS(3140),
    [anon_sym_LPAREN2] = ACTIONS(1472),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1474),
    [anon_sym_AMP] = ACTIONS(1474),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [sym_primitive_type] = ACTIONS(3146),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [2448] = {
    [sym__expression] = STATE(5579),
    [sym__expression_not_binary] = STATE(5024),
    [sym__string] = STATE(5024),
    [sym_conditional_expression] = STATE(5024),
    [sym_assignment_expression] = STATE(5024),
    [sym_pointer_expression] = STATE(4507),
    [sym_unary_expression] = STATE(5024),
    [sym_binary_expression] = STATE(5024),
    [sym_update_expression] = STATE(5024),
    [sym_cast_expression] = STATE(5024),
    [sym_sizeof_expression] = STATE(5024),
    [sym_alignof_expression] = STATE(5024),
    [sym_offsetof_expression] = STATE(5024),
    [sym_generic_expression] = STATE(5024),
    [sym_subscript_expression] = STATE(4507),
    [sym_call_expression] = STATE(4507),
    [sym_gnu_asm_expression] = STATE(5024),
    [sym_field_expression] = STATE(4507),
    [sym_compound_literal_expression] = STATE(5024),
    [sym_parenthesized_expression] = STATE(4507),
    [sym_char_literal] = STATE(5374),
    [sym_concatenated_string] = STATE(5377),
    [sym_string_literal] = STATE(4206),
    [sym_null] = STATE(5024),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9352),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(5024),
    [sym_raw_string_literal] = STATE(4217),
    [sym_co_await_expression] = STATE(5024),
    [sym_new_expression] = STATE(5024),
    [sym_delete_expression] = STATE(5024),
    [sym_requires_clause] = STATE(5024),
    [sym_requires_expression] = STATE(5024),
    [sym_lambda_expression] = STATE(5024),
    [sym_lambda_capture_specifier] = STATE(7184),
    [sym_fold_expression] = STATE(5024),
    [sym_parameter_pack_expansion] = STATE(5024),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6886),
    [sym_qualified_identifier] = STATE(4507),
    [sym_qualified_type_identifier] = STATE(9352),
    [sym_user_defined_literal] = STATE(4507),
    [sym_identifier] = ACTIONS(3140),
    [anon_sym_LPAREN2] = ACTIONS(1472),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1474),
    [anon_sym_AMP] = ACTIONS(1474),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [sym_primitive_type] = ACTIONS(3146),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [2449] = {
    [sym__expression] = STATE(5702),
    [sym__expression_not_binary] = STATE(5024),
    [sym__string] = STATE(5024),
    [sym_conditional_expression] = STATE(5024),
    [sym_assignment_expression] = STATE(5024),
    [sym_pointer_expression] = STATE(4737),
    [sym_unary_expression] = STATE(5024),
    [sym_binary_expression] = STATE(5024),
    [sym_update_expression] = STATE(5024),
    [sym_cast_expression] = STATE(5024),
    [sym_sizeof_expression] = STATE(5024),
    [sym_alignof_expression] = STATE(5024),
    [sym_offsetof_expression] = STATE(5024),
    [sym_generic_expression] = STATE(5024),
    [sym_subscript_expression] = STATE(4737),
    [sym_call_expression] = STATE(4737),
    [sym_gnu_asm_expression] = STATE(5024),
    [sym_field_expression] = STATE(4737),
    [sym_compound_literal_expression] = STATE(5024),
    [sym_parenthesized_expression] = STATE(4737),
    [sym_char_literal] = STATE(5374),
    [sym_concatenated_string] = STATE(5377),
    [sym_string_literal] = STATE(4206),
    [sym_null] = STATE(5024),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9352),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(5024),
    [sym_raw_string_literal] = STATE(4217),
    [sym_co_await_expression] = STATE(5024),
    [sym_new_expression] = STATE(5024),
    [sym_delete_expression] = STATE(5024),
    [sym_requires_clause] = STATE(5024),
    [sym_requires_expression] = STATE(5024),
    [sym_lambda_expression] = STATE(5024),
    [sym_lambda_capture_specifier] = STATE(7184),
    [sym_fold_expression] = STATE(5024),
    [sym_parameter_pack_expansion] = STATE(5024),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6886),
    [sym_qualified_identifier] = STATE(4737),
    [sym_qualified_type_identifier] = STATE(9352),
    [sym_user_defined_literal] = STATE(4737),
    [sym_identifier] = ACTIONS(4502),
    [anon_sym_LPAREN2] = ACTIONS(4540),
    [anon_sym_BANG] = ACTIONS(4506),
    [anon_sym_TILDE] = ACTIONS(4506),
    [anon_sym_DASH] = ACTIONS(4504),
    [anon_sym_PLUS] = ACTIONS(4504),
    [anon_sym_STAR] = ACTIONS(1474),
    [anon_sym_AMP] = ACTIONS(1474),
    [anon_sym_COLON_COLON] = ACTIONS(4508),
    [anon_sym_LBRACK] = ACTIONS(5547),
    [sym_primitive_type] = ACTIONS(3146),
    [anon_sym_not] = ACTIONS(4504),
    [anon_sym_compl] = ACTIONS(4504),
    [anon_sym_DASH_DASH] = ACTIONS(4544),
    [anon_sym_PLUS_PLUS] = ACTIONS(4544),
    [anon_sym_sizeof] = ACTIONS(4510),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(4512),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(4514),
    [anon_sym_new] = ACTIONS(4516),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [2450] = {
    [sym__expression] = STATE(5927),
    [sym__expression_not_binary] = STATE(5024),
    [sym__string] = STATE(5024),
    [sym_conditional_expression] = STATE(5024),
    [sym_assignment_expression] = STATE(5024),
    [sym_pointer_expression] = STATE(4737),
    [sym_unary_expression] = STATE(5024),
    [sym_binary_expression] = STATE(5024),
    [sym_update_expression] = STATE(5024),
    [sym_cast_expression] = STATE(5024),
    [sym_sizeof_expression] = STATE(5024),
    [sym_alignof_expression] = STATE(5024),
    [sym_offsetof_expression] = STATE(5024),
    [sym_generic_expression] = STATE(5024),
    [sym_subscript_expression] = STATE(4737),
    [sym_call_expression] = STATE(4737),
    [sym_gnu_asm_expression] = STATE(5024),
    [sym_field_expression] = STATE(4737),
    [sym_compound_literal_expression] = STATE(5024),
    [sym_parenthesized_expression] = STATE(4737),
    [sym_char_literal] = STATE(5374),
    [sym_concatenated_string] = STATE(5377),
    [sym_string_literal] = STATE(4206),
    [sym_null] = STATE(5024),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9352),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(5024),
    [sym_raw_string_literal] = STATE(4217),
    [sym_co_await_expression] = STATE(5024),
    [sym_new_expression] = STATE(5024),
    [sym_delete_expression] = STATE(5024),
    [sym_requires_clause] = STATE(5024),
    [sym_requires_expression] = STATE(5024),
    [sym_lambda_expression] = STATE(5024),
    [sym_lambda_capture_specifier] = STATE(7184),
    [sym_fold_expression] = STATE(5024),
    [sym_parameter_pack_expansion] = STATE(5024),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6886),
    [sym_qualified_identifier] = STATE(4737),
    [sym_qualified_type_identifier] = STATE(9352),
    [sym_user_defined_literal] = STATE(4737),
    [sym_identifier] = ACTIONS(4642),
    [anon_sym_LPAREN2] = ACTIONS(4540),
    [anon_sym_BANG] = ACTIONS(4506),
    [anon_sym_TILDE] = ACTIONS(4506),
    [anon_sym_DASH] = ACTIONS(4504),
    [anon_sym_PLUS] = ACTIONS(4504),
    [anon_sym_STAR] = ACTIONS(1474),
    [anon_sym_AMP] = ACTIONS(1474),
    [anon_sym_COLON_COLON] = ACTIONS(4508),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [sym_primitive_type] = ACTIONS(3146),
    [anon_sym_not] = ACTIONS(4504),
    [anon_sym_compl] = ACTIONS(4504),
    [anon_sym_DASH_DASH] = ACTIONS(4544),
    [anon_sym_PLUS_PLUS] = ACTIONS(4544),
    [anon_sym_sizeof] = ACTIONS(4510),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(4512),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(4514),
    [anon_sym_new] = ACTIONS(4516),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [2451] = {
    [sym__expression] = STATE(4914),
    [sym__expression_not_binary] = STATE(5024),
    [sym__string] = STATE(5024),
    [sym_conditional_expression] = STATE(5024),
    [sym_assignment_expression] = STATE(5024),
    [sym_pointer_expression] = STATE(4737),
    [sym_unary_expression] = STATE(5024),
    [sym_binary_expression] = STATE(5024),
    [sym_update_expression] = STATE(5024),
    [sym_cast_expression] = STATE(5024),
    [sym_sizeof_expression] = STATE(5024),
    [sym_alignof_expression] = STATE(5024),
    [sym_offsetof_expression] = STATE(5024),
    [sym_generic_expression] = STATE(5024),
    [sym_subscript_expression] = STATE(4737),
    [sym_call_expression] = STATE(4737),
    [sym_gnu_asm_expression] = STATE(5024),
    [sym_field_expression] = STATE(4737),
    [sym_compound_literal_expression] = STATE(5024),
    [sym_parenthesized_expression] = STATE(4737),
    [sym_char_literal] = STATE(5374),
    [sym_concatenated_string] = STATE(5377),
    [sym_string_literal] = STATE(4206),
    [sym_null] = STATE(5024),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9352),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(5024),
    [sym_raw_string_literal] = STATE(4217),
    [sym_co_await_expression] = STATE(5024),
    [sym_new_expression] = STATE(5024),
    [sym_delete_expression] = STATE(5024),
    [sym_requires_clause] = STATE(5024),
    [sym_requires_expression] = STATE(5024),
    [sym_lambda_expression] = STATE(5024),
    [sym_lambda_capture_specifier] = STATE(7184),
    [sym_fold_expression] = STATE(5024),
    [sym_parameter_pack_expansion] = STATE(5024),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6886),
    [sym_qualified_identifier] = STATE(4737),
    [sym_qualified_type_identifier] = STATE(9352),
    [sym_user_defined_literal] = STATE(4737),
    [sym_identifier] = ACTIONS(4502),
    [anon_sym_LPAREN2] = ACTIONS(4540),
    [anon_sym_BANG] = ACTIONS(4506),
    [anon_sym_TILDE] = ACTIONS(4506),
    [anon_sym_DASH] = ACTIONS(4504),
    [anon_sym_PLUS] = ACTIONS(4504),
    [anon_sym_STAR] = ACTIONS(1474),
    [anon_sym_AMP] = ACTIONS(1474),
    [anon_sym_COLON_COLON] = ACTIONS(4508),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [sym_primitive_type] = ACTIONS(3146),
    [anon_sym_not] = ACTIONS(4504),
    [anon_sym_compl] = ACTIONS(4504),
    [anon_sym_DASH_DASH] = ACTIONS(4544),
    [anon_sym_PLUS_PLUS] = ACTIONS(4544),
    [anon_sym_sizeof] = ACTIONS(4510),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(4512),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(4514),
    [anon_sym_new] = ACTIONS(4516),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [2452] = {
    [sym__expression] = STATE(4918),
    [sym__expression_not_binary] = STATE(5024),
    [sym__string] = STATE(5024),
    [sym_conditional_expression] = STATE(5024),
    [sym_assignment_expression] = STATE(5024),
    [sym_pointer_expression] = STATE(4737),
    [sym_unary_expression] = STATE(5024),
    [sym_binary_expression] = STATE(5024),
    [sym_update_expression] = STATE(5024),
    [sym_cast_expression] = STATE(5024),
    [sym_sizeof_expression] = STATE(5024),
    [sym_alignof_expression] = STATE(5024),
    [sym_offsetof_expression] = STATE(5024),
    [sym_generic_expression] = STATE(5024),
    [sym_subscript_expression] = STATE(4737),
    [sym_call_expression] = STATE(4737),
    [sym_gnu_asm_expression] = STATE(5024),
    [sym_field_expression] = STATE(4737),
    [sym_compound_literal_expression] = STATE(5024),
    [sym_parenthesized_expression] = STATE(4737),
    [sym_char_literal] = STATE(5374),
    [sym_concatenated_string] = STATE(5377),
    [sym_string_literal] = STATE(4206),
    [sym_null] = STATE(5024),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9352),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(5024),
    [sym_raw_string_literal] = STATE(4217),
    [sym_co_await_expression] = STATE(5024),
    [sym_new_expression] = STATE(5024),
    [sym_delete_expression] = STATE(5024),
    [sym_requires_clause] = STATE(5024),
    [sym_requires_expression] = STATE(5024),
    [sym_lambda_expression] = STATE(5024),
    [sym_lambda_capture_specifier] = STATE(7184),
    [sym_fold_expression] = STATE(5024),
    [sym_parameter_pack_expansion] = STATE(5024),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6886),
    [sym_qualified_identifier] = STATE(4737),
    [sym_qualified_type_identifier] = STATE(9352),
    [sym_user_defined_literal] = STATE(4737),
    [sym_identifier] = ACTIONS(4502),
    [anon_sym_LPAREN2] = ACTIONS(4540),
    [anon_sym_BANG] = ACTIONS(4506),
    [anon_sym_TILDE] = ACTIONS(4506),
    [anon_sym_DASH] = ACTIONS(4504),
    [anon_sym_PLUS] = ACTIONS(4504),
    [anon_sym_STAR] = ACTIONS(1474),
    [anon_sym_AMP] = ACTIONS(1474),
    [anon_sym_COLON_COLON] = ACTIONS(4508),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [sym_primitive_type] = ACTIONS(3146),
    [anon_sym_not] = ACTIONS(4504),
    [anon_sym_compl] = ACTIONS(4504),
    [anon_sym_DASH_DASH] = ACTIONS(4544),
    [anon_sym_PLUS_PLUS] = ACTIONS(4544),
    [anon_sym_sizeof] = ACTIONS(4510),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(4512),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(4514),
    [anon_sym_new] = ACTIONS(4516),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [2453] = {
    [sym__expression] = STATE(5933),
    [sym__expression_not_binary] = STATE(5024),
    [sym__string] = STATE(5024),
    [sym_conditional_expression] = STATE(5024),
    [sym_assignment_expression] = STATE(5024),
    [sym_pointer_expression] = STATE(4507),
    [sym_unary_expression] = STATE(5024),
    [sym_binary_expression] = STATE(5024),
    [sym_update_expression] = STATE(5024),
    [sym_cast_expression] = STATE(5024),
    [sym_sizeof_expression] = STATE(5024),
    [sym_alignof_expression] = STATE(5024),
    [sym_offsetof_expression] = STATE(5024),
    [sym_generic_expression] = STATE(5024),
    [sym_subscript_expression] = STATE(4507),
    [sym_call_expression] = STATE(4507),
    [sym_gnu_asm_expression] = STATE(5024),
    [sym_field_expression] = STATE(4507),
    [sym_compound_literal_expression] = STATE(5024),
    [sym_parenthesized_expression] = STATE(4507),
    [sym_char_literal] = STATE(5374),
    [sym_concatenated_string] = STATE(5377),
    [sym_string_literal] = STATE(4206),
    [sym_null] = STATE(5024),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9352),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(5024),
    [sym_raw_string_literal] = STATE(4217),
    [sym_co_await_expression] = STATE(5024),
    [sym_new_expression] = STATE(5024),
    [sym_delete_expression] = STATE(5024),
    [sym_requires_clause] = STATE(5024),
    [sym_requires_expression] = STATE(5024),
    [sym_lambda_expression] = STATE(5024),
    [sym_lambda_capture_specifier] = STATE(7184),
    [sym_fold_expression] = STATE(5024),
    [sym_parameter_pack_expansion] = STATE(5024),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6886),
    [sym_qualified_identifier] = STATE(4507),
    [sym_qualified_type_identifier] = STATE(9352),
    [sym_user_defined_literal] = STATE(4507),
    [sym_identifier] = ACTIONS(3140),
    [anon_sym_LPAREN2] = ACTIONS(1472),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1474),
    [anon_sym_AMP] = ACTIONS(1474),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [sym_primitive_type] = ACTIONS(3146),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [2454] = {
    [sym__expression] = STATE(4744),
    [sym__expression_not_binary] = STATE(4939),
    [sym__string] = STATE(4939),
    [sym_conditional_expression] = STATE(4939),
    [sym_assignment_expression] = STATE(4939),
    [sym_pointer_expression] = STATE(4521),
    [sym_unary_expression] = STATE(4939),
    [sym_binary_expression] = STATE(4939),
    [sym_update_expression] = STATE(4939),
    [sym_cast_expression] = STATE(4939),
    [sym_sizeof_expression] = STATE(4939),
    [sym_alignof_expression] = STATE(4939),
    [sym_offsetof_expression] = STATE(4939),
    [sym_generic_expression] = STATE(4939),
    [sym_subscript_expression] = STATE(4521),
    [sym_call_expression] = STATE(4521),
    [sym_gnu_asm_expression] = STATE(4939),
    [sym_field_expression] = STATE(4521),
    [sym_compound_literal_expression] = STATE(4939),
    [sym_parenthesized_expression] = STATE(4521),
    [sym_char_literal] = STATE(4856),
    [sym_concatenated_string] = STATE(4876),
    [sym_string_literal] = STATE(3630),
    [sym_null] = STATE(4939),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9415),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(4939),
    [sym_raw_string_literal] = STATE(3632),
    [sym_co_await_expression] = STATE(4939),
    [sym_new_expression] = STATE(4939),
    [sym_delete_expression] = STATE(4939),
    [sym_requires_clause] = STATE(4939),
    [sym_requires_expression] = STATE(4939),
    [sym_lambda_expression] = STATE(4939),
    [sym_lambda_capture_specifier] = STATE(7190),
    [sym_fold_expression] = STATE(4939),
    [sym_parameter_pack_expansion] = STATE(4939),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6899),
    [sym_qualified_identifier] = STATE(4521),
    [sym_qualified_type_identifier] = STATE(9415),
    [sym_user_defined_literal] = STATE(4521),
    [sym_identifier] = ACTIONS(4178),
    [anon_sym_LPAREN2] = ACTIONS(2110),
    [anon_sym_BANG] = ACTIONS(2112),
    [anon_sym_TILDE] = ACTIONS(2112),
    [anon_sym_DASH] = ACTIONS(2114),
    [anon_sym_PLUS] = ACTIONS(2114),
    [anon_sym_STAR] = ACTIONS(2116),
    [anon_sym_AMP] = ACTIONS(2116),
    [anon_sym_COLON_COLON] = ACTIONS(2120),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [sym_primitive_type] = ACTIONS(4182),
    [anon_sym_not] = ACTIONS(2114),
    [anon_sym_compl] = ACTIONS(2114),
    [anon_sym_DASH_DASH] = ACTIONS(2132),
    [anon_sym_PLUS_PLUS] = ACTIONS(2132),
    [anon_sym_sizeof] = ACTIONS(2134),
    [anon_sym___alignof__] = ACTIONS(2136),
    [anon_sym___alignof] = ACTIONS(2136),
    [anon_sym__alignof] = ACTIONS(2136),
    [anon_sym_alignof] = ACTIONS(2136),
    [anon_sym__Alignof] = ACTIONS(2136),
    [anon_sym_offsetof] = ACTIONS(2138),
    [anon_sym__Generic] = ACTIONS(2140),
    [anon_sym_asm] = ACTIONS(2142),
    [anon_sym___asm__] = ACTIONS(2142),
    [sym_number_literal] = ACTIONS(2144),
    [anon_sym_L_SQUOTE] = ACTIONS(2146),
    [anon_sym_u_SQUOTE] = ACTIONS(2146),
    [anon_sym_U_SQUOTE] = ACTIONS(2146),
    [anon_sym_u8_SQUOTE] = ACTIONS(2146),
    [anon_sym_SQUOTE] = ACTIONS(2146),
    [anon_sym_L_DQUOTE] = ACTIONS(2148),
    [anon_sym_u_DQUOTE] = ACTIONS(2148),
    [anon_sym_U_DQUOTE] = ACTIONS(2148),
    [anon_sym_u8_DQUOTE] = ACTIONS(2148),
    [anon_sym_DQUOTE] = ACTIONS(2148),
    [sym_true] = ACTIONS(2150),
    [sym_false] = ACTIONS(2150),
    [anon_sym_NULL] = ACTIONS(2152),
    [anon_sym_nullptr] = ACTIONS(2152),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(2156),
    [anon_sym_R_DQUOTE] = ACTIONS(2158),
    [anon_sym_LR_DQUOTE] = ACTIONS(2158),
    [anon_sym_uR_DQUOTE] = ACTIONS(2158),
    [anon_sym_UR_DQUOTE] = ACTIONS(2158),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2158),
    [anon_sym_co_await] = ACTIONS(2160),
    [anon_sym_new] = ACTIONS(2162),
    [anon_sym_requires] = ACTIONS(2164),
    [sym_this] = ACTIONS(2150),
  },
  [2455] = {
    [sym__expression] = STATE(5477),
    [sym__expression_not_binary] = STATE(5024),
    [sym__string] = STATE(5024),
    [sym_conditional_expression] = STATE(5024),
    [sym_assignment_expression] = STATE(5024),
    [sym_pointer_expression] = STATE(4507),
    [sym_unary_expression] = STATE(5024),
    [sym_binary_expression] = STATE(5024),
    [sym_update_expression] = STATE(5024),
    [sym_cast_expression] = STATE(5024),
    [sym_sizeof_expression] = STATE(5024),
    [sym_alignof_expression] = STATE(5024),
    [sym_offsetof_expression] = STATE(5024),
    [sym_generic_expression] = STATE(5024),
    [sym_subscript_expression] = STATE(4507),
    [sym_call_expression] = STATE(4507),
    [sym_gnu_asm_expression] = STATE(5024),
    [sym_field_expression] = STATE(4507),
    [sym_compound_literal_expression] = STATE(5024),
    [sym_parenthesized_expression] = STATE(4507),
    [sym_char_literal] = STATE(5374),
    [sym_concatenated_string] = STATE(5377),
    [sym_string_literal] = STATE(4206),
    [sym_null] = STATE(5024),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9352),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(5024),
    [sym_raw_string_literal] = STATE(4217),
    [sym_co_await_expression] = STATE(5024),
    [sym_new_expression] = STATE(5024),
    [sym_delete_expression] = STATE(5024),
    [sym_requires_clause] = STATE(5024),
    [sym_requires_expression] = STATE(5024),
    [sym_lambda_expression] = STATE(5024),
    [sym_lambda_capture_specifier] = STATE(7184),
    [sym_fold_expression] = STATE(5024),
    [sym_parameter_pack_expansion] = STATE(5024),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6886),
    [sym_qualified_identifier] = STATE(4507),
    [sym_qualified_type_identifier] = STATE(9352),
    [sym_user_defined_literal] = STATE(4507),
    [sym_identifier] = ACTIONS(3140),
    [anon_sym_LPAREN2] = ACTIONS(1472),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1474),
    [anon_sym_AMP] = ACTIONS(1474),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [sym_primitive_type] = ACTIONS(3146),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [2456] = {
    [sym__expression] = STATE(5457),
    [sym__expression_not_binary] = STATE(5024),
    [sym__string] = STATE(5024),
    [sym_conditional_expression] = STATE(5024),
    [sym_assignment_expression] = STATE(5024),
    [sym_pointer_expression] = STATE(4507),
    [sym_unary_expression] = STATE(5024),
    [sym_binary_expression] = STATE(5024),
    [sym_update_expression] = STATE(5024),
    [sym_cast_expression] = STATE(5024),
    [sym_sizeof_expression] = STATE(5024),
    [sym_alignof_expression] = STATE(5024),
    [sym_offsetof_expression] = STATE(5024),
    [sym_generic_expression] = STATE(5024),
    [sym_subscript_expression] = STATE(4507),
    [sym_call_expression] = STATE(4507),
    [sym_gnu_asm_expression] = STATE(5024),
    [sym_field_expression] = STATE(4507),
    [sym_compound_literal_expression] = STATE(5024),
    [sym_parenthesized_expression] = STATE(4507),
    [sym_char_literal] = STATE(5374),
    [sym_concatenated_string] = STATE(5377),
    [sym_string_literal] = STATE(4206),
    [sym_null] = STATE(5024),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9352),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(5024),
    [sym_raw_string_literal] = STATE(4217),
    [sym_co_await_expression] = STATE(5024),
    [sym_new_expression] = STATE(5024),
    [sym_delete_expression] = STATE(5024),
    [sym_requires_clause] = STATE(5024),
    [sym_requires_expression] = STATE(5024),
    [sym_lambda_expression] = STATE(5024),
    [sym_lambda_capture_specifier] = STATE(7184),
    [sym_fold_expression] = STATE(5024),
    [sym_parameter_pack_expansion] = STATE(5024),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6886),
    [sym_qualified_identifier] = STATE(4507),
    [sym_qualified_type_identifier] = STATE(9352),
    [sym_user_defined_literal] = STATE(4507),
    [sym_identifier] = ACTIONS(3140),
    [anon_sym_LPAREN2] = ACTIONS(1472),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1474),
    [anon_sym_AMP] = ACTIONS(1474),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [sym_primitive_type] = ACTIONS(3146),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [2457] = {
    [sym__expression] = STATE(5869),
    [sym__expression_not_binary] = STATE(5024),
    [sym__string] = STATE(5024),
    [sym_conditional_expression] = STATE(5024),
    [sym_assignment_expression] = STATE(5024),
    [sym_pointer_expression] = STATE(4507),
    [sym_unary_expression] = STATE(5024),
    [sym_binary_expression] = STATE(5024),
    [sym_update_expression] = STATE(5024),
    [sym_cast_expression] = STATE(5024),
    [sym_sizeof_expression] = STATE(5024),
    [sym_alignof_expression] = STATE(5024),
    [sym_offsetof_expression] = STATE(5024),
    [sym_generic_expression] = STATE(5024),
    [sym_subscript_expression] = STATE(4507),
    [sym_call_expression] = STATE(4507),
    [sym_gnu_asm_expression] = STATE(5024),
    [sym_field_expression] = STATE(4507),
    [sym_compound_literal_expression] = STATE(5024),
    [sym_parenthesized_expression] = STATE(4507),
    [sym_char_literal] = STATE(5374),
    [sym_concatenated_string] = STATE(5377),
    [sym_string_literal] = STATE(4206),
    [sym_null] = STATE(5024),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9352),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(5024),
    [sym_raw_string_literal] = STATE(4217),
    [sym_co_await_expression] = STATE(5024),
    [sym_new_expression] = STATE(5024),
    [sym_delete_expression] = STATE(5024),
    [sym_requires_clause] = STATE(5024),
    [sym_requires_expression] = STATE(5024),
    [sym_lambda_expression] = STATE(5024),
    [sym_lambda_capture_specifier] = STATE(7184),
    [sym_fold_expression] = STATE(5024),
    [sym_parameter_pack_expansion] = STATE(5024),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6886),
    [sym_qualified_identifier] = STATE(4507),
    [sym_qualified_type_identifier] = STATE(9352),
    [sym_user_defined_literal] = STATE(4507),
    [sym_identifier] = ACTIONS(3140),
    [anon_sym_LPAREN2] = ACTIONS(1472),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1474),
    [anon_sym_AMP] = ACTIONS(1474),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [sym_primitive_type] = ACTIONS(3146),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [2458] = {
    [sym__expression] = STATE(5866),
    [sym__expression_not_binary] = STATE(5024),
    [sym__string] = STATE(5024),
    [sym_conditional_expression] = STATE(5024),
    [sym_assignment_expression] = STATE(5024),
    [sym_pointer_expression] = STATE(4737),
    [sym_unary_expression] = STATE(5024),
    [sym_binary_expression] = STATE(5024),
    [sym_update_expression] = STATE(5024),
    [sym_cast_expression] = STATE(5024),
    [sym_sizeof_expression] = STATE(5024),
    [sym_alignof_expression] = STATE(5024),
    [sym_offsetof_expression] = STATE(5024),
    [sym_generic_expression] = STATE(5024),
    [sym_subscript_expression] = STATE(4737),
    [sym_call_expression] = STATE(4737),
    [sym_gnu_asm_expression] = STATE(5024),
    [sym_field_expression] = STATE(4737),
    [sym_compound_literal_expression] = STATE(5024),
    [sym_parenthesized_expression] = STATE(4737),
    [sym_char_literal] = STATE(5374),
    [sym_concatenated_string] = STATE(5377),
    [sym_string_literal] = STATE(4206),
    [sym_null] = STATE(5024),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9352),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(5024),
    [sym_raw_string_literal] = STATE(4217),
    [sym_co_await_expression] = STATE(5024),
    [sym_new_expression] = STATE(5024),
    [sym_delete_expression] = STATE(5024),
    [sym_requires_clause] = STATE(5024),
    [sym_requires_expression] = STATE(5024),
    [sym_lambda_expression] = STATE(5024),
    [sym_lambda_capture_specifier] = STATE(7184),
    [sym_fold_expression] = STATE(5024),
    [sym_parameter_pack_expansion] = STATE(5024),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6886),
    [sym_qualified_identifier] = STATE(4737),
    [sym_qualified_type_identifier] = STATE(9352),
    [sym_user_defined_literal] = STATE(4737),
    [sym_identifier] = ACTIONS(4502),
    [anon_sym_LPAREN2] = ACTIONS(4540),
    [anon_sym_BANG] = ACTIONS(4506),
    [anon_sym_TILDE] = ACTIONS(4506),
    [anon_sym_DASH] = ACTIONS(4504),
    [anon_sym_PLUS] = ACTIONS(4504),
    [anon_sym_STAR] = ACTIONS(1474),
    [anon_sym_AMP] = ACTIONS(1474),
    [anon_sym_COLON_COLON] = ACTIONS(4508),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [sym_primitive_type] = ACTIONS(3146),
    [anon_sym_not] = ACTIONS(4504),
    [anon_sym_compl] = ACTIONS(4504),
    [anon_sym_DASH_DASH] = ACTIONS(4544),
    [anon_sym_PLUS_PLUS] = ACTIONS(4544),
    [anon_sym_sizeof] = ACTIONS(4510),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(4512),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(4514),
    [anon_sym_new] = ACTIONS(4516),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [2459] = {
    [sym__expression] = STATE(5848),
    [sym__expression_not_binary] = STATE(5024),
    [sym__string] = STATE(5024),
    [sym_conditional_expression] = STATE(5024),
    [sym_assignment_expression] = STATE(5024),
    [sym_pointer_expression] = STATE(4507),
    [sym_unary_expression] = STATE(5024),
    [sym_binary_expression] = STATE(5024),
    [sym_update_expression] = STATE(5024),
    [sym_cast_expression] = STATE(5024),
    [sym_sizeof_expression] = STATE(5024),
    [sym_alignof_expression] = STATE(5024),
    [sym_offsetof_expression] = STATE(5024),
    [sym_generic_expression] = STATE(5024),
    [sym_subscript_expression] = STATE(4507),
    [sym_call_expression] = STATE(4507),
    [sym_gnu_asm_expression] = STATE(5024),
    [sym_field_expression] = STATE(4507),
    [sym_compound_literal_expression] = STATE(5024),
    [sym_parenthesized_expression] = STATE(4507),
    [sym_char_literal] = STATE(5374),
    [sym_concatenated_string] = STATE(5377),
    [sym_string_literal] = STATE(4206),
    [sym_null] = STATE(5024),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9352),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(5024),
    [sym_raw_string_literal] = STATE(4217),
    [sym_co_await_expression] = STATE(5024),
    [sym_new_expression] = STATE(5024),
    [sym_delete_expression] = STATE(5024),
    [sym_requires_clause] = STATE(5024),
    [sym_requires_expression] = STATE(5024),
    [sym_lambda_expression] = STATE(5024),
    [sym_lambda_capture_specifier] = STATE(7184),
    [sym_fold_expression] = STATE(5024),
    [sym_parameter_pack_expansion] = STATE(5024),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6886),
    [sym_qualified_identifier] = STATE(4507),
    [sym_qualified_type_identifier] = STATE(9352),
    [sym_user_defined_literal] = STATE(4507),
    [sym_identifier] = ACTIONS(3140),
    [anon_sym_LPAREN2] = ACTIONS(1472),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1474),
    [anon_sym_AMP] = ACTIONS(1474),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [sym_primitive_type] = ACTIONS(3146),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [2460] = {
    [sym__expression] = STATE(5838),
    [sym__expression_not_binary] = STATE(5024),
    [sym__string] = STATE(5024),
    [sym_conditional_expression] = STATE(5024),
    [sym_assignment_expression] = STATE(5024),
    [sym_pointer_expression] = STATE(4507),
    [sym_unary_expression] = STATE(5024),
    [sym_binary_expression] = STATE(5024),
    [sym_update_expression] = STATE(5024),
    [sym_cast_expression] = STATE(5024),
    [sym_sizeof_expression] = STATE(5024),
    [sym_alignof_expression] = STATE(5024),
    [sym_offsetof_expression] = STATE(5024),
    [sym_generic_expression] = STATE(5024),
    [sym_subscript_expression] = STATE(4507),
    [sym_call_expression] = STATE(4507),
    [sym_gnu_asm_expression] = STATE(5024),
    [sym_field_expression] = STATE(4507),
    [sym_compound_literal_expression] = STATE(5024),
    [sym_parenthesized_expression] = STATE(4507),
    [sym_char_literal] = STATE(5374),
    [sym_concatenated_string] = STATE(5377),
    [sym_string_literal] = STATE(4206),
    [sym_null] = STATE(5024),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9352),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(5024),
    [sym_raw_string_literal] = STATE(4217),
    [sym_co_await_expression] = STATE(5024),
    [sym_new_expression] = STATE(5024),
    [sym_delete_expression] = STATE(5024),
    [sym_requires_clause] = STATE(5024),
    [sym_requires_expression] = STATE(5024),
    [sym_lambda_expression] = STATE(5024),
    [sym_lambda_capture_specifier] = STATE(7184),
    [sym_fold_expression] = STATE(5024),
    [sym_parameter_pack_expansion] = STATE(5024),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6886),
    [sym_qualified_identifier] = STATE(4507),
    [sym_qualified_type_identifier] = STATE(9352),
    [sym_user_defined_literal] = STATE(4507),
    [sym_identifier] = ACTIONS(3140),
    [anon_sym_LPAREN2] = ACTIONS(1472),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1474),
    [anon_sym_AMP] = ACTIONS(1474),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [sym_primitive_type] = ACTIONS(3146),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [2461] = {
    [sym__expression] = STATE(5913),
    [sym__expression_not_binary] = STATE(5024),
    [sym__string] = STATE(5024),
    [sym_conditional_expression] = STATE(5024),
    [sym_assignment_expression] = STATE(5024),
    [sym_pointer_expression] = STATE(4507),
    [sym_unary_expression] = STATE(5024),
    [sym_binary_expression] = STATE(5024),
    [sym_update_expression] = STATE(5024),
    [sym_cast_expression] = STATE(5024),
    [sym_sizeof_expression] = STATE(5024),
    [sym_alignof_expression] = STATE(5024),
    [sym_offsetof_expression] = STATE(5024),
    [sym_generic_expression] = STATE(5024),
    [sym_subscript_expression] = STATE(4507),
    [sym_call_expression] = STATE(4507),
    [sym_gnu_asm_expression] = STATE(5024),
    [sym_field_expression] = STATE(4507),
    [sym_compound_literal_expression] = STATE(5024),
    [sym_parenthesized_expression] = STATE(4507),
    [sym_char_literal] = STATE(5374),
    [sym_concatenated_string] = STATE(5377),
    [sym_string_literal] = STATE(4206),
    [sym_null] = STATE(5024),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9352),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(5024),
    [sym_raw_string_literal] = STATE(4217),
    [sym_co_await_expression] = STATE(5024),
    [sym_new_expression] = STATE(5024),
    [sym_delete_expression] = STATE(5024),
    [sym_requires_clause] = STATE(5024),
    [sym_requires_expression] = STATE(5024),
    [sym_lambda_expression] = STATE(5024),
    [sym_lambda_capture_specifier] = STATE(7184),
    [sym_fold_expression] = STATE(5024),
    [sym_parameter_pack_expansion] = STATE(5024),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6886),
    [sym_qualified_identifier] = STATE(4507),
    [sym_qualified_type_identifier] = STATE(9352),
    [sym_user_defined_literal] = STATE(4507),
    [sym_identifier] = ACTIONS(3140),
    [anon_sym_LPAREN2] = ACTIONS(1472),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1474),
    [anon_sym_AMP] = ACTIONS(1474),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [sym_primitive_type] = ACTIONS(3146),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [2462] = {
    [sym__expression] = STATE(5352),
    [sym__expression_not_binary] = STATE(5575),
    [sym__string] = STATE(5575),
    [sym_conditional_expression] = STATE(5575),
    [sym_assignment_expression] = STATE(5575),
    [sym_pointer_expression] = STATE(4218),
    [sym_unary_expression] = STATE(5575),
    [sym_binary_expression] = STATE(5575),
    [sym_update_expression] = STATE(5575),
    [sym_cast_expression] = STATE(5575),
    [sym_sizeof_expression] = STATE(5575),
    [sym_alignof_expression] = STATE(5575),
    [sym_offsetof_expression] = STATE(5575),
    [sym_generic_expression] = STATE(5575),
    [sym_subscript_expression] = STATE(4218),
    [sym_call_expression] = STATE(4218),
    [sym_gnu_asm_expression] = STATE(5575),
    [sym_field_expression] = STATE(4218),
    [sym_compound_literal_expression] = STATE(5575),
    [sym_parenthesized_expression] = STATE(4218),
    [sym_char_literal] = STATE(5388),
    [sym_concatenated_string] = STATE(5429),
    [sym_string_literal] = STATE(4410),
    [sym_null] = STATE(5575),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9045),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(5575),
    [sym_raw_string_literal] = STATE(4411),
    [sym_co_await_expression] = STATE(5575),
    [sym_new_expression] = STATE(5575),
    [sym_delete_expression] = STATE(5575),
    [sym_requires_clause] = STATE(5575),
    [sym_requires_expression] = STATE(5575),
    [sym_lambda_expression] = STATE(5575),
    [sym_lambda_capture_specifier] = STATE(7089),
    [sym_fold_expression] = STATE(5575),
    [sym_parameter_pack_expansion] = STATE(5575),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6962),
    [sym_qualified_identifier] = STATE(4218),
    [sym_qualified_type_identifier] = STATE(9045),
    [sym_user_defined_literal] = STATE(4218),
    [sym_identifier] = ACTIONS(5081),
    [anon_sym_LPAREN2] = ACTIONS(5200),
    [anon_sym_BANG] = ACTIONS(4431),
    [anon_sym_TILDE] = ACTIONS(4431),
    [anon_sym_DASH] = ACTIONS(4429),
    [anon_sym_PLUS] = ACTIONS(4429),
    [anon_sym_STAR] = ACTIONS(5202),
    [anon_sym_AMP] = ACTIONS(5202),
    [anon_sym_COLON_COLON] = ACTIONS(4433),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [sym_primitive_type] = ACTIONS(4437),
    [anon_sym_not] = ACTIONS(4429),
    [anon_sym_compl] = ACTIONS(4429),
    [anon_sym_DASH_DASH] = ACTIONS(5083),
    [anon_sym_PLUS_PLUS] = ACTIONS(5083),
    [anon_sym_sizeof] = ACTIONS(4439),
    [anon_sym___alignof__] = ACTIONS(4441),
    [anon_sym___alignof] = ACTIONS(4441),
    [anon_sym__alignof] = ACTIONS(4441),
    [anon_sym_alignof] = ACTIONS(4441),
    [anon_sym__Alignof] = ACTIONS(4441),
    [anon_sym_offsetof] = ACTIONS(4443),
    [anon_sym__Generic] = ACTIONS(4445),
    [anon_sym_asm] = ACTIONS(4447),
    [anon_sym___asm__] = ACTIONS(4447),
    [sym_number_literal] = ACTIONS(4449),
    [anon_sym_L_SQUOTE] = ACTIONS(4451),
    [anon_sym_u_SQUOTE] = ACTIONS(4451),
    [anon_sym_U_SQUOTE] = ACTIONS(4451),
    [anon_sym_u8_SQUOTE] = ACTIONS(4451),
    [anon_sym_SQUOTE] = ACTIONS(4451),
    [anon_sym_L_DQUOTE] = ACTIONS(4453),
    [anon_sym_u_DQUOTE] = ACTIONS(4453),
    [anon_sym_U_DQUOTE] = ACTIONS(4453),
    [anon_sym_u8_DQUOTE] = ACTIONS(4453),
    [anon_sym_DQUOTE] = ACTIONS(4453),
    [sym_true] = ACTIONS(4455),
    [sym_false] = ACTIONS(4455),
    [anon_sym_NULL] = ACTIONS(4457),
    [anon_sym_nullptr] = ACTIONS(4457),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(4459),
    [anon_sym_R_DQUOTE] = ACTIONS(4461),
    [anon_sym_LR_DQUOTE] = ACTIONS(4461),
    [anon_sym_uR_DQUOTE] = ACTIONS(4461),
    [anon_sym_UR_DQUOTE] = ACTIONS(4461),
    [anon_sym_u8R_DQUOTE] = ACTIONS(4461),
    [anon_sym_co_await] = ACTIONS(4463),
    [anon_sym_new] = ACTIONS(4465),
    [anon_sym_requires] = ACTIONS(4467),
    [sym_this] = ACTIONS(4455),
  },
  [2463] = {
    [sym__expression] = STATE(5466),
    [sym__expression_not_binary] = STATE(5024),
    [sym__string] = STATE(5024),
    [sym_conditional_expression] = STATE(5024),
    [sym_assignment_expression] = STATE(5024),
    [sym_pointer_expression] = STATE(4507),
    [sym_unary_expression] = STATE(5024),
    [sym_binary_expression] = STATE(5024),
    [sym_update_expression] = STATE(5024),
    [sym_cast_expression] = STATE(5024),
    [sym_sizeof_expression] = STATE(5024),
    [sym_alignof_expression] = STATE(5024),
    [sym_offsetof_expression] = STATE(5024),
    [sym_generic_expression] = STATE(5024),
    [sym_subscript_expression] = STATE(4507),
    [sym_call_expression] = STATE(4507),
    [sym_gnu_asm_expression] = STATE(5024),
    [sym_field_expression] = STATE(4507),
    [sym_compound_literal_expression] = STATE(5024),
    [sym_parenthesized_expression] = STATE(4507),
    [sym_char_literal] = STATE(5374),
    [sym_concatenated_string] = STATE(5377),
    [sym_string_literal] = STATE(4206),
    [sym_null] = STATE(5024),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9352),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(5024),
    [sym_raw_string_literal] = STATE(4217),
    [sym_co_await_expression] = STATE(5024),
    [sym_new_expression] = STATE(5024),
    [sym_delete_expression] = STATE(5024),
    [sym_requires_clause] = STATE(5024),
    [sym_requires_expression] = STATE(5024),
    [sym_lambda_expression] = STATE(5024),
    [sym_lambda_capture_specifier] = STATE(7184),
    [sym_fold_expression] = STATE(5024),
    [sym_parameter_pack_expansion] = STATE(5024),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6886),
    [sym_qualified_identifier] = STATE(4507),
    [sym_qualified_type_identifier] = STATE(9352),
    [sym_user_defined_literal] = STATE(4507),
    [sym_identifier] = ACTIONS(3140),
    [anon_sym_LPAREN2] = ACTIONS(1472),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1474),
    [anon_sym_AMP] = ACTIONS(1474),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [sym_primitive_type] = ACTIONS(3146),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [2464] = {
    [sym__expression] = STATE(5499),
    [sym__expression_not_binary] = STATE(5024),
    [sym__string] = STATE(5024),
    [sym_conditional_expression] = STATE(5024),
    [sym_assignment_expression] = STATE(5024),
    [sym_pointer_expression] = STATE(4507),
    [sym_unary_expression] = STATE(5024),
    [sym_binary_expression] = STATE(5024),
    [sym_update_expression] = STATE(5024),
    [sym_cast_expression] = STATE(5024),
    [sym_sizeof_expression] = STATE(5024),
    [sym_alignof_expression] = STATE(5024),
    [sym_offsetof_expression] = STATE(5024),
    [sym_generic_expression] = STATE(5024),
    [sym_subscript_expression] = STATE(4507),
    [sym_call_expression] = STATE(4507),
    [sym_gnu_asm_expression] = STATE(5024),
    [sym_field_expression] = STATE(4507),
    [sym_compound_literal_expression] = STATE(5024),
    [sym_parenthesized_expression] = STATE(4507),
    [sym_char_literal] = STATE(5374),
    [sym_concatenated_string] = STATE(5377),
    [sym_string_literal] = STATE(4206),
    [sym_null] = STATE(5024),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9352),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(5024),
    [sym_raw_string_literal] = STATE(4217),
    [sym_co_await_expression] = STATE(5024),
    [sym_new_expression] = STATE(5024),
    [sym_delete_expression] = STATE(5024),
    [sym_requires_clause] = STATE(5024),
    [sym_requires_expression] = STATE(5024),
    [sym_lambda_expression] = STATE(5024),
    [sym_lambda_capture_specifier] = STATE(7184),
    [sym_fold_expression] = STATE(5024),
    [sym_parameter_pack_expansion] = STATE(5024),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6886),
    [sym_qualified_identifier] = STATE(4507),
    [sym_qualified_type_identifier] = STATE(9352),
    [sym_user_defined_literal] = STATE(4507),
    [sym_identifier] = ACTIONS(3140),
    [anon_sym_LPAREN2] = ACTIONS(1472),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1474),
    [anon_sym_AMP] = ACTIONS(1474),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [sym_primitive_type] = ACTIONS(3146),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [2465] = {
    [sym__expression] = STATE(5454),
    [sym__expression_not_binary] = STATE(5024),
    [sym__string] = STATE(5024),
    [sym_conditional_expression] = STATE(5024),
    [sym_assignment_expression] = STATE(5024),
    [sym_pointer_expression] = STATE(4507),
    [sym_unary_expression] = STATE(5024),
    [sym_binary_expression] = STATE(5024),
    [sym_update_expression] = STATE(5024),
    [sym_cast_expression] = STATE(5024),
    [sym_sizeof_expression] = STATE(5024),
    [sym_alignof_expression] = STATE(5024),
    [sym_offsetof_expression] = STATE(5024),
    [sym_generic_expression] = STATE(5024),
    [sym_subscript_expression] = STATE(4507),
    [sym_call_expression] = STATE(4507),
    [sym_gnu_asm_expression] = STATE(5024),
    [sym_field_expression] = STATE(4507),
    [sym_compound_literal_expression] = STATE(5024),
    [sym_parenthesized_expression] = STATE(4507),
    [sym_char_literal] = STATE(5374),
    [sym_concatenated_string] = STATE(5377),
    [sym_string_literal] = STATE(4206),
    [sym_null] = STATE(5024),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9352),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(5024),
    [sym_raw_string_literal] = STATE(4217),
    [sym_co_await_expression] = STATE(5024),
    [sym_new_expression] = STATE(5024),
    [sym_delete_expression] = STATE(5024),
    [sym_requires_clause] = STATE(5024),
    [sym_requires_expression] = STATE(5024),
    [sym_lambda_expression] = STATE(5024),
    [sym_lambda_capture_specifier] = STATE(7184),
    [sym_fold_expression] = STATE(5024),
    [sym_parameter_pack_expansion] = STATE(5024),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6886),
    [sym_qualified_identifier] = STATE(4507),
    [sym_qualified_type_identifier] = STATE(9352),
    [sym_user_defined_literal] = STATE(4507),
    [sym_identifier] = ACTIONS(3140),
    [anon_sym_LPAREN2] = ACTIONS(1472),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1474),
    [anon_sym_AMP] = ACTIONS(1474),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [sym_primitive_type] = ACTIONS(3146),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [2466] = {
    [sym__expression] = STATE(4826),
    [sym__expression_not_binary] = STATE(4939),
    [sym__string] = STATE(4939),
    [sym_conditional_expression] = STATE(4939),
    [sym_assignment_expression] = STATE(4939),
    [sym_pointer_expression] = STATE(4521),
    [sym_unary_expression] = STATE(4939),
    [sym_binary_expression] = STATE(4939),
    [sym_update_expression] = STATE(4939),
    [sym_cast_expression] = STATE(4939),
    [sym_sizeof_expression] = STATE(4939),
    [sym_alignof_expression] = STATE(4939),
    [sym_offsetof_expression] = STATE(4939),
    [sym_generic_expression] = STATE(4939),
    [sym_subscript_expression] = STATE(4521),
    [sym_call_expression] = STATE(4521),
    [sym_gnu_asm_expression] = STATE(4939),
    [sym_field_expression] = STATE(4521),
    [sym_compound_literal_expression] = STATE(4939),
    [sym_parenthesized_expression] = STATE(4521),
    [sym_char_literal] = STATE(4856),
    [sym_concatenated_string] = STATE(4876),
    [sym_string_literal] = STATE(3630),
    [sym_null] = STATE(4939),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9415),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(4939),
    [sym_raw_string_literal] = STATE(3632),
    [sym_co_await_expression] = STATE(4939),
    [sym_new_expression] = STATE(4939),
    [sym_delete_expression] = STATE(4939),
    [sym_requires_clause] = STATE(4939),
    [sym_requires_expression] = STATE(4939),
    [sym_lambda_expression] = STATE(4939),
    [sym_lambda_capture_specifier] = STATE(7190),
    [sym_fold_expression] = STATE(4939),
    [sym_parameter_pack_expansion] = STATE(4939),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6899),
    [sym_qualified_identifier] = STATE(4521),
    [sym_qualified_type_identifier] = STATE(9415),
    [sym_user_defined_literal] = STATE(4521),
    [sym_identifier] = ACTIONS(4178),
    [anon_sym_LPAREN2] = ACTIONS(2110),
    [anon_sym_BANG] = ACTIONS(2112),
    [anon_sym_TILDE] = ACTIONS(2112),
    [anon_sym_DASH] = ACTIONS(2114),
    [anon_sym_PLUS] = ACTIONS(2114),
    [anon_sym_STAR] = ACTIONS(2116),
    [anon_sym_AMP] = ACTIONS(2116),
    [anon_sym_COLON_COLON] = ACTIONS(2120),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [sym_primitive_type] = ACTIONS(4182),
    [anon_sym_not] = ACTIONS(2114),
    [anon_sym_compl] = ACTIONS(2114),
    [anon_sym_DASH_DASH] = ACTIONS(2132),
    [anon_sym_PLUS_PLUS] = ACTIONS(2132),
    [anon_sym_sizeof] = ACTIONS(2134),
    [anon_sym___alignof__] = ACTIONS(2136),
    [anon_sym___alignof] = ACTIONS(2136),
    [anon_sym__alignof] = ACTIONS(2136),
    [anon_sym_alignof] = ACTIONS(2136),
    [anon_sym__Alignof] = ACTIONS(2136),
    [anon_sym_offsetof] = ACTIONS(2138),
    [anon_sym__Generic] = ACTIONS(2140),
    [anon_sym_asm] = ACTIONS(2142),
    [anon_sym___asm__] = ACTIONS(2142),
    [sym_number_literal] = ACTIONS(2144),
    [anon_sym_L_SQUOTE] = ACTIONS(2146),
    [anon_sym_u_SQUOTE] = ACTIONS(2146),
    [anon_sym_U_SQUOTE] = ACTIONS(2146),
    [anon_sym_u8_SQUOTE] = ACTIONS(2146),
    [anon_sym_SQUOTE] = ACTIONS(2146),
    [anon_sym_L_DQUOTE] = ACTIONS(2148),
    [anon_sym_u_DQUOTE] = ACTIONS(2148),
    [anon_sym_U_DQUOTE] = ACTIONS(2148),
    [anon_sym_u8_DQUOTE] = ACTIONS(2148),
    [anon_sym_DQUOTE] = ACTIONS(2148),
    [sym_true] = ACTIONS(2150),
    [sym_false] = ACTIONS(2150),
    [anon_sym_NULL] = ACTIONS(2152),
    [anon_sym_nullptr] = ACTIONS(2152),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(2156),
    [anon_sym_R_DQUOTE] = ACTIONS(2158),
    [anon_sym_LR_DQUOTE] = ACTIONS(2158),
    [anon_sym_uR_DQUOTE] = ACTIONS(2158),
    [anon_sym_UR_DQUOTE] = ACTIONS(2158),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2158),
    [anon_sym_co_await] = ACTIONS(2160),
    [anon_sym_new] = ACTIONS(2162),
    [anon_sym_requires] = ACTIONS(2164),
    [sym_this] = ACTIONS(2150),
  },
  [2467] = {
    [sym__expression] = STATE(4347),
    [sym__expression_not_binary] = STATE(4695),
    [sym__string] = STATE(4695),
    [sym_conditional_expression] = STATE(4695),
    [sym_assignment_expression] = STATE(4695),
    [sym_pointer_expression] = STATE(4695),
    [sym_unary_expression] = STATE(4695),
    [sym_binary_expression] = STATE(4695),
    [sym_update_expression] = STATE(4695),
    [sym_cast_expression] = STATE(4695),
    [sym_sizeof_expression] = STATE(4695),
    [sym_alignof_expression] = STATE(4695),
    [sym_offsetof_expression] = STATE(4695),
    [sym_generic_expression] = STATE(4695),
    [sym_subscript_expression] = STATE(4695),
    [sym_call_expression] = STATE(4695),
    [sym_gnu_asm_expression] = STATE(4695),
    [sym_field_expression] = STATE(4695),
    [sym_compound_literal_expression] = STATE(4695),
    [sym_parenthesized_expression] = STATE(4695),
    [sym_char_literal] = STATE(4427),
    [sym_concatenated_string] = STATE(4424),
    [sym_string_literal] = STATE(3398),
    [sym_null] = STATE(4695),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9425),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(4695),
    [sym_raw_string_literal] = STATE(3396),
    [sym_co_await_expression] = STATE(4695),
    [sym_new_expression] = STATE(4695),
    [sym_delete_expression] = STATE(4695),
    [sym_requires_clause] = STATE(4695),
    [sym_requires_expression] = STATE(4695),
    [sym_lambda_expression] = STATE(4695),
    [sym_lambda_capture_specifier] = STATE(7185),
    [sym_fold_expression] = STATE(4695),
    [sym_parameter_pack_expansion] = STATE(4695),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6899),
    [sym_qualified_identifier] = STATE(4695),
    [sym_qualified_type_identifier] = STATE(9425),
    [sym_user_defined_literal] = STATE(4695),
    [sym_identifier] = ACTIONS(4092),
    [anon_sym_LPAREN2] = ACTIONS(4188),
    [anon_sym_BANG] = ACTIONS(2532),
    [anon_sym_TILDE] = ACTIONS(2532),
    [anon_sym_DASH] = ACTIONS(2536),
    [anon_sym_PLUS] = ACTIONS(2536),
    [anon_sym_STAR] = ACTIONS(2116),
    [anon_sym_AMP] = ACTIONS(2116),
    [anon_sym_COLON_COLON] = ACTIONS(2542),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [sym_primitive_type] = ACTIONS(4096),
    [anon_sym_not] = ACTIONS(2536),
    [anon_sym_compl] = ACTIONS(2536),
    [anon_sym_DASH_DASH] = ACTIONS(2560),
    [anon_sym_PLUS_PLUS] = ACTIONS(2560),
    [anon_sym_sizeof] = ACTIONS(2562),
    [anon_sym___alignof__] = ACTIONS(2564),
    [anon_sym___alignof] = ACTIONS(2564),
    [anon_sym__alignof] = ACTIONS(2564),
    [anon_sym_alignof] = ACTIONS(2564),
    [anon_sym__Alignof] = ACTIONS(2564),
    [anon_sym_offsetof] = ACTIONS(2566),
    [anon_sym__Generic] = ACTIONS(2568),
    [anon_sym_asm] = ACTIONS(2570),
    [anon_sym___asm__] = ACTIONS(2570),
    [sym_number_literal] = ACTIONS(2572),
    [anon_sym_L_SQUOTE] = ACTIONS(2574),
    [anon_sym_u_SQUOTE] = ACTIONS(2574),
    [anon_sym_U_SQUOTE] = ACTIONS(2574),
    [anon_sym_u8_SQUOTE] = ACTIONS(2574),
    [anon_sym_SQUOTE] = ACTIONS(2574),
    [anon_sym_L_DQUOTE] = ACTIONS(2576),
    [anon_sym_u_DQUOTE] = ACTIONS(2576),
    [anon_sym_U_DQUOTE] = ACTIONS(2576),
    [anon_sym_u8_DQUOTE] = ACTIONS(2576),
    [anon_sym_DQUOTE] = ACTIONS(2576),
    [sym_true] = ACTIONS(2578),
    [sym_false] = ACTIONS(2578),
    [anon_sym_NULL] = ACTIONS(2580),
    [anon_sym_nullptr] = ACTIONS(2580),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(2590),
    [anon_sym_R_DQUOTE] = ACTIONS(2592),
    [anon_sym_LR_DQUOTE] = ACTIONS(2592),
    [anon_sym_uR_DQUOTE] = ACTIONS(2592),
    [anon_sym_UR_DQUOTE] = ACTIONS(2592),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2592),
    [anon_sym_co_await] = ACTIONS(2594),
    [anon_sym_new] = ACTIONS(2596),
    [anon_sym_requires] = ACTIONS(2598),
    [sym_this] = ACTIONS(2578),
  },
  [2468] = {
    [sym__expression] = STATE(4347),
    [sym__expression_not_binary] = STATE(4695),
    [sym__string] = STATE(4695),
    [sym_conditional_expression] = STATE(4695),
    [sym_assignment_expression] = STATE(4695),
    [sym_pointer_expression] = STATE(4695),
    [sym_unary_expression] = STATE(4695),
    [sym_binary_expression] = STATE(4695),
    [sym_update_expression] = STATE(4695),
    [sym_cast_expression] = STATE(4695),
    [sym_sizeof_expression] = STATE(4695),
    [sym_alignof_expression] = STATE(4695),
    [sym_offsetof_expression] = STATE(4695),
    [sym_generic_expression] = STATE(4695),
    [sym_subscript_expression] = STATE(4695),
    [sym_call_expression] = STATE(4695),
    [sym_gnu_asm_expression] = STATE(4695),
    [sym_field_expression] = STATE(4695),
    [sym_compound_literal_expression] = STATE(4695),
    [sym_parenthesized_expression] = STATE(4695),
    [sym_char_literal] = STATE(4427),
    [sym_concatenated_string] = STATE(4424),
    [sym_string_literal] = STATE(3398),
    [sym_null] = STATE(4695),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9425),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(4695),
    [sym_raw_string_literal] = STATE(3396),
    [sym_co_await_expression] = STATE(4695),
    [sym_new_expression] = STATE(4695),
    [sym_delete_expression] = STATE(4695),
    [sym_requires_clause] = STATE(4695),
    [sym_requires_expression] = STATE(4695),
    [sym_lambda_expression] = STATE(4695),
    [sym_lambda_capture_specifier] = STATE(7185),
    [sym_fold_expression] = STATE(4695),
    [sym_parameter_pack_expansion] = STATE(4695),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6899),
    [sym_qualified_identifier] = STATE(4695),
    [sym_qualified_type_identifier] = STATE(9425),
    [sym_user_defined_literal] = STATE(4695),
    [sym_identifier] = ACTIONS(5549),
    [anon_sym_LPAREN2] = ACTIONS(4188),
    [anon_sym_BANG] = ACTIONS(2532),
    [anon_sym_TILDE] = ACTIONS(2532),
    [anon_sym_DASH] = ACTIONS(2536),
    [anon_sym_PLUS] = ACTIONS(2536),
    [anon_sym_STAR] = ACTIONS(2116),
    [anon_sym_AMP] = ACTIONS(2116),
    [anon_sym_COLON_COLON] = ACTIONS(2542),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [sym_primitive_type] = ACTIONS(4096),
    [anon_sym_not] = ACTIONS(2536),
    [anon_sym_compl] = ACTIONS(2536),
    [anon_sym_DASH_DASH] = ACTIONS(2560),
    [anon_sym_PLUS_PLUS] = ACTIONS(2560),
    [anon_sym_sizeof] = ACTIONS(2562),
    [anon_sym___alignof__] = ACTIONS(2564),
    [anon_sym___alignof] = ACTIONS(2564),
    [anon_sym__alignof] = ACTIONS(2564),
    [anon_sym_alignof] = ACTIONS(2564),
    [anon_sym__Alignof] = ACTIONS(2564),
    [anon_sym_offsetof] = ACTIONS(2566),
    [anon_sym__Generic] = ACTIONS(2568),
    [anon_sym_asm] = ACTIONS(2570),
    [anon_sym___asm__] = ACTIONS(2570),
    [sym_number_literal] = ACTIONS(2572),
    [anon_sym_L_SQUOTE] = ACTIONS(2574),
    [anon_sym_u_SQUOTE] = ACTIONS(2574),
    [anon_sym_U_SQUOTE] = ACTIONS(2574),
    [anon_sym_u8_SQUOTE] = ACTIONS(2574),
    [anon_sym_SQUOTE] = ACTIONS(2574),
    [anon_sym_L_DQUOTE] = ACTIONS(2576),
    [anon_sym_u_DQUOTE] = ACTIONS(2576),
    [anon_sym_U_DQUOTE] = ACTIONS(2576),
    [anon_sym_u8_DQUOTE] = ACTIONS(2576),
    [anon_sym_DQUOTE] = ACTIONS(2576),
    [sym_true] = ACTIONS(2578),
    [sym_false] = ACTIONS(2578),
    [anon_sym_NULL] = ACTIONS(2580),
    [anon_sym_nullptr] = ACTIONS(2580),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(2590),
    [anon_sym_R_DQUOTE] = ACTIONS(2592),
    [anon_sym_LR_DQUOTE] = ACTIONS(2592),
    [anon_sym_uR_DQUOTE] = ACTIONS(2592),
    [anon_sym_UR_DQUOTE] = ACTIONS(2592),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2592),
    [anon_sym_co_await] = ACTIONS(2594),
    [anon_sym_new] = ACTIONS(2596),
    [anon_sym_requires] = ACTIONS(2598),
    [sym_this] = ACTIONS(2578),
  },
  [2469] = {
    [sym__expression] = STATE(5863),
    [sym__expression_not_binary] = STATE(5024),
    [sym__string] = STATE(5024),
    [sym_conditional_expression] = STATE(5024),
    [sym_assignment_expression] = STATE(5024),
    [sym_pointer_expression] = STATE(4507),
    [sym_unary_expression] = STATE(5024),
    [sym_binary_expression] = STATE(5024),
    [sym_update_expression] = STATE(5024),
    [sym_cast_expression] = STATE(5024),
    [sym_sizeof_expression] = STATE(5024),
    [sym_alignof_expression] = STATE(5024),
    [sym_offsetof_expression] = STATE(5024),
    [sym_generic_expression] = STATE(5024),
    [sym_subscript_expression] = STATE(4507),
    [sym_call_expression] = STATE(4507),
    [sym_gnu_asm_expression] = STATE(5024),
    [sym_field_expression] = STATE(4507),
    [sym_compound_literal_expression] = STATE(5024),
    [sym_parenthesized_expression] = STATE(4507),
    [sym_char_literal] = STATE(5374),
    [sym_concatenated_string] = STATE(5377),
    [sym_string_literal] = STATE(4206),
    [sym_null] = STATE(5024),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9352),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(5024),
    [sym_raw_string_literal] = STATE(4217),
    [sym_co_await_expression] = STATE(5024),
    [sym_new_expression] = STATE(5024),
    [sym_delete_expression] = STATE(5024),
    [sym_requires_clause] = STATE(5024),
    [sym_requires_expression] = STATE(5024),
    [sym_lambda_expression] = STATE(5024),
    [sym_lambda_capture_specifier] = STATE(7184),
    [sym_fold_expression] = STATE(5024),
    [sym_parameter_pack_expansion] = STATE(5024),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6886),
    [sym_qualified_identifier] = STATE(4507),
    [sym_qualified_type_identifier] = STATE(9352),
    [sym_user_defined_literal] = STATE(4507),
    [sym_identifier] = ACTIONS(3140),
    [anon_sym_LPAREN2] = ACTIONS(1472),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1474),
    [anon_sym_AMP] = ACTIONS(1474),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [sym_primitive_type] = ACTIONS(3146),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [2470] = {
    [sym__expression] = STATE(4717),
    [sym__expression_not_binary] = STATE(4939),
    [sym__string] = STATE(4939),
    [sym_conditional_expression] = STATE(4939),
    [sym_assignment_expression] = STATE(4939),
    [sym_pointer_expression] = STATE(4521),
    [sym_unary_expression] = STATE(4939),
    [sym_binary_expression] = STATE(4939),
    [sym_update_expression] = STATE(4939),
    [sym_cast_expression] = STATE(4939),
    [sym_sizeof_expression] = STATE(4939),
    [sym_alignof_expression] = STATE(4939),
    [sym_offsetof_expression] = STATE(4939),
    [sym_generic_expression] = STATE(4939),
    [sym_subscript_expression] = STATE(4521),
    [sym_call_expression] = STATE(4521),
    [sym_gnu_asm_expression] = STATE(4939),
    [sym_field_expression] = STATE(4521),
    [sym_compound_literal_expression] = STATE(4939),
    [sym_parenthesized_expression] = STATE(4521),
    [sym_char_literal] = STATE(4856),
    [sym_concatenated_string] = STATE(4876),
    [sym_string_literal] = STATE(3630),
    [sym_null] = STATE(4939),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9415),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(4939),
    [sym_raw_string_literal] = STATE(3632),
    [sym_co_await_expression] = STATE(4939),
    [sym_new_expression] = STATE(4939),
    [sym_delete_expression] = STATE(4939),
    [sym_requires_clause] = STATE(4939),
    [sym_requires_expression] = STATE(4939),
    [sym_lambda_expression] = STATE(4939),
    [sym_lambda_capture_specifier] = STATE(7190),
    [sym_fold_expression] = STATE(4939),
    [sym_parameter_pack_expansion] = STATE(4939),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6899),
    [sym_qualified_identifier] = STATE(4521),
    [sym_qualified_type_identifier] = STATE(9415),
    [sym_user_defined_literal] = STATE(4521),
    [sym_identifier] = ACTIONS(4178),
    [anon_sym_LPAREN2] = ACTIONS(2110),
    [anon_sym_BANG] = ACTIONS(2112),
    [anon_sym_TILDE] = ACTIONS(2112),
    [anon_sym_DASH] = ACTIONS(2114),
    [anon_sym_PLUS] = ACTIONS(2114),
    [anon_sym_STAR] = ACTIONS(2116),
    [anon_sym_AMP] = ACTIONS(2116),
    [anon_sym_COLON_COLON] = ACTIONS(2120),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [sym_primitive_type] = ACTIONS(4182),
    [anon_sym_not] = ACTIONS(2114),
    [anon_sym_compl] = ACTIONS(2114),
    [anon_sym_DASH_DASH] = ACTIONS(2132),
    [anon_sym_PLUS_PLUS] = ACTIONS(2132),
    [anon_sym_sizeof] = ACTIONS(2134),
    [anon_sym___alignof__] = ACTIONS(2136),
    [anon_sym___alignof] = ACTIONS(2136),
    [anon_sym__alignof] = ACTIONS(2136),
    [anon_sym_alignof] = ACTIONS(2136),
    [anon_sym__Alignof] = ACTIONS(2136),
    [anon_sym_offsetof] = ACTIONS(2138),
    [anon_sym__Generic] = ACTIONS(2140),
    [anon_sym_asm] = ACTIONS(2142),
    [anon_sym___asm__] = ACTIONS(2142),
    [sym_number_literal] = ACTIONS(2144),
    [anon_sym_L_SQUOTE] = ACTIONS(2146),
    [anon_sym_u_SQUOTE] = ACTIONS(2146),
    [anon_sym_U_SQUOTE] = ACTIONS(2146),
    [anon_sym_u8_SQUOTE] = ACTIONS(2146),
    [anon_sym_SQUOTE] = ACTIONS(2146),
    [anon_sym_L_DQUOTE] = ACTIONS(2148),
    [anon_sym_u_DQUOTE] = ACTIONS(2148),
    [anon_sym_U_DQUOTE] = ACTIONS(2148),
    [anon_sym_u8_DQUOTE] = ACTIONS(2148),
    [anon_sym_DQUOTE] = ACTIONS(2148),
    [sym_true] = ACTIONS(2150),
    [sym_false] = ACTIONS(2150),
    [anon_sym_NULL] = ACTIONS(2152),
    [anon_sym_nullptr] = ACTIONS(2152),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(2156),
    [anon_sym_R_DQUOTE] = ACTIONS(2158),
    [anon_sym_LR_DQUOTE] = ACTIONS(2158),
    [anon_sym_uR_DQUOTE] = ACTIONS(2158),
    [anon_sym_UR_DQUOTE] = ACTIONS(2158),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2158),
    [anon_sym_co_await] = ACTIONS(2160),
    [anon_sym_new] = ACTIONS(2162),
    [anon_sym_requires] = ACTIONS(2164),
    [sym_this] = ACTIONS(2150),
  },
  [2471] = {
    [sym__expression] = STATE(4716),
    [sym__expression_not_binary] = STATE(4939),
    [sym__string] = STATE(4939),
    [sym_conditional_expression] = STATE(4939),
    [sym_assignment_expression] = STATE(4939),
    [sym_pointer_expression] = STATE(4521),
    [sym_unary_expression] = STATE(4939),
    [sym_binary_expression] = STATE(4939),
    [sym_update_expression] = STATE(4939),
    [sym_cast_expression] = STATE(4939),
    [sym_sizeof_expression] = STATE(4939),
    [sym_alignof_expression] = STATE(4939),
    [sym_offsetof_expression] = STATE(4939),
    [sym_generic_expression] = STATE(4939),
    [sym_subscript_expression] = STATE(4521),
    [sym_call_expression] = STATE(4521),
    [sym_gnu_asm_expression] = STATE(4939),
    [sym_field_expression] = STATE(4521),
    [sym_compound_literal_expression] = STATE(4939),
    [sym_parenthesized_expression] = STATE(4521),
    [sym_char_literal] = STATE(4856),
    [sym_concatenated_string] = STATE(4876),
    [sym_string_literal] = STATE(3630),
    [sym_null] = STATE(4939),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9415),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(4939),
    [sym_raw_string_literal] = STATE(3632),
    [sym_co_await_expression] = STATE(4939),
    [sym_new_expression] = STATE(4939),
    [sym_delete_expression] = STATE(4939),
    [sym_requires_clause] = STATE(4939),
    [sym_requires_expression] = STATE(4939),
    [sym_lambda_expression] = STATE(4939),
    [sym_lambda_capture_specifier] = STATE(7190),
    [sym_fold_expression] = STATE(4939),
    [sym_parameter_pack_expansion] = STATE(4939),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6899),
    [sym_qualified_identifier] = STATE(4521),
    [sym_qualified_type_identifier] = STATE(9415),
    [sym_user_defined_literal] = STATE(4521),
    [sym_identifier] = ACTIONS(4178),
    [anon_sym_LPAREN2] = ACTIONS(2110),
    [anon_sym_BANG] = ACTIONS(2112),
    [anon_sym_TILDE] = ACTIONS(2112),
    [anon_sym_DASH] = ACTIONS(2114),
    [anon_sym_PLUS] = ACTIONS(2114),
    [anon_sym_STAR] = ACTIONS(2116),
    [anon_sym_AMP] = ACTIONS(2116),
    [anon_sym_COLON_COLON] = ACTIONS(2120),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [sym_primitive_type] = ACTIONS(4182),
    [anon_sym_not] = ACTIONS(2114),
    [anon_sym_compl] = ACTIONS(2114),
    [anon_sym_DASH_DASH] = ACTIONS(2132),
    [anon_sym_PLUS_PLUS] = ACTIONS(2132),
    [anon_sym_sizeof] = ACTIONS(2134),
    [anon_sym___alignof__] = ACTIONS(2136),
    [anon_sym___alignof] = ACTIONS(2136),
    [anon_sym__alignof] = ACTIONS(2136),
    [anon_sym_alignof] = ACTIONS(2136),
    [anon_sym__Alignof] = ACTIONS(2136),
    [anon_sym_offsetof] = ACTIONS(2138),
    [anon_sym__Generic] = ACTIONS(2140),
    [anon_sym_asm] = ACTIONS(2142),
    [anon_sym___asm__] = ACTIONS(2142),
    [sym_number_literal] = ACTIONS(2144),
    [anon_sym_L_SQUOTE] = ACTIONS(2146),
    [anon_sym_u_SQUOTE] = ACTIONS(2146),
    [anon_sym_U_SQUOTE] = ACTIONS(2146),
    [anon_sym_u8_SQUOTE] = ACTIONS(2146),
    [anon_sym_SQUOTE] = ACTIONS(2146),
    [anon_sym_L_DQUOTE] = ACTIONS(2148),
    [anon_sym_u_DQUOTE] = ACTIONS(2148),
    [anon_sym_U_DQUOTE] = ACTIONS(2148),
    [anon_sym_u8_DQUOTE] = ACTIONS(2148),
    [anon_sym_DQUOTE] = ACTIONS(2148),
    [sym_true] = ACTIONS(2150),
    [sym_false] = ACTIONS(2150),
    [anon_sym_NULL] = ACTIONS(2152),
    [anon_sym_nullptr] = ACTIONS(2152),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(2156),
    [anon_sym_R_DQUOTE] = ACTIONS(2158),
    [anon_sym_LR_DQUOTE] = ACTIONS(2158),
    [anon_sym_uR_DQUOTE] = ACTIONS(2158),
    [anon_sym_UR_DQUOTE] = ACTIONS(2158),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2158),
    [anon_sym_co_await] = ACTIONS(2160),
    [anon_sym_new] = ACTIONS(2162),
    [anon_sym_requires] = ACTIONS(2164),
    [sym_this] = ACTIONS(2150),
  },
  [2472] = {
    [sym__expression] = STATE(5506),
    [sym__expression_not_binary] = STATE(5024),
    [sym__string] = STATE(5024),
    [sym_conditional_expression] = STATE(5024),
    [sym_assignment_expression] = STATE(5024),
    [sym_pointer_expression] = STATE(4507),
    [sym_unary_expression] = STATE(5024),
    [sym_binary_expression] = STATE(5024),
    [sym_update_expression] = STATE(5024),
    [sym_cast_expression] = STATE(5024),
    [sym_sizeof_expression] = STATE(5024),
    [sym_alignof_expression] = STATE(5024),
    [sym_offsetof_expression] = STATE(5024),
    [sym_generic_expression] = STATE(5024),
    [sym_subscript_expression] = STATE(4507),
    [sym_call_expression] = STATE(4507),
    [sym_gnu_asm_expression] = STATE(5024),
    [sym_field_expression] = STATE(4507),
    [sym_compound_literal_expression] = STATE(5024),
    [sym_parenthesized_expression] = STATE(4507),
    [sym_char_literal] = STATE(5374),
    [sym_concatenated_string] = STATE(5377),
    [sym_string_literal] = STATE(4206),
    [sym_null] = STATE(5024),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9352),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(5024),
    [sym_raw_string_literal] = STATE(4217),
    [sym_co_await_expression] = STATE(5024),
    [sym_new_expression] = STATE(5024),
    [sym_delete_expression] = STATE(5024),
    [sym_requires_clause] = STATE(5024),
    [sym_requires_expression] = STATE(5024),
    [sym_lambda_expression] = STATE(5024),
    [sym_lambda_capture_specifier] = STATE(7184),
    [sym_fold_expression] = STATE(5024),
    [sym_parameter_pack_expansion] = STATE(5024),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6886),
    [sym_qualified_identifier] = STATE(4507),
    [sym_qualified_type_identifier] = STATE(9352),
    [sym_user_defined_literal] = STATE(4507),
    [sym_identifier] = ACTIONS(3140),
    [anon_sym_LPAREN2] = ACTIONS(1472),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1474),
    [anon_sym_AMP] = ACTIONS(1474),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [sym_primitive_type] = ACTIONS(3146),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [2473] = {
    [sym__expression] = STATE(5884),
    [sym__expression_not_binary] = STATE(5024),
    [sym__string] = STATE(5024),
    [sym_conditional_expression] = STATE(5024),
    [sym_assignment_expression] = STATE(5024),
    [sym_pointer_expression] = STATE(4507),
    [sym_unary_expression] = STATE(5024),
    [sym_binary_expression] = STATE(5024),
    [sym_update_expression] = STATE(5024),
    [sym_cast_expression] = STATE(5024),
    [sym_sizeof_expression] = STATE(5024),
    [sym_alignof_expression] = STATE(5024),
    [sym_offsetof_expression] = STATE(5024),
    [sym_generic_expression] = STATE(5024),
    [sym_subscript_expression] = STATE(4507),
    [sym_call_expression] = STATE(4507),
    [sym_gnu_asm_expression] = STATE(5024),
    [sym_field_expression] = STATE(4507),
    [sym_compound_literal_expression] = STATE(5024),
    [sym_parenthesized_expression] = STATE(4507),
    [sym_char_literal] = STATE(5374),
    [sym_concatenated_string] = STATE(5377),
    [sym_string_literal] = STATE(4206),
    [sym_null] = STATE(5024),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9352),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(5024),
    [sym_raw_string_literal] = STATE(4217),
    [sym_co_await_expression] = STATE(5024),
    [sym_new_expression] = STATE(5024),
    [sym_delete_expression] = STATE(5024),
    [sym_requires_clause] = STATE(5024),
    [sym_requires_expression] = STATE(5024),
    [sym_lambda_expression] = STATE(5024),
    [sym_lambda_capture_specifier] = STATE(7184),
    [sym_fold_expression] = STATE(5024),
    [sym_parameter_pack_expansion] = STATE(5024),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6886),
    [sym_qualified_identifier] = STATE(4507),
    [sym_qualified_type_identifier] = STATE(9352),
    [sym_user_defined_literal] = STATE(4507),
    [sym_identifier] = ACTIONS(3140),
    [anon_sym_LPAREN2] = ACTIONS(1472),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1474),
    [anon_sym_AMP] = ACTIONS(1474),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [sym_primitive_type] = ACTIONS(3146),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [2474] = {
    [sym__expression] = STATE(4715),
    [sym__expression_not_binary] = STATE(4939),
    [sym__string] = STATE(4939),
    [sym_conditional_expression] = STATE(4939),
    [sym_assignment_expression] = STATE(4939),
    [sym_pointer_expression] = STATE(4521),
    [sym_unary_expression] = STATE(4939),
    [sym_binary_expression] = STATE(4939),
    [sym_update_expression] = STATE(4939),
    [sym_cast_expression] = STATE(4939),
    [sym_sizeof_expression] = STATE(4939),
    [sym_alignof_expression] = STATE(4939),
    [sym_offsetof_expression] = STATE(4939),
    [sym_generic_expression] = STATE(4939),
    [sym_subscript_expression] = STATE(4521),
    [sym_call_expression] = STATE(4521),
    [sym_gnu_asm_expression] = STATE(4939),
    [sym_field_expression] = STATE(4521),
    [sym_compound_literal_expression] = STATE(4939),
    [sym_parenthesized_expression] = STATE(4521),
    [sym_char_literal] = STATE(4856),
    [sym_concatenated_string] = STATE(4876),
    [sym_string_literal] = STATE(3630),
    [sym_null] = STATE(4939),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9415),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(4939),
    [sym_raw_string_literal] = STATE(3632),
    [sym_co_await_expression] = STATE(4939),
    [sym_new_expression] = STATE(4939),
    [sym_delete_expression] = STATE(4939),
    [sym_requires_clause] = STATE(4939),
    [sym_requires_expression] = STATE(4939),
    [sym_lambda_expression] = STATE(4939),
    [sym_lambda_capture_specifier] = STATE(7190),
    [sym_fold_expression] = STATE(4939),
    [sym_parameter_pack_expansion] = STATE(4939),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6899),
    [sym_qualified_identifier] = STATE(4521),
    [sym_qualified_type_identifier] = STATE(9415),
    [sym_user_defined_literal] = STATE(4521),
    [sym_identifier] = ACTIONS(4178),
    [anon_sym_LPAREN2] = ACTIONS(2110),
    [anon_sym_BANG] = ACTIONS(2112),
    [anon_sym_TILDE] = ACTIONS(2112),
    [anon_sym_DASH] = ACTIONS(2114),
    [anon_sym_PLUS] = ACTIONS(2114),
    [anon_sym_STAR] = ACTIONS(2116),
    [anon_sym_AMP] = ACTIONS(2116),
    [anon_sym_COLON_COLON] = ACTIONS(2120),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [sym_primitive_type] = ACTIONS(4182),
    [anon_sym_not] = ACTIONS(2114),
    [anon_sym_compl] = ACTIONS(2114),
    [anon_sym_DASH_DASH] = ACTIONS(2132),
    [anon_sym_PLUS_PLUS] = ACTIONS(2132),
    [anon_sym_sizeof] = ACTIONS(2134),
    [anon_sym___alignof__] = ACTIONS(2136),
    [anon_sym___alignof] = ACTIONS(2136),
    [anon_sym__alignof] = ACTIONS(2136),
    [anon_sym_alignof] = ACTIONS(2136),
    [anon_sym__Alignof] = ACTIONS(2136),
    [anon_sym_offsetof] = ACTIONS(2138),
    [anon_sym__Generic] = ACTIONS(2140),
    [anon_sym_asm] = ACTIONS(2142),
    [anon_sym___asm__] = ACTIONS(2142),
    [sym_number_literal] = ACTIONS(2144),
    [anon_sym_L_SQUOTE] = ACTIONS(2146),
    [anon_sym_u_SQUOTE] = ACTIONS(2146),
    [anon_sym_U_SQUOTE] = ACTIONS(2146),
    [anon_sym_u8_SQUOTE] = ACTIONS(2146),
    [anon_sym_SQUOTE] = ACTIONS(2146),
    [anon_sym_L_DQUOTE] = ACTIONS(2148),
    [anon_sym_u_DQUOTE] = ACTIONS(2148),
    [anon_sym_U_DQUOTE] = ACTIONS(2148),
    [anon_sym_u8_DQUOTE] = ACTIONS(2148),
    [anon_sym_DQUOTE] = ACTIONS(2148),
    [sym_true] = ACTIONS(2150),
    [sym_false] = ACTIONS(2150),
    [anon_sym_NULL] = ACTIONS(2152),
    [anon_sym_nullptr] = ACTIONS(2152),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(2156),
    [anon_sym_R_DQUOTE] = ACTIONS(2158),
    [anon_sym_LR_DQUOTE] = ACTIONS(2158),
    [anon_sym_uR_DQUOTE] = ACTIONS(2158),
    [anon_sym_UR_DQUOTE] = ACTIONS(2158),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2158),
    [anon_sym_co_await] = ACTIONS(2160),
    [anon_sym_new] = ACTIONS(2162),
    [anon_sym_requires] = ACTIONS(2164),
    [sym_this] = ACTIONS(2150),
  },
  [2475] = {
    [sym__expression] = STATE(5919),
    [sym__expression_not_binary] = STATE(5024),
    [sym__string] = STATE(5024),
    [sym_conditional_expression] = STATE(5024),
    [sym_assignment_expression] = STATE(5024),
    [sym_pointer_expression] = STATE(4507),
    [sym_unary_expression] = STATE(5024),
    [sym_binary_expression] = STATE(5024),
    [sym_update_expression] = STATE(5024),
    [sym_cast_expression] = STATE(5024),
    [sym_sizeof_expression] = STATE(5024),
    [sym_alignof_expression] = STATE(5024),
    [sym_offsetof_expression] = STATE(5024),
    [sym_generic_expression] = STATE(5024),
    [sym_subscript_expression] = STATE(4507),
    [sym_call_expression] = STATE(4507),
    [sym_gnu_asm_expression] = STATE(5024),
    [sym_field_expression] = STATE(4507),
    [sym_compound_literal_expression] = STATE(5024),
    [sym_parenthesized_expression] = STATE(4507),
    [sym_char_literal] = STATE(5374),
    [sym_concatenated_string] = STATE(5377),
    [sym_string_literal] = STATE(4206),
    [sym_null] = STATE(5024),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9352),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(5024),
    [sym_raw_string_literal] = STATE(4217),
    [sym_co_await_expression] = STATE(5024),
    [sym_new_expression] = STATE(5024),
    [sym_delete_expression] = STATE(5024),
    [sym_requires_clause] = STATE(5024),
    [sym_requires_expression] = STATE(5024),
    [sym_lambda_expression] = STATE(5024),
    [sym_lambda_capture_specifier] = STATE(7184),
    [sym_fold_expression] = STATE(5024),
    [sym_parameter_pack_expansion] = STATE(5024),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6886),
    [sym_qualified_identifier] = STATE(4507),
    [sym_qualified_type_identifier] = STATE(9352),
    [sym_user_defined_literal] = STATE(4507),
    [sym_identifier] = ACTIONS(3140),
    [anon_sym_LPAREN2] = ACTIONS(1472),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1474),
    [anon_sym_AMP] = ACTIONS(1474),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [sym_primitive_type] = ACTIONS(3146),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [2476] = {
    [sym__expression] = STATE(4795),
    [sym__expression_not_binary] = STATE(4939),
    [sym__string] = STATE(4939),
    [sym_conditional_expression] = STATE(4939),
    [sym_assignment_expression] = STATE(4939),
    [sym_pointer_expression] = STATE(4521),
    [sym_unary_expression] = STATE(4939),
    [sym_binary_expression] = STATE(4939),
    [sym_update_expression] = STATE(4939),
    [sym_cast_expression] = STATE(4939),
    [sym_sizeof_expression] = STATE(4939),
    [sym_alignof_expression] = STATE(4939),
    [sym_offsetof_expression] = STATE(4939),
    [sym_generic_expression] = STATE(4939),
    [sym_subscript_expression] = STATE(4521),
    [sym_call_expression] = STATE(4521),
    [sym_gnu_asm_expression] = STATE(4939),
    [sym_field_expression] = STATE(4521),
    [sym_compound_literal_expression] = STATE(4939),
    [sym_parenthesized_expression] = STATE(4521),
    [sym_char_literal] = STATE(4856),
    [sym_concatenated_string] = STATE(4876),
    [sym_string_literal] = STATE(3630),
    [sym_null] = STATE(4939),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9415),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(4939),
    [sym_raw_string_literal] = STATE(3632),
    [sym_co_await_expression] = STATE(4939),
    [sym_new_expression] = STATE(4939),
    [sym_delete_expression] = STATE(4939),
    [sym_requires_clause] = STATE(4939),
    [sym_requires_expression] = STATE(4939),
    [sym_lambda_expression] = STATE(4939),
    [sym_lambda_capture_specifier] = STATE(7190),
    [sym_fold_expression] = STATE(4939),
    [sym_parameter_pack_expansion] = STATE(4939),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6899),
    [sym_qualified_identifier] = STATE(4521),
    [sym_qualified_type_identifier] = STATE(9415),
    [sym_user_defined_literal] = STATE(4521),
    [sym_identifier] = ACTIONS(4178),
    [anon_sym_LPAREN2] = ACTIONS(2110),
    [anon_sym_BANG] = ACTIONS(2112),
    [anon_sym_TILDE] = ACTIONS(2112),
    [anon_sym_DASH] = ACTIONS(2114),
    [anon_sym_PLUS] = ACTIONS(2114),
    [anon_sym_STAR] = ACTIONS(2116),
    [anon_sym_AMP] = ACTIONS(2116),
    [anon_sym_COLON_COLON] = ACTIONS(2120),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [sym_primitive_type] = ACTIONS(4182),
    [anon_sym_not] = ACTIONS(2114),
    [anon_sym_compl] = ACTIONS(2114),
    [anon_sym_DASH_DASH] = ACTIONS(2132),
    [anon_sym_PLUS_PLUS] = ACTIONS(2132),
    [anon_sym_sizeof] = ACTIONS(2134),
    [anon_sym___alignof__] = ACTIONS(2136),
    [anon_sym___alignof] = ACTIONS(2136),
    [anon_sym__alignof] = ACTIONS(2136),
    [anon_sym_alignof] = ACTIONS(2136),
    [anon_sym__Alignof] = ACTIONS(2136),
    [anon_sym_offsetof] = ACTIONS(2138),
    [anon_sym__Generic] = ACTIONS(2140),
    [anon_sym_asm] = ACTIONS(2142),
    [anon_sym___asm__] = ACTIONS(2142),
    [sym_number_literal] = ACTIONS(2144),
    [anon_sym_L_SQUOTE] = ACTIONS(2146),
    [anon_sym_u_SQUOTE] = ACTIONS(2146),
    [anon_sym_U_SQUOTE] = ACTIONS(2146),
    [anon_sym_u8_SQUOTE] = ACTIONS(2146),
    [anon_sym_SQUOTE] = ACTIONS(2146),
    [anon_sym_L_DQUOTE] = ACTIONS(2148),
    [anon_sym_u_DQUOTE] = ACTIONS(2148),
    [anon_sym_U_DQUOTE] = ACTIONS(2148),
    [anon_sym_u8_DQUOTE] = ACTIONS(2148),
    [anon_sym_DQUOTE] = ACTIONS(2148),
    [sym_true] = ACTIONS(2150),
    [sym_false] = ACTIONS(2150),
    [anon_sym_NULL] = ACTIONS(2152),
    [anon_sym_nullptr] = ACTIONS(2152),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(2156),
    [anon_sym_R_DQUOTE] = ACTIONS(2158),
    [anon_sym_LR_DQUOTE] = ACTIONS(2158),
    [anon_sym_uR_DQUOTE] = ACTIONS(2158),
    [anon_sym_UR_DQUOTE] = ACTIONS(2158),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2158),
    [anon_sym_co_await] = ACTIONS(2160),
    [anon_sym_new] = ACTIONS(2162),
    [anon_sym_requires] = ACTIONS(2164),
    [sym_this] = ACTIONS(2150),
  },
  [2477] = {
    [sym__expression] = STATE(5552),
    [sym__expression_not_binary] = STATE(5024),
    [sym__string] = STATE(5024),
    [sym_conditional_expression] = STATE(5024),
    [sym_assignment_expression] = STATE(5024),
    [sym_pointer_expression] = STATE(4507),
    [sym_unary_expression] = STATE(5024),
    [sym_binary_expression] = STATE(5024),
    [sym_update_expression] = STATE(5024),
    [sym_cast_expression] = STATE(5024),
    [sym_sizeof_expression] = STATE(5024),
    [sym_alignof_expression] = STATE(5024),
    [sym_offsetof_expression] = STATE(5024),
    [sym_generic_expression] = STATE(5024),
    [sym_subscript_expression] = STATE(4507),
    [sym_call_expression] = STATE(4507),
    [sym_gnu_asm_expression] = STATE(5024),
    [sym_field_expression] = STATE(4507),
    [sym_compound_literal_expression] = STATE(5024),
    [sym_parenthesized_expression] = STATE(4507),
    [sym_char_literal] = STATE(5374),
    [sym_concatenated_string] = STATE(5377),
    [sym_string_literal] = STATE(4206),
    [sym_null] = STATE(5024),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9352),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(5024),
    [sym_raw_string_literal] = STATE(4217),
    [sym_co_await_expression] = STATE(5024),
    [sym_new_expression] = STATE(5024),
    [sym_delete_expression] = STATE(5024),
    [sym_requires_clause] = STATE(5024),
    [sym_requires_expression] = STATE(5024),
    [sym_lambda_expression] = STATE(5024),
    [sym_lambda_capture_specifier] = STATE(7184),
    [sym_fold_expression] = STATE(5024),
    [sym_parameter_pack_expansion] = STATE(5024),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6886),
    [sym_qualified_identifier] = STATE(4507),
    [sym_qualified_type_identifier] = STATE(9352),
    [sym_user_defined_literal] = STATE(4507),
    [sym_identifier] = ACTIONS(3140),
    [anon_sym_LPAREN2] = ACTIONS(1472),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1474),
    [anon_sym_AMP] = ACTIONS(1474),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [sym_primitive_type] = ACTIONS(3146),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [2478] = {
    [sym__expression] = STATE(4714),
    [sym__expression_not_binary] = STATE(4939),
    [sym__string] = STATE(4939),
    [sym_conditional_expression] = STATE(4939),
    [sym_assignment_expression] = STATE(4939),
    [sym_pointer_expression] = STATE(4521),
    [sym_unary_expression] = STATE(4939),
    [sym_binary_expression] = STATE(4939),
    [sym_update_expression] = STATE(4939),
    [sym_cast_expression] = STATE(4939),
    [sym_sizeof_expression] = STATE(4939),
    [sym_alignof_expression] = STATE(4939),
    [sym_offsetof_expression] = STATE(4939),
    [sym_generic_expression] = STATE(4939),
    [sym_subscript_expression] = STATE(4521),
    [sym_call_expression] = STATE(4521),
    [sym_gnu_asm_expression] = STATE(4939),
    [sym_field_expression] = STATE(4521),
    [sym_compound_literal_expression] = STATE(4939),
    [sym_parenthesized_expression] = STATE(4521),
    [sym_char_literal] = STATE(4856),
    [sym_concatenated_string] = STATE(4876),
    [sym_string_literal] = STATE(3630),
    [sym_null] = STATE(4939),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9415),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(4939),
    [sym_raw_string_literal] = STATE(3632),
    [sym_co_await_expression] = STATE(4939),
    [sym_new_expression] = STATE(4939),
    [sym_delete_expression] = STATE(4939),
    [sym_requires_clause] = STATE(4939),
    [sym_requires_expression] = STATE(4939),
    [sym_lambda_expression] = STATE(4939),
    [sym_lambda_capture_specifier] = STATE(7190),
    [sym_fold_expression] = STATE(4939),
    [sym_parameter_pack_expansion] = STATE(4939),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6899),
    [sym_qualified_identifier] = STATE(4521),
    [sym_qualified_type_identifier] = STATE(9415),
    [sym_user_defined_literal] = STATE(4521),
    [sym_identifier] = ACTIONS(4178),
    [anon_sym_LPAREN2] = ACTIONS(2110),
    [anon_sym_BANG] = ACTIONS(2112),
    [anon_sym_TILDE] = ACTIONS(2112),
    [anon_sym_DASH] = ACTIONS(2114),
    [anon_sym_PLUS] = ACTIONS(2114),
    [anon_sym_STAR] = ACTIONS(2116),
    [anon_sym_AMP] = ACTIONS(2116),
    [anon_sym_COLON_COLON] = ACTIONS(2120),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [sym_primitive_type] = ACTIONS(4182),
    [anon_sym_not] = ACTIONS(2114),
    [anon_sym_compl] = ACTIONS(2114),
    [anon_sym_DASH_DASH] = ACTIONS(2132),
    [anon_sym_PLUS_PLUS] = ACTIONS(2132),
    [anon_sym_sizeof] = ACTIONS(2134),
    [anon_sym___alignof__] = ACTIONS(2136),
    [anon_sym___alignof] = ACTIONS(2136),
    [anon_sym__alignof] = ACTIONS(2136),
    [anon_sym_alignof] = ACTIONS(2136),
    [anon_sym__Alignof] = ACTIONS(2136),
    [anon_sym_offsetof] = ACTIONS(2138),
    [anon_sym__Generic] = ACTIONS(2140),
    [anon_sym_asm] = ACTIONS(2142),
    [anon_sym___asm__] = ACTIONS(2142),
    [sym_number_literal] = ACTIONS(2144),
    [anon_sym_L_SQUOTE] = ACTIONS(2146),
    [anon_sym_u_SQUOTE] = ACTIONS(2146),
    [anon_sym_U_SQUOTE] = ACTIONS(2146),
    [anon_sym_u8_SQUOTE] = ACTIONS(2146),
    [anon_sym_SQUOTE] = ACTIONS(2146),
    [anon_sym_L_DQUOTE] = ACTIONS(2148),
    [anon_sym_u_DQUOTE] = ACTIONS(2148),
    [anon_sym_U_DQUOTE] = ACTIONS(2148),
    [anon_sym_u8_DQUOTE] = ACTIONS(2148),
    [anon_sym_DQUOTE] = ACTIONS(2148),
    [sym_true] = ACTIONS(2150),
    [sym_false] = ACTIONS(2150),
    [anon_sym_NULL] = ACTIONS(2152),
    [anon_sym_nullptr] = ACTIONS(2152),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(2156),
    [anon_sym_R_DQUOTE] = ACTIONS(2158),
    [anon_sym_LR_DQUOTE] = ACTIONS(2158),
    [anon_sym_uR_DQUOTE] = ACTIONS(2158),
    [anon_sym_UR_DQUOTE] = ACTIONS(2158),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2158),
    [anon_sym_co_await] = ACTIONS(2160),
    [anon_sym_new] = ACTIONS(2162),
    [anon_sym_requires] = ACTIONS(2164),
    [sym_this] = ACTIONS(2150),
  },
  [2479] = {
    [sym__expression] = STATE(4351),
    [sym__expression_not_binary] = STATE(4695),
    [sym__string] = STATE(4695),
    [sym_conditional_expression] = STATE(4695),
    [sym_assignment_expression] = STATE(4695),
    [sym_pointer_expression] = STATE(4695),
    [sym_unary_expression] = STATE(4695),
    [sym_binary_expression] = STATE(4695),
    [sym_update_expression] = STATE(4695),
    [sym_cast_expression] = STATE(4695),
    [sym_sizeof_expression] = STATE(4695),
    [sym_alignof_expression] = STATE(4695),
    [sym_offsetof_expression] = STATE(4695),
    [sym_generic_expression] = STATE(4695),
    [sym_subscript_expression] = STATE(4695),
    [sym_call_expression] = STATE(4695),
    [sym_gnu_asm_expression] = STATE(4695),
    [sym_field_expression] = STATE(4695),
    [sym_compound_literal_expression] = STATE(4695),
    [sym_parenthesized_expression] = STATE(4695),
    [sym_char_literal] = STATE(4427),
    [sym_concatenated_string] = STATE(4424),
    [sym_string_literal] = STATE(3398),
    [sym_null] = STATE(4695),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9425),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(4695),
    [sym_raw_string_literal] = STATE(3396),
    [sym_co_await_expression] = STATE(4695),
    [sym_new_expression] = STATE(4695),
    [sym_delete_expression] = STATE(4695),
    [sym_requires_clause] = STATE(4695),
    [sym_requires_expression] = STATE(4695),
    [sym_lambda_expression] = STATE(4695),
    [sym_lambda_capture_specifier] = STATE(7185),
    [sym_fold_expression] = STATE(4695),
    [sym_parameter_pack_expansion] = STATE(4695),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6899),
    [sym_qualified_identifier] = STATE(4695),
    [sym_qualified_type_identifier] = STATE(9425),
    [sym_user_defined_literal] = STATE(4695),
    [sym_identifier] = ACTIONS(4092),
    [anon_sym_LPAREN2] = ACTIONS(4188),
    [anon_sym_BANG] = ACTIONS(2532),
    [anon_sym_TILDE] = ACTIONS(2532),
    [anon_sym_DASH] = ACTIONS(2536),
    [anon_sym_PLUS] = ACTIONS(2536),
    [anon_sym_STAR] = ACTIONS(2116),
    [anon_sym_AMP] = ACTIONS(2116),
    [anon_sym_COLON_COLON] = ACTIONS(2542),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [sym_primitive_type] = ACTIONS(4096),
    [anon_sym_not] = ACTIONS(2536),
    [anon_sym_compl] = ACTIONS(2536),
    [anon_sym_DASH_DASH] = ACTIONS(2560),
    [anon_sym_PLUS_PLUS] = ACTIONS(2560),
    [anon_sym_sizeof] = ACTIONS(2562),
    [anon_sym___alignof__] = ACTIONS(2564),
    [anon_sym___alignof] = ACTIONS(2564),
    [anon_sym__alignof] = ACTIONS(2564),
    [anon_sym_alignof] = ACTIONS(2564),
    [anon_sym__Alignof] = ACTIONS(2564),
    [anon_sym_offsetof] = ACTIONS(2566),
    [anon_sym__Generic] = ACTIONS(2568),
    [anon_sym_asm] = ACTIONS(2570),
    [anon_sym___asm__] = ACTIONS(2570),
    [sym_number_literal] = ACTIONS(2572),
    [anon_sym_L_SQUOTE] = ACTIONS(2574),
    [anon_sym_u_SQUOTE] = ACTIONS(2574),
    [anon_sym_U_SQUOTE] = ACTIONS(2574),
    [anon_sym_u8_SQUOTE] = ACTIONS(2574),
    [anon_sym_SQUOTE] = ACTIONS(2574),
    [anon_sym_L_DQUOTE] = ACTIONS(2576),
    [anon_sym_u_DQUOTE] = ACTIONS(2576),
    [anon_sym_U_DQUOTE] = ACTIONS(2576),
    [anon_sym_u8_DQUOTE] = ACTIONS(2576),
    [anon_sym_DQUOTE] = ACTIONS(2576),
    [sym_true] = ACTIONS(2578),
    [sym_false] = ACTIONS(2578),
    [anon_sym_NULL] = ACTIONS(2580),
    [anon_sym_nullptr] = ACTIONS(2580),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(2590),
    [anon_sym_R_DQUOTE] = ACTIONS(2592),
    [anon_sym_LR_DQUOTE] = ACTIONS(2592),
    [anon_sym_uR_DQUOTE] = ACTIONS(2592),
    [anon_sym_UR_DQUOTE] = ACTIONS(2592),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2592),
    [anon_sym_co_await] = ACTIONS(2594),
    [anon_sym_new] = ACTIONS(2596),
    [anon_sym_requires] = ACTIONS(2598),
    [sym_this] = ACTIONS(2578),
  },
  [2480] = {
    [sym__expression] = STATE(5430),
    [sym__expression_not_binary] = STATE(5024),
    [sym__string] = STATE(5024),
    [sym_conditional_expression] = STATE(5024),
    [sym_assignment_expression] = STATE(5024),
    [sym_pointer_expression] = STATE(4507),
    [sym_unary_expression] = STATE(5024),
    [sym_binary_expression] = STATE(5024),
    [sym_update_expression] = STATE(5024),
    [sym_cast_expression] = STATE(5024),
    [sym_sizeof_expression] = STATE(5024),
    [sym_alignof_expression] = STATE(5024),
    [sym_offsetof_expression] = STATE(5024),
    [sym_generic_expression] = STATE(5024),
    [sym_subscript_expression] = STATE(4507),
    [sym_call_expression] = STATE(4507),
    [sym_gnu_asm_expression] = STATE(5024),
    [sym_field_expression] = STATE(4507),
    [sym_compound_literal_expression] = STATE(5024),
    [sym_parenthesized_expression] = STATE(4507),
    [sym_char_literal] = STATE(5374),
    [sym_concatenated_string] = STATE(5377),
    [sym_string_literal] = STATE(4206),
    [sym_null] = STATE(5024),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9352),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(5024),
    [sym_raw_string_literal] = STATE(4217),
    [sym_co_await_expression] = STATE(5024),
    [sym_new_expression] = STATE(5024),
    [sym_delete_expression] = STATE(5024),
    [sym_requires_clause] = STATE(5024),
    [sym_requires_expression] = STATE(5024),
    [sym_lambda_expression] = STATE(5024),
    [sym_lambda_capture_specifier] = STATE(7184),
    [sym_fold_expression] = STATE(5024),
    [sym_parameter_pack_expansion] = STATE(5024),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6886),
    [sym_qualified_identifier] = STATE(4507),
    [sym_qualified_type_identifier] = STATE(9352),
    [sym_user_defined_literal] = STATE(4507),
    [sym_identifier] = ACTIONS(3140),
    [anon_sym_LPAREN2] = ACTIONS(1472),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1474),
    [anon_sym_AMP] = ACTIONS(1474),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [sym_primitive_type] = ACTIONS(3146),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [2481] = {
    [sym__expression] = STATE(5379),
    [sym__expression_not_binary] = STATE(5575),
    [sym__string] = STATE(5575),
    [sym_conditional_expression] = STATE(5575),
    [sym_assignment_expression] = STATE(5575),
    [sym_pointer_expression] = STATE(4218),
    [sym_unary_expression] = STATE(5575),
    [sym_binary_expression] = STATE(5575),
    [sym_update_expression] = STATE(5575),
    [sym_cast_expression] = STATE(5575),
    [sym_sizeof_expression] = STATE(5575),
    [sym_alignof_expression] = STATE(5575),
    [sym_offsetof_expression] = STATE(5575),
    [sym_generic_expression] = STATE(5575),
    [sym_subscript_expression] = STATE(4218),
    [sym_call_expression] = STATE(4218),
    [sym_gnu_asm_expression] = STATE(5575),
    [sym_field_expression] = STATE(4218),
    [sym_compound_literal_expression] = STATE(5575),
    [sym_parenthesized_expression] = STATE(4218),
    [sym_char_literal] = STATE(5388),
    [sym_concatenated_string] = STATE(5429),
    [sym_string_literal] = STATE(4410),
    [sym_null] = STATE(5575),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9045),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(5575),
    [sym_raw_string_literal] = STATE(4411),
    [sym_co_await_expression] = STATE(5575),
    [sym_new_expression] = STATE(5575),
    [sym_delete_expression] = STATE(5575),
    [sym_requires_clause] = STATE(5575),
    [sym_requires_expression] = STATE(5575),
    [sym_lambda_expression] = STATE(5575),
    [sym_lambda_capture_specifier] = STATE(7089),
    [sym_fold_expression] = STATE(5575),
    [sym_parameter_pack_expansion] = STATE(5575),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6962),
    [sym_qualified_identifier] = STATE(4218),
    [sym_qualified_type_identifier] = STATE(9045),
    [sym_user_defined_literal] = STATE(4218),
    [sym_identifier] = ACTIONS(5081),
    [anon_sym_LPAREN2] = ACTIONS(5200),
    [anon_sym_BANG] = ACTIONS(4431),
    [anon_sym_TILDE] = ACTIONS(4431),
    [anon_sym_DASH] = ACTIONS(4429),
    [anon_sym_PLUS] = ACTIONS(4429),
    [anon_sym_STAR] = ACTIONS(5202),
    [anon_sym_AMP] = ACTIONS(5202),
    [anon_sym_COLON_COLON] = ACTIONS(4433),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [sym_primitive_type] = ACTIONS(4437),
    [anon_sym_not] = ACTIONS(4429),
    [anon_sym_compl] = ACTIONS(4429),
    [anon_sym_DASH_DASH] = ACTIONS(5083),
    [anon_sym_PLUS_PLUS] = ACTIONS(5083),
    [anon_sym_sizeof] = ACTIONS(4439),
    [anon_sym___alignof__] = ACTIONS(4441),
    [anon_sym___alignof] = ACTIONS(4441),
    [anon_sym__alignof] = ACTIONS(4441),
    [anon_sym_alignof] = ACTIONS(4441),
    [anon_sym__Alignof] = ACTIONS(4441),
    [anon_sym_offsetof] = ACTIONS(4443),
    [anon_sym__Generic] = ACTIONS(4445),
    [anon_sym_asm] = ACTIONS(4447),
    [anon_sym___asm__] = ACTIONS(4447),
    [sym_number_literal] = ACTIONS(4449),
    [anon_sym_L_SQUOTE] = ACTIONS(4451),
    [anon_sym_u_SQUOTE] = ACTIONS(4451),
    [anon_sym_U_SQUOTE] = ACTIONS(4451),
    [anon_sym_u8_SQUOTE] = ACTIONS(4451),
    [anon_sym_SQUOTE] = ACTIONS(4451),
    [anon_sym_L_DQUOTE] = ACTIONS(4453),
    [anon_sym_u_DQUOTE] = ACTIONS(4453),
    [anon_sym_U_DQUOTE] = ACTIONS(4453),
    [anon_sym_u8_DQUOTE] = ACTIONS(4453),
    [anon_sym_DQUOTE] = ACTIONS(4453),
    [sym_true] = ACTIONS(4455),
    [sym_false] = ACTIONS(4455),
    [anon_sym_NULL] = ACTIONS(4457),
    [anon_sym_nullptr] = ACTIONS(4457),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(4459),
    [anon_sym_R_DQUOTE] = ACTIONS(4461),
    [anon_sym_LR_DQUOTE] = ACTIONS(4461),
    [anon_sym_uR_DQUOTE] = ACTIONS(4461),
    [anon_sym_UR_DQUOTE] = ACTIONS(4461),
    [anon_sym_u8R_DQUOTE] = ACTIONS(4461),
    [anon_sym_co_await] = ACTIONS(4463),
    [anon_sym_new] = ACTIONS(4465),
    [anon_sym_requires] = ACTIONS(4467),
    [sym_this] = ACTIONS(4455),
  },
  [2482] = {
    [sym__expression] = STATE(4042),
    [sym__expression_not_binary] = STATE(3672),
    [sym__string] = STATE(3672),
    [sym_conditional_expression] = STATE(3672),
    [sym_assignment_expression] = STATE(3672),
    [sym_pointer_expression] = STATE(3672),
    [sym_unary_expression] = STATE(3672),
    [sym_binary_expression] = STATE(3672),
    [sym_update_expression] = STATE(3672),
    [sym_cast_expression] = STATE(3672),
    [sym_sizeof_expression] = STATE(3672),
    [sym_alignof_expression] = STATE(3672),
    [sym_offsetof_expression] = STATE(3672),
    [sym_generic_expression] = STATE(3672),
    [sym_subscript_expression] = STATE(3672),
    [sym_call_expression] = STATE(3672),
    [sym_gnu_asm_expression] = STATE(3672),
    [sym_field_expression] = STATE(3672),
    [sym_compound_literal_expression] = STATE(3672),
    [sym_parenthesized_expression] = STATE(3672),
    [sym_char_literal] = STATE(3991),
    [sym_concatenated_string] = STATE(3973),
    [sym_string_literal] = STATE(3242),
    [sym_null] = STATE(3672),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9333),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(3672),
    [sym_raw_string_literal] = STATE(3241),
    [sym_co_await_expression] = STATE(3672),
    [sym_new_expression] = STATE(3672),
    [sym_delete_expression] = STATE(3672),
    [sym_requires_clause] = STATE(3672),
    [sym_requires_expression] = STATE(3672),
    [sym_lambda_expression] = STATE(3672),
    [sym_lambda_capture_specifier] = STATE(7134),
    [sym_fold_expression] = STATE(3672),
    [sym_parameter_pack_expansion] = STATE(3672),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6886),
    [sym_qualified_identifier] = STATE(3672),
    [sym_qualified_type_identifier] = STATE(9333),
    [sym_user_defined_literal] = STATE(3672),
    [sym_identifier] = ACTIONS(3968),
    [anon_sym_LPAREN2] = ACTIONS(5219),
    [anon_sym_BANG] = ACTIONS(3972),
    [anon_sym_TILDE] = ACTIONS(3972),
    [anon_sym_DASH] = ACTIONS(3970),
    [anon_sym_PLUS] = ACTIONS(3970),
    [anon_sym_STAR] = ACTIONS(1474),
    [anon_sym_AMP] = ACTIONS(1474),
    [anon_sym_COLON_COLON] = ACTIONS(3974),
    [anon_sym_LBRACK] = ACTIONS(5551),
    [sym_primitive_type] = ACTIONS(3928),
    [anon_sym_not] = ACTIONS(3970),
    [anon_sym_compl] = ACTIONS(3970),
    [anon_sym_DASH_DASH] = ACTIONS(4385),
    [anon_sym_PLUS_PLUS] = ACTIONS(4385),
    [anon_sym_sizeof] = ACTIONS(3976),
    [anon_sym___alignof__] = ACTIONS(3932),
    [anon_sym___alignof] = ACTIONS(3932),
    [anon_sym__alignof] = ACTIONS(3932),
    [anon_sym_alignof] = ACTIONS(3932),
    [anon_sym__Alignof] = ACTIONS(3932),
    [anon_sym_offsetof] = ACTIONS(3934),
    [anon_sym__Generic] = ACTIONS(3936),
    [anon_sym_asm] = ACTIONS(3938),
    [anon_sym___asm__] = ACTIONS(3938),
    [sym_number_literal] = ACTIONS(3978),
    [anon_sym_L_SQUOTE] = ACTIONS(3980),
    [anon_sym_u_SQUOTE] = ACTIONS(3980),
    [anon_sym_U_SQUOTE] = ACTIONS(3980),
    [anon_sym_u8_SQUOTE] = ACTIONS(3980),
    [anon_sym_SQUOTE] = ACTIONS(3980),
    [anon_sym_L_DQUOTE] = ACTIONS(3982),
    [anon_sym_u_DQUOTE] = ACTIONS(3982),
    [anon_sym_U_DQUOTE] = ACTIONS(3982),
    [anon_sym_u8_DQUOTE] = ACTIONS(3982),
    [anon_sym_DQUOTE] = ACTIONS(3982),
    [sym_true] = ACTIONS(3946),
    [sym_false] = ACTIONS(3946),
    [anon_sym_NULL] = ACTIONS(3948),
    [anon_sym_nullptr] = ACTIONS(3948),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(3984),
    [anon_sym_R_DQUOTE] = ACTIONS(3986),
    [anon_sym_LR_DQUOTE] = ACTIONS(3986),
    [anon_sym_uR_DQUOTE] = ACTIONS(3986),
    [anon_sym_UR_DQUOTE] = ACTIONS(3986),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3986),
    [anon_sym_co_await] = ACTIONS(3988),
    [anon_sym_new] = ACTIONS(3990),
    [anon_sym_requires] = ACTIONS(3958),
    [sym_this] = ACTIONS(3946),
  },
  [2483] = {
    [sym__expression] = STATE(4719),
    [sym__expression_not_binary] = STATE(4939),
    [sym__string] = STATE(4939),
    [sym_conditional_expression] = STATE(4939),
    [sym_assignment_expression] = STATE(4939),
    [sym_pointer_expression] = STATE(4521),
    [sym_unary_expression] = STATE(4939),
    [sym_binary_expression] = STATE(4939),
    [sym_update_expression] = STATE(4939),
    [sym_cast_expression] = STATE(4939),
    [sym_sizeof_expression] = STATE(4939),
    [sym_alignof_expression] = STATE(4939),
    [sym_offsetof_expression] = STATE(4939),
    [sym_generic_expression] = STATE(4939),
    [sym_subscript_expression] = STATE(4521),
    [sym_call_expression] = STATE(4521),
    [sym_gnu_asm_expression] = STATE(4939),
    [sym_field_expression] = STATE(4521),
    [sym_compound_literal_expression] = STATE(4939),
    [sym_parenthesized_expression] = STATE(4521),
    [sym_char_literal] = STATE(4856),
    [sym_concatenated_string] = STATE(4876),
    [sym_string_literal] = STATE(3630),
    [sym_null] = STATE(4939),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9415),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(4939),
    [sym_raw_string_literal] = STATE(3632),
    [sym_co_await_expression] = STATE(4939),
    [sym_new_expression] = STATE(4939),
    [sym_delete_expression] = STATE(4939),
    [sym_requires_clause] = STATE(4939),
    [sym_requires_expression] = STATE(4939),
    [sym_lambda_expression] = STATE(4939),
    [sym_lambda_capture_specifier] = STATE(7190),
    [sym_fold_expression] = STATE(4939),
    [sym_parameter_pack_expansion] = STATE(4939),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6899),
    [sym_qualified_identifier] = STATE(4521),
    [sym_qualified_type_identifier] = STATE(9415),
    [sym_user_defined_literal] = STATE(4521),
    [sym_identifier] = ACTIONS(4178),
    [anon_sym_LPAREN2] = ACTIONS(2110),
    [anon_sym_BANG] = ACTIONS(2112),
    [anon_sym_TILDE] = ACTIONS(2112),
    [anon_sym_DASH] = ACTIONS(2114),
    [anon_sym_PLUS] = ACTIONS(2114),
    [anon_sym_STAR] = ACTIONS(2116),
    [anon_sym_AMP] = ACTIONS(2116),
    [anon_sym_COLON_COLON] = ACTIONS(2120),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [sym_primitive_type] = ACTIONS(4182),
    [anon_sym_not] = ACTIONS(2114),
    [anon_sym_compl] = ACTIONS(2114),
    [anon_sym_DASH_DASH] = ACTIONS(2132),
    [anon_sym_PLUS_PLUS] = ACTIONS(2132),
    [anon_sym_sizeof] = ACTIONS(2134),
    [anon_sym___alignof__] = ACTIONS(2136),
    [anon_sym___alignof] = ACTIONS(2136),
    [anon_sym__alignof] = ACTIONS(2136),
    [anon_sym_alignof] = ACTIONS(2136),
    [anon_sym__Alignof] = ACTIONS(2136),
    [anon_sym_offsetof] = ACTIONS(2138),
    [anon_sym__Generic] = ACTIONS(2140),
    [anon_sym_asm] = ACTIONS(2142),
    [anon_sym___asm__] = ACTIONS(2142),
    [sym_number_literal] = ACTIONS(2144),
    [anon_sym_L_SQUOTE] = ACTIONS(2146),
    [anon_sym_u_SQUOTE] = ACTIONS(2146),
    [anon_sym_U_SQUOTE] = ACTIONS(2146),
    [anon_sym_u8_SQUOTE] = ACTIONS(2146),
    [anon_sym_SQUOTE] = ACTIONS(2146),
    [anon_sym_L_DQUOTE] = ACTIONS(2148),
    [anon_sym_u_DQUOTE] = ACTIONS(2148),
    [anon_sym_U_DQUOTE] = ACTIONS(2148),
    [anon_sym_u8_DQUOTE] = ACTIONS(2148),
    [anon_sym_DQUOTE] = ACTIONS(2148),
    [sym_true] = ACTIONS(2150),
    [sym_false] = ACTIONS(2150),
    [anon_sym_NULL] = ACTIONS(2152),
    [anon_sym_nullptr] = ACTIONS(2152),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(2156),
    [anon_sym_R_DQUOTE] = ACTIONS(2158),
    [anon_sym_LR_DQUOTE] = ACTIONS(2158),
    [anon_sym_uR_DQUOTE] = ACTIONS(2158),
    [anon_sym_UR_DQUOTE] = ACTIONS(2158),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2158),
    [anon_sym_co_await] = ACTIONS(2160),
    [anon_sym_new] = ACTIONS(2162),
    [anon_sym_requires] = ACTIONS(2164),
    [sym_this] = ACTIONS(2150),
  },
  [2484] = {
    [sym__expression] = STATE(4723),
    [sym__expression_not_binary] = STATE(4939),
    [sym__string] = STATE(4939),
    [sym_conditional_expression] = STATE(4939),
    [sym_assignment_expression] = STATE(4939),
    [sym_pointer_expression] = STATE(4521),
    [sym_unary_expression] = STATE(4939),
    [sym_binary_expression] = STATE(4939),
    [sym_update_expression] = STATE(4939),
    [sym_cast_expression] = STATE(4939),
    [sym_sizeof_expression] = STATE(4939),
    [sym_alignof_expression] = STATE(4939),
    [sym_offsetof_expression] = STATE(4939),
    [sym_generic_expression] = STATE(4939),
    [sym_subscript_expression] = STATE(4521),
    [sym_call_expression] = STATE(4521),
    [sym_gnu_asm_expression] = STATE(4939),
    [sym_field_expression] = STATE(4521),
    [sym_compound_literal_expression] = STATE(4939),
    [sym_parenthesized_expression] = STATE(4521),
    [sym_char_literal] = STATE(4856),
    [sym_concatenated_string] = STATE(4876),
    [sym_string_literal] = STATE(3630),
    [sym_null] = STATE(4939),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9415),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(4939),
    [sym_raw_string_literal] = STATE(3632),
    [sym_co_await_expression] = STATE(4939),
    [sym_new_expression] = STATE(4939),
    [sym_delete_expression] = STATE(4939),
    [sym_requires_clause] = STATE(4939),
    [sym_requires_expression] = STATE(4939),
    [sym_lambda_expression] = STATE(4939),
    [sym_lambda_capture_specifier] = STATE(7190),
    [sym_fold_expression] = STATE(4939),
    [sym_parameter_pack_expansion] = STATE(4939),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6899),
    [sym_qualified_identifier] = STATE(4521),
    [sym_qualified_type_identifier] = STATE(9415),
    [sym_user_defined_literal] = STATE(4521),
    [sym_identifier] = ACTIONS(4178),
    [anon_sym_LPAREN2] = ACTIONS(2110),
    [anon_sym_BANG] = ACTIONS(2112),
    [anon_sym_TILDE] = ACTIONS(2112),
    [anon_sym_DASH] = ACTIONS(2114),
    [anon_sym_PLUS] = ACTIONS(2114),
    [anon_sym_STAR] = ACTIONS(2116),
    [anon_sym_AMP] = ACTIONS(2116),
    [anon_sym_COLON_COLON] = ACTIONS(2120),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [sym_primitive_type] = ACTIONS(4182),
    [anon_sym_not] = ACTIONS(2114),
    [anon_sym_compl] = ACTIONS(2114),
    [anon_sym_DASH_DASH] = ACTIONS(2132),
    [anon_sym_PLUS_PLUS] = ACTIONS(2132),
    [anon_sym_sizeof] = ACTIONS(2134),
    [anon_sym___alignof__] = ACTIONS(2136),
    [anon_sym___alignof] = ACTIONS(2136),
    [anon_sym__alignof] = ACTIONS(2136),
    [anon_sym_alignof] = ACTIONS(2136),
    [anon_sym__Alignof] = ACTIONS(2136),
    [anon_sym_offsetof] = ACTIONS(2138),
    [anon_sym__Generic] = ACTIONS(2140),
    [anon_sym_asm] = ACTIONS(2142),
    [anon_sym___asm__] = ACTIONS(2142),
    [sym_number_literal] = ACTIONS(2144),
    [anon_sym_L_SQUOTE] = ACTIONS(2146),
    [anon_sym_u_SQUOTE] = ACTIONS(2146),
    [anon_sym_U_SQUOTE] = ACTIONS(2146),
    [anon_sym_u8_SQUOTE] = ACTIONS(2146),
    [anon_sym_SQUOTE] = ACTIONS(2146),
    [anon_sym_L_DQUOTE] = ACTIONS(2148),
    [anon_sym_u_DQUOTE] = ACTIONS(2148),
    [anon_sym_U_DQUOTE] = ACTIONS(2148),
    [anon_sym_u8_DQUOTE] = ACTIONS(2148),
    [anon_sym_DQUOTE] = ACTIONS(2148),
    [sym_true] = ACTIONS(2150),
    [sym_false] = ACTIONS(2150),
    [anon_sym_NULL] = ACTIONS(2152),
    [anon_sym_nullptr] = ACTIONS(2152),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(2156),
    [anon_sym_R_DQUOTE] = ACTIONS(2158),
    [anon_sym_LR_DQUOTE] = ACTIONS(2158),
    [anon_sym_uR_DQUOTE] = ACTIONS(2158),
    [anon_sym_UR_DQUOTE] = ACTIONS(2158),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2158),
    [anon_sym_co_await] = ACTIONS(2160),
    [anon_sym_new] = ACTIONS(2162),
    [anon_sym_requires] = ACTIONS(2164),
    [sym_this] = ACTIONS(2150),
  },
  [2485] = {
    [sym__expression] = STATE(4724),
    [sym__expression_not_binary] = STATE(4939),
    [sym__string] = STATE(4939),
    [sym_conditional_expression] = STATE(4939),
    [sym_assignment_expression] = STATE(4939),
    [sym_pointer_expression] = STATE(4521),
    [sym_unary_expression] = STATE(4939),
    [sym_binary_expression] = STATE(4939),
    [sym_update_expression] = STATE(4939),
    [sym_cast_expression] = STATE(4939),
    [sym_sizeof_expression] = STATE(4939),
    [sym_alignof_expression] = STATE(4939),
    [sym_offsetof_expression] = STATE(4939),
    [sym_generic_expression] = STATE(4939),
    [sym_subscript_expression] = STATE(4521),
    [sym_call_expression] = STATE(4521),
    [sym_gnu_asm_expression] = STATE(4939),
    [sym_field_expression] = STATE(4521),
    [sym_compound_literal_expression] = STATE(4939),
    [sym_parenthesized_expression] = STATE(4521),
    [sym_char_literal] = STATE(4856),
    [sym_concatenated_string] = STATE(4876),
    [sym_string_literal] = STATE(3630),
    [sym_null] = STATE(4939),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9415),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(4939),
    [sym_raw_string_literal] = STATE(3632),
    [sym_co_await_expression] = STATE(4939),
    [sym_new_expression] = STATE(4939),
    [sym_delete_expression] = STATE(4939),
    [sym_requires_clause] = STATE(4939),
    [sym_requires_expression] = STATE(4939),
    [sym_lambda_expression] = STATE(4939),
    [sym_lambda_capture_specifier] = STATE(7190),
    [sym_fold_expression] = STATE(4939),
    [sym_parameter_pack_expansion] = STATE(4939),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6899),
    [sym_qualified_identifier] = STATE(4521),
    [sym_qualified_type_identifier] = STATE(9415),
    [sym_user_defined_literal] = STATE(4521),
    [sym_identifier] = ACTIONS(4178),
    [anon_sym_LPAREN2] = ACTIONS(2110),
    [anon_sym_BANG] = ACTIONS(2112),
    [anon_sym_TILDE] = ACTIONS(2112),
    [anon_sym_DASH] = ACTIONS(2114),
    [anon_sym_PLUS] = ACTIONS(2114),
    [anon_sym_STAR] = ACTIONS(2116),
    [anon_sym_AMP] = ACTIONS(2116),
    [anon_sym_COLON_COLON] = ACTIONS(2120),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [sym_primitive_type] = ACTIONS(4182),
    [anon_sym_not] = ACTIONS(2114),
    [anon_sym_compl] = ACTIONS(2114),
    [anon_sym_DASH_DASH] = ACTIONS(2132),
    [anon_sym_PLUS_PLUS] = ACTIONS(2132),
    [anon_sym_sizeof] = ACTIONS(2134),
    [anon_sym___alignof__] = ACTIONS(2136),
    [anon_sym___alignof] = ACTIONS(2136),
    [anon_sym__alignof] = ACTIONS(2136),
    [anon_sym_alignof] = ACTIONS(2136),
    [anon_sym__Alignof] = ACTIONS(2136),
    [anon_sym_offsetof] = ACTIONS(2138),
    [anon_sym__Generic] = ACTIONS(2140),
    [anon_sym_asm] = ACTIONS(2142),
    [anon_sym___asm__] = ACTIONS(2142),
    [sym_number_literal] = ACTIONS(2144),
    [anon_sym_L_SQUOTE] = ACTIONS(2146),
    [anon_sym_u_SQUOTE] = ACTIONS(2146),
    [anon_sym_U_SQUOTE] = ACTIONS(2146),
    [anon_sym_u8_SQUOTE] = ACTIONS(2146),
    [anon_sym_SQUOTE] = ACTIONS(2146),
    [anon_sym_L_DQUOTE] = ACTIONS(2148),
    [anon_sym_u_DQUOTE] = ACTIONS(2148),
    [anon_sym_U_DQUOTE] = ACTIONS(2148),
    [anon_sym_u8_DQUOTE] = ACTIONS(2148),
    [anon_sym_DQUOTE] = ACTIONS(2148),
    [sym_true] = ACTIONS(2150),
    [sym_false] = ACTIONS(2150),
    [anon_sym_NULL] = ACTIONS(2152),
    [anon_sym_nullptr] = ACTIONS(2152),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(2156),
    [anon_sym_R_DQUOTE] = ACTIONS(2158),
    [anon_sym_LR_DQUOTE] = ACTIONS(2158),
    [anon_sym_uR_DQUOTE] = ACTIONS(2158),
    [anon_sym_UR_DQUOTE] = ACTIONS(2158),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2158),
    [anon_sym_co_await] = ACTIONS(2160),
    [anon_sym_new] = ACTIONS(2162),
    [anon_sym_requires] = ACTIONS(2164),
    [sym_this] = ACTIONS(2150),
  },
  [2486] = {
    [sym__expression] = STATE(5261),
    [sym__expression_not_binary] = STATE(5024),
    [sym__string] = STATE(5024),
    [sym_conditional_expression] = STATE(5024),
    [sym_assignment_expression] = STATE(5024),
    [sym_pointer_expression] = STATE(4031),
    [sym_unary_expression] = STATE(5024),
    [sym_binary_expression] = STATE(5024),
    [sym_update_expression] = STATE(5024),
    [sym_cast_expression] = STATE(5024),
    [sym_sizeof_expression] = STATE(5024),
    [sym_alignof_expression] = STATE(5024),
    [sym_offsetof_expression] = STATE(5024),
    [sym_generic_expression] = STATE(5024),
    [sym_subscript_expression] = STATE(4031),
    [sym_call_expression] = STATE(4031),
    [sym_gnu_asm_expression] = STATE(5024),
    [sym_field_expression] = STATE(4031),
    [sym_compound_literal_expression] = STATE(5024),
    [sym_parenthesized_expression] = STATE(4031),
    [sym_char_literal] = STATE(5335),
    [sym_concatenated_string] = STATE(5317),
    [sym_string_literal] = STATE(4163),
    [sym_null] = STATE(5024),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9352),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(5024),
    [sym_raw_string_literal] = STATE(4121),
    [sym_co_await_expression] = STATE(5024),
    [sym_new_expression] = STATE(5024),
    [sym_delete_expression] = STATE(5024),
    [sym_requires_clause] = STATE(5024),
    [sym_requires_expression] = STATE(5024),
    [sym_lambda_expression] = STATE(5024),
    [sym_lambda_capture_specifier] = STATE(7184),
    [sym_fold_expression] = STATE(5024),
    [sym_parameter_pack_expansion] = STATE(5024),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6886),
    [sym_qualified_identifier] = STATE(4031),
    [sym_qualified_type_identifier] = STATE(9352),
    [sym_user_defined_literal] = STATE(4031),
    [sym_identifier] = ACTIONS(5113),
    [anon_sym_LPAREN2] = ACTIONS(5212),
    [anon_sym_BANG] = ACTIONS(4409),
    [anon_sym_TILDE] = ACTIONS(4409),
    [anon_sym_DASH] = ACTIONS(4407),
    [anon_sym_PLUS] = ACTIONS(4407),
    [anon_sym_STAR] = ACTIONS(5186),
    [anon_sym_AMP] = ACTIONS(5186),
    [anon_sym_COLON_COLON] = ACTIONS(4411),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [sym_primitive_type] = ACTIONS(3146),
    [anon_sym_not] = ACTIONS(4407),
    [anon_sym_compl] = ACTIONS(4407),
    [anon_sym_DASH_DASH] = ACTIONS(5115),
    [anon_sym_PLUS_PLUS] = ACTIONS(5115),
    [anon_sym_sizeof] = ACTIONS(4415),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(4417),
    [anon_sym_L_SQUOTE] = ACTIONS(4419),
    [anon_sym_u_SQUOTE] = ACTIONS(4419),
    [anon_sym_U_SQUOTE] = ACTIONS(4419),
    [anon_sym_u8_SQUOTE] = ACTIONS(4419),
    [anon_sym_SQUOTE] = ACTIONS(4419),
    [anon_sym_L_DQUOTE] = ACTIONS(4247),
    [anon_sym_u_DQUOTE] = ACTIONS(4247),
    [anon_sym_U_DQUOTE] = ACTIONS(4247),
    [anon_sym_u8_DQUOTE] = ACTIONS(4247),
    [anon_sym_DQUOTE] = ACTIONS(4247),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(4421),
    [anon_sym_R_DQUOTE] = ACTIONS(4249),
    [anon_sym_LR_DQUOTE] = ACTIONS(4249),
    [anon_sym_uR_DQUOTE] = ACTIONS(4249),
    [anon_sym_UR_DQUOTE] = ACTIONS(4249),
    [anon_sym_u8R_DQUOTE] = ACTIONS(4249),
    [anon_sym_co_await] = ACTIONS(4423),
    [anon_sym_new] = ACTIONS(4425),
    [anon_sym_requires] = ACTIONS(4427),
    [sym_this] = ACTIONS(221),
  },
  [2487] = {
    [sym__expression] = STATE(3541),
    [sym__expression_not_binary] = STATE(3672),
    [sym__string] = STATE(3672),
    [sym_conditional_expression] = STATE(3672),
    [sym_assignment_expression] = STATE(3672),
    [sym_pointer_expression] = STATE(3672),
    [sym_unary_expression] = STATE(3672),
    [sym_binary_expression] = STATE(3672),
    [sym_update_expression] = STATE(3672),
    [sym_cast_expression] = STATE(3672),
    [sym_sizeof_expression] = STATE(3672),
    [sym_alignof_expression] = STATE(3672),
    [sym_offsetof_expression] = STATE(3672),
    [sym_generic_expression] = STATE(3672),
    [sym_subscript_expression] = STATE(3672),
    [sym_call_expression] = STATE(3672),
    [sym_gnu_asm_expression] = STATE(3672),
    [sym_field_expression] = STATE(3672),
    [sym_compound_literal_expression] = STATE(3672),
    [sym_parenthesized_expression] = STATE(3672),
    [sym_char_literal] = STATE(4466),
    [sym_concatenated_string] = STATE(4465),
    [sym_string_literal] = STATE(3395),
    [sym_null] = STATE(3672),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9333),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(3672),
    [sym_raw_string_literal] = STATE(3400),
    [sym_co_await_expression] = STATE(3672),
    [sym_new_expression] = STATE(3672),
    [sym_delete_expression] = STATE(3672),
    [sym_requires_clause] = STATE(3672),
    [sym_requires_expression] = STATE(3672),
    [sym_lambda_expression] = STATE(3672),
    [sym_lambda_capture_specifier] = STATE(7134),
    [sym_fold_expression] = STATE(3672),
    [sym_parameter_pack_expansion] = STATE(3672),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6886),
    [sym_qualified_identifier] = STATE(3672),
    [sym_qualified_type_identifier] = STATE(9333),
    [sym_user_defined_literal] = STATE(3672),
    [sym_identifier] = ACTIONS(4070),
    [anon_sym_LPAREN2] = ACTIONS(5257),
    [anon_sym_BANG] = ACTIONS(4074),
    [anon_sym_TILDE] = ACTIONS(4074),
    [anon_sym_DASH] = ACTIONS(4072),
    [anon_sym_PLUS] = ACTIONS(4072),
    [anon_sym_STAR] = ACTIONS(5017),
    [anon_sym_AMP] = ACTIONS(5017),
    [anon_sym_COLON_COLON] = ACTIONS(4076),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [sym_primitive_type] = ACTIONS(3928),
    [anon_sym_not] = ACTIONS(4072),
    [anon_sym_compl] = ACTIONS(4072),
    [anon_sym_DASH_DASH] = ACTIONS(5043),
    [anon_sym_PLUS_PLUS] = ACTIONS(5043),
    [anon_sym_sizeof] = ACTIONS(4078),
    [anon_sym___alignof__] = ACTIONS(3932),
    [anon_sym___alignof] = ACTIONS(3932),
    [anon_sym__alignof] = ACTIONS(3932),
    [anon_sym_alignof] = ACTIONS(3932),
    [anon_sym__Alignof] = ACTIONS(3932),
    [anon_sym_offsetof] = ACTIONS(3934),
    [anon_sym__Generic] = ACTIONS(3936),
    [anon_sym_asm] = ACTIONS(3938),
    [anon_sym___asm__] = ACTIONS(3938),
    [sym_number_literal] = ACTIONS(4080),
    [anon_sym_L_SQUOTE] = ACTIONS(4082),
    [anon_sym_u_SQUOTE] = ACTIONS(4082),
    [anon_sym_U_SQUOTE] = ACTIONS(4082),
    [anon_sym_u8_SQUOTE] = ACTIONS(4082),
    [anon_sym_SQUOTE] = ACTIONS(4082),
    [anon_sym_L_DQUOTE] = ACTIONS(4084),
    [anon_sym_u_DQUOTE] = ACTIONS(4084),
    [anon_sym_U_DQUOTE] = ACTIONS(4084),
    [anon_sym_u8_DQUOTE] = ACTIONS(4084),
    [anon_sym_DQUOTE] = ACTIONS(4084),
    [sym_true] = ACTIONS(3946),
    [sym_false] = ACTIONS(3946),
    [anon_sym_NULL] = ACTIONS(3948),
    [anon_sym_nullptr] = ACTIONS(3948),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(4086),
    [anon_sym_R_DQUOTE] = ACTIONS(4088),
    [anon_sym_LR_DQUOTE] = ACTIONS(4088),
    [anon_sym_uR_DQUOTE] = ACTIONS(4088),
    [anon_sym_UR_DQUOTE] = ACTIONS(4088),
    [anon_sym_u8R_DQUOTE] = ACTIONS(4088),
    [anon_sym_co_await] = ACTIONS(4090),
    [anon_sym_new] = ACTIONS(3990),
    [anon_sym_requires] = ACTIONS(3958),
    [sym_this] = ACTIONS(3946),
  },
  [2488] = {
    [sym__expression] = STATE(4725),
    [sym__expression_not_binary] = STATE(4939),
    [sym__string] = STATE(4939),
    [sym_conditional_expression] = STATE(4939),
    [sym_assignment_expression] = STATE(4939),
    [sym_pointer_expression] = STATE(4521),
    [sym_unary_expression] = STATE(4939),
    [sym_binary_expression] = STATE(4939),
    [sym_update_expression] = STATE(4939),
    [sym_cast_expression] = STATE(4939),
    [sym_sizeof_expression] = STATE(4939),
    [sym_alignof_expression] = STATE(4939),
    [sym_offsetof_expression] = STATE(4939),
    [sym_generic_expression] = STATE(4939),
    [sym_subscript_expression] = STATE(4521),
    [sym_call_expression] = STATE(4521),
    [sym_gnu_asm_expression] = STATE(4939),
    [sym_field_expression] = STATE(4521),
    [sym_compound_literal_expression] = STATE(4939),
    [sym_parenthesized_expression] = STATE(4521),
    [sym_char_literal] = STATE(4856),
    [sym_concatenated_string] = STATE(4876),
    [sym_string_literal] = STATE(3630),
    [sym_null] = STATE(4939),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9415),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(4939),
    [sym_raw_string_literal] = STATE(3632),
    [sym_co_await_expression] = STATE(4939),
    [sym_new_expression] = STATE(4939),
    [sym_delete_expression] = STATE(4939),
    [sym_requires_clause] = STATE(4939),
    [sym_requires_expression] = STATE(4939),
    [sym_lambda_expression] = STATE(4939),
    [sym_lambda_capture_specifier] = STATE(7190),
    [sym_fold_expression] = STATE(4939),
    [sym_parameter_pack_expansion] = STATE(4939),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6899),
    [sym_qualified_identifier] = STATE(4521),
    [sym_qualified_type_identifier] = STATE(9415),
    [sym_user_defined_literal] = STATE(4521),
    [sym_identifier] = ACTIONS(4178),
    [anon_sym_LPAREN2] = ACTIONS(2110),
    [anon_sym_BANG] = ACTIONS(2112),
    [anon_sym_TILDE] = ACTIONS(2112),
    [anon_sym_DASH] = ACTIONS(2114),
    [anon_sym_PLUS] = ACTIONS(2114),
    [anon_sym_STAR] = ACTIONS(2116),
    [anon_sym_AMP] = ACTIONS(2116),
    [anon_sym_COLON_COLON] = ACTIONS(2120),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [sym_primitive_type] = ACTIONS(4182),
    [anon_sym_not] = ACTIONS(2114),
    [anon_sym_compl] = ACTIONS(2114),
    [anon_sym_DASH_DASH] = ACTIONS(2132),
    [anon_sym_PLUS_PLUS] = ACTIONS(2132),
    [anon_sym_sizeof] = ACTIONS(2134),
    [anon_sym___alignof__] = ACTIONS(2136),
    [anon_sym___alignof] = ACTIONS(2136),
    [anon_sym__alignof] = ACTIONS(2136),
    [anon_sym_alignof] = ACTIONS(2136),
    [anon_sym__Alignof] = ACTIONS(2136),
    [anon_sym_offsetof] = ACTIONS(2138),
    [anon_sym__Generic] = ACTIONS(2140),
    [anon_sym_asm] = ACTIONS(2142),
    [anon_sym___asm__] = ACTIONS(2142),
    [sym_number_literal] = ACTIONS(2144),
    [anon_sym_L_SQUOTE] = ACTIONS(2146),
    [anon_sym_u_SQUOTE] = ACTIONS(2146),
    [anon_sym_U_SQUOTE] = ACTIONS(2146),
    [anon_sym_u8_SQUOTE] = ACTIONS(2146),
    [anon_sym_SQUOTE] = ACTIONS(2146),
    [anon_sym_L_DQUOTE] = ACTIONS(2148),
    [anon_sym_u_DQUOTE] = ACTIONS(2148),
    [anon_sym_U_DQUOTE] = ACTIONS(2148),
    [anon_sym_u8_DQUOTE] = ACTIONS(2148),
    [anon_sym_DQUOTE] = ACTIONS(2148),
    [sym_true] = ACTIONS(2150),
    [sym_false] = ACTIONS(2150),
    [anon_sym_NULL] = ACTIONS(2152),
    [anon_sym_nullptr] = ACTIONS(2152),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(2156),
    [anon_sym_R_DQUOTE] = ACTIONS(2158),
    [anon_sym_LR_DQUOTE] = ACTIONS(2158),
    [anon_sym_uR_DQUOTE] = ACTIONS(2158),
    [anon_sym_UR_DQUOTE] = ACTIONS(2158),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2158),
    [anon_sym_co_await] = ACTIONS(2160),
    [anon_sym_new] = ACTIONS(2162),
    [anon_sym_requires] = ACTIONS(2164),
    [sym_this] = ACTIONS(2150),
  },
  [2489] = {
    [sym__expression] = STATE(5917),
    [sym__expression_not_binary] = STATE(5024),
    [sym__string] = STATE(5024),
    [sym_conditional_expression] = STATE(5024),
    [sym_assignment_expression] = STATE(5024),
    [sym_pointer_expression] = STATE(4507),
    [sym_unary_expression] = STATE(5024),
    [sym_binary_expression] = STATE(5024),
    [sym_update_expression] = STATE(5024),
    [sym_cast_expression] = STATE(5024),
    [sym_sizeof_expression] = STATE(5024),
    [sym_alignof_expression] = STATE(5024),
    [sym_offsetof_expression] = STATE(5024),
    [sym_generic_expression] = STATE(5024),
    [sym_subscript_expression] = STATE(4507),
    [sym_call_expression] = STATE(4507),
    [sym_gnu_asm_expression] = STATE(5024),
    [sym_field_expression] = STATE(4507),
    [sym_compound_literal_expression] = STATE(5024),
    [sym_parenthesized_expression] = STATE(4507),
    [sym_char_literal] = STATE(5374),
    [sym_concatenated_string] = STATE(5377),
    [sym_string_literal] = STATE(4206),
    [sym_null] = STATE(5024),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9352),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(5024),
    [sym_raw_string_literal] = STATE(4217),
    [sym_co_await_expression] = STATE(5024),
    [sym_new_expression] = STATE(5024),
    [sym_delete_expression] = STATE(5024),
    [sym_requires_clause] = STATE(5024),
    [sym_requires_expression] = STATE(5024),
    [sym_lambda_expression] = STATE(5024),
    [sym_lambda_capture_specifier] = STATE(7184),
    [sym_fold_expression] = STATE(5024),
    [sym_parameter_pack_expansion] = STATE(5024),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6886),
    [sym_qualified_identifier] = STATE(4507),
    [sym_qualified_type_identifier] = STATE(9352),
    [sym_user_defined_literal] = STATE(4507),
    [sym_identifier] = ACTIONS(3140),
    [anon_sym_LPAREN2] = ACTIONS(1472),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1474),
    [anon_sym_AMP] = ACTIONS(1474),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [sym_primitive_type] = ACTIONS(3146),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [2490] = {
    [sym__expression] = STATE(3537),
    [sym__expression_not_binary] = STATE(3672),
    [sym__string] = STATE(3672),
    [sym_conditional_expression] = STATE(3672),
    [sym_assignment_expression] = STATE(3672),
    [sym_pointer_expression] = STATE(3672),
    [sym_unary_expression] = STATE(3672),
    [sym_binary_expression] = STATE(3672),
    [sym_update_expression] = STATE(3672),
    [sym_cast_expression] = STATE(3672),
    [sym_sizeof_expression] = STATE(3672),
    [sym_alignof_expression] = STATE(3672),
    [sym_offsetof_expression] = STATE(3672),
    [sym_generic_expression] = STATE(3672),
    [sym_subscript_expression] = STATE(3672),
    [sym_call_expression] = STATE(3672),
    [sym_gnu_asm_expression] = STATE(3672),
    [sym_field_expression] = STATE(3672),
    [sym_compound_literal_expression] = STATE(3672),
    [sym_parenthesized_expression] = STATE(3672),
    [sym_char_literal] = STATE(3991),
    [sym_concatenated_string] = STATE(3973),
    [sym_string_literal] = STATE(3242),
    [sym_null] = STATE(3672),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9333),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(3672),
    [sym_raw_string_literal] = STATE(3241),
    [sym_co_await_expression] = STATE(3672),
    [sym_new_expression] = STATE(3672),
    [sym_delete_expression] = STATE(3672),
    [sym_requires_clause] = STATE(3672),
    [sym_requires_expression] = STATE(3672),
    [sym_lambda_expression] = STATE(3672),
    [sym_lambda_capture_specifier] = STATE(7134),
    [sym_fold_expression] = STATE(3672),
    [sym_parameter_pack_expansion] = STATE(3672),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6886),
    [sym_qualified_identifier] = STATE(3672),
    [sym_qualified_type_identifier] = STATE(9333),
    [sym_user_defined_literal] = STATE(3672),
    [sym_identifier] = ACTIONS(3968),
    [anon_sym_LPAREN2] = ACTIONS(5219),
    [anon_sym_BANG] = ACTIONS(3972),
    [anon_sym_TILDE] = ACTIONS(3972),
    [anon_sym_DASH] = ACTIONS(3970),
    [anon_sym_PLUS] = ACTIONS(3970),
    [anon_sym_STAR] = ACTIONS(1474),
    [anon_sym_AMP] = ACTIONS(1474),
    [anon_sym_COLON_COLON] = ACTIONS(3974),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [sym_primitive_type] = ACTIONS(3928),
    [anon_sym_not] = ACTIONS(3970),
    [anon_sym_compl] = ACTIONS(3970),
    [anon_sym_DASH_DASH] = ACTIONS(4385),
    [anon_sym_PLUS_PLUS] = ACTIONS(4385),
    [anon_sym_sizeof] = ACTIONS(3976),
    [anon_sym___alignof__] = ACTIONS(3932),
    [anon_sym___alignof] = ACTIONS(3932),
    [anon_sym__alignof] = ACTIONS(3932),
    [anon_sym_alignof] = ACTIONS(3932),
    [anon_sym__Alignof] = ACTIONS(3932),
    [anon_sym_offsetof] = ACTIONS(3934),
    [anon_sym__Generic] = ACTIONS(3936),
    [anon_sym_asm] = ACTIONS(3938),
    [anon_sym___asm__] = ACTIONS(3938),
    [sym_number_literal] = ACTIONS(3978),
    [anon_sym_L_SQUOTE] = ACTIONS(3980),
    [anon_sym_u_SQUOTE] = ACTIONS(3980),
    [anon_sym_U_SQUOTE] = ACTIONS(3980),
    [anon_sym_u8_SQUOTE] = ACTIONS(3980),
    [anon_sym_SQUOTE] = ACTIONS(3980),
    [anon_sym_L_DQUOTE] = ACTIONS(3982),
    [anon_sym_u_DQUOTE] = ACTIONS(3982),
    [anon_sym_U_DQUOTE] = ACTIONS(3982),
    [anon_sym_u8_DQUOTE] = ACTIONS(3982),
    [anon_sym_DQUOTE] = ACTIONS(3982),
    [sym_true] = ACTIONS(3946),
    [sym_false] = ACTIONS(3946),
    [anon_sym_NULL] = ACTIONS(3948),
    [anon_sym_nullptr] = ACTIONS(3948),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(3984),
    [anon_sym_R_DQUOTE] = ACTIONS(3986),
    [anon_sym_LR_DQUOTE] = ACTIONS(3986),
    [anon_sym_uR_DQUOTE] = ACTIONS(3986),
    [anon_sym_UR_DQUOTE] = ACTIONS(3986),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3986),
    [anon_sym_co_await] = ACTIONS(3988),
    [anon_sym_new] = ACTIONS(3990),
    [anon_sym_requires] = ACTIONS(3958),
    [sym_this] = ACTIONS(3946),
  },
  [2491] = {
    [sym__expression] = STATE(4055),
    [sym__expression_not_binary] = STATE(3672),
    [sym__string] = STATE(3672),
    [sym_conditional_expression] = STATE(3672),
    [sym_assignment_expression] = STATE(3672),
    [sym_pointer_expression] = STATE(3672),
    [sym_unary_expression] = STATE(3672),
    [sym_binary_expression] = STATE(3672),
    [sym_update_expression] = STATE(3672),
    [sym_cast_expression] = STATE(3672),
    [sym_sizeof_expression] = STATE(3672),
    [sym_alignof_expression] = STATE(3672),
    [sym_offsetof_expression] = STATE(3672),
    [sym_generic_expression] = STATE(3672),
    [sym_subscript_expression] = STATE(3672),
    [sym_call_expression] = STATE(3672),
    [sym_gnu_asm_expression] = STATE(3672),
    [sym_field_expression] = STATE(3672),
    [sym_compound_literal_expression] = STATE(3672),
    [sym_parenthesized_expression] = STATE(3672),
    [sym_char_literal] = STATE(3991),
    [sym_concatenated_string] = STATE(3973),
    [sym_string_literal] = STATE(3242),
    [sym_null] = STATE(3672),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9333),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(3672),
    [sym_raw_string_literal] = STATE(3241),
    [sym_co_await_expression] = STATE(3672),
    [sym_new_expression] = STATE(3672),
    [sym_delete_expression] = STATE(3672),
    [sym_requires_clause] = STATE(3672),
    [sym_requires_expression] = STATE(3672),
    [sym_lambda_expression] = STATE(3672),
    [sym_lambda_capture_specifier] = STATE(7134),
    [sym_fold_expression] = STATE(3672),
    [sym_parameter_pack_expansion] = STATE(3672),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6886),
    [sym_qualified_identifier] = STATE(3672),
    [sym_qualified_type_identifier] = STATE(9333),
    [sym_user_defined_literal] = STATE(3672),
    [sym_identifier] = ACTIONS(3968),
    [anon_sym_LPAREN2] = ACTIONS(5219),
    [anon_sym_BANG] = ACTIONS(3972),
    [anon_sym_TILDE] = ACTIONS(3972),
    [anon_sym_DASH] = ACTIONS(3970),
    [anon_sym_PLUS] = ACTIONS(3970),
    [anon_sym_STAR] = ACTIONS(1474),
    [anon_sym_AMP] = ACTIONS(1474),
    [anon_sym_COLON_COLON] = ACTIONS(3974),
    [anon_sym_LBRACK] = ACTIONS(5553),
    [sym_primitive_type] = ACTIONS(3928),
    [anon_sym_not] = ACTIONS(3970),
    [anon_sym_compl] = ACTIONS(3970),
    [anon_sym_DASH_DASH] = ACTIONS(4385),
    [anon_sym_PLUS_PLUS] = ACTIONS(4385),
    [anon_sym_sizeof] = ACTIONS(3976),
    [anon_sym___alignof__] = ACTIONS(3932),
    [anon_sym___alignof] = ACTIONS(3932),
    [anon_sym__alignof] = ACTIONS(3932),
    [anon_sym_alignof] = ACTIONS(3932),
    [anon_sym__Alignof] = ACTIONS(3932),
    [anon_sym_offsetof] = ACTIONS(3934),
    [anon_sym__Generic] = ACTIONS(3936),
    [anon_sym_asm] = ACTIONS(3938),
    [anon_sym___asm__] = ACTIONS(3938),
    [sym_number_literal] = ACTIONS(3978),
    [anon_sym_L_SQUOTE] = ACTIONS(3980),
    [anon_sym_u_SQUOTE] = ACTIONS(3980),
    [anon_sym_U_SQUOTE] = ACTIONS(3980),
    [anon_sym_u8_SQUOTE] = ACTIONS(3980),
    [anon_sym_SQUOTE] = ACTIONS(3980),
    [anon_sym_L_DQUOTE] = ACTIONS(3982),
    [anon_sym_u_DQUOTE] = ACTIONS(3982),
    [anon_sym_U_DQUOTE] = ACTIONS(3982),
    [anon_sym_u8_DQUOTE] = ACTIONS(3982),
    [anon_sym_DQUOTE] = ACTIONS(3982),
    [sym_true] = ACTIONS(3946),
    [sym_false] = ACTIONS(3946),
    [anon_sym_NULL] = ACTIONS(3948),
    [anon_sym_nullptr] = ACTIONS(3948),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(3984),
    [anon_sym_R_DQUOTE] = ACTIONS(3986),
    [anon_sym_LR_DQUOTE] = ACTIONS(3986),
    [anon_sym_uR_DQUOTE] = ACTIONS(3986),
    [anon_sym_UR_DQUOTE] = ACTIONS(3986),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3986),
    [anon_sym_co_await] = ACTIONS(3988),
    [anon_sym_new] = ACTIONS(3990),
    [anon_sym_requires] = ACTIONS(3958),
    [sym_this] = ACTIONS(3946),
  },
  [2492] = {
    [sym__expression] = STATE(5908),
    [sym__expression_not_binary] = STATE(5024),
    [sym__string] = STATE(5024),
    [sym_conditional_expression] = STATE(5024),
    [sym_assignment_expression] = STATE(5024),
    [sym_pointer_expression] = STATE(4737),
    [sym_unary_expression] = STATE(5024),
    [sym_binary_expression] = STATE(5024),
    [sym_update_expression] = STATE(5024),
    [sym_cast_expression] = STATE(5024),
    [sym_sizeof_expression] = STATE(5024),
    [sym_alignof_expression] = STATE(5024),
    [sym_offsetof_expression] = STATE(5024),
    [sym_generic_expression] = STATE(5024),
    [sym_subscript_expression] = STATE(4737),
    [sym_call_expression] = STATE(4737),
    [sym_gnu_asm_expression] = STATE(5024),
    [sym_field_expression] = STATE(4737),
    [sym_compound_literal_expression] = STATE(5024),
    [sym_parenthesized_expression] = STATE(4737),
    [sym_char_literal] = STATE(5374),
    [sym_concatenated_string] = STATE(5377),
    [sym_string_literal] = STATE(4206),
    [sym_null] = STATE(5024),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9352),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(5024),
    [sym_raw_string_literal] = STATE(4217),
    [sym_co_await_expression] = STATE(5024),
    [sym_new_expression] = STATE(5024),
    [sym_delete_expression] = STATE(5024),
    [sym_requires_clause] = STATE(5024),
    [sym_requires_expression] = STATE(5024),
    [sym_lambda_expression] = STATE(5024),
    [sym_lambda_capture_specifier] = STATE(7184),
    [sym_fold_expression] = STATE(5024),
    [sym_parameter_pack_expansion] = STATE(5024),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6886),
    [sym_qualified_identifier] = STATE(4737),
    [sym_qualified_type_identifier] = STATE(9352),
    [sym_user_defined_literal] = STATE(4737),
    [sym_identifier] = ACTIONS(4502),
    [anon_sym_LPAREN2] = ACTIONS(4540),
    [anon_sym_BANG] = ACTIONS(4506),
    [anon_sym_TILDE] = ACTIONS(4506),
    [anon_sym_DASH] = ACTIONS(4504),
    [anon_sym_PLUS] = ACTIONS(4504),
    [anon_sym_STAR] = ACTIONS(1474),
    [anon_sym_AMP] = ACTIONS(1474),
    [anon_sym_COLON_COLON] = ACTIONS(4508),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [sym_primitive_type] = ACTIONS(3146),
    [anon_sym_not] = ACTIONS(4504),
    [anon_sym_compl] = ACTIONS(4504),
    [anon_sym_DASH_DASH] = ACTIONS(4544),
    [anon_sym_PLUS_PLUS] = ACTIONS(4544),
    [anon_sym_sizeof] = ACTIONS(4510),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(4512),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(4514),
    [anon_sym_new] = ACTIONS(4516),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [2493] = {
    [sym__expression] = STATE(5549),
    [sym__expression_not_binary] = STATE(5024),
    [sym__string] = STATE(5024),
    [sym_conditional_expression] = STATE(5024),
    [sym_assignment_expression] = STATE(5024),
    [sym_pointer_expression] = STATE(4507),
    [sym_unary_expression] = STATE(5024),
    [sym_binary_expression] = STATE(5024),
    [sym_update_expression] = STATE(5024),
    [sym_cast_expression] = STATE(5024),
    [sym_sizeof_expression] = STATE(5024),
    [sym_alignof_expression] = STATE(5024),
    [sym_offsetof_expression] = STATE(5024),
    [sym_generic_expression] = STATE(5024),
    [sym_subscript_expression] = STATE(4507),
    [sym_call_expression] = STATE(4507),
    [sym_gnu_asm_expression] = STATE(5024),
    [sym_field_expression] = STATE(4507),
    [sym_compound_literal_expression] = STATE(5024),
    [sym_parenthesized_expression] = STATE(4507),
    [sym_char_literal] = STATE(5374),
    [sym_concatenated_string] = STATE(5377),
    [sym_string_literal] = STATE(4206),
    [sym_null] = STATE(5024),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9352),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(5024),
    [sym_raw_string_literal] = STATE(4217),
    [sym_co_await_expression] = STATE(5024),
    [sym_new_expression] = STATE(5024),
    [sym_delete_expression] = STATE(5024),
    [sym_requires_clause] = STATE(5024),
    [sym_requires_expression] = STATE(5024),
    [sym_lambda_expression] = STATE(5024),
    [sym_lambda_capture_specifier] = STATE(7184),
    [sym_fold_expression] = STATE(5024),
    [sym_parameter_pack_expansion] = STATE(5024),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6886),
    [sym_qualified_identifier] = STATE(4507),
    [sym_qualified_type_identifier] = STATE(9352),
    [sym_user_defined_literal] = STATE(4507),
    [sym_identifier] = ACTIONS(3140),
    [anon_sym_LPAREN2] = ACTIONS(1472),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1474),
    [anon_sym_AMP] = ACTIONS(1474),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [sym_primitive_type] = ACTIONS(3146),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [2494] = {
    [sym__expression] = STATE(5901),
    [sym__expression_not_binary] = STATE(5024),
    [sym__string] = STATE(5024),
    [sym_conditional_expression] = STATE(5024),
    [sym_assignment_expression] = STATE(5024),
    [sym_pointer_expression] = STATE(4507),
    [sym_unary_expression] = STATE(5024),
    [sym_binary_expression] = STATE(5024),
    [sym_update_expression] = STATE(5024),
    [sym_cast_expression] = STATE(5024),
    [sym_sizeof_expression] = STATE(5024),
    [sym_alignof_expression] = STATE(5024),
    [sym_offsetof_expression] = STATE(5024),
    [sym_generic_expression] = STATE(5024),
    [sym_subscript_expression] = STATE(4507),
    [sym_call_expression] = STATE(4507),
    [sym_gnu_asm_expression] = STATE(5024),
    [sym_field_expression] = STATE(4507),
    [sym_compound_literal_expression] = STATE(5024),
    [sym_parenthesized_expression] = STATE(4507),
    [sym_char_literal] = STATE(5374),
    [sym_concatenated_string] = STATE(5377),
    [sym_string_literal] = STATE(4206),
    [sym_null] = STATE(5024),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9352),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(5024),
    [sym_raw_string_literal] = STATE(4217),
    [sym_co_await_expression] = STATE(5024),
    [sym_new_expression] = STATE(5024),
    [sym_delete_expression] = STATE(5024),
    [sym_requires_clause] = STATE(5024),
    [sym_requires_expression] = STATE(5024),
    [sym_lambda_expression] = STATE(5024),
    [sym_lambda_capture_specifier] = STATE(7184),
    [sym_fold_expression] = STATE(5024),
    [sym_parameter_pack_expansion] = STATE(5024),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6886),
    [sym_qualified_identifier] = STATE(4507),
    [sym_qualified_type_identifier] = STATE(9352),
    [sym_user_defined_literal] = STATE(4507),
    [sym_identifier] = ACTIONS(3140),
    [anon_sym_LPAREN2] = ACTIONS(1472),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1474),
    [anon_sym_AMP] = ACTIONS(1474),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [sym_primitive_type] = ACTIONS(3146),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [2495] = {
    [sym__expression] = STATE(5543),
    [sym__expression_not_binary] = STATE(5024),
    [sym__string] = STATE(5024),
    [sym_conditional_expression] = STATE(5024),
    [sym_assignment_expression] = STATE(5024),
    [sym_pointer_expression] = STATE(4507),
    [sym_unary_expression] = STATE(5024),
    [sym_binary_expression] = STATE(5024),
    [sym_update_expression] = STATE(5024),
    [sym_cast_expression] = STATE(5024),
    [sym_sizeof_expression] = STATE(5024),
    [sym_alignof_expression] = STATE(5024),
    [sym_offsetof_expression] = STATE(5024),
    [sym_generic_expression] = STATE(5024),
    [sym_subscript_expression] = STATE(4507),
    [sym_call_expression] = STATE(4507),
    [sym_gnu_asm_expression] = STATE(5024),
    [sym_field_expression] = STATE(4507),
    [sym_compound_literal_expression] = STATE(5024),
    [sym_parenthesized_expression] = STATE(4507),
    [sym_char_literal] = STATE(5374),
    [sym_concatenated_string] = STATE(5377),
    [sym_string_literal] = STATE(4206),
    [sym_null] = STATE(5024),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9352),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(5024),
    [sym_raw_string_literal] = STATE(4217),
    [sym_co_await_expression] = STATE(5024),
    [sym_new_expression] = STATE(5024),
    [sym_delete_expression] = STATE(5024),
    [sym_requires_clause] = STATE(5024),
    [sym_requires_expression] = STATE(5024),
    [sym_lambda_expression] = STATE(5024),
    [sym_lambda_capture_specifier] = STATE(7184),
    [sym_fold_expression] = STATE(5024),
    [sym_parameter_pack_expansion] = STATE(5024),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6886),
    [sym_qualified_identifier] = STATE(4507),
    [sym_qualified_type_identifier] = STATE(9352),
    [sym_user_defined_literal] = STATE(4507),
    [sym_identifier] = ACTIONS(3140),
    [anon_sym_LPAREN2] = ACTIONS(1472),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1474),
    [anon_sym_AMP] = ACTIONS(1474),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [sym_primitive_type] = ACTIONS(3146),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(221),
  },
  [2496] = {
    [sym__expression] = STATE(5369),
    [sym__expression_not_binary] = STATE(5575),
    [sym__string] = STATE(5575),
    [sym_conditional_expression] = STATE(5575),
    [sym_assignment_expression] = STATE(5575),
    [sym_pointer_expression] = STATE(4218),
    [sym_unary_expression] = STATE(5575),
    [sym_binary_expression] = STATE(5575),
    [sym_update_expression] = STATE(5575),
    [sym_cast_expression] = STATE(5575),
    [sym_sizeof_expression] = STATE(5575),
    [sym_alignof_expression] = STATE(5575),
    [sym_offsetof_expression] = STATE(5575),
    [sym_generic_expression] = STATE(5575),
    [sym_subscript_expression] = STATE(4218),
    [sym_call_expression] = STATE(4218),
    [sym_gnu_asm_expression] = STATE(5575),
    [sym_field_expression] = STATE(4218),
    [sym_compound_literal_expression] = STATE(5575),
    [sym_parenthesized_expression] = STATE(4218),
    [sym_char_literal] = STATE(5388),
    [sym_concatenated_string] = STATE(5429),
    [sym_string_literal] = STATE(4410),
    [sym_null] = STATE(5575),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9045),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(5575),
    [sym_raw_string_literal] = STATE(4411),
    [sym_co_await_expression] = STATE(5575),
    [sym_new_expression] = STATE(5575),
    [sym_delete_expression] = STATE(5575),
    [sym_requires_clause] = STATE(5575),
    [sym_requires_expression] = STATE(5575),
    [sym_lambda_expression] = STATE(5575),
    [sym_lambda_capture_specifier] = STATE(7089),
    [sym_fold_expression] = STATE(5575),
    [sym_parameter_pack_expansion] = STATE(5575),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6962),
    [sym_qualified_identifier] = STATE(4218),
    [sym_qualified_type_identifier] = STATE(9045),
    [sym_user_defined_literal] = STATE(4218),
    [sym_identifier] = ACTIONS(5081),
    [anon_sym_LPAREN2] = ACTIONS(5200),
    [anon_sym_BANG] = ACTIONS(4431),
    [anon_sym_TILDE] = ACTIONS(4431),
    [anon_sym_DASH] = ACTIONS(4429),
    [anon_sym_PLUS] = ACTIONS(4429),
    [anon_sym_STAR] = ACTIONS(5202),
    [anon_sym_AMP] = ACTIONS(5202),
    [anon_sym_COLON_COLON] = ACTIONS(4433),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [sym_primitive_type] = ACTIONS(4437),
    [anon_sym_not] = ACTIONS(4429),
    [anon_sym_compl] = ACTIONS(4429),
    [anon_sym_DASH_DASH] = ACTIONS(5083),
    [anon_sym_PLUS_PLUS] = ACTIONS(5083),
    [anon_sym_sizeof] = ACTIONS(4439),
    [anon_sym___alignof__] = ACTIONS(4441),
    [anon_sym___alignof] = ACTIONS(4441),
    [anon_sym__alignof] = ACTIONS(4441),
    [anon_sym_alignof] = ACTIONS(4441),
    [anon_sym__Alignof] = ACTIONS(4441),
    [anon_sym_offsetof] = ACTIONS(4443),
    [anon_sym__Generic] = ACTIONS(4445),
    [anon_sym_asm] = ACTIONS(4447),
    [anon_sym___asm__] = ACTIONS(4447),
    [sym_number_literal] = ACTIONS(4449),
    [anon_sym_L_SQUOTE] = ACTIONS(4451),
    [anon_sym_u_SQUOTE] = ACTIONS(4451),
    [anon_sym_U_SQUOTE] = ACTIONS(4451),
    [anon_sym_u8_SQUOTE] = ACTIONS(4451),
    [anon_sym_SQUOTE] = ACTIONS(4451),
    [anon_sym_L_DQUOTE] = ACTIONS(4453),
    [anon_sym_u_DQUOTE] = ACTIONS(4453),
    [anon_sym_U_DQUOTE] = ACTIONS(4453),
    [anon_sym_u8_DQUOTE] = ACTIONS(4453),
    [anon_sym_DQUOTE] = ACTIONS(4453),
    [sym_true] = ACTIONS(4455),
    [sym_false] = ACTIONS(4455),
    [anon_sym_NULL] = ACTIONS(4457),
    [anon_sym_nullptr] = ACTIONS(4457),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(4459),
    [anon_sym_R_DQUOTE] = ACTIONS(4461),
    [anon_sym_LR_DQUOTE] = ACTIONS(4461),
    [anon_sym_uR_DQUOTE] = ACTIONS(4461),
    [anon_sym_UR_DQUOTE] = ACTIONS(4461),
    [anon_sym_u8R_DQUOTE] = ACTIONS(4461),
    [anon_sym_co_await] = ACTIONS(4463),
    [anon_sym_new] = ACTIONS(4465),
    [anon_sym_requires] = ACTIONS(4467),
    [sym_this] = ACTIONS(4455),
  },
  [2497] = {
    [sym__expression] = STATE(4197),
    [sym__expression_not_binary] = STATE(3672),
    [sym__string] = STATE(3672),
    [sym_conditional_expression] = STATE(3672),
    [sym_assignment_expression] = STATE(3672),
    [sym_pointer_expression] = STATE(3672),
    [sym_unary_expression] = STATE(3672),
    [sym_binary_expression] = STATE(3672),
    [sym_update_expression] = STATE(3672),
    [sym_cast_expression] = STATE(3672),
    [sym_sizeof_expression] = STATE(3672),
    [sym_alignof_expression] = STATE(3672),
    [sym_offsetof_expression] = STATE(3672),
    [sym_generic_expression] = STATE(3672),
    [sym_subscript_expression] = STATE(3672),
    [sym_call_expression] = STATE(3672),
    [sym_gnu_asm_expression] = STATE(3672),
    [sym_field_expression] = STATE(3672),
    [sym_compound_literal_expression] = STATE(3672),
    [sym_parenthesized_expression] = STATE(3672),
    [sym_char_literal] = STATE(4466),
    [sym_concatenated_string] = STATE(4465),
    [sym_string_literal] = STATE(3395),
    [sym_null] = STATE(3672),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9333),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(3672),
    [sym_raw_string_literal] = STATE(3400),
    [sym_co_await_expression] = STATE(3672),
    [sym_new_expression] = STATE(3672),
    [sym_delete_expression] = STATE(3672),
    [sym_requires_clause] = STATE(3672),
    [sym_requires_expression] = STATE(3672),
    [sym_lambda_expression] = STATE(3672),
    [sym_lambda_capture_specifier] = STATE(7134),
    [sym_fold_expression] = STATE(3672),
    [sym_parameter_pack_expansion] = STATE(3672),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6886),
    [sym_qualified_identifier] = STATE(3672),
    [sym_qualified_type_identifier] = STATE(9333),
    [sym_user_defined_literal] = STATE(3672),
    [sym_identifier] = ACTIONS(4070),
    [anon_sym_LPAREN2] = ACTIONS(5257),
    [anon_sym_BANG] = ACTIONS(4074),
    [anon_sym_TILDE] = ACTIONS(4074),
    [anon_sym_DASH] = ACTIONS(4072),
    [anon_sym_PLUS] = ACTIONS(4072),
    [anon_sym_STAR] = ACTIONS(5017),
    [anon_sym_AMP] = ACTIONS(5017),
    [anon_sym_COLON_COLON] = ACTIONS(4076),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [sym_primitive_type] = ACTIONS(3928),
    [anon_sym_not] = ACTIONS(4072),
    [anon_sym_compl] = ACTIONS(4072),
    [anon_sym_DASH_DASH] = ACTIONS(5043),
    [anon_sym_PLUS_PLUS] = ACTIONS(5043),
    [anon_sym_sizeof] = ACTIONS(4078),
    [anon_sym___alignof__] = ACTIONS(3932),
    [anon_sym___alignof] = ACTIONS(3932),
    [anon_sym__alignof] = ACTIONS(3932),
    [anon_sym_alignof] = ACTIONS(3932),
    [anon_sym__Alignof] = ACTIONS(3932),
    [anon_sym_offsetof] = ACTIONS(3934),
    [anon_sym__Generic] = ACTIONS(3936),
    [anon_sym_asm] = ACTIONS(3938),
    [anon_sym___asm__] = ACTIONS(3938),
    [sym_number_literal] = ACTIONS(4080),
    [anon_sym_L_SQUOTE] = ACTIONS(4082),
    [anon_sym_u_SQUOTE] = ACTIONS(4082),
    [anon_sym_U_SQUOTE] = ACTIONS(4082),
    [anon_sym_u8_SQUOTE] = ACTIONS(4082),
    [anon_sym_SQUOTE] = ACTIONS(4082),
    [anon_sym_L_DQUOTE] = ACTIONS(4084),
    [anon_sym_u_DQUOTE] = ACTIONS(4084),
    [anon_sym_U_DQUOTE] = ACTIONS(4084),
    [anon_sym_u8_DQUOTE] = ACTIONS(4084),
    [anon_sym_DQUOTE] = ACTIONS(4084),
    [sym_true] = ACTIONS(3946),
    [sym_false] = ACTIONS(3946),
    [anon_sym_NULL] = ACTIONS(3948),
    [anon_sym_nullptr] = ACTIONS(3948),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(4086),
    [anon_sym_R_DQUOTE] = ACTIONS(4088),
    [anon_sym_LR_DQUOTE] = ACTIONS(4088),
    [anon_sym_uR_DQUOTE] = ACTIONS(4088),
    [anon_sym_UR_DQUOTE] = ACTIONS(4088),
    [anon_sym_u8R_DQUOTE] = ACTIONS(4088),
    [anon_sym_co_await] = ACTIONS(4090),
    [anon_sym_new] = ACTIONS(3990),
    [anon_sym_requires] = ACTIONS(3958),
    [sym_this] = ACTIONS(3946),
  },
  [2498] = {
    [sym__expression] = STATE(4349),
    [sym__expression_not_binary] = STATE(4695),
    [sym__string] = STATE(4695),
    [sym_conditional_expression] = STATE(4695),
    [sym_assignment_expression] = STATE(4695),
    [sym_pointer_expression] = STATE(4695),
    [sym_unary_expression] = STATE(4695),
    [sym_binary_expression] = STATE(4695),
    [sym_update_expression] = STATE(4695),
    [sym_cast_expression] = STATE(4695),
    [sym_sizeof_expression] = STATE(4695),
    [sym_alignof_expression] = STATE(4695),
    [sym_offsetof_expression] = STATE(4695),
    [sym_generic_expression] = STATE(4695),
    [sym_subscript_expression] = STATE(4695),
    [sym_call_expression] = STATE(4695),
    [sym_gnu_asm_expression] = STATE(4695),
    [sym_field_expression] = STATE(4695),
    [sym_compound_literal_expression] = STATE(4695),
    [sym_parenthesized_expression] = STATE(4695),
    [sym_char_literal] = STATE(4427),
    [sym_concatenated_string] = STATE(4424),
    [sym_string_literal] = STATE(3398),
    [sym_null] = STATE(4695),
    [sym_decltype] = STATE(10317),
    [sym__class_name] = STATE(9425),
    [sym_template_type] = STATE(2999),
    [sym_template_function] = STATE(4695),
    [sym_raw_string_literal] = STATE(3396),
    [sym_co_await_expression] = STATE(4695),
    [sym_new_expression] = STATE(4695),
    [sym_delete_expression] = STATE(4695),
    [sym_requires_clause] = STATE(4695),
    [sym_requires_expression] = STATE(4695),
    [sym_lambda_expression] = STATE(4695),
    [sym_lambda_capture_specifier] = STATE(7185),
    [sym_fold_expression] = STATE(4695),
    [sym_parameter_pack_expansion] = STATE(4695),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6899),
    [sym_qualified_identifier] = STATE(4695),
    [sym_qualified_type_identifier] = STATE(9425),
    [sym_user_defined_literal] = STATE(4695),
    [sym_identifier] = ACTIONS(4092),
    [anon_sym_LPAREN2] = ACTIONS(4188),
    [anon_sym_BANG] = ACTIONS(2532),
    [anon_sym_TILDE] = ACTIONS(2532),
    [anon_sym_DASH] = ACTIONS(2536),
    [anon_sym_PLUS] = ACTIONS(2536),
    [anon_sym_STAR] = ACTIONS(2116),
    [anon_sym_AMP] = ACTIONS(2116),
    [anon_sym_COLON_COLON] = ACTIONS(2542),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [sym_primitive_type] = ACTIONS(4096),
    [anon_sym_not] = ACTIONS(2536),
    [anon_sym_compl] = ACTIONS(2536),
    [anon_sym_DASH_DASH] = ACTIONS(2560),
    [anon_sym_PLUS_PLUS] = ACTIONS(2560),
    [anon_sym_sizeof] = ACTIONS(2562),
    [anon_sym___alignof__] = ACTIONS(2564),
    [anon_sym___alignof] = ACTIONS(2564),
    [anon_sym__alignof] = ACTIONS(2564),
    [anon_sym_alignof] = ACTIONS(2564),
    [anon_sym__Alignof] = ACTIONS(2564),
    [anon_sym_offsetof] = ACTIONS(2566),
    [anon_sym__Generic] = ACTIONS(2568),
    [anon_sym_asm] = ACTIONS(2570),
    [anon_sym___asm__] = ACTIONS(2570),
    [sym_number_literal] = ACTIONS(2572),
    [anon_sym_L_SQUOTE] = ACTIONS(2574),
    [anon_sym_u_SQUOTE] = ACTIONS(2574),
    [anon_sym_U_SQUOTE] = ACTIONS(2574),
    [anon_sym_u8_SQUOTE] = ACTIONS(2574),
    [anon_sym_SQUOTE] = ACTIONS(2574),
    [anon_sym_L_DQUOTE] = ACTIONS(2576),
    [anon_sym_u_DQUOTE] = ACTIONS(2576),
    [anon_sym_U_DQUOTE] = ACTIONS(2576),
    [anon_sym_u8_DQUOTE] = ACTIONS(2576),
    [anon_sym_DQUOTE] = ACTIONS(2576),
    [sym_true] = ACTIONS(2578),
    [sym_false] = ACTIONS(2578),
    [anon_sym_NULL] = ACTIONS(2580),
    [anon_sym_nullptr] = ACTIONS(2580),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(2590),
    [anon_sym_R_DQUOTE] = ACTIONS(2592),
    [anon_sym_LR_DQUOTE] = ACTIONS(2592),
    [anon_sym_uR_DQUOTE] = ACTIONS(2592),
    [anon_sym_UR_DQUOTE] = ACTIONS(2592),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2592),
    [anon_sym_co_await] = ACTIONS(2594),
    [anon_sym_new] = ACTIONS(2596),
    [anon_sym_requires] = ACTIONS(2598),
    [sym_this] = ACTIONS(2578),
  },
  [2499] = {
    [sym__declaration_modifiers] = STATE(2652),
    [sym__declaration_specifiers] = STATE(5141),
    [sym_attribute_specifier] = STATE(2652),
    [sym_attribute_declaration] = STATE(2652),
    [sym_ms_declspec_modifier] = STATE(2652),
    [sym_storage_class_specifier] = STATE(2652),
    [sym_type_qualifier] = STATE(2652),
    [sym__type_specifier] = STATE(2827),
    [sym_sized_type_specifier] = STATE(3085),
    [sym_enum_specifier] = STATE(3085),
    [sym_struct_specifier] = STATE(3085),
    [sym_union_specifier] = STATE(3085),
    [sym_parameter_declaration] = STATE(8719),
    [sym_placeholder_type_specifier] = STATE(3085),
    [sym_decltype_auto] = STATE(3091),
    [sym_decltype] = STATE(3050),
    [sym_class_specifier] = STATE(3085),
    [sym_virtual] = STATE(2652),
    [sym_alignas_specifier] = STATE(2652),
    [sym_dependent_type] = STATE(3085),
    [sym_optional_parameter_declaration] = STATE(8719),
    [sym_variadic_parameter_declaration] = STATE(8719),
    [sym_template_type] = STATE(3050),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(7879),
    [sym_qualified_type_identifier] = STATE(3068),
    [sym_qualifiers] = STATE(2652),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2652),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3021),
    [sym_identifier] = ACTIONS(4559),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5555),
    [anon_sym_RPAREN] = ACTIONS(5557),
    [anon_sym___extension__] = ACTIONS(63),
    [anon_sym_in] = ACTIONS(2118),
    [anon_sym_out] = ACTIONS(2118),
    [anon_sym_inout] = ACTIONS(2118),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(4569),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2096),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(2891),
    [anon_sym_enum] = ACTIONS(2124),
    [anon_sym_class] = ACTIONS(2126),
    [anon_sym_struct] = ACTIONS(2128),
    [anon_sym_union] = ACTIONS(2130),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [anon_sym_virtual] = ACTIONS(123),
    [anon_sym_alignas] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(2154),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_precise] = ACTIONS(161),
    [anon_sym_shared] = ACTIONS(161),
    [anon_sym_groupshared] = ACTIONS(161),
    [anon_sym_uniform] = ACTIONS(161),
    [anon_sym_row_major] = ACTIONS(161),
    [anon_sym_column_major] = ACTIONS(161),
    [anon_sym_globallycoherent] = ACTIONS(161),
    [anon_sym_centroid] = ACTIONS(161),
    [anon_sym_noperspective] = ACTIONS(161),
    [anon_sym_nointerpolation] = ACTIONS(161),
    [anon_sym_sample] = ACTIONS(161),
    [anon_sym_linear] = ACTIONS(161),
    [anon_sym_snorm] = ACTIONS(161),
    [anon_sym_unorm] = ACTIONS(161),
    [anon_sym_point] = ACTIONS(161),
    [anon_sym_line] = ACTIONS(161),
    [anon_sym_triangleadj] = ACTIONS(161),
    [anon_sym_lineadj] = ACTIONS(161),
    [anon_sym_triangle] = ACTIONS(161),
  },
  [2500] = {
    [sym__declaration_modifiers] = STATE(2652),
    [sym__declaration_specifiers] = STATE(5141),
    [sym_attribute_specifier] = STATE(2652),
    [sym_attribute_declaration] = STATE(2652),
    [sym_ms_declspec_modifier] = STATE(2652),
    [sym_storage_class_specifier] = STATE(2652),
    [sym_type_qualifier] = STATE(2652),
    [sym__type_specifier] = STATE(2827),
    [sym_sized_type_specifier] = STATE(3085),
    [sym_enum_specifier] = STATE(3085),
    [sym_struct_specifier] = STATE(3085),
    [sym_union_specifier] = STATE(3085),
    [sym_parameter_declaration] = STATE(8681),
    [sym_placeholder_type_specifier] = STATE(3085),
    [sym_decltype_auto] = STATE(3091),
    [sym_decltype] = STATE(3050),
    [sym_class_specifier] = STATE(3085),
    [sym_virtual] = STATE(2652),
    [sym_alignas_specifier] = STATE(2652),
    [sym_dependent_type] = STATE(3085),
    [sym_optional_parameter_declaration] = STATE(8681),
    [sym_variadic_parameter_declaration] = STATE(8681),
    [sym_template_type] = STATE(3050),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(7879),
    [sym_qualified_type_identifier] = STATE(3068),
    [sym_qualifiers] = STATE(2652),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2652),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3021),
    [sym_identifier] = ACTIONS(4559),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5559),
    [anon_sym_RPAREN] = ACTIONS(5561),
    [anon_sym___extension__] = ACTIONS(63),
    [anon_sym_in] = ACTIONS(2118),
    [anon_sym_out] = ACTIONS(2118),
    [anon_sym_inout] = ACTIONS(2118),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(4569),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2096),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(2891),
    [anon_sym_enum] = ACTIONS(2124),
    [anon_sym_class] = ACTIONS(2126),
    [anon_sym_struct] = ACTIONS(2128),
    [anon_sym_union] = ACTIONS(2130),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [anon_sym_virtual] = ACTIONS(123),
    [anon_sym_alignas] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(2154),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_precise] = ACTIONS(161),
    [anon_sym_shared] = ACTIONS(161),
    [anon_sym_groupshared] = ACTIONS(161),
    [anon_sym_uniform] = ACTIONS(161),
    [anon_sym_row_major] = ACTIONS(161),
    [anon_sym_column_major] = ACTIONS(161),
    [anon_sym_globallycoherent] = ACTIONS(161),
    [anon_sym_centroid] = ACTIONS(161),
    [anon_sym_noperspective] = ACTIONS(161),
    [anon_sym_nointerpolation] = ACTIONS(161),
    [anon_sym_sample] = ACTIONS(161),
    [anon_sym_linear] = ACTIONS(161),
    [anon_sym_snorm] = ACTIONS(161),
    [anon_sym_unorm] = ACTIONS(161),
    [anon_sym_point] = ACTIONS(161),
    [anon_sym_line] = ACTIONS(161),
    [anon_sym_triangleadj] = ACTIONS(161),
    [anon_sym_lineadj] = ACTIONS(161),
    [anon_sym_triangle] = ACTIONS(161),
  },
  [2501] = {
    [sym_identifier] = ACTIONS(2254),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4573),
    [anon_sym_COMMA] = ACTIONS(4573),
    [anon_sym_RPAREN] = ACTIONS(4573),
    [anon_sym_LPAREN2] = ACTIONS(4575),
    [anon_sym_TILDE] = ACTIONS(2256),
    [anon_sym_DASH] = ACTIONS(4578),
    [anon_sym_PLUS] = ACTIONS(4578),
    [anon_sym_STAR] = ACTIONS(4575),
    [anon_sym_SLASH] = ACTIONS(4578),
    [anon_sym_PERCENT] = ACTIONS(4573),
    [anon_sym_PIPE_PIPE] = ACTIONS(4573),
    [anon_sym_AMP_AMP] = ACTIONS(4575),
    [anon_sym_PIPE] = ACTIONS(4578),
    [anon_sym_CARET] = ACTIONS(4573),
    [anon_sym_AMP] = ACTIONS(4580),
    [anon_sym_EQ_EQ] = ACTIONS(4573),
    [anon_sym_BANG_EQ] = ACTIONS(4573),
    [anon_sym_GT] = ACTIONS(4578),
    [anon_sym_GT_EQ] = ACTIONS(4573),
    [anon_sym_LT_EQ] = ACTIONS(4578),
    [anon_sym_LT] = ACTIONS(4578),
    [anon_sym_LT_LT] = ACTIONS(4573),
    [anon_sym_GT_GT] = ACTIONS(4573),
    [anon_sym_SEMI] = ACTIONS(4573),
    [anon_sym___extension__] = ACTIONS(2254),
    [anon_sym_in] = ACTIONS(2254),
    [anon_sym_out] = ACTIONS(2254),
    [anon_sym_inout] = ACTIONS(2254),
    [anon_sym_extern] = ACTIONS(2254),
    [anon_sym___attribute__] = ACTIONS(2254),
    [anon_sym_COLON_COLON] = ACTIONS(2256),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2256),
    [anon_sym___declspec] = ACTIONS(2254),
    [anon_sym___based] = ACTIONS(2254),
    [anon_sym_LBRACE] = ACTIONS(2256),
    [anon_sym_LBRACK] = ACTIONS(4580),
    [anon_sym_static] = ACTIONS(2254),
    [anon_sym_register] = ACTIONS(2254),
    [anon_sym_inline] = ACTIONS(2254),
    [anon_sym___inline] = ACTIONS(2254),
    [anon_sym___inline__] = ACTIONS(2254),
    [anon_sym___forceinline] = ACTIONS(2254),
    [anon_sym_thread_local] = ACTIONS(2254),
    [anon_sym___thread] = ACTIONS(2254),
    [anon_sym_const] = ACTIONS(2254),
    [anon_sym_constexpr] = ACTIONS(2254),
    [anon_sym_volatile] = ACTIONS(2254),
    [anon_sym_restrict] = ACTIONS(2254),
    [anon_sym___restrict__] = ACTIONS(2254),
    [anon_sym__Atomic] = ACTIONS(2254),
    [anon_sym__Noreturn] = ACTIONS(2254),
    [anon_sym_noreturn] = ACTIONS(2254),
    [anon_sym_mutable] = ACTIONS(2254),
    [anon_sym_constinit] = ACTIONS(2254),
    [anon_sym_consteval] = ACTIONS(2254),
    [anon_sym_QMARK] = ACTIONS(4573),
    [anon_sym_LT_EQ_GT] = ACTIONS(4573),
    [anon_sym_or] = ACTIONS(4578),
    [anon_sym_and] = ACTIONS(4578),
    [anon_sym_bitor] = ACTIONS(4578),
    [anon_sym_xor] = ACTIONS(4578),
    [anon_sym_bitand] = ACTIONS(4578),
    [anon_sym_not_eq] = ACTIONS(4578),
    [anon_sym_DASH_DASH] = ACTIONS(4573),
    [anon_sym_PLUS_PLUS] = ACTIONS(4573),
    [anon_sym_DOT] = ACTIONS(4578),
    [anon_sym_DOT_STAR] = ACTIONS(4573),
    [anon_sym_DASH_GT] = ACTIONS(4573),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2254),
    [anon_sym_decltype] = ACTIONS(2254),
    [anon_sym_virtual] = ACTIONS(2254),
    [anon_sym_alignas] = ACTIONS(2254),
    [anon_sym_template] = ACTIONS(2254),
    [anon_sym_operator] = ACTIONS(2254),
    [anon_sym_precise] = ACTIONS(2254),
    [anon_sym_shared] = ACTIONS(2254),
    [anon_sym_groupshared] = ACTIONS(2254),
    [anon_sym_uniform] = ACTIONS(2254),
    [anon_sym_row_major] = ACTIONS(2254),
    [anon_sym_column_major] = ACTIONS(2254),
    [anon_sym_globallycoherent] = ACTIONS(2254),
    [anon_sym_centroid] = ACTIONS(2254),
    [anon_sym_noperspective] = ACTIONS(2254),
    [anon_sym_nointerpolation] = ACTIONS(2254),
    [anon_sym_sample] = ACTIONS(2254),
    [anon_sym_linear] = ACTIONS(2254),
    [anon_sym_snorm] = ACTIONS(2254),
    [anon_sym_unorm] = ACTIONS(2254),
    [anon_sym_point] = ACTIONS(2254),
    [anon_sym_line] = ACTIONS(2254),
    [anon_sym_triangleadj] = ACTIONS(2254),
    [anon_sym_lineadj] = ACTIONS(2254),
    [anon_sym_triangle] = ACTIONS(2254),
  },
  [2502] = {
    [sym__declaration_modifiers] = STATE(2652),
    [sym__declaration_specifiers] = STATE(5141),
    [sym_attribute_specifier] = STATE(2652),
    [sym_attribute_declaration] = STATE(2652),
    [sym_ms_declspec_modifier] = STATE(2652),
    [sym_storage_class_specifier] = STATE(2652),
    [sym_type_qualifier] = STATE(2652),
    [sym__type_specifier] = STATE(2827),
    [sym_sized_type_specifier] = STATE(3085),
    [sym_enum_specifier] = STATE(3085),
    [sym_struct_specifier] = STATE(3085),
    [sym_union_specifier] = STATE(3085),
    [sym_parameter_declaration] = STATE(8924),
    [sym_placeholder_type_specifier] = STATE(3085),
    [sym_decltype_auto] = STATE(3091),
    [sym_decltype] = STATE(3050),
    [sym_class_specifier] = STATE(3085),
    [sym_virtual] = STATE(2652),
    [sym_alignas_specifier] = STATE(2652),
    [sym_dependent_type] = STATE(3085),
    [sym_optional_parameter_declaration] = STATE(8924),
    [sym_variadic_parameter_declaration] = STATE(8924),
    [sym_template_type] = STATE(3050),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(7879),
    [sym_qualified_type_identifier] = STATE(3068),
    [sym_qualifiers] = STATE(2652),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2652),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3021),
    [sym_identifier] = ACTIONS(4559),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5563),
    [anon_sym_RPAREN] = ACTIONS(5565),
    [anon_sym___extension__] = ACTIONS(63),
    [anon_sym_in] = ACTIONS(2118),
    [anon_sym_out] = ACTIONS(2118),
    [anon_sym_inout] = ACTIONS(2118),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(4569),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2096),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(2891),
    [anon_sym_enum] = ACTIONS(2124),
    [anon_sym_class] = ACTIONS(2126),
    [anon_sym_struct] = ACTIONS(2128),
    [anon_sym_union] = ACTIONS(2130),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [anon_sym_virtual] = ACTIONS(123),
    [anon_sym_alignas] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(2154),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_precise] = ACTIONS(161),
    [anon_sym_shared] = ACTIONS(161),
    [anon_sym_groupshared] = ACTIONS(161),
    [anon_sym_uniform] = ACTIONS(161),
    [anon_sym_row_major] = ACTIONS(161),
    [anon_sym_column_major] = ACTIONS(161),
    [anon_sym_globallycoherent] = ACTIONS(161),
    [anon_sym_centroid] = ACTIONS(161),
    [anon_sym_noperspective] = ACTIONS(161),
    [anon_sym_nointerpolation] = ACTIONS(161),
    [anon_sym_sample] = ACTIONS(161),
    [anon_sym_linear] = ACTIONS(161),
    [anon_sym_snorm] = ACTIONS(161),
    [anon_sym_unorm] = ACTIONS(161),
    [anon_sym_point] = ACTIONS(161),
    [anon_sym_line] = ACTIONS(161),
    [anon_sym_triangleadj] = ACTIONS(161),
    [anon_sym_lineadj] = ACTIONS(161),
    [anon_sym_triangle] = ACTIONS(161),
  },
  [2503] = {
    [sym__declaration_modifiers] = STATE(2652),
    [sym__declaration_specifiers] = STATE(5141),
    [sym_attribute_specifier] = STATE(2652),
    [sym_attribute_declaration] = STATE(2652),
    [sym_ms_declspec_modifier] = STATE(2652),
    [sym_storage_class_specifier] = STATE(2652),
    [sym_type_qualifier] = STATE(2652),
    [sym__type_specifier] = STATE(2827),
    [sym_sized_type_specifier] = STATE(3085),
    [sym_enum_specifier] = STATE(3085),
    [sym_struct_specifier] = STATE(3085),
    [sym_union_specifier] = STATE(3085),
    [sym_parameter_declaration] = STATE(8612),
    [sym_placeholder_type_specifier] = STATE(3085),
    [sym_decltype_auto] = STATE(3091),
    [sym_decltype] = STATE(3050),
    [sym_class_specifier] = STATE(3085),
    [sym_virtual] = STATE(2652),
    [sym_alignas_specifier] = STATE(2652),
    [sym_dependent_type] = STATE(3085),
    [sym_optional_parameter_declaration] = STATE(8612),
    [sym_variadic_parameter_declaration] = STATE(8612),
    [sym_template_type] = STATE(3050),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(7879),
    [sym_qualified_type_identifier] = STATE(3068),
    [sym_qualifiers] = STATE(2652),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2652),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3021),
    [sym_identifier] = ACTIONS(4559),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5567),
    [anon_sym_RPAREN] = ACTIONS(5569),
    [anon_sym___extension__] = ACTIONS(63),
    [anon_sym_in] = ACTIONS(2118),
    [anon_sym_out] = ACTIONS(2118),
    [anon_sym_inout] = ACTIONS(2118),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(4569),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2096),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(2891),
    [anon_sym_enum] = ACTIONS(2124),
    [anon_sym_class] = ACTIONS(2126),
    [anon_sym_struct] = ACTIONS(2128),
    [anon_sym_union] = ACTIONS(2130),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [anon_sym_virtual] = ACTIONS(123),
    [anon_sym_alignas] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(2154),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_precise] = ACTIONS(161),
    [anon_sym_shared] = ACTIONS(161),
    [anon_sym_groupshared] = ACTIONS(161),
    [anon_sym_uniform] = ACTIONS(161),
    [anon_sym_row_major] = ACTIONS(161),
    [anon_sym_column_major] = ACTIONS(161),
    [anon_sym_globallycoherent] = ACTIONS(161),
    [anon_sym_centroid] = ACTIONS(161),
    [anon_sym_noperspective] = ACTIONS(161),
    [anon_sym_nointerpolation] = ACTIONS(161),
    [anon_sym_sample] = ACTIONS(161),
    [anon_sym_linear] = ACTIONS(161),
    [anon_sym_snorm] = ACTIONS(161),
    [anon_sym_unorm] = ACTIONS(161),
    [anon_sym_point] = ACTIONS(161),
    [anon_sym_line] = ACTIONS(161),
    [anon_sym_triangleadj] = ACTIONS(161),
    [anon_sym_lineadj] = ACTIONS(161),
    [anon_sym_triangle] = ACTIONS(161),
  },
  [2504] = {
    [sym__declaration_modifiers] = STATE(2652),
    [sym__declaration_specifiers] = STATE(5141),
    [sym_attribute_specifier] = STATE(2652),
    [sym_attribute_declaration] = STATE(2652),
    [sym_ms_declspec_modifier] = STATE(2652),
    [sym_storage_class_specifier] = STATE(2652),
    [sym_type_qualifier] = STATE(2652),
    [sym__type_specifier] = STATE(2827),
    [sym_sized_type_specifier] = STATE(3085),
    [sym_enum_specifier] = STATE(3085),
    [sym_struct_specifier] = STATE(3085),
    [sym_union_specifier] = STATE(3085),
    [sym_parameter_declaration] = STATE(8829),
    [sym_placeholder_type_specifier] = STATE(3085),
    [sym_decltype_auto] = STATE(3091),
    [sym_decltype] = STATE(3050),
    [sym_class_specifier] = STATE(3085),
    [sym_virtual] = STATE(2652),
    [sym_alignas_specifier] = STATE(2652),
    [sym_dependent_type] = STATE(3085),
    [sym_optional_parameter_declaration] = STATE(8829),
    [sym_variadic_parameter_declaration] = STATE(8829),
    [sym_template_type] = STATE(3050),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(7879),
    [sym_qualified_type_identifier] = STATE(3068),
    [sym_qualifiers] = STATE(2652),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2652),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3021),
    [sym_identifier] = ACTIONS(4559),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2168),
    [anon_sym_RPAREN] = ACTIONS(4393),
    [anon_sym___extension__] = ACTIONS(63),
    [anon_sym_in] = ACTIONS(2118),
    [anon_sym_out] = ACTIONS(2118),
    [anon_sym_inout] = ACTIONS(2118),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(4569),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2096),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(2891),
    [anon_sym_enum] = ACTIONS(2124),
    [anon_sym_class] = ACTIONS(2126),
    [anon_sym_struct] = ACTIONS(2128),
    [anon_sym_union] = ACTIONS(2130),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [anon_sym_virtual] = ACTIONS(123),
    [anon_sym_alignas] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(2154),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_precise] = ACTIONS(161),
    [anon_sym_shared] = ACTIONS(161),
    [anon_sym_groupshared] = ACTIONS(161),
    [anon_sym_uniform] = ACTIONS(161),
    [anon_sym_row_major] = ACTIONS(161),
    [anon_sym_column_major] = ACTIONS(161),
    [anon_sym_globallycoherent] = ACTIONS(161),
    [anon_sym_centroid] = ACTIONS(161),
    [anon_sym_noperspective] = ACTIONS(161),
    [anon_sym_nointerpolation] = ACTIONS(161),
    [anon_sym_sample] = ACTIONS(161),
    [anon_sym_linear] = ACTIONS(161),
    [anon_sym_snorm] = ACTIONS(161),
    [anon_sym_unorm] = ACTIONS(161),
    [anon_sym_point] = ACTIONS(161),
    [anon_sym_line] = ACTIONS(161),
    [anon_sym_triangleadj] = ACTIONS(161),
    [anon_sym_lineadj] = ACTIONS(161),
    [anon_sym_triangle] = ACTIONS(161),
  },
  [2505] = {
    [sym__declaration_modifiers] = STATE(2652),
    [sym__declaration_specifiers] = STATE(5141),
    [sym_attribute_specifier] = STATE(2652),
    [sym_attribute_declaration] = STATE(2652),
    [sym_ms_declspec_modifier] = STATE(2652),
    [sym_storage_class_specifier] = STATE(2652),
    [sym_type_qualifier] = STATE(2652),
    [sym__type_specifier] = STATE(2827),
    [sym_sized_type_specifier] = STATE(3085),
    [sym_enum_specifier] = STATE(3085),
    [sym_struct_specifier] = STATE(3085),
    [sym_union_specifier] = STATE(3085),
    [sym_parameter_declaration] = STATE(9049),
    [sym_placeholder_type_specifier] = STATE(3085),
    [sym_decltype_auto] = STATE(3091),
    [sym_decltype] = STATE(3050),
    [sym_class_specifier] = STATE(3085),
    [sym_virtual] = STATE(2652),
    [sym_alignas_specifier] = STATE(2652),
    [sym_dependent_type] = STATE(3085),
    [sym_optional_parameter_declaration] = STATE(9049),
    [sym_variadic_parameter_declaration] = STATE(9049),
    [sym_template_type] = STATE(3050),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(7879),
    [sym_qualified_type_identifier] = STATE(3068),
    [sym_qualifiers] = STATE(2652),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2652),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3021),
    [sym_identifier] = ACTIONS(4559),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5571),
    [anon_sym___extension__] = ACTIONS(63),
    [anon_sym_in] = ACTIONS(2118),
    [anon_sym_out] = ACTIONS(2118),
    [anon_sym_inout] = ACTIONS(2118),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(4569),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2096),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(2891),
    [anon_sym_enum] = ACTIONS(2124),
    [anon_sym_class] = ACTIONS(2126),
    [anon_sym_struct] = ACTIONS(2128),
    [anon_sym_union] = ACTIONS(2130),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [anon_sym_virtual] = ACTIONS(123),
    [anon_sym_alignas] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(2154),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_precise] = ACTIONS(161),
    [anon_sym_shared] = ACTIONS(161),
    [anon_sym_groupshared] = ACTIONS(161),
    [anon_sym_uniform] = ACTIONS(161),
    [anon_sym_row_major] = ACTIONS(161),
    [anon_sym_column_major] = ACTIONS(161),
    [anon_sym_globallycoherent] = ACTIONS(161),
    [anon_sym_centroid] = ACTIONS(161),
    [anon_sym_noperspective] = ACTIONS(161),
    [anon_sym_nointerpolation] = ACTIONS(161),
    [anon_sym_sample] = ACTIONS(161),
    [anon_sym_linear] = ACTIONS(161),
    [anon_sym_snorm] = ACTIONS(161),
    [anon_sym_unorm] = ACTIONS(161),
    [anon_sym_point] = ACTIONS(161),
    [anon_sym_line] = ACTIONS(161),
    [anon_sym_triangleadj] = ACTIONS(161),
    [anon_sym_lineadj] = ACTIONS(161),
    [anon_sym_triangle] = ACTIONS(161),
  },
  [2506] = {
    [sym__declaration_modifiers] = STATE(2652),
    [sym__declaration_specifiers] = STATE(5141),
    [sym_attribute_specifier] = STATE(2652),
    [sym_attribute_declaration] = STATE(2652),
    [sym_ms_declspec_modifier] = STATE(2652),
    [sym_storage_class_specifier] = STATE(2652),
    [sym_type_qualifier] = STATE(2652),
    [sym__type_specifier] = STATE(2827),
    [sym_sized_type_specifier] = STATE(3085),
    [sym_enum_specifier] = STATE(3085),
    [sym_struct_specifier] = STATE(3085),
    [sym_union_specifier] = STATE(3085),
    [sym_parameter_declaration] = STATE(8849),
    [sym_placeholder_type_specifier] = STATE(3085),
    [sym_decltype_auto] = STATE(3091),
    [sym_decltype] = STATE(3050),
    [sym_class_specifier] = STATE(3085),
    [sym_virtual] = STATE(2652),
    [sym_alignas_specifier] = STATE(2652),
    [sym_dependent_type] = STATE(3085),
    [sym_optional_parameter_declaration] = STATE(8849),
    [sym_variadic_parameter_declaration] = STATE(8849),
    [sym_template_type] = STATE(3050),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(7879),
    [sym_qualified_type_identifier] = STATE(3068),
    [sym_qualifiers] = STATE(2652),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2652),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3021),
    [sym_identifier] = ACTIONS(4559),
    [anon_sym_RPAREN] = ACTIONS(2108),
    [anon_sym___extension__] = ACTIONS(63),
    [anon_sym_in] = ACTIONS(2118),
    [anon_sym_out] = ACTIONS(2118),
    [anon_sym_inout] = ACTIONS(2118),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(4569),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2096),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(2891),
    [anon_sym_enum] = ACTIONS(2124),
    [anon_sym_class] = ACTIONS(2126),
    [anon_sym_struct] = ACTIONS(2128),
    [anon_sym_union] = ACTIONS(2130),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [anon_sym_virtual] = ACTIONS(123),
    [anon_sym_alignas] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(2154),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_precise] = ACTIONS(161),
    [anon_sym_shared] = ACTIONS(161),
    [anon_sym_groupshared] = ACTIONS(161),
    [anon_sym_uniform] = ACTIONS(161),
    [anon_sym_row_major] = ACTIONS(161),
    [anon_sym_column_major] = ACTIONS(161),
    [anon_sym_globallycoherent] = ACTIONS(161),
    [anon_sym_centroid] = ACTIONS(161),
    [anon_sym_noperspective] = ACTIONS(161),
    [anon_sym_nointerpolation] = ACTIONS(161),
    [anon_sym_sample] = ACTIONS(161),
    [anon_sym_linear] = ACTIONS(161),
    [anon_sym_snorm] = ACTIONS(161),
    [anon_sym_unorm] = ACTIONS(161),
    [anon_sym_point] = ACTIONS(161),
    [anon_sym_line] = ACTIONS(161),
    [anon_sym_triangleadj] = ACTIONS(161),
    [anon_sym_lineadj] = ACTIONS(161),
    [anon_sym_triangle] = ACTIONS(161),
  },
  [2507] = {
    [sym__declaration_modifiers] = STATE(3138),
    [sym_attribute_specifier] = STATE(3138),
    [sym_attribute_declaration] = STATE(3138),
    [sym_ms_declspec_modifier] = STATE(3138),
    [sym_ms_based_modifier] = STATE(10332),
    [sym__declarator] = STATE(7978),
    [sym_parenthesized_declarator] = STATE(7680),
    [sym_attributed_declarator] = STATE(7680),
    [sym_pointer_declarator] = STATE(7680),
    [sym_function_declarator] = STATE(7553),
    [sym_array_declarator] = STATE(7680),
    [sym_storage_class_specifier] = STATE(3138),
    [sym_type_qualifier] = STATE(3138),
    [sym_decltype] = STATE(10317),
    [sym_virtual] = STATE(3138),
    [sym_alignas_specifier] = STATE(3138),
    [sym_explicit_function_specifier] = STATE(3138),
    [sym_operator_cast] = STATE(8052),
    [sym__constructor_specifiers] = STATE(3138),
    [sym_reference_declarator] = STATE(7680),
    [sym_structured_binding_declarator] = STATE(7680),
    [sym_template_type] = STATE(10317),
    [sym_template_function] = STATE(7680),
    [sym_destructor_name] = STATE(7680),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6862),
    [sym_qualified_identifier] = STATE(7680),
    [sym_qualified_operator_cast_identifier] = STATE(8052),
    [sym_operator_name] = STATE(7680),
    [sym_qualifiers] = STATE(3138),
    [aux_sym_operator_cast_definition_repeat1] = STATE(3138),
    [sym_identifier] = ACTIONS(5573),
    [anon_sym_LPAREN2] = ACTIONS(2875),
    [anon_sym_TILDE] = ACTIONS(2877),
    [anon_sym_STAR] = ACTIONS(2879),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(2881),
    [anon_sym___extension__] = ACTIONS(5575),
    [anon_sym_in] = ACTIONS(5577),
    [anon_sym_out] = ACTIONS(5577),
    [anon_sym_inout] = ACTIONS(5577),
    [anon_sym_extern] = ACTIONS(5579),
    [anon_sym___attribute__] = ACTIONS(5581),
    [anon_sym_COLON_COLON] = ACTIONS(5583),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5585),
    [anon_sym___declspec] = ACTIONS(5587),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym_LBRACK] = ACTIONS(2889),
    [anon_sym_static] = ACTIONS(5579),
    [anon_sym_register] = ACTIONS(5579),
    [anon_sym_inline] = ACTIONS(5579),
    [anon_sym___inline] = ACTIONS(5579),
    [anon_sym___inline__] = ACTIONS(5579),
    [anon_sym___forceinline] = ACTIONS(5579),
    [anon_sym_thread_local] = ACTIONS(5579),
    [anon_sym___thread] = ACTIONS(5579),
    [anon_sym_const] = ACTIONS(5575),
    [anon_sym_constexpr] = ACTIONS(5575),
    [anon_sym_volatile] = ACTIONS(5575),
    [anon_sym_restrict] = ACTIONS(5575),
    [anon_sym___restrict__] = ACTIONS(5575),
    [anon_sym__Atomic] = ACTIONS(5575),
    [anon_sym__Noreturn] = ACTIONS(5575),
    [anon_sym_noreturn] = ACTIONS(5575),
    [anon_sym_mutable] = ACTIONS(5575),
    [anon_sym_constinit] = ACTIONS(5575),
    [anon_sym_consteval] = ACTIONS(5575),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_virtual] = ACTIONS(5589),
    [anon_sym_alignas] = ACTIONS(5591),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_precise] = ACTIONS(5593),
    [anon_sym_shared] = ACTIONS(5593),
    [anon_sym_groupshared] = ACTIONS(5593),
    [anon_sym_uniform] = ACTIONS(5593),
    [anon_sym_row_major] = ACTIONS(5593),
    [anon_sym_column_major] = ACTIONS(5593),
    [anon_sym_globallycoherent] = ACTIONS(5593),
    [anon_sym_centroid] = ACTIONS(5593),
    [anon_sym_noperspective] = ACTIONS(5593),
    [anon_sym_nointerpolation] = ACTIONS(5593),
    [anon_sym_sample] = ACTIONS(5593),
    [anon_sym_linear] = ACTIONS(5593),
    [anon_sym_snorm] = ACTIONS(5593),
    [anon_sym_unorm] = ACTIONS(5593),
    [anon_sym_point] = ACTIONS(5593),
    [anon_sym_line] = ACTIONS(5593),
    [anon_sym_triangleadj] = ACTIONS(5593),
    [anon_sym_lineadj] = ACTIONS(5593),
    [anon_sym_triangle] = ACTIONS(5593),
  },
  [2508] = {
    [sym__declaration_modifiers] = STATE(3138),
    [sym_attribute_specifier] = STATE(3138),
    [sym_attribute_declaration] = STATE(3138),
    [sym_ms_declspec_modifier] = STATE(3138),
    [sym_ms_based_modifier] = STATE(10332),
    [sym__declarator] = STATE(7978),
    [sym_parenthesized_declarator] = STATE(7680),
    [sym_attributed_declarator] = STATE(7680),
    [sym_pointer_declarator] = STATE(7680),
    [sym_function_declarator] = STATE(7466),
    [sym_array_declarator] = STATE(7680),
    [sym_storage_class_specifier] = STATE(3138),
    [sym_type_qualifier] = STATE(3138),
    [sym_decltype] = STATE(10317),
    [sym_virtual] = STATE(3138),
    [sym_alignas_specifier] = STATE(3138),
    [sym_explicit_function_specifier] = STATE(3138),
    [sym_operator_cast] = STATE(8052),
    [sym__constructor_specifiers] = STATE(3138),
    [sym_reference_declarator] = STATE(7680),
    [sym_structured_binding_declarator] = STATE(7680),
    [sym_template_type] = STATE(10317),
    [sym_template_function] = STATE(7680),
    [sym_destructor_name] = STATE(7680),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6862),
    [sym_qualified_identifier] = STATE(7680),
    [sym_qualified_operator_cast_identifier] = STATE(8052),
    [sym_operator_name] = STATE(7680),
    [sym_qualifiers] = STATE(3138),
    [aux_sym_operator_cast_definition_repeat1] = STATE(3138),
    [sym_identifier] = ACTIONS(5573),
    [anon_sym_LPAREN2] = ACTIONS(2875),
    [anon_sym_TILDE] = ACTIONS(2877),
    [anon_sym_STAR] = ACTIONS(2879),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(2881),
    [anon_sym___extension__] = ACTIONS(5575),
    [anon_sym_in] = ACTIONS(5577),
    [anon_sym_out] = ACTIONS(5577),
    [anon_sym_inout] = ACTIONS(5577),
    [anon_sym_extern] = ACTIONS(5579),
    [anon_sym___attribute__] = ACTIONS(5581),
    [anon_sym_COLON_COLON] = ACTIONS(5583),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5585),
    [anon_sym___declspec] = ACTIONS(5587),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym_LBRACK] = ACTIONS(2889),
    [anon_sym_static] = ACTIONS(5579),
    [anon_sym_register] = ACTIONS(5579),
    [anon_sym_inline] = ACTIONS(5579),
    [anon_sym___inline] = ACTIONS(5579),
    [anon_sym___inline__] = ACTIONS(5579),
    [anon_sym___forceinline] = ACTIONS(5579),
    [anon_sym_thread_local] = ACTIONS(5579),
    [anon_sym___thread] = ACTIONS(5579),
    [anon_sym_const] = ACTIONS(5575),
    [anon_sym_constexpr] = ACTIONS(5575),
    [anon_sym_volatile] = ACTIONS(5575),
    [anon_sym_restrict] = ACTIONS(5575),
    [anon_sym___restrict__] = ACTIONS(5575),
    [anon_sym__Atomic] = ACTIONS(5575),
    [anon_sym__Noreturn] = ACTIONS(5575),
    [anon_sym_noreturn] = ACTIONS(5575),
    [anon_sym_mutable] = ACTIONS(5575),
    [anon_sym_constinit] = ACTIONS(5575),
    [anon_sym_consteval] = ACTIONS(5575),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_virtual] = ACTIONS(5589),
    [anon_sym_alignas] = ACTIONS(5591),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_precise] = ACTIONS(5593),
    [anon_sym_shared] = ACTIONS(5593),
    [anon_sym_groupshared] = ACTIONS(5593),
    [anon_sym_uniform] = ACTIONS(5593),
    [anon_sym_row_major] = ACTIONS(5593),
    [anon_sym_column_major] = ACTIONS(5593),
    [anon_sym_globallycoherent] = ACTIONS(5593),
    [anon_sym_centroid] = ACTIONS(5593),
    [anon_sym_noperspective] = ACTIONS(5593),
    [anon_sym_nointerpolation] = ACTIONS(5593),
    [anon_sym_sample] = ACTIONS(5593),
    [anon_sym_linear] = ACTIONS(5593),
    [anon_sym_snorm] = ACTIONS(5593),
    [anon_sym_unorm] = ACTIONS(5593),
    [anon_sym_point] = ACTIONS(5593),
    [anon_sym_line] = ACTIONS(5593),
    [anon_sym_triangleadj] = ACTIONS(5593),
    [anon_sym_lineadj] = ACTIONS(5593),
    [anon_sym_triangle] = ACTIONS(5593),
  },
  [2509] = {
    [sym_catch_clause] = STATE(2519),
    [aux_sym_constructor_try_statement_repeat1] = STATE(2519),
    [sym_identifier] = ACTIONS(2285),
    [aux_sym_preproc_def_token1] = ACTIONS(2285),
    [aux_sym_preproc_if_token1] = ACTIONS(2285),
    [aux_sym_preproc_if_token2] = ACTIONS(2285),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2285),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2285),
    [aux_sym_preproc_else_token1] = ACTIONS(2285),
    [aux_sym_preproc_elif_token1] = ACTIONS(2285),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2285),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2285),
    [sym_preproc_directive] = ACTIONS(2285),
    [anon_sym_LPAREN2] = ACTIONS(2287),
    [anon_sym_TILDE] = ACTIONS(2287),
    [anon_sym_STAR] = ACTIONS(2287),
    [anon_sym_AMP_AMP] = ACTIONS(2287),
    [anon_sym_AMP] = ACTIONS(2285),
    [anon_sym___extension__] = ACTIONS(2285),
    [anon_sym_typedef] = ACTIONS(2285),
    [anon_sym_in] = ACTIONS(2285),
    [anon_sym_out] = ACTIONS(2285),
    [anon_sym_inout] = ACTIONS(2285),
    [anon_sym_extern] = ACTIONS(2285),
    [anon_sym___attribute__] = ACTIONS(2285),
    [anon_sym_COLON_COLON] = ACTIONS(2287),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2287),
    [anon_sym___declspec] = ACTIONS(2285),
    [anon_sym___based] = ACTIONS(2285),
    [anon_sym_signed] = ACTIONS(2285),
    [anon_sym_unsigned] = ACTIONS(2285),
    [anon_sym_long] = ACTIONS(2285),
    [anon_sym_short] = ACTIONS(2285),
    [anon_sym_LBRACK] = ACTIONS(2285),
    [anon_sym_static] = ACTIONS(2285),
    [anon_sym_register] = ACTIONS(2285),
    [anon_sym_inline] = ACTIONS(2285),
    [anon_sym___inline] = ACTIONS(2285),
    [anon_sym___inline__] = ACTIONS(2285),
    [anon_sym___forceinline] = ACTIONS(2285),
    [anon_sym_thread_local] = ACTIONS(2285),
    [anon_sym___thread] = ACTIONS(2285),
    [anon_sym_const] = ACTIONS(2285),
    [anon_sym_constexpr] = ACTIONS(2285),
    [anon_sym_volatile] = ACTIONS(2285),
    [anon_sym_restrict] = ACTIONS(2285),
    [anon_sym___restrict__] = ACTIONS(2285),
    [anon_sym__Atomic] = ACTIONS(2285),
    [anon_sym__Noreturn] = ACTIONS(2285),
    [anon_sym_noreturn] = ACTIONS(2285),
    [anon_sym_mutable] = ACTIONS(2285),
    [anon_sym_constinit] = ACTIONS(2285),
    [anon_sym_consteval] = ACTIONS(2285),
    [sym_primitive_type] = ACTIONS(2285),
    [anon_sym_enum] = ACTIONS(2285),
    [anon_sym_class] = ACTIONS(2285),
    [anon_sym_struct] = ACTIONS(2285),
    [anon_sym_union] = ACTIONS(2285),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2285),
    [anon_sym_decltype] = ACTIONS(2285),
    [anon_sym_virtual] = ACTIONS(2285),
    [anon_sym_alignas] = ACTIONS(2285),
    [anon_sym_explicit] = ACTIONS(2285),
    [anon_sym_typename] = ACTIONS(2285),
    [anon_sym_template] = ACTIONS(2285),
    [anon_sym_operator] = ACTIONS(2285),
    [anon_sym_friend] = ACTIONS(2285),
    [anon_sym_public] = ACTIONS(2285),
    [anon_sym_private] = ACTIONS(2285),
    [anon_sym_protected] = ACTIONS(2285),
    [anon_sym_using] = ACTIONS(2285),
    [anon_sym_static_assert] = ACTIONS(2285),
    [anon_sym_catch] = ACTIONS(5595),
    [anon_sym_precise] = ACTIONS(2285),
    [anon_sym_shared] = ACTIONS(2285),
    [anon_sym_groupshared] = ACTIONS(2285),
    [anon_sym_uniform] = ACTIONS(2285),
    [anon_sym_row_major] = ACTIONS(2285),
    [anon_sym_column_major] = ACTIONS(2285),
    [anon_sym_globallycoherent] = ACTIONS(2285),
    [anon_sym_centroid] = ACTIONS(2285),
    [anon_sym_noperspective] = ACTIONS(2285),
    [anon_sym_nointerpolation] = ACTIONS(2285),
    [anon_sym_sample] = ACTIONS(2285),
    [anon_sym_linear] = ACTIONS(2285),
    [anon_sym_snorm] = ACTIONS(2285),
    [anon_sym_unorm] = ACTIONS(2285),
    [anon_sym_point] = ACTIONS(2285),
    [anon_sym_line] = ACTIONS(2285),
    [anon_sym_triangleadj] = ACTIONS(2285),
    [anon_sym_lineadj] = ACTIONS(2285),
    [anon_sym_triangle] = ACTIONS(2285),
  },
  [2510] = {
    [sym_catch_clause] = STATE(2519),
    [aux_sym_constructor_try_statement_repeat1] = STATE(2519),
    [sym_identifier] = ACTIONS(2242),
    [aux_sym_preproc_def_token1] = ACTIONS(2242),
    [aux_sym_preproc_if_token1] = ACTIONS(2242),
    [aux_sym_preproc_if_token2] = ACTIONS(2242),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2242),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2242),
    [aux_sym_preproc_else_token1] = ACTIONS(2242),
    [aux_sym_preproc_elif_token1] = ACTIONS(2242),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2242),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2242),
    [sym_preproc_directive] = ACTIONS(2242),
    [anon_sym_LPAREN2] = ACTIONS(2244),
    [anon_sym_TILDE] = ACTIONS(2244),
    [anon_sym_STAR] = ACTIONS(2244),
    [anon_sym_AMP_AMP] = ACTIONS(2244),
    [anon_sym_AMP] = ACTIONS(2242),
    [anon_sym___extension__] = ACTIONS(2242),
    [anon_sym_typedef] = ACTIONS(2242),
    [anon_sym_in] = ACTIONS(2242),
    [anon_sym_out] = ACTIONS(2242),
    [anon_sym_inout] = ACTIONS(2242),
    [anon_sym_extern] = ACTIONS(2242),
    [anon_sym___attribute__] = ACTIONS(2242),
    [anon_sym_COLON_COLON] = ACTIONS(2244),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2244),
    [anon_sym___declspec] = ACTIONS(2242),
    [anon_sym___based] = ACTIONS(2242),
    [anon_sym_signed] = ACTIONS(2242),
    [anon_sym_unsigned] = ACTIONS(2242),
    [anon_sym_long] = ACTIONS(2242),
    [anon_sym_short] = ACTIONS(2242),
    [anon_sym_LBRACK] = ACTIONS(2242),
    [anon_sym_static] = ACTIONS(2242),
    [anon_sym_register] = ACTIONS(2242),
    [anon_sym_inline] = ACTIONS(2242),
    [anon_sym___inline] = ACTIONS(2242),
    [anon_sym___inline__] = ACTIONS(2242),
    [anon_sym___forceinline] = ACTIONS(2242),
    [anon_sym_thread_local] = ACTIONS(2242),
    [anon_sym___thread] = ACTIONS(2242),
    [anon_sym_const] = ACTIONS(2242),
    [anon_sym_constexpr] = ACTIONS(2242),
    [anon_sym_volatile] = ACTIONS(2242),
    [anon_sym_restrict] = ACTIONS(2242),
    [anon_sym___restrict__] = ACTIONS(2242),
    [anon_sym__Atomic] = ACTIONS(2242),
    [anon_sym__Noreturn] = ACTIONS(2242),
    [anon_sym_noreturn] = ACTIONS(2242),
    [anon_sym_mutable] = ACTIONS(2242),
    [anon_sym_constinit] = ACTIONS(2242),
    [anon_sym_consteval] = ACTIONS(2242),
    [sym_primitive_type] = ACTIONS(2242),
    [anon_sym_enum] = ACTIONS(2242),
    [anon_sym_class] = ACTIONS(2242),
    [anon_sym_struct] = ACTIONS(2242),
    [anon_sym_union] = ACTIONS(2242),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2242),
    [anon_sym_decltype] = ACTIONS(2242),
    [anon_sym_virtual] = ACTIONS(2242),
    [anon_sym_alignas] = ACTIONS(2242),
    [anon_sym_explicit] = ACTIONS(2242),
    [anon_sym_typename] = ACTIONS(2242),
    [anon_sym_template] = ACTIONS(2242),
    [anon_sym_operator] = ACTIONS(2242),
    [anon_sym_friend] = ACTIONS(2242),
    [anon_sym_public] = ACTIONS(2242),
    [anon_sym_private] = ACTIONS(2242),
    [anon_sym_protected] = ACTIONS(2242),
    [anon_sym_using] = ACTIONS(2242),
    [anon_sym_static_assert] = ACTIONS(2242),
    [anon_sym_catch] = ACTIONS(5595),
    [anon_sym_precise] = ACTIONS(2242),
    [anon_sym_shared] = ACTIONS(2242),
    [anon_sym_groupshared] = ACTIONS(2242),
    [anon_sym_uniform] = ACTIONS(2242),
    [anon_sym_row_major] = ACTIONS(2242),
    [anon_sym_column_major] = ACTIONS(2242),
    [anon_sym_globallycoherent] = ACTIONS(2242),
    [anon_sym_centroid] = ACTIONS(2242),
    [anon_sym_noperspective] = ACTIONS(2242),
    [anon_sym_nointerpolation] = ACTIONS(2242),
    [anon_sym_sample] = ACTIONS(2242),
    [anon_sym_linear] = ACTIONS(2242),
    [anon_sym_snorm] = ACTIONS(2242),
    [anon_sym_unorm] = ACTIONS(2242),
    [anon_sym_point] = ACTIONS(2242),
    [anon_sym_line] = ACTIONS(2242),
    [anon_sym_triangleadj] = ACTIONS(2242),
    [anon_sym_lineadj] = ACTIONS(2242),
    [anon_sym_triangle] = ACTIONS(2242),
  },
  [2511] = {
    [sym__declaration_modifiers] = STATE(3138),
    [sym_attribute_specifier] = STATE(3138),
    [sym_attribute_declaration] = STATE(3138),
    [sym_ms_declspec_modifier] = STATE(3138),
    [sym_ms_based_modifier] = STATE(10332),
    [sym__declarator] = STATE(7978),
    [sym_parenthesized_declarator] = STATE(7680),
    [sym_attributed_declarator] = STATE(7680),
    [sym_pointer_declarator] = STATE(7680),
    [sym_function_declarator] = STATE(7555),
    [sym_array_declarator] = STATE(7680),
    [sym_storage_class_specifier] = STATE(3138),
    [sym_type_qualifier] = STATE(3138),
    [sym_decltype] = STATE(10317),
    [sym_virtual] = STATE(3138),
    [sym_alignas_specifier] = STATE(3138),
    [sym_explicit_function_specifier] = STATE(3138),
    [sym_operator_cast] = STATE(8028),
    [sym__constructor_specifiers] = STATE(3138),
    [sym_reference_declarator] = STATE(7680),
    [sym_structured_binding_declarator] = STATE(7680),
    [sym_template_type] = STATE(10317),
    [sym_template_function] = STATE(7680),
    [sym_destructor_name] = STATE(7680),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6862),
    [sym_qualified_identifier] = STATE(7680),
    [sym_qualified_operator_cast_identifier] = STATE(8028),
    [sym_operator_name] = STATE(7680),
    [sym_qualifiers] = STATE(3138),
    [aux_sym_operator_cast_definition_repeat1] = STATE(3138),
    [sym_identifier] = ACTIONS(5573),
    [anon_sym_LPAREN2] = ACTIONS(2875),
    [anon_sym_TILDE] = ACTIONS(2877),
    [anon_sym_STAR] = ACTIONS(2879),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(2881),
    [anon_sym___extension__] = ACTIONS(5575),
    [anon_sym_in] = ACTIONS(5577),
    [anon_sym_out] = ACTIONS(5577),
    [anon_sym_inout] = ACTIONS(5577),
    [anon_sym_extern] = ACTIONS(5579),
    [anon_sym___attribute__] = ACTIONS(5581),
    [anon_sym_COLON_COLON] = ACTIONS(5583),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5585),
    [anon_sym___declspec] = ACTIONS(5587),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym_LBRACK] = ACTIONS(2889),
    [anon_sym_static] = ACTIONS(5579),
    [anon_sym_register] = ACTIONS(5579),
    [anon_sym_inline] = ACTIONS(5579),
    [anon_sym___inline] = ACTIONS(5579),
    [anon_sym___inline__] = ACTIONS(5579),
    [anon_sym___forceinline] = ACTIONS(5579),
    [anon_sym_thread_local] = ACTIONS(5579),
    [anon_sym___thread] = ACTIONS(5579),
    [anon_sym_const] = ACTIONS(5575),
    [anon_sym_constexpr] = ACTIONS(5575),
    [anon_sym_volatile] = ACTIONS(5575),
    [anon_sym_restrict] = ACTIONS(5575),
    [anon_sym___restrict__] = ACTIONS(5575),
    [anon_sym__Atomic] = ACTIONS(5575),
    [anon_sym__Noreturn] = ACTIONS(5575),
    [anon_sym_noreturn] = ACTIONS(5575),
    [anon_sym_mutable] = ACTIONS(5575),
    [anon_sym_constinit] = ACTIONS(5575),
    [anon_sym_consteval] = ACTIONS(5575),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_virtual] = ACTIONS(5589),
    [anon_sym_alignas] = ACTIONS(5591),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_precise] = ACTIONS(5593),
    [anon_sym_shared] = ACTIONS(5593),
    [anon_sym_groupshared] = ACTIONS(5593),
    [anon_sym_uniform] = ACTIONS(5593),
    [anon_sym_row_major] = ACTIONS(5593),
    [anon_sym_column_major] = ACTIONS(5593),
    [anon_sym_globallycoherent] = ACTIONS(5593),
    [anon_sym_centroid] = ACTIONS(5593),
    [anon_sym_noperspective] = ACTIONS(5593),
    [anon_sym_nointerpolation] = ACTIONS(5593),
    [anon_sym_sample] = ACTIONS(5593),
    [anon_sym_linear] = ACTIONS(5593),
    [anon_sym_snorm] = ACTIONS(5593),
    [anon_sym_unorm] = ACTIONS(5593),
    [anon_sym_point] = ACTIONS(5593),
    [anon_sym_line] = ACTIONS(5593),
    [anon_sym_triangleadj] = ACTIONS(5593),
    [anon_sym_lineadj] = ACTIONS(5593),
    [anon_sym_triangle] = ACTIONS(5593),
  },
  [2512] = {
    [sym__declaration_modifiers] = STATE(3138),
    [sym_attribute_specifier] = STATE(3138),
    [sym_attribute_declaration] = STATE(3138),
    [sym_ms_declspec_modifier] = STATE(3138),
    [sym_ms_based_modifier] = STATE(10332),
    [sym__declarator] = STATE(7978),
    [sym_parenthesized_declarator] = STATE(7680),
    [sym_attributed_declarator] = STATE(7680),
    [sym_pointer_declarator] = STATE(7680),
    [sym_function_declarator] = STATE(7496),
    [sym_array_declarator] = STATE(7680),
    [sym_storage_class_specifier] = STATE(3138),
    [sym_type_qualifier] = STATE(3138),
    [sym_decltype] = STATE(10317),
    [sym_virtual] = STATE(3138),
    [sym_alignas_specifier] = STATE(3138),
    [sym_explicit_function_specifier] = STATE(3138),
    [sym_operator_cast] = STATE(8028),
    [sym__constructor_specifiers] = STATE(3138),
    [sym_reference_declarator] = STATE(7680),
    [sym_structured_binding_declarator] = STATE(7680),
    [sym_template_type] = STATE(10317),
    [sym_template_function] = STATE(7680),
    [sym_destructor_name] = STATE(7680),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6862),
    [sym_qualified_identifier] = STATE(7680),
    [sym_qualified_operator_cast_identifier] = STATE(8028),
    [sym_operator_name] = STATE(7680),
    [sym_qualifiers] = STATE(3138),
    [aux_sym_operator_cast_definition_repeat1] = STATE(3138),
    [sym_identifier] = ACTIONS(5573),
    [anon_sym_LPAREN2] = ACTIONS(2875),
    [anon_sym_TILDE] = ACTIONS(2877),
    [anon_sym_STAR] = ACTIONS(2879),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(2881),
    [anon_sym___extension__] = ACTIONS(5575),
    [anon_sym_in] = ACTIONS(5577),
    [anon_sym_out] = ACTIONS(5577),
    [anon_sym_inout] = ACTIONS(5577),
    [anon_sym_extern] = ACTIONS(5579),
    [anon_sym___attribute__] = ACTIONS(5581),
    [anon_sym_COLON_COLON] = ACTIONS(5583),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5585),
    [anon_sym___declspec] = ACTIONS(5587),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym_LBRACK] = ACTIONS(2889),
    [anon_sym_static] = ACTIONS(5579),
    [anon_sym_register] = ACTIONS(5579),
    [anon_sym_inline] = ACTIONS(5579),
    [anon_sym___inline] = ACTIONS(5579),
    [anon_sym___inline__] = ACTIONS(5579),
    [anon_sym___forceinline] = ACTIONS(5579),
    [anon_sym_thread_local] = ACTIONS(5579),
    [anon_sym___thread] = ACTIONS(5579),
    [anon_sym_const] = ACTIONS(5575),
    [anon_sym_constexpr] = ACTIONS(5575),
    [anon_sym_volatile] = ACTIONS(5575),
    [anon_sym_restrict] = ACTIONS(5575),
    [anon_sym___restrict__] = ACTIONS(5575),
    [anon_sym__Atomic] = ACTIONS(5575),
    [anon_sym__Noreturn] = ACTIONS(5575),
    [anon_sym_noreturn] = ACTIONS(5575),
    [anon_sym_mutable] = ACTIONS(5575),
    [anon_sym_constinit] = ACTIONS(5575),
    [anon_sym_consteval] = ACTIONS(5575),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_virtual] = ACTIONS(5589),
    [anon_sym_alignas] = ACTIONS(5591),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_precise] = ACTIONS(5593),
    [anon_sym_shared] = ACTIONS(5593),
    [anon_sym_groupshared] = ACTIONS(5593),
    [anon_sym_uniform] = ACTIONS(5593),
    [anon_sym_row_major] = ACTIONS(5593),
    [anon_sym_column_major] = ACTIONS(5593),
    [anon_sym_globallycoherent] = ACTIONS(5593),
    [anon_sym_centroid] = ACTIONS(5593),
    [anon_sym_noperspective] = ACTIONS(5593),
    [anon_sym_nointerpolation] = ACTIONS(5593),
    [anon_sym_sample] = ACTIONS(5593),
    [anon_sym_linear] = ACTIONS(5593),
    [anon_sym_snorm] = ACTIONS(5593),
    [anon_sym_unorm] = ACTIONS(5593),
    [anon_sym_point] = ACTIONS(5593),
    [anon_sym_line] = ACTIONS(5593),
    [anon_sym_triangleadj] = ACTIONS(5593),
    [anon_sym_lineadj] = ACTIONS(5593),
    [anon_sym_triangle] = ACTIONS(5593),
  },
  [2513] = {
    [sym__declaration_modifiers] = STATE(3138),
    [sym_attribute_specifier] = STATE(3138),
    [sym_attribute_declaration] = STATE(3138),
    [sym_ms_declspec_modifier] = STATE(3138),
    [sym_ms_based_modifier] = STATE(10332),
    [sym__declarator] = STATE(7978),
    [sym_parenthesized_declarator] = STATE(7680),
    [sym_attributed_declarator] = STATE(7680),
    [sym_pointer_declarator] = STATE(7680),
    [sym_function_declarator] = STATE(7518),
    [sym_array_declarator] = STATE(7680),
    [sym_storage_class_specifier] = STATE(3138),
    [sym_type_qualifier] = STATE(3138),
    [sym_decltype] = STATE(10317),
    [sym_virtual] = STATE(3138),
    [sym_alignas_specifier] = STATE(3138),
    [sym_explicit_function_specifier] = STATE(3138),
    [sym_operator_cast] = STATE(8030),
    [sym__constructor_specifiers] = STATE(3138),
    [sym_reference_declarator] = STATE(7680),
    [sym_structured_binding_declarator] = STATE(7680),
    [sym_template_type] = STATE(10317),
    [sym_template_function] = STATE(7680),
    [sym_destructor_name] = STATE(7680),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6862),
    [sym_qualified_identifier] = STATE(7680),
    [sym_qualified_operator_cast_identifier] = STATE(8030),
    [sym_operator_name] = STATE(7680),
    [sym_qualifiers] = STATE(3138),
    [aux_sym_operator_cast_definition_repeat1] = STATE(3138),
    [sym_identifier] = ACTIONS(5573),
    [anon_sym_LPAREN2] = ACTIONS(2875),
    [anon_sym_TILDE] = ACTIONS(2877),
    [anon_sym_STAR] = ACTIONS(2879),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(2881),
    [anon_sym___extension__] = ACTIONS(5575),
    [anon_sym_in] = ACTIONS(5577),
    [anon_sym_out] = ACTIONS(5577),
    [anon_sym_inout] = ACTIONS(5577),
    [anon_sym_extern] = ACTIONS(5579),
    [anon_sym___attribute__] = ACTIONS(5581),
    [anon_sym_COLON_COLON] = ACTIONS(5583),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5585),
    [anon_sym___declspec] = ACTIONS(5587),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym_LBRACK] = ACTIONS(2889),
    [anon_sym_static] = ACTIONS(5579),
    [anon_sym_register] = ACTIONS(5579),
    [anon_sym_inline] = ACTIONS(5579),
    [anon_sym___inline] = ACTIONS(5579),
    [anon_sym___inline__] = ACTIONS(5579),
    [anon_sym___forceinline] = ACTIONS(5579),
    [anon_sym_thread_local] = ACTIONS(5579),
    [anon_sym___thread] = ACTIONS(5579),
    [anon_sym_const] = ACTIONS(5575),
    [anon_sym_constexpr] = ACTIONS(5575),
    [anon_sym_volatile] = ACTIONS(5575),
    [anon_sym_restrict] = ACTIONS(5575),
    [anon_sym___restrict__] = ACTIONS(5575),
    [anon_sym__Atomic] = ACTIONS(5575),
    [anon_sym__Noreturn] = ACTIONS(5575),
    [anon_sym_noreturn] = ACTIONS(5575),
    [anon_sym_mutable] = ACTIONS(5575),
    [anon_sym_constinit] = ACTIONS(5575),
    [anon_sym_consteval] = ACTIONS(5575),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_virtual] = ACTIONS(5589),
    [anon_sym_alignas] = ACTIONS(5591),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_precise] = ACTIONS(5593),
    [anon_sym_shared] = ACTIONS(5593),
    [anon_sym_groupshared] = ACTIONS(5593),
    [anon_sym_uniform] = ACTIONS(5593),
    [anon_sym_row_major] = ACTIONS(5593),
    [anon_sym_column_major] = ACTIONS(5593),
    [anon_sym_globallycoherent] = ACTIONS(5593),
    [anon_sym_centroid] = ACTIONS(5593),
    [anon_sym_noperspective] = ACTIONS(5593),
    [anon_sym_nointerpolation] = ACTIONS(5593),
    [anon_sym_sample] = ACTIONS(5593),
    [anon_sym_linear] = ACTIONS(5593),
    [anon_sym_snorm] = ACTIONS(5593),
    [anon_sym_unorm] = ACTIONS(5593),
    [anon_sym_point] = ACTIONS(5593),
    [anon_sym_line] = ACTIONS(5593),
    [anon_sym_triangleadj] = ACTIONS(5593),
    [anon_sym_lineadj] = ACTIONS(5593),
    [anon_sym_triangle] = ACTIONS(5593),
  },
  [2514] = {
    [sym__declaration_modifiers] = STATE(3138),
    [sym_attribute_specifier] = STATE(3138),
    [sym_attribute_declaration] = STATE(3138),
    [sym_ms_declspec_modifier] = STATE(3138),
    [sym_ms_based_modifier] = STATE(10332),
    [sym__declarator] = STATE(7978),
    [sym_parenthesized_declarator] = STATE(7680),
    [sym_attributed_declarator] = STATE(7680),
    [sym_pointer_declarator] = STATE(7680),
    [sym_function_declarator] = STATE(7559),
    [sym_array_declarator] = STATE(7680),
    [sym_storage_class_specifier] = STATE(3138),
    [sym_type_qualifier] = STATE(3138),
    [sym_decltype] = STATE(10317),
    [sym_virtual] = STATE(3138),
    [sym_alignas_specifier] = STATE(3138),
    [sym_explicit_function_specifier] = STATE(3138),
    [sym_operator_cast] = STATE(8030),
    [sym__constructor_specifiers] = STATE(3138),
    [sym_reference_declarator] = STATE(7680),
    [sym_structured_binding_declarator] = STATE(7680),
    [sym_template_type] = STATE(10317),
    [sym_template_function] = STATE(7680),
    [sym_destructor_name] = STATE(7680),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6862),
    [sym_qualified_identifier] = STATE(7680),
    [sym_qualified_operator_cast_identifier] = STATE(8030),
    [sym_operator_name] = STATE(7680),
    [sym_qualifiers] = STATE(3138),
    [aux_sym_operator_cast_definition_repeat1] = STATE(3138),
    [sym_identifier] = ACTIONS(5573),
    [anon_sym_LPAREN2] = ACTIONS(2875),
    [anon_sym_TILDE] = ACTIONS(2877),
    [anon_sym_STAR] = ACTIONS(2879),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(2881),
    [anon_sym___extension__] = ACTIONS(5575),
    [anon_sym_in] = ACTIONS(5577),
    [anon_sym_out] = ACTIONS(5577),
    [anon_sym_inout] = ACTIONS(5577),
    [anon_sym_extern] = ACTIONS(5579),
    [anon_sym___attribute__] = ACTIONS(5581),
    [anon_sym_COLON_COLON] = ACTIONS(5583),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5585),
    [anon_sym___declspec] = ACTIONS(5587),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym_LBRACK] = ACTIONS(2889),
    [anon_sym_static] = ACTIONS(5579),
    [anon_sym_register] = ACTIONS(5579),
    [anon_sym_inline] = ACTIONS(5579),
    [anon_sym___inline] = ACTIONS(5579),
    [anon_sym___inline__] = ACTIONS(5579),
    [anon_sym___forceinline] = ACTIONS(5579),
    [anon_sym_thread_local] = ACTIONS(5579),
    [anon_sym___thread] = ACTIONS(5579),
    [anon_sym_const] = ACTIONS(5575),
    [anon_sym_constexpr] = ACTIONS(5575),
    [anon_sym_volatile] = ACTIONS(5575),
    [anon_sym_restrict] = ACTIONS(5575),
    [anon_sym___restrict__] = ACTIONS(5575),
    [anon_sym__Atomic] = ACTIONS(5575),
    [anon_sym__Noreturn] = ACTIONS(5575),
    [anon_sym_noreturn] = ACTIONS(5575),
    [anon_sym_mutable] = ACTIONS(5575),
    [anon_sym_constinit] = ACTIONS(5575),
    [anon_sym_consteval] = ACTIONS(5575),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_virtual] = ACTIONS(5589),
    [anon_sym_alignas] = ACTIONS(5591),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_precise] = ACTIONS(5593),
    [anon_sym_shared] = ACTIONS(5593),
    [anon_sym_groupshared] = ACTIONS(5593),
    [anon_sym_uniform] = ACTIONS(5593),
    [anon_sym_row_major] = ACTIONS(5593),
    [anon_sym_column_major] = ACTIONS(5593),
    [anon_sym_globallycoherent] = ACTIONS(5593),
    [anon_sym_centroid] = ACTIONS(5593),
    [anon_sym_noperspective] = ACTIONS(5593),
    [anon_sym_nointerpolation] = ACTIONS(5593),
    [anon_sym_sample] = ACTIONS(5593),
    [anon_sym_linear] = ACTIONS(5593),
    [anon_sym_snorm] = ACTIONS(5593),
    [anon_sym_unorm] = ACTIONS(5593),
    [anon_sym_point] = ACTIONS(5593),
    [anon_sym_line] = ACTIONS(5593),
    [anon_sym_triangleadj] = ACTIONS(5593),
    [anon_sym_lineadj] = ACTIONS(5593),
    [anon_sym_triangle] = ACTIONS(5593),
  },
  [2515] = {
    [sym__declaration_modifiers] = STATE(3138),
    [sym_attribute_specifier] = STATE(3138),
    [sym_attribute_declaration] = STATE(3138),
    [sym_ms_declspec_modifier] = STATE(3138),
    [sym_ms_based_modifier] = STATE(10332),
    [sym__declarator] = STATE(7978),
    [sym_parenthesized_declarator] = STATE(7680),
    [sym_attributed_declarator] = STATE(7680),
    [sym_pointer_declarator] = STATE(7680),
    [sym_function_declarator] = STATE(7465),
    [sym_array_declarator] = STATE(7680),
    [sym_storage_class_specifier] = STATE(3138),
    [sym_type_qualifier] = STATE(3138),
    [sym_decltype] = STATE(10317),
    [sym_virtual] = STATE(3138),
    [sym_alignas_specifier] = STATE(3138),
    [sym_explicit_function_specifier] = STATE(3138),
    [sym_operator_cast] = STATE(8036),
    [sym__constructor_specifiers] = STATE(3138),
    [sym_reference_declarator] = STATE(7680),
    [sym_structured_binding_declarator] = STATE(7680),
    [sym_template_type] = STATE(10317),
    [sym_template_function] = STATE(7680),
    [sym_destructor_name] = STATE(7680),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6862),
    [sym_qualified_identifier] = STATE(7680),
    [sym_qualified_operator_cast_identifier] = STATE(8036),
    [sym_operator_name] = STATE(7680),
    [sym_qualifiers] = STATE(3138),
    [aux_sym_operator_cast_definition_repeat1] = STATE(3138),
    [sym_identifier] = ACTIONS(5573),
    [anon_sym_LPAREN2] = ACTIONS(2875),
    [anon_sym_TILDE] = ACTIONS(2877),
    [anon_sym_STAR] = ACTIONS(2879),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(2881),
    [anon_sym___extension__] = ACTIONS(5575),
    [anon_sym_in] = ACTIONS(5577),
    [anon_sym_out] = ACTIONS(5577),
    [anon_sym_inout] = ACTIONS(5577),
    [anon_sym_extern] = ACTIONS(5579),
    [anon_sym___attribute__] = ACTIONS(5581),
    [anon_sym_COLON_COLON] = ACTIONS(5583),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5585),
    [anon_sym___declspec] = ACTIONS(5587),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym_LBRACK] = ACTIONS(2889),
    [anon_sym_static] = ACTIONS(5579),
    [anon_sym_register] = ACTIONS(5579),
    [anon_sym_inline] = ACTIONS(5579),
    [anon_sym___inline] = ACTIONS(5579),
    [anon_sym___inline__] = ACTIONS(5579),
    [anon_sym___forceinline] = ACTIONS(5579),
    [anon_sym_thread_local] = ACTIONS(5579),
    [anon_sym___thread] = ACTIONS(5579),
    [anon_sym_const] = ACTIONS(5575),
    [anon_sym_constexpr] = ACTIONS(5575),
    [anon_sym_volatile] = ACTIONS(5575),
    [anon_sym_restrict] = ACTIONS(5575),
    [anon_sym___restrict__] = ACTIONS(5575),
    [anon_sym__Atomic] = ACTIONS(5575),
    [anon_sym__Noreturn] = ACTIONS(5575),
    [anon_sym_noreturn] = ACTIONS(5575),
    [anon_sym_mutable] = ACTIONS(5575),
    [anon_sym_constinit] = ACTIONS(5575),
    [anon_sym_consteval] = ACTIONS(5575),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_virtual] = ACTIONS(5589),
    [anon_sym_alignas] = ACTIONS(5591),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_precise] = ACTIONS(5593),
    [anon_sym_shared] = ACTIONS(5593),
    [anon_sym_groupshared] = ACTIONS(5593),
    [anon_sym_uniform] = ACTIONS(5593),
    [anon_sym_row_major] = ACTIONS(5593),
    [anon_sym_column_major] = ACTIONS(5593),
    [anon_sym_globallycoherent] = ACTIONS(5593),
    [anon_sym_centroid] = ACTIONS(5593),
    [anon_sym_noperspective] = ACTIONS(5593),
    [anon_sym_nointerpolation] = ACTIONS(5593),
    [anon_sym_sample] = ACTIONS(5593),
    [anon_sym_linear] = ACTIONS(5593),
    [anon_sym_snorm] = ACTIONS(5593),
    [anon_sym_unorm] = ACTIONS(5593),
    [anon_sym_point] = ACTIONS(5593),
    [anon_sym_line] = ACTIONS(5593),
    [anon_sym_triangleadj] = ACTIONS(5593),
    [anon_sym_lineadj] = ACTIONS(5593),
    [anon_sym_triangle] = ACTIONS(5593),
  },
  [2516] = {
    [sym_catch_clause] = STATE(2519),
    [aux_sym_constructor_try_statement_repeat1] = STATE(2519),
    [sym_identifier] = ACTIONS(2275),
    [aux_sym_preproc_def_token1] = ACTIONS(2275),
    [aux_sym_preproc_if_token1] = ACTIONS(2275),
    [aux_sym_preproc_if_token2] = ACTIONS(2275),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2275),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2275),
    [aux_sym_preproc_else_token1] = ACTIONS(2275),
    [aux_sym_preproc_elif_token1] = ACTIONS(2275),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2275),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2275),
    [sym_preproc_directive] = ACTIONS(2275),
    [anon_sym_LPAREN2] = ACTIONS(2277),
    [anon_sym_TILDE] = ACTIONS(2277),
    [anon_sym_STAR] = ACTIONS(2277),
    [anon_sym_AMP_AMP] = ACTIONS(2277),
    [anon_sym_AMP] = ACTIONS(2275),
    [anon_sym___extension__] = ACTIONS(2275),
    [anon_sym_typedef] = ACTIONS(2275),
    [anon_sym_in] = ACTIONS(2275),
    [anon_sym_out] = ACTIONS(2275),
    [anon_sym_inout] = ACTIONS(2275),
    [anon_sym_extern] = ACTIONS(2275),
    [anon_sym___attribute__] = ACTIONS(2275),
    [anon_sym_COLON_COLON] = ACTIONS(2277),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2277),
    [anon_sym___declspec] = ACTIONS(2275),
    [anon_sym___based] = ACTIONS(2275),
    [anon_sym_signed] = ACTIONS(2275),
    [anon_sym_unsigned] = ACTIONS(2275),
    [anon_sym_long] = ACTIONS(2275),
    [anon_sym_short] = ACTIONS(2275),
    [anon_sym_LBRACK] = ACTIONS(2275),
    [anon_sym_static] = ACTIONS(2275),
    [anon_sym_register] = ACTIONS(2275),
    [anon_sym_inline] = ACTIONS(2275),
    [anon_sym___inline] = ACTIONS(2275),
    [anon_sym___inline__] = ACTIONS(2275),
    [anon_sym___forceinline] = ACTIONS(2275),
    [anon_sym_thread_local] = ACTIONS(2275),
    [anon_sym___thread] = ACTIONS(2275),
    [anon_sym_const] = ACTIONS(2275),
    [anon_sym_constexpr] = ACTIONS(2275),
    [anon_sym_volatile] = ACTIONS(2275),
    [anon_sym_restrict] = ACTIONS(2275),
    [anon_sym___restrict__] = ACTIONS(2275),
    [anon_sym__Atomic] = ACTIONS(2275),
    [anon_sym__Noreturn] = ACTIONS(2275),
    [anon_sym_noreturn] = ACTIONS(2275),
    [anon_sym_mutable] = ACTIONS(2275),
    [anon_sym_constinit] = ACTIONS(2275),
    [anon_sym_consteval] = ACTIONS(2275),
    [sym_primitive_type] = ACTIONS(2275),
    [anon_sym_enum] = ACTIONS(2275),
    [anon_sym_class] = ACTIONS(2275),
    [anon_sym_struct] = ACTIONS(2275),
    [anon_sym_union] = ACTIONS(2275),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2275),
    [anon_sym_decltype] = ACTIONS(2275),
    [anon_sym_virtual] = ACTIONS(2275),
    [anon_sym_alignas] = ACTIONS(2275),
    [anon_sym_explicit] = ACTIONS(2275),
    [anon_sym_typename] = ACTIONS(2275),
    [anon_sym_template] = ACTIONS(2275),
    [anon_sym_operator] = ACTIONS(2275),
    [anon_sym_friend] = ACTIONS(2275),
    [anon_sym_public] = ACTIONS(2275),
    [anon_sym_private] = ACTIONS(2275),
    [anon_sym_protected] = ACTIONS(2275),
    [anon_sym_using] = ACTIONS(2275),
    [anon_sym_static_assert] = ACTIONS(2275),
    [anon_sym_catch] = ACTIONS(5595),
    [anon_sym_precise] = ACTIONS(2275),
    [anon_sym_shared] = ACTIONS(2275),
    [anon_sym_groupshared] = ACTIONS(2275),
    [anon_sym_uniform] = ACTIONS(2275),
    [anon_sym_row_major] = ACTIONS(2275),
    [anon_sym_column_major] = ACTIONS(2275),
    [anon_sym_globallycoherent] = ACTIONS(2275),
    [anon_sym_centroid] = ACTIONS(2275),
    [anon_sym_noperspective] = ACTIONS(2275),
    [anon_sym_nointerpolation] = ACTIONS(2275),
    [anon_sym_sample] = ACTIONS(2275),
    [anon_sym_linear] = ACTIONS(2275),
    [anon_sym_snorm] = ACTIONS(2275),
    [anon_sym_unorm] = ACTIONS(2275),
    [anon_sym_point] = ACTIONS(2275),
    [anon_sym_line] = ACTIONS(2275),
    [anon_sym_triangleadj] = ACTIONS(2275),
    [anon_sym_lineadj] = ACTIONS(2275),
    [anon_sym_triangle] = ACTIONS(2275),
  },
  [2517] = {
    [sym__declaration_modifiers] = STATE(3138),
    [sym_attribute_specifier] = STATE(3138),
    [sym_attribute_declaration] = STATE(3138),
    [sym_ms_declspec_modifier] = STATE(3138),
    [sym_ms_based_modifier] = STATE(10332),
    [sym__declarator] = STATE(7978),
    [sym_parenthesized_declarator] = STATE(7680),
    [sym_attributed_declarator] = STATE(7680),
    [sym_pointer_declarator] = STATE(7680),
    [sym_function_declarator] = STATE(7574),
    [sym_array_declarator] = STATE(7680),
    [sym_storage_class_specifier] = STATE(3138),
    [sym_type_qualifier] = STATE(3138),
    [sym_decltype] = STATE(10317),
    [sym_virtual] = STATE(3138),
    [sym_alignas_specifier] = STATE(3138),
    [sym_explicit_function_specifier] = STATE(3138),
    [sym_operator_cast] = STATE(8037),
    [sym__constructor_specifiers] = STATE(3138),
    [sym_reference_declarator] = STATE(7680),
    [sym_structured_binding_declarator] = STATE(7680),
    [sym_template_type] = STATE(10317),
    [sym_template_function] = STATE(7680),
    [sym_destructor_name] = STATE(7680),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6862),
    [sym_qualified_identifier] = STATE(7680),
    [sym_qualified_operator_cast_identifier] = STATE(8037),
    [sym_operator_name] = STATE(7680),
    [sym_qualifiers] = STATE(3138),
    [aux_sym_operator_cast_definition_repeat1] = STATE(3138),
    [sym_identifier] = ACTIONS(5573),
    [anon_sym_LPAREN2] = ACTIONS(2875),
    [anon_sym_TILDE] = ACTIONS(2877),
    [anon_sym_STAR] = ACTIONS(2879),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(2881),
    [anon_sym___extension__] = ACTIONS(5575),
    [anon_sym_in] = ACTIONS(5577),
    [anon_sym_out] = ACTIONS(5577),
    [anon_sym_inout] = ACTIONS(5577),
    [anon_sym_extern] = ACTIONS(5579),
    [anon_sym___attribute__] = ACTIONS(5581),
    [anon_sym_COLON_COLON] = ACTIONS(5583),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5585),
    [anon_sym___declspec] = ACTIONS(5587),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym_LBRACK] = ACTIONS(2889),
    [anon_sym_static] = ACTIONS(5579),
    [anon_sym_register] = ACTIONS(5579),
    [anon_sym_inline] = ACTIONS(5579),
    [anon_sym___inline] = ACTIONS(5579),
    [anon_sym___inline__] = ACTIONS(5579),
    [anon_sym___forceinline] = ACTIONS(5579),
    [anon_sym_thread_local] = ACTIONS(5579),
    [anon_sym___thread] = ACTIONS(5579),
    [anon_sym_const] = ACTIONS(5575),
    [anon_sym_constexpr] = ACTIONS(5575),
    [anon_sym_volatile] = ACTIONS(5575),
    [anon_sym_restrict] = ACTIONS(5575),
    [anon_sym___restrict__] = ACTIONS(5575),
    [anon_sym__Atomic] = ACTIONS(5575),
    [anon_sym__Noreturn] = ACTIONS(5575),
    [anon_sym_noreturn] = ACTIONS(5575),
    [anon_sym_mutable] = ACTIONS(5575),
    [anon_sym_constinit] = ACTIONS(5575),
    [anon_sym_consteval] = ACTIONS(5575),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_virtual] = ACTIONS(5589),
    [anon_sym_alignas] = ACTIONS(5591),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_precise] = ACTIONS(5593),
    [anon_sym_shared] = ACTIONS(5593),
    [anon_sym_groupshared] = ACTIONS(5593),
    [anon_sym_uniform] = ACTIONS(5593),
    [anon_sym_row_major] = ACTIONS(5593),
    [anon_sym_column_major] = ACTIONS(5593),
    [anon_sym_globallycoherent] = ACTIONS(5593),
    [anon_sym_centroid] = ACTIONS(5593),
    [anon_sym_noperspective] = ACTIONS(5593),
    [anon_sym_nointerpolation] = ACTIONS(5593),
    [anon_sym_sample] = ACTIONS(5593),
    [anon_sym_linear] = ACTIONS(5593),
    [anon_sym_snorm] = ACTIONS(5593),
    [anon_sym_unorm] = ACTIONS(5593),
    [anon_sym_point] = ACTIONS(5593),
    [anon_sym_line] = ACTIONS(5593),
    [anon_sym_triangleadj] = ACTIONS(5593),
    [anon_sym_lineadj] = ACTIONS(5593),
    [anon_sym_triangle] = ACTIONS(5593),
  },
  [2518] = {
    [sym__declaration_modifiers] = STATE(3138),
    [sym_attribute_specifier] = STATE(3138),
    [sym_attribute_declaration] = STATE(3138),
    [sym_ms_declspec_modifier] = STATE(3138),
    [sym_ms_based_modifier] = STATE(10332),
    [sym__declarator] = STATE(7978),
    [sym_parenthesized_declarator] = STATE(7680),
    [sym_attributed_declarator] = STATE(7680),
    [sym_pointer_declarator] = STATE(7680),
    [sym_function_declarator] = STATE(7579),
    [sym_array_declarator] = STATE(7680),
    [sym_storage_class_specifier] = STATE(3138),
    [sym_type_qualifier] = STATE(3138),
    [sym_decltype] = STATE(10317),
    [sym_virtual] = STATE(3138),
    [sym_alignas_specifier] = STATE(3138),
    [sym_explicit_function_specifier] = STATE(3138),
    [sym_operator_cast] = STATE(8060),
    [sym__constructor_specifiers] = STATE(3138),
    [sym_reference_declarator] = STATE(7680),
    [sym_structured_binding_declarator] = STATE(7680),
    [sym_template_type] = STATE(10317),
    [sym_template_function] = STATE(7680),
    [sym_destructor_name] = STATE(7680),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6862),
    [sym_qualified_identifier] = STATE(7680),
    [sym_qualified_operator_cast_identifier] = STATE(8060),
    [sym_operator_name] = STATE(7680),
    [sym_qualifiers] = STATE(3138),
    [aux_sym_operator_cast_definition_repeat1] = STATE(3138),
    [sym_identifier] = ACTIONS(5573),
    [anon_sym_LPAREN2] = ACTIONS(2875),
    [anon_sym_TILDE] = ACTIONS(2877),
    [anon_sym_STAR] = ACTIONS(2879),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(2881),
    [anon_sym___extension__] = ACTIONS(5575),
    [anon_sym_in] = ACTIONS(5577),
    [anon_sym_out] = ACTIONS(5577),
    [anon_sym_inout] = ACTIONS(5577),
    [anon_sym_extern] = ACTIONS(5579),
    [anon_sym___attribute__] = ACTIONS(5581),
    [anon_sym_COLON_COLON] = ACTIONS(5583),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5585),
    [anon_sym___declspec] = ACTIONS(5587),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym_LBRACK] = ACTIONS(2889),
    [anon_sym_static] = ACTIONS(5579),
    [anon_sym_register] = ACTIONS(5579),
    [anon_sym_inline] = ACTIONS(5579),
    [anon_sym___inline] = ACTIONS(5579),
    [anon_sym___inline__] = ACTIONS(5579),
    [anon_sym___forceinline] = ACTIONS(5579),
    [anon_sym_thread_local] = ACTIONS(5579),
    [anon_sym___thread] = ACTIONS(5579),
    [anon_sym_const] = ACTIONS(5575),
    [anon_sym_constexpr] = ACTIONS(5575),
    [anon_sym_volatile] = ACTIONS(5575),
    [anon_sym_restrict] = ACTIONS(5575),
    [anon_sym___restrict__] = ACTIONS(5575),
    [anon_sym__Atomic] = ACTIONS(5575),
    [anon_sym__Noreturn] = ACTIONS(5575),
    [anon_sym_noreturn] = ACTIONS(5575),
    [anon_sym_mutable] = ACTIONS(5575),
    [anon_sym_constinit] = ACTIONS(5575),
    [anon_sym_consteval] = ACTIONS(5575),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_virtual] = ACTIONS(5589),
    [anon_sym_alignas] = ACTIONS(5591),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_precise] = ACTIONS(5593),
    [anon_sym_shared] = ACTIONS(5593),
    [anon_sym_groupshared] = ACTIONS(5593),
    [anon_sym_uniform] = ACTIONS(5593),
    [anon_sym_row_major] = ACTIONS(5593),
    [anon_sym_column_major] = ACTIONS(5593),
    [anon_sym_globallycoherent] = ACTIONS(5593),
    [anon_sym_centroid] = ACTIONS(5593),
    [anon_sym_noperspective] = ACTIONS(5593),
    [anon_sym_nointerpolation] = ACTIONS(5593),
    [anon_sym_sample] = ACTIONS(5593),
    [anon_sym_linear] = ACTIONS(5593),
    [anon_sym_snorm] = ACTIONS(5593),
    [anon_sym_unorm] = ACTIONS(5593),
    [anon_sym_point] = ACTIONS(5593),
    [anon_sym_line] = ACTIONS(5593),
    [anon_sym_triangleadj] = ACTIONS(5593),
    [anon_sym_lineadj] = ACTIONS(5593),
    [anon_sym_triangle] = ACTIONS(5593),
  },
  [2519] = {
    [sym_catch_clause] = STATE(2519),
    [aux_sym_constructor_try_statement_repeat1] = STATE(2519),
    [sym_identifier] = ACTIONS(2268),
    [aux_sym_preproc_def_token1] = ACTIONS(2268),
    [aux_sym_preproc_if_token1] = ACTIONS(2268),
    [aux_sym_preproc_if_token2] = ACTIONS(2268),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2268),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2268),
    [aux_sym_preproc_else_token1] = ACTIONS(2268),
    [aux_sym_preproc_elif_token1] = ACTIONS(2268),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2268),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2268),
    [sym_preproc_directive] = ACTIONS(2268),
    [anon_sym_LPAREN2] = ACTIONS(2270),
    [anon_sym_TILDE] = ACTIONS(2270),
    [anon_sym_STAR] = ACTIONS(2270),
    [anon_sym_AMP_AMP] = ACTIONS(2270),
    [anon_sym_AMP] = ACTIONS(2268),
    [anon_sym___extension__] = ACTIONS(2268),
    [anon_sym_typedef] = ACTIONS(2268),
    [anon_sym_in] = ACTIONS(2268),
    [anon_sym_out] = ACTIONS(2268),
    [anon_sym_inout] = ACTIONS(2268),
    [anon_sym_extern] = ACTIONS(2268),
    [anon_sym___attribute__] = ACTIONS(2268),
    [anon_sym_COLON_COLON] = ACTIONS(2270),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2270),
    [anon_sym___declspec] = ACTIONS(2268),
    [anon_sym___based] = ACTIONS(2268),
    [anon_sym_signed] = ACTIONS(2268),
    [anon_sym_unsigned] = ACTIONS(2268),
    [anon_sym_long] = ACTIONS(2268),
    [anon_sym_short] = ACTIONS(2268),
    [anon_sym_LBRACK] = ACTIONS(2268),
    [anon_sym_static] = ACTIONS(2268),
    [anon_sym_register] = ACTIONS(2268),
    [anon_sym_inline] = ACTIONS(2268),
    [anon_sym___inline] = ACTIONS(2268),
    [anon_sym___inline__] = ACTIONS(2268),
    [anon_sym___forceinline] = ACTIONS(2268),
    [anon_sym_thread_local] = ACTIONS(2268),
    [anon_sym___thread] = ACTIONS(2268),
    [anon_sym_const] = ACTIONS(2268),
    [anon_sym_constexpr] = ACTIONS(2268),
    [anon_sym_volatile] = ACTIONS(2268),
    [anon_sym_restrict] = ACTIONS(2268),
    [anon_sym___restrict__] = ACTIONS(2268),
    [anon_sym__Atomic] = ACTIONS(2268),
    [anon_sym__Noreturn] = ACTIONS(2268),
    [anon_sym_noreturn] = ACTIONS(2268),
    [anon_sym_mutable] = ACTIONS(2268),
    [anon_sym_constinit] = ACTIONS(2268),
    [anon_sym_consteval] = ACTIONS(2268),
    [sym_primitive_type] = ACTIONS(2268),
    [anon_sym_enum] = ACTIONS(2268),
    [anon_sym_class] = ACTIONS(2268),
    [anon_sym_struct] = ACTIONS(2268),
    [anon_sym_union] = ACTIONS(2268),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2268),
    [anon_sym_decltype] = ACTIONS(2268),
    [anon_sym_virtual] = ACTIONS(2268),
    [anon_sym_alignas] = ACTIONS(2268),
    [anon_sym_explicit] = ACTIONS(2268),
    [anon_sym_typename] = ACTIONS(2268),
    [anon_sym_template] = ACTIONS(2268),
    [anon_sym_operator] = ACTIONS(2268),
    [anon_sym_friend] = ACTIONS(2268),
    [anon_sym_public] = ACTIONS(2268),
    [anon_sym_private] = ACTIONS(2268),
    [anon_sym_protected] = ACTIONS(2268),
    [anon_sym_using] = ACTIONS(2268),
    [anon_sym_static_assert] = ACTIONS(2268),
    [anon_sym_catch] = ACTIONS(5597),
    [anon_sym_precise] = ACTIONS(2268),
    [anon_sym_shared] = ACTIONS(2268),
    [anon_sym_groupshared] = ACTIONS(2268),
    [anon_sym_uniform] = ACTIONS(2268),
    [anon_sym_row_major] = ACTIONS(2268),
    [anon_sym_column_major] = ACTIONS(2268),
    [anon_sym_globallycoherent] = ACTIONS(2268),
    [anon_sym_centroid] = ACTIONS(2268),
    [anon_sym_noperspective] = ACTIONS(2268),
    [anon_sym_nointerpolation] = ACTIONS(2268),
    [anon_sym_sample] = ACTIONS(2268),
    [anon_sym_linear] = ACTIONS(2268),
    [anon_sym_snorm] = ACTIONS(2268),
    [anon_sym_unorm] = ACTIONS(2268),
    [anon_sym_point] = ACTIONS(2268),
    [anon_sym_line] = ACTIONS(2268),
    [anon_sym_triangleadj] = ACTIONS(2268),
    [anon_sym_lineadj] = ACTIONS(2268),
    [anon_sym_triangle] = ACTIONS(2268),
  },
  [2520] = {
    [sym__declaration_modifiers] = STATE(3138),
    [sym_attribute_specifier] = STATE(3138),
    [sym_attribute_declaration] = STATE(3138),
    [sym_ms_declspec_modifier] = STATE(3138),
    [sym_ms_based_modifier] = STATE(10332),
    [sym__declarator] = STATE(7978),
    [sym_parenthesized_declarator] = STATE(7680),
    [sym_attributed_declarator] = STATE(7680),
    [sym_pointer_declarator] = STATE(7680),
    [sym_function_declarator] = STATE(7497),
    [sym_array_declarator] = STATE(7680),
    [sym_storage_class_specifier] = STATE(3138),
    [sym_type_qualifier] = STATE(3138),
    [sym_decltype] = STATE(10317),
    [sym_virtual] = STATE(3138),
    [sym_alignas_specifier] = STATE(3138),
    [sym_explicit_function_specifier] = STATE(3138),
    [sym_operator_cast] = STATE(8060),
    [sym__constructor_specifiers] = STATE(3138),
    [sym_reference_declarator] = STATE(7680),
    [sym_structured_binding_declarator] = STATE(7680),
    [sym_template_type] = STATE(10317),
    [sym_template_function] = STATE(7680),
    [sym_destructor_name] = STATE(7680),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6862),
    [sym_qualified_identifier] = STATE(7680),
    [sym_qualified_operator_cast_identifier] = STATE(8060),
    [sym_operator_name] = STATE(7680),
    [sym_qualifiers] = STATE(3138),
    [aux_sym_operator_cast_definition_repeat1] = STATE(3138),
    [sym_identifier] = ACTIONS(5573),
    [anon_sym_LPAREN2] = ACTIONS(2875),
    [anon_sym_TILDE] = ACTIONS(2877),
    [anon_sym_STAR] = ACTIONS(2879),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(2881),
    [anon_sym___extension__] = ACTIONS(5575),
    [anon_sym_in] = ACTIONS(5577),
    [anon_sym_out] = ACTIONS(5577),
    [anon_sym_inout] = ACTIONS(5577),
    [anon_sym_extern] = ACTIONS(5579),
    [anon_sym___attribute__] = ACTIONS(5581),
    [anon_sym_COLON_COLON] = ACTIONS(5583),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5585),
    [anon_sym___declspec] = ACTIONS(5587),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym_LBRACK] = ACTIONS(2889),
    [anon_sym_static] = ACTIONS(5579),
    [anon_sym_register] = ACTIONS(5579),
    [anon_sym_inline] = ACTIONS(5579),
    [anon_sym___inline] = ACTIONS(5579),
    [anon_sym___inline__] = ACTIONS(5579),
    [anon_sym___forceinline] = ACTIONS(5579),
    [anon_sym_thread_local] = ACTIONS(5579),
    [anon_sym___thread] = ACTIONS(5579),
    [anon_sym_const] = ACTIONS(5575),
    [anon_sym_constexpr] = ACTIONS(5575),
    [anon_sym_volatile] = ACTIONS(5575),
    [anon_sym_restrict] = ACTIONS(5575),
    [anon_sym___restrict__] = ACTIONS(5575),
    [anon_sym__Atomic] = ACTIONS(5575),
    [anon_sym__Noreturn] = ACTIONS(5575),
    [anon_sym_noreturn] = ACTIONS(5575),
    [anon_sym_mutable] = ACTIONS(5575),
    [anon_sym_constinit] = ACTIONS(5575),
    [anon_sym_consteval] = ACTIONS(5575),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_virtual] = ACTIONS(5589),
    [anon_sym_alignas] = ACTIONS(5591),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_precise] = ACTIONS(5593),
    [anon_sym_shared] = ACTIONS(5593),
    [anon_sym_groupshared] = ACTIONS(5593),
    [anon_sym_uniform] = ACTIONS(5593),
    [anon_sym_row_major] = ACTIONS(5593),
    [anon_sym_column_major] = ACTIONS(5593),
    [anon_sym_globallycoherent] = ACTIONS(5593),
    [anon_sym_centroid] = ACTIONS(5593),
    [anon_sym_noperspective] = ACTIONS(5593),
    [anon_sym_nointerpolation] = ACTIONS(5593),
    [anon_sym_sample] = ACTIONS(5593),
    [anon_sym_linear] = ACTIONS(5593),
    [anon_sym_snorm] = ACTIONS(5593),
    [anon_sym_unorm] = ACTIONS(5593),
    [anon_sym_point] = ACTIONS(5593),
    [anon_sym_line] = ACTIONS(5593),
    [anon_sym_triangleadj] = ACTIONS(5593),
    [anon_sym_lineadj] = ACTIONS(5593),
    [anon_sym_triangle] = ACTIONS(5593),
  },
  [2521] = {
    [sym__declaration_modifiers] = STATE(3138),
    [sym_attribute_specifier] = STATE(3138),
    [sym_attribute_declaration] = STATE(3138),
    [sym_ms_declspec_modifier] = STATE(3138),
    [sym_ms_based_modifier] = STATE(10332),
    [sym__declarator] = STATE(7978),
    [sym_parenthesized_declarator] = STATE(7680),
    [sym_attributed_declarator] = STATE(7680),
    [sym_pointer_declarator] = STATE(7680),
    [sym_function_declarator] = STATE(7464),
    [sym_array_declarator] = STATE(7680),
    [sym_storage_class_specifier] = STATE(3138),
    [sym_type_qualifier] = STATE(3138),
    [sym_decltype] = STATE(10317),
    [sym_virtual] = STATE(3138),
    [sym_alignas_specifier] = STATE(3138),
    [sym_explicit_function_specifier] = STATE(3138),
    [sym_operator_cast] = STATE(8073),
    [sym__constructor_specifiers] = STATE(3138),
    [sym_reference_declarator] = STATE(7680),
    [sym_structured_binding_declarator] = STATE(7680),
    [sym_template_type] = STATE(10317),
    [sym_template_function] = STATE(7680),
    [sym_destructor_name] = STATE(7680),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6862),
    [sym_qualified_identifier] = STATE(7680),
    [sym_qualified_operator_cast_identifier] = STATE(8073),
    [sym_operator_name] = STATE(7680),
    [sym_qualifiers] = STATE(3138),
    [aux_sym_operator_cast_definition_repeat1] = STATE(3138),
    [sym_identifier] = ACTIONS(5573),
    [anon_sym_LPAREN2] = ACTIONS(2875),
    [anon_sym_TILDE] = ACTIONS(2877),
    [anon_sym_STAR] = ACTIONS(2879),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(2881),
    [anon_sym___extension__] = ACTIONS(5575),
    [anon_sym_in] = ACTIONS(5577),
    [anon_sym_out] = ACTIONS(5577),
    [anon_sym_inout] = ACTIONS(5577),
    [anon_sym_extern] = ACTIONS(5579),
    [anon_sym___attribute__] = ACTIONS(5581),
    [anon_sym_COLON_COLON] = ACTIONS(5583),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5585),
    [anon_sym___declspec] = ACTIONS(5587),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym_LBRACK] = ACTIONS(2889),
    [anon_sym_static] = ACTIONS(5579),
    [anon_sym_register] = ACTIONS(5579),
    [anon_sym_inline] = ACTIONS(5579),
    [anon_sym___inline] = ACTIONS(5579),
    [anon_sym___inline__] = ACTIONS(5579),
    [anon_sym___forceinline] = ACTIONS(5579),
    [anon_sym_thread_local] = ACTIONS(5579),
    [anon_sym___thread] = ACTIONS(5579),
    [anon_sym_const] = ACTIONS(5575),
    [anon_sym_constexpr] = ACTIONS(5575),
    [anon_sym_volatile] = ACTIONS(5575),
    [anon_sym_restrict] = ACTIONS(5575),
    [anon_sym___restrict__] = ACTIONS(5575),
    [anon_sym__Atomic] = ACTIONS(5575),
    [anon_sym__Noreturn] = ACTIONS(5575),
    [anon_sym_noreturn] = ACTIONS(5575),
    [anon_sym_mutable] = ACTIONS(5575),
    [anon_sym_constinit] = ACTIONS(5575),
    [anon_sym_consteval] = ACTIONS(5575),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_virtual] = ACTIONS(5589),
    [anon_sym_alignas] = ACTIONS(5591),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_precise] = ACTIONS(5593),
    [anon_sym_shared] = ACTIONS(5593),
    [anon_sym_groupshared] = ACTIONS(5593),
    [anon_sym_uniform] = ACTIONS(5593),
    [anon_sym_row_major] = ACTIONS(5593),
    [anon_sym_column_major] = ACTIONS(5593),
    [anon_sym_globallycoherent] = ACTIONS(5593),
    [anon_sym_centroid] = ACTIONS(5593),
    [anon_sym_noperspective] = ACTIONS(5593),
    [anon_sym_nointerpolation] = ACTIONS(5593),
    [anon_sym_sample] = ACTIONS(5593),
    [anon_sym_linear] = ACTIONS(5593),
    [anon_sym_snorm] = ACTIONS(5593),
    [anon_sym_unorm] = ACTIONS(5593),
    [anon_sym_point] = ACTIONS(5593),
    [anon_sym_line] = ACTIONS(5593),
    [anon_sym_triangleadj] = ACTIONS(5593),
    [anon_sym_lineadj] = ACTIONS(5593),
    [anon_sym_triangle] = ACTIONS(5593),
  },
  [2522] = {
    [sym__declaration_modifiers] = STATE(3138),
    [sym_attribute_specifier] = STATE(3138),
    [sym_attribute_declaration] = STATE(3138),
    [sym_ms_declspec_modifier] = STATE(3138),
    [sym_ms_based_modifier] = STATE(10332),
    [sym__declarator] = STATE(7978),
    [sym_parenthesized_declarator] = STATE(7680),
    [sym_attributed_declarator] = STATE(7680),
    [sym_pointer_declarator] = STATE(7680),
    [sym_function_declarator] = STATE(7471),
    [sym_array_declarator] = STATE(7680),
    [sym_storage_class_specifier] = STATE(3138),
    [sym_type_qualifier] = STATE(3138),
    [sym_decltype] = STATE(10317),
    [sym_virtual] = STATE(3138),
    [sym_alignas_specifier] = STATE(3138),
    [sym_explicit_function_specifier] = STATE(3138),
    [sym_operator_cast] = STATE(8037),
    [sym__constructor_specifiers] = STATE(3138),
    [sym_reference_declarator] = STATE(7680),
    [sym_structured_binding_declarator] = STATE(7680),
    [sym_template_type] = STATE(10317),
    [sym_template_function] = STATE(7680),
    [sym_destructor_name] = STATE(7680),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6862),
    [sym_qualified_identifier] = STATE(7680),
    [sym_qualified_operator_cast_identifier] = STATE(8037),
    [sym_operator_name] = STATE(7680),
    [sym_qualifiers] = STATE(3138),
    [aux_sym_operator_cast_definition_repeat1] = STATE(3138),
    [sym_identifier] = ACTIONS(5573),
    [anon_sym_LPAREN2] = ACTIONS(2875),
    [anon_sym_TILDE] = ACTIONS(2877),
    [anon_sym_STAR] = ACTIONS(2879),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(2881),
    [anon_sym___extension__] = ACTIONS(5575),
    [anon_sym_in] = ACTIONS(5577),
    [anon_sym_out] = ACTIONS(5577),
    [anon_sym_inout] = ACTIONS(5577),
    [anon_sym_extern] = ACTIONS(5579),
    [anon_sym___attribute__] = ACTIONS(5581),
    [anon_sym_COLON_COLON] = ACTIONS(5583),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5585),
    [anon_sym___declspec] = ACTIONS(5587),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym_LBRACK] = ACTIONS(2889),
    [anon_sym_static] = ACTIONS(5579),
    [anon_sym_register] = ACTIONS(5579),
    [anon_sym_inline] = ACTIONS(5579),
    [anon_sym___inline] = ACTIONS(5579),
    [anon_sym___inline__] = ACTIONS(5579),
    [anon_sym___forceinline] = ACTIONS(5579),
    [anon_sym_thread_local] = ACTIONS(5579),
    [anon_sym___thread] = ACTIONS(5579),
    [anon_sym_const] = ACTIONS(5575),
    [anon_sym_constexpr] = ACTIONS(5575),
    [anon_sym_volatile] = ACTIONS(5575),
    [anon_sym_restrict] = ACTIONS(5575),
    [anon_sym___restrict__] = ACTIONS(5575),
    [anon_sym__Atomic] = ACTIONS(5575),
    [anon_sym__Noreturn] = ACTIONS(5575),
    [anon_sym_noreturn] = ACTIONS(5575),
    [anon_sym_mutable] = ACTIONS(5575),
    [anon_sym_constinit] = ACTIONS(5575),
    [anon_sym_consteval] = ACTIONS(5575),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_virtual] = ACTIONS(5589),
    [anon_sym_alignas] = ACTIONS(5591),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_precise] = ACTIONS(5593),
    [anon_sym_shared] = ACTIONS(5593),
    [anon_sym_groupshared] = ACTIONS(5593),
    [anon_sym_uniform] = ACTIONS(5593),
    [anon_sym_row_major] = ACTIONS(5593),
    [anon_sym_column_major] = ACTIONS(5593),
    [anon_sym_globallycoherent] = ACTIONS(5593),
    [anon_sym_centroid] = ACTIONS(5593),
    [anon_sym_noperspective] = ACTIONS(5593),
    [anon_sym_nointerpolation] = ACTIONS(5593),
    [anon_sym_sample] = ACTIONS(5593),
    [anon_sym_linear] = ACTIONS(5593),
    [anon_sym_snorm] = ACTIONS(5593),
    [anon_sym_unorm] = ACTIONS(5593),
    [anon_sym_point] = ACTIONS(5593),
    [anon_sym_line] = ACTIONS(5593),
    [anon_sym_triangleadj] = ACTIONS(5593),
    [anon_sym_lineadj] = ACTIONS(5593),
    [anon_sym_triangle] = ACTIONS(5593),
  },
  [2523] = {
    [sym__declaration_modifiers] = STATE(3138),
    [sym_attribute_specifier] = STATE(3138),
    [sym_attribute_declaration] = STATE(3138),
    [sym_ms_declspec_modifier] = STATE(3138),
    [sym_ms_based_modifier] = STATE(10332),
    [sym__declarator] = STATE(7978),
    [sym_parenthesized_declarator] = STATE(7680),
    [sym_attributed_declarator] = STATE(7680),
    [sym_pointer_declarator] = STATE(7680),
    [sym_function_declarator] = STATE(7501),
    [sym_array_declarator] = STATE(7680),
    [sym_storage_class_specifier] = STATE(3138),
    [sym_type_qualifier] = STATE(3138),
    [sym_decltype] = STATE(10317),
    [sym_virtual] = STATE(3138),
    [sym_alignas_specifier] = STATE(3138),
    [sym_explicit_function_specifier] = STATE(3138),
    [sym_operator_cast] = STATE(8033),
    [sym__constructor_specifiers] = STATE(3138),
    [sym_reference_declarator] = STATE(7680),
    [sym_structured_binding_declarator] = STATE(7680),
    [sym_template_type] = STATE(10317),
    [sym_template_function] = STATE(7680),
    [sym_destructor_name] = STATE(7680),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6862),
    [sym_qualified_identifier] = STATE(7680),
    [sym_qualified_operator_cast_identifier] = STATE(8033),
    [sym_operator_name] = STATE(7680),
    [sym_qualifiers] = STATE(3138),
    [aux_sym_operator_cast_definition_repeat1] = STATE(3138),
    [sym_identifier] = ACTIONS(5573),
    [anon_sym_LPAREN2] = ACTIONS(2875),
    [anon_sym_TILDE] = ACTIONS(2877),
    [anon_sym_STAR] = ACTIONS(2879),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(2881),
    [anon_sym___extension__] = ACTIONS(5575),
    [anon_sym_in] = ACTIONS(5577),
    [anon_sym_out] = ACTIONS(5577),
    [anon_sym_inout] = ACTIONS(5577),
    [anon_sym_extern] = ACTIONS(5579),
    [anon_sym___attribute__] = ACTIONS(5581),
    [anon_sym_COLON_COLON] = ACTIONS(5583),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5585),
    [anon_sym___declspec] = ACTIONS(5587),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym_LBRACK] = ACTIONS(2889),
    [anon_sym_static] = ACTIONS(5579),
    [anon_sym_register] = ACTIONS(5579),
    [anon_sym_inline] = ACTIONS(5579),
    [anon_sym___inline] = ACTIONS(5579),
    [anon_sym___inline__] = ACTIONS(5579),
    [anon_sym___forceinline] = ACTIONS(5579),
    [anon_sym_thread_local] = ACTIONS(5579),
    [anon_sym___thread] = ACTIONS(5579),
    [anon_sym_const] = ACTIONS(5575),
    [anon_sym_constexpr] = ACTIONS(5575),
    [anon_sym_volatile] = ACTIONS(5575),
    [anon_sym_restrict] = ACTIONS(5575),
    [anon_sym___restrict__] = ACTIONS(5575),
    [anon_sym__Atomic] = ACTIONS(5575),
    [anon_sym__Noreturn] = ACTIONS(5575),
    [anon_sym_noreturn] = ACTIONS(5575),
    [anon_sym_mutable] = ACTIONS(5575),
    [anon_sym_constinit] = ACTIONS(5575),
    [anon_sym_consteval] = ACTIONS(5575),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_virtual] = ACTIONS(5589),
    [anon_sym_alignas] = ACTIONS(5591),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_precise] = ACTIONS(5593),
    [anon_sym_shared] = ACTIONS(5593),
    [anon_sym_groupshared] = ACTIONS(5593),
    [anon_sym_uniform] = ACTIONS(5593),
    [anon_sym_row_major] = ACTIONS(5593),
    [anon_sym_column_major] = ACTIONS(5593),
    [anon_sym_globallycoherent] = ACTIONS(5593),
    [anon_sym_centroid] = ACTIONS(5593),
    [anon_sym_noperspective] = ACTIONS(5593),
    [anon_sym_nointerpolation] = ACTIONS(5593),
    [anon_sym_sample] = ACTIONS(5593),
    [anon_sym_linear] = ACTIONS(5593),
    [anon_sym_snorm] = ACTIONS(5593),
    [anon_sym_unorm] = ACTIONS(5593),
    [anon_sym_point] = ACTIONS(5593),
    [anon_sym_line] = ACTIONS(5593),
    [anon_sym_triangleadj] = ACTIONS(5593),
    [anon_sym_lineadj] = ACTIONS(5593),
    [anon_sym_triangle] = ACTIONS(5593),
  },
  [2524] = {
    [sym__declaration_modifiers] = STATE(2652),
    [sym__declaration_specifiers] = STATE(5141),
    [sym_attribute_specifier] = STATE(2652),
    [sym_attribute_declaration] = STATE(2652),
    [sym_ms_declspec_modifier] = STATE(2652),
    [sym_storage_class_specifier] = STATE(2652),
    [sym_type_qualifier] = STATE(2652),
    [sym__type_specifier] = STATE(2827),
    [sym_sized_type_specifier] = STATE(3085),
    [sym_enum_specifier] = STATE(3085),
    [sym_struct_specifier] = STATE(3085),
    [sym_union_specifier] = STATE(3085),
    [sym_parameter_declaration] = STATE(9057),
    [sym_placeholder_type_specifier] = STATE(3085),
    [sym_decltype_auto] = STATE(3091),
    [sym_decltype] = STATE(3050),
    [sym_class_specifier] = STATE(3085),
    [sym_virtual] = STATE(2652),
    [sym_alignas_specifier] = STATE(2652),
    [sym_dependent_type] = STATE(3085),
    [sym_optional_parameter_declaration] = STATE(9057),
    [sym_variadic_parameter_declaration] = STATE(9057),
    [sym_template_type] = STATE(3050),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(7879),
    [sym_qualified_type_identifier] = STATE(3068),
    [sym_qualifiers] = STATE(2652),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2652),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3021),
    [sym_identifier] = ACTIONS(4559),
    [anon_sym___extension__] = ACTIONS(63),
    [anon_sym_in] = ACTIONS(2118),
    [anon_sym_out] = ACTIONS(2118),
    [anon_sym_inout] = ACTIONS(2118),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(4569),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2096),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(2891),
    [anon_sym_enum] = ACTIONS(2124),
    [anon_sym_class] = ACTIONS(2126),
    [anon_sym_struct] = ACTIONS(2128),
    [anon_sym_union] = ACTIONS(2130),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [anon_sym_virtual] = ACTIONS(123),
    [anon_sym_alignas] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(2154),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_precise] = ACTIONS(161),
    [anon_sym_shared] = ACTIONS(161),
    [anon_sym_groupshared] = ACTIONS(161),
    [anon_sym_uniform] = ACTIONS(161),
    [anon_sym_row_major] = ACTIONS(161),
    [anon_sym_column_major] = ACTIONS(161),
    [anon_sym_globallycoherent] = ACTIONS(161),
    [anon_sym_centroid] = ACTIONS(161),
    [anon_sym_noperspective] = ACTIONS(161),
    [anon_sym_nointerpolation] = ACTIONS(161),
    [anon_sym_sample] = ACTIONS(161),
    [anon_sym_linear] = ACTIONS(161),
    [anon_sym_snorm] = ACTIONS(161),
    [anon_sym_unorm] = ACTIONS(161),
    [anon_sym_point] = ACTIONS(161),
    [anon_sym_line] = ACTIONS(161),
    [anon_sym_triangleadj] = ACTIONS(161),
    [anon_sym_lineadj] = ACTIONS(161),
    [anon_sym_triangle] = ACTIONS(161),
  },
  [2525] = {
    [sym__declaration_modifiers] = STATE(3138),
    [sym_attribute_specifier] = STATE(3138),
    [sym_attribute_declaration] = STATE(3138),
    [sym_ms_declspec_modifier] = STATE(3138),
    [sym_ms_based_modifier] = STATE(10332),
    [sym__declarator] = STATE(7978),
    [sym_parenthesized_declarator] = STATE(7680),
    [sym_attributed_declarator] = STATE(7680),
    [sym_pointer_declarator] = STATE(7680),
    [sym_function_declarator] = STATE(7505),
    [sym_array_declarator] = STATE(7680),
    [sym_storage_class_specifier] = STATE(3138),
    [sym_type_qualifier] = STATE(3138),
    [sym_decltype] = STATE(10317),
    [sym_virtual] = STATE(3138),
    [sym_alignas_specifier] = STATE(3138),
    [sym_explicit_function_specifier] = STATE(3138),
    [sym_operator_cast] = STATE(8034),
    [sym__constructor_specifiers] = STATE(3138),
    [sym_reference_declarator] = STATE(7680),
    [sym_structured_binding_declarator] = STATE(7680),
    [sym_template_type] = STATE(10317),
    [sym_template_function] = STATE(7680),
    [sym_destructor_name] = STATE(7680),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(6862),
    [sym_qualified_identifier] = STATE(7680),
    [sym_qualified_operator_cast_identifier] = STATE(8034),
    [sym_operator_name] = STATE(7680),
    [sym_qualifiers] = STATE(3138),
    [aux_sym_operator_cast_definition_repeat1] = STATE(3138),
    [sym_identifier] = ACTIONS(5573),
    [anon_sym_LPAREN2] = ACTIONS(2875),
    [anon_sym_TILDE] = ACTIONS(2877),
    [anon_sym_STAR] = ACTIONS(2879),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(2881),
    [anon_sym___extension__] = ACTIONS(5575),
    [anon_sym_in] = ACTIONS(5577),
    [anon_sym_out] = ACTIONS(5577),
    [anon_sym_inout] = ACTIONS(5577),
    [anon_sym_extern] = ACTIONS(5579),
    [anon_sym___attribute__] = ACTIONS(5581),
    [anon_sym_COLON_COLON] = ACTIONS(5583),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5585),
    [anon_sym___declspec] = ACTIONS(5587),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym_LBRACK] = ACTIONS(2889),
    [anon_sym_static] = ACTIONS(5579),
    [anon_sym_register] = ACTIONS(5579),
    [anon_sym_inline] = ACTIONS(5579),
    [anon_sym___inline] = ACTIONS(5579),
    [anon_sym___inline__] = ACTIONS(5579),
    [anon_sym___forceinline] = ACTIONS(5579),
    [anon_sym_thread_local] = ACTIONS(5579),
    [anon_sym___thread] = ACTIONS(5579),
    [anon_sym_const] = ACTIONS(5575),
    [anon_sym_constexpr] = ACTIONS(5575),
    [anon_sym_volatile] = ACTIONS(5575),
    [anon_sym_restrict] = ACTIONS(5575),
    [anon_sym___restrict__] = ACTIONS(5575),
    [anon_sym__Atomic] = ACTIONS(5575),
    [anon_sym__Noreturn] = ACTIONS(5575),
    [anon_sym_noreturn] = ACTIONS(5575),
    [anon_sym_mutable] = ACTIONS(5575),
    [anon_sym_constinit] = ACTIONS(5575),
    [anon_sym_consteval] = ACTIONS(5575),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_virtual] = ACTIONS(5589),
    [anon_sym_alignas] = ACTIONS(5591),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_precise] = ACTIONS(5593),
    [anon_sym_shared] = ACTIONS(5593),
    [anon_sym_groupshared] = ACTIONS(5593),
    [anon_sym_uniform] = ACTIONS(5593),
    [anon_sym_row_major] = ACTIONS(5593),
    [anon_sym_column_major] = ACTIONS(5593),
    [anon_sym_globallycoherent] = ACTIONS(5593),
    [anon_sym_centroid] = ACTIONS(5593),
    [anon_sym_noperspective] = ACTIONS(5593),
    [anon_sym_nointerpolation] = ACTIONS(5593),
    [anon_sym_sample] = ACTIONS(5593),
    [anon_sym_linear] = ACTIONS(5593),
    [anon_sym_snorm] = ACTIONS(5593),
    [anon_sym_unorm] = ACTIONS(5593),
    [anon_sym_point] = ACTIONS(5593),
    [anon_sym_line] = ACTIONS(5593),
    [anon_sym_triangleadj] = ACTIONS(5593),
    [anon_sym_lineadj] = ACTIONS(5593),
    [anon_sym_triangle] = ACTIONS(5593),
  },
  [2526] = {
    [sym_identifier] = ACTIONS(2238),
    [aux_sym_preproc_def_token1] = ACTIONS(2238),
    [anon_sym_COMMA] = ACTIONS(2358),
    [aux_sym_preproc_if_token1] = ACTIONS(2238),
    [aux_sym_preproc_if_token2] = ACTIONS(2238),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2238),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2238),
    [aux_sym_preproc_else_token1] = ACTIONS(2238),
    [aux_sym_preproc_elif_token1] = ACTIONS(2238),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2238),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2238),
    [sym_preproc_directive] = ACTIONS(2238),
    [anon_sym_LPAREN2] = ACTIONS(2236),
    [anon_sym_TILDE] = ACTIONS(2236),
    [anon_sym_STAR] = ACTIONS(2236),
    [anon_sym_AMP_AMP] = ACTIONS(2236),
    [anon_sym_AMP] = ACTIONS(2238),
    [anon_sym_SEMI] = ACTIONS(2358),
    [anon_sym___extension__] = ACTIONS(2238),
    [anon_sym_typedef] = ACTIONS(2238),
    [anon_sym_in] = ACTIONS(2238),
    [anon_sym_out] = ACTIONS(2238),
    [anon_sym_inout] = ACTIONS(2238),
    [anon_sym_extern] = ACTIONS(2238),
    [anon_sym___attribute__] = ACTIONS(5600),
    [anon_sym_COLON_COLON] = ACTIONS(2236),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2236),
    [anon_sym___declspec] = ACTIONS(2238),
    [anon_sym___based] = ACTIONS(2238),
    [anon_sym_signed] = ACTIONS(2238),
    [anon_sym_unsigned] = ACTIONS(2238),
    [anon_sym_long] = ACTIONS(2238),
    [anon_sym_short] = ACTIONS(2238),
    [anon_sym_LBRACK] = ACTIONS(2238),
    [anon_sym_static] = ACTIONS(2238),
    [anon_sym_register] = ACTIONS(2238),
    [anon_sym_inline] = ACTIONS(2238),
    [anon_sym___inline] = ACTIONS(2238),
    [anon_sym___inline__] = ACTIONS(2238),
    [anon_sym___forceinline] = ACTIONS(2238),
    [anon_sym_thread_local] = ACTIONS(2238),
    [anon_sym___thread] = ACTIONS(2238),
    [anon_sym_const] = ACTIONS(2238),
    [anon_sym_constexpr] = ACTIONS(2238),
    [anon_sym_volatile] = ACTIONS(2238),
    [anon_sym_restrict] = ACTIONS(2238),
    [anon_sym___restrict__] = ACTIONS(2238),
    [anon_sym__Atomic] = ACTIONS(2238),
    [anon_sym__Noreturn] = ACTIONS(2238),
    [anon_sym_noreturn] = ACTIONS(2238),
    [anon_sym_mutable] = ACTIONS(2238),
    [anon_sym_constinit] = ACTIONS(2238),
    [anon_sym_consteval] = ACTIONS(2238),
    [sym_primitive_type] = ACTIONS(2238),
    [anon_sym_enum] = ACTIONS(2238),
    [anon_sym_class] = ACTIONS(2238),
    [anon_sym_struct] = ACTIONS(2238),
    [anon_sym_union] = ACTIONS(2238),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2238),
    [anon_sym_decltype] = ACTIONS(2238),
    [anon_sym_virtual] = ACTIONS(2238),
    [anon_sym_alignas] = ACTIONS(2238),
    [anon_sym_explicit] = ACTIONS(2238),
    [anon_sym_typename] = ACTIONS(2238),
    [anon_sym_template] = ACTIONS(2238),
    [anon_sym_operator] = ACTIONS(2238),
    [anon_sym_friend] = ACTIONS(2238),
    [anon_sym_public] = ACTIONS(2238),
    [anon_sym_private] = ACTIONS(2238),
    [anon_sym_protected] = ACTIONS(2238),
    [anon_sym_using] = ACTIONS(2238),
    [anon_sym_static_assert] = ACTIONS(2238),
    [anon_sym_precise] = ACTIONS(2238),
    [anon_sym_shared] = ACTIONS(2238),
    [anon_sym_groupshared] = ACTIONS(2238),
    [anon_sym_uniform] = ACTIONS(2238),
    [anon_sym_row_major] = ACTIONS(2238),
    [anon_sym_column_major] = ACTIONS(2238),
    [anon_sym_globallycoherent] = ACTIONS(2238),
    [anon_sym_centroid] = ACTIONS(2238),
    [anon_sym_noperspective] = ACTIONS(2238),
    [anon_sym_nointerpolation] = ACTIONS(2238),
    [anon_sym_sample] = ACTIONS(2238),
    [anon_sym_linear] = ACTIONS(2238),
    [anon_sym_snorm] = ACTIONS(2238),
    [anon_sym_unorm] = ACTIONS(2238),
    [anon_sym_point] = ACTIONS(2238),
    [anon_sym_line] = ACTIONS(2238),
    [anon_sym_triangleadj] = ACTIONS(2238),
    [anon_sym_lineadj] = ACTIONS(2238),
    [anon_sym_triangle] = ACTIONS(2238),
  },
  [2527] = {
    [sym_identifier] = ACTIONS(2238),
    [aux_sym_preproc_def_token1] = ACTIONS(2238),
    [anon_sym_COMMA] = ACTIONS(2358),
    [aux_sym_preproc_if_token1] = ACTIONS(2238),
    [aux_sym_preproc_if_token2] = ACTIONS(2238),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2238),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2238),
    [aux_sym_preproc_else_token1] = ACTIONS(2238),
    [aux_sym_preproc_elif_token1] = ACTIONS(2238),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2238),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2238),
    [sym_preproc_directive] = ACTIONS(2238),
    [anon_sym_LPAREN2] = ACTIONS(2236),
    [anon_sym_TILDE] = ACTIONS(2236),
    [anon_sym_STAR] = ACTIONS(2236),
    [anon_sym_AMP_AMP] = ACTIONS(2236),
    [anon_sym_AMP] = ACTIONS(2238),
    [anon_sym_SEMI] = ACTIONS(2358),
    [anon_sym___extension__] = ACTIONS(2238),
    [anon_sym_typedef] = ACTIONS(2238),
    [anon_sym_in] = ACTIONS(2238),
    [anon_sym_out] = ACTIONS(2238),
    [anon_sym_inout] = ACTIONS(2238),
    [anon_sym_extern] = ACTIONS(2238),
    [anon_sym___attribute__] = ACTIONS(2238),
    [anon_sym_COLON_COLON] = ACTIONS(2236),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2236),
    [anon_sym___declspec] = ACTIONS(2238),
    [anon_sym___based] = ACTIONS(2238),
    [anon_sym_signed] = ACTIONS(2238),
    [anon_sym_unsigned] = ACTIONS(2238),
    [anon_sym_long] = ACTIONS(2238),
    [anon_sym_short] = ACTIONS(2238),
    [anon_sym_LBRACK] = ACTIONS(2238),
    [anon_sym_static] = ACTIONS(2238),
    [anon_sym_register] = ACTIONS(2238),
    [anon_sym_inline] = ACTIONS(2238),
    [anon_sym___inline] = ACTIONS(2238),
    [anon_sym___inline__] = ACTIONS(2238),
    [anon_sym___forceinline] = ACTIONS(2238),
    [anon_sym_thread_local] = ACTIONS(2238),
    [anon_sym___thread] = ACTIONS(2238),
    [anon_sym_const] = ACTIONS(2238),
    [anon_sym_constexpr] = ACTIONS(2238),
    [anon_sym_volatile] = ACTIONS(2238),
    [anon_sym_restrict] = ACTIONS(2238),
    [anon_sym___restrict__] = ACTIONS(2238),
    [anon_sym__Atomic] = ACTIONS(2238),
    [anon_sym__Noreturn] = ACTIONS(2238),
    [anon_sym_noreturn] = ACTIONS(2238),
    [anon_sym_mutable] = ACTIONS(2238),
    [anon_sym_constinit] = ACTIONS(2238),
    [anon_sym_consteval] = ACTIONS(2238),
    [sym_primitive_type] = ACTIONS(2238),
    [anon_sym_enum] = ACTIONS(2238),
    [anon_sym_class] = ACTIONS(2238),
    [anon_sym_struct] = ACTIONS(2238),
    [anon_sym_union] = ACTIONS(2238),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2238),
    [anon_sym_decltype] = ACTIONS(2238),
    [anon_sym_virtual] = ACTIONS(2238),
    [anon_sym_alignas] = ACTIONS(2238),
    [anon_sym_explicit] = ACTIONS(2238),
    [anon_sym_typename] = ACTIONS(2238),
    [anon_sym_template] = ACTIONS(2238),
    [anon_sym_operator] = ACTIONS(2238),
    [anon_sym_friend] = ACTIONS(2238),
    [anon_sym_public] = ACTIONS(2238),
    [anon_sym_private] = ACTIONS(2238),
    [anon_sym_protected] = ACTIONS(2238),
    [anon_sym_using] = ACTIONS(2238),
    [anon_sym_static_assert] = ACTIONS(2238),
    [anon_sym_precise] = ACTIONS(2238),
    [anon_sym_shared] = ACTIONS(2238),
    [anon_sym_groupshared] = ACTIONS(2238),
    [anon_sym_uniform] = ACTIONS(2238),
    [anon_sym_row_major] = ACTIONS(2238),
    [anon_sym_column_major] = ACTIONS(2238),
    [anon_sym_globallycoherent] = ACTIONS(2238),
    [anon_sym_centroid] = ACTIONS(2238),
    [anon_sym_noperspective] = ACTIONS(2238),
    [anon_sym_nointerpolation] = ACTIONS(2238),
    [anon_sym_sample] = ACTIONS(2238),
    [anon_sym_linear] = ACTIONS(2238),
    [anon_sym_snorm] = ACTIONS(2238),
    [anon_sym_unorm] = ACTIONS(2238),
    [anon_sym_point] = ACTIONS(2238),
    [anon_sym_line] = ACTIONS(2238),
    [anon_sym_triangleadj] = ACTIONS(2238),
    [anon_sym_lineadj] = ACTIONS(2238),
    [anon_sym_triangle] = ACTIONS(2238),
  },
  [2528] = {
    [sym_identifier] = ACTIONS(2314),
    [aux_sym_preproc_def_token1] = ACTIONS(2314),
    [aux_sym_preproc_if_token1] = ACTIONS(2314),
    [aux_sym_preproc_if_token2] = ACTIONS(2314),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2314),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2314),
    [aux_sym_preproc_else_token1] = ACTIONS(2314),
    [aux_sym_preproc_elif_token1] = ACTIONS(2314),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2314),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2314),
    [sym_preproc_directive] = ACTIONS(2314),
    [anon_sym_LPAREN2] = ACTIONS(2316),
    [anon_sym_TILDE] = ACTIONS(2316),
    [anon_sym_STAR] = ACTIONS(2316),
    [anon_sym_AMP_AMP] = ACTIONS(2316),
    [anon_sym_AMP] = ACTIONS(2314),
    [anon_sym___extension__] = ACTIONS(2314),
    [anon_sym_typedef] = ACTIONS(2314),
    [anon_sym_in] = ACTIONS(2314),
    [anon_sym_out] = ACTIONS(2314),
    [anon_sym_inout] = ACTIONS(2314),
    [anon_sym_extern] = ACTIONS(2314),
    [anon_sym___attribute__] = ACTIONS(2314),
    [anon_sym_COLON_COLON] = ACTIONS(2316),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2316),
    [anon_sym___declspec] = ACTIONS(2314),
    [anon_sym___based] = ACTIONS(2314),
    [anon_sym_signed] = ACTIONS(2314),
    [anon_sym_unsigned] = ACTIONS(2314),
    [anon_sym_long] = ACTIONS(2314),
    [anon_sym_short] = ACTIONS(2314),
    [anon_sym_LBRACK] = ACTIONS(2314),
    [anon_sym_static] = ACTIONS(2314),
    [anon_sym_register] = ACTIONS(2314),
    [anon_sym_inline] = ACTIONS(2314),
    [anon_sym___inline] = ACTIONS(2314),
    [anon_sym___inline__] = ACTIONS(2314),
    [anon_sym___forceinline] = ACTIONS(2314),
    [anon_sym_thread_local] = ACTIONS(2314),
    [anon_sym___thread] = ACTIONS(2314),
    [anon_sym_const] = ACTIONS(2314),
    [anon_sym_constexpr] = ACTIONS(2314),
    [anon_sym_volatile] = ACTIONS(2314),
    [anon_sym_restrict] = ACTIONS(2314),
    [anon_sym___restrict__] = ACTIONS(2314),
    [anon_sym__Atomic] = ACTIONS(2314),
    [anon_sym__Noreturn] = ACTIONS(2314),
    [anon_sym_noreturn] = ACTIONS(2314),
    [anon_sym_mutable] = ACTIONS(2314),
    [anon_sym_constinit] = ACTIONS(2314),
    [anon_sym_consteval] = ACTIONS(2314),
    [sym_primitive_type] = ACTIONS(2314),
    [anon_sym_enum] = ACTIONS(2314),
    [anon_sym_class] = ACTIONS(2314),
    [anon_sym_struct] = ACTIONS(2314),
    [anon_sym_union] = ACTIONS(2314),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2314),
    [anon_sym_decltype] = ACTIONS(2314),
    [anon_sym_virtual] = ACTIONS(2314),
    [anon_sym_alignas] = ACTIONS(2314),
    [anon_sym_explicit] = ACTIONS(2314),
    [anon_sym_typename] = ACTIONS(2314),
    [anon_sym_template] = ACTIONS(2314),
    [anon_sym_operator] = ACTIONS(2314),
    [anon_sym_friend] = ACTIONS(2314),
    [anon_sym_public] = ACTIONS(2314),
    [anon_sym_private] = ACTIONS(2314),
    [anon_sym_protected] = ACTIONS(2314),
    [anon_sym_using] = ACTIONS(2314),
    [anon_sym_static_assert] = ACTIONS(2314),
    [anon_sym_catch] = ACTIONS(2314),
    [anon_sym_precise] = ACTIONS(2314),
    [anon_sym_shared] = ACTIONS(2314),
    [anon_sym_groupshared] = ACTIONS(2314),
    [anon_sym_uniform] = ACTIONS(2314),
    [anon_sym_row_major] = ACTIONS(2314),
    [anon_sym_column_major] = ACTIONS(2314),
    [anon_sym_globallycoherent] = ACTIONS(2314),
    [anon_sym_centroid] = ACTIONS(2314),
    [anon_sym_noperspective] = ACTIONS(2314),
    [anon_sym_nointerpolation] = ACTIONS(2314),
    [anon_sym_sample] = ACTIONS(2314),
    [anon_sym_linear] = ACTIONS(2314),
    [anon_sym_snorm] = ACTIONS(2314),
    [anon_sym_unorm] = ACTIONS(2314),
    [anon_sym_point] = ACTIONS(2314),
    [anon_sym_line] = ACTIONS(2314),
    [anon_sym_triangleadj] = ACTIONS(2314),
    [anon_sym_lineadj] = ACTIONS(2314),
    [anon_sym_triangle] = ACTIONS(2314),
  },
  [2529] = {
    [sym_catch_clause] = STATE(2530),
    [aux_sym_constructor_try_statement_repeat1] = STATE(2530),
    [sym_identifier] = ACTIONS(2275),
    [aux_sym_preproc_def_token1] = ACTIONS(2275),
    [aux_sym_preproc_if_token1] = ACTIONS(2275),
    [aux_sym_preproc_if_token2] = ACTIONS(2275),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2275),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2275),
    [aux_sym_preproc_else_token1] = ACTIONS(2275),
    [aux_sym_preproc_elif_token1] = ACTIONS(2275),
    [sym_preproc_directive] = ACTIONS(2275),
    [anon_sym_LPAREN2] = ACTIONS(2277),
    [anon_sym_TILDE] = ACTIONS(2277),
    [anon_sym_STAR] = ACTIONS(2277),
    [anon_sym_AMP_AMP] = ACTIONS(2277),
    [anon_sym_AMP] = ACTIONS(2275),
    [anon_sym___extension__] = ACTIONS(2275),
    [anon_sym_typedef] = ACTIONS(2275),
    [anon_sym_in] = ACTIONS(2275),
    [anon_sym_out] = ACTIONS(2275),
    [anon_sym_inout] = ACTIONS(2275),
    [anon_sym_extern] = ACTIONS(2275),
    [anon_sym___attribute__] = ACTIONS(2275),
    [anon_sym_COLON_COLON] = ACTIONS(2277),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2277),
    [anon_sym___declspec] = ACTIONS(2275),
    [anon_sym___based] = ACTIONS(2275),
    [anon_sym_signed] = ACTIONS(2275),
    [anon_sym_unsigned] = ACTIONS(2275),
    [anon_sym_long] = ACTIONS(2275),
    [anon_sym_short] = ACTIONS(2275),
    [anon_sym_LBRACK] = ACTIONS(2275),
    [anon_sym_static] = ACTIONS(2275),
    [anon_sym_register] = ACTIONS(2275),
    [anon_sym_inline] = ACTIONS(2275),
    [anon_sym___inline] = ACTIONS(2275),
    [anon_sym___inline__] = ACTIONS(2275),
    [anon_sym___forceinline] = ACTIONS(2275),
    [anon_sym_thread_local] = ACTIONS(2275),
    [anon_sym___thread] = ACTIONS(2275),
    [anon_sym_const] = ACTIONS(2275),
    [anon_sym_constexpr] = ACTIONS(2275),
    [anon_sym_volatile] = ACTIONS(2275),
    [anon_sym_restrict] = ACTIONS(2275),
    [anon_sym___restrict__] = ACTIONS(2275),
    [anon_sym__Atomic] = ACTIONS(2275),
    [anon_sym__Noreturn] = ACTIONS(2275),
    [anon_sym_noreturn] = ACTIONS(2275),
    [anon_sym_mutable] = ACTIONS(2275),
    [anon_sym_constinit] = ACTIONS(2275),
    [anon_sym_consteval] = ACTIONS(2275),
    [sym_primitive_type] = ACTIONS(2275),
    [anon_sym_enum] = ACTIONS(2275),
    [anon_sym_class] = ACTIONS(2275),
    [anon_sym_struct] = ACTIONS(2275),
    [anon_sym_union] = ACTIONS(2275),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2275),
    [anon_sym_decltype] = ACTIONS(2275),
    [anon_sym_virtual] = ACTIONS(2275),
    [anon_sym_alignas] = ACTIONS(2275),
    [anon_sym_explicit] = ACTIONS(2275),
    [anon_sym_typename] = ACTIONS(2275),
    [anon_sym_template] = ACTIONS(2275),
    [anon_sym_operator] = ACTIONS(2275),
    [anon_sym_friend] = ACTIONS(2275),
    [anon_sym_public] = ACTIONS(2275),
    [anon_sym_private] = ACTIONS(2275),
    [anon_sym_protected] = ACTIONS(2275),
    [anon_sym_using] = ACTIONS(2275),
    [anon_sym_static_assert] = ACTIONS(2275),
    [anon_sym_catch] = ACTIONS(5602),
    [anon_sym_precise] = ACTIONS(2275),
    [anon_sym_shared] = ACTIONS(2275),
    [anon_sym_groupshared] = ACTIONS(2275),
    [anon_sym_uniform] = ACTIONS(2275),
    [anon_sym_row_major] = ACTIONS(2275),
    [anon_sym_column_major] = ACTIONS(2275),
    [anon_sym_globallycoherent] = ACTIONS(2275),
    [anon_sym_centroid] = ACTIONS(2275),
    [anon_sym_noperspective] = ACTIONS(2275),
    [anon_sym_nointerpolation] = ACTIONS(2275),
    [anon_sym_sample] = ACTIONS(2275),
    [anon_sym_linear] = ACTIONS(2275),
    [anon_sym_snorm] = ACTIONS(2275),
    [anon_sym_unorm] = ACTIONS(2275),
    [anon_sym_point] = ACTIONS(2275),
    [anon_sym_line] = ACTIONS(2275),
    [anon_sym_triangleadj] = ACTIONS(2275),
    [anon_sym_lineadj] = ACTIONS(2275),
    [anon_sym_triangle] = ACTIONS(2275),
  },
  [2530] = {
    [sym_catch_clause] = STATE(2530),
    [aux_sym_constructor_try_statement_repeat1] = STATE(2530),
    [sym_identifier] = ACTIONS(2268),
    [aux_sym_preproc_def_token1] = ACTIONS(2268),
    [aux_sym_preproc_if_token1] = ACTIONS(2268),
    [aux_sym_preproc_if_token2] = ACTIONS(2268),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2268),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2268),
    [aux_sym_preproc_else_token1] = ACTIONS(2268),
    [aux_sym_preproc_elif_token1] = ACTIONS(2268),
    [sym_preproc_directive] = ACTIONS(2268),
    [anon_sym_LPAREN2] = ACTIONS(2270),
    [anon_sym_TILDE] = ACTIONS(2270),
    [anon_sym_STAR] = ACTIONS(2270),
    [anon_sym_AMP_AMP] = ACTIONS(2270),
    [anon_sym_AMP] = ACTIONS(2268),
    [anon_sym___extension__] = ACTIONS(2268),
    [anon_sym_typedef] = ACTIONS(2268),
    [anon_sym_in] = ACTIONS(2268),
    [anon_sym_out] = ACTIONS(2268),
    [anon_sym_inout] = ACTIONS(2268),
    [anon_sym_extern] = ACTIONS(2268),
    [anon_sym___attribute__] = ACTIONS(2268),
    [anon_sym_COLON_COLON] = ACTIONS(2270),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2270),
    [anon_sym___declspec] = ACTIONS(2268),
    [anon_sym___based] = ACTIONS(2268),
    [anon_sym_signed] = ACTIONS(2268),
    [anon_sym_unsigned] = ACTIONS(2268),
    [anon_sym_long] = ACTIONS(2268),
    [anon_sym_short] = ACTIONS(2268),
    [anon_sym_LBRACK] = ACTIONS(2268),
    [anon_sym_static] = ACTIONS(2268),
    [anon_sym_register] = ACTIONS(2268),
    [anon_sym_inline] = ACTIONS(2268),
    [anon_sym___inline] = ACTIONS(2268),
    [anon_sym___inline__] = ACTIONS(2268),
    [anon_sym___forceinline] = ACTIONS(2268),
    [anon_sym_thread_local] = ACTIONS(2268),
    [anon_sym___thread] = ACTIONS(2268),
    [anon_sym_const] = ACTIONS(2268),
    [anon_sym_constexpr] = ACTIONS(2268),
    [anon_sym_volatile] = ACTIONS(2268),
    [anon_sym_restrict] = ACTIONS(2268),
    [anon_sym___restrict__] = ACTIONS(2268),
    [anon_sym__Atomic] = ACTIONS(2268),
    [anon_sym__Noreturn] = ACTIONS(2268),
    [anon_sym_noreturn] = ACTIONS(2268),
    [anon_sym_mutable] = ACTIONS(2268),
    [anon_sym_constinit] = ACTIONS(2268),
    [anon_sym_consteval] = ACTIONS(2268),
    [sym_primitive_type] = ACTIONS(2268),
    [anon_sym_enum] = ACTIONS(2268),
    [anon_sym_class] = ACTIONS(2268),
    [anon_sym_struct] = ACTIONS(2268),
    [anon_sym_union] = ACTIONS(2268),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2268),
    [anon_sym_decltype] = ACTIONS(2268),
    [anon_sym_virtual] = ACTIONS(2268),
    [anon_sym_alignas] = ACTIONS(2268),
    [anon_sym_explicit] = ACTIONS(2268),
    [anon_sym_typename] = ACTIONS(2268),
    [anon_sym_template] = ACTIONS(2268),
    [anon_sym_operator] = ACTIONS(2268),
    [anon_sym_friend] = ACTIONS(2268),
    [anon_sym_public] = ACTIONS(2268),
    [anon_sym_private] = ACTIONS(2268),
    [anon_sym_protected] = ACTIONS(2268),
    [anon_sym_using] = ACTIONS(2268),
    [anon_sym_static_assert] = ACTIONS(2268),
    [anon_sym_catch] = ACTIONS(5604),
    [anon_sym_precise] = ACTIONS(2268),
    [anon_sym_shared] = ACTIONS(2268),
    [anon_sym_groupshared] = ACTIONS(2268),
    [anon_sym_uniform] = ACTIONS(2268),
    [anon_sym_row_major] = ACTIONS(2268),
    [anon_sym_column_major] = ACTIONS(2268),
    [anon_sym_globallycoherent] = ACTIONS(2268),
    [anon_sym_centroid] = ACTIONS(2268),
    [anon_sym_noperspective] = ACTIONS(2268),
    [anon_sym_nointerpolation] = ACTIONS(2268),
    [anon_sym_sample] = ACTIONS(2268),
    [anon_sym_linear] = ACTIONS(2268),
    [anon_sym_snorm] = ACTIONS(2268),
    [anon_sym_unorm] = ACTIONS(2268),
    [anon_sym_point] = ACTIONS(2268),
    [anon_sym_line] = ACTIONS(2268),
    [anon_sym_triangleadj] = ACTIONS(2268),
    [anon_sym_lineadj] = ACTIONS(2268),
    [anon_sym_triangle] = ACTIONS(2268),
  },
  [2531] = {
    [sym_catch_clause] = STATE(2530),
    [aux_sym_constructor_try_statement_repeat1] = STATE(2530),
    [sym_identifier] = ACTIONS(2242),
    [aux_sym_preproc_def_token1] = ACTIONS(2242),
    [aux_sym_preproc_if_token1] = ACTIONS(2242),
    [aux_sym_preproc_if_token2] = ACTIONS(2242),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2242),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2242),
    [aux_sym_preproc_else_token1] = ACTIONS(2242),
    [aux_sym_preproc_elif_token1] = ACTIONS(2242),
    [sym_preproc_directive] = ACTIONS(2242),
    [anon_sym_LPAREN2] = ACTIONS(2244),
    [anon_sym_TILDE] = ACTIONS(2244),
    [anon_sym_STAR] = ACTIONS(2244),
    [anon_sym_AMP_AMP] = ACTIONS(2244),
    [anon_sym_AMP] = ACTIONS(2242),
    [anon_sym___extension__] = ACTIONS(2242),
    [anon_sym_typedef] = ACTIONS(2242),
    [anon_sym_in] = ACTIONS(2242),
    [anon_sym_out] = ACTIONS(2242),
    [anon_sym_inout] = ACTIONS(2242),
    [anon_sym_extern] = ACTIONS(2242),
    [anon_sym___attribute__] = ACTIONS(2242),
    [anon_sym_COLON_COLON] = ACTIONS(2244),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2244),
    [anon_sym___declspec] = ACTIONS(2242),
    [anon_sym___based] = ACTIONS(2242),
    [anon_sym_signed] = ACTIONS(2242),
    [anon_sym_unsigned] = ACTIONS(2242),
    [anon_sym_long] = ACTIONS(2242),
    [anon_sym_short] = ACTIONS(2242),
    [anon_sym_LBRACK] = ACTIONS(2242),
    [anon_sym_static] = ACTIONS(2242),
    [anon_sym_register] = ACTIONS(2242),
    [anon_sym_inline] = ACTIONS(2242),
    [anon_sym___inline] = ACTIONS(2242),
    [anon_sym___inline__] = ACTIONS(2242),
    [anon_sym___forceinline] = ACTIONS(2242),
    [anon_sym_thread_local] = ACTIONS(2242),
    [anon_sym___thread] = ACTIONS(2242),
    [anon_sym_const] = ACTIONS(2242),
    [anon_sym_constexpr] = ACTIONS(2242),
    [anon_sym_volatile] = ACTIONS(2242),
    [anon_sym_restrict] = ACTIONS(2242),
    [anon_sym___restrict__] = ACTIONS(2242),
    [anon_sym__Atomic] = ACTIONS(2242),
    [anon_sym__Noreturn] = ACTIONS(2242),
    [anon_sym_noreturn] = ACTIONS(2242),
    [anon_sym_mutable] = ACTIONS(2242),
    [anon_sym_constinit] = ACTIONS(2242),
    [anon_sym_consteval] = ACTIONS(2242),
    [sym_primitive_type] = ACTIONS(2242),
    [anon_sym_enum] = ACTIONS(2242),
    [anon_sym_class] = ACTIONS(2242),
    [anon_sym_struct] = ACTIONS(2242),
    [anon_sym_union] = ACTIONS(2242),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2242),
    [anon_sym_decltype] = ACTIONS(2242),
    [anon_sym_virtual] = ACTIONS(2242),
    [anon_sym_alignas] = ACTIONS(2242),
    [anon_sym_explicit] = ACTIONS(2242),
    [anon_sym_typename] = ACTIONS(2242),
    [anon_sym_template] = ACTIONS(2242),
    [anon_sym_operator] = ACTIONS(2242),
    [anon_sym_friend] = ACTIONS(2242),
    [anon_sym_public] = ACTIONS(2242),
    [anon_sym_private] = ACTIONS(2242),
    [anon_sym_protected] = ACTIONS(2242),
    [anon_sym_using] = ACTIONS(2242),
    [anon_sym_static_assert] = ACTIONS(2242),
    [anon_sym_catch] = ACTIONS(5602),
    [anon_sym_precise] = ACTIONS(2242),
    [anon_sym_shared] = ACTIONS(2242),
    [anon_sym_groupshared] = ACTIONS(2242),
    [anon_sym_uniform] = ACTIONS(2242),
    [anon_sym_row_major] = ACTIONS(2242),
    [anon_sym_column_major] = ACTIONS(2242),
    [anon_sym_globallycoherent] = ACTIONS(2242),
    [anon_sym_centroid] = ACTIONS(2242),
    [anon_sym_noperspective] = ACTIONS(2242),
    [anon_sym_nointerpolation] = ACTIONS(2242),
    [anon_sym_sample] = ACTIONS(2242),
    [anon_sym_linear] = ACTIONS(2242),
    [anon_sym_snorm] = ACTIONS(2242),
    [anon_sym_unorm] = ACTIONS(2242),
    [anon_sym_point] = ACTIONS(2242),
    [anon_sym_line] = ACTIONS(2242),
    [anon_sym_triangleadj] = ACTIONS(2242),
    [anon_sym_lineadj] = ACTIONS(2242),
    [anon_sym_triangle] = ACTIONS(2242),
  },
  [2532] = {
    [sym_catch_clause] = STATE(2530),
    [aux_sym_constructor_try_statement_repeat1] = STATE(2530),
    [sym_identifier] = ACTIONS(2285),
    [aux_sym_preproc_def_token1] = ACTIONS(2285),
    [aux_sym_preproc_if_token1] = ACTIONS(2285),
    [aux_sym_preproc_if_token2] = ACTIONS(2285),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2285),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2285),
    [aux_sym_preproc_else_token1] = ACTIONS(2285),
    [aux_sym_preproc_elif_token1] = ACTIONS(2285),
    [sym_preproc_directive] = ACTIONS(2285),
    [anon_sym_LPAREN2] = ACTIONS(2287),
    [anon_sym_TILDE] = ACTIONS(2287),
    [anon_sym_STAR] = ACTIONS(2287),
    [anon_sym_AMP_AMP] = ACTIONS(2287),
    [anon_sym_AMP] = ACTIONS(2285),
    [anon_sym___extension__] = ACTIONS(2285),
    [anon_sym_typedef] = ACTIONS(2285),
    [anon_sym_in] = ACTIONS(2285),
    [anon_sym_out] = ACTIONS(2285),
    [anon_sym_inout] = ACTIONS(2285),
    [anon_sym_extern] = ACTIONS(2285),
    [anon_sym___attribute__] = ACTIONS(2285),
    [anon_sym_COLON_COLON] = ACTIONS(2287),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2287),
    [anon_sym___declspec] = ACTIONS(2285),
    [anon_sym___based] = ACTIONS(2285),
    [anon_sym_signed] = ACTIONS(2285),
    [anon_sym_unsigned] = ACTIONS(2285),
    [anon_sym_long] = ACTIONS(2285),
    [anon_sym_short] = ACTIONS(2285),
    [anon_sym_LBRACK] = ACTIONS(2285),
    [anon_sym_static] = ACTIONS(2285),
    [anon_sym_register] = ACTIONS(2285),
    [anon_sym_inline] = ACTIONS(2285),
    [anon_sym___inline] = ACTIONS(2285),
    [anon_sym___inline__] = ACTIONS(2285),
    [anon_sym___forceinline] = ACTIONS(2285),
    [anon_sym_thread_local] = ACTIONS(2285),
    [anon_sym___thread] = ACTIONS(2285),
    [anon_sym_const] = ACTIONS(2285),
    [anon_sym_constexpr] = ACTIONS(2285),
    [anon_sym_volatile] = ACTIONS(2285),
    [anon_sym_restrict] = ACTIONS(2285),
    [anon_sym___restrict__] = ACTIONS(2285),
    [anon_sym__Atomic] = ACTIONS(2285),
    [anon_sym__Noreturn] = ACTIONS(2285),
    [anon_sym_noreturn] = ACTIONS(2285),
    [anon_sym_mutable] = ACTIONS(2285),
    [anon_sym_constinit] = ACTIONS(2285),
    [anon_sym_consteval] = ACTIONS(2285),
    [sym_primitive_type] = ACTIONS(2285),
    [anon_sym_enum] = ACTIONS(2285),
    [anon_sym_class] = ACTIONS(2285),
    [anon_sym_struct] = ACTIONS(2285),
    [anon_sym_union] = ACTIONS(2285),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2285),
    [anon_sym_decltype] = ACTIONS(2285),
    [anon_sym_virtual] = ACTIONS(2285),
    [anon_sym_alignas] = ACTIONS(2285),
    [anon_sym_explicit] = ACTIONS(2285),
    [anon_sym_typename] = ACTIONS(2285),
    [anon_sym_template] = ACTIONS(2285),
    [anon_sym_operator] = ACTIONS(2285),
    [anon_sym_friend] = ACTIONS(2285),
    [anon_sym_public] = ACTIONS(2285),
    [anon_sym_private] = ACTIONS(2285),
    [anon_sym_protected] = ACTIONS(2285),
    [anon_sym_using] = ACTIONS(2285),
    [anon_sym_static_assert] = ACTIONS(2285),
    [anon_sym_catch] = ACTIONS(5602),
    [anon_sym_precise] = ACTIONS(2285),
    [anon_sym_shared] = ACTIONS(2285),
    [anon_sym_groupshared] = ACTIONS(2285),
    [anon_sym_uniform] = ACTIONS(2285),
    [anon_sym_row_major] = ACTIONS(2285),
    [anon_sym_column_major] = ACTIONS(2285),
    [anon_sym_globallycoherent] = ACTIONS(2285),
    [anon_sym_centroid] = ACTIONS(2285),
    [anon_sym_noperspective] = ACTIONS(2285),
    [anon_sym_nointerpolation] = ACTIONS(2285),
    [anon_sym_sample] = ACTIONS(2285),
    [anon_sym_linear] = ACTIONS(2285),
    [anon_sym_snorm] = ACTIONS(2285),
    [anon_sym_unorm] = ACTIONS(2285),
    [anon_sym_point] = ACTIONS(2285),
    [anon_sym_line] = ACTIONS(2285),
    [anon_sym_triangleadj] = ACTIONS(2285),
    [anon_sym_lineadj] = ACTIONS(2285),
    [anon_sym_triangle] = ACTIONS(2285),
  },
  [2533] = {
    [sym_identifier] = ACTIONS(2206),
    [aux_sym_preproc_def_token1] = ACTIONS(2206),
    [aux_sym_preproc_if_token1] = ACTIONS(2206),
    [aux_sym_preproc_if_token2] = ACTIONS(2206),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2206),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2206),
    [aux_sym_preproc_else_token1] = ACTIONS(2206),
    [aux_sym_preproc_elif_token1] = ACTIONS(2206),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2206),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2206),
    [sym_preproc_directive] = ACTIONS(2206),
    [anon_sym_LPAREN2] = ACTIONS(2204),
    [anon_sym_TILDE] = ACTIONS(2204),
    [anon_sym_STAR] = ACTIONS(2204),
    [anon_sym_AMP_AMP] = ACTIONS(2204),
    [anon_sym_AMP] = ACTIONS(2206),
    [anon_sym___extension__] = ACTIONS(2206),
    [anon_sym_typedef] = ACTIONS(2206),
    [anon_sym_in] = ACTIONS(2206),
    [anon_sym_out] = ACTIONS(2206),
    [anon_sym_inout] = ACTIONS(2206),
    [anon_sym_extern] = ACTIONS(2206),
    [anon_sym___attribute__] = ACTIONS(2206),
    [anon_sym_COLON_COLON] = ACTIONS(2204),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2204),
    [anon_sym___declspec] = ACTIONS(2206),
    [anon_sym___based] = ACTIONS(2206),
    [anon_sym_signed] = ACTIONS(2206),
    [anon_sym_unsigned] = ACTIONS(2206),
    [anon_sym_long] = ACTIONS(2206),
    [anon_sym_short] = ACTIONS(2206),
    [anon_sym_LBRACK] = ACTIONS(2206),
    [anon_sym_static] = ACTIONS(2206),
    [anon_sym_register] = ACTIONS(2206),
    [anon_sym_inline] = ACTIONS(2206),
    [anon_sym___inline] = ACTIONS(2206),
    [anon_sym___inline__] = ACTIONS(2206),
    [anon_sym___forceinline] = ACTIONS(2206),
    [anon_sym_thread_local] = ACTIONS(2206),
    [anon_sym___thread] = ACTIONS(2206),
    [anon_sym_const] = ACTIONS(2206),
    [anon_sym_constexpr] = ACTIONS(2206),
    [anon_sym_volatile] = ACTIONS(2206),
    [anon_sym_restrict] = ACTIONS(2206),
    [anon_sym___restrict__] = ACTIONS(2206),
    [anon_sym__Atomic] = ACTIONS(2206),
    [anon_sym__Noreturn] = ACTIONS(2206),
    [anon_sym_noreturn] = ACTIONS(2206),
    [anon_sym_mutable] = ACTIONS(2206),
    [anon_sym_constinit] = ACTIONS(2206),
    [anon_sym_consteval] = ACTIONS(2206),
    [sym_primitive_type] = ACTIONS(2206),
    [anon_sym_enum] = ACTIONS(2206),
    [anon_sym_class] = ACTIONS(2206),
    [anon_sym_struct] = ACTIONS(2206),
    [anon_sym_union] = ACTIONS(2206),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2206),
    [anon_sym_decltype] = ACTIONS(2206),
    [anon_sym_virtual] = ACTIONS(2206),
    [anon_sym_alignas] = ACTIONS(2206),
    [anon_sym_explicit] = ACTIONS(2206),
    [anon_sym_typename] = ACTIONS(2206),
    [anon_sym_template] = ACTIONS(2206),
    [anon_sym_operator] = ACTIONS(2206),
    [anon_sym_friend] = ACTIONS(2206),
    [anon_sym_public] = ACTIONS(2206),
    [anon_sym_private] = ACTIONS(2206),
    [anon_sym_protected] = ACTIONS(2206),
    [anon_sym_using] = ACTIONS(2206),
    [anon_sym_static_assert] = ACTIONS(2206),
    [anon_sym_catch] = ACTIONS(2206),
    [anon_sym_precise] = ACTIONS(2206),
    [anon_sym_shared] = ACTIONS(2206),
    [anon_sym_groupshared] = ACTIONS(2206),
    [anon_sym_uniform] = ACTIONS(2206),
    [anon_sym_row_major] = ACTIONS(2206),
    [anon_sym_column_major] = ACTIONS(2206),
    [anon_sym_globallycoherent] = ACTIONS(2206),
    [anon_sym_centroid] = ACTIONS(2206),
    [anon_sym_noperspective] = ACTIONS(2206),
    [anon_sym_nointerpolation] = ACTIONS(2206),
    [anon_sym_sample] = ACTIONS(2206),
    [anon_sym_linear] = ACTIONS(2206),
    [anon_sym_snorm] = ACTIONS(2206),
    [anon_sym_unorm] = ACTIONS(2206),
    [anon_sym_point] = ACTIONS(2206),
    [anon_sym_line] = ACTIONS(2206),
    [anon_sym_triangleadj] = ACTIONS(2206),
    [anon_sym_lineadj] = ACTIONS(2206),
    [anon_sym_triangle] = ACTIONS(2206),
  },
  [2534] = {
    [sym_identifier] = ACTIONS(2238),
    [aux_sym_preproc_def_token1] = ACTIONS(2238),
    [aux_sym_preproc_if_token1] = ACTIONS(2238),
    [aux_sym_preproc_if_token2] = ACTIONS(2238),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2238),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2238),
    [aux_sym_preproc_else_token1] = ACTIONS(2238),
    [aux_sym_preproc_elif_token1] = ACTIONS(2238),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2238),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2238),
    [sym_preproc_directive] = ACTIONS(2238),
    [anon_sym_LPAREN2] = ACTIONS(2236),
    [anon_sym_TILDE] = ACTIONS(2236),
    [anon_sym_STAR] = ACTIONS(2236),
    [anon_sym_AMP_AMP] = ACTIONS(2236),
    [anon_sym_AMP] = ACTIONS(2238),
    [anon_sym___extension__] = ACTIONS(2238),
    [anon_sym_typedef] = ACTIONS(2238),
    [anon_sym_in] = ACTIONS(2238),
    [anon_sym_out] = ACTIONS(2238),
    [anon_sym_inout] = ACTIONS(2238),
    [anon_sym_extern] = ACTIONS(2238),
    [anon_sym___attribute__] = ACTIONS(2238),
    [anon_sym_COLON_COLON] = ACTIONS(2236),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2236),
    [anon_sym___declspec] = ACTIONS(2238),
    [anon_sym___based] = ACTIONS(2238),
    [anon_sym_signed] = ACTIONS(2238),
    [anon_sym_unsigned] = ACTIONS(2238),
    [anon_sym_long] = ACTIONS(2238),
    [anon_sym_short] = ACTIONS(2238),
    [anon_sym_LBRACK] = ACTIONS(2238),
    [anon_sym_static] = ACTIONS(2238),
    [anon_sym_register] = ACTIONS(2238),
    [anon_sym_inline] = ACTIONS(2238),
    [anon_sym___inline] = ACTIONS(2238),
    [anon_sym___inline__] = ACTIONS(2238),
    [anon_sym___forceinline] = ACTIONS(2238),
    [anon_sym_thread_local] = ACTIONS(2238),
    [anon_sym___thread] = ACTIONS(2238),
    [anon_sym_const] = ACTIONS(2238),
    [anon_sym_constexpr] = ACTIONS(2238),
    [anon_sym_volatile] = ACTIONS(2238),
    [anon_sym_restrict] = ACTIONS(2238),
    [anon_sym___restrict__] = ACTIONS(2238),
    [anon_sym__Atomic] = ACTIONS(2238),
    [anon_sym__Noreturn] = ACTIONS(2238),
    [anon_sym_noreturn] = ACTIONS(2238),
    [anon_sym_mutable] = ACTIONS(2238),
    [anon_sym_constinit] = ACTIONS(2238),
    [anon_sym_consteval] = ACTIONS(2238),
    [sym_primitive_type] = ACTIONS(2238),
    [anon_sym_enum] = ACTIONS(2238),
    [anon_sym_class] = ACTIONS(2238),
    [anon_sym_struct] = ACTIONS(2238),
    [anon_sym_union] = ACTIONS(2238),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2238),
    [anon_sym_decltype] = ACTIONS(2238),
    [anon_sym_virtual] = ACTIONS(2238),
    [anon_sym_alignas] = ACTIONS(2238),
    [anon_sym_explicit] = ACTIONS(2238),
    [anon_sym_typename] = ACTIONS(2238),
    [anon_sym_template] = ACTIONS(2238),
    [anon_sym_operator] = ACTIONS(2238),
    [anon_sym_friend] = ACTIONS(2238),
    [anon_sym_public] = ACTIONS(2238),
    [anon_sym_private] = ACTIONS(2238),
    [anon_sym_protected] = ACTIONS(2238),
    [anon_sym_using] = ACTIONS(2238),
    [anon_sym_static_assert] = ACTIONS(2238),
    [anon_sym_catch] = ACTIONS(2238),
    [anon_sym_precise] = ACTIONS(2238),
    [anon_sym_shared] = ACTIONS(2238),
    [anon_sym_groupshared] = ACTIONS(2238),
    [anon_sym_uniform] = ACTIONS(2238),
    [anon_sym_row_major] = ACTIONS(2238),
    [anon_sym_column_major] = ACTIONS(2238),
    [anon_sym_globallycoherent] = ACTIONS(2238),
    [anon_sym_centroid] = ACTIONS(2238),
    [anon_sym_noperspective] = ACTIONS(2238),
    [anon_sym_nointerpolation] = ACTIONS(2238),
    [anon_sym_sample] = ACTIONS(2238),
    [anon_sym_linear] = ACTIONS(2238),
    [anon_sym_snorm] = ACTIONS(2238),
    [anon_sym_unorm] = ACTIONS(2238),
    [anon_sym_point] = ACTIONS(2238),
    [anon_sym_line] = ACTIONS(2238),
    [anon_sym_triangleadj] = ACTIONS(2238),
    [anon_sym_lineadj] = ACTIONS(2238),
    [anon_sym_triangle] = ACTIONS(2238),
  },
  [2535] = {
    [sym_identifier] = ACTIONS(5607),
    [aux_sym_preproc_def_token1] = ACTIONS(5607),
    [aux_sym_preproc_if_token1] = ACTIONS(5607),
    [aux_sym_preproc_if_token2] = ACTIONS(5607),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5607),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5607),
    [aux_sym_preproc_else_token1] = ACTIONS(5607),
    [aux_sym_preproc_elif_token1] = ACTIONS(5607),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5607),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5607),
    [sym_preproc_directive] = ACTIONS(5607),
    [anon_sym_LPAREN2] = ACTIONS(5609),
    [anon_sym_TILDE] = ACTIONS(5609),
    [anon_sym_STAR] = ACTIONS(5609),
    [anon_sym_AMP_AMP] = ACTIONS(5609),
    [anon_sym_AMP] = ACTIONS(5607),
    [anon_sym___extension__] = ACTIONS(5607),
    [anon_sym_typedef] = ACTIONS(5607),
    [anon_sym_in] = ACTIONS(5607),
    [anon_sym_out] = ACTIONS(5607),
    [anon_sym_inout] = ACTIONS(5607),
    [anon_sym_extern] = ACTIONS(5607),
    [anon_sym___attribute__] = ACTIONS(5607),
    [anon_sym_COLON_COLON] = ACTIONS(5609),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5609),
    [anon_sym___declspec] = ACTIONS(5607),
    [anon_sym___based] = ACTIONS(5607),
    [anon_sym_signed] = ACTIONS(5607),
    [anon_sym_unsigned] = ACTIONS(5607),
    [anon_sym_long] = ACTIONS(5607),
    [anon_sym_short] = ACTIONS(5607),
    [anon_sym_LBRACK] = ACTIONS(5607),
    [anon_sym_static] = ACTIONS(5607),
    [anon_sym_register] = ACTIONS(5607),
    [anon_sym_inline] = ACTIONS(5607),
    [anon_sym___inline] = ACTIONS(5607),
    [anon_sym___inline__] = ACTIONS(5607),
    [anon_sym___forceinline] = ACTIONS(5607),
    [anon_sym_thread_local] = ACTIONS(5607),
    [anon_sym___thread] = ACTIONS(5607),
    [anon_sym_const] = ACTIONS(5607),
    [anon_sym_constexpr] = ACTIONS(5607),
    [anon_sym_volatile] = ACTIONS(5607),
    [anon_sym_restrict] = ACTIONS(5607),
    [anon_sym___restrict__] = ACTIONS(5607),
    [anon_sym__Atomic] = ACTIONS(5607),
    [anon_sym__Noreturn] = ACTIONS(5607),
    [anon_sym_noreturn] = ACTIONS(5607),
    [anon_sym_mutable] = ACTIONS(5607),
    [anon_sym_constinit] = ACTIONS(5607),
    [anon_sym_consteval] = ACTIONS(5607),
    [sym_primitive_type] = ACTIONS(5607),
    [anon_sym_enum] = ACTIONS(5607),
    [anon_sym_class] = ACTIONS(5607),
    [anon_sym_struct] = ACTIONS(5607),
    [anon_sym_union] = ACTIONS(5607),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5607),
    [anon_sym_decltype] = ACTIONS(5607),
    [anon_sym_virtual] = ACTIONS(5607),
    [anon_sym_alignas] = ACTIONS(5607),
    [anon_sym_explicit] = ACTIONS(5607),
    [anon_sym_typename] = ACTIONS(5607),
    [anon_sym_template] = ACTIONS(5607),
    [anon_sym_operator] = ACTIONS(5607),
    [anon_sym_friend] = ACTIONS(5607),
    [anon_sym_public] = ACTIONS(5607),
    [anon_sym_private] = ACTIONS(5607),
    [anon_sym_protected] = ACTIONS(5607),
    [anon_sym_using] = ACTIONS(5607),
    [anon_sym_static_assert] = ACTIONS(5607),
    [anon_sym_precise] = ACTIONS(5607),
    [anon_sym_shared] = ACTIONS(5607),
    [anon_sym_groupshared] = ACTIONS(5607),
    [anon_sym_uniform] = ACTIONS(5607),
    [anon_sym_row_major] = ACTIONS(5607),
    [anon_sym_column_major] = ACTIONS(5607),
    [anon_sym_globallycoherent] = ACTIONS(5607),
    [anon_sym_centroid] = ACTIONS(5607),
    [anon_sym_noperspective] = ACTIONS(5607),
    [anon_sym_nointerpolation] = ACTIONS(5607),
    [anon_sym_sample] = ACTIONS(5607),
    [anon_sym_linear] = ACTIONS(5607),
    [anon_sym_snorm] = ACTIONS(5607),
    [anon_sym_unorm] = ACTIONS(5607),
    [anon_sym_point] = ACTIONS(5607),
    [anon_sym_line] = ACTIONS(5607),
    [anon_sym_triangleadj] = ACTIONS(5607),
    [anon_sym_lineadj] = ACTIONS(5607),
    [anon_sym_triangle] = ACTIONS(5607),
  },
  [2536] = {
    [sym_identifier] = ACTIONS(2354),
    [aux_sym_preproc_def_token1] = ACTIONS(2354),
    [aux_sym_preproc_if_token1] = ACTIONS(2354),
    [aux_sym_preproc_if_token2] = ACTIONS(2354),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2354),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2354),
    [aux_sym_preproc_else_token1] = ACTIONS(2354),
    [aux_sym_preproc_elif_token1] = ACTIONS(2354),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2354),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2354),
    [sym_preproc_directive] = ACTIONS(2354),
    [anon_sym_LPAREN2] = ACTIONS(2356),
    [anon_sym_TILDE] = ACTIONS(2356),
    [anon_sym_STAR] = ACTIONS(2356),
    [anon_sym_AMP_AMP] = ACTIONS(2356),
    [anon_sym_AMP] = ACTIONS(2354),
    [anon_sym___extension__] = ACTIONS(2354),
    [anon_sym_typedef] = ACTIONS(2354),
    [anon_sym_in] = ACTIONS(2354),
    [anon_sym_out] = ACTIONS(2354),
    [anon_sym_inout] = ACTIONS(2354),
    [anon_sym_extern] = ACTIONS(2354),
    [anon_sym___attribute__] = ACTIONS(2354),
    [anon_sym_COLON_COLON] = ACTIONS(2356),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2356),
    [anon_sym___declspec] = ACTIONS(2354),
    [anon_sym___based] = ACTIONS(2354),
    [anon_sym_signed] = ACTIONS(2354),
    [anon_sym_unsigned] = ACTIONS(2354),
    [anon_sym_long] = ACTIONS(2354),
    [anon_sym_short] = ACTIONS(2354),
    [anon_sym_LBRACK] = ACTIONS(2354),
    [anon_sym_static] = ACTIONS(2354),
    [anon_sym_register] = ACTIONS(2354),
    [anon_sym_inline] = ACTIONS(2354),
    [anon_sym___inline] = ACTIONS(2354),
    [anon_sym___inline__] = ACTIONS(2354),
    [anon_sym___forceinline] = ACTIONS(2354),
    [anon_sym_thread_local] = ACTIONS(2354),
    [anon_sym___thread] = ACTIONS(2354),
    [anon_sym_const] = ACTIONS(2354),
    [anon_sym_constexpr] = ACTIONS(2354),
    [anon_sym_volatile] = ACTIONS(2354),
    [anon_sym_restrict] = ACTIONS(2354),
    [anon_sym___restrict__] = ACTIONS(2354),
    [anon_sym__Atomic] = ACTIONS(2354),
    [anon_sym__Noreturn] = ACTIONS(2354),
    [anon_sym_noreturn] = ACTIONS(2354),
    [anon_sym_mutable] = ACTIONS(2354),
    [anon_sym_constinit] = ACTIONS(2354),
    [anon_sym_consteval] = ACTIONS(2354),
    [sym_primitive_type] = ACTIONS(2354),
    [anon_sym_enum] = ACTIONS(2354),
    [anon_sym_class] = ACTIONS(2354),
    [anon_sym_struct] = ACTIONS(2354),
    [anon_sym_union] = ACTIONS(2354),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2354),
    [anon_sym_decltype] = ACTIONS(2354),
    [anon_sym_virtual] = ACTIONS(2354),
    [anon_sym_alignas] = ACTIONS(2354),
    [anon_sym_explicit] = ACTIONS(2354),
    [anon_sym_typename] = ACTIONS(2354),
    [anon_sym_template] = ACTIONS(2354),
    [anon_sym_operator] = ACTIONS(2354),
    [anon_sym_friend] = ACTIONS(2354),
    [anon_sym_public] = ACTIONS(2354),
    [anon_sym_private] = ACTIONS(2354),
    [anon_sym_protected] = ACTIONS(2354),
    [anon_sym_using] = ACTIONS(2354),
    [anon_sym_static_assert] = ACTIONS(2354),
    [anon_sym_precise] = ACTIONS(2354),
    [anon_sym_shared] = ACTIONS(2354),
    [anon_sym_groupshared] = ACTIONS(2354),
    [anon_sym_uniform] = ACTIONS(2354),
    [anon_sym_row_major] = ACTIONS(2354),
    [anon_sym_column_major] = ACTIONS(2354),
    [anon_sym_globallycoherent] = ACTIONS(2354),
    [anon_sym_centroid] = ACTIONS(2354),
    [anon_sym_noperspective] = ACTIONS(2354),
    [anon_sym_nointerpolation] = ACTIONS(2354),
    [anon_sym_sample] = ACTIONS(2354),
    [anon_sym_linear] = ACTIONS(2354),
    [anon_sym_snorm] = ACTIONS(2354),
    [anon_sym_unorm] = ACTIONS(2354),
    [anon_sym_point] = ACTIONS(2354),
    [anon_sym_line] = ACTIONS(2354),
    [anon_sym_triangleadj] = ACTIONS(2354),
    [anon_sym_lineadj] = ACTIONS(2354),
    [anon_sym_triangle] = ACTIONS(2354),
  },
  [2537] = {
    [sym_identifier] = ACTIONS(2781),
    [aux_sym_preproc_def_token1] = ACTIONS(2781),
    [aux_sym_preproc_if_token1] = ACTIONS(2781),
    [aux_sym_preproc_if_token2] = ACTIONS(2781),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2781),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2781),
    [aux_sym_preproc_else_token1] = ACTIONS(2781),
    [aux_sym_preproc_elif_token1] = ACTIONS(2781),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2781),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2781),
    [sym_preproc_directive] = ACTIONS(2781),
    [anon_sym_LPAREN2] = ACTIONS(2783),
    [anon_sym_TILDE] = ACTIONS(2783),
    [anon_sym_STAR] = ACTIONS(2783),
    [anon_sym_AMP_AMP] = ACTIONS(2783),
    [anon_sym_AMP] = ACTIONS(2781),
    [anon_sym___extension__] = ACTIONS(2781),
    [anon_sym_typedef] = ACTIONS(2781),
    [anon_sym_in] = ACTIONS(2781),
    [anon_sym_out] = ACTIONS(2781),
    [anon_sym_inout] = ACTIONS(2781),
    [anon_sym_extern] = ACTIONS(2781),
    [anon_sym___attribute__] = ACTIONS(2781),
    [anon_sym_COLON_COLON] = ACTIONS(2783),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2783),
    [anon_sym___declspec] = ACTIONS(2781),
    [anon_sym___based] = ACTIONS(2781),
    [anon_sym_signed] = ACTIONS(2781),
    [anon_sym_unsigned] = ACTIONS(2781),
    [anon_sym_long] = ACTIONS(2781),
    [anon_sym_short] = ACTIONS(2781),
    [anon_sym_LBRACK] = ACTIONS(2781),
    [anon_sym_static] = ACTIONS(2781),
    [anon_sym_register] = ACTIONS(2781),
    [anon_sym_inline] = ACTIONS(2781),
    [anon_sym___inline] = ACTIONS(2781),
    [anon_sym___inline__] = ACTIONS(2781),
    [anon_sym___forceinline] = ACTIONS(2781),
    [anon_sym_thread_local] = ACTIONS(2781),
    [anon_sym___thread] = ACTIONS(2781),
    [anon_sym_const] = ACTIONS(2781),
    [anon_sym_constexpr] = ACTIONS(2781),
    [anon_sym_volatile] = ACTIONS(2781),
    [anon_sym_restrict] = ACTIONS(2781),
    [anon_sym___restrict__] = ACTIONS(2781),
    [anon_sym__Atomic] = ACTIONS(2781),
    [anon_sym__Noreturn] = ACTIONS(2781),
    [anon_sym_noreturn] = ACTIONS(2781),
    [anon_sym_mutable] = ACTIONS(2781),
    [anon_sym_constinit] = ACTIONS(2781),
    [anon_sym_consteval] = ACTIONS(2781),
    [sym_primitive_type] = ACTIONS(2781),
    [anon_sym_enum] = ACTIONS(2781),
    [anon_sym_class] = ACTIONS(2781),
    [anon_sym_struct] = ACTIONS(2781),
    [anon_sym_union] = ACTIONS(2781),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2781),
    [anon_sym_decltype] = ACTIONS(2781),
    [anon_sym_virtual] = ACTIONS(2781),
    [anon_sym_alignas] = ACTIONS(2781),
    [anon_sym_explicit] = ACTIONS(2781),
    [anon_sym_typename] = ACTIONS(2781),
    [anon_sym_template] = ACTIONS(2781),
    [anon_sym_operator] = ACTIONS(2781),
    [anon_sym_friend] = ACTIONS(2781),
    [anon_sym_public] = ACTIONS(2781),
    [anon_sym_private] = ACTIONS(2781),
    [anon_sym_protected] = ACTIONS(2781),
    [anon_sym_using] = ACTIONS(2781),
    [anon_sym_static_assert] = ACTIONS(2781),
    [anon_sym_precise] = ACTIONS(2781),
    [anon_sym_shared] = ACTIONS(2781),
    [anon_sym_groupshared] = ACTIONS(2781),
    [anon_sym_uniform] = ACTIONS(2781),
    [anon_sym_row_major] = ACTIONS(2781),
    [anon_sym_column_major] = ACTIONS(2781),
    [anon_sym_globallycoherent] = ACTIONS(2781),
    [anon_sym_centroid] = ACTIONS(2781),
    [anon_sym_noperspective] = ACTIONS(2781),
    [anon_sym_nointerpolation] = ACTIONS(2781),
    [anon_sym_sample] = ACTIONS(2781),
    [anon_sym_linear] = ACTIONS(2781),
    [anon_sym_snorm] = ACTIONS(2781),
    [anon_sym_unorm] = ACTIONS(2781),
    [anon_sym_point] = ACTIONS(2781),
    [anon_sym_line] = ACTIONS(2781),
    [anon_sym_triangleadj] = ACTIONS(2781),
    [anon_sym_lineadj] = ACTIONS(2781),
    [anon_sym_triangle] = ACTIONS(2781),
  },
  [2538] = {
    [sym_identifier] = ACTIONS(2785),
    [aux_sym_preproc_def_token1] = ACTIONS(2785),
    [aux_sym_preproc_if_token1] = ACTIONS(2785),
    [aux_sym_preproc_if_token2] = ACTIONS(2785),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2785),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2785),
    [aux_sym_preproc_else_token1] = ACTIONS(2785),
    [aux_sym_preproc_elif_token1] = ACTIONS(2785),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2785),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2785),
    [sym_preproc_directive] = ACTIONS(2785),
    [anon_sym_LPAREN2] = ACTIONS(2787),
    [anon_sym_TILDE] = ACTIONS(2787),
    [anon_sym_STAR] = ACTIONS(2787),
    [anon_sym_AMP_AMP] = ACTIONS(2787),
    [anon_sym_AMP] = ACTIONS(2785),
    [anon_sym___extension__] = ACTIONS(2785),
    [anon_sym_typedef] = ACTIONS(2785),
    [anon_sym_in] = ACTIONS(2785),
    [anon_sym_out] = ACTIONS(2785),
    [anon_sym_inout] = ACTIONS(2785),
    [anon_sym_extern] = ACTIONS(2785),
    [anon_sym___attribute__] = ACTIONS(2785),
    [anon_sym_COLON_COLON] = ACTIONS(2787),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2787),
    [anon_sym___declspec] = ACTIONS(2785),
    [anon_sym___based] = ACTIONS(2785),
    [anon_sym_signed] = ACTIONS(2785),
    [anon_sym_unsigned] = ACTIONS(2785),
    [anon_sym_long] = ACTIONS(2785),
    [anon_sym_short] = ACTIONS(2785),
    [anon_sym_LBRACK] = ACTIONS(2785),
    [anon_sym_static] = ACTIONS(2785),
    [anon_sym_register] = ACTIONS(2785),
    [anon_sym_inline] = ACTIONS(2785),
    [anon_sym___inline] = ACTIONS(2785),
    [anon_sym___inline__] = ACTIONS(2785),
    [anon_sym___forceinline] = ACTIONS(2785),
    [anon_sym_thread_local] = ACTIONS(2785),
    [anon_sym___thread] = ACTIONS(2785),
    [anon_sym_const] = ACTIONS(2785),
    [anon_sym_constexpr] = ACTIONS(2785),
    [anon_sym_volatile] = ACTIONS(2785),
    [anon_sym_restrict] = ACTIONS(2785),
    [anon_sym___restrict__] = ACTIONS(2785),
    [anon_sym__Atomic] = ACTIONS(2785),
    [anon_sym__Noreturn] = ACTIONS(2785),
    [anon_sym_noreturn] = ACTIONS(2785),
    [anon_sym_mutable] = ACTIONS(2785),
    [anon_sym_constinit] = ACTIONS(2785),
    [anon_sym_consteval] = ACTIONS(2785),
    [sym_primitive_type] = ACTIONS(2785),
    [anon_sym_enum] = ACTIONS(2785),
    [anon_sym_class] = ACTIONS(2785),
    [anon_sym_struct] = ACTIONS(2785),
    [anon_sym_union] = ACTIONS(2785),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2785),
    [anon_sym_decltype] = ACTIONS(2785),
    [anon_sym_virtual] = ACTIONS(2785),
    [anon_sym_alignas] = ACTIONS(2785),
    [anon_sym_explicit] = ACTIONS(2785),
    [anon_sym_typename] = ACTIONS(2785),
    [anon_sym_template] = ACTIONS(2785),
    [anon_sym_operator] = ACTIONS(2785),
    [anon_sym_friend] = ACTIONS(2785),
    [anon_sym_public] = ACTIONS(2785),
    [anon_sym_private] = ACTIONS(2785),
    [anon_sym_protected] = ACTIONS(2785),
    [anon_sym_using] = ACTIONS(2785),
    [anon_sym_static_assert] = ACTIONS(2785),
    [anon_sym_precise] = ACTIONS(2785),
    [anon_sym_shared] = ACTIONS(2785),
    [anon_sym_groupshared] = ACTIONS(2785),
    [anon_sym_uniform] = ACTIONS(2785),
    [anon_sym_row_major] = ACTIONS(2785),
    [anon_sym_column_major] = ACTIONS(2785),
    [anon_sym_globallycoherent] = ACTIONS(2785),
    [anon_sym_centroid] = ACTIONS(2785),
    [anon_sym_noperspective] = ACTIONS(2785),
    [anon_sym_nointerpolation] = ACTIONS(2785),
    [anon_sym_sample] = ACTIONS(2785),
    [anon_sym_linear] = ACTIONS(2785),
    [anon_sym_snorm] = ACTIONS(2785),
    [anon_sym_unorm] = ACTIONS(2785),
    [anon_sym_point] = ACTIONS(2785),
    [anon_sym_line] = ACTIONS(2785),
    [anon_sym_triangleadj] = ACTIONS(2785),
    [anon_sym_lineadj] = ACTIONS(2785),
    [anon_sym_triangle] = ACTIONS(2785),
  },
  [2539] = {
    [sym_identifier] = ACTIONS(2789),
    [aux_sym_preproc_def_token1] = ACTIONS(2789),
    [aux_sym_preproc_if_token1] = ACTIONS(2789),
    [aux_sym_preproc_if_token2] = ACTIONS(2789),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2789),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2789),
    [aux_sym_preproc_else_token1] = ACTIONS(2789),
    [aux_sym_preproc_elif_token1] = ACTIONS(2789),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2789),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2789),
    [sym_preproc_directive] = ACTIONS(2789),
    [anon_sym_LPAREN2] = ACTIONS(2791),
    [anon_sym_TILDE] = ACTIONS(2791),
    [anon_sym_STAR] = ACTIONS(2791),
    [anon_sym_AMP_AMP] = ACTIONS(2791),
    [anon_sym_AMP] = ACTIONS(2789),
    [anon_sym___extension__] = ACTIONS(2789),
    [anon_sym_typedef] = ACTIONS(2789),
    [anon_sym_in] = ACTIONS(2789),
    [anon_sym_out] = ACTIONS(2789),
    [anon_sym_inout] = ACTIONS(2789),
    [anon_sym_extern] = ACTIONS(2789),
    [anon_sym___attribute__] = ACTIONS(2789),
    [anon_sym_COLON_COLON] = ACTIONS(2791),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2791),
    [anon_sym___declspec] = ACTIONS(2789),
    [anon_sym___based] = ACTIONS(2789),
    [anon_sym_signed] = ACTIONS(2789),
    [anon_sym_unsigned] = ACTIONS(2789),
    [anon_sym_long] = ACTIONS(2789),
    [anon_sym_short] = ACTIONS(2789),
    [anon_sym_LBRACK] = ACTIONS(2789),
    [anon_sym_static] = ACTIONS(2789),
    [anon_sym_register] = ACTIONS(2789),
    [anon_sym_inline] = ACTIONS(2789),
    [anon_sym___inline] = ACTIONS(2789),
    [anon_sym___inline__] = ACTIONS(2789),
    [anon_sym___forceinline] = ACTIONS(2789),
    [anon_sym_thread_local] = ACTIONS(2789),
    [anon_sym___thread] = ACTIONS(2789),
    [anon_sym_const] = ACTIONS(2789),
    [anon_sym_constexpr] = ACTIONS(2789),
    [anon_sym_volatile] = ACTIONS(2789),
    [anon_sym_restrict] = ACTIONS(2789),
    [anon_sym___restrict__] = ACTIONS(2789),
    [anon_sym__Atomic] = ACTIONS(2789),
    [anon_sym__Noreturn] = ACTIONS(2789),
    [anon_sym_noreturn] = ACTIONS(2789),
    [anon_sym_mutable] = ACTIONS(2789),
    [anon_sym_constinit] = ACTIONS(2789),
    [anon_sym_consteval] = ACTIONS(2789),
    [sym_primitive_type] = ACTIONS(2789),
    [anon_sym_enum] = ACTIONS(2789),
    [anon_sym_class] = ACTIONS(2789),
    [anon_sym_struct] = ACTIONS(2789),
    [anon_sym_union] = ACTIONS(2789),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2789),
    [anon_sym_decltype] = ACTIONS(2789),
    [anon_sym_virtual] = ACTIONS(2789),
    [anon_sym_alignas] = ACTIONS(2789),
    [anon_sym_explicit] = ACTIONS(2789),
    [anon_sym_typename] = ACTIONS(2789),
    [anon_sym_template] = ACTIONS(2789),
    [anon_sym_operator] = ACTIONS(2789),
    [anon_sym_friend] = ACTIONS(2789),
    [anon_sym_public] = ACTIONS(2789),
    [anon_sym_private] = ACTIONS(2789),
    [anon_sym_protected] = ACTIONS(2789),
    [anon_sym_using] = ACTIONS(2789),
    [anon_sym_static_assert] = ACTIONS(2789),
    [anon_sym_precise] = ACTIONS(2789),
    [anon_sym_shared] = ACTIONS(2789),
    [anon_sym_groupshared] = ACTIONS(2789),
    [anon_sym_uniform] = ACTIONS(2789),
    [anon_sym_row_major] = ACTIONS(2789),
    [anon_sym_column_major] = ACTIONS(2789),
    [anon_sym_globallycoherent] = ACTIONS(2789),
    [anon_sym_centroid] = ACTIONS(2789),
    [anon_sym_noperspective] = ACTIONS(2789),
    [anon_sym_nointerpolation] = ACTIONS(2789),
    [anon_sym_sample] = ACTIONS(2789),
    [anon_sym_linear] = ACTIONS(2789),
    [anon_sym_snorm] = ACTIONS(2789),
    [anon_sym_unorm] = ACTIONS(2789),
    [anon_sym_point] = ACTIONS(2789),
    [anon_sym_line] = ACTIONS(2789),
    [anon_sym_triangleadj] = ACTIONS(2789),
    [anon_sym_lineadj] = ACTIONS(2789),
    [anon_sym_triangle] = ACTIONS(2789),
  },
  [2540] = {
    [sym_identifier] = ACTIONS(2238),
    [aux_sym_preproc_def_token1] = ACTIONS(2238),
    [anon_sym_COMMA] = ACTIONS(2358),
    [aux_sym_preproc_if_token1] = ACTIONS(2238),
    [aux_sym_preproc_if_token2] = ACTIONS(2238),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2238),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2238),
    [aux_sym_preproc_else_token1] = ACTIONS(2238),
    [aux_sym_preproc_elif_token1] = ACTIONS(2238),
    [sym_preproc_directive] = ACTIONS(2238),
    [anon_sym_LPAREN2] = ACTIONS(2236),
    [anon_sym_TILDE] = ACTIONS(2236),
    [anon_sym_STAR] = ACTIONS(2236),
    [anon_sym_AMP_AMP] = ACTIONS(2236),
    [anon_sym_AMP] = ACTIONS(2238),
    [anon_sym_SEMI] = ACTIONS(2358),
    [anon_sym___extension__] = ACTIONS(2238),
    [anon_sym_typedef] = ACTIONS(2238),
    [anon_sym_in] = ACTIONS(2238),
    [anon_sym_out] = ACTIONS(2238),
    [anon_sym_inout] = ACTIONS(2238),
    [anon_sym_extern] = ACTIONS(2238),
    [anon_sym___attribute__] = ACTIONS(2238),
    [anon_sym_COLON_COLON] = ACTIONS(2236),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2236),
    [anon_sym___declspec] = ACTIONS(2238),
    [anon_sym___based] = ACTIONS(2238),
    [anon_sym_signed] = ACTIONS(2238),
    [anon_sym_unsigned] = ACTIONS(2238),
    [anon_sym_long] = ACTIONS(2238),
    [anon_sym_short] = ACTIONS(2238),
    [anon_sym_LBRACK] = ACTIONS(2238),
    [anon_sym_static] = ACTIONS(2238),
    [anon_sym_register] = ACTIONS(2238),
    [anon_sym_inline] = ACTIONS(2238),
    [anon_sym___inline] = ACTIONS(2238),
    [anon_sym___inline__] = ACTIONS(2238),
    [anon_sym___forceinline] = ACTIONS(2238),
    [anon_sym_thread_local] = ACTIONS(2238),
    [anon_sym___thread] = ACTIONS(2238),
    [anon_sym_const] = ACTIONS(2238),
    [anon_sym_constexpr] = ACTIONS(2238),
    [anon_sym_volatile] = ACTIONS(2238),
    [anon_sym_restrict] = ACTIONS(2238),
    [anon_sym___restrict__] = ACTIONS(2238),
    [anon_sym__Atomic] = ACTIONS(2238),
    [anon_sym__Noreturn] = ACTIONS(2238),
    [anon_sym_noreturn] = ACTIONS(2238),
    [anon_sym_mutable] = ACTIONS(2238),
    [anon_sym_constinit] = ACTIONS(2238),
    [anon_sym_consteval] = ACTIONS(2238),
    [sym_primitive_type] = ACTIONS(2238),
    [anon_sym_enum] = ACTIONS(2238),
    [anon_sym_class] = ACTIONS(2238),
    [anon_sym_struct] = ACTIONS(2238),
    [anon_sym_union] = ACTIONS(2238),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2238),
    [anon_sym_decltype] = ACTIONS(2238),
    [anon_sym_virtual] = ACTIONS(2238),
    [anon_sym_alignas] = ACTIONS(2238),
    [anon_sym_explicit] = ACTIONS(2238),
    [anon_sym_typename] = ACTIONS(2238),
    [anon_sym_template] = ACTIONS(2238),
    [anon_sym_operator] = ACTIONS(2238),
    [anon_sym_friend] = ACTIONS(2238),
    [anon_sym_public] = ACTIONS(2238),
    [anon_sym_private] = ACTIONS(2238),
    [anon_sym_protected] = ACTIONS(2238),
    [anon_sym_using] = ACTIONS(2238),
    [anon_sym_static_assert] = ACTIONS(2238),
    [anon_sym_precise] = ACTIONS(2238),
    [anon_sym_shared] = ACTIONS(2238),
    [anon_sym_groupshared] = ACTIONS(2238),
    [anon_sym_uniform] = ACTIONS(2238),
    [anon_sym_row_major] = ACTIONS(2238),
    [anon_sym_column_major] = ACTIONS(2238),
    [anon_sym_globallycoherent] = ACTIONS(2238),
    [anon_sym_centroid] = ACTIONS(2238),
    [anon_sym_noperspective] = ACTIONS(2238),
    [anon_sym_nointerpolation] = ACTIONS(2238),
    [anon_sym_sample] = ACTIONS(2238),
    [anon_sym_linear] = ACTIONS(2238),
    [anon_sym_snorm] = ACTIONS(2238),
    [anon_sym_unorm] = ACTIONS(2238),
    [anon_sym_point] = ACTIONS(2238),
    [anon_sym_line] = ACTIONS(2238),
    [anon_sym_triangleadj] = ACTIONS(2238),
    [anon_sym_lineadj] = ACTIONS(2238),
    [anon_sym_triangle] = ACTIONS(2238),
  },
  [2541] = {
    [sym_identifier] = ACTIONS(2751),
    [aux_sym_preproc_def_token1] = ACTIONS(2751),
    [aux_sym_preproc_if_token1] = ACTIONS(2751),
    [aux_sym_preproc_if_token2] = ACTIONS(2751),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2751),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2751),
    [aux_sym_preproc_else_token1] = ACTIONS(2751),
    [aux_sym_preproc_elif_token1] = ACTIONS(2751),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2751),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2751),
    [sym_preproc_directive] = ACTIONS(2751),
    [anon_sym_LPAREN2] = ACTIONS(2753),
    [anon_sym_TILDE] = ACTIONS(2753),
    [anon_sym_STAR] = ACTIONS(2753),
    [anon_sym_AMP_AMP] = ACTIONS(2753),
    [anon_sym_AMP] = ACTIONS(2751),
    [anon_sym___extension__] = ACTIONS(2751),
    [anon_sym_typedef] = ACTIONS(2751),
    [anon_sym_in] = ACTIONS(2751),
    [anon_sym_out] = ACTIONS(2751),
    [anon_sym_inout] = ACTIONS(2751),
    [anon_sym_extern] = ACTIONS(2751),
    [anon_sym___attribute__] = ACTIONS(2751),
    [anon_sym_COLON_COLON] = ACTIONS(2753),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2753),
    [anon_sym___declspec] = ACTIONS(2751),
    [anon_sym___based] = ACTIONS(2751),
    [anon_sym_signed] = ACTIONS(2751),
    [anon_sym_unsigned] = ACTIONS(2751),
    [anon_sym_long] = ACTIONS(2751),
    [anon_sym_short] = ACTIONS(2751),
    [anon_sym_LBRACK] = ACTIONS(2751),
    [anon_sym_static] = ACTIONS(2751),
    [anon_sym_register] = ACTIONS(2751),
    [anon_sym_inline] = ACTIONS(2751),
    [anon_sym___inline] = ACTIONS(2751),
    [anon_sym___inline__] = ACTIONS(2751),
    [anon_sym___forceinline] = ACTIONS(2751),
    [anon_sym_thread_local] = ACTIONS(2751),
    [anon_sym___thread] = ACTIONS(2751),
    [anon_sym_const] = ACTIONS(2751),
    [anon_sym_constexpr] = ACTIONS(2751),
    [anon_sym_volatile] = ACTIONS(2751),
    [anon_sym_restrict] = ACTIONS(2751),
    [anon_sym___restrict__] = ACTIONS(2751),
    [anon_sym__Atomic] = ACTIONS(2751),
    [anon_sym__Noreturn] = ACTIONS(2751),
    [anon_sym_noreturn] = ACTIONS(2751),
    [anon_sym_mutable] = ACTIONS(2751),
    [anon_sym_constinit] = ACTIONS(2751),
    [anon_sym_consteval] = ACTIONS(2751),
    [sym_primitive_type] = ACTIONS(2751),
    [anon_sym_enum] = ACTIONS(2751),
    [anon_sym_class] = ACTIONS(2751),
    [anon_sym_struct] = ACTIONS(2751),
    [anon_sym_union] = ACTIONS(2751),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2751),
    [anon_sym_decltype] = ACTIONS(2751),
    [anon_sym_virtual] = ACTIONS(2751),
    [anon_sym_alignas] = ACTIONS(2751),
    [anon_sym_explicit] = ACTIONS(2751),
    [anon_sym_typename] = ACTIONS(2751),
    [anon_sym_template] = ACTIONS(2751),
    [anon_sym_operator] = ACTIONS(2751),
    [anon_sym_friend] = ACTIONS(2751),
    [anon_sym_public] = ACTIONS(2751),
    [anon_sym_private] = ACTIONS(2751),
    [anon_sym_protected] = ACTIONS(2751),
    [anon_sym_using] = ACTIONS(2751),
    [anon_sym_static_assert] = ACTIONS(2751),
    [anon_sym_precise] = ACTIONS(2751),
    [anon_sym_shared] = ACTIONS(2751),
    [anon_sym_groupshared] = ACTIONS(2751),
    [anon_sym_uniform] = ACTIONS(2751),
    [anon_sym_row_major] = ACTIONS(2751),
    [anon_sym_column_major] = ACTIONS(2751),
    [anon_sym_globallycoherent] = ACTIONS(2751),
    [anon_sym_centroid] = ACTIONS(2751),
    [anon_sym_noperspective] = ACTIONS(2751),
    [anon_sym_nointerpolation] = ACTIONS(2751),
    [anon_sym_sample] = ACTIONS(2751),
    [anon_sym_linear] = ACTIONS(2751),
    [anon_sym_snorm] = ACTIONS(2751),
    [anon_sym_unorm] = ACTIONS(2751),
    [anon_sym_point] = ACTIONS(2751),
    [anon_sym_line] = ACTIONS(2751),
    [anon_sym_triangleadj] = ACTIONS(2751),
    [anon_sym_lineadj] = ACTIONS(2751),
    [anon_sym_triangle] = ACTIONS(2751),
  },
  [2542] = {
    [sym_identifier] = ACTIONS(2809),
    [aux_sym_preproc_def_token1] = ACTIONS(2809),
    [aux_sym_preproc_if_token1] = ACTIONS(2809),
    [aux_sym_preproc_if_token2] = ACTIONS(2809),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2809),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2809),
    [aux_sym_preproc_else_token1] = ACTIONS(2809),
    [aux_sym_preproc_elif_token1] = ACTIONS(2809),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2809),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2809),
    [sym_preproc_directive] = ACTIONS(2809),
    [anon_sym_LPAREN2] = ACTIONS(2811),
    [anon_sym_TILDE] = ACTIONS(2811),
    [anon_sym_STAR] = ACTIONS(2811),
    [anon_sym_AMP_AMP] = ACTIONS(2811),
    [anon_sym_AMP] = ACTIONS(2809),
    [anon_sym___extension__] = ACTIONS(2809),
    [anon_sym_typedef] = ACTIONS(2809),
    [anon_sym_in] = ACTIONS(2809),
    [anon_sym_out] = ACTIONS(2809),
    [anon_sym_inout] = ACTIONS(2809),
    [anon_sym_extern] = ACTIONS(2809),
    [anon_sym___attribute__] = ACTIONS(2809),
    [anon_sym_COLON_COLON] = ACTIONS(2811),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2811),
    [anon_sym___declspec] = ACTIONS(2809),
    [anon_sym___based] = ACTIONS(2809),
    [anon_sym_signed] = ACTIONS(2809),
    [anon_sym_unsigned] = ACTIONS(2809),
    [anon_sym_long] = ACTIONS(2809),
    [anon_sym_short] = ACTIONS(2809),
    [anon_sym_LBRACK] = ACTIONS(2809),
    [anon_sym_static] = ACTIONS(2809),
    [anon_sym_register] = ACTIONS(2809),
    [anon_sym_inline] = ACTIONS(2809),
    [anon_sym___inline] = ACTIONS(2809),
    [anon_sym___inline__] = ACTIONS(2809),
    [anon_sym___forceinline] = ACTIONS(2809),
    [anon_sym_thread_local] = ACTIONS(2809),
    [anon_sym___thread] = ACTIONS(2809),
    [anon_sym_const] = ACTIONS(2809),
    [anon_sym_constexpr] = ACTIONS(2809),
    [anon_sym_volatile] = ACTIONS(2809),
    [anon_sym_restrict] = ACTIONS(2809),
    [anon_sym___restrict__] = ACTIONS(2809),
    [anon_sym__Atomic] = ACTIONS(2809),
    [anon_sym__Noreturn] = ACTIONS(2809),
    [anon_sym_noreturn] = ACTIONS(2809),
    [anon_sym_mutable] = ACTIONS(2809),
    [anon_sym_constinit] = ACTIONS(2809),
    [anon_sym_consteval] = ACTIONS(2809),
    [sym_primitive_type] = ACTIONS(2809),
    [anon_sym_enum] = ACTIONS(2809),
    [anon_sym_class] = ACTIONS(2809),
    [anon_sym_struct] = ACTIONS(2809),
    [anon_sym_union] = ACTIONS(2809),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2809),
    [anon_sym_decltype] = ACTIONS(2809),
    [anon_sym_virtual] = ACTIONS(2809),
    [anon_sym_alignas] = ACTIONS(2809),
    [anon_sym_explicit] = ACTIONS(2809),
    [anon_sym_typename] = ACTIONS(2809),
    [anon_sym_template] = ACTIONS(2809),
    [anon_sym_operator] = ACTIONS(2809),
    [anon_sym_friend] = ACTIONS(2809),
    [anon_sym_public] = ACTIONS(2809),
    [anon_sym_private] = ACTIONS(2809),
    [anon_sym_protected] = ACTIONS(2809),
    [anon_sym_using] = ACTIONS(2809),
    [anon_sym_static_assert] = ACTIONS(2809),
    [anon_sym_precise] = ACTIONS(2809),
    [anon_sym_shared] = ACTIONS(2809),
    [anon_sym_groupshared] = ACTIONS(2809),
    [anon_sym_uniform] = ACTIONS(2809),
    [anon_sym_row_major] = ACTIONS(2809),
    [anon_sym_column_major] = ACTIONS(2809),
    [anon_sym_globallycoherent] = ACTIONS(2809),
    [anon_sym_centroid] = ACTIONS(2809),
    [anon_sym_noperspective] = ACTIONS(2809),
    [anon_sym_nointerpolation] = ACTIONS(2809),
    [anon_sym_sample] = ACTIONS(2809),
    [anon_sym_linear] = ACTIONS(2809),
    [anon_sym_snorm] = ACTIONS(2809),
    [anon_sym_unorm] = ACTIONS(2809),
    [anon_sym_point] = ACTIONS(2809),
    [anon_sym_line] = ACTIONS(2809),
    [anon_sym_triangleadj] = ACTIONS(2809),
    [anon_sym_lineadj] = ACTIONS(2809),
    [anon_sym_triangle] = ACTIONS(2809),
  },
  [2543] = {
    [sym_identifier] = ACTIONS(2813),
    [aux_sym_preproc_def_token1] = ACTIONS(2813),
    [aux_sym_preproc_if_token1] = ACTIONS(2813),
    [aux_sym_preproc_if_token2] = ACTIONS(2813),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2813),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2813),
    [aux_sym_preproc_else_token1] = ACTIONS(2813),
    [aux_sym_preproc_elif_token1] = ACTIONS(2813),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2813),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2813),
    [sym_preproc_directive] = ACTIONS(2813),
    [anon_sym_LPAREN2] = ACTIONS(2815),
    [anon_sym_TILDE] = ACTIONS(2815),
    [anon_sym_STAR] = ACTIONS(2815),
    [anon_sym_AMP_AMP] = ACTIONS(2815),
    [anon_sym_AMP] = ACTIONS(2813),
    [anon_sym___extension__] = ACTIONS(2813),
    [anon_sym_typedef] = ACTIONS(2813),
    [anon_sym_in] = ACTIONS(2813),
    [anon_sym_out] = ACTIONS(2813),
    [anon_sym_inout] = ACTIONS(2813),
    [anon_sym_extern] = ACTIONS(2813),
    [anon_sym___attribute__] = ACTIONS(2813),
    [anon_sym_COLON_COLON] = ACTIONS(2815),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2815),
    [anon_sym___declspec] = ACTIONS(2813),
    [anon_sym___based] = ACTIONS(2813),
    [anon_sym_signed] = ACTIONS(2813),
    [anon_sym_unsigned] = ACTIONS(2813),
    [anon_sym_long] = ACTIONS(2813),
    [anon_sym_short] = ACTIONS(2813),
    [anon_sym_LBRACK] = ACTIONS(2813),
    [anon_sym_static] = ACTIONS(2813),
    [anon_sym_register] = ACTIONS(2813),
    [anon_sym_inline] = ACTIONS(2813),
    [anon_sym___inline] = ACTIONS(2813),
    [anon_sym___inline__] = ACTIONS(2813),
    [anon_sym___forceinline] = ACTIONS(2813),
    [anon_sym_thread_local] = ACTIONS(2813),
    [anon_sym___thread] = ACTIONS(2813),
    [anon_sym_const] = ACTIONS(2813),
    [anon_sym_constexpr] = ACTIONS(2813),
    [anon_sym_volatile] = ACTIONS(2813),
    [anon_sym_restrict] = ACTIONS(2813),
    [anon_sym___restrict__] = ACTIONS(2813),
    [anon_sym__Atomic] = ACTIONS(2813),
    [anon_sym__Noreturn] = ACTIONS(2813),
    [anon_sym_noreturn] = ACTIONS(2813),
    [anon_sym_mutable] = ACTIONS(2813),
    [anon_sym_constinit] = ACTIONS(2813),
    [anon_sym_consteval] = ACTIONS(2813),
    [sym_primitive_type] = ACTIONS(2813),
    [anon_sym_enum] = ACTIONS(2813),
    [anon_sym_class] = ACTIONS(2813),
    [anon_sym_struct] = ACTIONS(2813),
    [anon_sym_union] = ACTIONS(2813),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2813),
    [anon_sym_decltype] = ACTIONS(2813),
    [anon_sym_virtual] = ACTIONS(2813),
    [anon_sym_alignas] = ACTIONS(2813),
    [anon_sym_explicit] = ACTIONS(2813),
    [anon_sym_typename] = ACTIONS(2813),
    [anon_sym_template] = ACTIONS(2813),
    [anon_sym_operator] = ACTIONS(2813),
    [anon_sym_friend] = ACTIONS(2813),
    [anon_sym_public] = ACTIONS(2813),
    [anon_sym_private] = ACTIONS(2813),
    [anon_sym_protected] = ACTIONS(2813),
    [anon_sym_using] = ACTIONS(2813),
    [anon_sym_static_assert] = ACTIONS(2813),
    [anon_sym_precise] = ACTIONS(2813),
    [anon_sym_shared] = ACTIONS(2813),
    [anon_sym_groupshared] = ACTIONS(2813),
    [anon_sym_uniform] = ACTIONS(2813),
    [anon_sym_row_major] = ACTIONS(2813),
    [anon_sym_column_major] = ACTIONS(2813),
    [anon_sym_globallycoherent] = ACTIONS(2813),
    [anon_sym_centroid] = ACTIONS(2813),
    [anon_sym_noperspective] = ACTIONS(2813),
    [anon_sym_nointerpolation] = ACTIONS(2813),
    [anon_sym_sample] = ACTIONS(2813),
    [anon_sym_linear] = ACTIONS(2813),
    [anon_sym_snorm] = ACTIONS(2813),
    [anon_sym_unorm] = ACTIONS(2813),
    [anon_sym_point] = ACTIONS(2813),
    [anon_sym_line] = ACTIONS(2813),
    [anon_sym_triangleadj] = ACTIONS(2813),
    [anon_sym_lineadj] = ACTIONS(2813),
    [anon_sym_triangle] = ACTIONS(2813),
  },
  [2544] = {
    [sym_identifier] = ACTIONS(5611),
    [aux_sym_preproc_def_token1] = ACTIONS(5611),
    [aux_sym_preproc_if_token1] = ACTIONS(5611),
    [aux_sym_preproc_if_token2] = ACTIONS(5611),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5611),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5611),
    [aux_sym_preproc_else_token1] = ACTIONS(5611),
    [aux_sym_preproc_elif_token1] = ACTIONS(5611),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5611),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5611),
    [sym_preproc_directive] = ACTIONS(5611),
    [anon_sym_LPAREN2] = ACTIONS(5613),
    [anon_sym_TILDE] = ACTIONS(5613),
    [anon_sym_STAR] = ACTIONS(5613),
    [anon_sym_AMP_AMP] = ACTIONS(5613),
    [anon_sym_AMP] = ACTIONS(5611),
    [anon_sym___extension__] = ACTIONS(5611),
    [anon_sym_typedef] = ACTIONS(5611),
    [anon_sym_in] = ACTIONS(5611),
    [anon_sym_out] = ACTIONS(5611),
    [anon_sym_inout] = ACTIONS(5611),
    [anon_sym_extern] = ACTIONS(5611),
    [anon_sym___attribute__] = ACTIONS(5611),
    [anon_sym_COLON_COLON] = ACTIONS(5613),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5613),
    [anon_sym___declspec] = ACTIONS(5611),
    [anon_sym___based] = ACTIONS(5611),
    [anon_sym_signed] = ACTIONS(5611),
    [anon_sym_unsigned] = ACTIONS(5611),
    [anon_sym_long] = ACTIONS(5611),
    [anon_sym_short] = ACTIONS(5611),
    [anon_sym_LBRACK] = ACTIONS(5611),
    [anon_sym_static] = ACTIONS(5611),
    [anon_sym_register] = ACTIONS(5611),
    [anon_sym_inline] = ACTIONS(5611),
    [anon_sym___inline] = ACTIONS(5611),
    [anon_sym___inline__] = ACTIONS(5611),
    [anon_sym___forceinline] = ACTIONS(5611),
    [anon_sym_thread_local] = ACTIONS(5611),
    [anon_sym___thread] = ACTIONS(5611),
    [anon_sym_const] = ACTIONS(5611),
    [anon_sym_constexpr] = ACTIONS(5611),
    [anon_sym_volatile] = ACTIONS(5611),
    [anon_sym_restrict] = ACTIONS(5611),
    [anon_sym___restrict__] = ACTIONS(5611),
    [anon_sym__Atomic] = ACTIONS(5611),
    [anon_sym__Noreturn] = ACTIONS(5611),
    [anon_sym_noreturn] = ACTIONS(5611),
    [anon_sym_mutable] = ACTIONS(5611),
    [anon_sym_constinit] = ACTIONS(5611),
    [anon_sym_consteval] = ACTIONS(5611),
    [sym_primitive_type] = ACTIONS(5611),
    [anon_sym_enum] = ACTIONS(5611),
    [anon_sym_class] = ACTIONS(5611),
    [anon_sym_struct] = ACTIONS(5611),
    [anon_sym_union] = ACTIONS(5611),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5611),
    [anon_sym_decltype] = ACTIONS(5611),
    [anon_sym_virtual] = ACTIONS(5611),
    [anon_sym_alignas] = ACTIONS(5611),
    [anon_sym_explicit] = ACTIONS(5611),
    [anon_sym_typename] = ACTIONS(5611),
    [anon_sym_template] = ACTIONS(5611),
    [anon_sym_operator] = ACTIONS(5611),
    [anon_sym_friend] = ACTIONS(5611),
    [anon_sym_public] = ACTIONS(5611),
    [anon_sym_private] = ACTIONS(5611),
    [anon_sym_protected] = ACTIONS(5611),
    [anon_sym_using] = ACTIONS(5611),
    [anon_sym_static_assert] = ACTIONS(5611),
    [anon_sym_precise] = ACTIONS(5611),
    [anon_sym_shared] = ACTIONS(5611),
    [anon_sym_groupshared] = ACTIONS(5611),
    [anon_sym_uniform] = ACTIONS(5611),
    [anon_sym_row_major] = ACTIONS(5611),
    [anon_sym_column_major] = ACTIONS(5611),
    [anon_sym_globallycoherent] = ACTIONS(5611),
    [anon_sym_centroid] = ACTIONS(5611),
    [anon_sym_noperspective] = ACTIONS(5611),
    [anon_sym_nointerpolation] = ACTIONS(5611),
    [anon_sym_sample] = ACTIONS(5611),
    [anon_sym_linear] = ACTIONS(5611),
    [anon_sym_snorm] = ACTIONS(5611),
    [anon_sym_unorm] = ACTIONS(5611),
    [anon_sym_point] = ACTIONS(5611),
    [anon_sym_line] = ACTIONS(5611),
    [anon_sym_triangleadj] = ACTIONS(5611),
    [anon_sym_lineadj] = ACTIONS(5611),
    [anon_sym_triangle] = ACTIONS(5611),
  },
  [2545] = {
    [sym_identifier] = ACTIONS(2813),
    [aux_sym_preproc_def_token1] = ACTIONS(2813),
    [aux_sym_preproc_if_token1] = ACTIONS(2813),
    [aux_sym_preproc_if_token2] = ACTIONS(2813),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2813),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2813),
    [aux_sym_preproc_else_token1] = ACTIONS(2813),
    [aux_sym_preproc_elif_token1] = ACTIONS(2813),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2813),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2813),
    [sym_preproc_directive] = ACTIONS(2813),
    [anon_sym_LPAREN2] = ACTIONS(2815),
    [anon_sym_TILDE] = ACTIONS(2815),
    [anon_sym_STAR] = ACTIONS(2815),
    [anon_sym_AMP_AMP] = ACTIONS(2815),
    [anon_sym_AMP] = ACTIONS(2813),
    [anon_sym___extension__] = ACTIONS(2813),
    [anon_sym_typedef] = ACTIONS(2813),
    [anon_sym_in] = ACTIONS(2813),
    [anon_sym_out] = ACTIONS(2813),
    [anon_sym_inout] = ACTIONS(2813),
    [anon_sym_extern] = ACTIONS(2813),
    [anon_sym___attribute__] = ACTIONS(2813),
    [anon_sym_COLON_COLON] = ACTIONS(2815),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2815),
    [anon_sym___declspec] = ACTIONS(2813),
    [anon_sym___based] = ACTIONS(2813),
    [anon_sym_signed] = ACTIONS(2813),
    [anon_sym_unsigned] = ACTIONS(2813),
    [anon_sym_long] = ACTIONS(2813),
    [anon_sym_short] = ACTIONS(2813),
    [anon_sym_LBRACK] = ACTIONS(2813),
    [anon_sym_static] = ACTIONS(2813),
    [anon_sym_register] = ACTIONS(2813),
    [anon_sym_inline] = ACTIONS(2813),
    [anon_sym___inline] = ACTIONS(2813),
    [anon_sym___inline__] = ACTIONS(2813),
    [anon_sym___forceinline] = ACTIONS(2813),
    [anon_sym_thread_local] = ACTIONS(2813),
    [anon_sym___thread] = ACTIONS(2813),
    [anon_sym_const] = ACTIONS(2813),
    [anon_sym_constexpr] = ACTIONS(2813),
    [anon_sym_volatile] = ACTIONS(2813),
    [anon_sym_restrict] = ACTIONS(2813),
    [anon_sym___restrict__] = ACTIONS(2813),
    [anon_sym__Atomic] = ACTIONS(2813),
    [anon_sym__Noreturn] = ACTIONS(2813),
    [anon_sym_noreturn] = ACTIONS(2813),
    [anon_sym_mutable] = ACTIONS(2813),
    [anon_sym_constinit] = ACTIONS(2813),
    [anon_sym_consteval] = ACTIONS(2813),
    [sym_primitive_type] = ACTIONS(2813),
    [anon_sym_enum] = ACTIONS(2813),
    [anon_sym_class] = ACTIONS(2813),
    [anon_sym_struct] = ACTIONS(2813),
    [anon_sym_union] = ACTIONS(2813),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2813),
    [anon_sym_decltype] = ACTIONS(2813),
    [anon_sym_virtual] = ACTIONS(2813),
    [anon_sym_alignas] = ACTIONS(2813),
    [anon_sym_explicit] = ACTIONS(2813),
    [anon_sym_typename] = ACTIONS(2813),
    [anon_sym_template] = ACTIONS(2813),
    [anon_sym_operator] = ACTIONS(2813),
    [anon_sym_friend] = ACTIONS(2813),
    [anon_sym_public] = ACTIONS(2813),
    [anon_sym_private] = ACTIONS(2813),
    [anon_sym_protected] = ACTIONS(2813),
    [anon_sym_using] = ACTIONS(2813),
    [anon_sym_static_assert] = ACTIONS(2813),
    [anon_sym_precise] = ACTIONS(2813),
    [anon_sym_shared] = ACTIONS(2813),
    [anon_sym_groupshared] = ACTIONS(2813),
    [anon_sym_uniform] = ACTIONS(2813),
    [anon_sym_row_major] = ACTIONS(2813),
    [anon_sym_column_major] = ACTIONS(2813),
    [anon_sym_globallycoherent] = ACTIONS(2813),
    [anon_sym_centroid] = ACTIONS(2813),
    [anon_sym_noperspective] = ACTIONS(2813),
    [anon_sym_nointerpolation] = ACTIONS(2813),
    [anon_sym_sample] = ACTIONS(2813),
    [anon_sym_linear] = ACTIONS(2813),
    [anon_sym_snorm] = ACTIONS(2813),
    [anon_sym_unorm] = ACTIONS(2813),
    [anon_sym_point] = ACTIONS(2813),
    [anon_sym_line] = ACTIONS(2813),
    [anon_sym_triangleadj] = ACTIONS(2813),
    [anon_sym_lineadj] = ACTIONS(2813),
    [anon_sym_triangle] = ACTIONS(2813),
  },
  [2546] = {
    [sym_identifier] = ACTIONS(5611),
    [aux_sym_preproc_def_token1] = ACTIONS(5611),
    [aux_sym_preproc_if_token1] = ACTIONS(5611),
    [aux_sym_preproc_if_token2] = ACTIONS(5611),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5611),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5611),
    [aux_sym_preproc_else_token1] = ACTIONS(5611),
    [aux_sym_preproc_elif_token1] = ACTIONS(5611),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5611),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5611),
    [sym_preproc_directive] = ACTIONS(5611),
    [anon_sym_LPAREN2] = ACTIONS(5613),
    [anon_sym_TILDE] = ACTIONS(5613),
    [anon_sym_STAR] = ACTIONS(5613),
    [anon_sym_AMP_AMP] = ACTIONS(5613),
    [anon_sym_AMP] = ACTIONS(5611),
    [anon_sym___extension__] = ACTIONS(5611),
    [anon_sym_typedef] = ACTIONS(5611),
    [anon_sym_in] = ACTIONS(5611),
    [anon_sym_out] = ACTIONS(5611),
    [anon_sym_inout] = ACTIONS(5611),
    [anon_sym_extern] = ACTIONS(5611),
    [anon_sym___attribute__] = ACTIONS(5611),
    [anon_sym_COLON_COLON] = ACTIONS(5613),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5613),
    [anon_sym___declspec] = ACTIONS(5611),
    [anon_sym___based] = ACTIONS(5611),
    [anon_sym_signed] = ACTIONS(5611),
    [anon_sym_unsigned] = ACTIONS(5611),
    [anon_sym_long] = ACTIONS(5611),
    [anon_sym_short] = ACTIONS(5611),
    [anon_sym_LBRACK] = ACTIONS(5611),
    [anon_sym_static] = ACTIONS(5611),
    [anon_sym_register] = ACTIONS(5611),
    [anon_sym_inline] = ACTIONS(5611),
    [anon_sym___inline] = ACTIONS(5611),
    [anon_sym___inline__] = ACTIONS(5611),
    [anon_sym___forceinline] = ACTIONS(5611),
    [anon_sym_thread_local] = ACTIONS(5611),
    [anon_sym___thread] = ACTIONS(5611),
    [anon_sym_const] = ACTIONS(5611),
    [anon_sym_constexpr] = ACTIONS(5611),
    [anon_sym_volatile] = ACTIONS(5611),
    [anon_sym_restrict] = ACTIONS(5611),
    [anon_sym___restrict__] = ACTIONS(5611),
    [anon_sym__Atomic] = ACTIONS(5611),
    [anon_sym__Noreturn] = ACTIONS(5611),
    [anon_sym_noreturn] = ACTIONS(5611),
    [anon_sym_mutable] = ACTIONS(5611),
    [anon_sym_constinit] = ACTIONS(5611),
    [anon_sym_consteval] = ACTIONS(5611),
    [sym_primitive_type] = ACTIONS(5611),
    [anon_sym_enum] = ACTIONS(5611),
    [anon_sym_class] = ACTIONS(5611),
    [anon_sym_struct] = ACTIONS(5611),
    [anon_sym_union] = ACTIONS(5611),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5611),
    [anon_sym_decltype] = ACTIONS(5611),
    [anon_sym_virtual] = ACTIONS(5611),
    [anon_sym_alignas] = ACTIONS(5611),
    [anon_sym_explicit] = ACTIONS(5611),
    [anon_sym_typename] = ACTIONS(5611),
    [anon_sym_template] = ACTIONS(5611),
    [anon_sym_operator] = ACTIONS(5611),
    [anon_sym_friend] = ACTIONS(5611),
    [anon_sym_public] = ACTIONS(5611),
    [anon_sym_private] = ACTIONS(5611),
    [anon_sym_protected] = ACTIONS(5611),
    [anon_sym_using] = ACTIONS(5611),
    [anon_sym_static_assert] = ACTIONS(5611),
    [anon_sym_precise] = ACTIONS(5611),
    [anon_sym_shared] = ACTIONS(5611),
    [anon_sym_groupshared] = ACTIONS(5611),
    [anon_sym_uniform] = ACTIONS(5611),
    [anon_sym_row_major] = ACTIONS(5611),
    [anon_sym_column_major] = ACTIONS(5611),
    [anon_sym_globallycoherent] = ACTIONS(5611),
    [anon_sym_centroid] = ACTIONS(5611),
    [anon_sym_noperspective] = ACTIONS(5611),
    [anon_sym_nointerpolation] = ACTIONS(5611),
    [anon_sym_sample] = ACTIONS(5611),
    [anon_sym_linear] = ACTIONS(5611),
    [anon_sym_snorm] = ACTIONS(5611),
    [anon_sym_unorm] = ACTIONS(5611),
    [anon_sym_point] = ACTIONS(5611),
    [anon_sym_line] = ACTIONS(5611),
    [anon_sym_triangleadj] = ACTIONS(5611),
    [anon_sym_lineadj] = ACTIONS(5611),
    [anon_sym_triangle] = ACTIONS(5611),
  },
  [2547] = {
    [sym_identifier] = ACTIONS(2837),
    [aux_sym_preproc_def_token1] = ACTIONS(2837),
    [aux_sym_preproc_if_token1] = ACTIONS(2837),
    [aux_sym_preproc_if_token2] = ACTIONS(2837),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2837),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2837),
    [aux_sym_preproc_else_token1] = ACTIONS(2837),
    [aux_sym_preproc_elif_token1] = ACTIONS(2837),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2837),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2837),
    [sym_preproc_directive] = ACTIONS(2837),
    [anon_sym_LPAREN2] = ACTIONS(2839),
    [anon_sym_TILDE] = ACTIONS(2839),
    [anon_sym_STAR] = ACTIONS(2839),
    [anon_sym_AMP_AMP] = ACTIONS(2839),
    [anon_sym_AMP] = ACTIONS(2837),
    [anon_sym___extension__] = ACTIONS(2837),
    [anon_sym_typedef] = ACTIONS(2837),
    [anon_sym_in] = ACTIONS(2837),
    [anon_sym_out] = ACTIONS(2837),
    [anon_sym_inout] = ACTIONS(2837),
    [anon_sym_extern] = ACTIONS(2837),
    [anon_sym___attribute__] = ACTIONS(2837),
    [anon_sym_COLON_COLON] = ACTIONS(2839),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2839),
    [anon_sym___declspec] = ACTIONS(2837),
    [anon_sym___based] = ACTIONS(2837),
    [anon_sym_signed] = ACTIONS(2837),
    [anon_sym_unsigned] = ACTIONS(2837),
    [anon_sym_long] = ACTIONS(2837),
    [anon_sym_short] = ACTIONS(2837),
    [anon_sym_LBRACK] = ACTIONS(2837),
    [anon_sym_static] = ACTIONS(2837),
    [anon_sym_register] = ACTIONS(2837),
    [anon_sym_inline] = ACTIONS(2837),
    [anon_sym___inline] = ACTIONS(2837),
    [anon_sym___inline__] = ACTIONS(2837),
    [anon_sym___forceinline] = ACTIONS(2837),
    [anon_sym_thread_local] = ACTIONS(2837),
    [anon_sym___thread] = ACTIONS(2837),
    [anon_sym_const] = ACTIONS(2837),
    [anon_sym_constexpr] = ACTIONS(2837),
    [anon_sym_volatile] = ACTIONS(2837),
    [anon_sym_restrict] = ACTIONS(2837),
    [anon_sym___restrict__] = ACTIONS(2837),
    [anon_sym__Atomic] = ACTIONS(2837),
    [anon_sym__Noreturn] = ACTIONS(2837),
    [anon_sym_noreturn] = ACTIONS(2837),
    [anon_sym_mutable] = ACTIONS(2837),
    [anon_sym_constinit] = ACTIONS(2837),
    [anon_sym_consteval] = ACTIONS(2837),
    [sym_primitive_type] = ACTIONS(2837),
    [anon_sym_enum] = ACTIONS(2837),
    [anon_sym_class] = ACTIONS(2837),
    [anon_sym_struct] = ACTIONS(2837),
    [anon_sym_union] = ACTIONS(2837),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2837),
    [anon_sym_decltype] = ACTIONS(2837),
    [anon_sym_virtual] = ACTIONS(2837),
    [anon_sym_alignas] = ACTIONS(2837),
    [anon_sym_explicit] = ACTIONS(2837),
    [anon_sym_typename] = ACTIONS(2837),
    [anon_sym_template] = ACTIONS(2837),
    [anon_sym_operator] = ACTIONS(2837),
    [anon_sym_friend] = ACTIONS(2837),
    [anon_sym_public] = ACTIONS(2837),
    [anon_sym_private] = ACTIONS(2837),
    [anon_sym_protected] = ACTIONS(2837),
    [anon_sym_using] = ACTIONS(2837),
    [anon_sym_static_assert] = ACTIONS(2837),
    [anon_sym_precise] = ACTIONS(2837),
    [anon_sym_shared] = ACTIONS(2837),
    [anon_sym_groupshared] = ACTIONS(2837),
    [anon_sym_uniform] = ACTIONS(2837),
    [anon_sym_row_major] = ACTIONS(2837),
    [anon_sym_column_major] = ACTIONS(2837),
    [anon_sym_globallycoherent] = ACTIONS(2837),
    [anon_sym_centroid] = ACTIONS(2837),
    [anon_sym_noperspective] = ACTIONS(2837),
    [anon_sym_nointerpolation] = ACTIONS(2837),
    [anon_sym_sample] = ACTIONS(2837),
    [anon_sym_linear] = ACTIONS(2837),
    [anon_sym_snorm] = ACTIONS(2837),
    [anon_sym_unorm] = ACTIONS(2837),
    [anon_sym_point] = ACTIONS(2837),
    [anon_sym_line] = ACTIONS(2837),
    [anon_sym_triangleadj] = ACTIONS(2837),
    [anon_sym_lineadj] = ACTIONS(2837),
    [anon_sym_triangle] = ACTIONS(2837),
  },
  [2548] = {
    [sym_identifier] = ACTIONS(2388),
    [aux_sym_preproc_def_token1] = ACTIONS(2388),
    [aux_sym_preproc_if_token1] = ACTIONS(2388),
    [aux_sym_preproc_if_token2] = ACTIONS(2388),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2388),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2388),
    [aux_sym_preproc_else_token1] = ACTIONS(2388),
    [aux_sym_preproc_elif_token1] = ACTIONS(2388),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2388),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2388),
    [sym_preproc_directive] = ACTIONS(2388),
    [anon_sym_LPAREN2] = ACTIONS(2390),
    [anon_sym_TILDE] = ACTIONS(2390),
    [anon_sym_STAR] = ACTIONS(2390),
    [anon_sym_AMP_AMP] = ACTIONS(2390),
    [anon_sym_AMP] = ACTIONS(2388),
    [anon_sym___extension__] = ACTIONS(2388),
    [anon_sym_typedef] = ACTIONS(2388),
    [anon_sym_in] = ACTIONS(2388),
    [anon_sym_out] = ACTIONS(2388),
    [anon_sym_inout] = ACTIONS(2388),
    [anon_sym_extern] = ACTIONS(2388),
    [anon_sym___attribute__] = ACTIONS(2388),
    [anon_sym_COLON_COLON] = ACTIONS(2390),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2390),
    [anon_sym___declspec] = ACTIONS(2388),
    [anon_sym___based] = ACTIONS(2388),
    [anon_sym_signed] = ACTIONS(2388),
    [anon_sym_unsigned] = ACTIONS(2388),
    [anon_sym_long] = ACTIONS(2388),
    [anon_sym_short] = ACTIONS(2388),
    [anon_sym_LBRACK] = ACTIONS(2388),
    [anon_sym_static] = ACTIONS(2388),
    [anon_sym_register] = ACTIONS(2388),
    [anon_sym_inline] = ACTIONS(2388),
    [anon_sym___inline] = ACTIONS(2388),
    [anon_sym___inline__] = ACTIONS(2388),
    [anon_sym___forceinline] = ACTIONS(2388),
    [anon_sym_thread_local] = ACTIONS(2388),
    [anon_sym___thread] = ACTIONS(2388),
    [anon_sym_const] = ACTIONS(2388),
    [anon_sym_constexpr] = ACTIONS(2388),
    [anon_sym_volatile] = ACTIONS(2388),
    [anon_sym_restrict] = ACTIONS(2388),
    [anon_sym___restrict__] = ACTIONS(2388),
    [anon_sym__Atomic] = ACTIONS(2388),
    [anon_sym__Noreturn] = ACTIONS(2388),
    [anon_sym_noreturn] = ACTIONS(2388),
    [anon_sym_mutable] = ACTIONS(2388),
    [anon_sym_constinit] = ACTIONS(2388),
    [anon_sym_consteval] = ACTIONS(2388),
    [sym_primitive_type] = ACTIONS(2388),
    [anon_sym_enum] = ACTIONS(2388),
    [anon_sym_class] = ACTIONS(2388),
    [anon_sym_struct] = ACTIONS(2388),
    [anon_sym_union] = ACTIONS(2388),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2388),
    [anon_sym_decltype] = ACTIONS(2388),
    [anon_sym_virtual] = ACTIONS(2388),
    [anon_sym_alignas] = ACTIONS(2388),
    [anon_sym_explicit] = ACTIONS(2388),
    [anon_sym_typename] = ACTIONS(2388),
    [anon_sym_template] = ACTIONS(2388),
    [anon_sym_operator] = ACTIONS(2388),
    [anon_sym_friend] = ACTIONS(2388),
    [anon_sym_public] = ACTIONS(2388),
    [anon_sym_private] = ACTIONS(2388),
    [anon_sym_protected] = ACTIONS(2388),
    [anon_sym_using] = ACTIONS(2388),
    [anon_sym_static_assert] = ACTIONS(2388),
    [anon_sym_precise] = ACTIONS(2388),
    [anon_sym_shared] = ACTIONS(2388),
    [anon_sym_groupshared] = ACTIONS(2388),
    [anon_sym_uniform] = ACTIONS(2388),
    [anon_sym_row_major] = ACTIONS(2388),
    [anon_sym_column_major] = ACTIONS(2388),
    [anon_sym_globallycoherent] = ACTIONS(2388),
    [anon_sym_centroid] = ACTIONS(2388),
    [anon_sym_noperspective] = ACTIONS(2388),
    [anon_sym_nointerpolation] = ACTIONS(2388),
    [anon_sym_sample] = ACTIONS(2388),
    [anon_sym_linear] = ACTIONS(2388),
    [anon_sym_snorm] = ACTIONS(2388),
    [anon_sym_unorm] = ACTIONS(2388),
    [anon_sym_point] = ACTIONS(2388),
    [anon_sym_line] = ACTIONS(2388),
    [anon_sym_triangleadj] = ACTIONS(2388),
    [anon_sym_lineadj] = ACTIONS(2388),
    [anon_sym_triangle] = ACTIONS(2388),
  },
  [2549] = {
    [sym_identifier] = ACTIONS(2829),
    [aux_sym_preproc_def_token1] = ACTIONS(2829),
    [aux_sym_preproc_if_token1] = ACTIONS(2829),
    [aux_sym_preproc_if_token2] = ACTIONS(2829),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2829),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2829),
    [aux_sym_preproc_else_token1] = ACTIONS(2829),
    [aux_sym_preproc_elif_token1] = ACTIONS(2829),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2829),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2829),
    [sym_preproc_directive] = ACTIONS(2829),
    [anon_sym_LPAREN2] = ACTIONS(2831),
    [anon_sym_TILDE] = ACTIONS(2831),
    [anon_sym_STAR] = ACTIONS(2831),
    [anon_sym_AMP_AMP] = ACTIONS(2831),
    [anon_sym_AMP] = ACTIONS(2829),
    [anon_sym___extension__] = ACTIONS(2829),
    [anon_sym_typedef] = ACTIONS(2829),
    [anon_sym_in] = ACTIONS(2829),
    [anon_sym_out] = ACTIONS(2829),
    [anon_sym_inout] = ACTIONS(2829),
    [anon_sym_extern] = ACTIONS(2829),
    [anon_sym___attribute__] = ACTIONS(2829),
    [anon_sym_COLON_COLON] = ACTIONS(2831),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2831),
    [anon_sym___declspec] = ACTIONS(2829),
    [anon_sym___based] = ACTIONS(2829),
    [anon_sym_signed] = ACTIONS(2829),
    [anon_sym_unsigned] = ACTIONS(2829),
    [anon_sym_long] = ACTIONS(2829),
    [anon_sym_short] = ACTIONS(2829),
    [anon_sym_LBRACK] = ACTIONS(2829),
    [anon_sym_static] = ACTIONS(2829),
    [anon_sym_register] = ACTIONS(2829),
    [anon_sym_inline] = ACTIONS(2829),
    [anon_sym___inline] = ACTIONS(2829),
    [anon_sym___inline__] = ACTIONS(2829),
    [anon_sym___forceinline] = ACTIONS(2829),
    [anon_sym_thread_local] = ACTIONS(2829),
    [anon_sym___thread] = ACTIONS(2829),
    [anon_sym_const] = ACTIONS(2829),
    [anon_sym_constexpr] = ACTIONS(2829),
    [anon_sym_volatile] = ACTIONS(2829),
    [anon_sym_restrict] = ACTIONS(2829),
    [anon_sym___restrict__] = ACTIONS(2829),
    [anon_sym__Atomic] = ACTIONS(2829),
    [anon_sym__Noreturn] = ACTIONS(2829),
    [anon_sym_noreturn] = ACTIONS(2829),
    [anon_sym_mutable] = ACTIONS(2829),
    [anon_sym_constinit] = ACTIONS(2829),
    [anon_sym_consteval] = ACTIONS(2829),
    [sym_primitive_type] = ACTIONS(2829),
    [anon_sym_enum] = ACTIONS(2829),
    [anon_sym_class] = ACTIONS(2829),
    [anon_sym_struct] = ACTIONS(2829),
    [anon_sym_union] = ACTIONS(2829),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2829),
    [anon_sym_decltype] = ACTIONS(2829),
    [anon_sym_virtual] = ACTIONS(2829),
    [anon_sym_alignas] = ACTIONS(2829),
    [anon_sym_explicit] = ACTIONS(2829),
    [anon_sym_typename] = ACTIONS(2829),
    [anon_sym_template] = ACTIONS(2829),
    [anon_sym_operator] = ACTIONS(2829),
    [anon_sym_friend] = ACTIONS(2829),
    [anon_sym_public] = ACTIONS(2829),
    [anon_sym_private] = ACTIONS(2829),
    [anon_sym_protected] = ACTIONS(2829),
    [anon_sym_using] = ACTIONS(2829),
    [anon_sym_static_assert] = ACTIONS(2829),
    [anon_sym_precise] = ACTIONS(2829),
    [anon_sym_shared] = ACTIONS(2829),
    [anon_sym_groupshared] = ACTIONS(2829),
    [anon_sym_uniform] = ACTIONS(2829),
    [anon_sym_row_major] = ACTIONS(2829),
    [anon_sym_column_major] = ACTIONS(2829),
    [anon_sym_globallycoherent] = ACTIONS(2829),
    [anon_sym_centroid] = ACTIONS(2829),
    [anon_sym_noperspective] = ACTIONS(2829),
    [anon_sym_nointerpolation] = ACTIONS(2829),
    [anon_sym_sample] = ACTIONS(2829),
    [anon_sym_linear] = ACTIONS(2829),
    [anon_sym_snorm] = ACTIONS(2829),
    [anon_sym_unorm] = ACTIONS(2829),
    [anon_sym_point] = ACTIONS(2829),
    [anon_sym_line] = ACTIONS(2829),
    [anon_sym_triangleadj] = ACTIONS(2829),
    [anon_sym_lineadj] = ACTIONS(2829),
    [anon_sym_triangle] = ACTIONS(2829),
  },
  [2550] = {
    [sym_identifier] = ACTIONS(5615),
    [aux_sym_preproc_def_token1] = ACTIONS(5615),
    [aux_sym_preproc_if_token1] = ACTIONS(5615),
    [aux_sym_preproc_if_token2] = ACTIONS(5615),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5615),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5615),
    [aux_sym_preproc_else_token1] = ACTIONS(5615),
    [aux_sym_preproc_elif_token1] = ACTIONS(5615),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5615),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5615),
    [sym_preproc_directive] = ACTIONS(5615),
    [anon_sym_LPAREN2] = ACTIONS(5617),
    [anon_sym_TILDE] = ACTIONS(5617),
    [anon_sym_STAR] = ACTIONS(5617),
    [anon_sym_AMP_AMP] = ACTIONS(5617),
    [anon_sym_AMP] = ACTIONS(5615),
    [anon_sym___extension__] = ACTIONS(5615),
    [anon_sym_typedef] = ACTIONS(5615),
    [anon_sym_in] = ACTIONS(5615),
    [anon_sym_out] = ACTIONS(5615),
    [anon_sym_inout] = ACTIONS(5615),
    [anon_sym_extern] = ACTIONS(5615),
    [anon_sym___attribute__] = ACTIONS(5615),
    [anon_sym_COLON_COLON] = ACTIONS(5617),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5617),
    [anon_sym___declspec] = ACTIONS(5615),
    [anon_sym___based] = ACTIONS(5615),
    [anon_sym_signed] = ACTIONS(5615),
    [anon_sym_unsigned] = ACTIONS(5615),
    [anon_sym_long] = ACTIONS(5615),
    [anon_sym_short] = ACTIONS(5615),
    [anon_sym_LBRACK] = ACTIONS(5615),
    [anon_sym_static] = ACTIONS(5615),
    [anon_sym_register] = ACTIONS(5615),
    [anon_sym_inline] = ACTIONS(5615),
    [anon_sym___inline] = ACTIONS(5615),
    [anon_sym___inline__] = ACTIONS(5615),
    [anon_sym___forceinline] = ACTIONS(5615),
    [anon_sym_thread_local] = ACTIONS(5615),
    [anon_sym___thread] = ACTIONS(5615),
    [anon_sym_const] = ACTIONS(5615),
    [anon_sym_constexpr] = ACTIONS(5615),
    [anon_sym_volatile] = ACTIONS(5615),
    [anon_sym_restrict] = ACTIONS(5615),
    [anon_sym___restrict__] = ACTIONS(5615),
    [anon_sym__Atomic] = ACTIONS(5615),
    [anon_sym__Noreturn] = ACTIONS(5615),
    [anon_sym_noreturn] = ACTIONS(5615),
    [anon_sym_mutable] = ACTIONS(5615),
    [anon_sym_constinit] = ACTIONS(5615),
    [anon_sym_consteval] = ACTIONS(5615),
    [sym_primitive_type] = ACTIONS(5615),
    [anon_sym_enum] = ACTIONS(5615),
    [anon_sym_class] = ACTIONS(5615),
    [anon_sym_struct] = ACTIONS(5615),
    [anon_sym_union] = ACTIONS(5615),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5615),
    [anon_sym_decltype] = ACTIONS(5615),
    [anon_sym_virtual] = ACTIONS(5615),
    [anon_sym_alignas] = ACTIONS(5615),
    [anon_sym_explicit] = ACTIONS(5615),
    [anon_sym_typename] = ACTIONS(5615),
    [anon_sym_template] = ACTIONS(5615),
    [anon_sym_operator] = ACTIONS(5615),
    [anon_sym_friend] = ACTIONS(5615),
    [anon_sym_public] = ACTIONS(5615),
    [anon_sym_private] = ACTIONS(5615),
    [anon_sym_protected] = ACTIONS(5615),
    [anon_sym_using] = ACTIONS(5615),
    [anon_sym_static_assert] = ACTIONS(5615),
    [anon_sym_precise] = ACTIONS(5615),
    [anon_sym_shared] = ACTIONS(5615),
    [anon_sym_groupshared] = ACTIONS(5615),
    [anon_sym_uniform] = ACTIONS(5615),
    [anon_sym_row_major] = ACTIONS(5615),
    [anon_sym_column_major] = ACTIONS(5615),
    [anon_sym_globallycoherent] = ACTIONS(5615),
    [anon_sym_centroid] = ACTIONS(5615),
    [anon_sym_noperspective] = ACTIONS(5615),
    [anon_sym_nointerpolation] = ACTIONS(5615),
    [anon_sym_sample] = ACTIONS(5615),
    [anon_sym_linear] = ACTIONS(5615),
    [anon_sym_snorm] = ACTIONS(5615),
    [anon_sym_unorm] = ACTIONS(5615),
    [anon_sym_point] = ACTIONS(5615),
    [anon_sym_line] = ACTIONS(5615),
    [anon_sym_triangleadj] = ACTIONS(5615),
    [anon_sym_lineadj] = ACTIONS(5615),
    [anon_sym_triangle] = ACTIONS(5615),
  },
  [2551] = {
    [sym_identifier] = ACTIONS(5619),
    [aux_sym_preproc_def_token1] = ACTIONS(5619),
    [aux_sym_preproc_if_token1] = ACTIONS(5619),
    [aux_sym_preproc_if_token2] = ACTIONS(5619),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5619),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5619),
    [aux_sym_preproc_else_token1] = ACTIONS(5619),
    [aux_sym_preproc_elif_token1] = ACTIONS(5619),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5619),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5619),
    [sym_preproc_directive] = ACTIONS(5619),
    [anon_sym_LPAREN2] = ACTIONS(5621),
    [anon_sym_TILDE] = ACTIONS(5621),
    [anon_sym_STAR] = ACTIONS(5621),
    [anon_sym_AMP_AMP] = ACTIONS(5621),
    [anon_sym_AMP] = ACTIONS(5619),
    [anon_sym___extension__] = ACTIONS(5619),
    [anon_sym_typedef] = ACTIONS(5619),
    [anon_sym_in] = ACTIONS(5619),
    [anon_sym_out] = ACTIONS(5619),
    [anon_sym_inout] = ACTIONS(5619),
    [anon_sym_extern] = ACTIONS(5619),
    [anon_sym___attribute__] = ACTIONS(5619),
    [anon_sym_COLON_COLON] = ACTIONS(5621),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5621),
    [anon_sym___declspec] = ACTIONS(5619),
    [anon_sym___based] = ACTIONS(5619),
    [anon_sym_signed] = ACTIONS(5619),
    [anon_sym_unsigned] = ACTIONS(5619),
    [anon_sym_long] = ACTIONS(5619),
    [anon_sym_short] = ACTIONS(5619),
    [anon_sym_LBRACK] = ACTIONS(5619),
    [anon_sym_static] = ACTIONS(5619),
    [anon_sym_register] = ACTIONS(5619),
    [anon_sym_inline] = ACTIONS(5619),
    [anon_sym___inline] = ACTIONS(5619),
    [anon_sym___inline__] = ACTIONS(5619),
    [anon_sym___forceinline] = ACTIONS(5619),
    [anon_sym_thread_local] = ACTIONS(5619),
    [anon_sym___thread] = ACTIONS(5619),
    [anon_sym_const] = ACTIONS(5619),
    [anon_sym_constexpr] = ACTIONS(5619),
    [anon_sym_volatile] = ACTIONS(5619),
    [anon_sym_restrict] = ACTIONS(5619),
    [anon_sym___restrict__] = ACTIONS(5619),
    [anon_sym__Atomic] = ACTIONS(5619),
    [anon_sym__Noreturn] = ACTIONS(5619),
    [anon_sym_noreturn] = ACTIONS(5619),
    [anon_sym_mutable] = ACTIONS(5619),
    [anon_sym_constinit] = ACTIONS(5619),
    [anon_sym_consteval] = ACTIONS(5619),
    [sym_primitive_type] = ACTIONS(5619),
    [anon_sym_enum] = ACTIONS(5619),
    [anon_sym_class] = ACTIONS(5619),
    [anon_sym_struct] = ACTIONS(5619),
    [anon_sym_union] = ACTIONS(5619),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5619),
    [anon_sym_decltype] = ACTIONS(5619),
    [anon_sym_virtual] = ACTIONS(5619),
    [anon_sym_alignas] = ACTIONS(5619),
    [anon_sym_explicit] = ACTIONS(5619),
    [anon_sym_typename] = ACTIONS(5619),
    [anon_sym_template] = ACTIONS(5619),
    [anon_sym_operator] = ACTIONS(5619),
    [anon_sym_friend] = ACTIONS(5619),
    [anon_sym_public] = ACTIONS(5619),
    [anon_sym_private] = ACTIONS(5619),
    [anon_sym_protected] = ACTIONS(5619),
    [anon_sym_using] = ACTIONS(5619),
    [anon_sym_static_assert] = ACTIONS(5619),
    [anon_sym_precise] = ACTIONS(5619),
    [anon_sym_shared] = ACTIONS(5619),
    [anon_sym_groupshared] = ACTIONS(5619),
    [anon_sym_uniform] = ACTIONS(5619),
    [anon_sym_row_major] = ACTIONS(5619),
    [anon_sym_column_major] = ACTIONS(5619),
    [anon_sym_globallycoherent] = ACTIONS(5619),
    [anon_sym_centroid] = ACTIONS(5619),
    [anon_sym_noperspective] = ACTIONS(5619),
    [anon_sym_nointerpolation] = ACTIONS(5619),
    [anon_sym_sample] = ACTIONS(5619),
    [anon_sym_linear] = ACTIONS(5619),
    [anon_sym_snorm] = ACTIONS(5619),
    [anon_sym_unorm] = ACTIONS(5619),
    [anon_sym_point] = ACTIONS(5619),
    [anon_sym_line] = ACTIONS(5619),
    [anon_sym_triangleadj] = ACTIONS(5619),
    [anon_sym_lineadj] = ACTIONS(5619),
    [anon_sym_triangle] = ACTIONS(5619),
  },
  [2552] = {
    [sym_identifier] = ACTIONS(5623),
    [aux_sym_preproc_def_token1] = ACTIONS(5623),
    [aux_sym_preproc_if_token1] = ACTIONS(5623),
    [aux_sym_preproc_if_token2] = ACTIONS(5623),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5623),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5623),
    [aux_sym_preproc_else_token1] = ACTIONS(5623),
    [aux_sym_preproc_elif_token1] = ACTIONS(5623),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5623),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5623),
    [sym_preproc_directive] = ACTIONS(5623),
    [anon_sym_LPAREN2] = ACTIONS(5625),
    [anon_sym_TILDE] = ACTIONS(5625),
    [anon_sym_STAR] = ACTIONS(5625),
    [anon_sym_AMP_AMP] = ACTIONS(5625),
    [anon_sym_AMP] = ACTIONS(5623),
    [anon_sym___extension__] = ACTIONS(5623),
    [anon_sym_typedef] = ACTIONS(5623),
    [anon_sym_in] = ACTIONS(5623),
    [anon_sym_out] = ACTIONS(5623),
    [anon_sym_inout] = ACTIONS(5623),
    [anon_sym_extern] = ACTIONS(5623),
    [anon_sym___attribute__] = ACTIONS(5623),
    [anon_sym_COLON_COLON] = ACTIONS(5625),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5625),
    [anon_sym___declspec] = ACTIONS(5623),
    [anon_sym___based] = ACTIONS(5623),
    [anon_sym_signed] = ACTIONS(5623),
    [anon_sym_unsigned] = ACTIONS(5623),
    [anon_sym_long] = ACTIONS(5623),
    [anon_sym_short] = ACTIONS(5623),
    [anon_sym_LBRACK] = ACTIONS(5623),
    [anon_sym_static] = ACTIONS(5623),
    [anon_sym_register] = ACTIONS(5623),
    [anon_sym_inline] = ACTIONS(5623),
    [anon_sym___inline] = ACTIONS(5623),
    [anon_sym___inline__] = ACTIONS(5623),
    [anon_sym___forceinline] = ACTIONS(5623),
    [anon_sym_thread_local] = ACTIONS(5623),
    [anon_sym___thread] = ACTIONS(5623),
    [anon_sym_const] = ACTIONS(5623),
    [anon_sym_constexpr] = ACTIONS(5623),
    [anon_sym_volatile] = ACTIONS(5623),
    [anon_sym_restrict] = ACTIONS(5623),
    [anon_sym___restrict__] = ACTIONS(5623),
    [anon_sym__Atomic] = ACTIONS(5623),
    [anon_sym__Noreturn] = ACTIONS(5623),
    [anon_sym_noreturn] = ACTIONS(5623),
    [anon_sym_mutable] = ACTIONS(5623),
    [anon_sym_constinit] = ACTIONS(5623),
    [anon_sym_consteval] = ACTIONS(5623),
    [sym_primitive_type] = ACTIONS(5623),
    [anon_sym_enum] = ACTIONS(5623),
    [anon_sym_class] = ACTIONS(5623),
    [anon_sym_struct] = ACTIONS(5623),
    [anon_sym_union] = ACTIONS(5623),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5623),
    [anon_sym_decltype] = ACTIONS(5623),
    [anon_sym_virtual] = ACTIONS(5623),
    [anon_sym_alignas] = ACTIONS(5623),
    [anon_sym_explicit] = ACTIONS(5623),
    [anon_sym_typename] = ACTIONS(5623),
    [anon_sym_template] = ACTIONS(5623),
    [anon_sym_operator] = ACTIONS(5623),
    [anon_sym_friend] = ACTIONS(5623),
    [anon_sym_public] = ACTIONS(5623),
    [anon_sym_private] = ACTIONS(5623),
    [anon_sym_protected] = ACTIONS(5623),
    [anon_sym_using] = ACTIONS(5623),
    [anon_sym_static_assert] = ACTIONS(5623),
    [anon_sym_precise] = ACTIONS(5623),
    [anon_sym_shared] = ACTIONS(5623),
    [anon_sym_groupshared] = ACTIONS(5623),
    [anon_sym_uniform] = ACTIONS(5623),
    [anon_sym_row_major] = ACTIONS(5623),
    [anon_sym_column_major] = ACTIONS(5623),
    [anon_sym_globallycoherent] = ACTIONS(5623),
    [anon_sym_centroid] = ACTIONS(5623),
    [anon_sym_noperspective] = ACTIONS(5623),
    [anon_sym_nointerpolation] = ACTIONS(5623),
    [anon_sym_sample] = ACTIONS(5623),
    [anon_sym_linear] = ACTIONS(5623),
    [anon_sym_snorm] = ACTIONS(5623),
    [anon_sym_unorm] = ACTIONS(5623),
    [anon_sym_point] = ACTIONS(5623),
    [anon_sym_line] = ACTIONS(5623),
    [anon_sym_triangleadj] = ACTIONS(5623),
    [anon_sym_lineadj] = ACTIONS(5623),
    [anon_sym_triangle] = ACTIONS(5623),
  },
  [2553] = {
    [sym_identifier] = ACTIONS(2747),
    [aux_sym_preproc_def_token1] = ACTIONS(2747),
    [aux_sym_preproc_if_token1] = ACTIONS(2747),
    [aux_sym_preproc_if_token2] = ACTIONS(2747),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2747),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2747),
    [aux_sym_preproc_else_token1] = ACTIONS(2747),
    [aux_sym_preproc_elif_token1] = ACTIONS(2747),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2747),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2747),
    [sym_preproc_directive] = ACTIONS(2747),
    [anon_sym_LPAREN2] = ACTIONS(2749),
    [anon_sym_TILDE] = ACTIONS(2749),
    [anon_sym_STAR] = ACTIONS(2749),
    [anon_sym_AMP_AMP] = ACTIONS(2749),
    [anon_sym_AMP] = ACTIONS(2747),
    [anon_sym___extension__] = ACTIONS(2747),
    [anon_sym_typedef] = ACTIONS(2747),
    [anon_sym_in] = ACTIONS(2747),
    [anon_sym_out] = ACTIONS(2747),
    [anon_sym_inout] = ACTIONS(2747),
    [anon_sym_extern] = ACTIONS(2747),
    [anon_sym___attribute__] = ACTIONS(2747),
    [anon_sym_COLON_COLON] = ACTIONS(2749),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2749),
    [anon_sym___declspec] = ACTIONS(2747),
    [anon_sym___based] = ACTIONS(2747),
    [anon_sym_signed] = ACTIONS(2747),
    [anon_sym_unsigned] = ACTIONS(2747),
    [anon_sym_long] = ACTIONS(2747),
    [anon_sym_short] = ACTIONS(2747),
    [anon_sym_LBRACK] = ACTIONS(2747),
    [anon_sym_static] = ACTIONS(2747),
    [anon_sym_register] = ACTIONS(2747),
    [anon_sym_inline] = ACTIONS(2747),
    [anon_sym___inline] = ACTIONS(2747),
    [anon_sym___inline__] = ACTIONS(2747),
    [anon_sym___forceinline] = ACTIONS(2747),
    [anon_sym_thread_local] = ACTIONS(2747),
    [anon_sym___thread] = ACTIONS(2747),
    [anon_sym_const] = ACTIONS(2747),
    [anon_sym_constexpr] = ACTIONS(2747),
    [anon_sym_volatile] = ACTIONS(2747),
    [anon_sym_restrict] = ACTIONS(2747),
    [anon_sym___restrict__] = ACTIONS(2747),
    [anon_sym__Atomic] = ACTIONS(2747),
    [anon_sym__Noreturn] = ACTIONS(2747),
    [anon_sym_noreturn] = ACTIONS(2747),
    [anon_sym_mutable] = ACTIONS(2747),
    [anon_sym_constinit] = ACTIONS(2747),
    [anon_sym_consteval] = ACTIONS(2747),
    [sym_primitive_type] = ACTIONS(2747),
    [anon_sym_enum] = ACTIONS(2747),
    [anon_sym_class] = ACTIONS(2747),
    [anon_sym_struct] = ACTIONS(2747),
    [anon_sym_union] = ACTIONS(2747),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2747),
    [anon_sym_decltype] = ACTIONS(2747),
    [anon_sym_virtual] = ACTIONS(2747),
    [anon_sym_alignas] = ACTIONS(2747),
    [anon_sym_explicit] = ACTIONS(2747),
    [anon_sym_typename] = ACTIONS(2747),
    [anon_sym_template] = ACTIONS(2747),
    [anon_sym_operator] = ACTIONS(2747),
    [anon_sym_friend] = ACTIONS(2747),
    [anon_sym_public] = ACTIONS(2747),
    [anon_sym_private] = ACTIONS(2747),
    [anon_sym_protected] = ACTIONS(2747),
    [anon_sym_using] = ACTIONS(2747),
    [anon_sym_static_assert] = ACTIONS(2747),
    [anon_sym_precise] = ACTIONS(2747),
    [anon_sym_shared] = ACTIONS(2747),
    [anon_sym_groupshared] = ACTIONS(2747),
    [anon_sym_uniform] = ACTIONS(2747),
    [anon_sym_row_major] = ACTIONS(2747),
    [anon_sym_column_major] = ACTIONS(2747),
    [anon_sym_globallycoherent] = ACTIONS(2747),
    [anon_sym_centroid] = ACTIONS(2747),
    [anon_sym_noperspective] = ACTIONS(2747),
    [anon_sym_nointerpolation] = ACTIONS(2747),
    [anon_sym_sample] = ACTIONS(2747),
    [anon_sym_linear] = ACTIONS(2747),
    [anon_sym_snorm] = ACTIONS(2747),
    [anon_sym_unorm] = ACTIONS(2747),
    [anon_sym_point] = ACTIONS(2747),
    [anon_sym_line] = ACTIONS(2747),
    [anon_sym_triangleadj] = ACTIONS(2747),
    [anon_sym_lineadj] = ACTIONS(2747),
    [anon_sym_triangle] = ACTIONS(2747),
  },
  [2554] = {
    [sym__declaration_modifiers] = STATE(2673),
    [sym__declaration_specifiers] = STATE(5990),
    [sym_attribute_specifier] = STATE(2673),
    [sym_attribute_declaration] = STATE(2673),
    [sym_ms_declspec_modifier] = STATE(2673),
    [sym_storage_class_specifier] = STATE(2673),
    [sym_type_qualifier] = STATE(2673),
    [sym__type_specifier] = STATE(2827),
    [sym_sized_type_specifier] = STATE(3085),
    [sym_enum_specifier] = STATE(3085),
    [sym_struct_specifier] = STATE(3085),
    [sym_union_specifier] = STATE(3085),
    [sym_placeholder_type_specifier] = STATE(3085),
    [sym_decltype_auto] = STATE(3091),
    [sym_decltype] = STATE(3050),
    [sym_class_specifier] = STATE(3085),
    [sym_virtual] = STATE(2673),
    [sym_alignas_specifier] = STATE(2673),
    [sym_dependent_type] = STATE(3085),
    [sym_template_type] = STATE(3050),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(7887),
    [sym_qualified_type_identifier] = STATE(3068),
    [sym_qualifiers] = STATE(2673),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2673),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3021),
    [sym_identifier] = ACTIONS(3896),
    [anon_sym___extension__] = ACTIONS(63),
    [anon_sym_in] = ACTIONS(1480),
    [anon_sym_out] = ACTIONS(1480),
    [anon_sym_inout] = ACTIONS(1480),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(3904),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2096),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(2891),
    [anon_sym_enum] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(69),
    [anon_sym_struct] = ACTIONS(71),
    [anon_sym_union] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [anon_sym_virtual] = ACTIONS(123),
    [anon_sym_alignas] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_precise] = ACTIONS(161),
    [anon_sym_shared] = ACTIONS(161),
    [anon_sym_groupshared] = ACTIONS(161),
    [anon_sym_uniform] = ACTIONS(161),
    [anon_sym_row_major] = ACTIONS(161),
    [anon_sym_column_major] = ACTIONS(161),
    [anon_sym_globallycoherent] = ACTIONS(161),
    [anon_sym_centroid] = ACTIONS(161),
    [anon_sym_noperspective] = ACTIONS(161),
    [anon_sym_nointerpolation] = ACTIONS(161),
    [anon_sym_sample] = ACTIONS(161),
    [anon_sym_linear] = ACTIONS(161),
    [anon_sym_snorm] = ACTIONS(161),
    [anon_sym_unorm] = ACTIONS(161),
    [anon_sym_point] = ACTIONS(161),
    [anon_sym_line] = ACTIONS(161),
    [anon_sym_triangleadj] = ACTIONS(161),
    [anon_sym_lineadj] = ACTIONS(161),
    [anon_sym_triangle] = ACTIONS(161),
  },
  [2555] = {
    [sym_identifier] = ACTIONS(5627),
    [aux_sym_preproc_def_token1] = ACTIONS(5627),
    [aux_sym_preproc_if_token1] = ACTIONS(5627),
    [aux_sym_preproc_if_token2] = ACTIONS(5627),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5627),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5627),
    [aux_sym_preproc_else_token1] = ACTIONS(5627),
    [aux_sym_preproc_elif_token1] = ACTIONS(5627),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5627),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5627),
    [sym_preproc_directive] = ACTIONS(5627),
    [anon_sym_LPAREN2] = ACTIONS(5629),
    [anon_sym_TILDE] = ACTIONS(5629),
    [anon_sym_STAR] = ACTIONS(5629),
    [anon_sym_AMP_AMP] = ACTIONS(5629),
    [anon_sym_AMP] = ACTIONS(5627),
    [anon_sym___extension__] = ACTIONS(5627),
    [anon_sym_typedef] = ACTIONS(5627),
    [anon_sym_in] = ACTIONS(5627),
    [anon_sym_out] = ACTIONS(5627),
    [anon_sym_inout] = ACTIONS(5627),
    [anon_sym_extern] = ACTIONS(5627),
    [anon_sym___attribute__] = ACTIONS(5627),
    [anon_sym_COLON_COLON] = ACTIONS(5629),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5629),
    [anon_sym___declspec] = ACTIONS(5627),
    [anon_sym___based] = ACTIONS(5627),
    [anon_sym_signed] = ACTIONS(5627),
    [anon_sym_unsigned] = ACTIONS(5627),
    [anon_sym_long] = ACTIONS(5627),
    [anon_sym_short] = ACTIONS(5627),
    [anon_sym_LBRACK] = ACTIONS(5627),
    [anon_sym_static] = ACTIONS(5627),
    [anon_sym_register] = ACTIONS(5627),
    [anon_sym_inline] = ACTIONS(5627),
    [anon_sym___inline] = ACTIONS(5627),
    [anon_sym___inline__] = ACTIONS(5627),
    [anon_sym___forceinline] = ACTIONS(5627),
    [anon_sym_thread_local] = ACTIONS(5627),
    [anon_sym___thread] = ACTIONS(5627),
    [anon_sym_const] = ACTIONS(5627),
    [anon_sym_constexpr] = ACTIONS(5627),
    [anon_sym_volatile] = ACTIONS(5627),
    [anon_sym_restrict] = ACTIONS(5627),
    [anon_sym___restrict__] = ACTIONS(5627),
    [anon_sym__Atomic] = ACTIONS(5627),
    [anon_sym__Noreturn] = ACTIONS(5627),
    [anon_sym_noreturn] = ACTIONS(5627),
    [anon_sym_mutable] = ACTIONS(5627),
    [anon_sym_constinit] = ACTIONS(5627),
    [anon_sym_consteval] = ACTIONS(5627),
    [sym_primitive_type] = ACTIONS(5627),
    [anon_sym_enum] = ACTIONS(5627),
    [anon_sym_class] = ACTIONS(5627),
    [anon_sym_struct] = ACTIONS(5627),
    [anon_sym_union] = ACTIONS(5627),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5627),
    [anon_sym_decltype] = ACTIONS(5627),
    [anon_sym_virtual] = ACTIONS(5627),
    [anon_sym_alignas] = ACTIONS(5627),
    [anon_sym_explicit] = ACTIONS(5627),
    [anon_sym_typename] = ACTIONS(5627),
    [anon_sym_template] = ACTIONS(5627),
    [anon_sym_operator] = ACTIONS(5627),
    [anon_sym_friend] = ACTIONS(5627),
    [anon_sym_public] = ACTIONS(5627),
    [anon_sym_private] = ACTIONS(5627),
    [anon_sym_protected] = ACTIONS(5627),
    [anon_sym_using] = ACTIONS(5627),
    [anon_sym_static_assert] = ACTIONS(5627),
    [anon_sym_precise] = ACTIONS(5627),
    [anon_sym_shared] = ACTIONS(5627),
    [anon_sym_groupshared] = ACTIONS(5627),
    [anon_sym_uniform] = ACTIONS(5627),
    [anon_sym_row_major] = ACTIONS(5627),
    [anon_sym_column_major] = ACTIONS(5627),
    [anon_sym_globallycoherent] = ACTIONS(5627),
    [anon_sym_centroid] = ACTIONS(5627),
    [anon_sym_noperspective] = ACTIONS(5627),
    [anon_sym_nointerpolation] = ACTIONS(5627),
    [anon_sym_sample] = ACTIONS(5627),
    [anon_sym_linear] = ACTIONS(5627),
    [anon_sym_snorm] = ACTIONS(5627),
    [anon_sym_unorm] = ACTIONS(5627),
    [anon_sym_point] = ACTIONS(5627),
    [anon_sym_line] = ACTIONS(5627),
    [anon_sym_triangleadj] = ACTIONS(5627),
    [anon_sym_lineadj] = ACTIONS(5627),
    [anon_sym_triangle] = ACTIONS(5627),
  },
  [2556] = {
    [sym_identifier] = ACTIONS(2238),
    [aux_sym_preproc_def_token1] = ACTIONS(2238),
    [anon_sym_COMMA] = ACTIONS(2358),
    [aux_sym_preproc_if_token1] = ACTIONS(2238),
    [aux_sym_preproc_if_token2] = ACTIONS(2238),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2238),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2238),
    [aux_sym_preproc_else_token1] = ACTIONS(2238),
    [aux_sym_preproc_elif_token1] = ACTIONS(2238),
    [sym_preproc_directive] = ACTIONS(2238),
    [anon_sym_LPAREN2] = ACTIONS(2236),
    [anon_sym_TILDE] = ACTIONS(2236),
    [anon_sym_STAR] = ACTIONS(2236),
    [anon_sym_AMP_AMP] = ACTIONS(2236),
    [anon_sym_AMP] = ACTIONS(2238),
    [anon_sym_SEMI] = ACTIONS(2358),
    [anon_sym___extension__] = ACTIONS(2238),
    [anon_sym_typedef] = ACTIONS(2238),
    [anon_sym_in] = ACTIONS(2238),
    [anon_sym_out] = ACTIONS(2238),
    [anon_sym_inout] = ACTIONS(2238),
    [anon_sym_extern] = ACTIONS(2238),
    [anon_sym___attribute__] = ACTIONS(5600),
    [anon_sym_COLON_COLON] = ACTIONS(2236),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2236),
    [anon_sym___declspec] = ACTIONS(2238),
    [anon_sym___based] = ACTIONS(2238),
    [anon_sym_signed] = ACTIONS(2238),
    [anon_sym_unsigned] = ACTIONS(2238),
    [anon_sym_long] = ACTIONS(2238),
    [anon_sym_short] = ACTIONS(2238),
    [anon_sym_LBRACK] = ACTIONS(2238),
    [anon_sym_static] = ACTIONS(2238),
    [anon_sym_register] = ACTIONS(2238),
    [anon_sym_inline] = ACTIONS(2238),
    [anon_sym___inline] = ACTIONS(2238),
    [anon_sym___inline__] = ACTIONS(2238),
    [anon_sym___forceinline] = ACTIONS(2238),
    [anon_sym_thread_local] = ACTIONS(2238),
    [anon_sym___thread] = ACTIONS(2238),
    [anon_sym_const] = ACTIONS(2238),
    [anon_sym_constexpr] = ACTIONS(2238),
    [anon_sym_volatile] = ACTIONS(2238),
    [anon_sym_restrict] = ACTIONS(2238),
    [anon_sym___restrict__] = ACTIONS(2238),
    [anon_sym__Atomic] = ACTIONS(2238),
    [anon_sym__Noreturn] = ACTIONS(2238),
    [anon_sym_noreturn] = ACTIONS(2238),
    [anon_sym_mutable] = ACTIONS(2238),
    [anon_sym_constinit] = ACTIONS(2238),
    [anon_sym_consteval] = ACTIONS(2238),
    [sym_primitive_type] = ACTIONS(2238),
    [anon_sym_enum] = ACTIONS(2238),
    [anon_sym_class] = ACTIONS(2238),
    [anon_sym_struct] = ACTIONS(2238),
    [anon_sym_union] = ACTIONS(2238),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2238),
    [anon_sym_decltype] = ACTIONS(2238),
    [anon_sym_virtual] = ACTIONS(2238),
    [anon_sym_alignas] = ACTIONS(2238),
    [anon_sym_explicit] = ACTIONS(2238),
    [anon_sym_typename] = ACTIONS(2238),
    [anon_sym_template] = ACTIONS(2238),
    [anon_sym_operator] = ACTIONS(2238),
    [anon_sym_friend] = ACTIONS(2238),
    [anon_sym_public] = ACTIONS(2238),
    [anon_sym_private] = ACTIONS(2238),
    [anon_sym_protected] = ACTIONS(2238),
    [anon_sym_using] = ACTIONS(2238),
    [anon_sym_static_assert] = ACTIONS(2238),
    [anon_sym_precise] = ACTIONS(2238),
    [anon_sym_shared] = ACTIONS(2238),
    [anon_sym_groupshared] = ACTIONS(2238),
    [anon_sym_uniform] = ACTIONS(2238),
    [anon_sym_row_major] = ACTIONS(2238),
    [anon_sym_column_major] = ACTIONS(2238),
    [anon_sym_globallycoherent] = ACTIONS(2238),
    [anon_sym_centroid] = ACTIONS(2238),
    [anon_sym_noperspective] = ACTIONS(2238),
    [anon_sym_nointerpolation] = ACTIONS(2238),
    [anon_sym_sample] = ACTIONS(2238),
    [anon_sym_linear] = ACTIONS(2238),
    [anon_sym_snorm] = ACTIONS(2238),
    [anon_sym_unorm] = ACTIONS(2238),
    [anon_sym_point] = ACTIONS(2238),
    [anon_sym_line] = ACTIONS(2238),
    [anon_sym_triangleadj] = ACTIONS(2238),
    [anon_sym_lineadj] = ACTIONS(2238),
    [anon_sym_triangle] = ACTIONS(2238),
  },
  [2557] = {
    [sym_identifier] = ACTIONS(5631),
    [aux_sym_preproc_def_token1] = ACTIONS(5631),
    [aux_sym_preproc_if_token1] = ACTIONS(5631),
    [aux_sym_preproc_if_token2] = ACTIONS(5631),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5631),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5631),
    [aux_sym_preproc_else_token1] = ACTIONS(5631),
    [aux_sym_preproc_elif_token1] = ACTIONS(5631),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5631),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5631),
    [sym_preproc_directive] = ACTIONS(5631),
    [anon_sym_LPAREN2] = ACTIONS(5633),
    [anon_sym_TILDE] = ACTIONS(5633),
    [anon_sym_STAR] = ACTIONS(5633),
    [anon_sym_AMP_AMP] = ACTIONS(5633),
    [anon_sym_AMP] = ACTIONS(5631),
    [anon_sym___extension__] = ACTIONS(5631),
    [anon_sym_typedef] = ACTIONS(5631),
    [anon_sym_in] = ACTIONS(5631),
    [anon_sym_out] = ACTIONS(5631),
    [anon_sym_inout] = ACTIONS(5631),
    [anon_sym_extern] = ACTIONS(5631),
    [anon_sym___attribute__] = ACTIONS(5631),
    [anon_sym_COLON_COLON] = ACTIONS(5633),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5633),
    [anon_sym___declspec] = ACTIONS(5631),
    [anon_sym___based] = ACTIONS(5631),
    [anon_sym_signed] = ACTIONS(5631),
    [anon_sym_unsigned] = ACTIONS(5631),
    [anon_sym_long] = ACTIONS(5631),
    [anon_sym_short] = ACTIONS(5631),
    [anon_sym_LBRACK] = ACTIONS(5631),
    [anon_sym_static] = ACTIONS(5631),
    [anon_sym_register] = ACTIONS(5631),
    [anon_sym_inline] = ACTIONS(5631),
    [anon_sym___inline] = ACTIONS(5631),
    [anon_sym___inline__] = ACTIONS(5631),
    [anon_sym___forceinline] = ACTIONS(5631),
    [anon_sym_thread_local] = ACTIONS(5631),
    [anon_sym___thread] = ACTIONS(5631),
    [anon_sym_const] = ACTIONS(5631),
    [anon_sym_constexpr] = ACTIONS(5631),
    [anon_sym_volatile] = ACTIONS(5631),
    [anon_sym_restrict] = ACTIONS(5631),
    [anon_sym___restrict__] = ACTIONS(5631),
    [anon_sym__Atomic] = ACTIONS(5631),
    [anon_sym__Noreturn] = ACTIONS(5631),
    [anon_sym_noreturn] = ACTIONS(5631),
    [anon_sym_mutable] = ACTIONS(5631),
    [anon_sym_constinit] = ACTIONS(5631),
    [anon_sym_consteval] = ACTIONS(5631),
    [sym_primitive_type] = ACTIONS(5631),
    [anon_sym_enum] = ACTIONS(5631),
    [anon_sym_class] = ACTIONS(5631),
    [anon_sym_struct] = ACTIONS(5631),
    [anon_sym_union] = ACTIONS(5631),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5631),
    [anon_sym_decltype] = ACTIONS(5631),
    [anon_sym_virtual] = ACTIONS(5631),
    [anon_sym_alignas] = ACTIONS(5631),
    [anon_sym_explicit] = ACTIONS(5631),
    [anon_sym_typename] = ACTIONS(5631),
    [anon_sym_template] = ACTIONS(5631),
    [anon_sym_operator] = ACTIONS(5631),
    [anon_sym_friend] = ACTIONS(5631),
    [anon_sym_public] = ACTIONS(5631),
    [anon_sym_private] = ACTIONS(5631),
    [anon_sym_protected] = ACTIONS(5631),
    [anon_sym_using] = ACTIONS(5631),
    [anon_sym_static_assert] = ACTIONS(5631),
    [anon_sym_precise] = ACTIONS(5631),
    [anon_sym_shared] = ACTIONS(5631),
    [anon_sym_groupshared] = ACTIONS(5631),
    [anon_sym_uniform] = ACTIONS(5631),
    [anon_sym_row_major] = ACTIONS(5631),
    [anon_sym_column_major] = ACTIONS(5631),
    [anon_sym_globallycoherent] = ACTIONS(5631),
    [anon_sym_centroid] = ACTIONS(5631),
    [anon_sym_noperspective] = ACTIONS(5631),
    [anon_sym_nointerpolation] = ACTIONS(5631),
    [anon_sym_sample] = ACTIONS(5631),
    [anon_sym_linear] = ACTIONS(5631),
    [anon_sym_snorm] = ACTIONS(5631),
    [anon_sym_unorm] = ACTIONS(5631),
    [anon_sym_point] = ACTIONS(5631),
    [anon_sym_line] = ACTIONS(5631),
    [anon_sym_triangleadj] = ACTIONS(5631),
    [anon_sym_lineadj] = ACTIONS(5631),
    [anon_sym_triangle] = ACTIONS(5631),
  },
  [2558] = {
    [sym_identifier] = ACTIONS(5635),
    [aux_sym_preproc_def_token1] = ACTIONS(5635),
    [aux_sym_preproc_if_token1] = ACTIONS(5635),
    [aux_sym_preproc_if_token2] = ACTIONS(5635),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5635),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5635),
    [aux_sym_preproc_else_token1] = ACTIONS(5635),
    [aux_sym_preproc_elif_token1] = ACTIONS(5635),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5635),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5635),
    [sym_preproc_directive] = ACTIONS(5635),
    [anon_sym_LPAREN2] = ACTIONS(5637),
    [anon_sym_TILDE] = ACTIONS(5637),
    [anon_sym_STAR] = ACTIONS(5637),
    [anon_sym_AMP_AMP] = ACTIONS(5637),
    [anon_sym_AMP] = ACTIONS(5635),
    [anon_sym___extension__] = ACTIONS(5635),
    [anon_sym_typedef] = ACTIONS(5635),
    [anon_sym_in] = ACTIONS(5635),
    [anon_sym_out] = ACTIONS(5635),
    [anon_sym_inout] = ACTIONS(5635),
    [anon_sym_extern] = ACTIONS(5635),
    [anon_sym___attribute__] = ACTIONS(5635),
    [anon_sym_COLON_COLON] = ACTIONS(5637),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5637),
    [anon_sym___declspec] = ACTIONS(5635),
    [anon_sym___based] = ACTIONS(5635),
    [anon_sym_signed] = ACTIONS(5635),
    [anon_sym_unsigned] = ACTIONS(5635),
    [anon_sym_long] = ACTIONS(5635),
    [anon_sym_short] = ACTIONS(5635),
    [anon_sym_LBRACK] = ACTIONS(5635),
    [anon_sym_static] = ACTIONS(5635),
    [anon_sym_register] = ACTIONS(5635),
    [anon_sym_inline] = ACTIONS(5635),
    [anon_sym___inline] = ACTIONS(5635),
    [anon_sym___inline__] = ACTIONS(5635),
    [anon_sym___forceinline] = ACTIONS(5635),
    [anon_sym_thread_local] = ACTIONS(5635),
    [anon_sym___thread] = ACTIONS(5635),
    [anon_sym_const] = ACTIONS(5635),
    [anon_sym_constexpr] = ACTIONS(5635),
    [anon_sym_volatile] = ACTIONS(5635),
    [anon_sym_restrict] = ACTIONS(5635),
    [anon_sym___restrict__] = ACTIONS(5635),
    [anon_sym__Atomic] = ACTIONS(5635),
    [anon_sym__Noreturn] = ACTIONS(5635),
    [anon_sym_noreturn] = ACTIONS(5635),
    [anon_sym_mutable] = ACTIONS(5635),
    [anon_sym_constinit] = ACTIONS(5635),
    [anon_sym_consteval] = ACTIONS(5635),
    [sym_primitive_type] = ACTIONS(5635),
    [anon_sym_enum] = ACTIONS(5635),
    [anon_sym_class] = ACTIONS(5635),
    [anon_sym_struct] = ACTIONS(5635),
    [anon_sym_union] = ACTIONS(5635),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5635),
    [anon_sym_decltype] = ACTIONS(5635),
    [anon_sym_virtual] = ACTIONS(5635),
    [anon_sym_alignas] = ACTIONS(5635),
    [anon_sym_explicit] = ACTIONS(5635),
    [anon_sym_typename] = ACTIONS(5635),
    [anon_sym_template] = ACTIONS(5635),
    [anon_sym_operator] = ACTIONS(5635),
    [anon_sym_friend] = ACTIONS(5635),
    [anon_sym_public] = ACTIONS(5635),
    [anon_sym_private] = ACTIONS(5635),
    [anon_sym_protected] = ACTIONS(5635),
    [anon_sym_using] = ACTIONS(5635),
    [anon_sym_static_assert] = ACTIONS(5635),
    [anon_sym_precise] = ACTIONS(5635),
    [anon_sym_shared] = ACTIONS(5635),
    [anon_sym_groupshared] = ACTIONS(5635),
    [anon_sym_uniform] = ACTIONS(5635),
    [anon_sym_row_major] = ACTIONS(5635),
    [anon_sym_column_major] = ACTIONS(5635),
    [anon_sym_globallycoherent] = ACTIONS(5635),
    [anon_sym_centroid] = ACTIONS(5635),
    [anon_sym_noperspective] = ACTIONS(5635),
    [anon_sym_nointerpolation] = ACTIONS(5635),
    [anon_sym_sample] = ACTIONS(5635),
    [anon_sym_linear] = ACTIONS(5635),
    [anon_sym_snorm] = ACTIONS(5635),
    [anon_sym_unorm] = ACTIONS(5635),
    [anon_sym_point] = ACTIONS(5635),
    [anon_sym_line] = ACTIONS(5635),
    [anon_sym_triangleadj] = ACTIONS(5635),
    [anon_sym_lineadj] = ACTIONS(5635),
    [anon_sym_triangle] = ACTIONS(5635),
  },
  [2559] = {
    [sym_identifier] = ACTIONS(2698),
    [aux_sym_preproc_def_token1] = ACTIONS(2698),
    [aux_sym_preproc_if_token1] = ACTIONS(2698),
    [aux_sym_preproc_if_token2] = ACTIONS(2698),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2698),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2698),
    [aux_sym_preproc_else_token1] = ACTIONS(2698),
    [aux_sym_preproc_elif_token1] = ACTIONS(2698),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2698),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2698),
    [sym_preproc_directive] = ACTIONS(2698),
    [anon_sym_LPAREN2] = ACTIONS(2700),
    [anon_sym_TILDE] = ACTIONS(2700),
    [anon_sym_STAR] = ACTIONS(2700),
    [anon_sym_AMP_AMP] = ACTIONS(2700),
    [anon_sym_AMP] = ACTIONS(2698),
    [anon_sym___extension__] = ACTIONS(2698),
    [anon_sym_typedef] = ACTIONS(2698),
    [anon_sym_in] = ACTIONS(2698),
    [anon_sym_out] = ACTIONS(2698),
    [anon_sym_inout] = ACTIONS(2698),
    [anon_sym_extern] = ACTIONS(2698),
    [anon_sym___attribute__] = ACTIONS(2698),
    [anon_sym_COLON_COLON] = ACTIONS(2700),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2700),
    [anon_sym___declspec] = ACTIONS(2698),
    [anon_sym___based] = ACTIONS(2698),
    [anon_sym_signed] = ACTIONS(2698),
    [anon_sym_unsigned] = ACTIONS(2698),
    [anon_sym_long] = ACTIONS(2698),
    [anon_sym_short] = ACTIONS(2698),
    [anon_sym_LBRACK] = ACTIONS(2698),
    [anon_sym_static] = ACTIONS(2698),
    [anon_sym_register] = ACTIONS(2698),
    [anon_sym_inline] = ACTIONS(2698),
    [anon_sym___inline] = ACTIONS(2698),
    [anon_sym___inline__] = ACTIONS(2698),
    [anon_sym___forceinline] = ACTIONS(2698),
    [anon_sym_thread_local] = ACTIONS(2698),
    [anon_sym___thread] = ACTIONS(2698),
    [anon_sym_const] = ACTIONS(2698),
    [anon_sym_constexpr] = ACTIONS(2698),
    [anon_sym_volatile] = ACTIONS(2698),
    [anon_sym_restrict] = ACTIONS(2698),
    [anon_sym___restrict__] = ACTIONS(2698),
    [anon_sym__Atomic] = ACTIONS(2698),
    [anon_sym__Noreturn] = ACTIONS(2698),
    [anon_sym_noreturn] = ACTIONS(2698),
    [anon_sym_mutable] = ACTIONS(2698),
    [anon_sym_constinit] = ACTIONS(2698),
    [anon_sym_consteval] = ACTIONS(2698),
    [sym_primitive_type] = ACTIONS(2698),
    [anon_sym_enum] = ACTIONS(2698),
    [anon_sym_class] = ACTIONS(2698),
    [anon_sym_struct] = ACTIONS(2698),
    [anon_sym_union] = ACTIONS(2698),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2698),
    [anon_sym_decltype] = ACTIONS(2698),
    [anon_sym_virtual] = ACTIONS(2698),
    [anon_sym_alignas] = ACTIONS(2698),
    [anon_sym_explicit] = ACTIONS(2698),
    [anon_sym_typename] = ACTIONS(2698),
    [anon_sym_template] = ACTIONS(2698),
    [anon_sym_operator] = ACTIONS(2698),
    [anon_sym_friend] = ACTIONS(2698),
    [anon_sym_public] = ACTIONS(2698),
    [anon_sym_private] = ACTIONS(2698),
    [anon_sym_protected] = ACTIONS(2698),
    [anon_sym_using] = ACTIONS(2698),
    [anon_sym_static_assert] = ACTIONS(2698),
    [anon_sym_precise] = ACTIONS(2698),
    [anon_sym_shared] = ACTIONS(2698),
    [anon_sym_groupshared] = ACTIONS(2698),
    [anon_sym_uniform] = ACTIONS(2698),
    [anon_sym_row_major] = ACTIONS(2698),
    [anon_sym_column_major] = ACTIONS(2698),
    [anon_sym_globallycoherent] = ACTIONS(2698),
    [anon_sym_centroid] = ACTIONS(2698),
    [anon_sym_noperspective] = ACTIONS(2698),
    [anon_sym_nointerpolation] = ACTIONS(2698),
    [anon_sym_sample] = ACTIONS(2698),
    [anon_sym_linear] = ACTIONS(2698),
    [anon_sym_snorm] = ACTIONS(2698),
    [anon_sym_unorm] = ACTIONS(2698),
    [anon_sym_point] = ACTIONS(2698),
    [anon_sym_line] = ACTIONS(2698),
    [anon_sym_triangleadj] = ACTIONS(2698),
    [anon_sym_lineadj] = ACTIONS(2698),
    [anon_sym_triangle] = ACTIONS(2698),
  },
  [2560] = {
    [sym_identifier] = ACTIONS(5635),
    [aux_sym_preproc_def_token1] = ACTIONS(5635),
    [aux_sym_preproc_if_token1] = ACTIONS(5635),
    [aux_sym_preproc_if_token2] = ACTIONS(5635),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5635),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5635),
    [aux_sym_preproc_else_token1] = ACTIONS(5635),
    [aux_sym_preproc_elif_token1] = ACTIONS(5635),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5635),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5635),
    [sym_preproc_directive] = ACTIONS(5635),
    [anon_sym_LPAREN2] = ACTIONS(5637),
    [anon_sym_TILDE] = ACTIONS(5637),
    [anon_sym_STAR] = ACTIONS(5637),
    [anon_sym_AMP_AMP] = ACTIONS(5637),
    [anon_sym_AMP] = ACTIONS(5635),
    [anon_sym___extension__] = ACTIONS(5635),
    [anon_sym_typedef] = ACTIONS(5635),
    [anon_sym_in] = ACTIONS(5635),
    [anon_sym_out] = ACTIONS(5635),
    [anon_sym_inout] = ACTIONS(5635),
    [anon_sym_extern] = ACTIONS(5635),
    [anon_sym___attribute__] = ACTIONS(5635),
    [anon_sym_COLON_COLON] = ACTIONS(5637),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5637),
    [anon_sym___declspec] = ACTIONS(5635),
    [anon_sym___based] = ACTIONS(5635),
    [anon_sym_signed] = ACTIONS(5635),
    [anon_sym_unsigned] = ACTIONS(5635),
    [anon_sym_long] = ACTIONS(5635),
    [anon_sym_short] = ACTIONS(5635),
    [anon_sym_LBRACK] = ACTIONS(5635),
    [anon_sym_static] = ACTIONS(5635),
    [anon_sym_register] = ACTIONS(5635),
    [anon_sym_inline] = ACTIONS(5635),
    [anon_sym___inline] = ACTIONS(5635),
    [anon_sym___inline__] = ACTIONS(5635),
    [anon_sym___forceinline] = ACTIONS(5635),
    [anon_sym_thread_local] = ACTIONS(5635),
    [anon_sym___thread] = ACTIONS(5635),
    [anon_sym_const] = ACTIONS(5635),
    [anon_sym_constexpr] = ACTIONS(5635),
    [anon_sym_volatile] = ACTIONS(5635),
    [anon_sym_restrict] = ACTIONS(5635),
    [anon_sym___restrict__] = ACTIONS(5635),
    [anon_sym__Atomic] = ACTIONS(5635),
    [anon_sym__Noreturn] = ACTIONS(5635),
    [anon_sym_noreturn] = ACTIONS(5635),
    [anon_sym_mutable] = ACTIONS(5635),
    [anon_sym_constinit] = ACTIONS(5635),
    [anon_sym_consteval] = ACTIONS(5635),
    [sym_primitive_type] = ACTIONS(5635),
    [anon_sym_enum] = ACTIONS(5635),
    [anon_sym_class] = ACTIONS(5635),
    [anon_sym_struct] = ACTIONS(5635),
    [anon_sym_union] = ACTIONS(5635),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5635),
    [anon_sym_decltype] = ACTIONS(5635),
    [anon_sym_virtual] = ACTIONS(5635),
    [anon_sym_alignas] = ACTIONS(5635),
    [anon_sym_explicit] = ACTIONS(5635),
    [anon_sym_typename] = ACTIONS(5635),
    [anon_sym_template] = ACTIONS(5635),
    [anon_sym_operator] = ACTIONS(5635),
    [anon_sym_friend] = ACTIONS(5635),
    [anon_sym_public] = ACTIONS(5635),
    [anon_sym_private] = ACTIONS(5635),
    [anon_sym_protected] = ACTIONS(5635),
    [anon_sym_using] = ACTIONS(5635),
    [anon_sym_static_assert] = ACTIONS(5635),
    [anon_sym_precise] = ACTIONS(5635),
    [anon_sym_shared] = ACTIONS(5635),
    [anon_sym_groupshared] = ACTIONS(5635),
    [anon_sym_uniform] = ACTIONS(5635),
    [anon_sym_row_major] = ACTIONS(5635),
    [anon_sym_column_major] = ACTIONS(5635),
    [anon_sym_globallycoherent] = ACTIONS(5635),
    [anon_sym_centroid] = ACTIONS(5635),
    [anon_sym_noperspective] = ACTIONS(5635),
    [anon_sym_nointerpolation] = ACTIONS(5635),
    [anon_sym_sample] = ACTIONS(5635),
    [anon_sym_linear] = ACTIONS(5635),
    [anon_sym_snorm] = ACTIONS(5635),
    [anon_sym_unorm] = ACTIONS(5635),
    [anon_sym_point] = ACTIONS(5635),
    [anon_sym_line] = ACTIONS(5635),
    [anon_sym_triangleadj] = ACTIONS(5635),
    [anon_sym_lineadj] = ACTIONS(5635),
    [anon_sym_triangle] = ACTIONS(5635),
  },
  [2561] = {
    [sym_identifier] = ACTIONS(5639),
    [aux_sym_preproc_def_token1] = ACTIONS(5639),
    [aux_sym_preproc_if_token1] = ACTIONS(5639),
    [aux_sym_preproc_if_token2] = ACTIONS(5639),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5639),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5639),
    [aux_sym_preproc_else_token1] = ACTIONS(5639),
    [aux_sym_preproc_elif_token1] = ACTIONS(5639),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5639),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5639),
    [sym_preproc_directive] = ACTIONS(5639),
    [anon_sym_LPAREN2] = ACTIONS(5641),
    [anon_sym_TILDE] = ACTIONS(5641),
    [anon_sym_STAR] = ACTIONS(5641),
    [anon_sym_AMP_AMP] = ACTIONS(5641),
    [anon_sym_AMP] = ACTIONS(5639),
    [anon_sym___extension__] = ACTIONS(5639),
    [anon_sym_typedef] = ACTIONS(5639),
    [anon_sym_in] = ACTIONS(5639),
    [anon_sym_out] = ACTIONS(5639),
    [anon_sym_inout] = ACTIONS(5639),
    [anon_sym_extern] = ACTIONS(5639),
    [anon_sym___attribute__] = ACTIONS(5639),
    [anon_sym_COLON_COLON] = ACTIONS(5641),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5641),
    [anon_sym___declspec] = ACTIONS(5639),
    [anon_sym___based] = ACTIONS(5639),
    [anon_sym_signed] = ACTIONS(5639),
    [anon_sym_unsigned] = ACTIONS(5639),
    [anon_sym_long] = ACTIONS(5639),
    [anon_sym_short] = ACTIONS(5639),
    [anon_sym_LBRACK] = ACTIONS(5639),
    [anon_sym_static] = ACTIONS(5639),
    [anon_sym_register] = ACTIONS(5639),
    [anon_sym_inline] = ACTIONS(5639),
    [anon_sym___inline] = ACTIONS(5639),
    [anon_sym___inline__] = ACTIONS(5639),
    [anon_sym___forceinline] = ACTIONS(5639),
    [anon_sym_thread_local] = ACTIONS(5639),
    [anon_sym___thread] = ACTIONS(5639),
    [anon_sym_const] = ACTIONS(5639),
    [anon_sym_constexpr] = ACTIONS(5639),
    [anon_sym_volatile] = ACTIONS(5639),
    [anon_sym_restrict] = ACTIONS(5639),
    [anon_sym___restrict__] = ACTIONS(5639),
    [anon_sym__Atomic] = ACTIONS(5639),
    [anon_sym__Noreturn] = ACTIONS(5639),
    [anon_sym_noreturn] = ACTIONS(5639),
    [anon_sym_mutable] = ACTIONS(5639),
    [anon_sym_constinit] = ACTIONS(5639),
    [anon_sym_consteval] = ACTIONS(5639),
    [sym_primitive_type] = ACTIONS(5639),
    [anon_sym_enum] = ACTIONS(5639),
    [anon_sym_class] = ACTIONS(5639),
    [anon_sym_struct] = ACTIONS(5639),
    [anon_sym_union] = ACTIONS(5639),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5639),
    [anon_sym_decltype] = ACTIONS(5639),
    [anon_sym_virtual] = ACTIONS(5639),
    [anon_sym_alignas] = ACTIONS(5639),
    [anon_sym_explicit] = ACTIONS(5639),
    [anon_sym_typename] = ACTIONS(5639),
    [anon_sym_template] = ACTIONS(5639),
    [anon_sym_operator] = ACTIONS(5639),
    [anon_sym_friend] = ACTIONS(5639),
    [anon_sym_public] = ACTIONS(5639),
    [anon_sym_private] = ACTIONS(5639),
    [anon_sym_protected] = ACTIONS(5639),
    [anon_sym_using] = ACTIONS(5639),
    [anon_sym_static_assert] = ACTIONS(5639),
    [anon_sym_precise] = ACTIONS(5639),
    [anon_sym_shared] = ACTIONS(5639),
    [anon_sym_groupshared] = ACTIONS(5639),
    [anon_sym_uniform] = ACTIONS(5639),
    [anon_sym_row_major] = ACTIONS(5639),
    [anon_sym_column_major] = ACTIONS(5639),
    [anon_sym_globallycoherent] = ACTIONS(5639),
    [anon_sym_centroid] = ACTIONS(5639),
    [anon_sym_noperspective] = ACTIONS(5639),
    [anon_sym_nointerpolation] = ACTIONS(5639),
    [anon_sym_sample] = ACTIONS(5639),
    [anon_sym_linear] = ACTIONS(5639),
    [anon_sym_snorm] = ACTIONS(5639),
    [anon_sym_unorm] = ACTIONS(5639),
    [anon_sym_point] = ACTIONS(5639),
    [anon_sym_line] = ACTIONS(5639),
    [anon_sym_triangleadj] = ACTIONS(5639),
    [anon_sym_lineadj] = ACTIONS(5639),
    [anon_sym_triangle] = ACTIONS(5639),
  },
  [2562] = {
    [sym_identifier] = ACTIONS(5643),
    [aux_sym_preproc_def_token1] = ACTIONS(5643),
    [aux_sym_preproc_if_token1] = ACTIONS(5643),
    [aux_sym_preproc_if_token2] = ACTIONS(5643),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5643),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5643),
    [aux_sym_preproc_else_token1] = ACTIONS(5643),
    [aux_sym_preproc_elif_token1] = ACTIONS(5643),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5643),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5643),
    [sym_preproc_directive] = ACTIONS(5643),
    [anon_sym_LPAREN2] = ACTIONS(5645),
    [anon_sym_TILDE] = ACTIONS(5645),
    [anon_sym_STAR] = ACTIONS(5645),
    [anon_sym_AMP_AMP] = ACTIONS(5645),
    [anon_sym_AMP] = ACTIONS(5643),
    [anon_sym___extension__] = ACTIONS(5643),
    [anon_sym_typedef] = ACTIONS(5643),
    [anon_sym_in] = ACTIONS(5643),
    [anon_sym_out] = ACTIONS(5643),
    [anon_sym_inout] = ACTIONS(5643),
    [anon_sym_extern] = ACTIONS(5643),
    [anon_sym___attribute__] = ACTIONS(5643),
    [anon_sym_COLON_COLON] = ACTIONS(5645),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5645),
    [anon_sym___declspec] = ACTIONS(5643),
    [anon_sym___based] = ACTIONS(5643),
    [anon_sym_signed] = ACTIONS(5643),
    [anon_sym_unsigned] = ACTIONS(5643),
    [anon_sym_long] = ACTIONS(5643),
    [anon_sym_short] = ACTIONS(5643),
    [anon_sym_LBRACK] = ACTIONS(5643),
    [anon_sym_static] = ACTIONS(5643),
    [anon_sym_register] = ACTIONS(5643),
    [anon_sym_inline] = ACTIONS(5643),
    [anon_sym___inline] = ACTIONS(5643),
    [anon_sym___inline__] = ACTIONS(5643),
    [anon_sym___forceinline] = ACTIONS(5643),
    [anon_sym_thread_local] = ACTIONS(5643),
    [anon_sym___thread] = ACTIONS(5643),
    [anon_sym_const] = ACTIONS(5643),
    [anon_sym_constexpr] = ACTIONS(5643),
    [anon_sym_volatile] = ACTIONS(5643),
    [anon_sym_restrict] = ACTIONS(5643),
    [anon_sym___restrict__] = ACTIONS(5643),
    [anon_sym__Atomic] = ACTIONS(5643),
    [anon_sym__Noreturn] = ACTIONS(5643),
    [anon_sym_noreturn] = ACTIONS(5643),
    [anon_sym_mutable] = ACTIONS(5643),
    [anon_sym_constinit] = ACTIONS(5643),
    [anon_sym_consteval] = ACTIONS(5643),
    [sym_primitive_type] = ACTIONS(5643),
    [anon_sym_enum] = ACTIONS(5643),
    [anon_sym_class] = ACTIONS(5643),
    [anon_sym_struct] = ACTIONS(5643),
    [anon_sym_union] = ACTIONS(5643),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5643),
    [anon_sym_decltype] = ACTIONS(5643),
    [anon_sym_virtual] = ACTIONS(5643),
    [anon_sym_alignas] = ACTIONS(5643),
    [anon_sym_explicit] = ACTIONS(5643),
    [anon_sym_typename] = ACTIONS(5643),
    [anon_sym_template] = ACTIONS(5643),
    [anon_sym_operator] = ACTIONS(5643),
    [anon_sym_friend] = ACTIONS(5643),
    [anon_sym_public] = ACTIONS(5643),
    [anon_sym_private] = ACTIONS(5643),
    [anon_sym_protected] = ACTIONS(5643),
    [anon_sym_using] = ACTIONS(5643),
    [anon_sym_static_assert] = ACTIONS(5643),
    [anon_sym_precise] = ACTIONS(5643),
    [anon_sym_shared] = ACTIONS(5643),
    [anon_sym_groupshared] = ACTIONS(5643),
    [anon_sym_uniform] = ACTIONS(5643),
    [anon_sym_row_major] = ACTIONS(5643),
    [anon_sym_column_major] = ACTIONS(5643),
    [anon_sym_globallycoherent] = ACTIONS(5643),
    [anon_sym_centroid] = ACTIONS(5643),
    [anon_sym_noperspective] = ACTIONS(5643),
    [anon_sym_nointerpolation] = ACTIONS(5643),
    [anon_sym_sample] = ACTIONS(5643),
    [anon_sym_linear] = ACTIONS(5643),
    [anon_sym_snorm] = ACTIONS(5643),
    [anon_sym_unorm] = ACTIONS(5643),
    [anon_sym_point] = ACTIONS(5643),
    [anon_sym_line] = ACTIONS(5643),
    [anon_sym_triangleadj] = ACTIONS(5643),
    [anon_sym_lineadj] = ACTIONS(5643),
    [anon_sym_triangle] = ACTIONS(5643),
  },
  [2563] = {
    [sym_identifier] = ACTIONS(5647),
    [aux_sym_preproc_def_token1] = ACTIONS(5647),
    [aux_sym_preproc_if_token1] = ACTIONS(5647),
    [aux_sym_preproc_if_token2] = ACTIONS(5647),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5647),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5647),
    [aux_sym_preproc_else_token1] = ACTIONS(5647),
    [aux_sym_preproc_elif_token1] = ACTIONS(5647),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5647),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5647),
    [sym_preproc_directive] = ACTIONS(5647),
    [anon_sym_LPAREN2] = ACTIONS(5649),
    [anon_sym_TILDE] = ACTIONS(5649),
    [anon_sym_STAR] = ACTIONS(5649),
    [anon_sym_AMP_AMP] = ACTIONS(5649),
    [anon_sym_AMP] = ACTIONS(5647),
    [anon_sym___extension__] = ACTIONS(5647),
    [anon_sym_typedef] = ACTIONS(5647),
    [anon_sym_in] = ACTIONS(5647),
    [anon_sym_out] = ACTIONS(5647),
    [anon_sym_inout] = ACTIONS(5647),
    [anon_sym_extern] = ACTIONS(5647),
    [anon_sym___attribute__] = ACTIONS(5647),
    [anon_sym_COLON_COLON] = ACTIONS(5649),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5649),
    [anon_sym___declspec] = ACTIONS(5647),
    [anon_sym___based] = ACTIONS(5647),
    [anon_sym_signed] = ACTIONS(5647),
    [anon_sym_unsigned] = ACTIONS(5647),
    [anon_sym_long] = ACTIONS(5647),
    [anon_sym_short] = ACTIONS(5647),
    [anon_sym_LBRACK] = ACTIONS(5647),
    [anon_sym_static] = ACTIONS(5647),
    [anon_sym_register] = ACTIONS(5647),
    [anon_sym_inline] = ACTIONS(5647),
    [anon_sym___inline] = ACTIONS(5647),
    [anon_sym___inline__] = ACTIONS(5647),
    [anon_sym___forceinline] = ACTIONS(5647),
    [anon_sym_thread_local] = ACTIONS(5647),
    [anon_sym___thread] = ACTIONS(5647),
    [anon_sym_const] = ACTIONS(5647),
    [anon_sym_constexpr] = ACTIONS(5647),
    [anon_sym_volatile] = ACTIONS(5647),
    [anon_sym_restrict] = ACTIONS(5647),
    [anon_sym___restrict__] = ACTIONS(5647),
    [anon_sym__Atomic] = ACTIONS(5647),
    [anon_sym__Noreturn] = ACTIONS(5647),
    [anon_sym_noreturn] = ACTIONS(5647),
    [anon_sym_mutable] = ACTIONS(5647),
    [anon_sym_constinit] = ACTIONS(5647),
    [anon_sym_consteval] = ACTIONS(5647),
    [sym_primitive_type] = ACTIONS(5647),
    [anon_sym_enum] = ACTIONS(5647),
    [anon_sym_class] = ACTIONS(5647),
    [anon_sym_struct] = ACTIONS(5647),
    [anon_sym_union] = ACTIONS(5647),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5647),
    [anon_sym_decltype] = ACTIONS(5647),
    [anon_sym_virtual] = ACTIONS(5647),
    [anon_sym_alignas] = ACTIONS(5647),
    [anon_sym_explicit] = ACTIONS(5647),
    [anon_sym_typename] = ACTIONS(5647),
    [anon_sym_template] = ACTIONS(5647),
    [anon_sym_operator] = ACTIONS(5647),
    [anon_sym_friend] = ACTIONS(5647),
    [anon_sym_public] = ACTIONS(5647),
    [anon_sym_private] = ACTIONS(5647),
    [anon_sym_protected] = ACTIONS(5647),
    [anon_sym_using] = ACTIONS(5647),
    [anon_sym_static_assert] = ACTIONS(5647),
    [anon_sym_precise] = ACTIONS(5647),
    [anon_sym_shared] = ACTIONS(5647),
    [anon_sym_groupshared] = ACTIONS(5647),
    [anon_sym_uniform] = ACTIONS(5647),
    [anon_sym_row_major] = ACTIONS(5647),
    [anon_sym_column_major] = ACTIONS(5647),
    [anon_sym_globallycoherent] = ACTIONS(5647),
    [anon_sym_centroid] = ACTIONS(5647),
    [anon_sym_noperspective] = ACTIONS(5647),
    [anon_sym_nointerpolation] = ACTIONS(5647),
    [anon_sym_sample] = ACTIONS(5647),
    [anon_sym_linear] = ACTIONS(5647),
    [anon_sym_snorm] = ACTIONS(5647),
    [anon_sym_unorm] = ACTIONS(5647),
    [anon_sym_point] = ACTIONS(5647),
    [anon_sym_line] = ACTIONS(5647),
    [anon_sym_triangleadj] = ACTIONS(5647),
    [anon_sym_lineadj] = ACTIONS(5647),
    [anon_sym_triangle] = ACTIONS(5647),
  },
  [2564] = {
    [sym_identifier] = ACTIONS(2492),
    [aux_sym_preproc_def_token1] = ACTIONS(2492),
    [aux_sym_preproc_if_token1] = ACTIONS(2492),
    [aux_sym_preproc_if_token2] = ACTIONS(2492),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2492),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2492),
    [aux_sym_preproc_else_token1] = ACTIONS(2492),
    [aux_sym_preproc_elif_token1] = ACTIONS(2492),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2492),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2492),
    [sym_preproc_directive] = ACTIONS(2492),
    [anon_sym_LPAREN2] = ACTIONS(2494),
    [anon_sym_TILDE] = ACTIONS(2494),
    [anon_sym_STAR] = ACTIONS(2494),
    [anon_sym_AMP_AMP] = ACTIONS(2494),
    [anon_sym_AMP] = ACTIONS(2492),
    [anon_sym___extension__] = ACTIONS(2492),
    [anon_sym_typedef] = ACTIONS(2492),
    [anon_sym_in] = ACTIONS(2492),
    [anon_sym_out] = ACTIONS(2492),
    [anon_sym_inout] = ACTIONS(2492),
    [anon_sym_extern] = ACTIONS(2492),
    [anon_sym___attribute__] = ACTIONS(2492),
    [anon_sym_COLON_COLON] = ACTIONS(2494),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2494),
    [anon_sym___declspec] = ACTIONS(2492),
    [anon_sym___based] = ACTIONS(2492),
    [anon_sym_signed] = ACTIONS(2492),
    [anon_sym_unsigned] = ACTIONS(2492),
    [anon_sym_long] = ACTIONS(2492),
    [anon_sym_short] = ACTIONS(2492),
    [anon_sym_LBRACK] = ACTIONS(2492),
    [anon_sym_static] = ACTIONS(2492),
    [anon_sym_register] = ACTIONS(2492),
    [anon_sym_inline] = ACTIONS(2492),
    [anon_sym___inline] = ACTIONS(2492),
    [anon_sym___inline__] = ACTIONS(2492),
    [anon_sym___forceinline] = ACTIONS(2492),
    [anon_sym_thread_local] = ACTIONS(2492),
    [anon_sym___thread] = ACTIONS(2492),
    [anon_sym_const] = ACTIONS(2492),
    [anon_sym_constexpr] = ACTIONS(2492),
    [anon_sym_volatile] = ACTIONS(2492),
    [anon_sym_restrict] = ACTIONS(2492),
    [anon_sym___restrict__] = ACTIONS(2492),
    [anon_sym__Atomic] = ACTIONS(2492),
    [anon_sym__Noreturn] = ACTIONS(2492),
    [anon_sym_noreturn] = ACTIONS(2492),
    [anon_sym_mutable] = ACTIONS(2492),
    [anon_sym_constinit] = ACTIONS(2492),
    [anon_sym_consteval] = ACTIONS(2492),
    [sym_primitive_type] = ACTIONS(2492),
    [anon_sym_enum] = ACTIONS(2492),
    [anon_sym_class] = ACTIONS(2492),
    [anon_sym_struct] = ACTIONS(2492),
    [anon_sym_union] = ACTIONS(2492),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2492),
    [anon_sym_decltype] = ACTIONS(2492),
    [anon_sym_virtual] = ACTIONS(2492),
    [anon_sym_alignas] = ACTIONS(2492),
    [anon_sym_explicit] = ACTIONS(2492),
    [anon_sym_typename] = ACTIONS(2492),
    [anon_sym_template] = ACTIONS(2492),
    [anon_sym_operator] = ACTIONS(2492),
    [anon_sym_friend] = ACTIONS(2492),
    [anon_sym_public] = ACTIONS(2492),
    [anon_sym_private] = ACTIONS(2492),
    [anon_sym_protected] = ACTIONS(2492),
    [anon_sym_using] = ACTIONS(2492),
    [anon_sym_static_assert] = ACTIONS(2492),
    [anon_sym_precise] = ACTIONS(2492),
    [anon_sym_shared] = ACTIONS(2492),
    [anon_sym_groupshared] = ACTIONS(2492),
    [anon_sym_uniform] = ACTIONS(2492),
    [anon_sym_row_major] = ACTIONS(2492),
    [anon_sym_column_major] = ACTIONS(2492),
    [anon_sym_globallycoherent] = ACTIONS(2492),
    [anon_sym_centroid] = ACTIONS(2492),
    [anon_sym_noperspective] = ACTIONS(2492),
    [anon_sym_nointerpolation] = ACTIONS(2492),
    [anon_sym_sample] = ACTIONS(2492),
    [anon_sym_linear] = ACTIONS(2492),
    [anon_sym_snorm] = ACTIONS(2492),
    [anon_sym_unorm] = ACTIONS(2492),
    [anon_sym_point] = ACTIONS(2492),
    [anon_sym_line] = ACTIONS(2492),
    [anon_sym_triangleadj] = ACTIONS(2492),
    [anon_sym_lineadj] = ACTIONS(2492),
    [anon_sym_triangle] = ACTIONS(2492),
  },
  [2565] = {
    [sym_identifier] = ACTIONS(2702),
    [aux_sym_preproc_def_token1] = ACTIONS(2702),
    [aux_sym_preproc_if_token1] = ACTIONS(2702),
    [aux_sym_preproc_if_token2] = ACTIONS(2702),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2702),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2702),
    [aux_sym_preproc_else_token1] = ACTIONS(2702),
    [aux_sym_preproc_elif_token1] = ACTIONS(2702),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2702),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2702),
    [sym_preproc_directive] = ACTIONS(2702),
    [anon_sym_LPAREN2] = ACTIONS(2704),
    [anon_sym_TILDE] = ACTIONS(2704),
    [anon_sym_STAR] = ACTIONS(2704),
    [anon_sym_AMP_AMP] = ACTIONS(2704),
    [anon_sym_AMP] = ACTIONS(2702),
    [anon_sym___extension__] = ACTIONS(2702),
    [anon_sym_typedef] = ACTIONS(2702),
    [anon_sym_in] = ACTIONS(2702),
    [anon_sym_out] = ACTIONS(2702),
    [anon_sym_inout] = ACTIONS(2702),
    [anon_sym_extern] = ACTIONS(2702),
    [anon_sym___attribute__] = ACTIONS(2702),
    [anon_sym_COLON_COLON] = ACTIONS(2704),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2704),
    [anon_sym___declspec] = ACTIONS(2702),
    [anon_sym___based] = ACTIONS(2702),
    [anon_sym_signed] = ACTIONS(2702),
    [anon_sym_unsigned] = ACTIONS(2702),
    [anon_sym_long] = ACTIONS(2702),
    [anon_sym_short] = ACTIONS(2702),
    [anon_sym_LBRACK] = ACTIONS(2702),
    [anon_sym_static] = ACTIONS(2702),
    [anon_sym_register] = ACTIONS(2702),
    [anon_sym_inline] = ACTIONS(2702),
    [anon_sym___inline] = ACTIONS(2702),
    [anon_sym___inline__] = ACTIONS(2702),
    [anon_sym___forceinline] = ACTIONS(2702),
    [anon_sym_thread_local] = ACTIONS(2702),
    [anon_sym___thread] = ACTIONS(2702),
    [anon_sym_const] = ACTIONS(2702),
    [anon_sym_constexpr] = ACTIONS(2702),
    [anon_sym_volatile] = ACTIONS(2702),
    [anon_sym_restrict] = ACTIONS(2702),
    [anon_sym___restrict__] = ACTIONS(2702),
    [anon_sym__Atomic] = ACTIONS(2702),
    [anon_sym__Noreturn] = ACTIONS(2702),
    [anon_sym_noreturn] = ACTIONS(2702),
    [anon_sym_mutable] = ACTIONS(2702),
    [anon_sym_constinit] = ACTIONS(2702),
    [anon_sym_consteval] = ACTIONS(2702),
    [sym_primitive_type] = ACTIONS(2702),
    [anon_sym_enum] = ACTIONS(2702),
    [anon_sym_class] = ACTIONS(2702),
    [anon_sym_struct] = ACTIONS(2702),
    [anon_sym_union] = ACTIONS(2702),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2702),
    [anon_sym_decltype] = ACTIONS(2702),
    [anon_sym_virtual] = ACTIONS(2702),
    [anon_sym_alignas] = ACTIONS(2702),
    [anon_sym_explicit] = ACTIONS(2702),
    [anon_sym_typename] = ACTIONS(2702),
    [anon_sym_template] = ACTIONS(2702),
    [anon_sym_operator] = ACTIONS(2702),
    [anon_sym_friend] = ACTIONS(2702),
    [anon_sym_public] = ACTIONS(2702),
    [anon_sym_private] = ACTIONS(2702),
    [anon_sym_protected] = ACTIONS(2702),
    [anon_sym_using] = ACTIONS(2702),
    [anon_sym_static_assert] = ACTIONS(2702),
    [anon_sym_precise] = ACTIONS(2702),
    [anon_sym_shared] = ACTIONS(2702),
    [anon_sym_groupshared] = ACTIONS(2702),
    [anon_sym_uniform] = ACTIONS(2702),
    [anon_sym_row_major] = ACTIONS(2702),
    [anon_sym_column_major] = ACTIONS(2702),
    [anon_sym_globallycoherent] = ACTIONS(2702),
    [anon_sym_centroid] = ACTIONS(2702),
    [anon_sym_noperspective] = ACTIONS(2702),
    [anon_sym_nointerpolation] = ACTIONS(2702),
    [anon_sym_sample] = ACTIONS(2702),
    [anon_sym_linear] = ACTIONS(2702),
    [anon_sym_snorm] = ACTIONS(2702),
    [anon_sym_unorm] = ACTIONS(2702),
    [anon_sym_point] = ACTIONS(2702),
    [anon_sym_line] = ACTIONS(2702),
    [anon_sym_triangleadj] = ACTIONS(2702),
    [anon_sym_lineadj] = ACTIONS(2702),
    [anon_sym_triangle] = ACTIONS(2702),
  },
  [2566] = {
    [sym_identifier] = ACTIONS(2657),
    [aux_sym_preproc_def_token1] = ACTIONS(2657),
    [aux_sym_preproc_if_token1] = ACTIONS(2657),
    [aux_sym_preproc_if_token2] = ACTIONS(2657),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2657),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2657),
    [aux_sym_preproc_else_token1] = ACTIONS(2657),
    [aux_sym_preproc_elif_token1] = ACTIONS(2657),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2657),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2657),
    [sym_preproc_directive] = ACTIONS(2657),
    [anon_sym_LPAREN2] = ACTIONS(2659),
    [anon_sym_TILDE] = ACTIONS(2659),
    [anon_sym_STAR] = ACTIONS(2659),
    [anon_sym_AMP_AMP] = ACTIONS(2659),
    [anon_sym_AMP] = ACTIONS(2657),
    [anon_sym___extension__] = ACTIONS(2657),
    [anon_sym_typedef] = ACTIONS(2657),
    [anon_sym_in] = ACTIONS(2657),
    [anon_sym_out] = ACTIONS(2657),
    [anon_sym_inout] = ACTIONS(2657),
    [anon_sym_extern] = ACTIONS(2657),
    [anon_sym___attribute__] = ACTIONS(2657),
    [anon_sym_COLON_COLON] = ACTIONS(2659),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2659),
    [anon_sym___declspec] = ACTIONS(2657),
    [anon_sym___based] = ACTIONS(2657),
    [anon_sym_signed] = ACTIONS(2657),
    [anon_sym_unsigned] = ACTIONS(2657),
    [anon_sym_long] = ACTIONS(2657),
    [anon_sym_short] = ACTIONS(2657),
    [anon_sym_LBRACK] = ACTIONS(2657),
    [anon_sym_static] = ACTIONS(2657),
    [anon_sym_register] = ACTIONS(2657),
    [anon_sym_inline] = ACTIONS(2657),
    [anon_sym___inline] = ACTIONS(2657),
    [anon_sym___inline__] = ACTIONS(2657),
    [anon_sym___forceinline] = ACTIONS(2657),
    [anon_sym_thread_local] = ACTIONS(2657),
    [anon_sym___thread] = ACTIONS(2657),
    [anon_sym_const] = ACTIONS(2657),
    [anon_sym_constexpr] = ACTIONS(2657),
    [anon_sym_volatile] = ACTIONS(2657),
    [anon_sym_restrict] = ACTIONS(2657),
    [anon_sym___restrict__] = ACTIONS(2657),
    [anon_sym__Atomic] = ACTIONS(2657),
    [anon_sym__Noreturn] = ACTIONS(2657),
    [anon_sym_noreturn] = ACTIONS(2657),
    [anon_sym_mutable] = ACTIONS(2657),
    [anon_sym_constinit] = ACTIONS(2657),
    [anon_sym_consteval] = ACTIONS(2657),
    [sym_primitive_type] = ACTIONS(2657),
    [anon_sym_enum] = ACTIONS(2657),
    [anon_sym_class] = ACTIONS(2657),
    [anon_sym_struct] = ACTIONS(2657),
    [anon_sym_union] = ACTIONS(2657),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2657),
    [anon_sym_decltype] = ACTIONS(2657),
    [anon_sym_virtual] = ACTIONS(2657),
    [anon_sym_alignas] = ACTIONS(2657),
    [anon_sym_explicit] = ACTIONS(2657),
    [anon_sym_typename] = ACTIONS(2657),
    [anon_sym_template] = ACTIONS(2657),
    [anon_sym_operator] = ACTIONS(2657),
    [anon_sym_friend] = ACTIONS(2657),
    [anon_sym_public] = ACTIONS(2657),
    [anon_sym_private] = ACTIONS(2657),
    [anon_sym_protected] = ACTIONS(2657),
    [anon_sym_using] = ACTIONS(2657),
    [anon_sym_static_assert] = ACTIONS(2657),
    [anon_sym_precise] = ACTIONS(2657),
    [anon_sym_shared] = ACTIONS(2657),
    [anon_sym_groupshared] = ACTIONS(2657),
    [anon_sym_uniform] = ACTIONS(2657),
    [anon_sym_row_major] = ACTIONS(2657),
    [anon_sym_column_major] = ACTIONS(2657),
    [anon_sym_globallycoherent] = ACTIONS(2657),
    [anon_sym_centroid] = ACTIONS(2657),
    [anon_sym_noperspective] = ACTIONS(2657),
    [anon_sym_nointerpolation] = ACTIONS(2657),
    [anon_sym_sample] = ACTIONS(2657),
    [anon_sym_linear] = ACTIONS(2657),
    [anon_sym_snorm] = ACTIONS(2657),
    [anon_sym_unorm] = ACTIONS(2657),
    [anon_sym_point] = ACTIONS(2657),
    [anon_sym_line] = ACTIONS(2657),
    [anon_sym_triangleadj] = ACTIONS(2657),
    [anon_sym_lineadj] = ACTIONS(2657),
    [anon_sym_triangle] = ACTIONS(2657),
  },
  [2567] = {
    [sym__declaration_modifiers] = STATE(2673),
    [sym__declaration_specifiers] = STATE(6020),
    [sym_attribute_specifier] = STATE(2673),
    [sym_attribute_declaration] = STATE(2673),
    [sym_ms_declspec_modifier] = STATE(2673),
    [sym_storage_class_specifier] = STATE(2673),
    [sym_type_qualifier] = STATE(2673),
    [sym__type_specifier] = STATE(2827),
    [sym_sized_type_specifier] = STATE(3085),
    [sym_enum_specifier] = STATE(3085),
    [sym_struct_specifier] = STATE(3085),
    [sym_union_specifier] = STATE(3085),
    [sym_placeholder_type_specifier] = STATE(3085),
    [sym_decltype_auto] = STATE(3091),
    [sym_decltype] = STATE(3050),
    [sym_class_specifier] = STATE(3085),
    [sym_virtual] = STATE(2673),
    [sym_alignas_specifier] = STATE(2673),
    [sym_dependent_type] = STATE(3085),
    [sym_template_type] = STATE(3050),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(7887),
    [sym_qualified_type_identifier] = STATE(3068),
    [sym_qualifiers] = STATE(2673),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2673),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3021),
    [sym_identifier] = ACTIONS(3896),
    [anon_sym___extension__] = ACTIONS(63),
    [anon_sym_in] = ACTIONS(1480),
    [anon_sym_out] = ACTIONS(1480),
    [anon_sym_inout] = ACTIONS(1480),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(3904),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2096),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(2891),
    [anon_sym_enum] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(69),
    [anon_sym_struct] = ACTIONS(71),
    [anon_sym_union] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [anon_sym_virtual] = ACTIONS(123),
    [anon_sym_alignas] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_precise] = ACTIONS(161),
    [anon_sym_shared] = ACTIONS(161),
    [anon_sym_groupshared] = ACTIONS(161),
    [anon_sym_uniform] = ACTIONS(161),
    [anon_sym_row_major] = ACTIONS(161),
    [anon_sym_column_major] = ACTIONS(161),
    [anon_sym_globallycoherent] = ACTIONS(161),
    [anon_sym_centroid] = ACTIONS(161),
    [anon_sym_noperspective] = ACTIONS(161),
    [anon_sym_nointerpolation] = ACTIONS(161),
    [anon_sym_sample] = ACTIONS(161),
    [anon_sym_linear] = ACTIONS(161),
    [anon_sym_snorm] = ACTIONS(161),
    [anon_sym_unorm] = ACTIONS(161),
    [anon_sym_point] = ACTIONS(161),
    [anon_sym_line] = ACTIONS(161),
    [anon_sym_triangleadj] = ACTIONS(161),
    [anon_sym_lineadj] = ACTIONS(161),
    [anon_sym_triangle] = ACTIONS(161),
  },
  [2568] = {
    [sym_identifier] = ACTIONS(5651),
    [aux_sym_preproc_def_token1] = ACTIONS(5651),
    [aux_sym_preproc_if_token1] = ACTIONS(5651),
    [aux_sym_preproc_if_token2] = ACTIONS(5651),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5651),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5651),
    [aux_sym_preproc_else_token1] = ACTIONS(5651),
    [aux_sym_preproc_elif_token1] = ACTIONS(5651),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5651),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5651),
    [sym_preproc_directive] = ACTIONS(5651),
    [anon_sym_LPAREN2] = ACTIONS(5653),
    [anon_sym_TILDE] = ACTIONS(5653),
    [anon_sym_STAR] = ACTIONS(5653),
    [anon_sym_AMP_AMP] = ACTIONS(5653),
    [anon_sym_AMP] = ACTIONS(5651),
    [anon_sym___extension__] = ACTIONS(5651),
    [anon_sym_typedef] = ACTIONS(5651),
    [anon_sym_in] = ACTIONS(5651),
    [anon_sym_out] = ACTIONS(5651),
    [anon_sym_inout] = ACTIONS(5651),
    [anon_sym_extern] = ACTIONS(5651),
    [anon_sym___attribute__] = ACTIONS(5651),
    [anon_sym_COLON_COLON] = ACTIONS(5653),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5653),
    [anon_sym___declspec] = ACTIONS(5651),
    [anon_sym___based] = ACTIONS(5651),
    [anon_sym_signed] = ACTIONS(5651),
    [anon_sym_unsigned] = ACTIONS(5651),
    [anon_sym_long] = ACTIONS(5651),
    [anon_sym_short] = ACTIONS(5651),
    [anon_sym_LBRACK] = ACTIONS(5651),
    [anon_sym_static] = ACTIONS(5651),
    [anon_sym_register] = ACTIONS(5651),
    [anon_sym_inline] = ACTIONS(5651),
    [anon_sym___inline] = ACTIONS(5651),
    [anon_sym___inline__] = ACTIONS(5651),
    [anon_sym___forceinline] = ACTIONS(5651),
    [anon_sym_thread_local] = ACTIONS(5651),
    [anon_sym___thread] = ACTIONS(5651),
    [anon_sym_const] = ACTIONS(5651),
    [anon_sym_constexpr] = ACTIONS(5651),
    [anon_sym_volatile] = ACTIONS(5651),
    [anon_sym_restrict] = ACTIONS(5651),
    [anon_sym___restrict__] = ACTIONS(5651),
    [anon_sym__Atomic] = ACTIONS(5651),
    [anon_sym__Noreturn] = ACTIONS(5651),
    [anon_sym_noreturn] = ACTIONS(5651),
    [anon_sym_mutable] = ACTIONS(5651),
    [anon_sym_constinit] = ACTIONS(5651),
    [anon_sym_consteval] = ACTIONS(5651),
    [sym_primitive_type] = ACTIONS(5651),
    [anon_sym_enum] = ACTIONS(5651),
    [anon_sym_class] = ACTIONS(5651),
    [anon_sym_struct] = ACTIONS(5651),
    [anon_sym_union] = ACTIONS(5651),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5651),
    [anon_sym_decltype] = ACTIONS(5651),
    [anon_sym_virtual] = ACTIONS(5651),
    [anon_sym_alignas] = ACTIONS(5651),
    [anon_sym_explicit] = ACTIONS(5651),
    [anon_sym_typename] = ACTIONS(5651),
    [anon_sym_template] = ACTIONS(5651),
    [anon_sym_operator] = ACTIONS(5651),
    [anon_sym_friend] = ACTIONS(5651),
    [anon_sym_public] = ACTIONS(5651),
    [anon_sym_private] = ACTIONS(5651),
    [anon_sym_protected] = ACTIONS(5651),
    [anon_sym_using] = ACTIONS(5651),
    [anon_sym_static_assert] = ACTIONS(5651),
    [anon_sym_precise] = ACTIONS(5651),
    [anon_sym_shared] = ACTIONS(5651),
    [anon_sym_groupshared] = ACTIONS(5651),
    [anon_sym_uniform] = ACTIONS(5651),
    [anon_sym_row_major] = ACTIONS(5651),
    [anon_sym_column_major] = ACTIONS(5651),
    [anon_sym_globallycoherent] = ACTIONS(5651),
    [anon_sym_centroid] = ACTIONS(5651),
    [anon_sym_noperspective] = ACTIONS(5651),
    [anon_sym_nointerpolation] = ACTIONS(5651),
    [anon_sym_sample] = ACTIONS(5651),
    [anon_sym_linear] = ACTIONS(5651),
    [anon_sym_snorm] = ACTIONS(5651),
    [anon_sym_unorm] = ACTIONS(5651),
    [anon_sym_point] = ACTIONS(5651),
    [anon_sym_line] = ACTIONS(5651),
    [anon_sym_triangleadj] = ACTIONS(5651),
    [anon_sym_lineadj] = ACTIONS(5651),
    [anon_sym_triangle] = ACTIONS(5651),
  },
  [2569] = {
    [sym_identifier] = ACTIONS(2617),
    [aux_sym_preproc_def_token1] = ACTIONS(2617),
    [aux_sym_preproc_if_token1] = ACTIONS(2617),
    [aux_sym_preproc_if_token2] = ACTIONS(2617),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2617),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2617),
    [aux_sym_preproc_else_token1] = ACTIONS(2617),
    [aux_sym_preproc_elif_token1] = ACTIONS(2617),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2617),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2617),
    [sym_preproc_directive] = ACTIONS(2617),
    [anon_sym_LPAREN2] = ACTIONS(2619),
    [anon_sym_TILDE] = ACTIONS(2619),
    [anon_sym_STAR] = ACTIONS(2619),
    [anon_sym_AMP_AMP] = ACTIONS(2619),
    [anon_sym_AMP] = ACTIONS(2617),
    [anon_sym___extension__] = ACTIONS(2617),
    [anon_sym_typedef] = ACTIONS(2617),
    [anon_sym_in] = ACTIONS(2617),
    [anon_sym_out] = ACTIONS(2617),
    [anon_sym_inout] = ACTIONS(2617),
    [anon_sym_extern] = ACTIONS(2617),
    [anon_sym___attribute__] = ACTIONS(2617),
    [anon_sym_COLON_COLON] = ACTIONS(2619),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2619),
    [anon_sym___declspec] = ACTIONS(2617),
    [anon_sym___based] = ACTIONS(2617),
    [anon_sym_signed] = ACTIONS(2617),
    [anon_sym_unsigned] = ACTIONS(2617),
    [anon_sym_long] = ACTIONS(2617),
    [anon_sym_short] = ACTIONS(2617),
    [anon_sym_LBRACK] = ACTIONS(2617),
    [anon_sym_static] = ACTIONS(2617),
    [anon_sym_register] = ACTIONS(2617),
    [anon_sym_inline] = ACTIONS(2617),
    [anon_sym___inline] = ACTIONS(2617),
    [anon_sym___inline__] = ACTIONS(2617),
    [anon_sym___forceinline] = ACTIONS(2617),
    [anon_sym_thread_local] = ACTIONS(2617),
    [anon_sym___thread] = ACTIONS(2617),
    [anon_sym_const] = ACTIONS(2617),
    [anon_sym_constexpr] = ACTIONS(2617),
    [anon_sym_volatile] = ACTIONS(2617),
    [anon_sym_restrict] = ACTIONS(2617),
    [anon_sym___restrict__] = ACTIONS(2617),
    [anon_sym__Atomic] = ACTIONS(2617),
    [anon_sym__Noreturn] = ACTIONS(2617),
    [anon_sym_noreturn] = ACTIONS(2617),
    [anon_sym_mutable] = ACTIONS(2617),
    [anon_sym_constinit] = ACTIONS(2617),
    [anon_sym_consteval] = ACTIONS(2617),
    [sym_primitive_type] = ACTIONS(2617),
    [anon_sym_enum] = ACTIONS(2617),
    [anon_sym_class] = ACTIONS(2617),
    [anon_sym_struct] = ACTIONS(2617),
    [anon_sym_union] = ACTIONS(2617),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2617),
    [anon_sym_decltype] = ACTIONS(2617),
    [anon_sym_virtual] = ACTIONS(2617),
    [anon_sym_alignas] = ACTIONS(2617),
    [anon_sym_explicit] = ACTIONS(2617),
    [anon_sym_typename] = ACTIONS(2617),
    [anon_sym_template] = ACTIONS(2617),
    [anon_sym_operator] = ACTIONS(2617),
    [anon_sym_friend] = ACTIONS(2617),
    [anon_sym_public] = ACTIONS(2617),
    [anon_sym_private] = ACTIONS(2617),
    [anon_sym_protected] = ACTIONS(2617),
    [anon_sym_using] = ACTIONS(2617),
    [anon_sym_static_assert] = ACTIONS(2617),
    [anon_sym_precise] = ACTIONS(2617),
    [anon_sym_shared] = ACTIONS(2617),
    [anon_sym_groupshared] = ACTIONS(2617),
    [anon_sym_uniform] = ACTIONS(2617),
    [anon_sym_row_major] = ACTIONS(2617),
    [anon_sym_column_major] = ACTIONS(2617),
    [anon_sym_globallycoherent] = ACTIONS(2617),
    [anon_sym_centroid] = ACTIONS(2617),
    [anon_sym_noperspective] = ACTIONS(2617),
    [anon_sym_nointerpolation] = ACTIONS(2617),
    [anon_sym_sample] = ACTIONS(2617),
    [anon_sym_linear] = ACTIONS(2617),
    [anon_sym_snorm] = ACTIONS(2617),
    [anon_sym_unorm] = ACTIONS(2617),
    [anon_sym_point] = ACTIONS(2617),
    [anon_sym_line] = ACTIONS(2617),
    [anon_sym_triangleadj] = ACTIONS(2617),
    [anon_sym_lineadj] = ACTIONS(2617),
    [anon_sym_triangle] = ACTIONS(2617),
  },
  [2570] = {
    [sym_identifier] = ACTIONS(2617),
    [aux_sym_preproc_def_token1] = ACTIONS(2617),
    [aux_sym_preproc_if_token1] = ACTIONS(2617),
    [aux_sym_preproc_if_token2] = ACTIONS(2617),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2617),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2617),
    [aux_sym_preproc_else_token1] = ACTIONS(2617),
    [aux_sym_preproc_elif_token1] = ACTIONS(2617),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2617),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2617),
    [sym_preproc_directive] = ACTIONS(2617),
    [anon_sym_LPAREN2] = ACTIONS(2619),
    [anon_sym_TILDE] = ACTIONS(2619),
    [anon_sym_STAR] = ACTIONS(2619),
    [anon_sym_AMP_AMP] = ACTIONS(2619),
    [anon_sym_AMP] = ACTIONS(2617),
    [anon_sym___extension__] = ACTIONS(2617),
    [anon_sym_typedef] = ACTIONS(2617),
    [anon_sym_in] = ACTIONS(2617),
    [anon_sym_out] = ACTIONS(2617),
    [anon_sym_inout] = ACTIONS(2617),
    [anon_sym_extern] = ACTIONS(2617),
    [anon_sym___attribute__] = ACTIONS(2617),
    [anon_sym_COLON_COLON] = ACTIONS(2619),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2619),
    [anon_sym___declspec] = ACTIONS(2617),
    [anon_sym___based] = ACTIONS(2617),
    [anon_sym_signed] = ACTIONS(2617),
    [anon_sym_unsigned] = ACTIONS(2617),
    [anon_sym_long] = ACTIONS(2617),
    [anon_sym_short] = ACTIONS(2617),
    [anon_sym_LBRACK] = ACTIONS(2617),
    [anon_sym_static] = ACTIONS(2617),
    [anon_sym_register] = ACTIONS(2617),
    [anon_sym_inline] = ACTIONS(2617),
    [anon_sym___inline] = ACTIONS(2617),
    [anon_sym___inline__] = ACTIONS(2617),
    [anon_sym___forceinline] = ACTIONS(2617),
    [anon_sym_thread_local] = ACTIONS(2617),
    [anon_sym___thread] = ACTIONS(2617),
    [anon_sym_const] = ACTIONS(2617),
    [anon_sym_constexpr] = ACTIONS(2617),
    [anon_sym_volatile] = ACTIONS(2617),
    [anon_sym_restrict] = ACTIONS(2617),
    [anon_sym___restrict__] = ACTIONS(2617),
    [anon_sym__Atomic] = ACTIONS(2617),
    [anon_sym__Noreturn] = ACTIONS(2617),
    [anon_sym_noreturn] = ACTIONS(2617),
    [anon_sym_mutable] = ACTIONS(2617),
    [anon_sym_constinit] = ACTIONS(2617),
    [anon_sym_consteval] = ACTIONS(2617),
    [sym_primitive_type] = ACTIONS(2617),
    [anon_sym_enum] = ACTIONS(2617),
    [anon_sym_class] = ACTIONS(2617),
    [anon_sym_struct] = ACTIONS(2617),
    [anon_sym_union] = ACTIONS(2617),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2617),
    [anon_sym_decltype] = ACTIONS(2617),
    [anon_sym_virtual] = ACTIONS(2617),
    [anon_sym_alignas] = ACTIONS(2617),
    [anon_sym_explicit] = ACTIONS(2617),
    [anon_sym_typename] = ACTIONS(2617),
    [anon_sym_template] = ACTIONS(2617),
    [anon_sym_operator] = ACTIONS(2617),
    [anon_sym_friend] = ACTIONS(2617),
    [anon_sym_public] = ACTIONS(2617),
    [anon_sym_private] = ACTIONS(2617),
    [anon_sym_protected] = ACTIONS(2617),
    [anon_sym_using] = ACTIONS(2617),
    [anon_sym_static_assert] = ACTIONS(2617),
    [anon_sym_precise] = ACTIONS(2617),
    [anon_sym_shared] = ACTIONS(2617),
    [anon_sym_groupshared] = ACTIONS(2617),
    [anon_sym_uniform] = ACTIONS(2617),
    [anon_sym_row_major] = ACTIONS(2617),
    [anon_sym_column_major] = ACTIONS(2617),
    [anon_sym_globallycoherent] = ACTIONS(2617),
    [anon_sym_centroid] = ACTIONS(2617),
    [anon_sym_noperspective] = ACTIONS(2617),
    [anon_sym_nointerpolation] = ACTIONS(2617),
    [anon_sym_sample] = ACTIONS(2617),
    [anon_sym_linear] = ACTIONS(2617),
    [anon_sym_snorm] = ACTIONS(2617),
    [anon_sym_unorm] = ACTIONS(2617),
    [anon_sym_point] = ACTIONS(2617),
    [anon_sym_line] = ACTIONS(2617),
    [anon_sym_triangleadj] = ACTIONS(2617),
    [anon_sym_lineadj] = ACTIONS(2617),
    [anon_sym_triangle] = ACTIONS(2617),
  },
  [2571] = {
    [sym_identifier] = ACTIONS(5655),
    [aux_sym_preproc_def_token1] = ACTIONS(5655),
    [aux_sym_preproc_if_token1] = ACTIONS(5655),
    [aux_sym_preproc_if_token2] = ACTIONS(5655),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5655),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5655),
    [aux_sym_preproc_else_token1] = ACTIONS(5655),
    [aux_sym_preproc_elif_token1] = ACTIONS(5655),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5655),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5655),
    [sym_preproc_directive] = ACTIONS(5655),
    [anon_sym_LPAREN2] = ACTIONS(5657),
    [anon_sym_TILDE] = ACTIONS(5657),
    [anon_sym_STAR] = ACTIONS(5657),
    [anon_sym_AMP_AMP] = ACTIONS(5657),
    [anon_sym_AMP] = ACTIONS(5655),
    [anon_sym___extension__] = ACTIONS(5655),
    [anon_sym_typedef] = ACTIONS(5655),
    [anon_sym_in] = ACTIONS(5655),
    [anon_sym_out] = ACTIONS(5655),
    [anon_sym_inout] = ACTIONS(5655),
    [anon_sym_extern] = ACTIONS(5655),
    [anon_sym___attribute__] = ACTIONS(5655),
    [anon_sym_COLON_COLON] = ACTIONS(5657),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5657),
    [anon_sym___declspec] = ACTIONS(5655),
    [anon_sym___based] = ACTIONS(5655),
    [anon_sym_signed] = ACTIONS(5655),
    [anon_sym_unsigned] = ACTIONS(5655),
    [anon_sym_long] = ACTIONS(5655),
    [anon_sym_short] = ACTIONS(5655),
    [anon_sym_LBRACK] = ACTIONS(5655),
    [anon_sym_static] = ACTIONS(5655),
    [anon_sym_register] = ACTIONS(5655),
    [anon_sym_inline] = ACTIONS(5655),
    [anon_sym___inline] = ACTIONS(5655),
    [anon_sym___inline__] = ACTIONS(5655),
    [anon_sym___forceinline] = ACTIONS(5655),
    [anon_sym_thread_local] = ACTIONS(5655),
    [anon_sym___thread] = ACTIONS(5655),
    [anon_sym_const] = ACTIONS(5655),
    [anon_sym_constexpr] = ACTIONS(5655),
    [anon_sym_volatile] = ACTIONS(5655),
    [anon_sym_restrict] = ACTIONS(5655),
    [anon_sym___restrict__] = ACTIONS(5655),
    [anon_sym__Atomic] = ACTIONS(5655),
    [anon_sym__Noreturn] = ACTIONS(5655),
    [anon_sym_noreturn] = ACTIONS(5655),
    [anon_sym_mutable] = ACTIONS(5655),
    [anon_sym_constinit] = ACTIONS(5655),
    [anon_sym_consteval] = ACTIONS(5655),
    [sym_primitive_type] = ACTIONS(5655),
    [anon_sym_enum] = ACTIONS(5655),
    [anon_sym_class] = ACTIONS(5655),
    [anon_sym_struct] = ACTIONS(5655),
    [anon_sym_union] = ACTIONS(5655),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5655),
    [anon_sym_decltype] = ACTIONS(5655),
    [anon_sym_virtual] = ACTIONS(5655),
    [anon_sym_alignas] = ACTIONS(5655),
    [anon_sym_explicit] = ACTIONS(5655),
    [anon_sym_typename] = ACTIONS(5655),
    [anon_sym_template] = ACTIONS(5655),
    [anon_sym_operator] = ACTIONS(5655),
    [anon_sym_friend] = ACTIONS(5655),
    [anon_sym_public] = ACTIONS(5655),
    [anon_sym_private] = ACTIONS(5655),
    [anon_sym_protected] = ACTIONS(5655),
    [anon_sym_using] = ACTIONS(5655),
    [anon_sym_static_assert] = ACTIONS(5655),
    [anon_sym_precise] = ACTIONS(5655),
    [anon_sym_shared] = ACTIONS(5655),
    [anon_sym_groupshared] = ACTIONS(5655),
    [anon_sym_uniform] = ACTIONS(5655),
    [anon_sym_row_major] = ACTIONS(5655),
    [anon_sym_column_major] = ACTIONS(5655),
    [anon_sym_globallycoherent] = ACTIONS(5655),
    [anon_sym_centroid] = ACTIONS(5655),
    [anon_sym_noperspective] = ACTIONS(5655),
    [anon_sym_nointerpolation] = ACTIONS(5655),
    [anon_sym_sample] = ACTIONS(5655),
    [anon_sym_linear] = ACTIONS(5655),
    [anon_sym_snorm] = ACTIONS(5655),
    [anon_sym_unorm] = ACTIONS(5655),
    [anon_sym_point] = ACTIONS(5655),
    [anon_sym_line] = ACTIONS(5655),
    [anon_sym_triangleadj] = ACTIONS(5655),
    [anon_sym_lineadj] = ACTIONS(5655),
    [anon_sym_triangle] = ACTIONS(5655),
  },
  [2572] = {
    [sym_identifier] = ACTIONS(2520),
    [aux_sym_preproc_def_token1] = ACTIONS(2520),
    [aux_sym_preproc_if_token1] = ACTIONS(2520),
    [aux_sym_preproc_if_token2] = ACTIONS(2520),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2520),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2520),
    [aux_sym_preproc_else_token1] = ACTIONS(2520),
    [aux_sym_preproc_elif_token1] = ACTIONS(2520),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2520),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2520),
    [sym_preproc_directive] = ACTIONS(2520),
    [anon_sym_LPAREN2] = ACTIONS(2522),
    [anon_sym_TILDE] = ACTIONS(2522),
    [anon_sym_STAR] = ACTIONS(2522),
    [anon_sym_AMP_AMP] = ACTIONS(2522),
    [anon_sym_AMP] = ACTIONS(2520),
    [anon_sym___extension__] = ACTIONS(2520),
    [anon_sym_typedef] = ACTIONS(2520),
    [anon_sym_in] = ACTIONS(2520),
    [anon_sym_out] = ACTIONS(2520),
    [anon_sym_inout] = ACTIONS(2520),
    [anon_sym_extern] = ACTIONS(2520),
    [anon_sym___attribute__] = ACTIONS(2520),
    [anon_sym_COLON_COLON] = ACTIONS(2522),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2522),
    [anon_sym___declspec] = ACTIONS(2520),
    [anon_sym___based] = ACTIONS(2520),
    [anon_sym_signed] = ACTIONS(2520),
    [anon_sym_unsigned] = ACTIONS(2520),
    [anon_sym_long] = ACTIONS(2520),
    [anon_sym_short] = ACTIONS(2520),
    [anon_sym_LBRACK] = ACTIONS(2520),
    [anon_sym_static] = ACTIONS(2520),
    [anon_sym_register] = ACTIONS(2520),
    [anon_sym_inline] = ACTIONS(2520),
    [anon_sym___inline] = ACTIONS(2520),
    [anon_sym___inline__] = ACTIONS(2520),
    [anon_sym___forceinline] = ACTIONS(2520),
    [anon_sym_thread_local] = ACTIONS(2520),
    [anon_sym___thread] = ACTIONS(2520),
    [anon_sym_const] = ACTIONS(2520),
    [anon_sym_constexpr] = ACTIONS(2520),
    [anon_sym_volatile] = ACTIONS(2520),
    [anon_sym_restrict] = ACTIONS(2520),
    [anon_sym___restrict__] = ACTIONS(2520),
    [anon_sym__Atomic] = ACTIONS(2520),
    [anon_sym__Noreturn] = ACTIONS(2520),
    [anon_sym_noreturn] = ACTIONS(2520),
    [anon_sym_mutable] = ACTIONS(2520),
    [anon_sym_constinit] = ACTIONS(2520),
    [anon_sym_consteval] = ACTIONS(2520),
    [sym_primitive_type] = ACTIONS(2520),
    [anon_sym_enum] = ACTIONS(2520),
    [anon_sym_class] = ACTIONS(2520),
    [anon_sym_struct] = ACTIONS(2520),
    [anon_sym_union] = ACTIONS(2520),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2520),
    [anon_sym_decltype] = ACTIONS(2520),
    [anon_sym_virtual] = ACTIONS(2520),
    [anon_sym_alignas] = ACTIONS(2520),
    [anon_sym_explicit] = ACTIONS(2520),
    [anon_sym_typename] = ACTIONS(2520),
    [anon_sym_template] = ACTIONS(2520),
    [anon_sym_operator] = ACTIONS(2520),
    [anon_sym_friend] = ACTIONS(2520),
    [anon_sym_public] = ACTIONS(2520),
    [anon_sym_private] = ACTIONS(2520),
    [anon_sym_protected] = ACTIONS(2520),
    [anon_sym_using] = ACTIONS(2520),
    [anon_sym_static_assert] = ACTIONS(2520),
    [anon_sym_precise] = ACTIONS(2520),
    [anon_sym_shared] = ACTIONS(2520),
    [anon_sym_groupshared] = ACTIONS(2520),
    [anon_sym_uniform] = ACTIONS(2520),
    [anon_sym_row_major] = ACTIONS(2520),
    [anon_sym_column_major] = ACTIONS(2520),
    [anon_sym_globallycoherent] = ACTIONS(2520),
    [anon_sym_centroid] = ACTIONS(2520),
    [anon_sym_noperspective] = ACTIONS(2520),
    [anon_sym_nointerpolation] = ACTIONS(2520),
    [anon_sym_sample] = ACTIONS(2520),
    [anon_sym_linear] = ACTIONS(2520),
    [anon_sym_snorm] = ACTIONS(2520),
    [anon_sym_unorm] = ACTIONS(2520),
    [anon_sym_point] = ACTIONS(2520),
    [anon_sym_line] = ACTIONS(2520),
    [anon_sym_triangleadj] = ACTIONS(2520),
    [anon_sym_lineadj] = ACTIONS(2520),
    [anon_sym_triangle] = ACTIONS(2520),
  },
  [2573] = {
    [sym__declaration_modifiers] = STATE(2673),
    [sym__declaration_specifiers] = STATE(6550),
    [sym_attribute_specifier] = STATE(2673),
    [sym_attribute_declaration] = STATE(2673),
    [sym_ms_declspec_modifier] = STATE(2673),
    [sym_storage_class_specifier] = STATE(2673),
    [sym_type_qualifier] = STATE(2673),
    [sym__type_specifier] = STATE(2827),
    [sym_sized_type_specifier] = STATE(3085),
    [sym_enum_specifier] = STATE(3085),
    [sym_struct_specifier] = STATE(3085),
    [sym_union_specifier] = STATE(3085),
    [sym_placeholder_type_specifier] = STATE(3085),
    [sym_decltype_auto] = STATE(3091),
    [sym_decltype] = STATE(3050),
    [sym_class_specifier] = STATE(3085),
    [sym_virtual] = STATE(2673),
    [sym_alignas_specifier] = STATE(2673),
    [sym_dependent_type] = STATE(3085),
    [sym_template_type] = STATE(3050),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(7887),
    [sym_qualified_type_identifier] = STATE(3068),
    [sym_qualifiers] = STATE(2673),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2673),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3021),
    [sym_identifier] = ACTIONS(3896),
    [anon_sym___extension__] = ACTIONS(63),
    [anon_sym_in] = ACTIONS(1480),
    [anon_sym_out] = ACTIONS(1480),
    [anon_sym_inout] = ACTIONS(1480),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(3904),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2096),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(2891),
    [anon_sym_enum] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(69),
    [anon_sym_struct] = ACTIONS(71),
    [anon_sym_union] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [anon_sym_virtual] = ACTIONS(123),
    [anon_sym_alignas] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_precise] = ACTIONS(161),
    [anon_sym_shared] = ACTIONS(161),
    [anon_sym_groupshared] = ACTIONS(161),
    [anon_sym_uniform] = ACTIONS(161),
    [anon_sym_row_major] = ACTIONS(161),
    [anon_sym_column_major] = ACTIONS(161),
    [anon_sym_globallycoherent] = ACTIONS(161),
    [anon_sym_centroid] = ACTIONS(161),
    [anon_sym_noperspective] = ACTIONS(161),
    [anon_sym_nointerpolation] = ACTIONS(161),
    [anon_sym_sample] = ACTIONS(161),
    [anon_sym_linear] = ACTIONS(161),
    [anon_sym_snorm] = ACTIONS(161),
    [anon_sym_unorm] = ACTIONS(161),
    [anon_sym_point] = ACTIONS(161),
    [anon_sym_line] = ACTIONS(161),
    [anon_sym_triangleadj] = ACTIONS(161),
    [anon_sym_lineadj] = ACTIONS(161),
    [anon_sym_triangle] = ACTIONS(161),
  },
  [2574] = {
    [sym__declaration_modifiers] = STATE(2673),
    [sym__declaration_specifiers] = STATE(6018),
    [sym_attribute_specifier] = STATE(2673),
    [sym_attribute_declaration] = STATE(2673),
    [sym_ms_declspec_modifier] = STATE(2673),
    [sym_storage_class_specifier] = STATE(2673),
    [sym_type_qualifier] = STATE(2673),
    [sym__type_specifier] = STATE(2827),
    [sym_sized_type_specifier] = STATE(3085),
    [sym_enum_specifier] = STATE(3085),
    [sym_struct_specifier] = STATE(3085),
    [sym_union_specifier] = STATE(3085),
    [sym_placeholder_type_specifier] = STATE(3085),
    [sym_decltype_auto] = STATE(3091),
    [sym_decltype] = STATE(3050),
    [sym_class_specifier] = STATE(3085),
    [sym_virtual] = STATE(2673),
    [sym_alignas_specifier] = STATE(2673),
    [sym_dependent_type] = STATE(3085),
    [sym_template_type] = STATE(3050),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(7887),
    [sym_qualified_type_identifier] = STATE(3068),
    [sym_qualifiers] = STATE(2673),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2673),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3021),
    [sym_identifier] = ACTIONS(3896),
    [anon_sym___extension__] = ACTIONS(63),
    [anon_sym_in] = ACTIONS(1480),
    [anon_sym_out] = ACTIONS(1480),
    [anon_sym_inout] = ACTIONS(1480),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(3904),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2096),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(2891),
    [anon_sym_enum] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(69),
    [anon_sym_struct] = ACTIONS(71),
    [anon_sym_union] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [anon_sym_virtual] = ACTIONS(123),
    [anon_sym_alignas] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_precise] = ACTIONS(161),
    [anon_sym_shared] = ACTIONS(161),
    [anon_sym_groupshared] = ACTIONS(161),
    [anon_sym_uniform] = ACTIONS(161),
    [anon_sym_row_major] = ACTIONS(161),
    [anon_sym_column_major] = ACTIONS(161),
    [anon_sym_globallycoherent] = ACTIONS(161),
    [anon_sym_centroid] = ACTIONS(161),
    [anon_sym_noperspective] = ACTIONS(161),
    [anon_sym_nointerpolation] = ACTIONS(161),
    [anon_sym_sample] = ACTIONS(161),
    [anon_sym_linear] = ACTIONS(161),
    [anon_sym_snorm] = ACTIONS(161),
    [anon_sym_unorm] = ACTIONS(161),
    [anon_sym_point] = ACTIONS(161),
    [anon_sym_line] = ACTIONS(161),
    [anon_sym_triangleadj] = ACTIONS(161),
    [anon_sym_lineadj] = ACTIONS(161),
    [anon_sym_triangle] = ACTIONS(161),
  },
  [2575] = {
    [sym__declaration_modifiers] = STATE(2673),
    [sym__declaration_specifiers] = STATE(5978),
    [sym_attribute_specifier] = STATE(2673),
    [sym_attribute_declaration] = STATE(2673),
    [sym_ms_declspec_modifier] = STATE(2673),
    [sym_storage_class_specifier] = STATE(2673),
    [sym_type_qualifier] = STATE(2673),
    [sym__type_specifier] = STATE(2827),
    [sym_sized_type_specifier] = STATE(3085),
    [sym_enum_specifier] = STATE(3085),
    [sym_struct_specifier] = STATE(3085),
    [sym_union_specifier] = STATE(3085),
    [sym_placeholder_type_specifier] = STATE(3085),
    [sym_decltype_auto] = STATE(3091),
    [sym_decltype] = STATE(3050),
    [sym_class_specifier] = STATE(3085),
    [sym_virtual] = STATE(2673),
    [sym_alignas_specifier] = STATE(2673),
    [sym_dependent_type] = STATE(3085),
    [sym_template_type] = STATE(3050),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(7887),
    [sym_qualified_type_identifier] = STATE(3068),
    [sym_qualifiers] = STATE(2673),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2673),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3021),
    [sym_identifier] = ACTIONS(3896),
    [anon_sym___extension__] = ACTIONS(63),
    [anon_sym_in] = ACTIONS(1480),
    [anon_sym_out] = ACTIONS(1480),
    [anon_sym_inout] = ACTIONS(1480),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(3904),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2096),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(2891),
    [anon_sym_enum] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(69),
    [anon_sym_struct] = ACTIONS(71),
    [anon_sym_union] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [anon_sym_virtual] = ACTIONS(123),
    [anon_sym_alignas] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_precise] = ACTIONS(161),
    [anon_sym_shared] = ACTIONS(161),
    [anon_sym_groupshared] = ACTIONS(161),
    [anon_sym_uniform] = ACTIONS(161),
    [anon_sym_row_major] = ACTIONS(161),
    [anon_sym_column_major] = ACTIONS(161),
    [anon_sym_globallycoherent] = ACTIONS(161),
    [anon_sym_centroid] = ACTIONS(161),
    [anon_sym_noperspective] = ACTIONS(161),
    [anon_sym_nointerpolation] = ACTIONS(161),
    [anon_sym_sample] = ACTIONS(161),
    [anon_sym_linear] = ACTIONS(161),
    [anon_sym_snorm] = ACTIONS(161),
    [anon_sym_unorm] = ACTIONS(161),
    [anon_sym_point] = ACTIONS(161),
    [anon_sym_line] = ACTIONS(161),
    [anon_sym_triangleadj] = ACTIONS(161),
    [anon_sym_lineadj] = ACTIONS(161),
    [anon_sym_triangle] = ACTIONS(161),
  },
  [2576] = {
    [sym__declaration_modifiers] = STATE(2673),
    [sym__declaration_specifiers] = STATE(6031),
    [sym_attribute_specifier] = STATE(2673),
    [sym_attribute_declaration] = STATE(2673),
    [sym_ms_declspec_modifier] = STATE(2673),
    [sym_storage_class_specifier] = STATE(2673),
    [sym_type_qualifier] = STATE(2673),
    [sym__type_specifier] = STATE(2827),
    [sym_sized_type_specifier] = STATE(3085),
    [sym_enum_specifier] = STATE(3085),
    [sym_struct_specifier] = STATE(3085),
    [sym_union_specifier] = STATE(3085),
    [sym_placeholder_type_specifier] = STATE(3085),
    [sym_decltype_auto] = STATE(3091),
    [sym_decltype] = STATE(3050),
    [sym_class_specifier] = STATE(3085),
    [sym_virtual] = STATE(2673),
    [sym_alignas_specifier] = STATE(2673),
    [sym_dependent_type] = STATE(3085),
    [sym_template_type] = STATE(3050),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(7887),
    [sym_qualified_type_identifier] = STATE(3068),
    [sym_qualifiers] = STATE(2673),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2673),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3021),
    [sym_identifier] = ACTIONS(3896),
    [anon_sym___extension__] = ACTIONS(63),
    [anon_sym_in] = ACTIONS(1480),
    [anon_sym_out] = ACTIONS(1480),
    [anon_sym_inout] = ACTIONS(1480),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(3904),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2096),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(2891),
    [anon_sym_enum] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(69),
    [anon_sym_struct] = ACTIONS(71),
    [anon_sym_union] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [anon_sym_virtual] = ACTIONS(123),
    [anon_sym_alignas] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_precise] = ACTIONS(161),
    [anon_sym_shared] = ACTIONS(161),
    [anon_sym_groupshared] = ACTIONS(161),
    [anon_sym_uniform] = ACTIONS(161),
    [anon_sym_row_major] = ACTIONS(161),
    [anon_sym_column_major] = ACTIONS(161),
    [anon_sym_globallycoherent] = ACTIONS(161),
    [anon_sym_centroid] = ACTIONS(161),
    [anon_sym_noperspective] = ACTIONS(161),
    [anon_sym_nointerpolation] = ACTIONS(161),
    [anon_sym_sample] = ACTIONS(161),
    [anon_sym_linear] = ACTIONS(161),
    [anon_sym_snorm] = ACTIONS(161),
    [anon_sym_unorm] = ACTIONS(161),
    [anon_sym_point] = ACTIONS(161),
    [anon_sym_line] = ACTIONS(161),
    [anon_sym_triangleadj] = ACTIONS(161),
    [anon_sym_lineadj] = ACTIONS(161),
    [anon_sym_triangle] = ACTIONS(161),
  },
  [2577] = {
    [sym_identifier] = ACTIONS(2520),
    [aux_sym_preproc_def_token1] = ACTIONS(2520),
    [aux_sym_preproc_if_token1] = ACTIONS(2520),
    [aux_sym_preproc_if_token2] = ACTIONS(2520),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2520),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2520),
    [aux_sym_preproc_else_token1] = ACTIONS(2520),
    [aux_sym_preproc_elif_token1] = ACTIONS(2520),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2520),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2520),
    [sym_preproc_directive] = ACTIONS(2520),
    [anon_sym_LPAREN2] = ACTIONS(2522),
    [anon_sym_TILDE] = ACTIONS(2522),
    [anon_sym_STAR] = ACTIONS(2522),
    [anon_sym_AMP_AMP] = ACTIONS(2522),
    [anon_sym_AMP] = ACTIONS(2520),
    [anon_sym___extension__] = ACTIONS(2520),
    [anon_sym_typedef] = ACTIONS(2520),
    [anon_sym_in] = ACTIONS(2520),
    [anon_sym_out] = ACTIONS(2520),
    [anon_sym_inout] = ACTIONS(2520),
    [anon_sym_extern] = ACTIONS(2520),
    [anon_sym___attribute__] = ACTIONS(2520),
    [anon_sym_COLON_COLON] = ACTIONS(2522),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2522),
    [anon_sym___declspec] = ACTIONS(2520),
    [anon_sym___based] = ACTIONS(2520),
    [anon_sym_signed] = ACTIONS(2520),
    [anon_sym_unsigned] = ACTIONS(2520),
    [anon_sym_long] = ACTIONS(2520),
    [anon_sym_short] = ACTIONS(2520),
    [anon_sym_LBRACK] = ACTIONS(2520),
    [anon_sym_static] = ACTIONS(2520),
    [anon_sym_register] = ACTIONS(2520),
    [anon_sym_inline] = ACTIONS(2520),
    [anon_sym___inline] = ACTIONS(2520),
    [anon_sym___inline__] = ACTIONS(2520),
    [anon_sym___forceinline] = ACTIONS(2520),
    [anon_sym_thread_local] = ACTIONS(2520),
    [anon_sym___thread] = ACTIONS(2520),
    [anon_sym_const] = ACTIONS(2520),
    [anon_sym_constexpr] = ACTIONS(2520),
    [anon_sym_volatile] = ACTIONS(2520),
    [anon_sym_restrict] = ACTIONS(2520),
    [anon_sym___restrict__] = ACTIONS(2520),
    [anon_sym__Atomic] = ACTIONS(2520),
    [anon_sym__Noreturn] = ACTIONS(2520),
    [anon_sym_noreturn] = ACTIONS(2520),
    [anon_sym_mutable] = ACTIONS(2520),
    [anon_sym_constinit] = ACTIONS(2520),
    [anon_sym_consteval] = ACTIONS(2520),
    [sym_primitive_type] = ACTIONS(2520),
    [anon_sym_enum] = ACTIONS(2520),
    [anon_sym_class] = ACTIONS(2520),
    [anon_sym_struct] = ACTIONS(2520),
    [anon_sym_union] = ACTIONS(2520),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2520),
    [anon_sym_decltype] = ACTIONS(2520),
    [anon_sym_virtual] = ACTIONS(2520),
    [anon_sym_alignas] = ACTIONS(2520),
    [anon_sym_explicit] = ACTIONS(2520),
    [anon_sym_typename] = ACTIONS(2520),
    [anon_sym_template] = ACTIONS(2520),
    [anon_sym_operator] = ACTIONS(2520),
    [anon_sym_friend] = ACTIONS(2520),
    [anon_sym_public] = ACTIONS(2520),
    [anon_sym_private] = ACTIONS(2520),
    [anon_sym_protected] = ACTIONS(2520),
    [anon_sym_using] = ACTIONS(2520),
    [anon_sym_static_assert] = ACTIONS(2520),
    [anon_sym_precise] = ACTIONS(2520),
    [anon_sym_shared] = ACTIONS(2520),
    [anon_sym_groupshared] = ACTIONS(2520),
    [anon_sym_uniform] = ACTIONS(2520),
    [anon_sym_row_major] = ACTIONS(2520),
    [anon_sym_column_major] = ACTIONS(2520),
    [anon_sym_globallycoherent] = ACTIONS(2520),
    [anon_sym_centroid] = ACTIONS(2520),
    [anon_sym_noperspective] = ACTIONS(2520),
    [anon_sym_nointerpolation] = ACTIONS(2520),
    [anon_sym_sample] = ACTIONS(2520),
    [anon_sym_linear] = ACTIONS(2520),
    [anon_sym_snorm] = ACTIONS(2520),
    [anon_sym_unorm] = ACTIONS(2520),
    [anon_sym_point] = ACTIONS(2520),
    [anon_sym_line] = ACTIONS(2520),
    [anon_sym_triangleadj] = ACTIONS(2520),
    [anon_sym_lineadj] = ACTIONS(2520),
    [anon_sym_triangle] = ACTIONS(2520),
  },
  [2578] = {
    [sym_identifier] = ACTIONS(5659),
    [aux_sym_preproc_def_token1] = ACTIONS(5659),
    [aux_sym_preproc_if_token1] = ACTIONS(5659),
    [aux_sym_preproc_if_token2] = ACTIONS(5659),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5659),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5659),
    [aux_sym_preproc_else_token1] = ACTIONS(5659),
    [aux_sym_preproc_elif_token1] = ACTIONS(5659),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5659),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5659),
    [sym_preproc_directive] = ACTIONS(5659),
    [anon_sym_LPAREN2] = ACTIONS(5661),
    [anon_sym_TILDE] = ACTIONS(5661),
    [anon_sym_STAR] = ACTIONS(5661),
    [anon_sym_AMP_AMP] = ACTIONS(5661),
    [anon_sym_AMP] = ACTIONS(5659),
    [anon_sym___extension__] = ACTIONS(5659),
    [anon_sym_typedef] = ACTIONS(5659),
    [anon_sym_in] = ACTIONS(5659),
    [anon_sym_out] = ACTIONS(5659),
    [anon_sym_inout] = ACTIONS(5659),
    [anon_sym_extern] = ACTIONS(5659),
    [anon_sym___attribute__] = ACTIONS(5659),
    [anon_sym_COLON_COLON] = ACTIONS(5661),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5661),
    [anon_sym___declspec] = ACTIONS(5659),
    [anon_sym___based] = ACTIONS(5659),
    [anon_sym_signed] = ACTIONS(5659),
    [anon_sym_unsigned] = ACTIONS(5659),
    [anon_sym_long] = ACTIONS(5659),
    [anon_sym_short] = ACTIONS(5659),
    [anon_sym_LBRACK] = ACTIONS(5659),
    [anon_sym_static] = ACTIONS(5659),
    [anon_sym_register] = ACTIONS(5659),
    [anon_sym_inline] = ACTIONS(5659),
    [anon_sym___inline] = ACTIONS(5659),
    [anon_sym___inline__] = ACTIONS(5659),
    [anon_sym___forceinline] = ACTIONS(5659),
    [anon_sym_thread_local] = ACTIONS(5659),
    [anon_sym___thread] = ACTIONS(5659),
    [anon_sym_const] = ACTIONS(5659),
    [anon_sym_constexpr] = ACTIONS(5659),
    [anon_sym_volatile] = ACTIONS(5659),
    [anon_sym_restrict] = ACTIONS(5659),
    [anon_sym___restrict__] = ACTIONS(5659),
    [anon_sym__Atomic] = ACTIONS(5659),
    [anon_sym__Noreturn] = ACTIONS(5659),
    [anon_sym_noreturn] = ACTIONS(5659),
    [anon_sym_mutable] = ACTIONS(5659),
    [anon_sym_constinit] = ACTIONS(5659),
    [anon_sym_consteval] = ACTIONS(5659),
    [sym_primitive_type] = ACTIONS(5659),
    [anon_sym_enum] = ACTIONS(5659),
    [anon_sym_class] = ACTIONS(5659),
    [anon_sym_struct] = ACTIONS(5659),
    [anon_sym_union] = ACTIONS(5659),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5659),
    [anon_sym_decltype] = ACTIONS(5659),
    [anon_sym_virtual] = ACTIONS(5659),
    [anon_sym_alignas] = ACTIONS(5659),
    [anon_sym_explicit] = ACTIONS(5659),
    [anon_sym_typename] = ACTIONS(5659),
    [anon_sym_template] = ACTIONS(5659),
    [anon_sym_operator] = ACTIONS(5659),
    [anon_sym_friend] = ACTIONS(5659),
    [anon_sym_public] = ACTIONS(5659),
    [anon_sym_private] = ACTIONS(5659),
    [anon_sym_protected] = ACTIONS(5659),
    [anon_sym_using] = ACTIONS(5659),
    [anon_sym_static_assert] = ACTIONS(5659),
    [anon_sym_precise] = ACTIONS(5659),
    [anon_sym_shared] = ACTIONS(5659),
    [anon_sym_groupshared] = ACTIONS(5659),
    [anon_sym_uniform] = ACTIONS(5659),
    [anon_sym_row_major] = ACTIONS(5659),
    [anon_sym_column_major] = ACTIONS(5659),
    [anon_sym_globallycoherent] = ACTIONS(5659),
    [anon_sym_centroid] = ACTIONS(5659),
    [anon_sym_noperspective] = ACTIONS(5659),
    [anon_sym_nointerpolation] = ACTIONS(5659),
    [anon_sym_sample] = ACTIONS(5659),
    [anon_sym_linear] = ACTIONS(5659),
    [anon_sym_snorm] = ACTIONS(5659),
    [anon_sym_unorm] = ACTIONS(5659),
    [anon_sym_point] = ACTIONS(5659),
    [anon_sym_line] = ACTIONS(5659),
    [anon_sym_triangleadj] = ACTIONS(5659),
    [anon_sym_lineadj] = ACTIONS(5659),
    [anon_sym_triangle] = ACTIONS(5659),
  },
  [2579] = {
    [sym_identifier] = ACTIONS(5663),
    [aux_sym_preproc_def_token1] = ACTIONS(5663),
    [aux_sym_preproc_if_token1] = ACTIONS(5663),
    [aux_sym_preproc_if_token2] = ACTIONS(5663),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5663),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5663),
    [aux_sym_preproc_else_token1] = ACTIONS(5663),
    [aux_sym_preproc_elif_token1] = ACTIONS(5663),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5663),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5663),
    [sym_preproc_directive] = ACTIONS(5663),
    [anon_sym_LPAREN2] = ACTIONS(5665),
    [anon_sym_TILDE] = ACTIONS(5665),
    [anon_sym_STAR] = ACTIONS(5665),
    [anon_sym_AMP_AMP] = ACTIONS(5665),
    [anon_sym_AMP] = ACTIONS(5663),
    [anon_sym___extension__] = ACTIONS(5663),
    [anon_sym_typedef] = ACTIONS(5663),
    [anon_sym_in] = ACTIONS(5663),
    [anon_sym_out] = ACTIONS(5663),
    [anon_sym_inout] = ACTIONS(5663),
    [anon_sym_extern] = ACTIONS(5663),
    [anon_sym___attribute__] = ACTIONS(5663),
    [anon_sym_COLON_COLON] = ACTIONS(5665),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5665),
    [anon_sym___declspec] = ACTIONS(5663),
    [anon_sym___based] = ACTIONS(5663),
    [anon_sym_signed] = ACTIONS(5663),
    [anon_sym_unsigned] = ACTIONS(5663),
    [anon_sym_long] = ACTIONS(5663),
    [anon_sym_short] = ACTIONS(5663),
    [anon_sym_LBRACK] = ACTIONS(5663),
    [anon_sym_static] = ACTIONS(5663),
    [anon_sym_register] = ACTIONS(5663),
    [anon_sym_inline] = ACTIONS(5663),
    [anon_sym___inline] = ACTIONS(5663),
    [anon_sym___inline__] = ACTIONS(5663),
    [anon_sym___forceinline] = ACTIONS(5663),
    [anon_sym_thread_local] = ACTIONS(5663),
    [anon_sym___thread] = ACTIONS(5663),
    [anon_sym_const] = ACTIONS(5663),
    [anon_sym_constexpr] = ACTIONS(5663),
    [anon_sym_volatile] = ACTIONS(5663),
    [anon_sym_restrict] = ACTIONS(5663),
    [anon_sym___restrict__] = ACTIONS(5663),
    [anon_sym__Atomic] = ACTIONS(5663),
    [anon_sym__Noreturn] = ACTIONS(5663),
    [anon_sym_noreturn] = ACTIONS(5663),
    [anon_sym_mutable] = ACTIONS(5663),
    [anon_sym_constinit] = ACTIONS(5663),
    [anon_sym_consteval] = ACTIONS(5663),
    [sym_primitive_type] = ACTIONS(5663),
    [anon_sym_enum] = ACTIONS(5663),
    [anon_sym_class] = ACTIONS(5663),
    [anon_sym_struct] = ACTIONS(5663),
    [anon_sym_union] = ACTIONS(5663),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5663),
    [anon_sym_decltype] = ACTIONS(5663),
    [anon_sym_virtual] = ACTIONS(5663),
    [anon_sym_alignas] = ACTIONS(5663),
    [anon_sym_explicit] = ACTIONS(5663),
    [anon_sym_typename] = ACTIONS(5663),
    [anon_sym_template] = ACTIONS(5663),
    [anon_sym_operator] = ACTIONS(5663),
    [anon_sym_friend] = ACTIONS(5663),
    [anon_sym_public] = ACTIONS(5663),
    [anon_sym_private] = ACTIONS(5663),
    [anon_sym_protected] = ACTIONS(5663),
    [anon_sym_using] = ACTIONS(5663),
    [anon_sym_static_assert] = ACTIONS(5663),
    [anon_sym_precise] = ACTIONS(5663),
    [anon_sym_shared] = ACTIONS(5663),
    [anon_sym_groupshared] = ACTIONS(5663),
    [anon_sym_uniform] = ACTIONS(5663),
    [anon_sym_row_major] = ACTIONS(5663),
    [anon_sym_column_major] = ACTIONS(5663),
    [anon_sym_globallycoherent] = ACTIONS(5663),
    [anon_sym_centroid] = ACTIONS(5663),
    [anon_sym_noperspective] = ACTIONS(5663),
    [anon_sym_nointerpolation] = ACTIONS(5663),
    [anon_sym_sample] = ACTIONS(5663),
    [anon_sym_linear] = ACTIONS(5663),
    [anon_sym_snorm] = ACTIONS(5663),
    [anon_sym_unorm] = ACTIONS(5663),
    [anon_sym_point] = ACTIONS(5663),
    [anon_sym_line] = ACTIONS(5663),
    [anon_sym_triangleadj] = ACTIONS(5663),
    [anon_sym_lineadj] = ACTIONS(5663),
    [anon_sym_triangle] = ACTIONS(5663),
  },
  [2580] = {
    [sym_identifier] = ACTIONS(5667),
    [aux_sym_preproc_def_token1] = ACTIONS(5667),
    [aux_sym_preproc_if_token1] = ACTIONS(5667),
    [aux_sym_preproc_if_token2] = ACTIONS(5667),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5667),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5667),
    [aux_sym_preproc_else_token1] = ACTIONS(5667),
    [aux_sym_preproc_elif_token1] = ACTIONS(5667),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5667),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5667),
    [sym_preproc_directive] = ACTIONS(5667),
    [anon_sym_LPAREN2] = ACTIONS(5669),
    [anon_sym_TILDE] = ACTIONS(5669),
    [anon_sym_STAR] = ACTIONS(5669),
    [anon_sym_AMP_AMP] = ACTIONS(5669),
    [anon_sym_AMP] = ACTIONS(5667),
    [anon_sym___extension__] = ACTIONS(5667),
    [anon_sym_typedef] = ACTIONS(5667),
    [anon_sym_in] = ACTIONS(5667),
    [anon_sym_out] = ACTIONS(5667),
    [anon_sym_inout] = ACTIONS(5667),
    [anon_sym_extern] = ACTIONS(5667),
    [anon_sym___attribute__] = ACTIONS(5667),
    [anon_sym_COLON_COLON] = ACTIONS(5669),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5669),
    [anon_sym___declspec] = ACTIONS(5667),
    [anon_sym___based] = ACTIONS(5667),
    [anon_sym_signed] = ACTIONS(5667),
    [anon_sym_unsigned] = ACTIONS(5667),
    [anon_sym_long] = ACTIONS(5667),
    [anon_sym_short] = ACTIONS(5667),
    [anon_sym_LBRACK] = ACTIONS(5667),
    [anon_sym_static] = ACTIONS(5667),
    [anon_sym_register] = ACTIONS(5667),
    [anon_sym_inline] = ACTIONS(5667),
    [anon_sym___inline] = ACTIONS(5667),
    [anon_sym___inline__] = ACTIONS(5667),
    [anon_sym___forceinline] = ACTIONS(5667),
    [anon_sym_thread_local] = ACTIONS(5667),
    [anon_sym___thread] = ACTIONS(5667),
    [anon_sym_const] = ACTIONS(5667),
    [anon_sym_constexpr] = ACTIONS(5667),
    [anon_sym_volatile] = ACTIONS(5667),
    [anon_sym_restrict] = ACTIONS(5667),
    [anon_sym___restrict__] = ACTIONS(5667),
    [anon_sym__Atomic] = ACTIONS(5667),
    [anon_sym__Noreturn] = ACTIONS(5667),
    [anon_sym_noreturn] = ACTIONS(5667),
    [anon_sym_mutable] = ACTIONS(5667),
    [anon_sym_constinit] = ACTIONS(5667),
    [anon_sym_consteval] = ACTIONS(5667),
    [sym_primitive_type] = ACTIONS(5667),
    [anon_sym_enum] = ACTIONS(5667),
    [anon_sym_class] = ACTIONS(5667),
    [anon_sym_struct] = ACTIONS(5667),
    [anon_sym_union] = ACTIONS(5667),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5667),
    [anon_sym_decltype] = ACTIONS(5667),
    [anon_sym_virtual] = ACTIONS(5667),
    [anon_sym_alignas] = ACTIONS(5667),
    [anon_sym_explicit] = ACTIONS(5667),
    [anon_sym_typename] = ACTIONS(5667),
    [anon_sym_template] = ACTIONS(5667),
    [anon_sym_operator] = ACTIONS(5667),
    [anon_sym_friend] = ACTIONS(5667),
    [anon_sym_public] = ACTIONS(5667),
    [anon_sym_private] = ACTIONS(5667),
    [anon_sym_protected] = ACTIONS(5667),
    [anon_sym_using] = ACTIONS(5667),
    [anon_sym_static_assert] = ACTIONS(5667),
    [anon_sym_precise] = ACTIONS(5667),
    [anon_sym_shared] = ACTIONS(5667),
    [anon_sym_groupshared] = ACTIONS(5667),
    [anon_sym_uniform] = ACTIONS(5667),
    [anon_sym_row_major] = ACTIONS(5667),
    [anon_sym_column_major] = ACTIONS(5667),
    [anon_sym_globallycoherent] = ACTIONS(5667),
    [anon_sym_centroid] = ACTIONS(5667),
    [anon_sym_noperspective] = ACTIONS(5667),
    [anon_sym_nointerpolation] = ACTIONS(5667),
    [anon_sym_sample] = ACTIONS(5667),
    [anon_sym_linear] = ACTIONS(5667),
    [anon_sym_snorm] = ACTIONS(5667),
    [anon_sym_unorm] = ACTIONS(5667),
    [anon_sym_point] = ACTIONS(5667),
    [anon_sym_line] = ACTIONS(5667),
    [anon_sym_triangleadj] = ACTIONS(5667),
    [anon_sym_lineadj] = ACTIONS(5667),
    [anon_sym_triangle] = ACTIONS(5667),
  },
  [2581] = {
    [sym_identifier] = ACTIONS(5667),
    [aux_sym_preproc_def_token1] = ACTIONS(5667),
    [aux_sym_preproc_if_token1] = ACTIONS(5667),
    [aux_sym_preproc_if_token2] = ACTIONS(5667),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5667),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5667),
    [aux_sym_preproc_else_token1] = ACTIONS(5667),
    [aux_sym_preproc_elif_token1] = ACTIONS(5667),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5667),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5667),
    [sym_preproc_directive] = ACTIONS(5667),
    [anon_sym_LPAREN2] = ACTIONS(5669),
    [anon_sym_TILDE] = ACTIONS(5669),
    [anon_sym_STAR] = ACTIONS(5669),
    [anon_sym_AMP_AMP] = ACTIONS(5669),
    [anon_sym_AMP] = ACTIONS(5667),
    [anon_sym___extension__] = ACTIONS(5667),
    [anon_sym_typedef] = ACTIONS(5667),
    [anon_sym_in] = ACTIONS(5667),
    [anon_sym_out] = ACTIONS(5667),
    [anon_sym_inout] = ACTIONS(5667),
    [anon_sym_extern] = ACTIONS(5667),
    [anon_sym___attribute__] = ACTIONS(5667),
    [anon_sym_COLON_COLON] = ACTIONS(5669),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5669),
    [anon_sym___declspec] = ACTIONS(5667),
    [anon_sym___based] = ACTIONS(5667),
    [anon_sym_signed] = ACTIONS(5667),
    [anon_sym_unsigned] = ACTIONS(5667),
    [anon_sym_long] = ACTIONS(5667),
    [anon_sym_short] = ACTIONS(5667),
    [anon_sym_LBRACK] = ACTIONS(5667),
    [anon_sym_static] = ACTIONS(5667),
    [anon_sym_register] = ACTIONS(5667),
    [anon_sym_inline] = ACTIONS(5667),
    [anon_sym___inline] = ACTIONS(5667),
    [anon_sym___inline__] = ACTIONS(5667),
    [anon_sym___forceinline] = ACTIONS(5667),
    [anon_sym_thread_local] = ACTIONS(5667),
    [anon_sym___thread] = ACTIONS(5667),
    [anon_sym_const] = ACTIONS(5667),
    [anon_sym_constexpr] = ACTIONS(5667),
    [anon_sym_volatile] = ACTIONS(5667),
    [anon_sym_restrict] = ACTIONS(5667),
    [anon_sym___restrict__] = ACTIONS(5667),
    [anon_sym__Atomic] = ACTIONS(5667),
    [anon_sym__Noreturn] = ACTIONS(5667),
    [anon_sym_noreturn] = ACTIONS(5667),
    [anon_sym_mutable] = ACTIONS(5667),
    [anon_sym_constinit] = ACTIONS(5667),
    [anon_sym_consteval] = ACTIONS(5667),
    [sym_primitive_type] = ACTIONS(5667),
    [anon_sym_enum] = ACTIONS(5667),
    [anon_sym_class] = ACTIONS(5667),
    [anon_sym_struct] = ACTIONS(5667),
    [anon_sym_union] = ACTIONS(5667),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5667),
    [anon_sym_decltype] = ACTIONS(5667),
    [anon_sym_virtual] = ACTIONS(5667),
    [anon_sym_alignas] = ACTIONS(5667),
    [anon_sym_explicit] = ACTIONS(5667),
    [anon_sym_typename] = ACTIONS(5667),
    [anon_sym_template] = ACTIONS(5667),
    [anon_sym_operator] = ACTIONS(5667),
    [anon_sym_friend] = ACTIONS(5667),
    [anon_sym_public] = ACTIONS(5667),
    [anon_sym_private] = ACTIONS(5667),
    [anon_sym_protected] = ACTIONS(5667),
    [anon_sym_using] = ACTIONS(5667),
    [anon_sym_static_assert] = ACTIONS(5667),
    [anon_sym_precise] = ACTIONS(5667),
    [anon_sym_shared] = ACTIONS(5667),
    [anon_sym_groupshared] = ACTIONS(5667),
    [anon_sym_uniform] = ACTIONS(5667),
    [anon_sym_row_major] = ACTIONS(5667),
    [anon_sym_column_major] = ACTIONS(5667),
    [anon_sym_globallycoherent] = ACTIONS(5667),
    [anon_sym_centroid] = ACTIONS(5667),
    [anon_sym_noperspective] = ACTIONS(5667),
    [anon_sym_nointerpolation] = ACTIONS(5667),
    [anon_sym_sample] = ACTIONS(5667),
    [anon_sym_linear] = ACTIONS(5667),
    [anon_sym_snorm] = ACTIONS(5667),
    [anon_sym_unorm] = ACTIONS(5667),
    [anon_sym_point] = ACTIONS(5667),
    [anon_sym_line] = ACTIONS(5667),
    [anon_sym_triangleadj] = ACTIONS(5667),
    [anon_sym_lineadj] = ACTIONS(5667),
    [anon_sym_triangle] = ACTIONS(5667),
  },
  [2582] = {
    [sym_identifier] = ACTIONS(5671),
    [aux_sym_preproc_def_token1] = ACTIONS(5671),
    [aux_sym_preproc_if_token1] = ACTIONS(5671),
    [aux_sym_preproc_if_token2] = ACTIONS(5671),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5671),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5671),
    [aux_sym_preproc_else_token1] = ACTIONS(5671),
    [aux_sym_preproc_elif_token1] = ACTIONS(5671),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5671),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5671),
    [sym_preproc_directive] = ACTIONS(5671),
    [anon_sym_LPAREN2] = ACTIONS(5673),
    [anon_sym_TILDE] = ACTIONS(5673),
    [anon_sym_STAR] = ACTIONS(5673),
    [anon_sym_AMP_AMP] = ACTIONS(5673),
    [anon_sym_AMP] = ACTIONS(5671),
    [anon_sym___extension__] = ACTIONS(5671),
    [anon_sym_typedef] = ACTIONS(5671),
    [anon_sym_in] = ACTIONS(5671),
    [anon_sym_out] = ACTIONS(5671),
    [anon_sym_inout] = ACTIONS(5671),
    [anon_sym_extern] = ACTIONS(5671),
    [anon_sym___attribute__] = ACTIONS(5671),
    [anon_sym_COLON_COLON] = ACTIONS(5673),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5673),
    [anon_sym___declspec] = ACTIONS(5671),
    [anon_sym___based] = ACTIONS(5671),
    [anon_sym_signed] = ACTIONS(5671),
    [anon_sym_unsigned] = ACTIONS(5671),
    [anon_sym_long] = ACTIONS(5671),
    [anon_sym_short] = ACTIONS(5671),
    [anon_sym_LBRACK] = ACTIONS(5671),
    [anon_sym_static] = ACTIONS(5671),
    [anon_sym_register] = ACTIONS(5671),
    [anon_sym_inline] = ACTIONS(5671),
    [anon_sym___inline] = ACTIONS(5671),
    [anon_sym___inline__] = ACTIONS(5671),
    [anon_sym___forceinline] = ACTIONS(5671),
    [anon_sym_thread_local] = ACTIONS(5671),
    [anon_sym___thread] = ACTIONS(5671),
    [anon_sym_const] = ACTIONS(5671),
    [anon_sym_constexpr] = ACTIONS(5671),
    [anon_sym_volatile] = ACTIONS(5671),
    [anon_sym_restrict] = ACTIONS(5671),
    [anon_sym___restrict__] = ACTIONS(5671),
    [anon_sym__Atomic] = ACTIONS(5671),
    [anon_sym__Noreturn] = ACTIONS(5671),
    [anon_sym_noreturn] = ACTIONS(5671),
    [anon_sym_mutable] = ACTIONS(5671),
    [anon_sym_constinit] = ACTIONS(5671),
    [anon_sym_consteval] = ACTIONS(5671),
    [sym_primitive_type] = ACTIONS(5671),
    [anon_sym_enum] = ACTIONS(5671),
    [anon_sym_class] = ACTIONS(5671),
    [anon_sym_struct] = ACTIONS(5671),
    [anon_sym_union] = ACTIONS(5671),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5671),
    [anon_sym_decltype] = ACTIONS(5671),
    [anon_sym_virtual] = ACTIONS(5671),
    [anon_sym_alignas] = ACTIONS(5671),
    [anon_sym_explicit] = ACTIONS(5671),
    [anon_sym_typename] = ACTIONS(5671),
    [anon_sym_template] = ACTIONS(5671),
    [anon_sym_operator] = ACTIONS(5671),
    [anon_sym_friend] = ACTIONS(5671),
    [anon_sym_public] = ACTIONS(5671),
    [anon_sym_private] = ACTIONS(5671),
    [anon_sym_protected] = ACTIONS(5671),
    [anon_sym_using] = ACTIONS(5671),
    [anon_sym_static_assert] = ACTIONS(5671),
    [anon_sym_precise] = ACTIONS(5671),
    [anon_sym_shared] = ACTIONS(5671),
    [anon_sym_groupshared] = ACTIONS(5671),
    [anon_sym_uniform] = ACTIONS(5671),
    [anon_sym_row_major] = ACTIONS(5671),
    [anon_sym_column_major] = ACTIONS(5671),
    [anon_sym_globallycoherent] = ACTIONS(5671),
    [anon_sym_centroid] = ACTIONS(5671),
    [anon_sym_noperspective] = ACTIONS(5671),
    [anon_sym_nointerpolation] = ACTIONS(5671),
    [anon_sym_sample] = ACTIONS(5671),
    [anon_sym_linear] = ACTIONS(5671),
    [anon_sym_snorm] = ACTIONS(5671),
    [anon_sym_unorm] = ACTIONS(5671),
    [anon_sym_point] = ACTIONS(5671),
    [anon_sym_line] = ACTIONS(5671),
    [anon_sym_triangleadj] = ACTIONS(5671),
    [anon_sym_lineadj] = ACTIONS(5671),
    [anon_sym_triangle] = ACTIONS(5671),
  },
  [2583] = {
    [sym_identifier] = ACTIONS(5675),
    [aux_sym_preproc_def_token1] = ACTIONS(5675),
    [aux_sym_preproc_if_token1] = ACTIONS(5675),
    [aux_sym_preproc_if_token2] = ACTIONS(5675),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5675),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5675),
    [aux_sym_preproc_else_token1] = ACTIONS(5675),
    [aux_sym_preproc_elif_token1] = ACTIONS(5675),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5675),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5675),
    [sym_preproc_directive] = ACTIONS(5675),
    [anon_sym_LPAREN2] = ACTIONS(5677),
    [anon_sym_TILDE] = ACTIONS(5677),
    [anon_sym_STAR] = ACTIONS(5677),
    [anon_sym_AMP_AMP] = ACTIONS(5677),
    [anon_sym_AMP] = ACTIONS(5675),
    [anon_sym___extension__] = ACTIONS(5675),
    [anon_sym_typedef] = ACTIONS(5675),
    [anon_sym_in] = ACTIONS(5675),
    [anon_sym_out] = ACTIONS(5675),
    [anon_sym_inout] = ACTIONS(5675),
    [anon_sym_extern] = ACTIONS(5675),
    [anon_sym___attribute__] = ACTIONS(5675),
    [anon_sym_COLON_COLON] = ACTIONS(5677),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5677),
    [anon_sym___declspec] = ACTIONS(5675),
    [anon_sym___based] = ACTIONS(5675),
    [anon_sym_signed] = ACTIONS(5675),
    [anon_sym_unsigned] = ACTIONS(5675),
    [anon_sym_long] = ACTIONS(5675),
    [anon_sym_short] = ACTIONS(5675),
    [anon_sym_LBRACK] = ACTIONS(5675),
    [anon_sym_static] = ACTIONS(5675),
    [anon_sym_register] = ACTIONS(5675),
    [anon_sym_inline] = ACTIONS(5675),
    [anon_sym___inline] = ACTIONS(5675),
    [anon_sym___inline__] = ACTIONS(5675),
    [anon_sym___forceinline] = ACTIONS(5675),
    [anon_sym_thread_local] = ACTIONS(5675),
    [anon_sym___thread] = ACTIONS(5675),
    [anon_sym_const] = ACTIONS(5675),
    [anon_sym_constexpr] = ACTIONS(5675),
    [anon_sym_volatile] = ACTIONS(5675),
    [anon_sym_restrict] = ACTIONS(5675),
    [anon_sym___restrict__] = ACTIONS(5675),
    [anon_sym__Atomic] = ACTIONS(5675),
    [anon_sym__Noreturn] = ACTIONS(5675),
    [anon_sym_noreturn] = ACTIONS(5675),
    [anon_sym_mutable] = ACTIONS(5675),
    [anon_sym_constinit] = ACTIONS(5675),
    [anon_sym_consteval] = ACTIONS(5675),
    [sym_primitive_type] = ACTIONS(5675),
    [anon_sym_enum] = ACTIONS(5675),
    [anon_sym_class] = ACTIONS(5675),
    [anon_sym_struct] = ACTIONS(5675),
    [anon_sym_union] = ACTIONS(5675),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5675),
    [anon_sym_decltype] = ACTIONS(5675),
    [anon_sym_virtual] = ACTIONS(5675),
    [anon_sym_alignas] = ACTIONS(5675),
    [anon_sym_explicit] = ACTIONS(5675),
    [anon_sym_typename] = ACTIONS(5675),
    [anon_sym_template] = ACTIONS(5675),
    [anon_sym_operator] = ACTIONS(5675),
    [anon_sym_friend] = ACTIONS(5675),
    [anon_sym_public] = ACTIONS(5675),
    [anon_sym_private] = ACTIONS(5675),
    [anon_sym_protected] = ACTIONS(5675),
    [anon_sym_using] = ACTIONS(5675),
    [anon_sym_static_assert] = ACTIONS(5675),
    [anon_sym_precise] = ACTIONS(5675),
    [anon_sym_shared] = ACTIONS(5675),
    [anon_sym_groupshared] = ACTIONS(5675),
    [anon_sym_uniform] = ACTIONS(5675),
    [anon_sym_row_major] = ACTIONS(5675),
    [anon_sym_column_major] = ACTIONS(5675),
    [anon_sym_globallycoherent] = ACTIONS(5675),
    [anon_sym_centroid] = ACTIONS(5675),
    [anon_sym_noperspective] = ACTIONS(5675),
    [anon_sym_nointerpolation] = ACTIONS(5675),
    [anon_sym_sample] = ACTIONS(5675),
    [anon_sym_linear] = ACTIONS(5675),
    [anon_sym_snorm] = ACTIONS(5675),
    [anon_sym_unorm] = ACTIONS(5675),
    [anon_sym_point] = ACTIONS(5675),
    [anon_sym_line] = ACTIONS(5675),
    [anon_sym_triangleadj] = ACTIONS(5675),
    [anon_sym_lineadj] = ACTIONS(5675),
    [anon_sym_triangle] = ACTIONS(5675),
  },
  [2584] = {
    [sym_identifier] = ACTIONS(5679),
    [aux_sym_preproc_def_token1] = ACTIONS(5679),
    [aux_sym_preproc_if_token1] = ACTIONS(5679),
    [aux_sym_preproc_if_token2] = ACTIONS(5679),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5679),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5679),
    [aux_sym_preproc_else_token1] = ACTIONS(5679),
    [aux_sym_preproc_elif_token1] = ACTIONS(5679),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5679),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5679),
    [sym_preproc_directive] = ACTIONS(5679),
    [anon_sym_LPAREN2] = ACTIONS(5681),
    [anon_sym_TILDE] = ACTIONS(5681),
    [anon_sym_STAR] = ACTIONS(5681),
    [anon_sym_AMP_AMP] = ACTIONS(5681),
    [anon_sym_AMP] = ACTIONS(5679),
    [anon_sym___extension__] = ACTIONS(5679),
    [anon_sym_typedef] = ACTIONS(5679),
    [anon_sym_in] = ACTIONS(5679),
    [anon_sym_out] = ACTIONS(5679),
    [anon_sym_inout] = ACTIONS(5679),
    [anon_sym_extern] = ACTIONS(5679),
    [anon_sym___attribute__] = ACTIONS(5679),
    [anon_sym_COLON_COLON] = ACTIONS(5681),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5681),
    [anon_sym___declspec] = ACTIONS(5679),
    [anon_sym___based] = ACTIONS(5679),
    [anon_sym_signed] = ACTIONS(5679),
    [anon_sym_unsigned] = ACTIONS(5679),
    [anon_sym_long] = ACTIONS(5679),
    [anon_sym_short] = ACTIONS(5679),
    [anon_sym_LBRACK] = ACTIONS(5679),
    [anon_sym_static] = ACTIONS(5679),
    [anon_sym_register] = ACTIONS(5679),
    [anon_sym_inline] = ACTIONS(5679),
    [anon_sym___inline] = ACTIONS(5679),
    [anon_sym___inline__] = ACTIONS(5679),
    [anon_sym___forceinline] = ACTIONS(5679),
    [anon_sym_thread_local] = ACTIONS(5679),
    [anon_sym___thread] = ACTIONS(5679),
    [anon_sym_const] = ACTIONS(5679),
    [anon_sym_constexpr] = ACTIONS(5679),
    [anon_sym_volatile] = ACTIONS(5679),
    [anon_sym_restrict] = ACTIONS(5679),
    [anon_sym___restrict__] = ACTIONS(5679),
    [anon_sym__Atomic] = ACTIONS(5679),
    [anon_sym__Noreturn] = ACTIONS(5679),
    [anon_sym_noreturn] = ACTIONS(5679),
    [anon_sym_mutable] = ACTIONS(5679),
    [anon_sym_constinit] = ACTIONS(5679),
    [anon_sym_consteval] = ACTIONS(5679),
    [sym_primitive_type] = ACTIONS(5679),
    [anon_sym_enum] = ACTIONS(5679),
    [anon_sym_class] = ACTIONS(5679),
    [anon_sym_struct] = ACTIONS(5679),
    [anon_sym_union] = ACTIONS(5679),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5679),
    [anon_sym_decltype] = ACTIONS(5679),
    [anon_sym_virtual] = ACTIONS(5679),
    [anon_sym_alignas] = ACTIONS(5679),
    [anon_sym_explicit] = ACTIONS(5679),
    [anon_sym_typename] = ACTIONS(5679),
    [anon_sym_template] = ACTIONS(5679),
    [anon_sym_operator] = ACTIONS(5679),
    [anon_sym_friend] = ACTIONS(5679),
    [anon_sym_public] = ACTIONS(5679),
    [anon_sym_private] = ACTIONS(5679),
    [anon_sym_protected] = ACTIONS(5679),
    [anon_sym_using] = ACTIONS(5679),
    [anon_sym_static_assert] = ACTIONS(5679),
    [anon_sym_precise] = ACTIONS(5679),
    [anon_sym_shared] = ACTIONS(5679),
    [anon_sym_groupshared] = ACTIONS(5679),
    [anon_sym_uniform] = ACTIONS(5679),
    [anon_sym_row_major] = ACTIONS(5679),
    [anon_sym_column_major] = ACTIONS(5679),
    [anon_sym_globallycoherent] = ACTIONS(5679),
    [anon_sym_centroid] = ACTIONS(5679),
    [anon_sym_noperspective] = ACTIONS(5679),
    [anon_sym_nointerpolation] = ACTIONS(5679),
    [anon_sym_sample] = ACTIONS(5679),
    [anon_sym_linear] = ACTIONS(5679),
    [anon_sym_snorm] = ACTIONS(5679),
    [anon_sym_unorm] = ACTIONS(5679),
    [anon_sym_point] = ACTIONS(5679),
    [anon_sym_line] = ACTIONS(5679),
    [anon_sym_triangleadj] = ACTIONS(5679),
    [anon_sym_lineadj] = ACTIONS(5679),
    [anon_sym_triangle] = ACTIONS(5679),
  },
  [2585] = {
    [sym_identifier] = ACTIONS(5683),
    [aux_sym_preproc_def_token1] = ACTIONS(5683),
    [aux_sym_preproc_if_token1] = ACTIONS(5683),
    [aux_sym_preproc_if_token2] = ACTIONS(5683),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5683),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5683),
    [aux_sym_preproc_else_token1] = ACTIONS(5683),
    [aux_sym_preproc_elif_token1] = ACTIONS(5683),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5683),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5683),
    [sym_preproc_directive] = ACTIONS(5683),
    [anon_sym_LPAREN2] = ACTIONS(5685),
    [anon_sym_TILDE] = ACTIONS(5685),
    [anon_sym_STAR] = ACTIONS(5685),
    [anon_sym_AMP_AMP] = ACTIONS(5685),
    [anon_sym_AMP] = ACTIONS(5683),
    [anon_sym___extension__] = ACTIONS(5683),
    [anon_sym_typedef] = ACTIONS(5683),
    [anon_sym_in] = ACTIONS(5683),
    [anon_sym_out] = ACTIONS(5683),
    [anon_sym_inout] = ACTIONS(5683),
    [anon_sym_extern] = ACTIONS(5683),
    [anon_sym___attribute__] = ACTIONS(5683),
    [anon_sym_COLON_COLON] = ACTIONS(5685),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5685),
    [anon_sym___declspec] = ACTIONS(5683),
    [anon_sym___based] = ACTIONS(5683),
    [anon_sym_signed] = ACTIONS(5683),
    [anon_sym_unsigned] = ACTIONS(5683),
    [anon_sym_long] = ACTIONS(5683),
    [anon_sym_short] = ACTIONS(5683),
    [anon_sym_LBRACK] = ACTIONS(5683),
    [anon_sym_static] = ACTIONS(5683),
    [anon_sym_register] = ACTIONS(5683),
    [anon_sym_inline] = ACTIONS(5683),
    [anon_sym___inline] = ACTIONS(5683),
    [anon_sym___inline__] = ACTIONS(5683),
    [anon_sym___forceinline] = ACTIONS(5683),
    [anon_sym_thread_local] = ACTIONS(5683),
    [anon_sym___thread] = ACTIONS(5683),
    [anon_sym_const] = ACTIONS(5683),
    [anon_sym_constexpr] = ACTIONS(5683),
    [anon_sym_volatile] = ACTIONS(5683),
    [anon_sym_restrict] = ACTIONS(5683),
    [anon_sym___restrict__] = ACTIONS(5683),
    [anon_sym__Atomic] = ACTIONS(5683),
    [anon_sym__Noreturn] = ACTIONS(5683),
    [anon_sym_noreturn] = ACTIONS(5683),
    [anon_sym_mutable] = ACTIONS(5683),
    [anon_sym_constinit] = ACTIONS(5683),
    [anon_sym_consteval] = ACTIONS(5683),
    [sym_primitive_type] = ACTIONS(5683),
    [anon_sym_enum] = ACTIONS(5683),
    [anon_sym_class] = ACTIONS(5683),
    [anon_sym_struct] = ACTIONS(5683),
    [anon_sym_union] = ACTIONS(5683),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5683),
    [anon_sym_decltype] = ACTIONS(5683),
    [anon_sym_virtual] = ACTIONS(5683),
    [anon_sym_alignas] = ACTIONS(5683),
    [anon_sym_explicit] = ACTIONS(5683),
    [anon_sym_typename] = ACTIONS(5683),
    [anon_sym_template] = ACTIONS(5683),
    [anon_sym_operator] = ACTIONS(5683),
    [anon_sym_friend] = ACTIONS(5683),
    [anon_sym_public] = ACTIONS(5683),
    [anon_sym_private] = ACTIONS(5683),
    [anon_sym_protected] = ACTIONS(5683),
    [anon_sym_using] = ACTIONS(5683),
    [anon_sym_static_assert] = ACTIONS(5683),
    [anon_sym_precise] = ACTIONS(5683),
    [anon_sym_shared] = ACTIONS(5683),
    [anon_sym_groupshared] = ACTIONS(5683),
    [anon_sym_uniform] = ACTIONS(5683),
    [anon_sym_row_major] = ACTIONS(5683),
    [anon_sym_column_major] = ACTIONS(5683),
    [anon_sym_globallycoherent] = ACTIONS(5683),
    [anon_sym_centroid] = ACTIONS(5683),
    [anon_sym_noperspective] = ACTIONS(5683),
    [anon_sym_nointerpolation] = ACTIONS(5683),
    [anon_sym_sample] = ACTIONS(5683),
    [anon_sym_linear] = ACTIONS(5683),
    [anon_sym_snorm] = ACTIONS(5683),
    [anon_sym_unorm] = ACTIONS(5683),
    [anon_sym_point] = ACTIONS(5683),
    [anon_sym_line] = ACTIONS(5683),
    [anon_sym_triangleadj] = ACTIONS(5683),
    [anon_sym_lineadj] = ACTIONS(5683),
    [anon_sym_triangle] = ACTIONS(5683),
  },
  [2586] = {
    [sym__declaration_modifiers] = STATE(2673),
    [sym__declaration_specifiers] = STATE(6000),
    [sym_attribute_specifier] = STATE(2673),
    [sym_attribute_declaration] = STATE(2673),
    [sym_ms_declspec_modifier] = STATE(2673),
    [sym_storage_class_specifier] = STATE(2673),
    [sym_type_qualifier] = STATE(2673),
    [sym__type_specifier] = STATE(2827),
    [sym_sized_type_specifier] = STATE(3085),
    [sym_enum_specifier] = STATE(3085),
    [sym_struct_specifier] = STATE(3085),
    [sym_union_specifier] = STATE(3085),
    [sym_placeholder_type_specifier] = STATE(3085),
    [sym_decltype_auto] = STATE(3091),
    [sym_decltype] = STATE(3050),
    [sym_class_specifier] = STATE(3085),
    [sym_virtual] = STATE(2673),
    [sym_alignas_specifier] = STATE(2673),
    [sym_dependent_type] = STATE(3085),
    [sym_template_type] = STATE(3050),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(7887),
    [sym_qualified_type_identifier] = STATE(3068),
    [sym_qualifiers] = STATE(2673),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2673),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3021),
    [sym_identifier] = ACTIONS(3896),
    [anon_sym___extension__] = ACTIONS(63),
    [anon_sym_in] = ACTIONS(1480),
    [anon_sym_out] = ACTIONS(1480),
    [anon_sym_inout] = ACTIONS(1480),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(3904),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2096),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(2891),
    [anon_sym_enum] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(69),
    [anon_sym_struct] = ACTIONS(71),
    [anon_sym_union] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [anon_sym_virtual] = ACTIONS(123),
    [anon_sym_alignas] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_precise] = ACTIONS(161),
    [anon_sym_shared] = ACTIONS(161),
    [anon_sym_groupshared] = ACTIONS(161),
    [anon_sym_uniform] = ACTIONS(161),
    [anon_sym_row_major] = ACTIONS(161),
    [anon_sym_column_major] = ACTIONS(161),
    [anon_sym_globallycoherent] = ACTIONS(161),
    [anon_sym_centroid] = ACTIONS(161),
    [anon_sym_noperspective] = ACTIONS(161),
    [anon_sym_nointerpolation] = ACTIONS(161),
    [anon_sym_sample] = ACTIONS(161),
    [anon_sym_linear] = ACTIONS(161),
    [anon_sym_snorm] = ACTIONS(161),
    [anon_sym_unorm] = ACTIONS(161),
    [anon_sym_point] = ACTIONS(161),
    [anon_sym_line] = ACTIONS(161),
    [anon_sym_triangleadj] = ACTIONS(161),
    [anon_sym_lineadj] = ACTIONS(161),
    [anon_sym_triangle] = ACTIONS(161),
  },
  [2587] = {
    [sym__declaration_modifiers] = STATE(2673),
    [sym__declaration_specifiers] = STATE(6013),
    [sym_attribute_specifier] = STATE(2673),
    [sym_attribute_declaration] = STATE(2673),
    [sym_ms_declspec_modifier] = STATE(2673),
    [sym_storage_class_specifier] = STATE(2673),
    [sym_type_qualifier] = STATE(2673),
    [sym__type_specifier] = STATE(2827),
    [sym_sized_type_specifier] = STATE(3085),
    [sym_enum_specifier] = STATE(3085),
    [sym_struct_specifier] = STATE(3085),
    [sym_union_specifier] = STATE(3085),
    [sym_placeholder_type_specifier] = STATE(3085),
    [sym_decltype_auto] = STATE(3091),
    [sym_decltype] = STATE(3050),
    [sym_class_specifier] = STATE(3085),
    [sym_virtual] = STATE(2673),
    [sym_alignas_specifier] = STATE(2673),
    [sym_dependent_type] = STATE(3085),
    [sym_template_type] = STATE(3050),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(7887),
    [sym_qualified_type_identifier] = STATE(3068),
    [sym_qualifiers] = STATE(2673),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2673),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3021),
    [sym_identifier] = ACTIONS(3896),
    [anon_sym___extension__] = ACTIONS(63),
    [anon_sym_in] = ACTIONS(1480),
    [anon_sym_out] = ACTIONS(1480),
    [anon_sym_inout] = ACTIONS(1480),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(3904),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2096),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(2891),
    [anon_sym_enum] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(69),
    [anon_sym_struct] = ACTIONS(71),
    [anon_sym_union] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [anon_sym_virtual] = ACTIONS(123),
    [anon_sym_alignas] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_precise] = ACTIONS(161),
    [anon_sym_shared] = ACTIONS(161),
    [anon_sym_groupshared] = ACTIONS(161),
    [anon_sym_uniform] = ACTIONS(161),
    [anon_sym_row_major] = ACTIONS(161),
    [anon_sym_column_major] = ACTIONS(161),
    [anon_sym_globallycoherent] = ACTIONS(161),
    [anon_sym_centroid] = ACTIONS(161),
    [anon_sym_noperspective] = ACTIONS(161),
    [anon_sym_nointerpolation] = ACTIONS(161),
    [anon_sym_sample] = ACTIONS(161),
    [anon_sym_linear] = ACTIONS(161),
    [anon_sym_snorm] = ACTIONS(161),
    [anon_sym_unorm] = ACTIONS(161),
    [anon_sym_point] = ACTIONS(161),
    [anon_sym_line] = ACTIONS(161),
    [anon_sym_triangleadj] = ACTIONS(161),
    [anon_sym_lineadj] = ACTIONS(161),
    [anon_sym_triangle] = ACTIONS(161),
  },
  [2588] = {
    [sym__declaration_modifiers] = STATE(2673),
    [sym__declaration_specifiers] = STATE(6035),
    [sym_attribute_specifier] = STATE(2673),
    [sym_attribute_declaration] = STATE(2673),
    [sym_ms_declspec_modifier] = STATE(2673),
    [sym_storage_class_specifier] = STATE(2673),
    [sym_type_qualifier] = STATE(2673),
    [sym__type_specifier] = STATE(2827),
    [sym_sized_type_specifier] = STATE(3085),
    [sym_enum_specifier] = STATE(3085),
    [sym_struct_specifier] = STATE(3085),
    [sym_union_specifier] = STATE(3085),
    [sym_placeholder_type_specifier] = STATE(3085),
    [sym_decltype_auto] = STATE(3091),
    [sym_decltype] = STATE(3050),
    [sym_class_specifier] = STATE(3085),
    [sym_virtual] = STATE(2673),
    [sym_alignas_specifier] = STATE(2673),
    [sym_dependent_type] = STATE(3085),
    [sym_template_type] = STATE(3050),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(7887),
    [sym_qualified_type_identifier] = STATE(3068),
    [sym_qualifiers] = STATE(2673),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2673),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3021),
    [sym_identifier] = ACTIONS(3896),
    [anon_sym___extension__] = ACTIONS(63),
    [anon_sym_in] = ACTIONS(1480),
    [anon_sym_out] = ACTIONS(1480),
    [anon_sym_inout] = ACTIONS(1480),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(3904),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2096),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(2891),
    [anon_sym_enum] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(69),
    [anon_sym_struct] = ACTIONS(71),
    [anon_sym_union] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [anon_sym_virtual] = ACTIONS(123),
    [anon_sym_alignas] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_precise] = ACTIONS(161),
    [anon_sym_shared] = ACTIONS(161),
    [anon_sym_groupshared] = ACTIONS(161),
    [anon_sym_uniform] = ACTIONS(161),
    [anon_sym_row_major] = ACTIONS(161),
    [anon_sym_column_major] = ACTIONS(161),
    [anon_sym_globallycoherent] = ACTIONS(161),
    [anon_sym_centroid] = ACTIONS(161),
    [anon_sym_noperspective] = ACTIONS(161),
    [anon_sym_nointerpolation] = ACTIONS(161),
    [anon_sym_sample] = ACTIONS(161),
    [anon_sym_linear] = ACTIONS(161),
    [anon_sym_snorm] = ACTIONS(161),
    [anon_sym_unorm] = ACTIONS(161),
    [anon_sym_point] = ACTIONS(161),
    [anon_sym_line] = ACTIONS(161),
    [anon_sym_triangleadj] = ACTIONS(161),
    [anon_sym_lineadj] = ACTIONS(161),
    [anon_sym_triangle] = ACTIONS(161),
  },
  [2589] = {
    [sym_identifier] = ACTIONS(2633),
    [aux_sym_preproc_def_token1] = ACTIONS(2633),
    [aux_sym_preproc_if_token1] = ACTIONS(2633),
    [aux_sym_preproc_if_token2] = ACTIONS(2633),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2633),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2633),
    [aux_sym_preproc_else_token1] = ACTIONS(2633),
    [aux_sym_preproc_elif_token1] = ACTIONS(2633),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2633),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2633),
    [sym_preproc_directive] = ACTIONS(2633),
    [anon_sym_LPAREN2] = ACTIONS(2635),
    [anon_sym_TILDE] = ACTIONS(2635),
    [anon_sym_STAR] = ACTIONS(2635),
    [anon_sym_AMP_AMP] = ACTIONS(2635),
    [anon_sym_AMP] = ACTIONS(2633),
    [anon_sym___extension__] = ACTIONS(2633),
    [anon_sym_typedef] = ACTIONS(2633),
    [anon_sym_in] = ACTIONS(2633),
    [anon_sym_out] = ACTIONS(2633),
    [anon_sym_inout] = ACTIONS(2633),
    [anon_sym_extern] = ACTIONS(2633),
    [anon_sym___attribute__] = ACTIONS(2633),
    [anon_sym_COLON_COLON] = ACTIONS(2635),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2635),
    [anon_sym___declspec] = ACTIONS(2633),
    [anon_sym___based] = ACTIONS(2633),
    [anon_sym_signed] = ACTIONS(2633),
    [anon_sym_unsigned] = ACTIONS(2633),
    [anon_sym_long] = ACTIONS(2633),
    [anon_sym_short] = ACTIONS(2633),
    [anon_sym_LBRACK] = ACTIONS(2633),
    [anon_sym_static] = ACTIONS(2633),
    [anon_sym_register] = ACTIONS(2633),
    [anon_sym_inline] = ACTIONS(2633),
    [anon_sym___inline] = ACTIONS(2633),
    [anon_sym___inline__] = ACTIONS(2633),
    [anon_sym___forceinline] = ACTIONS(2633),
    [anon_sym_thread_local] = ACTIONS(2633),
    [anon_sym___thread] = ACTIONS(2633),
    [anon_sym_const] = ACTIONS(2633),
    [anon_sym_constexpr] = ACTIONS(2633),
    [anon_sym_volatile] = ACTIONS(2633),
    [anon_sym_restrict] = ACTIONS(2633),
    [anon_sym___restrict__] = ACTIONS(2633),
    [anon_sym__Atomic] = ACTIONS(2633),
    [anon_sym__Noreturn] = ACTIONS(2633),
    [anon_sym_noreturn] = ACTIONS(2633),
    [anon_sym_mutable] = ACTIONS(2633),
    [anon_sym_constinit] = ACTIONS(2633),
    [anon_sym_consteval] = ACTIONS(2633),
    [sym_primitive_type] = ACTIONS(2633),
    [anon_sym_enum] = ACTIONS(2633),
    [anon_sym_class] = ACTIONS(2633),
    [anon_sym_struct] = ACTIONS(2633),
    [anon_sym_union] = ACTIONS(2633),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2633),
    [anon_sym_decltype] = ACTIONS(2633),
    [anon_sym_virtual] = ACTIONS(2633),
    [anon_sym_alignas] = ACTIONS(2633),
    [anon_sym_explicit] = ACTIONS(2633),
    [anon_sym_typename] = ACTIONS(2633),
    [anon_sym_template] = ACTIONS(2633),
    [anon_sym_operator] = ACTIONS(2633),
    [anon_sym_friend] = ACTIONS(2633),
    [anon_sym_public] = ACTIONS(2633),
    [anon_sym_private] = ACTIONS(2633),
    [anon_sym_protected] = ACTIONS(2633),
    [anon_sym_using] = ACTIONS(2633),
    [anon_sym_static_assert] = ACTIONS(2633),
    [anon_sym_precise] = ACTIONS(2633),
    [anon_sym_shared] = ACTIONS(2633),
    [anon_sym_groupshared] = ACTIONS(2633),
    [anon_sym_uniform] = ACTIONS(2633),
    [anon_sym_row_major] = ACTIONS(2633),
    [anon_sym_column_major] = ACTIONS(2633),
    [anon_sym_globallycoherent] = ACTIONS(2633),
    [anon_sym_centroid] = ACTIONS(2633),
    [anon_sym_noperspective] = ACTIONS(2633),
    [anon_sym_nointerpolation] = ACTIONS(2633),
    [anon_sym_sample] = ACTIONS(2633),
    [anon_sym_linear] = ACTIONS(2633),
    [anon_sym_snorm] = ACTIONS(2633),
    [anon_sym_unorm] = ACTIONS(2633),
    [anon_sym_point] = ACTIONS(2633),
    [anon_sym_line] = ACTIONS(2633),
    [anon_sym_triangleadj] = ACTIONS(2633),
    [anon_sym_lineadj] = ACTIONS(2633),
    [anon_sym_triangle] = ACTIONS(2633),
  },
  [2590] = {
    [sym_identifier] = ACTIONS(2649),
    [aux_sym_preproc_def_token1] = ACTIONS(2649),
    [aux_sym_preproc_if_token1] = ACTIONS(2649),
    [aux_sym_preproc_if_token2] = ACTIONS(2649),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2649),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2649),
    [aux_sym_preproc_else_token1] = ACTIONS(2649),
    [aux_sym_preproc_elif_token1] = ACTIONS(2649),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2649),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2649),
    [sym_preproc_directive] = ACTIONS(2649),
    [anon_sym_LPAREN2] = ACTIONS(2651),
    [anon_sym_TILDE] = ACTIONS(2651),
    [anon_sym_STAR] = ACTIONS(2651),
    [anon_sym_AMP_AMP] = ACTIONS(2651),
    [anon_sym_AMP] = ACTIONS(2649),
    [anon_sym___extension__] = ACTIONS(2649),
    [anon_sym_typedef] = ACTIONS(2649),
    [anon_sym_in] = ACTIONS(2649),
    [anon_sym_out] = ACTIONS(2649),
    [anon_sym_inout] = ACTIONS(2649),
    [anon_sym_extern] = ACTIONS(2649),
    [anon_sym___attribute__] = ACTIONS(2649),
    [anon_sym_COLON_COLON] = ACTIONS(2651),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2651),
    [anon_sym___declspec] = ACTIONS(2649),
    [anon_sym___based] = ACTIONS(2649),
    [anon_sym_signed] = ACTIONS(2649),
    [anon_sym_unsigned] = ACTIONS(2649),
    [anon_sym_long] = ACTIONS(2649),
    [anon_sym_short] = ACTIONS(2649),
    [anon_sym_LBRACK] = ACTIONS(2649),
    [anon_sym_static] = ACTIONS(2649),
    [anon_sym_register] = ACTIONS(2649),
    [anon_sym_inline] = ACTIONS(2649),
    [anon_sym___inline] = ACTIONS(2649),
    [anon_sym___inline__] = ACTIONS(2649),
    [anon_sym___forceinline] = ACTIONS(2649),
    [anon_sym_thread_local] = ACTIONS(2649),
    [anon_sym___thread] = ACTIONS(2649),
    [anon_sym_const] = ACTIONS(2649),
    [anon_sym_constexpr] = ACTIONS(2649),
    [anon_sym_volatile] = ACTIONS(2649),
    [anon_sym_restrict] = ACTIONS(2649),
    [anon_sym___restrict__] = ACTIONS(2649),
    [anon_sym__Atomic] = ACTIONS(2649),
    [anon_sym__Noreturn] = ACTIONS(2649),
    [anon_sym_noreturn] = ACTIONS(2649),
    [anon_sym_mutable] = ACTIONS(2649),
    [anon_sym_constinit] = ACTIONS(2649),
    [anon_sym_consteval] = ACTIONS(2649),
    [sym_primitive_type] = ACTIONS(2649),
    [anon_sym_enum] = ACTIONS(2649),
    [anon_sym_class] = ACTIONS(2649),
    [anon_sym_struct] = ACTIONS(2649),
    [anon_sym_union] = ACTIONS(2649),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2649),
    [anon_sym_decltype] = ACTIONS(2649),
    [anon_sym_virtual] = ACTIONS(2649),
    [anon_sym_alignas] = ACTIONS(2649),
    [anon_sym_explicit] = ACTIONS(2649),
    [anon_sym_typename] = ACTIONS(2649),
    [anon_sym_template] = ACTIONS(2649),
    [anon_sym_operator] = ACTIONS(2649),
    [anon_sym_friend] = ACTIONS(2649),
    [anon_sym_public] = ACTIONS(2649),
    [anon_sym_private] = ACTIONS(2649),
    [anon_sym_protected] = ACTIONS(2649),
    [anon_sym_using] = ACTIONS(2649),
    [anon_sym_static_assert] = ACTIONS(2649),
    [anon_sym_precise] = ACTIONS(2649),
    [anon_sym_shared] = ACTIONS(2649),
    [anon_sym_groupshared] = ACTIONS(2649),
    [anon_sym_uniform] = ACTIONS(2649),
    [anon_sym_row_major] = ACTIONS(2649),
    [anon_sym_column_major] = ACTIONS(2649),
    [anon_sym_globallycoherent] = ACTIONS(2649),
    [anon_sym_centroid] = ACTIONS(2649),
    [anon_sym_noperspective] = ACTIONS(2649),
    [anon_sym_nointerpolation] = ACTIONS(2649),
    [anon_sym_sample] = ACTIONS(2649),
    [anon_sym_linear] = ACTIONS(2649),
    [anon_sym_snorm] = ACTIONS(2649),
    [anon_sym_unorm] = ACTIONS(2649),
    [anon_sym_point] = ACTIONS(2649),
    [anon_sym_line] = ACTIONS(2649),
    [anon_sym_triangleadj] = ACTIONS(2649),
    [anon_sym_lineadj] = ACTIONS(2649),
    [anon_sym_triangle] = ACTIONS(2649),
  },
  [2591] = {
    [sym_identifier] = ACTIONS(2608),
    [aux_sym_preproc_def_token1] = ACTIONS(2608),
    [aux_sym_preproc_if_token1] = ACTIONS(2608),
    [aux_sym_preproc_if_token2] = ACTIONS(2608),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2608),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2608),
    [aux_sym_preproc_else_token1] = ACTIONS(2608),
    [aux_sym_preproc_elif_token1] = ACTIONS(2608),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2608),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2608),
    [sym_preproc_directive] = ACTIONS(2608),
    [anon_sym_LPAREN2] = ACTIONS(2610),
    [anon_sym_TILDE] = ACTIONS(2610),
    [anon_sym_STAR] = ACTIONS(2610),
    [anon_sym_AMP_AMP] = ACTIONS(2610),
    [anon_sym_AMP] = ACTIONS(2608),
    [anon_sym___extension__] = ACTIONS(2608),
    [anon_sym_typedef] = ACTIONS(2608),
    [anon_sym_in] = ACTIONS(2608),
    [anon_sym_out] = ACTIONS(2608),
    [anon_sym_inout] = ACTIONS(2608),
    [anon_sym_extern] = ACTIONS(2608),
    [anon_sym___attribute__] = ACTIONS(2608),
    [anon_sym_COLON_COLON] = ACTIONS(2610),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2610),
    [anon_sym___declspec] = ACTIONS(2608),
    [anon_sym___based] = ACTIONS(2608),
    [anon_sym_signed] = ACTIONS(2608),
    [anon_sym_unsigned] = ACTIONS(2608),
    [anon_sym_long] = ACTIONS(2608),
    [anon_sym_short] = ACTIONS(2608),
    [anon_sym_LBRACK] = ACTIONS(2608),
    [anon_sym_static] = ACTIONS(2608),
    [anon_sym_register] = ACTIONS(2608),
    [anon_sym_inline] = ACTIONS(2608),
    [anon_sym___inline] = ACTIONS(2608),
    [anon_sym___inline__] = ACTIONS(2608),
    [anon_sym___forceinline] = ACTIONS(2608),
    [anon_sym_thread_local] = ACTIONS(2608),
    [anon_sym___thread] = ACTIONS(2608),
    [anon_sym_const] = ACTIONS(2608),
    [anon_sym_constexpr] = ACTIONS(2608),
    [anon_sym_volatile] = ACTIONS(2608),
    [anon_sym_restrict] = ACTIONS(2608),
    [anon_sym___restrict__] = ACTIONS(2608),
    [anon_sym__Atomic] = ACTIONS(2608),
    [anon_sym__Noreturn] = ACTIONS(2608),
    [anon_sym_noreturn] = ACTIONS(2608),
    [anon_sym_mutable] = ACTIONS(2608),
    [anon_sym_constinit] = ACTIONS(2608),
    [anon_sym_consteval] = ACTIONS(2608),
    [sym_primitive_type] = ACTIONS(2608),
    [anon_sym_enum] = ACTIONS(2608),
    [anon_sym_class] = ACTIONS(2608),
    [anon_sym_struct] = ACTIONS(2608),
    [anon_sym_union] = ACTIONS(2608),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2608),
    [anon_sym_decltype] = ACTIONS(2608),
    [anon_sym_virtual] = ACTIONS(2608),
    [anon_sym_alignas] = ACTIONS(2608),
    [anon_sym_explicit] = ACTIONS(2608),
    [anon_sym_typename] = ACTIONS(2608),
    [anon_sym_template] = ACTIONS(2608),
    [anon_sym_operator] = ACTIONS(2608),
    [anon_sym_friend] = ACTIONS(2608),
    [anon_sym_public] = ACTIONS(2608),
    [anon_sym_private] = ACTIONS(2608),
    [anon_sym_protected] = ACTIONS(2608),
    [anon_sym_using] = ACTIONS(2608),
    [anon_sym_static_assert] = ACTIONS(2608),
    [anon_sym_precise] = ACTIONS(2608),
    [anon_sym_shared] = ACTIONS(2608),
    [anon_sym_groupshared] = ACTIONS(2608),
    [anon_sym_uniform] = ACTIONS(2608),
    [anon_sym_row_major] = ACTIONS(2608),
    [anon_sym_column_major] = ACTIONS(2608),
    [anon_sym_globallycoherent] = ACTIONS(2608),
    [anon_sym_centroid] = ACTIONS(2608),
    [anon_sym_noperspective] = ACTIONS(2608),
    [anon_sym_nointerpolation] = ACTIONS(2608),
    [anon_sym_sample] = ACTIONS(2608),
    [anon_sym_linear] = ACTIONS(2608),
    [anon_sym_snorm] = ACTIONS(2608),
    [anon_sym_unorm] = ACTIONS(2608),
    [anon_sym_point] = ACTIONS(2608),
    [anon_sym_line] = ACTIONS(2608),
    [anon_sym_triangleadj] = ACTIONS(2608),
    [anon_sym_lineadj] = ACTIONS(2608),
    [anon_sym_triangle] = ACTIONS(2608),
  },
  [2592] = {
    [sym_identifier] = ACTIONS(2604),
    [aux_sym_preproc_def_token1] = ACTIONS(2604),
    [aux_sym_preproc_if_token1] = ACTIONS(2604),
    [aux_sym_preproc_if_token2] = ACTIONS(2604),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2604),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2604),
    [aux_sym_preproc_else_token1] = ACTIONS(2604),
    [aux_sym_preproc_elif_token1] = ACTIONS(2604),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2604),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2604),
    [sym_preproc_directive] = ACTIONS(2604),
    [anon_sym_LPAREN2] = ACTIONS(2606),
    [anon_sym_TILDE] = ACTIONS(2606),
    [anon_sym_STAR] = ACTIONS(2606),
    [anon_sym_AMP_AMP] = ACTIONS(2606),
    [anon_sym_AMP] = ACTIONS(2604),
    [anon_sym___extension__] = ACTIONS(2604),
    [anon_sym_typedef] = ACTIONS(2604),
    [anon_sym_in] = ACTIONS(2604),
    [anon_sym_out] = ACTIONS(2604),
    [anon_sym_inout] = ACTIONS(2604),
    [anon_sym_extern] = ACTIONS(2604),
    [anon_sym___attribute__] = ACTIONS(2604),
    [anon_sym_COLON_COLON] = ACTIONS(2606),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2606),
    [anon_sym___declspec] = ACTIONS(2604),
    [anon_sym___based] = ACTIONS(2604),
    [anon_sym_signed] = ACTIONS(2604),
    [anon_sym_unsigned] = ACTIONS(2604),
    [anon_sym_long] = ACTIONS(2604),
    [anon_sym_short] = ACTIONS(2604),
    [anon_sym_LBRACK] = ACTIONS(2604),
    [anon_sym_static] = ACTIONS(2604),
    [anon_sym_register] = ACTIONS(2604),
    [anon_sym_inline] = ACTIONS(2604),
    [anon_sym___inline] = ACTIONS(2604),
    [anon_sym___inline__] = ACTIONS(2604),
    [anon_sym___forceinline] = ACTIONS(2604),
    [anon_sym_thread_local] = ACTIONS(2604),
    [anon_sym___thread] = ACTIONS(2604),
    [anon_sym_const] = ACTIONS(2604),
    [anon_sym_constexpr] = ACTIONS(2604),
    [anon_sym_volatile] = ACTIONS(2604),
    [anon_sym_restrict] = ACTIONS(2604),
    [anon_sym___restrict__] = ACTIONS(2604),
    [anon_sym__Atomic] = ACTIONS(2604),
    [anon_sym__Noreturn] = ACTIONS(2604),
    [anon_sym_noreturn] = ACTIONS(2604),
    [anon_sym_mutable] = ACTIONS(2604),
    [anon_sym_constinit] = ACTIONS(2604),
    [anon_sym_consteval] = ACTIONS(2604),
    [sym_primitive_type] = ACTIONS(2604),
    [anon_sym_enum] = ACTIONS(2604),
    [anon_sym_class] = ACTIONS(2604),
    [anon_sym_struct] = ACTIONS(2604),
    [anon_sym_union] = ACTIONS(2604),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2604),
    [anon_sym_decltype] = ACTIONS(2604),
    [anon_sym_virtual] = ACTIONS(2604),
    [anon_sym_alignas] = ACTIONS(2604),
    [anon_sym_explicit] = ACTIONS(2604),
    [anon_sym_typename] = ACTIONS(2604),
    [anon_sym_template] = ACTIONS(2604),
    [anon_sym_operator] = ACTIONS(2604),
    [anon_sym_friend] = ACTIONS(2604),
    [anon_sym_public] = ACTIONS(2604),
    [anon_sym_private] = ACTIONS(2604),
    [anon_sym_protected] = ACTIONS(2604),
    [anon_sym_using] = ACTIONS(2604),
    [anon_sym_static_assert] = ACTIONS(2604),
    [anon_sym_precise] = ACTIONS(2604),
    [anon_sym_shared] = ACTIONS(2604),
    [anon_sym_groupshared] = ACTIONS(2604),
    [anon_sym_uniform] = ACTIONS(2604),
    [anon_sym_row_major] = ACTIONS(2604),
    [anon_sym_column_major] = ACTIONS(2604),
    [anon_sym_globallycoherent] = ACTIONS(2604),
    [anon_sym_centroid] = ACTIONS(2604),
    [anon_sym_noperspective] = ACTIONS(2604),
    [anon_sym_nointerpolation] = ACTIONS(2604),
    [anon_sym_sample] = ACTIONS(2604),
    [anon_sym_linear] = ACTIONS(2604),
    [anon_sym_snorm] = ACTIONS(2604),
    [anon_sym_unorm] = ACTIONS(2604),
    [anon_sym_point] = ACTIONS(2604),
    [anon_sym_line] = ACTIONS(2604),
    [anon_sym_triangleadj] = ACTIONS(2604),
    [anon_sym_lineadj] = ACTIONS(2604),
    [anon_sym_triangle] = ACTIONS(2604),
  },
  [2593] = {
    [sym_identifier] = ACTIONS(2694),
    [aux_sym_preproc_def_token1] = ACTIONS(2694),
    [aux_sym_preproc_if_token1] = ACTIONS(2694),
    [aux_sym_preproc_if_token2] = ACTIONS(2694),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2694),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2694),
    [aux_sym_preproc_else_token1] = ACTIONS(2694),
    [aux_sym_preproc_elif_token1] = ACTIONS(2694),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2694),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2694),
    [sym_preproc_directive] = ACTIONS(2694),
    [anon_sym_LPAREN2] = ACTIONS(2696),
    [anon_sym_TILDE] = ACTIONS(2696),
    [anon_sym_STAR] = ACTIONS(2696),
    [anon_sym_AMP_AMP] = ACTIONS(2696),
    [anon_sym_AMP] = ACTIONS(2694),
    [anon_sym___extension__] = ACTIONS(2694),
    [anon_sym_typedef] = ACTIONS(2694),
    [anon_sym_in] = ACTIONS(2694),
    [anon_sym_out] = ACTIONS(2694),
    [anon_sym_inout] = ACTIONS(2694),
    [anon_sym_extern] = ACTIONS(2694),
    [anon_sym___attribute__] = ACTIONS(2694),
    [anon_sym_COLON_COLON] = ACTIONS(2696),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2696),
    [anon_sym___declspec] = ACTIONS(2694),
    [anon_sym___based] = ACTIONS(2694),
    [anon_sym_signed] = ACTIONS(2694),
    [anon_sym_unsigned] = ACTIONS(2694),
    [anon_sym_long] = ACTIONS(2694),
    [anon_sym_short] = ACTIONS(2694),
    [anon_sym_LBRACK] = ACTIONS(2694),
    [anon_sym_static] = ACTIONS(2694),
    [anon_sym_register] = ACTIONS(2694),
    [anon_sym_inline] = ACTIONS(2694),
    [anon_sym___inline] = ACTIONS(2694),
    [anon_sym___inline__] = ACTIONS(2694),
    [anon_sym___forceinline] = ACTIONS(2694),
    [anon_sym_thread_local] = ACTIONS(2694),
    [anon_sym___thread] = ACTIONS(2694),
    [anon_sym_const] = ACTIONS(2694),
    [anon_sym_constexpr] = ACTIONS(2694),
    [anon_sym_volatile] = ACTIONS(2694),
    [anon_sym_restrict] = ACTIONS(2694),
    [anon_sym___restrict__] = ACTIONS(2694),
    [anon_sym__Atomic] = ACTIONS(2694),
    [anon_sym__Noreturn] = ACTIONS(2694),
    [anon_sym_noreturn] = ACTIONS(2694),
    [anon_sym_mutable] = ACTIONS(2694),
    [anon_sym_constinit] = ACTIONS(2694),
    [anon_sym_consteval] = ACTIONS(2694),
    [sym_primitive_type] = ACTIONS(2694),
    [anon_sym_enum] = ACTIONS(2694),
    [anon_sym_class] = ACTIONS(2694),
    [anon_sym_struct] = ACTIONS(2694),
    [anon_sym_union] = ACTIONS(2694),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2694),
    [anon_sym_decltype] = ACTIONS(2694),
    [anon_sym_virtual] = ACTIONS(2694),
    [anon_sym_alignas] = ACTIONS(2694),
    [anon_sym_explicit] = ACTIONS(2694),
    [anon_sym_typename] = ACTIONS(2694),
    [anon_sym_template] = ACTIONS(2694),
    [anon_sym_operator] = ACTIONS(2694),
    [anon_sym_friend] = ACTIONS(2694),
    [anon_sym_public] = ACTIONS(2694),
    [anon_sym_private] = ACTIONS(2694),
    [anon_sym_protected] = ACTIONS(2694),
    [anon_sym_using] = ACTIONS(2694),
    [anon_sym_static_assert] = ACTIONS(2694),
    [anon_sym_precise] = ACTIONS(2694),
    [anon_sym_shared] = ACTIONS(2694),
    [anon_sym_groupshared] = ACTIONS(2694),
    [anon_sym_uniform] = ACTIONS(2694),
    [anon_sym_row_major] = ACTIONS(2694),
    [anon_sym_column_major] = ACTIONS(2694),
    [anon_sym_globallycoherent] = ACTIONS(2694),
    [anon_sym_centroid] = ACTIONS(2694),
    [anon_sym_noperspective] = ACTIONS(2694),
    [anon_sym_nointerpolation] = ACTIONS(2694),
    [anon_sym_sample] = ACTIONS(2694),
    [anon_sym_linear] = ACTIONS(2694),
    [anon_sym_snorm] = ACTIONS(2694),
    [anon_sym_unorm] = ACTIONS(2694),
    [anon_sym_point] = ACTIONS(2694),
    [anon_sym_line] = ACTIONS(2694),
    [anon_sym_triangleadj] = ACTIONS(2694),
    [anon_sym_lineadj] = ACTIONS(2694),
    [anon_sym_triangle] = ACTIONS(2694),
  },
  [2594] = {
    [sym_identifier] = ACTIONS(2681),
    [aux_sym_preproc_def_token1] = ACTIONS(2681),
    [aux_sym_preproc_if_token1] = ACTIONS(2681),
    [aux_sym_preproc_if_token2] = ACTIONS(2681),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2681),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2681),
    [aux_sym_preproc_else_token1] = ACTIONS(2681),
    [aux_sym_preproc_elif_token1] = ACTIONS(2681),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2681),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2681),
    [sym_preproc_directive] = ACTIONS(2681),
    [anon_sym_LPAREN2] = ACTIONS(2683),
    [anon_sym_TILDE] = ACTIONS(2683),
    [anon_sym_STAR] = ACTIONS(2683),
    [anon_sym_AMP_AMP] = ACTIONS(2683),
    [anon_sym_AMP] = ACTIONS(2681),
    [anon_sym___extension__] = ACTIONS(2681),
    [anon_sym_typedef] = ACTIONS(2681),
    [anon_sym_in] = ACTIONS(2681),
    [anon_sym_out] = ACTIONS(2681),
    [anon_sym_inout] = ACTIONS(2681),
    [anon_sym_extern] = ACTIONS(2681),
    [anon_sym___attribute__] = ACTIONS(2681),
    [anon_sym_COLON_COLON] = ACTIONS(2683),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2683),
    [anon_sym___declspec] = ACTIONS(2681),
    [anon_sym___based] = ACTIONS(2681),
    [anon_sym_signed] = ACTIONS(2681),
    [anon_sym_unsigned] = ACTIONS(2681),
    [anon_sym_long] = ACTIONS(2681),
    [anon_sym_short] = ACTIONS(2681),
    [anon_sym_LBRACK] = ACTIONS(2681),
    [anon_sym_static] = ACTIONS(2681),
    [anon_sym_register] = ACTIONS(2681),
    [anon_sym_inline] = ACTIONS(2681),
    [anon_sym___inline] = ACTIONS(2681),
    [anon_sym___inline__] = ACTIONS(2681),
    [anon_sym___forceinline] = ACTIONS(2681),
    [anon_sym_thread_local] = ACTIONS(2681),
    [anon_sym___thread] = ACTIONS(2681),
    [anon_sym_const] = ACTIONS(2681),
    [anon_sym_constexpr] = ACTIONS(2681),
    [anon_sym_volatile] = ACTIONS(2681),
    [anon_sym_restrict] = ACTIONS(2681),
    [anon_sym___restrict__] = ACTIONS(2681),
    [anon_sym__Atomic] = ACTIONS(2681),
    [anon_sym__Noreturn] = ACTIONS(2681),
    [anon_sym_noreturn] = ACTIONS(2681),
    [anon_sym_mutable] = ACTIONS(2681),
    [anon_sym_constinit] = ACTIONS(2681),
    [anon_sym_consteval] = ACTIONS(2681),
    [sym_primitive_type] = ACTIONS(2681),
    [anon_sym_enum] = ACTIONS(2681),
    [anon_sym_class] = ACTIONS(2681),
    [anon_sym_struct] = ACTIONS(2681),
    [anon_sym_union] = ACTIONS(2681),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2681),
    [anon_sym_decltype] = ACTIONS(2681),
    [anon_sym_virtual] = ACTIONS(2681),
    [anon_sym_alignas] = ACTIONS(2681),
    [anon_sym_explicit] = ACTIONS(2681),
    [anon_sym_typename] = ACTIONS(2681),
    [anon_sym_template] = ACTIONS(2681),
    [anon_sym_operator] = ACTIONS(2681),
    [anon_sym_friend] = ACTIONS(2681),
    [anon_sym_public] = ACTIONS(2681),
    [anon_sym_private] = ACTIONS(2681),
    [anon_sym_protected] = ACTIONS(2681),
    [anon_sym_using] = ACTIONS(2681),
    [anon_sym_static_assert] = ACTIONS(2681),
    [anon_sym_precise] = ACTIONS(2681),
    [anon_sym_shared] = ACTIONS(2681),
    [anon_sym_groupshared] = ACTIONS(2681),
    [anon_sym_uniform] = ACTIONS(2681),
    [anon_sym_row_major] = ACTIONS(2681),
    [anon_sym_column_major] = ACTIONS(2681),
    [anon_sym_globallycoherent] = ACTIONS(2681),
    [anon_sym_centroid] = ACTIONS(2681),
    [anon_sym_noperspective] = ACTIONS(2681),
    [anon_sym_nointerpolation] = ACTIONS(2681),
    [anon_sym_sample] = ACTIONS(2681),
    [anon_sym_linear] = ACTIONS(2681),
    [anon_sym_snorm] = ACTIONS(2681),
    [anon_sym_unorm] = ACTIONS(2681),
    [anon_sym_point] = ACTIONS(2681),
    [anon_sym_line] = ACTIONS(2681),
    [anon_sym_triangleadj] = ACTIONS(2681),
    [anon_sym_lineadj] = ACTIONS(2681),
    [anon_sym_triangle] = ACTIONS(2681),
  },
  [2595] = {
    [sym__declaration_modifiers] = STATE(2673),
    [sym__declaration_specifiers] = STATE(6053),
    [sym_attribute_specifier] = STATE(2673),
    [sym_attribute_declaration] = STATE(2673),
    [sym_ms_declspec_modifier] = STATE(2673),
    [sym_storage_class_specifier] = STATE(2673),
    [sym_type_qualifier] = STATE(2673),
    [sym__type_specifier] = STATE(2827),
    [sym_sized_type_specifier] = STATE(3085),
    [sym_enum_specifier] = STATE(3085),
    [sym_struct_specifier] = STATE(3085),
    [sym_union_specifier] = STATE(3085),
    [sym_placeholder_type_specifier] = STATE(3085),
    [sym_decltype_auto] = STATE(3091),
    [sym_decltype] = STATE(3050),
    [sym_class_specifier] = STATE(3085),
    [sym_virtual] = STATE(2673),
    [sym_alignas_specifier] = STATE(2673),
    [sym_dependent_type] = STATE(3085),
    [sym_template_type] = STATE(3050),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(7887),
    [sym_qualified_type_identifier] = STATE(3068),
    [sym_qualifiers] = STATE(2673),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2673),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3021),
    [sym_identifier] = ACTIONS(3896),
    [anon_sym___extension__] = ACTIONS(63),
    [anon_sym_in] = ACTIONS(1480),
    [anon_sym_out] = ACTIONS(1480),
    [anon_sym_inout] = ACTIONS(1480),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(3904),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2096),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(2891),
    [anon_sym_enum] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(69),
    [anon_sym_struct] = ACTIONS(71),
    [anon_sym_union] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [anon_sym_virtual] = ACTIONS(123),
    [anon_sym_alignas] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_precise] = ACTIONS(161),
    [anon_sym_shared] = ACTIONS(161),
    [anon_sym_groupshared] = ACTIONS(161),
    [anon_sym_uniform] = ACTIONS(161),
    [anon_sym_row_major] = ACTIONS(161),
    [anon_sym_column_major] = ACTIONS(161),
    [anon_sym_globallycoherent] = ACTIONS(161),
    [anon_sym_centroid] = ACTIONS(161),
    [anon_sym_noperspective] = ACTIONS(161),
    [anon_sym_nointerpolation] = ACTIONS(161),
    [anon_sym_sample] = ACTIONS(161),
    [anon_sym_linear] = ACTIONS(161),
    [anon_sym_snorm] = ACTIONS(161),
    [anon_sym_unorm] = ACTIONS(161),
    [anon_sym_point] = ACTIONS(161),
    [anon_sym_line] = ACTIONS(161),
    [anon_sym_triangleadj] = ACTIONS(161),
    [anon_sym_lineadj] = ACTIONS(161),
    [anon_sym_triangle] = ACTIONS(161),
  },
  [2596] = {
    [sym_identifier] = ACTIONS(5655),
    [aux_sym_preproc_def_token1] = ACTIONS(5655),
    [aux_sym_preproc_if_token1] = ACTIONS(5655),
    [aux_sym_preproc_if_token2] = ACTIONS(5655),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5655),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5655),
    [aux_sym_preproc_else_token1] = ACTIONS(5655),
    [aux_sym_preproc_elif_token1] = ACTIONS(5655),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5655),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5655),
    [sym_preproc_directive] = ACTIONS(5655),
    [anon_sym_LPAREN2] = ACTIONS(5657),
    [anon_sym_TILDE] = ACTIONS(5657),
    [anon_sym_STAR] = ACTIONS(5657),
    [anon_sym_AMP_AMP] = ACTIONS(5657),
    [anon_sym_AMP] = ACTIONS(5655),
    [anon_sym___extension__] = ACTIONS(5655),
    [anon_sym_typedef] = ACTIONS(5655),
    [anon_sym_in] = ACTIONS(5655),
    [anon_sym_out] = ACTIONS(5655),
    [anon_sym_inout] = ACTIONS(5655),
    [anon_sym_extern] = ACTIONS(5655),
    [anon_sym___attribute__] = ACTIONS(5655),
    [anon_sym_COLON_COLON] = ACTIONS(5657),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5657),
    [anon_sym___declspec] = ACTIONS(5655),
    [anon_sym___based] = ACTIONS(5655),
    [anon_sym_signed] = ACTIONS(5655),
    [anon_sym_unsigned] = ACTIONS(5655),
    [anon_sym_long] = ACTIONS(5655),
    [anon_sym_short] = ACTIONS(5655),
    [anon_sym_LBRACK] = ACTIONS(5655),
    [anon_sym_static] = ACTIONS(5655),
    [anon_sym_register] = ACTIONS(5655),
    [anon_sym_inline] = ACTIONS(5655),
    [anon_sym___inline] = ACTIONS(5655),
    [anon_sym___inline__] = ACTIONS(5655),
    [anon_sym___forceinline] = ACTIONS(5655),
    [anon_sym_thread_local] = ACTIONS(5655),
    [anon_sym___thread] = ACTIONS(5655),
    [anon_sym_const] = ACTIONS(5655),
    [anon_sym_constexpr] = ACTIONS(5655),
    [anon_sym_volatile] = ACTIONS(5655),
    [anon_sym_restrict] = ACTIONS(5655),
    [anon_sym___restrict__] = ACTIONS(5655),
    [anon_sym__Atomic] = ACTIONS(5655),
    [anon_sym__Noreturn] = ACTIONS(5655),
    [anon_sym_noreturn] = ACTIONS(5655),
    [anon_sym_mutable] = ACTIONS(5655),
    [anon_sym_constinit] = ACTIONS(5655),
    [anon_sym_consteval] = ACTIONS(5655),
    [sym_primitive_type] = ACTIONS(5655),
    [anon_sym_enum] = ACTIONS(5655),
    [anon_sym_class] = ACTIONS(5655),
    [anon_sym_struct] = ACTIONS(5655),
    [anon_sym_union] = ACTIONS(5655),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5655),
    [anon_sym_decltype] = ACTIONS(5655),
    [anon_sym_virtual] = ACTIONS(5655),
    [anon_sym_alignas] = ACTIONS(5655),
    [anon_sym_explicit] = ACTIONS(5655),
    [anon_sym_typename] = ACTIONS(5655),
    [anon_sym_template] = ACTIONS(5655),
    [anon_sym_operator] = ACTIONS(5655),
    [anon_sym_friend] = ACTIONS(5655),
    [anon_sym_public] = ACTIONS(5655),
    [anon_sym_private] = ACTIONS(5655),
    [anon_sym_protected] = ACTIONS(5655),
    [anon_sym_using] = ACTIONS(5655),
    [anon_sym_static_assert] = ACTIONS(5655),
    [anon_sym_precise] = ACTIONS(5655),
    [anon_sym_shared] = ACTIONS(5655),
    [anon_sym_groupshared] = ACTIONS(5655),
    [anon_sym_uniform] = ACTIONS(5655),
    [anon_sym_row_major] = ACTIONS(5655),
    [anon_sym_column_major] = ACTIONS(5655),
    [anon_sym_globallycoherent] = ACTIONS(5655),
    [anon_sym_centroid] = ACTIONS(5655),
    [anon_sym_noperspective] = ACTIONS(5655),
    [anon_sym_nointerpolation] = ACTIONS(5655),
    [anon_sym_sample] = ACTIONS(5655),
    [anon_sym_linear] = ACTIONS(5655),
    [anon_sym_snorm] = ACTIONS(5655),
    [anon_sym_unorm] = ACTIONS(5655),
    [anon_sym_point] = ACTIONS(5655),
    [anon_sym_line] = ACTIONS(5655),
    [anon_sym_triangleadj] = ACTIONS(5655),
    [anon_sym_lineadj] = ACTIONS(5655),
    [anon_sym_triangle] = ACTIONS(5655),
  },
  [2597] = {
    [sym_identifier] = ACTIONS(2464),
    [aux_sym_preproc_def_token1] = ACTIONS(2464),
    [aux_sym_preproc_if_token1] = ACTIONS(2464),
    [aux_sym_preproc_if_token2] = ACTIONS(2464),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2464),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2464),
    [aux_sym_preproc_else_token1] = ACTIONS(2464),
    [aux_sym_preproc_elif_token1] = ACTIONS(2464),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2464),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2464),
    [sym_preproc_directive] = ACTIONS(2464),
    [anon_sym_LPAREN2] = ACTIONS(2466),
    [anon_sym_TILDE] = ACTIONS(2466),
    [anon_sym_STAR] = ACTIONS(2466),
    [anon_sym_AMP_AMP] = ACTIONS(2466),
    [anon_sym_AMP] = ACTIONS(2464),
    [anon_sym___extension__] = ACTIONS(2464),
    [anon_sym_typedef] = ACTIONS(2464),
    [anon_sym_in] = ACTIONS(2464),
    [anon_sym_out] = ACTIONS(2464),
    [anon_sym_inout] = ACTIONS(2464),
    [anon_sym_extern] = ACTIONS(2464),
    [anon_sym___attribute__] = ACTIONS(2464),
    [anon_sym_COLON_COLON] = ACTIONS(2466),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2466),
    [anon_sym___declspec] = ACTIONS(2464),
    [anon_sym___based] = ACTIONS(2464),
    [anon_sym_signed] = ACTIONS(2464),
    [anon_sym_unsigned] = ACTIONS(2464),
    [anon_sym_long] = ACTIONS(2464),
    [anon_sym_short] = ACTIONS(2464),
    [anon_sym_LBRACK] = ACTIONS(2464),
    [anon_sym_static] = ACTIONS(2464),
    [anon_sym_register] = ACTIONS(2464),
    [anon_sym_inline] = ACTIONS(2464),
    [anon_sym___inline] = ACTIONS(2464),
    [anon_sym___inline__] = ACTIONS(2464),
    [anon_sym___forceinline] = ACTIONS(2464),
    [anon_sym_thread_local] = ACTIONS(2464),
    [anon_sym___thread] = ACTIONS(2464),
    [anon_sym_const] = ACTIONS(2464),
    [anon_sym_constexpr] = ACTIONS(2464),
    [anon_sym_volatile] = ACTIONS(2464),
    [anon_sym_restrict] = ACTIONS(2464),
    [anon_sym___restrict__] = ACTIONS(2464),
    [anon_sym__Atomic] = ACTIONS(2464),
    [anon_sym__Noreturn] = ACTIONS(2464),
    [anon_sym_noreturn] = ACTIONS(2464),
    [anon_sym_mutable] = ACTIONS(2464),
    [anon_sym_constinit] = ACTIONS(2464),
    [anon_sym_consteval] = ACTIONS(2464),
    [sym_primitive_type] = ACTIONS(2464),
    [anon_sym_enum] = ACTIONS(2464),
    [anon_sym_class] = ACTIONS(2464),
    [anon_sym_struct] = ACTIONS(2464),
    [anon_sym_union] = ACTIONS(2464),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2464),
    [anon_sym_decltype] = ACTIONS(2464),
    [anon_sym_virtual] = ACTIONS(2464),
    [anon_sym_alignas] = ACTIONS(2464),
    [anon_sym_explicit] = ACTIONS(2464),
    [anon_sym_typename] = ACTIONS(2464),
    [anon_sym_template] = ACTIONS(2464),
    [anon_sym_operator] = ACTIONS(2464),
    [anon_sym_friend] = ACTIONS(2464),
    [anon_sym_public] = ACTIONS(2464),
    [anon_sym_private] = ACTIONS(2464),
    [anon_sym_protected] = ACTIONS(2464),
    [anon_sym_using] = ACTIONS(2464),
    [anon_sym_static_assert] = ACTIONS(2464),
    [anon_sym_precise] = ACTIONS(2464),
    [anon_sym_shared] = ACTIONS(2464),
    [anon_sym_groupshared] = ACTIONS(2464),
    [anon_sym_uniform] = ACTIONS(2464),
    [anon_sym_row_major] = ACTIONS(2464),
    [anon_sym_column_major] = ACTIONS(2464),
    [anon_sym_globallycoherent] = ACTIONS(2464),
    [anon_sym_centroid] = ACTIONS(2464),
    [anon_sym_noperspective] = ACTIONS(2464),
    [anon_sym_nointerpolation] = ACTIONS(2464),
    [anon_sym_sample] = ACTIONS(2464),
    [anon_sym_linear] = ACTIONS(2464),
    [anon_sym_snorm] = ACTIONS(2464),
    [anon_sym_unorm] = ACTIONS(2464),
    [anon_sym_point] = ACTIONS(2464),
    [anon_sym_line] = ACTIONS(2464),
    [anon_sym_triangleadj] = ACTIONS(2464),
    [anon_sym_lineadj] = ACTIONS(2464),
    [anon_sym_triangle] = ACTIONS(2464),
  },
  [2598] = {
    [sym_identifier] = ACTIONS(2600),
    [aux_sym_preproc_def_token1] = ACTIONS(2600),
    [aux_sym_preproc_if_token1] = ACTIONS(2600),
    [aux_sym_preproc_if_token2] = ACTIONS(2600),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2600),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2600),
    [aux_sym_preproc_else_token1] = ACTIONS(2600),
    [aux_sym_preproc_elif_token1] = ACTIONS(2600),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2600),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2600),
    [sym_preproc_directive] = ACTIONS(2600),
    [anon_sym_LPAREN2] = ACTIONS(2602),
    [anon_sym_TILDE] = ACTIONS(2602),
    [anon_sym_STAR] = ACTIONS(2602),
    [anon_sym_AMP_AMP] = ACTIONS(2602),
    [anon_sym_AMP] = ACTIONS(2600),
    [anon_sym___extension__] = ACTIONS(2600),
    [anon_sym_typedef] = ACTIONS(2600),
    [anon_sym_in] = ACTIONS(2600),
    [anon_sym_out] = ACTIONS(2600),
    [anon_sym_inout] = ACTIONS(2600),
    [anon_sym_extern] = ACTIONS(2600),
    [anon_sym___attribute__] = ACTIONS(2600),
    [anon_sym_COLON_COLON] = ACTIONS(2602),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2602),
    [anon_sym___declspec] = ACTIONS(2600),
    [anon_sym___based] = ACTIONS(2600),
    [anon_sym_signed] = ACTIONS(2600),
    [anon_sym_unsigned] = ACTIONS(2600),
    [anon_sym_long] = ACTIONS(2600),
    [anon_sym_short] = ACTIONS(2600),
    [anon_sym_LBRACK] = ACTIONS(2600),
    [anon_sym_static] = ACTIONS(2600),
    [anon_sym_register] = ACTIONS(2600),
    [anon_sym_inline] = ACTIONS(2600),
    [anon_sym___inline] = ACTIONS(2600),
    [anon_sym___inline__] = ACTIONS(2600),
    [anon_sym___forceinline] = ACTIONS(2600),
    [anon_sym_thread_local] = ACTIONS(2600),
    [anon_sym___thread] = ACTIONS(2600),
    [anon_sym_const] = ACTIONS(2600),
    [anon_sym_constexpr] = ACTIONS(2600),
    [anon_sym_volatile] = ACTIONS(2600),
    [anon_sym_restrict] = ACTIONS(2600),
    [anon_sym___restrict__] = ACTIONS(2600),
    [anon_sym__Atomic] = ACTIONS(2600),
    [anon_sym__Noreturn] = ACTIONS(2600),
    [anon_sym_noreturn] = ACTIONS(2600),
    [anon_sym_mutable] = ACTIONS(2600),
    [anon_sym_constinit] = ACTIONS(2600),
    [anon_sym_consteval] = ACTIONS(2600),
    [sym_primitive_type] = ACTIONS(2600),
    [anon_sym_enum] = ACTIONS(2600),
    [anon_sym_class] = ACTIONS(2600),
    [anon_sym_struct] = ACTIONS(2600),
    [anon_sym_union] = ACTIONS(2600),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2600),
    [anon_sym_decltype] = ACTIONS(2600),
    [anon_sym_virtual] = ACTIONS(2600),
    [anon_sym_alignas] = ACTIONS(2600),
    [anon_sym_explicit] = ACTIONS(2600),
    [anon_sym_typename] = ACTIONS(2600),
    [anon_sym_template] = ACTIONS(2600),
    [anon_sym_operator] = ACTIONS(2600),
    [anon_sym_friend] = ACTIONS(2600),
    [anon_sym_public] = ACTIONS(2600),
    [anon_sym_private] = ACTIONS(2600),
    [anon_sym_protected] = ACTIONS(2600),
    [anon_sym_using] = ACTIONS(2600),
    [anon_sym_static_assert] = ACTIONS(2600),
    [anon_sym_precise] = ACTIONS(2600),
    [anon_sym_shared] = ACTIONS(2600),
    [anon_sym_groupshared] = ACTIONS(2600),
    [anon_sym_uniform] = ACTIONS(2600),
    [anon_sym_row_major] = ACTIONS(2600),
    [anon_sym_column_major] = ACTIONS(2600),
    [anon_sym_globallycoherent] = ACTIONS(2600),
    [anon_sym_centroid] = ACTIONS(2600),
    [anon_sym_noperspective] = ACTIONS(2600),
    [anon_sym_nointerpolation] = ACTIONS(2600),
    [anon_sym_sample] = ACTIONS(2600),
    [anon_sym_linear] = ACTIONS(2600),
    [anon_sym_snorm] = ACTIONS(2600),
    [anon_sym_unorm] = ACTIONS(2600),
    [anon_sym_point] = ACTIONS(2600),
    [anon_sym_line] = ACTIONS(2600),
    [anon_sym_triangleadj] = ACTIONS(2600),
    [anon_sym_lineadj] = ACTIONS(2600),
    [anon_sym_triangle] = ACTIONS(2600),
  },
  [2599] = {
    [sym__declaration_modifiers] = STATE(2673),
    [sym__declaration_specifiers] = STATE(6042),
    [sym_attribute_specifier] = STATE(2673),
    [sym_attribute_declaration] = STATE(2673),
    [sym_ms_declspec_modifier] = STATE(2673),
    [sym_storage_class_specifier] = STATE(2673),
    [sym_type_qualifier] = STATE(2673),
    [sym__type_specifier] = STATE(2827),
    [sym_sized_type_specifier] = STATE(3085),
    [sym_enum_specifier] = STATE(3085),
    [sym_struct_specifier] = STATE(3085),
    [sym_union_specifier] = STATE(3085),
    [sym_placeholder_type_specifier] = STATE(3085),
    [sym_decltype_auto] = STATE(3091),
    [sym_decltype] = STATE(3050),
    [sym_class_specifier] = STATE(3085),
    [sym_virtual] = STATE(2673),
    [sym_alignas_specifier] = STATE(2673),
    [sym_dependent_type] = STATE(3085),
    [sym_template_type] = STATE(3050),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(7887),
    [sym_qualified_type_identifier] = STATE(3068),
    [sym_qualifiers] = STATE(2673),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2673),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3021),
    [sym_identifier] = ACTIONS(3896),
    [anon_sym___extension__] = ACTIONS(63),
    [anon_sym_in] = ACTIONS(1480),
    [anon_sym_out] = ACTIONS(1480),
    [anon_sym_inout] = ACTIONS(1480),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(3904),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2096),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(2891),
    [anon_sym_enum] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(69),
    [anon_sym_struct] = ACTIONS(71),
    [anon_sym_union] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [anon_sym_virtual] = ACTIONS(123),
    [anon_sym_alignas] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_precise] = ACTIONS(161),
    [anon_sym_shared] = ACTIONS(161),
    [anon_sym_groupshared] = ACTIONS(161),
    [anon_sym_uniform] = ACTIONS(161),
    [anon_sym_row_major] = ACTIONS(161),
    [anon_sym_column_major] = ACTIONS(161),
    [anon_sym_globallycoherent] = ACTIONS(161),
    [anon_sym_centroid] = ACTIONS(161),
    [anon_sym_noperspective] = ACTIONS(161),
    [anon_sym_nointerpolation] = ACTIONS(161),
    [anon_sym_sample] = ACTIONS(161),
    [anon_sym_linear] = ACTIONS(161),
    [anon_sym_snorm] = ACTIONS(161),
    [anon_sym_unorm] = ACTIONS(161),
    [anon_sym_point] = ACTIONS(161),
    [anon_sym_line] = ACTIONS(161),
    [anon_sym_triangleadj] = ACTIONS(161),
    [anon_sym_lineadj] = ACTIONS(161),
    [anon_sym_triangle] = ACTIONS(161),
  },
  [2600] = {
    [sym_identifier] = ACTIONS(5683),
    [aux_sym_preproc_def_token1] = ACTIONS(5683),
    [aux_sym_preproc_if_token1] = ACTIONS(5683),
    [aux_sym_preproc_if_token2] = ACTIONS(5683),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5683),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5683),
    [aux_sym_preproc_else_token1] = ACTIONS(5683),
    [aux_sym_preproc_elif_token1] = ACTIONS(5683),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5683),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5683),
    [sym_preproc_directive] = ACTIONS(5683),
    [anon_sym_LPAREN2] = ACTIONS(5685),
    [anon_sym_TILDE] = ACTIONS(5685),
    [anon_sym_STAR] = ACTIONS(5685),
    [anon_sym_AMP_AMP] = ACTIONS(5685),
    [anon_sym_AMP] = ACTIONS(5683),
    [anon_sym___extension__] = ACTIONS(5683),
    [anon_sym_typedef] = ACTIONS(5683),
    [anon_sym_in] = ACTIONS(5683),
    [anon_sym_out] = ACTIONS(5683),
    [anon_sym_inout] = ACTIONS(5683),
    [anon_sym_extern] = ACTIONS(5683),
    [anon_sym___attribute__] = ACTIONS(5683),
    [anon_sym_COLON_COLON] = ACTIONS(5685),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5685),
    [anon_sym___declspec] = ACTIONS(5683),
    [anon_sym___based] = ACTIONS(5683),
    [anon_sym_signed] = ACTIONS(5683),
    [anon_sym_unsigned] = ACTIONS(5683),
    [anon_sym_long] = ACTIONS(5683),
    [anon_sym_short] = ACTIONS(5683),
    [anon_sym_LBRACK] = ACTIONS(5683),
    [anon_sym_static] = ACTIONS(5683),
    [anon_sym_register] = ACTIONS(5683),
    [anon_sym_inline] = ACTIONS(5683),
    [anon_sym___inline] = ACTIONS(5683),
    [anon_sym___inline__] = ACTIONS(5683),
    [anon_sym___forceinline] = ACTIONS(5683),
    [anon_sym_thread_local] = ACTIONS(5683),
    [anon_sym___thread] = ACTIONS(5683),
    [anon_sym_const] = ACTIONS(5683),
    [anon_sym_constexpr] = ACTIONS(5683),
    [anon_sym_volatile] = ACTIONS(5683),
    [anon_sym_restrict] = ACTIONS(5683),
    [anon_sym___restrict__] = ACTIONS(5683),
    [anon_sym__Atomic] = ACTIONS(5683),
    [anon_sym__Noreturn] = ACTIONS(5683),
    [anon_sym_noreturn] = ACTIONS(5683),
    [anon_sym_mutable] = ACTIONS(5683),
    [anon_sym_constinit] = ACTIONS(5683),
    [anon_sym_consteval] = ACTIONS(5683),
    [sym_primitive_type] = ACTIONS(5683),
    [anon_sym_enum] = ACTIONS(5683),
    [anon_sym_class] = ACTIONS(5683),
    [anon_sym_struct] = ACTIONS(5683),
    [anon_sym_union] = ACTIONS(5683),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5683),
    [anon_sym_decltype] = ACTIONS(5683),
    [anon_sym_virtual] = ACTIONS(5683),
    [anon_sym_alignas] = ACTIONS(5683),
    [anon_sym_explicit] = ACTIONS(5683),
    [anon_sym_typename] = ACTIONS(5683),
    [anon_sym_template] = ACTIONS(5683),
    [anon_sym_operator] = ACTIONS(5683),
    [anon_sym_friend] = ACTIONS(5683),
    [anon_sym_public] = ACTIONS(5683),
    [anon_sym_private] = ACTIONS(5683),
    [anon_sym_protected] = ACTIONS(5683),
    [anon_sym_using] = ACTIONS(5683),
    [anon_sym_static_assert] = ACTIONS(5683),
    [anon_sym_precise] = ACTIONS(5683),
    [anon_sym_shared] = ACTIONS(5683),
    [anon_sym_groupshared] = ACTIONS(5683),
    [anon_sym_uniform] = ACTIONS(5683),
    [anon_sym_row_major] = ACTIONS(5683),
    [anon_sym_column_major] = ACTIONS(5683),
    [anon_sym_globallycoherent] = ACTIONS(5683),
    [anon_sym_centroid] = ACTIONS(5683),
    [anon_sym_noperspective] = ACTIONS(5683),
    [anon_sym_nointerpolation] = ACTIONS(5683),
    [anon_sym_sample] = ACTIONS(5683),
    [anon_sym_linear] = ACTIONS(5683),
    [anon_sym_snorm] = ACTIONS(5683),
    [anon_sym_unorm] = ACTIONS(5683),
    [anon_sym_point] = ACTIONS(5683),
    [anon_sym_line] = ACTIONS(5683),
    [anon_sym_triangleadj] = ACTIONS(5683),
    [anon_sym_lineadj] = ACTIONS(5683),
    [anon_sym_triangle] = ACTIONS(5683),
  },
  [2601] = {
    [sym__declaration_modifiers] = STATE(2673),
    [sym__declaration_specifiers] = STATE(6036),
    [sym_attribute_specifier] = STATE(2673),
    [sym_attribute_declaration] = STATE(2673),
    [sym_ms_declspec_modifier] = STATE(2673),
    [sym_storage_class_specifier] = STATE(2673),
    [sym_type_qualifier] = STATE(2673),
    [sym__type_specifier] = STATE(2827),
    [sym_sized_type_specifier] = STATE(3085),
    [sym_enum_specifier] = STATE(3085),
    [sym_struct_specifier] = STATE(3085),
    [sym_union_specifier] = STATE(3085),
    [sym_placeholder_type_specifier] = STATE(3085),
    [sym_decltype_auto] = STATE(3091),
    [sym_decltype] = STATE(3050),
    [sym_class_specifier] = STATE(3085),
    [sym_virtual] = STATE(2673),
    [sym_alignas_specifier] = STATE(2673),
    [sym_dependent_type] = STATE(3085),
    [sym_template_type] = STATE(3050),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(7887),
    [sym_qualified_type_identifier] = STATE(3068),
    [sym_qualifiers] = STATE(2673),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2673),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3021),
    [sym_identifier] = ACTIONS(3896),
    [anon_sym___extension__] = ACTIONS(63),
    [anon_sym_in] = ACTIONS(1480),
    [anon_sym_out] = ACTIONS(1480),
    [anon_sym_inout] = ACTIONS(1480),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(3904),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2096),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(2891),
    [anon_sym_enum] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(69),
    [anon_sym_struct] = ACTIONS(71),
    [anon_sym_union] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [anon_sym_virtual] = ACTIONS(123),
    [anon_sym_alignas] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_precise] = ACTIONS(161),
    [anon_sym_shared] = ACTIONS(161),
    [anon_sym_groupshared] = ACTIONS(161),
    [anon_sym_uniform] = ACTIONS(161),
    [anon_sym_row_major] = ACTIONS(161),
    [anon_sym_column_major] = ACTIONS(161),
    [anon_sym_globallycoherent] = ACTIONS(161),
    [anon_sym_centroid] = ACTIONS(161),
    [anon_sym_noperspective] = ACTIONS(161),
    [anon_sym_nointerpolation] = ACTIONS(161),
    [anon_sym_sample] = ACTIONS(161),
    [anon_sym_linear] = ACTIONS(161),
    [anon_sym_snorm] = ACTIONS(161),
    [anon_sym_unorm] = ACTIONS(161),
    [anon_sym_point] = ACTIONS(161),
    [anon_sym_line] = ACTIONS(161),
    [anon_sym_triangleadj] = ACTIONS(161),
    [anon_sym_lineadj] = ACTIONS(161),
    [anon_sym_triangle] = ACTIONS(161),
  },
  [2602] = {
    [sym_identifier] = ACTIONS(5687),
    [aux_sym_preproc_def_token1] = ACTIONS(5687),
    [aux_sym_preproc_if_token1] = ACTIONS(5687),
    [aux_sym_preproc_if_token2] = ACTIONS(5687),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5687),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5687),
    [aux_sym_preproc_else_token1] = ACTIONS(5687),
    [aux_sym_preproc_elif_token1] = ACTIONS(5687),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5687),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5687),
    [sym_preproc_directive] = ACTIONS(5687),
    [anon_sym_LPAREN2] = ACTIONS(5689),
    [anon_sym_TILDE] = ACTIONS(5689),
    [anon_sym_STAR] = ACTIONS(5689),
    [anon_sym_AMP_AMP] = ACTIONS(5689),
    [anon_sym_AMP] = ACTIONS(5687),
    [anon_sym___extension__] = ACTIONS(5687),
    [anon_sym_typedef] = ACTIONS(5687),
    [anon_sym_in] = ACTIONS(5687),
    [anon_sym_out] = ACTIONS(5687),
    [anon_sym_inout] = ACTIONS(5687),
    [anon_sym_extern] = ACTIONS(5687),
    [anon_sym___attribute__] = ACTIONS(5687),
    [anon_sym_COLON_COLON] = ACTIONS(5689),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5689),
    [anon_sym___declspec] = ACTIONS(5687),
    [anon_sym___based] = ACTIONS(5687),
    [anon_sym_signed] = ACTIONS(5687),
    [anon_sym_unsigned] = ACTIONS(5687),
    [anon_sym_long] = ACTIONS(5687),
    [anon_sym_short] = ACTIONS(5687),
    [anon_sym_LBRACK] = ACTIONS(5687),
    [anon_sym_static] = ACTIONS(5687),
    [anon_sym_register] = ACTIONS(5687),
    [anon_sym_inline] = ACTIONS(5687),
    [anon_sym___inline] = ACTIONS(5687),
    [anon_sym___inline__] = ACTIONS(5687),
    [anon_sym___forceinline] = ACTIONS(5687),
    [anon_sym_thread_local] = ACTIONS(5687),
    [anon_sym___thread] = ACTIONS(5687),
    [anon_sym_const] = ACTIONS(5687),
    [anon_sym_constexpr] = ACTIONS(5687),
    [anon_sym_volatile] = ACTIONS(5687),
    [anon_sym_restrict] = ACTIONS(5687),
    [anon_sym___restrict__] = ACTIONS(5687),
    [anon_sym__Atomic] = ACTIONS(5687),
    [anon_sym__Noreturn] = ACTIONS(5687),
    [anon_sym_noreturn] = ACTIONS(5687),
    [anon_sym_mutable] = ACTIONS(5687),
    [anon_sym_constinit] = ACTIONS(5687),
    [anon_sym_consteval] = ACTIONS(5687),
    [sym_primitive_type] = ACTIONS(5687),
    [anon_sym_enum] = ACTIONS(5687),
    [anon_sym_class] = ACTIONS(5687),
    [anon_sym_struct] = ACTIONS(5687),
    [anon_sym_union] = ACTIONS(5687),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5687),
    [anon_sym_decltype] = ACTIONS(5687),
    [anon_sym_virtual] = ACTIONS(5687),
    [anon_sym_alignas] = ACTIONS(5687),
    [anon_sym_explicit] = ACTIONS(5687),
    [anon_sym_typename] = ACTIONS(5687),
    [anon_sym_template] = ACTIONS(5687),
    [anon_sym_operator] = ACTIONS(5687),
    [anon_sym_friend] = ACTIONS(5687),
    [anon_sym_public] = ACTIONS(5687),
    [anon_sym_private] = ACTIONS(5687),
    [anon_sym_protected] = ACTIONS(5687),
    [anon_sym_using] = ACTIONS(5687),
    [anon_sym_static_assert] = ACTIONS(5687),
    [anon_sym_precise] = ACTIONS(5687),
    [anon_sym_shared] = ACTIONS(5687),
    [anon_sym_groupshared] = ACTIONS(5687),
    [anon_sym_uniform] = ACTIONS(5687),
    [anon_sym_row_major] = ACTIONS(5687),
    [anon_sym_column_major] = ACTIONS(5687),
    [anon_sym_globallycoherent] = ACTIONS(5687),
    [anon_sym_centroid] = ACTIONS(5687),
    [anon_sym_noperspective] = ACTIONS(5687),
    [anon_sym_nointerpolation] = ACTIONS(5687),
    [anon_sym_sample] = ACTIONS(5687),
    [anon_sym_linear] = ACTIONS(5687),
    [anon_sym_snorm] = ACTIONS(5687),
    [anon_sym_unorm] = ACTIONS(5687),
    [anon_sym_point] = ACTIONS(5687),
    [anon_sym_line] = ACTIONS(5687),
    [anon_sym_triangleadj] = ACTIONS(5687),
    [anon_sym_lineadj] = ACTIONS(5687),
    [anon_sym_triangle] = ACTIONS(5687),
  },
  [2603] = {
    [sym__declaration_modifiers] = STATE(2673),
    [sym__declaration_specifiers] = STATE(6023),
    [sym_attribute_specifier] = STATE(2673),
    [sym_attribute_declaration] = STATE(2673),
    [sym_ms_declspec_modifier] = STATE(2673),
    [sym_storage_class_specifier] = STATE(2673),
    [sym_type_qualifier] = STATE(2673),
    [sym__type_specifier] = STATE(2827),
    [sym_sized_type_specifier] = STATE(3085),
    [sym_enum_specifier] = STATE(3085),
    [sym_struct_specifier] = STATE(3085),
    [sym_union_specifier] = STATE(3085),
    [sym_placeholder_type_specifier] = STATE(3085),
    [sym_decltype_auto] = STATE(3091),
    [sym_decltype] = STATE(3050),
    [sym_class_specifier] = STATE(3085),
    [sym_virtual] = STATE(2673),
    [sym_alignas_specifier] = STATE(2673),
    [sym_dependent_type] = STATE(3085),
    [sym_template_type] = STATE(3050),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(7887),
    [sym_qualified_type_identifier] = STATE(3068),
    [sym_qualifiers] = STATE(2673),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2673),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3021),
    [sym_identifier] = ACTIONS(3896),
    [anon_sym___extension__] = ACTIONS(63),
    [anon_sym_in] = ACTIONS(1480),
    [anon_sym_out] = ACTIONS(1480),
    [anon_sym_inout] = ACTIONS(1480),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(3904),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2096),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(2891),
    [anon_sym_enum] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(69),
    [anon_sym_struct] = ACTIONS(71),
    [anon_sym_union] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [anon_sym_virtual] = ACTIONS(123),
    [anon_sym_alignas] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_precise] = ACTIONS(161),
    [anon_sym_shared] = ACTIONS(161),
    [anon_sym_groupshared] = ACTIONS(161),
    [anon_sym_uniform] = ACTIONS(161),
    [anon_sym_row_major] = ACTIONS(161),
    [anon_sym_column_major] = ACTIONS(161),
    [anon_sym_globallycoherent] = ACTIONS(161),
    [anon_sym_centroid] = ACTIONS(161),
    [anon_sym_noperspective] = ACTIONS(161),
    [anon_sym_nointerpolation] = ACTIONS(161),
    [anon_sym_sample] = ACTIONS(161),
    [anon_sym_linear] = ACTIONS(161),
    [anon_sym_snorm] = ACTIONS(161),
    [anon_sym_unorm] = ACTIONS(161),
    [anon_sym_point] = ACTIONS(161),
    [anon_sym_line] = ACTIONS(161),
    [anon_sym_triangleadj] = ACTIONS(161),
    [anon_sym_lineadj] = ACTIONS(161),
    [anon_sym_triangle] = ACTIONS(161),
  },
  [2604] = {
    [sym_identifier] = ACTIONS(2777),
    [aux_sym_preproc_def_token1] = ACTIONS(2777),
    [aux_sym_preproc_if_token1] = ACTIONS(2777),
    [aux_sym_preproc_if_token2] = ACTIONS(2777),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2777),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2777),
    [aux_sym_preproc_else_token1] = ACTIONS(2777),
    [aux_sym_preproc_elif_token1] = ACTIONS(2777),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2777),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2777),
    [sym_preproc_directive] = ACTIONS(2777),
    [anon_sym_LPAREN2] = ACTIONS(2779),
    [anon_sym_TILDE] = ACTIONS(2779),
    [anon_sym_STAR] = ACTIONS(2779),
    [anon_sym_AMP_AMP] = ACTIONS(2779),
    [anon_sym_AMP] = ACTIONS(2777),
    [anon_sym___extension__] = ACTIONS(2777),
    [anon_sym_typedef] = ACTIONS(2777),
    [anon_sym_in] = ACTIONS(2777),
    [anon_sym_out] = ACTIONS(2777),
    [anon_sym_inout] = ACTIONS(2777),
    [anon_sym_extern] = ACTIONS(2777),
    [anon_sym___attribute__] = ACTIONS(2777),
    [anon_sym_COLON_COLON] = ACTIONS(2779),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2779),
    [anon_sym___declspec] = ACTIONS(2777),
    [anon_sym___based] = ACTIONS(2777),
    [anon_sym_signed] = ACTIONS(2777),
    [anon_sym_unsigned] = ACTIONS(2777),
    [anon_sym_long] = ACTIONS(2777),
    [anon_sym_short] = ACTIONS(2777),
    [anon_sym_LBRACK] = ACTIONS(2777),
    [anon_sym_static] = ACTIONS(2777),
    [anon_sym_register] = ACTIONS(2777),
    [anon_sym_inline] = ACTIONS(2777),
    [anon_sym___inline] = ACTIONS(2777),
    [anon_sym___inline__] = ACTIONS(2777),
    [anon_sym___forceinline] = ACTIONS(2777),
    [anon_sym_thread_local] = ACTIONS(2777),
    [anon_sym___thread] = ACTIONS(2777),
    [anon_sym_const] = ACTIONS(2777),
    [anon_sym_constexpr] = ACTIONS(2777),
    [anon_sym_volatile] = ACTIONS(2777),
    [anon_sym_restrict] = ACTIONS(2777),
    [anon_sym___restrict__] = ACTIONS(2777),
    [anon_sym__Atomic] = ACTIONS(2777),
    [anon_sym__Noreturn] = ACTIONS(2777),
    [anon_sym_noreturn] = ACTIONS(2777),
    [anon_sym_mutable] = ACTIONS(2777),
    [anon_sym_constinit] = ACTIONS(2777),
    [anon_sym_consteval] = ACTIONS(2777),
    [sym_primitive_type] = ACTIONS(2777),
    [anon_sym_enum] = ACTIONS(2777),
    [anon_sym_class] = ACTIONS(2777),
    [anon_sym_struct] = ACTIONS(2777),
    [anon_sym_union] = ACTIONS(2777),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2777),
    [anon_sym_decltype] = ACTIONS(2777),
    [anon_sym_virtual] = ACTIONS(2777),
    [anon_sym_alignas] = ACTIONS(2777),
    [anon_sym_explicit] = ACTIONS(2777),
    [anon_sym_typename] = ACTIONS(2777),
    [anon_sym_template] = ACTIONS(2777),
    [anon_sym_operator] = ACTIONS(2777),
    [anon_sym_friend] = ACTIONS(2777),
    [anon_sym_public] = ACTIONS(2777),
    [anon_sym_private] = ACTIONS(2777),
    [anon_sym_protected] = ACTIONS(2777),
    [anon_sym_using] = ACTIONS(2777),
    [anon_sym_static_assert] = ACTIONS(2777),
    [anon_sym_precise] = ACTIONS(2777),
    [anon_sym_shared] = ACTIONS(2777),
    [anon_sym_groupshared] = ACTIONS(2777),
    [anon_sym_uniform] = ACTIONS(2777),
    [anon_sym_row_major] = ACTIONS(2777),
    [anon_sym_column_major] = ACTIONS(2777),
    [anon_sym_globallycoherent] = ACTIONS(2777),
    [anon_sym_centroid] = ACTIONS(2777),
    [anon_sym_noperspective] = ACTIONS(2777),
    [anon_sym_nointerpolation] = ACTIONS(2777),
    [anon_sym_sample] = ACTIONS(2777),
    [anon_sym_linear] = ACTIONS(2777),
    [anon_sym_snorm] = ACTIONS(2777),
    [anon_sym_unorm] = ACTIONS(2777),
    [anon_sym_point] = ACTIONS(2777),
    [anon_sym_line] = ACTIONS(2777),
    [anon_sym_triangleadj] = ACTIONS(2777),
    [anon_sym_lineadj] = ACTIONS(2777),
    [anon_sym_triangle] = ACTIONS(2777),
  },
  [2605] = {
    [sym_identifier] = ACTIONS(5691),
    [aux_sym_preproc_def_token1] = ACTIONS(5691),
    [aux_sym_preproc_if_token1] = ACTIONS(5691),
    [aux_sym_preproc_if_token2] = ACTIONS(5691),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5691),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5691),
    [aux_sym_preproc_else_token1] = ACTIONS(5691),
    [aux_sym_preproc_elif_token1] = ACTIONS(5691),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5691),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5691),
    [sym_preproc_directive] = ACTIONS(5691),
    [anon_sym_LPAREN2] = ACTIONS(5693),
    [anon_sym_TILDE] = ACTIONS(5693),
    [anon_sym_STAR] = ACTIONS(5693),
    [anon_sym_AMP_AMP] = ACTIONS(5693),
    [anon_sym_AMP] = ACTIONS(5691),
    [anon_sym___extension__] = ACTIONS(5691),
    [anon_sym_typedef] = ACTIONS(5691),
    [anon_sym_in] = ACTIONS(5691),
    [anon_sym_out] = ACTIONS(5691),
    [anon_sym_inout] = ACTIONS(5691),
    [anon_sym_extern] = ACTIONS(5691),
    [anon_sym___attribute__] = ACTIONS(5691),
    [anon_sym_COLON_COLON] = ACTIONS(5693),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5693),
    [anon_sym___declspec] = ACTIONS(5691),
    [anon_sym___based] = ACTIONS(5691),
    [anon_sym_signed] = ACTIONS(5691),
    [anon_sym_unsigned] = ACTIONS(5691),
    [anon_sym_long] = ACTIONS(5691),
    [anon_sym_short] = ACTIONS(5691),
    [anon_sym_LBRACK] = ACTIONS(5691),
    [anon_sym_static] = ACTIONS(5691),
    [anon_sym_register] = ACTIONS(5691),
    [anon_sym_inline] = ACTIONS(5691),
    [anon_sym___inline] = ACTIONS(5691),
    [anon_sym___inline__] = ACTIONS(5691),
    [anon_sym___forceinline] = ACTIONS(5691),
    [anon_sym_thread_local] = ACTIONS(5691),
    [anon_sym___thread] = ACTIONS(5691),
    [anon_sym_const] = ACTIONS(5691),
    [anon_sym_constexpr] = ACTIONS(5691),
    [anon_sym_volatile] = ACTIONS(5691),
    [anon_sym_restrict] = ACTIONS(5691),
    [anon_sym___restrict__] = ACTIONS(5691),
    [anon_sym__Atomic] = ACTIONS(5691),
    [anon_sym__Noreturn] = ACTIONS(5691),
    [anon_sym_noreturn] = ACTIONS(5691),
    [anon_sym_mutable] = ACTIONS(5691),
    [anon_sym_constinit] = ACTIONS(5691),
    [anon_sym_consteval] = ACTIONS(5691),
    [sym_primitive_type] = ACTIONS(5691),
    [anon_sym_enum] = ACTIONS(5691),
    [anon_sym_class] = ACTIONS(5691),
    [anon_sym_struct] = ACTIONS(5691),
    [anon_sym_union] = ACTIONS(5691),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5691),
    [anon_sym_decltype] = ACTIONS(5691),
    [anon_sym_virtual] = ACTIONS(5691),
    [anon_sym_alignas] = ACTIONS(5691),
    [anon_sym_explicit] = ACTIONS(5691),
    [anon_sym_typename] = ACTIONS(5691),
    [anon_sym_template] = ACTIONS(5691),
    [anon_sym_operator] = ACTIONS(5691),
    [anon_sym_friend] = ACTIONS(5691),
    [anon_sym_public] = ACTIONS(5691),
    [anon_sym_private] = ACTIONS(5691),
    [anon_sym_protected] = ACTIONS(5691),
    [anon_sym_using] = ACTIONS(5691),
    [anon_sym_static_assert] = ACTIONS(5691),
    [anon_sym_precise] = ACTIONS(5691),
    [anon_sym_shared] = ACTIONS(5691),
    [anon_sym_groupshared] = ACTIONS(5691),
    [anon_sym_uniform] = ACTIONS(5691),
    [anon_sym_row_major] = ACTIONS(5691),
    [anon_sym_column_major] = ACTIONS(5691),
    [anon_sym_globallycoherent] = ACTIONS(5691),
    [anon_sym_centroid] = ACTIONS(5691),
    [anon_sym_noperspective] = ACTIONS(5691),
    [anon_sym_nointerpolation] = ACTIONS(5691),
    [anon_sym_sample] = ACTIONS(5691),
    [anon_sym_linear] = ACTIONS(5691),
    [anon_sym_snorm] = ACTIONS(5691),
    [anon_sym_unorm] = ACTIONS(5691),
    [anon_sym_point] = ACTIONS(5691),
    [anon_sym_line] = ACTIONS(5691),
    [anon_sym_triangleadj] = ACTIONS(5691),
    [anon_sym_lineadj] = ACTIONS(5691),
    [anon_sym_triangle] = ACTIONS(5691),
  },
  [2606] = {
    [sym_identifier] = ACTIONS(5695),
    [aux_sym_preproc_def_token1] = ACTIONS(5695),
    [aux_sym_preproc_if_token1] = ACTIONS(5695),
    [aux_sym_preproc_if_token2] = ACTIONS(5695),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5695),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5695),
    [aux_sym_preproc_else_token1] = ACTIONS(5695),
    [aux_sym_preproc_elif_token1] = ACTIONS(5695),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5695),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5695),
    [sym_preproc_directive] = ACTIONS(5695),
    [anon_sym_LPAREN2] = ACTIONS(5697),
    [anon_sym_TILDE] = ACTIONS(5697),
    [anon_sym_STAR] = ACTIONS(5697),
    [anon_sym_AMP_AMP] = ACTIONS(5697),
    [anon_sym_AMP] = ACTIONS(5695),
    [anon_sym___extension__] = ACTIONS(5695),
    [anon_sym_typedef] = ACTIONS(5695),
    [anon_sym_in] = ACTIONS(5695),
    [anon_sym_out] = ACTIONS(5695),
    [anon_sym_inout] = ACTIONS(5695),
    [anon_sym_extern] = ACTIONS(5695),
    [anon_sym___attribute__] = ACTIONS(5695),
    [anon_sym_COLON_COLON] = ACTIONS(5697),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5697),
    [anon_sym___declspec] = ACTIONS(5695),
    [anon_sym___based] = ACTIONS(5695),
    [anon_sym_signed] = ACTIONS(5695),
    [anon_sym_unsigned] = ACTIONS(5695),
    [anon_sym_long] = ACTIONS(5695),
    [anon_sym_short] = ACTIONS(5695),
    [anon_sym_LBRACK] = ACTIONS(5695),
    [anon_sym_static] = ACTIONS(5695),
    [anon_sym_register] = ACTIONS(5695),
    [anon_sym_inline] = ACTIONS(5695),
    [anon_sym___inline] = ACTIONS(5695),
    [anon_sym___inline__] = ACTIONS(5695),
    [anon_sym___forceinline] = ACTIONS(5695),
    [anon_sym_thread_local] = ACTIONS(5695),
    [anon_sym___thread] = ACTIONS(5695),
    [anon_sym_const] = ACTIONS(5695),
    [anon_sym_constexpr] = ACTIONS(5695),
    [anon_sym_volatile] = ACTIONS(5695),
    [anon_sym_restrict] = ACTIONS(5695),
    [anon_sym___restrict__] = ACTIONS(5695),
    [anon_sym__Atomic] = ACTIONS(5695),
    [anon_sym__Noreturn] = ACTIONS(5695),
    [anon_sym_noreturn] = ACTIONS(5695),
    [anon_sym_mutable] = ACTIONS(5695),
    [anon_sym_constinit] = ACTIONS(5695),
    [anon_sym_consteval] = ACTIONS(5695),
    [sym_primitive_type] = ACTIONS(5695),
    [anon_sym_enum] = ACTIONS(5695),
    [anon_sym_class] = ACTIONS(5695),
    [anon_sym_struct] = ACTIONS(5695),
    [anon_sym_union] = ACTIONS(5695),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5695),
    [anon_sym_decltype] = ACTIONS(5695),
    [anon_sym_virtual] = ACTIONS(5695),
    [anon_sym_alignas] = ACTIONS(5695),
    [anon_sym_explicit] = ACTIONS(5695),
    [anon_sym_typename] = ACTIONS(5695),
    [anon_sym_template] = ACTIONS(5695),
    [anon_sym_operator] = ACTIONS(5695),
    [anon_sym_friend] = ACTIONS(5695),
    [anon_sym_public] = ACTIONS(5695),
    [anon_sym_private] = ACTIONS(5695),
    [anon_sym_protected] = ACTIONS(5695),
    [anon_sym_using] = ACTIONS(5695),
    [anon_sym_static_assert] = ACTIONS(5695),
    [anon_sym_precise] = ACTIONS(5695),
    [anon_sym_shared] = ACTIONS(5695),
    [anon_sym_groupshared] = ACTIONS(5695),
    [anon_sym_uniform] = ACTIONS(5695),
    [anon_sym_row_major] = ACTIONS(5695),
    [anon_sym_column_major] = ACTIONS(5695),
    [anon_sym_globallycoherent] = ACTIONS(5695),
    [anon_sym_centroid] = ACTIONS(5695),
    [anon_sym_noperspective] = ACTIONS(5695),
    [anon_sym_nointerpolation] = ACTIONS(5695),
    [anon_sym_sample] = ACTIONS(5695),
    [anon_sym_linear] = ACTIONS(5695),
    [anon_sym_snorm] = ACTIONS(5695),
    [anon_sym_unorm] = ACTIONS(5695),
    [anon_sym_point] = ACTIONS(5695),
    [anon_sym_line] = ACTIONS(5695),
    [anon_sym_triangleadj] = ACTIONS(5695),
    [anon_sym_lineadj] = ACTIONS(5695),
    [anon_sym_triangle] = ACTIONS(5695),
  },
  [2607] = {
    [sym__declaration_modifiers] = STATE(2673),
    [sym__declaration_specifiers] = STATE(6034),
    [sym_attribute_specifier] = STATE(2673),
    [sym_attribute_declaration] = STATE(2673),
    [sym_ms_declspec_modifier] = STATE(2673),
    [sym_storage_class_specifier] = STATE(2673),
    [sym_type_qualifier] = STATE(2673),
    [sym__type_specifier] = STATE(2827),
    [sym_sized_type_specifier] = STATE(3085),
    [sym_enum_specifier] = STATE(3085),
    [sym_struct_specifier] = STATE(3085),
    [sym_union_specifier] = STATE(3085),
    [sym_placeholder_type_specifier] = STATE(3085),
    [sym_decltype_auto] = STATE(3091),
    [sym_decltype] = STATE(3050),
    [sym_class_specifier] = STATE(3085),
    [sym_virtual] = STATE(2673),
    [sym_alignas_specifier] = STATE(2673),
    [sym_dependent_type] = STATE(3085),
    [sym_template_type] = STATE(3050),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(7887),
    [sym_qualified_type_identifier] = STATE(3068),
    [sym_qualifiers] = STATE(2673),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2673),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3021),
    [sym_identifier] = ACTIONS(3896),
    [anon_sym___extension__] = ACTIONS(63),
    [anon_sym_in] = ACTIONS(1480),
    [anon_sym_out] = ACTIONS(1480),
    [anon_sym_inout] = ACTIONS(1480),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(3904),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2096),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(2891),
    [anon_sym_enum] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(69),
    [anon_sym_struct] = ACTIONS(71),
    [anon_sym_union] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [anon_sym_virtual] = ACTIONS(123),
    [anon_sym_alignas] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_precise] = ACTIONS(161),
    [anon_sym_shared] = ACTIONS(161),
    [anon_sym_groupshared] = ACTIONS(161),
    [anon_sym_uniform] = ACTIONS(161),
    [anon_sym_row_major] = ACTIONS(161),
    [anon_sym_column_major] = ACTIONS(161),
    [anon_sym_globallycoherent] = ACTIONS(161),
    [anon_sym_centroid] = ACTIONS(161),
    [anon_sym_noperspective] = ACTIONS(161),
    [anon_sym_nointerpolation] = ACTIONS(161),
    [anon_sym_sample] = ACTIONS(161),
    [anon_sym_linear] = ACTIONS(161),
    [anon_sym_snorm] = ACTIONS(161),
    [anon_sym_unorm] = ACTIONS(161),
    [anon_sym_point] = ACTIONS(161),
    [anon_sym_line] = ACTIONS(161),
    [anon_sym_triangleadj] = ACTIONS(161),
    [anon_sym_lineadj] = ACTIONS(161),
    [anon_sym_triangle] = ACTIONS(161),
  },
  [2608] = {
    [sym_identifier] = ACTIONS(5699),
    [aux_sym_preproc_def_token1] = ACTIONS(5699),
    [aux_sym_preproc_if_token1] = ACTIONS(5699),
    [aux_sym_preproc_if_token2] = ACTIONS(5699),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5699),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5699),
    [aux_sym_preproc_else_token1] = ACTIONS(5699),
    [aux_sym_preproc_elif_token1] = ACTIONS(5699),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5699),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5699),
    [sym_preproc_directive] = ACTIONS(5699),
    [anon_sym_LPAREN2] = ACTIONS(5701),
    [anon_sym_TILDE] = ACTIONS(5701),
    [anon_sym_STAR] = ACTIONS(5701),
    [anon_sym_AMP_AMP] = ACTIONS(5701),
    [anon_sym_AMP] = ACTIONS(5699),
    [anon_sym___extension__] = ACTIONS(5699),
    [anon_sym_typedef] = ACTIONS(5699),
    [anon_sym_in] = ACTIONS(5699),
    [anon_sym_out] = ACTIONS(5699),
    [anon_sym_inout] = ACTIONS(5699),
    [anon_sym_extern] = ACTIONS(5699),
    [anon_sym___attribute__] = ACTIONS(5699),
    [anon_sym_COLON_COLON] = ACTIONS(5701),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5701),
    [anon_sym___declspec] = ACTIONS(5699),
    [anon_sym___based] = ACTIONS(5699),
    [anon_sym_signed] = ACTIONS(5699),
    [anon_sym_unsigned] = ACTIONS(5699),
    [anon_sym_long] = ACTIONS(5699),
    [anon_sym_short] = ACTIONS(5699),
    [anon_sym_LBRACK] = ACTIONS(5699),
    [anon_sym_static] = ACTIONS(5699),
    [anon_sym_register] = ACTIONS(5699),
    [anon_sym_inline] = ACTIONS(5699),
    [anon_sym___inline] = ACTIONS(5699),
    [anon_sym___inline__] = ACTIONS(5699),
    [anon_sym___forceinline] = ACTIONS(5699),
    [anon_sym_thread_local] = ACTIONS(5699),
    [anon_sym___thread] = ACTIONS(5699),
    [anon_sym_const] = ACTIONS(5699),
    [anon_sym_constexpr] = ACTIONS(5699),
    [anon_sym_volatile] = ACTIONS(5699),
    [anon_sym_restrict] = ACTIONS(5699),
    [anon_sym___restrict__] = ACTIONS(5699),
    [anon_sym__Atomic] = ACTIONS(5699),
    [anon_sym__Noreturn] = ACTIONS(5699),
    [anon_sym_noreturn] = ACTIONS(5699),
    [anon_sym_mutable] = ACTIONS(5699),
    [anon_sym_constinit] = ACTIONS(5699),
    [anon_sym_consteval] = ACTIONS(5699),
    [sym_primitive_type] = ACTIONS(5699),
    [anon_sym_enum] = ACTIONS(5699),
    [anon_sym_class] = ACTIONS(5699),
    [anon_sym_struct] = ACTIONS(5699),
    [anon_sym_union] = ACTIONS(5699),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5699),
    [anon_sym_decltype] = ACTIONS(5699),
    [anon_sym_virtual] = ACTIONS(5699),
    [anon_sym_alignas] = ACTIONS(5699),
    [anon_sym_explicit] = ACTIONS(5699),
    [anon_sym_typename] = ACTIONS(5699),
    [anon_sym_template] = ACTIONS(5699),
    [anon_sym_operator] = ACTIONS(5699),
    [anon_sym_friend] = ACTIONS(5699),
    [anon_sym_public] = ACTIONS(5699),
    [anon_sym_private] = ACTIONS(5699),
    [anon_sym_protected] = ACTIONS(5699),
    [anon_sym_using] = ACTIONS(5699),
    [anon_sym_static_assert] = ACTIONS(5699),
    [anon_sym_precise] = ACTIONS(5699),
    [anon_sym_shared] = ACTIONS(5699),
    [anon_sym_groupshared] = ACTIONS(5699),
    [anon_sym_uniform] = ACTIONS(5699),
    [anon_sym_row_major] = ACTIONS(5699),
    [anon_sym_column_major] = ACTIONS(5699),
    [anon_sym_globallycoherent] = ACTIONS(5699),
    [anon_sym_centroid] = ACTIONS(5699),
    [anon_sym_noperspective] = ACTIONS(5699),
    [anon_sym_nointerpolation] = ACTIONS(5699),
    [anon_sym_sample] = ACTIONS(5699),
    [anon_sym_linear] = ACTIONS(5699),
    [anon_sym_snorm] = ACTIONS(5699),
    [anon_sym_unorm] = ACTIONS(5699),
    [anon_sym_point] = ACTIONS(5699),
    [anon_sym_line] = ACTIONS(5699),
    [anon_sym_triangleadj] = ACTIONS(5699),
    [anon_sym_lineadj] = ACTIONS(5699),
    [anon_sym_triangle] = ACTIONS(5699),
  },
  [2609] = {
    [sym__declaration_modifiers] = STATE(2673),
    [sym__declaration_specifiers] = STATE(6030),
    [sym_attribute_specifier] = STATE(2673),
    [sym_attribute_declaration] = STATE(2673),
    [sym_ms_declspec_modifier] = STATE(2673),
    [sym_storage_class_specifier] = STATE(2673),
    [sym_type_qualifier] = STATE(2673),
    [sym__type_specifier] = STATE(2827),
    [sym_sized_type_specifier] = STATE(3085),
    [sym_enum_specifier] = STATE(3085),
    [sym_struct_specifier] = STATE(3085),
    [sym_union_specifier] = STATE(3085),
    [sym_placeholder_type_specifier] = STATE(3085),
    [sym_decltype_auto] = STATE(3091),
    [sym_decltype] = STATE(3050),
    [sym_class_specifier] = STATE(3085),
    [sym_virtual] = STATE(2673),
    [sym_alignas_specifier] = STATE(2673),
    [sym_dependent_type] = STATE(3085),
    [sym_template_type] = STATE(3050),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(7887),
    [sym_qualified_type_identifier] = STATE(3068),
    [sym_qualifiers] = STATE(2673),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2673),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3021),
    [sym_identifier] = ACTIONS(3896),
    [anon_sym___extension__] = ACTIONS(63),
    [anon_sym_in] = ACTIONS(1480),
    [anon_sym_out] = ACTIONS(1480),
    [anon_sym_inout] = ACTIONS(1480),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(3904),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2096),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(2891),
    [anon_sym_enum] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(69),
    [anon_sym_struct] = ACTIONS(71),
    [anon_sym_union] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [anon_sym_virtual] = ACTIONS(123),
    [anon_sym_alignas] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_precise] = ACTIONS(161),
    [anon_sym_shared] = ACTIONS(161),
    [anon_sym_groupshared] = ACTIONS(161),
    [anon_sym_uniform] = ACTIONS(161),
    [anon_sym_row_major] = ACTIONS(161),
    [anon_sym_column_major] = ACTIONS(161),
    [anon_sym_globallycoherent] = ACTIONS(161),
    [anon_sym_centroid] = ACTIONS(161),
    [anon_sym_noperspective] = ACTIONS(161),
    [anon_sym_nointerpolation] = ACTIONS(161),
    [anon_sym_sample] = ACTIONS(161),
    [anon_sym_linear] = ACTIONS(161),
    [anon_sym_snorm] = ACTIONS(161),
    [anon_sym_unorm] = ACTIONS(161),
    [anon_sym_point] = ACTIONS(161),
    [anon_sym_line] = ACTIONS(161),
    [anon_sym_triangleadj] = ACTIONS(161),
    [anon_sym_lineadj] = ACTIONS(161),
    [anon_sym_triangle] = ACTIONS(161),
  },
  [2610] = {
    [sym_identifier] = ACTIONS(5703),
    [aux_sym_preproc_def_token1] = ACTIONS(5703),
    [aux_sym_preproc_if_token1] = ACTIONS(5703),
    [aux_sym_preproc_if_token2] = ACTIONS(5703),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5703),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5703),
    [aux_sym_preproc_else_token1] = ACTIONS(5703),
    [aux_sym_preproc_elif_token1] = ACTIONS(5703),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5703),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5703),
    [sym_preproc_directive] = ACTIONS(5703),
    [anon_sym_LPAREN2] = ACTIONS(5705),
    [anon_sym_TILDE] = ACTIONS(5705),
    [anon_sym_STAR] = ACTIONS(5705),
    [anon_sym_AMP_AMP] = ACTIONS(5705),
    [anon_sym_AMP] = ACTIONS(5703),
    [anon_sym___extension__] = ACTIONS(5703),
    [anon_sym_typedef] = ACTIONS(5703),
    [anon_sym_in] = ACTIONS(5703),
    [anon_sym_out] = ACTIONS(5703),
    [anon_sym_inout] = ACTIONS(5703),
    [anon_sym_extern] = ACTIONS(5703),
    [anon_sym___attribute__] = ACTIONS(5703),
    [anon_sym_COLON_COLON] = ACTIONS(5705),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5705),
    [anon_sym___declspec] = ACTIONS(5703),
    [anon_sym___based] = ACTIONS(5703),
    [anon_sym_signed] = ACTIONS(5703),
    [anon_sym_unsigned] = ACTIONS(5703),
    [anon_sym_long] = ACTIONS(5703),
    [anon_sym_short] = ACTIONS(5703),
    [anon_sym_LBRACK] = ACTIONS(5703),
    [anon_sym_static] = ACTIONS(5703),
    [anon_sym_register] = ACTIONS(5703),
    [anon_sym_inline] = ACTIONS(5703),
    [anon_sym___inline] = ACTIONS(5703),
    [anon_sym___inline__] = ACTIONS(5703),
    [anon_sym___forceinline] = ACTIONS(5703),
    [anon_sym_thread_local] = ACTIONS(5703),
    [anon_sym___thread] = ACTIONS(5703),
    [anon_sym_const] = ACTIONS(5703),
    [anon_sym_constexpr] = ACTIONS(5703),
    [anon_sym_volatile] = ACTIONS(5703),
    [anon_sym_restrict] = ACTIONS(5703),
    [anon_sym___restrict__] = ACTIONS(5703),
    [anon_sym__Atomic] = ACTIONS(5703),
    [anon_sym__Noreturn] = ACTIONS(5703),
    [anon_sym_noreturn] = ACTIONS(5703),
    [anon_sym_mutable] = ACTIONS(5703),
    [anon_sym_constinit] = ACTIONS(5703),
    [anon_sym_consteval] = ACTIONS(5703),
    [sym_primitive_type] = ACTIONS(5703),
    [anon_sym_enum] = ACTIONS(5703),
    [anon_sym_class] = ACTIONS(5703),
    [anon_sym_struct] = ACTIONS(5703),
    [anon_sym_union] = ACTIONS(5703),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5703),
    [anon_sym_decltype] = ACTIONS(5703),
    [anon_sym_virtual] = ACTIONS(5703),
    [anon_sym_alignas] = ACTIONS(5703),
    [anon_sym_explicit] = ACTIONS(5703),
    [anon_sym_typename] = ACTIONS(5703),
    [anon_sym_template] = ACTIONS(5703),
    [anon_sym_operator] = ACTIONS(5703),
    [anon_sym_friend] = ACTIONS(5703),
    [anon_sym_public] = ACTIONS(5703),
    [anon_sym_private] = ACTIONS(5703),
    [anon_sym_protected] = ACTIONS(5703),
    [anon_sym_using] = ACTIONS(5703),
    [anon_sym_static_assert] = ACTIONS(5703),
    [anon_sym_precise] = ACTIONS(5703),
    [anon_sym_shared] = ACTIONS(5703),
    [anon_sym_groupshared] = ACTIONS(5703),
    [anon_sym_uniform] = ACTIONS(5703),
    [anon_sym_row_major] = ACTIONS(5703),
    [anon_sym_column_major] = ACTIONS(5703),
    [anon_sym_globallycoherent] = ACTIONS(5703),
    [anon_sym_centroid] = ACTIONS(5703),
    [anon_sym_noperspective] = ACTIONS(5703),
    [anon_sym_nointerpolation] = ACTIONS(5703),
    [anon_sym_sample] = ACTIONS(5703),
    [anon_sym_linear] = ACTIONS(5703),
    [anon_sym_snorm] = ACTIONS(5703),
    [anon_sym_unorm] = ACTIONS(5703),
    [anon_sym_point] = ACTIONS(5703),
    [anon_sym_line] = ACTIONS(5703),
    [anon_sym_triangleadj] = ACTIONS(5703),
    [anon_sym_lineadj] = ACTIONS(5703),
    [anon_sym_triangle] = ACTIONS(5703),
  },
  [2611] = {
    [sym_identifier] = ACTIONS(2645),
    [aux_sym_preproc_def_token1] = ACTIONS(2645),
    [aux_sym_preproc_if_token1] = ACTIONS(2645),
    [aux_sym_preproc_if_token2] = ACTIONS(2645),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2645),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2645),
    [aux_sym_preproc_else_token1] = ACTIONS(2645),
    [aux_sym_preproc_elif_token1] = ACTIONS(2645),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2645),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2645),
    [sym_preproc_directive] = ACTIONS(2645),
    [anon_sym_LPAREN2] = ACTIONS(2647),
    [anon_sym_TILDE] = ACTIONS(2647),
    [anon_sym_STAR] = ACTIONS(2647),
    [anon_sym_AMP_AMP] = ACTIONS(2647),
    [anon_sym_AMP] = ACTIONS(2645),
    [anon_sym___extension__] = ACTIONS(2645),
    [anon_sym_typedef] = ACTIONS(2645),
    [anon_sym_in] = ACTIONS(2645),
    [anon_sym_out] = ACTIONS(2645),
    [anon_sym_inout] = ACTIONS(2645),
    [anon_sym_extern] = ACTIONS(2645),
    [anon_sym___attribute__] = ACTIONS(2645),
    [anon_sym_COLON_COLON] = ACTIONS(2647),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2647),
    [anon_sym___declspec] = ACTIONS(2645),
    [anon_sym___based] = ACTIONS(2645),
    [anon_sym_signed] = ACTIONS(2645),
    [anon_sym_unsigned] = ACTIONS(2645),
    [anon_sym_long] = ACTIONS(2645),
    [anon_sym_short] = ACTIONS(2645),
    [anon_sym_LBRACK] = ACTIONS(2645),
    [anon_sym_static] = ACTIONS(2645),
    [anon_sym_register] = ACTIONS(2645),
    [anon_sym_inline] = ACTIONS(2645),
    [anon_sym___inline] = ACTIONS(2645),
    [anon_sym___inline__] = ACTIONS(2645),
    [anon_sym___forceinline] = ACTIONS(2645),
    [anon_sym_thread_local] = ACTIONS(2645),
    [anon_sym___thread] = ACTIONS(2645),
    [anon_sym_const] = ACTIONS(2645),
    [anon_sym_constexpr] = ACTIONS(2645),
    [anon_sym_volatile] = ACTIONS(2645),
    [anon_sym_restrict] = ACTIONS(2645),
    [anon_sym___restrict__] = ACTIONS(2645),
    [anon_sym__Atomic] = ACTIONS(2645),
    [anon_sym__Noreturn] = ACTIONS(2645),
    [anon_sym_noreturn] = ACTIONS(2645),
    [anon_sym_mutable] = ACTIONS(2645),
    [anon_sym_constinit] = ACTIONS(2645),
    [anon_sym_consteval] = ACTIONS(2645),
    [sym_primitive_type] = ACTIONS(2645),
    [anon_sym_enum] = ACTIONS(2645),
    [anon_sym_class] = ACTIONS(2645),
    [anon_sym_struct] = ACTIONS(2645),
    [anon_sym_union] = ACTIONS(2645),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2645),
    [anon_sym_decltype] = ACTIONS(2645),
    [anon_sym_virtual] = ACTIONS(2645),
    [anon_sym_alignas] = ACTIONS(2645),
    [anon_sym_explicit] = ACTIONS(2645),
    [anon_sym_typename] = ACTIONS(2645),
    [anon_sym_template] = ACTIONS(2645),
    [anon_sym_operator] = ACTIONS(2645),
    [anon_sym_friend] = ACTIONS(2645),
    [anon_sym_public] = ACTIONS(2645),
    [anon_sym_private] = ACTIONS(2645),
    [anon_sym_protected] = ACTIONS(2645),
    [anon_sym_using] = ACTIONS(2645),
    [anon_sym_static_assert] = ACTIONS(2645),
    [anon_sym_precise] = ACTIONS(2645),
    [anon_sym_shared] = ACTIONS(2645),
    [anon_sym_groupshared] = ACTIONS(2645),
    [anon_sym_uniform] = ACTIONS(2645),
    [anon_sym_row_major] = ACTIONS(2645),
    [anon_sym_column_major] = ACTIONS(2645),
    [anon_sym_globallycoherent] = ACTIONS(2645),
    [anon_sym_centroid] = ACTIONS(2645),
    [anon_sym_noperspective] = ACTIONS(2645),
    [anon_sym_nointerpolation] = ACTIONS(2645),
    [anon_sym_sample] = ACTIONS(2645),
    [anon_sym_linear] = ACTIONS(2645),
    [anon_sym_snorm] = ACTIONS(2645),
    [anon_sym_unorm] = ACTIONS(2645),
    [anon_sym_point] = ACTIONS(2645),
    [anon_sym_line] = ACTIONS(2645),
    [anon_sym_triangleadj] = ACTIONS(2645),
    [anon_sym_lineadj] = ACTIONS(2645),
    [anon_sym_triangle] = ACTIONS(2645),
  },
  [2612] = {
    [sym_identifier] = ACTIONS(2520),
    [aux_sym_preproc_def_token1] = ACTIONS(2520),
    [aux_sym_preproc_if_token1] = ACTIONS(2520),
    [aux_sym_preproc_if_token2] = ACTIONS(2520),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2520),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2520),
    [aux_sym_preproc_else_token1] = ACTIONS(2520),
    [aux_sym_preproc_elif_token1] = ACTIONS(2520),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2520),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2520),
    [sym_preproc_directive] = ACTIONS(2520),
    [anon_sym_LPAREN2] = ACTIONS(2522),
    [anon_sym_TILDE] = ACTIONS(2522),
    [anon_sym_STAR] = ACTIONS(2522),
    [anon_sym_AMP_AMP] = ACTIONS(2522),
    [anon_sym_AMP] = ACTIONS(2520),
    [anon_sym___extension__] = ACTIONS(2520),
    [anon_sym_typedef] = ACTIONS(2520),
    [anon_sym_in] = ACTIONS(2520),
    [anon_sym_out] = ACTIONS(2520),
    [anon_sym_inout] = ACTIONS(2520),
    [anon_sym_extern] = ACTIONS(2520),
    [anon_sym___attribute__] = ACTIONS(2520),
    [anon_sym_COLON_COLON] = ACTIONS(2522),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2522),
    [anon_sym___declspec] = ACTIONS(2520),
    [anon_sym___based] = ACTIONS(2520),
    [anon_sym_signed] = ACTIONS(2520),
    [anon_sym_unsigned] = ACTIONS(2520),
    [anon_sym_long] = ACTIONS(2520),
    [anon_sym_short] = ACTIONS(2520),
    [anon_sym_LBRACK] = ACTIONS(2520),
    [anon_sym_static] = ACTIONS(2520),
    [anon_sym_register] = ACTIONS(2520),
    [anon_sym_inline] = ACTIONS(2520),
    [anon_sym___inline] = ACTIONS(2520),
    [anon_sym___inline__] = ACTIONS(2520),
    [anon_sym___forceinline] = ACTIONS(2520),
    [anon_sym_thread_local] = ACTIONS(2520),
    [anon_sym___thread] = ACTIONS(2520),
    [anon_sym_const] = ACTIONS(2520),
    [anon_sym_constexpr] = ACTIONS(2520),
    [anon_sym_volatile] = ACTIONS(2520),
    [anon_sym_restrict] = ACTIONS(2520),
    [anon_sym___restrict__] = ACTIONS(2520),
    [anon_sym__Atomic] = ACTIONS(2520),
    [anon_sym__Noreturn] = ACTIONS(2520),
    [anon_sym_noreturn] = ACTIONS(2520),
    [anon_sym_mutable] = ACTIONS(2520),
    [anon_sym_constinit] = ACTIONS(2520),
    [anon_sym_consteval] = ACTIONS(2520),
    [sym_primitive_type] = ACTIONS(2520),
    [anon_sym_enum] = ACTIONS(2520),
    [anon_sym_class] = ACTIONS(2520),
    [anon_sym_struct] = ACTIONS(2520),
    [anon_sym_union] = ACTIONS(2520),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2520),
    [anon_sym_decltype] = ACTIONS(2520),
    [anon_sym_virtual] = ACTIONS(2520),
    [anon_sym_alignas] = ACTIONS(2520),
    [anon_sym_explicit] = ACTIONS(2520),
    [anon_sym_typename] = ACTIONS(2520),
    [anon_sym_template] = ACTIONS(2520),
    [anon_sym_operator] = ACTIONS(2520),
    [anon_sym_friend] = ACTIONS(2520),
    [anon_sym_public] = ACTIONS(2520),
    [anon_sym_private] = ACTIONS(2520),
    [anon_sym_protected] = ACTIONS(2520),
    [anon_sym_using] = ACTIONS(2520),
    [anon_sym_static_assert] = ACTIONS(2520),
    [anon_sym_precise] = ACTIONS(2520),
    [anon_sym_shared] = ACTIONS(2520),
    [anon_sym_groupshared] = ACTIONS(2520),
    [anon_sym_uniform] = ACTIONS(2520),
    [anon_sym_row_major] = ACTIONS(2520),
    [anon_sym_column_major] = ACTIONS(2520),
    [anon_sym_globallycoherent] = ACTIONS(2520),
    [anon_sym_centroid] = ACTIONS(2520),
    [anon_sym_noperspective] = ACTIONS(2520),
    [anon_sym_nointerpolation] = ACTIONS(2520),
    [anon_sym_sample] = ACTIONS(2520),
    [anon_sym_linear] = ACTIONS(2520),
    [anon_sym_snorm] = ACTIONS(2520),
    [anon_sym_unorm] = ACTIONS(2520),
    [anon_sym_point] = ACTIONS(2520),
    [anon_sym_line] = ACTIONS(2520),
    [anon_sym_triangleadj] = ACTIONS(2520),
    [anon_sym_lineadj] = ACTIONS(2520),
    [anon_sym_triangle] = ACTIONS(2520),
  },
  [2613] = {
    [sym_identifier] = ACTIONS(5703),
    [aux_sym_preproc_def_token1] = ACTIONS(5703),
    [aux_sym_preproc_if_token1] = ACTIONS(5703),
    [aux_sym_preproc_if_token2] = ACTIONS(5703),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5703),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5703),
    [aux_sym_preproc_else_token1] = ACTIONS(5703),
    [aux_sym_preproc_elif_token1] = ACTIONS(5703),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5703),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5703),
    [sym_preproc_directive] = ACTIONS(5703),
    [anon_sym_LPAREN2] = ACTIONS(5705),
    [anon_sym_TILDE] = ACTIONS(5705),
    [anon_sym_STAR] = ACTIONS(5705),
    [anon_sym_AMP_AMP] = ACTIONS(5705),
    [anon_sym_AMP] = ACTIONS(5703),
    [anon_sym___extension__] = ACTIONS(5703),
    [anon_sym_typedef] = ACTIONS(5703),
    [anon_sym_in] = ACTIONS(5703),
    [anon_sym_out] = ACTIONS(5703),
    [anon_sym_inout] = ACTIONS(5703),
    [anon_sym_extern] = ACTIONS(5703),
    [anon_sym___attribute__] = ACTIONS(5703),
    [anon_sym_COLON_COLON] = ACTIONS(5705),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5705),
    [anon_sym___declspec] = ACTIONS(5703),
    [anon_sym___based] = ACTIONS(5703),
    [anon_sym_signed] = ACTIONS(5703),
    [anon_sym_unsigned] = ACTIONS(5703),
    [anon_sym_long] = ACTIONS(5703),
    [anon_sym_short] = ACTIONS(5703),
    [anon_sym_LBRACK] = ACTIONS(5703),
    [anon_sym_static] = ACTIONS(5703),
    [anon_sym_register] = ACTIONS(5703),
    [anon_sym_inline] = ACTIONS(5703),
    [anon_sym___inline] = ACTIONS(5703),
    [anon_sym___inline__] = ACTIONS(5703),
    [anon_sym___forceinline] = ACTIONS(5703),
    [anon_sym_thread_local] = ACTIONS(5703),
    [anon_sym___thread] = ACTIONS(5703),
    [anon_sym_const] = ACTIONS(5703),
    [anon_sym_constexpr] = ACTIONS(5703),
    [anon_sym_volatile] = ACTIONS(5703),
    [anon_sym_restrict] = ACTIONS(5703),
    [anon_sym___restrict__] = ACTIONS(5703),
    [anon_sym__Atomic] = ACTIONS(5703),
    [anon_sym__Noreturn] = ACTIONS(5703),
    [anon_sym_noreturn] = ACTIONS(5703),
    [anon_sym_mutable] = ACTIONS(5703),
    [anon_sym_constinit] = ACTIONS(5703),
    [anon_sym_consteval] = ACTIONS(5703),
    [sym_primitive_type] = ACTIONS(5703),
    [anon_sym_enum] = ACTIONS(5703),
    [anon_sym_class] = ACTIONS(5703),
    [anon_sym_struct] = ACTIONS(5703),
    [anon_sym_union] = ACTIONS(5703),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5703),
    [anon_sym_decltype] = ACTIONS(5703),
    [anon_sym_virtual] = ACTIONS(5703),
    [anon_sym_alignas] = ACTIONS(5703),
    [anon_sym_explicit] = ACTIONS(5703),
    [anon_sym_typename] = ACTIONS(5703),
    [anon_sym_template] = ACTIONS(5703),
    [anon_sym_operator] = ACTIONS(5703),
    [anon_sym_friend] = ACTIONS(5703),
    [anon_sym_public] = ACTIONS(5703),
    [anon_sym_private] = ACTIONS(5703),
    [anon_sym_protected] = ACTIONS(5703),
    [anon_sym_using] = ACTIONS(5703),
    [anon_sym_static_assert] = ACTIONS(5703),
    [anon_sym_precise] = ACTIONS(5703),
    [anon_sym_shared] = ACTIONS(5703),
    [anon_sym_groupshared] = ACTIONS(5703),
    [anon_sym_uniform] = ACTIONS(5703),
    [anon_sym_row_major] = ACTIONS(5703),
    [anon_sym_column_major] = ACTIONS(5703),
    [anon_sym_globallycoherent] = ACTIONS(5703),
    [anon_sym_centroid] = ACTIONS(5703),
    [anon_sym_noperspective] = ACTIONS(5703),
    [anon_sym_nointerpolation] = ACTIONS(5703),
    [anon_sym_sample] = ACTIONS(5703),
    [anon_sym_linear] = ACTIONS(5703),
    [anon_sym_snorm] = ACTIONS(5703),
    [anon_sym_unorm] = ACTIONS(5703),
    [anon_sym_point] = ACTIONS(5703),
    [anon_sym_line] = ACTIONS(5703),
    [anon_sym_triangleadj] = ACTIONS(5703),
    [anon_sym_lineadj] = ACTIONS(5703),
    [anon_sym_triangle] = ACTIONS(5703),
  },
  [2614] = {
    [sym_identifier] = ACTIONS(5699),
    [aux_sym_preproc_def_token1] = ACTIONS(5699),
    [aux_sym_preproc_if_token1] = ACTIONS(5699),
    [aux_sym_preproc_if_token2] = ACTIONS(5699),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5699),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5699),
    [aux_sym_preproc_else_token1] = ACTIONS(5699),
    [aux_sym_preproc_elif_token1] = ACTIONS(5699),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5699),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5699),
    [sym_preproc_directive] = ACTIONS(5699),
    [anon_sym_LPAREN2] = ACTIONS(5701),
    [anon_sym_TILDE] = ACTIONS(5701),
    [anon_sym_STAR] = ACTIONS(5701),
    [anon_sym_AMP_AMP] = ACTIONS(5701),
    [anon_sym_AMP] = ACTIONS(5699),
    [anon_sym___extension__] = ACTIONS(5699),
    [anon_sym_typedef] = ACTIONS(5699),
    [anon_sym_in] = ACTIONS(5699),
    [anon_sym_out] = ACTIONS(5699),
    [anon_sym_inout] = ACTIONS(5699),
    [anon_sym_extern] = ACTIONS(5699),
    [anon_sym___attribute__] = ACTIONS(5699),
    [anon_sym_COLON_COLON] = ACTIONS(5701),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5701),
    [anon_sym___declspec] = ACTIONS(5699),
    [anon_sym___based] = ACTIONS(5699),
    [anon_sym_signed] = ACTIONS(5699),
    [anon_sym_unsigned] = ACTIONS(5699),
    [anon_sym_long] = ACTIONS(5699),
    [anon_sym_short] = ACTIONS(5699),
    [anon_sym_LBRACK] = ACTIONS(5699),
    [anon_sym_static] = ACTIONS(5699),
    [anon_sym_register] = ACTIONS(5699),
    [anon_sym_inline] = ACTIONS(5699),
    [anon_sym___inline] = ACTIONS(5699),
    [anon_sym___inline__] = ACTIONS(5699),
    [anon_sym___forceinline] = ACTIONS(5699),
    [anon_sym_thread_local] = ACTIONS(5699),
    [anon_sym___thread] = ACTIONS(5699),
    [anon_sym_const] = ACTIONS(5699),
    [anon_sym_constexpr] = ACTIONS(5699),
    [anon_sym_volatile] = ACTIONS(5699),
    [anon_sym_restrict] = ACTIONS(5699),
    [anon_sym___restrict__] = ACTIONS(5699),
    [anon_sym__Atomic] = ACTIONS(5699),
    [anon_sym__Noreturn] = ACTIONS(5699),
    [anon_sym_noreturn] = ACTIONS(5699),
    [anon_sym_mutable] = ACTIONS(5699),
    [anon_sym_constinit] = ACTIONS(5699),
    [anon_sym_consteval] = ACTIONS(5699),
    [sym_primitive_type] = ACTIONS(5699),
    [anon_sym_enum] = ACTIONS(5699),
    [anon_sym_class] = ACTIONS(5699),
    [anon_sym_struct] = ACTIONS(5699),
    [anon_sym_union] = ACTIONS(5699),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5699),
    [anon_sym_decltype] = ACTIONS(5699),
    [anon_sym_virtual] = ACTIONS(5699),
    [anon_sym_alignas] = ACTIONS(5699),
    [anon_sym_explicit] = ACTIONS(5699),
    [anon_sym_typename] = ACTIONS(5699),
    [anon_sym_template] = ACTIONS(5699),
    [anon_sym_operator] = ACTIONS(5699),
    [anon_sym_friend] = ACTIONS(5699),
    [anon_sym_public] = ACTIONS(5699),
    [anon_sym_private] = ACTIONS(5699),
    [anon_sym_protected] = ACTIONS(5699),
    [anon_sym_using] = ACTIONS(5699),
    [anon_sym_static_assert] = ACTIONS(5699),
    [anon_sym_precise] = ACTIONS(5699),
    [anon_sym_shared] = ACTIONS(5699),
    [anon_sym_groupshared] = ACTIONS(5699),
    [anon_sym_uniform] = ACTIONS(5699),
    [anon_sym_row_major] = ACTIONS(5699),
    [anon_sym_column_major] = ACTIONS(5699),
    [anon_sym_globallycoherent] = ACTIONS(5699),
    [anon_sym_centroid] = ACTIONS(5699),
    [anon_sym_noperspective] = ACTIONS(5699),
    [anon_sym_nointerpolation] = ACTIONS(5699),
    [anon_sym_sample] = ACTIONS(5699),
    [anon_sym_linear] = ACTIONS(5699),
    [anon_sym_snorm] = ACTIONS(5699),
    [anon_sym_unorm] = ACTIONS(5699),
    [anon_sym_point] = ACTIONS(5699),
    [anon_sym_line] = ACTIONS(5699),
    [anon_sym_triangleadj] = ACTIONS(5699),
    [anon_sym_lineadj] = ACTIONS(5699),
    [anon_sym_triangle] = ACTIONS(5699),
  },
  [2615] = {
    [sym_identifier] = ACTIONS(2448),
    [aux_sym_preproc_def_token1] = ACTIONS(2448),
    [aux_sym_preproc_if_token1] = ACTIONS(2448),
    [aux_sym_preproc_if_token2] = ACTIONS(2448),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2448),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2448),
    [aux_sym_preproc_else_token1] = ACTIONS(2448),
    [aux_sym_preproc_elif_token1] = ACTIONS(2448),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2448),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2448),
    [sym_preproc_directive] = ACTIONS(2448),
    [anon_sym_LPAREN2] = ACTIONS(2450),
    [anon_sym_TILDE] = ACTIONS(2450),
    [anon_sym_STAR] = ACTIONS(2450),
    [anon_sym_AMP_AMP] = ACTIONS(2450),
    [anon_sym_AMP] = ACTIONS(2448),
    [anon_sym___extension__] = ACTIONS(2448),
    [anon_sym_typedef] = ACTIONS(2448),
    [anon_sym_in] = ACTIONS(2448),
    [anon_sym_out] = ACTIONS(2448),
    [anon_sym_inout] = ACTIONS(2448),
    [anon_sym_extern] = ACTIONS(2448),
    [anon_sym___attribute__] = ACTIONS(2448),
    [anon_sym_COLON_COLON] = ACTIONS(2450),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2450),
    [anon_sym___declspec] = ACTIONS(2448),
    [anon_sym___based] = ACTIONS(2448),
    [anon_sym_signed] = ACTIONS(2448),
    [anon_sym_unsigned] = ACTIONS(2448),
    [anon_sym_long] = ACTIONS(2448),
    [anon_sym_short] = ACTIONS(2448),
    [anon_sym_LBRACK] = ACTIONS(2448),
    [anon_sym_static] = ACTIONS(2448),
    [anon_sym_register] = ACTIONS(2448),
    [anon_sym_inline] = ACTIONS(2448),
    [anon_sym___inline] = ACTIONS(2448),
    [anon_sym___inline__] = ACTIONS(2448),
    [anon_sym___forceinline] = ACTIONS(2448),
    [anon_sym_thread_local] = ACTIONS(2448),
    [anon_sym___thread] = ACTIONS(2448),
    [anon_sym_const] = ACTIONS(2448),
    [anon_sym_constexpr] = ACTIONS(2448),
    [anon_sym_volatile] = ACTIONS(2448),
    [anon_sym_restrict] = ACTIONS(2448),
    [anon_sym___restrict__] = ACTIONS(2448),
    [anon_sym__Atomic] = ACTIONS(2448),
    [anon_sym__Noreturn] = ACTIONS(2448),
    [anon_sym_noreturn] = ACTIONS(2448),
    [anon_sym_mutable] = ACTIONS(2448),
    [anon_sym_constinit] = ACTIONS(2448),
    [anon_sym_consteval] = ACTIONS(2448),
    [sym_primitive_type] = ACTIONS(2448),
    [anon_sym_enum] = ACTIONS(2448),
    [anon_sym_class] = ACTIONS(2448),
    [anon_sym_struct] = ACTIONS(2448),
    [anon_sym_union] = ACTIONS(2448),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2448),
    [anon_sym_decltype] = ACTIONS(2448),
    [anon_sym_virtual] = ACTIONS(2448),
    [anon_sym_alignas] = ACTIONS(2448),
    [anon_sym_explicit] = ACTIONS(2448),
    [anon_sym_typename] = ACTIONS(2448),
    [anon_sym_template] = ACTIONS(2448),
    [anon_sym_operator] = ACTIONS(2448),
    [anon_sym_friend] = ACTIONS(2448),
    [anon_sym_public] = ACTIONS(2448),
    [anon_sym_private] = ACTIONS(2448),
    [anon_sym_protected] = ACTIONS(2448),
    [anon_sym_using] = ACTIONS(2448),
    [anon_sym_static_assert] = ACTIONS(2448),
    [anon_sym_precise] = ACTIONS(2448),
    [anon_sym_shared] = ACTIONS(2448),
    [anon_sym_groupshared] = ACTIONS(2448),
    [anon_sym_uniform] = ACTIONS(2448),
    [anon_sym_row_major] = ACTIONS(2448),
    [anon_sym_column_major] = ACTIONS(2448),
    [anon_sym_globallycoherent] = ACTIONS(2448),
    [anon_sym_centroid] = ACTIONS(2448),
    [anon_sym_noperspective] = ACTIONS(2448),
    [anon_sym_nointerpolation] = ACTIONS(2448),
    [anon_sym_sample] = ACTIONS(2448),
    [anon_sym_linear] = ACTIONS(2448),
    [anon_sym_snorm] = ACTIONS(2448),
    [anon_sym_unorm] = ACTIONS(2448),
    [anon_sym_point] = ACTIONS(2448),
    [anon_sym_line] = ACTIONS(2448),
    [anon_sym_triangleadj] = ACTIONS(2448),
    [anon_sym_lineadj] = ACTIONS(2448),
    [anon_sym_triangle] = ACTIONS(2448),
  },
  [2616] = {
    [sym_identifier] = ACTIONS(2520),
    [aux_sym_preproc_def_token1] = ACTIONS(2520),
    [aux_sym_preproc_if_token1] = ACTIONS(2520),
    [aux_sym_preproc_if_token2] = ACTIONS(2520),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2520),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2520),
    [aux_sym_preproc_else_token1] = ACTIONS(2520),
    [aux_sym_preproc_elif_token1] = ACTIONS(2520),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2520),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2520),
    [sym_preproc_directive] = ACTIONS(2520),
    [anon_sym_LPAREN2] = ACTIONS(2522),
    [anon_sym_TILDE] = ACTIONS(2522),
    [anon_sym_STAR] = ACTIONS(2522),
    [anon_sym_AMP_AMP] = ACTIONS(2522),
    [anon_sym_AMP] = ACTIONS(2520),
    [anon_sym___extension__] = ACTIONS(2520),
    [anon_sym_typedef] = ACTIONS(2520),
    [anon_sym_in] = ACTIONS(2520),
    [anon_sym_out] = ACTIONS(2520),
    [anon_sym_inout] = ACTIONS(2520),
    [anon_sym_extern] = ACTIONS(2520),
    [anon_sym___attribute__] = ACTIONS(2520),
    [anon_sym_COLON_COLON] = ACTIONS(2522),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2522),
    [anon_sym___declspec] = ACTIONS(2520),
    [anon_sym___based] = ACTIONS(2520),
    [anon_sym_signed] = ACTIONS(2520),
    [anon_sym_unsigned] = ACTIONS(2520),
    [anon_sym_long] = ACTIONS(2520),
    [anon_sym_short] = ACTIONS(2520),
    [anon_sym_LBRACK] = ACTIONS(2520),
    [anon_sym_static] = ACTIONS(2520),
    [anon_sym_register] = ACTIONS(2520),
    [anon_sym_inline] = ACTIONS(2520),
    [anon_sym___inline] = ACTIONS(2520),
    [anon_sym___inline__] = ACTIONS(2520),
    [anon_sym___forceinline] = ACTIONS(2520),
    [anon_sym_thread_local] = ACTIONS(2520),
    [anon_sym___thread] = ACTIONS(2520),
    [anon_sym_const] = ACTIONS(2520),
    [anon_sym_constexpr] = ACTIONS(2520),
    [anon_sym_volatile] = ACTIONS(2520),
    [anon_sym_restrict] = ACTIONS(2520),
    [anon_sym___restrict__] = ACTIONS(2520),
    [anon_sym__Atomic] = ACTIONS(2520),
    [anon_sym__Noreturn] = ACTIONS(2520),
    [anon_sym_noreturn] = ACTIONS(2520),
    [anon_sym_mutable] = ACTIONS(2520),
    [anon_sym_constinit] = ACTIONS(2520),
    [anon_sym_consteval] = ACTIONS(2520),
    [sym_primitive_type] = ACTIONS(2520),
    [anon_sym_enum] = ACTIONS(2520),
    [anon_sym_class] = ACTIONS(2520),
    [anon_sym_struct] = ACTIONS(2520),
    [anon_sym_union] = ACTIONS(2520),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2520),
    [anon_sym_decltype] = ACTIONS(2520),
    [anon_sym_virtual] = ACTIONS(2520),
    [anon_sym_alignas] = ACTIONS(2520),
    [anon_sym_explicit] = ACTIONS(2520),
    [anon_sym_typename] = ACTIONS(2520),
    [anon_sym_template] = ACTIONS(2520),
    [anon_sym_operator] = ACTIONS(2520),
    [anon_sym_friend] = ACTIONS(2520),
    [anon_sym_public] = ACTIONS(2520),
    [anon_sym_private] = ACTIONS(2520),
    [anon_sym_protected] = ACTIONS(2520),
    [anon_sym_using] = ACTIONS(2520),
    [anon_sym_static_assert] = ACTIONS(2520),
    [anon_sym_precise] = ACTIONS(2520),
    [anon_sym_shared] = ACTIONS(2520),
    [anon_sym_groupshared] = ACTIONS(2520),
    [anon_sym_uniform] = ACTIONS(2520),
    [anon_sym_row_major] = ACTIONS(2520),
    [anon_sym_column_major] = ACTIONS(2520),
    [anon_sym_globallycoherent] = ACTIONS(2520),
    [anon_sym_centroid] = ACTIONS(2520),
    [anon_sym_noperspective] = ACTIONS(2520),
    [anon_sym_nointerpolation] = ACTIONS(2520),
    [anon_sym_sample] = ACTIONS(2520),
    [anon_sym_linear] = ACTIONS(2520),
    [anon_sym_snorm] = ACTIONS(2520),
    [anon_sym_unorm] = ACTIONS(2520),
    [anon_sym_point] = ACTIONS(2520),
    [anon_sym_line] = ACTIONS(2520),
    [anon_sym_triangleadj] = ACTIONS(2520),
    [anon_sym_lineadj] = ACTIONS(2520),
    [anon_sym_triangle] = ACTIONS(2520),
  },
  [2617] = {
    [sym_identifier] = ACTIONS(2516),
    [aux_sym_preproc_def_token1] = ACTIONS(2516),
    [aux_sym_preproc_if_token1] = ACTIONS(2516),
    [aux_sym_preproc_if_token2] = ACTIONS(2516),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2516),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2516),
    [aux_sym_preproc_else_token1] = ACTIONS(2516),
    [aux_sym_preproc_elif_token1] = ACTIONS(2516),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2516),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2516),
    [sym_preproc_directive] = ACTIONS(2516),
    [anon_sym_LPAREN2] = ACTIONS(2518),
    [anon_sym_TILDE] = ACTIONS(2518),
    [anon_sym_STAR] = ACTIONS(2518),
    [anon_sym_AMP_AMP] = ACTIONS(2518),
    [anon_sym_AMP] = ACTIONS(2516),
    [anon_sym___extension__] = ACTIONS(2516),
    [anon_sym_typedef] = ACTIONS(2516),
    [anon_sym_in] = ACTIONS(2516),
    [anon_sym_out] = ACTIONS(2516),
    [anon_sym_inout] = ACTIONS(2516),
    [anon_sym_extern] = ACTIONS(2516),
    [anon_sym___attribute__] = ACTIONS(2516),
    [anon_sym_COLON_COLON] = ACTIONS(2518),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2518),
    [anon_sym___declspec] = ACTIONS(2516),
    [anon_sym___based] = ACTIONS(2516),
    [anon_sym_signed] = ACTIONS(2516),
    [anon_sym_unsigned] = ACTIONS(2516),
    [anon_sym_long] = ACTIONS(2516),
    [anon_sym_short] = ACTIONS(2516),
    [anon_sym_LBRACK] = ACTIONS(2516),
    [anon_sym_static] = ACTIONS(2516),
    [anon_sym_register] = ACTIONS(2516),
    [anon_sym_inline] = ACTIONS(2516),
    [anon_sym___inline] = ACTIONS(2516),
    [anon_sym___inline__] = ACTIONS(2516),
    [anon_sym___forceinline] = ACTIONS(2516),
    [anon_sym_thread_local] = ACTIONS(2516),
    [anon_sym___thread] = ACTIONS(2516),
    [anon_sym_const] = ACTIONS(2516),
    [anon_sym_constexpr] = ACTIONS(2516),
    [anon_sym_volatile] = ACTIONS(2516),
    [anon_sym_restrict] = ACTIONS(2516),
    [anon_sym___restrict__] = ACTIONS(2516),
    [anon_sym__Atomic] = ACTIONS(2516),
    [anon_sym__Noreturn] = ACTIONS(2516),
    [anon_sym_noreturn] = ACTIONS(2516),
    [anon_sym_mutable] = ACTIONS(2516),
    [anon_sym_constinit] = ACTIONS(2516),
    [anon_sym_consteval] = ACTIONS(2516),
    [sym_primitive_type] = ACTIONS(2516),
    [anon_sym_enum] = ACTIONS(2516),
    [anon_sym_class] = ACTIONS(2516),
    [anon_sym_struct] = ACTIONS(2516),
    [anon_sym_union] = ACTIONS(2516),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2516),
    [anon_sym_decltype] = ACTIONS(2516),
    [anon_sym_virtual] = ACTIONS(2516),
    [anon_sym_alignas] = ACTIONS(2516),
    [anon_sym_explicit] = ACTIONS(2516),
    [anon_sym_typename] = ACTIONS(2516),
    [anon_sym_template] = ACTIONS(2516),
    [anon_sym_operator] = ACTIONS(2516),
    [anon_sym_friend] = ACTIONS(2516),
    [anon_sym_public] = ACTIONS(2516),
    [anon_sym_private] = ACTIONS(2516),
    [anon_sym_protected] = ACTIONS(2516),
    [anon_sym_using] = ACTIONS(2516),
    [anon_sym_static_assert] = ACTIONS(2516),
    [anon_sym_precise] = ACTIONS(2516),
    [anon_sym_shared] = ACTIONS(2516),
    [anon_sym_groupshared] = ACTIONS(2516),
    [anon_sym_uniform] = ACTIONS(2516),
    [anon_sym_row_major] = ACTIONS(2516),
    [anon_sym_column_major] = ACTIONS(2516),
    [anon_sym_globallycoherent] = ACTIONS(2516),
    [anon_sym_centroid] = ACTIONS(2516),
    [anon_sym_noperspective] = ACTIONS(2516),
    [anon_sym_nointerpolation] = ACTIONS(2516),
    [anon_sym_sample] = ACTIONS(2516),
    [anon_sym_linear] = ACTIONS(2516),
    [anon_sym_snorm] = ACTIONS(2516),
    [anon_sym_unorm] = ACTIONS(2516),
    [anon_sym_point] = ACTIONS(2516),
    [anon_sym_line] = ACTIONS(2516),
    [anon_sym_triangleadj] = ACTIONS(2516),
    [anon_sym_lineadj] = ACTIONS(2516),
    [anon_sym_triangle] = ACTIONS(2516),
  },
  [2618] = {
    [sym_identifier] = ACTIONS(2621),
    [aux_sym_preproc_def_token1] = ACTIONS(2621),
    [aux_sym_preproc_if_token1] = ACTIONS(2621),
    [aux_sym_preproc_if_token2] = ACTIONS(2621),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2621),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2621),
    [aux_sym_preproc_else_token1] = ACTIONS(2621),
    [aux_sym_preproc_elif_token1] = ACTIONS(2621),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2621),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2621),
    [sym_preproc_directive] = ACTIONS(2621),
    [anon_sym_LPAREN2] = ACTIONS(2623),
    [anon_sym_TILDE] = ACTIONS(2623),
    [anon_sym_STAR] = ACTIONS(2623),
    [anon_sym_AMP_AMP] = ACTIONS(2623),
    [anon_sym_AMP] = ACTIONS(2621),
    [anon_sym___extension__] = ACTIONS(2621),
    [anon_sym_typedef] = ACTIONS(2621),
    [anon_sym_in] = ACTIONS(2621),
    [anon_sym_out] = ACTIONS(2621),
    [anon_sym_inout] = ACTIONS(2621),
    [anon_sym_extern] = ACTIONS(2621),
    [anon_sym___attribute__] = ACTIONS(2621),
    [anon_sym_COLON_COLON] = ACTIONS(2623),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2623),
    [anon_sym___declspec] = ACTIONS(2621),
    [anon_sym___based] = ACTIONS(2621),
    [anon_sym_signed] = ACTIONS(2621),
    [anon_sym_unsigned] = ACTIONS(2621),
    [anon_sym_long] = ACTIONS(2621),
    [anon_sym_short] = ACTIONS(2621),
    [anon_sym_LBRACK] = ACTIONS(2621),
    [anon_sym_static] = ACTIONS(2621),
    [anon_sym_register] = ACTIONS(2621),
    [anon_sym_inline] = ACTIONS(2621),
    [anon_sym___inline] = ACTIONS(2621),
    [anon_sym___inline__] = ACTIONS(2621),
    [anon_sym___forceinline] = ACTIONS(2621),
    [anon_sym_thread_local] = ACTIONS(2621),
    [anon_sym___thread] = ACTIONS(2621),
    [anon_sym_const] = ACTIONS(2621),
    [anon_sym_constexpr] = ACTIONS(2621),
    [anon_sym_volatile] = ACTIONS(2621),
    [anon_sym_restrict] = ACTIONS(2621),
    [anon_sym___restrict__] = ACTIONS(2621),
    [anon_sym__Atomic] = ACTIONS(2621),
    [anon_sym__Noreturn] = ACTIONS(2621),
    [anon_sym_noreturn] = ACTIONS(2621),
    [anon_sym_mutable] = ACTIONS(2621),
    [anon_sym_constinit] = ACTIONS(2621),
    [anon_sym_consteval] = ACTIONS(2621),
    [sym_primitive_type] = ACTIONS(2621),
    [anon_sym_enum] = ACTIONS(2621),
    [anon_sym_class] = ACTIONS(2621),
    [anon_sym_struct] = ACTIONS(2621),
    [anon_sym_union] = ACTIONS(2621),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2621),
    [anon_sym_decltype] = ACTIONS(2621),
    [anon_sym_virtual] = ACTIONS(2621),
    [anon_sym_alignas] = ACTIONS(2621),
    [anon_sym_explicit] = ACTIONS(2621),
    [anon_sym_typename] = ACTIONS(2621),
    [anon_sym_template] = ACTIONS(2621),
    [anon_sym_operator] = ACTIONS(2621),
    [anon_sym_friend] = ACTIONS(2621),
    [anon_sym_public] = ACTIONS(2621),
    [anon_sym_private] = ACTIONS(2621),
    [anon_sym_protected] = ACTIONS(2621),
    [anon_sym_using] = ACTIONS(2621),
    [anon_sym_static_assert] = ACTIONS(2621),
    [anon_sym_precise] = ACTIONS(2621),
    [anon_sym_shared] = ACTIONS(2621),
    [anon_sym_groupshared] = ACTIONS(2621),
    [anon_sym_uniform] = ACTIONS(2621),
    [anon_sym_row_major] = ACTIONS(2621),
    [anon_sym_column_major] = ACTIONS(2621),
    [anon_sym_globallycoherent] = ACTIONS(2621),
    [anon_sym_centroid] = ACTIONS(2621),
    [anon_sym_noperspective] = ACTIONS(2621),
    [anon_sym_nointerpolation] = ACTIONS(2621),
    [anon_sym_sample] = ACTIONS(2621),
    [anon_sym_linear] = ACTIONS(2621),
    [anon_sym_snorm] = ACTIONS(2621),
    [anon_sym_unorm] = ACTIONS(2621),
    [anon_sym_point] = ACTIONS(2621),
    [anon_sym_line] = ACTIONS(2621),
    [anon_sym_triangleadj] = ACTIONS(2621),
    [anon_sym_lineadj] = ACTIONS(2621),
    [anon_sym_triangle] = ACTIONS(2621),
  },
  [2619] = {
    [sym_identifier] = ACTIONS(2629),
    [aux_sym_preproc_def_token1] = ACTIONS(2629),
    [aux_sym_preproc_if_token1] = ACTIONS(2629),
    [aux_sym_preproc_if_token2] = ACTIONS(2629),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2629),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2629),
    [aux_sym_preproc_else_token1] = ACTIONS(2629),
    [aux_sym_preproc_elif_token1] = ACTIONS(2629),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2629),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2629),
    [sym_preproc_directive] = ACTIONS(2629),
    [anon_sym_LPAREN2] = ACTIONS(2631),
    [anon_sym_TILDE] = ACTIONS(2631),
    [anon_sym_STAR] = ACTIONS(2631),
    [anon_sym_AMP_AMP] = ACTIONS(2631),
    [anon_sym_AMP] = ACTIONS(2629),
    [anon_sym___extension__] = ACTIONS(2629),
    [anon_sym_typedef] = ACTIONS(2629),
    [anon_sym_in] = ACTIONS(2629),
    [anon_sym_out] = ACTIONS(2629),
    [anon_sym_inout] = ACTIONS(2629),
    [anon_sym_extern] = ACTIONS(2629),
    [anon_sym___attribute__] = ACTIONS(2629),
    [anon_sym_COLON_COLON] = ACTIONS(2631),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2631),
    [anon_sym___declspec] = ACTIONS(2629),
    [anon_sym___based] = ACTIONS(2629),
    [anon_sym_signed] = ACTIONS(2629),
    [anon_sym_unsigned] = ACTIONS(2629),
    [anon_sym_long] = ACTIONS(2629),
    [anon_sym_short] = ACTIONS(2629),
    [anon_sym_LBRACK] = ACTIONS(2629),
    [anon_sym_static] = ACTIONS(2629),
    [anon_sym_register] = ACTIONS(2629),
    [anon_sym_inline] = ACTIONS(2629),
    [anon_sym___inline] = ACTIONS(2629),
    [anon_sym___inline__] = ACTIONS(2629),
    [anon_sym___forceinline] = ACTIONS(2629),
    [anon_sym_thread_local] = ACTIONS(2629),
    [anon_sym___thread] = ACTIONS(2629),
    [anon_sym_const] = ACTIONS(2629),
    [anon_sym_constexpr] = ACTIONS(2629),
    [anon_sym_volatile] = ACTIONS(2629),
    [anon_sym_restrict] = ACTIONS(2629),
    [anon_sym___restrict__] = ACTIONS(2629),
    [anon_sym__Atomic] = ACTIONS(2629),
    [anon_sym__Noreturn] = ACTIONS(2629),
    [anon_sym_noreturn] = ACTIONS(2629),
    [anon_sym_mutable] = ACTIONS(2629),
    [anon_sym_constinit] = ACTIONS(2629),
    [anon_sym_consteval] = ACTIONS(2629),
    [sym_primitive_type] = ACTIONS(2629),
    [anon_sym_enum] = ACTIONS(2629),
    [anon_sym_class] = ACTIONS(2629),
    [anon_sym_struct] = ACTIONS(2629),
    [anon_sym_union] = ACTIONS(2629),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2629),
    [anon_sym_decltype] = ACTIONS(2629),
    [anon_sym_virtual] = ACTIONS(2629),
    [anon_sym_alignas] = ACTIONS(2629),
    [anon_sym_explicit] = ACTIONS(2629),
    [anon_sym_typename] = ACTIONS(2629),
    [anon_sym_template] = ACTIONS(2629),
    [anon_sym_operator] = ACTIONS(2629),
    [anon_sym_friend] = ACTIONS(2629),
    [anon_sym_public] = ACTIONS(2629),
    [anon_sym_private] = ACTIONS(2629),
    [anon_sym_protected] = ACTIONS(2629),
    [anon_sym_using] = ACTIONS(2629),
    [anon_sym_static_assert] = ACTIONS(2629),
    [anon_sym_precise] = ACTIONS(2629),
    [anon_sym_shared] = ACTIONS(2629),
    [anon_sym_groupshared] = ACTIONS(2629),
    [anon_sym_uniform] = ACTIONS(2629),
    [anon_sym_row_major] = ACTIONS(2629),
    [anon_sym_column_major] = ACTIONS(2629),
    [anon_sym_globallycoherent] = ACTIONS(2629),
    [anon_sym_centroid] = ACTIONS(2629),
    [anon_sym_noperspective] = ACTIONS(2629),
    [anon_sym_nointerpolation] = ACTIONS(2629),
    [anon_sym_sample] = ACTIONS(2629),
    [anon_sym_linear] = ACTIONS(2629),
    [anon_sym_snorm] = ACTIONS(2629),
    [anon_sym_unorm] = ACTIONS(2629),
    [anon_sym_point] = ACTIONS(2629),
    [anon_sym_line] = ACTIONS(2629),
    [anon_sym_triangleadj] = ACTIONS(2629),
    [anon_sym_lineadj] = ACTIONS(2629),
    [anon_sym_triangle] = ACTIONS(2629),
  },
  [2620] = {
    [sym_identifier] = ACTIONS(2725),
    [aux_sym_preproc_def_token1] = ACTIONS(2725),
    [aux_sym_preproc_if_token1] = ACTIONS(2725),
    [aux_sym_preproc_if_token2] = ACTIONS(2725),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2725),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2725),
    [aux_sym_preproc_else_token1] = ACTIONS(2725),
    [aux_sym_preproc_elif_token1] = ACTIONS(2725),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2725),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2725),
    [sym_preproc_directive] = ACTIONS(2725),
    [anon_sym_LPAREN2] = ACTIONS(2727),
    [anon_sym_TILDE] = ACTIONS(2727),
    [anon_sym_STAR] = ACTIONS(2727),
    [anon_sym_AMP_AMP] = ACTIONS(2727),
    [anon_sym_AMP] = ACTIONS(2725),
    [anon_sym___extension__] = ACTIONS(2725),
    [anon_sym_typedef] = ACTIONS(2725),
    [anon_sym_in] = ACTIONS(2725),
    [anon_sym_out] = ACTIONS(2725),
    [anon_sym_inout] = ACTIONS(2725),
    [anon_sym_extern] = ACTIONS(2725),
    [anon_sym___attribute__] = ACTIONS(2725),
    [anon_sym_COLON_COLON] = ACTIONS(2727),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2727),
    [anon_sym___declspec] = ACTIONS(2725),
    [anon_sym___based] = ACTIONS(2725),
    [anon_sym_signed] = ACTIONS(2725),
    [anon_sym_unsigned] = ACTIONS(2725),
    [anon_sym_long] = ACTIONS(2725),
    [anon_sym_short] = ACTIONS(2725),
    [anon_sym_LBRACK] = ACTIONS(2725),
    [anon_sym_static] = ACTIONS(2725),
    [anon_sym_register] = ACTIONS(2725),
    [anon_sym_inline] = ACTIONS(2725),
    [anon_sym___inline] = ACTIONS(2725),
    [anon_sym___inline__] = ACTIONS(2725),
    [anon_sym___forceinline] = ACTIONS(2725),
    [anon_sym_thread_local] = ACTIONS(2725),
    [anon_sym___thread] = ACTIONS(2725),
    [anon_sym_const] = ACTIONS(2725),
    [anon_sym_constexpr] = ACTIONS(2725),
    [anon_sym_volatile] = ACTIONS(2725),
    [anon_sym_restrict] = ACTIONS(2725),
    [anon_sym___restrict__] = ACTIONS(2725),
    [anon_sym__Atomic] = ACTIONS(2725),
    [anon_sym__Noreturn] = ACTIONS(2725),
    [anon_sym_noreturn] = ACTIONS(2725),
    [anon_sym_mutable] = ACTIONS(2725),
    [anon_sym_constinit] = ACTIONS(2725),
    [anon_sym_consteval] = ACTIONS(2725),
    [sym_primitive_type] = ACTIONS(2725),
    [anon_sym_enum] = ACTIONS(2725),
    [anon_sym_class] = ACTIONS(2725),
    [anon_sym_struct] = ACTIONS(2725),
    [anon_sym_union] = ACTIONS(2725),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2725),
    [anon_sym_decltype] = ACTIONS(2725),
    [anon_sym_virtual] = ACTIONS(2725),
    [anon_sym_alignas] = ACTIONS(2725),
    [anon_sym_explicit] = ACTIONS(2725),
    [anon_sym_typename] = ACTIONS(2725),
    [anon_sym_template] = ACTIONS(2725),
    [anon_sym_operator] = ACTIONS(2725),
    [anon_sym_friend] = ACTIONS(2725),
    [anon_sym_public] = ACTIONS(2725),
    [anon_sym_private] = ACTIONS(2725),
    [anon_sym_protected] = ACTIONS(2725),
    [anon_sym_using] = ACTIONS(2725),
    [anon_sym_static_assert] = ACTIONS(2725),
    [anon_sym_precise] = ACTIONS(2725),
    [anon_sym_shared] = ACTIONS(2725),
    [anon_sym_groupshared] = ACTIONS(2725),
    [anon_sym_uniform] = ACTIONS(2725),
    [anon_sym_row_major] = ACTIONS(2725),
    [anon_sym_column_major] = ACTIONS(2725),
    [anon_sym_globallycoherent] = ACTIONS(2725),
    [anon_sym_centroid] = ACTIONS(2725),
    [anon_sym_noperspective] = ACTIONS(2725),
    [anon_sym_nointerpolation] = ACTIONS(2725),
    [anon_sym_sample] = ACTIONS(2725),
    [anon_sym_linear] = ACTIONS(2725),
    [anon_sym_snorm] = ACTIONS(2725),
    [anon_sym_unorm] = ACTIONS(2725),
    [anon_sym_point] = ACTIONS(2725),
    [anon_sym_line] = ACTIONS(2725),
    [anon_sym_triangleadj] = ACTIONS(2725),
    [anon_sym_lineadj] = ACTIONS(2725),
    [anon_sym_triangle] = ACTIONS(2725),
  },
  [2621] = {
    [sym_identifier] = ACTIONS(2773),
    [aux_sym_preproc_def_token1] = ACTIONS(2773),
    [aux_sym_preproc_if_token1] = ACTIONS(2773),
    [aux_sym_preproc_if_token2] = ACTIONS(2773),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2773),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2773),
    [aux_sym_preproc_else_token1] = ACTIONS(2773),
    [aux_sym_preproc_elif_token1] = ACTIONS(2773),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2773),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2773),
    [sym_preproc_directive] = ACTIONS(2773),
    [anon_sym_LPAREN2] = ACTIONS(2775),
    [anon_sym_TILDE] = ACTIONS(2775),
    [anon_sym_STAR] = ACTIONS(2775),
    [anon_sym_AMP_AMP] = ACTIONS(2775),
    [anon_sym_AMP] = ACTIONS(2773),
    [anon_sym___extension__] = ACTIONS(2773),
    [anon_sym_typedef] = ACTIONS(2773),
    [anon_sym_in] = ACTIONS(2773),
    [anon_sym_out] = ACTIONS(2773),
    [anon_sym_inout] = ACTIONS(2773),
    [anon_sym_extern] = ACTIONS(2773),
    [anon_sym___attribute__] = ACTIONS(2773),
    [anon_sym_COLON_COLON] = ACTIONS(2775),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2775),
    [anon_sym___declspec] = ACTIONS(2773),
    [anon_sym___based] = ACTIONS(2773),
    [anon_sym_signed] = ACTIONS(2773),
    [anon_sym_unsigned] = ACTIONS(2773),
    [anon_sym_long] = ACTIONS(2773),
    [anon_sym_short] = ACTIONS(2773),
    [anon_sym_LBRACK] = ACTIONS(2773),
    [anon_sym_static] = ACTIONS(2773),
    [anon_sym_register] = ACTIONS(2773),
    [anon_sym_inline] = ACTIONS(2773),
    [anon_sym___inline] = ACTIONS(2773),
    [anon_sym___inline__] = ACTIONS(2773),
    [anon_sym___forceinline] = ACTIONS(2773),
    [anon_sym_thread_local] = ACTIONS(2773),
    [anon_sym___thread] = ACTIONS(2773),
    [anon_sym_const] = ACTIONS(2773),
    [anon_sym_constexpr] = ACTIONS(2773),
    [anon_sym_volatile] = ACTIONS(2773),
    [anon_sym_restrict] = ACTIONS(2773),
    [anon_sym___restrict__] = ACTIONS(2773),
    [anon_sym__Atomic] = ACTIONS(2773),
    [anon_sym__Noreturn] = ACTIONS(2773),
    [anon_sym_noreturn] = ACTIONS(2773),
    [anon_sym_mutable] = ACTIONS(2773),
    [anon_sym_constinit] = ACTIONS(2773),
    [anon_sym_consteval] = ACTIONS(2773),
    [sym_primitive_type] = ACTIONS(2773),
    [anon_sym_enum] = ACTIONS(2773),
    [anon_sym_class] = ACTIONS(2773),
    [anon_sym_struct] = ACTIONS(2773),
    [anon_sym_union] = ACTIONS(2773),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2773),
    [anon_sym_decltype] = ACTIONS(2773),
    [anon_sym_virtual] = ACTIONS(2773),
    [anon_sym_alignas] = ACTIONS(2773),
    [anon_sym_explicit] = ACTIONS(2773),
    [anon_sym_typename] = ACTIONS(2773),
    [anon_sym_template] = ACTIONS(2773),
    [anon_sym_operator] = ACTIONS(2773),
    [anon_sym_friend] = ACTIONS(2773),
    [anon_sym_public] = ACTIONS(2773),
    [anon_sym_private] = ACTIONS(2773),
    [anon_sym_protected] = ACTIONS(2773),
    [anon_sym_using] = ACTIONS(2773),
    [anon_sym_static_assert] = ACTIONS(2773),
    [anon_sym_precise] = ACTIONS(2773),
    [anon_sym_shared] = ACTIONS(2773),
    [anon_sym_groupshared] = ACTIONS(2773),
    [anon_sym_uniform] = ACTIONS(2773),
    [anon_sym_row_major] = ACTIONS(2773),
    [anon_sym_column_major] = ACTIONS(2773),
    [anon_sym_globallycoherent] = ACTIONS(2773),
    [anon_sym_centroid] = ACTIONS(2773),
    [anon_sym_noperspective] = ACTIONS(2773),
    [anon_sym_nointerpolation] = ACTIONS(2773),
    [anon_sym_sample] = ACTIONS(2773),
    [anon_sym_linear] = ACTIONS(2773),
    [anon_sym_snorm] = ACTIONS(2773),
    [anon_sym_unorm] = ACTIONS(2773),
    [anon_sym_point] = ACTIONS(2773),
    [anon_sym_line] = ACTIONS(2773),
    [anon_sym_triangleadj] = ACTIONS(2773),
    [anon_sym_lineadj] = ACTIONS(2773),
    [anon_sym_triangle] = ACTIONS(2773),
  },
  [2622] = {
    [sym_identifier] = ACTIONS(2721),
    [aux_sym_preproc_def_token1] = ACTIONS(2721),
    [aux_sym_preproc_if_token1] = ACTIONS(2721),
    [aux_sym_preproc_if_token2] = ACTIONS(2721),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2721),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2721),
    [aux_sym_preproc_else_token1] = ACTIONS(2721),
    [aux_sym_preproc_elif_token1] = ACTIONS(2721),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2721),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2721),
    [sym_preproc_directive] = ACTIONS(2721),
    [anon_sym_LPAREN2] = ACTIONS(2723),
    [anon_sym_TILDE] = ACTIONS(2723),
    [anon_sym_STAR] = ACTIONS(2723),
    [anon_sym_AMP_AMP] = ACTIONS(2723),
    [anon_sym_AMP] = ACTIONS(2721),
    [anon_sym___extension__] = ACTIONS(2721),
    [anon_sym_typedef] = ACTIONS(2721),
    [anon_sym_in] = ACTIONS(2721),
    [anon_sym_out] = ACTIONS(2721),
    [anon_sym_inout] = ACTIONS(2721),
    [anon_sym_extern] = ACTIONS(2721),
    [anon_sym___attribute__] = ACTIONS(2721),
    [anon_sym_COLON_COLON] = ACTIONS(2723),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2723),
    [anon_sym___declspec] = ACTIONS(2721),
    [anon_sym___based] = ACTIONS(2721),
    [anon_sym_signed] = ACTIONS(2721),
    [anon_sym_unsigned] = ACTIONS(2721),
    [anon_sym_long] = ACTIONS(2721),
    [anon_sym_short] = ACTIONS(2721),
    [anon_sym_LBRACK] = ACTIONS(2721),
    [anon_sym_static] = ACTIONS(2721),
    [anon_sym_register] = ACTIONS(2721),
    [anon_sym_inline] = ACTIONS(2721),
    [anon_sym___inline] = ACTIONS(2721),
    [anon_sym___inline__] = ACTIONS(2721),
    [anon_sym___forceinline] = ACTIONS(2721),
    [anon_sym_thread_local] = ACTIONS(2721),
    [anon_sym___thread] = ACTIONS(2721),
    [anon_sym_const] = ACTIONS(2721),
    [anon_sym_constexpr] = ACTIONS(2721),
    [anon_sym_volatile] = ACTIONS(2721),
    [anon_sym_restrict] = ACTIONS(2721),
    [anon_sym___restrict__] = ACTIONS(2721),
    [anon_sym__Atomic] = ACTIONS(2721),
    [anon_sym__Noreturn] = ACTIONS(2721),
    [anon_sym_noreturn] = ACTIONS(2721),
    [anon_sym_mutable] = ACTIONS(2721),
    [anon_sym_constinit] = ACTIONS(2721),
    [anon_sym_consteval] = ACTIONS(2721),
    [sym_primitive_type] = ACTIONS(2721),
    [anon_sym_enum] = ACTIONS(2721),
    [anon_sym_class] = ACTIONS(2721),
    [anon_sym_struct] = ACTIONS(2721),
    [anon_sym_union] = ACTIONS(2721),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2721),
    [anon_sym_decltype] = ACTIONS(2721),
    [anon_sym_virtual] = ACTIONS(2721),
    [anon_sym_alignas] = ACTIONS(2721),
    [anon_sym_explicit] = ACTIONS(2721),
    [anon_sym_typename] = ACTIONS(2721),
    [anon_sym_template] = ACTIONS(2721),
    [anon_sym_operator] = ACTIONS(2721),
    [anon_sym_friend] = ACTIONS(2721),
    [anon_sym_public] = ACTIONS(2721),
    [anon_sym_private] = ACTIONS(2721),
    [anon_sym_protected] = ACTIONS(2721),
    [anon_sym_using] = ACTIONS(2721),
    [anon_sym_static_assert] = ACTIONS(2721),
    [anon_sym_precise] = ACTIONS(2721),
    [anon_sym_shared] = ACTIONS(2721),
    [anon_sym_groupshared] = ACTIONS(2721),
    [anon_sym_uniform] = ACTIONS(2721),
    [anon_sym_row_major] = ACTIONS(2721),
    [anon_sym_column_major] = ACTIONS(2721),
    [anon_sym_globallycoherent] = ACTIONS(2721),
    [anon_sym_centroid] = ACTIONS(2721),
    [anon_sym_noperspective] = ACTIONS(2721),
    [anon_sym_nointerpolation] = ACTIONS(2721),
    [anon_sym_sample] = ACTIONS(2721),
    [anon_sym_linear] = ACTIONS(2721),
    [anon_sym_snorm] = ACTIONS(2721),
    [anon_sym_unorm] = ACTIONS(2721),
    [anon_sym_point] = ACTIONS(2721),
    [anon_sym_line] = ACTIONS(2721),
    [anon_sym_triangleadj] = ACTIONS(2721),
    [anon_sym_lineadj] = ACTIONS(2721),
    [anon_sym_triangle] = ACTIONS(2721),
  },
  [2623] = {
    [sym_identifier] = ACTIONS(2318),
    [aux_sym_preproc_def_token1] = ACTIONS(2318),
    [aux_sym_preproc_if_token1] = ACTIONS(2318),
    [aux_sym_preproc_if_token2] = ACTIONS(2318),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2318),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2318),
    [aux_sym_preproc_else_token1] = ACTIONS(2318),
    [aux_sym_preproc_elif_token1] = ACTIONS(2318),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2318),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2318),
    [sym_preproc_directive] = ACTIONS(2318),
    [anon_sym_LPAREN2] = ACTIONS(2320),
    [anon_sym_TILDE] = ACTIONS(2320),
    [anon_sym_STAR] = ACTIONS(2320),
    [anon_sym_AMP_AMP] = ACTIONS(2320),
    [anon_sym_AMP] = ACTIONS(2318),
    [anon_sym___extension__] = ACTIONS(2318),
    [anon_sym_typedef] = ACTIONS(2318),
    [anon_sym_in] = ACTIONS(2318),
    [anon_sym_out] = ACTIONS(2318),
    [anon_sym_inout] = ACTIONS(2318),
    [anon_sym_extern] = ACTIONS(2318),
    [anon_sym___attribute__] = ACTIONS(2318),
    [anon_sym_COLON_COLON] = ACTIONS(2320),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2320),
    [anon_sym___declspec] = ACTIONS(2318),
    [anon_sym___based] = ACTIONS(2318),
    [anon_sym_signed] = ACTIONS(2318),
    [anon_sym_unsigned] = ACTIONS(2318),
    [anon_sym_long] = ACTIONS(2318),
    [anon_sym_short] = ACTIONS(2318),
    [anon_sym_LBRACK] = ACTIONS(2318),
    [anon_sym_static] = ACTIONS(2318),
    [anon_sym_register] = ACTIONS(2318),
    [anon_sym_inline] = ACTIONS(2318),
    [anon_sym___inline] = ACTIONS(2318),
    [anon_sym___inline__] = ACTIONS(2318),
    [anon_sym___forceinline] = ACTIONS(2318),
    [anon_sym_thread_local] = ACTIONS(2318),
    [anon_sym___thread] = ACTIONS(2318),
    [anon_sym_const] = ACTIONS(2318),
    [anon_sym_constexpr] = ACTIONS(2318),
    [anon_sym_volatile] = ACTIONS(2318),
    [anon_sym_restrict] = ACTIONS(2318),
    [anon_sym___restrict__] = ACTIONS(2318),
    [anon_sym__Atomic] = ACTIONS(2318),
    [anon_sym__Noreturn] = ACTIONS(2318),
    [anon_sym_noreturn] = ACTIONS(2318),
    [anon_sym_mutable] = ACTIONS(2318),
    [anon_sym_constinit] = ACTIONS(2318),
    [anon_sym_consteval] = ACTIONS(2318),
    [sym_primitive_type] = ACTIONS(2318),
    [anon_sym_enum] = ACTIONS(2318),
    [anon_sym_class] = ACTIONS(2318),
    [anon_sym_struct] = ACTIONS(2318),
    [anon_sym_union] = ACTIONS(2318),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2318),
    [anon_sym_decltype] = ACTIONS(2318),
    [anon_sym_virtual] = ACTIONS(2318),
    [anon_sym_alignas] = ACTIONS(2318),
    [anon_sym_explicit] = ACTIONS(2318),
    [anon_sym_typename] = ACTIONS(2318),
    [anon_sym_template] = ACTIONS(2318),
    [anon_sym_operator] = ACTIONS(2318),
    [anon_sym_friend] = ACTIONS(2318),
    [anon_sym_public] = ACTIONS(2318),
    [anon_sym_private] = ACTIONS(2318),
    [anon_sym_protected] = ACTIONS(2318),
    [anon_sym_using] = ACTIONS(2318),
    [anon_sym_static_assert] = ACTIONS(2318),
    [anon_sym_precise] = ACTIONS(2318),
    [anon_sym_shared] = ACTIONS(2318),
    [anon_sym_groupshared] = ACTIONS(2318),
    [anon_sym_uniform] = ACTIONS(2318),
    [anon_sym_row_major] = ACTIONS(2318),
    [anon_sym_column_major] = ACTIONS(2318),
    [anon_sym_globallycoherent] = ACTIONS(2318),
    [anon_sym_centroid] = ACTIONS(2318),
    [anon_sym_noperspective] = ACTIONS(2318),
    [anon_sym_nointerpolation] = ACTIONS(2318),
    [anon_sym_sample] = ACTIONS(2318),
    [anon_sym_linear] = ACTIONS(2318),
    [anon_sym_snorm] = ACTIONS(2318),
    [anon_sym_unorm] = ACTIONS(2318),
    [anon_sym_point] = ACTIONS(2318),
    [anon_sym_line] = ACTIONS(2318),
    [anon_sym_triangleadj] = ACTIONS(2318),
    [anon_sym_lineadj] = ACTIONS(2318),
    [anon_sym_triangle] = ACTIONS(2318),
  },
  [2624] = {
    [sym_identifier] = ACTIONS(2797),
    [aux_sym_preproc_def_token1] = ACTIONS(2797),
    [aux_sym_preproc_if_token1] = ACTIONS(2797),
    [aux_sym_preproc_if_token2] = ACTIONS(2797),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2797),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2797),
    [aux_sym_preproc_else_token1] = ACTIONS(2797),
    [aux_sym_preproc_elif_token1] = ACTIONS(2797),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2797),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2797),
    [sym_preproc_directive] = ACTIONS(2797),
    [anon_sym_LPAREN2] = ACTIONS(2799),
    [anon_sym_TILDE] = ACTIONS(2799),
    [anon_sym_STAR] = ACTIONS(2799),
    [anon_sym_AMP_AMP] = ACTIONS(2799),
    [anon_sym_AMP] = ACTIONS(2797),
    [anon_sym___extension__] = ACTIONS(2797),
    [anon_sym_typedef] = ACTIONS(2797),
    [anon_sym_in] = ACTIONS(2797),
    [anon_sym_out] = ACTIONS(2797),
    [anon_sym_inout] = ACTIONS(2797),
    [anon_sym_extern] = ACTIONS(2797),
    [anon_sym___attribute__] = ACTIONS(2797),
    [anon_sym_COLON_COLON] = ACTIONS(2799),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2799),
    [anon_sym___declspec] = ACTIONS(2797),
    [anon_sym___based] = ACTIONS(2797),
    [anon_sym_signed] = ACTIONS(2797),
    [anon_sym_unsigned] = ACTIONS(2797),
    [anon_sym_long] = ACTIONS(2797),
    [anon_sym_short] = ACTIONS(2797),
    [anon_sym_LBRACK] = ACTIONS(2797),
    [anon_sym_static] = ACTIONS(2797),
    [anon_sym_register] = ACTIONS(2797),
    [anon_sym_inline] = ACTIONS(2797),
    [anon_sym___inline] = ACTIONS(2797),
    [anon_sym___inline__] = ACTIONS(2797),
    [anon_sym___forceinline] = ACTIONS(2797),
    [anon_sym_thread_local] = ACTIONS(2797),
    [anon_sym___thread] = ACTIONS(2797),
    [anon_sym_const] = ACTIONS(2797),
    [anon_sym_constexpr] = ACTIONS(2797),
    [anon_sym_volatile] = ACTIONS(2797),
    [anon_sym_restrict] = ACTIONS(2797),
    [anon_sym___restrict__] = ACTIONS(2797),
    [anon_sym__Atomic] = ACTIONS(2797),
    [anon_sym__Noreturn] = ACTIONS(2797),
    [anon_sym_noreturn] = ACTIONS(2797),
    [anon_sym_mutable] = ACTIONS(2797),
    [anon_sym_constinit] = ACTIONS(2797),
    [anon_sym_consteval] = ACTIONS(2797),
    [sym_primitive_type] = ACTIONS(2797),
    [anon_sym_enum] = ACTIONS(2797),
    [anon_sym_class] = ACTIONS(2797),
    [anon_sym_struct] = ACTIONS(2797),
    [anon_sym_union] = ACTIONS(2797),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2797),
    [anon_sym_decltype] = ACTIONS(2797),
    [anon_sym_virtual] = ACTIONS(2797),
    [anon_sym_alignas] = ACTIONS(2797),
    [anon_sym_explicit] = ACTIONS(2797),
    [anon_sym_typename] = ACTIONS(2797),
    [anon_sym_template] = ACTIONS(2797),
    [anon_sym_operator] = ACTIONS(2797),
    [anon_sym_friend] = ACTIONS(2797),
    [anon_sym_public] = ACTIONS(2797),
    [anon_sym_private] = ACTIONS(2797),
    [anon_sym_protected] = ACTIONS(2797),
    [anon_sym_using] = ACTIONS(2797),
    [anon_sym_static_assert] = ACTIONS(2797),
    [anon_sym_precise] = ACTIONS(2797),
    [anon_sym_shared] = ACTIONS(2797),
    [anon_sym_groupshared] = ACTIONS(2797),
    [anon_sym_uniform] = ACTIONS(2797),
    [anon_sym_row_major] = ACTIONS(2797),
    [anon_sym_column_major] = ACTIONS(2797),
    [anon_sym_globallycoherent] = ACTIONS(2797),
    [anon_sym_centroid] = ACTIONS(2797),
    [anon_sym_noperspective] = ACTIONS(2797),
    [anon_sym_nointerpolation] = ACTIONS(2797),
    [anon_sym_sample] = ACTIONS(2797),
    [anon_sym_linear] = ACTIONS(2797),
    [anon_sym_snorm] = ACTIONS(2797),
    [anon_sym_unorm] = ACTIONS(2797),
    [anon_sym_point] = ACTIONS(2797),
    [anon_sym_line] = ACTIONS(2797),
    [anon_sym_triangleadj] = ACTIONS(2797),
    [anon_sym_lineadj] = ACTIONS(2797),
    [anon_sym_triangle] = ACTIONS(2797),
  },
  [2625] = {
    [sym_identifier] = ACTIONS(2797),
    [aux_sym_preproc_def_token1] = ACTIONS(2797),
    [aux_sym_preproc_if_token1] = ACTIONS(2797),
    [aux_sym_preproc_if_token2] = ACTIONS(2797),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2797),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2797),
    [aux_sym_preproc_else_token1] = ACTIONS(2797),
    [aux_sym_preproc_elif_token1] = ACTIONS(2797),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2797),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2797),
    [sym_preproc_directive] = ACTIONS(2797),
    [anon_sym_LPAREN2] = ACTIONS(2799),
    [anon_sym_TILDE] = ACTIONS(2799),
    [anon_sym_STAR] = ACTIONS(2799),
    [anon_sym_AMP_AMP] = ACTIONS(2799),
    [anon_sym_AMP] = ACTIONS(2797),
    [anon_sym___extension__] = ACTIONS(2797),
    [anon_sym_typedef] = ACTIONS(2797),
    [anon_sym_in] = ACTIONS(2797),
    [anon_sym_out] = ACTIONS(2797),
    [anon_sym_inout] = ACTIONS(2797),
    [anon_sym_extern] = ACTIONS(2797),
    [anon_sym___attribute__] = ACTIONS(2797),
    [anon_sym_COLON_COLON] = ACTIONS(2799),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2799),
    [anon_sym___declspec] = ACTIONS(2797),
    [anon_sym___based] = ACTIONS(2797),
    [anon_sym_signed] = ACTIONS(2797),
    [anon_sym_unsigned] = ACTIONS(2797),
    [anon_sym_long] = ACTIONS(2797),
    [anon_sym_short] = ACTIONS(2797),
    [anon_sym_LBRACK] = ACTIONS(2797),
    [anon_sym_static] = ACTIONS(2797),
    [anon_sym_register] = ACTIONS(2797),
    [anon_sym_inline] = ACTIONS(2797),
    [anon_sym___inline] = ACTIONS(2797),
    [anon_sym___inline__] = ACTIONS(2797),
    [anon_sym___forceinline] = ACTIONS(2797),
    [anon_sym_thread_local] = ACTIONS(2797),
    [anon_sym___thread] = ACTIONS(2797),
    [anon_sym_const] = ACTIONS(2797),
    [anon_sym_constexpr] = ACTIONS(2797),
    [anon_sym_volatile] = ACTIONS(2797),
    [anon_sym_restrict] = ACTIONS(2797),
    [anon_sym___restrict__] = ACTIONS(2797),
    [anon_sym__Atomic] = ACTIONS(2797),
    [anon_sym__Noreturn] = ACTIONS(2797),
    [anon_sym_noreturn] = ACTIONS(2797),
    [anon_sym_mutable] = ACTIONS(2797),
    [anon_sym_constinit] = ACTIONS(2797),
    [anon_sym_consteval] = ACTIONS(2797),
    [sym_primitive_type] = ACTIONS(2797),
    [anon_sym_enum] = ACTIONS(2797),
    [anon_sym_class] = ACTIONS(2797),
    [anon_sym_struct] = ACTIONS(2797),
    [anon_sym_union] = ACTIONS(2797),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2797),
    [anon_sym_decltype] = ACTIONS(2797),
    [anon_sym_virtual] = ACTIONS(2797),
    [anon_sym_alignas] = ACTIONS(2797),
    [anon_sym_explicit] = ACTIONS(2797),
    [anon_sym_typename] = ACTIONS(2797),
    [anon_sym_template] = ACTIONS(2797),
    [anon_sym_operator] = ACTIONS(2797),
    [anon_sym_friend] = ACTIONS(2797),
    [anon_sym_public] = ACTIONS(2797),
    [anon_sym_private] = ACTIONS(2797),
    [anon_sym_protected] = ACTIONS(2797),
    [anon_sym_using] = ACTIONS(2797),
    [anon_sym_static_assert] = ACTIONS(2797),
    [anon_sym_precise] = ACTIONS(2797),
    [anon_sym_shared] = ACTIONS(2797),
    [anon_sym_groupshared] = ACTIONS(2797),
    [anon_sym_uniform] = ACTIONS(2797),
    [anon_sym_row_major] = ACTIONS(2797),
    [anon_sym_column_major] = ACTIONS(2797),
    [anon_sym_globallycoherent] = ACTIONS(2797),
    [anon_sym_centroid] = ACTIONS(2797),
    [anon_sym_noperspective] = ACTIONS(2797),
    [anon_sym_nointerpolation] = ACTIONS(2797),
    [anon_sym_sample] = ACTIONS(2797),
    [anon_sym_linear] = ACTIONS(2797),
    [anon_sym_snorm] = ACTIONS(2797),
    [anon_sym_unorm] = ACTIONS(2797),
    [anon_sym_point] = ACTIONS(2797),
    [anon_sym_line] = ACTIONS(2797),
    [anon_sym_triangleadj] = ACTIONS(2797),
    [anon_sym_lineadj] = ACTIONS(2797),
    [anon_sym_triangle] = ACTIONS(2797),
  },
  [2626] = {
    [sym_identifier] = ACTIONS(2318),
    [aux_sym_preproc_def_token1] = ACTIONS(2318),
    [aux_sym_preproc_if_token1] = ACTIONS(2318),
    [aux_sym_preproc_if_token2] = ACTIONS(2318),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2318),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2318),
    [aux_sym_preproc_else_token1] = ACTIONS(2318),
    [aux_sym_preproc_elif_token1] = ACTIONS(2318),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2318),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2318),
    [sym_preproc_directive] = ACTIONS(2318),
    [anon_sym_LPAREN2] = ACTIONS(2320),
    [anon_sym_TILDE] = ACTIONS(2320),
    [anon_sym_STAR] = ACTIONS(2320),
    [anon_sym_AMP_AMP] = ACTIONS(2320),
    [anon_sym_AMP] = ACTIONS(2318),
    [anon_sym___extension__] = ACTIONS(2318),
    [anon_sym_typedef] = ACTIONS(2318),
    [anon_sym_in] = ACTIONS(2318),
    [anon_sym_out] = ACTIONS(2318),
    [anon_sym_inout] = ACTIONS(2318),
    [anon_sym_extern] = ACTIONS(2318),
    [anon_sym___attribute__] = ACTIONS(2318),
    [anon_sym_COLON_COLON] = ACTIONS(2320),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2320),
    [anon_sym___declspec] = ACTIONS(2318),
    [anon_sym___based] = ACTIONS(2318),
    [anon_sym_signed] = ACTIONS(2318),
    [anon_sym_unsigned] = ACTIONS(2318),
    [anon_sym_long] = ACTIONS(2318),
    [anon_sym_short] = ACTIONS(2318),
    [anon_sym_LBRACK] = ACTIONS(2318),
    [anon_sym_static] = ACTIONS(2318),
    [anon_sym_register] = ACTIONS(2318),
    [anon_sym_inline] = ACTIONS(2318),
    [anon_sym___inline] = ACTIONS(2318),
    [anon_sym___inline__] = ACTIONS(2318),
    [anon_sym___forceinline] = ACTIONS(2318),
    [anon_sym_thread_local] = ACTIONS(2318),
    [anon_sym___thread] = ACTIONS(2318),
    [anon_sym_const] = ACTIONS(2318),
    [anon_sym_constexpr] = ACTIONS(2318),
    [anon_sym_volatile] = ACTIONS(2318),
    [anon_sym_restrict] = ACTIONS(2318),
    [anon_sym___restrict__] = ACTIONS(2318),
    [anon_sym__Atomic] = ACTIONS(2318),
    [anon_sym__Noreturn] = ACTIONS(2318),
    [anon_sym_noreturn] = ACTIONS(2318),
    [anon_sym_mutable] = ACTIONS(2318),
    [anon_sym_constinit] = ACTIONS(2318),
    [anon_sym_consteval] = ACTIONS(2318),
    [sym_primitive_type] = ACTIONS(2318),
    [anon_sym_enum] = ACTIONS(2318),
    [anon_sym_class] = ACTIONS(2318),
    [anon_sym_struct] = ACTIONS(2318),
    [anon_sym_union] = ACTIONS(2318),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2318),
    [anon_sym_decltype] = ACTIONS(2318),
    [anon_sym_virtual] = ACTIONS(2318),
    [anon_sym_alignas] = ACTIONS(2318),
    [anon_sym_explicit] = ACTIONS(2318),
    [anon_sym_typename] = ACTIONS(2318),
    [anon_sym_template] = ACTIONS(2318),
    [anon_sym_operator] = ACTIONS(2318),
    [anon_sym_friend] = ACTIONS(2318),
    [anon_sym_public] = ACTIONS(2318),
    [anon_sym_private] = ACTIONS(2318),
    [anon_sym_protected] = ACTIONS(2318),
    [anon_sym_using] = ACTIONS(2318),
    [anon_sym_static_assert] = ACTIONS(2318),
    [anon_sym_precise] = ACTIONS(2318),
    [anon_sym_shared] = ACTIONS(2318),
    [anon_sym_groupshared] = ACTIONS(2318),
    [anon_sym_uniform] = ACTIONS(2318),
    [anon_sym_row_major] = ACTIONS(2318),
    [anon_sym_column_major] = ACTIONS(2318),
    [anon_sym_globallycoherent] = ACTIONS(2318),
    [anon_sym_centroid] = ACTIONS(2318),
    [anon_sym_noperspective] = ACTIONS(2318),
    [anon_sym_nointerpolation] = ACTIONS(2318),
    [anon_sym_sample] = ACTIONS(2318),
    [anon_sym_linear] = ACTIONS(2318),
    [anon_sym_snorm] = ACTIONS(2318),
    [anon_sym_unorm] = ACTIONS(2318),
    [anon_sym_point] = ACTIONS(2318),
    [anon_sym_line] = ACTIONS(2318),
    [anon_sym_triangleadj] = ACTIONS(2318),
    [anon_sym_lineadj] = ACTIONS(2318),
    [anon_sym_triangle] = ACTIONS(2318),
  },
  [2627] = {
    [sym__declaration_modifiers] = STATE(2673),
    [sym__declaration_specifiers] = STATE(6008),
    [sym_attribute_specifier] = STATE(2673),
    [sym_attribute_declaration] = STATE(2673),
    [sym_ms_declspec_modifier] = STATE(2673),
    [sym_storage_class_specifier] = STATE(2673),
    [sym_type_qualifier] = STATE(2673),
    [sym__type_specifier] = STATE(2827),
    [sym_sized_type_specifier] = STATE(3085),
    [sym_enum_specifier] = STATE(3085),
    [sym_struct_specifier] = STATE(3085),
    [sym_union_specifier] = STATE(3085),
    [sym_placeholder_type_specifier] = STATE(3085),
    [sym_decltype_auto] = STATE(3091),
    [sym_decltype] = STATE(3050),
    [sym_class_specifier] = STATE(3085),
    [sym_virtual] = STATE(2673),
    [sym_alignas_specifier] = STATE(2673),
    [sym_dependent_type] = STATE(3085),
    [sym_template_type] = STATE(3050),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(7887),
    [sym_qualified_type_identifier] = STATE(3068),
    [sym_qualifiers] = STATE(2673),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2673),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3021),
    [sym_identifier] = ACTIONS(3896),
    [anon_sym___extension__] = ACTIONS(63),
    [anon_sym_in] = ACTIONS(1480),
    [anon_sym_out] = ACTIONS(1480),
    [anon_sym_inout] = ACTIONS(1480),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(3904),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2096),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(2891),
    [anon_sym_enum] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(69),
    [anon_sym_struct] = ACTIONS(71),
    [anon_sym_union] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [anon_sym_virtual] = ACTIONS(123),
    [anon_sym_alignas] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_precise] = ACTIONS(161),
    [anon_sym_shared] = ACTIONS(161),
    [anon_sym_groupshared] = ACTIONS(161),
    [anon_sym_uniform] = ACTIONS(161),
    [anon_sym_row_major] = ACTIONS(161),
    [anon_sym_column_major] = ACTIONS(161),
    [anon_sym_globallycoherent] = ACTIONS(161),
    [anon_sym_centroid] = ACTIONS(161),
    [anon_sym_noperspective] = ACTIONS(161),
    [anon_sym_nointerpolation] = ACTIONS(161),
    [anon_sym_sample] = ACTIONS(161),
    [anon_sym_linear] = ACTIONS(161),
    [anon_sym_snorm] = ACTIONS(161),
    [anon_sym_unorm] = ACTIONS(161),
    [anon_sym_point] = ACTIONS(161),
    [anon_sym_line] = ACTIONS(161),
    [anon_sym_triangleadj] = ACTIONS(161),
    [anon_sym_lineadj] = ACTIONS(161),
    [anon_sym_triangle] = ACTIONS(161),
  },
  [2628] = {
    [sym_identifier] = ACTIONS(2637),
    [aux_sym_preproc_def_token1] = ACTIONS(2637),
    [aux_sym_preproc_if_token1] = ACTIONS(2637),
    [aux_sym_preproc_if_token2] = ACTIONS(2637),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2637),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2637),
    [aux_sym_preproc_else_token1] = ACTIONS(2637),
    [aux_sym_preproc_elif_token1] = ACTIONS(2637),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2637),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2637),
    [sym_preproc_directive] = ACTIONS(2637),
    [anon_sym_LPAREN2] = ACTIONS(2639),
    [anon_sym_TILDE] = ACTIONS(2639),
    [anon_sym_STAR] = ACTIONS(2639),
    [anon_sym_AMP_AMP] = ACTIONS(2639),
    [anon_sym_AMP] = ACTIONS(2637),
    [anon_sym___extension__] = ACTIONS(2637),
    [anon_sym_typedef] = ACTIONS(2637),
    [anon_sym_in] = ACTIONS(2637),
    [anon_sym_out] = ACTIONS(2637),
    [anon_sym_inout] = ACTIONS(2637),
    [anon_sym_extern] = ACTIONS(2637),
    [anon_sym___attribute__] = ACTIONS(2637),
    [anon_sym_COLON_COLON] = ACTIONS(2639),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2639),
    [anon_sym___declspec] = ACTIONS(2637),
    [anon_sym___based] = ACTIONS(2637),
    [anon_sym_signed] = ACTIONS(2637),
    [anon_sym_unsigned] = ACTIONS(2637),
    [anon_sym_long] = ACTIONS(2637),
    [anon_sym_short] = ACTIONS(2637),
    [anon_sym_LBRACK] = ACTIONS(2637),
    [anon_sym_static] = ACTIONS(2637),
    [anon_sym_register] = ACTIONS(2637),
    [anon_sym_inline] = ACTIONS(2637),
    [anon_sym___inline] = ACTIONS(2637),
    [anon_sym___inline__] = ACTIONS(2637),
    [anon_sym___forceinline] = ACTIONS(2637),
    [anon_sym_thread_local] = ACTIONS(2637),
    [anon_sym___thread] = ACTIONS(2637),
    [anon_sym_const] = ACTIONS(2637),
    [anon_sym_constexpr] = ACTIONS(2637),
    [anon_sym_volatile] = ACTIONS(2637),
    [anon_sym_restrict] = ACTIONS(2637),
    [anon_sym___restrict__] = ACTIONS(2637),
    [anon_sym__Atomic] = ACTIONS(2637),
    [anon_sym__Noreturn] = ACTIONS(2637),
    [anon_sym_noreturn] = ACTIONS(2637),
    [anon_sym_mutable] = ACTIONS(2637),
    [anon_sym_constinit] = ACTIONS(2637),
    [anon_sym_consteval] = ACTIONS(2637),
    [sym_primitive_type] = ACTIONS(2637),
    [anon_sym_enum] = ACTIONS(2637),
    [anon_sym_class] = ACTIONS(2637),
    [anon_sym_struct] = ACTIONS(2637),
    [anon_sym_union] = ACTIONS(2637),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2637),
    [anon_sym_decltype] = ACTIONS(2637),
    [anon_sym_virtual] = ACTIONS(2637),
    [anon_sym_alignas] = ACTIONS(2637),
    [anon_sym_explicit] = ACTIONS(2637),
    [anon_sym_typename] = ACTIONS(2637),
    [anon_sym_template] = ACTIONS(2637),
    [anon_sym_operator] = ACTIONS(2637),
    [anon_sym_friend] = ACTIONS(2637),
    [anon_sym_public] = ACTIONS(2637),
    [anon_sym_private] = ACTIONS(2637),
    [anon_sym_protected] = ACTIONS(2637),
    [anon_sym_using] = ACTIONS(2637),
    [anon_sym_static_assert] = ACTIONS(2637),
    [anon_sym_precise] = ACTIONS(2637),
    [anon_sym_shared] = ACTIONS(2637),
    [anon_sym_groupshared] = ACTIONS(2637),
    [anon_sym_uniform] = ACTIONS(2637),
    [anon_sym_row_major] = ACTIONS(2637),
    [anon_sym_column_major] = ACTIONS(2637),
    [anon_sym_globallycoherent] = ACTIONS(2637),
    [anon_sym_centroid] = ACTIONS(2637),
    [anon_sym_noperspective] = ACTIONS(2637),
    [anon_sym_nointerpolation] = ACTIONS(2637),
    [anon_sym_sample] = ACTIONS(2637),
    [anon_sym_linear] = ACTIONS(2637),
    [anon_sym_snorm] = ACTIONS(2637),
    [anon_sym_unorm] = ACTIONS(2637),
    [anon_sym_point] = ACTIONS(2637),
    [anon_sym_line] = ACTIONS(2637),
    [anon_sym_triangleadj] = ACTIONS(2637),
    [anon_sym_lineadj] = ACTIONS(2637),
    [anon_sym_triangle] = ACTIONS(2637),
  },
  [2629] = {
    [sym_identifier] = ACTIONS(2641),
    [aux_sym_preproc_def_token1] = ACTIONS(2641),
    [aux_sym_preproc_if_token1] = ACTIONS(2641),
    [aux_sym_preproc_if_token2] = ACTIONS(2641),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2641),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2641),
    [aux_sym_preproc_else_token1] = ACTIONS(2641),
    [aux_sym_preproc_elif_token1] = ACTIONS(2641),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2641),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2641),
    [sym_preproc_directive] = ACTIONS(2641),
    [anon_sym_LPAREN2] = ACTIONS(2643),
    [anon_sym_TILDE] = ACTIONS(2643),
    [anon_sym_STAR] = ACTIONS(2643),
    [anon_sym_AMP_AMP] = ACTIONS(2643),
    [anon_sym_AMP] = ACTIONS(2641),
    [anon_sym___extension__] = ACTIONS(2641),
    [anon_sym_typedef] = ACTIONS(2641),
    [anon_sym_in] = ACTIONS(2641),
    [anon_sym_out] = ACTIONS(2641),
    [anon_sym_inout] = ACTIONS(2641),
    [anon_sym_extern] = ACTIONS(2641),
    [anon_sym___attribute__] = ACTIONS(2641),
    [anon_sym_COLON_COLON] = ACTIONS(2643),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2643),
    [anon_sym___declspec] = ACTIONS(2641),
    [anon_sym___based] = ACTIONS(2641),
    [anon_sym_signed] = ACTIONS(2641),
    [anon_sym_unsigned] = ACTIONS(2641),
    [anon_sym_long] = ACTIONS(2641),
    [anon_sym_short] = ACTIONS(2641),
    [anon_sym_LBRACK] = ACTIONS(2641),
    [anon_sym_static] = ACTIONS(2641),
    [anon_sym_register] = ACTIONS(2641),
    [anon_sym_inline] = ACTIONS(2641),
    [anon_sym___inline] = ACTIONS(2641),
    [anon_sym___inline__] = ACTIONS(2641),
    [anon_sym___forceinline] = ACTIONS(2641),
    [anon_sym_thread_local] = ACTIONS(2641),
    [anon_sym___thread] = ACTIONS(2641),
    [anon_sym_const] = ACTIONS(2641),
    [anon_sym_constexpr] = ACTIONS(2641),
    [anon_sym_volatile] = ACTIONS(2641),
    [anon_sym_restrict] = ACTIONS(2641),
    [anon_sym___restrict__] = ACTIONS(2641),
    [anon_sym__Atomic] = ACTIONS(2641),
    [anon_sym__Noreturn] = ACTIONS(2641),
    [anon_sym_noreturn] = ACTIONS(2641),
    [anon_sym_mutable] = ACTIONS(2641),
    [anon_sym_constinit] = ACTIONS(2641),
    [anon_sym_consteval] = ACTIONS(2641),
    [sym_primitive_type] = ACTIONS(2641),
    [anon_sym_enum] = ACTIONS(2641),
    [anon_sym_class] = ACTIONS(2641),
    [anon_sym_struct] = ACTIONS(2641),
    [anon_sym_union] = ACTIONS(2641),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2641),
    [anon_sym_decltype] = ACTIONS(2641),
    [anon_sym_virtual] = ACTIONS(2641),
    [anon_sym_alignas] = ACTIONS(2641),
    [anon_sym_explicit] = ACTIONS(2641),
    [anon_sym_typename] = ACTIONS(2641),
    [anon_sym_template] = ACTIONS(2641),
    [anon_sym_operator] = ACTIONS(2641),
    [anon_sym_friend] = ACTIONS(2641),
    [anon_sym_public] = ACTIONS(2641),
    [anon_sym_private] = ACTIONS(2641),
    [anon_sym_protected] = ACTIONS(2641),
    [anon_sym_using] = ACTIONS(2641),
    [anon_sym_static_assert] = ACTIONS(2641),
    [anon_sym_precise] = ACTIONS(2641),
    [anon_sym_shared] = ACTIONS(2641),
    [anon_sym_groupshared] = ACTIONS(2641),
    [anon_sym_uniform] = ACTIONS(2641),
    [anon_sym_row_major] = ACTIONS(2641),
    [anon_sym_column_major] = ACTIONS(2641),
    [anon_sym_globallycoherent] = ACTIONS(2641),
    [anon_sym_centroid] = ACTIONS(2641),
    [anon_sym_noperspective] = ACTIONS(2641),
    [anon_sym_nointerpolation] = ACTIONS(2641),
    [anon_sym_sample] = ACTIONS(2641),
    [anon_sym_linear] = ACTIONS(2641),
    [anon_sym_snorm] = ACTIONS(2641),
    [anon_sym_unorm] = ACTIONS(2641),
    [anon_sym_point] = ACTIONS(2641),
    [anon_sym_line] = ACTIONS(2641),
    [anon_sym_triangleadj] = ACTIONS(2641),
    [anon_sym_lineadj] = ACTIONS(2641),
    [anon_sym_triangle] = ACTIONS(2641),
  },
  [2630] = {
    [sym__declaration_modifiers] = STATE(2673),
    [sym__declaration_specifiers] = STATE(6049),
    [sym_attribute_specifier] = STATE(2673),
    [sym_attribute_declaration] = STATE(2673),
    [sym_ms_declspec_modifier] = STATE(2673),
    [sym_storage_class_specifier] = STATE(2673),
    [sym_type_qualifier] = STATE(2673),
    [sym__type_specifier] = STATE(2827),
    [sym_sized_type_specifier] = STATE(3085),
    [sym_enum_specifier] = STATE(3085),
    [sym_struct_specifier] = STATE(3085),
    [sym_union_specifier] = STATE(3085),
    [sym_placeholder_type_specifier] = STATE(3085),
    [sym_decltype_auto] = STATE(3091),
    [sym_decltype] = STATE(3050),
    [sym_class_specifier] = STATE(3085),
    [sym_virtual] = STATE(2673),
    [sym_alignas_specifier] = STATE(2673),
    [sym_dependent_type] = STATE(3085),
    [sym_template_type] = STATE(3050),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(7887),
    [sym_qualified_type_identifier] = STATE(3068),
    [sym_qualifiers] = STATE(2673),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2673),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3021),
    [sym_identifier] = ACTIONS(3896),
    [anon_sym___extension__] = ACTIONS(63),
    [anon_sym_in] = ACTIONS(1480),
    [anon_sym_out] = ACTIONS(1480),
    [anon_sym_inout] = ACTIONS(1480),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(3904),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2096),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(2891),
    [anon_sym_enum] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(69),
    [anon_sym_struct] = ACTIONS(71),
    [anon_sym_union] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [anon_sym_virtual] = ACTIONS(123),
    [anon_sym_alignas] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_precise] = ACTIONS(161),
    [anon_sym_shared] = ACTIONS(161),
    [anon_sym_groupshared] = ACTIONS(161),
    [anon_sym_uniform] = ACTIONS(161),
    [anon_sym_row_major] = ACTIONS(161),
    [anon_sym_column_major] = ACTIONS(161),
    [anon_sym_globallycoherent] = ACTIONS(161),
    [anon_sym_centroid] = ACTIONS(161),
    [anon_sym_noperspective] = ACTIONS(161),
    [anon_sym_nointerpolation] = ACTIONS(161),
    [anon_sym_sample] = ACTIONS(161),
    [anon_sym_linear] = ACTIONS(161),
    [anon_sym_snorm] = ACTIONS(161),
    [anon_sym_unorm] = ACTIONS(161),
    [anon_sym_point] = ACTIONS(161),
    [anon_sym_line] = ACTIONS(161),
    [anon_sym_triangleadj] = ACTIONS(161),
    [anon_sym_lineadj] = ACTIONS(161),
    [anon_sym_triangle] = ACTIONS(161),
  },
  [2631] = {
    [sym_identifier] = ACTIONS(2793),
    [aux_sym_preproc_def_token1] = ACTIONS(2793),
    [aux_sym_preproc_if_token1] = ACTIONS(2793),
    [aux_sym_preproc_if_token2] = ACTIONS(2793),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2793),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2793),
    [aux_sym_preproc_else_token1] = ACTIONS(2793),
    [aux_sym_preproc_elif_token1] = ACTIONS(2793),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2793),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2793),
    [sym_preproc_directive] = ACTIONS(2793),
    [anon_sym_LPAREN2] = ACTIONS(2795),
    [anon_sym_TILDE] = ACTIONS(2795),
    [anon_sym_STAR] = ACTIONS(2795),
    [anon_sym_AMP_AMP] = ACTIONS(2795),
    [anon_sym_AMP] = ACTIONS(2793),
    [anon_sym___extension__] = ACTIONS(2793),
    [anon_sym_typedef] = ACTIONS(2793),
    [anon_sym_in] = ACTIONS(2793),
    [anon_sym_out] = ACTIONS(2793),
    [anon_sym_inout] = ACTIONS(2793),
    [anon_sym_extern] = ACTIONS(2793),
    [anon_sym___attribute__] = ACTIONS(2793),
    [anon_sym_COLON_COLON] = ACTIONS(2795),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2795),
    [anon_sym___declspec] = ACTIONS(2793),
    [anon_sym___based] = ACTIONS(2793),
    [anon_sym_signed] = ACTIONS(2793),
    [anon_sym_unsigned] = ACTIONS(2793),
    [anon_sym_long] = ACTIONS(2793),
    [anon_sym_short] = ACTIONS(2793),
    [anon_sym_LBRACK] = ACTIONS(2793),
    [anon_sym_static] = ACTIONS(2793),
    [anon_sym_register] = ACTIONS(2793),
    [anon_sym_inline] = ACTIONS(2793),
    [anon_sym___inline] = ACTIONS(2793),
    [anon_sym___inline__] = ACTIONS(2793),
    [anon_sym___forceinline] = ACTIONS(2793),
    [anon_sym_thread_local] = ACTIONS(2793),
    [anon_sym___thread] = ACTIONS(2793),
    [anon_sym_const] = ACTIONS(2793),
    [anon_sym_constexpr] = ACTIONS(2793),
    [anon_sym_volatile] = ACTIONS(2793),
    [anon_sym_restrict] = ACTIONS(2793),
    [anon_sym___restrict__] = ACTIONS(2793),
    [anon_sym__Atomic] = ACTIONS(2793),
    [anon_sym__Noreturn] = ACTIONS(2793),
    [anon_sym_noreturn] = ACTIONS(2793),
    [anon_sym_mutable] = ACTIONS(2793),
    [anon_sym_constinit] = ACTIONS(2793),
    [anon_sym_consteval] = ACTIONS(2793),
    [sym_primitive_type] = ACTIONS(2793),
    [anon_sym_enum] = ACTIONS(2793),
    [anon_sym_class] = ACTIONS(2793),
    [anon_sym_struct] = ACTIONS(2793),
    [anon_sym_union] = ACTIONS(2793),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2793),
    [anon_sym_decltype] = ACTIONS(2793),
    [anon_sym_virtual] = ACTIONS(2793),
    [anon_sym_alignas] = ACTIONS(2793),
    [anon_sym_explicit] = ACTIONS(2793),
    [anon_sym_typename] = ACTIONS(2793),
    [anon_sym_template] = ACTIONS(2793),
    [anon_sym_operator] = ACTIONS(2793),
    [anon_sym_friend] = ACTIONS(2793),
    [anon_sym_public] = ACTIONS(2793),
    [anon_sym_private] = ACTIONS(2793),
    [anon_sym_protected] = ACTIONS(2793),
    [anon_sym_using] = ACTIONS(2793),
    [anon_sym_static_assert] = ACTIONS(2793),
    [anon_sym_precise] = ACTIONS(2793),
    [anon_sym_shared] = ACTIONS(2793),
    [anon_sym_groupshared] = ACTIONS(2793),
    [anon_sym_uniform] = ACTIONS(2793),
    [anon_sym_row_major] = ACTIONS(2793),
    [anon_sym_column_major] = ACTIONS(2793),
    [anon_sym_globallycoherent] = ACTIONS(2793),
    [anon_sym_centroid] = ACTIONS(2793),
    [anon_sym_noperspective] = ACTIONS(2793),
    [anon_sym_nointerpolation] = ACTIONS(2793),
    [anon_sym_sample] = ACTIONS(2793),
    [anon_sym_linear] = ACTIONS(2793),
    [anon_sym_snorm] = ACTIONS(2793),
    [anon_sym_unorm] = ACTIONS(2793),
    [anon_sym_point] = ACTIONS(2793),
    [anon_sym_line] = ACTIONS(2793),
    [anon_sym_triangleadj] = ACTIONS(2793),
    [anon_sym_lineadj] = ACTIONS(2793),
    [anon_sym_triangle] = ACTIONS(2793),
  },
  [2632] = {
    [sym_identifier] = ACTIONS(2673),
    [aux_sym_preproc_def_token1] = ACTIONS(2673),
    [aux_sym_preproc_if_token1] = ACTIONS(2673),
    [aux_sym_preproc_if_token2] = ACTIONS(2673),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2673),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2673),
    [aux_sym_preproc_else_token1] = ACTIONS(2673),
    [aux_sym_preproc_elif_token1] = ACTIONS(2673),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2673),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2673),
    [sym_preproc_directive] = ACTIONS(2673),
    [anon_sym_LPAREN2] = ACTIONS(2675),
    [anon_sym_TILDE] = ACTIONS(2675),
    [anon_sym_STAR] = ACTIONS(2675),
    [anon_sym_AMP_AMP] = ACTIONS(2675),
    [anon_sym_AMP] = ACTIONS(2673),
    [anon_sym___extension__] = ACTIONS(2673),
    [anon_sym_typedef] = ACTIONS(2673),
    [anon_sym_in] = ACTIONS(2673),
    [anon_sym_out] = ACTIONS(2673),
    [anon_sym_inout] = ACTIONS(2673),
    [anon_sym_extern] = ACTIONS(2673),
    [anon_sym___attribute__] = ACTIONS(2673),
    [anon_sym_COLON_COLON] = ACTIONS(2675),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2675),
    [anon_sym___declspec] = ACTIONS(2673),
    [anon_sym___based] = ACTIONS(2673),
    [anon_sym_signed] = ACTIONS(2673),
    [anon_sym_unsigned] = ACTIONS(2673),
    [anon_sym_long] = ACTIONS(2673),
    [anon_sym_short] = ACTIONS(2673),
    [anon_sym_LBRACK] = ACTIONS(2673),
    [anon_sym_static] = ACTIONS(2673),
    [anon_sym_register] = ACTIONS(2673),
    [anon_sym_inline] = ACTIONS(2673),
    [anon_sym___inline] = ACTIONS(2673),
    [anon_sym___inline__] = ACTIONS(2673),
    [anon_sym___forceinline] = ACTIONS(2673),
    [anon_sym_thread_local] = ACTIONS(2673),
    [anon_sym___thread] = ACTIONS(2673),
    [anon_sym_const] = ACTIONS(2673),
    [anon_sym_constexpr] = ACTIONS(2673),
    [anon_sym_volatile] = ACTIONS(2673),
    [anon_sym_restrict] = ACTIONS(2673),
    [anon_sym___restrict__] = ACTIONS(2673),
    [anon_sym__Atomic] = ACTIONS(2673),
    [anon_sym__Noreturn] = ACTIONS(2673),
    [anon_sym_noreturn] = ACTIONS(2673),
    [anon_sym_mutable] = ACTIONS(2673),
    [anon_sym_constinit] = ACTIONS(2673),
    [anon_sym_consteval] = ACTIONS(2673),
    [sym_primitive_type] = ACTIONS(2673),
    [anon_sym_enum] = ACTIONS(2673),
    [anon_sym_class] = ACTIONS(2673),
    [anon_sym_struct] = ACTIONS(2673),
    [anon_sym_union] = ACTIONS(2673),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2673),
    [anon_sym_decltype] = ACTIONS(2673),
    [anon_sym_virtual] = ACTIONS(2673),
    [anon_sym_alignas] = ACTIONS(2673),
    [anon_sym_explicit] = ACTIONS(2673),
    [anon_sym_typename] = ACTIONS(2673),
    [anon_sym_template] = ACTIONS(2673),
    [anon_sym_operator] = ACTIONS(2673),
    [anon_sym_friend] = ACTIONS(2673),
    [anon_sym_public] = ACTIONS(2673),
    [anon_sym_private] = ACTIONS(2673),
    [anon_sym_protected] = ACTIONS(2673),
    [anon_sym_using] = ACTIONS(2673),
    [anon_sym_static_assert] = ACTIONS(2673),
    [anon_sym_precise] = ACTIONS(2673),
    [anon_sym_shared] = ACTIONS(2673),
    [anon_sym_groupshared] = ACTIONS(2673),
    [anon_sym_uniform] = ACTIONS(2673),
    [anon_sym_row_major] = ACTIONS(2673),
    [anon_sym_column_major] = ACTIONS(2673),
    [anon_sym_globallycoherent] = ACTIONS(2673),
    [anon_sym_centroid] = ACTIONS(2673),
    [anon_sym_noperspective] = ACTIONS(2673),
    [anon_sym_nointerpolation] = ACTIONS(2673),
    [anon_sym_sample] = ACTIONS(2673),
    [anon_sym_linear] = ACTIONS(2673),
    [anon_sym_snorm] = ACTIONS(2673),
    [anon_sym_unorm] = ACTIONS(2673),
    [anon_sym_point] = ACTIONS(2673),
    [anon_sym_line] = ACTIONS(2673),
    [anon_sym_triangleadj] = ACTIONS(2673),
    [anon_sym_lineadj] = ACTIONS(2673),
    [anon_sym_triangle] = ACTIONS(2673),
  },
  [2633] = {
    [sym_identifier] = ACTIONS(2717),
    [aux_sym_preproc_def_token1] = ACTIONS(2717),
    [aux_sym_preproc_if_token1] = ACTIONS(2717),
    [aux_sym_preproc_if_token2] = ACTIONS(2717),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2717),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2717),
    [aux_sym_preproc_else_token1] = ACTIONS(2717),
    [aux_sym_preproc_elif_token1] = ACTIONS(2717),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2717),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2717),
    [sym_preproc_directive] = ACTIONS(2717),
    [anon_sym_LPAREN2] = ACTIONS(2719),
    [anon_sym_TILDE] = ACTIONS(2719),
    [anon_sym_STAR] = ACTIONS(2719),
    [anon_sym_AMP_AMP] = ACTIONS(2719),
    [anon_sym_AMP] = ACTIONS(2717),
    [anon_sym___extension__] = ACTIONS(2717),
    [anon_sym_typedef] = ACTIONS(2717),
    [anon_sym_in] = ACTIONS(2717),
    [anon_sym_out] = ACTIONS(2717),
    [anon_sym_inout] = ACTIONS(2717),
    [anon_sym_extern] = ACTIONS(2717),
    [anon_sym___attribute__] = ACTIONS(2717),
    [anon_sym_COLON_COLON] = ACTIONS(2719),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2719),
    [anon_sym___declspec] = ACTIONS(2717),
    [anon_sym___based] = ACTIONS(2717),
    [anon_sym_signed] = ACTIONS(2717),
    [anon_sym_unsigned] = ACTIONS(2717),
    [anon_sym_long] = ACTIONS(2717),
    [anon_sym_short] = ACTIONS(2717),
    [anon_sym_LBRACK] = ACTIONS(2717),
    [anon_sym_static] = ACTIONS(2717),
    [anon_sym_register] = ACTIONS(2717),
    [anon_sym_inline] = ACTIONS(2717),
    [anon_sym___inline] = ACTIONS(2717),
    [anon_sym___inline__] = ACTIONS(2717),
    [anon_sym___forceinline] = ACTIONS(2717),
    [anon_sym_thread_local] = ACTIONS(2717),
    [anon_sym___thread] = ACTIONS(2717),
    [anon_sym_const] = ACTIONS(2717),
    [anon_sym_constexpr] = ACTIONS(2717),
    [anon_sym_volatile] = ACTIONS(2717),
    [anon_sym_restrict] = ACTIONS(2717),
    [anon_sym___restrict__] = ACTIONS(2717),
    [anon_sym__Atomic] = ACTIONS(2717),
    [anon_sym__Noreturn] = ACTIONS(2717),
    [anon_sym_noreturn] = ACTIONS(2717),
    [anon_sym_mutable] = ACTIONS(2717),
    [anon_sym_constinit] = ACTIONS(2717),
    [anon_sym_consteval] = ACTIONS(2717),
    [sym_primitive_type] = ACTIONS(2717),
    [anon_sym_enum] = ACTIONS(2717),
    [anon_sym_class] = ACTIONS(2717),
    [anon_sym_struct] = ACTIONS(2717),
    [anon_sym_union] = ACTIONS(2717),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2717),
    [anon_sym_decltype] = ACTIONS(2717),
    [anon_sym_virtual] = ACTIONS(2717),
    [anon_sym_alignas] = ACTIONS(2717),
    [anon_sym_explicit] = ACTIONS(2717),
    [anon_sym_typename] = ACTIONS(2717),
    [anon_sym_template] = ACTIONS(2717),
    [anon_sym_operator] = ACTIONS(2717),
    [anon_sym_friend] = ACTIONS(2717),
    [anon_sym_public] = ACTIONS(2717),
    [anon_sym_private] = ACTIONS(2717),
    [anon_sym_protected] = ACTIONS(2717),
    [anon_sym_using] = ACTIONS(2717),
    [anon_sym_static_assert] = ACTIONS(2717),
    [anon_sym_precise] = ACTIONS(2717),
    [anon_sym_shared] = ACTIONS(2717),
    [anon_sym_groupshared] = ACTIONS(2717),
    [anon_sym_uniform] = ACTIONS(2717),
    [anon_sym_row_major] = ACTIONS(2717),
    [anon_sym_column_major] = ACTIONS(2717),
    [anon_sym_globallycoherent] = ACTIONS(2717),
    [anon_sym_centroid] = ACTIONS(2717),
    [anon_sym_noperspective] = ACTIONS(2717),
    [anon_sym_nointerpolation] = ACTIONS(2717),
    [anon_sym_sample] = ACTIONS(2717),
    [anon_sym_linear] = ACTIONS(2717),
    [anon_sym_snorm] = ACTIONS(2717),
    [anon_sym_unorm] = ACTIONS(2717),
    [anon_sym_point] = ACTIONS(2717),
    [anon_sym_line] = ACTIONS(2717),
    [anon_sym_triangleadj] = ACTIONS(2717),
    [anon_sym_lineadj] = ACTIONS(2717),
    [anon_sym_triangle] = ACTIONS(2717),
  },
  [2634] = {
    [sym_identifier] = ACTIONS(5707),
    [aux_sym_preproc_def_token1] = ACTIONS(5707),
    [aux_sym_preproc_if_token1] = ACTIONS(5707),
    [aux_sym_preproc_if_token2] = ACTIONS(5707),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5707),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5707),
    [aux_sym_preproc_else_token1] = ACTIONS(5707),
    [aux_sym_preproc_elif_token1] = ACTIONS(5707),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5707),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5707),
    [sym_preproc_directive] = ACTIONS(5707),
    [anon_sym_LPAREN2] = ACTIONS(5709),
    [anon_sym_TILDE] = ACTIONS(5709),
    [anon_sym_STAR] = ACTIONS(5709),
    [anon_sym_AMP_AMP] = ACTIONS(5709),
    [anon_sym_AMP] = ACTIONS(5707),
    [anon_sym___extension__] = ACTIONS(5707),
    [anon_sym_typedef] = ACTIONS(5707),
    [anon_sym_in] = ACTIONS(5707),
    [anon_sym_out] = ACTIONS(5707),
    [anon_sym_inout] = ACTIONS(5707),
    [anon_sym_extern] = ACTIONS(5707),
    [anon_sym___attribute__] = ACTIONS(5707),
    [anon_sym_COLON_COLON] = ACTIONS(5709),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5709),
    [anon_sym___declspec] = ACTIONS(5707),
    [anon_sym___based] = ACTIONS(5707),
    [anon_sym_signed] = ACTIONS(5707),
    [anon_sym_unsigned] = ACTIONS(5707),
    [anon_sym_long] = ACTIONS(5707),
    [anon_sym_short] = ACTIONS(5707),
    [anon_sym_LBRACK] = ACTIONS(5707),
    [anon_sym_static] = ACTIONS(5707),
    [anon_sym_register] = ACTIONS(5707),
    [anon_sym_inline] = ACTIONS(5707),
    [anon_sym___inline] = ACTIONS(5707),
    [anon_sym___inline__] = ACTIONS(5707),
    [anon_sym___forceinline] = ACTIONS(5707),
    [anon_sym_thread_local] = ACTIONS(5707),
    [anon_sym___thread] = ACTIONS(5707),
    [anon_sym_const] = ACTIONS(5707),
    [anon_sym_constexpr] = ACTIONS(5707),
    [anon_sym_volatile] = ACTIONS(5707),
    [anon_sym_restrict] = ACTIONS(5707),
    [anon_sym___restrict__] = ACTIONS(5707),
    [anon_sym__Atomic] = ACTIONS(5707),
    [anon_sym__Noreturn] = ACTIONS(5707),
    [anon_sym_noreturn] = ACTIONS(5707),
    [anon_sym_mutable] = ACTIONS(5707),
    [anon_sym_constinit] = ACTIONS(5707),
    [anon_sym_consteval] = ACTIONS(5707),
    [sym_primitive_type] = ACTIONS(5707),
    [anon_sym_enum] = ACTIONS(5707),
    [anon_sym_class] = ACTIONS(5707),
    [anon_sym_struct] = ACTIONS(5707),
    [anon_sym_union] = ACTIONS(5707),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5707),
    [anon_sym_decltype] = ACTIONS(5707),
    [anon_sym_virtual] = ACTIONS(5707),
    [anon_sym_alignas] = ACTIONS(5707),
    [anon_sym_explicit] = ACTIONS(5707),
    [anon_sym_typename] = ACTIONS(5707),
    [anon_sym_template] = ACTIONS(5707),
    [anon_sym_operator] = ACTIONS(5707),
    [anon_sym_friend] = ACTIONS(5707),
    [anon_sym_public] = ACTIONS(5707),
    [anon_sym_private] = ACTIONS(5707),
    [anon_sym_protected] = ACTIONS(5707),
    [anon_sym_using] = ACTIONS(5707),
    [anon_sym_static_assert] = ACTIONS(5707),
    [anon_sym_precise] = ACTIONS(5707),
    [anon_sym_shared] = ACTIONS(5707),
    [anon_sym_groupshared] = ACTIONS(5707),
    [anon_sym_uniform] = ACTIONS(5707),
    [anon_sym_row_major] = ACTIONS(5707),
    [anon_sym_column_major] = ACTIONS(5707),
    [anon_sym_globallycoherent] = ACTIONS(5707),
    [anon_sym_centroid] = ACTIONS(5707),
    [anon_sym_noperspective] = ACTIONS(5707),
    [anon_sym_nointerpolation] = ACTIONS(5707),
    [anon_sym_sample] = ACTIONS(5707),
    [anon_sym_linear] = ACTIONS(5707),
    [anon_sym_snorm] = ACTIONS(5707),
    [anon_sym_unorm] = ACTIONS(5707),
    [anon_sym_point] = ACTIONS(5707),
    [anon_sym_line] = ACTIONS(5707),
    [anon_sym_triangleadj] = ACTIONS(5707),
    [anon_sym_lineadj] = ACTIONS(5707),
    [anon_sym_triangle] = ACTIONS(5707),
  },
  [2635] = {
    [sym_identifier] = ACTIONS(2625),
    [aux_sym_preproc_def_token1] = ACTIONS(2625),
    [aux_sym_preproc_if_token1] = ACTIONS(2625),
    [aux_sym_preproc_if_token2] = ACTIONS(2625),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2625),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2625),
    [aux_sym_preproc_else_token1] = ACTIONS(2625),
    [aux_sym_preproc_elif_token1] = ACTIONS(2625),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2625),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2625),
    [sym_preproc_directive] = ACTIONS(2625),
    [anon_sym_LPAREN2] = ACTIONS(2627),
    [anon_sym_TILDE] = ACTIONS(2627),
    [anon_sym_STAR] = ACTIONS(2627),
    [anon_sym_AMP_AMP] = ACTIONS(2627),
    [anon_sym_AMP] = ACTIONS(2625),
    [anon_sym___extension__] = ACTIONS(2625),
    [anon_sym_typedef] = ACTIONS(2625),
    [anon_sym_in] = ACTIONS(2625),
    [anon_sym_out] = ACTIONS(2625),
    [anon_sym_inout] = ACTIONS(2625),
    [anon_sym_extern] = ACTIONS(2625),
    [anon_sym___attribute__] = ACTIONS(2625),
    [anon_sym_COLON_COLON] = ACTIONS(2627),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2627),
    [anon_sym___declspec] = ACTIONS(2625),
    [anon_sym___based] = ACTIONS(2625),
    [anon_sym_signed] = ACTIONS(2625),
    [anon_sym_unsigned] = ACTIONS(2625),
    [anon_sym_long] = ACTIONS(2625),
    [anon_sym_short] = ACTIONS(2625),
    [anon_sym_LBRACK] = ACTIONS(2625),
    [anon_sym_static] = ACTIONS(2625),
    [anon_sym_register] = ACTIONS(2625),
    [anon_sym_inline] = ACTIONS(2625),
    [anon_sym___inline] = ACTIONS(2625),
    [anon_sym___inline__] = ACTIONS(2625),
    [anon_sym___forceinline] = ACTIONS(2625),
    [anon_sym_thread_local] = ACTIONS(2625),
    [anon_sym___thread] = ACTIONS(2625),
    [anon_sym_const] = ACTIONS(2625),
    [anon_sym_constexpr] = ACTIONS(2625),
    [anon_sym_volatile] = ACTIONS(2625),
    [anon_sym_restrict] = ACTIONS(2625),
    [anon_sym___restrict__] = ACTIONS(2625),
    [anon_sym__Atomic] = ACTIONS(2625),
    [anon_sym__Noreturn] = ACTIONS(2625),
    [anon_sym_noreturn] = ACTIONS(2625),
    [anon_sym_mutable] = ACTIONS(2625),
    [anon_sym_constinit] = ACTIONS(2625),
    [anon_sym_consteval] = ACTIONS(2625),
    [sym_primitive_type] = ACTIONS(2625),
    [anon_sym_enum] = ACTIONS(2625),
    [anon_sym_class] = ACTIONS(2625),
    [anon_sym_struct] = ACTIONS(2625),
    [anon_sym_union] = ACTIONS(2625),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2625),
    [anon_sym_decltype] = ACTIONS(2625),
    [anon_sym_virtual] = ACTIONS(2625),
    [anon_sym_alignas] = ACTIONS(2625),
    [anon_sym_explicit] = ACTIONS(2625),
    [anon_sym_typename] = ACTIONS(2625),
    [anon_sym_template] = ACTIONS(2625),
    [anon_sym_operator] = ACTIONS(2625),
    [anon_sym_friend] = ACTIONS(2625),
    [anon_sym_public] = ACTIONS(2625),
    [anon_sym_private] = ACTIONS(2625),
    [anon_sym_protected] = ACTIONS(2625),
    [anon_sym_using] = ACTIONS(2625),
    [anon_sym_static_assert] = ACTIONS(2625),
    [anon_sym_precise] = ACTIONS(2625),
    [anon_sym_shared] = ACTIONS(2625),
    [anon_sym_groupshared] = ACTIONS(2625),
    [anon_sym_uniform] = ACTIONS(2625),
    [anon_sym_row_major] = ACTIONS(2625),
    [anon_sym_column_major] = ACTIONS(2625),
    [anon_sym_globallycoherent] = ACTIONS(2625),
    [anon_sym_centroid] = ACTIONS(2625),
    [anon_sym_noperspective] = ACTIONS(2625),
    [anon_sym_nointerpolation] = ACTIONS(2625),
    [anon_sym_sample] = ACTIONS(2625),
    [anon_sym_linear] = ACTIONS(2625),
    [anon_sym_snorm] = ACTIONS(2625),
    [anon_sym_unorm] = ACTIONS(2625),
    [anon_sym_point] = ACTIONS(2625),
    [anon_sym_line] = ACTIONS(2625),
    [anon_sym_triangleadj] = ACTIONS(2625),
    [anon_sym_lineadj] = ACTIONS(2625),
    [anon_sym_triangle] = ACTIONS(2625),
  },
  [2636] = {
    [sym_identifier] = ACTIONS(5711),
    [aux_sym_preproc_def_token1] = ACTIONS(5711),
    [aux_sym_preproc_if_token1] = ACTIONS(5711),
    [aux_sym_preproc_if_token2] = ACTIONS(5711),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5711),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5711),
    [aux_sym_preproc_else_token1] = ACTIONS(5711),
    [aux_sym_preproc_elif_token1] = ACTIONS(5711),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5711),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5711),
    [sym_preproc_directive] = ACTIONS(5711),
    [anon_sym_LPAREN2] = ACTIONS(5713),
    [anon_sym_TILDE] = ACTIONS(5713),
    [anon_sym_STAR] = ACTIONS(5713),
    [anon_sym_AMP_AMP] = ACTIONS(5713),
    [anon_sym_AMP] = ACTIONS(5711),
    [anon_sym___extension__] = ACTIONS(5711),
    [anon_sym_typedef] = ACTIONS(5711),
    [anon_sym_in] = ACTIONS(5711),
    [anon_sym_out] = ACTIONS(5711),
    [anon_sym_inout] = ACTIONS(5711),
    [anon_sym_extern] = ACTIONS(5711),
    [anon_sym___attribute__] = ACTIONS(5711),
    [anon_sym_COLON_COLON] = ACTIONS(5713),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5713),
    [anon_sym___declspec] = ACTIONS(5711),
    [anon_sym___based] = ACTIONS(5711),
    [anon_sym_signed] = ACTIONS(5711),
    [anon_sym_unsigned] = ACTIONS(5711),
    [anon_sym_long] = ACTIONS(5711),
    [anon_sym_short] = ACTIONS(5711),
    [anon_sym_LBRACK] = ACTIONS(5711),
    [anon_sym_static] = ACTIONS(5711),
    [anon_sym_register] = ACTIONS(5711),
    [anon_sym_inline] = ACTIONS(5711),
    [anon_sym___inline] = ACTIONS(5711),
    [anon_sym___inline__] = ACTIONS(5711),
    [anon_sym___forceinline] = ACTIONS(5711),
    [anon_sym_thread_local] = ACTIONS(5711),
    [anon_sym___thread] = ACTIONS(5711),
    [anon_sym_const] = ACTIONS(5711),
    [anon_sym_constexpr] = ACTIONS(5711),
    [anon_sym_volatile] = ACTIONS(5711),
    [anon_sym_restrict] = ACTIONS(5711),
    [anon_sym___restrict__] = ACTIONS(5711),
    [anon_sym__Atomic] = ACTIONS(5711),
    [anon_sym__Noreturn] = ACTIONS(5711),
    [anon_sym_noreturn] = ACTIONS(5711),
    [anon_sym_mutable] = ACTIONS(5711),
    [anon_sym_constinit] = ACTIONS(5711),
    [anon_sym_consteval] = ACTIONS(5711),
    [sym_primitive_type] = ACTIONS(5711),
    [anon_sym_enum] = ACTIONS(5711),
    [anon_sym_class] = ACTIONS(5711),
    [anon_sym_struct] = ACTIONS(5711),
    [anon_sym_union] = ACTIONS(5711),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5711),
    [anon_sym_decltype] = ACTIONS(5711),
    [anon_sym_virtual] = ACTIONS(5711),
    [anon_sym_alignas] = ACTIONS(5711),
    [anon_sym_explicit] = ACTIONS(5711),
    [anon_sym_typename] = ACTIONS(5711),
    [anon_sym_template] = ACTIONS(5711),
    [anon_sym_operator] = ACTIONS(5711),
    [anon_sym_friend] = ACTIONS(5711),
    [anon_sym_public] = ACTIONS(5711),
    [anon_sym_private] = ACTIONS(5711),
    [anon_sym_protected] = ACTIONS(5711),
    [anon_sym_using] = ACTIONS(5711),
    [anon_sym_static_assert] = ACTIONS(5711),
    [anon_sym_precise] = ACTIONS(5711),
    [anon_sym_shared] = ACTIONS(5711),
    [anon_sym_groupshared] = ACTIONS(5711),
    [anon_sym_uniform] = ACTIONS(5711),
    [anon_sym_row_major] = ACTIONS(5711),
    [anon_sym_column_major] = ACTIONS(5711),
    [anon_sym_globallycoherent] = ACTIONS(5711),
    [anon_sym_centroid] = ACTIONS(5711),
    [anon_sym_noperspective] = ACTIONS(5711),
    [anon_sym_nointerpolation] = ACTIONS(5711),
    [anon_sym_sample] = ACTIONS(5711),
    [anon_sym_linear] = ACTIONS(5711),
    [anon_sym_snorm] = ACTIONS(5711),
    [anon_sym_unorm] = ACTIONS(5711),
    [anon_sym_point] = ACTIONS(5711),
    [anon_sym_line] = ACTIONS(5711),
    [anon_sym_triangleadj] = ACTIONS(5711),
    [anon_sym_lineadj] = ACTIONS(5711),
    [anon_sym_triangle] = ACTIONS(5711),
  },
  [2637] = {
    [sym__declaration_modifiers] = STATE(2673),
    [sym__declaration_specifiers] = STATE(5956),
    [sym_attribute_specifier] = STATE(2673),
    [sym_attribute_declaration] = STATE(2673),
    [sym_ms_declspec_modifier] = STATE(2673),
    [sym_storage_class_specifier] = STATE(2673),
    [sym_type_qualifier] = STATE(2673),
    [sym__type_specifier] = STATE(2827),
    [sym_sized_type_specifier] = STATE(3085),
    [sym_enum_specifier] = STATE(3085),
    [sym_struct_specifier] = STATE(3085),
    [sym_union_specifier] = STATE(3085),
    [sym_placeholder_type_specifier] = STATE(3085),
    [sym_decltype_auto] = STATE(3091),
    [sym_decltype] = STATE(3050),
    [sym_class_specifier] = STATE(3085),
    [sym_virtual] = STATE(2673),
    [sym_alignas_specifier] = STATE(2673),
    [sym_dependent_type] = STATE(3085),
    [sym_template_type] = STATE(3050),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(7887),
    [sym_qualified_type_identifier] = STATE(3068),
    [sym_qualifiers] = STATE(2673),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2673),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3021),
    [sym_identifier] = ACTIONS(3896),
    [anon_sym___extension__] = ACTIONS(63),
    [anon_sym_in] = ACTIONS(1480),
    [anon_sym_out] = ACTIONS(1480),
    [anon_sym_inout] = ACTIONS(1480),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(3904),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2096),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(2891),
    [anon_sym_enum] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(69),
    [anon_sym_struct] = ACTIONS(71),
    [anon_sym_union] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [anon_sym_virtual] = ACTIONS(123),
    [anon_sym_alignas] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_precise] = ACTIONS(161),
    [anon_sym_shared] = ACTIONS(161),
    [anon_sym_groupshared] = ACTIONS(161),
    [anon_sym_uniform] = ACTIONS(161),
    [anon_sym_row_major] = ACTIONS(161),
    [anon_sym_column_major] = ACTIONS(161),
    [anon_sym_globallycoherent] = ACTIONS(161),
    [anon_sym_centroid] = ACTIONS(161),
    [anon_sym_noperspective] = ACTIONS(161),
    [anon_sym_nointerpolation] = ACTIONS(161),
    [anon_sym_sample] = ACTIONS(161),
    [anon_sym_linear] = ACTIONS(161),
    [anon_sym_snorm] = ACTIONS(161),
    [anon_sym_unorm] = ACTIONS(161),
    [anon_sym_point] = ACTIONS(161),
    [anon_sym_line] = ACTIONS(161),
    [anon_sym_triangleadj] = ACTIONS(161),
    [anon_sym_lineadj] = ACTIONS(161),
    [anon_sym_triangle] = ACTIONS(161),
  },
  [2638] = {
    [sym_identifier] = ACTIONS(2755),
    [aux_sym_preproc_def_token1] = ACTIONS(2755),
    [aux_sym_preproc_if_token1] = ACTIONS(2755),
    [aux_sym_preproc_if_token2] = ACTIONS(2755),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2755),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2755),
    [aux_sym_preproc_else_token1] = ACTIONS(2755),
    [aux_sym_preproc_elif_token1] = ACTIONS(2755),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2755),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2755),
    [sym_preproc_directive] = ACTIONS(2755),
    [anon_sym_LPAREN2] = ACTIONS(2757),
    [anon_sym_TILDE] = ACTIONS(2757),
    [anon_sym_STAR] = ACTIONS(2757),
    [anon_sym_AMP_AMP] = ACTIONS(2757),
    [anon_sym_AMP] = ACTIONS(2755),
    [anon_sym___extension__] = ACTIONS(2755),
    [anon_sym_typedef] = ACTIONS(2755),
    [anon_sym_in] = ACTIONS(2755),
    [anon_sym_out] = ACTIONS(2755),
    [anon_sym_inout] = ACTIONS(2755),
    [anon_sym_extern] = ACTIONS(2755),
    [anon_sym___attribute__] = ACTIONS(2755),
    [anon_sym_COLON_COLON] = ACTIONS(2757),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2757),
    [anon_sym___declspec] = ACTIONS(2755),
    [anon_sym___based] = ACTIONS(2755),
    [anon_sym_signed] = ACTIONS(2755),
    [anon_sym_unsigned] = ACTIONS(2755),
    [anon_sym_long] = ACTIONS(2755),
    [anon_sym_short] = ACTIONS(2755),
    [anon_sym_LBRACK] = ACTIONS(2755),
    [anon_sym_static] = ACTIONS(2755),
    [anon_sym_register] = ACTIONS(2755),
    [anon_sym_inline] = ACTIONS(2755),
    [anon_sym___inline] = ACTIONS(2755),
    [anon_sym___inline__] = ACTIONS(2755),
    [anon_sym___forceinline] = ACTIONS(2755),
    [anon_sym_thread_local] = ACTIONS(2755),
    [anon_sym___thread] = ACTIONS(2755),
    [anon_sym_const] = ACTIONS(2755),
    [anon_sym_constexpr] = ACTIONS(2755),
    [anon_sym_volatile] = ACTIONS(2755),
    [anon_sym_restrict] = ACTIONS(2755),
    [anon_sym___restrict__] = ACTIONS(2755),
    [anon_sym__Atomic] = ACTIONS(2755),
    [anon_sym__Noreturn] = ACTIONS(2755),
    [anon_sym_noreturn] = ACTIONS(2755),
    [anon_sym_mutable] = ACTIONS(2755),
    [anon_sym_constinit] = ACTIONS(2755),
    [anon_sym_consteval] = ACTIONS(2755),
    [sym_primitive_type] = ACTIONS(2755),
    [anon_sym_enum] = ACTIONS(2755),
    [anon_sym_class] = ACTIONS(2755),
    [anon_sym_struct] = ACTIONS(2755),
    [anon_sym_union] = ACTIONS(2755),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2755),
    [anon_sym_decltype] = ACTIONS(2755),
    [anon_sym_virtual] = ACTIONS(2755),
    [anon_sym_alignas] = ACTIONS(2755),
    [anon_sym_explicit] = ACTIONS(2755),
    [anon_sym_typename] = ACTIONS(2755),
    [anon_sym_template] = ACTIONS(2755),
    [anon_sym_operator] = ACTIONS(2755),
    [anon_sym_friend] = ACTIONS(2755),
    [anon_sym_public] = ACTIONS(2755),
    [anon_sym_private] = ACTIONS(2755),
    [anon_sym_protected] = ACTIONS(2755),
    [anon_sym_using] = ACTIONS(2755),
    [anon_sym_static_assert] = ACTIONS(2755),
    [anon_sym_precise] = ACTIONS(2755),
    [anon_sym_shared] = ACTIONS(2755),
    [anon_sym_groupshared] = ACTIONS(2755),
    [anon_sym_uniform] = ACTIONS(2755),
    [anon_sym_row_major] = ACTIONS(2755),
    [anon_sym_column_major] = ACTIONS(2755),
    [anon_sym_globallycoherent] = ACTIONS(2755),
    [anon_sym_centroid] = ACTIONS(2755),
    [anon_sym_noperspective] = ACTIONS(2755),
    [anon_sym_nointerpolation] = ACTIONS(2755),
    [anon_sym_sample] = ACTIONS(2755),
    [anon_sym_linear] = ACTIONS(2755),
    [anon_sym_snorm] = ACTIONS(2755),
    [anon_sym_unorm] = ACTIONS(2755),
    [anon_sym_point] = ACTIONS(2755),
    [anon_sym_line] = ACTIONS(2755),
    [anon_sym_triangleadj] = ACTIONS(2755),
    [anon_sym_lineadj] = ACTIONS(2755),
    [anon_sym_triangle] = ACTIONS(2755),
  },
  [2639] = {
    [sym_identifier] = ACTIONS(2759),
    [aux_sym_preproc_def_token1] = ACTIONS(2759),
    [aux_sym_preproc_if_token1] = ACTIONS(2759),
    [aux_sym_preproc_if_token2] = ACTIONS(2759),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2759),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2759),
    [aux_sym_preproc_else_token1] = ACTIONS(2759),
    [aux_sym_preproc_elif_token1] = ACTIONS(2759),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2759),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2759),
    [sym_preproc_directive] = ACTIONS(2759),
    [anon_sym_LPAREN2] = ACTIONS(2761),
    [anon_sym_TILDE] = ACTIONS(2761),
    [anon_sym_STAR] = ACTIONS(2761),
    [anon_sym_AMP_AMP] = ACTIONS(2761),
    [anon_sym_AMP] = ACTIONS(2759),
    [anon_sym___extension__] = ACTIONS(2759),
    [anon_sym_typedef] = ACTIONS(2759),
    [anon_sym_in] = ACTIONS(2759),
    [anon_sym_out] = ACTIONS(2759),
    [anon_sym_inout] = ACTIONS(2759),
    [anon_sym_extern] = ACTIONS(2759),
    [anon_sym___attribute__] = ACTIONS(2759),
    [anon_sym_COLON_COLON] = ACTIONS(2761),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2761),
    [anon_sym___declspec] = ACTIONS(2759),
    [anon_sym___based] = ACTIONS(2759),
    [anon_sym_signed] = ACTIONS(2759),
    [anon_sym_unsigned] = ACTIONS(2759),
    [anon_sym_long] = ACTIONS(2759),
    [anon_sym_short] = ACTIONS(2759),
    [anon_sym_LBRACK] = ACTIONS(2759),
    [anon_sym_static] = ACTIONS(2759),
    [anon_sym_register] = ACTIONS(2759),
    [anon_sym_inline] = ACTIONS(2759),
    [anon_sym___inline] = ACTIONS(2759),
    [anon_sym___inline__] = ACTIONS(2759),
    [anon_sym___forceinline] = ACTIONS(2759),
    [anon_sym_thread_local] = ACTIONS(2759),
    [anon_sym___thread] = ACTIONS(2759),
    [anon_sym_const] = ACTIONS(2759),
    [anon_sym_constexpr] = ACTIONS(2759),
    [anon_sym_volatile] = ACTIONS(2759),
    [anon_sym_restrict] = ACTIONS(2759),
    [anon_sym___restrict__] = ACTIONS(2759),
    [anon_sym__Atomic] = ACTIONS(2759),
    [anon_sym__Noreturn] = ACTIONS(2759),
    [anon_sym_noreturn] = ACTIONS(2759),
    [anon_sym_mutable] = ACTIONS(2759),
    [anon_sym_constinit] = ACTIONS(2759),
    [anon_sym_consteval] = ACTIONS(2759),
    [sym_primitive_type] = ACTIONS(2759),
    [anon_sym_enum] = ACTIONS(2759),
    [anon_sym_class] = ACTIONS(2759),
    [anon_sym_struct] = ACTIONS(2759),
    [anon_sym_union] = ACTIONS(2759),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2759),
    [anon_sym_decltype] = ACTIONS(2759),
    [anon_sym_virtual] = ACTIONS(2759),
    [anon_sym_alignas] = ACTIONS(2759),
    [anon_sym_explicit] = ACTIONS(2759),
    [anon_sym_typename] = ACTIONS(2759),
    [anon_sym_template] = ACTIONS(2759),
    [anon_sym_operator] = ACTIONS(2759),
    [anon_sym_friend] = ACTIONS(2759),
    [anon_sym_public] = ACTIONS(2759),
    [anon_sym_private] = ACTIONS(2759),
    [anon_sym_protected] = ACTIONS(2759),
    [anon_sym_using] = ACTIONS(2759),
    [anon_sym_static_assert] = ACTIONS(2759),
    [anon_sym_precise] = ACTIONS(2759),
    [anon_sym_shared] = ACTIONS(2759),
    [anon_sym_groupshared] = ACTIONS(2759),
    [anon_sym_uniform] = ACTIONS(2759),
    [anon_sym_row_major] = ACTIONS(2759),
    [anon_sym_column_major] = ACTIONS(2759),
    [anon_sym_globallycoherent] = ACTIONS(2759),
    [anon_sym_centroid] = ACTIONS(2759),
    [anon_sym_noperspective] = ACTIONS(2759),
    [anon_sym_nointerpolation] = ACTIONS(2759),
    [anon_sym_sample] = ACTIONS(2759),
    [anon_sym_linear] = ACTIONS(2759),
    [anon_sym_snorm] = ACTIONS(2759),
    [anon_sym_unorm] = ACTIONS(2759),
    [anon_sym_point] = ACTIONS(2759),
    [anon_sym_line] = ACTIONS(2759),
    [anon_sym_triangleadj] = ACTIONS(2759),
    [anon_sym_lineadj] = ACTIONS(2759),
    [anon_sym_triangle] = ACTIONS(2759),
  },
  [2640] = {
    [sym_identifier] = ACTIONS(2769),
    [aux_sym_preproc_def_token1] = ACTIONS(2769),
    [aux_sym_preproc_if_token1] = ACTIONS(2769),
    [aux_sym_preproc_if_token2] = ACTIONS(2769),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2769),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2769),
    [aux_sym_preproc_else_token1] = ACTIONS(2769),
    [aux_sym_preproc_elif_token1] = ACTIONS(2769),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2769),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2769),
    [sym_preproc_directive] = ACTIONS(2769),
    [anon_sym_LPAREN2] = ACTIONS(2771),
    [anon_sym_TILDE] = ACTIONS(2771),
    [anon_sym_STAR] = ACTIONS(2771),
    [anon_sym_AMP_AMP] = ACTIONS(2771),
    [anon_sym_AMP] = ACTIONS(2769),
    [anon_sym___extension__] = ACTIONS(2769),
    [anon_sym_typedef] = ACTIONS(2769),
    [anon_sym_in] = ACTIONS(2769),
    [anon_sym_out] = ACTIONS(2769),
    [anon_sym_inout] = ACTIONS(2769),
    [anon_sym_extern] = ACTIONS(2769),
    [anon_sym___attribute__] = ACTIONS(2769),
    [anon_sym_COLON_COLON] = ACTIONS(2771),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2771),
    [anon_sym___declspec] = ACTIONS(2769),
    [anon_sym___based] = ACTIONS(2769),
    [anon_sym_signed] = ACTIONS(2769),
    [anon_sym_unsigned] = ACTIONS(2769),
    [anon_sym_long] = ACTIONS(2769),
    [anon_sym_short] = ACTIONS(2769),
    [anon_sym_LBRACK] = ACTIONS(2769),
    [anon_sym_static] = ACTIONS(2769),
    [anon_sym_register] = ACTIONS(2769),
    [anon_sym_inline] = ACTIONS(2769),
    [anon_sym___inline] = ACTIONS(2769),
    [anon_sym___inline__] = ACTIONS(2769),
    [anon_sym___forceinline] = ACTIONS(2769),
    [anon_sym_thread_local] = ACTIONS(2769),
    [anon_sym___thread] = ACTIONS(2769),
    [anon_sym_const] = ACTIONS(2769),
    [anon_sym_constexpr] = ACTIONS(2769),
    [anon_sym_volatile] = ACTIONS(2769),
    [anon_sym_restrict] = ACTIONS(2769),
    [anon_sym___restrict__] = ACTIONS(2769),
    [anon_sym__Atomic] = ACTIONS(2769),
    [anon_sym__Noreturn] = ACTIONS(2769),
    [anon_sym_noreturn] = ACTIONS(2769),
    [anon_sym_mutable] = ACTIONS(2769),
    [anon_sym_constinit] = ACTIONS(2769),
    [anon_sym_consteval] = ACTIONS(2769),
    [sym_primitive_type] = ACTIONS(2769),
    [anon_sym_enum] = ACTIONS(2769),
    [anon_sym_class] = ACTIONS(2769),
    [anon_sym_struct] = ACTIONS(2769),
    [anon_sym_union] = ACTIONS(2769),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2769),
    [anon_sym_decltype] = ACTIONS(2769),
    [anon_sym_virtual] = ACTIONS(2769),
    [anon_sym_alignas] = ACTIONS(2769),
    [anon_sym_explicit] = ACTIONS(2769),
    [anon_sym_typename] = ACTIONS(2769),
    [anon_sym_template] = ACTIONS(2769),
    [anon_sym_operator] = ACTIONS(2769),
    [anon_sym_friend] = ACTIONS(2769),
    [anon_sym_public] = ACTIONS(2769),
    [anon_sym_private] = ACTIONS(2769),
    [anon_sym_protected] = ACTIONS(2769),
    [anon_sym_using] = ACTIONS(2769),
    [anon_sym_static_assert] = ACTIONS(2769),
    [anon_sym_precise] = ACTIONS(2769),
    [anon_sym_shared] = ACTIONS(2769),
    [anon_sym_groupshared] = ACTIONS(2769),
    [anon_sym_uniform] = ACTIONS(2769),
    [anon_sym_row_major] = ACTIONS(2769),
    [anon_sym_column_major] = ACTIONS(2769),
    [anon_sym_globallycoherent] = ACTIONS(2769),
    [anon_sym_centroid] = ACTIONS(2769),
    [anon_sym_noperspective] = ACTIONS(2769),
    [anon_sym_nointerpolation] = ACTIONS(2769),
    [anon_sym_sample] = ACTIONS(2769),
    [anon_sym_linear] = ACTIONS(2769),
    [anon_sym_snorm] = ACTIONS(2769),
    [anon_sym_unorm] = ACTIONS(2769),
    [anon_sym_point] = ACTIONS(2769),
    [anon_sym_line] = ACTIONS(2769),
    [anon_sym_triangleadj] = ACTIONS(2769),
    [anon_sym_lineadj] = ACTIONS(2769),
    [anon_sym_triangle] = ACTIONS(2769),
  },
  [2641] = {
    [sym_identifier] = ACTIONS(2769),
    [aux_sym_preproc_def_token1] = ACTIONS(2769),
    [aux_sym_preproc_if_token1] = ACTIONS(2769),
    [aux_sym_preproc_if_token2] = ACTIONS(2769),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2769),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2769),
    [aux_sym_preproc_else_token1] = ACTIONS(2769),
    [aux_sym_preproc_elif_token1] = ACTIONS(2769),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2769),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2769),
    [sym_preproc_directive] = ACTIONS(2769),
    [anon_sym_LPAREN2] = ACTIONS(2771),
    [anon_sym_TILDE] = ACTIONS(2771),
    [anon_sym_STAR] = ACTIONS(2771),
    [anon_sym_AMP_AMP] = ACTIONS(2771),
    [anon_sym_AMP] = ACTIONS(2769),
    [anon_sym___extension__] = ACTIONS(2769),
    [anon_sym_typedef] = ACTIONS(2769),
    [anon_sym_in] = ACTIONS(2769),
    [anon_sym_out] = ACTIONS(2769),
    [anon_sym_inout] = ACTIONS(2769),
    [anon_sym_extern] = ACTIONS(2769),
    [anon_sym___attribute__] = ACTIONS(2769),
    [anon_sym_COLON_COLON] = ACTIONS(2771),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2771),
    [anon_sym___declspec] = ACTIONS(2769),
    [anon_sym___based] = ACTIONS(2769),
    [anon_sym_signed] = ACTIONS(2769),
    [anon_sym_unsigned] = ACTIONS(2769),
    [anon_sym_long] = ACTIONS(2769),
    [anon_sym_short] = ACTIONS(2769),
    [anon_sym_LBRACK] = ACTIONS(2769),
    [anon_sym_static] = ACTIONS(2769),
    [anon_sym_register] = ACTIONS(2769),
    [anon_sym_inline] = ACTIONS(2769),
    [anon_sym___inline] = ACTIONS(2769),
    [anon_sym___inline__] = ACTIONS(2769),
    [anon_sym___forceinline] = ACTIONS(2769),
    [anon_sym_thread_local] = ACTIONS(2769),
    [anon_sym___thread] = ACTIONS(2769),
    [anon_sym_const] = ACTIONS(2769),
    [anon_sym_constexpr] = ACTIONS(2769),
    [anon_sym_volatile] = ACTIONS(2769),
    [anon_sym_restrict] = ACTIONS(2769),
    [anon_sym___restrict__] = ACTIONS(2769),
    [anon_sym__Atomic] = ACTIONS(2769),
    [anon_sym__Noreturn] = ACTIONS(2769),
    [anon_sym_noreturn] = ACTIONS(2769),
    [anon_sym_mutable] = ACTIONS(2769),
    [anon_sym_constinit] = ACTIONS(2769),
    [anon_sym_consteval] = ACTIONS(2769),
    [sym_primitive_type] = ACTIONS(2769),
    [anon_sym_enum] = ACTIONS(2769),
    [anon_sym_class] = ACTIONS(2769),
    [anon_sym_struct] = ACTIONS(2769),
    [anon_sym_union] = ACTIONS(2769),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2769),
    [anon_sym_decltype] = ACTIONS(2769),
    [anon_sym_virtual] = ACTIONS(2769),
    [anon_sym_alignas] = ACTIONS(2769),
    [anon_sym_explicit] = ACTIONS(2769),
    [anon_sym_typename] = ACTIONS(2769),
    [anon_sym_template] = ACTIONS(2769),
    [anon_sym_operator] = ACTIONS(2769),
    [anon_sym_friend] = ACTIONS(2769),
    [anon_sym_public] = ACTIONS(2769),
    [anon_sym_private] = ACTIONS(2769),
    [anon_sym_protected] = ACTIONS(2769),
    [anon_sym_using] = ACTIONS(2769),
    [anon_sym_static_assert] = ACTIONS(2769),
    [anon_sym_precise] = ACTIONS(2769),
    [anon_sym_shared] = ACTIONS(2769),
    [anon_sym_groupshared] = ACTIONS(2769),
    [anon_sym_uniform] = ACTIONS(2769),
    [anon_sym_row_major] = ACTIONS(2769),
    [anon_sym_column_major] = ACTIONS(2769),
    [anon_sym_globallycoherent] = ACTIONS(2769),
    [anon_sym_centroid] = ACTIONS(2769),
    [anon_sym_noperspective] = ACTIONS(2769),
    [anon_sym_nointerpolation] = ACTIONS(2769),
    [anon_sym_sample] = ACTIONS(2769),
    [anon_sym_linear] = ACTIONS(2769),
    [anon_sym_snorm] = ACTIONS(2769),
    [anon_sym_unorm] = ACTIONS(2769),
    [anon_sym_point] = ACTIONS(2769),
    [anon_sym_line] = ACTIONS(2769),
    [anon_sym_triangleadj] = ACTIONS(2769),
    [anon_sym_lineadj] = ACTIONS(2769),
    [anon_sym_triangle] = ACTIONS(2769),
  },
  [2642] = {
    [sym_identifier] = ACTIONS(2354),
    [aux_sym_preproc_def_token1] = ACTIONS(2354),
    [aux_sym_preproc_if_token1] = ACTIONS(2354),
    [aux_sym_preproc_if_token2] = ACTIONS(2354),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2354),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2354),
    [aux_sym_preproc_else_token1] = ACTIONS(2354),
    [aux_sym_preproc_elif_token1] = ACTIONS(2354),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2354),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2354),
    [sym_preproc_directive] = ACTIONS(2354),
    [anon_sym_LPAREN2] = ACTIONS(2356),
    [anon_sym_TILDE] = ACTIONS(2356),
    [anon_sym_STAR] = ACTIONS(2356),
    [anon_sym_AMP_AMP] = ACTIONS(2356),
    [anon_sym_AMP] = ACTIONS(2354),
    [anon_sym___extension__] = ACTIONS(2354),
    [anon_sym_typedef] = ACTIONS(2354),
    [anon_sym_in] = ACTIONS(2354),
    [anon_sym_out] = ACTIONS(2354),
    [anon_sym_inout] = ACTIONS(2354),
    [anon_sym_extern] = ACTIONS(2354),
    [anon_sym___attribute__] = ACTIONS(2354),
    [anon_sym_COLON_COLON] = ACTIONS(2356),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2356),
    [anon_sym___declspec] = ACTIONS(2354),
    [anon_sym___based] = ACTIONS(2354),
    [anon_sym_signed] = ACTIONS(2354),
    [anon_sym_unsigned] = ACTIONS(2354),
    [anon_sym_long] = ACTIONS(2354),
    [anon_sym_short] = ACTIONS(2354),
    [anon_sym_LBRACK] = ACTIONS(2354),
    [anon_sym_static] = ACTIONS(2354),
    [anon_sym_register] = ACTIONS(2354),
    [anon_sym_inline] = ACTIONS(2354),
    [anon_sym___inline] = ACTIONS(2354),
    [anon_sym___inline__] = ACTIONS(2354),
    [anon_sym___forceinline] = ACTIONS(2354),
    [anon_sym_thread_local] = ACTIONS(2354),
    [anon_sym___thread] = ACTIONS(2354),
    [anon_sym_const] = ACTIONS(2354),
    [anon_sym_constexpr] = ACTIONS(2354),
    [anon_sym_volatile] = ACTIONS(2354),
    [anon_sym_restrict] = ACTIONS(2354),
    [anon_sym___restrict__] = ACTIONS(2354),
    [anon_sym__Atomic] = ACTIONS(2354),
    [anon_sym__Noreturn] = ACTIONS(2354),
    [anon_sym_noreturn] = ACTIONS(2354),
    [anon_sym_mutable] = ACTIONS(2354),
    [anon_sym_constinit] = ACTIONS(2354),
    [anon_sym_consteval] = ACTIONS(2354),
    [sym_primitive_type] = ACTIONS(2354),
    [anon_sym_enum] = ACTIONS(2354),
    [anon_sym_class] = ACTIONS(2354),
    [anon_sym_struct] = ACTIONS(2354),
    [anon_sym_union] = ACTIONS(2354),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2354),
    [anon_sym_decltype] = ACTIONS(2354),
    [anon_sym_virtual] = ACTIONS(2354),
    [anon_sym_alignas] = ACTIONS(2354),
    [anon_sym_explicit] = ACTIONS(2354),
    [anon_sym_typename] = ACTIONS(2354),
    [anon_sym_template] = ACTIONS(2354),
    [anon_sym_operator] = ACTIONS(2354),
    [anon_sym_friend] = ACTIONS(2354),
    [anon_sym_public] = ACTIONS(2354),
    [anon_sym_private] = ACTIONS(2354),
    [anon_sym_protected] = ACTIONS(2354),
    [anon_sym_using] = ACTIONS(2354),
    [anon_sym_static_assert] = ACTIONS(2354),
    [anon_sym_precise] = ACTIONS(2354),
    [anon_sym_shared] = ACTIONS(2354),
    [anon_sym_groupshared] = ACTIONS(2354),
    [anon_sym_uniform] = ACTIONS(2354),
    [anon_sym_row_major] = ACTIONS(2354),
    [anon_sym_column_major] = ACTIONS(2354),
    [anon_sym_globallycoherent] = ACTIONS(2354),
    [anon_sym_centroid] = ACTIONS(2354),
    [anon_sym_noperspective] = ACTIONS(2354),
    [anon_sym_nointerpolation] = ACTIONS(2354),
    [anon_sym_sample] = ACTIONS(2354),
    [anon_sym_linear] = ACTIONS(2354),
    [anon_sym_snorm] = ACTIONS(2354),
    [anon_sym_unorm] = ACTIONS(2354),
    [anon_sym_point] = ACTIONS(2354),
    [anon_sym_line] = ACTIONS(2354),
    [anon_sym_triangleadj] = ACTIONS(2354),
    [anon_sym_lineadj] = ACTIONS(2354),
    [anon_sym_triangle] = ACTIONS(2354),
  },
  [2643] = {
    [sym_identifier] = ACTIONS(2765),
    [aux_sym_preproc_def_token1] = ACTIONS(2765),
    [aux_sym_preproc_if_token1] = ACTIONS(2765),
    [aux_sym_preproc_if_token2] = ACTIONS(2765),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2765),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2765),
    [aux_sym_preproc_else_token1] = ACTIONS(2765),
    [aux_sym_preproc_elif_token1] = ACTIONS(2765),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2765),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2765),
    [sym_preproc_directive] = ACTIONS(2765),
    [anon_sym_LPAREN2] = ACTIONS(2767),
    [anon_sym_TILDE] = ACTIONS(2767),
    [anon_sym_STAR] = ACTIONS(2767),
    [anon_sym_AMP_AMP] = ACTIONS(2767),
    [anon_sym_AMP] = ACTIONS(2765),
    [anon_sym___extension__] = ACTIONS(2765),
    [anon_sym_typedef] = ACTIONS(2765),
    [anon_sym_in] = ACTIONS(2765),
    [anon_sym_out] = ACTIONS(2765),
    [anon_sym_inout] = ACTIONS(2765),
    [anon_sym_extern] = ACTIONS(2765),
    [anon_sym___attribute__] = ACTIONS(2765),
    [anon_sym_COLON_COLON] = ACTIONS(2767),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2767),
    [anon_sym___declspec] = ACTIONS(2765),
    [anon_sym___based] = ACTIONS(2765),
    [anon_sym_signed] = ACTIONS(2765),
    [anon_sym_unsigned] = ACTIONS(2765),
    [anon_sym_long] = ACTIONS(2765),
    [anon_sym_short] = ACTIONS(2765),
    [anon_sym_LBRACK] = ACTIONS(2765),
    [anon_sym_static] = ACTIONS(2765),
    [anon_sym_register] = ACTIONS(2765),
    [anon_sym_inline] = ACTIONS(2765),
    [anon_sym___inline] = ACTIONS(2765),
    [anon_sym___inline__] = ACTIONS(2765),
    [anon_sym___forceinline] = ACTIONS(2765),
    [anon_sym_thread_local] = ACTIONS(2765),
    [anon_sym___thread] = ACTIONS(2765),
    [anon_sym_const] = ACTIONS(2765),
    [anon_sym_constexpr] = ACTIONS(2765),
    [anon_sym_volatile] = ACTIONS(2765),
    [anon_sym_restrict] = ACTIONS(2765),
    [anon_sym___restrict__] = ACTIONS(2765),
    [anon_sym__Atomic] = ACTIONS(2765),
    [anon_sym__Noreturn] = ACTIONS(2765),
    [anon_sym_noreturn] = ACTIONS(2765),
    [anon_sym_mutable] = ACTIONS(2765),
    [anon_sym_constinit] = ACTIONS(2765),
    [anon_sym_consteval] = ACTIONS(2765),
    [sym_primitive_type] = ACTIONS(2765),
    [anon_sym_enum] = ACTIONS(2765),
    [anon_sym_class] = ACTIONS(2765),
    [anon_sym_struct] = ACTIONS(2765),
    [anon_sym_union] = ACTIONS(2765),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2765),
    [anon_sym_decltype] = ACTIONS(2765),
    [anon_sym_virtual] = ACTIONS(2765),
    [anon_sym_alignas] = ACTIONS(2765),
    [anon_sym_explicit] = ACTIONS(2765),
    [anon_sym_typename] = ACTIONS(2765),
    [anon_sym_template] = ACTIONS(2765),
    [anon_sym_operator] = ACTIONS(2765),
    [anon_sym_friend] = ACTIONS(2765),
    [anon_sym_public] = ACTIONS(2765),
    [anon_sym_private] = ACTIONS(2765),
    [anon_sym_protected] = ACTIONS(2765),
    [anon_sym_using] = ACTIONS(2765),
    [anon_sym_static_assert] = ACTIONS(2765),
    [anon_sym_precise] = ACTIONS(2765),
    [anon_sym_shared] = ACTIONS(2765),
    [anon_sym_groupshared] = ACTIONS(2765),
    [anon_sym_uniform] = ACTIONS(2765),
    [anon_sym_row_major] = ACTIONS(2765),
    [anon_sym_column_major] = ACTIONS(2765),
    [anon_sym_globallycoherent] = ACTIONS(2765),
    [anon_sym_centroid] = ACTIONS(2765),
    [anon_sym_noperspective] = ACTIONS(2765),
    [anon_sym_nointerpolation] = ACTIONS(2765),
    [anon_sym_sample] = ACTIONS(2765),
    [anon_sym_linear] = ACTIONS(2765),
    [anon_sym_snorm] = ACTIONS(2765),
    [anon_sym_unorm] = ACTIONS(2765),
    [anon_sym_point] = ACTIONS(2765),
    [anon_sym_line] = ACTIONS(2765),
    [anon_sym_triangleadj] = ACTIONS(2765),
    [anon_sym_lineadj] = ACTIONS(2765),
    [anon_sym_triangle] = ACTIONS(2765),
  },
  [2644] = {
    [sym_identifier] = ACTIONS(2765),
    [aux_sym_preproc_def_token1] = ACTIONS(2765),
    [aux_sym_preproc_if_token1] = ACTIONS(2765),
    [aux_sym_preproc_if_token2] = ACTIONS(2765),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2765),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2765),
    [aux_sym_preproc_else_token1] = ACTIONS(2765),
    [aux_sym_preproc_elif_token1] = ACTIONS(2765),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2765),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2765),
    [sym_preproc_directive] = ACTIONS(2765),
    [anon_sym_LPAREN2] = ACTIONS(2767),
    [anon_sym_TILDE] = ACTIONS(2767),
    [anon_sym_STAR] = ACTIONS(2767),
    [anon_sym_AMP_AMP] = ACTIONS(2767),
    [anon_sym_AMP] = ACTIONS(2765),
    [anon_sym___extension__] = ACTIONS(2765),
    [anon_sym_typedef] = ACTIONS(2765),
    [anon_sym_in] = ACTIONS(2765),
    [anon_sym_out] = ACTIONS(2765),
    [anon_sym_inout] = ACTIONS(2765),
    [anon_sym_extern] = ACTIONS(2765),
    [anon_sym___attribute__] = ACTIONS(2765),
    [anon_sym_COLON_COLON] = ACTIONS(2767),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2767),
    [anon_sym___declspec] = ACTIONS(2765),
    [anon_sym___based] = ACTIONS(2765),
    [anon_sym_signed] = ACTIONS(2765),
    [anon_sym_unsigned] = ACTIONS(2765),
    [anon_sym_long] = ACTIONS(2765),
    [anon_sym_short] = ACTIONS(2765),
    [anon_sym_LBRACK] = ACTIONS(2765),
    [anon_sym_static] = ACTIONS(2765),
    [anon_sym_register] = ACTIONS(2765),
    [anon_sym_inline] = ACTIONS(2765),
    [anon_sym___inline] = ACTIONS(2765),
    [anon_sym___inline__] = ACTIONS(2765),
    [anon_sym___forceinline] = ACTIONS(2765),
    [anon_sym_thread_local] = ACTIONS(2765),
    [anon_sym___thread] = ACTIONS(2765),
    [anon_sym_const] = ACTIONS(2765),
    [anon_sym_constexpr] = ACTIONS(2765),
    [anon_sym_volatile] = ACTIONS(2765),
    [anon_sym_restrict] = ACTIONS(2765),
    [anon_sym___restrict__] = ACTIONS(2765),
    [anon_sym__Atomic] = ACTIONS(2765),
    [anon_sym__Noreturn] = ACTIONS(2765),
    [anon_sym_noreturn] = ACTIONS(2765),
    [anon_sym_mutable] = ACTIONS(2765),
    [anon_sym_constinit] = ACTIONS(2765),
    [anon_sym_consteval] = ACTIONS(2765),
    [sym_primitive_type] = ACTIONS(2765),
    [anon_sym_enum] = ACTIONS(2765),
    [anon_sym_class] = ACTIONS(2765),
    [anon_sym_struct] = ACTIONS(2765),
    [anon_sym_union] = ACTIONS(2765),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2765),
    [anon_sym_decltype] = ACTIONS(2765),
    [anon_sym_virtual] = ACTIONS(2765),
    [anon_sym_alignas] = ACTIONS(2765),
    [anon_sym_explicit] = ACTIONS(2765),
    [anon_sym_typename] = ACTIONS(2765),
    [anon_sym_template] = ACTIONS(2765),
    [anon_sym_operator] = ACTIONS(2765),
    [anon_sym_friend] = ACTIONS(2765),
    [anon_sym_public] = ACTIONS(2765),
    [anon_sym_private] = ACTIONS(2765),
    [anon_sym_protected] = ACTIONS(2765),
    [anon_sym_using] = ACTIONS(2765),
    [anon_sym_static_assert] = ACTIONS(2765),
    [anon_sym_precise] = ACTIONS(2765),
    [anon_sym_shared] = ACTIONS(2765),
    [anon_sym_groupshared] = ACTIONS(2765),
    [anon_sym_uniform] = ACTIONS(2765),
    [anon_sym_row_major] = ACTIONS(2765),
    [anon_sym_column_major] = ACTIONS(2765),
    [anon_sym_globallycoherent] = ACTIONS(2765),
    [anon_sym_centroid] = ACTIONS(2765),
    [anon_sym_noperspective] = ACTIONS(2765),
    [anon_sym_nointerpolation] = ACTIONS(2765),
    [anon_sym_sample] = ACTIONS(2765),
    [anon_sym_linear] = ACTIONS(2765),
    [anon_sym_snorm] = ACTIONS(2765),
    [anon_sym_unorm] = ACTIONS(2765),
    [anon_sym_point] = ACTIONS(2765),
    [anon_sym_line] = ACTIONS(2765),
    [anon_sym_triangleadj] = ACTIONS(2765),
    [anon_sym_lineadj] = ACTIONS(2765),
    [anon_sym_triangle] = ACTIONS(2765),
  },
  [2645] = {
    [sym_identifier] = ACTIONS(2765),
    [aux_sym_preproc_def_token1] = ACTIONS(2765),
    [aux_sym_preproc_if_token1] = ACTIONS(2765),
    [aux_sym_preproc_if_token2] = ACTIONS(2765),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2765),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2765),
    [aux_sym_preproc_else_token1] = ACTIONS(2765),
    [aux_sym_preproc_elif_token1] = ACTIONS(2765),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2765),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2765),
    [sym_preproc_directive] = ACTIONS(2765),
    [anon_sym_LPAREN2] = ACTIONS(2767),
    [anon_sym_TILDE] = ACTIONS(2767),
    [anon_sym_STAR] = ACTIONS(2767),
    [anon_sym_AMP_AMP] = ACTIONS(2767),
    [anon_sym_AMP] = ACTIONS(2765),
    [anon_sym___extension__] = ACTIONS(2765),
    [anon_sym_typedef] = ACTIONS(2765),
    [anon_sym_in] = ACTIONS(2765),
    [anon_sym_out] = ACTIONS(2765),
    [anon_sym_inout] = ACTIONS(2765),
    [anon_sym_extern] = ACTIONS(2765),
    [anon_sym___attribute__] = ACTIONS(2765),
    [anon_sym_COLON_COLON] = ACTIONS(2767),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2767),
    [anon_sym___declspec] = ACTIONS(2765),
    [anon_sym___based] = ACTIONS(2765),
    [anon_sym_signed] = ACTIONS(2765),
    [anon_sym_unsigned] = ACTIONS(2765),
    [anon_sym_long] = ACTIONS(2765),
    [anon_sym_short] = ACTIONS(2765),
    [anon_sym_LBRACK] = ACTIONS(2765),
    [anon_sym_static] = ACTIONS(2765),
    [anon_sym_register] = ACTIONS(2765),
    [anon_sym_inline] = ACTIONS(2765),
    [anon_sym___inline] = ACTIONS(2765),
    [anon_sym___inline__] = ACTIONS(2765),
    [anon_sym___forceinline] = ACTIONS(2765),
    [anon_sym_thread_local] = ACTIONS(2765),
    [anon_sym___thread] = ACTIONS(2765),
    [anon_sym_const] = ACTIONS(2765),
    [anon_sym_constexpr] = ACTIONS(2765),
    [anon_sym_volatile] = ACTIONS(2765),
    [anon_sym_restrict] = ACTIONS(2765),
    [anon_sym___restrict__] = ACTIONS(2765),
    [anon_sym__Atomic] = ACTIONS(2765),
    [anon_sym__Noreturn] = ACTIONS(2765),
    [anon_sym_noreturn] = ACTIONS(2765),
    [anon_sym_mutable] = ACTIONS(2765),
    [anon_sym_constinit] = ACTIONS(2765),
    [anon_sym_consteval] = ACTIONS(2765),
    [sym_primitive_type] = ACTIONS(2765),
    [anon_sym_enum] = ACTIONS(2765),
    [anon_sym_class] = ACTIONS(2765),
    [anon_sym_struct] = ACTIONS(2765),
    [anon_sym_union] = ACTIONS(2765),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2765),
    [anon_sym_decltype] = ACTIONS(2765),
    [anon_sym_virtual] = ACTIONS(2765),
    [anon_sym_alignas] = ACTIONS(2765),
    [anon_sym_explicit] = ACTIONS(2765),
    [anon_sym_typename] = ACTIONS(2765),
    [anon_sym_template] = ACTIONS(2765),
    [anon_sym_operator] = ACTIONS(2765),
    [anon_sym_friend] = ACTIONS(2765),
    [anon_sym_public] = ACTIONS(2765),
    [anon_sym_private] = ACTIONS(2765),
    [anon_sym_protected] = ACTIONS(2765),
    [anon_sym_using] = ACTIONS(2765),
    [anon_sym_static_assert] = ACTIONS(2765),
    [anon_sym_precise] = ACTIONS(2765),
    [anon_sym_shared] = ACTIONS(2765),
    [anon_sym_groupshared] = ACTIONS(2765),
    [anon_sym_uniform] = ACTIONS(2765),
    [anon_sym_row_major] = ACTIONS(2765),
    [anon_sym_column_major] = ACTIONS(2765),
    [anon_sym_globallycoherent] = ACTIONS(2765),
    [anon_sym_centroid] = ACTIONS(2765),
    [anon_sym_noperspective] = ACTIONS(2765),
    [anon_sym_nointerpolation] = ACTIONS(2765),
    [anon_sym_sample] = ACTIONS(2765),
    [anon_sym_linear] = ACTIONS(2765),
    [anon_sym_snorm] = ACTIONS(2765),
    [anon_sym_unorm] = ACTIONS(2765),
    [anon_sym_point] = ACTIONS(2765),
    [anon_sym_line] = ACTIONS(2765),
    [anon_sym_triangleadj] = ACTIONS(2765),
    [anon_sym_lineadj] = ACTIONS(2765),
    [anon_sym_triangle] = ACTIONS(2765),
  },
  [2646] = {
    [sym_identifier] = ACTIONS(2400),
    [aux_sym_preproc_def_token1] = ACTIONS(2400),
    [aux_sym_preproc_if_token1] = ACTIONS(2400),
    [aux_sym_preproc_if_token2] = ACTIONS(2400),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2400),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2400),
    [aux_sym_preproc_else_token1] = ACTIONS(2400),
    [aux_sym_preproc_elif_token1] = ACTIONS(2400),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2400),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2400),
    [sym_preproc_directive] = ACTIONS(2400),
    [anon_sym_LPAREN2] = ACTIONS(2402),
    [anon_sym_TILDE] = ACTIONS(2402),
    [anon_sym_STAR] = ACTIONS(2402),
    [anon_sym_AMP_AMP] = ACTIONS(2402),
    [anon_sym_AMP] = ACTIONS(2400),
    [anon_sym___extension__] = ACTIONS(2400),
    [anon_sym_typedef] = ACTIONS(2400),
    [anon_sym_in] = ACTIONS(2400),
    [anon_sym_out] = ACTIONS(2400),
    [anon_sym_inout] = ACTIONS(2400),
    [anon_sym_extern] = ACTIONS(2400),
    [anon_sym___attribute__] = ACTIONS(2400),
    [anon_sym_COLON_COLON] = ACTIONS(2402),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2402),
    [anon_sym___declspec] = ACTIONS(2400),
    [anon_sym___based] = ACTIONS(2400),
    [anon_sym_signed] = ACTIONS(2400),
    [anon_sym_unsigned] = ACTIONS(2400),
    [anon_sym_long] = ACTIONS(2400),
    [anon_sym_short] = ACTIONS(2400),
    [anon_sym_LBRACK] = ACTIONS(2400),
    [anon_sym_static] = ACTIONS(2400),
    [anon_sym_register] = ACTIONS(2400),
    [anon_sym_inline] = ACTIONS(2400),
    [anon_sym___inline] = ACTIONS(2400),
    [anon_sym___inline__] = ACTIONS(2400),
    [anon_sym___forceinline] = ACTIONS(2400),
    [anon_sym_thread_local] = ACTIONS(2400),
    [anon_sym___thread] = ACTIONS(2400),
    [anon_sym_const] = ACTIONS(2400),
    [anon_sym_constexpr] = ACTIONS(2400),
    [anon_sym_volatile] = ACTIONS(2400),
    [anon_sym_restrict] = ACTIONS(2400),
    [anon_sym___restrict__] = ACTIONS(2400),
    [anon_sym__Atomic] = ACTIONS(2400),
    [anon_sym__Noreturn] = ACTIONS(2400),
    [anon_sym_noreturn] = ACTIONS(2400),
    [anon_sym_mutable] = ACTIONS(2400),
    [anon_sym_constinit] = ACTIONS(2400),
    [anon_sym_consteval] = ACTIONS(2400),
    [sym_primitive_type] = ACTIONS(2400),
    [anon_sym_enum] = ACTIONS(2400),
    [anon_sym_class] = ACTIONS(2400),
    [anon_sym_struct] = ACTIONS(2400),
    [anon_sym_union] = ACTIONS(2400),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2400),
    [anon_sym_decltype] = ACTIONS(2400),
    [anon_sym_virtual] = ACTIONS(2400),
    [anon_sym_alignas] = ACTIONS(2400),
    [anon_sym_explicit] = ACTIONS(2400),
    [anon_sym_typename] = ACTIONS(2400),
    [anon_sym_template] = ACTIONS(2400),
    [anon_sym_operator] = ACTIONS(2400),
    [anon_sym_friend] = ACTIONS(2400),
    [anon_sym_public] = ACTIONS(2400),
    [anon_sym_private] = ACTIONS(2400),
    [anon_sym_protected] = ACTIONS(2400),
    [anon_sym_using] = ACTIONS(2400),
    [anon_sym_static_assert] = ACTIONS(2400),
    [anon_sym_precise] = ACTIONS(2400),
    [anon_sym_shared] = ACTIONS(2400),
    [anon_sym_groupshared] = ACTIONS(2400),
    [anon_sym_uniform] = ACTIONS(2400),
    [anon_sym_row_major] = ACTIONS(2400),
    [anon_sym_column_major] = ACTIONS(2400),
    [anon_sym_globallycoherent] = ACTIONS(2400),
    [anon_sym_centroid] = ACTIONS(2400),
    [anon_sym_noperspective] = ACTIONS(2400),
    [anon_sym_nointerpolation] = ACTIONS(2400),
    [anon_sym_sample] = ACTIONS(2400),
    [anon_sym_linear] = ACTIONS(2400),
    [anon_sym_snorm] = ACTIONS(2400),
    [anon_sym_unorm] = ACTIONS(2400),
    [anon_sym_point] = ACTIONS(2400),
    [anon_sym_line] = ACTIONS(2400),
    [anon_sym_triangleadj] = ACTIONS(2400),
    [anon_sym_lineadj] = ACTIONS(2400),
    [anon_sym_triangle] = ACTIONS(2400),
  },
  [2647] = {
    [sym_identifier] = ACTIONS(2805),
    [aux_sym_preproc_def_token1] = ACTIONS(2805),
    [aux_sym_preproc_if_token1] = ACTIONS(2805),
    [aux_sym_preproc_if_token2] = ACTIONS(2805),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2805),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2805),
    [aux_sym_preproc_else_token1] = ACTIONS(2805),
    [aux_sym_preproc_elif_token1] = ACTIONS(2805),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2805),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2805),
    [sym_preproc_directive] = ACTIONS(2805),
    [anon_sym_LPAREN2] = ACTIONS(2807),
    [anon_sym_TILDE] = ACTIONS(2807),
    [anon_sym_STAR] = ACTIONS(2807),
    [anon_sym_AMP_AMP] = ACTIONS(2807),
    [anon_sym_AMP] = ACTIONS(2805),
    [anon_sym___extension__] = ACTIONS(2805),
    [anon_sym_typedef] = ACTIONS(2805),
    [anon_sym_in] = ACTIONS(2805),
    [anon_sym_out] = ACTIONS(2805),
    [anon_sym_inout] = ACTIONS(2805),
    [anon_sym_extern] = ACTIONS(2805),
    [anon_sym___attribute__] = ACTIONS(2805),
    [anon_sym_COLON_COLON] = ACTIONS(2807),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2807),
    [anon_sym___declspec] = ACTIONS(2805),
    [anon_sym___based] = ACTIONS(2805),
    [anon_sym_signed] = ACTIONS(2805),
    [anon_sym_unsigned] = ACTIONS(2805),
    [anon_sym_long] = ACTIONS(2805),
    [anon_sym_short] = ACTIONS(2805),
    [anon_sym_LBRACK] = ACTIONS(2805),
    [anon_sym_static] = ACTIONS(2805),
    [anon_sym_register] = ACTIONS(2805),
    [anon_sym_inline] = ACTIONS(2805),
    [anon_sym___inline] = ACTIONS(2805),
    [anon_sym___inline__] = ACTIONS(2805),
    [anon_sym___forceinline] = ACTIONS(2805),
    [anon_sym_thread_local] = ACTIONS(2805),
    [anon_sym___thread] = ACTIONS(2805),
    [anon_sym_const] = ACTIONS(2805),
    [anon_sym_constexpr] = ACTIONS(2805),
    [anon_sym_volatile] = ACTIONS(2805),
    [anon_sym_restrict] = ACTIONS(2805),
    [anon_sym___restrict__] = ACTIONS(2805),
    [anon_sym__Atomic] = ACTIONS(2805),
    [anon_sym__Noreturn] = ACTIONS(2805),
    [anon_sym_noreturn] = ACTIONS(2805),
    [anon_sym_mutable] = ACTIONS(2805),
    [anon_sym_constinit] = ACTIONS(2805),
    [anon_sym_consteval] = ACTIONS(2805),
    [sym_primitive_type] = ACTIONS(2805),
    [anon_sym_enum] = ACTIONS(2805),
    [anon_sym_class] = ACTIONS(2805),
    [anon_sym_struct] = ACTIONS(2805),
    [anon_sym_union] = ACTIONS(2805),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2805),
    [anon_sym_decltype] = ACTIONS(2805),
    [anon_sym_virtual] = ACTIONS(2805),
    [anon_sym_alignas] = ACTIONS(2805),
    [anon_sym_explicit] = ACTIONS(2805),
    [anon_sym_typename] = ACTIONS(2805),
    [anon_sym_template] = ACTIONS(2805),
    [anon_sym_operator] = ACTIONS(2805),
    [anon_sym_friend] = ACTIONS(2805),
    [anon_sym_public] = ACTIONS(2805),
    [anon_sym_private] = ACTIONS(2805),
    [anon_sym_protected] = ACTIONS(2805),
    [anon_sym_using] = ACTIONS(2805),
    [anon_sym_static_assert] = ACTIONS(2805),
    [anon_sym_precise] = ACTIONS(2805),
    [anon_sym_shared] = ACTIONS(2805),
    [anon_sym_groupshared] = ACTIONS(2805),
    [anon_sym_uniform] = ACTIONS(2805),
    [anon_sym_row_major] = ACTIONS(2805),
    [anon_sym_column_major] = ACTIONS(2805),
    [anon_sym_globallycoherent] = ACTIONS(2805),
    [anon_sym_centroid] = ACTIONS(2805),
    [anon_sym_noperspective] = ACTIONS(2805),
    [anon_sym_nointerpolation] = ACTIONS(2805),
    [anon_sym_sample] = ACTIONS(2805),
    [anon_sym_linear] = ACTIONS(2805),
    [anon_sym_snorm] = ACTIONS(2805),
    [anon_sym_unorm] = ACTIONS(2805),
    [anon_sym_point] = ACTIONS(2805),
    [anon_sym_line] = ACTIONS(2805),
    [anon_sym_triangleadj] = ACTIONS(2805),
    [anon_sym_lineadj] = ACTIONS(2805),
    [anon_sym_triangle] = ACTIONS(2805),
  },
  [2648] = {
    [sym_identifier] = ACTIONS(2432),
    [aux_sym_preproc_def_token1] = ACTIONS(2432),
    [aux_sym_preproc_if_token1] = ACTIONS(2432),
    [aux_sym_preproc_if_token2] = ACTIONS(2432),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2432),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2432),
    [aux_sym_preproc_else_token1] = ACTIONS(2432),
    [aux_sym_preproc_elif_token1] = ACTIONS(2432),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2432),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2432),
    [sym_preproc_directive] = ACTIONS(2432),
    [anon_sym_LPAREN2] = ACTIONS(2434),
    [anon_sym_TILDE] = ACTIONS(2434),
    [anon_sym_STAR] = ACTIONS(2434),
    [anon_sym_AMP_AMP] = ACTIONS(2434),
    [anon_sym_AMP] = ACTIONS(2432),
    [anon_sym___extension__] = ACTIONS(2432),
    [anon_sym_typedef] = ACTIONS(2432),
    [anon_sym_in] = ACTIONS(2432),
    [anon_sym_out] = ACTIONS(2432),
    [anon_sym_inout] = ACTIONS(2432),
    [anon_sym_extern] = ACTIONS(2432),
    [anon_sym___attribute__] = ACTIONS(2432),
    [anon_sym_COLON_COLON] = ACTIONS(2434),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2434),
    [anon_sym___declspec] = ACTIONS(2432),
    [anon_sym___based] = ACTIONS(2432),
    [anon_sym_signed] = ACTIONS(2432),
    [anon_sym_unsigned] = ACTIONS(2432),
    [anon_sym_long] = ACTIONS(2432),
    [anon_sym_short] = ACTIONS(2432),
    [anon_sym_LBRACK] = ACTIONS(2432),
    [anon_sym_static] = ACTIONS(2432),
    [anon_sym_register] = ACTIONS(2432),
    [anon_sym_inline] = ACTIONS(2432),
    [anon_sym___inline] = ACTIONS(2432),
    [anon_sym___inline__] = ACTIONS(2432),
    [anon_sym___forceinline] = ACTIONS(2432),
    [anon_sym_thread_local] = ACTIONS(2432),
    [anon_sym___thread] = ACTIONS(2432),
    [anon_sym_const] = ACTIONS(2432),
    [anon_sym_constexpr] = ACTIONS(2432),
    [anon_sym_volatile] = ACTIONS(2432),
    [anon_sym_restrict] = ACTIONS(2432),
    [anon_sym___restrict__] = ACTIONS(2432),
    [anon_sym__Atomic] = ACTIONS(2432),
    [anon_sym__Noreturn] = ACTIONS(2432),
    [anon_sym_noreturn] = ACTIONS(2432),
    [anon_sym_mutable] = ACTIONS(2432),
    [anon_sym_constinit] = ACTIONS(2432),
    [anon_sym_consteval] = ACTIONS(2432),
    [sym_primitive_type] = ACTIONS(2432),
    [anon_sym_enum] = ACTIONS(2432),
    [anon_sym_class] = ACTIONS(2432),
    [anon_sym_struct] = ACTIONS(2432),
    [anon_sym_union] = ACTIONS(2432),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2432),
    [anon_sym_decltype] = ACTIONS(2432),
    [anon_sym_virtual] = ACTIONS(2432),
    [anon_sym_alignas] = ACTIONS(2432),
    [anon_sym_explicit] = ACTIONS(2432),
    [anon_sym_typename] = ACTIONS(2432),
    [anon_sym_template] = ACTIONS(2432),
    [anon_sym_operator] = ACTIONS(2432),
    [anon_sym_friend] = ACTIONS(2432),
    [anon_sym_public] = ACTIONS(2432),
    [anon_sym_private] = ACTIONS(2432),
    [anon_sym_protected] = ACTIONS(2432),
    [anon_sym_using] = ACTIONS(2432),
    [anon_sym_static_assert] = ACTIONS(2432),
    [anon_sym_precise] = ACTIONS(2432),
    [anon_sym_shared] = ACTIONS(2432),
    [anon_sym_groupshared] = ACTIONS(2432),
    [anon_sym_uniform] = ACTIONS(2432),
    [anon_sym_row_major] = ACTIONS(2432),
    [anon_sym_column_major] = ACTIONS(2432),
    [anon_sym_globallycoherent] = ACTIONS(2432),
    [anon_sym_centroid] = ACTIONS(2432),
    [anon_sym_noperspective] = ACTIONS(2432),
    [anon_sym_nointerpolation] = ACTIONS(2432),
    [anon_sym_sample] = ACTIONS(2432),
    [anon_sym_linear] = ACTIONS(2432),
    [anon_sym_snorm] = ACTIONS(2432),
    [anon_sym_unorm] = ACTIONS(2432),
    [anon_sym_point] = ACTIONS(2432),
    [anon_sym_line] = ACTIONS(2432),
    [anon_sym_triangleadj] = ACTIONS(2432),
    [anon_sym_lineadj] = ACTIONS(2432),
    [anon_sym_triangle] = ACTIONS(2432),
  },
  [2649] = {
    [sym_identifier] = ACTIONS(2765),
    [aux_sym_preproc_def_token1] = ACTIONS(2765),
    [aux_sym_preproc_if_token1] = ACTIONS(2765),
    [aux_sym_preproc_if_token2] = ACTIONS(2765),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2765),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2765),
    [aux_sym_preproc_else_token1] = ACTIONS(2765),
    [aux_sym_preproc_elif_token1] = ACTIONS(2765),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2765),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2765),
    [sym_preproc_directive] = ACTIONS(2765),
    [anon_sym_LPAREN2] = ACTIONS(2767),
    [anon_sym_TILDE] = ACTIONS(2767),
    [anon_sym_STAR] = ACTIONS(2767),
    [anon_sym_AMP_AMP] = ACTIONS(2767),
    [anon_sym_AMP] = ACTIONS(2765),
    [anon_sym___extension__] = ACTIONS(2765),
    [anon_sym_typedef] = ACTIONS(2765),
    [anon_sym_in] = ACTIONS(2765),
    [anon_sym_out] = ACTIONS(2765),
    [anon_sym_inout] = ACTIONS(2765),
    [anon_sym_extern] = ACTIONS(2765),
    [anon_sym___attribute__] = ACTIONS(2765),
    [anon_sym_COLON_COLON] = ACTIONS(2767),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2767),
    [anon_sym___declspec] = ACTIONS(2765),
    [anon_sym___based] = ACTIONS(2765),
    [anon_sym_signed] = ACTIONS(2765),
    [anon_sym_unsigned] = ACTIONS(2765),
    [anon_sym_long] = ACTIONS(2765),
    [anon_sym_short] = ACTIONS(2765),
    [anon_sym_LBRACK] = ACTIONS(2765),
    [anon_sym_static] = ACTIONS(2765),
    [anon_sym_register] = ACTIONS(2765),
    [anon_sym_inline] = ACTIONS(2765),
    [anon_sym___inline] = ACTIONS(2765),
    [anon_sym___inline__] = ACTIONS(2765),
    [anon_sym___forceinline] = ACTIONS(2765),
    [anon_sym_thread_local] = ACTIONS(2765),
    [anon_sym___thread] = ACTIONS(2765),
    [anon_sym_const] = ACTIONS(2765),
    [anon_sym_constexpr] = ACTIONS(2765),
    [anon_sym_volatile] = ACTIONS(2765),
    [anon_sym_restrict] = ACTIONS(2765),
    [anon_sym___restrict__] = ACTIONS(2765),
    [anon_sym__Atomic] = ACTIONS(2765),
    [anon_sym__Noreturn] = ACTIONS(2765),
    [anon_sym_noreturn] = ACTIONS(2765),
    [anon_sym_mutable] = ACTIONS(2765),
    [anon_sym_constinit] = ACTIONS(2765),
    [anon_sym_consteval] = ACTIONS(2765),
    [sym_primitive_type] = ACTIONS(2765),
    [anon_sym_enum] = ACTIONS(2765),
    [anon_sym_class] = ACTIONS(2765),
    [anon_sym_struct] = ACTIONS(2765),
    [anon_sym_union] = ACTIONS(2765),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2765),
    [anon_sym_decltype] = ACTIONS(2765),
    [anon_sym_virtual] = ACTIONS(2765),
    [anon_sym_alignas] = ACTIONS(2765),
    [anon_sym_explicit] = ACTIONS(2765),
    [anon_sym_typename] = ACTIONS(2765),
    [anon_sym_template] = ACTIONS(2765),
    [anon_sym_operator] = ACTIONS(2765),
    [anon_sym_friend] = ACTIONS(2765),
    [anon_sym_public] = ACTIONS(2765),
    [anon_sym_private] = ACTIONS(2765),
    [anon_sym_protected] = ACTIONS(2765),
    [anon_sym_using] = ACTIONS(2765),
    [anon_sym_static_assert] = ACTIONS(2765),
    [anon_sym_precise] = ACTIONS(2765),
    [anon_sym_shared] = ACTIONS(2765),
    [anon_sym_groupshared] = ACTIONS(2765),
    [anon_sym_uniform] = ACTIONS(2765),
    [anon_sym_row_major] = ACTIONS(2765),
    [anon_sym_column_major] = ACTIONS(2765),
    [anon_sym_globallycoherent] = ACTIONS(2765),
    [anon_sym_centroid] = ACTIONS(2765),
    [anon_sym_noperspective] = ACTIONS(2765),
    [anon_sym_nointerpolation] = ACTIONS(2765),
    [anon_sym_sample] = ACTIONS(2765),
    [anon_sym_linear] = ACTIONS(2765),
    [anon_sym_snorm] = ACTIONS(2765),
    [anon_sym_unorm] = ACTIONS(2765),
    [anon_sym_point] = ACTIONS(2765),
    [anon_sym_line] = ACTIONS(2765),
    [anon_sym_triangleadj] = ACTIONS(2765),
    [anon_sym_lineadj] = ACTIONS(2765),
    [anon_sym_triangle] = ACTIONS(2765),
  },
  [2650] = {
    [sym__declaration_modifiers] = STATE(2673),
    [sym__declaration_specifiers] = STATE(5974),
    [sym_attribute_specifier] = STATE(2673),
    [sym_attribute_declaration] = STATE(2673),
    [sym_ms_declspec_modifier] = STATE(2673),
    [sym_storage_class_specifier] = STATE(2673),
    [sym_type_qualifier] = STATE(2673),
    [sym__type_specifier] = STATE(2827),
    [sym_sized_type_specifier] = STATE(3085),
    [sym_enum_specifier] = STATE(3085),
    [sym_struct_specifier] = STATE(3085),
    [sym_union_specifier] = STATE(3085),
    [sym_placeholder_type_specifier] = STATE(3085),
    [sym_decltype_auto] = STATE(3091),
    [sym_decltype] = STATE(3050),
    [sym_class_specifier] = STATE(3085),
    [sym_virtual] = STATE(2673),
    [sym_alignas_specifier] = STATE(2673),
    [sym_dependent_type] = STATE(3085),
    [sym_template_type] = STATE(3050),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(7887),
    [sym_qualified_type_identifier] = STATE(3068),
    [sym_qualifiers] = STATE(2673),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2673),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3021),
    [sym_identifier] = ACTIONS(3896),
    [anon_sym___extension__] = ACTIONS(63),
    [anon_sym_in] = ACTIONS(1480),
    [anon_sym_out] = ACTIONS(1480),
    [anon_sym_inout] = ACTIONS(1480),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(3904),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2096),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(2891),
    [anon_sym_enum] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(69),
    [anon_sym_struct] = ACTIONS(71),
    [anon_sym_union] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [anon_sym_virtual] = ACTIONS(123),
    [anon_sym_alignas] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_precise] = ACTIONS(161),
    [anon_sym_shared] = ACTIONS(161),
    [anon_sym_groupshared] = ACTIONS(161),
    [anon_sym_uniform] = ACTIONS(161),
    [anon_sym_row_major] = ACTIONS(161),
    [anon_sym_column_major] = ACTIONS(161),
    [anon_sym_globallycoherent] = ACTIONS(161),
    [anon_sym_centroid] = ACTIONS(161),
    [anon_sym_noperspective] = ACTIONS(161),
    [anon_sym_nointerpolation] = ACTIONS(161),
    [anon_sym_sample] = ACTIONS(161),
    [anon_sym_linear] = ACTIONS(161),
    [anon_sym_snorm] = ACTIONS(161),
    [anon_sym_unorm] = ACTIONS(161),
    [anon_sym_point] = ACTIONS(161),
    [anon_sym_line] = ACTIONS(161),
    [anon_sym_triangleadj] = ACTIONS(161),
    [anon_sym_lineadj] = ACTIONS(161),
    [anon_sym_triangle] = ACTIONS(161),
  },
  [2651] = {
    [sym_identifier] = ACTIONS(5715),
    [aux_sym_preproc_def_token1] = ACTIONS(5715),
    [aux_sym_preproc_if_token1] = ACTIONS(5715),
    [aux_sym_preproc_if_token2] = ACTIONS(5715),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5715),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5715),
    [aux_sym_preproc_else_token1] = ACTIONS(5715),
    [aux_sym_preproc_elif_token1] = ACTIONS(5715),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5715),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5715),
    [sym_preproc_directive] = ACTIONS(5715),
    [anon_sym_LPAREN2] = ACTIONS(5717),
    [anon_sym_TILDE] = ACTIONS(5717),
    [anon_sym_STAR] = ACTIONS(5717),
    [anon_sym_AMP_AMP] = ACTIONS(5717),
    [anon_sym_AMP] = ACTIONS(5715),
    [anon_sym___extension__] = ACTIONS(5715),
    [anon_sym_typedef] = ACTIONS(5715),
    [anon_sym_in] = ACTIONS(5715),
    [anon_sym_out] = ACTIONS(5715),
    [anon_sym_inout] = ACTIONS(5715),
    [anon_sym_extern] = ACTIONS(5715),
    [anon_sym___attribute__] = ACTIONS(5715),
    [anon_sym_COLON_COLON] = ACTIONS(5717),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5717),
    [anon_sym___declspec] = ACTIONS(5715),
    [anon_sym___based] = ACTIONS(5715),
    [anon_sym_signed] = ACTIONS(5715),
    [anon_sym_unsigned] = ACTIONS(5715),
    [anon_sym_long] = ACTIONS(5715),
    [anon_sym_short] = ACTIONS(5715),
    [anon_sym_LBRACK] = ACTIONS(5715),
    [anon_sym_static] = ACTIONS(5715),
    [anon_sym_register] = ACTIONS(5715),
    [anon_sym_inline] = ACTIONS(5715),
    [anon_sym___inline] = ACTIONS(5715),
    [anon_sym___inline__] = ACTIONS(5715),
    [anon_sym___forceinline] = ACTIONS(5715),
    [anon_sym_thread_local] = ACTIONS(5715),
    [anon_sym___thread] = ACTIONS(5715),
    [anon_sym_const] = ACTIONS(5715),
    [anon_sym_constexpr] = ACTIONS(5715),
    [anon_sym_volatile] = ACTIONS(5715),
    [anon_sym_restrict] = ACTIONS(5715),
    [anon_sym___restrict__] = ACTIONS(5715),
    [anon_sym__Atomic] = ACTIONS(5715),
    [anon_sym__Noreturn] = ACTIONS(5715),
    [anon_sym_noreturn] = ACTIONS(5715),
    [anon_sym_mutable] = ACTIONS(5715),
    [anon_sym_constinit] = ACTIONS(5715),
    [anon_sym_consteval] = ACTIONS(5715),
    [sym_primitive_type] = ACTIONS(5715),
    [anon_sym_enum] = ACTIONS(5715),
    [anon_sym_class] = ACTIONS(5715),
    [anon_sym_struct] = ACTIONS(5715),
    [anon_sym_union] = ACTIONS(5715),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5715),
    [anon_sym_decltype] = ACTIONS(5715),
    [anon_sym_virtual] = ACTIONS(5715),
    [anon_sym_alignas] = ACTIONS(5715),
    [anon_sym_explicit] = ACTIONS(5715),
    [anon_sym_typename] = ACTIONS(5715),
    [anon_sym_template] = ACTIONS(5715),
    [anon_sym_operator] = ACTIONS(5715),
    [anon_sym_friend] = ACTIONS(5715),
    [anon_sym_public] = ACTIONS(5715),
    [anon_sym_private] = ACTIONS(5715),
    [anon_sym_protected] = ACTIONS(5715),
    [anon_sym_using] = ACTIONS(5715),
    [anon_sym_static_assert] = ACTIONS(5715),
    [anon_sym_precise] = ACTIONS(5715),
    [anon_sym_shared] = ACTIONS(5715),
    [anon_sym_groupshared] = ACTIONS(5715),
    [anon_sym_uniform] = ACTIONS(5715),
    [anon_sym_row_major] = ACTIONS(5715),
    [anon_sym_column_major] = ACTIONS(5715),
    [anon_sym_globallycoherent] = ACTIONS(5715),
    [anon_sym_centroid] = ACTIONS(5715),
    [anon_sym_noperspective] = ACTIONS(5715),
    [anon_sym_nointerpolation] = ACTIONS(5715),
    [anon_sym_sample] = ACTIONS(5715),
    [anon_sym_linear] = ACTIONS(5715),
    [anon_sym_snorm] = ACTIONS(5715),
    [anon_sym_unorm] = ACTIONS(5715),
    [anon_sym_point] = ACTIONS(5715),
    [anon_sym_line] = ACTIONS(5715),
    [anon_sym_triangleadj] = ACTIONS(5715),
    [anon_sym_lineadj] = ACTIONS(5715),
    [anon_sym_triangle] = ACTIONS(5715),
  },
  [2652] = {
    [sym__declaration_modifiers] = STATE(3141),
    [sym_attribute_specifier] = STATE(3141),
    [sym_attribute_declaration] = STATE(3141),
    [sym_ms_declspec_modifier] = STATE(3141),
    [sym_storage_class_specifier] = STATE(3141),
    [sym_type_qualifier] = STATE(3141),
    [sym__type_specifier] = STATE(2949),
    [sym_sized_type_specifier] = STATE(3085),
    [sym_enum_specifier] = STATE(3085),
    [sym_struct_specifier] = STATE(3085),
    [sym_union_specifier] = STATE(3085),
    [sym_placeholder_type_specifier] = STATE(3085),
    [sym_decltype_auto] = STATE(3091),
    [sym_decltype] = STATE(3050),
    [sym_class_specifier] = STATE(3085),
    [sym_virtual] = STATE(3141),
    [sym_alignas_specifier] = STATE(3141),
    [sym_dependent_type] = STATE(3085),
    [sym_template_type] = STATE(3050),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(7879),
    [sym_qualified_type_identifier] = STATE(3068),
    [sym_qualifiers] = STATE(3141),
    [aux_sym__declaration_specifiers_repeat1] = STATE(3141),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3021),
    [sym_identifier] = ACTIONS(4559),
    [anon_sym___extension__] = ACTIONS(63),
    [anon_sym_in] = ACTIONS(5719),
    [anon_sym_out] = ACTIONS(5719),
    [anon_sym_inout] = ACTIONS(5719),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(4569),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2096),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(2891),
    [anon_sym_enum] = ACTIONS(2124),
    [anon_sym_class] = ACTIONS(2126),
    [anon_sym_struct] = ACTIONS(2128),
    [anon_sym_union] = ACTIONS(2130),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [anon_sym_virtual] = ACTIONS(123),
    [anon_sym_alignas] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(2154),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_precise] = ACTIONS(161),
    [anon_sym_shared] = ACTIONS(161),
    [anon_sym_groupshared] = ACTIONS(161),
    [anon_sym_uniform] = ACTIONS(161),
    [anon_sym_row_major] = ACTIONS(161),
    [anon_sym_column_major] = ACTIONS(161),
    [anon_sym_globallycoherent] = ACTIONS(161),
    [anon_sym_centroid] = ACTIONS(161),
    [anon_sym_noperspective] = ACTIONS(161),
    [anon_sym_nointerpolation] = ACTIONS(161),
    [anon_sym_sample] = ACTIONS(161),
    [anon_sym_linear] = ACTIONS(161),
    [anon_sym_snorm] = ACTIONS(161),
    [anon_sym_unorm] = ACTIONS(161),
    [anon_sym_point] = ACTIONS(161),
    [anon_sym_line] = ACTIONS(161),
    [anon_sym_triangleadj] = ACTIONS(161),
    [anon_sym_lineadj] = ACTIONS(161),
    [anon_sym_triangle] = ACTIONS(161),
  },
  [2653] = {
    [sym_identifier] = ACTIONS(5721),
    [anon_sym_RPAREN] = ACTIONS(5723),
    [anon_sym_LPAREN2] = ACTIONS(5723),
    [anon_sym_TILDE] = ACTIONS(5723),
    [anon_sym_STAR] = ACTIONS(5723),
    [anon_sym_PIPE_PIPE] = ACTIONS(5723),
    [anon_sym_AMP_AMP] = ACTIONS(5723),
    [anon_sym_AMP] = ACTIONS(5721),
    [anon_sym___extension__] = ACTIONS(5721),
    [anon_sym_in] = ACTIONS(5721),
    [anon_sym_out] = ACTIONS(5721),
    [anon_sym_inout] = ACTIONS(5721),
    [anon_sym_extern] = ACTIONS(5721),
    [anon_sym___attribute__] = ACTIONS(5721),
    [anon_sym_COLON_COLON] = ACTIONS(5723),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5723),
    [anon_sym___declspec] = ACTIONS(5721),
    [anon_sym___based] = ACTIONS(5721),
    [anon_sym___cdecl] = ACTIONS(5721),
    [anon_sym___clrcall] = ACTIONS(5721),
    [anon_sym___stdcall] = ACTIONS(5721),
    [anon_sym___fastcall] = ACTIONS(5721),
    [anon_sym___thiscall] = ACTIONS(5721),
    [anon_sym___vectorcall] = ACTIONS(5721),
    [anon_sym_signed] = ACTIONS(5721),
    [anon_sym_unsigned] = ACTIONS(5721),
    [anon_sym_long] = ACTIONS(5721),
    [anon_sym_short] = ACTIONS(5721),
    [anon_sym_LBRACK] = ACTIONS(5721),
    [anon_sym_static] = ACTIONS(5721),
    [anon_sym_register] = ACTIONS(5721),
    [anon_sym_inline] = ACTIONS(5721),
    [anon_sym___inline] = ACTIONS(5721),
    [anon_sym___inline__] = ACTIONS(5721),
    [anon_sym___forceinline] = ACTIONS(5721),
    [anon_sym_thread_local] = ACTIONS(5721),
    [anon_sym___thread] = ACTIONS(5721),
    [anon_sym_const] = ACTIONS(5721),
    [anon_sym_constexpr] = ACTIONS(5721),
    [anon_sym_volatile] = ACTIONS(5721),
    [anon_sym_restrict] = ACTIONS(5721),
    [anon_sym___restrict__] = ACTIONS(5721),
    [anon_sym__Atomic] = ACTIONS(5721),
    [anon_sym__Noreturn] = ACTIONS(5721),
    [anon_sym_noreturn] = ACTIONS(5721),
    [anon_sym_mutable] = ACTIONS(5721),
    [anon_sym_constinit] = ACTIONS(5721),
    [anon_sym_consteval] = ACTIONS(5721),
    [sym_primitive_type] = ACTIONS(5721),
    [anon_sym_enum] = ACTIONS(5721),
    [anon_sym_class] = ACTIONS(5721),
    [anon_sym_struct] = ACTIONS(5721),
    [anon_sym_union] = ACTIONS(5721),
    [anon_sym_or] = ACTIONS(5721),
    [anon_sym_and] = ACTIONS(5721),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5721),
    [anon_sym_decltype] = ACTIONS(5721),
    [anon_sym_final] = ACTIONS(5721),
    [anon_sym_override] = ACTIONS(5721),
    [anon_sym_virtual] = ACTIONS(5721),
    [anon_sym_alignas] = ACTIONS(5721),
    [anon_sym_explicit] = ACTIONS(5721),
    [anon_sym_typename] = ACTIONS(5721),
    [anon_sym_template] = ACTIONS(5721),
    [anon_sym_operator] = ACTIONS(5721),
    [anon_sym_friend] = ACTIONS(5721),
    [anon_sym_using] = ACTIONS(5721),
    [anon_sym_concept] = ACTIONS(5721),
    [anon_sym_requires] = ACTIONS(5721),
    [anon_sym_precise] = ACTIONS(5721),
    [anon_sym_shared] = ACTIONS(5721),
    [anon_sym_groupshared] = ACTIONS(5721),
    [anon_sym_uniform] = ACTIONS(5721),
    [anon_sym_row_major] = ACTIONS(5721),
    [anon_sym_column_major] = ACTIONS(5721),
    [anon_sym_globallycoherent] = ACTIONS(5721),
    [anon_sym_centroid] = ACTIONS(5721),
    [anon_sym_noperspective] = ACTIONS(5721),
    [anon_sym_nointerpolation] = ACTIONS(5721),
    [anon_sym_sample] = ACTIONS(5721),
    [anon_sym_linear] = ACTIONS(5721),
    [anon_sym_snorm] = ACTIONS(5721),
    [anon_sym_unorm] = ACTIONS(5721),
    [anon_sym_point] = ACTIONS(5721),
    [anon_sym_line] = ACTIONS(5721),
    [anon_sym_triangleadj] = ACTIONS(5721),
    [anon_sym_lineadj] = ACTIONS(5721),
    [anon_sym_triangle] = ACTIONS(5721),
  },
  [2654] = {
    [sym_catch_clause] = STATE(2666),
    [aux_sym_constructor_try_statement_repeat1] = STATE(2666),
    [sym_identifier] = ACTIONS(2242),
    [aux_sym_preproc_def_token1] = ACTIONS(2242),
    [aux_sym_preproc_if_token1] = ACTIONS(2242),
    [aux_sym_preproc_if_token2] = ACTIONS(2242),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2242),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2242),
    [sym_preproc_directive] = ACTIONS(2242),
    [anon_sym_LPAREN2] = ACTIONS(2244),
    [anon_sym_TILDE] = ACTIONS(2244),
    [anon_sym_STAR] = ACTIONS(2244),
    [anon_sym_AMP_AMP] = ACTIONS(2244),
    [anon_sym_AMP] = ACTIONS(2242),
    [anon_sym___extension__] = ACTIONS(2242),
    [anon_sym_typedef] = ACTIONS(2242),
    [anon_sym_in] = ACTIONS(2242),
    [anon_sym_out] = ACTIONS(2242),
    [anon_sym_inout] = ACTIONS(2242),
    [anon_sym_extern] = ACTIONS(2242),
    [anon_sym___attribute__] = ACTIONS(2242),
    [anon_sym_COLON_COLON] = ACTIONS(2244),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2244),
    [anon_sym___declspec] = ACTIONS(2242),
    [anon_sym___based] = ACTIONS(2242),
    [anon_sym_signed] = ACTIONS(2242),
    [anon_sym_unsigned] = ACTIONS(2242),
    [anon_sym_long] = ACTIONS(2242),
    [anon_sym_short] = ACTIONS(2242),
    [anon_sym_LBRACK] = ACTIONS(2242),
    [anon_sym_static] = ACTIONS(2242),
    [anon_sym_register] = ACTIONS(2242),
    [anon_sym_inline] = ACTIONS(2242),
    [anon_sym___inline] = ACTIONS(2242),
    [anon_sym___inline__] = ACTIONS(2242),
    [anon_sym___forceinline] = ACTIONS(2242),
    [anon_sym_thread_local] = ACTIONS(2242),
    [anon_sym___thread] = ACTIONS(2242),
    [anon_sym_const] = ACTIONS(2242),
    [anon_sym_constexpr] = ACTIONS(2242),
    [anon_sym_volatile] = ACTIONS(2242),
    [anon_sym_restrict] = ACTIONS(2242),
    [anon_sym___restrict__] = ACTIONS(2242),
    [anon_sym__Atomic] = ACTIONS(2242),
    [anon_sym__Noreturn] = ACTIONS(2242),
    [anon_sym_noreturn] = ACTIONS(2242),
    [anon_sym_mutable] = ACTIONS(2242),
    [anon_sym_constinit] = ACTIONS(2242),
    [anon_sym_consteval] = ACTIONS(2242),
    [sym_primitive_type] = ACTIONS(2242),
    [anon_sym_enum] = ACTIONS(2242),
    [anon_sym_class] = ACTIONS(2242),
    [anon_sym_struct] = ACTIONS(2242),
    [anon_sym_union] = ACTIONS(2242),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2242),
    [anon_sym_decltype] = ACTIONS(2242),
    [anon_sym_virtual] = ACTIONS(2242),
    [anon_sym_alignas] = ACTIONS(2242),
    [anon_sym_explicit] = ACTIONS(2242),
    [anon_sym_typename] = ACTIONS(2242),
    [anon_sym_template] = ACTIONS(2242),
    [anon_sym_operator] = ACTIONS(2242),
    [anon_sym_friend] = ACTIONS(2242),
    [anon_sym_public] = ACTIONS(2242),
    [anon_sym_private] = ACTIONS(2242),
    [anon_sym_protected] = ACTIONS(2242),
    [anon_sym_using] = ACTIONS(2242),
    [anon_sym_static_assert] = ACTIONS(2242),
    [anon_sym_catch] = ACTIONS(5725),
    [anon_sym_precise] = ACTIONS(2242),
    [anon_sym_shared] = ACTIONS(2242),
    [anon_sym_groupshared] = ACTIONS(2242),
    [anon_sym_uniform] = ACTIONS(2242),
    [anon_sym_row_major] = ACTIONS(2242),
    [anon_sym_column_major] = ACTIONS(2242),
    [anon_sym_globallycoherent] = ACTIONS(2242),
    [anon_sym_centroid] = ACTIONS(2242),
    [anon_sym_noperspective] = ACTIONS(2242),
    [anon_sym_nointerpolation] = ACTIONS(2242),
    [anon_sym_sample] = ACTIONS(2242),
    [anon_sym_linear] = ACTIONS(2242),
    [anon_sym_snorm] = ACTIONS(2242),
    [anon_sym_unorm] = ACTIONS(2242),
    [anon_sym_point] = ACTIONS(2242),
    [anon_sym_line] = ACTIONS(2242),
    [anon_sym_triangleadj] = ACTIONS(2242),
    [anon_sym_lineadj] = ACTIONS(2242),
    [anon_sym_triangle] = ACTIONS(2242),
  },
  [2655] = {
    [sym_identifier] = ACTIONS(5727),
    [anon_sym_RPAREN] = ACTIONS(5729),
    [anon_sym_LPAREN2] = ACTIONS(5729),
    [anon_sym_TILDE] = ACTIONS(5729),
    [anon_sym_STAR] = ACTIONS(5729),
    [anon_sym_PIPE_PIPE] = ACTIONS(5729),
    [anon_sym_AMP_AMP] = ACTIONS(5729),
    [anon_sym_AMP] = ACTIONS(5727),
    [anon_sym___extension__] = ACTIONS(5727),
    [anon_sym_in] = ACTIONS(5727),
    [anon_sym_out] = ACTIONS(5727),
    [anon_sym_inout] = ACTIONS(5727),
    [anon_sym_extern] = ACTIONS(5727),
    [anon_sym___attribute__] = ACTIONS(5727),
    [anon_sym_COLON_COLON] = ACTIONS(5729),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5729),
    [anon_sym___declspec] = ACTIONS(5727),
    [anon_sym___based] = ACTIONS(5727),
    [anon_sym___cdecl] = ACTIONS(5727),
    [anon_sym___clrcall] = ACTIONS(5727),
    [anon_sym___stdcall] = ACTIONS(5727),
    [anon_sym___fastcall] = ACTIONS(5727),
    [anon_sym___thiscall] = ACTIONS(5727),
    [anon_sym___vectorcall] = ACTIONS(5727),
    [anon_sym_signed] = ACTIONS(5727),
    [anon_sym_unsigned] = ACTIONS(5727),
    [anon_sym_long] = ACTIONS(5727),
    [anon_sym_short] = ACTIONS(5727),
    [anon_sym_LBRACK] = ACTIONS(5727),
    [anon_sym_static] = ACTIONS(5727),
    [anon_sym_register] = ACTIONS(5727),
    [anon_sym_inline] = ACTIONS(5727),
    [anon_sym___inline] = ACTIONS(5727),
    [anon_sym___inline__] = ACTIONS(5727),
    [anon_sym___forceinline] = ACTIONS(5727),
    [anon_sym_thread_local] = ACTIONS(5727),
    [anon_sym___thread] = ACTIONS(5727),
    [anon_sym_const] = ACTIONS(5727),
    [anon_sym_constexpr] = ACTIONS(5727),
    [anon_sym_volatile] = ACTIONS(5727),
    [anon_sym_restrict] = ACTIONS(5727),
    [anon_sym___restrict__] = ACTIONS(5727),
    [anon_sym__Atomic] = ACTIONS(5727),
    [anon_sym__Noreturn] = ACTIONS(5727),
    [anon_sym_noreturn] = ACTIONS(5727),
    [anon_sym_mutable] = ACTIONS(5727),
    [anon_sym_constinit] = ACTIONS(5727),
    [anon_sym_consteval] = ACTIONS(5727),
    [sym_primitive_type] = ACTIONS(5727),
    [anon_sym_enum] = ACTIONS(5727),
    [anon_sym_class] = ACTIONS(5727),
    [anon_sym_struct] = ACTIONS(5727),
    [anon_sym_union] = ACTIONS(5727),
    [anon_sym_or] = ACTIONS(5727),
    [anon_sym_and] = ACTIONS(5727),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5727),
    [anon_sym_decltype] = ACTIONS(5727),
    [anon_sym_final] = ACTIONS(5727),
    [anon_sym_override] = ACTIONS(5727),
    [anon_sym_virtual] = ACTIONS(5727),
    [anon_sym_alignas] = ACTIONS(5727),
    [anon_sym_explicit] = ACTIONS(5727),
    [anon_sym_typename] = ACTIONS(5727),
    [anon_sym_template] = ACTIONS(5727),
    [anon_sym_operator] = ACTIONS(5727),
    [anon_sym_friend] = ACTIONS(5727),
    [anon_sym_using] = ACTIONS(5727),
    [anon_sym_concept] = ACTIONS(5727),
    [anon_sym_requires] = ACTIONS(5727),
    [anon_sym_precise] = ACTIONS(5727),
    [anon_sym_shared] = ACTIONS(5727),
    [anon_sym_groupshared] = ACTIONS(5727),
    [anon_sym_uniform] = ACTIONS(5727),
    [anon_sym_row_major] = ACTIONS(5727),
    [anon_sym_column_major] = ACTIONS(5727),
    [anon_sym_globallycoherent] = ACTIONS(5727),
    [anon_sym_centroid] = ACTIONS(5727),
    [anon_sym_noperspective] = ACTIONS(5727),
    [anon_sym_nointerpolation] = ACTIONS(5727),
    [anon_sym_sample] = ACTIONS(5727),
    [anon_sym_linear] = ACTIONS(5727),
    [anon_sym_snorm] = ACTIONS(5727),
    [anon_sym_unorm] = ACTIONS(5727),
    [anon_sym_point] = ACTIONS(5727),
    [anon_sym_line] = ACTIONS(5727),
    [anon_sym_triangleadj] = ACTIONS(5727),
    [anon_sym_lineadj] = ACTIONS(5727),
    [anon_sym_triangle] = ACTIONS(5727),
  },
  [2656] = {
    [sym_identifier] = ACTIONS(5731),
    [anon_sym_RPAREN] = ACTIONS(5733),
    [anon_sym_LPAREN2] = ACTIONS(5733),
    [anon_sym_TILDE] = ACTIONS(5733),
    [anon_sym_STAR] = ACTIONS(5733),
    [anon_sym_PIPE_PIPE] = ACTIONS(5733),
    [anon_sym_AMP_AMP] = ACTIONS(5733),
    [anon_sym_AMP] = ACTIONS(5731),
    [anon_sym___extension__] = ACTIONS(5731),
    [anon_sym_in] = ACTIONS(5731),
    [anon_sym_out] = ACTIONS(5731),
    [anon_sym_inout] = ACTIONS(5731),
    [anon_sym_extern] = ACTIONS(5731),
    [anon_sym___attribute__] = ACTIONS(5731),
    [anon_sym_COLON_COLON] = ACTIONS(5733),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5733),
    [anon_sym___declspec] = ACTIONS(5731),
    [anon_sym___based] = ACTIONS(5731),
    [anon_sym___cdecl] = ACTIONS(5731),
    [anon_sym___clrcall] = ACTIONS(5731),
    [anon_sym___stdcall] = ACTIONS(5731),
    [anon_sym___fastcall] = ACTIONS(5731),
    [anon_sym___thiscall] = ACTIONS(5731),
    [anon_sym___vectorcall] = ACTIONS(5731),
    [anon_sym_signed] = ACTIONS(5731),
    [anon_sym_unsigned] = ACTIONS(5731),
    [anon_sym_long] = ACTIONS(5731),
    [anon_sym_short] = ACTIONS(5731),
    [anon_sym_LBRACK] = ACTIONS(5731),
    [anon_sym_static] = ACTIONS(5731),
    [anon_sym_register] = ACTIONS(5731),
    [anon_sym_inline] = ACTIONS(5731),
    [anon_sym___inline] = ACTIONS(5731),
    [anon_sym___inline__] = ACTIONS(5731),
    [anon_sym___forceinline] = ACTIONS(5731),
    [anon_sym_thread_local] = ACTIONS(5731),
    [anon_sym___thread] = ACTIONS(5731),
    [anon_sym_const] = ACTIONS(5731),
    [anon_sym_constexpr] = ACTIONS(5731),
    [anon_sym_volatile] = ACTIONS(5731),
    [anon_sym_restrict] = ACTIONS(5731),
    [anon_sym___restrict__] = ACTIONS(5731),
    [anon_sym__Atomic] = ACTIONS(5731),
    [anon_sym__Noreturn] = ACTIONS(5731),
    [anon_sym_noreturn] = ACTIONS(5731),
    [anon_sym_mutable] = ACTIONS(5731),
    [anon_sym_constinit] = ACTIONS(5731),
    [anon_sym_consteval] = ACTIONS(5731),
    [sym_primitive_type] = ACTIONS(5731),
    [anon_sym_enum] = ACTIONS(5731),
    [anon_sym_class] = ACTIONS(5731),
    [anon_sym_struct] = ACTIONS(5731),
    [anon_sym_union] = ACTIONS(5731),
    [anon_sym_or] = ACTIONS(5731),
    [anon_sym_and] = ACTIONS(5731),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5731),
    [anon_sym_decltype] = ACTIONS(5731),
    [anon_sym_final] = ACTIONS(5731),
    [anon_sym_override] = ACTIONS(5731),
    [anon_sym_virtual] = ACTIONS(5731),
    [anon_sym_alignas] = ACTIONS(5731),
    [anon_sym_explicit] = ACTIONS(5731),
    [anon_sym_typename] = ACTIONS(5731),
    [anon_sym_template] = ACTIONS(5731),
    [anon_sym_operator] = ACTIONS(5731),
    [anon_sym_friend] = ACTIONS(5731),
    [anon_sym_using] = ACTIONS(5731),
    [anon_sym_concept] = ACTIONS(5731),
    [anon_sym_requires] = ACTIONS(5731),
    [anon_sym_precise] = ACTIONS(5731),
    [anon_sym_shared] = ACTIONS(5731),
    [anon_sym_groupshared] = ACTIONS(5731),
    [anon_sym_uniform] = ACTIONS(5731),
    [anon_sym_row_major] = ACTIONS(5731),
    [anon_sym_column_major] = ACTIONS(5731),
    [anon_sym_globallycoherent] = ACTIONS(5731),
    [anon_sym_centroid] = ACTIONS(5731),
    [anon_sym_noperspective] = ACTIONS(5731),
    [anon_sym_nointerpolation] = ACTIONS(5731),
    [anon_sym_sample] = ACTIONS(5731),
    [anon_sym_linear] = ACTIONS(5731),
    [anon_sym_snorm] = ACTIONS(5731),
    [anon_sym_unorm] = ACTIONS(5731),
    [anon_sym_point] = ACTIONS(5731),
    [anon_sym_line] = ACTIONS(5731),
    [anon_sym_triangleadj] = ACTIONS(5731),
    [anon_sym_lineadj] = ACTIONS(5731),
    [anon_sym_triangle] = ACTIONS(5731),
  },
  [2657] = {
    [sym_identifier] = ACTIONS(5735),
    [anon_sym_RPAREN] = ACTIONS(5737),
    [anon_sym_LPAREN2] = ACTIONS(5737),
    [anon_sym_TILDE] = ACTIONS(5737),
    [anon_sym_STAR] = ACTIONS(5737),
    [anon_sym_PIPE_PIPE] = ACTIONS(5737),
    [anon_sym_AMP_AMP] = ACTIONS(5737),
    [anon_sym_AMP] = ACTIONS(5735),
    [anon_sym___extension__] = ACTIONS(5735),
    [anon_sym_in] = ACTIONS(5735),
    [anon_sym_out] = ACTIONS(5735),
    [anon_sym_inout] = ACTIONS(5735),
    [anon_sym_extern] = ACTIONS(5735),
    [anon_sym___attribute__] = ACTIONS(5735),
    [anon_sym_COLON_COLON] = ACTIONS(5737),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5737),
    [anon_sym___declspec] = ACTIONS(5735),
    [anon_sym___based] = ACTIONS(5735),
    [anon_sym___cdecl] = ACTIONS(5735),
    [anon_sym___clrcall] = ACTIONS(5735),
    [anon_sym___stdcall] = ACTIONS(5735),
    [anon_sym___fastcall] = ACTIONS(5735),
    [anon_sym___thiscall] = ACTIONS(5735),
    [anon_sym___vectorcall] = ACTIONS(5735),
    [anon_sym_signed] = ACTIONS(5735),
    [anon_sym_unsigned] = ACTIONS(5735),
    [anon_sym_long] = ACTIONS(5735),
    [anon_sym_short] = ACTIONS(5735),
    [anon_sym_LBRACK] = ACTIONS(5735),
    [anon_sym_static] = ACTIONS(5735),
    [anon_sym_register] = ACTIONS(5735),
    [anon_sym_inline] = ACTIONS(5735),
    [anon_sym___inline] = ACTIONS(5735),
    [anon_sym___inline__] = ACTIONS(5735),
    [anon_sym___forceinline] = ACTIONS(5735),
    [anon_sym_thread_local] = ACTIONS(5735),
    [anon_sym___thread] = ACTIONS(5735),
    [anon_sym_const] = ACTIONS(5735),
    [anon_sym_constexpr] = ACTIONS(5735),
    [anon_sym_volatile] = ACTIONS(5735),
    [anon_sym_restrict] = ACTIONS(5735),
    [anon_sym___restrict__] = ACTIONS(5735),
    [anon_sym__Atomic] = ACTIONS(5735),
    [anon_sym__Noreturn] = ACTIONS(5735),
    [anon_sym_noreturn] = ACTIONS(5735),
    [anon_sym_mutable] = ACTIONS(5735),
    [anon_sym_constinit] = ACTIONS(5735),
    [anon_sym_consteval] = ACTIONS(5735),
    [sym_primitive_type] = ACTIONS(5735),
    [anon_sym_enum] = ACTIONS(5735),
    [anon_sym_class] = ACTIONS(5735),
    [anon_sym_struct] = ACTIONS(5735),
    [anon_sym_union] = ACTIONS(5735),
    [anon_sym_or] = ACTIONS(5735),
    [anon_sym_and] = ACTIONS(5735),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5735),
    [anon_sym_decltype] = ACTIONS(5735),
    [anon_sym_final] = ACTIONS(5735),
    [anon_sym_override] = ACTIONS(5735),
    [anon_sym_virtual] = ACTIONS(5735),
    [anon_sym_alignas] = ACTIONS(5735),
    [anon_sym_explicit] = ACTIONS(5735),
    [anon_sym_typename] = ACTIONS(5735),
    [anon_sym_template] = ACTIONS(5735),
    [anon_sym_operator] = ACTIONS(5735),
    [anon_sym_friend] = ACTIONS(5735),
    [anon_sym_using] = ACTIONS(5735),
    [anon_sym_concept] = ACTIONS(5735),
    [anon_sym_requires] = ACTIONS(5735),
    [anon_sym_precise] = ACTIONS(5735),
    [anon_sym_shared] = ACTIONS(5735),
    [anon_sym_groupshared] = ACTIONS(5735),
    [anon_sym_uniform] = ACTIONS(5735),
    [anon_sym_row_major] = ACTIONS(5735),
    [anon_sym_column_major] = ACTIONS(5735),
    [anon_sym_globallycoherent] = ACTIONS(5735),
    [anon_sym_centroid] = ACTIONS(5735),
    [anon_sym_noperspective] = ACTIONS(5735),
    [anon_sym_nointerpolation] = ACTIONS(5735),
    [anon_sym_sample] = ACTIONS(5735),
    [anon_sym_linear] = ACTIONS(5735),
    [anon_sym_snorm] = ACTIONS(5735),
    [anon_sym_unorm] = ACTIONS(5735),
    [anon_sym_point] = ACTIONS(5735),
    [anon_sym_line] = ACTIONS(5735),
    [anon_sym_triangleadj] = ACTIONS(5735),
    [anon_sym_lineadj] = ACTIONS(5735),
    [anon_sym_triangle] = ACTIONS(5735),
  },
  [2658] = {
    [sym_identifier] = ACTIONS(5739),
    [anon_sym_RPAREN] = ACTIONS(5741),
    [anon_sym_LPAREN2] = ACTIONS(5741),
    [anon_sym_TILDE] = ACTIONS(5741),
    [anon_sym_STAR] = ACTIONS(5741),
    [anon_sym_PIPE_PIPE] = ACTIONS(5741),
    [anon_sym_AMP_AMP] = ACTIONS(5741),
    [anon_sym_AMP] = ACTIONS(5739),
    [anon_sym___extension__] = ACTIONS(5739),
    [anon_sym_in] = ACTIONS(5739),
    [anon_sym_out] = ACTIONS(5739),
    [anon_sym_inout] = ACTIONS(5739),
    [anon_sym_extern] = ACTIONS(5739),
    [anon_sym___attribute__] = ACTIONS(5739),
    [anon_sym_COLON_COLON] = ACTIONS(5741),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5741),
    [anon_sym___declspec] = ACTIONS(5739),
    [anon_sym___based] = ACTIONS(5739),
    [anon_sym___cdecl] = ACTIONS(5739),
    [anon_sym___clrcall] = ACTIONS(5739),
    [anon_sym___stdcall] = ACTIONS(5739),
    [anon_sym___fastcall] = ACTIONS(5739),
    [anon_sym___thiscall] = ACTIONS(5739),
    [anon_sym___vectorcall] = ACTIONS(5739),
    [anon_sym_signed] = ACTIONS(5739),
    [anon_sym_unsigned] = ACTIONS(5739),
    [anon_sym_long] = ACTIONS(5739),
    [anon_sym_short] = ACTIONS(5739),
    [anon_sym_LBRACK] = ACTIONS(5739),
    [anon_sym_static] = ACTIONS(5739),
    [anon_sym_register] = ACTIONS(5739),
    [anon_sym_inline] = ACTIONS(5739),
    [anon_sym___inline] = ACTIONS(5739),
    [anon_sym___inline__] = ACTIONS(5739),
    [anon_sym___forceinline] = ACTIONS(5739),
    [anon_sym_thread_local] = ACTIONS(5739),
    [anon_sym___thread] = ACTIONS(5739),
    [anon_sym_const] = ACTIONS(5739),
    [anon_sym_constexpr] = ACTIONS(5739),
    [anon_sym_volatile] = ACTIONS(5739),
    [anon_sym_restrict] = ACTIONS(5739),
    [anon_sym___restrict__] = ACTIONS(5739),
    [anon_sym__Atomic] = ACTIONS(5739),
    [anon_sym__Noreturn] = ACTIONS(5739),
    [anon_sym_noreturn] = ACTIONS(5739),
    [anon_sym_mutable] = ACTIONS(5739),
    [anon_sym_constinit] = ACTIONS(5739),
    [anon_sym_consteval] = ACTIONS(5739),
    [sym_primitive_type] = ACTIONS(5739),
    [anon_sym_enum] = ACTIONS(5739),
    [anon_sym_class] = ACTIONS(5739),
    [anon_sym_struct] = ACTIONS(5739),
    [anon_sym_union] = ACTIONS(5739),
    [anon_sym_or] = ACTIONS(5739),
    [anon_sym_and] = ACTIONS(5739),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5739),
    [anon_sym_decltype] = ACTIONS(5739),
    [anon_sym_final] = ACTIONS(5739),
    [anon_sym_override] = ACTIONS(5739),
    [anon_sym_virtual] = ACTIONS(5739),
    [anon_sym_alignas] = ACTIONS(5739),
    [anon_sym_explicit] = ACTIONS(5739),
    [anon_sym_typename] = ACTIONS(5739),
    [anon_sym_template] = ACTIONS(5739),
    [anon_sym_operator] = ACTIONS(5739),
    [anon_sym_friend] = ACTIONS(5739),
    [anon_sym_using] = ACTIONS(5739),
    [anon_sym_concept] = ACTIONS(5739),
    [anon_sym_requires] = ACTIONS(5739),
    [anon_sym_precise] = ACTIONS(5739),
    [anon_sym_shared] = ACTIONS(5739),
    [anon_sym_groupshared] = ACTIONS(5739),
    [anon_sym_uniform] = ACTIONS(5739),
    [anon_sym_row_major] = ACTIONS(5739),
    [anon_sym_column_major] = ACTIONS(5739),
    [anon_sym_globallycoherent] = ACTIONS(5739),
    [anon_sym_centroid] = ACTIONS(5739),
    [anon_sym_noperspective] = ACTIONS(5739),
    [anon_sym_nointerpolation] = ACTIONS(5739),
    [anon_sym_sample] = ACTIONS(5739),
    [anon_sym_linear] = ACTIONS(5739),
    [anon_sym_snorm] = ACTIONS(5739),
    [anon_sym_unorm] = ACTIONS(5739),
    [anon_sym_point] = ACTIONS(5739),
    [anon_sym_line] = ACTIONS(5739),
    [anon_sym_triangleadj] = ACTIONS(5739),
    [anon_sym_lineadj] = ACTIONS(5739),
    [anon_sym_triangle] = ACTIONS(5739),
  },
  [2659] = {
    [sym_identifier] = ACTIONS(2314),
    [aux_sym_preproc_def_token1] = ACTIONS(2314),
    [aux_sym_preproc_if_token1] = ACTIONS(2314),
    [aux_sym_preproc_if_token2] = ACTIONS(2314),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2314),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2314),
    [aux_sym_preproc_else_token1] = ACTIONS(2314),
    [aux_sym_preproc_elif_token1] = ACTIONS(2314),
    [sym_preproc_directive] = ACTIONS(2314),
    [anon_sym_LPAREN2] = ACTIONS(2316),
    [anon_sym_TILDE] = ACTIONS(2316),
    [anon_sym_STAR] = ACTIONS(2316),
    [anon_sym_AMP_AMP] = ACTIONS(2316),
    [anon_sym_AMP] = ACTIONS(2314),
    [anon_sym___extension__] = ACTIONS(2314),
    [anon_sym_typedef] = ACTIONS(2314),
    [anon_sym_in] = ACTIONS(2314),
    [anon_sym_out] = ACTIONS(2314),
    [anon_sym_inout] = ACTIONS(2314),
    [anon_sym_extern] = ACTIONS(2314),
    [anon_sym___attribute__] = ACTIONS(2314),
    [anon_sym_COLON_COLON] = ACTIONS(2316),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2316),
    [anon_sym___declspec] = ACTIONS(2314),
    [anon_sym___based] = ACTIONS(2314),
    [anon_sym_signed] = ACTIONS(2314),
    [anon_sym_unsigned] = ACTIONS(2314),
    [anon_sym_long] = ACTIONS(2314),
    [anon_sym_short] = ACTIONS(2314),
    [anon_sym_LBRACK] = ACTIONS(2314),
    [anon_sym_static] = ACTIONS(2314),
    [anon_sym_register] = ACTIONS(2314),
    [anon_sym_inline] = ACTIONS(2314),
    [anon_sym___inline] = ACTIONS(2314),
    [anon_sym___inline__] = ACTIONS(2314),
    [anon_sym___forceinline] = ACTIONS(2314),
    [anon_sym_thread_local] = ACTIONS(2314),
    [anon_sym___thread] = ACTIONS(2314),
    [anon_sym_const] = ACTIONS(2314),
    [anon_sym_constexpr] = ACTIONS(2314),
    [anon_sym_volatile] = ACTIONS(2314),
    [anon_sym_restrict] = ACTIONS(2314),
    [anon_sym___restrict__] = ACTIONS(2314),
    [anon_sym__Atomic] = ACTIONS(2314),
    [anon_sym__Noreturn] = ACTIONS(2314),
    [anon_sym_noreturn] = ACTIONS(2314),
    [anon_sym_mutable] = ACTIONS(2314),
    [anon_sym_constinit] = ACTIONS(2314),
    [anon_sym_consteval] = ACTIONS(2314),
    [sym_primitive_type] = ACTIONS(2314),
    [anon_sym_enum] = ACTIONS(2314),
    [anon_sym_class] = ACTIONS(2314),
    [anon_sym_struct] = ACTIONS(2314),
    [anon_sym_union] = ACTIONS(2314),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2314),
    [anon_sym_decltype] = ACTIONS(2314),
    [anon_sym_virtual] = ACTIONS(2314),
    [anon_sym_alignas] = ACTIONS(2314),
    [anon_sym_explicit] = ACTIONS(2314),
    [anon_sym_typename] = ACTIONS(2314),
    [anon_sym_template] = ACTIONS(2314),
    [anon_sym_operator] = ACTIONS(2314),
    [anon_sym_friend] = ACTIONS(2314),
    [anon_sym_public] = ACTIONS(2314),
    [anon_sym_private] = ACTIONS(2314),
    [anon_sym_protected] = ACTIONS(2314),
    [anon_sym_using] = ACTIONS(2314),
    [anon_sym_static_assert] = ACTIONS(2314),
    [anon_sym_catch] = ACTIONS(2314),
    [anon_sym_precise] = ACTIONS(2314),
    [anon_sym_shared] = ACTIONS(2314),
    [anon_sym_groupshared] = ACTIONS(2314),
    [anon_sym_uniform] = ACTIONS(2314),
    [anon_sym_row_major] = ACTIONS(2314),
    [anon_sym_column_major] = ACTIONS(2314),
    [anon_sym_globallycoherent] = ACTIONS(2314),
    [anon_sym_centroid] = ACTIONS(2314),
    [anon_sym_noperspective] = ACTIONS(2314),
    [anon_sym_nointerpolation] = ACTIONS(2314),
    [anon_sym_sample] = ACTIONS(2314),
    [anon_sym_linear] = ACTIONS(2314),
    [anon_sym_snorm] = ACTIONS(2314),
    [anon_sym_unorm] = ACTIONS(2314),
    [anon_sym_point] = ACTIONS(2314),
    [anon_sym_line] = ACTIONS(2314),
    [anon_sym_triangleadj] = ACTIONS(2314),
    [anon_sym_lineadj] = ACTIONS(2314),
    [anon_sym_triangle] = ACTIONS(2314),
  },
  [2660] = {
    [sym_catch_clause] = STATE(2676),
    [aux_sym_constructor_try_statement_repeat1] = STATE(2676),
    [sym_identifier] = ACTIONS(2285),
    [aux_sym_preproc_def_token1] = ACTIONS(2285),
    [aux_sym_preproc_if_token1] = ACTIONS(2285),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2285),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2285),
    [sym_preproc_directive] = ACTIONS(2285),
    [anon_sym_LPAREN2] = ACTIONS(2287),
    [anon_sym_TILDE] = ACTIONS(2287),
    [anon_sym_STAR] = ACTIONS(2287),
    [anon_sym_AMP_AMP] = ACTIONS(2287),
    [anon_sym_AMP] = ACTIONS(2285),
    [anon_sym___extension__] = ACTIONS(2285),
    [anon_sym_typedef] = ACTIONS(2285),
    [anon_sym_in] = ACTIONS(2285),
    [anon_sym_out] = ACTIONS(2285),
    [anon_sym_inout] = ACTIONS(2285),
    [anon_sym_extern] = ACTIONS(2285),
    [anon_sym___attribute__] = ACTIONS(2285),
    [anon_sym_COLON_COLON] = ACTIONS(2287),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2287),
    [anon_sym___declspec] = ACTIONS(2285),
    [anon_sym___based] = ACTIONS(2285),
    [anon_sym_RBRACE] = ACTIONS(2287),
    [anon_sym_signed] = ACTIONS(2285),
    [anon_sym_unsigned] = ACTIONS(2285),
    [anon_sym_long] = ACTIONS(2285),
    [anon_sym_short] = ACTIONS(2285),
    [anon_sym_LBRACK] = ACTIONS(2285),
    [anon_sym_static] = ACTIONS(2285),
    [anon_sym_register] = ACTIONS(2285),
    [anon_sym_inline] = ACTIONS(2285),
    [anon_sym___inline] = ACTIONS(2285),
    [anon_sym___inline__] = ACTIONS(2285),
    [anon_sym___forceinline] = ACTIONS(2285),
    [anon_sym_thread_local] = ACTIONS(2285),
    [anon_sym___thread] = ACTIONS(2285),
    [anon_sym_const] = ACTIONS(2285),
    [anon_sym_constexpr] = ACTIONS(2285),
    [anon_sym_volatile] = ACTIONS(2285),
    [anon_sym_restrict] = ACTIONS(2285),
    [anon_sym___restrict__] = ACTIONS(2285),
    [anon_sym__Atomic] = ACTIONS(2285),
    [anon_sym__Noreturn] = ACTIONS(2285),
    [anon_sym_noreturn] = ACTIONS(2285),
    [anon_sym_mutable] = ACTIONS(2285),
    [anon_sym_constinit] = ACTIONS(2285),
    [anon_sym_consteval] = ACTIONS(2285),
    [sym_primitive_type] = ACTIONS(2285),
    [anon_sym_enum] = ACTIONS(2285),
    [anon_sym_class] = ACTIONS(2285),
    [anon_sym_struct] = ACTIONS(2285),
    [anon_sym_union] = ACTIONS(2285),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2285),
    [anon_sym_decltype] = ACTIONS(2285),
    [anon_sym_virtual] = ACTIONS(2285),
    [anon_sym_alignas] = ACTIONS(2285),
    [anon_sym_explicit] = ACTIONS(2285),
    [anon_sym_typename] = ACTIONS(2285),
    [anon_sym_template] = ACTIONS(2285),
    [anon_sym_operator] = ACTIONS(2285),
    [anon_sym_friend] = ACTIONS(2285),
    [anon_sym_public] = ACTIONS(2285),
    [anon_sym_private] = ACTIONS(2285),
    [anon_sym_protected] = ACTIONS(2285),
    [anon_sym_using] = ACTIONS(2285),
    [anon_sym_static_assert] = ACTIONS(2285),
    [anon_sym_catch] = ACTIONS(5743),
    [anon_sym_precise] = ACTIONS(2285),
    [anon_sym_shared] = ACTIONS(2285),
    [anon_sym_groupshared] = ACTIONS(2285),
    [anon_sym_uniform] = ACTIONS(2285),
    [anon_sym_row_major] = ACTIONS(2285),
    [anon_sym_column_major] = ACTIONS(2285),
    [anon_sym_globallycoherent] = ACTIONS(2285),
    [anon_sym_centroid] = ACTIONS(2285),
    [anon_sym_noperspective] = ACTIONS(2285),
    [anon_sym_nointerpolation] = ACTIONS(2285),
    [anon_sym_sample] = ACTIONS(2285),
    [anon_sym_linear] = ACTIONS(2285),
    [anon_sym_snorm] = ACTIONS(2285),
    [anon_sym_unorm] = ACTIONS(2285),
    [anon_sym_point] = ACTIONS(2285),
    [anon_sym_line] = ACTIONS(2285),
    [anon_sym_triangleadj] = ACTIONS(2285),
    [anon_sym_lineadj] = ACTIONS(2285),
    [anon_sym_triangle] = ACTIONS(2285),
  },
  [2661] = {
    [sym_identifier] = ACTIONS(5745),
    [anon_sym_RPAREN] = ACTIONS(5747),
    [anon_sym_LPAREN2] = ACTIONS(5747),
    [anon_sym_TILDE] = ACTIONS(5747),
    [anon_sym_STAR] = ACTIONS(5747),
    [anon_sym_PIPE_PIPE] = ACTIONS(5747),
    [anon_sym_AMP_AMP] = ACTIONS(5747),
    [anon_sym_AMP] = ACTIONS(5745),
    [anon_sym___extension__] = ACTIONS(5745),
    [anon_sym_in] = ACTIONS(5745),
    [anon_sym_out] = ACTIONS(5745),
    [anon_sym_inout] = ACTIONS(5745),
    [anon_sym_extern] = ACTIONS(5745),
    [anon_sym___attribute__] = ACTIONS(5745),
    [anon_sym_COLON_COLON] = ACTIONS(5747),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5747),
    [anon_sym___declspec] = ACTIONS(5745),
    [anon_sym___based] = ACTIONS(5745),
    [anon_sym___cdecl] = ACTIONS(5745),
    [anon_sym___clrcall] = ACTIONS(5745),
    [anon_sym___stdcall] = ACTIONS(5745),
    [anon_sym___fastcall] = ACTIONS(5745),
    [anon_sym___thiscall] = ACTIONS(5745),
    [anon_sym___vectorcall] = ACTIONS(5745),
    [anon_sym_signed] = ACTIONS(5745),
    [anon_sym_unsigned] = ACTIONS(5745),
    [anon_sym_long] = ACTIONS(5745),
    [anon_sym_short] = ACTIONS(5745),
    [anon_sym_LBRACK] = ACTIONS(5745),
    [anon_sym_static] = ACTIONS(5745),
    [anon_sym_register] = ACTIONS(5745),
    [anon_sym_inline] = ACTIONS(5745),
    [anon_sym___inline] = ACTIONS(5745),
    [anon_sym___inline__] = ACTIONS(5745),
    [anon_sym___forceinline] = ACTIONS(5745),
    [anon_sym_thread_local] = ACTIONS(5745),
    [anon_sym___thread] = ACTIONS(5745),
    [anon_sym_const] = ACTIONS(5745),
    [anon_sym_constexpr] = ACTIONS(5745),
    [anon_sym_volatile] = ACTIONS(5745),
    [anon_sym_restrict] = ACTIONS(5745),
    [anon_sym___restrict__] = ACTIONS(5745),
    [anon_sym__Atomic] = ACTIONS(5745),
    [anon_sym__Noreturn] = ACTIONS(5745),
    [anon_sym_noreturn] = ACTIONS(5745),
    [anon_sym_mutable] = ACTIONS(5745),
    [anon_sym_constinit] = ACTIONS(5745),
    [anon_sym_consteval] = ACTIONS(5745),
    [sym_primitive_type] = ACTIONS(5745),
    [anon_sym_enum] = ACTIONS(5745),
    [anon_sym_class] = ACTIONS(5745),
    [anon_sym_struct] = ACTIONS(5745),
    [anon_sym_union] = ACTIONS(5745),
    [anon_sym_or] = ACTIONS(5745),
    [anon_sym_and] = ACTIONS(5745),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5745),
    [anon_sym_decltype] = ACTIONS(5745),
    [anon_sym_final] = ACTIONS(5745),
    [anon_sym_override] = ACTIONS(5745),
    [anon_sym_virtual] = ACTIONS(5745),
    [anon_sym_alignas] = ACTIONS(5745),
    [anon_sym_explicit] = ACTIONS(5745),
    [anon_sym_typename] = ACTIONS(5745),
    [anon_sym_template] = ACTIONS(5745),
    [anon_sym_operator] = ACTIONS(5745),
    [anon_sym_friend] = ACTIONS(5745),
    [anon_sym_using] = ACTIONS(5745),
    [anon_sym_concept] = ACTIONS(5745),
    [anon_sym_requires] = ACTIONS(5745),
    [anon_sym_precise] = ACTIONS(5745),
    [anon_sym_shared] = ACTIONS(5745),
    [anon_sym_groupshared] = ACTIONS(5745),
    [anon_sym_uniform] = ACTIONS(5745),
    [anon_sym_row_major] = ACTIONS(5745),
    [anon_sym_column_major] = ACTIONS(5745),
    [anon_sym_globallycoherent] = ACTIONS(5745),
    [anon_sym_centroid] = ACTIONS(5745),
    [anon_sym_noperspective] = ACTIONS(5745),
    [anon_sym_nointerpolation] = ACTIONS(5745),
    [anon_sym_sample] = ACTIONS(5745),
    [anon_sym_linear] = ACTIONS(5745),
    [anon_sym_snorm] = ACTIONS(5745),
    [anon_sym_unorm] = ACTIONS(5745),
    [anon_sym_point] = ACTIONS(5745),
    [anon_sym_line] = ACTIONS(5745),
    [anon_sym_triangleadj] = ACTIONS(5745),
    [anon_sym_lineadj] = ACTIONS(5745),
    [anon_sym_triangle] = ACTIONS(5745),
  },
  [2662] = {
    [sym_catch_clause] = STATE(2666),
    [aux_sym_constructor_try_statement_repeat1] = STATE(2666),
    [sym_identifier] = ACTIONS(2275),
    [aux_sym_preproc_def_token1] = ACTIONS(2275),
    [aux_sym_preproc_if_token1] = ACTIONS(2275),
    [aux_sym_preproc_if_token2] = ACTIONS(2275),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2275),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2275),
    [sym_preproc_directive] = ACTIONS(2275),
    [anon_sym_LPAREN2] = ACTIONS(2277),
    [anon_sym_TILDE] = ACTIONS(2277),
    [anon_sym_STAR] = ACTIONS(2277),
    [anon_sym_AMP_AMP] = ACTIONS(2277),
    [anon_sym_AMP] = ACTIONS(2275),
    [anon_sym___extension__] = ACTIONS(2275),
    [anon_sym_typedef] = ACTIONS(2275),
    [anon_sym_in] = ACTIONS(2275),
    [anon_sym_out] = ACTIONS(2275),
    [anon_sym_inout] = ACTIONS(2275),
    [anon_sym_extern] = ACTIONS(2275),
    [anon_sym___attribute__] = ACTIONS(2275),
    [anon_sym_COLON_COLON] = ACTIONS(2277),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2277),
    [anon_sym___declspec] = ACTIONS(2275),
    [anon_sym___based] = ACTIONS(2275),
    [anon_sym_signed] = ACTIONS(2275),
    [anon_sym_unsigned] = ACTIONS(2275),
    [anon_sym_long] = ACTIONS(2275),
    [anon_sym_short] = ACTIONS(2275),
    [anon_sym_LBRACK] = ACTIONS(2275),
    [anon_sym_static] = ACTIONS(2275),
    [anon_sym_register] = ACTIONS(2275),
    [anon_sym_inline] = ACTIONS(2275),
    [anon_sym___inline] = ACTIONS(2275),
    [anon_sym___inline__] = ACTIONS(2275),
    [anon_sym___forceinline] = ACTIONS(2275),
    [anon_sym_thread_local] = ACTIONS(2275),
    [anon_sym___thread] = ACTIONS(2275),
    [anon_sym_const] = ACTIONS(2275),
    [anon_sym_constexpr] = ACTIONS(2275),
    [anon_sym_volatile] = ACTIONS(2275),
    [anon_sym_restrict] = ACTIONS(2275),
    [anon_sym___restrict__] = ACTIONS(2275),
    [anon_sym__Atomic] = ACTIONS(2275),
    [anon_sym__Noreturn] = ACTIONS(2275),
    [anon_sym_noreturn] = ACTIONS(2275),
    [anon_sym_mutable] = ACTIONS(2275),
    [anon_sym_constinit] = ACTIONS(2275),
    [anon_sym_consteval] = ACTIONS(2275),
    [sym_primitive_type] = ACTIONS(2275),
    [anon_sym_enum] = ACTIONS(2275),
    [anon_sym_class] = ACTIONS(2275),
    [anon_sym_struct] = ACTIONS(2275),
    [anon_sym_union] = ACTIONS(2275),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2275),
    [anon_sym_decltype] = ACTIONS(2275),
    [anon_sym_virtual] = ACTIONS(2275),
    [anon_sym_alignas] = ACTIONS(2275),
    [anon_sym_explicit] = ACTIONS(2275),
    [anon_sym_typename] = ACTIONS(2275),
    [anon_sym_template] = ACTIONS(2275),
    [anon_sym_operator] = ACTIONS(2275),
    [anon_sym_friend] = ACTIONS(2275),
    [anon_sym_public] = ACTIONS(2275),
    [anon_sym_private] = ACTIONS(2275),
    [anon_sym_protected] = ACTIONS(2275),
    [anon_sym_using] = ACTIONS(2275),
    [anon_sym_static_assert] = ACTIONS(2275),
    [anon_sym_catch] = ACTIONS(5725),
    [anon_sym_precise] = ACTIONS(2275),
    [anon_sym_shared] = ACTIONS(2275),
    [anon_sym_groupshared] = ACTIONS(2275),
    [anon_sym_uniform] = ACTIONS(2275),
    [anon_sym_row_major] = ACTIONS(2275),
    [anon_sym_column_major] = ACTIONS(2275),
    [anon_sym_globallycoherent] = ACTIONS(2275),
    [anon_sym_centroid] = ACTIONS(2275),
    [anon_sym_noperspective] = ACTIONS(2275),
    [anon_sym_nointerpolation] = ACTIONS(2275),
    [anon_sym_sample] = ACTIONS(2275),
    [anon_sym_linear] = ACTIONS(2275),
    [anon_sym_snorm] = ACTIONS(2275),
    [anon_sym_unorm] = ACTIONS(2275),
    [anon_sym_point] = ACTIONS(2275),
    [anon_sym_line] = ACTIONS(2275),
    [anon_sym_triangleadj] = ACTIONS(2275),
    [anon_sym_lineadj] = ACTIONS(2275),
    [anon_sym_triangle] = ACTIONS(2275),
  },
  [2663] = {
    [sym_identifier] = ACTIONS(2206),
    [aux_sym_preproc_def_token1] = ACTIONS(2206),
    [aux_sym_preproc_if_token1] = ACTIONS(2206),
    [aux_sym_preproc_if_token2] = ACTIONS(2206),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2206),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2206),
    [aux_sym_preproc_else_token1] = ACTIONS(2206),
    [aux_sym_preproc_elif_token1] = ACTIONS(2206),
    [sym_preproc_directive] = ACTIONS(2206),
    [anon_sym_LPAREN2] = ACTIONS(2204),
    [anon_sym_TILDE] = ACTIONS(2204),
    [anon_sym_STAR] = ACTIONS(2204),
    [anon_sym_AMP_AMP] = ACTIONS(2204),
    [anon_sym_AMP] = ACTIONS(2206),
    [anon_sym___extension__] = ACTIONS(2206),
    [anon_sym_typedef] = ACTIONS(2206),
    [anon_sym_in] = ACTIONS(2206),
    [anon_sym_out] = ACTIONS(2206),
    [anon_sym_inout] = ACTIONS(2206),
    [anon_sym_extern] = ACTIONS(2206),
    [anon_sym___attribute__] = ACTIONS(2206),
    [anon_sym_COLON_COLON] = ACTIONS(2204),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2204),
    [anon_sym___declspec] = ACTIONS(2206),
    [anon_sym___based] = ACTIONS(2206),
    [anon_sym_signed] = ACTIONS(2206),
    [anon_sym_unsigned] = ACTIONS(2206),
    [anon_sym_long] = ACTIONS(2206),
    [anon_sym_short] = ACTIONS(2206),
    [anon_sym_LBRACK] = ACTIONS(2206),
    [anon_sym_static] = ACTIONS(2206),
    [anon_sym_register] = ACTIONS(2206),
    [anon_sym_inline] = ACTIONS(2206),
    [anon_sym___inline] = ACTIONS(2206),
    [anon_sym___inline__] = ACTIONS(2206),
    [anon_sym___forceinline] = ACTIONS(2206),
    [anon_sym_thread_local] = ACTIONS(2206),
    [anon_sym___thread] = ACTIONS(2206),
    [anon_sym_const] = ACTIONS(2206),
    [anon_sym_constexpr] = ACTIONS(2206),
    [anon_sym_volatile] = ACTIONS(2206),
    [anon_sym_restrict] = ACTIONS(2206),
    [anon_sym___restrict__] = ACTIONS(2206),
    [anon_sym__Atomic] = ACTIONS(2206),
    [anon_sym__Noreturn] = ACTIONS(2206),
    [anon_sym_noreturn] = ACTIONS(2206),
    [anon_sym_mutable] = ACTIONS(2206),
    [anon_sym_constinit] = ACTIONS(2206),
    [anon_sym_consteval] = ACTIONS(2206),
    [sym_primitive_type] = ACTIONS(2206),
    [anon_sym_enum] = ACTIONS(2206),
    [anon_sym_class] = ACTIONS(2206),
    [anon_sym_struct] = ACTIONS(2206),
    [anon_sym_union] = ACTIONS(2206),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2206),
    [anon_sym_decltype] = ACTIONS(2206),
    [anon_sym_virtual] = ACTIONS(2206),
    [anon_sym_alignas] = ACTIONS(2206),
    [anon_sym_explicit] = ACTIONS(2206),
    [anon_sym_typename] = ACTIONS(2206),
    [anon_sym_template] = ACTIONS(2206),
    [anon_sym_operator] = ACTIONS(2206),
    [anon_sym_friend] = ACTIONS(2206),
    [anon_sym_public] = ACTIONS(2206),
    [anon_sym_private] = ACTIONS(2206),
    [anon_sym_protected] = ACTIONS(2206),
    [anon_sym_using] = ACTIONS(2206),
    [anon_sym_static_assert] = ACTIONS(2206),
    [anon_sym_catch] = ACTIONS(2206),
    [anon_sym_precise] = ACTIONS(2206),
    [anon_sym_shared] = ACTIONS(2206),
    [anon_sym_groupshared] = ACTIONS(2206),
    [anon_sym_uniform] = ACTIONS(2206),
    [anon_sym_row_major] = ACTIONS(2206),
    [anon_sym_column_major] = ACTIONS(2206),
    [anon_sym_globallycoherent] = ACTIONS(2206),
    [anon_sym_centroid] = ACTIONS(2206),
    [anon_sym_noperspective] = ACTIONS(2206),
    [anon_sym_nointerpolation] = ACTIONS(2206),
    [anon_sym_sample] = ACTIONS(2206),
    [anon_sym_linear] = ACTIONS(2206),
    [anon_sym_snorm] = ACTIONS(2206),
    [anon_sym_unorm] = ACTIONS(2206),
    [anon_sym_point] = ACTIONS(2206),
    [anon_sym_line] = ACTIONS(2206),
    [anon_sym_triangleadj] = ACTIONS(2206),
    [anon_sym_lineadj] = ACTIONS(2206),
    [anon_sym_triangle] = ACTIONS(2206),
  },
  [2664] = {
    [sym_identifier] = ACTIONS(5749),
    [anon_sym_RPAREN] = ACTIONS(5751),
    [anon_sym_LPAREN2] = ACTIONS(5751),
    [anon_sym_TILDE] = ACTIONS(5751),
    [anon_sym_STAR] = ACTIONS(5751),
    [anon_sym_PIPE_PIPE] = ACTIONS(5751),
    [anon_sym_AMP_AMP] = ACTIONS(5751),
    [anon_sym_AMP] = ACTIONS(5749),
    [anon_sym___extension__] = ACTIONS(5749),
    [anon_sym_in] = ACTIONS(5749),
    [anon_sym_out] = ACTIONS(5749),
    [anon_sym_inout] = ACTIONS(5749),
    [anon_sym_extern] = ACTIONS(5749),
    [anon_sym___attribute__] = ACTIONS(5749),
    [anon_sym_COLON_COLON] = ACTIONS(5751),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5751),
    [anon_sym___declspec] = ACTIONS(5749),
    [anon_sym___based] = ACTIONS(5749),
    [anon_sym___cdecl] = ACTIONS(5749),
    [anon_sym___clrcall] = ACTIONS(5749),
    [anon_sym___stdcall] = ACTIONS(5749),
    [anon_sym___fastcall] = ACTIONS(5749),
    [anon_sym___thiscall] = ACTIONS(5749),
    [anon_sym___vectorcall] = ACTIONS(5749),
    [anon_sym_signed] = ACTIONS(5749),
    [anon_sym_unsigned] = ACTIONS(5749),
    [anon_sym_long] = ACTIONS(5749),
    [anon_sym_short] = ACTIONS(5749),
    [anon_sym_LBRACK] = ACTIONS(5749),
    [anon_sym_static] = ACTIONS(5749),
    [anon_sym_register] = ACTIONS(5749),
    [anon_sym_inline] = ACTIONS(5749),
    [anon_sym___inline] = ACTIONS(5749),
    [anon_sym___inline__] = ACTIONS(5749),
    [anon_sym___forceinline] = ACTIONS(5749),
    [anon_sym_thread_local] = ACTIONS(5749),
    [anon_sym___thread] = ACTIONS(5749),
    [anon_sym_const] = ACTIONS(5749),
    [anon_sym_constexpr] = ACTIONS(5749),
    [anon_sym_volatile] = ACTIONS(5749),
    [anon_sym_restrict] = ACTIONS(5749),
    [anon_sym___restrict__] = ACTIONS(5749),
    [anon_sym__Atomic] = ACTIONS(5749),
    [anon_sym__Noreturn] = ACTIONS(5749),
    [anon_sym_noreturn] = ACTIONS(5749),
    [anon_sym_mutable] = ACTIONS(5749),
    [anon_sym_constinit] = ACTIONS(5749),
    [anon_sym_consteval] = ACTIONS(5749),
    [sym_primitive_type] = ACTIONS(5749),
    [anon_sym_enum] = ACTIONS(5749),
    [anon_sym_class] = ACTIONS(5749),
    [anon_sym_struct] = ACTIONS(5749),
    [anon_sym_union] = ACTIONS(5749),
    [anon_sym_or] = ACTIONS(5749),
    [anon_sym_and] = ACTIONS(5749),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5749),
    [anon_sym_decltype] = ACTIONS(5749),
    [anon_sym_final] = ACTIONS(5749),
    [anon_sym_override] = ACTIONS(5749),
    [anon_sym_virtual] = ACTIONS(5749),
    [anon_sym_alignas] = ACTIONS(5749),
    [anon_sym_explicit] = ACTIONS(5749),
    [anon_sym_typename] = ACTIONS(5749),
    [anon_sym_template] = ACTIONS(5749),
    [anon_sym_operator] = ACTIONS(5749),
    [anon_sym_friend] = ACTIONS(5749),
    [anon_sym_using] = ACTIONS(5749),
    [anon_sym_concept] = ACTIONS(5749),
    [anon_sym_requires] = ACTIONS(5749),
    [anon_sym_precise] = ACTIONS(5749),
    [anon_sym_shared] = ACTIONS(5749),
    [anon_sym_groupshared] = ACTIONS(5749),
    [anon_sym_uniform] = ACTIONS(5749),
    [anon_sym_row_major] = ACTIONS(5749),
    [anon_sym_column_major] = ACTIONS(5749),
    [anon_sym_globallycoherent] = ACTIONS(5749),
    [anon_sym_centroid] = ACTIONS(5749),
    [anon_sym_noperspective] = ACTIONS(5749),
    [anon_sym_nointerpolation] = ACTIONS(5749),
    [anon_sym_sample] = ACTIONS(5749),
    [anon_sym_linear] = ACTIONS(5749),
    [anon_sym_snorm] = ACTIONS(5749),
    [anon_sym_unorm] = ACTIONS(5749),
    [anon_sym_point] = ACTIONS(5749),
    [anon_sym_line] = ACTIONS(5749),
    [anon_sym_triangleadj] = ACTIONS(5749),
    [anon_sym_lineadj] = ACTIONS(5749),
    [anon_sym_triangle] = ACTIONS(5749),
  },
  [2665] = {
    [sym_identifier] = ACTIONS(5745),
    [anon_sym_RPAREN] = ACTIONS(5747),
    [anon_sym_LPAREN2] = ACTIONS(5747),
    [anon_sym_TILDE] = ACTIONS(5747),
    [anon_sym_STAR] = ACTIONS(5747),
    [anon_sym_PIPE_PIPE] = ACTIONS(5747),
    [anon_sym_AMP_AMP] = ACTIONS(5747),
    [anon_sym_AMP] = ACTIONS(5745),
    [anon_sym___extension__] = ACTIONS(5745),
    [anon_sym_in] = ACTIONS(5745),
    [anon_sym_out] = ACTIONS(5745),
    [anon_sym_inout] = ACTIONS(5745),
    [anon_sym_extern] = ACTIONS(5745),
    [anon_sym___attribute__] = ACTIONS(5745),
    [anon_sym_COLON_COLON] = ACTIONS(5747),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5747),
    [anon_sym___declspec] = ACTIONS(5745),
    [anon_sym___based] = ACTIONS(5745),
    [anon_sym___cdecl] = ACTIONS(5745),
    [anon_sym___clrcall] = ACTIONS(5745),
    [anon_sym___stdcall] = ACTIONS(5745),
    [anon_sym___fastcall] = ACTIONS(5745),
    [anon_sym___thiscall] = ACTIONS(5745),
    [anon_sym___vectorcall] = ACTIONS(5745),
    [anon_sym_signed] = ACTIONS(5745),
    [anon_sym_unsigned] = ACTIONS(5745),
    [anon_sym_long] = ACTIONS(5745),
    [anon_sym_short] = ACTIONS(5745),
    [anon_sym_LBRACK] = ACTIONS(5745),
    [anon_sym_static] = ACTIONS(5745),
    [anon_sym_register] = ACTIONS(5745),
    [anon_sym_inline] = ACTIONS(5745),
    [anon_sym___inline] = ACTIONS(5745),
    [anon_sym___inline__] = ACTIONS(5745),
    [anon_sym___forceinline] = ACTIONS(5745),
    [anon_sym_thread_local] = ACTIONS(5745),
    [anon_sym___thread] = ACTIONS(5745),
    [anon_sym_const] = ACTIONS(5745),
    [anon_sym_constexpr] = ACTIONS(5745),
    [anon_sym_volatile] = ACTIONS(5745),
    [anon_sym_restrict] = ACTIONS(5745),
    [anon_sym___restrict__] = ACTIONS(5745),
    [anon_sym__Atomic] = ACTIONS(5745),
    [anon_sym__Noreturn] = ACTIONS(5745),
    [anon_sym_noreturn] = ACTIONS(5745),
    [anon_sym_mutable] = ACTIONS(5745),
    [anon_sym_constinit] = ACTIONS(5745),
    [anon_sym_consteval] = ACTIONS(5745),
    [sym_primitive_type] = ACTIONS(5745),
    [anon_sym_enum] = ACTIONS(5745),
    [anon_sym_class] = ACTIONS(5745),
    [anon_sym_struct] = ACTIONS(5745),
    [anon_sym_union] = ACTIONS(5745),
    [anon_sym_or] = ACTIONS(5745),
    [anon_sym_and] = ACTIONS(5745),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5745),
    [anon_sym_decltype] = ACTIONS(5745),
    [anon_sym_final] = ACTIONS(5745),
    [anon_sym_override] = ACTIONS(5745),
    [anon_sym_virtual] = ACTIONS(5745),
    [anon_sym_alignas] = ACTIONS(5745),
    [anon_sym_explicit] = ACTIONS(5745),
    [anon_sym_typename] = ACTIONS(5745),
    [anon_sym_template] = ACTIONS(5745),
    [anon_sym_operator] = ACTIONS(5745),
    [anon_sym_friend] = ACTIONS(5745),
    [anon_sym_using] = ACTIONS(5745),
    [anon_sym_concept] = ACTIONS(5745),
    [anon_sym_requires] = ACTIONS(5745),
    [anon_sym_precise] = ACTIONS(5745),
    [anon_sym_shared] = ACTIONS(5745),
    [anon_sym_groupshared] = ACTIONS(5745),
    [anon_sym_uniform] = ACTIONS(5745),
    [anon_sym_row_major] = ACTIONS(5745),
    [anon_sym_column_major] = ACTIONS(5745),
    [anon_sym_globallycoherent] = ACTIONS(5745),
    [anon_sym_centroid] = ACTIONS(5745),
    [anon_sym_noperspective] = ACTIONS(5745),
    [anon_sym_nointerpolation] = ACTIONS(5745),
    [anon_sym_sample] = ACTIONS(5745),
    [anon_sym_linear] = ACTIONS(5745),
    [anon_sym_snorm] = ACTIONS(5745),
    [anon_sym_unorm] = ACTIONS(5745),
    [anon_sym_point] = ACTIONS(5745),
    [anon_sym_line] = ACTIONS(5745),
    [anon_sym_triangleadj] = ACTIONS(5745),
    [anon_sym_lineadj] = ACTIONS(5745),
    [anon_sym_triangle] = ACTIONS(5745),
  },
  [2666] = {
    [sym_catch_clause] = STATE(2666),
    [aux_sym_constructor_try_statement_repeat1] = STATE(2666),
    [sym_identifier] = ACTIONS(2268),
    [aux_sym_preproc_def_token1] = ACTIONS(2268),
    [aux_sym_preproc_if_token1] = ACTIONS(2268),
    [aux_sym_preproc_if_token2] = ACTIONS(2268),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2268),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2268),
    [sym_preproc_directive] = ACTIONS(2268),
    [anon_sym_LPAREN2] = ACTIONS(2270),
    [anon_sym_TILDE] = ACTIONS(2270),
    [anon_sym_STAR] = ACTIONS(2270),
    [anon_sym_AMP_AMP] = ACTIONS(2270),
    [anon_sym_AMP] = ACTIONS(2268),
    [anon_sym___extension__] = ACTIONS(2268),
    [anon_sym_typedef] = ACTIONS(2268),
    [anon_sym_in] = ACTIONS(2268),
    [anon_sym_out] = ACTIONS(2268),
    [anon_sym_inout] = ACTIONS(2268),
    [anon_sym_extern] = ACTIONS(2268),
    [anon_sym___attribute__] = ACTIONS(2268),
    [anon_sym_COLON_COLON] = ACTIONS(2270),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2270),
    [anon_sym___declspec] = ACTIONS(2268),
    [anon_sym___based] = ACTIONS(2268),
    [anon_sym_signed] = ACTIONS(2268),
    [anon_sym_unsigned] = ACTIONS(2268),
    [anon_sym_long] = ACTIONS(2268),
    [anon_sym_short] = ACTIONS(2268),
    [anon_sym_LBRACK] = ACTIONS(2268),
    [anon_sym_static] = ACTIONS(2268),
    [anon_sym_register] = ACTIONS(2268),
    [anon_sym_inline] = ACTIONS(2268),
    [anon_sym___inline] = ACTIONS(2268),
    [anon_sym___inline__] = ACTIONS(2268),
    [anon_sym___forceinline] = ACTIONS(2268),
    [anon_sym_thread_local] = ACTIONS(2268),
    [anon_sym___thread] = ACTIONS(2268),
    [anon_sym_const] = ACTIONS(2268),
    [anon_sym_constexpr] = ACTIONS(2268),
    [anon_sym_volatile] = ACTIONS(2268),
    [anon_sym_restrict] = ACTIONS(2268),
    [anon_sym___restrict__] = ACTIONS(2268),
    [anon_sym__Atomic] = ACTIONS(2268),
    [anon_sym__Noreturn] = ACTIONS(2268),
    [anon_sym_noreturn] = ACTIONS(2268),
    [anon_sym_mutable] = ACTIONS(2268),
    [anon_sym_constinit] = ACTIONS(2268),
    [anon_sym_consteval] = ACTIONS(2268),
    [sym_primitive_type] = ACTIONS(2268),
    [anon_sym_enum] = ACTIONS(2268),
    [anon_sym_class] = ACTIONS(2268),
    [anon_sym_struct] = ACTIONS(2268),
    [anon_sym_union] = ACTIONS(2268),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2268),
    [anon_sym_decltype] = ACTIONS(2268),
    [anon_sym_virtual] = ACTIONS(2268),
    [anon_sym_alignas] = ACTIONS(2268),
    [anon_sym_explicit] = ACTIONS(2268),
    [anon_sym_typename] = ACTIONS(2268),
    [anon_sym_template] = ACTIONS(2268),
    [anon_sym_operator] = ACTIONS(2268),
    [anon_sym_friend] = ACTIONS(2268),
    [anon_sym_public] = ACTIONS(2268),
    [anon_sym_private] = ACTIONS(2268),
    [anon_sym_protected] = ACTIONS(2268),
    [anon_sym_using] = ACTIONS(2268),
    [anon_sym_static_assert] = ACTIONS(2268),
    [anon_sym_catch] = ACTIONS(5753),
    [anon_sym_precise] = ACTIONS(2268),
    [anon_sym_shared] = ACTIONS(2268),
    [anon_sym_groupshared] = ACTIONS(2268),
    [anon_sym_uniform] = ACTIONS(2268),
    [anon_sym_row_major] = ACTIONS(2268),
    [anon_sym_column_major] = ACTIONS(2268),
    [anon_sym_globallycoherent] = ACTIONS(2268),
    [anon_sym_centroid] = ACTIONS(2268),
    [anon_sym_noperspective] = ACTIONS(2268),
    [anon_sym_nointerpolation] = ACTIONS(2268),
    [anon_sym_sample] = ACTIONS(2268),
    [anon_sym_linear] = ACTIONS(2268),
    [anon_sym_snorm] = ACTIONS(2268),
    [anon_sym_unorm] = ACTIONS(2268),
    [anon_sym_point] = ACTIONS(2268),
    [anon_sym_line] = ACTIONS(2268),
    [anon_sym_triangleadj] = ACTIONS(2268),
    [anon_sym_lineadj] = ACTIONS(2268),
    [anon_sym_triangle] = ACTIONS(2268),
  },
  [2667] = {
    [sym_identifier] = ACTIONS(5756),
    [anon_sym_RPAREN] = ACTIONS(5758),
    [anon_sym_LPAREN2] = ACTIONS(5758),
    [anon_sym_TILDE] = ACTIONS(5758),
    [anon_sym_STAR] = ACTIONS(5758),
    [anon_sym_PIPE_PIPE] = ACTIONS(5758),
    [anon_sym_AMP_AMP] = ACTIONS(5758),
    [anon_sym_AMP] = ACTIONS(5756),
    [anon_sym___extension__] = ACTIONS(5756),
    [anon_sym_in] = ACTIONS(5756),
    [anon_sym_out] = ACTIONS(5756),
    [anon_sym_inout] = ACTIONS(5756),
    [anon_sym_extern] = ACTIONS(5756),
    [anon_sym___attribute__] = ACTIONS(5756),
    [anon_sym_COLON_COLON] = ACTIONS(5758),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5758),
    [anon_sym___declspec] = ACTIONS(5756),
    [anon_sym___based] = ACTIONS(5756),
    [anon_sym___cdecl] = ACTIONS(5756),
    [anon_sym___clrcall] = ACTIONS(5756),
    [anon_sym___stdcall] = ACTIONS(5756),
    [anon_sym___fastcall] = ACTIONS(5756),
    [anon_sym___thiscall] = ACTIONS(5756),
    [anon_sym___vectorcall] = ACTIONS(5756),
    [anon_sym_signed] = ACTIONS(5756),
    [anon_sym_unsigned] = ACTIONS(5756),
    [anon_sym_long] = ACTIONS(5756),
    [anon_sym_short] = ACTIONS(5756),
    [anon_sym_LBRACK] = ACTIONS(5756),
    [anon_sym_static] = ACTIONS(5756),
    [anon_sym_register] = ACTIONS(5756),
    [anon_sym_inline] = ACTIONS(5756),
    [anon_sym___inline] = ACTIONS(5756),
    [anon_sym___inline__] = ACTIONS(5756),
    [anon_sym___forceinline] = ACTIONS(5756),
    [anon_sym_thread_local] = ACTIONS(5756),
    [anon_sym___thread] = ACTIONS(5756),
    [anon_sym_const] = ACTIONS(5756),
    [anon_sym_constexpr] = ACTIONS(5756),
    [anon_sym_volatile] = ACTIONS(5756),
    [anon_sym_restrict] = ACTIONS(5756),
    [anon_sym___restrict__] = ACTIONS(5756),
    [anon_sym__Atomic] = ACTIONS(5756),
    [anon_sym__Noreturn] = ACTIONS(5756),
    [anon_sym_noreturn] = ACTIONS(5756),
    [anon_sym_mutable] = ACTIONS(5756),
    [anon_sym_constinit] = ACTIONS(5756),
    [anon_sym_consteval] = ACTIONS(5756),
    [sym_primitive_type] = ACTIONS(5756),
    [anon_sym_enum] = ACTIONS(5756),
    [anon_sym_class] = ACTIONS(5756),
    [anon_sym_struct] = ACTIONS(5756),
    [anon_sym_union] = ACTIONS(5756),
    [anon_sym_or] = ACTIONS(5756),
    [anon_sym_and] = ACTIONS(5756),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5756),
    [anon_sym_decltype] = ACTIONS(5756),
    [anon_sym_final] = ACTIONS(5756),
    [anon_sym_override] = ACTIONS(5756),
    [anon_sym_virtual] = ACTIONS(5756),
    [anon_sym_alignas] = ACTIONS(5756),
    [anon_sym_explicit] = ACTIONS(5756),
    [anon_sym_typename] = ACTIONS(5756),
    [anon_sym_template] = ACTIONS(5756),
    [anon_sym_operator] = ACTIONS(5756),
    [anon_sym_friend] = ACTIONS(5756),
    [anon_sym_using] = ACTIONS(5756),
    [anon_sym_concept] = ACTIONS(5756),
    [anon_sym_requires] = ACTIONS(5756),
    [anon_sym_precise] = ACTIONS(5756),
    [anon_sym_shared] = ACTIONS(5756),
    [anon_sym_groupshared] = ACTIONS(5756),
    [anon_sym_uniform] = ACTIONS(5756),
    [anon_sym_row_major] = ACTIONS(5756),
    [anon_sym_column_major] = ACTIONS(5756),
    [anon_sym_globallycoherent] = ACTIONS(5756),
    [anon_sym_centroid] = ACTIONS(5756),
    [anon_sym_noperspective] = ACTIONS(5756),
    [anon_sym_nointerpolation] = ACTIONS(5756),
    [anon_sym_sample] = ACTIONS(5756),
    [anon_sym_linear] = ACTIONS(5756),
    [anon_sym_snorm] = ACTIONS(5756),
    [anon_sym_unorm] = ACTIONS(5756),
    [anon_sym_point] = ACTIONS(5756),
    [anon_sym_line] = ACTIONS(5756),
    [anon_sym_triangleadj] = ACTIONS(5756),
    [anon_sym_lineadj] = ACTIONS(5756),
    [anon_sym_triangle] = ACTIONS(5756),
  },
  [2668] = {
    [sym_identifier] = ACTIONS(5745),
    [anon_sym_RPAREN] = ACTIONS(5747),
    [anon_sym_LPAREN2] = ACTIONS(5747),
    [anon_sym_TILDE] = ACTIONS(5747),
    [anon_sym_STAR] = ACTIONS(5747),
    [anon_sym_PIPE_PIPE] = ACTIONS(5747),
    [anon_sym_AMP_AMP] = ACTIONS(5747),
    [anon_sym_AMP] = ACTIONS(5745),
    [anon_sym___extension__] = ACTIONS(5745),
    [anon_sym_in] = ACTIONS(5745),
    [anon_sym_out] = ACTIONS(5745),
    [anon_sym_inout] = ACTIONS(5745),
    [anon_sym_extern] = ACTIONS(5745),
    [anon_sym___attribute__] = ACTIONS(5745),
    [anon_sym_COLON_COLON] = ACTIONS(5747),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5747),
    [anon_sym___declspec] = ACTIONS(5745),
    [anon_sym___based] = ACTIONS(5745),
    [anon_sym___cdecl] = ACTIONS(5745),
    [anon_sym___clrcall] = ACTIONS(5745),
    [anon_sym___stdcall] = ACTIONS(5745),
    [anon_sym___fastcall] = ACTIONS(5745),
    [anon_sym___thiscall] = ACTIONS(5745),
    [anon_sym___vectorcall] = ACTIONS(5745),
    [anon_sym_signed] = ACTIONS(5745),
    [anon_sym_unsigned] = ACTIONS(5745),
    [anon_sym_long] = ACTIONS(5745),
    [anon_sym_short] = ACTIONS(5745),
    [anon_sym_LBRACK] = ACTIONS(5745),
    [anon_sym_static] = ACTIONS(5745),
    [anon_sym_register] = ACTIONS(5745),
    [anon_sym_inline] = ACTIONS(5745),
    [anon_sym___inline] = ACTIONS(5745),
    [anon_sym___inline__] = ACTIONS(5745),
    [anon_sym___forceinline] = ACTIONS(5745),
    [anon_sym_thread_local] = ACTIONS(5745),
    [anon_sym___thread] = ACTIONS(5745),
    [anon_sym_const] = ACTIONS(5745),
    [anon_sym_constexpr] = ACTIONS(5745),
    [anon_sym_volatile] = ACTIONS(5745),
    [anon_sym_restrict] = ACTIONS(5745),
    [anon_sym___restrict__] = ACTIONS(5745),
    [anon_sym__Atomic] = ACTIONS(5745),
    [anon_sym__Noreturn] = ACTIONS(5745),
    [anon_sym_noreturn] = ACTIONS(5745),
    [anon_sym_mutable] = ACTIONS(5745),
    [anon_sym_constinit] = ACTIONS(5745),
    [anon_sym_consteval] = ACTIONS(5745),
    [sym_primitive_type] = ACTIONS(5745),
    [anon_sym_enum] = ACTIONS(5745),
    [anon_sym_class] = ACTIONS(5745),
    [anon_sym_struct] = ACTIONS(5745),
    [anon_sym_union] = ACTIONS(5745),
    [anon_sym_or] = ACTIONS(5745),
    [anon_sym_and] = ACTIONS(5745),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5745),
    [anon_sym_decltype] = ACTIONS(5745),
    [anon_sym_final] = ACTIONS(5745),
    [anon_sym_override] = ACTIONS(5745),
    [anon_sym_virtual] = ACTIONS(5745),
    [anon_sym_alignas] = ACTIONS(5745),
    [anon_sym_explicit] = ACTIONS(5745),
    [anon_sym_typename] = ACTIONS(5745),
    [anon_sym_template] = ACTIONS(5745),
    [anon_sym_operator] = ACTIONS(5745),
    [anon_sym_friend] = ACTIONS(5745),
    [anon_sym_using] = ACTIONS(5745),
    [anon_sym_concept] = ACTIONS(5745),
    [anon_sym_requires] = ACTIONS(5745),
    [anon_sym_precise] = ACTIONS(5745),
    [anon_sym_shared] = ACTIONS(5745),
    [anon_sym_groupshared] = ACTIONS(5745),
    [anon_sym_uniform] = ACTIONS(5745),
    [anon_sym_row_major] = ACTIONS(5745),
    [anon_sym_column_major] = ACTIONS(5745),
    [anon_sym_globallycoherent] = ACTIONS(5745),
    [anon_sym_centroid] = ACTIONS(5745),
    [anon_sym_noperspective] = ACTIONS(5745),
    [anon_sym_nointerpolation] = ACTIONS(5745),
    [anon_sym_sample] = ACTIONS(5745),
    [anon_sym_linear] = ACTIONS(5745),
    [anon_sym_snorm] = ACTIONS(5745),
    [anon_sym_unorm] = ACTIONS(5745),
    [anon_sym_point] = ACTIONS(5745),
    [anon_sym_line] = ACTIONS(5745),
    [anon_sym_triangleadj] = ACTIONS(5745),
    [anon_sym_lineadj] = ACTIONS(5745),
    [anon_sym_triangle] = ACTIONS(5745),
  },
  [2669] = {
    [sym_identifier] = ACTIONS(5760),
    [anon_sym_RPAREN] = ACTIONS(5762),
    [anon_sym_LPAREN2] = ACTIONS(5762),
    [anon_sym_TILDE] = ACTIONS(5762),
    [anon_sym_STAR] = ACTIONS(5762),
    [anon_sym_PIPE_PIPE] = ACTIONS(5762),
    [anon_sym_AMP_AMP] = ACTIONS(5762),
    [anon_sym_AMP] = ACTIONS(5760),
    [anon_sym___extension__] = ACTIONS(5760),
    [anon_sym_in] = ACTIONS(5760),
    [anon_sym_out] = ACTIONS(5760),
    [anon_sym_inout] = ACTIONS(5760),
    [anon_sym_extern] = ACTIONS(5760),
    [anon_sym___attribute__] = ACTIONS(5760),
    [anon_sym_COLON_COLON] = ACTIONS(5762),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5762),
    [anon_sym___declspec] = ACTIONS(5760),
    [anon_sym___based] = ACTIONS(5760),
    [anon_sym___cdecl] = ACTIONS(5760),
    [anon_sym___clrcall] = ACTIONS(5760),
    [anon_sym___stdcall] = ACTIONS(5760),
    [anon_sym___fastcall] = ACTIONS(5760),
    [anon_sym___thiscall] = ACTIONS(5760),
    [anon_sym___vectorcall] = ACTIONS(5760),
    [anon_sym_signed] = ACTIONS(5760),
    [anon_sym_unsigned] = ACTIONS(5760),
    [anon_sym_long] = ACTIONS(5760),
    [anon_sym_short] = ACTIONS(5760),
    [anon_sym_LBRACK] = ACTIONS(5760),
    [anon_sym_static] = ACTIONS(5760),
    [anon_sym_register] = ACTIONS(5760),
    [anon_sym_inline] = ACTIONS(5760),
    [anon_sym___inline] = ACTIONS(5760),
    [anon_sym___inline__] = ACTIONS(5760),
    [anon_sym___forceinline] = ACTIONS(5760),
    [anon_sym_thread_local] = ACTIONS(5760),
    [anon_sym___thread] = ACTIONS(5760),
    [anon_sym_const] = ACTIONS(5760),
    [anon_sym_constexpr] = ACTIONS(5760),
    [anon_sym_volatile] = ACTIONS(5760),
    [anon_sym_restrict] = ACTIONS(5760),
    [anon_sym___restrict__] = ACTIONS(5760),
    [anon_sym__Atomic] = ACTIONS(5760),
    [anon_sym__Noreturn] = ACTIONS(5760),
    [anon_sym_noreturn] = ACTIONS(5760),
    [anon_sym_mutable] = ACTIONS(5760),
    [anon_sym_constinit] = ACTIONS(5760),
    [anon_sym_consteval] = ACTIONS(5760),
    [sym_primitive_type] = ACTIONS(5760),
    [anon_sym_enum] = ACTIONS(5760),
    [anon_sym_class] = ACTIONS(5760),
    [anon_sym_struct] = ACTIONS(5760),
    [anon_sym_union] = ACTIONS(5760),
    [anon_sym_or] = ACTIONS(5760),
    [anon_sym_and] = ACTIONS(5760),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5760),
    [anon_sym_decltype] = ACTIONS(5760),
    [anon_sym_final] = ACTIONS(5760),
    [anon_sym_override] = ACTIONS(5760),
    [anon_sym_virtual] = ACTIONS(5760),
    [anon_sym_alignas] = ACTIONS(5760),
    [anon_sym_explicit] = ACTIONS(5760),
    [anon_sym_typename] = ACTIONS(5760),
    [anon_sym_template] = ACTIONS(5760),
    [anon_sym_operator] = ACTIONS(5760),
    [anon_sym_friend] = ACTIONS(5760),
    [anon_sym_using] = ACTIONS(5760),
    [anon_sym_concept] = ACTIONS(5760),
    [anon_sym_requires] = ACTIONS(5760),
    [anon_sym_precise] = ACTIONS(5760),
    [anon_sym_shared] = ACTIONS(5760),
    [anon_sym_groupshared] = ACTIONS(5760),
    [anon_sym_uniform] = ACTIONS(5760),
    [anon_sym_row_major] = ACTIONS(5760),
    [anon_sym_column_major] = ACTIONS(5760),
    [anon_sym_globallycoherent] = ACTIONS(5760),
    [anon_sym_centroid] = ACTIONS(5760),
    [anon_sym_noperspective] = ACTIONS(5760),
    [anon_sym_nointerpolation] = ACTIONS(5760),
    [anon_sym_sample] = ACTIONS(5760),
    [anon_sym_linear] = ACTIONS(5760),
    [anon_sym_snorm] = ACTIONS(5760),
    [anon_sym_unorm] = ACTIONS(5760),
    [anon_sym_point] = ACTIONS(5760),
    [anon_sym_line] = ACTIONS(5760),
    [anon_sym_triangleadj] = ACTIONS(5760),
    [anon_sym_lineadj] = ACTIONS(5760),
    [anon_sym_triangle] = ACTIONS(5760),
  },
  [2670] = {
    [sym_identifier] = ACTIONS(5764),
    [anon_sym_RPAREN] = ACTIONS(5766),
    [anon_sym_LPAREN2] = ACTIONS(5766),
    [anon_sym_TILDE] = ACTIONS(5766),
    [anon_sym_STAR] = ACTIONS(5766),
    [anon_sym_PIPE_PIPE] = ACTIONS(5766),
    [anon_sym_AMP_AMP] = ACTIONS(5766),
    [anon_sym_AMP] = ACTIONS(5764),
    [anon_sym___extension__] = ACTIONS(5764),
    [anon_sym_in] = ACTIONS(5764),
    [anon_sym_out] = ACTIONS(5764),
    [anon_sym_inout] = ACTIONS(5764),
    [anon_sym_extern] = ACTIONS(5764),
    [anon_sym___attribute__] = ACTIONS(5764),
    [anon_sym_COLON_COLON] = ACTIONS(5766),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5766),
    [anon_sym___declspec] = ACTIONS(5764),
    [anon_sym___based] = ACTIONS(5764),
    [anon_sym___cdecl] = ACTIONS(5764),
    [anon_sym___clrcall] = ACTIONS(5764),
    [anon_sym___stdcall] = ACTIONS(5764),
    [anon_sym___fastcall] = ACTIONS(5764),
    [anon_sym___thiscall] = ACTIONS(5764),
    [anon_sym___vectorcall] = ACTIONS(5764),
    [anon_sym_signed] = ACTIONS(5764),
    [anon_sym_unsigned] = ACTIONS(5764),
    [anon_sym_long] = ACTIONS(5764),
    [anon_sym_short] = ACTIONS(5764),
    [anon_sym_LBRACK] = ACTIONS(5764),
    [anon_sym_static] = ACTIONS(5764),
    [anon_sym_register] = ACTIONS(5764),
    [anon_sym_inline] = ACTIONS(5764),
    [anon_sym___inline] = ACTIONS(5764),
    [anon_sym___inline__] = ACTIONS(5764),
    [anon_sym___forceinline] = ACTIONS(5764),
    [anon_sym_thread_local] = ACTIONS(5764),
    [anon_sym___thread] = ACTIONS(5764),
    [anon_sym_const] = ACTIONS(5764),
    [anon_sym_constexpr] = ACTIONS(5764),
    [anon_sym_volatile] = ACTIONS(5764),
    [anon_sym_restrict] = ACTIONS(5764),
    [anon_sym___restrict__] = ACTIONS(5764),
    [anon_sym__Atomic] = ACTIONS(5764),
    [anon_sym__Noreturn] = ACTIONS(5764),
    [anon_sym_noreturn] = ACTIONS(5764),
    [anon_sym_mutable] = ACTIONS(5764),
    [anon_sym_constinit] = ACTIONS(5764),
    [anon_sym_consteval] = ACTIONS(5764),
    [sym_primitive_type] = ACTIONS(5764),
    [anon_sym_enum] = ACTIONS(5764),
    [anon_sym_class] = ACTIONS(5764),
    [anon_sym_struct] = ACTIONS(5764),
    [anon_sym_union] = ACTIONS(5764),
    [anon_sym_or] = ACTIONS(5764),
    [anon_sym_and] = ACTIONS(5764),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5764),
    [anon_sym_decltype] = ACTIONS(5764),
    [anon_sym_final] = ACTIONS(5764),
    [anon_sym_override] = ACTIONS(5764),
    [anon_sym_virtual] = ACTIONS(5764),
    [anon_sym_alignas] = ACTIONS(5764),
    [anon_sym_explicit] = ACTIONS(5764),
    [anon_sym_typename] = ACTIONS(5764),
    [anon_sym_template] = ACTIONS(5764),
    [anon_sym_operator] = ACTIONS(5764),
    [anon_sym_friend] = ACTIONS(5764),
    [anon_sym_using] = ACTIONS(5764),
    [anon_sym_concept] = ACTIONS(5764),
    [anon_sym_requires] = ACTIONS(5764),
    [anon_sym_precise] = ACTIONS(5764),
    [anon_sym_shared] = ACTIONS(5764),
    [anon_sym_groupshared] = ACTIONS(5764),
    [anon_sym_uniform] = ACTIONS(5764),
    [anon_sym_row_major] = ACTIONS(5764),
    [anon_sym_column_major] = ACTIONS(5764),
    [anon_sym_globallycoherent] = ACTIONS(5764),
    [anon_sym_centroid] = ACTIONS(5764),
    [anon_sym_noperspective] = ACTIONS(5764),
    [anon_sym_nointerpolation] = ACTIONS(5764),
    [anon_sym_sample] = ACTIONS(5764),
    [anon_sym_linear] = ACTIONS(5764),
    [anon_sym_snorm] = ACTIONS(5764),
    [anon_sym_unorm] = ACTIONS(5764),
    [anon_sym_point] = ACTIONS(5764),
    [anon_sym_line] = ACTIONS(5764),
    [anon_sym_triangleadj] = ACTIONS(5764),
    [anon_sym_lineadj] = ACTIONS(5764),
    [anon_sym_triangle] = ACTIONS(5764),
  },
  [2671] = {
    [sym_identifier] = ACTIONS(2238),
    [aux_sym_preproc_def_token1] = ACTIONS(2238),
    [aux_sym_preproc_if_token1] = ACTIONS(2238),
    [aux_sym_preproc_if_token2] = ACTIONS(2238),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2238),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2238),
    [aux_sym_preproc_else_token1] = ACTIONS(2238),
    [aux_sym_preproc_elif_token1] = ACTIONS(2238),
    [sym_preproc_directive] = ACTIONS(2238),
    [anon_sym_LPAREN2] = ACTIONS(2236),
    [anon_sym_TILDE] = ACTIONS(2236),
    [anon_sym_STAR] = ACTIONS(2236),
    [anon_sym_AMP_AMP] = ACTIONS(2236),
    [anon_sym_AMP] = ACTIONS(2238),
    [anon_sym___extension__] = ACTIONS(2238),
    [anon_sym_typedef] = ACTIONS(2238),
    [anon_sym_in] = ACTIONS(2238),
    [anon_sym_out] = ACTIONS(2238),
    [anon_sym_inout] = ACTIONS(2238),
    [anon_sym_extern] = ACTIONS(2238),
    [anon_sym___attribute__] = ACTIONS(2238),
    [anon_sym_COLON_COLON] = ACTIONS(2236),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2236),
    [anon_sym___declspec] = ACTIONS(2238),
    [anon_sym___based] = ACTIONS(2238),
    [anon_sym_signed] = ACTIONS(2238),
    [anon_sym_unsigned] = ACTIONS(2238),
    [anon_sym_long] = ACTIONS(2238),
    [anon_sym_short] = ACTIONS(2238),
    [anon_sym_LBRACK] = ACTIONS(2238),
    [anon_sym_static] = ACTIONS(2238),
    [anon_sym_register] = ACTIONS(2238),
    [anon_sym_inline] = ACTIONS(2238),
    [anon_sym___inline] = ACTIONS(2238),
    [anon_sym___inline__] = ACTIONS(2238),
    [anon_sym___forceinline] = ACTIONS(2238),
    [anon_sym_thread_local] = ACTIONS(2238),
    [anon_sym___thread] = ACTIONS(2238),
    [anon_sym_const] = ACTIONS(2238),
    [anon_sym_constexpr] = ACTIONS(2238),
    [anon_sym_volatile] = ACTIONS(2238),
    [anon_sym_restrict] = ACTIONS(2238),
    [anon_sym___restrict__] = ACTIONS(2238),
    [anon_sym__Atomic] = ACTIONS(2238),
    [anon_sym__Noreturn] = ACTIONS(2238),
    [anon_sym_noreturn] = ACTIONS(2238),
    [anon_sym_mutable] = ACTIONS(2238),
    [anon_sym_constinit] = ACTIONS(2238),
    [anon_sym_consteval] = ACTIONS(2238),
    [sym_primitive_type] = ACTIONS(2238),
    [anon_sym_enum] = ACTIONS(2238),
    [anon_sym_class] = ACTIONS(2238),
    [anon_sym_struct] = ACTIONS(2238),
    [anon_sym_union] = ACTIONS(2238),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2238),
    [anon_sym_decltype] = ACTIONS(2238),
    [anon_sym_virtual] = ACTIONS(2238),
    [anon_sym_alignas] = ACTIONS(2238),
    [anon_sym_explicit] = ACTIONS(2238),
    [anon_sym_typename] = ACTIONS(2238),
    [anon_sym_template] = ACTIONS(2238),
    [anon_sym_operator] = ACTIONS(2238),
    [anon_sym_friend] = ACTIONS(2238),
    [anon_sym_public] = ACTIONS(2238),
    [anon_sym_private] = ACTIONS(2238),
    [anon_sym_protected] = ACTIONS(2238),
    [anon_sym_using] = ACTIONS(2238),
    [anon_sym_static_assert] = ACTIONS(2238),
    [anon_sym_catch] = ACTIONS(2238),
    [anon_sym_precise] = ACTIONS(2238),
    [anon_sym_shared] = ACTIONS(2238),
    [anon_sym_groupshared] = ACTIONS(2238),
    [anon_sym_uniform] = ACTIONS(2238),
    [anon_sym_row_major] = ACTIONS(2238),
    [anon_sym_column_major] = ACTIONS(2238),
    [anon_sym_globallycoherent] = ACTIONS(2238),
    [anon_sym_centroid] = ACTIONS(2238),
    [anon_sym_noperspective] = ACTIONS(2238),
    [anon_sym_nointerpolation] = ACTIONS(2238),
    [anon_sym_sample] = ACTIONS(2238),
    [anon_sym_linear] = ACTIONS(2238),
    [anon_sym_snorm] = ACTIONS(2238),
    [anon_sym_unorm] = ACTIONS(2238),
    [anon_sym_point] = ACTIONS(2238),
    [anon_sym_line] = ACTIONS(2238),
    [anon_sym_triangleadj] = ACTIONS(2238),
    [anon_sym_lineadj] = ACTIONS(2238),
    [anon_sym_triangle] = ACTIONS(2238),
  },
  [2672] = {
    [sym_identifier] = ACTIONS(5768),
    [anon_sym_RPAREN] = ACTIONS(5770),
    [anon_sym_LPAREN2] = ACTIONS(5770),
    [anon_sym_TILDE] = ACTIONS(5770),
    [anon_sym_STAR] = ACTIONS(5770),
    [anon_sym_PIPE_PIPE] = ACTIONS(5770),
    [anon_sym_AMP_AMP] = ACTIONS(5770),
    [anon_sym_AMP] = ACTIONS(5768),
    [anon_sym___extension__] = ACTIONS(5768),
    [anon_sym_in] = ACTIONS(5768),
    [anon_sym_out] = ACTIONS(5768),
    [anon_sym_inout] = ACTIONS(5768),
    [anon_sym_extern] = ACTIONS(5768),
    [anon_sym___attribute__] = ACTIONS(5768),
    [anon_sym_COLON_COLON] = ACTIONS(5770),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5770),
    [anon_sym___declspec] = ACTIONS(5768),
    [anon_sym___based] = ACTIONS(5768),
    [anon_sym___cdecl] = ACTIONS(5768),
    [anon_sym___clrcall] = ACTIONS(5768),
    [anon_sym___stdcall] = ACTIONS(5768),
    [anon_sym___fastcall] = ACTIONS(5768),
    [anon_sym___thiscall] = ACTIONS(5768),
    [anon_sym___vectorcall] = ACTIONS(5768),
    [anon_sym_signed] = ACTIONS(5768),
    [anon_sym_unsigned] = ACTIONS(5768),
    [anon_sym_long] = ACTIONS(5768),
    [anon_sym_short] = ACTIONS(5768),
    [anon_sym_LBRACK] = ACTIONS(5768),
    [anon_sym_static] = ACTIONS(5768),
    [anon_sym_register] = ACTIONS(5768),
    [anon_sym_inline] = ACTIONS(5768),
    [anon_sym___inline] = ACTIONS(5768),
    [anon_sym___inline__] = ACTIONS(5768),
    [anon_sym___forceinline] = ACTIONS(5768),
    [anon_sym_thread_local] = ACTIONS(5768),
    [anon_sym___thread] = ACTIONS(5768),
    [anon_sym_const] = ACTIONS(5768),
    [anon_sym_constexpr] = ACTIONS(5768),
    [anon_sym_volatile] = ACTIONS(5768),
    [anon_sym_restrict] = ACTIONS(5768),
    [anon_sym___restrict__] = ACTIONS(5768),
    [anon_sym__Atomic] = ACTIONS(5768),
    [anon_sym__Noreturn] = ACTIONS(5768),
    [anon_sym_noreturn] = ACTIONS(5768),
    [anon_sym_mutable] = ACTIONS(5768),
    [anon_sym_constinit] = ACTIONS(5768),
    [anon_sym_consteval] = ACTIONS(5768),
    [sym_primitive_type] = ACTIONS(5768),
    [anon_sym_enum] = ACTIONS(5768),
    [anon_sym_class] = ACTIONS(5768),
    [anon_sym_struct] = ACTIONS(5768),
    [anon_sym_union] = ACTIONS(5768),
    [anon_sym_or] = ACTIONS(5768),
    [anon_sym_and] = ACTIONS(5768),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5768),
    [anon_sym_decltype] = ACTIONS(5768),
    [anon_sym_final] = ACTIONS(5768),
    [anon_sym_override] = ACTIONS(5768),
    [anon_sym_virtual] = ACTIONS(5768),
    [anon_sym_alignas] = ACTIONS(5768),
    [anon_sym_explicit] = ACTIONS(5768),
    [anon_sym_typename] = ACTIONS(5768),
    [anon_sym_template] = ACTIONS(5768),
    [anon_sym_operator] = ACTIONS(5768),
    [anon_sym_friend] = ACTIONS(5768),
    [anon_sym_using] = ACTIONS(5768),
    [anon_sym_concept] = ACTIONS(5768),
    [anon_sym_requires] = ACTIONS(5768),
    [anon_sym_precise] = ACTIONS(5768),
    [anon_sym_shared] = ACTIONS(5768),
    [anon_sym_groupshared] = ACTIONS(5768),
    [anon_sym_uniform] = ACTIONS(5768),
    [anon_sym_row_major] = ACTIONS(5768),
    [anon_sym_column_major] = ACTIONS(5768),
    [anon_sym_globallycoherent] = ACTIONS(5768),
    [anon_sym_centroid] = ACTIONS(5768),
    [anon_sym_noperspective] = ACTIONS(5768),
    [anon_sym_nointerpolation] = ACTIONS(5768),
    [anon_sym_sample] = ACTIONS(5768),
    [anon_sym_linear] = ACTIONS(5768),
    [anon_sym_snorm] = ACTIONS(5768),
    [anon_sym_unorm] = ACTIONS(5768),
    [anon_sym_point] = ACTIONS(5768),
    [anon_sym_line] = ACTIONS(5768),
    [anon_sym_triangleadj] = ACTIONS(5768),
    [anon_sym_lineadj] = ACTIONS(5768),
    [anon_sym_triangle] = ACTIONS(5768),
  },
  [2673] = {
    [sym__declaration_modifiers] = STATE(3141),
    [sym_attribute_specifier] = STATE(3141),
    [sym_attribute_declaration] = STATE(3141),
    [sym_ms_declspec_modifier] = STATE(3141),
    [sym_storage_class_specifier] = STATE(3141),
    [sym_type_qualifier] = STATE(3141),
    [sym__type_specifier] = STATE(2949),
    [sym_sized_type_specifier] = STATE(3085),
    [sym_enum_specifier] = STATE(3085),
    [sym_struct_specifier] = STATE(3085),
    [sym_union_specifier] = STATE(3085),
    [sym_placeholder_type_specifier] = STATE(3085),
    [sym_decltype_auto] = STATE(3091),
    [sym_decltype] = STATE(3050),
    [sym_class_specifier] = STATE(3085),
    [sym_virtual] = STATE(3141),
    [sym_alignas_specifier] = STATE(3141),
    [sym_dependent_type] = STATE(3085),
    [sym_template_type] = STATE(3050),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(7887),
    [sym_qualified_type_identifier] = STATE(3068),
    [sym_qualifiers] = STATE(3141),
    [aux_sym__declaration_specifiers_repeat1] = STATE(3141),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3021),
    [sym_identifier] = ACTIONS(3896),
    [anon_sym___extension__] = ACTIONS(63),
    [anon_sym_in] = ACTIONS(5719),
    [anon_sym_out] = ACTIONS(5719),
    [anon_sym_inout] = ACTIONS(5719),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(3904),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2096),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(2891),
    [anon_sym_enum] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(69),
    [anon_sym_struct] = ACTIONS(71),
    [anon_sym_union] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [anon_sym_virtual] = ACTIONS(123),
    [anon_sym_alignas] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_precise] = ACTIONS(161),
    [anon_sym_shared] = ACTIONS(161),
    [anon_sym_groupshared] = ACTIONS(161),
    [anon_sym_uniform] = ACTIONS(161),
    [anon_sym_row_major] = ACTIONS(161),
    [anon_sym_column_major] = ACTIONS(161),
    [anon_sym_globallycoherent] = ACTIONS(161),
    [anon_sym_centroid] = ACTIONS(161),
    [anon_sym_noperspective] = ACTIONS(161),
    [anon_sym_nointerpolation] = ACTIONS(161),
    [anon_sym_sample] = ACTIONS(161),
    [anon_sym_linear] = ACTIONS(161),
    [anon_sym_snorm] = ACTIONS(161),
    [anon_sym_unorm] = ACTIONS(161),
    [anon_sym_point] = ACTIONS(161),
    [anon_sym_line] = ACTIONS(161),
    [anon_sym_triangleadj] = ACTIONS(161),
    [anon_sym_lineadj] = ACTIONS(161),
    [anon_sym_triangle] = ACTIONS(161),
  },
  [2674] = {
    [sym_identifier] = ACTIONS(5772),
    [anon_sym_RPAREN] = ACTIONS(5774),
    [anon_sym_LPAREN2] = ACTIONS(5774),
    [anon_sym_TILDE] = ACTIONS(5774),
    [anon_sym_STAR] = ACTIONS(5774),
    [anon_sym_PIPE_PIPE] = ACTIONS(5774),
    [anon_sym_AMP_AMP] = ACTIONS(5774),
    [anon_sym_AMP] = ACTIONS(5772),
    [anon_sym___extension__] = ACTIONS(5772),
    [anon_sym_in] = ACTIONS(5772),
    [anon_sym_out] = ACTIONS(5772),
    [anon_sym_inout] = ACTIONS(5772),
    [anon_sym_extern] = ACTIONS(5772),
    [anon_sym___attribute__] = ACTIONS(5772),
    [anon_sym_COLON_COLON] = ACTIONS(5774),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5774),
    [anon_sym___declspec] = ACTIONS(5772),
    [anon_sym___based] = ACTIONS(5772),
    [anon_sym___cdecl] = ACTIONS(5772),
    [anon_sym___clrcall] = ACTIONS(5772),
    [anon_sym___stdcall] = ACTIONS(5772),
    [anon_sym___fastcall] = ACTIONS(5772),
    [anon_sym___thiscall] = ACTIONS(5772),
    [anon_sym___vectorcall] = ACTIONS(5772),
    [anon_sym_signed] = ACTIONS(5772),
    [anon_sym_unsigned] = ACTIONS(5772),
    [anon_sym_long] = ACTIONS(5772),
    [anon_sym_short] = ACTIONS(5772),
    [anon_sym_LBRACK] = ACTIONS(5772),
    [anon_sym_static] = ACTIONS(5772),
    [anon_sym_register] = ACTIONS(5772),
    [anon_sym_inline] = ACTIONS(5772),
    [anon_sym___inline] = ACTIONS(5772),
    [anon_sym___inline__] = ACTIONS(5772),
    [anon_sym___forceinline] = ACTIONS(5772),
    [anon_sym_thread_local] = ACTIONS(5772),
    [anon_sym___thread] = ACTIONS(5772),
    [anon_sym_const] = ACTIONS(5772),
    [anon_sym_constexpr] = ACTIONS(5772),
    [anon_sym_volatile] = ACTIONS(5772),
    [anon_sym_restrict] = ACTIONS(5772),
    [anon_sym___restrict__] = ACTIONS(5772),
    [anon_sym__Atomic] = ACTIONS(5772),
    [anon_sym__Noreturn] = ACTIONS(5772),
    [anon_sym_noreturn] = ACTIONS(5772),
    [anon_sym_mutable] = ACTIONS(5772),
    [anon_sym_constinit] = ACTIONS(5772),
    [anon_sym_consteval] = ACTIONS(5772),
    [sym_primitive_type] = ACTIONS(5772),
    [anon_sym_enum] = ACTIONS(5772),
    [anon_sym_class] = ACTIONS(5772),
    [anon_sym_struct] = ACTIONS(5772),
    [anon_sym_union] = ACTIONS(5772),
    [anon_sym_or] = ACTIONS(5772),
    [anon_sym_and] = ACTIONS(5772),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5772),
    [anon_sym_decltype] = ACTIONS(5772),
    [anon_sym_final] = ACTIONS(5772),
    [anon_sym_override] = ACTIONS(5772),
    [anon_sym_virtual] = ACTIONS(5772),
    [anon_sym_alignas] = ACTIONS(5772),
    [anon_sym_explicit] = ACTIONS(5772),
    [anon_sym_typename] = ACTIONS(5772),
    [anon_sym_template] = ACTIONS(5772),
    [anon_sym_operator] = ACTIONS(5772),
    [anon_sym_friend] = ACTIONS(5772),
    [anon_sym_using] = ACTIONS(5772),
    [anon_sym_concept] = ACTIONS(5772),
    [anon_sym_requires] = ACTIONS(5772),
    [anon_sym_precise] = ACTIONS(5772),
    [anon_sym_shared] = ACTIONS(5772),
    [anon_sym_groupshared] = ACTIONS(5772),
    [anon_sym_uniform] = ACTIONS(5772),
    [anon_sym_row_major] = ACTIONS(5772),
    [anon_sym_column_major] = ACTIONS(5772),
    [anon_sym_globallycoherent] = ACTIONS(5772),
    [anon_sym_centroid] = ACTIONS(5772),
    [anon_sym_noperspective] = ACTIONS(5772),
    [anon_sym_nointerpolation] = ACTIONS(5772),
    [anon_sym_sample] = ACTIONS(5772),
    [anon_sym_linear] = ACTIONS(5772),
    [anon_sym_snorm] = ACTIONS(5772),
    [anon_sym_unorm] = ACTIONS(5772),
    [anon_sym_point] = ACTIONS(5772),
    [anon_sym_line] = ACTIONS(5772),
    [anon_sym_triangleadj] = ACTIONS(5772),
    [anon_sym_lineadj] = ACTIONS(5772),
    [anon_sym_triangle] = ACTIONS(5772),
  },
  [2675] = {
    [sym__declaration_modifiers] = STATE(3141),
    [sym_attribute_specifier] = STATE(3141),
    [sym_attribute_declaration] = STATE(3141),
    [sym_ms_declspec_modifier] = STATE(3141),
    [sym_storage_class_specifier] = STATE(3141),
    [sym_type_qualifier] = STATE(3141),
    [sym__type_specifier] = STATE(2949),
    [sym_sized_type_specifier] = STATE(3085),
    [sym_enum_specifier] = STATE(3085),
    [sym_struct_specifier] = STATE(3085),
    [sym_union_specifier] = STATE(3085),
    [sym_placeholder_type_specifier] = STATE(3085),
    [sym_decltype_auto] = STATE(3091),
    [sym_decltype] = STATE(3050),
    [sym_class_specifier] = STATE(3085),
    [sym_virtual] = STATE(3141),
    [sym_alignas_specifier] = STATE(3141),
    [sym_dependent_type] = STATE(3085),
    [sym_template_type] = STATE(3050),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(7887),
    [sym_qualified_type_identifier] = STATE(3068),
    [sym_qualifiers] = STATE(3141),
    [aux_sym__declaration_specifiers_repeat1] = STATE(3141),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3492),
    [sym_identifier] = ACTIONS(3896),
    [anon_sym___extension__] = ACTIONS(63),
    [anon_sym_in] = ACTIONS(5719),
    [anon_sym_out] = ACTIONS(5719),
    [anon_sym_inout] = ACTIONS(5719),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(3904),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2096),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym_signed] = ACTIONS(3906),
    [anon_sym_unsigned] = ACTIONS(3906),
    [anon_sym_long] = ACTIONS(3906),
    [anon_sym_short] = ACTIONS(3906),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(2891),
    [anon_sym_enum] = ACTIONS(3908),
    [anon_sym_class] = ACTIONS(2895),
    [anon_sym_struct] = ACTIONS(2897),
    [anon_sym_union] = ACTIONS(2899),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [anon_sym_virtual] = ACTIONS(123),
    [anon_sym_alignas] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(3910),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_precise] = ACTIONS(161),
    [anon_sym_shared] = ACTIONS(161),
    [anon_sym_groupshared] = ACTIONS(161),
    [anon_sym_uniform] = ACTIONS(161),
    [anon_sym_row_major] = ACTIONS(161),
    [anon_sym_column_major] = ACTIONS(161),
    [anon_sym_globallycoherent] = ACTIONS(161),
    [anon_sym_centroid] = ACTIONS(161),
    [anon_sym_noperspective] = ACTIONS(161),
    [anon_sym_nointerpolation] = ACTIONS(161),
    [anon_sym_sample] = ACTIONS(161),
    [anon_sym_linear] = ACTIONS(161),
    [anon_sym_snorm] = ACTIONS(161),
    [anon_sym_unorm] = ACTIONS(161),
    [anon_sym_point] = ACTIONS(161),
    [anon_sym_line] = ACTIONS(161),
    [anon_sym_triangleadj] = ACTIONS(161),
    [anon_sym_lineadj] = ACTIONS(161),
    [anon_sym_triangle] = ACTIONS(161),
  },
  [2676] = {
    [sym_catch_clause] = STATE(2676),
    [aux_sym_constructor_try_statement_repeat1] = STATE(2676),
    [sym_identifier] = ACTIONS(2268),
    [aux_sym_preproc_def_token1] = ACTIONS(2268),
    [aux_sym_preproc_if_token1] = ACTIONS(2268),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2268),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2268),
    [sym_preproc_directive] = ACTIONS(2268),
    [anon_sym_LPAREN2] = ACTIONS(2270),
    [anon_sym_TILDE] = ACTIONS(2270),
    [anon_sym_STAR] = ACTIONS(2270),
    [anon_sym_AMP_AMP] = ACTIONS(2270),
    [anon_sym_AMP] = ACTIONS(2268),
    [anon_sym___extension__] = ACTIONS(2268),
    [anon_sym_typedef] = ACTIONS(2268),
    [anon_sym_in] = ACTIONS(2268),
    [anon_sym_out] = ACTIONS(2268),
    [anon_sym_inout] = ACTIONS(2268),
    [anon_sym_extern] = ACTIONS(2268),
    [anon_sym___attribute__] = ACTIONS(2268),
    [anon_sym_COLON_COLON] = ACTIONS(2270),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2270),
    [anon_sym___declspec] = ACTIONS(2268),
    [anon_sym___based] = ACTIONS(2268),
    [anon_sym_RBRACE] = ACTIONS(2270),
    [anon_sym_signed] = ACTIONS(2268),
    [anon_sym_unsigned] = ACTIONS(2268),
    [anon_sym_long] = ACTIONS(2268),
    [anon_sym_short] = ACTIONS(2268),
    [anon_sym_LBRACK] = ACTIONS(2268),
    [anon_sym_static] = ACTIONS(2268),
    [anon_sym_register] = ACTIONS(2268),
    [anon_sym_inline] = ACTIONS(2268),
    [anon_sym___inline] = ACTIONS(2268),
    [anon_sym___inline__] = ACTIONS(2268),
    [anon_sym___forceinline] = ACTIONS(2268),
    [anon_sym_thread_local] = ACTIONS(2268),
    [anon_sym___thread] = ACTIONS(2268),
    [anon_sym_const] = ACTIONS(2268),
    [anon_sym_constexpr] = ACTIONS(2268),
    [anon_sym_volatile] = ACTIONS(2268),
    [anon_sym_restrict] = ACTIONS(2268),
    [anon_sym___restrict__] = ACTIONS(2268),
    [anon_sym__Atomic] = ACTIONS(2268),
    [anon_sym__Noreturn] = ACTIONS(2268),
    [anon_sym_noreturn] = ACTIONS(2268),
    [anon_sym_mutable] = ACTIONS(2268),
    [anon_sym_constinit] = ACTIONS(2268),
    [anon_sym_consteval] = ACTIONS(2268),
    [sym_primitive_type] = ACTIONS(2268),
    [anon_sym_enum] = ACTIONS(2268),
    [anon_sym_class] = ACTIONS(2268),
    [anon_sym_struct] = ACTIONS(2268),
    [anon_sym_union] = ACTIONS(2268),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2268),
    [anon_sym_decltype] = ACTIONS(2268),
    [anon_sym_virtual] = ACTIONS(2268),
    [anon_sym_alignas] = ACTIONS(2268),
    [anon_sym_explicit] = ACTIONS(2268),
    [anon_sym_typename] = ACTIONS(2268),
    [anon_sym_template] = ACTIONS(2268),
    [anon_sym_operator] = ACTIONS(2268),
    [anon_sym_friend] = ACTIONS(2268),
    [anon_sym_public] = ACTIONS(2268),
    [anon_sym_private] = ACTIONS(2268),
    [anon_sym_protected] = ACTIONS(2268),
    [anon_sym_using] = ACTIONS(2268),
    [anon_sym_static_assert] = ACTIONS(2268),
    [anon_sym_catch] = ACTIONS(5776),
    [anon_sym_precise] = ACTIONS(2268),
    [anon_sym_shared] = ACTIONS(2268),
    [anon_sym_groupshared] = ACTIONS(2268),
    [anon_sym_uniform] = ACTIONS(2268),
    [anon_sym_row_major] = ACTIONS(2268),
    [anon_sym_column_major] = ACTIONS(2268),
    [anon_sym_globallycoherent] = ACTIONS(2268),
    [anon_sym_centroid] = ACTIONS(2268),
    [anon_sym_noperspective] = ACTIONS(2268),
    [anon_sym_nointerpolation] = ACTIONS(2268),
    [anon_sym_sample] = ACTIONS(2268),
    [anon_sym_linear] = ACTIONS(2268),
    [anon_sym_snorm] = ACTIONS(2268),
    [anon_sym_unorm] = ACTIONS(2268),
    [anon_sym_point] = ACTIONS(2268),
    [anon_sym_line] = ACTIONS(2268),
    [anon_sym_triangleadj] = ACTIONS(2268),
    [anon_sym_lineadj] = ACTIONS(2268),
    [anon_sym_triangle] = ACTIONS(2268),
  },
  [2677] = {
    [sym_catch_clause] = STATE(2676),
    [aux_sym_constructor_try_statement_repeat1] = STATE(2676),
    [sym_identifier] = ACTIONS(2275),
    [aux_sym_preproc_def_token1] = ACTIONS(2275),
    [aux_sym_preproc_if_token1] = ACTIONS(2275),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2275),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2275),
    [sym_preproc_directive] = ACTIONS(2275),
    [anon_sym_LPAREN2] = ACTIONS(2277),
    [anon_sym_TILDE] = ACTIONS(2277),
    [anon_sym_STAR] = ACTIONS(2277),
    [anon_sym_AMP_AMP] = ACTIONS(2277),
    [anon_sym_AMP] = ACTIONS(2275),
    [anon_sym___extension__] = ACTIONS(2275),
    [anon_sym_typedef] = ACTIONS(2275),
    [anon_sym_in] = ACTIONS(2275),
    [anon_sym_out] = ACTIONS(2275),
    [anon_sym_inout] = ACTIONS(2275),
    [anon_sym_extern] = ACTIONS(2275),
    [anon_sym___attribute__] = ACTIONS(2275),
    [anon_sym_COLON_COLON] = ACTIONS(2277),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2277),
    [anon_sym___declspec] = ACTIONS(2275),
    [anon_sym___based] = ACTIONS(2275),
    [anon_sym_RBRACE] = ACTIONS(2277),
    [anon_sym_signed] = ACTIONS(2275),
    [anon_sym_unsigned] = ACTIONS(2275),
    [anon_sym_long] = ACTIONS(2275),
    [anon_sym_short] = ACTIONS(2275),
    [anon_sym_LBRACK] = ACTIONS(2275),
    [anon_sym_static] = ACTIONS(2275),
    [anon_sym_register] = ACTIONS(2275),
    [anon_sym_inline] = ACTIONS(2275),
    [anon_sym___inline] = ACTIONS(2275),
    [anon_sym___inline__] = ACTIONS(2275),
    [anon_sym___forceinline] = ACTIONS(2275),
    [anon_sym_thread_local] = ACTIONS(2275),
    [anon_sym___thread] = ACTIONS(2275),
    [anon_sym_const] = ACTIONS(2275),
    [anon_sym_constexpr] = ACTIONS(2275),
    [anon_sym_volatile] = ACTIONS(2275),
    [anon_sym_restrict] = ACTIONS(2275),
    [anon_sym___restrict__] = ACTIONS(2275),
    [anon_sym__Atomic] = ACTIONS(2275),
    [anon_sym__Noreturn] = ACTIONS(2275),
    [anon_sym_noreturn] = ACTIONS(2275),
    [anon_sym_mutable] = ACTIONS(2275),
    [anon_sym_constinit] = ACTIONS(2275),
    [anon_sym_consteval] = ACTIONS(2275),
    [sym_primitive_type] = ACTIONS(2275),
    [anon_sym_enum] = ACTIONS(2275),
    [anon_sym_class] = ACTIONS(2275),
    [anon_sym_struct] = ACTIONS(2275),
    [anon_sym_union] = ACTIONS(2275),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2275),
    [anon_sym_decltype] = ACTIONS(2275),
    [anon_sym_virtual] = ACTIONS(2275),
    [anon_sym_alignas] = ACTIONS(2275),
    [anon_sym_explicit] = ACTIONS(2275),
    [anon_sym_typename] = ACTIONS(2275),
    [anon_sym_template] = ACTIONS(2275),
    [anon_sym_operator] = ACTIONS(2275),
    [anon_sym_friend] = ACTIONS(2275),
    [anon_sym_public] = ACTIONS(2275),
    [anon_sym_private] = ACTIONS(2275),
    [anon_sym_protected] = ACTIONS(2275),
    [anon_sym_using] = ACTIONS(2275),
    [anon_sym_static_assert] = ACTIONS(2275),
    [anon_sym_catch] = ACTIONS(5743),
    [anon_sym_precise] = ACTIONS(2275),
    [anon_sym_shared] = ACTIONS(2275),
    [anon_sym_groupshared] = ACTIONS(2275),
    [anon_sym_uniform] = ACTIONS(2275),
    [anon_sym_row_major] = ACTIONS(2275),
    [anon_sym_column_major] = ACTIONS(2275),
    [anon_sym_globallycoherent] = ACTIONS(2275),
    [anon_sym_centroid] = ACTIONS(2275),
    [anon_sym_noperspective] = ACTIONS(2275),
    [anon_sym_nointerpolation] = ACTIONS(2275),
    [anon_sym_sample] = ACTIONS(2275),
    [anon_sym_linear] = ACTIONS(2275),
    [anon_sym_snorm] = ACTIONS(2275),
    [anon_sym_unorm] = ACTIONS(2275),
    [anon_sym_point] = ACTIONS(2275),
    [anon_sym_line] = ACTIONS(2275),
    [anon_sym_triangleadj] = ACTIONS(2275),
    [anon_sym_lineadj] = ACTIONS(2275),
    [anon_sym_triangle] = ACTIONS(2275),
  },
  [2678] = {
    [sym_catch_clause] = STATE(2666),
    [aux_sym_constructor_try_statement_repeat1] = STATE(2666),
    [sym_identifier] = ACTIONS(2285),
    [aux_sym_preproc_def_token1] = ACTIONS(2285),
    [aux_sym_preproc_if_token1] = ACTIONS(2285),
    [aux_sym_preproc_if_token2] = ACTIONS(2285),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2285),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2285),
    [sym_preproc_directive] = ACTIONS(2285),
    [anon_sym_LPAREN2] = ACTIONS(2287),
    [anon_sym_TILDE] = ACTIONS(2287),
    [anon_sym_STAR] = ACTIONS(2287),
    [anon_sym_AMP_AMP] = ACTIONS(2287),
    [anon_sym_AMP] = ACTIONS(2285),
    [anon_sym___extension__] = ACTIONS(2285),
    [anon_sym_typedef] = ACTIONS(2285),
    [anon_sym_in] = ACTIONS(2285),
    [anon_sym_out] = ACTIONS(2285),
    [anon_sym_inout] = ACTIONS(2285),
    [anon_sym_extern] = ACTIONS(2285),
    [anon_sym___attribute__] = ACTIONS(2285),
    [anon_sym_COLON_COLON] = ACTIONS(2287),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2287),
    [anon_sym___declspec] = ACTIONS(2285),
    [anon_sym___based] = ACTIONS(2285),
    [anon_sym_signed] = ACTIONS(2285),
    [anon_sym_unsigned] = ACTIONS(2285),
    [anon_sym_long] = ACTIONS(2285),
    [anon_sym_short] = ACTIONS(2285),
    [anon_sym_LBRACK] = ACTIONS(2285),
    [anon_sym_static] = ACTIONS(2285),
    [anon_sym_register] = ACTIONS(2285),
    [anon_sym_inline] = ACTIONS(2285),
    [anon_sym___inline] = ACTIONS(2285),
    [anon_sym___inline__] = ACTIONS(2285),
    [anon_sym___forceinline] = ACTIONS(2285),
    [anon_sym_thread_local] = ACTIONS(2285),
    [anon_sym___thread] = ACTIONS(2285),
    [anon_sym_const] = ACTIONS(2285),
    [anon_sym_constexpr] = ACTIONS(2285),
    [anon_sym_volatile] = ACTIONS(2285),
    [anon_sym_restrict] = ACTIONS(2285),
    [anon_sym___restrict__] = ACTIONS(2285),
    [anon_sym__Atomic] = ACTIONS(2285),
    [anon_sym__Noreturn] = ACTIONS(2285),
    [anon_sym_noreturn] = ACTIONS(2285),
    [anon_sym_mutable] = ACTIONS(2285),
    [anon_sym_constinit] = ACTIONS(2285),
    [anon_sym_consteval] = ACTIONS(2285),
    [sym_primitive_type] = ACTIONS(2285),
    [anon_sym_enum] = ACTIONS(2285),
    [anon_sym_class] = ACTIONS(2285),
    [anon_sym_struct] = ACTIONS(2285),
    [anon_sym_union] = ACTIONS(2285),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2285),
    [anon_sym_decltype] = ACTIONS(2285),
    [anon_sym_virtual] = ACTIONS(2285),
    [anon_sym_alignas] = ACTIONS(2285),
    [anon_sym_explicit] = ACTIONS(2285),
    [anon_sym_typename] = ACTIONS(2285),
    [anon_sym_template] = ACTIONS(2285),
    [anon_sym_operator] = ACTIONS(2285),
    [anon_sym_friend] = ACTIONS(2285),
    [anon_sym_public] = ACTIONS(2285),
    [anon_sym_private] = ACTIONS(2285),
    [anon_sym_protected] = ACTIONS(2285),
    [anon_sym_using] = ACTIONS(2285),
    [anon_sym_static_assert] = ACTIONS(2285),
    [anon_sym_catch] = ACTIONS(5725),
    [anon_sym_precise] = ACTIONS(2285),
    [anon_sym_shared] = ACTIONS(2285),
    [anon_sym_groupshared] = ACTIONS(2285),
    [anon_sym_uniform] = ACTIONS(2285),
    [anon_sym_row_major] = ACTIONS(2285),
    [anon_sym_column_major] = ACTIONS(2285),
    [anon_sym_globallycoherent] = ACTIONS(2285),
    [anon_sym_centroid] = ACTIONS(2285),
    [anon_sym_noperspective] = ACTIONS(2285),
    [anon_sym_nointerpolation] = ACTIONS(2285),
    [anon_sym_sample] = ACTIONS(2285),
    [anon_sym_linear] = ACTIONS(2285),
    [anon_sym_snorm] = ACTIONS(2285),
    [anon_sym_unorm] = ACTIONS(2285),
    [anon_sym_point] = ACTIONS(2285),
    [anon_sym_line] = ACTIONS(2285),
    [anon_sym_triangleadj] = ACTIONS(2285),
    [anon_sym_lineadj] = ACTIONS(2285),
    [anon_sym_triangle] = ACTIONS(2285),
  },
  [2679] = {
    [sym_identifier] = ACTIONS(5779),
    [anon_sym_RPAREN] = ACTIONS(5781),
    [anon_sym_LPAREN2] = ACTIONS(5781),
    [anon_sym_TILDE] = ACTIONS(5781),
    [anon_sym_STAR] = ACTIONS(5781),
    [anon_sym_PIPE_PIPE] = ACTIONS(5781),
    [anon_sym_AMP_AMP] = ACTIONS(5781),
    [anon_sym_AMP] = ACTIONS(5779),
    [anon_sym___extension__] = ACTIONS(5779),
    [anon_sym_in] = ACTIONS(5779),
    [anon_sym_out] = ACTIONS(5779),
    [anon_sym_inout] = ACTIONS(5779),
    [anon_sym_extern] = ACTIONS(5779),
    [anon_sym___attribute__] = ACTIONS(5779),
    [anon_sym_COLON_COLON] = ACTIONS(5781),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5781),
    [anon_sym___declspec] = ACTIONS(5779),
    [anon_sym___based] = ACTIONS(5779),
    [anon_sym___cdecl] = ACTIONS(5779),
    [anon_sym___clrcall] = ACTIONS(5779),
    [anon_sym___stdcall] = ACTIONS(5779),
    [anon_sym___fastcall] = ACTIONS(5779),
    [anon_sym___thiscall] = ACTIONS(5779),
    [anon_sym___vectorcall] = ACTIONS(5779),
    [anon_sym_signed] = ACTIONS(5779),
    [anon_sym_unsigned] = ACTIONS(5779),
    [anon_sym_long] = ACTIONS(5779),
    [anon_sym_short] = ACTIONS(5779),
    [anon_sym_LBRACK] = ACTIONS(5779),
    [anon_sym_static] = ACTIONS(5779),
    [anon_sym_register] = ACTIONS(5779),
    [anon_sym_inline] = ACTIONS(5779),
    [anon_sym___inline] = ACTIONS(5779),
    [anon_sym___inline__] = ACTIONS(5779),
    [anon_sym___forceinline] = ACTIONS(5779),
    [anon_sym_thread_local] = ACTIONS(5779),
    [anon_sym___thread] = ACTIONS(5779),
    [anon_sym_const] = ACTIONS(5779),
    [anon_sym_constexpr] = ACTIONS(5779),
    [anon_sym_volatile] = ACTIONS(5779),
    [anon_sym_restrict] = ACTIONS(5779),
    [anon_sym___restrict__] = ACTIONS(5779),
    [anon_sym__Atomic] = ACTIONS(5779),
    [anon_sym__Noreturn] = ACTIONS(5779),
    [anon_sym_noreturn] = ACTIONS(5779),
    [anon_sym_mutable] = ACTIONS(5779),
    [anon_sym_constinit] = ACTIONS(5779),
    [anon_sym_consteval] = ACTIONS(5779),
    [sym_primitive_type] = ACTIONS(5779),
    [anon_sym_enum] = ACTIONS(5779),
    [anon_sym_class] = ACTIONS(5779),
    [anon_sym_struct] = ACTIONS(5779),
    [anon_sym_union] = ACTIONS(5779),
    [anon_sym_or] = ACTIONS(5779),
    [anon_sym_and] = ACTIONS(5779),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5779),
    [anon_sym_decltype] = ACTIONS(5779),
    [anon_sym_final] = ACTIONS(5779),
    [anon_sym_override] = ACTIONS(5779),
    [anon_sym_virtual] = ACTIONS(5779),
    [anon_sym_alignas] = ACTIONS(5779),
    [anon_sym_explicit] = ACTIONS(5779),
    [anon_sym_typename] = ACTIONS(5779),
    [anon_sym_template] = ACTIONS(5779),
    [anon_sym_operator] = ACTIONS(5779),
    [anon_sym_friend] = ACTIONS(5779),
    [anon_sym_using] = ACTIONS(5779),
    [anon_sym_concept] = ACTIONS(5779),
    [anon_sym_requires] = ACTIONS(5779),
    [anon_sym_precise] = ACTIONS(5779),
    [anon_sym_shared] = ACTIONS(5779),
    [anon_sym_groupshared] = ACTIONS(5779),
    [anon_sym_uniform] = ACTIONS(5779),
    [anon_sym_row_major] = ACTIONS(5779),
    [anon_sym_column_major] = ACTIONS(5779),
    [anon_sym_globallycoherent] = ACTIONS(5779),
    [anon_sym_centroid] = ACTIONS(5779),
    [anon_sym_noperspective] = ACTIONS(5779),
    [anon_sym_nointerpolation] = ACTIONS(5779),
    [anon_sym_sample] = ACTIONS(5779),
    [anon_sym_linear] = ACTIONS(5779),
    [anon_sym_snorm] = ACTIONS(5779),
    [anon_sym_unorm] = ACTIONS(5779),
    [anon_sym_point] = ACTIONS(5779),
    [anon_sym_line] = ACTIONS(5779),
    [anon_sym_triangleadj] = ACTIONS(5779),
    [anon_sym_lineadj] = ACTIONS(5779),
    [anon_sym_triangle] = ACTIONS(5779),
  },
  [2680] = {
    [sym__declaration_modifiers] = STATE(3141),
    [sym_attribute_specifier] = STATE(3141),
    [sym_attribute_declaration] = STATE(3141),
    [sym_ms_declspec_modifier] = STATE(3141),
    [sym_storage_class_specifier] = STATE(3141),
    [sym_type_qualifier] = STATE(3141),
    [sym__type_specifier] = STATE(2949),
    [sym_sized_type_specifier] = STATE(3085),
    [sym_enum_specifier] = STATE(3085),
    [sym_struct_specifier] = STATE(3085),
    [sym_union_specifier] = STATE(3085),
    [sym_placeholder_type_specifier] = STATE(3085),
    [sym_decltype_auto] = STATE(3091),
    [sym_decltype] = STATE(3050),
    [sym_class_specifier] = STATE(3085),
    [sym_virtual] = STATE(3141),
    [sym_alignas_specifier] = STATE(3141),
    [sym_dependent_type] = STATE(3085),
    [sym_template_type] = STATE(3050),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(7887),
    [sym_qualified_type_identifier] = STATE(3068),
    [sym_qualifiers] = STATE(3141),
    [aux_sym__declaration_specifiers_repeat1] = STATE(3141),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3021),
    [sym_identifier] = ACTIONS(3896),
    [anon_sym___extension__] = ACTIONS(63),
    [anon_sym_in] = ACTIONS(5719),
    [anon_sym_out] = ACTIONS(5719),
    [anon_sym_inout] = ACTIONS(5719),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(3904),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2096),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(2891),
    [anon_sym_enum] = ACTIONS(2893),
    [anon_sym_class] = ACTIONS(2895),
    [anon_sym_struct] = ACTIONS(2897),
    [anon_sym_union] = ACTIONS(2899),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [anon_sym_virtual] = ACTIONS(123),
    [anon_sym_alignas] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(2901),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_precise] = ACTIONS(161),
    [anon_sym_shared] = ACTIONS(161),
    [anon_sym_groupshared] = ACTIONS(161),
    [anon_sym_uniform] = ACTIONS(161),
    [anon_sym_row_major] = ACTIONS(161),
    [anon_sym_column_major] = ACTIONS(161),
    [anon_sym_globallycoherent] = ACTIONS(161),
    [anon_sym_centroid] = ACTIONS(161),
    [anon_sym_noperspective] = ACTIONS(161),
    [anon_sym_nointerpolation] = ACTIONS(161),
    [anon_sym_sample] = ACTIONS(161),
    [anon_sym_linear] = ACTIONS(161),
    [anon_sym_snorm] = ACTIONS(161),
    [anon_sym_unorm] = ACTIONS(161),
    [anon_sym_point] = ACTIONS(161),
    [anon_sym_line] = ACTIONS(161),
    [anon_sym_triangleadj] = ACTIONS(161),
    [anon_sym_lineadj] = ACTIONS(161),
    [anon_sym_triangle] = ACTIONS(161),
  },
  [2681] = {
    [sym_catch_clause] = STATE(2676),
    [aux_sym_constructor_try_statement_repeat1] = STATE(2676),
    [sym_identifier] = ACTIONS(2242),
    [aux_sym_preproc_def_token1] = ACTIONS(2242),
    [aux_sym_preproc_if_token1] = ACTIONS(2242),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2242),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2242),
    [sym_preproc_directive] = ACTIONS(2242),
    [anon_sym_LPAREN2] = ACTIONS(2244),
    [anon_sym_TILDE] = ACTIONS(2244),
    [anon_sym_STAR] = ACTIONS(2244),
    [anon_sym_AMP_AMP] = ACTIONS(2244),
    [anon_sym_AMP] = ACTIONS(2242),
    [anon_sym___extension__] = ACTIONS(2242),
    [anon_sym_typedef] = ACTIONS(2242),
    [anon_sym_in] = ACTIONS(2242),
    [anon_sym_out] = ACTIONS(2242),
    [anon_sym_inout] = ACTIONS(2242),
    [anon_sym_extern] = ACTIONS(2242),
    [anon_sym___attribute__] = ACTIONS(2242),
    [anon_sym_COLON_COLON] = ACTIONS(2244),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2244),
    [anon_sym___declspec] = ACTIONS(2242),
    [anon_sym___based] = ACTIONS(2242),
    [anon_sym_RBRACE] = ACTIONS(2244),
    [anon_sym_signed] = ACTIONS(2242),
    [anon_sym_unsigned] = ACTIONS(2242),
    [anon_sym_long] = ACTIONS(2242),
    [anon_sym_short] = ACTIONS(2242),
    [anon_sym_LBRACK] = ACTIONS(2242),
    [anon_sym_static] = ACTIONS(2242),
    [anon_sym_register] = ACTIONS(2242),
    [anon_sym_inline] = ACTIONS(2242),
    [anon_sym___inline] = ACTIONS(2242),
    [anon_sym___inline__] = ACTIONS(2242),
    [anon_sym___forceinline] = ACTIONS(2242),
    [anon_sym_thread_local] = ACTIONS(2242),
    [anon_sym___thread] = ACTIONS(2242),
    [anon_sym_const] = ACTIONS(2242),
    [anon_sym_constexpr] = ACTIONS(2242),
    [anon_sym_volatile] = ACTIONS(2242),
    [anon_sym_restrict] = ACTIONS(2242),
    [anon_sym___restrict__] = ACTIONS(2242),
    [anon_sym__Atomic] = ACTIONS(2242),
    [anon_sym__Noreturn] = ACTIONS(2242),
    [anon_sym_noreturn] = ACTIONS(2242),
    [anon_sym_mutable] = ACTIONS(2242),
    [anon_sym_constinit] = ACTIONS(2242),
    [anon_sym_consteval] = ACTIONS(2242),
    [sym_primitive_type] = ACTIONS(2242),
    [anon_sym_enum] = ACTIONS(2242),
    [anon_sym_class] = ACTIONS(2242),
    [anon_sym_struct] = ACTIONS(2242),
    [anon_sym_union] = ACTIONS(2242),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2242),
    [anon_sym_decltype] = ACTIONS(2242),
    [anon_sym_virtual] = ACTIONS(2242),
    [anon_sym_alignas] = ACTIONS(2242),
    [anon_sym_explicit] = ACTIONS(2242),
    [anon_sym_typename] = ACTIONS(2242),
    [anon_sym_template] = ACTIONS(2242),
    [anon_sym_operator] = ACTIONS(2242),
    [anon_sym_friend] = ACTIONS(2242),
    [anon_sym_public] = ACTIONS(2242),
    [anon_sym_private] = ACTIONS(2242),
    [anon_sym_protected] = ACTIONS(2242),
    [anon_sym_using] = ACTIONS(2242),
    [anon_sym_static_assert] = ACTIONS(2242),
    [anon_sym_catch] = ACTIONS(5743),
    [anon_sym_precise] = ACTIONS(2242),
    [anon_sym_shared] = ACTIONS(2242),
    [anon_sym_groupshared] = ACTIONS(2242),
    [anon_sym_uniform] = ACTIONS(2242),
    [anon_sym_row_major] = ACTIONS(2242),
    [anon_sym_column_major] = ACTIONS(2242),
    [anon_sym_globallycoherent] = ACTIONS(2242),
    [anon_sym_centroid] = ACTIONS(2242),
    [anon_sym_noperspective] = ACTIONS(2242),
    [anon_sym_nointerpolation] = ACTIONS(2242),
    [anon_sym_sample] = ACTIONS(2242),
    [anon_sym_linear] = ACTIONS(2242),
    [anon_sym_snorm] = ACTIONS(2242),
    [anon_sym_unorm] = ACTIONS(2242),
    [anon_sym_point] = ACTIONS(2242),
    [anon_sym_line] = ACTIONS(2242),
    [anon_sym_triangleadj] = ACTIONS(2242),
    [anon_sym_lineadj] = ACTIONS(2242),
    [anon_sym_triangle] = ACTIONS(2242),
  },
  [2682] = {
    [sym_identifier] = ACTIONS(5783),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5785),
    [anon_sym_COMMA] = ACTIONS(5785),
    [anon_sym_RPAREN] = ACTIONS(5785),
    [anon_sym_LPAREN2] = ACTIONS(5785),
    [anon_sym_TILDE] = ACTIONS(5785),
    [anon_sym_STAR] = ACTIONS(5785),
    [anon_sym_AMP_AMP] = ACTIONS(5785),
    [anon_sym_AMP] = ACTIONS(5783),
    [anon_sym_SEMI] = ACTIONS(5785),
    [anon_sym___extension__] = ACTIONS(5783),
    [anon_sym_in] = ACTIONS(5783),
    [anon_sym_out] = ACTIONS(5783),
    [anon_sym_inout] = ACTIONS(5783),
    [anon_sym_extern] = ACTIONS(5783),
    [anon_sym___attribute__] = ACTIONS(5783),
    [anon_sym_COLON_COLON] = ACTIONS(5785),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5785),
    [anon_sym___declspec] = ACTIONS(5783),
    [anon_sym___based] = ACTIONS(5783),
    [anon_sym_LBRACE] = ACTIONS(5785),
    [anon_sym_signed] = ACTIONS(5783),
    [anon_sym_unsigned] = ACTIONS(5783),
    [anon_sym_long] = ACTIONS(5783),
    [anon_sym_short] = ACTIONS(5783),
    [anon_sym_LBRACK] = ACTIONS(5783),
    [anon_sym_EQ] = ACTIONS(5785),
    [anon_sym_static] = ACTIONS(5783),
    [anon_sym_register] = ACTIONS(5783),
    [anon_sym_inline] = ACTIONS(5783),
    [anon_sym___inline] = ACTIONS(5783),
    [anon_sym___inline__] = ACTIONS(5783),
    [anon_sym___forceinline] = ACTIONS(5783),
    [anon_sym_thread_local] = ACTIONS(5783),
    [anon_sym___thread] = ACTIONS(5783),
    [anon_sym_const] = ACTIONS(5783),
    [anon_sym_constexpr] = ACTIONS(5783),
    [anon_sym_volatile] = ACTIONS(5783),
    [anon_sym_restrict] = ACTIONS(5783),
    [anon_sym___restrict__] = ACTIONS(5783),
    [anon_sym__Atomic] = ACTIONS(5783),
    [anon_sym__Noreturn] = ACTIONS(5783),
    [anon_sym_noreturn] = ACTIONS(5783),
    [anon_sym_mutable] = ACTIONS(5783),
    [anon_sym_constinit] = ACTIONS(5783),
    [anon_sym_consteval] = ACTIONS(5783),
    [sym_primitive_type] = ACTIONS(5783),
    [anon_sym_enum] = ACTIONS(5783),
    [anon_sym_class] = ACTIONS(5783),
    [anon_sym_struct] = ACTIONS(5783),
    [anon_sym_union] = ACTIONS(5783),
    [anon_sym_asm] = ACTIONS(5783),
    [anon_sym___asm__] = ACTIONS(5783),
    [anon_sym_DASH_GT] = ACTIONS(5785),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5783),
    [anon_sym_decltype] = ACTIONS(5783),
    [anon_sym_final] = ACTIONS(5783),
    [anon_sym_override] = ACTIONS(5783),
    [anon_sym_virtual] = ACTIONS(5783),
    [anon_sym_alignas] = ACTIONS(5783),
    [anon_sym_explicit] = ACTIONS(5783),
    [anon_sym_typename] = ACTIONS(5783),
    [anon_sym_template] = ACTIONS(5783),
    [anon_sym_GT2] = ACTIONS(5785),
    [anon_sym_operator] = ACTIONS(5783),
    [anon_sym_try] = ACTIONS(5783),
    [anon_sym_noexcept] = ACTIONS(5783),
    [anon_sym_throw] = ACTIONS(5783),
    [anon_sym_requires] = ACTIONS(5783),
    [anon_sym_precise] = ACTIONS(5783),
    [anon_sym_shared] = ACTIONS(5783),
    [anon_sym_groupshared] = ACTIONS(5783),
    [anon_sym_uniform] = ACTIONS(5783),
    [anon_sym_row_major] = ACTIONS(5783),
    [anon_sym_column_major] = ACTIONS(5783),
    [anon_sym_globallycoherent] = ACTIONS(5783),
    [anon_sym_centroid] = ACTIONS(5783),
    [anon_sym_noperspective] = ACTIONS(5783),
    [anon_sym_nointerpolation] = ACTIONS(5783),
    [anon_sym_sample] = ACTIONS(5783),
    [anon_sym_linear] = ACTIONS(5783),
    [anon_sym_snorm] = ACTIONS(5783),
    [anon_sym_unorm] = ACTIONS(5783),
    [anon_sym_point] = ACTIONS(5783),
    [anon_sym_line] = ACTIONS(5783),
    [anon_sym_triangleadj] = ACTIONS(5783),
    [anon_sym_lineadj] = ACTIONS(5783),
    [anon_sym_triangle] = ACTIONS(5783),
  },
  [2683] = {
    [sym_identifier] = ACTIONS(3142),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3144),
    [anon_sym_COMMA] = ACTIONS(3144),
    [anon_sym_RPAREN] = ACTIONS(3144),
    [anon_sym_LPAREN2] = ACTIONS(3144),
    [anon_sym_TILDE] = ACTIONS(3144),
    [anon_sym_STAR] = ACTIONS(3144),
    [anon_sym_AMP_AMP] = ACTIONS(3144),
    [anon_sym_AMP] = ACTIONS(3142),
    [anon_sym_SEMI] = ACTIONS(3144),
    [anon_sym___extension__] = ACTIONS(3142),
    [anon_sym_in] = ACTIONS(3142),
    [anon_sym_out] = ACTIONS(3142),
    [anon_sym_inout] = ACTIONS(3142),
    [anon_sym_extern] = ACTIONS(3142),
    [anon_sym___attribute__] = ACTIONS(3142),
    [anon_sym_COLON_COLON] = ACTIONS(3144),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3144),
    [anon_sym___declspec] = ACTIONS(3142),
    [anon_sym___based] = ACTIONS(3142),
    [anon_sym_LBRACE] = ACTIONS(3144),
    [anon_sym_signed] = ACTIONS(3142),
    [anon_sym_unsigned] = ACTIONS(3142),
    [anon_sym_long] = ACTIONS(3142),
    [anon_sym_short] = ACTIONS(3142),
    [anon_sym_LBRACK] = ACTIONS(3142),
    [anon_sym_EQ] = ACTIONS(3144),
    [anon_sym_static] = ACTIONS(3142),
    [anon_sym_register] = ACTIONS(3142),
    [anon_sym_inline] = ACTIONS(3142),
    [anon_sym___inline] = ACTIONS(3142),
    [anon_sym___inline__] = ACTIONS(3142),
    [anon_sym___forceinline] = ACTIONS(3142),
    [anon_sym_thread_local] = ACTIONS(3142),
    [anon_sym___thread] = ACTIONS(3142),
    [anon_sym_const] = ACTIONS(3142),
    [anon_sym_constexpr] = ACTIONS(3142),
    [anon_sym_volatile] = ACTIONS(3142),
    [anon_sym_restrict] = ACTIONS(3142),
    [anon_sym___restrict__] = ACTIONS(3142),
    [anon_sym__Atomic] = ACTIONS(3142),
    [anon_sym__Noreturn] = ACTIONS(3142),
    [anon_sym_noreturn] = ACTIONS(3142),
    [anon_sym_mutable] = ACTIONS(3142),
    [anon_sym_constinit] = ACTIONS(3142),
    [anon_sym_consteval] = ACTIONS(3142),
    [sym_primitive_type] = ACTIONS(3142),
    [anon_sym_enum] = ACTIONS(3142),
    [anon_sym_class] = ACTIONS(3142),
    [anon_sym_struct] = ACTIONS(3142),
    [anon_sym_union] = ACTIONS(3142),
    [anon_sym_asm] = ACTIONS(3142),
    [anon_sym___asm__] = ACTIONS(3142),
    [anon_sym_DASH_GT] = ACTIONS(3144),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3142),
    [anon_sym_decltype] = ACTIONS(3142),
    [anon_sym_final] = ACTIONS(3142),
    [anon_sym_override] = ACTIONS(3142),
    [anon_sym_virtual] = ACTIONS(3142),
    [anon_sym_alignas] = ACTIONS(3142),
    [anon_sym_explicit] = ACTIONS(3142),
    [anon_sym_typename] = ACTIONS(3142),
    [anon_sym_template] = ACTIONS(3142),
    [anon_sym_GT2] = ACTIONS(3144),
    [anon_sym_operator] = ACTIONS(3142),
    [anon_sym_try] = ACTIONS(3142),
    [anon_sym_noexcept] = ACTIONS(3142),
    [anon_sym_throw] = ACTIONS(3142),
    [anon_sym_requires] = ACTIONS(3142),
    [anon_sym_precise] = ACTIONS(3142),
    [anon_sym_shared] = ACTIONS(3142),
    [anon_sym_groupshared] = ACTIONS(3142),
    [anon_sym_uniform] = ACTIONS(3142),
    [anon_sym_row_major] = ACTIONS(3142),
    [anon_sym_column_major] = ACTIONS(3142),
    [anon_sym_globallycoherent] = ACTIONS(3142),
    [anon_sym_centroid] = ACTIONS(3142),
    [anon_sym_noperspective] = ACTIONS(3142),
    [anon_sym_nointerpolation] = ACTIONS(3142),
    [anon_sym_sample] = ACTIONS(3142),
    [anon_sym_linear] = ACTIONS(3142),
    [anon_sym_snorm] = ACTIONS(3142),
    [anon_sym_unorm] = ACTIONS(3142),
    [anon_sym_point] = ACTIONS(3142),
    [anon_sym_line] = ACTIONS(3142),
    [anon_sym_triangleadj] = ACTIONS(3142),
    [anon_sym_lineadj] = ACTIONS(3142),
    [anon_sym_triangle] = ACTIONS(3142),
  },
  [2684] = {
    [sym_identifier] = ACTIONS(2797),
    [aux_sym_preproc_def_token1] = ACTIONS(2797),
    [aux_sym_preproc_if_token1] = ACTIONS(2797),
    [aux_sym_preproc_if_token2] = ACTIONS(2797),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2797),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2797),
    [aux_sym_preproc_else_token1] = ACTIONS(2797),
    [aux_sym_preproc_elif_token1] = ACTIONS(2797),
    [sym_preproc_directive] = ACTIONS(2797),
    [anon_sym_LPAREN2] = ACTIONS(2799),
    [anon_sym_TILDE] = ACTIONS(2799),
    [anon_sym_STAR] = ACTIONS(2799),
    [anon_sym_AMP_AMP] = ACTIONS(2799),
    [anon_sym_AMP] = ACTIONS(2797),
    [anon_sym___extension__] = ACTIONS(2797),
    [anon_sym_typedef] = ACTIONS(2797),
    [anon_sym_in] = ACTIONS(2797),
    [anon_sym_out] = ACTIONS(2797),
    [anon_sym_inout] = ACTIONS(2797),
    [anon_sym_extern] = ACTIONS(2797),
    [anon_sym___attribute__] = ACTIONS(2797),
    [anon_sym_COLON_COLON] = ACTIONS(2799),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2799),
    [anon_sym___declspec] = ACTIONS(2797),
    [anon_sym___based] = ACTIONS(2797),
    [anon_sym_signed] = ACTIONS(2797),
    [anon_sym_unsigned] = ACTIONS(2797),
    [anon_sym_long] = ACTIONS(2797),
    [anon_sym_short] = ACTIONS(2797),
    [anon_sym_LBRACK] = ACTIONS(2797),
    [anon_sym_static] = ACTIONS(2797),
    [anon_sym_register] = ACTIONS(2797),
    [anon_sym_inline] = ACTIONS(2797),
    [anon_sym___inline] = ACTIONS(2797),
    [anon_sym___inline__] = ACTIONS(2797),
    [anon_sym___forceinline] = ACTIONS(2797),
    [anon_sym_thread_local] = ACTIONS(2797),
    [anon_sym___thread] = ACTIONS(2797),
    [anon_sym_const] = ACTIONS(2797),
    [anon_sym_constexpr] = ACTIONS(2797),
    [anon_sym_volatile] = ACTIONS(2797),
    [anon_sym_restrict] = ACTIONS(2797),
    [anon_sym___restrict__] = ACTIONS(2797),
    [anon_sym__Atomic] = ACTIONS(2797),
    [anon_sym__Noreturn] = ACTIONS(2797),
    [anon_sym_noreturn] = ACTIONS(2797),
    [anon_sym_mutable] = ACTIONS(2797),
    [anon_sym_constinit] = ACTIONS(2797),
    [anon_sym_consteval] = ACTIONS(2797),
    [sym_primitive_type] = ACTIONS(2797),
    [anon_sym_enum] = ACTIONS(2797),
    [anon_sym_class] = ACTIONS(2797),
    [anon_sym_struct] = ACTIONS(2797),
    [anon_sym_union] = ACTIONS(2797),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2797),
    [anon_sym_decltype] = ACTIONS(2797),
    [anon_sym_virtual] = ACTIONS(2797),
    [anon_sym_alignas] = ACTIONS(2797),
    [anon_sym_explicit] = ACTIONS(2797),
    [anon_sym_typename] = ACTIONS(2797),
    [anon_sym_template] = ACTIONS(2797),
    [anon_sym_operator] = ACTIONS(2797),
    [anon_sym_friend] = ACTIONS(2797),
    [anon_sym_public] = ACTIONS(2797),
    [anon_sym_private] = ACTIONS(2797),
    [anon_sym_protected] = ACTIONS(2797),
    [anon_sym_using] = ACTIONS(2797),
    [anon_sym_static_assert] = ACTIONS(2797),
    [anon_sym_precise] = ACTIONS(2797),
    [anon_sym_shared] = ACTIONS(2797),
    [anon_sym_groupshared] = ACTIONS(2797),
    [anon_sym_uniform] = ACTIONS(2797),
    [anon_sym_row_major] = ACTIONS(2797),
    [anon_sym_column_major] = ACTIONS(2797),
    [anon_sym_globallycoherent] = ACTIONS(2797),
    [anon_sym_centroid] = ACTIONS(2797),
    [anon_sym_noperspective] = ACTIONS(2797),
    [anon_sym_nointerpolation] = ACTIONS(2797),
    [anon_sym_sample] = ACTIONS(2797),
    [anon_sym_linear] = ACTIONS(2797),
    [anon_sym_snorm] = ACTIONS(2797),
    [anon_sym_unorm] = ACTIONS(2797),
    [anon_sym_point] = ACTIONS(2797),
    [anon_sym_line] = ACTIONS(2797),
    [anon_sym_triangleadj] = ACTIONS(2797),
    [anon_sym_lineadj] = ACTIONS(2797),
    [anon_sym_triangle] = ACTIONS(2797),
  },
  [2685] = {
    [sym_identifier] = ACTIONS(2769),
    [aux_sym_preproc_def_token1] = ACTIONS(2769),
    [aux_sym_preproc_if_token1] = ACTIONS(2769),
    [aux_sym_preproc_if_token2] = ACTIONS(2769),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2769),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2769),
    [aux_sym_preproc_else_token1] = ACTIONS(2769),
    [aux_sym_preproc_elif_token1] = ACTIONS(2769),
    [sym_preproc_directive] = ACTIONS(2769),
    [anon_sym_LPAREN2] = ACTIONS(2771),
    [anon_sym_TILDE] = ACTIONS(2771),
    [anon_sym_STAR] = ACTIONS(2771),
    [anon_sym_AMP_AMP] = ACTIONS(2771),
    [anon_sym_AMP] = ACTIONS(2769),
    [anon_sym___extension__] = ACTIONS(2769),
    [anon_sym_typedef] = ACTIONS(2769),
    [anon_sym_in] = ACTIONS(2769),
    [anon_sym_out] = ACTIONS(2769),
    [anon_sym_inout] = ACTIONS(2769),
    [anon_sym_extern] = ACTIONS(2769),
    [anon_sym___attribute__] = ACTIONS(2769),
    [anon_sym_COLON_COLON] = ACTIONS(2771),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2771),
    [anon_sym___declspec] = ACTIONS(2769),
    [anon_sym___based] = ACTIONS(2769),
    [anon_sym_signed] = ACTIONS(2769),
    [anon_sym_unsigned] = ACTIONS(2769),
    [anon_sym_long] = ACTIONS(2769),
    [anon_sym_short] = ACTIONS(2769),
    [anon_sym_LBRACK] = ACTIONS(2769),
    [anon_sym_static] = ACTIONS(2769),
    [anon_sym_register] = ACTIONS(2769),
    [anon_sym_inline] = ACTIONS(2769),
    [anon_sym___inline] = ACTIONS(2769),
    [anon_sym___inline__] = ACTIONS(2769),
    [anon_sym___forceinline] = ACTIONS(2769),
    [anon_sym_thread_local] = ACTIONS(2769),
    [anon_sym___thread] = ACTIONS(2769),
    [anon_sym_const] = ACTIONS(2769),
    [anon_sym_constexpr] = ACTIONS(2769),
    [anon_sym_volatile] = ACTIONS(2769),
    [anon_sym_restrict] = ACTIONS(2769),
    [anon_sym___restrict__] = ACTIONS(2769),
    [anon_sym__Atomic] = ACTIONS(2769),
    [anon_sym__Noreturn] = ACTIONS(2769),
    [anon_sym_noreturn] = ACTIONS(2769),
    [anon_sym_mutable] = ACTIONS(2769),
    [anon_sym_constinit] = ACTIONS(2769),
    [anon_sym_consteval] = ACTIONS(2769),
    [sym_primitive_type] = ACTIONS(2769),
    [anon_sym_enum] = ACTIONS(2769),
    [anon_sym_class] = ACTIONS(2769),
    [anon_sym_struct] = ACTIONS(2769),
    [anon_sym_union] = ACTIONS(2769),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2769),
    [anon_sym_decltype] = ACTIONS(2769),
    [anon_sym_virtual] = ACTIONS(2769),
    [anon_sym_alignas] = ACTIONS(2769),
    [anon_sym_explicit] = ACTIONS(2769),
    [anon_sym_typename] = ACTIONS(2769),
    [anon_sym_template] = ACTIONS(2769),
    [anon_sym_operator] = ACTIONS(2769),
    [anon_sym_friend] = ACTIONS(2769),
    [anon_sym_public] = ACTIONS(2769),
    [anon_sym_private] = ACTIONS(2769),
    [anon_sym_protected] = ACTIONS(2769),
    [anon_sym_using] = ACTIONS(2769),
    [anon_sym_static_assert] = ACTIONS(2769),
    [anon_sym_precise] = ACTIONS(2769),
    [anon_sym_shared] = ACTIONS(2769),
    [anon_sym_groupshared] = ACTIONS(2769),
    [anon_sym_uniform] = ACTIONS(2769),
    [anon_sym_row_major] = ACTIONS(2769),
    [anon_sym_column_major] = ACTIONS(2769),
    [anon_sym_globallycoherent] = ACTIONS(2769),
    [anon_sym_centroid] = ACTIONS(2769),
    [anon_sym_noperspective] = ACTIONS(2769),
    [anon_sym_nointerpolation] = ACTIONS(2769),
    [anon_sym_sample] = ACTIONS(2769),
    [anon_sym_linear] = ACTIONS(2769),
    [anon_sym_snorm] = ACTIONS(2769),
    [anon_sym_unorm] = ACTIONS(2769),
    [anon_sym_point] = ACTIONS(2769),
    [anon_sym_line] = ACTIONS(2769),
    [anon_sym_triangleadj] = ACTIONS(2769),
    [anon_sym_lineadj] = ACTIONS(2769),
    [anon_sym_triangle] = ACTIONS(2769),
  },
  [2686] = {
    [sym_identifier] = ACTIONS(2464),
    [aux_sym_preproc_def_token1] = ACTIONS(2464),
    [aux_sym_preproc_if_token1] = ACTIONS(2464),
    [aux_sym_preproc_if_token2] = ACTIONS(2464),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2464),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2464),
    [aux_sym_preproc_else_token1] = ACTIONS(2464),
    [aux_sym_preproc_elif_token1] = ACTIONS(2464),
    [sym_preproc_directive] = ACTIONS(2464),
    [anon_sym_LPAREN2] = ACTIONS(2466),
    [anon_sym_TILDE] = ACTIONS(2466),
    [anon_sym_STAR] = ACTIONS(2466),
    [anon_sym_AMP_AMP] = ACTIONS(2466),
    [anon_sym_AMP] = ACTIONS(2464),
    [anon_sym___extension__] = ACTIONS(2464),
    [anon_sym_typedef] = ACTIONS(2464),
    [anon_sym_in] = ACTIONS(2464),
    [anon_sym_out] = ACTIONS(2464),
    [anon_sym_inout] = ACTIONS(2464),
    [anon_sym_extern] = ACTIONS(2464),
    [anon_sym___attribute__] = ACTIONS(2464),
    [anon_sym_COLON_COLON] = ACTIONS(2466),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2466),
    [anon_sym___declspec] = ACTIONS(2464),
    [anon_sym___based] = ACTIONS(2464),
    [anon_sym_signed] = ACTIONS(2464),
    [anon_sym_unsigned] = ACTIONS(2464),
    [anon_sym_long] = ACTIONS(2464),
    [anon_sym_short] = ACTIONS(2464),
    [anon_sym_LBRACK] = ACTIONS(2464),
    [anon_sym_static] = ACTIONS(2464),
    [anon_sym_register] = ACTIONS(2464),
    [anon_sym_inline] = ACTIONS(2464),
    [anon_sym___inline] = ACTIONS(2464),
    [anon_sym___inline__] = ACTIONS(2464),
    [anon_sym___forceinline] = ACTIONS(2464),
    [anon_sym_thread_local] = ACTIONS(2464),
    [anon_sym___thread] = ACTIONS(2464),
    [anon_sym_const] = ACTIONS(2464),
    [anon_sym_constexpr] = ACTIONS(2464),
    [anon_sym_volatile] = ACTIONS(2464),
    [anon_sym_restrict] = ACTIONS(2464),
    [anon_sym___restrict__] = ACTIONS(2464),
    [anon_sym__Atomic] = ACTIONS(2464),
    [anon_sym__Noreturn] = ACTIONS(2464),
    [anon_sym_noreturn] = ACTIONS(2464),
    [anon_sym_mutable] = ACTIONS(2464),
    [anon_sym_constinit] = ACTIONS(2464),
    [anon_sym_consteval] = ACTIONS(2464),
    [sym_primitive_type] = ACTIONS(2464),
    [anon_sym_enum] = ACTIONS(2464),
    [anon_sym_class] = ACTIONS(2464),
    [anon_sym_struct] = ACTIONS(2464),
    [anon_sym_union] = ACTIONS(2464),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2464),
    [anon_sym_decltype] = ACTIONS(2464),
    [anon_sym_virtual] = ACTIONS(2464),
    [anon_sym_alignas] = ACTIONS(2464),
    [anon_sym_explicit] = ACTIONS(2464),
    [anon_sym_typename] = ACTIONS(2464),
    [anon_sym_template] = ACTIONS(2464),
    [anon_sym_operator] = ACTIONS(2464),
    [anon_sym_friend] = ACTIONS(2464),
    [anon_sym_public] = ACTIONS(2464),
    [anon_sym_private] = ACTIONS(2464),
    [anon_sym_protected] = ACTIONS(2464),
    [anon_sym_using] = ACTIONS(2464),
    [anon_sym_static_assert] = ACTIONS(2464),
    [anon_sym_precise] = ACTIONS(2464),
    [anon_sym_shared] = ACTIONS(2464),
    [anon_sym_groupshared] = ACTIONS(2464),
    [anon_sym_uniform] = ACTIONS(2464),
    [anon_sym_row_major] = ACTIONS(2464),
    [anon_sym_column_major] = ACTIONS(2464),
    [anon_sym_globallycoherent] = ACTIONS(2464),
    [anon_sym_centroid] = ACTIONS(2464),
    [anon_sym_noperspective] = ACTIONS(2464),
    [anon_sym_nointerpolation] = ACTIONS(2464),
    [anon_sym_sample] = ACTIONS(2464),
    [anon_sym_linear] = ACTIONS(2464),
    [anon_sym_snorm] = ACTIONS(2464),
    [anon_sym_unorm] = ACTIONS(2464),
    [anon_sym_point] = ACTIONS(2464),
    [anon_sym_line] = ACTIONS(2464),
    [anon_sym_triangleadj] = ACTIONS(2464),
    [anon_sym_lineadj] = ACTIONS(2464),
    [anon_sym_triangle] = ACTIONS(2464),
  },
  [2687] = {
    [sym_identifier] = ACTIONS(2354),
    [aux_sym_preproc_def_token1] = ACTIONS(2354),
    [aux_sym_preproc_if_token1] = ACTIONS(2354),
    [aux_sym_preproc_if_token2] = ACTIONS(2354),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2354),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2354),
    [aux_sym_preproc_else_token1] = ACTIONS(2354),
    [aux_sym_preproc_elif_token1] = ACTIONS(2354),
    [sym_preproc_directive] = ACTIONS(2354),
    [anon_sym_LPAREN2] = ACTIONS(2356),
    [anon_sym_TILDE] = ACTIONS(2356),
    [anon_sym_STAR] = ACTIONS(2356),
    [anon_sym_AMP_AMP] = ACTIONS(2356),
    [anon_sym_AMP] = ACTIONS(2354),
    [anon_sym___extension__] = ACTIONS(2354),
    [anon_sym_typedef] = ACTIONS(2354),
    [anon_sym_in] = ACTIONS(2354),
    [anon_sym_out] = ACTIONS(2354),
    [anon_sym_inout] = ACTIONS(2354),
    [anon_sym_extern] = ACTIONS(2354),
    [anon_sym___attribute__] = ACTIONS(2354),
    [anon_sym_COLON_COLON] = ACTIONS(2356),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2356),
    [anon_sym___declspec] = ACTIONS(2354),
    [anon_sym___based] = ACTIONS(2354),
    [anon_sym_signed] = ACTIONS(2354),
    [anon_sym_unsigned] = ACTIONS(2354),
    [anon_sym_long] = ACTIONS(2354),
    [anon_sym_short] = ACTIONS(2354),
    [anon_sym_LBRACK] = ACTIONS(2354),
    [anon_sym_static] = ACTIONS(2354),
    [anon_sym_register] = ACTIONS(2354),
    [anon_sym_inline] = ACTIONS(2354),
    [anon_sym___inline] = ACTIONS(2354),
    [anon_sym___inline__] = ACTIONS(2354),
    [anon_sym___forceinline] = ACTIONS(2354),
    [anon_sym_thread_local] = ACTIONS(2354),
    [anon_sym___thread] = ACTIONS(2354),
    [anon_sym_const] = ACTIONS(2354),
    [anon_sym_constexpr] = ACTIONS(2354),
    [anon_sym_volatile] = ACTIONS(2354),
    [anon_sym_restrict] = ACTIONS(2354),
    [anon_sym___restrict__] = ACTIONS(2354),
    [anon_sym__Atomic] = ACTIONS(2354),
    [anon_sym__Noreturn] = ACTIONS(2354),
    [anon_sym_noreturn] = ACTIONS(2354),
    [anon_sym_mutable] = ACTIONS(2354),
    [anon_sym_constinit] = ACTIONS(2354),
    [anon_sym_consteval] = ACTIONS(2354),
    [sym_primitive_type] = ACTIONS(2354),
    [anon_sym_enum] = ACTIONS(2354),
    [anon_sym_class] = ACTIONS(2354),
    [anon_sym_struct] = ACTIONS(2354),
    [anon_sym_union] = ACTIONS(2354),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2354),
    [anon_sym_decltype] = ACTIONS(2354),
    [anon_sym_virtual] = ACTIONS(2354),
    [anon_sym_alignas] = ACTIONS(2354),
    [anon_sym_explicit] = ACTIONS(2354),
    [anon_sym_typename] = ACTIONS(2354),
    [anon_sym_template] = ACTIONS(2354),
    [anon_sym_operator] = ACTIONS(2354),
    [anon_sym_friend] = ACTIONS(2354),
    [anon_sym_public] = ACTIONS(2354),
    [anon_sym_private] = ACTIONS(2354),
    [anon_sym_protected] = ACTIONS(2354),
    [anon_sym_using] = ACTIONS(2354),
    [anon_sym_static_assert] = ACTIONS(2354),
    [anon_sym_precise] = ACTIONS(2354),
    [anon_sym_shared] = ACTIONS(2354),
    [anon_sym_groupshared] = ACTIONS(2354),
    [anon_sym_uniform] = ACTIONS(2354),
    [anon_sym_row_major] = ACTIONS(2354),
    [anon_sym_column_major] = ACTIONS(2354),
    [anon_sym_globallycoherent] = ACTIONS(2354),
    [anon_sym_centroid] = ACTIONS(2354),
    [anon_sym_noperspective] = ACTIONS(2354),
    [anon_sym_nointerpolation] = ACTIONS(2354),
    [anon_sym_sample] = ACTIONS(2354),
    [anon_sym_linear] = ACTIONS(2354),
    [anon_sym_snorm] = ACTIONS(2354),
    [anon_sym_unorm] = ACTIONS(2354),
    [anon_sym_point] = ACTIONS(2354),
    [anon_sym_line] = ACTIONS(2354),
    [anon_sym_triangleadj] = ACTIONS(2354),
    [anon_sym_lineadj] = ACTIONS(2354),
    [anon_sym_triangle] = ACTIONS(2354),
  },
  [2688] = {
    [sym_identifier] = ACTIONS(2781),
    [aux_sym_preproc_def_token1] = ACTIONS(2781),
    [aux_sym_preproc_if_token1] = ACTIONS(2781),
    [aux_sym_preproc_if_token2] = ACTIONS(2781),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2781),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2781),
    [aux_sym_preproc_else_token1] = ACTIONS(2781),
    [aux_sym_preproc_elif_token1] = ACTIONS(2781),
    [sym_preproc_directive] = ACTIONS(2781),
    [anon_sym_LPAREN2] = ACTIONS(2783),
    [anon_sym_TILDE] = ACTIONS(2783),
    [anon_sym_STAR] = ACTIONS(2783),
    [anon_sym_AMP_AMP] = ACTIONS(2783),
    [anon_sym_AMP] = ACTIONS(2781),
    [anon_sym___extension__] = ACTIONS(2781),
    [anon_sym_typedef] = ACTIONS(2781),
    [anon_sym_in] = ACTIONS(2781),
    [anon_sym_out] = ACTIONS(2781),
    [anon_sym_inout] = ACTIONS(2781),
    [anon_sym_extern] = ACTIONS(2781),
    [anon_sym___attribute__] = ACTIONS(2781),
    [anon_sym_COLON_COLON] = ACTIONS(2783),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2783),
    [anon_sym___declspec] = ACTIONS(2781),
    [anon_sym___based] = ACTIONS(2781),
    [anon_sym_signed] = ACTIONS(2781),
    [anon_sym_unsigned] = ACTIONS(2781),
    [anon_sym_long] = ACTIONS(2781),
    [anon_sym_short] = ACTIONS(2781),
    [anon_sym_LBRACK] = ACTIONS(2781),
    [anon_sym_static] = ACTIONS(2781),
    [anon_sym_register] = ACTIONS(2781),
    [anon_sym_inline] = ACTIONS(2781),
    [anon_sym___inline] = ACTIONS(2781),
    [anon_sym___inline__] = ACTIONS(2781),
    [anon_sym___forceinline] = ACTIONS(2781),
    [anon_sym_thread_local] = ACTIONS(2781),
    [anon_sym___thread] = ACTIONS(2781),
    [anon_sym_const] = ACTIONS(2781),
    [anon_sym_constexpr] = ACTIONS(2781),
    [anon_sym_volatile] = ACTIONS(2781),
    [anon_sym_restrict] = ACTIONS(2781),
    [anon_sym___restrict__] = ACTIONS(2781),
    [anon_sym__Atomic] = ACTIONS(2781),
    [anon_sym__Noreturn] = ACTIONS(2781),
    [anon_sym_noreturn] = ACTIONS(2781),
    [anon_sym_mutable] = ACTIONS(2781),
    [anon_sym_constinit] = ACTIONS(2781),
    [anon_sym_consteval] = ACTIONS(2781),
    [sym_primitive_type] = ACTIONS(2781),
    [anon_sym_enum] = ACTIONS(2781),
    [anon_sym_class] = ACTIONS(2781),
    [anon_sym_struct] = ACTIONS(2781),
    [anon_sym_union] = ACTIONS(2781),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2781),
    [anon_sym_decltype] = ACTIONS(2781),
    [anon_sym_virtual] = ACTIONS(2781),
    [anon_sym_alignas] = ACTIONS(2781),
    [anon_sym_explicit] = ACTIONS(2781),
    [anon_sym_typename] = ACTIONS(2781),
    [anon_sym_template] = ACTIONS(2781),
    [anon_sym_operator] = ACTIONS(2781),
    [anon_sym_friend] = ACTIONS(2781),
    [anon_sym_public] = ACTIONS(2781),
    [anon_sym_private] = ACTIONS(2781),
    [anon_sym_protected] = ACTIONS(2781),
    [anon_sym_using] = ACTIONS(2781),
    [anon_sym_static_assert] = ACTIONS(2781),
    [anon_sym_precise] = ACTIONS(2781),
    [anon_sym_shared] = ACTIONS(2781),
    [anon_sym_groupshared] = ACTIONS(2781),
    [anon_sym_uniform] = ACTIONS(2781),
    [anon_sym_row_major] = ACTIONS(2781),
    [anon_sym_column_major] = ACTIONS(2781),
    [anon_sym_globallycoherent] = ACTIONS(2781),
    [anon_sym_centroid] = ACTIONS(2781),
    [anon_sym_noperspective] = ACTIONS(2781),
    [anon_sym_nointerpolation] = ACTIONS(2781),
    [anon_sym_sample] = ACTIONS(2781),
    [anon_sym_linear] = ACTIONS(2781),
    [anon_sym_snorm] = ACTIONS(2781),
    [anon_sym_unorm] = ACTIONS(2781),
    [anon_sym_point] = ACTIONS(2781),
    [anon_sym_line] = ACTIONS(2781),
    [anon_sym_triangleadj] = ACTIONS(2781),
    [anon_sym_lineadj] = ACTIONS(2781),
    [anon_sym_triangle] = ACTIONS(2781),
  },
  [2689] = {
    [sym_identifier] = ACTIONS(2721),
    [aux_sym_preproc_def_token1] = ACTIONS(2721),
    [aux_sym_preproc_if_token1] = ACTIONS(2721),
    [aux_sym_preproc_if_token2] = ACTIONS(2721),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2721),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2721),
    [aux_sym_preproc_else_token1] = ACTIONS(2721),
    [aux_sym_preproc_elif_token1] = ACTIONS(2721),
    [sym_preproc_directive] = ACTIONS(2721),
    [anon_sym_LPAREN2] = ACTIONS(2723),
    [anon_sym_TILDE] = ACTIONS(2723),
    [anon_sym_STAR] = ACTIONS(2723),
    [anon_sym_AMP_AMP] = ACTIONS(2723),
    [anon_sym_AMP] = ACTIONS(2721),
    [anon_sym___extension__] = ACTIONS(2721),
    [anon_sym_typedef] = ACTIONS(2721),
    [anon_sym_in] = ACTIONS(2721),
    [anon_sym_out] = ACTIONS(2721),
    [anon_sym_inout] = ACTIONS(2721),
    [anon_sym_extern] = ACTIONS(2721),
    [anon_sym___attribute__] = ACTIONS(2721),
    [anon_sym_COLON_COLON] = ACTIONS(2723),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2723),
    [anon_sym___declspec] = ACTIONS(2721),
    [anon_sym___based] = ACTIONS(2721),
    [anon_sym_signed] = ACTIONS(2721),
    [anon_sym_unsigned] = ACTIONS(2721),
    [anon_sym_long] = ACTIONS(2721),
    [anon_sym_short] = ACTIONS(2721),
    [anon_sym_LBRACK] = ACTIONS(2721),
    [anon_sym_static] = ACTIONS(2721),
    [anon_sym_register] = ACTIONS(2721),
    [anon_sym_inline] = ACTIONS(2721),
    [anon_sym___inline] = ACTIONS(2721),
    [anon_sym___inline__] = ACTIONS(2721),
    [anon_sym___forceinline] = ACTIONS(2721),
    [anon_sym_thread_local] = ACTIONS(2721),
    [anon_sym___thread] = ACTIONS(2721),
    [anon_sym_const] = ACTIONS(2721),
    [anon_sym_constexpr] = ACTIONS(2721),
    [anon_sym_volatile] = ACTIONS(2721),
    [anon_sym_restrict] = ACTIONS(2721),
    [anon_sym___restrict__] = ACTIONS(2721),
    [anon_sym__Atomic] = ACTIONS(2721),
    [anon_sym__Noreturn] = ACTIONS(2721),
    [anon_sym_noreturn] = ACTIONS(2721),
    [anon_sym_mutable] = ACTIONS(2721),
    [anon_sym_constinit] = ACTIONS(2721),
    [anon_sym_consteval] = ACTIONS(2721),
    [sym_primitive_type] = ACTIONS(2721),
    [anon_sym_enum] = ACTIONS(2721),
    [anon_sym_class] = ACTIONS(2721),
    [anon_sym_struct] = ACTIONS(2721),
    [anon_sym_union] = ACTIONS(2721),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2721),
    [anon_sym_decltype] = ACTIONS(2721),
    [anon_sym_virtual] = ACTIONS(2721),
    [anon_sym_alignas] = ACTIONS(2721),
    [anon_sym_explicit] = ACTIONS(2721),
    [anon_sym_typename] = ACTIONS(2721),
    [anon_sym_template] = ACTIONS(2721),
    [anon_sym_operator] = ACTIONS(2721),
    [anon_sym_friend] = ACTIONS(2721),
    [anon_sym_public] = ACTIONS(2721),
    [anon_sym_private] = ACTIONS(2721),
    [anon_sym_protected] = ACTIONS(2721),
    [anon_sym_using] = ACTIONS(2721),
    [anon_sym_static_assert] = ACTIONS(2721),
    [anon_sym_precise] = ACTIONS(2721),
    [anon_sym_shared] = ACTIONS(2721),
    [anon_sym_groupshared] = ACTIONS(2721),
    [anon_sym_uniform] = ACTIONS(2721),
    [anon_sym_row_major] = ACTIONS(2721),
    [anon_sym_column_major] = ACTIONS(2721),
    [anon_sym_globallycoherent] = ACTIONS(2721),
    [anon_sym_centroid] = ACTIONS(2721),
    [anon_sym_noperspective] = ACTIONS(2721),
    [anon_sym_nointerpolation] = ACTIONS(2721),
    [anon_sym_sample] = ACTIONS(2721),
    [anon_sym_linear] = ACTIONS(2721),
    [anon_sym_snorm] = ACTIONS(2721),
    [anon_sym_unorm] = ACTIONS(2721),
    [anon_sym_point] = ACTIONS(2721),
    [anon_sym_line] = ACTIONS(2721),
    [anon_sym_triangleadj] = ACTIONS(2721),
    [anon_sym_lineadj] = ACTIONS(2721),
    [anon_sym_triangle] = ACTIONS(2721),
  },
  [2690] = {
    [sym_identifier] = ACTIONS(2673),
    [aux_sym_preproc_def_token1] = ACTIONS(2673),
    [aux_sym_preproc_if_token1] = ACTIONS(2673),
    [aux_sym_preproc_if_token2] = ACTIONS(2673),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2673),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2673),
    [aux_sym_preproc_else_token1] = ACTIONS(2673),
    [aux_sym_preproc_elif_token1] = ACTIONS(2673),
    [sym_preproc_directive] = ACTIONS(2673),
    [anon_sym_LPAREN2] = ACTIONS(2675),
    [anon_sym_TILDE] = ACTIONS(2675),
    [anon_sym_STAR] = ACTIONS(2675),
    [anon_sym_AMP_AMP] = ACTIONS(2675),
    [anon_sym_AMP] = ACTIONS(2673),
    [anon_sym___extension__] = ACTIONS(2673),
    [anon_sym_typedef] = ACTIONS(2673),
    [anon_sym_in] = ACTIONS(2673),
    [anon_sym_out] = ACTIONS(2673),
    [anon_sym_inout] = ACTIONS(2673),
    [anon_sym_extern] = ACTIONS(2673),
    [anon_sym___attribute__] = ACTIONS(2673),
    [anon_sym_COLON_COLON] = ACTIONS(2675),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2675),
    [anon_sym___declspec] = ACTIONS(2673),
    [anon_sym___based] = ACTIONS(2673),
    [anon_sym_signed] = ACTIONS(2673),
    [anon_sym_unsigned] = ACTIONS(2673),
    [anon_sym_long] = ACTIONS(2673),
    [anon_sym_short] = ACTIONS(2673),
    [anon_sym_LBRACK] = ACTIONS(2673),
    [anon_sym_static] = ACTIONS(2673),
    [anon_sym_register] = ACTIONS(2673),
    [anon_sym_inline] = ACTIONS(2673),
    [anon_sym___inline] = ACTIONS(2673),
    [anon_sym___inline__] = ACTIONS(2673),
    [anon_sym___forceinline] = ACTIONS(2673),
    [anon_sym_thread_local] = ACTIONS(2673),
    [anon_sym___thread] = ACTIONS(2673),
    [anon_sym_const] = ACTIONS(2673),
    [anon_sym_constexpr] = ACTIONS(2673),
    [anon_sym_volatile] = ACTIONS(2673),
    [anon_sym_restrict] = ACTIONS(2673),
    [anon_sym___restrict__] = ACTIONS(2673),
    [anon_sym__Atomic] = ACTIONS(2673),
    [anon_sym__Noreturn] = ACTIONS(2673),
    [anon_sym_noreturn] = ACTIONS(2673),
    [anon_sym_mutable] = ACTIONS(2673),
    [anon_sym_constinit] = ACTIONS(2673),
    [anon_sym_consteval] = ACTIONS(2673),
    [sym_primitive_type] = ACTIONS(2673),
    [anon_sym_enum] = ACTIONS(2673),
    [anon_sym_class] = ACTIONS(2673),
    [anon_sym_struct] = ACTIONS(2673),
    [anon_sym_union] = ACTIONS(2673),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2673),
    [anon_sym_decltype] = ACTIONS(2673),
    [anon_sym_virtual] = ACTIONS(2673),
    [anon_sym_alignas] = ACTIONS(2673),
    [anon_sym_explicit] = ACTIONS(2673),
    [anon_sym_typename] = ACTIONS(2673),
    [anon_sym_template] = ACTIONS(2673),
    [anon_sym_operator] = ACTIONS(2673),
    [anon_sym_friend] = ACTIONS(2673),
    [anon_sym_public] = ACTIONS(2673),
    [anon_sym_private] = ACTIONS(2673),
    [anon_sym_protected] = ACTIONS(2673),
    [anon_sym_using] = ACTIONS(2673),
    [anon_sym_static_assert] = ACTIONS(2673),
    [anon_sym_precise] = ACTIONS(2673),
    [anon_sym_shared] = ACTIONS(2673),
    [anon_sym_groupshared] = ACTIONS(2673),
    [anon_sym_uniform] = ACTIONS(2673),
    [anon_sym_row_major] = ACTIONS(2673),
    [anon_sym_column_major] = ACTIONS(2673),
    [anon_sym_globallycoherent] = ACTIONS(2673),
    [anon_sym_centroid] = ACTIONS(2673),
    [anon_sym_noperspective] = ACTIONS(2673),
    [anon_sym_nointerpolation] = ACTIONS(2673),
    [anon_sym_sample] = ACTIONS(2673),
    [anon_sym_linear] = ACTIONS(2673),
    [anon_sym_snorm] = ACTIONS(2673),
    [anon_sym_unorm] = ACTIONS(2673),
    [anon_sym_point] = ACTIONS(2673),
    [anon_sym_line] = ACTIONS(2673),
    [anon_sym_triangleadj] = ACTIONS(2673),
    [anon_sym_lineadj] = ACTIONS(2673),
    [anon_sym_triangle] = ACTIONS(2673),
  },
  [2691] = {
    [sym_identifier] = ACTIONS(2641),
    [aux_sym_preproc_def_token1] = ACTIONS(2641),
    [aux_sym_preproc_if_token1] = ACTIONS(2641),
    [aux_sym_preproc_if_token2] = ACTIONS(2641),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2641),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2641),
    [aux_sym_preproc_else_token1] = ACTIONS(2641),
    [aux_sym_preproc_elif_token1] = ACTIONS(2641),
    [sym_preproc_directive] = ACTIONS(2641),
    [anon_sym_LPAREN2] = ACTIONS(2643),
    [anon_sym_TILDE] = ACTIONS(2643),
    [anon_sym_STAR] = ACTIONS(2643),
    [anon_sym_AMP_AMP] = ACTIONS(2643),
    [anon_sym_AMP] = ACTIONS(2641),
    [anon_sym___extension__] = ACTIONS(2641),
    [anon_sym_typedef] = ACTIONS(2641),
    [anon_sym_in] = ACTIONS(2641),
    [anon_sym_out] = ACTIONS(2641),
    [anon_sym_inout] = ACTIONS(2641),
    [anon_sym_extern] = ACTIONS(2641),
    [anon_sym___attribute__] = ACTIONS(2641),
    [anon_sym_COLON_COLON] = ACTIONS(2643),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2643),
    [anon_sym___declspec] = ACTIONS(2641),
    [anon_sym___based] = ACTIONS(2641),
    [anon_sym_signed] = ACTIONS(2641),
    [anon_sym_unsigned] = ACTIONS(2641),
    [anon_sym_long] = ACTIONS(2641),
    [anon_sym_short] = ACTIONS(2641),
    [anon_sym_LBRACK] = ACTIONS(2641),
    [anon_sym_static] = ACTIONS(2641),
    [anon_sym_register] = ACTIONS(2641),
    [anon_sym_inline] = ACTIONS(2641),
    [anon_sym___inline] = ACTIONS(2641),
    [anon_sym___inline__] = ACTIONS(2641),
    [anon_sym___forceinline] = ACTIONS(2641),
    [anon_sym_thread_local] = ACTIONS(2641),
    [anon_sym___thread] = ACTIONS(2641),
    [anon_sym_const] = ACTIONS(2641),
    [anon_sym_constexpr] = ACTIONS(2641),
    [anon_sym_volatile] = ACTIONS(2641),
    [anon_sym_restrict] = ACTIONS(2641),
    [anon_sym___restrict__] = ACTIONS(2641),
    [anon_sym__Atomic] = ACTIONS(2641),
    [anon_sym__Noreturn] = ACTIONS(2641),
    [anon_sym_noreturn] = ACTIONS(2641),
    [anon_sym_mutable] = ACTIONS(2641),
    [anon_sym_constinit] = ACTIONS(2641),
    [anon_sym_consteval] = ACTIONS(2641),
    [sym_primitive_type] = ACTIONS(2641),
    [anon_sym_enum] = ACTIONS(2641),
    [anon_sym_class] = ACTIONS(2641),
    [anon_sym_struct] = ACTIONS(2641),
    [anon_sym_union] = ACTIONS(2641),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2641),
    [anon_sym_decltype] = ACTIONS(2641),
    [anon_sym_virtual] = ACTIONS(2641),
    [anon_sym_alignas] = ACTIONS(2641),
    [anon_sym_explicit] = ACTIONS(2641),
    [anon_sym_typename] = ACTIONS(2641),
    [anon_sym_template] = ACTIONS(2641),
    [anon_sym_operator] = ACTIONS(2641),
    [anon_sym_friend] = ACTIONS(2641),
    [anon_sym_public] = ACTIONS(2641),
    [anon_sym_private] = ACTIONS(2641),
    [anon_sym_protected] = ACTIONS(2641),
    [anon_sym_using] = ACTIONS(2641),
    [anon_sym_static_assert] = ACTIONS(2641),
    [anon_sym_precise] = ACTIONS(2641),
    [anon_sym_shared] = ACTIONS(2641),
    [anon_sym_groupshared] = ACTIONS(2641),
    [anon_sym_uniform] = ACTIONS(2641),
    [anon_sym_row_major] = ACTIONS(2641),
    [anon_sym_column_major] = ACTIONS(2641),
    [anon_sym_globallycoherent] = ACTIONS(2641),
    [anon_sym_centroid] = ACTIONS(2641),
    [anon_sym_noperspective] = ACTIONS(2641),
    [anon_sym_nointerpolation] = ACTIONS(2641),
    [anon_sym_sample] = ACTIONS(2641),
    [anon_sym_linear] = ACTIONS(2641),
    [anon_sym_snorm] = ACTIONS(2641),
    [anon_sym_unorm] = ACTIONS(2641),
    [anon_sym_point] = ACTIONS(2641),
    [anon_sym_line] = ACTIONS(2641),
    [anon_sym_triangleadj] = ACTIONS(2641),
    [anon_sym_lineadj] = ACTIONS(2641),
    [anon_sym_triangle] = ACTIONS(2641),
  },
  [2692] = {
    [sym_identifier] = ACTIONS(2777),
    [aux_sym_preproc_def_token1] = ACTIONS(2777),
    [aux_sym_preproc_if_token1] = ACTIONS(2777),
    [aux_sym_preproc_if_token2] = ACTIONS(2777),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2777),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2777),
    [aux_sym_preproc_else_token1] = ACTIONS(2777),
    [aux_sym_preproc_elif_token1] = ACTIONS(2777),
    [sym_preproc_directive] = ACTIONS(2777),
    [anon_sym_LPAREN2] = ACTIONS(2779),
    [anon_sym_TILDE] = ACTIONS(2779),
    [anon_sym_STAR] = ACTIONS(2779),
    [anon_sym_AMP_AMP] = ACTIONS(2779),
    [anon_sym_AMP] = ACTIONS(2777),
    [anon_sym___extension__] = ACTIONS(2777),
    [anon_sym_typedef] = ACTIONS(2777),
    [anon_sym_in] = ACTIONS(2777),
    [anon_sym_out] = ACTIONS(2777),
    [anon_sym_inout] = ACTIONS(2777),
    [anon_sym_extern] = ACTIONS(2777),
    [anon_sym___attribute__] = ACTIONS(2777),
    [anon_sym_COLON_COLON] = ACTIONS(2779),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2779),
    [anon_sym___declspec] = ACTIONS(2777),
    [anon_sym___based] = ACTIONS(2777),
    [anon_sym_signed] = ACTIONS(2777),
    [anon_sym_unsigned] = ACTIONS(2777),
    [anon_sym_long] = ACTIONS(2777),
    [anon_sym_short] = ACTIONS(2777),
    [anon_sym_LBRACK] = ACTIONS(2777),
    [anon_sym_static] = ACTIONS(2777),
    [anon_sym_register] = ACTIONS(2777),
    [anon_sym_inline] = ACTIONS(2777),
    [anon_sym___inline] = ACTIONS(2777),
    [anon_sym___inline__] = ACTIONS(2777),
    [anon_sym___forceinline] = ACTIONS(2777),
    [anon_sym_thread_local] = ACTIONS(2777),
    [anon_sym___thread] = ACTIONS(2777),
    [anon_sym_const] = ACTIONS(2777),
    [anon_sym_constexpr] = ACTIONS(2777),
    [anon_sym_volatile] = ACTIONS(2777),
    [anon_sym_restrict] = ACTIONS(2777),
    [anon_sym___restrict__] = ACTIONS(2777),
    [anon_sym__Atomic] = ACTIONS(2777),
    [anon_sym__Noreturn] = ACTIONS(2777),
    [anon_sym_noreturn] = ACTIONS(2777),
    [anon_sym_mutable] = ACTIONS(2777),
    [anon_sym_constinit] = ACTIONS(2777),
    [anon_sym_consteval] = ACTIONS(2777),
    [sym_primitive_type] = ACTIONS(2777),
    [anon_sym_enum] = ACTIONS(2777),
    [anon_sym_class] = ACTIONS(2777),
    [anon_sym_struct] = ACTIONS(2777),
    [anon_sym_union] = ACTIONS(2777),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2777),
    [anon_sym_decltype] = ACTIONS(2777),
    [anon_sym_virtual] = ACTIONS(2777),
    [anon_sym_alignas] = ACTIONS(2777),
    [anon_sym_explicit] = ACTIONS(2777),
    [anon_sym_typename] = ACTIONS(2777),
    [anon_sym_template] = ACTIONS(2777),
    [anon_sym_operator] = ACTIONS(2777),
    [anon_sym_friend] = ACTIONS(2777),
    [anon_sym_public] = ACTIONS(2777),
    [anon_sym_private] = ACTIONS(2777),
    [anon_sym_protected] = ACTIONS(2777),
    [anon_sym_using] = ACTIONS(2777),
    [anon_sym_static_assert] = ACTIONS(2777),
    [anon_sym_precise] = ACTIONS(2777),
    [anon_sym_shared] = ACTIONS(2777),
    [anon_sym_groupshared] = ACTIONS(2777),
    [anon_sym_uniform] = ACTIONS(2777),
    [anon_sym_row_major] = ACTIONS(2777),
    [anon_sym_column_major] = ACTIONS(2777),
    [anon_sym_globallycoherent] = ACTIONS(2777),
    [anon_sym_centroid] = ACTIONS(2777),
    [anon_sym_noperspective] = ACTIONS(2777),
    [anon_sym_nointerpolation] = ACTIONS(2777),
    [anon_sym_sample] = ACTIONS(2777),
    [anon_sym_linear] = ACTIONS(2777),
    [anon_sym_snorm] = ACTIONS(2777),
    [anon_sym_unorm] = ACTIONS(2777),
    [anon_sym_point] = ACTIONS(2777),
    [anon_sym_line] = ACTIONS(2777),
    [anon_sym_triangleadj] = ACTIONS(2777),
    [anon_sym_lineadj] = ACTIONS(2777),
    [anon_sym_triangle] = ACTIONS(2777),
  },
  [2693] = {
    [sym_identifier] = ACTIONS(2747),
    [aux_sym_preproc_def_token1] = ACTIONS(2747),
    [aux_sym_preproc_if_token1] = ACTIONS(2747),
    [aux_sym_preproc_if_token2] = ACTIONS(2747),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2747),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2747),
    [aux_sym_preproc_else_token1] = ACTIONS(2747),
    [aux_sym_preproc_elif_token1] = ACTIONS(2747),
    [sym_preproc_directive] = ACTIONS(2747),
    [anon_sym_LPAREN2] = ACTIONS(2749),
    [anon_sym_TILDE] = ACTIONS(2749),
    [anon_sym_STAR] = ACTIONS(2749),
    [anon_sym_AMP_AMP] = ACTIONS(2749),
    [anon_sym_AMP] = ACTIONS(2747),
    [anon_sym___extension__] = ACTIONS(2747),
    [anon_sym_typedef] = ACTIONS(2747),
    [anon_sym_in] = ACTIONS(2747),
    [anon_sym_out] = ACTIONS(2747),
    [anon_sym_inout] = ACTIONS(2747),
    [anon_sym_extern] = ACTIONS(2747),
    [anon_sym___attribute__] = ACTIONS(2747),
    [anon_sym_COLON_COLON] = ACTIONS(2749),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2749),
    [anon_sym___declspec] = ACTIONS(2747),
    [anon_sym___based] = ACTIONS(2747),
    [anon_sym_signed] = ACTIONS(2747),
    [anon_sym_unsigned] = ACTIONS(2747),
    [anon_sym_long] = ACTIONS(2747),
    [anon_sym_short] = ACTIONS(2747),
    [anon_sym_LBRACK] = ACTIONS(2747),
    [anon_sym_static] = ACTIONS(2747),
    [anon_sym_register] = ACTIONS(2747),
    [anon_sym_inline] = ACTIONS(2747),
    [anon_sym___inline] = ACTIONS(2747),
    [anon_sym___inline__] = ACTIONS(2747),
    [anon_sym___forceinline] = ACTIONS(2747),
    [anon_sym_thread_local] = ACTIONS(2747),
    [anon_sym___thread] = ACTIONS(2747),
    [anon_sym_const] = ACTIONS(2747),
    [anon_sym_constexpr] = ACTIONS(2747),
    [anon_sym_volatile] = ACTIONS(2747),
    [anon_sym_restrict] = ACTIONS(2747),
    [anon_sym___restrict__] = ACTIONS(2747),
    [anon_sym__Atomic] = ACTIONS(2747),
    [anon_sym__Noreturn] = ACTIONS(2747),
    [anon_sym_noreturn] = ACTIONS(2747),
    [anon_sym_mutable] = ACTIONS(2747),
    [anon_sym_constinit] = ACTIONS(2747),
    [anon_sym_consteval] = ACTIONS(2747),
    [sym_primitive_type] = ACTIONS(2747),
    [anon_sym_enum] = ACTIONS(2747),
    [anon_sym_class] = ACTIONS(2747),
    [anon_sym_struct] = ACTIONS(2747),
    [anon_sym_union] = ACTIONS(2747),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2747),
    [anon_sym_decltype] = ACTIONS(2747),
    [anon_sym_virtual] = ACTIONS(2747),
    [anon_sym_alignas] = ACTIONS(2747),
    [anon_sym_explicit] = ACTIONS(2747),
    [anon_sym_typename] = ACTIONS(2747),
    [anon_sym_template] = ACTIONS(2747),
    [anon_sym_operator] = ACTIONS(2747),
    [anon_sym_friend] = ACTIONS(2747),
    [anon_sym_public] = ACTIONS(2747),
    [anon_sym_private] = ACTIONS(2747),
    [anon_sym_protected] = ACTIONS(2747),
    [anon_sym_using] = ACTIONS(2747),
    [anon_sym_static_assert] = ACTIONS(2747),
    [anon_sym_precise] = ACTIONS(2747),
    [anon_sym_shared] = ACTIONS(2747),
    [anon_sym_groupshared] = ACTIONS(2747),
    [anon_sym_uniform] = ACTIONS(2747),
    [anon_sym_row_major] = ACTIONS(2747),
    [anon_sym_column_major] = ACTIONS(2747),
    [anon_sym_globallycoherent] = ACTIONS(2747),
    [anon_sym_centroid] = ACTIONS(2747),
    [anon_sym_noperspective] = ACTIONS(2747),
    [anon_sym_nointerpolation] = ACTIONS(2747),
    [anon_sym_sample] = ACTIONS(2747),
    [anon_sym_linear] = ACTIONS(2747),
    [anon_sym_snorm] = ACTIONS(2747),
    [anon_sym_unorm] = ACTIONS(2747),
    [anon_sym_point] = ACTIONS(2747),
    [anon_sym_line] = ACTIONS(2747),
    [anon_sym_triangleadj] = ACTIONS(2747),
    [anon_sym_lineadj] = ACTIONS(2747),
    [anon_sym_triangle] = ACTIONS(2747),
  },
  [2694] = {
    [sym_identifier] = ACTIONS(2698),
    [aux_sym_preproc_def_token1] = ACTIONS(2698),
    [aux_sym_preproc_if_token1] = ACTIONS(2698),
    [aux_sym_preproc_if_token2] = ACTIONS(2698),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2698),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2698),
    [aux_sym_preproc_else_token1] = ACTIONS(2698),
    [aux_sym_preproc_elif_token1] = ACTIONS(2698),
    [sym_preproc_directive] = ACTIONS(2698),
    [anon_sym_LPAREN2] = ACTIONS(2700),
    [anon_sym_TILDE] = ACTIONS(2700),
    [anon_sym_STAR] = ACTIONS(2700),
    [anon_sym_AMP_AMP] = ACTIONS(2700),
    [anon_sym_AMP] = ACTIONS(2698),
    [anon_sym___extension__] = ACTIONS(2698),
    [anon_sym_typedef] = ACTIONS(2698),
    [anon_sym_in] = ACTIONS(2698),
    [anon_sym_out] = ACTIONS(2698),
    [anon_sym_inout] = ACTIONS(2698),
    [anon_sym_extern] = ACTIONS(2698),
    [anon_sym___attribute__] = ACTIONS(2698),
    [anon_sym_COLON_COLON] = ACTIONS(2700),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2700),
    [anon_sym___declspec] = ACTIONS(2698),
    [anon_sym___based] = ACTIONS(2698),
    [anon_sym_signed] = ACTIONS(2698),
    [anon_sym_unsigned] = ACTIONS(2698),
    [anon_sym_long] = ACTIONS(2698),
    [anon_sym_short] = ACTIONS(2698),
    [anon_sym_LBRACK] = ACTIONS(2698),
    [anon_sym_static] = ACTIONS(2698),
    [anon_sym_register] = ACTIONS(2698),
    [anon_sym_inline] = ACTIONS(2698),
    [anon_sym___inline] = ACTIONS(2698),
    [anon_sym___inline__] = ACTIONS(2698),
    [anon_sym___forceinline] = ACTIONS(2698),
    [anon_sym_thread_local] = ACTIONS(2698),
    [anon_sym___thread] = ACTIONS(2698),
    [anon_sym_const] = ACTIONS(2698),
    [anon_sym_constexpr] = ACTIONS(2698),
    [anon_sym_volatile] = ACTIONS(2698),
    [anon_sym_restrict] = ACTIONS(2698),
    [anon_sym___restrict__] = ACTIONS(2698),
    [anon_sym__Atomic] = ACTIONS(2698),
    [anon_sym__Noreturn] = ACTIONS(2698),
    [anon_sym_noreturn] = ACTIONS(2698),
    [anon_sym_mutable] = ACTIONS(2698),
    [anon_sym_constinit] = ACTIONS(2698),
    [anon_sym_consteval] = ACTIONS(2698),
    [sym_primitive_type] = ACTIONS(2698),
    [anon_sym_enum] = ACTIONS(2698),
    [anon_sym_class] = ACTIONS(2698),
    [anon_sym_struct] = ACTIONS(2698),
    [anon_sym_union] = ACTIONS(2698),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2698),
    [anon_sym_decltype] = ACTIONS(2698),
    [anon_sym_virtual] = ACTIONS(2698),
    [anon_sym_alignas] = ACTIONS(2698),
    [anon_sym_explicit] = ACTIONS(2698),
    [anon_sym_typename] = ACTIONS(2698),
    [anon_sym_template] = ACTIONS(2698),
    [anon_sym_operator] = ACTIONS(2698),
    [anon_sym_friend] = ACTIONS(2698),
    [anon_sym_public] = ACTIONS(2698),
    [anon_sym_private] = ACTIONS(2698),
    [anon_sym_protected] = ACTIONS(2698),
    [anon_sym_using] = ACTIONS(2698),
    [anon_sym_static_assert] = ACTIONS(2698),
    [anon_sym_precise] = ACTIONS(2698),
    [anon_sym_shared] = ACTIONS(2698),
    [anon_sym_groupshared] = ACTIONS(2698),
    [anon_sym_uniform] = ACTIONS(2698),
    [anon_sym_row_major] = ACTIONS(2698),
    [anon_sym_column_major] = ACTIONS(2698),
    [anon_sym_globallycoherent] = ACTIONS(2698),
    [anon_sym_centroid] = ACTIONS(2698),
    [anon_sym_noperspective] = ACTIONS(2698),
    [anon_sym_nointerpolation] = ACTIONS(2698),
    [anon_sym_sample] = ACTIONS(2698),
    [anon_sym_linear] = ACTIONS(2698),
    [anon_sym_snorm] = ACTIONS(2698),
    [anon_sym_unorm] = ACTIONS(2698),
    [anon_sym_point] = ACTIONS(2698),
    [anon_sym_line] = ACTIONS(2698),
    [anon_sym_triangleadj] = ACTIONS(2698),
    [anon_sym_lineadj] = ACTIONS(2698),
    [anon_sym_triangle] = ACTIONS(2698),
  },
  [2695] = {
    [sym_identifier] = ACTIONS(2604),
    [aux_sym_preproc_def_token1] = ACTIONS(2604),
    [aux_sym_preproc_if_token1] = ACTIONS(2604),
    [aux_sym_preproc_if_token2] = ACTIONS(2604),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2604),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2604),
    [aux_sym_preproc_else_token1] = ACTIONS(2604),
    [aux_sym_preproc_elif_token1] = ACTIONS(2604),
    [sym_preproc_directive] = ACTIONS(2604),
    [anon_sym_LPAREN2] = ACTIONS(2606),
    [anon_sym_TILDE] = ACTIONS(2606),
    [anon_sym_STAR] = ACTIONS(2606),
    [anon_sym_AMP_AMP] = ACTIONS(2606),
    [anon_sym_AMP] = ACTIONS(2604),
    [anon_sym___extension__] = ACTIONS(2604),
    [anon_sym_typedef] = ACTIONS(2604),
    [anon_sym_in] = ACTIONS(2604),
    [anon_sym_out] = ACTIONS(2604),
    [anon_sym_inout] = ACTIONS(2604),
    [anon_sym_extern] = ACTIONS(2604),
    [anon_sym___attribute__] = ACTIONS(2604),
    [anon_sym_COLON_COLON] = ACTIONS(2606),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2606),
    [anon_sym___declspec] = ACTIONS(2604),
    [anon_sym___based] = ACTIONS(2604),
    [anon_sym_signed] = ACTIONS(2604),
    [anon_sym_unsigned] = ACTIONS(2604),
    [anon_sym_long] = ACTIONS(2604),
    [anon_sym_short] = ACTIONS(2604),
    [anon_sym_LBRACK] = ACTIONS(2604),
    [anon_sym_static] = ACTIONS(2604),
    [anon_sym_register] = ACTIONS(2604),
    [anon_sym_inline] = ACTIONS(2604),
    [anon_sym___inline] = ACTIONS(2604),
    [anon_sym___inline__] = ACTIONS(2604),
    [anon_sym___forceinline] = ACTIONS(2604),
    [anon_sym_thread_local] = ACTIONS(2604),
    [anon_sym___thread] = ACTIONS(2604),
    [anon_sym_const] = ACTIONS(2604),
    [anon_sym_constexpr] = ACTIONS(2604),
    [anon_sym_volatile] = ACTIONS(2604),
    [anon_sym_restrict] = ACTIONS(2604),
    [anon_sym___restrict__] = ACTIONS(2604),
    [anon_sym__Atomic] = ACTIONS(2604),
    [anon_sym__Noreturn] = ACTIONS(2604),
    [anon_sym_noreturn] = ACTIONS(2604),
    [anon_sym_mutable] = ACTIONS(2604),
    [anon_sym_constinit] = ACTIONS(2604),
    [anon_sym_consteval] = ACTIONS(2604),
    [sym_primitive_type] = ACTIONS(2604),
    [anon_sym_enum] = ACTIONS(2604),
    [anon_sym_class] = ACTIONS(2604),
    [anon_sym_struct] = ACTIONS(2604),
    [anon_sym_union] = ACTIONS(2604),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2604),
    [anon_sym_decltype] = ACTIONS(2604),
    [anon_sym_virtual] = ACTIONS(2604),
    [anon_sym_alignas] = ACTIONS(2604),
    [anon_sym_explicit] = ACTIONS(2604),
    [anon_sym_typename] = ACTIONS(2604),
    [anon_sym_template] = ACTIONS(2604),
    [anon_sym_operator] = ACTIONS(2604),
    [anon_sym_friend] = ACTIONS(2604),
    [anon_sym_public] = ACTIONS(2604),
    [anon_sym_private] = ACTIONS(2604),
    [anon_sym_protected] = ACTIONS(2604),
    [anon_sym_using] = ACTIONS(2604),
    [anon_sym_static_assert] = ACTIONS(2604),
    [anon_sym_precise] = ACTIONS(2604),
    [anon_sym_shared] = ACTIONS(2604),
    [anon_sym_groupshared] = ACTIONS(2604),
    [anon_sym_uniform] = ACTIONS(2604),
    [anon_sym_row_major] = ACTIONS(2604),
    [anon_sym_column_major] = ACTIONS(2604),
    [anon_sym_globallycoherent] = ACTIONS(2604),
    [anon_sym_centroid] = ACTIONS(2604),
    [anon_sym_noperspective] = ACTIONS(2604),
    [anon_sym_nointerpolation] = ACTIONS(2604),
    [anon_sym_sample] = ACTIONS(2604),
    [anon_sym_linear] = ACTIONS(2604),
    [anon_sym_snorm] = ACTIONS(2604),
    [anon_sym_unorm] = ACTIONS(2604),
    [anon_sym_point] = ACTIONS(2604),
    [anon_sym_line] = ACTIONS(2604),
    [anon_sym_triangleadj] = ACTIONS(2604),
    [anon_sym_lineadj] = ACTIONS(2604),
    [anon_sym_triangle] = ACTIONS(2604),
  },
  [2696] = {
    [sym_identifier] = ACTIONS(2773),
    [aux_sym_preproc_def_token1] = ACTIONS(2773),
    [aux_sym_preproc_if_token1] = ACTIONS(2773),
    [aux_sym_preproc_if_token2] = ACTIONS(2773),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2773),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2773),
    [aux_sym_preproc_else_token1] = ACTIONS(2773),
    [aux_sym_preproc_elif_token1] = ACTIONS(2773),
    [sym_preproc_directive] = ACTIONS(2773),
    [anon_sym_LPAREN2] = ACTIONS(2775),
    [anon_sym_TILDE] = ACTIONS(2775),
    [anon_sym_STAR] = ACTIONS(2775),
    [anon_sym_AMP_AMP] = ACTIONS(2775),
    [anon_sym_AMP] = ACTIONS(2773),
    [anon_sym___extension__] = ACTIONS(2773),
    [anon_sym_typedef] = ACTIONS(2773),
    [anon_sym_in] = ACTIONS(2773),
    [anon_sym_out] = ACTIONS(2773),
    [anon_sym_inout] = ACTIONS(2773),
    [anon_sym_extern] = ACTIONS(2773),
    [anon_sym___attribute__] = ACTIONS(2773),
    [anon_sym_COLON_COLON] = ACTIONS(2775),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2775),
    [anon_sym___declspec] = ACTIONS(2773),
    [anon_sym___based] = ACTIONS(2773),
    [anon_sym_signed] = ACTIONS(2773),
    [anon_sym_unsigned] = ACTIONS(2773),
    [anon_sym_long] = ACTIONS(2773),
    [anon_sym_short] = ACTIONS(2773),
    [anon_sym_LBRACK] = ACTIONS(2773),
    [anon_sym_static] = ACTIONS(2773),
    [anon_sym_register] = ACTIONS(2773),
    [anon_sym_inline] = ACTIONS(2773),
    [anon_sym___inline] = ACTIONS(2773),
    [anon_sym___inline__] = ACTIONS(2773),
    [anon_sym___forceinline] = ACTIONS(2773),
    [anon_sym_thread_local] = ACTIONS(2773),
    [anon_sym___thread] = ACTIONS(2773),
    [anon_sym_const] = ACTIONS(2773),
    [anon_sym_constexpr] = ACTIONS(2773),
    [anon_sym_volatile] = ACTIONS(2773),
    [anon_sym_restrict] = ACTIONS(2773),
    [anon_sym___restrict__] = ACTIONS(2773),
    [anon_sym__Atomic] = ACTIONS(2773),
    [anon_sym__Noreturn] = ACTIONS(2773),
    [anon_sym_noreturn] = ACTIONS(2773),
    [anon_sym_mutable] = ACTIONS(2773),
    [anon_sym_constinit] = ACTIONS(2773),
    [anon_sym_consteval] = ACTIONS(2773),
    [sym_primitive_type] = ACTIONS(2773),
    [anon_sym_enum] = ACTIONS(2773),
    [anon_sym_class] = ACTIONS(2773),
    [anon_sym_struct] = ACTIONS(2773),
    [anon_sym_union] = ACTIONS(2773),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2773),
    [anon_sym_decltype] = ACTIONS(2773),
    [anon_sym_virtual] = ACTIONS(2773),
    [anon_sym_alignas] = ACTIONS(2773),
    [anon_sym_explicit] = ACTIONS(2773),
    [anon_sym_typename] = ACTIONS(2773),
    [anon_sym_template] = ACTIONS(2773),
    [anon_sym_operator] = ACTIONS(2773),
    [anon_sym_friend] = ACTIONS(2773),
    [anon_sym_public] = ACTIONS(2773),
    [anon_sym_private] = ACTIONS(2773),
    [anon_sym_protected] = ACTIONS(2773),
    [anon_sym_using] = ACTIONS(2773),
    [anon_sym_static_assert] = ACTIONS(2773),
    [anon_sym_precise] = ACTIONS(2773),
    [anon_sym_shared] = ACTIONS(2773),
    [anon_sym_groupshared] = ACTIONS(2773),
    [anon_sym_uniform] = ACTIONS(2773),
    [anon_sym_row_major] = ACTIONS(2773),
    [anon_sym_column_major] = ACTIONS(2773),
    [anon_sym_globallycoherent] = ACTIONS(2773),
    [anon_sym_centroid] = ACTIONS(2773),
    [anon_sym_noperspective] = ACTIONS(2773),
    [anon_sym_nointerpolation] = ACTIONS(2773),
    [anon_sym_sample] = ACTIONS(2773),
    [anon_sym_linear] = ACTIONS(2773),
    [anon_sym_snorm] = ACTIONS(2773),
    [anon_sym_unorm] = ACTIONS(2773),
    [anon_sym_point] = ACTIONS(2773),
    [anon_sym_line] = ACTIONS(2773),
    [anon_sym_triangleadj] = ACTIONS(2773),
    [anon_sym_lineadj] = ACTIONS(2773),
    [anon_sym_triangle] = ACTIONS(2773),
  },
  [2697] = {
    [sym_identifier] = ACTIONS(2813),
    [aux_sym_preproc_def_token1] = ACTIONS(2813),
    [aux_sym_preproc_if_token1] = ACTIONS(2813),
    [aux_sym_preproc_if_token2] = ACTIONS(2813),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2813),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2813),
    [aux_sym_preproc_else_token1] = ACTIONS(2813),
    [aux_sym_preproc_elif_token1] = ACTIONS(2813),
    [sym_preproc_directive] = ACTIONS(2813),
    [anon_sym_LPAREN2] = ACTIONS(2815),
    [anon_sym_TILDE] = ACTIONS(2815),
    [anon_sym_STAR] = ACTIONS(2815),
    [anon_sym_AMP_AMP] = ACTIONS(2815),
    [anon_sym_AMP] = ACTIONS(2813),
    [anon_sym___extension__] = ACTIONS(2813),
    [anon_sym_typedef] = ACTIONS(2813),
    [anon_sym_in] = ACTIONS(2813),
    [anon_sym_out] = ACTIONS(2813),
    [anon_sym_inout] = ACTIONS(2813),
    [anon_sym_extern] = ACTIONS(2813),
    [anon_sym___attribute__] = ACTIONS(2813),
    [anon_sym_COLON_COLON] = ACTIONS(2815),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2815),
    [anon_sym___declspec] = ACTIONS(2813),
    [anon_sym___based] = ACTIONS(2813),
    [anon_sym_signed] = ACTIONS(2813),
    [anon_sym_unsigned] = ACTIONS(2813),
    [anon_sym_long] = ACTIONS(2813),
    [anon_sym_short] = ACTIONS(2813),
    [anon_sym_LBRACK] = ACTIONS(2813),
    [anon_sym_static] = ACTIONS(2813),
    [anon_sym_register] = ACTIONS(2813),
    [anon_sym_inline] = ACTIONS(2813),
    [anon_sym___inline] = ACTIONS(2813),
    [anon_sym___inline__] = ACTIONS(2813),
    [anon_sym___forceinline] = ACTIONS(2813),
    [anon_sym_thread_local] = ACTIONS(2813),
    [anon_sym___thread] = ACTIONS(2813),
    [anon_sym_const] = ACTIONS(2813),
    [anon_sym_constexpr] = ACTIONS(2813),
    [anon_sym_volatile] = ACTIONS(2813),
    [anon_sym_restrict] = ACTIONS(2813),
    [anon_sym___restrict__] = ACTIONS(2813),
    [anon_sym__Atomic] = ACTIONS(2813),
    [anon_sym__Noreturn] = ACTIONS(2813),
    [anon_sym_noreturn] = ACTIONS(2813),
    [anon_sym_mutable] = ACTIONS(2813),
    [anon_sym_constinit] = ACTIONS(2813),
    [anon_sym_consteval] = ACTIONS(2813),
    [sym_primitive_type] = ACTIONS(2813),
    [anon_sym_enum] = ACTIONS(2813),
    [anon_sym_class] = ACTIONS(2813),
    [anon_sym_struct] = ACTIONS(2813),
    [anon_sym_union] = ACTIONS(2813),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2813),
    [anon_sym_decltype] = ACTIONS(2813),
    [anon_sym_virtual] = ACTIONS(2813),
    [anon_sym_alignas] = ACTIONS(2813),
    [anon_sym_explicit] = ACTIONS(2813),
    [anon_sym_typename] = ACTIONS(2813),
    [anon_sym_template] = ACTIONS(2813),
    [anon_sym_operator] = ACTIONS(2813),
    [anon_sym_friend] = ACTIONS(2813),
    [anon_sym_public] = ACTIONS(2813),
    [anon_sym_private] = ACTIONS(2813),
    [anon_sym_protected] = ACTIONS(2813),
    [anon_sym_using] = ACTIONS(2813),
    [anon_sym_static_assert] = ACTIONS(2813),
    [anon_sym_precise] = ACTIONS(2813),
    [anon_sym_shared] = ACTIONS(2813),
    [anon_sym_groupshared] = ACTIONS(2813),
    [anon_sym_uniform] = ACTIONS(2813),
    [anon_sym_row_major] = ACTIONS(2813),
    [anon_sym_column_major] = ACTIONS(2813),
    [anon_sym_globallycoherent] = ACTIONS(2813),
    [anon_sym_centroid] = ACTIONS(2813),
    [anon_sym_noperspective] = ACTIONS(2813),
    [anon_sym_nointerpolation] = ACTIONS(2813),
    [anon_sym_sample] = ACTIONS(2813),
    [anon_sym_linear] = ACTIONS(2813),
    [anon_sym_snorm] = ACTIONS(2813),
    [anon_sym_unorm] = ACTIONS(2813),
    [anon_sym_point] = ACTIONS(2813),
    [anon_sym_line] = ACTIONS(2813),
    [anon_sym_triangleadj] = ACTIONS(2813),
    [anon_sym_lineadj] = ACTIONS(2813),
    [anon_sym_triangle] = ACTIONS(2813),
  },
  [2698] = {
    [sym_identifier] = ACTIONS(5611),
    [aux_sym_preproc_def_token1] = ACTIONS(5611),
    [aux_sym_preproc_if_token1] = ACTIONS(5611),
    [aux_sym_preproc_if_token2] = ACTIONS(5611),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5611),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5611),
    [aux_sym_preproc_else_token1] = ACTIONS(5611),
    [aux_sym_preproc_elif_token1] = ACTIONS(5611),
    [sym_preproc_directive] = ACTIONS(5611),
    [anon_sym_LPAREN2] = ACTIONS(5613),
    [anon_sym_TILDE] = ACTIONS(5613),
    [anon_sym_STAR] = ACTIONS(5613),
    [anon_sym_AMP_AMP] = ACTIONS(5613),
    [anon_sym_AMP] = ACTIONS(5611),
    [anon_sym___extension__] = ACTIONS(5611),
    [anon_sym_typedef] = ACTIONS(5611),
    [anon_sym_in] = ACTIONS(5611),
    [anon_sym_out] = ACTIONS(5611),
    [anon_sym_inout] = ACTIONS(5611),
    [anon_sym_extern] = ACTIONS(5611),
    [anon_sym___attribute__] = ACTIONS(5611),
    [anon_sym_COLON_COLON] = ACTIONS(5613),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5613),
    [anon_sym___declspec] = ACTIONS(5611),
    [anon_sym___based] = ACTIONS(5611),
    [anon_sym_signed] = ACTIONS(5611),
    [anon_sym_unsigned] = ACTIONS(5611),
    [anon_sym_long] = ACTIONS(5611),
    [anon_sym_short] = ACTIONS(5611),
    [anon_sym_LBRACK] = ACTIONS(5611),
    [anon_sym_static] = ACTIONS(5611),
    [anon_sym_register] = ACTIONS(5611),
    [anon_sym_inline] = ACTIONS(5611),
    [anon_sym___inline] = ACTIONS(5611),
    [anon_sym___inline__] = ACTIONS(5611),
    [anon_sym___forceinline] = ACTIONS(5611),
    [anon_sym_thread_local] = ACTIONS(5611),
    [anon_sym___thread] = ACTIONS(5611),
    [anon_sym_const] = ACTIONS(5611),
    [anon_sym_constexpr] = ACTIONS(5611),
    [anon_sym_volatile] = ACTIONS(5611),
    [anon_sym_restrict] = ACTIONS(5611),
    [anon_sym___restrict__] = ACTIONS(5611),
    [anon_sym__Atomic] = ACTIONS(5611),
    [anon_sym__Noreturn] = ACTIONS(5611),
    [anon_sym_noreturn] = ACTIONS(5611),
    [anon_sym_mutable] = ACTIONS(5611),
    [anon_sym_constinit] = ACTIONS(5611),
    [anon_sym_consteval] = ACTIONS(5611),
    [sym_primitive_type] = ACTIONS(5611),
    [anon_sym_enum] = ACTIONS(5611),
    [anon_sym_class] = ACTIONS(5611),
    [anon_sym_struct] = ACTIONS(5611),
    [anon_sym_union] = ACTIONS(5611),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5611),
    [anon_sym_decltype] = ACTIONS(5611),
    [anon_sym_virtual] = ACTIONS(5611),
    [anon_sym_alignas] = ACTIONS(5611),
    [anon_sym_explicit] = ACTIONS(5611),
    [anon_sym_typename] = ACTIONS(5611),
    [anon_sym_template] = ACTIONS(5611),
    [anon_sym_operator] = ACTIONS(5611),
    [anon_sym_friend] = ACTIONS(5611),
    [anon_sym_public] = ACTIONS(5611),
    [anon_sym_private] = ACTIONS(5611),
    [anon_sym_protected] = ACTIONS(5611),
    [anon_sym_using] = ACTIONS(5611),
    [anon_sym_static_assert] = ACTIONS(5611),
    [anon_sym_precise] = ACTIONS(5611),
    [anon_sym_shared] = ACTIONS(5611),
    [anon_sym_groupshared] = ACTIONS(5611),
    [anon_sym_uniform] = ACTIONS(5611),
    [anon_sym_row_major] = ACTIONS(5611),
    [anon_sym_column_major] = ACTIONS(5611),
    [anon_sym_globallycoherent] = ACTIONS(5611),
    [anon_sym_centroid] = ACTIONS(5611),
    [anon_sym_noperspective] = ACTIONS(5611),
    [anon_sym_nointerpolation] = ACTIONS(5611),
    [anon_sym_sample] = ACTIONS(5611),
    [anon_sym_linear] = ACTIONS(5611),
    [anon_sym_snorm] = ACTIONS(5611),
    [anon_sym_unorm] = ACTIONS(5611),
    [anon_sym_point] = ACTIONS(5611),
    [anon_sym_line] = ACTIONS(5611),
    [anon_sym_triangleadj] = ACTIONS(5611),
    [anon_sym_lineadj] = ACTIONS(5611),
    [anon_sym_triangle] = ACTIONS(5611),
  },
  [2699] = {
    [sym_identifier] = ACTIONS(2238),
    [aux_sym_preproc_def_token1] = ACTIONS(2238),
    [anon_sym_COMMA] = ACTIONS(2358),
    [aux_sym_preproc_if_token1] = ACTIONS(2238),
    [aux_sym_preproc_if_token2] = ACTIONS(2238),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2238),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2238),
    [sym_preproc_directive] = ACTIONS(2238),
    [anon_sym_LPAREN2] = ACTIONS(2236),
    [anon_sym_TILDE] = ACTIONS(2236),
    [anon_sym_STAR] = ACTIONS(2236),
    [anon_sym_AMP_AMP] = ACTIONS(2236),
    [anon_sym_AMP] = ACTIONS(2238),
    [anon_sym_SEMI] = ACTIONS(2358),
    [anon_sym___extension__] = ACTIONS(2238),
    [anon_sym_typedef] = ACTIONS(2238),
    [anon_sym_in] = ACTIONS(2238),
    [anon_sym_out] = ACTIONS(2238),
    [anon_sym_inout] = ACTIONS(2238),
    [anon_sym_extern] = ACTIONS(2238),
    [anon_sym___attribute__] = ACTIONS(5600),
    [anon_sym_COLON_COLON] = ACTIONS(2236),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2236),
    [anon_sym___declspec] = ACTIONS(2238),
    [anon_sym___based] = ACTIONS(2238),
    [anon_sym_signed] = ACTIONS(2238),
    [anon_sym_unsigned] = ACTIONS(2238),
    [anon_sym_long] = ACTIONS(2238),
    [anon_sym_short] = ACTIONS(2238),
    [anon_sym_LBRACK] = ACTIONS(2238),
    [anon_sym_static] = ACTIONS(2238),
    [anon_sym_register] = ACTIONS(2238),
    [anon_sym_inline] = ACTIONS(2238),
    [anon_sym___inline] = ACTIONS(2238),
    [anon_sym___inline__] = ACTIONS(2238),
    [anon_sym___forceinline] = ACTIONS(2238),
    [anon_sym_thread_local] = ACTIONS(2238),
    [anon_sym___thread] = ACTIONS(2238),
    [anon_sym_const] = ACTIONS(2238),
    [anon_sym_constexpr] = ACTIONS(2238),
    [anon_sym_volatile] = ACTIONS(2238),
    [anon_sym_restrict] = ACTIONS(2238),
    [anon_sym___restrict__] = ACTIONS(2238),
    [anon_sym__Atomic] = ACTIONS(2238),
    [anon_sym__Noreturn] = ACTIONS(2238),
    [anon_sym_noreturn] = ACTIONS(2238),
    [anon_sym_mutable] = ACTIONS(2238),
    [anon_sym_constinit] = ACTIONS(2238),
    [anon_sym_consteval] = ACTIONS(2238),
    [sym_primitive_type] = ACTIONS(2238),
    [anon_sym_enum] = ACTIONS(2238),
    [anon_sym_class] = ACTIONS(2238),
    [anon_sym_struct] = ACTIONS(2238),
    [anon_sym_union] = ACTIONS(2238),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2238),
    [anon_sym_decltype] = ACTIONS(2238),
    [anon_sym_virtual] = ACTIONS(2238),
    [anon_sym_alignas] = ACTIONS(2238),
    [anon_sym_explicit] = ACTIONS(2238),
    [anon_sym_typename] = ACTIONS(2238),
    [anon_sym_template] = ACTIONS(2238),
    [anon_sym_operator] = ACTIONS(2238),
    [anon_sym_friend] = ACTIONS(2238),
    [anon_sym_public] = ACTIONS(2238),
    [anon_sym_private] = ACTIONS(2238),
    [anon_sym_protected] = ACTIONS(2238),
    [anon_sym_using] = ACTIONS(2238),
    [anon_sym_static_assert] = ACTIONS(2238),
    [anon_sym_precise] = ACTIONS(2238),
    [anon_sym_shared] = ACTIONS(2238),
    [anon_sym_groupshared] = ACTIONS(2238),
    [anon_sym_uniform] = ACTIONS(2238),
    [anon_sym_row_major] = ACTIONS(2238),
    [anon_sym_column_major] = ACTIONS(2238),
    [anon_sym_globallycoherent] = ACTIONS(2238),
    [anon_sym_centroid] = ACTIONS(2238),
    [anon_sym_noperspective] = ACTIONS(2238),
    [anon_sym_nointerpolation] = ACTIONS(2238),
    [anon_sym_sample] = ACTIONS(2238),
    [anon_sym_linear] = ACTIONS(2238),
    [anon_sym_snorm] = ACTIONS(2238),
    [anon_sym_unorm] = ACTIONS(2238),
    [anon_sym_point] = ACTIONS(2238),
    [anon_sym_line] = ACTIONS(2238),
    [anon_sym_triangleadj] = ACTIONS(2238),
    [anon_sym_lineadj] = ACTIONS(2238),
    [anon_sym_triangle] = ACTIONS(2238),
  },
  [2700] = {
    [sym_identifier] = ACTIONS(2725),
    [aux_sym_preproc_def_token1] = ACTIONS(2725),
    [aux_sym_preproc_if_token1] = ACTIONS(2725),
    [aux_sym_preproc_if_token2] = ACTIONS(2725),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2725),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2725),
    [aux_sym_preproc_else_token1] = ACTIONS(2725),
    [aux_sym_preproc_elif_token1] = ACTIONS(2725),
    [sym_preproc_directive] = ACTIONS(2725),
    [anon_sym_LPAREN2] = ACTIONS(2727),
    [anon_sym_TILDE] = ACTIONS(2727),
    [anon_sym_STAR] = ACTIONS(2727),
    [anon_sym_AMP_AMP] = ACTIONS(2727),
    [anon_sym_AMP] = ACTIONS(2725),
    [anon_sym___extension__] = ACTIONS(2725),
    [anon_sym_typedef] = ACTIONS(2725),
    [anon_sym_in] = ACTIONS(2725),
    [anon_sym_out] = ACTIONS(2725),
    [anon_sym_inout] = ACTIONS(2725),
    [anon_sym_extern] = ACTIONS(2725),
    [anon_sym___attribute__] = ACTIONS(2725),
    [anon_sym_COLON_COLON] = ACTIONS(2727),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2727),
    [anon_sym___declspec] = ACTIONS(2725),
    [anon_sym___based] = ACTIONS(2725),
    [anon_sym_signed] = ACTIONS(2725),
    [anon_sym_unsigned] = ACTIONS(2725),
    [anon_sym_long] = ACTIONS(2725),
    [anon_sym_short] = ACTIONS(2725),
    [anon_sym_LBRACK] = ACTIONS(2725),
    [anon_sym_static] = ACTIONS(2725),
    [anon_sym_register] = ACTIONS(2725),
    [anon_sym_inline] = ACTIONS(2725),
    [anon_sym___inline] = ACTIONS(2725),
    [anon_sym___inline__] = ACTIONS(2725),
    [anon_sym___forceinline] = ACTIONS(2725),
    [anon_sym_thread_local] = ACTIONS(2725),
    [anon_sym___thread] = ACTIONS(2725),
    [anon_sym_const] = ACTIONS(2725),
    [anon_sym_constexpr] = ACTIONS(2725),
    [anon_sym_volatile] = ACTIONS(2725),
    [anon_sym_restrict] = ACTIONS(2725),
    [anon_sym___restrict__] = ACTIONS(2725),
    [anon_sym__Atomic] = ACTIONS(2725),
    [anon_sym__Noreturn] = ACTIONS(2725),
    [anon_sym_noreturn] = ACTIONS(2725),
    [anon_sym_mutable] = ACTIONS(2725),
    [anon_sym_constinit] = ACTIONS(2725),
    [anon_sym_consteval] = ACTIONS(2725),
    [sym_primitive_type] = ACTIONS(2725),
    [anon_sym_enum] = ACTIONS(2725),
    [anon_sym_class] = ACTIONS(2725),
    [anon_sym_struct] = ACTIONS(2725),
    [anon_sym_union] = ACTIONS(2725),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2725),
    [anon_sym_decltype] = ACTIONS(2725),
    [anon_sym_virtual] = ACTIONS(2725),
    [anon_sym_alignas] = ACTIONS(2725),
    [anon_sym_explicit] = ACTIONS(2725),
    [anon_sym_typename] = ACTIONS(2725),
    [anon_sym_template] = ACTIONS(2725),
    [anon_sym_operator] = ACTIONS(2725),
    [anon_sym_friend] = ACTIONS(2725),
    [anon_sym_public] = ACTIONS(2725),
    [anon_sym_private] = ACTIONS(2725),
    [anon_sym_protected] = ACTIONS(2725),
    [anon_sym_using] = ACTIONS(2725),
    [anon_sym_static_assert] = ACTIONS(2725),
    [anon_sym_precise] = ACTIONS(2725),
    [anon_sym_shared] = ACTIONS(2725),
    [anon_sym_groupshared] = ACTIONS(2725),
    [anon_sym_uniform] = ACTIONS(2725),
    [anon_sym_row_major] = ACTIONS(2725),
    [anon_sym_column_major] = ACTIONS(2725),
    [anon_sym_globallycoherent] = ACTIONS(2725),
    [anon_sym_centroid] = ACTIONS(2725),
    [anon_sym_noperspective] = ACTIONS(2725),
    [anon_sym_nointerpolation] = ACTIONS(2725),
    [anon_sym_sample] = ACTIONS(2725),
    [anon_sym_linear] = ACTIONS(2725),
    [anon_sym_snorm] = ACTIONS(2725),
    [anon_sym_unorm] = ACTIONS(2725),
    [anon_sym_point] = ACTIONS(2725),
    [anon_sym_line] = ACTIONS(2725),
    [anon_sym_triangleadj] = ACTIONS(2725),
    [anon_sym_lineadj] = ACTIONS(2725),
    [anon_sym_triangle] = ACTIONS(2725),
  },
  [2701] = {
    [sym_identifier] = ACTIONS(2751),
    [aux_sym_preproc_def_token1] = ACTIONS(2751),
    [aux_sym_preproc_if_token1] = ACTIONS(2751),
    [aux_sym_preproc_if_token2] = ACTIONS(2751),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2751),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2751),
    [aux_sym_preproc_else_token1] = ACTIONS(2751),
    [aux_sym_preproc_elif_token1] = ACTIONS(2751),
    [sym_preproc_directive] = ACTIONS(2751),
    [anon_sym_LPAREN2] = ACTIONS(2753),
    [anon_sym_TILDE] = ACTIONS(2753),
    [anon_sym_STAR] = ACTIONS(2753),
    [anon_sym_AMP_AMP] = ACTIONS(2753),
    [anon_sym_AMP] = ACTIONS(2751),
    [anon_sym___extension__] = ACTIONS(2751),
    [anon_sym_typedef] = ACTIONS(2751),
    [anon_sym_in] = ACTIONS(2751),
    [anon_sym_out] = ACTIONS(2751),
    [anon_sym_inout] = ACTIONS(2751),
    [anon_sym_extern] = ACTIONS(2751),
    [anon_sym___attribute__] = ACTIONS(2751),
    [anon_sym_COLON_COLON] = ACTIONS(2753),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2753),
    [anon_sym___declspec] = ACTIONS(2751),
    [anon_sym___based] = ACTIONS(2751),
    [anon_sym_signed] = ACTIONS(2751),
    [anon_sym_unsigned] = ACTIONS(2751),
    [anon_sym_long] = ACTIONS(2751),
    [anon_sym_short] = ACTIONS(2751),
    [anon_sym_LBRACK] = ACTIONS(2751),
    [anon_sym_static] = ACTIONS(2751),
    [anon_sym_register] = ACTIONS(2751),
    [anon_sym_inline] = ACTIONS(2751),
    [anon_sym___inline] = ACTIONS(2751),
    [anon_sym___inline__] = ACTIONS(2751),
    [anon_sym___forceinline] = ACTIONS(2751),
    [anon_sym_thread_local] = ACTIONS(2751),
    [anon_sym___thread] = ACTIONS(2751),
    [anon_sym_const] = ACTIONS(2751),
    [anon_sym_constexpr] = ACTIONS(2751),
    [anon_sym_volatile] = ACTIONS(2751),
    [anon_sym_restrict] = ACTIONS(2751),
    [anon_sym___restrict__] = ACTIONS(2751),
    [anon_sym__Atomic] = ACTIONS(2751),
    [anon_sym__Noreturn] = ACTIONS(2751),
    [anon_sym_noreturn] = ACTIONS(2751),
    [anon_sym_mutable] = ACTIONS(2751),
    [anon_sym_constinit] = ACTIONS(2751),
    [anon_sym_consteval] = ACTIONS(2751),
    [sym_primitive_type] = ACTIONS(2751),
    [anon_sym_enum] = ACTIONS(2751),
    [anon_sym_class] = ACTIONS(2751),
    [anon_sym_struct] = ACTIONS(2751),
    [anon_sym_union] = ACTIONS(2751),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2751),
    [anon_sym_decltype] = ACTIONS(2751),
    [anon_sym_virtual] = ACTIONS(2751),
    [anon_sym_alignas] = ACTIONS(2751),
    [anon_sym_explicit] = ACTIONS(2751),
    [anon_sym_typename] = ACTIONS(2751),
    [anon_sym_template] = ACTIONS(2751),
    [anon_sym_operator] = ACTIONS(2751),
    [anon_sym_friend] = ACTIONS(2751),
    [anon_sym_public] = ACTIONS(2751),
    [anon_sym_private] = ACTIONS(2751),
    [anon_sym_protected] = ACTIONS(2751),
    [anon_sym_using] = ACTIONS(2751),
    [anon_sym_static_assert] = ACTIONS(2751),
    [anon_sym_precise] = ACTIONS(2751),
    [anon_sym_shared] = ACTIONS(2751),
    [anon_sym_groupshared] = ACTIONS(2751),
    [anon_sym_uniform] = ACTIONS(2751),
    [anon_sym_row_major] = ACTIONS(2751),
    [anon_sym_column_major] = ACTIONS(2751),
    [anon_sym_globallycoherent] = ACTIONS(2751),
    [anon_sym_centroid] = ACTIONS(2751),
    [anon_sym_noperspective] = ACTIONS(2751),
    [anon_sym_nointerpolation] = ACTIONS(2751),
    [anon_sym_sample] = ACTIONS(2751),
    [anon_sym_linear] = ACTIONS(2751),
    [anon_sym_snorm] = ACTIONS(2751),
    [anon_sym_unorm] = ACTIONS(2751),
    [anon_sym_point] = ACTIONS(2751),
    [anon_sym_line] = ACTIONS(2751),
    [anon_sym_triangleadj] = ACTIONS(2751),
    [anon_sym_lineadj] = ACTIONS(2751),
    [anon_sym_triangle] = ACTIONS(2751),
  },
  [2702] = {
    [sym_identifier] = ACTIONS(2645),
    [aux_sym_preproc_def_token1] = ACTIONS(2645),
    [aux_sym_preproc_if_token1] = ACTIONS(2645),
    [aux_sym_preproc_if_token2] = ACTIONS(2645),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2645),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2645),
    [aux_sym_preproc_else_token1] = ACTIONS(2645),
    [aux_sym_preproc_elif_token1] = ACTIONS(2645),
    [sym_preproc_directive] = ACTIONS(2645),
    [anon_sym_LPAREN2] = ACTIONS(2647),
    [anon_sym_TILDE] = ACTIONS(2647),
    [anon_sym_STAR] = ACTIONS(2647),
    [anon_sym_AMP_AMP] = ACTIONS(2647),
    [anon_sym_AMP] = ACTIONS(2645),
    [anon_sym___extension__] = ACTIONS(2645),
    [anon_sym_typedef] = ACTIONS(2645),
    [anon_sym_in] = ACTIONS(2645),
    [anon_sym_out] = ACTIONS(2645),
    [anon_sym_inout] = ACTIONS(2645),
    [anon_sym_extern] = ACTIONS(2645),
    [anon_sym___attribute__] = ACTIONS(2645),
    [anon_sym_COLON_COLON] = ACTIONS(2647),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2647),
    [anon_sym___declspec] = ACTIONS(2645),
    [anon_sym___based] = ACTIONS(2645),
    [anon_sym_signed] = ACTIONS(2645),
    [anon_sym_unsigned] = ACTIONS(2645),
    [anon_sym_long] = ACTIONS(2645),
    [anon_sym_short] = ACTIONS(2645),
    [anon_sym_LBRACK] = ACTIONS(2645),
    [anon_sym_static] = ACTIONS(2645),
    [anon_sym_register] = ACTIONS(2645),
    [anon_sym_inline] = ACTIONS(2645),
    [anon_sym___inline] = ACTIONS(2645),
    [anon_sym___inline__] = ACTIONS(2645),
    [anon_sym___forceinline] = ACTIONS(2645),
    [anon_sym_thread_local] = ACTIONS(2645),
    [anon_sym___thread] = ACTIONS(2645),
    [anon_sym_const] = ACTIONS(2645),
    [anon_sym_constexpr] = ACTIONS(2645),
    [anon_sym_volatile] = ACTIONS(2645),
    [anon_sym_restrict] = ACTIONS(2645),
    [anon_sym___restrict__] = ACTIONS(2645),
    [anon_sym__Atomic] = ACTIONS(2645),
    [anon_sym__Noreturn] = ACTIONS(2645),
    [anon_sym_noreturn] = ACTIONS(2645),
    [anon_sym_mutable] = ACTIONS(2645),
    [anon_sym_constinit] = ACTIONS(2645),
    [anon_sym_consteval] = ACTIONS(2645),
    [sym_primitive_type] = ACTIONS(2645),
    [anon_sym_enum] = ACTIONS(2645),
    [anon_sym_class] = ACTIONS(2645),
    [anon_sym_struct] = ACTIONS(2645),
    [anon_sym_union] = ACTIONS(2645),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2645),
    [anon_sym_decltype] = ACTIONS(2645),
    [anon_sym_virtual] = ACTIONS(2645),
    [anon_sym_alignas] = ACTIONS(2645),
    [anon_sym_explicit] = ACTIONS(2645),
    [anon_sym_typename] = ACTIONS(2645),
    [anon_sym_template] = ACTIONS(2645),
    [anon_sym_operator] = ACTIONS(2645),
    [anon_sym_friend] = ACTIONS(2645),
    [anon_sym_public] = ACTIONS(2645),
    [anon_sym_private] = ACTIONS(2645),
    [anon_sym_protected] = ACTIONS(2645),
    [anon_sym_using] = ACTIONS(2645),
    [anon_sym_static_assert] = ACTIONS(2645),
    [anon_sym_precise] = ACTIONS(2645),
    [anon_sym_shared] = ACTIONS(2645),
    [anon_sym_groupshared] = ACTIONS(2645),
    [anon_sym_uniform] = ACTIONS(2645),
    [anon_sym_row_major] = ACTIONS(2645),
    [anon_sym_column_major] = ACTIONS(2645),
    [anon_sym_globallycoherent] = ACTIONS(2645),
    [anon_sym_centroid] = ACTIONS(2645),
    [anon_sym_noperspective] = ACTIONS(2645),
    [anon_sym_nointerpolation] = ACTIONS(2645),
    [anon_sym_sample] = ACTIONS(2645),
    [anon_sym_linear] = ACTIONS(2645),
    [anon_sym_snorm] = ACTIONS(2645),
    [anon_sym_unorm] = ACTIONS(2645),
    [anon_sym_point] = ACTIONS(2645),
    [anon_sym_line] = ACTIONS(2645),
    [anon_sym_triangleadj] = ACTIONS(2645),
    [anon_sym_lineadj] = ACTIONS(2645),
    [anon_sym_triangle] = ACTIONS(2645),
  },
  [2703] = {
    [sym_identifier] = ACTIONS(2388),
    [aux_sym_preproc_def_token1] = ACTIONS(2388),
    [aux_sym_preproc_if_token1] = ACTIONS(2388),
    [aux_sym_preproc_if_token2] = ACTIONS(2388),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2388),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2388),
    [aux_sym_preproc_else_token1] = ACTIONS(2388),
    [aux_sym_preproc_elif_token1] = ACTIONS(2388),
    [sym_preproc_directive] = ACTIONS(2388),
    [anon_sym_LPAREN2] = ACTIONS(2390),
    [anon_sym_TILDE] = ACTIONS(2390),
    [anon_sym_STAR] = ACTIONS(2390),
    [anon_sym_AMP_AMP] = ACTIONS(2390),
    [anon_sym_AMP] = ACTIONS(2388),
    [anon_sym___extension__] = ACTIONS(2388),
    [anon_sym_typedef] = ACTIONS(2388),
    [anon_sym_in] = ACTIONS(2388),
    [anon_sym_out] = ACTIONS(2388),
    [anon_sym_inout] = ACTIONS(2388),
    [anon_sym_extern] = ACTIONS(2388),
    [anon_sym___attribute__] = ACTIONS(2388),
    [anon_sym_COLON_COLON] = ACTIONS(2390),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2390),
    [anon_sym___declspec] = ACTIONS(2388),
    [anon_sym___based] = ACTIONS(2388),
    [anon_sym_signed] = ACTIONS(2388),
    [anon_sym_unsigned] = ACTIONS(2388),
    [anon_sym_long] = ACTIONS(2388),
    [anon_sym_short] = ACTIONS(2388),
    [anon_sym_LBRACK] = ACTIONS(2388),
    [anon_sym_static] = ACTIONS(2388),
    [anon_sym_register] = ACTIONS(2388),
    [anon_sym_inline] = ACTIONS(2388),
    [anon_sym___inline] = ACTIONS(2388),
    [anon_sym___inline__] = ACTIONS(2388),
    [anon_sym___forceinline] = ACTIONS(2388),
    [anon_sym_thread_local] = ACTIONS(2388),
    [anon_sym___thread] = ACTIONS(2388),
    [anon_sym_const] = ACTIONS(2388),
    [anon_sym_constexpr] = ACTIONS(2388),
    [anon_sym_volatile] = ACTIONS(2388),
    [anon_sym_restrict] = ACTIONS(2388),
    [anon_sym___restrict__] = ACTIONS(2388),
    [anon_sym__Atomic] = ACTIONS(2388),
    [anon_sym__Noreturn] = ACTIONS(2388),
    [anon_sym_noreturn] = ACTIONS(2388),
    [anon_sym_mutable] = ACTIONS(2388),
    [anon_sym_constinit] = ACTIONS(2388),
    [anon_sym_consteval] = ACTIONS(2388),
    [sym_primitive_type] = ACTIONS(2388),
    [anon_sym_enum] = ACTIONS(2388),
    [anon_sym_class] = ACTIONS(2388),
    [anon_sym_struct] = ACTIONS(2388),
    [anon_sym_union] = ACTIONS(2388),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2388),
    [anon_sym_decltype] = ACTIONS(2388),
    [anon_sym_virtual] = ACTIONS(2388),
    [anon_sym_alignas] = ACTIONS(2388),
    [anon_sym_explicit] = ACTIONS(2388),
    [anon_sym_typename] = ACTIONS(2388),
    [anon_sym_template] = ACTIONS(2388),
    [anon_sym_operator] = ACTIONS(2388),
    [anon_sym_friend] = ACTIONS(2388),
    [anon_sym_public] = ACTIONS(2388),
    [anon_sym_private] = ACTIONS(2388),
    [anon_sym_protected] = ACTIONS(2388),
    [anon_sym_using] = ACTIONS(2388),
    [anon_sym_static_assert] = ACTIONS(2388),
    [anon_sym_precise] = ACTIONS(2388),
    [anon_sym_shared] = ACTIONS(2388),
    [anon_sym_groupshared] = ACTIONS(2388),
    [anon_sym_uniform] = ACTIONS(2388),
    [anon_sym_row_major] = ACTIONS(2388),
    [anon_sym_column_major] = ACTIONS(2388),
    [anon_sym_globallycoherent] = ACTIONS(2388),
    [anon_sym_centroid] = ACTIONS(2388),
    [anon_sym_noperspective] = ACTIONS(2388),
    [anon_sym_nointerpolation] = ACTIONS(2388),
    [anon_sym_sample] = ACTIONS(2388),
    [anon_sym_linear] = ACTIONS(2388),
    [anon_sym_snorm] = ACTIONS(2388),
    [anon_sym_unorm] = ACTIONS(2388),
    [anon_sym_point] = ACTIONS(2388),
    [anon_sym_line] = ACTIONS(2388),
    [anon_sym_triangleadj] = ACTIONS(2388),
    [anon_sym_lineadj] = ACTIONS(2388),
    [anon_sym_triangle] = ACTIONS(2388),
  },
  [2704] = {
    [sym_identifier] = ACTIONS(5611),
    [aux_sym_preproc_def_token1] = ACTIONS(5611),
    [aux_sym_preproc_if_token1] = ACTIONS(5611),
    [aux_sym_preproc_if_token2] = ACTIONS(5611),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5611),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5611),
    [aux_sym_preproc_else_token1] = ACTIONS(5611),
    [aux_sym_preproc_elif_token1] = ACTIONS(5611),
    [sym_preproc_directive] = ACTIONS(5611),
    [anon_sym_LPAREN2] = ACTIONS(5613),
    [anon_sym_TILDE] = ACTIONS(5613),
    [anon_sym_STAR] = ACTIONS(5613),
    [anon_sym_AMP_AMP] = ACTIONS(5613),
    [anon_sym_AMP] = ACTIONS(5611),
    [anon_sym___extension__] = ACTIONS(5611),
    [anon_sym_typedef] = ACTIONS(5611),
    [anon_sym_in] = ACTIONS(5611),
    [anon_sym_out] = ACTIONS(5611),
    [anon_sym_inout] = ACTIONS(5611),
    [anon_sym_extern] = ACTIONS(5611),
    [anon_sym___attribute__] = ACTIONS(5611),
    [anon_sym_COLON_COLON] = ACTIONS(5613),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5613),
    [anon_sym___declspec] = ACTIONS(5611),
    [anon_sym___based] = ACTIONS(5611),
    [anon_sym_signed] = ACTIONS(5611),
    [anon_sym_unsigned] = ACTIONS(5611),
    [anon_sym_long] = ACTIONS(5611),
    [anon_sym_short] = ACTIONS(5611),
    [anon_sym_LBRACK] = ACTIONS(5611),
    [anon_sym_static] = ACTIONS(5611),
    [anon_sym_register] = ACTIONS(5611),
    [anon_sym_inline] = ACTIONS(5611),
    [anon_sym___inline] = ACTIONS(5611),
    [anon_sym___inline__] = ACTIONS(5611),
    [anon_sym___forceinline] = ACTIONS(5611),
    [anon_sym_thread_local] = ACTIONS(5611),
    [anon_sym___thread] = ACTIONS(5611),
    [anon_sym_const] = ACTIONS(5611),
    [anon_sym_constexpr] = ACTIONS(5611),
    [anon_sym_volatile] = ACTIONS(5611),
    [anon_sym_restrict] = ACTIONS(5611),
    [anon_sym___restrict__] = ACTIONS(5611),
    [anon_sym__Atomic] = ACTIONS(5611),
    [anon_sym__Noreturn] = ACTIONS(5611),
    [anon_sym_noreturn] = ACTIONS(5611),
    [anon_sym_mutable] = ACTIONS(5611),
    [anon_sym_constinit] = ACTIONS(5611),
    [anon_sym_consteval] = ACTIONS(5611),
    [sym_primitive_type] = ACTIONS(5611),
    [anon_sym_enum] = ACTIONS(5611),
    [anon_sym_class] = ACTIONS(5611),
    [anon_sym_struct] = ACTIONS(5611),
    [anon_sym_union] = ACTIONS(5611),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5611),
    [anon_sym_decltype] = ACTIONS(5611),
    [anon_sym_virtual] = ACTIONS(5611),
    [anon_sym_alignas] = ACTIONS(5611),
    [anon_sym_explicit] = ACTIONS(5611),
    [anon_sym_typename] = ACTIONS(5611),
    [anon_sym_template] = ACTIONS(5611),
    [anon_sym_operator] = ACTIONS(5611),
    [anon_sym_friend] = ACTIONS(5611),
    [anon_sym_public] = ACTIONS(5611),
    [anon_sym_private] = ACTIONS(5611),
    [anon_sym_protected] = ACTIONS(5611),
    [anon_sym_using] = ACTIONS(5611),
    [anon_sym_static_assert] = ACTIONS(5611),
    [anon_sym_precise] = ACTIONS(5611),
    [anon_sym_shared] = ACTIONS(5611),
    [anon_sym_groupshared] = ACTIONS(5611),
    [anon_sym_uniform] = ACTIONS(5611),
    [anon_sym_row_major] = ACTIONS(5611),
    [anon_sym_column_major] = ACTIONS(5611),
    [anon_sym_globallycoherent] = ACTIONS(5611),
    [anon_sym_centroid] = ACTIONS(5611),
    [anon_sym_noperspective] = ACTIONS(5611),
    [anon_sym_nointerpolation] = ACTIONS(5611),
    [anon_sym_sample] = ACTIONS(5611),
    [anon_sym_linear] = ACTIONS(5611),
    [anon_sym_snorm] = ACTIONS(5611),
    [anon_sym_unorm] = ACTIONS(5611),
    [anon_sym_point] = ACTIONS(5611),
    [anon_sym_line] = ACTIONS(5611),
    [anon_sym_triangleadj] = ACTIONS(5611),
    [anon_sym_lineadj] = ACTIONS(5611),
    [anon_sym_triangle] = ACTIONS(5611),
  },
  [2705] = {
    [sym_identifier] = ACTIONS(2637),
    [aux_sym_preproc_def_token1] = ACTIONS(2637),
    [aux_sym_preproc_if_token1] = ACTIONS(2637),
    [aux_sym_preproc_if_token2] = ACTIONS(2637),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2637),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2637),
    [aux_sym_preproc_else_token1] = ACTIONS(2637),
    [aux_sym_preproc_elif_token1] = ACTIONS(2637),
    [sym_preproc_directive] = ACTIONS(2637),
    [anon_sym_LPAREN2] = ACTIONS(2639),
    [anon_sym_TILDE] = ACTIONS(2639),
    [anon_sym_STAR] = ACTIONS(2639),
    [anon_sym_AMP_AMP] = ACTIONS(2639),
    [anon_sym_AMP] = ACTIONS(2637),
    [anon_sym___extension__] = ACTIONS(2637),
    [anon_sym_typedef] = ACTIONS(2637),
    [anon_sym_in] = ACTIONS(2637),
    [anon_sym_out] = ACTIONS(2637),
    [anon_sym_inout] = ACTIONS(2637),
    [anon_sym_extern] = ACTIONS(2637),
    [anon_sym___attribute__] = ACTIONS(2637),
    [anon_sym_COLON_COLON] = ACTIONS(2639),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2639),
    [anon_sym___declspec] = ACTIONS(2637),
    [anon_sym___based] = ACTIONS(2637),
    [anon_sym_signed] = ACTIONS(2637),
    [anon_sym_unsigned] = ACTIONS(2637),
    [anon_sym_long] = ACTIONS(2637),
    [anon_sym_short] = ACTIONS(2637),
    [anon_sym_LBRACK] = ACTIONS(2637),
    [anon_sym_static] = ACTIONS(2637),
    [anon_sym_register] = ACTIONS(2637),
    [anon_sym_inline] = ACTIONS(2637),
    [anon_sym___inline] = ACTIONS(2637),
    [anon_sym___inline__] = ACTIONS(2637),
    [anon_sym___forceinline] = ACTIONS(2637),
    [anon_sym_thread_local] = ACTIONS(2637),
    [anon_sym___thread] = ACTIONS(2637),
    [anon_sym_const] = ACTIONS(2637),
    [anon_sym_constexpr] = ACTIONS(2637),
    [anon_sym_volatile] = ACTIONS(2637),
    [anon_sym_restrict] = ACTIONS(2637),
    [anon_sym___restrict__] = ACTIONS(2637),
    [anon_sym__Atomic] = ACTIONS(2637),
    [anon_sym__Noreturn] = ACTIONS(2637),
    [anon_sym_noreturn] = ACTIONS(2637),
    [anon_sym_mutable] = ACTIONS(2637),
    [anon_sym_constinit] = ACTIONS(2637),
    [anon_sym_consteval] = ACTIONS(2637),
    [sym_primitive_type] = ACTIONS(2637),
    [anon_sym_enum] = ACTIONS(2637),
    [anon_sym_class] = ACTIONS(2637),
    [anon_sym_struct] = ACTIONS(2637),
    [anon_sym_union] = ACTIONS(2637),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2637),
    [anon_sym_decltype] = ACTIONS(2637),
    [anon_sym_virtual] = ACTIONS(2637),
    [anon_sym_alignas] = ACTIONS(2637),
    [anon_sym_explicit] = ACTIONS(2637),
    [anon_sym_typename] = ACTIONS(2637),
    [anon_sym_template] = ACTIONS(2637),
    [anon_sym_operator] = ACTIONS(2637),
    [anon_sym_friend] = ACTIONS(2637),
    [anon_sym_public] = ACTIONS(2637),
    [anon_sym_private] = ACTIONS(2637),
    [anon_sym_protected] = ACTIONS(2637),
    [anon_sym_using] = ACTIONS(2637),
    [anon_sym_static_assert] = ACTIONS(2637),
    [anon_sym_precise] = ACTIONS(2637),
    [anon_sym_shared] = ACTIONS(2637),
    [anon_sym_groupshared] = ACTIONS(2637),
    [anon_sym_uniform] = ACTIONS(2637),
    [anon_sym_row_major] = ACTIONS(2637),
    [anon_sym_column_major] = ACTIONS(2637),
    [anon_sym_globallycoherent] = ACTIONS(2637),
    [anon_sym_centroid] = ACTIONS(2637),
    [anon_sym_noperspective] = ACTIONS(2637),
    [anon_sym_nointerpolation] = ACTIONS(2637),
    [anon_sym_sample] = ACTIONS(2637),
    [anon_sym_linear] = ACTIONS(2637),
    [anon_sym_snorm] = ACTIONS(2637),
    [anon_sym_unorm] = ACTIONS(2637),
    [anon_sym_point] = ACTIONS(2637),
    [anon_sym_line] = ACTIONS(2637),
    [anon_sym_triangleadj] = ACTIONS(2637),
    [anon_sym_lineadj] = ACTIONS(2637),
    [anon_sym_triangle] = ACTIONS(2637),
  },
  [2706] = {
    [sym_identifier] = ACTIONS(5715),
    [aux_sym_preproc_def_token1] = ACTIONS(5715),
    [aux_sym_preproc_if_token1] = ACTIONS(5715),
    [aux_sym_preproc_if_token2] = ACTIONS(5715),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5715),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5715),
    [aux_sym_preproc_else_token1] = ACTIONS(5715),
    [aux_sym_preproc_elif_token1] = ACTIONS(5715),
    [sym_preproc_directive] = ACTIONS(5715),
    [anon_sym_LPAREN2] = ACTIONS(5717),
    [anon_sym_TILDE] = ACTIONS(5717),
    [anon_sym_STAR] = ACTIONS(5717),
    [anon_sym_AMP_AMP] = ACTIONS(5717),
    [anon_sym_AMP] = ACTIONS(5715),
    [anon_sym___extension__] = ACTIONS(5715),
    [anon_sym_typedef] = ACTIONS(5715),
    [anon_sym_in] = ACTIONS(5715),
    [anon_sym_out] = ACTIONS(5715),
    [anon_sym_inout] = ACTIONS(5715),
    [anon_sym_extern] = ACTIONS(5715),
    [anon_sym___attribute__] = ACTIONS(5715),
    [anon_sym_COLON_COLON] = ACTIONS(5717),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5717),
    [anon_sym___declspec] = ACTIONS(5715),
    [anon_sym___based] = ACTIONS(5715),
    [anon_sym_signed] = ACTIONS(5715),
    [anon_sym_unsigned] = ACTIONS(5715),
    [anon_sym_long] = ACTIONS(5715),
    [anon_sym_short] = ACTIONS(5715),
    [anon_sym_LBRACK] = ACTIONS(5715),
    [anon_sym_static] = ACTIONS(5715),
    [anon_sym_register] = ACTIONS(5715),
    [anon_sym_inline] = ACTIONS(5715),
    [anon_sym___inline] = ACTIONS(5715),
    [anon_sym___inline__] = ACTIONS(5715),
    [anon_sym___forceinline] = ACTIONS(5715),
    [anon_sym_thread_local] = ACTIONS(5715),
    [anon_sym___thread] = ACTIONS(5715),
    [anon_sym_const] = ACTIONS(5715),
    [anon_sym_constexpr] = ACTIONS(5715),
    [anon_sym_volatile] = ACTIONS(5715),
    [anon_sym_restrict] = ACTIONS(5715),
    [anon_sym___restrict__] = ACTIONS(5715),
    [anon_sym__Atomic] = ACTIONS(5715),
    [anon_sym__Noreturn] = ACTIONS(5715),
    [anon_sym_noreturn] = ACTIONS(5715),
    [anon_sym_mutable] = ACTIONS(5715),
    [anon_sym_constinit] = ACTIONS(5715),
    [anon_sym_consteval] = ACTIONS(5715),
    [sym_primitive_type] = ACTIONS(5715),
    [anon_sym_enum] = ACTIONS(5715),
    [anon_sym_class] = ACTIONS(5715),
    [anon_sym_struct] = ACTIONS(5715),
    [anon_sym_union] = ACTIONS(5715),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5715),
    [anon_sym_decltype] = ACTIONS(5715),
    [anon_sym_virtual] = ACTIONS(5715),
    [anon_sym_alignas] = ACTIONS(5715),
    [anon_sym_explicit] = ACTIONS(5715),
    [anon_sym_typename] = ACTIONS(5715),
    [anon_sym_template] = ACTIONS(5715),
    [anon_sym_operator] = ACTIONS(5715),
    [anon_sym_friend] = ACTIONS(5715),
    [anon_sym_public] = ACTIONS(5715),
    [anon_sym_private] = ACTIONS(5715),
    [anon_sym_protected] = ACTIONS(5715),
    [anon_sym_using] = ACTIONS(5715),
    [anon_sym_static_assert] = ACTIONS(5715),
    [anon_sym_precise] = ACTIONS(5715),
    [anon_sym_shared] = ACTIONS(5715),
    [anon_sym_groupshared] = ACTIONS(5715),
    [anon_sym_uniform] = ACTIONS(5715),
    [anon_sym_row_major] = ACTIONS(5715),
    [anon_sym_column_major] = ACTIONS(5715),
    [anon_sym_globallycoherent] = ACTIONS(5715),
    [anon_sym_centroid] = ACTIONS(5715),
    [anon_sym_noperspective] = ACTIONS(5715),
    [anon_sym_nointerpolation] = ACTIONS(5715),
    [anon_sym_sample] = ACTIONS(5715),
    [anon_sym_linear] = ACTIONS(5715),
    [anon_sym_snorm] = ACTIONS(5715),
    [anon_sym_unorm] = ACTIONS(5715),
    [anon_sym_point] = ACTIONS(5715),
    [anon_sym_line] = ACTIONS(5715),
    [anon_sym_triangleadj] = ACTIONS(5715),
    [anon_sym_lineadj] = ACTIONS(5715),
    [anon_sym_triangle] = ACTIONS(5715),
  },
  [2707] = {
    [sym_identifier] = ACTIONS(5651),
    [aux_sym_preproc_def_token1] = ACTIONS(5651),
    [aux_sym_preproc_if_token1] = ACTIONS(5651),
    [aux_sym_preproc_if_token2] = ACTIONS(5651),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5651),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5651),
    [aux_sym_preproc_else_token1] = ACTIONS(5651),
    [aux_sym_preproc_elif_token1] = ACTIONS(5651),
    [sym_preproc_directive] = ACTIONS(5651),
    [anon_sym_LPAREN2] = ACTIONS(5653),
    [anon_sym_TILDE] = ACTIONS(5653),
    [anon_sym_STAR] = ACTIONS(5653),
    [anon_sym_AMP_AMP] = ACTIONS(5653),
    [anon_sym_AMP] = ACTIONS(5651),
    [anon_sym___extension__] = ACTIONS(5651),
    [anon_sym_typedef] = ACTIONS(5651),
    [anon_sym_in] = ACTIONS(5651),
    [anon_sym_out] = ACTIONS(5651),
    [anon_sym_inout] = ACTIONS(5651),
    [anon_sym_extern] = ACTIONS(5651),
    [anon_sym___attribute__] = ACTIONS(5651),
    [anon_sym_COLON_COLON] = ACTIONS(5653),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5653),
    [anon_sym___declspec] = ACTIONS(5651),
    [anon_sym___based] = ACTIONS(5651),
    [anon_sym_signed] = ACTIONS(5651),
    [anon_sym_unsigned] = ACTIONS(5651),
    [anon_sym_long] = ACTIONS(5651),
    [anon_sym_short] = ACTIONS(5651),
    [anon_sym_LBRACK] = ACTIONS(5651),
    [anon_sym_static] = ACTIONS(5651),
    [anon_sym_register] = ACTIONS(5651),
    [anon_sym_inline] = ACTIONS(5651),
    [anon_sym___inline] = ACTIONS(5651),
    [anon_sym___inline__] = ACTIONS(5651),
    [anon_sym___forceinline] = ACTIONS(5651),
    [anon_sym_thread_local] = ACTIONS(5651),
    [anon_sym___thread] = ACTIONS(5651),
    [anon_sym_const] = ACTIONS(5651),
    [anon_sym_constexpr] = ACTIONS(5651),
    [anon_sym_volatile] = ACTIONS(5651),
    [anon_sym_restrict] = ACTIONS(5651),
    [anon_sym___restrict__] = ACTIONS(5651),
    [anon_sym__Atomic] = ACTIONS(5651),
    [anon_sym__Noreturn] = ACTIONS(5651),
    [anon_sym_noreturn] = ACTIONS(5651),
    [anon_sym_mutable] = ACTIONS(5651),
    [anon_sym_constinit] = ACTIONS(5651),
    [anon_sym_consteval] = ACTIONS(5651),
    [sym_primitive_type] = ACTIONS(5651),
    [anon_sym_enum] = ACTIONS(5651),
    [anon_sym_class] = ACTIONS(5651),
    [anon_sym_struct] = ACTIONS(5651),
    [anon_sym_union] = ACTIONS(5651),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5651),
    [anon_sym_decltype] = ACTIONS(5651),
    [anon_sym_virtual] = ACTIONS(5651),
    [anon_sym_alignas] = ACTIONS(5651),
    [anon_sym_explicit] = ACTIONS(5651),
    [anon_sym_typename] = ACTIONS(5651),
    [anon_sym_template] = ACTIONS(5651),
    [anon_sym_operator] = ACTIONS(5651),
    [anon_sym_friend] = ACTIONS(5651),
    [anon_sym_public] = ACTIONS(5651),
    [anon_sym_private] = ACTIONS(5651),
    [anon_sym_protected] = ACTIONS(5651),
    [anon_sym_using] = ACTIONS(5651),
    [anon_sym_static_assert] = ACTIONS(5651),
    [anon_sym_precise] = ACTIONS(5651),
    [anon_sym_shared] = ACTIONS(5651),
    [anon_sym_groupshared] = ACTIONS(5651),
    [anon_sym_uniform] = ACTIONS(5651),
    [anon_sym_row_major] = ACTIONS(5651),
    [anon_sym_column_major] = ACTIONS(5651),
    [anon_sym_globallycoherent] = ACTIONS(5651),
    [anon_sym_centroid] = ACTIONS(5651),
    [anon_sym_noperspective] = ACTIONS(5651),
    [anon_sym_nointerpolation] = ACTIONS(5651),
    [anon_sym_sample] = ACTIONS(5651),
    [anon_sym_linear] = ACTIONS(5651),
    [anon_sym_snorm] = ACTIONS(5651),
    [anon_sym_unorm] = ACTIONS(5651),
    [anon_sym_point] = ACTIONS(5651),
    [anon_sym_line] = ACTIONS(5651),
    [anon_sym_triangleadj] = ACTIONS(5651),
    [anon_sym_lineadj] = ACTIONS(5651),
    [anon_sym_triangle] = ACTIONS(5651),
  },
  [2708] = {
    [sym_identifier] = ACTIONS(2813),
    [aux_sym_preproc_def_token1] = ACTIONS(2813),
    [aux_sym_preproc_if_token1] = ACTIONS(2813),
    [aux_sym_preproc_if_token2] = ACTIONS(2813),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2813),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2813),
    [aux_sym_preproc_else_token1] = ACTIONS(2813),
    [aux_sym_preproc_elif_token1] = ACTIONS(2813),
    [sym_preproc_directive] = ACTIONS(2813),
    [anon_sym_LPAREN2] = ACTIONS(2815),
    [anon_sym_TILDE] = ACTIONS(2815),
    [anon_sym_STAR] = ACTIONS(2815),
    [anon_sym_AMP_AMP] = ACTIONS(2815),
    [anon_sym_AMP] = ACTIONS(2813),
    [anon_sym___extension__] = ACTIONS(2813),
    [anon_sym_typedef] = ACTIONS(2813),
    [anon_sym_in] = ACTIONS(2813),
    [anon_sym_out] = ACTIONS(2813),
    [anon_sym_inout] = ACTIONS(2813),
    [anon_sym_extern] = ACTIONS(2813),
    [anon_sym___attribute__] = ACTIONS(2813),
    [anon_sym_COLON_COLON] = ACTIONS(2815),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2815),
    [anon_sym___declspec] = ACTIONS(2813),
    [anon_sym___based] = ACTIONS(2813),
    [anon_sym_signed] = ACTIONS(2813),
    [anon_sym_unsigned] = ACTIONS(2813),
    [anon_sym_long] = ACTIONS(2813),
    [anon_sym_short] = ACTIONS(2813),
    [anon_sym_LBRACK] = ACTIONS(2813),
    [anon_sym_static] = ACTIONS(2813),
    [anon_sym_register] = ACTIONS(2813),
    [anon_sym_inline] = ACTIONS(2813),
    [anon_sym___inline] = ACTIONS(2813),
    [anon_sym___inline__] = ACTIONS(2813),
    [anon_sym___forceinline] = ACTIONS(2813),
    [anon_sym_thread_local] = ACTIONS(2813),
    [anon_sym___thread] = ACTIONS(2813),
    [anon_sym_const] = ACTIONS(2813),
    [anon_sym_constexpr] = ACTIONS(2813),
    [anon_sym_volatile] = ACTIONS(2813),
    [anon_sym_restrict] = ACTIONS(2813),
    [anon_sym___restrict__] = ACTIONS(2813),
    [anon_sym__Atomic] = ACTIONS(2813),
    [anon_sym__Noreturn] = ACTIONS(2813),
    [anon_sym_noreturn] = ACTIONS(2813),
    [anon_sym_mutable] = ACTIONS(2813),
    [anon_sym_constinit] = ACTIONS(2813),
    [anon_sym_consteval] = ACTIONS(2813),
    [sym_primitive_type] = ACTIONS(2813),
    [anon_sym_enum] = ACTIONS(2813),
    [anon_sym_class] = ACTIONS(2813),
    [anon_sym_struct] = ACTIONS(2813),
    [anon_sym_union] = ACTIONS(2813),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2813),
    [anon_sym_decltype] = ACTIONS(2813),
    [anon_sym_virtual] = ACTIONS(2813),
    [anon_sym_alignas] = ACTIONS(2813),
    [anon_sym_explicit] = ACTIONS(2813),
    [anon_sym_typename] = ACTIONS(2813),
    [anon_sym_template] = ACTIONS(2813),
    [anon_sym_operator] = ACTIONS(2813),
    [anon_sym_friend] = ACTIONS(2813),
    [anon_sym_public] = ACTIONS(2813),
    [anon_sym_private] = ACTIONS(2813),
    [anon_sym_protected] = ACTIONS(2813),
    [anon_sym_using] = ACTIONS(2813),
    [anon_sym_static_assert] = ACTIONS(2813),
    [anon_sym_precise] = ACTIONS(2813),
    [anon_sym_shared] = ACTIONS(2813),
    [anon_sym_groupshared] = ACTIONS(2813),
    [anon_sym_uniform] = ACTIONS(2813),
    [anon_sym_row_major] = ACTIONS(2813),
    [anon_sym_column_major] = ACTIONS(2813),
    [anon_sym_globallycoherent] = ACTIONS(2813),
    [anon_sym_centroid] = ACTIONS(2813),
    [anon_sym_noperspective] = ACTIONS(2813),
    [anon_sym_nointerpolation] = ACTIONS(2813),
    [anon_sym_sample] = ACTIONS(2813),
    [anon_sym_linear] = ACTIONS(2813),
    [anon_sym_snorm] = ACTIONS(2813),
    [anon_sym_unorm] = ACTIONS(2813),
    [anon_sym_point] = ACTIONS(2813),
    [anon_sym_line] = ACTIONS(2813),
    [anon_sym_triangleadj] = ACTIONS(2813),
    [anon_sym_lineadj] = ACTIONS(2813),
    [anon_sym_triangle] = ACTIONS(2813),
  },
  [2709] = {
    [sym_identifier] = ACTIONS(5655),
    [aux_sym_preproc_def_token1] = ACTIONS(5655),
    [aux_sym_preproc_if_token1] = ACTIONS(5655),
    [aux_sym_preproc_if_token2] = ACTIONS(5655),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5655),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5655),
    [aux_sym_preproc_else_token1] = ACTIONS(5655),
    [aux_sym_preproc_elif_token1] = ACTIONS(5655),
    [sym_preproc_directive] = ACTIONS(5655),
    [anon_sym_LPAREN2] = ACTIONS(5657),
    [anon_sym_TILDE] = ACTIONS(5657),
    [anon_sym_STAR] = ACTIONS(5657),
    [anon_sym_AMP_AMP] = ACTIONS(5657),
    [anon_sym_AMP] = ACTIONS(5655),
    [anon_sym___extension__] = ACTIONS(5655),
    [anon_sym_typedef] = ACTIONS(5655),
    [anon_sym_in] = ACTIONS(5655),
    [anon_sym_out] = ACTIONS(5655),
    [anon_sym_inout] = ACTIONS(5655),
    [anon_sym_extern] = ACTIONS(5655),
    [anon_sym___attribute__] = ACTIONS(5655),
    [anon_sym_COLON_COLON] = ACTIONS(5657),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5657),
    [anon_sym___declspec] = ACTIONS(5655),
    [anon_sym___based] = ACTIONS(5655),
    [anon_sym_signed] = ACTIONS(5655),
    [anon_sym_unsigned] = ACTIONS(5655),
    [anon_sym_long] = ACTIONS(5655),
    [anon_sym_short] = ACTIONS(5655),
    [anon_sym_LBRACK] = ACTIONS(5655),
    [anon_sym_static] = ACTIONS(5655),
    [anon_sym_register] = ACTIONS(5655),
    [anon_sym_inline] = ACTIONS(5655),
    [anon_sym___inline] = ACTIONS(5655),
    [anon_sym___inline__] = ACTIONS(5655),
    [anon_sym___forceinline] = ACTIONS(5655),
    [anon_sym_thread_local] = ACTIONS(5655),
    [anon_sym___thread] = ACTIONS(5655),
    [anon_sym_const] = ACTIONS(5655),
    [anon_sym_constexpr] = ACTIONS(5655),
    [anon_sym_volatile] = ACTIONS(5655),
    [anon_sym_restrict] = ACTIONS(5655),
    [anon_sym___restrict__] = ACTIONS(5655),
    [anon_sym__Atomic] = ACTIONS(5655),
    [anon_sym__Noreturn] = ACTIONS(5655),
    [anon_sym_noreturn] = ACTIONS(5655),
    [anon_sym_mutable] = ACTIONS(5655),
    [anon_sym_constinit] = ACTIONS(5655),
    [anon_sym_consteval] = ACTIONS(5655),
    [sym_primitive_type] = ACTIONS(5655),
    [anon_sym_enum] = ACTIONS(5655),
    [anon_sym_class] = ACTIONS(5655),
    [anon_sym_struct] = ACTIONS(5655),
    [anon_sym_union] = ACTIONS(5655),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5655),
    [anon_sym_decltype] = ACTIONS(5655),
    [anon_sym_virtual] = ACTIONS(5655),
    [anon_sym_alignas] = ACTIONS(5655),
    [anon_sym_explicit] = ACTIONS(5655),
    [anon_sym_typename] = ACTIONS(5655),
    [anon_sym_template] = ACTIONS(5655),
    [anon_sym_operator] = ACTIONS(5655),
    [anon_sym_friend] = ACTIONS(5655),
    [anon_sym_public] = ACTIONS(5655),
    [anon_sym_private] = ACTIONS(5655),
    [anon_sym_protected] = ACTIONS(5655),
    [anon_sym_using] = ACTIONS(5655),
    [anon_sym_static_assert] = ACTIONS(5655),
    [anon_sym_precise] = ACTIONS(5655),
    [anon_sym_shared] = ACTIONS(5655),
    [anon_sym_groupshared] = ACTIONS(5655),
    [anon_sym_uniform] = ACTIONS(5655),
    [anon_sym_row_major] = ACTIONS(5655),
    [anon_sym_column_major] = ACTIONS(5655),
    [anon_sym_globallycoherent] = ACTIONS(5655),
    [anon_sym_centroid] = ACTIONS(5655),
    [anon_sym_noperspective] = ACTIONS(5655),
    [anon_sym_nointerpolation] = ACTIONS(5655),
    [anon_sym_sample] = ACTIONS(5655),
    [anon_sym_linear] = ACTIONS(5655),
    [anon_sym_snorm] = ACTIONS(5655),
    [anon_sym_unorm] = ACTIONS(5655),
    [anon_sym_point] = ACTIONS(5655),
    [anon_sym_line] = ACTIONS(5655),
    [anon_sym_triangleadj] = ACTIONS(5655),
    [anon_sym_lineadj] = ACTIONS(5655),
    [anon_sym_triangle] = ACTIONS(5655),
  },
  [2710] = {
    [sym_identifier] = ACTIONS(2400),
    [aux_sym_preproc_def_token1] = ACTIONS(2400),
    [aux_sym_preproc_if_token1] = ACTIONS(2400),
    [aux_sym_preproc_if_token2] = ACTIONS(2400),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2400),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2400),
    [aux_sym_preproc_else_token1] = ACTIONS(2400),
    [aux_sym_preproc_elif_token1] = ACTIONS(2400),
    [sym_preproc_directive] = ACTIONS(2400),
    [anon_sym_LPAREN2] = ACTIONS(2402),
    [anon_sym_TILDE] = ACTIONS(2402),
    [anon_sym_STAR] = ACTIONS(2402),
    [anon_sym_AMP_AMP] = ACTIONS(2402),
    [anon_sym_AMP] = ACTIONS(2400),
    [anon_sym___extension__] = ACTIONS(2400),
    [anon_sym_typedef] = ACTIONS(2400),
    [anon_sym_in] = ACTIONS(2400),
    [anon_sym_out] = ACTIONS(2400),
    [anon_sym_inout] = ACTIONS(2400),
    [anon_sym_extern] = ACTIONS(2400),
    [anon_sym___attribute__] = ACTIONS(2400),
    [anon_sym_COLON_COLON] = ACTIONS(2402),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2402),
    [anon_sym___declspec] = ACTIONS(2400),
    [anon_sym___based] = ACTIONS(2400),
    [anon_sym_signed] = ACTIONS(2400),
    [anon_sym_unsigned] = ACTIONS(2400),
    [anon_sym_long] = ACTIONS(2400),
    [anon_sym_short] = ACTIONS(2400),
    [anon_sym_LBRACK] = ACTIONS(2400),
    [anon_sym_static] = ACTIONS(2400),
    [anon_sym_register] = ACTIONS(2400),
    [anon_sym_inline] = ACTIONS(2400),
    [anon_sym___inline] = ACTIONS(2400),
    [anon_sym___inline__] = ACTIONS(2400),
    [anon_sym___forceinline] = ACTIONS(2400),
    [anon_sym_thread_local] = ACTIONS(2400),
    [anon_sym___thread] = ACTIONS(2400),
    [anon_sym_const] = ACTIONS(2400),
    [anon_sym_constexpr] = ACTIONS(2400),
    [anon_sym_volatile] = ACTIONS(2400),
    [anon_sym_restrict] = ACTIONS(2400),
    [anon_sym___restrict__] = ACTIONS(2400),
    [anon_sym__Atomic] = ACTIONS(2400),
    [anon_sym__Noreturn] = ACTIONS(2400),
    [anon_sym_noreturn] = ACTIONS(2400),
    [anon_sym_mutable] = ACTIONS(2400),
    [anon_sym_constinit] = ACTIONS(2400),
    [anon_sym_consteval] = ACTIONS(2400),
    [sym_primitive_type] = ACTIONS(2400),
    [anon_sym_enum] = ACTIONS(2400),
    [anon_sym_class] = ACTIONS(2400),
    [anon_sym_struct] = ACTIONS(2400),
    [anon_sym_union] = ACTIONS(2400),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2400),
    [anon_sym_decltype] = ACTIONS(2400),
    [anon_sym_virtual] = ACTIONS(2400),
    [anon_sym_alignas] = ACTIONS(2400),
    [anon_sym_explicit] = ACTIONS(2400),
    [anon_sym_typename] = ACTIONS(2400),
    [anon_sym_template] = ACTIONS(2400),
    [anon_sym_operator] = ACTIONS(2400),
    [anon_sym_friend] = ACTIONS(2400),
    [anon_sym_public] = ACTIONS(2400),
    [anon_sym_private] = ACTIONS(2400),
    [anon_sym_protected] = ACTIONS(2400),
    [anon_sym_using] = ACTIONS(2400),
    [anon_sym_static_assert] = ACTIONS(2400),
    [anon_sym_precise] = ACTIONS(2400),
    [anon_sym_shared] = ACTIONS(2400),
    [anon_sym_groupshared] = ACTIONS(2400),
    [anon_sym_uniform] = ACTIONS(2400),
    [anon_sym_row_major] = ACTIONS(2400),
    [anon_sym_column_major] = ACTIONS(2400),
    [anon_sym_globallycoherent] = ACTIONS(2400),
    [anon_sym_centroid] = ACTIONS(2400),
    [anon_sym_noperspective] = ACTIONS(2400),
    [anon_sym_nointerpolation] = ACTIONS(2400),
    [anon_sym_sample] = ACTIONS(2400),
    [anon_sym_linear] = ACTIONS(2400),
    [anon_sym_snorm] = ACTIONS(2400),
    [anon_sym_unorm] = ACTIONS(2400),
    [anon_sym_point] = ACTIONS(2400),
    [anon_sym_line] = ACTIONS(2400),
    [anon_sym_triangleadj] = ACTIONS(2400),
    [anon_sym_lineadj] = ACTIONS(2400),
    [anon_sym_triangle] = ACTIONS(2400),
  },
  [2711] = {
    [sym_identifier] = ACTIONS(5683),
    [aux_sym_preproc_def_token1] = ACTIONS(5683),
    [aux_sym_preproc_if_token1] = ACTIONS(5683),
    [aux_sym_preproc_if_token2] = ACTIONS(5683),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5683),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5683),
    [aux_sym_preproc_else_token1] = ACTIONS(5683),
    [aux_sym_preproc_elif_token1] = ACTIONS(5683),
    [sym_preproc_directive] = ACTIONS(5683),
    [anon_sym_LPAREN2] = ACTIONS(5685),
    [anon_sym_TILDE] = ACTIONS(5685),
    [anon_sym_STAR] = ACTIONS(5685),
    [anon_sym_AMP_AMP] = ACTIONS(5685),
    [anon_sym_AMP] = ACTIONS(5683),
    [anon_sym___extension__] = ACTIONS(5683),
    [anon_sym_typedef] = ACTIONS(5683),
    [anon_sym_in] = ACTIONS(5683),
    [anon_sym_out] = ACTIONS(5683),
    [anon_sym_inout] = ACTIONS(5683),
    [anon_sym_extern] = ACTIONS(5683),
    [anon_sym___attribute__] = ACTIONS(5683),
    [anon_sym_COLON_COLON] = ACTIONS(5685),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5685),
    [anon_sym___declspec] = ACTIONS(5683),
    [anon_sym___based] = ACTIONS(5683),
    [anon_sym_signed] = ACTIONS(5683),
    [anon_sym_unsigned] = ACTIONS(5683),
    [anon_sym_long] = ACTIONS(5683),
    [anon_sym_short] = ACTIONS(5683),
    [anon_sym_LBRACK] = ACTIONS(5683),
    [anon_sym_static] = ACTIONS(5683),
    [anon_sym_register] = ACTIONS(5683),
    [anon_sym_inline] = ACTIONS(5683),
    [anon_sym___inline] = ACTIONS(5683),
    [anon_sym___inline__] = ACTIONS(5683),
    [anon_sym___forceinline] = ACTIONS(5683),
    [anon_sym_thread_local] = ACTIONS(5683),
    [anon_sym___thread] = ACTIONS(5683),
    [anon_sym_const] = ACTIONS(5683),
    [anon_sym_constexpr] = ACTIONS(5683),
    [anon_sym_volatile] = ACTIONS(5683),
    [anon_sym_restrict] = ACTIONS(5683),
    [anon_sym___restrict__] = ACTIONS(5683),
    [anon_sym__Atomic] = ACTIONS(5683),
    [anon_sym__Noreturn] = ACTIONS(5683),
    [anon_sym_noreturn] = ACTIONS(5683),
    [anon_sym_mutable] = ACTIONS(5683),
    [anon_sym_constinit] = ACTIONS(5683),
    [anon_sym_consteval] = ACTIONS(5683),
    [sym_primitive_type] = ACTIONS(5683),
    [anon_sym_enum] = ACTIONS(5683),
    [anon_sym_class] = ACTIONS(5683),
    [anon_sym_struct] = ACTIONS(5683),
    [anon_sym_union] = ACTIONS(5683),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5683),
    [anon_sym_decltype] = ACTIONS(5683),
    [anon_sym_virtual] = ACTIONS(5683),
    [anon_sym_alignas] = ACTIONS(5683),
    [anon_sym_explicit] = ACTIONS(5683),
    [anon_sym_typename] = ACTIONS(5683),
    [anon_sym_template] = ACTIONS(5683),
    [anon_sym_operator] = ACTIONS(5683),
    [anon_sym_friend] = ACTIONS(5683),
    [anon_sym_public] = ACTIONS(5683),
    [anon_sym_private] = ACTIONS(5683),
    [anon_sym_protected] = ACTIONS(5683),
    [anon_sym_using] = ACTIONS(5683),
    [anon_sym_static_assert] = ACTIONS(5683),
    [anon_sym_precise] = ACTIONS(5683),
    [anon_sym_shared] = ACTIONS(5683),
    [anon_sym_groupshared] = ACTIONS(5683),
    [anon_sym_uniform] = ACTIONS(5683),
    [anon_sym_row_major] = ACTIONS(5683),
    [anon_sym_column_major] = ACTIONS(5683),
    [anon_sym_globallycoherent] = ACTIONS(5683),
    [anon_sym_centroid] = ACTIONS(5683),
    [anon_sym_noperspective] = ACTIONS(5683),
    [anon_sym_nointerpolation] = ACTIONS(5683),
    [anon_sym_sample] = ACTIONS(5683),
    [anon_sym_linear] = ACTIONS(5683),
    [anon_sym_snorm] = ACTIONS(5683),
    [anon_sym_unorm] = ACTIONS(5683),
    [anon_sym_point] = ACTIONS(5683),
    [anon_sym_line] = ACTIONS(5683),
    [anon_sym_triangleadj] = ACTIONS(5683),
    [anon_sym_lineadj] = ACTIONS(5683),
    [anon_sym_triangle] = ACTIONS(5683),
  },
  [2712] = {
    [sym_identifier] = ACTIONS(5655),
    [aux_sym_preproc_def_token1] = ACTIONS(5655),
    [aux_sym_preproc_if_token1] = ACTIONS(5655),
    [aux_sym_preproc_if_token2] = ACTIONS(5655),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5655),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5655),
    [aux_sym_preproc_else_token1] = ACTIONS(5655),
    [aux_sym_preproc_elif_token1] = ACTIONS(5655),
    [sym_preproc_directive] = ACTIONS(5655),
    [anon_sym_LPAREN2] = ACTIONS(5657),
    [anon_sym_TILDE] = ACTIONS(5657),
    [anon_sym_STAR] = ACTIONS(5657),
    [anon_sym_AMP_AMP] = ACTIONS(5657),
    [anon_sym_AMP] = ACTIONS(5655),
    [anon_sym___extension__] = ACTIONS(5655),
    [anon_sym_typedef] = ACTIONS(5655),
    [anon_sym_in] = ACTIONS(5655),
    [anon_sym_out] = ACTIONS(5655),
    [anon_sym_inout] = ACTIONS(5655),
    [anon_sym_extern] = ACTIONS(5655),
    [anon_sym___attribute__] = ACTIONS(5655),
    [anon_sym_COLON_COLON] = ACTIONS(5657),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5657),
    [anon_sym___declspec] = ACTIONS(5655),
    [anon_sym___based] = ACTIONS(5655),
    [anon_sym_signed] = ACTIONS(5655),
    [anon_sym_unsigned] = ACTIONS(5655),
    [anon_sym_long] = ACTIONS(5655),
    [anon_sym_short] = ACTIONS(5655),
    [anon_sym_LBRACK] = ACTIONS(5655),
    [anon_sym_static] = ACTIONS(5655),
    [anon_sym_register] = ACTIONS(5655),
    [anon_sym_inline] = ACTIONS(5655),
    [anon_sym___inline] = ACTIONS(5655),
    [anon_sym___inline__] = ACTIONS(5655),
    [anon_sym___forceinline] = ACTIONS(5655),
    [anon_sym_thread_local] = ACTIONS(5655),
    [anon_sym___thread] = ACTIONS(5655),
    [anon_sym_const] = ACTIONS(5655),
    [anon_sym_constexpr] = ACTIONS(5655),
    [anon_sym_volatile] = ACTIONS(5655),
    [anon_sym_restrict] = ACTIONS(5655),
    [anon_sym___restrict__] = ACTIONS(5655),
    [anon_sym__Atomic] = ACTIONS(5655),
    [anon_sym__Noreturn] = ACTIONS(5655),
    [anon_sym_noreturn] = ACTIONS(5655),
    [anon_sym_mutable] = ACTIONS(5655),
    [anon_sym_constinit] = ACTIONS(5655),
    [anon_sym_consteval] = ACTIONS(5655),
    [sym_primitive_type] = ACTIONS(5655),
    [anon_sym_enum] = ACTIONS(5655),
    [anon_sym_class] = ACTIONS(5655),
    [anon_sym_struct] = ACTIONS(5655),
    [anon_sym_union] = ACTIONS(5655),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5655),
    [anon_sym_decltype] = ACTIONS(5655),
    [anon_sym_virtual] = ACTIONS(5655),
    [anon_sym_alignas] = ACTIONS(5655),
    [anon_sym_explicit] = ACTIONS(5655),
    [anon_sym_typename] = ACTIONS(5655),
    [anon_sym_template] = ACTIONS(5655),
    [anon_sym_operator] = ACTIONS(5655),
    [anon_sym_friend] = ACTIONS(5655),
    [anon_sym_public] = ACTIONS(5655),
    [anon_sym_private] = ACTIONS(5655),
    [anon_sym_protected] = ACTIONS(5655),
    [anon_sym_using] = ACTIONS(5655),
    [anon_sym_static_assert] = ACTIONS(5655),
    [anon_sym_precise] = ACTIONS(5655),
    [anon_sym_shared] = ACTIONS(5655),
    [anon_sym_groupshared] = ACTIONS(5655),
    [anon_sym_uniform] = ACTIONS(5655),
    [anon_sym_row_major] = ACTIONS(5655),
    [anon_sym_column_major] = ACTIONS(5655),
    [anon_sym_globallycoherent] = ACTIONS(5655),
    [anon_sym_centroid] = ACTIONS(5655),
    [anon_sym_noperspective] = ACTIONS(5655),
    [anon_sym_nointerpolation] = ACTIONS(5655),
    [anon_sym_sample] = ACTIONS(5655),
    [anon_sym_linear] = ACTIONS(5655),
    [anon_sym_snorm] = ACTIONS(5655),
    [anon_sym_unorm] = ACTIONS(5655),
    [anon_sym_point] = ACTIONS(5655),
    [anon_sym_line] = ACTIONS(5655),
    [anon_sym_triangleadj] = ACTIONS(5655),
    [anon_sym_lineadj] = ACTIONS(5655),
    [anon_sym_triangle] = ACTIONS(5655),
  },
  [2713] = {
    [sym_identifier] = ACTIONS(2805),
    [aux_sym_preproc_def_token1] = ACTIONS(2805),
    [aux_sym_preproc_if_token1] = ACTIONS(2805),
    [aux_sym_preproc_if_token2] = ACTIONS(2805),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2805),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2805),
    [aux_sym_preproc_else_token1] = ACTIONS(2805),
    [aux_sym_preproc_elif_token1] = ACTIONS(2805),
    [sym_preproc_directive] = ACTIONS(2805),
    [anon_sym_LPAREN2] = ACTIONS(2807),
    [anon_sym_TILDE] = ACTIONS(2807),
    [anon_sym_STAR] = ACTIONS(2807),
    [anon_sym_AMP_AMP] = ACTIONS(2807),
    [anon_sym_AMP] = ACTIONS(2805),
    [anon_sym___extension__] = ACTIONS(2805),
    [anon_sym_typedef] = ACTIONS(2805),
    [anon_sym_in] = ACTIONS(2805),
    [anon_sym_out] = ACTIONS(2805),
    [anon_sym_inout] = ACTIONS(2805),
    [anon_sym_extern] = ACTIONS(2805),
    [anon_sym___attribute__] = ACTIONS(2805),
    [anon_sym_COLON_COLON] = ACTIONS(2807),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2807),
    [anon_sym___declspec] = ACTIONS(2805),
    [anon_sym___based] = ACTIONS(2805),
    [anon_sym_signed] = ACTIONS(2805),
    [anon_sym_unsigned] = ACTIONS(2805),
    [anon_sym_long] = ACTIONS(2805),
    [anon_sym_short] = ACTIONS(2805),
    [anon_sym_LBRACK] = ACTIONS(2805),
    [anon_sym_static] = ACTIONS(2805),
    [anon_sym_register] = ACTIONS(2805),
    [anon_sym_inline] = ACTIONS(2805),
    [anon_sym___inline] = ACTIONS(2805),
    [anon_sym___inline__] = ACTIONS(2805),
    [anon_sym___forceinline] = ACTIONS(2805),
    [anon_sym_thread_local] = ACTIONS(2805),
    [anon_sym___thread] = ACTIONS(2805),
    [anon_sym_const] = ACTIONS(2805),
    [anon_sym_constexpr] = ACTIONS(2805),
    [anon_sym_volatile] = ACTIONS(2805),
    [anon_sym_restrict] = ACTIONS(2805),
    [anon_sym___restrict__] = ACTIONS(2805),
    [anon_sym__Atomic] = ACTIONS(2805),
    [anon_sym__Noreturn] = ACTIONS(2805),
    [anon_sym_noreturn] = ACTIONS(2805),
    [anon_sym_mutable] = ACTIONS(2805),
    [anon_sym_constinit] = ACTIONS(2805),
    [anon_sym_consteval] = ACTIONS(2805),
    [sym_primitive_type] = ACTIONS(2805),
    [anon_sym_enum] = ACTIONS(2805),
    [anon_sym_class] = ACTIONS(2805),
    [anon_sym_struct] = ACTIONS(2805),
    [anon_sym_union] = ACTIONS(2805),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2805),
    [anon_sym_decltype] = ACTIONS(2805),
    [anon_sym_virtual] = ACTIONS(2805),
    [anon_sym_alignas] = ACTIONS(2805),
    [anon_sym_explicit] = ACTIONS(2805),
    [anon_sym_typename] = ACTIONS(2805),
    [anon_sym_template] = ACTIONS(2805),
    [anon_sym_operator] = ACTIONS(2805),
    [anon_sym_friend] = ACTIONS(2805),
    [anon_sym_public] = ACTIONS(2805),
    [anon_sym_private] = ACTIONS(2805),
    [anon_sym_protected] = ACTIONS(2805),
    [anon_sym_using] = ACTIONS(2805),
    [anon_sym_static_assert] = ACTIONS(2805),
    [anon_sym_precise] = ACTIONS(2805),
    [anon_sym_shared] = ACTIONS(2805),
    [anon_sym_groupshared] = ACTIONS(2805),
    [anon_sym_uniform] = ACTIONS(2805),
    [anon_sym_row_major] = ACTIONS(2805),
    [anon_sym_column_major] = ACTIONS(2805),
    [anon_sym_globallycoherent] = ACTIONS(2805),
    [anon_sym_centroid] = ACTIONS(2805),
    [anon_sym_noperspective] = ACTIONS(2805),
    [anon_sym_nointerpolation] = ACTIONS(2805),
    [anon_sym_sample] = ACTIONS(2805),
    [anon_sym_linear] = ACTIONS(2805),
    [anon_sym_snorm] = ACTIONS(2805),
    [anon_sym_unorm] = ACTIONS(2805),
    [anon_sym_point] = ACTIONS(2805),
    [anon_sym_line] = ACTIONS(2805),
    [anon_sym_triangleadj] = ACTIONS(2805),
    [anon_sym_lineadj] = ACTIONS(2805),
    [anon_sym_triangle] = ACTIONS(2805),
  },
  [2714] = {
    [sym_identifier] = ACTIONS(2629),
    [aux_sym_preproc_def_token1] = ACTIONS(2629),
    [aux_sym_preproc_if_token1] = ACTIONS(2629),
    [aux_sym_preproc_if_token2] = ACTIONS(2629),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2629),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2629),
    [aux_sym_preproc_else_token1] = ACTIONS(2629),
    [aux_sym_preproc_elif_token1] = ACTIONS(2629),
    [sym_preproc_directive] = ACTIONS(2629),
    [anon_sym_LPAREN2] = ACTIONS(2631),
    [anon_sym_TILDE] = ACTIONS(2631),
    [anon_sym_STAR] = ACTIONS(2631),
    [anon_sym_AMP_AMP] = ACTIONS(2631),
    [anon_sym_AMP] = ACTIONS(2629),
    [anon_sym___extension__] = ACTIONS(2629),
    [anon_sym_typedef] = ACTIONS(2629),
    [anon_sym_in] = ACTIONS(2629),
    [anon_sym_out] = ACTIONS(2629),
    [anon_sym_inout] = ACTIONS(2629),
    [anon_sym_extern] = ACTIONS(2629),
    [anon_sym___attribute__] = ACTIONS(2629),
    [anon_sym_COLON_COLON] = ACTIONS(2631),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2631),
    [anon_sym___declspec] = ACTIONS(2629),
    [anon_sym___based] = ACTIONS(2629),
    [anon_sym_signed] = ACTIONS(2629),
    [anon_sym_unsigned] = ACTIONS(2629),
    [anon_sym_long] = ACTIONS(2629),
    [anon_sym_short] = ACTIONS(2629),
    [anon_sym_LBRACK] = ACTIONS(2629),
    [anon_sym_static] = ACTIONS(2629),
    [anon_sym_register] = ACTIONS(2629),
    [anon_sym_inline] = ACTIONS(2629),
    [anon_sym___inline] = ACTIONS(2629),
    [anon_sym___inline__] = ACTIONS(2629),
    [anon_sym___forceinline] = ACTIONS(2629),
    [anon_sym_thread_local] = ACTIONS(2629),
    [anon_sym___thread] = ACTIONS(2629),
    [anon_sym_const] = ACTIONS(2629),
    [anon_sym_constexpr] = ACTIONS(2629),
    [anon_sym_volatile] = ACTIONS(2629),
    [anon_sym_restrict] = ACTIONS(2629),
    [anon_sym___restrict__] = ACTIONS(2629),
    [anon_sym__Atomic] = ACTIONS(2629),
    [anon_sym__Noreturn] = ACTIONS(2629),
    [anon_sym_noreturn] = ACTIONS(2629),
    [anon_sym_mutable] = ACTIONS(2629),
    [anon_sym_constinit] = ACTIONS(2629),
    [anon_sym_consteval] = ACTIONS(2629),
    [sym_primitive_type] = ACTIONS(2629),
    [anon_sym_enum] = ACTIONS(2629),
    [anon_sym_class] = ACTIONS(2629),
    [anon_sym_struct] = ACTIONS(2629),
    [anon_sym_union] = ACTIONS(2629),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2629),
    [anon_sym_decltype] = ACTIONS(2629),
    [anon_sym_virtual] = ACTIONS(2629),
    [anon_sym_alignas] = ACTIONS(2629),
    [anon_sym_explicit] = ACTIONS(2629),
    [anon_sym_typename] = ACTIONS(2629),
    [anon_sym_template] = ACTIONS(2629),
    [anon_sym_operator] = ACTIONS(2629),
    [anon_sym_friend] = ACTIONS(2629),
    [anon_sym_public] = ACTIONS(2629),
    [anon_sym_private] = ACTIONS(2629),
    [anon_sym_protected] = ACTIONS(2629),
    [anon_sym_using] = ACTIONS(2629),
    [anon_sym_static_assert] = ACTIONS(2629),
    [anon_sym_precise] = ACTIONS(2629),
    [anon_sym_shared] = ACTIONS(2629),
    [anon_sym_groupshared] = ACTIONS(2629),
    [anon_sym_uniform] = ACTIONS(2629),
    [anon_sym_row_major] = ACTIONS(2629),
    [anon_sym_column_major] = ACTIONS(2629),
    [anon_sym_globallycoherent] = ACTIONS(2629),
    [anon_sym_centroid] = ACTIONS(2629),
    [anon_sym_noperspective] = ACTIONS(2629),
    [anon_sym_nointerpolation] = ACTIONS(2629),
    [anon_sym_sample] = ACTIONS(2629),
    [anon_sym_linear] = ACTIONS(2629),
    [anon_sym_snorm] = ACTIONS(2629),
    [anon_sym_unorm] = ACTIONS(2629),
    [anon_sym_point] = ACTIONS(2629),
    [anon_sym_line] = ACTIONS(2629),
    [anon_sym_triangleadj] = ACTIONS(2629),
    [anon_sym_lineadj] = ACTIONS(2629),
    [anon_sym_triangle] = ACTIONS(2629),
  },
  [2715] = {
    [sym_identifier] = ACTIONS(5703),
    [aux_sym_preproc_def_token1] = ACTIONS(5703),
    [aux_sym_preproc_if_token1] = ACTIONS(5703),
    [aux_sym_preproc_if_token2] = ACTIONS(5703),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5703),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5703),
    [aux_sym_preproc_else_token1] = ACTIONS(5703),
    [aux_sym_preproc_elif_token1] = ACTIONS(5703),
    [sym_preproc_directive] = ACTIONS(5703),
    [anon_sym_LPAREN2] = ACTIONS(5705),
    [anon_sym_TILDE] = ACTIONS(5705),
    [anon_sym_STAR] = ACTIONS(5705),
    [anon_sym_AMP_AMP] = ACTIONS(5705),
    [anon_sym_AMP] = ACTIONS(5703),
    [anon_sym___extension__] = ACTIONS(5703),
    [anon_sym_typedef] = ACTIONS(5703),
    [anon_sym_in] = ACTIONS(5703),
    [anon_sym_out] = ACTIONS(5703),
    [anon_sym_inout] = ACTIONS(5703),
    [anon_sym_extern] = ACTIONS(5703),
    [anon_sym___attribute__] = ACTIONS(5703),
    [anon_sym_COLON_COLON] = ACTIONS(5705),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5705),
    [anon_sym___declspec] = ACTIONS(5703),
    [anon_sym___based] = ACTIONS(5703),
    [anon_sym_signed] = ACTIONS(5703),
    [anon_sym_unsigned] = ACTIONS(5703),
    [anon_sym_long] = ACTIONS(5703),
    [anon_sym_short] = ACTIONS(5703),
    [anon_sym_LBRACK] = ACTIONS(5703),
    [anon_sym_static] = ACTIONS(5703),
    [anon_sym_register] = ACTIONS(5703),
    [anon_sym_inline] = ACTIONS(5703),
    [anon_sym___inline] = ACTIONS(5703),
    [anon_sym___inline__] = ACTIONS(5703),
    [anon_sym___forceinline] = ACTIONS(5703),
    [anon_sym_thread_local] = ACTIONS(5703),
    [anon_sym___thread] = ACTIONS(5703),
    [anon_sym_const] = ACTIONS(5703),
    [anon_sym_constexpr] = ACTIONS(5703),
    [anon_sym_volatile] = ACTIONS(5703),
    [anon_sym_restrict] = ACTIONS(5703),
    [anon_sym___restrict__] = ACTIONS(5703),
    [anon_sym__Atomic] = ACTIONS(5703),
    [anon_sym__Noreturn] = ACTIONS(5703),
    [anon_sym_noreturn] = ACTIONS(5703),
    [anon_sym_mutable] = ACTIONS(5703),
    [anon_sym_constinit] = ACTIONS(5703),
    [anon_sym_consteval] = ACTIONS(5703),
    [sym_primitive_type] = ACTIONS(5703),
    [anon_sym_enum] = ACTIONS(5703),
    [anon_sym_class] = ACTIONS(5703),
    [anon_sym_struct] = ACTIONS(5703),
    [anon_sym_union] = ACTIONS(5703),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5703),
    [anon_sym_decltype] = ACTIONS(5703),
    [anon_sym_virtual] = ACTIONS(5703),
    [anon_sym_alignas] = ACTIONS(5703),
    [anon_sym_explicit] = ACTIONS(5703),
    [anon_sym_typename] = ACTIONS(5703),
    [anon_sym_template] = ACTIONS(5703),
    [anon_sym_operator] = ACTIONS(5703),
    [anon_sym_friend] = ACTIONS(5703),
    [anon_sym_public] = ACTIONS(5703),
    [anon_sym_private] = ACTIONS(5703),
    [anon_sym_protected] = ACTIONS(5703),
    [anon_sym_using] = ACTIONS(5703),
    [anon_sym_static_assert] = ACTIONS(5703),
    [anon_sym_precise] = ACTIONS(5703),
    [anon_sym_shared] = ACTIONS(5703),
    [anon_sym_groupshared] = ACTIONS(5703),
    [anon_sym_uniform] = ACTIONS(5703),
    [anon_sym_row_major] = ACTIONS(5703),
    [anon_sym_column_major] = ACTIONS(5703),
    [anon_sym_globallycoherent] = ACTIONS(5703),
    [anon_sym_centroid] = ACTIONS(5703),
    [anon_sym_noperspective] = ACTIONS(5703),
    [anon_sym_nointerpolation] = ACTIONS(5703),
    [anon_sym_sample] = ACTIONS(5703),
    [anon_sym_linear] = ACTIONS(5703),
    [anon_sym_snorm] = ACTIONS(5703),
    [anon_sym_unorm] = ACTIONS(5703),
    [anon_sym_point] = ACTIONS(5703),
    [anon_sym_line] = ACTIONS(5703),
    [anon_sym_triangleadj] = ACTIONS(5703),
    [anon_sym_lineadj] = ACTIONS(5703),
    [anon_sym_triangle] = ACTIONS(5703),
  },
  [2716] = {
    [sym_identifier] = ACTIONS(5683),
    [aux_sym_preproc_def_token1] = ACTIONS(5683),
    [aux_sym_preproc_if_token1] = ACTIONS(5683),
    [aux_sym_preproc_if_token2] = ACTIONS(5683),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5683),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5683),
    [aux_sym_preproc_else_token1] = ACTIONS(5683),
    [aux_sym_preproc_elif_token1] = ACTIONS(5683),
    [sym_preproc_directive] = ACTIONS(5683),
    [anon_sym_LPAREN2] = ACTIONS(5685),
    [anon_sym_TILDE] = ACTIONS(5685),
    [anon_sym_STAR] = ACTIONS(5685),
    [anon_sym_AMP_AMP] = ACTIONS(5685),
    [anon_sym_AMP] = ACTIONS(5683),
    [anon_sym___extension__] = ACTIONS(5683),
    [anon_sym_typedef] = ACTIONS(5683),
    [anon_sym_in] = ACTIONS(5683),
    [anon_sym_out] = ACTIONS(5683),
    [anon_sym_inout] = ACTIONS(5683),
    [anon_sym_extern] = ACTIONS(5683),
    [anon_sym___attribute__] = ACTIONS(5683),
    [anon_sym_COLON_COLON] = ACTIONS(5685),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5685),
    [anon_sym___declspec] = ACTIONS(5683),
    [anon_sym___based] = ACTIONS(5683),
    [anon_sym_signed] = ACTIONS(5683),
    [anon_sym_unsigned] = ACTIONS(5683),
    [anon_sym_long] = ACTIONS(5683),
    [anon_sym_short] = ACTIONS(5683),
    [anon_sym_LBRACK] = ACTIONS(5683),
    [anon_sym_static] = ACTIONS(5683),
    [anon_sym_register] = ACTIONS(5683),
    [anon_sym_inline] = ACTIONS(5683),
    [anon_sym___inline] = ACTIONS(5683),
    [anon_sym___inline__] = ACTIONS(5683),
    [anon_sym___forceinline] = ACTIONS(5683),
    [anon_sym_thread_local] = ACTIONS(5683),
    [anon_sym___thread] = ACTIONS(5683),
    [anon_sym_const] = ACTIONS(5683),
    [anon_sym_constexpr] = ACTIONS(5683),
    [anon_sym_volatile] = ACTIONS(5683),
    [anon_sym_restrict] = ACTIONS(5683),
    [anon_sym___restrict__] = ACTIONS(5683),
    [anon_sym__Atomic] = ACTIONS(5683),
    [anon_sym__Noreturn] = ACTIONS(5683),
    [anon_sym_noreturn] = ACTIONS(5683),
    [anon_sym_mutable] = ACTIONS(5683),
    [anon_sym_constinit] = ACTIONS(5683),
    [anon_sym_consteval] = ACTIONS(5683),
    [sym_primitive_type] = ACTIONS(5683),
    [anon_sym_enum] = ACTIONS(5683),
    [anon_sym_class] = ACTIONS(5683),
    [anon_sym_struct] = ACTIONS(5683),
    [anon_sym_union] = ACTIONS(5683),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5683),
    [anon_sym_decltype] = ACTIONS(5683),
    [anon_sym_virtual] = ACTIONS(5683),
    [anon_sym_alignas] = ACTIONS(5683),
    [anon_sym_explicit] = ACTIONS(5683),
    [anon_sym_typename] = ACTIONS(5683),
    [anon_sym_template] = ACTIONS(5683),
    [anon_sym_operator] = ACTIONS(5683),
    [anon_sym_friend] = ACTIONS(5683),
    [anon_sym_public] = ACTIONS(5683),
    [anon_sym_private] = ACTIONS(5683),
    [anon_sym_protected] = ACTIONS(5683),
    [anon_sym_using] = ACTIONS(5683),
    [anon_sym_static_assert] = ACTIONS(5683),
    [anon_sym_precise] = ACTIONS(5683),
    [anon_sym_shared] = ACTIONS(5683),
    [anon_sym_groupshared] = ACTIONS(5683),
    [anon_sym_uniform] = ACTIONS(5683),
    [anon_sym_row_major] = ACTIONS(5683),
    [anon_sym_column_major] = ACTIONS(5683),
    [anon_sym_globallycoherent] = ACTIONS(5683),
    [anon_sym_centroid] = ACTIONS(5683),
    [anon_sym_noperspective] = ACTIONS(5683),
    [anon_sym_nointerpolation] = ACTIONS(5683),
    [anon_sym_sample] = ACTIONS(5683),
    [anon_sym_linear] = ACTIONS(5683),
    [anon_sym_snorm] = ACTIONS(5683),
    [anon_sym_unorm] = ACTIONS(5683),
    [anon_sym_point] = ACTIONS(5683),
    [anon_sym_line] = ACTIONS(5683),
    [anon_sym_triangleadj] = ACTIONS(5683),
    [anon_sym_lineadj] = ACTIONS(5683),
    [anon_sym_triangle] = ACTIONS(5683),
  },
  [2717] = {
    [sym_identifier] = ACTIONS(5687),
    [aux_sym_preproc_def_token1] = ACTIONS(5687),
    [aux_sym_preproc_if_token1] = ACTIONS(5687),
    [aux_sym_preproc_if_token2] = ACTIONS(5687),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5687),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5687),
    [aux_sym_preproc_else_token1] = ACTIONS(5687),
    [aux_sym_preproc_elif_token1] = ACTIONS(5687),
    [sym_preproc_directive] = ACTIONS(5687),
    [anon_sym_LPAREN2] = ACTIONS(5689),
    [anon_sym_TILDE] = ACTIONS(5689),
    [anon_sym_STAR] = ACTIONS(5689),
    [anon_sym_AMP_AMP] = ACTIONS(5689),
    [anon_sym_AMP] = ACTIONS(5687),
    [anon_sym___extension__] = ACTIONS(5687),
    [anon_sym_typedef] = ACTIONS(5687),
    [anon_sym_in] = ACTIONS(5687),
    [anon_sym_out] = ACTIONS(5687),
    [anon_sym_inout] = ACTIONS(5687),
    [anon_sym_extern] = ACTIONS(5687),
    [anon_sym___attribute__] = ACTIONS(5687),
    [anon_sym_COLON_COLON] = ACTIONS(5689),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5689),
    [anon_sym___declspec] = ACTIONS(5687),
    [anon_sym___based] = ACTIONS(5687),
    [anon_sym_signed] = ACTIONS(5687),
    [anon_sym_unsigned] = ACTIONS(5687),
    [anon_sym_long] = ACTIONS(5687),
    [anon_sym_short] = ACTIONS(5687),
    [anon_sym_LBRACK] = ACTIONS(5687),
    [anon_sym_static] = ACTIONS(5687),
    [anon_sym_register] = ACTIONS(5687),
    [anon_sym_inline] = ACTIONS(5687),
    [anon_sym___inline] = ACTIONS(5687),
    [anon_sym___inline__] = ACTIONS(5687),
    [anon_sym___forceinline] = ACTIONS(5687),
    [anon_sym_thread_local] = ACTIONS(5687),
    [anon_sym___thread] = ACTIONS(5687),
    [anon_sym_const] = ACTIONS(5687),
    [anon_sym_constexpr] = ACTIONS(5687),
    [anon_sym_volatile] = ACTIONS(5687),
    [anon_sym_restrict] = ACTIONS(5687),
    [anon_sym___restrict__] = ACTIONS(5687),
    [anon_sym__Atomic] = ACTIONS(5687),
    [anon_sym__Noreturn] = ACTIONS(5687),
    [anon_sym_noreturn] = ACTIONS(5687),
    [anon_sym_mutable] = ACTIONS(5687),
    [anon_sym_constinit] = ACTIONS(5687),
    [anon_sym_consteval] = ACTIONS(5687),
    [sym_primitive_type] = ACTIONS(5687),
    [anon_sym_enum] = ACTIONS(5687),
    [anon_sym_class] = ACTIONS(5687),
    [anon_sym_struct] = ACTIONS(5687),
    [anon_sym_union] = ACTIONS(5687),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5687),
    [anon_sym_decltype] = ACTIONS(5687),
    [anon_sym_virtual] = ACTIONS(5687),
    [anon_sym_alignas] = ACTIONS(5687),
    [anon_sym_explicit] = ACTIONS(5687),
    [anon_sym_typename] = ACTIONS(5687),
    [anon_sym_template] = ACTIONS(5687),
    [anon_sym_operator] = ACTIONS(5687),
    [anon_sym_friend] = ACTIONS(5687),
    [anon_sym_public] = ACTIONS(5687),
    [anon_sym_private] = ACTIONS(5687),
    [anon_sym_protected] = ACTIONS(5687),
    [anon_sym_using] = ACTIONS(5687),
    [anon_sym_static_assert] = ACTIONS(5687),
    [anon_sym_precise] = ACTIONS(5687),
    [anon_sym_shared] = ACTIONS(5687),
    [anon_sym_groupshared] = ACTIONS(5687),
    [anon_sym_uniform] = ACTIONS(5687),
    [anon_sym_row_major] = ACTIONS(5687),
    [anon_sym_column_major] = ACTIONS(5687),
    [anon_sym_globallycoherent] = ACTIONS(5687),
    [anon_sym_centroid] = ACTIONS(5687),
    [anon_sym_noperspective] = ACTIONS(5687),
    [anon_sym_nointerpolation] = ACTIONS(5687),
    [anon_sym_sample] = ACTIONS(5687),
    [anon_sym_linear] = ACTIONS(5687),
    [anon_sym_snorm] = ACTIONS(5687),
    [anon_sym_unorm] = ACTIONS(5687),
    [anon_sym_point] = ACTIONS(5687),
    [anon_sym_line] = ACTIONS(5687),
    [anon_sym_triangleadj] = ACTIONS(5687),
    [anon_sym_lineadj] = ACTIONS(5687),
    [anon_sym_triangle] = ACTIONS(5687),
  },
  [2718] = {
    [sym_identifier] = ACTIONS(2432),
    [aux_sym_preproc_def_token1] = ACTIONS(2432),
    [aux_sym_preproc_if_token1] = ACTIONS(2432),
    [aux_sym_preproc_if_token2] = ACTIONS(2432),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2432),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2432),
    [aux_sym_preproc_else_token1] = ACTIONS(2432),
    [aux_sym_preproc_elif_token1] = ACTIONS(2432),
    [sym_preproc_directive] = ACTIONS(2432),
    [anon_sym_LPAREN2] = ACTIONS(2434),
    [anon_sym_TILDE] = ACTIONS(2434),
    [anon_sym_STAR] = ACTIONS(2434),
    [anon_sym_AMP_AMP] = ACTIONS(2434),
    [anon_sym_AMP] = ACTIONS(2432),
    [anon_sym___extension__] = ACTIONS(2432),
    [anon_sym_typedef] = ACTIONS(2432),
    [anon_sym_in] = ACTIONS(2432),
    [anon_sym_out] = ACTIONS(2432),
    [anon_sym_inout] = ACTIONS(2432),
    [anon_sym_extern] = ACTIONS(2432),
    [anon_sym___attribute__] = ACTIONS(2432),
    [anon_sym_COLON_COLON] = ACTIONS(2434),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2434),
    [anon_sym___declspec] = ACTIONS(2432),
    [anon_sym___based] = ACTIONS(2432),
    [anon_sym_signed] = ACTIONS(2432),
    [anon_sym_unsigned] = ACTIONS(2432),
    [anon_sym_long] = ACTIONS(2432),
    [anon_sym_short] = ACTIONS(2432),
    [anon_sym_LBRACK] = ACTIONS(2432),
    [anon_sym_static] = ACTIONS(2432),
    [anon_sym_register] = ACTIONS(2432),
    [anon_sym_inline] = ACTIONS(2432),
    [anon_sym___inline] = ACTIONS(2432),
    [anon_sym___inline__] = ACTIONS(2432),
    [anon_sym___forceinline] = ACTIONS(2432),
    [anon_sym_thread_local] = ACTIONS(2432),
    [anon_sym___thread] = ACTIONS(2432),
    [anon_sym_const] = ACTIONS(2432),
    [anon_sym_constexpr] = ACTIONS(2432),
    [anon_sym_volatile] = ACTIONS(2432),
    [anon_sym_restrict] = ACTIONS(2432),
    [anon_sym___restrict__] = ACTIONS(2432),
    [anon_sym__Atomic] = ACTIONS(2432),
    [anon_sym__Noreturn] = ACTIONS(2432),
    [anon_sym_noreturn] = ACTIONS(2432),
    [anon_sym_mutable] = ACTIONS(2432),
    [anon_sym_constinit] = ACTIONS(2432),
    [anon_sym_consteval] = ACTIONS(2432),
    [sym_primitive_type] = ACTIONS(2432),
    [anon_sym_enum] = ACTIONS(2432),
    [anon_sym_class] = ACTIONS(2432),
    [anon_sym_struct] = ACTIONS(2432),
    [anon_sym_union] = ACTIONS(2432),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2432),
    [anon_sym_decltype] = ACTIONS(2432),
    [anon_sym_virtual] = ACTIONS(2432),
    [anon_sym_alignas] = ACTIONS(2432),
    [anon_sym_explicit] = ACTIONS(2432),
    [anon_sym_typename] = ACTIONS(2432),
    [anon_sym_template] = ACTIONS(2432),
    [anon_sym_operator] = ACTIONS(2432),
    [anon_sym_friend] = ACTIONS(2432),
    [anon_sym_public] = ACTIONS(2432),
    [anon_sym_private] = ACTIONS(2432),
    [anon_sym_protected] = ACTIONS(2432),
    [anon_sym_using] = ACTIONS(2432),
    [anon_sym_static_assert] = ACTIONS(2432),
    [anon_sym_precise] = ACTIONS(2432),
    [anon_sym_shared] = ACTIONS(2432),
    [anon_sym_groupshared] = ACTIONS(2432),
    [anon_sym_uniform] = ACTIONS(2432),
    [anon_sym_row_major] = ACTIONS(2432),
    [anon_sym_column_major] = ACTIONS(2432),
    [anon_sym_globallycoherent] = ACTIONS(2432),
    [anon_sym_centroid] = ACTIONS(2432),
    [anon_sym_noperspective] = ACTIONS(2432),
    [anon_sym_nointerpolation] = ACTIONS(2432),
    [anon_sym_sample] = ACTIONS(2432),
    [anon_sym_linear] = ACTIONS(2432),
    [anon_sym_snorm] = ACTIONS(2432),
    [anon_sym_unorm] = ACTIONS(2432),
    [anon_sym_point] = ACTIONS(2432),
    [anon_sym_line] = ACTIONS(2432),
    [anon_sym_triangleadj] = ACTIONS(2432),
    [anon_sym_lineadj] = ACTIONS(2432),
    [anon_sym_triangle] = ACTIONS(2432),
  },
  [2719] = {
    [sym_identifier] = ACTIONS(2797),
    [aux_sym_preproc_def_token1] = ACTIONS(2797),
    [aux_sym_preproc_if_token1] = ACTIONS(2797),
    [aux_sym_preproc_if_token2] = ACTIONS(2797),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2797),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2797),
    [aux_sym_preproc_else_token1] = ACTIONS(2797),
    [aux_sym_preproc_elif_token1] = ACTIONS(2797),
    [sym_preproc_directive] = ACTIONS(2797),
    [anon_sym_LPAREN2] = ACTIONS(2799),
    [anon_sym_TILDE] = ACTIONS(2799),
    [anon_sym_STAR] = ACTIONS(2799),
    [anon_sym_AMP_AMP] = ACTIONS(2799),
    [anon_sym_AMP] = ACTIONS(2797),
    [anon_sym___extension__] = ACTIONS(2797),
    [anon_sym_typedef] = ACTIONS(2797),
    [anon_sym_in] = ACTIONS(2797),
    [anon_sym_out] = ACTIONS(2797),
    [anon_sym_inout] = ACTIONS(2797),
    [anon_sym_extern] = ACTIONS(2797),
    [anon_sym___attribute__] = ACTIONS(2797),
    [anon_sym_COLON_COLON] = ACTIONS(2799),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2799),
    [anon_sym___declspec] = ACTIONS(2797),
    [anon_sym___based] = ACTIONS(2797),
    [anon_sym_signed] = ACTIONS(2797),
    [anon_sym_unsigned] = ACTIONS(2797),
    [anon_sym_long] = ACTIONS(2797),
    [anon_sym_short] = ACTIONS(2797),
    [anon_sym_LBRACK] = ACTIONS(2797),
    [anon_sym_static] = ACTIONS(2797),
    [anon_sym_register] = ACTIONS(2797),
    [anon_sym_inline] = ACTIONS(2797),
    [anon_sym___inline] = ACTIONS(2797),
    [anon_sym___inline__] = ACTIONS(2797),
    [anon_sym___forceinline] = ACTIONS(2797),
    [anon_sym_thread_local] = ACTIONS(2797),
    [anon_sym___thread] = ACTIONS(2797),
    [anon_sym_const] = ACTIONS(2797),
    [anon_sym_constexpr] = ACTIONS(2797),
    [anon_sym_volatile] = ACTIONS(2797),
    [anon_sym_restrict] = ACTIONS(2797),
    [anon_sym___restrict__] = ACTIONS(2797),
    [anon_sym__Atomic] = ACTIONS(2797),
    [anon_sym__Noreturn] = ACTIONS(2797),
    [anon_sym_noreturn] = ACTIONS(2797),
    [anon_sym_mutable] = ACTIONS(2797),
    [anon_sym_constinit] = ACTIONS(2797),
    [anon_sym_consteval] = ACTIONS(2797),
    [sym_primitive_type] = ACTIONS(2797),
    [anon_sym_enum] = ACTIONS(2797),
    [anon_sym_class] = ACTIONS(2797),
    [anon_sym_struct] = ACTIONS(2797),
    [anon_sym_union] = ACTIONS(2797),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2797),
    [anon_sym_decltype] = ACTIONS(2797),
    [anon_sym_virtual] = ACTIONS(2797),
    [anon_sym_alignas] = ACTIONS(2797),
    [anon_sym_explicit] = ACTIONS(2797),
    [anon_sym_typename] = ACTIONS(2797),
    [anon_sym_template] = ACTIONS(2797),
    [anon_sym_operator] = ACTIONS(2797),
    [anon_sym_friend] = ACTIONS(2797),
    [anon_sym_public] = ACTIONS(2797),
    [anon_sym_private] = ACTIONS(2797),
    [anon_sym_protected] = ACTIONS(2797),
    [anon_sym_using] = ACTIONS(2797),
    [anon_sym_static_assert] = ACTIONS(2797),
    [anon_sym_precise] = ACTIONS(2797),
    [anon_sym_shared] = ACTIONS(2797),
    [anon_sym_groupshared] = ACTIONS(2797),
    [anon_sym_uniform] = ACTIONS(2797),
    [anon_sym_row_major] = ACTIONS(2797),
    [anon_sym_column_major] = ACTIONS(2797),
    [anon_sym_globallycoherent] = ACTIONS(2797),
    [anon_sym_centroid] = ACTIONS(2797),
    [anon_sym_noperspective] = ACTIONS(2797),
    [anon_sym_nointerpolation] = ACTIONS(2797),
    [anon_sym_sample] = ACTIONS(2797),
    [anon_sym_linear] = ACTIONS(2797),
    [anon_sym_snorm] = ACTIONS(2797),
    [anon_sym_unorm] = ACTIONS(2797),
    [anon_sym_point] = ACTIONS(2797),
    [anon_sym_line] = ACTIONS(2797),
    [anon_sym_triangleadj] = ACTIONS(2797),
    [anon_sym_lineadj] = ACTIONS(2797),
    [anon_sym_triangle] = ACTIONS(2797),
  },
  [2720] = {
    [sym_identifier] = ACTIONS(5615),
    [aux_sym_preproc_def_token1] = ACTIONS(5615),
    [aux_sym_preproc_if_token1] = ACTIONS(5615),
    [aux_sym_preproc_if_token2] = ACTIONS(5615),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5615),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5615),
    [aux_sym_preproc_else_token1] = ACTIONS(5615),
    [aux_sym_preproc_elif_token1] = ACTIONS(5615),
    [sym_preproc_directive] = ACTIONS(5615),
    [anon_sym_LPAREN2] = ACTIONS(5617),
    [anon_sym_TILDE] = ACTIONS(5617),
    [anon_sym_STAR] = ACTIONS(5617),
    [anon_sym_AMP_AMP] = ACTIONS(5617),
    [anon_sym_AMP] = ACTIONS(5615),
    [anon_sym___extension__] = ACTIONS(5615),
    [anon_sym_typedef] = ACTIONS(5615),
    [anon_sym_in] = ACTIONS(5615),
    [anon_sym_out] = ACTIONS(5615),
    [anon_sym_inout] = ACTIONS(5615),
    [anon_sym_extern] = ACTIONS(5615),
    [anon_sym___attribute__] = ACTIONS(5615),
    [anon_sym_COLON_COLON] = ACTIONS(5617),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5617),
    [anon_sym___declspec] = ACTIONS(5615),
    [anon_sym___based] = ACTIONS(5615),
    [anon_sym_signed] = ACTIONS(5615),
    [anon_sym_unsigned] = ACTIONS(5615),
    [anon_sym_long] = ACTIONS(5615),
    [anon_sym_short] = ACTIONS(5615),
    [anon_sym_LBRACK] = ACTIONS(5615),
    [anon_sym_static] = ACTIONS(5615),
    [anon_sym_register] = ACTIONS(5615),
    [anon_sym_inline] = ACTIONS(5615),
    [anon_sym___inline] = ACTIONS(5615),
    [anon_sym___inline__] = ACTIONS(5615),
    [anon_sym___forceinline] = ACTIONS(5615),
    [anon_sym_thread_local] = ACTIONS(5615),
    [anon_sym___thread] = ACTIONS(5615),
    [anon_sym_const] = ACTIONS(5615),
    [anon_sym_constexpr] = ACTIONS(5615),
    [anon_sym_volatile] = ACTIONS(5615),
    [anon_sym_restrict] = ACTIONS(5615),
    [anon_sym___restrict__] = ACTIONS(5615),
    [anon_sym__Atomic] = ACTIONS(5615),
    [anon_sym__Noreturn] = ACTIONS(5615),
    [anon_sym_noreturn] = ACTIONS(5615),
    [anon_sym_mutable] = ACTIONS(5615),
    [anon_sym_constinit] = ACTIONS(5615),
    [anon_sym_consteval] = ACTIONS(5615),
    [sym_primitive_type] = ACTIONS(5615),
    [anon_sym_enum] = ACTIONS(5615),
    [anon_sym_class] = ACTIONS(5615),
    [anon_sym_struct] = ACTIONS(5615),
    [anon_sym_union] = ACTIONS(5615),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5615),
    [anon_sym_decltype] = ACTIONS(5615),
    [anon_sym_virtual] = ACTIONS(5615),
    [anon_sym_alignas] = ACTIONS(5615),
    [anon_sym_explicit] = ACTIONS(5615),
    [anon_sym_typename] = ACTIONS(5615),
    [anon_sym_template] = ACTIONS(5615),
    [anon_sym_operator] = ACTIONS(5615),
    [anon_sym_friend] = ACTIONS(5615),
    [anon_sym_public] = ACTIONS(5615),
    [anon_sym_private] = ACTIONS(5615),
    [anon_sym_protected] = ACTIONS(5615),
    [anon_sym_using] = ACTIONS(5615),
    [anon_sym_static_assert] = ACTIONS(5615),
    [anon_sym_precise] = ACTIONS(5615),
    [anon_sym_shared] = ACTIONS(5615),
    [anon_sym_groupshared] = ACTIONS(5615),
    [anon_sym_uniform] = ACTIONS(5615),
    [anon_sym_row_major] = ACTIONS(5615),
    [anon_sym_column_major] = ACTIONS(5615),
    [anon_sym_globallycoherent] = ACTIONS(5615),
    [anon_sym_centroid] = ACTIONS(5615),
    [anon_sym_noperspective] = ACTIONS(5615),
    [anon_sym_nointerpolation] = ACTIONS(5615),
    [anon_sym_sample] = ACTIONS(5615),
    [anon_sym_linear] = ACTIONS(5615),
    [anon_sym_snorm] = ACTIONS(5615),
    [anon_sym_unorm] = ACTIONS(5615),
    [anon_sym_point] = ACTIONS(5615),
    [anon_sym_line] = ACTIONS(5615),
    [anon_sym_triangleadj] = ACTIONS(5615),
    [anon_sym_lineadj] = ACTIONS(5615),
    [anon_sym_triangle] = ACTIONS(5615),
  },
  [2721] = {
    [sym_identifier] = ACTIONS(5699),
    [aux_sym_preproc_def_token1] = ACTIONS(5699),
    [aux_sym_preproc_if_token1] = ACTIONS(5699),
    [aux_sym_preproc_if_token2] = ACTIONS(5699),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5699),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5699),
    [aux_sym_preproc_else_token1] = ACTIONS(5699),
    [aux_sym_preproc_elif_token1] = ACTIONS(5699),
    [sym_preproc_directive] = ACTIONS(5699),
    [anon_sym_LPAREN2] = ACTIONS(5701),
    [anon_sym_TILDE] = ACTIONS(5701),
    [anon_sym_STAR] = ACTIONS(5701),
    [anon_sym_AMP_AMP] = ACTIONS(5701),
    [anon_sym_AMP] = ACTIONS(5699),
    [anon_sym___extension__] = ACTIONS(5699),
    [anon_sym_typedef] = ACTIONS(5699),
    [anon_sym_in] = ACTIONS(5699),
    [anon_sym_out] = ACTIONS(5699),
    [anon_sym_inout] = ACTIONS(5699),
    [anon_sym_extern] = ACTIONS(5699),
    [anon_sym___attribute__] = ACTIONS(5699),
    [anon_sym_COLON_COLON] = ACTIONS(5701),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5701),
    [anon_sym___declspec] = ACTIONS(5699),
    [anon_sym___based] = ACTIONS(5699),
    [anon_sym_signed] = ACTIONS(5699),
    [anon_sym_unsigned] = ACTIONS(5699),
    [anon_sym_long] = ACTIONS(5699),
    [anon_sym_short] = ACTIONS(5699),
    [anon_sym_LBRACK] = ACTIONS(5699),
    [anon_sym_static] = ACTIONS(5699),
    [anon_sym_register] = ACTIONS(5699),
    [anon_sym_inline] = ACTIONS(5699),
    [anon_sym___inline] = ACTIONS(5699),
    [anon_sym___inline__] = ACTIONS(5699),
    [anon_sym___forceinline] = ACTIONS(5699),
    [anon_sym_thread_local] = ACTIONS(5699),
    [anon_sym___thread] = ACTIONS(5699),
    [anon_sym_const] = ACTIONS(5699),
    [anon_sym_constexpr] = ACTIONS(5699),
    [anon_sym_volatile] = ACTIONS(5699),
    [anon_sym_restrict] = ACTIONS(5699),
    [anon_sym___restrict__] = ACTIONS(5699),
    [anon_sym__Atomic] = ACTIONS(5699),
    [anon_sym__Noreturn] = ACTIONS(5699),
    [anon_sym_noreturn] = ACTIONS(5699),
    [anon_sym_mutable] = ACTIONS(5699),
    [anon_sym_constinit] = ACTIONS(5699),
    [anon_sym_consteval] = ACTIONS(5699),
    [sym_primitive_type] = ACTIONS(5699),
    [anon_sym_enum] = ACTIONS(5699),
    [anon_sym_class] = ACTIONS(5699),
    [anon_sym_struct] = ACTIONS(5699),
    [anon_sym_union] = ACTIONS(5699),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5699),
    [anon_sym_decltype] = ACTIONS(5699),
    [anon_sym_virtual] = ACTIONS(5699),
    [anon_sym_alignas] = ACTIONS(5699),
    [anon_sym_explicit] = ACTIONS(5699),
    [anon_sym_typename] = ACTIONS(5699),
    [anon_sym_template] = ACTIONS(5699),
    [anon_sym_operator] = ACTIONS(5699),
    [anon_sym_friend] = ACTIONS(5699),
    [anon_sym_public] = ACTIONS(5699),
    [anon_sym_private] = ACTIONS(5699),
    [anon_sym_protected] = ACTIONS(5699),
    [anon_sym_using] = ACTIONS(5699),
    [anon_sym_static_assert] = ACTIONS(5699),
    [anon_sym_precise] = ACTIONS(5699),
    [anon_sym_shared] = ACTIONS(5699),
    [anon_sym_groupshared] = ACTIONS(5699),
    [anon_sym_uniform] = ACTIONS(5699),
    [anon_sym_row_major] = ACTIONS(5699),
    [anon_sym_column_major] = ACTIONS(5699),
    [anon_sym_globallycoherent] = ACTIONS(5699),
    [anon_sym_centroid] = ACTIONS(5699),
    [anon_sym_noperspective] = ACTIONS(5699),
    [anon_sym_nointerpolation] = ACTIONS(5699),
    [anon_sym_sample] = ACTIONS(5699),
    [anon_sym_linear] = ACTIONS(5699),
    [anon_sym_snorm] = ACTIONS(5699),
    [anon_sym_unorm] = ACTIONS(5699),
    [anon_sym_point] = ACTIONS(5699),
    [anon_sym_line] = ACTIONS(5699),
    [anon_sym_triangleadj] = ACTIONS(5699),
    [anon_sym_lineadj] = ACTIONS(5699),
    [anon_sym_triangle] = ACTIONS(5699),
  },
  [2722] = {
    [sym_identifier] = ACTIONS(5667),
    [aux_sym_preproc_def_token1] = ACTIONS(5667),
    [aux_sym_preproc_if_token1] = ACTIONS(5667),
    [aux_sym_preproc_if_token2] = ACTIONS(5667),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5667),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5667),
    [aux_sym_preproc_else_token1] = ACTIONS(5667),
    [aux_sym_preproc_elif_token1] = ACTIONS(5667),
    [sym_preproc_directive] = ACTIONS(5667),
    [anon_sym_LPAREN2] = ACTIONS(5669),
    [anon_sym_TILDE] = ACTIONS(5669),
    [anon_sym_STAR] = ACTIONS(5669),
    [anon_sym_AMP_AMP] = ACTIONS(5669),
    [anon_sym_AMP] = ACTIONS(5667),
    [anon_sym___extension__] = ACTIONS(5667),
    [anon_sym_typedef] = ACTIONS(5667),
    [anon_sym_in] = ACTIONS(5667),
    [anon_sym_out] = ACTIONS(5667),
    [anon_sym_inout] = ACTIONS(5667),
    [anon_sym_extern] = ACTIONS(5667),
    [anon_sym___attribute__] = ACTIONS(5667),
    [anon_sym_COLON_COLON] = ACTIONS(5669),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5669),
    [anon_sym___declspec] = ACTIONS(5667),
    [anon_sym___based] = ACTIONS(5667),
    [anon_sym_signed] = ACTIONS(5667),
    [anon_sym_unsigned] = ACTIONS(5667),
    [anon_sym_long] = ACTIONS(5667),
    [anon_sym_short] = ACTIONS(5667),
    [anon_sym_LBRACK] = ACTIONS(5667),
    [anon_sym_static] = ACTIONS(5667),
    [anon_sym_register] = ACTIONS(5667),
    [anon_sym_inline] = ACTIONS(5667),
    [anon_sym___inline] = ACTIONS(5667),
    [anon_sym___inline__] = ACTIONS(5667),
    [anon_sym___forceinline] = ACTIONS(5667),
    [anon_sym_thread_local] = ACTIONS(5667),
    [anon_sym___thread] = ACTIONS(5667),
    [anon_sym_const] = ACTIONS(5667),
    [anon_sym_constexpr] = ACTIONS(5667),
    [anon_sym_volatile] = ACTIONS(5667),
    [anon_sym_restrict] = ACTIONS(5667),
    [anon_sym___restrict__] = ACTIONS(5667),
    [anon_sym__Atomic] = ACTIONS(5667),
    [anon_sym__Noreturn] = ACTIONS(5667),
    [anon_sym_noreturn] = ACTIONS(5667),
    [anon_sym_mutable] = ACTIONS(5667),
    [anon_sym_constinit] = ACTIONS(5667),
    [anon_sym_consteval] = ACTIONS(5667),
    [sym_primitive_type] = ACTIONS(5667),
    [anon_sym_enum] = ACTIONS(5667),
    [anon_sym_class] = ACTIONS(5667),
    [anon_sym_struct] = ACTIONS(5667),
    [anon_sym_union] = ACTIONS(5667),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5667),
    [anon_sym_decltype] = ACTIONS(5667),
    [anon_sym_virtual] = ACTIONS(5667),
    [anon_sym_alignas] = ACTIONS(5667),
    [anon_sym_explicit] = ACTIONS(5667),
    [anon_sym_typename] = ACTIONS(5667),
    [anon_sym_template] = ACTIONS(5667),
    [anon_sym_operator] = ACTIONS(5667),
    [anon_sym_friend] = ACTIONS(5667),
    [anon_sym_public] = ACTIONS(5667),
    [anon_sym_private] = ACTIONS(5667),
    [anon_sym_protected] = ACTIONS(5667),
    [anon_sym_using] = ACTIONS(5667),
    [anon_sym_static_assert] = ACTIONS(5667),
    [anon_sym_precise] = ACTIONS(5667),
    [anon_sym_shared] = ACTIONS(5667),
    [anon_sym_groupshared] = ACTIONS(5667),
    [anon_sym_uniform] = ACTIONS(5667),
    [anon_sym_row_major] = ACTIONS(5667),
    [anon_sym_column_major] = ACTIONS(5667),
    [anon_sym_globallycoherent] = ACTIONS(5667),
    [anon_sym_centroid] = ACTIONS(5667),
    [anon_sym_noperspective] = ACTIONS(5667),
    [anon_sym_nointerpolation] = ACTIONS(5667),
    [anon_sym_sample] = ACTIONS(5667),
    [anon_sym_linear] = ACTIONS(5667),
    [anon_sym_snorm] = ACTIONS(5667),
    [anon_sym_unorm] = ACTIONS(5667),
    [anon_sym_point] = ACTIONS(5667),
    [anon_sym_line] = ACTIONS(5667),
    [anon_sym_triangleadj] = ACTIONS(5667),
    [anon_sym_lineadj] = ACTIONS(5667),
    [anon_sym_triangle] = ACTIONS(5667),
  },
  [2723] = {
    [sym_identifier] = ACTIONS(2318),
    [aux_sym_preproc_def_token1] = ACTIONS(2318),
    [aux_sym_preproc_if_token1] = ACTIONS(2318),
    [aux_sym_preproc_if_token2] = ACTIONS(2318),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2318),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2318),
    [aux_sym_preproc_else_token1] = ACTIONS(2318),
    [aux_sym_preproc_elif_token1] = ACTIONS(2318),
    [sym_preproc_directive] = ACTIONS(2318),
    [anon_sym_LPAREN2] = ACTIONS(2320),
    [anon_sym_TILDE] = ACTIONS(2320),
    [anon_sym_STAR] = ACTIONS(2320),
    [anon_sym_AMP_AMP] = ACTIONS(2320),
    [anon_sym_AMP] = ACTIONS(2318),
    [anon_sym___extension__] = ACTIONS(2318),
    [anon_sym_typedef] = ACTIONS(2318),
    [anon_sym_in] = ACTIONS(2318),
    [anon_sym_out] = ACTIONS(2318),
    [anon_sym_inout] = ACTIONS(2318),
    [anon_sym_extern] = ACTIONS(2318),
    [anon_sym___attribute__] = ACTIONS(2318),
    [anon_sym_COLON_COLON] = ACTIONS(2320),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2320),
    [anon_sym___declspec] = ACTIONS(2318),
    [anon_sym___based] = ACTIONS(2318),
    [anon_sym_signed] = ACTIONS(2318),
    [anon_sym_unsigned] = ACTIONS(2318),
    [anon_sym_long] = ACTIONS(2318),
    [anon_sym_short] = ACTIONS(2318),
    [anon_sym_LBRACK] = ACTIONS(2318),
    [anon_sym_static] = ACTIONS(2318),
    [anon_sym_register] = ACTIONS(2318),
    [anon_sym_inline] = ACTIONS(2318),
    [anon_sym___inline] = ACTIONS(2318),
    [anon_sym___inline__] = ACTIONS(2318),
    [anon_sym___forceinline] = ACTIONS(2318),
    [anon_sym_thread_local] = ACTIONS(2318),
    [anon_sym___thread] = ACTIONS(2318),
    [anon_sym_const] = ACTIONS(2318),
    [anon_sym_constexpr] = ACTIONS(2318),
    [anon_sym_volatile] = ACTIONS(2318),
    [anon_sym_restrict] = ACTIONS(2318),
    [anon_sym___restrict__] = ACTIONS(2318),
    [anon_sym__Atomic] = ACTIONS(2318),
    [anon_sym__Noreturn] = ACTIONS(2318),
    [anon_sym_noreturn] = ACTIONS(2318),
    [anon_sym_mutable] = ACTIONS(2318),
    [anon_sym_constinit] = ACTIONS(2318),
    [anon_sym_consteval] = ACTIONS(2318),
    [sym_primitive_type] = ACTIONS(2318),
    [anon_sym_enum] = ACTIONS(2318),
    [anon_sym_class] = ACTIONS(2318),
    [anon_sym_struct] = ACTIONS(2318),
    [anon_sym_union] = ACTIONS(2318),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2318),
    [anon_sym_decltype] = ACTIONS(2318),
    [anon_sym_virtual] = ACTIONS(2318),
    [anon_sym_alignas] = ACTIONS(2318),
    [anon_sym_explicit] = ACTIONS(2318),
    [anon_sym_typename] = ACTIONS(2318),
    [anon_sym_template] = ACTIONS(2318),
    [anon_sym_operator] = ACTIONS(2318),
    [anon_sym_friend] = ACTIONS(2318),
    [anon_sym_public] = ACTIONS(2318),
    [anon_sym_private] = ACTIONS(2318),
    [anon_sym_protected] = ACTIONS(2318),
    [anon_sym_using] = ACTIONS(2318),
    [anon_sym_static_assert] = ACTIONS(2318),
    [anon_sym_precise] = ACTIONS(2318),
    [anon_sym_shared] = ACTIONS(2318),
    [anon_sym_groupshared] = ACTIONS(2318),
    [anon_sym_uniform] = ACTIONS(2318),
    [anon_sym_row_major] = ACTIONS(2318),
    [anon_sym_column_major] = ACTIONS(2318),
    [anon_sym_globallycoherent] = ACTIONS(2318),
    [anon_sym_centroid] = ACTIONS(2318),
    [anon_sym_noperspective] = ACTIONS(2318),
    [anon_sym_nointerpolation] = ACTIONS(2318),
    [anon_sym_sample] = ACTIONS(2318),
    [anon_sym_linear] = ACTIONS(2318),
    [anon_sym_snorm] = ACTIONS(2318),
    [anon_sym_unorm] = ACTIONS(2318),
    [anon_sym_point] = ACTIONS(2318),
    [anon_sym_line] = ACTIONS(2318),
    [anon_sym_triangleadj] = ACTIONS(2318),
    [anon_sym_lineadj] = ACTIONS(2318),
    [anon_sym_triangle] = ACTIONS(2318),
  },
  [2724] = {
    [sym_identifier] = ACTIONS(2354),
    [aux_sym_preproc_def_token1] = ACTIONS(2354),
    [aux_sym_preproc_if_token1] = ACTIONS(2354),
    [aux_sym_preproc_if_token2] = ACTIONS(2354),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2354),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2354),
    [aux_sym_preproc_else_token1] = ACTIONS(2354),
    [aux_sym_preproc_elif_token1] = ACTIONS(2354),
    [sym_preproc_directive] = ACTIONS(2354),
    [anon_sym_LPAREN2] = ACTIONS(2356),
    [anon_sym_TILDE] = ACTIONS(2356),
    [anon_sym_STAR] = ACTIONS(2356),
    [anon_sym_AMP_AMP] = ACTIONS(2356),
    [anon_sym_AMP] = ACTIONS(2354),
    [anon_sym___extension__] = ACTIONS(2354),
    [anon_sym_typedef] = ACTIONS(2354),
    [anon_sym_in] = ACTIONS(2354),
    [anon_sym_out] = ACTIONS(2354),
    [anon_sym_inout] = ACTIONS(2354),
    [anon_sym_extern] = ACTIONS(2354),
    [anon_sym___attribute__] = ACTIONS(2354),
    [anon_sym_COLON_COLON] = ACTIONS(2356),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2356),
    [anon_sym___declspec] = ACTIONS(2354),
    [anon_sym___based] = ACTIONS(2354),
    [anon_sym_signed] = ACTIONS(2354),
    [anon_sym_unsigned] = ACTIONS(2354),
    [anon_sym_long] = ACTIONS(2354),
    [anon_sym_short] = ACTIONS(2354),
    [anon_sym_LBRACK] = ACTIONS(2354),
    [anon_sym_static] = ACTIONS(2354),
    [anon_sym_register] = ACTIONS(2354),
    [anon_sym_inline] = ACTIONS(2354),
    [anon_sym___inline] = ACTIONS(2354),
    [anon_sym___inline__] = ACTIONS(2354),
    [anon_sym___forceinline] = ACTIONS(2354),
    [anon_sym_thread_local] = ACTIONS(2354),
    [anon_sym___thread] = ACTIONS(2354),
    [anon_sym_const] = ACTIONS(2354),
    [anon_sym_constexpr] = ACTIONS(2354),
    [anon_sym_volatile] = ACTIONS(2354),
    [anon_sym_restrict] = ACTIONS(2354),
    [anon_sym___restrict__] = ACTIONS(2354),
    [anon_sym__Atomic] = ACTIONS(2354),
    [anon_sym__Noreturn] = ACTIONS(2354),
    [anon_sym_noreturn] = ACTIONS(2354),
    [anon_sym_mutable] = ACTIONS(2354),
    [anon_sym_constinit] = ACTIONS(2354),
    [anon_sym_consteval] = ACTIONS(2354),
    [sym_primitive_type] = ACTIONS(2354),
    [anon_sym_enum] = ACTIONS(2354),
    [anon_sym_class] = ACTIONS(2354),
    [anon_sym_struct] = ACTIONS(2354),
    [anon_sym_union] = ACTIONS(2354),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2354),
    [anon_sym_decltype] = ACTIONS(2354),
    [anon_sym_virtual] = ACTIONS(2354),
    [anon_sym_alignas] = ACTIONS(2354),
    [anon_sym_explicit] = ACTIONS(2354),
    [anon_sym_typename] = ACTIONS(2354),
    [anon_sym_template] = ACTIONS(2354),
    [anon_sym_operator] = ACTIONS(2354),
    [anon_sym_friend] = ACTIONS(2354),
    [anon_sym_public] = ACTIONS(2354),
    [anon_sym_private] = ACTIONS(2354),
    [anon_sym_protected] = ACTIONS(2354),
    [anon_sym_using] = ACTIONS(2354),
    [anon_sym_static_assert] = ACTIONS(2354),
    [anon_sym_precise] = ACTIONS(2354),
    [anon_sym_shared] = ACTIONS(2354),
    [anon_sym_groupshared] = ACTIONS(2354),
    [anon_sym_uniform] = ACTIONS(2354),
    [anon_sym_row_major] = ACTIONS(2354),
    [anon_sym_column_major] = ACTIONS(2354),
    [anon_sym_globallycoherent] = ACTIONS(2354),
    [anon_sym_centroid] = ACTIONS(2354),
    [anon_sym_noperspective] = ACTIONS(2354),
    [anon_sym_nointerpolation] = ACTIONS(2354),
    [anon_sym_sample] = ACTIONS(2354),
    [anon_sym_linear] = ACTIONS(2354),
    [anon_sym_snorm] = ACTIONS(2354),
    [anon_sym_unorm] = ACTIONS(2354),
    [anon_sym_point] = ACTIONS(2354),
    [anon_sym_line] = ACTIONS(2354),
    [anon_sym_triangleadj] = ACTIONS(2354),
    [anon_sym_lineadj] = ACTIONS(2354),
    [anon_sym_triangle] = ACTIONS(2354),
  },
  [2725] = {
    [sym_identifier] = ACTIONS(2448),
    [aux_sym_preproc_def_token1] = ACTIONS(2448),
    [aux_sym_preproc_if_token1] = ACTIONS(2448),
    [aux_sym_preproc_if_token2] = ACTIONS(2448),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2448),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2448),
    [aux_sym_preproc_else_token1] = ACTIONS(2448),
    [aux_sym_preproc_elif_token1] = ACTIONS(2448),
    [sym_preproc_directive] = ACTIONS(2448),
    [anon_sym_LPAREN2] = ACTIONS(2450),
    [anon_sym_TILDE] = ACTIONS(2450),
    [anon_sym_STAR] = ACTIONS(2450),
    [anon_sym_AMP_AMP] = ACTIONS(2450),
    [anon_sym_AMP] = ACTIONS(2448),
    [anon_sym___extension__] = ACTIONS(2448),
    [anon_sym_typedef] = ACTIONS(2448),
    [anon_sym_in] = ACTIONS(2448),
    [anon_sym_out] = ACTIONS(2448),
    [anon_sym_inout] = ACTIONS(2448),
    [anon_sym_extern] = ACTIONS(2448),
    [anon_sym___attribute__] = ACTIONS(2448),
    [anon_sym_COLON_COLON] = ACTIONS(2450),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2450),
    [anon_sym___declspec] = ACTIONS(2448),
    [anon_sym___based] = ACTIONS(2448),
    [anon_sym_signed] = ACTIONS(2448),
    [anon_sym_unsigned] = ACTIONS(2448),
    [anon_sym_long] = ACTIONS(2448),
    [anon_sym_short] = ACTIONS(2448),
    [anon_sym_LBRACK] = ACTIONS(2448),
    [anon_sym_static] = ACTIONS(2448),
    [anon_sym_register] = ACTIONS(2448),
    [anon_sym_inline] = ACTIONS(2448),
    [anon_sym___inline] = ACTIONS(2448),
    [anon_sym___inline__] = ACTIONS(2448),
    [anon_sym___forceinline] = ACTIONS(2448),
    [anon_sym_thread_local] = ACTIONS(2448),
    [anon_sym___thread] = ACTIONS(2448),
    [anon_sym_const] = ACTIONS(2448),
    [anon_sym_constexpr] = ACTIONS(2448),
    [anon_sym_volatile] = ACTIONS(2448),
    [anon_sym_restrict] = ACTIONS(2448),
    [anon_sym___restrict__] = ACTIONS(2448),
    [anon_sym__Atomic] = ACTIONS(2448),
    [anon_sym__Noreturn] = ACTIONS(2448),
    [anon_sym_noreturn] = ACTIONS(2448),
    [anon_sym_mutable] = ACTIONS(2448),
    [anon_sym_constinit] = ACTIONS(2448),
    [anon_sym_consteval] = ACTIONS(2448),
    [sym_primitive_type] = ACTIONS(2448),
    [anon_sym_enum] = ACTIONS(2448),
    [anon_sym_class] = ACTIONS(2448),
    [anon_sym_struct] = ACTIONS(2448),
    [anon_sym_union] = ACTIONS(2448),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2448),
    [anon_sym_decltype] = ACTIONS(2448),
    [anon_sym_virtual] = ACTIONS(2448),
    [anon_sym_alignas] = ACTIONS(2448),
    [anon_sym_explicit] = ACTIONS(2448),
    [anon_sym_typename] = ACTIONS(2448),
    [anon_sym_template] = ACTIONS(2448),
    [anon_sym_operator] = ACTIONS(2448),
    [anon_sym_friend] = ACTIONS(2448),
    [anon_sym_public] = ACTIONS(2448),
    [anon_sym_private] = ACTIONS(2448),
    [anon_sym_protected] = ACTIONS(2448),
    [anon_sym_using] = ACTIONS(2448),
    [anon_sym_static_assert] = ACTIONS(2448),
    [anon_sym_precise] = ACTIONS(2448),
    [anon_sym_shared] = ACTIONS(2448),
    [anon_sym_groupshared] = ACTIONS(2448),
    [anon_sym_uniform] = ACTIONS(2448),
    [anon_sym_row_major] = ACTIONS(2448),
    [anon_sym_column_major] = ACTIONS(2448),
    [anon_sym_globallycoherent] = ACTIONS(2448),
    [anon_sym_centroid] = ACTIONS(2448),
    [anon_sym_noperspective] = ACTIONS(2448),
    [anon_sym_nointerpolation] = ACTIONS(2448),
    [anon_sym_sample] = ACTIONS(2448),
    [anon_sym_linear] = ACTIONS(2448),
    [anon_sym_snorm] = ACTIONS(2448),
    [anon_sym_unorm] = ACTIONS(2448),
    [anon_sym_point] = ACTIONS(2448),
    [anon_sym_line] = ACTIONS(2448),
    [anon_sym_triangleadj] = ACTIONS(2448),
    [anon_sym_lineadj] = ACTIONS(2448),
    [anon_sym_triangle] = ACTIONS(2448),
  },
  [2726] = {
    [sym_identifier] = ACTIONS(2238),
    [aux_sym_preproc_def_token1] = ACTIONS(2238),
    [anon_sym_COMMA] = ACTIONS(2358),
    [aux_sym_preproc_if_token1] = ACTIONS(2238),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2238),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2238),
    [sym_preproc_directive] = ACTIONS(2238),
    [anon_sym_LPAREN2] = ACTIONS(2236),
    [anon_sym_TILDE] = ACTIONS(2236),
    [anon_sym_STAR] = ACTIONS(2236),
    [anon_sym_AMP_AMP] = ACTIONS(2236),
    [anon_sym_AMP] = ACTIONS(2238),
    [anon_sym_SEMI] = ACTIONS(2358),
    [anon_sym___extension__] = ACTIONS(2238),
    [anon_sym_typedef] = ACTIONS(2238),
    [anon_sym_in] = ACTIONS(2238),
    [anon_sym_out] = ACTIONS(2238),
    [anon_sym_inout] = ACTIONS(2238),
    [anon_sym_extern] = ACTIONS(2238),
    [anon_sym___attribute__] = ACTIONS(2238),
    [anon_sym_COLON_COLON] = ACTIONS(2236),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2236),
    [anon_sym___declspec] = ACTIONS(2238),
    [anon_sym___based] = ACTIONS(2238),
    [anon_sym_RBRACE] = ACTIONS(2236),
    [anon_sym_signed] = ACTIONS(2238),
    [anon_sym_unsigned] = ACTIONS(2238),
    [anon_sym_long] = ACTIONS(2238),
    [anon_sym_short] = ACTIONS(2238),
    [anon_sym_LBRACK] = ACTIONS(2238),
    [anon_sym_static] = ACTIONS(2238),
    [anon_sym_register] = ACTIONS(2238),
    [anon_sym_inline] = ACTIONS(2238),
    [anon_sym___inline] = ACTIONS(2238),
    [anon_sym___inline__] = ACTIONS(2238),
    [anon_sym___forceinline] = ACTIONS(2238),
    [anon_sym_thread_local] = ACTIONS(2238),
    [anon_sym___thread] = ACTIONS(2238),
    [anon_sym_const] = ACTIONS(2238),
    [anon_sym_constexpr] = ACTIONS(2238),
    [anon_sym_volatile] = ACTIONS(2238),
    [anon_sym_restrict] = ACTIONS(2238),
    [anon_sym___restrict__] = ACTIONS(2238),
    [anon_sym__Atomic] = ACTIONS(2238),
    [anon_sym__Noreturn] = ACTIONS(2238),
    [anon_sym_noreturn] = ACTIONS(2238),
    [anon_sym_mutable] = ACTIONS(2238),
    [anon_sym_constinit] = ACTIONS(2238),
    [anon_sym_consteval] = ACTIONS(2238),
    [sym_primitive_type] = ACTIONS(2238),
    [anon_sym_enum] = ACTIONS(2238),
    [anon_sym_class] = ACTIONS(2238),
    [anon_sym_struct] = ACTIONS(2238),
    [anon_sym_union] = ACTIONS(2238),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2238),
    [anon_sym_decltype] = ACTIONS(2238),
    [anon_sym_virtual] = ACTIONS(2238),
    [anon_sym_alignas] = ACTIONS(2238),
    [anon_sym_explicit] = ACTIONS(2238),
    [anon_sym_typename] = ACTIONS(2238),
    [anon_sym_template] = ACTIONS(2238),
    [anon_sym_operator] = ACTIONS(2238),
    [anon_sym_friend] = ACTIONS(2238),
    [anon_sym_public] = ACTIONS(2238),
    [anon_sym_private] = ACTIONS(2238),
    [anon_sym_protected] = ACTIONS(2238),
    [anon_sym_using] = ACTIONS(2238),
    [anon_sym_static_assert] = ACTIONS(2238),
    [anon_sym_precise] = ACTIONS(2238),
    [anon_sym_shared] = ACTIONS(2238),
    [anon_sym_groupshared] = ACTIONS(2238),
    [anon_sym_uniform] = ACTIONS(2238),
    [anon_sym_row_major] = ACTIONS(2238),
    [anon_sym_column_major] = ACTIONS(2238),
    [anon_sym_globallycoherent] = ACTIONS(2238),
    [anon_sym_centroid] = ACTIONS(2238),
    [anon_sym_noperspective] = ACTIONS(2238),
    [anon_sym_nointerpolation] = ACTIONS(2238),
    [anon_sym_sample] = ACTIONS(2238),
    [anon_sym_linear] = ACTIONS(2238),
    [anon_sym_snorm] = ACTIONS(2238),
    [anon_sym_unorm] = ACTIONS(2238),
    [anon_sym_point] = ACTIONS(2238),
    [anon_sym_line] = ACTIONS(2238),
    [anon_sym_triangleadj] = ACTIONS(2238),
    [anon_sym_lineadj] = ACTIONS(2238),
    [anon_sym_triangle] = ACTIONS(2238),
  },
  [2727] = {
    [sym_identifier] = ACTIONS(5675),
    [aux_sym_preproc_def_token1] = ACTIONS(5675),
    [aux_sym_preproc_if_token1] = ACTIONS(5675),
    [aux_sym_preproc_if_token2] = ACTIONS(5675),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5675),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5675),
    [aux_sym_preproc_else_token1] = ACTIONS(5675),
    [aux_sym_preproc_elif_token1] = ACTIONS(5675),
    [sym_preproc_directive] = ACTIONS(5675),
    [anon_sym_LPAREN2] = ACTIONS(5677),
    [anon_sym_TILDE] = ACTIONS(5677),
    [anon_sym_STAR] = ACTIONS(5677),
    [anon_sym_AMP_AMP] = ACTIONS(5677),
    [anon_sym_AMP] = ACTIONS(5675),
    [anon_sym___extension__] = ACTIONS(5675),
    [anon_sym_typedef] = ACTIONS(5675),
    [anon_sym_in] = ACTIONS(5675),
    [anon_sym_out] = ACTIONS(5675),
    [anon_sym_inout] = ACTIONS(5675),
    [anon_sym_extern] = ACTIONS(5675),
    [anon_sym___attribute__] = ACTIONS(5675),
    [anon_sym_COLON_COLON] = ACTIONS(5677),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5677),
    [anon_sym___declspec] = ACTIONS(5675),
    [anon_sym___based] = ACTIONS(5675),
    [anon_sym_signed] = ACTIONS(5675),
    [anon_sym_unsigned] = ACTIONS(5675),
    [anon_sym_long] = ACTIONS(5675),
    [anon_sym_short] = ACTIONS(5675),
    [anon_sym_LBRACK] = ACTIONS(5675),
    [anon_sym_static] = ACTIONS(5675),
    [anon_sym_register] = ACTIONS(5675),
    [anon_sym_inline] = ACTIONS(5675),
    [anon_sym___inline] = ACTIONS(5675),
    [anon_sym___inline__] = ACTIONS(5675),
    [anon_sym___forceinline] = ACTIONS(5675),
    [anon_sym_thread_local] = ACTIONS(5675),
    [anon_sym___thread] = ACTIONS(5675),
    [anon_sym_const] = ACTIONS(5675),
    [anon_sym_constexpr] = ACTIONS(5675),
    [anon_sym_volatile] = ACTIONS(5675),
    [anon_sym_restrict] = ACTIONS(5675),
    [anon_sym___restrict__] = ACTIONS(5675),
    [anon_sym__Atomic] = ACTIONS(5675),
    [anon_sym__Noreturn] = ACTIONS(5675),
    [anon_sym_noreturn] = ACTIONS(5675),
    [anon_sym_mutable] = ACTIONS(5675),
    [anon_sym_constinit] = ACTIONS(5675),
    [anon_sym_consteval] = ACTIONS(5675),
    [sym_primitive_type] = ACTIONS(5675),
    [anon_sym_enum] = ACTIONS(5675),
    [anon_sym_class] = ACTIONS(5675),
    [anon_sym_struct] = ACTIONS(5675),
    [anon_sym_union] = ACTIONS(5675),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5675),
    [anon_sym_decltype] = ACTIONS(5675),
    [anon_sym_virtual] = ACTIONS(5675),
    [anon_sym_alignas] = ACTIONS(5675),
    [anon_sym_explicit] = ACTIONS(5675),
    [anon_sym_typename] = ACTIONS(5675),
    [anon_sym_template] = ACTIONS(5675),
    [anon_sym_operator] = ACTIONS(5675),
    [anon_sym_friend] = ACTIONS(5675),
    [anon_sym_public] = ACTIONS(5675),
    [anon_sym_private] = ACTIONS(5675),
    [anon_sym_protected] = ACTIONS(5675),
    [anon_sym_using] = ACTIONS(5675),
    [anon_sym_static_assert] = ACTIONS(5675),
    [anon_sym_precise] = ACTIONS(5675),
    [anon_sym_shared] = ACTIONS(5675),
    [anon_sym_groupshared] = ACTIONS(5675),
    [anon_sym_uniform] = ACTIONS(5675),
    [anon_sym_row_major] = ACTIONS(5675),
    [anon_sym_column_major] = ACTIONS(5675),
    [anon_sym_globallycoherent] = ACTIONS(5675),
    [anon_sym_centroid] = ACTIONS(5675),
    [anon_sym_noperspective] = ACTIONS(5675),
    [anon_sym_nointerpolation] = ACTIONS(5675),
    [anon_sym_sample] = ACTIONS(5675),
    [anon_sym_linear] = ACTIONS(5675),
    [anon_sym_snorm] = ACTIONS(5675),
    [anon_sym_unorm] = ACTIONS(5675),
    [anon_sym_point] = ACTIONS(5675),
    [anon_sym_line] = ACTIONS(5675),
    [anon_sym_triangleadj] = ACTIONS(5675),
    [anon_sym_lineadj] = ACTIONS(5675),
    [anon_sym_triangle] = ACTIONS(5675),
  },
  [2728] = {
    [sym_identifier] = ACTIONS(2600),
    [aux_sym_preproc_def_token1] = ACTIONS(2600),
    [aux_sym_preproc_if_token1] = ACTIONS(2600),
    [aux_sym_preproc_if_token2] = ACTIONS(2600),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2600),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2600),
    [aux_sym_preproc_else_token1] = ACTIONS(2600),
    [aux_sym_preproc_elif_token1] = ACTIONS(2600),
    [sym_preproc_directive] = ACTIONS(2600),
    [anon_sym_LPAREN2] = ACTIONS(2602),
    [anon_sym_TILDE] = ACTIONS(2602),
    [anon_sym_STAR] = ACTIONS(2602),
    [anon_sym_AMP_AMP] = ACTIONS(2602),
    [anon_sym_AMP] = ACTIONS(2600),
    [anon_sym___extension__] = ACTIONS(2600),
    [anon_sym_typedef] = ACTIONS(2600),
    [anon_sym_in] = ACTIONS(2600),
    [anon_sym_out] = ACTIONS(2600),
    [anon_sym_inout] = ACTIONS(2600),
    [anon_sym_extern] = ACTIONS(2600),
    [anon_sym___attribute__] = ACTIONS(2600),
    [anon_sym_COLON_COLON] = ACTIONS(2602),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2602),
    [anon_sym___declspec] = ACTIONS(2600),
    [anon_sym___based] = ACTIONS(2600),
    [anon_sym_signed] = ACTIONS(2600),
    [anon_sym_unsigned] = ACTIONS(2600),
    [anon_sym_long] = ACTIONS(2600),
    [anon_sym_short] = ACTIONS(2600),
    [anon_sym_LBRACK] = ACTIONS(2600),
    [anon_sym_static] = ACTIONS(2600),
    [anon_sym_register] = ACTIONS(2600),
    [anon_sym_inline] = ACTIONS(2600),
    [anon_sym___inline] = ACTIONS(2600),
    [anon_sym___inline__] = ACTIONS(2600),
    [anon_sym___forceinline] = ACTIONS(2600),
    [anon_sym_thread_local] = ACTIONS(2600),
    [anon_sym___thread] = ACTIONS(2600),
    [anon_sym_const] = ACTIONS(2600),
    [anon_sym_constexpr] = ACTIONS(2600),
    [anon_sym_volatile] = ACTIONS(2600),
    [anon_sym_restrict] = ACTIONS(2600),
    [anon_sym___restrict__] = ACTIONS(2600),
    [anon_sym__Atomic] = ACTIONS(2600),
    [anon_sym__Noreturn] = ACTIONS(2600),
    [anon_sym_noreturn] = ACTIONS(2600),
    [anon_sym_mutable] = ACTIONS(2600),
    [anon_sym_constinit] = ACTIONS(2600),
    [anon_sym_consteval] = ACTIONS(2600),
    [sym_primitive_type] = ACTIONS(2600),
    [anon_sym_enum] = ACTIONS(2600),
    [anon_sym_class] = ACTIONS(2600),
    [anon_sym_struct] = ACTIONS(2600),
    [anon_sym_union] = ACTIONS(2600),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2600),
    [anon_sym_decltype] = ACTIONS(2600),
    [anon_sym_virtual] = ACTIONS(2600),
    [anon_sym_alignas] = ACTIONS(2600),
    [anon_sym_explicit] = ACTIONS(2600),
    [anon_sym_typename] = ACTIONS(2600),
    [anon_sym_template] = ACTIONS(2600),
    [anon_sym_operator] = ACTIONS(2600),
    [anon_sym_friend] = ACTIONS(2600),
    [anon_sym_public] = ACTIONS(2600),
    [anon_sym_private] = ACTIONS(2600),
    [anon_sym_protected] = ACTIONS(2600),
    [anon_sym_using] = ACTIONS(2600),
    [anon_sym_static_assert] = ACTIONS(2600),
    [anon_sym_precise] = ACTIONS(2600),
    [anon_sym_shared] = ACTIONS(2600),
    [anon_sym_groupshared] = ACTIONS(2600),
    [anon_sym_uniform] = ACTIONS(2600),
    [anon_sym_row_major] = ACTIONS(2600),
    [anon_sym_column_major] = ACTIONS(2600),
    [anon_sym_globallycoherent] = ACTIONS(2600),
    [anon_sym_centroid] = ACTIONS(2600),
    [anon_sym_noperspective] = ACTIONS(2600),
    [anon_sym_nointerpolation] = ACTIONS(2600),
    [anon_sym_sample] = ACTIONS(2600),
    [anon_sym_linear] = ACTIONS(2600),
    [anon_sym_snorm] = ACTIONS(2600),
    [anon_sym_unorm] = ACTIONS(2600),
    [anon_sym_point] = ACTIONS(2600),
    [anon_sym_line] = ACTIONS(2600),
    [anon_sym_triangleadj] = ACTIONS(2600),
    [anon_sym_lineadj] = ACTIONS(2600),
    [anon_sym_triangle] = ACTIONS(2600),
  },
  [2729] = {
    [sym_identifier] = ACTIONS(2837),
    [aux_sym_preproc_def_token1] = ACTIONS(2837),
    [aux_sym_preproc_if_token1] = ACTIONS(2837),
    [aux_sym_preproc_if_token2] = ACTIONS(2837),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2837),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2837),
    [aux_sym_preproc_else_token1] = ACTIONS(2837),
    [aux_sym_preproc_elif_token1] = ACTIONS(2837),
    [sym_preproc_directive] = ACTIONS(2837),
    [anon_sym_LPAREN2] = ACTIONS(2839),
    [anon_sym_TILDE] = ACTIONS(2839),
    [anon_sym_STAR] = ACTIONS(2839),
    [anon_sym_AMP_AMP] = ACTIONS(2839),
    [anon_sym_AMP] = ACTIONS(2837),
    [anon_sym___extension__] = ACTIONS(2837),
    [anon_sym_typedef] = ACTIONS(2837),
    [anon_sym_in] = ACTIONS(2837),
    [anon_sym_out] = ACTIONS(2837),
    [anon_sym_inout] = ACTIONS(2837),
    [anon_sym_extern] = ACTIONS(2837),
    [anon_sym___attribute__] = ACTIONS(2837),
    [anon_sym_COLON_COLON] = ACTIONS(2839),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2839),
    [anon_sym___declspec] = ACTIONS(2837),
    [anon_sym___based] = ACTIONS(2837),
    [anon_sym_signed] = ACTIONS(2837),
    [anon_sym_unsigned] = ACTIONS(2837),
    [anon_sym_long] = ACTIONS(2837),
    [anon_sym_short] = ACTIONS(2837),
    [anon_sym_LBRACK] = ACTIONS(2837),
    [anon_sym_static] = ACTIONS(2837),
    [anon_sym_register] = ACTIONS(2837),
    [anon_sym_inline] = ACTIONS(2837),
    [anon_sym___inline] = ACTIONS(2837),
    [anon_sym___inline__] = ACTIONS(2837),
    [anon_sym___forceinline] = ACTIONS(2837),
    [anon_sym_thread_local] = ACTIONS(2837),
    [anon_sym___thread] = ACTIONS(2837),
    [anon_sym_const] = ACTIONS(2837),
    [anon_sym_constexpr] = ACTIONS(2837),
    [anon_sym_volatile] = ACTIONS(2837),
    [anon_sym_restrict] = ACTIONS(2837),
    [anon_sym___restrict__] = ACTIONS(2837),
    [anon_sym__Atomic] = ACTIONS(2837),
    [anon_sym__Noreturn] = ACTIONS(2837),
    [anon_sym_noreturn] = ACTIONS(2837),
    [anon_sym_mutable] = ACTIONS(2837),
    [anon_sym_constinit] = ACTIONS(2837),
    [anon_sym_consteval] = ACTIONS(2837),
    [sym_primitive_type] = ACTIONS(2837),
    [anon_sym_enum] = ACTIONS(2837),
    [anon_sym_class] = ACTIONS(2837),
    [anon_sym_struct] = ACTIONS(2837),
    [anon_sym_union] = ACTIONS(2837),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2837),
    [anon_sym_decltype] = ACTIONS(2837),
    [anon_sym_virtual] = ACTIONS(2837),
    [anon_sym_alignas] = ACTIONS(2837),
    [anon_sym_explicit] = ACTIONS(2837),
    [anon_sym_typename] = ACTIONS(2837),
    [anon_sym_template] = ACTIONS(2837),
    [anon_sym_operator] = ACTIONS(2837),
    [anon_sym_friend] = ACTIONS(2837),
    [anon_sym_public] = ACTIONS(2837),
    [anon_sym_private] = ACTIONS(2837),
    [anon_sym_protected] = ACTIONS(2837),
    [anon_sym_using] = ACTIONS(2837),
    [anon_sym_static_assert] = ACTIONS(2837),
    [anon_sym_precise] = ACTIONS(2837),
    [anon_sym_shared] = ACTIONS(2837),
    [anon_sym_groupshared] = ACTIONS(2837),
    [anon_sym_uniform] = ACTIONS(2837),
    [anon_sym_row_major] = ACTIONS(2837),
    [anon_sym_column_major] = ACTIONS(2837),
    [anon_sym_globallycoherent] = ACTIONS(2837),
    [anon_sym_centroid] = ACTIONS(2837),
    [anon_sym_noperspective] = ACTIONS(2837),
    [anon_sym_nointerpolation] = ACTIONS(2837),
    [anon_sym_sample] = ACTIONS(2837),
    [anon_sym_linear] = ACTIONS(2837),
    [anon_sym_snorm] = ACTIONS(2837),
    [anon_sym_unorm] = ACTIONS(2837),
    [anon_sym_point] = ACTIONS(2837),
    [anon_sym_line] = ACTIONS(2837),
    [anon_sym_triangleadj] = ACTIONS(2837),
    [anon_sym_lineadj] = ACTIONS(2837),
    [anon_sym_triangle] = ACTIONS(2837),
  },
  [2730] = {
    [sym_identifier] = ACTIONS(5619),
    [aux_sym_preproc_def_token1] = ACTIONS(5619),
    [aux_sym_preproc_if_token1] = ACTIONS(5619),
    [aux_sym_preproc_if_token2] = ACTIONS(5619),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5619),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5619),
    [aux_sym_preproc_else_token1] = ACTIONS(5619),
    [aux_sym_preproc_elif_token1] = ACTIONS(5619),
    [sym_preproc_directive] = ACTIONS(5619),
    [anon_sym_LPAREN2] = ACTIONS(5621),
    [anon_sym_TILDE] = ACTIONS(5621),
    [anon_sym_STAR] = ACTIONS(5621),
    [anon_sym_AMP_AMP] = ACTIONS(5621),
    [anon_sym_AMP] = ACTIONS(5619),
    [anon_sym___extension__] = ACTIONS(5619),
    [anon_sym_typedef] = ACTIONS(5619),
    [anon_sym_in] = ACTIONS(5619),
    [anon_sym_out] = ACTIONS(5619),
    [anon_sym_inout] = ACTIONS(5619),
    [anon_sym_extern] = ACTIONS(5619),
    [anon_sym___attribute__] = ACTIONS(5619),
    [anon_sym_COLON_COLON] = ACTIONS(5621),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5621),
    [anon_sym___declspec] = ACTIONS(5619),
    [anon_sym___based] = ACTIONS(5619),
    [anon_sym_signed] = ACTIONS(5619),
    [anon_sym_unsigned] = ACTIONS(5619),
    [anon_sym_long] = ACTIONS(5619),
    [anon_sym_short] = ACTIONS(5619),
    [anon_sym_LBRACK] = ACTIONS(5619),
    [anon_sym_static] = ACTIONS(5619),
    [anon_sym_register] = ACTIONS(5619),
    [anon_sym_inline] = ACTIONS(5619),
    [anon_sym___inline] = ACTIONS(5619),
    [anon_sym___inline__] = ACTIONS(5619),
    [anon_sym___forceinline] = ACTIONS(5619),
    [anon_sym_thread_local] = ACTIONS(5619),
    [anon_sym___thread] = ACTIONS(5619),
    [anon_sym_const] = ACTIONS(5619),
    [anon_sym_constexpr] = ACTIONS(5619),
    [anon_sym_volatile] = ACTIONS(5619),
    [anon_sym_restrict] = ACTIONS(5619),
    [anon_sym___restrict__] = ACTIONS(5619),
    [anon_sym__Atomic] = ACTIONS(5619),
    [anon_sym__Noreturn] = ACTIONS(5619),
    [anon_sym_noreturn] = ACTIONS(5619),
    [anon_sym_mutable] = ACTIONS(5619),
    [anon_sym_constinit] = ACTIONS(5619),
    [anon_sym_consteval] = ACTIONS(5619),
    [sym_primitive_type] = ACTIONS(5619),
    [anon_sym_enum] = ACTIONS(5619),
    [anon_sym_class] = ACTIONS(5619),
    [anon_sym_struct] = ACTIONS(5619),
    [anon_sym_union] = ACTIONS(5619),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5619),
    [anon_sym_decltype] = ACTIONS(5619),
    [anon_sym_virtual] = ACTIONS(5619),
    [anon_sym_alignas] = ACTIONS(5619),
    [anon_sym_explicit] = ACTIONS(5619),
    [anon_sym_typename] = ACTIONS(5619),
    [anon_sym_template] = ACTIONS(5619),
    [anon_sym_operator] = ACTIONS(5619),
    [anon_sym_friend] = ACTIONS(5619),
    [anon_sym_public] = ACTIONS(5619),
    [anon_sym_private] = ACTIONS(5619),
    [anon_sym_protected] = ACTIONS(5619),
    [anon_sym_using] = ACTIONS(5619),
    [anon_sym_static_assert] = ACTIONS(5619),
    [anon_sym_precise] = ACTIONS(5619),
    [anon_sym_shared] = ACTIONS(5619),
    [anon_sym_groupshared] = ACTIONS(5619),
    [anon_sym_uniform] = ACTIONS(5619),
    [anon_sym_row_major] = ACTIONS(5619),
    [anon_sym_column_major] = ACTIONS(5619),
    [anon_sym_globallycoherent] = ACTIONS(5619),
    [anon_sym_centroid] = ACTIONS(5619),
    [anon_sym_noperspective] = ACTIONS(5619),
    [anon_sym_nointerpolation] = ACTIONS(5619),
    [anon_sym_sample] = ACTIONS(5619),
    [anon_sym_linear] = ACTIONS(5619),
    [anon_sym_snorm] = ACTIONS(5619),
    [anon_sym_unorm] = ACTIONS(5619),
    [anon_sym_point] = ACTIONS(5619),
    [anon_sym_line] = ACTIONS(5619),
    [anon_sym_triangleadj] = ACTIONS(5619),
    [anon_sym_lineadj] = ACTIONS(5619),
    [anon_sym_triangle] = ACTIONS(5619),
  },
  [2731] = {
    [sym_identifier] = ACTIONS(2621),
    [aux_sym_preproc_def_token1] = ACTIONS(2621),
    [aux_sym_preproc_if_token1] = ACTIONS(2621),
    [aux_sym_preproc_if_token2] = ACTIONS(2621),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2621),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2621),
    [aux_sym_preproc_else_token1] = ACTIONS(2621),
    [aux_sym_preproc_elif_token1] = ACTIONS(2621),
    [sym_preproc_directive] = ACTIONS(2621),
    [anon_sym_LPAREN2] = ACTIONS(2623),
    [anon_sym_TILDE] = ACTIONS(2623),
    [anon_sym_STAR] = ACTIONS(2623),
    [anon_sym_AMP_AMP] = ACTIONS(2623),
    [anon_sym_AMP] = ACTIONS(2621),
    [anon_sym___extension__] = ACTIONS(2621),
    [anon_sym_typedef] = ACTIONS(2621),
    [anon_sym_in] = ACTIONS(2621),
    [anon_sym_out] = ACTIONS(2621),
    [anon_sym_inout] = ACTIONS(2621),
    [anon_sym_extern] = ACTIONS(2621),
    [anon_sym___attribute__] = ACTIONS(2621),
    [anon_sym_COLON_COLON] = ACTIONS(2623),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2623),
    [anon_sym___declspec] = ACTIONS(2621),
    [anon_sym___based] = ACTIONS(2621),
    [anon_sym_signed] = ACTIONS(2621),
    [anon_sym_unsigned] = ACTIONS(2621),
    [anon_sym_long] = ACTIONS(2621),
    [anon_sym_short] = ACTIONS(2621),
    [anon_sym_LBRACK] = ACTIONS(2621),
    [anon_sym_static] = ACTIONS(2621),
    [anon_sym_register] = ACTIONS(2621),
    [anon_sym_inline] = ACTIONS(2621),
    [anon_sym___inline] = ACTIONS(2621),
    [anon_sym___inline__] = ACTIONS(2621),
    [anon_sym___forceinline] = ACTIONS(2621),
    [anon_sym_thread_local] = ACTIONS(2621),
    [anon_sym___thread] = ACTIONS(2621),
    [anon_sym_const] = ACTIONS(2621),
    [anon_sym_constexpr] = ACTIONS(2621),
    [anon_sym_volatile] = ACTIONS(2621),
    [anon_sym_restrict] = ACTIONS(2621),
    [anon_sym___restrict__] = ACTIONS(2621),
    [anon_sym__Atomic] = ACTIONS(2621),
    [anon_sym__Noreturn] = ACTIONS(2621),
    [anon_sym_noreturn] = ACTIONS(2621),
    [anon_sym_mutable] = ACTIONS(2621),
    [anon_sym_constinit] = ACTIONS(2621),
    [anon_sym_consteval] = ACTIONS(2621),
    [sym_primitive_type] = ACTIONS(2621),
    [anon_sym_enum] = ACTIONS(2621),
    [anon_sym_class] = ACTIONS(2621),
    [anon_sym_struct] = ACTIONS(2621),
    [anon_sym_union] = ACTIONS(2621),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2621),
    [anon_sym_decltype] = ACTIONS(2621),
    [anon_sym_virtual] = ACTIONS(2621),
    [anon_sym_alignas] = ACTIONS(2621),
    [anon_sym_explicit] = ACTIONS(2621),
    [anon_sym_typename] = ACTIONS(2621),
    [anon_sym_template] = ACTIONS(2621),
    [anon_sym_operator] = ACTIONS(2621),
    [anon_sym_friend] = ACTIONS(2621),
    [anon_sym_public] = ACTIONS(2621),
    [anon_sym_private] = ACTIONS(2621),
    [anon_sym_protected] = ACTIONS(2621),
    [anon_sym_using] = ACTIONS(2621),
    [anon_sym_static_assert] = ACTIONS(2621),
    [anon_sym_precise] = ACTIONS(2621),
    [anon_sym_shared] = ACTIONS(2621),
    [anon_sym_groupshared] = ACTIONS(2621),
    [anon_sym_uniform] = ACTIONS(2621),
    [anon_sym_row_major] = ACTIONS(2621),
    [anon_sym_column_major] = ACTIONS(2621),
    [anon_sym_globallycoherent] = ACTIONS(2621),
    [anon_sym_centroid] = ACTIONS(2621),
    [anon_sym_noperspective] = ACTIONS(2621),
    [anon_sym_nointerpolation] = ACTIONS(2621),
    [anon_sym_sample] = ACTIONS(2621),
    [anon_sym_linear] = ACTIONS(2621),
    [anon_sym_snorm] = ACTIONS(2621),
    [anon_sym_unorm] = ACTIONS(2621),
    [anon_sym_point] = ACTIONS(2621),
    [anon_sym_line] = ACTIONS(2621),
    [anon_sym_triangleadj] = ACTIONS(2621),
    [anon_sym_lineadj] = ACTIONS(2621),
    [anon_sym_triangle] = ACTIONS(2621),
  },
  [2732] = {
    [sym_identifier] = ACTIONS(2789),
    [aux_sym_preproc_def_token1] = ACTIONS(2789),
    [aux_sym_preproc_if_token1] = ACTIONS(2789),
    [aux_sym_preproc_if_token2] = ACTIONS(2789),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2789),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2789),
    [aux_sym_preproc_else_token1] = ACTIONS(2789),
    [aux_sym_preproc_elif_token1] = ACTIONS(2789),
    [sym_preproc_directive] = ACTIONS(2789),
    [anon_sym_LPAREN2] = ACTIONS(2791),
    [anon_sym_TILDE] = ACTIONS(2791),
    [anon_sym_STAR] = ACTIONS(2791),
    [anon_sym_AMP_AMP] = ACTIONS(2791),
    [anon_sym_AMP] = ACTIONS(2789),
    [anon_sym___extension__] = ACTIONS(2789),
    [anon_sym_typedef] = ACTIONS(2789),
    [anon_sym_in] = ACTIONS(2789),
    [anon_sym_out] = ACTIONS(2789),
    [anon_sym_inout] = ACTIONS(2789),
    [anon_sym_extern] = ACTIONS(2789),
    [anon_sym___attribute__] = ACTIONS(2789),
    [anon_sym_COLON_COLON] = ACTIONS(2791),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2791),
    [anon_sym___declspec] = ACTIONS(2789),
    [anon_sym___based] = ACTIONS(2789),
    [anon_sym_signed] = ACTIONS(2789),
    [anon_sym_unsigned] = ACTIONS(2789),
    [anon_sym_long] = ACTIONS(2789),
    [anon_sym_short] = ACTIONS(2789),
    [anon_sym_LBRACK] = ACTIONS(2789),
    [anon_sym_static] = ACTIONS(2789),
    [anon_sym_register] = ACTIONS(2789),
    [anon_sym_inline] = ACTIONS(2789),
    [anon_sym___inline] = ACTIONS(2789),
    [anon_sym___inline__] = ACTIONS(2789),
    [anon_sym___forceinline] = ACTIONS(2789),
    [anon_sym_thread_local] = ACTIONS(2789),
    [anon_sym___thread] = ACTIONS(2789),
    [anon_sym_const] = ACTIONS(2789),
    [anon_sym_constexpr] = ACTIONS(2789),
    [anon_sym_volatile] = ACTIONS(2789),
    [anon_sym_restrict] = ACTIONS(2789),
    [anon_sym___restrict__] = ACTIONS(2789),
    [anon_sym__Atomic] = ACTIONS(2789),
    [anon_sym__Noreturn] = ACTIONS(2789),
    [anon_sym_noreturn] = ACTIONS(2789),
    [anon_sym_mutable] = ACTIONS(2789),
    [anon_sym_constinit] = ACTIONS(2789),
    [anon_sym_consteval] = ACTIONS(2789),
    [sym_primitive_type] = ACTIONS(2789),
    [anon_sym_enum] = ACTIONS(2789),
    [anon_sym_class] = ACTIONS(2789),
    [anon_sym_struct] = ACTIONS(2789),
    [anon_sym_union] = ACTIONS(2789),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2789),
    [anon_sym_decltype] = ACTIONS(2789),
    [anon_sym_virtual] = ACTIONS(2789),
    [anon_sym_alignas] = ACTIONS(2789),
    [anon_sym_explicit] = ACTIONS(2789),
    [anon_sym_typename] = ACTIONS(2789),
    [anon_sym_template] = ACTIONS(2789),
    [anon_sym_operator] = ACTIONS(2789),
    [anon_sym_friend] = ACTIONS(2789),
    [anon_sym_public] = ACTIONS(2789),
    [anon_sym_private] = ACTIONS(2789),
    [anon_sym_protected] = ACTIONS(2789),
    [anon_sym_using] = ACTIONS(2789),
    [anon_sym_static_assert] = ACTIONS(2789),
    [anon_sym_precise] = ACTIONS(2789),
    [anon_sym_shared] = ACTIONS(2789),
    [anon_sym_groupshared] = ACTIONS(2789),
    [anon_sym_uniform] = ACTIONS(2789),
    [anon_sym_row_major] = ACTIONS(2789),
    [anon_sym_column_major] = ACTIONS(2789),
    [anon_sym_globallycoherent] = ACTIONS(2789),
    [anon_sym_centroid] = ACTIONS(2789),
    [anon_sym_noperspective] = ACTIONS(2789),
    [anon_sym_nointerpolation] = ACTIONS(2789),
    [anon_sym_sample] = ACTIONS(2789),
    [anon_sym_linear] = ACTIONS(2789),
    [anon_sym_snorm] = ACTIONS(2789),
    [anon_sym_unorm] = ACTIONS(2789),
    [anon_sym_point] = ACTIONS(2789),
    [anon_sym_line] = ACTIONS(2789),
    [anon_sym_triangleadj] = ACTIONS(2789),
    [anon_sym_lineadj] = ACTIONS(2789),
    [anon_sym_triangle] = ACTIONS(2789),
  },
  [2733] = {
    [sym_identifier] = ACTIONS(2520),
    [aux_sym_preproc_def_token1] = ACTIONS(2520),
    [aux_sym_preproc_if_token1] = ACTIONS(2520),
    [aux_sym_preproc_if_token2] = ACTIONS(2520),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2520),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2520),
    [aux_sym_preproc_else_token1] = ACTIONS(2520),
    [aux_sym_preproc_elif_token1] = ACTIONS(2520),
    [sym_preproc_directive] = ACTIONS(2520),
    [anon_sym_LPAREN2] = ACTIONS(2522),
    [anon_sym_TILDE] = ACTIONS(2522),
    [anon_sym_STAR] = ACTIONS(2522),
    [anon_sym_AMP_AMP] = ACTIONS(2522),
    [anon_sym_AMP] = ACTIONS(2520),
    [anon_sym___extension__] = ACTIONS(2520),
    [anon_sym_typedef] = ACTIONS(2520),
    [anon_sym_in] = ACTIONS(2520),
    [anon_sym_out] = ACTIONS(2520),
    [anon_sym_inout] = ACTIONS(2520),
    [anon_sym_extern] = ACTIONS(2520),
    [anon_sym___attribute__] = ACTIONS(2520),
    [anon_sym_COLON_COLON] = ACTIONS(2522),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2522),
    [anon_sym___declspec] = ACTIONS(2520),
    [anon_sym___based] = ACTIONS(2520),
    [anon_sym_signed] = ACTIONS(2520),
    [anon_sym_unsigned] = ACTIONS(2520),
    [anon_sym_long] = ACTIONS(2520),
    [anon_sym_short] = ACTIONS(2520),
    [anon_sym_LBRACK] = ACTIONS(2520),
    [anon_sym_static] = ACTIONS(2520),
    [anon_sym_register] = ACTIONS(2520),
    [anon_sym_inline] = ACTIONS(2520),
    [anon_sym___inline] = ACTIONS(2520),
    [anon_sym___inline__] = ACTIONS(2520),
    [anon_sym___forceinline] = ACTIONS(2520),
    [anon_sym_thread_local] = ACTIONS(2520),
    [anon_sym___thread] = ACTIONS(2520),
    [anon_sym_const] = ACTIONS(2520),
    [anon_sym_constexpr] = ACTIONS(2520),
    [anon_sym_volatile] = ACTIONS(2520),
    [anon_sym_restrict] = ACTIONS(2520),
    [anon_sym___restrict__] = ACTIONS(2520),
    [anon_sym__Atomic] = ACTIONS(2520),
    [anon_sym__Noreturn] = ACTIONS(2520),
    [anon_sym_noreturn] = ACTIONS(2520),
    [anon_sym_mutable] = ACTIONS(2520),
    [anon_sym_constinit] = ACTIONS(2520),
    [anon_sym_consteval] = ACTIONS(2520),
    [sym_primitive_type] = ACTIONS(2520),
    [anon_sym_enum] = ACTIONS(2520),
    [anon_sym_class] = ACTIONS(2520),
    [anon_sym_struct] = ACTIONS(2520),
    [anon_sym_union] = ACTIONS(2520),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2520),
    [anon_sym_decltype] = ACTIONS(2520),
    [anon_sym_virtual] = ACTIONS(2520),
    [anon_sym_alignas] = ACTIONS(2520),
    [anon_sym_explicit] = ACTIONS(2520),
    [anon_sym_typename] = ACTIONS(2520),
    [anon_sym_template] = ACTIONS(2520),
    [anon_sym_operator] = ACTIONS(2520),
    [anon_sym_friend] = ACTIONS(2520),
    [anon_sym_public] = ACTIONS(2520),
    [anon_sym_private] = ACTIONS(2520),
    [anon_sym_protected] = ACTIONS(2520),
    [anon_sym_using] = ACTIONS(2520),
    [anon_sym_static_assert] = ACTIONS(2520),
    [anon_sym_precise] = ACTIONS(2520),
    [anon_sym_shared] = ACTIONS(2520),
    [anon_sym_groupshared] = ACTIONS(2520),
    [anon_sym_uniform] = ACTIONS(2520),
    [anon_sym_row_major] = ACTIONS(2520),
    [anon_sym_column_major] = ACTIONS(2520),
    [anon_sym_globallycoherent] = ACTIONS(2520),
    [anon_sym_centroid] = ACTIONS(2520),
    [anon_sym_noperspective] = ACTIONS(2520),
    [anon_sym_nointerpolation] = ACTIONS(2520),
    [anon_sym_sample] = ACTIONS(2520),
    [anon_sym_linear] = ACTIONS(2520),
    [anon_sym_snorm] = ACTIONS(2520),
    [anon_sym_unorm] = ACTIONS(2520),
    [anon_sym_point] = ACTIONS(2520),
    [anon_sym_line] = ACTIONS(2520),
    [anon_sym_triangleadj] = ACTIONS(2520),
    [anon_sym_lineadj] = ACTIONS(2520),
    [anon_sym_triangle] = ACTIONS(2520),
  },
  [2734] = {
    [sym_identifier] = ACTIONS(2829),
    [aux_sym_preproc_def_token1] = ACTIONS(2829),
    [aux_sym_preproc_if_token1] = ACTIONS(2829),
    [aux_sym_preproc_if_token2] = ACTIONS(2829),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2829),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2829),
    [aux_sym_preproc_else_token1] = ACTIONS(2829),
    [aux_sym_preproc_elif_token1] = ACTIONS(2829),
    [sym_preproc_directive] = ACTIONS(2829),
    [anon_sym_LPAREN2] = ACTIONS(2831),
    [anon_sym_TILDE] = ACTIONS(2831),
    [anon_sym_STAR] = ACTIONS(2831),
    [anon_sym_AMP_AMP] = ACTIONS(2831),
    [anon_sym_AMP] = ACTIONS(2829),
    [anon_sym___extension__] = ACTIONS(2829),
    [anon_sym_typedef] = ACTIONS(2829),
    [anon_sym_in] = ACTIONS(2829),
    [anon_sym_out] = ACTIONS(2829),
    [anon_sym_inout] = ACTIONS(2829),
    [anon_sym_extern] = ACTIONS(2829),
    [anon_sym___attribute__] = ACTIONS(2829),
    [anon_sym_COLON_COLON] = ACTIONS(2831),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2831),
    [anon_sym___declspec] = ACTIONS(2829),
    [anon_sym___based] = ACTIONS(2829),
    [anon_sym_signed] = ACTIONS(2829),
    [anon_sym_unsigned] = ACTIONS(2829),
    [anon_sym_long] = ACTIONS(2829),
    [anon_sym_short] = ACTIONS(2829),
    [anon_sym_LBRACK] = ACTIONS(2829),
    [anon_sym_static] = ACTIONS(2829),
    [anon_sym_register] = ACTIONS(2829),
    [anon_sym_inline] = ACTIONS(2829),
    [anon_sym___inline] = ACTIONS(2829),
    [anon_sym___inline__] = ACTIONS(2829),
    [anon_sym___forceinline] = ACTIONS(2829),
    [anon_sym_thread_local] = ACTIONS(2829),
    [anon_sym___thread] = ACTIONS(2829),
    [anon_sym_const] = ACTIONS(2829),
    [anon_sym_constexpr] = ACTIONS(2829),
    [anon_sym_volatile] = ACTIONS(2829),
    [anon_sym_restrict] = ACTIONS(2829),
    [anon_sym___restrict__] = ACTIONS(2829),
    [anon_sym__Atomic] = ACTIONS(2829),
    [anon_sym__Noreturn] = ACTIONS(2829),
    [anon_sym_noreturn] = ACTIONS(2829),
    [anon_sym_mutable] = ACTIONS(2829),
    [anon_sym_constinit] = ACTIONS(2829),
    [anon_sym_consteval] = ACTIONS(2829),
    [sym_primitive_type] = ACTIONS(2829),
    [anon_sym_enum] = ACTIONS(2829),
    [anon_sym_class] = ACTIONS(2829),
    [anon_sym_struct] = ACTIONS(2829),
    [anon_sym_union] = ACTIONS(2829),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2829),
    [anon_sym_decltype] = ACTIONS(2829),
    [anon_sym_virtual] = ACTIONS(2829),
    [anon_sym_alignas] = ACTIONS(2829),
    [anon_sym_explicit] = ACTIONS(2829),
    [anon_sym_typename] = ACTIONS(2829),
    [anon_sym_template] = ACTIONS(2829),
    [anon_sym_operator] = ACTIONS(2829),
    [anon_sym_friend] = ACTIONS(2829),
    [anon_sym_public] = ACTIONS(2829),
    [anon_sym_private] = ACTIONS(2829),
    [anon_sym_protected] = ACTIONS(2829),
    [anon_sym_using] = ACTIONS(2829),
    [anon_sym_static_assert] = ACTIONS(2829),
    [anon_sym_precise] = ACTIONS(2829),
    [anon_sym_shared] = ACTIONS(2829),
    [anon_sym_groupshared] = ACTIONS(2829),
    [anon_sym_uniform] = ACTIONS(2829),
    [anon_sym_row_major] = ACTIONS(2829),
    [anon_sym_column_major] = ACTIONS(2829),
    [anon_sym_globallycoherent] = ACTIONS(2829),
    [anon_sym_centroid] = ACTIONS(2829),
    [anon_sym_noperspective] = ACTIONS(2829),
    [anon_sym_nointerpolation] = ACTIONS(2829),
    [anon_sym_sample] = ACTIONS(2829),
    [anon_sym_linear] = ACTIONS(2829),
    [anon_sym_snorm] = ACTIONS(2829),
    [anon_sym_unorm] = ACTIONS(2829),
    [anon_sym_point] = ACTIONS(2829),
    [anon_sym_line] = ACTIONS(2829),
    [anon_sym_triangleadj] = ACTIONS(2829),
    [anon_sym_lineadj] = ACTIONS(2829),
    [anon_sym_triangle] = ACTIONS(2829),
  },
  [2735] = {
    [sym_identifier] = ACTIONS(2633),
    [aux_sym_preproc_def_token1] = ACTIONS(2633),
    [aux_sym_preproc_if_token1] = ACTIONS(2633),
    [aux_sym_preproc_if_token2] = ACTIONS(2633),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2633),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2633),
    [aux_sym_preproc_else_token1] = ACTIONS(2633),
    [aux_sym_preproc_elif_token1] = ACTIONS(2633),
    [sym_preproc_directive] = ACTIONS(2633),
    [anon_sym_LPAREN2] = ACTIONS(2635),
    [anon_sym_TILDE] = ACTIONS(2635),
    [anon_sym_STAR] = ACTIONS(2635),
    [anon_sym_AMP_AMP] = ACTIONS(2635),
    [anon_sym_AMP] = ACTIONS(2633),
    [anon_sym___extension__] = ACTIONS(2633),
    [anon_sym_typedef] = ACTIONS(2633),
    [anon_sym_in] = ACTIONS(2633),
    [anon_sym_out] = ACTIONS(2633),
    [anon_sym_inout] = ACTIONS(2633),
    [anon_sym_extern] = ACTIONS(2633),
    [anon_sym___attribute__] = ACTIONS(2633),
    [anon_sym_COLON_COLON] = ACTIONS(2635),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2635),
    [anon_sym___declspec] = ACTIONS(2633),
    [anon_sym___based] = ACTIONS(2633),
    [anon_sym_signed] = ACTIONS(2633),
    [anon_sym_unsigned] = ACTIONS(2633),
    [anon_sym_long] = ACTIONS(2633),
    [anon_sym_short] = ACTIONS(2633),
    [anon_sym_LBRACK] = ACTIONS(2633),
    [anon_sym_static] = ACTIONS(2633),
    [anon_sym_register] = ACTIONS(2633),
    [anon_sym_inline] = ACTIONS(2633),
    [anon_sym___inline] = ACTIONS(2633),
    [anon_sym___inline__] = ACTIONS(2633),
    [anon_sym___forceinline] = ACTIONS(2633),
    [anon_sym_thread_local] = ACTIONS(2633),
    [anon_sym___thread] = ACTIONS(2633),
    [anon_sym_const] = ACTIONS(2633),
    [anon_sym_constexpr] = ACTIONS(2633),
    [anon_sym_volatile] = ACTIONS(2633),
    [anon_sym_restrict] = ACTIONS(2633),
    [anon_sym___restrict__] = ACTIONS(2633),
    [anon_sym__Atomic] = ACTIONS(2633),
    [anon_sym__Noreturn] = ACTIONS(2633),
    [anon_sym_noreturn] = ACTIONS(2633),
    [anon_sym_mutable] = ACTIONS(2633),
    [anon_sym_constinit] = ACTIONS(2633),
    [anon_sym_consteval] = ACTIONS(2633),
    [sym_primitive_type] = ACTIONS(2633),
    [anon_sym_enum] = ACTIONS(2633),
    [anon_sym_class] = ACTIONS(2633),
    [anon_sym_struct] = ACTIONS(2633),
    [anon_sym_union] = ACTIONS(2633),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2633),
    [anon_sym_decltype] = ACTIONS(2633),
    [anon_sym_virtual] = ACTIONS(2633),
    [anon_sym_alignas] = ACTIONS(2633),
    [anon_sym_explicit] = ACTIONS(2633),
    [anon_sym_typename] = ACTIONS(2633),
    [anon_sym_template] = ACTIONS(2633),
    [anon_sym_operator] = ACTIONS(2633),
    [anon_sym_friend] = ACTIONS(2633),
    [anon_sym_public] = ACTIONS(2633),
    [anon_sym_private] = ACTIONS(2633),
    [anon_sym_protected] = ACTIONS(2633),
    [anon_sym_using] = ACTIONS(2633),
    [anon_sym_static_assert] = ACTIONS(2633),
    [anon_sym_precise] = ACTIONS(2633),
    [anon_sym_shared] = ACTIONS(2633),
    [anon_sym_groupshared] = ACTIONS(2633),
    [anon_sym_uniform] = ACTIONS(2633),
    [anon_sym_row_major] = ACTIONS(2633),
    [anon_sym_column_major] = ACTIONS(2633),
    [anon_sym_globallycoherent] = ACTIONS(2633),
    [anon_sym_centroid] = ACTIONS(2633),
    [anon_sym_noperspective] = ACTIONS(2633),
    [anon_sym_nointerpolation] = ACTIONS(2633),
    [anon_sym_sample] = ACTIONS(2633),
    [anon_sym_linear] = ACTIONS(2633),
    [anon_sym_snorm] = ACTIONS(2633),
    [anon_sym_unorm] = ACTIONS(2633),
    [anon_sym_point] = ACTIONS(2633),
    [anon_sym_line] = ACTIONS(2633),
    [anon_sym_triangleadj] = ACTIONS(2633),
    [anon_sym_lineadj] = ACTIONS(2633),
    [anon_sym_triangle] = ACTIONS(2633),
  },
  [2736] = {
    [sym_identifier] = ACTIONS(2649),
    [aux_sym_preproc_def_token1] = ACTIONS(2649),
    [aux_sym_preproc_if_token1] = ACTIONS(2649),
    [aux_sym_preproc_if_token2] = ACTIONS(2649),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2649),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2649),
    [aux_sym_preproc_else_token1] = ACTIONS(2649),
    [aux_sym_preproc_elif_token1] = ACTIONS(2649),
    [sym_preproc_directive] = ACTIONS(2649),
    [anon_sym_LPAREN2] = ACTIONS(2651),
    [anon_sym_TILDE] = ACTIONS(2651),
    [anon_sym_STAR] = ACTIONS(2651),
    [anon_sym_AMP_AMP] = ACTIONS(2651),
    [anon_sym_AMP] = ACTIONS(2649),
    [anon_sym___extension__] = ACTIONS(2649),
    [anon_sym_typedef] = ACTIONS(2649),
    [anon_sym_in] = ACTIONS(2649),
    [anon_sym_out] = ACTIONS(2649),
    [anon_sym_inout] = ACTIONS(2649),
    [anon_sym_extern] = ACTIONS(2649),
    [anon_sym___attribute__] = ACTIONS(2649),
    [anon_sym_COLON_COLON] = ACTIONS(2651),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2651),
    [anon_sym___declspec] = ACTIONS(2649),
    [anon_sym___based] = ACTIONS(2649),
    [anon_sym_signed] = ACTIONS(2649),
    [anon_sym_unsigned] = ACTIONS(2649),
    [anon_sym_long] = ACTIONS(2649),
    [anon_sym_short] = ACTIONS(2649),
    [anon_sym_LBRACK] = ACTIONS(2649),
    [anon_sym_static] = ACTIONS(2649),
    [anon_sym_register] = ACTIONS(2649),
    [anon_sym_inline] = ACTIONS(2649),
    [anon_sym___inline] = ACTIONS(2649),
    [anon_sym___inline__] = ACTIONS(2649),
    [anon_sym___forceinline] = ACTIONS(2649),
    [anon_sym_thread_local] = ACTIONS(2649),
    [anon_sym___thread] = ACTIONS(2649),
    [anon_sym_const] = ACTIONS(2649),
    [anon_sym_constexpr] = ACTIONS(2649),
    [anon_sym_volatile] = ACTIONS(2649),
    [anon_sym_restrict] = ACTIONS(2649),
    [anon_sym___restrict__] = ACTIONS(2649),
    [anon_sym__Atomic] = ACTIONS(2649),
    [anon_sym__Noreturn] = ACTIONS(2649),
    [anon_sym_noreturn] = ACTIONS(2649),
    [anon_sym_mutable] = ACTIONS(2649),
    [anon_sym_constinit] = ACTIONS(2649),
    [anon_sym_consteval] = ACTIONS(2649),
    [sym_primitive_type] = ACTIONS(2649),
    [anon_sym_enum] = ACTIONS(2649),
    [anon_sym_class] = ACTIONS(2649),
    [anon_sym_struct] = ACTIONS(2649),
    [anon_sym_union] = ACTIONS(2649),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2649),
    [anon_sym_decltype] = ACTIONS(2649),
    [anon_sym_virtual] = ACTIONS(2649),
    [anon_sym_alignas] = ACTIONS(2649),
    [anon_sym_explicit] = ACTIONS(2649),
    [anon_sym_typename] = ACTIONS(2649),
    [anon_sym_template] = ACTIONS(2649),
    [anon_sym_operator] = ACTIONS(2649),
    [anon_sym_friend] = ACTIONS(2649),
    [anon_sym_public] = ACTIONS(2649),
    [anon_sym_private] = ACTIONS(2649),
    [anon_sym_protected] = ACTIONS(2649),
    [anon_sym_using] = ACTIONS(2649),
    [anon_sym_static_assert] = ACTIONS(2649),
    [anon_sym_precise] = ACTIONS(2649),
    [anon_sym_shared] = ACTIONS(2649),
    [anon_sym_groupshared] = ACTIONS(2649),
    [anon_sym_uniform] = ACTIONS(2649),
    [anon_sym_row_major] = ACTIONS(2649),
    [anon_sym_column_major] = ACTIONS(2649),
    [anon_sym_globallycoherent] = ACTIONS(2649),
    [anon_sym_centroid] = ACTIONS(2649),
    [anon_sym_noperspective] = ACTIONS(2649),
    [anon_sym_nointerpolation] = ACTIONS(2649),
    [anon_sym_sample] = ACTIONS(2649),
    [anon_sym_linear] = ACTIONS(2649),
    [anon_sym_snorm] = ACTIONS(2649),
    [anon_sym_unorm] = ACTIONS(2649),
    [anon_sym_point] = ACTIONS(2649),
    [anon_sym_line] = ACTIONS(2649),
    [anon_sym_triangleadj] = ACTIONS(2649),
    [anon_sym_lineadj] = ACTIONS(2649),
    [anon_sym_triangle] = ACTIONS(2649),
  },
  [2737] = {
    [sym_identifier] = ACTIONS(2625),
    [aux_sym_preproc_def_token1] = ACTIONS(2625),
    [aux_sym_preproc_if_token1] = ACTIONS(2625),
    [aux_sym_preproc_if_token2] = ACTIONS(2625),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2625),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2625),
    [aux_sym_preproc_else_token1] = ACTIONS(2625),
    [aux_sym_preproc_elif_token1] = ACTIONS(2625),
    [sym_preproc_directive] = ACTIONS(2625),
    [anon_sym_LPAREN2] = ACTIONS(2627),
    [anon_sym_TILDE] = ACTIONS(2627),
    [anon_sym_STAR] = ACTIONS(2627),
    [anon_sym_AMP_AMP] = ACTIONS(2627),
    [anon_sym_AMP] = ACTIONS(2625),
    [anon_sym___extension__] = ACTIONS(2625),
    [anon_sym_typedef] = ACTIONS(2625),
    [anon_sym_in] = ACTIONS(2625),
    [anon_sym_out] = ACTIONS(2625),
    [anon_sym_inout] = ACTIONS(2625),
    [anon_sym_extern] = ACTIONS(2625),
    [anon_sym___attribute__] = ACTIONS(2625),
    [anon_sym_COLON_COLON] = ACTIONS(2627),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2627),
    [anon_sym___declspec] = ACTIONS(2625),
    [anon_sym___based] = ACTIONS(2625),
    [anon_sym_signed] = ACTIONS(2625),
    [anon_sym_unsigned] = ACTIONS(2625),
    [anon_sym_long] = ACTIONS(2625),
    [anon_sym_short] = ACTIONS(2625),
    [anon_sym_LBRACK] = ACTIONS(2625),
    [anon_sym_static] = ACTIONS(2625),
    [anon_sym_register] = ACTIONS(2625),
    [anon_sym_inline] = ACTIONS(2625),
    [anon_sym___inline] = ACTIONS(2625),
    [anon_sym___inline__] = ACTIONS(2625),
    [anon_sym___forceinline] = ACTIONS(2625),
    [anon_sym_thread_local] = ACTIONS(2625),
    [anon_sym___thread] = ACTIONS(2625),
    [anon_sym_const] = ACTIONS(2625),
    [anon_sym_constexpr] = ACTIONS(2625),
    [anon_sym_volatile] = ACTIONS(2625),
    [anon_sym_restrict] = ACTIONS(2625),
    [anon_sym___restrict__] = ACTIONS(2625),
    [anon_sym__Atomic] = ACTIONS(2625),
    [anon_sym__Noreturn] = ACTIONS(2625),
    [anon_sym_noreturn] = ACTIONS(2625),
    [anon_sym_mutable] = ACTIONS(2625),
    [anon_sym_constinit] = ACTIONS(2625),
    [anon_sym_consteval] = ACTIONS(2625),
    [sym_primitive_type] = ACTIONS(2625),
    [anon_sym_enum] = ACTIONS(2625),
    [anon_sym_class] = ACTIONS(2625),
    [anon_sym_struct] = ACTIONS(2625),
    [anon_sym_union] = ACTIONS(2625),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2625),
    [anon_sym_decltype] = ACTIONS(2625),
    [anon_sym_virtual] = ACTIONS(2625),
    [anon_sym_alignas] = ACTIONS(2625),
    [anon_sym_explicit] = ACTIONS(2625),
    [anon_sym_typename] = ACTIONS(2625),
    [anon_sym_template] = ACTIONS(2625),
    [anon_sym_operator] = ACTIONS(2625),
    [anon_sym_friend] = ACTIONS(2625),
    [anon_sym_public] = ACTIONS(2625),
    [anon_sym_private] = ACTIONS(2625),
    [anon_sym_protected] = ACTIONS(2625),
    [anon_sym_using] = ACTIONS(2625),
    [anon_sym_static_assert] = ACTIONS(2625),
    [anon_sym_precise] = ACTIONS(2625),
    [anon_sym_shared] = ACTIONS(2625),
    [anon_sym_groupshared] = ACTIONS(2625),
    [anon_sym_uniform] = ACTIONS(2625),
    [anon_sym_row_major] = ACTIONS(2625),
    [anon_sym_column_major] = ACTIONS(2625),
    [anon_sym_globallycoherent] = ACTIONS(2625),
    [anon_sym_centroid] = ACTIONS(2625),
    [anon_sym_noperspective] = ACTIONS(2625),
    [anon_sym_nointerpolation] = ACTIONS(2625),
    [anon_sym_sample] = ACTIONS(2625),
    [anon_sym_linear] = ACTIONS(2625),
    [anon_sym_snorm] = ACTIONS(2625),
    [anon_sym_unorm] = ACTIONS(2625),
    [anon_sym_point] = ACTIONS(2625),
    [anon_sym_line] = ACTIONS(2625),
    [anon_sym_triangleadj] = ACTIONS(2625),
    [anon_sym_lineadj] = ACTIONS(2625),
    [anon_sym_triangle] = ACTIONS(2625),
  },
  [2738] = {
    [sym_identifier] = ACTIONS(2793),
    [aux_sym_preproc_def_token1] = ACTIONS(2793),
    [aux_sym_preproc_if_token1] = ACTIONS(2793),
    [aux_sym_preproc_if_token2] = ACTIONS(2793),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2793),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2793),
    [aux_sym_preproc_else_token1] = ACTIONS(2793),
    [aux_sym_preproc_elif_token1] = ACTIONS(2793),
    [sym_preproc_directive] = ACTIONS(2793),
    [anon_sym_LPAREN2] = ACTIONS(2795),
    [anon_sym_TILDE] = ACTIONS(2795),
    [anon_sym_STAR] = ACTIONS(2795),
    [anon_sym_AMP_AMP] = ACTIONS(2795),
    [anon_sym_AMP] = ACTIONS(2793),
    [anon_sym___extension__] = ACTIONS(2793),
    [anon_sym_typedef] = ACTIONS(2793),
    [anon_sym_in] = ACTIONS(2793),
    [anon_sym_out] = ACTIONS(2793),
    [anon_sym_inout] = ACTIONS(2793),
    [anon_sym_extern] = ACTIONS(2793),
    [anon_sym___attribute__] = ACTIONS(2793),
    [anon_sym_COLON_COLON] = ACTIONS(2795),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2795),
    [anon_sym___declspec] = ACTIONS(2793),
    [anon_sym___based] = ACTIONS(2793),
    [anon_sym_signed] = ACTIONS(2793),
    [anon_sym_unsigned] = ACTIONS(2793),
    [anon_sym_long] = ACTIONS(2793),
    [anon_sym_short] = ACTIONS(2793),
    [anon_sym_LBRACK] = ACTIONS(2793),
    [anon_sym_static] = ACTIONS(2793),
    [anon_sym_register] = ACTIONS(2793),
    [anon_sym_inline] = ACTIONS(2793),
    [anon_sym___inline] = ACTIONS(2793),
    [anon_sym___inline__] = ACTIONS(2793),
    [anon_sym___forceinline] = ACTIONS(2793),
    [anon_sym_thread_local] = ACTIONS(2793),
    [anon_sym___thread] = ACTIONS(2793),
    [anon_sym_const] = ACTIONS(2793),
    [anon_sym_constexpr] = ACTIONS(2793),
    [anon_sym_volatile] = ACTIONS(2793),
    [anon_sym_restrict] = ACTIONS(2793),
    [anon_sym___restrict__] = ACTIONS(2793),
    [anon_sym__Atomic] = ACTIONS(2793),
    [anon_sym__Noreturn] = ACTIONS(2793),
    [anon_sym_noreturn] = ACTIONS(2793),
    [anon_sym_mutable] = ACTIONS(2793),
    [anon_sym_constinit] = ACTIONS(2793),
    [anon_sym_consteval] = ACTIONS(2793),
    [sym_primitive_type] = ACTIONS(2793),
    [anon_sym_enum] = ACTIONS(2793),
    [anon_sym_class] = ACTIONS(2793),
    [anon_sym_struct] = ACTIONS(2793),
    [anon_sym_union] = ACTIONS(2793),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2793),
    [anon_sym_decltype] = ACTIONS(2793),
    [anon_sym_virtual] = ACTIONS(2793),
    [anon_sym_alignas] = ACTIONS(2793),
    [anon_sym_explicit] = ACTIONS(2793),
    [anon_sym_typename] = ACTIONS(2793),
    [anon_sym_template] = ACTIONS(2793),
    [anon_sym_operator] = ACTIONS(2793),
    [anon_sym_friend] = ACTIONS(2793),
    [anon_sym_public] = ACTIONS(2793),
    [anon_sym_private] = ACTIONS(2793),
    [anon_sym_protected] = ACTIONS(2793),
    [anon_sym_using] = ACTIONS(2793),
    [anon_sym_static_assert] = ACTIONS(2793),
    [anon_sym_precise] = ACTIONS(2793),
    [anon_sym_shared] = ACTIONS(2793),
    [anon_sym_groupshared] = ACTIONS(2793),
    [anon_sym_uniform] = ACTIONS(2793),
    [anon_sym_row_major] = ACTIONS(2793),
    [anon_sym_column_major] = ACTIONS(2793),
    [anon_sym_globallycoherent] = ACTIONS(2793),
    [anon_sym_centroid] = ACTIONS(2793),
    [anon_sym_noperspective] = ACTIONS(2793),
    [anon_sym_nointerpolation] = ACTIONS(2793),
    [anon_sym_sample] = ACTIONS(2793),
    [anon_sym_linear] = ACTIONS(2793),
    [anon_sym_snorm] = ACTIONS(2793),
    [anon_sym_unorm] = ACTIONS(2793),
    [anon_sym_point] = ACTIONS(2793),
    [anon_sym_line] = ACTIONS(2793),
    [anon_sym_triangleadj] = ACTIONS(2793),
    [anon_sym_lineadj] = ACTIONS(2793),
    [anon_sym_triangle] = ACTIONS(2793),
  },
  [2739] = {
    [sym_identifier] = ACTIONS(2785),
    [aux_sym_preproc_def_token1] = ACTIONS(2785),
    [aux_sym_preproc_if_token1] = ACTIONS(2785),
    [aux_sym_preproc_if_token2] = ACTIONS(2785),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2785),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2785),
    [aux_sym_preproc_else_token1] = ACTIONS(2785),
    [aux_sym_preproc_elif_token1] = ACTIONS(2785),
    [sym_preproc_directive] = ACTIONS(2785),
    [anon_sym_LPAREN2] = ACTIONS(2787),
    [anon_sym_TILDE] = ACTIONS(2787),
    [anon_sym_STAR] = ACTIONS(2787),
    [anon_sym_AMP_AMP] = ACTIONS(2787),
    [anon_sym_AMP] = ACTIONS(2785),
    [anon_sym___extension__] = ACTIONS(2785),
    [anon_sym_typedef] = ACTIONS(2785),
    [anon_sym_in] = ACTIONS(2785),
    [anon_sym_out] = ACTIONS(2785),
    [anon_sym_inout] = ACTIONS(2785),
    [anon_sym_extern] = ACTIONS(2785),
    [anon_sym___attribute__] = ACTIONS(2785),
    [anon_sym_COLON_COLON] = ACTIONS(2787),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2787),
    [anon_sym___declspec] = ACTIONS(2785),
    [anon_sym___based] = ACTIONS(2785),
    [anon_sym_signed] = ACTIONS(2785),
    [anon_sym_unsigned] = ACTIONS(2785),
    [anon_sym_long] = ACTIONS(2785),
    [anon_sym_short] = ACTIONS(2785),
    [anon_sym_LBRACK] = ACTIONS(2785),
    [anon_sym_static] = ACTIONS(2785),
    [anon_sym_register] = ACTIONS(2785),
    [anon_sym_inline] = ACTIONS(2785),
    [anon_sym___inline] = ACTIONS(2785),
    [anon_sym___inline__] = ACTIONS(2785),
    [anon_sym___forceinline] = ACTIONS(2785),
    [anon_sym_thread_local] = ACTIONS(2785),
    [anon_sym___thread] = ACTIONS(2785),
    [anon_sym_const] = ACTIONS(2785),
    [anon_sym_constexpr] = ACTIONS(2785),
    [anon_sym_volatile] = ACTIONS(2785),
    [anon_sym_restrict] = ACTIONS(2785),
    [anon_sym___restrict__] = ACTIONS(2785),
    [anon_sym__Atomic] = ACTIONS(2785),
    [anon_sym__Noreturn] = ACTIONS(2785),
    [anon_sym_noreturn] = ACTIONS(2785),
    [anon_sym_mutable] = ACTIONS(2785),
    [anon_sym_constinit] = ACTIONS(2785),
    [anon_sym_consteval] = ACTIONS(2785),
    [sym_primitive_type] = ACTIONS(2785),
    [anon_sym_enum] = ACTIONS(2785),
    [anon_sym_class] = ACTIONS(2785),
    [anon_sym_struct] = ACTIONS(2785),
    [anon_sym_union] = ACTIONS(2785),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2785),
    [anon_sym_decltype] = ACTIONS(2785),
    [anon_sym_virtual] = ACTIONS(2785),
    [anon_sym_alignas] = ACTIONS(2785),
    [anon_sym_explicit] = ACTIONS(2785),
    [anon_sym_typename] = ACTIONS(2785),
    [anon_sym_template] = ACTIONS(2785),
    [anon_sym_operator] = ACTIONS(2785),
    [anon_sym_friend] = ACTIONS(2785),
    [anon_sym_public] = ACTIONS(2785),
    [anon_sym_private] = ACTIONS(2785),
    [anon_sym_protected] = ACTIONS(2785),
    [anon_sym_using] = ACTIONS(2785),
    [anon_sym_static_assert] = ACTIONS(2785),
    [anon_sym_precise] = ACTIONS(2785),
    [anon_sym_shared] = ACTIONS(2785),
    [anon_sym_groupshared] = ACTIONS(2785),
    [anon_sym_uniform] = ACTIONS(2785),
    [anon_sym_row_major] = ACTIONS(2785),
    [anon_sym_column_major] = ACTIONS(2785),
    [anon_sym_globallycoherent] = ACTIONS(2785),
    [anon_sym_centroid] = ACTIONS(2785),
    [anon_sym_noperspective] = ACTIONS(2785),
    [anon_sym_nointerpolation] = ACTIONS(2785),
    [anon_sym_sample] = ACTIONS(2785),
    [anon_sym_linear] = ACTIONS(2785),
    [anon_sym_snorm] = ACTIONS(2785),
    [anon_sym_unorm] = ACTIONS(2785),
    [anon_sym_point] = ACTIONS(2785),
    [anon_sym_line] = ACTIONS(2785),
    [anon_sym_triangleadj] = ACTIONS(2785),
    [anon_sym_lineadj] = ACTIONS(2785),
    [anon_sym_triangle] = ACTIONS(2785),
  },
  [2740] = {
    [sym_identifier] = ACTIONS(2769),
    [aux_sym_preproc_def_token1] = ACTIONS(2769),
    [aux_sym_preproc_if_token1] = ACTIONS(2769),
    [aux_sym_preproc_if_token2] = ACTIONS(2769),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2769),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2769),
    [aux_sym_preproc_else_token1] = ACTIONS(2769),
    [aux_sym_preproc_elif_token1] = ACTIONS(2769),
    [sym_preproc_directive] = ACTIONS(2769),
    [anon_sym_LPAREN2] = ACTIONS(2771),
    [anon_sym_TILDE] = ACTIONS(2771),
    [anon_sym_STAR] = ACTIONS(2771),
    [anon_sym_AMP_AMP] = ACTIONS(2771),
    [anon_sym_AMP] = ACTIONS(2769),
    [anon_sym___extension__] = ACTIONS(2769),
    [anon_sym_typedef] = ACTIONS(2769),
    [anon_sym_in] = ACTIONS(2769),
    [anon_sym_out] = ACTIONS(2769),
    [anon_sym_inout] = ACTIONS(2769),
    [anon_sym_extern] = ACTIONS(2769),
    [anon_sym___attribute__] = ACTIONS(2769),
    [anon_sym_COLON_COLON] = ACTIONS(2771),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2771),
    [anon_sym___declspec] = ACTIONS(2769),
    [anon_sym___based] = ACTIONS(2769),
    [anon_sym_signed] = ACTIONS(2769),
    [anon_sym_unsigned] = ACTIONS(2769),
    [anon_sym_long] = ACTIONS(2769),
    [anon_sym_short] = ACTIONS(2769),
    [anon_sym_LBRACK] = ACTIONS(2769),
    [anon_sym_static] = ACTIONS(2769),
    [anon_sym_register] = ACTIONS(2769),
    [anon_sym_inline] = ACTIONS(2769),
    [anon_sym___inline] = ACTIONS(2769),
    [anon_sym___inline__] = ACTIONS(2769),
    [anon_sym___forceinline] = ACTIONS(2769),
    [anon_sym_thread_local] = ACTIONS(2769),
    [anon_sym___thread] = ACTIONS(2769),
    [anon_sym_const] = ACTIONS(2769),
    [anon_sym_constexpr] = ACTIONS(2769),
    [anon_sym_volatile] = ACTIONS(2769),
    [anon_sym_restrict] = ACTIONS(2769),
    [anon_sym___restrict__] = ACTIONS(2769),
    [anon_sym__Atomic] = ACTIONS(2769),
    [anon_sym__Noreturn] = ACTIONS(2769),
    [anon_sym_noreturn] = ACTIONS(2769),
    [anon_sym_mutable] = ACTIONS(2769),
    [anon_sym_constinit] = ACTIONS(2769),
    [anon_sym_consteval] = ACTIONS(2769),
    [sym_primitive_type] = ACTIONS(2769),
    [anon_sym_enum] = ACTIONS(2769),
    [anon_sym_class] = ACTIONS(2769),
    [anon_sym_struct] = ACTIONS(2769),
    [anon_sym_union] = ACTIONS(2769),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2769),
    [anon_sym_decltype] = ACTIONS(2769),
    [anon_sym_virtual] = ACTIONS(2769),
    [anon_sym_alignas] = ACTIONS(2769),
    [anon_sym_explicit] = ACTIONS(2769),
    [anon_sym_typename] = ACTIONS(2769),
    [anon_sym_template] = ACTIONS(2769),
    [anon_sym_operator] = ACTIONS(2769),
    [anon_sym_friend] = ACTIONS(2769),
    [anon_sym_public] = ACTIONS(2769),
    [anon_sym_private] = ACTIONS(2769),
    [anon_sym_protected] = ACTIONS(2769),
    [anon_sym_using] = ACTIONS(2769),
    [anon_sym_static_assert] = ACTIONS(2769),
    [anon_sym_precise] = ACTIONS(2769),
    [anon_sym_shared] = ACTIONS(2769),
    [anon_sym_groupshared] = ACTIONS(2769),
    [anon_sym_uniform] = ACTIONS(2769),
    [anon_sym_row_major] = ACTIONS(2769),
    [anon_sym_column_major] = ACTIONS(2769),
    [anon_sym_globallycoherent] = ACTIONS(2769),
    [anon_sym_centroid] = ACTIONS(2769),
    [anon_sym_noperspective] = ACTIONS(2769),
    [anon_sym_nointerpolation] = ACTIONS(2769),
    [anon_sym_sample] = ACTIONS(2769),
    [anon_sym_linear] = ACTIONS(2769),
    [anon_sym_snorm] = ACTIONS(2769),
    [anon_sym_unorm] = ACTIONS(2769),
    [anon_sym_point] = ACTIONS(2769),
    [anon_sym_line] = ACTIONS(2769),
    [anon_sym_triangleadj] = ACTIONS(2769),
    [anon_sym_lineadj] = ACTIONS(2769),
    [anon_sym_triangle] = ACTIONS(2769),
  },
  [2741] = {
    [sym_identifier] = ACTIONS(2765),
    [aux_sym_preproc_def_token1] = ACTIONS(2765),
    [aux_sym_preproc_if_token1] = ACTIONS(2765),
    [aux_sym_preproc_if_token2] = ACTIONS(2765),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2765),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2765),
    [aux_sym_preproc_else_token1] = ACTIONS(2765),
    [aux_sym_preproc_elif_token1] = ACTIONS(2765),
    [sym_preproc_directive] = ACTIONS(2765),
    [anon_sym_LPAREN2] = ACTIONS(2767),
    [anon_sym_TILDE] = ACTIONS(2767),
    [anon_sym_STAR] = ACTIONS(2767),
    [anon_sym_AMP_AMP] = ACTIONS(2767),
    [anon_sym_AMP] = ACTIONS(2765),
    [anon_sym___extension__] = ACTIONS(2765),
    [anon_sym_typedef] = ACTIONS(2765),
    [anon_sym_in] = ACTIONS(2765),
    [anon_sym_out] = ACTIONS(2765),
    [anon_sym_inout] = ACTIONS(2765),
    [anon_sym_extern] = ACTIONS(2765),
    [anon_sym___attribute__] = ACTIONS(2765),
    [anon_sym_COLON_COLON] = ACTIONS(2767),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2767),
    [anon_sym___declspec] = ACTIONS(2765),
    [anon_sym___based] = ACTIONS(2765),
    [anon_sym_signed] = ACTIONS(2765),
    [anon_sym_unsigned] = ACTIONS(2765),
    [anon_sym_long] = ACTIONS(2765),
    [anon_sym_short] = ACTIONS(2765),
    [anon_sym_LBRACK] = ACTIONS(2765),
    [anon_sym_static] = ACTIONS(2765),
    [anon_sym_register] = ACTIONS(2765),
    [anon_sym_inline] = ACTIONS(2765),
    [anon_sym___inline] = ACTIONS(2765),
    [anon_sym___inline__] = ACTIONS(2765),
    [anon_sym___forceinline] = ACTIONS(2765),
    [anon_sym_thread_local] = ACTIONS(2765),
    [anon_sym___thread] = ACTIONS(2765),
    [anon_sym_const] = ACTIONS(2765),
    [anon_sym_constexpr] = ACTIONS(2765),
    [anon_sym_volatile] = ACTIONS(2765),
    [anon_sym_restrict] = ACTIONS(2765),
    [anon_sym___restrict__] = ACTIONS(2765),
    [anon_sym__Atomic] = ACTIONS(2765),
    [anon_sym__Noreturn] = ACTIONS(2765),
    [anon_sym_noreturn] = ACTIONS(2765),
    [anon_sym_mutable] = ACTIONS(2765),
    [anon_sym_constinit] = ACTIONS(2765),
    [anon_sym_consteval] = ACTIONS(2765),
    [sym_primitive_type] = ACTIONS(2765),
    [anon_sym_enum] = ACTIONS(2765),
    [anon_sym_class] = ACTIONS(2765),
    [anon_sym_struct] = ACTIONS(2765),
    [anon_sym_union] = ACTIONS(2765),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2765),
    [anon_sym_decltype] = ACTIONS(2765),
    [anon_sym_virtual] = ACTIONS(2765),
    [anon_sym_alignas] = ACTIONS(2765),
    [anon_sym_explicit] = ACTIONS(2765),
    [anon_sym_typename] = ACTIONS(2765),
    [anon_sym_template] = ACTIONS(2765),
    [anon_sym_operator] = ACTIONS(2765),
    [anon_sym_friend] = ACTIONS(2765),
    [anon_sym_public] = ACTIONS(2765),
    [anon_sym_private] = ACTIONS(2765),
    [anon_sym_protected] = ACTIONS(2765),
    [anon_sym_using] = ACTIONS(2765),
    [anon_sym_static_assert] = ACTIONS(2765),
    [anon_sym_precise] = ACTIONS(2765),
    [anon_sym_shared] = ACTIONS(2765),
    [anon_sym_groupshared] = ACTIONS(2765),
    [anon_sym_uniform] = ACTIONS(2765),
    [anon_sym_row_major] = ACTIONS(2765),
    [anon_sym_column_major] = ACTIONS(2765),
    [anon_sym_globallycoherent] = ACTIONS(2765),
    [anon_sym_centroid] = ACTIONS(2765),
    [anon_sym_noperspective] = ACTIONS(2765),
    [anon_sym_nointerpolation] = ACTIONS(2765),
    [anon_sym_sample] = ACTIONS(2765),
    [anon_sym_linear] = ACTIONS(2765),
    [anon_sym_snorm] = ACTIONS(2765),
    [anon_sym_unorm] = ACTIONS(2765),
    [anon_sym_point] = ACTIONS(2765),
    [anon_sym_line] = ACTIONS(2765),
    [anon_sym_triangleadj] = ACTIONS(2765),
    [anon_sym_lineadj] = ACTIONS(2765),
    [anon_sym_triangle] = ACTIONS(2765),
  },
  [2742] = {
    [sym_identifier] = ACTIONS(2318),
    [aux_sym_preproc_def_token1] = ACTIONS(2318),
    [aux_sym_preproc_if_token1] = ACTIONS(2318),
    [aux_sym_preproc_if_token2] = ACTIONS(2318),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2318),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2318),
    [aux_sym_preproc_else_token1] = ACTIONS(2318),
    [aux_sym_preproc_elif_token1] = ACTIONS(2318),
    [sym_preproc_directive] = ACTIONS(2318),
    [anon_sym_LPAREN2] = ACTIONS(2320),
    [anon_sym_TILDE] = ACTIONS(2320),
    [anon_sym_STAR] = ACTIONS(2320),
    [anon_sym_AMP_AMP] = ACTIONS(2320),
    [anon_sym_AMP] = ACTIONS(2318),
    [anon_sym___extension__] = ACTIONS(2318),
    [anon_sym_typedef] = ACTIONS(2318),
    [anon_sym_in] = ACTIONS(2318),
    [anon_sym_out] = ACTIONS(2318),
    [anon_sym_inout] = ACTIONS(2318),
    [anon_sym_extern] = ACTIONS(2318),
    [anon_sym___attribute__] = ACTIONS(2318),
    [anon_sym_COLON_COLON] = ACTIONS(2320),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2320),
    [anon_sym___declspec] = ACTIONS(2318),
    [anon_sym___based] = ACTIONS(2318),
    [anon_sym_signed] = ACTIONS(2318),
    [anon_sym_unsigned] = ACTIONS(2318),
    [anon_sym_long] = ACTIONS(2318),
    [anon_sym_short] = ACTIONS(2318),
    [anon_sym_LBRACK] = ACTIONS(2318),
    [anon_sym_static] = ACTIONS(2318),
    [anon_sym_register] = ACTIONS(2318),
    [anon_sym_inline] = ACTIONS(2318),
    [anon_sym___inline] = ACTIONS(2318),
    [anon_sym___inline__] = ACTIONS(2318),
    [anon_sym___forceinline] = ACTIONS(2318),
    [anon_sym_thread_local] = ACTIONS(2318),
    [anon_sym___thread] = ACTIONS(2318),
    [anon_sym_const] = ACTIONS(2318),
    [anon_sym_constexpr] = ACTIONS(2318),
    [anon_sym_volatile] = ACTIONS(2318),
    [anon_sym_restrict] = ACTIONS(2318),
    [anon_sym___restrict__] = ACTIONS(2318),
    [anon_sym__Atomic] = ACTIONS(2318),
    [anon_sym__Noreturn] = ACTIONS(2318),
    [anon_sym_noreturn] = ACTIONS(2318),
    [anon_sym_mutable] = ACTIONS(2318),
    [anon_sym_constinit] = ACTIONS(2318),
    [anon_sym_consteval] = ACTIONS(2318),
    [sym_primitive_type] = ACTIONS(2318),
    [anon_sym_enum] = ACTIONS(2318),
    [anon_sym_class] = ACTIONS(2318),
    [anon_sym_struct] = ACTIONS(2318),
    [anon_sym_union] = ACTIONS(2318),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2318),
    [anon_sym_decltype] = ACTIONS(2318),
    [anon_sym_virtual] = ACTIONS(2318),
    [anon_sym_alignas] = ACTIONS(2318),
    [anon_sym_explicit] = ACTIONS(2318),
    [anon_sym_typename] = ACTIONS(2318),
    [anon_sym_template] = ACTIONS(2318),
    [anon_sym_operator] = ACTIONS(2318),
    [anon_sym_friend] = ACTIONS(2318),
    [anon_sym_public] = ACTIONS(2318),
    [anon_sym_private] = ACTIONS(2318),
    [anon_sym_protected] = ACTIONS(2318),
    [anon_sym_using] = ACTIONS(2318),
    [anon_sym_static_assert] = ACTIONS(2318),
    [anon_sym_precise] = ACTIONS(2318),
    [anon_sym_shared] = ACTIONS(2318),
    [anon_sym_groupshared] = ACTIONS(2318),
    [anon_sym_uniform] = ACTIONS(2318),
    [anon_sym_row_major] = ACTIONS(2318),
    [anon_sym_column_major] = ACTIONS(2318),
    [anon_sym_globallycoherent] = ACTIONS(2318),
    [anon_sym_centroid] = ACTIONS(2318),
    [anon_sym_noperspective] = ACTIONS(2318),
    [anon_sym_nointerpolation] = ACTIONS(2318),
    [anon_sym_sample] = ACTIONS(2318),
    [anon_sym_linear] = ACTIONS(2318),
    [anon_sym_snorm] = ACTIONS(2318),
    [anon_sym_unorm] = ACTIONS(2318),
    [anon_sym_point] = ACTIONS(2318),
    [anon_sym_line] = ACTIONS(2318),
    [anon_sym_triangleadj] = ACTIONS(2318),
    [anon_sym_lineadj] = ACTIONS(2318),
    [anon_sym_triangle] = ACTIONS(2318),
  },
  [2743] = {
    [sym_identifier] = ACTIONS(5699),
    [aux_sym_preproc_def_token1] = ACTIONS(5699),
    [aux_sym_preproc_if_token1] = ACTIONS(5699),
    [aux_sym_preproc_if_token2] = ACTIONS(5699),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5699),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5699),
    [aux_sym_preproc_else_token1] = ACTIONS(5699),
    [aux_sym_preproc_elif_token1] = ACTIONS(5699),
    [sym_preproc_directive] = ACTIONS(5699),
    [anon_sym_LPAREN2] = ACTIONS(5701),
    [anon_sym_TILDE] = ACTIONS(5701),
    [anon_sym_STAR] = ACTIONS(5701),
    [anon_sym_AMP_AMP] = ACTIONS(5701),
    [anon_sym_AMP] = ACTIONS(5699),
    [anon_sym___extension__] = ACTIONS(5699),
    [anon_sym_typedef] = ACTIONS(5699),
    [anon_sym_in] = ACTIONS(5699),
    [anon_sym_out] = ACTIONS(5699),
    [anon_sym_inout] = ACTIONS(5699),
    [anon_sym_extern] = ACTIONS(5699),
    [anon_sym___attribute__] = ACTIONS(5699),
    [anon_sym_COLON_COLON] = ACTIONS(5701),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5701),
    [anon_sym___declspec] = ACTIONS(5699),
    [anon_sym___based] = ACTIONS(5699),
    [anon_sym_signed] = ACTIONS(5699),
    [anon_sym_unsigned] = ACTIONS(5699),
    [anon_sym_long] = ACTIONS(5699),
    [anon_sym_short] = ACTIONS(5699),
    [anon_sym_LBRACK] = ACTIONS(5699),
    [anon_sym_static] = ACTIONS(5699),
    [anon_sym_register] = ACTIONS(5699),
    [anon_sym_inline] = ACTIONS(5699),
    [anon_sym___inline] = ACTIONS(5699),
    [anon_sym___inline__] = ACTIONS(5699),
    [anon_sym___forceinline] = ACTIONS(5699),
    [anon_sym_thread_local] = ACTIONS(5699),
    [anon_sym___thread] = ACTIONS(5699),
    [anon_sym_const] = ACTIONS(5699),
    [anon_sym_constexpr] = ACTIONS(5699),
    [anon_sym_volatile] = ACTIONS(5699),
    [anon_sym_restrict] = ACTIONS(5699),
    [anon_sym___restrict__] = ACTIONS(5699),
    [anon_sym__Atomic] = ACTIONS(5699),
    [anon_sym__Noreturn] = ACTIONS(5699),
    [anon_sym_noreturn] = ACTIONS(5699),
    [anon_sym_mutable] = ACTIONS(5699),
    [anon_sym_constinit] = ACTIONS(5699),
    [anon_sym_consteval] = ACTIONS(5699),
    [sym_primitive_type] = ACTIONS(5699),
    [anon_sym_enum] = ACTIONS(5699),
    [anon_sym_class] = ACTIONS(5699),
    [anon_sym_struct] = ACTIONS(5699),
    [anon_sym_union] = ACTIONS(5699),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5699),
    [anon_sym_decltype] = ACTIONS(5699),
    [anon_sym_virtual] = ACTIONS(5699),
    [anon_sym_alignas] = ACTIONS(5699),
    [anon_sym_explicit] = ACTIONS(5699),
    [anon_sym_typename] = ACTIONS(5699),
    [anon_sym_template] = ACTIONS(5699),
    [anon_sym_operator] = ACTIONS(5699),
    [anon_sym_friend] = ACTIONS(5699),
    [anon_sym_public] = ACTIONS(5699),
    [anon_sym_private] = ACTIONS(5699),
    [anon_sym_protected] = ACTIONS(5699),
    [anon_sym_using] = ACTIONS(5699),
    [anon_sym_static_assert] = ACTIONS(5699),
    [anon_sym_precise] = ACTIONS(5699),
    [anon_sym_shared] = ACTIONS(5699),
    [anon_sym_groupshared] = ACTIONS(5699),
    [anon_sym_uniform] = ACTIONS(5699),
    [anon_sym_row_major] = ACTIONS(5699),
    [anon_sym_column_major] = ACTIONS(5699),
    [anon_sym_globallycoherent] = ACTIONS(5699),
    [anon_sym_centroid] = ACTIONS(5699),
    [anon_sym_noperspective] = ACTIONS(5699),
    [anon_sym_nointerpolation] = ACTIONS(5699),
    [anon_sym_sample] = ACTIONS(5699),
    [anon_sym_linear] = ACTIONS(5699),
    [anon_sym_snorm] = ACTIONS(5699),
    [anon_sym_unorm] = ACTIONS(5699),
    [anon_sym_point] = ACTIONS(5699),
    [anon_sym_line] = ACTIONS(5699),
    [anon_sym_triangleadj] = ACTIONS(5699),
    [anon_sym_lineadj] = ACTIONS(5699),
    [anon_sym_triangle] = ACTIONS(5699),
  },
  [2744] = {
    [sym_identifier] = ACTIONS(2765),
    [aux_sym_preproc_def_token1] = ACTIONS(2765),
    [aux_sym_preproc_if_token1] = ACTIONS(2765),
    [aux_sym_preproc_if_token2] = ACTIONS(2765),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2765),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2765),
    [aux_sym_preproc_else_token1] = ACTIONS(2765),
    [aux_sym_preproc_elif_token1] = ACTIONS(2765),
    [sym_preproc_directive] = ACTIONS(2765),
    [anon_sym_LPAREN2] = ACTIONS(2767),
    [anon_sym_TILDE] = ACTIONS(2767),
    [anon_sym_STAR] = ACTIONS(2767),
    [anon_sym_AMP_AMP] = ACTIONS(2767),
    [anon_sym_AMP] = ACTIONS(2765),
    [anon_sym___extension__] = ACTIONS(2765),
    [anon_sym_typedef] = ACTIONS(2765),
    [anon_sym_in] = ACTIONS(2765),
    [anon_sym_out] = ACTIONS(2765),
    [anon_sym_inout] = ACTIONS(2765),
    [anon_sym_extern] = ACTIONS(2765),
    [anon_sym___attribute__] = ACTIONS(2765),
    [anon_sym_COLON_COLON] = ACTIONS(2767),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2767),
    [anon_sym___declspec] = ACTIONS(2765),
    [anon_sym___based] = ACTIONS(2765),
    [anon_sym_signed] = ACTIONS(2765),
    [anon_sym_unsigned] = ACTIONS(2765),
    [anon_sym_long] = ACTIONS(2765),
    [anon_sym_short] = ACTIONS(2765),
    [anon_sym_LBRACK] = ACTIONS(2765),
    [anon_sym_static] = ACTIONS(2765),
    [anon_sym_register] = ACTIONS(2765),
    [anon_sym_inline] = ACTIONS(2765),
    [anon_sym___inline] = ACTIONS(2765),
    [anon_sym___inline__] = ACTIONS(2765),
    [anon_sym___forceinline] = ACTIONS(2765),
    [anon_sym_thread_local] = ACTIONS(2765),
    [anon_sym___thread] = ACTIONS(2765),
    [anon_sym_const] = ACTIONS(2765),
    [anon_sym_constexpr] = ACTIONS(2765),
    [anon_sym_volatile] = ACTIONS(2765),
    [anon_sym_restrict] = ACTIONS(2765),
    [anon_sym___restrict__] = ACTIONS(2765),
    [anon_sym__Atomic] = ACTIONS(2765),
    [anon_sym__Noreturn] = ACTIONS(2765),
    [anon_sym_noreturn] = ACTIONS(2765),
    [anon_sym_mutable] = ACTIONS(2765),
    [anon_sym_constinit] = ACTIONS(2765),
    [anon_sym_consteval] = ACTIONS(2765),
    [sym_primitive_type] = ACTIONS(2765),
    [anon_sym_enum] = ACTIONS(2765),
    [anon_sym_class] = ACTIONS(2765),
    [anon_sym_struct] = ACTIONS(2765),
    [anon_sym_union] = ACTIONS(2765),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2765),
    [anon_sym_decltype] = ACTIONS(2765),
    [anon_sym_virtual] = ACTIONS(2765),
    [anon_sym_alignas] = ACTIONS(2765),
    [anon_sym_explicit] = ACTIONS(2765),
    [anon_sym_typename] = ACTIONS(2765),
    [anon_sym_template] = ACTIONS(2765),
    [anon_sym_operator] = ACTIONS(2765),
    [anon_sym_friend] = ACTIONS(2765),
    [anon_sym_public] = ACTIONS(2765),
    [anon_sym_private] = ACTIONS(2765),
    [anon_sym_protected] = ACTIONS(2765),
    [anon_sym_using] = ACTIONS(2765),
    [anon_sym_static_assert] = ACTIONS(2765),
    [anon_sym_precise] = ACTIONS(2765),
    [anon_sym_shared] = ACTIONS(2765),
    [anon_sym_groupshared] = ACTIONS(2765),
    [anon_sym_uniform] = ACTIONS(2765),
    [anon_sym_row_major] = ACTIONS(2765),
    [anon_sym_column_major] = ACTIONS(2765),
    [anon_sym_globallycoherent] = ACTIONS(2765),
    [anon_sym_centroid] = ACTIONS(2765),
    [anon_sym_noperspective] = ACTIONS(2765),
    [anon_sym_nointerpolation] = ACTIONS(2765),
    [anon_sym_sample] = ACTIONS(2765),
    [anon_sym_linear] = ACTIONS(2765),
    [anon_sym_snorm] = ACTIONS(2765),
    [anon_sym_unorm] = ACTIONS(2765),
    [anon_sym_point] = ACTIONS(2765),
    [anon_sym_line] = ACTIONS(2765),
    [anon_sym_triangleadj] = ACTIONS(2765),
    [anon_sym_lineadj] = ACTIONS(2765),
    [anon_sym_triangle] = ACTIONS(2765),
  },
  [2745] = {
    [sym_identifier] = ACTIONS(2681),
    [aux_sym_preproc_def_token1] = ACTIONS(2681),
    [aux_sym_preproc_if_token1] = ACTIONS(2681),
    [aux_sym_preproc_if_token2] = ACTIONS(2681),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2681),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2681),
    [aux_sym_preproc_else_token1] = ACTIONS(2681),
    [aux_sym_preproc_elif_token1] = ACTIONS(2681),
    [sym_preproc_directive] = ACTIONS(2681),
    [anon_sym_LPAREN2] = ACTIONS(2683),
    [anon_sym_TILDE] = ACTIONS(2683),
    [anon_sym_STAR] = ACTIONS(2683),
    [anon_sym_AMP_AMP] = ACTIONS(2683),
    [anon_sym_AMP] = ACTIONS(2681),
    [anon_sym___extension__] = ACTIONS(2681),
    [anon_sym_typedef] = ACTIONS(2681),
    [anon_sym_in] = ACTIONS(2681),
    [anon_sym_out] = ACTIONS(2681),
    [anon_sym_inout] = ACTIONS(2681),
    [anon_sym_extern] = ACTIONS(2681),
    [anon_sym___attribute__] = ACTIONS(2681),
    [anon_sym_COLON_COLON] = ACTIONS(2683),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2683),
    [anon_sym___declspec] = ACTIONS(2681),
    [anon_sym___based] = ACTIONS(2681),
    [anon_sym_signed] = ACTIONS(2681),
    [anon_sym_unsigned] = ACTIONS(2681),
    [anon_sym_long] = ACTIONS(2681),
    [anon_sym_short] = ACTIONS(2681),
    [anon_sym_LBRACK] = ACTIONS(2681),
    [anon_sym_static] = ACTIONS(2681),
    [anon_sym_register] = ACTIONS(2681),
    [anon_sym_inline] = ACTIONS(2681),
    [anon_sym___inline] = ACTIONS(2681),
    [anon_sym___inline__] = ACTIONS(2681),
    [anon_sym___forceinline] = ACTIONS(2681),
    [anon_sym_thread_local] = ACTIONS(2681),
    [anon_sym___thread] = ACTIONS(2681),
    [anon_sym_const] = ACTIONS(2681),
    [anon_sym_constexpr] = ACTIONS(2681),
    [anon_sym_volatile] = ACTIONS(2681),
    [anon_sym_restrict] = ACTIONS(2681),
    [anon_sym___restrict__] = ACTIONS(2681),
    [anon_sym__Atomic] = ACTIONS(2681),
    [anon_sym__Noreturn] = ACTIONS(2681),
    [anon_sym_noreturn] = ACTIONS(2681),
    [anon_sym_mutable] = ACTIONS(2681),
    [anon_sym_constinit] = ACTIONS(2681),
    [anon_sym_consteval] = ACTIONS(2681),
    [sym_primitive_type] = ACTIONS(2681),
    [anon_sym_enum] = ACTIONS(2681),
    [anon_sym_class] = ACTIONS(2681),
    [anon_sym_struct] = ACTIONS(2681),
    [anon_sym_union] = ACTIONS(2681),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2681),
    [anon_sym_decltype] = ACTIONS(2681),
    [anon_sym_virtual] = ACTIONS(2681),
    [anon_sym_alignas] = ACTIONS(2681),
    [anon_sym_explicit] = ACTIONS(2681),
    [anon_sym_typename] = ACTIONS(2681),
    [anon_sym_template] = ACTIONS(2681),
    [anon_sym_operator] = ACTIONS(2681),
    [anon_sym_friend] = ACTIONS(2681),
    [anon_sym_public] = ACTIONS(2681),
    [anon_sym_private] = ACTIONS(2681),
    [anon_sym_protected] = ACTIONS(2681),
    [anon_sym_using] = ACTIONS(2681),
    [anon_sym_static_assert] = ACTIONS(2681),
    [anon_sym_precise] = ACTIONS(2681),
    [anon_sym_shared] = ACTIONS(2681),
    [anon_sym_groupshared] = ACTIONS(2681),
    [anon_sym_uniform] = ACTIONS(2681),
    [anon_sym_row_major] = ACTIONS(2681),
    [anon_sym_column_major] = ACTIONS(2681),
    [anon_sym_globallycoherent] = ACTIONS(2681),
    [anon_sym_centroid] = ACTIONS(2681),
    [anon_sym_noperspective] = ACTIONS(2681),
    [anon_sym_nointerpolation] = ACTIONS(2681),
    [anon_sym_sample] = ACTIONS(2681),
    [anon_sym_linear] = ACTIONS(2681),
    [anon_sym_snorm] = ACTIONS(2681),
    [anon_sym_unorm] = ACTIONS(2681),
    [anon_sym_point] = ACTIONS(2681),
    [anon_sym_line] = ACTIONS(2681),
    [anon_sym_triangleadj] = ACTIONS(2681),
    [anon_sym_lineadj] = ACTIONS(2681),
    [anon_sym_triangle] = ACTIONS(2681),
  },
  [2746] = {
    [sym_identifier] = ACTIONS(5623),
    [aux_sym_preproc_def_token1] = ACTIONS(5623),
    [aux_sym_preproc_if_token1] = ACTIONS(5623),
    [aux_sym_preproc_if_token2] = ACTIONS(5623),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5623),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5623),
    [aux_sym_preproc_else_token1] = ACTIONS(5623),
    [aux_sym_preproc_elif_token1] = ACTIONS(5623),
    [sym_preproc_directive] = ACTIONS(5623),
    [anon_sym_LPAREN2] = ACTIONS(5625),
    [anon_sym_TILDE] = ACTIONS(5625),
    [anon_sym_STAR] = ACTIONS(5625),
    [anon_sym_AMP_AMP] = ACTIONS(5625),
    [anon_sym_AMP] = ACTIONS(5623),
    [anon_sym___extension__] = ACTIONS(5623),
    [anon_sym_typedef] = ACTIONS(5623),
    [anon_sym_in] = ACTIONS(5623),
    [anon_sym_out] = ACTIONS(5623),
    [anon_sym_inout] = ACTIONS(5623),
    [anon_sym_extern] = ACTIONS(5623),
    [anon_sym___attribute__] = ACTIONS(5623),
    [anon_sym_COLON_COLON] = ACTIONS(5625),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5625),
    [anon_sym___declspec] = ACTIONS(5623),
    [anon_sym___based] = ACTIONS(5623),
    [anon_sym_signed] = ACTIONS(5623),
    [anon_sym_unsigned] = ACTIONS(5623),
    [anon_sym_long] = ACTIONS(5623),
    [anon_sym_short] = ACTIONS(5623),
    [anon_sym_LBRACK] = ACTIONS(5623),
    [anon_sym_static] = ACTIONS(5623),
    [anon_sym_register] = ACTIONS(5623),
    [anon_sym_inline] = ACTIONS(5623),
    [anon_sym___inline] = ACTIONS(5623),
    [anon_sym___inline__] = ACTIONS(5623),
    [anon_sym___forceinline] = ACTIONS(5623),
    [anon_sym_thread_local] = ACTIONS(5623),
    [anon_sym___thread] = ACTIONS(5623),
    [anon_sym_const] = ACTIONS(5623),
    [anon_sym_constexpr] = ACTIONS(5623),
    [anon_sym_volatile] = ACTIONS(5623),
    [anon_sym_restrict] = ACTIONS(5623),
    [anon_sym___restrict__] = ACTIONS(5623),
    [anon_sym__Atomic] = ACTIONS(5623),
    [anon_sym__Noreturn] = ACTIONS(5623),
    [anon_sym_noreturn] = ACTIONS(5623),
    [anon_sym_mutable] = ACTIONS(5623),
    [anon_sym_constinit] = ACTIONS(5623),
    [anon_sym_consteval] = ACTIONS(5623),
    [sym_primitive_type] = ACTIONS(5623),
    [anon_sym_enum] = ACTIONS(5623),
    [anon_sym_class] = ACTIONS(5623),
    [anon_sym_struct] = ACTIONS(5623),
    [anon_sym_union] = ACTIONS(5623),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5623),
    [anon_sym_decltype] = ACTIONS(5623),
    [anon_sym_virtual] = ACTIONS(5623),
    [anon_sym_alignas] = ACTIONS(5623),
    [anon_sym_explicit] = ACTIONS(5623),
    [anon_sym_typename] = ACTIONS(5623),
    [anon_sym_template] = ACTIONS(5623),
    [anon_sym_operator] = ACTIONS(5623),
    [anon_sym_friend] = ACTIONS(5623),
    [anon_sym_public] = ACTIONS(5623),
    [anon_sym_private] = ACTIONS(5623),
    [anon_sym_protected] = ACTIONS(5623),
    [anon_sym_using] = ACTIONS(5623),
    [anon_sym_static_assert] = ACTIONS(5623),
    [anon_sym_precise] = ACTIONS(5623),
    [anon_sym_shared] = ACTIONS(5623),
    [anon_sym_groupshared] = ACTIONS(5623),
    [anon_sym_uniform] = ACTIONS(5623),
    [anon_sym_row_major] = ACTIONS(5623),
    [anon_sym_column_major] = ACTIONS(5623),
    [anon_sym_globallycoherent] = ACTIONS(5623),
    [anon_sym_centroid] = ACTIONS(5623),
    [anon_sym_noperspective] = ACTIONS(5623),
    [anon_sym_nointerpolation] = ACTIONS(5623),
    [anon_sym_sample] = ACTIONS(5623),
    [anon_sym_linear] = ACTIONS(5623),
    [anon_sym_snorm] = ACTIONS(5623),
    [anon_sym_unorm] = ACTIONS(5623),
    [anon_sym_point] = ACTIONS(5623),
    [anon_sym_line] = ACTIONS(5623),
    [anon_sym_triangleadj] = ACTIONS(5623),
    [anon_sym_lineadj] = ACTIONS(5623),
    [anon_sym_triangle] = ACTIONS(5623),
  },
  [2747] = {
    [sym_identifier] = ACTIONS(2765),
    [aux_sym_preproc_def_token1] = ACTIONS(2765),
    [aux_sym_preproc_if_token1] = ACTIONS(2765),
    [aux_sym_preproc_if_token2] = ACTIONS(2765),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2765),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2765),
    [aux_sym_preproc_else_token1] = ACTIONS(2765),
    [aux_sym_preproc_elif_token1] = ACTIONS(2765),
    [sym_preproc_directive] = ACTIONS(2765),
    [anon_sym_LPAREN2] = ACTIONS(2767),
    [anon_sym_TILDE] = ACTIONS(2767),
    [anon_sym_STAR] = ACTIONS(2767),
    [anon_sym_AMP_AMP] = ACTIONS(2767),
    [anon_sym_AMP] = ACTIONS(2765),
    [anon_sym___extension__] = ACTIONS(2765),
    [anon_sym_typedef] = ACTIONS(2765),
    [anon_sym_in] = ACTIONS(2765),
    [anon_sym_out] = ACTIONS(2765),
    [anon_sym_inout] = ACTIONS(2765),
    [anon_sym_extern] = ACTIONS(2765),
    [anon_sym___attribute__] = ACTIONS(2765),
    [anon_sym_COLON_COLON] = ACTIONS(2767),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2767),
    [anon_sym___declspec] = ACTIONS(2765),
    [anon_sym___based] = ACTIONS(2765),
    [anon_sym_signed] = ACTIONS(2765),
    [anon_sym_unsigned] = ACTIONS(2765),
    [anon_sym_long] = ACTIONS(2765),
    [anon_sym_short] = ACTIONS(2765),
    [anon_sym_LBRACK] = ACTIONS(2765),
    [anon_sym_static] = ACTIONS(2765),
    [anon_sym_register] = ACTIONS(2765),
    [anon_sym_inline] = ACTIONS(2765),
    [anon_sym___inline] = ACTIONS(2765),
    [anon_sym___inline__] = ACTIONS(2765),
    [anon_sym___forceinline] = ACTIONS(2765),
    [anon_sym_thread_local] = ACTIONS(2765),
    [anon_sym___thread] = ACTIONS(2765),
    [anon_sym_const] = ACTIONS(2765),
    [anon_sym_constexpr] = ACTIONS(2765),
    [anon_sym_volatile] = ACTIONS(2765),
    [anon_sym_restrict] = ACTIONS(2765),
    [anon_sym___restrict__] = ACTIONS(2765),
    [anon_sym__Atomic] = ACTIONS(2765),
    [anon_sym__Noreturn] = ACTIONS(2765),
    [anon_sym_noreturn] = ACTIONS(2765),
    [anon_sym_mutable] = ACTIONS(2765),
    [anon_sym_constinit] = ACTIONS(2765),
    [anon_sym_consteval] = ACTIONS(2765),
    [sym_primitive_type] = ACTIONS(2765),
    [anon_sym_enum] = ACTIONS(2765),
    [anon_sym_class] = ACTIONS(2765),
    [anon_sym_struct] = ACTIONS(2765),
    [anon_sym_union] = ACTIONS(2765),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2765),
    [anon_sym_decltype] = ACTIONS(2765),
    [anon_sym_virtual] = ACTIONS(2765),
    [anon_sym_alignas] = ACTIONS(2765),
    [anon_sym_explicit] = ACTIONS(2765),
    [anon_sym_typename] = ACTIONS(2765),
    [anon_sym_template] = ACTIONS(2765),
    [anon_sym_operator] = ACTIONS(2765),
    [anon_sym_friend] = ACTIONS(2765),
    [anon_sym_public] = ACTIONS(2765),
    [anon_sym_private] = ACTIONS(2765),
    [anon_sym_protected] = ACTIONS(2765),
    [anon_sym_using] = ACTIONS(2765),
    [anon_sym_static_assert] = ACTIONS(2765),
    [anon_sym_precise] = ACTIONS(2765),
    [anon_sym_shared] = ACTIONS(2765),
    [anon_sym_groupshared] = ACTIONS(2765),
    [anon_sym_uniform] = ACTIONS(2765),
    [anon_sym_row_major] = ACTIONS(2765),
    [anon_sym_column_major] = ACTIONS(2765),
    [anon_sym_globallycoherent] = ACTIONS(2765),
    [anon_sym_centroid] = ACTIONS(2765),
    [anon_sym_noperspective] = ACTIONS(2765),
    [anon_sym_nointerpolation] = ACTIONS(2765),
    [anon_sym_sample] = ACTIONS(2765),
    [anon_sym_linear] = ACTIONS(2765),
    [anon_sym_snorm] = ACTIONS(2765),
    [anon_sym_unorm] = ACTIONS(2765),
    [anon_sym_point] = ACTIONS(2765),
    [anon_sym_line] = ACTIONS(2765),
    [anon_sym_triangleadj] = ACTIONS(2765),
    [anon_sym_lineadj] = ACTIONS(2765),
    [anon_sym_triangle] = ACTIONS(2765),
  },
  [2748] = {
    [sym_identifier] = ACTIONS(2765),
    [aux_sym_preproc_def_token1] = ACTIONS(2765),
    [aux_sym_preproc_if_token1] = ACTIONS(2765),
    [aux_sym_preproc_if_token2] = ACTIONS(2765),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2765),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2765),
    [aux_sym_preproc_else_token1] = ACTIONS(2765),
    [aux_sym_preproc_elif_token1] = ACTIONS(2765),
    [sym_preproc_directive] = ACTIONS(2765),
    [anon_sym_LPAREN2] = ACTIONS(2767),
    [anon_sym_TILDE] = ACTIONS(2767),
    [anon_sym_STAR] = ACTIONS(2767),
    [anon_sym_AMP_AMP] = ACTIONS(2767),
    [anon_sym_AMP] = ACTIONS(2765),
    [anon_sym___extension__] = ACTIONS(2765),
    [anon_sym_typedef] = ACTIONS(2765),
    [anon_sym_in] = ACTIONS(2765),
    [anon_sym_out] = ACTIONS(2765),
    [anon_sym_inout] = ACTIONS(2765),
    [anon_sym_extern] = ACTIONS(2765),
    [anon_sym___attribute__] = ACTIONS(2765),
    [anon_sym_COLON_COLON] = ACTIONS(2767),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2767),
    [anon_sym___declspec] = ACTIONS(2765),
    [anon_sym___based] = ACTIONS(2765),
    [anon_sym_signed] = ACTIONS(2765),
    [anon_sym_unsigned] = ACTIONS(2765),
    [anon_sym_long] = ACTIONS(2765),
    [anon_sym_short] = ACTIONS(2765),
    [anon_sym_LBRACK] = ACTIONS(2765),
    [anon_sym_static] = ACTIONS(2765),
    [anon_sym_register] = ACTIONS(2765),
    [anon_sym_inline] = ACTIONS(2765),
    [anon_sym___inline] = ACTIONS(2765),
    [anon_sym___inline__] = ACTIONS(2765),
    [anon_sym___forceinline] = ACTIONS(2765),
    [anon_sym_thread_local] = ACTIONS(2765),
    [anon_sym___thread] = ACTIONS(2765),
    [anon_sym_const] = ACTIONS(2765),
    [anon_sym_constexpr] = ACTIONS(2765),
    [anon_sym_volatile] = ACTIONS(2765),
    [anon_sym_restrict] = ACTIONS(2765),
    [anon_sym___restrict__] = ACTIONS(2765),
    [anon_sym__Atomic] = ACTIONS(2765),
    [anon_sym__Noreturn] = ACTIONS(2765),
    [anon_sym_noreturn] = ACTIONS(2765),
    [anon_sym_mutable] = ACTIONS(2765),
    [anon_sym_constinit] = ACTIONS(2765),
    [anon_sym_consteval] = ACTIONS(2765),
    [sym_primitive_type] = ACTIONS(2765),
    [anon_sym_enum] = ACTIONS(2765),
    [anon_sym_class] = ACTIONS(2765),
    [anon_sym_struct] = ACTIONS(2765),
    [anon_sym_union] = ACTIONS(2765),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2765),
    [anon_sym_decltype] = ACTIONS(2765),
    [anon_sym_virtual] = ACTIONS(2765),
    [anon_sym_alignas] = ACTIONS(2765),
    [anon_sym_explicit] = ACTIONS(2765),
    [anon_sym_typename] = ACTIONS(2765),
    [anon_sym_template] = ACTIONS(2765),
    [anon_sym_operator] = ACTIONS(2765),
    [anon_sym_friend] = ACTIONS(2765),
    [anon_sym_public] = ACTIONS(2765),
    [anon_sym_private] = ACTIONS(2765),
    [anon_sym_protected] = ACTIONS(2765),
    [anon_sym_using] = ACTIONS(2765),
    [anon_sym_static_assert] = ACTIONS(2765),
    [anon_sym_precise] = ACTIONS(2765),
    [anon_sym_shared] = ACTIONS(2765),
    [anon_sym_groupshared] = ACTIONS(2765),
    [anon_sym_uniform] = ACTIONS(2765),
    [anon_sym_row_major] = ACTIONS(2765),
    [anon_sym_column_major] = ACTIONS(2765),
    [anon_sym_globallycoherent] = ACTIONS(2765),
    [anon_sym_centroid] = ACTIONS(2765),
    [anon_sym_noperspective] = ACTIONS(2765),
    [anon_sym_nointerpolation] = ACTIONS(2765),
    [anon_sym_sample] = ACTIONS(2765),
    [anon_sym_linear] = ACTIONS(2765),
    [anon_sym_snorm] = ACTIONS(2765),
    [anon_sym_unorm] = ACTIONS(2765),
    [anon_sym_point] = ACTIONS(2765),
    [anon_sym_line] = ACTIONS(2765),
    [anon_sym_triangleadj] = ACTIONS(2765),
    [anon_sym_lineadj] = ACTIONS(2765),
    [anon_sym_triangle] = ACTIONS(2765),
  },
  [2749] = {
    [sym_identifier] = ACTIONS(2694),
    [aux_sym_preproc_def_token1] = ACTIONS(2694),
    [aux_sym_preproc_if_token1] = ACTIONS(2694),
    [aux_sym_preproc_if_token2] = ACTIONS(2694),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2694),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2694),
    [aux_sym_preproc_else_token1] = ACTIONS(2694),
    [aux_sym_preproc_elif_token1] = ACTIONS(2694),
    [sym_preproc_directive] = ACTIONS(2694),
    [anon_sym_LPAREN2] = ACTIONS(2696),
    [anon_sym_TILDE] = ACTIONS(2696),
    [anon_sym_STAR] = ACTIONS(2696),
    [anon_sym_AMP_AMP] = ACTIONS(2696),
    [anon_sym_AMP] = ACTIONS(2694),
    [anon_sym___extension__] = ACTIONS(2694),
    [anon_sym_typedef] = ACTIONS(2694),
    [anon_sym_in] = ACTIONS(2694),
    [anon_sym_out] = ACTIONS(2694),
    [anon_sym_inout] = ACTIONS(2694),
    [anon_sym_extern] = ACTIONS(2694),
    [anon_sym___attribute__] = ACTIONS(2694),
    [anon_sym_COLON_COLON] = ACTIONS(2696),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2696),
    [anon_sym___declspec] = ACTIONS(2694),
    [anon_sym___based] = ACTIONS(2694),
    [anon_sym_signed] = ACTIONS(2694),
    [anon_sym_unsigned] = ACTIONS(2694),
    [anon_sym_long] = ACTIONS(2694),
    [anon_sym_short] = ACTIONS(2694),
    [anon_sym_LBRACK] = ACTIONS(2694),
    [anon_sym_static] = ACTIONS(2694),
    [anon_sym_register] = ACTIONS(2694),
    [anon_sym_inline] = ACTIONS(2694),
    [anon_sym___inline] = ACTIONS(2694),
    [anon_sym___inline__] = ACTIONS(2694),
    [anon_sym___forceinline] = ACTIONS(2694),
    [anon_sym_thread_local] = ACTIONS(2694),
    [anon_sym___thread] = ACTIONS(2694),
    [anon_sym_const] = ACTIONS(2694),
    [anon_sym_constexpr] = ACTIONS(2694),
    [anon_sym_volatile] = ACTIONS(2694),
    [anon_sym_restrict] = ACTIONS(2694),
    [anon_sym___restrict__] = ACTIONS(2694),
    [anon_sym__Atomic] = ACTIONS(2694),
    [anon_sym__Noreturn] = ACTIONS(2694),
    [anon_sym_noreturn] = ACTIONS(2694),
    [anon_sym_mutable] = ACTIONS(2694),
    [anon_sym_constinit] = ACTIONS(2694),
    [anon_sym_consteval] = ACTIONS(2694),
    [sym_primitive_type] = ACTIONS(2694),
    [anon_sym_enum] = ACTIONS(2694),
    [anon_sym_class] = ACTIONS(2694),
    [anon_sym_struct] = ACTIONS(2694),
    [anon_sym_union] = ACTIONS(2694),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2694),
    [anon_sym_decltype] = ACTIONS(2694),
    [anon_sym_virtual] = ACTIONS(2694),
    [anon_sym_alignas] = ACTIONS(2694),
    [anon_sym_explicit] = ACTIONS(2694),
    [anon_sym_typename] = ACTIONS(2694),
    [anon_sym_template] = ACTIONS(2694),
    [anon_sym_operator] = ACTIONS(2694),
    [anon_sym_friend] = ACTIONS(2694),
    [anon_sym_public] = ACTIONS(2694),
    [anon_sym_private] = ACTIONS(2694),
    [anon_sym_protected] = ACTIONS(2694),
    [anon_sym_using] = ACTIONS(2694),
    [anon_sym_static_assert] = ACTIONS(2694),
    [anon_sym_precise] = ACTIONS(2694),
    [anon_sym_shared] = ACTIONS(2694),
    [anon_sym_groupshared] = ACTIONS(2694),
    [anon_sym_uniform] = ACTIONS(2694),
    [anon_sym_row_major] = ACTIONS(2694),
    [anon_sym_column_major] = ACTIONS(2694),
    [anon_sym_globallycoherent] = ACTIONS(2694),
    [anon_sym_centroid] = ACTIONS(2694),
    [anon_sym_noperspective] = ACTIONS(2694),
    [anon_sym_nointerpolation] = ACTIONS(2694),
    [anon_sym_sample] = ACTIONS(2694),
    [anon_sym_linear] = ACTIONS(2694),
    [anon_sym_snorm] = ACTIONS(2694),
    [anon_sym_unorm] = ACTIONS(2694),
    [anon_sym_point] = ACTIONS(2694),
    [anon_sym_line] = ACTIONS(2694),
    [anon_sym_triangleadj] = ACTIONS(2694),
    [anon_sym_lineadj] = ACTIONS(2694),
    [anon_sym_triangle] = ACTIONS(2694),
  },
  [2750] = {
    [sym_identifier] = ACTIONS(2238),
    [aux_sym_preproc_def_token1] = ACTIONS(2238),
    [anon_sym_COMMA] = ACTIONS(2358),
    [aux_sym_preproc_if_token1] = ACTIONS(2238),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2238),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2238),
    [sym_preproc_directive] = ACTIONS(2238),
    [anon_sym_LPAREN2] = ACTIONS(2236),
    [anon_sym_TILDE] = ACTIONS(2236),
    [anon_sym_STAR] = ACTIONS(2236),
    [anon_sym_AMP_AMP] = ACTIONS(2236),
    [anon_sym_AMP] = ACTIONS(2238),
    [anon_sym_SEMI] = ACTIONS(2358),
    [anon_sym___extension__] = ACTIONS(2238),
    [anon_sym_typedef] = ACTIONS(2238),
    [anon_sym_in] = ACTIONS(2238),
    [anon_sym_out] = ACTIONS(2238),
    [anon_sym_inout] = ACTIONS(2238),
    [anon_sym_extern] = ACTIONS(2238),
    [anon_sym___attribute__] = ACTIONS(5600),
    [anon_sym_COLON_COLON] = ACTIONS(2236),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2236),
    [anon_sym___declspec] = ACTIONS(2238),
    [anon_sym___based] = ACTIONS(2238),
    [anon_sym_RBRACE] = ACTIONS(2236),
    [anon_sym_signed] = ACTIONS(2238),
    [anon_sym_unsigned] = ACTIONS(2238),
    [anon_sym_long] = ACTIONS(2238),
    [anon_sym_short] = ACTIONS(2238),
    [anon_sym_LBRACK] = ACTIONS(2238),
    [anon_sym_static] = ACTIONS(2238),
    [anon_sym_register] = ACTIONS(2238),
    [anon_sym_inline] = ACTIONS(2238),
    [anon_sym___inline] = ACTIONS(2238),
    [anon_sym___inline__] = ACTIONS(2238),
    [anon_sym___forceinline] = ACTIONS(2238),
    [anon_sym_thread_local] = ACTIONS(2238),
    [anon_sym___thread] = ACTIONS(2238),
    [anon_sym_const] = ACTIONS(2238),
    [anon_sym_constexpr] = ACTIONS(2238),
    [anon_sym_volatile] = ACTIONS(2238),
    [anon_sym_restrict] = ACTIONS(2238),
    [anon_sym___restrict__] = ACTIONS(2238),
    [anon_sym__Atomic] = ACTIONS(2238),
    [anon_sym__Noreturn] = ACTIONS(2238),
    [anon_sym_noreturn] = ACTIONS(2238),
    [anon_sym_mutable] = ACTIONS(2238),
    [anon_sym_constinit] = ACTIONS(2238),
    [anon_sym_consteval] = ACTIONS(2238),
    [sym_primitive_type] = ACTIONS(2238),
    [anon_sym_enum] = ACTIONS(2238),
    [anon_sym_class] = ACTIONS(2238),
    [anon_sym_struct] = ACTIONS(2238),
    [anon_sym_union] = ACTIONS(2238),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2238),
    [anon_sym_decltype] = ACTIONS(2238),
    [anon_sym_virtual] = ACTIONS(2238),
    [anon_sym_alignas] = ACTIONS(2238),
    [anon_sym_explicit] = ACTIONS(2238),
    [anon_sym_typename] = ACTIONS(2238),
    [anon_sym_template] = ACTIONS(2238),
    [anon_sym_operator] = ACTIONS(2238),
    [anon_sym_friend] = ACTIONS(2238),
    [anon_sym_public] = ACTIONS(2238),
    [anon_sym_private] = ACTIONS(2238),
    [anon_sym_protected] = ACTIONS(2238),
    [anon_sym_using] = ACTIONS(2238),
    [anon_sym_static_assert] = ACTIONS(2238),
    [anon_sym_precise] = ACTIONS(2238),
    [anon_sym_shared] = ACTIONS(2238),
    [anon_sym_groupshared] = ACTIONS(2238),
    [anon_sym_uniform] = ACTIONS(2238),
    [anon_sym_row_major] = ACTIONS(2238),
    [anon_sym_column_major] = ACTIONS(2238),
    [anon_sym_globallycoherent] = ACTIONS(2238),
    [anon_sym_centroid] = ACTIONS(2238),
    [anon_sym_noperspective] = ACTIONS(2238),
    [anon_sym_nointerpolation] = ACTIONS(2238),
    [anon_sym_sample] = ACTIONS(2238),
    [anon_sym_linear] = ACTIONS(2238),
    [anon_sym_snorm] = ACTIONS(2238),
    [anon_sym_unorm] = ACTIONS(2238),
    [anon_sym_point] = ACTIONS(2238),
    [anon_sym_line] = ACTIONS(2238),
    [anon_sym_triangleadj] = ACTIONS(2238),
    [anon_sym_lineadj] = ACTIONS(2238),
    [anon_sym_triangle] = ACTIONS(2238),
  },
  [2751] = {
    [sym_identifier] = ACTIONS(2759),
    [aux_sym_preproc_def_token1] = ACTIONS(2759),
    [aux_sym_preproc_if_token1] = ACTIONS(2759),
    [aux_sym_preproc_if_token2] = ACTIONS(2759),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2759),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2759),
    [aux_sym_preproc_else_token1] = ACTIONS(2759),
    [aux_sym_preproc_elif_token1] = ACTIONS(2759),
    [sym_preproc_directive] = ACTIONS(2759),
    [anon_sym_LPAREN2] = ACTIONS(2761),
    [anon_sym_TILDE] = ACTIONS(2761),
    [anon_sym_STAR] = ACTIONS(2761),
    [anon_sym_AMP_AMP] = ACTIONS(2761),
    [anon_sym_AMP] = ACTIONS(2759),
    [anon_sym___extension__] = ACTIONS(2759),
    [anon_sym_typedef] = ACTIONS(2759),
    [anon_sym_in] = ACTIONS(2759),
    [anon_sym_out] = ACTIONS(2759),
    [anon_sym_inout] = ACTIONS(2759),
    [anon_sym_extern] = ACTIONS(2759),
    [anon_sym___attribute__] = ACTIONS(2759),
    [anon_sym_COLON_COLON] = ACTIONS(2761),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2761),
    [anon_sym___declspec] = ACTIONS(2759),
    [anon_sym___based] = ACTIONS(2759),
    [anon_sym_signed] = ACTIONS(2759),
    [anon_sym_unsigned] = ACTIONS(2759),
    [anon_sym_long] = ACTIONS(2759),
    [anon_sym_short] = ACTIONS(2759),
    [anon_sym_LBRACK] = ACTIONS(2759),
    [anon_sym_static] = ACTIONS(2759),
    [anon_sym_register] = ACTIONS(2759),
    [anon_sym_inline] = ACTIONS(2759),
    [anon_sym___inline] = ACTIONS(2759),
    [anon_sym___inline__] = ACTIONS(2759),
    [anon_sym___forceinline] = ACTIONS(2759),
    [anon_sym_thread_local] = ACTIONS(2759),
    [anon_sym___thread] = ACTIONS(2759),
    [anon_sym_const] = ACTIONS(2759),
    [anon_sym_constexpr] = ACTIONS(2759),
    [anon_sym_volatile] = ACTIONS(2759),
    [anon_sym_restrict] = ACTIONS(2759),
    [anon_sym___restrict__] = ACTIONS(2759),
    [anon_sym__Atomic] = ACTIONS(2759),
    [anon_sym__Noreturn] = ACTIONS(2759),
    [anon_sym_noreturn] = ACTIONS(2759),
    [anon_sym_mutable] = ACTIONS(2759),
    [anon_sym_constinit] = ACTIONS(2759),
    [anon_sym_consteval] = ACTIONS(2759),
    [sym_primitive_type] = ACTIONS(2759),
    [anon_sym_enum] = ACTIONS(2759),
    [anon_sym_class] = ACTIONS(2759),
    [anon_sym_struct] = ACTIONS(2759),
    [anon_sym_union] = ACTIONS(2759),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2759),
    [anon_sym_decltype] = ACTIONS(2759),
    [anon_sym_virtual] = ACTIONS(2759),
    [anon_sym_alignas] = ACTIONS(2759),
    [anon_sym_explicit] = ACTIONS(2759),
    [anon_sym_typename] = ACTIONS(2759),
    [anon_sym_template] = ACTIONS(2759),
    [anon_sym_operator] = ACTIONS(2759),
    [anon_sym_friend] = ACTIONS(2759),
    [anon_sym_public] = ACTIONS(2759),
    [anon_sym_private] = ACTIONS(2759),
    [anon_sym_protected] = ACTIONS(2759),
    [anon_sym_using] = ACTIONS(2759),
    [anon_sym_static_assert] = ACTIONS(2759),
    [anon_sym_precise] = ACTIONS(2759),
    [anon_sym_shared] = ACTIONS(2759),
    [anon_sym_groupshared] = ACTIONS(2759),
    [anon_sym_uniform] = ACTIONS(2759),
    [anon_sym_row_major] = ACTIONS(2759),
    [anon_sym_column_major] = ACTIONS(2759),
    [anon_sym_globallycoherent] = ACTIONS(2759),
    [anon_sym_centroid] = ACTIONS(2759),
    [anon_sym_noperspective] = ACTIONS(2759),
    [anon_sym_nointerpolation] = ACTIONS(2759),
    [anon_sym_sample] = ACTIONS(2759),
    [anon_sym_linear] = ACTIONS(2759),
    [anon_sym_snorm] = ACTIONS(2759),
    [anon_sym_unorm] = ACTIONS(2759),
    [anon_sym_point] = ACTIONS(2759),
    [anon_sym_line] = ACTIONS(2759),
    [anon_sym_triangleadj] = ACTIONS(2759),
    [anon_sym_lineadj] = ACTIONS(2759),
    [anon_sym_triangle] = ACTIONS(2759),
  },
  [2752] = {
    [sym_identifier] = ACTIONS(2755),
    [aux_sym_preproc_def_token1] = ACTIONS(2755),
    [aux_sym_preproc_if_token1] = ACTIONS(2755),
    [aux_sym_preproc_if_token2] = ACTIONS(2755),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2755),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2755),
    [aux_sym_preproc_else_token1] = ACTIONS(2755),
    [aux_sym_preproc_elif_token1] = ACTIONS(2755),
    [sym_preproc_directive] = ACTIONS(2755),
    [anon_sym_LPAREN2] = ACTIONS(2757),
    [anon_sym_TILDE] = ACTIONS(2757),
    [anon_sym_STAR] = ACTIONS(2757),
    [anon_sym_AMP_AMP] = ACTIONS(2757),
    [anon_sym_AMP] = ACTIONS(2755),
    [anon_sym___extension__] = ACTIONS(2755),
    [anon_sym_typedef] = ACTIONS(2755),
    [anon_sym_in] = ACTIONS(2755),
    [anon_sym_out] = ACTIONS(2755),
    [anon_sym_inout] = ACTIONS(2755),
    [anon_sym_extern] = ACTIONS(2755),
    [anon_sym___attribute__] = ACTIONS(2755),
    [anon_sym_COLON_COLON] = ACTIONS(2757),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2757),
    [anon_sym___declspec] = ACTIONS(2755),
    [anon_sym___based] = ACTIONS(2755),
    [anon_sym_signed] = ACTIONS(2755),
    [anon_sym_unsigned] = ACTIONS(2755),
    [anon_sym_long] = ACTIONS(2755),
    [anon_sym_short] = ACTIONS(2755),
    [anon_sym_LBRACK] = ACTIONS(2755),
    [anon_sym_static] = ACTIONS(2755),
    [anon_sym_register] = ACTIONS(2755),
    [anon_sym_inline] = ACTIONS(2755),
    [anon_sym___inline] = ACTIONS(2755),
    [anon_sym___inline__] = ACTIONS(2755),
    [anon_sym___forceinline] = ACTIONS(2755),
    [anon_sym_thread_local] = ACTIONS(2755),
    [anon_sym___thread] = ACTIONS(2755),
    [anon_sym_const] = ACTIONS(2755),
    [anon_sym_constexpr] = ACTIONS(2755),
    [anon_sym_volatile] = ACTIONS(2755),
    [anon_sym_restrict] = ACTIONS(2755),
    [anon_sym___restrict__] = ACTIONS(2755),
    [anon_sym__Atomic] = ACTIONS(2755),
    [anon_sym__Noreturn] = ACTIONS(2755),
    [anon_sym_noreturn] = ACTIONS(2755),
    [anon_sym_mutable] = ACTIONS(2755),
    [anon_sym_constinit] = ACTIONS(2755),
    [anon_sym_consteval] = ACTIONS(2755),
    [sym_primitive_type] = ACTIONS(2755),
    [anon_sym_enum] = ACTIONS(2755),
    [anon_sym_class] = ACTIONS(2755),
    [anon_sym_struct] = ACTIONS(2755),
    [anon_sym_union] = ACTIONS(2755),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2755),
    [anon_sym_decltype] = ACTIONS(2755),
    [anon_sym_virtual] = ACTIONS(2755),
    [anon_sym_alignas] = ACTIONS(2755),
    [anon_sym_explicit] = ACTIONS(2755),
    [anon_sym_typename] = ACTIONS(2755),
    [anon_sym_template] = ACTIONS(2755),
    [anon_sym_operator] = ACTIONS(2755),
    [anon_sym_friend] = ACTIONS(2755),
    [anon_sym_public] = ACTIONS(2755),
    [anon_sym_private] = ACTIONS(2755),
    [anon_sym_protected] = ACTIONS(2755),
    [anon_sym_using] = ACTIONS(2755),
    [anon_sym_static_assert] = ACTIONS(2755),
    [anon_sym_precise] = ACTIONS(2755),
    [anon_sym_shared] = ACTIONS(2755),
    [anon_sym_groupshared] = ACTIONS(2755),
    [anon_sym_uniform] = ACTIONS(2755),
    [anon_sym_row_major] = ACTIONS(2755),
    [anon_sym_column_major] = ACTIONS(2755),
    [anon_sym_globallycoherent] = ACTIONS(2755),
    [anon_sym_centroid] = ACTIONS(2755),
    [anon_sym_noperspective] = ACTIONS(2755),
    [anon_sym_nointerpolation] = ACTIONS(2755),
    [anon_sym_sample] = ACTIONS(2755),
    [anon_sym_linear] = ACTIONS(2755),
    [anon_sym_snorm] = ACTIONS(2755),
    [anon_sym_unorm] = ACTIONS(2755),
    [anon_sym_point] = ACTIONS(2755),
    [anon_sym_line] = ACTIONS(2755),
    [anon_sym_triangleadj] = ACTIONS(2755),
    [anon_sym_lineadj] = ACTIONS(2755),
    [anon_sym_triangle] = ACTIONS(2755),
  },
  [2753] = {
    [sym_identifier] = ACTIONS(5627),
    [aux_sym_preproc_def_token1] = ACTIONS(5627),
    [aux_sym_preproc_if_token1] = ACTIONS(5627),
    [aux_sym_preproc_if_token2] = ACTIONS(5627),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5627),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5627),
    [aux_sym_preproc_else_token1] = ACTIONS(5627),
    [aux_sym_preproc_elif_token1] = ACTIONS(5627),
    [sym_preproc_directive] = ACTIONS(5627),
    [anon_sym_LPAREN2] = ACTIONS(5629),
    [anon_sym_TILDE] = ACTIONS(5629),
    [anon_sym_STAR] = ACTIONS(5629),
    [anon_sym_AMP_AMP] = ACTIONS(5629),
    [anon_sym_AMP] = ACTIONS(5627),
    [anon_sym___extension__] = ACTIONS(5627),
    [anon_sym_typedef] = ACTIONS(5627),
    [anon_sym_in] = ACTIONS(5627),
    [anon_sym_out] = ACTIONS(5627),
    [anon_sym_inout] = ACTIONS(5627),
    [anon_sym_extern] = ACTIONS(5627),
    [anon_sym___attribute__] = ACTIONS(5627),
    [anon_sym_COLON_COLON] = ACTIONS(5629),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5629),
    [anon_sym___declspec] = ACTIONS(5627),
    [anon_sym___based] = ACTIONS(5627),
    [anon_sym_signed] = ACTIONS(5627),
    [anon_sym_unsigned] = ACTIONS(5627),
    [anon_sym_long] = ACTIONS(5627),
    [anon_sym_short] = ACTIONS(5627),
    [anon_sym_LBRACK] = ACTIONS(5627),
    [anon_sym_static] = ACTIONS(5627),
    [anon_sym_register] = ACTIONS(5627),
    [anon_sym_inline] = ACTIONS(5627),
    [anon_sym___inline] = ACTIONS(5627),
    [anon_sym___inline__] = ACTIONS(5627),
    [anon_sym___forceinline] = ACTIONS(5627),
    [anon_sym_thread_local] = ACTIONS(5627),
    [anon_sym___thread] = ACTIONS(5627),
    [anon_sym_const] = ACTIONS(5627),
    [anon_sym_constexpr] = ACTIONS(5627),
    [anon_sym_volatile] = ACTIONS(5627),
    [anon_sym_restrict] = ACTIONS(5627),
    [anon_sym___restrict__] = ACTIONS(5627),
    [anon_sym__Atomic] = ACTIONS(5627),
    [anon_sym__Noreturn] = ACTIONS(5627),
    [anon_sym_noreturn] = ACTIONS(5627),
    [anon_sym_mutable] = ACTIONS(5627),
    [anon_sym_constinit] = ACTIONS(5627),
    [anon_sym_consteval] = ACTIONS(5627),
    [sym_primitive_type] = ACTIONS(5627),
    [anon_sym_enum] = ACTIONS(5627),
    [anon_sym_class] = ACTIONS(5627),
    [anon_sym_struct] = ACTIONS(5627),
    [anon_sym_union] = ACTIONS(5627),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5627),
    [anon_sym_decltype] = ACTIONS(5627),
    [anon_sym_virtual] = ACTIONS(5627),
    [anon_sym_alignas] = ACTIONS(5627),
    [anon_sym_explicit] = ACTIONS(5627),
    [anon_sym_typename] = ACTIONS(5627),
    [anon_sym_template] = ACTIONS(5627),
    [anon_sym_operator] = ACTIONS(5627),
    [anon_sym_friend] = ACTIONS(5627),
    [anon_sym_public] = ACTIONS(5627),
    [anon_sym_private] = ACTIONS(5627),
    [anon_sym_protected] = ACTIONS(5627),
    [anon_sym_using] = ACTIONS(5627),
    [anon_sym_static_assert] = ACTIONS(5627),
    [anon_sym_precise] = ACTIONS(5627),
    [anon_sym_shared] = ACTIONS(5627),
    [anon_sym_groupshared] = ACTIONS(5627),
    [anon_sym_uniform] = ACTIONS(5627),
    [anon_sym_row_major] = ACTIONS(5627),
    [anon_sym_column_major] = ACTIONS(5627),
    [anon_sym_globallycoherent] = ACTIONS(5627),
    [anon_sym_centroid] = ACTIONS(5627),
    [anon_sym_noperspective] = ACTIONS(5627),
    [anon_sym_nointerpolation] = ACTIONS(5627),
    [anon_sym_sample] = ACTIONS(5627),
    [anon_sym_linear] = ACTIONS(5627),
    [anon_sym_snorm] = ACTIONS(5627),
    [anon_sym_unorm] = ACTIONS(5627),
    [anon_sym_point] = ACTIONS(5627),
    [anon_sym_line] = ACTIONS(5627),
    [anon_sym_triangleadj] = ACTIONS(5627),
    [anon_sym_lineadj] = ACTIONS(5627),
    [anon_sym_triangle] = ACTIONS(5627),
  },
  [2754] = {
    [sym_identifier] = ACTIONS(2702),
    [aux_sym_preproc_def_token1] = ACTIONS(2702),
    [aux_sym_preproc_if_token1] = ACTIONS(2702),
    [aux_sym_preproc_if_token2] = ACTIONS(2702),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2702),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2702),
    [aux_sym_preproc_else_token1] = ACTIONS(2702),
    [aux_sym_preproc_elif_token1] = ACTIONS(2702),
    [sym_preproc_directive] = ACTIONS(2702),
    [anon_sym_LPAREN2] = ACTIONS(2704),
    [anon_sym_TILDE] = ACTIONS(2704),
    [anon_sym_STAR] = ACTIONS(2704),
    [anon_sym_AMP_AMP] = ACTIONS(2704),
    [anon_sym_AMP] = ACTIONS(2702),
    [anon_sym___extension__] = ACTIONS(2702),
    [anon_sym_typedef] = ACTIONS(2702),
    [anon_sym_in] = ACTIONS(2702),
    [anon_sym_out] = ACTIONS(2702),
    [anon_sym_inout] = ACTIONS(2702),
    [anon_sym_extern] = ACTIONS(2702),
    [anon_sym___attribute__] = ACTIONS(2702),
    [anon_sym_COLON_COLON] = ACTIONS(2704),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2704),
    [anon_sym___declspec] = ACTIONS(2702),
    [anon_sym___based] = ACTIONS(2702),
    [anon_sym_signed] = ACTIONS(2702),
    [anon_sym_unsigned] = ACTIONS(2702),
    [anon_sym_long] = ACTIONS(2702),
    [anon_sym_short] = ACTIONS(2702),
    [anon_sym_LBRACK] = ACTIONS(2702),
    [anon_sym_static] = ACTIONS(2702),
    [anon_sym_register] = ACTIONS(2702),
    [anon_sym_inline] = ACTIONS(2702),
    [anon_sym___inline] = ACTIONS(2702),
    [anon_sym___inline__] = ACTIONS(2702),
    [anon_sym___forceinline] = ACTIONS(2702),
    [anon_sym_thread_local] = ACTIONS(2702),
    [anon_sym___thread] = ACTIONS(2702),
    [anon_sym_const] = ACTIONS(2702),
    [anon_sym_constexpr] = ACTIONS(2702),
    [anon_sym_volatile] = ACTIONS(2702),
    [anon_sym_restrict] = ACTIONS(2702),
    [anon_sym___restrict__] = ACTIONS(2702),
    [anon_sym__Atomic] = ACTIONS(2702),
    [anon_sym__Noreturn] = ACTIONS(2702),
    [anon_sym_noreturn] = ACTIONS(2702),
    [anon_sym_mutable] = ACTIONS(2702),
    [anon_sym_constinit] = ACTIONS(2702),
    [anon_sym_consteval] = ACTIONS(2702),
    [sym_primitive_type] = ACTIONS(2702),
    [anon_sym_enum] = ACTIONS(2702),
    [anon_sym_class] = ACTIONS(2702),
    [anon_sym_struct] = ACTIONS(2702),
    [anon_sym_union] = ACTIONS(2702),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2702),
    [anon_sym_decltype] = ACTIONS(2702),
    [anon_sym_virtual] = ACTIONS(2702),
    [anon_sym_alignas] = ACTIONS(2702),
    [anon_sym_explicit] = ACTIONS(2702),
    [anon_sym_typename] = ACTIONS(2702),
    [anon_sym_template] = ACTIONS(2702),
    [anon_sym_operator] = ACTIONS(2702),
    [anon_sym_friend] = ACTIONS(2702),
    [anon_sym_public] = ACTIONS(2702),
    [anon_sym_private] = ACTIONS(2702),
    [anon_sym_protected] = ACTIONS(2702),
    [anon_sym_using] = ACTIONS(2702),
    [anon_sym_static_assert] = ACTIONS(2702),
    [anon_sym_precise] = ACTIONS(2702),
    [anon_sym_shared] = ACTIONS(2702),
    [anon_sym_groupshared] = ACTIONS(2702),
    [anon_sym_uniform] = ACTIONS(2702),
    [anon_sym_row_major] = ACTIONS(2702),
    [anon_sym_column_major] = ACTIONS(2702),
    [anon_sym_globallycoherent] = ACTIONS(2702),
    [anon_sym_centroid] = ACTIONS(2702),
    [anon_sym_noperspective] = ACTIONS(2702),
    [anon_sym_nointerpolation] = ACTIONS(2702),
    [anon_sym_sample] = ACTIONS(2702),
    [anon_sym_linear] = ACTIONS(2702),
    [anon_sym_snorm] = ACTIONS(2702),
    [anon_sym_unorm] = ACTIONS(2702),
    [anon_sym_point] = ACTIONS(2702),
    [anon_sym_line] = ACTIONS(2702),
    [anon_sym_triangleadj] = ACTIONS(2702),
    [anon_sym_lineadj] = ACTIONS(2702),
    [anon_sym_triangle] = ACTIONS(2702),
  },
  [2755] = {
    [sym_identifier] = ACTIONS(2520),
    [aux_sym_preproc_def_token1] = ACTIONS(2520),
    [aux_sym_preproc_if_token1] = ACTIONS(2520),
    [aux_sym_preproc_if_token2] = ACTIONS(2520),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2520),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2520),
    [aux_sym_preproc_else_token1] = ACTIONS(2520),
    [aux_sym_preproc_elif_token1] = ACTIONS(2520),
    [sym_preproc_directive] = ACTIONS(2520),
    [anon_sym_LPAREN2] = ACTIONS(2522),
    [anon_sym_TILDE] = ACTIONS(2522),
    [anon_sym_STAR] = ACTIONS(2522),
    [anon_sym_AMP_AMP] = ACTIONS(2522),
    [anon_sym_AMP] = ACTIONS(2520),
    [anon_sym___extension__] = ACTIONS(2520),
    [anon_sym_typedef] = ACTIONS(2520),
    [anon_sym_in] = ACTIONS(2520),
    [anon_sym_out] = ACTIONS(2520),
    [anon_sym_inout] = ACTIONS(2520),
    [anon_sym_extern] = ACTIONS(2520),
    [anon_sym___attribute__] = ACTIONS(2520),
    [anon_sym_COLON_COLON] = ACTIONS(2522),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2522),
    [anon_sym___declspec] = ACTIONS(2520),
    [anon_sym___based] = ACTIONS(2520),
    [anon_sym_signed] = ACTIONS(2520),
    [anon_sym_unsigned] = ACTIONS(2520),
    [anon_sym_long] = ACTIONS(2520),
    [anon_sym_short] = ACTIONS(2520),
    [anon_sym_LBRACK] = ACTIONS(2520),
    [anon_sym_static] = ACTIONS(2520),
    [anon_sym_register] = ACTIONS(2520),
    [anon_sym_inline] = ACTIONS(2520),
    [anon_sym___inline] = ACTIONS(2520),
    [anon_sym___inline__] = ACTIONS(2520),
    [anon_sym___forceinline] = ACTIONS(2520),
    [anon_sym_thread_local] = ACTIONS(2520),
    [anon_sym___thread] = ACTIONS(2520),
    [anon_sym_const] = ACTIONS(2520),
    [anon_sym_constexpr] = ACTIONS(2520),
    [anon_sym_volatile] = ACTIONS(2520),
    [anon_sym_restrict] = ACTIONS(2520),
    [anon_sym___restrict__] = ACTIONS(2520),
    [anon_sym__Atomic] = ACTIONS(2520),
    [anon_sym__Noreturn] = ACTIONS(2520),
    [anon_sym_noreturn] = ACTIONS(2520),
    [anon_sym_mutable] = ACTIONS(2520),
    [anon_sym_constinit] = ACTIONS(2520),
    [anon_sym_consteval] = ACTIONS(2520),
    [sym_primitive_type] = ACTIONS(2520),
    [anon_sym_enum] = ACTIONS(2520),
    [anon_sym_class] = ACTIONS(2520),
    [anon_sym_struct] = ACTIONS(2520),
    [anon_sym_union] = ACTIONS(2520),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2520),
    [anon_sym_decltype] = ACTIONS(2520),
    [anon_sym_virtual] = ACTIONS(2520),
    [anon_sym_alignas] = ACTIONS(2520),
    [anon_sym_explicit] = ACTIONS(2520),
    [anon_sym_typename] = ACTIONS(2520),
    [anon_sym_template] = ACTIONS(2520),
    [anon_sym_operator] = ACTIONS(2520),
    [anon_sym_friend] = ACTIONS(2520),
    [anon_sym_public] = ACTIONS(2520),
    [anon_sym_private] = ACTIONS(2520),
    [anon_sym_protected] = ACTIONS(2520),
    [anon_sym_using] = ACTIONS(2520),
    [anon_sym_static_assert] = ACTIONS(2520),
    [anon_sym_precise] = ACTIONS(2520),
    [anon_sym_shared] = ACTIONS(2520),
    [anon_sym_groupshared] = ACTIONS(2520),
    [anon_sym_uniform] = ACTIONS(2520),
    [anon_sym_row_major] = ACTIONS(2520),
    [anon_sym_column_major] = ACTIONS(2520),
    [anon_sym_globallycoherent] = ACTIONS(2520),
    [anon_sym_centroid] = ACTIONS(2520),
    [anon_sym_noperspective] = ACTIONS(2520),
    [anon_sym_nointerpolation] = ACTIONS(2520),
    [anon_sym_sample] = ACTIONS(2520),
    [anon_sym_linear] = ACTIONS(2520),
    [anon_sym_snorm] = ACTIONS(2520),
    [anon_sym_unorm] = ACTIONS(2520),
    [anon_sym_point] = ACTIONS(2520),
    [anon_sym_line] = ACTIONS(2520),
    [anon_sym_triangleadj] = ACTIONS(2520),
    [anon_sym_lineadj] = ACTIONS(2520),
    [anon_sym_triangle] = ACTIONS(2520),
  },
  [2756] = {
    [sym_identifier] = ACTIONS(5631),
    [aux_sym_preproc_def_token1] = ACTIONS(5631),
    [aux_sym_preproc_if_token1] = ACTIONS(5631),
    [aux_sym_preproc_if_token2] = ACTIONS(5631),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5631),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5631),
    [aux_sym_preproc_else_token1] = ACTIONS(5631),
    [aux_sym_preproc_elif_token1] = ACTIONS(5631),
    [sym_preproc_directive] = ACTIONS(5631),
    [anon_sym_LPAREN2] = ACTIONS(5633),
    [anon_sym_TILDE] = ACTIONS(5633),
    [anon_sym_STAR] = ACTIONS(5633),
    [anon_sym_AMP_AMP] = ACTIONS(5633),
    [anon_sym_AMP] = ACTIONS(5631),
    [anon_sym___extension__] = ACTIONS(5631),
    [anon_sym_typedef] = ACTIONS(5631),
    [anon_sym_in] = ACTIONS(5631),
    [anon_sym_out] = ACTIONS(5631),
    [anon_sym_inout] = ACTIONS(5631),
    [anon_sym_extern] = ACTIONS(5631),
    [anon_sym___attribute__] = ACTIONS(5631),
    [anon_sym_COLON_COLON] = ACTIONS(5633),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5633),
    [anon_sym___declspec] = ACTIONS(5631),
    [anon_sym___based] = ACTIONS(5631),
    [anon_sym_signed] = ACTIONS(5631),
    [anon_sym_unsigned] = ACTIONS(5631),
    [anon_sym_long] = ACTIONS(5631),
    [anon_sym_short] = ACTIONS(5631),
    [anon_sym_LBRACK] = ACTIONS(5631),
    [anon_sym_static] = ACTIONS(5631),
    [anon_sym_register] = ACTIONS(5631),
    [anon_sym_inline] = ACTIONS(5631),
    [anon_sym___inline] = ACTIONS(5631),
    [anon_sym___inline__] = ACTIONS(5631),
    [anon_sym___forceinline] = ACTIONS(5631),
    [anon_sym_thread_local] = ACTIONS(5631),
    [anon_sym___thread] = ACTIONS(5631),
    [anon_sym_const] = ACTIONS(5631),
    [anon_sym_constexpr] = ACTIONS(5631),
    [anon_sym_volatile] = ACTIONS(5631),
    [anon_sym_restrict] = ACTIONS(5631),
    [anon_sym___restrict__] = ACTIONS(5631),
    [anon_sym__Atomic] = ACTIONS(5631),
    [anon_sym__Noreturn] = ACTIONS(5631),
    [anon_sym_noreturn] = ACTIONS(5631),
    [anon_sym_mutable] = ACTIONS(5631),
    [anon_sym_constinit] = ACTIONS(5631),
    [anon_sym_consteval] = ACTIONS(5631),
    [sym_primitive_type] = ACTIONS(5631),
    [anon_sym_enum] = ACTIONS(5631),
    [anon_sym_class] = ACTIONS(5631),
    [anon_sym_struct] = ACTIONS(5631),
    [anon_sym_union] = ACTIONS(5631),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5631),
    [anon_sym_decltype] = ACTIONS(5631),
    [anon_sym_virtual] = ACTIONS(5631),
    [anon_sym_alignas] = ACTIONS(5631),
    [anon_sym_explicit] = ACTIONS(5631),
    [anon_sym_typename] = ACTIONS(5631),
    [anon_sym_template] = ACTIONS(5631),
    [anon_sym_operator] = ACTIONS(5631),
    [anon_sym_friend] = ACTIONS(5631),
    [anon_sym_public] = ACTIONS(5631),
    [anon_sym_private] = ACTIONS(5631),
    [anon_sym_protected] = ACTIONS(5631),
    [anon_sym_using] = ACTIONS(5631),
    [anon_sym_static_assert] = ACTIONS(5631),
    [anon_sym_precise] = ACTIONS(5631),
    [anon_sym_shared] = ACTIONS(5631),
    [anon_sym_groupshared] = ACTIONS(5631),
    [anon_sym_uniform] = ACTIONS(5631),
    [anon_sym_row_major] = ACTIONS(5631),
    [anon_sym_column_major] = ACTIONS(5631),
    [anon_sym_globallycoherent] = ACTIONS(5631),
    [anon_sym_centroid] = ACTIONS(5631),
    [anon_sym_noperspective] = ACTIONS(5631),
    [anon_sym_nointerpolation] = ACTIONS(5631),
    [anon_sym_sample] = ACTIONS(5631),
    [anon_sym_linear] = ACTIONS(5631),
    [anon_sym_snorm] = ACTIONS(5631),
    [anon_sym_unorm] = ACTIONS(5631),
    [anon_sym_point] = ACTIONS(5631),
    [anon_sym_line] = ACTIONS(5631),
    [anon_sym_triangleadj] = ACTIONS(5631),
    [anon_sym_lineadj] = ACTIONS(5631),
    [anon_sym_triangle] = ACTIONS(5631),
  },
  [2757] = {
    [sym_identifier] = ACTIONS(5703),
    [aux_sym_preproc_def_token1] = ACTIONS(5703),
    [aux_sym_preproc_if_token1] = ACTIONS(5703),
    [aux_sym_preproc_if_token2] = ACTIONS(5703),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5703),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5703),
    [aux_sym_preproc_else_token1] = ACTIONS(5703),
    [aux_sym_preproc_elif_token1] = ACTIONS(5703),
    [sym_preproc_directive] = ACTIONS(5703),
    [anon_sym_LPAREN2] = ACTIONS(5705),
    [anon_sym_TILDE] = ACTIONS(5705),
    [anon_sym_STAR] = ACTIONS(5705),
    [anon_sym_AMP_AMP] = ACTIONS(5705),
    [anon_sym_AMP] = ACTIONS(5703),
    [anon_sym___extension__] = ACTIONS(5703),
    [anon_sym_typedef] = ACTIONS(5703),
    [anon_sym_in] = ACTIONS(5703),
    [anon_sym_out] = ACTIONS(5703),
    [anon_sym_inout] = ACTIONS(5703),
    [anon_sym_extern] = ACTIONS(5703),
    [anon_sym___attribute__] = ACTIONS(5703),
    [anon_sym_COLON_COLON] = ACTIONS(5705),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5705),
    [anon_sym___declspec] = ACTIONS(5703),
    [anon_sym___based] = ACTIONS(5703),
    [anon_sym_signed] = ACTIONS(5703),
    [anon_sym_unsigned] = ACTIONS(5703),
    [anon_sym_long] = ACTIONS(5703),
    [anon_sym_short] = ACTIONS(5703),
    [anon_sym_LBRACK] = ACTIONS(5703),
    [anon_sym_static] = ACTIONS(5703),
    [anon_sym_register] = ACTIONS(5703),
    [anon_sym_inline] = ACTIONS(5703),
    [anon_sym___inline] = ACTIONS(5703),
    [anon_sym___inline__] = ACTIONS(5703),
    [anon_sym___forceinline] = ACTIONS(5703),
    [anon_sym_thread_local] = ACTIONS(5703),
    [anon_sym___thread] = ACTIONS(5703),
    [anon_sym_const] = ACTIONS(5703),
    [anon_sym_constexpr] = ACTIONS(5703),
    [anon_sym_volatile] = ACTIONS(5703),
    [anon_sym_restrict] = ACTIONS(5703),
    [anon_sym___restrict__] = ACTIONS(5703),
    [anon_sym__Atomic] = ACTIONS(5703),
    [anon_sym__Noreturn] = ACTIONS(5703),
    [anon_sym_noreturn] = ACTIONS(5703),
    [anon_sym_mutable] = ACTIONS(5703),
    [anon_sym_constinit] = ACTIONS(5703),
    [anon_sym_consteval] = ACTIONS(5703),
    [sym_primitive_type] = ACTIONS(5703),
    [anon_sym_enum] = ACTIONS(5703),
    [anon_sym_class] = ACTIONS(5703),
    [anon_sym_struct] = ACTIONS(5703),
    [anon_sym_union] = ACTIONS(5703),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5703),
    [anon_sym_decltype] = ACTIONS(5703),
    [anon_sym_virtual] = ACTIONS(5703),
    [anon_sym_alignas] = ACTIONS(5703),
    [anon_sym_explicit] = ACTIONS(5703),
    [anon_sym_typename] = ACTIONS(5703),
    [anon_sym_template] = ACTIONS(5703),
    [anon_sym_operator] = ACTIONS(5703),
    [anon_sym_friend] = ACTIONS(5703),
    [anon_sym_public] = ACTIONS(5703),
    [anon_sym_private] = ACTIONS(5703),
    [anon_sym_protected] = ACTIONS(5703),
    [anon_sym_using] = ACTIONS(5703),
    [anon_sym_static_assert] = ACTIONS(5703),
    [anon_sym_precise] = ACTIONS(5703),
    [anon_sym_shared] = ACTIONS(5703),
    [anon_sym_groupshared] = ACTIONS(5703),
    [anon_sym_uniform] = ACTIONS(5703),
    [anon_sym_row_major] = ACTIONS(5703),
    [anon_sym_column_major] = ACTIONS(5703),
    [anon_sym_globallycoherent] = ACTIONS(5703),
    [anon_sym_centroid] = ACTIONS(5703),
    [anon_sym_noperspective] = ACTIONS(5703),
    [anon_sym_nointerpolation] = ACTIONS(5703),
    [anon_sym_sample] = ACTIONS(5703),
    [anon_sym_linear] = ACTIONS(5703),
    [anon_sym_snorm] = ACTIONS(5703),
    [anon_sym_unorm] = ACTIONS(5703),
    [anon_sym_point] = ACTIONS(5703),
    [anon_sym_line] = ACTIONS(5703),
    [anon_sym_triangleadj] = ACTIONS(5703),
    [anon_sym_lineadj] = ACTIONS(5703),
    [anon_sym_triangle] = ACTIONS(5703),
  },
  [2758] = {
    [sym_identifier] = ACTIONS(5635),
    [aux_sym_preproc_def_token1] = ACTIONS(5635),
    [aux_sym_preproc_if_token1] = ACTIONS(5635),
    [aux_sym_preproc_if_token2] = ACTIONS(5635),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5635),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5635),
    [aux_sym_preproc_else_token1] = ACTIONS(5635),
    [aux_sym_preproc_elif_token1] = ACTIONS(5635),
    [sym_preproc_directive] = ACTIONS(5635),
    [anon_sym_LPAREN2] = ACTIONS(5637),
    [anon_sym_TILDE] = ACTIONS(5637),
    [anon_sym_STAR] = ACTIONS(5637),
    [anon_sym_AMP_AMP] = ACTIONS(5637),
    [anon_sym_AMP] = ACTIONS(5635),
    [anon_sym___extension__] = ACTIONS(5635),
    [anon_sym_typedef] = ACTIONS(5635),
    [anon_sym_in] = ACTIONS(5635),
    [anon_sym_out] = ACTIONS(5635),
    [anon_sym_inout] = ACTIONS(5635),
    [anon_sym_extern] = ACTIONS(5635),
    [anon_sym___attribute__] = ACTIONS(5635),
    [anon_sym_COLON_COLON] = ACTIONS(5637),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5637),
    [anon_sym___declspec] = ACTIONS(5635),
    [anon_sym___based] = ACTIONS(5635),
    [anon_sym_signed] = ACTIONS(5635),
    [anon_sym_unsigned] = ACTIONS(5635),
    [anon_sym_long] = ACTIONS(5635),
    [anon_sym_short] = ACTIONS(5635),
    [anon_sym_LBRACK] = ACTIONS(5635),
    [anon_sym_static] = ACTIONS(5635),
    [anon_sym_register] = ACTIONS(5635),
    [anon_sym_inline] = ACTIONS(5635),
    [anon_sym___inline] = ACTIONS(5635),
    [anon_sym___inline__] = ACTIONS(5635),
    [anon_sym___forceinline] = ACTIONS(5635),
    [anon_sym_thread_local] = ACTIONS(5635),
    [anon_sym___thread] = ACTIONS(5635),
    [anon_sym_const] = ACTIONS(5635),
    [anon_sym_constexpr] = ACTIONS(5635),
    [anon_sym_volatile] = ACTIONS(5635),
    [anon_sym_restrict] = ACTIONS(5635),
    [anon_sym___restrict__] = ACTIONS(5635),
    [anon_sym__Atomic] = ACTIONS(5635),
    [anon_sym__Noreturn] = ACTIONS(5635),
    [anon_sym_noreturn] = ACTIONS(5635),
    [anon_sym_mutable] = ACTIONS(5635),
    [anon_sym_constinit] = ACTIONS(5635),
    [anon_sym_consteval] = ACTIONS(5635),
    [sym_primitive_type] = ACTIONS(5635),
    [anon_sym_enum] = ACTIONS(5635),
    [anon_sym_class] = ACTIONS(5635),
    [anon_sym_struct] = ACTIONS(5635),
    [anon_sym_union] = ACTIONS(5635),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5635),
    [anon_sym_decltype] = ACTIONS(5635),
    [anon_sym_virtual] = ACTIONS(5635),
    [anon_sym_alignas] = ACTIONS(5635),
    [anon_sym_explicit] = ACTIONS(5635),
    [anon_sym_typename] = ACTIONS(5635),
    [anon_sym_template] = ACTIONS(5635),
    [anon_sym_operator] = ACTIONS(5635),
    [anon_sym_friend] = ACTIONS(5635),
    [anon_sym_public] = ACTIONS(5635),
    [anon_sym_private] = ACTIONS(5635),
    [anon_sym_protected] = ACTIONS(5635),
    [anon_sym_using] = ACTIONS(5635),
    [anon_sym_static_assert] = ACTIONS(5635),
    [anon_sym_precise] = ACTIONS(5635),
    [anon_sym_shared] = ACTIONS(5635),
    [anon_sym_groupshared] = ACTIONS(5635),
    [anon_sym_uniform] = ACTIONS(5635),
    [anon_sym_row_major] = ACTIONS(5635),
    [anon_sym_column_major] = ACTIONS(5635),
    [anon_sym_globallycoherent] = ACTIONS(5635),
    [anon_sym_centroid] = ACTIONS(5635),
    [anon_sym_noperspective] = ACTIONS(5635),
    [anon_sym_nointerpolation] = ACTIONS(5635),
    [anon_sym_sample] = ACTIONS(5635),
    [anon_sym_linear] = ACTIONS(5635),
    [anon_sym_snorm] = ACTIONS(5635),
    [anon_sym_unorm] = ACTIONS(5635),
    [anon_sym_point] = ACTIONS(5635),
    [anon_sym_line] = ACTIONS(5635),
    [anon_sym_triangleadj] = ACTIONS(5635),
    [anon_sym_lineadj] = ACTIONS(5635),
    [anon_sym_triangle] = ACTIONS(5635),
  },
  [2759] = {
    [sym_identifier] = ACTIONS(5679),
    [aux_sym_preproc_def_token1] = ACTIONS(5679),
    [aux_sym_preproc_if_token1] = ACTIONS(5679),
    [aux_sym_preproc_if_token2] = ACTIONS(5679),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5679),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5679),
    [aux_sym_preproc_else_token1] = ACTIONS(5679),
    [aux_sym_preproc_elif_token1] = ACTIONS(5679),
    [sym_preproc_directive] = ACTIONS(5679),
    [anon_sym_LPAREN2] = ACTIONS(5681),
    [anon_sym_TILDE] = ACTIONS(5681),
    [anon_sym_STAR] = ACTIONS(5681),
    [anon_sym_AMP_AMP] = ACTIONS(5681),
    [anon_sym_AMP] = ACTIONS(5679),
    [anon_sym___extension__] = ACTIONS(5679),
    [anon_sym_typedef] = ACTIONS(5679),
    [anon_sym_in] = ACTIONS(5679),
    [anon_sym_out] = ACTIONS(5679),
    [anon_sym_inout] = ACTIONS(5679),
    [anon_sym_extern] = ACTIONS(5679),
    [anon_sym___attribute__] = ACTIONS(5679),
    [anon_sym_COLON_COLON] = ACTIONS(5681),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5681),
    [anon_sym___declspec] = ACTIONS(5679),
    [anon_sym___based] = ACTIONS(5679),
    [anon_sym_signed] = ACTIONS(5679),
    [anon_sym_unsigned] = ACTIONS(5679),
    [anon_sym_long] = ACTIONS(5679),
    [anon_sym_short] = ACTIONS(5679),
    [anon_sym_LBRACK] = ACTIONS(5679),
    [anon_sym_static] = ACTIONS(5679),
    [anon_sym_register] = ACTIONS(5679),
    [anon_sym_inline] = ACTIONS(5679),
    [anon_sym___inline] = ACTIONS(5679),
    [anon_sym___inline__] = ACTIONS(5679),
    [anon_sym___forceinline] = ACTIONS(5679),
    [anon_sym_thread_local] = ACTIONS(5679),
    [anon_sym___thread] = ACTIONS(5679),
    [anon_sym_const] = ACTIONS(5679),
    [anon_sym_constexpr] = ACTIONS(5679),
    [anon_sym_volatile] = ACTIONS(5679),
    [anon_sym_restrict] = ACTIONS(5679),
    [anon_sym___restrict__] = ACTIONS(5679),
    [anon_sym__Atomic] = ACTIONS(5679),
    [anon_sym__Noreturn] = ACTIONS(5679),
    [anon_sym_noreturn] = ACTIONS(5679),
    [anon_sym_mutable] = ACTIONS(5679),
    [anon_sym_constinit] = ACTIONS(5679),
    [anon_sym_consteval] = ACTIONS(5679),
    [sym_primitive_type] = ACTIONS(5679),
    [anon_sym_enum] = ACTIONS(5679),
    [anon_sym_class] = ACTIONS(5679),
    [anon_sym_struct] = ACTIONS(5679),
    [anon_sym_union] = ACTIONS(5679),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5679),
    [anon_sym_decltype] = ACTIONS(5679),
    [anon_sym_virtual] = ACTIONS(5679),
    [anon_sym_alignas] = ACTIONS(5679),
    [anon_sym_explicit] = ACTIONS(5679),
    [anon_sym_typename] = ACTIONS(5679),
    [anon_sym_template] = ACTIONS(5679),
    [anon_sym_operator] = ACTIONS(5679),
    [anon_sym_friend] = ACTIONS(5679),
    [anon_sym_public] = ACTIONS(5679),
    [anon_sym_private] = ACTIONS(5679),
    [anon_sym_protected] = ACTIONS(5679),
    [anon_sym_using] = ACTIONS(5679),
    [anon_sym_static_assert] = ACTIONS(5679),
    [anon_sym_precise] = ACTIONS(5679),
    [anon_sym_shared] = ACTIONS(5679),
    [anon_sym_groupshared] = ACTIONS(5679),
    [anon_sym_uniform] = ACTIONS(5679),
    [anon_sym_row_major] = ACTIONS(5679),
    [anon_sym_column_major] = ACTIONS(5679),
    [anon_sym_globallycoherent] = ACTIONS(5679),
    [anon_sym_centroid] = ACTIONS(5679),
    [anon_sym_noperspective] = ACTIONS(5679),
    [anon_sym_nointerpolation] = ACTIONS(5679),
    [anon_sym_sample] = ACTIONS(5679),
    [anon_sym_linear] = ACTIONS(5679),
    [anon_sym_snorm] = ACTIONS(5679),
    [anon_sym_unorm] = ACTIONS(5679),
    [anon_sym_point] = ACTIONS(5679),
    [anon_sym_line] = ACTIONS(5679),
    [anon_sym_triangleadj] = ACTIONS(5679),
    [anon_sym_lineadj] = ACTIONS(5679),
    [anon_sym_triangle] = ACTIONS(5679),
  },
  [2760] = {
    [sym_identifier] = ACTIONS(5671),
    [aux_sym_preproc_def_token1] = ACTIONS(5671),
    [aux_sym_preproc_if_token1] = ACTIONS(5671),
    [aux_sym_preproc_if_token2] = ACTIONS(5671),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5671),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5671),
    [aux_sym_preproc_else_token1] = ACTIONS(5671),
    [aux_sym_preproc_elif_token1] = ACTIONS(5671),
    [sym_preproc_directive] = ACTIONS(5671),
    [anon_sym_LPAREN2] = ACTIONS(5673),
    [anon_sym_TILDE] = ACTIONS(5673),
    [anon_sym_STAR] = ACTIONS(5673),
    [anon_sym_AMP_AMP] = ACTIONS(5673),
    [anon_sym_AMP] = ACTIONS(5671),
    [anon_sym___extension__] = ACTIONS(5671),
    [anon_sym_typedef] = ACTIONS(5671),
    [anon_sym_in] = ACTIONS(5671),
    [anon_sym_out] = ACTIONS(5671),
    [anon_sym_inout] = ACTIONS(5671),
    [anon_sym_extern] = ACTIONS(5671),
    [anon_sym___attribute__] = ACTIONS(5671),
    [anon_sym_COLON_COLON] = ACTIONS(5673),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5673),
    [anon_sym___declspec] = ACTIONS(5671),
    [anon_sym___based] = ACTIONS(5671),
    [anon_sym_signed] = ACTIONS(5671),
    [anon_sym_unsigned] = ACTIONS(5671),
    [anon_sym_long] = ACTIONS(5671),
    [anon_sym_short] = ACTIONS(5671),
    [anon_sym_LBRACK] = ACTIONS(5671),
    [anon_sym_static] = ACTIONS(5671),
    [anon_sym_register] = ACTIONS(5671),
    [anon_sym_inline] = ACTIONS(5671),
    [anon_sym___inline] = ACTIONS(5671),
    [anon_sym___inline__] = ACTIONS(5671),
    [anon_sym___forceinline] = ACTIONS(5671),
    [anon_sym_thread_local] = ACTIONS(5671),
    [anon_sym___thread] = ACTIONS(5671),
    [anon_sym_const] = ACTIONS(5671),
    [anon_sym_constexpr] = ACTIONS(5671),
    [anon_sym_volatile] = ACTIONS(5671),
    [anon_sym_restrict] = ACTIONS(5671),
    [anon_sym___restrict__] = ACTIONS(5671),
    [anon_sym__Atomic] = ACTIONS(5671),
    [anon_sym__Noreturn] = ACTIONS(5671),
    [anon_sym_noreturn] = ACTIONS(5671),
    [anon_sym_mutable] = ACTIONS(5671),
    [anon_sym_constinit] = ACTIONS(5671),
    [anon_sym_consteval] = ACTIONS(5671),
    [sym_primitive_type] = ACTIONS(5671),
    [anon_sym_enum] = ACTIONS(5671),
    [anon_sym_class] = ACTIONS(5671),
    [anon_sym_struct] = ACTIONS(5671),
    [anon_sym_union] = ACTIONS(5671),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5671),
    [anon_sym_decltype] = ACTIONS(5671),
    [anon_sym_virtual] = ACTIONS(5671),
    [anon_sym_alignas] = ACTIONS(5671),
    [anon_sym_explicit] = ACTIONS(5671),
    [anon_sym_typename] = ACTIONS(5671),
    [anon_sym_template] = ACTIONS(5671),
    [anon_sym_operator] = ACTIONS(5671),
    [anon_sym_friend] = ACTIONS(5671),
    [anon_sym_public] = ACTIONS(5671),
    [anon_sym_private] = ACTIONS(5671),
    [anon_sym_protected] = ACTIONS(5671),
    [anon_sym_using] = ACTIONS(5671),
    [anon_sym_static_assert] = ACTIONS(5671),
    [anon_sym_precise] = ACTIONS(5671),
    [anon_sym_shared] = ACTIONS(5671),
    [anon_sym_groupshared] = ACTIONS(5671),
    [anon_sym_uniform] = ACTIONS(5671),
    [anon_sym_row_major] = ACTIONS(5671),
    [anon_sym_column_major] = ACTIONS(5671),
    [anon_sym_globallycoherent] = ACTIONS(5671),
    [anon_sym_centroid] = ACTIONS(5671),
    [anon_sym_noperspective] = ACTIONS(5671),
    [anon_sym_nointerpolation] = ACTIONS(5671),
    [anon_sym_sample] = ACTIONS(5671),
    [anon_sym_linear] = ACTIONS(5671),
    [anon_sym_snorm] = ACTIONS(5671),
    [anon_sym_unorm] = ACTIONS(5671),
    [anon_sym_point] = ACTIONS(5671),
    [anon_sym_line] = ACTIONS(5671),
    [anon_sym_triangleadj] = ACTIONS(5671),
    [anon_sym_lineadj] = ACTIONS(5671),
    [anon_sym_triangle] = ACTIONS(5671),
  },
  [2761] = {
    [sym_identifier] = ACTIONS(5635),
    [aux_sym_preproc_def_token1] = ACTIONS(5635),
    [aux_sym_preproc_if_token1] = ACTIONS(5635),
    [aux_sym_preproc_if_token2] = ACTIONS(5635),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5635),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5635),
    [aux_sym_preproc_else_token1] = ACTIONS(5635),
    [aux_sym_preproc_elif_token1] = ACTIONS(5635),
    [sym_preproc_directive] = ACTIONS(5635),
    [anon_sym_LPAREN2] = ACTIONS(5637),
    [anon_sym_TILDE] = ACTIONS(5637),
    [anon_sym_STAR] = ACTIONS(5637),
    [anon_sym_AMP_AMP] = ACTIONS(5637),
    [anon_sym_AMP] = ACTIONS(5635),
    [anon_sym___extension__] = ACTIONS(5635),
    [anon_sym_typedef] = ACTIONS(5635),
    [anon_sym_in] = ACTIONS(5635),
    [anon_sym_out] = ACTIONS(5635),
    [anon_sym_inout] = ACTIONS(5635),
    [anon_sym_extern] = ACTIONS(5635),
    [anon_sym___attribute__] = ACTIONS(5635),
    [anon_sym_COLON_COLON] = ACTIONS(5637),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5637),
    [anon_sym___declspec] = ACTIONS(5635),
    [anon_sym___based] = ACTIONS(5635),
    [anon_sym_signed] = ACTIONS(5635),
    [anon_sym_unsigned] = ACTIONS(5635),
    [anon_sym_long] = ACTIONS(5635),
    [anon_sym_short] = ACTIONS(5635),
    [anon_sym_LBRACK] = ACTIONS(5635),
    [anon_sym_static] = ACTIONS(5635),
    [anon_sym_register] = ACTIONS(5635),
    [anon_sym_inline] = ACTIONS(5635),
    [anon_sym___inline] = ACTIONS(5635),
    [anon_sym___inline__] = ACTIONS(5635),
    [anon_sym___forceinline] = ACTIONS(5635),
    [anon_sym_thread_local] = ACTIONS(5635),
    [anon_sym___thread] = ACTIONS(5635),
    [anon_sym_const] = ACTIONS(5635),
    [anon_sym_constexpr] = ACTIONS(5635),
    [anon_sym_volatile] = ACTIONS(5635),
    [anon_sym_restrict] = ACTIONS(5635),
    [anon_sym___restrict__] = ACTIONS(5635),
    [anon_sym__Atomic] = ACTIONS(5635),
    [anon_sym__Noreturn] = ACTIONS(5635),
    [anon_sym_noreturn] = ACTIONS(5635),
    [anon_sym_mutable] = ACTIONS(5635),
    [anon_sym_constinit] = ACTIONS(5635),
    [anon_sym_consteval] = ACTIONS(5635),
    [sym_primitive_type] = ACTIONS(5635),
    [anon_sym_enum] = ACTIONS(5635),
    [anon_sym_class] = ACTIONS(5635),
    [anon_sym_struct] = ACTIONS(5635),
    [anon_sym_union] = ACTIONS(5635),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5635),
    [anon_sym_decltype] = ACTIONS(5635),
    [anon_sym_virtual] = ACTIONS(5635),
    [anon_sym_alignas] = ACTIONS(5635),
    [anon_sym_explicit] = ACTIONS(5635),
    [anon_sym_typename] = ACTIONS(5635),
    [anon_sym_template] = ACTIONS(5635),
    [anon_sym_operator] = ACTIONS(5635),
    [anon_sym_friend] = ACTIONS(5635),
    [anon_sym_public] = ACTIONS(5635),
    [anon_sym_private] = ACTIONS(5635),
    [anon_sym_protected] = ACTIONS(5635),
    [anon_sym_using] = ACTIONS(5635),
    [anon_sym_static_assert] = ACTIONS(5635),
    [anon_sym_precise] = ACTIONS(5635),
    [anon_sym_shared] = ACTIONS(5635),
    [anon_sym_groupshared] = ACTIONS(5635),
    [anon_sym_uniform] = ACTIONS(5635),
    [anon_sym_row_major] = ACTIONS(5635),
    [anon_sym_column_major] = ACTIONS(5635),
    [anon_sym_globallycoherent] = ACTIONS(5635),
    [anon_sym_centroid] = ACTIONS(5635),
    [anon_sym_noperspective] = ACTIONS(5635),
    [anon_sym_nointerpolation] = ACTIONS(5635),
    [anon_sym_sample] = ACTIONS(5635),
    [anon_sym_linear] = ACTIONS(5635),
    [anon_sym_snorm] = ACTIONS(5635),
    [anon_sym_unorm] = ACTIONS(5635),
    [anon_sym_point] = ACTIONS(5635),
    [anon_sym_line] = ACTIONS(5635),
    [anon_sym_triangleadj] = ACTIONS(5635),
    [anon_sym_lineadj] = ACTIONS(5635),
    [anon_sym_triangle] = ACTIONS(5635),
  },
  [2762] = {
    [sym_identifier] = ACTIONS(5607),
    [aux_sym_preproc_def_token1] = ACTIONS(5607),
    [aux_sym_preproc_if_token1] = ACTIONS(5607),
    [aux_sym_preproc_if_token2] = ACTIONS(5607),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5607),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5607),
    [aux_sym_preproc_else_token1] = ACTIONS(5607),
    [aux_sym_preproc_elif_token1] = ACTIONS(5607),
    [sym_preproc_directive] = ACTIONS(5607),
    [anon_sym_LPAREN2] = ACTIONS(5609),
    [anon_sym_TILDE] = ACTIONS(5609),
    [anon_sym_STAR] = ACTIONS(5609),
    [anon_sym_AMP_AMP] = ACTIONS(5609),
    [anon_sym_AMP] = ACTIONS(5607),
    [anon_sym___extension__] = ACTIONS(5607),
    [anon_sym_typedef] = ACTIONS(5607),
    [anon_sym_in] = ACTIONS(5607),
    [anon_sym_out] = ACTIONS(5607),
    [anon_sym_inout] = ACTIONS(5607),
    [anon_sym_extern] = ACTIONS(5607),
    [anon_sym___attribute__] = ACTIONS(5607),
    [anon_sym_COLON_COLON] = ACTIONS(5609),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5609),
    [anon_sym___declspec] = ACTIONS(5607),
    [anon_sym___based] = ACTIONS(5607),
    [anon_sym_signed] = ACTIONS(5607),
    [anon_sym_unsigned] = ACTIONS(5607),
    [anon_sym_long] = ACTIONS(5607),
    [anon_sym_short] = ACTIONS(5607),
    [anon_sym_LBRACK] = ACTIONS(5607),
    [anon_sym_static] = ACTIONS(5607),
    [anon_sym_register] = ACTIONS(5607),
    [anon_sym_inline] = ACTIONS(5607),
    [anon_sym___inline] = ACTIONS(5607),
    [anon_sym___inline__] = ACTIONS(5607),
    [anon_sym___forceinline] = ACTIONS(5607),
    [anon_sym_thread_local] = ACTIONS(5607),
    [anon_sym___thread] = ACTIONS(5607),
    [anon_sym_const] = ACTIONS(5607),
    [anon_sym_constexpr] = ACTIONS(5607),
    [anon_sym_volatile] = ACTIONS(5607),
    [anon_sym_restrict] = ACTIONS(5607),
    [anon_sym___restrict__] = ACTIONS(5607),
    [anon_sym__Atomic] = ACTIONS(5607),
    [anon_sym__Noreturn] = ACTIONS(5607),
    [anon_sym_noreturn] = ACTIONS(5607),
    [anon_sym_mutable] = ACTIONS(5607),
    [anon_sym_constinit] = ACTIONS(5607),
    [anon_sym_consteval] = ACTIONS(5607),
    [sym_primitive_type] = ACTIONS(5607),
    [anon_sym_enum] = ACTIONS(5607),
    [anon_sym_class] = ACTIONS(5607),
    [anon_sym_struct] = ACTIONS(5607),
    [anon_sym_union] = ACTIONS(5607),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5607),
    [anon_sym_decltype] = ACTIONS(5607),
    [anon_sym_virtual] = ACTIONS(5607),
    [anon_sym_alignas] = ACTIONS(5607),
    [anon_sym_explicit] = ACTIONS(5607),
    [anon_sym_typename] = ACTIONS(5607),
    [anon_sym_template] = ACTIONS(5607),
    [anon_sym_operator] = ACTIONS(5607),
    [anon_sym_friend] = ACTIONS(5607),
    [anon_sym_public] = ACTIONS(5607),
    [anon_sym_private] = ACTIONS(5607),
    [anon_sym_protected] = ACTIONS(5607),
    [anon_sym_using] = ACTIONS(5607),
    [anon_sym_static_assert] = ACTIONS(5607),
    [anon_sym_precise] = ACTIONS(5607),
    [anon_sym_shared] = ACTIONS(5607),
    [anon_sym_groupshared] = ACTIONS(5607),
    [anon_sym_uniform] = ACTIONS(5607),
    [anon_sym_row_major] = ACTIONS(5607),
    [anon_sym_column_major] = ACTIONS(5607),
    [anon_sym_globallycoherent] = ACTIONS(5607),
    [anon_sym_centroid] = ACTIONS(5607),
    [anon_sym_noperspective] = ACTIONS(5607),
    [anon_sym_nointerpolation] = ACTIONS(5607),
    [anon_sym_sample] = ACTIONS(5607),
    [anon_sym_linear] = ACTIONS(5607),
    [anon_sym_snorm] = ACTIONS(5607),
    [anon_sym_unorm] = ACTIONS(5607),
    [anon_sym_point] = ACTIONS(5607),
    [anon_sym_line] = ACTIONS(5607),
    [anon_sym_triangleadj] = ACTIONS(5607),
    [anon_sym_lineadj] = ACTIONS(5607),
    [anon_sym_triangle] = ACTIONS(5607),
  },
  [2763] = {
    [sym_identifier] = ACTIONS(2516),
    [aux_sym_preproc_def_token1] = ACTIONS(2516),
    [aux_sym_preproc_if_token1] = ACTIONS(2516),
    [aux_sym_preproc_if_token2] = ACTIONS(2516),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2516),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2516),
    [aux_sym_preproc_else_token1] = ACTIONS(2516),
    [aux_sym_preproc_elif_token1] = ACTIONS(2516),
    [sym_preproc_directive] = ACTIONS(2516),
    [anon_sym_LPAREN2] = ACTIONS(2518),
    [anon_sym_TILDE] = ACTIONS(2518),
    [anon_sym_STAR] = ACTIONS(2518),
    [anon_sym_AMP_AMP] = ACTIONS(2518),
    [anon_sym_AMP] = ACTIONS(2516),
    [anon_sym___extension__] = ACTIONS(2516),
    [anon_sym_typedef] = ACTIONS(2516),
    [anon_sym_in] = ACTIONS(2516),
    [anon_sym_out] = ACTIONS(2516),
    [anon_sym_inout] = ACTIONS(2516),
    [anon_sym_extern] = ACTIONS(2516),
    [anon_sym___attribute__] = ACTIONS(2516),
    [anon_sym_COLON_COLON] = ACTIONS(2518),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2518),
    [anon_sym___declspec] = ACTIONS(2516),
    [anon_sym___based] = ACTIONS(2516),
    [anon_sym_signed] = ACTIONS(2516),
    [anon_sym_unsigned] = ACTIONS(2516),
    [anon_sym_long] = ACTIONS(2516),
    [anon_sym_short] = ACTIONS(2516),
    [anon_sym_LBRACK] = ACTIONS(2516),
    [anon_sym_static] = ACTIONS(2516),
    [anon_sym_register] = ACTIONS(2516),
    [anon_sym_inline] = ACTIONS(2516),
    [anon_sym___inline] = ACTIONS(2516),
    [anon_sym___inline__] = ACTIONS(2516),
    [anon_sym___forceinline] = ACTIONS(2516),
    [anon_sym_thread_local] = ACTIONS(2516),
    [anon_sym___thread] = ACTIONS(2516),
    [anon_sym_const] = ACTIONS(2516),
    [anon_sym_constexpr] = ACTIONS(2516),
    [anon_sym_volatile] = ACTIONS(2516),
    [anon_sym_restrict] = ACTIONS(2516),
    [anon_sym___restrict__] = ACTIONS(2516),
    [anon_sym__Atomic] = ACTIONS(2516),
    [anon_sym__Noreturn] = ACTIONS(2516),
    [anon_sym_noreturn] = ACTIONS(2516),
    [anon_sym_mutable] = ACTIONS(2516),
    [anon_sym_constinit] = ACTIONS(2516),
    [anon_sym_consteval] = ACTIONS(2516),
    [sym_primitive_type] = ACTIONS(2516),
    [anon_sym_enum] = ACTIONS(2516),
    [anon_sym_class] = ACTIONS(2516),
    [anon_sym_struct] = ACTIONS(2516),
    [anon_sym_union] = ACTIONS(2516),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2516),
    [anon_sym_decltype] = ACTIONS(2516),
    [anon_sym_virtual] = ACTIONS(2516),
    [anon_sym_alignas] = ACTIONS(2516),
    [anon_sym_explicit] = ACTIONS(2516),
    [anon_sym_typename] = ACTIONS(2516),
    [anon_sym_template] = ACTIONS(2516),
    [anon_sym_operator] = ACTIONS(2516),
    [anon_sym_friend] = ACTIONS(2516),
    [anon_sym_public] = ACTIONS(2516),
    [anon_sym_private] = ACTIONS(2516),
    [anon_sym_protected] = ACTIONS(2516),
    [anon_sym_using] = ACTIONS(2516),
    [anon_sym_static_assert] = ACTIONS(2516),
    [anon_sym_precise] = ACTIONS(2516),
    [anon_sym_shared] = ACTIONS(2516),
    [anon_sym_groupshared] = ACTIONS(2516),
    [anon_sym_uniform] = ACTIONS(2516),
    [anon_sym_row_major] = ACTIONS(2516),
    [anon_sym_column_major] = ACTIONS(2516),
    [anon_sym_globallycoherent] = ACTIONS(2516),
    [anon_sym_centroid] = ACTIONS(2516),
    [anon_sym_noperspective] = ACTIONS(2516),
    [anon_sym_nointerpolation] = ACTIONS(2516),
    [anon_sym_sample] = ACTIONS(2516),
    [anon_sym_linear] = ACTIONS(2516),
    [anon_sym_snorm] = ACTIONS(2516),
    [anon_sym_unorm] = ACTIONS(2516),
    [anon_sym_point] = ACTIONS(2516),
    [anon_sym_line] = ACTIONS(2516),
    [anon_sym_triangleadj] = ACTIONS(2516),
    [anon_sym_lineadj] = ACTIONS(2516),
    [anon_sym_triangle] = ACTIONS(2516),
  },
  [2764] = {
    [sym_identifier] = ACTIONS(2238),
    [aux_sym_preproc_def_token1] = ACTIONS(2238),
    [anon_sym_COMMA] = ACTIONS(2358),
    [aux_sym_preproc_if_token1] = ACTIONS(2238),
    [aux_sym_preproc_if_token2] = ACTIONS(2238),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2238),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2238),
    [sym_preproc_directive] = ACTIONS(2238),
    [anon_sym_LPAREN2] = ACTIONS(2236),
    [anon_sym_TILDE] = ACTIONS(2236),
    [anon_sym_STAR] = ACTIONS(2236),
    [anon_sym_AMP_AMP] = ACTIONS(2236),
    [anon_sym_AMP] = ACTIONS(2238),
    [anon_sym_SEMI] = ACTIONS(2358),
    [anon_sym___extension__] = ACTIONS(2238),
    [anon_sym_typedef] = ACTIONS(2238),
    [anon_sym_in] = ACTIONS(2238),
    [anon_sym_out] = ACTIONS(2238),
    [anon_sym_inout] = ACTIONS(2238),
    [anon_sym_extern] = ACTIONS(2238),
    [anon_sym___attribute__] = ACTIONS(2238),
    [anon_sym_COLON_COLON] = ACTIONS(2236),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2236),
    [anon_sym___declspec] = ACTIONS(2238),
    [anon_sym___based] = ACTIONS(2238),
    [anon_sym_signed] = ACTIONS(2238),
    [anon_sym_unsigned] = ACTIONS(2238),
    [anon_sym_long] = ACTIONS(2238),
    [anon_sym_short] = ACTIONS(2238),
    [anon_sym_LBRACK] = ACTIONS(2238),
    [anon_sym_static] = ACTIONS(2238),
    [anon_sym_register] = ACTIONS(2238),
    [anon_sym_inline] = ACTIONS(2238),
    [anon_sym___inline] = ACTIONS(2238),
    [anon_sym___inline__] = ACTIONS(2238),
    [anon_sym___forceinline] = ACTIONS(2238),
    [anon_sym_thread_local] = ACTIONS(2238),
    [anon_sym___thread] = ACTIONS(2238),
    [anon_sym_const] = ACTIONS(2238),
    [anon_sym_constexpr] = ACTIONS(2238),
    [anon_sym_volatile] = ACTIONS(2238),
    [anon_sym_restrict] = ACTIONS(2238),
    [anon_sym___restrict__] = ACTIONS(2238),
    [anon_sym__Atomic] = ACTIONS(2238),
    [anon_sym__Noreturn] = ACTIONS(2238),
    [anon_sym_noreturn] = ACTIONS(2238),
    [anon_sym_mutable] = ACTIONS(2238),
    [anon_sym_constinit] = ACTIONS(2238),
    [anon_sym_consteval] = ACTIONS(2238),
    [sym_primitive_type] = ACTIONS(2238),
    [anon_sym_enum] = ACTIONS(2238),
    [anon_sym_class] = ACTIONS(2238),
    [anon_sym_struct] = ACTIONS(2238),
    [anon_sym_union] = ACTIONS(2238),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2238),
    [anon_sym_decltype] = ACTIONS(2238),
    [anon_sym_virtual] = ACTIONS(2238),
    [anon_sym_alignas] = ACTIONS(2238),
    [anon_sym_explicit] = ACTIONS(2238),
    [anon_sym_typename] = ACTIONS(2238),
    [anon_sym_template] = ACTIONS(2238),
    [anon_sym_operator] = ACTIONS(2238),
    [anon_sym_friend] = ACTIONS(2238),
    [anon_sym_public] = ACTIONS(2238),
    [anon_sym_private] = ACTIONS(2238),
    [anon_sym_protected] = ACTIONS(2238),
    [anon_sym_using] = ACTIONS(2238),
    [anon_sym_static_assert] = ACTIONS(2238),
    [anon_sym_precise] = ACTIONS(2238),
    [anon_sym_shared] = ACTIONS(2238),
    [anon_sym_groupshared] = ACTIONS(2238),
    [anon_sym_uniform] = ACTIONS(2238),
    [anon_sym_row_major] = ACTIONS(2238),
    [anon_sym_column_major] = ACTIONS(2238),
    [anon_sym_globallycoherent] = ACTIONS(2238),
    [anon_sym_centroid] = ACTIONS(2238),
    [anon_sym_noperspective] = ACTIONS(2238),
    [anon_sym_nointerpolation] = ACTIONS(2238),
    [anon_sym_sample] = ACTIONS(2238),
    [anon_sym_linear] = ACTIONS(2238),
    [anon_sym_snorm] = ACTIONS(2238),
    [anon_sym_unorm] = ACTIONS(2238),
    [anon_sym_point] = ACTIONS(2238),
    [anon_sym_line] = ACTIONS(2238),
    [anon_sym_triangleadj] = ACTIONS(2238),
    [anon_sym_lineadj] = ACTIONS(2238),
    [anon_sym_triangle] = ACTIONS(2238),
  },
  [2765] = {
    [sym_identifier] = ACTIONS(5639),
    [aux_sym_preproc_def_token1] = ACTIONS(5639),
    [aux_sym_preproc_if_token1] = ACTIONS(5639),
    [aux_sym_preproc_if_token2] = ACTIONS(5639),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5639),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5639),
    [aux_sym_preproc_else_token1] = ACTIONS(5639),
    [aux_sym_preproc_elif_token1] = ACTIONS(5639),
    [sym_preproc_directive] = ACTIONS(5639),
    [anon_sym_LPAREN2] = ACTIONS(5641),
    [anon_sym_TILDE] = ACTIONS(5641),
    [anon_sym_STAR] = ACTIONS(5641),
    [anon_sym_AMP_AMP] = ACTIONS(5641),
    [anon_sym_AMP] = ACTIONS(5639),
    [anon_sym___extension__] = ACTIONS(5639),
    [anon_sym_typedef] = ACTIONS(5639),
    [anon_sym_in] = ACTIONS(5639),
    [anon_sym_out] = ACTIONS(5639),
    [anon_sym_inout] = ACTIONS(5639),
    [anon_sym_extern] = ACTIONS(5639),
    [anon_sym___attribute__] = ACTIONS(5639),
    [anon_sym_COLON_COLON] = ACTIONS(5641),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5641),
    [anon_sym___declspec] = ACTIONS(5639),
    [anon_sym___based] = ACTIONS(5639),
    [anon_sym_signed] = ACTIONS(5639),
    [anon_sym_unsigned] = ACTIONS(5639),
    [anon_sym_long] = ACTIONS(5639),
    [anon_sym_short] = ACTIONS(5639),
    [anon_sym_LBRACK] = ACTIONS(5639),
    [anon_sym_static] = ACTIONS(5639),
    [anon_sym_register] = ACTIONS(5639),
    [anon_sym_inline] = ACTIONS(5639),
    [anon_sym___inline] = ACTIONS(5639),
    [anon_sym___inline__] = ACTIONS(5639),
    [anon_sym___forceinline] = ACTIONS(5639),
    [anon_sym_thread_local] = ACTIONS(5639),
    [anon_sym___thread] = ACTIONS(5639),
    [anon_sym_const] = ACTIONS(5639),
    [anon_sym_constexpr] = ACTIONS(5639),
    [anon_sym_volatile] = ACTIONS(5639),
    [anon_sym_restrict] = ACTIONS(5639),
    [anon_sym___restrict__] = ACTIONS(5639),
    [anon_sym__Atomic] = ACTIONS(5639),
    [anon_sym__Noreturn] = ACTIONS(5639),
    [anon_sym_noreturn] = ACTIONS(5639),
    [anon_sym_mutable] = ACTIONS(5639),
    [anon_sym_constinit] = ACTIONS(5639),
    [anon_sym_consteval] = ACTIONS(5639),
    [sym_primitive_type] = ACTIONS(5639),
    [anon_sym_enum] = ACTIONS(5639),
    [anon_sym_class] = ACTIONS(5639),
    [anon_sym_struct] = ACTIONS(5639),
    [anon_sym_union] = ACTIONS(5639),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5639),
    [anon_sym_decltype] = ACTIONS(5639),
    [anon_sym_virtual] = ACTIONS(5639),
    [anon_sym_alignas] = ACTIONS(5639),
    [anon_sym_explicit] = ACTIONS(5639),
    [anon_sym_typename] = ACTIONS(5639),
    [anon_sym_template] = ACTIONS(5639),
    [anon_sym_operator] = ACTIONS(5639),
    [anon_sym_friend] = ACTIONS(5639),
    [anon_sym_public] = ACTIONS(5639),
    [anon_sym_private] = ACTIONS(5639),
    [anon_sym_protected] = ACTIONS(5639),
    [anon_sym_using] = ACTIONS(5639),
    [anon_sym_static_assert] = ACTIONS(5639),
    [anon_sym_precise] = ACTIONS(5639),
    [anon_sym_shared] = ACTIONS(5639),
    [anon_sym_groupshared] = ACTIONS(5639),
    [anon_sym_uniform] = ACTIONS(5639),
    [anon_sym_row_major] = ACTIONS(5639),
    [anon_sym_column_major] = ACTIONS(5639),
    [anon_sym_globallycoherent] = ACTIONS(5639),
    [anon_sym_centroid] = ACTIONS(5639),
    [anon_sym_noperspective] = ACTIONS(5639),
    [anon_sym_nointerpolation] = ACTIONS(5639),
    [anon_sym_sample] = ACTIONS(5639),
    [anon_sym_linear] = ACTIONS(5639),
    [anon_sym_snorm] = ACTIONS(5639),
    [anon_sym_unorm] = ACTIONS(5639),
    [anon_sym_point] = ACTIONS(5639),
    [anon_sym_line] = ACTIONS(5639),
    [anon_sym_triangleadj] = ACTIONS(5639),
    [anon_sym_lineadj] = ACTIONS(5639),
    [anon_sym_triangle] = ACTIONS(5639),
  },
  [2766] = {
    [sym_identifier] = ACTIONS(5643),
    [aux_sym_preproc_def_token1] = ACTIONS(5643),
    [aux_sym_preproc_if_token1] = ACTIONS(5643),
    [aux_sym_preproc_if_token2] = ACTIONS(5643),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5643),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5643),
    [aux_sym_preproc_else_token1] = ACTIONS(5643),
    [aux_sym_preproc_elif_token1] = ACTIONS(5643),
    [sym_preproc_directive] = ACTIONS(5643),
    [anon_sym_LPAREN2] = ACTIONS(5645),
    [anon_sym_TILDE] = ACTIONS(5645),
    [anon_sym_STAR] = ACTIONS(5645),
    [anon_sym_AMP_AMP] = ACTIONS(5645),
    [anon_sym_AMP] = ACTIONS(5643),
    [anon_sym___extension__] = ACTIONS(5643),
    [anon_sym_typedef] = ACTIONS(5643),
    [anon_sym_in] = ACTIONS(5643),
    [anon_sym_out] = ACTIONS(5643),
    [anon_sym_inout] = ACTIONS(5643),
    [anon_sym_extern] = ACTIONS(5643),
    [anon_sym___attribute__] = ACTIONS(5643),
    [anon_sym_COLON_COLON] = ACTIONS(5645),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5645),
    [anon_sym___declspec] = ACTIONS(5643),
    [anon_sym___based] = ACTIONS(5643),
    [anon_sym_signed] = ACTIONS(5643),
    [anon_sym_unsigned] = ACTIONS(5643),
    [anon_sym_long] = ACTIONS(5643),
    [anon_sym_short] = ACTIONS(5643),
    [anon_sym_LBRACK] = ACTIONS(5643),
    [anon_sym_static] = ACTIONS(5643),
    [anon_sym_register] = ACTIONS(5643),
    [anon_sym_inline] = ACTIONS(5643),
    [anon_sym___inline] = ACTIONS(5643),
    [anon_sym___inline__] = ACTIONS(5643),
    [anon_sym___forceinline] = ACTIONS(5643),
    [anon_sym_thread_local] = ACTIONS(5643),
    [anon_sym___thread] = ACTIONS(5643),
    [anon_sym_const] = ACTIONS(5643),
    [anon_sym_constexpr] = ACTIONS(5643),
    [anon_sym_volatile] = ACTIONS(5643),
    [anon_sym_restrict] = ACTIONS(5643),
    [anon_sym___restrict__] = ACTIONS(5643),
    [anon_sym__Atomic] = ACTIONS(5643),
    [anon_sym__Noreturn] = ACTIONS(5643),
    [anon_sym_noreturn] = ACTIONS(5643),
    [anon_sym_mutable] = ACTIONS(5643),
    [anon_sym_constinit] = ACTIONS(5643),
    [anon_sym_consteval] = ACTIONS(5643),
    [sym_primitive_type] = ACTIONS(5643),
    [anon_sym_enum] = ACTIONS(5643),
    [anon_sym_class] = ACTIONS(5643),
    [anon_sym_struct] = ACTIONS(5643),
    [anon_sym_union] = ACTIONS(5643),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5643),
    [anon_sym_decltype] = ACTIONS(5643),
    [anon_sym_virtual] = ACTIONS(5643),
    [anon_sym_alignas] = ACTIONS(5643),
    [anon_sym_explicit] = ACTIONS(5643),
    [anon_sym_typename] = ACTIONS(5643),
    [anon_sym_template] = ACTIONS(5643),
    [anon_sym_operator] = ACTIONS(5643),
    [anon_sym_friend] = ACTIONS(5643),
    [anon_sym_public] = ACTIONS(5643),
    [anon_sym_private] = ACTIONS(5643),
    [anon_sym_protected] = ACTIONS(5643),
    [anon_sym_using] = ACTIONS(5643),
    [anon_sym_static_assert] = ACTIONS(5643),
    [anon_sym_precise] = ACTIONS(5643),
    [anon_sym_shared] = ACTIONS(5643),
    [anon_sym_groupshared] = ACTIONS(5643),
    [anon_sym_uniform] = ACTIONS(5643),
    [anon_sym_row_major] = ACTIONS(5643),
    [anon_sym_column_major] = ACTIONS(5643),
    [anon_sym_globallycoherent] = ACTIONS(5643),
    [anon_sym_centroid] = ACTIONS(5643),
    [anon_sym_noperspective] = ACTIONS(5643),
    [anon_sym_nointerpolation] = ACTIONS(5643),
    [anon_sym_sample] = ACTIONS(5643),
    [anon_sym_linear] = ACTIONS(5643),
    [anon_sym_snorm] = ACTIONS(5643),
    [anon_sym_unorm] = ACTIONS(5643),
    [anon_sym_point] = ACTIONS(5643),
    [anon_sym_line] = ACTIONS(5643),
    [anon_sym_triangleadj] = ACTIONS(5643),
    [anon_sym_lineadj] = ACTIONS(5643),
    [anon_sym_triangle] = ACTIONS(5643),
  },
  [2767] = {
    [sym_identifier] = ACTIONS(2809),
    [aux_sym_preproc_def_token1] = ACTIONS(2809),
    [aux_sym_preproc_if_token1] = ACTIONS(2809),
    [aux_sym_preproc_if_token2] = ACTIONS(2809),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2809),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2809),
    [aux_sym_preproc_else_token1] = ACTIONS(2809),
    [aux_sym_preproc_elif_token1] = ACTIONS(2809),
    [sym_preproc_directive] = ACTIONS(2809),
    [anon_sym_LPAREN2] = ACTIONS(2811),
    [anon_sym_TILDE] = ACTIONS(2811),
    [anon_sym_STAR] = ACTIONS(2811),
    [anon_sym_AMP_AMP] = ACTIONS(2811),
    [anon_sym_AMP] = ACTIONS(2809),
    [anon_sym___extension__] = ACTIONS(2809),
    [anon_sym_typedef] = ACTIONS(2809),
    [anon_sym_in] = ACTIONS(2809),
    [anon_sym_out] = ACTIONS(2809),
    [anon_sym_inout] = ACTIONS(2809),
    [anon_sym_extern] = ACTIONS(2809),
    [anon_sym___attribute__] = ACTIONS(2809),
    [anon_sym_COLON_COLON] = ACTIONS(2811),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2811),
    [anon_sym___declspec] = ACTIONS(2809),
    [anon_sym___based] = ACTIONS(2809),
    [anon_sym_signed] = ACTIONS(2809),
    [anon_sym_unsigned] = ACTIONS(2809),
    [anon_sym_long] = ACTIONS(2809),
    [anon_sym_short] = ACTIONS(2809),
    [anon_sym_LBRACK] = ACTIONS(2809),
    [anon_sym_static] = ACTIONS(2809),
    [anon_sym_register] = ACTIONS(2809),
    [anon_sym_inline] = ACTIONS(2809),
    [anon_sym___inline] = ACTIONS(2809),
    [anon_sym___inline__] = ACTIONS(2809),
    [anon_sym___forceinline] = ACTIONS(2809),
    [anon_sym_thread_local] = ACTIONS(2809),
    [anon_sym___thread] = ACTIONS(2809),
    [anon_sym_const] = ACTIONS(2809),
    [anon_sym_constexpr] = ACTIONS(2809),
    [anon_sym_volatile] = ACTIONS(2809),
    [anon_sym_restrict] = ACTIONS(2809),
    [anon_sym___restrict__] = ACTIONS(2809),
    [anon_sym__Atomic] = ACTIONS(2809),
    [anon_sym__Noreturn] = ACTIONS(2809),
    [anon_sym_noreturn] = ACTIONS(2809),
    [anon_sym_mutable] = ACTIONS(2809),
    [anon_sym_constinit] = ACTIONS(2809),
    [anon_sym_consteval] = ACTIONS(2809),
    [sym_primitive_type] = ACTIONS(2809),
    [anon_sym_enum] = ACTIONS(2809),
    [anon_sym_class] = ACTIONS(2809),
    [anon_sym_struct] = ACTIONS(2809),
    [anon_sym_union] = ACTIONS(2809),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2809),
    [anon_sym_decltype] = ACTIONS(2809),
    [anon_sym_virtual] = ACTIONS(2809),
    [anon_sym_alignas] = ACTIONS(2809),
    [anon_sym_explicit] = ACTIONS(2809),
    [anon_sym_typename] = ACTIONS(2809),
    [anon_sym_template] = ACTIONS(2809),
    [anon_sym_operator] = ACTIONS(2809),
    [anon_sym_friend] = ACTIONS(2809),
    [anon_sym_public] = ACTIONS(2809),
    [anon_sym_private] = ACTIONS(2809),
    [anon_sym_protected] = ACTIONS(2809),
    [anon_sym_using] = ACTIONS(2809),
    [anon_sym_static_assert] = ACTIONS(2809),
    [anon_sym_precise] = ACTIONS(2809),
    [anon_sym_shared] = ACTIONS(2809),
    [anon_sym_groupshared] = ACTIONS(2809),
    [anon_sym_uniform] = ACTIONS(2809),
    [anon_sym_row_major] = ACTIONS(2809),
    [anon_sym_column_major] = ACTIONS(2809),
    [anon_sym_globallycoherent] = ACTIONS(2809),
    [anon_sym_centroid] = ACTIONS(2809),
    [anon_sym_noperspective] = ACTIONS(2809),
    [anon_sym_nointerpolation] = ACTIONS(2809),
    [anon_sym_sample] = ACTIONS(2809),
    [anon_sym_linear] = ACTIONS(2809),
    [anon_sym_snorm] = ACTIONS(2809),
    [anon_sym_unorm] = ACTIONS(2809),
    [anon_sym_point] = ACTIONS(2809),
    [anon_sym_line] = ACTIONS(2809),
    [anon_sym_triangleadj] = ACTIONS(2809),
    [anon_sym_lineadj] = ACTIONS(2809),
    [anon_sym_triangle] = ACTIONS(2809),
  },
  [2768] = {
    [sym_identifier] = ACTIONS(5691),
    [aux_sym_preproc_def_token1] = ACTIONS(5691),
    [aux_sym_preproc_if_token1] = ACTIONS(5691),
    [aux_sym_preproc_if_token2] = ACTIONS(5691),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5691),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5691),
    [aux_sym_preproc_else_token1] = ACTIONS(5691),
    [aux_sym_preproc_elif_token1] = ACTIONS(5691),
    [sym_preproc_directive] = ACTIONS(5691),
    [anon_sym_LPAREN2] = ACTIONS(5693),
    [anon_sym_TILDE] = ACTIONS(5693),
    [anon_sym_STAR] = ACTIONS(5693),
    [anon_sym_AMP_AMP] = ACTIONS(5693),
    [anon_sym_AMP] = ACTIONS(5691),
    [anon_sym___extension__] = ACTIONS(5691),
    [anon_sym_typedef] = ACTIONS(5691),
    [anon_sym_in] = ACTIONS(5691),
    [anon_sym_out] = ACTIONS(5691),
    [anon_sym_inout] = ACTIONS(5691),
    [anon_sym_extern] = ACTIONS(5691),
    [anon_sym___attribute__] = ACTIONS(5691),
    [anon_sym_COLON_COLON] = ACTIONS(5693),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5693),
    [anon_sym___declspec] = ACTIONS(5691),
    [anon_sym___based] = ACTIONS(5691),
    [anon_sym_signed] = ACTIONS(5691),
    [anon_sym_unsigned] = ACTIONS(5691),
    [anon_sym_long] = ACTIONS(5691),
    [anon_sym_short] = ACTIONS(5691),
    [anon_sym_LBRACK] = ACTIONS(5691),
    [anon_sym_static] = ACTIONS(5691),
    [anon_sym_register] = ACTIONS(5691),
    [anon_sym_inline] = ACTIONS(5691),
    [anon_sym___inline] = ACTIONS(5691),
    [anon_sym___inline__] = ACTIONS(5691),
    [anon_sym___forceinline] = ACTIONS(5691),
    [anon_sym_thread_local] = ACTIONS(5691),
    [anon_sym___thread] = ACTIONS(5691),
    [anon_sym_const] = ACTIONS(5691),
    [anon_sym_constexpr] = ACTIONS(5691),
    [anon_sym_volatile] = ACTIONS(5691),
    [anon_sym_restrict] = ACTIONS(5691),
    [anon_sym___restrict__] = ACTIONS(5691),
    [anon_sym__Atomic] = ACTIONS(5691),
    [anon_sym__Noreturn] = ACTIONS(5691),
    [anon_sym_noreturn] = ACTIONS(5691),
    [anon_sym_mutable] = ACTIONS(5691),
    [anon_sym_constinit] = ACTIONS(5691),
    [anon_sym_consteval] = ACTIONS(5691),
    [sym_primitive_type] = ACTIONS(5691),
    [anon_sym_enum] = ACTIONS(5691),
    [anon_sym_class] = ACTIONS(5691),
    [anon_sym_struct] = ACTIONS(5691),
    [anon_sym_union] = ACTIONS(5691),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5691),
    [anon_sym_decltype] = ACTIONS(5691),
    [anon_sym_virtual] = ACTIONS(5691),
    [anon_sym_alignas] = ACTIONS(5691),
    [anon_sym_explicit] = ACTIONS(5691),
    [anon_sym_typename] = ACTIONS(5691),
    [anon_sym_template] = ACTIONS(5691),
    [anon_sym_operator] = ACTIONS(5691),
    [anon_sym_friend] = ACTIONS(5691),
    [anon_sym_public] = ACTIONS(5691),
    [anon_sym_private] = ACTIONS(5691),
    [anon_sym_protected] = ACTIONS(5691),
    [anon_sym_using] = ACTIONS(5691),
    [anon_sym_static_assert] = ACTIONS(5691),
    [anon_sym_precise] = ACTIONS(5691),
    [anon_sym_shared] = ACTIONS(5691),
    [anon_sym_groupshared] = ACTIONS(5691),
    [anon_sym_uniform] = ACTIONS(5691),
    [anon_sym_row_major] = ACTIONS(5691),
    [anon_sym_column_major] = ACTIONS(5691),
    [anon_sym_globallycoherent] = ACTIONS(5691),
    [anon_sym_centroid] = ACTIONS(5691),
    [anon_sym_noperspective] = ACTIONS(5691),
    [anon_sym_nointerpolation] = ACTIONS(5691),
    [anon_sym_sample] = ACTIONS(5691),
    [anon_sym_linear] = ACTIONS(5691),
    [anon_sym_snorm] = ACTIONS(5691),
    [anon_sym_unorm] = ACTIONS(5691),
    [anon_sym_point] = ACTIONS(5691),
    [anon_sym_line] = ACTIONS(5691),
    [anon_sym_triangleadj] = ACTIONS(5691),
    [anon_sym_lineadj] = ACTIONS(5691),
    [anon_sym_triangle] = ACTIONS(5691),
  },
  [2769] = {
    [sym_identifier] = ACTIONS(5647),
    [aux_sym_preproc_def_token1] = ACTIONS(5647),
    [aux_sym_preproc_if_token1] = ACTIONS(5647),
    [aux_sym_preproc_if_token2] = ACTIONS(5647),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5647),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5647),
    [aux_sym_preproc_else_token1] = ACTIONS(5647),
    [aux_sym_preproc_elif_token1] = ACTIONS(5647),
    [sym_preproc_directive] = ACTIONS(5647),
    [anon_sym_LPAREN2] = ACTIONS(5649),
    [anon_sym_TILDE] = ACTIONS(5649),
    [anon_sym_STAR] = ACTIONS(5649),
    [anon_sym_AMP_AMP] = ACTIONS(5649),
    [anon_sym_AMP] = ACTIONS(5647),
    [anon_sym___extension__] = ACTIONS(5647),
    [anon_sym_typedef] = ACTIONS(5647),
    [anon_sym_in] = ACTIONS(5647),
    [anon_sym_out] = ACTIONS(5647),
    [anon_sym_inout] = ACTIONS(5647),
    [anon_sym_extern] = ACTIONS(5647),
    [anon_sym___attribute__] = ACTIONS(5647),
    [anon_sym_COLON_COLON] = ACTIONS(5649),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5649),
    [anon_sym___declspec] = ACTIONS(5647),
    [anon_sym___based] = ACTIONS(5647),
    [anon_sym_signed] = ACTIONS(5647),
    [anon_sym_unsigned] = ACTIONS(5647),
    [anon_sym_long] = ACTIONS(5647),
    [anon_sym_short] = ACTIONS(5647),
    [anon_sym_LBRACK] = ACTIONS(5647),
    [anon_sym_static] = ACTIONS(5647),
    [anon_sym_register] = ACTIONS(5647),
    [anon_sym_inline] = ACTIONS(5647),
    [anon_sym___inline] = ACTIONS(5647),
    [anon_sym___inline__] = ACTIONS(5647),
    [anon_sym___forceinline] = ACTIONS(5647),
    [anon_sym_thread_local] = ACTIONS(5647),
    [anon_sym___thread] = ACTIONS(5647),
    [anon_sym_const] = ACTIONS(5647),
    [anon_sym_constexpr] = ACTIONS(5647),
    [anon_sym_volatile] = ACTIONS(5647),
    [anon_sym_restrict] = ACTIONS(5647),
    [anon_sym___restrict__] = ACTIONS(5647),
    [anon_sym__Atomic] = ACTIONS(5647),
    [anon_sym__Noreturn] = ACTIONS(5647),
    [anon_sym_noreturn] = ACTIONS(5647),
    [anon_sym_mutable] = ACTIONS(5647),
    [anon_sym_constinit] = ACTIONS(5647),
    [anon_sym_consteval] = ACTIONS(5647),
    [sym_primitive_type] = ACTIONS(5647),
    [anon_sym_enum] = ACTIONS(5647),
    [anon_sym_class] = ACTIONS(5647),
    [anon_sym_struct] = ACTIONS(5647),
    [anon_sym_union] = ACTIONS(5647),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5647),
    [anon_sym_decltype] = ACTIONS(5647),
    [anon_sym_virtual] = ACTIONS(5647),
    [anon_sym_alignas] = ACTIONS(5647),
    [anon_sym_explicit] = ACTIONS(5647),
    [anon_sym_typename] = ACTIONS(5647),
    [anon_sym_template] = ACTIONS(5647),
    [anon_sym_operator] = ACTIONS(5647),
    [anon_sym_friend] = ACTIONS(5647),
    [anon_sym_public] = ACTIONS(5647),
    [anon_sym_private] = ACTIONS(5647),
    [anon_sym_protected] = ACTIONS(5647),
    [anon_sym_using] = ACTIONS(5647),
    [anon_sym_static_assert] = ACTIONS(5647),
    [anon_sym_precise] = ACTIONS(5647),
    [anon_sym_shared] = ACTIONS(5647),
    [anon_sym_groupshared] = ACTIONS(5647),
    [anon_sym_uniform] = ACTIONS(5647),
    [anon_sym_row_major] = ACTIONS(5647),
    [anon_sym_column_major] = ACTIONS(5647),
    [anon_sym_globallycoherent] = ACTIONS(5647),
    [anon_sym_centroid] = ACTIONS(5647),
    [anon_sym_noperspective] = ACTIONS(5647),
    [anon_sym_nointerpolation] = ACTIONS(5647),
    [anon_sym_sample] = ACTIONS(5647),
    [anon_sym_linear] = ACTIONS(5647),
    [anon_sym_snorm] = ACTIONS(5647),
    [anon_sym_unorm] = ACTIONS(5647),
    [anon_sym_point] = ACTIONS(5647),
    [anon_sym_line] = ACTIONS(5647),
    [anon_sym_triangleadj] = ACTIONS(5647),
    [anon_sym_lineadj] = ACTIONS(5647),
    [anon_sym_triangle] = ACTIONS(5647),
  },
  [2770] = {
    [sym_identifier] = ACTIONS(2657),
    [aux_sym_preproc_def_token1] = ACTIONS(2657),
    [aux_sym_preproc_if_token1] = ACTIONS(2657),
    [aux_sym_preproc_if_token2] = ACTIONS(2657),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2657),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2657),
    [aux_sym_preproc_else_token1] = ACTIONS(2657),
    [aux_sym_preproc_elif_token1] = ACTIONS(2657),
    [sym_preproc_directive] = ACTIONS(2657),
    [anon_sym_LPAREN2] = ACTIONS(2659),
    [anon_sym_TILDE] = ACTIONS(2659),
    [anon_sym_STAR] = ACTIONS(2659),
    [anon_sym_AMP_AMP] = ACTIONS(2659),
    [anon_sym_AMP] = ACTIONS(2657),
    [anon_sym___extension__] = ACTIONS(2657),
    [anon_sym_typedef] = ACTIONS(2657),
    [anon_sym_in] = ACTIONS(2657),
    [anon_sym_out] = ACTIONS(2657),
    [anon_sym_inout] = ACTIONS(2657),
    [anon_sym_extern] = ACTIONS(2657),
    [anon_sym___attribute__] = ACTIONS(2657),
    [anon_sym_COLON_COLON] = ACTIONS(2659),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2659),
    [anon_sym___declspec] = ACTIONS(2657),
    [anon_sym___based] = ACTIONS(2657),
    [anon_sym_signed] = ACTIONS(2657),
    [anon_sym_unsigned] = ACTIONS(2657),
    [anon_sym_long] = ACTIONS(2657),
    [anon_sym_short] = ACTIONS(2657),
    [anon_sym_LBRACK] = ACTIONS(2657),
    [anon_sym_static] = ACTIONS(2657),
    [anon_sym_register] = ACTIONS(2657),
    [anon_sym_inline] = ACTIONS(2657),
    [anon_sym___inline] = ACTIONS(2657),
    [anon_sym___inline__] = ACTIONS(2657),
    [anon_sym___forceinline] = ACTIONS(2657),
    [anon_sym_thread_local] = ACTIONS(2657),
    [anon_sym___thread] = ACTIONS(2657),
    [anon_sym_const] = ACTIONS(2657),
    [anon_sym_constexpr] = ACTIONS(2657),
    [anon_sym_volatile] = ACTIONS(2657),
    [anon_sym_restrict] = ACTIONS(2657),
    [anon_sym___restrict__] = ACTIONS(2657),
    [anon_sym__Atomic] = ACTIONS(2657),
    [anon_sym__Noreturn] = ACTIONS(2657),
    [anon_sym_noreturn] = ACTIONS(2657),
    [anon_sym_mutable] = ACTIONS(2657),
    [anon_sym_constinit] = ACTIONS(2657),
    [anon_sym_consteval] = ACTIONS(2657),
    [sym_primitive_type] = ACTIONS(2657),
    [anon_sym_enum] = ACTIONS(2657),
    [anon_sym_class] = ACTIONS(2657),
    [anon_sym_struct] = ACTIONS(2657),
    [anon_sym_union] = ACTIONS(2657),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2657),
    [anon_sym_decltype] = ACTIONS(2657),
    [anon_sym_virtual] = ACTIONS(2657),
    [anon_sym_alignas] = ACTIONS(2657),
    [anon_sym_explicit] = ACTIONS(2657),
    [anon_sym_typename] = ACTIONS(2657),
    [anon_sym_template] = ACTIONS(2657),
    [anon_sym_operator] = ACTIONS(2657),
    [anon_sym_friend] = ACTIONS(2657),
    [anon_sym_public] = ACTIONS(2657),
    [anon_sym_private] = ACTIONS(2657),
    [anon_sym_protected] = ACTIONS(2657),
    [anon_sym_using] = ACTIONS(2657),
    [anon_sym_static_assert] = ACTIONS(2657),
    [anon_sym_precise] = ACTIONS(2657),
    [anon_sym_shared] = ACTIONS(2657),
    [anon_sym_groupshared] = ACTIONS(2657),
    [anon_sym_uniform] = ACTIONS(2657),
    [anon_sym_row_major] = ACTIONS(2657),
    [anon_sym_column_major] = ACTIONS(2657),
    [anon_sym_globallycoherent] = ACTIONS(2657),
    [anon_sym_centroid] = ACTIONS(2657),
    [anon_sym_noperspective] = ACTIONS(2657),
    [anon_sym_nointerpolation] = ACTIONS(2657),
    [anon_sym_sample] = ACTIONS(2657),
    [anon_sym_linear] = ACTIONS(2657),
    [anon_sym_snorm] = ACTIONS(2657),
    [anon_sym_unorm] = ACTIONS(2657),
    [anon_sym_point] = ACTIONS(2657),
    [anon_sym_line] = ACTIONS(2657),
    [anon_sym_triangleadj] = ACTIONS(2657),
    [anon_sym_lineadj] = ACTIONS(2657),
    [anon_sym_triangle] = ACTIONS(2657),
  },
  [2771] = {
    [sym_identifier] = ACTIONS(2617),
    [aux_sym_preproc_def_token1] = ACTIONS(2617),
    [aux_sym_preproc_if_token1] = ACTIONS(2617),
    [aux_sym_preproc_if_token2] = ACTIONS(2617),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2617),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2617),
    [aux_sym_preproc_else_token1] = ACTIONS(2617),
    [aux_sym_preproc_elif_token1] = ACTIONS(2617),
    [sym_preproc_directive] = ACTIONS(2617),
    [anon_sym_LPAREN2] = ACTIONS(2619),
    [anon_sym_TILDE] = ACTIONS(2619),
    [anon_sym_STAR] = ACTIONS(2619),
    [anon_sym_AMP_AMP] = ACTIONS(2619),
    [anon_sym_AMP] = ACTIONS(2617),
    [anon_sym___extension__] = ACTIONS(2617),
    [anon_sym_typedef] = ACTIONS(2617),
    [anon_sym_in] = ACTIONS(2617),
    [anon_sym_out] = ACTIONS(2617),
    [anon_sym_inout] = ACTIONS(2617),
    [anon_sym_extern] = ACTIONS(2617),
    [anon_sym___attribute__] = ACTIONS(2617),
    [anon_sym_COLON_COLON] = ACTIONS(2619),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2619),
    [anon_sym___declspec] = ACTIONS(2617),
    [anon_sym___based] = ACTIONS(2617),
    [anon_sym_signed] = ACTIONS(2617),
    [anon_sym_unsigned] = ACTIONS(2617),
    [anon_sym_long] = ACTIONS(2617),
    [anon_sym_short] = ACTIONS(2617),
    [anon_sym_LBRACK] = ACTIONS(2617),
    [anon_sym_static] = ACTIONS(2617),
    [anon_sym_register] = ACTIONS(2617),
    [anon_sym_inline] = ACTIONS(2617),
    [anon_sym___inline] = ACTIONS(2617),
    [anon_sym___inline__] = ACTIONS(2617),
    [anon_sym___forceinline] = ACTIONS(2617),
    [anon_sym_thread_local] = ACTIONS(2617),
    [anon_sym___thread] = ACTIONS(2617),
    [anon_sym_const] = ACTIONS(2617),
    [anon_sym_constexpr] = ACTIONS(2617),
    [anon_sym_volatile] = ACTIONS(2617),
    [anon_sym_restrict] = ACTIONS(2617),
    [anon_sym___restrict__] = ACTIONS(2617),
    [anon_sym__Atomic] = ACTIONS(2617),
    [anon_sym__Noreturn] = ACTIONS(2617),
    [anon_sym_noreturn] = ACTIONS(2617),
    [anon_sym_mutable] = ACTIONS(2617),
    [anon_sym_constinit] = ACTIONS(2617),
    [anon_sym_consteval] = ACTIONS(2617),
    [sym_primitive_type] = ACTIONS(2617),
    [anon_sym_enum] = ACTIONS(2617),
    [anon_sym_class] = ACTIONS(2617),
    [anon_sym_struct] = ACTIONS(2617),
    [anon_sym_union] = ACTIONS(2617),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2617),
    [anon_sym_decltype] = ACTIONS(2617),
    [anon_sym_virtual] = ACTIONS(2617),
    [anon_sym_alignas] = ACTIONS(2617),
    [anon_sym_explicit] = ACTIONS(2617),
    [anon_sym_typename] = ACTIONS(2617),
    [anon_sym_template] = ACTIONS(2617),
    [anon_sym_operator] = ACTIONS(2617),
    [anon_sym_friend] = ACTIONS(2617),
    [anon_sym_public] = ACTIONS(2617),
    [anon_sym_private] = ACTIONS(2617),
    [anon_sym_protected] = ACTIONS(2617),
    [anon_sym_using] = ACTIONS(2617),
    [anon_sym_static_assert] = ACTIONS(2617),
    [anon_sym_precise] = ACTIONS(2617),
    [anon_sym_shared] = ACTIONS(2617),
    [anon_sym_groupshared] = ACTIONS(2617),
    [anon_sym_uniform] = ACTIONS(2617),
    [anon_sym_row_major] = ACTIONS(2617),
    [anon_sym_column_major] = ACTIONS(2617),
    [anon_sym_globallycoherent] = ACTIONS(2617),
    [anon_sym_centroid] = ACTIONS(2617),
    [anon_sym_noperspective] = ACTIONS(2617),
    [anon_sym_nointerpolation] = ACTIONS(2617),
    [anon_sym_sample] = ACTIONS(2617),
    [anon_sym_linear] = ACTIONS(2617),
    [anon_sym_snorm] = ACTIONS(2617),
    [anon_sym_unorm] = ACTIONS(2617),
    [anon_sym_point] = ACTIONS(2617),
    [anon_sym_line] = ACTIONS(2617),
    [anon_sym_triangleadj] = ACTIONS(2617),
    [anon_sym_lineadj] = ACTIONS(2617),
    [anon_sym_triangle] = ACTIONS(2617),
  },
  [2772] = {
    [sym_identifier] = ACTIONS(2717),
    [aux_sym_preproc_def_token1] = ACTIONS(2717),
    [aux_sym_preproc_if_token1] = ACTIONS(2717),
    [aux_sym_preproc_if_token2] = ACTIONS(2717),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2717),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2717),
    [aux_sym_preproc_else_token1] = ACTIONS(2717),
    [aux_sym_preproc_elif_token1] = ACTIONS(2717),
    [sym_preproc_directive] = ACTIONS(2717),
    [anon_sym_LPAREN2] = ACTIONS(2719),
    [anon_sym_TILDE] = ACTIONS(2719),
    [anon_sym_STAR] = ACTIONS(2719),
    [anon_sym_AMP_AMP] = ACTIONS(2719),
    [anon_sym_AMP] = ACTIONS(2717),
    [anon_sym___extension__] = ACTIONS(2717),
    [anon_sym_typedef] = ACTIONS(2717),
    [anon_sym_in] = ACTIONS(2717),
    [anon_sym_out] = ACTIONS(2717),
    [anon_sym_inout] = ACTIONS(2717),
    [anon_sym_extern] = ACTIONS(2717),
    [anon_sym___attribute__] = ACTIONS(2717),
    [anon_sym_COLON_COLON] = ACTIONS(2719),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2719),
    [anon_sym___declspec] = ACTIONS(2717),
    [anon_sym___based] = ACTIONS(2717),
    [anon_sym_signed] = ACTIONS(2717),
    [anon_sym_unsigned] = ACTIONS(2717),
    [anon_sym_long] = ACTIONS(2717),
    [anon_sym_short] = ACTIONS(2717),
    [anon_sym_LBRACK] = ACTIONS(2717),
    [anon_sym_static] = ACTIONS(2717),
    [anon_sym_register] = ACTIONS(2717),
    [anon_sym_inline] = ACTIONS(2717),
    [anon_sym___inline] = ACTIONS(2717),
    [anon_sym___inline__] = ACTIONS(2717),
    [anon_sym___forceinline] = ACTIONS(2717),
    [anon_sym_thread_local] = ACTIONS(2717),
    [anon_sym___thread] = ACTIONS(2717),
    [anon_sym_const] = ACTIONS(2717),
    [anon_sym_constexpr] = ACTIONS(2717),
    [anon_sym_volatile] = ACTIONS(2717),
    [anon_sym_restrict] = ACTIONS(2717),
    [anon_sym___restrict__] = ACTIONS(2717),
    [anon_sym__Atomic] = ACTIONS(2717),
    [anon_sym__Noreturn] = ACTIONS(2717),
    [anon_sym_noreturn] = ACTIONS(2717),
    [anon_sym_mutable] = ACTIONS(2717),
    [anon_sym_constinit] = ACTIONS(2717),
    [anon_sym_consteval] = ACTIONS(2717),
    [sym_primitive_type] = ACTIONS(2717),
    [anon_sym_enum] = ACTIONS(2717),
    [anon_sym_class] = ACTIONS(2717),
    [anon_sym_struct] = ACTIONS(2717),
    [anon_sym_union] = ACTIONS(2717),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2717),
    [anon_sym_decltype] = ACTIONS(2717),
    [anon_sym_virtual] = ACTIONS(2717),
    [anon_sym_alignas] = ACTIONS(2717),
    [anon_sym_explicit] = ACTIONS(2717),
    [anon_sym_typename] = ACTIONS(2717),
    [anon_sym_template] = ACTIONS(2717),
    [anon_sym_operator] = ACTIONS(2717),
    [anon_sym_friend] = ACTIONS(2717),
    [anon_sym_public] = ACTIONS(2717),
    [anon_sym_private] = ACTIONS(2717),
    [anon_sym_protected] = ACTIONS(2717),
    [anon_sym_using] = ACTIONS(2717),
    [anon_sym_static_assert] = ACTIONS(2717),
    [anon_sym_precise] = ACTIONS(2717),
    [anon_sym_shared] = ACTIONS(2717),
    [anon_sym_groupshared] = ACTIONS(2717),
    [anon_sym_uniform] = ACTIONS(2717),
    [anon_sym_row_major] = ACTIONS(2717),
    [anon_sym_column_major] = ACTIONS(2717),
    [anon_sym_globallycoherent] = ACTIONS(2717),
    [anon_sym_centroid] = ACTIONS(2717),
    [anon_sym_noperspective] = ACTIONS(2717),
    [anon_sym_nointerpolation] = ACTIONS(2717),
    [anon_sym_sample] = ACTIONS(2717),
    [anon_sym_linear] = ACTIONS(2717),
    [anon_sym_snorm] = ACTIONS(2717),
    [anon_sym_unorm] = ACTIONS(2717),
    [anon_sym_point] = ACTIONS(2717),
    [anon_sym_line] = ACTIONS(2717),
    [anon_sym_triangleadj] = ACTIONS(2717),
    [anon_sym_lineadj] = ACTIONS(2717),
    [anon_sym_triangle] = ACTIONS(2717),
  },
  [2773] = {
    [sym_identifier] = ACTIONS(2617),
    [aux_sym_preproc_def_token1] = ACTIONS(2617),
    [aux_sym_preproc_if_token1] = ACTIONS(2617),
    [aux_sym_preproc_if_token2] = ACTIONS(2617),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2617),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2617),
    [aux_sym_preproc_else_token1] = ACTIONS(2617),
    [aux_sym_preproc_elif_token1] = ACTIONS(2617),
    [sym_preproc_directive] = ACTIONS(2617),
    [anon_sym_LPAREN2] = ACTIONS(2619),
    [anon_sym_TILDE] = ACTIONS(2619),
    [anon_sym_STAR] = ACTIONS(2619),
    [anon_sym_AMP_AMP] = ACTIONS(2619),
    [anon_sym_AMP] = ACTIONS(2617),
    [anon_sym___extension__] = ACTIONS(2617),
    [anon_sym_typedef] = ACTIONS(2617),
    [anon_sym_in] = ACTIONS(2617),
    [anon_sym_out] = ACTIONS(2617),
    [anon_sym_inout] = ACTIONS(2617),
    [anon_sym_extern] = ACTIONS(2617),
    [anon_sym___attribute__] = ACTIONS(2617),
    [anon_sym_COLON_COLON] = ACTIONS(2619),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2619),
    [anon_sym___declspec] = ACTIONS(2617),
    [anon_sym___based] = ACTIONS(2617),
    [anon_sym_signed] = ACTIONS(2617),
    [anon_sym_unsigned] = ACTIONS(2617),
    [anon_sym_long] = ACTIONS(2617),
    [anon_sym_short] = ACTIONS(2617),
    [anon_sym_LBRACK] = ACTIONS(2617),
    [anon_sym_static] = ACTIONS(2617),
    [anon_sym_register] = ACTIONS(2617),
    [anon_sym_inline] = ACTIONS(2617),
    [anon_sym___inline] = ACTIONS(2617),
    [anon_sym___inline__] = ACTIONS(2617),
    [anon_sym___forceinline] = ACTIONS(2617),
    [anon_sym_thread_local] = ACTIONS(2617),
    [anon_sym___thread] = ACTIONS(2617),
    [anon_sym_const] = ACTIONS(2617),
    [anon_sym_constexpr] = ACTIONS(2617),
    [anon_sym_volatile] = ACTIONS(2617),
    [anon_sym_restrict] = ACTIONS(2617),
    [anon_sym___restrict__] = ACTIONS(2617),
    [anon_sym__Atomic] = ACTIONS(2617),
    [anon_sym__Noreturn] = ACTIONS(2617),
    [anon_sym_noreturn] = ACTIONS(2617),
    [anon_sym_mutable] = ACTIONS(2617),
    [anon_sym_constinit] = ACTIONS(2617),
    [anon_sym_consteval] = ACTIONS(2617),
    [sym_primitive_type] = ACTIONS(2617),
    [anon_sym_enum] = ACTIONS(2617),
    [anon_sym_class] = ACTIONS(2617),
    [anon_sym_struct] = ACTIONS(2617),
    [anon_sym_union] = ACTIONS(2617),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2617),
    [anon_sym_decltype] = ACTIONS(2617),
    [anon_sym_virtual] = ACTIONS(2617),
    [anon_sym_alignas] = ACTIONS(2617),
    [anon_sym_explicit] = ACTIONS(2617),
    [anon_sym_typename] = ACTIONS(2617),
    [anon_sym_template] = ACTIONS(2617),
    [anon_sym_operator] = ACTIONS(2617),
    [anon_sym_friend] = ACTIONS(2617),
    [anon_sym_public] = ACTIONS(2617),
    [anon_sym_private] = ACTIONS(2617),
    [anon_sym_protected] = ACTIONS(2617),
    [anon_sym_using] = ACTIONS(2617),
    [anon_sym_static_assert] = ACTIONS(2617),
    [anon_sym_precise] = ACTIONS(2617),
    [anon_sym_shared] = ACTIONS(2617),
    [anon_sym_groupshared] = ACTIONS(2617),
    [anon_sym_uniform] = ACTIONS(2617),
    [anon_sym_row_major] = ACTIONS(2617),
    [anon_sym_column_major] = ACTIONS(2617),
    [anon_sym_globallycoherent] = ACTIONS(2617),
    [anon_sym_centroid] = ACTIONS(2617),
    [anon_sym_noperspective] = ACTIONS(2617),
    [anon_sym_nointerpolation] = ACTIONS(2617),
    [anon_sym_sample] = ACTIONS(2617),
    [anon_sym_linear] = ACTIONS(2617),
    [anon_sym_snorm] = ACTIONS(2617),
    [anon_sym_unorm] = ACTIONS(2617),
    [anon_sym_point] = ACTIONS(2617),
    [anon_sym_line] = ACTIONS(2617),
    [anon_sym_triangleadj] = ACTIONS(2617),
    [anon_sym_lineadj] = ACTIONS(2617),
    [anon_sym_triangle] = ACTIONS(2617),
  },
  [2774] = {
    [sym_identifier] = ACTIONS(2520),
    [aux_sym_preproc_def_token1] = ACTIONS(2520),
    [aux_sym_preproc_if_token1] = ACTIONS(2520),
    [aux_sym_preproc_if_token2] = ACTIONS(2520),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2520),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2520),
    [aux_sym_preproc_else_token1] = ACTIONS(2520),
    [aux_sym_preproc_elif_token1] = ACTIONS(2520),
    [sym_preproc_directive] = ACTIONS(2520),
    [anon_sym_LPAREN2] = ACTIONS(2522),
    [anon_sym_TILDE] = ACTIONS(2522),
    [anon_sym_STAR] = ACTIONS(2522),
    [anon_sym_AMP_AMP] = ACTIONS(2522),
    [anon_sym_AMP] = ACTIONS(2520),
    [anon_sym___extension__] = ACTIONS(2520),
    [anon_sym_typedef] = ACTIONS(2520),
    [anon_sym_in] = ACTIONS(2520),
    [anon_sym_out] = ACTIONS(2520),
    [anon_sym_inout] = ACTIONS(2520),
    [anon_sym_extern] = ACTIONS(2520),
    [anon_sym___attribute__] = ACTIONS(2520),
    [anon_sym_COLON_COLON] = ACTIONS(2522),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2522),
    [anon_sym___declspec] = ACTIONS(2520),
    [anon_sym___based] = ACTIONS(2520),
    [anon_sym_signed] = ACTIONS(2520),
    [anon_sym_unsigned] = ACTIONS(2520),
    [anon_sym_long] = ACTIONS(2520),
    [anon_sym_short] = ACTIONS(2520),
    [anon_sym_LBRACK] = ACTIONS(2520),
    [anon_sym_static] = ACTIONS(2520),
    [anon_sym_register] = ACTIONS(2520),
    [anon_sym_inline] = ACTIONS(2520),
    [anon_sym___inline] = ACTIONS(2520),
    [anon_sym___inline__] = ACTIONS(2520),
    [anon_sym___forceinline] = ACTIONS(2520),
    [anon_sym_thread_local] = ACTIONS(2520),
    [anon_sym___thread] = ACTIONS(2520),
    [anon_sym_const] = ACTIONS(2520),
    [anon_sym_constexpr] = ACTIONS(2520),
    [anon_sym_volatile] = ACTIONS(2520),
    [anon_sym_restrict] = ACTIONS(2520),
    [anon_sym___restrict__] = ACTIONS(2520),
    [anon_sym__Atomic] = ACTIONS(2520),
    [anon_sym__Noreturn] = ACTIONS(2520),
    [anon_sym_noreturn] = ACTIONS(2520),
    [anon_sym_mutable] = ACTIONS(2520),
    [anon_sym_constinit] = ACTIONS(2520),
    [anon_sym_consteval] = ACTIONS(2520),
    [sym_primitive_type] = ACTIONS(2520),
    [anon_sym_enum] = ACTIONS(2520),
    [anon_sym_class] = ACTIONS(2520),
    [anon_sym_struct] = ACTIONS(2520),
    [anon_sym_union] = ACTIONS(2520),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2520),
    [anon_sym_decltype] = ACTIONS(2520),
    [anon_sym_virtual] = ACTIONS(2520),
    [anon_sym_alignas] = ACTIONS(2520),
    [anon_sym_explicit] = ACTIONS(2520),
    [anon_sym_typename] = ACTIONS(2520),
    [anon_sym_template] = ACTIONS(2520),
    [anon_sym_operator] = ACTIONS(2520),
    [anon_sym_friend] = ACTIONS(2520),
    [anon_sym_public] = ACTIONS(2520),
    [anon_sym_private] = ACTIONS(2520),
    [anon_sym_protected] = ACTIONS(2520),
    [anon_sym_using] = ACTIONS(2520),
    [anon_sym_static_assert] = ACTIONS(2520),
    [anon_sym_precise] = ACTIONS(2520),
    [anon_sym_shared] = ACTIONS(2520),
    [anon_sym_groupshared] = ACTIONS(2520),
    [anon_sym_uniform] = ACTIONS(2520),
    [anon_sym_row_major] = ACTIONS(2520),
    [anon_sym_column_major] = ACTIONS(2520),
    [anon_sym_globallycoherent] = ACTIONS(2520),
    [anon_sym_centroid] = ACTIONS(2520),
    [anon_sym_noperspective] = ACTIONS(2520),
    [anon_sym_nointerpolation] = ACTIONS(2520),
    [anon_sym_sample] = ACTIONS(2520),
    [anon_sym_linear] = ACTIONS(2520),
    [anon_sym_snorm] = ACTIONS(2520),
    [anon_sym_unorm] = ACTIONS(2520),
    [anon_sym_point] = ACTIONS(2520),
    [anon_sym_line] = ACTIONS(2520),
    [anon_sym_triangleadj] = ACTIONS(2520),
    [anon_sym_lineadj] = ACTIONS(2520),
    [anon_sym_triangle] = ACTIONS(2520),
  },
  [2775] = {
    [sym_identifier] = ACTIONS(5659),
    [aux_sym_preproc_def_token1] = ACTIONS(5659),
    [aux_sym_preproc_if_token1] = ACTIONS(5659),
    [aux_sym_preproc_if_token2] = ACTIONS(5659),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5659),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5659),
    [aux_sym_preproc_else_token1] = ACTIONS(5659),
    [aux_sym_preproc_elif_token1] = ACTIONS(5659),
    [sym_preproc_directive] = ACTIONS(5659),
    [anon_sym_LPAREN2] = ACTIONS(5661),
    [anon_sym_TILDE] = ACTIONS(5661),
    [anon_sym_STAR] = ACTIONS(5661),
    [anon_sym_AMP_AMP] = ACTIONS(5661),
    [anon_sym_AMP] = ACTIONS(5659),
    [anon_sym___extension__] = ACTIONS(5659),
    [anon_sym_typedef] = ACTIONS(5659),
    [anon_sym_in] = ACTIONS(5659),
    [anon_sym_out] = ACTIONS(5659),
    [anon_sym_inout] = ACTIONS(5659),
    [anon_sym_extern] = ACTIONS(5659),
    [anon_sym___attribute__] = ACTIONS(5659),
    [anon_sym_COLON_COLON] = ACTIONS(5661),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5661),
    [anon_sym___declspec] = ACTIONS(5659),
    [anon_sym___based] = ACTIONS(5659),
    [anon_sym_signed] = ACTIONS(5659),
    [anon_sym_unsigned] = ACTIONS(5659),
    [anon_sym_long] = ACTIONS(5659),
    [anon_sym_short] = ACTIONS(5659),
    [anon_sym_LBRACK] = ACTIONS(5659),
    [anon_sym_static] = ACTIONS(5659),
    [anon_sym_register] = ACTIONS(5659),
    [anon_sym_inline] = ACTIONS(5659),
    [anon_sym___inline] = ACTIONS(5659),
    [anon_sym___inline__] = ACTIONS(5659),
    [anon_sym___forceinline] = ACTIONS(5659),
    [anon_sym_thread_local] = ACTIONS(5659),
    [anon_sym___thread] = ACTIONS(5659),
    [anon_sym_const] = ACTIONS(5659),
    [anon_sym_constexpr] = ACTIONS(5659),
    [anon_sym_volatile] = ACTIONS(5659),
    [anon_sym_restrict] = ACTIONS(5659),
    [anon_sym___restrict__] = ACTIONS(5659),
    [anon_sym__Atomic] = ACTIONS(5659),
    [anon_sym__Noreturn] = ACTIONS(5659),
    [anon_sym_noreturn] = ACTIONS(5659),
    [anon_sym_mutable] = ACTIONS(5659),
    [anon_sym_constinit] = ACTIONS(5659),
    [anon_sym_consteval] = ACTIONS(5659),
    [sym_primitive_type] = ACTIONS(5659),
    [anon_sym_enum] = ACTIONS(5659),
    [anon_sym_class] = ACTIONS(5659),
    [anon_sym_struct] = ACTIONS(5659),
    [anon_sym_union] = ACTIONS(5659),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5659),
    [anon_sym_decltype] = ACTIONS(5659),
    [anon_sym_virtual] = ACTIONS(5659),
    [anon_sym_alignas] = ACTIONS(5659),
    [anon_sym_explicit] = ACTIONS(5659),
    [anon_sym_typename] = ACTIONS(5659),
    [anon_sym_template] = ACTIONS(5659),
    [anon_sym_operator] = ACTIONS(5659),
    [anon_sym_friend] = ACTIONS(5659),
    [anon_sym_public] = ACTIONS(5659),
    [anon_sym_private] = ACTIONS(5659),
    [anon_sym_protected] = ACTIONS(5659),
    [anon_sym_using] = ACTIONS(5659),
    [anon_sym_static_assert] = ACTIONS(5659),
    [anon_sym_precise] = ACTIONS(5659),
    [anon_sym_shared] = ACTIONS(5659),
    [anon_sym_groupshared] = ACTIONS(5659),
    [anon_sym_uniform] = ACTIONS(5659),
    [anon_sym_row_major] = ACTIONS(5659),
    [anon_sym_column_major] = ACTIONS(5659),
    [anon_sym_globallycoherent] = ACTIONS(5659),
    [anon_sym_centroid] = ACTIONS(5659),
    [anon_sym_noperspective] = ACTIONS(5659),
    [anon_sym_nointerpolation] = ACTIONS(5659),
    [anon_sym_sample] = ACTIONS(5659),
    [anon_sym_linear] = ACTIONS(5659),
    [anon_sym_snorm] = ACTIONS(5659),
    [anon_sym_unorm] = ACTIONS(5659),
    [anon_sym_point] = ACTIONS(5659),
    [anon_sym_line] = ACTIONS(5659),
    [anon_sym_triangleadj] = ACTIONS(5659),
    [anon_sym_lineadj] = ACTIONS(5659),
    [anon_sym_triangle] = ACTIONS(5659),
  },
  [2776] = {
    [sym_identifier] = ACTIONS(5667),
    [aux_sym_preproc_def_token1] = ACTIONS(5667),
    [aux_sym_preproc_if_token1] = ACTIONS(5667),
    [aux_sym_preproc_if_token2] = ACTIONS(5667),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5667),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5667),
    [aux_sym_preproc_else_token1] = ACTIONS(5667),
    [aux_sym_preproc_elif_token1] = ACTIONS(5667),
    [sym_preproc_directive] = ACTIONS(5667),
    [anon_sym_LPAREN2] = ACTIONS(5669),
    [anon_sym_TILDE] = ACTIONS(5669),
    [anon_sym_STAR] = ACTIONS(5669),
    [anon_sym_AMP_AMP] = ACTIONS(5669),
    [anon_sym_AMP] = ACTIONS(5667),
    [anon_sym___extension__] = ACTIONS(5667),
    [anon_sym_typedef] = ACTIONS(5667),
    [anon_sym_in] = ACTIONS(5667),
    [anon_sym_out] = ACTIONS(5667),
    [anon_sym_inout] = ACTIONS(5667),
    [anon_sym_extern] = ACTIONS(5667),
    [anon_sym___attribute__] = ACTIONS(5667),
    [anon_sym_COLON_COLON] = ACTIONS(5669),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5669),
    [anon_sym___declspec] = ACTIONS(5667),
    [anon_sym___based] = ACTIONS(5667),
    [anon_sym_signed] = ACTIONS(5667),
    [anon_sym_unsigned] = ACTIONS(5667),
    [anon_sym_long] = ACTIONS(5667),
    [anon_sym_short] = ACTIONS(5667),
    [anon_sym_LBRACK] = ACTIONS(5667),
    [anon_sym_static] = ACTIONS(5667),
    [anon_sym_register] = ACTIONS(5667),
    [anon_sym_inline] = ACTIONS(5667),
    [anon_sym___inline] = ACTIONS(5667),
    [anon_sym___inline__] = ACTIONS(5667),
    [anon_sym___forceinline] = ACTIONS(5667),
    [anon_sym_thread_local] = ACTIONS(5667),
    [anon_sym___thread] = ACTIONS(5667),
    [anon_sym_const] = ACTIONS(5667),
    [anon_sym_constexpr] = ACTIONS(5667),
    [anon_sym_volatile] = ACTIONS(5667),
    [anon_sym_restrict] = ACTIONS(5667),
    [anon_sym___restrict__] = ACTIONS(5667),
    [anon_sym__Atomic] = ACTIONS(5667),
    [anon_sym__Noreturn] = ACTIONS(5667),
    [anon_sym_noreturn] = ACTIONS(5667),
    [anon_sym_mutable] = ACTIONS(5667),
    [anon_sym_constinit] = ACTIONS(5667),
    [anon_sym_consteval] = ACTIONS(5667),
    [sym_primitive_type] = ACTIONS(5667),
    [anon_sym_enum] = ACTIONS(5667),
    [anon_sym_class] = ACTIONS(5667),
    [anon_sym_struct] = ACTIONS(5667),
    [anon_sym_union] = ACTIONS(5667),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5667),
    [anon_sym_decltype] = ACTIONS(5667),
    [anon_sym_virtual] = ACTIONS(5667),
    [anon_sym_alignas] = ACTIONS(5667),
    [anon_sym_explicit] = ACTIONS(5667),
    [anon_sym_typename] = ACTIONS(5667),
    [anon_sym_template] = ACTIONS(5667),
    [anon_sym_operator] = ACTIONS(5667),
    [anon_sym_friend] = ACTIONS(5667),
    [anon_sym_public] = ACTIONS(5667),
    [anon_sym_private] = ACTIONS(5667),
    [anon_sym_protected] = ACTIONS(5667),
    [anon_sym_using] = ACTIONS(5667),
    [anon_sym_static_assert] = ACTIONS(5667),
    [anon_sym_precise] = ACTIONS(5667),
    [anon_sym_shared] = ACTIONS(5667),
    [anon_sym_groupshared] = ACTIONS(5667),
    [anon_sym_uniform] = ACTIONS(5667),
    [anon_sym_row_major] = ACTIONS(5667),
    [anon_sym_column_major] = ACTIONS(5667),
    [anon_sym_globallycoherent] = ACTIONS(5667),
    [anon_sym_centroid] = ACTIONS(5667),
    [anon_sym_noperspective] = ACTIONS(5667),
    [anon_sym_nointerpolation] = ACTIONS(5667),
    [anon_sym_sample] = ACTIONS(5667),
    [anon_sym_linear] = ACTIONS(5667),
    [anon_sym_snorm] = ACTIONS(5667),
    [anon_sym_unorm] = ACTIONS(5667),
    [anon_sym_point] = ACTIONS(5667),
    [anon_sym_line] = ACTIONS(5667),
    [anon_sym_triangleadj] = ACTIONS(5667),
    [anon_sym_lineadj] = ACTIONS(5667),
    [anon_sym_triangle] = ACTIONS(5667),
  },
  [2777] = {
    [sym_identifier] = ACTIONS(2520),
    [aux_sym_preproc_def_token1] = ACTIONS(2520),
    [aux_sym_preproc_if_token1] = ACTIONS(2520),
    [aux_sym_preproc_if_token2] = ACTIONS(2520),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2520),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2520),
    [aux_sym_preproc_else_token1] = ACTIONS(2520),
    [aux_sym_preproc_elif_token1] = ACTIONS(2520),
    [sym_preproc_directive] = ACTIONS(2520),
    [anon_sym_LPAREN2] = ACTIONS(2522),
    [anon_sym_TILDE] = ACTIONS(2522),
    [anon_sym_STAR] = ACTIONS(2522),
    [anon_sym_AMP_AMP] = ACTIONS(2522),
    [anon_sym_AMP] = ACTIONS(2520),
    [anon_sym___extension__] = ACTIONS(2520),
    [anon_sym_typedef] = ACTIONS(2520),
    [anon_sym_in] = ACTIONS(2520),
    [anon_sym_out] = ACTIONS(2520),
    [anon_sym_inout] = ACTIONS(2520),
    [anon_sym_extern] = ACTIONS(2520),
    [anon_sym___attribute__] = ACTIONS(2520),
    [anon_sym_COLON_COLON] = ACTIONS(2522),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2522),
    [anon_sym___declspec] = ACTIONS(2520),
    [anon_sym___based] = ACTIONS(2520),
    [anon_sym_signed] = ACTIONS(2520),
    [anon_sym_unsigned] = ACTIONS(2520),
    [anon_sym_long] = ACTIONS(2520),
    [anon_sym_short] = ACTIONS(2520),
    [anon_sym_LBRACK] = ACTIONS(2520),
    [anon_sym_static] = ACTIONS(2520),
    [anon_sym_register] = ACTIONS(2520),
    [anon_sym_inline] = ACTIONS(2520),
    [anon_sym___inline] = ACTIONS(2520),
    [anon_sym___inline__] = ACTIONS(2520),
    [anon_sym___forceinline] = ACTIONS(2520),
    [anon_sym_thread_local] = ACTIONS(2520),
    [anon_sym___thread] = ACTIONS(2520),
    [anon_sym_const] = ACTIONS(2520),
    [anon_sym_constexpr] = ACTIONS(2520),
    [anon_sym_volatile] = ACTIONS(2520),
    [anon_sym_restrict] = ACTIONS(2520),
    [anon_sym___restrict__] = ACTIONS(2520),
    [anon_sym__Atomic] = ACTIONS(2520),
    [anon_sym__Noreturn] = ACTIONS(2520),
    [anon_sym_noreturn] = ACTIONS(2520),
    [anon_sym_mutable] = ACTIONS(2520),
    [anon_sym_constinit] = ACTIONS(2520),
    [anon_sym_consteval] = ACTIONS(2520),
    [sym_primitive_type] = ACTIONS(2520),
    [anon_sym_enum] = ACTIONS(2520),
    [anon_sym_class] = ACTIONS(2520),
    [anon_sym_struct] = ACTIONS(2520),
    [anon_sym_union] = ACTIONS(2520),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2520),
    [anon_sym_decltype] = ACTIONS(2520),
    [anon_sym_virtual] = ACTIONS(2520),
    [anon_sym_alignas] = ACTIONS(2520),
    [anon_sym_explicit] = ACTIONS(2520),
    [anon_sym_typename] = ACTIONS(2520),
    [anon_sym_template] = ACTIONS(2520),
    [anon_sym_operator] = ACTIONS(2520),
    [anon_sym_friend] = ACTIONS(2520),
    [anon_sym_public] = ACTIONS(2520),
    [anon_sym_private] = ACTIONS(2520),
    [anon_sym_protected] = ACTIONS(2520),
    [anon_sym_using] = ACTIONS(2520),
    [anon_sym_static_assert] = ACTIONS(2520),
    [anon_sym_precise] = ACTIONS(2520),
    [anon_sym_shared] = ACTIONS(2520),
    [anon_sym_groupshared] = ACTIONS(2520),
    [anon_sym_uniform] = ACTIONS(2520),
    [anon_sym_row_major] = ACTIONS(2520),
    [anon_sym_column_major] = ACTIONS(2520),
    [anon_sym_globallycoherent] = ACTIONS(2520),
    [anon_sym_centroid] = ACTIONS(2520),
    [anon_sym_noperspective] = ACTIONS(2520),
    [anon_sym_nointerpolation] = ACTIONS(2520),
    [anon_sym_sample] = ACTIONS(2520),
    [anon_sym_linear] = ACTIONS(2520),
    [anon_sym_snorm] = ACTIONS(2520),
    [anon_sym_unorm] = ACTIONS(2520),
    [anon_sym_point] = ACTIONS(2520),
    [anon_sym_line] = ACTIONS(2520),
    [anon_sym_triangleadj] = ACTIONS(2520),
    [anon_sym_lineadj] = ACTIONS(2520),
    [anon_sym_triangle] = ACTIONS(2520),
  },
  [2778] = {
    [sym_identifier] = ACTIONS(5695),
    [aux_sym_preproc_def_token1] = ACTIONS(5695),
    [aux_sym_preproc_if_token1] = ACTIONS(5695),
    [aux_sym_preproc_if_token2] = ACTIONS(5695),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5695),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5695),
    [aux_sym_preproc_else_token1] = ACTIONS(5695),
    [aux_sym_preproc_elif_token1] = ACTIONS(5695),
    [sym_preproc_directive] = ACTIONS(5695),
    [anon_sym_LPAREN2] = ACTIONS(5697),
    [anon_sym_TILDE] = ACTIONS(5697),
    [anon_sym_STAR] = ACTIONS(5697),
    [anon_sym_AMP_AMP] = ACTIONS(5697),
    [anon_sym_AMP] = ACTIONS(5695),
    [anon_sym___extension__] = ACTIONS(5695),
    [anon_sym_typedef] = ACTIONS(5695),
    [anon_sym_in] = ACTIONS(5695),
    [anon_sym_out] = ACTIONS(5695),
    [anon_sym_inout] = ACTIONS(5695),
    [anon_sym_extern] = ACTIONS(5695),
    [anon_sym___attribute__] = ACTIONS(5695),
    [anon_sym_COLON_COLON] = ACTIONS(5697),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5697),
    [anon_sym___declspec] = ACTIONS(5695),
    [anon_sym___based] = ACTIONS(5695),
    [anon_sym_signed] = ACTIONS(5695),
    [anon_sym_unsigned] = ACTIONS(5695),
    [anon_sym_long] = ACTIONS(5695),
    [anon_sym_short] = ACTIONS(5695),
    [anon_sym_LBRACK] = ACTIONS(5695),
    [anon_sym_static] = ACTIONS(5695),
    [anon_sym_register] = ACTIONS(5695),
    [anon_sym_inline] = ACTIONS(5695),
    [anon_sym___inline] = ACTIONS(5695),
    [anon_sym___inline__] = ACTIONS(5695),
    [anon_sym___forceinline] = ACTIONS(5695),
    [anon_sym_thread_local] = ACTIONS(5695),
    [anon_sym___thread] = ACTIONS(5695),
    [anon_sym_const] = ACTIONS(5695),
    [anon_sym_constexpr] = ACTIONS(5695),
    [anon_sym_volatile] = ACTIONS(5695),
    [anon_sym_restrict] = ACTIONS(5695),
    [anon_sym___restrict__] = ACTIONS(5695),
    [anon_sym__Atomic] = ACTIONS(5695),
    [anon_sym__Noreturn] = ACTIONS(5695),
    [anon_sym_noreturn] = ACTIONS(5695),
    [anon_sym_mutable] = ACTIONS(5695),
    [anon_sym_constinit] = ACTIONS(5695),
    [anon_sym_consteval] = ACTIONS(5695),
    [sym_primitive_type] = ACTIONS(5695),
    [anon_sym_enum] = ACTIONS(5695),
    [anon_sym_class] = ACTIONS(5695),
    [anon_sym_struct] = ACTIONS(5695),
    [anon_sym_union] = ACTIONS(5695),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5695),
    [anon_sym_decltype] = ACTIONS(5695),
    [anon_sym_virtual] = ACTIONS(5695),
    [anon_sym_alignas] = ACTIONS(5695),
    [anon_sym_explicit] = ACTIONS(5695),
    [anon_sym_typename] = ACTIONS(5695),
    [anon_sym_template] = ACTIONS(5695),
    [anon_sym_operator] = ACTIONS(5695),
    [anon_sym_friend] = ACTIONS(5695),
    [anon_sym_public] = ACTIONS(5695),
    [anon_sym_private] = ACTIONS(5695),
    [anon_sym_protected] = ACTIONS(5695),
    [anon_sym_using] = ACTIONS(5695),
    [anon_sym_static_assert] = ACTIONS(5695),
    [anon_sym_precise] = ACTIONS(5695),
    [anon_sym_shared] = ACTIONS(5695),
    [anon_sym_groupshared] = ACTIONS(5695),
    [anon_sym_uniform] = ACTIONS(5695),
    [anon_sym_row_major] = ACTIONS(5695),
    [anon_sym_column_major] = ACTIONS(5695),
    [anon_sym_globallycoherent] = ACTIONS(5695),
    [anon_sym_centroid] = ACTIONS(5695),
    [anon_sym_noperspective] = ACTIONS(5695),
    [anon_sym_nointerpolation] = ACTIONS(5695),
    [anon_sym_sample] = ACTIONS(5695),
    [anon_sym_linear] = ACTIONS(5695),
    [anon_sym_snorm] = ACTIONS(5695),
    [anon_sym_unorm] = ACTIONS(5695),
    [anon_sym_point] = ACTIONS(5695),
    [anon_sym_line] = ACTIONS(5695),
    [anon_sym_triangleadj] = ACTIONS(5695),
    [anon_sym_lineadj] = ACTIONS(5695),
    [anon_sym_triangle] = ACTIONS(5695),
  },
  [2779] = {
    [sym_identifier] = ACTIONS(2492),
    [aux_sym_preproc_def_token1] = ACTIONS(2492),
    [aux_sym_preproc_if_token1] = ACTIONS(2492),
    [aux_sym_preproc_if_token2] = ACTIONS(2492),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2492),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2492),
    [aux_sym_preproc_else_token1] = ACTIONS(2492),
    [aux_sym_preproc_elif_token1] = ACTIONS(2492),
    [sym_preproc_directive] = ACTIONS(2492),
    [anon_sym_LPAREN2] = ACTIONS(2494),
    [anon_sym_TILDE] = ACTIONS(2494),
    [anon_sym_STAR] = ACTIONS(2494),
    [anon_sym_AMP_AMP] = ACTIONS(2494),
    [anon_sym_AMP] = ACTIONS(2492),
    [anon_sym___extension__] = ACTIONS(2492),
    [anon_sym_typedef] = ACTIONS(2492),
    [anon_sym_in] = ACTIONS(2492),
    [anon_sym_out] = ACTIONS(2492),
    [anon_sym_inout] = ACTIONS(2492),
    [anon_sym_extern] = ACTIONS(2492),
    [anon_sym___attribute__] = ACTIONS(2492),
    [anon_sym_COLON_COLON] = ACTIONS(2494),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2494),
    [anon_sym___declspec] = ACTIONS(2492),
    [anon_sym___based] = ACTIONS(2492),
    [anon_sym_signed] = ACTIONS(2492),
    [anon_sym_unsigned] = ACTIONS(2492),
    [anon_sym_long] = ACTIONS(2492),
    [anon_sym_short] = ACTIONS(2492),
    [anon_sym_LBRACK] = ACTIONS(2492),
    [anon_sym_static] = ACTIONS(2492),
    [anon_sym_register] = ACTIONS(2492),
    [anon_sym_inline] = ACTIONS(2492),
    [anon_sym___inline] = ACTIONS(2492),
    [anon_sym___inline__] = ACTIONS(2492),
    [anon_sym___forceinline] = ACTIONS(2492),
    [anon_sym_thread_local] = ACTIONS(2492),
    [anon_sym___thread] = ACTIONS(2492),
    [anon_sym_const] = ACTIONS(2492),
    [anon_sym_constexpr] = ACTIONS(2492),
    [anon_sym_volatile] = ACTIONS(2492),
    [anon_sym_restrict] = ACTIONS(2492),
    [anon_sym___restrict__] = ACTIONS(2492),
    [anon_sym__Atomic] = ACTIONS(2492),
    [anon_sym__Noreturn] = ACTIONS(2492),
    [anon_sym_noreturn] = ACTIONS(2492),
    [anon_sym_mutable] = ACTIONS(2492),
    [anon_sym_constinit] = ACTIONS(2492),
    [anon_sym_consteval] = ACTIONS(2492),
    [sym_primitive_type] = ACTIONS(2492),
    [anon_sym_enum] = ACTIONS(2492),
    [anon_sym_class] = ACTIONS(2492),
    [anon_sym_struct] = ACTIONS(2492),
    [anon_sym_union] = ACTIONS(2492),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2492),
    [anon_sym_decltype] = ACTIONS(2492),
    [anon_sym_virtual] = ACTIONS(2492),
    [anon_sym_alignas] = ACTIONS(2492),
    [anon_sym_explicit] = ACTIONS(2492),
    [anon_sym_typename] = ACTIONS(2492),
    [anon_sym_template] = ACTIONS(2492),
    [anon_sym_operator] = ACTIONS(2492),
    [anon_sym_friend] = ACTIONS(2492),
    [anon_sym_public] = ACTIONS(2492),
    [anon_sym_private] = ACTIONS(2492),
    [anon_sym_protected] = ACTIONS(2492),
    [anon_sym_using] = ACTIONS(2492),
    [anon_sym_static_assert] = ACTIONS(2492),
    [anon_sym_precise] = ACTIONS(2492),
    [anon_sym_shared] = ACTIONS(2492),
    [anon_sym_groupshared] = ACTIONS(2492),
    [anon_sym_uniform] = ACTIONS(2492),
    [anon_sym_row_major] = ACTIONS(2492),
    [anon_sym_column_major] = ACTIONS(2492),
    [anon_sym_globallycoherent] = ACTIONS(2492),
    [anon_sym_centroid] = ACTIONS(2492),
    [anon_sym_noperspective] = ACTIONS(2492),
    [anon_sym_nointerpolation] = ACTIONS(2492),
    [anon_sym_sample] = ACTIONS(2492),
    [anon_sym_linear] = ACTIONS(2492),
    [anon_sym_snorm] = ACTIONS(2492),
    [anon_sym_unorm] = ACTIONS(2492),
    [anon_sym_point] = ACTIONS(2492),
    [anon_sym_line] = ACTIONS(2492),
    [anon_sym_triangleadj] = ACTIONS(2492),
    [anon_sym_lineadj] = ACTIONS(2492),
    [anon_sym_triangle] = ACTIONS(2492),
  },
  [2780] = {
    [sym_identifier] = ACTIONS(5663),
    [aux_sym_preproc_def_token1] = ACTIONS(5663),
    [aux_sym_preproc_if_token1] = ACTIONS(5663),
    [aux_sym_preproc_if_token2] = ACTIONS(5663),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5663),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5663),
    [aux_sym_preproc_else_token1] = ACTIONS(5663),
    [aux_sym_preproc_elif_token1] = ACTIONS(5663),
    [sym_preproc_directive] = ACTIONS(5663),
    [anon_sym_LPAREN2] = ACTIONS(5665),
    [anon_sym_TILDE] = ACTIONS(5665),
    [anon_sym_STAR] = ACTIONS(5665),
    [anon_sym_AMP_AMP] = ACTIONS(5665),
    [anon_sym_AMP] = ACTIONS(5663),
    [anon_sym___extension__] = ACTIONS(5663),
    [anon_sym_typedef] = ACTIONS(5663),
    [anon_sym_in] = ACTIONS(5663),
    [anon_sym_out] = ACTIONS(5663),
    [anon_sym_inout] = ACTIONS(5663),
    [anon_sym_extern] = ACTIONS(5663),
    [anon_sym___attribute__] = ACTIONS(5663),
    [anon_sym_COLON_COLON] = ACTIONS(5665),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5665),
    [anon_sym___declspec] = ACTIONS(5663),
    [anon_sym___based] = ACTIONS(5663),
    [anon_sym_signed] = ACTIONS(5663),
    [anon_sym_unsigned] = ACTIONS(5663),
    [anon_sym_long] = ACTIONS(5663),
    [anon_sym_short] = ACTIONS(5663),
    [anon_sym_LBRACK] = ACTIONS(5663),
    [anon_sym_static] = ACTIONS(5663),
    [anon_sym_register] = ACTIONS(5663),
    [anon_sym_inline] = ACTIONS(5663),
    [anon_sym___inline] = ACTIONS(5663),
    [anon_sym___inline__] = ACTIONS(5663),
    [anon_sym___forceinline] = ACTIONS(5663),
    [anon_sym_thread_local] = ACTIONS(5663),
    [anon_sym___thread] = ACTIONS(5663),
    [anon_sym_const] = ACTIONS(5663),
    [anon_sym_constexpr] = ACTIONS(5663),
    [anon_sym_volatile] = ACTIONS(5663),
    [anon_sym_restrict] = ACTIONS(5663),
    [anon_sym___restrict__] = ACTIONS(5663),
    [anon_sym__Atomic] = ACTIONS(5663),
    [anon_sym__Noreturn] = ACTIONS(5663),
    [anon_sym_noreturn] = ACTIONS(5663),
    [anon_sym_mutable] = ACTIONS(5663),
    [anon_sym_constinit] = ACTIONS(5663),
    [anon_sym_consteval] = ACTIONS(5663),
    [sym_primitive_type] = ACTIONS(5663),
    [anon_sym_enum] = ACTIONS(5663),
    [anon_sym_class] = ACTIONS(5663),
    [anon_sym_struct] = ACTIONS(5663),
    [anon_sym_union] = ACTIONS(5663),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5663),
    [anon_sym_decltype] = ACTIONS(5663),
    [anon_sym_virtual] = ACTIONS(5663),
    [anon_sym_alignas] = ACTIONS(5663),
    [anon_sym_explicit] = ACTIONS(5663),
    [anon_sym_typename] = ACTIONS(5663),
    [anon_sym_template] = ACTIONS(5663),
    [anon_sym_operator] = ACTIONS(5663),
    [anon_sym_friend] = ACTIONS(5663),
    [anon_sym_public] = ACTIONS(5663),
    [anon_sym_private] = ACTIONS(5663),
    [anon_sym_protected] = ACTIONS(5663),
    [anon_sym_using] = ACTIONS(5663),
    [anon_sym_static_assert] = ACTIONS(5663),
    [anon_sym_precise] = ACTIONS(5663),
    [anon_sym_shared] = ACTIONS(5663),
    [anon_sym_groupshared] = ACTIONS(5663),
    [anon_sym_uniform] = ACTIONS(5663),
    [anon_sym_row_major] = ACTIONS(5663),
    [anon_sym_column_major] = ACTIONS(5663),
    [anon_sym_globallycoherent] = ACTIONS(5663),
    [anon_sym_centroid] = ACTIONS(5663),
    [anon_sym_noperspective] = ACTIONS(5663),
    [anon_sym_nointerpolation] = ACTIONS(5663),
    [anon_sym_sample] = ACTIONS(5663),
    [anon_sym_linear] = ACTIONS(5663),
    [anon_sym_snorm] = ACTIONS(5663),
    [anon_sym_unorm] = ACTIONS(5663),
    [anon_sym_point] = ACTIONS(5663),
    [anon_sym_line] = ACTIONS(5663),
    [anon_sym_triangleadj] = ACTIONS(5663),
    [anon_sym_lineadj] = ACTIONS(5663),
    [anon_sym_triangle] = ACTIONS(5663),
  },
  [2781] = {
    [sym_identifier] = ACTIONS(5707),
    [aux_sym_preproc_def_token1] = ACTIONS(5707),
    [aux_sym_preproc_if_token1] = ACTIONS(5707),
    [aux_sym_preproc_if_token2] = ACTIONS(5707),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5707),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5707),
    [aux_sym_preproc_else_token1] = ACTIONS(5707),
    [aux_sym_preproc_elif_token1] = ACTIONS(5707),
    [sym_preproc_directive] = ACTIONS(5707),
    [anon_sym_LPAREN2] = ACTIONS(5709),
    [anon_sym_TILDE] = ACTIONS(5709),
    [anon_sym_STAR] = ACTIONS(5709),
    [anon_sym_AMP_AMP] = ACTIONS(5709),
    [anon_sym_AMP] = ACTIONS(5707),
    [anon_sym___extension__] = ACTIONS(5707),
    [anon_sym_typedef] = ACTIONS(5707),
    [anon_sym_in] = ACTIONS(5707),
    [anon_sym_out] = ACTIONS(5707),
    [anon_sym_inout] = ACTIONS(5707),
    [anon_sym_extern] = ACTIONS(5707),
    [anon_sym___attribute__] = ACTIONS(5707),
    [anon_sym_COLON_COLON] = ACTIONS(5709),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5709),
    [anon_sym___declspec] = ACTIONS(5707),
    [anon_sym___based] = ACTIONS(5707),
    [anon_sym_signed] = ACTIONS(5707),
    [anon_sym_unsigned] = ACTIONS(5707),
    [anon_sym_long] = ACTIONS(5707),
    [anon_sym_short] = ACTIONS(5707),
    [anon_sym_LBRACK] = ACTIONS(5707),
    [anon_sym_static] = ACTIONS(5707),
    [anon_sym_register] = ACTIONS(5707),
    [anon_sym_inline] = ACTIONS(5707),
    [anon_sym___inline] = ACTIONS(5707),
    [anon_sym___inline__] = ACTIONS(5707),
    [anon_sym___forceinline] = ACTIONS(5707),
    [anon_sym_thread_local] = ACTIONS(5707),
    [anon_sym___thread] = ACTIONS(5707),
    [anon_sym_const] = ACTIONS(5707),
    [anon_sym_constexpr] = ACTIONS(5707),
    [anon_sym_volatile] = ACTIONS(5707),
    [anon_sym_restrict] = ACTIONS(5707),
    [anon_sym___restrict__] = ACTIONS(5707),
    [anon_sym__Atomic] = ACTIONS(5707),
    [anon_sym__Noreturn] = ACTIONS(5707),
    [anon_sym_noreturn] = ACTIONS(5707),
    [anon_sym_mutable] = ACTIONS(5707),
    [anon_sym_constinit] = ACTIONS(5707),
    [anon_sym_consteval] = ACTIONS(5707),
    [sym_primitive_type] = ACTIONS(5707),
    [anon_sym_enum] = ACTIONS(5707),
    [anon_sym_class] = ACTIONS(5707),
    [anon_sym_struct] = ACTIONS(5707),
    [anon_sym_union] = ACTIONS(5707),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5707),
    [anon_sym_decltype] = ACTIONS(5707),
    [anon_sym_virtual] = ACTIONS(5707),
    [anon_sym_alignas] = ACTIONS(5707),
    [anon_sym_explicit] = ACTIONS(5707),
    [anon_sym_typename] = ACTIONS(5707),
    [anon_sym_template] = ACTIONS(5707),
    [anon_sym_operator] = ACTIONS(5707),
    [anon_sym_friend] = ACTIONS(5707),
    [anon_sym_public] = ACTIONS(5707),
    [anon_sym_private] = ACTIONS(5707),
    [anon_sym_protected] = ACTIONS(5707),
    [anon_sym_using] = ACTIONS(5707),
    [anon_sym_static_assert] = ACTIONS(5707),
    [anon_sym_precise] = ACTIONS(5707),
    [anon_sym_shared] = ACTIONS(5707),
    [anon_sym_groupshared] = ACTIONS(5707),
    [anon_sym_uniform] = ACTIONS(5707),
    [anon_sym_row_major] = ACTIONS(5707),
    [anon_sym_column_major] = ACTIONS(5707),
    [anon_sym_globallycoherent] = ACTIONS(5707),
    [anon_sym_centroid] = ACTIONS(5707),
    [anon_sym_noperspective] = ACTIONS(5707),
    [anon_sym_nointerpolation] = ACTIONS(5707),
    [anon_sym_sample] = ACTIONS(5707),
    [anon_sym_linear] = ACTIONS(5707),
    [anon_sym_snorm] = ACTIONS(5707),
    [anon_sym_unorm] = ACTIONS(5707),
    [anon_sym_point] = ACTIONS(5707),
    [anon_sym_line] = ACTIONS(5707),
    [anon_sym_triangleadj] = ACTIONS(5707),
    [anon_sym_lineadj] = ACTIONS(5707),
    [anon_sym_triangle] = ACTIONS(5707),
  },
  [2782] = {
    [sym_identifier] = ACTIONS(2608),
    [aux_sym_preproc_def_token1] = ACTIONS(2608),
    [aux_sym_preproc_if_token1] = ACTIONS(2608),
    [aux_sym_preproc_if_token2] = ACTIONS(2608),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2608),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2608),
    [aux_sym_preproc_else_token1] = ACTIONS(2608),
    [aux_sym_preproc_elif_token1] = ACTIONS(2608),
    [sym_preproc_directive] = ACTIONS(2608),
    [anon_sym_LPAREN2] = ACTIONS(2610),
    [anon_sym_TILDE] = ACTIONS(2610),
    [anon_sym_STAR] = ACTIONS(2610),
    [anon_sym_AMP_AMP] = ACTIONS(2610),
    [anon_sym_AMP] = ACTIONS(2608),
    [anon_sym___extension__] = ACTIONS(2608),
    [anon_sym_typedef] = ACTIONS(2608),
    [anon_sym_in] = ACTIONS(2608),
    [anon_sym_out] = ACTIONS(2608),
    [anon_sym_inout] = ACTIONS(2608),
    [anon_sym_extern] = ACTIONS(2608),
    [anon_sym___attribute__] = ACTIONS(2608),
    [anon_sym_COLON_COLON] = ACTIONS(2610),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2610),
    [anon_sym___declspec] = ACTIONS(2608),
    [anon_sym___based] = ACTIONS(2608),
    [anon_sym_signed] = ACTIONS(2608),
    [anon_sym_unsigned] = ACTIONS(2608),
    [anon_sym_long] = ACTIONS(2608),
    [anon_sym_short] = ACTIONS(2608),
    [anon_sym_LBRACK] = ACTIONS(2608),
    [anon_sym_static] = ACTIONS(2608),
    [anon_sym_register] = ACTIONS(2608),
    [anon_sym_inline] = ACTIONS(2608),
    [anon_sym___inline] = ACTIONS(2608),
    [anon_sym___inline__] = ACTIONS(2608),
    [anon_sym___forceinline] = ACTIONS(2608),
    [anon_sym_thread_local] = ACTIONS(2608),
    [anon_sym___thread] = ACTIONS(2608),
    [anon_sym_const] = ACTIONS(2608),
    [anon_sym_constexpr] = ACTIONS(2608),
    [anon_sym_volatile] = ACTIONS(2608),
    [anon_sym_restrict] = ACTIONS(2608),
    [anon_sym___restrict__] = ACTIONS(2608),
    [anon_sym__Atomic] = ACTIONS(2608),
    [anon_sym__Noreturn] = ACTIONS(2608),
    [anon_sym_noreturn] = ACTIONS(2608),
    [anon_sym_mutable] = ACTIONS(2608),
    [anon_sym_constinit] = ACTIONS(2608),
    [anon_sym_consteval] = ACTIONS(2608),
    [sym_primitive_type] = ACTIONS(2608),
    [anon_sym_enum] = ACTIONS(2608),
    [anon_sym_class] = ACTIONS(2608),
    [anon_sym_struct] = ACTIONS(2608),
    [anon_sym_union] = ACTIONS(2608),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2608),
    [anon_sym_decltype] = ACTIONS(2608),
    [anon_sym_virtual] = ACTIONS(2608),
    [anon_sym_alignas] = ACTIONS(2608),
    [anon_sym_explicit] = ACTIONS(2608),
    [anon_sym_typename] = ACTIONS(2608),
    [anon_sym_template] = ACTIONS(2608),
    [anon_sym_operator] = ACTIONS(2608),
    [anon_sym_friend] = ACTIONS(2608),
    [anon_sym_public] = ACTIONS(2608),
    [anon_sym_private] = ACTIONS(2608),
    [anon_sym_protected] = ACTIONS(2608),
    [anon_sym_using] = ACTIONS(2608),
    [anon_sym_static_assert] = ACTIONS(2608),
    [anon_sym_precise] = ACTIONS(2608),
    [anon_sym_shared] = ACTIONS(2608),
    [anon_sym_groupshared] = ACTIONS(2608),
    [anon_sym_uniform] = ACTIONS(2608),
    [anon_sym_row_major] = ACTIONS(2608),
    [anon_sym_column_major] = ACTIONS(2608),
    [anon_sym_globallycoherent] = ACTIONS(2608),
    [anon_sym_centroid] = ACTIONS(2608),
    [anon_sym_noperspective] = ACTIONS(2608),
    [anon_sym_nointerpolation] = ACTIONS(2608),
    [anon_sym_sample] = ACTIONS(2608),
    [anon_sym_linear] = ACTIONS(2608),
    [anon_sym_snorm] = ACTIONS(2608),
    [anon_sym_unorm] = ACTIONS(2608),
    [anon_sym_point] = ACTIONS(2608),
    [anon_sym_line] = ACTIONS(2608),
    [anon_sym_triangleadj] = ACTIONS(2608),
    [anon_sym_lineadj] = ACTIONS(2608),
    [anon_sym_triangle] = ACTIONS(2608),
  },
  [2783] = {
    [sym_identifier] = ACTIONS(5711),
    [aux_sym_preproc_def_token1] = ACTIONS(5711),
    [aux_sym_preproc_if_token1] = ACTIONS(5711),
    [aux_sym_preproc_if_token2] = ACTIONS(5711),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5711),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5711),
    [aux_sym_preproc_else_token1] = ACTIONS(5711),
    [aux_sym_preproc_elif_token1] = ACTIONS(5711),
    [sym_preproc_directive] = ACTIONS(5711),
    [anon_sym_LPAREN2] = ACTIONS(5713),
    [anon_sym_TILDE] = ACTIONS(5713),
    [anon_sym_STAR] = ACTIONS(5713),
    [anon_sym_AMP_AMP] = ACTIONS(5713),
    [anon_sym_AMP] = ACTIONS(5711),
    [anon_sym___extension__] = ACTIONS(5711),
    [anon_sym_typedef] = ACTIONS(5711),
    [anon_sym_in] = ACTIONS(5711),
    [anon_sym_out] = ACTIONS(5711),
    [anon_sym_inout] = ACTIONS(5711),
    [anon_sym_extern] = ACTIONS(5711),
    [anon_sym___attribute__] = ACTIONS(5711),
    [anon_sym_COLON_COLON] = ACTIONS(5713),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5713),
    [anon_sym___declspec] = ACTIONS(5711),
    [anon_sym___based] = ACTIONS(5711),
    [anon_sym_signed] = ACTIONS(5711),
    [anon_sym_unsigned] = ACTIONS(5711),
    [anon_sym_long] = ACTIONS(5711),
    [anon_sym_short] = ACTIONS(5711),
    [anon_sym_LBRACK] = ACTIONS(5711),
    [anon_sym_static] = ACTIONS(5711),
    [anon_sym_register] = ACTIONS(5711),
    [anon_sym_inline] = ACTIONS(5711),
    [anon_sym___inline] = ACTIONS(5711),
    [anon_sym___inline__] = ACTIONS(5711),
    [anon_sym___forceinline] = ACTIONS(5711),
    [anon_sym_thread_local] = ACTIONS(5711),
    [anon_sym___thread] = ACTIONS(5711),
    [anon_sym_const] = ACTIONS(5711),
    [anon_sym_constexpr] = ACTIONS(5711),
    [anon_sym_volatile] = ACTIONS(5711),
    [anon_sym_restrict] = ACTIONS(5711),
    [anon_sym___restrict__] = ACTIONS(5711),
    [anon_sym__Atomic] = ACTIONS(5711),
    [anon_sym__Noreturn] = ACTIONS(5711),
    [anon_sym_noreturn] = ACTIONS(5711),
    [anon_sym_mutable] = ACTIONS(5711),
    [anon_sym_constinit] = ACTIONS(5711),
    [anon_sym_consteval] = ACTIONS(5711),
    [sym_primitive_type] = ACTIONS(5711),
    [anon_sym_enum] = ACTIONS(5711),
    [anon_sym_class] = ACTIONS(5711),
    [anon_sym_struct] = ACTIONS(5711),
    [anon_sym_union] = ACTIONS(5711),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5711),
    [anon_sym_decltype] = ACTIONS(5711),
    [anon_sym_virtual] = ACTIONS(5711),
    [anon_sym_alignas] = ACTIONS(5711),
    [anon_sym_explicit] = ACTIONS(5711),
    [anon_sym_typename] = ACTIONS(5711),
    [anon_sym_template] = ACTIONS(5711),
    [anon_sym_operator] = ACTIONS(5711),
    [anon_sym_friend] = ACTIONS(5711),
    [anon_sym_public] = ACTIONS(5711),
    [anon_sym_private] = ACTIONS(5711),
    [anon_sym_protected] = ACTIONS(5711),
    [anon_sym_using] = ACTIONS(5711),
    [anon_sym_static_assert] = ACTIONS(5711),
    [anon_sym_precise] = ACTIONS(5711),
    [anon_sym_shared] = ACTIONS(5711),
    [anon_sym_groupshared] = ACTIONS(5711),
    [anon_sym_uniform] = ACTIONS(5711),
    [anon_sym_row_major] = ACTIONS(5711),
    [anon_sym_column_major] = ACTIONS(5711),
    [anon_sym_globallycoherent] = ACTIONS(5711),
    [anon_sym_centroid] = ACTIONS(5711),
    [anon_sym_noperspective] = ACTIONS(5711),
    [anon_sym_nointerpolation] = ACTIONS(5711),
    [anon_sym_sample] = ACTIONS(5711),
    [anon_sym_linear] = ACTIONS(5711),
    [anon_sym_snorm] = ACTIONS(5711),
    [anon_sym_unorm] = ACTIONS(5711),
    [anon_sym_point] = ACTIONS(5711),
    [anon_sym_line] = ACTIONS(5711),
    [anon_sym_triangleadj] = ACTIONS(5711),
    [anon_sym_lineadj] = ACTIONS(5711),
    [anon_sym_triangle] = ACTIONS(5711),
  },
  [2784] = {
    [sym_identifier] = ACTIONS(2238),
    [aux_sym_preproc_def_token1] = ACTIONS(2238),
    [aux_sym_preproc_if_token1] = ACTIONS(2238),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2238),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2238),
    [sym_preproc_directive] = ACTIONS(2238),
    [anon_sym_LPAREN2] = ACTIONS(2236),
    [anon_sym_TILDE] = ACTIONS(2236),
    [anon_sym_STAR] = ACTIONS(2236),
    [anon_sym_AMP_AMP] = ACTIONS(2236),
    [anon_sym_AMP] = ACTIONS(2238),
    [anon_sym___extension__] = ACTIONS(2238),
    [anon_sym_typedef] = ACTIONS(2238),
    [anon_sym_in] = ACTIONS(2238),
    [anon_sym_out] = ACTIONS(2238),
    [anon_sym_inout] = ACTIONS(2238),
    [anon_sym_extern] = ACTIONS(2238),
    [anon_sym___attribute__] = ACTIONS(2238),
    [anon_sym_COLON_COLON] = ACTIONS(2236),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2236),
    [anon_sym___declspec] = ACTIONS(2238),
    [anon_sym___based] = ACTIONS(2238),
    [anon_sym_RBRACE] = ACTIONS(2236),
    [anon_sym_signed] = ACTIONS(2238),
    [anon_sym_unsigned] = ACTIONS(2238),
    [anon_sym_long] = ACTIONS(2238),
    [anon_sym_short] = ACTIONS(2238),
    [anon_sym_LBRACK] = ACTIONS(2238),
    [anon_sym_static] = ACTIONS(2238),
    [anon_sym_register] = ACTIONS(2238),
    [anon_sym_inline] = ACTIONS(2238),
    [anon_sym___inline] = ACTIONS(2238),
    [anon_sym___inline__] = ACTIONS(2238),
    [anon_sym___forceinline] = ACTIONS(2238),
    [anon_sym_thread_local] = ACTIONS(2238),
    [anon_sym___thread] = ACTIONS(2238),
    [anon_sym_const] = ACTIONS(2238),
    [anon_sym_constexpr] = ACTIONS(2238),
    [anon_sym_volatile] = ACTIONS(2238),
    [anon_sym_restrict] = ACTIONS(2238),
    [anon_sym___restrict__] = ACTIONS(2238),
    [anon_sym__Atomic] = ACTIONS(2238),
    [anon_sym__Noreturn] = ACTIONS(2238),
    [anon_sym_noreturn] = ACTIONS(2238),
    [anon_sym_mutable] = ACTIONS(2238),
    [anon_sym_constinit] = ACTIONS(2238),
    [anon_sym_consteval] = ACTIONS(2238),
    [sym_primitive_type] = ACTIONS(2238),
    [anon_sym_enum] = ACTIONS(2238),
    [anon_sym_class] = ACTIONS(2238),
    [anon_sym_struct] = ACTIONS(2238),
    [anon_sym_union] = ACTIONS(2238),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2238),
    [anon_sym_decltype] = ACTIONS(2238),
    [anon_sym_virtual] = ACTIONS(2238),
    [anon_sym_alignas] = ACTIONS(2238),
    [anon_sym_explicit] = ACTIONS(2238),
    [anon_sym_typename] = ACTIONS(2238),
    [anon_sym_template] = ACTIONS(2238),
    [anon_sym_operator] = ACTIONS(2238),
    [anon_sym_friend] = ACTIONS(2238),
    [anon_sym_public] = ACTIONS(2238),
    [anon_sym_private] = ACTIONS(2238),
    [anon_sym_protected] = ACTIONS(2238),
    [anon_sym_using] = ACTIONS(2238),
    [anon_sym_static_assert] = ACTIONS(2238),
    [anon_sym_catch] = ACTIONS(2238),
    [anon_sym_precise] = ACTIONS(2238),
    [anon_sym_shared] = ACTIONS(2238),
    [anon_sym_groupshared] = ACTIONS(2238),
    [anon_sym_uniform] = ACTIONS(2238),
    [anon_sym_row_major] = ACTIONS(2238),
    [anon_sym_column_major] = ACTIONS(2238),
    [anon_sym_globallycoherent] = ACTIONS(2238),
    [anon_sym_centroid] = ACTIONS(2238),
    [anon_sym_noperspective] = ACTIONS(2238),
    [anon_sym_nointerpolation] = ACTIONS(2238),
    [anon_sym_sample] = ACTIONS(2238),
    [anon_sym_linear] = ACTIONS(2238),
    [anon_sym_snorm] = ACTIONS(2238),
    [anon_sym_unorm] = ACTIONS(2238),
    [anon_sym_point] = ACTIONS(2238),
    [anon_sym_line] = ACTIONS(2238),
    [anon_sym_triangleadj] = ACTIONS(2238),
    [anon_sym_lineadj] = ACTIONS(2238),
    [anon_sym_triangle] = ACTIONS(2238),
  },
  [2785] = {
    [sym_identifier] = ACTIONS(2238),
    [aux_sym_preproc_def_token1] = ACTIONS(2238),
    [aux_sym_preproc_if_token1] = ACTIONS(2238),
    [aux_sym_preproc_if_token2] = ACTIONS(2238),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2238),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2238),
    [sym_preproc_directive] = ACTIONS(2238),
    [anon_sym_LPAREN2] = ACTIONS(2236),
    [anon_sym_TILDE] = ACTIONS(2236),
    [anon_sym_STAR] = ACTIONS(2236),
    [anon_sym_AMP_AMP] = ACTIONS(2236),
    [anon_sym_AMP] = ACTIONS(2238),
    [anon_sym___extension__] = ACTIONS(2238),
    [anon_sym_typedef] = ACTIONS(2238),
    [anon_sym_in] = ACTIONS(2238),
    [anon_sym_out] = ACTIONS(2238),
    [anon_sym_inout] = ACTIONS(2238),
    [anon_sym_extern] = ACTIONS(2238),
    [anon_sym___attribute__] = ACTIONS(2238),
    [anon_sym_COLON_COLON] = ACTIONS(2236),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2236),
    [anon_sym___declspec] = ACTIONS(2238),
    [anon_sym___based] = ACTIONS(2238),
    [anon_sym_signed] = ACTIONS(2238),
    [anon_sym_unsigned] = ACTIONS(2238),
    [anon_sym_long] = ACTIONS(2238),
    [anon_sym_short] = ACTIONS(2238),
    [anon_sym_LBRACK] = ACTIONS(2238),
    [anon_sym_static] = ACTIONS(2238),
    [anon_sym_register] = ACTIONS(2238),
    [anon_sym_inline] = ACTIONS(2238),
    [anon_sym___inline] = ACTIONS(2238),
    [anon_sym___inline__] = ACTIONS(2238),
    [anon_sym___forceinline] = ACTIONS(2238),
    [anon_sym_thread_local] = ACTIONS(2238),
    [anon_sym___thread] = ACTIONS(2238),
    [anon_sym_const] = ACTIONS(2238),
    [anon_sym_constexpr] = ACTIONS(2238),
    [anon_sym_volatile] = ACTIONS(2238),
    [anon_sym_restrict] = ACTIONS(2238),
    [anon_sym___restrict__] = ACTIONS(2238),
    [anon_sym__Atomic] = ACTIONS(2238),
    [anon_sym__Noreturn] = ACTIONS(2238),
    [anon_sym_noreturn] = ACTIONS(2238),
    [anon_sym_mutable] = ACTIONS(2238),
    [anon_sym_constinit] = ACTIONS(2238),
    [anon_sym_consteval] = ACTIONS(2238),
    [sym_primitive_type] = ACTIONS(2238),
    [anon_sym_enum] = ACTIONS(2238),
    [anon_sym_class] = ACTIONS(2238),
    [anon_sym_struct] = ACTIONS(2238),
    [anon_sym_union] = ACTIONS(2238),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2238),
    [anon_sym_decltype] = ACTIONS(2238),
    [anon_sym_virtual] = ACTIONS(2238),
    [anon_sym_alignas] = ACTIONS(2238),
    [anon_sym_explicit] = ACTIONS(2238),
    [anon_sym_typename] = ACTIONS(2238),
    [anon_sym_template] = ACTIONS(2238),
    [anon_sym_operator] = ACTIONS(2238),
    [anon_sym_friend] = ACTIONS(2238),
    [anon_sym_public] = ACTIONS(2238),
    [anon_sym_private] = ACTIONS(2238),
    [anon_sym_protected] = ACTIONS(2238),
    [anon_sym_using] = ACTIONS(2238),
    [anon_sym_static_assert] = ACTIONS(2238),
    [anon_sym_catch] = ACTIONS(2238),
    [anon_sym_precise] = ACTIONS(2238),
    [anon_sym_shared] = ACTIONS(2238),
    [anon_sym_groupshared] = ACTIONS(2238),
    [anon_sym_uniform] = ACTIONS(2238),
    [anon_sym_row_major] = ACTIONS(2238),
    [anon_sym_column_major] = ACTIONS(2238),
    [anon_sym_globallycoherent] = ACTIONS(2238),
    [anon_sym_centroid] = ACTIONS(2238),
    [anon_sym_noperspective] = ACTIONS(2238),
    [anon_sym_nointerpolation] = ACTIONS(2238),
    [anon_sym_sample] = ACTIONS(2238),
    [anon_sym_linear] = ACTIONS(2238),
    [anon_sym_snorm] = ACTIONS(2238),
    [anon_sym_unorm] = ACTIONS(2238),
    [anon_sym_point] = ACTIONS(2238),
    [anon_sym_line] = ACTIONS(2238),
    [anon_sym_triangleadj] = ACTIONS(2238),
    [anon_sym_lineadj] = ACTIONS(2238),
    [anon_sym_triangle] = ACTIONS(2238),
  },
  [2786] = {
    [sym_template_argument_list] = STATE(3005),
    [sym_identifier] = ACTIONS(2232),
    [anon_sym_LPAREN2] = ACTIONS(2234),
    [anon_sym_TILDE] = ACTIONS(2234),
    [anon_sym_STAR] = ACTIONS(2234),
    [anon_sym_PIPE_PIPE] = ACTIONS(2234),
    [anon_sym_AMP_AMP] = ACTIONS(2234),
    [anon_sym_AMP] = ACTIONS(2232),
    [anon_sym_LT] = ACTIONS(5787),
    [anon_sym___extension__] = ACTIONS(2232),
    [anon_sym_in] = ACTIONS(2232),
    [anon_sym_out] = ACTIONS(2232),
    [anon_sym_inout] = ACTIONS(2232),
    [anon_sym_extern] = ACTIONS(2232),
    [anon_sym___attribute__] = ACTIONS(2232),
    [anon_sym_COLON_COLON] = ACTIONS(2230),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2234),
    [anon_sym___declspec] = ACTIONS(2232),
    [anon_sym___based] = ACTIONS(2232),
    [anon_sym___cdecl] = ACTIONS(2232),
    [anon_sym___clrcall] = ACTIONS(2232),
    [anon_sym___stdcall] = ACTIONS(2232),
    [anon_sym___fastcall] = ACTIONS(2232),
    [anon_sym___thiscall] = ACTIONS(2232),
    [anon_sym___vectorcall] = ACTIONS(2232),
    [anon_sym_signed] = ACTIONS(2232),
    [anon_sym_unsigned] = ACTIONS(2232),
    [anon_sym_long] = ACTIONS(2232),
    [anon_sym_short] = ACTIONS(2232),
    [anon_sym_LBRACK] = ACTIONS(2232),
    [anon_sym_static] = ACTIONS(2232),
    [anon_sym_register] = ACTIONS(2232),
    [anon_sym_inline] = ACTIONS(2232),
    [anon_sym___inline] = ACTIONS(2232),
    [anon_sym___inline__] = ACTIONS(2232),
    [anon_sym___forceinline] = ACTIONS(2232),
    [anon_sym_thread_local] = ACTIONS(2232),
    [anon_sym___thread] = ACTIONS(2232),
    [anon_sym_const] = ACTIONS(2232),
    [anon_sym_constexpr] = ACTIONS(2232),
    [anon_sym_volatile] = ACTIONS(2232),
    [anon_sym_restrict] = ACTIONS(2232),
    [anon_sym___restrict__] = ACTIONS(2232),
    [anon_sym__Atomic] = ACTIONS(2232),
    [anon_sym__Noreturn] = ACTIONS(2232),
    [anon_sym_noreturn] = ACTIONS(2232),
    [anon_sym_mutable] = ACTIONS(2232),
    [anon_sym_constinit] = ACTIONS(2232),
    [anon_sym_consteval] = ACTIONS(2232),
    [sym_primitive_type] = ACTIONS(2232),
    [anon_sym_enum] = ACTIONS(2232),
    [anon_sym_class] = ACTIONS(2232),
    [anon_sym_struct] = ACTIONS(2232),
    [anon_sym_union] = ACTIONS(2232),
    [anon_sym_or] = ACTIONS(2232),
    [anon_sym_and] = ACTIONS(2232),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2232),
    [anon_sym_decltype] = ACTIONS(2232),
    [anon_sym_virtual] = ACTIONS(2232),
    [anon_sym_alignas] = ACTIONS(2232),
    [anon_sym_explicit] = ACTIONS(2232),
    [anon_sym_typename] = ACTIONS(2232),
    [anon_sym_template] = ACTIONS(2232),
    [anon_sym_operator] = ACTIONS(2232),
    [anon_sym_friend] = ACTIONS(2232),
    [anon_sym_using] = ACTIONS(2232),
    [anon_sym_concept] = ACTIONS(2232),
    [anon_sym_precise] = ACTIONS(2232),
    [anon_sym_shared] = ACTIONS(2232),
    [anon_sym_groupshared] = ACTIONS(2232),
    [anon_sym_uniform] = ACTIONS(2232),
    [anon_sym_row_major] = ACTIONS(2232),
    [anon_sym_column_major] = ACTIONS(2232),
    [anon_sym_globallycoherent] = ACTIONS(2232),
    [anon_sym_centroid] = ACTIONS(2232),
    [anon_sym_noperspective] = ACTIONS(2232),
    [anon_sym_nointerpolation] = ACTIONS(2232),
    [anon_sym_sample] = ACTIONS(2232),
    [anon_sym_linear] = ACTIONS(2232),
    [anon_sym_snorm] = ACTIONS(2232),
    [anon_sym_unorm] = ACTIONS(2232),
    [anon_sym_point] = ACTIONS(2232),
    [anon_sym_line] = ACTIONS(2232),
    [anon_sym_triangleadj] = ACTIONS(2232),
    [anon_sym_lineadj] = ACTIONS(2232),
    [anon_sym_triangle] = ACTIONS(2232),
  },
  [2787] = {
    [sym_identifier] = ACTIONS(2314),
    [aux_sym_preproc_def_token1] = ACTIONS(2314),
    [aux_sym_preproc_if_token1] = ACTIONS(2314),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2314),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2314),
    [sym_preproc_directive] = ACTIONS(2314),
    [anon_sym_LPAREN2] = ACTIONS(2316),
    [anon_sym_TILDE] = ACTIONS(2316),
    [anon_sym_STAR] = ACTIONS(2316),
    [anon_sym_AMP_AMP] = ACTIONS(2316),
    [anon_sym_AMP] = ACTIONS(2314),
    [anon_sym___extension__] = ACTIONS(2314),
    [anon_sym_typedef] = ACTIONS(2314),
    [anon_sym_in] = ACTIONS(2314),
    [anon_sym_out] = ACTIONS(2314),
    [anon_sym_inout] = ACTIONS(2314),
    [anon_sym_extern] = ACTIONS(2314),
    [anon_sym___attribute__] = ACTIONS(2314),
    [anon_sym_COLON_COLON] = ACTIONS(2316),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2316),
    [anon_sym___declspec] = ACTIONS(2314),
    [anon_sym___based] = ACTIONS(2314),
    [anon_sym_RBRACE] = ACTIONS(2316),
    [anon_sym_signed] = ACTIONS(2314),
    [anon_sym_unsigned] = ACTIONS(2314),
    [anon_sym_long] = ACTIONS(2314),
    [anon_sym_short] = ACTIONS(2314),
    [anon_sym_LBRACK] = ACTIONS(2314),
    [anon_sym_static] = ACTIONS(2314),
    [anon_sym_register] = ACTIONS(2314),
    [anon_sym_inline] = ACTIONS(2314),
    [anon_sym___inline] = ACTIONS(2314),
    [anon_sym___inline__] = ACTIONS(2314),
    [anon_sym___forceinline] = ACTIONS(2314),
    [anon_sym_thread_local] = ACTIONS(2314),
    [anon_sym___thread] = ACTIONS(2314),
    [anon_sym_const] = ACTIONS(2314),
    [anon_sym_constexpr] = ACTIONS(2314),
    [anon_sym_volatile] = ACTIONS(2314),
    [anon_sym_restrict] = ACTIONS(2314),
    [anon_sym___restrict__] = ACTIONS(2314),
    [anon_sym__Atomic] = ACTIONS(2314),
    [anon_sym__Noreturn] = ACTIONS(2314),
    [anon_sym_noreturn] = ACTIONS(2314),
    [anon_sym_mutable] = ACTIONS(2314),
    [anon_sym_constinit] = ACTIONS(2314),
    [anon_sym_consteval] = ACTIONS(2314),
    [sym_primitive_type] = ACTIONS(2314),
    [anon_sym_enum] = ACTIONS(2314),
    [anon_sym_class] = ACTIONS(2314),
    [anon_sym_struct] = ACTIONS(2314),
    [anon_sym_union] = ACTIONS(2314),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2314),
    [anon_sym_decltype] = ACTIONS(2314),
    [anon_sym_virtual] = ACTIONS(2314),
    [anon_sym_alignas] = ACTIONS(2314),
    [anon_sym_explicit] = ACTIONS(2314),
    [anon_sym_typename] = ACTIONS(2314),
    [anon_sym_template] = ACTIONS(2314),
    [anon_sym_operator] = ACTIONS(2314),
    [anon_sym_friend] = ACTIONS(2314),
    [anon_sym_public] = ACTIONS(2314),
    [anon_sym_private] = ACTIONS(2314),
    [anon_sym_protected] = ACTIONS(2314),
    [anon_sym_using] = ACTIONS(2314),
    [anon_sym_static_assert] = ACTIONS(2314),
    [anon_sym_catch] = ACTIONS(2314),
    [anon_sym_precise] = ACTIONS(2314),
    [anon_sym_shared] = ACTIONS(2314),
    [anon_sym_groupshared] = ACTIONS(2314),
    [anon_sym_uniform] = ACTIONS(2314),
    [anon_sym_row_major] = ACTIONS(2314),
    [anon_sym_column_major] = ACTIONS(2314),
    [anon_sym_globallycoherent] = ACTIONS(2314),
    [anon_sym_centroid] = ACTIONS(2314),
    [anon_sym_noperspective] = ACTIONS(2314),
    [anon_sym_nointerpolation] = ACTIONS(2314),
    [anon_sym_sample] = ACTIONS(2314),
    [anon_sym_linear] = ACTIONS(2314),
    [anon_sym_snorm] = ACTIONS(2314),
    [anon_sym_unorm] = ACTIONS(2314),
    [anon_sym_point] = ACTIONS(2314),
    [anon_sym_line] = ACTIONS(2314),
    [anon_sym_triangleadj] = ACTIONS(2314),
    [anon_sym_lineadj] = ACTIONS(2314),
    [anon_sym_triangle] = ACTIONS(2314),
  },
  [2788] = {
    [sym_template_argument_list] = STATE(3005),
    [sym_identifier] = ACTIONS(2224),
    [anon_sym_LPAREN2] = ACTIONS(2226),
    [anon_sym_TILDE] = ACTIONS(2226),
    [anon_sym_STAR] = ACTIONS(2226),
    [anon_sym_PIPE_PIPE] = ACTIONS(2226),
    [anon_sym_AMP_AMP] = ACTIONS(2226),
    [anon_sym_AMP] = ACTIONS(2224),
    [anon_sym_LT] = ACTIONS(5787),
    [anon_sym___extension__] = ACTIONS(2224),
    [anon_sym_in] = ACTIONS(2224),
    [anon_sym_out] = ACTIONS(2224),
    [anon_sym_inout] = ACTIONS(2224),
    [anon_sym_extern] = ACTIONS(2224),
    [anon_sym___attribute__] = ACTIONS(2224),
    [anon_sym_COLON_COLON] = ACTIONS(2230),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2226),
    [anon_sym___declspec] = ACTIONS(2224),
    [anon_sym___based] = ACTIONS(2224),
    [anon_sym___cdecl] = ACTIONS(2224),
    [anon_sym___clrcall] = ACTIONS(2224),
    [anon_sym___stdcall] = ACTIONS(2224),
    [anon_sym___fastcall] = ACTIONS(2224),
    [anon_sym___thiscall] = ACTIONS(2224),
    [anon_sym___vectorcall] = ACTIONS(2224),
    [anon_sym_signed] = ACTIONS(2224),
    [anon_sym_unsigned] = ACTIONS(2224),
    [anon_sym_long] = ACTIONS(2224),
    [anon_sym_short] = ACTIONS(2224),
    [anon_sym_LBRACK] = ACTIONS(2224),
    [anon_sym_static] = ACTIONS(2224),
    [anon_sym_register] = ACTIONS(2224),
    [anon_sym_inline] = ACTIONS(2224),
    [anon_sym___inline] = ACTIONS(2224),
    [anon_sym___inline__] = ACTIONS(2224),
    [anon_sym___forceinline] = ACTIONS(2224),
    [anon_sym_thread_local] = ACTIONS(2224),
    [anon_sym___thread] = ACTIONS(2224),
    [anon_sym_const] = ACTIONS(2224),
    [anon_sym_constexpr] = ACTIONS(2224),
    [anon_sym_volatile] = ACTIONS(2224),
    [anon_sym_restrict] = ACTIONS(2224),
    [anon_sym___restrict__] = ACTIONS(2224),
    [anon_sym__Atomic] = ACTIONS(2224),
    [anon_sym__Noreturn] = ACTIONS(2224),
    [anon_sym_noreturn] = ACTIONS(2224),
    [anon_sym_mutable] = ACTIONS(2224),
    [anon_sym_constinit] = ACTIONS(2224),
    [anon_sym_consteval] = ACTIONS(2224),
    [sym_primitive_type] = ACTIONS(2224),
    [anon_sym_enum] = ACTIONS(2224),
    [anon_sym_class] = ACTIONS(2224),
    [anon_sym_struct] = ACTIONS(2224),
    [anon_sym_union] = ACTIONS(2224),
    [anon_sym_or] = ACTIONS(2224),
    [anon_sym_and] = ACTIONS(2224),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2224),
    [anon_sym_decltype] = ACTIONS(2224),
    [anon_sym_virtual] = ACTIONS(2224),
    [anon_sym_alignas] = ACTIONS(2224),
    [anon_sym_explicit] = ACTIONS(2224),
    [anon_sym_typename] = ACTIONS(2224),
    [anon_sym_template] = ACTIONS(2224),
    [anon_sym_operator] = ACTIONS(2224),
    [anon_sym_friend] = ACTIONS(2224),
    [anon_sym_using] = ACTIONS(2224),
    [anon_sym_concept] = ACTIONS(2224),
    [anon_sym_precise] = ACTIONS(2224),
    [anon_sym_shared] = ACTIONS(2224),
    [anon_sym_groupshared] = ACTIONS(2224),
    [anon_sym_uniform] = ACTIONS(2224),
    [anon_sym_row_major] = ACTIONS(2224),
    [anon_sym_column_major] = ACTIONS(2224),
    [anon_sym_globallycoherent] = ACTIONS(2224),
    [anon_sym_centroid] = ACTIONS(2224),
    [anon_sym_noperspective] = ACTIONS(2224),
    [anon_sym_nointerpolation] = ACTIONS(2224),
    [anon_sym_sample] = ACTIONS(2224),
    [anon_sym_linear] = ACTIONS(2224),
    [anon_sym_snorm] = ACTIONS(2224),
    [anon_sym_unorm] = ACTIONS(2224),
    [anon_sym_point] = ACTIONS(2224),
    [anon_sym_line] = ACTIONS(2224),
    [anon_sym_triangleadj] = ACTIONS(2224),
    [anon_sym_lineadj] = ACTIONS(2224),
    [anon_sym_triangle] = ACTIONS(2224),
  },
  [2789] = {
    [sym_identifier] = ACTIONS(2314),
    [aux_sym_preproc_def_token1] = ACTIONS(2314),
    [aux_sym_preproc_if_token1] = ACTIONS(2314),
    [aux_sym_preproc_if_token2] = ACTIONS(2314),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2314),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2314),
    [sym_preproc_directive] = ACTIONS(2314),
    [anon_sym_LPAREN2] = ACTIONS(2316),
    [anon_sym_TILDE] = ACTIONS(2316),
    [anon_sym_STAR] = ACTIONS(2316),
    [anon_sym_AMP_AMP] = ACTIONS(2316),
    [anon_sym_AMP] = ACTIONS(2314),
    [anon_sym___extension__] = ACTIONS(2314),
    [anon_sym_typedef] = ACTIONS(2314),
    [anon_sym_in] = ACTIONS(2314),
    [anon_sym_out] = ACTIONS(2314),
    [anon_sym_inout] = ACTIONS(2314),
    [anon_sym_extern] = ACTIONS(2314),
    [anon_sym___attribute__] = ACTIONS(2314),
    [anon_sym_COLON_COLON] = ACTIONS(2316),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2316),
    [anon_sym___declspec] = ACTIONS(2314),
    [anon_sym___based] = ACTIONS(2314),
    [anon_sym_signed] = ACTIONS(2314),
    [anon_sym_unsigned] = ACTIONS(2314),
    [anon_sym_long] = ACTIONS(2314),
    [anon_sym_short] = ACTIONS(2314),
    [anon_sym_LBRACK] = ACTIONS(2314),
    [anon_sym_static] = ACTIONS(2314),
    [anon_sym_register] = ACTIONS(2314),
    [anon_sym_inline] = ACTIONS(2314),
    [anon_sym___inline] = ACTIONS(2314),
    [anon_sym___inline__] = ACTIONS(2314),
    [anon_sym___forceinline] = ACTIONS(2314),
    [anon_sym_thread_local] = ACTIONS(2314),
    [anon_sym___thread] = ACTIONS(2314),
    [anon_sym_const] = ACTIONS(2314),
    [anon_sym_constexpr] = ACTIONS(2314),
    [anon_sym_volatile] = ACTIONS(2314),
    [anon_sym_restrict] = ACTIONS(2314),
    [anon_sym___restrict__] = ACTIONS(2314),
    [anon_sym__Atomic] = ACTIONS(2314),
    [anon_sym__Noreturn] = ACTIONS(2314),
    [anon_sym_noreturn] = ACTIONS(2314),
    [anon_sym_mutable] = ACTIONS(2314),
    [anon_sym_constinit] = ACTIONS(2314),
    [anon_sym_consteval] = ACTIONS(2314),
    [sym_primitive_type] = ACTIONS(2314),
    [anon_sym_enum] = ACTIONS(2314),
    [anon_sym_class] = ACTIONS(2314),
    [anon_sym_struct] = ACTIONS(2314),
    [anon_sym_union] = ACTIONS(2314),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2314),
    [anon_sym_decltype] = ACTIONS(2314),
    [anon_sym_virtual] = ACTIONS(2314),
    [anon_sym_alignas] = ACTIONS(2314),
    [anon_sym_explicit] = ACTIONS(2314),
    [anon_sym_typename] = ACTIONS(2314),
    [anon_sym_template] = ACTIONS(2314),
    [anon_sym_operator] = ACTIONS(2314),
    [anon_sym_friend] = ACTIONS(2314),
    [anon_sym_public] = ACTIONS(2314),
    [anon_sym_private] = ACTIONS(2314),
    [anon_sym_protected] = ACTIONS(2314),
    [anon_sym_using] = ACTIONS(2314),
    [anon_sym_static_assert] = ACTIONS(2314),
    [anon_sym_catch] = ACTIONS(2314),
    [anon_sym_precise] = ACTIONS(2314),
    [anon_sym_shared] = ACTIONS(2314),
    [anon_sym_groupshared] = ACTIONS(2314),
    [anon_sym_uniform] = ACTIONS(2314),
    [anon_sym_row_major] = ACTIONS(2314),
    [anon_sym_column_major] = ACTIONS(2314),
    [anon_sym_globallycoherent] = ACTIONS(2314),
    [anon_sym_centroid] = ACTIONS(2314),
    [anon_sym_noperspective] = ACTIONS(2314),
    [anon_sym_nointerpolation] = ACTIONS(2314),
    [anon_sym_sample] = ACTIONS(2314),
    [anon_sym_linear] = ACTIONS(2314),
    [anon_sym_snorm] = ACTIONS(2314),
    [anon_sym_unorm] = ACTIONS(2314),
    [anon_sym_point] = ACTIONS(2314),
    [anon_sym_line] = ACTIONS(2314),
    [anon_sym_triangleadj] = ACTIONS(2314),
    [anon_sym_lineadj] = ACTIONS(2314),
    [anon_sym_triangle] = ACTIONS(2314),
  },
  [2790] = {
    [sym_identifier] = ACTIONS(2206),
    [aux_sym_preproc_def_token1] = ACTIONS(2206),
    [aux_sym_preproc_if_token1] = ACTIONS(2206),
    [aux_sym_preproc_if_token2] = ACTIONS(2206),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2206),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2206),
    [sym_preproc_directive] = ACTIONS(2206),
    [anon_sym_LPAREN2] = ACTIONS(2204),
    [anon_sym_TILDE] = ACTIONS(2204),
    [anon_sym_STAR] = ACTIONS(2204),
    [anon_sym_AMP_AMP] = ACTIONS(2204),
    [anon_sym_AMP] = ACTIONS(2206),
    [anon_sym___extension__] = ACTIONS(2206),
    [anon_sym_typedef] = ACTIONS(2206),
    [anon_sym_in] = ACTIONS(2206),
    [anon_sym_out] = ACTIONS(2206),
    [anon_sym_inout] = ACTIONS(2206),
    [anon_sym_extern] = ACTIONS(2206),
    [anon_sym___attribute__] = ACTIONS(2206),
    [anon_sym_COLON_COLON] = ACTIONS(2204),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2204),
    [anon_sym___declspec] = ACTIONS(2206),
    [anon_sym___based] = ACTIONS(2206),
    [anon_sym_signed] = ACTIONS(2206),
    [anon_sym_unsigned] = ACTIONS(2206),
    [anon_sym_long] = ACTIONS(2206),
    [anon_sym_short] = ACTIONS(2206),
    [anon_sym_LBRACK] = ACTIONS(2206),
    [anon_sym_static] = ACTIONS(2206),
    [anon_sym_register] = ACTIONS(2206),
    [anon_sym_inline] = ACTIONS(2206),
    [anon_sym___inline] = ACTIONS(2206),
    [anon_sym___inline__] = ACTIONS(2206),
    [anon_sym___forceinline] = ACTIONS(2206),
    [anon_sym_thread_local] = ACTIONS(2206),
    [anon_sym___thread] = ACTIONS(2206),
    [anon_sym_const] = ACTIONS(2206),
    [anon_sym_constexpr] = ACTIONS(2206),
    [anon_sym_volatile] = ACTIONS(2206),
    [anon_sym_restrict] = ACTIONS(2206),
    [anon_sym___restrict__] = ACTIONS(2206),
    [anon_sym__Atomic] = ACTIONS(2206),
    [anon_sym__Noreturn] = ACTIONS(2206),
    [anon_sym_noreturn] = ACTIONS(2206),
    [anon_sym_mutable] = ACTIONS(2206),
    [anon_sym_constinit] = ACTIONS(2206),
    [anon_sym_consteval] = ACTIONS(2206),
    [sym_primitive_type] = ACTIONS(2206),
    [anon_sym_enum] = ACTIONS(2206),
    [anon_sym_class] = ACTIONS(2206),
    [anon_sym_struct] = ACTIONS(2206),
    [anon_sym_union] = ACTIONS(2206),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2206),
    [anon_sym_decltype] = ACTIONS(2206),
    [anon_sym_virtual] = ACTIONS(2206),
    [anon_sym_alignas] = ACTIONS(2206),
    [anon_sym_explicit] = ACTIONS(2206),
    [anon_sym_typename] = ACTIONS(2206),
    [anon_sym_template] = ACTIONS(2206),
    [anon_sym_operator] = ACTIONS(2206),
    [anon_sym_friend] = ACTIONS(2206),
    [anon_sym_public] = ACTIONS(2206),
    [anon_sym_private] = ACTIONS(2206),
    [anon_sym_protected] = ACTIONS(2206),
    [anon_sym_using] = ACTIONS(2206),
    [anon_sym_static_assert] = ACTIONS(2206),
    [anon_sym_catch] = ACTIONS(2206),
    [anon_sym_precise] = ACTIONS(2206),
    [anon_sym_shared] = ACTIONS(2206),
    [anon_sym_groupshared] = ACTIONS(2206),
    [anon_sym_uniform] = ACTIONS(2206),
    [anon_sym_row_major] = ACTIONS(2206),
    [anon_sym_column_major] = ACTIONS(2206),
    [anon_sym_globallycoherent] = ACTIONS(2206),
    [anon_sym_centroid] = ACTIONS(2206),
    [anon_sym_noperspective] = ACTIONS(2206),
    [anon_sym_nointerpolation] = ACTIONS(2206),
    [anon_sym_sample] = ACTIONS(2206),
    [anon_sym_linear] = ACTIONS(2206),
    [anon_sym_snorm] = ACTIONS(2206),
    [anon_sym_unorm] = ACTIONS(2206),
    [anon_sym_point] = ACTIONS(2206),
    [anon_sym_line] = ACTIONS(2206),
    [anon_sym_triangleadj] = ACTIONS(2206),
    [anon_sym_lineadj] = ACTIONS(2206),
    [anon_sym_triangle] = ACTIONS(2206),
  },
  [2791] = {
    [sym_identifier] = ACTIONS(2206),
    [aux_sym_preproc_def_token1] = ACTIONS(2206),
    [aux_sym_preproc_if_token1] = ACTIONS(2206),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2206),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2206),
    [sym_preproc_directive] = ACTIONS(2206),
    [anon_sym_LPAREN2] = ACTIONS(2204),
    [anon_sym_TILDE] = ACTIONS(2204),
    [anon_sym_STAR] = ACTIONS(2204),
    [anon_sym_AMP_AMP] = ACTIONS(2204),
    [anon_sym_AMP] = ACTIONS(2206),
    [anon_sym___extension__] = ACTIONS(2206),
    [anon_sym_typedef] = ACTIONS(2206),
    [anon_sym_in] = ACTIONS(2206),
    [anon_sym_out] = ACTIONS(2206),
    [anon_sym_inout] = ACTIONS(2206),
    [anon_sym_extern] = ACTIONS(2206),
    [anon_sym___attribute__] = ACTIONS(2206),
    [anon_sym_COLON_COLON] = ACTIONS(2204),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2204),
    [anon_sym___declspec] = ACTIONS(2206),
    [anon_sym___based] = ACTIONS(2206),
    [anon_sym_RBRACE] = ACTIONS(2204),
    [anon_sym_signed] = ACTIONS(2206),
    [anon_sym_unsigned] = ACTIONS(2206),
    [anon_sym_long] = ACTIONS(2206),
    [anon_sym_short] = ACTIONS(2206),
    [anon_sym_LBRACK] = ACTIONS(2206),
    [anon_sym_static] = ACTIONS(2206),
    [anon_sym_register] = ACTIONS(2206),
    [anon_sym_inline] = ACTIONS(2206),
    [anon_sym___inline] = ACTIONS(2206),
    [anon_sym___inline__] = ACTIONS(2206),
    [anon_sym___forceinline] = ACTIONS(2206),
    [anon_sym_thread_local] = ACTIONS(2206),
    [anon_sym___thread] = ACTIONS(2206),
    [anon_sym_const] = ACTIONS(2206),
    [anon_sym_constexpr] = ACTIONS(2206),
    [anon_sym_volatile] = ACTIONS(2206),
    [anon_sym_restrict] = ACTIONS(2206),
    [anon_sym___restrict__] = ACTIONS(2206),
    [anon_sym__Atomic] = ACTIONS(2206),
    [anon_sym__Noreturn] = ACTIONS(2206),
    [anon_sym_noreturn] = ACTIONS(2206),
    [anon_sym_mutable] = ACTIONS(2206),
    [anon_sym_constinit] = ACTIONS(2206),
    [anon_sym_consteval] = ACTIONS(2206),
    [sym_primitive_type] = ACTIONS(2206),
    [anon_sym_enum] = ACTIONS(2206),
    [anon_sym_class] = ACTIONS(2206),
    [anon_sym_struct] = ACTIONS(2206),
    [anon_sym_union] = ACTIONS(2206),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2206),
    [anon_sym_decltype] = ACTIONS(2206),
    [anon_sym_virtual] = ACTIONS(2206),
    [anon_sym_alignas] = ACTIONS(2206),
    [anon_sym_explicit] = ACTIONS(2206),
    [anon_sym_typename] = ACTIONS(2206),
    [anon_sym_template] = ACTIONS(2206),
    [anon_sym_operator] = ACTIONS(2206),
    [anon_sym_friend] = ACTIONS(2206),
    [anon_sym_public] = ACTIONS(2206),
    [anon_sym_private] = ACTIONS(2206),
    [anon_sym_protected] = ACTIONS(2206),
    [anon_sym_using] = ACTIONS(2206),
    [anon_sym_static_assert] = ACTIONS(2206),
    [anon_sym_catch] = ACTIONS(2206),
    [anon_sym_precise] = ACTIONS(2206),
    [anon_sym_shared] = ACTIONS(2206),
    [anon_sym_groupshared] = ACTIONS(2206),
    [anon_sym_uniform] = ACTIONS(2206),
    [anon_sym_row_major] = ACTIONS(2206),
    [anon_sym_column_major] = ACTIONS(2206),
    [anon_sym_globallycoherent] = ACTIONS(2206),
    [anon_sym_centroid] = ACTIONS(2206),
    [anon_sym_noperspective] = ACTIONS(2206),
    [anon_sym_nointerpolation] = ACTIONS(2206),
    [anon_sym_sample] = ACTIONS(2206),
    [anon_sym_linear] = ACTIONS(2206),
    [anon_sym_snorm] = ACTIONS(2206),
    [anon_sym_unorm] = ACTIONS(2206),
    [anon_sym_point] = ACTIONS(2206),
    [anon_sym_line] = ACTIONS(2206),
    [anon_sym_triangleadj] = ACTIONS(2206),
    [anon_sym_lineadj] = ACTIONS(2206),
    [anon_sym_triangle] = ACTIONS(2206),
  },
  [2792] = {
    [sym_string_literal] = STATE(3282),
    [sym_template_argument_list] = STATE(3204),
    [sym_raw_string_literal] = STATE(3282),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3379),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4213),
    [anon_sym_COMMA] = ACTIONS(4213),
    [anon_sym_RPAREN] = ACTIONS(4215),
    [anon_sym_LPAREN2] = ACTIONS(4215),
    [anon_sym_DASH] = ACTIONS(4221),
    [anon_sym_PLUS] = ACTIONS(4221),
    [anon_sym_STAR] = ACTIONS(4223),
    [anon_sym_SLASH] = ACTIONS(4221),
    [anon_sym_PERCENT] = ACTIONS(4221),
    [anon_sym_PIPE_PIPE] = ACTIONS(4213),
    [anon_sym_AMP_AMP] = ACTIONS(4226),
    [anon_sym_PIPE] = ACTIONS(4221),
    [anon_sym_CARET] = ACTIONS(4221),
    [anon_sym_AMP] = ACTIONS(4223),
    [anon_sym_EQ_EQ] = ACTIONS(4213),
    [anon_sym_BANG_EQ] = ACTIONS(4213),
    [anon_sym_GT] = ACTIONS(4221),
    [anon_sym_GT_EQ] = ACTIONS(4213),
    [anon_sym_LT_EQ] = ACTIONS(4221),
    [anon_sym_LT] = ACTIONS(5789),
    [anon_sym_LT_LT] = ACTIONS(4221),
    [anon_sym_GT_GT] = ACTIONS(4221),
    [anon_sym___extension__] = ACTIONS(4219),
    [anon_sym_COLON_COLON] = ACTIONS(2230),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5792),
    [anon_sym_LBRACE] = ACTIONS(2226),
    [anon_sym_signed] = ACTIONS(5794),
    [anon_sym_unsigned] = ACTIONS(5794),
    [anon_sym_long] = ACTIONS(5794),
    [anon_sym_short] = ACTIONS(5794),
    [anon_sym_LBRACK] = ACTIONS(4239),
    [anon_sym_EQ] = ACTIONS(4221),
    [anon_sym_const] = ACTIONS(4211),
    [anon_sym_constexpr] = ACTIONS(4219),
    [anon_sym_volatile] = ACTIONS(4219),
    [anon_sym_restrict] = ACTIONS(4219),
    [anon_sym___restrict__] = ACTIONS(4219),
    [anon_sym__Atomic] = ACTIONS(4219),
    [anon_sym__Noreturn] = ACTIONS(4219),
    [anon_sym_noreturn] = ACTIONS(4219),
    [anon_sym_mutable] = ACTIONS(4219),
    [anon_sym_constinit] = ACTIONS(4219),
    [anon_sym_consteval] = ACTIONS(4219),
    [anon_sym_QMARK] = ACTIONS(4213),
    [anon_sym_STAR_EQ] = ACTIONS(4213),
    [anon_sym_SLASH_EQ] = ACTIONS(4213),
    [anon_sym_PERCENT_EQ] = ACTIONS(4213),
    [anon_sym_PLUS_EQ] = ACTIONS(4213),
    [anon_sym_DASH_EQ] = ACTIONS(4213),
    [anon_sym_LT_LT_EQ] = ACTIONS(4213),
    [anon_sym_GT_GT_EQ] = ACTIONS(4213),
    [anon_sym_AMP_EQ] = ACTIONS(4213),
    [anon_sym_CARET_EQ] = ACTIONS(4213),
    [anon_sym_PIPE_EQ] = ACTIONS(4213),
    [anon_sym_and_eq] = ACTIONS(4213),
    [anon_sym_or_eq] = ACTIONS(4213),
    [anon_sym_xor_eq] = ACTIONS(4213),
    [anon_sym_LT_EQ_GT] = ACTIONS(4213),
    [anon_sym_or] = ACTIONS(4221),
    [anon_sym_and] = ACTIONS(4221),
    [anon_sym_bitor] = ACTIONS(4213),
    [anon_sym_xor] = ACTIONS(4221),
    [anon_sym_bitand] = ACTIONS(4213),
    [anon_sym_not_eq] = ACTIONS(4213),
    [anon_sym_DASH_DASH] = ACTIONS(4213),
    [anon_sym_PLUS_PLUS] = ACTIONS(4213),
    [anon_sym_DOT] = ACTIONS(4221),
    [anon_sym_DOT_STAR] = ACTIONS(4213),
    [anon_sym_DASH_GT] = ACTIONS(4221),
    [anon_sym_L_DQUOTE] = ACTIONS(5796),
    [anon_sym_u_DQUOTE] = ACTIONS(5796),
    [anon_sym_U_DQUOTE] = ACTIONS(5796),
    [anon_sym_u8_DQUOTE] = ACTIONS(5796),
    [anon_sym_DQUOTE] = ACTIONS(5796),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4219),
    [anon_sym_decltype] = ACTIONS(4219),
    [anon_sym_R_DQUOTE] = ACTIONS(5798),
    [anon_sym_LR_DQUOTE] = ACTIONS(5798),
    [anon_sym_uR_DQUOTE] = ACTIONS(5798),
    [anon_sym_UR_DQUOTE] = ACTIONS(5798),
    [anon_sym_u8R_DQUOTE] = ACTIONS(5798),
    [anon_sym_DASH_GT_STAR] = ACTIONS(4213),
  },
  [2793] = {
    [sym_identifier] = ACTIONS(2464),
    [aux_sym_preproc_def_token1] = ACTIONS(2464),
    [aux_sym_preproc_if_token1] = ACTIONS(2464),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2464),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2464),
    [sym_preproc_directive] = ACTIONS(2464),
    [anon_sym_LPAREN2] = ACTIONS(2466),
    [anon_sym_TILDE] = ACTIONS(2466),
    [anon_sym_STAR] = ACTIONS(2466),
    [anon_sym_AMP_AMP] = ACTIONS(2466),
    [anon_sym_AMP] = ACTIONS(2464),
    [anon_sym___extension__] = ACTIONS(2464),
    [anon_sym_typedef] = ACTIONS(2464),
    [anon_sym_in] = ACTIONS(2464),
    [anon_sym_out] = ACTIONS(2464),
    [anon_sym_inout] = ACTIONS(2464),
    [anon_sym_extern] = ACTIONS(2464),
    [anon_sym___attribute__] = ACTIONS(2464),
    [anon_sym_COLON_COLON] = ACTIONS(2466),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2466),
    [anon_sym___declspec] = ACTIONS(2464),
    [anon_sym___based] = ACTIONS(2464),
    [anon_sym_RBRACE] = ACTIONS(2466),
    [anon_sym_signed] = ACTIONS(2464),
    [anon_sym_unsigned] = ACTIONS(2464),
    [anon_sym_long] = ACTIONS(2464),
    [anon_sym_short] = ACTIONS(2464),
    [anon_sym_LBRACK] = ACTIONS(2464),
    [anon_sym_static] = ACTIONS(2464),
    [anon_sym_register] = ACTIONS(2464),
    [anon_sym_inline] = ACTIONS(2464),
    [anon_sym___inline] = ACTIONS(2464),
    [anon_sym___inline__] = ACTIONS(2464),
    [anon_sym___forceinline] = ACTIONS(2464),
    [anon_sym_thread_local] = ACTIONS(2464),
    [anon_sym___thread] = ACTIONS(2464),
    [anon_sym_const] = ACTIONS(2464),
    [anon_sym_constexpr] = ACTIONS(2464),
    [anon_sym_volatile] = ACTIONS(2464),
    [anon_sym_restrict] = ACTIONS(2464),
    [anon_sym___restrict__] = ACTIONS(2464),
    [anon_sym__Atomic] = ACTIONS(2464),
    [anon_sym__Noreturn] = ACTIONS(2464),
    [anon_sym_noreturn] = ACTIONS(2464),
    [anon_sym_mutable] = ACTIONS(2464),
    [anon_sym_constinit] = ACTIONS(2464),
    [anon_sym_consteval] = ACTIONS(2464),
    [sym_primitive_type] = ACTIONS(2464),
    [anon_sym_enum] = ACTIONS(2464),
    [anon_sym_class] = ACTIONS(2464),
    [anon_sym_struct] = ACTIONS(2464),
    [anon_sym_union] = ACTIONS(2464),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2464),
    [anon_sym_decltype] = ACTIONS(2464),
    [anon_sym_virtual] = ACTIONS(2464),
    [anon_sym_alignas] = ACTIONS(2464),
    [anon_sym_explicit] = ACTIONS(2464),
    [anon_sym_typename] = ACTIONS(2464),
    [anon_sym_template] = ACTIONS(2464),
    [anon_sym_operator] = ACTIONS(2464),
    [anon_sym_friend] = ACTIONS(2464),
    [anon_sym_public] = ACTIONS(2464),
    [anon_sym_private] = ACTIONS(2464),
    [anon_sym_protected] = ACTIONS(2464),
    [anon_sym_using] = ACTIONS(2464),
    [anon_sym_static_assert] = ACTIONS(2464),
    [anon_sym_precise] = ACTIONS(2464),
    [anon_sym_shared] = ACTIONS(2464),
    [anon_sym_groupshared] = ACTIONS(2464),
    [anon_sym_uniform] = ACTIONS(2464),
    [anon_sym_row_major] = ACTIONS(2464),
    [anon_sym_column_major] = ACTIONS(2464),
    [anon_sym_globallycoherent] = ACTIONS(2464),
    [anon_sym_centroid] = ACTIONS(2464),
    [anon_sym_noperspective] = ACTIONS(2464),
    [anon_sym_nointerpolation] = ACTIONS(2464),
    [anon_sym_sample] = ACTIONS(2464),
    [anon_sym_linear] = ACTIONS(2464),
    [anon_sym_snorm] = ACTIONS(2464),
    [anon_sym_unorm] = ACTIONS(2464),
    [anon_sym_point] = ACTIONS(2464),
    [anon_sym_line] = ACTIONS(2464),
    [anon_sym_triangleadj] = ACTIONS(2464),
    [anon_sym_lineadj] = ACTIONS(2464),
    [anon_sym_triangle] = ACTIONS(2464),
  },
  [2794] = {
    [sym_identifier] = ACTIONS(2318),
    [aux_sym_preproc_def_token1] = ACTIONS(2318),
    [aux_sym_preproc_if_token1] = ACTIONS(2318),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2318),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2318),
    [sym_preproc_directive] = ACTIONS(2318),
    [anon_sym_LPAREN2] = ACTIONS(2320),
    [anon_sym_TILDE] = ACTIONS(2320),
    [anon_sym_STAR] = ACTIONS(2320),
    [anon_sym_AMP_AMP] = ACTIONS(2320),
    [anon_sym_AMP] = ACTIONS(2318),
    [anon_sym___extension__] = ACTIONS(2318),
    [anon_sym_typedef] = ACTIONS(2318),
    [anon_sym_in] = ACTIONS(2318),
    [anon_sym_out] = ACTIONS(2318),
    [anon_sym_inout] = ACTIONS(2318),
    [anon_sym_extern] = ACTIONS(2318),
    [anon_sym___attribute__] = ACTIONS(2318),
    [anon_sym_COLON_COLON] = ACTIONS(2320),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2320),
    [anon_sym___declspec] = ACTIONS(2318),
    [anon_sym___based] = ACTIONS(2318),
    [anon_sym_RBRACE] = ACTIONS(2320),
    [anon_sym_signed] = ACTIONS(2318),
    [anon_sym_unsigned] = ACTIONS(2318),
    [anon_sym_long] = ACTIONS(2318),
    [anon_sym_short] = ACTIONS(2318),
    [anon_sym_LBRACK] = ACTIONS(2318),
    [anon_sym_static] = ACTIONS(2318),
    [anon_sym_register] = ACTIONS(2318),
    [anon_sym_inline] = ACTIONS(2318),
    [anon_sym___inline] = ACTIONS(2318),
    [anon_sym___inline__] = ACTIONS(2318),
    [anon_sym___forceinline] = ACTIONS(2318),
    [anon_sym_thread_local] = ACTIONS(2318),
    [anon_sym___thread] = ACTIONS(2318),
    [anon_sym_const] = ACTIONS(2318),
    [anon_sym_constexpr] = ACTIONS(2318),
    [anon_sym_volatile] = ACTIONS(2318),
    [anon_sym_restrict] = ACTIONS(2318),
    [anon_sym___restrict__] = ACTIONS(2318),
    [anon_sym__Atomic] = ACTIONS(2318),
    [anon_sym__Noreturn] = ACTIONS(2318),
    [anon_sym_noreturn] = ACTIONS(2318),
    [anon_sym_mutable] = ACTIONS(2318),
    [anon_sym_constinit] = ACTIONS(2318),
    [anon_sym_consteval] = ACTIONS(2318),
    [sym_primitive_type] = ACTIONS(2318),
    [anon_sym_enum] = ACTIONS(2318),
    [anon_sym_class] = ACTIONS(2318),
    [anon_sym_struct] = ACTIONS(2318),
    [anon_sym_union] = ACTIONS(2318),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2318),
    [anon_sym_decltype] = ACTIONS(2318),
    [anon_sym_virtual] = ACTIONS(2318),
    [anon_sym_alignas] = ACTIONS(2318),
    [anon_sym_explicit] = ACTIONS(2318),
    [anon_sym_typename] = ACTIONS(2318),
    [anon_sym_template] = ACTIONS(2318),
    [anon_sym_operator] = ACTIONS(2318),
    [anon_sym_friend] = ACTIONS(2318),
    [anon_sym_public] = ACTIONS(2318),
    [anon_sym_private] = ACTIONS(2318),
    [anon_sym_protected] = ACTIONS(2318),
    [anon_sym_using] = ACTIONS(2318),
    [anon_sym_static_assert] = ACTIONS(2318),
    [anon_sym_precise] = ACTIONS(2318),
    [anon_sym_shared] = ACTIONS(2318),
    [anon_sym_groupshared] = ACTIONS(2318),
    [anon_sym_uniform] = ACTIONS(2318),
    [anon_sym_row_major] = ACTIONS(2318),
    [anon_sym_column_major] = ACTIONS(2318),
    [anon_sym_globallycoherent] = ACTIONS(2318),
    [anon_sym_centroid] = ACTIONS(2318),
    [anon_sym_noperspective] = ACTIONS(2318),
    [anon_sym_nointerpolation] = ACTIONS(2318),
    [anon_sym_sample] = ACTIONS(2318),
    [anon_sym_linear] = ACTIONS(2318),
    [anon_sym_snorm] = ACTIONS(2318),
    [anon_sym_unorm] = ACTIONS(2318),
    [anon_sym_point] = ACTIONS(2318),
    [anon_sym_line] = ACTIONS(2318),
    [anon_sym_triangleadj] = ACTIONS(2318),
    [anon_sym_lineadj] = ACTIONS(2318),
    [anon_sym_triangle] = ACTIONS(2318),
  },
  [2795] = {
    [sym_identifier] = ACTIONS(2657),
    [aux_sym_preproc_def_token1] = ACTIONS(2657),
    [aux_sym_preproc_if_token1] = ACTIONS(2657),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2657),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2657),
    [sym_preproc_directive] = ACTIONS(2657),
    [anon_sym_LPAREN2] = ACTIONS(2659),
    [anon_sym_TILDE] = ACTIONS(2659),
    [anon_sym_STAR] = ACTIONS(2659),
    [anon_sym_AMP_AMP] = ACTIONS(2659),
    [anon_sym_AMP] = ACTIONS(2657),
    [anon_sym___extension__] = ACTIONS(2657),
    [anon_sym_typedef] = ACTIONS(2657),
    [anon_sym_in] = ACTIONS(2657),
    [anon_sym_out] = ACTIONS(2657),
    [anon_sym_inout] = ACTIONS(2657),
    [anon_sym_extern] = ACTIONS(2657),
    [anon_sym___attribute__] = ACTIONS(2657),
    [anon_sym_COLON_COLON] = ACTIONS(2659),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2659),
    [anon_sym___declspec] = ACTIONS(2657),
    [anon_sym___based] = ACTIONS(2657),
    [anon_sym_RBRACE] = ACTIONS(2659),
    [anon_sym_signed] = ACTIONS(2657),
    [anon_sym_unsigned] = ACTIONS(2657),
    [anon_sym_long] = ACTIONS(2657),
    [anon_sym_short] = ACTIONS(2657),
    [anon_sym_LBRACK] = ACTIONS(2657),
    [anon_sym_static] = ACTIONS(2657),
    [anon_sym_register] = ACTIONS(2657),
    [anon_sym_inline] = ACTIONS(2657),
    [anon_sym___inline] = ACTIONS(2657),
    [anon_sym___inline__] = ACTIONS(2657),
    [anon_sym___forceinline] = ACTIONS(2657),
    [anon_sym_thread_local] = ACTIONS(2657),
    [anon_sym___thread] = ACTIONS(2657),
    [anon_sym_const] = ACTIONS(2657),
    [anon_sym_constexpr] = ACTIONS(2657),
    [anon_sym_volatile] = ACTIONS(2657),
    [anon_sym_restrict] = ACTIONS(2657),
    [anon_sym___restrict__] = ACTIONS(2657),
    [anon_sym__Atomic] = ACTIONS(2657),
    [anon_sym__Noreturn] = ACTIONS(2657),
    [anon_sym_noreturn] = ACTIONS(2657),
    [anon_sym_mutable] = ACTIONS(2657),
    [anon_sym_constinit] = ACTIONS(2657),
    [anon_sym_consteval] = ACTIONS(2657),
    [sym_primitive_type] = ACTIONS(2657),
    [anon_sym_enum] = ACTIONS(2657),
    [anon_sym_class] = ACTIONS(2657),
    [anon_sym_struct] = ACTIONS(2657),
    [anon_sym_union] = ACTIONS(2657),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2657),
    [anon_sym_decltype] = ACTIONS(2657),
    [anon_sym_virtual] = ACTIONS(2657),
    [anon_sym_alignas] = ACTIONS(2657),
    [anon_sym_explicit] = ACTIONS(2657),
    [anon_sym_typename] = ACTIONS(2657),
    [anon_sym_template] = ACTIONS(2657),
    [anon_sym_operator] = ACTIONS(2657),
    [anon_sym_friend] = ACTIONS(2657),
    [anon_sym_public] = ACTIONS(2657),
    [anon_sym_private] = ACTIONS(2657),
    [anon_sym_protected] = ACTIONS(2657),
    [anon_sym_using] = ACTIONS(2657),
    [anon_sym_static_assert] = ACTIONS(2657),
    [anon_sym_precise] = ACTIONS(2657),
    [anon_sym_shared] = ACTIONS(2657),
    [anon_sym_groupshared] = ACTIONS(2657),
    [anon_sym_uniform] = ACTIONS(2657),
    [anon_sym_row_major] = ACTIONS(2657),
    [anon_sym_column_major] = ACTIONS(2657),
    [anon_sym_globallycoherent] = ACTIONS(2657),
    [anon_sym_centroid] = ACTIONS(2657),
    [anon_sym_noperspective] = ACTIONS(2657),
    [anon_sym_nointerpolation] = ACTIONS(2657),
    [anon_sym_sample] = ACTIONS(2657),
    [anon_sym_linear] = ACTIONS(2657),
    [anon_sym_snorm] = ACTIONS(2657),
    [anon_sym_unorm] = ACTIONS(2657),
    [anon_sym_point] = ACTIONS(2657),
    [anon_sym_line] = ACTIONS(2657),
    [anon_sym_triangleadj] = ACTIONS(2657),
    [anon_sym_lineadj] = ACTIONS(2657),
    [anon_sym_triangle] = ACTIONS(2657),
  },
  [2796] = {
    [sym_identifier] = ACTIONS(5671),
    [aux_sym_preproc_def_token1] = ACTIONS(5671),
    [aux_sym_preproc_if_token1] = ACTIONS(5671),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5671),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5671),
    [sym_preproc_directive] = ACTIONS(5671),
    [anon_sym_LPAREN2] = ACTIONS(5673),
    [anon_sym_TILDE] = ACTIONS(5673),
    [anon_sym_STAR] = ACTIONS(5673),
    [anon_sym_AMP_AMP] = ACTIONS(5673),
    [anon_sym_AMP] = ACTIONS(5671),
    [anon_sym___extension__] = ACTIONS(5671),
    [anon_sym_typedef] = ACTIONS(5671),
    [anon_sym_in] = ACTIONS(5671),
    [anon_sym_out] = ACTIONS(5671),
    [anon_sym_inout] = ACTIONS(5671),
    [anon_sym_extern] = ACTIONS(5671),
    [anon_sym___attribute__] = ACTIONS(5671),
    [anon_sym_COLON_COLON] = ACTIONS(5673),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5673),
    [anon_sym___declspec] = ACTIONS(5671),
    [anon_sym___based] = ACTIONS(5671),
    [anon_sym_RBRACE] = ACTIONS(5673),
    [anon_sym_signed] = ACTIONS(5671),
    [anon_sym_unsigned] = ACTIONS(5671),
    [anon_sym_long] = ACTIONS(5671),
    [anon_sym_short] = ACTIONS(5671),
    [anon_sym_LBRACK] = ACTIONS(5671),
    [anon_sym_static] = ACTIONS(5671),
    [anon_sym_register] = ACTIONS(5671),
    [anon_sym_inline] = ACTIONS(5671),
    [anon_sym___inline] = ACTIONS(5671),
    [anon_sym___inline__] = ACTIONS(5671),
    [anon_sym___forceinline] = ACTIONS(5671),
    [anon_sym_thread_local] = ACTIONS(5671),
    [anon_sym___thread] = ACTIONS(5671),
    [anon_sym_const] = ACTIONS(5671),
    [anon_sym_constexpr] = ACTIONS(5671),
    [anon_sym_volatile] = ACTIONS(5671),
    [anon_sym_restrict] = ACTIONS(5671),
    [anon_sym___restrict__] = ACTIONS(5671),
    [anon_sym__Atomic] = ACTIONS(5671),
    [anon_sym__Noreturn] = ACTIONS(5671),
    [anon_sym_noreturn] = ACTIONS(5671),
    [anon_sym_mutable] = ACTIONS(5671),
    [anon_sym_constinit] = ACTIONS(5671),
    [anon_sym_consteval] = ACTIONS(5671),
    [sym_primitive_type] = ACTIONS(5671),
    [anon_sym_enum] = ACTIONS(5671),
    [anon_sym_class] = ACTIONS(5671),
    [anon_sym_struct] = ACTIONS(5671),
    [anon_sym_union] = ACTIONS(5671),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5671),
    [anon_sym_decltype] = ACTIONS(5671),
    [anon_sym_virtual] = ACTIONS(5671),
    [anon_sym_alignas] = ACTIONS(5671),
    [anon_sym_explicit] = ACTIONS(5671),
    [anon_sym_typename] = ACTIONS(5671),
    [anon_sym_template] = ACTIONS(5671),
    [anon_sym_operator] = ACTIONS(5671),
    [anon_sym_friend] = ACTIONS(5671),
    [anon_sym_public] = ACTIONS(5671),
    [anon_sym_private] = ACTIONS(5671),
    [anon_sym_protected] = ACTIONS(5671),
    [anon_sym_using] = ACTIONS(5671),
    [anon_sym_static_assert] = ACTIONS(5671),
    [anon_sym_precise] = ACTIONS(5671),
    [anon_sym_shared] = ACTIONS(5671),
    [anon_sym_groupshared] = ACTIONS(5671),
    [anon_sym_uniform] = ACTIONS(5671),
    [anon_sym_row_major] = ACTIONS(5671),
    [anon_sym_column_major] = ACTIONS(5671),
    [anon_sym_globallycoherent] = ACTIONS(5671),
    [anon_sym_centroid] = ACTIONS(5671),
    [anon_sym_noperspective] = ACTIONS(5671),
    [anon_sym_nointerpolation] = ACTIONS(5671),
    [anon_sym_sample] = ACTIONS(5671),
    [anon_sym_linear] = ACTIONS(5671),
    [anon_sym_snorm] = ACTIONS(5671),
    [anon_sym_unorm] = ACTIONS(5671),
    [anon_sym_point] = ACTIONS(5671),
    [anon_sym_line] = ACTIONS(5671),
    [anon_sym_triangleadj] = ACTIONS(5671),
    [anon_sym_lineadj] = ACTIONS(5671),
    [anon_sym_triangle] = ACTIONS(5671),
  },
  [2797] = {
    [sym_identifier] = ACTIONS(2673),
    [aux_sym_preproc_def_token1] = ACTIONS(2673),
    [aux_sym_preproc_if_token1] = ACTIONS(2673),
    [aux_sym_preproc_if_token2] = ACTIONS(2673),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2673),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2673),
    [sym_preproc_directive] = ACTIONS(2673),
    [anon_sym_LPAREN2] = ACTIONS(2675),
    [anon_sym_TILDE] = ACTIONS(2675),
    [anon_sym_STAR] = ACTIONS(2675),
    [anon_sym_AMP_AMP] = ACTIONS(2675),
    [anon_sym_AMP] = ACTIONS(2673),
    [anon_sym___extension__] = ACTIONS(2673),
    [anon_sym_typedef] = ACTIONS(2673),
    [anon_sym_in] = ACTIONS(2673),
    [anon_sym_out] = ACTIONS(2673),
    [anon_sym_inout] = ACTIONS(2673),
    [anon_sym_extern] = ACTIONS(2673),
    [anon_sym___attribute__] = ACTIONS(2673),
    [anon_sym_COLON_COLON] = ACTIONS(2675),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2675),
    [anon_sym___declspec] = ACTIONS(2673),
    [anon_sym___based] = ACTIONS(2673),
    [anon_sym_signed] = ACTIONS(2673),
    [anon_sym_unsigned] = ACTIONS(2673),
    [anon_sym_long] = ACTIONS(2673),
    [anon_sym_short] = ACTIONS(2673),
    [anon_sym_LBRACK] = ACTIONS(2673),
    [anon_sym_static] = ACTIONS(2673),
    [anon_sym_register] = ACTIONS(2673),
    [anon_sym_inline] = ACTIONS(2673),
    [anon_sym___inline] = ACTIONS(2673),
    [anon_sym___inline__] = ACTIONS(2673),
    [anon_sym___forceinline] = ACTIONS(2673),
    [anon_sym_thread_local] = ACTIONS(2673),
    [anon_sym___thread] = ACTIONS(2673),
    [anon_sym_const] = ACTIONS(2673),
    [anon_sym_constexpr] = ACTIONS(2673),
    [anon_sym_volatile] = ACTIONS(2673),
    [anon_sym_restrict] = ACTIONS(2673),
    [anon_sym___restrict__] = ACTIONS(2673),
    [anon_sym__Atomic] = ACTIONS(2673),
    [anon_sym__Noreturn] = ACTIONS(2673),
    [anon_sym_noreturn] = ACTIONS(2673),
    [anon_sym_mutable] = ACTIONS(2673),
    [anon_sym_constinit] = ACTIONS(2673),
    [anon_sym_consteval] = ACTIONS(2673),
    [sym_primitive_type] = ACTIONS(2673),
    [anon_sym_enum] = ACTIONS(2673),
    [anon_sym_class] = ACTIONS(2673),
    [anon_sym_struct] = ACTIONS(2673),
    [anon_sym_union] = ACTIONS(2673),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2673),
    [anon_sym_decltype] = ACTIONS(2673),
    [anon_sym_virtual] = ACTIONS(2673),
    [anon_sym_alignas] = ACTIONS(2673),
    [anon_sym_explicit] = ACTIONS(2673),
    [anon_sym_typename] = ACTIONS(2673),
    [anon_sym_template] = ACTIONS(2673),
    [anon_sym_operator] = ACTIONS(2673),
    [anon_sym_friend] = ACTIONS(2673),
    [anon_sym_public] = ACTIONS(2673),
    [anon_sym_private] = ACTIONS(2673),
    [anon_sym_protected] = ACTIONS(2673),
    [anon_sym_using] = ACTIONS(2673),
    [anon_sym_static_assert] = ACTIONS(2673),
    [anon_sym_precise] = ACTIONS(2673),
    [anon_sym_shared] = ACTIONS(2673),
    [anon_sym_groupshared] = ACTIONS(2673),
    [anon_sym_uniform] = ACTIONS(2673),
    [anon_sym_row_major] = ACTIONS(2673),
    [anon_sym_column_major] = ACTIONS(2673),
    [anon_sym_globallycoherent] = ACTIONS(2673),
    [anon_sym_centroid] = ACTIONS(2673),
    [anon_sym_noperspective] = ACTIONS(2673),
    [anon_sym_nointerpolation] = ACTIONS(2673),
    [anon_sym_sample] = ACTIONS(2673),
    [anon_sym_linear] = ACTIONS(2673),
    [anon_sym_snorm] = ACTIONS(2673),
    [anon_sym_unorm] = ACTIONS(2673),
    [anon_sym_point] = ACTIONS(2673),
    [anon_sym_line] = ACTIONS(2673),
    [anon_sym_triangleadj] = ACTIONS(2673),
    [anon_sym_lineadj] = ACTIONS(2673),
    [anon_sym_triangle] = ACTIONS(2673),
  },
  [2798] = {
    [sym_identifier] = ACTIONS(5711),
    [aux_sym_preproc_def_token1] = ACTIONS(5711),
    [aux_sym_preproc_if_token1] = ACTIONS(5711),
    [aux_sym_preproc_if_token2] = ACTIONS(5711),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5711),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5711),
    [sym_preproc_directive] = ACTIONS(5711),
    [anon_sym_LPAREN2] = ACTIONS(5713),
    [anon_sym_TILDE] = ACTIONS(5713),
    [anon_sym_STAR] = ACTIONS(5713),
    [anon_sym_AMP_AMP] = ACTIONS(5713),
    [anon_sym_AMP] = ACTIONS(5711),
    [anon_sym___extension__] = ACTIONS(5711),
    [anon_sym_typedef] = ACTIONS(5711),
    [anon_sym_in] = ACTIONS(5711),
    [anon_sym_out] = ACTIONS(5711),
    [anon_sym_inout] = ACTIONS(5711),
    [anon_sym_extern] = ACTIONS(5711),
    [anon_sym___attribute__] = ACTIONS(5711),
    [anon_sym_COLON_COLON] = ACTIONS(5713),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5713),
    [anon_sym___declspec] = ACTIONS(5711),
    [anon_sym___based] = ACTIONS(5711),
    [anon_sym_signed] = ACTIONS(5711),
    [anon_sym_unsigned] = ACTIONS(5711),
    [anon_sym_long] = ACTIONS(5711),
    [anon_sym_short] = ACTIONS(5711),
    [anon_sym_LBRACK] = ACTIONS(5711),
    [anon_sym_static] = ACTIONS(5711),
    [anon_sym_register] = ACTIONS(5711),
    [anon_sym_inline] = ACTIONS(5711),
    [anon_sym___inline] = ACTIONS(5711),
    [anon_sym___inline__] = ACTIONS(5711),
    [anon_sym___forceinline] = ACTIONS(5711),
    [anon_sym_thread_local] = ACTIONS(5711),
    [anon_sym___thread] = ACTIONS(5711),
    [anon_sym_const] = ACTIONS(5711),
    [anon_sym_constexpr] = ACTIONS(5711),
    [anon_sym_volatile] = ACTIONS(5711),
    [anon_sym_restrict] = ACTIONS(5711),
    [anon_sym___restrict__] = ACTIONS(5711),
    [anon_sym__Atomic] = ACTIONS(5711),
    [anon_sym__Noreturn] = ACTIONS(5711),
    [anon_sym_noreturn] = ACTIONS(5711),
    [anon_sym_mutable] = ACTIONS(5711),
    [anon_sym_constinit] = ACTIONS(5711),
    [anon_sym_consteval] = ACTIONS(5711),
    [sym_primitive_type] = ACTIONS(5711),
    [anon_sym_enum] = ACTIONS(5711),
    [anon_sym_class] = ACTIONS(5711),
    [anon_sym_struct] = ACTIONS(5711),
    [anon_sym_union] = ACTIONS(5711),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5711),
    [anon_sym_decltype] = ACTIONS(5711),
    [anon_sym_virtual] = ACTIONS(5711),
    [anon_sym_alignas] = ACTIONS(5711),
    [anon_sym_explicit] = ACTIONS(5711),
    [anon_sym_typename] = ACTIONS(5711),
    [anon_sym_template] = ACTIONS(5711),
    [anon_sym_operator] = ACTIONS(5711),
    [anon_sym_friend] = ACTIONS(5711),
    [anon_sym_public] = ACTIONS(5711),
    [anon_sym_private] = ACTIONS(5711),
    [anon_sym_protected] = ACTIONS(5711),
    [anon_sym_using] = ACTIONS(5711),
    [anon_sym_static_assert] = ACTIONS(5711),
    [anon_sym_precise] = ACTIONS(5711),
    [anon_sym_shared] = ACTIONS(5711),
    [anon_sym_groupshared] = ACTIONS(5711),
    [anon_sym_uniform] = ACTIONS(5711),
    [anon_sym_row_major] = ACTIONS(5711),
    [anon_sym_column_major] = ACTIONS(5711),
    [anon_sym_globallycoherent] = ACTIONS(5711),
    [anon_sym_centroid] = ACTIONS(5711),
    [anon_sym_noperspective] = ACTIONS(5711),
    [anon_sym_nointerpolation] = ACTIONS(5711),
    [anon_sym_sample] = ACTIONS(5711),
    [anon_sym_linear] = ACTIONS(5711),
    [anon_sym_snorm] = ACTIONS(5711),
    [anon_sym_unorm] = ACTIONS(5711),
    [anon_sym_point] = ACTIONS(5711),
    [anon_sym_line] = ACTIONS(5711),
    [anon_sym_triangleadj] = ACTIONS(5711),
    [anon_sym_lineadj] = ACTIONS(5711),
    [anon_sym_triangle] = ACTIONS(5711),
  },
  [2799] = {
    [sym_identifier] = ACTIONS(2492),
    [aux_sym_preproc_def_token1] = ACTIONS(2492),
    [aux_sym_preproc_if_token1] = ACTIONS(2492),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2492),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2492),
    [sym_preproc_directive] = ACTIONS(2492),
    [anon_sym_LPAREN2] = ACTIONS(2494),
    [anon_sym_TILDE] = ACTIONS(2494),
    [anon_sym_STAR] = ACTIONS(2494),
    [anon_sym_AMP_AMP] = ACTIONS(2494),
    [anon_sym_AMP] = ACTIONS(2492),
    [anon_sym___extension__] = ACTIONS(2492),
    [anon_sym_typedef] = ACTIONS(2492),
    [anon_sym_in] = ACTIONS(2492),
    [anon_sym_out] = ACTIONS(2492),
    [anon_sym_inout] = ACTIONS(2492),
    [anon_sym_extern] = ACTIONS(2492),
    [anon_sym___attribute__] = ACTIONS(2492),
    [anon_sym_COLON_COLON] = ACTIONS(2494),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2494),
    [anon_sym___declspec] = ACTIONS(2492),
    [anon_sym___based] = ACTIONS(2492),
    [anon_sym_RBRACE] = ACTIONS(2494),
    [anon_sym_signed] = ACTIONS(2492),
    [anon_sym_unsigned] = ACTIONS(2492),
    [anon_sym_long] = ACTIONS(2492),
    [anon_sym_short] = ACTIONS(2492),
    [anon_sym_LBRACK] = ACTIONS(2492),
    [anon_sym_static] = ACTIONS(2492),
    [anon_sym_register] = ACTIONS(2492),
    [anon_sym_inline] = ACTIONS(2492),
    [anon_sym___inline] = ACTIONS(2492),
    [anon_sym___inline__] = ACTIONS(2492),
    [anon_sym___forceinline] = ACTIONS(2492),
    [anon_sym_thread_local] = ACTIONS(2492),
    [anon_sym___thread] = ACTIONS(2492),
    [anon_sym_const] = ACTIONS(2492),
    [anon_sym_constexpr] = ACTIONS(2492),
    [anon_sym_volatile] = ACTIONS(2492),
    [anon_sym_restrict] = ACTIONS(2492),
    [anon_sym___restrict__] = ACTIONS(2492),
    [anon_sym__Atomic] = ACTIONS(2492),
    [anon_sym__Noreturn] = ACTIONS(2492),
    [anon_sym_noreturn] = ACTIONS(2492),
    [anon_sym_mutable] = ACTIONS(2492),
    [anon_sym_constinit] = ACTIONS(2492),
    [anon_sym_consteval] = ACTIONS(2492),
    [sym_primitive_type] = ACTIONS(2492),
    [anon_sym_enum] = ACTIONS(2492),
    [anon_sym_class] = ACTIONS(2492),
    [anon_sym_struct] = ACTIONS(2492),
    [anon_sym_union] = ACTIONS(2492),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2492),
    [anon_sym_decltype] = ACTIONS(2492),
    [anon_sym_virtual] = ACTIONS(2492),
    [anon_sym_alignas] = ACTIONS(2492),
    [anon_sym_explicit] = ACTIONS(2492),
    [anon_sym_typename] = ACTIONS(2492),
    [anon_sym_template] = ACTIONS(2492),
    [anon_sym_operator] = ACTIONS(2492),
    [anon_sym_friend] = ACTIONS(2492),
    [anon_sym_public] = ACTIONS(2492),
    [anon_sym_private] = ACTIONS(2492),
    [anon_sym_protected] = ACTIONS(2492),
    [anon_sym_using] = ACTIONS(2492),
    [anon_sym_static_assert] = ACTIONS(2492),
    [anon_sym_precise] = ACTIONS(2492),
    [anon_sym_shared] = ACTIONS(2492),
    [anon_sym_groupshared] = ACTIONS(2492),
    [anon_sym_uniform] = ACTIONS(2492),
    [anon_sym_row_major] = ACTIONS(2492),
    [anon_sym_column_major] = ACTIONS(2492),
    [anon_sym_globallycoherent] = ACTIONS(2492),
    [anon_sym_centroid] = ACTIONS(2492),
    [anon_sym_noperspective] = ACTIONS(2492),
    [anon_sym_nointerpolation] = ACTIONS(2492),
    [anon_sym_sample] = ACTIONS(2492),
    [anon_sym_linear] = ACTIONS(2492),
    [anon_sym_snorm] = ACTIONS(2492),
    [anon_sym_unorm] = ACTIONS(2492),
    [anon_sym_point] = ACTIONS(2492),
    [anon_sym_line] = ACTIONS(2492),
    [anon_sym_triangleadj] = ACTIONS(2492),
    [anon_sym_lineadj] = ACTIONS(2492),
    [anon_sym_triangle] = ACTIONS(2492),
  },
  [2800] = {
    [sym_identifier] = ACTIONS(2755),
    [aux_sym_preproc_def_token1] = ACTIONS(2755),
    [aux_sym_preproc_if_token1] = ACTIONS(2755),
    [aux_sym_preproc_if_token2] = ACTIONS(2755),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2755),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2755),
    [sym_preproc_directive] = ACTIONS(2755),
    [anon_sym_LPAREN2] = ACTIONS(2757),
    [anon_sym_TILDE] = ACTIONS(2757),
    [anon_sym_STAR] = ACTIONS(2757),
    [anon_sym_AMP_AMP] = ACTIONS(2757),
    [anon_sym_AMP] = ACTIONS(2755),
    [anon_sym___extension__] = ACTIONS(2755),
    [anon_sym_typedef] = ACTIONS(2755),
    [anon_sym_in] = ACTIONS(2755),
    [anon_sym_out] = ACTIONS(2755),
    [anon_sym_inout] = ACTIONS(2755),
    [anon_sym_extern] = ACTIONS(2755),
    [anon_sym___attribute__] = ACTIONS(2755),
    [anon_sym_COLON_COLON] = ACTIONS(2757),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2757),
    [anon_sym___declspec] = ACTIONS(2755),
    [anon_sym___based] = ACTIONS(2755),
    [anon_sym_signed] = ACTIONS(2755),
    [anon_sym_unsigned] = ACTIONS(2755),
    [anon_sym_long] = ACTIONS(2755),
    [anon_sym_short] = ACTIONS(2755),
    [anon_sym_LBRACK] = ACTIONS(2755),
    [anon_sym_static] = ACTIONS(2755),
    [anon_sym_register] = ACTIONS(2755),
    [anon_sym_inline] = ACTIONS(2755),
    [anon_sym___inline] = ACTIONS(2755),
    [anon_sym___inline__] = ACTIONS(2755),
    [anon_sym___forceinline] = ACTIONS(2755),
    [anon_sym_thread_local] = ACTIONS(2755),
    [anon_sym___thread] = ACTIONS(2755),
    [anon_sym_const] = ACTIONS(2755),
    [anon_sym_constexpr] = ACTIONS(2755),
    [anon_sym_volatile] = ACTIONS(2755),
    [anon_sym_restrict] = ACTIONS(2755),
    [anon_sym___restrict__] = ACTIONS(2755),
    [anon_sym__Atomic] = ACTIONS(2755),
    [anon_sym__Noreturn] = ACTIONS(2755),
    [anon_sym_noreturn] = ACTIONS(2755),
    [anon_sym_mutable] = ACTIONS(2755),
    [anon_sym_constinit] = ACTIONS(2755),
    [anon_sym_consteval] = ACTIONS(2755),
    [sym_primitive_type] = ACTIONS(2755),
    [anon_sym_enum] = ACTIONS(2755),
    [anon_sym_class] = ACTIONS(2755),
    [anon_sym_struct] = ACTIONS(2755),
    [anon_sym_union] = ACTIONS(2755),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2755),
    [anon_sym_decltype] = ACTIONS(2755),
    [anon_sym_virtual] = ACTIONS(2755),
    [anon_sym_alignas] = ACTIONS(2755),
    [anon_sym_explicit] = ACTIONS(2755),
    [anon_sym_typename] = ACTIONS(2755),
    [anon_sym_template] = ACTIONS(2755),
    [anon_sym_operator] = ACTIONS(2755),
    [anon_sym_friend] = ACTIONS(2755),
    [anon_sym_public] = ACTIONS(2755),
    [anon_sym_private] = ACTIONS(2755),
    [anon_sym_protected] = ACTIONS(2755),
    [anon_sym_using] = ACTIONS(2755),
    [anon_sym_static_assert] = ACTIONS(2755),
    [anon_sym_precise] = ACTIONS(2755),
    [anon_sym_shared] = ACTIONS(2755),
    [anon_sym_groupshared] = ACTIONS(2755),
    [anon_sym_uniform] = ACTIONS(2755),
    [anon_sym_row_major] = ACTIONS(2755),
    [anon_sym_column_major] = ACTIONS(2755),
    [anon_sym_globallycoherent] = ACTIONS(2755),
    [anon_sym_centroid] = ACTIONS(2755),
    [anon_sym_noperspective] = ACTIONS(2755),
    [anon_sym_nointerpolation] = ACTIONS(2755),
    [anon_sym_sample] = ACTIONS(2755),
    [anon_sym_linear] = ACTIONS(2755),
    [anon_sym_snorm] = ACTIONS(2755),
    [anon_sym_unorm] = ACTIONS(2755),
    [anon_sym_point] = ACTIONS(2755),
    [anon_sym_line] = ACTIONS(2755),
    [anon_sym_triangleadj] = ACTIONS(2755),
    [anon_sym_lineadj] = ACTIONS(2755),
    [anon_sym_triangle] = ACTIONS(2755),
  },
  [2801] = {
    [sym_identifier] = ACTIONS(5707),
    [aux_sym_preproc_def_token1] = ACTIONS(5707),
    [aux_sym_preproc_if_token1] = ACTIONS(5707),
    [aux_sym_preproc_if_token2] = ACTIONS(5707),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5707),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5707),
    [sym_preproc_directive] = ACTIONS(5707),
    [anon_sym_LPAREN2] = ACTIONS(5709),
    [anon_sym_TILDE] = ACTIONS(5709),
    [anon_sym_STAR] = ACTIONS(5709),
    [anon_sym_AMP_AMP] = ACTIONS(5709),
    [anon_sym_AMP] = ACTIONS(5707),
    [anon_sym___extension__] = ACTIONS(5707),
    [anon_sym_typedef] = ACTIONS(5707),
    [anon_sym_in] = ACTIONS(5707),
    [anon_sym_out] = ACTIONS(5707),
    [anon_sym_inout] = ACTIONS(5707),
    [anon_sym_extern] = ACTIONS(5707),
    [anon_sym___attribute__] = ACTIONS(5707),
    [anon_sym_COLON_COLON] = ACTIONS(5709),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5709),
    [anon_sym___declspec] = ACTIONS(5707),
    [anon_sym___based] = ACTIONS(5707),
    [anon_sym_signed] = ACTIONS(5707),
    [anon_sym_unsigned] = ACTIONS(5707),
    [anon_sym_long] = ACTIONS(5707),
    [anon_sym_short] = ACTIONS(5707),
    [anon_sym_LBRACK] = ACTIONS(5707),
    [anon_sym_static] = ACTIONS(5707),
    [anon_sym_register] = ACTIONS(5707),
    [anon_sym_inline] = ACTIONS(5707),
    [anon_sym___inline] = ACTIONS(5707),
    [anon_sym___inline__] = ACTIONS(5707),
    [anon_sym___forceinline] = ACTIONS(5707),
    [anon_sym_thread_local] = ACTIONS(5707),
    [anon_sym___thread] = ACTIONS(5707),
    [anon_sym_const] = ACTIONS(5707),
    [anon_sym_constexpr] = ACTIONS(5707),
    [anon_sym_volatile] = ACTIONS(5707),
    [anon_sym_restrict] = ACTIONS(5707),
    [anon_sym___restrict__] = ACTIONS(5707),
    [anon_sym__Atomic] = ACTIONS(5707),
    [anon_sym__Noreturn] = ACTIONS(5707),
    [anon_sym_noreturn] = ACTIONS(5707),
    [anon_sym_mutable] = ACTIONS(5707),
    [anon_sym_constinit] = ACTIONS(5707),
    [anon_sym_consteval] = ACTIONS(5707),
    [sym_primitive_type] = ACTIONS(5707),
    [anon_sym_enum] = ACTIONS(5707),
    [anon_sym_class] = ACTIONS(5707),
    [anon_sym_struct] = ACTIONS(5707),
    [anon_sym_union] = ACTIONS(5707),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5707),
    [anon_sym_decltype] = ACTIONS(5707),
    [anon_sym_virtual] = ACTIONS(5707),
    [anon_sym_alignas] = ACTIONS(5707),
    [anon_sym_explicit] = ACTIONS(5707),
    [anon_sym_typename] = ACTIONS(5707),
    [anon_sym_template] = ACTIONS(5707),
    [anon_sym_operator] = ACTIONS(5707),
    [anon_sym_friend] = ACTIONS(5707),
    [anon_sym_public] = ACTIONS(5707),
    [anon_sym_private] = ACTIONS(5707),
    [anon_sym_protected] = ACTIONS(5707),
    [anon_sym_using] = ACTIONS(5707),
    [anon_sym_static_assert] = ACTIONS(5707),
    [anon_sym_precise] = ACTIONS(5707),
    [anon_sym_shared] = ACTIONS(5707),
    [anon_sym_groupshared] = ACTIONS(5707),
    [anon_sym_uniform] = ACTIONS(5707),
    [anon_sym_row_major] = ACTIONS(5707),
    [anon_sym_column_major] = ACTIONS(5707),
    [anon_sym_globallycoherent] = ACTIONS(5707),
    [anon_sym_centroid] = ACTIONS(5707),
    [anon_sym_noperspective] = ACTIONS(5707),
    [anon_sym_nointerpolation] = ACTIONS(5707),
    [anon_sym_sample] = ACTIONS(5707),
    [anon_sym_linear] = ACTIONS(5707),
    [anon_sym_snorm] = ACTIONS(5707),
    [anon_sym_unorm] = ACTIONS(5707),
    [anon_sym_point] = ACTIONS(5707),
    [anon_sym_line] = ACTIONS(5707),
    [anon_sym_triangleadj] = ACTIONS(5707),
    [anon_sym_lineadj] = ACTIONS(5707),
    [anon_sym_triangle] = ACTIONS(5707),
  },
  [2802] = {
    [sym_identifier] = ACTIONS(2698),
    [aux_sym_preproc_def_token1] = ACTIONS(2698),
    [aux_sym_preproc_if_token1] = ACTIONS(2698),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2698),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2698),
    [sym_preproc_directive] = ACTIONS(2698),
    [anon_sym_LPAREN2] = ACTIONS(2700),
    [anon_sym_TILDE] = ACTIONS(2700),
    [anon_sym_STAR] = ACTIONS(2700),
    [anon_sym_AMP_AMP] = ACTIONS(2700),
    [anon_sym_AMP] = ACTIONS(2698),
    [anon_sym___extension__] = ACTIONS(2698),
    [anon_sym_typedef] = ACTIONS(2698),
    [anon_sym_in] = ACTIONS(2698),
    [anon_sym_out] = ACTIONS(2698),
    [anon_sym_inout] = ACTIONS(2698),
    [anon_sym_extern] = ACTIONS(2698),
    [anon_sym___attribute__] = ACTIONS(2698),
    [anon_sym_COLON_COLON] = ACTIONS(2700),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2700),
    [anon_sym___declspec] = ACTIONS(2698),
    [anon_sym___based] = ACTIONS(2698),
    [anon_sym_RBRACE] = ACTIONS(2700),
    [anon_sym_signed] = ACTIONS(2698),
    [anon_sym_unsigned] = ACTIONS(2698),
    [anon_sym_long] = ACTIONS(2698),
    [anon_sym_short] = ACTIONS(2698),
    [anon_sym_LBRACK] = ACTIONS(2698),
    [anon_sym_static] = ACTIONS(2698),
    [anon_sym_register] = ACTIONS(2698),
    [anon_sym_inline] = ACTIONS(2698),
    [anon_sym___inline] = ACTIONS(2698),
    [anon_sym___inline__] = ACTIONS(2698),
    [anon_sym___forceinline] = ACTIONS(2698),
    [anon_sym_thread_local] = ACTIONS(2698),
    [anon_sym___thread] = ACTIONS(2698),
    [anon_sym_const] = ACTIONS(2698),
    [anon_sym_constexpr] = ACTIONS(2698),
    [anon_sym_volatile] = ACTIONS(2698),
    [anon_sym_restrict] = ACTIONS(2698),
    [anon_sym___restrict__] = ACTIONS(2698),
    [anon_sym__Atomic] = ACTIONS(2698),
    [anon_sym__Noreturn] = ACTIONS(2698),
    [anon_sym_noreturn] = ACTIONS(2698),
    [anon_sym_mutable] = ACTIONS(2698),
    [anon_sym_constinit] = ACTIONS(2698),
    [anon_sym_consteval] = ACTIONS(2698),
    [sym_primitive_type] = ACTIONS(2698),
    [anon_sym_enum] = ACTIONS(2698),
    [anon_sym_class] = ACTIONS(2698),
    [anon_sym_struct] = ACTIONS(2698),
    [anon_sym_union] = ACTIONS(2698),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2698),
    [anon_sym_decltype] = ACTIONS(2698),
    [anon_sym_virtual] = ACTIONS(2698),
    [anon_sym_alignas] = ACTIONS(2698),
    [anon_sym_explicit] = ACTIONS(2698),
    [anon_sym_typename] = ACTIONS(2698),
    [anon_sym_template] = ACTIONS(2698),
    [anon_sym_operator] = ACTIONS(2698),
    [anon_sym_friend] = ACTIONS(2698),
    [anon_sym_public] = ACTIONS(2698),
    [anon_sym_private] = ACTIONS(2698),
    [anon_sym_protected] = ACTIONS(2698),
    [anon_sym_using] = ACTIONS(2698),
    [anon_sym_static_assert] = ACTIONS(2698),
    [anon_sym_precise] = ACTIONS(2698),
    [anon_sym_shared] = ACTIONS(2698),
    [anon_sym_groupshared] = ACTIONS(2698),
    [anon_sym_uniform] = ACTIONS(2698),
    [anon_sym_row_major] = ACTIONS(2698),
    [anon_sym_column_major] = ACTIONS(2698),
    [anon_sym_globallycoherent] = ACTIONS(2698),
    [anon_sym_centroid] = ACTIONS(2698),
    [anon_sym_noperspective] = ACTIONS(2698),
    [anon_sym_nointerpolation] = ACTIONS(2698),
    [anon_sym_sample] = ACTIONS(2698),
    [anon_sym_linear] = ACTIONS(2698),
    [anon_sym_snorm] = ACTIONS(2698),
    [anon_sym_unorm] = ACTIONS(2698),
    [anon_sym_point] = ACTIONS(2698),
    [anon_sym_line] = ACTIONS(2698),
    [anon_sym_triangleadj] = ACTIONS(2698),
    [anon_sym_lineadj] = ACTIONS(2698),
    [anon_sym_triangle] = ACTIONS(2698),
  },
  [2803] = {
    [sym_identifier] = ACTIONS(2747),
    [aux_sym_preproc_def_token1] = ACTIONS(2747),
    [aux_sym_preproc_if_token1] = ACTIONS(2747),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2747),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2747),
    [sym_preproc_directive] = ACTIONS(2747),
    [anon_sym_LPAREN2] = ACTIONS(2749),
    [anon_sym_TILDE] = ACTIONS(2749),
    [anon_sym_STAR] = ACTIONS(2749),
    [anon_sym_AMP_AMP] = ACTIONS(2749),
    [anon_sym_AMP] = ACTIONS(2747),
    [anon_sym___extension__] = ACTIONS(2747),
    [anon_sym_typedef] = ACTIONS(2747),
    [anon_sym_in] = ACTIONS(2747),
    [anon_sym_out] = ACTIONS(2747),
    [anon_sym_inout] = ACTIONS(2747),
    [anon_sym_extern] = ACTIONS(2747),
    [anon_sym___attribute__] = ACTIONS(2747),
    [anon_sym_COLON_COLON] = ACTIONS(2749),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2749),
    [anon_sym___declspec] = ACTIONS(2747),
    [anon_sym___based] = ACTIONS(2747),
    [anon_sym_RBRACE] = ACTIONS(2749),
    [anon_sym_signed] = ACTIONS(2747),
    [anon_sym_unsigned] = ACTIONS(2747),
    [anon_sym_long] = ACTIONS(2747),
    [anon_sym_short] = ACTIONS(2747),
    [anon_sym_LBRACK] = ACTIONS(2747),
    [anon_sym_static] = ACTIONS(2747),
    [anon_sym_register] = ACTIONS(2747),
    [anon_sym_inline] = ACTIONS(2747),
    [anon_sym___inline] = ACTIONS(2747),
    [anon_sym___inline__] = ACTIONS(2747),
    [anon_sym___forceinline] = ACTIONS(2747),
    [anon_sym_thread_local] = ACTIONS(2747),
    [anon_sym___thread] = ACTIONS(2747),
    [anon_sym_const] = ACTIONS(2747),
    [anon_sym_constexpr] = ACTIONS(2747),
    [anon_sym_volatile] = ACTIONS(2747),
    [anon_sym_restrict] = ACTIONS(2747),
    [anon_sym___restrict__] = ACTIONS(2747),
    [anon_sym__Atomic] = ACTIONS(2747),
    [anon_sym__Noreturn] = ACTIONS(2747),
    [anon_sym_noreturn] = ACTIONS(2747),
    [anon_sym_mutable] = ACTIONS(2747),
    [anon_sym_constinit] = ACTIONS(2747),
    [anon_sym_consteval] = ACTIONS(2747),
    [sym_primitive_type] = ACTIONS(2747),
    [anon_sym_enum] = ACTIONS(2747),
    [anon_sym_class] = ACTIONS(2747),
    [anon_sym_struct] = ACTIONS(2747),
    [anon_sym_union] = ACTIONS(2747),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2747),
    [anon_sym_decltype] = ACTIONS(2747),
    [anon_sym_virtual] = ACTIONS(2747),
    [anon_sym_alignas] = ACTIONS(2747),
    [anon_sym_explicit] = ACTIONS(2747),
    [anon_sym_typename] = ACTIONS(2747),
    [anon_sym_template] = ACTIONS(2747),
    [anon_sym_operator] = ACTIONS(2747),
    [anon_sym_friend] = ACTIONS(2747),
    [anon_sym_public] = ACTIONS(2747),
    [anon_sym_private] = ACTIONS(2747),
    [anon_sym_protected] = ACTIONS(2747),
    [anon_sym_using] = ACTIONS(2747),
    [anon_sym_static_assert] = ACTIONS(2747),
    [anon_sym_precise] = ACTIONS(2747),
    [anon_sym_shared] = ACTIONS(2747),
    [anon_sym_groupshared] = ACTIONS(2747),
    [anon_sym_uniform] = ACTIONS(2747),
    [anon_sym_row_major] = ACTIONS(2747),
    [anon_sym_column_major] = ACTIONS(2747),
    [anon_sym_globallycoherent] = ACTIONS(2747),
    [anon_sym_centroid] = ACTIONS(2747),
    [anon_sym_noperspective] = ACTIONS(2747),
    [anon_sym_nointerpolation] = ACTIONS(2747),
    [anon_sym_sample] = ACTIONS(2747),
    [anon_sym_linear] = ACTIONS(2747),
    [anon_sym_snorm] = ACTIONS(2747),
    [anon_sym_unorm] = ACTIONS(2747),
    [anon_sym_point] = ACTIONS(2747),
    [anon_sym_line] = ACTIONS(2747),
    [anon_sym_triangleadj] = ACTIONS(2747),
    [anon_sym_lineadj] = ACTIONS(2747),
    [anon_sym_triangle] = ACTIONS(2747),
  },
  [2804] = {
    [sym_identifier] = ACTIONS(2777),
    [aux_sym_preproc_def_token1] = ACTIONS(2777),
    [aux_sym_preproc_if_token1] = ACTIONS(2777),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2777),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2777),
    [sym_preproc_directive] = ACTIONS(2777),
    [anon_sym_LPAREN2] = ACTIONS(2779),
    [anon_sym_TILDE] = ACTIONS(2779),
    [anon_sym_STAR] = ACTIONS(2779),
    [anon_sym_AMP_AMP] = ACTIONS(2779),
    [anon_sym_AMP] = ACTIONS(2777),
    [anon_sym___extension__] = ACTIONS(2777),
    [anon_sym_typedef] = ACTIONS(2777),
    [anon_sym_in] = ACTIONS(2777),
    [anon_sym_out] = ACTIONS(2777),
    [anon_sym_inout] = ACTIONS(2777),
    [anon_sym_extern] = ACTIONS(2777),
    [anon_sym___attribute__] = ACTIONS(2777),
    [anon_sym_COLON_COLON] = ACTIONS(2779),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2779),
    [anon_sym___declspec] = ACTIONS(2777),
    [anon_sym___based] = ACTIONS(2777),
    [anon_sym_RBRACE] = ACTIONS(2779),
    [anon_sym_signed] = ACTIONS(2777),
    [anon_sym_unsigned] = ACTIONS(2777),
    [anon_sym_long] = ACTIONS(2777),
    [anon_sym_short] = ACTIONS(2777),
    [anon_sym_LBRACK] = ACTIONS(2777),
    [anon_sym_static] = ACTIONS(2777),
    [anon_sym_register] = ACTIONS(2777),
    [anon_sym_inline] = ACTIONS(2777),
    [anon_sym___inline] = ACTIONS(2777),
    [anon_sym___inline__] = ACTIONS(2777),
    [anon_sym___forceinline] = ACTIONS(2777),
    [anon_sym_thread_local] = ACTIONS(2777),
    [anon_sym___thread] = ACTIONS(2777),
    [anon_sym_const] = ACTIONS(2777),
    [anon_sym_constexpr] = ACTIONS(2777),
    [anon_sym_volatile] = ACTIONS(2777),
    [anon_sym_restrict] = ACTIONS(2777),
    [anon_sym___restrict__] = ACTIONS(2777),
    [anon_sym__Atomic] = ACTIONS(2777),
    [anon_sym__Noreturn] = ACTIONS(2777),
    [anon_sym_noreturn] = ACTIONS(2777),
    [anon_sym_mutable] = ACTIONS(2777),
    [anon_sym_constinit] = ACTIONS(2777),
    [anon_sym_consteval] = ACTIONS(2777),
    [sym_primitive_type] = ACTIONS(2777),
    [anon_sym_enum] = ACTIONS(2777),
    [anon_sym_class] = ACTIONS(2777),
    [anon_sym_struct] = ACTIONS(2777),
    [anon_sym_union] = ACTIONS(2777),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2777),
    [anon_sym_decltype] = ACTIONS(2777),
    [anon_sym_virtual] = ACTIONS(2777),
    [anon_sym_alignas] = ACTIONS(2777),
    [anon_sym_explicit] = ACTIONS(2777),
    [anon_sym_typename] = ACTIONS(2777),
    [anon_sym_template] = ACTIONS(2777),
    [anon_sym_operator] = ACTIONS(2777),
    [anon_sym_friend] = ACTIONS(2777),
    [anon_sym_public] = ACTIONS(2777),
    [anon_sym_private] = ACTIONS(2777),
    [anon_sym_protected] = ACTIONS(2777),
    [anon_sym_using] = ACTIONS(2777),
    [anon_sym_static_assert] = ACTIONS(2777),
    [anon_sym_precise] = ACTIONS(2777),
    [anon_sym_shared] = ACTIONS(2777),
    [anon_sym_groupshared] = ACTIONS(2777),
    [anon_sym_uniform] = ACTIONS(2777),
    [anon_sym_row_major] = ACTIONS(2777),
    [anon_sym_column_major] = ACTIONS(2777),
    [anon_sym_globallycoherent] = ACTIONS(2777),
    [anon_sym_centroid] = ACTIONS(2777),
    [anon_sym_noperspective] = ACTIONS(2777),
    [anon_sym_nointerpolation] = ACTIONS(2777),
    [anon_sym_sample] = ACTIONS(2777),
    [anon_sym_linear] = ACTIONS(2777),
    [anon_sym_snorm] = ACTIONS(2777),
    [anon_sym_unorm] = ACTIONS(2777),
    [anon_sym_point] = ACTIONS(2777),
    [anon_sym_line] = ACTIONS(2777),
    [anon_sym_triangleadj] = ACTIONS(2777),
    [anon_sym_lineadj] = ACTIONS(2777),
    [anon_sym_triangle] = ACTIONS(2777),
  },
  [2805] = {
    [sym_identifier] = ACTIONS(2781),
    [aux_sym_preproc_def_token1] = ACTIONS(2781),
    [aux_sym_preproc_if_token1] = ACTIONS(2781),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2781),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2781),
    [sym_preproc_directive] = ACTIONS(2781),
    [anon_sym_LPAREN2] = ACTIONS(2783),
    [anon_sym_TILDE] = ACTIONS(2783),
    [anon_sym_STAR] = ACTIONS(2783),
    [anon_sym_AMP_AMP] = ACTIONS(2783),
    [anon_sym_AMP] = ACTIONS(2781),
    [anon_sym___extension__] = ACTIONS(2781),
    [anon_sym_typedef] = ACTIONS(2781),
    [anon_sym_in] = ACTIONS(2781),
    [anon_sym_out] = ACTIONS(2781),
    [anon_sym_inout] = ACTIONS(2781),
    [anon_sym_extern] = ACTIONS(2781),
    [anon_sym___attribute__] = ACTIONS(2781),
    [anon_sym_COLON_COLON] = ACTIONS(2783),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2783),
    [anon_sym___declspec] = ACTIONS(2781),
    [anon_sym___based] = ACTIONS(2781),
    [anon_sym_RBRACE] = ACTIONS(2783),
    [anon_sym_signed] = ACTIONS(2781),
    [anon_sym_unsigned] = ACTIONS(2781),
    [anon_sym_long] = ACTIONS(2781),
    [anon_sym_short] = ACTIONS(2781),
    [anon_sym_LBRACK] = ACTIONS(2781),
    [anon_sym_static] = ACTIONS(2781),
    [anon_sym_register] = ACTIONS(2781),
    [anon_sym_inline] = ACTIONS(2781),
    [anon_sym___inline] = ACTIONS(2781),
    [anon_sym___inline__] = ACTIONS(2781),
    [anon_sym___forceinline] = ACTIONS(2781),
    [anon_sym_thread_local] = ACTIONS(2781),
    [anon_sym___thread] = ACTIONS(2781),
    [anon_sym_const] = ACTIONS(2781),
    [anon_sym_constexpr] = ACTIONS(2781),
    [anon_sym_volatile] = ACTIONS(2781),
    [anon_sym_restrict] = ACTIONS(2781),
    [anon_sym___restrict__] = ACTIONS(2781),
    [anon_sym__Atomic] = ACTIONS(2781),
    [anon_sym__Noreturn] = ACTIONS(2781),
    [anon_sym_noreturn] = ACTIONS(2781),
    [anon_sym_mutable] = ACTIONS(2781),
    [anon_sym_constinit] = ACTIONS(2781),
    [anon_sym_consteval] = ACTIONS(2781),
    [sym_primitive_type] = ACTIONS(2781),
    [anon_sym_enum] = ACTIONS(2781),
    [anon_sym_class] = ACTIONS(2781),
    [anon_sym_struct] = ACTIONS(2781),
    [anon_sym_union] = ACTIONS(2781),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2781),
    [anon_sym_decltype] = ACTIONS(2781),
    [anon_sym_virtual] = ACTIONS(2781),
    [anon_sym_alignas] = ACTIONS(2781),
    [anon_sym_explicit] = ACTIONS(2781),
    [anon_sym_typename] = ACTIONS(2781),
    [anon_sym_template] = ACTIONS(2781),
    [anon_sym_operator] = ACTIONS(2781),
    [anon_sym_friend] = ACTIONS(2781),
    [anon_sym_public] = ACTIONS(2781),
    [anon_sym_private] = ACTIONS(2781),
    [anon_sym_protected] = ACTIONS(2781),
    [anon_sym_using] = ACTIONS(2781),
    [anon_sym_static_assert] = ACTIONS(2781),
    [anon_sym_precise] = ACTIONS(2781),
    [anon_sym_shared] = ACTIONS(2781),
    [anon_sym_groupshared] = ACTIONS(2781),
    [anon_sym_uniform] = ACTIONS(2781),
    [anon_sym_row_major] = ACTIONS(2781),
    [anon_sym_column_major] = ACTIONS(2781),
    [anon_sym_globallycoherent] = ACTIONS(2781),
    [anon_sym_centroid] = ACTIONS(2781),
    [anon_sym_noperspective] = ACTIONS(2781),
    [anon_sym_nointerpolation] = ACTIONS(2781),
    [anon_sym_sample] = ACTIONS(2781),
    [anon_sym_linear] = ACTIONS(2781),
    [anon_sym_snorm] = ACTIONS(2781),
    [anon_sym_unorm] = ACTIONS(2781),
    [anon_sym_point] = ACTIONS(2781),
    [anon_sym_line] = ACTIONS(2781),
    [anon_sym_triangleadj] = ACTIONS(2781),
    [anon_sym_lineadj] = ACTIONS(2781),
    [anon_sym_triangle] = ACTIONS(2781),
  },
  [2806] = {
    [sym_identifier] = ACTIONS(2785),
    [aux_sym_preproc_def_token1] = ACTIONS(2785),
    [aux_sym_preproc_if_token1] = ACTIONS(2785),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2785),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2785),
    [sym_preproc_directive] = ACTIONS(2785),
    [anon_sym_LPAREN2] = ACTIONS(2787),
    [anon_sym_TILDE] = ACTIONS(2787),
    [anon_sym_STAR] = ACTIONS(2787),
    [anon_sym_AMP_AMP] = ACTIONS(2787),
    [anon_sym_AMP] = ACTIONS(2785),
    [anon_sym___extension__] = ACTIONS(2785),
    [anon_sym_typedef] = ACTIONS(2785),
    [anon_sym_in] = ACTIONS(2785),
    [anon_sym_out] = ACTIONS(2785),
    [anon_sym_inout] = ACTIONS(2785),
    [anon_sym_extern] = ACTIONS(2785),
    [anon_sym___attribute__] = ACTIONS(2785),
    [anon_sym_COLON_COLON] = ACTIONS(2787),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2787),
    [anon_sym___declspec] = ACTIONS(2785),
    [anon_sym___based] = ACTIONS(2785),
    [anon_sym_RBRACE] = ACTIONS(2787),
    [anon_sym_signed] = ACTIONS(2785),
    [anon_sym_unsigned] = ACTIONS(2785),
    [anon_sym_long] = ACTIONS(2785),
    [anon_sym_short] = ACTIONS(2785),
    [anon_sym_LBRACK] = ACTIONS(2785),
    [anon_sym_static] = ACTIONS(2785),
    [anon_sym_register] = ACTIONS(2785),
    [anon_sym_inline] = ACTIONS(2785),
    [anon_sym___inline] = ACTIONS(2785),
    [anon_sym___inline__] = ACTIONS(2785),
    [anon_sym___forceinline] = ACTIONS(2785),
    [anon_sym_thread_local] = ACTIONS(2785),
    [anon_sym___thread] = ACTIONS(2785),
    [anon_sym_const] = ACTIONS(2785),
    [anon_sym_constexpr] = ACTIONS(2785),
    [anon_sym_volatile] = ACTIONS(2785),
    [anon_sym_restrict] = ACTIONS(2785),
    [anon_sym___restrict__] = ACTIONS(2785),
    [anon_sym__Atomic] = ACTIONS(2785),
    [anon_sym__Noreturn] = ACTIONS(2785),
    [anon_sym_noreturn] = ACTIONS(2785),
    [anon_sym_mutable] = ACTIONS(2785),
    [anon_sym_constinit] = ACTIONS(2785),
    [anon_sym_consteval] = ACTIONS(2785),
    [sym_primitive_type] = ACTIONS(2785),
    [anon_sym_enum] = ACTIONS(2785),
    [anon_sym_class] = ACTIONS(2785),
    [anon_sym_struct] = ACTIONS(2785),
    [anon_sym_union] = ACTIONS(2785),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2785),
    [anon_sym_decltype] = ACTIONS(2785),
    [anon_sym_virtual] = ACTIONS(2785),
    [anon_sym_alignas] = ACTIONS(2785),
    [anon_sym_explicit] = ACTIONS(2785),
    [anon_sym_typename] = ACTIONS(2785),
    [anon_sym_template] = ACTIONS(2785),
    [anon_sym_operator] = ACTIONS(2785),
    [anon_sym_friend] = ACTIONS(2785),
    [anon_sym_public] = ACTIONS(2785),
    [anon_sym_private] = ACTIONS(2785),
    [anon_sym_protected] = ACTIONS(2785),
    [anon_sym_using] = ACTIONS(2785),
    [anon_sym_static_assert] = ACTIONS(2785),
    [anon_sym_precise] = ACTIONS(2785),
    [anon_sym_shared] = ACTIONS(2785),
    [anon_sym_groupshared] = ACTIONS(2785),
    [anon_sym_uniform] = ACTIONS(2785),
    [anon_sym_row_major] = ACTIONS(2785),
    [anon_sym_column_major] = ACTIONS(2785),
    [anon_sym_globallycoherent] = ACTIONS(2785),
    [anon_sym_centroid] = ACTIONS(2785),
    [anon_sym_noperspective] = ACTIONS(2785),
    [anon_sym_nointerpolation] = ACTIONS(2785),
    [anon_sym_sample] = ACTIONS(2785),
    [anon_sym_linear] = ACTIONS(2785),
    [anon_sym_snorm] = ACTIONS(2785),
    [anon_sym_unorm] = ACTIONS(2785),
    [anon_sym_point] = ACTIONS(2785),
    [anon_sym_line] = ACTIONS(2785),
    [anon_sym_triangleadj] = ACTIONS(2785),
    [anon_sym_lineadj] = ACTIONS(2785),
    [anon_sym_triangle] = ACTIONS(2785),
  },
  [2807] = {
    [sym_identifier] = ACTIONS(2789),
    [aux_sym_preproc_def_token1] = ACTIONS(2789),
    [aux_sym_preproc_if_token1] = ACTIONS(2789),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2789),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2789),
    [sym_preproc_directive] = ACTIONS(2789),
    [anon_sym_LPAREN2] = ACTIONS(2791),
    [anon_sym_TILDE] = ACTIONS(2791),
    [anon_sym_STAR] = ACTIONS(2791),
    [anon_sym_AMP_AMP] = ACTIONS(2791),
    [anon_sym_AMP] = ACTIONS(2789),
    [anon_sym___extension__] = ACTIONS(2789),
    [anon_sym_typedef] = ACTIONS(2789),
    [anon_sym_in] = ACTIONS(2789),
    [anon_sym_out] = ACTIONS(2789),
    [anon_sym_inout] = ACTIONS(2789),
    [anon_sym_extern] = ACTIONS(2789),
    [anon_sym___attribute__] = ACTIONS(2789),
    [anon_sym_COLON_COLON] = ACTIONS(2791),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2791),
    [anon_sym___declspec] = ACTIONS(2789),
    [anon_sym___based] = ACTIONS(2789),
    [anon_sym_RBRACE] = ACTIONS(2791),
    [anon_sym_signed] = ACTIONS(2789),
    [anon_sym_unsigned] = ACTIONS(2789),
    [anon_sym_long] = ACTIONS(2789),
    [anon_sym_short] = ACTIONS(2789),
    [anon_sym_LBRACK] = ACTIONS(2789),
    [anon_sym_static] = ACTIONS(2789),
    [anon_sym_register] = ACTIONS(2789),
    [anon_sym_inline] = ACTIONS(2789),
    [anon_sym___inline] = ACTIONS(2789),
    [anon_sym___inline__] = ACTIONS(2789),
    [anon_sym___forceinline] = ACTIONS(2789),
    [anon_sym_thread_local] = ACTIONS(2789),
    [anon_sym___thread] = ACTIONS(2789),
    [anon_sym_const] = ACTIONS(2789),
    [anon_sym_constexpr] = ACTIONS(2789),
    [anon_sym_volatile] = ACTIONS(2789),
    [anon_sym_restrict] = ACTIONS(2789),
    [anon_sym___restrict__] = ACTIONS(2789),
    [anon_sym__Atomic] = ACTIONS(2789),
    [anon_sym__Noreturn] = ACTIONS(2789),
    [anon_sym_noreturn] = ACTIONS(2789),
    [anon_sym_mutable] = ACTIONS(2789),
    [anon_sym_constinit] = ACTIONS(2789),
    [anon_sym_consteval] = ACTIONS(2789),
    [sym_primitive_type] = ACTIONS(2789),
    [anon_sym_enum] = ACTIONS(2789),
    [anon_sym_class] = ACTIONS(2789),
    [anon_sym_struct] = ACTIONS(2789),
    [anon_sym_union] = ACTIONS(2789),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2789),
    [anon_sym_decltype] = ACTIONS(2789),
    [anon_sym_virtual] = ACTIONS(2789),
    [anon_sym_alignas] = ACTIONS(2789),
    [anon_sym_explicit] = ACTIONS(2789),
    [anon_sym_typename] = ACTIONS(2789),
    [anon_sym_template] = ACTIONS(2789),
    [anon_sym_operator] = ACTIONS(2789),
    [anon_sym_friend] = ACTIONS(2789),
    [anon_sym_public] = ACTIONS(2789),
    [anon_sym_private] = ACTIONS(2789),
    [anon_sym_protected] = ACTIONS(2789),
    [anon_sym_using] = ACTIONS(2789),
    [anon_sym_static_assert] = ACTIONS(2789),
    [anon_sym_precise] = ACTIONS(2789),
    [anon_sym_shared] = ACTIONS(2789),
    [anon_sym_groupshared] = ACTIONS(2789),
    [anon_sym_uniform] = ACTIONS(2789),
    [anon_sym_row_major] = ACTIONS(2789),
    [anon_sym_column_major] = ACTIONS(2789),
    [anon_sym_globallycoherent] = ACTIONS(2789),
    [anon_sym_centroid] = ACTIONS(2789),
    [anon_sym_noperspective] = ACTIONS(2789),
    [anon_sym_nointerpolation] = ACTIONS(2789),
    [anon_sym_sample] = ACTIONS(2789),
    [anon_sym_linear] = ACTIONS(2789),
    [anon_sym_snorm] = ACTIONS(2789),
    [anon_sym_unorm] = ACTIONS(2789),
    [anon_sym_point] = ACTIONS(2789),
    [anon_sym_line] = ACTIONS(2789),
    [anon_sym_triangleadj] = ACTIONS(2789),
    [anon_sym_lineadj] = ACTIONS(2789),
    [anon_sym_triangle] = ACTIONS(2789),
  },
  [2808] = {
    [sym_identifier] = ACTIONS(2702),
    [aux_sym_preproc_def_token1] = ACTIONS(2702),
    [aux_sym_preproc_if_token1] = ACTIONS(2702),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2702),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2702),
    [sym_preproc_directive] = ACTIONS(2702),
    [anon_sym_LPAREN2] = ACTIONS(2704),
    [anon_sym_TILDE] = ACTIONS(2704),
    [anon_sym_STAR] = ACTIONS(2704),
    [anon_sym_AMP_AMP] = ACTIONS(2704),
    [anon_sym_AMP] = ACTIONS(2702),
    [anon_sym___extension__] = ACTIONS(2702),
    [anon_sym_typedef] = ACTIONS(2702),
    [anon_sym_in] = ACTIONS(2702),
    [anon_sym_out] = ACTIONS(2702),
    [anon_sym_inout] = ACTIONS(2702),
    [anon_sym_extern] = ACTIONS(2702),
    [anon_sym___attribute__] = ACTIONS(2702),
    [anon_sym_COLON_COLON] = ACTIONS(2704),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2704),
    [anon_sym___declspec] = ACTIONS(2702),
    [anon_sym___based] = ACTIONS(2702),
    [anon_sym_RBRACE] = ACTIONS(2704),
    [anon_sym_signed] = ACTIONS(2702),
    [anon_sym_unsigned] = ACTIONS(2702),
    [anon_sym_long] = ACTIONS(2702),
    [anon_sym_short] = ACTIONS(2702),
    [anon_sym_LBRACK] = ACTIONS(2702),
    [anon_sym_static] = ACTIONS(2702),
    [anon_sym_register] = ACTIONS(2702),
    [anon_sym_inline] = ACTIONS(2702),
    [anon_sym___inline] = ACTIONS(2702),
    [anon_sym___inline__] = ACTIONS(2702),
    [anon_sym___forceinline] = ACTIONS(2702),
    [anon_sym_thread_local] = ACTIONS(2702),
    [anon_sym___thread] = ACTIONS(2702),
    [anon_sym_const] = ACTIONS(2702),
    [anon_sym_constexpr] = ACTIONS(2702),
    [anon_sym_volatile] = ACTIONS(2702),
    [anon_sym_restrict] = ACTIONS(2702),
    [anon_sym___restrict__] = ACTIONS(2702),
    [anon_sym__Atomic] = ACTIONS(2702),
    [anon_sym__Noreturn] = ACTIONS(2702),
    [anon_sym_noreturn] = ACTIONS(2702),
    [anon_sym_mutable] = ACTIONS(2702),
    [anon_sym_constinit] = ACTIONS(2702),
    [anon_sym_consteval] = ACTIONS(2702),
    [sym_primitive_type] = ACTIONS(2702),
    [anon_sym_enum] = ACTIONS(2702),
    [anon_sym_class] = ACTIONS(2702),
    [anon_sym_struct] = ACTIONS(2702),
    [anon_sym_union] = ACTIONS(2702),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2702),
    [anon_sym_decltype] = ACTIONS(2702),
    [anon_sym_virtual] = ACTIONS(2702),
    [anon_sym_alignas] = ACTIONS(2702),
    [anon_sym_explicit] = ACTIONS(2702),
    [anon_sym_typename] = ACTIONS(2702),
    [anon_sym_template] = ACTIONS(2702),
    [anon_sym_operator] = ACTIONS(2702),
    [anon_sym_friend] = ACTIONS(2702),
    [anon_sym_public] = ACTIONS(2702),
    [anon_sym_private] = ACTIONS(2702),
    [anon_sym_protected] = ACTIONS(2702),
    [anon_sym_using] = ACTIONS(2702),
    [anon_sym_static_assert] = ACTIONS(2702),
    [anon_sym_precise] = ACTIONS(2702),
    [anon_sym_shared] = ACTIONS(2702),
    [anon_sym_groupshared] = ACTIONS(2702),
    [anon_sym_uniform] = ACTIONS(2702),
    [anon_sym_row_major] = ACTIONS(2702),
    [anon_sym_column_major] = ACTIONS(2702),
    [anon_sym_globallycoherent] = ACTIONS(2702),
    [anon_sym_centroid] = ACTIONS(2702),
    [anon_sym_noperspective] = ACTIONS(2702),
    [anon_sym_nointerpolation] = ACTIONS(2702),
    [anon_sym_sample] = ACTIONS(2702),
    [anon_sym_linear] = ACTIONS(2702),
    [anon_sym_snorm] = ACTIONS(2702),
    [anon_sym_unorm] = ACTIONS(2702),
    [anon_sym_point] = ACTIONS(2702),
    [anon_sym_line] = ACTIONS(2702),
    [anon_sym_triangleadj] = ACTIONS(2702),
    [anon_sym_lineadj] = ACTIONS(2702),
    [anon_sym_triangle] = ACTIONS(2702),
  },
  [2809] = {
    [sym_identifier] = ACTIONS(2765),
    [aux_sym_preproc_def_token1] = ACTIONS(2765),
    [aux_sym_preproc_if_token1] = ACTIONS(2765),
    [aux_sym_preproc_if_token2] = ACTIONS(2765),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2765),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2765),
    [sym_preproc_directive] = ACTIONS(2765),
    [anon_sym_LPAREN2] = ACTIONS(2767),
    [anon_sym_TILDE] = ACTIONS(2767),
    [anon_sym_STAR] = ACTIONS(2767),
    [anon_sym_AMP_AMP] = ACTIONS(2767),
    [anon_sym_AMP] = ACTIONS(2765),
    [anon_sym___extension__] = ACTIONS(2765),
    [anon_sym_typedef] = ACTIONS(2765),
    [anon_sym_in] = ACTIONS(2765),
    [anon_sym_out] = ACTIONS(2765),
    [anon_sym_inout] = ACTIONS(2765),
    [anon_sym_extern] = ACTIONS(2765),
    [anon_sym___attribute__] = ACTIONS(2765),
    [anon_sym_COLON_COLON] = ACTIONS(2767),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2767),
    [anon_sym___declspec] = ACTIONS(2765),
    [anon_sym___based] = ACTIONS(2765),
    [anon_sym_signed] = ACTIONS(2765),
    [anon_sym_unsigned] = ACTIONS(2765),
    [anon_sym_long] = ACTIONS(2765),
    [anon_sym_short] = ACTIONS(2765),
    [anon_sym_LBRACK] = ACTIONS(2765),
    [anon_sym_static] = ACTIONS(2765),
    [anon_sym_register] = ACTIONS(2765),
    [anon_sym_inline] = ACTIONS(2765),
    [anon_sym___inline] = ACTIONS(2765),
    [anon_sym___inline__] = ACTIONS(2765),
    [anon_sym___forceinline] = ACTIONS(2765),
    [anon_sym_thread_local] = ACTIONS(2765),
    [anon_sym___thread] = ACTIONS(2765),
    [anon_sym_const] = ACTIONS(2765),
    [anon_sym_constexpr] = ACTIONS(2765),
    [anon_sym_volatile] = ACTIONS(2765),
    [anon_sym_restrict] = ACTIONS(2765),
    [anon_sym___restrict__] = ACTIONS(2765),
    [anon_sym__Atomic] = ACTIONS(2765),
    [anon_sym__Noreturn] = ACTIONS(2765),
    [anon_sym_noreturn] = ACTIONS(2765),
    [anon_sym_mutable] = ACTIONS(2765),
    [anon_sym_constinit] = ACTIONS(2765),
    [anon_sym_consteval] = ACTIONS(2765),
    [sym_primitive_type] = ACTIONS(2765),
    [anon_sym_enum] = ACTIONS(2765),
    [anon_sym_class] = ACTIONS(2765),
    [anon_sym_struct] = ACTIONS(2765),
    [anon_sym_union] = ACTIONS(2765),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2765),
    [anon_sym_decltype] = ACTIONS(2765),
    [anon_sym_virtual] = ACTIONS(2765),
    [anon_sym_alignas] = ACTIONS(2765),
    [anon_sym_explicit] = ACTIONS(2765),
    [anon_sym_typename] = ACTIONS(2765),
    [anon_sym_template] = ACTIONS(2765),
    [anon_sym_operator] = ACTIONS(2765),
    [anon_sym_friend] = ACTIONS(2765),
    [anon_sym_public] = ACTIONS(2765),
    [anon_sym_private] = ACTIONS(2765),
    [anon_sym_protected] = ACTIONS(2765),
    [anon_sym_using] = ACTIONS(2765),
    [anon_sym_static_assert] = ACTIONS(2765),
    [anon_sym_precise] = ACTIONS(2765),
    [anon_sym_shared] = ACTIONS(2765),
    [anon_sym_groupshared] = ACTIONS(2765),
    [anon_sym_uniform] = ACTIONS(2765),
    [anon_sym_row_major] = ACTIONS(2765),
    [anon_sym_column_major] = ACTIONS(2765),
    [anon_sym_globallycoherent] = ACTIONS(2765),
    [anon_sym_centroid] = ACTIONS(2765),
    [anon_sym_noperspective] = ACTIONS(2765),
    [anon_sym_nointerpolation] = ACTIONS(2765),
    [anon_sym_sample] = ACTIONS(2765),
    [anon_sym_linear] = ACTIONS(2765),
    [anon_sym_snorm] = ACTIONS(2765),
    [anon_sym_unorm] = ACTIONS(2765),
    [anon_sym_point] = ACTIONS(2765),
    [anon_sym_line] = ACTIONS(2765),
    [anon_sym_triangleadj] = ACTIONS(2765),
    [anon_sym_lineadj] = ACTIONS(2765),
    [anon_sym_triangle] = ACTIONS(2765),
  },
  [2810] = {
    [sym_identifier] = ACTIONS(5679),
    [aux_sym_preproc_def_token1] = ACTIONS(5679),
    [aux_sym_preproc_if_token1] = ACTIONS(5679),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5679),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5679),
    [sym_preproc_directive] = ACTIONS(5679),
    [anon_sym_LPAREN2] = ACTIONS(5681),
    [anon_sym_TILDE] = ACTIONS(5681),
    [anon_sym_STAR] = ACTIONS(5681),
    [anon_sym_AMP_AMP] = ACTIONS(5681),
    [anon_sym_AMP] = ACTIONS(5679),
    [anon_sym___extension__] = ACTIONS(5679),
    [anon_sym_typedef] = ACTIONS(5679),
    [anon_sym_in] = ACTIONS(5679),
    [anon_sym_out] = ACTIONS(5679),
    [anon_sym_inout] = ACTIONS(5679),
    [anon_sym_extern] = ACTIONS(5679),
    [anon_sym___attribute__] = ACTIONS(5679),
    [anon_sym_COLON_COLON] = ACTIONS(5681),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5681),
    [anon_sym___declspec] = ACTIONS(5679),
    [anon_sym___based] = ACTIONS(5679),
    [anon_sym_RBRACE] = ACTIONS(5681),
    [anon_sym_signed] = ACTIONS(5679),
    [anon_sym_unsigned] = ACTIONS(5679),
    [anon_sym_long] = ACTIONS(5679),
    [anon_sym_short] = ACTIONS(5679),
    [anon_sym_LBRACK] = ACTIONS(5679),
    [anon_sym_static] = ACTIONS(5679),
    [anon_sym_register] = ACTIONS(5679),
    [anon_sym_inline] = ACTIONS(5679),
    [anon_sym___inline] = ACTIONS(5679),
    [anon_sym___inline__] = ACTIONS(5679),
    [anon_sym___forceinline] = ACTIONS(5679),
    [anon_sym_thread_local] = ACTIONS(5679),
    [anon_sym___thread] = ACTIONS(5679),
    [anon_sym_const] = ACTIONS(5679),
    [anon_sym_constexpr] = ACTIONS(5679),
    [anon_sym_volatile] = ACTIONS(5679),
    [anon_sym_restrict] = ACTIONS(5679),
    [anon_sym___restrict__] = ACTIONS(5679),
    [anon_sym__Atomic] = ACTIONS(5679),
    [anon_sym__Noreturn] = ACTIONS(5679),
    [anon_sym_noreturn] = ACTIONS(5679),
    [anon_sym_mutable] = ACTIONS(5679),
    [anon_sym_constinit] = ACTIONS(5679),
    [anon_sym_consteval] = ACTIONS(5679),
    [sym_primitive_type] = ACTIONS(5679),
    [anon_sym_enum] = ACTIONS(5679),
    [anon_sym_class] = ACTIONS(5679),
    [anon_sym_struct] = ACTIONS(5679),
    [anon_sym_union] = ACTIONS(5679),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5679),
    [anon_sym_decltype] = ACTIONS(5679),
    [anon_sym_virtual] = ACTIONS(5679),
    [anon_sym_alignas] = ACTIONS(5679),
    [anon_sym_explicit] = ACTIONS(5679),
    [anon_sym_typename] = ACTIONS(5679),
    [anon_sym_template] = ACTIONS(5679),
    [anon_sym_operator] = ACTIONS(5679),
    [anon_sym_friend] = ACTIONS(5679),
    [anon_sym_public] = ACTIONS(5679),
    [anon_sym_private] = ACTIONS(5679),
    [anon_sym_protected] = ACTIONS(5679),
    [anon_sym_using] = ACTIONS(5679),
    [anon_sym_static_assert] = ACTIONS(5679),
    [anon_sym_precise] = ACTIONS(5679),
    [anon_sym_shared] = ACTIONS(5679),
    [anon_sym_groupshared] = ACTIONS(5679),
    [anon_sym_uniform] = ACTIONS(5679),
    [anon_sym_row_major] = ACTIONS(5679),
    [anon_sym_column_major] = ACTIONS(5679),
    [anon_sym_globallycoherent] = ACTIONS(5679),
    [anon_sym_centroid] = ACTIONS(5679),
    [anon_sym_noperspective] = ACTIONS(5679),
    [anon_sym_nointerpolation] = ACTIONS(5679),
    [anon_sym_sample] = ACTIONS(5679),
    [anon_sym_linear] = ACTIONS(5679),
    [anon_sym_snorm] = ACTIONS(5679),
    [anon_sym_unorm] = ACTIONS(5679),
    [anon_sym_point] = ACTIONS(5679),
    [anon_sym_line] = ACTIONS(5679),
    [anon_sym_triangleadj] = ACTIONS(5679),
    [anon_sym_lineadj] = ACTIONS(5679),
    [anon_sym_triangle] = ACTIONS(5679),
  },
  [2811] = {
    [sym_identifier] = ACTIONS(2318),
    [aux_sym_preproc_def_token1] = ACTIONS(2318),
    [aux_sym_preproc_if_token1] = ACTIONS(2318),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2318),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2318),
    [sym_preproc_directive] = ACTIONS(2318),
    [anon_sym_LPAREN2] = ACTIONS(2320),
    [anon_sym_TILDE] = ACTIONS(2320),
    [anon_sym_STAR] = ACTIONS(2320),
    [anon_sym_AMP_AMP] = ACTIONS(2320),
    [anon_sym_AMP] = ACTIONS(2318),
    [anon_sym___extension__] = ACTIONS(2318),
    [anon_sym_typedef] = ACTIONS(2318),
    [anon_sym_in] = ACTIONS(2318),
    [anon_sym_out] = ACTIONS(2318),
    [anon_sym_inout] = ACTIONS(2318),
    [anon_sym_extern] = ACTIONS(2318),
    [anon_sym___attribute__] = ACTIONS(2318),
    [anon_sym_COLON_COLON] = ACTIONS(2320),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2320),
    [anon_sym___declspec] = ACTIONS(2318),
    [anon_sym___based] = ACTIONS(2318),
    [anon_sym_RBRACE] = ACTIONS(2320),
    [anon_sym_signed] = ACTIONS(2318),
    [anon_sym_unsigned] = ACTIONS(2318),
    [anon_sym_long] = ACTIONS(2318),
    [anon_sym_short] = ACTIONS(2318),
    [anon_sym_LBRACK] = ACTIONS(2318),
    [anon_sym_static] = ACTIONS(2318),
    [anon_sym_register] = ACTIONS(2318),
    [anon_sym_inline] = ACTIONS(2318),
    [anon_sym___inline] = ACTIONS(2318),
    [anon_sym___inline__] = ACTIONS(2318),
    [anon_sym___forceinline] = ACTIONS(2318),
    [anon_sym_thread_local] = ACTIONS(2318),
    [anon_sym___thread] = ACTIONS(2318),
    [anon_sym_const] = ACTIONS(2318),
    [anon_sym_constexpr] = ACTIONS(2318),
    [anon_sym_volatile] = ACTIONS(2318),
    [anon_sym_restrict] = ACTIONS(2318),
    [anon_sym___restrict__] = ACTIONS(2318),
    [anon_sym__Atomic] = ACTIONS(2318),
    [anon_sym__Noreturn] = ACTIONS(2318),
    [anon_sym_noreturn] = ACTIONS(2318),
    [anon_sym_mutable] = ACTIONS(2318),
    [anon_sym_constinit] = ACTIONS(2318),
    [anon_sym_consteval] = ACTIONS(2318),
    [sym_primitive_type] = ACTIONS(2318),
    [anon_sym_enum] = ACTIONS(2318),
    [anon_sym_class] = ACTIONS(2318),
    [anon_sym_struct] = ACTIONS(2318),
    [anon_sym_union] = ACTIONS(2318),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2318),
    [anon_sym_decltype] = ACTIONS(2318),
    [anon_sym_virtual] = ACTIONS(2318),
    [anon_sym_alignas] = ACTIONS(2318),
    [anon_sym_explicit] = ACTIONS(2318),
    [anon_sym_typename] = ACTIONS(2318),
    [anon_sym_template] = ACTIONS(2318),
    [anon_sym_operator] = ACTIONS(2318),
    [anon_sym_friend] = ACTIONS(2318),
    [anon_sym_public] = ACTIONS(2318),
    [anon_sym_private] = ACTIONS(2318),
    [anon_sym_protected] = ACTIONS(2318),
    [anon_sym_using] = ACTIONS(2318),
    [anon_sym_static_assert] = ACTIONS(2318),
    [anon_sym_precise] = ACTIONS(2318),
    [anon_sym_shared] = ACTIONS(2318),
    [anon_sym_groupshared] = ACTIONS(2318),
    [anon_sym_uniform] = ACTIONS(2318),
    [anon_sym_row_major] = ACTIONS(2318),
    [anon_sym_column_major] = ACTIONS(2318),
    [anon_sym_globallycoherent] = ACTIONS(2318),
    [anon_sym_centroid] = ACTIONS(2318),
    [anon_sym_noperspective] = ACTIONS(2318),
    [anon_sym_nointerpolation] = ACTIONS(2318),
    [anon_sym_sample] = ACTIONS(2318),
    [anon_sym_linear] = ACTIONS(2318),
    [anon_sym_snorm] = ACTIONS(2318),
    [anon_sym_unorm] = ACTIONS(2318),
    [anon_sym_point] = ACTIONS(2318),
    [anon_sym_line] = ACTIONS(2318),
    [anon_sym_triangleadj] = ACTIONS(2318),
    [anon_sym_lineadj] = ACTIONS(2318),
    [anon_sym_triangle] = ACTIONS(2318),
  },
  [2812] = {
    [sym_identifier] = ACTIONS(2769),
    [aux_sym_preproc_def_token1] = ACTIONS(2769),
    [aux_sym_preproc_if_token1] = ACTIONS(2769),
    [aux_sym_preproc_if_token2] = ACTIONS(2769),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2769),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2769),
    [sym_preproc_directive] = ACTIONS(2769),
    [anon_sym_LPAREN2] = ACTIONS(2771),
    [anon_sym_TILDE] = ACTIONS(2771),
    [anon_sym_STAR] = ACTIONS(2771),
    [anon_sym_AMP_AMP] = ACTIONS(2771),
    [anon_sym_AMP] = ACTIONS(2769),
    [anon_sym___extension__] = ACTIONS(2769),
    [anon_sym_typedef] = ACTIONS(2769),
    [anon_sym_in] = ACTIONS(2769),
    [anon_sym_out] = ACTIONS(2769),
    [anon_sym_inout] = ACTIONS(2769),
    [anon_sym_extern] = ACTIONS(2769),
    [anon_sym___attribute__] = ACTIONS(2769),
    [anon_sym_COLON_COLON] = ACTIONS(2771),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2771),
    [anon_sym___declspec] = ACTIONS(2769),
    [anon_sym___based] = ACTIONS(2769),
    [anon_sym_signed] = ACTIONS(2769),
    [anon_sym_unsigned] = ACTIONS(2769),
    [anon_sym_long] = ACTIONS(2769),
    [anon_sym_short] = ACTIONS(2769),
    [anon_sym_LBRACK] = ACTIONS(2769),
    [anon_sym_static] = ACTIONS(2769),
    [anon_sym_register] = ACTIONS(2769),
    [anon_sym_inline] = ACTIONS(2769),
    [anon_sym___inline] = ACTIONS(2769),
    [anon_sym___inline__] = ACTIONS(2769),
    [anon_sym___forceinline] = ACTIONS(2769),
    [anon_sym_thread_local] = ACTIONS(2769),
    [anon_sym___thread] = ACTIONS(2769),
    [anon_sym_const] = ACTIONS(2769),
    [anon_sym_constexpr] = ACTIONS(2769),
    [anon_sym_volatile] = ACTIONS(2769),
    [anon_sym_restrict] = ACTIONS(2769),
    [anon_sym___restrict__] = ACTIONS(2769),
    [anon_sym__Atomic] = ACTIONS(2769),
    [anon_sym__Noreturn] = ACTIONS(2769),
    [anon_sym_noreturn] = ACTIONS(2769),
    [anon_sym_mutable] = ACTIONS(2769),
    [anon_sym_constinit] = ACTIONS(2769),
    [anon_sym_consteval] = ACTIONS(2769),
    [sym_primitive_type] = ACTIONS(2769),
    [anon_sym_enum] = ACTIONS(2769),
    [anon_sym_class] = ACTIONS(2769),
    [anon_sym_struct] = ACTIONS(2769),
    [anon_sym_union] = ACTIONS(2769),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2769),
    [anon_sym_decltype] = ACTIONS(2769),
    [anon_sym_virtual] = ACTIONS(2769),
    [anon_sym_alignas] = ACTIONS(2769),
    [anon_sym_explicit] = ACTIONS(2769),
    [anon_sym_typename] = ACTIONS(2769),
    [anon_sym_template] = ACTIONS(2769),
    [anon_sym_operator] = ACTIONS(2769),
    [anon_sym_friend] = ACTIONS(2769),
    [anon_sym_public] = ACTIONS(2769),
    [anon_sym_private] = ACTIONS(2769),
    [anon_sym_protected] = ACTIONS(2769),
    [anon_sym_using] = ACTIONS(2769),
    [anon_sym_static_assert] = ACTIONS(2769),
    [anon_sym_precise] = ACTIONS(2769),
    [anon_sym_shared] = ACTIONS(2769),
    [anon_sym_groupshared] = ACTIONS(2769),
    [anon_sym_uniform] = ACTIONS(2769),
    [anon_sym_row_major] = ACTIONS(2769),
    [anon_sym_column_major] = ACTIONS(2769),
    [anon_sym_globallycoherent] = ACTIONS(2769),
    [anon_sym_centroid] = ACTIONS(2769),
    [anon_sym_noperspective] = ACTIONS(2769),
    [anon_sym_nointerpolation] = ACTIONS(2769),
    [anon_sym_sample] = ACTIONS(2769),
    [anon_sym_linear] = ACTIONS(2769),
    [anon_sym_snorm] = ACTIONS(2769),
    [anon_sym_unorm] = ACTIONS(2769),
    [anon_sym_point] = ACTIONS(2769),
    [anon_sym_line] = ACTIONS(2769),
    [anon_sym_triangleadj] = ACTIONS(2769),
    [anon_sym_lineadj] = ACTIONS(2769),
    [anon_sym_triangle] = ACTIONS(2769),
  },
  [2813] = {
    [sym_identifier] = ACTIONS(2625),
    [aux_sym_preproc_def_token1] = ACTIONS(2625),
    [aux_sym_preproc_if_token1] = ACTIONS(2625),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2625),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2625),
    [sym_preproc_directive] = ACTIONS(2625),
    [anon_sym_LPAREN2] = ACTIONS(2627),
    [anon_sym_TILDE] = ACTIONS(2627),
    [anon_sym_STAR] = ACTIONS(2627),
    [anon_sym_AMP_AMP] = ACTIONS(2627),
    [anon_sym_AMP] = ACTIONS(2625),
    [anon_sym___extension__] = ACTIONS(2625),
    [anon_sym_typedef] = ACTIONS(2625),
    [anon_sym_in] = ACTIONS(2625),
    [anon_sym_out] = ACTIONS(2625),
    [anon_sym_inout] = ACTIONS(2625),
    [anon_sym_extern] = ACTIONS(2625),
    [anon_sym___attribute__] = ACTIONS(2625),
    [anon_sym_COLON_COLON] = ACTIONS(2627),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2627),
    [anon_sym___declspec] = ACTIONS(2625),
    [anon_sym___based] = ACTIONS(2625),
    [anon_sym_RBRACE] = ACTIONS(2627),
    [anon_sym_signed] = ACTIONS(2625),
    [anon_sym_unsigned] = ACTIONS(2625),
    [anon_sym_long] = ACTIONS(2625),
    [anon_sym_short] = ACTIONS(2625),
    [anon_sym_LBRACK] = ACTIONS(2625),
    [anon_sym_static] = ACTIONS(2625),
    [anon_sym_register] = ACTIONS(2625),
    [anon_sym_inline] = ACTIONS(2625),
    [anon_sym___inline] = ACTIONS(2625),
    [anon_sym___inline__] = ACTIONS(2625),
    [anon_sym___forceinline] = ACTIONS(2625),
    [anon_sym_thread_local] = ACTIONS(2625),
    [anon_sym___thread] = ACTIONS(2625),
    [anon_sym_const] = ACTIONS(2625),
    [anon_sym_constexpr] = ACTIONS(2625),
    [anon_sym_volatile] = ACTIONS(2625),
    [anon_sym_restrict] = ACTIONS(2625),
    [anon_sym___restrict__] = ACTIONS(2625),
    [anon_sym__Atomic] = ACTIONS(2625),
    [anon_sym__Noreturn] = ACTIONS(2625),
    [anon_sym_noreturn] = ACTIONS(2625),
    [anon_sym_mutable] = ACTIONS(2625),
    [anon_sym_constinit] = ACTIONS(2625),
    [anon_sym_consteval] = ACTIONS(2625),
    [sym_primitive_type] = ACTIONS(2625),
    [anon_sym_enum] = ACTIONS(2625),
    [anon_sym_class] = ACTIONS(2625),
    [anon_sym_struct] = ACTIONS(2625),
    [anon_sym_union] = ACTIONS(2625),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2625),
    [anon_sym_decltype] = ACTIONS(2625),
    [anon_sym_virtual] = ACTIONS(2625),
    [anon_sym_alignas] = ACTIONS(2625),
    [anon_sym_explicit] = ACTIONS(2625),
    [anon_sym_typename] = ACTIONS(2625),
    [anon_sym_template] = ACTIONS(2625),
    [anon_sym_operator] = ACTIONS(2625),
    [anon_sym_friend] = ACTIONS(2625),
    [anon_sym_public] = ACTIONS(2625),
    [anon_sym_private] = ACTIONS(2625),
    [anon_sym_protected] = ACTIONS(2625),
    [anon_sym_using] = ACTIONS(2625),
    [anon_sym_static_assert] = ACTIONS(2625),
    [anon_sym_precise] = ACTIONS(2625),
    [anon_sym_shared] = ACTIONS(2625),
    [anon_sym_groupshared] = ACTIONS(2625),
    [anon_sym_uniform] = ACTIONS(2625),
    [anon_sym_row_major] = ACTIONS(2625),
    [anon_sym_column_major] = ACTIONS(2625),
    [anon_sym_globallycoherent] = ACTIONS(2625),
    [anon_sym_centroid] = ACTIONS(2625),
    [anon_sym_noperspective] = ACTIONS(2625),
    [anon_sym_nointerpolation] = ACTIONS(2625),
    [anon_sym_sample] = ACTIONS(2625),
    [anon_sym_linear] = ACTIONS(2625),
    [anon_sym_snorm] = ACTIONS(2625),
    [anon_sym_unorm] = ACTIONS(2625),
    [anon_sym_point] = ACTIONS(2625),
    [anon_sym_line] = ACTIONS(2625),
    [anon_sym_triangleadj] = ACTIONS(2625),
    [anon_sym_lineadj] = ACTIONS(2625),
    [anon_sym_triangle] = ACTIONS(2625),
  },
  [2814] = {
    [sym_identifier] = ACTIONS(2641),
    [aux_sym_preproc_def_token1] = ACTIONS(2641),
    [aux_sym_preproc_if_token1] = ACTIONS(2641),
    [aux_sym_preproc_if_token2] = ACTIONS(2641),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2641),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2641),
    [sym_preproc_directive] = ACTIONS(2641),
    [anon_sym_LPAREN2] = ACTIONS(2643),
    [anon_sym_TILDE] = ACTIONS(2643),
    [anon_sym_STAR] = ACTIONS(2643),
    [anon_sym_AMP_AMP] = ACTIONS(2643),
    [anon_sym_AMP] = ACTIONS(2641),
    [anon_sym___extension__] = ACTIONS(2641),
    [anon_sym_typedef] = ACTIONS(2641),
    [anon_sym_in] = ACTIONS(2641),
    [anon_sym_out] = ACTIONS(2641),
    [anon_sym_inout] = ACTIONS(2641),
    [anon_sym_extern] = ACTIONS(2641),
    [anon_sym___attribute__] = ACTIONS(2641),
    [anon_sym_COLON_COLON] = ACTIONS(2643),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2643),
    [anon_sym___declspec] = ACTIONS(2641),
    [anon_sym___based] = ACTIONS(2641),
    [anon_sym_signed] = ACTIONS(2641),
    [anon_sym_unsigned] = ACTIONS(2641),
    [anon_sym_long] = ACTIONS(2641),
    [anon_sym_short] = ACTIONS(2641),
    [anon_sym_LBRACK] = ACTIONS(2641),
    [anon_sym_static] = ACTIONS(2641),
    [anon_sym_register] = ACTIONS(2641),
    [anon_sym_inline] = ACTIONS(2641),
    [anon_sym___inline] = ACTIONS(2641),
    [anon_sym___inline__] = ACTIONS(2641),
    [anon_sym___forceinline] = ACTIONS(2641),
    [anon_sym_thread_local] = ACTIONS(2641),
    [anon_sym___thread] = ACTIONS(2641),
    [anon_sym_const] = ACTIONS(2641),
    [anon_sym_constexpr] = ACTIONS(2641),
    [anon_sym_volatile] = ACTIONS(2641),
    [anon_sym_restrict] = ACTIONS(2641),
    [anon_sym___restrict__] = ACTIONS(2641),
    [anon_sym__Atomic] = ACTIONS(2641),
    [anon_sym__Noreturn] = ACTIONS(2641),
    [anon_sym_noreturn] = ACTIONS(2641),
    [anon_sym_mutable] = ACTIONS(2641),
    [anon_sym_constinit] = ACTIONS(2641),
    [anon_sym_consteval] = ACTIONS(2641),
    [sym_primitive_type] = ACTIONS(2641),
    [anon_sym_enum] = ACTIONS(2641),
    [anon_sym_class] = ACTIONS(2641),
    [anon_sym_struct] = ACTIONS(2641),
    [anon_sym_union] = ACTIONS(2641),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2641),
    [anon_sym_decltype] = ACTIONS(2641),
    [anon_sym_virtual] = ACTIONS(2641),
    [anon_sym_alignas] = ACTIONS(2641),
    [anon_sym_explicit] = ACTIONS(2641),
    [anon_sym_typename] = ACTIONS(2641),
    [anon_sym_template] = ACTIONS(2641),
    [anon_sym_operator] = ACTIONS(2641),
    [anon_sym_friend] = ACTIONS(2641),
    [anon_sym_public] = ACTIONS(2641),
    [anon_sym_private] = ACTIONS(2641),
    [anon_sym_protected] = ACTIONS(2641),
    [anon_sym_using] = ACTIONS(2641),
    [anon_sym_static_assert] = ACTIONS(2641),
    [anon_sym_precise] = ACTIONS(2641),
    [anon_sym_shared] = ACTIONS(2641),
    [anon_sym_groupshared] = ACTIONS(2641),
    [anon_sym_uniform] = ACTIONS(2641),
    [anon_sym_row_major] = ACTIONS(2641),
    [anon_sym_column_major] = ACTIONS(2641),
    [anon_sym_globallycoherent] = ACTIONS(2641),
    [anon_sym_centroid] = ACTIONS(2641),
    [anon_sym_noperspective] = ACTIONS(2641),
    [anon_sym_nointerpolation] = ACTIONS(2641),
    [anon_sym_sample] = ACTIONS(2641),
    [anon_sym_linear] = ACTIONS(2641),
    [anon_sym_snorm] = ACTIONS(2641),
    [anon_sym_unorm] = ACTIONS(2641),
    [anon_sym_point] = ACTIONS(2641),
    [anon_sym_line] = ACTIONS(2641),
    [anon_sym_triangleadj] = ACTIONS(2641),
    [anon_sym_lineadj] = ACTIONS(2641),
    [anon_sym_triangle] = ACTIONS(2641),
  },
  [2815] = {
    [sym_identifier] = ACTIONS(2608),
    [aux_sym_preproc_def_token1] = ACTIONS(2608),
    [aux_sym_preproc_if_token1] = ACTIONS(2608),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2608),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2608),
    [sym_preproc_directive] = ACTIONS(2608),
    [anon_sym_LPAREN2] = ACTIONS(2610),
    [anon_sym_TILDE] = ACTIONS(2610),
    [anon_sym_STAR] = ACTIONS(2610),
    [anon_sym_AMP_AMP] = ACTIONS(2610),
    [anon_sym_AMP] = ACTIONS(2608),
    [anon_sym___extension__] = ACTIONS(2608),
    [anon_sym_typedef] = ACTIONS(2608),
    [anon_sym_in] = ACTIONS(2608),
    [anon_sym_out] = ACTIONS(2608),
    [anon_sym_inout] = ACTIONS(2608),
    [anon_sym_extern] = ACTIONS(2608),
    [anon_sym___attribute__] = ACTIONS(2608),
    [anon_sym_COLON_COLON] = ACTIONS(2610),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2610),
    [anon_sym___declspec] = ACTIONS(2608),
    [anon_sym___based] = ACTIONS(2608),
    [anon_sym_RBRACE] = ACTIONS(2610),
    [anon_sym_signed] = ACTIONS(2608),
    [anon_sym_unsigned] = ACTIONS(2608),
    [anon_sym_long] = ACTIONS(2608),
    [anon_sym_short] = ACTIONS(2608),
    [anon_sym_LBRACK] = ACTIONS(2608),
    [anon_sym_static] = ACTIONS(2608),
    [anon_sym_register] = ACTIONS(2608),
    [anon_sym_inline] = ACTIONS(2608),
    [anon_sym___inline] = ACTIONS(2608),
    [anon_sym___inline__] = ACTIONS(2608),
    [anon_sym___forceinline] = ACTIONS(2608),
    [anon_sym_thread_local] = ACTIONS(2608),
    [anon_sym___thread] = ACTIONS(2608),
    [anon_sym_const] = ACTIONS(2608),
    [anon_sym_constexpr] = ACTIONS(2608),
    [anon_sym_volatile] = ACTIONS(2608),
    [anon_sym_restrict] = ACTIONS(2608),
    [anon_sym___restrict__] = ACTIONS(2608),
    [anon_sym__Atomic] = ACTIONS(2608),
    [anon_sym__Noreturn] = ACTIONS(2608),
    [anon_sym_noreturn] = ACTIONS(2608),
    [anon_sym_mutable] = ACTIONS(2608),
    [anon_sym_constinit] = ACTIONS(2608),
    [anon_sym_consteval] = ACTIONS(2608),
    [sym_primitive_type] = ACTIONS(2608),
    [anon_sym_enum] = ACTIONS(2608),
    [anon_sym_class] = ACTIONS(2608),
    [anon_sym_struct] = ACTIONS(2608),
    [anon_sym_union] = ACTIONS(2608),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2608),
    [anon_sym_decltype] = ACTIONS(2608),
    [anon_sym_virtual] = ACTIONS(2608),
    [anon_sym_alignas] = ACTIONS(2608),
    [anon_sym_explicit] = ACTIONS(2608),
    [anon_sym_typename] = ACTIONS(2608),
    [anon_sym_template] = ACTIONS(2608),
    [anon_sym_operator] = ACTIONS(2608),
    [anon_sym_friend] = ACTIONS(2608),
    [anon_sym_public] = ACTIONS(2608),
    [anon_sym_private] = ACTIONS(2608),
    [anon_sym_protected] = ACTIONS(2608),
    [anon_sym_using] = ACTIONS(2608),
    [anon_sym_static_assert] = ACTIONS(2608),
    [anon_sym_precise] = ACTIONS(2608),
    [anon_sym_shared] = ACTIONS(2608),
    [anon_sym_groupshared] = ACTIONS(2608),
    [anon_sym_uniform] = ACTIONS(2608),
    [anon_sym_row_major] = ACTIONS(2608),
    [anon_sym_column_major] = ACTIONS(2608),
    [anon_sym_globallycoherent] = ACTIONS(2608),
    [anon_sym_centroid] = ACTIONS(2608),
    [anon_sym_noperspective] = ACTIONS(2608),
    [anon_sym_nointerpolation] = ACTIONS(2608),
    [anon_sym_sample] = ACTIONS(2608),
    [anon_sym_linear] = ACTIONS(2608),
    [anon_sym_snorm] = ACTIONS(2608),
    [anon_sym_unorm] = ACTIONS(2608),
    [anon_sym_point] = ACTIONS(2608),
    [anon_sym_line] = ACTIONS(2608),
    [anon_sym_triangleadj] = ACTIONS(2608),
    [anon_sym_lineadj] = ACTIONS(2608),
    [anon_sym_triangle] = ACTIONS(2608),
  },
  [2816] = {
    [sym_identifier] = ACTIONS(2809),
    [aux_sym_preproc_def_token1] = ACTIONS(2809),
    [aux_sym_preproc_if_token1] = ACTIONS(2809),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2809),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2809),
    [sym_preproc_directive] = ACTIONS(2809),
    [anon_sym_LPAREN2] = ACTIONS(2811),
    [anon_sym_TILDE] = ACTIONS(2811),
    [anon_sym_STAR] = ACTIONS(2811),
    [anon_sym_AMP_AMP] = ACTIONS(2811),
    [anon_sym_AMP] = ACTIONS(2809),
    [anon_sym___extension__] = ACTIONS(2809),
    [anon_sym_typedef] = ACTIONS(2809),
    [anon_sym_in] = ACTIONS(2809),
    [anon_sym_out] = ACTIONS(2809),
    [anon_sym_inout] = ACTIONS(2809),
    [anon_sym_extern] = ACTIONS(2809),
    [anon_sym___attribute__] = ACTIONS(2809),
    [anon_sym_COLON_COLON] = ACTIONS(2811),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2811),
    [anon_sym___declspec] = ACTIONS(2809),
    [anon_sym___based] = ACTIONS(2809),
    [anon_sym_RBRACE] = ACTIONS(2811),
    [anon_sym_signed] = ACTIONS(2809),
    [anon_sym_unsigned] = ACTIONS(2809),
    [anon_sym_long] = ACTIONS(2809),
    [anon_sym_short] = ACTIONS(2809),
    [anon_sym_LBRACK] = ACTIONS(2809),
    [anon_sym_static] = ACTIONS(2809),
    [anon_sym_register] = ACTIONS(2809),
    [anon_sym_inline] = ACTIONS(2809),
    [anon_sym___inline] = ACTIONS(2809),
    [anon_sym___inline__] = ACTIONS(2809),
    [anon_sym___forceinline] = ACTIONS(2809),
    [anon_sym_thread_local] = ACTIONS(2809),
    [anon_sym___thread] = ACTIONS(2809),
    [anon_sym_const] = ACTIONS(2809),
    [anon_sym_constexpr] = ACTIONS(2809),
    [anon_sym_volatile] = ACTIONS(2809),
    [anon_sym_restrict] = ACTIONS(2809),
    [anon_sym___restrict__] = ACTIONS(2809),
    [anon_sym__Atomic] = ACTIONS(2809),
    [anon_sym__Noreturn] = ACTIONS(2809),
    [anon_sym_noreturn] = ACTIONS(2809),
    [anon_sym_mutable] = ACTIONS(2809),
    [anon_sym_constinit] = ACTIONS(2809),
    [anon_sym_consteval] = ACTIONS(2809),
    [sym_primitive_type] = ACTIONS(2809),
    [anon_sym_enum] = ACTIONS(2809),
    [anon_sym_class] = ACTIONS(2809),
    [anon_sym_struct] = ACTIONS(2809),
    [anon_sym_union] = ACTIONS(2809),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2809),
    [anon_sym_decltype] = ACTIONS(2809),
    [anon_sym_virtual] = ACTIONS(2809),
    [anon_sym_alignas] = ACTIONS(2809),
    [anon_sym_explicit] = ACTIONS(2809),
    [anon_sym_typename] = ACTIONS(2809),
    [anon_sym_template] = ACTIONS(2809),
    [anon_sym_operator] = ACTIONS(2809),
    [anon_sym_friend] = ACTIONS(2809),
    [anon_sym_public] = ACTIONS(2809),
    [anon_sym_private] = ACTIONS(2809),
    [anon_sym_protected] = ACTIONS(2809),
    [anon_sym_using] = ACTIONS(2809),
    [anon_sym_static_assert] = ACTIONS(2809),
    [anon_sym_precise] = ACTIONS(2809),
    [anon_sym_shared] = ACTIONS(2809),
    [anon_sym_groupshared] = ACTIONS(2809),
    [anon_sym_uniform] = ACTIONS(2809),
    [anon_sym_row_major] = ACTIONS(2809),
    [anon_sym_column_major] = ACTIONS(2809),
    [anon_sym_globallycoherent] = ACTIONS(2809),
    [anon_sym_centroid] = ACTIONS(2809),
    [anon_sym_noperspective] = ACTIONS(2809),
    [anon_sym_nointerpolation] = ACTIONS(2809),
    [anon_sym_sample] = ACTIONS(2809),
    [anon_sym_linear] = ACTIONS(2809),
    [anon_sym_snorm] = ACTIONS(2809),
    [anon_sym_unorm] = ACTIONS(2809),
    [anon_sym_point] = ACTIONS(2809),
    [anon_sym_line] = ACTIONS(2809),
    [anon_sym_triangleadj] = ACTIONS(2809),
    [anon_sym_lineadj] = ACTIONS(2809),
    [anon_sym_triangle] = ACTIONS(2809),
  },
  [2817] = {
    [sym_identifier] = ACTIONS(2637),
    [aux_sym_preproc_def_token1] = ACTIONS(2637),
    [aux_sym_preproc_if_token1] = ACTIONS(2637),
    [aux_sym_preproc_if_token2] = ACTIONS(2637),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2637),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2637),
    [sym_preproc_directive] = ACTIONS(2637),
    [anon_sym_LPAREN2] = ACTIONS(2639),
    [anon_sym_TILDE] = ACTIONS(2639),
    [anon_sym_STAR] = ACTIONS(2639),
    [anon_sym_AMP_AMP] = ACTIONS(2639),
    [anon_sym_AMP] = ACTIONS(2637),
    [anon_sym___extension__] = ACTIONS(2637),
    [anon_sym_typedef] = ACTIONS(2637),
    [anon_sym_in] = ACTIONS(2637),
    [anon_sym_out] = ACTIONS(2637),
    [anon_sym_inout] = ACTIONS(2637),
    [anon_sym_extern] = ACTIONS(2637),
    [anon_sym___attribute__] = ACTIONS(2637),
    [anon_sym_COLON_COLON] = ACTIONS(2639),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2639),
    [anon_sym___declspec] = ACTIONS(2637),
    [anon_sym___based] = ACTIONS(2637),
    [anon_sym_signed] = ACTIONS(2637),
    [anon_sym_unsigned] = ACTIONS(2637),
    [anon_sym_long] = ACTIONS(2637),
    [anon_sym_short] = ACTIONS(2637),
    [anon_sym_LBRACK] = ACTIONS(2637),
    [anon_sym_static] = ACTIONS(2637),
    [anon_sym_register] = ACTIONS(2637),
    [anon_sym_inline] = ACTIONS(2637),
    [anon_sym___inline] = ACTIONS(2637),
    [anon_sym___inline__] = ACTIONS(2637),
    [anon_sym___forceinline] = ACTIONS(2637),
    [anon_sym_thread_local] = ACTIONS(2637),
    [anon_sym___thread] = ACTIONS(2637),
    [anon_sym_const] = ACTIONS(2637),
    [anon_sym_constexpr] = ACTIONS(2637),
    [anon_sym_volatile] = ACTIONS(2637),
    [anon_sym_restrict] = ACTIONS(2637),
    [anon_sym___restrict__] = ACTIONS(2637),
    [anon_sym__Atomic] = ACTIONS(2637),
    [anon_sym__Noreturn] = ACTIONS(2637),
    [anon_sym_noreturn] = ACTIONS(2637),
    [anon_sym_mutable] = ACTIONS(2637),
    [anon_sym_constinit] = ACTIONS(2637),
    [anon_sym_consteval] = ACTIONS(2637),
    [sym_primitive_type] = ACTIONS(2637),
    [anon_sym_enum] = ACTIONS(2637),
    [anon_sym_class] = ACTIONS(2637),
    [anon_sym_struct] = ACTIONS(2637),
    [anon_sym_union] = ACTIONS(2637),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2637),
    [anon_sym_decltype] = ACTIONS(2637),
    [anon_sym_virtual] = ACTIONS(2637),
    [anon_sym_alignas] = ACTIONS(2637),
    [anon_sym_explicit] = ACTIONS(2637),
    [anon_sym_typename] = ACTIONS(2637),
    [anon_sym_template] = ACTIONS(2637),
    [anon_sym_operator] = ACTIONS(2637),
    [anon_sym_friend] = ACTIONS(2637),
    [anon_sym_public] = ACTIONS(2637),
    [anon_sym_private] = ACTIONS(2637),
    [anon_sym_protected] = ACTIONS(2637),
    [anon_sym_using] = ACTIONS(2637),
    [anon_sym_static_assert] = ACTIONS(2637),
    [anon_sym_precise] = ACTIONS(2637),
    [anon_sym_shared] = ACTIONS(2637),
    [anon_sym_groupshared] = ACTIONS(2637),
    [anon_sym_uniform] = ACTIONS(2637),
    [anon_sym_row_major] = ACTIONS(2637),
    [anon_sym_column_major] = ACTIONS(2637),
    [anon_sym_globallycoherent] = ACTIONS(2637),
    [anon_sym_centroid] = ACTIONS(2637),
    [anon_sym_noperspective] = ACTIONS(2637),
    [anon_sym_nointerpolation] = ACTIONS(2637),
    [anon_sym_sample] = ACTIONS(2637),
    [anon_sym_linear] = ACTIONS(2637),
    [anon_sym_snorm] = ACTIONS(2637),
    [anon_sym_unorm] = ACTIONS(2637),
    [anon_sym_point] = ACTIONS(2637),
    [anon_sym_line] = ACTIONS(2637),
    [anon_sym_triangleadj] = ACTIONS(2637),
    [anon_sym_lineadj] = ACTIONS(2637),
    [anon_sym_triangle] = ACTIONS(2637),
  },
  [2818] = {
    [sym_identifier] = ACTIONS(2629),
    [aux_sym_preproc_def_token1] = ACTIONS(2629),
    [aux_sym_preproc_if_token1] = ACTIONS(2629),
    [aux_sym_preproc_if_token2] = ACTIONS(2629),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2629),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2629),
    [sym_preproc_directive] = ACTIONS(2629),
    [anon_sym_LPAREN2] = ACTIONS(2631),
    [anon_sym_TILDE] = ACTIONS(2631),
    [anon_sym_STAR] = ACTIONS(2631),
    [anon_sym_AMP_AMP] = ACTIONS(2631),
    [anon_sym_AMP] = ACTIONS(2629),
    [anon_sym___extension__] = ACTIONS(2629),
    [anon_sym_typedef] = ACTIONS(2629),
    [anon_sym_in] = ACTIONS(2629),
    [anon_sym_out] = ACTIONS(2629),
    [anon_sym_inout] = ACTIONS(2629),
    [anon_sym_extern] = ACTIONS(2629),
    [anon_sym___attribute__] = ACTIONS(2629),
    [anon_sym_COLON_COLON] = ACTIONS(2631),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2631),
    [anon_sym___declspec] = ACTIONS(2629),
    [anon_sym___based] = ACTIONS(2629),
    [anon_sym_signed] = ACTIONS(2629),
    [anon_sym_unsigned] = ACTIONS(2629),
    [anon_sym_long] = ACTIONS(2629),
    [anon_sym_short] = ACTIONS(2629),
    [anon_sym_LBRACK] = ACTIONS(2629),
    [anon_sym_static] = ACTIONS(2629),
    [anon_sym_register] = ACTIONS(2629),
    [anon_sym_inline] = ACTIONS(2629),
    [anon_sym___inline] = ACTIONS(2629),
    [anon_sym___inline__] = ACTIONS(2629),
    [anon_sym___forceinline] = ACTIONS(2629),
    [anon_sym_thread_local] = ACTIONS(2629),
    [anon_sym___thread] = ACTIONS(2629),
    [anon_sym_const] = ACTIONS(2629),
    [anon_sym_constexpr] = ACTIONS(2629),
    [anon_sym_volatile] = ACTIONS(2629),
    [anon_sym_restrict] = ACTIONS(2629),
    [anon_sym___restrict__] = ACTIONS(2629),
    [anon_sym__Atomic] = ACTIONS(2629),
    [anon_sym__Noreturn] = ACTIONS(2629),
    [anon_sym_noreturn] = ACTIONS(2629),
    [anon_sym_mutable] = ACTIONS(2629),
    [anon_sym_constinit] = ACTIONS(2629),
    [anon_sym_consteval] = ACTIONS(2629),
    [sym_primitive_type] = ACTIONS(2629),
    [anon_sym_enum] = ACTIONS(2629),
    [anon_sym_class] = ACTIONS(2629),
    [anon_sym_struct] = ACTIONS(2629),
    [anon_sym_union] = ACTIONS(2629),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2629),
    [anon_sym_decltype] = ACTIONS(2629),
    [anon_sym_virtual] = ACTIONS(2629),
    [anon_sym_alignas] = ACTIONS(2629),
    [anon_sym_explicit] = ACTIONS(2629),
    [anon_sym_typename] = ACTIONS(2629),
    [anon_sym_template] = ACTIONS(2629),
    [anon_sym_operator] = ACTIONS(2629),
    [anon_sym_friend] = ACTIONS(2629),
    [anon_sym_public] = ACTIONS(2629),
    [anon_sym_private] = ACTIONS(2629),
    [anon_sym_protected] = ACTIONS(2629),
    [anon_sym_using] = ACTIONS(2629),
    [anon_sym_static_assert] = ACTIONS(2629),
    [anon_sym_precise] = ACTIONS(2629),
    [anon_sym_shared] = ACTIONS(2629),
    [anon_sym_groupshared] = ACTIONS(2629),
    [anon_sym_uniform] = ACTIONS(2629),
    [anon_sym_row_major] = ACTIONS(2629),
    [anon_sym_column_major] = ACTIONS(2629),
    [anon_sym_globallycoherent] = ACTIONS(2629),
    [anon_sym_centroid] = ACTIONS(2629),
    [anon_sym_noperspective] = ACTIONS(2629),
    [anon_sym_nointerpolation] = ACTIONS(2629),
    [anon_sym_sample] = ACTIONS(2629),
    [anon_sym_linear] = ACTIONS(2629),
    [anon_sym_snorm] = ACTIONS(2629),
    [anon_sym_unorm] = ACTIONS(2629),
    [anon_sym_point] = ACTIONS(2629),
    [anon_sym_line] = ACTIONS(2629),
    [anon_sym_triangleadj] = ACTIONS(2629),
    [anon_sym_lineadj] = ACTIONS(2629),
    [anon_sym_triangle] = ACTIONS(2629),
  },
  [2819] = {
    [sym_identifier] = ACTIONS(2725),
    [aux_sym_preproc_def_token1] = ACTIONS(2725),
    [aux_sym_preproc_if_token1] = ACTIONS(2725),
    [aux_sym_preproc_if_token2] = ACTIONS(2725),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2725),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2725),
    [sym_preproc_directive] = ACTIONS(2725),
    [anon_sym_LPAREN2] = ACTIONS(2727),
    [anon_sym_TILDE] = ACTIONS(2727),
    [anon_sym_STAR] = ACTIONS(2727),
    [anon_sym_AMP_AMP] = ACTIONS(2727),
    [anon_sym_AMP] = ACTIONS(2725),
    [anon_sym___extension__] = ACTIONS(2725),
    [anon_sym_typedef] = ACTIONS(2725),
    [anon_sym_in] = ACTIONS(2725),
    [anon_sym_out] = ACTIONS(2725),
    [anon_sym_inout] = ACTIONS(2725),
    [anon_sym_extern] = ACTIONS(2725),
    [anon_sym___attribute__] = ACTIONS(2725),
    [anon_sym_COLON_COLON] = ACTIONS(2727),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2727),
    [anon_sym___declspec] = ACTIONS(2725),
    [anon_sym___based] = ACTIONS(2725),
    [anon_sym_signed] = ACTIONS(2725),
    [anon_sym_unsigned] = ACTIONS(2725),
    [anon_sym_long] = ACTIONS(2725),
    [anon_sym_short] = ACTIONS(2725),
    [anon_sym_LBRACK] = ACTIONS(2725),
    [anon_sym_static] = ACTIONS(2725),
    [anon_sym_register] = ACTIONS(2725),
    [anon_sym_inline] = ACTIONS(2725),
    [anon_sym___inline] = ACTIONS(2725),
    [anon_sym___inline__] = ACTIONS(2725),
    [anon_sym___forceinline] = ACTIONS(2725),
    [anon_sym_thread_local] = ACTIONS(2725),
    [anon_sym___thread] = ACTIONS(2725),
    [anon_sym_const] = ACTIONS(2725),
    [anon_sym_constexpr] = ACTIONS(2725),
    [anon_sym_volatile] = ACTIONS(2725),
    [anon_sym_restrict] = ACTIONS(2725),
    [anon_sym___restrict__] = ACTIONS(2725),
    [anon_sym__Atomic] = ACTIONS(2725),
    [anon_sym__Noreturn] = ACTIONS(2725),
    [anon_sym_noreturn] = ACTIONS(2725),
    [anon_sym_mutable] = ACTIONS(2725),
    [anon_sym_constinit] = ACTIONS(2725),
    [anon_sym_consteval] = ACTIONS(2725),
    [sym_primitive_type] = ACTIONS(2725),
    [anon_sym_enum] = ACTIONS(2725),
    [anon_sym_class] = ACTIONS(2725),
    [anon_sym_struct] = ACTIONS(2725),
    [anon_sym_union] = ACTIONS(2725),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2725),
    [anon_sym_decltype] = ACTIONS(2725),
    [anon_sym_virtual] = ACTIONS(2725),
    [anon_sym_alignas] = ACTIONS(2725),
    [anon_sym_explicit] = ACTIONS(2725),
    [anon_sym_typename] = ACTIONS(2725),
    [anon_sym_template] = ACTIONS(2725),
    [anon_sym_operator] = ACTIONS(2725),
    [anon_sym_friend] = ACTIONS(2725),
    [anon_sym_public] = ACTIONS(2725),
    [anon_sym_private] = ACTIONS(2725),
    [anon_sym_protected] = ACTIONS(2725),
    [anon_sym_using] = ACTIONS(2725),
    [anon_sym_static_assert] = ACTIONS(2725),
    [anon_sym_precise] = ACTIONS(2725),
    [anon_sym_shared] = ACTIONS(2725),
    [anon_sym_groupshared] = ACTIONS(2725),
    [anon_sym_uniform] = ACTIONS(2725),
    [anon_sym_row_major] = ACTIONS(2725),
    [anon_sym_column_major] = ACTIONS(2725),
    [anon_sym_globallycoherent] = ACTIONS(2725),
    [anon_sym_centroid] = ACTIONS(2725),
    [anon_sym_noperspective] = ACTIONS(2725),
    [anon_sym_nointerpolation] = ACTIONS(2725),
    [anon_sym_sample] = ACTIONS(2725),
    [anon_sym_linear] = ACTIONS(2725),
    [anon_sym_snorm] = ACTIONS(2725),
    [anon_sym_unorm] = ACTIONS(2725),
    [anon_sym_point] = ACTIONS(2725),
    [anon_sym_line] = ACTIONS(2725),
    [anon_sym_triangleadj] = ACTIONS(2725),
    [anon_sym_lineadj] = ACTIONS(2725),
    [anon_sym_triangle] = ACTIONS(2725),
  },
  [2820] = {
    [sym_identifier] = ACTIONS(2721),
    [aux_sym_preproc_def_token1] = ACTIONS(2721),
    [aux_sym_preproc_if_token1] = ACTIONS(2721),
    [aux_sym_preproc_if_token2] = ACTIONS(2721),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2721),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2721),
    [sym_preproc_directive] = ACTIONS(2721),
    [anon_sym_LPAREN2] = ACTIONS(2723),
    [anon_sym_TILDE] = ACTIONS(2723),
    [anon_sym_STAR] = ACTIONS(2723),
    [anon_sym_AMP_AMP] = ACTIONS(2723),
    [anon_sym_AMP] = ACTIONS(2721),
    [anon_sym___extension__] = ACTIONS(2721),
    [anon_sym_typedef] = ACTIONS(2721),
    [anon_sym_in] = ACTIONS(2721),
    [anon_sym_out] = ACTIONS(2721),
    [anon_sym_inout] = ACTIONS(2721),
    [anon_sym_extern] = ACTIONS(2721),
    [anon_sym___attribute__] = ACTIONS(2721),
    [anon_sym_COLON_COLON] = ACTIONS(2723),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2723),
    [anon_sym___declspec] = ACTIONS(2721),
    [anon_sym___based] = ACTIONS(2721),
    [anon_sym_signed] = ACTIONS(2721),
    [anon_sym_unsigned] = ACTIONS(2721),
    [anon_sym_long] = ACTIONS(2721),
    [anon_sym_short] = ACTIONS(2721),
    [anon_sym_LBRACK] = ACTIONS(2721),
    [anon_sym_static] = ACTIONS(2721),
    [anon_sym_register] = ACTIONS(2721),
    [anon_sym_inline] = ACTIONS(2721),
    [anon_sym___inline] = ACTIONS(2721),
    [anon_sym___inline__] = ACTIONS(2721),
    [anon_sym___forceinline] = ACTIONS(2721),
    [anon_sym_thread_local] = ACTIONS(2721),
    [anon_sym___thread] = ACTIONS(2721),
    [anon_sym_const] = ACTIONS(2721),
    [anon_sym_constexpr] = ACTIONS(2721),
    [anon_sym_volatile] = ACTIONS(2721),
    [anon_sym_restrict] = ACTIONS(2721),
    [anon_sym___restrict__] = ACTIONS(2721),
    [anon_sym__Atomic] = ACTIONS(2721),
    [anon_sym__Noreturn] = ACTIONS(2721),
    [anon_sym_noreturn] = ACTIONS(2721),
    [anon_sym_mutable] = ACTIONS(2721),
    [anon_sym_constinit] = ACTIONS(2721),
    [anon_sym_consteval] = ACTIONS(2721),
    [sym_primitive_type] = ACTIONS(2721),
    [anon_sym_enum] = ACTIONS(2721),
    [anon_sym_class] = ACTIONS(2721),
    [anon_sym_struct] = ACTIONS(2721),
    [anon_sym_union] = ACTIONS(2721),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2721),
    [anon_sym_decltype] = ACTIONS(2721),
    [anon_sym_virtual] = ACTIONS(2721),
    [anon_sym_alignas] = ACTIONS(2721),
    [anon_sym_explicit] = ACTIONS(2721),
    [anon_sym_typename] = ACTIONS(2721),
    [anon_sym_template] = ACTIONS(2721),
    [anon_sym_operator] = ACTIONS(2721),
    [anon_sym_friend] = ACTIONS(2721),
    [anon_sym_public] = ACTIONS(2721),
    [anon_sym_private] = ACTIONS(2721),
    [anon_sym_protected] = ACTIONS(2721),
    [anon_sym_using] = ACTIONS(2721),
    [anon_sym_static_assert] = ACTIONS(2721),
    [anon_sym_precise] = ACTIONS(2721),
    [anon_sym_shared] = ACTIONS(2721),
    [anon_sym_groupshared] = ACTIONS(2721),
    [anon_sym_uniform] = ACTIONS(2721),
    [anon_sym_row_major] = ACTIONS(2721),
    [anon_sym_column_major] = ACTIONS(2721),
    [anon_sym_globallycoherent] = ACTIONS(2721),
    [anon_sym_centroid] = ACTIONS(2721),
    [anon_sym_noperspective] = ACTIONS(2721),
    [anon_sym_nointerpolation] = ACTIONS(2721),
    [anon_sym_sample] = ACTIONS(2721),
    [anon_sym_linear] = ACTIONS(2721),
    [anon_sym_snorm] = ACTIONS(2721),
    [anon_sym_unorm] = ACTIONS(2721),
    [anon_sym_point] = ACTIONS(2721),
    [anon_sym_line] = ACTIONS(2721),
    [anon_sym_triangleadj] = ACTIONS(2721),
    [anon_sym_lineadj] = ACTIONS(2721),
    [anon_sym_triangle] = ACTIONS(2721),
  },
  [2821] = {
    [sym_identifier] = ACTIONS(2621),
    [aux_sym_preproc_def_token1] = ACTIONS(2621),
    [aux_sym_preproc_if_token1] = ACTIONS(2621),
    [aux_sym_preproc_if_token2] = ACTIONS(2621),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2621),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2621),
    [sym_preproc_directive] = ACTIONS(2621),
    [anon_sym_LPAREN2] = ACTIONS(2623),
    [anon_sym_TILDE] = ACTIONS(2623),
    [anon_sym_STAR] = ACTIONS(2623),
    [anon_sym_AMP_AMP] = ACTIONS(2623),
    [anon_sym_AMP] = ACTIONS(2621),
    [anon_sym___extension__] = ACTIONS(2621),
    [anon_sym_typedef] = ACTIONS(2621),
    [anon_sym_in] = ACTIONS(2621),
    [anon_sym_out] = ACTIONS(2621),
    [anon_sym_inout] = ACTIONS(2621),
    [anon_sym_extern] = ACTIONS(2621),
    [anon_sym___attribute__] = ACTIONS(2621),
    [anon_sym_COLON_COLON] = ACTIONS(2623),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2623),
    [anon_sym___declspec] = ACTIONS(2621),
    [anon_sym___based] = ACTIONS(2621),
    [anon_sym_signed] = ACTIONS(2621),
    [anon_sym_unsigned] = ACTIONS(2621),
    [anon_sym_long] = ACTIONS(2621),
    [anon_sym_short] = ACTIONS(2621),
    [anon_sym_LBRACK] = ACTIONS(2621),
    [anon_sym_static] = ACTIONS(2621),
    [anon_sym_register] = ACTIONS(2621),
    [anon_sym_inline] = ACTIONS(2621),
    [anon_sym___inline] = ACTIONS(2621),
    [anon_sym___inline__] = ACTIONS(2621),
    [anon_sym___forceinline] = ACTIONS(2621),
    [anon_sym_thread_local] = ACTIONS(2621),
    [anon_sym___thread] = ACTIONS(2621),
    [anon_sym_const] = ACTIONS(2621),
    [anon_sym_constexpr] = ACTIONS(2621),
    [anon_sym_volatile] = ACTIONS(2621),
    [anon_sym_restrict] = ACTIONS(2621),
    [anon_sym___restrict__] = ACTIONS(2621),
    [anon_sym__Atomic] = ACTIONS(2621),
    [anon_sym__Noreturn] = ACTIONS(2621),
    [anon_sym_noreturn] = ACTIONS(2621),
    [anon_sym_mutable] = ACTIONS(2621),
    [anon_sym_constinit] = ACTIONS(2621),
    [anon_sym_consteval] = ACTIONS(2621),
    [sym_primitive_type] = ACTIONS(2621),
    [anon_sym_enum] = ACTIONS(2621),
    [anon_sym_class] = ACTIONS(2621),
    [anon_sym_struct] = ACTIONS(2621),
    [anon_sym_union] = ACTIONS(2621),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2621),
    [anon_sym_decltype] = ACTIONS(2621),
    [anon_sym_virtual] = ACTIONS(2621),
    [anon_sym_alignas] = ACTIONS(2621),
    [anon_sym_explicit] = ACTIONS(2621),
    [anon_sym_typename] = ACTIONS(2621),
    [anon_sym_template] = ACTIONS(2621),
    [anon_sym_operator] = ACTIONS(2621),
    [anon_sym_friend] = ACTIONS(2621),
    [anon_sym_public] = ACTIONS(2621),
    [anon_sym_private] = ACTIONS(2621),
    [anon_sym_protected] = ACTIONS(2621),
    [anon_sym_using] = ACTIONS(2621),
    [anon_sym_static_assert] = ACTIONS(2621),
    [anon_sym_precise] = ACTIONS(2621),
    [anon_sym_shared] = ACTIONS(2621),
    [anon_sym_groupshared] = ACTIONS(2621),
    [anon_sym_uniform] = ACTIONS(2621),
    [anon_sym_row_major] = ACTIONS(2621),
    [anon_sym_column_major] = ACTIONS(2621),
    [anon_sym_globallycoherent] = ACTIONS(2621),
    [anon_sym_centroid] = ACTIONS(2621),
    [anon_sym_noperspective] = ACTIONS(2621),
    [anon_sym_nointerpolation] = ACTIONS(2621),
    [anon_sym_sample] = ACTIONS(2621),
    [anon_sym_linear] = ACTIONS(2621),
    [anon_sym_snorm] = ACTIONS(2621),
    [anon_sym_unorm] = ACTIONS(2621),
    [anon_sym_point] = ACTIONS(2621),
    [anon_sym_line] = ACTIONS(2621),
    [anon_sym_triangleadj] = ACTIONS(2621),
    [anon_sym_lineadj] = ACTIONS(2621),
    [anon_sym_triangle] = ACTIONS(2621),
  },
  [2822] = {
    [sym_identifier] = ACTIONS(2604),
    [aux_sym_preproc_def_token1] = ACTIONS(2604),
    [aux_sym_preproc_if_token1] = ACTIONS(2604),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2604),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2604),
    [sym_preproc_directive] = ACTIONS(2604),
    [anon_sym_LPAREN2] = ACTIONS(2606),
    [anon_sym_TILDE] = ACTIONS(2606),
    [anon_sym_STAR] = ACTIONS(2606),
    [anon_sym_AMP_AMP] = ACTIONS(2606),
    [anon_sym_AMP] = ACTIONS(2604),
    [anon_sym___extension__] = ACTIONS(2604),
    [anon_sym_typedef] = ACTIONS(2604),
    [anon_sym_in] = ACTIONS(2604),
    [anon_sym_out] = ACTIONS(2604),
    [anon_sym_inout] = ACTIONS(2604),
    [anon_sym_extern] = ACTIONS(2604),
    [anon_sym___attribute__] = ACTIONS(2604),
    [anon_sym_COLON_COLON] = ACTIONS(2606),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2606),
    [anon_sym___declspec] = ACTIONS(2604),
    [anon_sym___based] = ACTIONS(2604),
    [anon_sym_RBRACE] = ACTIONS(2606),
    [anon_sym_signed] = ACTIONS(2604),
    [anon_sym_unsigned] = ACTIONS(2604),
    [anon_sym_long] = ACTIONS(2604),
    [anon_sym_short] = ACTIONS(2604),
    [anon_sym_LBRACK] = ACTIONS(2604),
    [anon_sym_static] = ACTIONS(2604),
    [anon_sym_register] = ACTIONS(2604),
    [anon_sym_inline] = ACTIONS(2604),
    [anon_sym___inline] = ACTIONS(2604),
    [anon_sym___inline__] = ACTIONS(2604),
    [anon_sym___forceinline] = ACTIONS(2604),
    [anon_sym_thread_local] = ACTIONS(2604),
    [anon_sym___thread] = ACTIONS(2604),
    [anon_sym_const] = ACTIONS(2604),
    [anon_sym_constexpr] = ACTIONS(2604),
    [anon_sym_volatile] = ACTIONS(2604),
    [anon_sym_restrict] = ACTIONS(2604),
    [anon_sym___restrict__] = ACTIONS(2604),
    [anon_sym__Atomic] = ACTIONS(2604),
    [anon_sym__Noreturn] = ACTIONS(2604),
    [anon_sym_noreturn] = ACTIONS(2604),
    [anon_sym_mutable] = ACTIONS(2604),
    [anon_sym_constinit] = ACTIONS(2604),
    [anon_sym_consteval] = ACTIONS(2604),
    [sym_primitive_type] = ACTIONS(2604),
    [anon_sym_enum] = ACTIONS(2604),
    [anon_sym_class] = ACTIONS(2604),
    [anon_sym_struct] = ACTIONS(2604),
    [anon_sym_union] = ACTIONS(2604),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2604),
    [anon_sym_decltype] = ACTIONS(2604),
    [anon_sym_virtual] = ACTIONS(2604),
    [anon_sym_alignas] = ACTIONS(2604),
    [anon_sym_explicit] = ACTIONS(2604),
    [anon_sym_typename] = ACTIONS(2604),
    [anon_sym_template] = ACTIONS(2604),
    [anon_sym_operator] = ACTIONS(2604),
    [anon_sym_friend] = ACTIONS(2604),
    [anon_sym_public] = ACTIONS(2604),
    [anon_sym_private] = ACTIONS(2604),
    [anon_sym_protected] = ACTIONS(2604),
    [anon_sym_using] = ACTIONS(2604),
    [anon_sym_static_assert] = ACTIONS(2604),
    [anon_sym_precise] = ACTIONS(2604),
    [anon_sym_shared] = ACTIONS(2604),
    [anon_sym_groupshared] = ACTIONS(2604),
    [anon_sym_uniform] = ACTIONS(2604),
    [anon_sym_row_major] = ACTIONS(2604),
    [anon_sym_column_major] = ACTIONS(2604),
    [anon_sym_globallycoherent] = ACTIONS(2604),
    [anon_sym_centroid] = ACTIONS(2604),
    [anon_sym_noperspective] = ACTIONS(2604),
    [anon_sym_nointerpolation] = ACTIONS(2604),
    [anon_sym_sample] = ACTIONS(2604),
    [anon_sym_linear] = ACTIONS(2604),
    [anon_sym_snorm] = ACTIONS(2604),
    [anon_sym_unorm] = ACTIONS(2604),
    [anon_sym_point] = ACTIONS(2604),
    [anon_sym_line] = ACTIONS(2604),
    [anon_sym_triangleadj] = ACTIONS(2604),
    [anon_sym_lineadj] = ACTIONS(2604),
    [anon_sym_triangle] = ACTIONS(2604),
  },
  [2823] = {
    [sym_identifier] = ACTIONS(2765),
    [aux_sym_preproc_def_token1] = ACTIONS(2765),
    [aux_sym_preproc_if_token1] = ACTIONS(2765),
    [aux_sym_preproc_if_token2] = ACTIONS(2765),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2765),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2765),
    [sym_preproc_directive] = ACTIONS(2765),
    [anon_sym_LPAREN2] = ACTIONS(2767),
    [anon_sym_TILDE] = ACTIONS(2767),
    [anon_sym_STAR] = ACTIONS(2767),
    [anon_sym_AMP_AMP] = ACTIONS(2767),
    [anon_sym_AMP] = ACTIONS(2765),
    [anon_sym___extension__] = ACTIONS(2765),
    [anon_sym_typedef] = ACTIONS(2765),
    [anon_sym_in] = ACTIONS(2765),
    [anon_sym_out] = ACTIONS(2765),
    [anon_sym_inout] = ACTIONS(2765),
    [anon_sym_extern] = ACTIONS(2765),
    [anon_sym___attribute__] = ACTIONS(2765),
    [anon_sym_COLON_COLON] = ACTIONS(2767),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2767),
    [anon_sym___declspec] = ACTIONS(2765),
    [anon_sym___based] = ACTIONS(2765),
    [anon_sym_signed] = ACTIONS(2765),
    [anon_sym_unsigned] = ACTIONS(2765),
    [anon_sym_long] = ACTIONS(2765),
    [anon_sym_short] = ACTIONS(2765),
    [anon_sym_LBRACK] = ACTIONS(2765),
    [anon_sym_static] = ACTIONS(2765),
    [anon_sym_register] = ACTIONS(2765),
    [anon_sym_inline] = ACTIONS(2765),
    [anon_sym___inline] = ACTIONS(2765),
    [anon_sym___inline__] = ACTIONS(2765),
    [anon_sym___forceinline] = ACTIONS(2765),
    [anon_sym_thread_local] = ACTIONS(2765),
    [anon_sym___thread] = ACTIONS(2765),
    [anon_sym_const] = ACTIONS(2765),
    [anon_sym_constexpr] = ACTIONS(2765),
    [anon_sym_volatile] = ACTIONS(2765),
    [anon_sym_restrict] = ACTIONS(2765),
    [anon_sym___restrict__] = ACTIONS(2765),
    [anon_sym__Atomic] = ACTIONS(2765),
    [anon_sym__Noreturn] = ACTIONS(2765),
    [anon_sym_noreturn] = ACTIONS(2765),
    [anon_sym_mutable] = ACTIONS(2765),
    [anon_sym_constinit] = ACTIONS(2765),
    [anon_sym_consteval] = ACTIONS(2765),
    [sym_primitive_type] = ACTIONS(2765),
    [anon_sym_enum] = ACTIONS(2765),
    [anon_sym_class] = ACTIONS(2765),
    [anon_sym_struct] = ACTIONS(2765),
    [anon_sym_union] = ACTIONS(2765),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2765),
    [anon_sym_decltype] = ACTIONS(2765),
    [anon_sym_virtual] = ACTIONS(2765),
    [anon_sym_alignas] = ACTIONS(2765),
    [anon_sym_explicit] = ACTIONS(2765),
    [anon_sym_typename] = ACTIONS(2765),
    [anon_sym_template] = ACTIONS(2765),
    [anon_sym_operator] = ACTIONS(2765),
    [anon_sym_friend] = ACTIONS(2765),
    [anon_sym_public] = ACTIONS(2765),
    [anon_sym_private] = ACTIONS(2765),
    [anon_sym_protected] = ACTIONS(2765),
    [anon_sym_using] = ACTIONS(2765),
    [anon_sym_static_assert] = ACTIONS(2765),
    [anon_sym_precise] = ACTIONS(2765),
    [anon_sym_shared] = ACTIONS(2765),
    [anon_sym_groupshared] = ACTIONS(2765),
    [anon_sym_uniform] = ACTIONS(2765),
    [anon_sym_row_major] = ACTIONS(2765),
    [anon_sym_column_major] = ACTIONS(2765),
    [anon_sym_globallycoherent] = ACTIONS(2765),
    [anon_sym_centroid] = ACTIONS(2765),
    [anon_sym_noperspective] = ACTIONS(2765),
    [anon_sym_nointerpolation] = ACTIONS(2765),
    [anon_sym_sample] = ACTIONS(2765),
    [anon_sym_linear] = ACTIONS(2765),
    [anon_sym_snorm] = ACTIONS(2765),
    [anon_sym_unorm] = ACTIONS(2765),
    [anon_sym_point] = ACTIONS(2765),
    [anon_sym_line] = ACTIONS(2765),
    [anon_sym_triangleadj] = ACTIONS(2765),
    [anon_sym_lineadj] = ACTIONS(2765),
    [anon_sym_triangle] = ACTIONS(2765),
  },
  [2824] = {
    [sym_identifier] = ACTIONS(2837),
    [aux_sym_preproc_def_token1] = ACTIONS(2837),
    [aux_sym_preproc_if_token1] = ACTIONS(2837),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2837),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2837),
    [sym_preproc_directive] = ACTIONS(2837),
    [anon_sym_LPAREN2] = ACTIONS(2839),
    [anon_sym_TILDE] = ACTIONS(2839),
    [anon_sym_STAR] = ACTIONS(2839),
    [anon_sym_AMP_AMP] = ACTIONS(2839),
    [anon_sym_AMP] = ACTIONS(2837),
    [anon_sym___extension__] = ACTIONS(2837),
    [anon_sym_typedef] = ACTIONS(2837),
    [anon_sym_in] = ACTIONS(2837),
    [anon_sym_out] = ACTIONS(2837),
    [anon_sym_inout] = ACTIONS(2837),
    [anon_sym_extern] = ACTIONS(2837),
    [anon_sym___attribute__] = ACTIONS(2837),
    [anon_sym_COLON_COLON] = ACTIONS(2839),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2839),
    [anon_sym___declspec] = ACTIONS(2837),
    [anon_sym___based] = ACTIONS(2837),
    [anon_sym_RBRACE] = ACTIONS(2839),
    [anon_sym_signed] = ACTIONS(2837),
    [anon_sym_unsigned] = ACTIONS(2837),
    [anon_sym_long] = ACTIONS(2837),
    [anon_sym_short] = ACTIONS(2837),
    [anon_sym_LBRACK] = ACTIONS(2837),
    [anon_sym_static] = ACTIONS(2837),
    [anon_sym_register] = ACTIONS(2837),
    [anon_sym_inline] = ACTIONS(2837),
    [anon_sym___inline] = ACTIONS(2837),
    [anon_sym___inline__] = ACTIONS(2837),
    [anon_sym___forceinline] = ACTIONS(2837),
    [anon_sym_thread_local] = ACTIONS(2837),
    [anon_sym___thread] = ACTIONS(2837),
    [anon_sym_const] = ACTIONS(2837),
    [anon_sym_constexpr] = ACTIONS(2837),
    [anon_sym_volatile] = ACTIONS(2837),
    [anon_sym_restrict] = ACTIONS(2837),
    [anon_sym___restrict__] = ACTIONS(2837),
    [anon_sym__Atomic] = ACTIONS(2837),
    [anon_sym__Noreturn] = ACTIONS(2837),
    [anon_sym_noreturn] = ACTIONS(2837),
    [anon_sym_mutable] = ACTIONS(2837),
    [anon_sym_constinit] = ACTIONS(2837),
    [anon_sym_consteval] = ACTIONS(2837),
    [sym_primitive_type] = ACTIONS(2837),
    [anon_sym_enum] = ACTIONS(2837),
    [anon_sym_class] = ACTIONS(2837),
    [anon_sym_struct] = ACTIONS(2837),
    [anon_sym_union] = ACTIONS(2837),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2837),
    [anon_sym_decltype] = ACTIONS(2837),
    [anon_sym_virtual] = ACTIONS(2837),
    [anon_sym_alignas] = ACTIONS(2837),
    [anon_sym_explicit] = ACTIONS(2837),
    [anon_sym_typename] = ACTIONS(2837),
    [anon_sym_template] = ACTIONS(2837),
    [anon_sym_operator] = ACTIONS(2837),
    [anon_sym_friend] = ACTIONS(2837),
    [anon_sym_public] = ACTIONS(2837),
    [anon_sym_private] = ACTIONS(2837),
    [anon_sym_protected] = ACTIONS(2837),
    [anon_sym_using] = ACTIONS(2837),
    [anon_sym_static_assert] = ACTIONS(2837),
    [anon_sym_precise] = ACTIONS(2837),
    [anon_sym_shared] = ACTIONS(2837),
    [anon_sym_groupshared] = ACTIONS(2837),
    [anon_sym_uniform] = ACTIONS(2837),
    [anon_sym_row_major] = ACTIONS(2837),
    [anon_sym_column_major] = ACTIONS(2837),
    [anon_sym_globallycoherent] = ACTIONS(2837),
    [anon_sym_centroid] = ACTIONS(2837),
    [anon_sym_noperspective] = ACTIONS(2837),
    [anon_sym_nointerpolation] = ACTIONS(2837),
    [anon_sym_sample] = ACTIONS(2837),
    [anon_sym_linear] = ACTIONS(2837),
    [anon_sym_snorm] = ACTIONS(2837),
    [anon_sym_unorm] = ACTIONS(2837),
    [anon_sym_point] = ACTIONS(2837),
    [anon_sym_line] = ACTIONS(2837),
    [anon_sym_triangleadj] = ACTIONS(2837),
    [anon_sym_lineadj] = ACTIONS(2837),
    [anon_sym_triangle] = ACTIONS(2837),
  },
  [2825] = {
    [sym_identifier] = ACTIONS(2600),
    [aux_sym_preproc_def_token1] = ACTIONS(2600),
    [aux_sym_preproc_if_token1] = ACTIONS(2600),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2600),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2600),
    [sym_preproc_directive] = ACTIONS(2600),
    [anon_sym_LPAREN2] = ACTIONS(2602),
    [anon_sym_TILDE] = ACTIONS(2602),
    [anon_sym_STAR] = ACTIONS(2602),
    [anon_sym_AMP_AMP] = ACTIONS(2602),
    [anon_sym_AMP] = ACTIONS(2600),
    [anon_sym___extension__] = ACTIONS(2600),
    [anon_sym_typedef] = ACTIONS(2600),
    [anon_sym_in] = ACTIONS(2600),
    [anon_sym_out] = ACTIONS(2600),
    [anon_sym_inout] = ACTIONS(2600),
    [anon_sym_extern] = ACTIONS(2600),
    [anon_sym___attribute__] = ACTIONS(2600),
    [anon_sym_COLON_COLON] = ACTIONS(2602),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2602),
    [anon_sym___declspec] = ACTIONS(2600),
    [anon_sym___based] = ACTIONS(2600),
    [anon_sym_RBRACE] = ACTIONS(2602),
    [anon_sym_signed] = ACTIONS(2600),
    [anon_sym_unsigned] = ACTIONS(2600),
    [anon_sym_long] = ACTIONS(2600),
    [anon_sym_short] = ACTIONS(2600),
    [anon_sym_LBRACK] = ACTIONS(2600),
    [anon_sym_static] = ACTIONS(2600),
    [anon_sym_register] = ACTIONS(2600),
    [anon_sym_inline] = ACTIONS(2600),
    [anon_sym___inline] = ACTIONS(2600),
    [anon_sym___inline__] = ACTIONS(2600),
    [anon_sym___forceinline] = ACTIONS(2600),
    [anon_sym_thread_local] = ACTIONS(2600),
    [anon_sym___thread] = ACTIONS(2600),
    [anon_sym_const] = ACTIONS(2600),
    [anon_sym_constexpr] = ACTIONS(2600),
    [anon_sym_volatile] = ACTIONS(2600),
    [anon_sym_restrict] = ACTIONS(2600),
    [anon_sym___restrict__] = ACTIONS(2600),
    [anon_sym__Atomic] = ACTIONS(2600),
    [anon_sym__Noreturn] = ACTIONS(2600),
    [anon_sym_noreturn] = ACTIONS(2600),
    [anon_sym_mutable] = ACTIONS(2600),
    [anon_sym_constinit] = ACTIONS(2600),
    [anon_sym_consteval] = ACTIONS(2600),
    [sym_primitive_type] = ACTIONS(2600),
    [anon_sym_enum] = ACTIONS(2600),
    [anon_sym_class] = ACTIONS(2600),
    [anon_sym_struct] = ACTIONS(2600),
    [anon_sym_union] = ACTIONS(2600),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2600),
    [anon_sym_decltype] = ACTIONS(2600),
    [anon_sym_virtual] = ACTIONS(2600),
    [anon_sym_alignas] = ACTIONS(2600),
    [anon_sym_explicit] = ACTIONS(2600),
    [anon_sym_typename] = ACTIONS(2600),
    [anon_sym_template] = ACTIONS(2600),
    [anon_sym_operator] = ACTIONS(2600),
    [anon_sym_friend] = ACTIONS(2600),
    [anon_sym_public] = ACTIONS(2600),
    [anon_sym_private] = ACTIONS(2600),
    [anon_sym_protected] = ACTIONS(2600),
    [anon_sym_using] = ACTIONS(2600),
    [anon_sym_static_assert] = ACTIONS(2600),
    [anon_sym_precise] = ACTIONS(2600),
    [anon_sym_shared] = ACTIONS(2600),
    [anon_sym_groupshared] = ACTIONS(2600),
    [anon_sym_uniform] = ACTIONS(2600),
    [anon_sym_row_major] = ACTIONS(2600),
    [anon_sym_column_major] = ACTIONS(2600),
    [anon_sym_globallycoherent] = ACTIONS(2600),
    [anon_sym_centroid] = ACTIONS(2600),
    [anon_sym_noperspective] = ACTIONS(2600),
    [anon_sym_nointerpolation] = ACTIONS(2600),
    [anon_sym_sample] = ACTIONS(2600),
    [anon_sym_linear] = ACTIONS(2600),
    [anon_sym_snorm] = ACTIONS(2600),
    [anon_sym_unorm] = ACTIONS(2600),
    [anon_sym_point] = ACTIONS(2600),
    [anon_sym_line] = ACTIONS(2600),
    [anon_sym_triangleadj] = ACTIONS(2600),
    [anon_sym_lineadj] = ACTIONS(2600),
    [anon_sym_triangle] = ACTIONS(2600),
  },
  [2826] = {
    [sym_identifier] = ACTIONS(2829),
    [aux_sym_preproc_def_token1] = ACTIONS(2829),
    [aux_sym_preproc_if_token1] = ACTIONS(2829),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2829),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2829),
    [sym_preproc_directive] = ACTIONS(2829),
    [anon_sym_LPAREN2] = ACTIONS(2831),
    [anon_sym_TILDE] = ACTIONS(2831),
    [anon_sym_STAR] = ACTIONS(2831),
    [anon_sym_AMP_AMP] = ACTIONS(2831),
    [anon_sym_AMP] = ACTIONS(2829),
    [anon_sym___extension__] = ACTIONS(2829),
    [anon_sym_typedef] = ACTIONS(2829),
    [anon_sym_in] = ACTIONS(2829),
    [anon_sym_out] = ACTIONS(2829),
    [anon_sym_inout] = ACTIONS(2829),
    [anon_sym_extern] = ACTIONS(2829),
    [anon_sym___attribute__] = ACTIONS(2829),
    [anon_sym_COLON_COLON] = ACTIONS(2831),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2831),
    [anon_sym___declspec] = ACTIONS(2829),
    [anon_sym___based] = ACTIONS(2829),
    [anon_sym_RBRACE] = ACTIONS(2831),
    [anon_sym_signed] = ACTIONS(2829),
    [anon_sym_unsigned] = ACTIONS(2829),
    [anon_sym_long] = ACTIONS(2829),
    [anon_sym_short] = ACTIONS(2829),
    [anon_sym_LBRACK] = ACTIONS(2829),
    [anon_sym_static] = ACTIONS(2829),
    [anon_sym_register] = ACTIONS(2829),
    [anon_sym_inline] = ACTIONS(2829),
    [anon_sym___inline] = ACTIONS(2829),
    [anon_sym___inline__] = ACTIONS(2829),
    [anon_sym___forceinline] = ACTIONS(2829),
    [anon_sym_thread_local] = ACTIONS(2829),
    [anon_sym___thread] = ACTIONS(2829),
    [anon_sym_const] = ACTIONS(2829),
    [anon_sym_constexpr] = ACTIONS(2829),
    [anon_sym_volatile] = ACTIONS(2829),
    [anon_sym_restrict] = ACTIONS(2829),
    [anon_sym___restrict__] = ACTIONS(2829),
    [anon_sym__Atomic] = ACTIONS(2829),
    [anon_sym__Noreturn] = ACTIONS(2829),
    [anon_sym_noreturn] = ACTIONS(2829),
    [anon_sym_mutable] = ACTIONS(2829),
    [anon_sym_constinit] = ACTIONS(2829),
    [anon_sym_consteval] = ACTIONS(2829),
    [sym_primitive_type] = ACTIONS(2829),
    [anon_sym_enum] = ACTIONS(2829),
    [anon_sym_class] = ACTIONS(2829),
    [anon_sym_struct] = ACTIONS(2829),
    [anon_sym_union] = ACTIONS(2829),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2829),
    [anon_sym_decltype] = ACTIONS(2829),
    [anon_sym_virtual] = ACTIONS(2829),
    [anon_sym_alignas] = ACTIONS(2829),
    [anon_sym_explicit] = ACTIONS(2829),
    [anon_sym_typename] = ACTIONS(2829),
    [anon_sym_template] = ACTIONS(2829),
    [anon_sym_operator] = ACTIONS(2829),
    [anon_sym_friend] = ACTIONS(2829),
    [anon_sym_public] = ACTIONS(2829),
    [anon_sym_private] = ACTIONS(2829),
    [anon_sym_protected] = ACTIONS(2829),
    [anon_sym_using] = ACTIONS(2829),
    [anon_sym_static_assert] = ACTIONS(2829),
    [anon_sym_precise] = ACTIONS(2829),
    [anon_sym_shared] = ACTIONS(2829),
    [anon_sym_groupshared] = ACTIONS(2829),
    [anon_sym_uniform] = ACTIONS(2829),
    [anon_sym_row_major] = ACTIONS(2829),
    [anon_sym_column_major] = ACTIONS(2829),
    [anon_sym_globallycoherent] = ACTIONS(2829),
    [anon_sym_centroid] = ACTIONS(2829),
    [anon_sym_noperspective] = ACTIONS(2829),
    [anon_sym_nointerpolation] = ACTIONS(2829),
    [anon_sym_sample] = ACTIONS(2829),
    [anon_sym_linear] = ACTIONS(2829),
    [anon_sym_snorm] = ACTIONS(2829),
    [anon_sym_unorm] = ACTIONS(2829),
    [anon_sym_point] = ACTIONS(2829),
    [anon_sym_line] = ACTIONS(2829),
    [anon_sym_triangleadj] = ACTIONS(2829),
    [anon_sym_lineadj] = ACTIONS(2829),
    [anon_sym_triangle] = ACTIONS(2829),
  },
  [2827] = {
    [sym__declaration_modifiers] = STATE(3012),
    [sym_attribute_specifier] = STATE(3012),
    [sym_attribute_declaration] = STATE(3012),
    [sym_ms_declspec_modifier] = STATE(3012),
    [sym_storage_class_specifier] = STATE(3012),
    [sym_type_qualifier] = STATE(3012),
    [sym_decltype_auto] = STATE(3065),
    [sym_virtual] = STATE(3012),
    [sym_alignas_specifier] = STATE(3012),
    [sym_qualifiers] = STATE(3012),
    [aux_sym__declaration_specifiers_repeat1] = STATE(3012),
    [sym_identifier] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5802),
    [anon_sym_COMMA] = ACTIONS(5802),
    [anon_sym_RPAREN] = ACTIONS(5802),
    [anon_sym_LPAREN2] = ACTIONS(5802),
    [anon_sym_TILDE] = ACTIONS(5802),
    [anon_sym_STAR] = ACTIONS(5802),
    [anon_sym_AMP_AMP] = ACTIONS(5802),
    [anon_sym_AMP] = ACTIONS(5800),
    [anon_sym_COLON] = ACTIONS(5800),
    [anon_sym_SEMI] = ACTIONS(5802),
    [anon_sym___extension__] = ACTIONS(5575),
    [anon_sym_in] = ACTIONS(5804),
    [anon_sym_out] = ACTIONS(5804),
    [anon_sym_inout] = ACTIONS(5804),
    [anon_sym_extern] = ACTIONS(5579),
    [anon_sym___attribute__] = ACTIONS(5581),
    [anon_sym_COLON_COLON] = ACTIONS(5802),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5585),
    [anon_sym___declspec] = ACTIONS(5587),
    [anon_sym___based] = ACTIONS(5800),
    [anon_sym___cdecl] = ACTIONS(5800),
    [anon_sym___clrcall] = ACTIONS(5800),
    [anon_sym___stdcall] = ACTIONS(5800),
    [anon_sym___fastcall] = ACTIONS(5800),
    [anon_sym___thiscall] = ACTIONS(5800),
    [anon_sym___vectorcall] = ACTIONS(5800),
    [anon_sym_LBRACK] = ACTIONS(5800),
    [anon_sym_EQ] = ACTIONS(5802),
    [anon_sym_static] = ACTIONS(5579),
    [anon_sym_register] = ACTIONS(5579),
    [anon_sym_inline] = ACTIONS(5579),
    [anon_sym___inline] = ACTIONS(5579),
    [anon_sym___inline__] = ACTIONS(5579),
    [anon_sym___forceinline] = ACTIONS(5579),
    [anon_sym_thread_local] = ACTIONS(5579),
    [anon_sym___thread] = ACTIONS(5579),
    [anon_sym_const] = ACTIONS(5575),
    [anon_sym_constexpr] = ACTIONS(5575),
    [anon_sym_volatile] = ACTIONS(5575),
    [anon_sym_restrict] = ACTIONS(5575),
    [anon_sym___restrict__] = ACTIONS(5575),
    [anon_sym__Atomic] = ACTIONS(5575),
    [anon_sym__Noreturn] = ACTIONS(5575),
    [anon_sym_noreturn] = ACTIONS(5575),
    [anon_sym_mutable] = ACTIONS(5575),
    [anon_sym_constinit] = ACTIONS(5575),
    [anon_sym_consteval] = ACTIONS(5575),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5806),
    [anon_sym_decltype] = ACTIONS(5808),
    [anon_sym_virtual] = ACTIONS(5589),
    [anon_sym_alignas] = ACTIONS(5591),
    [anon_sym_template] = ACTIONS(5800),
    [anon_sym_GT2] = ACTIONS(5802),
    [anon_sym_operator] = ACTIONS(5800),
    [anon_sym_precise] = ACTIONS(5593),
    [anon_sym_shared] = ACTIONS(5593),
    [anon_sym_groupshared] = ACTIONS(5593),
    [anon_sym_uniform] = ACTIONS(5593),
    [anon_sym_row_major] = ACTIONS(5593),
    [anon_sym_column_major] = ACTIONS(5593),
    [anon_sym_globallycoherent] = ACTIONS(5593),
    [anon_sym_centroid] = ACTIONS(5593),
    [anon_sym_noperspective] = ACTIONS(5593),
    [anon_sym_nointerpolation] = ACTIONS(5593),
    [anon_sym_sample] = ACTIONS(5593),
    [anon_sym_linear] = ACTIONS(5593),
    [anon_sym_snorm] = ACTIONS(5593),
    [anon_sym_unorm] = ACTIONS(5593),
    [anon_sym_point] = ACTIONS(5593),
    [anon_sym_line] = ACTIONS(5593),
    [anon_sym_triangleadj] = ACTIONS(5593),
    [anon_sym_lineadj] = ACTIONS(5593),
    [anon_sym_triangle] = ACTIONS(5593),
  },
  [2828] = {
    [sym_identifier] = ACTIONS(2516),
    [aux_sym_preproc_def_token1] = ACTIONS(2516),
    [aux_sym_preproc_if_token1] = ACTIONS(2516),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2516),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2516),
    [sym_preproc_directive] = ACTIONS(2516),
    [anon_sym_LPAREN2] = ACTIONS(2518),
    [anon_sym_TILDE] = ACTIONS(2518),
    [anon_sym_STAR] = ACTIONS(2518),
    [anon_sym_AMP_AMP] = ACTIONS(2518),
    [anon_sym_AMP] = ACTIONS(2516),
    [anon_sym___extension__] = ACTIONS(2516),
    [anon_sym_typedef] = ACTIONS(2516),
    [anon_sym_in] = ACTIONS(2516),
    [anon_sym_out] = ACTIONS(2516),
    [anon_sym_inout] = ACTIONS(2516),
    [anon_sym_extern] = ACTIONS(2516),
    [anon_sym___attribute__] = ACTIONS(2516),
    [anon_sym_COLON_COLON] = ACTIONS(2518),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2518),
    [anon_sym___declspec] = ACTIONS(2516),
    [anon_sym___based] = ACTIONS(2516),
    [anon_sym_RBRACE] = ACTIONS(2518),
    [anon_sym_signed] = ACTIONS(2516),
    [anon_sym_unsigned] = ACTIONS(2516),
    [anon_sym_long] = ACTIONS(2516),
    [anon_sym_short] = ACTIONS(2516),
    [anon_sym_LBRACK] = ACTIONS(2516),
    [anon_sym_static] = ACTIONS(2516),
    [anon_sym_register] = ACTIONS(2516),
    [anon_sym_inline] = ACTIONS(2516),
    [anon_sym___inline] = ACTIONS(2516),
    [anon_sym___inline__] = ACTIONS(2516),
    [anon_sym___forceinline] = ACTIONS(2516),
    [anon_sym_thread_local] = ACTIONS(2516),
    [anon_sym___thread] = ACTIONS(2516),
    [anon_sym_const] = ACTIONS(2516),
    [anon_sym_constexpr] = ACTIONS(2516),
    [anon_sym_volatile] = ACTIONS(2516),
    [anon_sym_restrict] = ACTIONS(2516),
    [anon_sym___restrict__] = ACTIONS(2516),
    [anon_sym__Atomic] = ACTIONS(2516),
    [anon_sym__Noreturn] = ACTIONS(2516),
    [anon_sym_noreturn] = ACTIONS(2516),
    [anon_sym_mutable] = ACTIONS(2516),
    [anon_sym_constinit] = ACTIONS(2516),
    [anon_sym_consteval] = ACTIONS(2516),
    [sym_primitive_type] = ACTIONS(2516),
    [anon_sym_enum] = ACTIONS(2516),
    [anon_sym_class] = ACTIONS(2516),
    [anon_sym_struct] = ACTIONS(2516),
    [anon_sym_union] = ACTIONS(2516),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2516),
    [anon_sym_decltype] = ACTIONS(2516),
    [anon_sym_virtual] = ACTIONS(2516),
    [anon_sym_alignas] = ACTIONS(2516),
    [anon_sym_explicit] = ACTIONS(2516),
    [anon_sym_typename] = ACTIONS(2516),
    [anon_sym_template] = ACTIONS(2516),
    [anon_sym_operator] = ACTIONS(2516),
    [anon_sym_friend] = ACTIONS(2516),
    [anon_sym_public] = ACTIONS(2516),
    [anon_sym_private] = ACTIONS(2516),
    [anon_sym_protected] = ACTIONS(2516),
    [anon_sym_using] = ACTIONS(2516),
    [anon_sym_static_assert] = ACTIONS(2516),
    [anon_sym_precise] = ACTIONS(2516),
    [anon_sym_shared] = ACTIONS(2516),
    [anon_sym_groupshared] = ACTIONS(2516),
    [anon_sym_uniform] = ACTIONS(2516),
    [anon_sym_row_major] = ACTIONS(2516),
    [anon_sym_column_major] = ACTIONS(2516),
    [anon_sym_globallycoherent] = ACTIONS(2516),
    [anon_sym_centroid] = ACTIONS(2516),
    [anon_sym_noperspective] = ACTIONS(2516),
    [anon_sym_nointerpolation] = ACTIONS(2516),
    [anon_sym_sample] = ACTIONS(2516),
    [anon_sym_linear] = ACTIONS(2516),
    [anon_sym_snorm] = ACTIONS(2516),
    [anon_sym_unorm] = ACTIONS(2516),
    [anon_sym_point] = ACTIONS(2516),
    [anon_sym_line] = ACTIONS(2516),
    [anon_sym_triangleadj] = ACTIONS(2516),
    [anon_sym_lineadj] = ACTIONS(2516),
    [anon_sym_triangle] = ACTIONS(2516),
  },
  [2829] = {
    [sym_identifier] = ACTIONS(2717),
    [aux_sym_preproc_def_token1] = ACTIONS(2717),
    [aux_sym_preproc_if_token1] = ACTIONS(2717),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2717),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2717),
    [sym_preproc_directive] = ACTIONS(2717),
    [anon_sym_LPAREN2] = ACTIONS(2719),
    [anon_sym_TILDE] = ACTIONS(2719),
    [anon_sym_STAR] = ACTIONS(2719),
    [anon_sym_AMP_AMP] = ACTIONS(2719),
    [anon_sym_AMP] = ACTIONS(2717),
    [anon_sym___extension__] = ACTIONS(2717),
    [anon_sym_typedef] = ACTIONS(2717),
    [anon_sym_in] = ACTIONS(2717),
    [anon_sym_out] = ACTIONS(2717),
    [anon_sym_inout] = ACTIONS(2717),
    [anon_sym_extern] = ACTIONS(2717),
    [anon_sym___attribute__] = ACTIONS(2717),
    [anon_sym_COLON_COLON] = ACTIONS(2719),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2719),
    [anon_sym___declspec] = ACTIONS(2717),
    [anon_sym___based] = ACTIONS(2717),
    [anon_sym_RBRACE] = ACTIONS(2719),
    [anon_sym_signed] = ACTIONS(2717),
    [anon_sym_unsigned] = ACTIONS(2717),
    [anon_sym_long] = ACTIONS(2717),
    [anon_sym_short] = ACTIONS(2717),
    [anon_sym_LBRACK] = ACTIONS(2717),
    [anon_sym_static] = ACTIONS(2717),
    [anon_sym_register] = ACTIONS(2717),
    [anon_sym_inline] = ACTIONS(2717),
    [anon_sym___inline] = ACTIONS(2717),
    [anon_sym___inline__] = ACTIONS(2717),
    [anon_sym___forceinline] = ACTIONS(2717),
    [anon_sym_thread_local] = ACTIONS(2717),
    [anon_sym___thread] = ACTIONS(2717),
    [anon_sym_const] = ACTIONS(2717),
    [anon_sym_constexpr] = ACTIONS(2717),
    [anon_sym_volatile] = ACTIONS(2717),
    [anon_sym_restrict] = ACTIONS(2717),
    [anon_sym___restrict__] = ACTIONS(2717),
    [anon_sym__Atomic] = ACTIONS(2717),
    [anon_sym__Noreturn] = ACTIONS(2717),
    [anon_sym_noreturn] = ACTIONS(2717),
    [anon_sym_mutable] = ACTIONS(2717),
    [anon_sym_constinit] = ACTIONS(2717),
    [anon_sym_consteval] = ACTIONS(2717),
    [sym_primitive_type] = ACTIONS(2717),
    [anon_sym_enum] = ACTIONS(2717),
    [anon_sym_class] = ACTIONS(2717),
    [anon_sym_struct] = ACTIONS(2717),
    [anon_sym_union] = ACTIONS(2717),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2717),
    [anon_sym_decltype] = ACTIONS(2717),
    [anon_sym_virtual] = ACTIONS(2717),
    [anon_sym_alignas] = ACTIONS(2717),
    [anon_sym_explicit] = ACTIONS(2717),
    [anon_sym_typename] = ACTIONS(2717),
    [anon_sym_template] = ACTIONS(2717),
    [anon_sym_operator] = ACTIONS(2717),
    [anon_sym_friend] = ACTIONS(2717),
    [anon_sym_public] = ACTIONS(2717),
    [anon_sym_private] = ACTIONS(2717),
    [anon_sym_protected] = ACTIONS(2717),
    [anon_sym_using] = ACTIONS(2717),
    [anon_sym_static_assert] = ACTIONS(2717),
    [anon_sym_precise] = ACTIONS(2717),
    [anon_sym_shared] = ACTIONS(2717),
    [anon_sym_groupshared] = ACTIONS(2717),
    [anon_sym_uniform] = ACTIONS(2717),
    [anon_sym_row_major] = ACTIONS(2717),
    [anon_sym_column_major] = ACTIONS(2717),
    [anon_sym_globallycoherent] = ACTIONS(2717),
    [anon_sym_centroid] = ACTIONS(2717),
    [anon_sym_noperspective] = ACTIONS(2717),
    [anon_sym_nointerpolation] = ACTIONS(2717),
    [anon_sym_sample] = ACTIONS(2717),
    [anon_sym_linear] = ACTIONS(2717),
    [anon_sym_snorm] = ACTIONS(2717),
    [anon_sym_unorm] = ACTIONS(2717),
    [anon_sym_point] = ACTIONS(2717),
    [anon_sym_line] = ACTIONS(2717),
    [anon_sym_triangleadj] = ACTIONS(2717),
    [anon_sym_lineadj] = ACTIONS(2717),
    [anon_sym_triangle] = ACTIONS(2717),
  },
  [2830] = {
    [sym_identifier] = ACTIONS(5667),
    [aux_sym_preproc_def_token1] = ACTIONS(5667),
    [aux_sym_preproc_if_token1] = ACTIONS(5667),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5667),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5667),
    [sym_preproc_directive] = ACTIONS(5667),
    [anon_sym_LPAREN2] = ACTIONS(5669),
    [anon_sym_TILDE] = ACTIONS(5669),
    [anon_sym_STAR] = ACTIONS(5669),
    [anon_sym_AMP_AMP] = ACTIONS(5669),
    [anon_sym_AMP] = ACTIONS(5667),
    [anon_sym___extension__] = ACTIONS(5667),
    [anon_sym_typedef] = ACTIONS(5667),
    [anon_sym_in] = ACTIONS(5667),
    [anon_sym_out] = ACTIONS(5667),
    [anon_sym_inout] = ACTIONS(5667),
    [anon_sym_extern] = ACTIONS(5667),
    [anon_sym___attribute__] = ACTIONS(5667),
    [anon_sym_COLON_COLON] = ACTIONS(5669),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5669),
    [anon_sym___declspec] = ACTIONS(5667),
    [anon_sym___based] = ACTIONS(5667),
    [anon_sym_RBRACE] = ACTIONS(5669),
    [anon_sym_signed] = ACTIONS(5667),
    [anon_sym_unsigned] = ACTIONS(5667),
    [anon_sym_long] = ACTIONS(5667),
    [anon_sym_short] = ACTIONS(5667),
    [anon_sym_LBRACK] = ACTIONS(5667),
    [anon_sym_static] = ACTIONS(5667),
    [anon_sym_register] = ACTIONS(5667),
    [anon_sym_inline] = ACTIONS(5667),
    [anon_sym___inline] = ACTIONS(5667),
    [anon_sym___inline__] = ACTIONS(5667),
    [anon_sym___forceinline] = ACTIONS(5667),
    [anon_sym_thread_local] = ACTIONS(5667),
    [anon_sym___thread] = ACTIONS(5667),
    [anon_sym_const] = ACTIONS(5667),
    [anon_sym_constexpr] = ACTIONS(5667),
    [anon_sym_volatile] = ACTIONS(5667),
    [anon_sym_restrict] = ACTIONS(5667),
    [anon_sym___restrict__] = ACTIONS(5667),
    [anon_sym__Atomic] = ACTIONS(5667),
    [anon_sym__Noreturn] = ACTIONS(5667),
    [anon_sym_noreturn] = ACTIONS(5667),
    [anon_sym_mutable] = ACTIONS(5667),
    [anon_sym_constinit] = ACTIONS(5667),
    [anon_sym_consteval] = ACTIONS(5667),
    [sym_primitive_type] = ACTIONS(5667),
    [anon_sym_enum] = ACTIONS(5667),
    [anon_sym_class] = ACTIONS(5667),
    [anon_sym_struct] = ACTIONS(5667),
    [anon_sym_union] = ACTIONS(5667),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5667),
    [anon_sym_decltype] = ACTIONS(5667),
    [anon_sym_virtual] = ACTIONS(5667),
    [anon_sym_alignas] = ACTIONS(5667),
    [anon_sym_explicit] = ACTIONS(5667),
    [anon_sym_typename] = ACTIONS(5667),
    [anon_sym_template] = ACTIONS(5667),
    [anon_sym_operator] = ACTIONS(5667),
    [anon_sym_friend] = ACTIONS(5667),
    [anon_sym_public] = ACTIONS(5667),
    [anon_sym_private] = ACTIONS(5667),
    [anon_sym_protected] = ACTIONS(5667),
    [anon_sym_using] = ACTIONS(5667),
    [anon_sym_static_assert] = ACTIONS(5667),
    [anon_sym_precise] = ACTIONS(5667),
    [anon_sym_shared] = ACTIONS(5667),
    [anon_sym_groupshared] = ACTIONS(5667),
    [anon_sym_uniform] = ACTIONS(5667),
    [anon_sym_row_major] = ACTIONS(5667),
    [anon_sym_column_major] = ACTIONS(5667),
    [anon_sym_globallycoherent] = ACTIONS(5667),
    [anon_sym_centroid] = ACTIONS(5667),
    [anon_sym_noperspective] = ACTIONS(5667),
    [anon_sym_nointerpolation] = ACTIONS(5667),
    [anon_sym_sample] = ACTIONS(5667),
    [anon_sym_linear] = ACTIONS(5667),
    [anon_sym_snorm] = ACTIONS(5667),
    [anon_sym_unorm] = ACTIONS(5667),
    [anon_sym_point] = ACTIONS(5667),
    [anon_sym_line] = ACTIONS(5667),
    [anon_sym_triangleadj] = ACTIONS(5667),
    [anon_sym_lineadj] = ACTIONS(5667),
    [anon_sym_triangle] = ACTIONS(5667),
  },
  [2831] = {
    [sym_identifier] = ACTIONS(2354),
    [aux_sym_preproc_def_token1] = ACTIONS(2354),
    [aux_sym_preproc_if_token1] = ACTIONS(2354),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2354),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2354),
    [sym_preproc_directive] = ACTIONS(2354),
    [anon_sym_LPAREN2] = ACTIONS(2356),
    [anon_sym_TILDE] = ACTIONS(2356),
    [anon_sym_STAR] = ACTIONS(2356),
    [anon_sym_AMP_AMP] = ACTIONS(2356),
    [anon_sym_AMP] = ACTIONS(2354),
    [anon_sym___extension__] = ACTIONS(2354),
    [anon_sym_typedef] = ACTIONS(2354),
    [anon_sym_in] = ACTIONS(2354),
    [anon_sym_out] = ACTIONS(2354),
    [anon_sym_inout] = ACTIONS(2354),
    [anon_sym_extern] = ACTIONS(2354),
    [anon_sym___attribute__] = ACTIONS(2354),
    [anon_sym_COLON_COLON] = ACTIONS(2356),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2356),
    [anon_sym___declspec] = ACTIONS(2354),
    [anon_sym___based] = ACTIONS(2354),
    [anon_sym_RBRACE] = ACTIONS(2356),
    [anon_sym_signed] = ACTIONS(2354),
    [anon_sym_unsigned] = ACTIONS(2354),
    [anon_sym_long] = ACTIONS(2354),
    [anon_sym_short] = ACTIONS(2354),
    [anon_sym_LBRACK] = ACTIONS(2354),
    [anon_sym_static] = ACTIONS(2354),
    [anon_sym_register] = ACTIONS(2354),
    [anon_sym_inline] = ACTIONS(2354),
    [anon_sym___inline] = ACTIONS(2354),
    [anon_sym___inline__] = ACTIONS(2354),
    [anon_sym___forceinline] = ACTIONS(2354),
    [anon_sym_thread_local] = ACTIONS(2354),
    [anon_sym___thread] = ACTIONS(2354),
    [anon_sym_const] = ACTIONS(2354),
    [anon_sym_constexpr] = ACTIONS(2354),
    [anon_sym_volatile] = ACTIONS(2354),
    [anon_sym_restrict] = ACTIONS(2354),
    [anon_sym___restrict__] = ACTIONS(2354),
    [anon_sym__Atomic] = ACTIONS(2354),
    [anon_sym__Noreturn] = ACTIONS(2354),
    [anon_sym_noreturn] = ACTIONS(2354),
    [anon_sym_mutable] = ACTIONS(2354),
    [anon_sym_constinit] = ACTIONS(2354),
    [anon_sym_consteval] = ACTIONS(2354),
    [sym_primitive_type] = ACTIONS(2354),
    [anon_sym_enum] = ACTIONS(2354),
    [anon_sym_class] = ACTIONS(2354),
    [anon_sym_struct] = ACTIONS(2354),
    [anon_sym_union] = ACTIONS(2354),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2354),
    [anon_sym_decltype] = ACTIONS(2354),
    [anon_sym_virtual] = ACTIONS(2354),
    [anon_sym_alignas] = ACTIONS(2354),
    [anon_sym_explicit] = ACTIONS(2354),
    [anon_sym_typename] = ACTIONS(2354),
    [anon_sym_template] = ACTIONS(2354),
    [anon_sym_operator] = ACTIONS(2354),
    [anon_sym_friend] = ACTIONS(2354),
    [anon_sym_public] = ACTIONS(2354),
    [anon_sym_private] = ACTIONS(2354),
    [anon_sym_protected] = ACTIONS(2354),
    [anon_sym_using] = ACTIONS(2354),
    [anon_sym_static_assert] = ACTIONS(2354),
    [anon_sym_precise] = ACTIONS(2354),
    [anon_sym_shared] = ACTIONS(2354),
    [anon_sym_groupshared] = ACTIONS(2354),
    [anon_sym_uniform] = ACTIONS(2354),
    [anon_sym_row_major] = ACTIONS(2354),
    [anon_sym_column_major] = ACTIONS(2354),
    [anon_sym_globallycoherent] = ACTIONS(2354),
    [anon_sym_centroid] = ACTIONS(2354),
    [anon_sym_noperspective] = ACTIONS(2354),
    [anon_sym_nointerpolation] = ACTIONS(2354),
    [anon_sym_sample] = ACTIONS(2354),
    [anon_sym_linear] = ACTIONS(2354),
    [anon_sym_snorm] = ACTIONS(2354),
    [anon_sym_unorm] = ACTIONS(2354),
    [anon_sym_point] = ACTIONS(2354),
    [anon_sym_line] = ACTIONS(2354),
    [anon_sym_triangleadj] = ACTIONS(2354),
    [anon_sym_lineadj] = ACTIONS(2354),
    [anon_sym_triangle] = ACTIONS(2354),
  },
  [2832] = {
    [sym_identifier] = ACTIONS(5667),
    [aux_sym_preproc_def_token1] = ACTIONS(5667),
    [aux_sym_preproc_if_token1] = ACTIONS(5667),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5667),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5667),
    [sym_preproc_directive] = ACTIONS(5667),
    [anon_sym_LPAREN2] = ACTIONS(5669),
    [anon_sym_TILDE] = ACTIONS(5669),
    [anon_sym_STAR] = ACTIONS(5669),
    [anon_sym_AMP_AMP] = ACTIONS(5669),
    [anon_sym_AMP] = ACTIONS(5667),
    [anon_sym___extension__] = ACTIONS(5667),
    [anon_sym_typedef] = ACTIONS(5667),
    [anon_sym_in] = ACTIONS(5667),
    [anon_sym_out] = ACTIONS(5667),
    [anon_sym_inout] = ACTIONS(5667),
    [anon_sym_extern] = ACTIONS(5667),
    [anon_sym___attribute__] = ACTIONS(5667),
    [anon_sym_COLON_COLON] = ACTIONS(5669),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5669),
    [anon_sym___declspec] = ACTIONS(5667),
    [anon_sym___based] = ACTIONS(5667),
    [anon_sym_RBRACE] = ACTIONS(5669),
    [anon_sym_signed] = ACTIONS(5667),
    [anon_sym_unsigned] = ACTIONS(5667),
    [anon_sym_long] = ACTIONS(5667),
    [anon_sym_short] = ACTIONS(5667),
    [anon_sym_LBRACK] = ACTIONS(5667),
    [anon_sym_static] = ACTIONS(5667),
    [anon_sym_register] = ACTIONS(5667),
    [anon_sym_inline] = ACTIONS(5667),
    [anon_sym___inline] = ACTIONS(5667),
    [anon_sym___inline__] = ACTIONS(5667),
    [anon_sym___forceinline] = ACTIONS(5667),
    [anon_sym_thread_local] = ACTIONS(5667),
    [anon_sym___thread] = ACTIONS(5667),
    [anon_sym_const] = ACTIONS(5667),
    [anon_sym_constexpr] = ACTIONS(5667),
    [anon_sym_volatile] = ACTIONS(5667),
    [anon_sym_restrict] = ACTIONS(5667),
    [anon_sym___restrict__] = ACTIONS(5667),
    [anon_sym__Atomic] = ACTIONS(5667),
    [anon_sym__Noreturn] = ACTIONS(5667),
    [anon_sym_noreturn] = ACTIONS(5667),
    [anon_sym_mutable] = ACTIONS(5667),
    [anon_sym_constinit] = ACTIONS(5667),
    [anon_sym_consteval] = ACTIONS(5667),
    [sym_primitive_type] = ACTIONS(5667),
    [anon_sym_enum] = ACTIONS(5667),
    [anon_sym_class] = ACTIONS(5667),
    [anon_sym_struct] = ACTIONS(5667),
    [anon_sym_union] = ACTIONS(5667),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5667),
    [anon_sym_decltype] = ACTIONS(5667),
    [anon_sym_virtual] = ACTIONS(5667),
    [anon_sym_alignas] = ACTIONS(5667),
    [anon_sym_explicit] = ACTIONS(5667),
    [anon_sym_typename] = ACTIONS(5667),
    [anon_sym_template] = ACTIONS(5667),
    [anon_sym_operator] = ACTIONS(5667),
    [anon_sym_friend] = ACTIONS(5667),
    [anon_sym_public] = ACTIONS(5667),
    [anon_sym_private] = ACTIONS(5667),
    [anon_sym_protected] = ACTIONS(5667),
    [anon_sym_using] = ACTIONS(5667),
    [anon_sym_static_assert] = ACTIONS(5667),
    [anon_sym_precise] = ACTIONS(5667),
    [anon_sym_shared] = ACTIONS(5667),
    [anon_sym_groupshared] = ACTIONS(5667),
    [anon_sym_uniform] = ACTIONS(5667),
    [anon_sym_row_major] = ACTIONS(5667),
    [anon_sym_column_major] = ACTIONS(5667),
    [anon_sym_globallycoherent] = ACTIONS(5667),
    [anon_sym_centroid] = ACTIONS(5667),
    [anon_sym_noperspective] = ACTIONS(5667),
    [anon_sym_nointerpolation] = ACTIONS(5667),
    [anon_sym_sample] = ACTIONS(5667),
    [anon_sym_linear] = ACTIONS(5667),
    [anon_sym_snorm] = ACTIONS(5667),
    [anon_sym_unorm] = ACTIONS(5667),
    [anon_sym_point] = ACTIONS(5667),
    [anon_sym_line] = ACTIONS(5667),
    [anon_sym_triangleadj] = ACTIONS(5667),
    [anon_sym_lineadj] = ACTIONS(5667),
    [anon_sym_triangle] = ACTIONS(5667),
  },
  [2833] = {
    [sym_identifier] = ACTIONS(2681),
    [aux_sym_preproc_def_token1] = ACTIONS(2681),
    [aux_sym_preproc_if_token1] = ACTIONS(2681),
    [aux_sym_preproc_if_token2] = ACTIONS(2681),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2681),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2681),
    [sym_preproc_directive] = ACTIONS(2681),
    [anon_sym_LPAREN2] = ACTIONS(2683),
    [anon_sym_TILDE] = ACTIONS(2683),
    [anon_sym_STAR] = ACTIONS(2683),
    [anon_sym_AMP_AMP] = ACTIONS(2683),
    [anon_sym_AMP] = ACTIONS(2681),
    [anon_sym___extension__] = ACTIONS(2681),
    [anon_sym_typedef] = ACTIONS(2681),
    [anon_sym_in] = ACTIONS(2681),
    [anon_sym_out] = ACTIONS(2681),
    [anon_sym_inout] = ACTIONS(2681),
    [anon_sym_extern] = ACTIONS(2681),
    [anon_sym___attribute__] = ACTIONS(2681),
    [anon_sym_COLON_COLON] = ACTIONS(2683),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2683),
    [anon_sym___declspec] = ACTIONS(2681),
    [anon_sym___based] = ACTIONS(2681),
    [anon_sym_signed] = ACTIONS(2681),
    [anon_sym_unsigned] = ACTIONS(2681),
    [anon_sym_long] = ACTIONS(2681),
    [anon_sym_short] = ACTIONS(2681),
    [anon_sym_LBRACK] = ACTIONS(2681),
    [anon_sym_static] = ACTIONS(2681),
    [anon_sym_register] = ACTIONS(2681),
    [anon_sym_inline] = ACTIONS(2681),
    [anon_sym___inline] = ACTIONS(2681),
    [anon_sym___inline__] = ACTIONS(2681),
    [anon_sym___forceinline] = ACTIONS(2681),
    [anon_sym_thread_local] = ACTIONS(2681),
    [anon_sym___thread] = ACTIONS(2681),
    [anon_sym_const] = ACTIONS(2681),
    [anon_sym_constexpr] = ACTIONS(2681),
    [anon_sym_volatile] = ACTIONS(2681),
    [anon_sym_restrict] = ACTIONS(2681),
    [anon_sym___restrict__] = ACTIONS(2681),
    [anon_sym__Atomic] = ACTIONS(2681),
    [anon_sym__Noreturn] = ACTIONS(2681),
    [anon_sym_noreturn] = ACTIONS(2681),
    [anon_sym_mutable] = ACTIONS(2681),
    [anon_sym_constinit] = ACTIONS(2681),
    [anon_sym_consteval] = ACTIONS(2681),
    [sym_primitive_type] = ACTIONS(2681),
    [anon_sym_enum] = ACTIONS(2681),
    [anon_sym_class] = ACTIONS(2681),
    [anon_sym_struct] = ACTIONS(2681),
    [anon_sym_union] = ACTIONS(2681),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2681),
    [anon_sym_decltype] = ACTIONS(2681),
    [anon_sym_virtual] = ACTIONS(2681),
    [anon_sym_alignas] = ACTIONS(2681),
    [anon_sym_explicit] = ACTIONS(2681),
    [anon_sym_typename] = ACTIONS(2681),
    [anon_sym_template] = ACTIONS(2681),
    [anon_sym_operator] = ACTIONS(2681),
    [anon_sym_friend] = ACTIONS(2681),
    [anon_sym_public] = ACTIONS(2681),
    [anon_sym_private] = ACTIONS(2681),
    [anon_sym_protected] = ACTIONS(2681),
    [anon_sym_using] = ACTIONS(2681),
    [anon_sym_static_assert] = ACTIONS(2681),
    [anon_sym_precise] = ACTIONS(2681),
    [anon_sym_shared] = ACTIONS(2681),
    [anon_sym_groupshared] = ACTIONS(2681),
    [anon_sym_uniform] = ACTIONS(2681),
    [anon_sym_row_major] = ACTIONS(2681),
    [anon_sym_column_major] = ACTIONS(2681),
    [anon_sym_globallycoherent] = ACTIONS(2681),
    [anon_sym_centroid] = ACTIONS(2681),
    [anon_sym_noperspective] = ACTIONS(2681),
    [anon_sym_nointerpolation] = ACTIONS(2681),
    [anon_sym_sample] = ACTIONS(2681),
    [anon_sym_linear] = ACTIONS(2681),
    [anon_sym_snorm] = ACTIONS(2681),
    [anon_sym_unorm] = ACTIONS(2681),
    [anon_sym_point] = ACTIONS(2681),
    [anon_sym_line] = ACTIONS(2681),
    [anon_sym_triangleadj] = ACTIONS(2681),
    [anon_sym_lineadj] = ACTIONS(2681),
    [anon_sym_triangle] = ACTIONS(2681),
  },
  [2834] = {
    [sym_identifier] = ACTIONS(2354),
    [aux_sym_preproc_def_token1] = ACTIONS(2354),
    [aux_sym_preproc_if_token1] = ACTIONS(2354),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2354),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2354),
    [sym_preproc_directive] = ACTIONS(2354),
    [anon_sym_LPAREN2] = ACTIONS(2356),
    [anon_sym_TILDE] = ACTIONS(2356),
    [anon_sym_STAR] = ACTIONS(2356),
    [anon_sym_AMP_AMP] = ACTIONS(2356),
    [anon_sym_AMP] = ACTIONS(2354),
    [anon_sym___extension__] = ACTIONS(2354),
    [anon_sym_typedef] = ACTIONS(2354),
    [anon_sym_in] = ACTIONS(2354),
    [anon_sym_out] = ACTIONS(2354),
    [anon_sym_inout] = ACTIONS(2354),
    [anon_sym_extern] = ACTIONS(2354),
    [anon_sym___attribute__] = ACTIONS(2354),
    [anon_sym_COLON_COLON] = ACTIONS(2356),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2356),
    [anon_sym___declspec] = ACTIONS(2354),
    [anon_sym___based] = ACTIONS(2354),
    [anon_sym_RBRACE] = ACTIONS(2356),
    [anon_sym_signed] = ACTIONS(2354),
    [anon_sym_unsigned] = ACTIONS(2354),
    [anon_sym_long] = ACTIONS(2354),
    [anon_sym_short] = ACTIONS(2354),
    [anon_sym_LBRACK] = ACTIONS(2354),
    [anon_sym_static] = ACTIONS(2354),
    [anon_sym_register] = ACTIONS(2354),
    [anon_sym_inline] = ACTIONS(2354),
    [anon_sym___inline] = ACTIONS(2354),
    [anon_sym___inline__] = ACTIONS(2354),
    [anon_sym___forceinline] = ACTIONS(2354),
    [anon_sym_thread_local] = ACTIONS(2354),
    [anon_sym___thread] = ACTIONS(2354),
    [anon_sym_const] = ACTIONS(2354),
    [anon_sym_constexpr] = ACTIONS(2354),
    [anon_sym_volatile] = ACTIONS(2354),
    [anon_sym_restrict] = ACTIONS(2354),
    [anon_sym___restrict__] = ACTIONS(2354),
    [anon_sym__Atomic] = ACTIONS(2354),
    [anon_sym__Noreturn] = ACTIONS(2354),
    [anon_sym_noreturn] = ACTIONS(2354),
    [anon_sym_mutable] = ACTIONS(2354),
    [anon_sym_constinit] = ACTIONS(2354),
    [anon_sym_consteval] = ACTIONS(2354),
    [sym_primitive_type] = ACTIONS(2354),
    [anon_sym_enum] = ACTIONS(2354),
    [anon_sym_class] = ACTIONS(2354),
    [anon_sym_struct] = ACTIONS(2354),
    [anon_sym_union] = ACTIONS(2354),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2354),
    [anon_sym_decltype] = ACTIONS(2354),
    [anon_sym_virtual] = ACTIONS(2354),
    [anon_sym_alignas] = ACTIONS(2354),
    [anon_sym_explicit] = ACTIONS(2354),
    [anon_sym_typename] = ACTIONS(2354),
    [anon_sym_template] = ACTIONS(2354),
    [anon_sym_operator] = ACTIONS(2354),
    [anon_sym_friend] = ACTIONS(2354),
    [anon_sym_public] = ACTIONS(2354),
    [anon_sym_private] = ACTIONS(2354),
    [anon_sym_protected] = ACTIONS(2354),
    [anon_sym_using] = ACTIONS(2354),
    [anon_sym_static_assert] = ACTIONS(2354),
    [anon_sym_precise] = ACTIONS(2354),
    [anon_sym_shared] = ACTIONS(2354),
    [anon_sym_groupshared] = ACTIONS(2354),
    [anon_sym_uniform] = ACTIONS(2354),
    [anon_sym_row_major] = ACTIONS(2354),
    [anon_sym_column_major] = ACTIONS(2354),
    [anon_sym_globallycoherent] = ACTIONS(2354),
    [anon_sym_centroid] = ACTIONS(2354),
    [anon_sym_noperspective] = ACTIONS(2354),
    [anon_sym_nointerpolation] = ACTIONS(2354),
    [anon_sym_sample] = ACTIONS(2354),
    [anon_sym_linear] = ACTIONS(2354),
    [anon_sym_snorm] = ACTIONS(2354),
    [anon_sym_unorm] = ACTIONS(2354),
    [anon_sym_point] = ACTIONS(2354),
    [anon_sym_line] = ACTIONS(2354),
    [anon_sym_triangleadj] = ACTIONS(2354),
    [anon_sym_lineadj] = ACTIONS(2354),
    [anon_sym_triangle] = ACTIONS(2354),
  },
  [2835] = {
    [sym_identifier] = ACTIONS(5663),
    [aux_sym_preproc_def_token1] = ACTIONS(5663),
    [aux_sym_preproc_if_token1] = ACTIONS(5663),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5663),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5663),
    [sym_preproc_directive] = ACTIONS(5663),
    [anon_sym_LPAREN2] = ACTIONS(5665),
    [anon_sym_TILDE] = ACTIONS(5665),
    [anon_sym_STAR] = ACTIONS(5665),
    [anon_sym_AMP_AMP] = ACTIONS(5665),
    [anon_sym_AMP] = ACTIONS(5663),
    [anon_sym___extension__] = ACTIONS(5663),
    [anon_sym_typedef] = ACTIONS(5663),
    [anon_sym_in] = ACTIONS(5663),
    [anon_sym_out] = ACTIONS(5663),
    [anon_sym_inout] = ACTIONS(5663),
    [anon_sym_extern] = ACTIONS(5663),
    [anon_sym___attribute__] = ACTIONS(5663),
    [anon_sym_COLON_COLON] = ACTIONS(5665),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5665),
    [anon_sym___declspec] = ACTIONS(5663),
    [anon_sym___based] = ACTIONS(5663),
    [anon_sym_RBRACE] = ACTIONS(5665),
    [anon_sym_signed] = ACTIONS(5663),
    [anon_sym_unsigned] = ACTIONS(5663),
    [anon_sym_long] = ACTIONS(5663),
    [anon_sym_short] = ACTIONS(5663),
    [anon_sym_LBRACK] = ACTIONS(5663),
    [anon_sym_static] = ACTIONS(5663),
    [anon_sym_register] = ACTIONS(5663),
    [anon_sym_inline] = ACTIONS(5663),
    [anon_sym___inline] = ACTIONS(5663),
    [anon_sym___inline__] = ACTIONS(5663),
    [anon_sym___forceinline] = ACTIONS(5663),
    [anon_sym_thread_local] = ACTIONS(5663),
    [anon_sym___thread] = ACTIONS(5663),
    [anon_sym_const] = ACTIONS(5663),
    [anon_sym_constexpr] = ACTIONS(5663),
    [anon_sym_volatile] = ACTIONS(5663),
    [anon_sym_restrict] = ACTIONS(5663),
    [anon_sym___restrict__] = ACTIONS(5663),
    [anon_sym__Atomic] = ACTIONS(5663),
    [anon_sym__Noreturn] = ACTIONS(5663),
    [anon_sym_noreturn] = ACTIONS(5663),
    [anon_sym_mutable] = ACTIONS(5663),
    [anon_sym_constinit] = ACTIONS(5663),
    [anon_sym_consteval] = ACTIONS(5663),
    [sym_primitive_type] = ACTIONS(5663),
    [anon_sym_enum] = ACTIONS(5663),
    [anon_sym_class] = ACTIONS(5663),
    [anon_sym_struct] = ACTIONS(5663),
    [anon_sym_union] = ACTIONS(5663),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5663),
    [anon_sym_decltype] = ACTIONS(5663),
    [anon_sym_virtual] = ACTIONS(5663),
    [anon_sym_alignas] = ACTIONS(5663),
    [anon_sym_explicit] = ACTIONS(5663),
    [anon_sym_typename] = ACTIONS(5663),
    [anon_sym_template] = ACTIONS(5663),
    [anon_sym_operator] = ACTIONS(5663),
    [anon_sym_friend] = ACTIONS(5663),
    [anon_sym_public] = ACTIONS(5663),
    [anon_sym_private] = ACTIONS(5663),
    [anon_sym_protected] = ACTIONS(5663),
    [anon_sym_using] = ACTIONS(5663),
    [anon_sym_static_assert] = ACTIONS(5663),
    [anon_sym_precise] = ACTIONS(5663),
    [anon_sym_shared] = ACTIONS(5663),
    [anon_sym_groupshared] = ACTIONS(5663),
    [anon_sym_uniform] = ACTIONS(5663),
    [anon_sym_row_major] = ACTIONS(5663),
    [anon_sym_column_major] = ACTIONS(5663),
    [anon_sym_globallycoherent] = ACTIONS(5663),
    [anon_sym_centroid] = ACTIONS(5663),
    [anon_sym_noperspective] = ACTIONS(5663),
    [anon_sym_nointerpolation] = ACTIONS(5663),
    [anon_sym_sample] = ACTIONS(5663),
    [anon_sym_linear] = ACTIONS(5663),
    [anon_sym_snorm] = ACTIONS(5663),
    [anon_sym_unorm] = ACTIONS(5663),
    [anon_sym_point] = ACTIONS(5663),
    [anon_sym_line] = ACTIONS(5663),
    [anon_sym_triangleadj] = ACTIONS(5663),
    [anon_sym_lineadj] = ACTIONS(5663),
    [anon_sym_triangle] = ACTIONS(5663),
  },
  [2836] = {
    [sym_identifier] = ACTIONS(5659),
    [aux_sym_preproc_def_token1] = ACTIONS(5659),
    [aux_sym_preproc_if_token1] = ACTIONS(5659),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5659),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5659),
    [sym_preproc_directive] = ACTIONS(5659),
    [anon_sym_LPAREN2] = ACTIONS(5661),
    [anon_sym_TILDE] = ACTIONS(5661),
    [anon_sym_STAR] = ACTIONS(5661),
    [anon_sym_AMP_AMP] = ACTIONS(5661),
    [anon_sym_AMP] = ACTIONS(5659),
    [anon_sym___extension__] = ACTIONS(5659),
    [anon_sym_typedef] = ACTIONS(5659),
    [anon_sym_in] = ACTIONS(5659),
    [anon_sym_out] = ACTIONS(5659),
    [anon_sym_inout] = ACTIONS(5659),
    [anon_sym_extern] = ACTIONS(5659),
    [anon_sym___attribute__] = ACTIONS(5659),
    [anon_sym_COLON_COLON] = ACTIONS(5661),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5661),
    [anon_sym___declspec] = ACTIONS(5659),
    [anon_sym___based] = ACTIONS(5659),
    [anon_sym_RBRACE] = ACTIONS(5661),
    [anon_sym_signed] = ACTIONS(5659),
    [anon_sym_unsigned] = ACTIONS(5659),
    [anon_sym_long] = ACTIONS(5659),
    [anon_sym_short] = ACTIONS(5659),
    [anon_sym_LBRACK] = ACTIONS(5659),
    [anon_sym_static] = ACTIONS(5659),
    [anon_sym_register] = ACTIONS(5659),
    [anon_sym_inline] = ACTIONS(5659),
    [anon_sym___inline] = ACTIONS(5659),
    [anon_sym___inline__] = ACTIONS(5659),
    [anon_sym___forceinline] = ACTIONS(5659),
    [anon_sym_thread_local] = ACTIONS(5659),
    [anon_sym___thread] = ACTIONS(5659),
    [anon_sym_const] = ACTIONS(5659),
    [anon_sym_constexpr] = ACTIONS(5659),
    [anon_sym_volatile] = ACTIONS(5659),
    [anon_sym_restrict] = ACTIONS(5659),
    [anon_sym___restrict__] = ACTIONS(5659),
    [anon_sym__Atomic] = ACTIONS(5659),
    [anon_sym__Noreturn] = ACTIONS(5659),
    [anon_sym_noreturn] = ACTIONS(5659),
    [anon_sym_mutable] = ACTIONS(5659),
    [anon_sym_constinit] = ACTIONS(5659),
    [anon_sym_consteval] = ACTIONS(5659),
    [sym_primitive_type] = ACTIONS(5659),
    [anon_sym_enum] = ACTIONS(5659),
    [anon_sym_class] = ACTIONS(5659),
    [anon_sym_struct] = ACTIONS(5659),
    [anon_sym_union] = ACTIONS(5659),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5659),
    [anon_sym_decltype] = ACTIONS(5659),
    [anon_sym_virtual] = ACTIONS(5659),
    [anon_sym_alignas] = ACTIONS(5659),
    [anon_sym_explicit] = ACTIONS(5659),
    [anon_sym_typename] = ACTIONS(5659),
    [anon_sym_template] = ACTIONS(5659),
    [anon_sym_operator] = ACTIONS(5659),
    [anon_sym_friend] = ACTIONS(5659),
    [anon_sym_public] = ACTIONS(5659),
    [anon_sym_private] = ACTIONS(5659),
    [anon_sym_protected] = ACTIONS(5659),
    [anon_sym_using] = ACTIONS(5659),
    [anon_sym_static_assert] = ACTIONS(5659),
    [anon_sym_precise] = ACTIONS(5659),
    [anon_sym_shared] = ACTIONS(5659),
    [anon_sym_groupshared] = ACTIONS(5659),
    [anon_sym_uniform] = ACTIONS(5659),
    [anon_sym_row_major] = ACTIONS(5659),
    [anon_sym_column_major] = ACTIONS(5659),
    [anon_sym_globallycoherent] = ACTIONS(5659),
    [anon_sym_centroid] = ACTIONS(5659),
    [anon_sym_noperspective] = ACTIONS(5659),
    [anon_sym_nointerpolation] = ACTIONS(5659),
    [anon_sym_sample] = ACTIONS(5659),
    [anon_sym_linear] = ACTIONS(5659),
    [anon_sym_snorm] = ACTIONS(5659),
    [anon_sym_unorm] = ACTIONS(5659),
    [anon_sym_point] = ACTIONS(5659),
    [anon_sym_line] = ACTIONS(5659),
    [anon_sym_triangleadj] = ACTIONS(5659),
    [anon_sym_lineadj] = ACTIONS(5659),
    [anon_sym_triangle] = ACTIONS(5659),
  },
  [2837] = {
    [sym_identifier] = ACTIONS(2645),
    [aux_sym_preproc_def_token1] = ACTIONS(2645),
    [aux_sym_preproc_if_token1] = ACTIONS(2645),
    [aux_sym_preproc_if_token2] = ACTIONS(2645),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2645),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2645),
    [sym_preproc_directive] = ACTIONS(2645),
    [anon_sym_LPAREN2] = ACTIONS(2647),
    [anon_sym_TILDE] = ACTIONS(2647),
    [anon_sym_STAR] = ACTIONS(2647),
    [anon_sym_AMP_AMP] = ACTIONS(2647),
    [anon_sym_AMP] = ACTIONS(2645),
    [anon_sym___extension__] = ACTIONS(2645),
    [anon_sym_typedef] = ACTIONS(2645),
    [anon_sym_in] = ACTIONS(2645),
    [anon_sym_out] = ACTIONS(2645),
    [anon_sym_inout] = ACTIONS(2645),
    [anon_sym_extern] = ACTIONS(2645),
    [anon_sym___attribute__] = ACTIONS(2645),
    [anon_sym_COLON_COLON] = ACTIONS(2647),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2647),
    [anon_sym___declspec] = ACTIONS(2645),
    [anon_sym___based] = ACTIONS(2645),
    [anon_sym_signed] = ACTIONS(2645),
    [anon_sym_unsigned] = ACTIONS(2645),
    [anon_sym_long] = ACTIONS(2645),
    [anon_sym_short] = ACTIONS(2645),
    [anon_sym_LBRACK] = ACTIONS(2645),
    [anon_sym_static] = ACTIONS(2645),
    [anon_sym_register] = ACTIONS(2645),
    [anon_sym_inline] = ACTIONS(2645),
    [anon_sym___inline] = ACTIONS(2645),
    [anon_sym___inline__] = ACTIONS(2645),
    [anon_sym___forceinline] = ACTIONS(2645),
    [anon_sym_thread_local] = ACTIONS(2645),
    [anon_sym___thread] = ACTIONS(2645),
    [anon_sym_const] = ACTIONS(2645),
    [anon_sym_constexpr] = ACTIONS(2645),
    [anon_sym_volatile] = ACTIONS(2645),
    [anon_sym_restrict] = ACTIONS(2645),
    [anon_sym___restrict__] = ACTIONS(2645),
    [anon_sym__Atomic] = ACTIONS(2645),
    [anon_sym__Noreturn] = ACTIONS(2645),
    [anon_sym_noreturn] = ACTIONS(2645),
    [anon_sym_mutable] = ACTIONS(2645),
    [anon_sym_constinit] = ACTIONS(2645),
    [anon_sym_consteval] = ACTIONS(2645),
    [sym_primitive_type] = ACTIONS(2645),
    [anon_sym_enum] = ACTIONS(2645),
    [anon_sym_class] = ACTIONS(2645),
    [anon_sym_struct] = ACTIONS(2645),
    [anon_sym_union] = ACTIONS(2645),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2645),
    [anon_sym_decltype] = ACTIONS(2645),
    [anon_sym_virtual] = ACTIONS(2645),
    [anon_sym_alignas] = ACTIONS(2645),
    [anon_sym_explicit] = ACTIONS(2645),
    [anon_sym_typename] = ACTIONS(2645),
    [anon_sym_template] = ACTIONS(2645),
    [anon_sym_operator] = ACTIONS(2645),
    [anon_sym_friend] = ACTIONS(2645),
    [anon_sym_public] = ACTIONS(2645),
    [anon_sym_private] = ACTIONS(2645),
    [anon_sym_protected] = ACTIONS(2645),
    [anon_sym_using] = ACTIONS(2645),
    [anon_sym_static_assert] = ACTIONS(2645),
    [anon_sym_precise] = ACTIONS(2645),
    [anon_sym_shared] = ACTIONS(2645),
    [anon_sym_groupshared] = ACTIONS(2645),
    [anon_sym_uniform] = ACTIONS(2645),
    [anon_sym_row_major] = ACTIONS(2645),
    [anon_sym_column_major] = ACTIONS(2645),
    [anon_sym_globallycoherent] = ACTIONS(2645),
    [anon_sym_centroid] = ACTIONS(2645),
    [anon_sym_noperspective] = ACTIONS(2645),
    [anon_sym_nointerpolation] = ACTIONS(2645),
    [anon_sym_sample] = ACTIONS(2645),
    [anon_sym_linear] = ACTIONS(2645),
    [anon_sym_snorm] = ACTIONS(2645),
    [anon_sym_unorm] = ACTIONS(2645),
    [anon_sym_point] = ACTIONS(2645),
    [anon_sym_line] = ACTIONS(2645),
    [anon_sym_triangleadj] = ACTIONS(2645),
    [anon_sym_lineadj] = ACTIONS(2645),
    [anon_sym_triangle] = ACTIONS(2645),
  },
  [2838] = {
    [sym_identifier] = ACTIONS(2448),
    [aux_sym_preproc_def_token1] = ACTIONS(2448),
    [aux_sym_preproc_if_token1] = ACTIONS(2448),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2448),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2448),
    [sym_preproc_directive] = ACTIONS(2448),
    [anon_sym_LPAREN2] = ACTIONS(2450),
    [anon_sym_TILDE] = ACTIONS(2450),
    [anon_sym_STAR] = ACTIONS(2450),
    [anon_sym_AMP_AMP] = ACTIONS(2450),
    [anon_sym_AMP] = ACTIONS(2448),
    [anon_sym___extension__] = ACTIONS(2448),
    [anon_sym_typedef] = ACTIONS(2448),
    [anon_sym_in] = ACTIONS(2448),
    [anon_sym_out] = ACTIONS(2448),
    [anon_sym_inout] = ACTIONS(2448),
    [anon_sym_extern] = ACTIONS(2448),
    [anon_sym___attribute__] = ACTIONS(2448),
    [anon_sym_COLON_COLON] = ACTIONS(2450),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2450),
    [anon_sym___declspec] = ACTIONS(2448),
    [anon_sym___based] = ACTIONS(2448),
    [anon_sym_RBRACE] = ACTIONS(2450),
    [anon_sym_signed] = ACTIONS(2448),
    [anon_sym_unsigned] = ACTIONS(2448),
    [anon_sym_long] = ACTIONS(2448),
    [anon_sym_short] = ACTIONS(2448),
    [anon_sym_LBRACK] = ACTIONS(2448),
    [anon_sym_static] = ACTIONS(2448),
    [anon_sym_register] = ACTIONS(2448),
    [anon_sym_inline] = ACTIONS(2448),
    [anon_sym___inline] = ACTIONS(2448),
    [anon_sym___inline__] = ACTIONS(2448),
    [anon_sym___forceinline] = ACTIONS(2448),
    [anon_sym_thread_local] = ACTIONS(2448),
    [anon_sym___thread] = ACTIONS(2448),
    [anon_sym_const] = ACTIONS(2448),
    [anon_sym_constexpr] = ACTIONS(2448),
    [anon_sym_volatile] = ACTIONS(2448),
    [anon_sym_restrict] = ACTIONS(2448),
    [anon_sym___restrict__] = ACTIONS(2448),
    [anon_sym__Atomic] = ACTIONS(2448),
    [anon_sym__Noreturn] = ACTIONS(2448),
    [anon_sym_noreturn] = ACTIONS(2448),
    [anon_sym_mutable] = ACTIONS(2448),
    [anon_sym_constinit] = ACTIONS(2448),
    [anon_sym_consteval] = ACTIONS(2448),
    [sym_primitive_type] = ACTIONS(2448),
    [anon_sym_enum] = ACTIONS(2448),
    [anon_sym_class] = ACTIONS(2448),
    [anon_sym_struct] = ACTIONS(2448),
    [anon_sym_union] = ACTIONS(2448),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2448),
    [anon_sym_decltype] = ACTIONS(2448),
    [anon_sym_virtual] = ACTIONS(2448),
    [anon_sym_alignas] = ACTIONS(2448),
    [anon_sym_explicit] = ACTIONS(2448),
    [anon_sym_typename] = ACTIONS(2448),
    [anon_sym_template] = ACTIONS(2448),
    [anon_sym_operator] = ACTIONS(2448),
    [anon_sym_friend] = ACTIONS(2448),
    [anon_sym_public] = ACTIONS(2448),
    [anon_sym_private] = ACTIONS(2448),
    [anon_sym_protected] = ACTIONS(2448),
    [anon_sym_using] = ACTIONS(2448),
    [anon_sym_static_assert] = ACTIONS(2448),
    [anon_sym_precise] = ACTIONS(2448),
    [anon_sym_shared] = ACTIONS(2448),
    [anon_sym_groupshared] = ACTIONS(2448),
    [anon_sym_uniform] = ACTIONS(2448),
    [anon_sym_row_major] = ACTIONS(2448),
    [anon_sym_column_major] = ACTIONS(2448),
    [anon_sym_globallycoherent] = ACTIONS(2448),
    [anon_sym_centroid] = ACTIONS(2448),
    [anon_sym_noperspective] = ACTIONS(2448),
    [anon_sym_nointerpolation] = ACTIONS(2448),
    [anon_sym_sample] = ACTIONS(2448),
    [anon_sym_linear] = ACTIONS(2448),
    [anon_sym_snorm] = ACTIONS(2448),
    [anon_sym_unorm] = ACTIONS(2448),
    [anon_sym_point] = ACTIONS(2448),
    [anon_sym_line] = ACTIONS(2448),
    [anon_sym_triangleadj] = ACTIONS(2448),
    [anon_sym_lineadj] = ACTIONS(2448),
    [anon_sym_triangle] = ACTIONS(2448),
  },
  [2839] = {
    [sym_identifier] = ACTIONS(2765),
    [aux_sym_preproc_def_token1] = ACTIONS(2765),
    [aux_sym_preproc_if_token1] = ACTIONS(2765),
    [aux_sym_preproc_if_token2] = ACTIONS(2765),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2765),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2765),
    [sym_preproc_directive] = ACTIONS(2765),
    [anon_sym_LPAREN2] = ACTIONS(2767),
    [anon_sym_TILDE] = ACTIONS(2767),
    [anon_sym_STAR] = ACTIONS(2767),
    [anon_sym_AMP_AMP] = ACTIONS(2767),
    [anon_sym_AMP] = ACTIONS(2765),
    [anon_sym___extension__] = ACTIONS(2765),
    [anon_sym_typedef] = ACTIONS(2765),
    [anon_sym_in] = ACTIONS(2765),
    [anon_sym_out] = ACTIONS(2765),
    [anon_sym_inout] = ACTIONS(2765),
    [anon_sym_extern] = ACTIONS(2765),
    [anon_sym___attribute__] = ACTIONS(2765),
    [anon_sym_COLON_COLON] = ACTIONS(2767),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2767),
    [anon_sym___declspec] = ACTIONS(2765),
    [anon_sym___based] = ACTIONS(2765),
    [anon_sym_signed] = ACTIONS(2765),
    [anon_sym_unsigned] = ACTIONS(2765),
    [anon_sym_long] = ACTIONS(2765),
    [anon_sym_short] = ACTIONS(2765),
    [anon_sym_LBRACK] = ACTIONS(2765),
    [anon_sym_static] = ACTIONS(2765),
    [anon_sym_register] = ACTIONS(2765),
    [anon_sym_inline] = ACTIONS(2765),
    [anon_sym___inline] = ACTIONS(2765),
    [anon_sym___inline__] = ACTIONS(2765),
    [anon_sym___forceinline] = ACTIONS(2765),
    [anon_sym_thread_local] = ACTIONS(2765),
    [anon_sym___thread] = ACTIONS(2765),
    [anon_sym_const] = ACTIONS(2765),
    [anon_sym_constexpr] = ACTIONS(2765),
    [anon_sym_volatile] = ACTIONS(2765),
    [anon_sym_restrict] = ACTIONS(2765),
    [anon_sym___restrict__] = ACTIONS(2765),
    [anon_sym__Atomic] = ACTIONS(2765),
    [anon_sym__Noreturn] = ACTIONS(2765),
    [anon_sym_noreturn] = ACTIONS(2765),
    [anon_sym_mutable] = ACTIONS(2765),
    [anon_sym_constinit] = ACTIONS(2765),
    [anon_sym_consteval] = ACTIONS(2765),
    [sym_primitive_type] = ACTIONS(2765),
    [anon_sym_enum] = ACTIONS(2765),
    [anon_sym_class] = ACTIONS(2765),
    [anon_sym_struct] = ACTIONS(2765),
    [anon_sym_union] = ACTIONS(2765),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2765),
    [anon_sym_decltype] = ACTIONS(2765),
    [anon_sym_virtual] = ACTIONS(2765),
    [anon_sym_alignas] = ACTIONS(2765),
    [anon_sym_explicit] = ACTIONS(2765),
    [anon_sym_typename] = ACTIONS(2765),
    [anon_sym_template] = ACTIONS(2765),
    [anon_sym_operator] = ACTIONS(2765),
    [anon_sym_friend] = ACTIONS(2765),
    [anon_sym_public] = ACTIONS(2765),
    [anon_sym_private] = ACTIONS(2765),
    [anon_sym_protected] = ACTIONS(2765),
    [anon_sym_using] = ACTIONS(2765),
    [anon_sym_static_assert] = ACTIONS(2765),
    [anon_sym_precise] = ACTIONS(2765),
    [anon_sym_shared] = ACTIONS(2765),
    [anon_sym_groupshared] = ACTIONS(2765),
    [anon_sym_uniform] = ACTIONS(2765),
    [anon_sym_row_major] = ACTIONS(2765),
    [anon_sym_column_major] = ACTIONS(2765),
    [anon_sym_globallycoherent] = ACTIONS(2765),
    [anon_sym_centroid] = ACTIONS(2765),
    [anon_sym_noperspective] = ACTIONS(2765),
    [anon_sym_nointerpolation] = ACTIONS(2765),
    [anon_sym_sample] = ACTIONS(2765),
    [anon_sym_linear] = ACTIONS(2765),
    [anon_sym_snorm] = ACTIONS(2765),
    [anon_sym_unorm] = ACTIONS(2765),
    [anon_sym_point] = ACTIONS(2765),
    [anon_sym_line] = ACTIONS(2765),
    [anon_sym_triangleadj] = ACTIONS(2765),
    [anon_sym_lineadj] = ACTIONS(2765),
    [anon_sym_triangle] = ACTIONS(2765),
  },
  [2840] = {
    [sym_identifier] = ACTIONS(2765),
    [aux_sym_preproc_def_token1] = ACTIONS(2765),
    [aux_sym_preproc_if_token1] = ACTIONS(2765),
    [aux_sym_preproc_if_token2] = ACTIONS(2765),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2765),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2765),
    [sym_preproc_directive] = ACTIONS(2765),
    [anon_sym_LPAREN2] = ACTIONS(2767),
    [anon_sym_TILDE] = ACTIONS(2767),
    [anon_sym_STAR] = ACTIONS(2767),
    [anon_sym_AMP_AMP] = ACTIONS(2767),
    [anon_sym_AMP] = ACTIONS(2765),
    [anon_sym___extension__] = ACTIONS(2765),
    [anon_sym_typedef] = ACTIONS(2765),
    [anon_sym_in] = ACTIONS(2765),
    [anon_sym_out] = ACTIONS(2765),
    [anon_sym_inout] = ACTIONS(2765),
    [anon_sym_extern] = ACTIONS(2765),
    [anon_sym___attribute__] = ACTIONS(2765),
    [anon_sym_COLON_COLON] = ACTIONS(2767),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2767),
    [anon_sym___declspec] = ACTIONS(2765),
    [anon_sym___based] = ACTIONS(2765),
    [anon_sym_signed] = ACTIONS(2765),
    [anon_sym_unsigned] = ACTIONS(2765),
    [anon_sym_long] = ACTIONS(2765),
    [anon_sym_short] = ACTIONS(2765),
    [anon_sym_LBRACK] = ACTIONS(2765),
    [anon_sym_static] = ACTIONS(2765),
    [anon_sym_register] = ACTIONS(2765),
    [anon_sym_inline] = ACTIONS(2765),
    [anon_sym___inline] = ACTIONS(2765),
    [anon_sym___inline__] = ACTIONS(2765),
    [anon_sym___forceinline] = ACTIONS(2765),
    [anon_sym_thread_local] = ACTIONS(2765),
    [anon_sym___thread] = ACTIONS(2765),
    [anon_sym_const] = ACTIONS(2765),
    [anon_sym_constexpr] = ACTIONS(2765),
    [anon_sym_volatile] = ACTIONS(2765),
    [anon_sym_restrict] = ACTIONS(2765),
    [anon_sym___restrict__] = ACTIONS(2765),
    [anon_sym__Atomic] = ACTIONS(2765),
    [anon_sym__Noreturn] = ACTIONS(2765),
    [anon_sym_noreturn] = ACTIONS(2765),
    [anon_sym_mutable] = ACTIONS(2765),
    [anon_sym_constinit] = ACTIONS(2765),
    [anon_sym_consteval] = ACTIONS(2765),
    [sym_primitive_type] = ACTIONS(2765),
    [anon_sym_enum] = ACTIONS(2765),
    [anon_sym_class] = ACTIONS(2765),
    [anon_sym_struct] = ACTIONS(2765),
    [anon_sym_union] = ACTIONS(2765),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2765),
    [anon_sym_decltype] = ACTIONS(2765),
    [anon_sym_virtual] = ACTIONS(2765),
    [anon_sym_alignas] = ACTIONS(2765),
    [anon_sym_explicit] = ACTIONS(2765),
    [anon_sym_typename] = ACTIONS(2765),
    [anon_sym_template] = ACTIONS(2765),
    [anon_sym_operator] = ACTIONS(2765),
    [anon_sym_friend] = ACTIONS(2765),
    [anon_sym_public] = ACTIONS(2765),
    [anon_sym_private] = ACTIONS(2765),
    [anon_sym_protected] = ACTIONS(2765),
    [anon_sym_using] = ACTIONS(2765),
    [anon_sym_static_assert] = ACTIONS(2765),
    [anon_sym_precise] = ACTIONS(2765),
    [anon_sym_shared] = ACTIONS(2765),
    [anon_sym_groupshared] = ACTIONS(2765),
    [anon_sym_uniform] = ACTIONS(2765),
    [anon_sym_row_major] = ACTIONS(2765),
    [anon_sym_column_major] = ACTIONS(2765),
    [anon_sym_globallycoherent] = ACTIONS(2765),
    [anon_sym_centroid] = ACTIONS(2765),
    [anon_sym_noperspective] = ACTIONS(2765),
    [anon_sym_nointerpolation] = ACTIONS(2765),
    [anon_sym_sample] = ACTIONS(2765),
    [anon_sym_linear] = ACTIONS(2765),
    [anon_sym_snorm] = ACTIONS(2765),
    [anon_sym_unorm] = ACTIONS(2765),
    [anon_sym_point] = ACTIONS(2765),
    [anon_sym_line] = ACTIONS(2765),
    [anon_sym_triangleadj] = ACTIONS(2765),
    [anon_sym_lineadj] = ACTIONS(2765),
    [anon_sym_triangle] = ACTIONS(2765),
  },
  [2841] = {
    [sym_identifier] = ACTIONS(2769),
    [aux_sym_preproc_def_token1] = ACTIONS(2769),
    [aux_sym_preproc_if_token1] = ACTIONS(2769),
    [aux_sym_preproc_if_token2] = ACTIONS(2769),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2769),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2769),
    [sym_preproc_directive] = ACTIONS(2769),
    [anon_sym_LPAREN2] = ACTIONS(2771),
    [anon_sym_TILDE] = ACTIONS(2771),
    [anon_sym_STAR] = ACTIONS(2771),
    [anon_sym_AMP_AMP] = ACTIONS(2771),
    [anon_sym_AMP] = ACTIONS(2769),
    [anon_sym___extension__] = ACTIONS(2769),
    [anon_sym_typedef] = ACTIONS(2769),
    [anon_sym_in] = ACTIONS(2769),
    [anon_sym_out] = ACTIONS(2769),
    [anon_sym_inout] = ACTIONS(2769),
    [anon_sym_extern] = ACTIONS(2769),
    [anon_sym___attribute__] = ACTIONS(2769),
    [anon_sym_COLON_COLON] = ACTIONS(2771),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2771),
    [anon_sym___declspec] = ACTIONS(2769),
    [anon_sym___based] = ACTIONS(2769),
    [anon_sym_signed] = ACTIONS(2769),
    [anon_sym_unsigned] = ACTIONS(2769),
    [anon_sym_long] = ACTIONS(2769),
    [anon_sym_short] = ACTIONS(2769),
    [anon_sym_LBRACK] = ACTIONS(2769),
    [anon_sym_static] = ACTIONS(2769),
    [anon_sym_register] = ACTIONS(2769),
    [anon_sym_inline] = ACTIONS(2769),
    [anon_sym___inline] = ACTIONS(2769),
    [anon_sym___inline__] = ACTIONS(2769),
    [anon_sym___forceinline] = ACTIONS(2769),
    [anon_sym_thread_local] = ACTIONS(2769),
    [anon_sym___thread] = ACTIONS(2769),
    [anon_sym_const] = ACTIONS(2769),
    [anon_sym_constexpr] = ACTIONS(2769),
    [anon_sym_volatile] = ACTIONS(2769),
    [anon_sym_restrict] = ACTIONS(2769),
    [anon_sym___restrict__] = ACTIONS(2769),
    [anon_sym__Atomic] = ACTIONS(2769),
    [anon_sym__Noreturn] = ACTIONS(2769),
    [anon_sym_noreturn] = ACTIONS(2769),
    [anon_sym_mutable] = ACTIONS(2769),
    [anon_sym_constinit] = ACTIONS(2769),
    [anon_sym_consteval] = ACTIONS(2769),
    [sym_primitive_type] = ACTIONS(2769),
    [anon_sym_enum] = ACTIONS(2769),
    [anon_sym_class] = ACTIONS(2769),
    [anon_sym_struct] = ACTIONS(2769),
    [anon_sym_union] = ACTIONS(2769),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2769),
    [anon_sym_decltype] = ACTIONS(2769),
    [anon_sym_virtual] = ACTIONS(2769),
    [anon_sym_alignas] = ACTIONS(2769),
    [anon_sym_explicit] = ACTIONS(2769),
    [anon_sym_typename] = ACTIONS(2769),
    [anon_sym_template] = ACTIONS(2769),
    [anon_sym_operator] = ACTIONS(2769),
    [anon_sym_friend] = ACTIONS(2769),
    [anon_sym_public] = ACTIONS(2769),
    [anon_sym_private] = ACTIONS(2769),
    [anon_sym_protected] = ACTIONS(2769),
    [anon_sym_using] = ACTIONS(2769),
    [anon_sym_static_assert] = ACTIONS(2769),
    [anon_sym_precise] = ACTIONS(2769),
    [anon_sym_shared] = ACTIONS(2769),
    [anon_sym_groupshared] = ACTIONS(2769),
    [anon_sym_uniform] = ACTIONS(2769),
    [anon_sym_row_major] = ACTIONS(2769),
    [anon_sym_column_major] = ACTIONS(2769),
    [anon_sym_globallycoherent] = ACTIONS(2769),
    [anon_sym_centroid] = ACTIONS(2769),
    [anon_sym_noperspective] = ACTIONS(2769),
    [anon_sym_nointerpolation] = ACTIONS(2769),
    [anon_sym_sample] = ACTIONS(2769),
    [anon_sym_linear] = ACTIONS(2769),
    [anon_sym_snorm] = ACTIONS(2769),
    [anon_sym_unorm] = ACTIONS(2769),
    [anon_sym_point] = ACTIONS(2769),
    [anon_sym_line] = ACTIONS(2769),
    [anon_sym_triangleadj] = ACTIONS(2769),
    [anon_sym_lineadj] = ACTIONS(2769),
    [anon_sym_triangle] = ACTIONS(2769),
  },
  [2842] = {
    [sym_identifier] = ACTIONS(5607),
    [aux_sym_preproc_def_token1] = ACTIONS(5607),
    [aux_sym_preproc_if_token1] = ACTIONS(5607),
    [aux_sym_preproc_if_token2] = ACTIONS(5607),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5607),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5607),
    [sym_preproc_directive] = ACTIONS(5607),
    [anon_sym_LPAREN2] = ACTIONS(5609),
    [anon_sym_TILDE] = ACTIONS(5609),
    [anon_sym_STAR] = ACTIONS(5609),
    [anon_sym_AMP_AMP] = ACTIONS(5609),
    [anon_sym_AMP] = ACTIONS(5607),
    [anon_sym___extension__] = ACTIONS(5607),
    [anon_sym_typedef] = ACTIONS(5607),
    [anon_sym_in] = ACTIONS(5607),
    [anon_sym_out] = ACTIONS(5607),
    [anon_sym_inout] = ACTIONS(5607),
    [anon_sym_extern] = ACTIONS(5607),
    [anon_sym___attribute__] = ACTIONS(5607),
    [anon_sym_COLON_COLON] = ACTIONS(5609),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5609),
    [anon_sym___declspec] = ACTIONS(5607),
    [anon_sym___based] = ACTIONS(5607),
    [anon_sym_signed] = ACTIONS(5607),
    [anon_sym_unsigned] = ACTIONS(5607),
    [anon_sym_long] = ACTIONS(5607),
    [anon_sym_short] = ACTIONS(5607),
    [anon_sym_LBRACK] = ACTIONS(5607),
    [anon_sym_static] = ACTIONS(5607),
    [anon_sym_register] = ACTIONS(5607),
    [anon_sym_inline] = ACTIONS(5607),
    [anon_sym___inline] = ACTIONS(5607),
    [anon_sym___inline__] = ACTIONS(5607),
    [anon_sym___forceinline] = ACTIONS(5607),
    [anon_sym_thread_local] = ACTIONS(5607),
    [anon_sym___thread] = ACTIONS(5607),
    [anon_sym_const] = ACTIONS(5607),
    [anon_sym_constexpr] = ACTIONS(5607),
    [anon_sym_volatile] = ACTIONS(5607),
    [anon_sym_restrict] = ACTIONS(5607),
    [anon_sym___restrict__] = ACTIONS(5607),
    [anon_sym__Atomic] = ACTIONS(5607),
    [anon_sym__Noreturn] = ACTIONS(5607),
    [anon_sym_noreturn] = ACTIONS(5607),
    [anon_sym_mutable] = ACTIONS(5607),
    [anon_sym_constinit] = ACTIONS(5607),
    [anon_sym_consteval] = ACTIONS(5607),
    [sym_primitive_type] = ACTIONS(5607),
    [anon_sym_enum] = ACTIONS(5607),
    [anon_sym_class] = ACTIONS(5607),
    [anon_sym_struct] = ACTIONS(5607),
    [anon_sym_union] = ACTIONS(5607),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5607),
    [anon_sym_decltype] = ACTIONS(5607),
    [anon_sym_virtual] = ACTIONS(5607),
    [anon_sym_alignas] = ACTIONS(5607),
    [anon_sym_explicit] = ACTIONS(5607),
    [anon_sym_typename] = ACTIONS(5607),
    [anon_sym_template] = ACTIONS(5607),
    [anon_sym_operator] = ACTIONS(5607),
    [anon_sym_friend] = ACTIONS(5607),
    [anon_sym_public] = ACTIONS(5607),
    [anon_sym_private] = ACTIONS(5607),
    [anon_sym_protected] = ACTIONS(5607),
    [anon_sym_using] = ACTIONS(5607),
    [anon_sym_static_assert] = ACTIONS(5607),
    [anon_sym_precise] = ACTIONS(5607),
    [anon_sym_shared] = ACTIONS(5607),
    [anon_sym_groupshared] = ACTIONS(5607),
    [anon_sym_uniform] = ACTIONS(5607),
    [anon_sym_row_major] = ACTIONS(5607),
    [anon_sym_column_major] = ACTIONS(5607),
    [anon_sym_globallycoherent] = ACTIONS(5607),
    [anon_sym_centroid] = ACTIONS(5607),
    [anon_sym_noperspective] = ACTIONS(5607),
    [anon_sym_nointerpolation] = ACTIONS(5607),
    [anon_sym_sample] = ACTIONS(5607),
    [anon_sym_linear] = ACTIONS(5607),
    [anon_sym_snorm] = ACTIONS(5607),
    [anon_sym_unorm] = ACTIONS(5607),
    [anon_sym_point] = ACTIONS(5607),
    [anon_sym_line] = ACTIONS(5607),
    [anon_sym_triangleadj] = ACTIONS(5607),
    [anon_sym_lineadj] = ACTIONS(5607),
    [anon_sym_triangle] = ACTIONS(5607),
  },
  [2843] = {
    [sym_identifier] = ACTIONS(5691),
    [aux_sym_preproc_def_token1] = ACTIONS(5691),
    [aux_sym_preproc_if_token1] = ACTIONS(5691),
    [aux_sym_preproc_if_token2] = ACTIONS(5691),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5691),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5691),
    [sym_preproc_directive] = ACTIONS(5691),
    [anon_sym_LPAREN2] = ACTIONS(5693),
    [anon_sym_TILDE] = ACTIONS(5693),
    [anon_sym_STAR] = ACTIONS(5693),
    [anon_sym_AMP_AMP] = ACTIONS(5693),
    [anon_sym_AMP] = ACTIONS(5691),
    [anon_sym___extension__] = ACTIONS(5691),
    [anon_sym_typedef] = ACTIONS(5691),
    [anon_sym_in] = ACTIONS(5691),
    [anon_sym_out] = ACTIONS(5691),
    [anon_sym_inout] = ACTIONS(5691),
    [anon_sym_extern] = ACTIONS(5691),
    [anon_sym___attribute__] = ACTIONS(5691),
    [anon_sym_COLON_COLON] = ACTIONS(5693),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5693),
    [anon_sym___declspec] = ACTIONS(5691),
    [anon_sym___based] = ACTIONS(5691),
    [anon_sym_signed] = ACTIONS(5691),
    [anon_sym_unsigned] = ACTIONS(5691),
    [anon_sym_long] = ACTIONS(5691),
    [anon_sym_short] = ACTIONS(5691),
    [anon_sym_LBRACK] = ACTIONS(5691),
    [anon_sym_static] = ACTIONS(5691),
    [anon_sym_register] = ACTIONS(5691),
    [anon_sym_inline] = ACTIONS(5691),
    [anon_sym___inline] = ACTIONS(5691),
    [anon_sym___inline__] = ACTIONS(5691),
    [anon_sym___forceinline] = ACTIONS(5691),
    [anon_sym_thread_local] = ACTIONS(5691),
    [anon_sym___thread] = ACTIONS(5691),
    [anon_sym_const] = ACTIONS(5691),
    [anon_sym_constexpr] = ACTIONS(5691),
    [anon_sym_volatile] = ACTIONS(5691),
    [anon_sym_restrict] = ACTIONS(5691),
    [anon_sym___restrict__] = ACTIONS(5691),
    [anon_sym__Atomic] = ACTIONS(5691),
    [anon_sym__Noreturn] = ACTIONS(5691),
    [anon_sym_noreturn] = ACTIONS(5691),
    [anon_sym_mutable] = ACTIONS(5691),
    [anon_sym_constinit] = ACTIONS(5691),
    [anon_sym_consteval] = ACTIONS(5691),
    [sym_primitive_type] = ACTIONS(5691),
    [anon_sym_enum] = ACTIONS(5691),
    [anon_sym_class] = ACTIONS(5691),
    [anon_sym_struct] = ACTIONS(5691),
    [anon_sym_union] = ACTIONS(5691),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5691),
    [anon_sym_decltype] = ACTIONS(5691),
    [anon_sym_virtual] = ACTIONS(5691),
    [anon_sym_alignas] = ACTIONS(5691),
    [anon_sym_explicit] = ACTIONS(5691),
    [anon_sym_typename] = ACTIONS(5691),
    [anon_sym_template] = ACTIONS(5691),
    [anon_sym_operator] = ACTIONS(5691),
    [anon_sym_friend] = ACTIONS(5691),
    [anon_sym_public] = ACTIONS(5691),
    [anon_sym_private] = ACTIONS(5691),
    [anon_sym_protected] = ACTIONS(5691),
    [anon_sym_using] = ACTIONS(5691),
    [anon_sym_static_assert] = ACTIONS(5691),
    [anon_sym_precise] = ACTIONS(5691),
    [anon_sym_shared] = ACTIONS(5691),
    [anon_sym_groupshared] = ACTIONS(5691),
    [anon_sym_uniform] = ACTIONS(5691),
    [anon_sym_row_major] = ACTIONS(5691),
    [anon_sym_column_major] = ACTIONS(5691),
    [anon_sym_globallycoherent] = ACTIONS(5691),
    [anon_sym_centroid] = ACTIONS(5691),
    [anon_sym_noperspective] = ACTIONS(5691),
    [anon_sym_nointerpolation] = ACTIONS(5691),
    [anon_sym_sample] = ACTIONS(5691),
    [anon_sym_linear] = ACTIONS(5691),
    [anon_sym_snorm] = ACTIONS(5691),
    [anon_sym_unorm] = ACTIONS(5691),
    [anon_sym_point] = ACTIONS(5691),
    [anon_sym_line] = ACTIONS(5691),
    [anon_sym_triangleadj] = ACTIONS(5691),
    [anon_sym_lineadj] = ACTIONS(5691),
    [anon_sym_triangle] = ACTIONS(5691),
  },
  [2844] = {
    [sym_identifier] = ACTIONS(5695),
    [aux_sym_preproc_def_token1] = ACTIONS(5695),
    [aux_sym_preproc_if_token1] = ACTIONS(5695),
    [aux_sym_preproc_if_token2] = ACTIONS(5695),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5695),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5695),
    [sym_preproc_directive] = ACTIONS(5695),
    [anon_sym_LPAREN2] = ACTIONS(5697),
    [anon_sym_TILDE] = ACTIONS(5697),
    [anon_sym_STAR] = ACTIONS(5697),
    [anon_sym_AMP_AMP] = ACTIONS(5697),
    [anon_sym_AMP] = ACTIONS(5695),
    [anon_sym___extension__] = ACTIONS(5695),
    [anon_sym_typedef] = ACTIONS(5695),
    [anon_sym_in] = ACTIONS(5695),
    [anon_sym_out] = ACTIONS(5695),
    [anon_sym_inout] = ACTIONS(5695),
    [anon_sym_extern] = ACTIONS(5695),
    [anon_sym___attribute__] = ACTIONS(5695),
    [anon_sym_COLON_COLON] = ACTIONS(5697),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5697),
    [anon_sym___declspec] = ACTIONS(5695),
    [anon_sym___based] = ACTIONS(5695),
    [anon_sym_signed] = ACTIONS(5695),
    [anon_sym_unsigned] = ACTIONS(5695),
    [anon_sym_long] = ACTIONS(5695),
    [anon_sym_short] = ACTIONS(5695),
    [anon_sym_LBRACK] = ACTIONS(5695),
    [anon_sym_static] = ACTIONS(5695),
    [anon_sym_register] = ACTIONS(5695),
    [anon_sym_inline] = ACTIONS(5695),
    [anon_sym___inline] = ACTIONS(5695),
    [anon_sym___inline__] = ACTIONS(5695),
    [anon_sym___forceinline] = ACTIONS(5695),
    [anon_sym_thread_local] = ACTIONS(5695),
    [anon_sym___thread] = ACTIONS(5695),
    [anon_sym_const] = ACTIONS(5695),
    [anon_sym_constexpr] = ACTIONS(5695),
    [anon_sym_volatile] = ACTIONS(5695),
    [anon_sym_restrict] = ACTIONS(5695),
    [anon_sym___restrict__] = ACTIONS(5695),
    [anon_sym__Atomic] = ACTIONS(5695),
    [anon_sym__Noreturn] = ACTIONS(5695),
    [anon_sym_noreturn] = ACTIONS(5695),
    [anon_sym_mutable] = ACTIONS(5695),
    [anon_sym_constinit] = ACTIONS(5695),
    [anon_sym_consteval] = ACTIONS(5695),
    [sym_primitive_type] = ACTIONS(5695),
    [anon_sym_enum] = ACTIONS(5695),
    [anon_sym_class] = ACTIONS(5695),
    [anon_sym_struct] = ACTIONS(5695),
    [anon_sym_union] = ACTIONS(5695),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5695),
    [anon_sym_decltype] = ACTIONS(5695),
    [anon_sym_virtual] = ACTIONS(5695),
    [anon_sym_alignas] = ACTIONS(5695),
    [anon_sym_explicit] = ACTIONS(5695),
    [anon_sym_typename] = ACTIONS(5695),
    [anon_sym_template] = ACTIONS(5695),
    [anon_sym_operator] = ACTIONS(5695),
    [anon_sym_friend] = ACTIONS(5695),
    [anon_sym_public] = ACTIONS(5695),
    [anon_sym_private] = ACTIONS(5695),
    [anon_sym_protected] = ACTIONS(5695),
    [anon_sym_using] = ACTIONS(5695),
    [anon_sym_static_assert] = ACTIONS(5695),
    [anon_sym_precise] = ACTIONS(5695),
    [anon_sym_shared] = ACTIONS(5695),
    [anon_sym_groupshared] = ACTIONS(5695),
    [anon_sym_uniform] = ACTIONS(5695),
    [anon_sym_row_major] = ACTIONS(5695),
    [anon_sym_column_major] = ACTIONS(5695),
    [anon_sym_globallycoherent] = ACTIONS(5695),
    [anon_sym_centroid] = ACTIONS(5695),
    [anon_sym_noperspective] = ACTIONS(5695),
    [anon_sym_nointerpolation] = ACTIONS(5695),
    [anon_sym_sample] = ACTIONS(5695),
    [anon_sym_linear] = ACTIONS(5695),
    [anon_sym_snorm] = ACTIONS(5695),
    [anon_sym_unorm] = ACTIONS(5695),
    [anon_sym_point] = ACTIONS(5695),
    [anon_sym_line] = ACTIONS(5695),
    [anon_sym_triangleadj] = ACTIONS(5695),
    [anon_sym_lineadj] = ACTIONS(5695),
    [anon_sym_triangle] = ACTIONS(5695),
  },
  [2845] = {
    [sym_identifier] = ACTIONS(5699),
    [aux_sym_preproc_def_token1] = ACTIONS(5699),
    [aux_sym_preproc_if_token1] = ACTIONS(5699),
    [aux_sym_preproc_if_token2] = ACTIONS(5699),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5699),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5699),
    [sym_preproc_directive] = ACTIONS(5699),
    [anon_sym_LPAREN2] = ACTIONS(5701),
    [anon_sym_TILDE] = ACTIONS(5701),
    [anon_sym_STAR] = ACTIONS(5701),
    [anon_sym_AMP_AMP] = ACTIONS(5701),
    [anon_sym_AMP] = ACTIONS(5699),
    [anon_sym___extension__] = ACTIONS(5699),
    [anon_sym_typedef] = ACTIONS(5699),
    [anon_sym_in] = ACTIONS(5699),
    [anon_sym_out] = ACTIONS(5699),
    [anon_sym_inout] = ACTIONS(5699),
    [anon_sym_extern] = ACTIONS(5699),
    [anon_sym___attribute__] = ACTIONS(5699),
    [anon_sym_COLON_COLON] = ACTIONS(5701),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5701),
    [anon_sym___declspec] = ACTIONS(5699),
    [anon_sym___based] = ACTIONS(5699),
    [anon_sym_signed] = ACTIONS(5699),
    [anon_sym_unsigned] = ACTIONS(5699),
    [anon_sym_long] = ACTIONS(5699),
    [anon_sym_short] = ACTIONS(5699),
    [anon_sym_LBRACK] = ACTIONS(5699),
    [anon_sym_static] = ACTIONS(5699),
    [anon_sym_register] = ACTIONS(5699),
    [anon_sym_inline] = ACTIONS(5699),
    [anon_sym___inline] = ACTIONS(5699),
    [anon_sym___inline__] = ACTIONS(5699),
    [anon_sym___forceinline] = ACTIONS(5699),
    [anon_sym_thread_local] = ACTIONS(5699),
    [anon_sym___thread] = ACTIONS(5699),
    [anon_sym_const] = ACTIONS(5699),
    [anon_sym_constexpr] = ACTIONS(5699),
    [anon_sym_volatile] = ACTIONS(5699),
    [anon_sym_restrict] = ACTIONS(5699),
    [anon_sym___restrict__] = ACTIONS(5699),
    [anon_sym__Atomic] = ACTIONS(5699),
    [anon_sym__Noreturn] = ACTIONS(5699),
    [anon_sym_noreturn] = ACTIONS(5699),
    [anon_sym_mutable] = ACTIONS(5699),
    [anon_sym_constinit] = ACTIONS(5699),
    [anon_sym_consteval] = ACTIONS(5699),
    [sym_primitive_type] = ACTIONS(5699),
    [anon_sym_enum] = ACTIONS(5699),
    [anon_sym_class] = ACTIONS(5699),
    [anon_sym_struct] = ACTIONS(5699),
    [anon_sym_union] = ACTIONS(5699),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5699),
    [anon_sym_decltype] = ACTIONS(5699),
    [anon_sym_virtual] = ACTIONS(5699),
    [anon_sym_alignas] = ACTIONS(5699),
    [anon_sym_explicit] = ACTIONS(5699),
    [anon_sym_typename] = ACTIONS(5699),
    [anon_sym_template] = ACTIONS(5699),
    [anon_sym_operator] = ACTIONS(5699),
    [anon_sym_friend] = ACTIONS(5699),
    [anon_sym_public] = ACTIONS(5699),
    [anon_sym_private] = ACTIONS(5699),
    [anon_sym_protected] = ACTIONS(5699),
    [anon_sym_using] = ACTIONS(5699),
    [anon_sym_static_assert] = ACTIONS(5699),
    [anon_sym_precise] = ACTIONS(5699),
    [anon_sym_shared] = ACTIONS(5699),
    [anon_sym_groupshared] = ACTIONS(5699),
    [anon_sym_uniform] = ACTIONS(5699),
    [anon_sym_row_major] = ACTIONS(5699),
    [anon_sym_column_major] = ACTIONS(5699),
    [anon_sym_globallycoherent] = ACTIONS(5699),
    [anon_sym_centroid] = ACTIONS(5699),
    [anon_sym_noperspective] = ACTIONS(5699),
    [anon_sym_nointerpolation] = ACTIONS(5699),
    [anon_sym_sample] = ACTIONS(5699),
    [anon_sym_linear] = ACTIONS(5699),
    [anon_sym_snorm] = ACTIONS(5699),
    [anon_sym_unorm] = ACTIONS(5699),
    [anon_sym_point] = ACTIONS(5699),
    [anon_sym_line] = ACTIONS(5699),
    [anon_sym_triangleadj] = ACTIONS(5699),
    [anon_sym_lineadj] = ACTIONS(5699),
    [anon_sym_triangle] = ACTIONS(5699),
  },
  [2846] = {
    [sym_identifier] = ACTIONS(5703),
    [aux_sym_preproc_def_token1] = ACTIONS(5703),
    [aux_sym_preproc_if_token1] = ACTIONS(5703),
    [aux_sym_preproc_if_token2] = ACTIONS(5703),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5703),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5703),
    [sym_preproc_directive] = ACTIONS(5703),
    [anon_sym_LPAREN2] = ACTIONS(5705),
    [anon_sym_TILDE] = ACTIONS(5705),
    [anon_sym_STAR] = ACTIONS(5705),
    [anon_sym_AMP_AMP] = ACTIONS(5705),
    [anon_sym_AMP] = ACTIONS(5703),
    [anon_sym___extension__] = ACTIONS(5703),
    [anon_sym_typedef] = ACTIONS(5703),
    [anon_sym_in] = ACTIONS(5703),
    [anon_sym_out] = ACTIONS(5703),
    [anon_sym_inout] = ACTIONS(5703),
    [anon_sym_extern] = ACTIONS(5703),
    [anon_sym___attribute__] = ACTIONS(5703),
    [anon_sym_COLON_COLON] = ACTIONS(5705),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5705),
    [anon_sym___declspec] = ACTIONS(5703),
    [anon_sym___based] = ACTIONS(5703),
    [anon_sym_signed] = ACTIONS(5703),
    [anon_sym_unsigned] = ACTIONS(5703),
    [anon_sym_long] = ACTIONS(5703),
    [anon_sym_short] = ACTIONS(5703),
    [anon_sym_LBRACK] = ACTIONS(5703),
    [anon_sym_static] = ACTIONS(5703),
    [anon_sym_register] = ACTIONS(5703),
    [anon_sym_inline] = ACTIONS(5703),
    [anon_sym___inline] = ACTIONS(5703),
    [anon_sym___inline__] = ACTIONS(5703),
    [anon_sym___forceinline] = ACTIONS(5703),
    [anon_sym_thread_local] = ACTIONS(5703),
    [anon_sym___thread] = ACTIONS(5703),
    [anon_sym_const] = ACTIONS(5703),
    [anon_sym_constexpr] = ACTIONS(5703),
    [anon_sym_volatile] = ACTIONS(5703),
    [anon_sym_restrict] = ACTIONS(5703),
    [anon_sym___restrict__] = ACTIONS(5703),
    [anon_sym__Atomic] = ACTIONS(5703),
    [anon_sym__Noreturn] = ACTIONS(5703),
    [anon_sym_noreturn] = ACTIONS(5703),
    [anon_sym_mutable] = ACTIONS(5703),
    [anon_sym_constinit] = ACTIONS(5703),
    [anon_sym_consteval] = ACTIONS(5703),
    [sym_primitive_type] = ACTIONS(5703),
    [anon_sym_enum] = ACTIONS(5703),
    [anon_sym_class] = ACTIONS(5703),
    [anon_sym_struct] = ACTIONS(5703),
    [anon_sym_union] = ACTIONS(5703),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5703),
    [anon_sym_decltype] = ACTIONS(5703),
    [anon_sym_virtual] = ACTIONS(5703),
    [anon_sym_alignas] = ACTIONS(5703),
    [anon_sym_explicit] = ACTIONS(5703),
    [anon_sym_typename] = ACTIONS(5703),
    [anon_sym_template] = ACTIONS(5703),
    [anon_sym_operator] = ACTIONS(5703),
    [anon_sym_friend] = ACTIONS(5703),
    [anon_sym_public] = ACTIONS(5703),
    [anon_sym_private] = ACTIONS(5703),
    [anon_sym_protected] = ACTIONS(5703),
    [anon_sym_using] = ACTIONS(5703),
    [anon_sym_static_assert] = ACTIONS(5703),
    [anon_sym_precise] = ACTIONS(5703),
    [anon_sym_shared] = ACTIONS(5703),
    [anon_sym_groupshared] = ACTIONS(5703),
    [anon_sym_uniform] = ACTIONS(5703),
    [anon_sym_row_major] = ACTIONS(5703),
    [anon_sym_column_major] = ACTIONS(5703),
    [anon_sym_globallycoherent] = ACTIONS(5703),
    [anon_sym_centroid] = ACTIONS(5703),
    [anon_sym_noperspective] = ACTIONS(5703),
    [anon_sym_nointerpolation] = ACTIONS(5703),
    [anon_sym_sample] = ACTIONS(5703),
    [anon_sym_linear] = ACTIONS(5703),
    [anon_sym_snorm] = ACTIONS(5703),
    [anon_sym_unorm] = ACTIONS(5703),
    [anon_sym_point] = ACTIONS(5703),
    [anon_sym_line] = ACTIONS(5703),
    [anon_sym_triangleadj] = ACTIONS(5703),
    [anon_sym_lineadj] = ACTIONS(5703),
    [anon_sym_triangle] = ACTIONS(5703),
  },
  [2847] = {
    [sym_identifier] = ACTIONS(5703),
    [aux_sym_preproc_def_token1] = ACTIONS(5703),
    [aux_sym_preproc_if_token1] = ACTIONS(5703),
    [aux_sym_preproc_if_token2] = ACTIONS(5703),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5703),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5703),
    [sym_preproc_directive] = ACTIONS(5703),
    [anon_sym_LPAREN2] = ACTIONS(5705),
    [anon_sym_TILDE] = ACTIONS(5705),
    [anon_sym_STAR] = ACTIONS(5705),
    [anon_sym_AMP_AMP] = ACTIONS(5705),
    [anon_sym_AMP] = ACTIONS(5703),
    [anon_sym___extension__] = ACTIONS(5703),
    [anon_sym_typedef] = ACTIONS(5703),
    [anon_sym_in] = ACTIONS(5703),
    [anon_sym_out] = ACTIONS(5703),
    [anon_sym_inout] = ACTIONS(5703),
    [anon_sym_extern] = ACTIONS(5703),
    [anon_sym___attribute__] = ACTIONS(5703),
    [anon_sym_COLON_COLON] = ACTIONS(5705),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5705),
    [anon_sym___declspec] = ACTIONS(5703),
    [anon_sym___based] = ACTIONS(5703),
    [anon_sym_signed] = ACTIONS(5703),
    [anon_sym_unsigned] = ACTIONS(5703),
    [anon_sym_long] = ACTIONS(5703),
    [anon_sym_short] = ACTIONS(5703),
    [anon_sym_LBRACK] = ACTIONS(5703),
    [anon_sym_static] = ACTIONS(5703),
    [anon_sym_register] = ACTIONS(5703),
    [anon_sym_inline] = ACTIONS(5703),
    [anon_sym___inline] = ACTIONS(5703),
    [anon_sym___inline__] = ACTIONS(5703),
    [anon_sym___forceinline] = ACTIONS(5703),
    [anon_sym_thread_local] = ACTIONS(5703),
    [anon_sym___thread] = ACTIONS(5703),
    [anon_sym_const] = ACTIONS(5703),
    [anon_sym_constexpr] = ACTIONS(5703),
    [anon_sym_volatile] = ACTIONS(5703),
    [anon_sym_restrict] = ACTIONS(5703),
    [anon_sym___restrict__] = ACTIONS(5703),
    [anon_sym__Atomic] = ACTIONS(5703),
    [anon_sym__Noreturn] = ACTIONS(5703),
    [anon_sym_noreturn] = ACTIONS(5703),
    [anon_sym_mutable] = ACTIONS(5703),
    [anon_sym_constinit] = ACTIONS(5703),
    [anon_sym_consteval] = ACTIONS(5703),
    [sym_primitive_type] = ACTIONS(5703),
    [anon_sym_enum] = ACTIONS(5703),
    [anon_sym_class] = ACTIONS(5703),
    [anon_sym_struct] = ACTIONS(5703),
    [anon_sym_union] = ACTIONS(5703),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5703),
    [anon_sym_decltype] = ACTIONS(5703),
    [anon_sym_virtual] = ACTIONS(5703),
    [anon_sym_alignas] = ACTIONS(5703),
    [anon_sym_explicit] = ACTIONS(5703),
    [anon_sym_typename] = ACTIONS(5703),
    [anon_sym_template] = ACTIONS(5703),
    [anon_sym_operator] = ACTIONS(5703),
    [anon_sym_friend] = ACTIONS(5703),
    [anon_sym_public] = ACTIONS(5703),
    [anon_sym_private] = ACTIONS(5703),
    [anon_sym_protected] = ACTIONS(5703),
    [anon_sym_using] = ACTIONS(5703),
    [anon_sym_static_assert] = ACTIONS(5703),
    [anon_sym_precise] = ACTIONS(5703),
    [anon_sym_shared] = ACTIONS(5703),
    [anon_sym_groupshared] = ACTIONS(5703),
    [anon_sym_uniform] = ACTIONS(5703),
    [anon_sym_row_major] = ACTIONS(5703),
    [anon_sym_column_major] = ACTIONS(5703),
    [anon_sym_globallycoherent] = ACTIONS(5703),
    [anon_sym_centroid] = ACTIONS(5703),
    [anon_sym_noperspective] = ACTIONS(5703),
    [anon_sym_nointerpolation] = ACTIONS(5703),
    [anon_sym_sample] = ACTIONS(5703),
    [anon_sym_linear] = ACTIONS(5703),
    [anon_sym_snorm] = ACTIONS(5703),
    [anon_sym_unorm] = ACTIONS(5703),
    [anon_sym_point] = ACTIONS(5703),
    [anon_sym_line] = ACTIONS(5703),
    [anon_sym_triangleadj] = ACTIONS(5703),
    [anon_sym_lineadj] = ACTIONS(5703),
    [anon_sym_triangle] = ACTIONS(5703),
  },
  [2848] = {
    [sym_identifier] = ACTIONS(5699),
    [aux_sym_preproc_def_token1] = ACTIONS(5699),
    [aux_sym_preproc_if_token1] = ACTIONS(5699),
    [aux_sym_preproc_if_token2] = ACTIONS(5699),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5699),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5699),
    [sym_preproc_directive] = ACTIONS(5699),
    [anon_sym_LPAREN2] = ACTIONS(5701),
    [anon_sym_TILDE] = ACTIONS(5701),
    [anon_sym_STAR] = ACTIONS(5701),
    [anon_sym_AMP_AMP] = ACTIONS(5701),
    [anon_sym_AMP] = ACTIONS(5699),
    [anon_sym___extension__] = ACTIONS(5699),
    [anon_sym_typedef] = ACTIONS(5699),
    [anon_sym_in] = ACTIONS(5699),
    [anon_sym_out] = ACTIONS(5699),
    [anon_sym_inout] = ACTIONS(5699),
    [anon_sym_extern] = ACTIONS(5699),
    [anon_sym___attribute__] = ACTIONS(5699),
    [anon_sym_COLON_COLON] = ACTIONS(5701),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5701),
    [anon_sym___declspec] = ACTIONS(5699),
    [anon_sym___based] = ACTIONS(5699),
    [anon_sym_signed] = ACTIONS(5699),
    [anon_sym_unsigned] = ACTIONS(5699),
    [anon_sym_long] = ACTIONS(5699),
    [anon_sym_short] = ACTIONS(5699),
    [anon_sym_LBRACK] = ACTIONS(5699),
    [anon_sym_static] = ACTIONS(5699),
    [anon_sym_register] = ACTIONS(5699),
    [anon_sym_inline] = ACTIONS(5699),
    [anon_sym___inline] = ACTIONS(5699),
    [anon_sym___inline__] = ACTIONS(5699),
    [anon_sym___forceinline] = ACTIONS(5699),
    [anon_sym_thread_local] = ACTIONS(5699),
    [anon_sym___thread] = ACTIONS(5699),
    [anon_sym_const] = ACTIONS(5699),
    [anon_sym_constexpr] = ACTIONS(5699),
    [anon_sym_volatile] = ACTIONS(5699),
    [anon_sym_restrict] = ACTIONS(5699),
    [anon_sym___restrict__] = ACTIONS(5699),
    [anon_sym__Atomic] = ACTIONS(5699),
    [anon_sym__Noreturn] = ACTIONS(5699),
    [anon_sym_noreturn] = ACTIONS(5699),
    [anon_sym_mutable] = ACTIONS(5699),
    [anon_sym_constinit] = ACTIONS(5699),
    [anon_sym_consteval] = ACTIONS(5699),
    [sym_primitive_type] = ACTIONS(5699),
    [anon_sym_enum] = ACTIONS(5699),
    [anon_sym_class] = ACTIONS(5699),
    [anon_sym_struct] = ACTIONS(5699),
    [anon_sym_union] = ACTIONS(5699),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5699),
    [anon_sym_decltype] = ACTIONS(5699),
    [anon_sym_virtual] = ACTIONS(5699),
    [anon_sym_alignas] = ACTIONS(5699),
    [anon_sym_explicit] = ACTIONS(5699),
    [anon_sym_typename] = ACTIONS(5699),
    [anon_sym_template] = ACTIONS(5699),
    [anon_sym_operator] = ACTIONS(5699),
    [anon_sym_friend] = ACTIONS(5699),
    [anon_sym_public] = ACTIONS(5699),
    [anon_sym_private] = ACTIONS(5699),
    [anon_sym_protected] = ACTIONS(5699),
    [anon_sym_using] = ACTIONS(5699),
    [anon_sym_static_assert] = ACTIONS(5699),
    [anon_sym_precise] = ACTIONS(5699),
    [anon_sym_shared] = ACTIONS(5699),
    [anon_sym_groupshared] = ACTIONS(5699),
    [anon_sym_uniform] = ACTIONS(5699),
    [anon_sym_row_major] = ACTIONS(5699),
    [anon_sym_column_major] = ACTIONS(5699),
    [anon_sym_globallycoherent] = ACTIONS(5699),
    [anon_sym_centroid] = ACTIONS(5699),
    [anon_sym_noperspective] = ACTIONS(5699),
    [anon_sym_nointerpolation] = ACTIONS(5699),
    [anon_sym_sample] = ACTIONS(5699),
    [anon_sym_linear] = ACTIONS(5699),
    [anon_sym_snorm] = ACTIONS(5699),
    [anon_sym_unorm] = ACTIONS(5699),
    [anon_sym_point] = ACTIONS(5699),
    [anon_sym_line] = ACTIONS(5699),
    [anon_sym_triangleadj] = ACTIONS(5699),
    [anon_sym_lineadj] = ACTIONS(5699),
    [anon_sym_triangle] = ACTIONS(5699),
  },
  [2849] = {
    [sym_identifier] = ACTIONS(5711),
    [aux_sym_preproc_def_token1] = ACTIONS(5711),
    [aux_sym_preproc_if_token1] = ACTIONS(5711),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5711),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5711),
    [sym_preproc_directive] = ACTIONS(5711),
    [anon_sym_LPAREN2] = ACTIONS(5713),
    [anon_sym_TILDE] = ACTIONS(5713),
    [anon_sym_STAR] = ACTIONS(5713),
    [anon_sym_AMP_AMP] = ACTIONS(5713),
    [anon_sym_AMP] = ACTIONS(5711),
    [anon_sym___extension__] = ACTIONS(5711),
    [anon_sym_typedef] = ACTIONS(5711),
    [anon_sym_in] = ACTIONS(5711),
    [anon_sym_out] = ACTIONS(5711),
    [anon_sym_inout] = ACTIONS(5711),
    [anon_sym_extern] = ACTIONS(5711),
    [anon_sym___attribute__] = ACTIONS(5711),
    [anon_sym_COLON_COLON] = ACTIONS(5713),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5713),
    [anon_sym___declspec] = ACTIONS(5711),
    [anon_sym___based] = ACTIONS(5711),
    [anon_sym_RBRACE] = ACTIONS(5713),
    [anon_sym_signed] = ACTIONS(5711),
    [anon_sym_unsigned] = ACTIONS(5711),
    [anon_sym_long] = ACTIONS(5711),
    [anon_sym_short] = ACTIONS(5711),
    [anon_sym_LBRACK] = ACTIONS(5711),
    [anon_sym_static] = ACTIONS(5711),
    [anon_sym_register] = ACTIONS(5711),
    [anon_sym_inline] = ACTIONS(5711),
    [anon_sym___inline] = ACTIONS(5711),
    [anon_sym___inline__] = ACTIONS(5711),
    [anon_sym___forceinline] = ACTIONS(5711),
    [anon_sym_thread_local] = ACTIONS(5711),
    [anon_sym___thread] = ACTIONS(5711),
    [anon_sym_const] = ACTIONS(5711),
    [anon_sym_constexpr] = ACTIONS(5711),
    [anon_sym_volatile] = ACTIONS(5711),
    [anon_sym_restrict] = ACTIONS(5711),
    [anon_sym___restrict__] = ACTIONS(5711),
    [anon_sym__Atomic] = ACTIONS(5711),
    [anon_sym__Noreturn] = ACTIONS(5711),
    [anon_sym_noreturn] = ACTIONS(5711),
    [anon_sym_mutable] = ACTIONS(5711),
    [anon_sym_constinit] = ACTIONS(5711),
    [anon_sym_consteval] = ACTIONS(5711),
    [sym_primitive_type] = ACTIONS(5711),
    [anon_sym_enum] = ACTIONS(5711),
    [anon_sym_class] = ACTIONS(5711),
    [anon_sym_struct] = ACTIONS(5711),
    [anon_sym_union] = ACTIONS(5711),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5711),
    [anon_sym_decltype] = ACTIONS(5711),
    [anon_sym_virtual] = ACTIONS(5711),
    [anon_sym_alignas] = ACTIONS(5711),
    [anon_sym_explicit] = ACTIONS(5711),
    [anon_sym_typename] = ACTIONS(5711),
    [anon_sym_template] = ACTIONS(5711),
    [anon_sym_operator] = ACTIONS(5711),
    [anon_sym_friend] = ACTIONS(5711),
    [anon_sym_public] = ACTIONS(5711),
    [anon_sym_private] = ACTIONS(5711),
    [anon_sym_protected] = ACTIONS(5711),
    [anon_sym_using] = ACTIONS(5711),
    [anon_sym_static_assert] = ACTIONS(5711),
    [anon_sym_precise] = ACTIONS(5711),
    [anon_sym_shared] = ACTIONS(5711),
    [anon_sym_groupshared] = ACTIONS(5711),
    [anon_sym_uniform] = ACTIONS(5711),
    [anon_sym_row_major] = ACTIONS(5711),
    [anon_sym_column_major] = ACTIONS(5711),
    [anon_sym_globallycoherent] = ACTIONS(5711),
    [anon_sym_centroid] = ACTIONS(5711),
    [anon_sym_noperspective] = ACTIONS(5711),
    [anon_sym_nointerpolation] = ACTIONS(5711),
    [anon_sym_sample] = ACTIONS(5711),
    [anon_sym_linear] = ACTIONS(5711),
    [anon_sym_snorm] = ACTIONS(5711),
    [anon_sym_unorm] = ACTIONS(5711),
    [anon_sym_point] = ACTIONS(5711),
    [anon_sym_line] = ACTIONS(5711),
    [anon_sym_triangleadj] = ACTIONS(5711),
    [anon_sym_lineadj] = ACTIONS(5711),
    [anon_sym_triangle] = ACTIONS(5711),
  },
  [2850] = {
    [sym_identifier] = ACTIONS(2649),
    [aux_sym_preproc_def_token1] = ACTIONS(2649),
    [aux_sym_preproc_if_token1] = ACTIONS(2649),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2649),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2649),
    [sym_preproc_directive] = ACTIONS(2649),
    [anon_sym_LPAREN2] = ACTIONS(2651),
    [anon_sym_TILDE] = ACTIONS(2651),
    [anon_sym_STAR] = ACTIONS(2651),
    [anon_sym_AMP_AMP] = ACTIONS(2651),
    [anon_sym_AMP] = ACTIONS(2649),
    [anon_sym___extension__] = ACTIONS(2649),
    [anon_sym_typedef] = ACTIONS(2649),
    [anon_sym_in] = ACTIONS(2649),
    [anon_sym_out] = ACTIONS(2649),
    [anon_sym_inout] = ACTIONS(2649),
    [anon_sym_extern] = ACTIONS(2649),
    [anon_sym___attribute__] = ACTIONS(2649),
    [anon_sym_COLON_COLON] = ACTIONS(2651),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2651),
    [anon_sym___declspec] = ACTIONS(2649),
    [anon_sym___based] = ACTIONS(2649),
    [anon_sym_RBRACE] = ACTIONS(2651),
    [anon_sym_signed] = ACTIONS(2649),
    [anon_sym_unsigned] = ACTIONS(2649),
    [anon_sym_long] = ACTIONS(2649),
    [anon_sym_short] = ACTIONS(2649),
    [anon_sym_LBRACK] = ACTIONS(2649),
    [anon_sym_static] = ACTIONS(2649),
    [anon_sym_register] = ACTIONS(2649),
    [anon_sym_inline] = ACTIONS(2649),
    [anon_sym___inline] = ACTIONS(2649),
    [anon_sym___inline__] = ACTIONS(2649),
    [anon_sym___forceinline] = ACTIONS(2649),
    [anon_sym_thread_local] = ACTIONS(2649),
    [anon_sym___thread] = ACTIONS(2649),
    [anon_sym_const] = ACTIONS(2649),
    [anon_sym_constexpr] = ACTIONS(2649),
    [anon_sym_volatile] = ACTIONS(2649),
    [anon_sym_restrict] = ACTIONS(2649),
    [anon_sym___restrict__] = ACTIONS(2649),
    [anon_sym__Atomic] = ACTIONS(2649),
    [anon_sym__Noreturn] = ACTIONS(2649),
    [anon_sym_noreturn] = ACTIONS(2649),
    [anon_sym_mutable] = ACTIONS(2649),
    [anon_sym_constinit] = ACTIONS(2649),
    [anon_sym_consteval] = ACTIONS(2649),
    [sym_primitive_type] = ACTIONS(2649),
    [anon_sym_enum] = ACTIONS(2649),
    [anon_sym_class] = ACTIONS(2649),
    [anon_sym_struct] = ACTIONS(2649),
    [anon_sym_union] = ACTIONS(2649),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2649),
    [anon_sym_decltype] = ACTIONS(2649),
    [anon_sym_virtual] = ACTIONS(2649),
    [anon_sym_alignas] = ACTIONS(2649),
    [anon_sym_explicit] = ACTIONS(2649),
    [anon_sym_typename] = ACTIONS(2649),
    [anon_sym_template] = ACTIONS(2649),
    [anon_sym_operator] = ACTIONS(2649),
    [anon_sym_friend] = ACTIONS(2649),
    [anon_sym_public] = ACTIONS(2649),
    [anon_sym_private] = ACTIONS(2649),
    [anon_sym_protected] = ACTIONS(2649),
    [anon_sym_using] = ACTIONS(2649),
    [anon_sym_static_assert] = ACTIONS(2649),
    [anon_sym_precise] = ACTIONS(2649),
    [anon_sym_shared] = ACTIONS(2649),
    [anon_sym_groupshared] = ACTIONS(2649),
    [anon_sym_uniform] = ACTIONS(2649),
    [anon_sym_row_major] = ACTIONS(2649),
    [anon_sym_column_major] = ACTIONS(2649),
    [anon_sym_globallycoherent] = ACTIONS(2649),
    [anon_sym_centroid] = ACTIONS(2649),
    [anon_sym_noperspective] = ACTIONS(2649),
    [anon_sym_nointerpolation] = ACTIONS(2649),
    [anon_sym_sample] = ACTIONS(2649),
    [anon_sym_linear] = ACTIONS(2649),
    [anon_sym_snorm] = ACTIONS(2649),
    [anon_sym_unorm] = ACTIONS(2649),
    [anon_sym_point] = ACTIONS(2649),
    [anon_sym_line] = ACTIONS(2649),
    [anon_sym_triangleadj] = ACTIONS(2649),
    [anon_sym_lineadj] = ACTIONS(2649),
    [anon_sym_triangle] = ACTIONS(2649),
  },
  [2851] = {
    [sym_identifier] = ACTIONS(2694),
    [aux_sym_preproc_def_token1] = ACTIONS(2694),
    [aux_sym_preproc_if_token1] = ACTIONS(2694),
    [aux_sym_preproc_if_token2] = ACTIONS(2694),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2694),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2694),
    [sym_preproc_directive] = ACTIONS(2694),
    [anon_sym_LPAREN2] = ACTIONS(2696),
    [anon_sym_TILDE] = ACTIONS(2696),
    [anon_sym_STAR] = ACTIONS(2696),
    [anon_sym_AMP_AMP] = ACTIONS(2696),
    [anon_sym_AMP] = ACTIONS(2694),
    [anon_sym___extension__] = ACTIONS(2694),
    [anon_sym_typedef] = ACTIONS(2694),
    [anon_sym_in] = ACTIONS(2694),
    [anon_sym_out] = ACTIONS(2694),
    [anon_sym_inout] = ACTIONS(2694),
    [anon_sym_extern] = ACTIONS(2694),
    [anon_sym___attribute__] = ACTIONS(2694),
    [anon_sym_COLON_COLON] = ACTIONS(2696),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2696),
    [anon_sym___declspec] = ACTIONS(2694),
    [anon_sym___based] = ACTIONS(2694),
    [anon_sym_signed] = ACTIONS(2694),
    [anon_sym_unsigned] = ACTIONS(2694),
    [anon_sym_long] = ACTIONS(2694),
    [anon_sym_short] = ACTIONS(2694),
    [anon_sym_LBRACK] = ACTIONS(2694),
    [anon_sym_static] = ACTIONS(2694),
    [anon_sym_register] = ACTIONS(2694),
    [anon_sym_inline] = ACTIONS(2694),
    [anon_sym___inline] = ACTIONS(2694),
    [anon_sym___inline__] = ACTIONS(2694),
    [anon_sym___forceinline] = ACTIONS(2694),
    [anon_sym_thread_local] = ACTIONS(2694),
    [anon_sym___thread] = ACTIONS(2694),
    [anon_sym_const] = ACTIONS(2694),
    [anon_sym_constexpr] = ACTIONS(2694),
    [anon_sym_volatile] = ACTIONS(2694),
    [anon_sym_restrict] = ACTIONS(2694),
    [anon_sym___restrict__] = ACTIONS(2694),
    [anon_sym__Atomic] = ACTIONS(2694),
    [anon_sym__Noreturn] = ACTIONS(2694),
    [anon_sym_noreturn] = ACTIONS(2694),
    [anon_sym_mutable] = ACTIONS(2694),
    [anon_sym_constinit] = ACTIONS(2694),
    [anon_sym_consteval] = ACTIONS(2694),
    [sym_primitive_type] = ACTIONS(2694),
    [anon_sym_enum] = ACTIONS(2694),
    [anon_sym_class] = ACTIONS(2694),
    [anon_sym_struct] = ACTIONS(2694),
    [anon_sym_union] = ACTIONS(2694),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2694),
    [anon_sym_decltype] = ACTIONS(2694),
    [anon_sym_virtual] = ACTIONS(2694),
    [anon_sym_alignas] = ACTIONS(2694),
    [anon_sym_explicit] = ACTIONS(2694),
    [anon_sym_typename] = ACTIONS(2694),
    [anon_sym_template] = ACTIONS(2694),
    [anon_sym_operator] = ACTIONS(2694),
    [anon_sym_friend] = ACTIONS(2694),
    [anon_sym_public] = ACTIONS(2694),
    [anon_sym_private] = ACTIONS(2694),
    [anon_sym_protected] = ACTIONS(2694),
    [anon_sym_using] = ACTIONS(2694),
    [anon_sym_static_assert] = ACTIONS(2694),
    [anon_sym_precise] = ACTIONS(2694),
    [anon_sym_shared] = ACTIONS(2694),
    [anon_sym_groupshared] = ACTIONS(2694),
    [anon_sym_uniform] = ACTIONS(2694),
    [anon_sym_row_major] = ACTIONS(2694),
    [anon_sym_column_major] = ACTIONS(2694),
    [anon_sym_globallycoherent] = ACTIONS(2694),
    [anon_sym_centroid] = ACTIONS(2694),
    [anon_sym_noperspective] = ACTIONS(2694),
    [anon_sym_nointerpolation] = ACTIONS(2694),
    [anon_sym_sample] = ACTIONS(2694),
    [anon_sym_linear] = ACTIONS(2694),
    [anon_sym_snorm] = ACTIONS(2694),
    [anon_sym_unorm] = ACTIONS(2694),
    [anon_sym_point] = ACTIONS(2694),
    [anon_sym_line] = ACTIONS(2694),
    [anon_sym_triangleadj] = ACTIONS(2694),
    [anon_sym_lineadj] = ACTIONS(2694),
    [anon_sym_triangle] = ACTIONS(2694),
  },
  [2852] = {
    [sym_identifier] = ACTIONS(5707),
    [aux_sym_preproc_def_token1] = ACTIONS(5707),
    [aux_sym_preproc_if_token1] = ACTIONS(5707),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5707),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5707),
    [sym_preproc_directive] = ACTIONS(5707),
    [anon_sym_LPAREN2] = ACTIONS(5709),
    [anon_sym_TILDE] = ACTIONS(5709),
    [anon_sym_STAR] = ACTIONS(5709),
    [anon_sym_AMP_AMP] = ACTIONS(5709),
    [anon_sym_AMP] = ACTIONS(5707),
    [anon_sym___extension__] = ACTIONS(5707),
    [anon_sym_typedef] = ACTIONS(5707),
    [anon_sym_in] = ACTIONS(5707),
    [anon_sym_out] = ACTIONS(5707),
    [anon_sym_inout] = ACTIONS(5707),
    [anon_sym_extern] = ACTIONS(5707),
    [anon_sym___attribute__] = ACTIONS(5707),
    [anon_sym_COLON_COLON] = ACTIONS(5709),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5709),
    [anon_sym___declspec] = ACTIONS(5707),
    [anon_sym___based] = ACTIONS(5707),
    [anon_sym_RBRACE] = ACTIONS(5709),
    [anon_sym_signed] = ACTIONS(5707),
    [anon_sym_unsigned] = ACTIONS(5707),
    [anon_sym_long] = ACTIONS(5707),
    [anon_sym_short] = ACTIONS(5707),
    [anon_sym_LBRACK] = ACTIONS(5707),
    [anon_sym_static] = ACTIONS(5707),
    [anon_sym_register] = ACTIONS(5707),
    [anon_sym_inline] = ACTIONS(5707),
    [anon_sym___inline] = ACTIONS(5707),
    [anon_sym___inline__] = ACTIONS(5707),
    [anon_sym___forceinline] = ACTIONS(5707),
    [anon_sym_thread_local] = ACTIONS(5707),
    [anon_sym___thread] = ACTIONS(5707),
    [anon_sym_const] = ACTIONS(5707),
    [anon_sym_constexpr] = ACTIONS(5707),
    [anon_sym_volatile] = ACTIONS(5707),
    [anon_sym_restrict] = ACTIONS(5707),
    [anon_sym___restrict__] = ACTIONS(5707),
    [anon_sym__Atomic] = ACTIONS(5707),
    [anon_sym__Noreturn] = ACTIONS(5707),
    [anon_sym_noreturn] = ACTIONS(5707),
    [anon_sym_mutable] = ACTIONS(5707),
    [anon_sym_constinit] = ACTIONS(5707),
    [anon_sym_consteval] = ACTIONS(5707),
    [sym_primitive_type] = ACTIONS(5707),
    [anon_sym_enum] = ACTIONS(5707),
    [anon_sym_class] = ACTIONS(5707),
    [anon_sym_struct] = ACTIONS(5707),
    [anon_sym_union] = ACTIONS(5707),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5707),
    [anon_sym_decltype] = ACTIONS(5707),
    [anon_sym_virtual] = ACTIONS(5707),
    [anon_sym_alignas] = ACTIONS(5707),
    [anon_sym_explicit] = ACTIONS(5707),
    [anon_sym_typename] = ACTIONS(5707),
    [anon_sym_template] = ACTIONS(5707),
    [anon_sym_operator] = ACTIONS(5707),
    [anon_sym_friend] = ACTIONS(5707),
    [anon_sym_public] = ACTIONS(5707),
    [anon_sym_private] = ACTIONS(5707),
    [anon_sym_protected] = ACTIONS(5707),
    [anon_sym_using] = ACTIONS(5707),
    [anon_sym_static_assert] = ACTIONS(5707),
    [anon_sym_precise] = ACTIONS(5707),
    [anon_sym_shared] = ACTIONS(5707),
    [anon_sym_groupshared] = ACTIONS(5707),
    [anon_sym_uniform] = ACTIONS(5707),
    [anon_sym_row_major] = ACTIONS(5707),
    [anon_sym_column_major] = ACTIONS(5707),
    [anon_sym_globallycoherent] = ACTIONS(5707),
    [anon_sym_centroid] = ACTIONS(5707),
    [anon_sym_noperspective] = ACTIONS(5707),
    [anon_sym_nointerpolation] = ACTIONS(5707),
    [anon_sym_sample] = ACTIONS(5707),
    [anon_sym_linear] = ACTIONS(5707),
    [anon_sym_snorm] = ACTIONS(5707),
    [anon_sym_unorm] = ACTIONS(5707),
    [anon_sym_point] = ACTIONS(5707),
    [anon_sym_line] = ACTIONS(5707),
    [anon_sym_triangleadj] = ACTIONS(5707),
    [anon_sym_lineadj] = ACTIONS(5707),
    [anon_sym_triangle] = ACTIONS(5707),
  },
  [2853] = {
    [sym_identifier] = ACTIONS(2633),
    [aux_sym_preproc_def_token1] = ACTIONS(2633),
    [aux_sym_preproc_if_token1] = ACTIONS(2633),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2633),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2633),
    [sym_preproc_directive] = ACTIONS(2633),
    [anon_sym_LPAREN2] = ACTIONS(2635),
    [anon_sym_TILDE] = ACTIONS(2635),
    [anon_sym_STAR] = ACTIONS(2635),
    [anon_sym_AMP_AMP] = ACTIONS(2635),
    [anon_sym_AMP] = ACTIONS(2633),
    [anon_sym___extension__] = ACTIONS(2633),
    [anon_sym_typedef] = ACTIONS(2633),
    [anon_sym_in] = ACTIONS(2633),
    [anon_sym_out] = ACTIONS(2633),
    [anon_sym_inout] = ACTIONS(2633),
    [anon_sym_extern] = ACTIONS(2633),
    [anon_sym___attribute__] = ACTIONS(2633),
    [anon_sym_COLON_COLON] = ACTIONS(2635),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2635),
    [anon_sym___declspec] = ACTIONS(2633),
    [anon_sym___based] = ACTIONS(2633),
    [anon_sym_RBRACE] = ACTIONS(2635),
    [anon_sym_signed] = ACTIONS(2633),
    [anon_sym_unsigned] = ACTIONS(2633),
    [anon_sym_long] = ACTIONS(2633),
    [anon_sym_short] = ACTIONS(2633),
    [anon_sym_LBRACK] = ACTIONS(2633),
    [anon_sym_static] = ACTIONS(2633),
    [anon_sym_register] = ACTIONS(2633),
    [anon_sym_inline] = ACTIONS(2633),
    [anon_sym___inline] = ACTIONS(2633),
    [anon_sym___inline__] = ACTIONS(2633),
    [anon_sym___forceinline] = ACTIONS(2633),
    [anon_sym_thread_local] = ACTIONS(2633),
    [anon_sym___thread] = ACTIONS(2633),
    [anon_sym_const] = ACTIONS(2633),
    [anon_sym_constexpr] = ACTIONS(2633),
    [anon_sym_volatile] = ACTIONS(2633),
    [anon_sym_restrict] = ACTIONS(2633),
    [anon_sym___restrict__] = ACTIONS(2633),
    [anon_sym__Atomic] = ACTIONS(2633),
    [anon_sym__Noreturn] = ACTIONS(2633),
    [anon_sym_noreturn] = ACTIONS(2633),
    [anon_sym_mutable] = ACTIONS(2633),
    [anon_sym_constinit] = ACTIONS(2633),
    [anon_sym_consteval] = ACTIONS(2633),
    [sym_primitive_type] = ACTIONS(2633),
    [anon_sym_enum] = ACTIONS(2633),
    [anon_sym_class] = ACTIONS(2633),
    [anon_sym_struct] = ACTIONS(2633),
    [anon_sym_union] = ACTIONS(2633),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2633),
    [anon_sym_decltype] = ACTIONS(2633),
    [anon_sym_virtual] = ACTIONS(2633),
    [anon_sym_alignas] = ACTIONS(2633),
    [anon_sym_explicit] = ACTIONS(2633),
    [anon_sym_typename] = ACTIONS(2633),
    [anon_sym_template] = ACTIONS(2633),
    [anon_sym_operator] = ACTIONS(2633),
    [anon_sym_friend] = ACTIONS(2633),
    [anon_sym_public] = ACTIONS(2633),
    [anon_sym_private] = ACTIONS(2633),
    [anon_sym_protected] = ACTIONS(2633),
    [anon_sym_using] = ACTIONS(2633),
    [anon_sym_static_assert] = ACTIONS(2633),
    [anon_sym_precise] = ACTIONS(2633),
    [anon_sym_shared] = ACTIONS(2633),
    [anon_sym_groupshared] = ACTIONS(2633),
    [anon_sym_uniform] = ACTIONS(2633),
    [anon_sym_row_major] = ACTIONS(2633),
    [anon_sym_column_major] = ACTIONS(2633),
    [anon_sym_globallycoherent] = ACTIONS(2633),
    [anon_sym_centroid] = ACTIONS(2633),
    [anon_sym_noperspective] = ACTIONS(2633),
    [anon_sym_nointerpolation] = ACTIONS(2633),
    [anon_sym_sample] = ACTIONS(2633),
    [anon_sym_linear] = ACTIONS(2633),
    [anon_sym_snorm] = ACTIONS(2633),
    [anon_sym_unorm] = ACTIONS(2633),
    [anon_sym_point] = ACTIONS(2633),
    [anon_sym_line] = ACTIONS(2633),
    [anon_sym_triangleadj] = ACTIONS(2633),
    [anon_sym_lineadj] = ACTIONS(2633),
    [anon_sym_triangle] = ACTIONS(2633),
  },
  [2854] = {
    [sym_identifier] = ACTIONS(5643),
    [aux_sym_preproc_def_token1] = ACTIONS(5643),
    [aux_sym_preproc_if_token1] = ACTIONS(5643),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5643),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5643),
    [sym_preproc_directive] = ACTIONS(5643),
    [anon_sym_LPAREN2] = ACTIONS(5645),
    [anon_sym_TILDE] = ACTIONS(5645),
    [anon_sym_STAR] = ACTIONS(5645),
    [anon_sym_AMP_AMP] = ACTIONS(5645),
    [anon_sym_AMP] = ACTIONS(5643),
    [anon_sym___extension__] = ACTIONS(5643),
    [anon_sym_typedef] = ACTIONS(5643),
    [anon_sym_in] = ACTIONS(5643),
    [anon_sym_out] = ACTIONS(5643),
    [anon_sym_inout] = ACTIONS(5643),
    [anon_sym_extern] = ACTIONS(5643),
    [anon_sym___attribute__] = ACTIONS(5643),
    [anon_sym_COLON_COLON] = ACTIONS(5645),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5645),
    [anon_sym___declspec] = ACTIONS(5643),
    [anon_sym___based] = ACTIONS(5643),
    [anon_sym_RBRACE] = ACTIONS(5645),
    [anon_sym_signed] = ACTIONS(5643),
    [anon_sym_unsigned] = ACTIONS(5643),
    [anon_sym_long] = ACTIONS(5643),
    [anon_sym_short] = ACTIONS(5643),
    [anon_sym_LBRACK] = ACTIONS(5643),
    [anon_sym_static] = ACTIONS(5643),
    [anon_sym_register] = ACTIONS(5643),
    [anon_sym_inline] = ACTIONS(5643),
    [anon_sym___inline] = ACTIONS(5643),
    [anon_sym___inline__] = ACTIONS(5643),
    [anon_sym___forceinline] = ACTIONS(5643),
    [anon_sym_thread_local] = ACTIONS(5643),
    [anon_sym___thread] = ACTIONS(5643),
    [anon_sym_const] = ACTIONS(5643),
    [anon_sym_constexpr] = ACTIONS(5643),
    [anon_sym_volatile] = ACTIONS(5643),
    [anon_sym_restrict] = ACTIONS(5643),
    [anon_sym___restrict__] = ACTIONS(5643),
    [anon_sym__Atomic] = ACTIONS(5643),
    [anon_sym__Noreturn] = ACTIONS(5643),
    [anon_sym_noreturn] = ACTIONS(5643),
    [anon_sym_mutable] = ACTIONS(5643),
    [anon_sym_constinit] = ACTIONS(5643),
    [anon_sym_consteval] = ACTIONS(5643),
    [sym_primitive_type] = ACTIONS(5643),
    [anon_sym_enum] = ACTIONS(5643),
    [anon_sym_class] = ACTIONS(5643),
    [anon_sym_struct] = ACTIONS(5643),
    [anon_sym_union] = ACTIONS(5643),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5643),
    [anon_sym_decltype] = ACTIONS(5643),
    [anon_sym_virtual] = ACTIONS(5643),
    [anon_sym_alignas] = ACTIONS(5643),
    [anon_sym_explicit] = ACTIONS(5643),
    [anon_sym_typename] = ACTIONS(5643),
    [anon_sym_template] = ACTIONS(5643),
    [anon_sym_operator] = ACTIONS(5643),
    [anon_sym_friend] = ACTIONS(5643),
    [anon_sym_public] = ACTIONS(5643),
    [anon_sym_private] = ACTIONS(5643),
    [anon_sym_protected] = ACTIONS(5643),
    [anon_sym_using] = ACTIONS(5643),
    [anon_sym_static_assert] = ACTIONS(5643),
    [anon_sym_precise] = ACTIONS(5643),
    [anon_sym_shared] = ACTIONS(5643),
    [anon_sym_groupshared] = ACTIONS(5643),
    [anon_sym_uniform] = ACTIONS(5643),
    [anon_sym_row_major] = ACTIONS(5643),
    [anon_sym_column_major] = ACTIONS(5643),
    [anon_sym_globallycoherent] = ACTIONS(5643),
    [anon_sym_centroid] = ACTIONS(5643),
    [anon_sym_noperspective] = ACTIONS(5643),
    [anon_sym_nointerpolation] = ACTIONS(5643),
    [anon_sym_sample] = ACTIONS(5643),
    [anon_sym_linear] = ACTIONS(5643),
    [anon_sym_snorm] = ACTIONS(5643),
    [anon_sym_unorm] = ACTIONS(5643),
    [anon_sym_point] = ACTIONS(5643),
    [anon_sym_line] = ACTIONS(5643),
    [anon_sym_triangleadj] = ACTIONS(5643),
    [anon_sym_lineadj] = ACTIONS(5643),
    [anon_sym_triangle] = ACTIONS(5643),
  },
  [2855] = {
    [sym_identifier] = ACTIONS(2751),
    [aux_sym_preproc_def_token1] = ACTIONS(2751),
    [aux_sym_preproc_if_token1] = ACTIONS(2751),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2751),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2751),
    [sym_preproc_directive] = ACTIONS(2751),
    [anon_sym_LPAREN2] = ACTIONS(2753),
    [anon_sym_TILDE] = ACTIONS(2753),
    [anon_sym_STAR] = ACTIONS(2753),
    [anon_sym_AMP_AMP] = ACTIONS(2753),
    [anon_sym_AMP] = ACTIONS(2751),
    [anon_sym___extension__] = ACTIONS(2751),
    [anon_sym_typedef] = ACTIONS(2751),
    [anon_sym_in] = ACTIONS(2751),
    [anon_sym_out] = ACTIONS(2751),
    [anon_sym_inout] = ACTIONS(2751),
    [anon_sym_extern] = ACTIONS(2751),
    [anon_sym___attribute__] = ACTIONS(2751),
    [anon_sym_COLON_COLON] = ACTIONS(2753),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2753),
    [anon_sym___declspec] = ACTIONS(2751),
    [anon_sym___based] = ACTIONS(2751),
    [anon_sym_RBRACE] = ACTIONS(2753),
    [anon_sym_signed] = ACTIONS(2751),
    [anon_sym_unsigned] = ACTIONS(2751),
    [anon_sym_long] = ACTIONS(2751),
    [anon_sym_short] = ACTIONS(2751),
    [anon_sym_LBRACK] = ACTIONS(2751),
    [anon_sym_static] = ACTIONS(2751),
    [anon_sym_register] = ACTIONS(2751),
    [anon_sym_inline] = ACTIONS(2751),
    [anon_sym___inline] = ACTIONS(2751),
    [anon_sym___inline__] = ACTIONS(2751),
    [anon_sym___forceinline] = ACTIONS(2751),
    [anon_sym_thread_local] = ACTIONS(2751),
    [anon_sym___thread] = ACTIONS(2751),
    [anon_sym_const] = ACTIONS(2751),
    [anon_sym_constexpr] = ACTIONS(2751),
    [anon_sym_volatile] = ACTIONS(2751),
    [anon_sym_restrict] = ACTIONS(2751),
    [anon_sym___restrict__] = ACTIONS(2751),
    [anon_sym__Atomic] = ACTIONS(2751),
    [anon_sym__Noreturn] = ACTIONS(2751),
    [anon_sym_noreturn] = ACTIONS(2751),
    [anon_sym_mutable] = ACTIONS(2751),
    [anon_sym_constinit] = ACTIONS(2751),
    [anon_sym_consteval] = ACTIONS(2751),
    [sym_primitive_type] = ACTIONS(2751),
    [anon_sym_enum] = ACTIONS(2751),
    [anon_sym_class] = ACTIONS(2751),
    [anon_sym_struct] = ACTIONS(2751),
    [anon_sym_union] = ACTIONS(2751),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2751),
    [anon_sym_decltype] = ACTIONS(2751),
    [anon_sym_virtual] = ACTIONS(2751),
    [anon_sym_alignas] = ACTIONS(2751),
    [anon_sym_explicit] = ACTIONS(2751),
    [anon_sym_typename] = ACTIONS(2751),
    [anon_sym_template] = ACTIONS(2751),
    [anon_sym_operator] = ACTIONS(2751),
    [anon_sym_friend] = ACTIONS(2751),
    [anon_sym_public] = ACTIONS(2751),
    [anon_sym_private] = ACTIONS(2751),
    [anon_sym_protected] = ACTIONS(2751),
    [anon_sym_using] = ACTIONS(2751),
    [anon_sym_static_assert] = ACTIONS(2751),
    [anon_sym_precise] = ACTIONS(2751),
    [anon_sym_shared] = ACTIONS(2751),
    [anon_sym_groupshared] = ACTIONS(2751),
    [anon_sym_uniform] = ACTIONS(2751),
    [anon_sym_row_major] = ACTIONS(2751),
    [anon_sym_column_major] = ACTIONS(2751),
    [anon_sym_globallycoherent] = ACTIONS(2751),
    [anon_sym_centroid] = ACTIONS(2751),
    [anon_sym_noperspective] = ACTIONS(2751),
    [anon_sym_nointerpolation] = ACTIONS(2751),
    [anon_sym_sample] = ACTIONS(2751),
    [anon_sym_linear] = ACTIONS(2751),
    [anon_sym_snorm] = ACTIONS(2751),
    [anon_sym_unorm] = ACTIONS(2751),
    [anon_sym_point] = ACTIONS(2751),
    [anon_sym_line] = ACTIONS(2751),
    [anon_sym_triangleadj] = ACTIONS(2751),
    [anon_sym_lineadj] = ACTIONS(2751),
    [anon_sym_triangle] = ACTIONS(2751),
  },
  [2856] = {
    [sym_identifier] = ACTIONS(2755),
    [aux_sym_preproc_def_token1] = ACTIONS(2755),
    [aux_sym_preproc_if_token1] = ACTIONS(2755),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2755),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2755),
    [sym_preproc_directive] = ACTIONS(2755),
    [anon_sym_LPAREN2] = ACTIONS(2757),
    [anon_sym_TILDE] = ACTIONS(2757),
    [anon_sym_STAR] = ACTIONS(2757),
    [anon_sym_AMP_AMP] = ACTIONS(2757),
    [anon_sym_AMP] = ACTIONS(2755),
    [anon_sym___extension__] = ACTIONS(2755),
    [anon_sym_typedef] = ACTIONS(2755),
    [anon_sym_in] = ACTIONS(2755),
    [anon_sym_out] = ACTIONS(2755),
    [anon_sym_inout] = ACTIONS(2755),
    [anon_sym_extern] = ACTIONS(2755),
    [anon_sym___attribute__] = ACTIONS(2755),
    [anon_sym_COLON_COLON] = ACTIONS(2757),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2757),
    [anon_sym___declspec] = ACTIONS(2755),
    [anon_sym___based] = ACTIONS(2755),
    [anon_sym_RBRACE] = ACTIONS(2757),
    [anon_sym_signed] = ACTIONS(2755),
    [anon_sym_unsigned] = ACTIONS(2755),
    [anon_sym_long] = ACTIONS(2755),
    [anon_sym_short] = ACTIONS(2755),
    [anon_sym_LBRACK] = ACTIONS(2755),
    [anon_sym_static] = ACTIONS(2755),
    [anon_sym_register] = ACTIONS(2755),
    [anon_sym_inline] = ACTIONS(2755),
    [anon_sym___inline] = ACTIONS(2755),
    [anon_sym___inline__] = ACTIONS(2755),
    [anon_sym___forceinline] = ACTIONS(2755),
    [anon_sym_thread_local] = ACTIONS(2755),
    [anon_sym___thread] = ACTIONS(2755),
    [anon_sym_const] = ACTIONS(2755),
    [anon_sym_constexpr] = ACTIONS(2755),
    [anon_sym_volatile] = ACTIONS(2755),
    [anon_sym_restrict] = ACTIONS(2755),
    [anon_sym___restrict__] = ACTIONS(2755),
    [anon_sym__Atomic] = ACTIONS(2755),
    [anon_sym__Noreturn] = ACTIONS(2755),
    [anon_sym_noreturn] = ACTIONS(2755),
    [anon_sym_mutable] = ACTIONS(2755),
    [anon_sym_constinit] = ACTIONS(2755),
    [anon_sym_consteval] = ACTIONS(2755),
    [sym_primitive_type] = ACTIONS(2755),
    [anon_sym_enum] = ACTIONS(2755),
    [anon_sym_class] = ACTIONS(2755),
    [anon_sym_struct] = ACTIONS(2755),
    [anon_sym_union] = ACTIONS(2755),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2755),
    [anon_sym_decltype] = ACTIONS(2755),
    [anon_sym_virtual] = ACTIONS(2755),
    [anon_sym_alignas] = ACTIONS(2755),
    [anon_sym_explicit] = ACTIONS(2755),
    [anon_sym_typename] = ACTIONS(2755),
    [anon_sym_template] = ACTIONS(2755),
    [anon_sym_operator] = ACTIONS(2755),
    [anon_sym_friend] = ACTIONS(2755),
    [anon_sym_public] = ACTIONS(2755),
    [anon_sym_private] = ACTIONS(2755),
    [anon_sym_protected] = ACTIONS(2755),
    [anon_sym_using] = ACTIONS(2755),
    [anon_sym_static_assert] = ACTIONS(2755),
    [anon_sym_precise] = ACTIONS(2755),
    [anon_sym_shared] = ACTIONS(2755),
    [anon_sym_groupshared] = ACTIONS(2755),
    [anon_sym_uniform] = ACTIONS(2755),
    [anon_sym_row_major] = ACTIONS(2755),
    [anon_sym_column_major] = ACTIONS(2755),
    [anon_sym_globallycoherent] = ACTIONS(2755),
    [anon_sym_centroid] = ACTIONS(2755),
    [anon_sym_noperspective] = ACTIONS(2755),
    [anon_sym_nointerpolation] = ACTIONS(2755),
    [anon_sym_sample] = ACTIONS(2755),
    [anon_sym_linear] = ACTIONS(2755),
    [anon_sym_snorm] = ACTIONS(2755),
    [anon_sym_unorm] = ACTIONS(2755),
    [anon_sym_point] = ACTIONS(2755),
    [anon_sym_line] = ACTIONS(2755),
    [anon_sym_triangleadj] = ACTIONS(2755),
    [anon_sym_lineadj] = ACTIONS(2755),
    [anon_sym_triangle] = ACTIONS(2755),
  },
  [2857] = {
    [sym_identifier] = ACTIONS(2793),
    [aux_sym_preproc_def_token1] = ACTIONS(2793),
    [aux_sym_preproc_if_token1] = ACTIONS(2793),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2793),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2793),
    [sym_preproc_directive] = ACTIONS(2793),
    [anon_sym_LPAREN2] = ACTIONS(2795),
    [anon_sym_TILDE] = ACTIONS(2795),
    [anon_sym_STAR] = ACTIONS(2795),
    [anon_sym_AMP_AMP] = ACTIONS(2795),
    [anon_sym_AMP] = ACTIONS(2793),
    [anon_sym___extension__] = ACTIONS(2793),
    [anon_sym_typedef] = ACTIONS(2793),
    [anon_sym_in] = ACTIONS(2793),
    [anon_sym_out] = ACTIONS(2793),
    [anon_sym_inout] = ACTIONS(2793),
    [anon_sym_extern] = ACTIONS(2793),
    [anon_sym___attribute__] = ACTIONS(2793),
    [anon_sym_COLON_COLON] = ACTIONS(2795),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2795),
    [anon_sym___declspec] = ACTIONS(2793),
    [anon_sym___based] = ACTIONS(2793),
    [anon_sym_RBRACE] = ACTIONS(2795),
    [anon_sym_signed] = ACTIONS(2793),
    [anon_sym_unsigned] = ACTIONS(2793),
    [anon_sym_long] = ACTIONS(2793),
    [anon_sym_short] = ACTIONS(2793),
    [anon_sym_LBRACK] = ACTIONS(2793),
    [anon_sym_static] = ACTIONS(2793),
    [anon_sym_register] = ACTIONS(2793),
    [anon_sym_inline] = ACTIONS(2793),
    [anon_sym___inline] = ACTIONS(2793),
    [anon_sym___inline__] = ACTIONS(2793),
    [anon_sym___forceinline] = ACTIONS(2793),
    [anon_sym_thread_local] = ACTIONS(2793),
    [anon_sym___thread] = ACTIONS(2793),
    [anon_sym_const] = ACTIONS(2793),
    [anon_sym_constexpr] = ACTIONS(2793),
    [anon_sym_volatile] = ACTIONS(2793),
    [anon_sym_restrict] = ACTIONS(2793),
    [anon_sym___restrict__] = ACTIONS(2793),
    [anon_sym__Atomic] = ACTIONS(2793),
    [anon_sym__Noreturn] = ACTIONS(2793),
    [anon_sym_noreturn] = ACTIONS(2793),
    [anon_sym_mutable] = ACTIONS(2793),
    [anon_sym_constinit] = ACTIONS(2793),
    [anon_sym_consteval] = ACTIONS(2793),
    [sym_primitive_type] = ACTIONS(2793),
    [anon_sym_enum] = ACTIONS(2793),
    [anon_sym_class] = ACTIONS(2793),
    [anon_sym_struct] = ACTIONS(2793),
    [anon_sym_union] = ACTIONS(2793),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2793),
    [anon_sym_decltype] = ACTIONS(2793),
    [anon_sym_virtual] = ACTIONS(2793),
    [anon_sym_alignas] = ACTIONS(2793),
    [anon_sym_explicit] = ACTIONS(2793),
    [anon_sym_typename] = ACTIONS(2793),
    [anon_sym_template] = ACTIONS(2793),
    [anon_sym_operator] = ACTIONS(2793),
    [anon_sym_friend] = ACTIONS(2793),
    [anon_sym_public] = ACTIONS(2793),
    [anon_sym_private] = ACTIONS(2793),
    [anon_sym_protected] = ACTIONS(2793),
    [anon_sym_using] = ACTIONS(2793),
    [anon_sym_static_assert] = ACTIONS(2793),
    [anon_sym_precise] = ACTIONS(2793),
    [anon_sym_shared] = ACTIONS(2793),
    [anon_sym_groupshared] = ACTIONS(2793),
    [anon_sym_uniform] = ACTIONS(2793),
    [anon_sym_row_major] = ACTIONS(2793),
    [anon_sym_column_major] = ACTIONS(2793),
    [anon_sym_globallycoherent] = ACTIONS(2793),
    [anon_sym_centroid] = ACTIONS(2793),
    [anon_sym_noperspective] = ACTIONS(2793),
    [anon_sym_nointerpolation] = ACTIONS(2793),
    [anon_sym_sample] = ACTIONS(2793),
    [anon_sym_linear] = ACTIONS(2793),
    [anon_sym_snorm] = ACTIONS(2793),
    [anon_sym_unorm] = ACTIONS(2793),
    [anon_sym_point] = ACTIONS(2793),
    [anon_sym_line] = ACTIONS(2793),
    [anon_sym_triangleadj] = ACTIONS(2793),
    [anon_sym_lineadj] = ACTIONS(2793),
    [anon_sym_triangle] = ACTIONS(2793),
  },
  [2858] = {
    [sym_identifier] = ACTIONS(2400),
    [aux_sym_preproc_def_token1] = ACTIONS(2400),
    [aux_sym_preproc_if_token1] = ACTIONS(2400),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2400),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2400),
    [sym_preproc_directive] = ACTIONS(2400),
    [anon_sym_LPAREN2] = ACTIONS(2402),
    [anon_sym_TILDE] = ACTIONS(2402),
    [anon_sym_STAR] = ACTIONS(2402),
    [anon_sym_AMP_AMP] = ACTIONS(2402),
    [anon_sym_AMP] = ACTIONS(2400),
    [anon_sym___extension__] = ACTIONS(2400),
    [anon_sym_typedef] = ACTIONS(2400),
    [anon_sym_in] = ACTIONS(2400),
    [anon_sym_out] = ACTIONS(2400),
    [anon_sym_inout] = ACTIONS(2400),
    [anon_sym_extern] = ACTIONS(2400),
    [anon_sym___attribute__] = ACTIONS(2400),
    [anon_sym_COLON_COLON] = ACTIONS(2402),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2402),
    [anon_sym___declspec] = ACTIONS(2400),
    [anon_sym___based] = ACTIONS(2400),
    [anon_sym_RBRACE] = ACTIONS(2402),
    [anon_sym_signed] = ACTIONS(2400),
    [anon_sym_unsigned] = ACTIONS(2400),
    [anon_sym_long] = ACTIONS(2400),
    [anon_sym_short] = ACTIONS(2400),
    [anon_sym_LBRACK] = ACTIONS(2400),
    [anon_sym_static] = ACTIONS(2400),
    [anon_sym_register] = ACTIONS(2400),
    [anon_sym_inline] = ACTIONS(2400),
    [anon_sym___inline] = ACTIONS(2400),
    [anon_sym___inline__] = ACTIONS(2400),
    [anon_sym___forceinline] = ACTIONS(2400),
    [anon_sym_thread_local] = ACTIONS(2400),
    [anon_sym___thread] = ACTIONS(2400),
    [anon_sym_const] = ACTIONS(2400),
    [anon_sym_constexpr] = ACTIONS(2400),
    [anon_sym_volatile] = ACTIONS(2400),
    [anon_sym_restrict] = ACTIONS(2400),
    [anon_sym___restrict__] = ACTIONS(2400),
    [anon_sym__Atomic] = ACTIONS(2400),
    [anon_sym__Noreturn] = ACTIONS(2400),
    [anon_sym_noreturn] = ACTIONS(2400),
    [anon_sym_mutable] = ACTIONS(2400),
    [anon_sym_constinit] = ACTIONS(2400),
    [anon_sym_consteval] = ACTIONS(2400),
    [sym_primitive_type] = ACTIONS(2400),
    [anon_sym_enum] = ACTIONS(2400),
    [anon_sym_class] = ACTIONS(2400),
    [anon_sym_struct] = ACTIONS(2400),
    [anon_sym_union] = ACTIONS(2400),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2400),
    [anon_sym_decltype] = ACTIONS(2400),
    [anon_sym_virtual] = ACTIONS(2400),
    [anon_sym_alignas] = ACTIONS(2400),
    [anon_sym_explicit] = ACTIONS(2400),
    [anon_sym_typename] = ACTIONS(2400),
    [anon_sym_template] = ACTIONS(2400),
    [anon_sym_operator] = ACTIONS(2400),
    [anon_sym_friend] = ACTIONS(2400),
    [anon_sym_public] = ACTIONS(2400),
    [anon_sym_private] = ACTIONS(2400),
    [anon_sym_protected] = ACTIONS(2400),
    [anon_sym_using] = ACTIONS(2400),
    [anon_sym_static_assert] = ACTIONS(2400),
    [anon_sym_precise] = ACTIONS(2400),
    [anon_sym_shared] = ACTIONS(2400),
    [anon_sym_groupshared] = ACTIONS(2400),
    [anon_sym_uniform] = ACTIONS(2400),
    [anon_sym_row_major] = ACTIONS(2400),
    [anon_sym_column_major] = ACTIONS(2400),
    [anon_sym_globallycoherent] = ACTIONS(2400),
    [anon_sym_centroid] = ACTIONS(2400),
    [anon_sym_noperspective] = ACTIONS(2400),
    [anon_sym_nointerpolation] = ACTIONS(2400),
    [anon_sym_sample] = ACTIONS(2400),
    [anon_sym_linear] = ACTIONS(2400),
    [anon_sym_snorm] = ACTIONS(2400),
    [anon_sym_unorm] = ACTIONS(2400),
    [anon_sym_point] = ACTIONS(2400),
    [anon_sym_line] = ACTIONS(2400),
    [anon_sym_triangleadj] = ACTIONS(2400),
    [anon_sym_lineadj] = ACTIONS(2400),
    [anon_sym_triangle] = ACTIONS(2400),
  },
  [2859] = {
    [sym_identifier] = ACTIONS(2694),
    [aux_sym_preproc_def_token1] = ACTIONS(2694),
    [aux_sym_preproc_if_token1] = ACTIONS(2694),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2694),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2694),
    [sym_preproc_directive] = ACTIONS(2694),
    [anon_sym_LPAREN2] = ACTIONS(2696),
    [anon_sym_TILDE] = ACTIONS(2696),
    [anon_sym_STAR] = ACTIONS(2696),
    [anon_sym_AMP_AMP] = ACTIONS(2696),
    [anon_sym_AMP] = ACTIONS(2694),
    [anon_sym___extension__] = ACTIONS(2694),
    [anon_sym_typedef] = ACTIONS(2694),
    [anon_sym_in] = ACTIONS(2694),
    [anon_sym_out] = ACTIONS(2694),
    [anon_sym_inout] = ACTIONS(2694),
    [anon_sym_extern] = ACTIONS(2694),
    [anon_sym___attribute__] = ACTIONS(2694),
    [anon_sym_COLON_COLON] = ACTIONS(2696),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2696),
    [anon_sym___declspec] = ACTIONS(2694),
    [anon_sym___based] = ACTIONS(2694),
    [anon_sym_RBRACE] = ACTIONS(2696),
    [anon_sym_signed] = ACTIONS(2694),
    [anon_sym_unsigned] = ACTIONS(2694),
    [anon_sym_long] = ACTIONS(2694),
    [anon_sym_short] = ACTIONS(2694),
    [anon_sym_LBRACK] = ACTIONS(2694),
    [anon_sym_static] = ACTIONS(2694),
    [anon_sym_register] = ACTIONS(2694),
    [anon_sym_inline] = ACTIONS(2694),
    [anon_sym___inline] = ACTIONS(2694),
    [anon_sym___inline__] = ACTIONS(2694),
    [anon_sym___forceinline] = ACTIONS(2694),
    [anon_sym_thread_local] = ACTIONS(2694),
    [anon_sym___thread] = ACTIONS(2694),
    [anon_sym_const] = ACTIONS(2694),
    [anon_sym_constexpr] = ACTIONS(2694),
    [anon_sym_volatile] = ACTIONS(2694),
    [anon_sym_restrict] = ACTIONS(2694),
    [anon_sym___restrict__] = ACTIONS(2694),
    [anon_sym__Atomic] = ACTIONS(2694),
    [anon_sym__Noreturn] = ACTIONS(2694),
    [anon_sym_noreturn] = ACTIONS(2694),
    [anon_sym_mutable] = ACTIONS(2694),
    [anon_sym_constinit] = ACTIONS(2694),
    [anon_sym_consteval] = ACTIONS(2694),
    [sym_primitive_type] = ACTIONS(2694),
    [anon_sym_enum] = ACTIONS(2694),
    [anon_sym_class] = ACTIONS(2694),
    [anon_sym_struct] = ACTIONS(2694),
    [anon_sym_union] = ACTIONS(2694),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2694),
    [anon_sym_decltype] = ACTIONS(2694),
    [anon_sym_virtual] = ACTIONS(2694),
    [anon_sym_alignas] = ACTIONS(2694),
    [anon_sym_explicit] = ACTIONS(2694),
    [anon_sym_typename] = ACTIONS(2694),
    [anon_sym_template] = ACTIONS(2694),
    [anon_sym_operator] = ACTIONS(2694),
    [anon_sym_friend] = ACTIONS(2694),
    [anon_sym_public] = ACTIONS(2694),
    [anon_sym_private] = ACTIONS(2694),
    [anon_sym_protected] = ACTIONS(2694),
    [anon_sym_using] = ACTIONS(2694),
    [anon_sym_static_assert] = ACTIONS(2694),
    [anon_sym_precise] = ACTIONS(2694),
    [anon_sym_shared] = ACTIONS(2694),
    [anon_sym_groupshared] = ACTIONS(2694),
    [anon_sym_uniform] = ACTIONS(2694),
    [anon_sym_row_major] = ACTIONS(2694),
    [anon_sym_column_major] = ACTIONS(2694),
    [anon_sym_globallycoherent] = ACTIONS(2694),
    [anon_sym_centroid] = ACTIONS(2694),
    [anon_sym_noperspective] = ACTIONS(2694),
    [anon_sym_nointerpolation] = ACTIONS(2694),
    [anon_sym_sample] = ACTIONS(2694),
    [anon_sym_linear] = ACTIONS(2694),
    [anon_sym_snorm] = ACTIONS(2694),
    [anon_sym_unorm] = ACTIONS(2694),
    [anon_sym_point] = ACTIONS(2694),
    [anon_sym_line] = ACTIONS(2694),
    [anon_sym_triangleadj] = ACTIONS(2694),
    [anon_sym_lineadj] = ACTIONS(2694),
    [anon_sym_triangle] = ACTIONS(2694),
  },
  [2860] = {
    [sym_identifier] = ACTIONS(2681),
    [aux_sym_preproc_def_token1] = ACTIONS(2681),
    [aux_sym_preproc_if_token1] = ACTIONS(2681),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2681),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2681),
    [sym_preproc_directive] = ACTIONS(2681),
    [anon_sym_LPAREN2] = ACTIONS(2683),
    [anon_sym_TILDE] = ACTIONS(2683),
    [anon_sym_STAR] = ACTIONS(2683),
    [anon_sym_AMP_AMP] = ACTIONS(2683),
    [anon_sym_AMP] = ACTIONS(2681),
    [anon_sym___extension__] = ACTIONS(2681),
    [anon_sym_typedef] = ACTIONS(2681),
    [anon_sym_in] = ACTIONS(2681),
    [anon_sym_out] = ACTIONS(2681),
    [anon_sym_inout] = ACTIONS(2681),
    [anon_sym_extern] = ACTIONS(2681),
    [anon_sym___attribute__] = ACTIONS(2681),
    [anon_sym_COLON_COLON] = ACTIONS(2683),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2683),
    [anon_sym___declspec] = ACTIONS(2681),
    [anon_sym___based] = ACTIONS(2681),
    [anon_sym_RBRACE] = ACTIONS(2683),
    [anon_sym_signed] = ACTIONS(2681),
    [anon_sym_unsigned] = ACTIONS(2681),
    [anon_sym_long] = ACTIONS(2681),
    [anon_sym_short] = ACTIONS(2681),
    [anon_sym_LBRACK] = ACTIONS(2681),
    [anon_sym_static] = ACTIONS(2681),
    [anon_sym_register] = ACTIONS(2681),
    [anon_sym_inline] = ACTIONS(2681),
    [anon_sym___inline] = ACTIONS(2681),
    [anon_sym___inline__] = ACTIONS(2681),
    [anon_sym___forceinline] = ACTIONS(2681),
    [anon_sym_thread_local] = ACTIONS(2681),
    [anon_sym___thread] = ACTIONS(2681),
    [anon_sym_const] = ACTIONS(2681),
    [anon_sym_constexpr] = ACTIONS(2681),
    [anon_sym_volatile] = ACTIONS(2681),
    [anon_sym_restrict] = ACTIONS(2681),
    [anon_sym___restrict__] = ACTIONS(2681),
    [anon_sym__Atomic] = ACTIONS(2681),
    [anon_sym__Noreturn] = ACTIONS(2681),
    [anon_sym_noreturn] = ACTIONS(2681),
    [anon_sym_mutable] = ACTIONS(2681),
    [anon_sym_constinit] = ACTIONS(2681),
    [anon_sym_consteval] = ACTIONS(2681),
    [sym_primitive_type] = ACTIONS(2681),
    [anon_sym_enum] = ACTIONS(2681),
    [anon_sym_class] = ACTIONS(2681),
    [anon_sym_struct] = ACTIONS(2681),
    [anon_sym_union] = ACTIONS(2681),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2681),
    [anon_sym_decltype] = ACTIONS(2681),
    [anon_sym_virtual] = ACTIONS(2681),
    [anon_sym_alignas] = ACTIONS(2681),
    [anon_sym_explicit] = ACTIONS(2681),
    [anon_sym_typename] = ACTIONS(2681),
    [anon_sym_template] = ACTIONS(2681),
    [anon_sym_operator] = ACTIONS(2681),
    [anon_sym_friend] = ACTIONS(2681),
    [anon_sym_public] = ACTIONS(2681),
    [anon_sym_private] = ACTIONS(2681),
    [anon_sym_protected] = ACTIONS(2681),
    [anon_sym_using] = ACTIONS(2681),
    [anon_sym_static_assert] = ACTIONS(2681),
    [anon_sym_precise] = ACTIONS(2681),
    [anon_sym_shared] = ACTIONS(2681),
    [anon_sym_groupshared] = ACTIONS(2681),
    [anon_sym_uniform] = ACTIONS(2681),
    [anon_sym_row_major] = ACTIONS(2681),
    [anon_sym_column_major] = ACTIONS(2681),
    [anon_sym_globallycoherent] = ACTIONS(2681),
    [anon_sym_centroid] = ACTIONS(2681),
    [anon_sym_noperspective] = ACTIONS(2681),
    [anon_sym_nointerpolation] = ACTIONS(2681),
    [anon_sym_sample] = ACTIONS(2681),
    [anon_sym_linear] = ACTIONS(2681),
    [anon_sym_snorm] = ACTIONS(2681),
    [anon_sym_unorm] = ACTIONS(2681),
    [anon_sym_point] = ACTIONS(2681),
    [anon_sym_line] = ACTIONS(2681),
    [anon_sym_triangleadj] = ACTIONS(2681),
    [anon_sym_lineadj] = ACTIONS(2681),
    [anon_sym_triangle] = ACTIONS(2681),
  },
  [2861] = {
    [sym_identifier] = ACTIONS(2717),
    [aux_sym_preproc_def_token1] = ACTIONS(2717),
    [aux_sym_preproc_if_token1] = ACTIONS(2717),
    [aux_sym_preproc_if_token2] = ACTIONS(2717),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2717),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2717),
    [sym_preproc_directive] = ACTIONS(2717),
    [anon_sym_LPAREN2] = ACTIONS(2719),
    [anon_sym_TILDE] = ACTIONS(2719),
    [anon_sym_STAR] = ACTIONS(2719),
    [anon_sym_AMP_AMP] = ACTIONS(2719),
    [anon_sym_AMP] = ACTIONS(2717),
    [anon_sym___extension__] = ACTIONS(2717),
    [anon_sym_typedef] = ACTIONS(2717),
    [anon_sym_in] = ACTIONS(2717),
    [anon_sym_out] = ACTIONS(2717),
    [anon_sym_inout] = ACTIONS(2717),
    [anon_sym_extern] = ACTIONS(2717),
    [anon_sym___attribute__] = ACTIONS(2717),
    [anon_sym_COLON_COLON] = ACTIONS(2719),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2719),
    [anon_sym___declspec] = ACTIONS(2717),
    [anon_sym___based] = ACTIONS(2717),
    [anon_sym_signed] = ACTIONS(2717),
    [anon_sym_unsigned] = ACTIONS(2717),
    [anon_sym_long] = ACTIONS(2717),
    [anon_sym_short] = ACTIONS(2717),
    [anon_sym_LBRACK] = ACTIONS(2717),
    [anon_sym_static] = ACTIONS(2717),
    [anon_sym_register] = ACTIONS(2717),
    [anon_sym_inline] = ACTIONS(2717),
    [anon_sym___inline] = ACTIONS(2717),
    [anon_sym___inline__] = ACTIONS(2717),
    [anon_sym___forceinline] = ACTIONS(2717),
    [anon_sym_thread_local] = ACTIONS(2717),
    [anon_sym___thread] = ACTIONS(2717),
    [anon_sym_const] = ACTIONS(2717),
    [anon_sym_constexpr] = ACTIONS(2717),
    [anon_sym_volatile] = ACTIONS(2717),
    [anon_sym_restrict] = ACTIONS(2717),
    [anon_sym___restrict__] = ACTIONS(2717),
    [anon_sym__Atomic] = ACTIONS(2717),
    [anon_sym__Noreturn] = ACTIONS(2717),
    [anon_sym_noreturn] = ACTIONS(2717),
    [anon_sym_mutable] = ACTIONS(2717),
    [anon_sym_constinit] = ACTIONS(2717),
    [anon_sym_consteval] = ACTIONS(2717),
    [sym_primitive_type] = ACTIONS(2717),
    [anon_sym_enum] = ACTIONS(2717),
    [anon_sym_class] = ACTIONS(2717),
    [anon_sym_struct] = ACTIONS(2717),
    [anon_sym_union] = ACTIONS(2717),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2717),
    [anon_sym_decltype] = ACTIONS(2717),
    [anon_sym_virtual] = ACTIONS(2717),
    [anon_sym_alignas] = ACTIONS(2717),
    [anon_sym_explicit] = ACTIONS(2717),
    [anon_sym_typename] = ACTIONS(2717),
    [anon_sym_template] = ACTIONS(2717),
    [anon_sym_operator] = ACTIONS(2717),
    [anon_sym_friend] = ACTIONS(2717),
    [anon_sym_public] = ACTIONS(2717),
    [anon_sym_private] = ACTIONS(2717),
    [anon_sym_protected] = ACTIONS(2717),
    [anon_sym_using] = ACTIONS(2717),
    [anon_sym_static_assert] = ACTIONS(2717),
    [anon_sym_precise] = ACTIONS(2717),
    [anon_sym_shared] = ACTIONS(2717),
    [anon_sym_groupshared] = ACTIONS(2717),
    [anon_sym_uniform] = ACTIONS(2717),
    [anon_sym_row_major] = ACTIONS(2717),
    [anon_sym_column_major] = ACTIONS(2717),
    [anon_sym_globallycoherent] = ACTIONS(2717),
    [anon_sym_centroid] = ACTIONS(2717),
    [anon_sym_noperspective] = ACTIONS(2717),
    [anon_sym_nointerpolation] = ACTIONS(2717),
    [anon_sym_sample] = ACTIONS(2717),
    [anon_sym_linear] = ACTIONS(2717),
    [anon_sym_snorm] = ACTIONS(2717),
    [anon_sym_unorm] = ACTIONS(2717),
    [anon_sym_point] = ACTIONS(2717),
    [anon_sym_line] = ACTIONS(2717),
    [anon_sym_triangleadj] = ACTIONS(2717),
    [anon_sym_lineadj] = ACTIONS(2717),
    [anon_sym_triangle] = ACTIONS(2717),
  },
  [2862] = {
    [sym_identifier] = ACTIONS(2516),
    [aux_sym_preproc_def_token1] = ACTIONS(2516),
    [aux_sym_preproc_if_token1] = ACTIONS(2516),
    [aux_sym_preproc_if_token2] = ACTIONS(2516),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2516),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2516),
    [sym_preproc_directive] = ACTIONS(2516),
    [anon_sym_LPAREN2] = ACTIONS(2518),
    [anon_sym_TILDE] = ACTIONS(2518),
    [anon_sym_STAR] = ACTIONS(2518),
    [anon_sym_AMP_AMP] = ACTIONS(2518),
    [anon_sym_AMP] = ACTIONS(2516),
    [anon_sym___extension__] = ACTIONS(2516),
    [anon_sym_typedef] = ACTIONS(2516),
    [anon_sym_in] = ACTIONS(2516),
    [anon_sym_out] = ACTIONS(2516),
    [anon_sym_inout] = ACTIONS(2516),
    [anon_sym_extern] = ACTIONS(2516),
    [anon_sym___attribute__] = ACTIONS(2516),
    [anon_sym_COLON_COLON] = ACTIONS(2518),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2518),
    [anon_sym___declspec] = ACTIONS(2516),
    [anon_sym___based] = ACTIONS(2516),
    [anon_sym_signed] = ACTIONS(2516),
    [anon_sym_unsigned] = ACTIONS(2516),
    [anon_sym_long] = ACTIONS(2516),
    [anon_sym_short] = ACTIONS(2516),
    [anon_sym_LBRACK] = ACTIONS(2516),
    [anon_sym_static] = ACTIONS(2516),
    [anon_sym_register] = ACTIONS(2516),
    [anon_sym_inline] = ACTIONS(2516),
    [anon_sym___inline] = ACTIONS(2516),
    [anon_sym___inline__] = ACTIONS(2516),
    [anon_sym___forceinline] = ACTIONS(2516),
    [anon_sym_thread_local] = ACTIONS(2516),
    [anon_sym___thread] = ACTIONS(2516),
    [anon_sym_const] = ACTIONS(2516),
    [anon_sym_constexpr] = ACTIONS(2516),
    [anon_sym_volatile] = ACTIONS(2516),
    [anon_sym_restrict] = ACTIONS(2516),
    [anon_sym___restrict__] = ACTIONS(2516),
    [anon_sym__Atomic] = ACTIONS(2516),
    [anon_sym__Noreturn] = ACTIONS(2516),
    [anon_sym_noreturn] = ACTIONS(2516),
    [anon_sym_mutable] = ACTIONS(2516),
    [anon_sym_constinit] = ACTIONS(2516),
    [anon_sym_consteval] = ACTIONS(2516),
    [sym_primitive_type] = ACTIONS(2516),
    [anon_sym_enum] = ACTIONS(2516),
    [anon_sym_class] = ACTIONS(2516),
    [anon_sym_struct] = ACTIONS(2516),
    [anon_sym_union] = ACTIONS(2516),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2516),
    [anon_sym_decltype] = ACTIONS(2516),
    [anon_sym_virtual] = ACTIONS(2516),
    [anon_sym_alignas] = ACTIONS(2516),
    [anon_sym_explicit] = ACTIONS(2516),
    [anon_sym_typename] = ACTIONS(2516),
    [anon_sym_template] = ACTIONS(2516),
    [anon_sym_operator] = ACTIONS(2516),
    [anon_sym_friend] = ACTIONS(2516),
    [anon_sym_public] = ACTIONS(2516),
    [anon_sym_private] = ACTIONS(2516),
    [anon_sym_protected] = ACTIONS(2516),
    [anon_sym_using] = ACTIONS(2516),
    [anon_sym_static_assert] = ACTIONS(2516),
    [anon_sym_precise] = ACTIONS(2516),
    [anon_sym_shared] = ACTIONS(2516),
    [anon_sym_groupshared] = ACTIONS(2516),
    [anon_sym_uniform] = ACTIONS(2516),
    [anon_sym_row_major] = ACTIONS(2516),
    [anon_sym_column_major] = ACTIONS(2516),
    [anon_sym_globallycoherent] = ACTIONS(2516),
    [anon_sym_centroid] = ACTIONS(2516),
    [anon_sym_noperspective] = ACTIONS(2516),
    [anon_sym_nointerpolation] = ACTIONS(2516),
    [anon_sym_sample] = ACTIONS(2516),
    [anon_sym_linear] = ACTIONS(2516),
    [anon_sym_snorm] = ACTIONS(2516),
    [anon_sym_unorm] = ACTIONS(2516),
    [anon_sym_point] = ACTIONS(2516),
    [anon_sym_line] = ACTIONS(2516),
    [anon_sym_triangleadj] = ACTIONS(2516),
    [anon_sym_lineadj] = ACTIONS(2516),
    [anon_sym_triangle] = ACTIONS(2516),
  },
  [2863] = {
    [sym_identifier] = ACTIONS(2621),
    [aux_sym_preproc_def_token1] = ACTIONS(2621),
    [aux_sym_preproc_if_token1] = ACTIONS(2621),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2621),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2621),
    [sym_preproc_directive] = ACTIONS(2621),
    [anon_sym_LPAREN2] = ACTIONS(2623),
    [anon_sym_TILDE] = ACTIONS(2623),
    [anon_sym_STAR] = ACTIONS(2623),
    [anon_sym_AMP_AMP] = ACTIONS(2623),
    [anon_sym_AMP] = ACTIONS(2621),
    [anon_sym___extension__] = ACTIONS(2621),
    [anon_sym_typedef] = ACTIONS(2621),
    [anon_sym_in] = ACTIONS(2621),
    [anon_sym_out] = ACTIONS(2621),
    [anon_sym_inout] = ACTIONS(2621),
    [anon_sym_extern] = ACTIONS(2621),
    [anon_sym___attribute__] = ACTIONS(2621),
    [anon_sym_COLON_COLON] = ACTIONS(2623),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2623),
    [anon_sym___declspec] = ACTIONS(2621),
    [anon_sym___based] = ACTIONS(2621),
    [anon_sym_RBRACE] = ACTIONS(2623),
    [anon_sym_signed] = ACTIONS(2621),
    [anon_sym_unsigned] = ACTIONS(2621),
    [anon_sym_long] = ACTIONS(2621),
    [anon_sym_short] = ACTIONS(2621),
    [anon_sym_LBRACK] = ACTIONS(2621),
    [anon_sym_static] = ACTIONS(2621),
    [anon_sym_register] = ACTIONS(2621),
    [anon_sym_inline] = ACTIONS(2621),
    [anon_sym___inline] = ACTIONS(2621),
    [anon_sym___inline__] = ACTIONS(2621),
    [anon_sym___forceinline] = ACTIONS(2621),
    [anon_sym_thread_local] = ACTIONS(2621),
    [anon_sym___thread] = ACTIONS(2621),
    [anon_sym_const] = ACTIONS(2621),
    [anon_sym_constexpr] = ACTIONS(2621),
    [anon_sym_volatile] = ACTIONS(2621),
    [anon_sym_restrict] = ACTIONS(2621),
    [anon_sym___restrict__] = ACTIONS(2621),
    [anon_sym__Atomic] = ACTIONS(2621),
    [anon_sym__Noreturn] = ACTIONS(2621),
    [anon_sym_noreturn] = ACTIONS(2621),
    [anon_sym_mutable] = ACTIONS(2621),
    [anon_sym_constinit] = ACTIONS(2621),
    [anon_sym_consteval] = ACTIONS(2621),
    [sym_primitive_type] = ACTIONS(2621),
    [anon_sym_enum] = ACTIONS(2621),
    [anon_sym_class] = ACTIONS(2621),
    [anon_sym_struct] = ACTIONS(2621),
    [anon_sym_union] = ACTIONS(2621),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2621),
    [anon_sym_decltype] = ACTIONS(2621),
    [anon_sym_virtual] = ACTIONS(2621),
    [anon_sym_alignas] = ACTIONS(2621),
    [anon_sym_explicit] = ACTIONS(2621),
    [anon_sym_typename] = ACTIONS(2621),
    [anon_sym_template] = ACTIONS(2621),
    [anon_sym_operator] = ACTIONS(2621),
    [anon_sym_friend] = ACTIONS(2621),
    [anon_sym_public] = ACTIONS(2621),
    [anon_sym_private] = ACTIONS(2621),
    [anon_sym_protected] = ACTIONS(2621),
    [anon_sym_using] = ACTIONS(2621),
    [anon_sym_static_assert] = ACTIONS(2621),
    [anon_sym_precise] = ACTIONS(2621),
    [anon_sym_shared] = ACTIONS(2621),
    [anon_sym_groupshared] = ACTIONS(2621),
    [anon_sym_uniform] = ACTIONS(2621),
    [anon_sym_row_major] = ACTIONS(2621),
    [anon_sym_column_major] = ACTIONS(2621),
    [anon_sym_globallycoherent] = ACTIONS(2621),
    [anon_sym_centroid] = ACTIONS(2621),
    [anon_sym_noperspective] = ACTIONS(2621),
    [anon_sym_nointerpolation] = ACTIONS(2621),
    [anon_sym_sample] = ACTIONS(2621),
    [anon_sym_linear] = ACTIONS(2621),
    [anon_sym_snorm] = ACTIONS(2621),
    [anon_sym_unorm] = ACTIONS(2621),
    [anon_sym_point] = ACTIONS(2621),
    [anon_sym_line] = ACTIONS(2621),
    [anon_sym_triangleadj] = ACTIONS(2621),
    [anon_sym_lineadj] = ACTIONS(2621),
    [anon_sym_triangle] = ACTIONS(2621),
  },
  [2864] = {
    [sym_identifier] = ACTIONS(2629),
    [aux_sym_preproc_def_token1] = ACTIONS(2629),
    [aux_sym_preproc_if_token1] = ACTIONS(2629),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2629),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2629),
    [sym_preproc_directive] = ACTIONS(2629),
    [anon_sym_LPAREN2] = ACTIONS(2631),
    [anon_sym_TILDE] = ACTIONS(2631),
    [anon_sym_STAR] = ACTIONS(2631),
    [anon_sym_AMP_AMP] = ACTIONS(2631),
    [anon_sym_AMP] = ACTIONS(2629),
    [anon_sym___extension__] = ACTIONS(2629),
    [anon_sym_typedef] = ACTIONS(2629),
    [anon_sym_in] = ACTIONS(2629),
    [anon_sym_out] = ACTIONS(2629),
    [anon_sym_inout] = ACTIONS(2629),
    [anon_sym_extern] = ACTIONS(2629),
    [anon_sym___attribute__] = ACTIONS(2629),
    [anon_sym_COLON_COLON] = ACTIONS(2631),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2631),
    [anon_sym___declspec] = ACTIONS(2629),
    [anon_sym___based] = ACTIONS(2629),
    [anon_sym_RBRACE] = ACTIONS(2631),
    [anon_sym_signed] = ACTIONS(2629),
    [anon_sym_unsigned] = ACTIONS(2629),
    [anon_sym_long] = ACTIONS(2629),
    [anon_sym_short] = ACTIONS(2629),
    [anon_sym_LBRACK] = ACTIONS(2629),
    [anon_sym_static] = ACTIONS(2629),
    [anon_sym_register] = ACTIONS(2629),
    [anon_sym_inline] = ACTIONS(2629),
    [anon_sym___inline] = ACTIONS(2629),
    [anon_sym___inline__] = ACTIONS(2629),
    [anon_sym___forceinline] = ACTIONS(2629),
    [anon_sym_thread_local] = ACTIONS(2629),
    [anon_sym___thread] = ACTIONS(2629),
    [anon_sym_const] = ACTIONS(2629),
    [anon_sym_constexpr] = ACTIONS(2629),
    [anon_sym_volatile] = ACTIONS(2629),
    [anon_sym_restrict] = ACTIONS(2629),
    [anon_sym___restrict__] = ACTIONS(2629),
    [anon_sym__Atomic] = ACTIONS(2629),
    [anon_sym__Noreturn] = ACTIONS(2629),
    [anon_sym_noreturn] = ACTIONS(2629),
    [anon_sym_mutable] = ACTIONS(2629),
    [anon_sym_constinit] = ACTIONS(2629),
    [anon_sym_consteval] = ACTIONS(2629),
    [sym_primitive_type] = ACTIONS(2629),
    [anon_sym_enum] = ACTIONS(2629),
    [anon_sym_class] = ACTIONS(2629),
    [anon_sym_struct] = ACTIONS(2629),
    [anon_sym_union] = ACTIONS(2629),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2629),
    [anon_sym_decltype] = ACTIONS(2629),
    [anon_sym_virtual] = ACTIONS(2629),
    [anon_sym_alignas] = ACTIONS(2629),
    [anon_sym_explicit] = ACTIONS(2629),
    [anon_sym_typename] = ACTIONS(2629),
    [anon_sym_template] = ACTIONS(2629),
    [anon_sym_operator] = ACTIONS(2629),
    [anon_sym_friend] = ACTIONS(2629),
    [anon_sym_public] = ACTIONS(2629),
    [anon_sym_private] = ACTIONS(2629),
    [anon_sym_protected] = ACTIONS(2629),
    [anon_sym_using] = ACTIONS(2629),
    [anon_sym_static_assert] = ACTIONS(2629),
    [anon_sym_precise] = ACTIONS(2629),
    [anon_sym_shared] = ACTIONS(2629),
    [anon_sym_groupshared] = ACTIONS(2629),
    [anon_sym_uniform] = ACTIONS(2629),
    [anon_sym_row_major] = ACTIONS(2629),
    [anon_sym_column_major] = ACTIONS(2629),
    [anon_sym_globallycoherent] = ACTIONS(2629),
    [anon_sym_centroid] = ACTIONS(2629),
    [anon_sym_noperspective] = ACTIONS(2629),
    [anon_sym_nointerpolation] = ACTIONS(2629),
    [anon_sym_sample] = ACTIONS(2629),
    [anon_sym_linear] = ACTIONS(2629),
    [anon_sym_snorm] = ACTIONS(2629),
    [anon_sym_unorm] = ACTIONS(2629),
    [anon_sym_point] = ACTIONS(2629),
    [anon_sym_line] = ACTIONS(2629),
    [anon_sym_triangleadj] = ACTIONS(2629),
    [anon_sym_lineadj] = ACTIONS(2629),
    [anon_sym_triangle] = ACTIONS(2629),
  },
  [2865] = {
    [sym_identifier] = ACTIONS(2520),
    [aux_sym_preproc_def_token1] = ACTIONS(2520),
    [aux_sym_preproc_if_token1] = ACTIONS(2520),
    [aux_sym_preproc_if_token2] = ACTIONS(2520),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2520),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2520),
    [sym_preproc_directive] = ACTIONS(2520),
    [anon_sym_LPAREN2] = ACTIONS(2522),
    [anon_sym_TILDE] = ACTIONS(2522),
    [anon_sym_STAR] = ACTIONS(2522),
    [anon_sym_AMP_AMP] = ACTIONS(2522),
    [anon_sym_AMP] = ACTIONS(2520),
    [anon_sym___extension__] = ACTIONS(2520),
    [anon_sym_typedef] = ACTIONS(2520),
    [anon_sym_in] = ACTIONS(2520),
    [anon_sym_out] = ACTIONS(2520),
    [anon_sym_inout] = ACTIONS(2520),
    [anon_sym_extern] = ACTIONS(2520),
    [anon_sym___attribute__] = ACTIONS(2520),
    [anon_sym_COLON_COLON] = ACTIONS(2522),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2522),
    [anon_sym___declspec] = ACTIONS(2520),
    [anon_sym___based] = ACTIONS(2520),
    [anon_sym_signed] = ACTIONS(2520),
    [anon_sym_unsigned] = ACTIONS(2520),
    [anon_sym_long] = ACTIONS(2520),
    [anon_sym_short] = ACTIONS(2520),
    [anon_sym_LBRACK] = ACTIONS(2520),
    [anon_sym_static] = ACTIONS(2520),
    [anon_sym_register] = ACTIONS(2520),
    [anon_sym_inline] = ACTIONS(2520),
    [anon_sym___inline] = ACTIONS(2520),
    [anon_sym___inline__] = ACTIONS(2520),
    [anon_sym___forceinline] = ACTIONS(2520),
    [anon_sym_thread_local] = ACTIONS(2520),
    [anon_sym___thread] = ACTIONS(2520),
    [anon_sym_const] = ACTIONS(2520),
    [anon_sym_constexpr] = ACTIONS(2520),
    [anon_sym_volatile] = ACTIONS(2520),
    [anon_sym_restrict] = ACTIONS(2520),
    [anon_sym___restrict__] = ACTIONS(2520),
    [anon_sym__Atomic] = ACTIONS(2520),
    [anon_sym__Noreturn] = ACTIONS(2520),
    [anon_sym_noreturn] = ACTIONS(2520),
    [anon_sym_mutable] = ACTIONS(2520),
    [anon_sym_constinit] = ACTIONS(2520),
    [anon_sym_consteval] = ACTIONS(2520),
    [sym_primitive_type] = ACTIONS(2520),
    [anon_sym_enum] = ACTIONS(2520),
    [anon_sym_class] = ACTIONS(2520),
    [anon_sym_struct] = ACTIONS(2520),
    [anon_sym_union] = ACTIONS(2520),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2520),
    [anon_sym_decltype] = ACTIONS(2520),
    [anon_sym_virtual] = ACTIONS(2520),
    [anon_sym_alignas] = ACTIONS(2520),
    [anon_sym_explicit] = ACTIONS(2520),
    [anon_sym_typename] = ACTIONS(2520),
    [anon_sym_template] = ACTIONS(2520),
    [anon_sym_operator] = ACTIONS(2520),
    [anon_sym_friend] = ACTIONS(2520),
    [anon_sym_public] = ACTIONS(2520),
    [anon_sym_private] = ACTIONS(2520),
    [anon_sym_protected] = ACTIONS(2520),
    [anon_sym_using] = ACTIONS(2520),
    [anon_sym_static_assert] = ACTIONS(2520),
    [anon_sym_precise] = ACTIONS(2520),
    [anon_sym_shared] = ACTIONS(2520),
    [anon_sym_groupshared] = ACTIONS(2520),
    [anon_sym_uniform] = ACTIONS(2520),
    [anon_sym_row_major] = ACTIONS(2520),
    [anon_sym_column_major] = ACTIONS(2520),
    [anon_sym_globallycoherent] = ACTIONS(2520),
    [anon_sym_centroid] = ACTIONS(2520),
    [anon_sym_noperspective] = ACTIONS(2520),
    [anon_sym_nointerpolation] = ACTIONS(2520),
    [anon_sym_sample] = ACTIONS(2520),
    [anon_sym_linear] = ACTIONS(2520),
    [anon_sym_snorm] = ACTIONS(2520),
    [anon_sym_unorm] = ACTIONS(2520),
    [anon_sym_point] = ACTIONS(2520),
    [anon_sym_line] = ACTIONS(2520),
    [anon_sym_triangleadj] = ACTIONS(2520),
    [anon_sym_lineadj] = ACTIONS(2520),
    [anon_sym_triangle] = ACTIONS(2520),
  },
  [2866] = {
    [sym_identifier] = ACTIONS(2520),
    [aux_sym_preproc_def_token1] = ACTIONS(2520),
    [aux_sym_preproc_if_token1] = ACTIONS(2520),
    [aux_sym_preproc_if_token2] = ACTIONS(2520),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2520),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2520),
    [sym_preproc_directive] = ACTIONS(2520),
    [anon_sym_LPAREN2] = ACTIONS(2522),
    [anon_sym_TILDE] = ACTIONS(2522),
    [anon_sym_STAR] = ACTIONS(2522),
    [anon_sym_AMP_AMP] = ACTIONS(2522),
    [anon_sym_AMP] = ACTIONS(2520),
    [anon_sym___extension__] = ACTIONS(2520),
    [anon_sym_typedef] = ACTIONS(2520),
    [anon_sym_in] = ACTIONS(2520),
    [anon_sym_out] = ACTIONS(2520),
    [anon_sym_inout] = ACTIONS(2520),
    [anon_sym_extern] = ACTIONS(2520),
    [anon_sym___attribute__] = ACTIONS(2520),
    [anon_sym_COLON_COLON] = ACTIONS(2522),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2522),
    [anon_sym___declspec] = ACTIONS(2520),
    [anon_sym___based] = ACTIONS(2520),
    [anon_sym_signed] = ACTIONS(2520),
    [anon_sym_unsigned] = ACTIONS(2520),
    [anon_sym_long] = ACTIONS(2520),
    [anon_sym_short] = ACTIONS(2520),
    [anon_sym_LBRACK] = ACTIONS(2520),
    [anon_sym_static] = ACTIONS(2520),
    [anon_sym_register] = ACTIONS(2520),
    [anon_sym_inline] = ACTIONS(2520),
    [anon_sym___inline] = ACTIONS(2520),
    [anon_sym___inline__] = ACTIONS(2520),
    [anon_sym___forceinline] = ACTIONS(2520),
    [anon_sym_thread_local] = ACTIONS(2520),
    [anon_sym___thread] = ACTIONS(2520),
    [anon_sym_const] = ACTIONS(2520),
    [anon_sym_constexpr] = ACTIONS(2520),
    [anon_sym_volatile] = ACTIONS(2520),
    [anon_sym_restrict] = ACTIONS(2520),
    [anon_sym___restrict__] = ACTIONS(2520),
    [anon_sym__Atomic] = ACTIONS(2520),
    [anon_sym__Noreturn] = ACTIONS(2520),
    [anon_sym_noreturn] = ACTIONS(2520),
    [anon_sym_mutable] = ACTIONS(2520),
    [anon_sym_constinit] = ACTIONS(2520),
    [anon_sym_consteval] = ACTIONS(2520),
    [sym_primitive_type] = ACTIONS(2520),
    [anon_sym_enum] = ACTIONS(2520),
    [anon_sym_class] = ACTIONS(2520),
    [anon_sym_struct] = ACTIONS(2520),
    [anon_sym_union] = ACTIONS(2520),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2520),
    [anon_sym_decltype] = ACTIONS(2520),
    [anon_sym_virtual] = ACTIONS(2520),
    [anon_sym_alignas] = ACTIONS(2520),
    [anon_sym_explicit] = ACTIONS(2520),
    [anon_sym_typename] = ACTIONS(2520),
    [anon_sym_template] = ACTIONS(2520),
    [anon_sym_operator] = ACTIONS(2520),
    [anon_sym_friend] = ACTIONS(2520),
    [anon_sym_public] = ACTIONS(2520),
    [anon_sym_private] = ACTIONS(2520),
    [anon_sym_protected] = ACTIONS(2520),
    [anon_sym_using] = ACTIONS(2520),
    [anon_sym_static_assert] = ACTIONS(2520),
    [anon_sym_precise] = ACTIONS(2520),
    [anon_sym_shared] = ACTIONS(2520),
    [anon_sym_groupshared] = ACTIONS(2520),
    [anon_sym_uniform] = ACTIONS(2520),
    [anon_sym_row_major] = ACTIONS(2520),
    [anon_sym_column_major] = ACTIONS(2520),
    [anon_sym_globallycoherent] = ACTIONS(2520),
    [anon_sym_centroid] = ACTIONS(2520),
    [anon_sym_noperspective] = ACTIONS(2520),
    [anon_sym_nointerpolation] = ACTIONS(2520),
    [anon_sym_sample] = ACTIONS(2520),
    [anon_sym_linear] = ACTIONS(2520),
    [anon_sym_snorm] = ACTIONS(2520),
    [anon_sym_unorm] = ACTIONS(2520),
    [anon_sym_point] = ACTIONS(2520),
    [anon_sym_line] = ACTIONS(2520),
    [anon_sym_triangleadj] = ACTIONS(2520),
    [anon_sym_lineadj] = ACTIONS(2520),
    [anon_sym_triangle] = ACTIONS(2520),
  },
  [2867] = {
    [sym_identifier] = ACTIONS(2600),
    [aux_sym_preproc_def_token1] = ACTIONS(2600),
    [aux_sym_preproc_if_token1] = ACTIONS(2600),
    [aux_sym_preproc_if_token2] = ACTIONS(2600),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2600),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2600),
    [sym_preproc_directive] = ACTIONS(2600),
    [anon_sym_LPAREN2] = ACTIONS(2602),
    [anon_sym_TILDE] = ACTIONS(2602),
    [anon_sym_STAR] = ACTIONS(2602),
    [anon_sym_AMP_AMP] = ACTIONS(2602),
    [anon_sym_AMP] = ACTIONS(2600),
    [anon_sym___extension__] = ACTIONS(2600),
    [anon_sym_typedef] = ACTIONS(2600),
    [anon_sym_in] = ACTIONS(2600),
    [anon_sym_out] = ACTIONS(2600),
    [anon_sym_inout] = ACTIONS(2600),
    [anon_sym_extern] = ACTIONS(2600),
    [anon_sym___attribute__] = ACTIONS(2600),
    [anon_sym_COLON_COLON] = ACTIONS(2602),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2602),
    [anon_sym___declspec] = ACTIONS(2600),
    [anon_sym___based] = ACTIONS(2600),
    [anon_sym_signed] = ACTIONS(2600),
    [anon_sym_unsigned] = ACTIONS(2600),
    [anon_sym_long] = ACTIONS(2600),
    [anon_sym_short] = ACTIONS(2600),
    [anon_sym_LBRACK] = ACTIONS(2600),
    [anon_sym_static] = ACTIONS(2600),
    [anon_sym_register] = ACTIONS(2600),
    [anon_sym_inline] = ACTIONS(2600),
    [anon_sym___inline] = ACTIONS(2600),
    [anon_sym___inline__] = ACTIONS(2600),
    [anon_sym___forceinline] = ACTIONS(2600),
    [anon_sym_thread_local] = ACTIONS(2600),
    [anon_sym___thread] = ACTIONS(2600),
    [anon_sym_const] = ACTIONS(2600),
    [anon_sym_constexpr] = ACTIONS(2600),
    [anon_sym_volatile] = ACTIONS(2600),
    [anon_sym_restrict] = ACTIONS(2600),
    [anon_sym___restrict__] = ACTIONS(2600),
    [anon_sym__Atomic] = ACTIONS(2600),
    [anon_sym__Noreturn] = ACTIONS(2600),
    [anon_sym_noreturn] = ACTIONS(2600),
    [anon_sym_mutable] = ACTIONS(2600),
    [anon_sym_constinit] = ACTIONS(2600),
    [anon_sym_consteval] = ACTIONS(2600),
    [sym_primitive_type] = ACTIONS(2600),
    [anon_sym_enum] = ACTIONS(2600),
    [anon_sym_class] = ACTIONS(2600),
    [anon_sym_struct] = ACTIONS(2600),
    [anon_sym_union] = ACTIONS(2600),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2600),
    [anon_sym_decltype] = ACTIONS(2600),
    [anon_sym_virtual] = ACTIONS(2600),
    [anon_sym_alignas] = ACTIONS(2600),
    [anon_sym_explicit] = ACTIONS(2600),
    [anon_sym_typename] = ACTIONS(2600),
    [anon_sym_template] = ACTIONS(2600),
    [anon_sym_operator] = ACTIONS(2600),
    [anon_sym_friend] = ACTIONS(2600),
    [anon_sym_public] = ACTIONS(2600),
    [anon_sym_private] = ACTIONS(2600),
    [anon_sym_protected] = ACTIONS(2600),
    [anon_sym_using] = ACTIONS(2600),
    [anon_sym_static_assert] = ACTIONS(2600),
    [anon_sym_precise] = ACTIONS(2600),
    [anon_sym_shared] = ACTIONS(2600),
    [anon_sym_groupshared] = ACTIONS(2600),
    [anon_sym_uniform] = ACTIONS(2600),
    [anon_sym_row_major] = ACTIONS(2600),
    [anon_sym_column_major] = ACTIONS(2600),
    [anon_sym_globallycoherent] = ACTIONS(2600),
    [anon_sym_centroid] = ACTIONS(2600),
    [anon_sym_noperspective] = ACTIONS(2600),
    [anon_sym_nointerpolation] = ACTIONS(2600),
    [anon_sym_sample] = ACTIONS(2600),
    [anon_sym_linear] = ACTIONS(2600),
    [anon_sym_snorm] = ACTIONS(2600),
    [anon_sym_unorm] = ACTIONS(2600),
    [anon_sym_point] = ACTIONS(2600),
    [anon_sym_line] = ACTIONS(2600),
    [anon_sym_triangleadj] = ACTIONS(2600),
    [anon_sym_lineadj] = ACTIONS(2600),
    [anon_sym_triangle] = ACTIONS(2600),
  },
  [2868] = {
    [sym_identifier] = ACTIONS(2617),
    [aux_sym_preproc_def_token1] = ACTIONS(2617),
    [aux_sym_preproc_if_token1] = ACTIONS(2617),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2617),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2617),
    [sym_preproc_directive] = ACTIONS(2617),
    [anon_sym_LPAREN2] = ACTIONS(2619),
    [anon_sym_TILDE] = ACTIONS(2619),
    [anon_sym_STAR] = ACTIONS(2619),
    [anon_sym_AMP_AMP] = ACTIONS(2619),
    [anon_sym_AMP] = ACTIONS(2617),
    [anon_sym___extension__] = ACTIONS(2617),
    [anon_sym_typedef] = ACTIONS(2617),
    [anon_sym_in] = ACTIONS(2617),
    [anon_sym_out] = ACTIONS(2617),
    [anon_sym_inout] = ACTIONS(2617),
    [anon_sym_extern] = ACTIONS(2617),
    [anon_sym___attribute__] = ACTIONS(2617),
    [anon_sym_COLON_COLON] = ACTIONS(2619),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2619),
    [anon_sym___declspec] = ACTIONS(2617),
    [anon_sym___based] = ACTIONS(2617),
    [anon_sym_RBRACE] = ACTIONS(2619),
    [anon_sym_signed] = ACTIONS(2617),
    [anon_sym_unsigned] = ACTIONS(2617),
    [anon_sym_long] = ACTIONS(2617),
    [anon_sym_short] = ACTIONS(2617),
    [anon_sym_LBRACK] = ACTIONS(2617),
    [anon_sym_static] = ACTIONS(2617),
    [anon_sym_register] = ACTIONS(2617),
    [anon_sym_inline] = ACTIONS(2617),
    [anon_sym___inline] = ACTIONS(2617),
    [anon_sym___inline__] = ACTIONS(2617),
    [anon_sym___forceinline] = ACTIONS(2617),
    [anon_sym_thread_local] = ACTIONS(2617),
    [anon_sym___thread] = ACTIONS(2617),
    [anon_sym_const] = ACTIONS(2617),
    [anon_sym_constexpr] = ACTIONS(2617),
    [anon_sym_volatile] = ACTIONS(2617),
    [anon_sym_restrict] = ACTIONS(2617),
    [anon_sym___restrict__] = ACTIONS(2617),
    [anon_sym__Atomic] = ACTIONS(2617),
    [anon_sym__Noreturn] = ACTIONS(2617),
    [anon_sym_noreturn] = ACTIONS(2617),
    [anon_sym_mutable] = ACTIONS(2617),
    [anon_sym_constinit] = ACTIONS(2617),
    [anon_sym_consteval] = ACTIONS(2617),
    [sym_primitive_type] = ACTIONS(2617),
    [anon_sym_enum] = ACTIONS(2617),
    [anon_sym_class] = ACTIONS(2617),
    [anon_sym_struct] = ACTIONS(2617),
    [anon_sym_union] = ACTIONS(2617),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2617),
    [anon_sym_decltype] = ACTIONS(2617),
    [anon_sym_virtual] = ACTIONS(2617),
    [anon_sym_alignas] = ACTIONS(2617),
    [anon_sym_explicit] = ACTIONS(2617),
    [anon_sym_typename] = ACTIONS(2617),
    [anon_sym_template] = ACTIONS(2617),
    [anon_sym_operator] = ACTIONS(2617),
    [anon_sym_friend] = ACTIONS(2617),
    [anon_sym_public] = ACTIONS(2617),
    [anon_sym_private] = ACTIONS(2617),
    [anon_sym_protected] = ACTIONS(2617),
    [anon_sym_using] = ACTIONS(2617),
    [anon_sym_static_assert] = ACTIONS(2617),
    [anon_sym_precise] = ACTIONS(2617),
    [anon_sym_shared] = ACTIONS(2617),
    [anon_sym_groupshared] = ACTIONS(2617),
    [anon_sym_uniform] = ACTIONS(2617),
    [anon_sym_row_major] = ACTIONS(2617),
    [anon_sym_column_major] = ACTIONS(2617),
    [anon_sym_globallycoherent] = ACTIONS(2617),
    [anon_sym_centroid] = ACTIONS(2617),
    [anon_sym_noperspective] = ACTIONS(2617),
    [anon_sym_nointerpolation] = ACTIONS(2617),
    [anon_sym_sample] = ACTIONS(2617),
    [anon_sym_linear] = ACTIONS(2617),
    [anon_sym_snorm] = ACTIONS(2617),
    [anon_sym_unorm] = ACTIONS(2617),
    [anon_sym_point] = ACTIONS(2617),
    [anon_sym_line] = ACTIONS(2617),
    [anon_sym_triangleadj] = ACTIONS(2617),
    [anon_sym_lineadj] = ACTIONS(2617),
    [anon_sym_triangle] = ACTIONS(2617),
  },
  [2869] = {
    [sym_identifier] = ACTIONS(5679),
    [aux_sym_preproc_def_token1] = ACTIONS(5679),
    [aux_sym_preproc_if_token1] = ACTIONS(5679),
    [aux_sym_preproc_if_token2] = ACTIONS(5679),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5679),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5679),
    [sym_preproc_directive] = ACTIONS(5679),
    [anon_sym_LPAREN2] = ACTIONS(5681),
    [anon_sym_TILDE] = ACTIONS(5681),
    [anon_sym_STAR] = ACTIONS(5681),
    [anon_sym_AMP_AMP] = ACTIONS(5681),
    [anon_sym_AMP] = ACTIONS(5679),
    [anon_sym___extension__] = ACTIONS(5679),
    [anon_sym_typedef] = ACTIONS(5679),
    [anon_sym_in] = ACTIONS(5679),
    [anon_sym_out] = ACTIONS(5679),
    [anon_sym_inout] = ACTIONS(5679),
    [anon_sym_extern] = ACTIONS(5679),
    [anon_sym___attribute__] = ACTIONS(5679),
    [anon_sym_COLON_COLON] = ACTIONS(5681),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5681),
    [anon_sym___declspec] = ACTIONS(5679),
    [anon_sym___based] = ACTIONS(5679),
    [anon_sym_signed] = ACTIONS(5679),
    [anon_sym_unsigned] = ACTIONS(5679),
    [anon_sym_long] = ACTIONS(5679),
    [anon_sym_short] = ACTIONS(5679),
    [anon_sym_LBRACK] = ACTIONS(5679),
    [anon_sym_static] = ACTIONS(5679),
    [anon_sym_register] = ACTIONS(5679),
    [anon_sym_inline] = ACTIONS(5679),
    [anon_sym___inline] = ACTIONS(5679),
    [anon_sym___inline__] = ACTIONS(5679),
    [anon_sym___forceinline] = ACTIONS(5679),
    [anon_sym_thread_local] = ACTIONS(5679),
    [anon_sym___thread] = ACTIONS(5679),
    [anon_sym_const] = ACTIONS(5679),
    [anon_sym_constexpr] = ACTIONS(5679),
    [anon_sym_volatile] = ACTIONS(5679),
    [anon_sym_restrict] = ACTIONS(5679),
    [anon_sym___restrict__] = ACTIONS(5679),
    [anon_sym__Atomic] = ACTIONS(5679),
    [anon_sym__Noreturn] = ACTIONS(5679),
    [anon_sym_noreturn] = ACTIONS(5679),
    [anon_sym_mutable] = ACTIONS(5679),
    [anon_sym_constinit] = ACTIONS(5679),
    [anon_sym_consteval] = ACTIONS(5679),
    [sym_primitive_type] = ACTIONS(5679),
    [anon_sym_enum] = ACTIONS(5679),
    [anon_sym_class] = ACTIONS(5679),
    [anon_sym_struct] = ACTIONS(5679),
    [anon_sym_union] = ACTIONS(5679),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5679),
    [anon_sym_decltype] = ACTIONS(5679),
    [anon_sym_virtual] = ACTIONS(5679),
    [anon_sym_alignas] = ACTIONS(5679),
    [anon_sym_explicit] = ACTIONS(5679),
    [anon_sym_typename] = ACTIONS(5679),
    [anon_sym_template] = ACTIONS(5679),
    [anon_sym_operator] = ACTIONS(5679),
    [anon_sym_friend] = ACTIONS(5679),
    [anon_sym_public] = ACTIONS(5679),
    [anon_sym_private] = ACTIONS(5679),
    [anon_sym_protected] = ACTIONS(5679),
    [anon_sym_using] = ACTIONS(5679),
    [anon_sym_static_assert] = ACTIONS(5679),
    [anon_sym_precise] = ACTIONS(5679),
    [anon_sym_shared] = ACTIONS(5679),
    [anon_sym_groupshared] = ACTIONS(5679),
    [anon_sym_uniform] = ACTIONS(5679),
    [anon_sym_row_major] = ACTIONS(5679),
    [anon_sym_column_major] = ACTIONS(5679),
    [anon_sym_globallycoherent] = ACTIONS(5679),
    [anon_sym_centroid] = ACTIONS(5679),
    [anon_sym_noperspective] = ACTIONS(5679),
    [anon_sym_nointerpolation] = ACTIONS(5679),
    [anon_sym_sample] = ACTIONS(5679),
    [anon_sym_linear] = ACTIONS(5679),
    [anon_sym_snorm] = ACTIONS(5679),
    [anon_sym_unorm] = ACTIONS(5679),
    [anon_sym_point] = ACTIONS(5679),
    [anon_sym_line] = ACTIONS(5679),
    [anon_sym_triangleadj] = ACTIONS(5679),
    [anon_sym_lineadj] = ACTIONS(5679),
    [anon_sym_triangle] = ACTIONS(5679),
  },
  [2870] = {
    [sym_identifier] = ACTIONS(5675),
    [aux_sym_preproc_def_token1] = ACTIONS(5675),
    [aux_sym_preproc_if_token1] = ACTIONS(5675),
    [aux_sym_preproc_if_token2] = ACTIONS(5675),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5675),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5675),
    [sym_preproc_directive] = ACTIONS(5675),
    [anon_sym_LPAREN2] = ACTIONS(5677),
    [anon_sym_TILDE] = ACTIONS(5677),
    [anon_sym_STAR] = ACTIONS(5677),
    [anon_sym_AMP_AMP] = ACTIONS(5677),
    [anon_sym_AMP] = ACTIONS(5675),
    [anon_sym___extension__] = ACTIONS(5675),
    [anon_sym_typedef] = ACTIONS(5675),
    [anon_sym_in] = ACTIONS(5675),
    [anon_sym_out] = ACTIONS(5675),
    [anon_sym_inout] = ACTIONS(5675),
    [anon_sym_extern] = ACTIONS(5675),
    [anon_sym___attribute__] = ACTIONS(5675),
    [anon_sym_COLON_COLON] = ACTIONS(5677),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5677),
    [anon_sym___declspec] = ACTIONS(5675),
    [anon_sym___based] = ACTIONS(5675),
    [anon_sym_signed] = ACTIONS(5675),
    [anon_sym_unsigned] = ACTIONS(5675),
    [anon_sym_long] = ACTIONS(5675),
    [anon_sym_short] = ACTIONS(5675),
    [anon_sym_LBRACK] = ACTIONS(5675),
    [anon_sym_static] = ACTIONS(5675),
    [anon_sym_register] = ACTIONS(5675),
    [anon_sym_inline] = ACTIONS(5675),
    [anon_sym___inline] = ACTIONS(5675),
    [anon_sym___inline__] = ACTIONS(5675),
    [anon_sym___forceinline] = ACTIONS(5675),
    [anon_sym_thread_local] = ACTIONS(5675),
    [anon_sym___thread] = ACTIONS(5675),
    [anon_sym_const] = ACTIONS(5675),
    [anon_sym_constexpr] = ACTIONS(5675),
    [anon_sym_volatile] = ACTIONS(5675),
    [anon_sym_restrict] = ACTIONS(5675),
    [anon_sym___restrict__] = ACTIONS(5675),
    [anon_sym__Atomic] = ACTIONS(5675),
    [anon_sym__Noreturn] = ACTIONS(5675),
    [anon_sym_noreturn] = ACTIONS(5675),
    [anon_sym_mutable] = ACTIONS(5675),
    [anon_sym_constinit] = ACTIONS(5675),
    [anon_sym_consteval] = ACTIONS(5675),
    [sym_primitive_type] = ACTIONS(5675),
    [anon_sym_enum] = ACTIONS(5675),
    [anon_sym_class] = ACTIONS(5675),
    [anon_sym_struct] = ACTIONS(5675),
    [anon_sym_union] = ACTIONS(5675),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5675),
    [anon_sym_decltype] = ACTIONS(5675),
    [anon_sym_virtual] = ACTIONS(5675),
    [anon_sym_alignas] = ACTIONS(5675),
    [anon_sym_explicit] = ACTIONS(5675),
    [anon_sym_typename] = ACTIONS(5675),
    [anon_sym_template] = ACTIONS(5675),
    [anon_sym_operator] = ACTIONS(5675),
    [anon_sym_friend] = ACTIONS(5675),
    [anon_sym_public] = ACTIONS(5675),
    [anon_sym_private] = ACTIONS(5675),
    [anon_sym_protected] = ACTIONS(5675),
    [anon_sym_using] = ACTIONS(5675),
    [anon_sym_static_assert] = ACTIONS(5675),
    [anon_sym_precise] = ACTIONS(5675),
    [anon_sym_shared] = ACTIONS(5675),
    [anon_sym_groupshared] = ACTIONS(5675),
    [anon_sym_uniform] = ACTIONS(5675),
    [anon_sym_row_major] = ACTIONS(5675),
    [anon_sym_column_major] = ACTIONS(5675),
    [anon_sym_globallycoherent] = ACTIONS(5675),
    [anon_sym_centroid] = ACTIONS(5675),
    [anon_sym_noperspective] = ACTIONS(5675),
    [anon_sym_nointerpolation] = ACTIONS(5675),
    [anon_sym_sample] = ACTIONS(5675),
    [anon_sym_linear] = ACTIONS(5675),
    [anon_sym_snorm] = ACTIONS(5675),
    [anon_sym_unorm] = ACTIONS(5675),
    [anon_sym_point] = ACTIONS(5675),
    [anon_sym_line] = ACTIONS(5675),
    [anon_sym_triangleadj] = ACTIONS(5675),
    [anon_sym_lineadj] = ACTIONS(5675),
    [anon_sym_triangle] = ACTIONS(5675),
  },
  [2871] = {
    [sym_identifier] = ACTIONS(2604),
    [aux_sym_preproc_def_token1] = ACTIONS(2604),
    [aux_sym_preproc_if_token1] = ACTIONS(2604),
    [aux_sym_preproc_if_token2] = ACTIONS(2604),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2604),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2604),
    [sym_preproc_directive] = ACTIONS(2604),
    [anon_sym_LPAREN2] = ACTIONS(2606),
    [anon_sym_TILDE] = ACTIONS(2606),
    [anon_sym_STAR] = ACTIONS(2606),
    [anon_sym_AMP_AMP] = ACTIONS(2606),
    [anon_sym_AMP] = ACTIONS(2604),
    [anon_sym___extension__] = ACTIONS(2604),
    [anon_sym_typedef] = ACTIONS(2604),
    [anon_sym_in] = ACTIONS(2604),
    [anon_sym_out] = ACTIONS(2604),
    [anon_sym_inout] = ACTIONS(2604),
    [anon_sym_extern] = ACTIONS(2604),
    [anon_sym___attribute__] = ACTIONS(2604),
    [anon_sym_COLON_COLON] = ACTIONS(2606),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2606),
    [anon_sym___declspec] = ACTIONS(2604),
    [anon_sym___based] = ACTIONS(2604),
    [anon_sym_signed] = ACTIONS(2604),
    [anon_sym_unsigned] = ACTIONS(2604),
    [anon_sym_long] = ACTIONS(2604),
    [anon_sym_short] = ACTIONS(2604),
    [anon_sym_LBRACK] = ACTIONS(2604),
    [anon_sym_static] = ACTIONS(2604),
    [anon_sym_register] = ACTIONS(2604),
    [anon_sym_inline] = ACTIONS(2604),
    [anon_sym___inline] = ACTIONS(2604),
    [anon_sym___inline__] = ACTIONS(2604),
    [anon_sym___forceinline] = ACTIONS(2604),
    [anon_sym_thread_local] = ACTIONS(2604),
    [anon_sym___thread] = ACTIONS(2604),
    [anon_sym_const] = ACTIONS(2604),
    [anon_sym_constexpr] = ACTIONS(2604),
    [anon_sym_volatile] = ACTIONS(2604),
    [anon_sym_restrict] = ACTIONS(2604),
    [anon_sym___restrict__] = ACTIONS(2604),
    [anon_sym__Atomic] = ACTIONS(2604),
    [anon_sym__Noreturn] = ACTIONS(2604),
    [anon_sym_noreturn] = ACTIONS(2604),
    [anon_sym_mutable] = ACTIONS(2604),
    [anon_sym_constinit] = ACTIONS(2604),
    [anon_sym_consteval] = ACTIONS(2604),
    [sym_primitive_type] = ACTIONS(2604),
    [anon_sym_enum] = ACTIONS(2604),
    [anon_sym_class] = ACTIONS(2604),
    [anon_sym_struct] = ACTIONS(2604),
    [anon_sym_union] = ACTIONS(2604),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2604),
    [anon_sym_decltype] = ACTIONS(2604),
    [anon_sym_virtual] = ACTIONS(2604),
    [anon_sym_alignas] = ACTIONS(2604),
    [anon_sym_explicit] = ACTIONS(2604),
    [anon_sym_typename] = ACTIONS(2604),
    [anon_sym_template] = ACTIONS(2604),
    [anon_sym_operator] = ACTIONS(2604),
    [anon_sym_friend] = ACTIONS(2604),
    [anon_sym_public] = ACTIONS(2604),
    [anon_sym_private] = ACTIONS(2604),
    [anon_sym_protected] = ACTIONS(2604),
    [anon_sym_using] = ACTIONS(2604),
    [anon_sym_static_assert] = ACTIONS(2604),
    [anon_sym_precise] = ACTIONS(2604),
    [anon_sym_shared] = ACTIONS(2604),
    [anon_sym_groupshared] = ACTIONS(2604),
    [anon_sym_uniform] = ACTIONS(2604),
    [anon_sym_row_major] = ACTIONS(2604),
    [anon_sym_column_major] = ACTIONS(2604),
    [anon_sym_globallycoherent] = ACTIONS(2604),
    [anon_sym_centroid] = ACTIONS(2604),
    [anon_sym_noperspective] = ACTIONS(2604),
    [anon_sym_nointerpolation] = ACTIONS(2604),
    [anon_sym_sample] = ACTIONS(2604),
    [anon_sym_linear] = ACTIONS(2604),
    [anon_sym_snorm] = ACTIONS(2604),
    [anon_sym_unorm] = ACTIONS(2604),
    [anon_sym_point] = ACTIONS(2604),
    [anon_sym_line] = ACTIONS(2604),
    [anon_sym_triangleadj] = ACTIONS(2604),
    [anon_sym_lineadj] = ACTIONS(2604),
    [anon_sym_triangle] = ACTIONS(2604),
  },
  [2872] = {
    [sym_identifier] = ACTIONS(5671),
    [aux_sym_preproc_def_token1] = ACTIONS(5671),
    [aux_sym_preproc_if_token1] = ACTIONS(5671),
    [aux_sym_preproc_if_token2] = ACTIONS(5671),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5671),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5671),
    [sym_preproc_directive] = ACTIONS(5671),
    [anon_sym_LPAREN2] = ACTIONS(5673),
    [anon_sym_TILDE] = ACTIONS(5673),
    [anon_sym_STAR] = ACTIONS(5673),
    [anon_sym_AMP_AMP] = ACTIONS(5673),
    [anon_sym_AMP] = ACTIONS(5671),
    [anon_sym___extension__] = ACTIONS(5671),
    [anon_sym_typedef] = ACTIONS(5671),
    [anon_sym_in] = ACTIONS(5671),
    [anon_sym_out] = ACTIONS(5671),
    [anon_sym_inout] = ACTIONS(5671),
    [anon_sym_extern] = ACTIONS(5671),
    [anon_sym___attribute__] = ACTIONS(5671),
    [anon_sym_COLON_COLON] = ACTIONS(5673),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5673),
    [anon_sym___declspec] = ACTIONS(5671),
    [anon_sym___based] = ACTIONS(5671),
    [anon_sym_signed] = ACTIONS(5671),
    [anon_sym_unsigned] = ACTIONS(5671),
    [anon_sym_long] = ACTIONS(5671),
    [anon_sym_short] = ACTIONS(5671),
    [anon_sym_LBRACK] = ACTIONS(5671),
    [anon_sym_static] = ACTIONS(5671),
    [anon_sym_register] = ACTIONS(5671),
    [anon_sym_inline] = ACTIONS(5671),
    [anon_sym___inline] = ACTIONS(5671),
    [anon_sym___inline__] = ACTIONS(5671),
    [anon_sym___forceinline] = ACTIONS(5671),
    [anon_sym_thread_local] = ACTIONS(5671),
    [anon_sym___thread] = ACTIONS(5671),
    [anon_sym_const] = ACTIONS(5671),
    [anon_sym_constexpr] = ACTIONS(5671),
    [anon_sym_volatile] = ACTIONS(5671),
    [anon_sym_restrict] = ACTIONS(5671),
    [anon_sym___restrict__] = ACTIONS(5671),
    [anon_sym__Atomic] = ACTIONS(5671),
    [anon_sym__Noreturn] = ACTIONS(5671),
    [anon_sym_noreturn] = ACTIONS(5671),
    [anon_sym_mutable] = ACTIONS(5671),
    [anon_sym_constinit] = ACTIONS(5671),
    [anon_sym_consteval] = ACTIONS(5671),
    [sym_primitive_type] = ACTIONS(5671),
    [anon_sym_enum] = ACTIONS(5671),
    [anon_sym_class] = ACTIONS(5671),
    [anon_sym_struct] = ACTIONS(5671),
    [anon_sym_union] = ACTIONS(5671),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5671),
    [anon_sym_decltype] = ACTIONS(5671),
    [anon_sym_virtual] = ACTIONS(5671),
    [anon_sym_alignas] = ACTIONS(5671),
    [anon_sym_explicit] = ACTIONS(5671),
    [anon_sym_typename] = ACTIONS(5671),
    [anon_sym_template] = ACTIONS(5671),
    [anon_sym_operator] = ACTIONS(5671),
    [anon_sym_friend] = ACTIONS(5671),
    [anon_sym_public] = ACTIONS(5671),
    [anon_sym_private] = ACTIONS(5671),
    [anon_sym_protected] = ACTIONS(5671),
    [anon_sym_using] = ACTIONS(5671),
    [anon_sym_static_assert] = ACTIONS(5671),
    [anon_sym_precise] = ACTIONS(5671),
    [anon_sym_shared] = ACTIONS(5671),
    [anon_sym_groupshared] = ACTIONS(5671),
    [anon_sym_uniform] = ACTIONS(5671),
    [anon_sym_row_major] = ACTIONS(5671),
    [anon_sym_column_major] = ACTIONS(5671),
    [anon_sym_globallycoherent] = ACTIONS(5671),
    [anon_sym_centroid] = ACTIONS(5671),
    [anon_sym_noperspective] = ACTIONS(5671),
    [anon_sym_nointerpolation] = ACTIONS(5671),
    [anon_sym_sample] = ACTIONS(5671),
    [anon_sym_linear] = ACTIONS(5671),
    [anon_sym_snorm] = ACTIONS(5671),
    [anon_sym_unorm] = ACTIONS(5671),
    [anon_sym_point] = ACTIONS(5671),
    [anon_sym_line] = ACTIONS(5671),
    [anon_sym_triangleadj] = ACTIONS(5671),
    [anon_sym_lineadj] = ACTIONS(5671),
    [anon_sym_triangle] = ACTIONS(5671),
  },
  [2873] = {
    [sym_identifier] = ACTIONS(2608),
    [aux_sym_preproc_def_token1] = ACTIONS(2608),
    [aux_sym_preproc_if_token1] = ACTIONS(2608),
    [aux_sym_preproc_if_token2] = ACTIONS(2608),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2608),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2608),
    [sym_preproc_directive] = ACTIONS(2608),
    [anon_sym_LPAREN2] = ACTIONS(2610),
    [anon_sym_TILDE] = ACTIONS(2610),
    [anon_sym_STAR] = ACTIONS(2610),
    [anon_sym_AMP_AMP] = ACTIONS(2610),
    [anon_sym_AMP] = ACTIONS(2608),
    [anon_sym___extension__] = ACTIONS(2608),
    [anon_sym_typedef] = ACTIONS(2608),
    [anon_sym_in] = ACTIONS(2608),
    [anon_sym_out] = ACTIONS(2608),
    [anon_sym_inout] = ACTIONS(2608),
    [anon_sym_extern] = ACTIONS(2608),
    [anon_sym___attribute__] = ACTIONS(2608),
    [anon_sym_COLON_COLON] = ACTIONS(2610),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2610),
    [anon_sym___declspec] = ACTIONS(2608),
    [anon_sym___based] = ACTIONS(2608),
    [anon_sym_signed] = ACTIONS(2608),
    [anon_sym_unsigned] = ACTIONS(2608),
    [anon_sym_long] = ACTIONS(2608),
    [anon_sym_short] = ACTIONS(2608),
    [anon_sym_LBRACK] = ACTIONS(2608),
    [anon_sym_static] = ACTIONS(2608),
    [anon_sym_register] = ACTIONS(2608),
    [anon_sym_inline] = ACTIONS(2608),
    [anon_sym___inline] = ACTIONS(2608),
    [anon_sym___inline__] = ACTIONS(2608),
    [anon_sym___forceinline] = ACTIONS(2608),
    [anon_sym_thread_local] = ACTIONS(2608),
    [anon_sym___thread] = ACTIONS(2608),
    [anon_sym_const] = ACTIONS(2608),
    [anon_sym_constexpr] = ACTIONS(2608),
    [anon_sym_volatile] = ACTIONS(2608),
    [anon_sym_restrict] = ACTIONS(2608),
    [anon_sym___restrict__] = ACTIONS(2608),
    [anon_sym__Atomic] = ACTIONS(2608),
    [anon_sym__Noreturn] = ACTIONS(2608),
    [anon_sym_noreturn] = ACTIONS(2608),
    [anon_sym_mutable] = ACTIONS(2608),
    [anon_sym_constinit] = ACTIONS(2608),
    [anon_sym_consteval] = ACTIONS(2608),
    [sym_primitive_type] = ACTIONS(2608),
    [anon_sym_enum] = ACTIONS(2608),
    [anon_sym_class] = ACTIONS(2608),
    [anon_sym_struct] = ACTIONS(2608),
    [anon_sym_union] = ACTIONS(2608),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2608),
    [anon_sym_decltype] = ACTIONS(2608),
    [anon_sym_virtual] = ACTIONS(2608),
    [anon_sym_alignas] = ACTIONS(2608),
    [anon_sym_explicit] = ACTIONS(2608),
    [anon_sym_typename] = ACTIONS(2608),
    [anon_sym_template] = ACTIONS(2608),
    [anon_sym_operator] = ACTIONS(2608),
    [anon_sym_friend] = ACTIONS(2608),
    [anon_sym_public] = ACTIONS(2608),
    [anon_sym_private] = ACTIONS(2608),
    [anon_sym_protected] = ACTIONS(2608),
    [anon_sym_using] = ACTIONS(2608),
    [anon_sym_static_assert] = ACTIONS(2608),
    [anon_sym_precise] = ACTIONS(2608),
    [anon_sym_shared] = ACTIONS(2608),
    [anon_sym_groupshared] = ACTIONS(2608),
    [anon_sym_uniform] = ACTIONS(2608),
    [anon_sym_row_major] = ACTIONS(2608),
    [anon_sym_column_major] = ACTIONS(2608),
    [anon_sym_globallycoherent] = ACTIONS(2608),
    [anon_sym_centroid] = ACTIONS(2608),
    [anon_sym_noperspective] = ACTIONS(2608),
    [anon_sym_nointerpolation] = ACTIONS(2608),
    [anon_sym_sample] = ACTIONS(2608),
    [anon_sym_linear] = ACTIONS(2608),
    [anon_sym_snorm] = ACTIONS(2608),
    [anon_sym_unorm] = ACTIONS(2608),
    [anon_sym_point] = ACTIONS(2608),
    [anon_sym_line] = ACTIONS(2608),
    [anon_sym_triangleadj] = ACTIONS(2608),
    [anon_sym_lineadj] = ACTIONS(2608),
    [anon_sym_triangle] = ACTIONS(2608),
  },
  [2874] = {
    [sym_identifier] = ACTIONS(2520),
    [aux_sym_preproc_def_token1] = ACTIONS(2520),
    [aux_sym_preproc_if_token1] = ACTIONS(2520),
    [aux_sym_preproc_if_token2] = ACTIONS(2520),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2520),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2520),
    [sym_preproc_directive] = ACTIONS(2520),
    [anon_sym_LPAREN2] = ACTIONS(2522),
    [anon_sym_TILDE] = ACTIONS(2522),
    [anon_sym_STAR] = ACTIONS(2522),
    [anon_sym_AMP_AMP] = ACTIONS(2522),
    [anon_sym_AMP] = ACTIONS(2520),
    [anon_sym___extension__] = ACTIONS(2520),
    [anon_sym_typedef] = ACTIONS(2520),
    [anon_sym_in] = ACTIONS(2520),
    [anon_sym_out] = ACTIONS(2520),
    [anon_sym_inout] = ACTIONS(2520),
    [anon_sym_extern] = ACTIONS(2520),
    [anon_sym___attribute__] = ACTIONS(2520),
    [anon_sym_COLON_COLON] = ACTIONS(2522),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2522),
    [anon_sym___declspec] = ACTIONS(2520),
    [anon_sym___based] = ACTIONS(2520),
    [anon_sym_signed] = ACTIONS(2520),
    [anon_sym_unsigned] = ACTIONS(2520),
    [anon_sym_long] = ACTIONS(2520),
    [anon_sym_short] = ACTIONS(2520),
    [anon_sym_LBRACK] = ACTIONS(2520),
    [anon_sym_static] = ACTIONS(2520),
    [anon_sym_register] = ACTIONS(2520),
    [anon_sym_inline] = ACTIONS(2520),
    [anon_sym___inline] = ACTIONS(2520),
    [anon_sym___inline__] = ACTIONS(2520),
    [anon_sym___forceinline] = ACTIONS(2520),
    [anon_sym_thread_local] = ACTIONS(2520),
    [anon_sym___thread] = ACTIONS(2520),
    [anon_sym_const] = ACTIONS(2520),
    [anon_sym_constexpr] = ACTIONS(2520),
    [anon_sym_volatile] = ACTIONS(2520),
    [anon_sym_restrict] = ACTIONS(2520),
    [anon_sym___restrict__] = ACTIONS(2520),
    [anon_sym__Atomic] = ACTIONS(2520),
    [anon_sym__Noreturn] = ACTIONS(2520),
    [anon_sym_noreturn] = ACTIONS(2520),
    [anon_sym_mutable] = ACTIONS(2520),
    [anon_sym_constinit] = ACTIONS(2520),
    [anon_sym_consteval] = ACTIONS(2520),
    [sym_primitive_type] = ACTIONS(2520),
    [anon_sym_enum] = ACTIONS(2520),
    [anon_sym_class] = ACTIONS(2520),
    [anon_sym_struct] = ACTIONS(2520),
    [anon_sym_union] = ACTIONS(2520),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2520),
    [anon_sym_decltype] = ACTIONS(2520),
    [anon_sym_virtual] = ACTIONS(2520),
    [anon_sym_alignas] = ACTIONS(2520),
    [anon_sym_explicit] = ACTIONS(2520),
    [anon_sym_typename] = ACTIONS(2520),
    [anon_sym_template] = ACTIONS(2520),
    [anon_sym_operator] = ACTIONS(2520),
    [anon_sym_friend] = ACTIONS(2520),
    [anon_sym_public] = ACTIONS(2520),
    [anon_sym_private] = ACTIONS(2520),
    [anon_sym_protected] = ACTIONS(2520),
    [anon_sym_using] = ACTIONS(2520),
    [anon_sym_static_assert] = ACTIONS(2520),
    [anon_sym_precise] = ACTIONS(2520),
    [anon_sym_shared] = ACTIONS(2520),
    [anon_sym_groupshared] = ACTIONS(2520),
    [anon_sym_uniform] = ACTIONS(2520),
    [anon_sym_row_major] = ACTIONS(2520),
    [anon_sym_column_major] = ACTIONS(2520),
    [anon_sym_globallycoherent] = ACTIONS(2520),
    [anon_sym_centroid] = ACTIONS(2520),
    [anon_sym_noperspective] = ACTIONS(2520),
    [anon_sym_nointerpolation] = ACTIONS(2520),
    [anon_sym_sample] = ACTIONS(2520),
    [anon_sym_linear] = ACTIONS(2520),
    [anon_sym_snorm] = ACTIONS(2520),
    [anon_sym_unorm] = ACTIONS(2520),
    [anon_sym_point] = ACTIONS(2520),
    [anon_sym_line] = ACTIONS(2520),
    [anon_sym_triangleadj] = ACTIONS(2520),
    [anon_sym_lineadj] = ACTIONS(2520),
    [anon_sym_triangle] = ACTIONS(2520),
  },
  [2875] = {
    [sym_identifier] = ACTIONS(2520),
    [aux_sym_preproc_def_token1] = ACTIONS(2520),
    [aux_sym_preproc_if_token1] = ACTIONS(2520),
    [aux_sym_preproc_if_token2] = ACTIONS(2520),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2520),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2520),
    [sym_preproc_directive] = ACTIONS(2520),
    [anon_sym_LPAREN2] = ACTIONS(2522),
    [anon_sym_TILDE] = ACTIONS(2522),
    [anon_sym_STAR] = ACTIONS(2522),
    [anon_sym_AMP_AMP] = ACTIONS(2522),
    [anon_sym_AMP] = ACTIONS(2520),
    [anon_sym___extension__] = ACTIONS(2520),
    [anon_sym_typedef] = ACTIONS(2520),
    [anon_sym_in] = ACTIONS(2520),
    [anon_sym_out] = ACTIONS(2520),
    [anon_sym_inout] = ACTIONS(2520),
    [anon_sym_extern] = ACTIONS(2520),
    [anon_sym___attribute__] = ACTIONS(2520),
    [anon_sym_COLON_COLON] = ACTIONS(2522),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2522),
    [anon_sym___declspec] = ACTIONS(2520),
    [anon_sym___based] = ACTIONS(2520),
    [anon_sym_signed] = ACTIONS(2520),
    [anon_sym_unsigned] = ACTIONS(2520),
    [anon_sym_long] = ACTIONS(2520),
    [anon_sym_short] = ACTIONS(2520),
    [anon_sym_LBRACK] = ACTIONS(2520),
    [anon_sym_static] = ACTIONS(2520),
    [anon_sym_register] = ACTIONS(2520),
    [anon_sym_inline] = ACTIONS(2520),
    [anon_sym___inline] = ACTIONS(2520),
    [anon_sym___inline__] = ACTIONS(2520),
    [anon_sym___forceinline] = ACTIONS(2520),
    [anon_sym_thread_local] = ACTIONS(2520),
    [anon_sym___thread] = ACTIONS(2520),
    [anon_sym_const] = ACTIONS(2520),
    [anon_sym_constexpr] = ACTIONS(2520),
    [anon_sym_volatile] = ACTIONS(2520),
    [anon_sym_restrict] = ACTIONS(2520),
    [anon_sym___restrict__] = ACTIONS(2520),
    [anon_sym__Atomic] = ACTIONS(2520),
    [anon_sym__Noreturn] = ACTIONS(2520),
    [anon_sym_noreturn] = ACTIONS(2520),
    [anon_sym_mutable] = ACTIONS(2520),
    [anon_sym_constinit] = ACTIONS(2520),
    [anon_sym_consteval] = ACTIONS(2520),
    [sym_primitive_type] = ACTIONS(2520),
    [anon_sym_enum] = ACTIONS(2520),
    [anon_sym_class] = ACTIONS(2520),
    [anon_sym_struct] = ACTIONS(2520),
    [anon_sym_union] = ACTIONS(2520),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2520),
    [anon_sym_decltype] = ACTIONS(2520),
    [anon_sym_virtual] = ACTIONS(2520),
    [anon_sym_alignas] = ACTIONS(2520),
    [anon_sym_explicit] = ACTIONS(2520),
    [anon_sym_typename] = ACTIONS(2520),
    [anon_sym_template] = ACTIONS(2520),
    [anon_sym_operator] = ACTIONS(2520),
    [anon_sym_friend] = ACTIONS(2520),
    [anon_sym_public] = ACTIONS(2520),
    [anon_sym_private] = ACTIONS(2520),
    [anon_sym_protected] = ACTIONS(2520),
    [anon_sym_using] = ACTIONS(2520),
    [anon_sym_static_assert] = ACTIONS(2520),
    [anon_sym_precise] = ACTIONS(2520),
    [anon_sym_shared] = ACTIONS(2520),
    [anon_sym_groupshared] = ACTIONS(2520),
    [anon_sym_uniform] = ACTIONS(2520),
    [anon_sym_row_major] = ACTIONS(2520),
    [anon_sym_column_major] = ACTIONS(2520),
    [anon_sym_globallycoherent] = ACTIONS(2520),
    [anon_sym_centroid] = ACTIONS(2520),
    [anon_sym_noperspective] = ACTIONS(2520),
    [anon_sym_nointerpolation] = ACTIONS(2520),
    [anon_sym_sample] = ACTIONS(2520),
    [anon_sym_linear] = ACTIONS(2520),
    [anon_sym_snorm] = ACTIONS(2520),
    [anon_sym_unorm] = ACTIONS(2520),
    [anon_sym_point] = ACTIONS(2520),
    [anon_sym_line] = ACTIONS(2520),
    [anon_sym_triangleadj] = ACTIONS(2520),
    [anon_sym_lineadj] = ACTIONS(2520),
    [anon_sym_triangle] = ACTIONS(2520),
  },
  [2876] = {
    [sym_identifier] = ACTIONS(5675),
    [aux_sym_preproc_def_token1] = ACTIONS(5675),
    [aux_sym_preproc_if_token1] = ACTIONS(5675),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5675),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5675),
    [sym_preproc_directive] = ACTIONS(5675),
    [anon_sym_LPAREN2] = ACTIONS(5677),
    [anon_sym_TILDE] = ACTIONS(5677),
    [anon_sym_STAR] = ACTIONS(5677),
    [anon_sym_AMP_AMP] = ACTIONS(5677),
    [anon_sym_AMP] = ACTIONS(5675),
    [anon_sym___extension__] = ACTIONS(5675),
    [anon_sym_typedef] = ACTIONS(5675),
    [anon_sym_in] = ACTIONS(5675),
    [anon_sym_out] = ACTIONS(5675),
    [anon_sym_inout] = ACTIONS(5675),
    [anon_sym_extern] = ACTIONS(5675),
    [anon_sym___attribute__] = ACTIONS(5675),
    [anon_sym_COLON_COLON] = ACTIONS(5677),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5677),
    [anon_sym___declspec] = ACTIONS(5675),
    [anon_sym___based] = ACTIONS(5675),
    [anon_sym_RBRACE] = ACTIONS(5677),
    [anon_sym_signed] = ACTIONS(5675),
    [anon_sym_unsigned] = ACTIONS(5675),
    [anon_sym_long] = ACTIONS(5675),
    [anon_sym_short] = ACTIONS(5675),
    [anon_sym_LBRACK] = ACTIONS(5675),
    [anon_sym_static] = ACTIONS(5675),
    [anon_sym_register] = ACTIONS(5675),
    [anon_sym_inline] = ACTIONS(5675),
    [anon_sym___inline] = ACTIONS(5675),
    [anon_sym___inline__] = ACTIONS(5675),
    [anon_sym___forceinline] = ACTIONS(5675),
    [anon_sym_thread_local] = ACTIONS(5675),
    [anon_sym___thread] = ACTIONS(5675),
    [anon_sym_const] = ACTIONS(5675),
    [anon_sym_constexpr] = ACTIONS(5675),
    [anon_sym_volatile] = ACTIONS(5675),
    [anon_sym_restrict] = ACTIONS(5675),
    [anon_sym___restrict__] = ACTIONS(5675),
    [anon_sym__Atomic] = ACTIONS(5675),
    [anon_sym__Noreturn] = ACTIONS(5675),
    [anon_sym_noreturn] = ACTIONS(5675),
    [anon_sym_mutable] = ACTIONS(5675),
    [anon_sym_constinit] = ACTIONS(5675),
    [anon_sym_consteval] = ACTIONS(5675),
    [sym_primitive_type] = ACTIONS(5675),
    [anon_sym_enum] = ACTIONS(5675),
    [anon_sym_class] = ACTIONS(5675),
    [anon_sym_struct] = ACTIONS(5675),
    [anon_sym_union] = ACTIONS(5675),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5675),
    [anon_sym_decltype] = ACTIONS(5675),
    [anon_sym_virtual] = ACTIONS(5675),
    [anon_sym_alignas] = ACTIONS(5675),
    [anon_sym_explicit] = ACTIONS(5675),
    [anon_sym_typename] = ACTIONS(5675),
    [anon_sym_template] = ACTIONS(5675),
    [anon_sym_operator] = ACTIONS(5675),
    [anon_sym_friend] = ACTIONS(5675),
    [anon_sym_public] = ACTIONS(5675),
    [anon_sym_private] = ACTIONS(5675),
    [anon_sym_protected] = ACTIONS(5675),
    [anon_sym_using] = ACTIONS(5675),
    [anon_sym_static_assert] = ACTIONS(5675),
    [anon_sym_precise] = ACTIONS(5675),
    [anon_sym_shared] = ACTIONS(5675),
    [anon_sym_groupshared] = ACTIONS(5675),
    [anon_sym_uniform] = ACTIONS(5675),
    [anon_sym_row_major] = ACTIONS(5675),
    [anon_sym_column_major] = ACTIONS(5675),
    [anon_sym_globallycoherent] = ACTIONS(5675),
    [anon_sym_centroid] = ACTIONS(5675),
    [anon_sym_noperspective] = ACTIONS(5675),
    [anon_sym_nointerpolation] = ACTIONS(5675),
    [anon_sym_sample] = ACTIONS(5675),
    [anon_sym_linear] = ACTIONS(5675),
    [anon_sym_snorm] = ACTIONS(5675),
    [anon_sym_unorm] = ACTIONS(5675),
    [anon_sym_point] = ACTIONS(5675),
    [anon_sym_line] = ACTIONS(5675),
    [anon_sym_triangleadj] = ACTIONS(5675),
    [anon_sym_lineadj] = ACTIONS(5675),
    [anon_sym_triangle] = ACTIONS(5675),
  },
  [2877] = {
    [sym_identifier] = ACTIONS(2641),
    [aux_sym_preproc_def_token1] = ACTIONS(2641),
    [aux_sym_preproc_if_token1] = ACTIONS(2641),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2641),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2641),
    [sym_preproc_directive] = ACTIONS(2641),
    [anon_sym_LPAREN2] = ACTIONS(2643),
    [anon_sym_TILDE] = ACTIONS(2643),
    [anon_sym_STAR] = ACTIONS(2643),
    [anon_sym_AMP_AMP] = ACTIONS(2643),
    [anon_sym_AMP] = ACTIONS(2641),
    [anon_sym___extension__] = ACTIONS(2641),
    [anon_sym_typedef] = ACTIONS(2641),
    [anon_sym_in] = ACTIONS(2641),
    [anon_sym_out] = ACTIONS(2641),
    [anon_sym_inout] = ACTIONS(2641),
    [anon_sym_extern] = ACTIONS(2641),
    [anon_sym___attribute__] = ACTIONS(2641),
    [anon_sym_COLON_COLON] = ACTIONS(2643),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2643),
    [anon_sym___declspec] = ACTIONS(2641),
    [anon_sym___based] = ACTIONS(2641),
    [anon_sym_RBRACE] = ACTIONS(2643),
    [anon_sym_signed] = ACTIONS(2641),
    [anon_sym_unsigned] = ACTIONS(2641),
    [anon_sym_long] = ACTIONS(2641),
    [anon_sym_short] = ACTIONS(2641),
    [anon_sym_LBRACK] = ACTIONS(2641),
    [anon_sym_static] = ACTIONS(2641),
    [anon_sym_register] = ACTIONS(2641),
    [anon_sym_inline] = ACTIONS(2641),
    [anon_sym___inline] = ACTIONS(2641),
    [anon_sym___inline__] = ACTIONS(2641),
    [anon_sym___forceinline] = ACTIONS(2641),
    [anon_sym_thread_local] = ACTIONS(2641),
    [anon_sym___thread] = ACTIONS(2641),
    [anon_sym_const] = ACTIONS(2641),
    [anon_sym_constexpr] = ACTIONS(2641),
    [anon_sym_volatile] = ACTIONS(2641),
    [anon_sym_restrict] = ACTIONS(2641),
    [anon_sym___restrict__] = ACTIONS(2641),
    [anon_sym__Atomic] = ACTIONS(2641),
    [anon_sym__Noreturn] = ACTIONS(2641),
    [anon_sym_noreturn] = ACTIONS(2641),
    [anon_sym_mutable] = ACTIONS(2641),
    [anon_sym_constinit] = ACTIONS(2641),
    [anon_sym_consteval] = ACTIONS(2641),
    [sym_primitive_type] = ACTIONS(2641),
    [anon_sym_enum] = ACTIONS(2641),
    [anon_sym_class] = ACTIONS(2641),
    [anon_sym_struct] = ACTIONS(2641),
    [anon_sym_union] = ACTIONS(2641),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2641),
    [anon_sym_decltype] = ACTIONS(2641),
    [anon_sym_virtual] = ACTIONS(2641),
    [anon_sym_alignas] = ACTIONS(2641),
    [anon_sym_explicit] = ACTIONS(2641),
    [anon_sym_typename] = ACTIONS(2641),
    [anon_sym_template] = ACTIONS(2641),
    [anon_sym_operator] = ACTIONS(2641),
    [anon_sym_friend] = ACTIONS(2641),
    [anon_sym_public] = ACTIONS(2641),
    [anon_sym_private] = ACTIONS(2641),
    [anon_sym_protected] = ACTIONS(2641),
    [anon_sym_using] = ACTIONS(2641),
    [anon_sym_static_assert] = ACTIONS(2641),
    [anon_sym_precise] = ACTIONS(2641),
    [anon_sym_shared] = ACTIONS(2641),
    [anon_sym_groupshared] = ACTIONS(2641),
    [anon_sym_uniform] = ACTIONS(2641),
    [anon_sym_row_major] = ACTIONS(2641),
    [anon_sym_column_major] = ACTIONS(2641),
    [anon_sym_globallycoherent] = ACTIONS(2641),
    [anon_sym_centroid] = ACTIONS(2641),
    [anon_sym_noperspective] = ACTIONS(2641),
    [anon_sym_nointerpolation] = ACTIONS(2641),
    [anon_sym_sample] = ACTIONS(2641),
    [anon_sym_linear] = ACTIONS(2641),
    [anon_sym_snorm] = ACTIONS(2641),
    [anon_sym_unorm] = ACTIONS(2641),
    [anon_sym_point] = ACTIONS(2641),
    [anon_sym_line] = ACTIONS(2641),
    [anon_sym_triangleadj] = ACTIONS(2641),
    [anon_sym_lineadj] = ACTIONS(2641),
    [anon_sym_triangle] = ACTIONS(2641),
  },
  [2878] = {
    [sym_identifier] = ACTIONS(2673),
    [aux_sym_preproc_def_token1] = ACTIONS(2673),
    [aux_sym_preproc_if_token1] = ACTIONS(2673),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2673),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2673),
    [sym_preproc_directive] = ACTIONS(2673),
    [anon_sym_LPAREN2] = ACTIONS(2675),
    [anon_sym_TILDE] = ACTIONS(2675),
    [anon_sym_STAR] = ACTIONS(2675),
    [anon_sym_AMP_AMP] = ACTIONS(2675),
    [anon_sym_AMP] = ACTIONS(2673),
    [anon_sym___extension__] = ACTIONS(2673),
    [anon_sym_typedef] = ACTIONS(2673),
    [anon_sym_in] = ACTIONS(2673),
    [anon_sym_out] = ACTIONS(2673),
    [anon_sym_inout] = ACTIONS(2673),
    [anon_sym_extern] = ACTIONS(2673),
    [anon_sym___attribute__] = ACTIONS(2673),
    [anon_sym_COLON_COLON] = ACTIONS(2675),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2675),
    [anon_sym___declspec] = ACTIONS(2673),
    [anon_sym___based] = ACTIONS(2673),
    [anon_sym_RBRACE] = ACTIONS(2675),
    [anon_sym_signed] = ACTIONS(2673),
    [anon_sym_unsigned] = ACTIONS(2673),
    [anon_sym_long] = ACTIONS(2673),
    [anon_sym_short] = ACTIONS(2673),
    [anon_sym_LBRACK] = ACTIONS(2673),
    [anon_sym_static] = ACTIONS(2673),
    [anon_sym_register] = ACTIONS(2673),
    [anon_sym_inline] = ACTIONS(2673),
    [anon_sym___inline] = ACTIONS(2673),
    [anon_sym___inline__] = ACTIONS(2673),
    [anon_sym___forceinline] = ACTIONS(2673),
    [anon_sym_thread_local] = ACTIONS(2673),
    [anon_sym___thread] = ACTIONS(2673),
    [anon_sym_const] = ACTIONS(2673),
    [anon_sym_constexpr] = ACTIONS(2673),
    [anon_sym_volatile] = ACTIONS(2673),
    [anon_sym_restrict] = ACTIONS(2673),
    [anon_sym___restrict__] = ACTIONS(2673),
    [anon_sym__Atomic] = ACTIONS(2673),
    [anon_sym__Noreturn] = ACTIONS(2673),
    [anon_sym_noreturn] = ACTIONS(2673),
    [anon_sym_mutable] = ACTIONS(2673),
    [anon_sym_constinit] = ACTIONS(2673),
    [anon_sym_consteval] = ACTIONS(2673),
    [sym_primitive_type] = ACTIONS(2673),
    [anon_sym_enum] = ACTIONS(2673),
    [anon_sym_class] = ACTIONS(2673),
    [anon_sym_struct] = ACTIONS(2673),
    [anon_sym_union] = ACTIONS(2673),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2673),
    [anon_sym_decltype] = ACTIONS(2673),
    [anon_sym_virtual] = ACTIONS(2673),
    [anon_sym_alignas] = ACTIONS(2673),
    [anon_sym_explicit] = ACTIONS(2673),
    [anon_sym_typename] = ACTIONS(2673),
    [anon_sym_template] = ACTIONS(2673),
    [anon_sym_operator] = ACTIONS(2673),
    [anon_sym_friend] = ACTIONS(2673),
    [anon_sym_public] = ACTIONS(2673),
    [anon_sym_private] = ACTIONS(2673),
    [anon_sym_protected] = ACTIONS(2673),
    [anon_sym_using] = ACTIONS(2673),
    [anon_sym_static_assert] = ACTIONS(2673),
    [anon_sym_precise] = ACTIONS(2673),
    [anon_sym_shared] = ACTIONS(2673),
    [anon_sym_groupshared] = ACTIONS(2673),
    [anon_sym_uniform] = ACTIONS(2673),
    [anon_sym_row_major] = ACTIONS(2673),
    [anon_sym_column_major] = ACTIONS(2673),
    [anon_sym_globallycoherent] = ACTIONS(2673),
    [anon_sym_centroid] = ACTIONS(2673),
    [anon_sym_noperspective] = ACTIONS(2673),
    [anon_sym_nointerpolation] = ACTIONS(2673),
    [anon_sym_sample] = ACTIONS(2673),
    [anon_sym_linear] = ACTIONS(2673),
    [anon_sym_snorm] = ACTIONS(2673),
    [anon_sym_unorm] = ACTIONS(2673),
    [anon_sym_point] = ACTIONS(2673),
    [anon_sym_line] = ACTIONS(2673),
    [anon_sym_triangleadj] = ACTIONS(2673),
    [anon_sym_lineadj] = ACTIONS(2673),
    [anon_sym_triangle] = ACTIONS(2673),
  },
  [2879] = {
    [sym_identifier] = ACTIONS(5667),
    [aux_sym_preproc_def_token1] = ACTIONS(5667),
    [aux_sym_preproc_if_token1] = ACTIONS(5667),
    [aux_sym_preproc_if_token2] = ACTIONS(5667),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5667),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5667),
    [sym_preproc_directive] = ACTIONS(5667),
    [anon_sym_LPAREN2] = ACTIONS(5669),
    [anon_sym_TILDE] = ACTIONS(5669),
    [anon_sym_STAR] = ACTIONS(5669),
    [anon_sym_AMP_AMP] = ACTIONS(5669),
    [anon_sym_AMP] = ACTIONS(5667),
    [anon_sym___extension__] = ACTIONS(5667),
    [anon_sym_typedef] = ACTIONS(5667),
    [anon_sym_in] = ACTIONS(5667),
    [anon_sym_out] = ACTIONS(5667),
    [anon_sym_inout] = ACTIONS(5667),
    [anon_sym_extern] = ACTIONS(5667),
    [anon_sym___attribute__] = ACTIONS(5667),
    [anon_sym_COLON_COLON] = ACTIONS(5669),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5669),
    [anon_sym___declspec] = ACTIONS(5667),
    [anon_sym___based] = ACTIONS(5667),
    [anon_sym_signed] = ACTIONS(5667),
    [anon_sym_unsigned] = ACTIONS(5667),
    [anon_sym_long] = ACTIONS(5667),
    [anon_sym_short] = ACTIONS(5667),
    [anon_sym_LBRACK] = ACTIONS(5667),
    [anon_sym_static] = ACTIONS(5667),
    [anon_sym_register] = ACTIONS(5667),
    [anon_sym_inline] = ACTIONS(5667),
    [anon_sym___inline] = ACTIONS(5667),
    [anon_sym___inline__] = ACTIONS(5667),
    [anon_sym___forceinline] = ACTIONS(5667),
    [anon_sym_thread_local] = ACTIONS(5667),
    [anon_sym___thread] = ACTIONS(5667),
    [anon_sym_const] = ACTIONS(5667),
    [anon_sym_constexpr] = ACTIONS(5667),
    [anon_sym_volatile] = ACTIONS(5667),
    [anon_sym_restrict] = ACTIONS(5667),
    [anon_sym___restrict__] = ACTIONS(5667),
    [anon_sym__Atomic] = ACTIONS(5667),
    [anon_sym__Noreturn] = ACTIONS(5667),
    [anon_sym_noreturn] = ACTIONS(5667),
    [anon_sym_mutable] = ACTIONS(5667),
    [anon_sym_constinit] = ACTIONS(5667),
    [anon_sym_consteval] = ACTIONS(5667),
    [sym_primitive_type] = ACTIONS(5667),
    [anon_sym_enum] = ACTIONS(5667),
    [anon_sym_class] = ACTIONS(5667),
    [anon_sym_struct] = ACTIONS(5667),
    [anon_sym_union] = ACTIONS(5667),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5667),
    [anon_sym_decltype] = ACTIONS(5667),
    [anon_sym_virtual] = ACTIONS(5667),
    [anon_sym_alignas] = ACTIONS(5667),
    [anon_sym_explicit] = ACTIONS(5667),
    [anon_sym_typename] = ACTIONS(5667),
    [anon_sym_template] = ACTIONS(5667),
    [anon_sym_operator] = ACTIONS(5667),
    [anon_sym_friend] = ACTIONS(5667),
    [anon_sym_public] = ACTIONS(5667),
    [anon_sym_private] = ACTIONS(5667),
    [anon_sym_protected] = ACTIONS(5667),
    [anon_sym_using] = ACTIONS(5667),
    [anon_sym_static_assert] = ACTIONS(5667),
    [anon_sym_precise] = ACTIONS(5667),
    [anon_sym_shared] = ACTIONS(5667),
    [anon_sym_groupshared] = ACTIONS(5667),
    [anon_sym_uniform] = ACTIONS(5667),
    [anon_sym_row_major] = ACTIONS(5667),
    [anon_sym_column_major] = ACTIONS(5667),
    [anon_sym_globallycoherent] = ACTIONS(5667),
    [anon_sym_centroid] = ACTIONS(5667),
    [anon_sym_noperspective] = ACTIONS(5667),
    [anon_sym_nointerpolation] = ACTIONS(5667),
    [anon_sym_sample] = ACTIONS(5667),
    [anon_sym_linear] = ACTIONS(5667),
    [anon_sym_snorm] = ACTIONS(5667),
    [anon_sym_unorm] = ACTIONS(5667),
    [anon_sym_point] = ACTIONS(5667),
    [anon_sym_line] = ACTIONS(5667),
    [anon_sym_triangleadj] = ACTIONS(5667),
    [anon_sym_lineadj] = ACTIONS(5667),
    [anon_sym_triangle] = ACTIONS(5667),
  },
  [2880] = {
    [sym_identifier] = ACTIONS(2793),
    [aux_sym_preproc_def_token1] = ACTIONS(2793),
    [aux_sym_preproc_if_token1] = ACTIONS(2793),
    [aux_sym_preproc_if_token2] = ACTIONS(2793),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2793),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2793),
    [sym_preproc_directive] = ACTIONS(2793),
    [anon_sym_LPAREN2] = ACTIONS(2795),
    [anon_sym_TILDE] = ACTIONS(2795),
    [anon_sym_STAR] = ACTIONS(2795),
    [anon_sym_AMP_AMP] = ACTIONS(2795),
    [anon_sym_AMP] = ACTIONS(2793),
    [anon_sym___extension__] = ACTIONS(2793),
    [anon_sym_typedef] = ACTIONS(2793),
    [anon_sym_in] = ACTIONS(2793),
    [anon_sym_out] = ACTIONS(2793),
    [anon_sym_inout] = ACTIONS(2793),
    [anon_sym_extern] = ACTIONS(2793),
    [anon_sym___attribute__] = ACTIONS(2793),
    [anon_sym_COLON_COLON] = ACTIONS(2795),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2795),
    [anon_sym___declspec] = ACTIONS(2793),
    [anon_sym___based] = ACTIONS(2793),
    [anon_sym_signed] = ACTIONS(2793),
    [anon_sym_unsigned] = ACTIONS(2793),
    [anon_sym_long] = ACTIONS(2793),
    [anon_sym_short] = ACTIONS(2793),
    [anon_sym_LBRACK] = ACTIONS(2793),
    [anon_sym_static] = ACTIONS(2793),
    [anon_sym_register] = ACTIONS(2793),
    [anon_sym_inline] = ACTIONS(2793),
    [anon_sym___inline] = ACTIONS(2793),
    [anon_sym___inline__] = ACTIONS(2793),
    [anon_sym___forceinline] = ACTIONS(2793),
    [anon_sym_thread_local] = ACTIONS(2793),
    [anon_sym___thread] = ACTIONS(2793),
    [anon_sym_const] = ACTIONS(2793),
    [anon_sym_constexpr] = ACTIONS(2793),
    [anon_sym_volatile] = ACTIONS(2793),
    [anon_sym_restrict] = ACTIONS(2793),
    [anon_sym___restrict__] = ACTIONS(2793),
    [anon_sym__Atomic] = ACTIONS(2793),
    [anon_sym__Noreturn] = ACTIONS(2793),
    [anon_sym_noreturn] = ACTIONS(2793),
    [anon_sym_mutable] = ACTIONS(2793),
    [anon_sym_constinit] = ACTIONS(2793),
    [anon_sym_consteval] = ACTIONS(2793),
    [sym_primitive_type] = ACTIONS(2793),
    [anon_sym_enum] = ACTIONS(2793),
    [anon_sym_class] = ACTIONS(2793),
    [anon_sym_struct] = ACTIONS(2793),
    [anon_sym_union] = ACTIONS(2793),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2793),
    [anon_sym_decltype] = ACTIONS(2793),
    [anon_sym_virtual] = ACTIONS(2793),
    [anon_sym_alignas] = ACTIONS(2793),
    [anon_sym_explicit] = ACTIONS(2793),
    [anon_sym_typename] = ACTIONS(2793),
    [anon_sym_template] = ACTIONS(2793),
    [anon_sym_operator] = ACTIONS(2793),
    [anon_sym_friend] = ACTIONS(2793),
    [anon_sym_public] = ACTIONS(2793),
    [anon_sym_private] = ACTIONS(2793),
    [anon_sym_protected] = ACTIONS(2793),
    [anon_sym_using] = ACTIONS(2793),
    [anon_sym_static_assert] = ACTIONS(2793),
    [anon_sym_precise] = ACTIONS(2793),
    [anon_sym_shared] = ACTIONS(2793),
    [anon_sym_groupshared] = ACTIONS(2793),
    [anon_sym_uniform] = ACTIONS(2793),
    [anon_sym_row_major] = ACTIONS(2793),
    [anon_sym_column_major] = ACTIONS(2793),
    [anon_sym_globallycoherent] = ACTIONS(2793),
    [anon_sym_centroid] = ACTIONS(2793),
    [anon_sym_noperspective] = ACTIONS(2793),
    [anon_sym_nointerpolation] = ACTIONS(2793),
    [anon_sym_sample] = ACTIONS(2793),
    [anon_sym_linear] = ACTIONS(2793),
    [anon_sym_snorm] = ACTIONS(2793),
    [anon_sym_unorm] = ACTIONS(2793),
    [anon_sym_point] = ACTIONS(2793),
    [anon_sym_line] = ACTIONS(2793),
    [anon_sym_triangleadj] = ACTIONS(2793),
    [anon_sym_lineadj] = ACTIONS(2793),
    [anon_sym_triangle] = ACTIONS(2793),
  },
  [2881] = {
    [sym_identifier] = ACTIONS(5667),
    [aux_sym_preproc_def_token1] = ACTIONS(5667),
    [aux_sym_preproc_if_token1] = ACTIONS(5667),
    [aux_sym_preproc_if_token2] = ACTIONS(5667),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5667),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5667),
    [sym_preproc_directive] = ACTIONS(5667),
    [anon_sym_LPAREN2] = ACTIONS(5669),
    [anon_sym_TILDE] = ACTIONS(5669),
    [anon_sym_STAR] = ACTIONS(5669),
    [anon_sym_AMP_AMP] = ACTIONS(5669),
    [anon_sym_AMP] = ACTIONS(5667),
    [anon_sym___extension__] = ACTIONS(5667),
    [anon_sym_typedef] = ACTIONS(5667),
    [anon_sym_in] = ACTIONS(5667),
    [anon_sym_out] = ACTIONS(5667),
    [anon_sym_inout] = ACTIONS(5667),
    [anon_sym_extern] = ACTIONS(5667),
    [anon_sym___attribute__] = ACTIONS(5667),
    [anon_sym_COLON_COLON] = ACTIONS(5669),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5669),
    [anon_sym___declspec] = ACTIONS(5667),
    [anon_sym___based] = ACTIONS(5667),
    [anon_sym_signed] = ACTIONS(5667),
    [anon_sym_unsigned] = ACTIONS(5667),
    [anon_sym_long] = ACTIONS(5667),
    [anon_sym_short] = ACTIONS(5667),
    [anon_sym_LBRACK] = ACTIONS(5667),
    [anon_sym_static] = ACTIONS(5667),
    [anon_sym_register] = ACTIONS(5667),
    [anon_sym_inline] = ACTIONS(5667),
    [anon_sym___inline] = ACTIONS(5667),
    [anon_sym___inline__] = ACTIONS(5667),
    [anon_sym___forceinline] = ACTIONS(5667),
    [anon_sym_thread_local] = ACTIONS(5667),
    [anon_sym___thread] = ACTIONS(5667),
    [anon_sym_const] = ACTIONS(5667),
    [anon_sym_constexpr] = ACTIONS(5667),
    [anon_sym_volatile] = ACTIONS(5667),
    [anon_sym_restrict] = ACTIONS(5667),
    [anon_sym___restrict__] = ACTIONS(5667),
    [anon_sym__Atomic] = ACTIONS(5667),
    [anon_sym__Noreturn] = ACTIONS(5667),
    [anon_sym_noreturn] = ACTIONS(5667),
    [anon_sym_mutable] = ACTIONS(5667),
    [anon_sym_constinit] = ACTIONS(5667),
    [anon_sym_consteval] = ACTIONS(5667),
    [sym_primitive_type] = ACTIONS(5667),
    [anon_sym_enum] = ACTIONS(5667),
    [anon_sym_class] = ACTIONS(5667),
    [anon_sym_struct] = ACTIONS(5667),
    [anon_sym_union] = ACTIONS(5667),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5667),
    [anon_sym_decltype] = ACTIONS(5667),
    [anon_sym_virtual] = ACTIONS(5667),
    [anon_sym_alignas] = ACTIONS(5667),
    [anon_sym_explicit] = ACTIONS(5667),
    [anon_sym_typename] = ACTIONS(5667),
    [anon_sym_template] = ACTIONS(5667),
    [anon_sym_operator] = ACTIONS(5667),
    [anon_sym_friend] = ACTIONS(5667),
    [anon_sym_public] = ACTIONS(5667),
    [anon_sym_private] = ACTIONS(5667),
    [anon_sym_protected] = ACTIONS(5667),
    [anon_sym_using] = ACTIONS(5667),
    [anon_sym_static_assert] = ACTIONS(5667),
    [anon_sym_precise] = ACTIONS(5667),
    [anon_sym_shared] = ACTIONS(5667),
    [anon_sym_groupshared] = ACTIONS(5667),
    [anon_sym_uniform] = ACTIONS(5667),
    [anon_sym_row_major] = ACTIONS(5667),
    [anon_sym_column_major] = ACTIONS(5667),
    [anon_sym_globallycoherent] = ACTIONS(5667),
    [anon_sym_centroid] = ACTIONS(5667),
    [anon_sym_noperspective] = ACTIONS(5667),
    [anon_sym_nointerpolation] = ACTIONS(5667),
    [anon_sym_sample] = ACTIONS(5667),
    [anon_sym_linear] = ACTIONS(5667),
    [anon_sym_snorm] = ACTIONS(5667),
    [anon_sym_unorm] = ACTIONS(5667),
    [anon_sym_point] = ACTIONS(5667),
    [anon_sym_line] = ACTIONS(5667),
    [anon_sym_triangleadj] = ACTIONS(5667),
    [anon_sym_lineadj] = ACTIONS(5667),
    [anon_sym_triangle] = ACTIONS(5667),
  },
  [2882] = {
    [sym_identifier] = ACTIONS(2388),
    [aux_sym_preproc_def_token1] = ACTIONS(2388),
    [aux_sym_preproc_if_token1] = ACTIONS(2388),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2388),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2388),
    [sym_preproc_directive] = ACTIONS(2388),
    [anon_sym_LPAREN2] = ACTIONS(2390),
    [anon_sym_TILDE] = ACTIONS(2390),
    [anon_sym_STAR] = ACTIONS(2390),
    [anon_sym_AMP_AMP] = ACTIONS(2390),
    [anon_sym_AMP] = ACTIONS(2388),
    [anon_sym___extension__] = ACTIONS(2388),
    [anon_sym_typedef] = ACTIONS(2388),
    [anon_sym_in] = ACTIONS(2388),
    [anon_sym_out] = ACTIONS(2388),
    [anon_sym_inout] = ACTIONS(2388),
    [anon_sym_extern] = ACTIONS(2388),
    [anon_sym___attribute__] = ACTIONS(2388),
    [anon_sym_COLON_COLON] = ACTIONS(2390),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2390),
    [anon_sym___declspec] = ACTIONS(2388),
    [anon_sym___based] = ACTIONS(2388),
    [anon_sym_RBRACE] = ACTIONS(2390),
    [anon_sym_signed] = ACTIONS(2388),
    [anon_sym_unsigned] = ACTIONS(2388),
    [anon_sym_long] = ACTIONS(2388),
    [anon_sym_short] = ACTIONS(2388),
    [anon_sym_LBRACK] = ACTIONS(2388),
    [anon_sym_static] = ACTIONS(2388),
    [anon_sym_register] = ACTIONS(2388),
    [anon_sym_inline] = ACTIONS(2388),
    [anon_sym___inline] = ACTIONS(2388),
    [anon_sym___inline__] = ACTIONS(2388),
    [anon_sym___forceinline] = ACTIONS(2388),
    [anon_sym_thread_local] = ACTIONS(2388),
    [anon_sym___thread] = ACTIONS(2388),
    [anon_sym_const] = ACTIONS(2388),
    [anon_sym_constexpr] = ACTIONS(2388),
    [anon_sym_volatile] = ACTIONS(2388),
    [anon_sym_restrict] = ACTIONS(2388),
    [anon_sym___restrict__] = ACTIONS(2388),
    [anon_sym__Atomic] = ACTIONS(2388),
    [anon_sym__Noreturn] = ACTIONS(2388),
    [anon_sym_noreturn] = ACTIONS(2388),
    [anon_sym_mutable] = ACTIONS(2388),
    [anon_sym_constinit] = ACTIONS(2388),
    [anon_sym_consteval] = ACTIONS(2388),
    [sym_primitive_type] = ACTIONS(2388),
    [anon_sym_enum] = ACTIONS(2388),
    [anon_sym_class] = ACTIONS(2388),
    [anon_sym_struct] = ACTIONS(2388),
    [anon_sym_union] = ACTIONS(2388),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2388),
    [anon_sym_decltype] = ACTIONS(2388),
    [anon_sym_virtual] = ACTIONS(2388),
    [anon_sym_alignas] = ACTIONS(2388),
    [anon_sym_explicit] = ACTIONS(2388),
    [anon_sym_typename] = ACTIONS(2388),
    [anon_sym_template] = ACTIONS(2388),
    [anon_sym_operator] = ACTIONS(2388),
    [anon_sym_friend] = ACTIONS(2388),
    [anon_sym_public] = ACTIONS(2388),
    [anon_sym_private] = ACTIONS(2388),
    [anon_sym_protected] = ACTIONS(2388),
    [anon_sym_using] = ACTIONS(2388),
    [anon_sym_static_assert] = ACTIONS(2388),
    [anon_sym_precise] = ACTIONS(2388),
    [anon_sym_shared] = ACTIONS(2388),
    [anon_sym_groupshared] = ACTIONS(2388),
    [anon_sym_uniform] = ACTIONS(2388),
    [anon_sym_row_major] = ACTIONS(2388),
    [anon_sym_column_major] = ACTIONS(2388),
    [anon_sym_globallycoherent] = ACTIONS(2388),
    [anon_sym_centroid] = ACTIONS(2388),
    [anon_sym_noperspective] = ACTIONS(2388),
    [anon_sym_nointerpolation] = ACTIONS(2388),
    [anon_sym_sample] = ACTIONS(2388),
    [anon_sym_linear] = ACTIONS(2388),
    [anon_sym_snorm] = ACTIONS(2388),
    [anon_sym_unorm] = ACTIONS(2388),
    [anon_sym_point] = ACTIONS(2388),
    [anon_sym_line] = ACTIONS(2388),
    [anon_sym_triangleadj] = ACTIONS(2388),
    [anon_sym_lineadj] = ACTIONS(2388),
    [anon_sym_triangle] = ACTIONS(2388),
  },
  [2883] = {
    [sym_identifier] = ACTIONS(5663),
    [aux_sym_preproc_def_token1] = ACTIONS(5663),
    [aux_sym_preproc_if_token1] = ACTIONS(5663),
    [aux_sym_preproc_if_token2] = ACTIONS(5663),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5663),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5663),
    [sym_preproc_directive] = ACTIONS(5663),
    [anon_sym_LPAREN2] = ACTIONS(5665),
    [anon_sym_TILDE] = ACTIONS(5665),
    [anon_sym_STAR] = ACTIONS(5665),
    [anon_sym_AMP_AMP] = ACTIONS(5665),
    [anon_sym_AMP] = ACTIONS(5663),
    [anon_sym___extension__] = ACTIONS(5663),
    [anon_sym_typedef] = ACTIONS(5663),
    [anon_sym_in] = ACTIONS(5663),
    [anon_sym_out] = ACTIONS(5663),
    [anon_sym_inout] = ACTIONS(5663),
    [anon_sym_extern] = ACTIONS(5663),
    [anon_sym___attribute__] = ACTIONS(5663),
    [anon_sym_COLON_COLON] = ACTIONS(5665),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5665),
    [anon_sym___declspec] = ACTIONS(5663),
    [anon_sym___based] = ACTIONS(5663),
    [anon_sym_signed] = ACTIONS(5663),
    [anon_sym_unsigned] = ACTIONS(5663),
    [anon_sym_long] = ACTIONS(5663),
    [anon_sym_short] = ACTIONS(5663),
    [anon_sym_LBRACK] = ACTIONS(5663),
    [anon_sym_static] = ACTIONS(5663),
    [anon_sym_register] = ACTIONS(5663),
    [anon_sym_inline] = ACTIONS(5663),
    [anon_sym___inline] = ACTIONS(5663),
    [anon_sym___inline__] = ACTIONS(5663),
    [anon_sym___forceinline] = ACTIONS(5663),
    [anon_sym_thread_local] = ACTIONS(5663),
    [anon_sym___thread] = ACTIONS(5663),
    [anon_sym_const] = ACTIONS(5663),
    [anon_sym_constexpr] = ACTIONS(5663),
    [anon_sym_volatile] = ACTIONS(5663),
    [anon_sym_restrict] = ACTIONS(5663),
    [anon_sym___restrict__] = ACTIONS(5663),
    [anon_sym__Atomic] = ACTIONS(5663),
    [anon_sym__Noreturn] = ACTIONS(5663),
    [anon_sym_noreturn] = ACTIONS(5663),
    [anon_sym_mutable] = ACTIONS(5663),
    [anon_sym_constinit] = ACTIONS(5663),
    [anon_sym_consteval] = ACTIONS(5663),
    [sym_primitive_type] = ACTIONS(5663),
    [anon_sym_enum] = ACTIONS(5663),
    [anon_sym_class] = ACTIONS(5663),
    [anon_sym_struct] = ACTIONS(5663),
    [anon_sym_union] = ACTIONS(5663),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5663),
    [anon_sym_decltype] = ACTIONS(5663),
    [anon_sym_virtual] = ACTIONS(5663),
    [anon_sym_alignas] = ACTIONS(5663),
    [anon_sym_explicit] = ACTIONS(5663),
    [anon_sym_typename] = ACTIONS(5663),
    [anon_sym_template] = ACTIONS(5663),
    [anon_sym_operator] = ACTIONS(5663),
    [anon_sym_friend] = ACTIONS(5663),
    [anon_sym_public] = ACTIONS(5663),
    [anon_sym_private] = ACTIONS(5663),
    [anon_sym_protected] = ACTIONS(5663),
    [anon_sym_using] = ACTIONS(5663),
    [anon_sym_static_assert] = ACTIONS(5663),
    [anon_sym_precise] = ACTIONS(5663),
    [anon_sym_shared] = ACTIONS(5663),
    [anon_sym_groupshared] = ACTIONS(5663),
    [anon_sym_uniform] = ACTIONS(5663),
    [anon_sym_row_major] = ACTIONS(5663),
    [anon_sym_column_major] = ACTIONS(5663),
    [anon_sym_globallycoherent] = ACTIONS(5663),
    [anon_sym_centroid] = ACTIONS(5663),
    [anon_sym_noperspective] = ACTIONS(5663),
    [anon_sym_nointerpolation] = ACTIONS(5663),
    [anon_sym_sample] = ACTIONS(5663),
    [anon_sym_linear] = ACTIONS(5663),
    [anon_sym_snorm] = ACTIONS(5663),
    [anon_sym_unorm] = ACTIONS(5663),
    [anon_sym_point] = ACTIONS(5663),
    [anon_sym_line] = ACTIONS(5663),
    [anon_sym_triangleadj] = ACTIONS(5663),
    [anon_sym_lineadj] = ACTIONS(5663),
    [anon_sym_triangle] = ACTIONS(5663),
  },
  [2884] = {
    [sym_identifier] = ACTIONS(5659),
    [aux_sym_preproc_def_token1] = ACTIONS(5659),
    [aux_sym_preproc_if_token1] = ACTIONS(5659),
    [aux_sym_preproc_if_token2] = ACTIONS(5659),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5659),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5659),
    [sym_preproc_directive] = ACTIONS(5659),
    [anon_sym_LPAREN2] = ACTIONS(5661),
    [anon_sym_TILDE] = ACTIONS(5661),
    [anon_sym_STAR] = ACTIONS(5661),
    [anon_sym_AMP_AMP] = ACTIONS(5661),
    [anon_sym_AMP] = ACTIONS(5659),
    [anon_sym___extension__] = ACTIONS(5659),
    [anon_sym_typedef] = ACTIONS(5659),
    [anon_sym_in] = ACTIONS(5659),
    [anon_sym_out] = ACTIONS(5659),
    [anon_sym_inout] = ACTIONS(5659),
    [anon_sym_extern] = ACTIONS(5659),
    [anon_sym___attribute__] = ACTIONS(5659),
    [anon_sym_COLON_COLON] = ACTIONS(5661),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5661),
    [anon_sym___declspec] = ACTIONS(5659),
    [anon_sym___based] = ACTIONS(5659),
    [anon_sym_signed] = ACTIONS(5659),
    [anon_sym_unsigned] = ACTIONS(5659),
    [anon_sym_long] = ACTIONS(5659),
    [anon_sym_short] = ACTIONS(5659),
    [anon_sym_LBRACK] = ACTIONS(5659),
    [anon_sym_static] = ACTIONS(5659),
    [anon_sym_register] = ACTIONS(5659),
    [anon_sym_inline] = ACTIONS(5659),
    [anon_sym___inline] = ACTIONS(5659),
    [anon_sym___inline__] = ACTIONS(5659),
    [anon_sym___forceinline] = ACTIONS(5659),
    [anon_sym_thread_local] = ACTIONS(5659),
    [anon_sym___thread] = ACTIONS(5659),
    [anon_sym_const] = ACTIONS(5659),
    [anon_sym_constexpr] = ACTIONS(5659),
    [anon_sym_volatile] = ACTIONS(5659),
    [anon_sym_restrict] = ACTIONS(5659),
    [anon_sym___restrict__] = ACTIONS(5659),
    [anon_sym__Atomic] = ACTIONS(5659),
    [anon_sym__Noreturn] = ACTIONS(5659),
    [anon_sym_noreturn] = ACTIONS(5659),
    [anon_sym_mutable] = ACTIONS(5659),
    [anon_sym_constinit] = ACTIONS(5659),
    [anon_sym_consteval] = ACTIONS(5659),
    [sym_primitive_type] = ACTIONS(5659),
    [anon_sym_enum] = ACTIONS(5659),
    [anon_sym_class] = ACTIONS(5659),
    [anon_sym_struct] = ACTIONS(5659),
    [anon_sym_union] = ACTIONS(5659),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5659),
    [anon_sym_decltype] = ACTIONS(5659),
    [anon_sym_virtual] = ACTIONS(5659),
    [anon_sym_alignas] = ACTIONS(5659),
    [anon_sym_explicit] = ACTIONS(5659),
    [anon_sym_typename] = ACTIONS(5659),
    [anon_sym_template] = ACTIONS(5659),
    [anon_sym_operator] = ACTIONS(5659),
    [anon_sym_friend] = ACTIONS(5659),
    [anon_sym_public] = ACTIONS(5659),
    [anon_sym_private] = ACTIONS(5659),
    [anon_sym_protected] = ACTIONS(5659),
    [anon_sym_using] = ACTIONS(5659),
    [anon_sym_static_assert] = ACTIONS(5659),
    [anon_sym_precise] = ACTIONS(5659),
    [anon_sym_shared] = ACTIONS(5659),
    [anon_sym_groupshared] = ACTIONS(5659),
    [anon_sym_uniform] = ACTIONS(5659),
    [anon_sym_row_major] = ACTIONS(5659),
    [anon_sym_column_major] = ACTIONS(5659),
    [anon_sym_globallycoherent] = ACTIONS(5659),
    [anon_sym_centroid] = ACTIONS(5659),
    [anon_sym_noperspective] = ACTIONS(5659),
    [anon_sym_nointerpolation] = ACTIONS(5659),
    [anon_sym_sample] = ACTIONS(5659),
    [anon_sym_linear] = ACTIONS(5659),
    [anon_sym_snorm] = ACTIONS(5659),
    [anon_sym_unorm] = ACTIONS(5659),
    [anon_sym_point] = ACTIONS(5659),
    [anon_sym_line] = ACTIONS(5659),
    [anon_sym_triangleadj] = ACTIONS(5659),
    [anon_sym_lineadj] = ACTIONS(5659),
    [anon_sym_triangle] = ACTIONS(5659),
  },
  [2885] = {
    [sym_identifier] = ACTIONS(2805),
    [aux_sym_preproc_def_token1] = ACTIONS(2805),
    [aux_sym_preproc_if_token1] = ACTIONS(2805),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2805),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2805),
    [sym_preproc_directive] = ACTIONS(2805),
    [anon_sym_LPAREN2] = ACTIONS(2807),
    [anon_sym_TILDE] = ACTIONS(2807),
    [anon_sym_STAR] = ACTIONS(2807),
    [anon_sym_AMP_AMP] = ACTIONS(2807),
    [anon_sym_AMP] = ACTIONS(2805),
    [anon_sym___extension__] = ACTIONS(2805),
    [anon_sym_typedef] = ACTIONS(2805),
    [anon_sym_in] = ACTIONS(2805),
    [anon_sym_out] = ACTIONS(2805),
    [anon_sym_inout] = ACTIONS(2805),
    [anon_sym_extern] = ACTIONS(2805),
    [anon_sym___attribute__] = ACTIONS(2805),
    [anon_sym_COLON_COLON] = ACTIONS(2807),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2807),
    [anon_sym___declspec] = ACTIONS(2805),
    [anon_sym___based] = ACTIONS(2805),
    [anon_sym_RBRACE] = ACTIONS(2807),
    [anon_sym_signed] = ACTIONS(2805),
    [anon_sym_unsigned] = ACTIONS(2805),
    [anon_sym_long] = ACTIONS(2805),
    [anon_sym_short] = ACTIONS(2805),
    [anon_sym_LBRACK] = ACTIONS(2805),
    [anon_sym_static] = ACTIONS(2805),
    [anon_sym_register] = ACTIONS(2805),
    [anon_sym_inline] = ACTIONS(2805),
    [anon_sym___inline] = ACTIONS(2805),
    [anon_sym___inline__] = ACTIONS(2805),
    [anon_sym___forceinline] = ACTIONS(2805),
    [anon_sym_thread_local] = ACTIONS(2805),
    [anon_sym___thread] = ACTIONS(2805),
    [anon_sym_const] = ACTIONS(2805),
    [anon_sym_constexpr] = ACTIONS(2805),
    [anon_sym_volatile] = ACTIONS(2805),
    [anon_sym_restrict] = ACTIONS(2805),
    [anon_sym___restrict__] = ACTIONS(2805),
    [anon_sym__Atomic] = ACTIONS(2805),
    [anon_sym__Noreturn] = ACTIONS(2805),
    [anon_sym_noreturn] = ACTIONS(2805),
    [anon_sym_mutable] = ACTIONS(2805),
    [anon_sym_constinit] = ACTIONS(2805),
    [anon_sym_consteval] = ACTIONS(2805),
    [sym_primitive_type] = ACTIONS(2805),
    [anon_sym_enum] = ACTIONS(2805),
    [anon_sym_class] = ACTIONS(2805),
    [anon_sym_struct] = ACTIONS(2805),
    [anon_sym_union] = ACTIONS(2805),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2805),
    [anon_sym_decltype] = ACTIONS(2805),
    [anon_sym_virtual] = ACTIONS(2805),
    [anon_sym_alignas] = ACTIONS(2805),
    [anon_sym_explicit] = ACTIONS(2805),
    [anon_sym_typename] = ACTIONS(2805),
    [anon_sym_template] = ACTIONS(2805),
    [anon_sym_operator] = ACTIONS(2805),
    [anon_sym_friend] = ACTIONS(2805),
    [anon_sym_public] = ACTIONS(2805),
    [anon_sym_private] = ACTIONS(2805),
    [anon_sym_protected] = ACTIONS(2805),
    [anon_sym_using] = ACTIONS(2805),
    [anon_sym_static_assert] = ACTIONS(2805),
    [anon_sym_precise] = ACTIONS(2805),
    [anon_sym_shared] = ACTIONS(2805),
    [anon_sym_groupshared] = ACTIONS(2805),
    [anon_sym_uniform] = ACTIONS(2805),
    [anon_sym_row_major] = ACTIONS(2805),
    [anon_sym_column_major] = ACTIONS(2805),
    [anon_sym_globallycoherent] = ACTIONS(2805),
    [anon_sym_centroid] = ACTIONS(2805),
    [anon_sym_noperspective] = ACTIONS(2805),
    [anon_sym_nointerpolation] = ACTIONS(2805),
    [anon_sym_sample] = ACTIONS(2805),
    [anon_sym_linear] = ACTIONS(2805),
    [anon_sym_snorm] = ACTIONS(2805),
    [anon_sym_unorm] = ACTIONS(2805),
    [anon_sym_point] = ACTIONS(2805),
    [anon_sym_line] = ACTIONS(2805),
    [anon_sym_triangleadj] = ACTIONS(2805),
    [anon_sym_lineadj] = ACTIONS(2805),
    [anon_sym_triangle] = ACTIONS(2805),
  },
  [2886] = {
    [sym_identifier] = ACTIONS(2625),
    [aux_sym_preproc_def_token1] = ACTIONS(2625),
    [aux_sym_preproc_if_token1] = ACTIONS(2625),
    [aux_sym_preproc_if_token2] = ACTIONS(2625),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2625),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2625),
    [sym_preproc_directive] = ACTIONS(2625),
    [anon_sym_LPAREN2] = ACTIONS(2627),
    [anon_sym_TILDE] = ACTIONS(2627),
    [anon_sym_STAR] = ACTIONS(2627),
    [anon_sym_AMP_AMP] = ACTIONS(2627),
    [anon_sym_AMP] = ACTIONS(2625),
    [anon_sym___extension__] = ACTIONS(2625),
    [anon_sym_typedef] = ACTIONS(2625),
    [anon_sym_in] = ACTIONS(2625),
    [anon_sym_out] = ACTIONS(2625),
    [anon_sym_inout] = ACTIONS(2625),
    [anon_sym_extern] = ACTIONS(2625),
    [anon_sym___attribute__] = ACTIONS(2625),
    [anon_sym_COLON_COLON] = ACTIONS(2627),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2627),
    [anon_sym___declspec] = ACTIONS(2625),
    [anon_sym___based] = ACTIONS(2625),
    [anon_sym_signed] = ACTIONS(2625),
    [anon_sym_unsigned] = ACTIONS(2625),
    [anon_sym_long] = ACTIONS(2625),
    [anon_sym_short] = ACTIONS(2625),
    [anon_sym_LBRACK] = ACTIONS(2625),
    [anon_sym_static] = ACTIONS(2625),
    [anon_sym_register] = ACTIONS(2625),
    [anon_sym_inline] = ACTIONS(2625),
    [anon_sym___inline] = ACTIONS(2625),
    [anon_sym___inline__] = ACTIONS(2625),
    [anon_sym___forceinline] = ACTIONS(2625),
    [anon_sym_thread_local] = ACTIONS(2625),
    [anon_sym___thread] = ACTIONS(2625),
    [anon_sym_const] = ACTIONS(2625),
    [anon_sym_constexpr] = ACTIONS(2625),
    [anon_sym_volatile] = ACTIONS(2625),
    [anon_sym_restrict] = ACTIONS(2625),
    [anon_sym___restrict__] = ACTIONS(2625),
    [anon_sym__Atomic] = ACTIONS(2625),
    [anon_sym__Noreturn] = ACTIONS(2625),
    [anon_sym_noreturn] = ACTIONS(2625),
    [anon_sym_mutable] = ACTIONS(2625),
    [anon_sym_constinit] = ACTIONS(2625),
    [anon_sym_consteval] = ACTIONS(2625),
    [sym_primitive_type] = ACTIONS(2625),
    [anon_sym_enum] = ACTIONS(2625),
    [anon_sym_class] = ACTIONS(2625),
    [anon_sym_struct] = ACTIONS(2625),
    [anon_sym_union] = ACTIONS(2625),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2625),
    [anon_sym_decltype] = ACTIONS(2625),
    [anon_sym_virtual] = ACTIONS(2625),
    [anon_sym_alignas] = ACTIONS(2625),
    [anon_sym_explicit] = ACTIONS(2625),
    [anon_sym_typename] = ACTIONS(2625),
    [anon_sym_template] = ACTIONS(2625),
    [anon_sym_operator] = ACTIONS(2625),
    [anon_sym_friend] = ACTIONS(2625),
    [anon_sym_public] = ACTIONS(2625),
    [anon_sym_private] = ACTIONS(2625),
    [anon_sym_protected] = ACTIONS(2625),
    [anon_sym_using] = ACTIONS(2625),
    [anon_sym_static_assert] = ACTIONS(2625),
    [anon_sym_precise] = ACTIONS(2625),
    [anon_sym_shared] = ACTIONS(2625),
    [anon_sym_groupshared] = ACTIONS(2625),
    [anon_sym_uniform] = ACTIONS(2625),
    [anon_sym_row_major] = ACTIONS(2625),
    [anon_sym_column_major] = ACTIONS(2625),
    [anon_sym_globallycoherent] = ACTIONS(2625),
    [anon_sym_centroid] = ACTIONS(2625),
    [anon_sym_noperspective] = ACTIONS(2625),
    [anon_sym_nointerpolation] = ACTIONS(2625),
    [anon_sym_sample] = ACTIONS(2625),
    [anon_sym_linear] = ACTIONS(2625),
    [anon_sym_snorm] = ACTIONS(2625),
    [anon_sym_unorm] = ACTIONS(2625),
    [anon_sym_point] = ACTIONS(2625),
    [anon_sym_line] = ACTIONS(2625),
    [anon_sym_triangleadj] = ACTIONS(2625),
    [anon_sym_lineadj] = ACTIONS(2625),
    [anon_sym_triangle] = ACTIONS(2625),
  },
  [2887] = {
    [sym_identifier] = ACTIONS(2797),
    [aux_sym_preproc_def_token1] = ACTIONS(2797),
    [aux_sym_preproc_if_token1] = ACTIONS(2797),
    [aux_sym_preproc_if_token2] = ACTIONS(2797),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2797),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2797),
    [sym_preproc_directive] = ACTIONS(2797),
    [anon_sym_LPAREN2] = ACTIONS(2799),
    [anon_sym_TILDE] = ACTIONS(2799),
    [anon_sym_STAR] = ACTIONS(2799),
    [anon_sym_AMP_AMP] = ACTIONS(2799),
    [anon_sym_AMP] = ACTIONS(2797),
    [anon_sym___extension__] = ACTIONS(2797),
    [anon_sym_typedef] = ACTIONS(2797),
    [anon_sym_in] = ACTIONS(2797),
    [anon_sym_out] = ACTIONS(2797),
    [anon_sym_inout] = ACTIONS(2797),
    [anon_sym_extern] = ACTIONS(2797),
    [anon_sym___attribute__] = ACTIONS(2797),
    [anon_sym_COLON_COLON] = ACTIONS(2799),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2799),
    [anon_sym___declspec] = ACTIONS(2797),
    [anon_sym___based] = ACTIONS(2797),
    [anon_sym_signed] = ACTIONS(2797),
    [anon_sym_unsigned] = ACTIONS(2797),
    [anon_sym_long] = ACTIONS(2797),
    [anon_sym_short] = ACTIONS(2797),
    [anon_sym_LBRACK] = ACTIONS(2797),
    [anon_sym_static] = ACTIONS(2797),
    [anon_sym_register] = ACTIONS(2797),
    [anon_sym_inline] = ACTIONS(2797),
    [anon_sym___inline] = ACTIONS(2797),
    [anon_sym___inline__] = ACTIONS(2797),
    [anon_sym___forceinline] = ACTIONS(2797),
    [anon_sym_thread_local] = ACTIONS(2797),
    [anon_sym___thread] = ACTIONS(2797),
    [anon_sym_const] = ACTIONS(2797),
    [anon_sym_constexpr] = ACTIONS(2797),
    [anon_sym_volatile] = ACTIONS(2797),
    [anon_sym_restrict] = ACTIONS(2797),
    [anon_sym___restrict__] = ACTIONS(2797),
    [anon_sym__Atomic] = ACTIONS(2797),
    [anon_sym__Noreturn] = ACTIONS(2797),
    [anon_sym_noreturn] = ACTIONS(2797),
    [anon_sym_mutable] = ACTIONS(2797),
    [anon_sym_constinit] = ACTIONS(2797),
    [anon_sym_consteval] = ACTIONS(2797),
    [sym_primitive_type] = ACTIONS(2797),
    [anon_sym_enum] = ACTIONS(2797),
    [anon_sym_class] = ACTIONS(2797),
    [anon_sym_struct] = ACTIONS(2797),
    [anon_sym_union] = ACTIONS(2797),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2797),
    [anon_sym_decltype] = ACTIONS(2797),
    [anon_sym_virtual] = ACTIONS(2797),
    [anon_sym_alignas] = ACTIONS(2797),
    [anon_sym_explicit] = ACTIONS(2797),
    [anon_sym_typename] = ACTIONS(2797),
    [anon_sym_template] = ACTIONS(2797),
    [anon_sym_operator] = ACTIONS(2797),
    [anon_sym_friend] = ACTIONS(2797),
    [anon_sym_public] = ACTIONS(2797),
    [anon_sym_private] = ACTIONS(2797),
    [anon_sym_protected] = ACTIONS(2797),
    [anon_sym_using] = ACTIONS(2797),
    [anon_sym_static_assert] = ACTIONS(2797),
    [anon_sym_precise] = ACTIONS(2797),
    [anon_sym_shared] = ACTIONS(2797),
    [anon_sym_groupshared] = ACTIONS(2797),
    [anon_sym_uniform] = ACTIONS(2797),
    [anon_sym_row_major] = ACTIONS(2797),
    [anon_sym_column_major] = ACTIONS(2797),
    [anon_sym_globallycoherent] = ACTIONS(2797),
    [anon_sym_centroid] = ACTIONS(2797),
    [anon_sym_noperspective] = ACTIONS(2797),
    [anon_sym_nointerpolation] = ACTIONS(2797),
    [anon_sym_sample] = ACTIONS(2797),
    [anon_sym_linear] = ACTIONS(2797),
    [anon_sym_snorm] = ACTIONS(2797),
    [anon_sym_unorm] = ACTIONS(2797),
    [anon_sym_point] = ACTIONS(2797),
    [anon_sym_line] = ACTIONS(2797),
    [anon_sym_triangleadj] = ACTIONS(2797),
    [anon_sym_lineadj] = ACTIONS(2797),
    [anon_sym_triangle] = ACTIONS(2797),
  },
  [2888] = {
    [sym_identifier] = ACTIONS(2797),
    [aux_sym_preproc_def_token1] = ACTIONS(2797),
    [aux_sym_preproc_if_token1] = ACTIONS(2797),
    [aux_sym_preproc_if_token2] = ACTIONS(2797),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2797),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2797),
    [sym_preproc_directive] = ACTIONS(2797),
    [anon_sym_LPAREN2] = ACTIONS(2799),
    [anon_sym_TILDE] = ACTIONS(2799),
    [anon_sym_STAR] = ACTIONS(2799),
    [anon_sym_AMP_AMP] = ACTIONS(2799),
    [anon_sym_AMP] = ACTIONS(2797),
    [anon_sym___extension__] = ACTIONS(2797),
    [anon_sym_typedef] = ACTIONS(2797),
    [anon_sym_in] = ACTIONS(2797),
    [anon_sym_out] = ACTIONS(2797),
    [anon_sym_inout] = ACTIONS(2797),
    [anon_sym_extern] = ACTIONS(2797),
    [anon_sym___attribute__] = ACTIONS(2797),
    [anon_sym_COLON_COLON] = ACTIONS(2799),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2799),
    [anon_sym___declspec] = ACTIONS(2797),
    [anon_sym___based] = ACTIONS(2797),
    [anon_sym_signed] = ACTIONS(2797),
    [anon_sym_unsigned] = ACTIONS(2797),
    [anon_sym_long] = ACTIONS(2797),
    [anon_sym_short] = ACTIONS(2797),
    [anon_sym_LBRACK] = ACTIONS(2797),
    [anon_sym_static] = ACTIONS(2797),
    [anon_sym_register] = ACTIONS(2797),
    [anon_sym_inline] = ACTIONS(2797),
    [anon_sym___inline] = ACTIONS(2797),
    [anon_sym___inline__] = ACTIONS(2797),
    [anon_sym___forceinline] = ACTIONS(2797),
    [anon_sym_thread_local] = ACTIONS(2797),
    [anon_sym___thread] = ACTIONS(2797),
    [anon_sym_const] = ACTIONS(2797),
    [anon_sym_constexpr] = ACTIONS(2797),
    [anon_sym_volatile] = ACTIONS(2797),
    [anon_sym_restrict] = ACTIONS(2797),
    [anon_sym___restrict__] = ACTIONS(2797),
    [anon_sym__Atomic] = ACTIONS(2797),
    [anon_sym__Noreturn] = ACTIONS(2797),
    [anon_sym_noreturn] = ACTIONS(2797),
    [anon_sym_mutable] = ACTIONS(2797),
    [anon_sym_constinit] = ACTIONS(2797),
    [anon_sym_consteval] = ACTIONS(2797),
    [sym_primitive_type] = ACTIONS(2797),
    [anon_sym_enum] = ACTIONS(2797),
    [anon_sym_class] = ACTIONS(2797),
    [anon_sym_struct] = ACTIONS(2797),
    [anon_sym_union] = ACTIONS(2797),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2797),
    [anon_sym_decltype] = ACTIONS(2797),
    [anon_sym_virtual] = ACTIONS(2797),
    [anon_sym_alignas] = ACTIONS(2797),
    [anon_sym_explicit] = ACTIONS(2797),
    [anon_sym_typename] = ACTIONS(2797),
    [anon_sym_template] = ACTIONS(2797),
    [anon_sym_operator] = ACTIONS(2797),
    [anon_sym_friend] = ACTIONS(2797),
    [anon_sym_public] = ACTIONS(2797),
    [anon_sym_private] = ACTIONS(2797),
    [anon_sym_protected] = ACTIONS(2797),
    [anon_sym_using] = ACTIONS(2797),
    [anon_sym_static_assert] = ACTIONS(2797),
    [anon_sym_precise] = ACTIONS(2797),
    [anon_sym_shared] = ACTIONS(2797),
    [anon_sym_groupshared] = ACTIONS(2797),
    [anon_sym_uniform] = ACTIONS(2797),
    [anon_sym_row_major] = ACTIONS(2797),
    [anon_sym_column_major] = ACTIONS(2797),
    [anon_sym_globallycoherent] = ACTIONS(2797),
    [anon_sym_centroid] = ACTIONS(2797),
    [anon_sym_noperspective] = ACTIONS(2797),
    [anon_sym_nointerpolation] = ACTIONS(2797),
    [anon_sym_sample] = ACTIONS(2797),
    [anon_sym_linear] = ACTIONS(2797),
    [anon_sym_snorm] = ACTIONS(2797),
    [anon_sym_unorm] = ACTIONS(2797),
    [anon_sym_point] = ACTIONS(2797),
    [anon_sym_line] = ACTIONS(2797),
    [anon_sym_triangleadj] = ACTIONS(2797),
    [anon_sym_lineadj] = ACTIONS(2797),
    [anon_sym_triangle] = ACTIONS(2797),
  },
  [2889] = {
    [sym_identifier] = ACTIONS(2617),
    [aux_sym_preproc_def_token1] = ACTIONS(2617),
    [aux_sym_preproc_if_token1] = ACTIONS(2617),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2617),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2617),
    [sym_preproc_directive] = ACTIONS(2617),
    [anon_sym_LPAREN2] = ACTIONS(2619),
    [anon_sym_TILDE] = ACTIONS(2619),
    [anon_sym_STAR] = ACTIONS(2619),
    [anon_sym_AMP_AMP] = ACTIONS(2619),
    [anon_sym_AMP] = ACTIONS(2617),
    [anon_sym___extension__] = ACTIONS(2617),
    [anon_sym_typedef] = ACTIONS(2617),
    [anon_sym_in] = ACTIONS(2617),
    [anon_sym_out] = ACTIONS(2617),
    [anon_sym_inout] = ACTIONS(2617),
    [anon_sym_extern] = ACTIONS(2617),
    [anon_sym___attribute__] = ACTIONS(2617),
    [anon_sym_COLON_COLON] = ACTIONS(2619),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2619),
    [anon_sym___declspec] = ACTIONS(2617),
    [anon_sym___based] = ACTIONS(2617),
    [anon_sym_RBRACE] = ACTIONS(2619),
    [anon_sym_signed] = ACTIONS(2617),
    [anon_sym_unsigned] = ACTIONS(2617),
    [anon_sym_long] = ACTIONS(2617),
    [anon_sym_short] = ACTIONS(2617),
    [anon_sym_LBRACK] = ACTIONS(2617),
    [anon_sym_static] = ACTIONS(2617),
    [anon_sym_register] = ACTIONS(2617),
    [anon_sym_inline] = ACTIONS(2617),
    [anon_sym___inline] = ACTIONS(2617),
    [anon_sym___inline__] = ACTIONS(2617),
    [anon_sym___forceinline] = ACTIONS(2617),
    [anon_sym_thread_local] = ACTIONS(2617),
    [anon_sym___thread] = ACTIONS(2617),
    [anon_sym_const] = ACTIONS(2617),
    [anon_sym_constexpr] = ACTIONS(2617),
    [anon_sym_volatile] = ACTIONS(2617),
    [anon_sym_restrict] = ACTIONS(2617),
    [anon_sym___restrict__] = ACTIONS(2617),
    [anon_sym__Atomic] = ACTIONS(2617),
    [anon_sym__Noreturn] = ACTIONS(2617),
    [anon_sym_noreturn] = ACTIONS(2617),
    [anon_sym_mutable] = ACTIONS(2617),
    [anon_sym_constinit] = ACTIONS(2617),
    [anon_sym_consteval] = ACTIONS(2617),
    [sym_primitive_type] = ACTIONS(2617),
    [anon_sym_enum] = ACTIONS(2617),
    [anon_sym_class] = ACTIONS(2617),
    [anon_sym_struct] = ACTIONS(2617),
    [anon_sym_union] = ACTIONS(2617),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2617),
    [anon_sym_decltype] = ACTIONS(2617),
    [anon_sym_virtual] = ACTIONS(2617),
    [anon_sym_alignas] = ACTIONS(2617),
    [anon_sym_explicit] = ACTIONS(2617),
    [anon_sym_typename] = ACTIONS(2617),
    [anon_sym_template] = ACTIONS(2617),
    [anon_sym_operator] = ACTIONS(2617),
    [anon_sym_friend] = ACTIONS(2617),
    [anon_sym_public] = ACTIONS(2617),
    [anon_sym_private] = ACTIONS(2617),
    [anon_sym_protected] = ACTIONS(2617),
    [anon_sym_using] = ACTIONS(2617),
    [anon_sym_static_assert] = ACTIONS(2617),
    [anon_sym_precise] = ACTIONS(2617),
    [anon_sym_shared] = ACTIONS(2617),
    [anon_sym_groupshared] = ACTIONS(2617),
    [anon_sym_uniform] = ACTIONS(2617),
    [anon_sym_row_major] = ACTIONS(2617),
    [anon_sym_column_major] = ACTIONS(2617),
    [anon_sym_globallycoherent] = ACTIONS(2617),
    [anon_sym_centroid] = ACTIONS(2617),
    [anon_sym_noperspective] = ACTIONS(2617),
    [anon_sym_nointerpolation] = ACTIONS(2617),
    [anon_sym_sample] = ACTIONS(2617),
    [anon_sym_linear] = ACTIONS(2617),
    [anon_sym_snorm] = ACTIONS(2617),
    [anon_sym_unorm] = ACTIONS(2617),
    [anon_sym_point] = ACTIONS(2617),
    [anon_sym_line] = ACTIONS(2617),
    [anon_sym_triangleadj] = ACTIONS(2617),
    [anon_sym_lineadj] = ACTIONS(2617),
    [anon_sym_triangle] = ACTIONS(2617),
  },
  [2890] = {
    [sym_identifier] = ACTIONS(2773),
    [aux_sym_preproc_def_token1] = ACTIONS(2773),
    [aux_sym_preproc_if_token1] = ACTIONS(2773),
    [aux_sym_preproc_if_token2] = ACTIONS(2773),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2773),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2773),
    [sym_preproc_directive] = ACTIONS(2773),
    [anon_sym_LPAREN2] = ACTIONS(2775),
    [anon_sym_TILDE] = ACTIONS(2775),
    [anon_sym_STAR] = ACTIONS(2775),
    [anon_sym_AMP_AMP] = ACTIONS(2775),
    [anon_sym_AMP] = ACTIONS(2773),
    [anon_sym___extension__] = ACTIONS(2773),
    [anon_sym_typedef] = ACTIONS(2773),
    [anon_sym_in] = ACTIONS(2773),
    [anon_sym_out] = ACTIONS(2773),
    [anon_sym_inout] = ACTIONS(2773),
    [anon_sym_extern] = ACTIONS(2773),
    [anon_sym___attribute__] = ACTIONS(2773),
    [anon_sym_COLON_COLON] = ACTIONS(2775),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2775),
    [anon_sym___declspec] = ACTIONS(2773),
    [anon_sym___based] = ACTIONS(2773),
    [anon_sym_signed] = ACTIONS(2773),
    [anon_sym_unsigned] = ACTIONS(2773),
    [anon_sym_long] = ACTIONS(2773),
    [anon_sym_short] = ACTIONS(2773),
    [anon_sym_LBRACK] = ACTIONS(2773),
    [anon_sym_static] = ACTIONS(2773),
    [anon_sym_register] = ACTIONS(2773),
    [anon_sym_inline] = ACTIONS(2773),
    [anon_sym___inline] = ACTIONS(2773),
    [anon_sym___inline__] = ACTIONS(2773),
    [anon_sym___forceinline] = ACTIONS(2773),
    [anon_sym_thread_local] = ACTIONS(2773),
    [anon_sym___thread] = ACTIONS(2773),
    [anon_sym_const] = ACTIONS(2773),
    [anon_sym_constexpr] = ACTIONS(2773),
    [anon_sym_volatile] = ACTIONS(2773),
    [anon_sym_restrict] = ACTIONS(2773),
    [anon_sym___restrict__] = ACTIONS(2773),
    [anon_sym__Atomic] = ACTIONS(2773),
    [anon_sym__Noreturn] = ACTIONS(2773),
    [anon_sym_noreturn] = ACTIONS(2773),
    [anon_sym_mutable] = ACTIONS(2773),
    [anon_sym_constinit] = ACTIONS(2773),
    [anon_sym_consteval] = ACTIONS(2773),
    [sym_primitive_type] = ACTIONS(2773),
    [anon_sym_enum] = ACTIONS(2773),
    [anon_sym_class] = ACTIONS(2773),
    [anon_sym_struct] = ACTIONS(2773),
    [anon_sym_union] = ACTIONS(2773),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2773),
    [anon_sym_decltype] = ACTIONS(2773),
    [anon_sym_virtual] = ACTIONS(2773),
    [anon_sym_alignas] = ACTIONS(2773),
    [anon_sym_explicit] = ACTIONS(2773),
    [anon_sym_typename] = ACTIONS(2773),
    [anon_sym_template] = ACTIONS(2773),
    [anon_sym_operator] = ACTIONS(2773),
    [anon_sym_friend] = ACTIONS(2773),
    [anon_sym_public] = ACTIONS(2773),
    [anon_sym_private] = ACTIONS(2773),
    [anon_sym_protected] = ACTIONS(2773),
    [anon_sym_using] = ACTIONS(2773),
    [anon_sym_static_assert] = ACTIONS(2773),
    [anon_sym_precise] = ACTIONS(2773),
    [anon_sym_shared] = ACTIONS(2773),
    [anon_sym_groupshared] = ACTIONS(2773),
    [anon_sym_uniform] = ACTIONS(2773),
    [anon_sym_row_major] = ACTIONS(2773),
    [anon_sym_column_major] = ACTIONS(2773),
    [anon_sym_globallycoherent] = ACTIONS(2773),
    [anon_sym_centroid] = ACTIONS(2773),
    [anon_sym_noperspective] = ACTIONS(2773),
    [anon_sym_nointerpolation] = ACTIONS(2773),
    [anon_sym_sample] = ACTIONS(2773),
    [anon_sym_linear] = ACTIONS(2773),
    [anon_sym_snorm] = ACTIONS(2773),
    [anon_sym_unorm] = ACTIONS(2773),
    [anon_sym_point] = ACTIONS(2773),
    [anon_sym_line] = ACTIONS(2773),
    [anon_sym_triangleadj] = ACTIONS(2773),
    [anon_sym_lineadj] = ACTIONS(2773),
    [anon_sym_triangle] = ACTIONS(2773),
  },
  [2891] = {
    [sym_identifier] = ACTIONS(2520),
    [aux_sym_preproc_def_token1] = ACTIONS(2520),
    [aux_sym_preproc_if_token1] = ACTIONS(2520),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2520),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2520),
    [sym_preproc_directive] = ACTIONS(2520),
    [anon_sym_LPAREN2] = ACTIONS(2522),
    [anon_sym_TILDE] = ACTIONS(2522),
    [anon_sym_STAR] = ACTIONS(2522),
    [anon_sym_AMP_AMP] = ACTIONS(2522),
    [anon_sym_AMP] = ACTIONS(2520),
    [anon_sym___extension__] = ACTIONS(2520),
    [anon_sym_typedef] = ACTIONS(2520),
    [anon_sym_in] = ACTIONS(2520),
    [anon_sym_out] = ACTIONS(2520),
    [anon_sym_inout] = ACTIONS(2520),
    [anon_sym_extern] = ACTIONS(2520),
    [anon_sym___attribute__] = ACTIONS(2520),
    [anon_sym_COLON_COLON] = ACTIONS(2522),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2522),
    [anon_sym___declspec] = ACTIONS(2520),
    [anon_sym___based] = ACTIONS(2520),
    [anon_sym_RBRACE] = ACTIONS(2522),
    [anon_sym_signed] = ACTIONS(2520),
    [anon_sym_unsigned] = ACTIONS(2520),
    [anon_sym_long] = ACTIONS(2520),
    [anon_sym_short] = ACTIONS(2520),
    [anon_sym_LBRACK] = ACTIONS(2520),
    [anon_sym_static] = ACTIONS(2520),
    [anon_sym_register] = ACTIONS(2520),
    [anon_sym_inline] = ACTIONS(2520),
    [anon_sym___inline] = ACTIONS(2520),
    [anon_sym___inline__] = ACTIONS(2520),
    [anon_sym___forceinline] = ACTIONS(2520),
    [anon_sym_thread_local] = ACTIONS(2520),
    [anon_sym___thread] = ACTIONS(2520),
    [anon_sym_const] = ACTIONS(2520),
    [anon_sym_constexpr] = ACTIONS(2520),
    [anon_sym_volatile] = ACTIONS(2520),
    [anon_sym_restrict] = ACTIONS(2520),
    [anon_sym___restrict__] = ACTIONS(2520),
    [anon_sym__Atomic] = ACTIONS(2520),
    [anon_sym__Noreturn] = ACTIONS(2520),
    [anon_sym_noreturn] = ACTIONS(2520),
    [anon_sym_mutable] = ACTIONS(2520),
    [anon_sym_constinit] = ACTIONS(2520),
    [anon_sym_consteval] = ACTIONS(2520),
    [sym_primitive_type] = ACTIONS(2520),
    [anon_sym_enum] = ACTIONS(2520),
    [anon_sym_class] = ACTIONS(2520),
    [anon_sym_struct] = ACTIONS(2520),
    [anon_sym_union] = ACTIONS(2520),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2520),
    [anon_sym_decltype] = ACTIONS(2520),
    [anon_sym_virtual] = ACTIONS(2520),
    [anon_sym_alignas] = ACTIONS(2520),
    [anon_sym_explicit] = ACTIONS(2520),
    [anon_sym_typename] = ACTIONS(2520),
    [anon_sym_template] = ACTIONS(2520),
    [anon_sym_operator] = ACTIONS(2520),
    [anon_sym_friend] = ACTIONS(2520),
    [anon_sym_public] = ACTIONS(2520),
    [anon_sym_private] = ACTIONS(2520),
    [anon_sym_protected] = ACTIONS(2520),
    [anon_sym_using] = ACTIONS(2520),
    [anon_sym_static_assert] = ACTIONS(2520),
    [anon_sym_precise] = ACTIONS(2520),
    [anon_sym_shared] = ACTIONS(2520),
    [anon_sym_groupshared] = ACTIONS(2520),
    [anon_sym_uniform] = ACTIONS(2520),
    [anon_sym_row_major] = ACTIONS(2520),
    [anon_sym_column_major] = ACTIONS(2520),
    [anon_sym_globallycoherent] = ACTIONS(2520),
    [anon_sym_centroid] = ACTIONS(2520),
    [anon_sym_noperspective] = ACTIONS(2520),
    [anon_sym_nointerpolation] = ACTIONS(2520),
    [anon_sym_sample] = ACTIONS(2520),
    [anon_sym_linear] = ACTIONS(2520),
    [anon_sym_snorm] = ACTIONS(2520),
    [anon_sym_unorm] = ACTIONS(2520),
    [anon_sym_point] = ACTIONS(2520),
    [anon_sym_line] = ACTIONS(2520),
    [anon_sym_triangleadj] = ACTIONS(2520),
    [anon_sym_lineadj] = ACTIONS(2520),
    [anon_sym_triangle] = ACTIONS(2520),
  },
  [2892] = {
    [sym_identifier] = ACTIONS(2520),
    [aux_sym_preproc_def_token1] = ACTIONS(2520),
    [aux_sym_preproc_if_token1] = ACTIONS(2520),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2520),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2520),
    [sym_preproc_directive] = ACTIONS(2520),
    [anon_sym_LPAREN2] = ACTIONS(2522),
    [anon_sym_TILDE] = ACTIONS(2522),
    [anon_sym_STAR] = ACTIONS(2522),
    [anon_sym_AMP_AMP] = ACTIONS(2522),
    [anon_sym_AMP] = ACTIONS(2520),
    [anon_sym___extension__] = ACTIONS(2520),
    [anon_sym_typedef] = ACTIONS(2520),
    [anon_sym_in] = ACTIONS(2520),
    [anon_sym_out] = ACTIONS(2520),
    [anon_sym_inout] = ACTIONS(2520),
    [anon_sym_extern] = ACTIONS(2520),
    [anon_sym___attribute__] = ACTIONS(2520),
    [anon_sym_COLON_COLON] = ACTIONS(2522),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2522),
    [anon_sym___declspec] = ACTIONS(2520),
    [anon_sym___based] = ACTIONS(2520),
    [anon_sym_RBRACE] = ACTIONS(2522),
    [anon_sym_signed] = ACTIONS(2520),
    [anon_sym_unsigned] = ACTIONS(2520),
    [anon_sym_long] = ACTIONS(2520),
    [anon_sym_short] = ACTIONS(2520),
    [anon_sym_LBRACK] = ACTIONS(2520),
    [anon_sym_static] = ACTIONS(2520),
    [anon_sym_register] = ACTIONS(2520),
    [anon_sym_inline] = ACTIONS(2520),
    [anon_sym___inline] = ACTIONS(2520),
    [anon_sym___inline__] = ACTIONS(2520),
    [anon_sym___forceinline] = ACTIONS(2520),
    [anon_sym_thread_local] = ACTIONS(2520),
    [anon_sym___thread] = ACTIONS(2520),
    [anon_sym_const] = ACTIONS(2520),
    [anon_sym_constexpr] = ACTIONS(2520),
    [anon_sym_volatile] = ACTIONS(2520),
    [anon_sym_restrict] = ACTIONS(2520),
    [anon_sym___restrict__] = ACTIONS(2520),
    [anon_sym__Atomic] = ACTIONS(2520),
    [anon_sym__Noreturn] = ACTIONS(2520),
    [anon_sym_noreturn] = ACTIONS(2520),
    [anon_sym_mutable] = ACTIONS(2520),
    [anon_sym_constinit] = ACTIONS(2520),
    [anon_sym_consteval] = ACTIONS(2520),
    [sym_primitive_type] = ACTIONS(2520),
    [anon_sym_enum] = ACTIONS(2520),
    [anon_sym_class] = ACTIONS(2520),
    [anon_sym_struct] = ACTIONS(2520),
    [anon_sym_union] = ACTIONS(2520),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2520),
    [anon_sym_decltype] = ACTIONS(2520),
    [anon_sym_virtual] = ACTIONS(2520),
    [anon_sym_alignas] = ACTIONS(2520),
    [anon_sym_explicit] = ACTIONS(2520),
    [anon_sym_typename] = ACTIONS(2520),
    [anon_sym_template] = ACTIONS(2520),
    [anon_sym_operator] = ACTIONS(2520),
    [anon_sym_friend] = ACTIONS(2520),
    [anon_sym_public] = ACTIONS(2520),
    [anon_sym_private] = ACTIONS(2520),
    [anon_sym_protected] = ACTIONS(2520),
    [anon_sym_using] = ACTIONS(2520),
    [anon_sym_static_assert] = ACTIONS(2520),
    [anon_sym_precise] = ACTIONS(2520),
    [anon_sym_shared] = ACTIONS(2520),
    [anon_sym_groupshared] = ACTIONS(2520),
    [anon_sym_uniform] = ACTIONS(2520),
    [anon_sym_row_major] = ACTIONS(2520),
    [anon_sym_column_major] = ACTIONS(2520),
    [anon_sym_globallycoherent] = ACTIONS(2520),
    [anon_sym_centroid] = ACTIONS(2520),
    [anon_sym_noperspective] = ACTIONS(2520),
    [anon_sym_nointerpolation] = ACTIONS(2520),
    [anon_sym_sample] = ACTIONS(2520),
    [anon_sym_linear] = ACTIONS(2520),
    [anon_sym_snorm] = ACTIONS(2520),
    [anon_sym_unorm] = ACTIONS(2520),
    [anon_sym_point] = ACTIONS(2520),
    [anon_sym_line] = ACTIONS(2520),
    [anon_sym_triangleadj] = ACTIONS(2520),
    [anon_sym_lineadj] = ACTIONS(2520),
    [anon_sym_triangle] = ACTIONS(2520),
  },
  [2893] = {
    [sym_identifier] = ACTIONS(5647),
    [aux_sym_preproc_def_token1] = ACTIONS(5647),
    [aux_sym_preproc_if_token1] = ACTIONS(5647),
    [aux_sym_preproc_if_token2] = ACTIONS(5647),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5647),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5647),
    [sym_preproc_directive] = ACTIONS(5647),
    [anon_sym_LPAREN2] = ACTIONS(5649),
    [anon_sym_TILDE] = ACTIONS(5649),
    [anon_sym_STAR] = ACTIONS(5649),
    [anon_sym_AMP_AMP] = ACTIONS(5649),
    [anon_sym_AMP] = ACTIONS(5647),
    [anon_sym___extension__] = ACTIONS(5647),
    [anon_sym_typedef] = ACTIONS(5647),
    [anon_sym_in] = ACTIONS(5647),
    [anon_sym_out] = ACTIONS(5647),
    [anon_sym_inout] = ACTIONS(5647),
    [anon_sym_extern] = ACTIONS(5647),
    [anon_sym___attribute__] = ACTIONS(5647),
    [anon_sym_COLON_COLON] = ACTIONS(5649),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5649),
    [anon_sym___declspec] = ACTIONS(5647),
    [anon_sym___based] = ACTIONS(5647),
    [anon_sym_signed] = ACTIONS(5647),
    [anon_sym_unsigned] = ACTIONS(5647),
    [anon_sym_long] = ACTIONS(5647),
    [anon_sym_short] = ACTIONS(5647),
    [anon_sym_LBRACK] = ACTIONS(5647),
    [anon_sym_static] = ACTIONS(5647),
    [anon_sym_register] = ACTIONS(5647),
    [anon_sym_inline] = ACTIONS(5647),
    [anon_sym___inline] = ACTIONS(5647),
    [anon_sym___inline__] = ACTIONS(5647),
    [anon_sym___forceinline] = ACTIONS(5647),
    [anon_sym_thread_local] = ACTIONS(5647),
    [anon_sym___thread] = ACTIONS(5647),
    [anon_sym_const] = ACTIONS(5647),
    [anon_sym_constexpr] = ACTIONS(5647),
    [anon_sym_volatile] = ACTIONS(5647),
    [anon_sym_restrict] = ACTIONS(5647),
    [anon_sym___restrict__] = ACTIONS(5647),
    [anon_sym__Atomic] = ACTIONS(5647),
    [anon_sym__Noreturn] = ACTIONS(5647),
    [anon_sym_noreturn] = ACTIONS(5647),
    [anon_sym_mutable] = ACTIONS(5647),
    [anon_sym_constinit] = ACTIONS(5647),
    [anon_sym_consteval] = ACTIONS(5647),
    [sym_primitive_type] = ACTIONS(5647),
    [anon_sym_enum] = ACTIONS(5647),
    [anon_sym_class] = ACTIONS(5647),
    [anon_sym_struct] = ACTIONS(5647),
    [anon_sym_union] = ACTIONS(5647),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5647),
    [anon_sym_decltype] = ACTIONS(5647),
    [anon_sym_virtual] = ACTIONS(5647),
    [anon_sym_alignas] = ACTIONS(5647),
    [anon_sym_explicit] = ACTIONS(5647),
    [anon_sym_typename] = ACTIONS(5647),
    [anon_sym_template] = ACTIONS(5647),
    [anon_sym_operator] = ACTIONS(5647),
    [anon_sym_friend] = ACTIONS(5647),
    [anon_sym_public] = ACTIONS(5647),
    [anon_sym_private] = ACTIONS(5647),
    [anon_sym_protected] = ACTIONS(5647),
    [anon_sym_using] = ACTIONS(5647),
    [anon_sym_static_assert] = ACTIONS(5647),
    [anon_sym_precise] = ACTIONS(5647),
    [anon_sym_shared] = ACTIONS(5647),
    [anon_sym_groupshared] = ACTIONS(5647),
    [anon_sym_uniform] = ACTIONS(5647),
    [anon_sym_row_major] = ACTIONS(5647),
    [anon_sym_column_major] = ACTIONS(5647),
    [anon_sym_globallycoherent] = ACTIONS(5647),
    [anon_sym_centroid] = ACTIONS(5647),
    [anon_sym_noperspective] = ACTIONS(5647),
    [anon_sym_nointerpolation] = ACTIONS(5647),
    [anon_sym_sample] = ACTIONS(5647),
    [anon_sym_linear] = ACTIONS(5647),
    [anon_sym_snorm] = ACTIONS(5647),
    [anon_sym_unorm] = ACTIONS(5647),
    [anon_sym_point] = ACTIONS(5647),
    [anon_sym_line] = ACTIONS(5647),
    [anon_sym_triangleadj] = ACTIONS(5647),
    [anon_sym_lineadj] = ACTIONS(5647),
    [anon_sym_triangle] = ACTIONS(5647),
  },
  [2894] = {
    [sym_identifier] = ACTIONS(5643),
    [aux_sym_preproc_def_token1] = ACTIONS(5643),
    [aux_sym_preproc_if_token1] = ACTIONS(5643),
    [aux_sym_preproc_if_token2] = ACTIONS(5643),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5643),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5643),
    [sym_preproc_directive] = ACTIONS(5643),
    [anon_sym_LPAREN2] = ACTIONS(5645),
    [anon_sym_TILDE] = ACTIONS(5645),
    [anon_sym_STAR] = ACTIONS(5645),
    [anon_sym_AMP_AMP] = ACTIONS(5645),
    [anon_sym_AMP] = ACTIONS(5643),
    [anon_sym___extension__] = ACTIONS(5643),
    [anon_sym_typedef] = ACTIONS(5643),
    [anon_sym_in] = ACTIONS(5643),
    [anon_sym_out] = ACTIONS(5643),
    [anon_sym_inout] = ACTIONS(5643),
    [anon_sym_extern] = ACTIONS(5643),
    [anon_sym___attribute__] = ACTIONS(5643),
    [anon_sym_COLON_COLON] = ACTIONS(5645),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5645),
    [anon_sym___declspec] = ACTIONS(5643),
    [anon_sym___based] = ACTIONS(5643),
    [anon_sym_signed] = ACTIONS(5643),
    [anon_sym_unsigned] = ACTIONS(5643),
    [anon_sym_long] = ACTIONS(5643),
    [anon_sym_short] = ACTIONS(5643),
    [anon_sym_LBRACK] = ACTIONS(5643),
    [anon_sym_static] = ACTIONS(5643),
    [anon_sym_register] = ACTIONS(5643),
    [anon_sym_inline] = ACTIONS(5643),
    [anon_sym___inline] = ACTIONS(5643),
    [anon_sym___inline__] = ACTIONS(5643),
    [anon_sym___forceinline] = ACTIONS(5643),
    [anon_sym_thread_local] = ACTIONS(5643),
    [anon_sym___thread] = ACTIONS(5643),
    [anon_sym_const] = ACTIONS(5643),
    [anon_sym_constexpr] = ACTIONS(5643),
    [anon_sym_volatile] = ACTIONS(5643),
    [anon_sym_restrict] = ACTIONS(5643),
    [anon_sym___restrict__] = ACTIONS(5643),
    [anon_sym__Atomic] = ACTIONS(5643),
    [anon_sym__Noreturn] = ACTIONS(5643),
    [anon_sym_noreturn] = ACTIONS(5643),
    [anon_sym_mutable] = ACTIONS(5643),
    [anon_sym_constinit] = ACTIONS(5643),
    [anon_sym_consteval] = ACTIONS(5643),
    [sym_primitive_type] = ACTIONS(5643),
    [anon_sym_enum] = ACTIONS(5643),
    [anon_sym_class] = ACTIONS(5643),
    [anon_sym_struct] = ACTIONS(5643),
    [anon_sym_union] = ACTIONS(5643),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5643),
    [anon_sym_decltype] = ACTIONS(5643),
    [anon_sym_virtual] = ACTIONS(5643),
    [anon_sym_alignas] = ACTIONS(5643),
    [anon_sym_explicit] = ACTIONS(5643),
    [anon_sym_typename] = ACTIONS(5643),
    [anon_sym_template] = ACTIONS(5643),
    [anon_sym_operator] = ACTIONS(5643),
    [anon_sym_friend] = ACTIONS(5643),
    [anon_sym_public] = ACTIONS(5643),
    [anon_sym_private] = ACTIONS(5643),
    [anon_sym_protected] = ACTIONS(5643),
    [anon_sym_using] = ACTIONS(5643),
    [anon_sym_static_assert] = ACTIONS(5643),
    [anon_sym_precise] = ACTIONS(5643),
    [anon_sym_shared] = ACTIONS(5643),
    [anon_sym_groupshared] = ACTIONS(5643),
    [anon_sym_uniform] = ACTIONS(5643),
    [anon_sym_row_major] = ACTIONS(5643),
    [anon_sym_column_major] = ACTIONS(5643),
    [anon_sym_globallycoherent] = ACTIONS(5643),
    [anon_sym_centroid] = ACTIONS(5643),
    [anon_sym_noperspective] = ACTIONS(5643),
    [anon_sym_nointerpolation] = ACTIONS(5643),
    [anon_sym_sample] = ACTIONS(5643),
    [anon_sym_linear] = ACTIONS(5643),
    [anon_sym_snorm] = ACTIONS(5643),
    [anon_sym_unorm] = ACTIONS(5643),
    [anon_sym_point] = ACTIONS(5643),
    [anon_sym_line] = ACTIONS(5643),
    [anon_sym_triangleadj] = ACTIONS(5643),
    [anon_sym_lineadj] = ACTIONS(5643),
    [anon_sym_triangle] = ACTIONS(5643),
  },
  [2895] = {
    [sym_identifier] = ACTIONS(5639),
    [aux_sym_preproc_def_token1] = ACTIONS(5639),
    [aux_sym_preproc_if_token1] = ACTIONS(5639),
    [aux_sym_preproc_if_token2] = ACTIONS(5639),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5639),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5639),
    [sym_preproc_directive] = ACTIONS(5639),
    [anon_sym_LPAREN2] = ACTIONS(5641),
    [anon_sym_TILDE] = ACTIONS(5641),
    [anon_sym_STAR] = ACTIONS(5641),
    [anon_sym_AMP_AMP] = ACTIONS(5641),
    [anon_sym_AMP] = ACTIONS(5639),
    [anon_sym___extension__] = ACTIONS(5639),
    [anon_sym_typedef] = ACTIONS(5639),
    [anon_sym_in] = ACTIONS(5639),
    [anon_sym_out] = ACTIONS(5639),
    [anon_sym_inout] = ACTIONS(5639),
    [anon_sym_extern] = ACTIONS(5639),
    [anon_sym___attribute__] = ACTIONS(5639),
    [anon_sym_COLON_COLON] = ACTIONS(5641),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5641),
    [anon_sym___declspec] = ACTIONS(5639),
    [anon_sym___based] = ACTIONS(5639),
    [anon_sym_signed] = ACTIONS(5639),
    [anon_sym_unsigned] = ACTIONS(5639),
    [anon_sym_long] = ACTIONS(5639),
    [anon_sym_short] = ACTIONS(5639),
    [anon_sym_LBRACK] = ACTIONS(5639),
    [anon_sym_static] = ACTIONS(5639),
    [anon_sym_register] = ACTIONS(5639),
    [anon_sym_inline] = ACTIONS(5639),
    [anon_sym___inline] = ACTIONS(5639),
    [anon_sym___inline__] = ACTIONS(5639),
    [anon_sym___forceinline] = ACTIONS(5639),
    [anon_sym_thread_local] = ACTIONS(5639),
    [anon_sym___thread] = ACTIONS(5639),
    [anon_sym_const] = ACTIONS(5639),
    [anon_sym_constexpr] = ACTIONS(5639),
    [anon_sym_volatile] = ACTIONS(5639),
    [anon_sym_restrict] = ACTIONS(5639),
    [anon_sym___restrict__] = ACTIONS(5639),
    [anon_sym__Atomic] = ACTIONS(5639),
    [anon_sym__Noreturn] = ACTIONS(5639),
    [anon_sym_noreturn] = ACTIONS(5639),
    [anon_sym_mutable] = ACTIONS(5639),
    [anon_sym_constinit] = ACTIONS(5639),
    [anon_sym_consteval] = ACTIONS(5639),
    [sym_primitive_type] = ACTIONS(5639),
    [anon_sym_enum] = ACTIONS(5639),
    [anon_sym_class] = ACTIONS(5639),
    [anon_sym_struct] = ACTIONS(5639),
    [anon_sym_union] = ACTIONS(5639),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5639),
    [anon_sym_decltype] = ACTIONS(5639),
    [anon_sym_virtual] = ACTIONS(5639),
    [anon_sym_alignas] = ACTIONS(5639),
    [anon_sym_explicit] = ACTIONS(5639),
    [anon_sym_typename] = ACTIONS(5639),
    [anon_sym_template] = ACTIONS(5639),
    [anon_sym_operator] = ACTIONS(5639),
    [anon_sym_friend] = ACTIONS(5639),
    [anon_sym_public] = ACTIONS(5639),
    [anon_sym_private] = ACTIONS(5639),
    [anon_sym_protected] = ACTIONS(5639),
    [anon_sym_using] = ACTIONS(5639),
    [anon_sym_static_assert] = ACTIONS(5639),
    [anon_sym_precise] = ACTIONS(5639),
    [anon_sym_shared] = ACTIONS(5639),
    [anon_sym_groupshared] = ACTIONS(5639),
    [anon_sym_uniform] = ACTIONS(5639),
    [anon_sym_row_major] = ACTIONS(5639),
    [anon_sym_column_major] = ACTIONS(5639),
    [anon_sym_globallycoherent] = ACTIONS(5639),
    [anon_sym_centroid] = ACTIONS(5639),
    [anon_sym_noperspective] = ACTIONS(5639),
    [anon_sym_nointerpolation] = ACTIONS(5639),
    [anon_sym_sample] = ACTIONS(5639),
    [anon_sym_linear] = ACTIONS(5639),
    [anon_sym_snorm] = ACTIONS(5639),
    [anon_sym_unorm] = ACTIONS(5639),
    [anon_sym_point] = ACTIONS(5639),
    [anon_sym_line] = ACTIONS(5639),
    [anon_sym_triangleadj] = ACTIONS(5639),
    [anon_sym_lineadj] = ACTIONS(5639),
    [anon_sym_triangle] = ACTIONS(5639),
  },
  [2896] = {
    [sym_identifier] = ACTIONS(5635),
    [aux_sym_preproc_def_token1] = ACTIONS(5635),
    [aux_sym_preproc_if_token1] = ACTIONS(5635),
    [aux_sym_preproc_if_token2] = ACTIONS(5635),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5635),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5635),
    [sym_preproc_directive] = ACTIONS(5635),
    [anon_sym_LPAREN2] = ACTIONS(5637),
    [anon_sym_TILDE] = ACTIONS(5637),
    [anon_sym_STAR] = ACTIONS(5637),
    [anon_sym_AMP_AMP] = ACTIONS(5637),
    [anon_sym_AMP] = ACTIONS(5635),
    [anon_sym___extension__] = ACTIONS(5635),
    [anon_sym_typedef] = ACTIONS(5635),
    [anon_sym_in] = ACTIONS(5635),
    [anon_sym_out] = ACTIONS(5635),
    [anon_sym_inout] = ACTIONS(5635),
    [anon_sym_extern] = ACTIONS(5635),
    [anon_sym___attribute__] = ACTIONS(5635),
    [anon_sym_COLON_COLON] = ACTIONS(5637),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5637),
    [anon_sym___declspec] = ACTIONS(5635),
    [anon_sym___based] = ACTIONS(5635),
    [anon_sym_signed] = ACTIONS(5635),
    [anon_sym_unsigned] = ACTIONS(5635),
    [anon_sym_long] = ACTIONS(5635),
    [anon_sym_short] = ACTIONS(5635),
    [anon_sym_LBRACK] = ACTIONS(5635),
    [anon_sym_static] = ACTIONS(5635),
    [anon_sym_register] = ACTIONS(5635),
    [anon_sym_inline] = ACTIONS(5635),
    [anon_sym___inline] = ACTIONS(5635),
    [anon_sym___inline__] = ACTIONS(5635),
    [anon_sym___forceinline] = ACTIONS(5635),
    [anon_sym_thread_local] = ACTIONS(5635),
    [anon_sym___thread] = ACTIONS(5635),
    [anon_sym_const] = ACTIONS(5635),
    [anon_sym_constexpr] = ACTIONS(5635),
    [anon_sym_volatile] = ACTIONS(5635),
    [anon_sym_restrict] = ACTIONS(5635),
    [anon_sym___restrict__] = ACTIONS(5635),
    [anon_sym__Atomic] = ACTIONS(5635),
    [anon_sym__Noreturn] = ACTIONS(5635),
    [anon_sym_noreturn] = ACTIONS(5635),
    [anon_sym_mutable] = ACTIONS(5635),
    [anon_sym_constinit] = ACTIONS(5635),
    [anon_sym_consteval] = ACTIONS(5635),
    [sym_primitive_type] = ACTIONS(5635),
    [anon_sym_enum] = ACTIONS(5635),
    [anon_sym_class] = ACTIONS(5635),
    [anon_sym_struct] = ACTIONS(5635),
    [anon_sym_union] = ACTIONS(5635),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5635),
    [anon_sym_decltype] = ACTIONS(5635),
    [anon_sym_virtual] = ACTIONS(5635),
    [anon_sym_alignas] = ACTIONS(5635),
    [anon_sym_explicit] = ACTIONS(5635),
    [anon_sym_typename] = ACTIONS(5635),
    [anon_sym_template] = ACTIONS(5635),
    [anon_sym_operator] = ACTIONS(5635),
    [anon_sym_friend] = ACTIONS(5635),
    [anon_sym_public] = ACTIONS(5635),
    [anon_sym_private] = ACTIONS(5635),
    [anon_sym_protected] = ACTIONS(5635),
    [anon_sym_using] = ACTIONS(5635),
    [anon_sym_static_assert] = ACTIONS(5635),
    [anon_sym_precise] = ACTIONS(5635),
    [anon_sym_shared] = ACTIONS(5635),
    [anon_sym_groupshared] = ACTIONS(5635),
    [anon_sym_uniform] = ACTIONS(5635),
    [anon_sym_row_major] = ACTIONS(5635),
    [anon_sym_column_major] = ACTIONS(5635),
    [anon_sym_globallycoherent] = ACTIONS(5635),
    [anon_sym_centroid] = ACTIONS(5635),
    [anon_sym_noperspective] = ACTIONS(5635),
    [anon_sym_nointerpolation] = ACTIONS(5635),
    [anon_sym_sample] = ACTIONS(5635),
    [anon_sym_linear] = ACTIONS(5635),
    [anon_sym_snorm] = ACTIONS(5635),
    [anon_sym_unorm] = ACTIONS(5635),
    [anon_sym_point] = ACTIONS(5635),
    [anon_sym_line] = ACTIONS(5635),
    [anon_sym_triangleadj] = ACTIONS(5635),
    [anon_sym_lineadj] = ACTIONS(5635),
    [anon_sym_triangle] = ACTIONS(5635),
  },
  [2897] = {
    [sym_identifier] = ACTIONS(2759),
    [aux_sym_preproc_def_token1] = ACTIONS(2759),
    [aux_sym_preproc_if_token1] = ACTIONS(2759),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2759),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2759),
    [sym_preproc_directive] = ACTIONS(2759),
    [anon_sym_LPAREN2] = ACTIONS(2761),
    [anon_sym_TILDE] = ACTIONS(2761),
    [anon_sym_STAR] = ACTIONS(2761),
    [anon_sym_AMP_AMP] = ACTIONS(2761),
    [anon_sym_AMP] = ACTIONS(2759),
    [anon_sym___extension__] = ACTIONS(2759),
    [anon_sym_typedef] = ACTIONS(2759),
    [anon_sym_in] = ACTIONS(2759),
    [anon_sym_out] = ACTIONS(2759),
    [anon_sym_inout] = ACTIONS(2759),
    [anon_sym_extern] = ACTIONS(2759),
    [anon_sym___attribute__] = ACTIONS(2759),
    [anon_sym_COLON_COLON] = ACTIONS(2761),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2761),
    [anon_sym___declspec] = ACTIONS(2759),
    [anon_sym___based] = ACTIONS(2759),
    [anon_sym_RBRACE] = ACTIONS(2761),
    [anon_sym_signed] = ACTIONS(2759),
    [anon_sym_unsigned] = ACTIONS(2759),
    [anon_sym_long] = ACTIONS(2759),
    [anon_sym_short] = ACTIONS(2759),
    [anon_sym_LBRACK] = ACTIONS(2759),
    [anon_sym_static] = ACTIONS(2759),
    [anon_sym_register] = ACTIONS(2759),
    [anon_sym_inline] = ACTIONS(2759),
    [anon_sym___inline] = ACTIONS(2759),
    [anon_sym___inline__] = ACTIONS(2759),
    [anon_sym___forceinline] = ACTIONS(2759),
    [anon_sym_thread_local] = ACTIONS(2759),
    [anon_sym___thread] = ACTIONS(2759),
    [anon_sym_const] = ACTIONS(2759),
    [anon_sym_constexpr] = ACTIONS(2759),
    [anon_sym_volatile] = ACTIONS(2759),
    [anon_sym_restrict] = ACTIONS(2759),
    [anon_sym___restrict__] = ACTIONS(2759),
    [anon_sym__Atomic] = ACTIONS(2759),
    [anon_sym__Noreturn] = ACTIONS(2759),
    [anon_sym_noreturn] = ACTIONS(2759),
    [anon_sym_mutable] = ACTIONS(2759),
    [anon_sym_constinit] = ACTIONS(2759),
    [anon_sym_consteval] = ACTIONS(2759),
    [sym_primitive_type] = ACTIONS(2759),
    [anon_sym_enum] = ACTIONS(2759),
    [anon_sym_class] = ACTIONS(2759),
    [anon_sym_struct] = ACTIONS(2759),
    [anon_sym_union] = ACTIONS(2759),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2759),
    [anon_sym_decltype] = ACTIONS(2759),
    [anon_sym_virtual] = ACTIONS(2759),
    [anon_sym_alignas] = ACTIONS(2759),
    [anon_sym_explicit] = ACTIONS(2759),
    [anon_sym_typename] = ACTIONS(2759),
    [anon_sym_template] = ACTIONS(2759),
    [anon_sym_operator] = ACTIONS(2759),
    [anon_sym_friend] = ACTIONS(2759),
    [anon_sym_public] = ACTIONS(2759),
    [anon_sym_private] = ACTIONS(2759),
    [anon_sym_protected] = ACTIONS(2759),
    [anon_sym_using] = ACTIONS(2759),
    [anon_sym_static_assert] = ACTIONS(2759),
    [anon_sym_precise] = ACTIONS(2759),
    [anon_sym_shared] = ACTIONS(2759),
    [anon_sym_groupshared] = ACTIONS(2759),
    [anon_sym_uniform] = ACTIONS(2759),
    [anon_sym_row_major] = ACTIONS(2759),
    [anon_sym_column_major] = ACTIONS(2759),
    [anon_sym_globallycoherent] = ACTIONS(2759),
    [anon_sym_centroid] = ACTIONS(2759),
    [anon_sym_noperspective] = ACTIONS(2759),
    [anon_sym_nointerpolation] = ACTIONS(2759),
    [anon_sym_sample] = ACTIONS(2759),
    [anon_sym_linear] = ACTIONS(2759),
    [anon_sym_snorm] = ACTIONS(2759),
    [anon_sym_unorm] = ACTIONS(2759),
    [anon_sym_point] = ACTIONS(2759),
    [anon_sym_line] = ACTIONS(2759),
    [anon_sym_triangleadj] = ACTIONS(2759),
    [anon_sym_lineadj] = ACTIONS(2759),
    [anon_sym_triangle] = ACTIONS(2759),
  },
  [2898] = {
    [sym_identifier] = ACTIONS(5639),
    [aux_sym_preproc_def_token1] = ACTIONS(5639),
    [aux_sym_preproc_if_token1] = ACTIONS(5639),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5639),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5639),
    [sym_preproc_directive] = ACTIONS(5639),
    [anon_sym_LPAREN2] = ACTIONS(5641),
    [anon_sym_TILDE] = ACTIONS(5641),
    [anon_sym_STAR] = ACTIONS(5641),
    [anon_sym_AMP_AMP] = ACTIONS(5641),
    [anon_sym_AMP] = ACTIONS(5639),
    [anon_sym___extension__] = ACTIONS(5639),
    [anon_sym_typedef] = ACTIONS(5639),
    [anon_sym_in] = ACTIONS(5639),
    [anon_sym_out] = ACTIONS(5639),
    [anon_sym_inout] = ACTIONS(5639),
    [anon_sym_extern] = ACTIONS(5639),
    [anon_sym___attribute__] = ACTIONS(5639),
    [anon_sym_COLON_COLON] = ACTIONS(5641),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5641),
    [anon_sym___declspec] = ACTIONS(5639),
    [anon_sym___based] = ACTIONS(5639),
    [anon_sym_RBRACE] = ACTIONS(5641),
    [anon_sym_signed] = ACTIONS(5639),
    [anon_sym_unsigned] = ACTIONS(5639),
    [anon_sym_long] = ACTIONS(5639),
    [anon_sym_short] = ACTIONS(5639),
    [anon_sym_LBRACK] = ACTIONS(5639),
    [anon_sym_static] = ACTIONS(5639),
    [anon_sym_register] = ACTIONS(5639),
    [anon_sym_inline] = ACTIONS(5639),
    [anon_sym___inline] = ACTIONS(5639),
    [anon_sym___inline__] = ACTIONS(5639),
    [anon_sym___forceinline] = ACTIONS(5639),
    [anon_sym_thread_local] = ACTIONS(5639),
    [anon_sym___thread] = ACTIONS(5639),
    [anon_sym_const] = ACTIONS(5639),
    [anon_sym_constexpr] = ACTIONS(5639),
    [anon_sym_volatile] = ACTIONS(5639),
    [anon_sym_restrict] = ACTIONS(5639),
    [anon_sym___restrict__] = ACTIONS(5639),
    [anon_sym__Atomic] = ACTIONS(5639),
    [anon_sym__Noreturn] = ACTIONS(5639),
    [anon_sym_noreturn] = ACTIONS(5639),
    [anon_sym_mutable] = ACTIONS(5639),
    [anon_sym_constinit] = ACTIONS(5639),
    [anon_sym_consteval] = ACTIONS(5639),
    [sym_primitive_type] = ACTIONS(5639),
    [anon_sym_enum] = ACTIONS(5639),
    [anon_sym_class] = ACTIONS(5639),
    [anon_sym_struct] = ACTIONS(5639),
    [anon_sym_union] = ACTIONS(5639),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5639),
    [anon_sym_decltype] = ACTIONS(5639),
    [anon_sym_virtual] = ACTIONS(5639),
    [anon_sym_alignas] = ACTIONS(5639),
    [anon_sym_explicit] = ACTIONS(5639),
    [anon_sym_typename] = ACTIONS(5639),
    [anon_sym_template] = ACTIONS(5639),
    [anon_sym_operator] = ACTIONS(5639),
    [anon_sym_friend] = ACTIONS(5639),
    [anon_sym_public] = ACTIONS(5639),
    [anon_sym_private] = ACTIONS(5639),
    [anon_sym_protected] = ACTIONS(5639),
    [anon_sym_using] = ACTIONS(5639),
    [anon_sym_static_assert] = ACTIONS(5639),
    [anon_sym_precise] = ACTIONS(5639),
    [anon_sym_shared] = ACTIONS(5639),
    [anon_sym_groupshared] = ACTIONS(5639),
    [anon_sym_uniform] = ACTIONS(5639),
    [anon_sym_row_major] = ACTIONS(5639),
    [anon_sym_column_major] = ACTIONS(5639),
    [anon_sym_globallycoherent] = ACTIONS(5639),
    [anon_sym_centroid] = ACTIONS(5639),
    [anon_sym_noperspective] = ACTIONS(5639),
    [anon_sym_nointerpolation] = ACTIONS(5639),
    [anon_sym_sample] = ACTIONS(5639),
    [anon_sym_linear] = ACTIONS(5639),
    [anon_sym_snorm] = ACTIONS(5639),
    [anon_sym_unorm] = ACTIONS(5639),
    [anon_sym_point] = ACTIONS(5639),
    [anon_sym_line] = ACTIONS(5639),
    [anon_sym_triangleadj] = ACTIONS(5639),
    [anon_sym_lineadj] = ACTIONS(5639),
    [anon_sym_triangle] = ACTIONS(5639),
  },
  [2899] = {
    [sym_identifier] = ACTIONS(5635),
    [aux_sym_preproc_def_token1] = ACTIONS(5635),
    [aux_sym_preproc_if_token1] = ACTIONS(5635),
    [aux_sym_preproc_if_token2] = ACTIONS(5635),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5635),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5635),
    [sym_preproc_directive] = ACTIONS(5635),
    [anon_sym_LPAREN2] = ACTIONS(5637),
    [anon_sym_TILDE] = ACTIONS(5637),
    [anon_sym_STAR] = ACTIONS(5637),
    [anon_sym_AMP_AMP] = ACTIONS(5637),
    [anon_sym_AMP] = ACTIONS(5635),
    [anon_sym___extension__] = ACTIONS(5635),
    [anon_sym_typedef] = ACTIONS(5635),
    [anon_sym_in] = ACTIONS(5635),
    [anon_sym_out] = ACTIONS(5635),
    [anon_sym_inout] = ACTIONS(5635),
    [anon_sym_extern] = ACTIONS(5635),
    [anon_sym___attribute__] = ACTIONS(5635),
    [anon_sym_COLON_COLON] = ACTIONS(5637),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5637),
    [anon_sym___declspec] = ACTIONS(5635),
    [anon_sym___based] = ACTIONS(5635),
    [anon_sym_signed] = ACTIONS(5635),
    [anon_sym_unsigned] = ACTIONS(5635),
    [anon_sym_long] = ACTIONS(5635),
    [anon_sym_short] = ACTIONS(5635),
    [anon_sym_LBRACK] = ACTIONS(5635),
    [anon_sym_static] = ACTIONS(5635),
    [anon_sym_register] = ACTIONS(5635),
    [anon_sym_inline] = ACTIONS(5635),
    [anon_sym___inline] = ACTIONS(5635),
    [anon_sym___inline__] = ACTIONS(5635),
    [anon_sym___forceinline] = ACTIONS(5635),
    [anon_sym_thread_local] = ACTIONS(5635),
    [anon_sym___thread] = ACTIONS(5635),
    [anon_sym_const] = ACTIONS(5635),
    [anon_sym_constexpr] = ACTIONS(5635),
    [anon_sym_volatile] = ACTIONS(5635),
    [anon_sym_restrict] = ACTIONS(5635),
    [anon_sym___restrict__] = ACTIONS(5635),
    [anon_sym__Atomic] = ACTIONS(5635),
    [anon_sym__Noreturn] = ACTIONS(5635),
    [anon_sym_noreturn] = ACTIONS(5635),
    [anon_sym_mutable] = ACTIONS(5635),
    [anon_sym_constinit] = ACTIONS(5635),
    [anon_sym_consteval] = ACTIONS(5635),
    [sym_primitive_type] = ACTIONS(5635),
    [anon_sym_enum] = ACTIONS(5635),
    [anon_sym_class] = ACTIONS(5635),
    [anon_sym_struct] = ACTIONS(5635),
    [anon_sym_union] = ACTIONS(5635),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5635),
    [anon_sym_decltype] = ACTIONS(5635),
    [anon_sym_virtual] = ACTIONS(5635),
    [anon_sym_alignas] = ACTIONS(5635),
    [anon_sym_explicit] = ACTIONS(5635),
    [anon_sym_typename] = ACTIONS(5635),
    [anon_sym_template] = ACTIONS(5635),
    [anon_sym_operator] = ACTIONS(5635),
    [anon_sym_friend] = ACTIONS(5635),
    [anon_sym_public] = ACTIONS(5635),
    [anon_sym_private] = ACTIONS(5635),
    [anon_sym_protected] = ACTIONS(5635),
    [anon_sym_using] = ACTIONS(5635),
    [anon_sym_static_assert] = ACTIONS(5635),
    [anon_sym_precise] = ACTIONS(5635),
    [anon_sym_shared] = ACTIONS(5635),
    [anon_sym_groupshared] = ACTIONS(5635),
    [anon_sym_uniform] = ACTIONS(5635),
    [anon_sym_row_major] = ACTIONS(5635),
    [anon_sym_column_major] = ACTIONS(5635),
    [anon_sym_globallycoherent] = ACTIONS(5635),
    [anon_sym_centroid] = ACTIONS(5635),
    [anon_sym_noperspective] = ACTIONS(5635),
    [anon_sym_nointerpolation] = ACTIONS(5635),
    [anon_sym_sample] = ACTIONS(5635),
    [anon_sym_linear] = ACTIONS(5635),
    [anon_sym_snorm] = ACTIONS(5635),
    [anon_sym_unorm] = ACTIONS(5635),
    [anon_sym_point] = ACTIONS(5635),
    [anon_sym_line] = ACTIONS(5635),
    [anon_sym_triangleadj] = ACTIONS(5635),
    [anon_sym_lineadj] = ACTIONS(5635),
    [anon_sym_triangle] = ACTIONS(5635),
  },
  [2900] = {
    [sym_identifier] = ACTIONS(5631),
    [aux_sym_preproc_def_token1] = ACTIONS(5631),
    [aux_sym_preproc_if_token1] = ACTIONS(5631),
    [aux_sym_preproc_if_token2] = ACTIONS(5631),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5631),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5631),
    [sym_preproc_directive] = ACTIONS(5631),
    [anon_sym_LPAREN2] = ACTIONS(5633),
    [anon_sym_TILDE] = ACTIONS(5633),
    [anon_sym_STAR] = ACTIONS(5633),
    [anon_sym_AMP_AMP] = ACTIONS(5633),
    [anon_sym_AMP] = ACTIONS(5631),
    [anon_sym___extension__] = ACTIONS(5631),
    [anon_sym_typedef] = ACTIONS(5631),
    [anon_sym_in] = ACTIONS(5631),
    [anon_sym_out] = ACTIONS(5631),
    [anon_sym_inout] = ACTIONS(5631),
    [anon_sym_extern] = ACTIONS(5631),
    [anon_sym___attribute__] = ACTIONS(5631),
    [anon_sym_COLON_COLON] = ACTIONS(5633),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5633),
    [anon_sym___declspec] = ACTIONS(5631),
    [anon_sym___based] = ACTIONS(5631),
    [anon_sym_signed] = ACTIONS(5631),
    [anon_sym_unsigned] = ACTIONS(5631),
    [anon_sym_long] = ACTIONS(5631),
    [anon_sym_short] = ACTIONS(5631),
    [anon_sym_LBRACK] = ACTIONS(5631),
    [anon_sym_static] = ACTIONS(5631),
    [anon_sym_register] = ACTIONS(5631),
    [anon_sym_inline] = ACTIONS(5631),
    [anon_sym___inline] = ACTIONS(5631),
    [anon_sym___inline__] = ACTIONS(5631),
    [anon_sym___forceinline] = ACTIONS(5631),
    [anon_sym_thread_local] = ACTIONS(5631),
    [anon_sym___thread] = ACTIONS(5631),
    [anon_sym_const] = ACTIONS(5631),
    [anon_sym_constexpr] = ACTIONS(5631),
    [anon_sym_volatile] = ACTIONS(5631),
    [anon_sym_restrict] = ACTIONS(5631),
    [anon_sym___restrict__] = ACTIONS(5631),
    [anon_sym__Atomic] = ACTIONS(5631),
    [anon_sym__Noreturn] = ACTIONS(5631),
    [anon_sym_noreturn] = ACTIONS(5631),
    [anon_sym_mutable] = ACTIONS(5631),
    [anon_sym_constinit] = ACTIONS(5631),
    [anon_sym_consteval] = ACTIONS(5631),
    [sym_primitive_type] = ACTIONS(5631),
    [anon_sym_enum] = ACTIONS(5631),
    [anon_sym_class] = ACTIONS(5631),
    [anon_sym_struct] = ACTIONS(5631),
    [anon_sym_union] = ACTIONS(5631),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5631),
    [anon_sym_decltype] = ACTIONS(5631),
    [anon_sym_virtual] = ACTIONS(5631),
    [anon_sym_alignas] = ACTIONS(5631),
    [anon_sym_explicit] = ACTIONS(5631),
    [anon_sym_typename] = ACTIONS(5631),
    [anon_sym_template] = ACTIONS(5631),
    [anon_sym_operator] = ACTIONS(5631),
    [anon_sym_friend] = ACTIONS(5631),
    [anon_sym_public] = ACTIONS(5631),
    [anon_sym_private] = ACTIONS(5631),
    [anon_sym_protected] = ACTIONS(5631),
    [anon_sym_using] = ACTIONS(5631),
    [anon_sym_static_assert] = ACTIONS(5631),
    [anon_sym_precise] = ACTIONS(5631),
    [anon_sym_shared] = ACTIONS(5631),
    [anon_sym_groupshared] = ACTIONS(5631),
    [anon_sym_uniform] = ACTIONS(5631),
    [anon_sym_row_major] = ACTIONS(5631),
    [anon_sym_column_major] = ACTIONS(5631),
    [anon_sym_globallycoherent] = ACTIONS(5631),
    [anon_sym_centroid] = ACTIONS(5631),
    [anon_sym_noperspective] = ACTIONS(5631),
    [anon_sym_nointerpolation] = ACTIONS(5631),
    [anon_sym_sample] = ACTIONS(5631),
    [anon_sym_linear] = ACTIONS(5631),
    [anon_sym_snorm] = ACTIONS(5631),
    [anon_sym_unorm] = ACTIONS(5631),
    [anon_sym_point] = ACTIONS(5631),
    [anon_sym_line] = ACTIONS(5631),
    [anon_sym_triangleadj] = ACTIONS(5631),
    [anon_sym_lineadj] = ACTIONS(5631),
    [anon_sym_triangle] = ACTIONS(5631),
  },
  [2901] = {
    [sym_identifier] = ACTIONS(2432),
    [aux_sym_preproc_def_token1] = ACTIONS(2432),
    [aux_sym_preproc_if_token1] = ACTIONS(2432),
    [aux_sym_preproc_if_token2] = ACTIONS(2432),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2432),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2432),
    [sym_preproc_directive] = ACTIONS(2432),
    [anon_sym_LPAREN2] = ACTIONS(2434),
    [anon_sym_TILDE] = ACTIONS(2434),
    [anon_sym_STAR] = ACTIONS(2434),
    [anon_sym_AMP_AMP] = ACTIONS(2434),
    [anon_sym_AMP] = ACTIONS(2432),
    [anon_sym___extension__] = ACTIONS(2432),
    [anon_sym_typedef] = ACTIONS(2432),
    [anon_sym_in] = ACTIONS(2432),
    [anon_sym_out] = ACTIONS(2432),
    [anon_sym_inout] = ACTIONS(2432),
    [anon_sym_extern] = ACTIONS(2432),
    [anon_sym___attribute__] = ACTIONS(2432),
    [anon_sym_COLON_COLON] = ACTIONS(2434),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2434),
    [anon_sym___declspec] = ACTIONS(2432),
    [anon_sym___based] = ACTIONS(2432),
    [anon_sym_signed] = ACTIONS(2432),
    [anon_sym_unsigned] = ACTIONS(2432),
    [anon_sym_long] = ACTIONS(2432),
    [anon_sym_short] = ACTIONS(2432),
    [anon_sym_LBRACK] = ACTIONS(2432),
    [anon_sym_static] = ACTIONS(2432),
    [anon_sym_register] = ACTIONS(2432),
    [anon_sym_inline] = ACTIONS(2432),
    [anon_sym___inline] = ACTIONS(2432),
    [anon_sym___inline__] = ACTIONS(2432),
    [anon_sym___forceinline] = ACTIONS(2432),
    [anon_sym_thread_local] = ACTIONS(2432),
    [anon_sym___thread] = ACTIONS(2432),
    [anon_sym_const] = ACTIONS(2432),
    [anon_sym_constexpr] = ACTIONS(2432),
    [anon_sym_volatile] = ACTIONS(2432),
    [anon_sym_restrict] = ACTIONS(2432),
    [anon_sym___restrict__] = ACTIONS(2432),
    [anon_sym__Atomic] = ACTIONS(2432),
    [anon_sym__Noreturn] = ACTIONS(2432),
    [anon_sym_noreturn] = ACTIONS(2432),
    [anon_sym_mutable] = ACTIONS(2432),
    [anon_sym_constinit] = ACTIONS(2432),
    [anon_sym_consteval] = ACTIONS(2432),
    [sym_primitive_type] = ACTIONS(2432),
    [anon_sym_enum] = ACTIONS(2432),
    [anon_sym_class] = ACTIONS(2432),
    [anon_sym_struct] = ACTIONS(2432),
    [anon_sym_union] = ACTIONS(2432),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2432),
    [anon_sym_decltype] = ACTIONS(2432),
    [anon_sym_virtual] = ACTIONS(2432),
    [anon_sym_alignas] = ACTIONS(2432),
    [anon_sym_explicit] = ACTIONS(2432),
    [anon_sym_typename] = ACTIONS(2432),
    [anon_sym_template] = ACTIONS(2432),
    [anon_sym_operator] = ACTIONS(2432),
    [anon_sym_friend] = ACTIONS(2432),
    [anon_sym_public] = ACTIONS(2432),
    [anon_sym_private] = ACTIONS(2432),
    [anon_sym_protected] = ACTIONS(2432),
    [anon_sym_using] = ACTIONS(2432),
    [anon_sym_static_assert] = ACTIONS(2432),
    [anon_sym_precise] = ACTIONS(2432),
    [anon_sym_shared] = ACTIONS(2432),
    [anon_sym_groupshared] = ACTIONS(2432),
    [anon_sym_uniform] = ACTIONS(2432),
    [anon_sym_row_major] = ACTIONS(2432),
    [anon_sym_column_major] = ACTIONS(2432),
    [anon_sym_globallycoherent] = ACTIONS(2432),
    [anon_sym_centroid] = ACTIONS(2432),
    [anon_sym_noperspective] = ACTIONS(2432),
    [anon_sym_nointerpolation] = ACTIONS(2432),
    [anon_sym_sample] = ACTIONS(2432),
    [anon_sym_linear] = ACTIONS(2432),
    [anon_sym_snorm] = ACTIONS(2432),
    [anon_sym_unorm] = ACTIONS(2432),
    [anon_sym_point] = ACTIONS(2432),
    [anon_sym_line] = ACTIONS(2432),
    [anon_sym_triangleadj] = ACTIONS(2432),
    [anon_sym_lineadj] = ACTIONS(2432),
    [anon_sym_triangle] = ACTIONS(2432),
  },
  [2902] = {
    [sym_identifier] = ACTIONS(5627),
    [aux_sym_preproc_def_token1] = ACTIONS(5627),
    [aux_sym_preproc_if_token1] = ACTIONS(5627),
    [aux_sym_preproc_if_token2] = ACTIONS(5627),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5627),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5627),
    [sym_preproc_directive] = ACTIONS(5627),
    [anon_sym_LPAREN2] = ACTIONS(5629),
    [anon_sym_TILDE] = ACTIONS(5629),
    [anon_sym_STAR] = ACTIONS(5629),
    [anon_sym_AMP_AMP] = ACTIONS(5629),
    [anon_sym_AMP] = ACTIONS(5627),
    [anon_sym___extension__] = ACTIONS(5627),
    [anon_sym_typedef] = ACTIONS(5627),
    [anon_sym_in] = ACTIONS(5627),
    [anon_sym_out] = ACTIONS(5627),
    [anon_sym_inout] = ACTIONS(5627),
    [anon_sym_extern] = ACTIONS(5627),
    [anon_sym___attribute__] = ACTIONS(5627),
    [anon_sym_COLON_COLON] = ACTIONS(5629),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5629),
    [anon_sym___declspec] = ACTIONS(5627),
    [anon_sym___based] = ACTIONS(5627),
    [anon_sym_signed] = ACTIONS(5627),
    [anon_sym_unsigned] = ACTIONS(5627),
    [anon_sym_long] = ACTIONS(5627),
    [anon_sym_short] = ACTIONS(5627),
    [anon_sym_LBRACK] = ACTIONS(5627),
    [anon_sym_static] = ACTIONS(5627),
    [anon_sym_register] = ACTIONS(5627),
    [anon_sym_inline] = ACTIONS(5627),
    [anon_sym___inline] = ACTIONS(5627),
    [anon_sym___inline__] = ACTIONS(5627),
    [anon_sym___forceinline] = ACTIONS(5627),
    [anon_sym_thread_local] = ACTIONS(5627),
    [anon_sym___thread] = ACTIONS(5627),
    [anon_sym_const] = ACTIONS(5627),
    [anon_sym_constexpr] = ACTIONS(5627),
    [anon_sym_volatile] = ACTIONS(5627),
    [anon_sym_restrict] = ACTIONS(5627),
    [anon_sym___restrict__] = ACTIONS(5627),
    [anon_sym__Atomic] = ACTIONS(5627),
    [anon_sym__Noreturn] = ACTIONS(5627),
    [anon_sym_noreturn] = ACTIONS(5627),
    [anon_sym_mutable] = ACTIONS(5627),
    [anon_sym_constinit] = ACTIONS(5627),
    [anon_sym_consteval] = ACTIONS(5627),
    [sym_primitive_type] = ACTIONS(5627),
    [anon_sym_enum] = ACTIONS(5627),
    [anon_sym_class] = ACTIONS(5627),
    [anon_sym_struct] = ACTIONS(5627),
    [anon_sym_union] = ACTIONS(5627),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5627),
    [anon_sym_decltype] = ACTIONS(5627),
    [anon_sym_virtual] = ACTIONS(5627),
    [anon_sym_alignas] = ACTIONS(5627),
    [anon_sym_explicit] = ACTIONS(5627),
    [anon_sym_typename] = ACTIONS(5627),
    [anon_sym_template] = ACTIONS(5627),
    [anon_sym_operator] = ACTIONS(5627),
    [anon_sym_friend] = ACTIONS(5627),
    [anon_sym_public] = ACTIONS(5627),
    [anon_sym_private] = ACTIONS(5627),
    [anon_sym_protected] = ACTIONS(5627),
    [anon_sym_using] = ACTIONS(5627),
    [anon_sym_static_assert] = ACTIONS(5627),
    [anon_sym_precise] = ACTIONS(5627),
    [anon_sym_shared] = ACTIONS(5627),
    [anon_sym_groupshared] = ACTIONS(5627),
    [anon_sym_uniform] = ACTIONS(5627),
    [anon_sym_row_major] = ACTIONS(5627),
    [anon_sym_column_major] = ACTIONS(5627),
    [anon_sym_globallycoherent] = ACTIONS(5627),
    [anon_sym_centroid] = ACTIONS(5627),
    [anon_sym_noperspective] = ACTIONS(5627),
    [anon_sym_nointerpolation] = ACTIONS(5627),
    [anon_sym_sample] = ACTIONS(5627),
    [anon_sym_linear] = ACTIONS(5627),
    [anon_sym_snorm] = ACTIONS(5627),
    [anon_sym_unorm] = ACTIONS(5627),
    [anon_sym_point] = ACTIONS(5627),
    [anon_sym_line] = ACTIONS(5627),
    [anon_sym_triangleadj] = ACTIONS(5627),
    [anon_sym_lineadj] = ACTIONS(5627),
    [anon_sym_triangle] = ACTIONS(5627),
  },
  [2903] = {
    [sym_identifier] = ACTIONS(5635),
    [aux_sym_preproc_def_token1] = ACTIONS(5635),
    [aux_sym_preproc_if_token1] = ACTIONS(5635),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5635),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5635),
    [sym_preproc_directive] = ACTIONS(5635),
    [anon_sym_LPAREN2] = ACTIONS(5637),
    [anon_sym_TILDE] = ACTIONS(5637),
    [anon_sym_STAR] = ACTIONS(5637),
    [anon_sym_AMP_AMP] = ACTIONS(5637),
    [anon_sym_AMP] = ACTIONS(5635),
    [anon_sym___extension__] = ACTIONS(5635),
    [anon_sym_typedef] = ACTIONS(5635),
    [anon_sym_in] = ACTIONS(5635),
    [anon_sym_out] = ACTIONS(5635),
    [anon_sym_inout] = ACTIONS(5635),
    [anon_sym_extern] = ACTIONS(5635),
    [anon_sym___attribute__] = ACTIONS(5635),
    [anon_sym_COLON_COLON] = ACTIONS(5637),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5637),
    [anon_sym___declspec] = ACTIONS(5635),
    [anon_sym___based] = ACTIONS(5635),
    [anon_sym_RBRACE] = ACTIONS(5637),
    [anon_sym_signed] = ACTIONS(5635),
    [anon_sym_unsigned] = ACTIONS(5635),
    [anon_sym_long] = ACTIONS(5635),
    [anon_sym_short] = ACTIONS(5635),
    [anon_sym_LBRACK] = ACTIONS(5635),
    [anon_sym_static] = ACTIONS(5635),
    [anon_sym_register] = ACTIONS(5635),
    [anon_sym_inline] = ACTIONS(5635),
    [anon_sym___inline] = ACTIONS(5635),
    [anon_sym___inline__] = ACTIONS(5635),
    [anon_sym___forceinline] = ACTIONS(5635),
    [anon_sym_thread_local] = ACTIONS(5635),
    [anon_sym___thread] = ACTIONS(5635),
    [anon_sym_const] = ACTIONS(5635),
    [anon_sym_constexpr] = ACTIONS(5635),
    [anon_sym_volatile] = ACTIONS(5635),
    [anon_sym_restrict] = ACTIONS(5635),
    [anon_sym___restrict__] = ACTIONS(5635),
    [anon_sym__Atomic] = ACTIONS(5635),
    [anon_sym__Noreturn] = ACTIONS(5635),
    [anon_sym_noreturn] = ACTIONS(5635),
    [anon_sym_mutable] = ACTIONS(5635),
    [anon_sym_constinit] = ACTIONS(5635),
    [anon_sym_consteval] = ACTIONS(5635),
    [sym_primitive_type] = ACTIONS(5635),
    [anon_sym_enum] = ACTIONS(5635),
    [anon_sym_class] = ACTIONS(5635),
    [anon_sym_struct] = ACTIONS(5635),
    [anon_sym_union] = ACTIONS(5635),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5635),
    [anon_sym_decltype] = ACTIONS(5635),
    [anon_sym_virtual] = ACTIONS(5635),
    [anon_sym_alignas] = ACTIONS(5635),
    [anon_sym_explicit] = ACTIONS(5635),
    [anon_sym_typename] = ACTIONS(5635),
    [anon_sym_template] = ACTIONS(5635),
    [anon_sym_operator] = ACTIONS(5635),
    [anon_sym_friend] = ACTIONS(5635),
    [anon_sym_public] = ACTIONS(5635),
    [anon_sym_private] = ACTIONS(5635),
    [anon_sym_protected] = ACTIONS(5635),
    [anon_sym_using] = ACTIONS(5635),
    [anon_sym_static_assert] = ACTIONS(5635),
    [anon_sym_precise] = ACTIONS(5635),
    [anon_sym_shared] = ACTIONS(5635),
    [anon_sym_groupshared] = ACTIONS(5635),
    [anon_sym_uniform] = ACTIONS(5635),
    [anon_sym_row_major] = ACTIONS(5635),
    [anon_sym_column_major] = ACTIONS(5635),
    [anon_sym_globallycoherent] = ACTIONS(5635),
    [anon_sym_centroid] = ACTIONS(5635),
    [anon_sym_noperspective] = ACTIONS(5635),
    [anon_sym_nointerpolation] = ACTIONS(5635),
    [anon_sym_sample] = ACTIONS(5635),
    [anon_sym_linear] = ACTIONS(5635),
    [anon_sym_snorm] = ACTIONS(5635),
    [anon_sym_unorm] = ACTIONS(5635),
    [anon_sym_point] = ACTIONS(5635),
    [anon_sym_line] = ACTIONS(5635),
    [anon_sym_triangleadj] = ACTIONS(5635),
    [anon_sym_lineadj] = ACTIONS(5635),
    [anon_sym_triangle] = ACTIONS(5635),
  },
  [2904] = {
    [sym_identifier] = ACTIONS(5623),
    [aux_sym_preproc_def_token1] = ACTIONS(5623),
    [aux_sym_preproc_if_token1] = ACTIONS(5623),
    [aux_sym_preproc_if_token2] = ACTIONS(5623),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5623),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5623),
    [sym_preproc_directive] = ACTIONS(5623),
    [anon_sym_LPAREN2] = ACTIONS(5625),
    [anon_sym_TILDE] = ACTIONS(5625),
    [anon_sym_STAR] = ACTIONS(5625),
    [anon_sym_AMP_AMP] = ACTIONS(5625),
    [anon_sym_AMP] = ACTIONS(5623),
    [anon_sym___extension__] = ACTIONS(5623),
    [anon_sym_typedef] = ACTIONS(5623),
    [anon_sym_in] = ACTIONS(5623),
    [anon_sym_out] = ACTIONS(5623),
    [anon_sym_inout] = ACTIONS(5623),
    [anon_sym_extern] = ACTIONS(5623),
    [anon_sym___attribute__] = ACTIONS(5623),
    [anon_sym_COLON_COLON] = ACTIONS(5625),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5625),
    [anon_sym___declspec] = ACTIONS(5623),
    [anon_sym___based] = ACTIONS(5623),
    [anon_sym_signed] = ACTIONS(5623),
    [anon_sym_unsigned] = ACTIONS(5623),
    [anon_sym_long] = ACTIONS(5623),
    [anon_sym_short] = ACTIONS(5623),
    [anon_sym_LBRACK] = ACTIONS(5623),
    [anon_sym_static] = ACTIONS(5623),
    [anon_sym_register] = ACTIONS(5623),
    [anon_sym_inline] = ACTIONS(5623),
    [anon_sym___inline] = ACTIONS(5623),
    [anon_sym___inline__] = ACTIONS(5623),
    [anon_sym___forceinline] = ACTIONS(5623),
    [anon_sym_thread_local] = ACTIONS(5623),
    [anon_sym___thread] = ACTIONS(5623),
    [anon_sym_const] = ACTIONS(5623),
    [anon_sym_constexpr] = ACTIONS(5623),
    [anon_sym_volatile] = ACTIONS(5623),
    [anon_sym_restrict] = ACTIONS(5623),
    [anon_sym___restrict__] = ACTIONS(5623),
    [anon_sym__Atomic] = ACTIONS(5623),
    [anon_sym__Noreturn] = ACTIONS(5623),
    [anon_sym_noreturn] = ACTIONS(5623),
    [anon_sym_mutable] = ACTIONS(5623),
    [anon_sym_constinit] = ACTIONS(5623),
    [anon_sym_consteval] = ACTIONS(5623),
    [sym_primitive_type] = ACTIONS(5623),
    [anon_sym_enum] = ACTIONS(5623),
    [anon_sym_class] = ACTIONS(5623),
    [anon_sym_struct] = ACTIONS(5623),
    [anon_sym_union] = ACTIONS(5623),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5623),
    [anon_sym_decltype] = ACTIONS(5623),
    [anon_sym_virtual] = ACTIONS(5623),
    [anon_sym_alignas] = ACTIONS(5623),
    [anon_sym_explicit] = ACTIONS(5623),
    [anon_sym_typename] = ACTIONS(5623),
    [anon_sym_template] = ACTIONS(5623),
    [anon_sym_operator] = ACTIONS(5623),
    [anon_sym_friend] = ACTIONS(5623),
    [anon_sym_public] = ACTIONS(5623),
    [anon_sym_private] = ACTIONS(5623),
    [anon_sym_protected] = ACTIONS(5623),
    [anon_sym_using] = ACTIONS(5623),
    [anon_sym_static_assert] = ACTIONS(5623),
    [anon_sym_precise] = ACTIONS(5623),
    [anon_sym_shared] = ACTIONS(5623),
    [anon_sym_groupshared] = ACTIONS(5623),
    [anon_sym_uniform] = ACTIONS(5623),
    [anon_sym_row_major] = ACTIONS(5623),
    [anon_sym_column_major] = ACTIONS(5623),
    [anon_sym_globallycoherent] = ACTIONS(5623),
    [anon_sym_centroid] = ACTIONS(5623),
    [anon_sym_noperspective] = ACTIONS(5623),
    [anon_sym_nointerpolation] = ACTIONS(5623),
    [anon_sym_sample] = ACTIONS(5623),
    [anon_sym_linear] = ACTIONS(5623),
    [anon_sym_snorm] = ACTIONS(5623),
    [anon_sym_unorm] = ACTIONS(5623),
    [anon_sym_point] = ACTIONS(5623),
    [anon_sym_line] = ACTIONS(5623),
    [anon_sym_triangleadj] = ACTIONS(5623),
    [anon_sym_lineadj] = ACTIONS(5623),
    [anon_sym_triangle] = ACTIONS(5623),
  },
  [2905] = {
    [sym_identifier] = ACTIONS(2617),
    [aux_sym_preproc_def_token1] = ACTIONS(2617),
    [aux_sym_preproc_if_token1] = ACTIONS(2617),
    [aux_sym_preproc_if_token2] = ACTIONS(2617),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2617),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2617),
    [sym_preproc_directive] = ACTIONS(2617),
    [anon_sym_LPAREN2] = ACTIONS(2619),
    [anon_sym_TILDE] = ACTIONS(2619),
    [anon_sym_STAR] = ACTIONS(2619),
    [anon_sym_AMP_AMP] = ACTIONS(2619),
    [anon_sym_AMP] = ACTIONS(2617),
    [anon_sym___extension__] = ACTIONS(2617),
    [anon_sym_typedef] = ACTIONS(2617),
    [anon_sym_in] = ACTIONS(2617),
    [anon_sym_out] = ACTIONS(2617),
    [anon_sym_inout] = ACTIONS(2617),
    [anon_sym_extern] = ACTIONS(2617),
    [anon_sym___attribute__] = ACTIONS(2617),
    [anon_sym_COLON_COLON] = ACTIONS(2619),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2619),
    [anon_sym___declspec] = ACTIONS(2617),
    [anon_sym___based] = ACTIONS(2617),
    [anon_sym_signed] = ACTIONS(2617),
    [anon_sym_unsigned] = ACTIONS(2617),
    [anon_sym_long] = ACTIONS(2617),
    [anon_sym_short] = ACTIONS(2617),
    [anon_sym_LBRACK] = ACTIONS(2617),
    [anon_sym_static] = ACTIONS(2617),
    [anon_sym_register] = ACTIONS(2617),
    [anon_sym_inline] = ACTIONS(2617),
    [anon_sym___inline] = ACTIONS(2617),
    [anon_sym___inline__] = ACTIONS(2617),
    [anon_sym___forceinline] = ACTIONS(2617),
    [anon_sym_thread_local] = ACTIONS(2617),
    [anon_sym___thread] = ACTIONS(2617),
    [anon_sym_const] = ACTIONS(2617),
    [anon_sym_constexpr] = ACTIONS(2617),
    [anon_sym_volatile] = ACTIONS(2617),
    [anon_sym_restrict] = ACTIONS(2617),
    [anon_sym___restrict__] = ACTIONS(2617),
    [anon_sym__Atomic] = ACTIONS(2617),
    [anon_sym__Noreturn] = ACTIONS(2617),
    [anon_sym_noreturn] = ACTIONS(2617),
    [anon_sym_mutable] = ACTIONS(2617),
    [anon_sym_constinit] = ACTIONS(2617),
    [anon_sym_consteval] = ACTIONS(2617),
    [sym_primitive_type] = ACTIONS(2617),
    [anon_sym_enum] = ACTIONS(2617),
    [anon_sym_class] = ACTIONS(2617),
    [anon_sym_struct] = ACTIONS(2617),
    [anon_sym_union] = ACTIONS(2617),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2617),
    [anon_sym_decltype] = ACTIONS(2617),
    [anon_sym_virtual] = ACTIONS(2617),
    [anon_sym_alignas] = ACTIONS(2617),
    [anon_sym_explicit] = ACTIONS(2617),
    [anon_sym_typename] = ACTIONS(2617),
    [anon_sym_template] = ACTIONS(2617),
    [anon_sym_operator] = ACTIONS(2617),
    [anon_sym_friend] = ACTIONS(2617),
    [anon_sym_public] = ACTIONS(2617),
    [anon_sym_private] = ACTIONS(2617),
    [anon_sym_protected] = ACTIONS(2617),
    [anon_sym_using] = ACTIONS(2617),
    [anon_sym_static_assert] = ACTIONS(2617),
    [anon_sym_precise] = ACTIONS(2617),
    [anon_sym_shared] = ACTIONS(2617),
    [anon_sym_groupshared] = ACTIONS(2617),
    [anon_sym_uniform] = ACTIONS(2617),
    [anon_sym_row_major] = ACTIONS(2617),
    [anon_sym_column_major] = ACTIONS(2617),
    [anon_sym_globallycoherent] = ACTIONS(2617),
    [anon_sym_centroid] = ACTIONS(2617),
    [anon_sym_noperspective] = ACTIONS(2617),
    [anon_sym_nointerpolation] = ACTIONS(2617),
    [anon_sym_sample] = ACTIONS(2617),
    [anon_sym_linear] = ACTIONS(2617),
    [anon_sym_snorm] = ACTIONS(2617),
    [anon_sym_unorm] = ACTIONS(2617),
    [anon_sym_point] = ACTIONS(2617),
    [anon_sym_line] = ACTIONS(2617),
    [anon_sym_triangleadj] = ACTIONS(2617),
    [anon_sym_lineadj] = ACTIONS(2617),
    [anon_sym_triangle] = ACTIONS(2617),
  },
  [2906] = {
    [sym_identifier] = ACTIONS(5619),
    [aux_sym_preproc_def_token1] = ACTIONS(5619),
    [aux_sym_preproc_if_token1] = ACTIONS(5619),
    [aux_sym_preproc_if_token2] = ACTIONS(5619),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5619),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5619),
    [sym_preproc_directive] = ACTIONS(5619),
    [anon_sym_LPAREN2] = ACTIONS(5621),
    [anon_sym_TILDE] = ACTIONS(5621),
    [anon_sym_STAR] = ACTIONS(5621),
    [anon_sym_AMP_AMP] = ACTIONS(5621),
    [anon_sym_AMP] = ACTIONS(5619),
    [anon_sym___extension__] = ACTIONS(5619),
    [anon_sym_typedef] = ACTIONS(5619),
    [anon_sym_in] = ACTIONS(5619),
    [anon_sym_out] = ACTIONS(5619),
    [anon_sym_inout] = ACTIONS(5619),
    [anon_sym_extern] = ACTIONS(5619),
    [anon_sym___attribute__] = ACTIONS(5619),
    [anon_sym_COLON_COLON] = ACTIONS(5621),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5621),
    [anon_sym___declspec] = ACTIONS(5619),
    [anon_sym___based] = ACTIONS(5619),
    [anon_sym_signed] = ACTIONS(5619),
    [anon_sym_unsigned] = ACTIONS(5619),
    [anon_sym_long] = ACTIONS(5619),
    [anon_sym_short] = ACTIONS(5619),
    [anon_sym_LBRACK] = ACTIONS(5619),
    [anon_sym_static] = ACTIONS(5619),
    [anon_sym_register] = ACTIONS(5619),
    [anon_sym_inline] = ACTIONS(5619),
    [anon_sym___inline] = ACTIONS(5619),
    [anon_sym___inline__] = ACTIONS(5619),
    [anon_sym___forceinline] = ACTIONS(5619),
    [anon_sym_thread_local] = ACTIONS(5619),
    [anon_sym___thread] = ACTIONS(5619),
    [anon_sym_const] = ACTIONS(5619),
    [anon_sym_constexpr] = ACTIONS(5619),
    [anon_sym_volatile] = ACTIONS(5619),
    [anon_sym_restrict] = ACTIONS(5619),
    [anon_sym___restrict__] = ACTIONS(5619),
    [anon_sym__Atomic] = ACTIONS(5619),
    [anon_sym__Noreturn] = ACTIONS(5619),
    [anon_sym_noreturn] = ACTIONS(5619),
    [anon_sym_mutable] = ACTIONS(5619),
    [anon_sym_constinit] = ACTIONS(5619),
    [anon_sym_consteval] = ACTIONS(5619),
    [sym_primitive_type] = ACTIONS(5619),
    [anon_sym_enum] = ACTIONS(5619),
    [anon_sym_class] = ACTIONS(5619),
    [anon_sym_struct] = ACTIONS(5619),
    [anon_sym_union] = ACTIONS(5619),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5619),
    [anon_sym_decltype] = ACTIONS(5619),
    [anon_sym_virtual] = ACTIONS(5619),
    [anon_sym_alignas] = ACTIONS(5619),
    [anon_sym_explicit] = ACTIONS(5619),
    [anon_sym_typename] = ACTIONS(5619),
    [anon_sym_template] = ACTIONS(5619),
    [anon_sym_operator] = ACTIONS(5619),
    [anon_sym_friend] = ACTIONS(5619),
    [anon_sym_public] = ACTIONS(5619),
    [anon_sym_private] = ACTIONS(5619),
    [anon_sym_protected] = ACTIONS(5619),
    [anon_sym_using] = ACTIONS(5619),
    [anon_sym_static_assert] = ACTIONS(5619),
    [anon_sym_precise] = ACTIONS(5619),
    [anon_sym_shared] = ACTIONS(5619),
    [anon_sym_groupshared] = ACTIONS(5619),
    [anon_sym_uniform] = ACTIONS(5619),
    [anon_sym_row_major] = ACTIONS(5619),
    [anon_sym_column_major] = ACTIONS(5619),
    [anon_sym_globallycoherent] = ACTIONS(5619),
    [anon_sym_centroid] = ACTIONS(5619),
    [anon_sym_noperspective] = ACTIONS(5619),
    [anon_sym_nointerpolation] = ACTIONS(5619),
    [anon_sym_sample] = ACTIONS(5619),
    [anon_sym_linear] = ACTIONS(5619),
    [anon_sym_snorm] = ACTIONS(5619),
    [anon_sym_unorm] = ACTIONS(5619),
    [anon_sym_point] = ACTIONS(5619),
    [anon_sym_line] = ACTIONS(5619),
    [anon_sym_triangleadj] = ACTIONS(5619),
    [anon_sym_lineadj] = ACTIONS(5619),
    [anon_sym_triangle] = ACTIONS(5619),
  },
  [2907] = {
    [sym_identifier] = ACTIONS(2813),
    [aux_sym_preproc_def_token1] = ACTIONS(2813),
    [aux_sym_preproc_if_token1] = ACTIONS(2813),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2813),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2813),
    [sym_preproc_directive] = ACTIONS(2813),
    [anon_sym_LPAREN2] = ACTIONS(2815),
    [anon_sym_TILDE] = ACTIONS(2815),
    [anon_sym_STAR] = ACTIONS(2815),
    [anon_sym_AMP_AMP] = ACTIONS(2815),
    [anon_sym_AMP] = ACTIONS(2813),
    [anon_sym___extension__] = ACTIONS(2813),
    [anon_sym_typedef] = ACTIONS(2813),
    [anon_sym_in] = ACTIONS(2813),
    [anon_sym_out] = ACTIONS(2813),
    [anon_sym_inout] = ACTIONS(2813),
    [anon_sym_extern] = ACTIONS(2813),
    [anon_sym___attribute__] = ACTIONS(2813),
    [anon_sym_COLON_COLON] = ACTIONS(2815),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2815),
    [anon_sym___declspec] = ACTIONS(2813),
    [anon_sym___based] = ACTIONS(2813),
    [anon_sym_RBRACE] = ACTIONS(2815),
    [anon_sym_signed] = ACTIONS(2813),
    [anon_sym_unsigned] = ACTIONS(2813),
    [anon_sym_long] = ACTIONS(2813),
    [anon_sym_short] = ACTIONS(2813),
    [anon_sym_LBRACK] = ACTIONS(2813),
    [anon_sym_static] = ACTIONS(2813),
    [anon_sym_register] = ACTIONS(2813),
    [anon_sym_inline] = ACTIONS(2813),
    [anon_sym___inline] = ACTIONS(2813),
    [anon_sym___inline__] = ACTIONS(2813),
    [anon_sym___forceinline] = ACTIONS(2813),
    [anon_sym_thread_local] = ACTIONS(2813),
    [anon_sym___thread] = ACTIONS(2813),
    [anon_sym_const] = ACTIONS(2813),
    [anon_sym_constexpr] = ACTIONS(2813),
    [anon_sym_volatile] = ACTIONS(2813),
    [anon_sym_restrict] = ACTIONS(2813),
    [anon_sym___restrict__] = ACTIONS(2813),
    [anon_sym__Atomic] = ACTIONS(2813),
    [anon_sym__Noreturn] = ACTIONS(2813),
    [anon_sym_noreturn] = ACTIONS(2813),
    [anon_sym_mutable] = ACTIONS(2813),
    [anon_sym_constinit] = ACTIONS(2813),
    [anon_sym_consteval] = ACTIONS(2813),
    [sym_primitive_type] = ACTIONS(2813),
    [anon_sym_enum] = ACTIONS(2813),
    [anon_sym_class] = ACTIONS(2813),
    [anon_sym_struct] = ACTIONS(2813),
    [anon_sym_union] = ACTIONS(2813),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2813),
    [anon_sym_decltype] = ACTIONS(2813),
    [anon_sym_virtual] = ACTIONS(2813),
    [anon_sym_alignas] = ACTIONS(2813),
    [anon_sym_explicit] = ACTIONS(2813),
    [anon_sym_typename] = ACTIONS(2813),
    [anon_sym_template] = ACTIONS(2813),
    [anon_sym_operator] = ACTIONS(2813),
    [anon_sym_friend] = ACTIONS(2813),
    [anon_sym_public] = ACTIONS(2813),
    [anon_sym_private] = ACTIONS(2813),
    [anon_sym_protected] = ACTIONS(2813),
    [anon_sym_using] = ACTIONS(2813),
    [anon_sym_static_assert] = ACTIONS(2813),
    [anon_sym_precise] = ACTIONS(2813),
    [anon_sym_shared] = ACTIONS(2813),
    [anon_sym_groupshared] = ACTIONS(2813),
    [anon_sym_uniform] = ACTIONS(2813),
    [anon_sym_row_major] = ACTIONS(2813),
    [anon_sym_column_major] = ACTIONS(2813),
    [anon_sym_globallycoherent] = ACTIONS(2813),
    [anon_sym_centroid] = ACTIONS(2813),
    [anon_sym_noperspective] = ACTIONS(2813),
    [anon_sym_nointerpolation] = ACTIONS(2813),
    [anon_sym_sample] = ACTIONS(2813),
    [anon_sym_linear] = ACTIONS(2813),
    [anon_sym_snorm] = ACTIONS(2813),
    [anon_sym_unorm] = ACTIONS(2813),
    [anon_sym_point] = ACTIONS(2813),
    [anon_sym_line] = ACTIONS(2813),
    [anon_sym_triangleadj] = ACTIONS(2813),
    [anon_sym_lineadj] = ACTIONS(2813),
    [anon_sym_triangle] = ACTIONS(2813),
  },
  [2908] = {
    [sym_identifier] = ACTIONS(2813),
    [aux_sym_preproc_def_token1] = ACTIONS(2813),
    [aux_sym_preproc_if_token1] = ACTIONS(2813),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2813),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2813),
    [sym_preproc_directive] = ACTIONS(2813),
    [anon_sym_LPAREN2] = ACTIONS(2815),
    [anon_sym_TILDE] = ACTIONS(2815),
    [anon_sym_STAR] = ACTIONS(2815),
    [anon_sym_AMP_AMP] = ACTIONS(2815),
    [anon_sym_AMP] = ACTIONS(2813),
    [anon_sym___extension__] = ACTIONS(2813),
    [anon_sym_typedef] = ACTIONS(2813),
    [anon_sym_in] = ACTIONS(2813),
    [anon_sym_out] = ACTIONS(2813),
    [anon_sym_inout] = ACTIONS(2813),
    [anon_sym_extern] = ACTIONS(2813),
    [anon_sym___attribute__] = ACTIONS(2813),
    [anon_sym_COLON_COLON] = ACTIONS(2815),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2815),
    [anon_sym___declspec] = ACTIONS(2813),
    [anon_sym___based] = ACTIONS(2813),
    [anon_sym_RBRACE] = ACTIONS(2815),
    [anon_sym_signed] = ACTIONS(2813),
    [anon_sym_unsigned] = ACTIONS(2813),
    [anon_sym_long] = ACTIONS(2813),
    [anon_sym_short] = ACTIONS(2813),
    [anon_sym_LBRACK] = ACTIONS(2813),
    [anon_sym_static] = ACTIONS(2813),
    [anon_sym_register] = ACTIONS(2813),
    [anon_sym_inline] = ACTIONS(2813),
    [anon_sym___inline] = ACTIONS(2813),
    [anon_sym___inline__] = ACTIONS(2813),
    [anon_sym___forceinline] = ACTIONS(2813),
    [anon_sym_thread_local] = ACTIONS(2813),
    [anon_sym___thread] = ACTIONS(2813),
    [anon_sym_const] = ACTIONS(2813),
    [anon_sym_constexpr] = ACTIONS(2813),
    [anon_sym_volatile] = ACTIONS(2813),
    [anon_sym_restrict] = ACTIONS(2813),
    [anon_sym___restrict__] = ACTIONS(2813),
    [anon_sym__Atomic] = ACTIONS(2813),
    [anon_sym__Noreturn] = ACTIONS(2813),
    [anon_sym_noreturn] = ACTIONS(2813),
    [anon_sym_mutable] = ACTIONS(2813),
    [anon_sym_constinit] = ACTIONS(2813),
    [anon_sym_consteval] = ACTIONS(2813),
    [sym_primitive_type] = ACTIONS(2813),
    [anon_sym_enum] = ACTIONS(2813),
    [anon_sym_class] = ACTIONS(2813),
    [anon_sym_struct] = ACTIONS(2813),
    [anon_sym_union] = ACTIONS(2813),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2813),
    [anon_sym_decltype] = ACTIONS(2813),
    [anon_sym_virtual] = ACTIONS(2813),
    [anon_sym_alignas] = ACTIONS(2813),
    [anon_sym_explicit] = ACTIONS(2813),
    [anon_sym_typename] = ACTIONS(2813),
    [anon_sym_template] = ACTIONS(2813),
    [anon_sym_operator] = ACTIONS(2813),
    [anon_sym_friend] = ACTIONS(2813),
    [anon_sym_public] = ACTIONS(2813),
    [anon_sym_private] = ACTIONS(2813),
    [anon_sym_protected] = ACTIONS(2813),
    [anon_sym_using] = ACTIONS(2813),
    [anon_sym_static_assert] = ACTIONS(2813),
    [anon_sym_precise] = ACTIONS(2813),
    [anon_sym_shared] = ACTIONS(2813),
    [anon_sym_groupshared] = ACTIONS(2813),
    [anon_sym_uniform] = ACTIONS(2813),
    [anon_sym_row_major] = ACTIONS(2813),
    [anon_sym_column_major] = ACTIONS(2813),
    [anon_sym_globallycoherent] = ACTIONS(2813),
    [anon_sym_centroid] = ACTIONS(2813),
    [anon_sym_noperspective] = ACTIONS(2813),
    [anon_sym_nointerpolation] = ACTIONS(2813),
    [anon_sym_sample] = ACTIONS(2813),
    [anon_sym_linear] = ACTIONS(2813),
    [anon_sym_snorm] = ACTIONS(2813),
    [anon_sym_unorm] = ACTIONS(2813),
    [anon_sym_point] = ACTIONS(2813),
    [anon_sym_line] = ACTIONS(2813),
    [anon_sym_triangleadj] = ACTIONS(2813),
    [anon_sym_lineadj] = ACTIONS(2813),
    [anon_sym_triangle] = ACTIONS(2813),
  },
  [2909] = {
    [sym_identifier] = ACTIONS(2829),
    [aux_sym_preproc_def_token1] = ACTIONS(2829),
    [aux_sym_preproc_if_token1] = ACTIONS(2829),
    [aux_sym_preproc_if_token2] = ACTIONS(2829),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2829),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2829),
    [sym_preproc_directive] = ACTIONS(2829),
    [anon_sym_LPAREN2] = ACTIONS(2831),
    [anon_sym_TILDE] = ACTIONS(2831),
    [anon_sym_STAR] = ACTIONS(2831),
    [anon_sym_AMP_AMP] = ACTIONS(2831),
    [anon_sym_AMP] = ACTIONS(2829),
    [anon_sym___extension__] = ACTIONS(2829),
    [anon_sym_typedef] = ACTIONS(2829),
    [anon_sym_in] = ACTIONS(2829),
    [anon_sym_out] = ACTIONS(2829),
    [anon_sym_inout] = ACTIONS(2829),
    [anon_sym_extern] = ACTIONS(2829),
    [anon_sym___attribute__] = ACTIONS(2829),
    [anon_sym_COLON_COLON] = ACTIONS(2831),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2831),
    [anon_sym___declspec] = ACTIONS(2829),
    [anon_sym___based] = ACTIONS(2829),
    [anon_sym_signed] = ACTIONS(2829),
    [anon_sym_unsigned] = ACTIONS(2829),
    [anon_sym_long] = ACTIONS(2829),
    [anon_sym_short] = ACTIONS(2829),
    [anon_sym_LBRACK] = ACTIONS(2829),
    [anon_sym_static] = ACTIONS(2829),
    [anon_sym_register] = ACTIONS(2829),
    [anon_sym_inline] = ACTIONS(2829),
    [anon_sym___inline] = ACTIONS(2829),
    [anon_sym___inline__] = ACTIONS(2829),
    [anon_sym___forceinline] = ACTIONS(2829),
    [anon_sym_thread_local] = ACTIONS(2829),
    [anon_sym___thread] = ACTIONS(2829),
    [anon_sym_const] = ACTIONS(2829),
    [anon_sym_constexpr] = ACTIONS(2829),
    [anon_sym_volatile] = ACTIONS(2829),
    [anon_sym_restrict] = ACTIONS(2829),
    [anon_sym___restrict__] = ACTIONS(2829),
    [anon_sym__Atomic] = ACTIONS(2829),
    [anon_sym__Noreturn] = ACTIONS(2829),
    [anon_sym_noreturn] = ACTIONS(2829),
    [anon_sym_mutable] = ACTIONS(2829),
    [anon_sym_constinit] = ACTIONS(2829),
    [anon_sym_consteval] = ACTIONS(2829),
    [sym_primitive_type] = ACTIONS(2829),
    [anon_sym_enum] = ACTIONS(2829),
    [anon_sym_class] = ACTIONS(2829),
    [anon_sym_struct] = ACTIONS(2829),
    [anon_sym_union] = ACTIONS(2829),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2829),
    [anon_sym_decltype] = ACTIONS(2829),
    [anon_sym_virtual] = ACTIONS(2829),
    [anon_sym_alignas] = ACTIONS(2829),
    [anon_sym_explicit] = ACTIONS(2829),
    [anon_sym_typename] = ACTIONS(2829),
    [anon_sym_template] = ACTIONS(2829),
    [anon_sym_operator] = ACTIONS(2829),
    [anon_sym_friend] = ACTIONS(2829),
    [anon_sym_public] = ACTIONS(2829),
    [anon_sym_private] = ACTIONS(2829),
    [anon_sym_protected] = ACTIONS(2829),
    [anon_sym_using] = ACTIONS(2829),
    [anon_sym_static_assert] = ACTIONS(2829),
    [anon_sym_precise] = ACTIONS(2829),
    [anon_sym_shared] = ACTIONS(2829),
    [anon_sym_groupshared] = ACTIONS(2829),
    [anon_sym_uniform] = ACTIONS(2829),
    [anon_sym_row_major] = ACTIONS(2829),
    [anon_sym_column_major] = ACTIONS(2829),
    [anon_sym_globallycoherent] = ACTIONS(2829),
    [anon_sym_centroid] = ACTIONS(2829),
    [anon_sym_noperspective] = ACTIONS(2829),
    [anon_sym_nointerpolation] = ACTIONS(2829),
    [anon_sym_sample] = ACTIONS(2829),
    [anon_sym_linear] = ACTIONS(2829),
    [anon_sym_snorm] = ACTIONS(2829),
    [anon_sym_unorm] = ACTIONS(2829),
    [anon_sym_point] = ACTIONS(2829),
    [anon_sym_line] = ACTIONS(2829),
    [anon_sym_triangleadj] = ACTIONS(2829),
    [anon_sym_lineadj] = ACTIONS(2829),
    [anon_sym_triangle] = ACTIONS(2829),
  },
  [2910] = {
    [sym_identifier] = ACTIONS(2617),
    [aux_sym_preproc_def_token1] = ACTIONS(2617),
    [aux_sym_preproc_if_token1] = ACTIONS(2617),
    [aux_sym_preproc_if_token2] = ACTIONS(2617),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2617),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2617),
    [sym_preproc_directive] = ACTIONS(2617),
    [anon_sym_LPAREN2] = ACTIONS(2619),
    [anon_sym_TILDE] = ACTIONS(2619),
    [anon_sym_STAR] = ACTIONS(2619),
    [anon_sym_AMP_AMP] = ACTIONS(2619),
    [anon_sym_AMP] = ACTIONS(2617),
    [anon_sym___extension__] = ACTIONS(2617),
    [anon_sym_typedef] = ACTIONS(2617),
    [anon_sym_in] = ACTIONS(2617),
    [anon_sym_out] = ACTIONS(2617),
    [anon_sym_inout] = ACTIONS(2617),
    [anon_sym_extern] = ACTIONS(2617),
    [anon_sym___attribute__] = ACTIONS(2617),
    [anon_sym_COLON_COLON] = ACTIONS(2619),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2619),
    [anon_sym___declspec] = ACTIONS(2617),
    [anon_sym___based] = ACTIONS(2617),
    [anon_sym_signed] = ACTIONS(2617),
    [anon_sym_unsigned] = ACTIONS(2617),
    [anon_sym_long] = ACTIONS(2617),
    [anon_sym_short] = ACTIONS(2617),
    [anon_sym_LBRACK] = ACTIONS(2617),
    [anon_sym_static] = ACTIONS(2617),
    [anon_sym_register] = ACTIONS(2617),
    [anon_sym_inline] = ACTIONS(2617),
    [anon_sym___inline] = ACTIONS(2617),
    [anon_sym___inline__] = ACTIONS(2617),
    [anon_sym___forceinline] = ACTIONS(2617),
    [anon_sym_thread_local] = ACTIONS(2617),
    [anon_sym___thread] = ACTIONS(2617),
    [anon_sym_const] = ACTIONS(2617),
    [anon_sym_constexpr] = ACTIONS(2617),
    [anon_sym_volatile] = ACTIONS(2617),
    [anon_sym_restrict] = ACTIONS(2617),
    [anon_sym___restrict__] = ACTIONS(2617),
    [anon_sym__Atomic] = ACTIONS(2617),
    [anon_sym__Noreturn] = ACTIONS(2617),
    [anon_sym_noreturn] = ACTIONS(2617),
    [anon_sym_mutable] = ACTIONS(2617),
    [anon_sym_constinit] = ACTIONS(2617),
    [anon_sym_consteval] = ACTIONS(2617),
    [sym_primitive_type] = ACTIONS(2617),
    [anon_sym_enum] = ACTIONS(2617),
    [anon_sym_class] = ACTIONS(2617),
    [anon_sym_struct] = ACTIONS(2617),
    [anon_sym_union] = ACTIONS(2617),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2617),
    [anon_sym_decltype] = ACTIONS(2617),
    [anon_sym_virtual] = ACTIONS(2617),
    [anon_sym_alignas] = ACTIONS(2617),
    [anon_sym_explicit] = ACTIONS(2617),
    [anon_sym_typename] = ACTIONS(2617),
    [anon_sym_template] = ACTIONS(2617),
    [anon_sym_operator] = ACTIONS(2617),
    [anon_sym_friend] = ACTIONS(2617),
    [anon_sym_public] = ACTIONS(2617),
    [anon_sym_private] = ACTIONS(2617),
    [anon_sym_protected] = ACTIONS(2617),
    [anon_sym_using] = ACTIONS(2617),
    [anon_sym_static_assert] = ACTIONS(2617),
    [anon_sym_precise] = ACTIONS(2617),
    [anon_sym_shared] = ACTIONS(2617),
    [anon_sym_groupshared] = ACTIONS(2617),
    [anon_sym_uniform] = ACTIONS(2617),
    [anon_sym_row_major] = ACTIONS(2617),
    [anon_sym_column_major] = ACTIONS(2617),
    [anon_sym_globallycoherent] = ACTIONS(2617),
    [anon_sym_centroid] = ACTIONS(2617),
    [anon_sym_noperspective] = ACTIONS(2617),
    [anon_sym_nointerpolation] = ACTIONS(2617),
    [anon_sym_sample] = ACTIONS(2617),
    [anon_sym_linear] = ACTIONS(2617),
    [anon_sym_snorm] = ACTIONS(2617),
    [anon_sym_unorm] = ACTIONS(2617),
    [anon_sym_point] = ACTIONS(2617),
    [anon_sym_line] = ACTIONS(2617),
    [anon_sym_triangleadj] = ACTIONS(2617),
    [anon_sym_lineadj] = ACTIONS(2617),
    [anon_sym_triangle] = ACTIONS(2617),
  },
  [2911] = {
    [sym_identifier] = ACTIONS(5615),
    [aux_sym_preproc_def_token1] = ACTIONS(5615),
    [aux_sym_preproc_if_token1] = ACTIONS(5615),
    [aux_sym_preproc_if_token2] = ACTIONS(5615),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5615),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5615),
    [sym_preproc_directive] = ACTIONS(5615),
    [anon_sym_LPAREN2] = ACTIONS(5617),
    [anon_sym_TILDE] = ACTIONS(5617),
    [anon_sym_STAR] = ACTIONS(5617),
    [anon_sym_AMP_AMP] = ACTIONS(5617),
    [anon_sym_AMP] = ACTIONS(5615),
    [anon_sym___extension__] = ACTIONS(5615),
    [anon_sym_typedef] = ACTIONS(5615),
    [anon_sym_in] = ACTIONS(5615),
    [anon_sym_out] = ACTIONS(5615),
    [anon_sym_inout] = ACTIONS(5615),
    [anon_sym_extern] = ACTIONS(5615),
    [anon_sym___attribute__] = ACTIONS(5615),
    [anon_sym_COLON_COLON] = ACTIONS(5617),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5617),
    [anon_sym___declspec] = ACTIONS(5615),
    [anon_sym___based] = ACTIONS(5615),
    [anon_sym_signed] = ACTIONS(5615),
    [anon_sym_unsigned] = ACTIONS(5615),
    [anon_sym_long] = ACTIONS(5615),
    [anon_sym_short] = ACTIONS(5615),
    [anon_sym_LBRACK] = ACTIONS(5615),
    [anon_sym_static] = ACTIONS(5615),
    [anon_sym_register] = ACTIONS(5615),
    [anon_sym_inline] = ACTIONS(5615),
    [anon_sym___inline] = ACTIONS(5615),
    [anon_sym___inline__] = ACTIONS(5615),
    [anon_sym___forceinline] = ACTIONS(5615),
    [anon_sym_thread_local] = ACTIONS(5615),
    [anon_sym___thread] = ACTIONS(5615),
    [anon_sym_const] = ACTIONS(5615),
    [anon_sym_constexpr] = ACTIONS(5615),
    [anon_sym_volatile] = ACTIONS(5615),
    [anon_sym_restrict] = ACTIONS(5615),
    [anon_sym___restrict__] = ACTIONS(5615),
    [anon_sym__Atomic] = ACTIONS(5615),
    [anon_sym__Noreturn] = ACTIONS(5615),
    [anon_sym_noreturn] = ACTIONS(5615),
    [anon_sym_mutable] = ACTIONS(5615),
    [anon_sym_constinit] = ACTIONS(5615),
    [anon_sym_consteval] = ACTIONS(5615),
    [sym_primitive_type] = ACTIONS(5615),
    [anon_sym_enum] = ACTIONS(5615),
    [anon_sym_class] = ACTIONS(5615),
    [anon_sym_struct] = ACTIONS(5615),
    [anon_sym_union] = ACTIONS(5615),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5615),
    [anon_sym_decltype] = ACTIONS(5615),
    [anon_sym_virtual] = ACTIONS(5615),
    [anon_sym_alignas] = ACTIONS(5615),
    [anon_sym_explicit] = ACTIONS(5615),
    [anon_sym_typename] = ACTIONS(5615),
    [anon_sym_template] = ACTIONS(5615),
    [anon_sym_operator] = ACTIONS(5615),
    [anon_sym_friend] = ACTIONS(5615),
    [anon_sym_public] = ACTIONS(5615),
    [anon_sym_private] = ACTIONS(5615),
    [anon_sym_protected] = ACTIONS(5615),
    [anon_sym_using] = ACTIONS(5615),
    [anon_sym_static_assert] = ACTIONS(5615),
    [anon_sym_precise] = ACTIONS(5615),
    [anon_sym_shared] = ACTIONS(5615),
    [anon_sym_groupshared] = ACTIONS(5615),
    [anon_sym_uniform] = ACTIONS(5615),
    [anon_sym_row_major] = ACTIONS(5615),
    [anon_sym_column_major] = ACTIONS(5615),
    [anon_sym_globallycoherent] = ACTIONS(5615),
    [anon_sym_centroid] = ACTIONS(5615),
    [anon_sym_noperspective] = ACTIONS(5615),
    [anon_sym_nointerpolation] = ACTIONS(5615),
    [anon_sym_sample] = ACTIONS(5615),
    [anon_sym_linear] = ACTIONS(5615),
    [anon_sym_snorm] = ACTIONS(5615),
    [anon_sym_unorm] = ACTIONS(5615),
    [anon_sym_point] = ACTIONS(5615),
    [anon_sym_line] = ACTIONS(5615),
    [anon_sym_triangleadj] = ACTIONS(5615),
    [anon_sym_lineadj] = ACTIONS(5615),
    [anon_sym_triangle] = ACTIONS(5615),
  },
  [2912] = {
    [sym_identifier] = ACTIONS(2773),
    [aux_sym_preproc_def_token1] = ACTIONS(2773),
    [aux_sym_preproc_if_token1] = ACTIONS(2773),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2773),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2773),
    [sym_preproc_directive] = ACTIONS(2773),
    [anon_sym_LPAREN2] = ACTIONS(2775),
    [anon_sym_TILDE] = ACTIONS(2775),
    [anon_sym_STAR] = ACTIONS(2775),
    [anon_sym_AMP_AMP] = ACTIONS(2775),
    [anon_sym_AMP] = ACTIONS(2773),
    [anon_sym___extension__] = ACTIONS(2773),
    [anon_sym_typedef] = ACTIONS(2773),
    [anon_sym_in] = ACTIONS(2773),
    [anon_sym_out] = ACTIONS(2773),
    [anon_sym_inout] = ACTIONS(2773),
    [anon_sym_extern] = ACTIONS(2773),
    [anon_sym___attribute__] = ACTIONS(2773),
    [anon_sym_COLON_COLON] = ACTIONS(2775),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2775),
    [anon_sym___declspec] = ACTIONS(2773),
    [anon_sym___based] = ACTIONS(2773),
    [anon_sym_RBRACE] = ACTIONS(2775),
    [anon_sym_signed] = ACTIONS(2773),
    [anon_sym_unsigned] = ACTIONS(2773),
    [anon_sym_long] = ACTIONS(2773),
    [anon_sym_short] = ACTIONS(2773),
    [anon_sym_LBRACK] = ACTIONS(2773),
    [anon_sym_static] = ACTIONS(2773),
    [anon_sym_register] = ACTIONS(2773),
    [anon_sym_inline] = ACTIONS(2773),
    [anon_sym___inline] = ACTIONS(2773),
    [anon_sym___inline__] = ACTIONS(2773),
    [anon_sym___forceinline] = ACTIONS(2773),
    [anon_sym_thread_local] = ACTIONS(2773),
    [anon_sym___thread] = ACTIONS(2773),
    [anon_sym_const] = ACTIONS(2773),
    [anon_sym_constexpr] = ACTIONS(2773),
    [anon_sym_volatile] = ACTIONS(2773),
    [anon_sym_restrict] = ACTIONS(2773),
    [anon_sym___restrict__] = ACTIONS(2773),
    [anon_sym__Atomic] = ACTIONS(2773),
    [anon_sym__Noreturn] = ACTIONS(2773),
    [anon_sym_noreturn] = ACTIONS(2773),
    [anon_sym_mutable] = ACTIONS(2773),
    [anon_sym_constinit] = ACTIONS(2773),
    [anon_sym_consteval] = ACTIONS(2773),
    [sym_primitive_type] = ACTIONS(2773),
    [anon_sym_enum] = ACTIONS(2773),
    [anon_sym_class] = ACTIONS(2773),
    [anon_sym_struct] = ACTIONS(2773),
    [anon_sym_union] = ACTIONS(2773),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2773),
    [anon_sym_decltype] = ACTIONS(2773),
    [anon_sym_virtual] = ACTIONS(2773),
    [anon_sym_alignas] = ACTIONS(2773),
    [anon_sym_explicit] = ACTIONS(2773),
    [anon_sym_typename] = ACTIONS(2773),
    [anon_sym_template] = ACTIONS(2773),
    [anon_sym_operator] = ACTIONS(2773),
    [anon_sym_friend] = ACTIONS(2773),
    [anon_sym_public] = ACTIONS(2773),
    [anon_sym_private] = ACTIONS(2773),
    [anon_sym_protected] = ACTIONS(2773),
    [anon_sym_using] = ACTIONS(2773),
    [anon_sym_static_assert] = ACTIONS(2773),
    [anon_sym_precise] = ACTIONS(2773),
    [anon_sym_shared] = ACTIONS(2773),
    [anon_sym_groupshared] = ACTIONS(2773),
    [anon_sym_uniform] = ACTIONS(2773),
    [anon_sym_row_major] = ACTIONS(2773),
    [anon_sym_column_major] = ACTIONS(2773),
    [anon_sym_globallycoherent] = ACTIONS(2773),
    [anon_sym_centroid] = ACTIONS(2773),
    [anon_sym_noperspective] = ACTIONS(2773),
    [anon_sym_nointerpolation] = ACTIONS(2773),
    [anon_sym_sample] = ACTIONS(2773),
    [anon_sym_linear] = ACTIONS(2773),
    [anon_sym_snorm] = ACTIONS(2773),
    [anon_sym_unorm] = ACTIONS(2773),
    [anon_sym_point] = ACTIONS(2773),
    [anon_sym_line] = ACTIONS(2773),
    [anon_sym_triangleadj] = ACTIONS(2773),
    [anon_sym_lineadj] = ACTIONS(2773),
    [anon_sym_triangle] = ACTIONS(2773),
  },
  [2913] = {
    [sym_identifier] = ACTIONS(2837),
    [aux_sym_preproc_def_token1] = ACTIONS(2837),
    [aux_sym_preproc_if_token1] = ACTIONS(2837),
    [aux_sym_preproc_if_token2] = ACTIONS(2837),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2837),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2837),
    [sym_preproc_directive] = ACTIONS(2837),
    [anon_sym_LPAREN2] = ACTIONS(2839),
    [anon_sym_TILDE] = ACTIONS(2839),
    [anon_sym_STAR] = ACTIONS(2839),
    [anon_sym_AMP_AMP] = ACTIONS(2839),
    [anon_sym_AMP] = ACTIONS(2837),
    [anon_sym___extension__] = ACTIONS(2837),
    [anon_sym_typedef] = ACTIONS(2837),
    [anon_sym_in] = ACTIONS(2837),
    [anon_sym_out] = ACTIONS(2837),
    [anon_sym_inout] = ACTIONS(2837),
    [anon_sym_extern] = ACTIONS(2837),
    [anon_sym___attribute__] = ACTIONS(2837),
    [anon_sym_COLON_COLON] = ACTIONS(2839),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2839),
    [anon_sym___declspec] = ACTIONS(2837),
    [anon_sym___based] = ACTIONS(2837),
    [anon_sym_signed] = ACTIONS(2837),
    [anon_sym_unsigned] = ACTIONS(2837),
    [anon_sym_long] = ACTIONS(2837),
    [anon_sym_short] = ACTIONS(2837),
    [anon_sym_LBRACK] = ACTIONS(2837),
    [anon_sym_static] = ACTIONS(2837),
    [anon_sym_register] = ACTIONS(2837),
    [anon_sym_inline] = ACTIONS(2837),
    [anon_sym___inline] = ACTIONS(2837),
    [anon_sym___inline__] = ACTIONS(2837),
    [anon_sym___forceinline] = ACTIONS(2837),
    [anon_sym_thread_local] = ACTIONS(2837),
    [anon_sym___thread] = ACTIONS(2837),
    [anon_sym_const] = ACTIONS(2837),
    [anon_sym_constexpr] = ACTIONS(2837),
    [anon_sym_volatile] = ACTIONS(2837),
    [anon_sym_restrict] = ACTIONS(2837),
    [anon_sym___restrict__] = ACTIONS(2837),
    [anon_sym__Atomic] = ACTIONS(2837),
    [anon_sym__Noreturn] = ACTIONS(2837),
    [anon_sym_noreturn] = ACTIONS(2837),
    [anon_sym_mutable] = ACTIONS(2837),
    [anon_sym_constinit] = ACTIONS(2837),
    [anon_sym_consteval] = ACTIONS(2837),
    [sym_primitive_type] = ACTIONS(2837),
    [anon_sym_enum] = ACTIONS(2837),
    [anon_sym_class] = ACTIONS(2837),
    [anon_sym_struct] = ACTIONS(2837),
    [anon_sym_union] = ACTIONS(2837),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2837),
    [anon_sym_decltype] = ACTIONS(2837),
    [anon_sym_virtual] = ACTIONS(2837),
    [anon_sym_alignas] = ACTIONS(2837),
    [anon_sym_explicit] = ACTIONS(2837),
    [anon_sym_typename] = ACTIONS(2837),
    [anon_sym_template] = ACTIONS(2837),
    [anon_sym_operator] = ACTIONS(2837),
    [anon_sym_friend] = ACTIONS(2837),
    [anon_sym_public] = ACTIONS(2837),
    [anon_sym_private] = ACTIONS(2837),
    [anon_sym_protected] = ACTIONS(2837),
    [anon_sym_using] = ACTIONS(2837),
    [anon_sym_static_assert] = ACTIONS(2837),
    [anon_sym_precise] = ACTIONS(2837),
    [anon_sym_shared] = ACTIONS(2837),
    [anon_sym_groupshared] = ACTIONS(2837),
    [anon_sym_uniform] = ACTIONS(2837),
    [anon_sym_row_major] = ACTIONS(2837),
    [anon_sym_column_major] = ACTIONS(2837),
    [anon_sym_globallycoherent] = ACTIONS(2837),
    [anon_sym_centroid] = ACTIONS(2837),
    [anon_sym_noperspective] = ACTIONS(2837),
    [anon_sym_nointerpolation] = ACTIONS(2837),
    [anon_sym_sample] = ACTIONS(2837),
    [anon_sym_linear] = ACTIONS(2837),
    [anon_sym_snorm] = ACTIONS(2837),
    [anon_sym_unorm] = ACTIONS(2837),
    [anon_sym_point] = ACTIONS(2837),
    [anon_sym_line] = ACTIONS(2837),
    [anon_sym_triangleadj] = ACTIONS(2837),
    [anon_sym_lineadj] = ACTIONS(2837),
    [anon_sym_triangle] = ACTIONS(2837),
  },
  [2914] = {
    [sym_identifier] = ACTIONS(2759),
    [aux_sym_preproc_def_token1] = ACTIONS(2759),
    [aux_sym_preproc_if_token1] = ACTIONS(2759),
    [aux_sym_preproc_if_token2] = ACTIONS(2759),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2759),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2759),
    [sym_preproc_directive] = ACTIONS(2759),
    [anon_sym_LPAREN2] = ACTIONS(2761),
    [anon_sym_TILDE] = ACTIONS(2761),
    [anon_sym_STAR] = ACTIONS(2761),
    [anon_sym_AMP_AMP] = ACTIONS(2761),
    [anon_sym_AMP] = ACTIONS(2759),
    [anon_sym___extension__] = ACTIONS(2759),
    [anon_sym_typedef] = ACTIONS(2759),
    [anon_sym_in] = ACTIONS(2759),
    [anon_sym_out] = ACTIONS(2759),
    [anon_sym_inout] = ACTIONS(2759),
    [anon_sym_extern] = ACTIONS(2759),
    [anon_sym___attribute__] = ACTIONS(2759),
    [anon_sym_COLON_COLON] = ACTIONS(2761),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2761),
    [anon_sym___declspec] = ACTIONS(2759),
    [anon_sym___based] = ACTIONS(2759),
    [anon_sym_signed] = ACTIONS(2759),
    [anon_sym_unsigned] = ACTIONS(2759),
    [anon_sym_long] = ACTIONS(2759),
    [anon_sym_short] = ACTIONS(2759),
    [anon_sym_LBRACK] = ACTIONS(2759),
    [anon_sym_static] = ACTIONS(2759),
    [anon_sym_register] = ACTIONS(2759),
    [anon_sym_inline] = ACTIONS(2759),
    [anon_sym___inline] = ACTIONS(2759),
    [anon_sym___inline__] = ACTIONS(2759),
    [anon_sym___forceinline] = ACTIONS(2759),
    [anon_sym_thread_local] = ACTIONS(2759),
    [anon_sym___thread] = ACTIONS(2759),
    [anon_sym_const] = ACTIONS(2759),
    [anon_sym_constexpr] = ACTIONS(2759),
    [anon_sym_volatile] = ACTIONS(2759),
    [anon_sym_restrict] = ACTIONS(2759),
    [anon_sym___restrict__] = ACTIONS(2759),
    [anon_sym__Atomic] = ACTIONS(2759),
    [anon_sym__Noreturn] = ACTIONS(2759),
    [anon_sym_noreturn] = ACTIONS(2759),
    [anon_sym_mutable] = ACTIONS(2759),
    [anon_sym_constinit] = ACTIONS(2759),
    [anon_sym_consteval] = ACTIONS(2759),
    [sym_primitive_type] = ACTIONS(2759),
    [anon_sym_enum] = ACTIONS(2759),
    [anon_sym_class] = ACTIONS(2759),
    [anon_sym_struct] = ACTIONS(2759),
    [anon_sym_union] = ACTIONS(2759),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2759),
    [anon_sym_decltype] = ACTIONS(2759),
    [anon_sym_virtual] = ACTIONS(2759),
    [anon_sym_alignas] = ACTIONS(2759),
    [anon_sym_explicit] = ACTIONS(2759),
    [anon_sym_typename] = ACTIONS(2759),
    [anon_sym_template] = ACTIONS(2759),
    [anon_sym_operator] = ACTIONS(2759),
    [anon_sym_friend] = ACTIONS(2759),
    [anon_sym_public] = ACTIONS(2759),
    [anon_sym_private] = ACTIONS(2759),
    [anon_sym_protected] = ACTIONS(2759),
    [anon_sym_using] = ACTIONS(2759),
    [anon_sym_static_assert] = ACTIONS(2759),
    [anon_sym_precise] = ACTIONS(2759),
    [anon_sym_shared] = ACTIONS(2759),
    [anon_sym_groupshared] = ACTIONS(2759),
    [anon_sym_uniform] = ACTIONS(2759),
    [anon_sym_row_major] = ACTIONS(2759),
    [anon_sym_column_major] = ACTIONS(2759),
    [anon_sym_globallycoherent] = ACTIONS(2759),
    [anon_sym_centroid] = ACTIONS(2759),
    [anon_sym_noperspective] = ACTIONS(2759),
    [anon_sym_nointerpolation] = ACTIONS(2759),
    [anon_sym_sample] = ACTIONS(2759),
    [anon_sym_linear] = ACTIONS(2759),
    [anon_sym_snorm] = ACTIONS(2759),
    [anon_sym_unorm] = ACTIONS(2759),
    [anon_sym_point] = ACTIONS(2759),
    [anon_sym_line] = ACTIONS(2759),
    [anon_sym_triangleadj] = ACTIONS(2759),
    [anon_sym_lineadj] = ACTIONS(2759),
    [anon_sym_triangle] = ACTIONS(2759),
  },
  [2915] = {
    [sym_identifier] = ACTIONS(2637),
    [aux_sym_preproc_def_token1] = ACTIONS(2637),
    [aux_sym_preproc_if_token1] = ACTIONS(2637),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2637),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2637),
    [sym_preproc_directive] = ACTIONS(2637),
    [anon_sym_LPAREN2] = ACTIONS(2639),
    [anon_sym_TILDE] = ACTIONS(2639),
    [anon_sym_STAR] = ACTIONS(2639),
    [anon_sym_AMP_AMP] = ACTIONS(2639),
    [anon_sym_AMP] = ACTIONS(2637),
    [anon_sym___extension__] = ACTIONS(2637),
    [anon_sym_typedef] = ACTIONS(2637),
    [anon_sym_in] = ACTIONS(2637),
    [anon_sym_out] = ACTIONS(2637),
    [anon_sym_inout] = ACTIONS(2637),
    [anon_sym_extern] = ACTIONS(2637),
    [anon_sym___attribute__] = ACTIONS(2637),
    [anon_sym_COLON_COLON] = ACTIONS(2639),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2639),
    [anon_sym___declspec] = ACTIONS(2637),
    [anon_sym___based] = ACTIONS(2637),
    [anon_sym_RBRACE] = ACTIONS(2639),
    [anon_sym_signed] = ACTIONS(2637),
    [anon_sym_unsigned] = ACTIONS(2637),
    [anon_sym_long] = ACTIONS(2637),
    [anon_sym_short] = ACTIONS(2637),
    [anon_sym_LBRACK] = ACTIONS(2637),
    [anon_sym_static] = ACTIONS(2637),
    [anon_sym_register] = ACTIONS(2637),
    [anon_sym_inline] = ACTIONS(2637),
    [anon_sym___inline] = ACTIONS(2637),
    [anon_sym___inline__] = ACTIONS(2637),
    [anon_sym___forceinline] = ACTIONS(2637),
    [anon_sym_thread_local] = ACTIONS(2637),
    [anon_sym___thread] = ACTIONS(2637),
    [anon_sym_const] = ACTIONS(2637),
    [anon_sym_constexpr] = ACTIONS(2637),
    [anon_sym_volatile] = ACTIONS(2637),
    [anon_sym_restrict] = ACTIONS(2637),
    [anon_sym___restrict__] = ACTIONS(2637),
    [anon_sym__Atomic] = ACTIONS(2637),
    [anon_sym__Noreturn] = ACTIONS(2637),
    [anon_sym_noreturn] = ACTIONS(2637),
    [anon_sym_mutable] = ACTIONS(2637),
    [anon_sym_constinit] = ACTIONS(2637),
    [anon_sym_consteval] = ACTIONS(2637),
    [sym_primitive_type] = ACTIONS(2637),
    [anon_sym_enum] = ACTIONS(2637),
    [anon_sym_class] = ACTIONS(2637),
    [anon_sym_struct] = ACTIONS(2637),
    [anon_sym_union] = ACTIONS(2637),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2637),
    [anon_sym_decltype] = ACTIONS(2637),
    [anon_sym_virtual] = ACTIONS(2637),
    [anon_sym_alignas] = ACTIONS(2637),
    [anon_sym_explicit] = ACTIONS(2637),
    [anon_sym_typename] = ACTIONS(2637),
    [anon_sym_template] = ACTIONS(2637),
    [anon_sym_operator] = ACTIONS(2637),
    [anon_sym_friend] = ACTIONS(2637),
    [anon_sym_public] = ACTIONS(2637),
    [anon_sym_private] = ACTIONS(2637),
    [anon_sym_protected] = ACTIONS(2637),
    [anon_sym_using] = ACTIONS(2637),
    [anon_sym_static_assert] = ACTIONS(2637),
    [anon_sym_precise] = ACTIONS(2637),
    [anon_sym_shared] = ACTIONS(2637),
    [anon_sym_groupshared] = ACTIONS(2637),
    [anon_sym_uniform] = ACTIONS(2637),
    [anon_sym_row_major] = ACTIONS(2637),
    [anon_sym_column_major] = ACTIONS(2637),
    [anon_sym_globallycoherent] = ACTIONS(2637),
    [anon_sym_centroid] = ACTIONS(2637),
    [anon_sym_noperspective] = ACTIONS(2637),
    [anon_sym_nointerpolation] = ACTIONS(2637),
    [anon_sym_sample] = ACTIONS(2637),
    [anon_sym_linear] = ACTIONS(2637),
    [anon_sym_snorm] = ACTIONS(2637),
    [anon_sym_unorm] = ACTIONS(2637),
    [anon_sym_point] = ACTIONS(2637),
    [anon_sym_line] = ACTIONS(2637),
    [anon_sym_triangleadj] = ACTIONS(2637),
    [anon_sym_lineadj] = ACTIONS(2637),
    [anon_sym_triangle] = ACTIONS(2637),
  },
  [2916] = {
    [sym_identifier] = ACTIONS(5687),
    [aux_sym_preproc_def_token1] = ACTIONS(5687),
    [aux_sym_preproc_if_token1] = ACTIONS(5687),
    [aux_sym_preproc_if_token2] = ACTIONS(5687),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5687),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5687),
    [sym_preproc_directive] = ACTIONS(5687),
    [anon_sym_LPAREN2] = ACTIONS(5689),
    [anon_sym_TILDE] = ACTIONS(5689),
    [anon_sym_STAR] = ACTIONS(5689),
    [anon_sym_AMP_AMP] = ACTIONS(5689),
    [anon_sym_AMP] = ACTIONS(5687),
    [anon_sym___extension__] = ACTIONS(5687),
    [anon_sym_typedef] = ACTIONS(5687),
    [anon_sym_in] = ACTIONS(5687),
    [anon_sym_out] = ACTIONS(5687),
    [anon_sym_inout] = ACTIONS(5687),
    [anon_sym_extern] = ACTIONS(5687),
    [anon_sym___attribute__] = ACTIONS(5687),
    [anon_sym_COLON_COLON] = ACTIONS(5689),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5689),
    [anon_sym___declspec] = ACTIONS(5687),
    [anon_sym___based] = ACTIONS(5687),
    [anon_sym_signed] = ACTIONS(5687),
    [anon_sym_unsigned] = ACTIONS(5687),
    [anon_sym_long] = ACTIONS(5687),
    [anon_sym_short] = ACTIONS(5687),
    [anon_sym_LBRACK] = ACTIONS(5687),
    [anon_sym_static] = ACTIONS(5687),
    [anon_sym_register] = ACTIONS(5687),
    [anon_sym_inline] = ACTIONS(5687),
    [anon_sym___inline] = ACTIONS(5687),
    [anon_sym___inline__] = ACTIONS(5687),
    [anon_sym___forceinline] = ACTIONS(5687),
    [anon_sym_thread_local] = ACTIONS(5687),
    [anon_sym___thread] = ACTIONS(5687),
    [anon_sym_const] = ACTIONS(5687),
    [anon_sym_constexpr] = ACTIONS(5687),
    [anon_sym_volatile] = ACTIONS(5687),
    [anon_sym_restrict] = ACTIONS(5687),
    [anon_sym___restrict__] = ACTIONS(5687),
    [anon_sym__Atomic] = ACTIONS(5687),
    [anon_sym__Noreturn] = ACTIONS(5687),
    [anon_sym_noreturn] = ACTIONS(5687),
    [anon_sym_mutable] = ACTIONS(5687),
    [anon_sym_constinit] = ACTIONS(5687),
    [anon_sym_consteval] = ACTIONS(5687),
    [sym_primitive_type] = ACTIONS(5687),
    [anon_sym_enum] = ACTIONS(5687),
    [anon_sym_class] = ACTIONS(5687),
    [anon_sym_struct] = ACTIONS(5687),
    [anon_sym_union] = ACTIONS(5687),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5687),
    [anon_sym_decltype] = ACTIONS(5687),
    [anon_sym_virtual] = ACTIONS(5687),
    [anon_sym_alignas] = ACTIONS(5687),
    [anon_sym_explicit] = ACTIONS(5687),
    [anon_sym_typename] = ACTIONS(5687),
    [anon_sym_template] = ACTIONS(5687),
    [anon_sym_operator] = ACTIONS(5687),
    [anon_sym_friend] = ACTIONS(5687),
    [anon_sym_public] = ACTIONS(5687),
    [anon_sym_private] = ACTIONS(5687),
    [anon_sym_protected] = ACTIONS(5687),
    [anon_sym_using] = ACTIONS(5687),
    [anon_sym_static_assert] = ACTIONS(5687),
    [anon_sym_precise] = ACTIONS(5687),
    [anon_sym_shared] = ACTIONS(5687),
    [anon_sym_groupshared] = ACTIONS(5687),
    [anon_sym_uniform] = ACTIONS(5687),
    [anon_sym_row_major] = ACTIONS(5687),
    [anon_sym_column_major] = ACTIONS(5687),
    [anon_sym_globallycoherent] = ACTIONS(5687),
    [anon_sym_centroid] = ACTIONS(5687),
    [anon_sym_noperspective] = ACTIONS(5687),
    [anon_sym_nointerpolation] = ACTIONS(5687),
    [anon_sym_sample] = ACTIONS(5687),
    [anon_sym_linear] = ACTIONS(5687),
    [anon_sym_snorm] = ACTIONS(5687),
    [anon_sym_unorm] = ACTIONS(5687),
    [anon_sym_point] = ACTIONS(5687),
    [anon_sym_line] = ACTIONS(5687),
    [anon_sym_triangleadj] = ACTIONS(5687),
    [anon_sym_lineadj] = ACTIONS(5687),
    [anon_sym_triangle] = ACTIONS(5687),
  },
  [2917] = {
    [sym_identifier] = ACTIONS(2813),
    [aux_sym_preproc_def_token1] = ACTIONS(2813),
    [aux_sym_preproc_if_token1] = ACTIONS(2813),
    [aux_sym_preproc_if_token2] = ACTIONS(2813),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2813),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2813),
    [sym_preproc_directive] = ACTIONS(2813),
    [anon_sym_LPAREN2] = ACTIONS(2815),
    [anon_sym_TILDE] = ACTIONS(2815),
    [anon_sym_STAR] = ACTIONS(2815),
    [anon_sym_AMP_AMP] = ACTIONS(2815),
    [anon_sym_AMP] = ACTIONS(2813),
    [anon_sym___extension__] = ACTIONS(2813),
    [anon_sym_typedef] = ACTIONS(2813),
    [anon_sym_in] = ACTIONS(2813),
    [anon_sym_out] = ACTIONS(2813),
    [anon_sym_inout] = ACTIONS(2813),
    [anon_sym_extern] = ACTIONS(2813),
    [anon_sym___attribute__] = ACTIONS(2813),
    [anon_sym_COLON_COLON] = ACTIONS(2815),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2815),
    [anon_sym___declspec] = ACTIONS(2813),
    [anon_sym___based] = ACTIONS(2813),
    [anon_sym_signed] = ACTIONS(2813),
    [anon_sym_unsigned] = ACTIONS(2813),
    [anon_sym_long] = ACTIONS(2813),
    [anon_sym_short] = ACTIONS(2813),
    [anon_sym_LBRACK] = ACTIONS(2813),
    [anon_sym_static] = ACTIONS(2813),
    [anon_sym_register] = ACTIONS(2813),
    [anon_sym_inline] = ACTIONS(2813),
    [anon_sym___inline] = ACTIONS(2813),
    [anon_sym___inline__] = ACTIONS(2813),
    [anon_sym___forceinline] = ACTIONS(2813),
    [anon_sym_thread_local] = ACTIONS(2813),
    [anon_sym___thread] = ACTIONS(2813),
    [anon_sym_const] = ACTIONS(2813),
    [anon_sym_constexpr] = ACTIONS(2813),
    [anon_sym_volatile] = ACTIONS(2813),
    [anon_sym_restrict] = ACTIONS(2813),
    [anon_sym___restrict__] = ACTIONS(2813),
    [anon_sym__Atomic] = ACTIONS(2813),
    [anon_sym__Noreturn] = ACTIONS(2813),
    [anon_sym_noreturn] = ACTIONS(2813),
    [anon_sym_mutable] = ACTIONS(2813),
    [anon_sym_constinit] = ACTIONS(2813),
    [anon_sym_consteval] = ACTIONS(2813),
    [sym_primitive_type] = ACTIONS(2813),
    [anon_sym_enum] = ACTIONS(2813),
    [anon_sym_class] = ACTIONS(2813),
    [anon_sym_struct] = ACTIONS(2813),
    [anon_sym_union] = ACTIONS(2813),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2813),
    [anon_sym_decltype] = ACTIONS(2813),
    [anon_sym_virtual] = ACTIONS(2813),
    [anon_sym_alignas] = ACTIONS(2813),
    [anon_sym_explicit] = ACTIONS(2813),
    [anon_sym_typename] = ACTIONS(2813),
    [anon_sym_template] = ACTIONS(2813),
    [anon_sym_operator] = ACTIONS(2813),
    [anon_sym_friend] = ACTIONS(2813),
    [anon_sym_public] = ACTIONS(2813),
    [anon_sym_private] = ACTIONS(2813),
    [anon_sym_protected] = ACTIONS(2813),
    [anon_sym_using] = ACTIONS(2813),
    [anon_sym_static_assert] = ACTIONS(2813),
    [anon_sym_precise] = ACTIONS(2813),
    [anon_sym_shared] = ACTIONS(2813),
    [anon_sym_groupshared] = ACTIONS(2813),
    [anon_sym_uniform] = ACTIONS(2813),
    [anon_sym_row_major] = ACTIONS(2813),
    [anon_sym_column_major] = ACTIONS(2813),
    [anon_sym_globallycoherent] = ACTIONS(2813),
    [anon_sym_centroid] = ACTIONS(2813),
    [anon_sym_noperspective] = ACTIONS(2813),
    [anon_sym_nointerpolation] = ACTIONS(2813),
    [anon_sym_sample] = ACTIONS(2813),
    [anon_sym_linear] = ACTIONS(2813),
    [anon_sym_snorm] = ACTIONS(2813),
    [anon_sym_unorm] = ACTIONS(2813),
    [anon_sym_point] = ACTIONS(2813),
    [anon_sym_line] = ACTIONS(2813),
    [anon_sym_triangleadj] = ACTIONS(2813),
    [anon_sym_lineadj] = ACTIONS(2813),
    [anon_sym_triangle] = ACTIONS(2813),
  },
  [2918] = {
    [sym_identifier] = ACTIONS(2318),
    [aux_sym_preproc_def_token1] = ACTIONS(2318),
    [aux_sym_preproc_if_token1] = ACTIONS(2318),
    [aux_sym_preproc_if_token2] = ACTIONS(2318),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2318),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2318),
    [sym_preproc_directive] = ACTIONS(2318),
    [anon_sym_LPAREN2] = ACTIONS(2320),
    [anon_sym_TILDE] = ACTIONS(2320),
    [anon_sym_STAR] = ACTIONS(2320),
    [anon_sym_AMP_AMP] = ACTIONS(2320),
    [anon_sym_AMP] = ACTIONS(2318),
    [anon_sym___extension__] = ACTIONS(2318),
    [anon_sym_typedef] = ACTIONS(2318),
    [anon_sym_in] = ACTIONS(2318),
    [anon_sym_out] = ACTIONS(2318),
    [anon_sym_inout] = ACTIONS(2318),
    [anon_sym_extern] = ACTIONS(2318),
    [anon_sym___attribute__] = ACTIONS(2318),
    [anon_sym_COLON_COLON] = ACTIONS(2320),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2320),
    [anon_sym___declspec] = ACTIONS(2318),
    [anon_sym___based] = ACTIONS(2318),
    [anon_sym_signed] = ACTIONS(2318),
    [anon_sym_unsigned] = ACTIONS(2318),
    [anon_sym_long] = ACTIONS(2318),
    [anon_sym_short] = ACTIONS(2318),
    [anon_sym_LBRACK] = ACTIONS(2318),
    [anon_sym_static] = ACTIONS(2318),
    [anon_sym_register] = ACTIONS(2318),
    [anon_sym_inline] = ACTIONS(2318),
    [anon_sym___inline] = ACTIONS(2318),
    [anon_sym___inline__] = ACTIONS(2318),
    [anon_sym___forceinline] = ACTIONS(2318),
    [anon_sym_thread_local] = ACTIONS(2318),
    [anon_sym___thread] = ACTIONS(2318),
    [anon_sym_const] = ACTIONS(2318),
    [anon_sym_constexpr] = ACTIONS(2318),
    [anon_sym_volatile] = ACTIONS(2318),
    [anon_sym_restrict] = ACTIONS(2318),
    [anon_sym___restrict__] = ACTIONS(2318),
    [anon_sym__Atomic] = ACTIONS(2318),
    [anon_sym__Noreturn] = ACTIONS(2318),
    [anon_sym_noreturn] = ACTIONS(2318),
    [anon_sym_mutable] = ACTIONS(2318),
    [anon_sym_constinit] = ACTIONS(2318),
    [anon_sym_consteval] = ACTIONS(2318),
    [sym_primitive_type] = ACTIONS(2318),
    [anon_sym_enum] = ACTIONS(2318),
    [anon_sym_class] = ACTIONS(2318),
    [anon_sym_struct] = ACTIONS(2318),
    [anon_sym_union] = ACTIONS(2318),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2318),
    [anon_sym_decltype] = ACTIONS(2318),
    [anon_sym_virtual] = ACTIONS(2318),
    [anon_sym_alignas] = ACTIONS(2318),
    [anon_sym_explicit] = ACTIONS(2318),
    [anon_sym_typename] = ACTIONS(2318),
    [anon_sym_template] = ACTIONS(2318),
    [anon_sym_operator] = ACTIONS(2318),
    [anon_sym_friend] = ACTIONS(2318),
    [anon_sym_public] = ACTIONS(2318),
    [anon_sym_private] = ACTIONS(2318),
    [anon_sym_protected] = ACTIONS(2318),
    [anon_sym_using] = ACTIONS(2318),
    [anon_sym_static_assert] = ACTIONS(2318),
    [anon_sym_precise] = ACTIONS(2318),
    [anon_sym_shared] = ACTIONS(2318),
    [anon_sym_groupshared] = ACTIONS(2318),
    [anon_sym_uniform] = ACTIONS(2318),
    [anon_sym_row_major] = ACTIONS(2318),
    [anon_sym_column_major] = ACTIONS(2318),
    [anon_sym_globallycoherent] = ACTIONS(2318),
    [anon_sym_centroid] = ACTIONS(2318),
    [anon_sym_noperspective] = ACTIONS(2318),
    [anon_sym_nointerpolation] = ACTIONS(2318),
    [anon_sym_sample] = ACTIONS(2318),
    [anon_sym_linear] = ACTIONS(2318),
    [anon_sym_snorm] = ACTIONS(2318),
    [anon_sym_unorm] = ACTIONS(2318),
    [anon_sym_point] = ACTIONS(2318),
    [anon_sym_line] = ACTIONS(2318),
    [anon_sym_triangleadj] = ACTIONS(2318),
    [anon_sym_lineadj] = ACTIONS(2318),
    [anon_sym_triangle] = ACTIONS(2318),
  },
  [2919] = {
    [sym_identifier] = ACTIONS(2318),
    [aux_sym_preproc_def_token1] = ACTIONS(2318),
    [aux_sym_preproc_if_token1] = ACTIONS(2318),
    [aux_sym_preproc_if_token2] = ACTIONS(2318),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2318),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2318),
    [sym_preproc_directive] = ACTIONS(2318),
    [anon_sym_LPAREN2] = ACTIONS(2320),
    [anon_sym_TILDE] = ACTIONS(2320),
    [anon_sym_STAR] = ACTIONS(2320),
    [anon_sym_AMP_AMP] = ACTIONS(2320),
    [anon_sym_AMP] = ACTIONS(2318),
    [anon_sym___extension__] = ACTIONS(2318),
    [anon_sym_typedef] = ACTIONS(2318),
    [anon_sym_in] = ACTIONS(2318),
    [anon_sym_out] = ACTIONS(2318),
    [anon_sym_inout] = ACTIONS(2318),
    [anon_sym_extern] = ACTIONS(2318),
    [anon_sym___attribute__] = ACTIONS(2318),
    [anon_sym_COLON_COLON] = ACTIONS(2320),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2320),
    [anon_sym___declspec] = ACTIONS(2318),
    [anon_sym___based] = ACTIONS(2318),
    [anon_sym_signed] = ACTIONS(2318),
    [anon_sym_unsigned] = ACTIONS(2318),
    [anon_sym_long] = ACTIONS(2318),
    [anon_sym_short] = ACTIONS(2318),
    [anon_sym_LBRACK] = ACTIONS(2318),
    [anon_sym_static] = ACTIONS(2318),
    [anon_sym_register] = ACTIONS(2318),
    [anon_sym_inline] = ACTIONS(2318),
    [anon_sym___inline] = ACTIONS(2318),
    [anon_sym___inline__] = ACTIONS(2318),
    [anon_sym___forceinline] = ACTIONS(2318),
    [anon_sym_thread_local] = ACTIONS(2318),
    [anon_sym___thread] = ACTIONS(2318),
    [anon_sym_const] = ACTIONS(2318),
    [anon_sym_constexpr] = ACTIONS(2318),
    [anon_sym_volatile] = ACTIONS(2318),
    [anon_sym_restrict] = ACTIONS(2318),
    [anon_sym___restrict__] = ACTIONS(2318),
    [anon_sym__Atomic] = ACTIONS(2318),
    [anon_sym__Noreturn] = ACTIONS(2318),
    [anon_sym_noreturn] = ACTIONS(2318),
    [anon_sym_mutable] = ACTIONS(2318),
    [anon_sym_constinit] = ACTIONS(2318),
    [anon_sym_consteval] = ACTIONS(2318),
    [sym_primitive_type] = ACTIONS(2318),
    [anon_sym_enum] = ACTIONS(2318),
    [anon_sym_class] = ACTIONS(2318),
    [anon_sym_struct] = ACTIONS(2318),
    [anon_sym_union] = ACTIONS(2318),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2318),
    [anon_sym_decltype] = ACTIONS(2318),
    [anon_sym_virtual] = ACTIONS(2318),
    [anon_sym_alignas] = ACTIONS(2318),
    [anon_sym_explicit] = ACTIONS(2318),
    [anon_sym_typename] = ACTIONS(2318),
    [anon_sym_template] = ACTIONS(2318),
    [anon_sym_operator] = ACTIONS(2318),
    [anon_sym_friend] = ACTIONS(2318),
    [anon_sym_public] = ACTIONS(2318),
    [anon_sym_private] = ACTIONS(2318),
    [anon_sym_protected] = ACTIONS(2318),
    [anon_sym_using] = ACTIONS(2318),
    [anon_sym_static_assert] = ACTIONS(2318),
    [anon_sym_precise] = ACTIONS(2318),
    [anon_sym_shared] = ACTIONS(2318),
    [anon_sym_groupshared] = ACTIONS(2318),
    [anon_sym_uniform] = ACTIONS(2318),
    [anon_sym_row_major] = ACTIONS(2318),
    [anon_sym_column_major] = ACTIONS(2318),
    [anon_sym_globallycoherent] = ACTIONS(2318),
    [anon_sym_centroid] = ACTIONS(2318),
    [anon_sym_noperspective] = ACTIONS(2318),
    [anon_sym_nointerpolation] = ACTIONS(2318),
    [anon_sym_sample] = ACTIONS(2318),
    [anon_sym_linear] = ACTIONS(2318),
    [anon_sym_snorm] = ACTIONS(2318),
    [anon_sym_unorm] = ACTIONS(2318),
    [anon_sym_point] = ACTIONS(2318),
    [anon_sym_line] = ACTIONS(2318),
    [anon_sym_triangleadj] = ACTIONS(2318),
    [anon_sym_lineadj] = ACTIONS(2318),
    [anon_sym_triangle] = ACTIONS(2318),
  },
  [2920] = {
    [sym_identifier] = ACTIONS(2805),
    [aux_sym_preproc_def_token1] = ACTIONS(2805),
    [aux_sym_preproc_if_token1] = ACTIONS(2805),
    [aux_sym_preproc_if_token2] = ACTIONS(2805),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2805),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2805),
    [sym_preproc_directive] = ACTIONS(2805),
    [anon_sym_LPAREN2] = ACTIONS(2807),
    [anon_sym_TILDE] = ACTIONS(2807),
    [anon_sym_STAR] = ACTIONS(2807),
    [anon_sym_AMP_AMP] = ACTIONS(2807),
    [anon_sym_AMP] = ACTIONS(2805),
    [anon_sym___extension__] = ACTIONS(2805),
    [anon_sym_typedef] = ACTIONS(2805),
    [anon_sym_in] = ACTIONS(2805),
    [anon_sym_out] = ACTIONS(2805),
    [anon_sym_inout] = ACTIONS(2805),
    [anon_sym_extern] = ACTIONS(2805),
    [anon_sym___attribute__] = ACTIONS(2805),
    [anon_sym_COLON_COLON] = ACTIONS(2807),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2807),
    [anon_sym___declspec] = ACTIONS(2805),
    [anon_sym___based] = ACTIONS(2805),
    [anon_sym_signed] = ACTIONS(2805),
    [anon_sym_unsigned] = ACTIONS(2805),
    [anon_sym_long] = ACTIONS(2805),
    [anon_sym_short] = ACTIONS(2805),
    [anon_sym_LBRACK] = ACTIONS(2805),
    [anon_sym_static] = ACTIONS(2805),
    [anon_sym_register] = ACTIONS(2805),
    [anon_sym_inline] = ACTIONS(2805),
    [anon_sym___inline] = ACTIONS(2805),
    [anon_sym___inline__] = ACTIONS(2805),
    [anon_sym___forceinline] = ACTIONS(2805),
    [anon_sym_thread_local] = ACTIONS(2805),
    [anon_sym___thread] = ACTIONS(2805),
    [anon_sym_const] = ACTIONS(2805),
    [anon_sym_constexpr] = ACTIONS(2805),
    [anon_sym_volatile] = ACTIONS(2805),
    [anon_sym_restrict] = ACTIONS(2805),
    [anon_sym___restrict__] = ACTIONS(2805),
    [anon_sym__Atomic] = ACTIONS(2805),
    [anon_sym__Noreturn] = ACTIONS(2805),
    [anon_sym_noreturn] = ACTIONS(2805),
    [anon_sym_mutable] = ACTIONS(2805),
    [anon_sym_constinit] = ACTIONS(2805),
    [anon_sym_consteval] = ACTIONS(2805),
    [sym_primitive_type] = ACTIONS(2805),
    [anon_sym_enum] = ACTIONS(2805),
    [anon_sym_class] = ACTIONS(2805),
    [anon_sym_struct] = ACTIONS(2805),
    [anon_sym_union] = ACTIONS(2805),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2805),
    [anon_sym_decltype] = ACTIONS(2805),
    [anon_sym_virtual] = ACTIONS(2805),
    [anon_sym_alignas] = ACTIONS(2805),
    [anon_sym_explicit] = ACTIONS(2805),
    [anon_sym_typename] = ACTIONS(2805),
    [anon_sym_template] = ACTIONS(2805),
    [anon_sym_operator] = ACTIONS(2805),
    [anon_sym_friend] = ACTIONS(2805),
    [anon_sym_public] = ACTIONS(2805),
    [anon_sym_private] = ACTIONS(2805),
    [anon_sym_protected] = ACTIONS(2805),
    [anon_sym_using] = ACTIONS(2805),
    [anon_sym_static_assert] = ACTIONS(2805),
    [anon_sym_precise] = ACTIONS(2805),
    [anon_sym_shared] = ACTIONS(2805),
    [anon_sym_groupshared] = ACTIONS(2805),
    [anon_sym_uniform] = ACTIONS(2805),
    [anon_sym_row_major] = ACTIONS(2805),
    [anon_sym_column_major] = ACTIONS(2805),
    [anon_sym_globallycoherent] = ACTIONS(2805),
    [anon_sym_centroid] = ACTIONS(2805),
    [anon_sym_noperspective] = ACTIONS(2805),
    [anon_sym_nointerpolation] = ACTIONS(2805),
    [anon_sym_sample] = ACTIONS(2805),
    [anon_sym_linear] = ACTIONS(2805),
    [anon_sym_snorm] = ACTIONS(2805),
    [anon_sym_unorm] = ACTIONS(2805),
    [anon_sym_point] = ACTIONS(2805),
    [anon_sym_line] = ACTIONS(2805),
    [anon_sym_triangleadj] = ACTIONS(2805),
    [anon_sym_lineadj] = ACTIONS(2805),
    [anon_sym_triangle] = ACTIONS(2805),
  },
  [2921] = {
    [sym_identifier] = ACTIONS(2645),
    [aux_sym_preproc_def_token1] = ACTIONS(2645),
    [aux_sym_preproc_if_token1] = ACTIONS(2645),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2645),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2645),
    [sym_preproc_directive] = ACTIONS(2645),
    [anon_sym_LPAREN2] = ACTIONS(2647),
    [anon_sym_TILDE] = ACTIONS(2647),
    [anon_sym_STAR] = ACTIONS(2647),
    [anon_sym_AMP_AMP] = ACTIONS(2647),
    [anon_sym_AMP] = ACTIONS(2645),
    [anon_sym___extension__] = ACTIONS(2645),
    [anon_sym_typedef] = ACTIONS(2645),
    [anon_sym_in] = ACTIONS(2645),
    [anon_sym_out] = ACTIONS(2645),
    [anon_sym_inout] = ACTIONS(2645),
    [anon_sym_extern] = ACTIONS(2645),
    [anon_sym___attribute__] = ACTIONS(2645),
    [anon_sym_COLON_COLON] = ACTIONS(2647),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2647),
    [anon_sym___declspec] = ACTIONS(2645),
    [anon_sym___based] = ACTIONS(2645),
    [anon_sym_RBRACE] = ACTIONS(2647),
    [anon_sym_signed] = ACTIONS(2645),
    [anon_sym_unsigned] = ACTIONS(2645),
    [anon_sym_long] = ACTIONS(2645),
    [anon_sym_short] = ACTIONS(2645),
    [anon_sym_LBRACK] = ACTIONS(2645),
    [anon_sym_static] = ACTIONS(2645),
    [anon_sym_register] = ACTIONS(2645),
    [anon_sym_inline] = ACTIONS(2645),
    [anon_sym___inline] = ACTIONS(2645),
    [anon_sym___inline__] = ACTIONS(2645),
    [anon_sym___forceinline] = ACTIONS(2645),
    [anon_sym_thread_local] = ACTIONS(2645),
    [anon_sym___thread] = ACTIONS(2645),
    [anon_sym_const] = ACTIONS(2645),
    [anon_sym_constexpr] = ACTIONS(2645),
    [anon_sym_volatile] = ACTIONS(2645),
    [anon_sym_restrict] = ACTIONS(2645),
    [anon_sym___restrict__] = ACTIONS(2645),
    [anon_sym__Atomic] = ACTIONS(2645),
    [anon_sym__Noreturn] = ACTIONS(2645),
    [anon_sym_noreturn] = ACTIONS(2645),
    [anon_sym_mutable] = ACTIONS(2645),
    [anon_sym_constinit] = ACTIONS(2645),
    [anon_sym_consteval] = ACTIONS(2645),
    [sym_primitive_type] = ACTIONS(2645),
    [anon_sym_enum] = ACTIONS(2645),
    [anon_sym_class] = ACTIONS(2645),
    [anon_sym_struct] = ACTIONS(2645),
    [anon_sym_union] = ACTIONS(2645),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2645),
    [anon_sym_decltype] = ACTIONS(2645),
    [anon_sym_virtual] = ACTIONS(2645),
    [anon_sym_alignas] = ACTIONS(2645),
    [anon_sym_explicit] = ACTIONS(2645),
    [anon_sym_typename] = ACTIONS(2645),
    [anon_sym_template] = ACTIONS(2645),
    [anon_sym_operator] = ACTIONS(2645),
    [anon_sym_friend] = ACTIONS(2645),
    [anon_sym_public] = ACTIONS(2645),
    [anon_sym_private] = ACTIONS(2645),
    [anon_sym_protected] = ACTIONS(2645),
    [anon_sym_using] = ACTIONS(2645),
    [anon_sym_static_assert] = ACTIONS(2645),
    [anon_sym_precise] = ACTIONS(2645),
    [anon_sym_shared] = ACTIONS(2645),
    [anon_sym_groupshared] = ACTIONS(2645),
    [anon_sym_uniform] = ACTIONS(2645),
    [anon_sym_row_major] = ACTIONS(2645),
    [anon_sym_column_major] = ACTIONS(2645),
    [anon_sym_globallycoherent] = ACTIONS(2645),
    [anon_sym_centroid] = ACTIONS(2645),
    [anon_sym_noperspective] = ACTIONS(2645),
    [anon_sym_nointerpolation] = ACTIONS(2645),
    [anon_sym_sample] = ACTIONS(2645),
    [anon_sym_linear] = ACTIONS(2645),
    [anon_sym_snorm] = ACTIONS(2645),
    [anon_sym_unorm] = ACTIONS(2645),
    [anon_sym_point] = ACTIONS(2645),
    [anon_sym_line] = ACTIONS(2645),
    [anon_sym_triangleadj] = ACTIONS(2645),
    [anon_sym_lineadj] = ACTIONS(2645),
    [anon_sym_triangle] = ACTIONS(2645),
  },
  [2922] = {
    [sym_identifier] = ACTIONS(2432),
    [aux_sym_preproc_def_token1] = ACTIONS(2432),
    [aux_sym_preproc_if_token1] = ACTIONS(2432),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2432),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2432),
    [sym_preproc_directive] = ACTIONS(2432),
    [anon_sym_LPAREN2] = ACTIONS(2434),
    [anon_sym_TILDE] = ACTIONS(2434),
    [anon_sym_STAR] = ACTIONS(2434),
    [anon_sym_AMP_AMP] = ACTIONS(2434),
    [anon_sym_AMP] = ACTIONS(2432),
    [anon_sym___extension__] = ACTIONS(2432),
    [anon_sym_typedef] = ACTIONS(2432),
    [anon_sym_in] = ACTIONS(2432),
    [anon_sym_out] = ACTIONS(2432),
    [anon_sym_inout] = ACTIONS(2432),
    [anon_sym_extern] = ACTIONS(2432),
    [anon_sym___attribute__] = ACTIONS(2432),
    [anon_sym_COLON_COLON] = ACTIONS(2434),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2434),
    [anon_sym___declspec] = ACTIONS(2432),
    [anon_sym___based] = ACTIONS(2432),
    [anon_sym_RBRACE] = ACTIONS(2434),
    [anon_sym_signed] = ACTIONS(2432),
    [anon_sym_unsigned] = ACTIONS(2432),
    [anon_sym_long] = ACTIONS(2432),
    [anon_sym_short] = ACTIONS(2432),
    [anon_sym_LBRACK] = ACTIONS(2432),
    [anon_sym_static] = ACTIONS(2432),
    [anon_sym_register] = ACTIONS(2432),
    [anon_sym_inline] = ACTIONS(2432),
    [anon_sym___inline] = ACTIONS(2432),
    [anon_sym___inline__] = ACTIONS(2432),
    [anon_sym___forceinline] = ACTIONS(2432),
    [anon_sym_thread_local] = ACTIONS(2432),
    [anon_sym___thread] = ACTIONS(2432),
    [anon_sym_const] = ACTIONS(2432),
    [anon_sym_constexpr] = ACTIONS(2432),
    [anon_sym_volatile] = ACTIONS(2432),
    [anon_sym_restrict] = ACTIONS(2432),
    [anon_sym___restrict__] = ACTIONS(2432),
    [anon_sym__Atomic] = ACTIONS(2432),
    [anon_sym__Noreturn] = ACTIONS(2432),
    [anon_sym_noreturn] = ACTIONS(2432),
    [anon_sym_mutable] = ACTIONS(2432),
    [anon_sym_constinit] = ACTIONS(2432),
    [anon_sym_consteval] = ACTIONS(2432),
    [sym_primitive_type] = ACTIONS(2432),
    [anon_sym_enum] = ACTIONS(2432),
    [anon_sym_class] = ACTIONS(2432),
    [anon_sym_struct] = ACTIONS(2432),
    [anon_sym_union] = ACTIONS(2432),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2432),
    [anon_sym_decltype] = ACTIONS(2432),
    [anon_sym_virtual] = ACTIONS(2432),
    [anon_sym_alignas] = ACTIONS(2432),
    [anon_sym_explicit] = ACTIONS(2432),
    [anon_sym_typename] = ACTIONS(2432),
    [anon_sym_template] = ACTIONS(2432),
    [anon_sym_operator] = ACTIONS(2432),
    [anon_sym_friend] = ACTIONS(2432),
    [anon_sym_public] = ACTIONS(2432),
    [anon_sym_private] = ACTIONS(2432),
    [anon_sym_protected] = ACTIONS(2432),
    [anon_sym_using] = ACTIONS(2432),
    [anon_sym_static_assert] = ACTIONS(2432),
    [anon_sym_precise] = ACTIONS(2432),
    [anon_sym_shared] = ACTIONS(2432),
    [anon_sym_groupshared] = ACTIONS(2432),
    [anon_sym_uniform] = ACTIONS(2432),
    [anon_sym_row_major] = ACTIONS(2432),
    [anon_sym_column_major] = ACTIONS(2432),
    [anon_sym_globallycoherent] = ACTIONS(2432),
    [anon_sym_centroid] = ACTIONS(2432),
    [anon_sym_noperspective] = ACTIONS(2432),
    [anon_sym_nointerpolation] = ACTIONS(2432),
    [anon_sym_sample] = ACTIONS(2432),
    [anon_sym_linear] = ACTIONS(2432),
    [anon_sym_snorm] = ACTIONS(2432),
    [anon_sym_unorm] = ACTIONS(2432),
    [anon_sym_point] = ACTIONS(2432),
    [anon_sym_line] = ACTIONS(2432),
    [anon_sym_triangleadj] = ACTIONS(2432),
    [anon_sym_lineadj] = ACTIONS(2432),
    [anon_sym_triangle] = ACTIONS(2432),
  },
  [2923] = {
    [sym_identifier] = ACTIONS(5683),
    [aux_sym_preproc_def_token1] = ACTIONS(5683),
    [aux_sym_preproc_if_token1] = ACTIONS(5683),
    [aux_sym_preproc_if_token2] = ACTIONS(5683),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5683),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5683),
    [sym_preproc_directive] = ACTIONS(5683),
    [anon_sym_LPAREN2] = ACTIONS(5685),
    [anon_sym_TILDE] = ACTIONS(5685),
    [anon_sym_STAR] = ACTIONS(5685),
    [anon_sym_AMP_AMP] = ACTIONS(5685),
    [anon_sym_AMP] = ACTIONS(5683),
    [anon_sym___extension__] = ACTIONS(5683),
    [anon_sym_typedef] = ACTIONS(5683),
    [anon_sym_in] = ACTIONS(5683),
    [anon_sym_out] = ACTIONS(5683),
    [anon_sym_inout] = ACTIONS(5683),
    [anon_sym_extern] = ACTIONS(5683),
    [anon_sym___attribute__] = ACTIONS(5683),
    [anon_sym_COLON_COLON] = ACTIONS(5685),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5685),
    [anon_sym___declspec] = ACTIONS(5683),
    [anon_sym___based] = ACTIONS(5683),
    [anon_sym_signed] = ACTIONS(5683),
    [anon_sym_unsigned] = ACTIONS(5683),
    [anon_sym_long] = ACTIONS(5683),
    [anon_sym_short] = ACTIONS(5683),
    [anon_sym_LBRACK] = ACTIONS(5683),
    [anon_sym_static] = ACTIONS(5683),
    [anon_sym_register] = ACTIONS(5683),
    [anon_sym_inline] = ACTIONS(5683),
    [anon_sym___inline] = ACTIONS(5683),
    [anon_sym___inline__] = ACTIONS(5683),
    [anon_sym___forceinline] = ACTIONS(5683),
    [anon_sym_thread_local] = ACTIONS(5683),
    [anon_sym___thread] = ACTIONS(5683),
    [anon_sym_const] = ACTIONS(5683),
    [anon_sym_constexpr] = ACTIONS(5683),
    [anon_sym_volatile] = ACTIONS(5683),
    [anon_sym_restrict] = ACTIONS(5683),
    [anon_sym___restrict__] = ACTIONS(5683),
    [anon_sym__Atomic] = ACTIONS(5683),
    [anon_sym__Noreturn] = ACTIONS(5683),
    [anon_sym_noreturn] = ACTIONS(5683),
    [anon_sym_mutable] = ACTIONS(5683),
    [anon_sym_constinit] = ACTIONS(5683),
    [anon_sym_consteval] = ACTIONS(5683),
    [sym_primitive_type] = ACTIONS(5683),
    [anon_sym_enum] = ACTIONS(5683),
    [anon_sym_class] = ACTIONS(5683),
    [anon_sym_struct] = ACTIONS(5683),
    [anon_sym_union] = ACTIONS(5683),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5683),
    [anon_sym_decltype] = ACTIONS(5683),
    [anon_sym_virtual] = ACTIONS(5683),
    [anon_sym_alignas] = ACTIONS(5683),
    [anon_sym_explicit] = ACTIONS(5683),
    [anon_sym_typename] = ACTIONS(5683),
    [anon_sym_template] = ACTIONS(5683),
    [anon_sym_operator] = ACTIONS(5683),
    [anon_sym_friend] = ACTIONS(5683),
    [anon_sym_public] = ACTIONS(5683),
    [anon_sym_private] = ACTIONS(5683),
    [anon_sym_protected] = ACTIONS(5683),
    [anon_sym_using] = ACTIONS(5683),
    [anon_sym_static_assert] = ACTIONS(5683),
    [anon_sym_precise] = ACTIONS(5683),
    [anon_sym_shared] = ACTIONS(5683),
    [anon_sym_groupshared] = ACTIONS(5683),
    [anon_sym_uniform] = ACTIONS(5683),
    [anon_sym_row_major] = ACTIONS(5683),
    [anon_sym_column_major] = ACTIONS(5683),
    [anon_sym_globallycoherent] = ACTIONS(5683),
    [anon_sym_centroid] = ACTIONS(5683),
    [anon_sym_noperspective] = ACTIONS(5683),
    [anon_sym_nointerpolation] = ACTIONS(5683),
    [anon_sym_sample] = ACTIONS(5683),
    [anon_sym_linear] = ACTIONS(5683),
    [anon_sym_snorm] = ACTIONS(5683),
    [anon_sym_unorm] = ACTIONS(5683),
    [anon_sym_point] = ACTIONS(5683),
    [anon_sym_line] = ACTIONS(5683),
    [anon_sym_triangleadj] = ACTIONS(5683),
    [anon_sym_lineadj] = ACTIONS(5683),
    [anon_sym_triangle] = ACTIONS(5683),
  },
  [2924] = {
    [sym_identifier] = ACTIONS(5635),
    [aux_sym_preproc_def_token1] = ACTIONS(5635),
    [aux_sym_preproc_if_token1] = ACTIONS(5635),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5635),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5635),
    [sym_preproc_directive] = ACTIONS(5635),
    [anon_sym_LPAREN2] = ACTIONS(5637),
    [anon_sym_TILDE] = ACTIONS(5637),
    [anon_sym_STAR] = ACTIONS(5637),
    [anon_sym_AMP_AMP] = ACTIONS(5637),
    [anon_sym_AMP] = ACTIONS(5635),
    [anon_sym___extension__] = ACTIONS(5635),
    [anon_sym_typedef] = ACTIONS(5635),
    [anon_sym_in] = ACTIONS(5635),
    [anon_sym_out] = ACTIONS(5635),
    [anon_sym_inout] = ACTIONS(5635),
    [anon_sym_extern] = ACTIONS(5635),
    [anon_sym___attribute__] = ACTIONS(5635),
    [anon_sym_COLON_COLON] = ACTIONS(5637),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5637),
    [anon_sym___declspec] = ACTIONS(5635),
    [anon_sym___based] = ACTIONS(5635),
    [anon_sym_RBRACE] = ACTIONS(5637),
    [anon_sym_signed] = ACTIONS(5635),
    [anon_sym_unsigned] = ACTIONS(5635),
    [anon_sym_long] = ACTIONS(5635),
    [anon_sym_short] = ACTIONS(5635),
    [anon_sym_LBRACK] = ACTIONS(5635),
    [anon_sym_static] = ACTIONS(5635),
    [anon_sym_register] = ACTIONS(5635),
    [anon_sym_inline] = ACTIONS(5635),
    [anon_sym___inline] = ACTIONS(5635),
    [anon_sym___inline__] = ACTIONS(5635),
    [anon_sym___forceinline] = ACTIONS(5635),
    [anon_sym_thread_local] = ACTIONS(5635),
    [anon_sym___thread] = ACTIONS(5635),
    [anon_sym_const] = ACTIONS(5635),
    [anon_sym_constexpr] = ACTIONS(5635),
    [anon_sym_volatile] = ACTIONS(5635),
    [anon_sym_restrict] = ACTIONS(5635),
    [anon_sym___restrict__] = ACTIONS(5635),
    [anon_sym__Atomic] = ACTIONS(5635),
    [anon_sym__Noreturn] = ACTIONS(5635),
    [anon_sym_noreturn] = ACTIONS(5635),
    [anon_sym_mutable] = ACTIONS(5635),
    [anon_sym_constinit] = ACTIONS(5635),
    [anon_sym_consteval] = ACTIONS(5635),
    [sym_primitive_type] = ACTIONS(5635),
    [anon_sym_enum] = ACTIONS(5635),
    [anon_sym_class] = ACTIONS(5635),
    [anon_sym_struct] = ACTIONS(5635),
    [anon_sym_union] = ACTIONS(5635),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5635),
    [anon_sym_decltype] = ACTIONS(5635),
    [anon_sym_virtual] = ACTIONS(5635),
    [anon_sym_alignas] = ACTIONS(5635),
    [anon_sym_explicit] = ACTIONS(5635),
    [anon_sym_typename] = ACTIONS(5635),
    [anon_sym_template] = ACTIONS(5635),
    [anon_sym_operator] = ACTIONS(5635),
    [anon_sym_friend] = ACTIONS(5635),
    [anon_sym_public] = ACTIONS(5635),
    [anon_sym_private] = ACTIONS(5635),
    [anon_sym_protected] = ACTIONS(5635),
    [anon_sym_using] = ACTIONS(5635),
    [anon_sym_static_assert] = ACTIONS(5635),
    [anon_sym_precise] = ACTIONS(5635),
    [anon_sym_shared] = ACTIONS(5635),
    [anon_sym_groupshared] = ACTIONS(5635),
    [anon_sym_uniform] = ACTIONS(5635),
    [anon_sym_row_major] = ACTIONS(5635),
    [anon_sym_column_major] = ACTIONS(5635),
    [anon_sym_globallycoherent] = ACTIONS(5635),
    [anon_sym_centroid] = ACTIONS(5635),
    [anon_sym_noperspective] = ACTIONS(5635),
    [anon_sym_nointerpolation] = ACTIONS(5635),
    [anon_sym_sample] = ACTIONS(5635),
    [anon_sym_linear] = ACTIONS(5635),
    [anon_sym_snorm] = ACTIONS(5635),
    [anon_sym_unorm] = ACTIONS(5635),
    [anon_sym_point] = ACTIONS(5635),
    [anon_sym_line] = ACTIONS(5635),
    [anon_sym_triangleadj] = ACTIONS(5635),
    [anon_sym_lineadj] = ACTIONS(5635),
    [anon_sym_triangle] = ACTIONS(5635),
  },
  [2925] = {
    [sym_identifier] = ACTIONS(2813),
    [aux_sym_preproc_def_token1] = ACTIONS(2813),
    [aux_sym_preproc_if_token1] = ACTIONS(2813),
    [aux_sym_preproc_if_token2] = ACTIONS(2813),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2813),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2813),
    [sym_preproc_directive] = ACTIONS(2813),
    [anon_sym_LPAREN2] = ACTIONS(2815),
    [anon_sym_TILDE] = ACTIONS(2815),
    [anon_sym_STAR] = ACTIONS(2815),
    [anon_sym_AMP_AMP] = ACTIONS(2815),
    [anon_sym_AMP] = ACTIONS(2813),
    [anon_sym___extension__] = ACTIONS(2813),
    [anon_sym_typedef] = ACTIONS(2813),
    [anon_sym_in] = ACTIONS(2813),
    [anon_sym_out] = ACTIONS(2813),
    [anon_sym_inout] = ACTIONS(2813),
    [anon_sym_extern] = ACTIONS(2813),
    [anon_sym___attribute__] = ACTIONS(2813),
    [anon_sym_COLON_COLON] = ACTIONS(2815),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2815),
    [anon_sym___declspec] = ACTIONS(2813),
    [anon_sym___based] = ACTIONS(2813),
    [anon_sym_signed] = ACTIONS(2813),
    [anon_sym_unsigned] = ACTIONS(2813),
    [anon_sym_long] = ACTIONS(2813),
    [anon_sym_short] = ACTIONS(2813),
    [anon_sym_LBRACK] = ACTIONS(2813),
    [anon_sym_static] = ACTIONS(2813),
    [anon_sym_register] = ACTIONS(2813),
    [anon_sym_inline] = ACTIONS(2813),
    [anon_sym___inline] = ACTIONS(2813),
    [anon_sym___inline__] = ACTIONS(2813),
    [anon_sym___forceinline] = ACTIONS(2813),
    [anon_sym_thread_local] = ACTIONS(2813),
    [anon_sym___thread] = ACTIONS(2813),
    [anon_sym_const] = ACTIONS(2813),
    [anon_sym_constexpr] = ACTIONS(2813),
    [anon_sym_volatile] = ACTIONS(2813),
    [anon_sym_restrict] = ACTIONS(2813),
    [anon_sym___restrict__] = ACTIONS(2813),
    [anon_sym__Atomic] = ACTIONS(2813),
    [anon_sym__Noreturn] = ACTIONS(2813),
    [anon_sym_noreturn] = ACTIONS(2813),
    [anon_sym_mutable] = ACTIONS(2813),
    [anon_sym_constinit] = ACTIONS(2813),
    [anon_sym_consteval] = ACTIONS(2813),
    [sym_primitive_type] = ACTIONS(2813),
    [anon_sym_enum] = ACTIONS(2813),
    [anon_sym_class] = ACTIONS(2813),
    [anon_sym_struct] = ACTIONS(2813),
    [anon_sym_union] = ACTIONS(2813),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2813),
    [anon_sym_decltype] = ACTIONS(2813),
    [anon_sym_virtual] = ACTIONS(2813),
    [anon_sym_alignas] = ACTIONS(2813),
    [anon_sym_explicit] = ACTIONS(2813),
    [anon_sym_typename] = ACTIONS(2813),
    [anon_sym_template] = ACTIONS(2813),
    [anon_sym_operator] = ACTIONS(2813),
    [anon_sym_friend] = ACTIONS(2813),
    [anon_sym_public] = ACTIONS(2813),
    [anon_sym_private] = ACTIONS(2813),
    [anon_sym_protected] = ACTIONS(2813),
    [anon_sym_using] = ACTIONS(2813),
    [anon_sym_static_assert] = ACTIONS(2813),
    [anon_sym_precise] = ACTIONS(2813),
    [anon_sym_shared] = ACTIONS(2813),
    [anon_sym_groupshared] = ACTIONS(2813),
    [anon_sym_uniform] = ACTIONS(2813),
    [anon_sym_row_major] = ACTIONS(2813),
    [anon_sym_column_major] = ACTIONS(2813),
    [anon_sym_globallycoherent] = ACTIONS(2813),
    [anon_sym_centroid] = ACTIONS(2813),
    [anon_sym_noperspective] = ACTIONS(2813),
    [anon_sym_nointerpolation] = ACTIONS(2813),
    [anon_sym_sample] = ACTIONS(2813),
    [anon_sym_linear] = ACTIONS(2813),
    [anon_sym_snorm] = ACTIONS(2813),
    [anon_sym_unorm] = ACTIONS(2813),
    [anon_sym_point] = ACTIONS(2813),
    [anon_sym_line] = ACTIONS(2813),
    [anon_sym_triangleadj] = ACTIONS(2813),
    [anon_sym_lineadj] = ACTIONS(2813),
    [anon_sym_triangle] = ACTIONS(2813),
  },
  [2926] = {
    [sym_identifier] = ACTIONS(5631),
    [aux_sym_preproc_def_token1] = ACTIONS(5631),
    [aux_sym_preproc_if_token1] = ACTIONS(5631),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5631),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5631),
    [sym_preproc_directive] = ACTIONS(5631),
    [anon_sym_LPAREN2] = ACTIONS(5633),
    [anon_sym_TILDE] = ACTIONS(5633),
    [anon_sym_STAR] = ACTIONS(5633),
    [anon_sym_AMP_AMP] = ACTIONS(5633),
    [anon_sym_AMP] = ACTIONS(5631),
    [anon_sym___extension__] = ACTIONS(5631),
    [anon_sym_typedef] = ACTIONS(5631),
    [anon_sym_in] = ACTIONS(5631),
    [anon_sym_out] = ACTIONS(5631),
    [anon_sym_inout] = ACTIONS(5631),
    [anon_sym_extern] = ACTIONS(5631),
    [anon_sym___attribute__] = ACTIONS(5631),
    [anon_sym_COLON_COLON] = ACTIONS(5633),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5633),
    [anon_sym___declspec] = ACTIONS(5631),
    [anon_sym___based] = ACTIONS(5631),
    [anon_sym_RBRACE] = ACTIONS(5633),
    [anon_sym_signed] = ACTIONS(5631),
    [anon_sym_unsigned] = ACTIONS(5631),
    [anon_sym_long] = ACTIONS(5631),
    [anon_sym_short] = ACTIONS(5631),
    [anon_sym_LBRACK] = ACTIONS(5631),
    [anon_sym_static] = ACTIONS(5631),
    [anon_sym_register] = ACTIONS(5631),
    [anon_sym_inline] = ACTIONS(5631),
    [anon_sym___inline] = ACTIONS(5631),
    [anon_sym___inline__] = ACTIONS(5631),
    [anon_sym___forceinline] = ACTIONS(5631),
    [anon_sym_thread_local] = ACTIONS(5631),
    [anon_sym___thread] = ACTIONS(5631),
    [anon_sym_const] = ACTIONS(5631),
    [anon_sym_constexpr] = ACTIONS(5631),
    [anon_sym_volatile] = ACTIONS(5631),
    [anon_sym_restrict] = ACTIONS(5631),
    [anon_sym___restrict__] = ACTIONS(5631),
    [anon_sym__Atomic] = ACTIONS(5631),
    [anon_sym__Noreturn] = ACTIONS(5631),
    [anon_sym_noreturn] = ACTIONS(5631),
    [anon_sym_mutable] = ACTIONS(5631),
    [anon_sym_constinit] = ACTIONS(5631),
    [anon_sym_consteval] = ACTIONS(5631),
    [sym_primitive_type] = ACTIONS(5631),
    [anon_sym_enum] = ACTIONS(5631),
    [anon_sym_class] = ACTIONS(5631),
    [anon_sym_struct] = ACTIONS(5631),
    [anon_sym_union] = ACTIONS(5631),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5631),
    [anon_sym_decltype] = ACTIONS(5631),
    [anon_sym_virtual] = ACTIONS(5631),
    [anon_sym_alignas] = ACTIONS(5631),
    [anon_sym_explicit] = ACTIONS(5631),
    [anon_sym_typename] = ACTIONS(5631),
    [anon_sym_template] = ACTIONS(5631),
    [anon_sym_operator] = ACTIONS(5631),
    [anon_sym_friend] = ACTIONS(5631),
    [anon_sym_public] = ACTIONS(5631),
    [anon_sym_private] = ACTIONS(5631),
    [anon_sym_protected] = ACTIONS(5631),
    [anon_sym_using] = ACTIONS(5631),
    [anon_sym_static_assert] = ACTIONS(5631),
    [anon_sym_precise] = ACTIONS(5631),
    [anon_sym_shared] = ACTIONS(5631),
    [anon_sym_groupshared] = ACTIONS(5631),
    [anon_sym_uniform] = ACTIONS(5631),
    [anon_sym_row_major] = ACTIONS(5631),
    [anon_sym_column_major] = ACTIONS(5631),
    [anon_sym_globallycoherent] = ACTIONS(5631),
    [anon_sym_centroid] = ACTIONS(5631),
    [anon_sym_noperspective] = ACTIONS(5631),
    [anon_sym_nointerpolation] = ACTIONS(5631),
    [anon_sym_sample] = ACTIONS(5631),
    [anon_sym_linear] = ACTIONS(5631),
    [anon_sym_snorm] = ACTIONS(5631),
    [anon_sym_unorm] = ACTIONS(5631),
    [anon_sym_point] = ACTIONS(5631),
    [anon_sym_line] = ACTIONS(5631),
    [anon_sym_triangleadj] = ACTIONS(5631),
    [anon_sym_lineadj] = ACTIONS(5631),
    [anon_sym_triangle] = ACTIONS(5631),
  },
  [2927] = {
    [sym_identifier] = ACTIONS(2809),
    [aux_sym_preproc_def_token1] = ACTIONS(2809),
    [aux_sym_preproc_if_token1] = ACTIONS(2809),
    [aux_sym_preproc_if_token2] = ACTIONS(2809),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2809),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2809),
    [sym_preproc_directive] = ACTIONS(2809),
    [anon_sym_LPAREN2] = ACTIONS(2811),
    [anon_sym_TILDE] = ACTIONS(2811),
    [anon_sym_STAR] = ACTIONS(2811),
    [anon_sym_AMP_AMP] = ACTIONS(2811),
    [anon_sym_AMP] = ACTIONS(2809),
    [anon_sym___extension__] = ACTIONS(2809),
    [anon_sym_typedef] = ACTIONS(2809),
    [anon_sym_in] = ACTIONS(2809),
    [anon_sym_out] = ACTIONS(2809),
    [anon_sym_inout] = ACTIONS(2809),
    [anon_sym_extern] = ACTIONS(2809),
    [anon_sym___attribute__] = ACTIONS(2809),
    [anon_sym_COLON_COLON] = ACTIONS(2811),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2811),
    [anon_sym___declspec] = ACTIONS(2809),
    [anon_sym___based] = ACTIONS(2809),
    [anon_sym_signed] = ACTIONS(2809),
    [anon_sym_unsigned] = ACTIONS(2809),
    [anon_sym_long] = ACTIONS(2809),
    [anon_sym_short] = ACTIONS(2809),
    [anon_sym_LBRACK] = ACTIONS(2809),
    [anon_sym_static] = ACTIONS(2809),
    [anon_sym_register] = ACTIONS(2809),
    [anon_sym_inline] = ACTIONS(2809),
    [anon_sym___inline] = ACTIONS(2809),
    [anon_sym___inline__] = ACTIONS(2809),
    [anon_sym___forceinline] = ACTIONS(2809),
    [anon_sym_thread_local] = ACTIONS(2809),
    [anon_sym___thread] = ACTIONS(2809),
    [anon_sym_const] = ACTIONS(2809),
    [anon_sym_constexpr] = ACTIONS(2809),
    [anon_sym_volatile] = ACTIONS(2809),
    [anon_sym_restrict] = ACTIONS(2809),
    [anon_sym___restrict__] = ACTIONS(2809),
    [anon_sym__Atomic] = ACTIONS(2809),
    [anon_sym__Noreturn] = ACTIONS(2809),
    [anon_sym_noreturn] = ACTIONS(2809),
    [anon_sym_mutable] = ACTIONS(2809),
    [anon_sym_constinit] = ACTIONS(2809),
    [anon_sym_consteval] = ACTIONS(2809),
    [sym_primitive_type] = ACTIONS(2809),
    [anon_sym_enum] = ACTIONS(2809),
    [anon_sym_class] = ACTIONS(2809),
    [anon_sym_struct] = ACTIONS(2809),
    [anon_sym_union] = ACTIONS(2809),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2809),
    [anon_sym_decltype] = ACTIONS(2809),
    [anon_sym_virtual] = ACTIONS(2809),
    [anon_sym_alignas] = ACTIONS(2809),
    [anon_sym_explicit] = ACTIONS(2809),
    [anon_sym_typename] = ACTIONS(2809),
    [anon_sym_template] = ACTIONS(2809),
    [anon_sym_operator] = ACTIONS(2809),
    [anon_sym_friend] = ACTIONS(2809),
    [anon_sym_public] = ACTIONS(2809),
    [anon_sym_private] = ACTIONS(2809),
    [anon_sym_protected] = ACTIONS(2809),
    [anon_sym_using] = ACTIONS(2809),
    [anon_sym_static_assert] = ACTIONS(2809),
    [anon_sym_precise] = ACTIONS(2809),
    [anon_sym_shared] = ACTIONS(2809),
    [anon_sym_groupshared] = ACTIONS(2809),
    [anon_sym_uniform] = ACTIONS(2809),
    [anon_sym_row_major] = ACTIONS(2809),
    [anon_sym_column_major] = ACTIONS(2809),
    [anon_sym_globallycoherent] = ACTIONS(2809),
    [anon_sym_centroid] = ACTIONS(2809),
    [anon_sym_noperspective] = ACTIONS(2809),
    [anon_sym_nointerpolation] = ACTIONS(2809),
    [anon_sym_sample] = ACTIONS(2809),
    [anon_sym_linear] = ACTIONS(2809),
    [anon_sym_snorm] = ACTIONS(2809),
    [anon_sym_unorm] = ACTIONS(2809),
    [anon_sym_point] = ACTIONS(2809),
    [anon_sym_line] = ACTIONS(2809),
    [anon_sym_triangleadj] = ACTIONS(2809),
    [anon_sym_lineadj] = ACTIONS(2809),
    [anon_sym_triangle] = ACTIONS(2809),
  },
  [2928] = {
    [sym_identifier] = ACTIONS(5655),
    [aux_sym_preproc_def_token1] = ACTIONS(5655),
    [aux_sym_preproc_if_token1] = ACTIONS(5655),
    [aux_sym_preproc_if_token2] = ACTIONS(5655),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5655),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5655),
    [sym_preproc_directive] = ACTIONS(5655),
    [anon_sym_LPAREN2] = ACTIONS(5657),
    [anon_sym_TILDE] = ACTIONS(5657),
    [anon_sym_STAR] = ACTIONS(5657),
    [anon_sym_AMP_AMP] = ACTIONS(5657),
    [anon_sym_AMP] = ACTIONS(5655),
    [anon_sym___extension__] = ACTIONS(5655),
    [anon_sym_typedef] = ACTIONS(5655),
    [anon_sym_in] = ACTIONS(5655),
    [anon_sym_out] = ACTIONS(5655),
    [anon_sym_inout] = ACTIONS(5655),
    [anon_sym_extern] = ACTIONS(5655),
    [anon_sym___attribute__] = ACTIONS(5655),
    [anon_sym_COLON_COLON] = ACTIONS(5657),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5657),
    [anon_sym___declspec] = ACTIONS(5655),
    [anon_sym___based] = ACTIONS(5655),
    [anon_sym_signed] = ACTIONS(5655),
    [anon_sym_unsigned] = ACTIONS(5655),
    [anon_sym_long] = ACTIONS(5655),
    [anon_sym_short] = ACTIONS(5655),
    [anon_sym_LBRACK] = ACTIONS(5655),
    [anon_sym_static] = ACTIONS(5655),
    [anon_sym_register] = ACTIONS(5655),
    [anon_sym_inline] = ACTIONS(5655),
    [anon_sym___inline] = ACTIONS(5655),
    [anon_sym___inline__] = ACTIONS(5655),
    [anon_sym___forceinline] = ACTIONS(5655),
    [anon_sym_thread_local] = ACTIONS(5655),
    [anon_sym___thread] = ACTIONS(5655),
    [anon_sym_const] = ACTIONS(5655),
    [anon_sym_constexpr] = ACTIONS(5655),
    [anon_sym_volatile] = ACTIONS(5655),
    [anon_sym_restrict] = ACTIONS(5655),
    [anon_sym___restrict__] = ACTIONS(5655),
    [anon_sym__Atomic] = ACTIONS(5655),
    [anon_sym__Noreturn] = ACTIONS(5655),
    [anon_sym_noreturn] = ACTIONS(5655),
    [anon_sym_mutable] = ACTIONS(5655),
    [anon_sym_constinit] = ACTIONS(5655),
    [anon_sym_consteval] = ACTIONS(5655),
    [sym_primitive_type] = ACTIONS(5655),
    [anon_sym_enum] = ACTIONS(5655),
    [anon_sym_class] = ACTIONS(5655),
    [anon_sym_struct] = ACTIONS(5655),
    [anon_sym_union] = ACTIONS(5655),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5655),
    [anon_sym_decltype] = ACTIONS(5655),
    [anon_sym_virtual] = ACTIONS(5655),
    [anon_sym_alignas] = ACTIONS(5655),
    [anon_sym_explicit] = ACTIONS(5655),
    [anon_sym_typename] = ACTIONS(5655),
    [anon_sym_template] = ACTIONS(5655),
    [anon_sym_operator] = ACTIONS(5655),
    [anon_sym_friend] = ACTIONS(5655),
    [anon_sym_public] = ACTIONS(5655),
    [anon_sym_private] = ACTIONS(5655),
    [anon_sym_protected] = ACTIONS(5655),
    [anon_sym_using] = ACTIONS(5655),
    [anon_sym_static_assert] = ACTIONS(5655),
    [anon_sym_precise] = ACTIONS(5655),
    [anon_sym_shared] = ACTIONS(5655),
    [anon_sym_groupshared] = ACTIONS(5655),
    [anon_sym_uniform] = ACTIONS(5655),
    [anon_sym_row_major] = ACTIONS(5655),
    [anon_sym_column_major] = ACTIONS(5655),
    [anon_sym_globallycoherent] = ACTIONS(5655),
    [anon_sym_centroid] = ACTIONS(5655),
    [anon_sym_noperspective] = ACTIONS(5655),
    [anon_sym_nointerpolation] = ACTIONS(5655),
    [anon_sym_sample] = ACTIONS(5655),
    [anon_sym_linear] = ACTIONS(5655),
    [anon_sym_snorm] = ACTIONS(5655),
    [anon_sym_unorm] = ACTIONS(5655),
    [anon_sym_point] = ACTIONS(5655),
    [anon_sym_line] = ACTIONS(5655),
    [anon_sym_triangleadj] = ACTIONS(5655),
    [anon_sym_lineadj] = ACTIONS(5655),
    [anon_sym_triangle] = ACTIONS(5655),
  },
  [2929] = {
    [sym_identifier] = ACTIONS(5683),
    [aux_sym_preproc_def_token1] = ACTIONS(5683),
    [aux_sym_preproc_if_token1] = ACTIONS(5683),
    [aux_sym_preproc_if_token2] = ACTIONS(5683),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5683),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5683),
    [sym_preproc_directive] = ACTIONS(5683),
    [anon_sym_LPAREN2] = ACTIONS(5685),
    [anon_sym_TILDE] = ACTIONS(5685),
    [anon_sym_STAR] = ACTIONS(5685),
    [anon_sym_AMP_AMP] = ACTIONS(5685),
    [anon_sym_AMP] = ACTIONS(5683),
    [anon_sym___extension__] = ACTIONS(5683),
    [anon_sym_typedef] = ACTIONS(5683),
    [anon_sym_in] = ACTIONS(5683),
    [anon_sym_out] = ACTIONS(5683),
    [anon_sym_inout] = ACTIONS(5683),
    [anon_sym_extern] = ACTIONS(5683),
    [anon_sym___attribute__] = ACTIONS(5683),
    [anon_sym_COLON_COLON] = ACTIONS(5685),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5685),
    [anon_sym___declspec] = ACTIONS(5683),
    [anon_sym___based] = ACTIONS(5683),
    [anon_sym_signed] = ACTIONS(5683),
    [anon_sym_unsigned] = ACTIONS(5683),
    [anon_sym_long] = ACTIONS(5683),
    [anon_sym_short] = ACTIONS(5683),
    [anon_sym_LBRACK] = ACTIONS(5683),
    [anon_sym_static] = ACTIONS(5683),
    [anon_sym_register] = ACTIONS(5683),
    [anon_sym_inline] = ACTIONS(5683),
    [anon_sym___inline] = ACTIONS(5683),
    [anon_sym___inline__] = ACTIONS(5683),
    [anon_sym___forceinline] = ACTIONS(5683),
    [anon_sym_thread_local] = ACTIONS(5683),
    [anon_sym___thread] = ACTIONS(5683),
    [anon_sym_const] = ACTIONS(5683),
    [anon_sym_constexpr] = ACTIONS(5683),
    [anon_sym_volatile] = ACTIONS(5683),
    [anon_sym_restrict] = ACTIONS(5683),
    [anon_sym___restrict__] = ACTIONS(5683),
    [anon_sym__Atomic] = ACTIONS(5683),
    [anon_sym__Noreturn] = ACTIONS(5683),
    [anon_sym_noreturn] = ACTIONS(5683),
    [anon_sym_mutable] = ACTIONS(5683),
    [anon_sym_constinit] = ACTIONS(5683),
    [anon_sym_consteval] = ACTIONS(5683),
    [sym_primitive_type] = ACTIONS(5683),
    [anon_sym_enum] = ACTIONS(5683),
    [anon_sym_class] = ACTIONS(5683),
    [anon_sym_struct] = ACTIONS(5683),
    [anon_sym_union] = ACTIONS(5683),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5683),
    [anon_sym_decltype] = ACTIONS(5683),
    [anon_sym_virtual] = ACTIONS(5683),
    [anon_sym_alignas] = ACTIONS(5683),
    [anon_sym_explicit] = ACTIONS(5683),
    [anon_sym_typename] = ACTIONS(5683),
    [anon_sym_template] = ACTIONS(5683),
    [anon_sym_operator] = ACTIONS(5683),
    [anon_sym_friend] = ACTIONS(5683),
    [anon_sym_public] = ACTIONS(5683),
    [anon_sym_private] = ACTIONS(5683),
    [anon_sym_protected] = ACTIONS(5683),
    [anon_sym_using] = ACTIONS(5683),
    [anon_sym_static_assert] = ACTIONS(5683),
    [anon_sym_precise] = ACTIONS(5683),
    [anon_sym_shared] = ACTIONS(5683),
    [anon_sym_groupshared] = ACTIONS(5683),
    [anon_sym_uniform] = ACTIONS(5683),
    [anon_sym_row_major] = ACTIONS(5683),
    [anon_sym_column_major] = ACTIONS(5683),
    [anon_sym_globallycoherent] = ACTIONS(5683),
    [anon_sym_centroid] = ACTIONS(5683),
    [anon_sym_noperspective] = ACTIONS(5683),
    [anon_sym_nointerpolation] = ACTIONS(5683),
    [anon_sym_sample] = ACTIONS(5683),
    [anon_sym_linear] = ACTIONS(5683),
    [anon_sym_snorm] = ACTIONS(5683),
    [anon_sym_unorm] = ACTIONS(5683),
    [anon_sym_point] = ACTIONS(5683),
    [anon_sym_line] = ACTIONS(5683),
    [anon_sym_triangleadj] = ACTIONS(5683),
    [anon_sym_lineadj] = ACTIONS(5683),
    [anon_sym_triangle] = ACTIONS(5683),
  },
  [2930] = {
    [sym_identifier] = ACTIONS(2789),
    [aux_sym_preproc_def_token1] = ACTIONS(2789),
    [aux_sym_preproc_if_token1] = ACTIONS(2789),
    [aux_sym_preproc_if_token2] = ACTIONS(2789),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2789),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2789),
    [sym_preproc_directive] = ACTIONS(2789),
    [anon_sym_LPAREN2] = ACTIONS(2791),
    [anon_sym_TILDE] = ACTIONS(2791),
    [anon_sym_STAR] = ACTIONS(2791),
    [anon_sym_AMP_AMP] = ACTIONS(2791),
    [anon_sym_AMP] = ACTIONS(2789),
    [anon_sym___extension__] = ACTIONS(2789),
    [anon_sym_typedef] = ACTIONS(2789),
    [anon_sym_in] = ACTIONS(2789),
    [anon_sym_out] = ACTIONS(2789),
    [anon_sym_inout] = ACTIONS(2789),
    [anon_sym_extern] = ACTIONS(2789),
    [anon_sym___attribute__] = ACTIONS(2789),
    [anon_sym_COLON_COLON] = ACTIONS(2791),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2791),
    [anon_sym___declspec] = ACTIONS(2789),
    [anon_sym___based] = ACTIONS(2789),
    [anon_sym_signed] = ACTIONS(2789),
    [anon_sym_unsigned] = ACTIONS(2789),
    [anon_sym_long] = ACTIONS(2789),
    [anon_sym_short] = ACTIONS(2789),
    [anon_sym_LBRACK] = ACTIONS(2789),
    [anon_sym_static] = ACTIONS(2789),
    [anon_sym_register] = ACTIONS(2789),
    [anon_sym_inline] = ACTIONS(2789),
    [anon_sym___inline] = ACTIONS(2789),
    [anon_sym___inline__] = ACTIONS(2789),
    [anon_sym___forceinline] = ACTIONS(2789),
    [anon_sym_thread_local] = ACTIONS(2789),
    [anon_sym___thread] = ACTIONS(2789),
    [anon_sym_const] = ACTIONS(2789),
    [anon_sym_constexpr] = ACTIONS(2789),
    [anon_sym_volatile] = ACTIONS(2789),
    [anon_sym_restrict] = ACTIONS(2789),
    [anon_sym___restrict__] = ACTIONS(2789),
    [anon_sym__Atomic] = ACTIONS(2789),
    [anon_sym__Noreturn] = ACTIONS(2789),
    [anon_sym_noreturn] = ACTIONS(2789),
    [anon_sym_mutable] = ACTIONS(2789),
    [anon_sym_constinit] = ACTIONS(2789),
    [anon_sym_consteval] = ACTIONS(2789),
    [sym_primitive_type] = ACTIONS(2789),
    [anon_sym_enum] = ACTIONS(2789),
    [anon_sym_class] = ACTIONS(2789),
    [anon_sym_struct] = ACTIONS(2789),
    [anon_sym_union] = ACTIONS(2789),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2789),
    [anon_sym_decltype] = ACTIONS(2789),
    [anon_sym_virtual] = ACTIONS(2789),
    [anon_sym_alignas] = ACTIONS(2789),
    [anon_sym_explicit] = ACTIONS(2789),
    [anon_sym_typename] = ACTIONS(2789),
    [anon_sym_template] = ACTIONS(2789),
    [anon_sym_operator] = ACTIONS(2789),
    [anon_sym_friend] = ACTIONS(2789),
    [anon_sym_public] = ACTIONS(2789),
    [anon_sym_private] = ACTIONS(2789),
    [anon_sym_protected] = ACTIONS(2789),
    [anon_sym_using] = ACTIONS(2789),
    [anon_sym_static_assert] = ACTIONS(2789),
    [anon_sym_precise] = ACTIONS(2789),
    [anon_sym_shared] = ACTIONS(2789),
    [anon_sym_groupshared] = ACTIONS(2789),
    [anon_sym_uniform] = ACTIONS(2789),
    [anon_sym_row_major] = ACTIONS(2789),
    [anon_sym_column_major] = ACTIONS(2789),
    [anon_sym_globallycoherent] = ACTIONS(2789),
    [anon_sym_centroid] = ACTIONS(2789),
    [anon_sym_noperspective] = ACTIONS(2789),
    [anon_sym_nointerpolation] = ACTIONS(2789),
    [anon_sym_sample] = ACTIONS(2789),
    [anon_sym_linear] = ACTIONS(2789),
    [anon_sym_snorm] = ACTIONS(2789),
    [anon_sym_unorm] = ACTIONS(2789),
    [anon_sym_point] = ACTIONS(2789),
    [anon_sym_line] = ACTIONS(2789),
    [anon_sym_triangleadj] = ACTIONS(2789),
    [anon_sym_lineadj] = ACTIONS(2789),
    [anon_sym_triangle] = ACTIONS(2789),
  },
  [2931] = {
    [sym_identifier] = ACTIONS(5627),
    [aux_sym_preproc_def_token1] = ACTIONS(5627),
    [aux_sym_preproc_if_token1] = ACTIONS(5627),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5627),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5627),
    [sym_preproc_directive] = ACTIONS(5627),
    [anon_sym_LPAREN2] = ACTIONS(5629),
    [anon_sym_TILDE] = ACTIONS(5629),
    [anon_sym_STAR] = ACTIONS(5629),
    [anon_sym_AMP_AMP] = ACTIONS(5629),
    [anon_sym_AMP] = ACTIONS(5627),
    [anon_sym___extension__] = ACTIONS(5627),
    [anon_sym_typedef] = ACTIONS(5627),
    [anon_sym_in] = ACTIONS(5627),
    [anon_sym_out] = ACTIONS(5627),
    [anon_sym_inout] = ACTIONS(5627),
    [anon_sym_extern] = ACTIONS(5627),
    [anon_sym___attribute__] = ACTIONS(5627),
    [anon_sym_COLON_COLON] = ACTIONS(5629),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5629),
    [anon_sym___declspec] = ACTIONS(5627),
    [anon_sym___based] = ACTIONS(5627),
    [anon_sym_RBRACE] = ACTIONS(5629),
    [anon_sym_signed] = ACTIONS(5627),
    [anon_sym_unsigned] = ACTIONS(5627),
    [anon_sym_long] = ACTIONS(5627),
    [anon_sym_short] = ACTIONS(5627),
    [anon_sym_LBRACK] = ACTIONS(5627),
    [anon_sym_static] = ACTIONS(5627),
    [anon_sym_register] = ACTIONS(5627),
    [anon_sym_inline] = ACTIONS(5627),
    [anon_sym___inline] = ACTIONS(5627),
    [anon_sym___inline__] = ACTIONS(5627),
    [anon_sym___forceinline] = ACTIONS(5627),
    [anon_sym_thread_local] = ACTIONS(5627),
    [anon_sym___thread] = ACTIONS(5627),
    [anon_sym_const] = ACTIONS(5627),
    [anon_sym_constexpr] = ACTIONS(5627),
    [anon_sym_volatile] = ACTIONS(5627),
    [anon_sym_restrict] = ACTIONS(5627),
    [anon_sym___restrict__] = ACTIONS(5627),
    [anon_sym__Atomic] = ACTIONS(5627),
    [anon_sym__Noreturn] = ACTIONS(5627),
    [anon_sym_noreturn] = ACTIONS(5627),
    [anon_sym_mutable] = ACTIONS(5627),
    [anon_sym_constinit] = ACTIONS(5627),
    [anon_sym_consteval] = ACTIONS(5627),
    [sym_primitive_type] = ACTIONS(5627),
    [anon_sym_enum] = ACTIONS(5627),
    [anon_sym_class] = ACTIONS(5627),
    [anon_sym_struct] = ACTIONS(5627),
    [anon_sym_union] = ACTIONS(5627),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5627),
    [anon_sym_decltype] = ACTIONS(5627),
    [anon_sym_virtual] = ACTIONS(5627),
    [anon_sym_alignas] = ACTIONS(5627),
    [anon_sym_explicit] = ACTIONS(5627),
    [anon_sym_typename] = ACTIONS(5627),
    [anon_sym_template] = ACTIONS(5627),
    [anon_sym_operator] = ACTIONS(5627),
    [anon_sym_friend] = ACTIONS(5627),
    [anon_sym_public] = ACTIONS(5627),
    [anon_sym_private] = ACTIONS(5627),
    [anon_sym_protected] = ACTIONS(5627),
    [anon_sym_using] = ACTIONS(5627),
    [anon_sym_static_assert] = ACTIONS(5627),
    [anon_sym_precise] = ACTIONS(5627),
    [anon_sym_shared] = ACTIONS(5627),
    [anon_sym_groupshared] = ACTIONS(5627),
    [anon_sym_uniform] = ACTIONS(5627),
    [anon_sym_row_major] = ACTIONS(5627),
    [anon_sym_column_major] = ACTIONS(5627),
    [anon_sym_globallycoherent] = ACTIONS(5627),
    [anon_sym_centroid] = ACTIONS(5627),
    [anon_sym_noperspective] = ACTIONS(5627),
    [anon_sym_nointerpolation] = ACTIONS(5627),
    [anon_sym_sample] = ACTIONS(5627),
    [anon_sym_linear] = ACTIONS(5627),
    [anon_sym_snorm] = ACTIONS(5627),
    [anon_sym_unorm] = ACTIONS(5627),
    [anon_sym_point] = ACTIONS(5627),
    [anon_sym_line] = ACTIONS(5627),
    [anon_sym_triangleadj] = ACTIONS(5627),
    [anon_sym_lineadj] = ACTIONS(5627),
    [anon_sym_triangle] = ACTIONS(5627),
  },
  [2932] = {
    [sym_identifier] = ACTIONS(2785),
    [aux_sym_preproc_def_token1] = ACTIONS(2785),
    [aux_sym_preproc_if_token1] = ACTIONS(2785),
    [aux_sym_preproc_if_token2] = ACTIONS(2785),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2785),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2785),
    [sym_preproc_directive] = ACTIONS(2785),
    [anon_sym_LPAREN2] = ACTIONS(2787),
    [anon_sym_TILDE] = ACTIONS(2787),
    [anon_sym_STAR] = ACTIONS(2787),
    [anon_sym_AMP_AMP] = ACTIONS(2787),
    [anon_sym_AMP] = ACTIONS(2785),
    [anon_sym___extension__] = ACTIONS(2785),
    [anon_sym_typedef] = ACTIONS(2785),
    [anon_sym_in] = ACTIONS(2785),
    [anon_sym_out] = ACTIONS(2785),
    [anon_sym_inout] = ACTIONS(2785),
    [anon_sym_extern] = ACTIONS(2785),
    [anon_sym___attribute__] = ACTIONS(2785),
    [anon_sym_COLON_COLON] = ACTIONS(2787),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2787),
    [anon_sym___declspec] = ACTIONS(2785),
    [anon_sym___based] = ACTIONS(2785),
    [anon_sym_signed] = ACTIONS(2785),
    [anon_sym_unsigned] = ACTIONS(2785),
    [anon_sym_long] = ACTIONS(2785),
    [anon_sym_short] = ACTIONS(2785),
    [anon_sym_LBRACK] = ACTIONS(2785),
    [anon_sym_static] = ACTIONS(2785),
    [anon_sym_register] = ACTIONS(2785),
    [anon_sym_inline] = ACTIONS(2785),
    [anon_sym___inline] = ACTIONS(2785),
    [anon_sym___inline__] = ACTIONS(2785),
    [anon_sym___forceinline] = ACTIONS(2785),
    [anon_sym_thread_local] = ACTIONS(2785),
    [anon_sym___thread] = ACTIONS(2785),
    [anon_sym_const] = ACTIONS(2785),
    [anon_sym_constexpr] = ACTIONS(2785),
    [anon_sym_volatile] = ACTIONS(2785),
    [anon_sym_restrict] = ACTIONS(2785),
    [anon_sym___restrict__] = ACTIONS(2785),
    [anon_sym__Atomic] = ACTIONS(2785),
    [anon_sym__Noreturn] = ACTIONS(2785),
    [anon_sym_noreturn] = ACTIONS(2785),
    [anon_sym_mutable] = ACTIONS(2785),
    [anon_sym_constinit] = ACTIONS(2785),
    [anon_sym_consteval] = ACTIONS(2785),
    [sym_primitive_type] = ACTIONS(2785),
    [anon_sym_enum] = ACTIONS(2785),
    [anon_sym_class] = ACTIONS(2785),
    [anon_sym_struct] = ACTIONS(2785),
    [anon_sym_union] = ACTIONS(2785),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2785),
    [anon_sym_decltype] = ACTIONS(2785),
    [anon_sym_virtual] = ACTIONS(2785),
    [anon_sym_alignas] = ACTIONS(2785),
    [anon_sym_explicit] = ACTIONS(2785),
    [anon_sym_typename] = ACTIONS(2785),
    [anon_sym_template] = ACTIONS(2785),
    [anon_sym_operator] = ACTIONS(2785),
    [anon_sym_friend] = ACTIONS(2785),
    [anon_sym_public] = ACTIONS(2785),
    [anon_sym_private] = ACTIONS(2785),
    [anon_sym_protected] = ACTIONS(2785),
    [anon_sym_using] = ACTIONS(2785),
    [anon_sym_static_assert] = ACTIONS(2785),
    [anon_sym_precise] = ACTIONS(2785),
    [anon_sym_shared] = ACTIONS(2785),
    [anon_sym_groupshared] = ACTIONS(2785),
    [anon_sym_uniform] = ACTIONS(2785),
    [anon_sym_row_major] = ACTIONS(2785),
    [anon_sym_column_major] = ACTIONS(2785),
    [anon_sym_globallycoherent] = ACTIONS(2785),
    [anon_sym_centroid] = ACTIONS(2785),
    [anon_sym_noperspective] = ACTIONS(2785),
    [anon_sym_nointerpolation] = ACTIONS(2785),
    [anon_sym_sample] = ACTIONS(2785),
    [anon_sym_linear] = ACTIONS(2785),
    [anon_sym_snorm] = ACTIONS(2785),
    [anon_sym_unorm] = ACTIONS(2785),
    [anon_sym_point] = ACTIONS(2785),
    [anon_sym_line] = ACTIONS(2785),
    [anon_sym_triangleadj] = ACTIONS(2785),
    [anon_sym_lineadj] = ACTIONS(2785),
    [anon_sym_triangle] = ACTIONS(2785),
  },
  [2933] = {
    [sym_identifier] = ACTIONS(2781),
    [aux_sym_preproc_def_token1] = ACTIONS(2781),
    [aux_sym_preproc_if_token1] = ACTIONS(2781),
    [aux_sym_preproc_if_token2] = ACTIONS(2781),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2781),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2781),
    [sym_preproc_directive] = ACTIONS(2781),
    [anon_sym_LPAREN2] = ACTIONS(2783),
    [anon_sym_TILDE] = ACTIONS(2783),
    [anon_sym_STAR] = ACTIONS(2783),
    [anon_sym_AMP_AMP] = ACTIONS(2783),
    [anon_sym_AMP] = ACTIONS(2781),
    [anon_sym___extension__] = ACTIONS(2781),
    [anon_sym_typedef] = ACTIONS(2781),
    [anon_sym_in] = ACTIONS(2781),
    [anon_sym_out] = ACTIONS(2781),
    [anon_sym_inout] = ACTIONS(2781),
    [anon_sym_extern] = ACTIONS(2781),
    [anon_sym___attribute__] = ACTIONS(2781),
    [anon_sym_COLON_COLON] = ACTIONS(2783),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2783),
    [anon_sym___declspec] = ACTIONS(2781),
    [anon_sym___based] = ACTIONS(2781),
    [anon_sym_signed] = ACTIONS(2781),
    [anon_sym_unsigned] = ACTIONS(2781),
    [anon_sym_long] = ACTIONS(2781),
    [anon_sym_short] = ACTIONS(2781),
    [anon_sym_LBRACK] = ACTIONS(2781),
    [anon_sym_static] = ACTIONS(2781),
    [anon_sym_register] = ACTIONS(2781),
    [anon_sym_inline] = ACTIONS(2781),
    [anon_sym___inline] = ACTIONS(2781),
    [anon_sym___inline__] = ACTIONS(2781),
    [anon_sym___forceinline] = ACTIONS(2781),
    [anon_sym_thread_local] = ACTIONS(2781),
    [anon_sym___thread] = ACTIONS(2781),
    [anon_sym_const] = ACTIONS(2781),
    [anon_sym_constexpr] = ACTIONS(2781),
    [anon_sym_volatile] = ACTIONS(2781),
    [anon_sym_restrict] = ACTIONS(2781),
    [anon_sym___restrict__] = ACTIONS(2781),
    [anon_sym__Atomic] = ACTIONS(2781),
    [anon_sym__Noreturn] = ACTIONS(2781),
    [anon_sym_noreturn] = ACTIONS(2781),
    [anon_sym_mutable] = ACTIONS(2781),
    [anon_sym_constinit] = ACTIONS(2781),
    [anon_sym_consteval] = ACTIONS(2781),
    [sym_primitive_type] = ACTIONS(2781),
    [anon_sym_enum] = ACTIONS(2781),
    [anon_sym_class] = ACTIONS(2781),
    [anon_sym_struct] = ACTIONS(2781),
    [anon_sym_union] = ACTIONS(2781),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2781),
    [anon_sym_decltype] = ACTIONS(2781),
    [anon_sym_virtual] = ACTIONS(2781),
    [anon_sym_alignas] = ACTIONS(2781),
    [anon_sym_explicit] = ACTIONS(2781),
    [anon_sym_typename] = ACTIONS(2781),
    [anon_sym_template] = ACTIONS(2781),
    [anon_sym_operator] = ACTIONS(2781),
    [anon_sym_friend] = ACTIONS(2781),
    [anon_sym_public] = ACTIONS(2781),
    [anon_sym_private] = ACTIONS(2781),
    [anon_sym_protected] = ACTIONS(2781),
    [anon_sym_using] = ACTIONS(2781),
    [anon_sym_static_assert] = ACTIONS(2781),
    [anon_sym_precise] = ACTIONS(2781),
    [anon_sym_shared] = ACTIONS(2781),
    [anon_sym_groupshared] = ACTIONS(2781),
    [anon_sym_uniform] = ACTIONS(2781),
    [anon_sym_row_major] = ACTIONS(2781),
    [anon_sym_column_major] = ACTIONS(2781),
    [anon_sym_globallycoherent] = ACTIONS(2781),
    [anon_sym_centroid] = ACTIONS(2781),
    [anon_sym_noperspective] = ACTIONS(2781),
    [anon_sym_nointerpolation] = ACTIONS(2781),
    [anon_sym_sample] = ACTIONS(2781),
    [anon_sym_linear] = ACTIONS(2781),
    [anon_sym_snorm] = ACTIONS(2781),
    [anon_sym_unorm] = ACTIONS(2781),
    [anon_sym_point] = ACTIONS(2781),
    [anon_sym_line] = ACTIONS(2781),
    [anon_sym_triangleadj] = ACTIONS(2781),
    [anon_sym_lineadj] = ACTIONS(2781),
    [anon_sym_triangle] = ACTIONS(2781),
  },
  [2934] = {
    [sym_identifier] = ACTIONS(2777),
    [aux_sym_preproc_def_token1] = ACTIONS(2777),
    [aux_sym_preproc_if_token1] = ACTIONS(2777),
    [aux_sym_preproc_if_token2] = ACTIONS(2777),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2777),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2777),
    [sym_preproc_directive] = ACTIONS(2777),
    [anon_sym_LPAREN2] = ACTIONS(2779),
    [anon_sym_TILDE] = ACTIONS(2779),
    [anon_sym_STAR] = ACTIONS(2779),
    [anon_sym_AMP_AMP] = ACTIONS(2779),
    [anon_sym_AMP] = ACTIONS(2777),
    [anon_sym___extension__] = ACTIONS(2777),
    [anon_sym_typedef] = ACTIONS(2777),
    [anon_sym_in] = ACTIONS(2777),
    [anon_sym_out] = ACTIONS(2777),
    [anon_sym_inout] = ACTIONS(2777),
    [anon_sym_extern] = ACTIONS(2777),
    [anon_sym___attribute__] = ACTIONS(2777),
    [anon_sym_COLON_COLON] = ACTIONS(2779),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2779),
    [anon_sym___declspec] = ACTIONS(2777),
    [anon_sym___based] = ACTIONS(2777),
    [anon_sym_signed] = ACTIONS(2777),
    [anon_sym_unsigned] = ACTIONS(2777),
    [anon_sym_long] = ACTIONS(2777),
    [anon_sym_short] = ACTIONS(2777),
    [anon_sym_LBRACK] = ACTIONS(2777),
    [anon_sym_static] = ACTIONS(2777),
    [anon_sym_register] = ACTIONS(2777),
    [anon_sym_inline] = ACTIONS(2777),
    [anon_sym___inline] = ACTIONS(2777),
    [anon_sym___inline__] = ACTIONS(2777),
    [anon_sym___forceinline] = ACTIONS(2777),
    [anon_sym_thread_local] = ACTIONS(2777),
    [anon_sym___thread] = ACTIONS(2777),
    [anon_sym_const] = ACTIONS(2777),
    [anon_sym_constexpr] = ACTIONS(2777),
    [anon_sym_volatile] = ACTIONS(2777),
    [anon_sym_restrict] = ACTIONS(2777),
    [anon_sym___restrict__] = ACTIONS(2777),
    [anon_sym__Atomic] = ACTIONS(2777),
    [anon_sym__Noreturn] = ACTIONS(2777),
    [anon_sym_noreturn] = ACTIONS(2777),
    [anon_sym_mutable] = ACTIONS(2777),
    [anon_sym_constinit] = ACTIONS(2777),
    [anon_sym_consteval] = ACTIONS(2777),
    [sym_primitive_type] = ACTIONS(2777),
    [anon_sym_enum] = ACTIONS(2777),
    [anon_sym_class] = ACTIONS(2777),
    [anon_sym_struct] = ACTIONS(2777),
    [anon_sym_union] = ACTIONS(2777),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2777),
    [anon_sym_decltype] = ACTIONS(2777),
    [anon_sym_virtual] = ACTIONS(2777),
    [anon_sym_alignas] = ACTIONS(2777),
    [anon_sym_explicit] = ACTIONS(2777),
    [anon_sym_typename] = ACTIONS(2777),
    [anon_sym_template] = ACTIONS(2777),
    [anon_sym_operator] = ACTIONS(2777),
    [anon_sym_friend] = ACTIONS(2777),
    [anon_sym_public] = ACTIONS(2777),
    [anon_sym_private] = ACTIONS(2777),
    [anon_sym_protected] = ACTIONS(2777),
    [anon_sym_using] = ACTIONS(2777),
    [anon_sym_static_assert] = ACTIONS(2777),
    [anon_sym_precise] = ACTIONS(2777),
    [anon_sym_shared] = ACTIONS(2777),
    [anon_sym_groupshared] = ACTIONS(2777),
    [anon_sym_uniform] = ACTIONS(2777),
    [anon_sym_row_major] = ACTIONS(2777),
    [anon_sym_column_major] = ACTIONS(2777),
    [anon_sym_globallycoherent] = ACTIONS(2777),
    [anon_sym_centroid] = ACTIONS(2777),
    [anon_sym_noperspective] = ACTIONS(2777),
    [anon_sym_nointerpolation] = ACTIONS(2777),
    [anon_sym_sample] = ACTIONS(2777),
    [anon_sym_linear] = ACTIONS(2777),
    [anon_sym_snorm] = ACTIONS(2777),
    [anon_sym_unorm] = ACTIONS(2777),
    [anon_sym_point] = ACTIONS(2777),
    [anon_sym_line] = ACTIONS(2777),
    [anon_sym_triangleadj] = ACTIONS(2777),
    [anon_sym_lineadj] = ACTIONS(2777),
    [anon_sym_triangle] = ACTIONS(2777),
  },
  [2935] = {
    [sym_identifier] = ACTIONS(2492),
    [aux_sym_preproc_def_token1] = ACTIONS(2492),
    [aux_sym_preproc_if_token1] = ACTIONS(2492),
    [aux_sym_preproc_if_token2] = ACTIONS(2492),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2492),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2492),
    [sym_preproc_directive] = ACTIONS(2492),
    [anon_sym_LPAREN2] = ACTIONS(2494),
    [anon_sym_TILDE] = ACTIONS(2494),
    [anon_sym_STAR] = ACTIONS(2494),
    [anon_sym_AMP_AMP] = ACTIONS(2494),
    [anon_sym_AMP] = ACTIONS(2492),
    [anon_sym___extension__] = ACTIONS(2492),
    [anon_sym_typedef] = ACTIONS(2492),
    [anon_sym_in] = ACTIONS(2492),
    [anon_sym_out] = ACTIONS(2492),
    [anon_sym_inout] = ACTIONS(2492),
    [anon_sym_extern] = ACTIONS(2492),
    [anon_sym___attribute__] = ACTIONS(2492),
    [anon_sym_COLON_COLON] = ACTIONS(2494),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2494),
    [anon_sym___declspec] = ACTIONS(2492),
    [anon_sym___based] = ACTIONS(2492),
    [anon_sym_signed] = ACTIONS(2492),
    [anon_sym_unsigned] = ACTIONS(2492),
    [anon_sym_long] = ACTIONS(2492),
    [anon_sym_short] = ACTIONS(2492),
    [anon_sym_LBRACK] = ACTIONS(2492),
    [anon_sym_static] = ACTIONS(2492),
    [anon_sym_register] = ACTIONS(2492),
    [anon_sym_inline] = ACTIONS(2492),
    [anon_sym___inline] = ACTIONS(2492),
    [anon_sym___inline__] = ACTIONS(2492),
    [anon_sym___forceinline] = ACTIONS(2492),
    [anon_sym_thread_local] = ACTIONS(2492),
    [anon_sym___thread] = ACTIONS(2492),
    [anon_sym_const] = ACTIONS(2492),
    [anon_sym_constexpr] = ACTIONS(2492),
    [anon_sym_volatile] = ACTIONS(2492),
    [anon_sym_restrict] = ACTIONS(2492),
    [anon_sym___restrict__] = ACTIONS(2492),
    [anon_sym__Atomic] = ACTIONS(2492),
    [anon_sym__Noreturn] = ACTIONS(2492),
    [anon_sym_noreturn] = ACTIONS(2492),
    [anon_sym_mutable] = ACTIONS(2492),
    [anon_sym_constinit] = ACTIONS(2492),
    [anon_sym_consteval] = ACTIONS(2492),
    [sym_primitive_type] = ACTIONS(2492),
    [anon_sym_enum] = ACTIONS(2492),
    [anon_sym_class] = ACTIONS(2492),
    [anon_sym_struct] = ACTIONS(2492),
    [anon_sym_union] = ACTIONS(2492),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2492),
    [anon_sym_decltype] = ACTIONS(2492),
    [anon_sym_virtual] = ACTIONS(2492),
    [anon_sym_alignas] = ACTIONS(2492),
    [anon_sym_explicit] = ACTIONS(2492),
    [anon_sym_typename] = ACTIONS(2492),
    [anon_sym_template] = ACTIONS(2492),
    [anon_sym_operator] = ACTIONS(2492),
    [anon_sym_friend] = ACTIONS(2492),
    [anon_sym_public] = ACTIONS(2492),
    [anon_sym_private] = ACTIONS(2492),
    [anon_sym_protected] = ACTIONS(2492),
    [anon_sym_using] = ACTIONS(2492),
    [anon_sym_static_assert] = ACTIONS(2492),
    [anon_sym_precise] = ACTIONS(2492),
    [anon_sym_shared] = ACTIONS(2492),
    [anon_sym_groupshared] = ACTIONS(2492),
    [anon_sym_uniform] = ACTIONS(2492),
    [anon_sym_row_major] = ACTIONS(2492),
    [anon_sym_column_major] = ACTIONS(2492),
    [anon_sym_globallycoherent] = ACTIONS(2492),
    [anon_sym_centroid] = ACTIONS(2492),
    [anon_sym_noperspective] = ACTIONS(2492),
    [anon_sym_nointerpolation] = ACTIONS(2492),
    [anon_sym_sample] = ACTIONS(2492),
    [anon_sym_linear] = ACTIONS(2492),
    [anon_sym_snorm] = ACTIONS(2492),
    [anon_sym_unorm] = ACTIONS(2492),
    [anon_sym_point] = ACTIONS(2492),
    [anon_sym_line] = ACTIONS(2492),
    [anon_sym_triangleadj] = ACTIONS(2492),
    [anon_sym_lineadj] = ACTIONS(2492),
    [anon_sym_triangle] = ACTIONS(2492),
  },
  [2936] = {
    [sym_identifier] = ACTIONS(5655),
    [aux_sym_preproc_def_token1] = ACTIONS(5655),
    [aux_sym_preproc_if_token1] = ACTIONS(5655),
    [aux_sym_preproc_if_token2] = ACTIONS(5655),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5655),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5655),
    [sym_preproc_directive] = ACTIONS(5655),
    [anon_sym_LPAREN2] = ACTIONS(5657),
    [anon_sym_TILDE] = ACTIONS(5657),
    [anon_sym_STAR] = ACTIONS(5657),
    [anon_sym_AMP_AMP] = ACTIONS(5657),
    [anon_sym_AMP] = ACTIONS(5655),
    [anon_sym___extension__] = ACTIONS(5655),
    [anon_sym_typedef] = ACTIONS(5655),
    [anon_sym_in] = ACTIONS(5655),
    [anon_sym_out] = ACTIONS(5655),
    [anon_sym_inout] = ACTIONS(5655),
    [anon_sym_extern] = ACTIONS(5655),
    [anon_sym___attribute__] = ACTIONS(5655),
    [anon_sym_COLON_COLON] = ACTIONS(5657),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5657),
    [anon_sym___declspec] = ACTIONS(5655),
    [anon_sym___based] = ACTIONS(5655),
    [anon_sym_signed] = ACTIONS(5655),
    [anon_sym_unsigned] = ACTIONS(5655),
    [anon_sym_long] = ACTIONS(5655),
    [anon_sym_short] = ACTIONS(5655),
    [anon_sym_LBRACK] = ACTIONS(5655),
    [anon_sym_static] = ACTIONS(5655),
    [anon_sym_register] = ACTIONS(5655),
    [anon_sym_inline] = ACTIONS(5655),
    [anon_sym___inline] = ACTIONS(5655),
    [anon_sym___inline__] = ACTIONS(5655),
    [anon_sym___forceinline] = ACTIONS(5655),
    [anon_sym_thread_local] = ACTIONS(5655),
    [anon_sym___thread] = ACTIONS(5655),
    [anon_sym_const] = ACTIONS(5655),
    [anon_sym_constexpr] = ACTIONS(5655),
    [anon_sym_volatile] = ACTIONS(5655),
    [anon_sym_restrict] = ACTIONS(5655),
    [anon_sym___restrict__] = ACTIONS(5655),
    [anon_sym__Atomic] = ACTIONS(5655),
    [anon_sym__Noreturn] = ACTIONS(5655),
    [anon_sym_noreturn] = ACTIONS(5655),
    [anon_sym_mutable] = ACTIONS(5655),
    [anon_sym_constinit] = ACTIONS(5655),
    [anon_sym_consteval] = ACTIONS(5655),
    [sym_primitive_type] = ACTIONS(5655),
    [anon_sym_enum] = ACTIONS(5655),
    [anon_sym_class] = ACTIONS(5655),
    [anon_sym_struct] = ACTIONS(5655),
    [anon_sym_union] = ACTIONS(5655),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5655),
    [anon_sym_decltype] = ACTIONS(5655),
    [anon_sym_virtual] = ACTIONS(5655),
    [anon_sym_alignas] = ACTIONS(5655),
    [anon_sym_explicit] = ACTIONS(5655),
    [anon_sym_typename] = ACTIONS(5655),
    [anon_sym_template] = ACTIONS(5655),
    [anon_sym_operator] = ACTIONS(5655),
    [anon_sym_friend] = ACTIONS(5655),
    [anon_sym_public] = ACTIONS(5655),
    [anon_sym_private] = ACTIONS(5655),
    [anon_sym_protected] = ACTIONS(5655),
    [anon_sym_using] = ACTIONS(5655),
    [anon_sym_static_assert] = ACTIONS(5655),
    [anon_sym_precise] = ACTIONS(5655),
    [anon_sym_shared] = ACTIONS(5655),
    [anon_sym_groupshared] = ACTIONS(5655),
    [anon_sym_uniform] = ACTIONS(5655),
    [anon_sym_row_major] = ACTIONS(5655),
    [anon_sym_column_major] = ACTIONS(5655),
    [anon_sym_globallycoherent] = ACTIONS(5655),
    [anon_sym_centroid] = ACTIONS(5655),
    [anon_sym_noperspective] = ACTIONS(5655),
    [anon_sym_nointerpolation] = ACTIONS(5655),
    [anon_sym_sample] = ACTIONS(5655),
    [anon_sym_linear] = ACTIONS(5655),
    [anon_sym_snorm] = ACTIONS(5655),
    [anon_sym_unorm] = ACTIONS(5655),
    [anon_sym_point] = ACTIONS(5655),
    [anon_sym_line] = ACTIONS(5655),
    [anon_sym_triangleadj] = ACTIONS(5655),
    [anon_sym_lineadj] = ACTIONS(5655),
    [anon_sym_triangle] = ACTIONS(5655),
  },
  [2937] = {
    [sym_identifier] = ACTIONS(5623),
    [aux_sym_preproc_def_token1] = ACTIONS(5623),
    [aux_sym_preproc_if_token1] = ACTIONS(5623),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5623),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5623),
    [sym_preproc_directive] = ACTIONS(5623),
    [anon_sym_LPAREN2] = ACTIONS(5625),
    [anon_sym_TILDE] = ACTIONS(5625),
    [anon_sym_STAR] = ACTIONS(5625),
    [anon_sym_AMP_AMP] = ACTIONS(5625),
    [anon_sym_AMP] = ACTIONS(5623),
    [anon_sym___extension__] = ACTIONS(5623),
    [anon_sym_typedef] = ACTIONS(5623),
    [anon_sym_in] = ACTIONS(5623),
    [anon_sym_out] = ACTIONS(5623),
    [anon_sym_inout] = ACTIONS(5623),
    [anon_sym_extern] = ACTIONS(5623),
    [anon_sym___attribute__] = ACTIONS(5623),
    [anon_sym_COLON_COLON] = ACTIONS(5625),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5625),
    [anon_sym___declspec] = ACTIONS(5623),
    [anon_sym___based] = ACTIONS(5623),
    [anon_sym_RBRACE] = ACTIONS(5625),
    [anon_sym_signed] = ACTIONS(5623),
    [anon_sym_unsigned] = ACTIONS(5623),
    [anon_sym_long] = ACTIONS(5623),
    [anon_sym_short] = ACTIONS(5623),
    [anon_sym_LBRACK] = ACTIONS(5623),
    [anon_sym_static] = ACTIONS(5623),
    [anon_sym_register] = ACTIONS(5623),
    [anon_sym_inline] = ACTIONS(5623),
    [anon_sym___inline] = ACTIONS(5623),
    [anon_sym___inline__] = ACTIONS(5623),
    [anon_sym___forceinline] = ACTIONS(5623),
    [anon_sym_thread_local] = ACTIONS(5623),
    [anon_sym___thread] = ACTIONS(5623),
    [anon_sym_const] = ACTIONS(5623),
    [anon_sym_constexpr] = ACTIONS(5623),
    [anon_sym_volatile] = ACTIONS(5623),
    [anon_sym_restrict] = ACTIONS(5623),
    [anon_sym___restrict__] = ACTIONS(5623),
    [anon_sym__Atomic] = ACTIONS(5623),
    [anon_sym__Noreturn] = ACTIONS(5623),
    [anon_sym_noreturn] = ACTIONS(5623),
    [anon_sym_mutable] = ACTIONS(5623),
    [anon_sym_constinit] = ACTIONS(5623),
    [anon_sym_consteval] = ACTIONS(5623),
    [sym_primitive_type] = ACTIONS(5623),
    [anon_sym_enum] = ACTIONS(5623),
    [anon_sym_class] = ACTIONS(5623),
    [anon_sym_struct] = ACTIONS(5623),
    [anon_sym_union] = ACTIONS(5623),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5623),
    [anon_sym_decltype] = ACTIONS(5623),
    [anon_sym_virtual] = ACTIONS(5623),
    [anon_sym_alignas] = ACTIONS(5623),
    [anon_sym_explicit] = ACTIONS(5623),
    [anon_sym_typename] = ACTIONS(5623),
    [anon_sym_template] = ACTIONS(5623),
    [anon_sym_operator] = ACTIONS(5623),
    [anon_sym_friend] = ACTIONS(5623),
    [anon_sym_public] = ACTIONS(5623),
    [anon_sym_private] = ACTIONS(5623),
    [anon_sym_protected] = ACTIONS(5623),
    [anon_sym_using] = ACTIONS(5623),
    [anon_sym_static_assert] = ACTIONS(5623),
    [anon_sym_precise] = ACTIONS(5623),
    [anon_sym_shared] = ACTIONS(5623),
    [anon_sym_groupshared] = ACTIONS(5623),
    [anon_sym_uniform] = ACTIONS(5623),
    [anon_sym_row_major] = ACTIONS(5623),
    [anon_sym_column_major] = ACTIONS(5623),
    [anon_sym_globallycoherent] = ACTIONS(5623),
    [anon_sym_centroid] = ACTIONS(5623),
    [anon_sym_noperspective] = ACTIONS(5623),
    [anon_sym_nointerpolation] = ACTIONS(5623),
    [anon_sym_sample] = ACTIONS(5623),
    [anon_sym_linear] = ACTIONS(5623),
    [anon_sym_snorm] = ACTIONS(5623),
    [anon_sym_unorm] = ACTIONS(5623),
    [anon_sym_point] = ACTIONS(5623),
    [anon_sym_line] = ACTIONS(5623),
    [anon_sym_triangleadj] = ACTIONS(5623),
    [anon_sym_lineadj] = ACTIONS(5623),
    [anon_sym_triangle] = ACTIONS(5623),
  },
  [2938] = {
    [sym_identifier] = ACTIONS(2747),
    [aux_sym_preproc_def_token1] = ACTIONS(2747),
    [aux_sym_preproc_if_token1] = ACTIONS(2747),
    [aux_sym_preproc_if_token2] = ACTIONS(2747),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2747),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2747),
    [sym_preproc_directive] = ACTIONS(2747),
    [anon_sym_LPAREN2] = ACTIONS(2749),
    [anon_sym_TILDE] = ACTIONS(2749),
    [anon_sym_STAR] = ACTIONS(2749),
    [anon_sym_AMP_AMP] = ACTIONS(2749),
    [anon_sym_AMP] = ACTIONS(2747),
    [anon_sym___extension__] = ACTIONS(2747),
    [anon_sym_typedef] = ACTIONS(2747),
    [anon_sym_in] = ACTIONS(2747),
    [anon_sym_out] = ACTIONS(2747),
    [anon_sym_inout] = ACTIONS(2747),
    [anon_sym_extern] = ACTIONS(2747),
    [anon_sym___attribute__] = ACTIONS(2747),
    [anon_sym_COLON_COLON] = ACTIONS(2749),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2749),
    [anon_sym___declspec] = ACTIONS(2747),
    [anon_sym___based] = ACTIONS(2747),
    [anon_sym_signed] = ACTIONS(2747),
    [anon_sym_unsigned] = ACTIONS(2747),
    [anon_sym_long] = ACTIONS(2747),
    [anon_sym_short] = ACTIONS(2747),
    [anon_sym_LBRACK] = ACTIONS(2747),
    [anon_sym_static] = ACTIONS(2747),
    [anon_sym_register] = ACTIONS(2747),
    [anon_sym_inline] = ACTIONS(2747),
    [anon_sym___inline] = ACTIONS(2747),
    [anon_sym___inline__] = ACTIONS(2747),
    [anon_sym___forceinline] = ACTIONS(2747),
    [anon_sym_thread_local] = ACTIONS(2747),
    [anon_sym___thread] = ACTIONS(2747),
    [anon_sym_const] = ACTIONS(2747),
    [anon_sym_constexpr] = ACTIONS(2747),
    [anon_sym_volatile] = ACTIONS(2747),
    [anon_sym_restrict] = ACTIONS(2747),
    [anon_sym___restrict__] = ACTIONS(2747),
    [anon_sym__Atomic] = ACTIONS(2747),
    [anon_sym__Noreturn] = ACTIONS(2747),
    [anon_sym_noreturn] = ACTIONS(2747),
    [anon_sym_mutable] = ACTIONS(2747),
    [anon_sym_constinit] = ACTIONS(2747),
    [anon_sym_consteval] = ACTIONS(2747),
    [sym_primitive_type] = ACTIONS(2747),
    [anon_sym_enum] = ACTIONS(2747),
    [anon_sym_class] = ACTIONS(2747),
    [anon_sym_struct] = ACTIONS(2747),
    [anon_sym_union] = ACTIONS(2747),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2747),
    [anon_sym_decltype] = ACTIONS(2747),
    [anon_sym_virtual] = ACTIONS(2747),
    [anon_sym_alignas] = ACTIONS(2747),
    [anon_sym_explicit] = ACTIONS(2747),
    [anon_sym_typename] = ACTIONS(2747),
    [anon_sym_template] = ACTIONS(2747),
    [anon_sym_operator] = ACTIONS(2747),
    [anon_sym_friend] = ACTIONS(2747),
    [anon_sym_public] = ACTIONS(2747),
    [anon_sym_private] = ACTIONS(2747),
    [anon_sym_protected] = ACTIONS(2747),
    [anon_sym_using] = ACTIONS(2747),
    [anon_sym_static_assert] = ACTIONS(2747),
    [anon_sym_precise] = ACTIONS(2747),
    [anon_sym_shared] = ACTIONS(2747),
    [anon_sym_groupshared] = ACTIONS(2747),
    [anon_sym_uniform] = ACTIONS(2747),
    [anon_sym_row_major] = ACTIONS(2747),
    [anon_sym_column_major] = ACTIONS(2747),
    [anon_sym_globallycoherent] = ACTIONS(2747),
    [anon_sym_centroid] = ACTIONS(2747),
    [anon_sym_noperspective] = ACTIONS(2747),
    [anon_sym_nointerpolation] = ACTIONS(2747),
    [anon_sym_sample] = ACTIONS(2747),
    [anon_sym_linear] = ACTIONS(2747),
    [anon_sym_snorm] = ACTIONS(2747),
    [anon_sym_unorm] = ACTIONS(2747),
    [anon_sym_point] = ACTIONS(2747),
    [anon_sym_line] = ACTIONS(2747),
    [anon_sym_triangleadj] = ACTIONS(2747),
    [anon_sym_lineadj] = ACTIONS(2747),
    [anon_sym_triangle] = ACTIONS(2747),
  },
  [2939] = {
    [sym_identifier] = ACTIONS(5651),
    [aux_sym_preproc_def_token1] = ACTIONS(5651),
    [aux_sym_preproc_if_token1] = ACTIONS(5651),
    [aux_sym_preproc_if_token2] = ACTIONS(5651),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5651),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5651),
    [sym_preproc_directive] = ACTIONS(5651),
    [anon_sym_LPAREN2] = ACTIONS(5653),
    [anon_sym_TILDE] = ACTIONS(5653),
    [anon_sym_STAR] = ACTIONS(5653),
    [anon_sym_AMP_AMP] = ACTIONS(5653),
    [anon_sym_AMP] = ACTIONS(5651),
    [anon_sym___extension__] = ACTIONS(5651),
    [anon_sym_typedef] = ACTIONS(5651),
    [anon_sym_in] = ACTIONS(5651),
    [anon_sym_out] = ACTIONS(5651),
    [anon_sym_inout] = ACTIONS(5651),
    [anon_sym_extern] = ACTIONS(5651),
    [anon_sym___attribute__] = ACTIONS(5651),
    [anon_sym_COLON_COLON] = ACTIONS(5653),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5653),
    [anon_sym___declspec] = ACTIONS(5651),
    [anon_sym___based] = ACTIONS(5651),
    [anon_sym_signed] = ACTIONS(5651),
    [anon_sym_unsigned] = ACTIONS(5651),
    [anon_sym_long] = ACTIONS(5651),
    [anon_sym_short] = ACTIONS(5651),
    [anon_sym_LBRACK] = ACTIONS(5651),
    [anon_sym_static] = ACTIONS(5651),
    [anon_sym_register] = ACTIONS(5651),
    [anon_sym_inline] = ACTIONS(5651),
    [anon_sym___inline] = ACTIONS(5651),
    [anon_sym___inline__] = ACTIONS(5651),
    [anon_sym___forceinline] = ACTIONS(5651),
    [anon_sym_thread_local] = ACTIONS(5651),
    [anon_sym___thread] = ACTIONS(5651),
    [anon_sym_const] = ACTIONS(5651),
    [anon_sym_constexpr] = ACTIONS(5651),
    [anon_sym_volatile] = ACTIONS(5651),
    [anon_sym_restrict] = ACTIONS(5651),
    [anon_sym___restrict__] = ACTIONS(5651),
    [anon_sym__Atomic] = ACTIONS(5651),
    [anon_sym__Noreturn] = ACTIONS(5651),
    [anon_sym_noreturn] = ACTIONS(5651),
    [anon_sym_mutable] = ACTIONS(5651),
    [anon_sym_constinit] = ACTIONS(5651),
    [anon_sym_consteval] = ACTIONS(5651),
    [sym_primitive_type] = ACTIONS(5651),
    [anon_sym_enum] = ACTIONS(5651),
    [anon_sym_class] = ACTIONS(5651),
    [anon_sym_struct] = ACTIONS(5651),
    [anon_sym_union] = ACTIONS(5651),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5651),
    [anon_sym_decltype] = ACTIONS(5651),
    [anon_sym_virtual] = ACTIONS(5651),
    [anon_sym_alignas] = ACTIONS(5651),
    [anon_sym_explicit] = ACTIONS(5651),
    [anon_sym_typename] = ACTIONS(5651),
    [anon_sym_template] = ACTIONS(5651),
    [anon_sym_operator] = ACTIONS(5651),
    [anon_sym_friend] = ACTIONS(5651),
    [anon_sym_public] = ACTIONS(5651),
    [anon_sym_private] = ACTIONS(5651),
    [anon_sym_protected] = ACTIONS(5651),
    [anon_sym_using] = ACTIONS(5651),
    [anon_sym_static_assert] = ACTIONS(5651),
    [anon_sym_precise] = ACTIONS(5651),
    [anon_sym_shared] = ACTIONS(5651),
    [anon_sym_groupshared] = ACTIONS(5651),
    [anon_sym_uniform] = ACTIONS(5651),
    [anon_sym_row_major] = ACTIONS(5651),
    [anon_sym_column_major] = ACTIONS(5651),
    [anon_sym_globallycoherent] = ACTIONS(5651),
    [anon_sym_centroid] = ACTIONS(5651),
    [anon_sym_noperspective] = ACTIONS(5651),
    [anon_sym_nointerpolation] = ACTIONS(5651),
    [anon_sym_sample] = ACTIONS(5651),
    [anon_sym_linear] = ACTIONS(5651),
    [anon_sym_snorm] = ACTIONS(5651),
    [anon_sym_unorm] = ACTIONS(5651),
    [anon_sym_point] = ACTIONS(5651),
    [anon_sym_line] = ACTIONS(5651),
    [anon_sym_triangleadj] = ACTIONS(5651),
    [anon_sym_lineadj] = ACTIONS(5651),
    [anon_sym_triangle] = ACTIONS(5651),
  },
  [2940] = {
    [sym_identifier] = ACTIONS(2698),
    [aux_sym_preproc_def_token1] = ACTIONS(2698),
    [aux_sym_preproc_if_token1] = ACTIONS(2698),
    [aux_sym_preproc_if_token2] = ACTIONS(2698),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2698),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2698),
    [sym_preproc_directive] = ACTIONS(2698),
    [anon_sym_LPAREN2] = ACTIONS(2700),
    [anon_sym_TILDE] = ACTIONS(2700),
    [anon_sym_STAR] = ACTIONS(2700),
    [anon_sym_AMP_AMP] = ACTIONS(2700),
    [anon_sym_AMP] = ACTIONS(2698),
    [anon_sym___extension__] = ACTIONS(2698),
    [anon_sym_typedef] = ACTIONS(2698),
    [anon_sym_in] = ACTIONS(2698),
    [anon_sym_out] = ACTIONS(2698),
    [anon_sym_inout] = ACTIONS(2698),
    [anon_sym_extern] = ACTIONS(2698),
    [anon_sym___attribute__] = ACTIONS(2698),
    [anon_sym_COLON_COLON] = ACTIONS(2700),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2700),
    [anon_sym___declspec] = ACTIONS(2698),
    [anon_sym___based] = ACTIONS(2698),
    [anon_sym_signed] = ACTIONS(2698),
    [anon_sym_unsigned] = ACTIONS(2698),
    [anon_sym_long] = ACTIONS(2698),
    [anon_sym_short] = ACTIONS(2698),
    [anon_sym_LBRACK] = ACTIONS(2698),
    [anon_sym_static] = ACTIONS(2698),
    [anon_sym_register] = ACTIONS(2698),
    [anon_sym_inline] = ACTIONS(2698),
    [anon_sym___inline] = ACTIONS(2698),
    [anon_sym___inline__] = ACTIONS(2698),
    [anon_sym___forceinline] = ACTIONS(2698),
    [anon_sym_thread_local] = ACTIONS(2698),
    [anon_sym___thread] = ACTIONS(2698),
    [anon_sym_const] = ACTIONS(2698),
    [anon_sym_constexpr] = ACTIONS(2698),
    [anon_sym_volatile] = ACTIONS(2698),
    [anon_sym_restrict] = ACTIONS(2698),
    [anon_sym___restrict__] = ACTIONS(2698),
    [anon_sym__Atomic] = ACTIONS(2698),
    [anon_sym__Noreturn] = ACTIONS(2698),
    [anon_sym_noreturn] = ACTIONS(2698),
    [anon_sym_mutable] = ACTIONS(2698),
    [anon_sym_constinit] = ACTIONS(2698),
    [anon_sym_consteval] = ACTIONS(2698),
    [sym_primitive_type] = ACTIONS(2698),
    [anon_sym_enum] = ACTIONS(2698),
    [anon_sym_class] = ACTIONS(2698),
    [anon_sym_struct] = ACTIONS(2698),
    [anon_sym_union] = ACTIONS(2698),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2698),
    [anon_sym_decltype] = ACTIONS(2698),
    [anon_sym_virtual] = ACTIONS(2698),
    [anon_sym_alignas] = ACTIONS(2698),
    [anon_sym_explicit] = ACTIONS(2698),
    [anon_sym_typename] = ACTIONS(2698),
    [anon_sym_template] = ACTIONS(2698),
    [anon_sym_operator] = ACTIONS(2698),
    [anon_sym_friend] = ACTIONS(2698),
    [anon_sym_public] = ACTIONS(2698),
    [anon_sym_private] = ACTIONS(2698),
    [anon_sym_protected] = ACTIONS(2698),
    [anon_sym_using] = ACTIONS(2698),
    [anon_sym_static_assert] = ACTIONS(2698),
    [anon_sym_precise] = ACTIONS(2698),
    [anon_sym_shared] = ACTIONS(2698),
    [anon_sym_groupshared] = ACTIONS(2698),
    [anon_sym_uniform] = ACTIONS(2698),
    [anon_sym_row_major] = ACTIONS(2698),
    [anon_sym_column_major] = ACTIONS(2698),
    [anon_sym_globallycoherent] = ACTIONS(2698),
    [anon_sym_centroid] = ACTIONS(2698),
    [anon_sym_noperspective] = ACTIONS(2698),
    [anon_sym_nointerpolation] = ACTIONS(2698),
    [anon_sym_sample] = ACTIONS(2698),
    [anon_sym_linear] = ACTIONS(2698),
    [anon_sym_snorm] = ACTIONS(2698),
    [anon_sym_unorm] = ACTIONS(2698),
    [anon_sym_point] = ACTIONS(2698),
    [anon_sym_line] = ACTIONS(2698),
    [anon_sym_triangleadj] = ACTIONS(2698),
    [anon_sym_lineadj] = ACTIONS(2698),
    [anon_sym_triangle] = ACTIONS(2698),
  },
  [2941] = {
    [sym_identifier] = ACTIONS(5619),
    [aux_sym_preproc_def_token1] = ACTIONS(5619),
    [aux_sym_preproc_if_token1] = ACTIONS(5619),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5619),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5619),
    [sym_preproc_directive] = ACTIONS(5619),
    [anon_sym_LPAREN2] = ACTIONS(5621),
    [anon_sym_TILDE] = ACTIONS(5621),
    [anon_sym_STAR] = ACTIONS(5621),
    [anon_sym_AMP_AMP] = ACTIONS(5621),
    [anon_sym_AMP] = ACTIONS(5619),
    [anon_sym___extension__] = ACTIONS(5619),
    [anon_sym_typedef] = ACTIONS(5619),
    [anon_sym_in] = ACTIONS(5619),
    [anon_sym_out] = ACTIONS(5619),
    [anon_sym_inout] = ACTIONS(5619),
    [anon_sym_extern] = ACTIONS(5619),
    [anon_sym___attribute__] = ACTIONS(5619),
    [anon_sym_COLON_COLON] = ACTIONS(5621),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5621),
    [anon_sym___declspec] = ACTIONS(5619),
    [anon_sym___based] = ACTIONS(5619),
    [anon_sym_RBRACE] = ACTIONS(5621),
    [anon_sym_signed] = ACTIONS(5619),
    [anon_sym_unsigned] = ACTIONS(5619),
    [anon_sym_long] = ACTIONS(5619),
    [anon_sym_short] = ACTIONS(5619),
    [anon_sym_LBRACK] = ACTIONS(5619),
    [anon_sym_static] = ACTIONS(5619),
    [anon_sym_register] = ACTIONS(5619),
    [anon_sym_inline] = ACTIONS(5619),
    [anon_sym___inline] = ACTIONS(5619),
    [anon_sym___inline__] = ACTIONS(5619),
    [anon_sym___forceinline] = ACTIONS(5619),
    [anon_sym_thread_local] = ACTIONS(5619),
    [anon_sym___thread] = ACTIONS(5619),
    [anon_sym_const] = ACTIONS(5619),
    [anon_sym_constexpr] = ACTIONS(5619),
    [anon_sym_volatile] = ACTIONS(5619),
    [anon_sym_restrict] = ACTIONS(5619),
    [anon_sym___restrict__] = ACTIONS(5619),
    [anon_sym__Atomic] = ACTIONS(5619),
    [anon_sym__Noreturn] = ACTIONS(5619),
    [anon_sym_noreturn] = ACTIONS(5619),
    [anon_sym_mutable] = ACTIONS(5619),
    [anon_sym_constinit] = ACTIONS(5619),
    [anon_sym_consteval] = ACTIONS(5619),
    [sym_primitive_type] = ACTIONS(5619),
    [anon_sym_enum] = ACTIONS(5619),
    [anon_sym_class] = ACTIONS(5619),
    [anon_sym_struct] = ACTIONS(5619),
    [anon_sym_union] = ACTIONS(5619),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5619),
    [anon_sym_decltype] = ACTIONS(5619),
    [anon_sym_virtual] = ACTIONS(5619),
    [anon_sym_alignas] = ACTIONS(5619),
    [anon_sym_explicit] = ACTIONS(5619),
    [anon_sym_typename] = ACTIONS(5619),
    [anon_sym_template] = ACTIONS(5619),
    [anon_sym_operator] = ACTIONS(5619),
    [anon_sym_friend] = ACTIONS(5619),
    [anon_sym_public] = ACTIONS(5619),
    [anon_sym_private] = ACTIONS(5619),
    [anon_sym_protected] = ACTIONS(5619),
    [anon_sym_using] = ACTIONS(5619),
    [anon_sym_static_assert] = ACTIONS(5619),
    [anon_sym_precise] = ACTIONS(5619),
    [anon_sym_shared] = ACTIONS(5619),
    [anon_sym_groupshared] = ACTIONS(5619),
    [anon_sym_uniform] = ACTIONS(5619),
    [anon_sym_row_major] = ACTIONS(5619),
    [anon_sym_column_major] = ACTIONS(5619),
    [anon_sym_globallycoherent] = ACTIONS(5619),
    [anon_sym_centroid] = ACTIONS(5619),
    [anon_sym_noperspective] = ACTIONS(5619),
    [anon_sym_nointerpolation] = ACTIONS(5619),
    [anon_sym_sample] = ACTIONS(5619),
    [anon_sym_linear] = ACTIONS(5619),
    [anon_sym_snorm] = ACTIONS(5619),
    [anon_sym_unorm] = ACTIONS(5619),
    [anon_sym_point] = ACTIONS(5619),
    [anon_sym_line] = ACTIONS(5619),
    [anon_sym_triangleadj] = ACTIONS(5619),
    [anon_sym_lineadj] = ACTIONS(5619),
    [anon_sym_triangle] = ACTIONS(5619),
  },
  [2942] = {
    [sym_identifier] = ACTIONS(5615),
    [aux_sym_preproc_def_token1] = ACTIONS(5615),
    [aux_sym_preproc_if_token1] = ACTIONS(5615),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5615),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5615),
    [sym_preproc_directive] = ACTIONS(5615),
    [anon_sym_LPAREN2] = ACTIONS(5617),
    [anon_sym_TILDE] = ACTIONS(5617),
    [anon_sym_STAR] = ACTIONS(5617),
    [anon_sym_AMP_AMP] = ACTIONS(5617),
    [anon_sym_AMP] = ACTIONS(5615),
    [anon_sym___extension__] = ACTIONS(5615),
    [anon_sym_typedef] = ACTIONS(5615),
    [anon_sym_in] = ACTIONS(5615),
    [anon_sym_out] = ACTIONS(5615),
    [anon_sym_inout] = ACTIONS(5615),
    [anon_sym_extern] = ACTIONS(5615),
    [anon_sym___attribute__] = ACTIONS(5615),
    [anon_sym_COLON_COLON] = ACTIONS(5617),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5617),
    [anon_sym___declspec] = ACTIONS(5615),
    [anon_sym___based] = ACTIONS(5615),
    [anon_sym_RBRACE] = ACTIONS(5617),
    [anon_sym_signed] = ACTIONS(5615),
    [anon_sym_unsigned] = ACTIONS(5615),
    [anon_sym_long] = ACTIONS(5615),
    [anon_sym_short] = ACTIONS(5615),
    [anon_sym_LBRACK] = ACTIONS(5615),
    [anon_sym_static] = ACTIONS(5615),
    [anon_sym_register] = ACTIONS(5615),
    [anon_sym_inline] = ACTIONS(5615),
    [anon_sym___inline] = ACTIONS(5615),
    [anon_sym___inline__] = ACTIONS(5615),
    [anon_sym___forceinline] = ACTIONS(5615),
    [anon_sym_thread_local] = ACTIONS(5615),
    [anon_sym___thread] = ACTIONS(5615),
    [anon_sym_const] = ACTIONS(5615),
    [anon_sym_constexpr] = ACTIONS(5615),
    [anon_sym_volatile] = ACTIONS(5615),
    [anon_sym_restrict] = ACTIONS(5615),
    [anon_sym___restrict__] = ACTIONS(5615),
    [anon_sym__Atomic] = ACTIONS(5615),
    [anon_sym__Noreturn] = ACTIONS(5615),
    [anon_sym_noreturn] = ACTIONS(5615),
    [anon_sym_mutable] = ACTIONS(5615),
    [anon_sym_constinit] = ACTIONS(5615),
    [anon_sym_consteval] = ACTIONS(5615),
    [sym_primitive_type] = ACTIONS(5615),
    [anon_sym_enum] = ACTIONS(5615),
    [anon_sym_class] = ACTIONS(5615),
    [anon_sym_struct] = ACTIONS(5615),
    [anon_sym_union] = ACTIONS(5615),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5615),
    [anon_sym_decltype] = ACTIONS(5615),
    [anon_sym_virtual] = ACTIONS(5615),
    [anon_sym_alignas] = ACTIONS(5615),
    [anon_sym_explicit] = ACTIONS(5615),
    [anon_sym_typename] = ACTIONS(5615),
    [anon_sym_template] = ACTIONS(5615),
    [anon_sym_operator] = ACTIONS(5615),
    [anon_sym_friend] = ACTIONS(5615),
    [anon_sym_public] = ACTIONS(5615),
    [anon_sym_private] = ACTIONS(5615),
    [anon_sym_protected] = ACTIONS(5615),
    [anon_sym_using] = ACTIONS(5615),
    [anon_sym_static_assert] = ACTIONS(5615),
    [anon_sym_precise] = ACTIONS(5615),
    [anon_sym_shared] = ACTIONS(5615),
    [anon_sym_groupshared] = ACTIONS(5615),
    [anon_sym_uniform] = ACTIONS(5615),
    [anon_sym_row_major] = ACTIONS(5615),
    [anon_sym_column_major] = ACTIONS(5615),
    [anon_sym_globallycoherent] = ACTIONS(5615),
    [anon_sym_centroid] = ACTIONS(5615),
    [anon_sym_noperspective] = ACTIONS(5615),
    [anon_sym_nointerpolation] = ACTIONS(5615),
    [anon_sym_sample] = ACTIONS(5615),
    [anon_sym_linear] = ACTIONS(5615),
    [anon_sym_snorm] = ACTIONS(5615),
    [anon_sym_unorm] = ACTIONS(5615),
    [anon_sym_point] = ACTIONS(5615),
    [anon_sym_line] = ACTIONS(5615),
    [anon_sym_triangleadj] = ACTIONS(5615),
    [anon_sym_lineadj] = ACTIONS(5615),
    [anon_sym_triangle] = ACTIONS(5615),
  },
  [2943] = {
    [sym_identifier] = ACTIONS(5715),
    [aux_sym_preproc_def_token1] = ACTIONS(5715),
    [aux_sym_preproc_if_token1] = ACTIONS(5715),
    [aux_sym_preproc_if_token2] = ACTIONS(5715),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5715),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5715),
    [sym_preproc_directive] = ACTIONS(5715),
    [anon_sym_LPAREN2] = ACTIONS(5717),
    [anon_sym_TILDE] = ACTIONS(5717),
    [anon_sym_STAR] = ACTIONS(5717),
    [anon_sym_AMP_AMP] = ACTIONS(5717),
    [anon_sym_AMP] = ACTIONS(5715),
    [anon_sym___extension__] = ACTIONS(5715),
    [anon_sym_typedef] = ACTIONS(5715),
    [anon_sym_in] = ACTIONS(5715),
    [anon_sym_out] = ACTIONS(5715),
    [anon_sym_inout] = ACTIONS(5715),
    [anon_sym_extern] = ACTIONS(5715),
    [anon_sym___attribute__] = ACTIONS(5715),
    [anon_sym_COLON_COLON] = ACTIONS(5717),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5717),
    [anon_sym___declspec] = ACTIONS(5715),
    [anon_sym___based] = ACTIONS(5715),
    [anon_sym_signed] = ACTIONS(5715),
    [anon_sym_unsigned] = ACTIONS(5715),
    [anon_sym_long] = ACTIONS(5715),
    [anon_sym_short] = ACTIONS(5715),
    [anon_sym_LBRACK] = ACTIONS(5715),
    [anon_sym_static] = ACTIONS(5715),
    [anon_sym_register] = ACTIONS(5715),
    [anon_sym_inline] = ACTIONS(5715),
    [anon_sym___inline] = ACTIONS(5715),
    [anon_sym___inline__] = ACTIONS(5715),
    [anon_sym___forceinline] = ACTIONS(5715),
    [anon_sym_thread_local] = ACTIONS(5715),
    [anon_sym___thread] = ACTIONS(5715),
    [anon_sym_const] = ACTIONS(5715),
    [anon_sym_constexpr] = ACTIONS(5715),
    [anon_sym_volatile] = ACTIONS(5715),
    [anon_sym_restrict] = ACTIONS(5715),
    [anon_sym___restrict__] = ACTIONS(5715),
    [anon_sym__Atomic] = ACTIONS(5715),
    [anon_sym__Noreturn] = ACTIONS(5715),
    [anon_sym_noreturn] = ACTIONS(5715),
    [anon_sym_mutable] = ACTIONS(5715),
    [anon_sym_constinit] = ACTIONS(5715),
    [anon_sym_consteval] = ACTIONS(5715),
    [sym_primitive_type] = ACTIONS(5715),
    [anon_sym_enum] = ACTIONS(5715),
    [anon_sym_class] = ACTIONS(5715),
    [anon_sym_struct] = ACTIONS(5715),
    [anon_sym_union] = ACTIONS(5715),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5715),
    [anon_sym_decltype] = ACTIONS(5715),
    [anon_sym_virtual] = ACTIONS(5715),
    [anon_sym_alignas] = ACTIONS(5715),
    [anon_sym_explicit] = ACTIONS(5715),
    [anon_sym_typename] = ACTIONS(5715),
    [anon_sym_template] = ACTIONS(5715),
    [anon_sym_operator] = ACTIONS(5715),
    [anon_sym_friend] = ACTIONS(5715),
    [anon_sym_public] = ACTIONS(5715),
    [anon_sym_private] = ACTIONS(5715),
    [anon_sym_protected] = ACTIONS(5715),
    [anon_sym_using] = ACTIONS(5715),
    [anon_sym_static_assert] = ACTIONS(5715),
    [anon_sym_precise] = ACTIONS(5715),
    [anon_sym_shared] = ACTIONS(5715),
    [anon_sym_groupshared] = ACTIONS(5715),
    [anon_sym_uniform] = ACTIONS(5715),
    [anon_sym_row_major] = ACTIONS(5715),
    [anon_sym_column_major] = ACTIONS(5715),
    [anon_sym_globallycoherent] = ACTIONS(5715),
    [anon_sym_centroid] = ACTIONS(5715),
    [anon_sym_noperspective] = ACTIONS(5715),
    [anon_sym_nointerpolation] = ACTIONS(5715),
    [anon_sym_sample] = ACTIONS(5715),
    [anon_sym_linear] = ACTIONS(5715),
    [anon_sym_snorm] = ACTIONS(5715),
    [anon_sym_unorm] = ACTIONS(5715),
    [anon_sym_point] = ACTIONS(5715),
    [anon_sym_line] = ACTIONS(5715),
    [anon_sym_triangleadj] = ACTIONS(5715),
    [anon_sym_lineadj] = ACTIONS(5715),
    [anon_sym_triangle] = ACTIONS(5715),
  },
  [2944] = {
    [sym_identifier] = ACTIONS(2520),
    [aux_sym_preproc_def_token1] = ACTIONS(2520),
    [aux_sym_preproc_if_token1] = ACTIONS(2520),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2520),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2520),
    [sym_preproc_directive] = ACTIONS(2520),
    [anon_sym_LPAREN2] = ACTIONS(2522),
    [anon_sym_TILDE] = ACTIONS(2522),
    [anon_sym_STAR] = ACTIONS(2522),
    [anon_sym_AMP_AMP] = ACTIONS(2522),
    [anon_sym_AMP] = ACTIONS(2520),
    [anon_sym___extension__] = ACTIONS(2520),
    [anon_sym_typedef] = ACTIONS(2520),
    [anon_sym_in] = ACTIONS(2520),
    [anon_sym_out] = ACTIONS(2520),
    [anon_sym_inout] = ACTIONS(2520),
    [anon_sym_extern] = ACTIONS(2520),
    [anon_sym___attribute__] = ACTIONS(2520),
    [anon_sym_COLON_COLON] = ACTIONS(2522),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2522),
    [anon_sym___declspec] = ACTIONS(2520),
    [anon_sym___based] = ACTIONS(2520),
    [anon_sym_RBRACE] = ACTIONS(2522),
    [anon_sym_signed] = ACTIONS(2520),
    [anon_sym_unsigned] = ACTIONS(2520),
    [anon_sym_long] = ACTIONS(2520),
    [anon_sym_short] = ACTIONS(2520),
    [anon_sym_LBRACK] = ACTIONS(2520),
    [anon_sym_static] = ACTIONS(2520),
    [anon_sym_register] = ACTIONS(2520),
    [anon_sym_inline] = ACTIONS(2520),
    [anon_sym___inline] = ACTIONS(2520),
    [anon_sym___inline__] = ACTIONS(2520),
    [anon_sym___forceinline] = ACTIONS(2520),
    [anon_sym_thread_local] = ACTIONS(2520),
    [anon_sym___thread] = ACTIONS(2520),
    [anon_sym_const] = ACTIONS(2520),
    [anon_sym_constexpr] = ACTIONS(2520),
    [anon_sym_volatile] = ACTIONS(2520),
    [anon_sym_restrict] = ACTIONS(2520),
    [anon_sym___restrict__] = ACTIONS(2520),
    [anon_sym__Atomic] = ACTIONS(2520),
    [anon_sym__Noreturn] = ACTIONS(2520),
    [anon_sym_noreturn] = ACTIONS(2520),
    [anon_sym_mutable] = ACTIONS(2520),
    [anon_sym_constinit] = ACTIONS(2520),
    [anon_sym_consteval] = ACTIONS(2520),
    [sym_primitive_type] = ACTIONS(2520),
    [anon_sym_enum] = ACTIONS(2520),
    [anon_sym_class] = ACTIONS(2520),
    [anon_sym_struct] = ACTIONS(2520),
    [anon_sym_union] = ACTIONS(2520),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2520),
    [anon_sym_decltype] = ACTIONS(2520),
    [anon_sym_virtual] = ACTIONS(2520),
    [anon_sym_alignas] = ACTIONS(2520),
    [anon_sym_explicit] = ACTIONS(2520),
    [anon_sym_typename] = ACTIONS(2520),
    [anon_sym_template] = ACTIONS(2520),
    [anon_sym_operator] = ACTIONS(2520),
    [anon_sym_friend] = ACTIONS(2520),
    [anon_sym_public] = ACTIONS(2520),
    [anon_sym_private] = ACTIONS(2520),
    [anon_sym_protected] = ACTIONS(2520),
    [anon_sym_using] = ACTIONS(2520),
    [anon_sym_static_assert] = ACTIONS(2520),
    [anon_sym_precise] = ACTIONS(2520),
    [anon_sym_shared] = ACTIONS(2520),
    [anon_sym_groupshared] = ACTIONS(2520),
    [anon_sym_uniform] = ACTIONS(2520),
    [anon_sym_row_major] = ACTIONS(2520),
    [anon_sym_column_major] = ACTIONS(2520),
    [anon_sym_globallycoherent] = ACTIONS(2520),
    [anon_sym_centroid] = ACTIONS(2520),
    [anon_sym_noperspective] = ACTIONS(2520),
    [anon_sym_nointerpolation] = ACTIONS(2520),
    [anon_sym_sample] = ACTIONS(2520),
    [anon_sym_linear] = ACTIONS(2520),
    [anon_sym_snorm] = ACTIONS(2520),
    [anon_sym_unorm] = ACTIONS(2520),
    [anon_sym_point] = ACTIONS(2520),
    [anon_sym_line] = ACTIONS(2520),
    [anon_sym_triangleadj] = ACTIONS(2520),
    [anon_sym_lineadj] = ACTIONS(2520),
    [anon_sym_triangle] = ACTIONS(2520),
  },
  [2945] = {
    [sym_identifier] = ACTIONS(5611),
    [aux_sym_preproc_def_token1] = ACTIONS(5611),
    [aux_sym_preproc_if_token1] = ACTIONS(5611),
    [aux_sym_preproc_if_token2] = ACTIONS(5611),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5611),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5611),
    [sym_preproc_directive] = ACTIONS(5611),
    [anon_sym_LPAREN2] = ACTIONS(5613),
    [anon_sym_TILDE] = ACTIONS(5613),
    [anon_sym_STAR] = ACTIONS(5613),
    [anon_sym_AMP_AMP] = ACTIONS(5613),
    [anon_sym_AMP] = ACTIONS(5611),
    [anon_sym___extension__] = ACTIONS(5611),
    [anon_sym_typedef] = ACTIONS(5611),
    [anon_sym_in] = ACTIONS(5611),
    [anon_sym_out] = ACTIONS(5611),
    [anon_sym_inout] = ACTIONS(5611),
    [anon_sym_extern] = ACTIONS(5611),
    [anon_sym___attribute__] = ACTIONS(5611),
    [anon_sym_COLON_COLON] = ACTIONS(5613),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5613),
    [anon_sym___declspec] = ACTIONS(5611),
    [anon_sym___based] = ACTIONS(5611),
    [anon_sym_signed] = ACTIONS(5611),
    [anon_sym_unsigned] = ACTIONS(5611),
    [anon_sym_long] = ACTIONS(5611),
    [anon_sym_short] = ACTIONS(5611),
    [anon_sym_LBRACK] = ACTIONS(5611),
    [anon_sym_static] = ACTIONS(5611),
    [anon_sym_register] = ACTIONS(5611),
    [anon_sym_inline] = ACTIONS(5611),
    [anon_sym___inline] = ACTIONS(5611),
    [anon_sym___inline__] = ACTIONS(5611),
    [anon_sym___forceinline] = ACTIONS(5611),
    [anon_sym_thread_local] = ACTIONS(5611),
    [anon_sym___thread] = ACTIONS(5611),
    [anon_sym_const] = ACTIONS(5611),
    [anon_sym_constexpr] = ACTIONS(5611),
    [anon_sym_volatile] = ACTIONS(5611),
    [anon_sym_restrict] = ACTIONS(5611),
    [anon_sym___restrict__] = ACTIONS(5611),
    [anon_sym__Atomic] = ACTIONS(5611),
    [anon_sym__Noreturn] = ACTIONS(5611),
    [anon_sym_noreturn] = ACTIONS(5611),
    [anon_sym_mutable] = ACTIONS(5611),
    [anon_sym_constinit] = ACTIONS(5611),
    [anon_sym_consteval] = ACTIONS(5611),
    [sym_primitive_type] = ACTIONS(5611),
    [anon_sym_enum] = ACTIONS(5611),
    [anon_sym_class] = ACTIONS(5611),
    [anon_sym_struct] = ACTIONS(5611),
    [anon_sym_union] = ACTIONS(5611),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5611),
    [anon_sym_decltype] = ACTIONS(5611),
    [anon_sym_virtual] = ACTIONS(5611),
    [anon_sym_alignas] = ACTIONS(5611),
    [anon_sym_explicit] = ACTIONS(5611),
    [anon_sym_typename] = ACTIONS(5611),
    [anon_sym_template] = ACTIONS(5611),
    [anon_sym_operator] = ACTIONS(5611),
    [anon_sym_friend] = ACTIONS(5611),
    [anon_sym_public] = ACTIONS(5611),
    [anon_sym_private] = ACTIONS(5611),
    [anon_sym_protected] = ACTIONS(5611),
    [anon_sym_using] = ACTIONS(5611),
    [anon_sym_static_assert] = ACTIONS(5611),
    [anon_sym_precise] = ACTIONS(5611),
    [anon_sym_shared] = ACTIONS(5611),
    [anon_sym_groupshared] = ACTIONS(5611),
    [anon_sym_uniform] = ACTIONS(5611),
    [anon_sym_row_major] = ACTIONS(5611),
    [anon_sym_column_major] = ACTIONS(5611),
    [anon_sym_globallycoherent] = ACTIONS(5611),
    [anon_sym_centroid] = ACTIONS(5611),
    [anon_sym_noperspective] = ACTIONS(5611),
    [anon_sym_nointerpolation] = ACTIONS(5611),
    [anon_sym_sample] = ACTIONS(5611),
    [anon_sym_linear] = ACTIONS(5611),
    [anon_sym_snorm] = ACTIONS(5611),
    [anon_sym_unorm] = ACTIONS(5611),
    [anon_sym_point] = ACTIONS(5611),
    [anon_sym_line] = ACTIONS(5611),
    [anon_sym_triangleadj] = ACTIONS(5611),
    [anon_sym_lineadj] = ACTIONS(5611),
    [anon_sym_triangle] = ACTIONS(5611),
  },
  [2946] = {
    [sym_identifier] = ACTIONS(5611),
    [aux_sym_preproc_def_token1] = ACTIONS(5611),
    [aux_sym_preproc_if_token1] = ACTIONS(5611),
    [aux_sym_preproc_if_token2] = ACTIONS(5611),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5611),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5611),
    [sym_preproc_directive] = ACTIONS(5611),
    [anon_sym_LPAREN2] = ACTIONS(5613),
    [anon_sym_TILDE] = ACTIONS(5613),
    [anon_sym_STAR] = ACTIONS(5613),
    [anon_sym_AMP_AMP] = ACTIONS(5613),
    [anon_sym_AMP] = ACTIONS(5611),
    [anon_sym___extension__] = ACTIONS(5611),
    [anon_sym_typedef] = ACTIONS(5611),
    [anon_sym_in] = ACTIONS(5611),
    [anon_sym_out] = ACTIONS(5611),
    [anon_sym_inout] = ACTIONS(5611),
    [anon_sym_extern] = ACTIONS(5611),
    [anon_sym___attribute__] = ACTIONS(5611),
    [anon_sym_COLON_COLON] = ACTIONS(5613),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5613),
    [anon_sym___declspec] = ACTIONS(5611),
    [anon_sym___based] = ACTIONS(5611),
    [anon_sym_signed] = ACTIONS(5611),
    [anon_sym_unsigned] = ACTIONS(5611),
    [anon_sym_long] = ACTIONS(5611),
    [anon_sym_short] = ACTIONS(5611),
    [anon_sym_LBRACK] = ACTIONS(5611),
    [anon_sym_static] = ACTIONS(5611),
    [anon_sym_register] = ACTIONS(5611),
    [anon_sym_inline] = ACTIONS(5611),
    [anon_sym___inline] = ACTIONS(5611),
    [anon_sym___inline__] = ACTIONS(5611),
    [anon_sym___forceinline] = ACTIONS(5611),
    [anon_sym_thread_local] = ACTIONS(5611),
    [anon_sym___thread] = ACTIONS(5611),
    [anon_sym_const] = ACTIONS(5611),
    [anon_sym_constexpr] = ACTIONS(5611),
    [anon_sym_volatile] = ACTIONS(5611),
    [anon_sym_restrict] = ACTIONS(5611),
    [anon_sym___restrict__] = ACTIONS(5611),
    [anon_sym__Atomic] = ACTIONS(5611),
    [anon_sym__Noreturn] = ACTIONS(5611),
    [anon_sym_noreturn] = ACTIONS(5611),
    [anon_sym_mutable] = ACTIONS(5611),
    [anon_sym_constinit] = ACTIONS(5611),
    [anon_sym_consteval] = ACTIONS(5611),
    [sym_primitive_type] = ACTIONS(5611),
    [anon_sym_enum] = ACTIONS(5611),
    [anon_sym_class] = ACTIONS(5611),
    [anon_sym_struct] = ACTIONS(5611),
    [anon_sym_union] = ACTIONS(5611),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5611),
    [anon_sym_decltype] = ACTIONS(5611),
    [anon_sym_virtual] = ACTIONS(5611),
    [anon_sym_alignas] = ACTIONS(5611),
    [anon_sym_explicit] = ACTIONS(5611),
    [anon_sym_typename] = ACTIONS(5611),
    [anon_sym_template] = ACTIONS(5611),
    [anon_sym_operator] = ACTIONS(5611),
    [anon_sym_friend] = ACTIONS(5611),
    [anon_sym_public] = ACTIONS(5611),
    [anon_sym_private] = ACTIONS(5611),
    [anon_sym_protected] = ACTIONS(5611),
    [anon_sym_using] = ACTIONS(5611),
    [anon_sym_static_assert] = ACTIONS(5611),
    [anon_sym_precise] = ACTIONS(5611),
    [anon_sym_shared] = ACTIONS(5611),
    [anon_sym_groupshared] = ACTIONS(5611),
    [anon_sym_uniform] = ACTIONS(5611),
    [anon_sym_row_major] = ACTIONS(5611),
    [anon_sym_column_major] = ACTIONS(5611),
    [anon_sym_globallycoherent] = ACTIONS(5611),
    [anon_sym_centroid] = ACTIONS(5611),
    [anon_sym_noperspective] = ACTIONS(5611),
    [anon_sym_nointerpolation] = ACTIONS(5611),
    [anon_sym_sample] = ACTIONS(5611),
    [anon_sym_linear] = ACTIONS(5611),
    [anon_sym_snorm] = ACTIONS(5611),
    [anon_sym_unorm] = ACTIONS(5611),
    [anon_sym_point] = ACTIONS(5611),
    [anon_sym_line] = ACTIONS(5611),
    [anon_sym_triangleadj] = ACTIONS(5611),
    [anon_sym_lineadj] = ACTIONS(5611),
    [anon_sym_triangle] = ACTIONS(5611),
  },
  [2947] = {
    [sym_identifier] = ACTIONS(2520),
    [aux_sym_preproc_def_token1] = ACTIONS(2520),
    [aux_sym_preproc_if_token1] = ACTIONS(2520),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2520),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2520),
    [sym_preproc_directive] = ACTIONS(2520),
    [anon_sym_LPAREN2] = ACTIONS(2522),
    [anon_sym_TILDE] = ACTIONS(2522),
    [anon_sym_STAR] = ACTIONS(2522),
    [anon_sym_AMP_AMP] = ACTIONS(2522),
    [anon_sym_AMP] = ACTIONS(2520),
    [anon_sym___extension__] = ACTIONS(2520),
    [anon_sym_typedef] = ACTIONS(2520),
    [anon_sym_in] = ACTIONS(2520),
    [anon_sym_out] = ACTIONS(2520),
    [anon_sym_inout] = ACTIONS(2520),
    [anon_sym_extern] = ACTIONS(2520),
    [anon_sym___attribute__] = ACTIONS(2520),
    [anon_sym_COLON_COLON] = ACTIONS(2522),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2522),
    [anon_sym___declspec] = ACTIONS(2520),
    [anon_sym___based] = ACTIONS(2520),
    [anon_sym_RBRACE] = ACTIONS(2522),
    [anon_sym_signed] = ACTIONS(2520),
    [anon_sym_unsigned] = ACTIONS(2520),
    [anon_sym_long] = ACTIONS(2520),
    [anon_sym_short] = ACTIONS(2520),
    [anon_sym_LBRACK] = ACTIONS(2520),
    [anon_sym_static] = ACTIONS(2520),
    [anon_sym_register] = ACTIONS(2520),
    [anon_sym_inline] = ACTIONS(2520),
    [anon_sym___inline] = ACTIONS(2520),
    [anon_sym___inline__] = ACTIONS(2520),
    [anon_sym___forceinline] = ACTIONS(2520),
    [anon_sym_thread_local] = ACTIONS(2520),
    [anon_sym___thread] = ACTIONS(2520),
    [anon_sym_const] = ACTIONS(2520),
    [anon_sym_constexpr] = ACTIONS(2520),
    [anon_sym_volatile] = ACTIONS(2520),
    [anon_sym_restrict] = ACTIONS(2520),
    [anon_sym___restrict__] = ACTIONS(2520),
    [anon_sym__Atomic] = ACTIONS(2520),
    [anon_sym__Noreturn] = ACTIONS(2520),
    [anon_sym_noreturn] = ACTIONS(2520),
    [anon_sym_mutable] = ACTIONS(2520),
    [anon_sym_constinit] = ACTIONS(2520),
    [anon_sym_consteval] = ACTIONS(2520),
    [sym_primitive_type] = ACTIONS(2520),
    [anon_sym_enum] = ACTIONS(2520),
    [anon_sym_class] = ACTIONS(2520),
    [anon_sym_struct] = ACTIONS(2520),
    [anon_sym_union] = ACTIONS(2520),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2520),
    [anon_sym_decltype] = ACTIONS(2520),
    [anon_sym_virtual] = ACTIONS(2520),
    [anon_sym_alignas] = ACTIONS(2520),
    [anon_sym_explicit] = ACTIONS(2520),
    [anon_sym_typename] = ACTIONS(2520),
    [anon_sym_template] = ACTIONS(2520),
    [anon_sym_operator] = ACTIONS(2520),
    [anon_sym_friend] = ACTIONS(2520),
    [anon_sym_public] = ACTIONS(2520),
    [anon_sym_private] = ACTIONS(2520),
    [anon_sym_protected] = ACTIONS(2520),
    [anon_sym_using] = ACTIONS(2520),
    [anon_sym_static_assert] = ACTIONS(2520),
    [anon_sym_precise] = ACTIONS(2520),
    [anon_sym_shared] = ACTIONS(2520),
    [anon_sym_groupshared] = ACTIONS(2520),
    [anon_sym_uniform] = ACTIONS(2520),
    [anon_sym_row_major] = ACTIONS(2520),
    [anon_sym_column_major] = ACTIONS(2520),
    [anon_sym_globallycoherent] = ACTIONS(2520),
    [anon_sym_centroid] = ACTIONS(2520),
    [anon_sym_noperspective] = ACTIONS(2520),
    [anon_sym_nointerpolation] = ACTIONS(2520),
    [anon_sym_sample] = ACTIONS(2520),
    [anon_sym_linear] = ACTIONS(2520),
    [anon_sym_snorm] = ACTIONS(2520),
    [anon_sym_unorm] = ACTIONS(2520),
    [anon_sym_point] = ACTIONS(2520),
    [anon_sym_line] = ACTIONS(2520),
    [anon_sym_triangleadj] = ACTIONS(2520),
    [anon_sym_lineadj] = ACTIONS(2520),
    [anon_sym_triangle] = ACTIONS(2520),
  },
  [2948] = {
    [sym_identifier] = ACTIONS(2400),
    [aux_sym_preproc_def_token1] = ACTIONS(2400),
    [aux_sym_preproc_if_token1] = ACTIONS(2400),
    [aux_sym_preproc_if_token2] = ACTIONS(2400),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2400),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2400),
    [sym_preproc_directive] = ACTIONS(2400),
    [anon_sym_LPAREN2] = ACTIONS(2402),
    [anon_sym_TILDE] = ACTIONS(2402),
    [anon_sym_STAR] = ACTIONS(2402),
    [anon_sym_AMP_AMP] = ACTIONS(2402),
    [anon_sym_AMP] = ACTIONS(2400),
    [anon_sym___extension__] = ACTIONS(2400),
    [anon_sym_typedef] = ACTIONS(2400),
    [anon_sym_in] = ACTIONS(2400),
    [anon_sym_out] = ACTIONS(2400),
    [anon_sym_inout] = ACTIONS(2400),
    [anon_sym_extern] = ACTIONS(2400),
    [anon_sym___attribute__] = ACTIONS(2400),
    [anon_sym_COLON_COLON] = ACTIONS(2402),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2402),
    [anon_sym___declspec] = ACTIONS(2400),
    [anon_sym___based] = ACTIONS(2400),
    [anon_sym_signed] = ACTIONS(2400),
    [anon_sym_unsigned] = ACTIONS(2400),
    [anon_sym_long] = ACTIONS(2400),
    [anon_sym_short] = ACTIONS(2400),
    [anon_sym_LBRACK] = ACTIONS(2400),
    [anon_sym_static] = ACTIONS(2400),
    [anon_sym_register] = ACTIONS(2400),
    [anon_sym_inline] = ACTIONS(2400),
    [anon_sym___inline] = ACTIONS(2400),
    [anon_sym___inline__] = ACTIONS(2400),
    [anon_sym___forceinline] = ACTIONS(2400),
    [anon_sym_thread_local] = ACTIONS(2400),
    [anon_sym___thread] = ACTIONS(2400),
    [anon_sym_const] = ACTIONS(2400),
    [anon_sym_constexpr] = ACTIONS(2400),
    [anon_sym_volatile] = ACTIONS(2400),
    [anon_sym_restrict] = ACTIONS(2400),
    [anon_sym___restrict__] = ACTIONS(2400),
    [anon_sym__Atomic] = ACTIONS(2400),
    [anon_sym__Noreturn] = ACTIONS(2400),
    [anon_sym_noreturn] = ACTIONS(2400),
    [anon_sym_mutable] = ACTIONS(2400),
    [anon_sym_constinit] = ACTIONS(2400),
    [anon_sym_consteval] = ACTIONS(2400),
    [sym_primitive_type] = ACTIONS(2400),
    [anon_sym_enum] = ACTIONS(2400),
    [anon_sym_class] = ACTIONS(2400),
    [anon_sym_struct] = ACTIONS(2400),
    [anon_sym_union] = ACTIONS(2400),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2400),
    [anon_sym_decltype] = ACTIONS(2400),
    [anon_sym_virtual] = ACTIONS(2400),
    [anon_sym_alignas] = ACTIONS(2400),
    [anon_sym_explicit] = ACTIONS(2400),
    [anon_sym_typename] = ACTIONS(2400),
    [anon_sym_template] = ACTIONS(2400),
    [anon_sym_operator] = ACTIONS(2400),
    [anon_sym_friend] = ACTIONS(2400),
    [anon_sym_public] = ACTIONS(2400),
    [anon_sym_private] = ACTIONS(2400),
    [anon_sym_protected] = ACTIONS(2400),
    [anon_sym_using] = ACTIONS(2400),
    [anon_sym_static_assert] = ACTIONS(2400),
    [anon_sym_precise] = ACTIONS(2400),
    [anon_sym_shared] = ACTIONS(2400),
    [anon_sym_groupshared] = ACTIONS(2400),
    [anon_sym_uniform] = ACTIONS(2400),
    [anon_sym_row_major] = ACTIONS(2400),
    [anon_sym_column_major] = ACTIONS(2400),
    [anon_sym_globallycoherent] = ACTIONS(2400),
    [anon_sym_centroid] = ACTIONS(2400),
    [anon_sym_noperspective] = ACTIONS(2400),
    [anon_sym_nointerpolation] = ACTIONS(2400),
    [anon_sym_sample] = ACTIONS(2400),
    [anon_sym_linear] = ACTIONS(2400),
    [anon_sym_snorm] = ACTIONS(2400),
    [anon_sym_unorm] = ACTIONS(2400),
    [anon_sym_point] = ACTIONS(2400),
    [anon_sym_line] = ACTIONS(2400),
    [anon_sym_triangleadj] = ACTIONS(2400),
    [anon_sym_lineadj] = ACTIONS(2400),
    [anon_sym_triangle] = ACTIONS(2400),
  },
  [2949] = {
    [sym__declaration_modifiers] = STATE(3014),
    [sym_attribute_specifier] = STATE(3014),
    [sym_attribute_declaration] = STATE(3014),
    [sym_ms_declspec_modifier] = STATE(3014),
    [sym_storage_class_specifier] = STATE(3014),
    [sym_type_qualifier] = STATE(3014),
    [sym_decltype_auto] = STATE(3065),
    [sym_virtual] = STATE(3014),
    [sym_alignas_specifier] = STATE(3014),
    [sym_qualifiers] = STATE(3014),
    [aux_sym__declaration_specifiers_repeat1] = STATE(3014),
    [sym_identifier] = ACTIONS(5810),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5812),
    [anon_sym_COMMA] = ACTIONS(5812),
    [anon_sym_RPAREN] = ACTIONS(5812),
    [anon_sym_LPAREN2] = ACTIONS(5812),
    [anon_sym_TILDE] = ACTIONS(5812),
    [anon_sym_STAR] = ACTIONS(5812),
    [anon_sym_AMP_AMP] = ACTIONS(5812),
    [anon_sym_AMP] = ACTIONS(5810),
    [anon_sym_COLON] = ACTIONS(5810),
    [anon_sym_SEMI] = ACTIONS(5812),
    [anon_sym___extension__] = ACTIONS(5575),
    [anon_sym_in] = ACTIONS(5814),
    [anon_sym_out] = ACTIONS(5814),
    [anon_sym_inout] = ACTIONS(5814),
    [anon_sym_extern] = ACTIONS(5579),
    [anon_sym___attribute__] = ACTIONS(5581),
    [anon_sym_COLON_COLON] = ACTIONS(5812),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5585),
    [anon_sym___declspec] = ACTIONS(5587),
    [anon_sym___based] = ACTIONS(5810),
    [anon_sym___cdecl] = ACTIONS(5810),
    [anon_sym___clrcall] = ACTIONS(5810),
    [anon_sym___stdcall] = ACTIONS(5810),
    [anon_sym___fastcall] = ACTIONS(5810),
    [anon_sym___thiscall] = ACTIONS(5810),
    [anon_sym___vectorcall] = ACTIONS(5810),
    [anon_sym_LBRACK] = ACTIONS(5810),
    [anon_sym_EQ] = ACTIONS(5812),
    [anon_sym_static] = ACTIONS(5579),
    [anon_sym_register] = ACTIONS(5579),
    [anon_sym_inline] = ACTIONS(5579),
    [anon_sym___inline] = ACTIONS(5579),
    [anon_sym___inline__] = ACTIONS(5579),
    [anon_sym___forceinline] = ACTIONS(5579),
    [anon_sym_thread_local] = ACTIONS(5579),
    [anon_sym___thread] = ACTIONS(5579),
    [anon_sym_const] = ACTIONS(5575),
    [anon_sym_constexpr] = ACTIONS(5575),
    [anon_sym_volatile] = ACTIONS(5575),
    [anon_sym_restrict] = ACTIONS(5575),
    [anon_sym___restrict__] = ACTIONS(5575),
    [anon_sym__Atomic] = ACTIONS(5575),
    [anon_sym__Noreturn] = ACTIONS(5575),
    [anon_sym_noreturn] = ACTIONS(5575),
    [anon_sym_mutable] = ACTIONS(5575),
    [anon_sym_constinit] = ACTIONS(5575),
    [anon_sym_consteval] = ACTIONS(5575),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5806),
    [anon_sym_decltype] = ACTIONS(5808),
    [anon_sym_virtual] = ACTIONS(5589),
    [anon_sym_alignas] = ACTIONS(5591),
    [anon_sym_template] = ACTIONS(5810),
    [anon_sym_GT2] = ACTIONS(5812),
    [anon_sym_operator] = ACTIONS(5810),
    [anon_sym_precise] = ACTIONS(5593),
    [anon_sym_shared] = ACTIONS(5593),
    [anon_sym_groupshared] = ACTIONS(5593),
    [anon_sym_uniform] = ACTIONS(5593),
    [anon_sym_row_major] = ACTIONS(5593),
    [anon_sym_column_major] = ACTIONS(5593),
    [anon_sym_globallycoherent] = ACTIONS(5593),
    [anon_sym_centroid] = ACTIONS(5593),
    [anon_sym_noperspective] = ACTIONS(5593),
    [anon_sym_nointerpolation] = ACTIONS(5593),
    [anon_sym_sample] = ACTIONS(5593),
    [anon_sym_linear] = ACTIONS(5593),
    [anon_sym_snorm] = ACTIONS(5593),
    [anon_sym_unorm] = ACTIONS(5593),
    [anon_sym_point] = ACTIONS(5593),
    [anon_sym_line] = ACTIONS(5593),
    [anon_sym_triangleadj] = ACTIONS(5593),
    [anon_sym_lineadj] = ACTIONS(5593),
    [anon_sym_triangle] = ACTIONS(5593),
  },
  [2950] = {
    [sym_identifier] = ACTIONS(2797),
    [aux_sym_preproc_def_token1] = ACTIONS(2797),
    [aux_sym_preproc_if_token1] = ACTIONS(2797),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2797),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2797),
    [sym_preproc_directive] = ACTIONS(2797),
    [anon_sym_LPAREN2] = ACTIONS(2799),
    [anon_sym_TILDE] = ACTIONS(2799),
    [anon_sym_STAR] = ACTIONS(2799),
    [anon_sym_AMP_AMP] = ACTIONS(2799),
    [anon_sym_AMP] = ACTIONS(2797),
    [anon_sym___extension__] = ACTIONS(2797),
    [anon_sym_typedef] = ACTIONS(2797),
    [anon_sym_in] = ACTIONS(2797),
    [anon_sym_out] = ACTIONS(2797),
    [anon_sym_inout] = ACTIONS(2797),
    [anon_sym_extern] = ACTIONS(2797),
    [anon_sym___attribute__] = ACTIONS(2797),
    [anon_sym_COLON_COLON] = ACTIONS(2799),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2799),
    [anon_sym___declspec] = ACTIONS(2797),
    [anon_sym___based] = ACTIONS(2797),
    [anon_sym_RBRACE] = ACTIONS(2799),
    [anon_sym_signed] = ACTIONS(2797),
    [anon_sym_unsigned] = ACTIONS(2797),
    [anon_sym_long] = ACTIONS(2797),
    [anon_sym_short] = ACTIONS(2797),
    [anon_sym_LBRACK] = ACTIONS(2797),
    [anon_sym_static] = ACTIONS(2797),
    [anon_sym_register] = ACTIONS(2797),
    [anon_sym_inline] = ACTIONS(2797),
    [anon_sym___inline] = ACTIONS(2797),
    [anon_sym___inline__] = ACTIONS(2797),
    [anon_sym___forceinline] = ACTIONS(2797),
    [anon_sym_thread_local] = ACTIONS(2797),
    [anon_sym___thread] = ACTIONS(2797),
    [anon_sym_const] = ACTIONS(2797),
    [anon_sym_constexpr] = ACTIONS(2797),
    [anon_sym_volatile] = ACTIONS(2797),
    [anon_sym_restrict] = ACTIONS(2797),
    [anon_sym___restrict__] = ACTIONS(2797),
    [anon_sym__Atomic] = ACTIONS(2797),
    [anon_sym__Noreturn] = ACTIONS(2797),
    [anon_sym_noreturn] = ACTIONS(2797),
    [anon_sym_mutable] = ACTIONS(2797),
    [anon_sym_constinit] = ACTIONS(2797),
    [anon_sym_consteval] = ACTIONS(2797),
    [sym_primitive_type] = ACTIONS(2797),
    [anon_sym_enum] = ACTIONS(2797),
    [anon_sym_class] = ACTIONS(2797),
    [anon_sym_struct] = ACTIONS(2797),
    [anon_sym_union] = ACTIONS(2797),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2797),
    [anon_sym_decltype] = ACTIONS(2797),
    [anon_sym_virtual] = ACTIONS(2797),
    [anon_sym_alignas] = ACTIONS(2797),
    [anon_sym_explicit] = ACTIONS(2797),
    [anon_sym_typename] = ACTIONS(2797),
    [anon_sym_template] = ACTIONS(2797),
    [anon_sym_operator] = ACTIONS(2797),
    [anon_sym_friend] = ACTIONS(2797),
    [anon_sym_public] = ACTIONS(2797),
    [anon_sym_private] = ACTIONS(2797),
    [anon_sym_protected] = ACTIONS(2797),
    [anon_sym_using] = ACTIONS(2797),
    [anon_sym_static_assert] = ACTIONS(2797),
    [anon_sym_precise] = ACTIONS(2797),
    [anon_sym_shared] = ACTIONS(2797),
    [anon_sym_groupshared] = ACTIONS(2797),
    [anon_sym_uniform] = ACTIONS(2797),
    [anon_sym_row_major] = ACTIONS(2797),
    [anon_sym_column_major] = ACTIONS(2797),
    [anon_sym_globallycoherent] = ACTIONS(2797),
    [anon_sym_centroid] = ACTIONS(2797),
    [anon_sym_noperspective] = ACTIONS(2797),
    [anon_sym_nointerpolation] = ACTIONS(2797),
    [anon_sym_sample] = ACTIONS(2797),
    [anon_sym_linear] = ACTIONS(2797),
    [anon_sym_snorm] = ACTIONS(2797),
    [anon_sym_unorm] = ACTIONS(2797),
    [anon_sym_point] = ACTIONS(2797),
    [anon_sym_line] = ACTIONS(2797),
    [anon_sym_triangleadj] = ACTIONS(2797),
    [anon_sym_lineadj] = ACTIONS(2797),
    [anon_sym_triangle] = ACTIONS(2797),
  },
  [2951] = {
    [sym_identifier] = ACTIONS(2797),
    [aux_sym_preproc_def_token1] = ACTIONS(2797),
    [aux_sym_preproc_if_token1] = ACTIONS(2797),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2797),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2797),
    [sym_preproc_directive] = ACTIONS(2797),
    [anon_sym_LPAREN2] = ACTIONS(2799),
    [anon_sym_TILDE] = ACTIONS(2799),
    [anon_sym_STAR] = ACTIONS(2799),
    [anon_sym_AMP_AMP] = ACTIONS(2799),
    [anon_sym_AMP] = ACTIONS(2797),
    [anon_sym___extension__] = ACTIONS(2797),
    [anon_sym_typedef] = ACTIONS(2797),
    [anon_sym_in] = ACTIONS(2797),
    [anon_sym_out] = ACTIONS(2797),
    [anon_sym_inout] = ACTIONS(2797),
    [anon_sym_extern] = ACTIONS(2797),
    [anon_sym___attribute__] = ACTIONS(2797),
    [anon_sym_COLON_COLON] = ACTIONS(2799),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2799),
    [anon_sym___declspec] = ACTIONS(2797),
    [anon_sym___based] = ACTIONS(2797),
    [anon_sym_RBRACE] = ACTIONS(2799),
    [anon_sym_signed] = ACTIONS(2797),
    [anon_sym_unsigned] = ACTIONS(2797),
    [anon_sym_long] = ACTIONS(2797),
    [anon_sym_short] = ACTIONS(2797),
    [anon_sym_LBRACK] = ACTIONS(2797),
    [anon_sym_static] = ACTIONS(2797),
    [anon_sym_register] = ACTIONS(2797),
    [anon_sym_inline] = ACTIONS(2797),
    [anon_sym___inline] = ACTIONS(2797),
    [anon_sym___inline__] = ACTIONS(2797),
    [anon_sym___forceinline] = ACTIONS(2797),
    [anon_sym_thread_local] = ACTIONS(2797),
    [anon_sym___thread] = ACTIONS(2797),
    [anon_sym_const] = ACTIONS(2797),
    [anon_sym_constexpr] = ACTIONS(2797),
    [anon_sym_volatile] = ACTIONS(2797),
    [anon_sym_restrict] = ACTIONS(2797),
    [anon_sym___restrict__] = ACTIONS(2797),
    [anon_sym__Atomic] = ACTIONS(2797),
    [anon_sym__Noreturn] = ACTIONS(2797),
    [anon_sym_noreturn] = ACTIONS(2797),
    [anon_sym_mutable] = ACTIONS(2797),
    [anon_sym_constinit] = ACTIONS(2797),
    [anon_sym_consteval] = ACTIONS(2797),
    [sym_primitive_type] = ACTIONS(2797),
    [anon_sym_enum] = ACTIONS(2797),
    [anon_sym_class] = ACTIONS(2797),
    [anon_sym_struct] = ACTIONS(2797),
    [anon_sym_union] = ACTIONS(2797),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2797),
    [anon_sym_decltype] = ACTIONS(2797),
    [anon_sym_virtual] = ACTIONS(2797),
    [anon_sym_alignas] = ACTIONS(2797),
    [anon_sym_explicit] = ACTIONS(2797),
    [anon_sym_typename] = ACTIONS(2797),
    [anon_sym_template] = ACTIONS(2797),
    [anon_sym_operator] = ACTIONS(2797),
    [anon_sym_friend] = ACTIONS(2797),
    [anon_sym_public] = ACTIONS(2797),
    [anon_sym_private] = ACTIONS(2797),
    [anon_sym_protected] = ACTIONS(2797),
    [anon_sym_using] = ACTIONS(2797),
    [anon_sym_static_assert] = ACTIONS(2797),
    [anon_sym_precise] = ACTIONS(2797),
    [anon_sym_shared] = ACTIONS(2797),
    [anon_sym_groupshared] = ACTIONS(2797),
    [anon_sym_uniform] = ACTIONS(2797),
    [anon_sym_row_major] = ACTIONS(2797),
    [anon_sym_column_major] = ACTIONS(2797),
    [anon_sym_globallycoherent] = ACTIONS(2797),
    [anon_sym_centroid] = ACTIONS(2797),
    [anon_sym_noperspective] = ACTIONS(2797),
    [anon_sym_nointerpolation] = ACTIONS(2797),
    [anon_sym_sample] = ACTIONS(2797),
    [anon_sym_linear] = ACTIONS(2797),
    [anon_sym_snorm] = ACTIONS(2797),
    [anon_sym_unorm] = ACTIONS(2797),
    [anon_sym_point] = ACTIONS(2797),
    [anon_sym_line] = ACTIONS(2797),
    [anon_sym_triangleadj] = ACTIONS(2797),
    [anon_sym_lineadj] = ACTIONS(2797),
    [anon_sym_triangle] = ACTIONS(2797),
  },
  [2952] = {
    [sym_string_literal] = STATE(3282),
    [sym_template_argument_list] = STATE(3246),
    [sym_raw_string_literal] = STATE(3282),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3379),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4213),
    [anon_sym_COMMA] = ACTIONS(4213),
    [anon_sym_RPAREN] = ACTIONS(4226),
    [anon_sym_LPAREN2] = ACTIONS(4226),
    [anon_sym_DASH] = ACTIONS(4221),
    [anon_sym_PLUS] = ACTIONS(4221),
    [anon_sym_STAR] = ACTIONS(4223),
    [anon_sym_SLASH] = ACTIONS(4221),
    [anon_sym_PERCENT] = ACTIONS(4221),
    [anon_sym_PIPE_PIPE] = ACTIONS(4213),
    [anon_sym_AMP_AMP] = ACTIONS(4226),
    [anon_sym_PIPE] = ACTIONS(4221),
    [anon_sym_CARET] = ACTIONS(4221),
    [anon_sym_AMP] = ACTIONS(4223),
    [anon_sym_EQ_EQ] = ACTIONS(4213),
    [anon_sym_BANG_EQ] = ACTIONS(4213),
    [anon_sym_GT] = ACTIONS(4221),
    [anon_sym_GT_EQ] = ACTIONS(4213),
    [anon_sym_LT_EQ] = ACTIONS(4221),
    [anon_sym_LT] = ACTIONS(5816),
    [anon_sym_LT_LT] = ACTIONS(4221),
    [anon_sym_GT_GT] = ACTIONS(4221),
    [anon_sym___extension__] = ACTIONS(4219),
    [anon_sym_COLON_COLON] = ACTIONS(2230),
    [anon_sym_LBRACE] = ACTIONS(2226),
    [anon_sym_signed] = ACTIONS(5794),
    [anon_sym_unsigned] = ACTIONS(5794),
    [anon_sym_long] = ACTIONS(5794),
    [anon_sym_short] = ACTIONS(5794),
    [anon_sym_LBRACK] = ACTIONS(4226),
    [anon_sym_EQ] = ACTIONS(4221),
    [anon_sym_const] = ACTIONS(4211),
    [anon_sym_constexpr] = ACTIONS(4219),
    [anon_sym_volatile] = ACTIONS(4219),
    [anon_sym_restrict] = ACTIONS(4219),
    [anon_sym___restrict__] = ACTIONS(4219),
    [anon_sym__Atomic] = ACTIONS(4219),
    [anon_sym__Noreturn] = ACTIONS(4219),
    [anon_sym_noreturn] = ACTIONS(4219),
    [anon_sym_mutable] = ACTIONS(4219),
    [anon_sym_constinit] = ACTIONS(4219),
    [anon_sym_consteval] = ACTIONS(4219),
    [anon_sym_QMARK] = ACTIONS(4213),
    [anon_sym_STAR_EQ] = ACTIONS(4213),
    [anon_sym_SLASH_EQ] = ACTIONS(4213),
    [anon_sym_PERCENT_EQ] = ACTIONS(4213),
    [anon_sym_PLUS_EQ] = ACTIONS(4213),
    [anon_sym_DASH_EQ] = ACTIONS(4213),
    [anon_sym_LT_LT_EQ] = ACTIONS(4213),
    [anon_sym_GT_GT_EQ] = ACTIONS(4213),
    [anon_sym_AMP_EQ] = ACTIONS(4213),
    [anon_sym_CARET_EQ] = ACTIONS(4213),
    [anon_sym_PIPE_EQ] = ACTIONS(4213),
    [anon_sym_and_eq] = ACTIONS(4213),
    [anon_sym_or_eq] = ACTIONS(4213),
    [anon_sym_xor_eq] = ACTIONS(4213),
    [anon_sym_LT_EQ_GT] = ACTIONS(4213),
    [anon_sym_or] = ACTIONS(4221),
    [anon_sym_and] = ACTIONS(4221),
    [anon_sym_bitor] = ACTIONS(4213),
    [anon_sym_xor] = ACTIONS(4221),
    [anon_sym_bitand] = ACTIONS(4213),
    [anon_sym_not_eq] = ACTIONS(4213),
    [anon_sym_DASH_DASH] = ACTIONS(4213),
    [anon_sym_PLUS_PLUS] = ACTIONS(4213),
    [anon_sym_DOT] = ACTIONS(4221),
    [anon_sym_DOT_STAR] = ACTIONS(4213),
    [anon_sym_DASH_GT] = ACTIONS(4221),
    [anon_sym_L_DQUOTE] = ACTIONS(5796),
    [anon_sym_u_DQUOTE] = ACTIONS(5796),
    [anon_sym_U_DQUOTE] = ACTIONS(5796),
    [anon_sym_u8_DQUOTE] = ACTIONS(5796),
    [anon_sym_DQUOTE] = ACTIONS(5796),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4219),
    [anon_sym_decltype] = ACTIONS(4219),
    [anon_sym_R_DQUOTE] = ACTIONS(5798),
    [anon_sym_LR_DQUOTE] = ACTIONS(5798),
    [anon_sym_uR_DQUOTE] = ACTIONS(5798),
    [anon_sym_UR_DQUOTE] = ACTIONS(5798),
    [anon_sym_u8R_DQUOTE] = ACTIONS(5798),
    [anon_sym_DASH_GT_STAR] = ACTIONS(4213),
  },
  [2953] = {
    [sym_identifier] = ACTIONS(5611),
    [aux_sym_preproc_def_token1] = ACTIONS(5611),
    [aux_sym_preproc_if_token1] = ACTIONS(5611),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5611),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5611),
    [sym_preproc_directive] = ACTIONS(5611),
    [anon_sym_LPAREN2] = ACTIONS(5613),
    [anon_sym_TILDE] = ACTIONS(5613),
    [anon_sym_STAR] = ACTIONS(5613),
    [anon_sym_AMP_AMP] = ACTIONS(5613),
    [anon_sym_AMP] = ACTIONS(5611),
    [anon_sym___extension__] = ACTIONS(5611),
    [anon_sym_typedef] = ACTIONS(5611),
    [anon_sym_in] = ACTIONS(5611),
    [anon_sym_out] = ACTIONS(5611),
    [anon_sym_inout] = ACTIONS(5611),
    [anon_sym_extern] = ACTIONS(5611),
    [anon_sym___attribute__] = ACTIONS(5611),
    [anon_sym_COLON_COLON] = ACTIONS(5613),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5613),
    [anon_sym___declspec] = ACTIONS(5611),
    [anon_sym___based] = ACTIONS(5611),
    [anon_sym_RBRACE] = ACTIONS(5613),
    [anon_sym_signed] = ACTIONS(5611),
    [anon_sym_unsigned] = ACTIONS(5611),
    [anon_sym_long] = ACTIONS(5611),
    [anon_sym_short] = ACTIONS(5611),
    [anon_sym_LBRACK] = ACTIONS(5611),
    [anon_sym_static] = ACTIONS(5611),
    [anon_sym_register] = ACTIONS(5611),
    [anon_sym_inline] = ACTIONS(5611),
    [anon_sym___inline] = ACTIONS(5611),
    [anon_sym___inline__] = ACTIONS(5611),
    [anon_sym___forceinline] = ACTIONS(5611),
    [anon_sym_thread_local] = ACTIONS(5611),
    [anon_sym___thread] = ACTIONS(5611),
    [anon_sym_const] = ACTIONS(5611),
    [anon_sym_constexpr] = ACTIONS(5611),
    [anon_sym_volatile] = ACTIONS(5611),
    [anon_sym_restrict] = ACTIONS(5611),
    [anon_sym___restrict__] = ACTIONS(5611),
    [anon_sym__Atomic] = ACTIONS(5611),
    [anon_sym__Noreturn] = ACTIONS(5611),
    [anon_sym_noreturn] = ACTIONS(5611),
    [anon_sym_mutable] = ACTIONS(5611),
    [anon_sym_constinit] = ACTIONS(5611),
    [anon_sym_consteval] = ACTIONS(5611),
    [sym_primitive_type] = ACTIONS(5611),
    [anon_sym_enum] = ACTIONS(5611),
    [anon_sym_class] = ACTIONS(5611),
    [anon_sym_struct] = ACTIONS(5611),
    [anon_sym_union] = ACTIONS(5611),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5611),
    [anon_sym_decltype] = ACTIONS(5611),
    [anon_sym_virtual] = ACTIONS(5611),
    [anon_sym_alignas] = ACTIONS(5611),
    [anon_sym_explicit] = ACTIONS(5611),
    [anon_sym_typename] = ACTIONS(5611),
    [anon_sym_template] = ACTIONS(5611),
    [anon_sym_operator] = ACTIONS(5611),
    [anon_sym_friend] = ACTIONS(5611),
    [anon_sym_public] = ACTIONS(5611),
    [anon_sym_private] = ACTIONS(5611),
    [anon_sym_protected] = ACTIONS(5611),
    [anon_sym_using] = ACTIONS(5611),
    [anon_sym_static_assert] = ACTIONS(5611),
    [anon_sym_precise] = ACTIONS(5611),
    [anon_sym_shared] = ACTIONS(5611),
    [anon_sym_groupshared] = ACTIONS(5611),
    [anon_sym_uniform] = ACTIONS(5611),
    [anon_sym_row_major] = ACTIONS(5611),
    [anon_sym_column_major] = ACTIONS(5611),
    [anon_sym_globallycoherent] = ACTIONS(5611),
    [anon_sym_centroid] = ACTIONS(5611),
    [anon_sym_noperspective] = ACTIONS(5611),
    [anon_sym_nointerpolation] = ACTIONS(5611),
    [anon_sym_sample] = ACTIONS(5611),
    [anon_sym_linear] = ACTIONS(5611),
    [anon_sym_snorm] = ACTIONS(5611),
    [anon_sym_unorm] = ACTIONS(5611),
    [anon_sym_point] = ACTIONS(5611),
    [anon_sym_line] = ACTIONS(5611),
    [anon_sym_triangleadj] = ACTIONS(5611),
    [anon_sym_lineadj] = ACTIONS(5611),
    [anon_sym_triangle] = ACTIONS(5611),
  },
  [2954] = {
    [sym_identifier] = ACTIONS(5611),
    [aux_sym_preproc_def_token1] = ACTIONS(5611),
    [aux_sym_preproc_if_token1] = ACTIONS(5611),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5611),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5611),
    [sym_preproc_directive] = ACTIONS(5611),
    [anon_sym_LPAREN2] = ACTIONS(5613),
    [anon_sym_TILDE] = ACTIONS(5613),
    [anon_sym_STAR] = ACTIONS(5613),
    [anon_sym_AMP_AMP] = ACTIONS(5613),
    [anon_sym_AMP] = ACTIONS(5611),
    [anon_sym___extension__] = ACTIONS(5611),
    [anon_sym_typedef] = ACTIONS(5611),
    [anon_sym_in] = ACTIONS(5611),
    [anon_sym_out] = ACTIONS(5611),
    [anon_sym_inout] = ACTIONS(5611),
    [anon_sym_extern] = ACTIONS(5611),
    [anon_sym___attribute__] = ACTIONS(5611),
    [anon_sym_COLON_COLON] = ACTIONS(5613),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5613),
    [anon_sym___declspec] = ACTIONS(5611),
    [anon_sym___based] = ACTIONS(5611),
    [anon_sym_RBRACE] = ACTIONS(5613),
    [anon_sym_signed] = ACTIONS(5611),
    [anon_sym_unsigned] = ACTIONS(5611),
    [anon_sym_long] = ACTIONS(5611),
    [anon_sym_short] = ACTIONS(5611),
    [anon_sym_LBRACK] = ACTIONS(5611),
    [anon_sym_static] = ACTIONS(5611),
    [anon_sym_register] = ACTIONS(5611),
    [anon_sym_inline] = ACTIONS(5611),
    [anon_sym___inline] = ACTIONS(5611),
    [anon_sym___inline__] = ACTIONS(5611),
    [anon_sym___forceinline] = ACTIONS(5611),
    [anon_sym_thread_local] = ACTIONS(5611),
    [anon_sym___thread] = ACTIONS(5611),
    [anon_sym_const] = ACTIONS(5611),
    [anon_sym_constexpr] = ACTIONS(5611),
    [anon_sym_volatile] = ACTIONS(5611),
    [anon_sym_restrict] = ACTIONS(5611),
    [anon_sym___restrict__] = ACTIONS(5611),
    [anon_sym__Atomic] = ACTIONS(5611),
    [anon_sym__Noreturn] = ACTIONS(5611),
    [anon_sym_noreturn] = ACTIONS(5611),
    [anon_sym_mutable] = ACTIONS(5611),
    [anon_sym_constinit] = ACTIONS(5611),
    [anon_sym_consteval] = ACTIONS(5611),
    [sym_primitive_type] = ACTIONS(5611),
    [anon_sym_enum] = ACTIONS(5611),
    [anon_sym_class] = ACTIONS(5611),
    [anon_sym_struct] = ACTIONS(5611),
    [anon_sym_union] = ACTIONS(5611),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5611),
    [anon_sym_decltype] = ACTIONS(5611),
    [anon_sym_virtual] = ACTIONS(5611),
    [anon_sym_alignas] = ACTIONS(5611),
    [anon_sym_explicit] = ACTIONS(5611),
    [anon_sym_typename] = ACTIONS(5611),
    [anon_sym_template] = ACTIONS(5611),
    [anon_sym_operator] = ACTIONS(5611),
    [anon_sym_friend] = ACTIONS(5611),
    [anon_sym_public] = ACTIONS(5611),
    [anon_sym_private] = ACTIONS(5611),
    [anon_sym_protected] = ACTIONS(5611),
    [anon_sym_using] = ACTIONS(5611),
    [anon_sym_static_assert] = ACTIONS(5611),
    [anon_sym_precise] = ACTIONS(5611),
    [anon_sym_shared] = ACTIONS(5611),
    [anon_sym_groupshared] = ACTIONS(5611),
    [anon_sym_uniform] = ACTIONS(5611),
    [anon_sym_row_major] = ACTIONS(5611),
    [anon_sym_column_major] = ACTIONS(5611),
    [anon_sym_globallycoherent] = ACTIONS(5611),
    [anon_sym_centroid] = ACTIONS(5611),
    [anon_sym_noperspective] = ACTIONS(5611),
    [anon_sym_nointerpolation] = ACTIONS(5611),
    [anon_sym_sample] = ACTIONS(5611),
    [anon_sym_linear] = ACTIONS(5611),
    [anon_sym_snorm] = ACTIONS(5611),
    [anon_sym_unorm] = ACTIONS(5611),
    [anon_sym_point] = ACTIONS(5611),
    [anon_sym_line] = ACTIONS(5611),
    [anon_sym_triangleadj] = ACTIONS(5611),
    [anon_sym_lineadj] = ACTIONS(5611),
    [anon_sym_triangle] = ACTIONS(5611),
  },
  [2955] = {
    [sym_identifier] = ACTIONS(5715),
    [aux_sym_preproc_def_token1] = ACTIONS(5715),
    [aux_sym_preproc_if_token1] = ACTIONS(5715),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5715),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5715),
    [sym_preproc_directive] = ACTIONS(5715),
    [anon_sym_LPAREN2] = ACTIONS(5717),
    [anon_sym_TILDE] = ACTIONS(5717),
    [anon_sym_STAR] = ACTIONS(5717),
    [anon_sym_AMP_AMP] = ACTIONS(5717),
    [anon_sym_AMP] = ACTIONS(5715),
    [anon_sym___extension__] = ACTIONS(5715),
    [anon_sym_typedef] = ACTIONS(5715),
    [anon_sym_in] = ACTIONS(5715),
    [anon_sym_out] = ACTIONS(5715),
    [anon_sym_inout] = ACTIONS(5715),
    [anon_sym_extern] = ACTIONS(5715),
    [anon_sym___attribute__] = ACTIONS(5715),
    [anon_sym_COLON_COLON] = ACTIONS(5717),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5717),
    [anon_sym___declspec] = ACTIONS(5715),
    [anon_sym___based] = ACTIONS(5715),
    [anon_sym_RBRACE] = ACTIONS(5717),
    [anon_sym_signed] = ACTIONS(5715),
    [anon_sym_unsigned] = ACTIONS(5715),
    [anon_sym_long] = ACTIONS(5715),
    [anon_sym_short] = ACTIONS(5715),
    [anon_sym_LBRACK] = ACTIONS(5715),
    [anon_sym_static] = ACTIONS(5715),
    [anon_sym_register] = ACTIONS(5715),
    [anon_sym_inline] = ACTIONS(5715),
    [anon_sym___inline] = ACTIONS(5715),
    [anon_sym___inline__] = ACTIONS(5715),
    [anon_sym___forceinline] = ACTIONS(5715),
    [anon_sym_thread_local] = ACTIONS(5715),
    [anon_sym___thread] = ACTIONS(5715),
    [anon_sym_const] = ACTIONS(5715),
    [anon_sym_constexpr] = ACTIONS(5715),
    [anon_sym_volatile] = ACTIONS(5715),
    [anon_sym_restrict] = ACTIONS(5715),
    [anon_sym___restrict__] = ACTIONS(5715),
    [anon_sym__Atomic] = ACTIONS(5715),
    [anon_sym__Noreturn] = ACTIONS(5715),
    [anon_sym_noreturn] = ACTIONS(5715),
    [anon_sym_mutable] = ACTIONS(5715),
    [anon_sym_constinit] = ACTIONS(5715),
    [anon_sym_consteval] = ACTIONS(5715),
    [sym_primitive_type] = ACTIONS(5715),
    [anon_sym_enum] = ACTIONS(5715),
    [anon_sym_class] = ACTIONS(5715),
    [anon_sym_struct] = ACTIONS(5715),
    [anon_sym_union] = ACTIONS(5715),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5715),
    [anon_sym_decltype] = ACTIONS(5715),
    [anon_sym_virtual] = ACTIONS(5715),
    [anon_sym_alignas] = ACTIONS(5715),
    [anon_sym_explicit] = ACTIONS(5715),
    [anon_sym_typename] = ACTIONS(5715),
    [anon_sym_template] = ACTIONS(5715),
    [anon_sym_operator] = ACTIONS(5715),
    [anon_sym_friend] = ACTIONS(5715),
    [anon_sym_public] = ACTIONS(5715),
    [anon_sym_private] = ACTIONS(5715),
    [anon_sym_protected] = ACTIONS(5715),
    [anon_sym_using] = ACTIONS(5715),
    [anon_sym_static_assert] = ACTIONS(5715),
    [anon_sym_precise] = ACTIONS(5715),
    [anon_sym_shared] = ACTIONS(5715),
    [anon_sym_groupshared] = ACTIONS(5715),
    [anon_sym_uniform] = ACTIONS(5715),
    [anon_sym_row_major] = ACTIONS(5715),
    [anon_sym_column_major] = ACTIONS(5715),
    [anon_sym_globallycoherent] = ACTIONS(5715),
    [anon_sym_centroid] = ACTIONS(5715),
    [anon_sym_noperspective] = ACTIONS(5715),
    [anon_sym_nointerpolation] = ACTIONS(5715),
    [anon_sym_sample] = ACTIONS(5715),
    [anon_sym_linear] = ACTIONS(5715),
    [anon_sym_snorm] = ACTIONS(5715),
    [anon_sym_unorm] = ACTIONS(5715),
    [anon_sym_point] = ACTIONS(5715),
    [anon_sym_line] = ACTIONS(5715),
    [anon_sym_triangleadj] = ACTIONS(5715),
    [anon_sym_lineadj] = ACTIONS(5715),
    [anon_sym_triangle] = ACTIONS(5715),
  },
  [2956] = {
    [sym_identifier] = ACTIONS(5651),
    [aux_sym_preproc_def_token1] = ACTIONS(5651),
    [aux_sym_preproc_if_token1] = ACTIONS(5651),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5651),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5651),
    [sym_preproc_directive] = ACTIONS(5651),
    [anon_sym_LPAREN2] = ACTIONS(5653),
    [anon_sym_TILDE] = ACTIONS(5653),
    [anon_sym_STAR] = ACTIONS(5653),
    [anon_sym_AMP_AMP] = ACTIONS(5653),
    [anon_sym_AMP] = ACTIONS(5651),
    [anon_sym___extension__] = ACTIONS(5651),
    [anon_sym_typedef] = ACTIONS(5651),
    [anon_sym_in] = ACTIONS(5651),
    [anon_sym_out] = ACTIONS(5651),
    [anon_sym_inout] = ACTIONS(5651),
    [anon_sym_extern] = ACTIONS(5651),
    [anon_sym___attribute__] = ACTIONS(5651),
    [anon_sym_COLON_COLON] = ACTIONS(5653),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5653),
    [anon_sym___declspec] = ACTIONS(5651),
    [anon_sym___based] = ACTIONS(5651),
    [anon_sym_RBRACE] = ACTIONS(5653),
    [anon_sym_signed] = ACTIONS(5651),
    [anon_sym_unsigned] = ACTIONS(5651),
    [anon_sym_long] = ACTIONS(5651),
    [anon_sym_short] = ACTIONS(5651),
    [anon_sym_LBRACK] = ACTIONS(5651),
    [anon_sym_static] = ACTIONS(5651),
    [anon_sym_register] = ACTIONS(5651),
    [anon_sym_inline] = ACTIONS(5651),
    [anon_sym___inline] = ACTIONS(5651),
    [anon_sym___inline__] = ACTIONS(5651),
    [anon_sym___forceinline] = ACTIONS(5651),
    [anon_sym_thread_local] = ACTIONS(5651),
    [anon_sym___thread] = ACTIONS(5651),
    [anon_sym_const] = ACTIONS(5651),
    [anon_sym_constexpr] = ACTIONS(5651),
    [anon_sym_volatile] = ACTIONS(5651),
    [anon_sym_restrict] = ACTIONS(5651),
    [anon_sym___restrict__] = ACTIONS(5651),
    [anon_sym__Atomic] = ACTIONS(5651),
    [anon_sym__Noreturn] = ACTIONS(5651),
    [anon_sym_noreturn] = ACTIONS(5651),
    [anon_sym_mutable] = ACTIONS(5651),
    [anon_sym_constinit] = ACTIONS(5651),
    [anon_sym_consteval] = ACTIONS(5651),
    [sym_primitive_type] = ACTIONS(5651),
    [anon_sym_enum] = ACTIONS(5651),
    [anon_sym_class] = ACTIONS(5651),
    [anon_sym_struct] = ACTIONS(5651),
    [anon_sym_union] = ACTIONS(5651),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5651),
    [anon_sym_decltype] = ACTIONS(5651),
    [anon_sym_virtual] = ACTIONS(5651),
    [anon_sym_alignas] = ACTIONS(5651),
    [anon_sym_explicit] = ACTIONS(5651),
    [anon_sym_typename] = ACTIONS(5651),
    [anon_sym_template] = ACTIONS(5651),
    [anon_sym_operator] = ACTIONS(5651),
    [anon_sym_friend] = ACTIONS(5651),
    [anon_sym_public] = ACTIONS(5651),
    [anon_sym_private] = ACTIONS(5651),
    [anon_sym_protected] = ACTIONS(5651),
    [anon_sym_using] = ACTIONS(5651),
    [anon_sym_static_assert] = ACTIONS(5651),
    [anon_sym_precise] = ACTIONS(5651),
    [anon_sym_shared] = ACTIONS(5651),
    [anon_sym_groupshared] = ACTIONS(5651),
    [anon_sym_uniform] = ACTIONS(5651),
    [anon_sym_row_major] = ACTIONS(5651),
    [anon_sym_column_major] = ACTIONS(5651),
    [anon_sym_globallycoherent] = ACTIONS(5651),
    [anon_sym_centroid] = ACTIONS(5651),
    [anon_sym_noperspective] = ACTIONS(5651),
    [anon_sym_nointerpolation] = ACTIONS(5651),
    [anon_sym_sample] = ACTIONS(5651),
    [anon_sym_linear] = ACTIONS(5651),
    [anon_sym_snorm] = ACTIONS(5651),
    [anon_sym_unorm] = ACTIONS(5651),
    [anon_sym_point] = ACTIONS(5651),
    [anon_sym_line] = ACTIONS(5651),
    [anon_sym_triangleadj] = ACTIONS(5651),
    [anon_sym_lineadj] = ACTIONS(5651),
    [anon_sym_triangle] = ACTIONS(5651),
  },
  [2957] = {
    [sym_identifier] = ACTIONS(5655),
    [aux_sym_preproc_def_token1] = ACTIONS(5655),
    [aux_sym_preproc_if_token1] = ACTIONS(5655),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5655),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5655),
    [sym_preproc_directive] = ACTIONS(5655),
    [anon_sym_LPAREN2] = ACTIONS(5657),
    [anon_sym_TILDE] = ACTIONS(5657),
    [anon_sym_STAR] = ACTIONS(5657),
    [anon_sym_AMP_AMP] = ACTIONS(5657),
    [anon_sym_AMP] = ACTIONS(5655),
    [anon_sym___extension__] = ACTIONS(5655),
    [anon_sym_typedef] = ACTIONS(5655),
    [anon_sym_in] = ACTIONS(5655),
    [anon_sym_out] = ACTIONS(5655),
    [anon_sym_inout] = ACTIONS(5655),
    [anon_sym_extern] = ACTIONS(5655),
    [anon_sym___attribute__] = ACTIONS(5655),
    [anon_sym_COLON_COLON] = ACTIONS(5657),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5657),
    [anon_sym___declspec] = ACTIONS(5655),
    [anon_sym___based] = ACTIONS(5655),
    [anon_sym_RBRACE] = ACTIONS(5657),
    [anon_sym_signed] = ACTIONS(5655),
    [anon_sym_unsigned] = ACTIONS(5655),
    [anon_sym_long] = ACTIONS(5655),
    [anon_sym_short] = ACTIONS(5655),
    [anon_sym_LBRACK] = ACTIONS(5655),
    [anon_sym_static] = ACTIONS(5655),
    [anon_sym_register] = ACTIONS(5655),
    [anon_sym_inline] = ACTIONS(5655),
    [anon_sym___inline] = ACTIONS(5655),
    [anon_sym___inline__] = ACTIONS(5655),
    [anon_sym___forceinline] = ACTIONS(5655),
    [anon_sym_thread_local] = ACTIONS(5655),
    [anon_sym___thread] = ACTIONS(5655),
    [anon_sym_const] = ACTIONS(5655),
    [anon_sym_constexpr] = ACTIONS(5655),
    [anon_sym_volatile] = ACTIONS(5655),
    [anon_sym_restrict] = ACTIONS(5655),
    [anon_sym___restrict__] = ACTIONS(5655),
    [anon_sym__Atomic] = ACTIONS(5655),
    [anon_sym__Noreturn] = ACTIONS(5655),
    [anon_sym_noreturn] = ACTIONS(5655),
    [anon_sym_mutable] = ACTIONS(5655),
    [anon_sym_constinit] = ACTIONS(5655),
    [anon_sym_consteval] = ACTIONS(5655),
    [sym_primitive_type] = ACTIONS(5655),
    [anon_sym_enum] = ACTIONS(5655),
    [anon_sym_class] = ACTIONS(5655),
    [anon_sym_struct] = ACTIONS(5655),
    [anon_sym_union] = ACTIONS(5655),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5655),
    [anon_sym_decltype] = ACTIONS(5655),
    [anon_sym_virtual] = ACTIONS(5655),
    [anon_sym_alignas] = ACTIONS(5655),
    [anon_sym_explicit] = ACTIONS(5655),
    [anon_sym_typename] = ACTIONS(5655),
    [anon_sym_template] = ACTIONS(5655),
    [anon_sym_operator] = ACTIONS(5655),
    [anon_sym_friend] = ACTIONS(5655),
    [anon_sym_public] = ACTIONS(5655),
    [anon_sym_private] = ACTIONS(5655),
    [anon_sym_protected] = ACTIONS(5655),
    [anon_sym_using] = ACTIONS(5655),
    [anon_sym_static_assert] = ACTIONS(5655),
    [anon_sym_precise] = ACTIONS(5655),
    [anon_sym_shared] = ACTIONS(5655),
    [anon_sym_groupshared] = ACTIONS(5655),
    [anon_sym_uniform] = ACTIONS(5655),
    [anon_sym_row_major] = ACTIONS(5655),
    [anon_sym_column_major] = ACTIONS(5655),
    [anon_sym_globallycoherent] = ACTIONS(5655),
    [anon_sym_centroid] = ACTIONS(5655),
    [anon_sym_noperspective] = ACTIONS(5655),
    [anon_sym_nointerpolation] = ACTIONS(5655),
    [anon_sym_sample] = ACTIONS(5655),
    [anon_sym_linear] = ACTIONS(5655),
    [anon_sym_snorm] = ACTIONS(5655),
    [anon_sym_unorm] = ACTIONS(5655),
    [anon_sym_point] = ACTIONS(5655),
    [anon_sym_line] = ACTIONS(5655),
    [anon_sym_triangleadj] = ACTIONS(5655),
    [anon_sym_lineadj] = ACTIONS(5655),
    [anon_sym_triangle] = ACTIONS(5655),
  },
  [2958] = {
    [sym_identifier] = ACTIONS(5683),
    [aux_sym_preproc_def_token1] = ACTIONS(5683),
    [aux_sym_preproc_if_token1] = ACTIONS(5683),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5683),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5683),
    [sym_preproc_directive] = ACTIONS(5683),
    [anon_sym_LPAREN2] = ACTIONS(5685),
    [anon_sym_TILDE] = ACTIONS(5685),
    [anon_sym_STAR] = ACTIONS(5685),
    [anon_sym_AMP_AMP] = ACTIONS(5685),
    [anon_sym_AMP] = ACTIONS(5683),
    [anon_sym___extension__] = ACTIONS(5683),
    [anon_sym_typedef] = ACTIONS(5683),
    [anon_sym_in] = ACTIONS(5683),
    [anon_sym_out] = ACTIONS(5683),
    [anon_sym_inout] = ACTIONS(5683),
    [anon_sym_extern] = ACTIONS(5683),
    [anon_sym___attribute__] = ACTIONS(5683),
    [anon_sym_COLON_COLON] = ACTIONS(5685),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5685),
    [anon_sym___declspec] = ACTIONS(5683),
    [anon_sym___based] = ACTIONS(5683),
    [anon_sym_RBRACE] = ACTIONS(5685),
    [anon_sym_signed] = ACTIONS(5683),
    [anon_sym_unsigned] = ACTIONS(5683),
    [anon_sym_long] = ACTIONS(5683),
    [anon_sym_short] = ACTIONS(5683),
    [anon_sym_LBRACK] = ACTIONS(5683),
    [anon_sym_static] = ACTIONS(5683),
    [anon_sym_register] = ACTIONS(5683),
    [anon_sym_inline] = ACTIONS(5683),
    [anon_sym___inline] = ACTIONS(5683),
    [anon_sym___inline__] = ACTIONS(5683),
    [anon_sym___forceinline] = ACTIONS(5683),
    [anon_sym_thread_local] = ACTIONS(5683),
    [anon_sym___thread] = ACTIONS(5683),
    [anon_sym_const] = ACTIONS(5683),
    [anon_sym_constexpr] = ACTIONS(5683),
    [anon_sym_volatile] = ACTIONS(5683),
    [anon_sym_restrict] = ACTIONS(5683),
    [anon_sym___restrict__] = ACTIONS(5683),
    [anon_sym__Atomic] = ACTIONS(5683),
    [anon_sym__Noreturn] = ACTIONS(5683),
    [anon_sym_noreturn] = ACTIONS(5683),
    [anon_sym_mutable] = ACTIONS(5683),
    [anon_sym_constinit] = ACTIONS(5683),
    [anon_sym_consteval] = ACTIONS(5683),
    [sym_primitive_type] = ACTIONS(5683),
    [anon_sym_enum] = ACTIONS(5683),
    [anon_sym_class] = ACTIONS(5683),
    [anon_sym_struct] = ACTIONS(5683),
    [anon_sym_union] = ACTIONS(5683),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5683),
    [anon_sym_decltype] = ACTIONS(5683),
    [anon_sym_virtual] = ACTIONS(5683),
    [anon_sym_alignas] = ACTIONS(5683),
    [anon_sym_explicit] = ACTIONS(5683),
    [anon_sym_typename] = ACTIONS(5683),
    [anon_sym_template] = ACTIONS(5683),
    [anon_sym_operator] = ACTIONS(5683),
    [anon_sym_friend] = ACTIONS(5683),
    [anon_sym_public] = ACTIONS(5683),
    [anon_sym_private] = ACTIONS(5683),
    [anon_sym_protected] = ACTIONS(5683),
    [anon_sym_using] = ACTIONS(5683),
    [anon_sym_static_assert] = ACTIONS(5683),
    [anon_sym_precise] = ACTIONS(5683),
    [anon_sym_shared] = ACTIONS(5683),
    [anon_sym_groupshared] = ACTIONS(5683),
    [anon_sym_uniform] = ACTIONS(5683),
    [anon_sym_row_major] = ACTIONS(5683),
    [anon_sym_column_major] = ACTIONS(5683),
    [anon_sym_globallycoherent] = ACTIONS(5683),
    [anon_sym_centroid] = ACTIONS(5683),
    [anon_sym_noperspective] = ACTIONS(5683),
    [anon_sym_nointerpolation] = ACTIONS(5683),
    [anon_sym_sample] = ACTIONS(5683),
    [anon_sym_linear] = ACTIONS(5683),
    [anon_sym_snorm] = ACTIONS(5683),
    [anon_sym_unorm] = ACTIONS(5683),
    [anon_sym_point] = ACTIONS(5683),
    [anon_sym_line] = ACTIONS(5683),
    [anon_sym_triangleadj] = ACTIONS(5683),
    [anon_sym_lineadj] = ACTIONS(5683),
    [anon_sym_triangle] = ACTIONS(5683),
  },
  [2959] = {
    [sym_identifier] = ACTIONS(5655),
    [aux_sym_preproc_def_token1] = ACTIONS(5655),
    [aux_sym_preproc_if_token1] = ACTIONS(5655),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5655),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5655),
    [sym_preproc_directive] = ACTIONS(5655),
    [anon_sym_LPAREN2] = ACTIONS(5657),
    [anon_sym_TILDE] = ACTIONS(5657),
    [anon_sym_STAR] = ACTIONS(5657),
    [anon_sym_AMP_AMP] = ACTIONS(5657),
    [anon_sym_AMP] = ACTIONS(5655),
    [anon_sym___extension__] = ACTIONS(5655),
    [anon_sym_typedef] = ACTIONS(5655),
    [anon_sym_in] = ACTIONS(5655),
    [anon_sym_out] = ACTIONS(5655),
    [anon_sym_inout] = ACTIONS(5655),
    [anon_sym_extern] = ACTIONS(5655),
    [anon_sym___attribute__] = ACTIONS(5655),
    [anon_sym_COLON_COLON] = ACTIONS(5657),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5657),
    [anon_sym___declspec] = ACTIONS(5655),
    [anon_sym___based] = ACTIONS(5655),
    [anon_sym_RBRACE] = ACTIONS(5657),
    [anon_sym_signed] = ACTIONS(5655),
    [anon_sym_unsigned] = ACTIONS(5655),
    [anon_sym_long] = ACTIONS(5655),
    [anon_sym_short] = ACTIONS(5655),
    [anon_sym_LBRACK] = ACTIONS(5655),
    [anon_sym_static] = ACTIONS(5655),
    [anon_sym_register] = ACTIONS(5655),
    [anon_sym_inline] = ACTIONS(5655),
    [anon_sym___inline] = ACTIONS(5655),
    [anon_sym___inline__] = ACTIONS(5655),
    [anon_sym___forceinline] = ACTIONS(5655),
    [anon_sym_thread_local] = ACTIONS(5655),
    [anon_sym___thread] = ACTIONS(5655),
    [anon_sym_const] = ACTIONS(5655),
    [anon_sym_constexpr] = ACTIONS(5655),
    [anon_sym_volatile] = ACTIONS(5655),
    [anon_sym_restrict] = ACTIONS(5655),
    [anon_sym___restrict__] = ACTIONS(5655),
    [anon_sym__Atomic] = ACTIONS(5655),
    [anon_sym__Noreturn] = ACTIONS(5655),
    [anon_sym_noreturn] = ACTIONS(5655),
    [anon_sym_mutable] = ACTIONS(5655),
    [anon_sym_constinit] = ACTIONS(5655),
    [anon_sym_consteval] = ACTIONS(5655),
    [sym_primitive_type] = ACTIONS(5655),
    [anon_sym_enum] = ACTIONS(5655),
    [anon_sym_class] = ACTIONS(5655),
    [anon_sym_struct] = ACTIONS(5655),
    [anon_sym_union] = ACTIONS(5655),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5655),
    [anon_sym_decltype] = ACTIONS(5655),
    [anon_sym_virtual] = ACTIONS(5655),
    [anon_sym_alignas] = ACTIONS(5655),
    [anon_sym_explicit] = ACTIONS(5655),
    [anon_sym_typename] = ACTIONS(5655),
    [anon_sym_template] = ACTIONS(5655),
    [anon_sym_operator] = ACTIONS(5655),
    [anon_sym_friend] = ACTIONS(5655),
    [anon_sym_public] = ACTIONS(5655),
    [anon_sym_private] = ACTIONS(5655),
    [anon_sym_protected] = ACTIONS(5655),
    [anon_sym_using] = ACTIONS(5655),
    [anon_sym_static_assert] = ACTIONS(5655),
    [anon_sym_precise] = ACTIONS(5655),
    [anon_sym_shared] = ACTIONS(5655),
    [anon_sym_groupshared] = ACTIONS(5655),
    [anon_sym_uniform] = ACTIONS(5655),
    [anon_sym_row_major] = ACTIONS(5655),
    [anon_sym_column_major] = ACTIONS(5655),
    [anon_sym_globallycoherent] = ACTIONS(5655),
    [anon_sym_centroid] = ACTIONS(5655),
    [anon_sym_noperspective] = ACTIONS(5655),
    [anon_sym_nointerpolation] = ACTIONS(5655),
    [anon_sym_sample] = ACTIONS(5655),
    [anon_sym_linear] = ACTIONS(5655),
    [anon_sym_snorm] = ACTIONS(5655),
    [anon_sym_unorm] = ACTIONS(5655),
    [anon_sym_point] = ACTIONS(5655),
    [anon_sym_line] = ACTIONS(5655),
    [anon_sym_triangleadj] = ACTIONS(5655),
    [anon_sym_lineadj] = ACTIONS(5655),
    [anon_sym_triangle] = ACTIONS(5655),
  },
  [2960] = {
    [sym_identifier] = ACTIONS(2388),
    [aux_sym_preproc_def_token1] = ACTIONS(2388),
    [aux_sym_preproc_if_token1] = ACTIONS(2388),
    [aux_sym_preproc_if_token2] = ACTIONS(2388),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2388),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2388),
    [sym_preproc_directive] = ACTIONS(2388),
    [anon_sym_LPAREN2] = ACTIONS(2390),
    [anon_sym_TILDE] = ACTIONS(2390),
    [anon_sym_STAR] = ACTIONS(2390),
    [anon_sym_AMP_AMP] = ACTIONS(2390),
    [anon_sym_AMP] = ACTIONS(2388),
    [anon_sym___extension__] = ACTIONS(2388),
    [anon_sym_typedef] = ACTIONS(2388),
    [anon_sym_in] = ACTIONS(2388),
    [anon_sym_out] = ACTIONS(2388),
    [anon_sym_inout] = ACTIONS(2388),
    [anon_sym_extern] = ACTIONS(2388),
    [anon_sym___attribute__] = ACTIONS(2388),
    [anon_sym_COLON_COLON] = ACTIONS(2390),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2390),
    [anon_sym___declspec] = ACTIONS(2388),
    [anon_sym___based] = ACTIONS(2388),
    [anon_sym_signed] = ACTIONS(2388),
    [anon_sym_unsigned] = ACTIONS(2388),
    [anon_sym_long] = ACTIONS(2388),
    [anon_sym_short] = ACTIONS(2388),
    [anon_sym_LBRACK] = ACTIONS(2388),
    [anon_sym_static] = ACTIONS(2388),
    [anon_sym_register] = ACTIONS(2388),
    [anon_sym_inline] = ACTIONS(2388),
    [anon_sym___inline] = ACTIONS(2388),
    [anon_sym___inline__] = ACTIONS(2388),
    [anon_sym___forceinline] = ACTIONS(2388),
    [anon_sym_thread_local] = ACTIONS(2388),
    [anon_sym___thread] = ACTIONS(2388),
    [anon_sym_const] = ACTIONS(2388),
    [anon_sym_constexpr] = ACTIONS(2388),
    [anon_sym_volatile] = ACTIONS(2388),
    [anon_sym_restrict] = ACTIONS(2388),
    [anon_sym___restrict__] = ACTIONS(2388),
    [anon_sym__Atomic] = ACTIONS(2388),
    [anon_sym__Noreturn] = ACTIONS(2388),
    [anon_sym_noreturn] = ACTIONS(2388),
    [anon_sym_mutable] = ACTIONS(2388),
    [anon_sym_constinit] = ACTIONS(2388),
    [anon_sym_consteval] = ACTIONS(2388),
    [sym_primitive_type] = ACTIONS(2388),
    [anon_sym_enum] = ACTIONS(2388),
    [anon_sym_class] = ACTIONS(2388),
    [anon_sym_struct] = ACTIONS(2388),
    [anon_sym_union] = ACTIONS(2388),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2388),
    [anon_sym_decltype] = ACTIONS(2388),
    [anon_sym_virtual] = ACTIONS(2388),
    [anon_sym_alignas] = ACTIONS(2388),
    [anon_sym_explicit] = ACTIONS(2388),
    [anon_sym_typename] = ACTIONS(2388),
    [anon_sym_template] = ACTIONS(2388),
    [anon_sym_operator] = ACTIONS(2388),
    [anon_sym_friend] = ACTIONS(2388),
    [anon_sym_public] = ACTIONS(2388),
    [anon_sym_private] = ACTIONS(2388),
    [anon_sym_protected] = ACTIONS(2388),
    [anon_sym_using] = ACTIONS(2388),
    [anon_sym_static_assert] = ACTIONS(2388),
    [anon_sym_precise] = ACTIONS(2388),
    [anon_sym_shared] = ACTIONS(2388),
    [anon_sym_groupshared] = ACTIONS(2388),
    [anon_sym_uniform] = ACTIONS(2388),
    [anon_sym_row_major] = ACTIONS(2388),
    [anon_sym_column_major] = ACTIONS(2388),
    [anon_sym_globallycoherent] = ACTIONS(2388),
    [anon_sym_centroid] = ACTIONS(2388),
    [anon_sym_noperspective] = ACTIONS(2388),
    [anon_sym_nointerpolation] = ACTIONS(2388),
    [anon_sym_sample] = ACTIONS(2388),
    [anon_sym_linear] = ACTIONS(2388),
    [anon_sym_snorm] = ACTIONS(2388),
    [anon_sym_unorm] = ACTIONS(2388),
    [anon_sym_point] = ACTIONS(2388),
    [anon_sym_line] = ACTIONS(2388),
    [anon_sym_triangleadj] = ACTIONS(2388),
    [anon_sym_lineadj] = ACTIONS(2388),
    [anon_sym_triangle] = ACTIONS(2388),
  },
  [2961] = {
    [sym_identifier] = ACTIONS(5683),
    [aux_sym_preproc_def_token1] = ACTIONS(5683),
    [aux_sym_preproc_if_token1] = ACTIONS(5683),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5683),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5683),
    [sym_preproc_directive] = ACTIONS(5683),
    [anon_sym_LPAREN2] = ACTIONS(5685),
    [anon_sym_TILDE] = ACTIONS(5685),
    [anon_sym_STAR] = ACTIONS(5685),
    [anon_sym_AMP_AMP] = ACTIONS(5685),
    [anon_sym_AMP] = ACTIONS(5683),
    [anon_sym___extension__] = ACTIONS(5683),
    [anon_sym_typedef] = ACTIONS(5683),
    [anon_sym_in] = ACTIONS(5683),
    [anon_sym_out] = ACTIONS(5683),
    [anon_sym_inout] = ACTIONS(5683),
    [anon_sym_extern] = ACTIONS(5683),
    [anon_sym___attribute__] = ACTIONS(5683),
    [anon_sym_COLON_COLON] = ACTIONS(5685),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5685),
    [anon_sym___declspec] = ACTIONS(5683),
    [anon_sym___based] = ACTIONS(5683),
    [anon_sym_RBRACE] = ACTIONS(5685),
    [anon_sym_signed] = ACTIONS(5683),
    [anon_sym_unsigned] = ACTIONS(5683),
    [anon_sym_long] = ACTIONS(5683),
    [anon_sym_short] = ACTIONS(5683),
    [anon_sym_LBRACK] = ACTIONS(5683),
    [anon_sym_static] = ACTIONS(5683),
    [anon_sym_register] = ACTIONS(5683),
    [anon_sym_inline] = ACTIONS(5683),
    [anon_sym___inline] = ACTIONS(5683),
    [anon_sym___inline__] = ACTIONS(5683),
    [anon_sym___forceinline] = ACTIONS(5683),
    [anon_sym_thread_local] = ACTIONS(5683),
    [anon_sym___thread] = ACTIONS(5683),
    [anon_sym_const] = ACTIONS(5683),
    [anon_sym_constexpr] = ACTIONS(5683),
    [anon_sym_volatile] = ACTIONS(5683),
    [anon_sym_restrict] = ACTIONS(5683),
    [anon_sym___restrict__] = ACTIONS(5683),
    [anon_sym__Atomic] = ACTIONS(5683),
    [anon_sym__Noreturn] = ACTIONS(5683),
    [anon_sym_noreturn] = ACTIONS(5683),
    [anon_sym_mutable] = ACTIONS(5683),
    [anon_sym_constinit] = ACTIONS(5683),
    [anon_sym_consteval] = ACTIONS(5683),
    [sym_primitive_type] = ACTIONS(5683),
    [anon_sym_enum] = ACTIONS(5683),
    [anon_sym_class] = ACTIONS(5683),
    [anon_sym_struct] = ACTIONS(5683),
    [anon_sym_union] = ACTIONS(5683),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5683),
    [anon_sym_decltype] = ACTIONS(5683),
    [anon_sym_virtual] = ACTIONS(5683),
    [anon_sym_alignas] = ACTIONS(5683),
    [anon_sym_explicit] = ACTIONS(5683),
    [anon_sym_typename] = ACTIONS(5683),
    [anon_sym_template] = ACTIONS(5683),
    [anon_sym_operator] = ACTIONS(5683),
    [anon_sym_friend] = ACTIONS(5683),
    [anon_sym_public] = ACTIONS(5683),
    [anon_sym_private] = ACTIONS(5683),
    [anon_sym_protected] = ACTIONS(5683),
    [anon_sym_using] = ACTIONS(5683),
    [anon_sym_static_assert] = ACTIONS(5683),
    [anon_sym_precise] = ACTIONS(5683),
    [anon_sym_shared] = ACTIONS(5683),
    [anon_sym_groupshared] = ACTIONS(5683),
    [anon_sym_uniform] = ACTIONS(5683),
    [anon_sym_row_major] = ACTIONS(5683),
    [anon_sym_column_major] = ACTIONS(5683),
    [anon_sym_globallycoherent] = ACTIONS(5683),
    [anon_sym_centroid] = ACTIONS(5683),
    [anon_sym_noperspective] = ACTIONS(5683),
    [anon_sym_nointerpolation] = ACTIONS(5683),
    [anon_sym_sample] = ACTIONS(5683),
    [anon_sym_linear] = ACTIONS(5683),
    [anon_sym_snorm] = ACTIONS(5683),
    [anon_sym_unorm] = ACTIONS(5683),
    [anon_sym_point] = ACTIONS(5683),
    [anon_sym_line] = ACTIONS(5683),
    [anon_sym_triangleadj] = ACTIONS(5683),
    [anon_sym_lineadj] = ACTIONS(5683),
    [anon_sym_triangle] = ACTIONS(5683),
  },
  [2962] = {
    [sym_identifier] = ACTIONS(2751),
    [aux_sym_preproc_def_token1] = ACTIONS(2751),
    [aux_sym_preproc_if_token1] = ACTIONS(2751),
    [aux_sym_preproc_if_token2] = ACTIONS(2751),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2751),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2751),
    [sym_preproc_directive] = ACTIONS(2751),
    [anon_sym_LPAREN2] = ACTIONS(2753),
    [anon_sym_TILDE] = ACTIONS(2753),
    [anon_sym_STAR] = ACTIONS(2753),
    [anon_sym_AMP_AMP] = ACTIONS(2753),
    [anon_sym_AMP] = ACTIONS(2751),
    [anon_sym___extension__] = ACTIONS(2751),
    [anon_sym_typedef] = ACTIONS(2751),
    [anon_sym_in] = ACTIONS(2751),
    [anon_sym_out] = ACTIONS(2751),
    [anon_sym_inout] = ACTIONS(2751),
    [anon_sym_extern] = ACTIONS(2751),
    [anon_sym___attribute__] = ACTIONS(2751),
    [anon_sym_COLON_COLON] = ACTIONS(2753),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2753),
    [anon_sym___declspec] = ACTIONS(2751),
    [anon_sym___based] = ACTIONS(2751),
    [anon_sym_signed] = ACTIONS(2751),
    [anon_sym_unsigned] = ACTIONS(2751),
    [anon_sym_long] = ACTIONS(2751),
    [anon_sym_short] = ACTIONS(2751),
    [anon_sym_LBRACK] = ACTIONS(2751),
    [anon_sym_static] = ACTIONS(2751),
    [anon_sym_register] = ACTIONS(2751),
    [anon_sym_inline] = ACTIONS(2751),
    [anon_sym___inline] = ACTIONS(2751),
    [anon_sym___inline__] = ACTIONS(2751),
    [anon_sym___forceinline] = ACTIONS(2751),
    [anon_sym_thread_local] = ACTIONS(2751),
    [anon_sym___thread] = ACTIONS(2751),
    [anon_sym_const] = ACTIONS(2751),
    [anon_sym_constexpr] = ACTIONS(2751),
    [anon_sym_volatile] = ACTIONS(2751),
    [anon_sym_restrict] = ACTIONS(2751),
    [anon_sym___restrict__] = ACTIONS(2751),
    [anon_sym__Atomic] = ACTIONS(2751),
    [anon_sym__Noreturn] = ACTIONS(2751),
    [anon_sym_noreturn] = ACTIONS(2751),
    [anon_sym_mutable] = ACTIONS(2751),
    [anon_sym_constinit] = ACTIONS(2751),
    [anon_sym_consteval] = ACTIONS(2751),
    [sym_primitive_type] = ACTIONS(2751),
    [anon_sym_enum] = ACTIONS(2751),
    [anon_sym_class] = ACTIONS(2751),
    [anon_sym_struct] = ACTIONS(2751),
    [anon_sym_union] = ACTIONS(2751),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2751),
    [anon_sym_decltype] = ACTIONS(2751),
    [anon_sym_virtual] = ACTIONS(2751),
    [anon_sym_alignas] = ACTIONS(2751),
    [anon_sym_explicit] = ACTIONS(2751),
    [anon_sym_typename] = ACTIONS(2751),
    [anon_sym_template] = ACTIONS(2751),
    [anon_sym_operator] = ACTIONS(2751),
    [anon_sym_friend] = ACTIONS(2751),
    [anon_sym_public] = ACTIONS(2751),
    [anon_sym_private] = ACTIONS(2751),
    [anon_sym_protected] = ACTIONS(2751),
    [anon_sym_using] = ACTIONS(2751),
    [anon_sym_static_assert] = ACTIONS(2751),
    [anon_sym_precise] = ACTIONS(2751),
    [anon_sym_shared] = ACTIONS(2751),
    [anon_sym_groupshared] = ACTIONS(2751),
    [anon_sym_uniform] = ACTIONS(2751),
    [anon_sym_row_major] = ACTIONS(2751),
    [anon_sym_column_major] = ACTIONS(2751),
    [anon_sym_globallycoherent] = ACTIONS(2751),
    [anon_sym_centroid] = ACTIONS(2751),
    [anon_sym_noperspective] = ACTIONS(2751),
    [anon_sym_nointerpolation] = ACTIONS(2751),
    [anon_sym_sample] = ACTIONS(2751),
    [anon_sym_linear] = ACTIONS(2751),
    [anon_sym_snorm] = ACTIONS(2751),
    [anon_sym_unorm] = ACTIONS(2751),
    [anon_sym_point] = ACTIONS(2751),
    [anon_sym_line] = ACTIONS(2751),
    [anon_sym_triangleadj] = ACTIONS(2751),
    [anon_sym_lineadj] = ACTIONS(2751),
    [anon_sym_triangle] = ACTIONS(2751),
  },
  [2963] = {
    [sym_identifier] = ACTIONS(5607),
    [aux_sym_preproc_def_token1] = ACTIONS(5607),
    [aux_sym_preproc_if_token1] = ACTIONS(5607),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5607),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5607),
    [sym_preproc_directive] = ACTIONS(5607),
    [anon_sym_LPAREN2] = ACTIONS(5609),
    [anon_sym_TILDE] = ACTIONS(5609),
    [anon_sym_STAR] = ACTIONS(5609),
    [anon_sym_AMP_AMP] = ACTIONS(5609),
    [anon_sym_AMP] = ACTIONS(5607),
    [anon_sym___extension__] = ACTIONS(5607),
    [anon_sym_typedef] = ACTIONS(5607),
    [anon_sym_in] = ACTIONS(5607),
    [anon_sym_out] = ACTIONS(5607),
    [anon_sym_inout] = ACTIONS(5607),
    [anon_sym_extern] = ACTIONS(5607),
    [anon_sym___attribute__] = ACTIONS(5607),
    [anon_sym_COLON_COLON] = ACTIONS(5609),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5609),
    [anon_sym___declspec] = ACTIONS(5607),
    [anon_sym___based] = ACTIONS(5607),
    [anon_sym_RBRACE] = ACTIONS(5609),
    [anon_sym_signed] = ACTIONS(5607),
    [anon_sym_unsigned] = ACTIONS(5607),
    [anon_sym_long] = ACTIONS(5607),
    [anon_sym_short] = ACTIONS(5607),
    [anon_sym_LBRACK] = ACTIONS(5607),
    [anon_sym_static] = ACTIONS(5607),
    [anon_sym_register] = ACTIONS(5607),
    [anon_sym_inline] = ACTIONS(5607),
    [anon_sym___inline] = ACTIONS(5607),
    [anon_sym___inline__] = ACTIONS(5607),
    [anon_sym___forceinline] = ACTIONS(5607),
    [anon_sym_thread_local] = ACTIONS(5607),
    [anon_sym___thread] = ACTIONS(5607),
    [anon_sym_const] = ACTIONS(5607),
    [anon_sym_constexpr] = ACTIONS(5607),
    [anon_sym_volatile] = ACTIONS(5607),
    [anon_sym_restrict] = ACTIONS(5607),
    [anon_sym___restrict__] = ACTIONS(5607),
    [anon_sym__Atomic] = ACTIONS(5607),
    [anon_sym__Noreturn] = ACTIONS(5607),
    [anon_sym_noreturn] = ACTIONS(5607),
    [anon_sym_mutable] = ACTIONS(5607),
    [anon_sym_constinit] = ACTIONS(5607),
    [anon_sym_consteval] = ACTIONS(5607),
    [sym_primitive_type] = ACTIONS(5607),
    [anon_sym_enum] = ACTIONS(5607),
    [anon_sym_class] = ACTIONS(5607),
    [anon_sym_struct] = ACTIONS(5607),
    [anon_sym_union] = ACTIONS(5607),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5607),
    [anon_sym_decltype] = ACTIONS(5607),
    [anon_sym_virtual] = ACTIONS(5607),
    [anon_sym_alignas] = ACTIONS(5607),
    [anon_sym_explicit] = ACTIONS(5607),
    [anon_sym_typename] = ACTIONS(5607),
    [anon_sym_template] = ACTIONS(5607),
    [anon_sym_operator] = ACTIONS(5607),
    [anon_sym_friend] = ACTIONS(5607),
    [anon_sym_public] = ACTIONS(5607),
    [anon_sym_private] = ACTIONS(5607),
    [anon_sym_protected] = ACTIONS(5607),
    [anon_sym_using] = ACTIONS(5607),
    [anon_sym_static_assert] = ACTIONS(5607),
    [anon_sym_precise] = ACTIONS(5607),
    [anon_sym_shared] = ACTIONS(5607),
    [anon_sym_groupshared] = ACTIONS(5607),
    [anon_sym_uniform] = ACTIONS(5607),
    [anon_sym_row_major] = ACTIONS(5607),
    [anon_sym_column_major] = ACTIONS(5607),
    [anon_sym_globallycoherent] = ACTIONS(5607),
    [anon_sym_centroid] = ACTIONS(5607),
    [anon_sym_noperspective] = ACTIONS(5607),
    [anon_sym_nointerpolation] = ACTIONS(5607),
    [anon_sym_sample] = ACTIONS(5607),
    [anon_sym_linear] = ACTIONS(5607),
    [anon_sym_snorm] = ACTIONS(5607),
    [anon_sym_unorm] = ACTIONS(5607),
    [anon_sym_point] = ACTIONS(5607),
    [anon_sym_line] = ACTIONS(5607),
    [anon_sym_triangleadj] = ACTIONS(5607),
    [anon_sym_lineadj] = ACTIONS(5607),
    [anon_sym_triangle] = ACTIONS(5607),
  },
  [2964] = {
    [sym_identifier] = ACTIONS(2721),
    [aux_sym_preproc_def_token1] = ACTIONS(2721),
    [aux_sym_preproc_if_token1] = ACTIONS(2721),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2721),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2721),
    [sym_preproc_directive] = ACTIONS(2721),
    [anon_sym_LPAREN2] = ACTIONS(2723),
    [anon_sym_TILDE] = ACTIONS(2723),
    [anon_sym_STAR] = ACTIONS(2723),
    [anon_sym_AMP_AMP] = ACTIONS(2723),
    [anon_sym_AMP] = ACTIONS(2721),
    [anon_sym___extension__] = ACTIONS(2721),
    [anon_sym_typedef] = ACTIONS(2721),
    [anon_sym_in] = ACTIONS(2721),
    [anon_sym_out] = ACTIONS(2721),
    [anon_sym_inout] = ACTIONS(2721),
    [anon_sym_extern] = ACTIONS(2721),
    [anon_sym___attribute__] = ACTIONS(2721),
    [anon_sym_COLON_COLON] = ACTIONS(2723),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2723),
    [anon_sym___declspec] = ACTIONS(2721),
    [anon_sym___based] = ACTIONS(2721),
    [anon_sym_RBRACE] = ACTIONS(2723),
    [anon_sym_signed] = ACTIONS(2721),
    [anon_sym_unsigned] = ACTIONS(2721),
    [anon_sym_long] = ACTIONS(2721),
    [anon_sym_short] = ACTIONS(2721),
    [anon_sym_LBRACK] = ACTIONS(2721),
    [anon_sym_static] = ACTIONS(2721),
    [anon_sym_register] = ACTIONS(2721),
    [anon_sym_inline] = ACTIONS(2721),
    [anon_sym___inline] = ACTIONS(2721),
    [anon_sym___inline__] = ACTIONS(2721),
    [anon_sym___forceinline] = ACTIONS(2721),
    [anon_sym_thread_local] = ACTIONS(2721),
    [anon_sym___thread] = ACTIONS(2721),
    [anon_sym_const] = ACTIONS(2721),
    [anon_sym_constexpr] = ACTIONS(2721),
    [anon_sym_volatile] = ACTIONS(2721),
    [anon_sym_restrict] = ACTIONS(2721),
    [anon_sym___restrict__] = ACTIONS(2721),
    [anon_sym__Atomic] = ACTIONS(2721),
    [anon_sym__Noreturn] = ACTIONS(2721),
    [anon_sym_noreturn] = ACTIONS(2721),
    [anon_sym_mutable] = ACTIONS(2721),
    [anon_sym_constinit] = ACTIONS(2721),
    [anon_sym_consteval] = ACTIONS(2721),
    [sym_primitive_type] = ACTIONS(2721),
    [anon_sym_enum] = ACTIONS(2721),
    [anon_sym_class] = ACTIONS(2721),
    [anon_sym_struct] = ACTIONS(2721),
    [anon_sym_union] = ACTIONS(2721),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2721),
    [anon_sym_decltype] = ACTIONS(2721),
    [anon_sym_virtual] = ACTIONS(2721),
    [anon_sym_alignas] = ACTIONS(2721),
    [anon_sym_explicit] = ACTIONS(2721),
    [anon_sym_typename] = ACTIONS(2721),
    [anon_sym_template] = ACTIONS(2721),
    [anon_sym_operator] = ACTIONS(2721),
    [anon_sym_friend] = ACTIONS(2721),
    [anon_sym_public] = ACTIONS(2721),
    [anon_sym_private] = ACTIONS(2721),
    [anon_sym_protected] = ACTIONS(2721),
    [anon_sym_using] = ACTIONS(2721),
    [anon_sym_static_assert] = ACTIONS(2721),
    [anon_sym_precise] = ACTIONS(2721),
    [anon_sym_shared] = ACTIONS(2721),
    [anon_sym_groupshared] = ACTIONS(2721),
    [anon_sym_uniform] = ACTIONS(2721),
    [anon_sym_row_major] = ACTIONS(2721),
    [anon_sym_column_major] = ACTIONS(2721),
    [anon_sym_globallycoherent] = ACTIONS(2721),
    [anon_sym_centroid] = ACTIONS(2721),
    [anon_sym_noperspective] = ACTIONS(2721),
    [anon_sym_nointerpolation] = ACTIONS(2721),
    [anon_sym_sample] = ACTIONS(2721),
    [anon_sym_linear] = ACTIONS(2721),
    [anon_sym_snorm] = ACTIONS(2721),
    [anon_sym_unorm] = ACTIONS(2721),
    [anon_sym_point] = ACTIONS(2721),
    [anon_sym_line] = ACTIONS(2721),
    [anon_sym_triangleadj] = ACTIONS(2721),
    [anon_sym_lineadj] = ACTIONS(2721),
    [anon_sym_triangle] = ACTIONS(2721),
  },
  [2965] = {
    [sym_identifier] = ACTIONS(5691),
    [aux_sym_preproc_def_token1] = ACTIONS(5691),
    [aux_sym_preproc_if_token1] = ACTIONS(5691),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5691),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5691),
    [sym_preproc_directive] = ACTIONS(5691),
    [anon_sym_LPAREN2] = ACTIONS(5693),
    [anon_sym_TILDE] = ACTIONS(5693),
    [anon_sym_STAR] = ACTIONS(5693),
    [anon_sym_AMP_AMP] = ACTIONS(5693),
    [anon_sym_AMP] = ACTIONS(5691),
    [anon_sym___extension__] = ACTIONS(5691),
    [anon_sym_typedef] = ACTIONS(5691),
    [anon_sym_in] = ACTIONS(5691),
    [anon_sym_out] = ACTIONS(5691),
    [anon_sym_inout] = ACTIONS(5691),
    [anon_sym_extern] = ACTIONS(5691),
    [anon_sym___attribute__] = ACTIONS(5691),
    [anon_sym_COLON_COLON] = ACTIONS(5693),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5693),
    [anon_sym___declspec] = ACTIONS(5691),
    [anon_sym___based] = ACTIONS(5691),
    [anon_sym_RBRACE] = ACTIONS(5693),
    [anon_sym_signed] = ACTIONS(5691),
    [anon_sym_unsigned] = ACTIONS(5691),
    [anon_sym_long] = ACTIONS(5691),
    [anon_sym_short] = ACTIONS(5691),
    [anon_sym_LBRACK] = ACTIONS(5691),
    [anon_sym_static] = ACTIONS(5691),
    [anon_sym_register] = ACTIONS(5691),
    [anon_sym_inline] = ACTIONS(5691),
    [anon_sym___inline] = ACTIONS(5691),
    [anon_sym___inline__] = ACTIONS(5691),
    [anon_sym___forceinline] = ACTIONS(5691),
    [anon_sym_thread_local] = ACTIONS(5691),
    [anon_sym___thread] = ACTIONS(5691),
    [anon_sym_const] = ACTIONS(5691),
    [anon_sym_constexpr] = ACTIONS(5691),
    [anon_sym_volatile] = ACTIONS(5691),
    [anon_sym_restrict] = ACTIONS(5691),
    [anon_sym___restrict__] = ACTIONS(5691),
    [anon_sym__Atomic] = ACTIONS(5691),
    [anon_sym__Noreturn] = ACTIONS(5691),
    [anon_sym_noreturn] = ACTIONS(5691),
    [anon_sym_mutable] = ACTIONS(5691),
    [anon_sym_constinit] = ACTIONS(5691),
    [anon_sym_consteval] = ACTIONS(5691),
    [sym_primitive_type] = ACTIONS(5691),
    [anon_sym_enum] = ACTIONS(5691),
    [anon_sym_class] = ACTIONS(5691),
    [anon_sym_struct] = ACTIONS(5691),
    [anon_sym_union] = ACTIONS(5691),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5691),
    [anon_sym_decltype] = ACTIONS(5691),
    [anon_sym_virtual] = ACTIONS(5691),
    [anon_sym_alignas] = ACTIONS(5691),
    [anon_sym_explicit] = ACTIONS(5691),
    [anon_sym_typename] = ACTIONS(5691),
    [anon_sym_template] = ACTIONS(5691),
    [anon_sym_operator] = ACTIONS(5691),
    [anon_sym_friend] = ACTIONS(5691),
    [anon_sym_public] = ACTIONS(5691),
    [anon_sym_private] = ACTIONS(5691),
    [anon_sym_protected] = ACTIONS(5691),
    [anon_sym_using] = ACTIONS(5691),
    [anon_sym_static_assert] = ACTIONS(5691),
    [anon_sym_precise] = ACTIONS(5691),
    [anon_sym_shared] = ACTIONS(5691),
    [anon_sym_groupshared] = ACTIONS(5691),
    [anon_sym_uniform] = ACTIONS(5691),
    [anon_sym_row_major] = ACTIONS(5691),
    [anon_sym_column_major] = ACTIONS(5691),
    [anon_sym_globallycoherent] = ACTIONS(5691),
    [anon_sym_centroid] = ACTIONS(5691),
    [anon_sym_noperspective] = ACTIONS(5691),
    [anon_sym_nointerpolation] = ACTIONS(5691),
    [anon_sym_sample] = ACTIONS(5691),
    [anon_sym_linear] = ACTIONS(5691),
    [anon_sym_snorm] = ACTIONS(5691),
    [anon_sym_unorm] = ACTIONS(5691),
    [anon_sym_point] = ACTIONS(5691),
    [anon_sym_line] = ACTIONS(5691),
    [anon_sym_triangleadj] = ACTIONS(5691),
    [anon_sym_lineadj] = ACTIONS(5691),
    [anon_sym_triangle] = ACTIONS(5691),
  },
  [2966] = {
    [sym_identifier] = ACTIONS(2464),
    [aux_sym_preproc_def_token1] = ACTIONS(2464),
    [aux_sym_preproc_if_token1] = ACTIONS(2464),
    [aux_sym_preproc_if_token2] = ACTIONS(2464),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2464),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2464),
    [sym_preproc_directive] = ACTIONS(2464),
    [anon_sym_LPAREN2] = ACTIONS(2466),
    [anon_sym_TILDE] = ACTIONS(2466),
    [anon_sym_STAR] = ACTIONS(2466),
    [anon_sym_AMP_AMP] = ACTIONS(2466),
    [anon_sym_AMP] = ACTIONS(2464),
    [anon_sym___extension__] = ACTIONS(2464),
    [anon_sym_typedef] = ACTIONS(2464),
    [anon_sym_in] = ACTIONS(2464),
    [anon_sym_out] = ACTIONS(2464),
    [anon_sym_inout] = ACTIONS(2464),
    [anon_sym_extern] = ACTIONS(2464),
    [anon_sym___attribute__] = ACTIONS(2464),
    [anon_sym_COLON_COLON] = ACTIONS(2466),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2466),
    [anon_sym___declspec] = ACTIONS(2464),
    [anon_sym___based] = ACTIONS(2464),
    [anon_sym_signed] = ACTIONS(2464),
    [anon_sym_unsigned] = ACTIONS(2464),
    [anon_sym_long] = ACTIONS(2464),
    [anon_sym_short] = ACTIONS(2464),
    [anon_sym_LBRACK] = ACTIONS(2464),
    [anon_sym_static] = ACTIONS(2464),
    [anon_sym_register] = ACTIONS(2464),
    [anon_sym_inline] = ACTIONS(2464),
    [anon_sym___inline] = ACTIONS(2464),
    [anon_sym___inline__] = ACTIONS(2464),
    [anon_sym___forceinline] = ACTIONS(2464),
    [anon_sym_thread_local] = ACTIONS(2464),
    [anon_sym___thread] = ACTIONS(2464),
    [anon_sym_const] = ACTIONS(2464),
    [anon_sym_constexpr] = ACTIONS(2464),
    [anon_sym_volatile] = ACTIONS(2464),
    [anon_sym_restrict] = ACTIONS(2464),
    [anon_sym___restrict__] = ACTIONS(2464),
    [anon_sym__Atomic] = ACTIONS(2464),
    [anon_sym__Noreturn] = ACTIONS(2464),
    [anon_sym_noreturn] = ACTIONS(2464),
    [anon_sym_mutable] = ACTIONS(2464),
    [anon_sym_constinit] = ACTIONS(2464),
    [anon_sym_consteval] = ACTIONS(2464),
    [sym_primitive_type] = ACTIONS(2464),
    [anon_sym_enum] = ACTIONS(2464),
    [anon_sym_class] = ACTIONS(2464),
    [anon_sym_struct] = ACTIONS(2464),
    [anon_sym_union] = ACTIONS(2464),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2464),
    [anon_sym_decltype] = ACTIONS(2464),
    [anon_sym_virtual] = ACTIONS(2464),
    [anon_sym_alignas] = ACTIONS(2464),
    [anon_sym_explicit] = ACTIONS(2464),
    [anon_sym_typename] = ACTIONS(2464),
    [anon_sym_template] = ACTIONS(2464),
    [anon_sym_operator] = ACTIONS(2464),
    [anon_sym_friend] = ACTIONS(2464),
    [anon_sym_public] = ACTIONS(2464),
    [anon_sym_private] = ACTIONS(2464),
    [anon_sym_protected] = ACTIONS(2464),
    [anon_sym_using] = ACTIONS(2464),
    [anon_sym_static_assert] = ACTIONS(2464),
    [anon_sym_precise] = ACTIONS(2464),
    [anon_sym_shared] = ACTIONS(2464),
    [anon_sym_groupshared] = ACTIONS(2464),
    [anon_sym_uniform] = ACTIONS(2464),
    [anon_sym_row_major] = ACTIONS(2464),
    [anon_sym_column_major] = ACTIONS(2464),
    [anon_sym_globallycoherent] = ACTIONS(2464),
    [anon_sym_centroid] = ACTIONS(2464),
    [anon_sym_noperspective] = ACTIONS(2464),
    [anon_sym_nointerpolation] = ACTIONS(2464),
    [anon_sym_sample] = ACTIONS(2464),
    [anon_sym_linear] = ACTIONS(2464),
    [anon_sym_snorm] = ACTIONS(2464),
    [anon_sym_unorm] = ACTIONS(2464),
    [anon_sym_point] = ACTIONS(2464),
    [anon_sym_line] = ACTIONS(2464),
    [anon_sym_triangleadj] = ACTIONS(2464),
    [anon_sym_lineadj] = ACTIONS(2464),
    [anon_sym_triangle] = ACTIONS(2464),
  },
  [2967] = {
    [sym_identifier] = ACTIONS(2448),
    [aux_sym_preproc_def_token1] = ACTIONS(2448),
    [aux_sym_preproc_if_token1] = ACTIONS(2448),
    [aux_sym_preproc_if_token2] = ACTIONS(2448),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2448),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2448),
    [sym_preproc_directive] = ACTIONS(2448),
    [anon_sym_LPAREN2] = ACTIONS(2450),
    [anon_sym_TILDE] = ACTIONS(2450),
    [anon_sym_STAR] = ACTIONS(2450),
    [anon_sym_AMP_AMP] = ACTIONS(2450),
    [anon_sym_AMP] = ACTIONS(2448),
    [anon_sym___extension__] = ACTIONS(2448),
    [anon_sym_typedef] = ACTIONS(2448),
    [anon_sym_in] = ACTIONS(2448),
    [anon_sym_out] = ACTIONS(2448),
    [anon_sym_inout] = ACTIONS(2448),
    [anon_sym_extern] = ACTIONS(2448),
    [anon_sym___attribute__] = ACTIONS(2448),
    [anon_sym_COLON_COLON] = ACTIONS(2450),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2450),
    [anon_sym___declspec] = ACTIONS(2448),
    [anon_sym___based] = ACTIONS(2448),
    [anon_sym_signed] = ACTIONS(2448),
    [anon_sym_unsigned] = ACTIONS(2448),
    [anon_sym_long] = ACTIONS(2448),
    [anon_sym_short] = ACTIONS(2448),
    [anon_sym_LBRACK] = ACTIONS(2448),
    [anon_sym_static] = ACTIONS(2448),
    [anon_sym_register] = ACTIONS(2448),
    [anon_sym_inline] = ACTIONS(2448),
    [anon_sym___inline] = ACTIONS(2448),
    [anon_sym___inline__] = ACTIONS(2448),
    [anon_sym___forceinline] = ACTIONS(2448),
    [anon_sym_thread_local] = ACTIONS(2448),
    [anon_sym___thread] = ACTIONS(2448),
    [anon_sym_const] = ACTIONS(2448),
    [anon_sym_constexpr] = ACTIONS(2448),
    [anon_sym_volatile] = ACTIONS(2448),
    [anon_sym_restrict] = ACTIONS(2448),
    [anon_sym___restrict__] = ACTIONS(2448),
    [anon_sym__Atomic] = ACTIONS(2448),
    [anon_sym__Noreturn] = ACTIONS(2448),
    [anon_sym_noreturn] = ACTIONS(2448),
    [anon_sym_mutable] = ACTIONS(2448),
    [anon_sym_constinit] = ACTIONS(2448),
    [anon_sym_consteval] = ACTIONS(2448),
    [sym_primitive_type] = ACTIONS(2448),
    [anon_sym_enum] = ACTIONS(2448),
    [anon_sym_class] = ACTIONS(2448),
    [anon_sym_struct] = ACTIONS(2448),
    [anon_sym_union] = ACTIONS(2448),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2448),
    [anon_sym_decltype] = ACTIONS(2448),
    [anon_sym_virtual] = ACTIONS(2448),
    [anon_sym_alignas] = ACTIONS(2448),
    [anon_sym_explicit] = ACTIONS(2448),
    [anon_sym_typename] = ACTIONS(2448),
    [anon_sym_template] = ACTIONS(2448),
    [anon_sym_operator] = ACTIONS(2448),
    [anon_sym_friend] = ACTIONS(2448),
    [anon_sym_public] = ACTIONS(2448),
    [anon_sym_private] = ACTIONS(2448),
    [anon_sym_protected] = ACTIONS(2448),
    [anon_sym_using] = ACTIONS(2448),
    [anon_sym_static_assert] = ACTIONS(2448),
    [anon_sym_precise] = ACTIONS(2448),
    [anon_sym_shared] = ACTIONS(2448),
    [anon_sym_groupshared] = ACTIONS(2448),
    [anon_sym_uniform] = ACTIONS(2448),
    [anon_sym_row_major] = ACTIONS(2448),
    [anon_sym_column_major] = ACTIONS(2448),
    [anon_sym_globallycoherent] = ACTIONS(2448),
    [anon_sym_centroid] = ACTIONS(2448),
    [anon_sym_noperspective] = ACTIONS(2448),
    [anon_sym_nointerpolation] = ACTIONS(2448),
    [anon_sym_sample] = ACTIONS(2448),
    [anon_sym_linear] = ACTIONS(2448),
    [anon_sym_snorm] = ACTIONS(2448),
    [anon_sym_unorm] = ACTIONS(2448),
    [anon_sym_point] = ACTIONS(2448),
    [anon_sym_line] = ACTIONS(2448),
    [anon_sym_triangleadj] = ACTIONS(2448),
    [anon_sym_lineadj] = ACTIONS(2448),
    [anon_sym_triangle] = ACTIONS(2448),
  },
  [2968] = {
    [sym_identifier] = ACTIONS(2633),
    [aux_sym_preproc_def_token1] = ACTIONS(2633),
    [aux_sym_preproc_if_token1] = ACTIONS(2633),
    [aux_sym_preproc_if_token2] = ACTIONS(2633),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2633),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2633),
    [sym_preproc_directive] = ACTIONS(2633),
    [anon_sym_LPAREN2] = ACTIONS(2635),
    [anon_sym_TILDE] = ACTIONS(2635),
    [anon_sym_STAR] = ACTIONS(2635),
    [anon_sym_AMP_AMP] = ACTIONS(2635),
    [anon_sym_AMP] = ACTIONS(2633),
    [anon_sym___extension__] = ACTIONS(2633),
    [anon_sym_typedef] = ACTIONS(2633),
    [anon_sym_in] = ACTIONS(2633),
    [anon_sym_out] = ACTIONS(2633),
    [anon_sym_inout] = ACTIONS(2633),
    [anon_sym_extern] = ACTIONS(2633),
    [anon_sym___attribute__] = ACTIONS(2633),
    [anon_sym_COLON_COLON] = ACTIONS(2635),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2635),
    [anon_sym___declspec] = ACTIONS(2633),
    [anon_sym___based] = ACTIONS(2633),
    [anon_sym_signed] = ACTIONS(2633),
    [anon_sym_unsigned] = ACTIONS(2633),
    [anon_sym_long] = ACTIONS(2633),
    [anon_sym_short] = ACTIONS(2633),
    [anon_sym_LBRACK] = ACTIONS(2633),
    [anon_sym_static] = ACTIONS(2633),
    [anon_sym_register] = ACTIONS(2633),
    [anon_sym_inline] = ACTIONS(2633),
    [anon_sym___inline] = ACTIONS(2633),
    [anon_sym___inline__] = ACTIONS(2633),
    [anon_sym___forceinline] = ACTIONS(2633),
    [anon_sym_thread_local] = ACTIONS(2633),
    [anon_sym___thread] = ACTIONS(2633),
    [anon_sym_const] = ACTIONS(2633),
    [anon_sym_constexpr] = ACTIONS(2633),
    [anon_sym_volatile] = ACTIONS(2633),
    [anon_sym_restrict] = ACTIONS(2633),
    [anon_sym___restrict__] = ACTIONS(2633),
    [anon_sym__Atomic] = ACTIONS(2633),
    [anon_sym__Noreturn] = ACTIONS(2633),
    [anon_sym_noreturn] = ACTIONS(2633),
    [anon_sym_mutable] = ACTIONS(2633),
    [anon_sym_constinit] = ACTIONS(2633),
    [anon_sym_consteval] = ACTIONS(2633),
    [sym_primitive_type] = ACTIONS(2633),
    [anon_sym_enum] = ACTIONS(2633),
    [anon_sym_class] = ACTIONS(2633),
    [anon_sym_struct] = ACTIONS(2633),
    [anon_sym_union] = ACTIONS(2633),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2633),
    [anon_sym_decltype] = ACTIONS(2633),
    [anon_sym_virtual] = ACTIONS(2633),
    [anon_sym_alignas] = ACTIONS(2633),
    [anon_sym_explicit] = ACTIONS(2633),
    [anon_sym_typename] = ACTIONS(2633),
    [anon_sym_template] = ACTIONS(2633),
    [anon_sym_operator] = ACTIONS(2633),
    [anon_sym_friend] = ACTIONS(2633),
    [anon_sym_public] = ACTIONS(2633),
    [anon_sym_private] = ACTIONS(2633),
    [anon_sym_protected] = ACTIONS(2633),
    [anon_sym_using] = ACTIONS(2633),
    [anon_sym_static_assert] = ACTIONS(2633),
    [anon_sym_precise] = ACTIONS(2633),
    [anon_sym_shared] = ACTIONS(2633),
    [anon_sym_groupshared] = ACTIONS(2633),
    [anon_sym_uniform] = ACTIONS(2633),
    [anon_sym_row_major] = ACTIONS(2633),
    [anon_sym_column_major] = ACTIONS(2633),
    [anon_sym_globallycoherent] = ACTIONS(2633),
    [anon_sym_centroid] = ACTIONS(2633),
    [anon_sym_noperspective] = ACTIONS(2633),
    [anon_sym_nointerpolation] = ACTIONS(2633),
    [anon_sym_sample] = ACTIONS(2633),
    [anon_sym_linear] = ACTIONS(2633),
    [anon_sym_snorm] = ACTIONS(2633),
    [anon_sym_unorm] = ACTIONS(2633),
    [anon_sym_point] = ACTIONS(2633),
    [anon_sym_line] = ACTIONS(2633),
    [anon_sym_triangleadj] = ACTIONS(2633),
    [anon_sym_lineadj] = ACTIONS(2633),
    [anon_sym_triangle] = ACTIONS(2633),
  },
  [2969] = {
    [sym_identifier] = ACTIONS(5695),
    [aux_sym_preproc_def_token1] = ACTIONS(5695),
    [aux_sym_preproc_if_token1] = ACTIONS(5695),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5695),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5695),
    [sym_preproc_directive] = ACTIONS(5695),
    [anon_sym_LPAREN2] = ACTIONS(5697),
    [anon_sym_TILDE] = ACTIONS(5697),
    [anon_sym_STAR] = ACTIONS(5697),
    [anon_sym_AMP_AMP] = ACTIONS(5697),
    [anon_sym_AMP] = ACTIONS(5695),
    [anon_sym___extension__] = ACTIONS(5695),
    [anon_sym_typedef] = ACTIONS(5695),
    [anon_sym_in] = ACTIONS(5695),
    [anon_sym_out] = ACTIONS(5695),
    [anon_sym_inout] = ACTIONS(5695),
    [anon_sym_extern] = ACTIONS(5695),
    [anon_sym___attribute__] = ACTIONS(5695),
    [anon_sym_COLON_COLON] = ACTIONS(5697),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5697),
    [anon_sym___declspec] = ACTIONS(5695),
    [anon_sym___based] = ACTIONS(5695),
    [anon_sym_RBRACE] = ACTIONS(5697),
    [anon_sym_signed] = ACTIONS(5695),
    [anon_sym_unsigned] = ACTIONS(5695),
    [anon_sym_long] = ACTIONS(5695),
    [anon_sym_short] = ACTIONS(5695),
    [anon_sym_LBRACK] = ACTIONS(5695),
    [anon_sym_static] = ACTIONS(5695),
    [anon_sym_register] = ACTIONS(5695),
    [anon_sym_inline] = ACTIONS(5695),
    [anon_sym___inline] = ACTIONS(5695),
    [anon_sym___inline__] = ACTIONS(5695),
    [anon_sym___forceinline] = ACTIONS(5695),
    [anon_sym_thread_local] = ACTIONS(5695),
    [anon_sym___thread] = ACTIONS(5695),
    [anon_sym_const] = ACTIONS(5695),
    [anon_sym_constexpr] = ACTIONS(5695),
    [anon_sym_volatile] = ACTIONS(5695),
    [anon_sym_restrict] = ACTIONS(5695),
    [anon_sym___restrict__] = ACTIONS(5695),
    [anon_sym__Atomic] = ACTIONS(5695),
    [anon_sym__Noreturn] = ACTIONS(5695),
    [anon_sym_noreturn] = ACTIONS(5695),
    [anon_sym_mutable] = ACTIONS(5695),
    [anon_sym_constinit] = ACTIONS(5695),
    [anon_sym_consteval] = ACTIONS(5695),
    [sym_primitive_type] = ACTIONS(5695),
    [anon_sym_enum] = ACTIONS(5695),
    [anon_sym_class] = ACTIONS(5695),
    [anon_sym_struct] = ACTIONS(5695),
    [anon_sym_union] = ACTIONS(5695),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5695),
    [anon_sym_decltype] = ACTIONS(5695),
    [anon_sym_virtual] = ACTIONS(5695),
    [anon_sym_alignas] = ACTIONS(5695),
    [anon_sym_explicit] = ACTIONS(5695),
    [anon_sym_typename] = ACTIONS(5695),
    [anon_sym_template] = ACTIONS(5695),
    [anon_sym_operator] = ACTIONS(5695),
    [anon_sym_friend] = ACTIONS(5695),
    [anon_sym_public] = ACTIONS(5695),
    [anon_sym_private] = ACTIONS(5695),
    [anon_sym_protected] = ACTIONS(5695),
    [anon_sym_using] = ACTIONS(5695),
    [anon_sym_static_assert] = ACTIONS(5695),
    [anon_sym_precise] = ACTIONS(5695),
    [anon_sym_shared] = ACTIONS(5695),
    [anon_sym_groupshared] = ACTIONS(5695),
    [anon_sym_uniform] = ACTIONS(5695),
    [anon_sym_row_major] = ACTIONS(5695),
    [anon_sym_column_major] = ACTIONS(5695),
    [anon_sym_globallycoherent] = ACTIONS(5695),
    [anon_sym_centroid] = ACTIONS(5695),
    [anon_sym_noperspective] = ACTIONS(5695),
    [anon_sym_nointerpolation] = ACTIONS(5695),
    [anon_sym_sample] = ACTIONS(5695),
    [anon_sym_linear] = ACTIONS(5695),
    [anon_sym_snorm] = ACTIONS(5695),
    [anon_sym_unorm] = ACTIONS(5695),
    [anon_sym_point] = ACTIONS(5695),
    [anon_sym_line] = ACTIONS(5695),
    [anon_sym_triangleadj] = ACTIONS(5695),
    [anon_sym_lineadj] = ACTIONS(5695),
    [anon_sym_triangle] = ACTIONS(5695),
  },
  [2970] = {
    [sym_identifier] = ACTIONS(2649),
    [aux_sym_preproc_def_token1] = ACTIONS(2649),
    [aux_sym_preproc_if_token1] = ACTIONS(2649),
    [aux_sym_preproc_if_token2] = ACTIONS(2649),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2649),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2649),
    [sym_preproc_directive] = ACTIONS(2649),
    [anon_sym_LPAREN2] = ACTIONS(2651),
    [anon_sym_TILDE] = ACTIONS(2651),
    [anon_sym_STAR] = ACTIONS(2651),
    [anon_sym_AMP_AMP] = ACTIONS(2651),
    [anon_sym_AMP] = ACTIONS(2649),
    [anon_sym___extension__] = ACTIONS(2649),
    [anon_sym_typedef] = ACTIONS(2649),
    [anon_sym_in] = ACTIONS(2649),
    [anon_sym_out] = ACTIONS(2649),
    [anon_sym_inout] = ACTIONS(2649),
    [anon_sym_extern] = ACTIONS(2649),
    [anon_sym___attribute__] = ACTIONS(2649),
    [anon_sym_COLON_COLON] = ACTIONS(2651),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2651),
    [anon_sym___declspec] = ACTIONS(2649),
    [anon_sym___based] = ACTIONS(2649),
    [anon_sym_signed] = ACTIONS(2649),
    [anon_sym_unsigned] = ACTIONS(2649),
    [anon_sym_long] = ACTIONS(2649),
    [anon_sym_short] = ACTIONS(2649),
    [anon_sym_LBRACK] = ACTIONS(2649),
    [anon_sym_static] = ACTIONS(2649),
    [anon_sym_register] = ACTIONS(2649),
    [anon_sym_inline] = ACTIONS(2649),
    [anon_sym___inline] = ACTIONS(2649),
    [anon_sym___inline__] = ACTIONS(2649),
    [anon_sym___forceinline] = ACTIONS(2649),
    [anon_sym_thread_local] = ACTIONS(2649),
    [anon_sym___thread] = ACTIONS(2649),
    [anon_sym_const] = ACTIONS(2649),
    [anon_sym_constexpr] = ACTIONS(2649),
    [anon_sym_volatile] = ACTIONS(2649),
    [anon_sym_restrict] = ACTIONS(2649),
    [anon_sym___restrict__] = ACTIONS(2649),
    [anon_sym__Atomic] = ACTIONS(2649),
    [anon_sym__Noreturn] = ACTIONS(2649),
    [anon_sym_noreturn] = ACTIONS(2649),
    [anon_sym_mutable] = ACTIONS(2649),
    [anon_sym_constinit] = ACTIONS(2649),
    [anon_sym_consteval] = ACTIONS(2649),
    [sym_primitive_type] = ACTIONS(2649),
    [anon_sym_enum] = ACTIONS(2649),
    [anon_sym_class] = ACTIONS(2649),
    [anon_sym_struct] = ACTIONS(2649),
    [anon_sym_union] = ACTIONS(2649),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2649),
    [anon_sym_decltype] = ACTIONS(2649),
    [anon_sym_virtual] = ACTIONS(2649),
    [anon_sym_alignas] = ACTIONS(2649),
    [anon_sym_explicit] = ACTIONS(2649),
    [anon_sym_typename] = ACTIONS(2649),
    [anon_sym_template] = ACTIONS(2649),
    [anon_sym_operator] = ACTIONS(2649),
    [anon_sym_friend] = ACTIONS(2649),
    [anon_sym_public] = ACTIONS(2649),
    [anon_sym_private] = ACTIONS(2649),
    [anon_sym_protected] = ACTIONS(2649),
    [anon_sym_using] = ACTIONS(2649),
    [anon_sym_static_assert] = ACTIONS(2649),
    [anon_sym_precise] = ACTIONS(2649),
    [anon_sym_shared] = ACTIONS(2649),
    [anon_sym_groupshared] = ACTIONS(2649),
    [anon_sym_uniform] = ACTIONS(2649),
    [anon_sym_row_major] = ACTIONS(2649),
    [anon_sym_column_major] = ACTIONS(2649),
    [anon_sym_globallycoherent] = ACTIONS(2649),
    [anon_sym_centroid] = ACTIONS(2649),
    [anon_sym_noperspective] = ACTIONS(2649),
    [anon_sym_nointerpolation] = ACTIONS(2649),
    [anon_sym_sample] = ACTIONS(2649),
    [anon_sym_linear] = ACTIONS(2649),
    [anon_sym_snorm] = ACTIONS(2649),
    [anon_sym_unorm] = ACTIONS(2649),
    [anon_sym_point] = ACTIONS(2649),
    [anon_sym_line] = ACTIONS(2649),
    [anon_sym_triangleadj] = ACTIONS(2649),
    [anon_sym_lineadj] = ACTIONS(2649),
    [anon_sym_triangle] = ACTIONS(2649),
  },
  [2971] = {
    [sym_identifier] = ACTIONS(2702),
    [aux_sym_preproc_def_token1] = ACTIONS(2702),
    [aux_sym_preproc_if_token1] = ACTIONS(2702),
    [aux_sym_preproc_if_token2] = ACTIONS(2702),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2702),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2702),
    [sym_preproc_directive] = ACTIONS(2702),
    [anon_sym_LPAREN2] = ACTIONS(2704),
    [anon_sym_TILDE] = ACTIONS(2704),
    [anon_sym_STAR] = ACTIONS(2704),
    [anon_sym_AMP_AMP] = ACTIONS(2704),
    [anon_sym_AMP] = ACTIONS(2702),
    [anon_sym___extension__] = ACTIONS(2702),
    [anon_sym_typedef] = ACTIONS(2702),
    [anon_sym_in] = ACTIONS(2702),
    [anon_sym_out] = ACTIONS(2702),
    [anon_sym_inout] = ACTIONS(2702),
    [anon_sym_extern] = ACTIONS(2702),
    [anon_sym___attribute__] = ACTIONS(2702),
    [anon_sym_COLON_COLON] = ACTIONS(2704),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2704),
    [anon_sym___declspec] = ACTIONS(2702),
    [anon_sym___based] = ACTIONS(2702),
    [anon_sym_signed] = ACTIONS(2702),
    [anon_sym_unsigned] = ACTIONS(2702),
    [anon_sym_long] = ACTIONS(2702),
    [anon_sym_short] = ACTIONS(2702),
    [anon_sym_LBRACK] = ACTIONS(2702),
    [anon_sym_static] = ACTIONS(2702),
    [anon_sym_register] = ACTIONS(2702),
    [anon_sym_inline] = ACTIONS(2702),
    [anon_sym___inline] = ACTIONS(2702),
    [anon_sym___inline__] = ACTIONS(2702),
    [anon_sym___forceinline] = ACTIONS(2702),
    [anon_sym_thread_local] = ACTIONS(2702),
    [anon_sym___thread] = ACTIONS(2702),
    [anon_sym_const] = ACTIONS(2702),
    [anon_sym_constexpr] = ACTIONS(2702),
    [anon_sym_volatile] = ACTIONS(2702),
    [anon_sym_restrict] = ACTIONS(2702),
    [anon_sym___restrict__] = ACTIONS(2702),
    [anon_sym__Atomic] = ACTIONS(2702),
    [anon_sym__Noreturn] = ACTIONS(2702),
    [anon_sym_noreturn] = ACTIONS(2702),
    [anon_sym_mutable] = ACTIONS(2702),
    [anon_sym_constinit] = ACTIONS(2702),
    [anon_sym_consteval] = ACTIONS(2702),
    [sym_primitive_type] = ACTIONS(2702),
    [anon_sym_enum] = ACTIONS(2702),
    [anon_sym_class] = ACTIONS(2702),
    [anon_sym_struct] = ACTIONS(2702),
    [anon_sym_union] = ACTIONS(2702),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2702),
    [anon_sym_decltype] = ACTIONS(2702),
    [anon_sym_virtual] = ACTIONS(2702),
    [anon_sym_alignas] = ACTIONS(2702),
    [anon_sym_explicit] = ACTIONS(2702),
    [anon_sym_typename] = ACTIONS(2702),
    [anon_sym_template] = ACTIONS(2702),
    [anon_sym_operator] = ACTIONS(2702),
    [anon_sym_friend] = ACTIONS(2702),
    [anon_sym_public] = ACTIONS(2702),
    [anon_sym_private] = ACTIONS(2702),
    [anon_sym_protected] = ACTIONS(2702),
    [anon_sym_using] = ACTIONS(2702),
    [anon_sym_static_assert] = ACTIONS(2702),
    [anon_sym_precise] = ACTIONS(2702),
    [anon_sym_shared] = ACTIONS(2702),
    [anon_sym_groupshared] = ACTIONS(2702),
    [anon_sym_uniform] = ACTIONS(2702),
    [anon_sym_row_major] = ACTIONS(2702),
    [anon_sym_column_major] = ACTIONS(2702),
    [anon_sym_globallycoherent] = ACTIONS(2702),
    [anon_sym_centroid] = ACTIONS(2702),
    [anon_sym_noperspective] = ACTIONS(2702),
    [anon_sym_nointerpolation] = ACTIONS(2702),
    [anon_sym_sample] = ACTIONS(2702),
    [anon_sym_linear] = ACTIONS(2702),
    [anon_sym_snorm] = ACTIONS(2702),
    [anon_sym_unorm] = ACTIONS(2702),
    [anon_sym_point] = ACTIONS(2702),
    [anon_sym_line] = ACTIONS(2702),
    [anon_sym_triangleadj] = ACTIONS(2702),
    [anon_sym_lineadj] = ACTIONS(2702),
    [anon_sym_triangle] = ACTIONS(2702),
  },
  [2972] = {
    [sym_identifier] = ACTIONS(5703),
    [aux_sym_preproc_def_token1] = ACTIONS(5703),
    [aux_sym_preproc_if_token1] = ACTIONS(5703),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5703),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5703),
    [sym_preproc_directive] = ACTIONS(5703),
    [anon_sym_LPAREN2] = ACTIONS(5705),
    [anon_sym_TILDE] = ACTIONS(5705),
    [anon_sym_STAR] = ACTIONS(5705),
    [anon_sym_AMP_AMP] = ACTIONS(5705),
    [anon_sym_AMP] = ACTIONS(5703),
    [anon_sym___extension__] = ACTIONS(5703),
    [anon_sym_typedef] = ACTIONS(5703),
    [anon_sym_in] = ACTIONS(5703),
    [anon_sym_out] = ACTIONS(5703),
    [anon_sym_inout] = ACTIONS(5703),
    [anon_sym_extern] = ACTIONS(5703),
    [anon_sym___attribute__] = ACTIONS(5703),
    [anon_sym_COLON_COLON] = ACTIONS(5705),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5705),
    [anon_sym___declspec] = ACTIONS(5703),
    [anon_sym___based] = ACTIONS(5703),
    [anon_sym_RBRACE] = ACTIONS(5705),
    [anon_sym_signed] = ACTIONS(5703),
    [anon_sym_unsigned] = ACTIONS(5703),
    [anon_sym_long] = ACTIONS(5703),
    [anon_sym_short] = ACTIONS(5703),
    [anon_sym_LBRACK] = ACTIONS(5703),
    [anon_sym_static] = ACTIONS(5703),
    [anon_sym_register] = ACTIONS(5703),
    [anon_sym_inline] = ACTIONS(5703),
    [anon_sym___inline] = ACTIONS(5703),
    [anon_sym___inline__] = ACTIONS(5703),
    [anon_sym___forceinline] = ACTIONS(5703),
    [anon_sym_thread_local] = ACTIONS(5703),
    [anon_sym___thread] = ACTIONS(5703),
    [anon_sym_const] = ACTIONS(5703),
    [anon_sym_constexpr] = ACTIONS(5703),
    [anon_sym_volatile] = ACTIONS(5703),
    [anon_sym_restrict] = ACTIONS(5703),
    [anon_sym___restrict__] = ACTIONS(5703),
    [anon_sym__Atomic] = ACTIONS(5703),
    [anon_sym__Noreturn] = ACTIONS(5703),
    [anon_sym_noreturn] = ACTIONS(5703),
    [anon_sym_mutable] = ACTIONS(5703),
    [anon_sym_constinit] = ACTIONS(5703),
    [anon_sym_consteval] = ACTIONS(5703),
    [sym_primitive_type] = ACTIONS(5703),
    [anon_sym_enum] = ACTIONS(5703),
    [anon_sym_class] = ACTIONS(5703),
    [anon_sym_struct] = ACTIONS(5703),
    [anon_sym_union] = ACTIONS(5703),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5703),
    [anon_sym_decltype] = ACTIONS(5703),
    [anon_sym_virtual] = ACTIONS(5703),
    [anon_sym_alignas] = ACTIONS(5703),
    [anon_sym_explicit] = ACTIONS(5703),
    [anon_sym_typename] = ACTIONS(5703),
    [anon_sym_template] = ACTIONS(5703),
    [anon_sym_operator] = ACTIONS(5703),
    [anon_sym_friend] = ACTIONS(5703),
    [anon_sym_public] = ACTIONS(5703),
    [anon_sym_private] = ACTIONS(5703),
    [anon_sym_protected] = ACTIONS(5703),
    [anon_sym_using] = ACTIONS(5703),
    [anon_sym_static_assert] = ACTIONS(5703),
    [anon_sym_precise] = ACTIONS(5703),
    [anon_sym_shared] = ACTIONS(5703),
    [anon_sym_groupshared] = ACTIONS(5703),
    [anon_sym_uniform] = ACTIONS(5703),
    [anon_sym_row_major] = ACTIONS(5703),
    [anon_sym_column_major] = ACTIONS(5703),
    [anon_sym_globallycoherent] = ACTIONS(5703),
    [anon_sym_centroid] = ACTIONS(5703),
    [anon_sym_noperspective] = ACTIONS(5703),
    [anon_sym_nointerpolation] = ACTIONS(5703),
    [anon_sym_sample] = ACTIONS(5703),
    [anon_sym_linear] = ACTIONS(5703),
    [anon_sym_snorm] = ACTIONS(5703),
    [anon_sym_unorm] = ACTIONS(5703),
    [anon_sym_point] = ACTIONS(5703),
    [anon_sym_line] = ACTIONS(5703),
    [anon_sym_triangleadj] = ACTIONS(5703),
    [anon_sym_lineadj] = ACTIONS(5703),
    [anon_sym_triangle] = ACTIONS(5703),
  },
  [2973] = {
    [sym_identifier] = ACTIONS(2769),
    [aux_sym_preproc_def_token1] = ACTIONS(2769),
    [aux_sym_preproc_if_token1] = ACTIONS(2769),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2769),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2769),
    [sym_preproc_directive] = ACTIONS(2769),
    [anon_sym_LPAREN2] = ACTIONS(2771),
    [anon_sym_TILDE] = ACTIONS(2771),
    [anon_sym_STAR] = ACTIONS(2771),
    [anon_sym_AMP_AMP] = ACTIONS(2771),
    [anon_sym_AMP] = ACTIONS(2769),
    [anon_sym___extension__] = ACTIONS(2769),
    [anon_sym_typedef] = ACTIONS(2769),
    [anon_sym_in] = ACTIONS(2769),
    [anon_sym_out] = ACTIONS(2769),
    [anon_sym_inout] = ACTIONS(2769),
    [anon_sym_extern] = ACTIONS(2769),
    [anon_sym___attribute__] = ACTIONS(2769),
    [anon_sym_COLON_COLON] = ACTIONS(2771),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2771),
    [anon_sym___declspec] = ACTIONS(2769),
    [anon_sym___based] = ACTIONS(2769),
    [anon_sym_RBRACE] = ACTIONS(2771),
    [anon_sym_signed] = ACTIONS(2769),
    [anon_sym_unsigned] = ACTIONS(2769),
    [anon_sym_long] = ACTIONS(2769),
    [anon_sym_short] = ACTIONS(2769),
    [anon_sym_LBRACK] = ACTIONS(2769),
    [anon_sym_static] = ACTIONS(2769),
    [anon_sym_register] = ACTIONS(2769),
    [anon_sym_inline] = ACTIONS(2769),
    [anon_sym___inline] = ACTIONS(2769),
    [anon_sym___inline__] = ACTIONS(2769),
    [anon_sym___forceinline] = ACTIONS(2769),
    [anon_sym_thread_local] = ACTIONS(2769),
    [anon_sym___thread] = ACTIONS(2769),
    [anon_sym_const] = ACTIONS(2769),
    [anon_sym_constexpr] = ACTIONS(2769),
    [anon_sym_volatile] = ACTIONS(2769),
    [anon_sym_restrict] = ACTIONS(2769),
    [anon_sym___restrict__] = ACTIONS(2769),
    [anon_sym__Atomic] = ACTIONS(2769),
    [anon_sym__Noreturn] = ACTIONS(2769),
    [anon_sym_noreturn] = ACTIONS(2769),
    [anon_sym_mutable] = ACTIONS(2769),
    [anon_sym_constinit] = ACTIONS(2769),
    [anon_sym_consteval] = ACTIONS(2769),
    [sym_primitive_type] = ACTIONS(2769),
    [anon_sym_enum] = ACTIONS(2769),
    [anon_sym_class] = ACTIONS(2769),
    [anon_sym_struct] = ACTIONS(2769),
    [anon_sym_union] = ACTIONS(2769),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2769),
    [anon_sym_decltype] = ACTIONS(2769),
    [anon_sym_virtual] = ACTIONS(2769),
    [anon_sym_alignas] = ACTIONS(2769),
    [anon_sym_explicit] = ACTIONS(2769),
    [anon_sym_typename] = ACTIONS(2769),
    [anon_sym_template] = ACTIONS(2769),
    [anon_sym_operator] = ACTIONS(2769),
    [anon_sym_friend] = ACTIONS(2769),
    [anon_sym_public] = ACTIONS(2769),
    [anon_sym_private] = ACTIONS(2769),
    [anon_sym_protected] = ACTIONS(2769),
    [anon_sym_using] = ACTIONS(2769),
    [anon_sym_static_assert] = ACTIONS(2769),
    [anon_sym_precise] = ACTIONS(2769),
    [anon_sym_shared] = ACTIONS(2769),
    [anon_sym_groupshared] = ACTIONS(2769),
    [anon_sym_uniform] = ACTIONS(2769),
    [anon_sym_row_major] = ACTIONS(2769),
    [anon_sym_column_major] = ACTIONS(2769),
    [anon_sym_globallycoherent] = ACTIONS(2769),
    [anon_sym_centroid] = ACTIONS(2769),
    [anon_sym_noperspective] = ACTIONS(2769),
    [anon_sym_nointerpolation] = ACTIONS(2769),
    [anon_sym_sample] = ACTIONS(2769),
    [anon_sym_linear] = ACTIONS(2769),
    [anon_sym_snorm] = ACTIONS(2769),
    [anon_sym_unorm] = ACTIONS(2769),
    [anon_sym_point] = ACTIONS(2769),
    [anon_sym_line] = ACTIONS(2769),
    [anon_sym_triangleadj] = ACTIONS(2769),
    [anon_sym_lineadj] = ACTIONS(2769),
    [anon_sym_triangle] = ACTIONS(2769),
  },
  [2974] = {
    [sym_identifier] = ACTIONS(2769),
    [aux_sym_preproc_def_token1] = ACTIONS(2769),
    [aux_sym_preproc_if_token1] = ACTIONS(2769),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2769),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2769),
    [sym_preproc_directive] = ACTIONS(2769),
    [anon_sym_LPAREN2] = ACTIONS(2771),
    [anon_sym_TILDE] = ACTIONS(2771),
    [anon_sym_STAR] = ACTIONS(2771),
    [anon_sym_AMP_AMP] = ACTIONS(2771),
    [anon_sym_AMP] = ACTIONS(2769),
    [anon_sym___extension__] = ACTIONS(2769),
    [anon_sym_typedef] = ACTIONS(2769),
    [anon_sym_in] = ACTIONS(2769),
    [anon_sym_out] = ACTIONS(2769),
    [anon_sym_inout] = ACTIONS(2769),
    [anon_sym_extern] = ACTIONS(2769),
    [anon_sym___attribute__] = ACTIONS(2769),
    [anon_sym_COLON_COLON] = ACTIONS(2771),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2771),
    [anon_sym___declspec] = ACTIONS(2769),
    [anon_sym___based] = ACTIONS(2769),
    [anon_sym_RBRACE] = ACTIONS(2771),
    [anon_sym_signed] = ACTIONS(2769),
    [anon_sym_unsigned] = ACTIONS(2769),
    [anon_sym_long] = ACTIONS(2769),
    [anon_sym_short] = ACTIONS(2769),
    [anon_sym_LBRACK] = ACTIONS(2769),
    [anon_sym_static] = ACTIONS(2769),
    [anon_sym_register] = ACTIONS(2769),
    [anon_sym_inline] = ACTIONS(2769),
    [anon_sym___inline] = ACTIONS(2769),
    [anon_sym___inline__] = ACTIONS(2769),
    [anon_sym___forceinline] = ACTIONS(2769),
    [anon_sym_thread_local] = ACTIONS(2769),
    [anon_sym___thread] = ACTIONS(2769),
    [anon_sym_const] = ACTIONS(2769),
    [anon_sym_constexpr] = ACTIONS(2769),
    [anon_sym_volatile] = ACTIONS(2769),
    [anon_sym_restrict] = ACTIONS(2769),
    [anon_sym___restrict__] = ACTIONS(2769),
    [anon_sym__Atomic] = ACTIONS(2769),
    [anon_sym__Noreturn] = ACTIONS(2769),
    [anon_sym_noreturn] = ACTIONS(2769),
    [anon_sym_mutable] = ACTIONS(2769),
    [anon_sym_constinit] = ACTIONS(2769),
    [anon_sym_consteval] = ACTIONS(2769),
    [sym_primitive_type] = ACTIONS(2769),
    [anon_sym_enum] = ACTIONS(2769),
    [anon_sym_class] = ACTIONS(2769),
    [anon_sym_struct] = ACTIONS(2769),
    [anon_sym_union] = ACTIONS(2769),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2769),
    [anon_sym_decltype] = ACTIONS(2769),
    [anon_sym_virtual] = ACTIONS(2769),
    [anon_sym_alignas] = ACTIONS(2769),
    [anon_sym_explicit] = ACTIONS(2769),
    [anon_sym_typename] = ACTIONS(2769),
    [anon_sym_template] = ACTIONS(2769),
    [anon_sym_operator] = ACTIONS(2769),
    [anon_sym_friend] = ACTIONS(2769),
    [anon_sym_public] = ACTIONS(2769),
    [anon_sym_private] = ACTIONS(2769),
    [anon_sym_protected] = ACTIONS(2769),
    [anon_sym_using] = ACTIONS(2769),
    [anon_sym_static_assert] = ACTIONS(2769),
    [anon_sym_precise] = ACTIONS(2769),
    [anon_sym_shared] = ACTIONS(2769),
    [anon_sym_groupshared] = ACTIONS(2769),
    [anon_sym_uniform] = ACTIONS(2769),
    [anon_sym_row_major] = ACTIONS(2769),
    [anon_sym_column_major] = ACTIONS(2769),
    [anon_sym_globallycoherent] = ACTIONS(2769),
    [anon_sym_centroid] = ACTIONS(2769),
    [anon_sym_noperspective] = ACTIONS(2769),
    [anon_sym_nointerpolation] = ACTIONS(2769),
    [anon_sym_sample] = ACTIONS(2769),
    [anon_sym_linear] = ACTIONS(2769),
    [anon_sym_snorm] = ACTIONS(2769),
    [anon_sym_unorm] = ACTIONS(2769),
    [anon_sym_point] = ACTIONS(2769),
    [anon_sym_line] = ACTIONS(2769),
    [anon_sym_triangleadj] = ACTIONS(2769),
    [anon_sym_lineadj] = ACTIONS(2769),
    [anon_sym_triangle] = ACTIONS(2769),
  },
  [2975] = {
    [sym_identifier] = ACTIONS(2765),
    [aux_sym_preproc_def_token1] = ACTIONS(2765),
    [aux_sym_preproc_if_token1] = ACTIONS(2765),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2765),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2765),
    [sym_preproc_directive] = ACTIONS(2765),
    [anon_sym_LPAREN2] = ACTIONS(2767),
    [anon_sym_TILDE] = ACTIONS(2767),
    [anon_sym_STAR] = ACTIONS(2767),
    [anon_sym_AMP_AMP] = ACTIONS(2767),
    [anon_sym_AMP] = ACTIONS(2765),
    [anon_sym___extension__] = ACTIONS(2765),
    [anon_sym_typedef] = ACTIONS(2765),
    [anon_sym_in] = ACTIONS(2765),
    [anon_sym_out] = ACTIONS(2765),
    [anon_sym_inout] = ACTIONS(2765),
    [anon_sym_extern] = ACTIONS(2765),
    [anon_sym___attribute__] = ACTIONS(2765),
    [anon_sym_COLON_COLON] = ACTIONS(2767),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2767),
    [anon_sym___declspec] = ACTIONS(2765),
    [anon_sym___based] = ACTIONS(2765),
    [anon_sym_RBRACE] = ACTIONS(2767),
    [anon_sym_signed] = ACTIONS(2765),
    [anon_sym_unsigned] = ACTIONS(2765),
    [anon_sym_long] = ACTIONS(2765),
    [anon_sym_short] = ACTIONS(2765),
    [anon_sym_LBRACK] = ACTIONS(2765),
    [anon_sym_static] = ACTIONS(2765),
    [anon_sym_register] = ACTIONS(2765),
    [anon_sym_inline] = ACTIONS(2765),
    [anon_sym___inline] = ACTIONS(2765),
    [anon_sym___inline__] = ACTIONS(2765),
    [anon_sym___forceinline] = ACTIONS(2765),
    [anon_sym_thread_local] = ACTIONS(2765),
    [anon_sym___thread] = ACTIONS(2765),
    [anon_sym_const] = ACTIONS(2765),
    [anon_sym_constexpr] = ACTIONS(2765),
    [anon_sym_volatile] = ACTIONS(2765),
    [anon_sym_restrict] = ACTIONS(2765),
    [anon_sym___restrict__] = ACTIONS(2765),
    [anon_sym__Atomic] = ACTIONS(2765),
    [anon_sym__Noreturn] = ACTIONS(2765),
    [anon_sym_noreturn] = ACTIONS(2765),
    [anon_sym_mutable] = ACTIONS(2765),
    [anon_sym_constinit] = ACTIONS(2765),
    [anon_sym_consteval] = ACTIONS(2765),
    [sym_primitive_type] = ACTIONS(2765),
    [anon_sym_enum] = ACTIONS(2765),
    [anon_sym_class] = ACTIONS(2765),
    [anon_sym_struct] = ACTIONS(2765),
    [anon_sym_union] = ACTIONS(2765),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2765),
    [anon_sym_decltype] = ACTIONS(2765),
    [anon_sym_virtual] = ACTIONS(2765),
    [anon_sym_alignas] = ACTIONS(2765),
    [anon_sym_explicit] = ACTIONS(2765),
    [anon_sym_typename] = ACTIONS(2765),
    [anon_sym_template] = ACTIONS(2765),
    [anon_sym_operator] = ACTIONS(2765),
    [anon_sym_friend] = ACTIONS(2765),
    [anon_sym_public] = ACTIONS(2765),
    [anon_sym_private] = ACTIONS(2765),
    [anon_sym_protected] = ACTIONS(2765),
    [anon_sym_using] = ACTIONS(2765),
    [anon_sym_static_assert] = ACTIONS(2765),
    [anon_sym_precise] = ACTIONS(2765),
    [anon_sym_shared] = ACTIONS(2765),
    [anon_sym_groupshared] = ACTIONS(2765),
    [anon_sym_uniform] = ACTIONS(2765),
    [anon_sym_row_major] = ACTIONS(2765),
    [anon_sym_column_major] = ACTIONS(2765),
    [anon_sym_globallycoherent] = ACTIONS(2765),
    [anon_sym_centroid] = ACTIONS(2765),
    [anon_sym_noperspective] = ACTIONS(2765),
    [anon_sym_nointerpolation] = ACTIONS(2765),
    [anon_sym_sample] = ACTIONS(2765),
    [anon_sym_linear] = ACTIONS(2765),
    [anon_sym_snorm] = ACTIONS(2765),
    [anon_sym_unorm] = ACTIONS(2765),
    [anon_sym_point] = ACTIONS(2765),
    [anon_sym_line] = ACTIONS(2765),
    [anon_sym_triangleadj] = ACTIONS(2765),
    [anon_sym_lineadj] = ACTIONS(2765),
    [anon_sym_triangle] = ACTIONS(2765),
  },
  [2976] = {
    [sym_identifier] = ACTIONS(2765),
    [aux_sym_preproc_def_token1] = ACTIONS(2765),
    [aux_sym_preproc_if_token1] = ACTIONS(2765),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2765),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2765),
    [sym_preproc_directive] = ACTIONS(2765),
    [anon_sym_LPAREN2] = ACTIONS(2767),
    [anon_sym_TILDE] = ACTIONS(2767),
    [anon_sym_STAR] = ACTIONS(2767),
    [anon_sym_AMP_AMP] = ACTIONS(2767),
    [anon_sym_AMP] = ACTIONS(2765),
    [anon_sym___extension__] = ACTIONS(2765),
    [anon_sym_typedef] = ACTIONS(2765),
    [anon_sym_in] = ACTIONS(2765),
    [anon_sym_out] = ACTIONS(2765),
    [anon_sym_inout] = ACTIONS(2765),
    [anon_sym_extern] = ACTIONS(2765),
    [anon_sym___attribute__] = ACTIONS(2765),
    [anon_sym_COLON_COLON] = ACTIONS(2767),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2767),
    [anon_sym___declspec] = ACTIONS(2765),
    [anon_sym___based] = ACTIONS(2765),
    [anon_sym_RBRACE] = ACTIONS(2767),
    [anon_sym_signed] = ACTIONS(2765),
    [anon_sym_unsigned] = ACTIONS(2765),
    [anon_sym_long] = ACTIONS(2765),
    [anon_sym_short] = ACTIONS(2765),
    [anon_sym_LBRACK] = ACTIONS(2765),
    [anon_sym_static] = ACTIONS(2765),
    [anon_sym_register] = ACTIONS(2765),
    [anon_sym_inline] = ACTIONS(2765),
    [anon_sym___inline] = ACTIONS(2765),
    [anon_sym___inline__] = ACTIONS(2765),
    [anon_sym___forceinline] = ACTIONS(2765),
    [anon_sym_thread_local] = ACTIONS(2765),
    [anon_sym___thread] = ACTIONS(2765),
    [anon_sym_const] = ACTIONS(2765),
    [anon_sym_constexpr] = ACTIONS(2765),
    [anon_sym_volatile] = ACTIONS(2765),
    [anon_sym_restrict] = ACTIONS(2765),
    [anon_sym___restrict__] = ACTIONS(2765),
    [anon_sym__Atomic] = ACTIONS(2765),
    [anon_sym__Noreturn] = ACTIONS(2765),
    [anon_sym_noreturn] = ACTIONS(2765),
    [anon_sym_mutable] = ACTIONS(2765),
    [anon_sym_constinit] = ACTIONS(2765),
    [anon_sym_consteval] = ACTIONS(2765),
    [sym_primitive_type] = ACTIONS(2765),
    [anon_sym_enum] = ACTIONS(2765),
    [anon_sym_class] = ACTIONS(2765),
    [anon_sym_struct] = ACTIONS(2765),
    [anon_sym_union] = ACTIONS(2765),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2765),
    [anon_sym_decltype] = ACTIONS(2765),
    [anon_sym_virtual] = ACTIONS(2765),
    [anon_sym_alignas] = ACTIONS(2765),
    [anon_sym_explicit] = ACTIONS(2765),
    [anon_sym_typename] = ACTIONS(2765),
    [anon_sym_template] = ACTIONS(2765),
    [anon_sym_operator] = ACTIONS(2765),
    [anon_sym_friend] = ACTIONS(2765),
    [anon_sym_public] = ACTIONS(2765),
    [anon_sym_private] = ACTIONS(2765),
    [anon_sym_protected] = ACTIONS(2765),
    [anon_sym_using] = ACTIONS(2765),
    [anon_sym_static_assert] = ACTIONS(2765),
    [anon_sym_precise] = ACTIONS(2765),
    [anon_sym_shared] = ACTIONS(2765),
    [anon_sym_groupshared] = ACTIONS(2765),
    [anon_sym_uniform] = ACTIONS(2765),
    [anon_sym_row_major] = ACTIONS(2765),
    [anon_sym_column_major] = ACTIONS(2765),
    [anon_sym_globallycoherent] = ACTIONS(2765),
    [anon_sym_centroid] = ACTIONS(2765),
    [anon_sym_noperspective] = ACTIONS(2765),
    [anon_sym_nointerpolation] = ACTIONS(2765),
    [anon_sym_sample] = ACTIONS(2765),
    [anon_sym_linear] = ACTIONS(2765),
    [anon_sym_snorm] = ACTIONS(2765),
    [anon_sym_unorm] = ACTIONS(2765),
    [anon_sym_point] = ACTIONS(2765),
    [anon_sym_line] = ACTIONS(2765),
    [anon_sym_triangleadj] = ACTIONS(2765),
    [anon_sym_lineadj] = ACTIONS(2765),
    [anon_sym_triangle] = ACTIONS(2765),
  },
  [2977] = {
    [sym_identifier] = ACTIONS(5699),
    [aux_sym_preproc_def_token1] = ACTIONS(5699),
    [aux_sym_preproc_if_token1] = ACTIONS(5699),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5699),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5699),
    [sym_preproc_directive] = ACTIONS(5699),
    [anon_sym_LPAREN2] = ACTIONS(5701),
    [anon_sym_TILDE] = ACTIONS(5701),
    [anon_sym_STAR] = ACTIONS(5701),
    [anon_sym_AMP_AMP] = ACTIONS(5701),
    [anon_sym_AMP] = ACTIONS(5699),
    [anon_sym___extension__] = ACTIONS(5699),
    [anon_sym_typedef] = ACTIONS(5699),
    [anon_sym_in] = ACTIONS(5699),
    [anon_sym_out] = ACTIONS(5699),
    [anon_sym_inout] = ACTIONS(5699),
    [anon_sym_extern] = ACTIONS(5699),
    [anon_sym___attribute__] = ACTIONS(5699),
    [anon_sym_COLON_COLON] = ACTIONS(5701),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5701),
    [anon_sym___declspec] = ACTIONS(5699),
    [anon_sym___based] = ACTIONS(5699),
    [anon_sym_RBRACE] = ACTIONS(5701),
    [anon_sym_signed] = ACTIONS(5699),
    [anon_sym_unsigned] = ACTIONS(5699),
    [anon_sym_long] = ACTIONS(5699),
    [anon_sym_short] = ACTIONS(5699),
    [anon_sym_LBRACK] = ACTIONS(5699),
    [anon_sym_static] = ACTIONS(5699),
    [anon_sym_register] = ACTIONS(5699),
    [anon_sym_inline] = ACTIONS(5699),
    [anon_sym___inline] = ACTIONS(5699),
    [anon_sym___inline__] = ACTIONS(5699),
    [anon_sym___forceinline] = ACTIONS(5699),
    [anon_sym_thread_local] = ACTIONS(5699),
    [anon_sym___thread] = ACTIONS(5699),
    [anon_sym_const] = ACTIONS(5699),
    [anon_sym_constexpr] = ACTIONS(5699),
    [anon_sym_volatile] = ACTIONS(5699),
    [anon_sym_restrict] = ACTIONS(5699),
    [anon_sym___restrict__] = ACTIONS(5699),
    [anon_sym__Atomic] = ACTIONS(5699),
    [anon_sym__Noreturn] = ACTIONS(5699),
    [anon_sym_noreturn] = ACTIONS(5699),
    [anon_sym_mutable] = ACTIONS(5699),
    [anon_sym_constinit] = ACTIONS(5699),
    [anon_sym_consteval] = ACTIONS(5699),
    [sym_primitive_type] = ACTIONS(5699),
    [anon_sym_enum] = ACTIONS(5699),
    [anon_sym_class] = ACTIONS(5699),
    [anon_sym_struct] = ACTIONS(5699),
    [anon_sym_union] = ACTIONS(5699),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5699),
    [anon_sym_decltype] = ACTIONS(5699),
    [anon_sym_virtual] = ACTIONS(5699),
    [anon_sym_alignas] = ACTIONS(5699),
    [anon_sym_explicit] = ACTIONS(5699),
    [anon_sym_typename] = ACTIONS(5699),
    [anon_sym_template] = ACTIONS(5699),
    [anon_sym_operator] = ACTIONS(5699),
    [anon_sym_friend] = ACTIONS(5699),
    [anon_sym_public] = ACTIONS(5699),
    [anon_sym_private] = ACTIONS(5699),
    [anon_sym_protected] = ACTIONS(5699),
    [anon_sym_using] = ACTIONS(5699),
    [anon_sym_static_assert] = ACTIONS(5699),
    [anon_sym_precise] = ACTIONS(5699),
    [anon_sym_shared] = ACTIONS(5699),
    [anon_sym_groupshared] = ACTIONS(5699),
    [anon_sym_uniform] = ACTIONS(5699),
    [anon_sym_row_major] = ACTIONS(5699),
    [anon_sym_column_major] = ACTIONS(5699),
    [anon_sym_globallycoherent] = ACTIONS(5699),
    [anon_sym_centroid] = ACTIONS(5699),
    [anon_sym_noperspective] = ACTIONS(5699),
    [anon_sym_nointerpolation] = ACTIONS(5699),
    [anon_sym_sample] = ACTIONS(5699),
    [anon_sym_linear] = ACTIONS(5699),
    [anon_sym_snorm] = ACTIONS(5699),
    [anon_sym_unorm] = ACTIONS(5699),
    [anon_sym_point] = ACTIONS(5699),
    [anon_sym_line] = ACTIONS(5699),
    [anon_sym_triangleadj] = ACTIONS(5699),
    [anon_sym_lineadj] = ACTIONS(5699),
    [anon_sym_triangle] = ACTIONS(5699),
  },
  [2978] = {
    [sym_identifier] = ACTIONS(5647),
    [aux_sym_preproc_def_token1] = ACTIONS(5647),
    [aux_sym_preproc_if_token1] = ACTIONS(5647),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5647),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5647),
    [sym_preproc_directive] = ACTIONS(5647),
    [anon_sym_LPAREN2] = ACTIONS(5649),
    [anon_sym_TILDE] = ACTIONS(5649),
    [anon_sym_STAR] = ACTIONS(5649),
    [anon_sym_AMP_AMP] = ACTIONS(5649),
    [anon_sym_AMP] = ACTIONS(5647),
    [anon_sym___extension__] = ACTIONS(5647),
    [anon_sym_typedef] = ACTIONS(5647),
    [anon_sym_in] = ACTIONS(5647),
    [anon_sym_out] = ACTIONS(5647),
    [anon_sym_inout] = ACTIONS(5647),
    [anon_sym_extern] = ACTIONS(5647),
    [anon_sym___attribute__] = ACTIONS(5647),
    [anon_sym_COLON_COLON] = ACTIONS(5649),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5649),
    [anon_sym___declspec] = ACTIONS(5647),
    [anon_sym___based] = ACTIONS(5647),
    [anon_sym_RBRACE] = ACTIONS(5649),
    [anon_sym_signed] = ACTIONS(5647),
    [anon_sym_unsigned] = ACTIONS(5647),
    [anon_sym_long] = ACTIONS(5647),
    [anon_sym_short] = ACTIONS(5647),
    [anon_sym_LBRACK] = ACTIONS(5647),
    [anon_sym_static] = ACTIONS(5647),
    [anon_sym_register] = ACTIONS(5647),
    [anon_sym_inline] = ACTIONS(5647),
    [anon_sym___inline] = ACTIONS(5647),
    [anon_sym___inline__] = ACTIONS(5647),
    [anon_sym___forceinline] = ACTIONS(5647),
    [anon_sym_thread_local] = ACTIONS(5647),
    [anon_sym___thread] = ACTIONS(5647),
    [anon_sym_const] = ACTIONS(5647),
    [anon_sym_constexpr] = ACTIONS(5647),
    [anon_sym_volatile] = ACTIONS(5647),
    [anon_sym_restrict] = ACTIONS(5647),
    [anon_sym___restrict__] = ACTIONS(5647),
    [anon_sym__Atomic] = ACTIONS(5647),
    [anon_sym__Noreturn] = ACTIONS(5647),
    [anon_sym_noreturn] = ACTIONS(5647),
    [anon_sym_mutable] = ACTIONS(5647),
    [anon_sym_constinit] = ACTIONS(5647),
    [anon_sym_consteval] = ACTIONS(5647),
    [sym_primitive_type] = ACTIONS(5647),
    [anon_sym_enum] = ACTIONS(5647),
    [anon_sym_class] = ACTIONS(5647),
    [anon_sym_struct] = ACTIONS(5647),
    [anon_sym_union] = ACTIONS(5647),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5647),
    [anon_sym_decltype] = ACTIONS(5647),
    [anon_sym_virtual] = ACTIONS(5647),
    [anon_sym_alignas] = ACTIONS(5647),
    [anon_sym_explicit] = ACTIONS(5647),
    [anon_sym_typename] = ACTIONS(5647),
    [anon_sym_template] = ACTIONS(5647),
    [anon_sym_operator] = ACTIONS(5647),
    [anon_sym_friend] = ACTIONS(5647),
    [anon_sym_public] = ACTIONS(5647),
    [anon_sym_private] = ACTIONS(5647),
    [anon_sym_protected] = ACTIONS(5647),
    [anon_sym_using] = ACTIONS(5647),
    [anon_sym_static_assert] = ACTIONS(5647),
    [anon_sym_precise] = ACTIONS(5647),
    [anon_sym_shared] = ACTIONS(5647),
    [anon_sym_groupshared] = ACTIONS(5647),
    [anon_sym_uniform] = ACTIONS(5647),
    [anon_sym_row_major] = ACTIONS(5647),
    [anon_sym_column_major] = ACTIONS(5647),
    [anon_sym_globallycoherent] = ACTIONS(5647),
    [anon_sym_centroid] = ACTIONS(5647),
    [anon_sym_noperspective] = ACTIONS(5647),
    [anon_sym_nointerpolation] = ACTIONS(5647),
    [anon_sym_sample] = ACTIONS(5647),
    [anon_sym_linear] = ACTIONS(5647),
    [anon_sym_snorm] = ACTIONS(5647),
    [anon_sym_unorm] = ACTIONS(5647),
    [anon_sym_point] = ACTIONS(5647),
    [anon_sym_line] = ACTIONS(5647),
    [anon_sym_triangleadj] = ACTIONS(5647),
    [anon_sym_lineadj] = ACTIONS(5647),
    [anon_sym_triangle] = ACTIONS(5647),
  },
  [2979] = {
    [sym_identifier] = ACTIONS(2765),
    [aux_sym_preproc_def_token1] = ACTIONS(2765),
    [aux_sym_preproc_if_token1] = ACTIONS(2765),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2765),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2765),
    [sym_preproc_directive] = ACTIONS(2765),
    [anon_sym_LPAREN2] = ACTIONS(2767),
    [anon_sym_TILDE] = ACTIONS(2767),
    [anon_sym_STAR] = ACTIONS(2767),
    [anon_sym_AMP_AMP] = ACTIONS(2767),
    [anon_sym_AMP] = ACTIONS(2765),
    [anon_sym___extension__] = ACTIONS(2765),
    [anon_sym_typedef] = ACTIONS(2765),
    [anon_sym_in] = ACTIONS(2765),
    [anon_sym_out] = ACTIONS(2765),
    [anon_sym_inout] = ACTIONS(2765),
    [anon_sym_extern] = ACTIONS(2765),
    [anon_sym___attribute__] = ACTIONS(2765),
    [anon_sym_COLON_COLON] = ACTIONS(2767),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2767),
    [anon_sym___declspec] = ACTIONS(2765),
    [anon_sym___based] = ACTIONS(2765),
    [anon_sym_RBRACE] = ACTIONS(2767),
    [anon_sym_signed] = ACTIONS(2765),
    [anon_sym_unsigned] = ACTIONS(2765),
    [anon_sym_long] = ACTIONS(2765),
    [anon_sym_short] = ACTIONS(2765),
    [anon_sym_LBRACK] = ACTIONS(2765),
    [anon_sym_static] = ACTIONS(2765),
    [anon_sym_register] = ACTIONS(2765),
    [anon_sym_inline] = ACTIONS(2765),
    [anon_sym___inline] = ACTIONS(2765),
    [anon_sym___inline__] = ACTIONS(2765),
    [anon_sym___forceinline] = ACTIONS(2765),
    [anon_sym_thread_local] = ACTIONS(2765),
    [anon_sym___thread] = ACTIONS(2765),
    [anon_sym_const] = ACTIONS(2765),
    [anon_sym_constexpr] = ACTIONS(2765),
    [anon_sym_volatile] = ACTIONS(2765),
    [anon_sym_restrict] = ACTIONS(2765),
    [anon_sym___restrict__] = ACTIONS(2765),
    [anon_sym__Atomic] = ACTIONS(2765),
    [anon_sym__Noreturn] = ACTIONS(2765),
    [anon_sym_noreturn] = ACTIONS(2765),
    [anon_sym_mutable] = ACTIONS(2765),
    [anon_sym_constinit] = ACTIONS(2765),
    [anon_sym_consteval] = ACTIONS(2765),
    [sym_primitive_type] = ACTIONS(2765),
    [anon_sym_enum] = ACTIONS(2765),
    [anon_sym_class] = ACTIONS(2765),
    [anon_sym_struct] = ACTIONS(2765),
    [anon_sym_union] = ACTIONS(2765),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2765),
    [anon_sym_decltype] = ACTIONS(2765),
    [anon_sym_virtual] = ACTIONS(2765),
    [anon_sym_alignas] = ACTIONS(2765),
    [anon_sym_explicit] = ACTIONS(2765),
    [anon_sym_typename] = ACTIONS(2765),
    [anon_sym_template] = ACTIONS(2765),
    [anon_sym_operator] = ACTIONS(2765),
    [anon_sym_friend] = ACTIONS(2765),
    [anon_sym_public] = ACTIONS(2765),
    [anon_sym_private] = ACTIONS(2765),
    [anon_sym_protected] = ACTIONS(2765),
    [anon_sym_using] = ACTIONS(2765),
    [anon_sym_static_assert] = ACTIONS(2765),
    [anon_sym_precise] = ACTIONS(2765),
    [anon_sym_shared] = ACTIONS(2765),
    [anon_sym_groupshared] = ACTIONS(2765),
    [anon_sym_uniform] = ACTIONS(2765),
    [anon_sym_row_major] = ACTIONS(2765),
    [anon_sym_column_major] = ACTIONS(2765),
    [anon_sym_globallycoherent] = ACTIONS(2765),
    [anon_sym_centroid] = ACTIONS(2765),
    [anon_sym_noperspective] = ACTIONS(2765),
    [anon_sym_nointerpolation] = ACTIONS(2765),
    [anon_sym_sample] = ACTIONS(2765),
    [anon_sym_linear] = ACTIONS(2765),
    [anon_sym_snorm] = ACTIONS(2765),
    [anon_sym_unorm] = ACTIONS(2765),
    [anon_sym_point] = ACTIONS(2765),
    [anon_sym_line] = ACTIONS(2765),
    [anon_sym_triangleadj] = ACTIONS(2765),
    [anon_sym_lineadj] = ACTIONS(2765),
    [anon_sym_triangle] = ACTIONS(2765),
  },
  [2980] = {
    [sym_identifier] = ACTIONS(5687),
    [aux_sym_preproc_def_token1] = ACTIONS(5687),
    [aux_sym_preproc_if_token1] = ACTIONS(5687),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5687),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5687),
    [sym_preproc_directive] = ACTIONS(5687),
    [anon_sym_LPAREN2] = ACTIONS(5689),
    [anon_sym_TILDE] = ACTIONS(5689),
    [anon_sym_STAR] = ACTIONS(5689),
    [anon_sym_AMP_AMP] = ACTIONS(5689),
    [anon_sym_AMP] = ACTIONS(5687),
    [anon_sym___extension__] = ACTIONS(5687),
    [anon_sym_typedef] = ACTIONS(5687),
    [anon_sym_in] = ACTIONS(5687),
    [anon_sym_out] = ACTIONS(5687),
    [anon_sym_inout] = ACTIONS(5687),
    [anon_sym_extern] = ACTIONS(5687),
    [anon_sym___attribute__] = ACTIONS(5687),
    [anon_sym_COLON_COLON] = ACTIONS(5689),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5689),
    [anon_sym___declspec] = ACTIONS(5687),
    [anon_sym___based] = ACTIONS(5687),
    [anon_sym_RBRACE] = ACTIONS(5689),
    [anon_sym_signed] = ACTIONS(5687),
    [anon_sym_unsigned] = ACTIONS(5687),
    [anon_sym_long] = ACTIONS(5687),
    [anon_sym_short] = ACTIONS(5687),
    [anon_sym_LBRACK] = ACTIONS(5687),
    [anon_sym_static] = ACTIONS(5687),
    [anon_sym_register] = ACTIONS(5687),
    [anon_sym_inline] = ACTIONS(5687),
    [anon_sym___inline] = ACTIONS(5687),
    [anon_sym___inline__] = ACTIONS(5687),
    [anon_sym___forceinline] = ACTIONS(5687),
    [anon_sym_thread_local] = ACTIONS(5687),
    [anon_sym___thread] = ACTIONS(5687),
    [anon_sym_const] = ACTIONS(5687),
    [anon_sym_constexpr] = ACTIONS(5687),
    [anon_sym_volatile] = ACTIONS(5687),
    [anon_sym_restrict] = ACTIONS(5687),
    [anon_sym___restrict__] = ACTIONS(5687),
    [anon_sym__Atomic] = ACTIONS(5687),
    [anon_sym__Noreturn] = ACTIONS(5687),
    [anon_sym_noreturn] = ACTIONS(5687),
    [anon_sym_mutable] = ACTIONS(5687),
    [anon_sym_constinit] = ACTIONS(5687),
    [anon_sym_consteval] = ACTIONS(5687),
    [sym_primitive_type] = ACTIONS(5687),
    [anon_sym_enum] = ACTIONS(5687),
    [anon_sym_class] = ACTIONS(5687),
    [anon_sym_struct] = ACTIONS(5687),
    [anon_sym_union] = ACTIONS(5687),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5687),
    [anon_sym_decltype] = ACTIONS(5687),
    [anon_sym_virtual] = ACTIONS(5687),
    [anon_sym_alignas] = ACTIONS(5687),
    [anon_sym_explicit] = ACTIONS(5687),
    [anon_sym_typename] = ACTIONS(5687),
    [anon_sym_template] = ACTIONS(5687),
    [anon_sym_operator] = ACTIONS(5687),
    [anon_sym_friend] = ACTIONS(5687),
    [anon_sym_public] = ACTIONS(5687),
    [anon_sym_private] = ACTIONS(5687),
    [anon_sym_protected] = ACTIONS(5687),
    [anon_sym_using] = ACTIONS(5687),
    [anon_sym_static_assert] = ACTIONS(5687),
    [anon_sym_precise] = ACTIONS(5687),
    [anon_sym_shared] = ACTIONS(5687),
    [anon_sym_groupshared] = ACTIONS(5687),
    [anon_sym_uniform] = ACTIONS(5687),
    [anon_sym_row_major] = ACTIONS(5687),
    [anon_sym_column_major] = ACTIONS(5687),
    [anon_sym_globallycoherent] = ACTIONS(5687),
    [anon_sym_centroid] = ACTIONS(5687),
    [anon_sym_noperspective] = ACTIONS(5687),
    [anon_sym_nointerpolation] = ACTIONS(5687),
    [anon_sym_sample] = ACTIONS(5687),
    [anon_sym_linear] = ACTIONS(5687),
    [anon_sym_snorm] = ACTIONS(5687),
    [anon_sym_unorm] = ACTIONS(5687),
    [anon_sym_point] = ACTIONS(5687),
    [anon_sym_line] = ACTIONS(5687),
    [anon_sym_triangleadj] = ACTIONS(5687),
    [anon_sym_lineadj] = ACTIONS(5687),
    [anon_sym_triangle] = ACTIONS(5687),
  },
  [2981] = {
    [sym_identifier] = ACTIONS(2765),
    [aux_sym_preproc_def_token1] = ACTIONS(2765),
    [aux_sym_preproc_if_token1] = ACTIONS(2765),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2765),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2765),
    [sym_preproc_directive] = ACTIONS(2765),
    [anon_sym_LPAREN2] = ACTIONS(2767),
    [anon_sym_TILDE] = ACTIONS(2767),
    [anon_sym_STAR] = ACTIONS(2767),
    [anon_sym_AMP_AMP] = ACTIONS(2767),
    [anon_sym_AMP] = ACTIONS(2765),
    [anon_sym___extension__] = ACTIONS(2765),
    [anon_sym_typedef] = ACTIONS(2765),
    [anon_sym_in] = ACTIONS(2765),
    [anon_sym_out] = ACTIONS(2765),
    [anon_sym_inout] = ACTIONS(2765),
    [anon_sym_extern] = ACTIONS(2765),
    [anon_sym___attribute__] = ACTIONS(2765),
    [anon_sym_COLON_COLON] = ACTIONS(2767),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2767),
    [anon_sym___declspec] = ACTIONS(2765),
    [anon_sym___based] = ACTIONS(2765),
    [anon_sym_RBRACE] = ACTIONS(2767),
    [anon_sym_signed] = ACTIONS(2765),
    [anon_sym_unsigned] = ACTIONS(2765),
    [anon_sym_long] = ACTIONS(2765),
    [anon_sym_short] = ACTIONS(2765),
    [anon_sym_LBRACK] = ACTIONS(2765),
    [anon_sym_static] = ACTIONS(2765),
    [anon_sym_register] = ACTIONS(2765),
    [anon_sym_inline] = ACTIONS(2765),
    [anon_sym___inline] = ACTIONS(2765),
    [anon_sym___inline__] = ACTIONS(2765),
    [anon_sym___forceinline] = ACTIONS(2765),
    [anon_sym_thread_local] = ACTIONS(2765),
    [anon_sym___thread] = ACTIONS(2765),
    [anon_sym_const] = ACTIONS(2765),
    [anon_sym_constexpr] = ACTIONS(2765),
    [anon_sym_volatile] = ACTIONS(2765),
    [anon_sym_restrict] = ACTIONS(2765),
    [anon_sym___restrict__] = ACTIONS(2765),
    [anon_sym__Atomic] = ACTIONS(2765),
    [anon_sym__Noreturn] = ACTIONS(2765),
    [anon_sym_noreturn] = ACTIONS(2765),
    [anon_sym_mutable] = ACTIONS(2765),
    [anon_sym_constinit] = ACTIONS(2765),
    [anon_sym_consteval] = ACTIONS(2765),
    [sym_primitive_type] = ACTIONS(2765),
    [anon_sym_enum] = ACTIONS(2765),
    [anon_sym_class] = ACTIONS(2765),
    [anon_sym_struct] = ACTIONS(2765),
    [anon_sym_union] = ACTIONS(2765),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2765),
    [anon_sym_decltype] = ACTIONS(2765),
    [anon_sym_virtual] = ACTIONS(2765),
    [anon_sym_alignas] = ACTIONS(2765),
    [anon_sym_explicit] = ACTIONS(2765),
    [anon_sym_typename] = ACTIONS(2765),
    [anon_sym_template] = ACTIONS(2765),
    [anon_sym_operator] = ACTIONS(2765),
    [anon_sym_friend] = ACTIONS(2765),
    [anon_sym_public] = ACTIONS(2765),
    [anon_sym_private] = ACTIONS(2765),
    [anon_sym_protected] = ACTIONS(2765),
    [anon_sym_using] = ACTIONS(2765),
    [anon_sym_static_assert] = ACTIONS(2765),
    [anon_sym_precise] = ACTIONS(2765),
    [anon_sym_shared] = ACTIONS(2765),
    [anon_sym_groupshared] = ACTIONS(2765),
    [anon_sym_uniform] = ACTIONS(2765),
    [anon_sym_row_major] = ACTIONS(2765),
    [anon_sym_column_major] = ACTIONS(2765),
    [anon_sym_globallycoherent] = ACTIONS(2765),
    [anon_sym_centroid] = ACTIONS(2765),
    [anon_sym_noperspective] = ACTIONS(2765),
    [anon_sym_nointerpolation] = ACTIONS(2765),
    [anon_sym_sample] = ACTIONS(2765),
    [anon_sym_linear] = ACTIONS(2765),
    [anon_sym_snorm] = ACTIONS(2765),
    [anon_sym_unorm] = ACTIONS(2765),
    [anon_sym_point] = ACTIONS(2765),
    [anon_sym_line] = ACTIONS(2765),
    [anon_sym_triangleadj] = ACTIONS(2765),
    [anon_sym_lineadj] = ACTIONS(2765),
    [anon_sym_triangle] = ACTIONS(2765),
  },
  [2982] = {
    [sym_identifier] = ACTIONS(5703),
    [aux_sym_preproc_def_token1] = ACTIONS(5703),
    [aux_sym_preproc_if_token1] = ACTIONS(5703),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5703),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5703),
    [sym_preproc_directive] = ACTIONS(5703),
    [anon_sym_LPAREN2] = ACTIONS(5705),
    [anon_sym_TILDE] = ACTIONS(5705),
    [anon_sym_STAR] = ACTIONS(5705),
    [anon_sym_AMP_AMP] = ACTIONS(5705),
    [anon_sym_AMP] = ACTIONS(5703),
    [anon_sym___extension__] = ACTIONS(5703),
    [anon_sym_typedef] = ACTIONS(5703),
    [anon_sym_in] = ACTIONS(5703),
    [anon_sym_out] = ACTIONS(5703),
    [anon_sym_inout] = ACTIONS(5703),
    [anon_sym_extern] = ACTIONS(5703),
    [anon_sym___attribute__] = ACTIONS(5703),
    [anon_sym_COLON_COLON] = ACTIONS(5705),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5705),
    [anon_sym___declspec] = ACTIONS(5703),
    [anon_sym___based] = ACTIONS(5703),
    [anon_sym_RBRACE] = ACTIONS(5705),
    [anon_sym_signed] = ACTIONS(5703),
    [anon_sym_unsigned] = ACTIONS(5703),
    [anon_sym_long] = ACTIONS(5703),
    [anon_sym_short] = ACTIONS(5703),
    [anon_sym_LBRACK] = ACTIONS(5703),
    [anon_sym_static] = ACTIONS(5703),
    [anon_sym_register] = ACTIONS(5703),
    [anon_sym_inline] = ACTIONS(5703),
    [anon_sym___inline] = ACTIONS(5703),
    [anon_sym___inline__] = ACTIONS(5703),
    [anon_sym___forceinline] = ACTIONS(5703),
    [anon_sym_thread_local] = ACTIONS(5703),
    [anon_sym___thread] = ACTIONS(5703),
    [anon_sym_const] = ACTIONS(5703),
    [anon_sym_constexpr] = ACTIONS(5703),
    [anon_sym_volatile] = ACTIONS(5703),
    [anon_sym_restrict] = ACTIONS(5703),
    [anon_sym___restrict__] = ACTIONS(5703),
    [anon_sym__Atomic] = ACTIONS(5703),
    [anon_sym__Noreturn] = ACTIONS(5703),
    [anon_sym_noreturn] = ACTIONS(5703),
    [anon_sym_mutable] = ACTIONS(5703),
    [anon_sym_constinit] = ACTIONS(5703),
    [anon_sym_consteval] = ACTIONS(5703),
    [sym_primitive_type] = ACTIONS(5703),
    [anon_sym_enum] = ACTIONS(5703),
    [anon_sym_class] = ACTIONS(5703),
    [anon_sym_struct] = ACTIONS(5703),
    [anon_sym_union] = ACTIONS(5703),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5703),
    [anon_sym_decltype] = ACTIONS(5703),
    [anon_sym_virtual] = ACTIONS(5703),
    [anon_sym_alignas] = ACTIONS(5703),
    [anon_sym_explicit] = ACTIONS(5703),
    [anon_sym_typename] = ACTIONS(5703),
    [anon_sym_template] = ACTIONS(5703),
    [anon_sym_operator] = ACTIONS(5703),
    [anon_sym_friend] = ACTIONS(5703),
    [anon_sym_public] = ACTIONS(5703),
    [anon_sym_private] = ACTIONS(5703),
    [anon_sym_protected] = ACTIONS(5703),
    [anon_sym_using] = ACTIONS(5703),
    [anon_sym_static_assert] = ACTIONS(5703),
    [anon_sym_precise] = ACTIONS(5703),
    [anon_sym_shared] = ACTIONS(5703),
    [anon_sym_groupshared] = ACTIONS(5703),
    [anon_sym_uniform] = ACTIONS(5703),
    [anon_sym_row_major] = ACTIONS(5703),
    [anon_sym_column_major] = ACTIONS(5703),
    [anon_sym_globallycoherent] = ACTIONS(5703),
    [anon_sym_centroid] = ACTIONS(5703),
    [anon_sym_noperspective] = ACTIONS(5703),
    [anon_sym_nointerpolation] = ACTIONS(5703),
    [anon_sym_sample] = ACTIONS(5703),
    [anon_sym_linear] = ACTIONS(5703),
    [anon_sym_snorm] = ACTIONS(5703),
    [anon_sym_unorm] = ACTIONS(5703),
    [anon_sym_point] = ACTIONS(5703),
    [anon_sym_line] = ACTIONS(5703),
    [anon_sym_triangleadj] = ACTIONS(5703),
    [anon_sym_lineadj] = ACTIONS(5703),
    [anon_sym_triangle] = ACTIONS(5703),
  },
  [2983] = {
    [sym_identifier] = ACTIONS(2725),
    [aux_sym_preproc_def_token1] = ACTIONS(2725),
    [aux_sym_preproc_if_token1] = ACTIONS(2725),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2725),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2725),
    [sym_preproc_directive] = ACTIONS(2725),
    [anon_sym_LPAREN2] = ACTIONS(2727),
    [anon_sym_TILDE] = ACTIONS(2727),
    [anon_sym_STAR] = ACTIONS(2727),
    [anon_sym_AMP_AMP] = ACTIONS(2727),
    [anon_sym_AMP] = ACTIONS(2725),
    [anon_sym___extension__] = ACTIONS(2725),
    [anon_sym_typedef] = ACTIONS(2725),
    [anon_sym_in] = ACTIONS(2725),
    [anon_sym_out] = ACTIONS(2725),
    [anon_sym_inout] = ACTIONS(2725),
    [anon_sym_extern] = ACTIONS(2725),
    [anon_sym___attribute__] = ACTIONS(2725),
    [anon_sym_COLON_COLON] = ACTIONS(2727),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2727),
    [anon_sym___declspec] = ACTIONS(2725),
    [anon_sym___based] = ACTIONS(2725),
    [anon_sym_RBRACE] = ACTIONS(2727),
    [anon_sym_signed] = ACTIONS(2725),
    [anon_sym_unsigned] = ACTIONS(2725),
    [anon_sym_long] = ACTIONS(2725),
    [anon_sym_short] = ACTIONS(2725),
    [anon_sym_LBRACK] = ACTIONS(2725),
    [anon_sym_static] = ACTIONS(2725),
    [anon_sym_register] = ACTIONS(2725),
    [anon_sym_inline] = ACTIONS(2725),
    [anon_sym___inline] = ACTIONS(2725),
    [anon_sym___inline__] = ACTIONS(2725),
    [anon_sym___forceinline] = ACTIONS(2725),
    [anon_sym_thread_local] = ACTIONS(2725),
    [anon_sym___thread] = ACTIONS(2725),
    [anon_sym_const] = ACTIONS(2725),
    [anon_sym_constexpr] = ACTIONS(2725),
    [anon_sym_volatile] = ACTIONS(2725),
    [anon_sym_restrict] = ACTIONS(2725),
    [anon_sym___restrict__] = ACTIONS(2725),
    [anon_sym__Atomic] = ACTIONS(2725),
    [anon_sym__Noreturn] = ACTIONS(2725),
    [anon_sym_noreturn] = ACTIONS(2725),
    [anon_sym_mutable] = ACTIONS(2725),
    [anon_sym_constinit] = ACTIONS(2725),
    [anon_sym_consteval] = ACTIONS(2725),
    [sym_primitive_type] = ACTIONS(2725),
    [anon_sym_enum] = ACTIONS(2725),
    [anon_sym_class] = ACTIONS(2725),
    [anon_sym_struct] = ACTIONS(2725),
    [anon_sym_union] = ACTIONS(2725),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2725),
    [anon_sym_decltype] = ACTIONS(2725),
    [anon_sym_virtual] = ACTIONS(2725),
    [anon_sym_alignas] = ACTIONS(2725),
    [anon_sym_explicit] = ACTIONS(2725),
    [anon_sym_typename] = ACTIONS(2725),
    [anon_sym_template] = ACTIONS(2725),
    [anon_sym_operator] = ACTIONS(2725),
    [anon_sym_friend] = ACTIONS(2725),
    [anon_sym_public] = ACTIONS(2725),
    [anon_sym_private] = ACTIONS(2725),
    [anon_sym_protected] = ACTIONS(2725),
    [anon_sym_using] = ACTIONS(2725),
    [anon_sym_static_assert] = ACTIONS(2725),
    [anon_sym_precise] = ACTIONS(2725),
    [anon_sym_shared] = ACTIONS(2725),
    [anon_sym_groupshared] = ACTIONS(2725),
    [anon_sym_uniform] = ACTIONS(2725),
    [anon_sym_row_major] = ACTIONS(2725),
    [anon_sym_column_major] = ACTIONS(2725),
    [anon_sym_globallycoherent] = ACTIONS(2725),
    [anon_sym_centroid] = ACTIONS(2725),
    [anon_sym_noperspective] = ACTIONS(2725),
    [anon_sym_nointerpolation] = ACTIONS(2725),
    [anon_sym_sample] = ACTIONS(2725),
    [anon_sym_linear] = ACTIONS(2725),
    [anon_sym_snorm] = ACTIONS(2725),
    [anon_sym_unorm] = ACTIONS(2725),
    [anon_sym_point] = ACTIONS(2725),
    [anon_sym_line] = ACTIONS(2725),
    [anon_sym_triangleadj] = ACTIONS(2725),
    [anon_sym_lineadj] = ACTIONS(2725),
    [anon_sym_triangle] = ACTIONS(2725),
  },
  [2984] = {
    [sym_identifier] = ACTIONS(2354),
    [aux_sym_preproc_def_token1] = ACTIONS(2354),
    [aux_sym_preproc_if_token1] = ACTIONS(2354),
    [aux_sym_preproc_if_token2] = ACTIONS(2354),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2354),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2354),
    [sym_preproc_directive] = ACTIONS(2354),
    [anon_sym_LPAREN2] = ACTIONS(2356),
    [anon_sym_TILDE] = ACTIONS(2356),
    [anon_sym_STAR] = ACTIONS(2356),
    [anon_sym_AMP_AMP] = ACTIONS(2356),
    [anon_sym_AMP] = ACTIONS(2354),
    [anon_sym___extension__] = ACTIONS(2354),
    [anon_sym_typedef] = ACTIONS(2354),
    [anon_sym_in] = ACTIONS(2354),
    [anon_sym_out] = ACTIONS(2354),
    [anon_sym_inout] = ACTIONS(2354),
    [anon_sym_extern] = ACTIONS(2354),
    [anon_sym___attribute__] = ACTIONS(2354),
    [anon_sym_COLON_COLON] = ACTIONS(2356),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2356),
    [anon_sym___declspec] = ACTIONS(2354),
    [anon_sym___based] = ACTIONS(2354),
    [anon_sym_signed] = ACTIONS(2354),
    [anon_sym_unsigned] = ACTIONS(2354),
    [anon_sym_long] = ACTIONS(2354),
    [anon_sym_short] = ACTIONS(2354),
    [anon_sym_LBRACK] = ACTIONS(2354),
    [anon_sym_static] = ACTIONS(2354),
    [anon_sym_register] = ACTIONS(2354),
    [anon_sym_inline] = ACTIONS(2354),
    [anon_sym___inline] = ACTIONS(2354),
    [anon_sym___inline__] = ACTIONS(2354),
    [anon_sym___forceinline] = ACTIONS(2354),
    [anon_sym_thread_local] = ACTIONS(2354),
    [anon_sym___thread] = ACTIONS(2354),
    [anon_sym_const] = ACTIONS(2354),
    [anon_sym_constexpr] = ACTIONS(2354),
    [anon_sym_volatile] = ACTIONS(2354),
    [anon_sym_restrict] = ACTIONS(2354),
    [anon_sym___restrict__] = ACTIONS(2354),
    [anon_sym__Atomic] = ACTIONS(2354),
    [anon_sym__Noreturn] = ACTIONS(2354),
    [anon_sym_noreturn] = ACTIONS(2354),
    [anon_sym_mutable] = ACTIONS(2354),
    [anon_sym_constinit] = ACTIONS(2354),
    [anon_sym_consteval] = ACTIONS(2354),
    [sym_primitive_type] = ACTIONS(2354),
    [anon_sym_enum] = ACTIONS(2354),
    [anon_sym_class] = ACTIONS(2354),
    [anon_sym_struct] = ACTIONS(2354),
    [anon_sym_union] = ACTIONS(2354),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2354),
    [anon_sym_decltype] = ACTIONS(2354),
    [anon_sym_virtual] = ACTIONS(2354),
    [anon_sym_alignas] = ACTIONS(2354),
    [anon_sym_explicit] = ACTIONS(2354),
    [anon_sym_typename] = ACTIONS(2354),
    [anon_sym_template] = ACTIONS(2354),
    [anon_sym_operator] = ACTIONS(2354),
    [anon_sym_friend] = ACTIONS(2354),
    [anon_sym_public] = ACTIONS(2354),
    [anon_sym_private] = ACTIONS(2354),
    [anon_sym_protected] = ACTIONS(2354),
    [anon_sym_using] = ACTIONS(2354),
    [anon_sym_static_assert] = ACTIONS(2354),
    [anon_sym_precise] = ACTIONS(2354),
    [anon_sym_shared] = ACTIONS(2354),
    [anon_sym_groupshared] = ACTIONS(2354),
    [anon_sym_uniform] = ACTIONS(2354),
    [anon_sym_row_major] = ACTIONS(2354),
    [anon_sym_column_major] = ACTIONS(2354),
    [anon_sym_globallycoherent] = ACTIONS(2354),
    [anon_sym_centroid] = ACTIONS(2354),
    [anon_sym_noperspective] = ACTIONS(2354),
    [anon_sym_nointerpolation] = ACTIONS(2354),
    [anon_sym_sample] = ACTIONS(2354),
    [anon_sym_linear] = ACTIONS(2354),
    [anon_sym_snorm] = ACTIONS(2354),
    [anon_sym_unorm] = ACTIONS(2354),
    [anon_sym_point] = ACTIONS(2354),
    [anon_sym_line] = ACTIONS(2354),
    [anon_sym_triangleadj] = ACTIONS(2354),
    [anon_sym_lineadj] = ACTIONS(2354),
    [anon_sym_triangle] = ACTIONS(2354),
  },
  [2985] = {
    [sym_identifier] = ACTIONS(2354),
    [aux_sym_preproc_def_token1] = ACTIONS(2354),
    [aux_sym_preproc_if_token1] = ACTIONS(2354),
    [aux_sym_preproc_if_token2] = ACTIONS(2354),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2354),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2354),
    [sym_preproc_directive] = ACTIONS(2354),
    [anon_sym_LPAREN2] = ACTIONS(2356),
    [anon_sym_TILDE] = ACTIONS(2356),
    [anon_sym_STAR] = ACTIONS(2356),
    [anon_sym_AMP_AMP] = ACTIONS(2356),
    [anon_sym_AMP] = ACTIONS(2354),
    [anon_sym___extension__] = ACTIONS(2354),
    [anon_sym_typedef] = ACTIONS(2354),
    [anon_sym_in] = ACTIONS(2354),
    [anon_sym_out] = ACTIONS(2354),
    [anon_sym_inout] = ACTIONS(2354),
    [anon_sym_extern] = ACTIONS(2354),
    [anon_sym___attribute__] = ACTIONS(2354),
    [anon_sym_COLON_COLON] = ACTIONS(2356),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2356),
    [anon_sym___declspec] = ACTIONS(2354),
    [anon_sym___based] = ACTIONS(2354),
    [anon_sym_signed] = ACTIONS(2354),
    [anon_sym_unsigned] = ACTIONS(2354),
    [anon_sym_long] = ACTIONS(2354),
    [anon_sym_short] = ACTIONS(2354),
    [anon_sym_LBRACK] = ACTIONS(2354),
    [anon_sym_static] = ACTIONS(2354),
    [anon_sym_register] = ACTIONS(2354),
    [anon_sym_inline] = ACTIONS(2354),
    [anon_sym___inline] = ACTIONS(2354),
    [anon_sym___inline__] = ACTIONS(2354),
    [anon_sym___forceinline] = ACTIONS(2354),
    [anon_sym_thread_local] = ACTIONS(2354),
    [anon_sym___thread] = ACTIONS(2354),
    [anon_sym_const] = ACTIONS(2354),
    [anon_sym_constexpr] = ACTIONS(2354),
    [anon_sym_volatile] = ACTIONS(2354),
    [anon_sym_restrict] = ACTIONS(2354),
    [anon_sym___restrict__] = ACTIONS(2354),
    [anon_sym__Atomic] = ACTIONS(2354),
    [anon_sym__Noreturn] = ACTIONS(2354),
    [anon_sym_noreturn] = ACTIONS(2354),
    [anon_sym_mutable] = ACTIONS(2354),
    [anon_sym_constinit] = ACTIONS(2354),
    [anon_sym_consteval] = ACTIONS(2354),
    [sym_primitive_type] = ACTIONS(2354),
    [anon_sym_enum] = ACTIONS(2354),
    [anon_sym_class] = ACTIONS(2354),
    [anon_sym_struct] = ACTIONS(2354),
    [anon_sym_union] = ACTIONS(2354),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2354),
    [anon_sym_decltype] = ACTIONS(2354),
    [anon_sym_virtual] = ACTIONS(2354),
    [anon_sym_alignas] = ACTIONS(2354),
    [anon_sym_explicit] = ACTIONS(2354),
    [anon_sym_typename] = ACTIONS(2354),
    [anon_sym_template] = ACTIONS(2354),
    [anon_sym_operator] = ACTIONS(2354),
    [anon_sym_friend] = ACTIONS(2354),
    [anon_sym_public] = ACTIONS(2354),
    [anon_sym_private] = ACTIONS(2354),
    [anon_sym_protected] = ACTIONS(2354),
    [anon_sym_using] = ACTIONS(2354),
    [anon_sym_static_assert] = ACTIONS(2354),
    [anon_sym_precise] = ACTIONS(2354),
    [anon_sym_shared] = ACTIONS(2354),
    [anon_sym_groupshared] = ACTIONS(2354),
    [anon_sym_uniform] = ACTIONS(2354),
    [anon_sym_row_major] = ACTIONS(2354),
    [anon_sym_column_major] = ACTIONS(2354),
    [anon_sym_globallycoherent] = ACTIONS(2354),
    [anon_sym_centroid] = ACTIONS(2354),
    [anon_sym_noperspective] = ACTIONS(2354),
    [anon_sym_nointerpolation] = ACTIONS(2354),
    [anon_sym_sample] = ACTIONS(2354),
    [anon_sym_linear] = ACTIONS(2354),
    [anon_sym_snorm] = ACTIONS(2354),
    [anon_sym_unorm] = ACTIONS(2354),
    [anon_sym_point] = ACTIONS(2354),
    [anon_sym_line] = ACTIONS(2354),
    [anon_sym_triangleadj] = ACTIONS(2354),
    [anon_sym_lineadj] = ACTIONS(2354),
    [anon_sym_triangle] = ACTIONS(2354),
  },
  [2986] = {
    [sym_identifier] = ACTIONS(5699),
    [aux_sym_preproc_def_token1] = ACTIONS(5699),
    [aux_sym_preproc_if_token1] = ACTIONS(5699),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5699),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5699),
    [sym_preproc_directive] = ACTIONS(5699),
    [anon_sym_LPAREN2] = ACTIONS(5701),
    [anon_sym_TILDE] = ACTIONS(5701),
    [anon_sym_STAR] = ACTIONS(5701),
    [anon_sym_AMP_AMP] = ACTIONS(5701),
    [anon_sym_AMP] = ACTIONS(5699),
    [anon_sym___extension__] = ACTIONS(5699),
    [anon_sym_typedef] = ACTIONS(5699),
    [anon_sym_in] = ACTIONS(5699),
    [anon_sym_out] = ACTIONS(5699),
    [anon_sym_inout] = ACTIONS(5699),
    [anon_sym_extern] = ACTIONS(5699),
    [anon_sym___attribute__] = ACTIONS(5699),
    [anon_sym_COLON_COLON] = ACTIONS(5701),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5701),
    [anon_sym___declspec] = ACTIONS(5699),
    [anon_sym___based] = ACTIONS(5699),
    [anon_sym_RBRACE] = ACTIONS(5701),
    [anon_sym_signed] = ACTIONS(5699),
    [anon_sym_unsigned] = ACTIONS(5699),
    [anon_sym_long] = ACTIONS(5699),
    [anon_sym_short] = ACTIONS(5699),
    [anon_sym_LBRACK] = ACTIONS(5699),
    [anon_sym_static] = ACTIONS(5699),
    [anon_sym_register] = ACTIONS(5699),
    [anon_sym_inline] = ACTIONS(5699),
    [anon_sym___inline] = ACTIONS(5699),
    [anon_sym___inline__] = ACTIONS(5699),
    [anon_sym___forceinline] = ACTIONS(5699),
    [anon_sym_thread_local] = ACTIONS(5699),
    [anon_sym___thread] = ACTIONS(5699),
    [anon_sym_const] = ACTIONS(5699),
    [anon_sym_constexpr] = ACTIONS(5699),
    [anon_sym_volatile] = ACTIONS(5699),
    [anon_sym_restrict] = ACTIONS(5699),
    [anon_sym___restrict__] = ACTIONS(5699),
    [anon_sym__Atomic] = ACTIONS(5699),
    [anon_sym__Noreturn] = ACTIONS(5699),
    [anon_sym_noreturn] = ACTIONS(5699),
    [anon_sym_mutable] = ACTIONS(5699),
    [anon_sym_constinit] = ACTIONS(5699),
    [anon_sym_consteval] = ACTIONS(5699),
    [sym_primitive_type] = ACTIONS(5699),
    [anon_sym_enum] = ACTIONS(5699),
    [anon_sym_class] = ACTIONS(5699),
    [anon_sym_struct] = ACTIONS(5699),
    [anon_sym_union] = ACTIONS(5699),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5699),
    [anon_sym_decltype] = ACTIONS(5699),
    [anon_sym_virtual] = ACTIONS(5699),
    [anon_sym_alignas] = ACTIONS(5699),
    [anon_sym_explicit] = ACTIONS(5699),
    [anon_sym_typename] = ACTIONS(5699),
    [anon_sym_template] = ACTIONS(5699),
    [anon_sym_operator] = ACTIONS(5699),
    [anon_sym_friend] = ACTIONS(5699),
    [anon_sym_public] = ACTIONS(5699),
    [anon_sym_private] = ACTIONS(5699),
    [anon_sym_protected] = ACTIONS(5699),
    [anon_sym_using] = ACTIONS(5699),
    [anon_sym_static_assert] = ACTIONS(5699),
    [anon_sym_precise] = ACTIONS(5699),
    [anon_sym_shared] = ACTIONS(5699),
    [anon_sym_groupshared] = ACTIONS(5699),
    [anon_sym_uniform] = ACTIONS(5699),
    [anon_sym_row_major] = ACTIONS(5699),
    [anon_sym_column_major] = ACTIONS(5699),
    [anon_sym_globallycoherent] = ACTIONS(5699),
    [anon_sym_centroid] = ACTIONS(5699),
    [anon_sym_noperspective] = ACTIONS(5699),
    [anon_sym_nointerpolation] = ACTIONS(5699),
    [anon_sym_sample] = ACTIONS(5699),
    [anon_sym_linear] = ACTIONS(5699),
    [anon_sym_snorm] = ACTIONS(5699),
    [anon_sym_unorm] = ACTIONS(5699),
    [anon_sym_point] = ACTIONS(5699),
    [anon_sym_line] = ACTIONS(5699),
    [anon_sym_triangleadj] = ACTIONS(5699),
    [anon_sym_lineadj] = ACTIONS(5699),
    [anon_sym_triangle] = ACTIONS(5699),
  },
  [2987] = {
    [sym_identifier] = ACTIONS(2657),
    [aux_sym_preproc_def_token1] = ACTIONS(2657),
    [aux_sym_preproc_if_token1] = ACTIONS(2657),
    [aux_sym_preproc_if_token2] = ACTIONS(2657),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2657),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2657),
    [sym_preproc_directive] = ACTIONS(2657),
    [anon_sym_LPAREN2] = ACTIONS(2659),
    [anon_sym_TILDE] = ACTIONS(2659),
    [anon_sym_STAR] = ACTIONS(2659),
    [anon_sym_AMP_AMP] = ACTIONS(2659),
    [anon_sym_AMP] = ACTIONS(2657),
    [anon_sym___extension__] = ACTIONS(2657),
    [anon_sym_typedef] = ACTIONS(2657),
    [anon_sym_in] = ACTIONS(2657),
    [anon_sym_out] = ACTIONS(2657),
    [anon_sym_inout] = ACTIONS(2657),
    [anon_sym_extern] = ACTIONS(2657),
    [anon_sym___attribute__] = ACTIONS(2657),
    [anon_sym_COLON_COLON] = ACTIONS(2659),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2659),
    [anon_sym___declspec] = ACTIONS(2657),
    [anon_sym___based] = ACTIONS(2657),
    [anon_sym_signed] = ACTIONS(2657),
    [anon_sym_unsigned] = ACTIONS(2657),
    [anon_sym_long] = ACTIONS(2657),
    [anon_sym_short] = ACTIONS(2657),
    [anon_sym_LBRACK] = ACTIONS(2657),
    [anon_sym_static] = ACTIONS(2657),
    [anon_sym_register] = ACTIONS(2657),
    [anon_sym_inline] = ACTIONS(2657),
    [anon_sym___inline] = ACTIONS(2657),
    [anon_sym___inline__] = ACTIONS(2657),
    [anon_sym___forceinline] = ACTIONS(2657),
    [anon_sym_thread_local] = ACTIONS(2657),
    [anon_sym___thread] = ACTIONS(2657),
    [anon_sym_const] = ACTIONS(2657),
    [anon_sym_constexpr] = ACTIONS(2657),
    [anon_sym_volatile] = ACTIONS(2657),
    [anon_sym_restrict] = ACTIONS(2657),
    [anon_sym___restrict__] = ACTIONS(2657),
    [anon_sym__Atomic] = ACTIONS(2657),
    [anon_sym__Noreturn] = ACTIONS(2657),
    [anon_sym_noreturn] = ACTIONS(2657),
    [anon_sym_mutable] = ACTIONS(2657),
    [anon_sym_constinit] = ACTIONS(2657),
    [anon_sym_consteval] = ACTIONS(2657),
    [sym_primitive_type] = ACTIONS(2657),
    [anon_sym_enum] = ACTIONS(2657),
    [anon_sym_class] = ACTIONS(2657),
    [anon_sym_struct] = ACTIONS(2657),
    [anon_sym_union] = ACTIONS(2657),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2657),
    [anon_sym_decltype] = ACTIONS(2657),
    [anon_sym_virtual] = ACTIONS(2657),
    [anon_sym_alignas] = ACTIONS(2657),
    [anon_sym_explicit] = ACTIONS(2657),
    [anon_sym_typename] = ACTIONS(2657),
    [anon_sym_template] = ACTIONS(2657),
    [anon_sym_operator] = ACTIONS(2657),
    [anon_sym_friend] = ACTIONS(2657),
    [anon_sym_public] = ACTIONS(2657),
    [anon_sym_private] = ACTIONS(2657),
    [anon_sym_protected] = ACTIONS(2657),
    [anon_sym_using] = ACTIONS(2657),
    [anon_sym_static_assert] = ACTIONS(2657),
    [anon_sym_precise] = ACTIONS(2657),
    [anon_sym_shared] = ACTIONS(2657),
    [anon_sym_groupshared] = ACTIONS(2657),
    [anon_sym_uniform] = ACTIONS(2657),
    [anon_sym_row_major] = ACTIONS(2657),
    [anon_sym_column_major] = ACTIONS(2657),
    [anon_sym_globallycoherent] = ACTIONS(2657),
    [anon_sym_centroid] = ACTIONS(2657),
    [anon_sym_noperspective] = ACTIONS(2657),
    [anon_sym_nointerpolation] = ACTIONS(2657),
    [anon_sym_sample] = ACTIONS(2657),
    [anon_sym_linear] = ACTIONS(2657),
    [anon_sym_snorm] = ACTIONS(2657),
    [anon_sym_unorm] = ACTIONS(2657),
    [anon_sym_point] = ACTIONS(2657),
    [anon_sym_line] = ACTIONS(2657),
    [anon_sym_triangleadj] = ACTIONS(2657),
    [anon_sym_lineadj] = ACTIONS(2657),
    [anon_sym_triangle] = ACTIONS(2657),
  },
  [2988] = {
    [sym_identifier] = ACTIONS(2208),
    [anon_sym_LPAREN2] = ACTIONS(2210),
    [anon_sym_TILDE] = ACTIONS(2210),
    [anon_sym_STAR] = ACTIONS(2210),
    [anon_sym_PIPE_PIPE] = ACTIONS(2210),
    [anon_sym_AMP_AMP] = ACTIONS(2210),
    [anon_sym_AMP] = ACTIONS(2208),
    [anon_sym___extension__] = ACTIONS(2208),
    [anon_sym_in] = ACTIONS(2208),
    [anon_sym_out] = ACTIONS(2208),
    [anon_sym_inout] = ACTIONS(2208),
    [anon_sym_extern] = ACTIONS(2208),
    [anon_sym___attribute__] = ACTIONS(2208),
    [anon_sym_COLON_COLON] = ACTIONS(2210),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2210),
    [anon_sym___declspec] = ACTIONS(2208),
    [anon_sym___based] = ACTIONS(2208),
    [anon_sym___cdecl] = ACTIONS(2208),
    [anon_sym___clrcall] = ACTIONS(2208),
    [anon_sym___stdcall] = ACTIONS(2208),
    [anon_sym___fastcall] = ACTIONS(2208),
    [anon_sym___thiscall] = ACTIONS(2208),
    [anon_sym___vectorcall] = ACTIONS(2208),
    [anon_sym_signed] = ACTIONS(2208),
    [anon_sym_unsigned] = ACTIONS(2208),
    [anon_sym_long] = ACTIONS(2208),
    [anon_sym_short] = ACTIONS(2208),
    [anon_sym_LBRACK] = ACTIONS(2208),
    [anon_sym_static] = ACTIONS(2208),
    [anon_sym_register] = ACTIONS(2208),
    [anon_sym_inline] = ACTIONS(2208),
    [anon_sym___inline] = ACTIONS(2208),
    [anon_sym___inline__] = ACTIONS(2208),
    [anon_sym___forceinline] = ACTIONS(2208),
    [anon_sym_thread_local] = ACTIONS(2208),
    [anon_sym___thread] = ACTIONS(2208),
    [anon_sym_const] = ACTIONS(2208),
    [anon_sym_constexpr] = ACTIONS(2208),
    [anon_sym_volatile] = ACTIONS(2208),
    [anon_sym_restrict] = ACTIONS(2208),
    [anon_sym___restrict__] = ACTIONS(2208),
    [anon_sym__Atomic] = ACTIONS(2208),
    [anon_sym__Noreturn] = ACTIONS(2208),
    [anon_sym_noreturn] = ACTIONS(2208),
    [anon_sym_mutable] = ACTIONS(2208),
    [anon_sym_constinit] = ACTIONS(2208),
    [anon_sym_consteval] = ACTIONS(2208),
    [sym_primitive_type] = ACTIONS(2208),
    [anon_sym_enum] = ACTIONS(2208),
    [anon_sym_class] = ACTIONS(2208),
    [anon_sym_struct] = ACTIONS(2208),
    [anon_sym_union] = ACTIONS(2208),
    [anon_sym_or] = ACTIONS(2208),
    [anon_sym_and] = ACTIONS(2208),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2208),
    [anon_sym_decltype] = ACTIONS(2208),
    [anon_sym_virtual] = ACTIONS(2208),
    [anon_sym_alignas] = ACTIONS(2208),
    [anon_sym_explicit] = ACTIONS(2208),
    [anon_sym_typename] = ACTIONS(2208),
    [anon_sym_template] = ACTIONS(2208),
    [anon_sym_operator] = ACTIONS(2208),
    [anon_sym_friend] = ACTIONS(2208),
    [anon_sym_using] = ACTIONS(2208),
    [anon_sym_concept] = ACTIONS(2208),
    [anon_sym_precise] = ACTIONS(2208),
    [anon_sym_shared] = ACTIONS(2208),
    [anon_sym_groupshared] = ACTIONS(2208),
    [anon_sym_uniform] = ACTIONS(2208),
    [anon_sym_row_major] = ACTIONS(2208),
    [anon_sym_column_major] = ACTIONS(2208),
    [anon_sym_globallycoherent] = ACTIONS(2208),
    [anon_sym_centroid] = ACTIONS(2208),
    [anon_sym_noperspective] = ACTIONS(2208),
    [anon_sym_nointerpolation] = ACTIONS(2208),
    [anon_sym_sample] = ACTIONS(2208),
    [anon_sym_linear] = ACTIONS(2208),
    [anon_sym_snorm] = ACTIONS(2208),
    [anon_sym_unorm] = ACTIONS(2208),
    [anon_sym_point] = ACTIONS(2208),
    [anon_sym_line] = ACTIONS(2208),
    [anon_sym_triangleadj] = ACTIONS(2208),
    [anon_sym_lineadj] = ACTIONS(2208),
    [anon_sym_triangle] = ACTIONS(2208),
  },
  [2989] = {
    [sym_identifier] = ACTIONS(2264),
    [anon_sym_LPAREN2] = ACTIONS(2266),
    [anon_sym_TILDE] = ACTIONS(2266),
    [anon_sym_STAR] = ACTIONS(2266),
    [anon_sym_PIPE_PIPE] = ACTIONS(2266),
    [anon_sym_AMP_AMP] = ACTIONS(2266),
    [anon_sym_AMP] = ACTIONS(2264),
    [anon_sym___extension__] = ACTIONS(2264),
    [anon_sym_in] = ACTIONS(2264),
    [anon_sym_out] = ACTIONS(2264),
    [anon_sym_inout] = ACTIONS(2264),
    [anon_sym_extern] = ACTIONS(2264),
    [anon_sym___attribute__] = ACTIONS(2264),
    [anon_sym_COLON_COLON] = ACTIONS(2266),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2266),
    [anon_sym___declspec] = ACTIONS(2264),
    [anon_sym___based] = ACTIONS(2264),
    [anon_sym___cdecl] = ACTIONS(2264),
    [anon_sym___clrcall] = ACTIONS(2264),
    [anon_sym___stdcall] = ACTIONS(2264),
    [anon_sym___fastcall] = ACTIONS(2264),
    [anon_sym___thiscall] = ACTIONS(2264),
    [anon_sym___vectorcall] = ACTIONS(2264),
    [anon_sym_signed] = ACTIONS(2264),
    [anon_sym_unsigned] = ACTIONS(2264),
    [anon_sym_long] = ACTIONS(2264),
    [anon_sym_short] = ACTIONS(2264),
    [anon_sym_LBRACK] = ACTIONS(2264),
    [anon_sym_static] = ACTIONS(2264),
    [anon_sym_register] = ACTIONS(2264),
    [anon_sym_inline] = ACTIONS(2264),
    [anon_sym___inline] = ACTIONS(2264),
    [anon_sym___inline__] = ACTIONS(2264),
    [anon_sym___forceinline] = ACTIONS(2264),
    [anon_sym_thread_local] = ACTIONS(2264),
    [anon_sym___thread] = ACTIONS(2264),
    [anon_sym_const] = ACTIONS(2264),
    [anon_sym_constexpr] = ACTIONS(2264),
    [anon_sym_volatile] = ACTIONS(2264),
    [anon_sym_restrict] = ACTIONS(2264),
    [anon_sym___restrict__] = ACTIONS(2264),
    [anon_sym__Atomic] = ACTIONS(2264),
    [anon_sym__Noreturn] = ACTIONS(2264),
    [anon_sym_noreturn] = ACTIONS(2264),
    [anon_sym_mutable] = ACTIONS(2264),
    [anon_sym_constinit] = ACTIONS(2264),
    [anon_sym_consteval] = ACTIONS(2264),
    [sym_primitive_type] = ACTIONS(2264),
    [anon_sym_enum] = ACTIONS(2264),
    [anon_sym_class] = ACTIONS(2264),
    [anon_sym_struct] = ACTIONS(2264),
    [anon_sym_union] = ACTIONS(2264),
    [anon_sym_or] = ACTIONS(2264),
    [anon_sym_and] = ACTIONS(2264),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2264),
    [anon_sym_decltype] = ACTIONS(2264),
    [anon_sym_virtual] = ACTIONS(2264),
    [anon_sym_alignas] = ACTIONS(2264),
    [anon_sym_explicit] = ACTIONS(2264),
    [anon_sym_typename] = ACTIONS(2264),
    [anon_sym_template] = ACTIONS(2264),
    [anon_sym_operator] = ACTIONS(2264),
    [anon_sym_friend] = ACTIONS(2264),
    [anon_sym_using] = ACTIONS(2264),
    [anon_sym_concept] = ACTIONS(2264),
    [anon_sym_precise] = ACTIONS(2264),
    [anon_sym_shared] = ACTIONS(2264),
    [anon_sym_groupshared] = ACTIONS(2264),
    [anon_sym_uniform] = ACTIONS(2264),
    [anon_sym_row_major] = ACTIONS(2264),
    [anon_sym_column_major] = ACTIONS(2264),
    [anon_sym_globallycoherent] = ACTIONS(2264),
    [anon_sym_centroid] = ACTIONS(2264),
    [anon_sym_noperspective] = ACTIONS(2264),
    [anon_sym_nointerpolation] = ACTIONS(2264),
    [anon_sym_sample] = ACTIONS(2264),
    [anon_sym_linear] = ACTIONS(2264),
    [anon_sym_snorm] = ACTIONS(2264),
    [anon_sym_unorm] = ACTIONS(2264),
    [anon_sym_point] = ACTIONS(2264),
    [anon_sym_line] = ACTIONS(2264),
    [anon_sym_triangleadj] = ACTIONS(2264),
    [anon_sym_lineadj] = ACTIONS(2264),
    [anon_sym_triangle] = ACTIONS(2264),
  },
  [2990] = {
    [sym_identifier] = ACTIONS(2178),
    [anon_sym_LPAREN2] = ACTIONS(2180),
    [anon_sym_TILDE] = ACTIONS(2180),
    [anon_sym_STAR] = ACTIONS(2180),
    [anon_sym_PIPE_PIPE] = ACTIONS(2180),
    [anon_sym_AMP_AMP] = ACTIONS(2180),
    [anon_sym_AMP] = ACTIONS(2178),
    [anon_sym___extension__] = ACTIONS(2178),
    [anon_sym_in] = ACTIONS(2178),
    [anon_sym_out] = ACTIONS(2178),
    [anon_sym_inout] = ACTIONS(2178),
    [anon_sym_extern] = ACTIONS(2178),
    [anon_sym___attribute__] = ACTIONS(2178),
    [anon_sym_COLON_COLON] = ACTIONS(2180),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2180),
    [anon_sym___declspec] = ACTIONS(2178),
    [anon_sym___based] = ACTIONS(2178),
    [anon_sym___cdecl] = ACTIONS(2178),
    [anon_sym___clrcall] = ACTIONS(2178),
    [anon_sym___stdcall] = ACTIONS(2178),
    [anon_sym___fastcall] = ACTIONS(2178),
    [anon_sym___thiscall] = ACTIONS(2178),
    [anon_sym___vectorcall] = ACTIONS(2178),
    [anon_sym_signed] = ACTIONS(2178),
    [anon_sym_unsigned] = ACTIONS(2178),
    [anon_sym_long] = ACTIONS(2178),
    [anon_sym_short] = ACTIONS(2178),
    [anon_sym_LBRACK] = ACTIONS(2178),
    [anon_sym_static] = ACTIONS(2178),
    [anon_sym_register] = ACTIONS(2178),
    [anon_sym_inline] = ACTIONS(2178),
    [anon_sym___inline] = ACTIONS(2178),
    [anon_sym___inline__] = ACTIONS(2178),
    [anon_sym___forceinline] = ACTIONS(2178),
    [anon_sym_thread_local] = ACTIONS(2178),
    [anon_sym___thread] = ACTIONS(2178),
    [anon_sym_const] = ACTIONS(2178),
    [anon_sym_constexpr] = ACTIONS(2178),
    [anon_sym_volatile] = ACTIONS(2178),
    [anon_sym_restrict] = ACTIONS(2178),
    [anon_sym___restrict__] = ACTIONS(2178),
    [anon_sym__Atomic] = ACTIONS(2178),
    [anon_sym__Noreturn] = ACTIONS(2178),
    [anon_sym_noreturn] = ACTIONS(2178),
    [anon_sym_mutable] = ACTIONS(2178),
    [anon_sym_constinit] = ACTIONS(2178),
    [anon_sym_consteval] = ACTIONS(2178),
    [sym_primitive_type] = ACTIONS(2178),
    [anon_sym_enum] = ACTIONS(2178),
    [anon_sym_class] = ACTIONS(2178),
    [anon_sym_struct] = ACTIONS(2178),
    [anon_sym_union] = ACTIONS(2178),
    [anon_sym_or] = ACTIONS(2178),
    [anon_sym_and] = ACTIONS(2178),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2178),
    [anon_sym_decltype] = ACTIONS(2178),
    [anon_sym_virtual] = ACTIONS(2178),
    [anon_sym_alignas] = ACTIONS(2178),
    [anon_sym_explicit] = ACTIONS(2178),
    [anon_sym_typename] = ACTIONS(2178),
    [anon_sym_template] = ACTIONS(2178),
    [anon_sym_operator] = ACTIONS(2178),
    [anon_sym_friend] = ACTIONS(2178),
    [anon_sym_using] = ACTIONS(2178),
    [anon_sym_concept] = ACTIONS(2178),
    [anon_sym_precise] = ACTIONS(2178),
    [anon_sym_shared] = ACTIONS(2178),
    [anon_sym_groupshared] = ACTIONS(2178),
    [anon_sym_uniform] = ACTIONS(2178),
    [anon_sym_row_major] = ACTIONS(2178),
    [anon_sym_column_major] = ACTIONS(2178),
    [anon_sym_globallycoherent] = ACTIONS(2178),
    [anon_sym_centroid] = ACTIONS(2178),
    [anon_sym_noperspective] = ACTIONS(2178),
    [anon_sym_nointerpolation] = ACTIONS(2178),
    [anon_sym_sample] = ACTIONS(2178),
    [anon_sym_linear] = ACTIONS(2178),
    [anon_sym_snorm] = ACTIONS(2178),
    [anon_sym_unorm] = ACTIONS(2178),
    [anon_sym_point] = ACTIONS(2178),
    [anon_sym_line] = ACTIONS(2178),
    [anon_sym_triangleadj] = ACTIONS(2178),
    [anon_sym_lineadj] = ACTIONS(2178),
    [anon_sym_triangle] = ACTIONS(2178),
  },
  [2991] = {
    [sym_identifier] = ACTIONS(2200),
    [anon_sym_LPAREN2] = ACTIONS(2202),
    [anon_sym_TILDE] = ACTIONS(2202),
    [anon_sym_STAR] = ACTIONS(2202),
    [anon_sym_PIPE_PIPE] = ACTIONS(2202),
    [anon_sym_AMP_AMP] = ACTIONS(2202),
    [anon_sym_AMP] = ACTIONS(2200),
    [anon_sym___extension__] = ACTIONS(2200),
    [anon_sym_in] = ACTIONS(2200),
    [anon_sym_out] = ACTIONS(2200),
    [anon_sym_inout] = ACTIONS(2200),
    [anon_sym_extern] = ACTIONS(2200),
    [anon_sym___attribute__] = ACTIONS(2200),
    [anon_sym_COLON_COLON] = ACTIONS(2202),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2202),
    [anon_sym___declspec] = ACTIONS(2200),
    [anon_sym___based] = ACTIONS(2200),
    [anon_sym___cdecl] = ACTIONS(2200),
    [anon_sym___clrcall] = ACTIONS(2200),
    [anon_sym___stdcall] = ACTIONS(2200),
    [anon_sym___fastcall] = ACTIONS(2200),
    [anon_sym___thiscall] = ACTIONS(2200),
    [anon_sym___vectorcall] = ACTIONS(2200),
    [anon_sym_signed] = ACTIONS(2200),
    [anon_sym_unsigned] = ACTIONS(2200),
    [anon_sym_long] = ACTIONS(2200),
    [anon_sym_short] = ACTIONS(2200),
    [anon_sym_LBRACK] = ACTIONS(2200),
    [anon_sym_static] = ACTIONS(2200),
    [anon_sym_register] = ACTIONS(2200),
    [anon_sym_inline] = ACTIONS(2200),
    [anon_sym___inline] = ACTIONS(2200),
    [anon_sym___inline__] = ACTIONS(2200),
    [anon_sym___forceinline] = ACTIONS(2200),
    [anon_sym_thread_local] = ACTIONS(2200),
    [anon_sym___thread] = ACTIONS(2200),
    [anon_sym_const] = ACTIONS(2200),
    [anon_sym_constexpr] = ACTIONS(2200),
    [anon_sym_volatile] = ACTIONS(2200),
    [anon_sym_restrict] = ACTIONS(2200),
    [anon_sym___restrict__] = ACTIONS(2200),
    [anon_sym__Atomic] = ACTIONS(2200),
    [anon_sym__Noreturn] = ACTIONS(2200),
    [anon_sym_noreturn] = ACTIONS(2200),
    [anon_sym_mutable] = ACTIONS(2200),
    [anon_sym_constinit] = ACTIONS(2200),
    [anon_sym_consteval] = ACTIONS(2200),
    [sym_primitive_type] = ACTIONS(2200),
    [anon_sym_enum] = ACTIONS(2200),
    [anon_sym_class] = ACTIONS(2200),
    [anon_sym_struct] = ACTIONS(2200),
    [anon_sym_union] = ACTIONS(2200),
    [anon_sym_or] = ACTIONS(2200),
    [anon_sym_and] = ACTIONS(2200),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2200),
    [anon_sym_decltype] = ACTIONS(2200),
    [anon_sym_virtual] = ACTIONS(2200),
    [anon_sym_alignas] = ACTIONS(2200),
    [anon_sym_explicit] = ACTIONS(2200),
    [anon_sym_typename] = ACTIONS(2200),
    [anon_sym_template] = ACTIONS(2200),
    [anon_sym_operator] = ACTIONS(2200),
    [anon_sym_friend] = ACTIONS(2200),
    [anon_sym_using] = ACTIONS(2200),
    [anon_sym_concept] = ACTIONS(2200),
    [anon_sym_precise] = ACTIONS(2200),
    [anon_sym_shared] = ACTIONS(2200),
    [anon_sym_groupshared] = ACTIONS(2200),
    [anon_sym_uniform] = ACTIONS(2200),
    [anon_sym_row_major] = ACTIONS(2200),
    [anon_sym_column_major] = ACTIONS(2200),
    [anon_sym_globallycoherent] = ACTIONS(2200),
    [anon_sym_centroid] = ACTIONS(2200),
    [anon_sym_noperspective] = ACTIONS(2200),
    [anon_sym_nointerpolation] = ACTIONS(2200),
    [anon_sym_sample] = ACTIONS(2200),
    [anon_sym_linear] = ACTIONS(2200),
    [anon_sym_snorm] = ACTIONS(2200),
    [anon_sym_unorm] = ACTIONS(2200),
    [anon_sym_point] = ACTIONS(2200),
    [anon_sym_line] = ACTIONS(2200),
    [anon_sym_triangleadj] = ACTIONS(2200),
    [anon_sym_lineadj] = ACTIONS(2200),
    [anon_sym_triangle] = ACTIONS(2200),
  },
  [2992] = {
    [sym_identifier] = ACTIONS(2258),
    [anon_sym_LPAREN2] = ACTIONS(2260),
    [anon_sym_TILDE] = ACTIONS(2260),
    [anon_sym_STAR] = ACTIONS(2260),
    [anon_sym_PIPE_PIPE] = ACTIONS(2260),
    [anon_sym_AMP_AMP] = ACTIONS(2260),
    [anon_sym_AMP] = ACTIONS(2258),
    [anon_sym___extension__] = ACTIONS(2258),
    [anon_sym_in] = ACTIONS(2258),
    [anon_sym_out] = ACTIONS(2258),
    [anon_sym_inout] = ACTIONS(2258),
    [anon_sym_extern] = ACTIONS(2258),
    [anon_sym___attribute__] = ACTIONS(2258),
    [anon_sym_COLON_COLON] = ACTIONS(2262),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2260),
    [anon_sym___declspec] = ACTIONS(2258),
    [anon_sym___based] = ACTIONS(2258),
    [anon_sym___cdecl] = ACTIONS(2258),
    [anon_sym___clrcall] = ACTIONS(2258),
    [anon_sym___stdcall] = ACTIONS(2258),
    [anon_sym___fastcall] = ACTIONS(2258),
    [anon_sym___thiscall] = ACTIONS(2258),
    [anon_sym___vectorcall] = ACTIONS(2258),
    [anon_sym_signed] = ACTIONS(2258),
    [anon_sym_unsigned] = ACTIONS(2258),
    [anon_sym_long] = ACTIONS(2258),
    [anon_sym_short] = ACTIONS(2258),
    [anon_sym_LBRACK] = ACTIONS(2258),
    [anon_sym_static] = ACTIONS(2258),
    [anon_sym_register] = ACTIONS(2258),
    [anon_sym_inline] = ACTIONS(2258),
    [anon_sym___inline] = ACTIONS(2258),
    [anon_sym___inline__] = ACTIONS(2258),
    [anon_sym___forceinline] = ACTIONS(2258),
    [anon_sym_thread_local] = ACTIONS(2258),
    [anon_sym___thread] = ACTIONS(2258),
    [anon_sym_const] = ACTIONS(2258),
    [anon_sym_constexpr] = ACTIONS(2258),
    [anon_sym_volatile] = ACTIONS(2258),
    [anon_sym_restrict] = ACTIONS(2258),
    [anon_sym___restrict__] = ACTIONS(2258),
    [anon_sym__Atomic] = ACTIONS(2258),
    [anon_sym__Noreturn] = ACTIONS(2258),
    [anon_sym_noreturn] = ACTIONS(2258),
    [anon_sym_mutable] = ACTIONS(2258),
    [anon_sym_constinit] = ACTIONS(2258),
    [anon_sym_consteval] = ACTIONS(2258),
    [sym_primitive_type] = ACTIONS(2258),
    [anon_sym_enum] = ACTIONS(2258),
    [anon_sym_class] = ACTIONS(2258),
    [anon_sym_struct] = ACTIONS(2258),
    [anon_sym_union] = ACTIONS(2258),
    [anon_sym_or] = ACTIONS(2258),
    [anon_sym_and] = ACTIONS(2258),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2258),
    [anon_sym_decltype] = ACTIONS(2258),
    [anon_sym_virtual] = ACTIONS(2258),
    [anon_sym_alignas] = ACTIONS(2258),
    [anon_sym_explicit] = ACTIONS(2258),
    [anon_sym_typename] = ACTIONS(2258),
    [anon_sym_template] = ACTIONS(2258),
    [anon_sym_operator] = ACTIONS(2258),
    [anon_sym_friend] = ACTIONS(2258),
    [anon_sym_using] = ACTIONS(2258),
    [anon_sym_concept] = ACTIONS(2258),
    [anon_sym_precise] = ACTIONS(2258),
    [anon_sym_shared] = ACTIONS(2258),
    [anon_sym_groupshared] = ACTIONS(2258),
    [anon_sym_uniform] = ACTIONS(2258),
    [anon_sym_row_major] = ACTIONS(2258),
    [anon_sym_column_major] = ACTIONS(2258),
    [anon_sym_globallycoherent] = ACTIONS(2258),
    [anon_sym_centroid] = ACTIONS(2258),
    [anon_sym_noperspective] = ACTIONS(2258),
    [anon_sym_nointerpolation] = ACTIONS(2258),
    [anon_sym_sample] = ACTIONS(2258),
    [anon_sym_linear] = ACTIONS(2258),
    [anon_sym_snorm] = ACTIONS(2258),
    [anon_sym_unorm] = ACTIONS(2258),
    [anon_sym_point] = ACTIONS(2258),
    [anon_sym_line] = ACTIONS(2258),
    [anon_sym_triangleadj] = ACTIONS(2258),
    [anon_sym_lineadj] = ACTIONS(2258),
    [anon_sym_triangle] = ACTIONS(2258),
  },
  [2993] = {
    [sym_string_literal] = STATE(4599),
    [sym_template_argument_list] = STATE(4500),
    [sym_raw_string_literal] = STATE(4599),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3573),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4226),
    [anon_sym_COMMA] = ACTIONS(4226),
    [anon_sym_LPAREN2] = ACTIONS(4226),
    [anon_sym_DASH] = ACTIONS(4221),
    [anon_sym_PLUS] = ACTIONS(4221),
    [anon_sym_STAR] = ACTIONS(4223),
    [anon_sym_SLASH] = ACTIONS(4221),
    [anon_sym_PERCENT] = ACTIONS(4221),
    [anon_sym_PIPE_PIPE] = ACTIONS(4213),
    [anon_sym_AMP_AMP] = ACTIONS(4226),
    [anon_sym_PIPE] = ACTIONS(4221),
    [anon_sym_CARET] = ACTIONS(4221),
    [anon_sym_AMP] = ACTIONS(4223),
    [anon_sym_EQ_EQ] = ACTIONS(4213),
    [anon_sym_BANG_EQ] = ACTIONS(4213),
    [anon_sym_GT] = ACTIONS(4221),
    [anon_sym_GT_EQ] = ACTIONS(4221),
    [anon_sym_LT_EQ] = ACTIONS(4221),
    [anon_sym_LT] = ACTIONS(5819),
    [anon_sym_LT_LT] = ACTIONS(4221),
    [anon_sym_GT_GT] = ACTIONS(4221),
    [anon_sym___extension__] = ACTIONS(4219),
    [anon_sym_COLON_COLON] = ACTIONS(2230),
    [anon_sym_LBRACE] = ACTIONS(2226),
    [anon_sym_signed] = ACTIONS(5822),
    [anon_sym_unsigned] = ACTIONS(5822),
    [anon_sym_long] = ACTIONS(5822),
    [anon_sym_short] = ACTIONS(5822),
    [anon_sym_LBRACK] = ACTIONS(4226),
    [anon_sym_EQ] = ACTIONS(5824),
    [anon_sym_const] = ACTIONS(4211),
    [anon_sym_constexpr] = ACTIONS(4219),
    [anon_sym_volatile] = ACTIONS(4219),
    [anon_sym_restrict] = ACTIONS(4219),
    [anon_sym___restrict__] = ACTIONS(4219),
    [anon_sym__Atomic] = ACTIONS(4219),
    [anon_sym__Noreturn] = ACTIONS(4219),
    [anon_sym_noreturn] = ACTIONS(4219),
    [anon_sym_mutable] = ACTIONS(4219),
    [anon_sym_constinit] = ACTIONS(4219),
    [anon_sym_consteval] = ACTIONS(4219),
    [anon_sym_QMARK] = ACTIONS(4213),
    [anon_sym_STAR_EQ] = ACTIONS(5826),
    [anon_sym_SLASH_EQ] = ACTIONS(5826),
    [anon_sym_PERCENT_EQ] = ACTIONS(5826),
    [anon_sym_PLUS_EQ] = ACTIONS(5826),
    [anon_sym_DASH_EQ] = ACTIONS(5826),
    [anon_sym_LT_LT_EQ] = ACTIONS(5826),
    [anon_sym_GT_GT_EQ] = ACTIONS(5824),
    [anon_sym_AMP_EQ] = ACTIONS(5826),
    [anon_sym_CARET_EQ] = ACTIONS(5826),
    [anon_sym_PIPE_EQ] = ACTIONS(5826),
    [anon_sym_and_eq] = ACTIONS(5826),
    [anon_sym_or_eq] = ACTIONS(5826),
    [anon_sym_xor_eq] = ACTIONS(5826),
    [anon_sym_LT_EQ_GT] = ACTIONS(4213),
    [anon_sym_or] = ACTIONS(4221),
    [anon_sym_and] = ACTIONS(4221),
    [anon_sym_bitor] = ACTIONS(4213),
    [anon_sym_xor] = ACTIONS(4221),
    [anon_sym_bitand] = ACTIONS(4213),
    [anon_sym_not_eq] = ACTIONS(4213),
    [anon_sym_DASH_DASH] = ACTIONS(4213),
    [anon_sym_PLUS_PLUS] = ACTIONS(4213),
    [anon_sym_DOT] = ACTIONS(4221),
    [anon_sym_DOT_STAR] = ACTIONS(4213),
    [anon_sym_DASH_GT] = ACTIONS(4213),
    [anon_sym_L_DQUOTE] = ACTIONS(5828),
    [anon_sym_u_DQUOTE] = ACTIONS(5828),
    [anon_sym_U_DQUOTE] = ACTIONS(5828),
    [anon_sym_u8_DQUOTE] = ACTIONS(5828),
    [anon_sym_DQUOTE] = ACTIONS(5828),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4219),
    [anon_sym_decltype] = ACTIONS(4219),
    [anon_sym_GT2] = ACTIONS(4226),
    [anon_sym_R_DQUOTE] = ACTIONS(5830),
    [anon_sym_LR_DQUOTE] = ACTIONS(5830),
    [anon_sym_uR_DQUOTE] = ACTIONS(5830),
    [anon_sym_UR_DQUOTE] = ACTIONS(5830),
    [anon_sym_u8R_DQUOTE] = ACTIONS(5830),
  },
  [2994] = {
    [sym_identifier] = ACTIONS(2186),
    [anon_sym_LPAREN2] = ACTIONS(2188),
    [anon_sym_TILDE] = ACTIONS(2188),
    [anon_sym_STAR] = ACTIONS(2188),
    [anon_sym_PIPE_PIPE] = ACTIONS(2188),
    [anon_sym_AMP_AMP] = ACTIONS(2188),
    [anon_sym_AMP] = ACTIONS(2186),
    [anon_sym___extension__] = ACTIONS(2186),
    [anon_sym_in] = ACTIONS(2186),
    [anon_sym_out] = ACTIONS(2186),
    [anon_sym_inout] = ACTIONS(2186),
    [anon_sym_extern] = ACTIONS(2186),
    [anon_sym___attribute__] = ACTIONS(2186),
    [anon_sym_COLON_COLON] = ACTIONS(2188),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2188),
    [anon_sym___declspec] = ACTIONS(2186),
    [anon_sym___based] = ACTIONS(2186),
    [anon_sym___cdecl] = ACTIONS(2186),
    [anon_sym___clrcall] = ACTIONS(2186),
    [anon_sym___stdcall] = ACTIONS(2186),
    [anon_sym___fastcall] = ACTIONS(2186),
    [anon_sym___thiscall] = ACTIONS(2186),
    [anon_sym___vectorcall] = ACTIONS(2186),
    [anon_sym_signed] = ACTIONS(2186),
    [anon_sym_unsigned] = ACTIONS(2186),
    [anon_sym_long] = ACTIONS(2186),
    [anon_sym_short] = ACTIONS(2186),
    [anon_sym_LBRACK] = ACTIONS(2186),
    [anon_sym_static] = ACTIONS(2186),
    [anon_sym_register] = ACTIONS(2186),
    [anon_sym_inline] = ACTIONS(2186),
    [anon_sym___inline] = ACTIONS(2186),
    [anon_sym___inline__] = ACTIONS(2186),
    [anon_sym___forceinline] = ACTIONS(2186),
    [anon_sym_thread_local] = ACTIONS(2186),
    [anon_sym___thread] = ACTIONS(2186),
    [anon_sym_const] = ACTIONS(2186),
    [anon_sym_constexpr] = ACTIONS(2186),
    [anon_sym_volatile] = ACTIONS(2186),
    [anon_sym_restrict] = ACTIONS(2186),
    [anon_sym___restrict__] = ACTIONS(2186),
    [anon_sym__Atomic] = ACTIONS(2186),
    [anon_sym__Noreturn] = ACTIONS(2186),
    [anon_sym_noreturn] = ACTIONS(2186),
    [anon_sym_mutable] = ACTIONS(2186),
    [anon_sym_constinit] = ACTIONS(2186),
    [anon_sym_consteval] = ACTIONS(2186),
    [sym_primitive_type] = ACTIONS(2186),
    [anon_sym_enum] = ACTIONS(2186),
    [anon_sym_class] = ACTIONS(2186),
    [anon_sym_struct] = ACTIONS(2186),
    [anon_sym_union] = ACTIONS(2186),
    [anon_sym_or] = ACTIONS(2186),
    [anon_sym_and] = ACTIONS(2186),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2186),
    [anon_sym_decltype] = ACTIONS(2186),
    [anon_sym_virtual] = ACTIONS(2186),
    [anon_sym_alignas] = ACTIONS(2186),
    [anon_sym_explicit] = ACTIONS(2186),
    [anon_sym_typename] = ACTIONS(2186),
    [anon_sym_template] = ACTIONS(2186),
    [anon_sym_operator] = ACTIONS(2186),
    [anon_sym_friend] = ACTIONS(2186),
    [anon_sym_using] = ACTIONS(2186),
    [anon_sym_concept] = ACTIONS(2186),
    [anon_sym_precise] = ACTIONS(2186),
    [anon_sym_shared] = ACTIONS(2186),
    [anon_sym_groupshared] = ACTIONS(2186),
    [anon_sym_uniform] = ACTIONS(2186),
    [anon_sym_row_major] = ACTIONS(2186),
    [anon_sym_column_major] = ACTIONS(2186),
    [anon_sym_globallycoherent] = ACTIONS(2186),
    [anon_sym_centroid] = ACTIONS(2186),
    [anon_sym_noperspective] = ACTIONS(2186),
    [anon_sym_nointerpolation] = ACTIONS(2186),
    [anon_sym_sample] = ACTIONS(2186),
    [anon_sym_linear] = ACTIONS(2186),
    [anon_sym_snorm] = ACTIONS(2186),
    [anon_sym_unorm] = ACTIONS(2186),
    [anon_sym_point] = ACTIONS(2186),
    [anon_sym_line] = ACTIONS(2186),
    [anon_sym_triangleadj] = ACTIONS(2186),
    [anon_sym_lineadj] = ACTIONS(2186),
    [anon_sym_triangle] = ACTIONS(2186),
  },
  [2995] = {
    [sym_identifier] = ACTIONS(2264),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2266),
    [anon_sym_COMMA] = ACTIONS(2266),
    [anon_sym_RPAREN] = ACTIONS(2266),
    [anon_sym_LPAREN2] = ACTIONS(2266),
    [anon_sym_TILDE] = ACTIONS(2266),
    [anon_sym_STAR] = ACTIONS(2266),
    [anon_sym_PIPE_PIPE] = ACTIONS(2266),
    [anon_sym_AMP_AMP] = ACTIONS(2266),
    [anon_sym_AMP] = ACTIONS(2264),
    [anon_sym_COLON] = ACTIONS(2264),
    [anon_sym_SEMI] = ACTIONS(2266),
    [anon_sym___extension__] = ACTIONS(2264),
    [anon_sym_in] = ACTIONS(2264),
    [anon_sym_out] = ACTIONS(2264),
    [anon_sym_inout] = ACTIONS(2264),
    [anon_sym_extern] = ACTIONS(2264),
    [anon_sym___attribute__] = ACTIONS(2264),
    [anon_sym_COLON_COLON] = ACTIONS(2262),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2266),
    [anon_sym___declspec] = ACTIONS(2264),
    [anon_sym___based] = ACTIONS(2264),
    [anon_sym___cdecl] = ACTIONS(2264),
    [anon_sym___clrcall] = ACTIONS(2264),
    [anon_sym___stdcall] = ACTIONS(2264),
    [anon_sym___fastcall] = ACTIONS(2264),
    [anon_sym___thiscall] = ACTIONS(2264),
    [anon_sym___vectorcall] = ACTIONS(2264),
    [anon_sym_LBRACE] = ACTIONS(2266),
    [anon_sym_LBRACK] = ACTIONS(2264),
    [anon_sym_EQ] = ACTIONS(2266),
    [anon_sym_static] = ACTIONS(2264),
    [anon_sym_register] = ACTIONS(2264),
    [anon_sym_inline] = ACTIONS(2264),
    [anon_sym___inline] = ACTIONS(2264),
    [anon_sym___inline__] = ACTIONS(2264),
    [anon_sym___forceinline] = ACTIONS(2264),
    [anon_sym_thread_local] = ACTIONS(2264),
    [anon_sym___thread] = ACTIONS(2264),
    [anon_sym_const] = ACTIONS(2264),
    [anon_sym_constexpr] = ACTIONS(2264),
    [anon_sym_volatile] = ACTIONS(2264),
    [anon_sym_restrict] = ACTIONS(2264),
    [anon_sym___restrict__] = ACTIONS(2264),
    [anon_sym__Atomic] = ACTIONS(2264),
    [anon_sym__Noreturn] = ACTIONS(2264),
    [anon_sym_noreturn] = ACTIONS(2264),
    [anon_sym_mutable] = ACTIONS(2264),
    [anon_sym_constinit] = ACTIONS(2264),
    [anon_sym_consteval] = ACTIONS(2264),
    [anon_sym_else] = ACTIONS(2264),
    [anon_sym_while] = ACTIONS(2264),
    [anon_sym_or] = ACTIONS(2264),
    [anon_sym_and] = ACTIONS(2264),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2264),
    [anon_sym_decltype] = ACTIONS(2264),
    [anon_sym_final] = ACTIONS(2264),
    [anon_sym_override] = ACTIONS(2264),
    [anon_sym_virtual] = ACTIONS(2264),
    [anon_sym_alignas] = ACTIONS(2264),
    [anon_sym_template] = ACTIONS(2264),
    [anon_sym_GT2] = ACTIONS(2266),
    [anon_sym_operator] = ACTIONS(2264),
    [anon_sym_try] = ACTIONS(2264),
    [anon_sym_requires] = ACTIONS(2264),
    [anon_sym_precise] = ACTIONS(2264),
    [anon_sym_shared] = ACTIONS(2264),
    [anon_sym_groupshared] = ACTIONS(2264),
    [anon_sym_uniform] = ACTIONS(2264),
    [anon_sym_row_major] = ACTIONS(2264),
    [anon_sym_column_major] = ACTIONS(2264),
    [anon_sym_globallycoherent] = ACTIONS(2264),
    [anon_sym_centroid] = ACTIONS(2264),
    [anon_sym_noperspective] = ACTIONS(2264),
    [anon_sym_nointerpolation] = ACTIONS(2264),
    [anon_sym_sample] = ACTIONS(2264),
    [anon_sym_linear] = ACTIONS(2264),
    [anon_sym_snorm] = ACTIONS(2264),
    [anon_sym_unorm] = ACTIONS(2264),
    [anon_sym_point] = ACTIONS(2264),
    [anon_sym_line] = ACTIONS(2264),
    [anon_sym_triangleadj] = ACTIONS(2264),
    [anon_sym_lineadj] = ACTIONS(2264),
    [anon_sym_triangle] = ACTIONS(2264),
  },
  [2996] = {
    [sym_identifier] = ACTIONS(2264),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2266),
    [anon_sym_COMMA] = ACTIONS(2266),
    [anon_sym_RPAREN] = ACTIONS(2266),
    [anon_sym_LPAREN2] = ACTIONS(2266),
    [anon_sym_TILDE] = ACTIONS(2266),
    [anon_sym_STAR] = ACTIONS(2266),
    [anon_sym_PIPE_PIPE] = ACTIONS(2266),
    [anon_sym_AMP_AMP] = ACTIONS(2266),
    [anon_sym_AMP] = ACTIONS(2264),
    [anon_sym_COLON] = ACTIONS(2264),
    [anon_sym_SEMI] = ACTIONS(2266),
    [anon_sym___extension__] = ACTIONS(2264),
    [anon_sym_in] = ACTIONS(2264),
    [anon_sym_out] = ACTIONS(2264),
    [anon_sym_inout] = ACTIONS(2264),
    [anon_sym_extern] = ACTIONS(2264),
    [anon_sym___attribute__] = ACTIONS(2264),
    [anon_sym_COLON_COLON] = ACTIONS(2262),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2266),
    [anon_sym___declspec] = ACTIONS(2264),
    [anon_sym___based] = ACTIONS(2264),
    [anon_sym___cdecl] = ACTIONS(2264),
    [anon_sym___clrcall] = ACTIONS(2264),
    [anon_sym___stdcall] = ACTIONS(2264),
    [anon_sym___fastcall] = ACTIONS(2264),
    [anon_sym___thiscall] = ACTIONS(2264),
    [anon_sym___vectorcall] = ACTIONS(2264),
    [anon_sym_LBRACE] = ACTIONS(2266),
    [anon_sym_LBRACK] = ACTIONS(2264),
    [anon_sym_EQ] = ACTIONS(2266),
    [anon_sym_static] = ACTIONS(2264),
    [anon_sym_register] = ACTIONS(2264),
    [anon_sym_inline] = ACTIONS(2264),
    [anon_sym___inline] = ACTIONS(2264),
    [anon_sym___inline__] = ACTIONS(2264),
    [anon_sym___forceinline] = ACTIONS(2264),
    [anon_sym_thread_local] = ACTIONS(2264),
    [anon_sym___thread] = ACTIONS(2264),
    [anon_sym_const] = ACTIONS(2264),
    [anon_sym_constexpr] = ACTIONS(2264),
    [anon_sym_volatile] = ACTIONS(2264),
    [anon_sym_restrict] = ACTIONS(2264),
    [anon_sym___restrict__] = ACTIONS(2264),
    [anon_sym__Atomic] = ACTIONS(2264),
    [anon_sym__Noreturn] = ACTIONS(2264),
    [anon_sym_noreturn] = ACTIONS(2264),
    [anon_sym_mutable] = ACTIONS(2264),
    [anon_sym_constinit] = ACTIONS(2264),
    [anon_sym_consteval] = ACTIONS(2264),
    [anon_sym_else] = ACTIONS(2264),
    [anon_sym_while] = ACTIONS(2264),
    [anon_sym_or] = ACTIONS(2264),
    [anon_sym_and] = ACTIONS(2264),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2264),
    [anon_sym_decltype] = ACTIONS(2264),
    [anon_sym_final] = ACTIONS(2264),
    [anon_sym_override] = ACTIONS(2264),
    [anon_sym_virtual] = ACTIONS(2264),
    [anon_sym_alignas] = ACTIONS(2264),
    [anon_sym_template] = ACTIONS(2264),
    [anon_sym_GT2] = ACTIONS(2266),
    [anon_sym_operator] = ACTIONS(2264),
    [anon_sym_try] = ACTIONS(2264),
    [anon_sym_requires] = ACTIONS(2264),
    [anon_sym_precise] = ACTIONS(2264),
    [anon_sym_shared] = ACTIONS(2264),
    [anon_sym_groupshared] = ACTIONS(2264),
    [anon_sym_uniform] = ACTIONS(2264),
    [anon_sym_row_major] = ACTIONS(2264),
    [anon_sym_column_major] = ACTIONS(2264),
    [anon_sym_globallycoherent] = ACTIONS(2264),
    [anon_sym_centroid] = ACTIONS(2264),
    [anon_sym_noperspective] = ACTIONS(2264),
    [anon_sym_nointerpolation] = ACTIONS(2264),
    [anon_sym_sample] = ACTIONS(2264),
    [anon_sym_linear] = ACTIONS(2264),
    [anon_sym_snorm] = ACTIONS(2264),
    [anon_sym_unorm] = ACTIONS(2264),
    [anon_sym_point] = ACTIONS(2264),
    [anon_sym_line] = ACTIONS(2264),
    [anon_sym_triangleadj] = ACTIONS(2264),
    [anon_sym_lineadj] = ACTIONS(2264),
    [anon_sym_triangle] = ACTIONS(2264),
  },
  [2997] = {
    [sym_identifier] = ACTIONS(5832),
    [anon_sym_LPAREN2] = ACTIONS(5834),
    [anon_sym_TILDE] = ACTIONS(5834),
    [anon_sym_STAR] = ACTIONS(5834),
    [anon_sym_PIPE_PIPE] = ACTIONS(5834),
    [anon_sym_AMP_AMP] = ACTIONS(5836),
    [anon_sym_AMP] = ACTIONS(5832),
    [anon_sym___extension__] = ACTIONS(5832),
    [anon_sym_in] = ACTIONS(5832),
    [anon_sym_out] = ACTIONS(5832),
    [anon_sym_inout] = ACTIONS(5832),
    [anon_sym_extern] = ACTIONS(5832),
    [anon_sym___attribute__] = ACTIONS(5832),
    [anon_sym_COLON_COLON] = ACTIONS(5834),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5834),
    [anon_sym___declspec] = ACTIONS(5832),
    [anon_sym___based] = ACTIONS(5832),
    [anon_sym___cdecl] = ACTIONS(5832),
    [anon_sym___clrcall] = ACTIONS(5832),
    [anon_sym___stdcall] = ACTIONS(5832),
    [anon_sym___fastcall] = ACTIONS(5832),
    [anon_sym___thiscall] = ACTIONS(5832),
    [anon_sym___vectorcall] = ACTIONS(5832),
    [anon_sym_signed] = ACTIONS(5832),
    [anon_sym_unsigned] = ACTIONS(5832),
    [anon_sym_long] = ACTIONS(5832),
    [anon_sym_short] = ACTIONS(5832),
    [anon_sym_LBRACK] = ACTIONS(5832),
    [anon_sym_static] = ACTIONS(5832),
    [anon_sym_register] = ACTIONS(5832),
    [anon_sym_inline] = ACTIONS(5832),
    [anon_sym___inline] = ACTIONS(5832),
    [anon_sym___inline__] = ACTIONS(5832),
    [anon_sym___forceinline] = ACTIONS(5832),
    [anon_sym_thread_local] = ACTIONS(5832),
    [anon_sym___thread] = ACTIONS(5832),
    [anon_sym_const] = ACTIONS(5832),
    [anon_sym_constexpr] = ACTIONS(5832),
    [anon_sym_volatile] = ACTIONS(5832),
    [anon_sym_restrict] = ACTIONS(5832),
    [anon_sym___restrict__] = ACTIONS(5832),
    [anon_sym__Atomic] = ACTIONS(5832),
    [anon_sym__Noreturn] = ACTIONS(5832),
    [anon_sym_noreturn] = ACTIONS(5832),
    [anon_sym_mutable] = ACTIONS(5832),
    [anon_sym_constinit] = ACTIONS(5832),
    [anon_sym_consteval] = ACTIONS(5832),
    [sym_primitive_type] = ACTIONS(5832),
    [anon_sym_enum] = ACTIONS(5832),
    [anon_sym_class] = ACTIONS(5832),
    [anon_sym_struct] = ACTIONS(5832),
    [anon_sym_union] = ACTIONS(5832),
    [anon_sym_or] = ACTIONS(5832),
    [anon_sym_and] = ACTIONS(5838),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5832),
    [anon_sym_decltype] = ACTIONS(5832),
    [anon_sym_virtual] = ACTIONS(5832),
    [anon_sym_alignas] = ACTIONS(5832),
    [anon_sym_explicit] = ACTIONS(5832),
    [anon_sym_typename] = ACTIONS(5832),
    [anon_sym_template] = ACTIONS(5832),
    [anon_sym_operator] = ACTIONS(5832),
    [anon_sym_friend] = ACTIONS(5832),
    [anon_sym_using] = ACTIONS(5832),
    [anon_sym_concept] = ACTIONS(5832),
    [anon_sym_precise] = ACTIONS(5832),
    [anon_sym_shared] = ACTIONS(5832),
    [anon_sym_groupshared] = ACTIONS(5832),
    [anon_sym_uniform] = ACTIONS(5832),
    [anon_sym_row_major] = ACTIONS(5832),
    [anon_sym_column_major] = ACTIONS(5832),
    [anon_sym_globallycoherent] = ACTIONS(5832),
    [anon_sym_centroid] = ACTIONS(5832),
    [anon_sym_noperspective] = ACTIONS(5832),
    [anon_sym_nointerpolation] = ACTIONS(5832),
    [anon_sym_sample] = ACTIONS(5832),
    [anon_sym_linear] = ACTIONS(5832),
    [anon_sym_snorm] = ACTIONS(5832),
    [anon_sym_unorm] = ACTIONS(5832),
    [anon_sym_point] = ACTIONS(5832),
    [anon_sym_line] = ACTIONS(5832),
    [anon_sym_triangleadj] = ACTIONS(5832),
    [anon_sym_lineadj] = ACTIONS(5832),
    [anon_sym_triangle] = ACTIONS(5832),
  },
  [2998] = {
    [sym_identifier] = ACTIONS(2182),
    [anon_sym_LPAREN2] = ACTIONS(2184),
    [anon_sym_TILDE] = ACTIONS(2184),
    [anon_sym_STAR] = ACTIONS(2184),
    [anon_sym_PIPE_PIPE] = ACTIONS(2184),
    [anon_sym_AMP_AMP] = ACTIONS(2184),
    [anon_sym_AMP] = ACTIONS(2182),
    [anon_sym___extension__] = ACTIONS(2182),
    [anon_sym_in] = ACTIONS(2182),
    [anon_sym_out] = ACTIONS(2182),
    [anon_sym_inout] = ACTIONS(2182),
    [anon_sym_extern] = ACTIONS(2182),
    [anon_sym___attribute__] = ACTIONS(2182),
    [anon_sym_COLON_COLON] = ACTIONS(2184),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2184),
    [anon_sym___declspec] = ACTIONS(2182),
    [anon_sym___based] = ACTIONS(2182),
    [anon_sym___cdecl] = ACTIONS(2182),
    [anon_sym___clrcall] = ACTIONS(2182),
    [anon_sym___stdcall] = ACTIONS(2182),
    [anon_sym___fastcall] = ACTIONS(2182),
    [anon_sym___thiscall] = ACTIONS(2182),
    [anon_sym___vectorcall] = ACTIONS(2182),
    [anon_sym_signed] = ACTIONS(2182),
    [anon_sym_unsigned] = ACTIONS(2182),
    [anon_sym_long] = ACTIONS(2182),
    [anon_sym_short] = ACTIONS(2182),
    [anon_sym_LBRACK] = ACTIONS(2182),
    [anon_sym_static] = ACTIONS(2182),
    [anon_sym_register] = ACTIONS(2182),
    [anon_sym_inline] = ACTIONS(2182),
    [anon_sym___inline] = ACTIONS(2182),
    [anon_sym___inline__] = ACTIONS(2182),
    [anon_sym___forceinline] = ACTIONS(2182),
    [anon_sym_thread_local] = ACTIONS(2182),
    [anon_sym___thread] = ACTIONS(2182),
    [anon_sym_const] = ACTIONS(2182),
    [anon_sym_constexpr] = ACTIONS(2182),
    [anon_sym_volatile] = ACTIONS(2182),
    [anon_sym_restrict] = ACTIONS(2182),
    [anon_sym___restrict__] = ACTIONS(2182),
    [anon_sym__Atomic] = ACTIONS(2182),
    [anon_sym__Noreturn] = ACTIONS(2182),
    [anon_sym_noreturn] = ACTIONS(2182),
    [anon_sym_mutable] = ACTIONS(2182),
    [anon_sym_constinit] = ACTIONS(2182),
    [anon_sym_consteval] = ACTIONS(2182),
    [sym_primitive_type] = ACTIONS(2182),
    [anon_sym_enum] = ACTIONS(2182),
    [anon_sym_class] = ACTIONS(2182),
    [anon_sym_struct] = ACTIONS(2182),
    [anon_sym_union] = ACTIONS(2182),
    [anon_sym_or] = ACTIONS(2182),
    [anon_sym_and] = ACTIONS(2182),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2182),
    [anon_sym_decltype] = ACTIONS(2182),
    [anon_sym_virtual] = ACTIONS(2182),
    [anon_sym_alignas] = ACTIONS(2182),
    [anon_sym_explicit] = ACTIONS(2182),
    [anon_sym_typename] = ACTIONS(2182),
    [anon_sym_template] = ACTIONS(2182),
    [anon_sym_operator] = ACTIONS(2182),
    [anon_sym_friend] = ACTIONS(2182),
    [anon_sym_using] = ACTIONS(2182),
    [anon_sym_concept] = ACTIONS(2182),
    [anon_sym_precise] = ACTIONS(2182),
    [anon_sym_shared] = ACTIONS(2182),
    [anon_sym_groupshared] = ACTIONS(2182),
    [anon_sym_uniform] = ACTIONS(2182),
    [anon_sym_row_major] = ACTIONS(2182),
    [anon_sym_column_major] = ACTIONS(2182),
    [anon_sym_globallycoherent] = ACTIONS(2182),
    [anon_sym_centroid] = ACTIONS(2182),
    [anon_sym_noperspective] = ACTIONS(2182),
    [anon_sym_nointerpolation] = ACTIONS(2182),
    [anon_sym_sample] = ACTIONS(2182),
    [anon_sym_linear] = ACTIONS(2182),
    [anon_sym_snorm] = ACTIONS(2182),
    [anon_sym_unorm] = ACTIONS(2182),
    [anon_sym_point] = ACTIONS(2182),
    [anon_sym_line] = ACTIONS(2182),
    [anon_sym_triangleadj] = ACTIONS(2182),
    [anon_sym_lineadj] = ACTIONS(2182),
    [anon_sym_triangle] = ACTIONS(2182),
  },
  [2999] = {
    [sym_identifier] = ACTIONS(2258),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2260),
    [anon_sym_COMMA] = ACTIONS(2260),
    [anon_sym_RPAREN] = ACTIONS(2260),
    [anon_sym_LPAREN2] = ACTIONS(2260),
    [anon_sym_TILDE] = ACTIONS(2260),
    [anon_sym_STAR] = ACTIONS(2260),
    [anon_sym_PIPE_PIPE] = ACTIONS(2260),
    [anon_sym_AMP_AMP] = ACTIONS(2260),
    [anon_sym_AMP] = ACTIONS(2258),
    [anon_sym_COLON] = ACTIONS(2258),
    [anon_sym_SEMI] = ACTIONS(2260),
    [anon_sym___extension__] = ACTIONS(2258),
    [anon_sym_in] = ACTIONS(2258),
    [anon_sym_out] = ACTIONS(2258),
    [anon_sym_inout] = ACTIONS(2258),
    [anon_sym_extern] = ACTIONS(2258),
    [anon_sym___attribute__] = ACTIONS(2258),
    [anon_sym_COLON_COLON] = ACTIONS(2262),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2260),
    [anon_sym___declspec] = ACTIONS(2258),
    [anon_sym___based] = ACTIONS(2258),
    [anon_sym___cdecl] = ACTIONS(2258),
    [anon_sym___clrcall] = ACTIONS(2258),
    [anon_sym___stdcall] = ACTIONS(2258),
    [anon_sym___fastcall] = ACTIONS(2258),
    [anon_sym___thiscall] = ACTIONS(2258),
    [anon_sym___vectorcall] = ACTIONS(2258),
    [anon_sym_LBRACE] = ACTIONS(2260),
    [anon_sym_LBRACK] = ACTIONS(2258),
    [anon_sym_EQ] = ACTIONS(2260),
    [anon_sym_static] = ACTIONS(2258),
    [anon_sym_register] = ACTIONS(2258),
    [anon_sym_inline] = ACTIONS(2258),
    [anon_sym___inline] = ACTIONS(2258),
    [anon_sym___inline__] = ACTIONS(2258),
    [anon_sym___forceinline] = ACTIONS(2258),
    [anon_sym_thread_local] = ACTIONS(2258),
    [anon_sym___thread] = ACTIONS(2258),
    [anon_sym_const] = ACTIONS(2258),
    [anon_sym_constexpr] = ACTIONS(2258),
    [anon_sym_volatile] = ACTIONS(2258),
    [anon_sym_restrict] = ACTIONS(2258),
    [anon_sym___restrict__] = ACTIONS(2258),
    [anon_sym__Atomic] = ACTIONS(2258),
    [anon_sym__Noreturn] = ACTIONS(2258),
    [anon_sym_noreturn] = ACTIONS(2258),
    [anon_sym_mutable] = ACTIONS(2258),
    [anon_sym_constinit] = ACTIONS(2258),
    [anon_sym_consteval] = ACTIONS(2258),
    [anon_sym_else] = ACTIONS(2258),
    [anon_sym_while] = ACTIONS(2258),
    [anon_sym_or] = ACTIONS(2258),
    [anon_sym_and] = ACTIONS(2258),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2258),
    [anon_sym_decltype] = ACTIONS(2258),
    [anon_sym_final] = ACTIONS(2258),
    [anon_sym_override] = ACTIONS(2258),
    [anon_sym_virtual] = ACTIONS(2258),
    [anon_sym_alignas] = ACTIONS(2258),
    [anon_sym_template] = ACTIONS(2258),
    [anon_sym_GT2] = ACTIONS(2260),
    [anon_sym_operator] = ACTIONS(2258),
    [anon_sym_try] = ACTIONS(2258),
    [anon_sym_requires] = ACTIONS(2258),
    [anon_sym_precise] = ACTIONS(2258),
    [anon_sym_shared] = ACTIONS(2258),
    [anon_sym_groupshared] = ACTIONS(2258),
    [anon_sym_uniform] = ACTIONS(2258),
    [anon_sym_row_major] = ACTIONS(2258),
    [anon_sym_column_major] = ACTIONS(2258),
    [anon_sym_globallycoherent] = ACTIONS(2258),
    [anon_sym_centroid] = ACTIONS(2258),
    [anon_sym_noperspective] = ACTIONS(2258),
    [anon_sym_nointerpolation] = ACTIONS(2258),
    [anon_sym_sample] = ACTIONS(2258),
    [anon_sym_linear] = ACTIONS(2258),
    [anon_sym_snorm] = ACTIONS(2258),
    [anon_sym_unorm] = ACTIONS(2258),
    [anon_sym_point] = ACTIONS(2258),
    [anon_sym_line] = ACTIONS(2258),
    [anon_sym_triangleadj] = ACTIONS(2258),
    [anon_sym_lineadj] = ACTIONS(2258),
    [anon_sym_triangle] = ACTIONS(2258),
  },
  [3000] = {
    [sym_identifier] = ACTIONS(2216),
    [anon_sym_LPAREN2] = ACTIONS(2218),
    [anon_sym_TILDE] = ACTIONS(2218),
    [anon_sym_STAR] = ACTIONS(2218),
    [anon_sym_PIPE_PIPE] = ACTIONS(2218),
    [anon_sym_AMP_AMP] = ACTIONS(2218),
    [anon_sym_AMP] = ACTIONS(2216),
    [anon_sym___extension__] = ACTIONS(2216),
    [anon_sym_in] = ACTIONS(2216),
    [anon_sym_out] = ACTIONS(2216),
    [anon_sym_inout] = ACTIONS(2216),
    [anon_sym_extern] = ACTIONS(2216),
    [anon_sym___attribute__] = ACTIONS(2216),
    [anon_sym_COLON_COLON] = ACTIONS(2218),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2218),
    [anon_sym___declspec] = ACTIONS(2216),
    [anon_sym___based] = ACTIONS(2216),
    [anon_sym___cdecl] = ACTIONS(2216),
    [anon_sym___clrcall] = ACTIONS(2216),
    [anon_sym___stdcall] = ACTIONS(2216),
    [anon_sym___fastcall] = ACTIONS(2216),
    [anon_sym___thiscall] = ACTIONS(2216),
    [anon_sym___vectorcall] = ACTIONS(2216),
    [anon_sym_signed] = ACTIONS(2216),
    [anon_sym_unsigned] = ACTIONS(2216),
    [anon_sym_long] = ACTIONS(2216),
    [anon_sym_short] = ACTIONS(2216),
    [anon_sym_LBRACK] = ACTIONS(2216),
    [anon_sym_static] = ACTIONS(2216),
    [anon_sym_register] = ACTIONS(2216),
    [anon_sym_inline] = ACTIONS(2216),
    [anon_sym___inline] = ACTIONS(2216),
    [anon_sym___inline__] = ACTIONS(2216),
    [anon_sym___forceinline] = ACTIONS(2216),
    [anon_sym_thread_local] = ACTIONS(2216),
    [anon_sym___thread] = ACTIONS(2216),
    [anon_sym_const] = ACTIONS(2216),
    [anon_sym_constexpr] = ACTIONS(2216),
    [anon_sym_volatile] = ACTIONS(2216),
    [anon_sym_restrict] = ACTIONS(2216),
    [anon_sym___restrict__] = ACTIONS(2216),
    [anon_sym__Atomic] = ACTIONS(2216),
    [anon_sym__Noreturn] = ACTIONS(2216),
    [anon_sym_noreturn] = ACTIONS(2216),
    [anon_sym_mutable] = ACTIONS(2216),
    [anon_sym_constinit] = ACTIONS(2216),
    [anon_sym_consteval] = ACTIONS(2216),
    [sym_primitive_type] = ACTIONS(2216),
    [anon_sym_enum] = ACTIONS(2216),
    [anon_sym_class] = ACTIONS(2216),
    [anon_sym_struct] = ACTIONS(2216),
    [anon_sym_union] = ACTIONS(2216),
    [anon_sym_or] = ACTIONS(2216),
    [anon_sym_and] = ACTIONS(2216),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2216),
    [anon_sym_decltype] = ACTIONS(2216),
    [anon_sym_virtual] = ACTIONS(2216),
    [anon_sym_alignas] = ACTIONS(2216),
    [anon_sym_explicit] = ACTIONS(2216),
    [anon_sym_typename] = ACTIONS(2216),
    [anon_sym_template] = ACTIONS(2216),
    [anon_sym_operator] = ACTIONS(2216),
    [anon_sym_friend] = ACTIONS(2216),
    [anon_sym_using] = ACTIONS(2216),
    [anon_sym_concept] = ACTIONS(2216),
    [anon_sym_precise] = ACTIONS(2216),
    [anon_sym_shared] = ACTIONS(2216),
    [anon_sym_groupshared] = ACTIONS(2216),
    [anon_sym_uniform] = ACTIONS(2216),
    [anon_sym_row_major] = ACTIONS(2216),
    [anon_sym_column_major] = ACTIONS(2216),
    [anon_sym_globallycoherent] = ACTIONS(2216),
    [anon_sym_centroid] = ACTIONS(2216),
    [anon_sym_noperspective] = ACTIONS(2216),
    [anon_sym_nointerpolation] = ACTIONS(2216),
    [anon_sym_sample] = ACTIONS(2216),
    [anon_sym_linear] = ACTIONS(2216),
    [anon_sym_snorm] = ACTIONS(2216),
    [anon_sym_unorm] = ACTIONS(2216),
    [anon_sym_point] = ACTIONS(2216),
    [anon_sym_line] = ACTIONS(2216),
    [anon_sym_triangleadj] = ACTIONS(2216),
    [anon_sym_lineadj] = ACTIONS(2216),
    [anon_sym_triangle] = ACTIONS(2216),
  },
  [3001] = {
    [sym_identifier] = ACTIONS(2238),
    [anon_sym_LPAREN2] = ACTIONS(2236),
    [anon_sym_TILDE] = ACTIONS(2236),
    [anon_sym_STAR] = ACTIONS(2236),
    [anon_sym_PIPE_PIPE] = ACTIONS(2236),
    [anon_sym_AMP_AMP] = ACTIONS(2236),
    [anon_sym_AMP] = ACTIONS(2238),
    [anon_sym___extension__] = ACTIONS(2238),
    [anon_sym_in] = ACTIONS(2238),
    [anon_sym_out] = ACTIONS(2238),
    [anon_sym_inout] = ACTIONS(2238),
    [anon_sym_extern] = ACTIONS(2238),
    [anon_sym___attribute__] = ACTIONS(2238),
    [anon_sym_COLON_COLON] = ACTIONS(2236),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2236),
    [anon_sym___declspec] = ACTIONS(2238),
    [anon_sym___based] = ACTIONS(2238),
    [anon_sym___cdecl] = ACTIONS(2238),
    [anon_sym___clrcall] = ACTIONS(2238),
    [anon_sym___stdcall] = ACTIONS(2238),
    [anon_sym___fastcall] = ACTIONS(2238),
    [anon_sym___thiscall] = ACTIONS(2238),
    [anon_sym___vectorcall] = ACTIONS(2238),
    [anon_sym_signed] = ACTIONS(2238),
    [anon_sym_unsigned] = ACTIONS(2238),
    [anon_sym_long] = ACTIONS(2238),
    [anon_sym_short] = ACTIONS(2238),
    [anon_sym_LBRACK] = ACTIONS(2238),
    [anon_sym_static] = ACTIONS(2238),
    [anon_sym_register] = ACTIONS(2238),
    [anon_sym_inline] = ACTIONS(2238),
    [anon_sym___inline] = ACTIONS(2238),
    [anon_sym___inline__] = ACTIONS(2238),
    [anon_sym___forceinline] = ACTIONS(2238),
    [anon_sym_thread_local] = ACTIONS(2238),
    [anon_sym___thread] = ACTIONS(2238),
    [anon_sym_const] = ACTIONS(2238),
    [anon_sym_constexpr] = ACTIONS(2238),
    [anon_sym_volatile] = ACTIONS(2238),
    [anon_sym_restrict] = ACTIONS(2238),
    [anon_sym___restrict__] = ACTIONS(2238),
    [anon_sym__Atomic] = ACTIONS(2238),
    [anon_sym__Noreturn] = ACTIONS(2238),
    [anon_sym_noreturn] = ACTIONS(2238),
    [anon_sym_mutable] = ACTIONS(2238),
    [anon_sym_constinit] = ACTIONS(2238),
    [anon_sym_consteval] = ACTIONS(2238),
    [sym_primitive_type] = ACTIONS(2238),
    [anon_sym_enum] = ACTIONS(2238),
    [anon_sym_class] = ACTIONS(2238),
    [anon_sym_struct] = ACTIONS(2238),
    [anon_sym_union] = ACTIONS(2238),
    [anon_sym_or] = ACTIONS(2238),
    [anon_sym_and] = ACTIONS(2238),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2238),
    [anon_sym_decltype] = ACTIONS(2238),
    [anon_sym_virtual] = ACTIONS(2238),
    [anon_sym_alignas] = ACTIONS(2238),
    [anon_sym_explicit] = ACTIONS(2238),
    [anon_sym_typename] = ACTIONS(2238),
    [anon_sym_template] = ACTIONS(2238),
    [anon_sym_operator] = ACTIONS(2238),
    [anon_sym_friend] = ACTIONS(2238),
    [anon_sym_using] = ACTIONS(2238),
    [anon_sym_concept] = ACTIONS(2238),
    [anon_sym_precise] = ACTIONS(2238),
    [anon_sym_shared] = ACTIONS(2238),
    [anon_sym_groupshared] = ACTIONS(2238),
    [anon_sym_uniform] = ACTIONS(2238),
    [anon_sym_row_major] = ACTIONS(2238),
    [anon_sym_column_major] = ACTIONS(2238),
    [anon_sym_globallycoherent] = ACTIONS(2238),
    [anon_sym_centroid] = ACTIONS(2238),
    [anon_sym_noperspective] = ACTIONS(2238),
    [anon_sym_nointerpolation] = ACTIONS(2238),
    [anon_sym_sample] = ACTIONS(2238),
    [anon_sym_linear] = ACTIONS(2238),
    [anon_sym_snorm] = ACTIONS(2238),
    [anon_sym_unorm] = ACTIONS(2238),
    [anon_sym_point] = ACTIONS(2238),
    [anon_sym_line] = ACTIONS(2238),
    [anon_sym_triangleadj] = ACTIONS(2238),
    [anon_sym_lineadj] = ACTIONS(2238),
    [anon_sym_triangle] = ACTIONS(2238),
  },
  [3002] = {
    [sym_identifier] = ACTIONS(2206),
    [anon_sym_LPAREN2] = ACTIONS(2204),
    [anon_sym_TILDE] = ACTIONS(2204),
    [anon_sym_STAR] = ACTIONS(2204),
    [anon_sym_PIPE_PIPE] = ACTIONS(2204),
    [anon_sym_AMP_AMP] = ACTIONS(2204),
    [anon_sym_AMP] = ACTIONS(2206),
    [anon_sym___extension__] = ACTIONS(2206),
    [anon_sym_in] = ACTIONS(2206),
    [anon_sym_out] = ACTIONS(2206),
    [anon_sym_inout] = ACTIONS(2206),
    [anon_sym_extern] = ACTIONS(2206),
    [anon_sym___attribute__] = ACTIONS(2206),
    [anon_sym_COLON_COLON] = ACTIONS(2204),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2204),
    [anon_sym___declspec] = ACTIONS(2206),
    [anon_sym___based] = ACTIONS(2206),
    [anon_sym___cdecl] = ACTIONS(2206),
    [anon_sym___clrcall] = ACTIONS(2206),
    [anon_sym___stdcall] = ACTIONS(2206),
    [anon_sym___fastcall] = ACTIONS(2206),
    [anon_sym___thiscall] = ACTIONS(2206),
    [anon_sym___vectorcall] = ACTIONS(2206),
    [anon_sym_signed] = ACTIONS(2206),
    [anon_sym_unsigned] = ACTIONS(2206),
    [anon_sym_long] = ACTIONS(2206),
    [anon_sym_short] = ACTIONS(2206),
    [anon_sym_LBRACK] = ACTIONS(2206),
    [anon_sym_static] = ACTIONS(2206),
    [anon_sym_register] = ACTIONS(2206),
    [anon_sym_inline] = ACTIONS(2206),
    [anon_sym___inline] = ACTIONS(2206),
    [anon_sym___inline__] = ACTIONS(2206),
    [anon_sym___forceinline] = ACTIONS(2206),
    [anon_sym_thread_local] = ACTIONS(2206),
    [anon_sym___thread] = ACTIONS(2206),
    [anon_sym_const] = ACTIONS(2206),
    [anon_sym_constexpr] = ACTIONS(2206),
    [anon_sym_volatile] = ACTIONS(2206),
    [anon_sym_restrict] = ACTIONS(2206),
    [anon_sym___restrict__] = ACTIONS(2206),
    [anon_sym__Atomic] = ACTIONS(2206),
    [anon_sym__Noreturn] = ACTIONS(2206),
    [anon_sym_noreturn] = ACTIONS(2206),
    [anon_sym_mutable] = ACTIONS(2206),
    [anon_sym_constinit] = ACTIONS(2206),
    [anon_sym_consteval] = ACTIONS(2206),
    [sym_primitive_type] = ACTIONS(2206),
    [anon_sym_enum] = ACTIONS(2206),
    [anon_sym_class] = ACTIONS(2206),
    [anon_sym_struct] = ACTIONS(2206),
    [anon_sym_union] = ACTIONS(2206),
    [anon_sym_or] = ACTIONS(2206),
    [anon_sym_and] = ACTIONS(2206),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2206),
    [anon_sym_decltype] = ACTIONS(2206),
    [anon_sym_virtual] = ACTIONS(2206),
    [anon_sym_alignas] = ACTIONS(2206),
    [anon_sym_explicit] = ACTIONS(2206),
    [anon_sym_typename] = ACTIONS(2206),
    [anon_sym_template] = ACTIONS(2206),
    [anon_sym_operator] = ACTIONS(2206),
    [anon_sym_friend] = ACTIONS(2206),
    [anon_sym_using] = ACTIONS(2206),
    [anon_sym_concept] = ACTIONS(2206),
    [anon_sym_precise] = ACTIONS(2206),
    [anon_sym_shared] = ACTIONS(2206),
    [anon_sym_groupshared] = ACTIONS(2206),
    [anon_sym_uniform] = ACTIONS(2206),
    [anon_sym_row_major] = ACTIONS(2206),
    [anon_sym_column_major] = ACTIONS(2206),
    [anon_sym_globallycoherent] = ACTIONS(2206),
    [anon_sym_centroid] = ACTIONS(2206),
    [anon_sym_noperspective] = ACTIONS(2206),
    [anon_sym_nointerpolation] = ACTIONS(2206),
    [anon_sym_sample] = ACTIONS(2206),
    [anon_sym_linear] = ACTIONS(2206),
    [anon_sym_snorm] = ACTIONS(2206),
    [anon_sym_unorm] = ACTIONS(2206),
    [anon_sym_point] = ACTIONS(2206),
    [anon_sym_line] = ACTIONS(2206),
    [anon_sym_triangleadj] = ACTIONS(2206),
    [anon_sym_lineadj] = ACTIONS(2206),
    [anon_sym_triangle] = ACTIONS(2206),
  },
  [3003] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(3003),
    [sym_identifier] = ACTIONS(5840),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5842),
    [anon_sym_COMMA] = ACTIONS(5842),
    [anon_sym_RPAREN] = ACTIONS(5842),
    [anon_sym_LPAREN2] = ACTIONS(5842),
    [anon_sym_TILDE] = ACTIONS(5842),
    [anon_sym_STAR] = ACTIONS(5842),
    [anon_sym_AMP_AMP] = ACTIONS(5842),
    [anon_sym_AMP] = ACTIONS(5840),
    [anon_sym_COLON] = ACTIONS(5840),
    [anon_sym_SEMI] = ACTIONS(5842),
    [anon_sym___extension__] = ACTIONS(5840),
    [anon_sym_in] = ACTIONS(5840),
    [anon_sym_out] = ACTIONS(5840),
    [anon_sym_inout] = ACTIONS(5840),
    [anon_sym_extern] = ACTIONS(5840),
    [anon_sym___attribute__] = ACTIONS(5840),
    [anon_sym_COLON_COLON] = ACTIONS(5842),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5842),
    [anon_sym___declspec] = ACTIONS(5840),
    [anon_sym___based] = ACTIONS(5840),
    [anon_sym___cdecl] = ACTIONS(5840),
    [anon_sym___clrcall] = ACTIONS(5840),
    [anon_sym___stdcall] = ACTIONS(5840),
    [anon_sym___fastcall] = ACTIONS(5840),
    [anon_sym___thiscall] = ACTIONS(5840),
    [anon_sym___vectorcall] = ACTIONS(5840),
    [anon_sym_LBRACE] = ACTIONS(5842),
    [anon_sym_signed] = ACTIONS(5844),
    [anon_sym_unsigned] = ACTIONS(5844),
    [anon_sym_long] = ACTIONS(5844),
    [anon_sym_short] = ACTIONS(5844),
    [anon_sym_LBRACK] = ACTIONS(5840),
    [anon_sym_EQ] = ACTIONS(5842),
    [anon_sym_static] = ACTIONS(5840),
    [anon_sym_register] = ACTIONS(5840),
    [anon_sym_inline] = ACTIONS(5840),
    [anon_sym___inline] = ACTIONS(5840),
    [anon_sym___inline__] = ACTIONS(5840),
    [anon_sym___forceinline] = ACTIONS(5840),
    [anon_sym_thread_local] = ACTIONS(5840),
    [anon_sym___thread] = ACTIONS(5840),
    [anon_sym_const] = ACTIONS(5840),
    [anon_sym_constexpr] = ACTIONS(5840),
    [anon_sym_volatile] = ACTIONS(5840),
    [anon_sym_restrict] = ACTIONS(5840),
    [anon_sym___restrict__] = ACTIONS(5840),
    [anon_sym__Atomic] = ACTIONS(5840),
    [anon_sym__Noreturn] = ACTIONS(5840),
    [anon_sym_noreturn] = ACTIONS(5840),
    [anon_sym_mutable] = ACTIONS(5840),
    [anon_sym_constinit] = ACTIONS(5840),
    [anon_sym_consteval] = ACTIONS(5840),
    [sym_primitive_type] = ACTIONS(5840),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5840),
    [anon_sym_decltype] = ACTIONS(5840),
    [anon_sym_final] = ACTIONS(5840),
    [anon_sym_override] = ACTIONS(5840),
    [anon_sym_virtual] = ACTIONS(5840),
    [anon_sym_alignas] = ACTIONS(5840),
    [anon_sym_template] = ACTIONS(5840),
    [anon_sym_GT2] = ACTIONS(5842),
    [anon_sym_operator] = ACTIONS(5840),
    [anon_sym_requires] = ACTIONS(5840),
    [anon_sym_precise] = ACTIONS(5840),
    [anon_sym_shared] = ACTIONS(5840),
    [anon_sym_groupshared] = ACTIONS(5840),
    [anon_sym_uniform] = ACTIONS(5840),
    [anon_sym_row_major] = ACTIONS(5840),
    [anon_sym_column_major] = ACTIONS(5840),
    [anon_sym_globallycoherent] = ACTIONS(5840),
    [anon_sym_centroid] = ACTIONS(5840),
    [anon_sym_noperspective] = ACTIONS(5840),
    [anon_sym_nointerpolation] = ACTIONS(5840),
    [anon_sym_sample] = ACTIONS(5840),
    [anon_sym_linear] = ACTIONS(5840),
    [anon_sym_snorm] = ACTIONS(5840),
    [anon_sym_unorm] = ACTIONS(5840),
    [anon_sym_point] = ACTIONS(5840),
    [anon_sym_line] = ACTIONS(5840),
    [anon_sym_triangleadj] = ACTIONS(5840),
    [anon_sym_lineadj] = ACTIONS(5840),
    [anon_sym_triangle] = ACTIONS(5840),
  },
  [3004] = {
    [sym_identifier] = ACTIONS(2250),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2252),
    [anon_sym_COMMA] = ACTIONS(2252),
    [anon_sym_RPAREN] = ACTIONS(2252),
    [anon_sym_LPAREN2] = ACTIONS(2252),
    [anon_sym_TILDE] = ACTIONS(2252),
    [anon_sym_STAR] = ACTIONS(2252),
    [anon_sym_PIPE_PIPE] = ACTIONS(2252),
    [anon_sym_AMP_AMP] = ACTIONS(2252),
    [anon_sym_AMP] = ACTIONS(2250),
    [anon_sym_COLON] = ACTIONS(2250),
    [anon_sym_SEMI] = ACTIONS(2252),
    [anon_sym___extension__] = ACTIONS(2250),
    [anon_sym_in] = ACTIONS(2250),
    [anon_sym_out] = ACTIONS(2250),
    [anon_sym_inout] = ACTIONS(2250),
    [anon_sym_extern] = ACTIONS(2250),
    [anon_sym___attribute__] = ACTIONS(2250),
    [anon_sym_COLON_COLON] = ACTIONS(2252),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2252),
    [anon_sym___declspec] = ACTIONS(2250),
    [anon_sym___based] = ACTIONS(2250),
    [anon_sym___cdecl] = ACTIONS(2250),
    [anon_sym___clrcall] = ACTIONS(2250),
    [anon_sym___stdcall] = ACTIONS(2250),
    [anon_sym___fastcall] = ACTIONS(2250),
    [anon_sym___thiscall] = ACTIONS(2250),
    [anon_sym___vectorcall] = ACTIONS(2250),
    [anon_sym_LBRACE] = ACTIONS(2252),
    [anon_sym_LBRACK] = ACTIONS(2250),
    [anon_sym_EQ] = ACTIONS(2252),
    [anon_sym_static] = ACTIONS(2250),
    [anon_sym_register] = ACTIONS(2250),
    [anon_sym_inline] = ACTIONS(2250),
    [anon_sym___inline] = ACTIONS(2250),
    [anon_sym___inline__] = ACTIONS(2250),
    [anon_sym___forceinline] = ACTIONS(2250),
    [anon_sym_thread_local] = ACTIONS(2250),
    [anon_sym___thread] = ACTIONS(2250),
    [anon_sym_const] = ACTIONS(2250),
    [anon_sym_constexpr] = ACTIONS(2250),
    [anon_sym_volatile] = ACTIONS(2250),
    [anon_sym_restrict] = ACTIONS(2250),
    [anon_sym___restrict__] = ACTIONS(2250),
    [anon_sym__Atomic] = ACTIONS(2250),
    [anon_sym__Noreturn] = ACTIONS(2250),
    [anon_sym_noreturn] = ACTIONS(2250),
    [anon_sym_mutable] = ACTIONS(2250),
    [anon_sym_constinit] = ACTIONS(2250),
    [anon_sym_consteval] = ACTIONS(2250),
    [anon_sym_else] = ACTIONS(2250),
    [anon_sym_while] = ACTIONS(2250),
    [anon_sym_or] = ACTIONS(2250),
    [anon_sym_and] = ACTIONS(2250),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2250),
    [anon_sym_decltype] = ACTIONS(2250),
    [anon_sym_final] = ACTIONS(2250),
    [anon_sym_override] = ACTIONS(2250),
    [anon_sym_virtual] = ACTIONS(2250),
    [anon_sym_alignas] = ACTIONS(2250),
    [anon_sym_template] = ACTIONS(2250),
    [anon_sym_GT2] = ACTIONS(2252),
    [anon_sym_operator] = ACTIONS(2250),
    [anon_sym_try] = ACTIONS(2250),
    [anon_sym_requires] = ACTIONS(2250),
    [anon_sym_precise] = ACTIONS(2250),
    [anon_sym_shared] = ACTIONS(2250),
    [anon_sym_groupshared] = ACTIONS(2250),
    [anon_sym_uniform] = ACTIONS(2250),
    [anon_sym_row_major] = ACTIONS(2250),
    [anon_sym_column_major] = ACTIONS(2250),
    [anon_sym_globallycoherent] = ACTIONS(2250),
    [anon_sym_centroid] = ACTIONS(2250),
    [anon_sym_noperspective] = ACTIONS(2250),
    [anon_sym_nointerpolation] = ACTIONS(2250),
    [anon_sym_sample] = ACTIONS(2250),
    [anon_sym_linear] = ACTIONS(2250),
    [anon_sym_snorm] = ACTIONS(2250),
    [anon_sym_unorm] = ACTIONS(2250),
    [anon_sym_point] = ACTIONS(2250),
    [anon_sym_line] = ACTIONS(2250),
    [anon_sym_triangleadj] = ACTIONS(2250),
    [anon_sym_lineadj] = ACTIONS(2250),
    [anon_sym_triangle] = ACTIONS(2250),
  },
  [3005] = {
    [sym_identifier] = ACTIONS(2254),
    [anon_sym_LPAREN2] = ACTIONS(2256),
    [anon_sym_TILDE] = ACTIONS(2256),
    [anon_sym_STAR] = ACTIONS(2256),
    [anon_sym_PIPE_PIPE] = ACTIONS(2256),
    [anon_sym_AMP_AMP] = ACTIONS(2256),
    [anon_sym_AMP] = ACTIONS(2254),
    [anon_sym___extension__] = ACTIONS(2254),
    [anon_sym_in] = ACTIONS(2254),
    [anon_sym_out] = ACTIONS(2254),
    [anon_sym_inout] = ACTIONS(2254),
    [anon_sym_extern] = ACTIONS(2254),
    [anon_sym___attribute__] = ACTIONS(2254),
    [anon_sym_COLON_COLON] = ACTIONS(2256),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2256),
    [anon_sym___declspec] = ACTIONS(2254),
    [anon_sym___based] = ACTIONS(2254),
    [anon_sym___cdecl] = ACTIONS(2254),
    [anon_sym___clrcall] = ACTIONS(2254),
    [anon_sym___stdcall] = ACTIONS(2254),
    [anon_sym___fastcall] = ACTIONS(2254),
    [anon_sym___thiscall] = ACTIONS(2254),
    [anon_sym___vectorcall] = ACTIONS(2254),
    [anon_sym_signed] = ACTIONS(2254),
    [anon_sym_unsigned] = ACTIONS(2254),
    [anon_sym_long] = ACTIONS(2254),
    [anon_sym_short] = ACTIONS(2254),
    [anon_sym_LBRACK] = ACTIONS(2254),
    [anon_sym_static] = ACTIONS(2254),
    [anon_sym_register] = ACTIONS(2254),
    [anon_sym_inline] = ACTIONS(2254),
    [anon_sym___inline] = ACTIONS(2254),
    [anon_sym___inline__] = ACTIONS(2254),
    [anon_sym___forceinline] = ACTIONS(2254),
    [anon_sym_thread_local] = ACTIONS(2254),
    [anon_sym___thread] = ACTIONS(2254),
    [anon_sym_const] = ACTIONS(2254),
    [anon_sym_constexpr] = ACTIONS(2254),
    [anon_sym_volatile] = ACTIONS(2254),
    [anon_sym_restrict] = ACTIONS(2254),
    [anon_sym___restrict__] = ACTIONS(2254),
    [anon_sym__Atomic] = ACTIONS(2254),
    [anon_sym__Noreturn] = ACTIONS(2254),
    [anon_sym_noreturn] = ACTIONS(2254),
    [anon_sym_mutable] = ACTIONS(2254),
    [anon_sym_constinit] = ACTIONS(2254),
    [anon_sym_consteval] = ACTIONS(2254),
    [sym_primitive_type] = ACTIONS(2254),
    [anon_sym_enum] = ACTIONS(2254),
    [anon_sym_class] = ACTIONS(2254),
    [anon_sym_struct] = ACTIONS(2254),
    [anon_sym_union] = ACTIONS(2254),
    [anon_sym_or] = ACTIONS(2254),
    [anon_sym_and] = ACTIONS(2254),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2254),
    [anon_sym_decltype] = ACTIONS(2254),
    [anon_sym_virtual] = ACTIONS(2254),
    [anon_sym_alignas] = ACTIONS(2254),
    [anon_sym_explicit] = ACTIONS(2254),
    [anon_sym_typename] = ACTIONS(2254),
    [anon_sym_template] = ACTIONS(2254),
    [anon_sym_operator] = ACTIONS(2254),
    [anon_sym_friend] = ACTIONS(2254),
    [anon_sym_using] = ACTIONS(2254),
    [anon_sym_concept] = ACTIONS(2254),
    [anon_sym_precise] = ACTIONS(2254),
    [anon_sym_shared] = ACTIONS(2254),
    [anon_sym_groupshared] = ACTIONS(2254),
    [anon_sym_uniform] = ACTIONS(2254),
    [anon_sym_row_major] = ACTIONS(2254),
    [anon_sym_column_major] = ACTIONS(2254),
    [anon_sym_globallycoherent] = ACTIONS(2254),
    [anon_sym_centroid] = ACTIONS(2254),
    [anon_sym_noperspective] = ACTIONS(2254),
    [anon_sym_nointerpolation] = ACTIONS(2254),
    [anon_sym_sample] = ACTIONS(2254),
    [anon_sym_linear] = ACTIONS(2254),
    [anon_sym_snorm] = ACTIONS(2254),
    [anon_sym_unorm] = ACTIONS(2254),
    [anon_sym_point] = ACTIONS(2254),
    [anon_sym_line] = ACTIONS(2254),
    [anon_sym_triangleadj] = ACTIONS(2254),
    [anon_sym_lineadj] = ACTIONS(2254),
    [anon_sym_triangle] = ACTIONS(2254),
  },
  [3006] = {
    [sym_identifier] = ACTIONS(2250),
    [anon_sym_LPAREN2] = ACTIONS(2252),
    [anon_sym_TILDE] = ACTIONS(2252),
    [anon_sym_STAR] = ACTIONS(2252),
    [anon_sym_PIPE_PIPE] = ACTIONS(2252),
    [anon_sym_AMP_AMP] = ACTIONS(2252),
    [anon_sym_AMP] = ACTIONS(2250),
    [anon_sym___extension__] = ACTIONS(2250),
    [anon_sym_in] = ACTIONS(2250),
    [anon_sym_out] = ACTIONS(2250),
    [anon_sym_inout] = ACTIONS(2250),
    [anon_sym_extern] = ACTIONS(2250),
    [anon_sym___attribute__] = ACTIONS(2250),
    [anon_sym_COLON_COLON] = ACTIONS(2252),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2252),
    [anon_sym___declspec] = ACTIONS(2250),
    [anon_sym___based] = ACTIONS(2250),
    [anon_sym___cdecl] = ACTIONS(2250),
    [anon_sym___clrcall] = ACTIONS(2250),
    [anon_sym___stdcall] = ACTIONS(2250),
    [anon_sym___fastcall] = ACTIONS(2250),
    [anon_sym___thiscall] = ACTIONS(2250),
    [anon_sym___vectorcall] = ACTIONS(2250),
    [anon_sym_signed] = ACTIONS(2250),
    [anon_sym_unsigned] = ACTIONS(2250),
    [anon_sym_long] = ACTIONS(2250),
    [anon_sym_short] = ACTIONS(2250),
    [anon_sym_LBRACK] = ACTIONS(2250),
    [anon_sym_static] = ACTIONS(2250),
    [anon_sym_register] = ACTIONS(2250),
    [anon_sym_inline] = ACTIONS(2250),
    [anon_sym___inline] = ACTIONS(2250),
    [anon_sym___inline__] = ACTIONS(2250),
    [anon_sym___forceinline] = ACTIONS(2250),
    [anon_sym_thread_local] = ACTIONS(2250),
    [anon_sym___thread] = ACTIONS(2250),
    [anon_sym_const] = ACTIONS(2250),
    [anon_sym_constexpr] = ACTIONS(2250),
    [anon_sym_volatile] = ACTIONS(2250),
    [anon_sym_restrict] = ACTIONS(2250),
    [anon_sym___restrict__] = ACTIONS(2250),
    [anon_sym__Atomic] = ACTIONS(2250),
    [anon_sym__Noreturn] = ACTIONS(2250),
    [anon_sym_noreturn] = ACTIONS(2250),
    [anon_sym_mutable] = ACTIONS(2250),
    [anon_sym_constinit] = ACTIONS(2250),
    [anon_sym_consteval] = ACTIONS(2250),
    [sym_primitive_type] = ACTIONS(2250),
    [anon_sym_enum] = ACTIONS(2250),
    [anon_sym_class] = ACTIONS(2250),
    [anon_sym_struct] = ACTIONS(2250),
    [anon_sym_union] = ACTIONS(2250),
    [anon_sym_or] = ACTIONS(2250),
    [anon_sym_and] = ACTIONS(2250),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2250),
    [anon_sym_decltype] = ACTIONS(2250),
    [anon_sym_virtual] = ACTIONS(2250),
    [anon_sym_alignas] = ACTIONS(2250),
    [anon_sym_explicit] = ACTIONS(2250),
    [anon_sym_typename] = ACTIONS(2250),
    [anon_sym_template] = ACTIONS(2250),
    [anon_sym_operator] = ACTIONS(2250),
    [anon_sym_friend] = ACTIONS(2250),
    [anon_sym_using] = ACTIONS(2250),
    [anon_sym_concept] = ACTIONS(2250),
    [anon_sym_precise] = ACTIONS(2250),
    [anon_sym_shared] = ACTIONS(2250),
    [anon_sym_groupshared] = ACTIONS(2250),
    [anon_sym_uniform] = ACTIONS(2250),
    [anon_sym_row_major] = ACTIONS(2250),
    [anon_sym_column_major] = ACTIONS(2250),
    [anon_sym_globallycoherent] = ACTIONS(2250),
    [anon_sym_centroid] = ACTIONS(2250),
    [anon_sym_noperspective] = ACTIONS(2250),
    [anon_sym_nointerpolation] = ACTIONS(2250),
    [anon_sym_sample] = ACTIONS(2250),
    [anon_sym_linear] = ACTIONS(2250),
    [anon_sym_snorm] = ACTIONS(2250),
    [anon_sym_unorm] = ACTIONS(2250),
    [anon_sym_point] = ACTIONS(2250),
    [anon_sym_line] = ACTIONS(2250),
    [anon_sym_triangleadj] = ACTIONS(2250),
    [anon_sym_lineadj] = ACTIONS(2250),
    [anon_sym_triangle] = ACTIONS(2250),
  },
  [3007] = {
    [sym_identifier] = ACTIONS(2212),
    [anon_sym_LPAREN2] = ACTIONS(2214),
    [anon_sym_TILDE] = ACTIONS(2214),
    [anon_sym_STAR] = ACTIONS(2214),
    [anon_sym_PIPE_PIPE] = ACTIONS(2214),
    [anon_sym_AMP_AMP] = ACTIONS(2214),
    [anon_sym_AMP] = ACTIONS(2212),
    [anon_sym___extension__] = ACTIONS(2212),
    [anon_sym_in] = ACTIONS(2212),
    [anon_sym_out] = ACTIONS(2212),
    [anon_sym_inout] = ACTIONS(2212),
    [anon_sym_extern] = ACTIONS(2212),
    [anon_sym___attribute__] = ACTIONS(2212),
    [anon_sym_COLON_COLON] = ACTIONS(2214),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2214),
    [anon_sym___declspec] = ACTIONS(2212),
    [anon_sym___based] = ACTIONS(2212),
    [anon_sym___cdecl] = ACTIONS(2212),
    [anon_sym___clrcall] = ACTIONS(2212),
    [anon_sym___stdcall] = ACTIONS(2212),
    [anon_sym___fastcall] = ACTIONS(2212),
    [anon_sym___thiscall] = ACTIONS(2212),
    [anon_sym___vectorcall] = ACTIONS(2212),
    [anon_sym_signed] = ACTIONS(2212),
    [anon_sym_unsigned] = ACTIONS(2212),
    [anon_sym_long] = ACTIONS(2212),
    [anon_sym_short] = ACTIONS(2212),
    [anon_sym_LBRACK] = ACTIONS(2212),
    [anon_sym_static] = ACTIONS(2212),
    [anon_sym_register] = ACTIONS(2212),
    [anon_sym_inline] = ACTIONS(2212),
    [anon_sym___inline] = ACTIONS(2212),
    [anon_sym___inline__] = ACTIONS(2212),
    [anon_sym___forceinline] = ACTIONS(2212),
    [anon_sym_thread_local] = ACTIONS(2212),
    [anon_sym___thread] = ACTIONS(2212),
    [anon_sym_const] = ACTIONS(2212),
    [anon_sym_constexpr] = ACTIONS(2212),
    [anon_sym_volatile] = ACTIONS(2212),
    [anon_sym_restrict] = ACTIONS(2212),
    [anon_sym___restrict__] = ACTIONS(2212),
    [anon_sym__Atomic] = ACTIONS(2212),
    [anon_sym__Noreturn] = ACTIONS(2212),
    [anon_sym_noreturn] = ACTIONS(2212),
    [anon_sym_mutable] = ACTIONS(2212),
    [anon_sym_constinit] = ACTIONS(2212),
    [anon_sym_consteval] = ACTIONS(2212),
    [sym_primitive_type] = ACTIONS(2212),
    [anon_sym_enum] = ACTIONS(2212),
    [anon_sym_class] = ACTIONS(2212),
    [anon_sym_struct] = ACTIONS(2212),
    [anon_sym_union] = ACTIONS(2212),
    [anon_sym_or] = ACTIONS(2212),
    [anon_sym_and] = ACTIONS(2212),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2212),
    [anon_sym_decltype] = ACTIONS(2212),
    [anon_sym_virtual] = ACTIONS(2212),
    [anon_sym_alignas] = ACTIONS(2212),
    [anon_sym_explicit] = ACTIONS(2212),
    [anon_sym_typename] = ACTIONS(2212),
    [anon_sym_template] = ACTIONS(2212),
    [anon_sym_operator] = ACTIONS(2212),
    [anon_sym_friend] = ACTIONS(2212),
    [anon_sym_using] = ACTIONS(2212),
    [anon_sym_concept] = ACTIONS(2212),
    [anon_sym_precise] = ACTIONS(2212),
    [anon_sym_shared] = ACTIONS(2212),
    [anon_sym_groupshared] = ACTIONS(2212),
    [anon_sym_uniform] = ACTIONS(2212),
    [anon_sym_row_major] = ACTIONS(2212),
    [anon_sym_column_major] = ACTIONS(2212),
    [anon_sym_globallycoherent] = ACTIONS(2212),
    [anon_sym_centroid] = ACTIONS(2212),
    [anon_sym_noperspective] = ACTIONS(2212),
    [anon_sym_nointerpolation] = ACTIONS(2212),
    [anon_sym_sample] = ACTIONS(2212),
    [anon_sym_linear] = ACTIONS(2212),
    [anon_sym_snorm] = ACTIONS(2212),
    [anon_sym_unorm] = ACTIONS(2212),
    [anon_sym_point] = ACTIONS(2212),
    [anon_sym_line] = ACTIONS(2212),
    [anon_sym_triangleadj] = ACTIONS(2212),
    [anon_sym_lineadj] = ACTIONS(2212),
    [anon_sym_triangle] = ACTIONS(2212),
  },
  [3008] = {
    [sym_identifier] = ACTIONS(5847),
    [anon_sym_LPAREN2] = ACTIONS(5849),
    [anon_sym_TILDE] = ACTIONS(5849),
    [anon_sym_STAR] = ACTIONS(5849),
    [anon_sym_PIPE_PIPE] = ACTIONS(5851),
    [anon_sym_AMP_AMP] = ACTIONS(5836),
    [anon_sym_AMP] = ACTIONS(5847),
    [anon_sym___extension__] = ACTIONS(5847),
    [anon_sym_in] = ACTIONS(5847),
    [anon_sym_out] = ACTIONS(5847),
    [anon_sym_inout] = ACTIONS(5847),
    [anon_sym_extern] = ACTIONS(5847),
    [anon_sym___attribute__] = ACTIONS(5847),
    [anon_sym_COLON_COLON] = ACTIONS(5849),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5849),
    [anon_sym___declspec] = ACTIONS(5847),
    [anon_sym___based] = ACTIONS(5847),
    [anon_sym___cdecl] = ACTIONS(5847),
    [anon_sym___clrcall] = ACTIONS(5847),
    [anon_sym___stdcall] = ACTIONS(5847),
    [anon_sym___fastcall] = ACTIONS(5847),
    [anon_sym___thiscall] = ACTIONS(5847),
    [anon_sym___vectorcall] = ACTIONS(5847),
    [anon_sym_signed] = ACTIONS(5847),
    [anon_sym_unsigned] = ACTIONS(5847),
    [anon_sym_long] = ACTIONS(5847),
    [anon_sym_short] = ACTIONS(5847),
    [anon_sym_LBRACK] = ACTIONS(5847),
    [anon_sym_static] = ACTIONS(5847),
    [anon_sym_register] = ACTIONS(5847),
    [anon_sym_inline] = ACTIONS(5847),
    [anon_sym___inline] = ACTIONS(5847),
    [anon_sym___inline__] = ACTIONS(5847),
    [anon_sym___forceinline] = ACTIONS(5847),
    [anon_sym_thread_local] = ACTIONS(5847),
    [anon_sym___thread] = ACTIONS(5847),
    [anon_sym_const] = ACTIONS(5847),
    [anon_sym_constexpr] = ACTIONS(5847),
    [anon_sym_volatile] = ACTIONS(5847),
    [anon_sym_restrict] = ACTIONS(5847),
    [anon_sym___restrict__] = ACTIONS(5847),
    [anon_sym__Atomic] = ACTIONS(5847),
    [anon_sym__Noreturn] = ACTIONS(5847),
    [anon_sym_noreturn] = ACTIONS(5847),
    [anon_sym_mutable] = ACTIONS(5847),
    [anon_sym_constinit] = ACTIONS(5847),
    [anon_sym_consteval] = ACTIONS(5847),
    [sym_primitive_type] = ACTIONS(5847),
    [anon_sym_enum] = ACTIONS(5847),
    [anon_sym_class] = ACTIONS(5847),
    [anon_sym_struct] = ACTIONS(5847),
    [anon_sym_union] = ACTIONS(5847),
    [anon_sym_or] = ACTIONS(5853),
    [anon_sym_and] = ACTIONS(5838),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5847),
    [anon_sym_decltype] = ACTIONS(5847),
    [anon_sym_virtual] = ACTIONS(5847),
    [anon_sym_alignas] = ACTIONS(5847),
    [anon_sym_explicit] = ACTIONS(5847),
    [anon_sym_typename] = ACTIONS(5847),
    [anon_sym_template] = ACTIONS(5847),
    [anon_sym_operator] = ACTIONS(5847),
    [anon_sym_friend] = ACTIONS(5847),
    [anon_sym_using] = ACTIONS(5847),
    [anon_sym_concept] = ACTIONS(5847),
    [anon_sym_precise] = ACTIONS(5847),
    [anon_sym_shared] = ACTIONS(5847),
    [anon_sym_groupshared] = ACTIONS(5847),
    [anon_sym_uniform] = ACTIONS(5847),
    [anon_sym_row_major] = ACTIONS(5847),
    [anon_sym_column_major] = ACTIONS(5847),
    [anon_sym_globallycoherent] = ACTIONS(5847),
    [anon_sym_centroid] = ACTIONS(5847),
    [anon_sym_noperspective] = ACTIONS(5847),
    [anon_sym_nointerpolation] = ACTIONS(5847),
    [anon_sym_sample] = ACTIONS(5847),
    [anon_sym_linear] = ACTIONS(5847),
    [anon_sym_snorm] = ACTIONS(5847),
    [anon_sym_unorm] = ACTIONS(5847),
    [anon_sym_point] = ACTIONS(5847),
    [anon_sym_line] = ACTIONS(5847),
    [anon_sym_triangleadj] = ACTIONS(5847),
    [anon_sym_lineadj] = ACTIONS(5847),
    [anon_sym_triangle] = ACTIONS(5847),
  },
  [3009] = {
    [sym_identifier] = ACTIONS(2264),
    [anon_sym_LPAREN2] = ACTIONS(2266),
    [anon_sym_TILDE] = ACTIONS(2266),
    [anon_sym_STAR] = ACTIONS(2266),
    [anon_sym_PIPE_PIPE] = ACTIONS(2266),
    [anon_sym_AMP_AMP] = ACTIONS(2266),
    [anon_sym_AMP] = ACTIONS(2264),
    [anon_sym___extension__] = ACTIONS(2264),
    [anon_sym_in] = ACTIONS(2264),
    [anon_sym_out] = ACTIONS(2264),
    [anon_sym_inout] = ACTIONS(2264),
    [anon_sym_extern] = ACTIONS(2264),
    [anon_sym___attribute__] = ACTIONS(2264),
    [anon_sym_COLON_COLON] = ACTIONS(2262),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2266),
    [anon_sym___declspec] = ACTIONS(2264),
    [anon_sym___based] = ACTIONS(2264),
    [anon_sym___cdecl] = ACTIONS(2264),
    [anon_sym___clrcall] = ACTIONS(2264),
    [anon_sym___stdcall] = ACTIONS(2264),
    [anon_sym___fastcall] = ACTIONS(2264),
    [anon_sym___thiscall] = ACTIONS(2264),
    [anon_sym___vectorcall] = ACTIONS(2264),
    [anon_sym_signed] = ACTIONS(2264),
    [anon_sym_unsigned] = ACTIONS(2264),
    [anon_sym_long] = ACTIONS(2264),
    [anon_sym_short] = ACTIONS(2264),
    [anon_sym_LBRACK] = ACTIONS(2264),
    [anon_sym_static] = ACTIONS(2264),
    [anon_sym_register] = ACTIONS(2264),
    [anon_sym_inline] = ACTIONS(2264),
    [anon_sym___inline] = ACTIONS(2264),
    [anon_sym___inline__] = ACTIONS(2264),
    [anon_sym___forceinline] = ACTIONS(2264),
    [anon_sym_thread_local] = ACTIONS(2264),
    [anon_sym___thread] = ACTIONS(2264),
    [anon_sym_const] = ACTIONS(2264),
    [anon_sym_constexpr] = ACTIONS(2264),
    [anon_sym_volatile] = ACTIONS(2264),
    [anon_sym_restrict] = ACTIONS(2264),
    [anon_sym___restrict__] = ACTIONS(2264),
    [anon_sym__Atomic] = ACTIONS(2264),
    [anon_sym__Noreturn] = ACTIONS(2264),
    [anon_sym_noreturn] = ACTIONS(2264),
    [anon_sym_mutable] = ACTIONS(2264),
    [anon_sym_constinit] = ACTIONS(2264),
    [anon_sym_consteval] = ACTIONS(2264),
    [sym_primitive_type] = ACTIONS(2264),
    [anon_sym_enum] = ACTIONS(2264),
    [anon_sym_class] = ACTIONS(2264),
    [anon_sym_struct] = ACTIONS(2264),
    [anon_sym_union] = ACTIONS(2264),
    [anon_sym_or] = ACTIONS(2264),
    [anon_sym_and] = ACTIONS(2264),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2264),
    [anon_sym_decltype] = ACTIONS(2264),
    [anon_sym_virtual] = ACTIONS(2264),
    [anon_sym_alignas] = ACTIONS(2264),
    [anon_sym_explicit] = ACTIONS(2264),
    [anon_sym_typename] = ACTIONS(2264),
    [anon_sym_template] = ACTIONS(2264),
    [anon_sym_operator] = ACTIONS(2264),
    [anon_sym_friend] = ACTIONS(2264),
    [anon_sym_using] = ACTIONS(2264),
    [anon_sym_concept] = ACTIONS(2264),
    [anon_sym_precise] = ACTIONS(2264),
    [anon_sym_shared] = ACTIONS(2264),
    [anon_sym_groupshared] = ACTIONS(2264),
    [anon_sym_uniform] = ACTIONS(2264),
    [anon_sym_row_major] = ACTIONS(2264),
    [anon_sym_column_major] = ACTIONS(2264),
    [anon_sym_globallycoherent] = ACTIONS(2264),
    [anon_sym_centroid] = ACTIONS(2264),
    [anon_sym_noperspective] = ACTIONS(2264),
    [anon_sym_nointerpolation] = ACTIONS(2264),
    [anon_sym_sample] = ACTIONS(2264),
    [anon_sym_linear] = ACTIONS(2264),
    [anon_sym_snorm] = ACTIONS(2264),
    [anon_sym_unorm] = ACTIONS(2264),
    [anon_sym_point] = ACTIONS(2264),
    [anon_sym_line] = ACTIONS(2264),
    [anon_sym_triangleadj] = ACTIONS(2264),
    [anon_sym_lineadj] = ACTIONS(2264),
    [anon_sym_triangle] = ACTIONS(2264),
  },
  [3010] = {
    [sym_identifier] = ACTIONS(2264),
    [anon_sym_LPAREN2] = ACTIONS(2266),
    [anon_sym_TILDE] = ACTIONS(2266),
    [anon_sym_STAR] = ACTIONS(2266),
    [anon_sym_PIPE_PIPE] = ACTIONS(2266),
    [anon_sym_AMP_AMP] = ACTIONS(2266),
    [anon_sym_AMP] = ACTIONS(2264),
    [anon_sym___extension__] = ACTIONS(2264),
    [anon_sym_in] = ACTIONS(2264),
    [anon_sym_out] = ACTIONS(2264),
    [anon_sym_inout] = ACTIONS(2264),
    [anon_sym_extern] = ACTIONS(2264),
    [anon_sym___attribute__] = ACTIONS(2264),
    [anon_sym_COLON_COLON] = ACTIONS(2262),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2266),
    [anon_sym___declspec] = ACTIONS(2264),
    [anon_sym___based] = ACTIONS(2264),
    [anon_sym___cdecl] = ACTIONS(2264),
    [anon_sym___clrcall] = ACTIONS(2264),
    [anon_sym___stdcall] = ACTIONS(2264),
    [anon_sym___fastcall] = ACTIONS(2264),
    [anon_sym___thiscall] = ACTIONS(2264),
    [anon_sym___vectorcall] = ACTIONS(2264),
    [anon_sym_signed] = ACTIONS(2264),
    [anon_sym_unsigned] = ACTIONS(2264),
    [anon_sym_long] = ACTIONS(2264),
    [anon_sym_short] = ACTIONS(2264),
    [anon_sym_LBRACK] = ACTIONS(2264),
    [anon_sym_static] = ACTIONS(2264),
    [anon_sym_register] = ACTIONS(2264),
    [anon_sym_inline] = ACTIONS(2264),
    [anon_sym___inline] = ACTIONS(2264),
    [anon_sym___inline__] = ACTIONS(2264),
    [anon_sym___forceinline] = ACTIONS(2264),
    [anon_sym_thread_local] = ACTIONS(2264),
    [anon_sym___thread] = ACTIONS(2264),
    [anon_sym_const] = ACTIONS(2264),
    [anon_sym_constexpr] = ACTIONS(2264),
    [anon_sym_volatile] = ACTIONS(2264),
    [anon_sym_restrict] = ACTIONS(2264),
    [anon_sym___restrict__] = ACTIONS(2264),
    [anon_sym__Atomic] = ACTIONS(2264),
    [anon_sym__Noreturn] = ACTIONS(2264),
    [anon_sym_noreturn] = ACTIONS(2264),
    [anon_sym_mutable] = ACTIONS(2264),
    [anon_sym_constinit] = ACTIONS(2264),
    [anon_sym_consteval] = ACTIONS(2264),
    [sym_primitive_type] = ACTIONS(2264),
    [anon_sym_enum] = ACTIONS(2264),
    [anon_sym_class] = ACTIONS(2264),
    [anon_sym_struct] = ACTIONS(2264),
    [anon_sym_union] = ACTIONS(2264),
    [anon_sym_or] = ACTIONS(2264),
    [anon_sym_and] = ACTIONS(2264),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2264),
    [anon_sym_decltype] = ACTIONS(2264),
    [anon_sym_virtual] = ACTIONS(2264),
    [anon_sym_alignas] = ACTIONS(2264),
    [anon_sym_explicit] = ACTIONS(2264),
    [anon_sym_typename] = ACTIONS(2264),
    [anon_sym_template] = ACTIONS(2264),
    [anon_sym_operator] = ACTIONS(2264),
    [anon_sym_friend] = ACTIONS(2264),
    [anon_sym_using] = ACTIONS(2264),
    [anon_sym_concept] = ACTIONS(2264),
    [anon_sym_precise] = ACTIONS(2264),
    [anon_sym_shared] = ACTIONS(2264),
    [anon_sym_groupshared] = ACTIONS(2264),
    [anon_sym_uniform] = ACTIONS(2264),
    [anon_sym_row_major] = ACTIONS(2264),
    [anon_sym_column_major] = ACTIONS(2264),
    [anon_sym_globallycoherent] = ACTIONS(2264),
    [anon_sym_centroid] = ACTIONS(2264),
    [anon_sym_noperspective] = ACTIONS(2264),
    [anon_sym_nointerpolation] = ACTIONS(2264),
    [anon_sym_sample] = ACTIONS(2264),
    [anon_sym_linear] = ACTIONS(2264),
    [anon_sym_snorm] = ACTIONS(2264),
    [anon_sym_unorm] = ACTIONS(2264),
    [anon_sym_point] = ACTIONS(2264),
    [anon_sym_line] = ACTIONS(2264),
    [anon_sym_triangleadj] = ACTIONS(2264),
    [anon_sym_lineadj] = ACTIONS(2264),
    [anon_sym_triangle] = ACTIONS(2264),
  },
  [3011] = {
    [sym_identifier] = ACTIONS(4168),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4170),
    [anon_sym_COMMA] = ACTIONS(4170),
    [anon_sym_RPAREN] = ACTIONS(4170),
    [anon_sym_LPAREN2] = ACTIONS(4170),
    [anon_sym_TILDE] = ACTIONS(4170),
    [anon_sym_STAR] = ACTIONS(4170),
    [anon_sym_AMP_AMP] = ACTIONS(4170),
    [anon_sym_AMP] = ACTIONS(4168),
    [anon_sym_COLON] = ACTIONS(4168),
    [anon_sym_SEMI] = ACTIONS(4170),
    [anon_sym___extension__] = ACTIONS(4168),
    [anon_sym_in] = ACTIONS(4168),
    [anon_sym_out] = ACTIONS(4168),
    [anon_sym_inout] = ACTIONS(4168),
    [anon_sym_extern] = ACTIONS(4168),
    [anon_sym___attribute__] = ACTIONS(4168),
    [anon_sym_COLON_COLON] = ACTIONS(4170),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4170),
    [anon_sym___declspec] = ACTIONS(4168),
    [anon_sym___based] = ACTIONS(4168),
    [anon_sym___cdecl] = ACTIONS(4168),
    [anon_sym___clrcall] = ACTIONS(4168),
    [anon_sym___stdcall] = ACTIONS(4168),
    [anon_sym___fastcall] = ACTIONS(4168),
    [anon_sym___thiscall] = ACTIONS(4168),
    [anon_sym___vectorcall] = ACTIONS(4168),
    [anon_sym_LBRACE] = ACTIONS(4170),
    [anon_sym_LBRACK] = ACTIONS(4168),
    [anon_sym_EQ] = ACTIONS(4170),
    [anon_sym_static] = ACTIONS(4168),
    [anon_sym_register] = ACTIONS(4168),
    [anon_sym_inline] = ACTIONS(4168),
    [anon_sym___inline] = ACTIONS(4168),
    [anon_sym___inline__] = ACTIONS(4168),
    [anon_sym___forceinline] = ACTIONS(4168),
    [anon_sym_thread_local] = ACTIONS(4168),
    [anon_sym___thread] = ACTIONS(4168),
    [anon_sym_const] = ACTIONS(4168),
    [anon_sym_constexpr] = ACTIONS(4168),
    [anon_sym_volatile] = ACTIONS(4168),
    [anon_sym_restrict] = ACTIONS(4168),
    [anon_sym___restrict__] = ACTIONS(4168),
    [anon_sym__Atomic] = ACTIONS(4168),
    [anon_sym__Noreturn] = ACTIONS(4168),
    [anon_sym_noreturn] = ACTIONS(4168),
    [anon_sym_mutable] = ACTIONS(4168),
    [anon_sym_constinit] = ACTIONS(4168),
    [anon_sym_consteval] = ACTIONS(4168),
    [anon_sym_DASH_GT] = ACTIONS(4170),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(4168),
    [anon_sym_final] = ACTIONS(4168),
    [anon_sym_override] = ACTIONS(4168),
    [anon_sym_virtual] = ACTIONS(4168),
    [anon_sym_alignas] = ACTIONS(4168),
    [anon_sym_explicit] = ACTIONS(4168),
    [anon_sym_template] = ACTIONS(4168),
    [anon_sym_GT2] = ACTIONS(4170),
    [anon_sym_operator] = ACTIONS(4168),
    [anon_sym_try] = ACTIONS(4168),
    [anon_sym_public] = ACTIONS(4168),
    [anon_sym_private] = ACTIONS(4168),
    [anon_sym_protected] = ACTIONS(4168),
    [anon_sym_requires] = ACTIONS(4168),
    [anon_sym_precise] = ACTIONS(4168),
    [anon_sym_shared] = ACTIONS(4168),
    [anon_sym_groupshared] = ACTIONS(4168),
    [anon_sym_uniform] = ACTIONS(4168),
    [anon_sym_row_major] = ACTIONS(4168),
    [anon_sym_column_major] = ACTIONS(4168),
    [anon_sym_globallycoherent] = ACTIONS(4168),
    [anon_sym_centroid] = ACTIONS(4168),
    [anon_sym_noperspective] = ACTIONS(4168),
    [anon_sym_nointerpolation] = ACTIONS(4168),
    [anon_sym_sample] = ACTIONS(4168),
    [anon_sym_linear] = ACTIONS(4168),
    [anon_sym_snorm] = ACTIONS(4168),
    [anon_sym_unorm] = ACTIONS(4168),
    [anon_sym_point] = ACTIONS(4168),
    [anon_sym_line] = ACTIONS(4168),
    [anon_sym_triangleadj] = ACTIONS(4168),
    [anon_sym_lineadj] = ACTIONS(4168),
    [anon_sym_triangle] = ACTIONS(4168),
  },
  [3012] = {
    [sym__declaration_modifiers] = STATE(3013),
    [sym_attribute_specifier] = STATE(3013),
    [sym_attribute_declaration] = STATE(3013),
    [sym_ms_declspec_modifier] = STATE(3013),
    [sym_storage_class_specifier] = STATE(3013),
    [sym_type_qualifier] = STATE(3013),
    [sym_virtual] = STATE(3013),
    [sym_alignas_specifier] = STATE(3013),
    [sym_qualifiers] = STATE(3013),
    [aux_sym__declaration_specifiers_repeat1] = STATE(3013),
    [sym_identifier] = ACTIONS(5855),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5857),
    [anon_sym_COMMA] = ACTIONS(5857),
    [anon_sym_RPAREN] = ACTIONS(5857),
    [anon_sym_LPAREN2] = ACTIONS(5857),
    [anon_sym_TILDE] = ACTIONS(5857),
    [anon_sym_STAR] = ACTIONS(5857),
    [anon_sym_AMP_AMP] = ACTIONS(5857),
    [anon_sym_AMP] = ACTIONS(5855),
    [anon_sym_COLON] = ACTIONS(5855),
    [anon_sym_SEMI] = ACTIONS(5857),
    [anon_sym___extension__] = ACTIONS(5575),
    [anon_sym_in] = ACTIONS(5859),
    [anon_sym_out] = ACTIONS(5859),
    [anon_sym_inout] = ACTIONS(5859),
    [anon_sym_extern] = ACTIONS(5579),
    [anon_sym___attribute__] = ACTIONS(5581),
    [anon_sym_COLON_COLON] = ACTIONS(5857),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5585),
    [anon_sym___declspec] = ACTIONS(5587),
    [anon_sym___based] = ACTIONS(5855),
    [anon_sym___cdecl] = ACTIONS(5855),
    [anon_sym___clrcall] = ACTIONS(5855),
    [anon_sym___stdcall] = ACTIONS(5855),
    [anon_sym___fastcall] = ACTIONS(5855),
    [anon_sym___thiscall] = ACTIONS(5855),
    [anon_sym___vectorcall] = ACTIONS(5855),
    [anon_sym_LBRACK] = ACTIONS(5855),
    [anon_sym_EQ] = ACTIONS(5857),
    [anon_sym_static] = ACTIONS(5579),
    [anon_sym_register] = ACTIONS(5579),
    [anon_sym_inline] = ACTIONS(5579),
    [anon_sym___inline] = ACTIONS(5579),
    [anon_sym___inline__] = ACTIONS(5579),
    [anon_sym___forceinline] = ACTIONS(5579),
    [anon_sym_thread_local] = ACTIONS(5579),
    [anon_sym___thread] = ACTIONS(5579),
    [anon_sym_const] = ACTIONS(5575),
    [anon_sym_constexpr] = ACTIONS(5575),
    [anon_sym_volatile] = ACTIONS(5575),
    [anon_sym_restrict] = ACTIONS(5575),
    [anon_sym___restrict__] = ACTIONS(5575),
    [anon_sym__Atomic] = ACTIONS(5575),
    [anon_sym__Noreturn] = ACTIONS(5575),
    [anon_sym_noreturn] = ACTIONS(5575),
    [anon_sym_mutable] = ACTIONS(5575),
    [anon_sym_constinit] = ACTIONS(5575),
    [anon_sym_consteval] = ACTIONS(5575),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(5855),
    [anon_sym_virtual] = ACTIONS(5589),
    [anon_sym_alignas] = ACTIONS(5591),
    [anon_sym_template] = ACTIONS(5855),
    [anon_sym_GT2] = ACTIONS(5857),
    [anon_sym_operator] = ACTIONS(5855),
    [anon_sym_precise] = ACTIONS(5593),
    [anon_sym_shared] = ACTIONS(5593),
    [anon_sym_groupshared] = ACTIONS(5593),
    [anon_sym_uniform] = ACTIONS(5593),
    [anon_sym_row_major] = ACTIONS(5593),
    [anon_sym_column_major] = ACTIONS(5593),
    [anon_sym_globallycoherent] = ACTIONS(5593),
    [anon_sym_centroid] = ACTIONS(5593),
    [anon_sym_noperspective] = ACTIONS(5593),
    [anon_sym_nointerpolation] = ACTIONS(5593),
    [anon_sym_sample] = ACTIONS(5593),
    [anon_sym_linear] = ACTIONS(5593),
    [anon_sym_snorm] = ACTIONS(5593),
    [anon_sym_unorm] = ACTIONS(5593),
    [anon_sym_point] = ACTIONS(5593),
    [anon_sym_line] = ACTIONS(5593),
    [anon_sym_triangleadj] = ACTIONS(5593),
    [anon_sym_lineadj] = ACTIONS(5593),
    [anon_sym_triangle] = ACTIONS(5593),
  },
  [3013] = {
    [sym__declaration_modifiers] = STATE(3013),
    [sym_attribute_specifier] = STATE(3013),
    [sym_attribute_declaration] = STATE(3013),
    [sym_ms_declspec_modifier] = STATE(3013),
    [sym_storage_class_specifier] = STATE(3013),
    [sym_type_qualifier] = STATE(3013),
    [sym_virtual] = STATE(3013),
    [sym_alignas_specifier] = STATE(3013),
    [sym_qualifiers] = STATE(3013),
    [aux_sym__declaration_specifiers_repeat1] = STATE(3013),
    [sym_identifier] = ACTIONS(5861),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5863),
    [anon_sym_COMMA] = ACTIONS(5863),
    [anon_sym_RPAREN] = ACTIONS(5863),
    [anon_sym_LPAREN2] = ACTIONS(5863),
    [anon_sym_TILDE] = ACTIONS(5863),
    [anon_sym_STAR] = ACTIONS(5863),
    [anon_sym_AMP_AMP] = ACTIONS(5863),
    [anon_sym_AMP] = ACTIONS(5861),
    [anon_sym_COLON] = ACTIONS(5861),
    [anon_sym_SEMI] = ACTIONS(5863),
    [anon_sym___extension__] = ACTIONS(5865),
    [anon_sym_in] = ACTIONS(5868),
    [anon_sym_out] = ACTIONS(5868),
    [anon_sym_inout] = ACTIONS(5868),
    [anon_sym_extern] = ACTIONS(5871),
    [anon_sym___attribute__] = ACTIONS(5874),
    [anon_sym_COLON_COLON] = ACTIONS(5863),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5877),
    [anon_sym___declspec] = ACTIONS(5880),
    [anon_sym___based] = ACTIONS(5861),
    [anon_sym___cdecl] = ACTIONS(5861),
    [anon_sym___clrcall] = ACTIONS(5861),
    [anon_sym___stdcall] = ACTIONS(5861),
    [anon_sym___fastcall] = ACTIONS(5861),
    [anon_sym___thiscall] = ACTIONS(5861),
    [anon_sym___vectorcall] = ACTIONS(5861),
    [anon_sym_LBRACK] = ACTIONS(5861),
    [anon_sym_EQ] = ACTIONS(5863),
    [anon_sym_static] = ACTIONS(5871),
    [anon_sym_register] = ACTIONS(5871),
    [anon_sym_inline] = ACTIONS(5871),
    [anon_sym___inline] = ACTIONS(5871),
    [anon_sym___inline__] = ACTIONS(5871),
    [anon_sym___forceinline] = ACTIONS(5871),
    [anon_sym_thread_local] = ACTIONS(5871),
    [anon_sym___thread] = ACTIONS(5871),
    [anon_sym_const] = ACTIONS(5865),
    [anon_sym_constexpr] = ACTIONS(5865),
    [anon_sym_volatile] = ACTIONS(5865),
    [anon_sym_restrict] = ACTIONS(5865),
    [anon_sym___restrict__] = ACTIONS(5865),
    [anon_sym__Atomic] = ACTIONS(5865),
    [anon_sym__Noreturn] = ACTIONS(5865),
    [anon_sym_noreturn] = ACTIONS(5865),
    [anon_sym_mutable] = ACTIONS(5865),
    [anon_sym_constinit] = ACTIONS(5865),
    [anon_sym_consteval] = ACTIONS(5865),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(5861),
    [anon_sym_virtual] = ACTIONS(5883),
    [anon_sym_alignas] = ACTIONS(5886),
    [anon_sym_template] = ACTIONS(5861),
    [anon_sym_GT2] = ACTIONS(5863),
    [anon_sym_operator] = ACTIONS(5861),
    [anon_sym_precise] = ACTIONS(5889),
    [anon_sym_shared] = ACTIONS(5889),
    [anon_sym_groupshared] = ACTIONS(5889),
    [anon_sym_uniform] = ACTIONS(5889),
    [anon_sym_row_major] = ACTIONS(5889),
    [anon_sym_column_major] = ACTIONS(5889),
    [anon_sym_globallycoherent] = ACTIONS(5889),
    [anon_sym_centroid] = ACTIONS(5889),
    [anon_sym_noperspective] = ACTIONS(5889),
    [anon_sym_nointerpolation] = ACTIONS(5889),
    [anon_sym_sample] = ACTIONS(5889),
    [anon_sym_linear] = ACTIONS(5889),
    [anon_sym_snorm] = ACTIONS(5889),
    [anon_sym_unorm] = ACTIONS(5889),
    [anon_sym_point] = ACTIONS(5889),
    [anon_sym_line] = ACTIONS(5889),
    [anon_sym_triangleadj] = ACTIONS(5889),
    [anon_sym_lineadj] = ACTIONS(5889),
    [anon_sym_triangle] = ACTIONS(5889),
  },
  [3014] = {
    [sym__declaration_modifiers] = STATE(3013),
    [sym_attribute_specifier] = STATE(3013),
    [sym_attribute_declaration] = STATE(3013),
    [sym_ms_declspec_modifier] = STATE(3013),
    [sym_storage_class_specifier] = STATE(3013),
    [sym_type_qualifier] = STATE(3013),
    [sym_virtual] = STATE(3013),
    [sym_alignas_specifier] = STATE(3013),
    [sym_qualifiers] = STATE(3013),
    [aux_sym__declaration_specifiers_repeat1] = STATE(3013),
    [sym_identifier] = ACTIONS(5892),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5894),
    [anon_sym_COMMA] = ACTIONS(5894),
    [anon_sym_RPAREN] = ACTIONS(5894),
    [anon_sym_LPAREN2] = ACTIONS(5894),
    [anon_sym_TILDE] = ACTIONS(5894),
    [anon_sym_STAR] = ACTIONS(5894),
    [anon_sym_AMP_AMP] = ACTIONS(5894),
    [anon_sym_AMP] = ACTIONS(5892),
    [anon_sym_COLON] = ACTIONS(5892),
    [anon_sym_SEMI] = ACTIONS(5894),
    [anon_sym___extension__] = ACTIONS(5575),
    [anon_sym_in] = ACTIONS(5859),
    [anon_sym_out] = ACTIONS(5859),
    [anon_sym_inout] = ACTIONS(5859),
    [anon_sym_extern] = ACTIONS(5579),
    [anon_sym___attribute__] = ACTIONS(5581),
    [anon_sym_COLON_COLON] = ACTIONS(5894),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5585),
    [anon_sym___declspec] = ACTIONS(5587),
    [anon_sym___based] = ACTIONS(5892),
    [anon_sym___cdecl] = ACTIONS(5892),
    [anon_sym___clrcall] = ACTIONS(5892),
    [anon_sym___stdcall] = ACTIONS(5892),
    [anon_sym___fastcall] = ACTIONS(5892),
    [anon_sym___thiscall] = ACTIONS(5892),
    [anon_sym___vectorcall] = ACTIONS(5892),
    [anon_sym_LBRACK] = ACTIONS(5892),
    [anon_sym_EQ] = ACTIONS(5894),
    [anon_sym_static] = ACTIONS(5579),
    [anon_sym_register] = ACTIONS(5579),
    [anon_sym_inline] = ACTIONS(5579),
    [anon_sym___inline] = ACTIONS(5579),
    [anon_sym___inline__] = ACTIONS(5579),
    [anon_sym___forceinline] = ACTIONS(5579),
    [anon_sym_thread_local] = ACTIONS(5579),
    [anon_sym___thread] = ACTIONS(5579),
    [anon_sym_const] = ACTIONS(5575),
    [anon_sym_constexpr] = ACTIONS(5575),
    [anon_sym_volatile] = ACTIONS(5575),
    [anon_sym_restrict] = ACTIONS(5575),
    [anon_sym___restrict__] = ACTIONS(5575),
    [anon_sym__Atomic] = ACTIONS(5575),
    [anon_sym__Noreturn] = ACTIONS(5575),
    [anon_sym_noreturn] = ACTIONS(5575),
    [anon_sym_mutable] = ACTIONS(5575),
    [anon_sym_constinit] = ACTIONS(5575),
    [anon_sym_consteval] = ACTIONS(5575),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(5892),
    [anon_sym_virtual] = ACTIONS(5589),
    [anon_sym_alignas] = ACTIONS(5591),
    [anon_sym_template] = ACTIONS(5892),
    [anon_sym_GT2] = ACTIONS(5894),
    [anon_sym_operator] = ACTIONS(5892),
    [anon_sym_precise] = ACTIONS(5593),
    [anon_sym_shared] = ACTIONS(5593),
    [anon_sym_groupshared] = ACTIONS(5593),
    [anon_sym_uniform] = ACTIONS(5593),
    [anon_sym_row_major] = ACTIONS(5593),
    [anon_sym_column_major] = ACTIONS(5593),
    [anon_sym_globallycoherent] = ACTIONS(5593),
    [anon_sym_centroid] = ACTIONS(5593),
    [anon_sym_noperspective] = ACTIONS(5593),
    [anon_sym_nointerpolation] = ACTIONS(5593),
    [anon_sym_sample] = ACTIONS(5593),
    [anon_sym_linear] = ACTIONS(5593),
    [anon_sym_snorm] = ACTIONS(5593),
    [anon_sym_unorm] = ACTIONS(5593),
    [anon_sym_point] = ACTIONS(5593),
    [anon_sym_line] = ACTIONS(5593),
    [anon_sym_triangleadj] = ACTIONS(5593),
    [anon_sym_lineadj] = ACTIONS(5593),
    [anon_sym_triangle] = ACTIONS(5593),
  },
  [3015] = {
    [sym_identifier] = ACTIONS(4172),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4174),
    [anon_sym_COMMA] = ACTIONS(4174),
    [anon_sym_RPAREN] = ACTIONS(4174),
    [anon_sym_LPAREN2] = ACTIONS(4174),
    [anon_sym_TILDE] = ACTIONS(4174),
    [anon_sym_STAR] = ACTIONS(4174),
    [anon_sym_AMP_AMP] = ACTIONS(4174),
    [anon_sym_AMP] = ACTIONS(4172),
    [anon_sym_COLON] = ACTIONS(4172),
    [anon_sym_SEMI] = ACTIONS(4174),
    [anon_sym___extension__] = ACTIONS(4172),
    [anon_sym_in] = ACTIONS(4172),
    [anon_sym_out] = ACTIONS(4172),
    [anon_sym_inout] = ACTIONS(4172),
    [anon_sym_extern] = ACTIONS(4172),
    [anon_sym___attribute__] = ACTIONS(4172),
    [anon_sym_COLON_COLON] = ACTIONS(4174),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4174),
    [anon_sym___declspec] = ACTIONS(4172),
    [anon_sym___based] = ACTIONS(4172),
    [anon_sym___cdecl] = ACTIONS(4172),
    [anon_sym___clrcall] = ACTIONS(4172),
    [anon_sym___stdcall] = ACTIONS(4172),
    [anon_sym___fastcall] = ACTIONS(4172),
    [anon_sym___thiscall] = ACTIONS(4172),
    [anon_sym___vectorcall] = ACTIONS(4172),
    [anon_sym_LBRACE] = ACTIONS(4174),
    [anon_sym_LBRACK] = ACTIONS(4172),
    [anon_sym_EQ] = ACTIONS(4174),
    [anon_sym_static] = ACTIONS(4172),
    [anon_sym_register] = ACTIONS(4172),
    [anon_sym_inline] = ACTIONS(4172),
    [anon_sym___inline] = ACTIONS(4172),
    [anon_sym___inline__] = ACTIONS(4172),
    [anon_sym___forceinline] = ACTIONS(4172),
    [anon_sym_thread_local] = ACTIONS(4172),
    [anon_sym___thread] = ACTIONS(4172),
    [anon_sym_const] = ACTIONS(4172),
    [anon_sym_constexpr] = ACTIONS(4172),
    [anon_sym_volatile] = ACTIONS(4172),
    [anon_sym_restrict] = ACTIONS(4172),
    [anon_sym___restrict__] = ACTIONS(4172),
    [anon_sym__Atomic] = ACTIONS(4172),
    [anon_sym__Noreturn] = ACTIONS(4172),
    [anon_sym_noreturn] = ACTIONS(4172),
    [anon_sym_mutable] = ACTIONS(4172),
    [anon_sym_constinit] = ACTIONS(4172),
    [anon_sym_consteval] = ACTIONS(4172),
    [anon_sym_DASH_GT] = ACTIONS(4174),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(4172),
    [anon_sym_final] = ACTIONS(4172),
    [anon_sym_override] = ACTIONS(4172),
    [anon_sym_virtual] = ACTIONS(4172),
    [anon_sym_alignas] = ACTIONS(4172),
    [anon_sym_explicit] = ACTIONS(4172),
    [anon_sym_template] = ACTIONS(4172),
    [anon_sym_GT2] = ACTIONS(4174),
    [anon_sym_operator] = ACTIONS(4172),
    [anon_sym_try] = ACTIONS(4172),
    [anon_sym_public] = ACTIONS(4172),
    [anon_sym_private] = ACTIONS(4172),
    [anon_sym_protected] = ACTIONS(4172),
    [anon_sym_requires] = ACTIONS(4172),
    [anon_sym_precise] = ACTIONS(4172),
    [anon_sym_shared] = ACTIONS(4172),
    [anon_sym_groupshared] = ACTIONS(4172),
    [anon_sym_uniform] = ACTIONS(4172),
    [anon_sym_row_major] = ACTIONS(4172),
    [anon_sym_column_major] = ACTIONS(4172),
    [anon_sym_globallycoherent] = ACTIONS(4172),
    [anon_sym_centroid] = ACTIONS(4172),
    [anon_sym_noperspective] = ACTIONS(4172),
    [anon_sym_nointerpolation] = ACTIONS(4172),
    [anon_sym_sample] = ACTIONS(4172),
    [anon_sym_linear] = ACTIONS(4172),
    [anon_sym_snorm] = ACTIONS(4172),
    [anon_sym_unorm] = ACTIONS(4172),
    [anon_sym_point] = ACTIONS(4172),
    [anon_sym_line] = ACTIONS(4172),
    [anon_sym_triangleadj] = ACTIONS(4172),
    [anon_sym_lineadj] = ACTIONS(4172),
    [anon_sym_triangle] = ACTIONS(4172),
  },
  [3016] = {
    [sym_template_argument_list] = STATE(3203),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3027),
    [sym_identifier] = ACTIONS(5896),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5898),
    [anon_sym_COMMA] = ACTIONS(5898),
    [anon_sym_RPAREN] = ACTIONS(5898),
    [anon_sym_LPAREN2] = ACTIONS(5898),
    [anon_sym_TILDE] = ACTIONS(5898),
    [anon_sym_STAR] = ACTIONS(5898),
    [anon_sym_AMP_AMP] = ACTIONS(5898),
    [anon_sym_AMP] = ACTIONS(5896),
    [anon_sym_LT] = ACTIONS(5900),
    [anon_sym_COLON] = ACTIONS(5896),
    [anon_sym_SEMI] = ACTIONS(5898),
    [anon_sym___extension__] = ACTIONS(5896),
    [anon_sym_in] = ACTIONS(5896),
    [anon_sym_out] = ACTIONS(5896),
    [anon_sym_inout] = ACTIONS(5896),
    [anon_sym_extern] = ACTIONS(5896),
    [anon_sym___attribute__] = ACTIONS(5896),
    [anon_sym_COLON_COLON] = ACTIONS(2230),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5898),
    [anon_sym___declspec] = ACTIONS(5896),
    [anon_sym___based] = ACTIONS(5896),
    [anon_sym___cdecl] = ACTIONS(5896),
    [anon_sym___clrcall] = ACTIONS(5896),
    [anon_sym___stdcall] = ACTIONS(5896),
    [anon_sym___fastcall] = ACTIONS(5896),
    [anon_sym___thiscall] = ACTIONS(5896),
    [anon_sym___vectorcall] = ACTIONS(5896),
    [anon_sym_LBRACE] = ACTIONS(5898),
    [anon_sym_signed] = ACTIONS(4237),
    [anon_sym_unsigned] = ACTIONS(4237),
    [anon_sym_long] = ACTIONS(4237),
    [anon_sym_short] = ACTIONS(4237),
    [anon_sym_LBRACK] = ACTIONS(5896),
    [anon_sym_EQ] = ACTIONS(5898),
    [anon_sym_static] = ACTIONS(5896),
    [anon_sym_register] = ACTIONS(5896),
    [anon_sym_inline] = ACTIONS(5896),
    [anon_sym___inline] = ACTIONS(5896),
    [anon_sym___inline__] = ACTIONS(5896),
    [anon_sym___forceinline] = ACTIONS(5896),
    [anon_sym_thread_local] = ACTIONS(5896),
    [anon_sym___thread] = ACTIONS(5896),
    [anon_sym_const] = ACTIONS(5896),
    [anon_sym_constexpr] = ACTIONS(5896),
    [anon_sym_volatile] = ACTIONS(5896),
    [anon_sym_restrict] = ACTIONS(5896),
    [anon_sym___restrict__] = ACTIONS(5896),
    [anon_sym__Atomic] = ACTIONS(5896),
    [anon_sym__Noreturn] = ACTIONS(5896),
    [anon_sym_noreturn] = ACTIONS(5896),
    [anon_sym_mutable] = ACTIONS(5896),
    [anon_sym_constinit] = ACTIONS(5896),
    [anon_sym_consteval] = ACTIONS(5896),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5896),
    [anon_sym_decltype] = ACTIONS(5896),
    [anon_sym_virtual] = ACTIONS(5896),
    [anon_sym_alignas] = ACTIONS(5896),
    [anon_sym_template] = ACTIONS(5896),
    [anon_sym_GT2] = ACTIONS(5898),
    [anon_sym_operator] = ACTIONS(5896),
    [anon_sym_precise] = ACTIONS(5896),
    [anon_sym_shared] = ACTIONS(5896),
    [anon_sym_groupshared] = ACTIONS(5896),
    [anon_sym_uniform] = ACTIONS(5896),
    [anon_sym_row_major] = ACTIONS(5896),
    [anon_sym_column_major] = ACTIONS(5896),
    [anon_sym_globallycoherent] = ACTIONS(5896),
    [anon_sym_centroid] = ACTIONS(5896),
    [anon_sym_noperspective] = ACTIONS(5896),
    [anon_sym_nointerpolation] = ACTIONS(5896),
    [anon_sym_sample] = ACTIONS(5896),
    [anon_sym_linear] = ACTIONS(5896),
    [anon_sym_snorm] = ACTIONS(5896),
    [anon_sym_unorm] = ACTIONS(5896),
    [anon_sym_point] = ACTIONS(5896),
    [anon_sym_line] = ACTIONS(5896),
    [anon_sym_triangleadj] = ACTIONS(5896),
    [anon_sym_lineadj] = ACTIONS(5896),
    [anon_sym_triangle] = ACTIONS(5896),
  },
  [3017] = {
    [sym_identifier] = ACTIONS(2254),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2256),
    [anon_sym_COMMA] = ACTIONS(2256),
    [anon_sym_RPAREN] = ACTIONS(2256),
    [anon_sym_LPAREN2] = ACTIONS(2256),
    [anon_sym_TILDE] = ACTIONS(2256),
    [anon_sym_STAR] = ACTIONS(2256),
    [anon_sym_PIPE_PIPE] = ACTIONS(2256),
    [anon_sym_AMP_AMP] = ACTIONS(2256),
    [anon_sym_AMP] = ACTIONS(2254),
    [anon_sym_COLON] = ACTIONS(2254),
    [anon_sym_SEMI] = ACTIONS(2256),
    [anon_sym___extension__] = ACTIONS(2254),
    [anon_sym_in] = ACTIONS(2254),
    [anon_sym_out] = ACTIONS(2254),
    [anon_sym_inout] = ACTIONS(2254),
    [anon_sym_extern] = ACTIONS(2254),
    [anon_sym___attribute__] = ACTIONS(2254),
    [anon_sym_COLON_COLON] = ACTIONS(2256),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2256),
    [anon_sym___declspec] = ACTIONS(2254),
    [anon_sym___based] = ACTIONS(2254),
    [anon_sym___cdecl] = ACTIONS(2254),
    [anon_sym___clrcall] = ACTIONS(2254),
    [anon_sym___stdcall] = ACTIONS(2254),
    [anon_sym___fastcall] = ACTIONS(2254),
    [anon_sym___thiscall] = ACTIONS(2254),
    [anon_sym___vectorcall] = ACTIONS(2254),
    [anon_sym_LBRACE] = ACTIONS(2256),
    [anon_sym_LBRACK] = ACTIONS(2254),
    [anon_sym_EQ] = ACTIONS(2256),
    [anon_sym_static] = ACTIONS(2254),
    [anon_sym_register] = ACTIONS(2254),
    [anon_sym_inline] = ACTIONS(2254),
    [anon_sym___inline] = ACTIONS(2254),
    [anon_sym___inline__] = ACTIONS(2254),
    [anon_sym___forceinline] = ACTIONS(2254),
    [anon_sym_thread_local] = ACTIONS(2254),
    [anon_sym___thread] = ACTIONS(2254),
    [anon_sym_const] = ACTIONS(2254),
    [anon_sym_constexpr] = ACTIONS(2254),
    [anon_sym_volatile] = ACTIONS(2254),
    [anon_sym_restrict] = ACTIONS(2254),
    [anon_sym___restrict__] = ACTIONS(2254),
    [anon_sym__Atomic] = ACTIONS(2254),
    [anon_sym__Noreturn] = ACTIONS(2254),
    [anon_sym_noreturn] = ACTIONS(2254),
    [anon_sym_mutable] = ACTIONS(2254),
    [anon_sym_constinit] = ACTIONS(2254),
    [anon_sym_consteval] = ACTIONS(2254),
    [anon_sym_or] = ACTIONS(2254),
    [anon_sym_and] = ACTIONS(2254),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2254),
    [anon_sym_decltype] = ACTIONS(2254),
    [anon_sym_final] = ACTIONS(2254),
    [anon_sym_override] = ACTIONS(2254),
    [anon_sym_virtual] = ACTIONS(2254),
    [anon_sym_alignas] = ACTIONS(2254),
    [anon_sym_template] = ACTIONS(2254),
    [anon_sym_GT2] = ACTIONS(2256),
    [anon_sym_operator] = ACTIONS(2254),
    [anon_sym_try] = ACTIONS(2254),
    [anon_sym_requires] = ACTIONS(2254),
    [anon_sym_precise] = ACTIONS(2254),
    [anon_sym_shared] = ACTIONS(2254),
    [anon_sym_groupshared] = ACTIONS(2254),
    [anon_sym_uniform] = ACTIONS(2254),
    [anon_sym_row_major] = ACTIONS(2254),
    [anon_sym_column_major] = ACTIONS(2254),
    [anon_sym_globallycoherent] = ACTIONS(2254),
    [anon_sym_centroid] = ACTIONS(2254),
    [anon_sym_noperspective] = ACTIONS(2254),
    [anon_sym_nointerpolation] = ACTIONS(2254),
    [anon_sym_sample] = ACTIONS(2254),
    [anon_sym_linear] = ACTIONS(2254),
    [anon_sym_snorm] = ACTIONS(2254),
    [anon_sym_unorm] = ACTIONS(2254),
    [anon_sym_point] = ACTIONS(2254),
    [anon_sym_line] = ACTIONS(2254),
    [anon_sym_triangleadj] = ACTIONS(2254),
    [anon_sym_lineadj] = ACTIONS(2254),
    [anon_sym_triangle] = ACTIONS(2254),
  },
  [3018] = {
    [sym_identifier] = ACTIONS(5902),
    [anon_sym_LPAREN2] = ACTIONS(5904),
    [anon_sym_TILDE] = ACTIONS(5904),
    [anon_sym_STAR] = ACTIONS(5904),
    [anon_sym_AMP_AMP] = ACTIONS(5904),
    [anon_sym_AMP] = ACTIONS(5902),
    [anon_sym___extension__] = ACTIONS(5902),
    [anon_sym_in] = ACTIONS(5902),
    [anon_sym_out] = ACTIONS(5902),
    [anon_sym_inout] = ACTIONS(5902),
    [anon_sym_extern] = ACTIONS(5902),
    [anon_sym___attribute__] = ACTIONS(5902),
    [anon_sym_COLON_COLON] = ACTIONS(5904),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5904),
    [anon_sym___declspec] = ACTIONS(5902),
    [anon_sym___based] = ACTIONS(5902),
    [anon_sym___cdecl] = ACTIONS(5902),
    [anon_sym___clrcall] = ACTIONS(5902),
    [anon_sym___stdcall] = ACTIONS(5902),
    [anon_sym___fastcall] = ACTIONS(5902),
    [anon_sym___thiscall] = ACTIONS(5902),
    [anon_sym___vectorcall] = ACTIONS(5902),
    [anon_sym_signed] = ACTIONS(5902),
    [anon_sym_unsigned] = ACTIONS(5902),
    [anon_sym_long] = ACTIONS(5902),
    [anon_sym_short] = ACTIONS(5902),
    [anon_sym_LBRACK] = ACTIONS(5902),
    [anon_sym_static] = ACTIONS(5902),
    [anon_sym_register] = ACTIONS(5902),
    [anon_sym_inline] = ACTIONS(5902),
    [anon_sym___inline] = ACTIONS(5902),
    [anon_sym___inline__] = ACTIONS(5902),
    [anon_sym___forceinline] = ACTIONS(5902),
    [anon_sym_thread_local] = ACTIONS(5902),
    [anon_sym___thread] = ACTIONS(5902),
    [anon_sym_const] = ACTIONS(5902),
    [anon_sym_constexpr] = ACTIONS(5902),
    [anon_sym_volatile] = ACTIONS(5902),
    [anon_sym_restrict] = ACTIONS(5902),
    [anon_sym___restrict__] = ACTIONS(5902),
    [anon_sym__Atomic] = ACTIONS(5902),
    [anon_sym__Noreturn] = ACTIONS(5902),
    [anon_sym_noreturn] = ACTIONS(5902),
    [anon_sym_mutable] = ACTIONS(5902),
    [anon_sym_constinit] = ACTIONS(5902),
    [anon_sym_consteval] = ACTIONS(5902),
    [sym_primitive_type] = ACTIONS(5902),
    [anon_sym_enum] = ACTIONS(5902),
    [anon_sym_class] = ACTIONS(5902),
    [anon_sym_struct] = ACTIONS(5902),
    [anon_sym_union] = ACTIONS(5902),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5902),
    [anon_sym_decltype] = ACTIONS(5902),
    [anon_sym_virtual] = ACTIONS(5902),
    [anon_sym_alignas] = ACTIONS(5902),
    [anon_sym_explicit] = ACTIONS(5902),
    [anon_sym_typename] = ACTIONS(5902),
    [anon_sym_template] = ACTIONS(5902),
    [anon_sym_operator] = ACTIONS(5902),
    [anon_sym_friend] = ACTIONS(5902),
    [anon_sym_using] = ACTIONS(5902),
    [anon_sym_concept] = ACTIONS(5902),
    [anon_sym_requires] = ACTIONS(5902),
    [anon_sym_precise] = ACTIONS(5902),
    [anon_sym_shared] = ACTIONS(5902),
    [anon_sym_groupshared] = ACTIONS(5902),
    [anon_sym_uniform] = ACTIONS(5902),
    [anon_sym_row_major] = ACTIONS(5902),
    [anon_sym_column_major] = ACTIONS(5902),
    [anon_sym_globallycoherent] = ACTIONS(5902),
    [anon_sym_centroid] = ACTIONS(5902),
    [anon_sym_noperspective] = ACTIONS(5902),
    [anon_sym_nointerpolation] = ACTIONS(5902),
    [anon_sym_sample] = ACTIONS(5902),
    [anon_sym_linear] = ACTIONS(5902),
    [anon_sym_snorm] = ACTIONS(5902),
    [anon_sym_unorm] = ACTIONS(5902),
    [anon_sym_point] = ACTIONS(5902),
    [anon_sym_line] = ACTIONS(5902),
    [anon_sym_triangleadj] = ACTIONS(5902),
    [anon_sym_lineadj] = ACTIONS(5902),
    [anon_sym_triangle] = ACTIONS(5902),
  },
  [3019] = {
    [sym_identifier] = ACTIONS(5906),
    [anon_sym_LPAREN2] = ACTIONS(5908),
    [anon_sym_TILDE] = ACTIONS(5908),
    [anon_sym_STAR] = ACTIONS(5908),
    [anon_sym_AMP_AMP] = ACTIONS(5908),
    [anon_sym_AMP] = ACTIONS(5906),
    [anon_sym___extension__] = ACTIONS(5906),
    [anon_sym_in] = ACTIONS(5906),
    [anon_sym_out] = ACTIONS(5906),
    [anon_sym_inout] = ACTIONS(5906),
    [anon_sym_extern] = ACTIONS(5906),
    [anon_sym___attribute__] = ACTIONS(5906),
    [anon_sym_COLON_COLON] = ACTIONS(5908),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5908),
    [anon_sym___declspec] = ACTIONS(5906),
    [anon_sym___based] = ACTIONS(5906),
    [anon_sym___cdecl] = ACTIONS(5906),
    [anon_sym___clrcall] = ACTIONS(5906),
    [anon_sym___stdcall] = ACTIONS(5906),
    [anon_sym___fastcall] = ACTIONS(5906),
    [anon_sym___thiscall] = ACTIONS(5906),
    [anon_sym___vectorcall] = ACTIONS(5906),
    [anon_sym_signed] = ACTIONS(5906),
    [anon_sym_unsigned] = ACTIONS(5906),
    [anon_sym_long] = ACTIONS(5906),
    [anon_sym_short] = ACTIONS(5906),
    [anon_sym_LBRACK] = ACTIONS(5906),
    [anon_sym_static] = ACTIONS(5906),
    [anon_sym_register] = ACTIONS(5906),
    [anon_sym_inline] = ACTIONS(5906),
    [anon_sym___inline] = ACTIONS(5906),
    [anon_sym___inline__] = ACTIONS(5906),
    [anon_sym___forceinline] = ACTIONS(5906),
    [anon_sym_thread_local] = ACTIONS(5906),
    [anon_sym___thread] = ACTIONS(5906),
    [anon_sym_const] = ACTIONS(5906),
    [anon_sym_constexpr] = ACTIONS(5906),
    [anon_sym_volatile] = ACTIONS(5906),
    [anon_sym_restrict] = ACTIONS(5906),
    [anon_sym___restrict__] = ACTIONS(5906),
    [anon_sym__Atomic] = ACTIONS(5906),
    [anon_sym__Noreturn] = ACTIONS(5906),
    [anon_sym_noreturn] = ACTIONS(5906),
    [anon_sym_mutable] = ACTIONS(5906),
    [anon_sym_constinit] = ACTIONS(5906),
    [anon_sym_consteval] = ACTIONS(5906),
    [sym_primitive_type] = ACTIONS(5906),
    [anon_sym_enum] = ACTIONS(5906),
    [anon_sym_class] = ACTIONS(5906),
    [anon_sym_struct] = ACTIONS(5906),
    [anon_sym_union] = ACTIONS(5906),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5906),
    [anon_sym_decltype] = ACTIONS(5906),
    [anon_sym_virtual] = ACTIONS(5906),
    [anon_sym_alignas] = ACTIONS(5906),
    [anon_sym_explicit] = ACTIONS(5906),
    [anon_sym_typename] = ACTIONS(5906),
    [anon_sym_template] = ACTIONS(5906),
    [anon_sym_operator] = ACTIONS(5906),
    [anon_sym_friend] = ACTIONS(5906),
    [anon_sym_using] = ACTIONS(5906),
    [anon_sym_concept] = ACTIONS(5906),
    [anon_sym_requires] = ACTIONS(5906),
    [anon_sym_precise] = ACTIONS(5906),
    [anon_sym_shared] = ACTIONS(5906),
    [anon_sym_groupshared] = ACTIONS(5906),
    [anon_sym_uniform] = ACTIONS(5906),
    [anon_sym_row_major] = ACTIONS(5906),
    [anon_sym_column_major] = ACTIONS(5906),
    [anon_sym_globallycoherent] = ACTIONS(5906),
    [anon_sym_centroid] = ACTIONS(5906),
    [anon_sym_noperspective] = ACTIONS(5906),
    [anon_sym_nointerpolation] = ACTIONS(5906),
    [anon_sym_sample] = ACTIONS(5906),
    [anon_sym_linear] = ACTIONS(5906),
    [anon_sym_snorm] = ACTIONS(5906),
    [anon_sym_unorm] = ACTIONS(5906),
    [anon_sym_point] = ACTIONS(5906),
    [anon_sym_line] = ACTIONS(5906),
    [anon_sym_triangleadj] = ACTIONS(5906),
    [anon_sym_lineadj] = ACTIONS(5906),
    [anon_sym_triangle] = ACTIONS(5906),
  },
  [3020] = {
    [sym_identifier] = ACTIONS(5910),
    [anon_sym_LPAREN2] = ACTIONS(5912),
    [anon_sym_TILDE] = ACTIONS(5912),
    [anon_sym_STAR] = ACTIONS(5912),
    [anon_sym_AMP_AMP] = ACTIONS(5912),
    [anon_sym_AMP] = ACTIONS(5910),
    [anon_sym___extension__] = ACTIONS(5910),
    [anon_sym_in] = ACTIONS(5910),
    [anon_sym_out] = ACTIONS(5910),
    [anon_sym_inout] = ACTIONS(5910),
    [anon_sym_extern] = ACTIONS(5910),
    [anon_sym___attribute__] = ACTIONS(5910),
    [anon_sym_COLON_COLON] = ACTIONS(5912),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5912),
    [anon_sym___declspec] = ACTIONS(5910),
    [anon_sym___based] = ACTIONS(5910),
    [anon_sym___cdecl] = ACTIONS(5910),
    [anon_sym___clrcall] = ACTIONS(5910),
    [anon_sym___stdcall] = ACTIONS(5910),
    [anon_sym___fastcall] = ACTIONS(5910),
    [anon_sym___thiscall] = ACTIONS(5910),
    [anon_sym___vectorcall] = ACTIONS(5910),
    [anon_sym_signed] = ACTIONS(5910),
    [anon_sym_unsigned] = ACTIONS(5910),
    [anon_sym_long] = ACTIONS(5910),
    [anon_sym_short] = ACTIONS(5910),
    [anon_sym_LBRACK] = ACTIONS(5910),
    [anon_sym_static] = ACTIONS(5910),
    [anon_sym_register] = ACTIONS(5910),
    [anon_sym_inline] = ACTIONS(5910),
    [anon_sym___inline] = ACTIONS(5910),
    [anon_sym___inline__] = ACTIONS(5910),
    [anon_sym___forceinline] = ACTIONS(5910),
    [anon_sym_thread_local] = ACTIONS(5910),
    [anon_sym___thread] = ACTIONS(5910),
    [anon_sym_const] = ACTIONS(5910),
    [anon_sym_constexpr] = ACTIONS(5910),
    [anon_sym_volatile] = ACTIONS(5910),
    [anon_sym_restrict] = ACTIONS(5910),
    [anon_sym___restrict__] = ACTIONS(5910),
    [anon_sym__Atomic] = ACTIONS(5910),
    [anon_sym__Noreturn] = ACTIONS(5910),
    [anon_sym_noreturn] = ACTIONS(5910),
    [anon_sym_mutable] = ACTIONS(5910),
    [anon_sym_constinit] = ACTIONS(5910),
    [anon_sym_consteval] = ACTIONS(5910),
    [sym_primitive_type] = ACTIONS(5910),
    [anon_sym_enum] = ACTIONS(5910),
    [anon_sym_class] = ACTIONS(5910),
    [anon_sym_struct] = ACTIONS(5910),
    [anon_sym_union] = ACTIONS(5910),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5910),
    [anon_sym_decltype] = ACTIONS(5910),
    [anon_sym_virtual] = ACTIONS(5910),
    [anon_sym_alignas] = ACTIONS(5910),
    [anon_sym_explicit] = ACTIONS(5910),
    [anon_sym_typename] = ACTIONS(5910),
    [anon_sym_template] = ACTIONS(5910),
    [anon_sym_operator] = ACTIONS(5910),
    [anon_sym_friend] = ACTIONS(5910),
    [anon_sym_using] = ACTIONS(5910),
    [anon_sym_concept] = ACTIONS(5910),
    [anon_sym_requires] = ACTIONS(5910),
    [anon_sym_precise] = ACTIONS(5910),
    [anon_sym_shared] = ACTIONS(5910),
    [anon_sym_groupshared] = ACTIONS(5910),
    [anon_sym_uniform] = ACTIONS(5910),
    [anon_sym_row_major] = ACTIONS(5910),
    [anon_sym_column_major] = ACTIONS(5910),
    [anon_sym_globallycoherent] = ACTIONS(5910),
    [anon_sym_centroid] = ACTIONS(5910),
    [anon_sym_noperspective] = ACTIONS(5910),
    [anon_sym_nointerpolation] = ACTIONS(5910),
    [anon_sym_sample] = ACTIONS(5910),
    [anon_sym_linear] = ACTIONS(5910),
    [anon_sym_snorm] = ACTIONS(5910),
    [anon_sym_unorm] = ACTIONS(5910),
    [anon_sym_point] = ACTIONS(5910),
    [anon_sym_line] = ACTIONS(5910),
    [anon_sym_triangleadj] = ACTIONS(5910),
    [anon_sym_lineadj] = ACTIONS(5910),
    [anon_sym_triangle] = ACTIONS(5910),
  },
  [3021] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(3025),
    [sym_identifier] = ACTIONS(5914),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5917),
    [anon_sym_COMMA] = ACTIONS(5917),
    [anon_sym_RPAREN] = ACTIONS(5917),
    [anon_sym_LPAREN2] = ACTIONS(5917),
    [anon_sym_TILDE] = ACTIONS(5917),
    [anon_sym_STAR] = ACTIONS(5917),
    [anon_sym_AMP_AMP] = ACTIONS(5917),
    [anon_sym_AMP] = ACTIONS(5919),
    [anon_sym_COLON] = ACTIONS(5919),
    [anon_sym_SEMI] = ACTIONS(5917),
    [anon_sym___extension__] = ACTIONS(5919),
    [anon_sym_in] = ACTIONS(5919),
    [anon_sym_out] = ACTIONS(5919),
    [anon_sym_inout] = ACTIONS(5919),
    [anon_sym_extern] = ACTIONS(5919),
    [anon_sym___attribute__] = ACTIONS(5919),
    [anon_sym_COLON_COLON] = ACTIONS(5917),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5917),
    [anon_sym___declspec] = ACTIONS(5919),
    [anon_sym___based] = ACTIONS(5919),
    [anon_sym___cdecl] = ACTIONS(5919),
    [anon_sym___clrcall] = ACTIONS(5919),
    [anon_sym___stdcall] = ACTIONS(5919),
    [anon_sym___fastcall] = ACTIONS(5919),
    [anon_sym___thiscall] = ACTIONS(5919),
    [anon_sym___vectorcall] = ACTIONS(5919),
    [anon_sym_LBRACE] = ACTIONS(5917),
    [anon_sym_signed] = ACTIONS(5921),
    [anon_sym_unsigned] = ACTIONS(5921),
    [anon_sym_long] = ACTIONS(5921),
    [anon_sym_short] = ACTIONS(5921),
    [anon_sym_LBRACK] = ACTIONS(5919),
    [anon_sym_EQ] = ACTIONS(5917),
    [anon_sym_static] = ACTIONS(5919),
    [anon_sym_register] = ACTIONS(5919),
    [anon_sym_inline] = ACTIONS(5919),
    [anon_sym___inline] = ACTIONS(5919),
    [anon_sym___inline__] = ACTIONS(5919),
    [anon_sym___forceinline] = ACTIONS(5919),
    [anon_sym_thread_local] = ACTIONS(5919),
    [anon_sym___thread] = ACTIONS(5919),
    [anon_sym_const] = ACTIONS(5919),
    [anon_sym_constexpr] = ACTIONS(5919),
    [anon_sym_volatile] = ACTIONS(5919),
    [anon_sym_restrict] = ACTIONS(5919),
    [anon_sym___restrict__] = ACTIONS(5919),
    [anon_sym__Atomic] = ACTIONS(5919),
    [anon_sym__Noreturn] = ACTIONS(5919),
    [anon_sym_noreturn] = ACTIONS(5919),
    [anon_sym_mutable] = ACTIONS(5919),
    [anon_sym_constinit] = ACTIONS(5919),
    [anon_sym_consteval] = ACTIONS(5919),
    [sym_primitive_type] = ACTIONS(5923),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5919),
    [anon_sym_decltype] = ACTIONS(5919),
    [anon_sym_virtual] = ACTIONS(5919),
    [anon_sym_alignas] = ACTIONS(5919),
    [anon_sym_template] = ACTIONS(5919),
    [anon_sym_GT2] = ACTIONS(5917),
    [anon_sym_operator] = ACTIONS(5919),
    [anon_sym_precise] = ACTIONS(5919),
    [anon_sym_shared] = ACTIONS(5919),
    [anon_sym_groupshared] = ACTIONS(5919),
    [anon_sym_uniform] = ACTIONS(5919),
    [anon_sym_row_major] = ACTIONS(5919),
    [anon_sym_column_major] = ACTIONS(5919),
    [anon_sym_globallycoherent] = ACTIONS(5919),
    [anon_sym_centroid] = ACTIONS(5919),
    [anon_sym_noperspective] = ACTIONS(5919),
    [anon_sym_nointerpolation] = ACTIONS(5919),
    [anon_sym_sample] = ACTIONS(5919),
    [anon_sym_linear] = ACTIONS(5919),
    [anon_sym_snorm] = ACTIONS(5919),
    [anon_sym_unorm] = ACTIONS(5919),
    [anon_sym_point] = ACTIONS(5919),
    [anon_sym_line] = ACTIONS(5919),
    [anon_sym_triangleadj] = ACTIONS(5919),
    [anon_sym_lineadj] = ACTIONS(5919),
    [anon_sym_triangle] = ACTIONS(5919),
  },
  [3022] = {
    [sym_attribute_specifier] = STATE(3082),
    [sym_field_declaration_list] = STATE(3124),
    [sym_virtual_specifier] = STATE(8472),
    [sym_base_class_clause] = STATE(8993),
    [sym_identifier] = ACTIONS(5925),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5927),
    [anon_sym_COMMA] = ACTIONS(5927),
    [anon_sym_RPAREN] = ACTIONS(5927),
    [anon_sym_LPAREN2] = ACTIONS(5927),
    [anon_sym_TILDE] = ACTIONS(5927),
    [anon_sym_STAR] = ACTIONS(5927),
    [anon_sym_AMP_AMP] = ACTIONS(5927),
    [anon_sym_AMP] = ACTIONS(5925),
    [anon_sym_COLON] = ACTIONS(2194),
    [anon_sym_SEMI] = ACTIONS(5927),
    [anon_sym___extension__] = ACTIONS(5925),
    [anon_sym_in] = ACTIONS(5925),
    [anon_sym_out] = ACTIONS(5925),
    [anon_sym_inout] = ACTIONS(5925),
    [anon_sym_extern] = ACTIONS(5925),
    [anon_sym___attribute__] = ACTIONS(5581),
    [anon_sym_COLON_COLON] = ACTIONS(5927),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5927),
    [anon_sym___declspec] = ACTIONS(5925),
    [anon_sym___based] = ACTIONS(5925),
    [anon_sym___cdecl] = ACTIONS(5925),
    [anon_sym___clrcall] = ACTIONS(5925),
    [anon_sym___stdcall] = ACTIONS(5925),
    [anon_sym___fastcall] = ACTIONS(5925),
    [anon_sym___thiscall] = ACTIONS(5925),
    [anon_sym___vectorcall] = ACTIONS(5925),
    [anon_sym_LBRACE] = ACTIONS(5929),
    [anon_sym_LBRACK] = ACTIONS(5925),
    [anon_sym_EQ] = ACTIONS(5927),
    [anon_sym_static] = ACTIONS(5925),
    [anon_sym_register] = ACTIONS(5925),
    [anon_sym_inline] = ACTIONS(5925),
    [anon_sym___inline] = ACTIONS(5925),
    [anon_sym___inline__] = ACTIONS(5925),
    [anon_sym___forceinline] = ACTIONS(5925),
    [anon_sym_thread_local] = ACTIONS(5925),
    [anon_sym___thread] = ACTIONS(5925),
    [anon_sym_const] = ACTIONS(5925),
    [anon_sym_constexpr] = ACTIONS(5925),
    [anon_sym_volatile] = ACTIONS(5925),
    [anon_sym_restrict] = ACTIONS(5925),
    [anon_sym___restrict__] = ACTIONS(5925),
    [anon_sym__Atomic] = ACTIONS(5925),
    [anon_sym__Noreturn] = ACTIONS(5925),
    [anon_sym_noreturn] = ACTIONS(5925),
    [anon_sym_mutable] = ACTIONS(5925),
    [anon_sym_constinit] = ACTIONS(5925),
    [anon_sym_consteval] = ACTIONS(5925),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5925),
    [anon_sym_decltype] = ACTIONS(5925),
    [anon_sym_final] = ACTIONS(2198),
    [anon_sym_override] = ACTIONS(2198),
    [anon_sym_virtual] = ACTIONS(5925),
    [anon_sym_alignas] = ACTIONS(5925),
    [anon_sym_template] = ACTIONS(5925),
    [anon_sym_GT2] = ACTIONS(5927),
    [anon_sym_operator] = ACTIONS(5925),
    [anon_sym_precise] = ACTIONS(5925),
    [anon_sym_shared] = ACTIONS(5925),
    [anon_sym_groupshared] = ACTIONS(5925),
    [anon_sym_uniform] = ACTIONS(5925),
    [anon_sym_row_major] = ACTIONS(5925),
    [anon_sym_column_major] = ACTIONS(5925),
    [anon_sym_globallycoherent] = ACTIONS(5925),
    [anon_sym_centroid] = ACTIONS(5925),
    [anon_sym_noperspective] = ACTIONS(5925),
    [anon_sym_nointerpolation] = ACTIONS(5925),
    [anon_sym_sample] = ACTIONS(5925),
    [anon_sym_linear] = ACTIONS(5925),
    [anon_sym_snorm] = ACTIONS(5925),
    [anon_sym_unorm] = ACTIONS(5925),
    [anon_sym_point] = ACTIONS(5925),
    [anon_sym_line] = ACTIONS(5925),
    [anon_sym_triangleadj] = ACTIONS(5925),
    [anon_sym_lineadj] = ACTIONS(5925),
    [anon_sym_triangle] = ACTIONS(5925),
  },
  [3023] = {
    [sym_identifier] = ACTIONS(2264),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2266),
    [anon_sym_COMMA] = ACTIONS(2266),
    [anon_sym_RPAREN] = ACTIONS(2266),
    [anon_sym_LPAREN2] = ACTIONS(2266),
    [anon_sym_TILDE] = ACTIONS(2266),
    [anon_sym_STAR] = ACTIONS(2266),
    [anon_sym_PIPE_PIPE] = ACTIONS(2266),
    [anon_sym_AMP_AMP] = ACTIONS(2266),
    [anon_sym_AMP] = ACTIONS(2264),
    [anon_sym_COLON] = ACTIONS(2264),
    [anon_sym_SEMI] = ACTIONS(2266),
    [anon_sym___extension__] = ACTIONS(2264),
    [anon_sym_in] = ACTIONS(2264),
    [anon_sym_out] = ACTIONS(2264),
    [anon_sym_inout] = ACTIONS(2264),
    [anon_sym_extern] = ACTIONS(2264),
    [anon_sym___attribute__] = ACTIONS(2264),
    [anon_sym_COLON_COLON] = ACTIONS(2266),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2266),
    [anon_sym___declspec] = ACTIONS(2264),
    [anon_sym___based] = ACTIONS(2264),
    [anon_sym___cdecl] = ACTIONS(2264),
    [anon_sym___clrcall] = ACTIONS(2264),
    [anon_sym___stdcall] = ACTIONS(2264),
    [anon_sym___fastcall] = ACTIONS(2264),
    [anon_sym___thiscall] = ACTIONS(2264),
    [anon_sym___vectorcall] = ACTIONS(2264),
    [anon_sym_LBRACE] = ACTIONS(2266),
    [anon_sym_LBRACK] = ACTIONS(2264),
    [anon_sym_EQ] = ACTIONS(2266),
    [anon_sym_static] = ACTIONS(2264),
    [anon_sym_register] = ACTIONS(2264),
    [anon_sym_inline] = ACTIONS(2264),
    [anon_sym___inline] = ACTIONS(2264),
    [anon_sym___inline__] = ACTIONS(2264),
    [anon_sym___forceinline] = ACTIONS(2264),
    [anon_sym_thread_local] = ACTIONS(2264),
    [anon_sym___thread] = ACTIONS(2264),
    [anon_sym_const] = ACTIONS(2264),
    [anon_sym_constexpr] = ACTIONS(2264),
    [anon_sym_volatile] = ACTIONS(2264),
    [anon_sym_restrict] = ACTIONS(2264),
    [anon_sym___restrict__] = ACTIONS(2264),
    [anon_sym__Atomic] = ACTIONS(2264),
    [anon_sym__Noreturn] = ACTIONS(2264),
    [anon_sym_noreturn] = ACTIONS(2264),
    [anon_sym_mutable] = ACTIONS(2264),
    [anon_sym_constinit] = ACTIONS(2264),
    [anon_sym_consteval] = ACTIONS(2264),
    [anon_sym_or] = ACTIONS(2264),
    [anon_sym_and] = ACTIONS(2264),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2264),
    [anon_sym_decltype] = ACTIONS(2264),
    [anon_sym_final] = ACTIONS(2264),
    [anon_sym_override] = ACTIONS(2264),
    [anon_sym_virtual] = ACTIONS(2264),
    [anon_sym_alignas] = ACTIONS(2264),
    [anon_sym_template] = ACTIONS(2264),
    [anon_sym_GT2] = ACTIONS(2266),
    [anon_sym_operator] = ACTIONS(2264),
    [anon_sym_requires] = ACTIONS(2264),
    [anon_sym_precise] = ACTIONS(2264),
    [anon_sym_shared] = ACTIONS(2264),
    [anon_sym_groupshared] = ACTIONS(2264),
    [anon_sym_uniform] = ACTIONS(2264),
    [anon_sym_row_major] = ACTIONS(2264),
    [anon_sym_column_major] = ACTIONS(2264),
    [anon_sym_globallycoherent] = ACTIONS(2264),
    [anon_sym_centroid] = ACTIONS(2264),
    [anon_sym_noperspective] = ACTIONS(2264),
    [anon_sym_nointerpolation] = ACTIONS(2264),
    [anon_sym_sample] = ACTIONS(2264),
    [anon_sym_linear] = ACTIONS(2264),
    [anon_sym_snorm] = ACTIONS(2264),
    [anon_sym_unorm] = ACTIONS(2264),
    [anon_sym_point] = ACTIONS(2264),
    [anon_sym_line] = ACTIONS(2264),
    [anon_sym_triangleadj] = ACTIONS(2264),
    [anon_sym_lineadj] = ACTIONS(2264),
    [anon_sym_triangle] = ACTIONS(2264),
  },
  [3024] = {
    [sym_argument_list] = STATE(3568),
    [sym_initializer_list] = STATE(4993),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3031),
    [sym_identifier] = ACTIONS(5931),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5933),
    [anon_sym_COMMA] = ACTIONS(5933),
    [anon_sym_RPAREN] = ACTIONS(5933),
    [anon_sym_LPAREN2] = ACTIONS(5935),
    [anon_sym_TILDE] = ACTIONS(5933),
    [anon_sym_STAR] = ACTIONS(5933),
    [anon_sym_AMP_AMP] = ACTIONS(5933),
    [anon_sym_AMP] = ACTIONS(5931),
    [anon_sym_COLON] = ACTIONS(5931),
    [anon_sym_SEMI] = ACTIONS(5933),
    [anon_sym___extension__] = ACTIONS(5931),
    [anon_sym_in] = ACTIONS(5931),
    [anon_sym_out] = ACTIONS(5931),
    [anon_sym_inout] = ACTIONS(5931),
    [anon_sym_extern] = ACTIONS(5931),
    [anon_sym___attribute__] = ACTIONS(5931),
    [anon_sym_COLON_COLON] = ACTIONS(5933),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5933),
    [anon_sym___declspec] = ACTIONS(5931),
    [anon_sym___based] = ACTIONS(5931),
    [anon_sym___cdecl] = ACTIONS(5931),
    [anon_sym___clrcall] = ACTIONS(5931),
    [anon_sym___stdcall] = ACTIONS(5931),
    [anon_sym___fastcall] = ACTIONS(5931),
    [anon_sym___thiscall] = ACTIONS(5931),
    [anon_sym___vectorcall] = ACTIONS(5931),
    [anon_sym_LBRACE] = ACTIONS(4413),
    [anon_sym_signed] = ACTIONS(5938),
    [anon_sym_unsigned] = ACTIONS(5938),
    [anon_sym_long] = ACTIONS(5938),
    [anon_sym_short] = ACTIONS(5938),
    [anon_sym_LBRACK] = ACTIONS(5931),
    [anon_sym_EQ] = ACTIONS(5933),
    [anon_sym_static] = ACTIONS(5931),
    [anon_sym_register] = ACTIONS(5931),
    [anon_sym_inline] = ACTIONS(5931),
    [anon_sym___inline] = ACTIONS(5931),
    [anon_sym___inline__] = ACTIONS(5931),
    [anon_sym___forceinline] = ACTIONS(5931),
    [anon_sym_thread_local] = ACTIONS(5931),
    [anon_sym___thread] = ACTIONS(5931),
    [anon_sym_const] = ACTIONS(5931),
    [anon_sym_constexpr] = ACTIONS(5931),
    [anon_sym_volatile] = ACTIONS(5931),
    [anon_sym_restrict] = ACTIONS(5931),
    [anon_sym___restrict__] = ACTIONS(5931),
    [anon_sym__Atomic] = ACTIONS(5931),
    [anon_sym__Noreturn] = ACTIONS(5931),
    [anon_sym_noreturn] = ACTIONS(5931),
    [anon_sym_mutable] = ACTIONS(5931),
    [anon_sym_constinit] = ACTIONS(5931),
    [anon_sym_consteval] = ACTIONS(5931),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5931),
    [anon_sym_decltype] = ACTIONS(5931),
    [anon_sym_virtual] = ACTIONS(5931),
    [anon_sym_alignas] = ACTIONS(5931),
    [anon_sym_template] = ACTIONS(5931),
    [anon_sym_operator] = ACTIONS(5931),
    [anon_sym_precise] = ACTIONS(5931),
    [anon_sym_shared] = ACTIONS(5931),
    [anon_sym_groupshared] = ACTIONS(5931),
    [anon_sym_uniform] = ACTIONS(5931),
    [anon_sym_row_major] = ACTIONS(5931),
    [anon_sym_column_major] = ACTIONS(5931),
    [anon_sym_globallycoherent] = ACTIONS(5931),
    [anon_sym_centroid] = ACTIONS(5931),
    [anon_sym_noperspective] = ACTIONS(5931),
    [anon_sym_nointerpolation] = ACTIONS(5931),
    [anon_sym_sample] = ACTIONS(5931),
    [anon_sym_linear] = ACTIONS(5931),
    [anon_sym_snorm] = ACTIONS(5931),
    [anon_sym_unorm] = ACTIONS(5931),
    [anon_sym_point] = ACTIONS(5931),
    [anon_sym_line] = ACTIONS(5931),
    [anon_sym_triangleadj] = ACTIONS(5931),
    [anon_sym_lineadj] = ACTIONS(5931),
    [anon_sym_triangle] = ACTIONS(5931),
  },
  [3025] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(3003),
    [sym_identifier] = ACTIONS(5940),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5943),
    [anon_sym_COMMA] = ACTIONS(5943),
    [anon_sym_RPAREN] = ACTIONS(5943),
    [anon_sym_LPAREN2] = ACTIONS(5943),
    [anon_sym_TILDE] = ACTIONS(5943),
    [anon_sym_STAR] = ACTIONS(5943),
    [anon_sym_AMP_AMP] = ACTIONS(5943),
    [anon_sym_AMP] = ACTIONS(5940),
    [anon_sym_COLON] = ACTIONS(5940),
    [anon_sym_SEMI] = ACTIONS(5943),
    [anon_sym___extension__] = ACTIONS(5940),
    [anon_sym_in] = ACTIONS(5940),
    [anon_sym_out] = ACTIONS(5940),
    [anon_sym_inout] = ACTIONS(5940),
    [anon_sym_extern] = ACTIONS(5940),
    [anon_sym___attribute__] = ACTIONS(5940),
    [anon_sym_COLON_COLON] = ACTIONS(5943),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5943),
    [anon_sym___declspec] = ACTIONS(5940),
    [anon_sym___based] = ACTIONS(5940),
    [anon_sym___cdecl] = ACTIONS(5940),
    [anon_sym___clrcall] = ACTIONS(5940),
    [anon_sym___stdcall] = ACTIONS(5940),
    [anon_sym___fastcall] = ACTIONS(5940),
    [anon_sym___thiscall] = ACTIONS(5940),
    [anon_sym___vectorcall] = ACTIONS(5940),
    [anon_sym_LBRACE] = ACTIONS(5943),
    [anon_sym_signed] = ACTIONS(5844),
    [anon_sym_unsigned] = ACTIONS(5844),
    [anon_sym_long] = ACTIONS(5844),
    [anon_sym_short] = ACTIONS(5844),
    [anon_sym_LBRACK] = ACTIONS(5940),
    [anon_sym_EQ] = ACTIONS(5943),
    [anon_sym_static] = ACTIONS(5940),
    [anon_sym_register] = ACTIONS(5940),
    [anon_sym_inline] = ACTIONS(5940),
    [anon_sym___inline] = ACTIONS(5940),
    [anon_sym___inline__] = ACTIONS(5940),
    [anon_sym___forceinline] = ACTIONS(5940),
    [anon_sym_thread_local] = ACTIONS(5940),
    [anon_sym___thread] = ACTIONS(5940),
    [anon_sym_const] = ACTIONS(5940),
    [anon_sym_constexpr] = ACTIONS(5940),
    [anon_sym_volatile] = ACTIONS(5940),
    [anon_sym_restrict] = ACTIONS(5940),
    [anon_sym___restrict__] = ACTIONS(5940),
    [anon_sym__Atomic] = ACTIONS(5940),
    [anon_sym__Noreturn] = ACTIONS(5940),
    [anon_sym_noreturn] = ACTIONS(5940),
    [anon_sym_mutable] = ACTIONS(5940),
    [anon_sym_constinit] = ACTIONS(5940),
    [anon_sym_consteval] = ACTIONS(5940),
    [sym_primitive_type] = ACTIONS(5840),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5940),
    [anon_sym_decltype] = ACTIONS(5940),
    [anon_sym_virtual] = ACTIONS(5940),
    [anon_sym_alignas] = ACTIONS(5940),
    [anon_sym_template] = ACTIONS(5940),
    [anon_sym_GT2] = ACTIONS(5943),
    [anon_sym_operator] = ACTIONS(5940),
    [anon_sym_precise] = ACTIONS(5940),
    [anon_sym_shared] = ACTIONS(5940),
    [anon_sym_groupshared] = ACTIONS(5940),
    [anon_sym_uniform] = ACTIONS(5940),
    [anon_sym_row_major] = ACTIONS(5940),
    [anon_sym_column_major] = ACTIONS(5940),
    [anon_sym_globallycoherent] = ACTIONS(5940),
    [anon_sym_centroid] = ACTIONS(5940),
    [anon_sym_noperspective] = ACTIONS(5940),
    [anon_sym_nointerpolation] = ACTIONS(5940),
    [anon_sym_sample] = ACTIONS(5940),
    [anon_sym_linear] = ACTIONS(5940),
    [anon_sym_snorm] = ACTIONS(5940),
    [anon_sym_unorm] = ACTIONS(5940),
    [anon_sym_point] = ACTIONS(5940),
    [anon_sym_line] = ACTIONS(5940),
    [anon_sym_triangleadj] = ACTIONS(5940),
    [anon_sym_lineadj] = ACTIONS(5940),
    [anon_sym_triangle] = ACTIONS(5940),
  },
  [3026] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(3029),
    [sym_identifier] = ACTIONS(5946),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5948),
    [anon_sym_COMMA] = ACTIONS(5948),
    [anon_sym_RPAREN] = ACTIONS(5948),
    [anon_sym_LPAREN2] = ACTIONS(5948),
    [anon_sym_TILDE] = ACTIONS(5948),
    [anon_sym_STAR] = ACTIONS(5948),
    [anon_sym_AMP_AMP] = ACTIONS(5948),
    [anon_sym_AMP] = ACTIONS(5946),
    [anon_sym_COLON] = ACTIONS(5946),
    [anon_sym_SEMI] = ACTIONS(5948),
    [anon_sym___extension__] = ACTIONS(5946),
    [anon_sym_in] = ACTIONS(5946),
    [anon_sym_out] = ACTIONS(5946),
    [anon_sym_inout] = ACTIONS(5946),
    [anon_sym_extern] = ACTIONS(5946),
    [anon_sym___attribute__] = ACTIONS(5946),
    [anon_sym_COLON_COLON] = ACTIONS(5948),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5948),
    [anon_sym___declspec] = ACTIONS(5946),
    [anon_sym___based] = ACTIONS(5946),
    [anon_sym___cdecl] = ACTIONS(5946),
    [anon_sym___clrcall] = ACTIONS(5946),
    [anon_sym___stdcall] = ACTIONS(5946),
    [anon_sym___fastcall] = ACTIONS(5946),
    [anon_sym___thiscall] = ACTIONS(5946),
    [anon_sym___vectorcall] = ACTIONS(5946),
    [anon_sym_LBRACE] = ACTIONS(5948),
    [anon_sym_signed] = ACTIONS(5950),
    [anon_sym_unsigned] = ACTIONS(5950),
    [anon_sym_long] = ACTIONS(5950),
    [anon_sym_short] = ACTIONS(5950),
    [anon_sym_LBRACK] = ACTIONS(5946),
    [anon_sym_EQ] = ACTIONS(5948),
    [anon_sym_static] = ACTIONS(5946),
    [anon_sym_register] = ACTIONS(5946),
    [anon_sym_inline] = ACTIONS(5946),
    [anon_sym___inline] = ACTIONS(5946),
    [anon_sym___inline__] = ACTIONS(5946),
    [anon_sym___forceinline] = ACTIONS(5946),
    [anon_sym_thread_local] = ACTIONS(5946),
    [anon_sym___thread] = ACTIONS(5946),
    [anon_sym_const] = ACTIONS(5946),
    [anon_sym_constexpr] = ACTIONS(5946),
    [anon_sym_volatile] = ACTIONS(5946),
    [anon_sym_restrict] = ACTIONS(5946),
    [anon_sym___restrict__] = ACTIONS(5946),
    [anon_sym__Atomic] = ACTIONS(5946),
    [anon_sym__Noreturn] = ACTIONS(5946),
    [anon_sym_noreturn] = ACTIONS(5946),
    [anon_sym_mutable] = ACTIONS(5946),
    [anon_sym_constinit] = ACTIONS(5946),
    [anon_sym_consteval] = ACTIONS(5946),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5946),
    [anon_sym_decltype] = ACTIONS(5946),
    [anon_sym_virtual] = ACTIONS(5946),
    [anon_sym_alignas] = ACTIONS(5946),
    [anon_sym_template] = ACTIONS(5946),
    [anon_sym_GT2] = ACTIONS(5948),
    [anon_sym_operator] = ACTIONS(5946),
    [anon_sym_precise] = ACTIONS(5946),
    [anon_sym_shared] = ACTIONS(5946),
    [anon_sym_groupshared] = ACTIONS(5946),
    [anon_sym_uniform] = ACTIONS(5946),
    [anon_sym_row_major] = ACTIONS(5946),
    [anon_sym_column_major] = ACTIONS(5946),
    [anon_sym_globallycoherent] = ACTIONS(5946),
    [anon_sym_centroid] = ACTIONS(5946),
    [anon_sym_noperspective] = ACTIONS(5946),
    [anon_sym_nointerpolation] = ACTIONS(5946),
    [anon_sym_sample] = ACTIONS(5946),
    [anon_sym_linear] = ACTIONS(5946),
    [anon_sym_snorm] = ACTIONS(5946),
    [anon_sym_unorm] = ACTIONS(5946),
    [anon_sym_point] = ACTIONS(5946),
    [anon_sym_line] = ACTIONS(5946),
    [anon_sym_triangleadj] = ACTIONS(5946),
    [anon_sym_lineadj] = ACTIONS(5946),
    [anon_sym_triangle] = ACTIONS(5946),
  },
  [3027] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(3035),
    [sym_identifier] = ACTIONS(5952),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5954),
    [anon_sym_COMMA] = ACTIONS(5954),
    [anon_sym_RPAREN] = ACTIONS(5954),
    [anon_sym_LPAREN2] = ACTIONS(5954),
    [anon_sym_TILDE] = ACTIONS(5954),
    [anon_sym_STAR] = ACTIONS(5954),
    [anon_sym_AMP_AMP] = ACTIONS(5954),
    [anon_sym_AMP] = ACTIONS(5952),
    [anon_sym_COLON] = ACTIONS(5952),
    [anon_sym_SEMI] = ACTIONS(5954),
    [anon_sym___extension__] = ACTIONS(5952),
    [anon_sym_in] = ACTIONS(5952),
    [anon_sym_out] = ACTIONS(5952),
    [anon_sym_inout] = ACTIONS(5952),
    [anon_sym_extern] = ACTIONS(5952),
    [anon_sym___attribute__] = ACTIONS(5952),
    [anon_sym_COLON_COLON] = ACTIONS(5954),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5954),
    [anon_sym___declspec] = ACTIONS(5952),
    [anon_sym___based] = ACTIONS(5952),
    [anon_sym___cdecl] = ACTIONS(5952),
    [anon_sym___clrcall] = ACTIONS(5952),
    [anon_sym___stdcall] = ACTIONS(5952),
    [anon_sym___fastcall] = ACTIONS(5952),
    [anon_sym___thiscall] = ACTIONS(5952),
    [anon_sym___vectorcall] = ACTIONS(5952),
    [anon_sym_LBRACE] = ACTIONS(5954),
    [anon_sym_signed] = ACTIONS(5956),
    [anon_sym_unsigned] = ACTIONS(5956),
    [anon_sym_long] = ACTIONS(5956),
    [anon_sym_short] = ACTIONS(5956),
    [anon_sym_LBRACK] = ACTIONS(5952),
    [anon_sym_EQ] = ACTIONS(5954),
    [anon_sym_static] = ACTIONS(5952),
    [anon_sym_register] = ACTIONS(5952),
    [anon_sym_inline] = ACTIONS(5952),
    [anon_sym___inline] = ACTIONS(5952),
    [anon_sym___inline__] = ACTIONS(5952),
    [anon_sym___forceinline] = ACTIONS(5952),
    [anon_sym_thread_local] = ACTIONS(5952),
    [anon_sym___thread] = ACTIONS(5952),
    [anon_sym_const] = ACTIONS(5952),
    [anon_sym_constexpr] = ACTIONS(5952),
    [anon_sym_volatile] = ACTIONS(5952),
    [anon_sym_restrict] = ACTIONS(5952),
    [anon_sym___restrict__] = ACTIONS(5952),
    [anon_sym__Atomic] = ACTIONS(5952),
    [anon_sym__Noreturn] = ACTIONS(5952),
    [anon_sym_noreturn] = ACTIONS(5952),
    [anon_sym_mutable] = ACTIONS(5952),
    [anon_sym_constinit] = ACTIONS(5952),
    [anon_sym_consteval] = ACTIONS(5952),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5952),
    [anon_sym_decltype] = ACTIONS(5952),
    [anon_sym_virtual] = ACTIONS(5952),
    [anon_sym_alignas] = ACTIONS(5952),
    [anon_sym_template] = ACTIONS(5952),
    [anon_sym_GT2] = ACTIONS(5954),
    [anon_sym_operator] = ACTIONS(5952),
    [anon_sym_precise] = ACTIONS(5952),
    [anon_sym_shared] = ACTIONS(5952),
    [anon_sym_groupshared] = ACTIONS(5952),
    [anon_sym_uniform] = ACTIONS(5952),
    [anon_sym_row_major] = ACTIONS(5952),
    [anon_sym_column_major] = ACTIONS(5952),
    [anon_sym_globallycoherent] = ACTIONS(5952),
    [anon_sym_centroid] = ACTIONS(5952),
    [anon_sym_noperspective] = ACTIONS(5952),
    [anon_sym_nointerpolation] = ACTIONS(5952),
    [anon_sym_sample] = ACTIONS(5952),
    [anon_sym_linear] = ACTIONS(5952),
    [anon_sym_snorm] = ACTIONS(5952),
    [anon_sym_unorm] = ACTIONS(5952),
    [anon_sym_point] = ACTIONS(5952),
    [anon_sym_line] = ACTIONS(5952),
    [anon_sym_triangleadj] = ACTIONS(5952),
    [anon_sym_lineadj] = ACTIONS(5952),
    [anon_sym_triangle] = ACTIONS(5952),
  },
  [3028] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(3035),
    [sym_identifier] = ACTIONS(5958),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5960),
    [anon_sym_COMMA] = ACTIONS(5960),
    [anon_sym_RPAREN] = ACTIONS(5960),
    [anon_sym_LPAREN2] = ACTIONS(5960),
    [anon_sym_TILDE] = ACTIONS(5960),
    [anon_sym_STAR] = ACTIONS(5960),
    [anon_sym_AMP_AMP] = ACTIONS(5960),
    [anon_sym_AMP] = ACTIONS(5958),
    [anon_sym_COLON] = ACTIONS(5958),
    [anon_sym_SEMI] = ACTIONS(5960),
    [anon_sym___extension__] = ACTIONS(5958),
    [anon_sym_in] = ACTIONS(5958),
    [anon_sym_out] = ACTIONS(5958),
    [anon_sym_inout] = ACTIONS(5958),
    [anon_sym_extern] = ACTIONS(5958),
    [anon_sym___attribute__] = ACTIONS(5958),
    [anon_sym_COLON_COLON] = ACTIONS(5960),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5960),
    [anon_sym___declspec] = ACTIONS(5958),
    [anon_sym___based] = ACTIONS(5958),
    [anon_sym___cdecl] = ACTIONS(5958),
    [anon_sym___clrcall] = ACTIONS(5958),
    [anon_sym___stdcall] = ACTIONS(5958),
    [anon_sym___fastcall] = ACTIONS(5958),
    [anon_sym___thiscall] = ACTIONS(5958),
    [anon_sym___vectorcall] = ACTIONS(5958),
    [anon_sym_LBRACE] = ACTIONS(5960),
    [anon_sym_signed] = ACTIONS(5956),
    [anon_sym_unsigned] = ACTIONS(5956),
    [anon_sym_long] = ACTIONS(5956),
    [anon_sym_short] = ACTIONS(5956),
    [anon_sym_LBRACK] = ACTIONS(5958),
    [anon_sym_EQ] = ACTIONS(5960),
    [anon_sym_static] = ACTIONS(5958),
    [anon_sym_register] = ACTIONS(5958),
    [anon_sym_inline] = ACTIONS(5958),
    [anon_sym___inline] = ACTIONS(5958),
    [anon_sym___inline__] = ACTIONS(5958),
    [anon_sym___forceinline] = ACTIONS(5958),
    [anon_sym_thread_local] = ACTIONS(5958),
    [anon_sym___thread] = ACTIONS(5958),
    [anon_sym_const] = ACTIONS(5958),
    [anon_sym_constexpr] = ACTIONS(5958),
    [anon_sym_volatile] = ACTIONS(5958),
    [anon_sym_restrict] = ACTIONS(5958),
    [anon_sym___restrict__] = ACTIONS(5958),
    [anon_sym__Atomic] = ACTIONS(5958),
    [anon_sym__Noreturn] = ACTIONS(5958),
    [anon_sym_noreturn] = ACTIONS(5958),
    [anon_sym_mutable] = ACTIONS(5958),
    [anon_sym_constinit] = ACTIONS(5958),
    [anon_sym_consteval] = ACTIONS(5958),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5958),
    [anon_sym_decltype] = ACTIONS(5958),
    [anon_sym_virtual] = ACTIONS(5958),
    [anon_sym_alignas] = ACTIONS(5958),
    [anon_sym_template] = ACTIONS(5958),
    [anon_sym_GT2] = ACTIONS(5960),
    [anon_sym_operator] = ACTIONS(5958),
    [anon_sym_precise] = ACTIONS(5958),
    [anon_sym_shared] = ACTIONS(5958),
    [anon_sym_groupshared] = ACTIONS(5958),
    [anon_sym_uniform] = ACTIONS(5958),
    [anon_sym_row_major] = ACTIONS(5958),
    [anon_sym_column_major] = ACTIONS(5958),
    [anon_sym_globallycoherent] = ACTIONS(5958),
    [anon_sym_centroid] = ACTIONS(5958),
    [anon_sym_noperspective] = ACTIONS(5958),
    [anon_sym_nointerpolation] = ACTIONS(5958),
    [anon_sym_sample] = ACTIONS(5958),
    [anon_sym_linear] = ACTIONS(5958),
    [anon_sym_snorm] = ACTIONS(5958),
    [anon_sym_unorm] = ACTIONS(5958),
    [anon_sym_point] = ACTIONS(5958),
    [anon_sym_line] = ACTIONS(5958),
    [anon_sym_triangleadj] = ACTIONS(5958),
    [anon_sym_lineadj] = ACTIONS(5958),
    [anon_sym_triangle] = ACTIONS(5958),
  },
  [3029] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(3035),
    [sym_identifier] = ACTIONS(5962),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5964),
    [anon_sym_COMMA] = ACTIONS(5964),
    [anon_sym_RPAREN] = ACTIONS(5964),
    [anon_sym_LPAREN2] = ACTIONS(5964),
    [anon_sym_TILDE] = ACTIONS(5964),
    [anon_sym_STAR] = ACTIONS(5964),
    [anon_sym_AMP_AMP] = ACTIONS(5964),
    [anon_sym_AMP] = ACTIONS(5962),
    [anon_sym_COLON] = ACTIONS(5962),
    [anon_sym_SEMI] = ACTIONS(5964),
    [anon_sym___extension__] = ACTIONS(5962),
    [anon_sym_in] = ACTIONS(5962),
    [anon_sym_out] = ACTIONS(5962),
    [anon_sym_inout] = ACTIONS(5962),
    [anon_sym_extern] = ACTIONS(5962),
    [anon_sym___attribute__] = ACTIONS(5962),
    [anon_sym_COLON_COLON] = ACTIONS(5964),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5964),
    [anon_sym___declspec] = ACTIONS(5962),
    [anon_sym___based] = ACTIONS(5962),
    [anon_sym___cdecl] = ACTIONS(5962),
    [anon_sym___clrcall] = ACTIONS(5962),
    [anon_sym___stdcall] = ACTIONS(5962),
    [anon_sym___fastcall] = ACTIONS(5962),
    [anon_sym___thiscall] = ACTIONS(5962),
    [anon_sym___vectorcall] = ACTIONS(5962),
    [anon_sym_LBRACE] = ACTIONS(5964),
    [anon_sym_signed] = ACTIONS(5956),
    [anon_sym_unsigned] = ACTIONS(5956),
    [anon_sym_long] = ACTIONS(5956),
    [anon_sym_short] = ACTIONS(5956),
    [anon_sym_LBRACK] = ACTIONS(5962),
    [anon_sym_EQ] = ACTIONS(5964),
    [anon_sym_static] = ACTIONS(5962),
    [anon_sym_register] = ACTIONS(5962),
    [anon_sym_inline] = ACTIONS(5962),
    [anon_sym___inline] = ACTIONS(5962),
    [anon_sym___inline__] = ACTIONS(5962),
    [anon_sym___forceinline] = ACTIONS(5962),
    [anon_sym_thread_local] = ACTIONS(5962),
    [anon_sym___thread] = ACTIONS(5962),
    [anon_sym_const] = ACTIONS(5962),
    [anon_sym_constexpr] = ACTIONS(5962),
    [anon_sym_volatile] = ACTIONS(5962),
    [anon_sym_restrict] = ACTIONS(5962),
    [anon_sym___restrict__] = ACTIONS(5962),
    [anon_sym__Atomic] = ACTIONS(5962),
    [anon_sym__Noreturn] = ACTIONS(5962),
    [anon_sym_noreturn] = ACTIONS(5962),
    [anon_sym_mutable] = ACTIONS(5962),
    [anon_sym_constinit] = ACTIONS(5962),
    [anon_sym_consteval] = ACTIONS(5962),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5962),
    [anon_sym_decltype] = ACTIONS(5962),
    [anon_sym_virtual] = ACTIONS(5962),
    [anon_sym_alignas] = ACTIONS(5962),
    [anon_sym_template] = ACTIONS(5962),
    [anon_sym_GT2] = ACTIONS(5964),
    [anon_sym_operator] = ACTIONS(5962),
    [anon_sym_precise] = ACTIONS(5962),
    [anon_sym_shared] = ACTIONS(5962),
    [anon_sym_groupshared] = ACTIONS(5962),
    [anon_sym_uniform] = ACTIONS(5962),
    [anon_sym_row_major] = ACTIONS(5962),
    [anon_sym_column_major] = ACTIONS(5962),
    [anon_sym_globallycoherent] = ACTIONS(5962),
    [anon_sym_centroid] = ACTIONS(5962),
    [anon_sym_noperspective] = ACTIONS(5962),
    [anon_sym_nointerpolation] = ACTIONS(5962),
    [anon_sym_sample] = ACTIONS(5962),
    [anon_sym_linear] = ACTIONS(5962),
    [anon_sym_snorm] = ACTIONS(5962),
    [anon_sym_unorm] = ACTIONS(5962),
    [anon_sym_point] = ACTIONS(5962),
    [anon_sym_line] = ACTIONS(5962),
    [anon_sym_triangleadj] = ACTIONS(5962),
    [anon_sym_lineadj] = ACTIONS(5962),
    [anon_sym_triangle] = ACTIONS(5962),
  },
  [3030] = {
    [sym_template_argument_list] = STATE(3017),
    [sym_identifier] = ACTIONS(2224),
    [anon_sym_RPAREN] = ACTIONS(2226),
    [anon_sym_LPAREN2] = ACTIONS(2226),
    [anon_sym_TILDE] = ACTIONS(2226),
    [anon_sym_STAR] = ACTIONS(2226),
    [anon_sym_PIPE_PIPE] = ACTIONS(2226),
    [anon_sym_AMP_AMP] = ACTIONS(2226),
    [anon_sym_AMP] = ACTIONS(2224),
    [anon_sym_LT] = ACTIONS(5900),
    [anon_sym_COLON] = ACTIONS(2224),
    [anon_sym_SEMI] = ACTIONS(2226),
    [anon_sym___extension__] = ACTIONS(2224),
    [anon_sym_in] = ACTIONS(2224),
    [anon_sym_out] = ACTIONS(2224),
    [anon_sym_inout] = ACTIONS(2224),
    [anon_sym_extern] = ACTIONS(2224),
    [anon_sym___attribute__] = ACTIONS(2224),
    [anon_sym_COLON_COLON] = ACTIONS(2230),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2226),
    [anon_sym___declspec] = ACTIONS(2224),
    [anon_sym___based] = ACTIONS(2224),
    [anon_sym___cdecl] = ACTIONS(2224),
    [anon_sym___clrcall] = ACTIONS(2224),
    [anon_sym___stdcall] = ACTIONS(2224),
    [anon_sym___fastcall] = ACTIONS(2224),
    [anon_sym___thiscall] = ACTIONS(2224),
    [anon_sym___vectorcall] = ACTIONS(2224),
    [anon_sym_LBRACE] = ACTIONS(2226),
    [anon_sym_LBRACK] = ACTIONS(2224),
    [anon_sym_static] = ACTIONS(2224),
    [anon_sym_register] = ACTIONS(2224),
    [anon_sym_inline] = ACTIONS(2224),
    [anon_sym___inline] = ACTIONS(2224),
    [anon_sym___inline__] = ACTIONS(2224),
    [anon_sym___forceinline] = ACTIONS(2224),
    [anon_sym_thread_local] = ACTIONS(2224),
    [anon_sym___thread] = ACTIONS(2224),
    [anon_sym_const] = ACTIONS(2224),
    [anon_sym_constexpr] = ACTIONS(2224),
    [anon_sym_volatile] = ACTIONS(2224),
    [anon_sym_restrict] = ACTIONS(2224),
    [anon_sym___restrict__] = ACTIONS(2224),
    [anon_sym__Atomic] = ACTIONS(2224),
    [anon_sym__Noreturn] = ACTIONS(2224),
    [anon_sym_noreturn] = ACTIONS(2224),
    [anon_sym_mutable] = ACTIONS(2224),
    [anon_sym_constinit] = ACTIONS(2224),
    [anon_sym_consteval] = ACTIONS(2224),
    [anon_sym_or] = ACTIONS(2224),
    [anon_sym_and] = ACTIONS(2224),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2224),
    [anon_sym_decltype] = ACTIONS(2224),
    [anon_sym_final] = ACTIONS(2224),
    [anon_sym_override] = ACTIONS(2224),
    [anon_sym_virtual] = ACTIONS(2224),
    [anon_sym_alignas] = ACTIONS(2224),
    [anon_sym_template] = ACTIONS(2224),
    [anon_sym_operator] = ACTIONS(2224),
    [anon_sym_try] = ACTIONS(2224),
    [anon_sym_requires] = ACTIONS(2224),
    [anon_sym_precise] = ACTIONS(2224),
    [anon_sym_shared] = ACTIONS(2224),
    [anon_sym_groupshared] = ACTIONS(2224),
    [anon_sym_uniform] = ACTIONS(2224),
    [anon_sym_row_major] = ACTIONS(2224),
    [anon_sym_column_major] = ACTIONS(2224),
    [anon_sym_globallycoherent] = ACTIONS(2224),
    [anon_sym_centroid] = ACTIONS(2224),
    [anon_sym_noperspective] = ACTIONS(2224),
    [anon_sym_nointerpolation] = ACTIONS(2224),
    [anon_sym_sample] = ACTIONS(2224),
    [anon_sym_linear] = ACTIONS(2224),
    [anon_sym_snorm] = ACTIONS(2224),
    [anon_sym_unorm] = ACTIONS(2224),
    [anon_sym_point] = ACTIONS(2224),
    [anon_sym_line] = ACTIONS(2224),
    [anon_sym_triangleadj] = ACTIONS(2224),
    [anon_sym_lineadj] = ACTIONS(2224),
    [anon_sym_triangle] = ACTIONS(2224),
  },
  [3031] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(3035),
    [sym_identifier] = ACTIONS(5966),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5968),
    [anon_sym_COMMA] = ACTIONS(5968),
    [anon_sym_RPAREN] = ACTIONS(5968),
    [anon_sym_LPAREN2] = ACTIONS(5968),
    [anon_sym_TILDE] = ACTIONS(5968),
    [anon_sym_STAR] = ACTIONS(5968),
    [anon_sym_AMP_AMP] = ACTIONS(5968),
    [anon_sym_AMP] = ACTIONS(5966),
    [anon_sym_COLON] = ACTIONS(5966),
    [anon_sym_SEMI] = ACTIONS(5968),
    [anon_sym___extension__] = ACTIONS(5966),
    [anon_sym_in] = ACTIONS(5966),
    [anon_sym_out] = ACTIONS(5966),
    [anon_sym_inout] = ACTIONS(5966),
    [anon_sym_extern] = ACTIONS(5966),
    [anon_sym___attribute__] = ACTIONS(5966),
    [anon_sym_COLON_COLON] = ACTIONS(5968),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5968),
    [anon_sym___declspec] = ACTIONS(5966),
    [anon_sym___based] = ACTIONS(5966),
    [anon_sym___cdecl] = ACTIONS(5966),
    [anon_sym___clrcall] = ACTIONS(5966),
    [anon_sym___stdcall] = ACTIONS(5966),
    [anon_sym___fastcall] = ACTIONS(5966),
    [anon_sym___thiscall] = ACTIONS(5966),
    [anon_sym___vectorcall] = ACTIONS(5966),
    [anon_sym_LBRACE] = ACTIONS(5968),
    [anon_sym_signed] = ACTIONS(5956),
    [anon_sym_unsigned] = ACTIONS(5956),
    [anon_sym_long] = ACTIONS(5956),
    [anon_sym_short] = ACTIONS(5956),
    [anon_sym_LBRACK] = ACTIONS(5966),
    [anon_sym_EQ] = ACTIONS(5968),
    [anon_sym_static] = ACTIONS(5966),
    [anon_sym_register] = ACTIONS(5966),
    [anon_sym_inline] = ACTIONS(5966),
    [anon_sym___inline] = ACTIONS(5966),
    [anon_sym___inline__] = ACTIONS(5966),
    [anon_sym___forceinline] = ACTIONS(5966),
    [anon_sym_thread_local] = ACTIONS(5966),
    [anon_sym___thread] = ACTIONS(5966),
    [anon_sym_const] = ACTIONS(5966),
    [anon_sym_constexpr] = ACTIONS(5966),
    [anon_sym_volatile] = ACTIONS(5966),
    [anon_sym_restrict] = ACTIONS(5966),
    [anon_sym___restrict__] = ACTIONS(5966),
    [anon_sym__Atomic] = ACTIONS(5966),
    [anon_sym__Noreturn] = ACTIONS(5966),
    [anon_sym_noreturn] = ACTIONS(5966),
    [anon_sym_mutable] = ACTIONS(5966),
    [anon_sym_constinit] = ACTIONS(5966),
    [anon_sym_consteval] = ACTIONS(5966),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5966),
    [anon_sym_decltype] = ACTIONS(5966),
    [anon_sym_virtual] = ACTIONS(5966),
    [anon_sym_alignas] = ACTIONS(5966),
    [anon_sym_template] = ACTIONS(5966),
    [anon_sym_GT2] = ACTIONS(5968),
    [anon_sym_operator] = ACTIONS(5966),
    [anon_sym_precise] = ACTIONS(5966),
    [anon_sym_shared] = ACTIONS(5966),
    [anon_sym_groupshared] = ACTIONS(5966),
    [anon_sym_uniform] = ACTIONS(5966),
    [anon_sym_row_major] = ACTIONS(5966),
    [anon_sym_column_major] = ACTIONS(5966),
    [anon_sym_globallycoherent] = ACTIONS(5966),
    [anon_sym_centroid] = ACTIONS(5966),
    [anon_sym_noperspective] = ACTIONS(5966),
    [anon_sym_nointerpolation] = ACTIONS(5966),
    [anon_sym_sample] = ACTIONS(5966),
    [anon_sym_linear] = ACTIONS(5966),
    [anon_sym_snorm] = ACTIONS(5966),
    [anon_sym_unorm] = ACTIONS(5966),
    [anon_sym_point] = ACTIONS(5966),
    [anon_sym_line] = ACTIONS(5966),
    [anon_sym_triangleadj] = ACTIONS(5966),
    [anon_sym_lineadj] = ACTIONS(5966),
    [anon_sym_triangle] = ACTIONS(5966),
  },
  [3032] = {
    [sym_template_argument_list] = STATE(3017),
    [sym_identifier] = ACTIONS(2232),
    [anon_sym_RPAREN] = ACTIONS(2234),
    [anon_sym_LPAREN2] = ACTIONS(2234),
    [anon_sym_TILDE] = ACTIONS(2234),
    [anon_sym_STAR] = ACTIONS(2234),
    [anon_sym_PIPE_PIPE] = ACTIONS(2234),
    [anon_sym_AMP_AMP] = ACTIONS(2234),
    [anon_sym_AMP] = ACTIONS(2232),
    [anon_sym_LT] = ACTIONS(5900),
    [anon_sym_COLON] = ACTIONS(2232),
    [anon_sym_SEMI] = ACTIONS(2234),
    [anon_sym___extension__] = ACTIONS(2232),
    [anon_sym_in] = ACTIONS(2232),
    [anon_sym_out] = ACTIONS(2232),
    [anon_sym_inout] = ACTIONS(2232),
    [anon_sym_extern] = ACTIONS(2232),
    [anon_sym___attribute__] = ACTIONS(2232),
    [anon_sym_COLON_COLON] = ACTIONS(2230),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2234),
    [anon_sym___declspec] = ACTIONS(2232),
    [anon_sym___based] = ACTIONS(2232),
    [anon_sym___cdecl] = ACTIONS(2232),
    [anon_sym___clrcall] = ACTIONS(2232),
    [anon_sym___stdcall] = ACTIONS(2232),
    [anon_sym___fastcall] = ACTIONS(2232),
    [anon_sym___thiscall] = ACTIONS(2232),
    [anon_sym___vectorcall] = ACTIONS(2232),
    [anon_sym_LBRACE] = ACTIONS(2234),
    [anon_sym_LBRACK] = ACTIONS(2232),
    [anon_sym_static] = ACTIONS(2232),
    [anon_sym_register] = ACTIONS(2232),
    [anon_sym_inline] = ACTIONS(2232),
    [anon_sym___inline] = ACTIONS(2232),
    [anon_sym___inline__] = ACTIONS(2232),
    [anon_sym___forceinline] = ACTIONS(2232),
    [anon_sym_thread_local] = ACTIONS(2232),
    [anon_sym___thread] = ACTIONS(2232),
    [anon_sym_const] = ACTIONS(2232),
    [anon_sym_constexpr] = ACTIONS(2232),
    [anon_sym_volatile] = ACTIONS(2232),
    [anon_sym_restrict] = ACTIONS(2232),
    [anon_sym___restrict__] = ACTIONS(2232),
    [anon_sym__Atomic] = ACTIONS(2232),
    [anon_sym__Noreturn] = ACTIONS(2232),
    [anon_sym_noreturn] = ACTIONS(2232),
    [anon_sym_mutable] = ACTIONS(2232),
    [anon_sym_constinit] = ACTIONS(2232),
    [anon_sym_consteval] = ACTIONS(2232),
    [anon_sym_or] = ACTIONS(2232),
    [anon_sym_and] = ACTIONS(2232),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2232),
    [anon_sym_decltype] = ACTIONS(2232),
    [anon_sym_final] = ACTIONS(2232),
    [anon_sym_override] = ACTIONS(2232),
    [anon_sym_virtual] = ACTIONS(2232),
    [anon_sym_alignas] = ACTIONS(2232),
    [anon_sym_template] = ACTIONS(2232),
    [anon_sym_operator] = ACTIONS(2232),
    [anon_sym_try] = ACTIONS(2232),
    [anon_sym_requires] = ACTIONS(2232),
    [anon_sym_precise] = ACTIONS(2232),
    [anon_sym_shared] = ACTIONS(2232),
    [anon_sym_groupshared] = ACTIONS(2232),
    [anon_sym_uniform] = ACTIONS(2232),
    [anon_sym_row_major] = ACTIONS(2232),
    [anon_sym_column_major] = ACTIONS(2232),
    [anon_sym_globallycoherent] = ACTIONS(2232),
    [anon_sym_centroid] = ACTIONS(2232),
    [anon_sym_noperspective] = ACTIONS(2232),
    [anon_sym_nointerpolation] = ACTIONS(2232),
    [anon_sym_sample] = ACTIONS(2232),
    [anon_sym_linear] = ACTIONS(2232),
    [anon_sym_snorm] = ACTIONS(2232),
    [anon_sym_unorm] = ACTIONS(2232),
    [anon_sym_point] = ACTIONS(2232),
    [anon_sym_line] = ACTIONS(2232),
    [anon_sym_triangleadj] = ACTIONS(2232),
    [anon_sym_lineadj] = ACTIONS(2232),
    [anon_sym_triangle] = ACTIONS(2232),
  },
  [3033] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(3031),
    [sym_identifier] = ACTIONS(5970),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5972),
    [anon_sym_COMMA] = ACTIONS(5972),
    [anon_sym_RPAREN] = ACTIONS(5972),
    [anon_sym_LPAREN2] = ACTIONS(5972),
    [anon_sym_TILDE] = ACTIONS(5972),
    [anon_sym_STAR] = ACTIONS(5972),
    [anon_sym_AMP_AMP] = ACTIONS(5972),
    [anon_sym_AMP] = ACTIONS(5970),
    [anon_sym_COLON] = ACTIONS(5970),
    [anon_sym_SEMI] = ACTIONS(5972),
    [anon_sym___extension__] = ACTIONS(5970),
    [anon_sym_in] = ACTIONS(5970),
    [anon_sym_out] = ACTIONS(5970),
    [anon_sym_inout] = ACTIONS(5970),
    [anon_sym_extern] = ACTIONS(5970),
    [anon_sym___attribute__] = ACTIONS(5970),
    [anon_sym_COLON_COLON] = ACTIONS(5972),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5972),
    [anon_sym___declspec] = ACTIONS(5970),
    [anon_sym___based] = ACTIONS(5970),
    [anon_sym___cdecl] = ACTIONS(5970),
    [anon_sym___clrcall] = ACTIONS(5970),
    [anon_sym___stdcall] = ACTIONS(5970),
    [anon_sym___fastcall] = ACTIONS(5970),
    [anon_sym___thiscall] = ACTIONS(5970),
    [anon_sym___vectorcall] = ACTIONS(5970),
    [anon_sym_LBRACE] = ACTIONS(5972),
    [anon_sym_signed] = ACTIONS(5938),
    [anon_sym_unsigned] = ACTIONS(5938),
    [anon_sym_long] = ACTIONS(5938),
    [anon_sym_short] = ACTIONS(5938),
    [anon_sym_LBRACK] = ACTIONS(5970),
    [anon_sym_EQ] = ACTIONS(5972),
    [anon_sym_static] = ACTIONS(5970),
    [anon_sym_register] = ACTIONS(5970),
    [anon_sym_inline] = ACTIONS(5970),
    [anon_sym___inline] = ACTIONS(5970),
    [anon_sym___inline__] = ACTIONS(5970),
    [anon_sym___forceinline] = ACTIONS(5970),
    [anon_sym_thread_local] = ACTIONS(5970),
    [anon_sym___thread] = ACTIONS(5970),
    [anon_sym_const] = ACTIONS(5970),
    [anon_sym_constexpr] = ACTIONS(5970),
    [anon_sym_volatile] = ACTIONS(5970),
    [anon_sym_restrict] = ACTIONS(5970),
    [anon_sym___restrict__] = ACTIONS(5970),
    [anon_sym__Atomic] = ACTIONS(5970),
    [anon_sym__Noreturn] = ACTIONS(5970),
    [anon_sym_noreturn] = ACTIONS(5970),
    [anon_sym_mutable] = ACTIONS(5970),
    [anon_sym_constinit] = ACTIONS(5970),
    [anon_sym_consteval] = ACTIONS(5970),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5970),
    [anon_sym_decltype] = ACTIONS(5970),
    [anon_sym_virtual] = ACTIONS(5970),
    [anon_sym_alignas] = ACTIONS(5970),
    [anon_sym_template] = ACTIONS(5970),
    [anon_sym_GT2] = ACTIONS(5972),
    [anon_sym_operator] = ACTIONS(5970),
    [anon_sym_precise] = ACTIONS(5970),
    [anon_sym_shared] = ACTIONS(5970),
    [anon_sym_groupshared] = ACTIONS(5970),
    [anon_sym_uniform] = ACTIONS(5970),
    [anon_sym_row_major] = ACTIONS(5970),
    [anon_sym_column_major] = ACTIONS(5970),
    [anon_sym_globallycoherent] = ACTIONS(5970),
    [anon_sym_centroid] = ACTIONS(5970),
    [anon_sym_noperspective] = ACTIONS(5970),
    [anon_sym_nointerpolation] = ACTIONS(5970),
    [anon_sym_sample] = ACTIONS(5970),
    [anon_sym_linear] = ACTIONS(5970),
    [anon_sym_snorm] = ACTIONS(5970),
    [anon_sym_unorm] = ACTIONS(5970),
    [anon_sym_point] = ACTIONS(5970),
    [anon_sym_line] = ACTIONS(5970),
    [anon_sym_triangleadj] = ACTIONS(5970),
    [anon_sym_lineadj] = ACTIONS(5970),
    [anon_sym_triangle] = ACTIONS(5970),
  },
  [3034] = {
    [sym_identifier] = ACTIONS(5974),
    [anon_sym_LPAREN2] = ACTIONS(5976),
    [anon_sym_STAR] = ACTIONS(5976),
    [anon_sym_AMP_AMP] = ACTIONS(5976),
    [anon_sym_AMP] = ACTIONS(5978),
    [anon_sym_LT] = ACTIONS(5976),
    [anon_sym___extension__] = ACTIONS(5974),
    [anon_sym_in] = ACTIONS(5974),
    [anon_sym_out] = ACTIONS(5974),
    [anon_sym_inout] = ACTIONS(5974),
    [anon_sym_extern] = ACTIONS(5974),
    [anon_sym___attribute__] = ACTIONS(5974),
    [anon_sym_COLON_COLON] = ACTIONS(5980),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5980),
    [anon_sym___declspec] = ACTIONS(5974),
    [anon_sym___cdecl] = ACTIONS(5974),
    [anon_sym___clrcall] = ACTIONS(5974),
    [anon_sym___stdcall] = ACTIONS(5974),
    [anon_sym___fastcall] = ACTIONS(5974),
    [anon_sym___thiscall] = ACTIONS(5974),
    [anon_sym___vectorcall] = ACTIONS(5974),
    [anon_sym_LBRACE] = ACTIONS(5976),
    [anon_sym_signed] = ACTIONS(5974),
    [anon_sym_unsigned] = ACTIONS(5974),
    [anon_sym_long] = ACTIONS(5974),
    [anon_sym_short] = ACTIONS(5974),
    [anon_sym_LBRACK] = ACTIONS(5978),
    [anon_sym_EQ] = ACTIONS(5982),
    [anon_sym_static] = ACTIONS(5974),
    [anon_sym_register] = ACTIONS(5974),
    [anon_sym_inline] = ACTIONS(5974),
    [anon_sym___inline] = ACTIONS(5974),
    [anon_sym___inline__] = ACTIONS(5974),
    [anon_sym___forceinline] = ACTIONS(5974),
    [anon_sym_thread_local] = ACTIONS(5974),
    [anon_sym___thread] = ACTIONS(5974),
    [anon_sym_const] = ACTIONS(5974),
    [anon_sym_constexpr] = ACTIONS(5974),
    [anon_sym_volatile] = ACTIONS(5974),
    [anon_sym_restrict] = ACTIONS(5974),
    [anon_sym___restrict__] = ACTIONS(5974),
    [anon_sym__Atomic] = ACTIONS(5974),
    [anon_sym__Noreturn] = ACTIONS(5974),
    [anon_sym_noreturn] = ACTIONS(5974),
    [anon_sym_mutable] = ACTIONS(5974),
    [anon_sym_constinit] = ACTIONS(5974),
    [anon_sym_consteval] = ACTIONS(5974),
    [sym_primitive_type] = ACTIONS(5974),
    [anon_sym_enum] = ACTIONS(5974),
    [anon_sym_class] = ACTIONS(5974),
    [anon_sym_struct] = ACTIONS(5974),
    [anon_sym_union] = ACTIONS(5974),
    [anon_sym_if] = ACTIONS(5974),
    [anon_sym_for] = ACTIONS(5974),
    [anon_sym_DOT] = ACTIONS(5982),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5974),
    [anon_sym_decltype] = ACTIONS(5974),
    [anon_sym_virtual] = ACTIONS(5974),
    [anon_sym_alignas] = ACTIONS(5974),
    [anon_sym_typename] = ACTIONS(5974),
    [anon_sym_template] = ACTIONS(5974),
    [anon_sym_precise] = ACTIONS(5974),
    [anon_sym_shared] = ACTIONS(5974),
    [anon_sym_groupshared] = ACTIONS(5974),
    [anon_sym_uniform] = ACTIONS(5974),
    [anon_sym_row_major] = ACTIONS(5974),
    [anon_sym_column_major] = ACTIONS(5974),
    [anon_sym_globallycoherent] = ACTIONS(5974),
    [anon_sym_centroid] = ACTIONS(5974),
    [anon_sym_noperspective] = ACTIONS(5974),
    [anon_sym_nointerpolation] = ACTIONS(5974),
    [anon_sym_sample] = ACTIONS(5974),
    [anon_sym_linear] = ACTIONS(5974),
    [anon_sym_snorm] = ACTIONS(5974),
    [anon_sym_unorm] = ACTIONS(5974),
    [anon_sym_point] = ACTIONS(5974),
    [anon_sym_line] = ACTIONS(5974),
    [anon_sym_triangleadj] = ACTIONS(5974),
    [anon_sym_lineadj] = ACTIONS(5974),
    [anon_sym_triangle] = ACTIONS(5974),
  },
  [3035] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(3035),
    [sym_identifier] = ACTIONS(5840),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5842),
    [anon_sym_COMMA] = ACTIONS(5842),
    [anon_sym_RPAREN] = ACTIONS(5842),
    [anon_sym_LPAREN2] = ACTIONS(5842),
    [anon_sym_TILDE] = ACTIONS(5842),
    [anon_sym_STAR] = ACTIONS(5842),
    [anon_sym_AMP_AMP] = ACTIONS(5842),
    [anon_sym_AMP] = ACTIONS(5840),
    [anon_sym_COLON] = ACTIONS(5840),
    [anon_sym_SEMI] = ACTIONS(5842),
    [anon_sym___extension__] = ACTIONS(5840),
    [anon_sym_in] = ACTIONS(5840),
    [anon_sym_out] = ACTIONS(5840),
    [anon_sym_inout] = ACTIONS(5840),
    [anon_sym_extern] = ACTIONS(5840),
    [anon_sym___attribute__] = ACTIONS(5840),
    [anon_sym_COLON_COLON] = ACTIONS(5842),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5842),
    [anon_sym___declspec] = ACTIONS(5840),
    [anon_sym___based] = ACTIONS(5840),
    [anon_sym___cdecl] = ACTIONS(5840),
    [anon_sym___clrcall] = ACTIONS(5840),
    [anon_sym___stdcall] = ACTIONS(5840),
    [anon_sym___fastcall] = ACTIONS(5840),
    [anon_sym___thiscall] = ACTIONS(5840),
    [anon_sym___vectorcall] = ACTIONS(5840),
    [anon_sym_LBRACE] = ACTIONS(5842),
    [anon_sym_signed] = ACTIONS(5984),
    [anon_sym_unsigned] = ACTIONS(5984),
    [anon_sym_long] = ACTIONS(5984),
    [anon_sym_short] = ACTIONS(5984),
    [anon_sym_LBRACK] = ACTIONS(5840),
    [anon_sym_EQ] = ACTIONS(5842),
    [anon_sym_static] = ACTIONS(5840),
    [anon_sym_register] = ACTIONS(5840),
    [anon_sym_inline] = ACTIONS(5840),
    [anon_sym___inline] = ACTIONS(5840),
    [anon_sym___inline__] = ACTIONS(5840),
    [anon_sym___forceinline] = ACTIONS(5840),
    [anon_sym_thread_local] = ACTIONS(5840),
    [anon_sym___thread] = ACTIONS(5840),
    [anon_sym_const] = ACTIONS(5840),
    [anon_sym_constexpr] = ACTIONS(5840),
    [anon_sym_volatile] = ACTIONS(5840),
    [anon_sym_restrict] = ACTIONS(5840),
    [anon_sym___restrict__] = ACTIONS(5840),
    [anon_sym__Atomic] = ACTIONS(5840),
    [anon_sym__Noreturn] = ACTIONS(5840),
    [anon_sym_noreturn] = ACTIONS(5840),
    [anon_sym_mutable] = ACTIONS(5840),
    [anon_sym_constinit] = ACTIONS(5840),
    [anon_sym_consteval] = ACTIONS(5840),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5840),
    [anon_sym_decltype] = ACTIONS(5840),
    [anon_sym_virtual] = ACTIONS(5840),
    [anon_sym_alignas] = ACTIONS(5840),
    [anon_sym_template] = ACTIONS(5840),
    [anon_sym_GT2] = ACTIONS(5842),
    [anon_sym_operator] = ACTIONS(5840),
    [anon_sym_precise] = ACTIONS(5840),
    [anon_sym_shared] = ACTIONS(5840),
    [anon_sym_groupshared] = ACTIONS(5840),
    [anon_sym_uniform] = ACTIONS(5840),
    [anon_sym_row_major] = ACTIONS(5840),
    [anon_sym_column_major] = ACTIONS(5840),
    [anon_sym_globallycoherent] = ACTIONS(5840),
    [anon_sym_centroid] = ACTIONS(5840),
    [anon_sym_noperspective] = ACTIONS(5840),
    [anon_sym_nointerpolation] = ACTIONS(5840),
    [anon_sym_sample] = ACTIONS(5840),
    [anon_sym_linear] = ACTIONS(5840),
    [anon_sym_snorm] = ACTIONS(5840),
    [anon_sym_unorm] = ACTIONS(5840),
    [anon_sym_point] = ACTIONS(5840),
    [anon_sym_line] = ACTIONS(5840),
    [anon_sym_triangleadj] = ACTIONS(5840),
    [anon_sym_lineadj] = ACTIONS(5840),
    [anon_sym_triangle] = ACTIONS(5840),
  },
  [3036] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(3028),
    [sym_identifier] = ACTIONS(5987),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5989),
    [anon_sym_COMMA] = ACTIONS(5989),
    [anon_sym_RPAREN] = ACTIONS(5989),
    [anon_sym_LPAREN2] = ACTIONS(5989),
    [anon_sym_TILDE] = ACTIONS(5989),
    [anon_sym_STAR] = ACTIONS(5989),
    [anon_sym_AMP_AMP] = ACTIONS(5989),
    [anon_sym_AMP] = ACTIONS(5987),
    [anon_sym_COLON] = ACTIONS(5987),
    [anon_sym_SEMI] = ACTIONS(5989),
    [anon_sym___extension__] = ACTIONS(5987),
    [anon_sym_in] = ACTIONS(5987),
    [anon_sym_out] = ACTIONS(5987),
    [anon_sym_inout] = ACTIONS(5987),
    [anon_sym_extern] = ACTIONS(5987),
    [anon_sym___attribute__] = ACTIONS(5987),
    [anon_sym_COLON_COLON] = ACTIONS(5989),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5989),
    [anon_sym___declspec] = ACTIONS(5987),
    [anon_sym___based] = ACTIONS(5987),
    [anon_sym___cdecl] = ACTIONS(5987),
    [anon_sym___clrcall] = ACTIONS(5987),
    [anon_sym___stdcall] = ACTIONS(5987),
    [anon_sym___fastcall] = ACTIONS(5987),
    [anon_sym___thiscall] = ACTIONS(5987),
    [anon_sym___vectorcall] = ACTIONS(5987),
    [anon_sym_LBRACE] = ACTIONS(5989),
    [anon_sym_signed] = ACTIONS(5991),
    [anon_sym_unsigned] = ACTIONS(5991),
    [anon_sym_long] = ACTIONS(5991),
    [anon_sym_short] = ACTIONS(5991),
    [anon_sym_LBRACK] = ACTIONS(5987),
    [anon_sym_EQ] = ACTIONS(5989),
    [anon_sym_static] = ACTIONS(5987),
    [anon_sym_register] = ACTIONS(5987),
    [anon_sym_inline] = ACTIONS(5987),
    [anon_sym___inline] = ACTIONS(5987),
    [anon_sym___inline__] = ACTIONS(5987),
    [anon_sym___forceinline] = ACTIONS(5987),
    [anon_sym_thread_local] = ACTIONS(5987),
    [anon_sym___thread] = ACTIONS(5987),
    [anon_sym_const] = ACTIONS(5987),
    [anon_sym_constexpr] = ACTIONS(5987),
    [anon_sym_volatile] = ACTIONS(5987),
    [anon_sym_restrict] = ACTIONS(5987),
    [anon_sym___restrict__] = ACTIONS(5987),
    [anon_sym__Atomic] = ACTIONS(5987),
    [anon_sym__Noreturn] = ACTIONS(5987),
    [anon_sym_noreturn] = ACTIONS(5987),
    [anon_sym_mutable] = ACTIONS(5987),
    [anon_sym_constinit] = ACTIONS(5987),
    [anon_sym_consteval] = ACTIONS(5987),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5987),
    [anon_sym_decltype] = ACTIONS(5987),
    [anon_sym_virtual] = ACTIONS(5987),
    [anon_sym_alignas] = ACTIONS(5987),
    [anon_sym_template] = ACTIONS(5987),
    [anon_sym_GT2] = ACTIONS(5989),
    [anon_sym_operator] = ACTIONS(5987),
    [anon_sym_precise] = ACTIONS(5987),
    [anon_sym_shared] = ACTIONS(5987),
    [anon_sym_groupshared] = ACTIONS(5987),
    [anon_sym_uniform] = ACTIONS(5987),
    [anon_sym_row_major] = ACTIONS(5987),
    [anon_sym_column_major] = ACTIONS(5987),
    [anon_sym_globallycoherent] = ACTIONS(5987),
    [anon_sym_centroid] = ACTIONS(5987),
    [anon_sym_noperspective] = ACTIONS(5987),
    [anon_sym_nointerpolation] = ACTIONS(5987),
    [anon_sym_sample] = ACTIONS(5987),
    [anon_sym_linear] = ACTIONS(5987),
    [anon_sym_snorm] = ACTIONS(5987),
    [anon_sym_unorm] = ACTIONS(5987),
    [anon_sym_point] = ACTIONS(5987),
    [anon_sym_line] = ACTIONS(5987),
    [anon_sym_triangleadj] = ACTIONS(5987),
    [anon_sym_lineadj] = ACTIONS(5987),
    [anon_sym_triangle] = ACTIONS(5987),
  },
  [3037] = {
    [sym__declaration_modifiers] = STATE(3012),
    [sym_attribute_specifier] = STATE(3012),
    [sym_attribute_declaration] = STATE(3012),
    [sym_ms_declspec_modifier] = STATE(3012),
    [sym_storage_class_specifier] = STATE(3012),
    [sym_type_qualifier] = STATE(3012),
    [sym_decltype_auto] = STATE(3065),
    [sym_virtual] = STATE(3012),
    [sym_alignas_specifier] = STATE(3012),
    [sym_qualifiers] = STATE(3012),
    [aux_sym__declaration_specifiers_repeat1] = STATE(3012),
    [sym_identifier] = ACTIONS(5800),
    [anon_sym_LPAREN2] = ACTIONS(5802),
    [anon_sym_TILDE] = ACTIONS(5802),
    [anon_sym_STAR] = ACTIONS(5802),
    [anon_sym_AMP_AMP] = ACTIONS(5802),
    [anon_sym_AMP] = ACTIONS(5800),
    [anon_sym_SEMI] = ACTIONS(5993),
    [anon_sym___extension__] = ACTIONS(5575),
    [anon_sym_in] = ACTIONS(5804),
    [anon_sym_out] = ACTIONS(5804),
    [anon_sym_inout] = ACTIONS(5804),
    [anon_sym_extern] = ACTIONS(5579),
    [anon_sym___attribute__] = ACTIONS(5581),
    [anon_sym_COLON_COLON] = ACTIONS(5802),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5585),
    [anon_sym___declspec] = ACTIONS(5587),
    [anon_sym___based] = ACTIONS(5800),
    [anon_sym___cdecl] = ACTIONS(5800),
    [anon_sym___clrcall] = ACTIONS(5800),
    [anon_sym___stdcall] = ACTIONS(5800),
    [anon_sym___fastcall] = ACTIONS(5800),
    [anon_sym___thiscall] = ACTIONS(5800),
    [anon_sym___vectorcall] = ACTIONS(5800),
    [anon_sym_LBRACK] = ACTIONS(5800),
    [anon_sym_static] = ACTIONS(5579),
    [anon_sym_register] = ACTIONS(5579),
    [anon_sym_inline] = ACTIONS(5579),
    [anon_sym___inline] = ACTIONS(5579),
    [anon_sym___inline__] = ACTIONS(5579),
    [anon_sym___forceinline] = ACTIONS(5579),
    [anon_sym_thread_local] = ACTIONS(5579),
    [anon_sym___thread] = ACTIONS(5579),
    [anon_sym_const] = ACTIONS(5575),
    [anon_sym_constexpr] = ACTIONS(5575),
    [anon_sym_volatile] = ACTIONS(5575),
    [anon_sym_restrict] = ACTIONS(5575),
    [anon_sym___restrict__] = ACTIONS(5575),
    [anon_sym__Atomic] = ACTIONS(5575),
    [anon_sym__Noreturn] = ACTIONS(5575),
    [anon_sym_noreturn] = ACTIONS(5575),
    [anon_sym_mutable] = ACTIONS(5575),
    [anon_sym_constinit] = ACTIONS(5575),
    [anon_sym_consteval] = ACTIONS(5575),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5806),
    [anon_sym_decltype] = ACTIONS(5808),
    [anon_sym_virtual] = ACTIONS(5589),
    [anon_sym_alignas] = ACTIONS(5591),
    [anon_sym_template] = ACTIONS(5800),
    [anon_sym_operator] = ACTIONS(5800),
    [anon_sym_precise] = ACTIONS(5593),
    [anon_sym_shared] = ACTIONS(5593),
    [anon_sym_groupshared] = ACTIONS(5593),
    [anon_sym_uniform] = ACTIONS(5593),
    [anon_sym_row_major] = ACTIONS(5593),
    [anon_sym_column_major] = ACTIONS(5593),
    [anon_sym_globallycoherent] = ACTIONS(5593),
    [anon_sym_centroid] = ACTIONS(5593),
    [anon_sym_noperspective] = ACTIONS(5593),
    [anon_sym_nointerpolation] = ACTIONS(5593),
    [anon_sym_sample] = ACTIONS(5593),
    [anon_sym_linear] = ACTIONS(5593),
    [anon_sym_snorm] = ACTIONS(5593),
    [anon_sym_unorm] = ACTIONS(5593),
    [anon_sym_point] = ACTIONS(5593),
    [anon_sym_line] = ACTIONS(5593),
    [anon_sym_triangleadj] = ACTIONS(5593),
    [anon_sym_lineadj] = ACTIONS(5593),
    [anon_sym_triangle] = ACTIONS(5593),
  },
  [3038] = {
    [sym__declaration_modifiers] = STATE(3012),
    [sym_attribute_specifier] = STATE(3012),
    [sym_attribute_declaration] = STATE(3012),
    [sym_ms_declspec_modifier] = STATE(3012),
    [sym_storage_class_specifier] = STATE(3012),
    [sym_type_qualifier] = STATE(3012),
    [sym_decltype_auto] = STATE(3065),
    [sym_virtual] = STATE(3012),
    [sym_alignas_specifier] = STATE(3012),
    [sym_qualifiers] = STATE(3012),
    [aux_sym__declaration_specifiers_repeat1] = STATE(3012),
    [sym_identifier] = ACTIONS(5800),
    [anon_sym_LPAREN2] = ACTIONS(5802),
    [anon_sym_TILDE] = ACTIONS(5802),
    [anon_sym_STAR] = ACTIONS(5802),
    [anon_sym_AMP_AMP] = ACTIONS(5802),
    [anon_sym_AMP] = ACTIONS(5800),
    [anon_sym_SEMI] = ACTIONS(5995),
    [anon_sym___extension__] = ACTIONS(5575),
    [anon_sym_in] = ACTIONS(5804),
    [anon_sym_out] = ACTIONS(5804),
    [anon_sym_inout] = ACTIONS(5804),
    [anon_sym_extern] = ACTIONS(5579),
    [anon_sym___attribute__] = ACTIONS(5581),
    [anon_sym_COLON_COLON] = ACTIONS(5802),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5585),
    [anon_sym___declspec] = ACTIONS(5587),
    [anon_sym___based] = ACTIONS(5800),
    [anon_sym___cdecl] = ACTIONS(5800),
    [anon_sym___clrcall] = ACTIONS(5800),
    [anon_sym___stdcall] = ACTIONS(5800),
    [anon_sym___fastcall] = ACTIONS(5800),
    [anon_sym___thiscall] = ACTIONS(5800),
    [anon_sym___vectorcall] = ACTIONS(5800),
    [anon_sym_LBRACK] = ACTIONS(5800),
    [anon_sym_static] = ACTIONS(5579),
    [anon_sym_register] = ACTIONS(5579),
    [anon_sym_inline] = ACTIONS(5579),
    [anon_sym___inline] = ACTIONS(5579),
    [anon_sym___inline__] = ACTIONS(5579),
    [anon_sym___forceinline] = ACTIONS(5579),
    [anon_sym_thread_local] = ACTIONS(5579),
    [anon_sym___thread] = ACTIONS(5579),
    [anon_sym_const] = ACTIONS(5575),
    [anon_sym_constexpr] = ACTIONS(5575),
    [anon_sym_volatile] = ACTIONS(5575),
    [anon_sym_restrict] = ACTIONS(5575),
    [anon_sym___restrict__] = ACTIONS(5575),
    [anon_sym__Atomic] = ACTIONS(5575),
    [anon_sym__Noreturn] = ACTIONS(5575),
    [anon_sym_noreturn] = ACTIONS(5575),
    [anon_sym_mutable] = ACTIONS(5575),
    [anon_sym_constinit] = ACTIONS(5575),
    [anon_sym_consteval] = ACTIONS(5575),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5806),
    [anon_sym_decltype] = ACTIONS(5808),
    [anon_sym_virtual] = ACTIONS(5589),
    [anon_sym_alignas] = ACTIONS(5591),
    [anon_sym_template] = ACTIONS(5800),
    [anon_sym_operator] = ACTIONS(5800),
    [anon_sym_precise] = ACTIONS(5593),
    [anon_sym_shared] = ACTIONS(5593),
    [anon_sym_groupshared] = ACTIONS(5593),
    [anon_sym_uniform] = ACTIONS(5593),
    [anon_sym_row_major] = ACTIONS(5593),
    [anon_sym_column_major] = ACTIONS(5593),
    [anon_sym_globallycoherent] = ACTIONS(5593),
    [anon_sym_centroid] = ACTIONS(5593),
    [anon_sym_noperspective] = ACTIONS(5593),
    [anon_sym_nointerpolation] = ACTIONS(5593),
    [anon_sym_sample] = ACTIONS(5593),
    [anon_sym_linear] = ACTIONS(5593),
    [anon_sym_snorm] = ACTIONS(5593),
    [anon_sym_unorm] = ACTIONS(5593),
    [anon_sym_point] = ACTIONS(5593),
    [anon_sym_line] = ACTIONS(5593),
    [anon_sym_triangleadj] = ACTIONS(5593),
    [anon_sym_lineadj] = ACTIONS(5593),
    [anon_sym_triangle] = ACTIONS(5593),
  },
  [3039] = {
    [sym__declaration_modifiers] = STATE(3012),
    [sym_attribute_specifier] = STATE(3012),
    [sym_attribute_declaration] = STATE(3012),
    [sym_ms_declspec_modifier] = STATE(3012),
    [sym_storage_class_specifier] = STATE(3012),
    [sym_type_qualifier] = STATE(3012),
    [sym_decltype_auto] = STATE(3065),
    [sym_virtual] = STATE(3012),
    [sym_alignas_specifier] = STATE(3012),
    [sym_qualifiers] = STATE(3012),
    [aux_sym__declaration_specifiers_repeat1] = STATE(3012),
    [sym_identifier] = ACTIONS(5800),
    [anon_sym_LPAREN2] = ACTIONS(5802),
    [anon_sym_TILDE] = ACTIONS(5802),
    [anon_sym_STAR] = ACTIONS(5802),
    [anon_sym_AMP_AMP] = ACTIONS(5802),
    [anon_sym_AMP] = ACTIONS(5800),
    [anon_sym_SEMI] = ACTIONS(5997),
    [anon_sym___extension__] = ACTIONS(5575),
    [anon_sym_in] = ACTIONS(5804),
    [anon_sym_out] = ACTIONS(5804),
    [anon_sym_inout] = ACTIONS(5804),
    [anon_sym_extern] = ACTIONS(5579),
    [anon_sym___attribute__] = ACTIONS(5581),
    [anon_sym_COLON_COLON] = ACTIONS(5802),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5585),
    [anon_sym___declspec] = ACTIONS(5587),
    [anon_sym___based] = ACTIONS(5800),
    [anon_sym___cdecl] = ACTIONS(5800),
    [anon_sym___clrcall] = ACTIONS(5800),
    [anon_sym___stdcall] = ACTIONS(5800),
    [anon_sym___fastcall] = ACTIONS(5800),
    [anon_sym___thiscall] = ACTIONS(5800),
    [anon_sym___vectorcall] = ACTIONS(5800),
    [anon_sym_LBRACK] = ACTIONS(5800),
    [anon_sym_static] = ACTIONS(5579),
    [anon_sym_register] = ACTIONS(5579),
    [anon_sym_inline] = ACTIONS(5579),
    [anon_sym___inline] = ACTIONS(5579),
    [anon_sym___inline__] = ACTIONS(5579),
    [anon_sym___forceinline] = ACTIONS(5579),
    [anon_sym_thread_local] = ACTIONS(5579),
    [anon_sym___thread] = ACTIONS(5579),
    [anon_sym_const] = ACTIONS(5575),
    [anon_sym_constexpr] = ACTIONS(5575),
    [anon_sym_volatile] = ACTIONS(5575),
    [anon_sym_restrict] = ACTIONS(5575),
    [anon_sym___restrict__] = ACTIONS(5575),
    [anon_sym__Atomic] = ACTIONS(5575),
    [anon_sym__Noreturn] = ACTIONS(5575),
    [anon_sym_noreturn] = ACTIONS(5575),
    [anon_sym_mutable] = ACTIONS(5575),
    [anon_sym_constinit] = ACTIONS(5575),
    [anon_sym_consteval] = ACTIONS(5575),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5806),
    [anon_sym_decltype] = ACTIONS(5808),
    [anon_sym_virtual] = ACTIONS(5589),
    [anon_sym_alignas] = ACTIONS(5591),
    [anon_sym_template] = ACTIONS(5800),
    [anon_sym_operator] = ACTIONS(5800),
    [anon_sym_precise] = ACTIONS(5593),
    [anon_sym_shared] = ACTIONS(5593),
    [anon_sym_groupshared] = ACTIONS(5593),
    [anon_sym_uniform] = ACTIONS(5593),
    [anon_sym_row_major] = ACTIONS(5593),
    [anon_sym_column_major] = ACTIONS(5593),
    [anon_sym_globallycoherent] = ACTIONS(5593),
    [anon_sym_centroid] = ACTIONS(5593),
    [anon_sym_noperspective] = ACTIONS(5593),
    [anon_sym_nointerpolation] = ACTIONS(5593),
    [anon_sym_sample] = ACTIONS(5593),
    [anon_sym_linear] = ACTIONS(5593),
    [anon_sym_snorm] = ACTIONS(5593),
    [anon_sym_unorm] = ACTIONS(5593),
    [anon_sym_point] = ACTIONS(5593),
    [anon_sym_line] = ACTIONS(5593),
    [anon_sym_triangleadj] = ACTIONS(5593),
    [anon_sym_lineadj] = ACTIONS(5593),
    [anon_sym_triangle] = ACTIONS(5593),
  },
  [3040] = {
    [sym__declaration_modifiers] = STATE(3012),
    [sym_attribute_specifier] = STATE(3012),
    [sym_attribute_declaration] = STATE(3012),
    [sym_ms_declspec_modifier] = STATE(3012),
    [sym_storage_class_specifier] = STATE(3012),
    [sym_type_qualifier] = STATE(3012),
    [sym_decltype_auto] = STATE(3065),
    [sym_virtual] = STATE(3012),
    [sym_alignas_specifier] = STATE(3012),
    [sym_qualifiers] = STATE(3012),
    [aux_sym__declaration_specifiers_repeat1] = STATE(3012),
    [sym_identifier] = ACTIONS(5800),
    [anon_sym_LPAREN2] = ACTIONS(5802),
    [anon_sym_TILDE] = ACTIONS(5802),
    [anon_sym_STAR] = ACTIONS(5802),
    [anon_sym_AMP_AMP] = ACTIONS(5802),
    [anon_sym_AMP] = ACTIONS(5800),
    [anon_sym_SEMI] = ACTIONS(5999),
    [anon_sym___extension__] = ACTIONS(5575),
    [anon_sym_in] = ACTIONS(5804),
    [anon_sym_out] = ACTIONS(5804),
    [anon_sym_inout] = ACTIONS(5804),
    [anon_sym_extern] = ACTIONS(5579),
    [anon_sym___attribute__] = ACTIONS(5581),
    [anon_sym_COLON_COLON] = ACTIONS(5802),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5585),
    [anon_sym___declspec] = ACTIONS(5587),
    [anon_sym___based] = ACTIONS(5800),
    [anon_sym___cdecl] = ACTIONS(5800),
    [anon_sym___clrcall] = ACTIONS(5800),
    [anon_sym___stdcall] = ACTIONS(5800),
    [anon_sym___fastcall] = ACTIONS(5800),
    [anon_sym___thiscall] = ACTIONS(5800),
    [anon_sym___vectorcall] = ACTIONS(5800),
    [anon_sym_LBRACK] = ACTIONS(5800),
    [anon_sym_static] = ACTIONS(5579),
    [anon_sym_register] = ACTIONS(5579),
    [anon_sym_inline] = ACTIONS(5579),
    [anon_sym___inline] = ACTIONS(5579),
    [anon_sym___inline__] = ACTIONS(5579),
    [anon_sym___forceinline] = ACTIONS(5579),
    [anon_sym_thread_local] = ACTIONS(5579),
    [anon_sym___thread] = ACTIONS(5579),
    [anon_sym_const] = ACTIONS(5575),
    [anon_sym_constexpr] = ACTIONS(5575),
    [anon_sym_volatile] = ACTIONS(5575),
    [anon_sym_restrict] = ACTIONS(5575),
    [anon_sym___restrict__] = ACTIONS(5575),
    [anon_sym__Atomic] = ACTIONS(5575),
    [anon_sym__Noreturn] = ACTIONS(5575),
    [anon_sym_noreturn] = ACTIONS(5575),
    [anon_sym_mutable] = ACTIONS(5575),
    [anon_sym_constinit] = ACTIONS(5575),
    [anon_sym_consteval] = ACTIONS(5575),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5806),
    [anon_sym_decltype] = ACTIONS(5808),
    [anon_sym_virtual] = ACTIONS(5589),
    [anon_sym_alignas] = ACTIONS(5591),
    [anon_sym_template] = ACTIONS(5800),
    [anon_sym_operator] = ACTIONS(5800),
    [anon_sym_precise] = ACTIONS(5593),
    [anon_sym_shared] = ACTIONS(5593),
    [anon_sym_groupshared] = ACTIONS(5593),
    [anon_sym_uniform] = ACTIONS(5593),
    [anon_sym_row_major] = ACTIONS(5593),
    [anon_sym_column_major] = ACTIONS(5593),
    [anon_sym_globallycoherent] = ACTIONS(5593),
    [anon_sym_centroid] = ACTIONS(5593),
    [anon_sym_noperspective] = ACTIONS(5593),
    [anon_sym_nointerpolation] = ACTIONS(5593),
    [anon_sym_sample] = ACTIONS(5593),
    [anon_sym_linear] = ACTIONS(5593),
    [anon_sym_snorm] = ACTIONS(5593),
    [anon_sym_unorm] = ACTIONS(5593),
    [anon_sym_point] = ACTIONS(5593),
    [anon_sym_line] = ACTIONS(5593),
    [anon_sym_triangleadj] = ACTIONS(5593),
    [anon_sym_lineadj] = ACTIONS(5593),
    [anon_sym_triangle] = ACTIONS(5593),
  },
  [3041] = {
    [sym__declaration_modifiers] = STATE(3012),
    [sym_attribute_specifier] = STATE(3012),
    [sym_attribute_declaration] = STATE(3012),
    [sym_ms_declspec_modifier] = STATE(3012),
    [sym_storage_class_specifier] = STATE(3012),
    [sym_type_qualifier] = STATE(3012),
    [sym_decltype_auto] = STATE(3065),
    [sym_virtual] = STATE(3012),
    [sym_alignas_specifier] = STATE(3012),
    [sym_qualifiers] = STATE(3012),
    [aux_sym__declaration_specifiers_repeat1] = STATE(3012),
    [sym_identifier] = ACTIONS(5800),
    [anon_sym_LPAREN2] = ACTIONS(5802),
    [anon_sym_TILDE] = ACTIONS(5802),
    [anon_sym_STAR] = ACTIONS(5802),
    [anon_sym_AMP_AMP] = ACTIONS(5802),
    [anon_sym_AMP] = ACTIONS(5800),
    [anon_sym_SEMI] = ACTIONS(6001),
    [anon_sym___extension__] = ACTIONS(5575),
    [anon_sym_in] = ACTIONS(5804),
    [anon_sym_out] = ACTIONS(5804),
    [anon_sym_inout] = ACTIONS(5804),
    [anon_sym_extern] = ACTIONS(5579),
    [anon_sym___attribute__] = ACTIONS(5581),
    [anon_sym_COLON_COLON] = ACTIONS(5802),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5585),
    [anon_sym___declspec] = ACTIONS(5587),
    [anon_sym___based] = ACTIONS(5800),
    [anon_sym___cdecl] = ACTIONS(5800),
    [anon_sym___clrcall] = ACTIONS(5800),
    [anon_sym___stdcall] = ACTIONS(5800),
    [anon_sym___fastcall] = ACTIONS(5800),
    [anon_sym___thiscall] = ACTIONS(5800),
    [anon_sym___vectorcall] = ACTIONS(5800),
    [anon_sym_LBRACK] = ACTIONS(5800),
    [anon_sym_static] = ACTIONS(5579),
    [anon_sym_register] = ACTIONS(5579),
    [anon_sym_inline] = ACTIONS(5579),
    [anon_sym___inline] = ACTIONS(5579),
    [anon_sym___inline__] = ACTIONS(5579),
    [anon_sym___forceinline] = ACTIONS(5579),
    [anon_sym_thread_local] = ACTIONS(5579),
    [anon_sym___thread] = ACTIONS(5579),
    [anon_sym_const] = ACTIONS(5575),
    [anon_sym_constexpr] = ACTIONS(5575),
    [anon_sym_volatile] = ACTIONS(5575),
    [anon_sym_restrict] = ACTIONS(5575),
    [anon_sym___restrict__] = ACTIONS(5575),
    [anon_sym__Atomic] = ACTIONS(5575),
    [anon_sym__Noreturn] = ACTIONS(5575),
    [anon_sym_noreturn] = ACTIONS(5575),
    [anon_sym_mutable] = ACTIONS(5575),
    [anon_sym_constinit] = ACTIONS(5575),
    [anon_sym_consteval] = ACTIONS(5575),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5806),
    [anon_sym_decltype] = ACTIONS(5808),
    [anon_sym_virtual] = ACTIONS(5589),
    [anon_sym_alignas] = ACTIONS(5591),
    [anon_sym_template] = ACTIONS(5800),
    [anon_sym_operator] = ACTIONS(5800),
    [anon_sym_precise] = ACTIONS(5593),
    [anon_sym_shared] = ACTIONS(5593),
    [anon_sym_groupshared] = ACTIONS(5593),
    [anon_sym_uniform] = ACTIONS(5593),
    [anon_sym_row_major] = ACTIONS(5593),
    [anon_sym_column_major] = ACTIONS(5593),
    [anon_sym_globallycoherent] = ACTIONS(5593),
    [anon_sym_centroid] = ACTIONS(5593),
    [anon_sym_noperspective] = ACTIONS(5593),
    [anon_sym_nointerpolation] = ACTIONS(5593),
    [anon_sym_sample] = ACTIONS(5593),
    [anon_sym_linear] = ACTIONS(5593),
    [anon_sym_snorm] = ACTIONS(5593),
    [anon_sym_unorm] = ACTIONS(5593),
    [anon_sym_point] = ACTIONS(5593),
    [anon_sym_line] = ACTIONS(5593),
    [anon_sym_triangleadj] = ACTIONS(5593),
    [anon_sym_lineadj] = ACTIONS(5593),
    [anon_sym_triangle] = ACTIONS(5593),
  },
  [3042] = {
    [sym__declaration_modifiers] = STATE(3012),
    [sym_attribute_specifier] = STATE(3012),
    [sym_attribute_declaration] = STATE(3012),
    [sym_ms_declspec_modifier] = STATE(3012),
    [sym_storage_class_specifier] = STATE(3012),
    [sym_type_qualifier] = STATE(3012),
    [sym_decltype_auto] = STATE(3065),
    [sym_virtual] = STATE(3012),
    [sym_alignas_specifier] = STATE(3012),
    [sym_qualifiers] = STATE(3012),
    [aux_sym__declaration_specifiers_repeat1] = STATE(3012),
    [sym_identifier] = ACTIONS(5800),
    [anon_sym_LPAREN2] = ACTIONS(5802),
    [anon_sym_TILDE] = ACTIONS(5802),
    [anon_sym_STAR] = ACTIONS(5802),
    [anon_sym_AMP_AMP] = ACTIONS(5802),
    [anon_sym_AMP] = ACTIONS(5800),
    [anon_sym_SEMI] = ACTIONS(6003),
    [anon_sym___extension__] = ACTIONS(5575),
    [anon_sym_in] = ACTIONS(5804),
    [anon_sym_out] = ACTIONS(5804),
    [anon_sym_inout] = ACTIONS(5804),
    [anon_sym_extern] = ACTIONS(5579),
    [anon_sym___attribute__] = ACTIONS(5581),
    [anon_sym_COLON_COLON] = ACTIONS(5802),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5585),
    [anon_sym___declspec] = ACTIONS(5587),
    [anon_sym___based] = ACTIONS(5800),
    [anon_sym___cdecl] = ACTIONS(5800),
    [anon_sym___clrcall] = ACTIONS(5800),
    [anon_sym___stdcall] = ACTIONS(5800),
    [anon_sym___fastcall] = ACTIONS(5800),
    [anon_sym___thiscall] = ACTIONS(5800),
    [anon_sym___vectorcall] = ACTIONS(5800),
    [anon_sym_LBRACK] = ACTIONS(5800),
    [anon_sym_static] = ACTIONS(5579),
    [anon_sym_register] = ACTIONS(5579),
    [anon_sym_inline] = ACTIONS(5579),
    [anon_sym___inline] = ACTIONS(5579),
    [anon_sym___inline__] = ACTIONS(5579),
    [anon_sym___forceinline] = ACTIONS(5579),
    [anon_sym_thread_local] = ACTIONS(5579),
    [anon_sym___thread] = ACTIONS(5579),
    [anon_sym_const] = ACTIONS(5575),
    [anon_sym_constexpr] = ACTIONS(5575),
    [anon_sym_volatile] = ACTIONS(5575),
    [anon_sym_restrict] = ACTIONS(5575),
    [anon_sym___restrict__] = ACTIONS(5575),
    [anon_sym__Atomic] = ACTIONS(5575),
    [anon_sym__Noreturn] = ACTIONS(5575),
    [anon_sym_noreturn] = ACTIONS(5575),
    [anon_sym_mutable] = ACTIONS(5575),
    [anon_sym_constinit] = ACTIONS(5575),
    [anon_sym_consteval] = ACTIONS(5575),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5806),
    [anon_sym_decltype] = ACTIONS(5808),
    [anon_sym_virtual] = ACTIONS(5589),
    [anon_sym_alignas] = ACTIONS(5591),
    [anon_sym_template] = ACTIONS(5800),
    [anon_sym_operator] = ACTIONS(5800),
    [anon_sym_precise] = ACTIONS(5593),
    [anon_sym_shared] = ACTIONS(5593),
    [anon_sym_groupshared] = ACTIONS(5593),
    [anon_sym_uniform] = ACTIONS(5593),
    [anon_sym_row_major] = ACTIONS(5593),
    [anon_sym_column_major] = ACTIONS(5593),
    [anon_sym_globallycoherent] = ACTIONS(5593),
    [anon_sym_centroid] = ACTIONS(5593),
    [anon_sym_noperspective] = ACTIONS(5593),
    [anon_sym_nointerpolation] = ACTIONS(5593),
    [anon_sym_sample] = ACTIONS(5593),
    [anon_sym_linear] = ACTIONS(5593),
    [anon_sym_snorm] = ACTIONS(5593),
    [anon_sym_unorm] = ACTIONS(5593),
    [anon_sym_point] = ACTIONS(5593),
    [anon_sym_line] = ACTIONS(5593),
    [anon_sym_triangleadj] = ACTIONS(5593),
    [anon_sym_lineadj] = ACTIONS(5593),
    [anon_sym_triangle] = ACTIONS(5593),
  },
  [3043] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(3031),
    [sym_identifier] = ACTIONS(5931),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5933),
    [anon_sym_COMMA] = ACTIONS(5933),
    [anon_sym_RPAREN] = ACTIONS(5933),
    [anon_sym_LPAREN2] = ACTIONS(5933),
    [anon_sym_TILDE] = ACTIONS(5933),
    [anon_sym_STAR] = ACTIONS(5933),
    [anon_sym_AMP_AMP] = ACTIONS(5933),
    [anon_sym_AMP] = ACTIONS(5931),
    [anon_sym_COLON] = ACTIONS(5931),
    [anon_sym_SEMI] = ACTIONS(5933),
    [anon_sym___extension__] = ACTIONS(5931),
    [anon_sym_in] = ACTIONS(5931),
    [anon_sym_out] = ACTIONS(5931),
    [anon_sym_inout] = ACTIONS(5931),
    [anon_sym_extern] = ACTIONS(5931),
    [anon_sym___attribute__] = ACTIONS(5931),
    [anon_sym_COLON_COLON] = ACTIONS(5933),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5933),
    [anon_sym___declspec] = ACTIONS(5931),
    [anon_sym___based] = ACTIONS(5931),
    [anon_sym___cdecl] = ACTIONS(5931),
    [anon_sym___clrcall] = ACTIONS(5931),
    [anon_sym___stdcall] = ACTIONS(5931),
    [anon_sym___fastcall] = ACTIONS(5931),
    [anon_sym___thiscall] = ACTIONS(5931),
    [anon_sym___vectorcall] = ACTIONS(5931),
    [anon_sym_signed] = ACTIONS(5938),
    [anon_sym_unsigned] = ACTIONS(5938),
    [anon_sym_long] = ACTIONS(5938),
    [anon_sym_short] = ACTIONS(5938),
    [anon_sym_LBRACK] = ACTIONS(5931),
    [anon_sym_EQ] = ACTIONS(5933),
    [anon_sym_static] = ACTIONS(5931),
    [anon_sym_register] = ACTIONS(5931),
    [anon_sym_inline] = ACTIONS(5931),
    [anon_sym___inline] = ACTIONS(5931),
    [anon_sym___inline__] = ACTIONS(5931),
    [anon_sym___forceinline] = ACTIONS(5931),
    [anon_sym_thread_local] = ACTIONS(5931),
    [anon_sym___thread] = ACTIONS(5931),
    [anon_sym_const] = ACTIONS(5931),
    [anon_sym_constexpr] = ACTIONS(5931),
    [anon_sym_volatile] = ACTIONS(5931),
    [anon_sym_restrict] = ACTIONS(5931),
    [anon_sym___restrict__] = ACTIONS(5931),
    [anon_sym__Atomic] = ACTIONS(5931),
    [anon_sym__Noreturn] = ACTIONS(5931),
    [anon_sym_noreturn] = ACTIONS(5931),
    [anon_sym_mutable] = ACTIONS(5931),
    [anon_sym_constinit] = ACTIONS(5931),
    [anon_sym_consteval] = ACTIONS(5931),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5931),
    [anon_sym_decltype] = ACTIONS(5931),
    [anon_sym_virtual] = ACTIONS(5931),
    [anon_sym_alignas] = ACTIONS(5931),
    [anon_sym_template] = ACTIONS(5931),
    [anon_sym_GT2] = ACTIONS(5933),
    [anon_sym_operator] = ACTIONS(5931),
    [anon_sym_precise] = ACTIONS(5931),
    [anon_sym_shared] = ACTIONS(5931),
    [anon_sym_groupshared] = ACTIONS(5931),
    [anon_sym_uniform] = ACTIONS(5931),
    [anon_sym_row_major] = ACTIONS(5931),
    [anon_sym_column_major] = ACTIONS(5931),
    [anon_sym_globallycoherent] = ACTIONS(5931),
    [anon_sym_centroid] = ACTIONS(5931),
    [anon_sym_noperspective] = ACTIONS(5931),
    [anon_sym_nointerpolation] = ACTIONS(5931),
    [anon_sym_sample] = ACTIONS(5931),
    [anon_sym_linear] = ACTIONS(5931),
    [anon_sym_snorm] = ACTIONS(5931),
    [anon_sym_unorm] = ACTIONS(5931),
    [anon_sym_point] = ACTIONS(5931),
    [anon_sym_line] = ACTIONS(5931),
    [anon_sym_triangleadj] = ACTIONS(5931),
    [anon_sym_lineadj] = ACTIONS(5931),
    [anon_sym_triangle] = ACTIONS(5931),
  },
  [3044] = {
    [sym_identifier] = ACTIONS(2396),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2398),
    [anon_sym_COMMA] = ACTIONS(2398),
    [anon_sym_RPAREN] = ACTIONS(2398),
    [anon_sym_LPAREN2] = ACTIONS(2398),
    [anon_sym_TILDE] = ACTIONS(2398),
    [anon_sym_STAR] = ACTIONS(2398),
    [anon_sym_AMP_AMP] = ACTIONS(2398),
    [anon_sym_AMP] = ACTIONS(2396),
    [anon_sym_COLON] = ACTIONS(2396),
    [anon_sym_SEMI] = ACTIONS(2398),
    [anon_sym___extension__] = ACTIONS(2396),
    [anon_sym_in] = ACTIONS(2396),
    [anon_sym_out] = ACTIONS(2396),
    [anon_sym_inout] = ACTIONS(2396),
    [anon_sym_extern] = ACTIONS(2396),
    [anon_sym___attribute__] = ACTIONS(2396),
    [anon_sym_COLON_COLON] = ACTIONS(2398),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2398),
    [anon_sym___declspec] = ACTIONS(2396),
    [anon_sym___based] = ACTIONS(2396),
    [anon_sym___cdecl] = ACTIONS(2396),
    [anon_sym___clrcall] = ACTIONS(2396),
    [anon_sym___stdcall] = ACTIONS(2396),
    [anon_sym___fastcall] = ACTIONS(2396),
    [anon_sym___thiscall] = ACTIONS(2396),
    [anon_sym___vectorcall] = ACTIONS(2396),
    [anon_sym_LBRACK] = ACTIONS(2396),
    [anon_sym_EQ] = ACTIONS(2398),
    [anon_sym_static] = ACTIONS(2396),
    [anon_sym_register] = ACTIONS(2396),
    [anon_sym_inline] = ACTIONS(2396),
    [anon_sym___inline] = ACTIONS(2396),
    [anon_sym___inline__] = ACTIONS(2396),
    [anon_sym___forceinline] = ACTIONS(2396),
    [anon_sym_thread_local] = ACTIONS(2396),
    [anon_sym___thread] = ACTIONS(2396),
    [anon_sym_const] = ACTIONS(2396),
    [anon_sym_constexpr] = ACTIONS(2396),
    [anon_sym_volatile] = ACTIONS(2396),
    [anon_sym_restrict] = ACTIONS(2396),
    [anon_sym___restrict__] = ACTIONS(2396),
    [anon_sym__Atomic] = ACTIONS(2396),
    [anon_sym__Noreturn] = ACTIONS(2396),
    [anon_sym_noreturn] = ACTIONS(2396),
    [anon_sym_mutable] = ACTIONS(2396),
    [anon_sym_constinit] = ACTIONS(2396),
    [anon_sym_consteval] = ACTIONS(2396),
    [anon_sym_else] = ACTIONS(2396),
    [anon_sym_while] = ACTIONS(2396),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2396),
    [anon_sym_decltype] = ACTIONS(2396),
    [anon_sym_final] = ACTIONS(2396),
    [anon_sym_override] = ACTIONS(2396),
    [anon_sym_virtual] = ACTIONS(2396),
    [anon_sym_alignas] = ACTIONS(2396),
    [anon_sym_template] = ACTIONS(2396),
    [anon_sym_GT2] = ACTIONS(2398),
    [anon_sym_operator] = ACTIONS(2396),
    [anon_sym_requires] = ACTIONS(2396),
    [anon_sym_precise] = ACTIONS(2396),
    [anon_sym_shared] = ACTIONS(2396),
    [anon_sym_groupshared] = ACTIONS(2396),
    [anon_sym_uniform] = ACTIONS(2396),
    [anon_sym_row_major] = ACTIONS(2396),
    [anon_sym_column_major] = ACTIONS(2396),
    [anon_sym_globallycoherent] = ACTIONS(2396),
    [anon_sym_centroid] = ACTIONS(2396),
    [anon_sym_noperspective] = ACTIONS(2396),
    [anon_sym_nointerpolation] = ACTIONS(2396),
    [anon_sym_sample] = ACTIONS(2396),
    [anon_sym_linear] = ACTIONS(2396),
    [anon_sym_snorm] = ACTIONS(2396),
    [anon_sym_unorm] = ACTIONS(2396),
    [anon_sym_point] = ACTIONS(2396),
    [anon_sym_line] = ACTIONS(2396),
    [anon_sym_triangleadj] = ACTIONS(2396),
    [anon_sym_lineadj] = ACTIONS(2396),
    [anon_sym_triangle] = ACTIONS(2396),
  },
  [3045] = {
    [sym_identifier] = ACTIONS(6005),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6007),
    [anon_sym_COMMA] = ACTIONS(6007),
    [anon_sym_RPAREN] = ACTIONS(6007),
    [anon_sym_LPAREN2] = ACTIONS(6007),
    [anon_sym_TILDE] = ACTIONS(6007),
    [anon_sym_STAR] = ACTIONS(6007),
    [anon_sym_AMP_AMP] = ACTIONS(6007),
    [anon_sym_AMP] = ACTIONS(6005),
    [anon_sym_COLON] = ACTIONS(6005),
    [anon_sym_SEMI] = ACTIONS(6007),
    [anon_sym___extension__] = ACTIONS(6005),
    [anon_sym_in] = ACTIONS(6005),
    [anon_sym_out] = ACTIONS(6005),
    [anon_sym_inout] = ACTIONS(6005),
    [anon_sym_extern] = ACTIONS(6005),
    [anon_sym___attribute__] = ACTIONS(6005),
    [anon_sym_COLON_COLON] = ACTIONS(6007),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(6007),
    [anon_sym___declspec] = ACTIONS(6005),
    [anon_sym___based] = ACTIONS(6005),
    [anon_sym___cdecl] = ACTIONS(6005),
    [anon_sym___clrcall] = ACTIONS(6005),
    [anon_sym___stdcall] = ACTIONS(6005),
    [anon_sym___fastcall] = ACTIONS(6005),
    [anon_sym___thiscall] = ACTIONS(6005),
    [anon_sym___vectorcall] = ACTIONS(6005),
    [anon_sym_LBRACE] = ACTIONS(6007),
    [anon_sym_LBRACK] = ACTIONS(6005),
    [anon_sym_EQ] = ACTIONS(6007),
    [anon_sym_static] = ACTIONS(6005),
    [anon_sym_register] = ACTIONS(6005),
    [anon_sym_inline] = ACTIONS(6005),
    [anon_sym___inline] = ACTIONS(6005),
    [anon_sym___inline__] = ACTIONS(6005),
    [anon_sym___forceinline] = ACTIONS(6005),
    [anon_sym_thread_local] = ACTIONS(6005),
    [anon_sym___thread] = ACTIONS(6005),
    [anon_sym_const] = ACTIONS(6005),
    [anon_sym_constexpr] = ACTIONS(6005),
    [anon_sym_volatile] = ACTIONS(6005),
    [anon_sym_restrict] = ACTIONS(6005),
    [anon_sym___restrict__] = ACTIONS(6005),
    [anon_sym__Atomic] = ACTIONS(6005),
    [anon_sym__Noreturn] = ACTIONS(6005),
    [anon_sym_noreturn] = ACTIONS(6005),
    [anon_sym_mutable] = ACTIONS(6005),
    [anon_sym_constinit] = ACTIONS(6005),
    [anon_sym_consteval] = ACTIONS(6005),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(6005),
    [anon_sym_decltype] = ACTIONS(6005),
    [anon_sym_final] = ACTIONS(6005),
    [anon_sym_override] = ACTIONS(6005),
    [anon_sym_virtual] = ACTIONS(6005),
    [anon_sym_alignas] = ACTIONS(6005),
    [anon_sym_template] = ACTIONS(6005),
    [anon_sym_GT2] = ACTIONS(6007),
    [anon_sym_operator] = ACTIONS(6005),
    [anon_sym_try] = ACTIONS(6005),
    [anon_sym_requires] = ACTIONS(6005),
    [anon_sym_precise] = ACTIONS(6005),
    [anon_sym_shared] = ACTIONS(6005),
    [anon_sym_groupshared] = ACTIONS(6005),
    [anon_sym_uniform] = ACTIONS(6005),
    [anon_sym_row_major] = ACTIONS(6005),
    [anon_sym_column_major] = ACTIONS(6005),
    [anon_sym_globallycoherent] = ACTIONS(6005),
    [anon_sym_centroid] = ACTIONS(6005),
    [anon_sym_noperspective] = ACTIONS(6005),
    [anon_sym_nointerpolation] = ACTIONS(6005),
    [anon_sym_sample] = ACTIONS(6005),
    [anon_sym_linear] = ACTIONS(6005),
    [anon_sym_snorm] = ACTIONS(6005),
    [anon_sym_unorm] = ACTIONS(6005),
    [anon_sym_point] = ACTIONS(6005),
    [anon_sym_line] = ACTIONS(6005),
    [anon_sym_triangleadj] = ACTIONS(6005),
    [anon_sym_lineadj] = ACTIONS(6005),
    [anon_sym_triangle] = ACTIONS(6005),
  },
  [3046] = {
    [sym_identifier] = ACTIONS(2452),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2454),
    [anon_sym_COMMA] = ACTIONS(2454),
    [anon_sym_RPAREN] = ACTIONS(2454),
    [anon_sym_LPAREN2] = ACTIONS(2454),
    [anon_sym_TILDE] = ACTIONS(2454),
    [anon_sym_STAR] = ACTIONS(2454),
    [anon_sym_AMP_AMP] = ACTIONS(2454),
    [anon_sym_AMP] = ACTIONS(2452),
    [anon_sym_COLON] = ACTIONS(2452),
    [anon_sym_SEMI] = ACTIONS(2454),
    [anon_sym___extension__] = ACTIONS(2452),
    [anon_sym_in] = ACTIONS(2452),
    [anon_sym_out] = ACTIONS(2452),
    [anon_sym_inout] = ACTIONS(2452),
    [anon_sym_extern] = ACTIONS(2452),
    [anon_sym___attribute__] = ACTIONS(2452),
    [anon_sym_COLON_COLON] = ACTIONS(2454),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2454),
    [anon_sym___declspec] = ACTIONS(2452),
    [anon_sym___based] = ACTIONS(2452),
    [anon_sym___cdecl] = ACTIONS(2452),
    [anon_sym___clrcall] = ACTIONS(2452),
    [anon_sym___stdcall] = ACTIONS(2452),
    [anon_sym___fastcall] = ACTIONS(2452),
    [anon_sym___thiscall] = ACTIONS(2452),
    [anon_sym___vectorcall] = ACTIONS(2452),
    [anon_sym_LBRACK] = ACTIONS(2452),
    [anon_sym_EQ] = ACTIONS(2454),
    [anon_sym_static] = ACTIONS(2452),
    [anon_sym_register] = ACTIONS(2452),
    [anon_sym_inline] = ACTIONS(2452),
    [anon_sym___inline] = ACTIONS(2452),
    [anon_sym___inline__] = ACTIONS(2452),
    [anon_sym___forceinline] = ACTIONS(2452),
    [anon_sym_thread_local] = ACTIONS(2452),
    [anon_sym___thread] = ACTIONS(2452),
    [anon_sym_const] = ACTIONS(2452),
    [anon_sym_constexpr] = ACTIONS(2452),
    [anon_sym_volatile] = ACTIONS(2452),
    [anon_sym_restrict] = ACTIONS(2452),
    [anon_sym___restrict__] = ACTIONS(2452),
    [anon_sym__Atomic] = ACTIONS(2452),
    [anon_sym__Noreturn] = ACTIONS(2452),
    [anon_sym_noreturn] = ACTIONS(2452),
    [anon_sym_mutable] = ACTIONS(2452),
    [anon_sym_constinit] = ACTIONS(2452),
    [anon_sym_consteval] = ACTIONS(2452),
    [anon_sym_else] = ACTIONS(2452),
    [anon_sym_while] = ACTIONS(2452),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2452),
    [anon_sym_decltype] = ACTIONS(2452),
    [anon_sym_final] = ACTIONS(2452),
    [anon_sym_override] = ACTIONS(2452),
    [anon_sym_virtual] = ACTIONS(2452),
    [anon_sym_alignas] = ACTIONS(2452),
    [anon_sym_template] = ACTIONS(2452),
    [anon_sym_GT2] = ACTIONS(2454),
    [anon_sym_operator] = ACTIONS(2452),
    [anon_sym_requires] = ACTIONS(2452),
    [anon_sym_precise] = ACTIONS(2452),
    [anon_sym_shared] = ACTIONS(2452),
    [anon_sym_groupshared] = ACTIONS(2452),
    [anon_sym_uniform] = ACTIONS(2452),
    [anon_sym_row_major] = ACTIONS(2452),
    [anon_sym_column_major] = ACTIONS(2452),
    [anon_sym_globallycoherent] = ACTIONS(2452),
    [anon_sym_centroid] = ACTIONS(2452),
    [anon_sym_noperspective] = ACTIONS(2452),
    [anon_sym_nointerpolation] = ACTIONS(2452),
    [anon_sym_sample] = ACTIONS(2452),
    [anon_sym_linear] = ACTIONS(2452),
    [anon_sym_snorm] = ACTIONS(2452),
    [anon_sym_unorm] = ACTIONS(2452),
    [anon_sym_point] = ACTIONS(2452),
    [anon_sym_line] = ACTIONS(2452),
    [anon_sym_triangleadj] = ACTIONS(2452),
    [anon_sym_lineadj] = ACTIONS(2452),
    [anon_sym_triangle] = ACTIONS(2452),
  },
  [3047] = {
    [sym__declaration_modifiers] = STATE(3012),
    [sym_attribute_specifier] = STATE(3012),
    [sym_attribute_declaration] = STATE(3012),
    [sym_ms_declspec_modifier] = STATE(3012),
    [sym_storage_class_specifier] = STATE(3012),
    [sym_type_qualifier] = STATE(3012),
    [sym_decltype_auto] = STATE(3065),
    [sym_virtual] = STATE(3012),
    [sym_alignas_specifier] = STATE(3012),
    [sym_qualifiers] = STATE(3012),
    [aux_sym__declaration_specifiers_repeat1] = STATE(3012),
    [sym_identifier] = ACTIONS(5800),
    [anon_sym_LPAREN2] = ACTIONS(5802),
    [anon_sym_TILDE] = ACTIONS(5802),
    [anon_sym_STAR] = ACTIONS(5802),
    [anon_sym_AMP_AMP] = ACTIONS(5802),
    [anon_sym_AMP] = ACTIONS(5800),
    [anon_sym_SEMI] = ACTIONS(6009),
    [anon_sym___extension__] = ACTIONS(5575),
    [anon_sym_in] = ACTIONS(5804),
    [anon_sym_out] = ACTIONS(5804),
    [anon_sym_inout] = ACTIONS(5804),
    [anon_sym_extern] = ACTIONS(5579),
    [anon_sym___attribute__] = ACTIONS(5581),
    [anon_sym_COLON_COLON] = ACTIONS(5802),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5585),
    [anon_sym___declspec] = ACTIONS(5587),
    [anon_sym___based] = ACTIONS(5800),
    [anon_sym___cdecl] = ACTIONS(5800),
    [anon_sym___clrcall] = ACTIONS(5800),
    [anon_sym___stdcall] = ACTIONS(5800),
    [anon_sym___fastcall] = ACTIONS(5800),
    [anon_sym___thiscall] = ACTIONS(5800),
    [anon_sym___vectorcall] = ACTIONS(5800),
    [anon_sym_LBRACK] = ACTIONS(5800),
    [anon_sym_static] = ACTIONS(5579),
    [anon_sym_register] = ACTIONS(5579),
    [anon_sym_inline] = ACTIONS(5579),
    [anon_sym___inline] = ACTIONS(5579),
    [anon_sym___inline__] = ACTIONS(5579),
    [anon_sym___forceinline] = ACTIONS(5579),
    [anon_sym_thread_local] = ACTIONS(5579),
    [anon_sym___thread] = ACTIONS(5579),
    [anon_sym_const] = ACTIONS(5575),
    [anon_sym_constexpr] = ACTIONS(5575),
    [anon_sym_volatile] = ACTIONS(5575),
    [anon_sym_restrict] = ACTIONS(5575),
    [anon_sym___restrict__] = ACTIONS(5575),
    [anon_sym__Atomic] = ACTIONS(5575),
    [anon_sym__Noreturn] = ACTIONS(5575),
    [anon_sym_noreturn] = ACTIONS(5575),
    [anon_sym_mutable] = ACTIONS(5575),
    [anon_sym_constinit] = ACTIONS(5575),
    [anon_sym_consteval] = ACTIONS(5575),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5806),
    [anon_sym_decltype] = ACTIONS(5808),
    [anon_sym_virtual] = ACTIONS(5589),
    [anon_sym_alignas] = ACTIONS(5591),
    [anon_sym_template] = ACTIONS(5800),
    [anon_sym_operator] = ACTIONS(5800),
    [anon_sym_precise] = ACTIONS(5593),
    [anon_sym_shared] = ACTIONS(5593),
    [anon_sym_groupshared] = ACTIONS(5593),
    [anon_sym_uniform] = ACTIONS(5593),
    [anon_sym_row_major] = ACTIONS(5593),
    [anon_sym_column_major] = ACTIONS(5593),
    [anon_sym_globallycoherent] = ACTIONS(5593),
    [anon_sym_centroid] = ACTIONS(5593),
    [anon_sym_noperspective] = ACTIONS(5593),
    [anon_sym_nointerpolation] = ACTIONS(5593),
    [anon_sym_sample] = ACTIONS(5593),
    [anon_sym_linear] = ACTIONS(5593),
    [anon_sym_snorm] = ACTIONS(5593),
    [anon_sym_unorm] = ACTIONS(5593),
    [anon_sym_point] = ACTIONS(5593),
    [anon_sym_line] = ACTIONS(5593),
    [anon_sym_triangleadj] = ACTIONS(5593),
    [anon_sym_lineadj] = ACTIONS(5593),
    [anon_sym_triangle] = ACTIONS(5593),
  },
  [3048] = {
    [sym__declaration_modifiers] = STATE(3012),
    [sym_attribute_specifier] = STATE(3012),
    [sym_attribute_declaration] = STATE(3012),
    [sym_ms_declspec_modifier] = STATE(3012),
    [sym_storage_class_specifier] = STATE(3012),
    [sym_type_qualifier] = STATE(3012),
    [sym_decltype_auto] = STATE(3065),
    [sym_virtual] = STATE(3012),
    [sym_alignas_specifier] = STATE(3012),
    [sym_qualifiers] = STATE(3012),
    [aux_sym__declaration_specifiers_repeat1] = STATE(3012),
    [sym_identifier] = ACTIONS(5800),
    [anon_sym_LPAREN2] = ACTIONS(5802),
    [anon_sym_TILDE] = ACTIONS(5802),
    [anon_sym_STAR] = ACTIONS(5802),
    [anon_sym_AMP_AMP] = ACTIONS(5802),
    [anon_sym_AMP] = ACTIONS(5800),
    [anon_sym_SEMI] = ACTIONS(6011),
    [anon_sym___extension__] = ACTIONS(5575),
    [anon_sym_in] = ACTIONS(5804),
    [anon_sym_out] = ACTIONS(5804),
    [anon_sym_inout] = ACTIONS(5804),
    [anon_sym_extern] = ACTIONS(5579),
    [anon_sym___attribute__] = ACTIONS(5581),
    [anon_sym_COLON_COLON] = ACTIONS(5802),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5585),
    [anon_sym___declspec] = ACTIONS(5587),
    [anon_sym___based] = ACTIONS(5800),
    [anon_sym___cdecl] = ACTIONS(5800),
    [anon_sym___clrcall] = ACTIONS(5800),
    [anon_sym___stdcall] = ACTIONS(5800),
    [anon_sym___fastcall] = ACTIONS(5800),
    [anon_sym___thiscall] = ACTIONS(5800),
    [anon_sym___vectorcall] = ACTIONS(5800),
    [anon_sym_LBRACK] = ACTIONS(5800),
    [anon_sym_static] = ACTIONS(5579),
    [anon_sym_register] = ACTIONS(5579),
    [anon_sym_inline] = ACTIONS(5579),
    [anon_sym___inline] = ACTIONS(5579),
    [anon_sym___inline__] = ACTIONS(5579),
    [anon_sym___forceinline] = ACTIONS(5579),
    [anon_sym_thread_local] = ACTIONS(5579),
    [anon_sym___thread] = ACTIONS(5579),
    [anon_sym_const] = ACTIONS(5575),
    [anon_sym_constexpr] = ACTIONS(5575),
    [anon_sym_volatile] = ACTIONS(5575),
    [anon_sym_restrict] = ACTIONS(5575),
    [anon_sym___restrict__] = ACTIONS(5575),
    [anon_sym__Atomic] = ACTIONS(5575),
    [anon_sym__Noreturn] = ACTIONS(5575),
    [anon_sym_noreturn] = ACTIONS(5575),
    [anon_sym_mutable] = ACTIONS(5575),
    [anon_sym_constinit] = ACTIONS(5575),
    [anon_sym_consteval] = ACTIONS(5575),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5806),
    [anon_sym_decltype] = ACTIONS(5808),
    [anon_sym_virtual] = ACTIONS(5589),
    [anon_sym_alignas] = ACTIONS(5591),
    [anon_sym_template] = ACTIONS(5800),
    [anon_sym_operator] = ACTIONS(5800),
    [anon_sym_precise] = ACTIONS(5593),
    [anon_sym_shared] = ACTIONS(5593),
    [anon_sym_groupshared] = ACTIONS(5593),
    [anon_sym_uniform] = ACTIONS(5593),
    [anon_sym_row_major] = ACTIONS(5593),
    [anon_sym_column_major] = ACTIONS(5593),
    [anon_sym_globallycoherent] = ACTIONS(5593),
    [anon_sym_centroid] = ACTIONS(5593),
    [anon_sym_noperspective] = ACTIONS(5593),
    [anon_sym_nointerpolation] = ACTIONS(5593),
    [anon_sym_sample] = ACTIONS(5593),
    [anon_sym_linear] = ACTIONS(5593),
    [anon_sym_snorm] = ACTIONS(5593),
    [anon_sym_unorm] = ACTIONS(5593),
    [anon_sym_point] = ACTIONS(5593),
    [anon_sym_line] = ACTIONS(5593),
    [anon_sym_triangleadj] = ACTIONS(5593),
    [anon_sym_lineadj] = ACTIONS(5593),
    [anon_sym_triangle] = ACTIONS(5593),
  },
  [3049] = {
    [sym__declaration_modifiers] = STATE(3012),
    [sym_attribute_specifier] = STATE(3012),
    [sym_attribute_declaration] = STATE(3012),
    [sym_ms_declspec_modifier] = STATE(3012),
    [sym_storage_class_specifier] = STATE(3012),
    [sym_type_qualifier] = STATE(3012),
    [sym_decltype_auto] = STATE(3065),
    [sym_virtual] = STATE(3012),
    [sym_alignas_specifier] = STATE(3012),
    [sym_qualifiers] = STATE(3012),
    [aux_sym__declaration_specifiers_repeat1] = STATE(3012),
    [sym_identifier] = ACTIONS(5800),
    [anon_sym_LPAREN2] = ACTIONS(5802),
    [anon_sym_TILDE] = ACTIONS(5802),
    [anon_sym_STAR] = ACTIONS(5802),
    [anon_sym_AMP_AMP] = ACTIONS(5802),
    [anon_sym_AMP] = ACTIONS(5800),
    [anon_sym_SEMI] = ACTIONS(6013),
    [anon_sym___extension__] = ACTIONS(5575),
    [anon_sym_in] = ACTIONS(5804),
    [anon_sym_out] = ACTIONS(5804),
    [anon_sym_inout] = ACTIONS(5804),
    [anon_sym_extern] = ACTIONS(5579),
    [anon_sym___attribute__] = ACTIONS(5581),
    [anon_sym_COLON_COLON] = ACTIONS(5802),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5585),
    [anon_sym___declspec] = ACTIONS(5587),
    [anon_sym___based] = ACTIONS(5800),
    [anon_sym___cdecl] = ACTIONS(5800),
    [anon_sym___clrcall] = ACTIONS(5800),
    [anon_sym___stdcall] = ACTIONS(5800),
    [anon_sym___fastcall] = ACTIONS(5800),
    [anon_sym___thiscall] = ACTIONS(5800),
    [anon_sym___vectorcall] = ACTIONS(5800),
    [anon_sym_LBRACK] = ACTIONS(5800),
    [anon_sym_static] = ACTIONS(5579),
    [anon_sym_register] = ACTIONS(5579),
    [anon_sym_inline] = ACTIONS(5579),
    [anon_sym___inline] = ACTIONS(5579),
    [anon_sym___inline__] = ACTIONS(5579),
    [anon_sym___forceinline] = ACTIONS(5579),
    [anon_sym_thread_local] = ACTIONS(5579),
    [anon_sym___thread] = ACTIONS(5579),
    [anon_sym_const] = ACTIONS(5575),
    [anon_sym_constexpr] = ACTIONS(5575),
    [anon_sym_volatile] = ACTIONS(5575),
    [anon_sym_restrict] = ACTIONS(5575),
    [anon_sym___restrict__] = ACTIONS(5575),
    [anon_sym__Atomic] = ACTIONS(5575),
    [anon_sym__Noreturn] = ACTIONS(5575),
    [anon_sym_noreturn] = ACTIONS(5575),
    [anon_sym_mutable] = ACTIONS(5575),
    [anon_sym_constinit] = ACTIONS(5575),
    [anon_sym_consteval] = ACTIONS(5575),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5806),
    [anon_sym_decltype] = ACTIONS(5808),
    [anon_sym_virtual] = ACTIONS(5589),
    [anon_sym_alignas] = ACTIONS(5591),
    [anon_sym_template] = ACTIONS(5800),
    [anon_sym_operator] = ACTIONS(5800),
    [anon_sym_precise] = ACTIONS(5593),
    [anon_sym_shared] = ACTIONS(5593),
    [anon_sym_groupshared] = ACTIONS(5593),
    [anon_sym_uniform] = ACTIONS(5593),
    [anon_sym_row_major] = ACTIONS(5593),
    [anon_sym_column_major] = ACTIONS(5593),
    [anon_sym_globallycoherent] = ACTIONS(5593),
    [anon_sym_centroid] = ACTIONS(5593),
    [anon_sym_noperspective] = ACTIONS(5593),
    [anon_sym_nointerpolation] = ACTIONS(5593),
    [anon_sym_sample] = ACTIONS(5593),
    [anon_sym_linear] = ACTIONS(5593),
    [anon_sym_snorm] = ACTIONS(5593),
    [anon_sym_unorm] = ACTIONS(5593),
    [anon_sym_point] = ACTIONS(5593),
    [anon_sym_line] = ACTIONS(5593),
    [anon_sym_triangleadj] = ACTIONS(5593),
    [anon_sym_lineadj] = ACTIONS(5593),
    [anon_sym_triangle] = ACTIONS(5593),
  },
  [3050] = {
    [sym_identifier] = ACTIONS(5931),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5933),
    [anon_sym_COMMA] = ACTIONS(5933),
    [anon_sym_RPAREN] = ACTIONS(5933),
    [anon_sym_LPAREN2] = ACTIONS(5933),
    [anon_sym_TILDE] = ACTIONS(5933),
    [anon_sym_STAR] = ACTIONS(5933),
    [anon_sym_AMP_AMP] = ACTIONS(5933),
    [anon_sym_AMP] = ACTIONS(5931),
    [anon_sym_COLON] = ACTIONS(5931),
    [anon_sym_SEMI] = ACTIONS(5933),
    [anon_sym___extension__] = ACTIONS(5931),
    [anon_sym_in] = ACTIONS(5931),
    [anon_sym_out] = ACTIONS(5931),
    [anon_sym_inout] = ACTIONS(5931),
    [anon_sym_extern] = ACTIONS(5931),
    [anon_sym___attribute__] = ACTIONS(5931),
    [anon_sym_COLON_COLON] = ACTIONS(2262),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5933),
    [anon_sym___declspec] = ACTIONS(5931),
    [anon_sym___based] = ACTIONS(5931),
    [anon_sym___cdecl] = ACTIONS(5931),
    [anon_sym___clrcall] = ACTIONS(5931),
    [anon_sym___stdcall] = ACTIONS(5931),
    [anon_sym___fastcall] = ACTIONS(5931),
    [anon_sym___thiscall] = ACTIONS(5931),
    [anon_sym___vectorcall] = ACTIONS(5931),
    [anon_sym_LBRACE] = ACTIONS(5933),
    [anon_sym_LBRACK] = ACTIONS(5931),
    [anon_sym_EQ] = ACTIONS(5933),
    [anon_sym_static] = ACTIONS(5931),
    [anon_sym_register] = ACTIONS(5931),
    [anon_sym_inline] = ACTIONS(5931),
    [anon_sym___inline] = ACTIONS(5931),
    [anon_sym___inline__] = ACTIONS(5931),
    [anon_sym___forceinline] = ACTIONS(5931),
    [anon_sym_thread_local] = ACTIONS(5931),
    [anon_sym___thread] = ACTIONS(5931),
    [anon_sym_const] = ACTIONS(5931),
    [anon_sym_constexpr] = ACTIONS(5931),
    [anon_sym_volatile] = ACTIONS(5931),
    [anon_sym_restrict] = ACTIONS(5931),
    [anon_sym___restrict__] = ACTIONS(5931),
    [anon_sym__Atomic] = ACTIONS(5931),
    [anon_sym__Noreturn] = ACTIONS(5931),
    [anon_sym_noreturn] = ACTIONS(5931),
    [anon_sym_mutable] = ACTIONS(5931),
    [anon_sym_constinit] = ACTIONS(5931),
    [anon_sym_consteval] = ACTIONS(5931),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5931),
    [anon_sym_decltype] = ACTIONS(5931),
    [anon_sym_final] = ACTIONS(5931),
    [anon_sym_override] = ACTIONS(5931),
    [anon_sym_virtual] = ACTIONS(5931),
    [anon_sym_alignas] = ACTIONS(5931),
    [anon_sym_template] = ACTIONS(5931),
    [anon_sym_GT2] = ACTIONS(5933),
    [anon_sym_operator] = ACTIONS(5931),
    [anon_sym_try] = ACTIONS(5931),
    [anon_sym_requires] = ACTIONS(5931),
    [anon_sym_precise] = ACTIONS(5931),
    [anon_sym_shared] = ACTIONS(5931),
    [anon_sym_groupshared] = ACTIONS(5931),
    [anon_sym_uniform] = ACTIONS(5931),
    [anon_sym_row_major] = ACTIONS(5931),
    [anon_sym_column_major] = ACTIONS(5931),
    [anon_sym_globallycoherent] = ACTIONS(5931),
    [anon_sym_centroid] = ACTIONS(5931),
    [anon_sym_noperspective] = ACTIONS(5931),
    [anon_sym_nointerpolation] = ACTIONS(5931),
    [anon_sym_sample] = ACTIONS(5931),
    [anon_sym_linear] = ACTIONS(5931),
    [anon_sym_snorm] = ACTIONS(5931),
    [anon_sym_unorm] = ACTIONS(5931),
    [anon_sym_point] = ACTIONS(5931),
    [anon_sym_line] = ACTIONS(5931),
    [anon_sym_triangleadj] = ACTIONS(5931),
    [anon_sym_lineadj] = ACTIONS(5931),
    [anon_sym_triangle] = ACTIONS(5931),
  },
  [3051] = {
    [sym_string_literal] = STATE(1783),
    [sym_identifier] = ACTIONS(6015),
    [anon_sym_LPAREN2] = ACTIONS(6017),
    [anon_sym_TILDE] = ACTIONS(6017),
    [anon_sym_STAR] = ACTIONS(6017),
    [anon_sym_AMP_AMP] = ACTIONS(6017),
    [anon_sym_AMP] = ACTIONS(6015),
    [anon_sym___extension__] = ACTIONS(6015),
    [anon_sym_in] = ACTIONS(6015),
    [anon_sym_out] = ACTIONS(6015),
    [anon_sym_inout] = ACTIONS(6015),
    [anon_sym_extern] = ACTIONS(6015),
    [anon_sym___attribute__] = ACTIONS(6015),
    [anon_sym_COLON_COLON] = ACTIONS(6017),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(6017),
    [anon_sym___declspec] = ACTIONS(6015),
    [anon_sym___based] = ACTIONS(6015),
    [anon_sym_signed] = ACTIONS(6015),
    [anon_sym_unsigned] = ACTIONS(6015),
    [anon_sym_long] = ACTIONS(6015),
    [anon_sym_short] = ACTIONS(6015),
    [anon_sym_LBRACK] = ACTIONS(6015),
    [anon_sym_static] = ACTIONS(6015),
    [anon_sym_register] = ACTIONS(6015),
    [anon_sym_inline] = ACTIONS(6015),
    [anon_sym___inline] = ACTIONS(6015),
    [anon_sym___inline__] = ACTIONS(6015),
    [anon_sym___forceinline] = ACTIONS(6015),
    [anon_sym_thread_local] = ACTIONS(6015),
    [anon_sym___thread] = ACTIONS(6015),
    [anon_sym_const] = ACTIONS(6015),
    [anon_sym_constexpr] = ACTIONS(6015),
    [anon_sym_volatile] = ACTIONS(6015),
    [anon_sym_restrict] = ACTIONS(6015),
    [anon_sym___restrict__] = ACTIONS(6015),
    [anon_sym__Atomic] = ACTIONS(6015),
    [anon_sym__Noreturn] = ACTIONS(6015),
    [anon_sym_noreturn] = ACTIONS(6015),
    [anon_sym_mutable] = ACTIONS(6015),
    [anon_sym_constinit] = ACTIONS(6015),
    [anon_sym_consteval] = ACTIONS(6015),
    [sym_primitive_type] = ACTIONS(6015),
    [anon_sym_enum] = ACTIONS(6015),
    [anon_sym_class] = ACTIONS(6015),
    [anon_sym_struct] = ACTIONS(6015),
    [anon_sym_union] = ACTIONS(6015),
    [anon_sym_L_DQUOTE] = ACTIONS(6019),
    [anon_sym_u_DQUOTE] = ACTIONS(6019),
    [anon_sym_U_DQUOTE] = ACTIONS(6019),
    [anon_sym_u8_DQUOTE] = ACTIONS(6019),
    [anon_sym_DQUOTE] = ACTIONS(6019),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(6015),
    [anon_sym_decltype] = ACTIONS(6015),
    [anon_sym_virtual] = ACTIONS(6015),
    [anon_sym_alignas] = ACTIONS(6015),
    [anon_sym_explicit] = ACTIONS(6015),
    [anon_sym_typename] = ACTIONS(6015),
    [anon_sym_template] = ACTIONS(6015),
    [anon_sym_operator] = ACTIONS(6015),
    [anon_sym_precise] = ACTIONS(6015),
    [anon_sym_shared] = ACTIONS(6015),
    [anon_sym_groupshared] = ACTIONS(6015),
    [anon_sym_uniform] = ACTIONS(6015),
    [anon_sym_row_major] = ACTIONS(6015),
    [anon_sym_column_major] = ACTIONS(6015),
    [anon_sym_globallycoherent] = ACTIONS(6015),
    [anon_sym_centroid] = ACTIONS(6015),
    [anon_sym_noperspective] = ACTIONS(6015),
    [anon_sym_nointerpolation] = ACTIONS(6015),
    [anon_sym_sample] = ACTIONS(6015),
    [anon_sym_linear] = ACTIONS(6015),
    [anon_sym_snorm] = ACTIONS(6015),
    [anon_sym_unorm] = ACTIONS(6015),
    [anon_sym_point] = ACTIONS(6015),
    [anon_sym_line] = ACTIONS(6015),
    [anon_sym_triangleadj] = ACTIONS(6015),
    [anon_sym_lineadj] = ACTIONS(6015),
    [anon_sym_triangle] = ACTIONS(6015),
  },
  [3052] = {
    [sym_identifier] = ACTIONS(5974),
    [anon_sym_LPAREN2] = ACTIONS(5976),
    [anon_sym_STAR] = ACTIONS(5976),
    [anon_sym_AMP_AMP] = ACTIONS(5976),
    [anon_sym_AMP] = ACTIONS(5978),
    [anon_sym_LT] = ACTIONS(5976),
    [anon_sym___extension__] = ACTIONS(5974),
    [anon_sym_in] = ACTIONS(5974),
    [anon_sym_out] = ACTIONS(5974),
    [anon_sym_inout] = ACTIONS(5974),
    [anon_sym_extern] = ACTIONS(5974),
    [anon_sym___attribute__] = ACTIONS(5974),
    [anon_sym_COLON_COLON] = ACTIONS(5980),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5980),
    [anon_sym___declspec] = ACTIONS(5974),
    [anon_sym___cdecl] = ACTIONS(5974),
    [anon_sym___clrcall] = ACTIONS(5974),
    [anon_sym___stdcall] = ACTIONS(5974),
    [anon_sym___fastcall] = ACTIONS(5974),
    [anon_sym___thiscall] = ACTIONS(5974),
    [anon_sym___vectorcall] = ACTIONS(5974),
    [anon_sym_LBRACE] = ACTIONS(5976),
    [anon_sym_signed] = ACTIONS(5974),
    [anon_sym_unsigned] = ACTIONS(5974),
    [anon_sym_long] = ACTIONS(5974),
    [anon_sym_short] = ACTIONS(5974),
    [anon_sym_LBRACK] = ACTIONS(5978),
    [anon_sym_static] = ACTIONS(5974),
    [anon_sym_register] = ACTIONS(5974),
    [anon_sym_inline] = ACTIONS(5974),
    [anon_sym___inline] = ACTIONS(5974),
    [anon_sym___inline__] = ACTIONS(5974),
    [anon_sym___forceinline] = ACTIONS(5974),
    [anon_sym_thread_local] = ACTIONS(5974),
    [anon_sym___thread] = ACTIONS(5974),
    [anon_sym_const] = ACTIONS(5974),
    [anon_sym_constexpr] = ACTIONS(5974),
    [anon_sym_volatile] = ACTIONS(5974),
    [anon_sym_restrict] = ACTIONS(5974),
    [anon_sym___restrict__] = ACTIONS(5974),
    [anon_sym__Atomic] = ACTIONS(5974),
    [anon_sym__Noreturn] = ACTIONS(5974),
    [anon_sym_noreturn] = ACTIONS(5974),
    [anon_sym_mutable] = ACTIONS(5974),
    [anon_sym_constinit] = ACTIONS(5974),
    [anon_sym_consteval] = ACTIONS(5974),
    [sym_primitive_type] = ACTIONS(5974),
    [anon_sym_enum] = ACTIONS(5974),
    [anon_sym_class] = ACTIONS(5974),
    [anon_sym_struct] = ACTIONS(5974),
    [anon_sym_union] = ACTIONS(5974),
    [anon_sym_if] = ACTIONS(5974),
    [anon_sym_for] = ACTIONS(5974),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5974),
    [anon_sym_decltype] = ACTIONS(5974),
    [anon_sym_virtual] = ACTIONS(5974),
    [anon_sym_alignas] = ACTIONS(5974),
    [anon_sym_typename] = ACTIONS(5974),
    [anon_sym_template] = ACTIONS(5974),
    [anon_sym_precise] = ACTIONS(5974),
    [anon_sym_shared] = ACTIONS(5974),
    [anon_sym_groupshared] = ACTIONS(5974),
    [anon_sym_uniform] = ACTIONS(5974),
    [anon_sym_row_major] = ACTIONS(5974),
    [anon_sym_column_major] = ACTIONS(5974),
    [anon_sym_globallycoherent] = ACTIONS(5974),
    [anon_sym_centroid] = ACTIONS(5974),
    [anon_sym_noperspective] = ACTIONS(5974),
    [anon_sym_nointerpolation] = ACTIONS(5974),
    [anon_sym_sample] = ACTIONS(5974),
    [anon_sym_linear] = ACTIONS(5974),
    [anon_sym_snorm] = ACTIONS(5974),
    [anon_sym_unorm] = ACTIONS(5974),
    [anon_sym_point] = ACTIONS(5974),
    [anon_sym_line] = ACTIONS(5974),
    [anon_sym_triangleadj] = ACTIONS(5974),
    [anon_sym_lineadj] = ACTIONS(5974),
    [anon_sym_triangle] = ACTIONS(5974),
  },
  [3053] = {
    [sym_string_literal] = STATE(1779),
    [sym_identifier] = ACTIONS(6015),
    [anon_sym_LPAREN2] = ACTIONS(6017),
    [anon_sym_TILDE] = ACTIONS(6017),
    [anon_sym_STAR] = ACTIONS(6017),
    [anon_sym_AMP_AMP] = ACTIONS(6017),
    [anon_sym_AMP] = ACTIONS(6015),
    [anon_sym___extension__] = ACTIONS(6015),
    [anon_sym_in] = ACTIONS(6015),
    [anon_sym_out] = ACTIONS(6015),
    [anon_sym_inout] = ACTIONS(6015),
    [anon_sym_extern] = ACTIONS(6015),
    [anon_sym___attribute__] = ACTIONS(6015),
    [anon_sym_COLON_COLON] = ACTIONS(6017),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(6017),
    [anon_sym___declspec] = ACTIONS(6015),
    [anon_sym___based] = ACTIONS(6015),
    [anon_sym_signed] = ACTIONS(6015),
    [anon_sym_unsigned] = ACTIONS(6015),
    [anon_sym_long] = ACTIONS(6015),
    [anon_sym_short] = ACTIONS(6015),
    [anon_sym_LBRACK] = ACTIONS(6015),
    [anon_sym_static] = ACTIONS(6015),
    [anon_sym_register] = ACTIONS(6015),
    [anon_sym_inline] = ACTIONS(6015),
    [anon_sym___inline] = ACTIONS(6015),
    [anon_sym___inline__] = ACTIONS(6015),
    [anon_sym___forceinline] = ACTIONS(6015),
    [anon_sym_thread_local] = ACTIONS(6015),
    [anon_sym___thread] = ACTIONS(6015),
    [anon_sym_const] = ACTIONS(6015),
    [anon_sym_constexpr] = ACTIONS(6015),
    [anon_sym_volatile] = ACTIONS(6015),
    [anon_sym_restrict] = ACTIONS(6015),
    [anon_sym___restrict__] = ACTIONS(6015),
    [anon_sym__Atomic] = ACTIONS(6015),
    [anon_sym__Noreturn] = ACTIONS(6015),
    [anon_sym_noreturn] = ACTIONS(6015),
    [anon_sym_mutable] = ACTIONS(6015),
    [anon_sym_constinit] = ACTIONS(6015),
    [anon_sym_consteval] = ACTIONS(6015),
    [sym_primitive_type] = ACTIONS(6015),
    [anon_sym_enum] = ACTIONS(6015),
    [anon_sym_class] = ACTIONS(6015),
    [anon_sym_struct] = ACTIONS(6015),
    [anon_sym_union] = ACTIONS(6015),
    [anon_sym_L_DQUOTE] = ACTIONS(6019),
    [anon_sym_u_DQUOTE] = ACTIONS(6019),
    [anon_sym_U_DQUOTE] = ACTIONS(6019),
    [anon_sym_u8_DQUOTE] = ACTIONS(6019),
    [anon_sym_DQUOTE] = ACTIONS(6019),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(6015),
    [anon_sym_decltype] = ACTIONS(6015),
    [anon_sym_virtual] = ACTIONS(6015),
    [anon_sym_alignas] = ACTIONS(6015),
    [anon_sym_explicit] = ACTIONS(6015),
    [anon_sym_typename] = ACTIONS(6015),
    [anon_sym_template] = ACTIONS(6015),
    [anon_sym_operator] = ACTIONS(6015),
    [anon_sym_precise] = ACTIONS(6015),
    [anon_sym_shared] = ACTIONS(6015),
    [anon_sym_groupshared] = ACTIONS(6015),
    [anon_sym_uniform] = ACTIONS(6015),
    [anon_sym_row_major] = ACTIONS(6015),
    [anon_sym_column_major] = ACTIONS(6015),
    [anon_sym_globallycoherent] = ACTIONS(6015),
    [anon_sym_centroid] = ACTIONS(6015),
    [anon_sym_noperspective] = ACTIONS(6015),
    [anon_sym_nointerpolation] = ACTIONS(6015),
    [anon_sym_sample] = ACTIONS(6015),
    [anon_sym_linear] = ACTIONS(6015),
    [anon_sym_snorm] = ACTIONS(6015),
    [anon_sym_unorm] = ACTIONS(6015),
    [anon_sym_point] = ACTIONS(6015),
    [anon_sym_line] = ACTIONS(6015),
    [anon_sym_triangleadj] = ACTIONS(6015),
    [anon_sym_lineadj] = ACTIONS(6015),
    [anon_sym_triangle] = ACTIONS(6015),
  },
  [3054] = {
    [sym_decltype_auto] = STATE(3065),
    [sym_identifier] = ACTIONS(6021),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6023),
    [anon_sym_COMMA] = ACTIONS(6023),
    [anon_sym_RPAREN] = ACTIONS(6023),
    [anon_sym_LPAREN2] = ACTIONS(6023),
    [anon_sym_TILDE] = ACTIONS(6023),
    [anon_sym_STAR] = ACTIONS(6023),
    [anon_sym_AMP_AMP] = ACTIONS(6023),
    [anon_sym_AMP] = ACTIONS(6021),
    [anon_sym_COLON] = ACTIONS(6021),
    [anon_sym_SEMI] = ACTIONS(6023),
    [anon_sym___extension__] = ACTIONS(6021),
    [anon_sym_in] = ACTIONS(6021),
    [anon_sym_out] = ACTIONS(6021),
    [anon_sym_inout] = ACTIONS(6021),
    [anon_sym_extern] = ACTIONS(6021),
    [anon_sym___attribute__] = ACTIONS(6021),
    [anon_sym_COLON_COLON] = ACTIONS(6023),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(6023),
    [anon_sym___declspec] = ACTIONS(6021),
    [anon_sym___based] = ACTIONS(6021),
    [anon_sym___cdecl] = ACTIONS(6021),
    [anon_sym___clrcall] = ACTIONS(6021),
    [anon_sym___stdcall] = ACTIONS(6021),
    [anon_sym___fastcall] = ACTIONS(6021),
    [anon_sym___thiscall] = ACTIONS(6021),
    [anon_sym___vectorcall] = ACTIONS(6021),
    [anon_sym_LBRACK] = ACTIONS(6021),
    [anon_sym_EQ] = ACTIONS(6023),
    [anon_sym_static] = ACTIONS(6021),
    [anon_sym_register] = ACTIONS(6021),
    [anon_sym_inline] = ACTIONS(6021),
    [anon_sym___inline] = ACTIONS(6021),
    [anon_sym___inline__] = ACTIONS(6021),
    [anon_sym___forceinline] = ACTIONS(6021),
    [anon_sym_thread_local] = ACTIONS(6021),
    [anon_sym___thread] = ACTIONS(6021),
    [anon_sym_const] = ACTIONS(6021),
    [anon_sym_constexpr] = ACTIONS(6021),
    [anon_sym_volatile] = ACTIONS(6021),
    [anon_sym_restrict] = ACTIONS(6021),
    [anon_sym___restrict__] = ACTIONS(6021),
    [anon_sym__Atomic] = ACTIONS(6021),
    [anon_sym__Noreturn] = ACTIONS(6021),
    [anon_sym_noreturn] = ACTIONS(6021),
    [anon_sym_mutable] = ACTIONS(6021),
    [anon_sym_constinit] = ACTIONS(6021),
    [anon_sym_consteval] = ACTIONS(6021),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5806),
    [anon_sym_decltype] = ACTIONS(5808),
    [anon_sym_final] = ACTIONS(6021),
    [anon_sym_override] = ACTIONS(6021),
    [anon_sym_virtual] = ACTIONS(6021),
    [anon_sym_alignas] = ACTIONS(6021),
    [anon_sym_template] = ACTIONS(6021),
    [anon_sym_GT2] = ACTIONS(6023),
    [anon_sym_operator] = ACTIONS(6021),
    [anon_sym_requires] = ACTIONS(6021),
    [anon_sym_precise] = ACTIONS(6021),
    [anon_sym_shared] = ACTIONS(6021),
    [anon_sym_groupshared] = ACTIONS(6021),
    [anon_sym_uniform] = ACTIONS(6021),
    [anon_sym_row_major] = ACTIONS(6021),
    [anon_sym_column_major] = ACTIONS(6021),
    [anon_sym_globallycoherent] = ACTIONS(6021),
    [anon_sym_centroid] = ACTIONS(6021),
    [anon_sym_noperspective] = ACTIONS(6021),
    [anon_sym_nointerpolation] = ACTIONS(6021),
    [anon_sym_sample] = ACTIONS(6021),
    [anon_sym_linear] = ACTIONS(6021),
    [anon_sym_snorm] = ACTIONS(6021),
    [anon_sym_unorm] = ACTIONS(6021),
    [anon_sym_point] = ACTIONS(6021),
    [anon_sym_line] = ACTIONS(6021),
    [anon_sym_triangleadj] = ACTIONS(6021),
    [anon_sym_lineadj] = ACTIONS(6021),
    [anon_sym_triangle] = ACTIONS(6021),
  },
  [3055] = {
    [sym_string_literal] = STATE(1782),
    [sym_identifier] = ACTIONS(6015),
    [anon_sym_LPAREN2] = ACTIONS(6017),
    [anon_sym_TILDE] = ACTIONS(6017),
    [anon_sym_STAR] = ACTIONS(6017),
    [anon_sym_AMP_AMP] = ACTIONS(6017),
    [anon_sym_AMP] = ACTIONS(6015),
    [anon_sym___extension__] = ACTIONS(6015),
    [anon_sym_in] = ACTIONS(6015),
    [anon_sym_out] = ACTIONS(6015),
    [anon_sym_inout] = ACTIONS(6015),
    [anon_sym_extern] = ACTIONS(6015),
    [anon_sym___attribute__] = ACTIONS(6015),
    [anon_sym_COLON_COLON] = ACTIONS(6017),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(6017),
    [anon_sym___declspec] = ACTIONS(6015),
    [anon_sym___based] = ACTIONS(6015),
    [anon_sym_signed] = ACTIONS(6015),
    [anon_sym_unsigned] = ACTIONS(6015),
    [anon_sym_long] = ACTIONS(6015),
    [anon_sym_short] = ACTIONS(6015),
    [anon_sym_LBRACK] = ACTIONS(6015),
    [anon_sym_static] = ACTIONS(6015),
    [anon_sym_register] = ACTIONS(6015),
    [anon_sym_inline] = ACTIONS(6015),
    [anon_sym___inline] = ACTIONS(6015),
    [anon_sym___inline__] = ACTIONS(6015),
    [anon_sym___forceinline] = ACTIONS(6015),
    [anon_sym_thread_local] = ACTIONS(6015),
    [anon_sym___thread] = ACTIONS(6015),
    [anon_sym_const] = ACTIONS(6015),
    [anon_sym_constexpr] = ACTIONS(6015),
    [anon_sym_volatile] = ACTIONS(6015),
    [anon_sym_restrict] = ACTIONS(6015),
    [anon_sym___restrict__] = ACTIONS(6015),
    [anon_sym__Atomic] = ACTIONS(6015),
    [anon_sym__Noreturn] = ACTIONS(6015),
    [anon_sym_noreturn] = ACTIONS(6015),
    [anon_sym_mutable] = ACTIONS(6015),
    [anon_sym_constinit] = ACTIONS(6015),
    [anon_sym_consteval] = ACTIONS(6015),
    [sym_primitive_type] = ACTIONS(6015),
    [anon_sym_enum] = ACTIONS(6015),
    [anon_sym_class] = ACTIONS(6015),
    [anon_sym_struct] = ACTIONS(6015),
    [anon_sym_union] = ACTIONS(6015),
    [anon_sym_L_DQUOTE] = ACTIONS(6019),
    [anon_sym_u_DQUOTE] = ACTIONS(6019),
    [anon_sym_U_DQUOTE] = ACTIONS(6019),
    [anon_sym_u8_DQUOTE] = ACTIONS(6019),
    [anon_sym_DQUOTE] = ACTIONS(6019),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(6015),
    [anon_sym_decltype] = ACTIONS(6015),
    [anon_sym_virtual] = ACTIONS(6015),
    [anon_sym_alignas] = ACTIONS(6015),
    [anon_sym_explicit] = ACTIONS(6015),
    [anon_sym_typename] = ACTIONS(6015),
    [anon_sym_template] = ACTIONS(6015),
    [anon_sym_operator] = ACTIONS(6015),
    [anon_sym_precise] = ACTIONS(6015),
    [anon_sym_shared] = ACTIONS(6015),
    [anon_sym_groupshared] = ACTIONS(6015),
    [anon_sym_uniform] = ACTIONS(6015),
    [anon_sym_row_major] = ACTIONS(6015),
    [anon_sym_column_major] = ACTIONS(6015),
    [anon_sym_globallycoherent] = ACTIONS(6015),
    [anon_sym_centroid] = ACTIONS(6015),
    [anon_sym_noperspective] = ACTIONS(6015),
    [anon_sym_nointerpolation] = ACTIONS(6015),
    [anon_sym_sample] = ACTIONS(6015),
    [anon_sym_linear] = ACTIONS(6015),
    [anon_sym_snorm] = ACTIONS(6015),
    [anon_sym_unorm] = ACTIONS(6015),
    [anon_sym_point] = ACTIONS(6015),
    [anon_sym_line] = ACTIONS(6015),
    [anon_sym_triangleadj] = ACTIONS(6015),
    [anon_sym_lineadj] = ACTIONS(6015),
    [anon_sym_triangle] = ACTIONS(6015),
  },
  [3056] = {
    [sym_string_literal] = STATE(1781),
    [sym_identifier] = ACTIONS(6015),
    [anon_sym_LPAREN2] = ACTIONS(6017),
    [anon_sym_TILDE] = ACTIONS(6017),
    [anon_sym_STAR] = ACTIONS(6017),
    [anon_sym_AMP_AMP] = ACTIONS(6017),
    [anon_sym_AMP] = ACTIONS(6015),
    [anon_sym___extension__] = ACTIONS(6015),
    [anon_sym_in] = ACTIONS(6015),
    [anon_sym_out] = ACTIONS(6015),
    [anon_sym_inout] = ACTIONS(6015),
    [anon_sym_extern] = ACTIONS(6015),
    [anon_sym___attribute__] = ACTIONS(6015),
    [anon_sym_COLON_COLON] = ACTIONS(6017),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(6017),
    [anon_sym___declspec] = ACTIONS(6015),
    [anon_sym___based] = ACTIONS(6015),
    [anon_sym_signed] = ACTIONS(6015),
    [anon_sym_unsigned] = ACTIONS(6015),
    [anon_sym_long] = ACTIONS(6015),
    [anon_sym_short] = ACTIONS(6015),
    [anon_sym_LBRACK] = ACTIONS(6015),
    [anon_sym_static] = ACTIONS(6015),
    [anon_sym_register] = ACTIONS(6015),
    [anon_sym_inline] = ACTIONS(6015),
    [anon_sym___inline] = ACTIONS(6015),
    [anon_sym___inline__] = ACTIONS(6015),
    [anon_sym___forceinline] = ACTIONS(6015),
    [anon_sym_thread_local] = ACTIONS(6015),
    [anon_sym___thread] = ACTIONS(6015),
    [anon_sym_const] = ACTIONS(6015),
    [anon_sym_constexpr] = ACTIONS(6015),
    [anon_sym_volatile] = ACTIONS(6015),
    [anon_sym_restrict] = ACTIONS(6015),
    [anon_sym___restrict__] = ACTIONS(6015),
    [anon_sym__Atomic] = ACTIONS(6015),
    [anon_sym__Noreturn] = ACTIONS(6015),
    [anon_sym_noreturn] = ACTIONS(6015),
    [anon_sym_mutable] = ACTIONS(6015),
    [anon_sym_constinit] = ACTIONS(6015),
    [anon_sym_consteval] = ACTIONS(6015),
    [sym_primitive_type] = ACTIONS(6015),
    [anon_sym_enum] = ACTIONS(6015),
    [anon_sym_class] = ACTIONS(6015),
    [anon_sym_struct] = ACTIONS(6015),
    [anon_sym_union] = ACTIONS(6015),
    [anon_sym_L_DQUOTE] = ACTIONS(6019),
    [anon_sym_u_DQUOTE] = ACTIONS(6019),
    [anon_sym_U_DQUOTE] = ACTIONS(6019),
    [anon_sym_u8_DQUOTE] = ACTIONS(6019),
    [anon_sym_DQUOTE] = ACTIONS(6019),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(6015),
    [anon_sym_decltype] = ACTIONS(6015),
    [anon_sym_virtual] = ACTIONS(6015),
    [anon_sym_alignas] = ACTIONS(6015),
    [anon_sym_explicit] = ACTIONS(6015),
    [anon_sym_typename] = ACTIONS(6015),
    [anon_sym_template] = ACTIONS(6015),
    [anon_sym_operator] = ACTIONS(6015),
    [anon_sym_precise] = ACTIONS(6015),
    [anon_sym_shared] = ACTIONS(6015),
    [anon_sym_groupshared] = ACTIONS(6015),
    [anon_sym_uniform] = ACTIONS(6015),
    [anon_sym_row_major] = ACTIONS(6015),
    [anon_sym_column_major] = ACTIONS(6015),
    [anon_sym_globallycoherent] = ACTIONS(6015),
    [anon_sym_centroid] = ACTIONS(6015),
    [anon_sym_noperspective] = ACTIONS(6015),
    [anon_sym_nointerpolation] = ACTIONS(6015),
    [anon_sym_sample] = ACTIONS(6015),
    [anon_sym_linear] = ACTIONS(6015),
    [anon_sym_snorm] = ACTIONS(6015),
    [anon_sym_unorm] = ACTIONS(6015),
    [anon_sym_point] = ACTIONS(6015),
    [anon_sym_line] = ACTIONS(6015),
    [anon_sym_triangleadj] = ACTIONS(6015),
    [anon_sym_lineadj] = ACTIONS(6015),
    [anon_sym_triangle] = ACTIONS(6015),
  },
  [3057] = {
    [sym_string_literal] = STATE(1780),
    [sym_identifier] = ACTIONS(6015),
    [anon_sym_LPAREN2] = ACTIONS(6017),
    [anon_sym_TILDE] = ACTIONS(6017),
    [anon_sym_STAR] = ACTIONS(6017),
    [anon_sym_AMP_AMP] = ACTIONS(6017),
    [anon_sym_AMP] = ACTIONS(6015),
    [anon_sym___extension__] = ACTIONS(6015),
    [anon_sym_in] = ACTIONS(6015),
    [anon_sym_out] = ACTIONS(6015),
    [anon_sym_inout] = ACTIONS(6015),
    [anon_sym_extern] = ACTIONS(6015),
    [anon_sym___attribute__] = ACTIONS(6015),
    [anon_sym_COLON_COLON] = ACTIONS(6017),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(6017),
    [anon_sym___declspec] = ACTIONS(6015),
    [anon_sym___based] = ACTIONS(6015),
    [anon_sym_signed] = ACTIONS(6015),
    [anon_sym_unsigned] = ACTIONS(6015),
    [anon_sym_long] = ACTIONS(6015),
    [anon_sym_short] = ACTIONS(6015),
    [anon_sym_LBRACK] = ACTIONS(6015),
    [anon_sym_static] = ACTIONS(6015),
    [anon_sym_register] = ACTIONS(6015),
    [anon_sym_inline] = ACTIONS(6015),
    [anon_sym___inline] = ACTIONS(6015),
    [anon_sym___inline__] = ACTIONS(6015),
    [anon_sym___forceinline] = ACTIONS(6015),
    [anon_sym_thread_local] = ACTIONS(6015),
    [anon_sym___thread] = ACTIONS(6015),
    [anon_sym_const] = ACTIONS(6015),
    [anon_sym_constexpr] = ACTIONS(6015),
    [anon_sym_volatile] = ACTIONS(6015),
    [anon_sym_restrict] = ACTIONS(6015),
    [anon_sym___restrict__] = ACTIONS(6015),
    [anon_sym__Atomic] = ACTIONS(6015),
    [anon_sym__Noreturn] = ACTIONS(6015),
    [anon_sym_noreturn] = ACTIONS(6015),
    [anon_sym_mutable] = ACTIONS(6015),
    [anon_sym_constinit] = ACTIONS(6015),
    [anon_sym_consteval] = ACTIONS(6015),
    [sym_primitive_type] = ACTIONS(6015),
    [anon_sym_enum] = ACTIONS(6015),
    [anon_sym_class] = ACTIONS(6015),
    [anon_sym_struct] = ACTIONS(6015),
    [anon_sym_union] = ACTIONS(6015),
    [anon_sym_L_DQUOTE] = ACTIONS(6019),
    [anon_sym_u_DQUOTE] = ACTIONS(6019),
    [anon_sym_U_DQUOTE] = ACTIONS(6019),
    [anon_sym_u8_DQUOTE] = ACTIONS(6019),
    [anon_sym_DQUOTE] = ACTIONS(6019),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(6015),
    [anon_sym_decltype] = ACTIONS(6015),
    [anon_sym_virtual] = ACTIONS(6015),
    [anon_sym_alignas] = ACTIONS(6015),
    [anon_sym_explicit] = ACTIONS(6015),
    [anon_sym_typename] = ACTIONS(6015),
    [anon_sym_template] = ACTIONS(6015),
    [anon_sym_operator] = ACTIONS(6015),
    [anon_sym_precise] = ACTIONS(6015),
    [anon_sym_shared] = ACTIONS(6015),
    [anon_sym_groupshared] = ACTIONS(6015),
    [anon_sym_uniform] = ACTIONS(6015),
    [anon_sym_row_major] = ACTIONS(6015),
    [anon_sym_column_major] = ACTIONS(6015),
    [anon_sym_globallycoherent] = ACTIONS(6015),
    [anon_sym_centroid] = ACTIONS(6015),
    [anon_sym_noperspective] = ACTIONS(6015),
    [anon_sym_nointerpolation] = ACTIONS(6015),
    [anon_sym_sample] = ACTIONS(6015),
    [anon_sym_linear] = ACTIONS(6015),
    [anon_sym_snorm] = ACTIONS(6015),
    [anon_sym_unorm] = ACTIONS(6015),
    [anon_sym_point] = ACTIONS(6015),
    [anon_sym_line] = ACTIONS(6015),
    [anon_sym_triangleadj] = ACTIONS(6015),
    [anon_sym_lineadj] = ACTIONS(6015),
    [anon_sym_triangle] = ACTIONS(6015),
  },
  [3058] = {
    [sym_identifier] = ACTIONS(5970),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5972),
    [anon_sym_COMMA] = ACTIONS(5972),
    [anon_sym_RPAREN] = ACTIONS(5972),
    [anon_sym_LPAREN2] = ACTIONS(5972),
    [anon_sym_TILDE] = ACTIONS(5972),
    [anon_sym_STAR] = ACTIONS(5972),
    [anon_sym_AMP_AMP] = ACTIONS(5972),
    [anon_sym_AMP] = ACTIONS(5970),
    [anon_sym_COLON] = ACTIONS(5970),
    [anon_sym_SEMI] = ACTIONS(5972),
    [anon_sym___extension__] = ACTIONS(5970),
    [anon_sym_in] = ACTIONS(5970),
    [anon_sym_out] = ACTIONS(5970),
    [anon_sym_inout] = ACTIONS(5970),
    [anon_sym_extern] = ACTIONS(5970),
    [anon_sym___attribute__] = ACTIONS(5970),
    [anon_sym_COLON_COLON] = ACTIONS(5972),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5972),
    [anon_sym___declspec] = ACTIONS(5970),
    [anon_sym___based] = ACTIONS(5970),
    [anon_sym___cdecl] = ACTIONS(5970),
    [anon_sym___clrcall] = ACTIONS(5970),
    [anon_sym___stdcall] = ACTIONS(5970),
    [anon_sym___fastcall] = ACTIONS(5970),
    [anon_sym___thiscall] = ACTIONS(5970),
    [anon_sym___vectorcall] = ACTIONS(5970),
    [anon_sym_LBRACE] = ACTIONS(5972),
    [anon_sym_LBRACK] = ACTIONS(5970),
    [anon_sym_EQ] = ACTIONS(5972),
    [anon_sym_static] = ACTIONS(5970),
    [anon_sym_register] = ACTIONS(5970),
    [anon_sym_inline] = ACTIONS(5970),
    [anon_sym___inline] = ACTIONS(5970),
    [anon_sym___inline__] = ACTIONS(5970),
    [anon_sym___forceinline] = ACTIONS(5970),
    [anon_sym_thread_local] = ACTIONS(5970),
    [anon_sym___thread] = ACTIONS(5970),
    [anon_sym_const] = ACTIONS(5970),
    [anon_sym_constexpr] = ACTIONS(5970),
    [anon_sym_volatile] = ACTIONS(5970),
    [anon_sym_restrict] = ACTIONS(5970),
    [anon_sym___restrict__] = ACTIONS(5970),
    [anon_sym__Atomic] = ACTIONS(5970),
    [anon_sym__Noreturn] = ACTIONS(5970),
    [anon_sym_noreturn] = ACTIONS(5970),
    [anon_sym_mutable] = ACTIONS(5970),
    [anon_sym_constinit] = ACTIONS(5970),
    [anon_sym_consteval] = ACTIONS(5970),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5970),
    [anon_sym_decltype] = ACTIONS(5970),
    [anon_sym_final] = ACTIONS(5970),
    [anon_sym_override] = ACTIONS(5970),
    [anon_sym_virtual] = ACTIONS(5970),
    [anon_sym_alignas] = ACTIONS(5970),
    [anon_sym_template] = ACTIONS(5970),
    [anon_sym_GT2] = ACTIONS(5972),
    [anon_sym_operator] = ACTIONS(5970),
    [anon_sym_requires] = ACTIONS(5970),
    [anon_sym_precise] = ACTIONS(5970),
    [anon_sym_shared] = ACTIONS(5970),
    [anon_sym_groupshared] = ACTIONS(5970),
    [anon_sym_uniform] = ACTIONS(5970),
    [anon_sym_row_major] = ACTIONS(5970),
    [anon_sym_column_major] = ACTIONS(5970),
    [anon_sym_globallycoherent] = ACTIONS(5970),
    [anon_sym_centroid] = ACTIONS(5970),
    [anon_sym_noperspective] = ACTIONS(5970),
    [anon_sym_nointerpolation] = ACTIONS(5970),
    [anon_sym_sample] = ACTIONS(5970),
    [anon_sym_linear] = ACTIONS(5970),
    [anon_sym_snorm] = ACTIONS(5970),
    [anon_sym_unorm] = ACTIONS(5970),
    [anon_sym_point] = ACTIONS(5970),
    [anon_sym_line] = ACTIONS(5970),
    [anon_sym_triangleadj] = ACTIONS(5970),
    [anon_sym_lineadj] = ACTIONS(5970),
    [anon_sym_triangle] = ACTIONS(5970),
  },
  [3059] = {
    [sym_identifier] = ACTIONS(5783),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5785),
    [anon_sym_COMMA] = ACTIONS(5785),
    [anon_sym_RPAREN] = ACTIONS(5785),
    [anon_sym_LPAREN2] = ACTIONS(5785),
    [anon_sym_TILDE] = ACTIONS(5785),
    [anon_sym_STAR] = ACTIONS(5785),
    [anon_sym_AMP_AMP] = ACTIONS(5785),
    [anon_sym_AMP] = ACTIONS(5783),
    [anon_sym_COLON] = ACTIONS(5783),
    [anon_sym_SEMI] = ACTIONS(5785),
    [anon_sym___extension__] = ACTIONS(5783),
    [anon_sym_in] = ACTIONS(5783),
    [anon_sym_out] = ACTIONS(5783),
    [anon_sym_inout] = ACTIONS(5783),
    [anon_sym_extern] = ACTIONS(5783),
    [anon_sym___attribute__] = ACTIONS(5783),
    [anon_sym_COLON_COLON] = ACTIONS(5785),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5785),
    [anon_sym___declspec] = ACTIONS(5783),
    [anon_sym___based] = ACTIONS(5783),
    [anon_sym___cdecl] = ACTIONS(5783),
    [anon_sym___clrcall] = ACTIONS(5783),
    [anon_sym___stdcall] = ACTIONS(5783),
    [anon_sym___fastcall] = ACTIONS(5783),
    [anon_sym___thiscall] = ACTIONS(5783),
    [anon_sym___vectorcall] = ACTIONS(5783),
    [anon_sym_LBRACE] = ACTIONS(5785),
    [anon_sym_LBRACK] = ACTIONS(5783),
    [anon_sym_EQ] = ACTIONS(5785),
    [anon_sym_static] = ACTIONS(5783),
    [anon_sym_register] = ACTIONS(5783),
    [anon_sym_inline] = ACTIONS(5783),
    [anon_sym___inline] = ACTIONS(5783),
    [anon_sym___inline__] = ACTIONS(5783),
    [anon_sym___forceinline] = ACTIONS(5783),
    [anon_sym_thread_local] = ACTIONS(5783),
    [anon_sym___thread] = ACTIONS(5783),
    [anon_sym_const] = ACTIONS(5783),
    [anon_sym_constexpr] = ACTIONS(5783),
    [anon_sym_volatile] = ACTIONS(5783),
    [anon_sym_restrict] = ACTIONS(5783),
    [anon_sym___restrict__] = ACTIONS(5783),
    [anon_sym__Atomic] = ACTIONS(5783),
    [anon_sym__Noreturn] = ACTIONS(5783),
    [anon_sym_noreturn] = ACTIONS(5783),
    [anon_sym_mutable] = ACTIONS(5783),
    [anon_sym_constinit] = ACTIONS(5783),
    [anon_sym_consteval] = ACTIONS(5783),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5783),
    [anon_sym_decltype] = ACTIONS(5783),
    [anon_sym_final] = ACTIONS(5783),
    [anon_sym_override] = ACTIONS(5783),
    [anon_sym_virtual] = ACTIONS(5783),
    [anon_sym_alignas] = ACTIONS(5783),
    [anon_sym_explicit] = ACTIONS(5783),
    [anon_sym_template] = ACTIONS(5783),
    [anon_sym_GT2] = ACTIONS(5785),
    [anon_sym_operator] = ACTIONS(5783),
    [anon_sym_precise] = ACTIONS(5783),
    [anon_sym_shared] = ACTIONS(5783),
    [anon_sym_groupshared] = ACTIONS(5783),
    [anon_sym_uniform] = ACTIONS(5783),
    [anon_sym_row_major] = ACTIONS(5783),
    [anon_sym_column_major] = ACTIONS(5783),
    [anon_sym_globallycoherent] = ACTIONS(5783),
    [anon_sym_centroid] = ACTIONS(5783),
    [anon_sym_noperspective] = ACTIONS(5783),
    [anon_sym_nointerpolation] = ACTIONS(5783),
    [anon_sym_sample] = ACTIONS(5783),
    [anon_sym_linear] = ACTIONS(5783),
    [anon_sym_snorm] = ACTIONS(5783),
    [anon_sym_unorm] = ACTIONS(5783),
    [anon_sym_point] = ACTIONS(5783),
    [anon_sym_line] = ACTIONS(5783),
    [anon_sym_triangleadj] = ACTIONS(5783),
    [anon_sym_lineadj] = ACTIONS(5783),
    [anon_sym_triangle] = ACTIONS(5783),
  },
  [3060] = {
    [sym_identifier] = ACTIONS(6025),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6027),
    [anon_sym_COMMA] = ACTIONS(6027),
    [anon_sym_RPAREN] = ACTIONS(6027),
    [anon_sym_LPAREN2] = ACTIONS(6027),
    [anon_sym_TILDE] = ACTIONS(6027),
    [anon_sym_STAR] = ACTIONS(6027),
    [anon_sym_AMP_AMP] = ACTIONS(6027),
    [anon_sym_AMP] = ACTIONS(6025),
    [anon_sym_COLON] = ACTIONS(6025),
    [anon_sym_SEMI] = ACTIONS(6027),
    [anon_sym___extension__] = ACTIONS(6025),
    [anon_sym_in] = ACTIONS(6025),
    [anon_sym_out] = ACTIONS(6025),
    [anon_sym_inout] = ACTIONS(6025),
    [anon_sym_extern] = ACTIONS(6025),
    [anon_sym___attribute__] = ACTIONS(6025),
    [anon_sym_COLON_COLON] = ACTIONS(6027),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(6027),
    [anon_sym___declspec] = ACTIONS(6025),
    [anon_sym___based] = ACTIONS(6025),
    [anon_sym___cdecl] = ACTIONS(6025),
    [anon_sym___clrcall] = ACTIONS(6025),
    [anon_sym___stdcall] = ACTIONS(6025),
    [anon_sym___fastcall] = ACTIONS(6025),
    [anon_sym___thiscall] = ACTIONS(6025),
    [anon_sym___vectorcall] = ACTIONS(6025),
    [anon_sym_LBRACK] = ACTIONS(6025),
    [anon_sym_EQ] = ACTIONS(6027),
    [anon_sym_static] = ACTIONS(6025),
    [anon_sym_register] = ACTIONS(6025),
    [anon_sym_inline] = ACTIONS(6025),
    [anon_sym___inline] = ACTIONS(6025),
    [anon_sym___inline__] = ACTIONS(6025),
    [anon_sym___forceinline] = ACTIONS(6025),
    [anon_sym_thread_local] = ACTIONS(6025),
    [anon_sym___thread] = ACTIONS(6025),
    [anon_sym_const] = ACTIONS(6025),
    [anon_sym_constexpr] = ACTIONS(6025),
    [anon_sym_volatile] = ACTIONS(6025),
    [anon_sym_restrict] = ACTIONS(6025),
    [anon_sym___restrict__] = ACTIONS(6025),
    [anon_sym__Atomic] = ACTIONS(6025),
    [anon_sym__Noreturn] = ACTIONS(6025),
    [anon_sym_noreturn] = ACTIONS(6025),
    [anon_sym_mutable] = ACTIONS(6025),
    [anon_sym_constinit] = ACTIONS(6025),
    [anon_sym_consteval] = ACTIONS(6025),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(6025),
    [anon_sym_decltype] = ACTIONS(6025),
    [anon_sym_final] = ACTIONS(6025),
    [anon_sym_override] = ACTIONS(6025),
    [anon_sym_virtual] = ACTIONS(6025),
    [anon_sym_alignas] = ACTIONS(6025),
    [anon_sym_template] = ACTIONS(6025),
    [anon_sym_GT2] = ACTIONS(6027),
    [anon_sym_operator] = ACTIONS(6025),
    [anon_sym_requires] = ACTIONS(6025),
    [anon_sym_precise] = ACTIONS(6025),
    [anon_sym_shared] = ACTIONS(6025),
    [anon_sym_groupshared] = ACTIONS(6025),
    [anon_sym_uniform] = ACTIONS(6025),
    [anon_sym_row_major] = ACTIONS(6025),
    [anon_sym_column_major] = ACTIONS(6025),
    [anon_sym_globallycoherent] = ACTIONS(6025),
    [anon_sym_centroid] = ACTIONS(6025),
    [anon_sym_noperspective] = ACTIONS(6025),
    [anon_sym_nointerpolation] = ACTIONS(6025),
    [anon_sym_sample] = ACTIONS(6025),
    [anon_sym_linear] = ACTIONS(6025),
    [anon_sym_snorm] = ACTIONS(6025),
    [anon_sym_unorm] = ACTIONS(6025),
    [anon_sym_point] = ACTIONS(6025),
    [anon_sym_line] = ACTIONS(6025),
    [anon_sym_triangleadj] = ACTIONS(6025),
    [anon_sym_lineadj] = ACTIONS(6025),
    [anon_sym_triangle] = ACTIONS(6025),
  },
  [3061] = {
    [sym_identifier] = ACTIONS(6029),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6031),
    [anon_sym_COMMA] = ACTIONS(6031),
    [anon_sym_RPAREN] = ACTIONS(6031),
    [anon_sym_LPAREN2] = ACTIONS(6031),
    [anon_sym_TILDE] = ACTIONS(6031),
    [anon_sym_STAR] = ACTIONS(6031),
    [anon_sym_AMP_AMP] = ACTIONS(6031),
    [anon_sym_AMP] = ACTIONS(6029),
    [anon_sym_COLON] = ACTIONS(6029),
    [anon_sym_SEMI] = ACTIONS(6031),
    [anon_sym___extension__] = ACTIONS(6029),
    [anon_sym_in] = ACTIONS(6029),
    [anon_sym_out] = ACTIONS(6029),
    [anon_sym_inout] = ACTIONS(6029),
    [anon_sym_extern] = ACTIONS(6029),
    [anon_sym___attribute__] = ACTIONS(6029),
    [anon_sym_COLON_COLON] = ACTIONS(6031),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(6031),
    [anon_sym___declspec] = ACTIONS(6029),
    [anon_sym___based] = ACTIONS(6029),
    [anon_sym___cdecl] = ACTIONS(6029),
    [anon_sym___clrcall] = ACTIONS(6029),
    [anon_sym___stdcall] = ACTIONS(6029),
    [anon_sym___fastcall] = ACTIONS(6029),
    [anon_sym___thiscall] = ACTIONS(6029),
    [anon_sym___vectorcall] = ACTIONS(6029),
    [anon_sym_LBRACK] = ACTIONS(6029),
    [anon_sym_EQ] = ACTIONS(6031),
    [anon_sym_static] = ACTIONS(6029),
    [anon_sym_register] = ACTIONS(6029),
    [anon_sym_inline] = ACTIONS(6029),
    [anon_sym___inline] = ACTIONS(6029),
    [anon_sym___inline__] = ACTIONS(6029),
    [anon_sym___forceinline] = ACTIONS(6029),
    [anon_sym_thread_local] = ACTIONS(6029),
    [anon_sym___thread] = ACTIONS(6029),
    [anon_sym_const] = ACTIONS(6029),
    [anon_sym_constexpr] = ACTIONS(6029),
    [anon_sym_volatile] = ACTIONS(6029),
    [anon_sym_restrict] = ACTIONS(6029),
    [anon_sym___restrict__] = ACTIONS(6029),
    [anon_sym__Atomic] = ACTIONS(6029),
    [anon_sym__Noreturn] = ACTIONS(6029),
    [anon_sym_noreturn] = ACTIONS(6029),
    [anon_sym_mutable] = ACTIONS(6029),
    [anon_sym_constinit] = ACTIONS(6029),
    [anon_sym_consteval] = ACTIONS(6029),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(6029),
    [anon_sym_decltype] = ACTIONS(6029),
    [anon_sym_final] = ACTIONS(6029),
    [anon_sym_override] = ACTIONS(6029),
    [anon_sym_virtual] = ACTIONS(6029),
    [anon_sym_alignas] = ACTIONS(6029),
    [anon_sym_template] = ACTIONS(6029),
    [anon_sym_GT2] = ACTIONS(6031),
    [anon_sym_operator] = ACTIONS(6029),
    [anon_sym_requires] = ACTIONS(6029),
    [anon_sym_precise] = ACTIONS(6029),
    [anon_sym_shared] = ACTIONS(6029),
    [anon_sym_groupshared] = ACTIONS(6029),
    [anon_sym_uniform] = ACTIONS(6029),
    [anon_sym_row_major] = ACTIONS(6029),
    [anon_sym_column_major] = ACTIONS(6029),
    [anon_sym_globallycoherent] = ACTIONS(6029),
    [anon_sym_centroid] = ACTIONS(6029),
    [anon_sym_noperspective] = ACTIONS(6029),
    [anon_sym_nointerpolation] = ACTIONS(6029),
    [anon_sym_sample] = ACTIONS(6029),
    [anon_sym_linear] = ACTIONS(6029),
    [anon_sym_snorm] = ACTIONS(6029),
    [anon_sym_unorm] = ACTIONS(6029),
    [anon_sym_point] = ACTIONS(6029),
    [anon_sym_line] = ACTIONS(6029),
    [anon_sym_triangleadj] = ACTIONS(6029),
    [anon_sym_lineadj] = ACTIONS(6029),
    [anon_sym_triangle] = ACTIONS(6029),
  },
  [3062] = {
    [sym_identifier] = ACTIONS(6033),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6035),
    [anon_sym_COMMA] = ACTIONS(6035),
    [anon_sym_RPAREN] = ACTIONS(6035),
    [anon_sym_LPAREN2] = ACTIONS(6035),
    [anon_sym_TILDE] = ACTIONS(6035),
    [anon_sym_STAR] = ACTIONS(6035),
    [anon_sym_AMP_AMP] = ACTIONS(6035),
    [anon_sym_AMP] = ACTIONS(6033),
    [anon_sym_COLON] = ACTIONS(6033),
    [anon_sym_SEMI] = ACTIONS(6035),
    [anon_sym___extension__] = ACTIONS(6033),
    [anon_sym_in] = ACTIONS(6033),
    [anon_sym_out] = ACTIONS(6033),
    [anon_sym_inout] = ACTIONS(6033),
    [anon_sym_extern] = ACTIONS(6033),
    [anon_sym___attribute__] = ACTIONS(6033),
    [anon_sym_COLON_COLON] = ACTIONS(6035),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(6035),
    [anon_sym___declspec] = ACTIONS(6033),
    [anon_sym___based] = ACTIONS(6033),
    [anon_sym___cdecl] = ACTIONS(6033),
    [anon_sym___clrcall] = ACTIONS(6033),
    [anon_sym___stdcall] = ACTIONS(6033),
    [anon_sym___fastcall] = ACTIONS(6033),
    [anon_sym___thiscall] = ACTIONS(6033),
    [anon_sym___vectorcall] = ACTIONS(6033),
    [anon_sym_LBRACK] = ACTIONS(6033),
    [anon_sym_EQ] = ACTIONS(6035),
    [anon_sym_static] = ACTIONS(6033),
    [anon_sym_register] = ACTIONS(6033),
    [anon_sym_inline] = ACTIONS(6033),
    [anon_sym___inline] = ACTIONS(6033),
    [anon_sym___inline__] = ACTIONS(6033),
    [anon_sym___forceinline] = ACTIONS(6033),
    [anon_sym_thread_local] = ACTIONS(6033),
    [anon_sym___thread] = ACTIONS(6033),
    [anon_sym_const] = ACTIONS(6033),
    [anon_sym_constexpr] = ACTIONS(6033),
    [anon_sym_volatile] = ACTIONS(6033),
    [anon_sym_restrict] = ACTIONS(6033),
    [anon_sym___restrict__] = ACTIONS(6033),
    [anon_sym__Atomic] = ACTIONS(6033),
    [anon_sym__Noreturn] = ACTIONS(6033),
    [anon_sym_noreturn] = ACTIONS(6033),
    [anon_sym_mutable] = ACTIONS(6033),
    [anon_sym_constinit] = ACTIONS(6033),
    [anon_sym_consteval] = ACTIONS(6033),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(6033),
    [anon_sym_decltype] = ACTIONS(6033),
    [anon_sym_final] = ACTIONS(6033),
    [anon_sym_override] = ACTIONS(6033),
    [anon_sym_virtual] = ACTIONS(6033),
    [anon_sym_alignas] = ACTIONS(6033),
    [anon_sym_template] = ACTIONS(6033),
    [anon_sym_GT2] = ACTIONS(6035),
    [anon_sym_operator] = ACTIONS(6033),
    [anon_sym_requires] = ACTIONS(6033),
    [anon_sym_precise] = ACTIONS(6033),
    [anon_sym_shared] = ACTIONS(6033),
    [anon_sym_groupshared] = ACTIONS(6033),
    [anon_sym_uniform] = ACTIONS(6033),
    [anon_sym_row_major] = ACTIONS(6033),
    [anon_sym_column_major] = ACTIONS(6033),
    [anon_sym_globallycoherent] = ACTIONS(6033),
    [anon_sym_centroid] = ACTIONS(6033),
    [anon_sym_noperspective] = ACTIONS(6033),
    [anon_sym_nointerpolation] = ACTIONS(6033),
    [anon_sym_sample] = ACTIONS(6033),
    [anon_sym_linear] = ACTIONS(6033),
    [anon_sym_snorm] = ACTIONS(6033),
    [anon_sym_unorm] = ACTIONS(6033),
    [anon_sym_point] = ACTIONS(6033),
    [anon_sym_line] = ACTIONS(6033),
    [anon_sym_triangleadj] = ACTIONS(6033),
    [anon_sym_lineadj] = ACTIONS(6033),
    [anon_sym_triangle] = ACTIONS(6033),
  },
  [3063] = {
    [sym_identifier] = ACTIONS(6037),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6039),
    [anon_sym_COMMA] = ACTIONS(6039),
    [anon_sym_RPAREN] = ACTIONS(6039),
    [anon_sym_LPAREN2] = ACTIONS(6039),
    [anon_sym_TILDE] = ACTIONS(6039),
    [anon_sym_STAR] = ACTIONS(6039),
    [anon_sym_AMP_AMP] = ACTIONS(6039),
    [anon_sym_AMP] = ACTIONS(6037),
    [anon_sym_COLON] = ACTIONS(6037),
    [anon_sym_SEMI] = ACTIONS(6039),
    [anon_sym___extension__] = ACTIONS(6037),
    [anon_sym_in] = ACTIONS(6037),
    [anon_sym_out] = ACTIONS(6037),
    [anon_sym_inout] = ACTIONS(6037),
    [anon_sym_extern] = ACTIONS(6037),
    [anon_sym___attribute__] = ACTIONS(6037),
    [anon_sym_COLON_COLON] = ACTIONS(6039),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(6039),
    [anon_sym___declspec] = ACTIONS(6037),
    [anon_sym___based] = ACTIONS(6037),
    [anon_sym___cdecl] = ACTIONS(6037),
    [anon_sym___clrcall] = ACTIONS(6037),
    [anon_sym___stdcall] = ACTIONS(6037),
    [anon_sym___fastcall] = ACTIONS(6037),
    [anon_sym___thiscall] = ACTIONS(6037),
    [anon_sym___vectorcall] = ACTIONS(6037),
    [anon_sym_LBRACK] = ACTIONS(6037),
    [anon_sym_EQ] = ACTIONS(6039),
    [anon_sym_static] = ACTIONS(6037),
    [anon_sym_register] = ACTIONS(6037),
    [anon_sym_inline] = ACTIONS(6037),
    [anon_sym___inline] = ACTIONS(6037),
    [anon_sym___inline__] = ACTIONS(6037),
    [anon_sym___forceinline] = ACTIONS(6037),
    [anon_sym_thread_local] = ACTIONS(6037),
    [anon_sym___thread] = ACTIONS(6037),
    [anon_sym_const] = ACTIONS(6037),
    [anon_sym_constexpr] = ACTIONS(6037),
    [anon_sym_volatile] = ACTIONS(6037),
    [anon_sym_restrict] = ACTIONS(6037),
    [anon_sym___restrict__] = ACTIONS(6037),
    [anon_sym__Atomic] = ACTIONS(6037),
    [anon_sym__Noreturn] = ACTIONS(6037),
    [anon_sym_noreturn] = ACTIONS(6037),
    [anon_sym_mutable] = ACTIONS(6037),
    [anon_sym_constinit] = ACTIONS(6037),
    [anon_sym_consteval] = ACTIONS(6037),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(6037),
    [anon_sym_decltype] = ACTIONS(6037),
    [anon_sym_final] = ACTIONS(6037),
    [anon_sym_override] = ACTIONS(6037),
    [anon_sym_virtual] = ACTIONS(6037),
    [anon_sym_alignas] = ACTIONS(6037),
    [anon_sym_template] = ACTIONS(6037),
    [anon_sym_GT2] = ACTIONS(6039),
    [anon_sym_operator] = ACTIONS(6037),
    [anon_sym_requires] = ACTIONS(6037),
    [anon_sym_precise] = ACTIONS(6037),
    [anon_sym_shared] = ACTIONS(6037),
    [anon_sym_groupshared] = ACTIONS(6037),
    [anon_sym_uniform] = ACTIONS(6037),
    [anon_sym_row_major] = ACTIONS(6037),
    [anon_sym_column_major] = ACTIONS(6037),
    [anon_sym_globallycoherent] = ACTIONS(6037),
    [anon_sym_centroid] = ACTIONS(6037),
    [anon_sym_noperspective] = ACTIONS(6037),
    [anon_sym_nointerpolation] = ACTIONS(6037),
    [anon_sym_sample] = ACTIONS(6037),
    [anon_sym_linear] = ACTIONS(6037),
    [anon_sym_snorm] = ACTIONS(6037),
    [anon_sym_unorm] = ACTIONS(6037),
    [anon_sym_point] = ACTIONS(6037),
    [anon_sym_line] = ACTIONS(6037),
    [anon_sym_triangleadj] = ACTIONS(6037),
    [anon_sym_lineadj] = ACTIONS(6037),
    [anon_sym_triangle] = ACTIONS(6037),
  },
  [3064] = {
    [sym_identifier] = ACTIONS(6041),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6043),
    [anon_sym_COMMA] = ACTIONS(6043),
    [anon_sym_RPAREN] = ACTIONS(6043),
    [anon_sym_LPAREN2] = ACTIONS(6043),
    [anon_sym_TILDE] = ACTIONS(6043),
    [anon_sym_STAR] = ACTIONS(6043),
    [anon_sym_AMP_AMP] = ACTIONS(6043),
    [anon_sym_AMP] = ACTIONS(6041),
    [anon_sym_COLON] = ACTIONS(6041),
    [anon_sym_SEMI] = ACTIONS(6043),
    [anon_sym___extension__] = ACTIONS(6041),
    [anon_sym_in] = ACTIONS(6041),
    [anon_sym_out] = ACTIONS(6041),
    [anon_sym_inout] = ACTIONS(6041),
    [anon_sym_extern] = ACTIONS(6041),
    [anon_sym___attribute__] = ACTIONS(6041),
    [anon_sym_COLON_COLON] = ACTIONS(6043),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(6043),
    [anon_sym___declspec] = ACTIONS(6041),
    [anon_sym___based] = ACTIONS(6041),
    [anon_sym___cdecl] = ACTIONS(6041),
    [anon_sym___clrcall] = ACTIONS(6041),
    [anon_sym___stdcall] = ACTIONS(6041),
    [anon_sym___fastcall] = ACTIONS(6041),
    [anon_sym___thiscall] = ACTIONS(6041),
    [anon_sym___vectorcall] = ACTIONS(6041),
    [anon_sym_LBRACK] = ACTIONS(6041),
    [anon_sym_EQ] = ACTIONS(6043),
    [anon_sym_static] = ACTIONS(6041),
    [anon_sym_register] = ACTIONS(6041),
    [anon_sym_inline] = ACTIONS(6041),
    [anon_sym___inline] = ACTIONS(6041),
    [anon_sym___inline__] = ACTIONS(6041),
    [anon_sym___forceinline] = ACTIONS(6041),
    [anon_sym_thread_local] = ACTIONS(6041),
    [anon_sym___thread] = ACTIONS(6041),
    [anon_sym_const] = ACTIONS(6041),
    [anon_sym_constexpr] = ACTIONS(6041),
    [anon_sym_volatile] = ACTIONS(6041),
    [anon_sym_restrict] = ACTIONS(6041),
    [anon_sym___restrict__] = ACTIONS(6041),
    [anon_sym__Atomic] = ACTIONS(6041),
    [anon_sym__Noreturn] = ACTIONS(6041),
    [anon_sym_noreturn] = ACTIONS(6041),
    [anon_sym_mutable] = ACTIONS(6041),
    [anon_sym_constinit] = ACTIONS(6041),
    [anon_sym_consteval] = ACTIONS(6041),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(6041),
    [anon_sym_decltype] = ACTIONS(6041),
    [anon_sym_final] = ACTIONS(6041),
    [anon_sym_override] = ACTIONS(6041),
    [anon_sym_virtual] = ACTIONS(6041),
    [anon_sym_alignas] = ACTIONS(6041),
    [anon_sym_template] = ACTIONS(6041),
    [anon_sym_GT2] = ACTIONS(6043),
    [anon_sym_operator] = ACTIONS(6041),
    [anon_sym_requires] = ACTIONS(6041),
    [anon_sym_precise] = ACTIONS(6041),
    [anon_sym_shared] = ACTIONS(6041),
    [anon_sym_groupshared] = ACTIONS(6041),
    [anon_sym_uniform] = ACTIONS(6041),
    [anon_sym_row_major] = ACTIONS(6041),
    [anon_sym_column_major] = ACTIONS(6041),
    [anon_sym_globallycoherent] = ACTIONS(6041),
    [anon_sym_centroid] = ACTIONS(6041),
    [anon_sym_noperspective] = ACTIONS(6041),
    [anon_sym_nointerpolation] = ACTIONS(6041),
    [anon_sym_sample] = ACTIONS(6041),
    [anon_sym_linear] = ACTIONS(6041),
    [anon_sym_snorm] = ACTIONS(6041),
    [anon_sym_unorm] = ACTIONS(6041),
    [anon_sym_point] = ACTIONS(6041),
    [anon_sym_line] = ACTIONS(6041),
    [anon_sym_triangleadj] = ACTIONS(6041),
    [anon_sym_lineadj] = ACTIONS(6041),
    [anon_sym_triangle] = ACTIONS(6041),
  },
  [3065] = {
    [sym_identifier] = ACTIONS(6045),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6047),
    [anon_sym_COMMA] = ACTIONS(6047),
    [anon_sym_RPAREN] = ACTIONS(6047),
    [anon_sym_LPAREN2] = ACTIONS(6047),
    [anon_sym_TILDE] = ACTIONS(6047),
    [anon_sym_STAR] = ACTIONS(6047),
    [anon_sym_AMP_AMP] = ACTIONS(6047),
    [anon_sym_AMP] = ACTIONS(6045),
    [anon_sym_COLON] = ACTIONS(6045),
    [anon_sym_SEMI] = ACTIONS(6047),
    [anon_sym___extension__] = ACTIONS(6045),
    [anon_sym_in] = ACTIONS(6045),
    [anon_sym_out] = ACTIONS(6045),
    [anon_sym_inout] = ACTIONS(6045),
    [anon_sym_extern] = ACTIONS(6045),
    [anon_sym___attribute__] = ACTIONS(6045),
    [anon_sym_COLON_COLON] = ACTIONS(6047),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(6047),
    [anon_sym___declspec] = ACTIONS(6045),
    [anon_sym___based] = ACTIONS(6045),
    [anon_sym___cdecl] = ACTIONS(6045),
    [anon_sym___clrcall] = ACTIONS(6045),
    [anon_sym___stdcall] = ACTIONS(6045),
    [anon_sym___fastcall] = ACTIONS(6045),
    [anon_sym___thiscall] = ACTIONS(6045),
    [anon_sym___vectorcall] = ACTIONS(6045),
    [anon_sym_LBRACK] = ACTIONS(6045),
    [anon_sym_EQ] = ACTIONS(6047),
    [anon_sym_static] = ACTIONS(6045),
    [anon_sym_register] = ACTIONS(6045),
    [anon_sym_inline] = ACTIONS(6045),
    [anon_sym___inline] = ACTIONS(6045),
    [anon_sym___inline__] = ACTIONS(6045),
    [anon_sym___forceinline] = ACTIONS(6045),
    [anon_sym_thread_local] = ACTIONS(6045),
    [anon_sym___thread] = ACTIONS(6045),
    [anon_sym_const] = ACTIONS(6045),
    [anon_sym_constexpr] = ACTIONS(6045),
    [anon_sym_volatile] = ACTIONS(6045),
    [anon_sym_restrict] = ACTIONS(6045),
    [anon_sym___restrict__] = ACTIONS(6045),
    [anon_sym__Atomic] = ACTIONS(6045),
    [anon_sym__Noreturn] = ACTIONS(6045),
    [anon_sym_noreturn] = ACTIONS(6045),
    [anon_sym_mutable] = ACTIONS(6045),
    [anon_sym_constinit] = ACTIONS(6045),
    [anon_sym_consteval] = ACTIONS(6045),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(6045),
    [anon_sym_decltype] = ACTIONS(6045),
    [anon_sym_final] = ACTIONS(6045),
    [anon_sym_override] = ACTIONS(6045),
    [anon_sym_virtual] = ACTIONS(6045),
    [anon_sym_alignas] = ACTIONS(6045),
    [anon_sym_template] = ACTIONS(6045),
    [anon_sym_GT2] = ACTIONS(6047),
    [anon_sym_operator] = ACTIONS(6045),
    [anon_sym_requires] = ACTIONS(6045),
    [anon_sym_precise] = ACTIONS(6045),
    [anon_sym_shared] = ACTIONS(6045),
    [anon_sym_groupshared] = ACTIONS(6045),
    [anon_sym_uniform] = ACTIONS(6045),
    [anon_sym_row_major] = ACTIONS(6045),
    [anon_sym_column_major] = ACTIONS(6045),
    [anon_sym_globallycoherent] = ACTIONS(6045),
    [anon_sym_centroid] = ACTIONS(6045),
    [anon_sym_noperspective] = ACTIONS(6045),
    [anon_sym_nointerpolation] = ACTIONS(6045),
    [anon_sym_sample] = ACTIONS(6045),
    [anon_sym_linear] = ACTIONS(6045),
    [anon_sym_snorm] = ACTIONS(6045),
    [anon_sym_unorm] = ACTIONS(6045),
    [anon_sym_point] = ACTIONS(6045),
    [anon_sym_line] = ACTIONS(6045),
    [anon_sym_triangleadj] = ACTIONS(6045),
    [anon_sym_lineadj] = ACTIONS(6045),
    [anon_sym_triangle] = ACTIONS(6045),
  },
  [3066] = {
    [sym_identifier] = ACTIONS(6049),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6051),
    [anon_sym_COMMA] = ACTIONS(6051),
    [anon_sym_RPAREN] = ACTIONS(6051),
    [anon_sym_LPAREN2] = ACTIONS(6051),
    [anon_sym_TILDE] = ACTIONS(6051),
    [anon_sym_STAR] = ACTIONS(6051),
    [anon_sym_AMP_AMP] = ACTIONS(6051),
    [anon_sym_AMP] = ACTIONS(6049),
    [anon_sym_COLON] = ACTIONS(6049),
    [anon_sym_SEMI] = ACTIONS(6051),
    [anon_sym___extension__] = ACTIONS(6049),
    [anon_sym_in] = ACTIONS(6049),
    [anon_sym_out] = ACTIONS(6049),
    [anon_sym_inout] = ACTIONS(6049),
    [anon_sym_extern] = ACTIONS(6049),
    [anon_sym___attribute__] = ACTIONS(6049),
    [anon_sym_COLON_COLON] = ACTIONS(6051),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(6051),
    [anon_sym___declspec] = ACTIONS(6049),
    [anon_sym___based] = ACTIONS(6049),
    [anon_sym___cdecl] = ACTIONS(6049),
    [anon_sym___clrcall] = ACTIONS(6049),
    [anon_sym___stdcall] = ACTIONS(6049),
    [anon_sym___fastcall] = ACTIONS(6049),
    [anon_sym___thiscall] = ACTIONS(6049),
    [anon_sym___vectorcall] = ACTIONS(6049),
    [anon_sym_LBRACK] = ACTIONS(6049),
    [anon_sym_EQ] = ACTIONS(6051),
    [anon_sym_static] = ACTIONS(6049),
    [anon_sym_register] = ACTIONS(6049),
    [anon_sym_inline] = ACTIONS(6049),
    [anon_sym___inline] = ACTIONS(6049),
    [anon_sym___inline__] = ACTIONS(6049),
    [anon_sym___forceinline] = ACTIONS(6049),
    [anon_sym_thread_local] = ACTIONS(6049),
    [anon_sym___thread] = ACTIONS(6049),
    [anon_sym_const] = ACTIONS(6049),
    [anon_sym_constexpr] = ACTIONS(6049),
    [anon_sym_volatile] = ACTIONS(6049),
    [anon_sym_restrict] = ACTIONS(6049),
    [anon_sym___restrict__] = ACTIONS(6049),
    [anon_sym__Atomic] = ACTIONS(6049),
    [anon_sym__Noreturn] = ACTIONS(6049),
    [anon_sym_noreturn] = ACTIONS(6049),
    [anon_sym_mutable] = ACTIONS(6049),
    [anon_sym_constinit] = ACTIONS(6049),
    [anon_sym_consteval] = ACTIONS(6049),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(6049),
    [anon_sym_decltype] = ACTIONS(6049),
    [anon_sym_final] = ACTIONS(6049),
    [anon_sym_override] = ACTIONS(6049),
    [anon_sym_virtual] = ACTIONS(6049),
    [anon_sym_alignas] = ACTIONS(6049),
    [anon_sym_template] = ACTIONS(6049),
    [anon_sym_GT2] = ACTIONS(6051),
    [anon_sym_operator] = ACTIONS(6049),
    [anon_sym_requires] = ACTIONS(6049),
    [anon_sym_precise] = ACTIONS(6049),
    [anon_sym_shared] = ACTIONS(6049),
    [anon_sym_groupshared] = ACTIONS(6049),
    [anon_sym_uniform] = ACTIONS(6049),
    [anon_sym_row_major] = ACTIONS(6049),
    [anon_sym_column_major] = ACTIONS(6049),
    [anon_sym_globallycoherent] = ACTIONS(6049),
    [anon_sym_centroid] = ACTIONS(6049),
    [anon_sym_noperspective] = ACTIONS(6049),
    [anon_sym_nointerpolation] = ACTIONS(6049),
    [anon_sym_sample] = ACTIONS(6049),
    [anon_sym_linear] = ACTIONS(6049),
    [anon_sym_snorm] = ACTIONS(6049),
    [anon_sym_unorm] = ACTIONS(6049),
    [anon_sym_point] = ACTIONS(6049),
    [anon_sym_line] = ACTIONS(6049),
    [anon_sym_triangleadj] = ACTIONS(6049),
    [anon_sym_lineadj] = ACTIONS(6049),
    [anon_sym_triangle] = ACTIONS(6049),
  },
  [3067] = {
    [sym_identifier] = ACTIONS(6053),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6055),
    [anon_sym_COMMA] = ACTIONS(6055),
    [anon_sym_RPAREN] = ACTIONS(6055),
    [anon_sym_LPAREN2] = ACTIONS(6055),
    [anon_sym_TILDE] = ACTIONS(6055),
    [anon_sym_STAR] = ACTIONS(6055),
    [anon_sym_AMP_AMP] = ACTIONS(6055),
    [anon_sym_AMP] = ACTIONS(6053),
    [anon_sym_COLON] = ACTIONS(6053),
    [anon_sym_SEMI] = ACTIONS(6055),
    [anon_sym___extension__] = ACTIONS(6053),
    [anon_sym_in] = ACTIONS(6053),
    [anon_sym_out] = ACTIONS(6053),
    [anon_sym_inout] = ACTIONS(6053),
    [anon_sym_extern] = ACTIONS(6053),
    [anon_sym___attribute__] = ACTIONS(6053),
    [anon_sym_COLON_COLON] = ACTIONS(6055),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(6055),
    [anon_sym___declspec] = ACTIONS(6053),
    [anon_sym___based] = ACTIONS(6053),
    [anon_sym___cdecl] = ACTIONS(6053),
    [anon_sym___clrcall] = ACTIONS(6053),
    [anon_sym___stdcall] = ACTIONS(6053),
    [anon_sym___fastcall] = ACTIONS(6053),
    [anon_sym___thiscall] = ACTIONS(6053),
    [anon_sym___vectorcall] = ACTIONS(6053),
    [anon_sym_LBRACK] = ACTIONS(6053),
    [anon_sym_EQ] = ACTIONS(6055),
    [anon_sym_static] = ACTIONS(6053),
    [anon_sym_register] = ACTIONS(6053),
    [anon_sym_inline] = ACTIONS(6053),
    [anon_sym___inline] = ACTIONS(6053),
    [anon_sym___inline__] = ACTIONS(6053),
    [anon_sym___forceinline] = ACTIONS(6053),
    [anon_sym_thread_local] = ACTIONS(6053),
    [anon_sym___thread] = ACTIONS(6053),
    [anon_sym_const] = ACTIONS(6053),
    [anon_sym_constexpr] = ACTIONS(6053),
    [anon_sym_volatile] = ACTIONS(6053),
    [anon_sym_restrict] = ACTIONS(6053),
    [anon_sym___restrict__] = ACTIONS(6053),
    [anon_sym__Atomic] = ACTIONS(6053),
    [anon_sym__Noreturn] = ACTIONS(6053),
    [anon_sym_noreturn] = ACTIONS(6053),
    [anon_sym_mutable] = ACTIONS(6053),
    [anon_sym_constinit] = ACTIONS(6053),
    [anon_sym_consteval] = ACTIONS(6053),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(6053),
    [anon_sym_decltype] = ACTIONS(6053),
    [anon_sym_final] = ACTIONS(6053),
    [anon_sym_override] = ACTIONS(6053),
    [anon_sym_virtual] = ACTIONS(6053),
    [anon_sym_alignas] = ACTIONS(6053),
    [anon_sym_template] = ACTIONS(6053),
    [anon_sym_GT2] = ACTIONS(6055),
    [anon_sym_operator] = ACTIONS(6053),
    [anon_sym_requires] = ACTIONS(6053),
    [anon_sym_precise] = ACTIONS(6053),
    [anon_sym_shared] = ACTIONS(6053),
    [anon_sym_groupshared] = ACTIONS(6053),
    [anon_sym_uniform] = ACTIONS(6053),
    [anon_sym_row_major] = ACTIONS(6053),
    [anon_sym_column_major] = ACTIONS(6053),
    [anon_sym_globallycoherent] = ACTIONS(6053),
    [anon_sym_centroid] = ACTIONS(6053),
    [anon_sym_noperspective] = ACTIONS(6053),
    [anon_sym_nointerpolation] = ACTIONS(6053),
    [anon_sym_sample] = ACTIONS(6053),
    [anon_sym_linear] = ACTIONS(6053),
    [anon_sym_snorm] = ACTIONS(6053),
    [anon_sym_unorm] = ACTIONS(6053),
    [anon_sym_point] = ACTIONS(6053),
    [anon_sym_line] = ACTIONS(6053),
    [anon_sym_triangleadj] = ACTIONS(6053),
    [anon_sym_lineadj] = ACTIONS(6053),
    [anon_sym_triangle] = ACTIONS(6053),
  },
  [3068] = {
    [sym_identifier] = ACTIONS(5931),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5933),
    [anon_sym_COMMA] = ACTIONS(5933),
    [anon_sym_RPAREN] = ACTIONS(5933),
    [anon_sym_LPAREN2] = ACTIONS(5933),
    [anon_sym_TILDE] = ACTIONS(5933),
    [anon_sym_STAR] = ACTIONS(5933),
    [anon_sym_AMP_AMP] = ACTIONS(5933),
    [anon_sym_AMP] = ACTIONS(5931),
    [anon_sym_COLON] = ACTIONS(5931),
    [anon_sym_SEMI] = ACTIONS(5933),
    [anon_sym___extension__] = ACTIONS(5931),
    [anon_sym_in] = ACTIONS(5931),
    [anon_sym_out] = ACTIONS(5931),
    [anon_sym_inout] = ACTIONS(5931),
    [anon_sym_extern] = ACTIONS(5931),
    [anon_sym___attribute__] = ACTIONS(5931),
    [anon_sym_COLON_COLON] = ACTIONS(5933),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5933),
    [anon_sym___declspec] = ACTIONS(5931),
    [anon_sym___based] = ACTIONS(5931),
    [anon_sym___cdecl] = ACTIONS(5931),
    [anon_sym___clrcall] = ACTIONS(5931),
    [anon_sym___stdcall] = ACTIONS(5931),
    [anon_sym___fastcall] = ACTIONS(5931),
    [anon_sym___thiscall] = ACTIONS(5931),
    [anon_sym___vectorcall] = ACTIONS(5931),
    [anon_sym_LBRACK] = ACTIONS(5931),
    [anon_sym_EQ] = ACTIONS(5933),
    [anon_sym_static] = ACTIONS(5931),
    [anon_sym_register] = ACTIONS(5931),
    [anon_sym_inline] = ACTIONS(5931),
    [anon_sym___inline] = ACTIONS(5931),
    [anon_sym___inline__] = ACTIONS(5931),
    [anon_sym___forceinline] = ACTIONS(5931),
    [anon_sym_thread_local] = ACTIONS(5931),
    [anon_sym___thread] = ACTIONS(5931),
    [anon_sym_const] = ACTIONS(5931),
    [anon_sym_constexpr] = ACTIONS(5931),
    [anon_sym_volatile] = ACTIONS(5931),
    [anon_sym_restrict] = ACTIONS(5931),
    [anon_sym___restrict__] = ACTIONS(5931),
    [anon_sym__Atomic] = ACTIONS(5931),
    [anon_sym__Noreturn] = ACTIONS(5931),
    [anon_sym_noreturn] = ACTIONS(5931),
    [anon_sym_mutable] = ACTIONS(5931),
    [anon_sym_constinit] = ACTIONS(5931),
    [anon_sym_consteval] = ACTIONS(5931),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5931),
    [anon_sym_decltype] = ACTIONS(5931),
    [anon_sym_final] = ACTIONS(5931),
    [anon_sym_override] = ACTIONS(5931),
    [anon_sym_virtual] = ACTIONS(5931),
    [anon_sym_alignas] = ACTIONS(5931),
    [anon_sym_template] = ACTIONS(5931),
    [anon_sym_GT2] = ACTIONS(5933),
    [anon_sym_operator] = ACTIONS(5931),
    [anon_sym_requires] = ACTIONS(5931),
    [anon_sym_precise] = ACTIONS(5931),
    [anon_sym_shared] = ACTIONS(5931),
    [anon_sym_groupshared] = ACTIONS(5931),
    [anon_sym_uniform] = ACTIONS(5931),
    [anon_sym_row_major] = ACTIONS(5931),
    [anon_sym_column_major] = ACTIONS(5931),
    [anon_sym_globallycoherent] = ACTIONS(5931),
    [anon_sym_centroid] = ACTIONS(5931),
    [anon_sym_noperspective] = ACTIONS(5931),
    [anon_sym_nointerpolation] = ACTIONS(5931),
    [anon_sym_sample] = ACTIONS(5931),
    [anon_sym_linear] = ACTIONS(5931),
    [anon_sym_snorm] = ACTIONS(5931),
    [anon_sym_unorm] = ACTIONS(5931),
    [anon_sym_point] = ACTIONS(5931),
    [anon_sym_line] = ACTIONS(5931),
    [anon_sym_triangleadj] = ACTIONS(5931),
    [anon_sym_lineadj] = ACTIONS(5931),
    [anon_sym_triangle] = ACTIONS(5931),
  },
  [3069] = {
    [sym_identifier] = ACTIONS(6057),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6059),
    [anon_sym_COMMA] = ACTIONS(6059),
    [anon_sym_RPAREN] = ACTIONS(6059),
    [anon_sym_LPAREN2] = ACTIONS(6059),
    [anon_sym_TILDE] = ACTIONS(6059),
    [anon_sym_STAR] = ACTIONS(6059),
    [anon_sym_AMP_AMP] = ACTIONS(6059),
    [anon_sym_AMP] = ACTIONS(6057),
    [anon_sym_COLON] = ACTIONS(6057),
    [anon_sym_SEMI] = ACTIONS(6059),
    [anon_sym___extension__] = ACTIONS(6057),
    [anon_sym_in] = ACTIONS(6057),
    [anon_sym_out] = ACTIONS(6057),
    [anon_sym_inout] = ACTIONS(6057),
    [anon_sym_extern] = ACTIONS(6057),
    [anon_sym___attribute__] = ACTIONS(6057),
    [anon_sym_COLON_COLON] = ACTIONS(6059),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(6059),
    [anon_sym___declspec] = ACTIONS(6057),
    [anon_sym___based] = ACTIONS(6057),
    [anon_sym___cdecl] = ACTIONS(6057),
    [anon_sym___clrcall] = ACTIONS(6057),
    [anon_sym___stdcall] = ACTIONS(6057),
    [anon_sym___fastcall] = ACTIONS(6057),
    [anon_sym___thiscall] = ACTIONS(6057),
    [anon_sym___vectorcall] = ACTIONS(6057),
    [anon_sym_LBRACK] = ACTIONS(6057),
    [anon_sym_EQ] = ACTIONS(6059),
    [anon_sym_static] = ACTIONS(6057),
    [anon_sym_register] = ACTIONS(6057),
    [anon_sym_inline] = ACTIONS(6057),
    [anon_sym___inline] = ACTIONS(6057),
    [anon_sym___inline__] = ACTIONS(6057),
    [anon_sym___forceinline] = ACTIONS(6057),
    [anon_sym_thread_local] = ACTIONS(6057),
    [anon_sym___thread] = ACTIONS(6057),
    [anon_sym_const] = ACTIONS(6057),
    [anon_sym_constexpr] = ACTIONS(6057),
    [anon_sym_volatile] = ACTIONS(6057),
    [anon_sym_restrict] = ACTIONS(6057),
    [anon_sym___restrict__] = ACTIONS(6057),
    [anon_sym__Atomic] = ACTIONS(6057),
    [anon_sym__Noreturn] = ACTIONS(6057),
    [anon_sym_noreturn] = ACTIONS(6057),
    [anon_sym_mutable] = ACTIONS(6057),
    [anon_sym_constinit] = ACTIONS(6057),
    [anon_sym_consteval] = ACTIONS(6057),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(6057),
    [anon_sym_decltype] = ACTIONS(6057),
    [anon_sym_final] = ACTIONS(6057),
    [anon_sym_override] = ACTIONS(6057),
    [anon_sym_virtual] = ACTIONS(6057),
    [anon_sym_alignas] = ACTIONS(6057),
    [anon_sym_template] = ACTIONS(6057),
    [anon_sym_GT2] = ACTIONS(6059),
    [anon_sym_operator] = ACTIONS(6057),
    [anon_sym_requires] = ACTIONS(6057),
    [anon_sym_precise] = ACTIONS(6057),
    [anon_sym_shared] = ACTIONS(6057),
    [anon_sym_groupshared] = ACTIONS(6057),
    [anon_sym_uniform] = ACTIONS(6057),
    [anon_sym_row_major] = ACTIONS(6057),
    [anon_sym_column_major] = ACTIONS(6057),
    [anon_sym_globallycoherent] = ACTIONS(6057),
    [anon_sym_centroid] = ACTIONS(6057),
    [anon_sym_noperspective] = ACTIONS(6057),
    [anon_sym_nointerpolation] = ACTIONS(6057),
    [anon_sym_sample] = ACTIONS(6057),
    [anon_sym_linear] = ACTIONS(6057),
    [anon_sym_snorm] = ACTIONS(6057),
    [anon_sym_unorm] = ACTIONS(6057),
    [anon_sym_point] = ACTIONS(6057),
    [anon_sym_line] = ACTIONS(6057),
    [anon_sym_triangleadj] = ACTIONS(6057),
    [anon_sym_lineadj] = ACTIONS(6057),
    [anon_sym_triangle] = ACTIONS(6057),
  },
  [3070] = {
    [sym_identifier] = ACTIONS(6061),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6063),
    [anon_sym_COMMA] = ACTIONS(6063),
    [anon_sym_RPAREN] = ACTIONS(6063),
    [anon_sym_LPAREN2] = ACTIONS(6063),
    [anon_sym_TILDE] = ACTIONS(6063),
    [anon_sym_STAR] = ACTIONS(6063),
    [anon_sym_AMP_AMP] = ACTIONS(6063),
    [anon_sym_AMP] = ACTIONS(6061),
    [anon_sym_COLON] = ACTIONS(6061),
    [anon_sym_SEMI] = ACTIONS(6063),
    [anon_sym___extension__] = ACTIONS(6061),
    [anon_sym_in] = ACTIONS(6061),
    [anon_sym_out] = ACTIONS(6061),
    [anon_sym_inout] = ACTIONS(6061),
    [anon_sym_extern] = ACTIONS(6061),
    [anon_sym___attribute__] = ACTIONS(6061),
    [anon_sym_COLON_COLON] = ACTIONS(6063),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(6063),
    [anon_sym___declspec] = ACTIONS(6061),
    [anon_sym___based] = ACTIONS(6061),
    [anon_sym___cdecl] = ACTIONS(6061),
    [anon_sym___clrcall] = ACTIONS(6061),
    [anon_sym___stdcall] = ACTIONS(6061),
    [anon_sym___fastcall] = ACTIONS(6061),
    [anon_sym___thiscall] = ACTIONS(6061),
    [anon_sym___vectorcall] = ACTIONS(6061),
    [anon_sym_LBRACK] = ACTIONS(6061),
    [anon_sym_EQ] = ACTIONS(6063),
    [anon_sym_static] = ACTIONS(6061),
    [anon_sym_register] = ACTIONS(6061),
    [anon_sym_inline] = ACTIONS(6061),
    [anon_sym___inline] = ACTIONS(6061),
    [anon_sym___inline__] = ACTIONS(6061),
    [anon_sym___forceinline] = ACTIONS(6061),
    [anon_sym_thread_local] = ACTIONS(6061),
    [anon_sym___thread] = ACTIONS(6061),
    [anon_sym_const] = ACTIONS(6061),
    [anon_sym_constexpr] = ACTIONS(6061),
    [anon_sym_volatile] = ACTIONS(6061),
    [anon_sym_restrict] = ACTIONS(6061),
    [anon_sym___restrict__] = ACTIONS(6061),
    [anon_sym__Atomic] = ACTIONS(6061),
    [anon_sym__Noreturn] = ACTIONS(6061),
    [anon_sym_noreturn] = ACTIONS(6061),
    [anon_sym_mutable] = ACTIONS(6061),
    [anon_sym_constinit] = ACTIONS(6061),
    [anon_sym_consteval] = ACTIONS(6061),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(6061),
    [anon_sym_decltype] = ACTIONS(6061),
    [anon_sym_final] = ACTIONS(6061),
    [anon_sym_override] = ACTIONS(6061),
    [anon_sym_virtual] = ACTIONS(6061),
    [anon_sym_alignas] = ACTIONS(6061),
    [anon_sym_template] = ACTIONS(6061),
    [anon_sym_GT2] = ACTIONS(6063),
    [anon_sym_operator] = ACTIONS(6061),
    [anon_sym_requires] = ACTIONS(6061),
    [anon_sym_precise] = ACTIONS(6061),
    [anon_sym_shared] = ACTIONS(6061),
    [anon_sym_groupshared] = ACTIONS(6061),
    [anon_sym_uniform] = ACTIONS(6061),
    [anon_sym_row_major] = ACTIONS(6061),
    [anon_sym_column_major] = ACTIONS(6061),
    [anon_sym_globallycoherent] = ACTIONS(6061),
    [anon_sym_centroid] = ACTIONS(6061),
    [anon_sym_noperspective] = ACTIONS(6061),
    [anon_sym_nointerpolation] = ACTIONS(6061),
    [anon_sym_sample] = ACTIONS(6061),
    [anon_sym_linear] = ACTIONS(6061),
    [anon_sym_snorm] = ACTIONS(6061),
    [anon_sym_unorm] = ACTIONS(6061),
    [anon_sym_point] = ACTIONS(6061),
    [anon_sym_line] = ACTIONS(6061),
    [anon_sym_triangleadj] = ACTIONS(6061),
    [anon_sym_lineadj] = ACTIONS(6061),
    [anon_sym_triangle] = ACTIONS(6061),
  },
  [3071] = {
    [sym_identifier] = ACTIONS(6065),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6067),
    [anon_sym_COMMA] = ACTIONS(6067),
    [anon_sym_RPAREN] = ACTIONS(6067),
    [anon_sym_LPAREN2] = ACTIONS(6067),
    [anon_sym_TILDE] = ACTIONS(6067),
    [anon_sym_STAR] = ACTIONS(6067),
    [anon_sym_AMP_AMP] = ACTIONS(6067),
    [anon_sym_AMP] = ACTIONS(6065),
    [anon_sym_COLON] = ACTIONS(6065),
    [anon_sym_SEMI] = ACTIONS(6067),
    [anon_sym___extension__] = ACTIONS(6065),
    [anon_sym_in] = ACTIONS(6065),
    [anon_sym_out] = ACTIONS(6065),
    [anon_sym_inout] = ACTIONS(6065),
    [anon_sym_extern] = ACTIONS(6065),
    [anon_sym___attribute__] = ACTIONS(6065),
    [anon_sym_COLON_COLON] = ACTIONS(6067),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(6067),
    [anon_sym___declspec] = ACTIONS(6065),
    [anon_sym___based] = ACTIONS(6065),
    [anon_sym___cdecl] = ACTIONS(6065),
    [anon_sym___clrcall] = ACTIONS(6065),
    [anon_sym___stdcall] = ACTIONS(6065),
    [anon_sym___fastcall] = ACTIONS(6065),
    [anon_sym___thiscall] = ACTIONS(6065),
    [anon_sym___vectorcall] = ACTIONS(6065),
    [anon_sym_LBRACK] = ACTIONS(6065),
    [anon_sym_EQ] = ACTIONS(6067),
    [anon_sym_static] = ACTIONS(6065),
    [anon_sym_register] = ACTIONS(6065),
    [anon_sym_inline] = ACTIONS(6065),
    [anon_sym___inline] = ACTIONS(6065),
    [anon_sym___inline__] = ACTIONS(6065),
    [anon_sym___forceinline] = ACTIONS(6065),
    [anon_sym_thread_local] = ACTIONS(6065),
    [anon_sym___thread] = ACTIONS(6065),
    [anon_sym_const] = ACTIONS(6065),
    [anon_sym_constexpr] = ACTIONS(6065),
    [anon_sym_volatile] = ACTIONS(6065),
    [anon_sym_restrict] = ACTIONS(6065),
    [anon_sym___restrict__] = ACTIONS(6065),
    [anon_sym__Atomic] = ACTIONS(6065),
    [anon_sym__Noreturn] = ACTIONS(6065),
    [anon_sym_noreturn] = ACTIONS(6065),
    [anon_sym_mutable] = ACTIONS(6065),
    [anon_sym_constinit] = ACTIONS(6065),
    [anon_sym_consteval] = ACTIONS(6065),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(6065),
    [anon_sym_decltype] = ACTIONS(6065),
    [anon_sym_final] = ACTIONS(6065),
    [anon_sym_override] = ACTIONS(6065),
    [anon_sym_virtual] = ACTIONS(6065),
    [anon_sym_alignas] = ACTIONS(6065),
    [anon_sym_template] = ACTIONS(6065),
    [anon_sym_GT2] = ACTIONS(6067),
    [anon_sym_operator] = ACTIONS(6065),
    [anon_sym_requires] = ACTIONS(6065),
    [anon_sym_precise] = ACTIONS(6065),
    [anon_sym_shared] = ACTIONS(6065),
    [anon_sym_groupshared] = ACTIONS(6065),
    [anon_sym_uniform] = ACTIONS(6065),
    [anon_sym_row_major] = ACTIONS(6065),
    [anon_sym_column_major] = ACTIONS(6065),
    [anon_sym_globallycoherent] = ACTIONS(6065),
    [anon_sym_centroid] = ACTIONS(6065),
    [anon_sym_noperspective] = ACTIONS(6065),
    [anon_sym_nointerpolation] = ACTIONS(6065),
    [anon_sym_sample] = ACTIONS(6065),
    [anon_sym_linear] = ACTIONS(6065),
    [anon_sym_snorm] = ACTIONS(6065),
    [anon_sym_unorm] = ACTIONS(6065),
    [anon_sym_point] = ACTIONS(6065),
    [anon_sym_line] = ACTIONS(6065),
    [anon_sym_triangleadj] = ACTIONS(6065),
    [anon_sym_lineadj] = ACTIONS(6065),
    [anon_sym_triangle] = ACTIONS(6065),
  },
  [3072] = {
    [sym_identifier] = ACTIONS(6069),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6071),
    [anon_sym_COMMA] = ACTIONS(6071),
    [anon_sym_RPAREN] = ACTIONS(6071),
    [anon_sym_LPAREN2] = ACTIONS(6071),
    [anon_sym_TILDE] = ACTIONS(6071),
    [anon_sym_STAR] = ACTIONS(6071),
    [anon_sym_AMP_AMP] = ACTIONS(6071),
    [anon_sym_AMP] = ACTIONS(6069),
    [anon_sym_COLON] = ACTIONS(6069),
    [anon_sym_SEMI] = ACTIONS(6071),
    [anon_sym___extension__] = ACTIONS(6069),
    [anon_sym_in] = ACTIONS(6069),
    [anon_sym_out] = ACTIONS(6069),
    [anon_sym_inout] = ACTIONS(6069),
    [anon_sym_extern] = ACTIONS(6069),
    [anon_sym___attribute__] = ACTIONS(6069),
    [anon_sym_COLON_COLON] = ACTIONS(6071),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(6071),
    [anon_sym___declspec] = ACTIONS(6069),
    [anon_sym___based] = ACTIONS(6069),
    [anon_sym___cdecl] = ACTIONS(6069),
    [anon_sym___clrcall] = ACTIONS(6069),
    [anon_sym___stdcall] = ACTIONS(6069),
    [anon_sym___fastcall] = ACTIONS(6069),
    [anon_sym___thiscall] = ACTIONS(6069),
    [anon_sym___vectorcall] = ACTIONS(6069),
    [anon_sym_LBRACK] = ACTIONS(6069),
    [anon_sym_EQ] = ACTIONS(6071),
    [anon_sym_static] = ACTIONS(6069),
    [anon_sym_register] = ACTIONS(6069),
    [anon_sym_inline] = ACTIONS(6069),
    [anon_sym___inline] = ACTIONS(6069),
    [anon_sym___inline__] = ACTIONS(6069),
    [anon_sym___forceinline] = ACTIONS(6069),
    [anon_sym_thread_local] = ACTIONS(6069),
    [anon_sym___thread] = ACTIONS(6069),
    [anon_sym_const] = ACTIONS(6069),
    [anon_sym_constexpr] = ACTIONS(6069),
    [anon_sym_volatile] = ACTIONS(6069),
    [anon_sym_restrict] = ACTIONS(6069),
    [anon_sym___restrict__] = ACTIONS(6069),
    [anon_sym__Atomic] = ACTIONS(6069),
    [anon_sym__Noreturn] = ACTIONS(6069),
    [anon_sym_noreturn] = ACTIONS(6069),
    [anon_sym_mutable] = ACTIONS(6069),
    [anon_sym_constinit] = ACTIONS(6069),
    [anon_sym_consteval] = ACTIONS(6069),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(6069),
    [anon_sym_decltype] = ACTIONS(6069),
    [anon_sym_final] = ACTIONS(6069),
    [anon_sym_override] = ACTIONS(6069),
    [anon_sym_virtual] = ACTIONS(6069),
    [anon_sym_alignas] = ACTIONS(6069),
    [anon_sym_template] = ACTIONS(6069),
    [anon_sym_GT2] = ACTIONS(6071),
    [anon_sym_operator] = ACTIONS(6069),
    [anon_sym_requires] = ACTIONS(6069),
    [anon_sym_precise] = ACTIONS(6069),
    [anon_sym_shared] = ACTIONS(6069),
    [anon_sym_groupshared] = ACTIONS(6069),
    [anon_sym_uniform] = ACTIONS(6069),
    [anon_sym_row_major] = ACTIONS(6069),
    [anon_sym_column_major] = ACTIONS(6069),
    [anon_sym_globallycoherent] = ACTIONS(6069),
    [anon_sym_centroid] = ACTIONS(6069),
    [anon_sym_noperspective] = ACTIONS(6069),
    [anon_sym_nointerpolation] = ACTIONS(6069),
    [anon_sym_sample] = ACTIONS(6069),
    [anon_sym_linear] = ACTIONS(6069),
    [anon_sym_snorm] = ACTIONS(6069),
    [anon_sym_unorm] = ACTIONS(6069),
    [anon_sym_point] = ACTIONS(6069),
    [anon_sym_line] = ACTIONS(6069),
    [anon_sym_triangleadj] = ACTIONS(6069),
    [anon_sym_lineadj] = ACTIONS(6069),
    [anon_sym_triangle] = ACTIONS(6069),
  },
  [3073] = {
    [sym_identifier] = ACTIONS(6073),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6075),
    [anon_sym_COMMA] = ACTIONS(6075),
    [anon_sym_RPAREN] = ACTIONS(6075),
    [anon_sym_LPAREN2] = ACTIONS(6075),
    [anon_sym_TILDE] = ACTIONS(6075),
    [anon_sym_STAR] = ACTIONS(6075),
    [anon_sym_AMP_AMP] = ACTIONS(6075),
    [anon_sym_AMP] = ACTIONS(6073),
    [anon_sym_COLON] = ACTIONS(6073),
    [anon_sym_SEMI] = ACTIONS(6075),
    [anon_sym___extension__] = ACTIONS(6073),
    [anon_sym_in] = ACTIONS(6073),
    [anon_sym_out] = ACTIONS(6073),
    [anon_sym_inout] = ACTIONS(6073),
    [anon_sym_extern] = ACTIONS(6073),
    [anon_sym___attribute__] = ACTIONS(6073),
    [anon_sym_COLON_COLON] = ACTIONS(6075),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(6075),
    [anon_sym___declspec] = ACTIONS(6073),
    [anon_sym___based] = ACTIONS(6073),
    [anon_sym___cdecl] = ACTIONS(6073),
    [anon_sym___clrcall] = ACTIONS(6073),
    [anon_sym___stdcall] = ACTIONS(6073),
    [anon_sym___fastcall] = ACTIONS(6073),
    [anon_sym___thiscall] = ACTIONS(6073),
    [anon_sym___vectorcall] = ACTIONS(6073),
    [anon_sym_LBRACK] = ACTIONS(6073),
    [anon_sym_EQ] = ACTIONS(6075),
    [anon_sym_static] = ACTIONS(6073),
    [anon_sym_register] = ACTIONS(6073),
    [anon_sym_inline] = ACTIONS(6073),
    [anon_sym___inline] = ACTIONS(6073),
    [anon_sym___inline__] = ACTIONS(6073),
    [anon_sym___forceinline] = ACTIONS(6073),
    [anon_sym_thread_local] = ACTIONS(6073),
    [anon_sym___thread] = ACTIONS(6073),
    [anon_sym_const] = ACTIONS(6073),
    [anon_sym_constexpr] = ACTIONS(6073),
    [anon_sym_volatile] = ACTIONS(6073),
    [anon_sym_restrict] = ACTIONS(6073),
    [anon_sym___restrict__] = ACTIONS(6073),
    [anon_sym__Atomic] = ACTIONS(6073),
    [anon_sym__Noreturn] = ACTIONS(6073),
    [anon_sym_noreturn] = ACTIONS(6073),
    [anon_sym_mutable] = ACTIONS(6073),
    [anon_sym_constinit] = ACTIONS(6073),
    [anon_sym_consteval] = ACTIONS(6073),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(6073),
    [anon_sym_decltype] = ACTIONS(6073),
    [anon_sym_final] = ACTIONS(6073),
    [anon_sym_override] = ACTIONS(6073),
    [anon_sym_virtual] = ACTIONS(6073),
    [anon_sym_alignas] = ACTIONS(6073),
    [anon_sym_template] = ACTIONS(6073),
    [anon_sym_GT2] = ACTIONS(6075),
    [anon_sym_operator] = ACTIONS(6073),
    [anon_sym_requires] = ACTIONS(6073),
    [anon_sym_precise] = ACTIONS(6073),
    [anon_sym_shared] = ACTIONS(6073),
    [anon_sym_groupshared] = ACTIONS(6073),
    [anon_sym_uniform] = ACTIONS(6073),
    [anon_sym_row_major] = ACTIONS(6073),
    [anon_sym_column_major] = ACTIONS(6073),
    [anon_sym_globallycoherent] = ACTIONS(6073),
    [anon_sym_centroid] = ACTIONS(6073),
    [anon_sym_noperspective] = ACTIONS(6073),
    [anon_sym_nointerpolation] = ACTIONS(6073),
    [anon_sym_sample] = ACTIONS(6073),
    [anon_sym_linear] = ACTIONS(6073),
    [anon_sym_snorm] = ACTIONS(6073),
    [anon_sym_unorm] = ACTIONS(6073),
    [anon_sym_point] = ACTIONS(6073),
    [anon_sym_line] = ACTIONS(6073),
    [anon_sym_triangleadj] = ACTIONS(6073),
    [anon_sym_lineadj] = ACTIONS(6073),
    [anon_sym_triangle] = ACTIONS(6073),
  },
  [3074] = {
    [sym_attribute_specifier] = STATE(3076),
    [sym_enumerator_list] = STATE(3120),
    [sym_identifier] = ACTIONS(6077),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6079),
    [anon_sym_COMMA] = ACTIONS(6079),
    [anon_sym_RPAREN] = ACTIONS(6079),
    [anon_sym_LPAREN2] = ACTIONS(6079),
    [anon_sym_TILDE] = ACTIONS(6079),
    [anon_sym_STAR] = ACTIONS(6079),
    [anon_sym_AMP_AMP] = ACTIONS(6079),
    [anon_sym_AMP] = ACTIONS(6077),
    [anon_sym_COLON] = ACTIONS(6077),
    [anon_sym_SEMI] = ACTIONS(6079),
    [anon_sym___extension__] = ACTIONS(6077),
    [anon_sym_in] = ACTIONS(6077),
    [anon_sym_out] = ACTIONS(6077),
    [anon_sym_inout] = ACTIONS(6077),
    [anon_sym_extern] = ACTIONS(6077),
    [anon_sym___attribute__] = ACTIONS(5581),
    [anon_sym_COLON_COLON] = ACTIONS(6079),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(6079),
    [anon_sym___declspec] = ACTIONS(6077),
    [anon_sym___based] = ACTIONS(6077),
    [anon_sym___cdecl] = ACTIONS(6077),
    [anon_sym___clrcall] = ACTIONS(6077),
    [anon_sym___stdcall] = ACTIONS(6077),
    [anon_sym___fastcall] = ACTIONS(6077),
    [anon_sym___thiscall] = ACTIONS(6077),
    [anon_sym___vectorcall] = ACTIONS(6077),
    [anon_sym_LBRACE] = ACTIONS(6081),
    [anon_sym_LBRACK] = ACTIONS(6077),
    [anon_sym_EQ] = ACTIONS(6079),
    [anon_sym_static] = ACTIONS(6077),
    [anon_sym_register] = ACTIONS(6077),
    [anon_sym_inline] = ACTIONS(6077),
    [anon_sym___inline] = ACTIONS(6077),
    [anon_sym___inline__] = ACTIONS(6077),
    [anon_sym___forceinline] = ACTIONS(6077),
    [anon_sym_thread_local] = ACTIONS(6077),
    [anon_sym___thread] = ACTIONS(6077),
    [anon_sym_const] = ACTIONS(6077),
    [anon_sym_constexpr] = ACTIONS(6077),
    [anon_sym_volatile] = ACTIONS(6077),
    [anon_sym_restrict] = ACTIONS(6077),
    [anon_sym___restrict__] = ACTIONS(6077),
    [anon_sym__Atomic] = ACTIONS(6077),
    [anon_sym__Noreturn] = ACTIONS(6077),
    [anon_sym_noreturn] = ACTIONS(6077),
    [anon_sym_mutable] = ACTIONS(6077),
    [anon_sym_constinit] = ACTIONS(6077),
    [anon_sym_consteval] = ACTIONS(6077),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(6077),
    [anon_sym_decltype] = ACTIONS(6077),
    [anon_sym_virtual] = ACTIONS(6077),
    [anon_sym_alignas] = ACTIONS(6077),
    [anon_sym_template] = ACTIONS(6077),
    [anon_sym_GT2] = ACTIONS(6079),
    [anon_sym_operator] = ACTIONS(6077),
    [anon_sym_precise] = ACTIONS(6077),
    [anon_sym_shared] = ACTIONS(6077),
    [anon_sym_groupshared] = ACTIONS(6077),
    [anon_sym_uniform] = ACTIONS(6077),
    [anon_sym_row_major] = ACTIONS(6077),
    [anon_sym_column_major] = ACTIONS(6077),
    [anon_sym_globallycoherent] = ACTIONS(6077),
    [anon_sym_centroid] = ACTIONS(6077),
    [anon_sym_noperspective] = ACTIONS(6077),
    [anon_sym_nointerpolation] = ACTIONS(6077),
    [anon_sym_sample] = ACTIONS(6077),
    [anon_sym_linear] = ACTIONS(6077),
    [anon_sym_snorm] = ACTIONS(6077),
    [anon_sym_unorm] = ACTIONS(6077),
    [anon_sym_point] = ACTIONS(6077),
    [anon_sym_line] = ACTIONS(6077),
    [anon_sym_triangleadj] = ACTIONS(6077),
    [anon_sym_lineadj] = ACTIONS(6077),
    [anon_sym_triangle] = ACTIONS(6077),
  },
  [3075] = {
    [sym_identifier] = ACTIONS(6083),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6085),
    [anon_sym_COMMA] = ACTIONS(6085),
    [anon_sym_RPAREN] = ACTIONS(6085),
    [anon_sym_LPAREN2] = ACTIONS(6085),
    [anon_sym_TILDE] = ACTIONS(6085),
    [anon_sym_STAR] = ACTIONS(6085),
    [anon_sym_AMP_AMP] = ACTIONS(6085),
    [anon_sym_AMP] = ACTIONS(6083),
    [anon_sym_COLON] = ACTIONS(6083),
    [anon_sym_SEMI] = ACTIONS(6085),
    [anon_sym___extension__] = ACTIONS(6083),
    [anon_sym_in] = ACTIONS(6083),
    [anon_sym_out] = ACTIONS(6083),
    [anon_sym_inout] = ACTIONS(6083),
    [anon_sym_extern] = ACTIONS(6083),
    [anon_sym___attribute__] = ACTIONS(6083),
    [anon_sym_COLON_COLON] = ACTIONS(6085),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(6085),
    [anon_sym___declspec] = ACTIONS(6083),
    [anon_sym___based] = ACTIONS(6083),
    [anon_sym___cdecl] = ACTIONS(6083),
    [anon_sym___clrcall] = ACTIONS(6083),
    [anon_sym___stdcall] = ACTIONS(6083),
    [anon_sym___fastcall] = ACTIONS(6083),
    [anon_sym___thiscall] = ACTIONS(6083),
    [anon_sym___vectorcall] = ACTIONS(6083),
    [anon_sym_LBRACK] = ACTIONS(6083),
    [anon_sym_EQ] = ACTIONS(6085),
    [anon_sym_static] = ACTIONS(6083),
    [anon_sym_register] = ACTIONS(6083),
    [anon_sym_inline] = ACTIONS(6083),
    [anon_sym___inline] = ACTIONS(6083),
    [anon_sym___inline__] = ACTIONS(6083),
    [anon_sym___forceinline] = ACTIONS(6083),
    [anon_sym_thread_local] = ACTIONS(6083),
    [anon_sym___thread] = ACTIONS(6083),
    [anon_sym_const] = ACTIONS(6083),
    [anon_sym_constexpr] = ACTIONS(6083),
    [anon_sym_volatile] = ACTIONS(6083),
    [anon_sym_restrict] = ACTIONS(6083),
    [anon_sym___restrict__] = ACTIONS(6083),
    [anon_sym__Atomic] = ACTIONS(6083),
    [anon_sym__Noreturn] = ACTIONS(6083),
    [anon_sym_noreturn] = ACTIONS(6083),
    [anon_sym_mutable] = ACTIONS(6083),
    [anon_sym_constinit] = ACTIONS(6083),
    [anon_sym_consteval] = ACTIONS(6083),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(6083),
    [anon_sym_decltype] = ACTIONS(6083),
    [anon_sym_final] = ACTIONS(6083),
    [anon_sym_override] = ACTIONS(6083),
    [anon_sym_virtual] = ACTIONS(6083),
    [anon_sym_alignas] = ACTIONS(6083),
    [anon_sym_template] = ACTIONS(6083),
    [anon_sym_GT2] = ACTIONS(6085),
    [anon_sym_operator] = ACTIONS(6083),
    [anon_sym_requires] = ACTIONS(6083),
    [anon_sym_precise] = ACTIONS(6083),
    [anon_sym_shared] = ACTIONS(6083),
    [anon_sym_groupshared] = ACTIONS(6083),
    [anon_sym_uniform] = ACTIONS(6083),
    [anon_sym_row_major] = ACTIONS(6083),
    [anon_sym_column_major] = ACTIONS(6083),
    [anon_sym_globallycoherent] = ACTIONS(6083),
    [anon_sym_centroid] = ACTIONS(6083),
    [anon_sym_noperspective] = ACTIONS(6083),
    [anon_sym_nointerpolation] = ACTIONS(6083),
    [anon_sym_sample] = ACTIONS(6083),
    [anon_sym_linear] = ACTIONS(6083),
    [anon_sym_snorm] = ACTIONS(6083),
    [anon_sym_unorm] = ACTIONS(6083),
    [anon_sym_point] = ACTIONS(6083),
    [anon_sym_line] = ACTIONS(6083),
    [anon_sym_triangleadj] = ACTIONS(6083),
    [anon_sym_lineadj] = ACTIONS(6083),
    [anon_sym_triangle] = ACTIONS(6083),
  },
  [3076] = {
    [sym_identifier] = ACTIONS(6087),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6089),
    [anon_sym_COMMA] = ACTIONS(6089),
    [anon_sym_RPAREN] = ACTIONS(6089),
    [anon_sym_LPAREN2] = ACTIONS(6089),
    [anon_sym_TILDE] = ACTIONS(6089),
    [anon_sym_STAR] = ACTIONS(6089),
    [anon_sym_AMP_AMP] = ACTIONS(6089),
    [anon_sym_AMP] = ACTIONS(6087),
    [anon_sym_COLON] = ACTIONS(6087),
    [anon_sym_SEMI] = ACTIONS(6089),
    [anon_sym___extension__] = ACTIONS(6087),
    [anon_sym_in] = ACTIONS(6087),
    [anon_sym_out] = ACTIONS(6087),
    [anon_sym_inout] = ACTIONS(6087),
    [anon_sym_extern] = ACTIONS(6087),
    [anon_sym___attribute__] = ACTIONS(6087),
    [anon_sym_COLON_COLON] = ACTIONS(6089),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(6089),
    [anon_sym___declspec] = ACTIONS(6087),
    [anon_sym___based] = ACTIONS(6087),
    [anon_sym___cdecl] = ACTIONS(6087),
    [anon_sym___clrcall] = ACTIONS(6087),
    [anon_sym___stdcall] = ACTIONS(6087),
    [anon_sym___fastcall] = ACTIONS(6087),
    [anon_sym___thiscall] = ACTIONS(6087),
    [anon_sym___vectorcall] = ACTIONS(6087),
    [anon_sym_LBRACK] = ACTIONS(6087),
    [anon_sym_EQ] = ACTIONS(6089),
    [anon_sym_static] = ACTIONS(6087),
    [anon_sym_register] = ACTIONS(6087),
    [anon_sym_inline] = ACTIONS(6087),
    [anon_sym___inline] = ACTIONS(6087),
    [anon_sym___inline__] = ACTIONS(6087),
    [anon_sym___forceinline] = ACTIONS(6087),
    [anon_sym_thread_local] = ACTIONS(6087),
    [anon_sym___thread] = ACTIONS(6087),
    [anon_sym_const] = ACTIONS(6087),
    [anon_sym_constexpr] = ACTIONS(6087),
    [anon_sym_volatile] = ACTIONS(6087),
    [anon_sym_restrict] = ACTIONS(6087),
    [anon_sym___restrict__] = ACTIONS(6087),
    [anon_sym__Atomic] = ACTIONS(6087),
    [anon_sym__Noreturn] = ACTIONS(6087),
    [anon_sym_noreturn] = ACTIONS(6087),
    [anon_sym_mutable] = ACTIONS(6087),
    [anon_sym_constinit] = ACTIONS(6087),
    [anon_sym_consteval] = ACTIONS(6087),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(6087),
    [anon_sym_decltype] = ACTIONS(6087),
    [anon_sym_final] = ACTIONS(6087),
    [anon_sym_override] = ACTIONS(6087),
    [anon_sym_virtual] = ACTIONS(6087),
    [anon_sym_alignas] = ACTIONS(6087),
    [anon_sym_template] = ACTIONS(6087),
    [anon_sym_GT2] = ACTIONS(6089),
    [anon_sym_operator] = ACTIONS(6087),
    [anon_sym_requires] = ACTIONS(6087),
    [anon_sym_precise] = ACTIONS(6087),
    [anon_sym_shared] = ACTIONS(6087),
    [anon_sym_groupshared] = ACTIONS(6087),
    [anon_sym_uniform] = ACTIONS(6087),
    [anon_sym_row_major] = ACTIONS(6087),
    [anon_sym_column_major] = ACTIONS(6087),
    [anon_sym_globallycoherent] = ACTIONS(6087),
    [anon_sym_centroid] = ACTIONS(6087),
    [anon_sym_noperspective] = ACTIONS(6087),
    [anon_sym_nointerpolation] = ACTIONS(6087),
    [anon_sym_sample] = ACTIONS(6087),
    [anon_sym_linear] = ACTIONS(6087),
    [anon_sym_snorm] = ACTIONS(6087),
    [anon_sym_unorm] = ACTIONS(6087),
    [anon_sym_point] = ACTIONS(6087),
    [anon_sym_line] = ACTIONS(6087),
    [anon_sym_triangleadj] = ACTIONS(6087),
    [anon_sym_lineadj] = ACTIONS(6087),
    [anon_sym_triangle] = ACTIONS(6087),
  },
  [3077] = {
    [sym_identifier] = ACTIONS(6091),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6093),
    [anon_sym_COMMA] = ACTIONS(6093),
    [anon_sym_RPAREN] = ACTIONS(6093),
    [anon_sym_LPAREN2] = ACTIONS(6093),
    [anon_sym_TILDE] = ACTIONS(6093),
    [anon_sym_STAR] = ACTIONS(6093),
    [anon_sym_AMP_AMP] = ACTIONS(6093),
    [anon_sym_AMP] = ACTIONS(6091),
    [anon_sym_COLON] = ACTIONS(6091),
    [anon_sym_SEMI] = ACTIONS(6093),
    [anon_sym___extension__] = ACTIONS(6091),
    [anon_sym_in] = ACTIONS(6091),
    [anon_sym_out] = ACTIONS(6091),
    [anon_sym_inout] = ACTIONS(6091),
    [anon_sym_extern] = ACTIONS(6091),
    [anon_sym___attribute__] = ACTIONS(6091),
    [anon_sym_COLON_COLON] = ACTIONS(6093),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(6093),
    [anon_sym___declspec] = ACTIONS(6091),
    [anon_sym___based] = ACTIONS(6091),
    [anon_sym___cdecl] = ACTIONS(6091),
    [anon_sym___clrcall] = ACTIONS(6091),
    [anon_sym___stdcall] = ACTIONS(6091),
    [anon_sym___fastcall] = ACTIONS(6091),
    [anon_sym___thiscall] = ACTIONS(6091),
    [anon_sym___vectorcall] = ACTIONS(6091),
    [anon_sym_LBRACK] = ACTIONS(6091),
    [anon_sym_EQ] = ACTIONS(6093),
    [anon_sym_static] = ACTIONS(6091),
    [anon_sym_register] = ACTIONS(6091),
    [anon_sym_inline] = ACTIONS(6091),
    [anon_sym___inline] = ACTIONS(6091),
    [anon_sym___inline__] = ACTIONS(6091),
    [anon_sym___forceinline] = ACTIONS(6091),
    [anon_sym_thread_local] = ACTIONS(6091),
    [anon_sym___thread] = ACTIONS(6091),
    [anon_sym_const] = ACTIONS(6091),
    [anon_sym_constexpr] = ACTIONS(6091),
    [anon_sym_volatile] = ACTIONS(6091),
    [anon_sym_restrict] = ACTIONS(6091),
    [anon_sym___restrict__] = ACTIONS(6091),
    [anon_sym__Atomic] = ACTIONS(6091),
    [anon_sym__Noreturn] = ACTIONS(6091),
    [anon_sym_noreturn] = ACTIONS(6091),
    [anon_sym_mutable] = ACTIONS(6091),
    [anon_sym_constinit] = ACTIONS(6091),
    [anon_sym_consteval] = ACTIONS(6091),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(6091),
    [anon_sym_decltype] = ACTIONS(6091),
    [anon_sym_final] = ACTIONS(6091),
    [anon_sym_override] = ACTIONS(6091),
    [anon_sym_virtual] = ACTIONS(6091),
    [anon_sym_alignas] = ACTIONS(6091),
    [anon_sym_template] = ACTIONS(6091),
    [anon_sym_GT2] = ACTIONS(6093),
    [anon_sym_operator] = ACTIONS(6091),
    [anon_sym_requires] = ACTIONS(6091),
    [anon_sym_precise] = ACTIONS(6091),
    [anon_sym_shared] = ACTIONS(6091),
    [anon_sym_groupshared] = ACTIONS(6091),
    [anon_sym_uniform] = ACTIONS(6091),
    [anon_sym_row_major] = ACTIONS(6091),
    [anon_sym_column_major] = ACTIONS(6091),
    [anon_sym_globallycoherent] = ACTIONS(6091),
    [anon_sym_centroid] = ACTIONS(6091),
    [anon_sym_noperspective] = ACTIONS(6091),
    [anon_sym_nointerpolation] = ACTIONS(6091),
    [anon_sym_sample] = ACTIONS(6091),
    [anon_sym_linear] = ACTIONS(6091),
    [anon_sym_snorm] = ACTIONS(6091),
    [anon_sym_unorm] = ACTIONS(6091),
    [anon_sym_point] = ACTIONS(6091),
    [anon_sym_line] = ACTIONS(6091),
    [anon_sym_triangleadj] = ACTIONS(6091),
    [anon_sym_lineadj] = ACTIONS(6091),
    [anon_sym_triangle] = ACTIONS(6091),
  },
  [3078] = {
    [sym_identifier] = ACTIONS(6065),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6067),
    [anon_sym_COMMA] = ACTIONS(6067),
    [anon_sym_RPAREN] = ACTIONS(6067),
    [anon_sym_LPAREN2] = ACTIONS(6067),
    [anon_sym_TILDE] = ACTIONS(6067),
    [anon_sym_STAR] = ACTIONS(6067),
    [anon_sym_AMP_AMP] = ACTIONS(6067),
    [anon_sym_AMP] = ACTIONS(6065),
    [anon_sym_COLON] = ACTIONS(6065),
    [anon_sym_SEMI] = ACTIONS(6067),
    [anon_sym___extension__] = ACTIONS(6065),
    [anon_sym_in] = ACTIONS(6065),
    [anon_sym_out] = ACTIONS(6065),
    [anon_sym_inout] = ACTIONS(6065),
    [anon_sym_extern] = ACTIONS(6065),
    [anon_sym___attribute__] = ACTIONS(6065),
    [anon_sym_COLON_COLON] = ACTIONS(6067),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(6067),
    [anon_sym___declspec] = ACTIONS(6065),
    [anon_sym___based] = ACTIONS(6065),
    [anon_sym___cdecl] = ACTIONS(6065),
    [anon_sym___clrcall] = ACTIONS(6065),
    [anon_sym___stdcall] = ACTIONS(6065),
    [anon_sym___fastcall] = ACTIONS(6065),
    [anon_sym___thiscall] = ACTIONS(6065),
    [anon_sym___vectorcall] = ACTIONS(6065),
    [anon_sym_LBRACK] = ACTIONS(6065),
    [anon_sym_EQ] = ACTIONS(6067),
    [anon_sym_static] = ACTIONS(6065),
    [anon_sym_register] = ACTIONS(6065),
    [anon_sym_inline] = ACTIONS(6065),
    [anon_sym___inline] = ACTIONS(6065),
    [anon_sym___inline__] = ACTIONS(6065),
    [anon_sym___forceinline] = ACTIONS(6065),
    [anon_sym_thread_local] = ACTIONS(6065),
    [anon_sym___thread] = ACTIONS(6065),
    [anon_sym_const] = ACTIONS(6065),
    [anon_sym_constexpr] = ACTIONS(6065),
    [anon_sym_volatile] = ACTIONS(6065),
    [anon_sym_restrict] = ACTIONS(6065),
    [anon_sym___restrict__] = ACTIONS(6065),
    [anon_sym__Atomic] = ACTIONS(6065),
    [anon_sym__Noreturn] = ACTIONS(6065),
    [anon_sym_noreturn] = ACTIONS(6065),
    [anon_sym_mutable] = ACTIONS(6065),
    [anon_sym_constinit] = ACTIONS(6065),
    [anon_sym_consteval] = ACTIONS(6065),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(6065),
    [anon_sym_decltype] = ACTIONS(6065),
    [anon_sym_final] = ACTIONS(6065),
    [anon_sym_override] = ACTIONS(6065),
    [anon_sym_virtual] = ACTIONS(6065),
    [anon_sym_alignas] = ACTIONS(6065),
    [anon_sym_template] = ACTIONS(6065),
    [anon_sym_GT2] = ACTIONS(6067),
    [anon_sym_operator] = ACTIONS(6065),
    [anon_sym_requires] = ACTIONS(6065),
    [anon_sym_precise] = ACTIONS(6065),
    [anon_sym_shared] = ACTIONS(6065),
    [anon_sym_groupshared] = ACTIONS(6065),
    [anon_sym_uniform] = ACTIONS(6065),
    [anon_sym_row_major] = ACTIONS(6065),
    [anon_sym_column_major] = ACTIONS(6065),
    [anon_sym_globallycoherent] = ACTIONS(6065),
    [anon_sym_centroid] = ACTIONS(6065),
    [anon_sym_noperspective] = ACTIONS(6065),
    [anon_sym_nointerpolation] = ACTIONS(6065),
    [anon_sym_sample] = ACTIONS(6065),
    [anon_sym_linear] = ACTIONS(6065),
    [anon_sym_snorm] = ACTIONS(6065),
    [anon_sym_unorm] = ACTIONS(6065),
    [anon_sym_point] = ACTIONS(6065),
    [anon_sym_line] = ACTIONS(6065),
    [anon_sym_triangleadj] = ACTIONS(6065),
    [anon_sym_lineadj] = ACTIONS(6065),
    [anon_sym_triangle] = ACTIONS(6065),
  },
  [3079] = {
    [sym_identifier] = ACTIONS(6095),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6097),
    [anon_sym_COMMA] = ACTIONS(6097),
    [anon_sym_RPAREN] = ACTIONS(6097),
    [anon_sym_LPAREN2] = ACTIONS(6097),
    [anon_sym_TILDE] = ACTIONS(6097),
    [anon_sym_STAR] = ACTIONS(6097),
    [anon_sym_AMP_AMP] = ACTIONS(6097),
    [anon_sym_AMP] = ACTIONS(6095),
    [anon_sym_COLON] = ACTIONS(6095),
    [anon_sym_SEMI] = ACTIONS(6097),
    [anon_sym___extension__] = ACTIONS(6095),
    [anon_sym_in] = ACTIONS(6095),
    [anon_sym_out] = ACTIONS(6095),
    [anon_sym_inout] = ACTIONS(6095),
    [anon_sym_extern] = ACTIONS(6095),
    [anon_sym___attribute__] = ACTIONS(6095),
    [anon_sym_COLON_COLON] = ACTIONS(6097),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(6097),
    [anon_sym___declspec] = ACTIONS(6095),
    [anon_sym___based] = ACTIONS(6095),
    [anon_sym___cdecl] = ACTIONS(6095),
    [anon_sym___clrcall] = ACTIONS(6095),
    [anon_sym___stdcall] = ACTIONS(6095),
    [anon_sym___fastcall] = ACTIONS(6095),
    [anon_sym___thiscall] = ACTIONS(6095),
    [anon_sym___vectorcall] = ACTIONS(6095),
    [anon_sym_LBRACK] = ACTIONS(6095),
    [anon_sym_EQ] = ACTIONS(6097),
    [anon_sym_static] = ACTIONS(6095),
    [anon_sym_register] = ACTIONS(6095),
    [anon_sym_inline] = ACTIONS(6095),
    [anon_sym___inline] = ACTIONS(6095),
    [anon_sym___inline__] = ACTIONS(6095),
    [anon_sym___forceinline] = ACTIONS(6095),
    [anon_sym_thread_local] = ACTIONS(6095),
    [anon_sym___thread] = ACTIONS(6095),
    [anon_sym_const] = ACTIONS(6095),
    [anon_sym_constexpr] = ACTIONS(6095),
    [anon_sym_volatile] = ACTIONS(6095),
    [anon_sym_restrict] = ACTIONS(6095),
    [anon_sym___restrict__] = ACTIONS(6095),
    [anon_sym__Atomic] = ACTIONS(6095),
    [anon_sym__Noreturn] = ACTIONS(6095),
    [anon_sym_noreturn] = ACTIONS(6095),
    [anon_sym_mutable] = ACTIONS(6095),
    [anon_sym_constinit] = ACTIONS(6095),
    [anon_sym_consteval] = ACTIONS(6095),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(6095),
    [anon_sym_decltype] = ACTIONS(6095),
    [anon_sym_final] = ACTIONS(6095),
    [anon_sym_override] = ACTIONS(6095),
    [anon_sym_virtual] = ACTIONS(6095),
    [anon_sym_alignas] = ACTIONS(6095),
    [anon_sym_template] = ACTIONS(6095),
    [anon_sym_GT2] = ACTIONS(6097),
    [anon_sym_operator] = ACTIONS(6095),
    [anon_sym_requires] = ACTIONS(6095),
    [anon_sym_precise] = ACTIONS(6095),
    [anon_sym_shared] = ACTIONS(6095),
    [anon_sym_groupshared] = ACTIONS(6095),
    [anon_sym_uniform] = ACTIONS(6095),
    [anon_sym_row_major] = ACTIONS(6095),
    [anon_sym_column_major] = ACTIONS(6095),
    [anon_sym_globallycoherent] = ACTIONS(6095),
    [anon_sym_centroid] = ACTIONS(6095),
    [anon_sym_noperspective] = ACTIONS(6095),
    [anon_sym_nointerpolation] = ACTIONS(6095),
    [anon_sym_sample] = ACTIONS(6095),
    [anon_sym_linear] = ACTIONS(6095),
    [anon_sym_snorm] = ACTIONS(6095),
    [anon_sym_unorm] = ACTIONS(6095),
    [anon_sym_point] = ACTIONS(6095),
    [anon_sym_line] = ACTIONS(6095),
    [anon_sym_triangleadj] = ACTIONS(6095),
    [anon_sym_lineadj] = ACTIONS(6095),
    [anon_sym_triangle] = ACTIONS(6095),
  },
  [3080] = {
    [sym_identifier] = ACTIONS(6099),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6101),
    [anon_sym_COMMA] = ACTIONS(6101),
    [anon_sym_RPAREN] = ACTIONS(6101),
    [anon_sym_LPAREN2] = ACTIONS(6101),
    [anon_sym_TILDE] = ACTIONS(6101),
    [anon_sym_STAR] = ACTIONS(6101),
    [anon_sym_AMP_AMP] = ACTIONS(6101),
    [anon_sym_AMP] = ACTIONS(6099),
    [anon_sym_COLON] = ACTIONS(6099),
    [anon_sym_SEMI] = ACTIONS(6101),
    [anon_sym___extension__] = ACTIONS(6099),
    [anon_sym_in] = ACTIONS(6099),
    [anon_sym_out] = ACTIONS(6099),
    [anon_sym_inout] = ACTIONS(6099),
    [anon_sym_extern] = ACTIONS(6099),
    [anon_sym___attribute__] = ACTIONS(6099),
    [anon_sym_COLON_COLON] = ACTIONS(6101),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(6101),
    [anon_sym___declspec] = ACTIONS(6099),
    [anon_sym___based] = ACTIONS(6099),
    [anon_sym___cdecl] = ACTIONS(6099),
    [anon_sym___clrcall] = ACTIONS(6099),
    [anon_sym___stdcall] = ACTIONS(6099),
    [anon_sym___fastcall] = ACTIONS(6099),
    [anon_sym___thiscall] = ACTIONS(6099),
    [anon_sym___vectorcall] = ACTIONS(6099),
    [anon_sym_LBRACK] = ACTIONS(6099),
    [anon_sym_EQ] = ACTIONS(6101),
    [anon_sym_static] = ACTIONS(6099),
    [anon_sym_register] = ACTIONS(6099),
    [anon_sym_inline] = ACTIONS(6099),
    [anon_sym___inline] = ACTIONS(6099),
    [anon_sym___inline__] = ACTIONS(6099),
    [anon_sym___forceinline] = ACTIONS(6099),
    [anon_sym_thread_local] = ACTIONS(6099),
    [anon_sym___thread] = ACTIONS(6099),
    [anon_sym_const] = ACTIONS(6099),
    [anon_sym_constexpr] = ACTIONS(6099),
    [anon_sym_volatile] = ACTIONS(6099),
    [anon_sym_restrict] = ACTIONS(6099),
    [anon_sym___restrict__] = ACTIONS(6099),
    [anon_sym__Atomic] = ACTIONS(6099),
    [anon_sym__Noreturn] = ACTIONS(6099),
    [anon_sym_noreturn] = ACTIONS(6099),
    [anon_sym_mutable] = ACTIONS(6099),
    [anon_sym_constinit] = ACTIONS(6099),
    [anon_sym_consteval] = ACTIONS(6099),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(6099),
    [anon_sym_decltype] = ACTIONS(6099),
    [anon_sym_final] = ACTIONS(6099),
    [anon_sym_override] = ACTIONS(6099),
    [anon_sym_virtual] = ACTIONS(6099),
    [anon_sym_alignas] = ACTIONS(6099),
    [anon_sym_template] = ACTIONS(6099),
    [anon_sym_GT2] = ACTIONS(6101),
    [anon_sym_operator] = ACTIONS(6099),
    [anon_sym_requires] = ACTIONS(6099),
    [anon_sym_precise] = ACTIONS(6099),
    [anon_sym_shared] = ACTIONS(6099),
    [anon_sym_groupshared] = ACTIONS(6099),
    [anon_sym_uniform] = ACTIONS(6099),
    [anon_sym_row_major] = ACTIONS(6099),
    [anon_sym_column_major] = ACTIONS(6099),
    [anon_sym_globallycoherent] = ACTIONS(6099),
    [anon_sym_centroid] = ACTIONS(6099),
    [anon_sym_noperspective] = ACTIONS(6099),
    [anon_sym_nointerpolation] = ACTIONS(6099),
    [anon_sym_sample] = ACTIONS(6099),
    [anon_sym_linear] = ACTIONS(6099),
    [anon_sym_snorm] = ACTIONS(6099),
    [anon_sym_unorm] = ACTIONS(6099),
    [anon_sym_point] = ACTIONS(6099),
    [anon_sym_line] = ACTIONS(6099),
    [anon_sym_triangleadj] = ACTIONS(6099),
    [anon_sym_lineadj] = ACTIONS(6099),
    [anon_sym_triangle] = ACTIONS(6099),
  },
  [3081] = {
    [sym_identifier] = ACTIONS(6103),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6105),
    [anon_sym_COMMA] = ACTIONS(6105),
    [anon_sym_RPAREN] = ACTIONS(6105),
    [anon_sym_LPAREN2] = ACTIONS(6105),
    [anon_sym_TILDE] = ACTIONS(6105),
    [anon_sym_STAR] = ACTIONS(6105),
    [anon_sym_AMP_AMP] = ACTIONS(6105),
    [anon_sym_AMP] = ACTIONS(6103),
    [anon_sym_COLON] = ACTIONS(6103),
    [anon_sym_SEMI] = ACTIONS(6105),
    [anon_sym___extension__] = ACTIONS(6103),
    [anon_sym_in] = ACTIONS(6103),
    [anon_sym_out] = ACTIONS(6103),
    [anon_sym_inout] = ACTIONS(6103),
    [anon_sym_extern] = ACTIONS(6103),
    [anon_sym___attribute__] = ACTIONS(6103),
    [anon_sym_COLON_COLON] = ACTIONS(6105),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(6105),
    [anon_sym___declspec] = ACTIONS(6103),
    [anon_sym___based] = ACTIONS(6103),
    [anon_sym___cdecl] = ACTIONS(6103),
    [anon_sym___clrcall] = ACTIONS(6103),
    [anon_sym___stdcall] = ACTIONS(6103),
    [anon_sym___fastcall] = ACTIONS(6103),
    [anon_sym___thiscall] = ACTIONS(6103),
    [anon_sym___vectorcall] = ACTIONS(6103),
    [anon_sym_LBRACE] = ACTIONS(6105),
    [anon_sym_LBRACK] = ACTIONS(6103),
    [anon_sym_EQ] = ACTIONS(6105),
    [anon_sym_static] = ACTIONS(6103),
    [anon_sym_register] = ACTIONS(6103),
    [anon_sym_inline] = ACTIONS(6103),
    [anon_sym___inline] = ACTIONS(6103),
    [anon_sym___inline__] = ACTIONS(6103),
    [anon_sym___forceinline] = ACTIONS(6103),
    [anon_sym_thread_local] = ACTIONS(6103),
    [anon_sym___thread] = ACTIONS(6103),
    [anon_sym_const] = ACTIONS(6103),
    [anon_sym_constexpr] = ACTIONS(6103),
    [anon_sym_volatile] = ACTIONS(6103),
    [anon_sym_restrict] = ACTIONS(6103),
    [anon_sym___restrict__] = ACTIONS(6103),
    [anon_sym__Atomic] = ACTIONS(6103),
    [anon_sym__Noreturn] = ACTIONS(6103),
    [anon_sym_noreturn] = ACTIONS(6103),
    [anon_sym_mutable] = ACTIONS(6103),
    [anon_sym_constinit] = ACTIONS(6103),
    [anon_sym_consteval] = ACTIONS(6103),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(6103),
    [anon_sym_final] = ACTIONS(6103),
    [anon_sym_override] = ACTIONS(6103),
    [anon_sym_virtual] = ACTIONS(6103),
    [anon_sym_alignas] = ACTIONS(6103),
    [anon_sym_explicit] = ACTIONS(6103),
    [anon_sym_template] = ACTIONS(6103),
    [anon_sym_GT2] = ACTIONS(6105),
    [anon_sym_operator] = ACTIONS(6103),
    [anon_sym_precise] = ACTIONS(6103),
    [anon_sym_shared] = ACTIONS(6103),
    [anon_sym_groupshared] = ACTIONS(6103),
    [anon_sym_uniform] = ACTIONS(6103),
    [anon_sym_row_major] = ACTIONS(6103),
    [anon_sym_column_major] = ACTIONS(6103),
    [anon_sym_globallycoherent] = ACTIONS(6103),
    [anon_sym_centroid] = ACTIONS(6103),
    [anon_sym_noperspective] = ACTIONS(6103),
    [anon_sym_nointerpolation] = ACTIONS(6103),
    [anon_sym_sample] = ACTIONS(6103),
    [anon_sym_linear] = ACTIONS(6103),
    [anon_sym_snorm] = ACTIONS(6103),
    [anon_sym_unorm] = ACTIONS(6103),
    [anon_sym_point] = ACTIONS(6103),
    [anon_sym_line] = ACTIONS(6103),
    [anon_sym_triangleadj] = ACTIONS(6103),
    [anon_sym_lineadj] = ACTIONS(6103),
    [anon_sym_triangle] = ACTIONS(6103),
  },
  [3082] = {
    [sym_identifier] = ACTIONS(6107),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6109),
    [anon_sym_COMMA] = ACTIONS(6109),
    [anon_sym_RPAREN] = ACTIONS(6109),
    [anon_sym_LPAREN2] = ACTIONS(6109),
    [anon_sym_TILDE] = ACTIONS(6109),
    [anon_sym_STAR] = ACTIONS(6109),
    [anon_sym_AMP_AMP] = ACTIONS(6109),
    [anon_sym_AMP] = ACTIONS(6107),
    [anon_sym_COLON] = ACTIONS(6107),
    [anon_sym_SEMI] = ACTIONS(6109),
    [anon_sym___extension__] = ACTIONS(6107),
    [anon_sym_in] = ACTIONS(6107),
    [anon_sym_out] = ACTIONS(6107),
    [anon_sym_inout] = ACTIONS(6107),
    [anon_sym_extern] = ACTIONS(6107),
    [anon_sym___attribute__] = ACTIONS(6107),
    [anon_sym_COLON_COLON] = ACTIONS(6109),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(6109),
    [anon_sym___declspec] = ACTIONS(6107),
    [anon_sym___based] = ACTIONS(6107),
    [anon_sym___cdecl] = ACTIONS(6107),
    [anon_sym___clrcall] = ACTIONS(6107),
    [anon_sym___stdcall] = ACTIONS(6107),
    [anon_sym___fastcall] = ACTIONS(6107),
    [anon_sym___thiscall] = ACTIONS(6107),
    [anon_sym___vectorcall] = ACTIONS(6107),
    [anon_sym_LBRACK] = ACTIONS(6107),
    [anon_sym_EQ] = ACTIONS(6109),
    [anon_sym_static] = ACTIONS(6107),
    [anon_sym_register] = ACTIONS(6107),
    [anon_sym_inline] = ACTIONS(6107),
    [anon_sym___inline] = ACTIONS(6107),
    [anon_sym___inline__] = ACTIONS(6107),
    [anon_sym___forceinline] = ACTIONS(6107),
    [anon_sym_thread_local] = ACTIONS(6107),
    [anon_sym___thread] = ACTIONS(6107),
    [anon_sym_const] = ACTIONS(6107),
    [anon_sym_constexpr] = ACTIONS(6107),
    [anon_sym_volatile] = ACTIONS(6107),
    [anon_sym_restrict] = ACTIONS(6107),
    [anon_sym___restrict__] = ACTIONS(6107),
    [anon_sym__Atomic] = ACTIONS(6107),
    [anon_sym__Noreturn] = ACTIONS(6107),
    [anon_sym_noreturn] = ACTIONS(6107),
    [anon_sym_mutable] = ACTIONS(6107),
    [anon_sym_constinit] = ACTIONS(6107),
    [anon_sym_consteval] = ACTIONS(6107),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(6107),
    [anon_sym_decltype] = ACTIONS(6107),
    [anon_sym_final] = ACTIONS(6107),
    [anon_sym_override] = ACTIONS(6107),
    [anon_sym_virtual] = ACTIONS(6107),
    [anon_sym_alignas] = ACTIONS(6107),
    [anon_sym_template] = ACTIONS(6107),
    [anon_sym_GT2] = ACTIONS(6109),
    [anon_sym_operator] = ACTIONS(6107),
    [anon_sym_requires] = ACTIONS(6107),
    [anon_sym_precise] = ACTIONS(6107),
    [anon_sym_shared] = ACTIONS(6107),
    [anon_sym_groupshared] = ACTIONS(6107),
    [anon_sym_uniform] = ACTIONS(6107),
    [anon_sym_row_major] = ACTIONS(6107),
    [anon_sym_column_major] = ACTIONS(6107),
    [anon_sym_globallycoherent] = ACTIONS(6107),
    [anon_sym_centroid] = ACTIONS(6107),
    [anon_sym_noperspective] = ACTIONS(6107),
    [anon_sym_nointerpolation] = ACTIONS(6107),
    [anon_sym_sample] = ACTIONS(6107),
    [anon_sym_linear] = ACTIONS(6107),
    [anon_sym_snorm] = ACTIONS(6107),
    [anon_sym_unorm] = ACTIONS(6107),
    [anon_sym_point] = ACTIONS(6107),
    [anon_sym_line] = ACTIONS(6107),
    [anon_sym_triangleadj] = ACTIONS(6107),
    [anon_sym_lineadj] = ACTIONS(6107),
    [anon_sym_triangle] = ACTIONS(6107),
  },
  [3083] = {
    [sym_identifier] = ACTIONS(6111),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6113),
    [anon_sym_COMMA] = ACTIONS(6113),
    [anon_sym_RPAREN] = ACTIONS(6113),
    [anon_sym_LPAREN2] = ACTIONS(6113),
    [anon_sym_TILDE] = ACTIONS(6113),
    [anon_sym_STAR] = ACTIONS(6113),
    [anon_sym_AMP_AMP] = ACTIONS(6113),
    [anon_sym_AMP] = ACTIONS(6111),
    [anon_sym_COLON] = ACTIONS(6111),
    [anon_sym_SEMI] = ACTIONS(6113),
    [anon_sym___extension__] = ACTIONS(6111),
    [anon_sym_in] = ACTIONS(6111),
    [anon_sym_out] = ACTIONS(6111),
    [anon_sym_inout] = ACTIONS(6111),
    [anon_sym_extern] = ACTIONS(6111),
    [anon_sym___attribute__] = ACTIONS(6111),
    [anon_sym_COLON_COLON] = ACTIONS(6113),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(6113),
    [anon_sym___declspec] = ACTIONS(6111),
    [anon_sym___based] = ACTIONS(6111),
    [anon_sym___cdecl] = ACTIONS(6111),
    [anon_sym___clrcall] = ACTIONS(6111),
    [anon_sym___stdcall] = ACTIONS(6111),
    [anon_sym___fastcall] = ACTIONS(6111),
    [anon_sym___thiscall] = ACTIONS(6111),
    [anon_sym___vectorcall] = ACTIONS(6111),
    [anon_sym_LBRACK] = ACTIONS(6111),
    [anon_sym_EQ] = ACTIONS(6113),
    [anon_sym_static] = ACTIONS(6111),
    [anon_sym_register] = ACTIONS(6111),
    [anon_sym_inline] = ACTIONS(6111),
    [anon_sym___inline] = ACTIONS(6111),
    [anon_sym___inline__] = ACTIONS(6111),
    [anon_sym___forceinline] = ACTIONS(6111),
    [anon_sym_thread_local] = ACTIONS(6111),
    [anon_sym___thread] = ACTIONS(6111),
    [anon_sym_const] = ACTIONS(6111),
    [anon_sym_constexpr] = ACTIONS(6111),
    [anon_sym_volatile] = ACTIONS(6111),
    [anon_sym_restrict] = ACTIONS(6111),
    [anon_sym___restrict__] = ACTIONS(6111),
    [anon_sym__Atomic] = ACTIONS(6111),
    [anon_sym__Noreturn] = ACTIONS(6111),
    [anon_sym_noreturn] = ACTIONS(6111),
    [anon_sym_mutable] = ACTIONS(6111),
    [anon_sym_constinit] = ACTIONS(6111),
    [anon_sym_consteval] = ACTIONS(6111),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(6111),
    [anon_sym_decltype] = ACTIONS(6111),
    [anon_sym_final] = ACTIONS(6111),
    [anon_sym_override] = ACTIONS(6111),
    [anon_sym_virtual] = ACTIONS(6111),
    [anon_sym_alignas] = ACTIONS(6111),
    [anon_sym_template] = ACTIONS(6111),
    [anon_sym_GT2] = ACTIONS(6113),
    [anon_sym_operator] = ACTIONS(6111),
    [anon_sym_requires] = ACTIONS(6111),
    [anon_sym_precise] = ACTIONS(6111),
    [anon_sym_shared] = ACTIONS(6111),
    [anon_sym_groupshared] = ACTIONS(6111),
    [anon_sym_uniform] = ACTIONS(6111),
    [anon_sym_row_major] = ACTIONS(6111),
    [anon_sym_column_major] = ACTIONS(6111),
    [anon_sym_globallycoherent] = ACTIONS(6111),
    [anon_sym_centroid] = ACTIONS(6111),
    [anon_sym_noperspective] = ACTIONS(6111),
    [anon_sym_nointerpolation] = ACTIONS(6111),
    [anon_sym_sample] = ACTIONS(6111),
    [anon_sym_linear] = ACTIONS(6111),
    [anon_sym_snorm] = ACTIONS(6111),
    [anon_sym_unorm] = ACTIONS(6111),
    [anon_sym_point] = ACTIONS(6111),
    [anon_sym_line] = ACTIONS(6111),
    [anon_sym_triangleadj] = ACTIONS(6111),
    [anon_sym_lineadj] = ACTIONS(6111),
    [anon_sym_triangle] = ACTIONS(6111),
  },
  [3084] = {
    [sym_identifier] = ACTIONS(6115),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6117),
    [anon_sym_COMMA] = ACTIONS(6117),
    [anon_sym_RPAREN] = ACTIONS(6117),
    [anon_sym_LPAREN2] = ACTIONS(6117),
    [anon_sym_TILDE] = ACTIONS(6117),
    [anon_sym_STAR] = ACTIONS(6117),
    [anon_sym_AMP_AMP] = ACTIONS(6117),
    [anon_sym_AMP] = ACTIONS(6115),
    [anon_sym_COLON] = ACTIONS(6115),
    [anon_sym_SEMI] = ACTIONS(6117),
    [anon_sym___extension__] = ACTIONS(6115),
    [anon_sym_in] = ACTIONS(6115),
    [anon_sym_out] = ACTIONS(6115),
    [anon_sym_inout] = ACTIONS(6115),
    [anon_sym_extern] = ACTIONS(6115),
    [anon_sym___attribute__] = ACTIONS(6115),
    [anon_sym_COLON_COLON] = ACTIONS(6117),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(6117),
    [anon_sym___declspec] = ACTIONS(6115),
    [anon_sym___based] = ACTIONS(6115),
    [anon_sym___cdecl] = ACTIONS(6115),
    [anon_sym___clrcall] = ACTIONS(6115),
    [anon_sym___stdcall] = ACTIONS(6115),
    [anon_sym___fastcall] = ACTIONS(6115),
    [anon_sym___thiscall] = ACTIONS(6115),
    [anon_sym___vectorcall] = ACTIONS(6115),
    [anon_sym_LBRACK] = ACTIONS(6115),
    [anon_sym_EQ] = ACTIONS(6117),
    [anon_sym_static] = ACTIONS(6115),
    [anon_sym_register] = ACTIONS(6115),
    [anon_sym_inline] = ACTIONS(6115),
    [anon_sym___inline] = ACTIONS(6115),
    [anon_sym___inline__] = ACTIONS(6115),
    [anon_sym___forceinline] = ACTIONS(6115),
    [anon_sym_thread_local] = ACTIONS(6115),
    [anon_sym___thread] = ACTIONS(6115),
    [anon_sym_const] = ACTIONS(6115),
    [anon_sym_constexpr] = ACTIONS(6115),
    [anon_sym_volatile] = ACTIONS(6115),
    [anon_sym_restrict] = ACTIONS(6115),
    [anon_sym___restrict__] = ACTIONS(6115),
    [anon_sym__Atomic] = ACTIONS(6115),
    [anon_sym__Noreturn] = ACTIONS(6115),
    [anon_sym_noreturn] = ACTIONS(6115),
    [anon_sym_mutable] = ACTIONS(6115),
    [anon_sym_constinit] = ACTIONS(6115),
    [anon_sym_consteval] = ACTIONS(6115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(6115),
    [anon_sym_decltype] = ACTIONS(6115),
    [anon_sym_final] = ACTIONS(6115),
    [anon_sym_override] = ACTIONS(6115),
    [anon_sym_virtual] = ACTIONS(6115),
    [anon_sym_alignas] = ACTIONS(6115),
    [anon_sym_template] = ACTIONS(6115),
    [anon_sym_GT2] = ACTIONS(6117),
    [anon_sym_operator] = ACTIONS(6115),
    [anon_sym_requires] = ACTIONS(6115),
    [anon_sym_precise] = ACTIONS(6115),
    [anon_sym_shared] = ACTIONS(6115),
    [anon_sym_groupshared] = ACTIONS(6115),
    [anon_sym_uniform] = ACTIONS(6115),
    [anon_sym_row_major] = ACTIONS(6115),
    [anon_sym_column_major] = ACTIONS(6115),
    [anon_sym_globallycoherent] = ACTIONS(6115),
    [anon_sym_centroid] = ACTIONS(6115),
    [anon_sym_noperspective] = ACTIONS(6115),
    [anon_sym_nointerpolation] = ACTIONS(6115),
    [anon_sym_sample] = ACTIONS(6115),
    [anon_sym_linear] = ACTIONS(6115),
    [anon_sym_snorm] = ACTIONS(6115),
    [anon_sym_unorm] = ACTIONS(6115),
    [anon_sym_point] = ACTIONS(6115),
    [anon_sym_line] = ACTIONS(6115),
    [anon_sym_triangleadj] = ACTIONS(6115),
    [anon_sym_lineadj] = ACTIONS(6115),
    [anon_sym_triangle] = ACTIONS(6115),
  },
  [3085] = {
    [sym_identifier] = ACTIONS(5931),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5933),
    [anon_sym_COMMA] = ACTIONS(5933),
    [anon_sym_RPAREN] = ACTIONS(5933),
    [anon_sym_LPAREN2] = ACTIONS(5933),
    [anon_sym_TILDE] = ACTIONS(5933),
    [anon_sym_STAR] = ACTIONS(5933),
    [anon_sym_AMP_AMP] = ACTIONS(5933),
    [anon_sym_AMP] = ACTIONS(5931),
    [anon_sym_COLON] = ACTIONS(5931),
    [anon_sym_SEMI] = ACTIONS(5933),
    [anon_sym___extension__] = ACTIONS(5931),
    [anon_sym_in] = ACTIONS(5931),
    [anon_sym_out] = ACTIONS(5931),
    [anon_sym_inout] = ACTIONS(5931),
    [anon_sym_extern] = ACTIONS(5931),
    [anon_sym___attribute__] = ACTIONS(5931),
    [anon_sym_COLON_COLON] = ACTIONS(5933),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5933),
    [anon_sym___declspec] = ACTIONS(5931),
    [anon_sym___based] = ACTIONS(5931),
    [anon_sym___cdecl] = ACTIONS(5931),
    [anon_sym___clrcall] = ACTIONS(5931),
    [anon_sym___stdcall] = ACTIONS(5931),
    [anon_sym___fastcall] = ACTIONS(5931),
    [anon_sym___thiscall] = ACTIONS(5931),
    [anon_sym___vectorcall] = ACTIONS(5931),
    [anon_sym_LBRACK] = ACTIONS(5931),
    [anon_sym_EQ] = ACTIONS(5933),
    [anon_sym_static] = ACTIONS(5931),
    [anon_sym_register] = ACTIONS(5931),
    [anon_sym_inline] = ACTIONS(5931),
    [anon_sym___inline] = ACTIONS(5931),
    [anon_sym___inline__] = ACTIONS(5931),
    [anon_sym___forceinline] = ACTIONS(5931),
    [anon_sym_thread_local] = ACTIONS(5931),
    [anon_sym___thread] = ACTIONS(5931),
    [anon_sym_const] = ACTIONS(5931),
    [anon_sym_constexpr] = ACTIONS(5931),
    [anon_sym_volatile] = ACTIONS(5931),
    [anon_sym_restrict] = ACTIONS(5931),
    [anon_sym___restrict__] = ACTIONS(5931),
    [anon_sym__Atomic] = ACTIONS(5931),
    [anon_sym__Noreturn] = ACTIONS(5931),
    [anon_sym_noreturn] = ACTIONS(5931),
    [anon_sym_mutable] = ACTIONS(5931),
    [anon_sym_constinit] = ACTIONS(5931),
    [anon_sym_consteval] = ACTIONS(5931),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5931),
    [anon_sym_decltype] = ACTIONS(5931),
    [anon_sym_final] = ACTIONS(5931),
    [anon_sym_override] = ACTIONS(5931),
    [anon_sym_virtual] = ACTIONS(5931),
    [anon_sym_alignas] = ACTIONS(5931),
    [anon_sym_template] = ACTIONS(5931),
    [anon_sym_GT2] = ACTIONS(5933),
    [anon_sym_operator] = ACTIONS(5931),
    [anon_sym_requires] = ACTIONS(5931),
    [anon_sym_precise] = ACTIONS(5931),
    [anon_sym_shared] = ACTIONS(5931),
    [anon_sym_groupshared] = ACTIONS(5931),
    [anon_sym_uniform] = ACTIONS(5931),
    [anon_sym_row_major] = ACTIONS(5931),
    [anon_sym_column_major] = ACTIONS(5931),
    [anon_sym_globallycoherent] = ACTIONS(5931),
    [anon_sym_centroid] = ACTIONS(5931),
    [anon_sym_noperspective] = ACTIONS(5931),
    [anon_sym_nointerpolation] = ACTIONS(5931),
    [anon_sym_sample] = ACTIONS(5931),
    [anon_sym_linear] = ACTIONS(5931),
    [anon_sym_snorm] = ACTIONS(5931),
    [anon_sym_unorm] = ACTIONS(5931),
    [anon_sym_point] = ACTIONS(5931),
    [anon_sym_line] = ACTIONS(5931),
    [anon_sym_triangleadj] = ACTIONS(5931),
    [anon_sym_lineadj] = ACTIONS(5931),
    [anon_sym_triangle] = ACTIONS(5931),
  },
  [3086] = {
    [sym_identifier] = ACTIONS(6119),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6121),
    [anon_sym_COMMA] = ACTIONS(6121),
    [anon_sym_RPAREN] = ACTIONS(6121),
    [anon_sym_LPAREN2] = ACTIONS(6121),
    [anon_sym_TILDE] = ACTIONS(6121),
    [anon_sym_STAR] = ACTIONS(6121),
    [anon_sym_AMP_AMP] = ACTIONS(6121),
    [anon_sym_AMP] = ACTIONS(6119),
    [anon_sym_COLON] = ACTIONS(6119),
    [anon_sym_SEMI] = ACTIONS(6121),
    [anon_sym___extension__] = ACTIONS(6119),
    [anon_sym_in] = ACTIONS(6119),
    [anon_sym_out] = ACTIONS(6119),
    [anon_sym_inout] = ACTIONS(6119),
    [anon_sym_extern] = ACTIONS(6119),
    [anon_sym___attribute__] = ACTIONS(6119),
    [anon_sym_COLON_COLON] = ACTIONS(6121),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(6121),
    [anon_sym___declspec] = ACTIONS(6119),
    [anon_sym___based] = ACTIONS(6119),
    [anon_sym___cdecl] = ACTIONS(6119),
    [anon_sym___clrcall] = ACTIONS(6119),
    [anon_sym___stdcall] = ACTIONS(6119),
    [anon_sym___fastcall] = ACTIONS(6119),
    [anon_sym___thiscall] = ACTIONS(6119),
    [anon_sym___vectorcall] = ACTIONS(6119),
    [anon_sym_LBRACK] = ACTIONS(6119),
    [anon_sym_EQ] = ACTIONS(6121),
    [anon_sym_static] = ACTIONS(6119),
    [anon_sym_register] = ACTIONS(6119),
    [anon_sym_inline] = ACTIONS(6119),
    [anon_sym___inline] = ACTIONS(6119),
    [anon_sym___inline__] = ACTIONS(6119),
    [anon_sym___forceinline] = ACTIONS(6119),
    [anon_sym_thread_local] = ACTIONS(6119),
    [anon_sym___thread] = ACTIONS(6119),
    [anon_sym_const] = ACTIONS(6119),
    [anon_sym_constexpr] = ACTIONS(6119),
    [anon_sym_volatile] = ACTIONS(6119),
    [anon_sym_restrict] = ACTIONS(6119),
    [anon_sym___restrict__] = ACTIONS(6119),
    [anon_sym__Atomic] = ACTIONS(6119),
    [anon_sym__Noreturn] = ACTIONS(6119),
    [anon_sym_noreturn] = ACTIONS(6119),
    [anon_sym_mutable] = ACTIONS(6119),
    [anon_sym_constinit] = ACTIONS(6119),
    [anon_sym_consteval] = ACTIONS(6119),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(6119),
    [anon_sym_decltype] = ACTIONS(6119),
    [anon_sym_final] = ACTIONS(6119),
    [anon_sym_override] = ACTIONS(6119),
    [anon_sym_virtual] = ACTIONS(6119),
    [anon_sym_alignas] = ACTIONS(6119),
    [anon_sym_template] = ACTIONS(6119),
    [anon_sym_GT2] = ACTIONS(6121),
    [anon_sym_operator] = ACTIONS(6119),
    [anon_sym_requires] = ACTIONS(6119),
    [anon_sym_precise] = ACTIONS(6119),
    [anon_sym_shared] = ACTIONS(6119),
    [anon_sym_groupshared] = ACTIONS(6119),
    [anon_sym_uniform] = ACTIONS(6119),
    [anon_sym_row_major] = ACTIONS(6119),
    [anon_sym_column_major] = ACTIONS(6119),
    [anon_sym_globallycoherent] = ACTIONS(6119),
    [anon_sym_centroid] = ACTIONS(6119),
    [anon_sym_noperspective] = ACTIONS(6119),
    [anon_sym_nointerpolation] = ACTIONS(6119),
    [anon_sym_sample] = ACTIONS(6119),
    [anon_sym_linear] = ACTIONS(6119),
    [anon_sym_snorm] = ACTIONS(6119),
    [anon_sym_unorm] = ACTIONS(6119),
    [anon_sym_point] = ACTIONS(6119),
    [anon_sym_line] = ACTIONS(6119),
    [anon_sym_triangleadj] = ACTIONS(6119),
    [anon_sym_lineadj] = ACTIONS(6119),
    [anon_sym_triangle] = ACTIONS(6119),
  },
  [3087] = {
    [sym_identifier] = ACTIONS(6123),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6125),
    [anon_sym_COMMA] = ACTIONS(6125),
    [anon_sym_RPAREN] = ACTIONS(6125),
    [anon_sym_LPAREN2] = ACTIONS(6125),
    [anon_sym_TILDE] = ACTIONS(6125),
    [anon_sym_STAR] = ACTIONS(6125),
    [anon_sym_AMP_AMP] = ACTIONS(6125),
    [anon_sym_AMP] = ACTIONS(6123),
    [anon_sym_COLON] = ACTIONS(6123),
    [anon_sym_SEMI] = ACTIONS(6125),
    [anon_sym___extension__] = ACTIONS(6123),
    [anon_sym_in] = ACTIONS(6123),
    [anon_sym_out] = ACTIONS(6123),
    [anon_sym_inout] = ACTIONS(6123),
    [anon_sym_extern] = ACTIONS(6123),
    [anon_sym___attribute__] = ACTIONS(6123),
    [anon_sym_COLON_COLON] = ACTIONS(6125),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(6125),
    [anon_sym___declspec] = ACTIONS(6123),
    [anon_sym___based] = ACTIONS(6123),
    [anon_sym___cdecl] = ACTIONS(6123),
    [anon_sym___clrcall] = ACTIONS(6123),
    [anon_sym___stdcall] = ACTIONS(6123),
    [anon_sym___fastcall] = ACTIONS(6123),
    [anon_sym___thiscall] = ACTIONS(6123),
    [anon_sym___vectorcall] = ACTIONS(6123),
    [anon_sym_LBRACK] = ACTIONS(6123),
    [anon_sym_EQ] = ACTIONS(6125),
    [anon_sym_static] = ACTIONS(6123),
    [anon_sym_register] = ACTIONS(6123),
    [anon_sym_inline] = ACTIONS(6123),
    [anon_sym___inline] = ACTIONS(6123),
    [anon_sym___inline__] = ACTIONS(6123),
    [anon_sym___forceinline] = ACTIONS(6123),
    [anon_sym_thread_local] = ACTIONS(6123),
    [anon_sym___thread] = ACTIONS(6123),
    [anon_sym_const] = ACTIONS(6123),
    [anon_sym_constexpr] = ACTIONS(6123),
    [anon_sym_volatile] = ACTIONS(6123),
    [anon_sym_restrict] = ACTIONS(6123),
    [anon_sym___restrict__] = ACTIONS(6123),
    [anon_sym__Atomic] = ACTIONS(6123),
    [anon_sym__Noreturn] = ACTIONS(6123),
    [anon_sym_noreturn] = ACTIONS(6123),
    [anon_sym_mutable] = ACTIONS(6123),
    [anon_sym_constinit] = ACTIONS(6123),
    [anon_sym_consteval] = ACTIONS(6123),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(6123),
    [anon_sym_decltype] = ACTIONS(6123),
    [anon_sym_final] = ACTIONS(6123),
    [anon_sym_override] = ACTIONS(6123),
    [anon_sym_virtual] = ACTIONS(6123),
    [anon_sym_alignas] = ACTIONS(6123),
    [anon_sym_template] = ACTIONS(6123),
    [anon_sym_GT2] = ACTIONS(6125),
    [anon_sym_operator] = ACTIONS(6123),
    [anon_sym_requires] = ACTIONS(6123),
    [anon_sym_precise] = ACTIONS(6123),
    [anon_sym_shared] = ACTIONS(6123),
    [anon_sym_groupshared] = ACTIONS(6123),
    [anon_sym_uniform] = ACTIONS(6123),
    [anon_sym_row_major] = ACTIONS(6123),
    [anon_sym_column_major] = ACTIONS(6123),
    [anon_sym_globallycoherent] = ACTIONS(6123),
    [anon_sym_centroid] = ACTIONS(6123),
    [anon_sym_noperspective] = ACTIONS(6123),
    [anon_sym_nointerpolation] = ACTIONS(6123),
    [anon_sym_sample] = ACTIONS(6123),
    [anon_sym_linear] = ACTIONS(6123),
    [anon_sym_snorm] = ACTIONS(6123),
    [anon_sym_unorm] = ACTIONS(6123),
    [anon_sym_point] = ACTIONS(6123),
    [anon_sym_line] = ACTIONS(6123),
    [anon_sym_triangleadj] = ACTIONS(6123),
    [anon_sym_lineadj] = ACTIONS(6123),
    [anon_sym_triangle] = ACTIONS(6123),
  },
  [3088] = {
    [sym_identifier] = ACTIONS(6115),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6117),
    [anon_sym_COMMA] = ACTIONS(6117),
    [anon_sym_RPAREN] = ACTIONS(6117),
    [anon_sym_LPAREN2] = ACTIONS(6117),
    [anon_sym_TILDE] = ACTIONS(6117),
    [anon_sym_STAR] = ACTIONS(6117),
    [anon_sym_AMP_AMP] = ACTIONS(6117),
    [anon_sym_AMP] = ACTIONS(6115),
    [anon_sym_COLON] = ACTIONS(6115),
    [anon_sym_SEMI] = ACTIONS(6117),
    [anon_sym___extension__] = ACTIONS(6115),
    [anon_sym_in] = ACTIONS(6115),
    [anon_sym_out] = ACTIONS(6115),
    [anon_sym_inout] = ACTIONS(6115),
    [anon_sym_extern] = ACTIONS(6115),
    [anon_sym___attribute__] = ACTIONS(6115),
    [anon_sym_COLON_COLON] = ACTIONS(6117),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(6117),
    [anon_sym___declspec] = ACTIONS(6115),
    [anon_sym___based] = ACTIONS(6115),
    [anon_sym___cdecl] = ACTIONS(6115),
    [anon_sym___clrcall] = ACTIONS(6115),
    [anon_sym___stdcall] = ACTIONS(6115),
    [anon_sym___fastcall] = ACTIONS(6115),
    [anon_sym___thiscall] = ACTIONS(6115),
    [anon_sym___vectorcall] = ACTIONS(6115),
    [anon_sym_LBRACK] = ACTIONS(6115),
    [anon_sym_EQ] = ACTIONS(6117),
    [anon_sym_static] = ACTIONS(6115),
    [anon_sym_register] = ACTIONS(6115),
    [anon_sym_inline] = ACTIONS(6115),
    [anon_sym___inline] = ACTIONS(6115),
    [anon_sym___inline__] = ACTIONS(6115),
    [anon_sym___forceinline] = ACTIONS(6115),
    [anon_sym_thread_local] = ACTIONS(6115),
    [anon_sym___thread] = ACTIONS(6115),
    [anon_sym_const] = ACTIONS(6115),
    [anon_sym_constexpr] = ACTIONS(6115),
    [anon_sym_volatile] = ACTIONS(6115),
    [anon_sym_restrict] = ACTIONS(6115),
    [anon_sym___restrict__] = ACTIONS(6115),
    [anon_sym__Atomic] = ACTIONS(6115),
    [anon_sym__Noreturn] = ACTIONS(6115),
    [anon_sym_noreturn] = ACTIONS(6115),
    [anon_sym_mutable] = ACTIONS(6115),
    [anon_sym_constinit] = ACTIONS(6115),
    [anon_sym_consteval] = ACTIONS(6115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(6115),
    [anon_sym_decltype] = ACTIONS(6115),
    [anon_sym_final] = ACTIONS(6115),
    [anon_sym_override] = ACTIONS(6115),
    [anon_sym_virtual] = ACTIONS(6115),
    [anon_sym_alignas] = ACTIONS(6115),
    [anon_sym_template] = ACTIONS(6115),
    [anon_sym_GT2] = ACTIONS(6117),
    [anon_sym_operator] = ACTIONS(6115),
    [anon_sym_requires] = ACTIONS(6115),
    [anon_sym_precise] = ACTIONS(6115),
    [anon_sym_shared] = ACTIONS(6115),
    [anon_sym_groupshared] = ACTIONS(6115),
    [anon_sym_uniform] = ACTIONS(6115),
    [anon_sym_row_major] = ACTIONS(6115),
    [anon_sym_column_major] = ACTIONS(6115),
    [anon_sym_globallycoherent] = ACTIONS(6115),
    [anon_sym_centroid] = ACTIONS(6115),
    [anon_sym_noperspective] = ACTIONS(6115),
    [anon_sym_nointerpolation] = ACTIONS(6115),
    [anon_sym_sample] = ACTIONS(6115),
    [anon_sym_linear] = ACTIONS(6115),
    [anon_sym_snorm] = ACTIONS(6115),
    [anon_sym_unorm] = ACTIONS(6115),
    [anon_sym_point] = ACTIONS(6115),
    [anon_sym_line] = ACTIONS(6115),
    [anon_sym_triangleadj] = ACTIONS(6115),
    [anon_sym_lineadj] = ACTIONS(6115),
    [anon_sym_triangle] = ACTIONS(6115),
  },
  [3089] = {
    [sym_identifier] = ACTIONS(6127),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6129),
    [anon_sym_COMMA] = ACTIONS(6129),
    [anon_sym_RPAREN] = ACTIONS(6129),
    [anon_sym_LPAREN2] = ACTIONS(6129),
    [anon_sym_TILDE] = ACTIONS(6129),
    [anon_sym_STAR] = ACTIONS(6129),
    [anon_sym_AMP_AMP] = ACTIONS(6129),
    [anon_sym_AMP] = ACTIONS(6127),
    [anon_sym_COLON] = ACTIONS(6127),
    [anon_sym_SEMI] = ACTIONS(6129),
    [anon_sym___extension__] = ACTIONS(6127),
    [anon_sym_in] = ACTIONS(6127),
    [anon_sym_out] = ACTIONS(6127),
    [anon_sym_inout] = ACTIONS(6127),
    [anon_sym_extern] = ACTIONS(6127),
    [anon_sym___attribute__] = ACTIONS(6127),
    [anon_sym_COLON_COLON] = ACTIONS(6129),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(6129),
    [anon_sym___declspec] = ACTIONS(6127),
    [anon_sym___based] = ACTIONS(6127),
    [anon_sym___cdecl] = ACTIONS(6127),
    [anon_sym___clrcall] = ACTIONS(6127),
    [anon_sym___stdcall] = ACTIONS(6127),
    [anon_sym___fastcall] = ACTIONS(6127),
    [anon_sym___thiscall] = ACTIONS(6127),
    [anon_sym___vectorcall] = ACTIONS(6127),
    [anon_sym_LBRACE] = ACTIONS(6129),
    [anon_sym_LBRACK] = ACTIONS(6127),
    [anon_sym_EQ] = ACTIONS(6129),
    [anon_sym_static] = ACTIONS(6127),
    [anon_sym_register] = ACTIONS(6127),
    [anon_sym_inline] = ACTIONS(6127),
    [anon_sym___inline] = ACTIONS(6127),
    [anon_sym___inline__] = ACTIONS(6127),
    [anon_sym___forceinline] = ACTIONS(6127),
    [anon_sym_thread_local] = ACTIONS(6127),
    [anon_sym___thread] = ACTIONS(6127),
    [anon_sym_const] = ACTIONS(6127),
    [anon_sym_constexpr] = ACTIONS(6127),
    [anon_sym_volatile] = ACTIONS(6127),
    [anon_sym_restrict] = ACTIONS(6127),
    [anon_sym___restrict__] = ACTIONS(6127),
    [anon_sym__Atomic] = ACTIONS(6127),
    [anon_sym__Noreturn] = ACTIONS(6127),
    [anon_sym_noreturn] = ACTIONS(6127),
    [anon_sym_mutable] = ACTIONS(6127),
    [anon_sym_constinit] = ACTIONS(6127),
    [anon_sym_consteval] = ACTIONS(6127),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(6127),
    [anon_sym_final] = ACTIONS(6127),
    [anon_sym_override] = ACTIONS(6127),
    [anon_sym_virtual] = ACTIONS(6127),
    [anon_sym_alignas] = ACTIONS(6127),
    [anon_sym_explicit] = ACTIONS(6127),
    [anon_sym_template] = ACTIONS(6127),
    [anon_sym_GT2] = ACTIONS(6129),
    [anon_sym_operator] = ACTIONS(6127),
    [anon_sym_precise] = ACTIONS(6127),
    [anon_sym_shared] = ACTIONS(6127),
    [anon_sym_groupshared] = ACTIONS(6127),
    [anon_sym_uniform] = ACTIONS(6127),
    [anon_sym_row_major] = ACTIONS(6127),
    [anon_sym_column_major] = ACTIONS(6127),
    [anon_sym_globallycoherent] = ACTIONS(6127),
    [anon_sym_centroid] = ACTIONS(6127),
    [anon_sym_noperspective] = ACTIONS(6127),
    [anon_sym_nointerpolation] = ACTIONS(6127),
    [anon_sym_sample] = ACTIONS(6127),
    [anon_sym_linear] = ACTIONS(6127),
    [anon_sym_snorm] = ACTIONS(6127),
    [anon_sym_unorm] = ACTIONS(6127),
    [anon_sym_point] = ACTIONS(6127),
    [anon_sym_line] = ACTIONS(6127),
    [anon_sym_triangleadj] = ACTIONS(6127),
    [anon_sym_lineadj] = ACTIONS(6127),
    [anon_sym_triangle] = ACTIONS(6127),
  },
  [3090] = {
    [sym_identifier] = ACTIONS(6131),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6133),
    [anon_sym_COMMA] = ACTIONS(6133),
    [anon_sym_RPAREN] = ACTIONS(6133),
    [anon_sym_LPAREN2] = ACTIONS(6133),
    [anon_sym_TILDE] = ACTIONS(6133),
    [anon_sym_STAR] = ACTIONS(6133),
    [anon_sym_AMP_AMP] = ACTIONS(6133),
    [anon_sym_AMP] = ACTIONS(6131),
    [anon_sym_COLON] = ACTIONS(6131),
    [anon_sym_SEMI] = ACTIONS(6133),
    [anon_sym___extension__] = ACTIONS(6131),
    [anon_sym_in] = ACTIONS(6131),
    [anon_sym_out] = ACTIONS(6131),
    [anon_sym_inout] = ACTIONS(6131),
    [anon_sym_extern] = ACTIONS(6131),
    [anon_sym___attribute__] = ACTIONS(6131),
    [anon_sym_COLON_COLON] = ACTIONS(6133),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(6133),
    [anon_sym___declspec] = ACTIONS(6131),
    [anon_sym___based] = ACTIONS(6131),
    [anon_sym___cdecl] = ACTIONS(6131),
    [anon_sym___clrcall] = ACTIONS(6131),
    [anon_sym___stdcall] = ACTIONS(6131),
    [anon_sym___fastcall] = ACTIONS(6131),
    [anon_sym___thiscall] = ACTIONS(6131),
    [anon_sym___vectorcall] = ACTIONS(6131),
    [anon_sym_LBRACK] = ACTIONS(6131),
    [anon_sym_EQ] = ACTIONS(6133),
    [anon_sym_static] = ACTIONS(6131),
    [anon_sym_register] = ACTIONS(6131),
    [anon_sym_inline] = ACTIONS(6131),
    [anon_sym___inline] = ACTIONS(6131),
    [anon_sym___inline__] = ACTIONS(6131),
    [anon_sym___forceinline] = ACTIONS(6131),
    [anon_sym_thread_local] = ACTIONS(6131),
    [anon_sym___thread] = ACTIONS(6131),
    [anon_sym_const] = ACTIONS(6131),
    [anon_sym_constexpr] = ACTIONS(6131),
    [anon_sym_volatile] = ACTIONS(6131),
    [anon_sym_restrict] = ACTIONS(6131),
    [anon_sym___restrict__] = ACTIONS(6131),
    [anon_sym__Atomic] = ACTIONS(6131),
    [anon_sym__Noreturn] = ACTIONS(6131),
    [anon_sym_noreturn] = ACTIONS(6131),
    [anon_sym_mutable] = ACTIONS(6131),
    [anon_sym_constinit] = ACTIONS(6131),
    [anon_sym_consteval] = ACTIONS(6131),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(6131),
    [anon_sym_decltype] = ACTIONS(6131),
    [anon_sym_final] = ACTIONS(6131),
    [anon_sym_override] = ACTIONS(6131),
    [anon_sym_virtual] = ACTIONS(6131),
    [anon_sym_alignas] = ACTIONS(6131),
    [anon_sym_template] = ACTIONS(6131),
    [anon_sym_GT2] = ACTIONS(6133),
    [anon_sym_operator] = ACTIONS(6131),
    [anon_sym_requires] = ACTIONS(6131),
    [anon_sym_precise] = ACTIONS(6131),
    [anon_sym_shared] = ACTIONS(6131),
    [anon_sym_groupshared] = ACTIONS(6131),
    [anon_sym_uniform] = ACTIONS(6131),
    [anon_sym_row_major] = ACTIONS(6131),
    [anon_sym_column_major] = ACTIONS(6131),
    [anon_sym_globallycoherent] = ACTIONS(6131),
    [anon_sym_centroid] = ACTIONS(6131),
    [anon_sym_noperspective] = ACTIONS(6131),
    [anon_sym_nointerpolation] = ACTIONS(6131),
    [anon_sym_sample] = ACTIONS(6131),
    [anon_sym_linear] = ACTIONS(6131),
    [anon_sym_snorm] = ACTIONS(6131),
    [anon_sym_unorm] = ACTIONS(6131),
    [anon_sym_point] = ACTIONS(6131),
    [anon_sym_line] = ACTIONS(6131),
    [anon_sym_triangleadj] = ACTIONS(6131),
    [anon_sym_lineadj] = ACTIONS(6131),
    [anon_sym_triangle] = ACTIONS(6131),
  },
  [3091] = {
    [sym_identifier] = ACTIONS(6135),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6137),
    [anon_sym_COMMA] = ACTIONS(6137),
    [anon_sym_RPAREN] = ACTIONS(6137),
    [anon_sym_LPAREN2] = ACTIONS(6137),
    [anon_sym_TILDE] = ACTIONS(6137),
    [anon_sym_STAR] = ACTIONS(6137),
    [anon_sym_AMP_AMP] = ACTIONS(6137),
    [anon_sym_AMP] = ACTIONS(6135),
    [anon_sym_COLON] = ACTIONS(6135),
    [anon_sym_SEMI] = ACTIONS(6137),
    [anon_sym___extension__] = ACTIONS(6135),
    [anon_sym_in] = ACTIONS(6135),
    [anon_sym_out] = ACTIONS(6135),
    [anon_sym_inout] = ACTIONS(6135),
    [anon_sym_extern] = ACTIONS(6135),
    [anon_sym___attribute__] = ACTIONS(6135),
    [anon_sym_COLON_COLON] = ACTIONS(6137),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(6137),
    [anon_sym___declspec] = ACTIONS(6135),
    [anon_sym___based] = ACTIONS(6135),
    [anon_sym___cdecl] = ACTIONS(6135),
    [anon_sym___clrcall] = ACTIONS(6135),
    [anon_sym___stdcall] = ACTIONS(6135),
    [anon_sym___fastcall] = ACTIONS(6135),
    [anon_sym___thiscall] = ACTIONS(6135),
    [anon_sym___vectorcall] = ACTIONS(6135),
    [anon_sym_LBRACK] = ACTIONS(6135),
    [anon_sym_EQ] = ACTIONS(6137),
    [anon_sym_static] = ACTIONS(6135),
    [anon_sym_register] = ACTIONS(6135),
    [anon_sym_inline] = ACTIONS(6135),
    [anon_sym___inline] = ACTIONS(6135),
    [anon_sym___inline__] = ACTIONS(6135),
    [anon_sym___forceinline] = ACTIONS(6135),
    [anon_sym_thread_local] = ACTIONS(6135),
    [anon_sym___thread] = ACTIONS(6135),
    [anon_sym_const] = ACTIONS(6135),
    [anon_sym_constexpr] = ACTIONS(6135),
    [anon_sym_volatile] = ACTIONS(6135),
    [anon_sym_restrict] = ACTIONS(6135),
    [anon_sym___restrict__] = ACTIONS(6135),
    [anon_sym__Atomic] = ACTIONS(6135),
    [anon_sym__Noreturn] = ACTIONS(6135),
    [anon_sym_noreturn] = ACTIONS(6135),
    [anon_sym_mutable] = ACTIONS(6135),
    [anon_sym_constinit] = ACTIONS(6135),
    [anon_sym_consteval] = ACTIONS(6135),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(6135),
    [anon_sym_decltype] = ACTIONS(6135),
    [anon_sym_final] = ACTIONS(6135),
    [anon_sym_override] = ACTIONS(6135),
    [anon_sym_virtual] = ACTIONS(6135),
    [anon_sym_alignas] = ACTIONS(6135),
    [anon_sym_template] = ACTIONS(6135),
    [anon_sym_GT2] = ACTIONS(6137),
    [anon_sym_operator] = ACTIONS(6135),
    [anon_sym_requires] = ACTIONS(6135),
    [anon_sym_precise] = ACTIONS(6135),
    [anon_sym_shared] = ACTIONS(6135),
    [anon_sym_groupshared] = ACTIONS(6135),
    [anon_sym_uniform] = ACTIONS(6135),
    [anon_sym_row_major] = ACTIONS(6135),
    [anon_sym_column_major] = ACTIONS(6135),
    [anon_sym_globallycoherent] = ACTIONS(6135),
    [anon_sym_centroid] = ACTIONS(6135),
    [anon_sym_noperspective] = ACTIONS(6135),
    [anon_sym_nointerpolation] = ACTIONS(6135),
    [anon_sym_sample] = ACTIONS(6135),
    [anon_sym_linear] = ACTIONS(6135),
    [anon_sym_snorm] = ACTIONS(6135),
    [anon_sym_unorm] = ACTIONS(6135),
    [anon_sym_point] = ACTIONS(6135),
    [anon_sym_line] = ACTIONS(6135),
    [anon_sym_triangleadj] = ACTIONS(6135),
    [anon_sym_lineadj] = ACTIONS(6135),
    [anon_sym_triangle] = ACTIONS(6135),
  },
  [3092] = {
    [sym_identifier] = ACTIONS(6139),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6141),
    [anon_sym_COMMA] = ACTIONS(6141),
    [anon_sym_RPAREN] = ACTIONS(6141),
    [anon_sym_LPAREN2] = ACTIONS(6141),
    [anon_sym_TILDE] = ACTIONS(6141),
    [anon_sym_STAR] = ACTIONS(6141),
    [anon_sym_AMP_AMP] = ACTIONS(6141),
    [anon_sym_AMP] = ACTIONS(6139),
    [anon_sym_COLON] = ACTIONS(6139),
    [anon_sym_SEMI] = ACTIONS(6141),
    [anon_sym___extension__] = ACTIONS(6139),
    [anon_sym_in] = ACTIONS(6139),
    [anon_sym_out] = ACTIONS(6139),
    [anon_sym_inout] = ACTIONS(6139),
    [anon_sym_extern] = ACTIONS(6139),
    [anon_sym___attribute__] = ACTIONS(6139),
    [anon_sym_COLON_COLON] = ACTIONS(6141),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(6141),
    [anon_sym___declspec] = ACTIONS(6139),
    [anon_sym___based] = ACTIONS(6139),
    [anon_sym___cdecl] = ACTIONS(6139),
    [anon_sym___clrcall] = ACTIONS(6139),
    [anon_sym___stdcall] = ACTIONS(6139),
    [anon_sym___fastcall] = ACTIONS(6139),
    [anon_sym___thiscall] = ACTIONS(6139),
    [anon_sym___vectorcall] = ACTIONS(6139),
    [anon_sym_LBRACK] = ACTIONS(6139),
    [anon_sym_EQ] = ACTIONS(6141),
    [anon_sym_static] = ACTIONS(6139),
    [anon_sym_register] = ACTIONS(6139),
    [anon_sym_inline] = ACTIONS(6139),
    [anon_sym___inline] = ACTIONS(6139),
    [anon_sym___inline__] = ACTIONS(6139),
    [anon_sym___forceinline] = ACTIONS(6139),
    [anon_sym_thread_local] = ACTIONS(6139),
    [anon_sym___thread] = ACTIONS(6139),
    [anon_sym_const] = ACTIONS(6139),
    [anon_sym_constexpr] = ACTIONS(6139),
    [anon_sym_volatile] = ACTIONS(6139),
    [anon_sym_restrict] = ACTIONS(6139),
    [anon_sym___restrict__] = ACTIONS(6139),
    [anon_sym__Atomic] = ACTIONS(6139),
    [anon_sym__Noreturn] = ACTIONS(6139),
    [anon_sym_noreturn] = ACTIONS(6139),
    [anon_sym_mutable] = ACTIONS(6139),
    [anon_sym_constinit] = ACTIONS(6139),
    [anon_sym_consteval] = ACTIONS(6139),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(6139),
    [anon_sym_decltype] = ACTIONS(6139),
    [anon_sym_final] = ACTIONS(6139),
    [anon_sym_override] = ACTIONS(6139),
    [anon_sym_virtual] = ACTIONS(6139),
    [anon_sym_alignas] = ACTIONS(6139),
    [anon_sym_template] = ACTIONS(6139),
    [anon_sym_GT2] = ACTIONS(6141),
    [anon_sym_operator] = ACTIONS(6139),
    [anon_sym_requires] = ACTIONS(6139),
    [anon_sym_precise] = ACTIONS(6139),
    [anon_sym_shared] = ACTIONS(6139),
    [anon_sym_groupshared] = ACTIONS(6139),
    [anon_sym_uniform] = ACTIONS(6139),
    [anon_sym_row_major] = ACTIONS(6139),
    [anon_sym_column_major] = ACTIONS(6139),
    [anon_sym_globallycoherent] = ACTIONS(6139),
    [anon_sym_centroid] = ACTIONS(6139),
    [anon_sym_noperspective] = ACTIONS(6139),
    [anon_sym_nointerpolation] = ACTIONS(6139),
    [anon_sym_sample] = ACTIONS(6139),
    [anon_sym_linear] = ACTIONS(6139),
    [anon_sym_snorm] = ACTIONS(6139),
    [anon_sym_unorm] = ACTIONS(6139),
    [anon_sym_point] = ACTIONS(6139),
    [anon_sym_line] = ACTIONS(6139),
    [anon_sym_triangleadj] = ACTIONS(6139),
    [anon_sym_lineadj] = ACTIONS(6139),
    [anon_sym_triangle] = ACTIONS(6139),
  },
  [3093] = {
    [sym_identifier] = ACTIONS(6143),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6145),
    [anon_sym_COMMA] = ACTIONS(6145),
    [anon_sym_RPAREN] = ACTIONS(6145),
    [anon_sym_LPAREN2] = ACTIONS(6145),
    [anon_sym_TILDE] = ACTIONS(6145),
    [anon_sym_STAR] = ACTIONS(6145),
    [anon_sym_AMP_AMP] = ACTIONS(6145),
    [anon_sym_AMP] = ACTIONS(6143),
    [anon_sym_COLON] = ACTIONS(6143),
    [anon_sym_SEMI] = ACTIONS(6145),
    [anon_sym___extension__] = ACTIONS(6143),
    [anon_sym_in] = ACTIONS(6143),
    [anon_sym_out] = ACTIONS(6143),
    [anon_sym_inout] = ACTIONS(6143),
    [anon_sym_extern] = ACTIONS(6143),
    [anon_sym___attribute__] = ACTIONS(6143),
    [anon_sym_COLON_COLON] = ACTIONS(6145),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(6145),
    [anon_sym___declspec] = ACTIONS(6143),
    [anon_sym___based] = ACTIONS(6143),
    [anon_sym___cdecl] = ACTIONS(6143),
    [anon_sym___clrcall] = ACTIONS(6143),
    [anon_sym___stdcall] = ACTIONS(6143),
    [anon_sym___fastcall] = ACTIONS(6143),
    [anon_sym___thiscall] = ACTIONS(6143),
    [anon_sym___vectorcall] = ACTIONS(6143),
    [anon_sym_LBRACK] = ACTIONS(6143),
    [anon_sym_EQ] = ACTIONS(6145),
    [anon_sym_static] = ACTIONS(6143),
    [anon_sym_register] = ACTIONS(6143),
    [anon_sym_inline] = ACTIONS(6143),
    [anon_sym___inline] = ACTIONS(6143),
    [anon_sym___inline__] = ACTIONS(6143),
    [anon_sym___forceinline] = ACTIONS(6143),
    [anon_sym_thread_local] = ACTIONS(6143),
    [anon_sym___thread] = ACTIONS(6143),
    [anon_sym_const] = ACTIONS(6143),
    [anon_sym_constexpr] = ACTIONS(6143),
    [anon_sym_volatile] = ACTIONS(6143),
    [anon_sym_restrict] = ACTIONS(6143),
    [anon_sym___restrict__] = ACTIONS(6143),
    [anon_sym__Atomic] = ACTIONS(6143),
    [anon_sym__Noreturn] = ACTIONS(6143),
    [anon_sym_noreturn] = ACTIONS(6143),
    [anon_sym_mutable] = ACTIONS(6143),
    [anon_sym_constinit] = ACTIONS(6143),
    [anon_sym_consteval] = ACTIONS(6143),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(6143),
    [anon_sym_decltype] = ACTIONS(6143),
    [anon_sym_final] = ACTIONS(6143),
    [anon_sym_override] = ACTIONS(6143),
    [anon_sym_virtual] = ACTIONS(6143),
    [anon_sym_alignas] = ACTIONS(6143),
    [anon_sym_template] = ACTIONS(6143),
    [anon_sym_GT2] = ACTIONS(6145),
    [anon_sym_operator] = ACTIONS(6143),
    [anon_sym_requires] = ACTIONS(6143),
    [anon_sym_precise] = ACTIONS(6143),
    [anon_sym_shared] = ACTIONS(6143),
    [anon_sym_groupshared] = ACTIONS(6143),
    [anon_sym_uniform] = ACTIONS(6143),
    [anon_sym_row_major] = ACTIONS(6143),
    [anon_sym_column_major] = ACTIONS(6143),
    [anon_sym_globallycoherent] = ACTIONS(6143),
    [anon_sym_centroid] = ACTIONS(6143),
    [anon_sym_noperspective] = ACTIONS(6143),
    [anon_sym_nointerpolation] = ACTIONS(6143),
    [anon_sym_sample] = ACTIONS(6143),
    [anon_sym_linear] = ACTIONS(6143),
    [anon_sym_snorm] = ACTIONS(6143),
    [anon_sym_unorm] = ACTIONS(6143),
    [anon_sym_point] = ACTIONS(6143),
    [anon_sym_line] = ACTIONS(6143),
    [anon_sym_triangleadj] = ACTIONS(6143),
    [anon_sym_lineadj] = ACTIONS(6143),
    [anon_sym_triangle] = ACTIONS(6143),
  },
  [3094] = {
    [sym_identifier] = ACTIONS(6147),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6149),
    [anon_sym_COMMA] = ACTIONS(6149),
    [anon_sym_RPAREN] = ACTIONS(6149),
    [anon_sym_LPAREN2] = ACTIONS(6149),
    [anon_sym_TILDE] = ACTIONS(6149),
    [anon_sym_STAR] = ACTIONS(6149),
    [anon_sym_AMP_AMP] = ACTIONS(6149),
    [anon_sym_AMP] = ACTIONS(6147),
    [anon_sym_COLON] = ACTIONS(6147),
    [anon_sym_SEMI] = ACTIONS(6149),
    [anon_sym___extension__] = ACTIONS(6147),
    [anon_sym_in] = ACTIONS(6147),
    [anon_sym_out] = ACTIONS(6147),
    [anon_sym_inout] = ACTIONS(6147),
    [anon_sym_extern] = ACTIONS(6147),
    [anon_sym___attribute__] = ACTIONS(6147),
    [anon_sym_COLON_COLON] = ACTIONS(6149),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(6149),
    [anon_sym___declspec] = ACTIONS(6147),
    [anon_sym___based] = ACTIONS(6147),
    [anon_sym___cdecl] = ACTIONS(6147),
    [anon_sym___clrcall] = ACTIONS(6147),
    [anon_sym___stdcall] = ACTIONS(6147),
    [anon_sym___fastcall] = ACTIONS(6147),
    [anon_sym___thiscall] = ACTIONS(6147),
    [anon_sym___vectorcall] = ACTIONS(6147),
    [anon_sym_LBRACK] = ACTIONS(6147),
    [anon_sym_EQ] = ACTIONS(6149),
    [anon_sym_static] = ACTIONS(6147),
    [anon_sym_register] = ACTIONS(6147),
    [anon_sym_inline] = ACTIONS(6147),
    [anon_sym___inline] = ACTIONS(6147),
    [anon_sym___inline__] = ACTIONS(6147),
    [anon_sym___forceinline] = ACTIONS(6147),
    [anon_sym_thread_local] = ACTIONS(6147),
    [anon_sym___thread] = ACTIONS(6147),
    [anon_sym_const] = ACTIONS(6147),
    [anon_sym_constexpr] = ACTIONS(6147),
    [anon_sym_volatile] = ACTIONS(6147),
    [anon_sym_restrict] = ACTIONS(6147),
    [anon_sym___restrict__] = ACTIONS(6147),
    [anon_sym__Atomic] = ACTIONS(6147),
    [anon_sym__Noreturn] = ACTIONS(6147),
    [anon_sym_noreturn] = ACTIONS(6147),
    [anon_sym_mutable] = ACTIONS(6147),
    [anon_sym_constinit] = ACTIONS(6147),
    [anon_sym_consteval] = ACTIONS(6147),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(6147),
    [anon_sym_decltype] = ACTIONS(6147),
    [anon_sym_final] = ACTIONS(6147),
    [anon_sym_override] = ACTIONS(6147),
    [anon_sym_virtual] = ACTIONS(6147),
    [anon_sym_alignas] = ACTIONS(6147),
    [anon_sym_template] = ACTIONS(6147),
    [anon_sym_GT2] = ACTIONS(6149),
    [anon_sym_operator] = ACTIONS(6147),
    [anon_sym_requires] = ACTIONS(6147),
    [anon_sym_precise] = ACTIONS(6147),
    [anon_sym_shared] = ACTIONS(6147),
    [anon_sym_groupshared] = ACTIONS(6147),
    [anon_sym_uniform] = ACTIONS(6147),
    [anon_sym_row_major] = ACTIONS(6147),
    [anon_sym_column_major] = ACTIONS(6147),
    [anon_sym_globallycoherent] = ACTIONS(6147),
    [anon_sym_centroid] = ACTIONS(6147),
    [anon_sym_noperspective] = ACTIONS(6147),
    [anon_sym_nointerpolation] = ACTIONS(6147),
    [anon_sym_sample] = ACTIONS(6147),
    [anon_sym_linear] = ACTIONS(6147),
    [anon_sym_snorm] = ACTIONS(6147),
    [anon_sym_unorm] = ACTIONS(6147),
    [anon_sym_point] = ACTIONS(6147),
    [anon_sym_line] = ACTIONS(6147),
    [anon_sym_triangleadj] = ACTIONS(6147),
    [anon_sym_lineadj] = ACTIONS(6147),
    [anon_sym_triangle] = ACTIONS(6147),
  },
  [3095] = {
    [sym_identifier] = ACTIONS(6151),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6153),
    [anon_sym_COMMA] = ACTIONS(6153),
    [anon_sym_RPAREN] = ACTIONS(6153),
    [anon_sym_LPAREN2] = ACTIONS(6153),
    [anon_sym_TILDE] = ACTIONS(6153),
    [anon_sym_STAR] = ACTIONS(6153),
    [anon_sym_AMP_AMP] = ACTIONS(6153),
    [anon_sym_AMP] = ACTIONS(6151),
    [anon_sym_COLON] = ACTIONS(6151),
    [anon_sym_SEMI] = ACTIONS(6153),
    [anon_sym___extension__] = ACTIONS(6151),
    [anon_sym_in] = ACTIONS(6151),
    [anon_sym_out] = ACTIONS(6151),
    [anon_sym_inout] = ACTIONS(6151),
    [anon_sym_extern] = ACTIONS(6151),
    [anon_sym___attribute__] = ACTIONS(6151),
    [anon_sym_COLON_COLON] = ACTIONS(6153),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(6153),
    [anon_sym___declspec] = ACTIONS(6151),
    [anon_sym___based] = ACTIONS(6151),
    [anon_sym___cdecl] = ACTIONS(6151),
    [anon_sym___clrcall] = ACTIONS(6151),
    [anon_sym___stdcall] = ACTIONS(6151),
    [anon_sym___fastcall] = ACTIONS(6151),
    [anon_sym___thiscall] = ACTIONS(6151),
    [anon_sym___vectorcall] = ACTIONS(6151),
    [anon_sym_LBRACK] = ACTIONS(6151),
    [anon_sym_EQ] = ACTIONS(6153),
    [anon_sym_static] = ACTIONS(6151),
    [anon_sym_register] = ACTIONS(6151),
    [anon_sym_inline] = ACTIONS(6151),
    [anon_sym___inline] = ACTIONS(6151),
    [anon_sym___inline__] = ACTIONS(6151),
    [anon_sym___forceinline] = ACTIONS(6151),
    [anon_sym_thread_local] = ACTIONS(6151),
    [anon_sym___thread] = ACTIONS(6151),
    [anon_sym_const] = ACTIONS(6151),
    [anon_sym_constexpr] = ACTIONS(6151),
    [anon_sym_volatile] = ACTIONS(6151),
    [anon_sym_restrict] = ACTIONS(6151),
    [anon_sym___restrict__] = ACTIONS(6151),
    [anon_sym__Atomic] = ACTIONS(6151),
    [anon_sym__Noreturn] = ACTIONS(6151),
    [anon_sym_noreturn] = ACTIONS(6151),
    [anon_sym_mutable] = ACTIONS(6151),
    [anon_sym_constinit] = ACTIONS(6151),
    [anon_sym_consteval] = ACTIONS(6151),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(6151),
    [anon_sym_decltype] = ACTIONS(6151),
    [anon_sym_final] = ACTIONS(6151),
    [anon_sym_override] = ACTIONS(6151),
    [anon_sym_virtual] = ACTIONS(6151),
    [anon_sym_alignas] = ACTIONS(6151),
    [anon_sym_template] = ACTIONS(6151),
    [anon_sym_GT2] = ACTIONS(6153),
    [anon_sym_operator] = ACTIONS(6151),
    [anon_sym_requires] = ACTIONS(6151),
    [anon_sym_precise] = ACTIONS(6151),
    [anon_sym_shared] = ACTIONS(6151),
    [anon_sym_groupshared] = ACTIONS(6151),
    [anon_sym_uniform] = ACTIONS(6151),
    [anon_sym_row_major] = ACTIONS(6151),
    [anon_sym_column_major] = ACTIONS(6151),
    [anon_sym_globallycoherent] = ACTIONS(6151),
    [anon_sym_centroid] = ACTIONS(6151),
    [anon_sym_noperspective] = ACTIONS(6151),
    [anon_sym_nointerpolation] = ACTIONS(6151),
    [anon_sym_sample] = ACTIONS(6151),
    [anon_sym_linear] = ACTIONS(6151),
    [anon_sym_snorm] = ACTIONS(6151),
    [anon_sym_unorm] = ACTIONS(6151),
    [anon_sym_point] = ACTIONS(6151),
    [anon_sym_line] = ACTIONS(6151),
    [anon_sym_triangleadj] = ACTIONS(6151),
    [anon_sym_lineadj] = ACTIONS(6151),
    [anon_sym_triangle] = ACTIONS(6151),
  },
  [3096] = {
    [sym_attribute_specifier] = STATE(3061),
    [sym_enumerator_list] = STATE(3121),
    [sym_identifier] = ACTIONS(6155),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6157),
    [anon_sym_COMMA] = ACTIONS(6157),
    [anon_sym_RPAREN] = ACTIONS(6157),
    [anon_sym_LPAREN2] = ACTIONS(6157),
    [anon_sym_TILDE] = ACTIONS(6157),
    [anon_sym_STAR] = ACTIONS(6157),
    [anon_sym_AMP_AMP] = ACTIONS(6157),
    [anon_sym_AMP] = ACTIONS(6155),
    [anon_sym_COLON] = ACTIONS(6155),
    [anon_sym_SEMI] = ACTIONS(6157),
    [anon_sym___extension__] = ACTIONS(6155),
    [anon_sym_in] = ACTIONS(6155),
    [anon_sym_out] = ACTIONS(6155),
    [anon_sym_inout] = ACTIONS(6155),
    [anon_sym_extern] = ACTIONS(6155),
    [anon_sym___attribute__] = ACTIONS(5581),
    [anon_sym_COLON_COLON] = ACTIONS(6157),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(6157),
    [anon_sym___declspec] = ACTIONS(6155),
    [anon_sym___based] = ACTIONS(6155),
    [anon_sym___cdecl] = ACTIONS(6155),
    [anon_sym___clrcall] = ACTIONS(6155),
    [anon_sym___stdcall] = ACTIONS(6155),
    [anon_sym___fastcall] = ACTIONS(6155),
    [anon_sym___thiscall] = ACTIONS(6155),
    [anon_sym___vectorcall] = ACTIONS(6155),
    [anon_sym_LBRACE] = ACTIONS(6081),
    [anon_sym_LBRACK] = ACTIONS(6155),
    [anon_sym_EQ] = ACTIONS(6157),
    [anon_sym_static] = ACTIONS(6155),
    [anon_sym_register] = ACTIONS(6155),
    [anon_sym_inline] = ACTIONS(6155),
    [anon_sym___inline] = ACTIONS(6155),
    [anon_sym___inline__] = ACTIONS(6155),
    [anon_sym___forceinline] = ACTIONS(6155),
    [anon_sym_thread_local] = ACTIONS(6155),
    [anon_sym___thread] = ACTIONS(6155),
    [anon_sym_const] = ACTIONS(6155),
    [anon_sym_constexpr] = ACTIONS(6155),
    [anon_sym_volatile] = ACTIONS(6155),
    [anon_sym_restrict] = ACTIONS(6155),
    [anon_sym___restrict__] = ACTIONS(6155),
    [anon_sym__Atomic] = ACTIONS(6155),
    [anon_sym__Noreturn] = ACTIONS(6155),
    [anon_sym_noreturn] = ACTIONS(6155),
    [anon_sym_mutable] = ACTIONS(6155),
    [anon_sym_constinit] = ACTIONS(6155),
    [anon_sym_consteval] = ACTIONS(6155),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(6155),
    [anon_sym_decltype] = ACTIONS(6155),
    [anon_sym_virtual] = ACTIONS(6155),
    [anon_sym_alignas] = ACTIONS(6155),
    [anon_sym_template] = ACTIONS(6155),
    [anon_sym_GT2] = ACTIONS(6157),
    [anon_sym_operator] = ACTIONS(6155),
    [anon_sym_precise] = ACTIONS(6155),
    [anon_sym_shared] = ACTIONS(6155),
    [anon_sym_groupshared] = ACTIONS(6155),
    [anon_sym_uniform] = ACTIONS(6155),
    [anon_sym_row_major] = ACTIONS(6155),
    [anon_sym_column_major] = ACTIONS(6155),
    [anon_sym_globallycoherent] = ACTIONS(6155),
    [anon_sym_centroid] = ACTIONS(6155),
    [anon_sym_noperspective] = ACTIONS(6155),
    [anon_sym_nointerpolation] = ACTIONS(6155),
    [anon_sym_sample] = ACTIONS(6155),
    [anon_sym_linear] = ACTIONS(6155),
    [anon_sym_snorm] = ACTIONS(6155),
    [anon_sym_unorm] = ACTIONS(6155),
    [anon_sym_point] = ACTIONS(6155),
    [anon_sym_line] = ACTIONS(6155),
    [anon_sym_triangleadj] = ACTIONS(6155),
    [anon_sym_lineadj] = ACTIONS(6155),
    [anon_sym_triangle] = ACTIONS(6155),
  },
  [3097] = {
    [sym_identifier] = ACTIONS(6159),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6161),
    [anon_sym_COMMA] = ACTIONS(6161),
    [anon_sym_RPAREN] = ACTIONS(6161),
    [anon_sym_LPAREN2] = ACTIONS(6161),
    [anon_sym_TILDE] = ACTIONS(6161),
    [anon_sym_STAR] = ACTIONS(6161),
    [anon_sym_AMP_AMP] = ACTIONS(6161),
    [anon_sym_AMP] = ACTIONS(6159),
    [anon_sym_COLON] = ACTIONS(6159),
    [anon_sym_SEMI] = ACTIONS(6161),
    [anon_sym___extension__] = ACTIONS(6159),
    [anon_sym_in] = ACTIONS(6159),
    [anon_sym_out] = ACTIONS(6159),
    [anon_sym_inout] = ACTIONS(6159),
    [anon_sym_extern] = ACTIONS(6159),
    [anon_sym___attribute__] = ACTIONS(6159),
    [anon_sym_COLON_COLON] = ACTIONS(6161),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(6161),
    [anon_sym___declspec] = ACTIONS(6159),
    [anon_sym___based] = ACTIONS(6159),
    [anon_sym___cdecl] = ACTIONS(6159),
    [anon_sym___clrcall] = ACTIONS(6159),
    [anon_sym___stdcall] = ACTIONS(6159),
    [anon_sym___fastcall] = ACTIONS(6159),
    [anon_sym___thiscall] = ACTIONS(6159),
    [anon_sym___vectorcall] = ACTIONS(6159),
    [anon_sym_LBRACK] = ACTIONS(6159),
    [anon_sym_EQ] = ACTIONS(6161),
    [anon_sym_static] = ACTIONS(6159),
    [anon_sym_register] = ACTIONS(6159),
    [anon_sym_inline] = ACTIONS(6159),
    [anon_sym___inline] = ACTIONS(6159),
    [anon_sym___inline__] = ACTIONS(6159),
    [anon_sym___forceinline] = ACTIONS(6159),
    [anon_sym_thread_local] = ACTIONS(6159),
    [anon_sym___thread] = ACTIONS(6159),
    [anon_sym_const] = ACTIONS(6159),
    [anon_sym_constexpr] = ACTIONS(6159),
    [anon_sym_volatile] = ACTIONS(6159),
    [anon_sym_restrict] = ACTIONS(6159),
    [anon_sym___restrict__] = ACTIONS(6159),
    [anon_sym__Atomic] = ACTIONS(6159),
    [anon_sym__Noreturn] = ACTIONS(6159),
    [anon_sym_noreturn] = ACTIONS(6159),
    [anon_sym_mutable] = ACTIONS(6159),
    [anon_sym_constinit] = ACTIONS(6159),
    [anon_sym_consteval] = ACTIONS(6159),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(6159),
    [anon_sym_decltype] = ACTIONS(6159),
    [anon_sym_final] = ACTIONS(6159),
    [anon_sym_override] = ACTIONS(6159),
    [anon_sym_virtual] = ACTIONS(6159),
    [anon_sym_alignas] = ACTIONS(6159),
    [anon_sym_template] = ACTIONS(6159),
    [anon_sym_GT2] = ACTIONS(6161),
    [anon_sym_operator] = ACTIONS(6159),
    [anon_sym_requires] = ACTIONS(6159),
    [anon_sym_precise] = ACTIONS(6159),
    [anon_sym_shared] = ACTIONS(6159),
    [anon_sym_groupshared] = ACTIONS(6159),
    [anon_sym_uniform] = ACTIONS(6159),
    [anon_sym_row_major] = ACTIONS(6159),
    [anon_sym_column_major] = ACTIONS(6159),
    [anon_sym_globallycoherent] = ACTIONS(6159),
    [anon_sym_centroid] = ACTIONS(6159),
    [anon_sym_noperspective] = ACTIONS(6159),
    [anon_sym_nointerpolation] = ACTIONS(6159),
    [anon_sym_sample] = ACTIONS(6159),
    [anon_sym_linear] = ACTIONS(6159),
    [anon_sym_snorm] = ACTIONS(6159),
    [anon_sym_unorm] = ACTIONS(6159),
    [anon_sym_point] = ACTIONS(6159),
    [anon_sym_line] = ACTIONS(6159),
    [anon_sym_triangleadj] = ACTIONS(6159),
    [anon_sym_lineadj] = ACTIONS(6159),
    [anon_sym_triangle] = ACTIONS(6159),
  },
  [3098] = {
    [sym_identifier] = ACTIONS(6065),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6067),
    [anon_sym_COMMA] = ACTIONS(6067),
    [anon_sym_RPAREN] = ACTIONS(6067),
    [anon_sym_LPAREN2] = ACTIONS(6067),
    [anon_sym_TILDE] = ACTIONS(6067),
    [anon_sym_STAR] = ACTIONS(6067),
    [anon_sym_AMP_AMP] = ACTIONS(6067),
    [anon_sym_AMP] = ACTIONS(6065),
    [anon_sym_COLON] = ACTIONS(6065),
    [anon_sym_SEMI] = ACTIONS(6067),
    [anon_sym___extension__] = ACTIONS(6065),
    [anon_sym_in] = ACTIONS(6065),
    [anon_sym_out] = ACTIONS(6065),
    [anon_sym_inout] = ACTIONS(6065),
    [anon_sym_extern] = ACTIONS(6065),
    [anon_sym___attribute__] = ACTIONS(6065),
    [anon_sym_COLON_COLON] = ACTIONS(6067),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(6067),
    [anon_sym___declspec] = ACTIONS(6065),
    [anon_sym___based] = ACTIONS(6065),
    [anon_sym___cdecl] = ACTIONS(6065),
    [anon_sym___clrcall] = ACTIONS(6065),
    [anon_sym___stdcall] = ACTIONS(6065),
    [anon_sym___fastcall] = ACTIONS(6065),
    [anon_sym___thiscall] = ACTIONS(6065),
    [anon_sym___vectorcall] = ACTIONS(6065),
    [anon_sym_LBRACK] = ACTIONS(6065),
    [anon_sym_EQ] = ACTIONS(6067),
    [anon_sym_static] = ACTIONS(6065),
    [anon_sym_register] = ACTIONS(6065),
    [anon_sym_inline] = ACTIONS(6065),
    [anon_sym___inline] = ACTIONS(6065),
    [anon_sym___inline__] = ACTIONS(6065),
    [anon_sym___forceinline] = ACTIONS(6065),
    [anon_sym_thread_local] = ACTIONS(6065),
    [anon_sym___thread] = ACTIONS(6065),
    [anon_sym_const] = ACTIONS(6065),
    [anon_sym_constexpr] = ACTIONS(6065),
    [anon_sym_volatile] = ACTIONS(6065),
    [anon_sym_restrict] = ACTIONS(6065),
    [anon_sym___restrict__] = ACTIONS(6065),
    [anon_sym__Atomic] = ACTIONS(6065),
    [anon_sym__Noreturn] = ACTIONS(6065),
    [anon_sym_noreturn] = ACTIONS(6065),
    [anon_sym_mutable] = ACTIONS(6065),
    [anon_sym_constinit] = ACTIONS(6065),
    [anon_sym_consteval] = ACTIONS(6065),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(6065),
    [anon_sym_decltype] = ACTIONS(6065),
    [anon_sym_final] = ACTIONS(6065),
    [anon_sym_override] = ACTIONS(6065),
    [anon_sym_virtual] = ACTIONS(6065),
    [anon_sym_alignas] = ACTIONS(6065),
    [anon_sym_template] = ACTIONS(6065),
    [anon_sym_GT2] = ACTIONS(6067),
    [anon_sym_operator] = ACTIONS(6065),
    [anon_sym_requires] = ACTIONS(6065),
    [anon_sym_precise] = ACTIONS(6065),
    [anon_sym_shared] = ACTIONS(6065),
    [anon_sym_groupshared] = ACTIONS(6065),
    [anon_sym_uniform] = ACTIONS(6065),
    [anon_sym_row_major] = ACTIONS(6065),
    [anon_sym_column_major] = ACTIONS(6065),
    [anon_sym_globallycoherent] = ACTIONS(6065),
    [anon_sym_centroid] = ACTIONS(6065),
    [anon_sym_noperspective] = ACTIONS(6065),
    [anon_sym_nointerpolation] = ACTIONS(6065),
    [anon_sym_sample] = ACTIONS(6065),
    [anon_sym_linear] = ACTIONS(6065),
    [anon_sym_snorm] = ACTIONS(6065),
    [anon_sym_unorm] = ACTIONS(6065),
    [anon_sym_point] = ACTIONS(6065),
    [anon_sym_line] = ACTIONS(6065),
    [anon_sym_triangleadj] = ACTIONS(6065),
    [anon_sym_lineadj] = ACTIONS(6065),
    [anon_sym_triangle] = ACTIONS(6065),
  },
  [3099] = {
    [sym_attribute_specifier] = STATE(3082),
    [sym_field_declaration_list] = STATE(3124),
    [sym_virtual_specifier] = STATE(8472),
    [sym_base_class_clause] = STATE(8993),
    [sym_identifier] = ACTIONS(5925),
    [anon_sym_LPAREN2] = ACTIONS(5927),
    [anon_sym_TILDE] = ACTIONS(5927),
    [anon_sym_STAR] = ACTIONS(5927),
    [anon_sym_AMP_AMP] = ACTIONS(5927),
    [anon_sym_AMP] = ACTIONS(5925),
    [anon_sym_COLON] = ACTIONS(2194),
    [anon_sym_SEMI] = ACTIONS(6163),
    [anon_sym___extension__] = ACTIONS(5925),
    [anon_sym_in] = ACTIONS(5925),
    [anon_sym_out] = ACTIONS(5925),
    [anon_sym_inout] = ACTIONS(5925),
    [anon_sym_extern] = ACTIONS(5925),
    [anon_sym___attribute__] = ACTIONS(5581),
    [anon_sym_COLON_COLON] = ACTIONS(5927),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5927),
    [anon_sym___declspec] = ACTIONS(5925),
    [anon_sym___based] = ACTIONS(5925),
    [anon_sym___cdecl] = ACTIONS(5925),
    [anon_sym___clrcall] = ACTIONS(5925),
    [anon_sym___stdcall] = ACTIONS(5925),
    [anon_sym___fastcall] = ACTIONS(5925),
    [anon_sym___thiscall] = ACTIONS(5925),
    [anon_sym___vectorcall] = ACTIONS(5925),
    [anon_sym_LBRACE] = ACTIONS(5929),
    [anon_sym_LBRACK] = ACTIONS(5925),
    [anon_sym_static] = ACTIONS(5925),
    [anon_sym_register] = ACTIONS(5925),
    [anon_sym_inline] = ACTIONS(5925),
    [anon_sym___inline] = ACTIONS(5925),
    [anon_sym___inline__] = ACTIONS(5925),
    [anon_sym___forceinline] = ACTIONS(5925),
    [anon_sym_thread_local] = ACTIONS(5925),
    [anon_sym___thread] = ACTIONS(5925),
    [anon_sym_const] = ACTIONS(5925),
    [anon_sym_constexpr] = ACTIONS(5925),
    [anon_sym_volatile] = ACTIONS(5925),
    [anon_sym_restrict] = ACTIONS(5925),
    [anon_sym___restrict__] = ACTIONS(5925),
    [anon_sym__Atomic] = ACTIONS(5925),
    [anon_sym__Noreturn] = ACTIONS(5925),
    [anon_sym_noreturn] = ACTIONS(5925),
    [anon_sym_mutable] = ACTIONS(5925),
    [anon_sym_constinit] = ACTIONS(5925),
    [anon_sym_consteval] = ACTIONS(5925),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5925),
    [anon_sym_decltype] = ACTIONS(5925),
    [anon_sym_final] = ACTIONS(2198),
    [anon_sym_override] = ACTIONS(2198),
    [anon_sym_virtual] = ACTIONS(5925),
    [anon_sym_alignas] = ACTIONS(5925),
    [anon_sym_template] = ACTIONS(5925),
    [anon_sym_operator] = ACTIONS(5925),
    [anon_sym_precise] = ACTIONS(5925),
    [anon_sym_shared] = ACTIONS(5925),
    [anon_sym_groupshared] = ACTIONS(5925),
    [anon_sym_uniform] = ACTIONS(5925),
    [anon_sym_row_major] = ACTIONS(5925),
    [anon_sym_column_major] = ACTIONS(5925),
    [anon_sym_globallycoherent] = ACTIONS(5925),
    [anon_sym_centroid] = ACTIONS(5925),
    [anon_sym_noperspective] = ACTIONS(5925),
    [anon_sym_nointerpolation] = ACTIONS(5925),
    [anon_sym_sample] = ACTIONS(5925),
    [anon_sym_linear] = ACTIONS(5925),
    [anon_sym_snorm] = ACTIONS(5925),
    [anon_sym_unorm] = ACTIONS(5925),
    [anon_sym_point] = ACTIONS(5925),
    [anon_sym_line] = ACTIONS(5925),
    [anon_sym_triangleadj] = ACTIONS(5925),
    [anon_sym_lineadj] = ACTIONS(5925),
    [anon_sym_triangle] = ACTIONS(5925),
  },
  [3100] = {
    [sym_attribute_specifier] = STATE(3082),
    [sym_field_declaration_list] = STATE(3124),
    [sym_virtual_specifier] = STATE(8472),
    [sym_base_class_clause] = STATE(8993),
    [sym_identifier] = ACTIONS(5925),
    [anon_sym_LPAREN2] = ACTIONS(5927),
    [anon_sym_TILDE] = ACTIONS(5927),
    [anon_sym_STAR] = ACTIONS(5927),
    [anon_sym_AMP_AMP] = ACTIONS(5927),
    [anon_sym_AMP] = ACTIONS(5925),
    [anon_sym_COLON] = ACTIONS(2194),
    [anon_sym_SEMI] = ACTIONS(6165),
    [anon_sym___extension__] = ACTIONS(5925),
    [anon_sym_in] = ACTIONS(5925),
    [anon_sym_out] = ACTIONS(5925),
    [anon_sym_inout] = ACTIONS(5925),
    [anon_sym_extern] = ACTIONS(5925),
    [anon_sym___attribute__] = ACTIONS(5581),
    [anon_sym_COLON_COLON] = ACTIONS(5927),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5927),
    [anon_sym___declspec] = ACTIONS(5925),
    [anon_sym___based] = ACTIONS(5925),
    [anon_sym___cdecl] = ACTIONS(5925),
    [anon_sym___clrcall] = ACTIONS(5925),
    [anon_sym___stdcall] = ACTIONS(5925),
    [anon_sym___fastcall] = ACTIONS(5925),
    [anon_sym___thiscall] = ACTIONS(5925),
    [anon_sym___vectorcall] = ACTIONS(5925),
    [anon_sym_LBRACE] = ACTIONS(5929),
    [anon_sym_LBRACK] = ACTIONS(5925),
    [anon_sym_static] = ACTIONS(5925),
    [anon_sym_register] = ACTIONS(5925),
    [anon_sym_inline] = ACTIONS(5925),
    [anon_sym___inline] = ACTIONS(5925),
    [anon_sym___inline__] = ACTIONS(5925),
    [anon_sym___forceinline] = ACTIONS(5925),
    [anon_sym_thread_local] = ACTIONS(5925),
    [anon_sym___thread] = ACTIONS(5925),
    [anon_sym_const] = ACTIONS(5925),
    [anon_sym_constexpr] = ACTIONS(5925),
    [anon_sym_volatile] = ACTIONS(5925),
    [anon_sym_restrict] = ACTIONS(5925),
    [anon_sym___restrict__] = ACTIONS(5925),
    [anon_sym__Atomic] = ACTIONS(5925),
    [anon_sym__Noreturn] = ACTIONS(5925),
    [anon_sym_noreturn] = ACTIONS(5925),
    [anon_sym_mutable] = ACTIONS(5925),
    [anon_sym_constinit] = ACTIONS(5925),
    [anon_sym_consteval] = ACTIONS(5925),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5925),
    [anon_sym_decltype] = ACTIONS(5925),
    [anon_sym_final] = ACTIONS(2198),
    [anon_sym_override] = ACTIONS(2198),
    [anon_sym_virtual] = ACTIONS(5925),
    [anon_sym_alignas] = ACTIONS(5925),
    [anon_sym_template] = ACTIONS(5925),
    [anon_sym_operator] = ACTIONS(5925),
    [anon_sym_precise] = ACTIONS(5925),
    [anon_sym_shared] = ACTIONS(5925),
    [anon_sym_groupshared] = ACTIONS(5925),
    [anon_sym_uniform] = ACTIONS(5925),
    [anon_sym_row_major] = ACTIONS(5925),
    [anon_sym_column_major] = ACTIONS(5925),
    [anon_sym_globallycoherent] = ACTIONS(5925),
    [anon_sym_centroid] = ACTIONS(5925),
    [anon_sym_noperspective] = ACTIONS(5925),
    [anon_sym_nointerpolation] = ACTIONS(5925),
    [anon_sym_sample] = ACTIONS(5925),
    [anon_sym_linear] = ACTIONS(5925),
    [anon_sym_snorm] = ACTIONS(5925),
    [anon_sym_unorm] = ACTIONS(5925),
    [anon_sym_point] = ACTIONS(5925),
    [anon_sym_line] = ACTIONS(5925),
    [anon_sym_triangleadj] = ACTIONS(5925),
    [anon_sym_lineadj] = ACTIONS(5925),
    [anon_sym_triangle] = ACTIONS(5925),
  },
  [3101] = {
    [sym_attribute_specifier] = STATE(3082),
    [sym_field_declaration_list] = STATE(3124),
    [sym_virtual_specifier] = STATE(8472),
    [sym_base_class_clause] = STATE(8993),
    [sym_identifier] = ACTIONS(5925),
    [anon_sym_LPAREN2] = ACTIONS(5927),
    [anon_sym_TILDE] = ACTIONS(5927),
    [anon_sym_STAR] = ACTIONS(5927),
    [anon_sym_AMP_AMP] = ACTIONS(5927),
    [anon_sym_AMP] = ACTIONS(5925),
    [anon_sym_COLON] = ACTIONS(2194),
    [anon_sym_SEMI] = ACTIONS(6167),
    [anon_sym___extension__] = ACTIONS(5925),
    [anon_sym_in] = ACTIONS(5925),
    [anon_sym_out] = ACTIONS(5925),
    [anon_sym_inout] = ACTIONS(5925),
    [anon_sym_extern] = ACTIONS(5925),
    [anon_sym___attribute__] = ACTIONS(5581),
    [anon_sym_COLON_COLON] = ACTIONS(5927),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5927),
    [anon_sym___declspec] = ACTIONS(5925),
    [anon_sym___based] = ACTIONS(5925),
    [anon_sym___cdecl] = ACTIONS(5925),
    [anon_sym___clrcall] = ACTIONS(5925),
    [anon_sym___stdcall] = ACTIONS(5925),
    [anon_sym___fastcall] = ACTIONS(5925),
    [anon_sym___thiscall] = ACTIONS(5925),
    [anon_sym___vectorcall] = ACTIONS(5925),
    [anon_sym_LBRACE] = ACTIONS(5929),
    [anon_sym_LBRACK] = ACTIONS(5925),
    [anon_sym_static] = ACTIONS(5925),
    [anon_sym_register] = ACTIONS(5925),
    [anon_sym_inline] = ACTIONS(5925),
    [anon_sym___inline] = ACTIONS(5925),
    [anon_sym___inline__] = ACTIONS(5925),
    [anon_sym___forceinline] = ACTIONS(5925),
    [anon_sym_thread_local] = ACTIONS(5925),
    [anon_sym___thread] = ACTIONS(5925),
    [anon_sym_const] = ACTIONS(5925),
    [anon_sym_constexpr] = ACTIONS(5925),
    [anon_sym_volatile] = ACTIONS(5925),
    [anon_sym_restrict] = ACTIONS(5925),
    [anon_sym___restrict__] = ACTIONS(5925),
    [anon_sym__Atomic] = ACTIONS(5925),
    [anon_sym__Noreturn] = ACTIONS(5925),
    [anon_sym_noreturn] = ACTIONS(5925),
    [anon_sym_mutable] = ACTIONS(5925),
    [anon_sym_constinit] = ACTIONS(5925),
    [anon_sym_consteval] = ACTIONS(5925),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5925),
    [anon_sym_decltype] = ACTIONS(5925),
    [anon_sym_final] = ACTIONS(2198),
    [anon_sym_override] = ACTIONS(2198),
    [anon_sym_virtual] = ACTIONS(5925),
    [anon_sym_alignas] = ACTIONS(5925),
    [anon_sym_template] = ACTIONS(5925),
    [anon_sym_operator] = ACTIONS(5925),
    [anon_sym_precise] = ACTIONS(5925),
    [anon_sym_shared] = ACTIONS(5925),
    [anon_sym_groupshared] = ACTIONS(5925),
    [anon_sym_uniform] = ACTIONS(5925),
    [anon_sym_row_major] = ACTIONS(5925),
    [anon_sym_column_major] = ACTIONS(5925),
    [anon_sym_globallycoherent] = ACTIONS(5925),
    [anon_sym_centroid] = ACTIONS(5925),
    [anon_sym_noperspective] = ACTIONS(5925),
    [anon_sym_nointerpolation] = ACTIONS(5925),
    [anon_sym_sample] = ACTIONS(5925),
    [anon_sym_linear] = ACTIONS(5925),
    [anon_sym_snorm] = ACTIONS(5925),
    [anon_sym_unorm] = ACTIONS(5925),
    [anon_sym_point] = ACTIONS(5925),
    [anon_sym_line] = ACTIONS(5925),
    [anon_sym_triangleadj] = ACTIONS(5925),
    [anon_sym_lineadj] = ACTIONS(5925),
    [anon_sym_triangle] = ACTIONS(5925),
  },
  [3102] = {
    [sym_attribute_specifier] = STATE(3082),
    [sym_field_declaration_list] = STATE(3124),
    [sym_virtual_specifier] = STATE(8472),
    [sym_base_class_clause] = STATE(8993),
    [sym_identifier] = ACTIONS(5925),
    [anon_sym_LPAREN2] = ACTIONS(5927),
    [anon_sym_TILDE] = ACTIONS(5927),
    [anon_sym_STAR] = ACTIONS(5927),
    [anon_sym_AMP_AMP] = ACTIONS(5927),
    [anon_sym_AMP] = ACTIONS(5925),
    [anon_sym_COLON] = ACTIONS(2194),
    [anon_sym_SEMI] = ACTIONS(6169),
    [anon_sym___extension__] = ACTIONS(5925),
    [anon_sym_in] = ACTIONS(5925),
    [anon_sym_out] = ACTIONS(5925),
    [anon_sym_inout] = ACTIONS(5925),
    [anon_sym_extern] = ACTIONS(5925),
    [anon_sym___attribute__] = ACTIONS(5581),
    [anon_sym_COLON_COLON] = ACTIONS(5927),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5927),
    [anon_sym___declspec] = ACTIONS(5925),
    [anon_sym___based] = ACTIONS(5925),
    [anon_sym___cdecl] = ACTIONS(5925),
    [anon_sym___clrcall] = ACTIONS(5925),
    [anon_sym___stdcall] = ACTIONS(5925),
    [anon_sym___fastcall] = ACTIONS(5925),
    [anon_sym___thiscall] = ACTIONS(5925),
    [anon_sym___vectorcall] = ACTIONS(5925),
    [anon_sym_LBRACE] = ACTIONS(5929),
    [anon_sym_LBRACK] = ACTIONS(5925),
    [anon_sym_static] = ACTIONS(5925),
    [anon_sym_register] = ACTIONS(5925),
    [anon_sym_inline] = ACTIONS(5925),
    [anon_sym___inline] = ACTIONS(5925),
    [anon_sym___inline__] = ACTIONS(5925),
    [anon_sym___forceinline] = ACTIONS(5925),
    [anon_sym_thread_local] = ACTIONS(5925),
    [anon_sym___thread] = ACTIONS(5925),
    [anon_sym_const] = ACTIONS(5925),
    [anon_sym_constexpr] = ACTIONS(5925),
    [anon_sym_volatile] = ACTIONS(5925),
    [anon_sym_restrict] = ACTIONS(5925),
    [anon_sym___restrict__] = ACTIONS(5925),
    [anon_sym__Atomic] = ACTIONS(5925),
    [anon_sym__Noreturn] = ACTIONS(5925),
    [anon_sym_noreturn] = ACTIONS(5925),
    [anon_sym_mutable] = ACTIONS(5925),
    [anon_sym_constinit] = ACTIONS(5925),
    [anon_sym_consteval] = ACTIONS(5925),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5925),
    [anon_sym_decltype] = ACTIONS(5925),
    [anon_sym_final] = ACTIONS(2198),
    [anon_sym_override] = ACTIONS(2198),
    [anon_sym_virtual] = ACTIONS(5925),
    [anon_sym_alignas] = ACTIONS(5925),
    [anon_sym_template] = ACTIONS(5925),
    [anon_sym_operator] = ACTIONS(5925),
    [anon_sym_precise] = ACTIONS(5925),
    [anon_sym_shared] = ACTIONS(5925),
    [anon_sym_groupshared] = ACTIONS(5925),
    [anon_sym_uniform] = ACTIONS(5925),
    [anon_sym_row_major] = ACTIONS(5925),
    [anon_sym_column_major] = ACTIONS(5925),
    [anon_sym_globallycoherent] = ACTIONS(5925),
    [anon_sym_centroid] = ACTIONS(5925),
    [anon_sym_noperspective] = ACTIONS(5925),
    [anon_sym_nointerpolation] = ACTIONS(5925),
    [anon_sym_sample] = ACTIONS(5925),
    [anon_sym_linear] = ACTIONS(5925),
    [anon_sym_snorm] = ACTIONS(5925),
    [anon_sym_unorm] = ACTIONS(5925),
    [anon_sym_point] = ACTIONS(5925),
    [anon_sym_line] = ACTIONS(5925),
    [anon_sym_triangleadj] = ACTIONS(5925),
    [anon_sym_lineadj] = ACTIONS(5925),
    [anon_sym_triangle] = ACTIONS(5925),
  },
  [3103] = {
    [sym_attribute_specifier] = STATE(3082),
    [sym_field_declaration_list] = STATE(3124),
    [sym_virtual_specifier] = STATE(8472),
    [sym_base_class_clause] = STATE(8993),
    [sym_identifier] = ACTIONS(5925),
    [anon_sym_LPAREN2] = ACTIONS(5927),
    [anon_sym_TILDE] = ACTIONS(5927),
    [anon_sym_STAR] = ACTIONS(5927),
    [anon_sym_AMP_AMP] = ACTIONS(5927),
    [anon_sym_AMP] = ACTIONS(5925),
    [anon_sym_COLON] = ACTIONS(2194),
    [anon_sym_SEMI] = ACTIONS(6171),
    [anon_sym___extension__] = ACTIONS(5925),
    [anon_sym_in] = ACTIONS(5925),
    [anon_sym_out] = ACTIONS(5925),
    [anon_sym_inout] = ACTIONS(5925),
    [anon_sym_extern] = ACTIONS(5925),
    [anon_sym___attribute__] = ACTIONS(5581),
    [anon_sym_COLON_COLON] = ACTIONS(5927),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5927),
    [anon_sym___declspec] = ACTIONS(5925),
    [anon_sym___based] = ACTIONS(5925),
    [anon_sym___cdecl] = ACTIONS(5925),
    [anon_sym___clrcall] = ACTIONS(5925),
    [anon_sym___stdcall] = ACTIONS(5925),
    [anon_sym___fastcall] = ACTIONS(5925),
    [anon_sym___thiscall] = ACTIONS(5925),
    [anon_sym___vectorcall] = ACTIONS(5925),
    [anon_sym_LBRACE] = ACTIONS(5929),
    [anon_sym_LBRACK] = ACTIONS(5925),
    [anon_sym_static] = ACTIONS(5925),
    [anon_sym_register] = ACTIONS(5925),
    [anon_sym_inline] = ACTIONS(5925),
    [anon_sym___inline] = ACTIONS(5925),
    [anon_sym___inline__] = ACTIONS(5925),
    [anon_sym___forceinline] = ACTIONS(5925),
    [anon_sym_thread_local] = ACTIONS(5925),
    [anon_sym___thread] = ACTIONS(5925),
    [anon_sym_const] = ACTIONS(5925),
    [anon_sym_constexpr] = ACTIONS(5925),
    [anon_sym_volatile] = ACTIONS(5925),
    [anon_sym_restrict] = ACTIONS(5925),
    [anon_sym___restrict__] = ACTIONS(5925),
    [anon_sym__Atomic] = ACTIONS(5925),
    [anon_sym__Noreturn] = ACTIONS(5925),
    [anon_sym_noreturn] = ACTIONS(5925),
    [anon_sym_mutable] = ACTIONS(5925),
    [anon_sym_constinit] = ACTIONS(5925),
    [anon_sym_consteval] = ACTIONS(5925),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5925),
    [anon_sym_decltype] = ACTIONS(5925),
    [anon_sym_final] = ACTIONS(2198),
    [anon_sym_override] = ACTIONS(2198),
    [anon_sym_virtual] = ACTIONS(5925),
    [anon_sym_alignas] = ACTIONS(5925),
    [anon_sym_template] = ACTIONS(5925),
    [anon_sym_operator] = ACTIONS(5925),
    [anon_sym_precise] = ACTIONS(5925),
    [anon_sym_shared] = ACTIONS(5925),
    [anon_sym_groupshared] = ACTIONS(5925),
    [anon_sym_uniform] = ACTIONS(5925),
    [anon_sym_row_major] = ACTIONS(5925),
    [anon_sym_column_major] = ACTIONS(5925),
    [anon_sym_globallycoherent] = ACTIONS(5925),
    [anon_sym_centroid] = ACTIONS(5925),
    [anon_sym_noperspective] = ACTIONS(5925),
    [anon_sym_nointerpolation] = ACTIONS(5925),
    [anon_sym_sample] = ACTIONS(5925),
    [anon_sym_linear] = ACTIONS(5925),
    [anon_sym_snorm] = ACTIONS(5925),
    [anon_sym_unorm] = ACTIONS(5925),
    [anon_sym_point] = ACTIONS(5925),
    [anon_sym_line] = ACTIONS(5925),
    [anon_sym_triangleadj] = ACTIONS(5925),
    [anon_sym_lineadj] = ACTIONS(5925),
    [anon_sym_triangle] = ACTIONS(5925),
  },
  [3104] = {
    [sym_attribute_specifier] = STATE(3082),
    [sym_field_declaration_list] = STATE(3124),
    [sym_virtual_specifier] = STATE(8472),
    [sym_base_class_clause] = STATE(8993),
    [sym_identifier] = ACTIONS(5925),
    [anon_sym_LPAREN2] = ACTIONS(5927),
    [anon_sym_TILDE] = ACTIONS(5927),
    [anon_sym_STAR] = ACTIONS(5927),
    [anon_sym_AMP_AMP] = ACTIONS(5927),
    [anon_sym_AMP] = ACTIONS(5925),
    [anon_sym_COLON] = ACTIONS(2194),
    [anon_sym_SEMI] = ACTIONS(6173),
    [anon_sym___extension__] = ACTIONS(5925),
    [anon_sym_in] = ACTIONS(5925),
    [anon_sym_out] = ACTIONS(5925),
    [anon_sym_inout] = ACTIONS(5925),
    [anon_sym_extern] = ACTIONS(5925),
    [anon_sym___attribute__] = ACTIONS(5581),
    [anon_sym_COLON_COLON] = ACTIONS(5927),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5927),
    [anon_sym___declspec] = ACTIONS(5925),
    [anon_sym___based] = ACTIONS(5925),
    [anon_sym___cdecl] = ACTIONS(5925),
    [anon_sym___clrcall] = ACTIONS(5925),
    [anon_sym___stdcall] = ACTIONS(5925),
    [anon_sym___fastcall] = ACTIONS(5925),
    [anon_sym___thiscall] = ACTIONS(5925),
    [anon_sym___vectorcall] = ACTIONS(5925),
    [anon_sym_LBRACE] = ACTIONS(5929),
    [anon_sym_LBRACK] = ACTIONS(5925),
    [anon_sym_static] = ACTIONS(5925),
    [anon_sym_register] = ACTIONS(5925),
    [anon_sym_inline] = ACTIONS(5925),
    [anon_sym___inline] = ACTIONS(5925),
    [anon_sym___inline__] = ACTIONS(5925),
    [anon_sym___forceinline] = ACTIONS(5925),
    [anon_sym_thread_local] = ACTIONS(5925),
    [anon_sym___thread] = ACTIONS(5925),
    [anon_sym_const] = ACTIONS(5925),
    [anon_sym_constexpr] = ACTIONS(5925),
    [anon_sym_volatile] = ACTIONS(5925),
    [anon_sym_restrict] = ACTIONS(5925),
    [anon_sym___restrict__] = ACTIONS(5925),
    [anon_sym__Atomic] = ACTIONS(5925),
    [anon_sym__Noreturn] = ACTIONS(5925),
    [anon_sym_noreturn] = ACTIONS(5925),
    [anon_sym_mutable] = ACTIONS(5925),
    [anon_sym_constinit] = ACTIONS(5925),
    [anon_sym_consteval] = ACTIONS(5925),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5925),
    [anon_sym_decltype] = ACTIONS(5925),
    [anon_sym_final] = ACTIONS(2198),
    [anon_sym_override] = ACTIONS(2198),
    [anon_sym_virtual] = ACTIONS(5925),
    [anon_sym_alignas] = ACTIONS(5925),
    [anon_sym_template] = ACTIONS(5925),
    [anon_sym_operator] = ACTIONS(5925),
    [anon_sym_precise] = ACTIONS(5925),
    [anon_sym_shared] = ACTIONS(5925),
    [anon_sym_groupshared] = ACTIONS(5925),
    [anon_sym_uniform] = ACTIONS(5925),
    [anon_sym_row_major] = ACTIONS(5925),
    [anon_sym_column_major] = ACTIONS(5925),
    [anon_sym_globallycoherent] = ACTIONS(5925),
    [anon_sym_centroid] = ACTIONS(5925),
    [anon_sym_noperspective] = ACTIONS(5925),
    [anon_sym_nointerpolation] = ACTIONS(5925),
    [anon_sym_sample] = ACTIONS(5925),
    [anon_sym_linear] = ACTIONS(5925),
    [anon_sym_snorm] = ACTIONS(5925),
    [anon_sym_unorm] = ACTIONS(5925),
    [anon_sym_point] = ACTIONS(5925),
    [anon_sym_line] = ACTIONS(5925),
    [anon_sym_triangleadj] = ACTIONS(5925),
    [anon_sym_lineadj] = ACTIONS(5925),
    [anon_sym_triangle] = ACTIONS(5925),
  },
  [3105] = {
    [sym_attribute_specifier] = STATE(3082),
    [sym_field_declaration_list] = STATE(3124),
    [sym_virtual_specifier] = STATE(8472),
    [sym_base_class_clause] = STATE(8993),
    [sym_identifier] = ACTIONS(5925),
    [anon_sym_LPAREN2] = ACTIONS(5927),
    [anon_sym_TILDE] = ACTIONS(5927),
    [anon_sym_STAR] = ACTIONS(5927),
    [anon_sym_AMP_AMP] = ACTIONS(5927),
    [anon_sym_AMP] = ACTIONS(5925),
    [anon_sym_COLON] = ACTIONS(2194),
    [anon_sym_SEMI] = ACTIONS(6175),
    [anon_sym___extension__] = ACTIONS(5925),
    [anon_sym_in] = ACTIONS(5925),
    [anon_sym_out] = ACTIONS(5925),
    [anon_sym_inout] = ACTIONS(5925),
    [anon_sym_extern] = ACTIONS(5925),
    [anon_sym___attribute__] = ACTIONS(5581),
    [anon_sym_COLON_COLON] = ACTIONS(5927),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5927),
    [anon_sym___declspec] = ACTIONS(5925),
    [anon_sym___based] = ACTIONS(5925),
    [anon_sym___cdecl] = ACTIONS(5925),
    [anon_sym___clrcall] = ACTIONS(5925),
    [anon_sym___stdcall] = ACTIONS(5925),
    [anon_sym___fastcall] = ACTIONS(5925),
    [anon_sym___thiscall] = ACTIONS(5925),
    [anon_sym___vectorcall] = ACTIONS(5925),
    [anon_sym_LBRACE] = ACTIONS(5929),
    [anon_sym_LBRACK] = ACTIONS(5925),
    [anon_sym_static] = ACTIONS(5925),
    [anon_sym_register] = ACTIONS(5925),
    [anon_sym_inline] = ACTIONS(5925),
    [anon_sym___inline] = ACTIONS(5925),
    [anon_sym___inline__] = ACTIONS(5925),
    [anon_sym___forceinline] = ACTIONS(5925),
    [anon_sym_thread_local] = ACTIONS(5925),
    [anon_sym___thread] = ACTIONS(5925),
    [anon_sym_const] = ACTIONS(5925),
    [anon_sym_constexpr] = ACTIONS(5925),
    [anon_sym_volatile] = ACTIONS(5925),
    [anon_sym_restrict] = ACTIONS(5925),
    [anon_sym___restrict__] = ACTIONS(5925),
    [anon_sym__Atomic] = ACTIONS(5925),
    [anon_sym__Noreturn] = ACTIONS(5925),
    [anon_sym_noreturn] = ACTIONS(5925),
    [anon_sym_mutable] = ACTIONS(5925),
    [anon_sym_constinit] = ACTIONS(5925),
    [anon_sym_consteval] = ACTIONS(5925),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5925),
    [anon_sym_decltype] = ACTIONS(5925),
    [anon_sym_final] = ACTIONS(2198),
    [anon_sym_override] = ACTIONS(2198),
    [anon_sym_virtual] = ACTIONS(5925),
    [anon_sym_alignas] = ACTIONS(5925),
    [anon_sym_template] = ACTIONS(5925),
    [anon_sym_operator] = ACTIONS(5925),
    [anon_sym_precise] = ACTIONS(5925),
    [anon_sym_shared] = ACTIONS(5925),
    [anon_sym_groupshared] = ACTIONS(5925),
    [anon_sym_uniform] = ACTIONS(5925),
    [anon_sym_row_major] = ACTIONS(5925),
    [anon_sym_column_major] = ACTIONS(5925),
    [anon_sym_globallycoherent] = ACTIONS(5925),
    [anon_sym_centroid] = ACTIONS(5925),
    [anon_sym_noperspective] = ACTIONS(5925),
    [anon_sym_nointerpolation] = ACTIONS(5925),
    [anon_sym_sample] = ACTIONS(5925),
    [anon_sym_linear] = ACTIONS(5925),
    [anon_sym_snorm] = ACTIONS(5925),
    [anon_sym_unorm] = ACTIONS(5925),
    [anon_sym_point] = ACTIONS(5925),
    [anon_sym_line] = ACTIONS(5925),
    [anon_sym_triangleadj] = ACTIONS(5925),
    [anon_sym_lineadj] = ACTIONS(5925),
    [anon_sym_triangle] = ACTIONS(5925),
  },
  [3106] = {
    [sym_attribute_specifier] = STATE(3082),
    [sym_field_declaration_list] = STATE(3124),
    [sym_virtual_specifier] = STATE(8472),
    [sym_base_class_clause] = STATE(8993),
    [sym_identifier] = ACTIONS(5925),
    [anon_sym_LPAREN2] = ACTIONS(5927),
    [anon_sym_TILDE] = ACTIONS(5927),
    [anon_sym_STAR] = ACTIONS(5927),
    [anon_sym_AMP_AMP] = ACTIONS(5927),
    [anon_sym_AMP] = ACTIONS(5925),
    [anon_sym_COLON] = ACTIONS(2194),
    [anon_sym_SEMI] = ACTIONS(6177),
    [anon_sym___extension__] = ACTIONS(5925),
    [anon_sym_in] = ACTIONS(5925),
    [anon_sym_out] = ACTIONS(5925),
    [anon_sym_inout] = ACTIONS(5925),
    [anon_sym_extern] = ACTIONS(5925),
    [anon_sym___attribute__] = ACTIONS(5581),
    [anon_sym_COLON_COLON] = ACTIONS(5927),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5927),
    [anon_sym___declspec] = ACTIONS(5925),
    [anon_sym___based] = ACTIONS(5925),
    [anon_sym___cdecl] = ACTIONS(5925),
    [anon_sym___clrcall] = ACTIONS(5925),
    [anon_sym___stdcall] = ACTIONS(5925),
    [anon_sym___fastcall] = ACTIONS(5925),
    [anon_sym___thiscall] = ACTIONS(5925),
    [anon_sym___vectorcall] = ACTIONS(5925),
    [anon_sym_LBRACE] = ACTIONS(5929),
    [anon_sym_LBRACK] = ACTIONS(5925),
    [anon_sym_static] = ACTIONS(5925),
    [anon_sym_register] = ACTIONS(5925),
    [anon_sym_inline] = ACTIONS(5925),
    [anon_sym___inline] = ACTIONS(5925),
    [anon_sym___inline__] = ACTIONS(5925),
    [anon_sym___forceinline] = ACTIONS(5925),
    [anon_sym_thread_local] = ACTIONS(5925),
    [anon_sym___thread] = ACTIONS(5925),
    [anon_sym_const] = ACTIONS(5925),
    [anon_sym_constexpr] = ACTIONS(5925),
    [anon_sym_volatile] = ACTIONS(5925),
    [anon_sym_restrict] = ACTIONS(5925),
    [anon_sym___restrict__] = ACTIONS(5925),
    [anon_sym__Atomic] = ACTIONS(5925),
    [anon_sym__Noreturn] = ACTIONS(5925),
    [anon_sym_noreturn] = ACTIONS(5925),
    [anon_sym_mutable] = ACTIONS(5925),
    [anon_sym_constinit] = ACTIONS(5925),
    [anon_sym_consteval] = ACTIONS(5925),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5925),
    [anon_sym_decltype] = ACTIONS(5925),
    [anon_sym_final] = ACTIONS(2198),
    [anon_sym_override] = ACTIONS(2198),
    [anon_sym_virtual] = ACTIONS(5925),
    [anon_sym_alignas] = ACTIONS(5925),
    [anon_sym_template] = ACTIONS(5925),
    [anon_sym_operator] = ACTIONS(5925),
    [anon_sym_precise] = ACTIONS(5925),
    [anon_sym_shared] = ACTIONS(5925),
    [anon_sym_groupshared] = ACTIONS(5925),
    [anon_sym_uniform] = ACTIONS(5925),
    [anon_sym_row_major] = ACTIONS(5925),
    [anon_sym_column_major] = ACTIONS(5925),
    [anon_sym_globallycoherent] = ACTIONS(5925),
    [anon_sym_centroid] = ACTIONS(5925),
    [anon_sym_noperspective] = ACTIONS(5925),
    [anon_sym_nointerpolation] = ACTIONS(5925),
    [anon_sym_sample] = ACTIONS(5925),
    [anon_sym_linear] = ACTIONS(5925),
    [anon_sym_snorm] = ACTIONS(5925),
    [anon_sym_unorm] = ACTIONS(5925),
    [anon_sym_point] = ACTIONS(5925),
    [anon_sym_line] = ACTIONS(5925),
    [anon_sym_triangleadj] = ACTIONS(5925),
    [anon_sym_lineadj] = ACTIONS(5925),
    [anon_sym_triangle] = ACTIONS(5925),
  },
  [3107] = {
    [sym_attribute_specifier] = STATE(3082),
    [sym_field_declaration_list] = STATE(3124),
    [sym_virtual_specifier] = STATE(8472),
    [sym_base_class_clause] = STATE(8993),
    [sym_identifier] = ACTIONS(5925),
    [anon_sym_LPAREN2] = ACTIONS(5927),
    [anon_sym_TILDE] = ACTIONS(5927),
    [anon_sym_STAR] = ACTIONS(5927),
    [anon_sym_AMP_AMP] = ACTIONS(5927),
    [anon_sym_AMP] = ACTIONS(5925),
    [anon_sym_COLON] = ACTIONS(2194),
    [anon_sym_SEMI] = ACTIONS(6179),
    [anon_sym___extension__] = ACTIONS(5925),
    [anon_sym_in] = ACTIONS(5925),
    [anon_sym_out] = ACTIONS(5925),
    [anon_sym_inout] = ACTIONS(5925),
    [anon_sym_extern] = ACTIONS(5925),
    [anon_sym___attribute__] = ACTIONS(5581),
    [anon_sym_COLON_COLON] = ACTIONS(5927),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5927),
    [anon_sym___declspec] = ACTIONS(5925),
    [anon_sym___based] = ACTIONS(5925),
    [anon_sym___cdecl] = ACTIONS(5925),
    [anon_sym___clrcall] = ACTIONS(5925),
    [anon_sym___stdcall] = ACTIONS(5925),
    [anon_sym___fastcall] = ACTIONS(5925),
    [anon_sym___thiscall] = ACTIONS(5925),
    [anon_sym___vectorcall] = ACTIONS(5925),
    [anon_sym_LBRACE] = ACTIONS(5929),
    [anon_sym_LBRACK] = ACTIONS(5925),
    [anon_sym_static] = ACTIONS(5925),
    [anon_sym_register] = ACTIONS(5925),
    [anon_sym_inline] = ACTIONS(5925),
    [anon_sym___inline] = ACTIONS(5925),
    [anon_sym___inline__] = ACTIONS(5925),
    [anon_sym___forceinline] = ACTIONS(5925),
    [anon_sym_thread_local] = ACTIONS(5925),
    [anon_sym___thread] = ACTIONS(5925),
    [anon_sym_const] = ACTIONS(5925),
    [anon_sym_constexpr] = ACTIONS(5925),
    [anon_sym_volatile] = ACTIONS(5925),
    [anon_sym_restrict] = ACTIONS(5925),
    [anon_sym___restrict__] = ACTIONS(5925),
    [anon_sym__Atomic] = ACTIONS(5925),
    [anon_sym__Noreturn] = ACTIONS(5925),
    [anon_sym_noreturn] = ACTIONS(5925),
    [anon_sym_mutable] = ACTIONS(5925),
    [anon_sym_constinit] = ACTIONS(5925),
    [anon_sym_consteval] = ACTIONS(5925),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5925),
    [anon_sym_decltype] = ACTIONS(5925),
    [anon_sym_final] = ACTIONS(2198),
    [anon_sym_override] = ACTIONS(2198),
    [anon_sym_virtual] = ACTIONS(5925),
    [anon_sym_alignas] = ACTIONS(5925),
    [anon_sym_template] = ACTIONS(5925),
    [anon_sym_operator] = ACTIONS(5925),
    [anon_sym_precise] = ACTIONS(5925),
    [anon_sym_shared] = ACTIONS(5925),
    [anon_sym_groupshared] = ACTIONS(5925),
    [anon_sym_uniform] = ACTIONS(5925),
    [anon_sym_row_major] = ACTIONS(5925),
    [anon_sym_column_major] = ACTIONS(5925),
    [anon_sym_globallycoherent] = ACTIONS(5925),
    [anon_sym_centroid] = ACTIONS(5925),
    [anon_sym_noperspective] = ACTIONS(5925),
    [anon_sym_nointerpolation] = ACTIONS(5925),
    [anon_sym_sample] = ACTIONS(5925),
    [anon_sym_linear] = ACTIONS(5925),
    [anon_sym_snorm] = ACTIONS(5925),
    [anon_sym_unorm] = ACTIONS(5925),
    [anon_sym_point] = ACTIONS(5925),
    [anon_sym_line] = ACTIONS(5925),
    [anon_sym_triangleadj] = ACTIONS(5925),
    [anon_sym_lineadj] = ACTIONS(5925),
    [anon_sym_triangle] = ACTIONS(5925),
  },
  [3108] = {
    [sym_attribute_specifier] = STATE(3086),
    [sym_identifier] = ACTIONS(6181),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6183),
    [anon_sym_COMMA] = ACTIONS(6183),
    [anon_sym_RPAREN] = ACTIONS(6183),
    [anon_sym_LPAREN2] = ACTIONS(6183),
    [anon_sym_TILDE] = ACTIONS(6183),
    [anon_sym_STAR] = ACTIONS(6183),
    [anon_sym_AMP_AMP] = ACTIONS(6183),
    [anon_sym_AMP] = ACTIONS(6181),
    [anon_sym_COLON] = ACTIONS(6181),
    [anon_sym_SEMI] = ACTIONS(6183),
    [anon_sym___extension__] = ACTIONS(6181),
    [anon_sym_in] = ACTIONS(6181),
    [anon_sym_out] = ACTIONS(6181),
    [anon_sym_inout] = ACTIONS(6181),
    [anon_sym_extern] = ACTIONS(6181),
    [anon_sym___attribute__] = ACTIONS(5581),
    [anon_sym_COLON_COLON] = ACTIONS(6183),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(6183),
    [anon_sym___declspec] = ACTIONS(6181),
    [anon_sym___based] = ACTIONS(6181),
    [anon_sym___cdecl] = ACTIONS(6181),
    [anon_sym___clrcall] = ACTIONS(6181),
    [anon_sym___stdcall] = ACTIONS(6181),
    [anon_sym___fastcall] = ACTIONS(6181),
    [anon_sym___thiscall] = ACTIONS(6181),
    [anon_sym___vectorcall] = ACTIONS(6181),
    [anon_sym_LBRACK] = ACTIONS(6181),
    [anon_sym_EQ] = ACTIONS(6183),
    [anon_sym_static] = ACTIONS(6181),
    [anon_sym_register] = ACTIONS(6181),
    [anon_sym_inline] = ACTIONS(6181),
    [anon_sym___inline] = ACTIONS(6181),
    [anon_sym___inline__] = ACTIONS(6181),
    [anon_sym___forceinline] = ACTIONS(6181),
    [anon_sym_thread_local] = ACTIONS(6181),
    [anon_sym___thread] = ACTIONS(6181),
    [anon_sym_const] = ACTIONS(6181),
    [anon_sym_constexpr] = ACTIONS(6181),
    [anon_sym_volatile] = ACTIONS(6181),
    [anon_sym_restrict] = ACTIONS(6181),
    [anon_sym___restrict__] = ACTIONS(6181),
    [anon_sym__Atomic] = ACTIONS(6181),
    [anon_sym__Noreturn] = ACTIONS(6181),
    [anon_sym_noreturn] = ACTIONS(6181),
    [anon_sym_mutable] = ACTIONS(6181),
    [anon_sym_constinit] = ACTIONS(6181),
    [anon_sym_consteval] = ACTIONS(6181),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(6181),
    [anon_sym_decltype] = ACTIONS(6181),
    [anon_sym_virtual] = ACTIONS(6181),
    [anon_sym_alignas] = ACTIONS(6181),
    [anon_sym_template] = ACTIONS(6181),
    [anon_sym_GT2] = ACTIONS(6183),
    [anon_sym_operator] = ACTIONS(6181),
    [anon_sym_precise] = ACTIONS(6181),
    [anon_sym_shared] = ACTIONS(6181),
    [anon_sym_groupshared] = ACTIONS(6181),
    [anon_sym_uniform] = ACTIONS(6181),
    [anon_sym_row_major] = ACTIONS(6181),
    [anon_sym_column_major] = ACTIONS(6181),
    [anon_sym_globallycoherent] = ACTIONS(6181),
    [anon_sym_centroid] = ACTIONS(6181),
    [anon_sym_noperspective] = ACTIONS(6181),
    [anon_sym_nointerpolation] = ACTIONS(6181),
    [anon_sym_sample] = ACTIONS(6181),
    [anon_sym_linear] = ACTIONS(6181),
    [anon_sym_snorm] = ACTIONS(6181),
    [anon_sym_unorm] = ACTIONS(6181),
    [anon_sym_point] = ACTIONS(6181),
    [anon_sym_line] = ACTIONS(6181),
    [anon_sym_triangleadj] = ACTIONS(6181),
    [anon_sym_lineadj] = ACTIONS(6181),
    [anon_sym_triangle] = ACTIONS(6181),
  },
  [3109] = {
    [sym_template_argument_list] = STATE(3017),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3027),
    [sym_identifier] = ACTIONS(4211),
    [anon_sym_LPAREN2] = ACTIONS(4219),
    [anon_sym_TILDE] = ACTIONS(4219),
    [anon_sym_STAR] = ACTIONS(4219),
    [anon_sym_AMP_AMP] = ACTIONS(4219),
    [anon_sym_AMP] = ACTIONS(4211),
    [anon_sym_LT] = ACTIONS(5900),
    [anon_sym_SEMI] = ACTIONS(2226),
    [anon_sym___extension__] = ACTIONS(4211),
    [anon_sym_in] = ACTIONS(4211),
    [anon_sym_out] = ACTIONS(4211),
    [anon_sym_inout] = ACTIONS(4211),
    [anon_sym_extern] = ACTIONS(4211),
    [anon_sym___attribute__] = ACTIONS(4211),
    [anon_sym_COLON_COLON] = ACTIONS(2230),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4219),
    [anon_sym___declspec] = ACTIONS(4211),
    [anon_sym___based] = ACTIONS(4211),
    [anon_sym___cdecl] = ACTIONS(4211),
    [anon_sym___clrcall] = ACTIONS(4211),
    [anon_sym___stdcall] = ACTIONS(4211),
    [anon_sym___fastcall] = ACTIONS(4211),
    [anon_sym___thiscall] = ACTIONS(4211),
    [anon_sym___vectorcall] = ACTIONS(4211),
    [anon_sym_signed] = ACTIONS(4237),
    [anon_sym_unsigned] = ACTIONS(4237),
    [anon_sym_long] = ACTIONS(4237),
    [anon_sym_short] = ACTIONS(4237),
    [anon_sym_LBRACK] = ACTIONS(4211),
    [anon_sym_static] = ACTIONS(4211),
    [anon_sym_register] = ACTIONS(4211),
    [anon_sym_inline] = ACTIONS(4211),
    [anon_sym___inline] = ACTIONS(4211),
    [anon_sym___inline__] = ACTIONS(4211),
    [anon_sym___forceinline] = ACTIONS(4211),
    [anon_sym_thread_local] = ACTIONS(4211),
    [anon_sym___thread] = ACTIONS(4211),
    [anon_sym_const] = ACTIONS(4211),
    [anon_sym_constexpr] = ACTIONS(4211),
    [anon_sym_volatile] = ACTIONS(4211),
    [anon_sym_restrict] = ACTIONS(4211),
    [anon_sym___restrict__] = ACTIONS(4211),
    [anon_sym__Atomic] = ACTIONS(4211),
    [anon_sym__Noreturn] = ACTIONS(4211),
    [anon_sym_noreturn] = ACTIONS(4211),
    [anon_sym_mutable] = ACTIONS(4211),
    [anon_sym_constinit] = ACTIONS(4211),
    [anon_sym_consteval] = ACTIONS(4211),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4211),
    [anon_sym_decltype] = ACTIONS(4211),
    [anon_sym_virtual] = ACTIONS(4211),
    [anon_sym_alignas] = ACTIONS(4211),
    [anon_sym_template] = ACTIONS(4211),
    [anon_sym_operator] = ACTIONS(4211),
    [anon_sym_precise] = ACTIONS(4211),
    [anon_sym_shared] = ACTIONS(4211),
    [anon_sym_groupshared] = ACTIONS(4211),
    [anon_sym_uniform] = ACTIONS(4211),
    [anon_sym_row_major] = ACTIONS(4211),
    [anon_sym_column_major] = ACTIONS(4211),
    [anon_sym_globallycoherent] = ACTIONS(4211),
    [anon_sym_centroid] = ACTIONS(4211),
    [anon_sym_noperspective] = ACTIONS(4211),
    [anon_sym_nointerpolation] = ACTIONS(4211),
    [anon_sym_sample] = ACTIONS(4211),
    [anon_sym_linear] = ACTIONS(4211),
    [anon_sym_snorm] = ACTIONS(4211),
    [anon_sym_unorm] = ACTIONS(4211),
    [anon_sym_point] = ACTIONS(4211),
    [anon_sym_line] = ACTIONS(4211),
    [anon_sym_triangleadj] = ACTIONS(4211),
    [anon_sym_lineadj] = ACTIONS(4211),
    [anon_sym_triangle] = ACTIONS(4211),
  },
  [3110] = {
    [sym_template_argument_list] = STATE(3017),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3027),
    [sym_identifier] = ACTIONS(4211),
    [anon_sym_LPAREN2] = ACTIONS(4219),
    [anon_sym_TILDE] = ACTIONS(4219),
    [anon_sym_STAR] = ACTIONS(4219),
    [anon_sym_AMP_AMP] = ACTIONS(4219),
    [anon_sym_AMP] = ACTIONS(4211),
    [anon_sym_LT] = ACTIONS(5900),
    [anon_sym_SEMI] = ACTIONS(4219),
    [anon_sym___extension__] = ACTIONS(4211),
    [anon_sym_in] = ACTIONS(4211),
    [anon_sym_out] = ACTIONS(4211),
    [anon_sym_inout] = ACTIONS(4211),
    [anon_sym_extern] = ACTIONS(4211),
    [anon_sym___attribute__] = ACTIONS(4211),
    [anon_sym_COLON_COLON] = ACTIONS(2230),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4219),
    [anon_sym___declspec] = ACTIONS(4211),
    [anon_sym___based] = ACTIONS(4211),
    [anon_sym___cdecl] = ACTIONS(4211),
    [anon_sym___clrcall] = ACTIONS(4211),
    [anon_sym___stdcall] = ACTIONS(4211),
    [anon_sym___fastcall] = ACTIONS(4211),
    [anon_sym___thiscall] = ACTIONS(4211),
    [anon_sym___vectorcall] = ACTIONS(4211),
    [anon_sym_signed] = ACTIONS(4237),
    [anon_sym_unsigned] = ACTIONS(4237),
    [anon_sym_long] = ACTIONS(4237),
    [anon_sym_short] = ACTIONS(4237),
    [anon_sym_LBRACK] = ACTIONS(4211),
    [anon_sym_static] = ACTIONS(4211),
    [anon_sym_register] = ACTIONS(4211),
    [anon_sym_inline] = ACTIONS(4211),
    [anon_sym___inline] = ACTIONS(4211),
    [anon_sym___inline__] = ACTIONS(4211),
    [anon_sym___forceinline] = ACTIONS(4211),
    [anon_sym_thread_local] = ACTIONS(4211),
    [anon_sym___thread] = ACTIONS(4211),
    [anon_sym_const] = ACTIONS(4211),
    [anon_sym_constexpr] = ACTIONS(4211),
    [anon_sym_volatile] = ACTIONS(4211),
    [anon_sym_restrict] = ACTIONS(4211),
    [anon_sym___restrict__] = ACTIONS(4211),
    [anon_sym__Atomic] = ACTIONS(4211),
    [anon_sym__Noreturn] = ACTIONS(4211),
    [anon_sym_noreturn] = ACTIONS(4211),
    [anon_sym_mutable] = ACTIONS(4211),
    [anon_sym_constinit] = ACTIONS(4211),
    [anon_sym_consteval] = ACTIONS(4211),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4211),
    [anon_sym_decltype] = ACTIONS(4211),
    [anon_sym_virtual] = ACTIONS(4211),
    [anon_sym_alignas] = ACTIONS(4211),
    [anon_sym_template] = ACTIONS(4211),
    [anon_sym_operator] = ACTIONS(4211),
    [anon_sym_precise] = ACTIONS(4211),
    [anon_sym_shared] = ACTIONS(4211),
    [anon_sym_groupshared] = ACTIONS(4211),
    [anon_sym_uniform] = ACTIONS(4211),
    [anon_sym_row_major] = ACTIONS(4211),
    [anon_sym_column_major] = ACTIONS(4211),
    [anon_sym_globallycoherent] = ACTIONS(4211),
    [anon_sym_centroid] = ACTIONS(4211),
    [anon_sym_noperspective] = ACTIONS(4211),
    [anon_sym_nointerpolation] = ACTIONS(4211),
    [anon_sym_sample] = ACTIONS(4211),
    [anon_sym_linear] = ACTIONS(4211),
    [anon_sym_snorm] = ACTIONS(4211),
    [anon_sym_unorm] = ACTIONS(4211),
    [anon_sym_point] = ACTIONS(4211),
    [anon_sym_line] = ACTIONS(4211),
    [anon_sym_triangleadj] = ACTIONS(4211),
    [anon_sym_lineadj] = ACTIONS(4211),
    [anon_sym_triangle] = ACTIONS(4211),
  },
  [3111] = {
    [sym_attribute_specifier] = STATE(3097),
    [sym_identifier] = ACTIONS(6185),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6187),
    [anon_sym_COMMA] = ACTIONS(6187),
    [anon_sym_RPAREN] = ACTIONS(6187),
    [anon_sym_LPAREN2] = ACTIONS(6187),
    [anon_sym_TILDE] = ACTIONS(6187),
    [anon_sym_STAR] = ACTIONS(6187),
    [anon_sym_AMP_AMP] = ACTIONS(6187),
    [anon_sym_AMP] = ACTIONS(6185),
    [anon_sym_COLON] = ACTIONS(6185),
    [anon_sym_SEMI] = ACTIONS(6187),
    [anon_sym___extension__] = ACTIONS(6185),
    [anon_sym_in] = ACTIONS(6185),
    [anon_sym_out] = ACTIONS(6185),
    [anon_sym_inout] = ACTIONS(6185),
    [anon_sym_extern] = ACTIONS(6185),
    [anon_sym___attribute__] = ACTIONS(5581),
    [anon_sym_COLON_COLON] = ACTIONS(6187),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(6187),
    [anon_sym___declspec] = ACTIONS(6185),
    [anon_sym___based] = ACTIONS(6185),
    [anon_sym___cdecl] = ACTIONS(6185),
    [anon_sym___clrcall] = ACTIONS(6185),
    [anon_sym___stdcall] = ACTIONS(6185),
    [anon_sym___fastcall] = ACTIONS(6185),
    [anon_sym___thiscall] = ACTIONS(6185),
    [anon_sym___vectorcall] = ACTIONS(6185),
    [anon_sym_LBRACK] = ACTIONS(6185),
    [anon_sym_EQ] = ACTIONS(6187),
    [anon_sym_static] = ACTIONS(6185),
    [anon_sym_register] = ACTIONS(6185),
    [anon_sym_inline] = ACTIONS(6185),
    [anon_sym___inline] = ACTIONS(6185),
    [anon_sym___inline__] = ACTIONS(6185),
    [anon_sym___forceinline] = ACTIONS(6185),
    [anon_sym_thread_local] = ACTIONS(6185),
    [anon_sym___thread] = ACTIONS(6185),
    [anon_sym_const] = ACTIONS(6185),
    [anon_sym_constexpr] = ACTIONS(6185),
    [anon_sym_volatile] = ACTIONS(6185),
    [anon_sym_restrict] = ACTIONS(6185),
    [anon_sym___restrict__] = ACTIONS(6185),
    [anon_sym__Atomic] = ACTIONS(6185),
    [anon_sym__Noreturn] = ACTIONS(6185),
    [anon_sym_noreturn] = ACTIONS(6185),
    [anon_sym_mutable] = ACTIONS(6185),
    [anon_sym_constinit] = ACTIONS(6185),
    [anon_sym_consteval] = ACTIONS(6185),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(6185),
    [anon_sym_decltype] = ACTIONS(6185),
    [anon_sym_virtual] = ACTIONS(6185),
    [anon_sym_alignas] = ACTIONS(6185),
    [anon_sym_template] = ACTIONS(6185),
    [anon_sym_GT2] = ACTIONS(6187),
    [anon_sym_operator] = ACTIONS(6185),
    [anon_sym_precise] = ACTIONS(6185),
    [anon_sym_shared] = ACTIONS(6185),
    [anon_sym_groupshared] = ACTIONS(6185),
    [anon_sym_uniform] = ACTIONS(6185),
    [anon_sym_row_major] = ACTIONS(6185),
    [anon_sym_column_major] = ACTIONS(6185),
    [anon_sym_globallycoherent] = ACTIONS(6185),
    [anon_sym_centroid] = ACTIONS(6185),
    [anon_sym_noperspective] = ACTIONS(6185),
    [anon_sym_nointerpolation] = ACTIONS(6185),
    [anon_sym_sample] = ACTIONS(6185),
    [anon_sym_linear] = ACTIONS(6185),
    [anon_sym_snorm] = ACTIONS(6185),
    [anon_sym_unorm] = ACTIONS(6185),
    [anon_sym_point] = ACTIONS(6185),
    [anon_sym_line] = ACTIONS(6185),
    [anon_sym_triangleadj] = ACTIONS(6185),
    [anon_sym_lineadj] = ACTIONS(6185),
    [anon_sym_triangle] = ACTIONS(6185),
  },
  [3112] = {
    [sym_attribute_specifier] = STATE(3075),
    [sym_identifier] = ACTIONS(6189),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6191),
    [anon_sym_COMMA] = ACTIONS(6191),
    [anon_sym_RPAREN] = ACTIONS(6191),
    [anon_sym_LPAREN2] = ACTIONS(6191),
    [anon_sym_TILDE] = ACTIONS(6191),
    [anon_sym_STAR] = ACTIONS(6191),
    [anon_sym_AMP_AMP] = ACTIONS(6191),
    [anon_sym_AMP] = ACTIONS(6189),
    [anon_sym_COLON] = ACTIONS(6189),
    [anon_sym_SEMI] = ACTIONS(6191),
    [anon_sym___extension__] = ACTIONS(6189),
    [anon_sym_in] = ACTIONS(6189),
    [anon_sym_out] = ACTIONS(6189),
    [anon_sym_inout] = ACTIONS(6189),
    [anon_sym_extern] = ACTIONS(6189),
    [anon_sym___attribute__] = ACTIONS(5581),
    [anon_sym_COLON_COLON] = ACTIONS(6191),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(6191),
    [anon_sym___declspec] = ACTIONS(6189),
    [anon_sym___based] = ACTIONS(6189),
    [anon_sym___cdecl] = ACTIONS(6189),
    [anon_sym___clrcall] = ACTIONS(6189),
    [anon_sym___stdcall] = ACTIONS(6189),
    [anon_sym___fastcall] = ACTIONS(6189),
    [anon_sym___thiscall] = ACTIONS(6189),
    [anon_sym___vectorcall] = ACTIONS(6189),
    [anon_sym_LBRACK] = ACTIONS(6189),
    [anon_sym_EQ] = ACTIONS(6191),
    [anon_sym_static] = ACTIONS(6189),
    [anon_sym_register] = ACTIONS(6189),
    [anon_sym_inline] = ACTIONS(6189),
    [anon_sym___inline] = ACTIONS(6189),
    [anon_sym___inline__] = ACTIONS(6189),
    [anon_sym___forceinline] = ACTIONS(6189),
    [anon_sym_thread_local] = ACTIONS(6189),
    [anon_sym___thread] = ACTIONS(6189),
    [anon_sym_const] = ACTIONS(6189),
    [anon_sym_constexpr] = ACTIONS(6189),
    [anon_sym_volatile] = ACTIONS(6189),
    [anon_sym_restrict] = ACTIONS(6189),
    [anon_sym___restrict__] = ACTIONS(6189),
    [anon_sym__Atomic] = ACTIONS(6189),
    [anon_sym__Noreturn] = ACTIONS(6189),
    [anon_sym_noreturn] = ACTIONS(6189),
    [anon_sym_mutable] = ACTIONS(6189),
    [anon_sym_constinit] = ACTIONS(6189),
    [anon_sym_consteval] = ACTIONS(6189),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(6189),
    [anon_sym_decltype] = ACTIONS(6189),
    [anon_sym_virtual] = ACTIONS(6189),
    [anon_sym_alignas] = ACTIONS(6189),
    [anon_sym_template] = ACTIONS(6189),
    [anon_sym_GT2] = ACTIONS(6191),
    [anon_sym_operator] = ACTIONS(6189),
    [anon_sym_precise] = ACTIONS(6189),
    [anon_sym_shared] = ACTIONS(6189),
    [anon_sym_groupshared] = ACTIONS(6189),
    [anon_sym_uniform] = ACTIONS(6189),
    [anon_sym_row_major] = ACTIONS(6189),
    [anon_sym_column_major] = ACTIONS(6189),
    [anon_sym_globallycoherent] = ACTIONS(6189),
    [anon_sym_centroid] = ACTIONS(6189),
    [anon_sym_noperspective] = ACTIONS(6189),
    [anon_sym_nointerpolation] = ACTIONS(6189),
    [anon_sym_sample] = ACTIONS(6189),
    [anon_sym_linear] = ACTIONS(6189),
    [anon_sym_snorm] = ACTIONS(6189),
    [anon_sym_unorm] = ACTIONS(6189),
    [anon_sym_point] = ACTIONS(6189),
    [anon_sym_line] = ACTIONS(6189),
    [anon_sym_triangleadj] = ACTIONS(6189),
    [anon_sym_lineadj] = ACTIONS(6189),
    [anon_sym_triangle] = ACTIONS(6189),
  },
  [3113] = {
    [sym_attribute_specifier] = STATE(3093),
    [sym_identifier] = ACTIONS(6193),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6195),
    [anon_sym_COMMA] = ACTIONS(6195),
    [anon_sym_RPAREN] = ACTIONS(6195),
    [anon_sym_LPAREN2] = ACTIONS(6195),
    [anon_sym_TILDE] = ACTIONS(6195),
    [anon_sym_STAR] = ACTIONS(6195),
    [anon_sym_AMP_AMP] = ACTIONS(6195),
    [anon_sym_AMP] = ACTIONS(6193),
    [anon_sym_COLON] = ACTIONS(6193),
    [anon_sym_SEMI] = ACTIONS(6195),
    [anon_sym___extension__] = ACTIONS(6193),
    [anon_sym_in] = ACTIONS(6193),
    [anon_sym_out] = ACTIONS(6193),
    [anon_sym_inout] = ACTIONS(6193),
    [anon_sym_extern] = ACTIONS(6193),
    [anon_sym___attribute__] = ACTIONS(5581),
    [anon_sym_COLON_COLON] = ACTIONS(6195),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(6195),
    [anon_sym___declspec] = ACTIONS(6193),
    [anon_sym___based] = ACTIONS(6193),
    [anon_sym___cdecl] = ACTIONS(6193),
    [anon_sym___clrcall] = ACTIONS(6193),
    [anon_sym___stdcall] = ACTIONS(6193),
    [anon_sym___fastcall] = ACTIONS(6193),
    [anon_sym___thiscall] = ACTIONS(6193),
    [anon_sym___vectorcall] = ACTIONS(6193),
    [anon_sym_LBRACK] = ACTIONS(6193),
    [anon_sym_EQ] = ACTIONS(6195),
    [anon_sym_static] = ACTIONS(6193),
    [anon_sym_register] = ACTIONS(6193),
    [anon_sym_inline] = ACTIONS(6193),
    [anon_sym___inline] = ACTIONS(6193),
    [anon_sym___inline__] = ACTIONS(6193),
    [anon_sym___forceinline] = ACTIONS(6193),
    [anon_sym_thread_local] = ACTIONS(6193),
    [anon_sym___thread] = ACTIONS(6193),
    [anon_sym_const] = ACTIONS(6193),
    [anon_sym_constexpr] = ACTIONS(6193),
    [anon_sym_volatile] = ACTIONS(6193),
    [anon_sym_restrict] = ACTIONS(6193),
    [anon_sym___restrict__] = ACTIONS(6193),
    [anon_sym__Atomic] = ACTIONS(6193),
    [anon_sym__Noreturn] = ACTIONS(6193),
    [anon_sym_noreturn] = ACTIONS(6193),
    [anon_sym_mutable] = ACTIONS(6193),
    [anon_sym_constinit] = ACTIONS(6193),
    [anon_sym_consteval] = ACTIONS(6193),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(6193),
    [anon_sym_decltype] = ACTIONS(6193),
    [anon_sym_virtual] = ACTIONS(6193),
    [anon_sym_alignas] = ACTIONS(6193),
    [anon_sym_template] = ACTIONS(6193),
    [anon_sym_GT2] = ACTIONS(6195),
    [anon_sym_operator] = ACTIONS(6193),
    [anon_sym_precise] = ACTIONS(6193),
    [anon_sym_shared] = ACTIONS(6193),
    [anon_sym_groupshared] = ACTIONS(6193),
    [anon_sym_uniform] = ACTIONS(6193),
    [anon_sym_row_major] = ACTIONS(6193),
    [anon_sym_column_major] = ACTIONS(6193),
    [anon_sym_globallycoherent] = ACTIONS(6193),
    [anon_sym_centroid] = ACTIONS(6193),
    [anon_sym_noperspective] = ACTIONS(6193),
    [anon_sym_nointerpolation] = ACTIONS(6193),
    [anon_sym_sample] = ACTIONS(6193),
    [anon_sym_linear] = ACTIONS(6193),
    [anon_sym_snorm] = ACTIONS(6193),
    [anon_sym_unorm] = ACTIONS(6193),
    [anon_sym_point] = ACTIONS(6193),
    [anon_sym_line] = ACTIONS(6193),
    [anon_sym_triangleadj] = ACTIONS(6193),
    [anon_sym_lineadj] = ACTIONS(6193),
    [anon_sym_triangle] = ACTIONS(6193),
  },
  [3114] = {
    [sym_identifier] = ACTIONS(6197),
    [anon_sym_LPAREN2] = ACTIONS(6199),
    [anon_sym_TILDE] = ACTIONS(6199),
    [anon_sym_STAR] = ACTIONS(6199),
    [anon_sym_AMP_AMP] = ACTIONS(6199),
    [anon_sym_AMP] = ACTIONS(6197),
    [anon_sym___extension__] = ACTIONS(6197),
    [anon_sym_in] = ACTIONS(6197),
    [anon_sym_out] = ACTIONS(6197),
    [anon_sym_inout] = ACTIONS(6197),
    [anon_sym_extern] = ACTIONS(6197),
    [anon_sym___attribute__] = ACTIONS(6197),
    [anon_sym_COLON_COLON] = ACTIONS(6199),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(6199),
    [anon_sym___declspec] = ACTIONS(6197),
    [anon_sym___based] = ACTIONS(6197),
    [anon_sym_signed] = ACTIONS(6197),
    [anon_sym_unsigned] = ACTIONS(6197),
    [anon_sym_long] = ACTIONS(6197),
    [anon_sym_short] = ACTIONS(6197),
    [anon_sym_LBRACK] = ACTIONS(6197),
    [anon_sym_static] = ACTIONS(6197),
    [anon_sym_register] = ACTIONS(6197),
    [anon_sym_inline] = ACTIONS(6197),
    [anon_sym___inline] = ACTIONS(6197),
    [anon_sym___inline__] = ACTIONS(6197),
    [anon_sym___forceinline] = ACTIONS(6197),
    [anon_sym_thread_local] = ACTIONS(6197),
    [anon_sym___thread] = ACTIONS(6197),
    [anon_sym_const] = ACTIONS(6197),
    [anon_sym_constexpr] = ACTIONS(6197),
    [anon_sym_volatile] = ACTIONS(6197),
    [anon_sym_restrict] = ACTIONS(6197),
    [anon_sym___restrict__] = ACTIONS(6197),
    [anon_sym__Atomic] = ACTIONS(6197),
    [anon_sym__Noreturn] = ACTIONS(6197),
    [anon_sym_noreturn] = ACTIONS(6197),
    [anon_sym_mutable] = ACTIONS(6197),
    [anon_sym_constinit] = ACTIONS(6197),
    [anon_sym_consteval] = ACTIONS(6197),
    [sym_primitive_type] = ACTIONS(6197),
    [anon_sym_enum] = ACTIONS(6197),
    [anon_sym_class] = ACTIONS(6197),
    [anon_sym_struct] = ACTIONS(6197),
    [anon_sym_union] = ACTIONS(6197),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(6197),
    [anon_sym_decltype] = ACTIONS(6197),
    [anon_sym_virtual] = ACTIONS(6197),
    [anon_sym_alignas] = ACTIONS(6197),
    [anon_sym_explicit] = ACTIONS(6197),
    [anon_sym_typename] = ACTIONS(6197),
    [anon_sym_template] = ACTIONS(6197),
    [anon_sym_operator] = ACTIONS(6197),
    [anon_sym_public] = ACTIONS(6197),
    [anon_sym_private] = ACTIONS(6197),
    [anon_sym_protected] = ACTIONS(6197),
    [anon_sym_precise] = ACTIONS(6197),
    [anon_sym_shared] = ACTIONS(6197),
    [anon_sym_groupshared] = ACTIONS(6197),
    [anon_sym_uniform] = ACTIONS(6197),
    [anon_sym_row_major] = ACTIONS(6197),
    [anon_sym_column_major] = ACTIONS(6197),
    [anon_sym_globallycoherent] = ACTIONS(6197),
    [anon_sym_centroid] = ACTIONS(6197),
    [anon_sym_noperspective] = ACTIONS(6197),
    [anon_sym_nointerpolation] = ACTIONS(6197),
    [anon_sym_sample] = ACTIONS(6197),
    [anon_sym_linear] = ACTIONS(6197),
    [anon_sym_snorm] = ACTIONS(6197),
    [anon_sym_unorm] = ACTIONS(6197),
    [anon_sym_point] = ACTIONS(6197),
    [anon_sym_line] = ACTIONS(6197),
    [anon_sym_triangleadj] = ACTIONS(6197),
    [anon_sym_lineadj] = ACTIONS(6197),
    [anon_sym_triangle] = ACTIONS(6197),
  },
  [3115] = {
    [sym_template_argument_list] = STATE(3217),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3027),
    [sym_identifier] = ACTIONS(4211),
    [anon_sym_LPAREN2] = ACTIONS(4234),
    [anon_sym_TILDE] = ACTIONS(4219),
    [anon_sym_STAR] = ACTIONS(4219),
    [anon_sym_AMP_AMP] = ACTIONS(4219),
    [anon_sym_AMP] = ACTIONS(4211),
    [anon_sym_LT] = ACTIONS(5900),
    [anon_sym_SEMI] = ACTIONS(4219),
    [anon_sym___extension__] = ACTIONS(4211),
    [anon_sym_in] = ACTIONS(4211),
    [anon_sym_out] = ACTIONS(4211),
    [anon_sym_inout] = ACTIONS(4211),
    [anon_sym_extern] = ACTIONS(4211),
    [anon_sym___attribute__] = ACTIONS(4211),
    [anon_sym_COLON_COLON] = ACTIONS(2230),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4234),
    [anon_sym___declspec] = ACTIONS(4211),
    [anon_sym___based] = ACTIONS(4211),
    [anon_sym___cdecl] = ACTIONS(4211),
    [anon_sym___clrcall] = ACTIONS(4211),
    [anon_sym___stdcall] = ACTIONS(4211),
    [anon_sym___fastcall] = ACTIONS(4211),
    [anon_sym___thiscall] = ACTIONS(4211),
    [anon_sym___vectorcall] = ACTIONS(4211),
    [anon_sym_signed] = ACTIONS(4237),
    [anon_sym_unsigned] = ACTIONS(4237),
    [anon_sym_long] = ACTIONS(4237),
    [anon_sym_short] = ACTIONS(4237),
    [anon_sym_LBRACK] = ACTIONS(6201),
    [anon_sym_static] = ACTIONS(4211),
    [anon_sym_register] = ACTIONS(4211),
    [anon_sym_inline] = ACTIONS(4211),
    [anon_sym___inline] = ACTIONS(4211),
    [anon_sym___inline__] = ACTIONS(4211),
    [anon_sym___forceinline] = ACTIONS(4211),
    [anon_sym_thread_local] = ACTIONS(4211),
    [anon_sym___thread] = ACTIONS(4211),
    [anon_sym_const] = ACTIONS(4211),
    [anon_sym_constexpr] = ACTIONS(4211),
    [anon_sym_volatile] = ACTIONS(4211),
    [anon_sym_restrict] = ACTIONS(4211),
    [anon_sym___restrict__] = ACTIONS(4211),
    [anon_sym__Atomic] = ACTIONS(4211),
    [anon_sym__Noreturn] = ACTIONS(4211),
    [anon_sym_noreturn] = ACTIONS(4211),
    [anon_sym_mutable] = ACTIONS(4211),
    [anon_sym_constinit] = ACTIONS(4211),
    [anon_sym_consteval] = ACTIONS(4211),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4211),
    [anon_sym_decltype] = ACTIONS(4211),
    [anon_sym_virtual] = ACTIONS(4211),
    [anon_sym_alignas] = ACTIONS(4211),
    [anon_sym_template] = ACTIONS(4211),
    [anon_sym_operator] = ACTIONS(4211),
    [anon_sym_precise] = ACTIONS(4211),
    [anon_sym_shared] = ACTIONS(4211),
    [anon_sym_groupshared] = ACTIONS(4211),
    [anon_sym_uniform] = ACTIONS(4211),
    [anon_sym_row_major] = ACTIONS(4211),
    [anon_sym_column_major] = ACTIONS(4211),
    [anon_sym_globallycoherent] = ACTIONS(4211),
    [anon_sym_centroid] = ACTIONS(4211),
    [anon_sym_noperspective] = ACTIONS(4211),
    [anon_sym_nointerpolation] = ACTIONS(4211),
    [anon_sym_sample] = ACTIONS(4211),
    [anon_sym_linear] = ACTIONS(4211),
    [anon_sym_snorm] = ACTIONS(4211),
    [anon_sym_unorm] = ACTIONS(4211),
    [anon_sym_point] = ACTIONS(4211),
    [anon_sym_line] = ACTIONS(4211),
    [anon_sym_triangleadj] = ACTIONS(4211),
    [anon_sym_lineadj] = ACTIONS(4211),
    [anon_sym_triangle] = ACTIONS(4211),
  },
  [3116] = {
    [sym_attribute_specifier] = STATE(3080),
    [sym_identifier] = ACTIONS(6204),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6206),
    [anon_sym_COMMA] = ACTIONS(6206),
    [anon_sym_RPAREN] = ACTIONS(6206),
    [anon_sym_LPAREN2] = ACTIONS(6206),
    [anon_sym_TILDE] = ACTIONS(6206),
    [anon_sym_STAR] = ACTIONS(6206),
    [anon_sym_AMP_AMP] = ACTIONS(6206),
    [anon_sym_AMP] = ACTIONS(6204),
    [anon_sym_COLON] = ACTIONS(6204),
    [anon_sym_SEMI] = ACTIONS(6206),
    [anon_sym___extension__] = ACTIONS(6204),
    [anon_sym_in] = ACTIONS(6204),
    [anon_sym_out] = ACTIONS(6204),
    [anon_sym_inout] = ACTIONS(6204),
    [anon_sym_extern] = ACTIONS(6204),
    [anon_sym___attribute__] = ACTIONS(5581),
    [anon_sym_COLON_COLON] = ACTIONS(6206),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(6206),
    [anon_sym___declspec] = ACTIONS(6204),
    [anon_sym___based] = ACTIONS(6204),
    [anon_sym___cdecl] = ACTIONS(6204),
    [anon_sym___clrcall] = ACTIONS(6204),
    [anon_sym___stdcall] = ACTIONS(6204),
    [anon_sym___fastcall] = ACTIONS(6204),
    [anon_sym___thiscall] = ACTIONS(6204),
    [anon_sym___vectorcall] = ACTIONS(6204),
    [anon_sym_LBRACK] = ACTIONS(6204),
    [anon_sym_EQ] = ACTIONS(6206),
    [anon_sym_static] = ACTIONS(6204),
    [anon_sym_register] = ACTIONS(6204),
    [anon_sym_inline] = ACTIONS(6204),
    [anon_sym___inline] = ACTIONS(6204),
    [anon_sym___inline__] = ACTIONS(6204),
    [anon_sym___forceinline] = ACTIONS(6204),
    [anon_sym_thread_local] = ACTIONS(6204),
    [anon_sym___thread] = ACTIONS(6204),
    [anon_sym_const] = ACTIONS(6204),
    [anon_sym_constexpr] = ACTIONS(6204),
    [anon_sym_volatile] = ACTIONS(6204),
    [anon_sym_restrict] = ACTIONS(6204),
    [anon_sym___restrict__] = ACTIONS(6204),
    [anon_sym__Atomic] = ACTIONS(6204),
    [anon_sym__Noreturn] = ACTIONS(6204),
    [anon_sym_noreturn] = ACTIONS(6204),
    [anon_sym_mutable] = ACTIONS(6204),
    [anon_sym_constinit] = ACTIONS(6204),
    [anon_sym_consteval] = ACTIONS(6204),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(6204),
    [anon_sym_decltype] = ACTIONS(6204),
    [anon_sym_virtual] = ACTIONS(6204),
    [anon_sym_alignas] = ACTIONS(6204),
    [anon_sym_template] = ACTIONS(6204),
    [anon_sym_GT2] = ACTIONS(6206),
    [anon_sym_operator] = ACTIONS(6204),
    [anon_sym_precise] = ACTIONS(6204),
    [anon_sym_shared] = ACTIONS(6204),
    [anon_sym_groupshared] = ACTIONS(6204),
    [anon_sym_uniform] = ACTIONS(6204),
    [anon_sym_row_major] = ACTIONS(6204),
    [anon_sym_column_major] = ACTIONS(6204),
    [anon_sym_globallycoherent] = ACTIONS(6204),
    [anon_sym_centroid] = ACTIONS(6204),
    [anon_sym_noperspective] = ACTIONS(6204),
    [anon_sym_nointerpolation] = ACTIONS(6204),
    [anon_sym_sample] = ACTIONS(6204),
    [anon_sym_linear] = ACTIONS(6204),
    [anon_sym_snorm] = ACTIONS(6204),
    [anon_sym_unorm] = ACTIONS(6204),
    [anon_sym_point] = ACTIONS(6204),
    [anon_sym_line] = ACTIONS(6204),
    [anon_sym_triangleadj] = ACTIONS(6204),
    [anon_sym_lineadj] = ACTIONS(6204),
    [anon_sym_triangle] = ACTIONS(6204),
  },
  [3117] = {
    [sym_attribute_specifier] = STATE(3070),
    [sym_identifier] = ACTIONS(6208),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6210),
    [anon_sym_COMMA] = ACTIONS(6210),
    [anon_sym_RPAREN] = ACTIONS(6210),
    [anon_sym_LPAREN2] = ACTIONS(6210),
    [anon_sym_TILDE] = ACTIONS(6210),
    [anon_sym_STAR] = ACTIONS(6210),
    [anon_sym_AMP_AMP] = ACTIONS(6210),
    [anon_sym_AMP] = ACTIONS(6208),
    [anon_sym_COLON] = ACTIONS(6208),
    [anon_sym_SEMI] = ACTIONS(6210),
    [anon_sym___extension__] = ACTIONS(6208),
    [anon_sym_in] = ACTIONS(6208),
    [anon_sym_out] = ACTIONS(6208),
    [anon_sym_inout] = ACTIONS(6208),
    [anon_sym_extern] = ACTIONS(6208),
    [anon_sym___attribute__] = ACTIONS(5581),
    [anon_sym_COLON_COLON] = ACTIONS(6210),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(6210),
    [anon_sym___declspec] = ACTIONS(6208),
    [anon_sym___based] = ACTIONS(6208),
    [anon_sym___cdecl] = ACTIONS(6208),
    [anon_sym___clrcall] = ACTIONS(6208),
    [anon_sym___stdcall] = ACTIONS(6208),
    [anon_sym___fastcall] = ACTIONS(6208),
    [anon_sym___thiscall] = ACTIONS(6208),
    [anon_sym___vectorcall] = ACTIONS(6208),
    [anon_sym_LBRACK] = ACTIONS(6208),
    [anon_sym_EQ] = ACTIONS(6210),
    [anon_sym_static] = ACTIONS(6208),
    [anon_sym_register] = ACTIONS(6208),
    [anon_sym_inline] = ACTIONS(6208),
    [anon_sym___inline] = ACTIONS(6208),
    [anon_sym___inline__] = ACTIONS(6208),
    [anon_sym___forceinline] = ACTIONS(6208),
    [anon_sym_thread_local] = ACTIONS(6208),
    [anon_sym___thread] = ACTIONS(6208),
    [anon_sym_const] = ACTIONS(6208),
    [anon_sym_constexpr] = ACTIONS(6208),
    [anon_sym_volatile] = ACTIONS(6208),
    [anon_sym_restrict] = ACTIONS(6208),
    [anon_sym___restrict__] = ACTIONS(6208),
    [anon_sym__Atomic] = ACTIONS(6208),
    [anon_sym__Noreturn] = ACTIONS(6208),
    [anon_sym_noreturn] = ACTIONS(6208),
    [anon_sym_mutable] = ACTIONS(6208),
    [anon_sym_constinit] = ACTIONS(6208),
    [anon_sym_consteval] = ACTIONS(6208),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(6208),
    [anon_sym_decltype] = ACTIONS(6208),
    [anon_sym_virtual] = ACTIONS(6208),
    [anon_sym_alignas] = ACTIONS(6208),
    [anon_sym_template] = ACTIONS(6208),
    [anon_sym_GT2] = ACTIONS(6210),
    [anon_sym_operator] = ACTIONS(6208),
    [anon_sym_precise] = ACTIONS(6208),
    [anon_sym_shared] = ACTIONS(6208),
    [anon_sym_groupshared] = ACTIONS(6208),
    [anon_sym_uniform] = ACTIONS(6208),
    [anon_sym_row_major] = ACTIONS(6208),
    [anon_sym_column_major] = ACTIONS(6208),
    [anon_sym_globallycoherent] = ACTIONS(6208),
    [anon_sym_centroid] = ACTIONS(6208),
    [anon_sym_noperspective] = ACTIONS(6208),
    [anon_sym_nointerpolation] = ACTIONS(6208),
    [anon_sym_sample] = ACTIONS(6208),
    [anon_sym_linear] = ACTIONS(6208),
    [anon_sym_snorm] = ACTIONS(6208),
    [anon_sym_unorm] = ACTIONS(6208),
    [anon_sym_point] = ACTIONS(6208),
    [anon_sym_line] = ACTIONS(6208),
    [anon_sym_triangleadj] = ACTIONS(6208),
    [anon_sym_lineadj] = ACTIONS(6208),
    [anon_sym_triangle] = ACTIONS(6208),
  },
  [3118] = {
    [sym_attribute_specifier] = STATE(3072),
    [sym_identifier] = ACTIONS(6212),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6214),
    [anon_sym_COMMA] = ACTIONS(6214),
    [anon_sym_RPAREN] = ACTIONS(6214),
    [anon_sym_LPAREN2] = ACTIONS(6214),
    [anon_sym_TILDE] = ACTIONS(6214),
    [anon_sym_STAR] = ACTIONS(6214),
    [anon_sym_AMP_AMP] = ACTIONS(6214),
    [anon_sym_AMP] = ACTIONS(6212),
    [anon_sym_COLON] = ACTIONS(6212),
    [anon_sym_SEMI] = ACTIONS(6214),
    [anon_sym___extension__] = ACTIONS(6212),
    [anon_sym_in] = ACTIONS(6212),
    [anon_sym_out] = ACTIONS(6212),
    [anon_sym_inout] = ACTIONS(6212),
    [anon_sym_extern] = ACTIONS(6212),
    [anon_sym___attribute__] = ACTIONS(5581),
    [anon_sym_COLON_COLON] = ACTIONS(6214),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(6214),
    [anon_sym___declspec] = ACTIONS(6212),
    [anon_sym___based] = ACTIONS(6212),
    [anon_sym___cdecl] = ACTIONS(6212),
    [anon_sym___clrcall] = ACTIONS(6212),
    [anon_sym___stdcall] = ACTIONS(6212),
    [anon_sym___fastcall] = ACTIONS(6212),
    [anon_sym___thiscall] = ACTIONS(6212),
    [anon_sym___vectorcall] = ACTIONS(6212),
    [anon_sym_LBRACK] = ACTIONS(6212),
    [anon_sym_EQ] = ACTIONS(6214),
    [anon_sym_static] = ACTIONS(6212),
    [anon_sym_register] = ACTIONS(6212),
    [anon_sym_inline] = ACTIONS(6212),
    [anon_sym___inline] = ACTIONS(6212),
    [anon_sym___inline__] = ACTIONS(6212),
    [anon_sym___forceinline] = ACTIONS(6212),
    [anon_sym_thread_local] = ACTIONS(6212),
    [anon_sym___thread] = ACTIONS(6212),
    [anon_sym_const] = ACTIONS(6212),
    [anon_sym_constexpr] = ACTIONS(6212),
    [anon_sym_volatile] = ACTIONS(6212),
    [anon_sym_restrict] = ACTIONS(6212),
    [anon_sym___restrict__] = ACTIONS(6212),
    [anon_sym__Atomic] = ACTIONS(6212),
    [anon_sym__Noreturn] = ACTIONS(6212),
    [anon_sym_noreturn] = ACTIONS(6212),
    [anon_sym_mutable] = ACTIONS(6212),
    [anon_sym_constinit] = ACTIONS(6212),
    [anon_sym_consteval] = ACTIONS(6212),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(6212),
    [anon_sym_decltype] = ACTIONS(6212),
    [anon_sym_virtual] = ACTIONS(6212),
    [anon_sym_alignas] = ACTIONS(6212),
    [anon_sym_template] = ACTIONS(6212),
    [anon_sym_GT2] = ACTIONS(6214),
    [anon_sym_operator] = ACTIONS(6212),
    [anon_sym_precise] = ACTIONS(6212),
    [anon_sym_shared] = ACTIONS(6212),
    [anon_sym_groupshared] = ACTIONS(6212),
    [anon_sym_uniform] = ACTIONS(6212),
    [anon_sym_row_major] = ACTIONS(6212),
    [anon_sym_column_major] = ACTIONS(6212),
    [anon_sym_globallycoherent] = ACTIONS(6212),
    [anon_sym_centroid] = ACTIONS(6212),
    [anon_sym_noperspective] = ACTIONS(6212),
    [anon_sym_nointerpolation] = ACTIONS(6212),
    [anon_sym_sample] = ACTIONS(6212),
    [anon_sym_linear] = ACTIONS(6212),
    [anon_sym_snorm] = ACTIONS(6212),
    [anon_sym_unorm] = ACTIONS(6212),
    [anon_sym_point] = ACTIONS(6212),
    [anon_sym_line] = ACTIONS(6212),
    [anon_sym_triangleadj] = ACTIONS(6212),
    [anon_sym_lineadj] = ACTIONS(6212),
    [anon_sym_triangle] = ACTIONS(6212),
  },
  [3119] = {
    [sym_attribute_specifier] = STATE(3087),
    [sym_identifier] = ACTIONS(6216),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6218),
    [anon_sym_COMMA] = ACTIONS(6218),
    [anon_sym_RPAREN] = ACTIONS(6218),
    [anon_sym_LPAREN2] = ACTIONS(6218),
    [anon_sym_TILDE] = ACTIONS(6218),
    [anon_sym_STAR] = ACTIONS(6218),
    [anon_sym_AMP_AMP] = ACTIONS(6218),
    [anon_sym_AMP] = ACTIONS(6216),
    [anon_sym_COLON] = ACTIONS(6216),
    [anon_sym_SEMI] = ACTIONS(6218),
    [anon_sym___extension__] = ACTIONS(6216),
    [anon_sym_in] = ACTIONS(6216),
    [anon_sym_out] = ACTIONS(6216),
    [anon_sym_inout] = ACTIONS(6216),
    [anon_sym_extern] = ACTIONS(6216),
    [anon_sym___attribute__] = ACTIONS(5581),
    [anon_sym_COLON_COLON] = ACTIONS(6218),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(6218),
    [anon_sym___declspec] = ACTIONS(6216),
    [anon_sym___based] = ACTIONS(6216),
    [anon_sym___cdecl] = ACTIONS(6216),
    [anon_sym___clrcall] = ACTIONS(6216),
    [anon_sym___stdcall] = ACTIONS(6216),
    [anon_sym___fastcall] = ACTIONS(6216),
    [anon_sym___thiscall] = ACTIONS(6216),
    [anon_sym___vectorcall] = ACTIONS(6216),
    [anon_sym_LBRACK] = ACTIONS(6216),
    [anon_sym_EQ] = ACTIONS(6218),
    [anon_sym_static] = ACTIONS(6216),
    [anon_sym_register] = ACTIONS(6216),
    [anon_sym_inline] = ACTIONS(6216),
    [anon_sym___inline] = ACTIONS(6216),
    [anon_sym___inline__] = ACTIONS(6216),
    [anon_sym___forceinline] = ACTIONS(6216),
    [anon_sym_thread_local] = ACTIONS(6216),
    [anon_sym___thread] = ACTIONS(6216),
    [anon_sym_const] = ACTIONS(6216),
    [anon_sym_constexpr] = ACTIONS(6216),
    [anon_sym_volatile] = ACTIONS(6216),
    [anon_sym_restrict] = ACTIONS(6216),
    [anon_sym___restrict__] = ACTIONS(6216),
    [anon_sym__Atomic] = ACTIONS(6216),
    [anon_sym__Noreturn] = ACTIONS(6216),
    [anon_sym_noreturn] = ACTIONS(6216),
    [anon_sym_mutable] = ACTIONS(6216),
    [anon_sym_constinit] = ACTIONS(6216),
    [anon_sym_consteval] = ACTIONS(6216),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(6216),
    [anon_sym_decltype] = ACTIONS(6216),
    [anon_sym_virtual] = ACTIONS(6216),
    [anon_sym_alignas] = ACTIONS(6216),
    [anon_sym_template] = ACTIONS(6216),
    [anon_sym_GT2] = ACTIONS(6218),
    [anon_sym_operator] = ACTIONS(6216),
    [anon_sym_precise] = ACTIONS(6216),
    [anon_sym_shared] = ACTIONS(6216),
    [anon_sym_groupshared] = ACTIONS(6216),
    [anon_sym_uniform] = ACTIONS(6216),
    [anon_sym_row_major] = ACTIONS(6216),
    [anon_sym_column_major] = ACTIONS(6216),
    [anon_sym_globallycoherent] = ACTIONS(6216),
    [anon_sym_centroid] = ACTIONS(6216),
    [anon_sym_noperspective] = ACTIONS(6216),
    [anon_sym_nointerpolation] = ACTIONS(6216),
    [anon_sym_sample] = ACTIONS(6216),
    [anon_sym_linear] = ACTIONS(6216),
    [anon_sym_snorm] = ACTIONS(6216),
    [anon_sym_unorm] = ACTIONS(6216),
    [anon_sym_point] = ACTIONS(6216),
    [anon_sym_line] = ACTIONS(6216),
    [anon_sym_triangleadj] = ACTIONS(6216),
    [anon_sym_lineadj] = ACTIONS(6216),
    [anon_sym_triangle] = ACTIONS(6216),
  },
  [3120] = {
    [sym_attribute_specifier] = STATE(3064),
    [sym_identifier] = ACTIONS(6220),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6222),
    [anon_sym_COMMA] = ACTIONS(6222),
    [anon_sym_RPAREN] = ACTIONS(6222),
    [anon_sym_LPAREN2] = ACTIONS(6222),
    [anon_sym_TILDE] = ACTIONS(6222),
    [anon_sym_STAR] = ACTIONS(6222),
    [anon_sym_AMP_AMP] = ACTIONS(6222),
    [anon_sym_AMP] = ACTIONS(6220),
    [anon_sym_COLON] = ACTIONS(6220),
    [anon_sym_SEMI] = ACTIONS(6222),
    [anon_sym___extension__] = ACTIONS(6220),
    [anon_sym_in] = ACTIONS(6220),
    [anon_sym_out] = ACTIONS(6220),
    [anon_sym_inout] = ACTIONS(6220),
    [anon_sym_extern] = ACTIONS(6220),
    [anon_sym___attribute__] = ACTIONS(5581),
    [anon_sym_COLON_COLON] = ACTIONS(6222),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(6222),
    [anon_sym___declspec] = ACTIONS(6220),
    [anon_sym___based] = ACTIONS(6220),
    [anon_sym___cdecl] = ACTIONS(6220),
    [anon_sym___clrcall] = ACTIONS(6220),
    [anon_sym___stdcall] = ACTIONS(6220),
    [anon_sym___fastcall] = ACTIONS(6220),
    [anon_sym___thiscall] = ACTIONS(6220),
    [anon_sym___vectorcall] = ACTIONS(6220),
    [anon_sym_LBRACK] = ACTIONS(6220),
    [anon_sym_EQ] = ACTIONS(6222),
    [anon_sym_static] = ACTIONS(6220),
    [anon_sym_register] = ACTIONS(6220),
    [anon_sym_inline] = ACTIONS(6220),
    [anon_sym___inline] = ACTIONS(6220),
    [anon_sym___inline__] = ACTIONS(6220),
    [anon_sym___forceinline] = ACTIONS(6220),
    [anon_sym_thread_local] = ACTIONS(6220),
    [anon_sym___thread] = ACTIONS(6220),
    [anon_sym_const] = ACTIONS(6220),
    [anon_sym_constexpr] = ACTIONS(6220),
    [anon_sym_volatile] = ACTIONS(6220),
    [anon_sym_restrict] = ACTIONS(6220),
    [anon_sym___restrict__] = ACTIONS(6220),
    [anon_sym__Atomic] = ACTIONS(6220),
    [anon_sym__Noreturn] = ACTIONS(6220),
    [anon_sym_noreturn] = ACTIONS(6220),
    [anon_sym_mutable] = ACTIONS(6220),
    [anon_sym_constinit] = ACTIONS(6220),
    [anon_sym_consteval] = ACTIONS(6220),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(6220),
    [anon_sym_decltype] = ACTIONS(6220),
    [anon_sym_virtual] = ACTIONS(6220),
    [anon_sym_alignas] = ACTIONS(6220),
    [anon_sym_template] = ACTIONS(6220),
    [anon_sym_GT2] = ACTIONS(6222),
    [anon_sym_operator] = ACTIONS(6220),
    [anon_sym_precise] = ACTIONS(6220),
    [anon_sym_shared] = ACTIONS(6220),
    [anon_sym_groupshared] = ACTIONS(6220),
    [anon_sym_uniform] = ACTIONS(6220),
    [anon_sym_row_major] = ACTIONS(6220),
    [anon_sym_column_major] = ACTIONS(6220),
    [anon_sym_globallycoherent] = ACTIONS(6220),
    [anon_sym_centroid] = ACTIONS(6220),
    [anon_sym_noperspective] = ACTIONS(6220),
    [anon_sym_nointerpolation] = ACTIONS(6220),
    [anon_sym_sample] = ACTIONS(6220),
    [anon_sym_linear] = ACTIONS(6220),
    [anon_sym_snorm] = ACTIONS(6220),
    [anon_sym_unorm] = ACTIONS(6220),
    [anon_sym_point] = ACTIONS(6220),
    [anon_sym_line] = ACTIONS(6220),
    [anon_sym_triangleadj] = ACTIONS(6220),
    [anon_sym_lineadj] = ACTIONS(6220),
    [anon_sym_triangle] = ACTIONS(6220),
  },
  [3121] = {
    [sym_attribute_specifier] = STATE(3077),
    [sym_identifier] = ACTIONS(6224),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6226),
    [anon_sym_COMMA] = ACTIONS(6226),
    [anon_sym_RPAREN] = ACTIONS(6226),
    [anon_sym_LPAREN2] = ACTIONS(6226),
    [anon_sym_TILDE] = ACTIONS(6226),
    [anon_sym_STAR] = ACTIONS(6226),
    [anon_sym_AMP_AMP] = ACTIONS(6226),
    [anon_sym_AMP] = ACTIONS(6224),
    [anon_sym_COLON] = ACTIONS(6224),
    [anon_sym_SEMI] = ACTIONS(6226),
    [anon_sym___extension__] = ACTIONS(6224),
    [anon_sym_in] = ACTIONS(6224),
    [anon_sym_out] = ACTIONS(6224),
    [anon_sym_inout] = ACTIONS(6224),
    [anon_sym_extern] = ACTIONS(6224),
    [anon_sym___attribute__] = ACTIONS(5581),
    [anon_sym_COLON_COLON] = ACTIONS(6226),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(6226),
    [anon_sym___declspec] = ACTIONS(6224),
    [anon_sym___based] = ACTIONS(6224),
    [anon_sym___cdecl] = ACTIONS(6224),
    [anon_sym___clrcall] = ACTIONS(6224),
    [anon_sym___stdcall] = ACTIONS(6224),
    [anon_sym___fastcall] = ACTIONS(6224),
    [anon_sym___thiscall] = ACTIONS(6224),
    [anon_sym___vectorcall] = ACTIONS(6224),
    [anon_sym_LBRACK] = ACTIONS(6224),
    [anon_sym_EQ] = ACTIONS(6226),
    [anon_sym_static] = ACTIONS(6224),
    [anon_sym_register] = ACTIONS(6224),
    [anon_sym_inline] = ACTIONS(6224),
    [anon_sym___inline] = ACTIONS(6224),
    [anon_sym___inline__] = ACTIONS(6224),
    [anon_sym___forceinline] = ACTIONS(6224),
    [anon_sym_thread_local] = ACTIONS(6224),
    [anon_sym___thread] = ACTIONS(6224),
    [anon_sym_const] = ACTIONS(6224),
    [anon_sym_constexpr] = ACTIONS(6224),
    [anon_sym_volatile] = ACTIONS(6224),
    [anon_sym_restrict] = ACTIONS(6224),
    [anon_sym___restrict__] = ACTIONS(6224),
    [anon_sym__Atomic] = ACTIONS(6224),
    [anon_sym__Noreturn] = ACTIONS(6224),
    [anon_sym_noreturn] = ACTIONS(6224),
    [anon_sym_mutable] = ACTIONS(6224),
    [anon_sym_constinit] = ACTIONS(6224),
    [anon_sym_consteval] = ACTIONS(6224),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(6224),
    [anon_sym_decltype] = ACTIONS(6224),
    [anon_sym_virtual] = ACTIONS(6224),
    [anon_sym_alignas] = ACTIONS(6224),
    [anon_sym_template] = ACTIONS(6224),
    [anon_sym_GT2] = ACTIONS(6226),
    [anon_sym_operator] = ACTIONS(6224),
    [anon_sym_precise] = ACTIONS(6224),
    [anon_sym_shared] = ACTIONS(6224),
    [anon_sym_groupshared] = ACTIONS(6224),
    [anon_sym_uniform] = ACTIONS(6224),
    [anon_sym_row_major] = ACTIONS(6224),
    [anon_sym_column_major] = ACTIONS(6224),
    [anon_sym_globallycoherent] = ACTIONS(6224),
    [anon_sym_centroid] = ACTIONS(6224),
    [anon_sym_noperspective] = ACTIONS(6224),
    [anon_sym_nointerpolation] = ACTIONS(6224),
    [anon_sym_sample] = ACTIONS(6224),
    [anon_sym_linear] = ACTIONS(6224),
    [anon_sym_snorm] = ACTIONS(6224),
    [anon_sym_unorm] = ACTIONS(6224),
    [anon_sym_point] = ACTIONS(6224),
    [anon_sym_line] = ACTIONS(6224),
    [anon_sym_triangleadj] = ACTIONS(6224),
    [anon_sym_lineadj] = ACTIONS(6224),
    [anon_sym_triangle] = ACTIONS(6224),
  },
  [3122] = {
    [sym_string_literal] = STATE(3131),
    [sym_template_argument_list] = STATE(3468),
    [sym_raw_string_literal] = STATE(3131),
    [sym_identifier] = ACTIONS(4221),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4213),
    [anon_sym_COMMA] = ACTIONS(4213),
    [anon_sym_RPAREN] = ACTIONS(4213),
    [aux_sym_preproc_if_token2] = ACTIONS(4213),
    [aux_sym_preproc_else_token1] = ACTIONS(4213),
    [aux_sym_preproc_elif_token1] = ACTIONS(4221),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4213),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4213),
    [anon_sym_LPAREN2] = ACTIONS(4213),
    [anon_sym_DASH] = ACTIONS(4221),
    [anon_sym_PLUS] = ACTIONS(4221),
    [anon_sym_STAR] = ACTIONS(4221),
    [anon_sym_SLASH] = ACTIONS(4221),
    [anon_sym_PERCENT] = ACTIONS(4221),
    [anon_sym_PIPE_PIPE] = ACTIONS(4213),
    [anon_sym_AMP_AMP] = ACTIONS(4213),
    [anon_sym_PIPE] = ACTIONS(4221),
    [anon_sym_CARET] = ACTIONS(4221),
    [anon_sym_AMP] = ACTIONS(4221),
    [anon_sym_EQ_EQ] = ACTIONS(4213),
    [anon_sym_BANG_EQ] = ACTIONS(4213),
    [anon_sym_GT] = ACTIONS(4221),
    [anon_sym_GT_EQ] = ACTIONS(4213),
    [anon_sym_LT_EQ] = ACTIONS(4221),
    [anon_sym_LT] = ACTIONS(6228),
    [anon_sym_LT_LT] = ACTIONS(4221),
    [anon_sym_GT_GT] = ACTIONS(4221),
    [anon_sym_COLON] = ACTIONS(4221),
    [anon_sym_SEMI] = ACTIONS(4213),
    [anon_sym_COLON_COLON] = ACTIONS(2230),
    [anon_sym_LBRACE] = ACTIONS(2226),
    [anon_sym_RBRACE] = ACTIONS(4213),
    [anon_sym_LBRACK] = ACTIONS(4213),
    [anon_sym_RBRACK] = ACTIONS(4213),
    [anon_sym_EQ] = ACTIONS(4221),
    [anon_sym_QMARK] = ACTIONS(4213),
    [anon_sym_STAR_EQ] = ACTIONS(4213),
    [anon_sym_SLASH_EQ] = ACTIONS(4213),
    [anon_sym_PERCENT_EQ] = ACTIONS(4213),
    [anon_sym_PLUS_EQ] = ACTIONS(4213),
    [anon_sym_DASH_EQ] = ACTIONS(4213),
    [anon_sym_LT_LT_EQ] = ACTIONS(4213),
    [anon_sym_GT_GT_EQ] = ACTIONS(4213),
    [anon_sym_AMP_EQ] = ACTIONS(4213),
    [anon_sym_CARET_EQ] = ACTIONS(4213),
    [anon_sym_PIPE_EQ] = ACTIONS(4213),
    [anon_sym_and_eq] = ACTIONS(4221),
    [anon_sym_or_eq] = ACTIONS(4221),
    [anon_sym_xor_eq] = ACTIONS(4221),
    [anon_sym_LT_EQ_GT] = ACTIONS(4213),
    [anon_sym_or] = ACTIONS(4221),
    [anon_sym_and] = ACTIONS(4221),
    [anon_sym_bitor] = ACTIONS(4221),
    [anon_sym_xor] = ACTIONS(4221),
    [anon_sym_bitand] = ACTIONS(4221),
    [anon_sym_not_eq] = ACTIONS(4221),
    [anon_sym_DASH_DASH] = ACTIONS(4213),
    [anon_sym_PLUS_PLUS] = ACTIONS(4213),
    [anon_sym_DOT] = ACTIONS(4221),
    [anon_sym_DOT_STAR] = ACTIONS(4213),
    [anon_sym_DASH_GT] = ACTIONS(4213),
    [anon_sym_L_DQUOTE] = ACTIONS(3944),
    [anon_sym_u_DQUOTE] = ACTIONS(3944),
    [anon_sym_U_DQUOTE] = ACTIONS(3944),
    [anon_sym_u8_DQUOTE] = ACTIONS(3944),
    [anon_sym_DQUOTE] = ACTIONS(3944),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(3952),
    [anon_sym_LR_DQUOTE] = ACTIONS(3952),
    [anon_sym_uR_DQUOTE] = ACTIONS(3952),
    [anon_sym_UR_DQUOTE] = ACTIONS(3952),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3952),
  },
  [3123] = {
    [sym_attribute_specifier] = STATE(3079),
    [sym_identifier] = ACTIONS(6231),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6233),
    [anon_sym_COMMA] = ACTIONS(6233),
    [anon_sym_RPAREN] = ACTIONS(6233),
    [anon_sym_LPAREN2] = ACTIONS(6233),
    [anon_sym_TILDE] = ACTIONS(6233),
    [anon_sym_STAR] = ACTIONS(6233),
    [anon_sym_AMP_AMP] = ACTIONS(6233),
    [anon_sym_AMP] = ACTIONS(6231),
    [anon_sym_COLON] = ACTIONS(6231),
    [anon_sym_SEMI] = ACTIONS(6233),
    [anon_sym___extension__] = ACTIONS(6231),
    [anon_sym_in] = ACTIONS(6231),
    [anon_sym_out] = ACTIONS(6231),
    [anon_sym_inout] = ACTIONS(6231),
    [anon_sym_extern] = ACTIONS(6231),
    [anon_sym___attribute__] = ACTIONS(5581),
    [anon_sym_COLON_COLON] = ACTIONS(6233),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(6233),
    [anon_sym___declspec] = ACTIONS(6231),
    [anon_sym___based] = ACTIONS(6231),
    [anon_sym___cdecl] = ACTIONS(6231),
    [anon_sym___clrcall] = ACTIONS(6231),
    [anon_sym___stdcall] = ACTIONS(6231),
    [anon_sym___fastcall] = ACTIONS(6231),
    [anon_sym___thiscall] = ACTIONS(6231),
    [anon_sym___vectorcall] = ACTIONS(6231),
    [anon_sym_LBRACK] = ACTIONS(6231),
    [anon_sym_EQ] = ACTIONS(6233),
    [anon_sym_static] = ACTIONS(6231),
    [anon_sym_register] = ACTIONS(6231),
    [anon_sym_inline] = ACTIONS(6231),
    [anon_sym___inline] = ACTIONS(6231),
    [anon_sym___inline__] = ACTIONS(6231),
    [anon_sym___forceinline] = ACTIONS(6231),
    [anon_sym_thread_local] = ACTIONS(6231),
    [anon_sym___thread] = ACTIONS(6231),
    [anon_sym_const] = ACTIONS(6231),
    [anon_sym_constexpr] = ACTIONS(6231),
    [anon_sym_volatile] = ACTIONS(6231),
    [anon_sym_restrict] = ACTIONS(6231),
    [anon_sym___restrict__] = ACTIONS(6231),
    [anon_sym__Atomic] = ACTIONS(6231),
    [anon_sym__Noreturn] = ACTIONS(6231),
    [anon_sym_noreturn] = ACTIONS(6231),
    [anon_sym_mutable] = ACTIONS(6231),
    [anon_sym_constinit] = ACTIONS(6231),
    [anon_sym_consteval] = ACTIONS(6231),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(6231),
    [anon_sym_decltype] = ACTIONS(6231),
    [anon_sym_virtual] = ACTIONS(6231),
    [anon_sym_alignas] = ACTIONS(6231),
    [anon_sym_template] = ACTIONS(6231),
    [anon_sym_GT2] = ACTIONS(6233),
    [anon_sym_operator] = ACTIONS(6231),
    [anon_sym_precise] = ACTIONS(6231),
    [anon_sym_shared] = ACTIONS(6231),
    [anon_sym_groupshared] = ACTIONS(6231),
    [anon_sym_uniform] = ACTIONS(6231),
    [anon_sym_row_major] = ACTIONS(6231),
    [anon_sym_column_major] = ACTIONS(6231),
    [anon_sym_globallycoherent] = ACTIONS(6231),
    [anon_sym_centroid] = ACTIONS(6231),
    [anon_sym_noperspective] = ACTIONS(6231),
    [anon_sym_nointerpolation] = ACTIONS(6231),
    [anon_sym_sample] = ACTIONS(6231),
    [anon_sym_linear] = ACTIONS(6231),
    [anon_sym_snorm] = ACTIONS(6231),
    [anon_sym_unorm] = ACTIONS(6231),
    [anon_sym_point] = ACTIONS(6231),
    [anon_sym_line] = ACTIONS(6231),
    [anon_sym_triangleadj] = ACTIONS(6231),
    [anon_sym_lineadj] = ACTIONS(6231),
    [anon_sym_triangle] = ACTIONS(6231),
  },
  [3124] = {
    [sym_attribute_specifier] = STATE(3060),
    [sym_identifier] = ACTIONS(6235),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6237),
    [anon_sym_COMMA] = ACTIONS(6237),
    [anon_sym_RPAREN] = ACTIONS(6237),
    [anon_sym_LPAREN2] = ACTIONS(6237),
    [anon_sym_TILDE] = ACTIONS(6237),
    [anon_sym_STAR] = ACTIONS(6237),
    [anon_sym_AMP_AMP] = ACTIONS(6237),
    [anon_sym_AMP] = ACTIONS(6235),
    [anon_sym_COLON] = ACTIONS(6235),
    [anon_sym_SEMI] = ACTIONS(6237),
    [anon_sym___extension__] = ACTIONS(6235),
    [anon_sym_in] = ACTIONS(6235),
    [anon_sym_out] = ACTIONS(6235),
    [anon_sym_inout] = ACTIONS(6235),
    [anon_sym_extern] = ACTIONS(6235),
    [anon_sym___attribute__] = ACTIONS(5581),
    [anon_sym_COLON_COLON] = ACTIONS(6237),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(6237),
    [anon_sym___declspec] = ACTIONS(6235),
    [anon_sym___based] = ACTIONS(6235),
    [anon_sym___cdecl] = ACTIONS(6235),
    [anon_sym___clrcall] = ACTIONS(6235),
    [anon_sym___stdcall] = ACTIONS(6235),
    [anon_sym___fastcall] = ACTIONS(6235),
    [anon_sym___thiscall] = ACTIONS(6235),
    [anon_sym___vectorcall] = ACTIONS(6235),
    [anon_sym_LBRACK] = ACTIONS(6235),
    [anon_sym_EQ] = ACTIONS(6237),
    [anon_sym_static] = ACTIONS(6235),
    [anon_sym_register] = ACTIONS(6235),
    [anon_sym_inline] = ACTIONS(6235),
    [anon_sym___inline] = ACTIONS(6235),
    [anon_sym___inline__] = ACTIONS(6235),
    [anon_sym___forceinline] = ACTIONS(6235),
    [anon_sym_thread_local] = ACTIONS(6235),
    [anon_sym___thread] = ACTIONS(6235),
    [anon_sym_const] = ACTIONS(6235),
    [anon_sym_constexpr] = ACTIONS(6235),
    [anon_sym_volatile] = ACTIONS(6235),
    [anon_sym_restrict] = ACTIONS(6235),
    [anon_sym___restrict__] = ACTIONS(6235),
    [anon_sym__Atomic] = ACTIONS(6235),
    [anon_sym__Noreturn] = ACTIONS(6235),
    [anon_sym_noreturn] = ACTIONS(6235),
    [anon_sym_mutable] = ACTIONS(6235),
    [anon_sym_constinit] = ACTIONS(6235),
    [anon_sym_consteval] = ACTIONS(6235),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(6235),
    [anon_sym_decltype] = ACTIONS(6235),
    [anon_sym_virtual] = ACTIONS(6235),
    [anon_sym_alignas] = ACTIONS(6235),
    [anon_sym_template] = ACTIONS(6235),
    [anon_sym_GT2] = ACTIONS(6237),
    [anon_sym_operator] = ACTIONS(6235),
    [anon_sym_precise] = ACTIONS(6235),
    [anon_sym_shared] = ACTIONS(6235),
    [anon_sym_groupshared] = ACTIONS(6235),
    [anon_sym_uniform] = ACTIONS(6235),
    [anon_sym_row_major] = ACTIONS(6235),
    [anon_sym_column_major] = ACTIONS(6235),
    [anon_sym_globallycoherent] = ACTIONS(6235),
    [anon_sym_centroid] = ACTIONS(6235),
    [anon_sym_noperspective] = ACTIONS(6235),
    [anon_sym_nointerpolation] = ACTIONS(6235),
    [anon_sym_sample] = ACTIONS(6235),
    [anon_sym_linear] = ACTIONS(6235),
    [anon_sym_snorm] = ACTIONS(6235),
    [anon_sym_unorm] = ACTIONS(6235),
    [anon_sym_point] = ACTIONS(6235),
    [anon_sym_line] = ACTIONS(6235),
    [anon_sym_triangleadj] = ACTIONS(6235),
    [anon_sym_lineadj] = ACTIONS(6235),
    [anon_sym_triangle] = ACTIONS(6235),
  },
  [3125] = {
    [sym_string_literal] = STATE(3137),
    [sym_raw_string_literal] = STATE(3137),
    [aux_sym_concatenated_string_repeat1] = STATE(3137),
    [sym_identifier] = ACTIONS(6239),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6241),
    [anon_sym_COMMA] = ACTIONS(6241),
    [anon_sym_RPAREN] = ACTIONS(6241),
    [aux_sym_preproc_if_token2] = ACTIONS(6241),
    [aux_sym_preproc_else_token1] = ACTIONS(6241),
    [aux_sym_preproc_elif_token1] = ACTIONS(6243),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(6241),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(6241),
    [anon_sym_LPAREN2] = ACTIONS(6241),
    [anon_sym_DASH] = ACTIONS(6243),
    [anon_sym_PLUS] = ACTIONS(6243),
    [anon_sym_STAR] = ACTIONS(6243),
    [anon_sym_SLASH] = ACTIONS(6243),
    [anon_sym_PERCENT] = ACTIONS(6243),
    [anon_sym_PIPE_PIPE] = ACTIONS(6241),
    [anon_sym_AMP_AMP] = ACTIONS(6241),
    [anon_sym_PIPE] = ACTIONS(6243),
    [anon_sym_CARET] = ACTIONS(6243),
    [anon_sym_AMP] = ACTIONS(6243),
    [anon_sym_EQ_EQ] = ACTIONS(6241),
    [anon_sym_BANG_EQ] = ACTIONS(6241),
    [anon_sym_GT] = ACTIONS(6243),
    [anon_sym_GT_EQ] = ACTIONS(6241),
    [anon_sym_LT_EQ] = ACTIONS(6243),
    [anon_sym_LT] = ACTIONS(6243),
    [anon_sym_LT_LT] = ACTIONS(6243),
    [anon_sym_GT_GT] = ACTIONS(6243),
    [anon_sym_COLON] = ACTIONS(6241),
    [anon_sym_SEMI] = ACTIONS(6241),
    [anon_sym_RBRACE] = ACTIONS(6241),
    [anon_sym_LBRACK] = ACTIONS(6241),
    [anon_sym_RBRACK] = ACTIONS(6241),
    [anon_sym_EQ] = ACTIONS(6243),
    [anon_sym_QMARK] = ACTIONS(6241),
    [anon_sym_STAR_EQ] = ACTIONS(6241),
    [anon_sym_SLASH_EQ] = ACTIONS(6241),
    [anon_sym_PERCENT_EQ] = ACTIONS(6241),
    [anon_sym_PLUS_EQ] = ACTIONS(6241),
    [anon_sym_DASH_EQ] = ACTIONS(6241),
    [anon_sym_LT_LT_EQ] = ACTIONS(6241),
    [anon_sym_GT_GT_EQ] = ACTIONS(6241),
    [anon_sym_AMP_EQ] = ACTIONS(6241),
    [anon_sym_CARET_EQ] = ACTIONS(6241),
    [anon_sym_PIPE_EQ] = ACTIONS(6241),
    [anon_sym_and_eq] = ACTIONS(6243),
    [anon_sym_or_eq] = ACTIONS(6243),
    [anon_sym_xor_eq] = ACTIONS(6243),
    [anon_sym_LT_EQ_GT] = ACTIONS(6241),
    [anon_sym_or] = ACTIONS(6243),
    [anon_sym_and] = ACTIONS(6243),
    [anon_sym_bitor] = ACTIONS(6243),
    [anon_sym_xor] = ACTIONS(6243),
    [anon_sym_bitand] = ACTIONS(6243),
    [anon_sym_not_eq] = ACTIONS(6243),
    [anon_sym_DASH_DASH] = ACTIONS(6241),
    [anon_sym_PLUS_PLUS] = ACTIONS(6241),
    [anon_sym_DOT] = ACTIONS(6243),
    [anon_sym_DOT_STAR] = ACTIONS(6241),
    [anon_sym_DASH_GT] = ACTIONS(6241),
    [anon_sym_L_DQUOTE] = ACTIONS(3944),
    [anon_sym_u_DQUOTE] = ACTIONS(3944),
    [anon_sym_U_DQUOTE] = ACTIONS(3944),
    [anon_sym_u8_DQUOTE] = ACTIONS(3944),
    [anon_sym_DQUOTE] = ACTIONS(3944),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(3952),
    [anon_sym_LR_DQUOTE] = ACTIONS(3952),
    [anon_sym_uR_DQUOTE] = ACTIONS(3952),
    [anon_sym_UR_DQUOTE] = ACTIONS(3952),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3952),
    [sym_literal_suffix] = ACTIONS(6243),
  },
  [3126] = {
    [sym_identifier] = ACTIONS(6245),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6247),
    [anon_sym_COMMA] = ACTIONS(6247),
    [anon_sym_RPAREN] = ACTIONS(6247),
    [anon_sym_LPAREN2] = ACTIONS(6247),
    [anon_sym_TILDE] = ACTIONS(6247),
    [anon_sym_STAR] = ACTIONS(6247),
    [anon_sym_AMP_AMP] = ACTIONS(6247),
    [anon_sym_AMP] = ACTIONS(6245),
    [anon_sym_COLON] = ACTIONS(6245),
    [anon_sym_SEMI] = ACTIONS(6247),
    [anon_sym___extension__] = ACTIONS(6245),
    [anon_sym_in] = ACTIONS(6245),
    [anon_sym_out] = ACTIONS(6245),
    [anon_sym_inout] = ACTIONS(6245),
    [anon_sym_extern] = ACTIONS(6245),
    [anon_sym___attribute__] = ACTIONS(6245),
    [anon_sym_COLON_COLON] = ACTIONS(6247),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(6247),
    [anon_sym___declspec] = ACTIONS(6245),
    [anon_sym___based] = ACTIONS(6245),
    [anon_sym___cdecl] = ACTIONS(6245),
    [anon_sym___clrcall] = ACTIONS(6245),
    [anon_sym___stdcall] = ACTIONS(6245),
    [anon_sym___fastcall] = ACTIONS(6245),
    [anon_sym___thiscall] = ACTIONS(6245),
    [anon_sym___vectorcall] = ACTIONS(6245),
    [anon_sym_LBRACK] = ACTIONS(6245),
    [anon_sym_EQ] = ACTIONS(6247),
    [anon_sym_static] = ACTIONS(6245),
    [anon_sym_register] = ACTIONS(6245),
    [anon_sym_inline] = ACTIONS(6245),
    [anon_sym___inline] = ACTIONS(6245),
    [anon_sym___inline__] = ACTIONS(6245),
    [anon_sym___forceinline] = ACTIONS(6245),
    [anon_sym_thread_local] = ACTIONS(6245),
    [anon_sym___thread] = ACTIONS(6245),
    [anon_sym_const] = ACTIONS(6245),
    [anon_sym_constexpr] = ACTIONS(6245),
    [anon_sym_volatile] = ACTIONS(6245),
    [anon_sym_restrict] = ACTIONS(6245),
    [anon_sym___restrict__] = ACTIONS(6245),
    [anon_sym__Atomic] = ACTIONS(6245),
    [anon_sym__Noreturn] = ACTIONS(6245),
    [anon_sym_noreturn] = ACTIONS(6245),
    [anon_sym_mutable] = ACTIONS(6245),
    [anon_sym_constinit] = ACTIONS(6245),
    [anon_sym_consteval] = ACTIONS(6245),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(6245),
    [anon_sym_virtual] = ACTIONS(6245),
    [anon_sym_alignas] = ACTIONS(6245),
    [anon_sym_explicit] = ACTIONS(6245),
    [anon_sym_template] = ACTIONS(6245),
    [anon_sym_GT2] = ACTIONS(6247),
    [anon_sym_operator] = ACTIONS(6245),
    [anon_sym_precise] = ACTIONS(6245),
    [anon_sym_shared] = ACTIONS(6245),
    [anon_sym_groupshared] = ACTIONS(6245),
    [anon_sym_uniform] = ACTIONS(6245),
    [anon_sym_row_major] = ACTIONS(6245),
    [anon_sym_column_major] = ACTIONS(6245),
    [anon_sym_globallycoherent] = ACTIONS(6245),
    [anon_sym_centroid] = ACTIONS(6245),
    [anon_sym_noperspective] = ACTIONS(6245),
    [anon_sym_nointerpolation] = ACTIONS(6245),
    [anon_sym_sample] = ACTIONS(6245),
    [anon_sym_linear] = ACTIONS(6245),
    [anon_sym_snorm] = ACTIONS(6245),
    [anon_sym_unorm] = ACTIONS(6245),
    [anon_sym_point] = ACTIONS(6245),
    [anon_sym_line] = ACTIONS(6245),
    [anon_sym_triangleadj] = ACTIONS(6245),
    [anon_sym_lineadj] = ACTIONS(6245),
    [anon_sym_triangle] = ACTIONS(6245),
  },
  [3127] = {
    [sym_identifier] = ACTIONS(5931),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5933),
    [anon_sym_COMMA] = ACTIONS(5933),
    [anon_sym_RPAREN] = ACTIONS(5933),
    [anon_sym_LPAREN2] = ACTIONS(5933),
    [anon_sym_TILDE] = ACTIONS(5933),
    [anon_sym_STAR] = ACTIONS(5933),
    [anon_sym_AMP_AMP] = ACTIONS(5933),
    [anon_sym_AMP] = ACTIONS(5931),
    [anon_sym_COLON] = ACTIONS(5931),
    [anon_sym_SEMI] = ACTIONS(5933),
    [anon_sym___extension__] = ACTIONS(5931),
    [anon_sym_in] = ACTIONS(5931),
    [anon_sym_out] = ACTIONS(5931),
    [anon_sym_inout] = ACTIONS(5931),
    [anon_sym_extern] = ACTIONS(5931),
    [anon_sym___attribute__] = ACTIONS(5931),
    [anon_sym_COLON_COLON] = ACTIONS(5933),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5933),
    [anon_sym___declspec] = ACTIONS(5931),
    [anon_sym___based] = ACTIONS(5931),
    [anon_sym___cdecl] = ACTIONS(5931),
    [anon_sym___clrcall] = ACTIONS(5931),
    [anon_sym___stdcall] = ACTIONS(5931),
    [anon_sym___fastcall] = ACTIONS(5931),
    [anon_sym___thiscall] = ACTIONS(5931),
    [anon_sym___vectorcall] = ACTIONS(5931),
    [anon_sym_LBRACE] = ACTIONS(2260),
    [anon_sym_LBRACK] = ACTIONS(5931),
    [anon_sym_EQ] = ACTIONS(5933),
    [anon_sym_static] = ACTIONS(5931),
    [anon_sym_register] = ACTIONS(5931),
    [anon_sym_inline] = ACTIONS(5931),
    [anon_sym___inline] = ACTIONS(5931),
    [anon_sym___inline__] = ACTIONS(5931),
    [anon_sym___forceinline] = ACTIONS(5931),
    [anon_sym_thread_local] = ACTIONS(5931),
    [anon_sym___thread] = ACTIONS(5931),
    [anon_sym_const] = ACTIONS(5931),
    [anon_sym_constexpr] = ACTIONS(5931),
    [anon_sym_volatile] = ACTIONS(5931),
    [anon_sym_restrict] = ACTIONS(5931),
    [anon_sym___restrict__] = ACTIONS(5931),
    [anon_sym__Atomic] = ACTIONS(5931),
    [anon_sym__Noreturn] = ACTIONS(5931),
    [anon_sym_noreturn] = ACTIONS(5931),
    [anon_sym_mutable] = ACTIONS(5931),
    [anon_sym_constinit] = ACTIONS(5931),
    [anon_sym_consteval] = ACTIONS(5931),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5931),
    [anon_sym_decltype] = ACTIONS(5931),
    [anon_sym_virtual] = ACTIONS(5931),
    [anon_sym_alignas] = ACTIONS(5931),
    [anon_sym_template] = ACTIONS(5931),
    [anon_sym_operator] = ACTIONS(5931),
    [anon_sym_precise] = ACTIONS(5931),
    [anon_sym_shared] = ACTIONS(5931),
    [anon_sym_groupshared] = ACTIONS(5931),
    [anon_sym_uniform] = ACTIONS(5931),
    [anon_sym_row_major] = ACTIONS(5931),
    [anon_sym_column_major] = ACTIONS(5931),
    [anon_sym_globallycoherent] = ACTIONS(5931),
    [anon_sym_centroid] = ACTIONS(5931),
    [anon_sym_noperspective] = ACTIONS(5931),
    [anon_sym_nointerpolation] = ACTIONS(5931),
    [anon_sym_sample] = ACTIONS(5931),
    [anon_sym_linear] = ACTIONS(5931),
    [anon_sym_snorm] = ACTIONS(5931),
    [anon_sym_unorm] = ACTIONS(5931),
    [anon_sym_point] = ACTIONS(5931),
    [anon_sym_line] = ACTIONS(5931),
    [anon_sym_triangleadj] = ACTIONS(5931),
    [anon_sym_lineadj] = ACTIONS(5931),
    [anon_sym_triangle] = ACTIONS(5931),
  },
  [3128] = {
    [sym_template_argument_list] = STATE(3017),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3027),
    [sym_identifier] = ACTIONS(4211),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4219),
    [anon_sym_COMMA] = ACTIONS(4219),
    [anon_sym_RPAREN] = ACTIONS(4219),
    [anon_sym_LPAREN2] = ACTIONS(4219),
    [anon_sym_TILDE] = ACTIONS(4219),
    [anon_sym_STAR] = ACTIONS(4219),
    [anon_sym_AMP_AMP] = ACTIONS(4219),
    [anon_sym_AMP] = ACTIONS(4211),
    [anon_sym_LT] = ACTIONS(6249),
    [anon_sym_COLON] = ACTIONS(4211),
    [anon_sym___extension__] = ACTIONS(4211),
    [anon_sym_in] = ACTIONS(4211),
    [anon_sym_out] = ACTIONS(4211),
    [anon_sym_inout] = ACTIONS(4211),
    [anon_sym_extern] = ACTIONS(4211),
    [anon_sym___attribute__] = ACTIONS(4211),
    [anon_sym_COLON_COLON] = ACTIONS(2230),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4219),
    [anon_sym___declspec] = ACTIONS(4211),
    [anon_sym___based] = ACTIONS(4211),
    [anon_sym_signed] = ACTIONS(4237),
    [anon_sym_unsigned] = ACTIONS(4237),
    [anon_sym_long] = ACTIONS(4237),
    [anon_sym_short] = ACTIONS(4237),
    [anon_sym_LBRACK] = ACTIONS(4211),
    [anon_sym_EQ] = ACTIONS(4219),
    [anon_sym_static] = ACTIONS(4211),
    [anon_sym_register] = ACTIONS(4211),
    [anon_sym_inline] = ACTIONS(4211),
    [anon_sym___inline] = ACTIONS(4211),
    [anon_sym___inline__] = ACTIONS(4211),
    [anon_sym___forceinline] = ACTIONS(4211),
    [anon_sym_thread_local] = ACTIONS(4211),
    [anon_sym___thread] = ACTIONS(4211),
    [anon_sym_const] = ACTIONS(4211),
    [anon_sym_constexpr] = ACTIONS(4211),
    [anon_sym_volatile] = ACTIONS(4211),
    [anon_sym_restrict] = ACTIONS(4211),
    [anon_sym___restrict__] = ACTIONS(4211),
    [anon_sym__Atomic] = ACTIONS(4211),
    [anon_sym__Noreturn] = ACTIONS(4211),
    [anon_sym_noreturn] = ACTIONS(4211),
    [anon_sym_mutable] = ACTIONS(4211),
    [anon_sym_constinit] = ACTIONS(4211),
    [anon_sym_consteval] = ACTIONS(4211),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4211),
    [anon_sym_decltype] = ACTIONS(4211),
    [anon_sym_virtual] = ACTIONS(4211),
    [anon_sym_alignas] = ACTIONS(4211),
    [anon_sym_template] = ACTIONS(4211),
    [anon_sym_GT2] = ACTIONS(4219),
    [anon_sym_operator] = ACTIONS(4211),
    [anon_sym_precise] = ACTIONS(4211),
    [anon_sym_shared] = ACTIONS(4211),
    [anon_sym_groupshared] = ACTIONS(4211),
    [anon_sym_uniform] = ACTIONS(4211),
    [anon_sym_row_major] = ACTIONS(4211),
    [anon_sym_column_major] = ACTIONS(4211),
    [anon_sym_globallycoherent] = ACTIONS(4211),
    [anon_sym_centroid] = ACTIONS(4211),
    [anon_sym_noperspective] = ACTIONS(4211),
    [anon_sym_nointerpolation] = ACTIONS(4211),
    [anon_sym_sample] = ACTIONS(4211),
    [anon_sym_linear] = ACTIONS(4211),
    [anon_sym_snorm] = ACTIONS(4211),
    [anon_sym_unorm] = ACTIONS(4211),
    [anon_sym_point] = ACTIONS(4211),
    [anon_sym_line] = ACTIONS(4211),
    [anon_sym_triangleadj] = ACTIONS(4211),
    [anon_sym_lineadj] = ACTIONS(4211),
    [anon_sym_triangle] = ACTIONS(4211),
  },
  [3129] = {
    [sym_identifier] = ACTIONS(5931),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5933),
    [anon_sym_COMMA] = ACTIONS(5933),
    [anon_sym_RPAREN] = ACTIONS(5933),
    [anon_sym_LPAREN2] = ACTIONS(5933),
    [anon_sym_TILDE] = ACTIONS(5933),
    [anon_sym_STAR] = ACTIONS(5933),
    [anon_sym_AMP_AMP] = ACTIONS(5933),
    [anon_sym_AMP] = ACTIONS(5931),
    [anon_sym_COLON] = ACTIONS(5931),
    [anon_sym_SEMI] = ACTIONS(5933),
    [anon_sym___extension__] = ACTIONS(5931),
    [anon_sym_in] = ACTIONS(5931),
    [anon_sym_out] = ACTIONS(5931),
    [anon_sym_inout] = ACTIONS(5931),
    [anon_sym_extern] = ACTIONS(5931),
    [anon_sym___attribute__] = ACTIONS(5931),
    [anon_sym_COLON_COLON] = ACTIONS(2262),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5933),
    [anon_sym___declspec] = ACTIONS(5931),
    [anon_sym___based] = ACTIONS(5931),
    [anon_sym___cdecl] = ACTIONS(5931),
    [anon_sym___clrcall] = ACTIONS(5931),
    [anon_sym___stdcall] = ACTIONS(5931),
    [anon_sym___fastcall] = ACTIONS(5931),
    [anon_sym___thiscall] = ACTIONS(5931),
    [anon_sym___vectorcall] = ACTIONS(5931),
    [anon_sym_LBRACE] = ACTIONS(2260),
    [anon_sym_LBRACK] = ACTIONS(5931),
    [anon_sym_EQ] = ACTIONS(5933),
    [anon_sym_static] = ACTIONS(5931),
    [anon_sym_register] = ACTIONS(5931),
    [anon_sym_inline] = ACTIONS(5931),
    [anon_sym___inline] = ACTIONS(5931),
    [anon_sym___inline__] = ACTIONS(5931),
    [anon_sym___forceinline] = ACTIONS(5931),
    [anon_sym_thread_local] = ACTIONS(5931),
    [anon_sym___thread] = ACTIONS(5931),
    [anon_sym_const] = ACTIONS(5931),
    [anon_sym_constexpr] = ACTIONS(5931),
    [anon_sym_volatile] = ACTIONS(5931),
    [anon_sym_restrict] = ACTIONS(5931),
    [anon_sym___restrict__] = ACTIONS(5931),
    [anon_sym__Atomic] = ACTIONS(5931),
    [anon_sym__Noreturn] = ACTIONS(5931),
    [anon_sym_noreturn] = ACTIONS(5931),
    [anon_sym_mutable] = ACTIONS(5931),
    [anon_sym_constinit] = ACTIONS(5931),
    [anon_sym_consteval] = ACTIONS(5931),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5931),
    [anon_sym_decltype] = ACTIONS(5931),
    [anon_sym_virtual] = ACTIONS(5931),
    [anon_sym_alignas] = ACTIONS(5931),
    [anon_sym_template] = ACTIONS(5931),
    [anon_sym_operator] = ACTIONS(5931),
    [anon_sym_precise] = ACTIONS(5931),
    [anon_sym_shared] = ACTIONS(5931),
    [anon_sym_groupshared] = ACTIONS(5931),
    [anon_sym_uniform] = ACTIONS(5931),
    [anon_sym_row_major] = ACTIONS(5931),
    [anon_sym_column_major] = ACTIONS(5931),
    [anon_sym_globallycoherent] = ACTIONS(5931),
    [anon_sym_centroid] = ACTIONS(5931),
    [anon_sym_noperspective] = ACTIONS(5931),
    [anon_sym_nointerpolation] = ACTIONS(5931),
    [anon_sym_sample] = ACTIONS(5931),
    [anon_sym_linear] = ACTIONS(5931),
    [anon_sym_snorm] = ACTIONS(5931),
    [anon_sym_unorm] = ACTIONS(5931),
    [anon_sym_point] = ACTIONS(5931),
    [anon_sym_line] = ACTIONS(5931),
    [anon_sym_triangleadj] = ACTIONS(5931),
    [anon_sym_lineadj] = ACTIONS(5931),
    [anon_sym_triangle] = ACTIONS(5931),
  },
  [3130] = {
    [sym_identifier] = ACTIONS(6015),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6017),
    [anon_sym_COMMA] = ACTIONS(6017),
    [anon_sym_RPAREN] = ACTIONS(6017),
    [anon_sym_LPAREN2] = ACTIONS(6017),
    [anon_sym_TILDE] = ACTIONS(6017),
    [anon_sym_STAR] = ACTIONS(6017),
    [anon_sym_AMP_AMP] = ACTIONS(6017),
    [anon_sym_AMP] = ACTIONS(6015),
    [anon_sym_COLON] = ACTIONS(6015),
    [anon_sym_SEMI] = ACTIONS(6017),
    [anon_sym___extension__] = ACTIONS(6015),
    [anon_sym_in] = ACTIONS(6015),
    [anon_sym_out] = ACTIONS(6015),
    [anon_sym_inout] = ACTIONS(6015),
    [anon_sym_extern] = ACTIONS(6015),
    [anon_sym___attribute__] = ACTIONS(6015),
    [anon_sym_COLON_COLON] = ACTIONS(6017),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(6017),
    [anon_sym___declspec] = ACTIONS(6015),
    [anon_sym___based] = ACTIONS(6015),
    [anon_sym___cdecl] = ACTIONS(6015),
    [anon_sym___clrcall] = ACTIONS(6015),
    [anon_sym___stdcall] = ACTIONS(6015),
    [anon_sym___fastcall] = ACTIONS(6015),
    [anon_sym___thiscall] = ACTIONS(6015),
    [anon_sym___vectorcall] = ACTIONS(6015),
    [anon_sym_LBRACK] = ACTIONS(6015),
    [anon_sym_EQ] = ACTIONS(6017),
    [anon_sym_static] = ACTIONS(6015),
    [anon_sym_register] = ACTIONS(6015),
    [anon_sym_inline] = ACTIONS(6015),
    [anon_sym___inline] = ACTIONS(6015),
    [anon_sym___inline__] = ACTIONS(6015),
    [anon_sym___forceinline] = ACTIONS(6015),
    [anon_sym_thread_local] = ACTIONS(6015),
    [anon_sym___thread] = ACTIONS(6015),
    [anon_sym_const] = ACTIONS(6015),
    [anon_sym_constexpr] = ACTIONS(6015),
    [anon_sym_volatile] = ACTIONS(6015),
    [anon_sym_restrict] = ACTIONS(6015),
    [anon_sym___restrict__] = ACTIONS(6015),
    [anon_sym__Atomic] = ACTIONS(6015),
    [anon_sym__Noreturn] = ACTIONS(6015),
    [anon_sym_noreturn] = ACTIONS(6015),
    [anon_sym_mutable] = ACTIONS(6015),
    [anon_sym_constinit] = ACTIONS(6015),
    [anon_sym_consteval] = ACTIONS(6015),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(6015),
    [anon_sym_virtual] = ACTIONS(6015),
    [anon_sym_alignas] = ACTIONS(6015),
    [anon_sym_explicit] = ACTIONS(6015),
    [anon_sym_template] = ACTIONS(6015),
    [anon_sym_GT2] = ACTIONS(6017),
    [anon_sym_operator] = ACTIONS(6015),
    [anon_sym_precise] = ACTIONS(6015),
    [anon_sym_shared] = ACTIONS(6015),
    [anon_sym_groupshared] = ACTIONS(6015),
    [anon_sym_uniform] = ACTIONS(6015),
    [anon_sym_row_major] = ACTIONS(6015),
    [anon_sym_column_major] = ACTIONS(6015),
    [anon_sym_globallycoherent] = ACTIONS(6015),
    [anon_sym_centroid] = ACTIONS(6015),
    [anon_sym_noperspective] = ACTIONS(6015),
    [anon_sym_nointerpolation] = ACTIONS(6015),
    [anon_sym_sample] = ACTIONS(6015),
    [anon_sym_linear] = ACTIONS(6015),
    [anon_sym_snorm] = ACTIONS(6015),
    [anon_sym_unorm] = ACTIONS(6015),
    [anon_sym_point] = ACTIONS(6015),
    [anon_sym_line] = ACTIONS(6015),
    [anon_sym_triangleadj] = ACTIONS(6015),
    [anon_sym_lineadj] = ACTIONS(6015),
    [anon_sym_triangle] = ACTIONS(6015),
  },
  [3131] = {
    [sym_string_literal] = STATE(3125),
    [sym_raw_string_literal] = STATE(3125),
    [aux_sym_concatenated_string_repeat1] = STATE(3125),
    [sym_identifier] = ACTIONS(6251),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6253),
    [anon_sym_COMMA] = ACTIONS(6253),
    [anon_sym_RPAREN] = ACTIONS(6253),
    [aux_sym_preproc_if_token2] = ACTIONS(6253),
    [aux_sym_preproc_else_token1] = ACTIONS(6253),
    [aux_sym_preproc_elif_token1] = ACTIONS(6255),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(6253),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(6253),
    [anon_sym_LPAREN2] = ACTIONS(6253),
    [anon_sym_DASH] = ACTIONS(6255),
    [anon_sym_PLUS] = ACTIONS(6255),
    [anon_sym_STAR] = ACTIONS(6255),
    [anon_sym_SLASH] = ACTIONS(6255),
    [anon_sym_PERCENT] = ACTIONS(6255),
    [anon_sym_PIPE_PIPE] = ACTIONS(6253),
    [anon_sym_AMP_AMP] = ACTIONS(6253),
    [anon_sym_PIPE] = ACTIONS(6255),
    [anon_sym_CARET] = ACTIONS(6255),
    [anon_sym_AMP] = ACTIONS(6255),
    [anon_sym_EQ_EQ] = ACTIONS(6253),
    [anon_sym_BANG_EQ] = ACTIONS(6253),
    [anon_sym_GT] = ACTIONS(6255),
    [anon_sym_GT_EQ] = ACTIONS(6253),
    [anon_sym_LT_EQ] = ACTIONS(6255),
    [anon_sym_LT] = ACTIONS(6255),
    [anon_sym_LT_LT] = ACTIONS(6255),
    [anon_sym_GT_GT] = ACTIONS(6255),
    [anon_sym_COLON] = ACTIONS(6253),
    [anon_sym_SEMI] = ACTIONS(6253),
    [anon_sym_RBRACE] = ACTIONS(6253),
    [anon_sym_LBRACK] = ACTIONS(6253),
    [anon_sym_RBRACK] = ACTIONS(6253),
    [anon_sym_EQ] = ACTIONS(6255),
    [anon_sym_QMARK] = ACTIONS(6253),
    [anon_sym_STAR_EQ] = ACTIONS(6253),
    [anon_sym_SLASH_EQ] = ACTIONS(6253),
    [anon_sym_PERCENT_EQ] = ACTIONS(6253),
    [anon_sym_PLUS_EQ] = ACTIONS(6253),
    [anon_sym_DASH_EQ] = ACTIONS(6253),
    [anon_sym_LT_LT_EQ] = ACTIONS(6253),
    [anon_sym_GT_GT_EQ] = ACTIONS(6253),
    [anon_sym_AMP_EQ] = ACTIONS(6253),
    [anon_sym_CARET_EQ] = ACTIONS(6253),
    [anon_sym_PIPE_EQ] = ACTIONS(6253),
    [anon_sym_and_eq] = ACTIONS(6255),
    [anon_sym_or_eq] = ACTIONS(6255),
    [anon_sym_xor_eq] = ACTIONS(6255),
    [anon_sym_LT_EQ_GT] = ACTIONS(6253),
    [anon_sym_or] = ACTIONS(6255),
    [anon_sym_and] = ACTIONS(6255),
    [anon_sym_bitor] = ACTIONS(6255),
    [anon_sym_xor] = ACTIONS(6255),
    [anon_sym_bitand] = ACTIONS(6255),
    [anon_sym_not_eq] = ACTIONS(6255),
    [anon_sym_DASH_DASH] = ACTIONS(6253),
    [anon_sym_PLUS_PLUS] = ACTIONS(6253),
    [anon_sym_DOT] = ACTIONS(6255),
    [anon_sym_DOT_STAR] = ACTIONS(6253),
    [anon_sym_DASH_GT] = ACTIONS(6253),
    [anon_sym_L_DQUOTE] = ACTIONS(3944),
    [anon_sym_u_DQUOTE] = ACTIONS(3944),
    [anon_sym_U_DQUOTE] = ACTIONS(3944),
    [anon_sym_u8_DQUOTE] = ACTIONS(3944),
    [anon_sym_DQUOTE] = ACTIONS(3944),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(3952),
    [anon_sym_LR_DQUOTE] = ACTIONS(3952),
    [anon_sym_uR_DQUOTE] = ACTIONS(3952),
    [anon_sym_UR_DQUOTE] = ACTIONS(3952),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3952),
    [sym_literal_suffix] = ACTIONS(6255),
  },
  [3132] = {
    [sym_identifier] = ACTIONS(6257),
    [anon_sym_LPAREN2] = ACTIONS(6259),
    [anon_sym_BANG] = ACTIONS(6259),
    [anon_sym_TILDE] = ACTIONS(6259),
    [anon_sym_DASH] = ACTIONS(6257),
    [anon_sym_PLUS] = ACTIONS(6257),
    [anon_sym_STAR] = ACTIONS(6259),
    [anon_sym_AMP] = ACTIONS(6259),
    [anon_sym_SEMI] = ACTIONS(6259),
    [anon_sym_COLON_COLON] = ACTIONS(6259),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(6259),
    [anon_sym_LBRACE] = ACTIONS(6259),
    [anon_sym_LBRACK] = ACTIONS(6257),
    [sym_primitive_type] = ACTIONS(6257),
    [anon_sym_if] = ACTIONS(6257),
    [anon_sym_switch] = ACTIONS(6257),
    [anon_sym_case] = ACTIONS(6257),
    [anon_sym_default] = ACTIONS(6257),
    [anon_sym_while] = ACTIONS(6257),
    [anon_sym_do] = ACTIONS(6257),
    [anon_sym_for] = ACTIONS(6257),
    [anon_sym_return] = ACTIONS(6257),
    [anon_sym_break] = ACTIONS(6257),
    [anon_sym_continue] = ACTIONS(6257),
    [anon_sym_goto] = ACTIONS(6257),
    [anon_sym___try] = ACTIONS(6257),
    [anon_sym___leave] = ACTIONS(6257),
    [anon_sym_not] = ACTIONS(6257),
    [anon_sym_compl] = ACTIONS(6257),
    [anon_sym_DASH_DASH] = ACTIONS(6259),
    [anon_sym_PLUS_PLUS] = ACTIONS(6259),
    [anon_sym_sizeof] = ACTIONS(6257),
    [anon_sym___alignof__] = ACTIONS(6257),
    [anon_sym___alignof] = ACTIONS(6257),
    [anon_sym__alignof] = ACTIONS(6257),
    [anon_sym_alignof] = ACTIONS(6257),
    [anon_sym__Alignof] = ACTIONS(6257),
    [anon_sym_offsetof] = ACTIONS(6257),
    [anon_sym__Generic] = ACTIONS(6257),
    [anon_sym_asm] = ACTIONS(6257),
    [anon_sym___asm__] = ACTIONS(6257),
    [sym_number_literal] = ACTIONS(6259),
    [anon_sym_L_SQUOTE] = ACTIONS(6259),
    [anon_sym_u_SQUOTE] = ACTIONS(6259),
    [anon_sym_U_SQUOTE] = ACTIONS(6259),
    [anon_sym_u8_SQUOTE] = ACTIONS(6259),
    [anon_sym_SQUOTE] = ACTIONS(6259),
    [anon_sym_L_DQUOTE] = ACTIONS(6259),
    [anon_sym_u_DQUOTE] = ACTIONS(6259),
    [anon_sym_U_DQUOTE] = ACTIONS(6259),
    [anon_sym_u8_DQUOTE] = ACTIONS(6259),
    [anon_sym_DQUOTE] = ACTIONS(6259),
    [sym_true] = ACTIONS(6257),
    [sym_false] = ACTIONS(6257),
    [anon_sym_NULL] = ACTIONS(6257),
    [anon_sym_nullptr] = ACTIONS(6257),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(6257),
    [anon_sym_template] = ACTIONS(6257),
    [anon_sym_try] = ACTIONS(6257),
    [anon_sym_delete] = ACTIONS(6257),
    [anon_sym_throw] = ACTIONS(6257),
    [anon_sym_co_return] = ACTIONS(6257),
    [anon_sym_co_yield] = ACTIONS(6257),
    [anon_sym_R_DQUOTE] = ACTIONS(6259),
    [anon_sym_LR_DQUOTE] = ACTIONS(6259),
    [anon_sym_uR_DQUOTE] = ACTIONS(6259),
    [anon_sym_UR_DQUOTE] = ACTIONS(6259),
    [anon_sym_u8R_DQUOTE] = ACTIONS(6259),
    [anon_sym_co_await] = ACTIONS(6257),
    [anon_sym_new] = ACTIONS(6257),
    [anon_sym_requires] = ACTIONS(6257),
    [sym_this] = ACTIONS(6257),
    [anon_sym_discard] = ACTIONS(6257),
    [anon_sym_cbuffer] = ACTIONS(6257),
  },
  [3133] = {
    [sym_identifier] = ACTIONS(6197),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6199),
    [anon_sym_COMMA] = ACTIONS(6199),
    [anon_sym_RPAREN] = ACTIONS(6199),
    [anon_sym_LPAREN2] = ACTIONS(6199),
    [anon_sym_TILDE] = ACTIONS(6199),
    [anon_sym_STAR] = ACTIONS(6199),
    [anon_sym_AMP_AMP] = ACTIONS(6199),
    [anon_sym_AMP] = ACTIONS(6197),
    [anon_sym_COLON] = ACTIONS(6197),
    [anon_sym_SEMI] = ACTIONS(6199),
    [anon_sym___extension__] = ACTIONS(6197),
    [anon_sym_in] = ACTIONS(6197),
    [anon_sym_out] = ACTIONS(6197),
    [anon_sym_inout] = ACTIONS(6197),
    [anon_sym_extern] = ACTIONS(6197),
    [anon_sym___attribute__] = ACTIONS(6197),
    [anon_sym_COLON_COLON] = ACTIONS(6199),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(6199),
    [anon_sym___declspec] = ACTIONS(6197),
    [anon_sym___based] = ACTIONS(6197),
    [anon_sym___cdecl] = ACTIONS(6197),
    [anon_sym___clrcall] = ACTIONS(6197),
    [anon_sym___stdcall] = ACTIONS(6197),
    [anon_sym___fastcall] = ACTIONS(6197),
    [anon_sym___thiscall] = ACTIONS(6197),
    [anon_sym___vectorcall] = ACTIONS(6197),
    [anon_sym_LBRACK] = ACTIONS(6197),
    [anon_sym_EQ] = ACTIONS(6199),
    [anon_sym_static] = ACTIONS(6197),
    [anon_sym_register] = ACTIONS(6197),
    [anon_sym_inline] = ACTIONS(6197),
    [anon_sym___inline] = ACTIONS(6197),
    [anon_sym___inline__] = ACTIONS(6197),
    [anon_sym___forceinline] = ACTIONS(6197),
    [anon_sym_thread_local] = ACTIONS(6197),
    [anon_sym___thread] = ACTIONS(6197),
    [anon_sym_const] = ACTIONS(6197),
    [anon_sym_constexpr] = ACTIONS(6197),
    [anon_sym_volatile] = ACTIONS(6197),
    [anon_sym_restrict] = ACTIONS(6197),
    [anon_sym___restrict__] = ACTIONS(6197),
    [anon_sym__Atomic] = ACTIONS(6197),
    [anon_sym__Noreturn] = ACTIONS(6197),
    [anon_sym_noreturn] = ACTIONS(6197),
    [anon_sym_mutable] = ACTIONS(6197),
    [anon_sym_constinit] = ACTIONS(6197),
    [anon_sym_consteval] = ACTIONS(6197),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(6197),
    [anon_sym_virtual] = ACTIONS(6197),
    [anon_sym_alignas] = ACTIONS(6197),
    [anon_sym_explicit] = ACTIONS(6197),
    [anon_sym_template] = ACTIONS(6197),
    [anon_sym_GT2] = ACTIONS(6199),
    [anon_sym_operator] = ACTIONS(6197),
    [anon_sym_precise] = ACTIONS(6197),
    [anon_sym_shared] = ACTIONS(6197),
    [anon_sym_groupshared] = ACTIONS(6197),
    [anon_sym_uniform] = ACTIONS(6197),
    [anon_sym_row_major] = ACTIONS(6197),
    [anon_sym_column_major] = ACTIONS(6197),
    [anon_sym_globallycoherent] = ACTIONS(6197),
    [anon_sym_centroid] = ACTIONS(6197),
    [anon_sym_noperspective] = ACTIONS(6197),
    [anon_sym_nointerpolation] = ACTIONS(6197),
    [anon_sym_sample] = ACTIONS(6197),
    [anon_sym_linear] = ACTIONS(6197),
    [anon_sym_snorm] = ACTIONS(6197),
    [anon_sym_unorm] = ACTIONS(6197),
    [anon_sym_point] = ACTIONS(6197),
    [anon_sym_line] = ACTIONS(6197),
    [anon_sym_triangleadj] = ACTIONS(6197),
    [anon_sym_lineadj] = ACTIONS(6197),
    [anon_sym_triangle] = ACTIONS(6197),
  },
  [3134] = {
    [sym_argument_list] = STATE(4707),
    [sym_initializer_list] = STATE(4962),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3031),
    [sym_identifier] = ACTIONS(5931),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5933),
    [anon_sym_COMMA] = ACTIONS(5933),
    [anon_sym_RPAREN] = ACTIONS(5933),
    [anon_sym_LPAREN2] = ACTIONS(6261),
    [anon_sym_TILDE] = ACTIONS(5933),
    [anon_sym_STAR] = ACTIONS(5933),
    [anon_sym_AMP_AMP] = ACTIONS(5933),
    [anon_sym_AMP] = ACTIONS(5931),
    [anon_sym_COLON] = ACTIONS(5931),
    [anon_sym___extension__] = ACTIONS(5931),
    [anon_sym_in] = ACTIONS(5931),
    [anon_sym_out] = ACTIONS(5931),
    [anon_sym_inout] = ACTIONS(5931),
    [anon_sym_extern] = ACTIONS(5931),
    [anon_sym___attribute__] = ACTIONS(5931),
    [anon_sym_COLON_COLON] = ACTIONS(5933),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5933),
    [anon_sym___declspec] = ACTIONS(5931),
    [anon_sym___based] = ACTIONS(5931),
    [anon_sym_LBRACE] = ACTIONS(4180),
    [anon_sym_signed] = ACTIONS(5938),
    [anon_sym_unsigned] = ACTIONS(5938),
    [anon_sym_long] = ACTIONS(5938),
    [anon_sym_short] = ACTIONS(5938),
    [anon_sym_LBRACK] = ACTIONS(5931),
    [anon_sym_EQ] = ACTIONS(5933),
    [anon_sym_static] = ACTIONS(5931),
    [anon_sym_register] = ACTIONS(5931),
    [anon_sym_inline] = ACTIONS(5931),
    [anon_sym___inline] = ACTIONS(5931),
    [anon_sym___inline__] = ACTIONS(5931),
    [anon_sym___forceinline] = ACTIONS(5931),
    [anon_sym_thread_local] = ACTIONS(5931),
    [anon_sym___thread] = ACTIONS(5931),
    [anon_sym_const] = ACTIONS(5931),
    [anon_sym_constexpr] = ACTIONS(5931),
    [anon_sym_volatile] = ACTIONS(5931),
    [anon_sym_restrict] = ACTIONS(5931),
    [anon_sym___restrict__] = ACTIONS(5931),
    [anon_sym__Atomic] = ACTIONS(5931),
    [anon_sym__Noreturn] = ACTIONS(5931),
    [anon_sym_noreturn] = ACTIONS(5931),
    [anon_sym_mutable] = ACTIONS(5931),
    [anon_sym_constinit] = ACTIONS(5931),
    [anon_sym_consteval] = ACTIONS(5931),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5931),
    [anon_sym_decltype] = ACTIONS(5931),
    [anon_sym_virtual] = ACTIONS(5931),
    [anon_sym_alignas] = ACTIONS(5931),
    [anon_sym_template] = ACTIONS(5931),
    [anon_sym_operator] = ACTIONS(5931),
    [anon_sym_precise] = ACTIONS(5931),
    [anon_sym_shared] = ACTIONS(5931),
    [anon_sym_groupshared] = ACTIONS(5931),
    [anon_sym_uniform] = ACTIONS(5931),
    [anon_sym_row_major] = ACTIONS(5931),
    [anon_sym_column_major] = ACTIONS(5931),
    [anon_sym_globallycoherent] = ACTIONS(5931),
    [anon_sym_centroid] = ACTIONS(5931),
    [anon_sym_noperspective] = ACTIONS(5931),
    [anon_sym_nointerpolation] = ACTIONS(5931),
    [anon_sym_sample] = ACTIONS(5931),
    [anon_sym_linear] = ACTIONS(5931),
    [anon_sym_snorm] = ACTIONS(5931),
    [anon_sym_unorm] = ACTIONS(5931),
    [anon_sym_point] = ACTIONS(5931),
    [anon_sym_line] = ACTIONS(5931),
    [anon_sym_triangleadj] = ACTIONS(5931),
    [anon_sym_lineadj] = ACTIONS(5931),
    [anon_sym_triangle] = ACTIONS(5931),
  },
  [3135] = {
    [sym_identifier] = ACTIONS(3142),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3144),
    [anon_sym_COMMA] = ACTIONS(3144),
    [anon_sym_RPAREN] = ACTIONS(3144),
    [anon_sym_LPAREN2] = ACTIONS(3144),
    [anon_sym_TILDE] = ACTIONS(3144),
    [anon_sym_STAR] = ACTIONS(3144),
    [anon_sym_AMP_AMP] = ACTIONS(3144),
    [anon_sym_AMP] = ACTIONS(3142),
    [anon_sym_COLON] = ACTIONS(3142),
    [anon_sym_SEMI] = ACTIONS(3144),
    [anon_sym___extension__] = ACTIONS(3142),
    [anon_sym_in] = ACTIONS(3142),
    [anon_sym_out] = ACTIONS(3142),
    [anon_sym_inout] = ACTIONS(3142),
    [anon_sym_extern] = ACTIONS(3142),
    [anon_sym___attribute__] = ACTIONS(3142),
    [anon_sym_COLON_COLON] = ACTIONS(3144),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3144),
    [anon_sym___declspec] = ACTIONS(3142),
    [anon_sym___based] = ACTIONS(3142),
    [anon_sym___cdecl] = ACTIONS(3142),
    [anon_sym___clrcall] = ACTIONS(3142),
    [anon_sym___stdcall] = ACTIONS(3142),
    [anon_sym___fastcall] = ACTIONS(3142),
    [anon_sym___thiscall] = ACTIONS(3142),
    [anon_sym___vectorcall] = ACTIONS(3142),
    [anon_sym_LBRACK] = ACTIONS(3142),
    [anon_sym_EQ] = ACTIONS(3144),
    [anon_sym_static] = ACTIONS(3142),
    [anon_sym_register] = ACTIONS(3142),
    [anon_sym_inline] = ACTIONS(3142),
    [anon_sym___inline] = ACTIONS(3142),
    [anon_sym___inline__] = ACTIONS(3142),
    [anon_sym___forceinline] = ACTIONS(3142),
    [anon_sym_thread_local] = ACTIONS(3142),
    [anon_sym___thread] = ACTIONS(3142),
    [anon_sym_const] = ACTIONS(3142),
    [anon_sym_constexpr] = ACTIONS(3142),
    [anon_sym_volatile] = ACTIONS(3142),
    [anon_sym_restrict] = ACTIONS(3142),
    [anon_sym___restrict__] = ACTIONS(3142),
    [anon_sym__Atomic] = ACTIONS(3142),
    [anon_sym__Noreturn] = ACTIONS(3142),
    [anon_sym_noreturn] = ACTIONS(3142),
    [anon_sym_mutable] = ACTIONS(3142),
    [anon_sym_constinit] = ACTIONS(3142),
    [anon_sym_consteval] = ACTIONS(3142),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3142),
    [anon_sym_virtual] = ACTIONS(3142),
    [anon_sym_alignas] = ACTIONS(3142),
    [anon_sym_explicit] = ACTIONS(3142),
    [anon_sym_template] = ACTIONS(3142),
    [anon_sym_GT2] = ACTIONS(3144),
    [anon_sym_operator] = ACTIONS(3142),
    [anon_sym_precise] = ACTIONS(3142),
    [anon_sym_shared] = ACTIONS(3142),
    [anon_sym_groupshared] = ACTIONS(3142),
    [anon_sym_uniform] = ACTIONS(3142),
    [anon_sym_row_major] = ACTIONS(3142),
    [anon_sym_column_major] = ACTIONS(3142),
    [anon_sym_globallycoherent] = ACTIONS(3142),
    [anon_sym_centroid] = ACTIONS(3142),
    [anon_sym_noperspective] = ACTIONS(3142),
    [anon_sym_nointerpolation] = ACTIONS(3142),
    [anon_sym_sample] = ACTIONS(3142),
    [anon_sym_linear] = ACTIONS(3142),
    [anon_sym_snorm] = ACTIONS(3142),
    [anon_sym_unorm] = ACTIONS(3142),
    [anon_sym_point] = ACTIONS(3142),
    [anon_sym_line] = ACTIONS(3142),
    [anon_sym_triangleadj] = ACTIONS(3142),
    [anon_sym_lineadj] = ACTIONS(3142),
    [anon_sym_triangle] = ACTIONS(3142),
  },
  [3136] = {
    [sym_identifier] = ACTIONS(6264),
    [anon_sym_LPAREN2] = ACTIONS(6266),
    [anon_sym_BANG] = ACTIONS(6266),
    [anon_sym_TILDE] = ACTIONS(6266),
    [anon_sym_DASH] = ACTIONS(6264),
    [anon_sym_PLUS] = ACTIONS(6264),
    [anon_sym_STAR] = ACTIONS(6266),
    [anon_sym_AMP] = ACTIONS(6266),
    [anon_sym_SEMI] = ACTIONS(6266),
    [anon_sym_COLON_COLON] = ACTIONS(6266),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(6266),
    [anon_sym_LBRACE] = ACTIONS(6266),
    [anon_sym_LBRACK] = ACTIONS(6264),
    [sym_primitive_type] = ACTIONS(6264),
    [anon_sym_if] = ACTIONS(6264),
    [anon_sym_switch] = ACTIONS(6264),
    [anon_sym_case] = ACTIONS(6264),
    [anon_sym_default] = ACTIONS(6264),
    [anon_sym_while] = ACTIONS(6264),
    [anon_sym_do] = ACTIONS(6264),
    [anon_sym_for] = ACTIONS(6264),
    [anon_sym_return] = ACTIONS(6264),
    [anon_sym_break] = ACTIONS(6264),
    [anon_sym_continue] = ACTIONS(6264),
    [anon_sym_goto] = ACTIONS(6264),
    [anon_sym___try] = ACTIONS(6264),
    [anon_sym___leave] = ACTIONS(6264),
    [anon_sym_not] = ACTIONS(6264),
    [anon_sym_compl] = ACTIONS(6264),
    [anon_sym_DASH_DASH] = ACTIONS(6266),
    [anon_sym_PLUS_PLUS] = ACTIONS(6266),
    [anon_sym_sizeof] = ACTIONS(6264),
    [anon_sym___alignof__] = ACTIONS(6264),
    [anon_sym___alignof] = ACTIONS(6264),
    [anon_sym__alignof] = ACTIONS(6264),
    [anon_sym_alignof] = ACTIONS(6264),
    [anon_sym__Alignof] = ACTIONS(6264),
    [anon_sym_offsetof] = ACTIONS(6264),
    [anon_sym__Generic] = ACTIONS(6264),
    [anon_sym_asm] = ACTIONS(6264),
    [anon_sym___asm__] = ACTIONS(6264),
    [sym_number_literal] = ACTIONS(6266),
    [anon_sym_L_SQUOTE] = ACTIONS(6266),
    [anon_sym_u_SQUOTE] = ACTIONS(6266),
    [anon_sym_U_SQUOTE] = ACTIONS(6266),
    [anon_sym_u8_SQUOTE] = ACTIONS(6266),
    [anon_sym_SQUOTE] = ACTIONS(6266),
    [anon_sym_L_DQUOTE] = ACTIONS(6266),
    [anon_sym_u_DQUOTE] = ACTIONS(6266),
    [anon_sym_U_DQUOTE] = ACTIONS(6266),
    [anon_sym_u8_DQUOTE] = ACTIONS(6266),
    [anon_sym_DQUOTE] = ACTIONS(6266),
    [sym_true] = ACTIONS(6264),
    [sym_false] = ACTIONS(6264),
    [anon_sym_NULL] = ACTIONS(6264),
    [anon_sym_nullptr] = ACTIONS(6264),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(6264),
    [anon_sym_template] = ACTIONS(6264),
    [anon_sym_try] = ACTIONS(6264),
    [anon_sym_delete] = ACTIONS(6264),
    [anon_sym_throw] = ACTIONS(6264),
    [anon_sym_co_return] = ACTIONS(6264),
    [anon_sym_co_yield] = ACTIONS(6264),
    [anon_sym_R_DQUOTE] = ACTIONS(6266),
    [anon_sym_LR_DQUOTE] = ACTIONS(6266),
    [anon_sym_uR_DQUOTE] = ACTIONS(6266),
    [anon_sym_UR_DQUOTE] = ACTIONS(6266),
    [anon_sym_u8R_DQUOTE] = ACTIONS(6266),
    [anon_sym_co_await] = ACTIONS(6264),
    [anon_sym_new] = ACTIONS(6264),
    [anon_sym_requires] = ACTIONS(6264),
    [sym_this] = ACTIONS(6264),
    [anon_sym_discard] = ACTIONS(6264),
    [anon_sym_cbuffer] = ACTIONS(6264),
  },
  [3137] = {
    [sym_string_literal] = STATE(3137),
    [sym_raw_string_literal] = STATE(3137),
    [aux_sym_concatenated_string_repeat1] = STATE(3137),
    [sym_identifier] = ACTIONS(6268),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6271),
    [anon_sym_COMMA] = ACTIONS(6271),
    [anon_sym_RPAREN] = ACTIONS(6271),
    [aux_sym_preproc_if_token2] = ACTIONS(6271),
    [aux_sym_preproc_else_token1] = ACTIONS(6271),
    [aux_sym_preproc_elif_token1] = ACTIONS(6273),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(6271),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(6271),
    [anon_sym_LPAREN2] = ACTIONS(6271),
    [anon_sym_DASH] = ACTIONS(6273),
    [anon_sym_PLUS] = ACTIONS(6273),
    [anon_sym_STAR] = ACTIONS(6273),
    [anon_sym_SLASH] = ACTIONS(6273),
    [anon_sym_PERCENT] = ACTIONS(6273),
    [anon_sym_PIPE_PIPE] = ACTIONS(6271),
    [anon_sym_AMP_AMP] = ACTIONS(6271),
    [anon_sym_PIPE] = ACTIONS(6273),
    [anon_sym_CARET] = ACTIONS(6273),
    [anon_sym_AMP] = ACTIONS(6273),
    [anon_sym_EQ_EQ] = ACTIONS(6271),
    [anon_sym_BANG_EQ] = ACTIONS(6271),
    [anon_sym_GT] = ACTIONS(6273),
    [anon_sym_GT_EQ] = ACTIONS(6271),
    [anon_sym_LT_EQ] = ACTIONS(6273),
    [anon_sym_LT] = ACTIONS(6273),
    [anon_sym_LT_LT] = ACTIONS(6273),
    [anon_sym_GT_GT] = ACTIONS(6273),
    [anon_sym_COLON] = ACTIONS(6271),
    [anon_sym_SEMI] = ACTIONS(6271),
    [anon_sym_RBRACE] = ACTIONS(6271),
    [anon_sym_LBRACK] = ACTIONS(6271),
    [anon_sym_RBRACK] = ACTIONS(6271),
    [anon_sym_EQ] = ACTIONS(6273),
    [anon_sym_QMARK] = ACTIONS(6271),
    [anon_sym_STAR_EQ] = ACTIONS(6271),
    [anon_sym_SLASH_EQ] = ACTIONS(6271),
    [anon_sym_PERCENT_EQ] = ACTIONS(6271),
    [anon_sym_PLUS_EQ] = ACTIONS(6271),
    [anon_sym_DASH_EQ] = ACTIONS(6271),
    [anon_sym_LT_LT_EQ] = ACTIONS(6271),
    [anon_sym_GT_GT_EQ] = ACTIONS(6271),
    [anon_sym_AMP_EQ] = ACTIONS(6271),
    [anon_sym_CARET_EQ] = ACTIONS(6271),
    [anon_sym_PIPE_EQ] = ACTIONS(6271),
    [anon_sym_and_eq] = ACTIONS(6273),
    [anon_sym_or_eq] = ACTIONS(6273),
    [anon_sym_xor_eq] = ACTIONS(6273),
    [anon_sym_LT_EQ_GT] = ACTIONS(6271),
    [anon_sym_or] = ACTIONS(6273),
    [anon_sym_and] = ACTIONS(6273),
    [anon_sym_bitor] = ACTIONS(6273),
    [anon_sym_xor] = ACTIONS(6273),
    [anon_sym_bitand] = ACTIONS(6273),
    [anon_sym_not_eq] = ACTIONS(6273),
    [anon_sym_DASH_DASH] = ACTIONS(6271),
    [anon_sym_PLUS_PLUS] = ACTIONS(6271),
    [anon_sym_DOT] = ACTIONS(6273),
    [anon_sym_DOT_STAR] = ACTIONS(6271),
    [anon_sym_DASH_GT] = ACTIONS(6271),
    [anon_sym_L_DQUOTE] = ACTIONS(6275),
    [anon_sym_u_DQUOTE] = ACTIONS(6275),
    [anon_sym_U_DQUOTE] = ACTIONS(6275),
    [anon_sym_u8_DQUOTE] = ACTIONS(6275),
    [anon_sym_DQUOTE] = ACTIONS(6275),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(6278),
    [anon_sym_LR_DQUOTE] = ACTIONS(6278),
    [anon_sym_uR_DQUOTE] = ACTIONS(6278),
    [anon_sym_UR_DQUOTE] = ACTIONS(6278),
    [anon_sym_u8R_DQUOTE] = ACTIONS(6278),
    [sym_literal_suffix] = ACTIONS(6273),
  },
  [3138] = {
    [sym__declaration_modifiers] = STATE(3138),
    [sym_attribute_specifier] = STATE(3138),
    [sym_attribute_declaration] = STATE(3138),
    [sym_ms_declspec_modifier] = STATE(3138),
    [sym_storage_class_specifier] = STATE(3138),
    [sym_type_qualifier] = STATE(3138),
    [sym_virtual] = STATE(3138),
    [sym_alignas_specifier] = STATE(3138),
    [sym_explicit_function_specifier] = STATE(3138),
    [sym__constructor_specifiers] = STATE(3138),
    [sym_qualifiers] = STATE(3138),
    [aux_sym_operator_cast_definition_repeat1] = STATE(3138),
    [sym_identifier] = ACTIONS(6281),
    [anon_sym_LPAREN2] = ACTIONS(6283),
    [anon_sym_TILDE] = ACTIONS(6283),
    [anon_sym_STAR] = ACTIONS(6283),
    [anon_sym_AMP_AMP] = ACTIONS(6283),
    [anon_sym_AMP] = ACTIONS(6281),
    [anon_sym___extension__] = ACTIONS(6285),
    [anon_sym_in] = ACTIONS(6288),
    [anon_sym_out] = ACTIONS(6288),
    [anon_sym_inout] = ACTIONS(6288),
    [anon_sym_extern] = ACTIONS(6291),
    [anon_sym___attribute__] = ACTIONS(6294),
    [anon_sym_COLON_COLON] = ACTIONS(6283),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(6297),
    [anon_sym___declspec] = ACTIONS(6300),
    [anon_sym___based] = ACTIONS(6281),
    [anon_sym_LBRACK] = ACTIONS(6281),
    [anon_sym_static] = ACTIONS(6291),
    [anon_sym_register] = ACTIONS(6291),
    [anon_sym_inline] = ACTIONS(6291),
    [anon_sym___inline] = ACTIONS(6291),
    [anon_sym___inline__] = ACTIONS(6291),
    [anon_sym___forceinline] = ACTIONS(6291),
    [anon_sym_thread_local] = ACTIONS(6291),
    [anon_sym___thread] = ACTIONS(6291),
    [anon_sym_const] = ACTIONS(6285),
    [anon_sym_constexpr] = ACTIONS(6285),
    [anon_sym_volatile] = ACTIONS(6285),
    [anon_sym_restrict] = ACTIONS(6285),
    [anon_sym___restrict__] = ACTIONS(6285),
    [anon_sym__Atomic] = ACTIONS(6285),
    [anon_sym__Noreturn] = ACTIONS(6285),
    [anon_sym_noreturn] = ACTIONS(6285),
    [anon_sym_mutable] = ACTIONS(6285),
    [anon_sym_constinit] = ACTIONS(6285),
    [anon_sym_consteval] = ACTIONS(6285),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(6281),
    [anon_sym_virtual] = ACTIONS(6303),
    [anon_sym_alignas] = ACTIONS(6306),
    [anon_sym_explicit] = ACTIONS(6309),
    [anon_sym_template] = ACTIONS(6281),
    [anon_sym_operator] = ACTIONS(6281),
    [anon_sym_precise] = ACTIONS(6312),
    [anon_sym_shared] = ACTIONS(6312),
    [anon_sym_groupshared] = ACTIONS(6312),
    [anon_sym_uniform] = ACTIONS(6312),
    [anon_sym_row_major] = ACTIONS(6312),
    [anon_sym_column_major] = ACTIONS(6312),
    [anon_sym_globallycoherent] = ACTIONS(6312),
    [anon_sym_centroid] = ACTIONS(6312),
    [anon_sym_noperspective] = ACTIONS(6312),
    [anon_sym_nointerpolation] = ACTIONS(6312),
    [anon_sym_sample] = ACTIONS(6312),
    [anon_sym_linear] = ACTIONS(6312),
    [anon_sym_snorm] = ACTIONS(6312),
    [anon_sym_unorm] = ACTIONS(6312),
    [anon_sym_point] = ACTIONS(6312),
    [anon_sym_line] = ACTIONS(6312),
    [anon_sym_triangleadj] = ACTIONS(6312),
    [anon_sym_lineadj] = ACTIONS(6312),
    [anon_sym_triangle] = ACTIONS(6312),
  },
  [3139] = {
    [sym_template_argument_list] = STATE(3017),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3027),
    [sym_identifier] = ACTIONS(4211),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4219),
    [anon_sym_COMMA] = ACTIONS(6315),
    [anon_sym_LPAREN2] = ACTIONS(4219),
    [anon_sym_TILDE] = ACTIONS(4219),
    [anon_sym_STAR] = ACTIONS(4219),
    [anon_sym_AMP_AMP] = ACTIONS(4219),
    [anon_sym_AMP] = ACTIONS(4211),
    [anon_sym_LT] = ACTIONS(6249),
    [anon_sym_COLON] = ACTIONS(4211),
    [anon_sym___extension__] = ACTIONS(4211),
    [anon_sym_in] = ACTIONS(4211),
    [anon_sym_out] = ACTIONS(4211),
    [anon_sym_inout] = ACTIONS(4211),
    [anon_sym_extern] = ACTIONS(4211),
    [anon_sym___attribute__] = ACTIONS(4211),
    [anon_sym_COLON_COLON] = ACTIONS(2230),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4219),
    [anon_sym___declspec] = ACTIONS(4211),
    [anon_sym___based] = ACTIONS(4211),
    [anon_sym_signed] = ACTIONS(4237),
    [anon_sym_unsigned] = ACTIONS(4237),
    [anon_sym_long] = ACTIONS(4237),
    [anon_sym_short] = ACTIONS(4237),
    [anon_sym_LBRACK] = ACTIONS(4211),
    [anon_sym_EQ] = ACTIONS(6317),
    [anon_sym_static] = ACTIONS(4211),
    [anon_sym_register] = ACTIONS(4211),
    [anon_sym_inline] = ACTIONS(4211),
    [anon_sym___inline] = ACTIONS(4211),
    [anon_sym___inline__] = ACTIONS(4211),
    [anon_sym___forceinline] = ACTIONS(4211),
    [anon_sym_thread_local] = ACTIONS(4211),
    [anon_sym___thread] = ACTIONS(4211),
    [anon_sym_const] = ACTIONS(4211),
    [anon_sym_constexpr] = ACTIONS(4211),
    [anon_sym_volatile] = ACTIONS(4211),
    [anon_sym_restrict] = ACTIONS(4211),
    [anon_sym___restrict__] = ACTIONS(4211),
    [anon_sym__Atomic] = ACTIONS(4211),
    [anon_sym__Noreturn] = ACTIONS(4211),
    [anon_sym_noreturn] = ACTIONS(4211),
    [anon_sym_mutable] = ACTIONS(4211),
    [anon_sym_constinit] = ACTIONS(4211),
    [anon_sym_consteval] = ACTIONS(4211),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4211),
    [anon_sym_decltype] = ACTIONS(4211),
    [anon_sym_virtual] = ACTIONS(4211),
    [anon_sym_alignas] = ACTIONS(4211),
    [anon_sym_template] = ACTIONS(4211),
    [anon_sym_GT2] = ACTIONS(6315),
    [anon_sym_operator] = ACTIONS(4211),
    [anon_sym_precise] = ACTIONS(4211),
    [anon_sym_shared] = ACTIONS(4211),
    [anon_sym_groupshared] = ACTIONS(4211),
    [anon_sym_uniform] = ACTIONS(4211),
    [anon_sym_row_major] = ACTIONS(4211),
    [anon_sym_column_major] = ACTIONS(4211),
    [anon_sym_globallycoherent] = ACTIONS(4211),
    [anon_sym_centroid] = ACTIONS(4211),
    [anon_sym_noperspective] = ACTIONS(4211),
    [anon_sym_nointerpolation] = ACTIONS(4211),
    [anon_sym_sample] = ACTIONS(4211),
    [anon_sym_linear] = ACTIONS(4211),
    [anon_sym_snorm] = ACTIONS(4211),
    [anon_sym_unorm] = ACTIONS(4211),
    [anon_sym_point] = ACTIONS(4211),
    [anon_sym_line] = ACTIONS(4211),
    [anon_sym_triangleadj] = ACTIONS(4211),
    [anon_sym_lineadj] = ACTIONS(4211),
    [anon_sym_triangle] = ACTIONS(4211),
  },
  [3140] = {
    [sym_identifier] = ACTIONS(3142),
    [anon_sym_LPAREN2] = ACTIONS(3144),
    [anon_sym_TILDE] = ACTIONS(3144),
    [anon_sym_STAR] = ACTIONS(3144),
    [anon_sym_AMP_AMP] = ACTIONS(3144),
    [anon_sym_AMP] = ACTIONS(3142),
    [anon_sym___extension__] = ACTIONS(3142),
    [anon_sym_typedef] = ACTIONS(6319),
    [anon_sym_in] = ACTIONS(3142),
    [anon_sym_out] = ACTIONS(3142),
    [anon_sym_inout] = ACTIONS(3142),
    [anon_sym_extern] = ACTIONS(3142),
    [anon_sym___attribute__] = ACTIONS(3142),
    [anon_sym_COLON_COLON] = ACTIONS(3144),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3144),
    [anon_sym___declspec] = ACTIONS(3142),
    [anon_sym___based] = ACTIONS(3142),
    [anon_sym_signed] = ACTIONS(3142),
    [anon_sym_unsigned] = ACTIONS(3142),
    [anon_sym_long] = ACTIONS(3142),
    [anon_sym_short] = ACTIONS(3142),
    [anon_sym_LBRACK] = ACTIONS(3142),
    [anon_sym_static] = ACTIONS(3142),
    [anon_sym_register] = ACTIONS(3142),
    [anon_sym_inline] = ACTIONS(3142),
    [anon_sym___inline] = ACTIONS(3142),
    [anon_sym___inline__] = ACTIONS(3142),
    [anon_sym___forceinline] = ACTIONS(3142),
    [anon_sym_thread_local] = ACTIONS(3142),
    [anon_sym___thread] = ACTIONS(3142),
    [anon_sym_const] = ACTIONS(3142),
    [anon_sym_constexpr] = ACTIONS(3142),
    [anon_sym_volatile] = ACTIONS(3142),
    [anon_sym_restrict] = ACTIONS(3142),
    [anon_sym___restrict__] = ACTIONS(3142),
    [anon_sym__Atomic] = ACTIONS(3142),
    [anon_sym__Noreturn] = ACTIONS(3142),
    [anon_sym_noreturn] = ACTIONS(3142),
    [anon_sym_mutable] = ACTIONS(3142),
    [anon_sym_constinit] = ACTIONS(3142),
    [anon_sym_consteval] = ACTIONS(3142),
    [sym_primitive_type] = ACTIONS(3142),
    [anon_sym_enum] = ACTIONS(3142),
    [anon_sym_class] = ACTIONS(3142),
    [anon_sym_struct] = ACTIONS(3142),
    [anon_sym_union] = ACTIONS(3142),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3142),
    [anon_sym_decltype] = ACTIONS(3142),
    [anon_sym_virtual] = ACTIONS(3142),
    [anon_sym_alignas] = ACTIONS(3142),
    [anon_sym_explicit] = ACTIONS(3142),
    [anon_sym_typename] = ACTIONS(3142),
    [anon_sym_template] = ACTIONS(3142),
    [anon_sym_operator] = ACTIONS(3142),
    [anon_sym_precise] = ACTIONS(3142),
    [anon_sym_shared] = ACTIONS(3142),
    [anon_sym_groupshared] = ACTIONS(3142),
    [anon_sym_uniform] = ACTIONS(3142),
    [anon_sym_row_major] = ACTIONS(3142),
    [anon_sym_column_major] = ACTIONS(3142),
    [anon_sym_globallycoherent] = ACTIONS(3142),
    [anon_sym_centroid] = ACTIONS(3142),
    [anon_sym_noperspective] = ACTIONS(3142),
    [anon_sym_nointerpolation] = ACTIONS(3142),
    [anon_sym_sample] = ACTIONS(3142),
    [anon_sym_linear] = ACTIONS(3142),
    [anon_sym_snorm] = ACTIONS(3142),
    [anon_sym_unorm] = ACTIONS(3142),
    [anon_sym_point] = ACTIONS(3142),
    [anon_sym_line] = ACTIONS(3142),
    [anon_sym_triangleadj] = ACTIONS(3142),
    [anon_sym_lineadj] = ACTIONS(3142),
    [anon_sym_triangle] = ACTIONS(3142),
  },
  [3141] = {
    [sym__declaration_modifiers] = STATE(3141),
    [sym_attribute_specifier] = STATE(3141),
    [sym_attribute_declaration] = STATE(3141),
    [sym_ms_declspec_modifier] = STATE(3141),
    [sym_storage_class_specifier] = STATE(3141),
    [sym_type_qualifier] = STATE(3141),
    [sym_virtual] = STATE(3141),
    [sym_alignas_specifier] = STATE(3141),
    [sym_qualifiers] = STATE(3141),
    [aux_sym__declaration_specifiers_repeat1] = STATE(3141),
    [sym_identifier] = ACTIONS(5861),
    [anon_sym___extension__] = ACTIONS(6321),
    [anon_sym_in] = ACTIONS(6324),
    [anon_sym_out] = ACTIONS(6324),
    [anon_sym_inout] = ACTIONS(6324),
    [anon_sym_extern] = ACTIONS(6327),
    [anon_sym___attribute__] = ACTIONS(6330),
    [anon_sym_COLON_COLON] = ACTIONS(5863),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(6333),
    [anon_sym___declspec] = ACTIONS(6336),
    [anon_sym_signed] = ACTIONS(5861),
    [anon_sym_unsigned] = ACTIONS(5861),
    [anon_sym_long] = ACTIONS(5861),
    [anon_sym_short] = ACTIONS(5861),
    [anon_sym_static] = ACTIONS(6327),
    [anon_sym_register] = ACTIONS(6327),
    [anon_sym_inline] = ACTIONS(6327),
    [anon_sym___inline] = ACTIONS(6327),
    [anon_sym___inline__] = ACTIONS(6327),
    [anon_sym___forceinline] = ACTIONS(6327),
    [anon_sym_thread_local] = ACTIONS(6327),
    [anon_sym___thread] = ACTIONS(6327),
    [anon_sym_const] = ACTIONS(6321),
    [anon_sym_constexpr] = ACTIONS(6321),
    [anon_sym_volatile] = ACTIONS(6321),
    [anon_sym_restrict] = ACTIONS(6321),
    [anon_sym___restrict__] = ACTIONS(6321),
    [anon_sym__Atomic] = ACTIONS(6321),
    [anon_sym__Noreturn] = ACTIONS(6321),
    [anon_sym_noreturn] = ACTIONS(6321),
    [anon_sym_mutable] = ACTIONS(6321),
    [anon_sym_constinit] = ACTIONS(6321),
    [anon_sym_consteval] = ACTIONS(6321),
    [sym_primitive_type] = ACTIONS(5861),
    [anon_sym_enum] = ACTIONS(5861),
    [anon_sym_class] = ACTIONS(5861),
    [anon_sym_struct] = ACTIONS(5861),
    [anon_sym_union] = ACTIONS(5861),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5861),
    [anon_sym_decltype] = ACTIONS(5861),
    [anon_sym_virtual] = ACTIONS(6339),
    [anon_sym_alignas] = ACTIONS(6342),
    [anon_sym_typename] = ACTIONS(5861),
    [anon_sym_template] = ACTIONS(5861),
    [anon_sym_precise] = ACTIONS(6345),
    [anon_sym_shared] = ACTIONS(6345),
    [anon_sym_groupshared] = ACTIONS(6345),
    [anon_sym_uniform] = ACTIONS(6345),
    [anon_sym_row_major] = ACTIONS(6345),
    [anon_sym_column_major] = ACTIONS(6345),
    [anon_sym_globallycoherent] = ACTIONS(6345),
    [anon_sym_centroid] = ACTIONS(6345),
    [anon_sym_noperspective] = ACTIONS(6345),
    [anon_sym_nointerpolation] = ACTIONS(6345),
    [anon_sym_sample] = ACTIONS(6345),
    [anon_sym_linear] = ACTIONS(6345),
    [anon_sym_snorm] = ACTIONS(6345),
    [anon_sym_unorm] = ACTIONS(6345),
    [anon_sym_point] = ACTIONS(6345),
    [anon_sym_line] = ACTIONS(6345),
    [anon_sym_triangleadj] = ACTIONS(6345),
    [anon_sym_lineadj] = ACTIONS(6345),
    [anon_sym_triangle] = ACTIONS(6345),
  },
  [3142] = {
    [sym_identifier] = ACTIONS(3142),
    [anon_sym_LPAREN2] = ACTIONS(3144),
    [anon_sym_TILDE] = ACTIONS(3144),
    [anon_sym_STAR] = ACTIONS(3144),
    [anon_sym_AMP_AMP] = ACTIONS(3144),
    [anon_sym_AMP] = ACTIONS(3142),
    [anon_sym___extension__] = ACTIONS(3142),
    [anon_sym_typedef] = ACTIONS(6348),
    [anon_sym_in] = ACTIONS(3142),
    [anon_sym_out] = ACTIONS(3142),
    [anon_sym_inout] = ACTIONS(3142),
    [anon_sym_extern] = ACTIONS(3142),
    [anon_sym___attribute__] = ACTIONS(3142),
    [anon_sym_COLON_COLON] = ACTIONS(3144),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3144),
    [anon_sym___declspec] = ACTIONS(3142),
    [anon_sym___based] = ACTIONS(3142),
    [anon_sym_signed] = ACTIONS(3142),
    [anon_sym_unsigned] = ACTIONS(3142),
    [anon_sym_long] = ACTIONS(3142),
    [anon_sym_short] = ACTIONS(3142),
    [anon_sym_LBRACK] = ACTIONS(3142),
    [anon_sym_static] = ACTIONS(3142),
    [anon_sym_register] = ACTIONS(3142),
    [anon_sym_inline] = ACTIONS(3142),
    [anon_sym___inline] = ACTIONS(3142),
    [anon_sym___inline__] = ACTIONS(3142),
    [anon_sym___forceinline] = ACTIONS(3142),
    [anon_sym_thread_local] = ACTIONS(3142),
    [anon_sym___thread] = ACTIONS(3142),
    [anon_sym_const] = ACTIONS(3142),
    [anon_sym_constexpr] = ACTIONS(3142),
    [anon_sym_volatile] = ACTIONS(3142),
    [anon_sym_restrict] = ACTIONS(3142),
    [anon_sym___restrict__] = ACTIONS(3142),
    [anon_sym__Atomic] = ACTIONS(3142),
    [anon_sym__Noreturn] = ACTIONS(3142),
    [anon_sym_noreturn] = ACTIONS(3142),
    [anon_sym_mutable] = ACTIONS(3142),
    [anon_sym_constinit] = ACTIONS(3142),
    [anon_sym_consteval] = ACTIONS(3142),
    [sym_primitive_type] = ACTIONS(3142),
    [anon_sym_enum] = ACTIONS(3142),
    [anon_sym_class] = ACTIONS(3142),
    [anon_sym_struct] = ACTIONS(3142),
    [anon_sym_union] = ACTIONS(3142),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3142),
    [anon_sym_decltype] = ACTIONS(3142),
    [anon_sym_virtual] = ACTIONS(3142),
    [anon_sym_alignas] = ACTIONS(3142),
    [anon_sym_explicit] = ACTIONS(3142),
    [anon_sym_typename] = ACTIONS(3142),
    [anon_sym_template] = ACTIONS(3142),
    [anon_sym_operator] = ACTIONS(3142),
    [anon_sym_precise] = ACTIONS(3142),
    [anon_sym_shared] = ACTIONS(3142),
    [anon_sym_groupshared] = ACTIONS(3142),
    [anon_sym_uniform] = ACTIONS(3142),
    [anon_sym_row_major] = ACTIONS(3142),
    [anon_sym_column_major] = ACTIONS(3142),
    [anon_sym_globallycoherent] = ACTIONS(3142),
    [anon_sym_centroid] = ACTIONS(3142),
    [anon_sym_noperspective] = ACTIONS(3142),
    [anon_sym_nointerpolation] = ACTIONS(3142),
    [anon_sym_sample] = ACTIONS(3142),
    [anon_sym_linear] = ACTIONS(3142),
    [anon_sym_snorm] = ACTIONS(3142),
    [anon_sym_unorm] = ACTIONS(3142),
    [anon_sym_point] = ACTIONS(3142),
    [anon_sym_line] = ACTIONS(3142),
    [anon_sym_triangleadj] = ACTIONS(3142),
    [anon_sym_lineadj] = ACTIONS(3142),
    [anon_sym_triangle] = ACTIONS(3142),
  },
  [3143] = {
    [sym_identifier] = ACTIONS(3142),
    [anon_sym_LPAREN2] = ACTIONS(3144),
    [anon_sym_TILDE] = ACTIONS(3144),
    [anon_sym_STAR] = ACTIONS(3144),
    [anon_sym_AMP_AMP] = ACTIONS(3144),
    [anon_sym_AMP] = ACTIONS(3142),
    [anon_sym___extension__] = ACTIONS(3142),
    [anon_sym_typedef] = ACTIONS(6350),
    [anon_sym_in] = ACTIONS(3142),
    [anon_sym_out] = ACTIONS(3142),
    [anon_sym_inout] = ACTIONS(3142),
    [anon_sym_extern] = ACTIONS(3142),
    [anon_sym___attribute__] = ACTIONS(3142),
    [anon_sym_COLON_COLON] = ACTIONS(3144),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3144),
    [anon_sym___declspec] = ACTIONS(3142),
    [anon_sym___based] = ACTIONS(3142),
    [anon_sym_signed] = ACTIONS(3142),
    [anon_sym_unsigned] = ACTIONS(3142),
    [anon_sym_long] = ACTIONS(3142),
    [anon_sym_short] = ACTIONS(3142),
    [anon_sym_LBRACK] = ACTIONS(3142),
    [anon_sym_static] = ACTIONS(3142),
    [anon_sym_register] = ACTIONS(3142),
    [anon_sym_inline] = ACTIONS(3142),
    [anon_sym___inline] = ACTIONS(3142),
    [anon_sym___inline__] = ACTIONS(3142),
    [anon_sym___forceinline] = ACTIONS(3142),
    [anon_sym_thread_local] = ACTIONS(3142),
    [anon_sym___thread] = ACTIONS(3142),
    [anon_sym_const] = ACTIONS(3142),
    [anon_sym_constexpr] = ACTIONS(3142),
    [anon_sym_volatile] = ACTIONS(3142),
    [anon_sym_restrict] = ACTIONS(3142),
    [anon_sym___restrict__] = ACTIONS(3142),
    [anon_sym__Atomic] = ACTIONS(3142),
    [anon_sym__Noreturn] = ACTIONS(3142),
    [anon_sym_noreturn] = ACTIONS(3142),
    [anon_sym_mutable] = ACTIONS(3142),
    [anon_sym_constinit] = ACTIONS(3142),
    [anon_sym_consteval] = ACTIONS(3142),
    [sym_primitive_type] = ACTIONS(3142),
    [anon_sym_enum] = ACTIONS(3142),
    [anon_sym_class] = ACTIONS(3142),
    [anon_sym_struct] = ACTIONS(3142),
    [anon_sym_union] = ACTIONS(3142),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3142),
    [anon_sym_decltype] = ACTIONS(3142),
    [anon_sym_virtual] = ACTIONS(3142),
    [anon_sym_alignas] = ACTIONS(3142),
    [anon_sym_explicit] = ACTIONS(3142),
    [anon_sym_typename] = ACTIONS(3142),
    [anon_sym_template] = ACTIONS(3142),
    [anon_sym_operator] = ACTIONS(3142),
    [anon_sym_precise] = ACTIONS(3142),
    [anon_sym_shared] = ACTIONS(3142),
    [anon_sym_groupshared] = ACTIONS(3142),
    [anon_sym_uniform] = ACTIONS(3142),
    [anon_sym_row_major] = ACTIONS(3142),
    [anon_sym_column_major] = ACTIONS(3142),
    [anon_sym_globallycoherent] = ACTIONS(3142),
    [anon_sym_centroid] = ACTIONS(3142),
    [anon_sym_noperspective] = ACTIONS(3142),
    [anon_sym_nointerpolation] = ACTIONS(3142),
    [anon_sym_sample] = ACTIONS(3142),
    [anon_sym_linear] = ACTIONS(3142),
    [anon_sym_snorm] = ACTIONS(3142),
    [anon_sym_unorm] = ACTIONS(3142),
    [anon_sym_point] = ACTIONS(3142),
    [anon_sym_line] = ACTIONS(3142),
    [anon_sym_triangleadj] = ACTIONS(3142),
    [anon_sym_lineadj] = ACTIONS(3142),
    [anon_sym_triangle] = ACTIONS(3142),
  },
  [3144] = {
    [sym_identifier] = ACTIONS(6015),
    [anon_sym_LPAREN2] = ACTIONS(6017),
    [anon_sym_TILDE] = ACTIONS(6017),
    [anon_sym_STAR] = ACTIONS(6017),
    [anon_sym_AMP_AMP] = ACTIONS(6017),
    [anon_sym_AMP] = ACTIONS(6015),
    [anon_sym___extension__] = ACTIONS(6015),
    [anon_sym_in] = ACTIONS(6015),
    [anon_sym_out] = ACTIONS(6015),
    [anon_sym_inout] = ACTIONS(6015),
    [anon_sym_extern] = ACTIONS(6015),
    [anon_sym___attribute__] = ACTIONS(6015),
    [anon_sym_COLON_COLON] = ACTIONS(6017),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(6017),
    [anon_sym___declspec] = ACTIONS(6015),
    [anon_sym___based] = ACTIONS(6015),
    [anon_sym_signed] = ACTIONS(6015),
    [anon_sym_unsigned] = ACTIONS(6015),
    [anon_sym_long] = ACTIONS(6015),
    [anon_sym_short] = ACTIONS(6015),
    [anon_sym_LBRACK] = ACTIONS(6015),
    [anon_sym_static] = ACTIONS(6015),
    [anon_sym_register] = ACTIONS(6015),
    [anon_sym_inline] = ACTIONS(6015),
    [anon_sym___inline] = ACTIONS(6015),
    [anon_sym___inline__] = ACTIONS(6015),
    [anon_sym___forceinline] = ACTIONS(6015),
    [anon_sym_thread_local] = ACTIONS(6015),
    [anon_sym___thread] = ACTIONS(6015),
    [anon_sym_const] = ACTIONS(6015),
    [anon_sym_constexpr] = ACTIONS(6015),
    [anon_sym_volatile] = ACTIONS(6015),
    [anon_sym_restrict] = ACTIONS(6015),
    [anon_sym___restrict__] = ACTIONS(6015),
    [anon_sym__Atomic] = ACTIONS(6015),
    [anon_sym__Noreturn] = ACTIONS(6015),
    [anon_sym_noreturn] = ACTIONS(6015),
    [anon_sym_mutable] = ACTIONS(6015),
    [anon_sym_constinit] = ACTIONS(6015),
    [anon_sym_consteval] = ACTIONS(6015),
    [sym_primitive_type] = ACTIONS(6015),
    [anon_sym_enum] = ACTIONS(6015),
    [anon_sym_class] = ACTIONS(6015),
    [anon_sym_struct] = ACTIONS(6015),
    [anon_sym_union] = ACTIONS(6015),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(6015),
    [anon_sym_decltype] = ACTIONS(6015),
    [anon_sym_virtual] = ACTIONS(6015),
    [anon_sym_alignas] = ACTIONS(6015),
    [anon_sym_explicit] = ACTIONS(6015),
    [anon_sym_typename] = ACTIONS(6015),
    [anon_sym_template] = ACTIONS(6015),
    [anon_sym_operator] = ACTIONS(6015),
    [anon_sym_namespace] = ACTIONS(6352),
    [anon_sym_precise] = ACTIONS(6015),
    [anon_sym_shared] = ACTIONS(6015),
    [anon_sym_groupshared] = ACTIONS(6015),
    [anon_sym_uniform] = ACTIONS(6015),
    [anon_sym_row_major] = ACTIONS(6015),
    [anon_sym_column_major] = ACTIONS(6015),
    [anon_sym_globallycoherent] = ACTIONS(6015),
    [anon_sym_centroid] = ACTIONS(6015),
    [anon_sym_noperspective] = ACTIONS(6015),
    [anon_sym_nointerpolation] = ACTIONS(6015),
    [anon_sym_sample] = ACTIONS(6015),
    [anon_sym_linear] = ACTIONS(6015),
    [anon_sym_snorm] = ACTIONS(6015),
    [anon_sym_unorm] = ACTIONS(6015),
    [anon_sym_point] = ACTIONS(6015),
    [anon_sym_line] = ACTIONS(6015),
    [anon_sym_triangleadj] = ACTIONS(6015),
    [anon_sym_lineadj] = ACTIONS(6015),
    [anon_sym_triangle] = ACTIONS(6015),
  },
  [3145] = {
    [sym_identifier] = ACTIONS(6015),
    [anon_sym_LPAREN2] = ACTIONS(6017),
    [anon_sym_TILDE] = ACTIONS(6017),
    [anon_sym_STAR] = ACTIONS(6017),
    [anon_sym_AMP_AMP] = ACTIONS(6017),
    [anon_sym_AMP] = ACTIONS(6015),
    [anon_sym___extension__] = ACTIONS(6015),
    [anon_sym_in] = ACTIONS(6015),
    [anon_sym_out] = ACTIONS(6015),
    [anon_sym_inout] = ACTIONS(6015),
    [anon_sym_extern] = ACTIONS(6015),
    [anon_sym___attribute__] = ACTIONS(6015),
    [anon_sym_COLON_COLON] = ACTIONS(6017),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(6017),
    [anon_sym___declspec] = ACTIONS(6015),
    [anon_sym___based] = ACTIONS(6015),
    [anon_sym_signed] = ACTIONS(6015),
    [anon_sym_unsigned] = ACTIONS(6015),
    [anon_sym_long] = ACTIONS(6015),
    [anon_sym_short] = ACTIONS(6015),
    [anon_sym_LBRACK] = ACTIONS(6015),
    [anon_sym_static] = ACTIONS(6015),
    [anon_sym_register] = ACTIONS(6015),
    [anon_sym_inline] = ACTIONS(6015),
    [anon_sym___inline] = ACTIONS(6015),
    [anon_sym___inline__] = ACTIONS(6015),
    [anon_sym___forceinline] = ACTIONS(6015),
    [anon_sym_thread_local] = ACTIONS(6015),
    [anon_sym___thread] = ACTIONS(6015),
    [anon_sym_const] = ACTIONS(6015),
    [anon_sym_constexpr] = ACTIONS(6015),
    [anon_sym_volatile] = ACTIONS(6015),
    [anon_sym_restrict] = ACTIONS(6015),
    [anon_sym___restrict__] = ACTIONS(6015),
    [anon_sym__Atomic] = ACTIONS(6015),
    [anon_sym__Noreturn] = ACTIONS(6015),
    [anon_sym_noreturn] = ACTIONS(6015),
    [anon_sym_mutable] = ACTIONS(6015),
    [anon_sym_constinit] = ACTIONS(6015),
    [anon_sym_consteval] = ACTIONS(6015),
    [sym_primitive_type] = ACTIONS(6015),
    [anon_sym_enum] = ACTIONS(6015),
    [anon_sym_class] = ACTIONS(6015),
    [anon_sym_struct] = ACTIONS(6015),
    [anon_sym_union] = ACTIONS(6015),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(6015),
    [anon_sym_decltype] = ACTIONS(6015),
    [anon_sym_virtual] = ACTIONS(6015),
    [anon_sym_alignas] = ACTIONS(6015),
    [anon_sym_explicit] = ACTIONS(6015),
    [anon_sym_typename] = ACTIONS(6015),
    [anon_sym_template] = ACTIONS(6015),
    [anon_sym_operator] = ACTIONS(6015),
    [anon_sym_namespace] = ACTIONS(6354),
    [anon_sym_precise] = ACTIONS(6015),
    [anon_sym_shared] = ACTIONS(6015),
    [anon_sym_groupshared] = ACTIONS(6015),
    [anon_sym_uniform] = ACTIONS(6015),
    [anon_sym_row_major] = ACTIONS(6015),
    [anon_sym_column_major] = ACTIONS(6015),
    [anon_sym_globallycoherent] = ACTIONS(6015),
    [anon_sym_centroid] = ACTIONS(6015),
    [anon_sym_noperspective] = ACTIONS(6015),
    [anon_sym_nointerpolation] = ACTIONS(6015),
    [anon_sym_sample] = ACTIONS(6015),
    [anon_sym_linear] = ACTIONS(6015),
    [anon_sym_snorm] = ACTIONS(6015),
    [anon_sym_unorm] = ACTIONS(6015),
    [anon_sym_point] = ACTIONS(6015),
    [anon_sym_line] = ACTIONS(6015),
    [anon_sym_triangleadj] = ACTIONS(6015),
    [anon_sym_lineadj] = ACTIONS(6015),
    [anon_sym_triangle] = ACTIONS(6015),
  },
  [3146] = {
    [sym_attribute_specifier] = STATE(3073),
    [sym_enumerator_list] = STATE(3112),
    [sym__enum_base_clause] = STATE(3074),
    [sym_identifier] = ACTIONS(6356),
    [anon_sym_LPAREN2] = ACTIONS(6358),
    [anon_sym_TILDE] = ACTIONS(6358),
    [anon_sym_STAR] = ACTIONS(6358),
    [anon_sym_AMP_AMP] = ACTIONS(6358),
    [anon_sym_AMP] = ACTIONS(6356),
    [anon_sym_COLON] = ACTIONS(6360),
    [anon_sym_SEMI] = ACTIONS(6358),
    [anon_sym___extension__] = ACTIONS(6356),
    [anon_sym_in] = ACTIONS(6356),
    [anon_sym_out] = ACTIONS(6356),
    [anon_sym_inout] = ACTIONS(6356),
    [anon_sym_extern] = ACTIONS(6356),
    [anon_sym___attribute__] = ACTIONS(5581),
    [anon_sym_COLON_COLON] = ACTIONS(6358),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(6358),
    [anon_sym___declspec] = ACTIONS(6356),
    [anon_sym___based] = ACTIONS(6356),
    [anon_sym___cdecl] = ACTIONS(6356),
    [anon_sym___clrcall] = ACTIONS(6356),
    [anon_sym___stdcall] = ACTIONS(6356),
    [anon_sym___fastcall] = ACTIONS(6356),
    [anon_sym___thiscall] = ACTIONS(6356),
    [anon_sym___vectorcall] = ACTIONS(6356),
    [anon_sym_LBRACE] = ACTIONS(6081),
    [anon_sym_LBRACK] = ACTIONS(6356),
    [anon_sym_static] = ACTIONS(6356),
    [anon_sym_register] = ACTIONS(6356),
    [anon_sym_inline] = ACTIONS(6356),
    [anon_sym___inline] = ACTIONS(6356),
    [anon_sym___inline__] = ACTIONS(6356),
    [anon_sym___forceinline] = ACTIONS(6356),
    [anon_sym_thread_local] = ACTIONS(6356),
    [anon_sym___thread] = ACTIONS(6356),
    [anon_sym_const] = ACTIONS(6356),
    [anon_sym_constexpr] = ACTIONS(6356),
    [anon_sym_volatile] = ACTIONS(6356),
    [anon_sym_restrict] = ACTIONS(6356),
    [anon_sym___restrict__] = ACTIONS(6356),
    [anon_sym__Atomic] = ACTIONS(6356),
    [anon_sym__Noreturn] = ACTIONS(6356),
    [anon_sym_noreturn] = ACTIONS(6356),
    [anon_sym_mutable] = ACTIONS(6356),
    [anon_sym_constinit] = ACTIONS(6356),
    [anon_sym_consteval] = ACTIONS(6356),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(6356),
    [anon_sym_decltype] = ACTIONS(6356),
    [anon_sym_virtual] = ACTIONS(6356),
    [anon_sym_alignas] = ACTIONS(6356),
    [anon_sym_template] = ACTIONS(6356),
    [anon_sym_operator] = ACTIONS(6356),
    [anon_sym_precise] = ACTIONS(6356),
    [anon_sym_shared] = ACTIONS(6356),
    [anon_sym_groupshared] = ACTIONS(6356),
    [anon_sym_uniform] = ACTIONS(6356),
    [anon_sym_row_major] = ACTIONS(6356),
    [anon_sym_column_major] = ACTIONS(6356),
    [anon_sym_globallycoherent] = ACTIONS(6356),
    [anon_sym_centroid] = ACTIONS(6356),
    [anon_sym_noperspective] = ACTIONS(6356),
    [anon_sym_nointerpolation] = ACTIONS(6356),
    [anon_sym_sample] = ACTIONS(6356),
    [anon_sym_linear] = ACTIONS(6356),
    [anon_sym_snorm] = ACTIONS(6356),
    [anon_sym_unorm] = ACTIONS(6356),
    [anon_sym_point] = ACTIONS(6356),
    [anon_sym_line] = ACTIONS(6356),
    [anon_sym_triangleadj] = ACTIONS(6356),
    [anon_sym_lineadj] = ACTIONS(6356),
    [anon_sym_triangle] = ACTIONS(6356),
  },
  [3147] = {
    [sym_identifier] = ACTIONS(3142),
    [anon_sym_LPAREN2] = ACTIONS(3144),
    [anon_sym_TILDE] = ACTIONS(3144),
    [anon_sym_STAR] = ACTIONS(3144),
    [anon_sym_AMP_AMP] = ACTIONS(3144),
    [anon_sym_AMP] = ACTIONS(3142),
    [anon_sym___extension__] = ACTIONS(3142),
    [anon_sym_typedef] = ACTIONS(6362),
    [anon_sym_in] = ACTIONS(3142),
    [anon_sym_out] = ACTIONS(3142),
    [anon_sym_inout] = ACTIONS(3142),
    [anon_sym_extern] = ACTIONS(3142),
    [anon_sym___attribute__] = ACTIONS(3142),
    [anon_sym_COLON_COLON] = ACTIONS(3144),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3144),
    [anon_sym___declspec] = ACTIONS(3142),
    [anon_sym___based] = ACTIONS(3142),
    [anon_sym_signed] = ACTIONS(3142),
    [anon_sym_unsigned] = ACTIONS(3142),
    [anon_sym_long] = ACTIONS(3142),
    [anon_sym_short] = ACTIONS(3142),
    [anon_sym_LBRACK] = ACTIONS(3142),
    [anon_sym_static] = ACTIONS(3142),
    [anon_sym_register] = ACTIONS(3142),
    [anon_sym_inline] = ACTIONS(3142),
    [anon_sym___inline] = ACTIONS(3142),
    [anon_sym___inline__] = ACTIONS(3142),
    [anon_sym___forceinline] = ACTIONS(3142),
    [anon_sym_thread_local] = ACTIONS(3142),
    [anon_sym___thread] = ACTIONS(3142),
    [anon_sym_const] = ACTIONS(3142),
    [anon_sym_constexpr] = ACTIONS(3142),
    [anon_sym_volatile] = ACTIONS(3142),
    [anon_sym_restrict] = ACTIONS(3142),
    [anon_sym___restrict__] = ACTIONS(3142),
    [anon_sym__Atomic] = ACTIONS(3142),
    [anon_sym__Noreturn] = ACTIONS(3142),
    [anon_sym_noreturn] = ACTIONS(3142),
    [anon_sym_mutable] = ACTIONS(3142),
    [anon_sym_constinit] = ACTIONS(3142),
    [anon_sym_consteval] = ACTIONS(3142),
    [sym_primitive_type] = ACTIONS(3142),
    [anon_sym_enum] = ACTIONS(3142),
    [anon_sym_class] = ACTIONS(3142),
    [anon_sym_struct] = ACTIONS(3142),
    [anon_sym_union] = ACTIONS(3142),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3142),
    [anon_sym_decltype] = ACTIONS(3142),
    [anon_sym_virtual] = ACTIONS(3142),
    [anon_sym_alignas] = ACTIONS(3142),
    [anon_sym_explicit] = ACTIONS(3142),
    [anon_sym_typename] = ACTIONS(3142),
    [anon_sym_template] = ACTIONS(3142),
    [anon_sym_operator] = ACTIONS(3142),
    [anon_sym_precise] = ACTIONS(3142),
    [anon_sym_shared] = ACTIONS(3142),
    [anon_sym_groupshared] = ACTIONS(3142),
    [anon_sym_uniform] = ACTIONS(3142),
    [anon_sym_row_major] = ACTIONS(3142),
    [anon_sym_column_major] = ACTIONS(3142),
    [anon_sym_globallycoherent] = ACTIONS(3142),
    [anon_sym_centroid] = ACTIONS(3142),
    [anon_sym_noperspective] = ACTIONS(3142),
    [anon_sym_nointerpolation] = ACTIONS(3142),
    [anon_sym_sample] = ACTIONS(3142),
    [anon_sym_linear] = ACTIONS(3142),
    [anon_sym_snorm] = ACTIONS(3142),
    [anon_sym_unorm] = ACTIONS(3142),
    [anon_sym_point] = ACTIONS(3142),
    [anon_sym_line] = ACTIONS(3142),
    [anon_sym_triangleadj] = ACTIONS(3142),
    [anon_sym_lineadj] = ACTIONS(3142),
    [anon_sym_triangle] = ACTIONS(3142),
  },
  [3148] = {
    [sym_identifier] = ACTIONS(3142),
    [anon_sym_LPAREN2] = ACTIONS(3144),
    [anon_sym_TILDE] = ACTIONS(3144),
    [anon_sym_STAR] = ACTIONS(3144),
    [anon_sym_AMP_AMP] = ACTIONS(3144),
    [anon_sym_AMP] = ACTIONS(3142),
    [anon_sym___extension__] = ACTIONS(3142),
    [anon_sym_typedef] = ACTIONS(6364),
    [anon_sym_in] = ACTIONS(3142),
    [anon_sym_out] = ACTIONS(3142),
    [anon_sym_inout] = ACTIONS(3142),
    [anon_sym_extern] = ACTIONS(3142),
    [anon_sym___attribute__] = ACTIONS(3142),
    [anon_sym_COLON_COLON] = ACTIONS(3144),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3144),
    [anon_sym___declspec] = ACTIONS(3142),
    [anon_sym___based] = ACTIONS(3142),
    [anon_sym_signed] = ACTIONS(3142),
    [anon_sym_unsigned] = ACTIONS(3142),
    [anon_sym_long] = ACTIONS(3142),
    [anon_sym_short] = ACTIONS(3142),
    [anon_sym_LBRACK] = ACTIONS(3142),
    [anon_sym_static] = ACTIONS(3142),
    [anon_sym_register] = ACTIONS(3142),
    [anon_sym_inline] = ACTIONS(3142),
    [anon_sym___inline] = ACTIONS(3142),
    [anon_sym___inline__] = ACTIONS(3142),
    [anon_sym___forceinline] = ACTIONS(3142),
    [anon_sym_thread_local] = ACTIONS(3142),
    [anon_sym___thread] = ACTIONS(3142),
    [anon_sym_const] = ACTIONS(3142),
    [anon_sym_constexpr] = ACTIONS(3142),
    [anon_sym_volatile] = ACTIONS(3142),
    [anon_sym_restrict] = ACTIONS(3142),
    [anon_sym___restrict__] = ACTIONS(3142),
    [anon_sym__Atomic] = ACTIONS(3142),
    [anon_sym__Noreturn] = ACTIONS(3142),
    [anon_sym_noreturn] = ACTIONS(3142),
    [anon_sym_mutable] = ACTIONS(3142),
    [anon_sym_constinit] = ACTIONS(3142),
    [anon_sym_consteval] = ACTIONS(3142),
    [sym_primitive_type] = ACTIONS(3142),
    [anon_sym_enum] = ACTIONS(3142),
    [anon_sym_class] = ACTIONS(3142),
    [anon_sym_struct] = ACTIONS(3142),
    [anon_sym_union] = ACTIONS(3142),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3142),
    [anon_sym_decltype] = ACTIONS(3142),
    [anon_sym_virtual] = ACTIONS(3142),
    [anon_sym_alignas] = ACTIONS(3142),
    [anon_sym_explicit] = ACTIONS(3142),
    [anon_sym_typename] = ACTIONS(3142),
    [anon_sym_template] = ACTIONS(3142),
    [anon_sym_operator] = ACTIONS(3142),
    [anon_sym_precise] = ACTIONS(3142),
    [anon_sym_shared] = ACTIONS(3142),
    [anon_sym_groupshared] = ACTIONS(3142),
    [anon_sym_uniform] = ACTIONS(3142),
    [anon_sym_row_major] = ACTIONS(3142),
    [anon_sym_column_major] = ACTIONS(3142),
    [anon_sym_globallycoherent] = ACTIONS(3142),
    [anon_sym_centroid] = ACTIONS(3142),
    [anon_sym_noperspective] = ACTIONS(3142),
    [anon_sym_nointerpolation] = ACTIONS(3142),
    [anon_sym_sample] = ACTIONS(3142),
    [anon_sym_linear] = ACTIONS(3142),
    [anon_sym_snorm] = ACTIONS(3142),
    [anon_sym_unorm] = ACTIONS(3142),
    [anon_sym_point] = ACTIONS(3142),
    [anon_sym_line] = ACTIONS(3142),
    [anon_sym_triangleadj] = ACTIONS(3142),
    [anon_sym_lineadj] = ACTIONS(3142),
    [anon_sym_triangle] = ACTIONS(3142),
  },
  [3149] = {
    [sym_template_argument_list] = STATE(3236),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3027),
    [sym_identifier] = ACTIONS(4211),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4219),
    [anon_sym_COMMA] = ACTIONS(4219),
    [anon_sym_RPAREN] = ACTIONS(4234),
    [anon_sym_LPAREN2] = ACTIONS(4234),
    [anon_sym_TILDE] = ACTIONS(4219),
    [anon_sym_STAR] = ACTIONS(4219),
    [anon_sym_AMP_AMP] = ACTIONS(4219),
    [anon_sym_AMP] = ACTIONS(4211),
    [anon_sym_LT] = ACTIONS(6249),
    [anon_sym_COLON] = ACTIONS(4211),
    [anon_sym___extension__] = ACTIONS(4211),
    [anon_sym_in] = ACTIONS(4211),
    [anon_sym_out] = ACTIONS(4211),
    [anon_sym_inout] = ACTIONS(4211),
    [anon_sym_extern] = ACTIONS(4211),
    [anon_sym___attribute__] = ACTIONS(4211),
    [anon_sym_COLON_COLON] = ACTIONS(2230),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4234),
    [anon_sym___declspec] = ACTIONS(4211),
    [anon_sym___based] = ACTIONS(4211),
    [anon_sym_signed] = ACTIONS(4237),
    [anon_sym_unsigned] = ACTIONS(4237),
    [anon_sym_long] = ACTIONS(4237),
    [anon_sym_short] = ACTIONS(4237),
    [anon_sym_LBRACK] = ACTIONS(6201),
    [anon_sym_EQ] = ACTIONS(4219),
    [anon_sym_static] = ACTIONS(4211),
    [anon_sym_register] = ACTIONS(4211),
    [anon_sym_inline] = ACTIONS(4211),
    [anon_sym___inline] = ACTIONS(4211),
    [anon_sym___inline__] = ACTIONS(4211),
    [anon_sym___forceinline] = ACTIONS(4211),
    [anon_sym_thread_local] = ACTIONS(4211),
    [anon_sym___thread] = ACTIONS(4211),
    [anon_sym_const] = ACTIONS(4211),
    [anon_sym_constexpr] = ACTIONS(4211),
    [anon_sym_volatile] = ACTIONS(4211),
    [anon_sym_restrict] = ACTIONS(4211),
    [anon_sym___restrict__] = ACTIONS(4211),
    [anon_sym__Atomic] = ACTIONS(4211),
    [anon_sym__Noreturn] = ACTIONS(4211),
    [anon_sym_noreturn] = ACTIONS(4211),
    [anon_sym_mutable] = ACTIONS(4211),
    [anon_sym_constinit] = ACTIONS(4211),
    [anon_sym_consteval] = ACTIONS(4211),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4211),
    [anon_sym_decltype] = ACTIONS(4211),
    [anon_sym_virtual] = ACTIONS(4211),
    [anon_sym_alignas] = ACTIONS(4211),
    [anon_sym_template] = ACTIONS(4211),
    [anon_sym_operator] = ACTIONS(4211),
    [anon_sym_precise] = ACTIONS(4211),
    [anon_sym_shared] = ACTIONS(4211),
    [anon_sym_groupshared] = ACTIONS(4211),
    [anon_sym_uniform] = ACTIONS(4211),
    [anon_sym_row_major] = ACTIONS(4211),
    [anon_sym_column_major] = ACTIONS(4211),
    [anon_sym_globallycoherent] = ACTIONS(4211),
    [anon_sym_centroid] = ACTIONS(4211),
    [anon_sym_noperspective] = ACTIONS(4211),
    [anon_sym_nointerpolation] = ACTIONS(4211),
    [anon_sym_sample] = ACTIONS(4211),
    [anon_sym_linear] = ACTIONS(4211),
    [anon_sym_snorm] = ACTIONS(4211),
    [anon_sym_unorm] = ACTIONS(4211),
    [anon_sym_point] = ACTIONS(4211),
    [anon_sym_line] = ACTIONS(4211),
    [anon_sym_triangleadj] = ACTIONS(4211),
    [anon_sym_lineadj] = ACTIONS(4211),
    [anon_sym_triangle] = ACTIONS(4211),
  },
  [3150] = {
    [sym_identifier] = ACTIONS(6015),
    [anon_sym_LPAREN2] = ACTIONS(6017),
    [anon_sym_TILDE] = ACTIONS(6017),
    [anon_sym_STAR] = ACTIONS(6017),
    [anon_sym_AMP_AMP] = ACTIONS(6017),
    [anon_sym_AMP] = ACTIONS(6015),
    [anon_sym___extension__] = ACTIONS(6015),
    [anon_sym_in] = ACTIONS(6015),
    [anon_sym_out] = ACTIONS(6015),
    [anon_sym_inout] = ACTIONS(6015),
    [anon_sym_extern] = ACTIONS(6015),
    [anon_sym___attribute__] = ACTIONS(6015),
    [anon_sym_COLON_COLON] = ACTIONS(6017),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(6017),
    [anon_sym___declspec] = ACTIONS(6015),
    [anon_sym___based] = ACTIONS(6015),
    [anon_sym_signed] = ACTIONS(6015),
    [anon_sym_unsigned] = ACTIONS(6015),
    [anon_sym_long] = ACTIONS(6015),
    [anon_sym_short] = ACTIONS(6015),
    [anon_sym_LBRACK] = ACTIONS(6015),
    [anon_sym_static] = ACTIONS(6015),
    [anon_sym_register] = ACTIONS(6015),
    [anon_sym_inline] = ACTIONS(6015),
    [anon_sym___inline] = ACTIONS(6015),
    [anon_sym___inline__] = ACTIONS(6015),
    [anon_sym___forceinline] = ACTIONS(6015),
    [anon_sym_thread_local] = ACTIONS(6015),
    [anon_sym___thread] = ACTIONS(6015),
    [anon_sym_const] = ACTIONS(6015),
    [anon_sym_constexpr] = ACTIONS(6015),
    [anon_sym_volatile] = ACTIONS(6015),
    [anon_sym_restrict] = ACTIONS(6015),
    [anon_sym___restrict__] = ACTIONS(6015),
    [anon_sym__Atomic] = ACTIONS(6015),
    [anon_sym__Noreturn] = ACTIONS(6015),
    [anon_sym_noreturn] = ACTIONS(6015),
    [anon_sym_mutable] = ACTIONS(6015),
    [anon_sym_constinit] = ACTIONS(6015),
    [anon_sym_consteval] = ACTIONS(6015),
    [sym_primitive_type] = ACTIONS(6015),
    [anon_sym_enum] = ACTIONS(6015),
    [anon_sym_class] = ACTIONS(6015),
    [anon_sym_struct] = ACTIONS(6015),
    [anon_sym_union] = ACTIONS(6015),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(6015),
    [anon_sym_decltype] = ACTIONS(6015),
    [anon_sym_virtual] = ACTIONS(6015),
    [anon_sym_alignas] = ACTIONS(6015),
    [anon_sym_explicit] = ACTIONS(6015),
    [anon_sym_typename] = ACTIONS(6015),
    [anon_sym_template] = ACTIONS(6015),
    [anon_sym_operator] = ACTIONS(6015),
    [anon_sym_namespace] = ACTIONS(6366),
    [anon_sym_precise] = ACTIONS(6015),
    [anon_sym_shared] = ACTIONS(6015),
    [anon_sym_groupshared] = ACTIONS(6015),
    [anon_sym_uniform] = ACTIONS(6015),
    [anon_sym_row_major] = ACTIONS(6015),
    [anon_sym_column_major] = ACTIONS(6015),
    [anon_sym_globallycoherent] = ACTIONS(6015),
    [anon_sym_centroid] = ACTIONS(6015),
    [anon_sym_noperspective] = ACTIONS(6015),
    [anon_sym_nointerpolation] = ACTIONS(6015),
    [anon_sym_sample] = ACTIONS(6015),
    [anon_sym_linear] = ACTIONS(6015),
    [anon_sym_snorm] = ACTIONS(6015),
    [anon_sym_unorm] = ACTIONS(6015),
    [anon_sym_point] = ACTIONS(6015),
    [anon_sym_line] = ACTIONS(6015),
    [anon_sym_triangleadj] = ACTIONS(6015),
    [anon_sym_lineadj] = ACTIONS(6015),
    [anon_sym_triangle] = ACTIONS(6015),
  },
  [3151] = {
    [sym_attribute_specifier] = STATE(3094),
    [sym_enumerator_list] = STATE(3123),
    [sym__enum_base_clause] = STATE(3096),
    [sym_identifier] = ACTIONS(6368),
    [anon_sym_LPAREN2] = ACTIONS(6370),
    [anon_sym_TILDE] = ACTIONS(6370),
    [anon_sym_STAR] = ACTIONS(6370),
    [anon_sym_AMP_AMP] = ACTIONS(6370),
    [anon_sym_AMP] = ACTIONS(6368),
    [anon_sym_COLON] = ACTIONS(6360),
    [anon_sym_SEMI] = ACTIONS(6370),
    [anon_sym___extension__] = ACTIONS(6368),
    [anon_sym_in] = ACTIONS(6368),
    [anon_sym_out] = ACTIONS(6368),
    [anon_sym_inout] = ACTIONS(6368),
    [anon_sym_extern] = ACTIONS(6368),
    [anon_sym___attribute__] = ACTIONS(5581),
    [anon_sym_COLON_COLON] = ACTIONS(6370),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(6370),
    [anon_sym___declspec] = ACTIONS(6368),
    [anon_sym___based] = ACTIONS(6368),
    [anon_sym___cdecl] = ACTIONS(6368),
    [anon_sym___clrcall] = ACTIONS(6368),
    [anon_sym___stdcall] = ACTIONS(6368),
    [anon_sym___fastcall] = ACTIONS(6368),
    [anon_sym___thiscall] = ACTIONS(6368),
    [anon_sym___vectorcall] = ACTIONS(6368),
    [anon_sym_LBRACE] = ACTIONS(6081),
    [anon_sym_LBRACK] = ACTIONS(6368),
    [anon_sym_static] = ACTIONS(6368),
    [anon_sym_register] = ACTIONS(6368),
    [anon_sym_inline] = ACTIONS(6368),
    [anon_sym___inline] = ACTIONS(6368),
    [anon_sym___inline__] = ACTIONS(6368),
    [anon_sym___forceinline] = ACTIONS(6368),
    [anon_sym_thread_local] = ACTIONS(6368),
    [anon_sym___thread] = ACTIONS(6368),
    [anon_sym_const] = ACTIONS(6368),
    [anon_sym_constexpr] = ACTIONS(6368),
    [anon_sym_volatile] = ACTIONS(6368),
    [anon_sym_restrict] = ACTIONS(6368),
    [anon_sym___restrict__] = ACTIONS(6368),
    [anon_sym__Atomic] = ACTIONS(6368),
    [anon_sym__Noreturn] = ACTIONS(6368),
    [anon_sym_noreturn] = ACTIONS(6368),
    [anon_sym_mutable] = ACTIONS(6368),
    [anon_sym_constinit] = ACTIONS(6368),
    [anon_sym_consteval] = ACTIONS(6368),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(6368),
    [anon_sym_decltype] = ACTIONS(6368),
    [anon_sym_virtual] = ACTIONS(6368),
    [anon_sym_alignas] = ACTIONS(6368),
    [anon_sym_template] = ACTIONS(6368),
    [anon_sym_operator] = ACTIONS(6368),
    [anon_sym_precise] = ACTIONS(6368),
    [anon_sym_shared] = ACTIONS(6368),
    [anon_sym_groupshared] = ACTIONS(6368),
    [anon_sym_uniform] = ACTIONS(6368),
    [anon_sym_row_major] = ACTIONS(6368),
    [anon_sym_column_major] = ACTIONS(6368),
    [anon_sym_globallycoherent] = ACTIONS(6368),
    [anon_sym_centroid] = ACTIONS(6368),
    [anon_sym_noperspective] = ACTIONS(6368),
    [anon_sym_nointerpolation] = ACTIONS(6368),
    [anon_sym_sample] = ACTIONS(6368),
    [anon_sym_linear] = ACTIONS(6368),
    [anon_sym_snorm] = ACTIONS(6368),
    [anon_sym_unorm] = ACTIONS(6368),
    [anon_sym_point] = ACTIONS(6368),
    [anon_sym_line] = ACTIONS(6368),
    [anon_sym_triangleadj] = ACTIONS(6368),
    [anon_sym_lineadj] = ACTIONS(6368),
    [anon_sym_triangle] = ACTIONS(6368),
  },
  [3152] = {
    [sym_identifier] = ACTIONS(3142),
    [anon_sym_LPAREN2] = ACTIONS(3144),
    [anon_sym_TILDE] = ACTIONS(3144),
    [anon_sym_STAR] = ACTIONS(3144),
    [anon_sym_AMP_AMP] = ACTIONS(3144),
    [anon_sym_AMP] = ACTIONS(3142),
    [anon_sym___extension__] = ACTIONS(3142),
    [anon_sym_typedef] = ACTIONS(6372),
    [anon_sym_in] = ACTIONS(3142),
    [anon_sym_out] = ACTIONS(3142),
    [anon_sym_inout] = ACTIONS(3142),
    [anon_sym_extern] = ACTIONS(3142),
    [anon_sym___attribute__] = ACTIONS(3142),
    [anon_sym_COLON_COLON] = ACTIONS(3144),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3144),
    [anon_sym___declspec] = ACTIONS(3142),
    [anon_sym___based] = ACTIONS(3142),
    [anon_sym_signed] = ACTIONS(3142),
    [anon_sym_unsigned] = ACTIONS(3142),
    [anon_sym_long] = ACTIONS(3142),
    [anon_sym_short] = ACTIONS(3142),
    [anon_sym_LBRACK] = ACTIONS(3142),
    [anon_sym_static] = ACTIONS(3142),
    [anon_sym_register] = ACTIONS(3142),
    [anon_sym_inline] = ACTIONS(3142),
    [anon_sym___inline] = ACTIONS(3142),
    [anon_sym___inline__] = ACTIONS(3142),
    [anon_sym___forceinline] = ACTIONS(3142),
    [anon_sym_thread_local] = ACTIONS(3142),
    [anon_sym___thread] = ACTIONS(3142),
    [anon_sym_const] = ACTIONS(3142),
    [anon_sym_constexpr] = ACTIONS(3142),
    [anon_sym_volatile] = ACTIONS(3142),
    [anon_sym_restrict] = ACTIONS(3142),
    [anon_sym___restrict__] = ACTIONS(3142),
    [anon_sym__Atomic] = ACTIONS(3142),
    [anon_sym__Noreturn] = ACTIONS(3142),
    [anon_sym_noreturn] = ACTIONS(3142),
    [anon_sym_mutable] = ACTIONS(3142),
    [anon_sym_constinit] = ACTIONS(3142),
    [anon_sym_consteval] = ACTIONS(3142),
    [sym_primitive_type] = ACTIONS(3142),
    [anon_sym_enum] = ACTIONS(3142),
    [anon_sym_class] = ACTIONS(3142),
    [anon_sym_struct] = ACTIONS(3142),
    [anon_sym_union] = ACTIONS(3142),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3142),
    [anon_sym_decltype] = ACTIONS(3142),
    [anon_sym_virtual] = ACTIONS(3142),
    [anon_sym_alignas] = ACTIONS(3142),
    [anon_sym_explicit] = ACTIONS(3142),
    [anon_sym_typename] = ACTIONS(3142),
    [anon_sym_template] = ACTIONS(3142),
    [anon_sym_operator] = ACTIONS(3142),
    [anon_sym_precise] = ACTIONS(3142),
    [anon_sym_shared] = ACTIONS(3142),
    [anon_sym_groupshared] = ACTIONS(3142),
    [anon_sym_uniform] = ACTIONS(3142),
    [anon_sym_row_major] = ACTIONS(3142),
    [anon_sym_column_major] = ACTIONS(3142),
    [anon_sym_globallycoherent] = ACTIONS(3142),
    [anon_sym_centroid] = ACTIONS(3142),
    [anon_sym_noperspective] = ACTIONS(3142),
    [anon_sym_nointerpolation] = ACTIONS(3142),
    [anon_sym_sample] = ACTIONS(3142),
    [anon_sym_linear] = ACTIONS(3142),
    [anon_sym_snorm] = ACTIONS(3142),
    [anon_sym_unorm] = ACTIONS(3142),
    [anon_sym_point] = ACTIONS(3142),
    [anon_sym_line] = ACTIONS(3142),
    [anon_sym_triangleadj] = ACTIONS(3142),
    [anon_sym_lineadj] = ACTIONS(3142),
    [anon_sym_triangle] = ACTIONS(3142),
  },
  [3153] = {
    [sym_identifier] = ACTIONS(6015),
    [anon_sym_LPAREN2] = ACTIONS(6017),
    [anon_sym_TILDE] = ACTIONS(6017),
    [anon_sym_STAR] = ACTIONS(6017),
    [anon_sym_AMP_AMP] = ACTIONS(6017),
    [anon_sym_AMP] = ACTIONS(6015),
    [anon_sym___extension__] = ACTIONS(6015),
    [anon_sym_in] = ACTIONS(6015),
    [anon_sym_out] = ACTIONS(6015),
    [anon_sym_inout] = ACTIONS(6015),
    [anon_sym_extern] = ACTIONS(6015),
    [anon_sym___attribute__] = ACTIONS(6015),
    [anon_sym_COLON_COLON] = ACTIONS(6017),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(6017),
    [anon_sym___declspec] = ACTIONS(6015),
    [anon_sym___based] = ACTIONS(6015),
    [anon_sym_signed] = ACTIONS(6015),
    [anon_sym_unsigned] = ACTIONS(6015),
    [anon_sym_long] = ACTIONS(6015),
    [anon_sym_short] = ACTIONS(6015),
    [anon_sym_LBRACK] = ACTIONS(6015),
    [anon_sym_static] = ACTIONS(6015),
    [anon_sym_register] = ACTIONS(6015),
    [anon_sym_inline] = ACTIONS(6015),
    [anon_sym___inline] = ACTIONS(6015),
    [anon_sym___inline__] = ACTIONS(6015),
    [anon_sym___forceinline] = ACTIONS(6015),
    [anon_sym_thread_local] = ACTIONS(6015),
    [anon_sym___thread] = ACTIONS(6015),
    [anon_sym_const] = ACTIONS(6015),
    [anon_sym_constexpr] = ACTIONS(6015),
    [anon_sym_volatile] = ACTIONS(6015),
    [anon_sym_restrict] = ACTIONS(6015),
    [anon_sym___restrict__] = ACTIONS(6015),
    [anon_sym__Atomic] = ACTIONS(6015),
    [anon_sym__Noreturn] = ACTIONS(6015),
    [anon_sym_noreturn] = ACTIONS(6015),
    [anon_sym_mutable] = ACTIONS(6015),
    [anon_sym_constinit] = ACTIONS(6015),
    [anon_sym_consteval] = ACTIONS(6015),
    [sym_primitive_type] = ACTIONS(6015),
    [anon_sym_enum] = ACTIONS(6015),
    [anon_sym_class] = ACTIONS(6015),
    [anon_sym_struct] = ACTIONS(6015),
    [anon_sym_union] = ACTIONS(6015),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(6015),
    [anon_sym_decltype] = ACTIONS(6015),
    [anon_sym_virtual] = ACTIONS(6015),
    [anon_sym_alignas] = ACTIONS(6015),
    [anon_sym_explicit] = ACTIONS(6015),
    [anon_sym_typename] = ACTIONS(6015),
    [anon_sym_template] = ACTIONS(6015),
    [anon_sym_operator] = ACTIONS(6015),
    [anon_sym_namespace] = ACTIONS(6374),
    [anon_sym_precise] = ACTIONS(6015),
    [anon_sym_shared] = ACTIONS(6015),
    [anon_sym_groupshared] = ACTIONS(6015),
    [anon_sym_uniform] = ACTIONS(6015),
    [anon_sym_row_major] = ACTIONS(6015),
    [anon_sym_column_major] = ACTIONS(6015),
    [anon_sym_globallycoherent] = ACTIONS(6015),
    [anon_sym_centroid] = ACTIONS(6015),
    [anon_sym_noperspective] = ACTIONS(6015),
    [anon_sym_nointerpolation] = ACTIONS(6015),
    [anon_sym_sample] = ACTIONS(6015),
    [anon_sym_linear] = ACTIONS(6015),
    [anon_sym_snorm] = ACTIONS(6015),
    [anon_sym_unorm] = ACTIONS(6015),
    [anon_sym_point] = ACTIONS(6015),
    [anon_sym_line] = ACTIONS(6015),
    [anon_sym_triangleadj] = ACTIONS(6015),
    [anon_sym_lineadj] = ACTIONS(6015),
    [anon_sym_triangle] = ACTIONS(6015),
  },
  [3154] = {
    [sym_identifier] = ACTIONS(3142),
    [anon_sym_LPAREN2] = ACTIONS(3144),
    [anon_sym_TILDE] = ACTIONS(3144),
    [anon_sym_STAR] = ACTIONS(3144),
    [anon_sym_AMP_AMP] = ACTIONS(3144),
    [anon_sym_AMP] = ACTIONS(3142),
    [anon_sym___extension__] = ACTIONS(3142),
    [anon_sym_typedef] = ACTIONS(6376),
    [anon_sym_in] = ACTIONS(3142),
    [anon_sym_out] = ACTIONS(3142),
    [anon_sym_inout] = ACTIONS(3142),
    [anon_sym_extern] = ACTIONS(3142),
    [anon_sym___attribute__] = ACTIONS(3142),
    [anon_sym_COLON_COLON] = ACTIONS(3144),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3144),
    [anon_sym___declspec] = ACTIONS(3142),
    [anon_sym___based] = ACTIONS(3142),
    [anon_sym_signed] = ACTIONS(3142),
    [anon_sym_unsigned] = ACTIONS(3142),
    [anon_sym_long] = ACTIONS(3142),
    [anon_sym_short] = ACTIONS(3142),
    [anon_sym_LBRACK] = ACTIONS(3142),
    [anon_sym_static] = ACTIONS(3142),
    [anon_sym_register] = ACTIONS(3142),
    [anon_sym_inline] = ACTIONS(3142),
    [anon_sym___inline] = ACTIONS(3142),
    [anon_sym___inline__] = ACTIONS(3142),
    [anon_sym___forceinline] = ACTIONS(3142),
    [anon_sym_thread_local] = ACTIONS(3142),
    [anon_sym___thread] = ACTIONS(3142),
    [anon_sym_const] = ACTIONS(3142),
    [anon_sym_constexpr] = ACTIONS(3142),
    [anon_sym_volatile] = ACTIONS(3142),
    [anon_sym_restrict] = ACTIONS(3142),
    [anon_sym___restrict__] = ACTIONS(3142),
    [anon_sym__Atomic] = ACTIONS(3142),
    [anon_sym__Noreturn] = ACTIONS(3142),
    [anon_sym_noreturn] = ACTIONS(3142),
    [anon_sym_mutable] = ACTIONS(3142),
    [anon_sym_constinit] = ACTIONS(3142),
    [anon_sym_consteval] = ACTIONS(3142),
    [sym_primitive_type] = ACTIONS(3142),
    [anon_sym_enum] = ACTIONS(3142),
    [anon_sym_class] = ACTIONS(3142),
    [anon_sym_struct] = ACTIONS(3142),
    [anon_sym_union] = ACTIONS(3142),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3142),
    [anon_sym_decltype] = ACTIONS(3142),
    [anon_sym_virtual] = ACTIONS(3142),
    [anon_sym_alignas] = ACTIONS(3142),
    [anon_sym_explicit] = ACTIONS(3142),
    [anon_sym_typename] = ACTIONS(3142),
    [anon_sym_template] = ACTIONS(3142),
    [anon_sym_operator] = ACTIONS(3142),
    [anon_sym_precise] = ACTIONS(3142),
    [anon_sym_shared] = ACTIONS(3142),
    [anon_sym_groupshared] = ACTIONS(3142),
    [anon_sym_uniform] = ACTIONS(3142),
    [anon_sym_row_major] = ACTIONS(3142),
    [anon_sym_column_major] = ACTIONS(3142),
    [anon_sym_globallycoherent] = ACTIONS(3142),
    [anon_sym_centroid] = ACTIONS(3142),
    [anon_sym_noperspective] = ACTIONS(3142),
    [anon_sym_nointerpolation] = ACTIONS(3142),
    [anon_sym_sample] = ACTIONS(3142),
    [anon_sym_linear] = ACTIONS(3142),
    [anon_sym_snorm] = ACTIONS(3142),
    [anon_sym_unorm] = ACTIONS(3142),
    [anon_sym_point] = ACTIONS(3142),
    [anon_sym_line] = ACTIONS(3142),
    [anon_sym_triangleadj] = ACTIONS(3142),
    [anon_sym_lineadj] = ACTIONS(3142),
    [anon_sym_triangle] = ACTIONS(3142),
  },
  [3155] = {
    [sym_identifier] = ACTIONS(3142),
    [anon_sym_LPAREN2] = ACTIONS(3144),
    [anon_sym_TILDE] = ACTIONS(3144),
    [anon_sym_STAR] = ACTIONS(3144),
    [anon_sym_AMP_AMP] = ACTIONS(3144),
    [anon_sym_AMP] = ACTIONS(3142),
    [anon_sym___extension__] = ACTIONS(3142),
    [anon_sym_typedef] = ACTIONS(6378),
    [anon_sym_in] = ACTIONS(3142),
    [anon_sym_out] = ACTIONS(3142),
    [anon_sym_inout] = ACTIONS(3142),
    [anon_sym_extern] = ACTIONS(3142),
    [anon_sym___attribute__] = ACTIONS(3142),
    [anon_sym_COLON_COLON] = ACTIONS(3144),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3144),
    [anon_sym___declspec] = ACTIONS(3142),
    [anon_sym___based] = ACTIONS(3142),
    [anon_sym_signed] = ACTIONS(3142),
    [anon_sym_unsigned] = ACTIONS(3142),
    [anon_sym_long] = ACTIONS(3142),
    [anon_sym_short] = ACTIONS(3142),
    [anon_sym_LBRACK] = ACTIONS(3142),
    [anon_sym_static] = ACTIONS(3142),
    [anon_sym_register] = ACTIONS(3142),
    [anon_sym_inline] = ACTIONS(3142),
    [anon_sym___inline] = ACTIONS(3142),
    [anon_sym___inline__] = ACTIONS(3142),
    [anon_sym___forceinline] = ACTIONS(3142),
    [anon_sym_thread_local] = ACTIONS(3142),
    [anon_sym___thread] = ACTIONS(3142),
    [anon_sym_const] = ACTIONS(3142),
    [anon_sym_constexpr] = ACTIONS(3142),
    [anon_sym_volatile] = ACTIONS(3142),
    [anon_sym_restrict] = ACTIONS(3142),
    [anon_sym___restrict__] = ACTIONS(3142),
    [anon_sym__Atomic] = ACTIONS(3142),
    [anon_sym__Noreturn] = ACTIONS(3142),
    [anon_sym_noreturn] = ACTIONS(3142),
    [anon_sym_mutable] = ACTIONS(3142),
    [anon_sym_constinit] = ACTIONS(3142),
    [anon_sym_consteval] = ACTIONS(3142),
    [sym_primitive_type] = ACTIONS(3142),
    [anon_sym_enum] = ACTIONS(3142),
    [anon_sym_class] = ACTIONS(3142),
    [anon_sym_struct] = ACTIONS(3142),
    [anon_sym_union] = ACTIONS(3142),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3142),
    [anon_sym_decltype] = ACTIONS(3142),
    [anon_sym_virtual] = ACTIONS(3142),
    [anon_sym_alignas] = ACTIONS(3142),
    [anon_sym_explicit] = ACTIONS(3142),
    [anon_sym_typename] = ACTIONS(3142),
    [anon_sym_template] = ACTIONS(3142),
    [anon_sym_operator] = ACTIONS(3142),
    [anon_sym_precise] = ACTIONS(3142),
    [anon_sym_shared] = ACTIONS(3142),
    [anon_sym_groupshared] = ACTIONS(3142),
    [anon_sym_uniform] = ACTIONS(3142),
    [anon_sym_row_major] = ACTIONS(3142),
    [anon_sym_column_major] = ACTIONS(3142),
    [anon_sym_globallycoherent] = ACTIONS(3142),
    [anon_sym_centroid] = ACTIONS(3142),
    [anon_sym_noperspective] = ACTIONS(3142),
    [anon_sym_nointerpolation] = ACTIONS(3142),
    [anon_sym_sample] = ACTIONS(3142),
    [anon_sym_linear] = ACTIONS(3142),
    [anon_sym_snorm] = ACTIONS(3142),
    [anon_sym_unorm] = ACTIONS(3142),
    [anon_sym_point] = ACTIONS(3142),
    [anon_sym_line] = ACTIONS(3142),
    [anon_sym_triangleadj] = ACTIONS(3142),
    [anon_sym_lineadj] = ACTIONS(3142),
    [anon_sym_triangle] = ACTIONS(3142),
  },
  [3156] = {
    [sym_identifier] = ACTIONS(3142),
    [anon_sym_LPAREN2] = ACTIONS(3144),
    [anon_sym_TILDE] = ACTIONS(3144),
    [anon_sym_STAR] = ACTIONS(3144),
    [anon_sym_AMP_AMP] = ACTIONS(3144),
    [anon_sym_AMP] = ACTIONS(3142),
    [anon_sym___extension__] = ACTIONS(3142),
    [anon_sym_typedef] = ACTIONS(6380),
    [anon_sym_in] = ACTIONS(3142),
    [anon_sym_out] = ACTIONS(3142),
    [anon_sym_inout] = ACTIONS(3142),
    [anon_sym_extern] = ACTIONS(3142),
    [anon_sym___attribute__] = ACTIONS(3142),
    [anon_sym_COLON_COLON] = ACTIONS(3144),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3144),
    [anon_sym___declspec] = ACTIONS(3142),
    [anon_sym___based] = ACTIONS(3142),
    [anon_sym_signed] = ACTIONS(3142),
    [anon_sym_unsigned] = ACTIONS(3142),
    [anon_sym_long] = ACTIONS(3142),
    [anon_sym_short] = ACTIONS(3142),
    [anon_sym_LBRACK] = ACTIONS(3142),
    [anon_sym_static] = ACTIONS(3142),
    [anon_sym_register] = ACTIONS(3142),
    [anon_sym_inline] = ACTIONS(3142),
    [anon_sym___inline] = ACTIONS(3142),
    [anon_sym___inline__] = ACTIONS(3142),
    [anon_sym___forceinline] = ACTIONS(3142),
    [anon_sym_thread_local] = ACTIONS(3142),
    [anon_sym___thread] = ACTIONS(3142),
    [anon_sym_const] = ACTIONS(3142),
    [anon_sym_constexpr] = ACTIONS(3142),
    [anon_sym_volatile] = ACTIONS(3142),
    [anon_sym_restrict] = ACTIONS(3142),
    [anon_sym___restrict__] = ACTIONS(3142),
    [anon_sym__Atomic] = ACTIONS(3142),
    [anon_sym__Noreturn] = ACTIONS(3142),
    [anon_sym_noreturn] = ACTIONS(3142),
    [anon_sym_mutable] = ACTIONS(3142),
    [anon_sym_constinit] = ACTIONS(3142),
    [anon_sym_consteval] = ACTIONS(3142),
    [sym_primitive_type] = ACTIONS(3142),
    [anon_sym_enum] = ACTIONS(3142),
    [anon_sym_class] = ACTIONS(3142),
    [anon_sym_struct] = ACTIONS(3142),
    [anon_sym_union] = ACTIONS(3142),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3142),
    [anon_sym_decltype] = ACTIONS(3142),
    [anon_sym_virtual] = ACTIONS(3142),
    [anon_sym_alignas] = ACTIONS(3142),
    [anon_sym_explicit] = ACTIONS(3142),
    [anon_sym_typename] = ACTIONS(3142),
    [anon_sym_template] = ACTIONS(3142),
    [anon_sym_operator] = ACTIONS(3142),
    [anon_sym_precise] = ACTIONS(3142),
    [anon_sym_shared] = ACTIONS(3142),
    [anon_sym_groupshared] = ACTIONS(3142),
    [anon_sym_uniform] = ACTIONS(3142),
    [anon_sym_row_major] = ACTIONS(3142),
    [anon_sym_column_major] = ACTIONS(3142),
    [anon_sym_globallycoherent] = ACTIONS(3142),
    [anon_sym_centroid] = ACTIONS(3142),
    [anon_sym_noperspective] = ACTIONS(3142),
    [anon_sym_nointerpolation] = ACTIONS(3142),
    [anon_sym_sample] = ACTIONS(3142),
    [anon_sym_linear] = ACTIONS(3142),
    [anon_sym_snorm] = ACTIONS(3142),
    [anon_sym_unorm] = ACTIONS(3142),
    [anon_sym_point] = ACTIONS(3142),
    [anon_sym_line] = ACTIONS(3142),
    [anon_sym_triangleadj] = ACTIONS(3142),
    [anon_sym_lineadj] = ACTIONS(3142),
    [anon_sym_triangle] = ACTIONS(3142),
  },
  [3157] = {
    [sym_identifier] = ACTIONS(6015),
    [anon_sym_LPAREN2] = ACTIONS(6017),
    [anon_sym_TILDE] = ACTIONS(6017),
    [anon_sym_STAR] = ACTIONS(6017),
    [anon_sym_AMP_AMP] = ACTIONS(6017),
    [anon_sym_AMP] = ACTIONS(6015),
    [anon_sym___extension__] = ACTIONS(6015),
    [anon_sym_in] = ACTIONS(6015),
    [anon_sym_out] = ACTIONS(6015),
    [anon_sym_inout] = ACTIONS(6015),
    [anon_sym_extern] = ACTIONS(6015),
    [anon_sym___attribute__] = ACTIONS(6015),
    [anon_sym_COLON_COLON] = ACTIONS(6017),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(6017),
    [anon_sym___declspec] = ACTIONS(6015),
    [anon_sym___based] = ACTIONS(6015),
    [anon_sym_signed] = ACTIONS(6015),
    [anon_sym_unsigned] = ACTIONS(6015),
    [anon_sym_long] = ACTIONS(6015),
    [anon_sym_short] = ACTIONS(6015),
    [anon_sym_LBRACK] = ACTIONS(6015),
    [anon_sym_static] = ACTIONS(6015),
    [anon_sym_register] = ACTIONS(6015),
    [anon_sym_inline] = ACTIONS(6015),
    [anon_sym___inline] = ACTIONS(6015),
    [anon_sym___inline__] = ACTIONS(6015),
    [anon_sym___forceinline] = ACTIONS(6015),
    [anon_sym_thread_local] = ACTIONS(6015),
    [anon_sym___thread] = ACTIONS(6015),
    [anon_sym_const] = ACTIONS(6015),
    [anon_sym_constexpr] = ACTIONS(6015),
    [anon_sym_volatile] = ACTIONS(6015),
    [anon_sym_restrict] = ACTIONS(6015),
    [anon_sym___restrict__] = ACTIONS(6015),
    [anon_sym__Atomic] = ACTIONS(6015),
    [anon_sym__Noreturn] = ACTIONS(6015),
    [anon_sym_noreturn] = ACTIONS(6015),
    [anon_sym_mutable] = ACTIONS(6015),
    [anon_sym_constinit] = ACTIONS(6015),
    [anon_sym_consteval] = ACTIONS(6015),
    [sym_primitive_type] = ACTIONS(6015),
    [anon_sym_enum] = ACTIONS(6015),
    [anon_sym_class] = ACTIONS(6015),
    [anon_sym_struct] = ACTIONS(6015),
    [anon_sym_union] = ACTIONS(6015),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(6015),
    [anon_sym_decltype] = ACTIONS(6015),
    [anon_sym_virtual] = ACTIONS(6015),
    [anon_sym_alignas] = ACTIONS(6015),
    [anon_sym_explicit] = ACTIONS(6015),
    [anon_sym_typename] = ACTIONS(6015),
    [anon_sym_template] = ACTIONS(6015),
    [anon_sym_operator] = ACTIONS(6015),
    [anon_sym_namespace] = ACTIONS(6382),
    [anon_sym_precise] = ACTIONS(6015),
    [anon_sym_shared] = ACTIONS(6015),
    [anon_sym_groupshared] = ACTIONS(6015),
    [anon_sym_uniform] = ACTIONS(6015),
    [anon_sym_row_major] = ACTIONS(6015),
    [anon_sym_column_major] = ACTIONS(6015),
    [anon_sym_globallycoherent] = ACTIONS(6015),
    [anon_sym_centroid] = ACTIONS(6015),
    [anon_sym_noperspective] = ACTIONS(6015),
    [anon_sym_nointerpolation] = ACTIONS(6015),
    [anon_sym_sample] = ACTIONS(6015),
    [anon_sym_linear] = ACTIONS(6015),
    [anon_sym_snorm] = ACTIONS(6015),
    [anon_sym_unorm] = ACTIONS(6015),
    [anon_sym_point] = ACTIONS(6015),
    [anon_sym_line] = ACTIONS(6015),
    [anon_sym_triangleadj] = ACTIONS(6015),
    [anon_sym_lineadj] = ACTIONS(6015),
    [anon_sym_triangle] = ACTIONS(6015),
  },
  [3158] = {
    [sym_identifier] = ACTIONS(6103),
    [anon_sym_LPAREN2] = ACTIONS(6105),
    [anon_sym_TILDE] = ACTIONS(6105),
    [anon_sym_STAR] = ACTIONS(6105),
    [anon_sym_AMP_AMP] = ACTIONS(6105),
    [anon_sym_AMP] = ACTIONS(6103),
    [anon_sym___extension__] = ACTIONS(6103),
    [anon_sym_in] = ACTIONS(6103),
    [anon_sym_out] = ACTIONS(6103),
    [anon_sym_inout] = ACTIONS(6103),
    [anon_sym_extern] = ACTIONS(6103),
    [anon_sym___attribute__] = ACTIONS(6103),
    [anon_sym_COLON_COLON] = ACTIONS(6105),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(6105),
    [anon_sym___declspec] = ACTIONS(6103),
    [anon_sym___based] = ACTIONS(6103),
    [anon_sym_signed] = ACTIONS(6103),
    [anon_sym_unsigned] = ACTIONS(6103),
    [anon_sym_long] = ACTIONS(6103),
    [anon_sym_short] = ACTIONS(6103),
    [anon_sym_LBRACK] = ACTIONS(6103),
    [anon_sym_static] = ACTIONS(6103),
    [anon_sym_register] = ACTIONS(6103),
    [anon_sym_inline] = ACTIONS(6103),
    [anon_sym___inline] = ACTIONS(6103),
    [anon_sym___inline__] = ACTIONS(6103),
    [anon_sym___forceinline] = ACTIONS(6103),
    [anon_sym_thread_local] = ACTIONS(6103),
    [anon_sym___thread] = ACTIONS(6103),
    [anon_sym_const] = ACTIONS(6103),
    [anon_sym_constexpr] = ACTIONS(6103),
    [anon_sym_volatile] = ACTIONS(6103),
    [anon_sym_restrict] = ACTIONS(6103),
    [anon_sym___restrict__] = ACTIONS(6103),
    [anon_sym__Atomic] = ACTIONS(6103),
    [anon_sym__Noreturn] = ACTIONS(6103),
    [anon_sym_noreturn] = ACTIONS(6103),
    [anon_sym_mutable] = ACTIONS(6103),
    [anon_sym_constinit] = ACTIONS(6103),
    [anon_sym_consteval] = ACTIONS(6103),
    [sym_primitive_type] = ACTIONS(6103),
    [anon_sym_enum] = ACTIONS(6103),
    [anon_sym_class] = ACTIONS(6103),
    [anon_sym_struct] = ACTIONS(6103),
    [anon_sym_union] = ACTIONS(6103),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(6103),
    [anon_sym_decltype] = ACTIONS(6103),
    [anon_sym_virtual] = ACTIONS(6103),
    [anon_sym_alignas] = ACTIONS(6103),
    [anon_sym_explicit] = ACTIONS(6103),
    [anon_sym_typename] = ACTIONS(6103),
    [anon_sym_template] = ACTIONS(6103),
    [anon_sym_operator] = ACTIONS(6103),
    [anon_sym_precise] = ACTIONS(6103),
    [anon_sym_shared] = ACTIONS(6103),
    [anon_sym_groupshared] = ACTIONS(6103),
    [anon_sym_uniform] = ACTIONS(6103),
    [anon_sym_row_major] = ACTIONS(6103),
    [anon_sym_column_major] = ACTIONS(6103),
    [anon_sym_globallycoherent] = ACTIONS(6103),
    [anon_sym_centroid] = ACTIONS(6103),
    [anon_sym_noperspective] = ACTIONS(6103),
    [anon_sym_nointerpolation] = ACTIONS(6103),
    [anon_sym_sample] = ACTIONS(6103),
    [anon_sym_linear] = ACTIONS(6103),
    [anon_sym_snorm] = ACTIONS(6103),
    [anon_sym_unorm] = ACTIONS(6103),
    [anon_sym_point] = ACTIONS(6103),
    [anon_sym_line] = ACTIONS(6103),
    [anon_sym_triangleadj] = ACTIONS(6103),
    [anon_sym_lineadj] = ACTIONS(6103),
    [anon_sym_triangle] = ACTIONS(6103),
  },
  [3159] = {
    [sym_identifier] = ACTIONS(6384),
    [anon_sym_LPAREN2] = ACTIONS(6387),
    [anon_sym_TILDE] = ACTIONS(6387),
    [anon_sym_STAR] = ACTIONS(6387),
    [anon_sym_AMP_AMP] = ACTIONS(6387),
    [anon_sym_AMP] = ACTIONS(6389),
    [anon_sym___extension__] = ACTIONS(6384),
    [anon_sym_in] = ACTIONS(6384),
    [anon_sym_out] = ACTIONS(6384),
    [anon_sym_inout] = ACTIONS(6384),
    [anon_sym_extern] = ACTIONS(6384),
    [anon_sym___attribute__] = ACTIONS(6384),
    [anon_sym_COLON_COLON] = ACTIONS(6391),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(6391),
    [anon_sym___declspec] = ACTIONS(6384),
    [anon_sym___based] = ACTIONS(6389),
    [anon_sym_signed] = ACTIONS(6394),
    [anon_sym_unsigned] = ACTIONS(6394),
    [anon_sym_long] = ACTIONS(6394),
    [anon_sym_short] = ACTIONS(6394),
    [anon_sym_LBRACK] = ACTIONS(6389),
    [anon_sym_static] = ACTIONS(6384),
    [anon_sym_register] = ACTIONS(6384),
    [anon_sym_inline] = ACTIONS(6384),
    [anon_sym___inline] = ACTIONS(6384),
    [anon_sym___inline__] = ACTIONS(6384),
    [anon_sym___forceinline] = ACTIONS(6384),
    [anon_sym_thread_local] = ACTIONS(6384),
    [anon_sym___thread] = ACTIONS(6384),
    [anon_sym_const] = ACTIONS(6384),
    [anon_sym_constexpr] = ACTIONS(6384),
    [anon_sym_volatile] = ACTIONS(6384),
    [anon_sym_restrict] = ACTIONS(6384),
    [anon_sym___restrict__] = ACTIONS(6384),
    [anon_sym__Atomic] = ACTIONS(6384),
    [anon_sym__Noreturn] = ACTIONS(6384),
    [anon_sym_noreturn] = ACTIONS(6384),
    [anon_sym_mutable] = ACTIONS(6384),
    [anon_sym_constinit] = ACTIONS(6384),
    [anon_sym_consteval] = ACTIONS(6384),
    [sym_primitive_type] = ACTIONS(6394),
    [anon_sym_enum] = ACTIONS(6394),
    [anon_sym_class] = ACTIONS(6394),
    [anon_sym_struct] = ACTIONS(6394),
    [anon_sym_union] = ACTIONS(6394),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(6394),
    [anon_sym_decltype] = ACTIONS(6384),
    [anon_sym_virtual] = ACTIONS(6384),
    [anon_sym_alignas] = ACTIONS(6384),
    [anon_sym_explicit] = ACTIONS(6389),
    [anon_sym_typename] = ACTIONS(6394),
    [anon_sym_template] = ACTIONS(6384),
    [anon_sym_operator] = ACTIONS(6389),
    [anon_sym_precise] = ACTIONS(6384),
    [anon_sym_shared] = ACTIONS(6384),
    [anon_sym_groupshared] = ACTIONS(6384),
    [anon_sym_uniform] = ACTIONS(6384),
    [anon_sym_row_major] = ACTIONS(6384),
    [anon_sym_column_major] = ACTIONS(6384),
    [anon_sym_globallycoherent] = ACTIONS(6384),
    [anon_sym_centroid] = ACTIONS(6384),
    [anon_sym_noperspective] = ACTIONS(6384),
    [anon_sym_nointerpolation] = ACTIONS(6384),
    [anon_sym_sample] = ACTIONS(6384),
    [anon_sym_linear] = ACTIONS(6384),
    [anon_sym_snorm] = ACTIONS(6384),
    [anon_sym_unorm] = ACTIONS(6384),
    [anon_sym_point] = ACTIONS(6384),
    [anon_sym_line] = ACTIONS(6384),
    [anon_sym_triangleadj] = ACTIONS(6384),
    [anon_sym_lineadj] = ACTIONS(6384),
    [anon_sym_triangle] = ACTIONS(6384),
  },
  [3160] = {
    [sym_identifier] = ACTIONS(6245),
    [anon_sym_LPAREN2] = ACTIONS(6247),
    [anon_sym_TILDE] = ACTIONS(6247),
    [anon_sym_STAR] = ACTIONS(6247),
    [anon_sym_AMP_AMP] = ACTIONS(6247),
    [anon_sym_AMP] = ACTIONS(6245),
    [anon_sym___extension__] = ACTIONS(6245),
    [anon_sym_in] = ACTIONS(6245),
    [anon_sym_out] = ACTIONS(6245),
    [anon_sym_inout] = ACTIONS(6245),
    [anon_sym_extern] = ACTIONS(6245),
    [anon_sym___attribute__] = ACTIONS(6245),
    [anon_sym_COLON_COLON] = ACTIONS(6247),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(6247),
    [anon_sym___declspec] = ACTIONS(6245),
    [anon_sym___based] = ACTIONS(6245),
    [anon_sym_signed] = ACTIONS(6245),
    [anon_sym_unsigned] = ACTIONS(6245),
    [anon_sym_long] = ACTIONS(6245),
    [anon_sym_short] = ACTIONS(6245),
    [anon_sym_LBRACK] = ACTIONS(6245),
    [anon_sym_static] = ACTIONS(6245),
    [anon_sym_register] = ACTIONS(6245),
    [anon_sym_inline] = ACTIONS(6245),
    [anon_sym___inline] = ACTIONS(6245),
    [anon_sym___inline__] = ACTIONS(6245),
    [anon_sym___forceinline] = ACTIONS(6245),
    [anon_sym_thread_local] = ACTIONS(6245),
    [anon_sym___thread] = ACTIONS(6245),
    [anon_sym_const] = ACTIONS(6245),
    [anon_sym_constexpr] = ACTIONS(6245),
    [anon_sym_volatile] = ACTIONS(6245),
    [anon_sym_restrict] = ACTIONS(6245),
    [anon_sym___restrict__] = ACTIONS(6245),
    [anon_sym__Atomic] = ACTIONS(6245),
    [anon_sym__Noreturn] = ACTIONS(6245),
    [anon_sym_noreturn] = ACTIONS(6245),
    [anon_sym_mutable] = ACTIONS(6245),
    [anon_sym_constinit] = ACTIONS(6245),
    [anon_sym_consteval] = ACTIONS(6245),
    [sym_primitive_type] = ACTIONS(6245),
    [anon_sym_enum] = ACTIONS(6245),
    [anon_sym_class] = ACTIONS(6245),
    [anon_sym_struct] = ACTIONS(6245),
    [anon_sym_union] = ACTIONS(6245),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(6245),
    [anon_sym_decltype] = ACTIONS(6245),
    [anon_sym_virtual] = ACTIONS(6245),
    [anon_sym_alignas] = ACTIONS(6245),
    [anon_sym_explicit] = ACTIONS(6245),
    [anon_sym_typename] = ACTIONS(6245),
    [anon_sym_template] = ACTIONS(6245),
    [anon_sym_operator] = ACTIONS(6245),
    [anon_sym_precise] = ACTIONS(6245),
    [anon_sym_shared] = ACTIONS(6245),
    [anon_sym_groupshared] = ACTIONS(6245),
    [anon_sym_uniform] = ACTIONS(6245),
    [anon_sym_row_major] = ACTIONS(6245),
    [anon_sym_column_major] = ACTIONS(6245),
    [anon_sym_globallycoherent] = ACTIONS(6245),
    [anon_sym_centroid] = ACTIONS(6245),
    [anon_sym_noperspective] = ACTIONS(6245),
    [anon_sym_nointerpolation] = ACTIONS(6245),
    [anon_sym_sample] = ACTIONS(6245),
    [anon_sym_linear] = ACTIONS(6245),
    [anon_sym_snorm] = ACTIONS(6245),
    [anon_sym_unorm] = ACTIONS(6245),
    [anon_sym_point] = ACTIONS(6245),
    [anon_sym_line] = ACTIONS(6245),
    [anon_sym_triangleadj] = ACTIONS(6245),
    [anon_sym_lineadj] = ACTIONS(6245),
    [anon_sym_triangle] = ACTIONS(6245),
  },
  [3161] = {
    [sym_identifier] = ACTIONS(2264),
    [anon_sym_COMMA] = ACTIONS(2266),
    [anon_sym_RPAREN] = ACTIONS(2266),
    [anon_sym_LPAREN2] = ACTIONS(2266),
    [anon_sym_STAR] = ACTIONS(2266),
    [anon_sym_PIPE_PIPE] = ACTIONS(2266),
    [anon_sym_AMP_AMP] = ACTIONS(2266),
    [anon_sym_AMP] = ACTIONS(2264),
    [anon_sym_COLON] = ACTIONS(2266),
    [anon_sym_SEMI] = ACTIONS(2266),
    [anon_sym___extension__] = ACTIONS(2264),
    [anon_sym_in] = ACTIONS(2264),
    [anon_sym_out] = ACTIONS(2264),
    [anon_sym_inout] = ACTIONS(2264),
    [anon_sym_extern] = ACTIONS(2264),
    [anon_sym___attribute__] = ACTIONS(2264),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2266),
    [anon_sym___declspec] = ACTIONS(2264),
    [anon_sym___based] = ACTIONS(2264),
    [anon_sym_LBRACE] = ACTIONS(2266),
    [anon_sym_LBRACK] = ACTIONS(2264),
    [anon_sym_EQ] = ACTIONS(2266),
    [anon_sym_static] = ACTIONS(2264),
    [anon_sym_register] = ACTIONS(2264),
    [anon_sym_inline] = ACTIONS(2264),
    [anon_sym___inline] = ACTIONS(2264),
    [anon_sym___inline__] = ACTIONS(2264),
    [anon_sym___forceinline] = ACTIONS(2264),
    [anon_sym_thread_local] = ACTIONS(2264),
    [anon_sym___thread] = ACTIONS(2264),
    [anon_sym_const] = ACTIONS(2264),
    [anon_sym_constexpr] = ACTIONS(2264),
    [anon_sym_volatile] = ACTIONS(2264),
    [anon_sym_restrict] = ACTIONS(2264),
    [anon_sym___restrict__] = ACTIONS(2264),
    [anon_sym__Atomic] = ACTIONS(2264),
    [anon_sym__Noreturn] = ACTIONS(2264),
    [anon_sym_noreturn] = ACTIONS(2264),
    [anon_sym_mutable] = ACTIONS(2264),
    [anon_sym_constinit] = ACTIONS(2264),
    [anon_sym_consteval] = ACTIONS(2264),
    [anon_sym_or] = ACTIONS(2264),
    [anon_sym_and] = ACTIONS(2264),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2264),
    [anon_sym_decltype] = ACTIONS(2264),
    [anon_sym_final] = ACTIONS(2264),
    [anon_sym_override] = ACTIONS(2264),
    [anon_sym_virtual] = ACTIONS(2264),
    [anon_sym_alignas] = ACTIONS(2264),
    [anon_sym_GT2] = ACTIONS(2266),
    [anon_sym_operator] = ACTIONS(2264),
    [anon_sym_try] = ACTIONS(2264),
    [anon_sym_requires] = ACTIONS(2264),
    [anon_sym_precise] = ACTIONS(2264),
    [anon_sym_shared] = ACTIONS(2264),
    [anon_sym_groupshared] = ACTIONS(2264),
    [anon_sym_uniform] = ACTIONS(2264),
    [anon_sym_row_major] = ACTIONS(2264),
    [anon_sym_column_major] = ACTIONS(2264),
    [anon_sym_globallycoherent] = ACTIONS(2264),
    [anon_sym_centroid] = ACTIONS(2264),
    [anon_sym_noperspective] = ACTIONS(2264),
    [anon_sym_nointerpolation] = ACTIONS(2264),
    [anon_sym_sample] = ACTIONS(2264),
    [anon_sym_linear] = ACTIONS(2264),
    [anon_sym_snorm] = ACTIONS(2264),
    [anon_sym_unorm] = ACTIONS(2264),
    [anon_sym_point] = ACTIONS(2264),
    [anon_sym_line] = ACTIONS(2264),
    [anon_sym_triangleadj] = ACTIONS(2264),
    [anon_sym_lineadj] = ACTIONS(2264),
    [anon_sym_triangle] = ACTIONS(2264),
  },
  [3162] = {
    [sym_template_argument_list] = STATE(3017),
    [sym_identifier] = ACTIONS(2232),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2234),
    [anon_sym_COMMA] = ACTIONS(2234),
    [anon_sym_RPAREN] = ACTIONS(2234),
    [anon_sym_LPAREN2] = ACTIONS(2234),
    [anon_sym_TILDE] = ACTIONS(2234),
    [anon_sym_STAR] = ACTIONS(2234),
    [anon_sym_AMP_AMP] = ACTIONS(2234),
    [anon_sym_AMP] = ACTIONS(2232),
    [anon_sym_LT] = ACTIONS(6249),
    [anon_sym_COLON] = ACTIONS(2232),
    [anon_sym___extension__] = ACTIONS(2232),
    [anon_sym_in] = ACTIONS(2232),
    [anon_sym_out] = ACTIONS(2232),
    [anon_sym_inout] = ACTIONS(2232),
    [anon_sym_extern] = ACTIONS(2232),
    [anon_sym___attribute__] = ACTIONS(2232),
    [anon_sym_COLON_COLON] = ACTIONS(2230),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2234),
    [anon_sym___declspec] = ACTIONS(2232),
    [anon_sym___based] = ACTIONS(2232),
    [anon_sym_LBRACE] = ACTIONS(2234),
    [anon_sym_LBRACK] = ACTIONS(2232),
    [anon_sym_EQ] = ACTIONS(2234),
    [anon_sym_static] = ACTIONS(2232),
    [anon_sym_register] = ACTIONS(2232),
    [anon_sym_inline] = ACTIONS(2232),
    [anon_sym___inline] = ACTIONS(2232),
    [anon_sym___inline__] = ACTIONS(2232),
    [anon_sym___forceinline] = ACTIONS(2232),
    [anon_sym_thread_local] = ACTIONS(2232),
    [anon_sym___thread] = ACTIONS(2232),
    [anon_sym_const] = ACTIONS(2232),
    [anon_sym_constexpr] = ACTIONS(2232),
    [anon_sym_volatile] = ACTIONS(2232),
    [anon_sym_restrict] = ACTIONS(2232),
    [anon_sym___restrict__] = ACTIONS(2232),
    [anon_sym__Atomic] = ACTIONS(2232),
    [anon_sym__Noreturn] = ACTIONS(2232),
    [anon_sym_noreturn] = ACTIONS(2232),
    [anon_sym_mutable] = ACTIONS(2232),
    [anon_sym_constinit] = ACTIONS(2232),
    [anon_sym_consteval] = ACTIONS(2232),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2232),
    [anon_sym_decltype] = ACTIONS(2232),
    [anon_sym_final] = ACTIONS(2232),
    [anon_sym_override] = ACTIONS(2232),
    [anon_sym_virtual] = ACTIONS(2232),
    [anon_sym_alignas] = ACTIONS(2232),
    [anon_sym_template] = ACTIONS(2232),
    [anon_sym_GT2] = ACTIONS(2234),
    [anon_sym_operator] = ACTIONS(2232),
    [anon_sym_precise] = ACTIONS(2232),
    [anon_sym_shared] = ACTIONS(2232),
    [anon_sym_groupshared] = ACTIONS(2232),
    [anon_sym_uniform] = ACTIONS(2232),
    [anon_sym_row_major] = ACTIONS(2232),
    [anon_sym_column_major] = ACTIONS(2232),
    [anon_sym_globallycoherent] = ACTIONS(2232),
    [anon_sym_centroid] = ACTIONS(2232),
    [anon_sym_noperspective] = ACTIONS(2232),
    [anon_sym_nointerpolation] = ACTIONS(2232),
    [anon_sym_sample] = ACTIONS(2232),
    [anon_sym_linear] = ACTIONS(2232),
    [anon_sym_snorm] = ACTIONS(2232),
    [anon_sym_unorm] = ACTIONS(2232),
    [anon_sym_point] = ACTIONS(2232),
    [anon_sym_line] = ACTIONS(2232),
    [anon_sym_triangleadj] = ACTIONS(2232),
    [anon_sym_lineadj] = ACTIONS(2232),
    [anon_sym_triangle] = ACTIONS(2232),
  },
  [3163] = {
    [sym_identifier] = ACTIONS(6127),
    [anon_sym_LPAREN2] = ACTIONS(6129),
    [anon_sym_TILDE] = ACTIONS(6129),
    [anon_sym_STAR] = ACTIONS(6129),
    [anon_sym_AMP_AMP] = ACTIONS(6129),
    [anon_sym_AMP] = ACTIONS(6127),
    [anon_sym___extension__] = ACTIONS(6127),
    [anon_sym_in] = ACTIONS(6127),
    [anon_sym_out] = ACTIONS(6127),
    [anon_sym_inout] = ACTIONS(6127),
    [anon_sym_extern] = ACTIONS(6127),
    [anon_sym___attribute__] = ACTIONS(6127),
    [anon_sym_COLON_COLON] = ACTIONS(6129),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(6129),
    [anon_sym___declspec] = ACTIONS(6127),
    [anon_sym___based] = ACTIONS(6127),
    [anon_sym_signed] = ACTIONS(6127),
    [anon_sym_unsigned] = ACTIONS(6127),
    [anon_sym_long] = ACTIONS(6127),
    [anon_sym_short] = ACTIONS(6127),
    [anon_sym_LBRACK] = ACTIONS(6127),
    [anon_sym_static] = ACTIONS(6127),
    [anon_sym_register] = ACTIONS(6127),
    [anon_sym_inline] = ACTIONS(6127),
    [anon_sym___inline] = ACTIONS(6127),
    [anon_sym___inline__] = ACTIONS(6127),
    [anon_sym___forceinline] = ACTIONS(6127),
    [anon_sym_thread_local] = ACTIONS(6127),
    [anon_sym___thread] = ACTIONS(6127),
    [anon_sym_const] = ACTIONS(6127),
    [anon_sym_constexpr] = ACTIONS(6127),
    [anon_sym_volatile] = ACTIONS(6127),
    [anon_sym_restrict] = ACTIONS(6127),
    [anon_sym___restrict__] = ACTIONS(6127),
    [anon_sym__Atomic] = ACTIONS(6127),
    [anon_sym__Noreturn] = ACTIONS(6127),
    [anon_sym_noreturn] = ACTIONS(6127),
    [anon_sym_mutable] = ACTIONS(6127),
    [anon_sym_constinit] = ACTIONS(6127),
    [anon_sym_consteval] = ACTIONS(6127),
    [sym_primitive_type] = ACTIONS(6127),
    [anon_sym_enum] = ACTIONS(6127),
    [anon_sym_class] = ACTIONS(6127),
    [anon_sym_struct] = ACTIONS(6127),
    [anon_sym_union] = ACTIONS(6127),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(6127),
    [anon_sym_decltype] = ACTIONS(6127),
    [anon_sym_virtual] = ACTIONS(6127),
    [anon_sym_alignas] = ACTIONS(6127),
    [anon_sym_explicit] = ACTIONS(6127),
    [anon_sym_typename] = ACTIONS(6127),
    [anon_sym_template] = ACTIONS(6127),
    [anon_sym_operator] = ACTIONS(6127),
    [anon_sym_precise] = ACTIONS(6127),
    [anon_sym_shared] = ACTIONS(6127),
    [anon_sym_groupshared] = ACTIONS(6127),
    [anon_sym_uniform] = ACTIONS(6127),
    [anon_sym_row_major] = ACTIONS(6127),
    [anon_sym_column_major] = ACTIONS(6127),
    [anon_sym_globallycoherent] = ACTIONS(6127),
    [anon_sym_centroid] = ACTIONS(6127),
    [anon_sym_noperspective] = ACTIONS(6127),
    [anon_sym_nointerpolation] = ACTIONS(6127),
    [anon_sym_sample] = ACTIONS(6127),
    [anon_sym_linear] = ACTIONS(6127),
    [anon_sym_snorm] = ACTIONS(6127),
    [anon_sym_unorm] = ACTIONS(6127),
    [anon_sym_point] = ACTIONS(6127),
    [anon_sym_line] = ACTIONS(6127),
    [anon_sym_triangleadj] = ACTIONS(6127),
    [anon_sym_lineadj] = ACTIONS(6127),
    [anon_sym_triangle] = ACTIONS(6127),
  },
  [3164] = {
    [sym_identifier] = ACTIONS(4172),
    [anon_sym_LPAREN2] = ACTIONS(4174),
    [anon_sym_TILDE] = ACTIONS(4174),
    [anon_sym_STAR] = ACTIONS(4174),
    [anon_sym_AMP_AMP] = ACTIONS(4174),
    [anon_sym_AMP] = ACTIONS(4172),
    [anon_sym___extension__] = ACTIONS(4172),
    [anon_sym_in] = ACTIONS(4172),
    [anon_sym_out] = ACTIONS(4172),
    [anon_sym_inout] = ACTIONS(4172),
    [anon_sym_extern] = ACTIONS(4172),
    [anon_sym___attribute__] = ACTIONS(4172),
    [anon_sym_COLON_COLON] = ACTIONS(4174),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4174),
    [anon_sym___declspec] = ACTIONS(4172),
    [anon_sym___based] = ACTIONS(4172),
    [anon_sym_signed] = ACTIONS(4172),
    [anon_sym_unsigned] = ACTIONS(4172),
    [anon_sym_long] = ACTIONS(4172),
    [anon_sym_short] = ACTIONS(4172),
    [anon_sym_LBRACK] = ACTIONS(4172),
    [anon_sym_static] = ACTIONS(4172),
    [anon_sym_register] = ACTIONS(4172),
    [anon_sym_inline] = ACTIONS(4172),
    [anon_sym___inline] = ACTIONS(4172),
    [anon_sym___inline__] = ACTIONS(4172),
    [anon_sym___forceinline] = ACTIONS(4172),
    [anon_sym_thread_local] = ACTIONS(4172),
    [anon_sym___thread] = ACTIONS(4172),
    [anon_sym_const] = ACTIONS(4172),
    [anon_sym_constexpr] = ACTIONS(4172),
    [anon_sym_volatile] = ACTIONS(4172),
    [anon_sym_restrict] = ACTIONS(4172),
    [anon_sym___restrict__] = ACTIONS(4172),
    [anon_sym__Atomic] = ACTIONS(4172),
    [anon_sym__Noreturn] = ACTIONS(4172),
    [anon_sym_noreturn] = ACTIONS(4172),
    [anon_sym_mutable] = ACTIONS(4172),
    [anon_sym_constinit] = ACTIONS(4172),
    [anon_sym_consteval] = ACTIONS(4172),
    [sym_primitive_type] = ACTIONS(4172),
    [anon_sym_enum] = ACTIONS(4172),
    [anon_sym_class] = ACTIONS(4172),
    [anon_sym_struct] = ACTIONS(4172),
    [anon_sym_union] = ACTIONS(4172),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4172),
    [anon_sym_decltype] = ACTIONS(4172),
    [anon_sym_virtual] = ACTIONS(4172),
    [anon_sym_alignas] = ACTIONS(4172),
    [anon_sym_explicit] = ACTIONS(4172),
    [anon_sym_typename] = ACTIONS(4172),
    [anon_sym_template] = ACTIONS(4172),
    [anon_sym_operator] = ACTIONS(4172),
    [anon_sym_precise] = ACTIONS(4172),
    [anon_sym_shared] = ACTIONS(4172),
    [anon_sym_groupshared] = ACTIONS(4172),
    [anon_sym_uniform] = ACTIONS(4172),
    [anon_sym_row_major] = ACTIONS(4172),
    [anon_sym_column_major] = ACTIONS(4172),
    [anon_sym_globallycoherent] = ACTIONS(4172),
    [anon_sym_centroid] = ACTIONS(4172),
    [anon_sym_noperspective] = ACTIONS(4172),
    [anon_sym_nointerpolation] = ACTIONS(4172),
    [anon_sym_sample] = ACTIONS(4172),
    [anon_sym_linear] = ACTIONS(4172),
    [anon_sym_snorm] = ACTIONS(4172),
    [anon_sym_unorm] = ACTIONS(4172),
    [anon_sym_point] = ACTIONS(4172),
    [anon_sym_line] = ACTIONS(4172),
    [anon_sym_triangleadj] = ACTIONS(4172),
    [anon_sym_lineadj] = ACTIONS(4172),
    [anon_sym_triangle] = ACTIONS(4172),
  },
  [3165] = {
    [sym_identifier] = ACTIONS(4168),
    [anon_sym_LPAREN2] = ACTIONS(4170),
    [anon_sym_TILDE] = ACTIONS(4170),
    [anon_sym_STAR] = ACTIONS(4170),
    [anon_sym_AMP_AMP] = ACTIONS(4170),
    [anon_sym_AMP] = ACTIONS(4168),
    [anon_sym___extension__] = ACTIONS(4168),
    [anon_sym_in] = ACTIONS(4168),
    [anon_sym_out] = ACTIONS(4168),
    [anon_sym_inout] = ACTIONS(4168),
    [anon_sym_extern] = ACTIONS(4168),
    [anon_sym___attribute__] = ACTIONS(4168),
    [anon_sym_COLON_COLON] = ACTIONS(4170),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4170),
    [anon_sym___declspec] = ACTIONS(4168),
    [anon_sym___based] = ACTIONS(4168),
    [anon_sym_signed] = ACTIONS(4168),
    [anon_sym_unsigned] = ACTIONS(4168),
    [anon_sym_long] = ACTIONS(4168),
    [anon_sym_short] = ACTIONS(4168),
    [anon_sym_LBRACK] = ACTIONS(4168),
    [anon_sym_static] = ACTIONS(4168),
    [anon_sym_register] = ACTIONS(4168),
    [anon_sym_inline] = ACTIONS(4168),
    [anon_sym___inline] = ACTIONS(4168),
    [anon_sym___inline__] = ACTIONS(4168),
    [anon_sym___forceinline] = ACTIONS(4168),
    [anon_sym_thread_local] = ACTIONS(4168),
    [anon_sym___thread] = ACTIONS(4168),
    [anon_sym_const] = ACTIONS(4168),
    [anon_sym_constexpr] = ACTIONS(4168),
    [anon_sym_volatile] = ACTIONS(4168),
    [anon_sym_restrict] = ACTIONS(4168),
    [anon_sym___restrict__] = ACTIONS(4168),
    [anon_sym__Atomic] = ACTIONS(4168),
    [anon_sym__Noreturn] = ACTIONS(4168),
    [anon_sym_noreturn] = ACTIONS(4168),
    [anon_sym_mutable] = ACTIONS(4168),
    [anon_sym_constinit] = ACTIONS(4168),
    [anon_sym_consteval] = ACTIONS(4168),
    [sym_primitive_type] = ACTIONS(4168),
    [anon_sym_enum] = ACTIONS(4168),
    [anon_sym_class] = ACTIONS(4168),
    [anon_sym_struct] = ACTIONS(4168),
    [anon_sym_union] = ACTIONS(4168),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4168),
    [anon_sym_decltype] = ACTIONS(4168),
    [anon_sym_virtual] = ACTIONS(4168),
    [anon_sym_alignas] = ACTIONS(4168),
    [anon_sym_explicit] = ACTIONS(4168),
    [anon_sym_typename] = ACTIONS(4168),
    [anon_sym_template] = ACTIONS(4168),
    [anon_sym_operator] = ACTIONS(4168),
    [anon_sym_precise] = ACTIONS(4168),
    [anon_sym_shared] = ACTIONS(4168),
    [anon_sym_groupshared] = ACTIONS(4168),
    [anon_sym_uniform] = ACTIONS(4168),
    [anon_sym_row_major] = ACTIONS(4168),
    [anon_sym_column_major] = ACTIONS(4168),
    [anon_sym_globallycoherent] = ACTIONS(4168),
    [anon_sym_centroid] = ACTIONS(4168),
    [anon_sym_noperspective] = ACTIONS(4168),
    [anon_sym_nointerpolation] = ACTIONS(4168),
    [anon_sym_sample] = ACTIONS(4168),
    [anon_sym_linear] = ACTIONS(4168),
    [anon_sym_snorm] = ACTIONS(4168),
    [anon_sym_unorm] = ACTIONS(4168),
    [anon_sym_point] = ACTIONS(4168),
    [anon_sym_line] = ACTIONS(4168),
    [anon_sym_triangleadj] = ACTIONS(4168),
    [anon_sym_lineadj] = ACTIONS(4168),
    [anon_sym_triangle] = ACTIONS(4168),
  },
  [3166] = {
    [sym_identifier] = ACTIONS(6015),
    [anon_sym_LPAREN2] = ACTIONS(6017),
    [anon_sym_TILDE] = ACTIONS(6017),
    [anon_sym_STAR] = ACTIONS(6017),
    [anon_sym_AMP_AMP] = ACTIONS(6017),
    [anon_sym_AMP] = ACTIONS(6015),
    [anon_sym___extension__] = ACTIONS(6015),
    [anon_sym_in] = ACTIONS(6015),
    [anon_sym_out] = ACTIONS(6015),
    [anon_sym_inout] = ACTIONS(6015),
    [anon_sym_extern] = ACTIONS(6015),
    [anon_sym___attribute__] = ACTIONS(6015),
    [anon_sym_COLON_COLON] = ACTIONS(6017),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(6017),
    [anon_sym___declspec] = ACTIONS(6015),
    [anon_sym___based] = ACTIONS(6015),
    [anon_sym_signed] = ACTIONS(6015),
    [anon_sym_unsigned] = ACTIONS(6015),
    [anon_sym_long] = ACTIONS(6015),
    [anon_sym_short] = ACTIONS(6015),
    [anon_sym_LBRACK] = ACTIONS(6015),
    [anon_sym_static] = ACTIONS(6015),
    [anon_sym_register] = ACTIONS(6015),
    [anon_sym_inline] = ACTIONS(6015),
    [anon_sym___inline] = ACTIONS(6015),
    [anon_sym___inline__] = ACTIONS(6015),
    [anon_sym___forceinline] = ACTIONS(6015),
    [anon_sym_thread_local] = ACTIONS(6015),
    [anon_sym___thread] = ACTIONS(6015),
    [anon_sym_const] = ACTIONS(6015),
    [anon_sym_constexpr] = ACTIONS(6015),
    [anon_sym_volatile] = ACTIONS(6015),
    [anon_sym_restrict] = ACTIONS(6015),
    [anon_sym___restrict__] = ACTIONS(6015),
    [anon_sym__Atomic] = ACTIONS(6015),
    [anon_sym__Noreturn] = ACTIONS(6015),
    [anon_sym_noreturn] = ACTIONS(6015),
    [anon_sym_mutable] = ACTIONS(6015),
    [anon_sym_constinit] = ACTIONS(6015),
    [anon_sym_consteval] = ACTIONS(6015),
    [sym_primitive_type] = ACTIONS(6015),
    [anon_sym_enum] = ACTIONS(6015),
    [anon_sym_class] = ACTIONS(6015),
    [anon_sym_struct] = ACTIONS(6015),
    [anon_sym_union] = ACTIONS(6015),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(6015),
    [anon_sym_decltype] = ACTIONS(6015),
    [anon_sym_virtual] = ACTIONS(6015),
    [anon_sym_alignas] = ACTIONS(6015),
    [anon_sym_explicit] = ACTIONS(6015),
    [anon_sym_typename] = ACTIONS(6015),
    [anon_sym_template] = ACTIONS(6015),
    [anon_sym_operator] = ACTIONS(6015),
    [anon_sym_precise] = ACTIONS(6015),
    [anon_sym_shared] = ACTIONS(6015),
    [anon_sym_groupshared] = ACTIONS(6015),
    [anon_sym_uniform] = ACTIONS(6015),
    [anon_sym_row_major] = ACTIONS(6015),
    [anon_sym_column_major] = ACTIONS(6015),
    [anon_sym_globallycoherent] = ACTIONS(6015),
    [anon_sym_centroid] = ACTIONS(6015),
    [anon_sym_noperspective] = ACTIONS(6015),
    [anon_sym_nointerpolation] = ACTIONS(6015),
    [anon_sym_sample] = ACTIONS(6015),
    [anon_sym_linear] = ACTIONS(6015),
    [anon_sym_snorm] = ACTIONS(6015),
    [anon_sym_unorm] = ACTIONS(6015),
    [anon_sym_point] = ACTIONS(6015),
    [anon_sym_line] = ACTIONS(6015),
    [anon_sym_triangleadj] = ACTIONS(6015),
    [anon_sym_lineadj] = ACTIONS(6015),
    [anon_sym_triangle] = ACTIONS(6015),
  },
  [3167] = {
    [sym_template_argument_list] = STATE(3017),
    [sym_identifier] = ACTIONS(2224),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2226),
    [anon_sym_COMMA] = ACTIONS(2226),
    [anon_sym_RPAREN] = ACTIONS(2226),
    [anon_sym_LPAREN2] = ACTIONS(2226),
    [anon_sym_TILDE] = ACTIONS(2226),
    [anon_sym_STAR] = ACTIONS(2226),
    [anon_sym_AMP_AMP] = ACTIONS(2226),
    [anon_sym_AMP] = ACTIONS(2224),
    [anon_sym_LT] = ACTIONS(6249),
    [anon_sym_COLON] = ACTIONS(2224),
    [anon_sym___extension__] = ACTIONS(2224),
    [anon_sym_in] = ACTIONS(2224),
    [anon_sym_out] = ACTIONS(2224),
    [anon_sym_inout] = ACTIONS(2224),
    [anon_sym_extern] = ACTIONS(2224),
    [anon_sym___attribute__] = ACTIONS(2224),
    [anon_sym_COLON_COLON] = ACTIONS(2230),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2226),
    [anon_sym___declspec] = ACTIONS(2224),
    [anon_sym___based] = ACTIONS(2224),
    [anon_sym_LBRACE] = ACTIONS(2226),
    [anon_sym_LBRACK] = ACTIONS(2224),
    [anon_sym_EQ] = ACTIONS(2226),
    [anon_sym_static] = ACTIONS(2224),
    [anon_sym_register] = ACTIONS(2224),
    [anon_sym_inline] = ACTIONS(2224),
    [anon_sym___inline] = ACTIONS(2224),
    [anon_sym___inline__] = ACTIONS(2224),
    [anon_sym___forceinline] = ACTIONS(2224),
    [anon_sym_thread_local] = ACTIONS(2224),
    [anon_sym___thread] = ACTIONS(2224),
    [anon_sym_const] = ACTIONS(2224),
    [anon_sym_constexpr] = ACTIONS(2224),
    [anon_sym_volatile] = ACTIONS(2224),
    [anon_sym_restrict] = ACTIONS(2224),
    [anon_sym___restrict__] = ACTIONS(2224),
    [anon_sym__Atomic] = ACTIONS(2224),
    [anon_sym__Noreturn] = ACTIONS(2224),
    [anon_sym_noreturn] = ACTIONS(2224),
    [anon_sym_mutable] = ACTIONS(2224),
    [anon_sym_constinit] = ACTIONS(2224),
    [anon_sym_consteval] = ACTIONS(2224),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2224),
    [anon_sym_decltype] = ACTIONS(2224),
    [anon_sym_final] = ACTIONS(2224),
    [anon_sym_override] = ACTIONS(2224),
    [anon_sym_virtual] = ACTIONS(2224),
    [anon_sym_alignas] = ACTIONS(2224),
    [anon_sym_template] = ACTIONS(2224),
    [anon_sym_GT2] = ACTIONS(2226),
    [anon_sym_operator] = ACTIONS(2224),
    [anon_sym_precise] = ACTIONS(2224),
    [anon_sym_shared] = ACTIONS(2224),
    [anon_sym_groupshared] = ACTIONS(2224),
    [anon_sym_uniform] = ACTIONS(2224),
    [anon_sym_row_major] = ACTIONS(2224),
    [anon_sym_column_major] = ACTIONS(2224),
    [anon_sym_globallycoherent] = ACTIONS(2224),
    [anon_sym_centroid] = ACTIONS(2224),
    [anon_sym_noperspective] = ACTIONS(2224),
    [anon_sym_nointerpolation] = ACTIONS(2224),
    [anon_sym_sample] = ACTIONS(2224),
    [anon_sym_linear] = ACTIONS(2224),
    [anon_sym_snorm] = ACTIONS(2224),
    [anon_sym_unorm] = ACTIONS(2224),
    [anon_sym_point] = ACTIONS(2224),
    [anon_sym_line] = ACTIONS(2224),
    [anon_sym_triangleadj] = ACTIONS(2224),
    [anon_sym_lineadj] = ACTIONS(2224),
    [anon_sym_triangle] = ACTIONS(2224),
  },
  [3168] = {
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2188),
    [anon_sym_COMMA] = ACTIONS(2188),
    [anon_sym_RPAREN] = ACTIONS(2188),
    [anon_sym_LPAREN2] = ACTIONS(2188),
    [anon_sym_DASH] = ACTIONS(2186),
    [anon_sym_PLUS] = ACTIONS(2186),
    [anon_sym_STAR] = ACTIONS(2186),
    [anon_sym_SLASH] = ACTIONS(2186),
    [anon_sym_PERCENT] = ACTIONS(2186),
    [anon_sym_PIPE_PIPE] = ACTIONS(2188),
    [anon_sym_AMP_AMP] = ACTIONS(2188),
    [anon_sym_PIPE] = ACTIONS(2186),
    [anon_sym_CARET] = ACTIONS(2186),
    [anon_sym_AMP] = ACTIONS(2186),
    [anon_sym_EQ_EQ] = ACTIONS(2188),
    [anon_sym_BANG_EQ] = ACTIONS(2188),
    [anon_sym_GT] = ACTIONS(2186),
    [anon_sym_GT_EQ] = ACTIONS(2188),
    [anon_sym_LT_EQ] = ACTIONS(2186),
    [anon_sym_LT] = ACTIONS(2186),
    [anon_sym_LT_LT] = ACTIONS(2186),
    [anon_sym_GT_GT] = ACTIONS(2186),
    [anon_sym_COLON] = ACTIONS(2186),
    [anon_sym___extension__] = ACTIONS(2188),
    [anon_sym___attribute__] = ACTIONS(2188),
    [anon_sym_COLON_COLON] = ACTIONS(2188),
    [anon_sym_LBRACE] = ACTIONS(2188),
    [anon_sym_LBRACK] = ACTIONS(2188),
    [anon_sym_EQ] = ACTIONS(2186),
    [anon_sym_const] = ACTIONS(2186),
    [anon_sym_constexpr] = ACTIONS(2188),
    [anon_sym_volatile] = ACTIONS(2188),
    [anon_sym_restrict] = ACTIONS(2188),
    [anon_sym___restrict__] = ACTIONS(2188),
    [anon_sym__Atomic] = ACTIONS(2188),
    [anon_sym__Noreturn] = ACTIONS(2188),
    [anon_sym_noreturn] = ACTIONS(2188),
    [anon_sym_mutable] = ACTIONS(2188),
    [anon_sym_constinit] = ACTIONS(2188),
    [anon_sym_consteval] = ACTIONS(2188),
    [anon_sym_QMARK] = ACTIONS(2188),
    [anon_sym_STAR_EQ] = ACTIONS(2188),
    [anon_sym_SLASH_EQ] = ACTIONS(2188),
    [anon_sym_PERCENT_EQ] = ACTIONS(2188),
    [anon_sym_PLUS_EQ] = ACTIONS(2188),
    [anon_sym_DASH_EQ] = ACTIONS(2188),
    [anon_sym_LT_LT_EQ] = ACTIONS(2188),
    [anon_sym_GT_GT_EQ] = ACTIONS(2188),
    [anon_sym_AMP_EQ] = ACTIONS(2188),
    [anon_sym_CARET_EQ] = ACTIONS(2188),
    [anon_sym_PIPE_EQ] = ACTIONS(2188),
    [anon_sym_and_eq] = ACTIONS(2188),
    [anon_sym_or_eq] = ACTIONS(2188),
    [anon_sym_xor_eq] = ACTIONS(2188),
    [anon_sym_LT_EQ_GT] = ACTIONS(2188),
    [anon_sym_or] = ACTIONS(2186),
    [anon_sym_and] = ACTIONS(2186),
    [anon_sym_bitor] = ACTIONS(2188),
    [anon_sym_xor] = ACTIONS(2186),
    [anon_sym_bitand] = ACTIONS(2188),
    [anon_sym_not_eq] = ACTIONS(2188),
    [anon_sym_DASH_DASH] = ACTIONS(2188),
    [anon_sym_PLUS_PLUS] = ACTIONS(2188),
    [anon_sym_DOT] = ACTIONS(2186),
    [anon_sym_DOT_STAR] = ACTIONS(2188),
    [anon_sym_DASH_GT] = ACTIONS(2186),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2188),
    [anon_sym_decltype] = ACTIONS(2188),
    [anon_sym_final] = ACTIONS(2188),
    [anon_sym_override] = ACTIONS(2188),
    [anon_sym_DASH_GT_STAR] = ACTIONS(2188),
  },
  [3169] = {
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2184),
    [anon_sym_COMMA] = ACTIONS(2184),
    [anon_sym_RPAREN] = ACTIONS(2184),
    [anon_sym_LPAREN2] = ACTIONS(2184),
    [anon_sym_DASH] = ACTIONS(2182),
    [anon_sym_PLUS] = ACTIONS(2182),
    [anon_sym_STAR] = ACTIONS(2182),
    [anon_sym_SLASH] = ACTIONS(2182),
    [anon_sym_PERCENT] = ACTIONS(2182),
    [anon_sym_PIPE_PIPE] = ACTIONS(2184),
    [anon_sym_AMP_AMP] = ACTIONS(2184),
    [anon_sym_PIPE] = ACTIONS(2182),
    [anon_sym_CARET] = ACTIONS(2182),
    [anon_sym_AMP] = ACTIONS(2182),
    [anon_sym_EQ_EQ] = ACTIONS(2184),
    [anon_sym_BANG_EQ] = ACTIONS(2184),
    [anon_sym_GT] = ACTIONS(2182),
    [anon_sym_GT_EQ] = ACTIONS(2184),
    [anon_sym_LT_EQ] = ACTIONS(2182),
    [anon_sym_LT] = ACTIONS(2182),
    [anon_sym_LT_LT] = ACTIONS(2182),
    [anon_sym_GT_GT] = ACTIONS(2182),
    [anon_sym_COLON] = ACTIONS(2182),
    [anon_sym___extension__] = ACTIONS(2184),
    [anon_sym___attribute__] = ACTIONS(2184),
    [anon_sym_COLON_COLON] = ACTIONS(2184),
    [anon_sym_LBRACE] = ACTIONS(2184),
    [anon_sym_LBRACK] = ACTIONS(2184),
    [anon_sym_EQ] = ACTIONS(2182),
    [anon_sym_const] = ACTIONS(2182),
    [anon_sym_constexpr] = ACTIONS(2184),
    [anon_sym_volatile] = ACTIONS(2184),
    [anon_sym_restrict] = ACTIONS(2184),
    [anon_sym___restrict__] = ACTIONS(2184),
    [anon_sym__Atomic] = ACTIONS(2184),
    [anon_sym__Noreturn] = ACTIONS(2184),
    [anon_sym_noreturn] = ACTIONS(2184),
    [anon_sym_mutable] = ACTIONS(2184),
    [anon_sym_constinit] = ACTIONS(2184),
    [anon_sym_consteval] = ACTIONS(2184),
    [anon_sym_QMARK] = ACTIONS(2184),
    [anon_sym_STAR_EQ] = ACTIONS(2184),
    [anon_sym_SLASH_EQ] = ACTIONS(2184),
    [anon_sym_PERCENT_EQ] = ACTIONS(2184),
    [anon_sym_PLUS_EQ] = ACTIONS(2184),
    [anon_sym_DASH_EQ] = ACTIONS(2184),
    [anon_sym_LT_LT_EQ] = ACTIONS(2184),
    [anon_sym_GT_GT_EQ] = ACTIONS(2184),
    [anon_sym_AMP_EQ] = ACTIONS(2184),
    [anon_sym_CARET_EQ] = ACTIONS(2184),
    [anon_sym_PIPE_EQ] = ACTIONS(2184),
    [anon_sym_and_eq] = ACTIONS(2184),
    [anon_sym_or_eq] = ACTIONS(2184),
    [anon_sym_xor_eq] = ACTIONS(2184),
    [anon_sym_LT_EQ_GT] = ACTIONS(2184),
    [anon_sym_or] = ACTIONS(2182),
    [anon_sym_and] = ACTIONS(2182),
    [anon_sym_bitor] = ACTIONS(2184),
    [anon_sym_xor] = ACTIONS(2182),
    [anon_sym_bitand] = ACTIONS(2184),
    [anon_sym_not_eq] = ACTIONS(2184),
    [anon_sym_DASH_DASH] = ACTIONS(2184),
    [anon_sym_PLUS_PLUS] = ACTIONS(2184),
    [anon_sym_DOT] = ACTIONS(2182),
    [anon_sym_DOT_STAR] = ACTIONS(2184),
    [anon_sym_DASH_GT] = ACTIONS(2182),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2184),
    [anon_sym_decltype] = ACTIONS(2184),
    [anon_sym_final] = ACTIONS(2184),
    [anon_sym_override] = ACTIONS(2184),
    [anon_sym_DASH_GT_STAR] = ACTIONS(2184),
  },
  [3170] = {
    [sym_identifier] = ACTIONS(6396),
    [anon_sym___extension__] = ACTIONS(6396),
    [anon_sym_in] = ACTIONS(6396),
    [anon_sym_out] = ACTIONS(6396),
    [anon_sym_inout] = ACTIONS(6396),
    [anon_sym_extern] = ACTIONS(6396),
    [anon_sym___attribute__] = ACTIONS(6396),
    [anon_sym_COLON_COLON] = ACTIONS(6398),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(6398),
    [anon_sym___declspec] = ACTIONS(6396),
    [anon_sym___cdecl] = ACTIONS(6396),
    [anon_sym___clrcall] = ACTIONS(6396),
    [anon_sym___stdcall] = ACTIONS(6396),
    [anon_sym___fastcall] = ACTIONS(6396),
    [anon_sym___thiscall] = ACTIONS(6396),
    [anon_sym___vectorcall] = ACTIONS(6396),
    [anon_sym_LBRACE] = ACTIONS(6398),
    [anon_sym_signed] = ACTIONS(6396),
    [anon_sym_unsigned] = ACTIONS(6396),
    [anon_sym_long] = ACTIONS(6396),
    [anon_sym_short] = ACTIONS(6396),
    [anon_sym_LBRACK] = ACTIONS(6396),
    [anon_sym_static] = ACTIONS(6396),
    [anon_sym_register] = ACTIONS(6396),
    [anon_sym_inline] = ACTIONS(6396),
    [anon_sym___inline] = ACTIONS(6396),
    [anon_sym___inline__] = ACTIONS(6396),
    [anon_sym___forceinline] = ACTIONS(6396),
    [anon_sym_thread_local] = ACTIONS(6396),
    [anon_sym___thread] = ACTIONS(6396),
    [anon_sym_const] = ACTIONS(6396),
    [anon_sym_constexpr] = ACTIONS(6396),
    [anon_sym_volatile] = ACTIONS(6396),
    [anon_sym_restrict] = ACTIONS(6396),
    [anon_sym___restrict__] = ACTIONS(6396),
    [anon_sym__Atomic] = ACTIONS(6396),
    [anon_sym__Noreturn] = ACTIONS(6396),
    [anon_sym_noreturn] = ACTIONS(6396),
    [anon_sym_mutable] = ACTIONS(6396),
    [anon_sym_constinit] = ACTIONS(6396),
    [anon_sym_consteval] = ACTIONS(6396),
    [sym_primitive_type] = ACTIONS(6396),
    [anon_sym_enum] = ACTIONS(6396),
    [anon_sym_class] = ACTIONS(6396),
    [anon_sym_struct] = ACTIONS(6396),
    [anon_sym_union] = ACTIONS(6396),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(6396),
    [anon_sym_decltype] = ACTIONS(6396),
    [anon_sym_virtual] = ACTIONS(6396),
    [anon_sym_alignas] = ACTIONS(6396),
    [anon_sym_typename] = ACTIONS(6396),
    [anon_sym_template] = ACTIONS(6396),
    [anon_sym_precise] = ACTIONS(6396),
    [anon_sym_shared] = ACTIONS(6396),
    [anon_sym_groupshared] = ACTIONS(6396),
    [anon_sym_uniform] = ACTIONS(6396),
    [anon_sym_row_major] = ACTIONS(6396),
    [anon_sym_column_major] = ACTIONS(6396),
    [anon_sym_globallycoherent] = ACTIONS(6396),
    [anon_sym_centroid] = ACTIONS(6396),
    [anon_sym_noperspective] = ACTIONS(6396),
    [anon_sym_nointerpolation] = ACTIONS(6396),
    [anon_sym_sample] = ACTIONS(6396),
    [anon_sym_linear] = ACTIONS(6396),
    [anon_sym_snorm] = ACTIONS(6396),
    [anon_sym_unorm] = ACTIONS(6396),
    [anon_sym_point] = ACTIONS(6396),
    [anon_sym_line] = ACTIONS(6396),
    [anon_sym_triangleadj] = ACTIONS(6396),
    [anon_sym_lineadj] = ACTIONS(6396),
    [anon_sym_triangle] = ACTIONS(6396),
  },
  [3171] = {
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2180),
    [anon_sym_COMMA] = ACTIONS(2180),
    [anon_sym_RPAREN] = ACTIONS(2180),
    [anon_sym_LPAREN2] = ACTIONS(2180),
    [anon_sym_DASH] = ACTIONS(2178),
    [anon_sym_PLUS] = ACTIONS(2178),
    [anon_sym_STAR] = ACTIONS(2178),
    [anon_sym_SLASH] = ACTIONS(2178),
    [anon_sym_PERCENT] = ACTIONS(2178),
    [anon_sym_PIPE_PIPE] = ACTIONS(2180),
    [anon_sym_AMP_AMP] = ACTIONS(2180),
    [anon_sym_PIPE] = ACTIONS(2178),
    [anon_sym_CARET] = ACTIONS(2178),
    [anon_sym_AMP] = ACTIONS(2178),
    [anon_sym_EQ_EQ] = ACTIONS(2180),
    [anon_sym_BANG_EQ] = ACTIONS(2180),
    [anon_sym_GT] = ACTIONS(2178),
    [anon_sym_GT_EQ] = ACTIONS(2180),
    [anon_sym_LT_EQ] = ACTIONS(2178),
    [anon_sym_LT] = ACTIONS(2178),
    [anon_sym_LT_LT] = ACTIONS(2178),
    [anon_sym_GT_GT] = ACTIONS(2178),
    [anon_sym_COLON] = ACTIONS(2178),
    [anon_sym___extension__] = ACTIONS(2180),
    [anon_sym___attribute__] = ACTIONS(2180),
    [anon_sym_COLON_COLON] = ACTIONS(2180),
    [anon_sym_LBRACE] = ACTIONS(2180),
    [anon_sym_LBRACK] = ACTIONS(2180),
    [anon_sym_EQ] = ACTIONS(2178),
    [anon_sym_const] = ACTIONS(2178),
    [anon_sym_constexpr] = ACTIONS(2180),
    [anon_sym_volatile] = ACTIONS(2180),
    [anon_sym_restrict] = ACTIONS(2180),
    [anon_sym___restrict__] = ACTIONS(2180),
    [anon_sym__Atomic] = ACTIONS(2180),
    [anon_sym__Noreturn] = ACTIONS(2180),
    [anon_sym_noreturn] = ACTIONS(2180),
    [anon_sym_mutable] = ACTIONS(2180),
    [anon_sym_constinit] = ACTIONS(2180),
    [anon_sym_consteval] = ACTIONS(2180),
    [anon_sym_QMARK] = ACTIONS(2180),
    [anon_sym_STAR_EQ] = ACTIONS(2180),
    [anon_sym_SLASH_EQ] = ACTIONS(2180),
    [anon_sym_PERCENT_EQ] = ACTIONS(2180),
    [anon_sym_PLUS_EQ] = ACTIONS(2180),
    [anon_sym_DASH_EQ] = ACTIONS(2180),
    [anon_sym_LT_LT_EQ] = ACTIONS(2180),
    [anon_sym_GT_GT_EQ] = ACTIONS(2180),
    [anon_sym_AMP_EQ] = ACTIONS(2180),
    [anon_sym_CARET_EQ] = ACTIONS(2180),
    [anon_sym_PIPE_EQ] = ACTIONS(2180),
    [anon_sym_and_eq] = ACTIONS(2180),
    [anon_sym_or_eq] = ACTIONS(2180),
    [anon_sym_xor_eq] = ACTIONS(2180),
    [anon_sym_LT_EQ_GT] = ACTIONS(2180),
    [anon_sym_or] = ACTIONS(2178),
    [anon_sym_and] = ACTIONS(2178),
    [anon_sym_bitor] = ACTIONS(2180),
    [anon_sym_xor] = ACTIONS(2178),
    [anon_sym_bitand] = ACTIONS(2180),
    [anon_sym_not_eq] = ACTIONS(2180),
    [anon_sym_DASH_DASH] = ACTIONS(2180),
    [anon_sym_PLUS_PLUS] = ACTIONS(2180),
    [anon_sym_DOT] = ACTIONS(2178),
    [anon_sym_DOT_STAR] = ACTIONS(2180),
    [anon_sym_DASH_GT] = ACTIONS(2178),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2180),
    [anon_sym_decltype] = ACTIONS(2180),
    [anon_sym_final] = ACTIONS(2180),
    [anon_sym_override] = ACTIONS(2180),
    [anon_sym_DASH_GT_STAR] = ACTIONS(2180),
  },
  [3172] = {
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2202),
    [anon_sym_COMMA] = ACTIONS(2202),
    [anon_sym_RPAREN] = ACTIONS(2202),
    [anon_sym_LPAREN2] = ACTIONS(2202),
    [anon_sym_DASH] = ACTIONS(2200),
    [anon_sym_PLUS] = ACTIONS(2200),
    [anon_sym_STAR] = ACTIONS(2200),
    [anon_sym_SLASH] = ACTIONS(2200),
    [anon_sym_PERCENT] = ACTIONS(2200),
    [anon_sym_PIPE_PIPE] = ACTIONS(2202),
    [anon_sym_AMP_AMP] = ACTIONS(2202),
    [anon_sym_PIPE] = ACTIONS(2200),
    [anon_sym_CARET] = ACTIONS(2200),
    [anon_sym_AMP] = ACTIONS(2200),
    [anon_sym_EQ_EQ] = ACTIONS(2202),
    [anon_sym_BANG_EQ] = ACTIONS(2202),
    [anon_sym_GT] = ACTIONS(2200),
    [anon_sym_GT_EQ] = ACTIONS(2202),
    [anon_sym_LT_EQ] = ACTIONS(2200),
    [anon_sym_LT] = ACTIONS(2200),
    [anon_sym_LT_LT] = ACTIONS(2200),
    [anon_sym_GT_GT] = ACTIONS(2200),
    [anon_sym_COLON] = ACTIONS(2200),
    [anon_sym___extension__] = ACTIONS(2202),
    [anon_sym___attribute__] = ACTIONS(2202),
    [anon_sym_COLON_COLON] = ACTIONS(2202),
    [anon_sym_LBRACE] = ACTIONS(2202),
    [anon_sym_LBRACK] = ACTIONS(2202),
    [anon_sym_EQ] = ACTIONS(2200),
    [anon_sym_const] = ACTIONS(2200),
    [anon_sym_constexpr] = ACTIONS(2202),
    [anon_sym_volatile] = ACTIONS(2202),
    [anon_sym_restrict] = ACTIONS(2202),
    [anon_sym___restrict__] = ACTIONS(2202),
    [anon_sym__Atomic] = ACTIONS(2202),
    [anon_sym__Noreturn] = ACTIONS(2202),
    [anon_sym_noreturn] = ACTIONS(2202),
    [anon_sym_mutable] = ACTIONS(2202),
    [anon_sym_constinit] = ACTIONS(2202),
    [anon_sym_consteval] = ACTIONS(2202),
    [anon_sym_QMARK] = ACTIONS(2202),
    [anon_sym_STAR_EQ] = ACTIONS(2202),
    [anon_sym_SLASH_EQ] = ACTIONS(2202),
    [anon_sym_PERCENT_EQ] = ACTIONS(2202),
    [anon_sym_PLUS_EQ] = ACTIONS(2202),
    [anon_sym_DASH_EQ] = ACTIONS(2202),
    [anon_sym_LT_LT_EQ] = ACTIONS(2202),
    [anon_sym_GT_GT_EQ] = ACTIONS(2202),
    [anon_sym_AMP_EQ] = ACTIONS(2202),
    [anon_sym_CARET_EQ] = ACTIONS(2202),
    [anon_sym_PIPE_EQ] = ACTIONS(2202),
    [anon_sym_and_eq] = ACTIONS(2202),
    [anon_sym_or_eq] = ACTIONS(2202),
    [anon_sym_xor_eq] = ACTIONS(2202),
    [anon_sym_LT_EQ_GT] = ACTIONS(2202),
    [anon_sym_or] = ACTIONS(2200),
    [anon_sym_and] = ACTIONS(2200),
    [anon_sym_bitor] = ACTIONS(2202),
    [anon_sym_xor] = ACTIONS(2200),
    [anon_sym_bitand] = ACTIONS(2202),
    [anon_sym_not_eq] = ACTIONS(2202),
    [anon_sym_DASH_DASH] = ACTIONS(2202),
    [anon_sym_PLUS_PLUS] = ACTIONS(2202),
    [anon_sym_DOT] = ACTIONS(2200),
    [anon_sym_DOT_STAR] = ACTIONS(2202),
    [anon_sym_DASH_GT] = ACTIONS(2200),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2202),
    [anon_sym_decltype] = ACTIONS(2202),
    [anon_sym_final] = ACTIONS(2202),
    [anon_sym_override] = ACTIONS(2202),
    [anon_sym_DASH_GT_STAR] = ACTIONS(2202),
  },
  [3173] = {
    [sym_identifier] = ACTIONS(6400),
    [anon_sym___extension__] = ACTIONS(6400),
    [anon_sym_in] = ACTIONS(6400),
    [anon_sym_out] = ACTIONS(6400),
    [anon_sym_inout] = ACTIONS(6400),
    [anon_sym_extern] = ACTIONS(6400),
    [anon_sym___attribute__] = ACTIONS(6400),
    [anon_sym_COLON_COLON] = ACTIONS(6402),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(6402),
    [anon_sym___declspec] = ACTIONS(6400),
    [anon_sym___cdecl] = ACTIONS(6400),
    [anon_sym___clrcall] = ACTIONS(6400),
    [anon_sym___stdcall] = ACTIONS(6400),
    [anon_sym___fastcall] = ACTIONS(6400),
    [anon_sym___thiscall] = ACTIONS(6400),
    [anon_sym___vectorcall] = ACTIONS(6400),
    [anon_sym_LBRACE] = ACTIONS(6402),
    [anon_sym_signed] = ACTIONS(6400),
    [anon_sym_unsigned] = ACTIONS(6400),
    [anon_sym_long] = ACTIONS(6400),
    [anon_sym_short] = ACTIONS(6400),
    [anon_sym_LBRACK] = ACTIONS(6400),
    [anon_sym_static] = ACTIONS(6400),
    [anon_sym_register] = ACTIONS(6400),
    [anon_sym_inline] = ACTIONS(6400),
    [anon_sym___inline] = ACTIONS(6400),
    [anon_sym___inline__] = ACTIONS(6400),
    [anon_sym___forceinline] = ACTIONS(6400),
    [anon_sym_thread_local] = ACTIONS(6400),
    [anon_sym___thread] = ACTIONS(6400),
    [anon_sym_const] = ACTIONS(6400),
    [anon_sym_constexpr] = ACTIONS(6400),
    [anon_sym_volatile] = ACTIONS(6400),
    [anon_sym_restrict] = ACTIONS(6400),
    [anon_sym___restrict__] = ACTIONS(6400),
    [anon_sym__Atomic] = ACTIONS(6400),
    [anon_sym__Noreturn] = ACTIONS(6400),
    [anon_sym_noreturn] = ACTIONS(6400),
    [anon_sym_mutable] = ACTIONS(6400),
    [anon_sym_constinit] = ACTIONS(6400),
    [anon_sym_consteval] = ACTIONS(6400),
    [sym_primitive_type] = ACTIONS(6400),
    [anon_sym_enum] = ACTIONS(6400),
    [anon_sym_class] = ACTIONS(6400),
    [anon_sym_struct] = ACTIONS(6400),
    [anon_sym_union] = ACTIONS(6400),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(6400),
    [anon_sym_decltype] = ACTIONS(6400),
    [anon_sym_virtual] = ACTIONS(6400),
    [anon_sym_alignas] = ACTIONS(6400),
    [anon_sym_typename] = ACTIONS(6400),
    [anon_sym_template] = ACTIONS(6400),
    [anon_sym_precise] = ACTIONS(6400),
    [anon_sym_shared] = ACTIONS(6400),
    [anon_sym_groupshared] = ACTIONS(6400),
    [anon_sym_uniform] = ACTIONS(6400),
    [anon_sym_row_major] = ACTIONS(6400),
    [anon_sym_column_major] = ACTIONS(6400),
    [anon_sym_globallycoherent] = ACTIONS(6400),
    [anon_sym_centroid] = ACTIONS(6400),
    [anon_sym_noperspective] = ACTIONS(6400),
    [anon_sym_nointerpolation] = ACTIONS(6400),
    [anon_sym_sample] = ACTIONS(6400),
    [anon_sym_linear] = ACTIONS(6400),
    [anon_sym_snorm] = ACTIONS(6400),
    [anon_sym_unorm] = ACTIONS(6400),
    [anon_sym_point] = ACTIONS(6400),
    [anon_sym_line] = ACTIONS(6400),
    [anon_sym_triangleadj] = ACTIONS(6400),
    [anon_sym_lineadj] = ACTIONS(6400),
    [anon_sym_triangle] = ACTIONS(6400),
  },
  [3174] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(3174),
    [sym_identifier] = ACTIONS(5840),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5842),
    [anon_sym_COMMA] = ACTIONS(5842),
    [anon_sym_RPAREN] = ACTIONS(5842),
    [aux_sym_preproc_if_token2] = ACTIONS(5842),
    [aux_sym_preproc_else_token1] = ACTIONS(5842),
    [aux_sym_preproc_elif_token1] = ACTIONS(5840),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5842),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5842),
    [anon_sym_LPAREN2] = ACTIONS(5842),
    [anon_sym_DASH] = ACTIONS(5840),
    [anon_sym_PLUS] = ACTIONS(5840),
    [anon_sym_STAR] = ACTIONS(5842),
    [anon_sym_SLASH] = ACTIONS(5840),
    [anon_sym_PERCENT] = ACTIONS(5842),
    [anon_sym_PIPE_PIPE] = ACTIONS(5842),
    [anon_sym_AMP_AMP] = ACTIONS(5842),
    [anon_sym_PIPE] = ACTIONS(5840),
    [anon_sym_CARET] = ACTIONS(5842),
    [anon_sym_AMP] = ACTIONS(5840),
    [anon_sym_EQ_EQ] = ACTIONS(5842),
    [anon_sym_BANG_EQ] = ACTIONS(5842),
    [anon_sym_GT] = ACTIONS(5840),
    [anon_sym_GT_EQ] = ACTIONS(5842),
    [anon_sym_LT_EQ] = ACTIONS(5840),
    [anon_sym_LT] = ACTIONS(5840),
    [anon_sym_LT_LT] = ACTIONS(5842),
    [anon_sym_GT_GT] = ACTIONS(5842),
    [anon_sym_COLON] = ACTIONS(5842),
    [anon_sym_SEMI] = ACTIONS(5842),
    [anon_sym___extension__] = ACTIONS(5840),
    [anon_sym___attribute__] = ACTIONS(5840),
    [anon_sym_LBRACE] = ACTIONS(5842),
    [anon_sym_RBRACE] = ACTIONS(5842),
    [anon_sym_signed] = ACTIONS(6404),
    [anon_sym_unsigned] = ACTIONS(6404),
    [anon_sym_long] = ACTIONS(6404),
    [anon_sym_short] = ACTIONS(6404),
    [anon_sym_LBRACK] = ACTIONS(5842),
    [anon_sym_RBRACK] = ACTIONS(5842),
    [anon_sym_const] = ACTIONS(5840),
    [anon_sym_constexpr] = ACTIONS(5840),
    [anon_sym_volatile] = ACTIONS(5840),
    [anon_sym_restrict] = ACTIONS(5840),
    [anon_sym___restrict__] = ACTIONS(5840),
    [anon_sym__Atomic] = ACTIONS(5840),
    [anon_sym__Noreturn] = ACTIONS(5840),
    [anon_sym_noreturn] = ACTIONS(5840),
    [anon_sym_mutable] = ACTIONS(5840),
    [anon_sym_constinit] = ACTIONS(5840),
    [anon_sym_consteval] = ACTIONS(5840),
    [sym_primitive_type] = ACTIONS(5840),
    [anon_sym_QMARK] = ACTIONS(5842),
    [anon_sym_LT_EQ_GT] = ACTIONS(5842),
    [anon_sym_or] = ACTIONS(5840),
    [anon_sym_and] = ACTIONS(5840),
    [anon_sym_bitor] = ACTIONS(5840),
    [anon_sym_xor] = ACTIONS(5840),
    [anon_sym_bitand] = ACTIONS(5840),
    [anon_sym_not_eq] = ACTIONS(5840),
    [anon_sym_DASH_DASH] = ACTIONS(5842),
    [anon_sym_PLUS_PLUS] = ACTIONS(5842),
    [anon_sym_DOT] = ACTIONS(5840),
    [anon_sym_DOT_STAR] = ACTIONS(5842),
    [anon_sym_DASH_GT] = ACTIONS(5842),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5840),
    [anon_sym_decltype] = ACTIONS(5840),
    [anon_sym_final] = ACTIONS(5840),
    [anon_sym_override] = ACTIONS(5840),
    [anon_sym_requires] = ACTIONS(5840),
  },
  [3175] = {
    [sym_template_argument_list] = STATE(3017),
    [sym_identifier] = ACTIONS(2224),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2226),
    [anon_sym_COMMA] = ACTIONS(6315),
    [anon_sym_LPAREN2] = ACTIONS(2226),
    [anon_sym_TILDE] = ACTIONS(2226),
    [anon_sym_STAR] = ACTIONS(2226),
    [anon_sym_AMP_AMP] = ACTIONS(2226),
    [anon_sym_AMP] = ACTIONS(2224),
    [anon_sym_LT] = ACTIONS(6249),
    [anon_sym_COLON] = ACTIONS(2224),
    [anon_sym___extension__] = ACTIONS(2224),
    [anon_sym_in] = ACTIONS(2224),
    [anon_sym_out] = ACTIONS(2224),
    [anon_sym_inout] = ACTIONS(2224),
    [anon_sym_extern] = ACTIONS(2224),
    [anon_sym___attribute__] = ACTIONS(2224),
    [anon_sym_COLON_COLON] = ACTIONS(2230),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2226),
    [anon_sym___declspec] = ACTIONS(2224),
    [anon_sym___based] = ACTIONS(2224),
    [anon_sym_LBRACE] = ACTIONS(2226),
    [anon_sym_LBRACK] = ACTIONS(2224),
    [anon_sym_EQ] = ACTIONS(6317),
    [anon_sym_static] = ACTIONS(2224),
    [anon_sym_register] = ACTIONS(2224),
    [anon_sym_inline] = ACTIONS(2224),
    [anon_sym___inline] = ACTIONS(2224),
    [anon_sym___inline__] = ACTIONS(2224),
    [anon_sym___forceinline] = ACTIONS(2224),
    [anon_sym_thread_local] = ACTIONS(2224),
    [anon_sym___thread] = ACTIONS(2224),
    [anon_sym_const] = ACTIONS(2224),
    [anon_sym_constexpr] = ACTIONS(2224),
    [anon_sym_volatile] = ACTIONS(2224),
    [anon_sym_restrict] = ACTIONS(2224),
    [anon_sym___restrict__] = ACTIONS(2224),
    [anon_sym__Atomic] = ACTIONS(2224),
    [anon_sym__Noreturn] = ACTIONS(2224),
    [anon_sym_noreturn] = ACTIONS(2224),
    [anon_sym_mutable] = ACTIONS(2224),
    [anon_sym_constinit] = ACTIONS(2224),
    [anon_sym_consteval] = ACTIONS(2224),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2224),
    [anon_sym_decltype] = ACTIONS(2224),
    [anon_sym_final] = ACTIONS(2224),
    [anon_sym_override] = ACTIONS(2224),
    [anon_sym_virtual] = ACTIONS(2224),
    [anon_sym_alignas] = ACTIONS(2224),
    [anon_sym_template] = ACTIONS(2224),
    [anon_sym_GT2] = ACTIONS(6315),
    [anon_sym_operator] = ACTIONS(2224),
    [anon_sym_precise] = ACTIONS(2224),
    [anon_sym_shared] = ACTIONS(2224),
    [anon_sym_groupshared] = ACTIONS(2224),
    [anon_sym_uniform] = ACTIONS(2224),
    [anon_sym_row_major] = ACTIONS(2224),
    [anon_sym_column_major] = ACTIONS(2224),
    [anon_sym_globallycoherent] = ACTIONS(2224),
    [anon_sym_centroid] = ACTIONS(2224),
    [anon_sym_noperspective] = ACTIONS(2224),
    [anon_sym_nointerpolation] = ACTIONS(2224),
    [anon_sym_sample] = ACTIONS(2224),
    [anon_sym_linear] = ACTIONS(2224),
    [anon_sym_snorm] = ACTIONS(2224),
    [anon_sym_unorm] = ACTIONS(2224),
    [anon_sym_point] = ACTIONS(2224),
    [anon_sym_line] = ACTIONS(2224),
    [anon_sym_triangleadj] = ACTIONS(2224),
    [anon_sym_lineadj] = ACTIONS(2224),
    [anon_sym_triangle] = ACTIONS(2224),
  },
  [3176] = {
    [sym_identifier] = ACTIONS(6400),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6402),
    [anon_sym_COMMA] = ACTIONS(6402),
    [anon_sym_RPAREN] = ACTIONS(6402),
    [aux_sym_preproc_if_token2] = ACTIONS(6402),
    [aux_sym_preproc_else_token1] = ACTIONS(6402),
    [aux_sym_preproc_elif_token1] = ACTIONS(6400),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(6402),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(6402),
    [anon_sym_LPAREN2] = ACTIONS(6402),
    [anon_sym_DASH] = ACTIONS(6400),
    [anon_sym_PLUS] = ACTIONS(6400),
    [anon_sym_STAR] = ACTIONS(6400),
    [anon_sym_SLASH] = ACTIONS(6400),
    [anon_sym_PERCENT] = ACTIONS(6400),
    [anon_sym_PIPE_PIPE] = ACTIONS(6402),
    [anon_sym_AMP_AMP] = ACTIONS(6402),
    [anon_sym_PIPE] = ACTIONS(6400),
    [anon_sym_CARET] = ACTIONS(6400),
    [anon_sym_AMP] = ACTIONS(6400),
    [anon_sym_EQ_EQ] = ACTIONS(6402),
    [anon_sym_BANG_EQ] = ACTIONS(6402),
    [anon_sym_GT] = ACTIONS(6400),
    [anon_sym_GT_EQ] = ACTIONS(6402),
    [anon_sym_LT_EQ] = ACTIONS(6400),
    [anon_sym_LT] = ACTIONS(6400),
    [anon_sym_LT_LT] = ACTIONS(6400),
    [anon_sym_GT_GT] = ACTIONS(6400),
    [anon_sym_COLON] = ACTIONS(6402),
    [anon_sym_SEMI] = ACTIONS(6402),
    [anon_sym_RBRACE] = ACTIONS(6402),
    [anon_sym_LBRACK] = ACTIONS(6402),
    [anon_sym_RBRACK] = ACTIONS(6402),
    [anon_sym_EQ] = ACTIONS(6400),
    [anon_sym_QMARK] = ACTIONS(6402),
    [anon_sym_STAR_EQ] = ACTIONS(6402),
    [anon_sym_SLASH_EQ] = ACTIONS(6402),
    [anon_sym_PERCENT_EQ] = ACTIONS(6402),
    [anon_sym_PLUS_EQ] = ACTIONS(6402),
    [anon_sym_DASH_EQ] = ACTIONS(6402),
    [anon_sym_LT_LT_EQ] = ACTIONS(6402),
    [anon_sym_GT_GT_EQ] = ACTIONS(6402),
    [anon_sym_AMP_EQ] = ACTIONS(6402),
    [anon_sym_CARET_EQ] = ACTIONS(6402),
    [anon_sym_PIPE_EQ] = ACTIONS(6402),
    [anon_sym_and_eq] = ACTIONS(6400),
    [anon_sym_or_eq] = ACTIONS(6400),
    [anon_sym_xor_eq] = ACTIONS(6400),
    [anon_sym_LT_EQ_GT] = ACTIONS(6402),
    [anon_sym_or] = ACTIONS(6400),
    [anon_sym_and] = ACTIONS(6400),
    [anon_sym_bitor] = ACTIONS(6400),
    [anon_sym_xor] = ACTIONS(6400),
    [anon_sym_bitand] = ACTIONS(6400),
    [anon_sym_not_eq] = ACTIONS(6400),
    [anon_sym_DASH_DASH] = ACTIONS(6402),
    [anon_sym_PLUS_PLUS] = ACTIONS(6402),
    [anon_sym_DOT] = ACTIONS(6400),
    [anon_sym_DOT_STAR] = ACTIONS(6402),
    [anon_sym_DASH_GT] = ACTIONS(6402),
    [anon_sym_L_DQUOTE] = ACTIONS(6402),
    [anon_sym_u_DQUOTE] = ACTIONS(6402),
    [anon_sym_U_DQUOTE] = ACTIONS(6402),
    [anon_sym_u8_DQUOTE] = ACTIONS(6402),
    [anon_sym_DQUOTE] = ACTIONS(6402),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(6402),
    [anon_sym_LR_DQUOTE] = ACTIONS(6402),
    [anon_sym_uR_DQUOTE] = ACTIONS(6402),
    [anon_sym_UR_DQUOTE] = ACTIONS(6402),
    [anon_sym_u8R_DQUOTE] = ACTIONS(6402),
    [sym_literal_suffix] = ACTIONS(6400),
  },
  [3177] = {
    [sym_identifier] = ACTIONS(6407),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6409),
    [anon_sym_COMMA] = ACTIONS(6409),
    [anon_sym_RPAREN] = ACTIONS(6409),
    [aux_sym_preproc_if_token2] = ACTIONS(6409),
    [aux_sym_preproc_else_token1] = ACTIONS(6409),
    [aux_sym_preproc_elif_token1] = ACTIONS(6407),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(6409),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(6409),
    [anon_sym_LPAREN2] = ACTIONS(6409),
    [anon_sym_DASH] = ACTIONS(6407),
    [anon_sym_PLUS] = ACTIONS(6407),
    [anon_sym_STAR] = ACTIONS(6407),
    [anon_sym_SLASH] = ACTIONS(6407),
    [anon_sym_PERCENT] = ACTIONS(6407),
    [anon_sym_PIPE_PIPE] = ACTIONS(6409),
    [anon_sym_AMP_AMP] = ACTIONS(6409),
    [anon_sym_PIPE] = ACTIONS(6407),
    [anon_sym_CARET] = ACTIONS(6407),
    [anon_sym_AMP] = ACTIONS(6407),
    [anon_sym_EQ_EQ] = ACTIONS(6409),
    [anon_sym_BANG_EQ] = ACTIONS(6409),
    [anon_sym_GT] = ACTIONS(6407),
    [anon_sym_GT_EQ] = ACTIONS(6409),
    [anon_sym_LT_EQ] = ACTIONS(6407),
    [anon_sym_LT] = ACTIONS(6407),
    [anon_sym_LT_LT] = ACTIONS(6407),
    [anon_sym_GT_GT] = ACTIONS(6407),
    [anon_sym_COLON] = ACTIONS(6409),
    [anon_sym_SEMI] = ACTIONS(6409),
    [anon_sym_RBRACE] = ACTIONS(6409),
    [anon_sym_LBRACK] = ACTIONS(6409),
    [anon_sym_RBRACK] = ACTIONS(6409),
    [anon_sym_EQ] = ACTIONS(6407),
    [anon_sym_QMARK] = ACTIONS(6409),
    [anon_sym_STAR_EQ] = ACTIONS(6409),
    [anon_sym_SLASH_EQ] = ACTIONS(6409),
    [anon_sym_PERCENT_EQ] = ACTIONS(6409),
    [anon_sym_PLUS_EQ] = ACTIONS(6409),
    [anon_sym_DASH_EQ] = ACTIONS(6409),
    [anon_sym_LT_LT_EQ] = ACTIONS(6409),
    [anon_sym_GT_GT_EQ] = ACTIONS(6409),
    [anon_sym_AMP_EQ] = ACTIONS(6409),
    [anon_sym_CARET_EQ] = ACTIONS(6409),
    [anon_sym_PIPE_EQ] = ACTIONS(6409),
    [anon_sym_and_eq] = ACTIONS(6407),
    [anon_sym_or_eq] = ACTIONS(6407),
    [anon_sym_xor_eq] = ACTIONS(6407),
    [anon_sym_LT_EQ_GT] = ACTIONS(6409),
    [anon_sym_or] = ACTIONS(6407),
    [anon_sym_and] = ACTIONS(6407),
    [anon_sym_bitor] = ACTIONS(6407),
    [anon_sym_xor] = ACTIONS(6407),
    [anon_sym_bitand] = ACTIONS(6407),
    [anon_sym_not_eq] = ACTIONS(6407),
    [anon_sym_DASH_DASH] = ACTIONS(6409),
    [anon_sym_PLUS_PLUS] = ACTIONS(6409),
    [anon_sym_DOT] = ACTIONS(6407),
    [anon_sym_DOT_STAR] = ACTIONS(6409),
    [anon_sym_DASH_GT] = ACTIONS(6409),
    [anon_sym_L_DQUOTE] = ACTIONS(6409),
    [anon_sym_u_DQUOTE] = ACTIONS(6409),
    [anon_sym_U_DQUOTE] = ACTIONS(6409),
    [anon_sym_u8_DQUOTE] = ACTIONS(6409),
    [anon_sym_DQUOTE] = ACTIONS(6409),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(6409),
    [anon_sym_LR_DQUOTE] = ACTIONS(6409),
    [anon_sym_uR_DQUOTE] = ACTIONS(6409),
    [anon_sym_UR_DQUOTE] = ACTIONS(6409),
    [anon_sym_u8R_DQUOTE] = ACTIONS(6409),
    [sym_literal_suffix] = ACTIONS(6407),
  },
  [3178] = {
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2214),
    [anon_sym_COMMA] = ACTIONS(2214),
    [anon_sym_RPAREN] = ACTIONS(2214),
    [anon_sym_LPAREN2] = ACTIONS(2214),
    [anon_sym_DASH] = ACTIONS(2212),
    [anon_sym_PLUS] = ACTIONS(2212),
    [anon_sym_STAR] = ACTIONS(2212),
    [anon_sym_SLASH] = ACTIONS(2212),
    [anon_sym_PERCENT] = ACTIONS(2212),
    [anon_sym_PIPE_PIPE] = ACTIONS(2214),
    [anon_sym_AMP_AMP] = ACTIONS(2214),
    [anon_sym_PIPE] = ACTIONS(2212),
    [anon_sym_CARET] = ACTIONS(2212),
    [anon_sym_AMP] = ACTIONS(2212),
    [anon_sym_EQ_EQ] = ACTIONS(2214),
    [anon_sym_BANG_EQ] = ACTIONS(2214),
    [anon_sym_GT] = ACTIONS(2212),
    [anon_sym_GT_EQ] = ACTIONS(2214),
    [anon_sym_LT_EQ] = ACTIONS(2212),
    [anon_sym_LT] = ACTIONS(2212),
    [anon_sym_LT_LT] = ACTIONS(2212),
    [anon_sym_GT_GT] = ACTIONS(2212),
    [anon_sym_COLON] = ACTIONS(2212),
    [anon_sym___extension__] = ACTIONS(2214),
    [anon_sym___attribute__] = ACTIONS(2214),
    [anon_sym_COLON_COLON] = ACTIONS(2214),
    [anon_sym_LBRACE] = ACTIONS(2214),
    [anon_sym_LBRACK] = ACTIONS(2214),
    [anon_sym_EQ] = ACTIONS(2212),
    [anon_sym_const] = ACTIONS(2212),
    [anon_sym_constexpr] = ACTIONS(2214),
    [anon_sym_volatile] = ACTIONS(2214),
    [anon_sym_restrict] = ACTIONS(2214),
    [anon_sym___restrict__] = ACTIONS(2214),
    [anon_sym__Atomic] = ACTIONS(2214),
    [anon_sym__Noreturn] = ACTIONS(2214),
    [anon_sym_noreturn] = ACTIONS(2214),
    [anon_sym_mutable] = ACTIONS(2214),
    [anon_sym_constinit] = ACTIONS(2214),
    [anon_sym_consteval] = ACTIONS(2214),
    [anon_sym_QMARK] = ACTIONS(2214),
    [anon_sym_STAR_EQ] = ACTIONS(2214),
    [anon_sym_SLASH_EQ] = ACTIONS(2214),
    [anon_sym_PERCENT_EQ] = ACTIONS(2214),
    [anon_sym_PLUS_EQ] = ACTIONS(2214),
    [anon_sym_DASH_EQ] = ACTIONS(2214),
    [anon_sym_LT_LT_EQ] = ACTIONS(2214),
    [anon_sym_GT_GT_EQ] = ACTIONS(2214),
    [anon_sym_AMP_EQ] = ACTIONS(2214),
    [anon_sym_CARET_EQ] = ACTIONS(2214),
    [anon_sym_PIPE_EQ] = ACTIONS(2214),
    [anon_sym_and_eq] = ACTIONS(2214),
    [anon_sym_or_eq] = ACTIONS(2214),
    [anon_sym_xor_eq] = ACTIONS(2214),
    [anon_sym_LT_EQ_GT] = ACTIONS(2214),
    [anon_sym_or] = ACTIONS(2212),
    [anon_sym_and] = ACTIONS(2212),
    [anon_sym_bitor] = ACTIONS(2214),
    [anon_sym_xor] = ACTIONS(2212),
    [anon_sym_bitand] = ACTIONS(2214),
    [anon_sym_not_eq] = ACTIONS(2214),
    [anon_sym_DASH_DASH] = ACTIONS(2214),
    [anon_sym_PLUS_PLUS] = ACTIONS(2214),
    [anon_sym_DOT] = ACTIONS(2212),
    [anon_sym_DOT_STAR] = ACTIONS(2214),
    [anon_sym_DASH_GT] = ACTIONS(2212),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2214),
    [anon_sym_decltype] = ACTIONS(2214),
    [anon_sym_final] = ACTIONS(2214),
    [anon_sym_override] = ACTIONS(2214),
    [anon_sym_DASH_GT_STAR] = ACTIONS(2214),
  },
  [3179] = {
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2218),
    [anon_sym_COMMA] = ACTIONS(2218),
    [anon_sym_RPAREN] = ACTIONS(2218),
    [anon_sym_LPAREN2] = ACTIONS(2218),
    [anon_sym_DASH] = ACTIONS(2216),
    [anon_sym_PLUS] = ACTIONS(2216),
    [anon_sym_STAR] = ACTIONS(2216),
    [anon_sym_SLASH] = ACTIONS(2216),
    [anon_sym_PERCENT] = ACTIONS(2216),
    [anon_sym_PIPE_PIPE] = ACTIONS(2218),
    [anon_sym_AMP_AMP] = ACTIONS(2218),
    [anon_sym_PIPE] = ACTIONS(2216),
    [anon_sym_CARET] = ACTIONS(2216),
    [anon_sym_AMP] = ACTIONS(2216),
    [anon_sym_EQ_EQ] = ACTIONS(2218),
    [anon_sym_BANG_EQ] = ACTIONS(2218),
    [anon_sym_GT] = ACTIONS(2216),
    [anon_sym_GT_EQ] = ACTIONS(2218),
    [anon_sym_LT_EQ] = ACTIONS(2216),
    [anon_sym_LT] = ACTIONS(2216),
    [anon_sym_LT_LT] = ACTIONS(2216),
    [anon_sym_GT_GT] = ACTIONS(2216),
    [anon_sym_COLON] = ACTIONS(2216),
    [anon_sym___extension__] = ACTIONS(2218),
    [anon_sym___attribute__] = ACTIONS(2218),
    [anon_sym_COLON_COLON] = ACTIONS(2218),
    [anon_sym_LBRACE] = ACTIONS(2218),
    [anon_sym_LBRACK] = ACTIONS(2218),
    [anon_sym_EQ] = ACTIONS(2216),
    [anon_sym_const] = ACTIONS(2216),
    [anon_sym_constexpr] = ACTIONS(2218),
    [anon_sym_volatile] = ACTIONS(2218),
    [anon_sym_restrict] = ACTIONS(2218),
    [anon_sym___restrict__] = ACTIONS(2218),
    [anon_sym__Atomic] = ACTIONS(2218),
    [anon_sym__Noreturn] = ACTIONS(2218),
    [anon_sym_noreturn] = ACTIONS(2218),
    [anon_sym_mutable] = ACTIONS(2218),
    [anon_sym_constinit] = ACTIONS(2218),
    [anon_sym_consteval] = ACTIONS(2218),
    [anon_sym_QMARK] = ACTIONS(2218),
    [anon_sym_STAR_EQ] = ACTIONS(2218),
    [anon_sym_SLASH_EQ] = ACTIONS(2218),
    [anon_sym_PERCENT_EQ] = ACTIONS(2218),
    [anon_sym_PLUS_EQ] = ACTIONS(2218),
    [anon_sym_DASH_EQ] = ACTIONS(2218),
    [anon_sym_LT_LT_EQ] = ACTIONS(2218),
    [anon_sym_GT_GT_EQ] = ACTIONS(2218),
    [anon_sym_AMP_EQ] = ACTIONS(2218),
    [anon_sym_CARET_EQ] = ACTIONS(2218),
    [anon_sym_PIPE_EQ] = ACTIONS(2218),
    [anon_sym_and_eq] = ACTIONS(2218),
    [anon_sym_or_eq] = ACTIONS(2218),
    [anon_sym_xor_eq] = ACTIONS(2218),
    [anon_sym_LT_EQ_GT] = ACTIONS(2218),
    [anon_sym_or] = ACTIONS(2216),
    [anon_sym_and] = ACTIONS(2216),
    [anon_sym_bitor] = ACTIONS(2218),
    [anon_sym_xor] = ACTIONS(2216),
    [anon_sym_bitand] = ACTIONS(2218),
    [anon_sym_not_eq] = ACTIONS(2218),
    [anon_sym_DASH_DASH] = ACTIONS(2218),
    [anon_sym_PLUS_PLUS] = ACTIONS(2218),
    [anon_sym_DOT] = ACTIONS(2216),
    [anon_sym_DOT_STAR] = ACTIONS(2218),
    [anon_sym_DASH_GT] = ACTIONS(2216),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2218),
    [anon_sym_decltype] = ACTIONS(2218),
    [anon_sym_final] = ACTIONS(2218),
    [anon_sym_override] = ACTIONS(2218),
    [anon_sym_DASH_GT_STAR] = ACTIONS(2218),
  },
  [3180] = {
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2210),
    [anon_sym_COMMA] = ACTIONS(2210),
    [anon_sym_RPAREN] = ACTIONS(2210),
    [anon_sym_LPAREN2] = ACTIONS(2210),
    [anon_sym_DASH] = ACTIONS(2208),
    [anon_sym_PLUS] = ACTIONS(2208),
    [anon_sym_STAR] = ACTIONS(2208),
    [anon_sym_SLASH] = ACTIONS(2208),
    [anon_sym_PERCENT] = ACTIONS(2208),
    [anon_sym_PIPE_PIPE] = ACTIONS(2210),
    [anon_sym_AMP_AMP] = ACTIONS(2210),
    [anon_sym_PIPE] = ACTIONS(2208),
    [anon_sym_CARET] = ACTIONS(2208),
    [anon_sym_AMP] = ACTIONS(2208),
    [anon_sym_EQ_EQ] = ACTIONS(2210),
    [anon_sym_BANG_EQ] = ACTIONS(2210),
    [anon_sym_GT] = ACTIONS(2208),
    [anon_sym_GT_EQ] = ACTIONS(2210),
    [anon_sym_LT_EQ] = ACTIONS(2208),
    [anon_sym_LT] = ACTIONS(2208),
    [anon_sym_LT_LT] = ACTIONS(2208),
    [anon_sym_GT_GT] = ACTIONS(2208),
    [anon_sym_COLON] = ACTIONS(2208),
    [anon_sym___extension__] = ACTIONS(2210),
    [anon_sym___attribute__] = ACTIONS(2210),
    [anon_sym_COLON_COLON] = ACTIONS(2210),
    [anon_sym_LBRACE] = ACTIONS(2210),
    [anon_sym_LBRACK] = ACTIONS(2210),
    [anon_sym_EQ] = ACTIONS(2208),
    [anon_sym_const] = ACTIONS(2208),
    [anon_sym_constexpr] = ACTIONS(2210),
    [anon_sym_volatile] = ACTIONS(2210),
    [anon_sym_restrict] = ACTIONS(2210),
    [anon_sym___restrict__] = ACTIONS(2210),
    [anon_sym__Atomic] = ACTIONS(2210),
    [anon_sym__Noreturn] = ACTIONS(2210),
    [anon_sym_noreturn] = ACTIONS(2210),
    [anon_sym_mutable] = ACTIONS(2210),
    [anon_sym_constinit] = ACTIONS(2210),
    [anon_sym_consteval] = ACTIONS(2210),
    [anon_sym_QMARK] = ACTIONS(2210),
    [anon_sym_STAR_EQ] = ACTIONS(2210),
    [anon_sym_SLASH_EQ] = ACTIONS(2210),
    [anon_sym_PERCENT_EQ] = ACTIONS(2210),
    [anon_sym_PLUS_EQ] = ACTIONS(2210),
    [anon_sym_DASH_EQ] = ACTIONS(2210),
    [anon_sym_LT_LT_EQ] = ACTIONS(2210),
    [anon_sym_GT_GT_EQ] = ACTIONS(2210),
    [anon_sym_AMP_EQ] = ACTIONS(2210),
    [anon_sym_CARET_EQ] = ACTIONS(2210),
    [anon_sym_PIPE_EQ] = ACTIONS(2210),
    [anon_sym_and_eq] = ACTIONS(2210),
    [anon_sym_or_eq] = ACTIONS(2210),
    [anon_sym_xor_eq] = ACTIONS(2210),
    [anon_sym_LT_EQ_GT] = ACTIONS(2210),
    [anon_sym_or] = ACTIONS(2208),
    [anon_sym_and] = ACTIONS(2208),
    [anon_sym_bitor] = ACTIONS(2210),
    [anon_sym_xor] = ACTIONS(2208),
    [anon_sym_bitand] = ACTIONS(2210),
    [anon_sym_not_eq] = ACTIONS(2210),
    [anon_sym_DASH_DASH] = ACTIONS(2210),
    [anon_sym_PLUS_PLUS] = ACTIONS(2210),
    [anon_sym_DOT] = ACTIONS(2208),
    [anon_sym_DOT_STAR] = ACTIONS(2210),
    [anon_sym_DASH_GT] = ACTIONS(2208),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2210),
    [anon_sym_decltype] = ACTIONS(2210),
    [anon_sym_final] = ACTIONS(2210),
    [anon_sym_override] = ACTIONS(2210),
    [anon_sym_DASH_GT_STAR] = ACTIONS(2210),
  },
  [3181] = {
    [sym_attribute_specifier] = STATE(3073),
    [sym_enumerator_list] = STATE(3112),
    [sym__enum_base_clause] = STATE(3074),
    [sym_identifier] = ACTIONS(6356),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6358),
    [anon_sym_COMMA] = ACTIONS(6358),
    [anon_sym_RPAREN] = ACTIONS(6358),
    [anon_sym_LPAREN2] = ACTIONS(6358),
    [anon_sym_TILDE] = ACTIONS(6358),
    [anon_sym_STAR] = ACTIONS(6358),
    [anon_sym_AMP_AMP] = ACTIONS(6358),
    [anon_sym_AMP] = ACTIONS(6356),
    [anon_sym_COLON] = ACTIONS(6411),
    [anon_sym___extension__] = ACTIONS(6356),
    [anon_sym_in] = ACTIONS(6356),
    [anon_sym_out] = ACTIONS(6356),
    [anon_sym_inout] = ACTIONS(6356),
    [anon_sym_extern] = ACTIONS(6356),
    [anon_sym___attribute__] = ACTIONS(5581),
    [anon_sym_COLON_COLON] = ACTIONS(6358),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(6358),
    [anon_sym___declspec] = ACTIONS(6356),
    [anon_sym___based] = ACTIONS(6356),
    [anon_sym_LBRACE] = ACTIONS(6081),
    [anon_sym_LBRACK] = ACTIONS(6356),
    [anon_sym_EQ] = ACTIONS(6358),
    [anon_sym_static] = ACTIONS(6356),
    [anon_sym_register] = ACTIONS(6356),
    [anon_sym_inline] = ACTIONS(6356),
    [anon_sym___inline] = ACTIONS(6356),
    [anon_sym___inline__] = ACTIONS(6356),
    [anon_sym___forceinline] = ACTIONS(6356),
    [anon_sym_thread_local] = ACTIONS(6356),
    [anon_sym___thread] = ACTIONS(6356),
    [anon_sym_const] = ACTIONS(6356),
    [anon_sym_constexpr] = ACTIONS(6356),
    [anon_sym_volatile] = ACTIONS(6356),
    [anon_sym_restrict] = ACTIONS(6356),
    [anon_sym___restrict__] = ACTIONS(6356),
    [anon_sym__Atomic] = ACTIONS(6356),
    [anon_sym__Noreturn] = ACTIONS(6356),
    [anon_sym_noreturn] = ACTIONS(6356),
    [anon_sym_mutable] = ACTIONS(6356),
    [anon_sym_constinit] = ACTIONS(6356),
    [anon_sym_consteval] = ACTIONS(6356),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(6356),
    [anon_sym_decltype] = ACTIONS(6356),
    [anon_sym_virtual] = ACTIONS(6356),
    [anon_sym_alignas] = ACTIONS(6356),
    [anon_sym_template] = ACTIONS(6356),
    [anon_sym_GT2] = ACTIONS(6358),
    [anon_sym_operator] = ACTIONS(6356),
    [anon_sym_precise] = ACTIONS(6356),
    [anon_sym_shared] = ACTIONS(6356),
    [anon_sym_groupshared] = ACTIONS(6356),
    [anon_sym_uniform] = ACTIONS(6356),
    [anon_sym_row_major] = ACTIONS(6356),
    [anon_sym_column_major] = ACTIONS(6356),
    [anon_sym_globallycoherent] = ACTIONS(6356),
    [anon_sym_centroid] = ACTIONS(6356),
    [anon_sym_noperspective] = ACTIONS(6356),
    [anon_sym_nointerpolation] = ACTIONS(6356),
    [anon_sym_sample] = ACTIONS(6356),
    [anon_sym_linear] = ACTIONS(6356),
    [anon_sym_snorm] = ACTIONS(6356),
    [anon_sym_unorm] = ACTIONS(6356),
    [anon_sym_point] = ACTIONS(6356),
    [anon_sym_line] = ACTIONS(6356),
    [anon_sym_triangleadj] = ACTIONS(6356),
    [anon_sym_lineadj] = ACTIONS(6356),
    [anon_sym_triangle] = ACTIONS(6356),
  },
  [3182] = {
    [sym_attribute_specifier] = STATE(3094),
    [sym_enumerator_list] = STATE(3123),
    [sym__enum_base_clause] = STATE(3096),
    [sym_identifier] = ACTIONS(6368),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6370),
    [anon_sym_COMMA] = ACTIONS(6370),
    [anon_sym_RPAREN] = ACTIONS(6370),
    [anon_sym_LPAREN2] = ACTIONS(6370),
    [anon_sym_TILDE] = ACTIONS(6370),
    [anon_sym_STAR] = ACTIONS(6370),
    [anon_sym_AMP_AMP] = ACTIONS(6370),
    [anon_sym_AMP] = ACTIONS(6368),
    [anon_sym_COLON] = ACTIONS(6411),
    [anon_sym___extension__] = ACTIONS(6368),
    [anon_sym_in] = ACTIONS(6368),
    [anon_sym_out] = ACTIONS(6368),
    [anon_sym_inout] = ACTIONS(6368),
    [anon_sym_extern] = ACTIONS(6368),
    [anon_sym___attribute__] = ACTIONS(5581),
    [anon_sym_COLON_COLON] = ACTIONS(6370),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(6370),
    [anon_sym___declspec] = ACTIONS(6368),
    [anon_sym___based] = ACTIONS(6368),
    [anon_sym_LBRACE] = ACTIONS(6081),
    [anon_sym_LBRACK] = ACTIONS(6368),
    [anon_sym_EQ] = ACTIONS(6370),
    [anon_sym_static] = ACTIONS(6368),
    [anon_sym_register] = ACTIONS(6368),
    [anon_sym_inline] = ACTIONS(6368),
    [anon_sym___inline] = ACTIONS(6368),
    [anon_sym___inline__] = ACTIONS(6368),
    [anon_sym___forceinline] = ACTIONS(6368),
    [anon_sym_thread_local] = ACTIONS(6368),
    [anon_sym___thread] = ACTIONS(6368),
    [anon_sym_const] = ACTIONS(6368),
    [anon_sym_constexpr] = ACTIONS(6368),
    [anon_sym_volatile] = ACTIONS(6368),
    [anon_sym_restrict] = ACTIONS(6368),
    [anon_sym___restrict__] = ACTIONS(6368),
    [anon_sym__Atomic] = ACTIONS(6368),
    [anon_sym__Noreturn] = ACTIONS(6368),
    [anon_sym_noreturn] = ACTIONS(6368),
    [anon_sym_mutable] = ACTIONS(6368),
    [anon_sym_constinit] = ACTIONS(6368),
    [anon_sym_consteval] = ACTIONS(6368),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(6368),
    [anon_sym_decltype] = ACTIONS(6368),
    [anon_sym_virtual] = ACTIONS(6368),
    [anon_sym_alignas] = ACTIONS(6368),
    [anon_sym_template] = ACTIONS(6368),
    [anon_sym_GT2] = ACTIONS(6370),
    [anon_sym_operator] = ACTIONS(6368),
    [anon_sym_precise] = ACTIONS(6368),
    [anon_sym_shared] = ACTIONS(6368),
    [anon_sym_groupshared] = ACTIONS(6368),
    [anon_sym_uniform] = ACTIONS(6368),
    [anon_sym_row_major] = ACTIONS(6368),
    [anon_sym_column_major] = ACTIONS(6368),
    [anon_sym_globallycoherent] = ACTIONS(6368),
    [anon_sym_centroid] = ACTIONS(6368),
    [anon_sym_noperspective] = ACTIONS(6368),
    [anon_sym_nointerpolation] = ACTIONS(6368),
    [anon_sym_sample] = ACTIONS(6368),
    [anon_sym_linear] = ACTIONS(6368),
    [anon_sym_snorm] = ACTIONS(6368),
    [anon_sym_unorm] = ACTIONS(6368),
    [anon_sym_point] = ACTIONS(6368),
    [anon_sym_line] = ACTIONS(6368),
    [anon_sym_triangleadj] = ACTIONS(6368),
    [anon_sym_lineadj] = ACTIONS(6368),
    [anon_sym_triangle] = ACTIONS(6368),
  },
  [3183] = {
    [sym_identifier] = ACTIONS(6413),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6415),
    [anon_sym_COMMA] = ACTIONS(6415),
    [anon_sym_RPAREN] = ACTIONS(6415),
    [aux_sym_preproc_if_token2] = ACTIONS(6415),
    [aux_sym_preproc_else_token1] = ACTIONS(6415),
    [aux_sym_preproc_elif_token1] = ACTIONS(6413),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(6415),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(6415),
    [anon_sym_LPAREN2] = ACTIONS(6415),
    [anon_sym_DASH] = ACTIONS(6413),
    [anon_sym_PLUS] = ACTIONS(6413),
    [anon_sym_STAR] = ACTIONS(6413),
    [anon_sym_SLASH] = ACTIONS(6413),
    [anon_sym_PERCENT] = ACTIONS(6413),
    [anon_sym_PIPE_PIPE] = ACTIONS(6415),
    [anon_sym_AMP_AMP] = ACTIONS(6415),
    [anon_sym_PIPE] = ACTIONS(6413),
    [anon_sym_CARET] = ACTIONS(6413),
    [anon_sym_AMP] = ACTIONS(6413),
    [anon_sym_EQ_EQ] = ACTIONS(6415),
    [anon_sym_BANG_EQ] = ACTIONS(6415),
    [anon_sym_GT] = ACTIONS(6413),
    [anon_sym_GT_EQ] = ACTIONS(6415),
    [anon_sym_LT_EQ] = ACTIONS(6413),
    [anon_sym_LT] = ACTIONS(6413),
    [anon_sym_LT_LT] = ACTIONS(6413),
    [anon_sym_GT_GT] = ACTIONS(6413),
    [anon_sym_COLON] = ACTIONS(6415),
    [anon_sym_SEMI] = ACTIONS(6415),
    [anon_sym_RBRACE] = ACTIONS(6415),
    [anon_sym_LBRACK] = ACTIONS(6415),
    [anon_sym_RBRACK] = ACTIONS(6415),
    [anon_sym_EQ] = ACTIONS(6413),
    [anon_sym_QMARK] = ACTIONS(6415),
    [anon_sym_STAR_EQ] = ACTIONS(6415),
    [anon_sym_SLASH_EQ] = ACTIONS(6415),
    [anon_sym_PERCENT_EQ] = ACTIONS(6415),
    [anon_sym_PLUS_EQ] = ACTIONS(6415),
    [anon_sym_DASH_EQ] = ACTIONS(6415),
    [anon_sym_LT_LT_EQ] = ACTIONS(6415),
    [anon_sym_GT_GT_EQ] = ACTIONS(6415),
    [anon_sym_AMP_EQ] = ACTIONS(6415),
    [anon_sym_CARET_EQ] = ACTIONS(6415),
    [anon_sym_PIPE_EQ] = ACTIONS(6415),
    [anon_sym_and_eq] = ACTIONS(6413),
    [anon_sym_or_eq] = ACTIONS(6413),
    [anon_sym_xor_eq] = ACTIONS(6413),
    [anon_sym_LT_EQ_GT] = ACTIONS(6415),
    [anon_sym_or] = ACTIONS(6413),
    [anon_sym_and] = ACTIONS(6413),
    [anon_sym_bitor] = ACTIONS(6413),
    [anon_sym_xor] = ACTIONS(6413),
    [anon_sym_bitand] = ACTIONS(6413),
    [anon_sym_not_eq] = ACTIONS(6413),
    [anon_sym_DASH_DASH] = ACTIONS(6415),
    [anon_sym_PLUS_PLUS] = ACTIONS(6415),
    [anon_sym_DOT] = ACTIONS(6413),
    [anon_sym_DOT_STAR] = ACTIONS(6415),
    [anon_sym_DASH_GT] = ACTIONS(6415),
    [anon_sym_L_DQUOTE] = ACTIONS(6415),
    [anon_sym_u_DQUOTE] = ACTIONS(6415),
    [anon_sym_U_DQUOTE] = ACTIONS(6415),
    [anon_sym_u8_DQUOTE] = ACTIONS(6415),
    [anon_sym_DQUOTE] = ACTIONS(6415),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(6415),
    [anon_sym_LR_DQUOTE] = ACTIONS(6415),
    [anon_sym_uR_DQUOTE] = ACTIONS(6415),
    [anon_sym_UR_DQUOTE] = ACTIONS(6415),
    [anon_sym_u8R_DQUOTE] = ACTIONS(6415),
    [sym_literal_suffix] = ACTIONS(6413),
  },
  [3184] = {
    [sym_identifier] = ACTIONS(6396),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6398),
    [anon_sym_COMMA] = ACTIONS(6398),
    [anon_sym_RPAREN] = ACTIONS(6398),
    [aux_sym_preproc_if_token2] = ACTIONS(6398),
    [aux_sym_preproc_else_token1] = ACTIONS(6398),
    [aux_sym_preproc_elif_token1] = ACTIONS(6396),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(6398),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(6398),
    [anon_sym_LPAREN2] = ACTIONS(6398),
    [anon_sym_DASH] = ACTIONS(6396),
    [anon_sym_PLUS] = ACTIONS(6396),
    [anon_sym_STAR] = ACTIONS(6396),
    [anon_sym_SLASH] = ACTIONS(6396),
    [anon_sym_PERCENT] = ACTIONS(6396),
    [anon_sym_PIPE_PIPE] = ACTIONS(6398),
    [anon_sym_AMP_AMP] = ACTIONS(6398),
    [anon_sym_PIPE] = ACTIONS(6396),
    [anon_sym_CARET] = ACTIONS(6396),
    [anon_sym_AMP] = ACTIONS(6396),
    [anon_sym_EQ_EQ] = ACTIONS(6398),
    [anon_sym_BANG_EQ] = ACTIONS(6398),
    [anon_sym_GT] = ACTIONS(6396),
    [anon_sym_GT_EQ] = ACTIONS(6398),
    [anon_sym_LT_EQ] = ACTIONS(6396),
    [anon_sym_LT] = ACTIONS(6396),
    [anon_sym_LT_LT] = ACTIONS(6396),
    [anon_sym_GT_GT] = ACTIONS(6396),
    [anon_sym_COLON] = ACTIONS(6398),
    [anon_sym_SEMI] = ACTIONS(6398),
    [anon_sym_RBRACE] = ACTIONS(6398),
    [anon_sym_LBRACK] = ACTIONS(6398),
    [anon_sym_RBRACK] = ACTIONS(6398),
    [anon_sym_EQ] = ACTIONS(6396),
    [anon_sym_QMARK] = ACTIONS(6398),
    [anon_sym_STAR_EQ] = ACTIONS(6398),
    [anon_sym_SLASH_EQ] = ACTIONS(6398),
    [anon_sym_PERCENT_EQ] = ACTIONS(6398),
    [anon_sym_PLUS_EQ] = ACTIONS(6398),
    [anon_sym_DASH_EQ] = ACTIONS(6398),
    [anon_sym_LT_LT_EQ] = ACTIONS(6398),
    [anon_sym_GT_GT_EQ] = ACTIONS(6398),
    [anon_sym_AMP_EQ] = ACTIONS(6398),
    [anon_sym_CARET_EQ] = ACTIONS(6398),
    [anon_sym_PIPE_EQ] = ACTIONS(6398),
    [anon_sym_and_eq] = ACTIONS(6396),
    [anon_sym_or_eq] = ACTIONS(6396),
    [anon_sym_xor_eq] = ACTIONS(6396),
    [anon_sym_LT_EQ_GT] = ACTIONS(6398),
    [anon_sym_or] = ACTIONS(6396),
    [anon_sym_and] = ACTIONS(6396),
    [anon_sym_bitor] = ACTIONS(6396),
    [anon_sym_xor] = ACTIONS(6396),
    [anon_sym_bitand] = ACTIONS(6396),
    [anon_sym_not_eq] = ACTIONS(6396),
    [anon_sym_DASH_DASH] = ACTIONS(6398),
    [anon_sym_PLUS_PLUS] = ACTIONS(6398),
    [anon_sym_DOT] = ACTIONS(6396),
    [anon_sym_DOT_STAR] = ACTIONS(6398),
    [anon_sym_DASH_GT] = ACTIONS(6398),
    [anon_sym_L_DQUOTE] = ACTIONS(6398),
    [anon_sym_u_DQUOTE] = ACTIONS(6398),
    [anon_sym_U_DQUOTE] = ACTIONS(6398),
    [anon_sym_u8_DQUOTE] = ACTIONS(6398),
    [anon_sym_DQUOTE] = ACTIONS(6398),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(6398),
    [anon_sym_LR_DQUOTE] = ACTIONS(6398),
    [anon_sym_uR_DQUOTE] = ACTIONS(6398),
    [anon_sym_UR_DQUOTE] = ACTIONS(6398),
    [anon_sym_u8R_DQUOTE] = ACTIONS(6398),
    [sym_literal_suffix] = ACTIONS(6396),
  },
  [3185] = {
    [sym_identifier] = ACTIONS(2186),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2188),
    [anon_sym_COMMA] = ACTIONS(2188),
    [anon_sym_RPAREN] = ACTIONS(2188),
    [anon_sym_LPAREN2] = ACTIONS(2188),
    [anon_sym_TILDE] = ACTIONS(2188),
    [anon_sym_STAR] = ACTIONS(2188),
    [anon_sym_AMP_AMP] = ACTIONS(2188),
    [anon_sym_AMP] = ACTIONS(2186),
    [anon_sym_COLON] = ACTIONS(2186),
    [anon_sym___extension__] = ACTIONS(2186),
    [anon_sym_in] = ACTIONS(2186),
    [anon_sym_out] = ACTIONS(2186),
    [anon_sym_inout] = ACTIONS(2186),
    [anon_sym_extern] = ACTIONS(2186),
    [anon_sym___attribute__] = ACTIONS(2186),
    [anon_sym_COLON_COLON] = ACTIONS(2188),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2188),
    [anon_sym___declspec] = ACTIONS(2186),
    [anon_sym___based] = ACTIONS(2186),
    [anon_sym_LBRACE] = ACTIONS(2188),
    [anon_sym_LBRACK] = ACTIONS(2186),
    [anon_sym_EQ] = ACTIONS(2188),
    [anon_sym_static] = ACTIONS(2186),
    [anon_sym_register] = ACTIONS(2186),
    [anon_sym_inline] = ACTIONS(2186),
    [anon_sym___inline] = ACTIONS(2186),
    [anon_sym___inline__] = ACTIONS(2186),
    [anon_sym___forceinline] = ACTIONS(2186),
    [anon_sym_thread_local] = ACTIONS(2186),
    [anon_sym___thread] = ACTIONS(2186),
    [anon_sym_const] = ACTIONS(2186),
    [anon_sym_constexpr] = ACTIONS(2186),
    [anon_sym_volatile] = ACTIONS(2186),
    [anon_sym_restrict] = ACTIONS(2186),
    [anon_sym___restrict__] = ACTIONS(2186),
    [anon_sym__Atomic] = ACTIONS(2186),
    [anon_sym__Noreturn] = ACTIONS(2186),
    [anon_sym_noreturn] = ACTIONS(2186),
    [anon_sym_mutable] = ACTIONS(2186),
    [anon_sym_constinit] = ACTIONS(2186),
    [anon_sym_consteval] = ACTIONS(2186),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2186),
    [anon_sym_decltype] = ACTIONS(2186),
    [anon_sym_final] = ACTIONS(2186),
    [anon_sym_override] = ACTIONS(2186),
    [anon_sym_virtual] = ACTIONS(2186),
    [anon_sym_alignas] = ACTIONS(2186),
    [anon_sym_template] = ACTIONS(2186),
    [anon_sym_GT2] = ACTIONS(2188),
    [anon_sym_operator] = ACTIONS(2186),
    [anon_sym_precise] = ACTIONS(2186),
    [anon_sym_shared] = ACTIONS(2186),
    [anon_sym_groupshared] = ACTIONS(2186),
    [anon_sym_uniform] = ACTIONS(2186),
    [anon_sym_row_major] = ACTIONS(2186),
    [anon_sym_column_major] = ACTIONS(2186),
    [anon_sym_globallycoherent] = ACTIONS(2186),
    [anon_sym_centroid] = ACTIONS(2186),
    [anon_sym_noperspective] = ACTIONS(2186),
    [anon_sym_nointerpolation] = ACTIONS(2186),
    [anon_sym_sample] = ACTIONS(2186),
    [anon_sym_linear] = ACTIONS(2186),
    [anon_sym_snorm] = ACTIONS(2186),
    [anon_sym_unorm] = ACTIONS(2186),
    [anon_sym_point] = ACTIONS(2186),
    [anon_sym_line] = ACTIONS(2186),
    [anon_sym_triangleadj] = ACTIONS(2186),
    [anon_sym_lineadj] = ACTIONS(2186),
    [anon_sym_triangle] = ACTIONS(2186),
  },
  [3186] = {
    [sym_identifier] = ACTIONS(2208),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2210),
    [anon_sym_COMMA] = ACTIONS(2210),
    [anon_sym_RPAREN] = ACTIONS(2210),
    [anon_sym_LPAREN2] = ACTIONS(2210),
    [anon_sym_TILDE] = ACTIONS(2210),
    [anon_sym_STAR] = ACTIONS(2210),
    [anon_sym_AMP_AMP] = ACTIONS(2210),
    [anon_sym_AMP] = ACTIONS(2208),
    [anon_sym_COLON] = ACTIONS(2208),
    [anon_sym___extension__] = ACTIONS(2208),
    [anon_sym_in] = ACTIONS(2208),
    [anon_sym_out] = ACTIONS(2208),
    [anon_sym_inout] = ACTIONS(2208),
    [anon_sym_extern] = ACTIONS(2208),
    [anon_sym___attribute__] = ACTIONS(2208),
    [anon_sym_COLON_COLON] = ACTIONS(2210),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2210),
    [anon_sym___declspec] = ACTIONS(2208),
    [anon_sym___based] = ACTIONS(2208),
    [anon_sym_LBRACE] = ACTIONS(2210),
    [anon_sym_LBRACK] = ACTIONS(2208),
    [anon_sym_EQ] = ACTIONS(2210),
    [anon_sym_static] = ACTIONS(2208),
    [anon_sym_register] = ACTIONS(2208),
    [anon_sym_inline] = ACTIONS(2208),
    [anon_sym___inline] = ACTIONS(2208),
    [anon_sym___inline__] = ACTIONS(2208),
    [anon_sym___forceinline] = ACTIONS(2208),
    [anon_sym_thread_local] = ACTIONS(2208),
    [anon_sym___thread] = ACTIONS(2208),
    [anon_sym_const] = ACTIONS(2208),
    [anon_sym_constexpr] = ACTIONS(2208),
    [anon_sym_volatile] = ACTIONS(2208),
    [anon_sym_restrict] = ACTIONS(2208),
    [anon_sym___restrict__] = ACTIONS(2208),
    [anon_sym__Atomic] = ACTIONS(2208),
    [anon_sym__Noreturn] = ACTIONS(2208),
    [anon_sym_noreturn] = ACTIONS(2208),
    [anon_sym_mutable] = ACTIONS(2208),
    [anon_sym_constinit] = ACTIONS(2208),
    [anon_sym_consteval] = ACTIONS(2208),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2208),
    [anon_sym_decltype] = ACTIONS(2208),
    [anon_sym_final] = ACTIONS(2208),
    [anon_sym_override] = ACTIONS(2208),
    [anon_sym_virtual] = ACTIONS(2208),
    [anon_sym_alignas] = ACTIONS(2208),
    [anon_sym_template] = ACTIONS(2208),
    [anon_sym_GT2] = ACTIONS(2210),
    [anon_sym_operator] = ACTIONS(2208),
    [anon_sym_precise] = ACTIONS(2208),
    [anon_sym_shared] = ACTIONS(2208),
    [anon_sym_groupshared] = ACTIONS(2208),
    [anon_sym_uniform] = ACTIONS(2208),
    [anon_sym_row_major] = ACTIONS(2208),
    [anon_sym_column_major] = ACTIONS(2208),
    [anon_sym_globallycoherent] = ACTIONS(2208),
    [anon_sym_centroid] = ACTIONS(2208),
    [anon_sym_noperspective] = ACTIONS(2208),
    [anon_sym_nointerpolation] = ACTIONS(2208),
    [anon_sym_sample] = ACTIONS(2208),
    [anon_sym_linear] = ACTIONS(2208),
    [anon_sym_snorm] = ACTIONS(2208),
    [anon_sym_unorm] = ACTIONS(2208),
    [anon_sym_point] = ACTIONS(2208),
    [anon_sym_line] = ACTIONS(2208),
    [anon_sym_triangleadj] = ACTIONS(2208),
    [anon_sym_lineadj] = ACTIONS(2208),
    [anon_sym_triangle] = ACTIONS(2208),
  },
  [3187] = {
    [sym_attribute_specifier] = STATE(3460),
    [sym_field_declaration_list] = STATE(3365),
    [sym_virtual_specifier] = STATE(8405),
    [sym_base_class_clause] = STATE(9169),
    [sym_identifier] = ACTIONS(5925),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5927),
    [anon_sym_COMMA] = ACTIONS(5927),
    [anon_sym_RPAREN] = ACTIONS(5927),
    [aux_sym_preproc_if_token2] = ACTIONS(5927),
    [aux_sym_preproc_else_token1] = ACTIONS(5927),
    [aux_sym_preproc_elif_token1] = ACTIONS(5925),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5927),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5927),
    [anon_sym_LPAREN2] = ACTIONS(5927),
    [anon_sym_DASH] = ACTIONS(5925),
    [anon_sym_PLUS] = ACTIONS(5925),
    [anon_sym_STAR] = ACTIONS(5925),
    [anon_sym_SLASH] = ACTIONS(5925),
    [anon_sym_PERCENT] = ACTIONS(5925),
    [anon_sym_PIPE_PIPE] = ACTIONS(5927),
    [anon_sym_AMP_AMP] = ACTIONS(5927),
    [anon_sym_PIPE] = ACTIONS(5925),
    [anon_sym_CARET] = ACTIONS(5925),
    [anon_sym_AMP] = ACTIONS(5925),
    [anon_sym_EQ_EQ] = ACTIONS(5927),
    [anon_sym_BANG_EQ] = ACTIONS(5927),
    [anon_sym_GT] = ACTIONS(5925),
    [anon_sym_GT_EQ] = ACTIONS(5927),
    [anon_sym_LT_EQ] = ACTIONS(5925),
    [anon_sym_LT] = ACTIONS(5925),
    [anon_sym_LT_LT] = ACTIONS(5925),
    [anon_sym_GT_GT] = ACTIONS(5925),
    [anon_sym_COLON] = ACTIONS(6417),
    [anon_sym_SEMI] = ACTIONS(5927),
    [anon_sym___attribute__] = ACTIONS(6419),
    [anon_sym_LBRACE] = ACTIONS(6421),
    [anon_sym_RBRACE] = ACTIONS(5927),
    [anon_sym_LBRACK] = ACTIONS(5927),
    [anon_sym_RBRACK] = ACTIONS(5927),
    [anon_sym_EQ] = ACTIONS(5925),
    [anon_sym_QMARK] = ACTIONS(5927),
    [anon_sym_STAR_EQ] = ACTIONS(5927),
    [anon_sym_SLASH_EQ] = ACTIONS(5927),
    [anon_sym_PERCENT_EQ] = ACTIONS(5927),
    [anon_sym_PLUS_EQ] = ACTIONS(5927),
    [anon_sym_DASH_EQ] = ACTIONS(5927),
    [anon_sym_LT_LT_EQ] = ACTIONS(5927),
    [anon_sym_GT_GT_EQ] = ACTIONS(5927),
    [anon_sym_AMP_EQ] = ACTIONS(5927),
    [anon_sym_CARET_EQ] = ACTIONS(5927),
    [anon_sym_PIPE_EQ] = ACTIONS(5927),
    [anon_sym_and_eq] = ACTIONS(5925),
    [anon_sym_or_eq] = ACTIONS(5925),
    [anon_sym_xor_eq] = ACTIONS(5925),
    [anon_sym_LT_EQ_GT] = ACTIONS(5927),
    [anon_sym_or] = ACTIONS(5925),
    [anon_sym_and] = ACTIONS(5925),
    [anon_sym_bitor] = ACTIONS(5925),
    [anon_sym_xor] = ACTIONS(5925),
    [anon_sym_bitand] = ACTIONS(5925),
    [anon_sym_not_eq] = ACTIONS(5925),
    [anon_sym_DASH_DASH] = ACTIONS(5927),
    [anon_sym_PLUS_PLUS] = ACTIONS(5927),
    [anon_sym_DOT] = ACTIONS(5925),
    [anon_sym_DOT_STAR] = ACTIONS(5927),
    [anon_sym_DASH_GT] = ACTIONS(5927),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5925),
    [anon_sym_decltype] = ACTIONS(5925),
    [anon_sym_final] = ACTIONS(2198),
    [anon_sym_override] = ACTIONS(2198),
  },
  [3188] = {
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2210),
    [anon_sym_COMMA] = ACTIONS(2210),
    [anon_sym_LPAREN2] = ACTIONS(2210),
    [anon_sym_DASH] = ACTIONS(2208),
    [anon_sym_PLUS] = ACTIONS(2208),
    [anon_sym_STAR] = ACTIONS(2208),
    [anon_sym_SLASH] = ACTIONS(2208),
    [anon_sym_PERCENT] = ACTIONS(2208),
    [anon_sym_PIPE_PIPE] = ACTIONS(2210),
    [anon_sym_AMP_AMP] = ACTIONS(2210),
    [anon_sym_PIPE] = ACTIONS(2208),
    [anon_sym_CARET] = ACTIONS(2208),
    [anon_sym_AMP] = ACTIONS(2208),
    [anon_sym_EQ_EQ] = ACTIONS(2210),
    [anon_sym_BANG_EQ] = ACTIONS(2210),
    [anon_sym_GT] = ACTIONS(2208),
    [anon_sym_GT_EQ] = ACTIONS(2208),
    [anon_sym_LT_EQ] = ACTIONS(2208),
    [anon_sym_LT] = ACTIONS(2208),
    [anon_sym_LT_LT] = ACTIONS(2208),
    [anon_sym_GT_GT] = ACTIONS(2208),
    [anon_sym_COLON] = ACTIONS(2208),
    [anon_sym___extension__] = ACTIONS(2210),
    [anon_sym___attribute__] = ACTIONS(2210),
    [anon_sym_COLON_COLON] = ACTIONS(2210),
    [anon_sym_LBRACE] = ACTIONS(2210),
    [anon_sym_LBRACK] = ACTIONS(2210),
    [anon_sym_EQ] = ACTIONS(2208),
    [anon_sym_const] = ACTIONS(2208),
    [anon_sym_constexpr] = ACTIONS(2210),
    [anon_sym_volatile] = ACTIONS(2210),
    [anon_sym_restrict] = ACTIONS(2210),
    [anon_sym___restrict__] = ACTIONS(2210),
    [anon_sym__Atomic] = ACTIONS(2210),
    [anon_sym__Noreturn] = ACTIONS(2210),
    [anon_sym_noreturn] = ACTIONS(2210),
    [anon_sym_mutable] = ACTIONS(2210),
    [anon_sym_constinit] = ACTIONS(2210),
    [anon_sym_consteval] = ACTIONS(2210),
    [anon_sym_QMARK] = ACTIONS(2210),
    [anon_sym_STAR_EQ] = ACTIONS(2210),
    [anon_sym_SLASH_EQ] = ACTIONS(2210),
    [anon_sym_PERCENT_EQ] = ACTIONS(2210),
    [anon_sym_PLUS_EQ] = ACTIONS(2210),
    [anon_sym_DASH_EQ] = ACTIONS(2210),
    [anon_sym_LT_LT_EQ] = ACTIONS(2210),
    [anon_sym_GT_GT_EQ] = ACTIONS(2208),
    [anon_sym_AMP_EQ] = ACTIONS(2210),
    [anon_sym_CARET_EQ] = ACTIONS(2210),
    [anon_sym_PIPE_EQ] = ACTIONS(2210),
    [anon_sym_and_eq] = ACTIONS(2210),
    [anon_sym_or_eq] = ACTIONS(2210),
    [anon_sym_xor_eq] = ACTIONS(2210),
    [anon_sym_LT_EQ_GT] = ACTIONS(2210),
    [anon_sym_or] = ACTIONS(2208),
    [anon_sym_and] = ACTIONS(2208),
    [anon_sym_bitor] = ACTIONS(2210),
    [anon_sym_xor] = ACTIONS(2208),
    [anon_sym_bitand] = ACTIONS(2210),
    [anon_sym_not_eq] = ACTIONS(2210),
    [anon_sym_DASH_DASH] = ACTIONS(2210),
    [anon_sym_PLUS_PLUS] = ACTIONS(2210),
    [anon_sym_DOT] = ACTIONS(2208),
    [anon_sym_DOT_STAR] = ACTIONS(2210),
    [anon_sym_DASH_GT] = ACTIONS(2210),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2210),
    [anon_sym_decltype] = ACTIONS(2210),
    [anon_sym_final] = ACTIONS(2210),
    [anon_sym_override] = ACTIONS(2210),
    [anon_sym_GT2] = ACTIONS(2210),
  },
  [3189] = {
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2214),
    [anon_sym_COMMA] = ACTIONS(2214),
    [anon_sym_LPAREN2] = ACTIONS(2214),
    [anon_sym_DASH] = ACTIONS(2212),
    [anon_sym_PLUS] = ACTIONS(2212),
    [anon_sym_STAR] = ACTIONS(2212),
    [anon_sym_SLASH] = ACTIONS(2212),
    [anon_sym_PERCENT] = ACTIONS(2212),
    [anon_sym_PIPE_PIPE] = ACTIONS(2214),
    [anon_sym_AMP_AMP] = ACTIONS(2214),
    [anon_sym_PIPE] = ACTIONS(2212),
    [anon_sym_CARET] = ACTIONS(2212),
    [anon_sym_AMP] = ACTIONS(2212),
    [anon_sym_EQ_EQ] = ACTIONS(2214),
    [anon_sym_BANG_EQ] = ACTIONS(2214),
    [anon_sym_GT] = ACTIONS(2212),
    [anon_sym_GT_EQ] = ACTIONS(2212),
    [anon_sym_LT_EQ] = ACTIONS(2212),
    [anon_sym_LT] = ACTIONS(2212),
    [anon_sym_LT_LT] = ACTIONS(2212),
    [anon_sym_GT_GT] = ACTIONS(2212),
    [anon_sym_COLON] = ACTIONS(2212),
    [anon_sym___extension__] = ACTIONS(2214),
    [anon_sym___attribute__] = ACTIONS(2214),
    [anon_sym_COLON_COLON] = ACTIONS(2214),
    [anon_sym_LBRACE] = ACTIONS(2214),
    [anon_sym_LBRACK] = ACTIONS(2214),
    [anon_sym_EQ] = ACTIONS(2212),
    [anon_sym_const] = ACTIONS(2212),
    [anon_sym_constexpr] = ACTIONS(2214),
    [anon_sym_volatile] = ACTIONS(2214),
    [anon_sym_restrict] = ACTIONS(2214),
    [anon_sym___restrict__] = ACTIONS(2214),
    [anon_sym__Atomic] = ACTIONS(2214),
    [anon_sym__Noreturn] = ACTIONS(2214),
    [anon_sym_noreturn] = ACTIONS(2214),
    [anon_sym_mutable] = ACTIONS(2214),
    [anon_sym_constinit] = ACTIONS(2214),
    [anon_sym_consteval] = ACTIONS(2214),
    [anon_sym_QMARK] = ACTIONS(2214),
    [anon_sym_STAR_EQ] = ACTIONS(2214),
    [anon_sym_SLASH_EQ] = ACTIONS(2214),
    [anon_sym_PERCENT_EQ] = ACTIONS(2214),
    [anon_sym_PLUS_EQ] = ACTIONS(2214),
    [anon_sym_DASH_EQ] = ACTIONS(2214),
    [anon_sym_LT_LT_EQ] = ACTIONS(2214),
    [anon_sym_GT_GT_EQ] = ACTIONS(2212),
    [anon_sym_AMP_EQ] = ACTIONS(2214),
    [anon_sym_CARET_EQ] = ACTIONS(2214),
    [anon_sym_PIPE_EQ] = ACTIONS(2214),
    [anon_sym_and_eq] = ACTIONS(2214),
    [anon_sym_or_eq] = ACTIONS(2214),
    [anon_sym_xor_eq] = ACTIONS(2214),
    [anon_sym_LT_EQ_GT] = ACTIONS(2214),
    [anon_sym_or] = ACTIONS(2212),
    [anon_sym_and] = ACTIONS(2212),
    [anon_sym_bitor] = ACTIONS(2214),
    [anon_sym_xor] = ACTIONS(2212),
    [anon_sym_bitand] = ACTIONS(2214),
    [anon_sym_not_eq] = ACTIONS(2214),
    [anon_sym_DASH_DASH] = ACTIONS(2214),
    [anon_sym_PLUS_PLUS] = ACTIONS(2214),
    [anon_sym_DOT] = ACTIONS(2212),
    [anon_sym_DOT_STAR] = ACTIONS(2214),
    [anon_sym_DASH_GT] = ACTIONS(2214),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2214),
    [anon_sym_decltype] = ACTIONS(2214),
    [anon_sym_final] = ACTIONS(2214),
    [anon_sym_override] = ACTIONS(2214),
    [anon_sym_GT2] = ACTIONS(2214),
  },
  [3190] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(3190),
    [sym_identifier] = ACTIONS(5840),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5842),
    [anon_sym_COMMA] = ACTIONS(5842),
    [anon_sym_RPAREN] = ACTIONS(5842),
    [aux_sym_preproc_if_token2] = ACTIONS(5842),
    [aux_sym_preproc_else_token1] = ACTIONS(5842),
    [aux_sym_preproc_elif_token1] = ACTIONS(5840),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5842),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5842),
    [anon_sym_LPAREN2] = ACTIONS(5842),
    [anon_sym_DASH] = ACTIONS(5840),
    [anon_sym_PLUS] = ACTIONS(5840),
    [anon_sym_STAR] = ACTIONS(5840),
    [anon_sym_SLASH] = ACTIONS(5840),
    [anon_sym_PERCENT] = ACTIONS(5840),
    [anon_sym_PIPE_PIPE] = ACTIONS(5842),
    [anon_sym_AMP_AMP] = ACTIONS(5842),
    [anon_sym_PIPE] = ACTIONS(5840),
    [anon_sym_CARET] = ACTIONS(5840),
    [anon_sym_AMP] = ACTIONS(5840),
    [anon_sym_EQ_EQ] = ACTIONS(5842),
    [anon_sym_BANG_EQ] = ACTIONS(5842),
    [anon_sym_GT] = ACTIONS(5840),
    [anon_sym_GT_EQ] = ACTIONS(5842),
    [anon_sym_LT_EQ] = ACTIONS(5840),
    [anon_sym_LT] = ACTIONS(5840),
    [anon_sym_LT_LT] = ACTIONS(5840),
    [anon_sym_GT_GT] = ACTIONS(5840),
    [anon_sym_COLON] = ACTIONS(5842),
    [anon_sym_SEMI] = ACTIONS(5842),
    [anon_sym___attribute__] = ACTIONS(5840),
    [anon_sym_LBRACE] = ACTIONS(5842),
    [anon_sym_RBRACE] = ACTIONS(5842),
    [anon_sym_signed] = ACTIONS(6423),
    [anon_sym_unsigned] = ACTIONS(6423),
    [anon_sym_long] = ACTIONS(6423),
    [anon_sym_short] = ACTIONS(6423),
    [anon_sym_LBRACK] = ACTIONS(5842),
    [anon_sym_RBRACK] = ACTIONS(5842),
    [anon_sym_EQ] = ACTIONS(5840),
    [sym_primitive_type] = ACTIONS(5840),
    [anon_sym_QMARK] = ACTIONS(5842),
    [anon_sym_STAR_EQ] = ACTIONS(5842),
    [anon_sym_SLASH_EQ] = ACTIONS(5842),
    [anon_sym_PERCENT_EQ] = ACTIONS(5842),
    [anon_sym_PLUS_EQ] = ACTIONS(5842),
    [anon_sym_DASH_EQ] = ACTIONS(5842),
    [anon_sym_LT_LT_EQ] = ACTIONS(5842),
    [anon_sym_GT_GT_EQ] = ACTIONS(5842),
    [anon_sym_AMP_EQ] = ACTIONS(5842),
    [anon_sym_CARET_EQ] = ACTIONS(5842),
    [anon_sym_PIPE_EQ] = ACTIONS(5842),
    [anon_sym_and_eq] = ACTIONS(5840),
    [anon_sym_or_eq] = ACTIONS(5840),
    [anon_sym_xor_eq] = ACTIONS(5840),
    [anon_sym_LT_EQ_GT] = ACTIONS(5842),
    [anon_sym_or] = ACTIONS(5840),
    [anon_sym_and] = ACTIONS(5840),
    [anon_sym_bitor] = ACTIONS(5840),
    [anon_sym_xor] = ACTIONS(5840),
    [anon_sym_bitand] = ACTIONS(5840),
    [anon_sym_not_eq] = ACTIONS(5840),
    [anon_sym_DASH_DASH] = ACTIONS(5842),
    [anon_sym_PLUS_PLUS] = ACTIONS(5842),
    [anon_sym_DOT] = ACTIONS(5840),
    [anon_sym_DOT_STAR] = ACTIONS(5842),
    [anon_sym_DASH_GT] = ACTIONS(5842),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5840),
    [anon_sym_decltype] = ACTIONS(5840),
  },
  [3191] = {
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2184),
    [anon_sym_COMMA] = ACTIONS(2184),
    [anon_sym_LPAREN2] = ACTIONS(2184),
    [anon_sym_DASH] = ACTIONS(2182),
    [anon_sym_PLUS] = ACTIONS(2182),
    [anon_sym_STAR] = ACTIONS(2182),
    [anon_sym_SLASH] = ACTIONS(2182),
    [anon_sym_PERCENT] = ACTIONS(2182),
    [anon_sym_PIPE_PIPE] = ACTIONS(2184),
    [anon_sym_AMP_AMP] = ACTIONS(2184),
    [anon_sym_PIPE] = ACTIONS(2182),
    [anon_sym_CARET] = ACTIONS(2182),
    [anon_sym_AMP] = ACTIONS(2182),
    [anon_sym_EQ_EQ] = ACTIONS(2184),
    [anon_sym_BANG_EQ] = ACTIONS(2184),
    [anon_sym_GT] = ACTIONS(2182),
    [anon_sym_GT_EQ] = ACTIONS(2182),
    [anon_sym_LT_EQ] = ACTIONS(2182),
    [anon_sym_LT] = ACTIONS(2182),
    [anon_sym_LT_LT] = ACTIONS(2182),
    [anon_sym_GT_GT] = ACTIONS(2182),
    [anon_sym_COLON] = ACTIONS(2182),
    [anon_sym___extension__] = ACTIONS(2184),
    [anon_sym___attribute__] = ACTIONS(2184),
    [anon_sym_COLON_COLON] = ACTIONS(2184),
    [anon_sym_LBRACE] = ACTIONS(2184),
    [anon_sym_LBRACK] = ACTIONS(2184),
    [anon_sym_EQ] = ACTIONS(2182),
    [anon_sym_const] = ACTIONS(2182),
    [anon_sym_constexpr] = ACTIONS(2184),
    [anon_sym_volatile] = ACTIONS(2184),
    [anon_sym_restrict] = ACTIONS(2184),
    [anon_sym___restrict__] = ACTIONS(2184),
    [anon_sym__Atomic] = ACTIONS(2184),
    [anon_sym__Noreturn] = ACTIONS(2184),
    [anon_sym_noreturn] = ACTIONS(2184),
    [anon_sym_mutable] = ACTIONS(2184),
    [anon_sym_constinit] = ACTIONS(2184),
    [anon_sym_consteval] = ACTIONS(2184),
    [anon_sym_QMARK] = ACTIONS(2184),
    [anon_sym_STAR_EQ] = ACTIONS(2184),
    [anon_sym_SLASH_EQ] = ACTIONS(2184),
    [anon_sym_PERCENT_EQ] = ACTIONS(2184),
    [anon_sym_PLUS_EQ] = ACTIONS(2184),
    [anon_sym_DASH_EQ] = ACTIONS(2184),
    [anon_sym_LT_LT_EQ] = ACTIONS(2184),
    [anon_sym_GT_GT_EQ] = ACTIONS(2182),
    [anon_sym_AMP_EQ] = ACTIONS(2184),
    [anon_sym_CARET_EQ] = ACTIONS(2184),
    [anon_sym_PIPE_EQ] = ACTIONS(2184),
    [anon_sym_and_eq] = ACTIONS(2184),
    [anon_sym_or_eq] = ACTIONS(2184),
    [anon_sym_xor_eq] = ACTIONS(2184),
    [anon_sym_LT_EQ_GT] = ACTIONS(2184),
    [anon_sym_or] = ACTIONS(2182),
    [anon_sym_and] = ACTIONS(2182),
    [anon_sym_bitor] = ACTIONS(2184),
    [anon_sym_xor] = ACTIONS(2182),
    [anon_sym_bitand] = ACTIONS(2184),
    [anon_sym_not_eq] = ACTIONS(2184),
    [anon_sym_DASH_DASH] = ACTIONS(2184),
    [anon_sym_PLUS_PLUS] = ACTIONS(2184),
    [anon_sym_DOT] = ACTIONS(2182),
    [anon_sym_DOT_STAR] = ACTIONS(2184),
    [anon_sym_DASH_GT] = ACTIONS(2184),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2184),
    [anon_sym_decltype] = ACTIONS(2184),
    [anon_sym_final] = ACTIONS(2184),
    [anon_sym_override] = ACTIONS(2184),
    [anon_sym_GT2] = ACTIONS(2184),
  },
  [3192] = {
    [sym_template_argument_list] = STATE(3217),
    [sym_identifier] = ACTIONS(2232),
    [anon_sym_LPAREN2] = ACTIONS(4548),
    [anon_sym_TILDE] = ACTIONS(2234),
    [anon_sym_STAR] = ACTIONS(2234),
    [anon_sym_AMP_AMP] = ACTIONS(2234),
    [anon_sym_AMP] = ACTIONS(2232),
    [anon_sym_LT] = ACTIONS(5900),
    [anon_sym_SEMI] = ACTIONS(2234),
    [anon_sym___extension__] = ACTIONS(2232),
    [anon_sym_in] = ACTIONS(2232),
    [anon_sym_out] = ACTIONS(2232),
    [anon_sym_inout] = ACTIONS(2232),
    [anon_sym_extern] = ACTIONS(2232),
    [anon_sym___attribute__] = ACTIONS(2232),
    [anon_sym_COLON_COLON] = ACTIONS(2230),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4548),
    [anon_sym___declspec] = ACTIONS(2232),
    [anon_sym___based] = ACTIONS(2232),
    [anon_sym___cdecl] = ACTIONS(2232),
    [anon_sym___clrcall] = ACTIONS(2232),
    [anon_sym___stdcall] = ACTIONS(2232),
    [anon_sym___fastcall] = ACTIONS(2232),
    [anon_sym___thiscall] = ACTIONS(2232),
    [anon_sym___vectorcall] = ACTIONS(2232),
    [anon_sym_LBRACK] = ACTIONS(4553),
    [anon_sym_static] = ACTIONS(2232),
    [anon_sym_register] = ACTIONS(2232),
    [anon_sym_inline] = ACTIONS(2232),
    [anon_sym___inline] = ACTIONS(2232),
    [anon_sym___inline__] = ACTIONS(2232),
    [anon_sym___forceinline] = ACTIONS(2232),
    [anon_sym_thread_local] = ACTIONS(2232),
    [anon_sym___thread] = ACTIONS(2232),
    [anon_sym_const] = ACTIONS(2232),
    [anon_sym_constexpr] = ACTIONS(2232),
    [anon_sym_volatile] = ACTIONS(2232),
    [anon_sym_restrict] = ACTIONS(2232),
    [anon_sym___restrict__] = ACTIONS(2232),
    [anon_sym__Atomic] = ACTIONS(2232),
    [anon_sym__Noreturn] = ACTIONS(2232),
    [anon_sym_noreturn] = ACTIONS(2232),
    [anon_sym_mutable] = ACTIONS(2232),
    [anon_sym_constinit] = ACTIONS(2232),
    [anon_sym_consteval] = ACTIONS(2232),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2232),
    [anon_sym_decltype] = ACTIONS(2232),
    [anon_sym_virtual] = ACTIONS(2232),
    [anon_sym_alignas] = ACTIONS(2232),
    [anon_sym_template] = ACTIONS(2232),
    [anon_sym_operator] = ACTIONS(2232),
    [anon_sym_precise] = ACTIONS(2232),
    [anon_sym_shared] = ACTIONS(2232),
    [anon_sym_groupshared] = ACTIONS(2232),
    [anon_sym_uniform] = ACTIONS(2232),
    [anon_sym_row_major] = ACTIONS(2232),
    [anon_sym_column_major] = ACTIONS(2232),
    [anon_sym_globallycoherent] = ACTIONS(2232),
    [anon_sym_centroid] = ACTIONS(2232),
    [anon_sym_noperspective] = ACTIONS(2232),
    [anon_sym_nointerpolation] = ACTIONS(2232),
    [anon_sym_sample] = ACTIONS(2232),
    [anon_sym_linear] = ACTIONS(2232),
    [anon_sym_snorm] = ACTIONS(2232),
    [anon_sym_unorm] = ACTIONS(2232),
    [anon_sym_point] = ACTIONS(2232),
    [anon_sym_line] = ACTIONS(2232),
    [anon_sym_triangleadj] = ACTIONS(2232),
    [anon_sym_lineadj] = ACTIONS(2232),
    [anon_sym_triangle] = ACTIONS(2232),
  },
  [3193] = {
    [sym_identifier] = ACTIONS(2212),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2214),
    [anon_sym_COMMA] = ACTIONS(2214),
    [anon_sym_RPAREN] = ACTIONS(2214),
    [anon_sym_LPAREN2] = ACTIONS(2214),
    [anon_sym_TILDE] = ACTIONS(2214),
    [anon_sym_STAR] = ACTIONS(2214),
    [anon_sym_AMP_AMP] = ACTIONS(2214),
    [anon_sym_AMP] = ACTIONS(2212),
    [anon_sym_COLON] = ACTIONS(2212),
    [anon_sym___extension__] = ACTIONS(2212),
    [anon_sym_in] = ACTIONS(2212),
    [anon_sym_out] = ACTIONS(2212),
    [anon_sym_inout] = ACTIONS(2212),
    [anon_sym_extern] = ACTIONS(2212),
    [anon_sym___attribute__] = ACTIONS(2212),
    [anon_sym_COLON_COLON] = ACTIONS(2214),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2214),
    [anon_sym___declspec] = ACTIONS(2212),
    [anon_sym___based] = ACTIONS(2212),
    [anon_sym_LBRACE] = ACTIONS(2214),
    [anon_sym_LBRACK] = ACTIONS(2212),
    [anon_sym_EQ] = ACTIONS(2214),
    [anon_sym_static] = ACTIONS(2212),
    [anon_sym_register] = ACTIONS(2212),
    [anon_sym_inline] = ACTIONS(2212),
    [anon_sym___inline] = ACTIONS(2212),
    [anon_sym___inline__] = ACTIONS(2212),
    [anon_sym___forceinline] = ACTIONS(2212),
    [anon_sym_thread_local] = ACTIONS(2212),
    [anon_sym___thread] = ACTIONS(2212),
    [anon_sym_const] = ACTIONS(2212),
    [anon_sym_constexpr] = ACTIONS(2212),
    [anon_sym_volatile] = ACTIONS(2212),
    [anon_sym_restrict] = ACTIONS(2212),
    [anon_sym___restrict__] = ACTIONS(2212),
    [anon_sym__Atomic] = ACTIONS(2212),
    [anon_sym__Noreturn] = ACTIONS(2212),
    [anon_sym_noreturn] = ACTIONS(2212),
    [anon_sym_mutable] = ACTIONS(2212),
    [anon_sym_constinit] = ACTIONS(2212),
    [anon_sym_consteval] = ACTIONS(2212),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2212),
    [anon_sym_decltype] = ACTIONS(2212),
    [anon_sym_final] = ACTIONS(2212),
    [anon_sym_override] = ACTIONS(2212),
    [anon_sym_virtual] = ACTIONS(2212),
    [anon_sym_alignas] = ACTIONS(2212),
    [anon_sym_template] = ACTIONS(2212),
    [anon_sym_GT2] = ACTIONS(2214),
    [anon_sym_operator] = ACTIONS(2212),
    [anon_sym_precise] = ACTIONS(2212),
    [anon_sym_shared] = ACTIONS(2212),
    [anon_sym_groupshared] = ACTIONS(2212),
    [anon_sym_uniform] = ACTIONS(2212),
    [anon_sym_row_major] = ACTIONS(2212),
    [anon_sym_column_major] = ACTIONS(2212),
    [anon_sym_globallycoherent] = ACTIONS(2212),
    [anon_sym_centroid] = ACTIONS(2212),
    [anon_sym_noperspective] = ACTIONS(2212),
    [anon_sym_nointerpolation] = ACTIONS(2212),
    [anon_sym_sample] = ACTIONS(2212),
    [anon_sym_linear] = ACTIONS(2212),
    [anon_sym_snorm] = ACTIONS(2212),
    [anon_sym_unorm] = ACTIONS(2212),
    [anon_sym_point] = ACTIONS(2212),
    [anon_sym_line] = ACTIONS(2212),
    [anon_sym_triangleadj] = ACTIONS(2212),
    [anon_sym_lineadj] = ACTIONS(2212),
    [anon_sym_triangle] = ACTIONS(2212),
  },
  [3194] = {
    [sym_string_literal] = STATE(3682),
    [sym_template_argument_list] = STATE(4862),
    [sym_raw_string_literal] = STATE(3682),
    [sym_identifier] = ACTIONS(4221),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4213),
    [anon_sym_COMMA] = ACTIONS(4213),
    [aux_sym_preproc_if_token2] = ACTIONS(4213),
    [aux_sym_preproc_else_token1] = ACTIONS(4213),
    [aux_sym_preproc_elif_token1] = ACTIONS(4221),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4213),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4213),
    [anon_sym_LPAREN2] = ACTIONS(4213),
    [anon_sym_DASH] = ACTIONS(4221),
    [anon_sym_PLUS] = ACTIONS(4221),
    [anon_sym_STAR] = ACTIONS(4221),
    [anon_sym_SLASH] = ACTIONS(4221),
    [anon_sym_PERCENT] = ACTIONS(4221),
    [anon_sym_PIPE_PIPE] = ACTIONS(4213),
    [anon_sym_AMP_AMP] = ACTIONS(4213),
    [anon_sym_PIPE] = ACTIONS(4221),
    [anon_sym_CARET] = ACTIONS(4221),
    [anon_sym_AMP] = ACTIONS(4221),
    [anon_sym_EQ_EQ] = ACTIONS(4213),
    [anon_sym_BANG_EQ] = ACTIONS(4213),
    [anon_sym_GT] = ACTIONS(4221),
    [anon_sym_GT_EQ] = ACTIONS(4213),
    [anon_sym_LT_EQ] = ACTIONS(4221),
    [anon_sym_LT] = ACTIONS(6426),
    [anon_sym_LT_LT] = ACTIONS(4221),
    [anon_sym_GT_GT] = ACTIONS(4221),
    [anon_sym_COLON_COLON] = ACTIONS(2230),
    [anon_sym_LBRACE] = ACTIONS(2226),
    [anon_sym_LBRACK] = ACTIONS(4213),
    [anon_sym_EQ] = ACTIONS(6429),
    [anon_sym_QMARK] = ACTIONS(4213),
    [anon_sym_STAR_EQ] = ACTIONS(6431),
    [anon_sym_SLASH_EQ] = ACTIONS(6431),
    [anon_sym_PERCENT_EQ] = ACTIONS(6431),
    [anon_sym_PLUS_EQ] = ACTIONS(6431),
    [anon_sym_DASH_EQ] = ACTIONS(6431),
    [anon_sym_LT_LT_EQ] = ACTIONS(6431),
    [anon_sym_GT_GT_EQ] = ACTIONS(6431),
    [anon_sym_AMP_EQ] = ACTIONS(6431),
    [anon_sym_CARET_EQ] = ACTIONS(6431),
    [anon_sym_PIPE_EQ] = ACTIONS(6431),
    [anon_sym_and_eq] = ACTIONS(6429),
    [anon_sym_or_eq] = ACTIONS(6429),
    [anon_sym_xor_eq] = ACTIONS(6429),
    [anon_sym_LT_EQ_GT] = ACTIONS(4213),
    [anon_sym_or] = ACTIONS(4221),
    [anon_sym_and] = ACTIONS(4221),
    [anon_sym_bitor] = ACTIONS(4221),
    [anon_sym_xor] = ACTIONS(4221),
    [anon_sym_bitand] = ACTIONS(4221),
    [anon_sym_not_eq] = ACTIONS(4221),
    [anon_sym_DASH_DASH] = ACTIONS(4213),
    [anon_sym_PLUS_PLUS] = ACTIONS(4213),
    [anon_sym_DOT] = ACTIONS(4221),
    [anon_sym_DOT_STAR] = ACTIONS(4213),
    [anon_sym_DASH_GT] = ACTIONS(4213),
    [anon_sym_L_DQUOTE] = ACTIONS(4247),
    [anon_sym_u_DQUOTE] = ACTIONS(4247),
    [anon_sym_U_DQUOTE] = ACTIONS(4247),
    [anon_sym_u8_DQUOTE] = ACTIONS(4247),
    [anon_sym_DQUOTE] = ACTIONS(4247),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(4249),
    [anon_sym_LR_DQUOTE] = ACTIONS(4249),
    [anon_sym_uR_DQUOTE] = ACTIONS(4249),
    [anon_sym_UR_DQUOTE] = ACTIONS(4249),
    [anon_sym_u8R_DQUOTE] = ACTIONS(4249),
  },
  [3195] = {
    [sym_identifier] = ACTIONS(2216),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2218),
    [anon_sym_COMMA] = ACTIONS(2218),
    [anon_sym_RPAREN] = ACTIONS(2218),
    [anon_sym_LPAREN2] = ACTIONS(2218),
    [anon_sym_TILDE] = ACTIONS(2218),
    [anon_sym_STAR] = ACTIONS(2218),
    [anon_sym_AMP_AMP] = ACTIONS(2218),
    [anon_sym_AMP] = ACTIONS(2216),
    [anon_sym_COLON] = ACTIONS(2216),
    [anon_sym___extension__] = ACTIONS(2216),
    [anon_sym_in] = ACTIONS(2216),
    [anon_sym_out] = ACTIONS(2216),
    [anon_sym_inout] = ACTIONS(2216),
    [anon_sym_extern] = ACTIONS(2216),
    [anon_sym___attribute__] = ACTIONS(2216),
    [anon_sym_COLON_COLON] = ACTIONS(2218),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2218),
    [anon_sym___declspec] = ACTIONS(2216),
    [anon_sym___based] = ACTIONS(2216),
    [anon_sym_LBRACE] = ACTIONS(2218),
    [anon_sym_LBRACK] = ACTIONS(2216),
    [anon_sym_EQ] = ACTIONS(2218),
    [anon_sym_static] = ACTIONS(2216),
    [anon_sym_register] = ACTIONS(2216),
    [anon_sym_inline] = ACTIONS(2216),
    [anon_sym___inline] = ACTIONS(2216),
    [anon_sym___inline__] = ACTIONS(2216),
    [anon_sym___forceinline] = ACTIONS(2216),
    [anon_sym_thread_local] = ACTIONS(2216),
    [anon_sym___thread] = ACTIONS(2216),
    [anon_sym_const] = ACTIONS(2216),
    [anon_sym_constexpr] = ACTIONS(2216),
    [anon_sym_volatile] = ACTIONS(2216),
    [anon_sym_restrict] = ACTIONS(2216),
    [anon_sym___restrict__] = ACTIONS(2216),
    [anon_sym__Atomic] = ACTIONS(2216),
    [anon_sym__Noreturn] = ACTIONS(2216),
    [anon_sym_noreturn] = ACTIONS(2216),
    [anon_sym_mutable] = ACTIONS(2216),
    [anon_sym_constinit] = ACTIONS(2216),
    [anon_sym_consteval] = ACTIONS(2216),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2216),
    [anon_sym_decltype] = ACTIONS(2216),
    [anon_sym_final] = ACTIONS(2216),
    [anon_sym_override] = ACTIONS(2216),
    [anon_sym_virtual] = ACTIONS(2216),
    [anon_sym_alignas] = ACTIONS(2216),
    [anon_sym_template] = ACTIONS(2216),
    [anon_sym_GT2] = ACTIONS(2218),
    [anon_sym_operator] = ACTIONS(2216),
    [anon_sym_precise] = ACTIONS(2216),
    [anon_sym_shared] = ACTIONS(2216),
    [anon_sym_groupshared] = ACTIONS(2216),
    [anon_sym_uniform] = ACTIONS(2216),
    [anon_sym_row_major] = ACTIONS(2216),
    [anon_sym_column_major] = ACTIONS(2216),
    [anon_sym_globallycoherent] = ACTIONS(2216),
    [anon_sym_centroid] = ACTIONS(2216),
    [anon_sym_noperspective] = ACTIONS(2216),
    [anon_sym_nointerpolation] = ACTIONS(2216),
    [anon_sym_sample] = ACTIONS(2216),
    [anon_sym_linear] = ACTIONS(2216),
    [anon_sym_snorm] = ACTIONS(2216),
    [anon_sym_unorm] = ACTIONS(2216),
    [anon_sym_point] = ACTIONS(2216),
    [anon_sym_line] = ACTIONS(2216),
    [anon_sym_triangleadj] = ACTIONS(2216),
    [anon_sym_lineadj] = ACTIONS(2216),
    [anon_sym_triangle] = ACTIONS(2216),
  },
  [3196] = {
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2188),
    [anon_sym_COMMA] = ACTIONS(2188),
    [anon_sym_LPAREN2] = ACTIONS(2188),
    [anon_sym_DASH] = ACTIONS(2186),
    [anon_sym_PLUS] = ACTIONS(2186),
    [anon_sym_STAR] = ACTIONS(2186),
    [anon_sym_SLASH] = ACTIONS(2186),
    [anon_sym_PERCENT] = ACTIONS(2186),
    [anon_sym_PIPE_PIPE] = ACTIONS(2188),
    [anon_sym_AMP_AMP] = ACTIONS(2188),
    [anon_sym_PIPE] = ACTIONS(2186),
    [anon_sym_CARET] = ACTIONS(2186),
    [anon_sym_AMP] = ACTIONS(2186),
    [anon_sym_EQ_EQ] = ACTIONS(2188),
    [anon_sym_BANG_EQ] = ACTIONS(2188),
    [anon_sym_GT] = ACTIONS(2186),
    [anon_sym_GT_EQ] = ACTIONS(2186),
    [anon_sym_LT_EQ] = ACTIONS(2186),
    [anon_sym_LT] = ACTIONS(2186),
    [anon_sym_LT_LT] = ACTIONS(2186),
    [anon_sym_GT_GT] = ACTIONS(2186),
    [anon_sym_COLON] = ACTIONS(2186),
    [anon_sym___extension__] = ACTIONS(2188),
    [anon_sym___attribute__] = ACTIONS(2188),
    [anon_sym_COLON_COLON] = ACTIONS(2188),
    [anon_sym_LBRACE] = ACTIONS(2188),
    [anon_sym_LBRACK] = ACTIONS(2188),
    [anon_sym_EQ] = ACTIONS(2186),
    [anon_sym_const] = ACTIONS(2186),
    [anon_sym_constexpr] = ACTIONS(2188),
    [anon_sym_volatile] = ACTIONS(2188),
    [anon_sym_restrict] = ACTIONS(2188),
    [anon_sym___restrict__] = ACTIONS(2188),
    [anon_sym__Atomic] = ACTIONS(2188),
    [anon_sym__Noreturn] = ACTIONS(2188),
    [anon_sym_noreturn] = ACTIONS(2188),
    [anon_sym_mutable] = ACTIONS(2188),
    [anon_sym_constinit] = ACTIONS(2188),
    [anon_sym_consteval] = ACTIONS(2188),
    [anon_sym_QMARK] = ACTIONS(2188),
    [anon_sym_STAR_EQ] = ACTIONS(2188),
    [anon_sym_SLASH_EQ] = ACTIONS(2188),
    [anon_sym_PERCENT_EQ] = ACTIONS(2188),
    [anon_sym_PLUS_EQ] = ACTIONS(2188),
    [anon_sym_DASH_EQ] = ACTIONS(2188),
    [anon_sym_LT_LT_EQ] = ACTIONS(2188),
    [anon_sym_GT_GT_EQ] = ACTIONS(2186),
    [anon_sym_AMP_EQ] = ACTIONS(2188),
    [anon_sym_CARET_EQ] = ACTIONS(2188),
    [anon_sym_PIPE_EQ] = ACTIONS(2188),
    [anon_sym_and_eq] = ACTIONS(2188),
    [anon_sym_or_eq] = ACTIONS(2188),
    [anon_sym_xor_eq] = ACTIONS(2188),
    [anon_sym_LT_EQ_GT] = ACTIONS(2188),
    [anon_sym_or] = ACTIONS(2186),
    [anon_sym_and] = ACTIONS(2186),
    [anon_sym_bitor] = ACTIONS(2188),
    [anon_sym_xor] = ACTIONS(2186),
    [anon_sym_bitand] = ACTIONS(2188),
    [anon_sym_not_eq] = ACTIONS(2188),
    [anon_sym_DASH_DASH] = ACTIONS(2188),
    [anon_sym_PLUS_PLUS] = ACTIONS(2188),
    [anon_sym_DOT] = ACTIONS(2186),
    [anon_sym_DOT_STAR] = ACTIONS(2188),
    [anon_sym_DASH_GT] = ACTIONS(2188),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2188),
    [anon_sym_decltype] = ACTIONS(2188),
    [anon_sym_final] = ACTIONS(2188),
    [anon_sym_override] = ACTIONS(2188),
    [anon_sym_GT2] = ACTIONS(2188),
  },
  [3197] = {
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2180),
    [anon_sym_COMMA] = ACTIONS(2180),
    [anon_sym_LPAREN2] = ACTIONS(2180),
    [anon_sym_DASH] = ACTIONS(2178),
    [anon_sym_PLUS] = ACTIONS(2178),
    [anon_sym_STAR] = ACTIONS(2178),
    [anon_sym_SLASH] = ACTIONS(2178),
    [anon_sym_PERCENT] = ACTIONS(2178),
    [anon_sym_PIPE_PIPE] = ACTIONS(2180),
    [anon_sym_AMP_AMP] = ACTIONS(2180),
    [anon_sym_PIPE] = ACTIONS(2178),
    [anon_sym_CARET] = ACTIONS(2178),
    [anon_sym_AMP] = ACTIONS(2178),
    [anon_sym_EQ_EQ] = ACTIONS(2180),
    [anon_sym_BANG_EQ] = ACTIONS(2180),
    [anon_sym_GT] = ACTIONS(2178),
    [anon_sym_GT_EQ] = ACTIONS(2178),
    [anon_sym_LT_EQ] = ACTIONS(2178),
    [anon_sym_LT] = ACTIONS(2178),
    [anon_sym_LT_LT] = ACTIONS(2178),
    [anon_sym_GT_GT] = ACTIONS(2178),
    [anon_sym_COLON] = ACTIONS(2178),
    [anon_sym___extension__] = ACTIONS(2180),
    [anon_sym___attribute__] = ACTIONS(2180),
    [anon_sym_COLON_COLON] = ACTIONS(2180),
    [anon_sym_LBRACE] = ACTIONS(2180),
    [anon_sym_LBRACK] = ACTIONS(2180),
    [anon_sym_EQ] = ACTIONS(2178),
    [anon_sym_const] = ACTIONS(2178),
    [anon_sym_constexpr] = ACTIONS(2180),
    [anon_sym_volatile] = ACTIONS(2180),
    [anon_sym_restrict] = ACTIONS(2180),
    [anon_sym___restrict__] = ACTIONS(2180),
    [anon_sym__Atomic] = ACTIONS(2180),
    [anon_sym__Noreturn] = ACTIONS(2180),
    [anon_sym_noreturn] = ACTIONS(2180),
    [anon_sym_mutable] = ACTIONS(2180),
    [anon_sym_constinit] = ACTIONS(2180),
    [anon_sym_consteval] = ACTIONS(2180),
    [anon_sym_QMARK] = ACTIONS(2180),
    [anon_sym_STAR_EQ] = ACTIONS(2180),
    [anon_sym_SLASH_EQ] = ACTIONS(2180),
    [anon_sym_PERCENT_EQ] = ACTIONS(2180),
    [anon_sym_PLUS_EQ] = ACTIONS(2180),
    [anon_sym_DASH_EQ] = ACTIONS(2180),
    [anon_sym_LT_LT_EQ] = ACTIONS(2180),
    [anon_sym_GT_GT_EQ] = ACTIONS(2178),
    [anon_sym_AMP_EQ] = ACTIONS(2180),
    [anon_sym_CARET_EQ] = ACTIONS(2180),
    [anon_sym_PIPE_EQ] = ACTIONS(2180),
    [anon_sym_and_eq] = ACTIONS(2180),
    [anon_sym_or_eq] = ACTIONS(2180),
    [anon_sym_xor_eq] = ACTIONS(2180),
    [anon_sym_LT_EQ_GT] = ACTIONS(2180),
    [anon_sym_or] = ACTIONS(2178),
    [anon_sym_and] = ACTIONS(2178),
    [anon_sym_bitor] = ACTIONS(2180),
    [anon_sym_xor] = ACTIONS(2178),
    [anon_sym_bitand] = ACTIONS(2180),
    [anon_sym_not_eq] = ACTIONS(2180),
    [anon_sym_DASH_DASH] = ACTIONS(2180),
    [anon_sym_PLUS_PLUS] = ACTIONS(2180),
    [anon_sym_DOT] = ACTIONS(2178),
    [anon_sym_DOT_STAR] = ACTIONS(2180),
    [anon_sym_DASH_GT] = ACTIONS(2180),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2180),
    [anon_sym_decltype] = ACTIONS(2180),
    [anon_sym_final] = ACTIONS(2180),
    [anon_sym_override] = ACTIONS(2180),
    [anon_sym_GT2] = ACTIONS(2180),
  },
  [3198] = {
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2202),
    [anon_sym_COMMA] = ACTIONS(2202),
    [anon_sym_LPAREN2] = ACTIONS(2202),
    [anon_sym_DASH] = ACTIONS(2200),
    [anon_sym_PLUS] = ACTIONS(2200),
    [anon_sym_STAR] = ACTIONS(2200),
    [anon_sym_SLASH] = ACTIONS(2200),
    [anon_sym_PERCENT] = ACTIONS(2200),
    [anon_sym_PIPE_PIPE] = ACTIONS(2202),
    [anon_sym_AMP_AMP] = ACTIONS(2202),
    [anon_sym_PIPE] = ACTIONS(2200),
    [anon_sym_CARET] = ACTIONS(2200),
    [anon_sym_AMP] = ACTIONS(2200),
    [anon_sym_EQ_EQ] = ACTIONS(2202),
    [anon_sym_BANG_EQ] = ACTIONS(2202),
    [anon_sym_GT] = ACTIONS(2200),
    [anon_sym_GT_EQ] = ACTIONS(2200),
    [anon_sym_LT_EQ] = ACTIONS(2200),
    [anon_sym_LT] = ACTIONS(2200),
    [anon_sym_LT_LT] = ACTIONS(2200),
    [anon_sym_GT_GT] = ACTIONS(2200),
    [anon_sym_COLON] = ACTIONS(2200),
    [anon_sym___extension__] = ACTIONS(2202),
    [anon_sym___attribute__] = ACTIONS(2202),
    [anon_sym_COLON_COLON] = ACTIONS(2202),
    [anon_sym_LBRACE] = ACTIONS(2202),
    [anon_sym_LBRACK] = ACTIONS(2202),
    [anon_sym_EQ] = ACTIONS(2200),
    [anon_sym_const] = ACTIONS(2200),
    [anon_sym_constexpr] = ACTIONS(2202),
    [anon_sym_volatile] = ACTIONS(2202),
    [anon_sym_restrict] = ACTIONS(2202),
    [anon_sym___restrict__] = ACTIONS(2202),
    [anon_sym__Atomic] = ACTIONS(2202),
    [anon_sym__Noreturn] = ACTIONS(2202),
    [anon_sym_noreturn] = ACTIONS(2202),
    [anon_sym_mutable] = ACTIONS(2202),
    [anon_sym_constinit] = ACTIONS(2202),
    [anon_sym_consteval] = ACTIONS(2202),
    [anon_sym_QMARK] = ACTIONS(2202),
    [anon_sym_STAR_EQ] = ACTIONS(2202),
    [anon_sym_SLASH_EQ] = ACTIONS(2202),
    [anon_sym_PERCENT_EQ] = ACTIONS(2202),
    [anon_sym_PLUS_EQ] = ACTIONS(2202),
    [anon_sym_DASH_EQ] = ACTIONS(2202),
    [anon_sym_LT_LT_EQ] = ACTIONS(2202),
    [anon_sym_GT_GT_EQ] = ACTIONS(2200),
    [anon_sym_AMP_EQ] = ACTIONS(2202),
    [anon_sym_CARET_EQ] = ACTIONS(2202),
    [anon_sym_PIPE_EQ] = ACTIONS(2202),
    [anon_sym_and_eq] = ACTIONS(2202),
    [anon_sym_or_eq] = ACTIONS(2202),
    [anon_sym_xor_eq] = ACTIONS(2202),
    [anon_sym_LT_EQ_GT] = ACTIONS(2202),
    [anon_sym_or] = ACTIONS(2200),
    [anon_sym_and] = ACTIONS(2200),
    [anon_sym_bitor] = ACTIONS(2202),
    [anon_sym_xor] = ACTIONS(2200),
    [anon_sym_bitand] = ACTIONS(2202),
    [anon_sym_not_eq] = ACTIONS(2202),
    [anon_sym_DASH_DASH] = ACTIONS(2202),
    [anon_sym_PLUS_PLUS] = ACTIONS(2202),
    [anon_sym_DOT] = ACTIONS(2200),
    [anon_sym_DOT_STAR] = ACTIONS(2202),
    [anon_sym_DASH_GT] = ACTIONS(2202),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2202),
    [anon_sym_decltype] = ACTIONS(2202),
    [anon_sym_final] = ACTIONS(2202),
    [anon_sym_override] = ACTIONS(2202),
    [anon_sym_GT2] = ACTIONS(2202),
  },
  [3199] = {
    [sym_identifier] = ACTIONS(2182),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2184),
    [anon_sym_COMMA] = ACTIONS(2184),
    [anon_sym_RPAREN] = ACTIONS(2184),
    [anon_sym_LPAREN2] = ACTIONS(2184),
    [anon_sym_TILDE] = ACTIONS(2184),
    [anon_sym_STAR] = ACTIONS(2184),
    [anon_sym_AMP_AMP] = ACTIONS(2184),
    [anon_sym_AMP] = ACTIONS(2182),
    [anon_sym_COLON] = ACTIONS(2182),
    [anon_sym___extension__] = ACTIONS(2182),
    [anon_sym_in] = ACTIONS(2182),
    [anon_sym_out] = ACTIONS(2182),
    [anon_sym_inout] = ACTIONS(2182),
    [anon_sym_extern] = ACTIONS(2182),
    [anon_sym___attribute__] = ACTIONS(2182),
    [anon_sym_COLON_COLON] = ACTIONS(2184),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2184),
    [anon_sym___declspec] = ACTIONS(2182),
    [anon_sym___based] = ACTIONS(2182),
    [anon_sym_LBRACE] = ACTIONS(2184),
    [anon_sym_LBRACK] = ACTIONS(2182),
    [anon_sym_EQ] = ACTIONS(2184),
    [anon_sym_static] = ACTIONS(2182),
    [anon_sym_register] = ACTIONS(2182),
    [anon_sym_inline] = ACTIONS(2182),
    [anon_sym___inline] = ACTIONS(2182),
    [anon_sym___inline__] = ACTIONS(2182),
    [anon_sym___forceinline] = ACTIONS(2182),
    [anon_sym_thread_local] = ACTIONS(2182),
    [anon_sym___thread] = ACTIONS(2182),
    [anon_sym_const] = ACTIONS(2182),
    [anon_sym_constexpr] = ACTIONS(2182),
    [anon_sym_volatile] = ACTIONS(2182),
    [anon_sym_restrict] = ACTIONS(2182),
    [anon_sym___restrict__] = ACTIONS(2182),
    [anon_sym__Atomic] = ACTIONS(2182),
    [anon_sym__Noreturn] = ACTIONS(2182),
    [anon_sym_noreturn] = ACTIONS(2182),
    [anon_sym_mutable] = ACTIONS(2182),
    [anon_sym_constinit] = ACTIONS(2182),
    [anon_sym_consteval] = ACTIONS(2182),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2182),
    [anon_sym_decltype] = ACTIONS(2182),
    [anon_sym_final] = ACTIONS(2182),
    [anon_sym_override] = ACTIONS(2182),
    [anon_sym_virtual] = ACTIONS(2182),
    [anon_sym_alignas] = ACTIONS(2182),
    [anon_sym_template] = ACTIONS(2182),
    [anon_sym_GT2] = ACTIONS(2184),
    [anon_sym_operator] = ACTIONS(2182),
    [anon_sym_precise] = ACTIONS(2182),
    [anon_sym_shared] = ACTIONS(2182),
    [anon_sym_groupshared] = ACTIONS(2182),
    [anon_sym_uniform] = ACTIONS(2182),
    [anon_sym_row_major] = ACTIONS(2182),
    [anon_sym_column_major] = ACTIONS(2182),
    [anon_sym_globallycoherent] = ACTIONS(2182),
    [anon_sym_centroid] = ACTIONS(2182),
    [anon_sym_noperspective] = ACTIONS(2182),
    [anon_sym_nointerpolation] = ACTIONS(2182),
    [anon_sym_sample] = ACTIONS(2182),
    [anon_sym_linear] = ACTIONS(2182),
    [anon_sym_snorm] = ACTIONS(2182),
    [anon_sym_unorm] = ACTIONS(2182),
    [anon_sym_point] = ACTIONS(2182),
    [anon_sym_line] = ACTIONS(2182),
    [anon_sym_triangleadj] = ACTIONS(2182),
    [anon_sym_lineadj] = ACTIONS(2182),
    [anon_sym_triangle] = ACTIONS(2182),
  },
  [3200] = {
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2218),
    [anon_sym_COMMA] = ACTIONS(2218),
    [anon_sym_LPAREN2] = ACTIONS(2218),
    [anon_sym_DASH] = ACTIONS(2216),
    [anon_sym_PLUS] = ACTIONS(2216),
    [anon_sym_STAR] = ACTIONS(2216),
    [anon_sym_SLASH] = ACTIONS(2216),
    [anon_sym_PERCENT] = ACTIONS(2216),
    [anon_sym_PIPE_PIPE] = ACTIONS(2218),
    [anon_sym_AMP_AMP] = ACTIONS(2218),
    [anon_sym_PIPE] = ACTIONS(2216),
    [anon_sym_CARET] = ACTIONS(2216),
    [anon_sym_AMP] = ACTIONS(2216),
    [anon_sym_EQ_EQ] = ACTIONS(2218),
    [anon_sym_BANG_EQ] = ACTIONS(2218),
    [anon_sym_GT] = ACTIONS(2216),
    [anon_sym_GT_EQ] = ACTIONS(2216),
    [anon_sym_LT_EQ] = ACTIONS(2216),
    [anon_sym_LT] = ACTIONS(2216),
    [anon_sym_LT_LT] = ACTIONS(2216),
    [anon_sym_GT_GT] = ACTIONS(2216),
    [anon_sym_COLON] = ACTIONS(2216),
    [anon_sym___extension__] = ACTIONS(2218),
    [anon_sym___attribute__] = ACTIONS(2218),
    [anon_sym_COLON_COLON] = ACTIONS(2218),
    [anon_sym_LBRACE] = ACTIONS(2218),
    [anon_sym_LBRACK] = ACTIONS(2218),
    [anon_sym_EQ] = ACTIONS(2216),
    [anon_sym_const] = ACTIONS(2216),
    [anon_sym_constexpr] = ACTIONS(2218),
    [anon_sym_volatile] = ACTIONS(2218),
    [anon_sym_restrict] = ACTIONS(2218),
    [anon_sym___restrict__] = ACTIONS(2218),
    [anon_sym__Atomic] = ACTIONS(2218),
    [anon_sym__Noreturn] = ACTIONS(2218),
    [anon_sym_noreturn] = ACTIONS(2218),
    [anon_sym_mutable] = ACTIONS(2218),
    [anon_sym_constinit] = ACTIONS(2218),
    [anon_sym_consteval] = ACTIONS(2218),
    [anon_sym_QMARK] = ACTIONS(2218),
    [anon_sym_STAR_EQ] = ACTIONS(2218),
    [anon_sym_SLASH_EQ] = ACTIONS(2218),
    [anon_sym_PERCENT_EQ] = ACTIONS(2218),
    [anon_sym_PLUS_EQ] = ACTIONS(2218),
    [anon_sym_DASH_EQ] = ACTIONS(2218),
    [anon_sym_LT_LT_EQ] = ACTIONS(2218),
    [anon_sym_GT_GT_EQ] = ACTIONS(2216),
    [anon_sym_AMP_EQ] = ACTIONS(2218),
    [anon_sym_CARET_EQ] = ACTIONS(2218),
    [anon_sym_PIPE_EQ] = ACTIONS(2218),
    [anon_sym_and_eq] = ACTIONS(2218),
    [anon_sym_or_eq] = ACTIONS(2218),
    [anon_sym_xor_eq] = ACTIONS(2218),
    [anon_sym_LT_EQ_GT] = ACTIONS(2218),
    [anon_sym_or] = ACTIONS(2216),
    [anon_sym_and] = ACTIONS(2216),
    [anon_sym_bitor] = ACTIONS(2218),
    [anon_sym_xor] = ACTIONS(2216),
    [anon_sym_bitand] = ACTIONS(2218),
    [anon_sym_not_eq] = ACTIONS(2218),
    [anon_sym_DASH_DASH] = ACTIONS(2218),
    [anon_sym_PLUS_PLUS] = ACTIONS(2218),
    [anon_sym_DOT] = ACTIONS(2216),
    [anon_sym_DOT_STAR] = ACTIONS(2218),
    [anon_sym_DASH_GT] = ACTIONS(2218),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2218),
    [anon_sym_decltype] = ACTIONS(2218),
    [anon_sym_final] = ACTIONS(2218),
    [anon_sym_override] = ACTIONS(2218),
    [anon_sym_GT2] = ACTIONS(2218),
  },
  [3201] = {
    [sym_identifier] = ACTIONS(2200),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2202),
    [anon_sym_COMMA] = ACTIONS(2202),
    [anon_sym_RPAREN] = ACTIONS(2202),
    [anon_sym_LPAREN2] = ACTIONS(2202),
    [anon_sym_TILDE] = ACTIONS(2202),
    [anon_sym_STAR] = ACTIONS(2202),
    [anon_sym_AMP_AMP] = ACTIONS(2202),
    [anon_sym_AMP] = ACTIONS(2200),
    [anon_sym_COLON] = ACTIONS(2200),
    [anon_sym___extension__] = ACTIONS(2200),
    [anon_sym_in] = ACTIONS(2200),
    [anon_sym_out] = ACTIONS(2200),
    [anon_sym_inout] = ACTIONS(2200),
    [anon_sym_extern] = ACTIONS(2200),
    [anon_sym___attribute__] = ACTIONS(2200),
    [anon_sym_COLON_COLON] = ACTIONS(2202),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2202),
    [anon_sym___declspec] = ACTIONS(2200),
    [anon_sym___based] = ACTIONS(2200),
    [anon_sym_LBRACE] = ACTIONS(2202),
    [anon_sym_LBRACK] = ACTIONS(2200),
    [anon_sym_EQ] = ACTIONS(2202),
    [anon_sym_static] = ACTIONS(2200),
    [anon_sym_register] = ACTIONS(2200),
    [anon_sym_inline] = ACTIONS(2200),
    [anon_sym___inline] = ACTIONS(2200),
    [anon_sym___inline__] = ACTIONS(2200),
    [anon_sym___forceinline] = ACTIONS(2200),
    [anon_sym_thread_local] = ACTIONS(2200),
    [anon_sym___thread] = ACTIONS(2200),
    [anon_sym_const] = ACTIONS(2200),
    [anon_sym_constexpr] = ACTIONS(2200),
    [anon_sym_volatile] = ACTIONS(2200),
    [anon_sym_restrict] = ACTIONS(2200),
    [anon_sym___restrict__] = ACTIONS(2200),
    [anon_sym__Atomic] = ACTIONS(2200),
    [anon_sym__Noreturn] = ACTIONS(2200),
    [anon_sym_noreturn] = ACTIONS(2200),
    [anon_sym_mutable] = ACTIONS(2200),
    [anon_sym_constinit] = ACTIONS(2200),
    [anon_sym_consteval] = ACTIONS(2200),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2200),
    [anon_sym_decltype] = ACTIONS(2200),
    [anon_sym_final] = ACTIONS(2200),
    [anon_sym_override] = ACTIONS(2200),
    [anon_sym_virtual] = ACTIONS(2200),
    [anon_sym_alignas] = ACTIONS(2200),
    [anon_sym_template] = ACTIONS(2200),
    [anon_sym_GT2] = ACTIONS(2202),
    [anon_sym_operator] = ACTIONS(2200),
    [anon_sym_precise] = ACTIONS(2200),
    [anon_sym_shared] = ACTIONS(2200),
    [anon_sym_groupshared] = ACTIONS(2200),
    [anon_sym_uniform] = ACTIONS(2200),
    [anon_sym_row_major] = ACTIONS(2200),
    [anon_sym_column_major] = ACTIONS(2200),
    [anon_sym_globallycoherent] = ACTIONS(2200),
    [anon_sym_centroid] = ACTIONS(2200),
    [anon_sym_noperspective] = ACTIONS(2200),
    [anon_sym_nointerpolation] = ACTIONS(2200),
    [anon_sym_sample] = ACTIONS(2200),
    [anon_sym_linear] = ACTIONS(2200),
    [anon_sym_snorm] = ACTIONS(2200),
    [anon_sym_unorm] = ACTIONS(2200),
    [anon_sym_point] = ACTIONS(2200),
    [anon_sym_line] = ACTIONS(2200),
    [anon_sym_triangleadj] = ACTIONS(2200),
    [anon_sym_lineadj] = ACTIONS(2200),
    [anon_sym_triangle] = ACTIONS(2200),
  },
  [3202] = {
    [sym_identifier] = ACTIONS(2178),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2180),
    [anon_sym_COMMA] = ACTIONS(2180),
    [anon_sym_RPAREN] = ACTIONS(2180),
    [anon_sym_LPAREN2] = ACTIONS(2180),
    [anon_sym_TILDE] = ACTIONS(2180),
    [anon_sym_STAR] = ACTIONS(2180),
    [anon_sym_AMP_AMP] = ACTIONS(2180),
    [anon_sym_AMP] = ACTIONS(2178),
    [anon_sym_COLON] = ACTIONS(2178),
    [anon_sym___extension__] = ACTIONS(2178),
    [anon_sym_in] = ACTIONS(2178),
    [anon_sym_out] = ACTIONS(2178),
    [anon_sym_inout] = ACTIONS(2178),
    [anon_sym_extern] = ACTIONS(2178),
    [anon_sym___attribute__] = ACTIONS(2178),
    [anon_sym_COLON_COLON] = ACTIONS(2180),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2180),
    [anon_sym___declspec] = ACTIONS(2178),
    [anon_sym___based] = ACTIONS(2178),
    [anon_sym_LBRACE] = ACTIONS(2180),
    [anon_sym_LBRACK] = ACTIONS(2178),
    [anon_sym_EQ] = ACTIONS(2180),
    [anon_sym_static] = ACTIONS(2178),
    [anon_sym_register] = ACTIONS(2178),
    [anon_sym_inline] = ACTIONS(2178),
    [anon_sym___inline] = ACTIONS(2178),
    [anon_sym___inline__] = ACTIONS(2178),
    [anon_sym___forceinline] = ACTIONS(2178),
    [anon_sym_thread_local] = ACTIONS(2178),
    [anon_sym___thread] = ACTIONS(2178),
    [anon_sym_const] = ACTIONS(2178),
    [anon_sym_constexpr] = ACTIONS(2178),
    [anon_sym_volatile] = ACTIONS(2178),
    [anon_sym_restrict] = ACTIONS(2178),
    [anon_sym___restrict__] = ACTIONS(2178),
    [anon_sym__Atomic] = ACTIONS(2178),
    [anon_sym__Noreturn] = ACTIONS(2178),
    [anon_sym_noreturn] = ACTIONS(2178),
    [anon_sym_mutable] = ACTIONS(2178),
    [anon_sym_constinit] = ACTIONS(2178),
    [anon_sym_consteval] = ACTIONS(2178),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2178),
    [anon_sym_decltype] = ACTIONS(2178),
    [anon_sym_final] = ACTIONS(2178),
    [anon_sym_override] = ACTIONS(2178),
    [anon_sym_virtual] = ACTIONS(2178),
    [anon_sym_alignas] = ACTIONS(2178),
    [anon_sym_template] = ACTIONS(2178),
    [anon_sym_GT2] = ACTIONS(2180),
    [anon_sym_operator] = ACTIONS(2178),
    [anon_sym_precise] = ACTIONS(2178),
    [anon_sym_shared] = ACTIONS(2178),
    [anon_sym_groupshared] = ACTIONS(2178),
    [anon_sym_uniform] = ACTIONS(2178),
    [anon_sym_row_major] = ACTIONS(2178),
    [anon_sym_column_major] = ACTIONS(2178),
    [anon_sym_globallycoherent] = ACTIONS(2178),
    [anon_sym_centroid] = ACTIONS(2178),
    [anon_sym_noperspective] = ACTIONS(2178),
    [anon_sym_nointerpolation] = ACTIONS(2178),
    [anon_sym_sample] = ACTIONS(2178),
    [anon_sym_linear] = ACTIONS(2178),
    [anon_sym_snorm] = ACTIONS(2178),
    [anon_sym_unorm] = ACTIONS(2178),
    [anon_sym_point] = ACTIONS(2178),
    [anon_sym_line] = ACTIONS(2178),
    [anon_sym_triangleadj] = ACTIONS(2178),
    [anon_sym_lineadj] = ACTIONS(2178),
    [anon_sym_triangle] = ACTIONS(2178),
  },
  [3203] = {
    [sym_identifier] = ACTIONS(2254),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2256),
    [anon_sym_COMMA] = ACTIONS(2256),
    [anon_sym_RPAREN] = ACTIONS(2256),
    [anon_sym_LPAREN2] = ACTIONS(2256),
    [anon_sym_DASH] = ACTIONS(2254),
    [anon_sym_PLUS] = ACTIONS(2254),
    [anon_sym_STAR] = ACTIONS(2256),
    [anon_sym_SLASH] = ACTIONS(2254),
    [anon_sym_PERCENT] = ACTIONS(2256),
    [anon_sym_PIPE_PIPE] = ACTIONS(2256),
    [anon_sym_AMP_AMP] = ACTIONS(2256),
    [anon_sym_PIPE] = ACTIONS(2254),
    [anon_sym_CARET] = ACTIONS(2256),
    [anon_sym_AMP] = ACTIONS(2254),
    [anon_sym_EQ_EQ] = ACTIONS(2256),
    [anon_sym_BANG_EQ] = ACTIONS(2256),
    [anon_sym_GT] = ACTIONS(2254),
    [anon_sym_GT_EQ] = ACTIONS(2256),
    [anon_sym_LT_EQ] = ACTIONS(2254),
    [anon_sym_LT] = ACTIONS(2254),
    [anon_sym_LT_LT] = ACTIONS(2256),
    [anon_sym_GT_GT] = ACTIONS(2256),
    [anon_sym_COLON] = ACTIONS(2254),
    [anon_sym_SEMI] = ACTIONS(2256),
    [anon_sym___extension__] = ACTIONS(2254),
    [anon_sym___attribute__] = ACTIONS(2254),
    [anon_sym_COLON_COLON] = ACTIONS(2256),
    [anon_sym___based] = ACTIONS(2254),
    [anon_sym_LBRACE] = ACTIONS(2256),
    [anon_sym_RBRACE] = ACTIONS(2256),
    [anon_sym_signed] = ACTIONS(2254),
    [anon_sym_unsigned] = ACTIONS(2254),
    [anon_sym_long] = ACTIONS(2254),
    [anon_sym_short] = ACTIONS(2254),
    [anon_sym_LBRACK] = ACTIONS(2256),
    [anon_sym_RBRACK] = ACTIONS(2256),
    [anon_sym_const] = ACTIONS(2254),
    [anon_sym_constexpr] = ACTIONS(2254),
    [anon_sym_volatile] = ACTIONS(2254),
    [anon_sym_restrict] = ACTIONS(2254),
    [anon_sym___restrict__] = ACTIONS(2254),
    [anon_sym__Atomic] = ACTIONS(2254),
    [anon_sym__Noreturn] = ACTIONS(2254),
    [anon_sym_noreturn] = ACTIONS(2254),
    [anon_sym_mutable] = ACTIONS(2254),
    [anon_sym_constinit] = ACTIONS(2254),
    [anon_sym_consteval] = ACTIONS(2254),
    [sym_primitive_type] = ACTIONS(2254),
    [anon_sym_else] = ACTIONS(2254),
    [anon_sym_while] = ACTIONS(2254),
    [anon_sym_QMARK] = ACTIONS(2256),
    [anon_sym_LT_EQ_GT] = ACTIONS(2256),
    [anon_sym_or] = ACTIONS(2254),
    [anon_sym_and] = ACTIONS(2254),
    [anon_sym_bitor] = ACTIONS(2254),
    [anon_sym_xor] = ACTIONS(2254),
    [anon_sym_bitand] = ACTIONS(2254),
    [anon_sym_not_eq] = ACTIONS(2254),
    [anon_sym_DASH_DASH] = ACTIONS(2256),
    [anon_sym_PLUS_PLUS] = ACTIONS(2256),
    [anon_sym_DOT] = ACTIONS(2254),
    [anon_sym_DOT_STAR] = ACTIONS(2256),
    [anon_sym_DASH_GT] = ACTIONS(2256),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2254),
    [anon_sym_decltype] = ACTIONS(2254),
    [anon_sym_final] = ACTIONS(2254),
    [anon_sym_override] = ACTIONS(2254),
    [anon_sym_requires] = ACTIONS(2254),
  },
  [3204] = {
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4573),
    [anon_sym_COMMA] = ACTIONS(4573),
    [anon_sym_RPAREN] = ACTIONS(4575),
    [anon_sym_LPAREN2] = ACTIONS(4575),
    [anon_sym_DASH] = ACTIONS(4578),
    [anon_sym_PLUS] = ACTIONS(4578),
    [anon_sym_STAR] = ACTIONS(4580),
    [anon_sym_SLASH] = ACTIONS(4578),
    [anon_sym_PERCENT] = ACTIONS(4578),
    [anon_sym_PIPE_PIPE] = ACTIONS(4573),
    [anon_sym_AMP_AMP] = ACTIONS(4575),
    [anon_sym_PIPE] = ACTIONS(4578),
    [anon_sym_CARET] = ACTIONS(4578),
    [anon_sym_AMP] = ACTIONS(4580),
    [anon_sym_EQ_EQ] = ACTIONS(4573),
    [anon_sym_BANG_EQ] = ACTIONS(4573),
    [anon_sym_GT] = ACTIONS(4578),
    [anon_sym_GT_EQ] = ACTIONS(4573),
    [anon_sym_LT_EQ] = ACTIONS(4578),
    [anon_sym_LT] = ACTIONS(4578),
    [anon_sym_LT_LT] = ACTIONS(4578),
    [anon_sym_GT_GT] = ACTIONS(4578),
    [anon_sym_SEMI] = ACTIONS(4573),
    [anon_sym___extension__] = ACTIONS(2256),
    [anon_sym_COLON_COLON] = ACTIONS(2256),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4573),
    [anon_sym_LBRACE] = ACTIONS(2256),
    [anon_sym_LBRACK] = ACTIONS(4580),
    [anon_sym_EQ] = ACTIONS(4578),
    [anon_sym_const] = ACTIONS(2254),
    [anon_sym_constexpr] = ACTIONS(2256),
    [anon_sym_volatile] = ACTIONS(2256),
    [anon_sym_restrict] = ACTIONS(2256),
    [anon_sym___restrict__] = ACTIONS(2256),
    [anon_sym__Atomic] = ACTIONS(2256),
    [anon_sym__Noreturn] = ACTIONS(2256),
    [anon_sym_noreturn] = ACTIONS(2256),
    [anon_sym_mutable] = ACTIONS(2256),
    [anon_sym_constinit] = ACTIONS(2256),
    [anon_sym_consteval] = ACTIONS(2256),
    [anon_sym_QMARK] = ACTIONS(4573),
    [anon_sym_STAR_EQ] = ACTIONS(4573),
    [anon_sym_SLASH_EQ] = ACTIONS(4573),
    [anon_sym_PERCENT_EQ] = ACTIONS(4573),
    [anon_sym_PLUS_EQ] = ACTIONS(4573),
    [anon_sym_DASH_EQ] = ACTIONS(4573),
    [anon_sym_LT_LT_EQ] = ACTIONS(4573),
    [anon_sym_GT_GT_EQ] = ACTIONS(4573),
    [anon_sym_AMP_EQ] = ACTIONS(4573),
    [anon_sym_CARET_EQ] = ACTIONS(4573),
    [anon_sym_PIPE_EQ] = ACTIONS(4573),
    [anon_sym_and_eq] = ACTIONS(4573),
    [anon_sym_or_eq] = ACTIONS(4573),
    [anon_sym_xor_eq] = ACTIONS(4573),
    [anon_sym_LT_EQ_GT] = ACTIONS(4573),
    [anon_sym_or] = ACTIONS(4578),
    [anon_sym_and] = ACTIONS(4578),
    [anon_sym_bitor] = ACTIONS(4573),
    [anon_sym_xor] = ACTIONS(4578),
    [anon_sym_bitand] = ACTIONS(4573),
    [anon_sym_not_eq] = ACTIONS(4573),
    [anon_sym_DASH_DASH] = ACTIONS(4573),
    [anon_sym_PLUS_PLUS] = ACTIONS(4573),
    [anon_sym_DOT] = ACTIONS(4578),
    [anon_sym_DOT_STAR] = ACTIONS(4573),
    [anon_sym_DASH_GT] = ACTIONS(4578),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2256),
    [anon_sym_decltype] = ACTIONS(2256),
    [anon_sym_DASH_GT_STAR] = ACTIONS(4573),
  },
  [3205] = {
    [sym_template_argument_list] = STATE(3204),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4546),
    [anon_sym_COMMA] = ACTIONS(4546),
    [anon_sym_RPAREN] = ACTIONS(4548),
    [anon_sym_LPAREN2] = ACTIONS(4548),
    [anon_sym_DASH] = ACTIONS(4551),
    [anon_sym_PLUS] = ACTIONS(4551),
    [anon_sym_STAR] = ACTIONS(4553),
    [anon_sym_SLASH] = ACTIONS(4551),
    [anon_sym_PERCENT] = ACTIONS(4551),
    [anon_sym_PIPE_PIPE] = ACTIONS(4546),
    [anon_sym_AMP_AMP] = ACTIONS(4548),
    [anon_sym_PIPE] = ACTIONS(4551),
    [anon_sym_CARET] = ACTIONS(4551),
    [anon_sym_AMP] = ACTIONS(4553),
    [anon_sym_EQ_EQ] = ACTIONS(4546),
    [anon_sym_BANG_EQ] = ACTIONS(4546),
    [anon_sym_GT] = ACTIONS(4551),
    [anon_sym_GT_EQ] = ACTIONS(4546),
    [anon_sym_LT_EQ] = ACTIONS(4551),
    [anon_sym_LT] = ACTIONS(4615),
    [anon_sym_LT_LT] = ACTIONS(4551),
    [anon_sym_GT_GT] = ACTIONS(4551),
    [anon_sym___extension__] = ACTIONS(2234),
    [anon_sym_COLON_COLON] = ACTIONS(2230),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4546),
    [anon_sym_LBRACE] = ACTIONS(2234),
    [anon_sym_LBRACK] = ACTIONS(4553),
    [anon_sym_EQ] = ACTIONS(4551),
    [anon_sym_const] = ACTIONS(2232),
    [anon_sym_constexpr] = ACTIONS(2234),
    [anon_sym_volatile] = ACTIONS(2234),
    [anon_sym_restrict] = ACTIONS(2234),
    [anon_sym___restrict__] = ACTIONS(2234),
    [anon_sym__Atomic] = ACTIONS(2234),
    [anon_sym__Noreturn] = ACTIONS(2234),
    [anon_sym_noreturn] = ACTIONS(2234),
    [anon_sym_mutable] = ACTIONS(2234),
    [anon_sym_constinit] = ACTIONS(2234),
    [anon_sym_consteval] = ACTIONS(2234),
    [anon_sym_QMARK] = ACTIONS(4546),
    [anon_sym_STAR_EQ] = ACTIONS(4546),
    [anon_sym_SLASH_EQ] = ACTIONS(4546),
    [anon_sym_PERCENT_EQ] = ACTIONS(4546),
    [anon_sym_PLUS_EQ] = ACTIONS(4546),
    [anon_sym_DASH_EQ] = ACTIONS(4546),
    [anon_sym_LT_LT_EQ] = ACTIONS(4546),
    [anon_sym_GT_GT_EQ] = ACTIONS(4546),
    [anon_sym_AMP_EQ] = ACTIONS(4546),
    [anon_sym_CARET_EQ] = ACTIONS(4546),
    [anon_sym_PIPE_EQ] = ACTIONS(4546),
    [anon_sym_and_eq] = ACTIONS(4546),
    [anon_sym_or_eq] = ACTIONS(4546),
    [anon_sym_xor_eq] = ACTIONS(4546),
    [anon_sym_LT_EQ_GT] = ACTIONS(4546),
    [anon_sym_or] = ACTIONS(4551),
    [anon_sym_and] = ACTIONS(4551),
    [anon_sym_bitor] = ACTIONS(4546),
    [anon_sym_xor] = ACTIONS(4551),
    [anon_sym_bitand] = ACTIONS(4546),
    [anon_sym_not_eq] = ACTIONS(4546),
    [anon_sym_DASH_DASH] = ACTIONS(4546),
    [anon_sym_PLUS_PLUS] = ACTIONS(4546),
    [anon_sym_DOT] = ACTIONS(4551),
    [anon_sym_DOT_STAR] = ACTIONS(4546),
    [anon_sym_DASH_GT] = ACTIONS(4551),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2234),
    [anon_sym_decltype] = ACTIONS(2234),
    [anon_sym_DASH_GT_STAR] = ACTIONS(4546),
  },
  [3206] = {
    [sym_template_argument_list] = STATE(3236),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3027),
    [sym_identifier] = ACTIONS(4211),
    [anon_sym_LPAREN2] = ACTIONS(4234),
    [anon_sym_TILDE] = ACTIONS(4219),
    [anon_sym_STAR] = ACTIONS(4219),
    [anon_sym_AMP_AMP] = ACTIONS(4219),
    [anon_sym_AMP] = ACTIONS(4211),
    [anon_sym_LT] = ACTIONS(5900),
    [anon_sym_SEMI] = ACTIONS(5792),
    [anon_sym___extension__] = ACTIONS(4211),
    [anon_sym_in] = ACTIONS(4211),
    [anon_sym_out] = ACTIONS(4211),
    [anon_sym_inout] = ACTIONS(4211),
    [anon_sym_extern] = ACTIONS(4211),
    [anon_sym___attribute__] = ACTIONS(4211),
    [anon_sym_COLON_COLON] = ACTIONS(2230),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4234),
    [anon_sym___declspec] = ACTIONS(4211),
    [anon_sym___based] = ACTIONS(4211),
    [anon_sym_signed] = ACTIONS(4237),
    [anon_sym_unsigned] = ACTIONS(4237),
    [anon_sym_long] = ACTIONS(4237),
    [anon_sym_short] = ACTIONS(4237),
    [anon_sym_LBRACK] = ACTIONS(6201),
    [anon_sym_static] = ACTIONS(4211),
    [anon_sym_register] = ACTIONS(4211),
    [anon_sym_inline] = ACTIONS(4211),
    [anon_sym___inline] = ACTIONS(4211),
    [anon_sym___inline__] = ACTIONS(4211),
    [anon_sym___forceinline] = ACTIONS(4211),
    [anon_sym_thread_local] = ACTIONS(4211),
    [anon_sym___thread] = ACTIONS(4211),
    [anon_sym_const] = ACTIONS(4211),
    [anon_sym_constexpr] = ACTIONS(4211),
    [anon_sym_volatile] = ACTIONS(4211),
    [anon_sym_restrict] = ACTIONS(4211),
    [anon_sym___restrict__] = ACTIONS(4211),
    [anon_sym__Atomic] = ACTIONS(4211),
    [anon_sym__Noreturn] = ACTIONS(4211),
    [anon_sym_noreturn] = ACTIONS(4211),
    [anon_sym_mutable] = ACTIONS(4211),
    [anon_sym_constinit] = ACTIONS(4211),
    [anon_sym_consteval] = ACTIONS(4211),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4211),
    [anon_sym_decltype] = ACTIONS(4211),
    [anon_sym_virtual] = ACTIONS(4211),
    [anon_sym_alignas] = ACTIONS(4211),
    [anon_sym_template] = ACTIONS(4211),
    [anon_sym_operator] = ACTIONS(4211),
    [anon_sym_precise] = ACTIONS(4211),
    [anon_sym_shared] = ACTIONS(4211),
    [anon_sym_groupshared] = ACTIONS(4211),
    [anon_sym_uniform] = ACTIONS(4211),
    [anon_sym_row_major] = ACTIONS(4211),
    [anon_sym_column_major] = ACTIONS(4211),
    [anon_sym_globallycoherent] = ACTIONS(4211),
    [anon_sym_centroid] = ACTIONS(4211),
    [anon_sym_noperspective] = ACTIONS(4211),
    [anon_sym_nointerpolation] = ACTIONS(4211),
    [anon_sym_sample] = ACTIONS(4211),
    [anon_sym_linear] = ACTIONS(4211),
    [anon_sym_snorm] = ACTIONS(4211),
    [anon_sym_unorm] = ACTIONS(4211),
    [anon_sym_point] = ACTIONS(4211),
    [anon_sym_line] = ACTIONS(4211),
    [anon_sym_triangleadj] = ACTIONS(4211),
    [anon_sym_lineadj] = ACTIONS(4211),
    [anon_sym_triangle] = ACTIONS(4211),
  },
  [3207] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(3003),
    [sym_identifier] = ACTIONS(5840),
    [anon_sym_COMMA] = ACTIONS(5943),
    [anon_sym_RPAREN] = ACTIONS(5943),
    [anon_sym_LPAREN2] = ACTIONS(5943),
    [anon_sym_STAR] = ACTIONS(5943),
    [anon_sym_AMP_AMP] = ACTIONS(5943),
    [anon_sym_AMP] = ACTIONS(5940),
    [anon_sym___extension__] = ACTIONS(5940),
    [anon_sym_in] = ACTIONS(5940),
    [anon_sym_out] = ACTIONS(5940),
    [anon_sym_inout] = ACTIONS(5940),
    [anon_sym_extern] = ACTIONS(5940),
    [anon_sym___attribute__] = ACTIONS(5940),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5943),
    [anon_sym___declspec] = ACTIONS(5940),
    [anon_sym_LBRACE] = ACTIONS(5943),
    [anon_sym_signed] = ACTIONS(5844),
    [anon_sym_unsigned] = ACTIONS(5844),
    [anon_sym_long] = ACTIONS(5844),
    [anon_sym_short] = ACTIONS(5844),
    [anon_sym_LBRACK] = ACTIONS(5940),
    [anon_sym_static] = ACTIONS(5940),
    [anon_sym_register] = ACTIONS(5940),
    [anon_sym_inline] = ACTIONS(5940),
    [anon_sym___inline] = ACTIONS(5940),
    [anon_sym___inline__] = ACTIONS(5940),
    [anon_sym___forceinline] = ACTIONS(5940),
    [anon_sym_thread_local] = ACTIONS(5940),
    [anon_sym___thread] = ACTIONS(5940),
    [anon_sym_const] = ACTIONS(5940),
    [anon_sym_constexpr] = ACTIONS(5940),
    [anon_sym_volatile] = ACTIONS(5940),
    [anon_sym_restrict] = ACTIONS(5940),
    [anon_sym___restrict__] = ACTIONS(5940),
    [anon_sym__Atomic] = ACTIONS(5940),
    [anon_sym__Noreturn] = ACTIONS(5940),
    [anon_sym_noreturn] = ACTIONS(5940),
    [anon_sym_mutable] = ACTIONS(5940),
    [anon_sym_constinit] = ACTIONS(5940),
    [anon_sym_consteval] = ACTIONS(5940),
    [sym_primitive_type] = ACTIONS(5840),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5940),
    [anon_sym_decltype] = ACTIONS(5940),
    [anon_sym_final] = ACTIONS(5940),
    [anon_sym_override] = ACTIONS(5940),
    [anon_sym_virtual] = ACTIONS(5940),
    [anon_sym_alignas] = ACTIONS(5940),
    [anon_sym_GT2] = ACTIONS(5943),
    [anon_sym_requires] = ACTIONS(5940),
    [anon_sym_precise] = ACTIONS(5940),
    [anon_sym_shared] = ACTIONS(5940),
    [anon_sym_groupshared] = ACTIONS(5940),
    [anon_sym_uniform] = ACTIONS(5940),
    [anon_sym_row_major] = ACTIONS(5940),
    [anon_sym_column_major] = ACTIONS(5940),
    [anon_sym_globallycoherent] = ACTIONS(5940),
    [anon_sym_centroid] = ACTIONS(5940),
    [anon_sym_noperspective] = ACTIONS(5940),
    [anon_sym_nointerpolation] = ACTIONS(5940),
    [anon_sym_sample] = ACTIONS(5940),
    [anon_sym_linear] = ACTIONS(5940),
    [anon_sym_snorm] = ACTIONS(5940),
    [anon_sym_unorm] = ACTIONS(5940),
    [anon_sym_point] = ACTIONS(5940),
    [anon_sym_line] = ACTIONS(5940),
    [anon_sym_triangleadj] = ACTIONS(5940),
    [anon_sym_lineadj] = ACTIONS(5940),
    [anon_sym_triangle] = ACTIONS(5940),
  },
  [3208] = {
    [sym_identifier] = ACTIONS(5974),
    [anon_sym___extension__] = ACTIONS(5974),
    [anon_sym_in] = ACTIONS(5974),
    [anon_sym_out] = ACTIONS(5974),
    [anon_sym_inout] = ACTIONS(5974),
    [anon_sym_extern] = ACTIONS(5974),
    [anon_sym___attribute__] = ACTIONS(5974),
    [anon_sym_COLON_COLON] = ACTIONS(5980),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5980),
    [anon_sym___declspec] = ACTIONS(5974),
    [anon_sym___cdecl] = ACTIONS(5974),
    [anon_sym___clrcall] = ACTIONS(5974),
    [anon_sym___stdcall] = ACTIONS(5974),
    [anon_sym___fastcall] = ACTIONS(5974),
    [anon_sym___thiscall] = ACTIONS(5974),
    [anon_sym___vectorcall] = ACTIONS(5974),
    [anon_sym_signed] = ACTIONS(5974),
    [anon_sym_unsigned] = ACTIONS(5974),
    [anon_sym_long] = ACTIONS(5974),
    [anon_sym_short] = ACTIONS(5974),
    [anon_sym_static] = ACTIONS(5974),
    [anon_sym_register] = ACTIONS(5974),
    [anon_sym_inline] = ACTIONS(5974),
    [anon_sym___inline] = ACTIONS(5974),
    [anon_sym___inline__] = ACTIONS(5974),
    [anon_sym___forceinline] = ACTIONS(5974),
    [anon_sym_thread_local] = ACTIONS(5974),
    [anon_sym___thread] = ACTIONS(5974),
    [anon_sym_const] = ACTIONS(5974),
    [anon_sym_constexpr] = ACTIONS(5974),
    [anon_sym_volatile] = ACTIONS(5974),
    [anon_sym_restrict] = ACTIONS(5974),
    [anon_sym___restrict__] = ACTIONS(5974),
    [anon_sym__Atomic] = ACTIONS(5974),
    [anon_sym__Noreturn] = ACTIONS(5974),
    [anon_sym_noreturn] = ACTIONS(5974),
    [anon_sym_mutable] = ACTIONS(5974),
    [anon_sym_constinit] = ACTIONS(5974),
    [anon_sym_consteval] = ACTIONS(5974),
    [sym_primitive_type] = ACTIONS(5974),
    [anon_sym_enum] = ACTIONS(5974),
    [anon_sym_class] = ACTIONS(5974),
    [anon_sym_struct] = ACTIONS(5974),
    [anon_sym_union] = ACTIONS(5974),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5974),
    [anon_sym_decltype] = ACTIONS(5974),
    [anon_sym_virtual] = ACTIONS(5974),
    [anon_sym_alignas] = ACTIONS(5974),
    [anon_sym_typename] = ACTIONS(5974),
    [anon_sym_template] = ACTIONS(5974),
    [anon_sym_precise] = ACTIONS(5974),
    [anon_sym_shared] = ACTIONS(5974),
    [anon_sym_groupshared] = ACTIONS(5974),
    [anon_sym_uniform] = ACTIONS(5974),
    [anon_sym_row_major] = ACTIONS(5974),
    [anon_sym_column_major] = ACTIONS(5974),
    [anon_sym_globallycoherent] = ACTIONS(5974),
    [anon_sym_centroid] = ACTIONS(5974),
    [anon_sym_noperspective] = ACTIONS(5974),
    [anon_sym_nointerpolation] = ACTIONS(5974),
    [anon_sym_sample] = ACTIONS(5974),
    [anon_sym_linear] = ACTIONS(5974),
    [anon_sym_snorm] = ACTIONS(5974),
    [anon_sym_unorm] = ACTIONS(5974),
    [anon_sym_point] = ACTIONS(5974),
    [anon_sym_line] = ACTIONS(5974),
    [anon_sym_triangleadj] = ACTIONS(5974),
    [anon_sym_lineadj] = ACTIONS(5974),
    [anon_sym_triangle] = ACTIONS(5974),
  },
  [3209] = {
    [sym_template_argument_list] = STATE(3246),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4546),
    [anon_sym_COMMA] = ACTIONS(4546),
    [anon_sym_RPAREN] = ACTIONS(4548),
    [anon_sym_LPAREN2] = ACTIONS(4548),
    [anon_sym_DASH] = ACTIONS(4551),
    [anon_sym_PLUS] = ACTIONS(4551),
    [anon_sym_STAR] = ACTIONS(4553),
    [anon_sym_SLASH] = ACTIONS(4551),
    [anon_sym_PERCENT] = ACTIONS(4551),
    [anon_sym_PIPE_PIPE] = ACTIONS(4546),
    [anon_sym_AMP_AMP] = ACTIONS(4548),
    [anon_sym_PIPE] = ACTIONS(4551),
    [anon_sym_CARET] = ACTIONS(4551),
    [anon_sym_AMP] = ACTIONS(4553),
    [anon_sym_EQ_EQ] = ACTIONS(4546),
    [anon_sym_BANG_EQ] = ACTIONS(4546),
    [anon_sym_GT] = ACTIONS(4551),
    [anon_sym_GT_EQ] = ACTIONS(4546),
    [anon_sym_LT_EQ] = ACTIONS(4551),
    [anon_sym_LT] = ACTIONS(6433),
    [anon_sym_LT_LT] = ACTIONS(4551),
    [anon_sym_GT_GT] = ACTIONS(4551),
    [anon_sym___extension__] = ACTIONS(2234),
    [anon_sym_COLON_COLON] = ACTIONS(2230),
    [anon_sym_LBRACE] = ACTIONS(2234),
    [anon_sym_LBRACK] = ACTIONS(4548),
    [anon_sym_EQ] = ACTIONS(4551),
    [anon_sym_const] = ACTIONS(2232),
    [anon_sym_constexpr] = ACTIONS(2234),
    [anon_sym_volatile] = ACTIONS(2234),
    [anon_sym_restrict] = ACTIONS(2234),
    [anon_sym___restrict__] = ACTIONS(2234),
    [anon_sym__Atomic] = ACTIONS(2234),
    [anon_sym__Noreturn] = ACTIONS(2234),
    [anon_sym_noreturn] = ACTIONS(2234),
    [anon_sym_mutable] = ACTIONS(2234),
    [anon_sym_constinit] = ACTIONS(2234),
    [anon_sym_consteval] = ACTIONS(2234),
    [anon_sym_QMARK] = ACTIONS(4546),
    [anon_sym_STAR_EQ] = ACTIONS(4546),
    [anon_sym_SLASH_EQ] = ACTIONS(4546),
    [anon_sym_PERCENT_EQ] = ACTIONS(4546),
    [anon_sym_PLUS_EQ] = ACTIONS(4546),
    [anon_sym_DASH_EQ] = ACTIONS(4546),
    [anon_sym_LT_LT_EQ] = ACTIONS(4546),
    [anon_sym_GT_GT_EQ] = ACTIONS(4546),
    [anon_sym_AMP_EQ] = ACTIONS(4546),
    [anon_sym_CARET_EQ] = ACTIONS(4546),
    [anon_sym_PIPE_EQ] = ACTIONS(4546),
    [anon_sym_and_eq] = ACTIONS(4546),
    [anon_sym_or_eq] = ACTIONS(4546),
    [anon_sym_xor_eq] = ACTIONS(4546),
    [anon_sym_LT_EQ_GT] = ACTIONS(4546),
    [anon_sym_or] = ACTIONS(4551),
    [anon_sym_and] = ACTIONS(4551),
    [anon_sym_bitor] = ACTIONS(4546),
    [anon_sym_xor] = ACTIONS(4551),
    [anon_sym_bitand] = ACTIONS(4546),
    [anon_sym_not_eq] = ACTIONS(4546),
    [anon_sym_DASH_DASH] = ACTIONS(4546),
    [anon_sym_PLUS_PLUS] = ACTIONS(4546),
    [anon_sym_DOT] = ACTIONS(4551),
    [anon_sym_DOT_STAR] = ACTIONS(4546),
    [anon_sym_DASH_GT] = ACTIONS(4551),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2234),
    [anon_sym_decltype] = ACTIONS(2234),
    [anon_sym_DASH_GT_STAR] = ACTIONS(4546),
  },
  [3210] = {
    [sym_identifier] = ACTIONS(2264),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2266),
    [anon_sym_COMMA] = ACTIONS(2266),
    [anon_sym_RPAREN] = ACTIONS(2266),
    [anon_sym_LPAREN2] = ACTIONS(2266),
    [anon_sym_DASH] = ACTIONS(2264),
    [anon_sym_PLUS] = ACTIONS(2264),
    [anon_sym_STAR] = ACTIONS(2266),
    [anon_sym_SLASH] = ACTIONS(2264),
    [anon_sym_PERCENT] = ACTIONS(2266),
    [anon_sym_PIPE_PIPE] = ACTIONS(2266),
    [anon_sym_AMP_AMP] = ACTIONS(2266),
    [anon_sym_PIPE] = ACTIONS(2264),
    [anon_sym_CARET] = ACTIONS(2266),
    [anon_sym_AMP] = ACTIONS(2264),
    [anon_sym_EQ_EQ] = ACTIONS(2266),
    [anon_sym_BANG_EQ] = ACTIONS(2266),
    [anon_sym_GT] = ACTIONS(2264),
    [anon_sym_GT_EQ] = ACTIONS(2266),
    [anon_sym_LT_EQ] = ACTIONS(2264),
    [anon_sym_LT] = ACTIONS(2264),
    [anon_sym_LT_LT] = ACTIONS(2266),
    [anon_sym_GT_GT] = ACTIONS(2266),
    [anon_sym_COLON] = ACTIONS(2266),
    [anon_sym_SEMI] = ACTIONS(2266),
    [anon_sym___extension__] = ACTIONS(2264),
    [anon_sym___attribute__] = ACTIONS(2264),
    [anon_sym___based] = ACTIONS(2264),
    [anon_sym_LBRACE] = ACTIONS(2266),
    [anon_sym_RBRACE] = ACTIONS(2266),
    [anon_sym_signed] = ACTIONS(2264),
    [anon_sym_unsigned] = ACTIONS(2264),
    [anon_sym_long] = ACTIONS(2264),
    [anon_sym_short] = ACTIONS(2264),
    [anon_sym_LBRACK] = ACTIONS(2266),
    [anon_sym_RBRACK] = ACTIONS(2266),
    [anon_sym_const] = ACTIONS(2264),
    [anon_sym_constexpr] = ACTIONS(2264),
    [anon_sym_volatile] = ACTIONS(2264),
    [anon_sym_restrict] = ACTIONS(2264),
    [anon_sym___restrict__] = ACTIONS(2264),
    [anon_sym__Atomic] = ACTIONS(2264),
    [anon_sym__Noreturn] = ACTIONS(2264),
    [anon_sym_noreturn] = ACTIONS(2264),
    [anon_sym_mutable] = ACTIONS(2264),
    [anon_sym_constinit] = ACTIONS(2264),
    [anon_sym_consteval] = ACTIONS(2264),
    [sym_primitive_type] = ACTIONS(2264),
    [anon_sym_else] = ACTIONS(2264),
    [anon_sym_while] = ACTIONS(2264),
    [anon_sym_QMARK] = ACTIONS(2266),
    [anon_sym_LT_EQ_GT] = ACTIONS(2266),
    [anon_sym_or] = ACTIONS(2264),
    [anon_sym_and] = ACTIONS(2264),
    [anon_sym_bitor] = ACTIONS(2264),
    [anon_sym_xor] = ACTIONS(2264),
    [anon_sym_bitand] = ACTIONS(2264),
    [anon_sym_not_eq] = ACTIONS(2264),
    [anon_sym_DASH_DASH] = ACTIONS(2266),
    [anon_sym_PLUS_PLUS] = ACTIONS(2266),
    [anon_sym_DOT] = ACTIONS(2264),
    [anon_sym_DOT_STAR] = ACTIONS(2266),
    [anon_sym_DASH_GT] = ACTIONS(2266),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2264),
    [anon_sym_decltype] = ACTIONS(2264),
    [anon_sym_final] = ACTIONS(2264),
    [anon_sym_override] = ACTIONS(2264),
    [anon_sym_requires] = ACTIONS(2264),
  },
  [3211] = {
    [sym_argument_list] = STATE(3593),
    [sym_initializer_list] = STATE(3593),
    [sym_decltype_auto] = STATE(3458),
    [sym_new_declarator] = STATE(3382),
    [sym_identifier] = ACTIONS(6436),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6438),
    [anon_sym_COMMA] = ACTIONS(6438),
    [anon_sym_RPAREN] = ACTIONS(6438),
    [aux_sym_preproc_if_token2] = ACTIONS(6438),
    [aux_sym_preproc_else_token1] = ACTIONS(6438),
    [aux_sym_preproc_elif_token1] = ACTIONS(6436),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(6438),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(6438),
    [anon_sym_LPAREN2] = ACTIONS(6440),
    [anon_sym_DASH] = ACTIONS(6436),
    [anon_sym_PLUS] = ACTIONS(6436),
    [anon_sym_STAR] = ACTIONS(6436),
    [anon_sym_SLASH] = ACTIONS(6436),
    [anon_sym_PERCENT] = ACTIONS(6436),
    [anon_sym_PIPE_PIPE] = ACTIONS(6438),
    [anon_sym_AMP_AMP] = ACTIONS(6438),
    [anon_sym_PIPE] = ACTIONS(6436),
    [anon_sym_CARET] = ACTIONS(6436),
    [anon_sym_AMP] = ACTIONS(6436),
    [anon_sym_EQ_EQ] = ACTIONS(6438),
    [anon_sym_BANG_EQ] = ACTIONS(6438),
    [anon_sym_GT] = ACTIONS(6436),
    [anon_sym_GT_EQ] = ACTIONS(6438),
    [anon_sym_LT_EQ] = ACTIONS(6436),
    [anon_sym_LT] = ACTIONS(6436),
    [anon_sym_LT_LT] = ACTIONS(6436),
    [anon_sym_GT_GT] = ACTIONS(6436),
    [anon_sym_COLON] = ACTIONS(6438),
    [anon_sym_SEMI] = ACTIONS(6438),
    [anon_sym___attribute__] = ACTIONS(6436),
    [anon_sym_LBRACE] = ACTIONS(3926),
    [anon_sym_RBRACE] = ACTIONS(6438),
    [anon_sym_LBRACK] = ACTIONS(6442),
    [anon_sym_RBRACK] = ACTIONS(6438),
    [anon_sym_EQ] = ACTIONS(6436),
    [anon_sym_QMARK] = ACTIONS(6438),
    [anon_sym_STAR_EQ] = ACTIONS(6438),
    [anon_sym_SLASH_EQ] = ACTIONS(6438),
    [anon_sym_PERCENT_EQ] = ACTIONS(6438),
    [anon_sym_PLUS_EQ] = ACTIONS(6438),
    [anon_sym_DASH_EQ] = ACTIONS(6438),
    [anon_sym_LT_LT_EQ] = ACTIONS(6438),
    [anon_sym_GT_GT_EQ] = ACTIONS(6438),
    [anon_sym_AMP_EQ] = ACTIONS(6438),
    [anon_sym_CARET_EQ] = ACTIONS(6438),
    [anon_sym_PIPE_EQ] = ACTIONS(6438),
    [anon_sym_and_eq] = ACTIONS(6436),
    [anon_sym_or_eq] = ACTIONS(6436),
    [anon_sym_xor_eq] = ACTIONS(6436),
    [anon_sym_LT_EQ_GT] = ACTIONS(6438),
    [anon_sym_or] = ACTIONS(6436),
    [anon_sym_and] = ACTIONS(6436),
    [anon_sym_bitor] = ACTIONS(6436),
    [anon_sym_xor] = ACTIONS(6436),
    [anon_sym_bitand] = ACTIONS(6436),
    [anon_sym_not_eq] = ACTIONS(6436),
    [anon_sym_DASH_DASH] = ACTIONS(6438),
    [anon_sym_PLUS_PLUS] = ACTIONS(6438),
    [anon_sym_DOT] = ACTIONS(6436),
    [anon_sym_DOT_STAR] = ACTIONS(6438),
    [anon_sym_DASH_GT] = ACTIONS(6438),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(6444),
    [anon_sym_decltype] = ACTIONS(6446),
  },
  [3212] = {
    [sym_argument_list] = STATE(3589),
    [sym_initializer_list] = STATE(3589),
    [sym_decltype_auto] = STATE(3458),
    [sym_new_declarator] = STATE(3381),
    [sym_identifier] = ACTIONS(6448),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6450),
    [anon_sym_COMMA] = ACTIONS(6450),
    [anon_sym_RPAREN] = ACTIONS(6450),
    [aux_sym_preproc_if_token2] = ACTIONS(6450),
    [aux_sym_preproc_else_token1] = ACTIONS(6450),
    [aux_sym_preproc_elif_token1] = ACTIONS(6448),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(6450),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(6450),
    [anon_sym_LPAREN2] = ACTIONS(6440),
    [anon_sym_DASH] = ACTIONS(6448),
    [anon_sym_PLUS] = ACTIONS(6448),
    [anon_sym_STAR] = ACTIONS(6448),
    [anon_sym_SLASH] = ACTIONS(6448),
    [anon_sym_PERCENT] = ACTIONS(6448),
    [anon_sym_PIPE_PIPE] = ACTIONS(6450),
    [anon_sym_AMP_AMP] = ACTIONS(6450),
    [anon_sym_PIPE] = ACTIONS(6448),
    [anon_sym_CARET] = ACTIONS(6448),
    [anon_sym_AMP] = ACTIONS(6448),
    [anon_sym_EQ_EQ] = ACTIONS(6450),
    [anon_sym_BANG_EQ] = ACTIONS(6450),
    [anon_sym_GT] = ACTIONS(6448),
    [anon_sym_GT_EQ] = ACTIONS(6450),
    [anon_sym_LT_EQ] = ACTIONS(6448),
    [anon_sym_LT] = ACTIONS(6448),
    [anon_sym_LT_LT] = ACTIONS(6448),
    [anon_sym_GT_GT] = ACTIONS(6448),
    [anon_sym_COLON] = ACTIONS(6450),
    [anon_sym_SEMI] = ACTIONS(6450),
    [anon_sym___attribute__] = ACTIONS(6448),
    [anon_sym_LBRACE] = ACTIONS(3926),
    [anon_sym_RBRACE] = ACTIONS(6450),
    [anon_sym_LBRACK] = ACTIONS(6442),
    [anon_sym_RBRACK] = ACTIONS(6450),
    [anon_sym_EQ] = ACTIONS(6448),
    [anon_sym_QMARK] = ACTIONS(6450),
    [anon_sym_STAR_EQ] = ACTIONS(6450),
    [anon_sym_SLASH_EQ] = ACTIONS(6450),
    [anon_sym_PERCENT_EQ] = ACTIONS(6450),
    [anon_sym_PLUS_EQ] = ACTIONS(6450),
    [anon_sym_DASH_EQ] = ACTIONS(6450),
    [anon_sym_LT_LT_EQ] = ACTIONS(6450),
    [anon_sym_GT_GT_EQ] = ACTIONS(6450),
    [anon_sym_AMP_EQ] = ACTIONS(6450),
    [anon_sym_CARET_EQ] = ACTIONS(6450),
    [anon_sym_PIPE_EQ] = ACTIONS(6450),
    [anon_sym_and_eq] = ACTIONS(6448),
    [anon_sym_or_eq] = ACTIONS(6448),
    [anon_sym_xor_eq] = ACTIONS(6448),
    [anon_sym_LT_EQ_GT] = ACTIONS(6450),
    [anon_sym_or] = ACTIONS(6448),
    [anon_sym_and] = ACTIONS(6448),
    [anon_sym_bitor] = ACTIONS(6448),
    [anon_sym_xor] = ACTIONS(6448),
    [anon_sym_bitand] = ACTIONS(6448),
    [anon_sym_not_eq] = ACTIONS(6448),
    [anon_sym_DASH_DASH] = ACTIONS(6450),
    [anon_sym_PLUS_PLUS] = ACTIONS(6450),
    [anon_sym_DOT] = ACTIONS(6448),
    [anon_sym_DOT_STAR] = ACTIONS(6450),
    [anon_sym_DASH_GT] = ACTIONS(6450),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(6444),
    [anon_sym_decltype] = ACTIONS(6446),
  },
  [3213] = {
    [sym_template_argument_list] = STATE(3236),
    [sym_identifier] = ACTIONS(2232),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2234),
    [anon_sym_COMMA] = ACTIONS(2234),
    [anon_sym_RPAREN] = ACTIONS(4548),
    [anon_sym_LPAREN2] = ACTIONS(4548),
    [anon_sym_TILDE] = ACTIONS(2234),
    [anon_sym_STAR] = ACTIONS(2234),
    [anon_sym_AMP_AMP] = ACTIONS(2234),
    [anon_sym_AMP] = ACTIONS(2232),
    [anon_sym_LT] = ACTIONS(6249),
    [anon_sym_COLON] = ACTIONS(2232),
    [anon_sym___extension__] = ACTIONS(2232),
    [anon_sym_in] = ACTIONS(2232),
    [anon_sym_out] = ACTIONS(2232),
    [anon_sym_inout] = ACTIONS(2232),
    [anon_sym_extern] = ACTIONS(2232),
    [anon_sym___attribute__] = ACTIONS(2232),
    [anon_sym_COLON_COLON] = ACTIONS(2230),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4548),
    [anon_sym___declspec] = ACTIONS(2232),
    [anon_sym___based] = ACTIONS(2232),
    [anon_sym_LBRACK] = ACTIONS(4553),
    [anon_sym_EQ] = ACTIONS(2234),
    [anon_sym_static] = ACTIONS(2232),
    [anon_sym_register] = ACTIONS(2232),
    [anon_sym_inline] = ACTIONS(2232),
    [anon_sym___inline] = ACTIONS(2232),
    [anon_sym___inline__] = ACTIONS(2232),
    [anon_sym___forceinline] = ACTIONS(2232),
    [anon_sym_thread_local] = ACTIONS(2232),
    [anon_sym___thread] = ACTIONS(2232),
    [anon_sym_const] = ACTIONS(2232),
    [anon_sym_constexpr] = ACTIONS(2232),
    [anon_sym_volatile] = ACTIONS(2232),
    [anon_sym_restrict] = ACTIONS(2232),
    [anon_sym___restrict__] = ACTIONS(2232),
    [anon_sym__Atomic] = ACTIONS(2232),
    [anon_sym__Noreturn] = ACTIONS(2232),
    [anon_sym_noreturn] = ACTIONS(2232),
    [anon_sym_mutable] = ACTIONS(2232),
    [anon_sym_constinit] = ACTIONS(2232),
    [anon_sym_consteval] = ACTIONS(2232),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2232),
    [anon_sym_decltype] = ACTIONS(2232),
    [anon_sym_virtual] = ACTIONS(2232),
    [anon_sym_alignas] = ACTIONS(2232),
    [anon_sym_template] = ACTIONS(2232),
    [anon_sym_operator] = ACTIONS(2232),
    [anon_sym_precise] = ACTIONS(2232),
    [anon_sym_shared] = ACTIONS(2232),
    [anon_sym_groupshared] = ACTIONS(2232),
    [anon_sym_uniform] = ACTIONS(2232),
    [anon_sym_row_major] = ACTIONS(2232),
    [anon_sym_column_major] = ACTIONS(2232),
    [anon_sym_globallycoherent] = ACTIONS(2232),
    [anon_sym_centroid] = ACTIONS(2232),
    [anon_sym_noperspective] = ACTIONS(2232),
    [anon_sym_nointerpolation] = ACTIONS(2232),
    [anon_sym_sample] = ACTIONS(2232),
    [anon_sym_linear] = ACTIONS(2232),
    [anon_sym_snorm] = ACTIONS(2232),
    [anon_sym_unorm] = ACTIONS(2232),
    [anon_sym_point] = ACTIONS(2232),
    [anon_sym_line] = ACTIONS(2232),
    [anon_sym_triangleadj] = ACTIONS(2232),
    [anon_sym_lineadj] = ACTIONS(2232),
    [anon_sym_triangle] = ACTIONS(2232),
  },
  [3214] = {
    [sym_argument_list] = STATE(3656),
    [sym_initializer_list] = STATE(3656),
    [sym_decltype_auto] = STATE(3458),
    [sym_new_declarator] = STATE(3455),
    [sym_identifier] = ACTIONS(6452),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6454),
    [anon_sym_COMMA] = ACTIONS(6454),
    [anon_sym_RPAREN] = ACTIONS(6454),
    [aux_sym_preproc_if_token2] = ACTIONS(6454),
    [aux_sym_preproc_else_token1] = ACTIONS(6454),
    [aux_sym_preproc_elif_token1] = ACTIONS(6452),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(6454),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(6454),
    [anon_sym_LPAREN2] = ACTIONS(6440),
    [anon_sym_DASH] = ACTIONS(6452),
    [anon_sym_PLUS] = ACTIONS(6452),
    [anon_sym_STAR] = ACTIONS(6452),
    [anon_sym_SLASH] = ACTIONS(6452),
    [anon_sym_PERCENT] = ACTIONS(6452),
    [anon_sym_PIPE_PIPE] = ACTIONS(6454),
    [anon_sym_AMP_AMP] = ACTIONS(6454),
    [anon_sym_PIPE] = ACTIONS(6452),
    [anon_sym_CARET] = ACTIONS(6452),
    [anon_sym_AMP] = ACTIONS(6452),
    [anon_sym_EQ_EQ] = ACTIONS(6454),
    [anon_sym_BANG_EQ] = ACTIONS(6454),
    [anon_sym_GT] = ACTIONS(6452),
    [anon_sym_GT_EQ] = ACTIONS(6454),
    [anon_sym_LT_EQ] = ACTIONS(6452),
    [anon_sym_LT] = ACTIONS(6452),
    [anon_sym_LT_LT] = ACTIONS(6452),
    [anon_sym_GT_GT] = ACTIONS(6452),
    [anon_sym_COLON] = ACTIONS(6454),
    [anon_sym_SEMI] = ACTIONS(6454),
    [anon_sym___attribute__] = ACTIONS(6452),
    [anon_sym_LBRACE] = ACTIONS(3926),
    [anon_sym_RBRACE] = ACTIONS(6454),
    [anon_sym_LBRACK] = ACTIONS(6442),
    [anon_sym_RBRACK] = ACTIONS(6454),
    [anon_sym_EQ] = ACTIONS(6452),
    [anon_sym_QMARK] = ACTIONS(6454),
    [anon_sym_STAR_EQ] = ACTIONS(6454),
    [anon_sym_SLASH_EQ] = ACTIONS(6454),
    [anon_sym_PERCENT_EQ] = ACTIONS(6454),
    [anon_sym_PLUS_EQ] = ACTIONS(6454),
    [anon_sym_DASH_EQ] = ACTIONS(6454),
    [anon_sym_LT_LT_EQ] = ACTIONS(6454),
    [anon_sym_GT_GT_EQ] = ACTIONS(6454),
    [anon_sym_AMP_EQ] = ACTIONS(6454),
    [anon_sym_CARET_EQ] = ACTIONS(6454),
    [anon_sym_PIPE_EQ] = ACTIONS(6454),
    [anon_sym_and_eq] = ACTIONS(6452),
    [anon_sym_or_eq] = ACTIONS(6452),
    [anon_sym_xor_eq] = ACTIONS(6452),
    [anon_sym_LT_EQ_GT] = ACTIONS(6454),
    [anon_sym_or] = ACTIONS(6452),
    [anon_sym_and] = ACTIONS(6452),
    [anon_sym_bitor] = ACTIONS(6452),
    [anon_sym_xor] = ACTIONS(6452),
    [anon_sym_bitand] = ACTIONS(6452),
    [anon_sym_not_eq] = ACTIONS(6452),
    [anon_sym_DASH_DASH] = ACTIONS(6454),
    [anon_sym_PLUS_PLUS] = ACTIONS(6454),
    [anon_sym_DOT] = ACTIONS(6452),
    [anon_sym_DOT_STAR] = ACTIONS(6454),
    [anon_sym_DASH_GT] = ACTIONS(6454),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(6444),
    [anon_sym_decltype] = ACTIONS(6446),
  },
  [3215] = {
    [sym_argument_list] = STATE(3645),
    [sym_initializer_list] = STATE(3645),
    [sym_decltype_auto] = STATE(3458),
    [sym_new_declarator] = STATE(3403),
    [sym_identifier] = ACTIONS(6456),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6458),
    [anon_sym_COMMA] = ACTIONS(6458),
    [anon_sym_RPAREN] = ACTIONS(6458),
    [aux_sym_preproc_if_token2] = ACTIONS(6458),
    [aux_sym_preproc_else_token1] = ACTIONS(6458),
    [aux_sym_preproc_elif_token1] = ACTIONS(6456),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(6458),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(6458),
    [anon_sym_LPAREN2] = ACTIONS(6440),
    [anon_sym_DASH] = ACTIONS(6456),
    [anon_sym_PLUS] = ACTIONS(6456),
    [anon_sym_STAR] = ACTIONS(6456),
    [anon_sym_SLASH] = ACTIONS(6456),
    [anon_sym_PERCENT] = ACTIONS(6456),
    [anon_sym_PIPE_PIPE] = ACTIONS(6458),
    [anon_sym_AMP_AMP] = ACTIONS(6458),
    [anon_sym_PIPE] = ACTIONS(6456),
    [anon_sym_CARET] = ACTIONS(6456),
    [anon_sym_AMP] = ACTIONS(6456),
    [anon_sym_EQ_EQ] = ACTIONS(6458),
    [anon_sym_BANG_EQ] = ACTIONS(6458),
    [anon_sym_GT] = ACTIONS(6456),
    [anon_sym_GT_EQ] = ACTIONS(6458),
    [anon_sym_LT_EQ] = ACTIONS(6456),
    [anon_sym_LT] = ACTIONS(6456),
    [anon_sym_LT_LT] = ACTIONS(6456),
    [anon_sym_GT_GT] = ACTIONS(6456),
    [anon_sym_COLON] = ACTIONS(6458),
    [anon_sym_SEMI] = ACTIONS(6458),
    [anon_sym___attribute__] = ACTIONS(6456),
    [anon_sym_LBRACE] = ACTIONS(3926),
    [anon_sym_RBRACE] = ACTIONS(6458),
    [anon_sym_LBRACK] = ACTIONS(6442),
    [anon_sym_RBRACK] = ACTIONS(6458),
    [anon_sym_EQ] = ACTIONS(6456),
    [anon_sym_QMARK] = ACTIONS(6458),
    [anon_sym_STAR_EQ] = ACTIONS(6458),
    [anon_sym_SLASH_EQ] = ACTIONS(6458),
    [anon_sym_PERCENT_EQ] = ACTIONS(6458),
    [anon_sym_PLUS_EQ] = ACTIONS(6458),
    [anon_sym_DASH_EQ] = ACTIONS(6458),
    [anon_sym_LT_LT_EQ] = ACTIONS(6458),
    [anon_sym_GT_GT_EQ] = ACTIONS(6458),
    [anon_sym_AMP_EQ] = ACTIONS(6458),
    [anon_sym_CARET_EQ] = ACTIONS(6458),
    [anon_sym_PIPE_EQ] = ACTIONS(6458),
    [anon_sym_and_eq] = ACTIONS(6456),
    [anon_sym_or_eq] = ACTIONS(6456),
    [anon_sym_xor_eq] = ACTIONS(6456),
    [anon_sym_LT_EQ_GT] = ACTIONS(6458),
    [anon_sym_or] = ACTIONS(6456),
    [anon_sym_and] = ACTIONS(6456),
    [anon_sym_bitor] = ACTIONS(6456),
    [anon_sym_xor] = ACTIONS(6456),
    [anon_sym_bitand] = ACTIONS(6456),
    [anon_sym_not_eq] = ACTIONS(6456),
    [anon_sym_DASH_DASH] = ACTIONS(6458),
    [anon_sym_PLUS_PLUS] = ACTIONS(6458),
    [anon_sym_DOT] = ACTIONS(6456),
    [anon_sym_DOT_STAR] = ACTIONS(6458),
    [anon_sym_DASH_GT] = ACTIONS(6458),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(6444),
    [anon_sym_decltype] = ACTIONS(6446),
  },
  [3216] = {
    [sym_string_literal] = STATE(3131),
    [sym_raw_string_literal] = STATE(3131),
    [sym_identifier] = ACTIONS(4221),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4213),
    [anon_sym_COMMA] = ACTIONS(4213),
    [aux_sym_preproc_if_token2] = ACTIONS(4213),
    [aux_sym_preproc_else_token1] = ACTIONS(4213),
    [aux_sym_preproc_elif_token1] = ACTIONS(4221),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4213),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4213),
    [anon_sym_LPAREN2] = ACTIONS(4213),
    [anon_sym_DASH] = ACTIONS(4221),
    [anon_sym_PLUS] = ACTIONS(4221),
    [anon_sym_STAR] = ACTIONS(4221),
    [anon_sym_SLASH] = ACTIONS(4221),
    [anon_sym_PERCENT] = ACTIONS(4221),
    [anon_sym_PIPE_PIPE] = ACTIONS(4213),
    [anon_sym_AMP_AMP] = ACTIONS(4213),
    [anon_sym_PIPE] = ACTIONS(4221),
    [anon_sym_CARET] = ACTIONS(4221),
    [anon_sym_AMP] = ACTIONS(4221),
    [anon_sym_EQ_EQ] = ACTIONS(4213),
    [anon_sym_BANG_EQ] = ACTIONS(4213),
    [anon_sym_GT] = ACTIONS(4221),
    [anon_sym_GT_EQ] = ACTIONS(4213),
    [anon_sym_LT_EQ] = ACTIONS(4221),
    [anon_sym_LT] = ACTIONS(4221),
    [anon_sym_LT_LT] = ACTIONS(4221),
    [anon_sym_GT_GT] = ACTIONS(4221),
    [anon_sym_LBRACK] = ACTIONS(4213),
    [anon_sym_EQ] = ACTIONS(4221),
    [anon_sym_QMARK] = ACTIONS(4213),
    [anon_sym_STAR_EQ] = ACTIONS(4213),
    [anon_sym_SLASH_EQ] = ACTIONS(4213),
    [anon_sym_PERCENT_EQ] = ACTIONS(4213),
    [anon_sym_PLUS_EQ] = ACTIONS(4213),
    [anon_sym_DASH_EQ] = ACTIONS(4213),
    [anon_sym_LT_LT_EQ] = ACTIONS(4213),
    [anon_sym_GT_GT_EQ] = ACTIONS(4213),
    [anon_sym_AMP_EQ] = ACTIONS(4213),
    [anon_sym_CARET_EQ] = ACTIONS(4213),
    [anon_sym_PIPE_EQ] = ACTIONS(4213),
    [anon_sym_and_eq] = ACTIONS(4221),
    [anon_sym_or_eq] = ACTIONS(4221),
    [anon_sym_xor_eq] = ACTIONS(4221),
    [anon_sym_LT_EQ_GT] = ACTIONS(4213),
    [anon_sym_or] = ACTIONS(4221),
    [anon_sym_and] = ACTIONS(4221),
    [anon_sym_bitor] = ACTIONS(4221),
    [anon_sym_xor] = ACTIONS(4221),
    [anon_sym_bitand] = ACTIONS(4221),
    [anon_sym_not_eq] = ACTIONS(4221),
    [anon_sym_DASH_DASH] = ACTIONS(4213),
    [anon_sym_PLUS_PLUS] = ACTIONS(4213),
    [anon_sym_DOT] = ACTIONS(4221),
    [anon_sym_DOT_STAR] = ACTIONS(4213),
    [anon_sym_DASH_GT] = ACTIONS(4213),
    [anon_sym_L_DQUOTE] = ACTIONS(3944),
    [anon_sym_u_DQUOTE] = ACTIONS(3944),
    [anon_sym_U_DQUOTE] = ACTIONS(3944),
    [anon_sym_u8_DQUOTE] = ACTIONS(3944),
    [anon_sym_DQUOTE] = ACTIONS(3944),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(3952),
    [anon_sym_LR_DQUOTE] = ACTIONS(3952),
    [anon_sym_uR_DQUOTE] = ACTIONS(3952),
    [anon_sym_UR_DQUOTE] = ACTIONS(3952),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3952),
    [sym_literal_suffix] = ACTIONS(6460),
  },
  [3217] = {
    [sym_identifier] = ACTIONS(2254),
    [anon_sym_LPAREN2] = ACTIONS(4575),
    [anon_sym_TILDE] = ACTIONS(2256),
    [anon_sym_STAR] = ACTIONS(2256),
    [anon_sym_AMP_AMP] = ACTIONS(2256),
    [anon_sym_AMP] = ACTIONS(2254),
    [anon_sym_SEMI] = ACTIONS(2256),
    [anon_sym___extension__] = ACTIONS(2254),
    [anon_sym_in] = ACTIONS(2254),
    [anon_sym_out] = ACTIONS(2254),
    [anon_sym_inout] = ACTIONS(2254),
    [anon_sym_extern] = ACTIONS(2254),
    [anon_sym___attribute__] = ACTIONS(2254),
    [anon_sym_COLON_COLON] = ACTIONS(2256),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4575),
    [anon_sym___declspec] = ACTIONS(2254),
    [anon_sym___based] = ACTIONS(2254),
    [anon_sym___cdecl] = ACTIONS(2254),
    [anon_sym___clrcall] = ACTIONS(2254),
    [anon_sym___stdcall] = ACTIONS(2254),
    [anon_sym___fastcall] = ACTIONS(2254),
    [anon_sym___thiscall] = ACTIONS(2254),
    [anon_sym___vectorcall] = ACTIONS(2254),
    [anon_sym_LBRACK] = ACTIONS(4580),
    [anon_sym_static] = ACTIONS(2254),
    [anon_sym_register] = ACTIONS(2254),
    [anon_sym_inline] = ACTIONS(2254),
    [anon_sym___inline] = ACTIONS(2254),
    [anon_sym___inline__] = ACTIONS(2254),
    [anon_sym___forceinline] = ACTIONS(2254),
    [anon_sym_thread_local] = ACTIONS(2254),
    [anon_sym___thread] = ACTIONS(2254),
    [anon_sym_const] = ACTIONS(2254),
    [anon_sym_constexpr] = ACTIONS(2254),
    [anon_sym_volatile] = ACTIONS(2254),
    [anon_sym_restrict] = ACTIONS(2254),
    [anon_sym___restrict__] = ACTIONS(2254),
    [anon_sym__Atomic] = ACTIONS(2254),
    [anon_sym__Noreturn] = ACTIONS(2254),
    [anon_sym_noreturn] = ACTIONS(2254),
    [anon_sym_mutable] = ACTIONS(2254),
    [anon_sym_constinit] = ACTIONS(2254),
    [anon_sym_consteval] = ACTIONS(2254),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2254),
    [anon_sym_decltype] = ACTIONS(2254),
    [anon_sym_virtual] = ACTIONS(2254),
    [anon_sym_alignas] = ACTIONS(2254),
    [anon_sym_template] = ACTIONS(2254),
    [anon_sym_operator] = ACTIONS(2254),
    [anon_sym_precise] = ACTIONS(2254),
    [anon_sym_shared] = ACTIONS(2254),
    [anon_sym_groupshared] = ACTIONS(2254),
    [anon_sym_uniform] = ACTIONS(2254),
    [anon_sym_row_major] = ACTIONS(2254),
    [anon_sym_column_major] = ACTIONS(2254),
    [anon_sym_globallycoherent] = ACTIONS(2254),
    [anon_sym_centroid] = ACTIONS(2254),
    [anon_sym_noperspective] = ACTIONS(2254),
    [anon_sym_nointerpolation] = ACTIONS(2254),
    [anon_sym_sample] = ACTIONS(2254),
    [anon_sym_linear] = ACTIONS(2254),
    [anon_sym_snorm] = ACTIONS(2254),
    [anon_sym_unorm] = ACTIONS(2254),
    [anon_sym_point] = ACTIONS(2254),
    [anon_sym_line] = ACTIONS(2254),
    [anon_sym_triangleadj] = ACTIONS(2254),
    [anon_sym_lineadj] = ACTIONS(2254),
    [anon_sym_triangle] = ACTIONS(2254),
  },
  [3218] = {
    [sym_template_argument_list] = STATE(3233),
    [sym_identifier] = ACTIONS(2232),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2234),
    [anon_sym_COMMA] = ACTIONS(2234),
    [anon_sym_RPAREN] = ACTIONS(2234),
    [aux_sym_preproc_if_token2] = ACTIONS(2234),
    [aux_sym_preproc_else_token1] = ACTIONS(2234),
    [aux_sym_preproc_elif_token1] = ACTIONS(2232),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2234),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2234),
    [anon_sym_LPAREN2] = ACTIONS(2234),
    [anon_sym_DASH] = ACTIONS(2232),
    [anon_sym_PLUS] = ACTIONS(2232),
    [anon_sym_STAR] = ACTIONS(2232),
    [anon_sym_SLASH] = ACTIONS(2232),
    [anon_sym_PERCENT] = ACTIONS(2232),
    [anon_sym_PIPE_PIPE] = ACTIONS(2234),
    [anon_sym_AMP_AMP] = ACTIONS(2234),
    [anon_sym_PIPE] = ACTIONS(2232),
    [anon_sym_CARET] = ACTIONS(2232),
    [anon_sym_AMP] = ACTIONS(2232),
    [anon_sym_EQ_EQ] = ACTIONS(2234),
    [anon_sym_BANG_EQ] = ACTIONS(2234),
    [anon_sym_GT] = ACTIONS(2232),
    [anon_sym_GT_EQ] = ACTIONS(2234),
    [anon_sym_LT_EQ] = ACTIONS(2232),
    [anon_sym_LT] = ACTIONS(6462),
    [anon_sym_LT_LT] = ACTIONS(2232),
    [anon_sym_GT_GT] = ACTIONS(2232),
    [anon_sym_COLON] = ACTIONS(2232),
    [anon_sym_SEMI] = ACTIONS(2234),
    [anon_sym___attribute__] = ACTIONS(2232),
    [anon_sym_COLON_COLON] = ACTIONS(2230),
    [anon_sym_LBRACE] = ACTIONS(2234),
    [anon_sym_RBRACE] = ACTIONS(2234),
    [anon_sym_LBRACK] = ACTIONS(2234),
    [anon_sym_RBRACK] = ACTIONS(2234),
    [anon_sym_EQ] = ACTIONS(2232),
    [anon_sym_QMARK] = ACTIONS(2234),
    [anon_sym_STAR_EQ] = ACTIONS(2234),
    [anon_sym_SLASH_EQ] = ACTIONS(2234),
    [anon_sym_PERCENT_EQ] = ACTIONS(2234),
    [anon_sym_PLUS_EQ] = ACTIONS(2234),
    [anon_sym_DASH_EQ] = ACTIONS(2234),
    [anon_sym_LT_LT_EQ] = ACTIONS(2234),
    [anon_sym_GT_GT_EQ] = ACTIONS(2234),
    [anon_sym_AMP_EQ] = ACTIONS(2234),
    [anon_sym_CARET_EQ] = ACTIONS(2234),
    [anon_sym_PIPE_EQ] = ACTIONS(2234),
    [anon_sym_and_eq] = ACTIONS(2232),
    [anon_sym_or_eq] = ACTIONS(2232),
    [anon_sym_xor_eq] = ACTIONS(2232),
    [anon_sym_LT_EQ_GT] = ACTIONS(2234),
    [anon_sym_or] = ACTIONS(2232),
    [anon_sym_and] = ACTIONS(2232),
    [anon_sym_bitor] = ACTIONS(2232),
    [anon_sym_xor] = ACTIONS(2232),
    [anon_sym_bitand] = ACTIONS(2232),
    [anon_sym_not_eq] = ACTIONS(2232),
    [anon_sym_DASH_DASH] = ACTIONS(2234),
    [anon_sym_PLUS_PLUS] = ACTIONS(2234),
    [anon_sym_DOT] = ACTIONS(2232),
    [anon_sym_DOT_STAR] = ACTIONS(2234),
    [anon_sym_DASH_GT] = ACTIONS(2234),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2232),
    [anon_sym_decltype] = ACTIONS(2232),
    [anon_sym_final] = ACTIONS(2232),
    [anon_sym_override] = ACTIONS(2232),
  },
  [3219] = {
    [sym_string_literal] = STATE(3258),
    [sym_template_argument_list] = STATE(4039),
    [sym_raw_string_literal] = STATE(3258),
    [sym_identifier] = ACTIONS(4221),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4213),
    [anon_sym_COMMA] = ACTIONS(4213),
    [aux_sym_preproc_if_token2] = ACTIONS(4213),
    [aux_sym_preproc_else_token1] = ACTIONS(4213),
    [aux_sym_preproc_elif_token1] = ACTIONS(4213),
    [anon_sym_LPAREN2] = ACTIONS(4213),
    [anon_sym_DASH] = ACTIONS(4221),
    [anon_sym_PLUS] = ACTIONS(4221),
    [anon_sym_STAR] = ACTIONS(4221),
    [anon_sym_SLASH] = ACTIONS(4221),
    [anon_sym_PERCENT] = ACTIONS(4221),
    [anon_sym_PIPE_PIPE] = ACTIONS(4213),
    [anon_sym_AMP_AMP] = ACTIONS(4213),
    [anon_sym_PIPE] = ACTIONS(4221),
    [anon_sym_CARET] = ACTIONS(4221),
    [anon_sym_AMP] = ACTIONS(4221),
    [anon_sym_EQ_EQ] = ACTIONS(4213),
    [anon_sym_BANG_EQ] = ACTIONS(4213),
    [anon_sym_GT] = ACTIONS(4221),
    [anon_sym_GT_EQ] = ACTIONS(4213),
    [anon_sym_LT_EQ] = ACTIONS(4221),
    [anon_sym_LT] = ACTIONS(6465),
    [anon_sym_LT_LT] = ACTIONS(4221),
    [anon_sym_GT_GT] = ACTIONS(4221),
    [anon_sym_COLON_COLON] = ACTIONS(2230),
    [anon_sym_LBRACE] = ACTIONS(2226),
    [anon_sym_LBRACK] = ACTIONS(4213),
    [anon_sym_EQ] = ACTIONS(4221),
    [anon_sym_QMARK] = ACTIONS(4213),
    [anon_sym_STAR_EQ] = ACTIONS(4213),
    [anon_sym_SLASH_EQ] = ACTIONS(4213),
    [anon_sym_PERCENT_EQ] = ACTIONS(4213),
    [anon_sym_PLUS_EQ] = ACTIONS(4213),
    [anon_sym_DASH_EQ] = ACTIONS(4213),
    [anon_sym_LT_LT_EQ] = ACTIONS(4213),
    [anon_sym_GT_GT_EQ] = ACTIONS(4213),
    [anon_sym_AMP_EQ] = ACTIONS(4213),
    [anon_sym_CARET_EQ] = ACTIONS(4213),
    [anon_sym_PIPE_EQ] = ACTIONS(4213),
    [anon_sym_and_eq] = ACTIONS(4221),
    [anon_sym_or_eq] = ACTIONS(4221),
    [anon_sym_xor_eq] = ACTIONS(4221),
    [anon_sym_LT_EQ_GT] = ACTIONS(4213),
    [anon_sym_or] = ACTIONS(4221),
    [anon_sym_and] = ACTIONS(4221),
    [anon_sym_bitor] = ACTIONS(4221),
    [anon_sym_xor] = ACTIONS(4221),
    [anon_sym_bitand] = ACTIONS(4221),
    [anon_sym_not_eq] = ACTIONS(4221),
    [anon_sym_DASH_DASH] = ACTIONS(4213),
    [anon_sym_PLUS_PLUS] = ACTIONS(4213),
    [anon_sym_DOT] = ACTIONS(4221),
    [anon_sym_DOT_STAR] = ACTIONS(4213),
    [anon_sym_DASH_GT] = ACTIONS(4213),
    [anon_sym_L_DQUOTE] = ACTIONS(4016),
    [anon_sym_u_DQUOTE] = ACTIONS(4016),
    [anon_sym_U_DQUOTE] = ACTIONS(4016),
    [anon_sym_u8_DQUOTE] = ACTIONS(4016),
    [anon_sym_DQUOTE] = ACTIONS(4016),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(4024),
    [anon_sym_LR_DQUOTE] = ACTIONS(4024),
    [anon_sym_uR_DQUOTE] = ACTIONS(4024),
    [anon_sym_UR_DQUOTE] = ACTIONS(4024),
    [anon_sym_u8R_DQUOTE] = ACTIONS(4024),
  },
  [3220] = {
    [sym_string_literal] = STATE(4342),
    [sym_template_argument_list] = STATE(5366),
    [sym_raw_string_literal] = STATE(4342),
    [sym_identifier] = ACTIONS(4221),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4213),
    [anon_sym_COMMA] = ACTIONS(4213),
    [aux_sym_preproc_if_token2] = ACTIONS(4213),
    [aux_sym_preproc_else_token1] = ACTIONS(4213),
    [aux_sym_preproc_elif_token1] = ACTIONS(4213),
    [anon_sym_LPAREN2] = ACTIONS(4213),
    [anon_sym_DASH] = ACTIONS(4221),
    [anon_sym_PLUS] = ACTIONS(4221),
    [anon_sym_STAR] = ACTIONS(4221),
    [anon_sym_SLASH] = ACTIONS(4221),
    [anon_sym_PERCENT] = ACTIONS(4221),
    [anon_sym_PIPE_PIPE] = ACTIONS(4213),
    [anon_sym_AMP_AMP] = ACTIONS(4213),
    [anon_sym_PIPE] = ACTIONS(4221),
    [anon_sym_CARET] = ACTIONS(4221),
    [anon_sym_AMP] = ACTIONS(4221),
    [anon_sym_EQ_EQ] = ACTIONS(4213),
    [anon_sym_BANG_EQ] = ACTIONS(4213),
    [anon_sym_GT] = ACTIONS(4221),
    [anon_sym_GT_EQ] = ACTIONS(4213),
    [anon_sym_LT_EQ] = ACTIONS(4221),
    [anon_sym_LT] = ACTIONS(6468),
    [anon_sym_LT_LT] = ACTIONS(4221),
    [anon_sym_GT_GT] = ACTIONS(4221),
    [anon_sym_COLON_COLON] = ACTIONS(2230),
    [anon_sym_LBRACE] = ACTIONS(2226),
    [anon_sym_LBRACK] = ACTIONS(4213),
    [anon_sym_EQ] = ACTIONS(6471),
    [anon_sym_QMARK] = ACTIONS(4213),
    [anon_sym_STAR_EQ] = ACTIONS(6473),
    [anon_sym_SLASH_EQ] = ACTIONS(6473),
    [anon_sym_PERCENT_EQ] = ACTIONS(6473),
    [anon_sym_PLUS_EQ] = ACTIONS(6473),
    [anon_sym_DASH_EQ] = ACTIONS(6473),
    [anon_sym_LT_LT_EQ] = ACTIONS(6473),
    [anon_sym_GT_GT_EQ] = ACTIONS(6473),
    [anon_sym_AMP_EQ] = ACTIONS(6473),
    [anon_sym_CARET_EQ] = ACTIONS(6473),
    [anon_sym_PIPE_EQ] = ACTIONS(6473),
    [anon_sym_and_eq] = ACTIONS(6471),
    [anon_sym_or_eq] = ACTIONS(6471),
    [anon_sym_xor_eq] = ACTIONS(6471),
    [anon_sym_LT_EQ_GT] = ACTIONS(4213),
    [anon_sym_or] = ACTIONS(4221),
    [anon_sym_and] = ACTIONS(4221),
    [anon_sym_bitor] = ACTIONS(4221),
    [anon_sym_xor] = ACTIONS(4221),
    [anon_sym_bitand] = ACTIONS(4221),
    [anon_sym_not_eq] = ACTIONS(4221),
    [anon_sym_DASH_DASH] = ACTIONS(4213),
    [anon_sym_PLUS_PLUS] = ACTIONS(4213),
    [anon_sym_DOT] = ACTIONS(4221),
    [anon_sym_DOT_STAR] = ACTIONS(4213),
    [anon_sym_DASH_GT] = ACTIONS(4213),
    [anon_sym_L_DQUOTE] = ACTIONS(4453),
    [anon_sym_u_DQUOTE] = ACTIONS(4453),
    [anon_sym_U_DQUOTE] = ACTIONS(4453),
    [anon_sym_u8_DQUOTE] = ACTIONS(4453),
    [anon_sym_DQUOTE] = ACTIONS(4453),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(4461),
    [anon_sym_LR_DQUOTE] = ACTIONS(4461),
    [anon_sym_uR_DQUOTE] = ACTIONS(4461),
    [anon_sym_UR_DQUOTE] = ACTIONS(4461),
    [anon_sym_u8R_DQUOTE] = ACTIONS(4461),
  },
  [3221] = {
    [sym_template_argument_list] = STATE(3233),
    [sym_identifier] = ACTIONS(2224),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2226),
    [anon_sym_COMMA] = ACTIONS(2226),
    [anon_sym_RPAREN] = ACTIONS(2226),
    [aux_sym_preproc_if_token2] = ACTIONS(2226),
    [aux_sym_preproc_else_token1] = ACTIONS(2226),
    [aux_sym_preproc_elif_token1] = ACTIONS(2224),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2226),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2226),
    [anon_sym_LPAREN2] = ACTIONS(2226),
    [anon_sym_DASH] = ACTIONS(2224),
    [anon_sym_PLUS] = ACTIONS(2224),
    [anon_sym_STAR] = ACTIONS(2224),
    [anon_sym_SLASH] = ACTIONS(2224),
    [anon_sym_PERCENT] = ACTIONS(2224),
    [anon_sym_PIPE_PIPE] = ACTIONS(2226),
    [anon_sym_AMP_AMP] = ACTIONS(2226),
    [anon_sym_PIPE] = ACTIONS(2224),
    [anon_sym_CARET] = ACTIONS(2224),
    [anon_sym_AMP] = ACTIONS(2224),
    [anon_sym_EQ_EQ] = ACTIONS(2226),
    [anon_sym_BANG_EQ] = ACTIONS(2226),
    [anon_sym_GT] = ACTIONS(2224),
    [anon_sym_GT_EQ] = ACTIONS(2226),
    [anon_sym_LT_EQ] = ACTIONS(2224),
    [anon_sym_LT] = ACTIONS(6475),
    [anon_sym_LT_LT] = ACTIONS(2224),
    [anon_sym_GT_GT] = ACTIONS(2224),
    [anon_sym_COLON] = ACTIONS(2224),
    [anon_sym_SEMI] = ACTIONS(2226),
    [anon_sym___attribute__] = ACTIONS(2224),
    [anon_sym_COLON_COLON] = ACTIONS(2230),
    [anon_sym_LBRACE] = ACTIONS(2226),
    [anon_sym_RBRACE] = ACTIONS(2226),
    [anon_sym_LBRACK] = ACTIONS(2226),
    [anon_sym_RBRACK] = ACTIONS(2226),
    [anon_sym_EQ] = ACTIONS(2224),
    [anon_sym_QMARK] = ACTIONS(2226),
    [anon_sym_STAR_EQ] = ACTIONS(2226),
    [anon_sym_SLASH_EQ] = ACTIONS(2226),
    [anon_sym_PERCENT_EQ] = ACTIONS(2226),
    [anon_sym_PLUS_EQ] = ACTIONS(2226),
    [anon_sym_DASH_EQ] = ACTIONS(2226),
    [anon_sym_LT_LT_EQ] = ACTIONS(2226),
    [anon_sym_GT_GT_EQ] = ACTIONS(2226),
    [anon_sym_AMP_EQ] = ACTIONS(2226),
    [anon_sym_CARET_EQ] = ACTIONS(2226),
    [anon_sym_PIPE_EQ] = ACTIONS(2226),
    [anon_sym_and_eq] = ACTIONS(2224),
    [anon_sym_or_eq] = ACTIONS(2224),
    [anon_sym_xor_eq] = ACTIONS(2224),
    [anon_sym_LT_EQ_GT] = ACTIONS(2226),
    [anon_sym_or] = ACTIONS(2224),
    [anon_sym_and] = ACTIONS(2224),
    [anon_sym_bitor] = ACTIONS(2224),
    [anon_sym_xor] = ACTIONS(2224),
    [anon_sym_bitand] = ACTIONS(2224),
    [anon_sym_not_eq] = ACTIONS(2224),
    [anon_sym_DASH_DASH] = ACTIONS(2226),
    [anon_sym_PLUS_PLUS] = ACTIONS(2226),
    [anon_sym_DOT] = ACTIONS(2224),
    [anon_sym_DOT_STAR] = ACTIONS(2226),
    [anon_sym_DASH_GT] = ACTIONS(2226),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2224),
    [anon_sym_decltype] = ACTIONS(2224),
    [anon_sym_final] = ACTIONS(2224),
    [anon_sym_override] = ACTIONS(2224),
  },
  [3222] = {
    [sym_string_literal] = STATE(3131),
    [sym_raw_string_literal] = STATE(3131),
    [sym_identifier] = ACTIONS(6477),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6479),
    [anon_sym_COMMA] = ACTIONS(6479),
    [aux_sym_preproc_if_token2] = ACTIONS(6479),
    [aux_sym_preproc_else_token1] = ACTIONS(6479),
    [aux_sym_preproc_elif_token1] = ACTIONS(6477),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(6479),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(6479),
    [anon_sym_LPAREN2] = ACTIONS(6479),
    [anon_sym_DASH] = ACTIONS(6477),
    [anon_sym_PLUS] = ACTIONS(6477),
    [anon_sym_STAR] = ACTIONS(6477),
    [anon_sym_SLASH] = ACTIONS(6477),
    [anon_sym_PERCENT] = ACTIONS(6477),
    [anon_sym_PIPE_PIPE] = ACTIONS(6479),
    [anon_sym_AMP_AMP] = ACTIONS(6479),
    [anon_sym_PIPE] = ACTIONS(6477),
    [anon_sym_CARET] = ACTIONS(6477),
    [anon_sym_AMP] = ACTIONS(6477),
    [anon_sym_EQ_EQ] = ACTIONS(6479),
    [anon_sym_BANG_EQ] = ACTIONS(6479),
    [anon_sym_GT] = ACTIONS(6477),
    [anon_sym_GT_EQ] = ACTIONS(6479),
    [anon_sym_LT_EQ] = ACTIONS(6477),
    [anon_sym_LT] = ACTIONS(6477),
    [anon_sym_LT_LT] = ACTIONS(6477),
    [anon_sym_GT_GT] = ACTIONS(6477),
    [anon_sym_LBRACK] = ACTIONS(6479),
    [anon_sym_EQ] = ACTIONS(6477),
    [anon_sym_QMARK] = ACTIONS(6479),
    [anon_sym_STAR_EQ] = ACTIONS(6479),
    [anon_sym_SLASH_EQ] = ACTIONS(6479),
    [anon_sym_PERCENT_EQ] = ACTIONS(6479),
    [anon_sym_PLUS_EQ] = ACTIONS(6479),
    [anon_sym_DASH_EQ] = ACTIONS(6479),
    [anon_sym_LT_LT_EQ] = ACTIONS(6479),
    [anon_sym_GT_GT_EQ] = ACTIONS(6479),
    [anon_sym_AMP_EQ] = ACTIONS(6479),
    [anon_sym_CARET_EQ] = ACTIONS(6479),
    [anon_sym_PIPE_EQ] = ACTIONS(6479),
    [anon_sym_and_eq] = ACTIONS(6477),
    [anon_sym_or_eq] = ACTIONS(6477),
    [anon_sym_xor_eq] = ACTIONS(6477),
    [anon_sym_LT_EQ_GT] = ACTIONS(6479),
    [anon_sym_or] = ACTIONS(6477),
    [anon_sym_and] = ACTIONS(6477),
    [anon_sym_bitor] = ACTIONS(6477),
    [anon_sym_xor] = ACTIONS(6477),
    [anon_sym_bitand] = ACTIONS(6477),
    [anon_sym_not_eq] = ACTIONS(6477),
    [anon_sym_DASH_DASH] = ACTIONS(6479),
    [anon_sym_PLUS_PLUS] = ACTIONS(6479),
    [anon_sym_DOT] = ACTIONS(6477),
    [anon_sym_DOT_STAR] = ACTIONS(6479),
    [anon_sym_DASH_GT] = ACTIONS(6479),
    [anon_sym_L_DQUOTE] = ACTIONS(3944),
    [anon_sym_u_DQUOTE] = ACTIONS(3944),
    [anon_sym_U_DQUOTE] = ACTIONS(3944),
    [anon_sym_u8_DQUOTE] = ACTIONS(3944),
    [anon_sym_DQUOTE] = ACTIONS(3944),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(3952),
    [anon_sym_LR_DQUOTE] = ACTIONS(3952),
    [anon_sym_uR_DQUOTE] = ACTIONS(3952),
    [anon_sym_UR_DQUOTE] = ACTIONS(3952),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3952),
    [sym_literal_suffix] = ACTIONS(6460),
  },
  [3223] = {
    [sym_identifier] = ACTIONS(5931),
    [anon_sym_LPAREN2] = ACTIONS(5933),
    [anon_sym_TILDE] = ACTIONS(5933),
    [anon_sym_STAR] = ACTIONS(5933),
    [anon_sym_AMP_AMP] = ACTIONS(5933),
    [anon_sym_AMP] = ACTIONS(5931),
    [anon_sym_SEMI] = ACTIONS(2260),
    [anon_sym___extension__] = ACTIONS(5931),
    [anon_sym_in] = ACTIONS(5931),
    [anon_sym_out] = ACTIONS(5931),
    [anon_sym_inout] = ACTIONS(5931),
    [anon_sym_extern] = ACTIONS(5931),
    [anon_sym___attribute__] = ACTIONS(5931),
    [anon_sym_COLON_COLON] = ACTIONS(5933),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5933),
    [anon_sym___declspec] = ACTIONS(5931),
    [anon_sym___based] = ACTIONS(5931),
    [anon_sym___cdecl] = ACTIONS(5931),
    [anon_sym___clrcall] = ACTIONS(5931),
    [anon_sym___stdcall] = ACTIONS(5931),
    [anon_sym___fastcall] = ACTIONS(5931),
    [anon_sym___thiscall] = ACTIONS(5931),
    [anon_sym___vectorcall] = ACTIONS(5931),
    [anon_sym_LBRACK] = ACTIONS(5931),
    [anon_sym_static] = ACTIONS(5931),
    [anon_sym_register] = ACTIONS(5931),
    [anon_sym_inline] = ACTIONS(5931),
    [anon_sym___inline] = ACTIONS(5931),
    [anon_sym___inline__] = ACTIONS(5931),
    [anon_sym___forceinline] = ACTIONS(5931),
    [anon_sym_thread_local] = ACTIONS(5931),
    [anon_sym___thread] = ACTIONS(5931),
    [anon_sym_const] = ACTIONS(5931),
    [anon_sym_constexpr] = ACTIONS(5931),
    [anon_sym_volatile] = ACTIONS(5931),
    [anon_sym_restrict] = ACTIONS(5931),
    [anon_sym___restrict__] = ACTIONS(5931),
    [anon_sym__Atomic] = ACTIONS(5931),
    [anon_sym__Noreturn] = ACTIONS(5931),
    [anon_sym_noreturn] = ACTIONS(5931),
    [anon_sym_mutable] = ACTIONS(5931),
    [anon_sym_constinit] = ACTIONS(5931),
    [anon_sym_consteval] = ACTIONS(5931),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5931),
    [anon_sym_decltype] = ACTIONS(5931),
    [anon_sym_virtual] = ACTIONS(5931),
    [anon_sym_alignas] = ACTIONS(5931),
    [anon_sym_template] = ACTIONS(5931),
    [anon_sym_operator] = ACTIONS(5931),
    [anon_sym_precise] = ACTIONS(5931),
    [anon_sym_shared] = ACTIONS(5931),
    [anon_sym_groupshared] = ACTIONS(5931),
    [anon_sym_uniform] = ACTIONS(5931),
    [anon_sym_row_major] = ACTIONS(5931),
    [anon_sym_column_major] = ACTIONS(5931),
    [anon_sym_globallycoherent] = ACTIONS(5931),
    [anon_sym_centroid] = ACTIONS(5931),
    [anon_sym_noperspective] = ACTIONS(5931),
    [anon_sym_nointerpolation] = ACTIONS(5931),
    [anon_sym_sample] = ACTIONS(5931),
    [anon_sym_linear] = ACTIONS(5931),
    [anon_sym_snorm] = ACTIONS(5931),
    [anon_sym_unorm] = ACTIONS(5931),
    [anon_sym_point] = ACTIONS(5931),
    [anon_sym_line] = ACTIONS(5931),
    [anon_sym_triangleadj] = ACTIONS(5931),
    [anon_sym_lineadj] = ACTIONS(5931),
    [anon_sym_triangle] = ACTIONS(5931),
  },
  [3224] = {
    [sym_identifier] = ACTIONS(5931),
    [anon_sym_LPAREN2] = ACTIONS(5933),
    [anon_sym_TILDE] = ACTIONS(5933),
    [anon_sym_STAR] = ACTIONS(5933),
    [anon_sym_AMP_AMP] = ACTIONS(5933),
    [anon_sym_AMP] = ACTIONS(5931),
    [anon_sym_SEMI] = ACTIONS(2260),
    [anon_sym___extension__] = ACTIONS(5931),
    [anon_sym_in] = ACTIONS(5931),
    [anon_sym_out] = ACTIONS(5931),
    [anon_sym_inout] = ACTIONS(5931),
    [anon_sym_extern] = ACTIONS(5931),
    [anon_sym___attribute__] = ACTIONS(5931),
    [anon_sym_COLON_COLON] = ACTIONS(2262),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5933),
    [anon_sym___declspec] = ACTIONS(5931),
    [anon_sym___based] = ACTIONS(5931),
    [anon_sym___cdecl] = ACTIONS(5931),
    [anon_sym___clrcall] = ACTIONS(5931),
    [anon_sym___stdcall] = ACTIONS(5931),
    [anon_sym___fastcall] = ACTIONS(5931),
    [anon_sym___thiscall] = ACTIONS(5931),
    [anon_sym___vectorcall] = ACTIONS(5931),
    [anon_sym_LBRACK] = ACTIONS(5931),
    [anon_sym_static] = ACTIONS(5931),
    [anon_sym_register] = ACTIONS(5931),
    [anon_sym_inline] = ACTIONS(5931),
    [anon_sym___inline] = ACTIONS(5931),
    [anon_sym___inline__] = ACTIONS(5931),
    [anon_sym___forceinline] = ACTIONS(5931),
    [anon_sym_thread_local] = ACTIONS(5931),
    [anon_sym___thread] = ACTIONS(5931),
    [anon_sym_const] = ACTIONS(5931),
    [anon_sym_constexpr] = ACTIONS(5931),
    [anon_sym_volatile] = ACTIONS(5931),
    [anon_sym_restrict] = ACTIONS(5931),
    [anon_sym___restrict__] = ACTIONS(5931),
    [anon_sym__Atomic] = ACTIONS(5931),
    [anon_sym__Noreturn] = ACTIONS(5931),
    [anon_sym_noreturn] = ACTIONS(5931),
    [anon_sym_mutable] = ACTIONS(5931),
    [anon_sym_constinit] = ACTIONS(5931),
    [anon_sym_consteval] = ACTIONS(5931),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5931),
    [anon_sym_decltype] = ACTIONS(5931),
    [anon_sym_virtual] = ACTIONS(5931),
    [anon_sym_alignas] = ACTIONS(5931),
    [anon_sym_template] = ACTIONS(5931),
    [anon_sym_operator] = ACTIONS(5931),
    [anon_sym_precise] = ACTIONS(5931),
    [anon_sym_shared] = ACTIONS(5931),
    [anon_sym_groupshared] = ACTIONS(5931),
    [anon_sym_uniform] = ACTIONS(5931),
    [anon_sym_row_major] = ACTIONS(5931),
    [anon_sym_column_major] = ACTIONS(5931),
    [anon_sym_globallycoherent] = ACTIONS(5931),
    [anon_sym_centroid] = ACTIONS(5931),
    [anon_sym_noperspective] = ACTIONS(5931),
    [anon_sym_nointerpolation] = ACTIONS(5931),
    [anon_sym_sample] = ACTIONS(5931),
    [anon_sym_linear] = ACTIONS(5931),
    [anon_sym_snorm] = ACTIONS(5931),
    [anon_sym_unorm] = ACTIONS(5931),
    [anon_sym_point] = ACTIONS(5931),
    [anon_sym_line] = ACTIONS(5931),
    [anon_sym_triangleadj] = ACTIONS(5931),
    [anon_sym_lineadj] = ACTIONS(5931),
    [anon_sym_triangle] = ACTIONS(5931),
  },
  [3225] = {
    [sym_identifier] = ACTIONS(2182),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2184),
    [anon_sym_COMMA] = ACTIONS(2184),
    [anon_sym_RPAREN] = ACTIONS(2184),
    [anon_sym_LPAREN2] = ACTIONS(2184),
    [anon_sym_DASH] = ACTIONS(2182),
    [anon_sym_PLUS] = ACTIONS(2182),
    [anon_sym_STAR] = ACTIONS(2184),
    [anon_sym_SLASH] = ACTIONS(2182),
    [anon_sym_PERCENT] = ACTIONS(2184),
    [anon_sym_PIPE_PIPE] = ACTIONS(2184),
    [anon_sym_AMP_AMP] = ACTIONS(2184),
    [anon_sym_PIPE] = ACTIONS(2182),
    [anon_sym_CARET] = ACTIONS(2184),
    [anon_sym_AMP] = ACTIONS(2182),
    [anon_sym_EQ_EQ] = ACTIONS(2184),
    [anon_sym_BANG_EQ] = ACTIONS(2184),
    [anon_sym_GT] = ACTIONS(2182),
    [anon_sym_GT_EQ] = ACTIONS(2184),
    [anon_sym_LT_EQ] = ACTIONS(2182),
    [anon_sym_LT] = ACTIONS(2182),
    [anon_sym_LT_LT] = ACTIONS(2184),
    [anon_sym_GT_GT] = ACTIONS(2184),
    [anon_sym_COLON] = ACTIONS(2182),
    [anon_sym_SEMI] = ACTIONS(2184),
    [anon_sym___extension__] = ACTIONS(2182),
    [anon_sym___attribute__] = ACTIONS(2182),
    [anon_sym_COLON_COLON] = ACTIONS(2184),
    [anon_sym___based] = ACTIONS(2182),
    [anon_sym_LBRACE] = ACTIONS(2184),
    [anon_sym_RBRACE] = ACTIONS(2184),
    [anon_sym_signed] = ACTIONS(2182),
    [anon_sym_unsigned] = ACTIONS(2182),
    [anon_sym_long] = ACTIONS(2182),
    [anon_sym_short] = ACTIONS(2182),
    [anon_sym_LBRACK] = ACTIONS(2184),
    [anon_sym_RBRACK] = ACTIONS(2184),
    [anon_sym_const] = ACTIONS(2182),
    [anon_sym_constexpr] = ACTIONS(2182),
    [anon_sym_volatile] = ACTIONS(2182),
    [anon_sym_restrict] = ACTIONS(2182),
    [anon_sym___restrict__] = ACTIONS(2182),
    [anon_sym__Atomic] = ACTIONS(2182),
    [anon_sym__Noreturn] = ACTIONS(2182),
    [anon_sym_noreturn] = ACTIONS(2182),
    [anon_sym_mutable] = ACTIONS(2182),
    [anon_sym_constinit] = ACTIONS(2182),
    [anon_sym_consteval] = ACTIONS(2182),
    [sym_primitive_type] = ACTIONS(2182),
    [anon_sym_QMARK] = ACTIONS(2184),
    [anon_sym_LT_EQ_GT] = ACTIONS(2184),
    [anon_sym_or] = ACTIONS(2182),
    [anon_sym_and] = ACTIONS(2182),
    [anon_sym_bitor] = ACTIONS(2182),
    [anon_sym_xor] = ACTIONS(2182),
    [anon_sym_bitand] = ACTIONS(2182),
    [anon_sym_not_eq] = ACTIONS(2182),
    [anon_sym_DASH_DASH] = ACTIONS(2184),
    [anon_sym_PLUS_PLUS] = ACTIONS(2184),
    [anon_sym_DOT] = ACTIONS(2182),
    [anon_sym_DOT_STAR] = ACTIONS(2184),
    [anon_sym_DASH_GT] = ACTIONS(2184),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2182),
    [anon_sym_decltype] = ACTIONS(2182),
    [anon_sym_final] = ACTIONS(2182),
    [anon_sym_override] = ACTIONS(2182),
    [anon_sym_requires] = ACTIONS(2182),
  },
  [3226] = {
    [sym_identifier] = ACTIONS(2178),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2180),
    [anon_sym_COMMA] = ACTIONS(2180),
    [anon_sym_RPAREN] = ACTIONS(2180),
    [anon_sym_LPAREN2] = ACTIONS(2180),
    [anon_sym_DASH] = ACTIONS(2178),
    [anon_sym_PLUS] = ACTIONS(2178),
    [anon_sym_STAR] = ACTIONS(2180),
    [anon_sym_SLASH] = ACTIONS(2178),
    [anon_sym_PERCENT] = ACTIONS(2180),
    [anon_sym_PIPE_PIPE] = ACTIONS(2180),
    [anon_sym_AMP_AMP] = ACTIONS(2180),
    [anon_sym_PIPE] = ACTIONS(2178),
    [anon_sym_CARET] = ACTIONS(2180),
    [anon_sym_AMP] = ACTIONS(2178),
    [anon_sym_EQ_EQ] = ACTIONS(2180),
    [anon_sym_BANG_EQ] = ACTIONS(2180),
    [anon_sym_GT] = ACTIONS(2178),
    [anon_sym_GT_EQ] = ACTIONS(2180),
    [anon_sym_LT_EQ] = ACTIONS(2178),
    [anon_sym_LT] = ACTIONS(2178),
    [anon_sym_LT_LT] = ACTIONS(2180),
    [anon_sym_GT_GT] = ACTIONS(2180),
    [anon_sym_COLON] = ACTIONS(2178),
    [anon_sym_SEMI] = ACTIONS(2180),
    [anon_sym___extension__] = ACTIONS(2178),
    [anon_sym___attribute__] = ACTIONS(2178),
    [anon_sym_COLON_COLON] = ACTIONS(2180),
    [anon_sym___based] = ACTIONS(2178),
    [anon_sym_LBRACE] = ACTIONS(2180),
    [anon_sym_RBRACE] = ACTIONS(2180),
    [anon_sym_signed] = ACTIONS(2178),
    [anon_sym_unsigned] = ACTIONS(2178),
    [anon_sym_long] = ACTIONS(2178),
    [anon_sym_short] = ACTIONS(2178),
    [anon_sym_LBRACK] = ACTIONS(2180),
    [anon_sym_RBRACK] = ACTIONS(2180),
    [anon_sym_const] = ACTIONS(2178),
    [anon_sym_constexpr] = ACTIONS(2178),
    [anon_sym_volatile] = ACTIONS(2178),
    [anon_sym_restrict] = ACTIONS(2178),
    [anon_sym___restrict__] = ACTIONS(2178),
    [anon_sym__Atomic] = ACTIONS(2178),
    [anon_sym__Noreturn] = ACTIONS(2178),
    [anon_sym_noreturn] = ACTIONS(2178),
    [anon_sym_mutable] = ACTIONS(2178),
    [anon_sym_constinit] = ACTIONS(2178),
    [anon_sym_consteval] = ACTIONS(2178),
    [sym_primitive_type] = ACTIONS(2178),
    [anon_sym_QMARK] = ACTIONS(2180),
    [anon_sym_LT_EQ_GT] = ACTIONS(2180),
    [anon_sym_or] = ACTIONS(2178),
    [anon_sym_and] = ACTIONS(2178),
    [anon_sym_bitor] = ACTIONS(2178),
    [anon_sym_xor] = ACTIONS(2178),
    [anon_sym_bitand] = ACTIONS(2178),
    [anon_sym_not_eq] = ACTIONS(2178),
    [anon_sym_DASH_DASH] = ACTIONS(2180),
    [anon_sym_PLUS_PLUS] = ACTIONS(2180),
    [anon_sym_DOT] = ACTIONS(2178),
    [anon_sym_DOT_STAR] = ACTIONS(2180),
    [anon_sym_DASH_GT] = ACTIONS(2180),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2178),
    [anon_sym_decltype] = ACTIONS(2178),
    [anon_sym_final] = ACTIONS(2178),
    [anon_sym_override] = ACTIONS(2178),
    [anon_sym_requires] = ACTIONS(2178),
  },
  [3227] = {
    [sym_identifier] = ACTIONS(2264),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2266),
    [anon_sym_COMMA] = ACTIONS(2266),
    [anon_sym_RPAREN] = ACTIONS(2266),
    [aux_sym_preproc_if_token2] = ACTIONS(2266),
    [aux_sym_preproc_else_token1] = ACTIONS(2266),
    [aux_sym_preproc_elif_token1] = ACTIONS(2264),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2266),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2266),
    [anon_sym_LPAREN2] = ACTIONS(2266),
    [anon_sym_DASH] = ACTIONS(2264),
    [anon_sym_PLUS] = ACTIONS(2264),
    [anon_sym_STAR] = ACTIONS(2264),
    [anon_sym_SLASH] = ACTIONS(2264),
    [anon_sym_PERCENT] = ACTIONS(2264),
    [anon_sym_PIPE_PIPE] = ACTIONS(2266),
    [anon_sym_AMP_AMP] = ACTIONS(2266),
    [anon_sym_PIPE] = ACTIONS(2264),
    [anon_sym_CARET] = ACTIONS(2264),
    [anon_sym_AMP] = ACTIONS(2264),
    [anon_sym_EQ_EQ] = ACTIONS(2266),
    [anon_sym_BANG_EQ] = ACTIONS(2266),
    [anon_sym_GT] = ACTIONS(2264),
    [anon_sym_GT_EQ] = ACTIONS(2266),
    [anon_sym_LT_EQ] = ACTIONS(2264),
    [anon_sym_LT] = ACTIONS(2264),
    [anon_sym_LT_LT] = ACTIONS(2264),
    [anon_sym_GT_GT] = ACTIONS(2264),
    [anon_sym_COLON] = ACTIONS(2264),
    [anon_sym_SEMI] = ACTIONS(2266),
    [anon_sym___attribute__] = ACTIONS(2264),
    [anon_sym_COLON_COLON] = ACTIONS(2262),
    [anon_sym_LBRACE] = ACTIONS(2266),
    [anon_sym_RBRACE] = ACTIONS(2266),
    [anon_sym_LBRACK] = ACTIONS(2266),
    [anon_sym_RBRACK] = ACTIONS(2266),
    [anon_sym_EQ] = ACTIONS(2264),
    [anon_sym_QMARK] = ACTIONS(2266),
    [anon_sym_STAR_EQ] = ACTIONS(2266),
    [anon_sym_SLASH_EQ] = ACTIONS(2266),
    [anon_sym_PERCENT_EQ] = ACTIONS(2266),
    [anon_sym_PLUS_EQ] = ACTIONS(2266),
    [anon_sym_DASH_EQ] = ACTIONS(2266),
    [anon_sym_LT_LT_EQ] = ACTIONS(2266),
    [anon_sym_GT_GT_EQ] = ACTIONS(2266),
    [anon_sym_AMP_EQ] = ACTIONS(2266),
    [anon_sym_CARET_EQ] = ACTIONS(2266),
    [anon_sym_PIPE_EQ] = ACTIONS(2266),
    [anon_sym_and_eq] = ACTIONS(2264),
    [anon_sym_or_eq] = ACTIONS(2264),
    [anon_sym_xor_eq] = ACTIONS(2264),
    [anon_sym_LT_EQ_GT] = ACTIONS(2266),
    [anon_sym_or] = ACTIONS(2264),
    [anon_sym_and] = ACTIONS(2264),
    [anon_sym_bitor] = ACTIONS(2264),
    [anon_sym_xor] = ACTIONS(2264),
    [anon_sym_bitand] = ACTIONS(2264),
    [anon_sym_not_eq] = ACTIONS(2264),
    [anon_sym_DASH_DASH] = ACTIONS(2266),
    [anon_sym_PLUS_PLUS] = ACTIONS(2266),
    [anon_sym_DOT] = ACTIONS(2264),
    [anon_sym_DOT_STAR] = ACTIONS(2266),
    [anon_sym_DASH_GT] = ACTIONS(2266),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2264),
    [anon_sym_decltype] = ACTIONS(2264),
    [anon_sym_final] = ACTIONS(2264),
    [anon_sym_override] = ACTIONS(2264),
  },
  [3228] = {
    [sym_identifier] = ACTIONS(2250),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2252),
    [anon_sym_COMMA] = ACTIONS(2252),
    [anon_sym_RPAREN] = ACTIONS(2252),
    [aux_sym_preproc_if_token2] = ACTIONS(2252),
    [aux_sym_preproc_else_token1] = ACTIONS(2252),
    [aux_sym_preproc_elif_token1] = ACTIONS(2250),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2252),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2252),
    [anon_sym_LPAREN2] = ACTIONS(2252),
    [anon_sym_DASH] = ACTIONS(2250),
    [anon_sym_PLUS] = ACTIONS(2250),
    [anon_sym_STAR] = ACTIONS(2250),
    [anon_sym_SLASH] = ACTIONS(2250),
    [anon_sym_PERCENT] = ACTIONS(2250),
    [anon_sym_PIPE_PIPE] = ACTIONS(2252),
    [anon_sym_AMP_AMP] = ACTIONS(2252),
    [anon_sym_PIPE] = ACTIONS(2250),
    [anon_sym_CARET] = ACTIONS(2250),
    [anon_sym_AMP] = ACTIONS(2250),
    [anon_sym_EQ_EQ] = ACTIONS(2252),
    [anon_sym_BANG_EQ] = ACTIONS(2252),
    [anon_sym_GT] = ACTIONS(2250),
    [anon_sym_GT_EQ] = ACTIONS(2252),
    [anon_sym_LT_EQ] = ACTIONS(2250),
    [anon_sym_LT] = ACTIONS(2250),
    [anon_sym_LT_LT] = ACTIONS(2250),
    [anon_sym_GT_GT] = ACTIONS(2250),
    [anon_sym_COLON] = ACTIONS(2250),
    [anon_sym_SEMI] = ACTIONS(2252),
    [anon_sym___attribute__] = ACTIONS(2250),
    [anon_sym_COLON_COLON] = ACTIONS(2252),
    [anon_sym_LBRACE] = ACTIONS(2252),
    [anon_sym_RBRACE] = ACTIONS(2252),
    [anon_sym_LBRACK] = ACTIONS(2252),
    [anon_sym_RBRACK] = ACTIONS(2252),
    [anon_sym_EQ] = ACTIONS(2250),
    [anon_sym_QMARK] = ACTIONS(2252),
    [anon_sym_STAR_EQ] = ACTIONS(2252),
    [anon_sym_SLASH_EQ] = ACTIONS(2252),
    [anon_sym_PERCENT_EQ] = ACTIONS(2252),
    [anon_sym_PLUS_EQ] = ACTIONS(2252),
    [anon_sym_DASH_EQ] = ACTIONS(2252),
    [anon_sym_LT_LT_EQ] = ACTIONS(2252),
    [anon_sym_GT_GT_EQ] = ACTIONS(2252),
    [anon_sym_AMP_EQ] = ACTIONS(2252),
    [anon_sym_CARET_EQ] = ACTIONS(2252),
    [anon_sym_PIPE_EQ] = ACTIONS(2252),
    [anon_sym_and_eq] = ACTIONS(2250),
    [anon_sym_or_eq] = ACTIONS(2250),
    [anon_sym_xor_eq] = ACTIONS(2250),
    [anon_sym_LT_EQ_GT] = ACTIONS(2252),
    [anon_sym_or] = ACTIONS(2250),
    [anon_sym_and] = ACTIONS(2250),
    [anon_sym_bitor] = ACTIONS(2250),
    [anon_sym_xor] = ACTIONS(2250),
    [anon_sym_bitand] = ACTIONS(2250),
    [anon_sym_not_eq] = ACTIONS(2250),
    [anon_sym_DASH_DASH] = ACTIONS(2252),
    [anon_sym_PLUS_PLUS] = ACTIONS(2252),
    [anon_sym_DOT] = ACTIONS(2250),
    [anon_sym_DOT_STAR] = ACTIONS(2252),
    [anon_sym_DASH_GT] = ACTIONS(2252),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2250),
    [anon_sym_decltype] = ACTIONS(2250),
    [anon_sym_final] = ACTIONS(2250),
    [anon_sym_override] = ACTIONS(2250),
  },
  [3229] = {
    [sym_identifier] = ACTIONS(2200),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2202),
    [anon_sym_COMMA] = ACTIONS(2202),
    [anon_sym_RPAREN] = ACTIONS(2202),
    [anon_sym_LPAREN2] = ACTIONS(2202),
    [anon_sym_DASH] = ACTIONS(2200),
    [anon_sym_PLUS] = ACTIONS(2200),
    [anon_sym_STAR] = ACTIONS(2202),
    [anon_sym_SLASH] = ACTIONS(2200),
    [anon_sym_PERCENT] = ACTIONS(2202),
    [anon_sym_PIPE_PIPE] = ACTIONS(2202),
    [anon_sym_AMP_AMP] = ACTIONS(2202),
    [anon_sym_PIPE] = ACTIONS(2200),
    [anon_sym_CARET] = ACTIONS(2202),
    [anon_sym_AMP] = ACTIONS(2200),
    [anon_sym_EQ_EQ] = ACTIONS(2202),
    [anon_sym_BANG_EQ] = ACTIONS(2202),
    [anon_sym_GT] = ACTIONS(2200),
    [anon_sym_GT_EQ] = ACTIONS(2202),
    [anon_sym_LT_EQ] = ACTIONS(2200),
    [anon_sym_LT] = ACTIONS(2200),
    [anon_sym_LT_LT] = ACTIONS(2202),
    [anon_sym_GT_GT] = ACTIONS(2202),
    [anon_sym_COLON] = ACTIONS(2200),
    [anon_sym_SEMI] = ACTIONS(2202),
    [anon_sym___extension__] = ACTIONS(2200),
    [anon_sym___attribute__] = ACTIONS(2200),
    [anon_sym_COLON_COLON] = ACTIONS(2202),
    [anon_sym___based] = ACTIONS(2200),
    [anon_sym_LBRACE] = ACTIONS(2202),
    [anon_sym_RBRACE] = ACTIONS(2202),
    [anon_sym_signed] = ACTIONS(2200),
    [anon_sym_unsigned] = ACTIONS(2200),
    [anon_sym_long] = ACTIONS(2200),
    [anon_sym_short] = ACTIONS(2200),
    [anon_sym_LBRACK] = ACTIONS(2202),
    [anon_sym_RBRACK] = ACTIONS(2202),
    [anon_sym_const] = ACTIONS(2200),
    [anon_sym_constexpr] = ACTIONS(2200),
    [anon_sym_volatile] = ACTIONS(2200),
    [anon_sym_restrict] = ACTIONS(2200),
    [anon_sym___restrict__] = ACTIONS(2200),
    [anon_sym__Atomic] = ACTIONS(2200),
    [anon_sym__Noreturn] = ACTIONS(2200),
    [anon_sym_noreturn] = ACTIONS(2200),
    [anon_sym_mutable] = ACTIONS(2200),
    [anon_sym_constinit] = ACTIONS(2200),
    [anon_sym_consteval] = ACTIONS(2200),
    [sym_primitive_type] = ACTIONS(2200),
    [anon_sym_QMARK] = ACTIONS(2202),
    [anon_sym_LT_EQ_GT] = ACTIONS(2202),
    [anon_sym_or] = ACTIONS(2200),
    [anon_sym_and] = ACTIONS(2200),
    [anon_sym_bitor] = ACTIONS(2200),
    [anon_sym_xor] = ACTIONS(2200),
    [anon_sym_bitand] = ACTIONS(2200),
    [anon_sym_not_eq] = ACTIONS(2200),
    [anon_sym_DASH_DASH] = ACTIONS(2202),
    [anon_sym_PLUS_PLUS] = ACTIONS(2202),
    [anon_sym_DOT] = ACTIONS(2200),
    [anon_sym_DOT_STAR] = ACTIONS(2202),
    [anon_sym_DASH_GT] = ACTIONS(2202),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2200),
    [anon_sym_decltype] = ACTIONS(2200),
    [anon_sym_final] = ACTIONS(2200),
    [anon_sym_override] = ACTIONS(2200),
    [anon_sym_requires] = ACTIONS(2200),
  },
  [3230] = {
    [sym_identifier] = ACTIONS(2264),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2266),
    [anon_sym_COMMA] = ACTIONS(2266),
    [anon_sym_RPAREN] = ACTIONS(2266),
    [aux_sym_preproc_if_token2] = ACTIONS(2266),
    [aux_sym_preproc_else_token1] = ACTIONS(2266),
    [aux_sym_preproc_elif_token1] = ACTIONS(2264),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2266),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2266),
    [anon_sym_LPAREN2] = ACTIONS(2266),
    [anon_sym_DASH] = ACTIONS(2264),
    [anon_sym_PLUS] = ACTIONS(2264),
    [anon_sym_STAR] = ACTIONS(2264),
    [anon_sym_SLASH] = ACTIONS(2264),
    [anon_sym_PERCENT] = ACTIONS(2264),
    [anon_sym_PIPE_PIPE] = ACTIONS(2266),
    [anon_sym_AMP_AMP] = ACTIONS(2266),
    [anon_sym_PIPE] = ACTIONS(2264),
    [anon_sym_CARET] = ACTIONS(2264),
    [anon_sym_AMP] = ACTIONS(2264),
    [anon_sym_EQ_EQ] = ACTIONS(2266),
    [anon_sym_BANG_EQ] = ACTIONS(2266),
    [anon_sym_GT] = ACTIONS(2264),
    [anon_sym_GT_EQ] = ACTIONS(2266),
    [anon_sym_LT_EQ] = ACTIONS(2264),
    [anon_sym_LT] = ACTIONS(2264),
    [anon_sym_LT_LT] = ACTIONS(2264),
    [anon_sym_GT_GT] = ACTIONS(2264),
    [anon_sym_COLON] = ACTIONS(2264),
    [anon_sym_SEMI] = ACTIONS(2266),
    [anon_sym___attribute__] = ACTIONS(2264),
    [anon_sym_COLON_COLON] = ACTIONS(2262),
    [anon_sym_LBRACE] = ACTIONS(2266),
    [anon_sym_RBRACE] = ACTIONS(2266),
    [anon_sym_LBRACK] = ACTIONS(2266),
    [anon_sym_RBRACK] = ACTIONS(2266),
    [anon_sym_EQ] = ACTIONS(2264),
    [anon_sym_QMARK] = ACTIONS(2266),
    [anon_sym_STAR_EQ] = ACTIONS(2266),
    [anon_sym_SLASH_EQ] = ACTIONS(2266),
    [anon_sym_PERCENT_EQ] = ACTIONS(2266),
    [anon_sym_PLUS_EQ] = ACTIONS(2266),
    [anon_sym_DASH_EQ] = ACTIONS(2266),
    [anon_sym_LT_LT_EQ] = ACTIONS(2266),
    [anon_sym_GT_GT_EQ] = ACTIONS(2266),
    [anon_sym_AMP_EQ] = ACTIONS(2266),
    [anon_sym_CARET_EQ] = ACTIONS(2266),
    [anon_sym_PIPE_EQ] = ACTIONS(2266),
    [anon_sym_and_eq] = ACTIONS(2264),
    [anon_sym_or_eq] = ACTIONS(2264),
    [anon_sym_xor_eq] = ACTIONS(2264),
    [anon_sym_LT_EQ_GT] = ACTIONS(2266),
    [anon_sym_or] = ACTIONS(2264),
    [anon_sym_and] = ACTIONS(2264),
    [anon_sym_bitor] = ACTIONS(2264),
    [anon_sym_xor] = ACTIONS(2264),
    [anon_sym_bitand] = ACTIONS(2264),
    [anon_sym_not_eq] = ACTIONS(2264),
    [anon_sym_DASH_DASH] = ACTIONS(2266),
    [anon_sym_PLUS_PLUS] = ACTIONS(2266),
    [anon_sym_DOT] = ACTIONS(2264),
    [anon_sym_DOT_STAR] = ACTIONS(2266),
    [anon_sym_DASH_GT] = ACTIONS(2266),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2264),
    [anon_sym_decltype] = ACTIONS(2264),
    [anon_sym_final] = ACTIONS(2264),
    [anon_sym_override] = ACTIONS(2264),
  },
  [3231] = {
    [sym_identifier] = ACTIONS(2216),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2218),
    [anon_sym_COMMA] = ACTIONS(2218),
    [anon_sym_RPAREN] = ACTIONS(2218),
    [aux_sym_preproc_if_token2] = ACTIONS(2218),
    [aux_sym_preproc_else_token1] = ACTIONS(2218),
    [aux_sym_preproc_elif_token1] = ACTIONS(2216),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2218),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2218),
    [anon_sym_LPAREN2] = ACTIONS(2218),
    [anon_sym_DASH] = ACTIONS(2216),
    [anon_sym_PLUS] = ACTIONS(2216),
    [anon_sym_STAR] = ACTIONS(2216),
    [anon_sym_SLASH] = ACTIONS(2216),
    [anon_sym_PERCENT] = ACTIONS(2216),
    [anon_sym_PIPE_PIPE] = ACTIONS(2218),
    [anon_sym_AMP_AMP] = ACTIONS(2218),
    [anon_sym_PIPE] = ACTIONS(2216),
    [anon_sym_CARET] = ACTIONS(2216),
    [anon_sym_AMP] = ACTIONS(2216),
    [anon_sym_EQ_EQ] = ACTIONS(2218),
    [anon_sym_BANG_EQ] = ACTIONS(2218),
    [anon_sym_GT] = ACTIONS(2216),
    [anon_sym_GT_EQ] = ACTIONS(2218),
    [anon_sym_LT_EQ] = ACTIONS(2216),
    [anon_sym_LT] = ACTIONS(2216),
    [anon_sym_LT_LT] = ACTIONS(2216),
    [anon_sym_GT_GT] = ACTIONS(2216),
    [anon_sym_COLON] = ACTIONS(2216),
    [anon_sym_SEMI] = ACTIONS(2218),
    [anon_sym___attribute__] = ACTIONS(2216),
    [anon_sym_COLON_COLON] = ACTIONS(2218),
    [anon_sym_LBRACE] = ACTIONS(2218),
    [anon_sym_RBRACE] = ACTIONS(2218),
    [anon_sym_LBRACK] = ACTIONS(2218),
    [anon_sym_RBRACK] = ACTIONS(2218),
    [anon_sym_EQ] = ACTIONS(2216),
    [anon_sym_QMARK] = ACTIONS(2218),
    [anon_sym_STAR_EQ] = ACTIONS(2218),
    [anon_sym_SLASH_EQ] = ACTIONS(2218),
    [anon_sym_PERCENT_EQ] = ACTIONS(2218),
    [anon_sym_PLUS_EQ] = ACTIONS(2218),
    [anon_sym_DASH_EQ] = ACTIONS(2218),
    [anon_sym_LT_LT_EQ] = ACTIONS(2218),
    [anon_sym_GT_GT_EQ] = ACTIONS(2218),
    [anon_sym_AMP_EQ] = ACTIONS(2218),
    [anon_sym_CARET_EQ] = ACTIONS(2218),
    [anon_sym_PIPE_EQ] = ACTIONS(2218),
    [anon_sym_and_eq] = ACTIONS(2216),
    [anon_sym_or_eq] = ACTIONS(2216),
    [anon_sym_xor_eq] = ACTIONS(2216),
    [anon_sym_LT_EQ_GT] = ACTIONS(2218),
    [anon_sym_or] = ACTIONS(2216),
    [anon_sym_and] = ACTIONS(2216),
    [anon_sym_bitor] = ACTIONS(2216),
    [anon_sym_xor] = ACTIONS(2216),
    [anon_sym_bitand] = ACTIONS(2216),
    [anon_sym_not_eq] = ACTIONS(2216),
    [anon_sym_DASH_DASH] = ACTIONS(2218),
    [anon_sym_PLUS_PLUS] = ACTIONS(2218),
    [anon_sym_DOT] = ACTIONS(2216),
    [anon_sym_DOT_STAR] = ACTIONS(2218),
    [anon_sym_DASH_GT] = ACTIONS(2218),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2216),
    [anon_sym_decltype] = ACTIONS(2216),
    [anon_sym_final] = ACTIONS(2216),
    [anon_sym_override] = ACTIONS(2216),
  },
  [3232] = {
    [sym_type_qualifier] = STATE(3232),
    [aux_sym__type_definition_type_repeat1] = STATE(3232),
    [sym_identifier] = ACTIONS(6481),
    [anon_sym_LPAREN2] = ACTIONS(6483),
    [anon_sym_BANG] = ACTIONS(6483),
    [anon_sym_TILDE] = ACTIONS(6483),
    [anon_sym_DASH] = ACTIONS(6481),
    [anon_sym_PLUS] = ACTIONS(6481),
    [anon_sym_STAR] = ACTIONS(6483),
    [anon_sym_AMP] = ACTIONS(6483),
    [anon_sym___extension__] = ACTIONS(6485),
    [anon_sym_COLON_COLON] = ACTIONS(6483),
    [anon_sym_LBRACK] = ACTIONS(6483),
    [anon_sym_RBRACK] = ACTIONS(6483),
    [anon_sym_const] = ACTIONS(6485),
    [anon_sym_constexpr] = ACTIONS(6485),
    [anon_sym_volatile] = ACTIONS(6485),
    [anon_sym_restrict] = ACTIONS(6485),
    [anon_sym___restrict__] = ACTIONS(6485),
    [anon_sym__Atomic] = ACTIONS(6485),
    [anon_sym__Noreturn] = ACTIONS(6485),
    [anon_sym_noreturn] = ACTIONS(6485),
    [anon_sym_mutable] = ACTIONS(6485),
    [anon_sym_constinit] = ACTIONS(6485),
    [anon_sym_consteval] = ACTIONS(6485),
    [sym_primitive_type] = ACTIONS(6481),
    [anon_sym_not] = ACTIONS(6481),
    [anon_sym_compl] = ACTIONS(6481),
    [anon_sym_DASH_DASH] = ACTIONS(6483),
    [anon_sym_PLUS_PLUS] = ACTIONS(6483),
    [anon_sym_sizeof] = ACTIONS(6481),
    [anon_sym___alignof__] = ACTIONS(6481),
    [anon_sym___alignof] = ACTIONS(6481),
    [anon_sym__alignof] = ACTIONS(6481),
    [anon_sym_alignof] = ACTIONS(6481),
    [anon_sym__Alignof] = ACTIONS(6481),
    [anon_sym_offsetof] = ACTIONS(6481),
    [anon_sym__Generic] = ACTIONS(6481),
    [anon_sym_asm] = ACTIONS(6481),
    [anon_sym___asm__] = ACTIONS(6481),
    [sym_number_literal] = ACTIONS(6483),
    [anon_sym_L_SQUOTE] = ACTIONS(6483),
    [anon_sym_u_SQUOTE] = ACTIONS(6483),
    [anon_sym_U_SQUOTE] = ACTIONS(6483),
    [anon_sym_u8_SQUOTE] = ACTIONS(6483),
    [anon_sym_SQUOTE] = ACTIONS(6483),
    [anon_sym_L_DQUOTE] = ACTIONS(6483),
    [anon_sym_u_DQUOTE] = ACTIONS(6483),
    [anon_sym_U_DQUOTE] = ACTIONS(6483),
    [anon_sym_u8_DQUOTE] = ACTIONS(6483),
    [anon_sym_DQUOTE] = ACTIONS(6483),
    [sym_true] = ACTIONS(6481),
    [sym_false] = ACTIONS(6481),
    [anon_sym_NULL] = ACTIONS(6481),
    [anon_sym_nullptr] = ACTIONS(6481),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(6481),
    [anon_sym_template] = ACTIONS(6481),
    [anon_sym_delete] = ACTIONS(6481),
    [anon_sym_R_DQUOTE] = ACTIONS(6483),
    [anon_sym_LR_DQUOTE] = ACTIONS(6483),
    [anon_sym_uR_DQUOTE] = ACTIONS(6483),
    [anon_sym_UR_DQUOTE] = ACTIONS(6483),
    [anon_sym_u8R_DQUOTE] = ACTIONS(6483),
    [anon_sym_co_await] = ACTIONS(6481),
    [anon_sym_new] = ACTIONS(6481),
    [anon_sym_requires] = ACTIONS(6481),
    [sym_this] = ACTIONS(6481),
  },
  [3233] = {
    [sym_identifier] = ACTIONS(2254),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2256),
    [anon_sym_COMMA] = ACTIONS(2256),
    [anon_sym_RPAREN] = ACTIONS(2256),
    [aux_sym_preproc_if_token2] = ACTIONS(2256),
    [aux_sym_preproc_else_token1] = ACTIONS(2256),
    [aux_sym_preproc_elif_token1] = ACTIONS(2254),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2256),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2256),
    [anon_sym_LPAREN2] = ACTIONS(2256),
    [anon_sym_DASH] = ACTIONS(2254),
    [anon_sym_PLUS] = ACTIONS(2254),
    [anon_sym_STAR] = ACTIONS(2254),
    [anon_sym_SLASH] = ACTIONS(2254),
    [anon_sym_PERCENT] = ACTIONS(2254),
    [anon_sym_PIPE_PIPE] = ACTIONS(2256),
    [anon_sym_AMP_AMP] = ACTIONS(2256),
    [anon_sym_PIPE] = ACTIONS(2254),
    [anon_sym_CARET] = ACTIONS(2254),
    [anon_sym_AMP] = ACTIONS(2254),
    [anon_sym_EQ_EQ] = ACTIONS(2256),
    [anon_sym_BANG_EQ] = ACTIONS(2256),
    [anon_sym_GT] = ACTIONS(2254),
    [anon_sym_GT_EQ] = ACTIONS(2256),
    [anon_sym_LT_EQ] = ACTIONS(2254),
    [anon_sym_LT] = ACTIONS(2254),
    [anon_sym_LT_LT] = ACTIONS(2254),
    [anon_sym_GT_GT] = ACTIONS(2254),
    [anon_sym_COLON] = ACTIONS(2254),
    [anon_sym_SEMI] = ACTIONS(2256),
    [anon_sym___attribute__] = ACTIONS(2254),
    [anon_sym_COLON_COLON] = ACTIONS(2256),
    [anon_sym_LBRACE] = ACTIONS(2256),
    [anon_sym_RBRACE] = ACTIONS(2256),
    [anon_sym_LBRACK] = ACTIONS(2256),
    [anon_sym_RBRACK] = ACTIONS(2256),
    [anon_sym_EQ] = ACTIONS(2254),
    [anon_sym_QMARK] = ACTIONS(2256),
    [anon_sym_STAR_EQ] = ACTIONS(2256),
    [anon_sym_SLASH_EQ] = ACTIONS(2256),
    [anon_sym_PERCENT_EQ] = ACTIONS(2256),
    [anon_sym_PLUS_EQ] = ACTIONS(2256),
    [anon_sym_DASH_EQ] = ACTIONS(2256),
    [anon_sym_LT_LT_EQ] = ACTIONS(2256),
    [anon_sym_GT_GT_EQ] = ACTIONS(2256),
    [anon_sym_AMP_EQ] = ACTIONS(2256),
    [anon_sym_CARET_EQ] = ACTIONS(2256),
    [anon_sym_PIPE_EQ] = ACTIONS(2256),
    [anon_sym_and_eq] = ACTIONS(2254),
    [anon_sym_or_eq] = ACTIONS(2254),
    [anon_sym_xor_eq] = ACTIONS(2254),
    [anon_sym_LT_EQ_GT] = ACTIONS(2256),
    [anon_sym_or] = ACTIONS(2254),
    [anon_sym_and] = ACTIONS(2254),
    [anon_sym_bitor] = ACTIONS(2254),
    [anon_sym_xor] = ACTIONS(2254),
    [anon_sym_bitand] = ACTIONS(2254),
    [anon_sym_not_eq] = ACTIONS(2254),
    [anon_sym_DASH_DASH] = ACTIONS(2256),
    [anon_sym_PLUS_PLUS] = ACTIONS(2256),
    [anon_sym_DOT] = ACTIONS(2254),
    [anon_sym_DOT_STAR] = ACTIONS(2256),
    [anon_sym_DASH_GT] = ACTIONS(2256),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2254),
    [anon_sym_decltype] = ACTIONS(2254),
    [anon_sym_final] = ACTIONS(2254),
    [anon_sym_override] = ACTIONS(2254),
  },
  [3234] = {
    [sym_string_literal] = STATE(3682),
    [sym_template_argument_list] = STATE(4862),
    [sym_raw_string_literal] = STATE(3682),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4213),
    [anon_sym_COMMA] = ACTIONS(4213),
    [anon_sym_LPAREN2] = ACTIONS(4213),
    [anon_sym_DASH] = ACTIONS(4221),
    [anon_sym_PLUS] = ACTIONS(4221),
    [anon_sym_STAR] = ACTIONS(4221),
    [anon_sym_SLASH] = ACTIONS(4221),
    [anon_sym_PERCENT] = ACTIONS(4221),
    [anon_sym_PIPE_PIPE] = ACTIONS(4213),
    [anon_sym_AMP_AMP] = ACTIONS(4213),
    [anon_sym_PIPE] = ACTIONS(4221),
    [anon_sym_CARET] = ACTIONS(4221),
    [anon_sym_AMP] = ACTIONS(4221),
    [anon_sym_EQ_EQ] = ACTIONS(4213),
    [anon_sym_BANG_EQ] = ACTIONS(4213),
    [anon_sym_GT] = ACTIONS(4221),
    [anon_sym_GT_EQ] = ACTIONS(4213),
    [anon_sym_LT_EQ] = ACTIONS(4221),
    [anon_sym_LT] = ACTIONS(6488),
    [anon_sym_LT_LT] = ACTIONS(4221),
    [anon_sym_GT_GT] = ACTIONS(4221),
    [anon_sym_COLON] = ACTIONS(4323),
    [anon_sym_SEMI] = ACTIONS(4213),
    [anon_sym_COLON_COLON] = ACTIONS(2230),
    [anon_sym_LBRACE] = ACTIONS(2226),
    [anon_sym_RBRACE] = ACTIONS(4213),
    [anon_sym_LBRACK] = ACTIONS(4213),
    [anon_sym_EQ] = ACTIONS(4243),
    [anon_sym_QMARK] = ACTIONS(4213),
    [anon_sym_STAR_EQ] = ACTIONS(4245),
    [anon_sym_SLASH_EQ] = ACTIONS(4245),
    [anon_sym_PERCENT_EQ] = ACTIONS(4245),
    [anon_sym_PLUS_EQ] = ACTIONS(4245),
    [anon_sym_DASH_EQ] = ACTIONS(4245),
    [anon_sym_LT_LT_EQ] = ACTIONS(4245),
    [anon_sym_GT_GT_EQ] = ACTIONS(4245),
    [anon_sym_AMP_EQ] = ACTIONS(4245),
    [anon_sym_CARET_EQ] = ACTIONS(4245),
    [anon_sym_PIPE_EQ] = ACTIONS(4245),
    [anon_sym_and_eq] = ACTIONS(4245),
    [anon_sym_or_eq] = ACTIONS(4245),
    [anon_sym_xor_eq] = ACTIONS(4245),
    [anon_sym_LT_EQ_GT] = ACTIONS(4213),
    [anon_sym_or] = ACTIONS(4221),
    [anon_sym_and] = ACTIONS(4221),
    [anon_sym_bitor] = ACTIONS(4213),
    [anon_sym_xor] = ACTIONS(4221),
    [anon_sym_bitand] = ACTIONS(4213),
    [anon_sym_not_eq] = ACTIONS(4213),
    [anon_sym_DASH_DASH] = ACTIONS(4213),
    [anon_sym_PLUS_PLUS] = ACTIONS(4213),
    [anon_sym_DOT] = ACTIONS(4221),
    [anon_sym_DOT_STAR] = ACTIONS(4213),
    [anon_sym_DASH_GT] = ACTIONS(4213),
    [anon_sym_L_DQUOTE] = ACTIONS(4247),
    [anon_sym_u_DQUOTE] = ACTIONS(4247),
    [anon_sym_U_DQUOTE] = ACTIONS(4247),
    [anon_sym_u8_DQUOTE] = ACTIONS(4247),
    [anon_sym_DQUOTE] = ACTIONS(4247),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(4249),
    [anon_sym_LR_DQUOTE] = ACTIONS(4249),
    [anon_sym_uR_DQUOTE] = ACTIONS(4249),
    [anon_sym_UR_DQUOTE] = ACTIONS(4249),
    [anon_sym_u8R_DQUOTE] = ACTIONS(4249),
  },
  [3235] = {
    [sym_identifier] = ACTIONS(2212),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2214),
    [anon_sym_COMMA] = ACTIONS(2214),
    [anon_sym_RPAREN] = ACTIONS(2214),
    [aux_sym_preproc_if_token2] = ACTIONS(2214),
    [aux_sym_preproc_else_token1] = ACTIONS(2214),
    [aux_sym_preproc_elif_token1] = ACTIONS(2212),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2214),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2214),
    [anon_sym_LPAREN2] = ACTIONS(2214),
    [anon_sym_DASH] = ACTIONS(2212),
    [anon_sym_PLUS] = ACTIONS(2212),
    [anon_sym_STAR] = ACTIONS(2212),
    [anon_sym_SLASH] = ACTIONS(2212),
    [anon_sym_PERCENT] = ACTIONS(2212),
    [anon_sym_PIPE_PIPE] = ACTIONS(2214),
    [anon_sym_AMP_AMP] = ACTIONS(2214),
    [anon_sym_PIPE] = ACTIONS(2212),
    [anon_sym_CARET] = ACTIONS(2212),
    [anon_sym_AMP] = ACTIONS(2212),
    [anon_sym_EQ_EQ] = ACTIONS(2214),
    [anon_sym_BANG_EQ] = ACTIONS(2214),
    [anon_sym_GT] = ACTIONS(2212),
    [anon_sym_GT_EQ] = ACTIONS(2214),
    [anon_sym_LT_EQ] = ACTIONS(2212),
    [anon_sym_LT] = ACTIONS(2212),
    [anon_sym_LT_LT] = ACTIONS(2212),
    [anon_sym_GT_GT] = ACTIONS(2212),
    [anon_sym_COLON] = ACTIONS(2212),
    [anon_sym_SEMI] = ACTIONS(2214),
    [anon_sym___attribute__] = ACTIONS(2212),
    [anon_sym_COLON_COLON] = ACTIONS(2214),
    [anon_sym_LBRACE] = ACTIONS(2214),
    [anon_sym_RBRACE] = ACTIONS(2214),
    [anon_sym_LBRACK] = ACTIONS(2214),
    [anon_sym_RBRACK] = ACTIONS(2214),
    [anon_sym_EQ] = ACTIONS(2212),
    [anon_sym_QMARK] = ACTIONS(2214),
    [anon_sym_STAR_EQ] = ACTIONS(2214),
    [anon_sym_SLASH_EQ] = ACTIONS(2214),
    [anon_sym_PERCENT_EQ] = ACTIONS(2214),
    [anon_sym_PLUS_EQ] = ACTIONS(2214),
    [anon_sym_DASH_EQ] = ACTIONS(2214),
    [anon_sym_LT_LT_EQ] = ACTIONS(2214),
    [anon_sym_GT_GT_EQ] = ACTIONS(2214),
    [anon_sym_AMP_EQ] = ACTIONS(2214),
    [anon_sym_CARET_EQ] = ACTIONS(2214),
    [anon_sym_PIPE_EQ] = ACTIONS(2214),
    [anon_sym_and_eq] = ACTIONS(2212),
    [anon_sym_or_eq] = ACTIONS(2212),
    [anon_sym_xor_eq] = ACTIONS(2212),
    [anon_sym_LT_EQ_GT] = ACTIONS(2214),
    [anon_sym_or] = ACTIONS(2212),
    [anon_sym_and] = ACTIONS(2212),
    [anon_sym_bitor] = ACTIONS(2212),
    [anon_sym_xor] = ACTIONS(2212),
    [anon_sym_bitand] = ACTIONS(2212),
    [anon_sym_not_eq] = ACTIONS(2212),
    [anon_sym_DASH_DASH] = ACTIONS(2214),
    [anon_sym_PLUS_PLUS] = ACTIONS(2214),
    [anon_sym_DOT] = ACTIONS(2212),
    [anon_sym_DOT_STAR] = ACTIONS(2214),
    [anon_sym_DASH_GT] = ACTIONS(2214),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2212),
    [anon_sym_decltype] = ACTIONS(2212),
    [anon_sym_final] = ACTIONS(2212),
    [anon_sym_override] = ACTIONS(2212),
  },
  [3236] = {
    [sym_identifier] = ACTIONS(2254),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2256),
    [anon_sym_COMMA] = ACTIONS(2256),
    [anon_sym_RPAREN] = ACTIONS(4575),
    [anon_sym_LPAREN2] = ACTIONS(4575),
    [anon_sym_TILDE] = ACTIONS(2256),
    [anon_sym_STAR] = ACTIONS(2256),
    [anon_sym_AMP_AMP] = ACTIONS(2256),
    [anon_sym_AMP] = ACTIONS(2254),
    [anon_sym_COLON] = ACTIONS(2254),
    [anon_sym_SEMI] = ACTIONS(4573),
    [anon_sym___extension__] = ACTIONS(2254),
    [anon_sym_in] = ACTIONS(2254),
    [anon_sym_out] = ACTIONS(2254),
    [anon_sym_inout] = ACTIONS(2254),
    [anon_sym_extern] = ACTIONS(2254),
    [anon_sym___attribute__] = ACTIONS(2254),
    [anon_sym_COLON_COLON] = ACTIONS(2256),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4575),
    [anon_sym___declspec] = ACTIONS(2254),
    [anon_sym___based] = ACTIONS(2254),
    [anon_sym_LBRACK] = ACTIONS(4580),
    [anon_sym_EQ] = ACTIONS(2256),
    [anon_sym_static] = ACTIONS(2254),
    [anon_sym_register] = ACTIONS(2254),
    [anon_sym_inline] = ACTIONS(2254),
    [anon_sym___inline] = ACTIONS(2254),
    [anon_sym___inline__] = ACTIONS(2254),
    [anon_sym___forceinline] = ACTIONS(2254),
    [anon_sym_thread_local] = ACTIONS(2254),
    [anon_sym___thread] = ACTIONS(2254),
    [anon_sym_const] = ACTIONS(2254),
    [anon_sym_constexpr] = ACTIONS(2254),
    [anon_sym_volatile] = ACTIONS(2254),
    [anon_sym_restrict] = ACTIONS(2254),
    [anon_sym___restrict__] = ACTIONS(2254),
    [anon_sym__Atomic] = ACTIONS(2254),
    [anon_sym__Noreturn] = ACTIONS(2254),
    [anon_sym_noreturn] = ACTIONS(2254),
    [anon_sym_mutable] = ACTIONS(2254),
    [anon_sym_constinit] = ACTIONS(2254),
    [anon_sym_consteval] = ACTIONS(2254),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2254),
    [anon_sym_decltype] = ACTIONS(2254),
    [anon_sym_virtual] = ACTIONS(2254),
    [anon_sym_alignas] = ACTIONS(2254),
    [anon_sym_template] = ACTIONS(2254),
    [anon_sym_operator] = ACTIONS(2254),
    [anon_sym_precise] = ACTIONS(2254),
    [anon_sym_shared] = ACTIONS(2254),
    [anon_sym_groupshared] = ACTIONS(2254),
    [anon_sym_uniform] = ACTIONS(2254),
    [anon_sym_row_major] = ACTIONS(2254),
    [anon_sym_column_major] = ACTIONS(2254),
    [anon_sym_globallycoherent] = ACTIONS(2254),
    [anon_sym_centroid] = ACTIONS(2254),
    [anon_sym_noperspective] = ACTIONS(2254),
    [anon_sym_nointerpolation] = ACTIONS(2254),
    [anon_sym_sample] = ACTIONS(2254),
    [anon_sym_linear] = ACTIONS(2254),
    [anon_sym_snorm] = ACTIONS(2254),
    [anon_sym_unorm] = ACTIONS(2254),
    [anon_sym_point] = ACTIONS(2254),
    [anon_sym_line] = ACTIONS(2254),
    [anon_sym_triangleadj] = ACTIONS(2254),
    [anon_sym_lineadj] = ACTIONS(2254),
    [anon_sym_triangle] = ACTIONS(2254),
  },
  [3237] = {
    [sym_identifier] = ACTIONS(2208),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2210),
    [anon_sym_COMMA] = ACTIONS(2210),
    [anon_sym_RPAREN] = ACTIONS(2210),
    [aux_sym_preproc_if_token2] = ACTIONS(2210),
    [aux_sym_preproc_else_token1] = ACTIONS(2210),
    [aux_sym_preproc_elif_token1] = ACTIONS(2208),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2210),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2210),
    [anon_sym_LPAREN2] = ACTIONS(2210),
    [anon_sym_DASH] = ACTIONS(2208),
    [anon_sym_PLUS] = ACTIONS(2208),
    [anon_sym_STAR] = ACTIONS(2208),
    [anon_sym_SLASH] = ACTIONS(2208),
    [anon_sym_PERCENT] = ACTIONS(2208),
    [anon_sym_PIPE_PIPE] = ACTIONS(2210),
    [anon_sym_AMP_AMP] = ACTIONS(2210),
    [anon_sym_PIPE] = ACTIONS(2208),
    [anon_sym_CARET] = ACTIONS(2208),
    [anon_sym_AMP] = ACTIONS(2208),
    [anon_sym_EQ_EQ] = ACTIONS(2210),
    [anon_sym_BANG_EQ] = ACTIONS(2210),
    [anon_sym_GT] = ACTIONS(2208),
    [anon_sym_GT_EQ] = ACTIONS(2210),
    [anon_sym_LT_EQ] = ACTIONS(2208),
    [anon_sym_LT] = ACTIONS(2208),
    [anon_sym_LT_LT] = ACTIONS(2208),
    [anon_sym_GT_GT] = ACTIONS(2208),
    [anon_sym_COLON] = ACTIONS(2208),
    [anon_sym_SEMI] = ACTIONS(2210),
    [anon_sym___attribute__] = ACTIONS(2208),
    [anon_sym_COLON_COLON] = ACTIONS(2210),
    [anon_sym_LBRACE] = ACTIONS(2210),
    [anon_sym_RBRACE] = ACTIONS(2210),
    [anon_sym_LBRACK] = ACTIONS(2210),
    [anon_sym_RBRACK] = ACTIONS(2210),
    [anon_sym_EQ] = ACTIONS(2208),
    [anon_sym_QMARK] = ACTIONS(2210),
    [anon_sym_STAR_EQ] = ACTIONS(2210),
    [anon_sym_SLASH_EQ] = ACTIONS(2210),
    [anon_sym_PERCENT_EQ] = ACTIONS(2210),
    [anon_sym_PLUS_EQ] = ACTIONS(2210),
    [anon_sym_DASH_EQ] = ACTIONS(2210),
    [anon_sym_LT_LT_EQ] = ACTIONS(2210),
    [anon_sym_GT_GT_EQ] = ACTIONS(2210),
    [anon_sym_AMP_EQ] = ACTIONS(2210),
    [anon_sym_CARET_EQ] = ACTIONS(2210),
    [anon_sym_PIPE_EQ] = ACTIONS(2210),
    [anon_sym_and_eq] = ACTIONS(2208),
    [anon_sym_or_eq] = ACTIONS(2208),
    [anon_sym_xor_eq] = ACTIONS(2208),
    [anon_sym_LT_EQ_GT] = ACTIONS(2210),
    [anon_sym_or] = ACTIONS(2208),
    [anon_sym_and] = ACTIONS(2208),
    [anon_sym_bitor] = ACTIONS(2208),
    [anon_sym_xor] = ACTIONS(2208),
    [anon_sym_bitand] = ACTIONS(2208),
    [anon_sym_not_eq] = ACTIONS(2208),
    [anon_sym_DASH_DASH] = ACTIONS(2210),
    [anon_sym_PLUS_PLUS] = ACTIONS(2210),
    [anon_sym_DOT] = ACTIONS(2208),
    [anon_sym_DOT_STAR] = ACTIONS(2210),
    [anon_sym_DASH_GT] = ACTIONS(2210),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2208),
    [anon_sym_decltype] = ACTIONS(2208),
    [anon_sym_final] = ACTIONS(2208),
    [anon_sym_override] = ACTIONS(2208),
  },
  [3238] = {
    [sym_template_argument_list] = STATE(3291),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4548),
    [anon_sym_COMMA] = ACTIONS(4548),
    [anon_sym_LPAREN2] = ACTIONS(4548),
    [anon_sym_DASH] = ACTIONS(4551),
    [anon_sym_PLUS] = ACTIONS(4551),
    [anon_sym_STAR] = ACTIONS(4553),
    [anon_sym_SLASH] = ACTIONS(4551),
    [anon_sym_PERCENT] = ACTIONS(4551),
    [anon_sym_PIPE_PIPE] = ACTIONS(4546),
    [anon_sym_AMP_AMP] = ACTIONS(4548),
    [anon_sym_PIPE] = ACTIONS(4551),
    [anon_sym_CARET] = ACTIONS(4551),
    [anon_sym_AMP] = ACTIONS(4553),
    [anon_sym_EQ_EQ] = ACTIONS(4546),
    [anon_sym_BANG_EQ] = ACTIONS(4546),
    [anon_sym_GT] = ACTIONS(4551),
    [anon_sym_GT_EQ] = ACTIONS(4551),
    [anon_sym_LT_EQ] = ACTIONS(4551),
    [anon_sym_LT] = ACTIONS(6491),
    [anon_sym_LT_LT] = ACTIONS(4551),
    [anon_sym_GT_GT] = ACTIONS(4551),
    [anon_sym___extension__] = ACTIONS(2234),
    [anon_sym_COLON_COLON] = ACTIONS(2230),
    [anon_sym_LBRACE] = ACTIONS(2234),
    [anon_sym_LBRACK] = ACTIONS(4548),
    [anon_sym_EQ] = ACTIONS(4551),
    [anon_sym_const] = ACTIONS(2232),
    [anon_sym_constexpr] = ACTIONS(2234),
    [anon_sym_volatile] = ACTIONS(2234),
    [anon_sym_restrict] = ACTIONS(2234),
    [anon_sym___restrict__] = ACTIONS(2234),
    [anon_sym__Atomic] = ACTIONS(2234),
    [anon_sym__Noreturn] = ACTIONS(2234),
    [anon_sym_noreturn] = ACTIONS(2234),
    [anon_sym_mutable] = ACTIONS(2234),
    [anon_sym_constinit] = ACTIONS(2234),
    [anon_sym_consteval] = ACTIONS(2234),
    [anon_sym_QMARK] = ACTIONS(4546),
    [anon_sym_STAR_EQ] = ACTIONS(4546),
    [anon_sym_SLASH_EQ] = ACTIONS(4546),
    [anon_sym_PERCENT_EQ] = ACTIONS(4546),
    [anon_sym_PLUS_EQ] = ACTIONS(4546),
    [anon_sym_DASH_EQ] = ACTIONS(4546),
    [anon_sym_LT_LT_EQ] = ACTIONS(4546),
    [anon_sym_GT_GT_EQ] = ACTIONS(4551),
    [anon_sym_AMP_EQ] = ACTIONS(4546),
    [anon_sym_CARET_EQ] = ACTIONS(4546),
    [anon_sym_PIPE_EQ] = ACTIONS(4546),
    [anon_sym_and_eq] = ACTIONS(4546),
    [anon_sym_or_eq] = ACTIONS(4546),
    [anon_sym_xor_eq] = ACTIONS(4546),
    [anon_sym_LT_EQ_GT] = ACTIONS(4546),
    [anon_sym_or] = ACTIONS(4551),
    [anon_sym_and] = ACTIONS(4551),
    [anon_sym_bitor] = ACTIONS(4546),
    [anon_sym_xor] = ACTIONS(4551),
    [anon_sym_bitand] = ACTIONS(4546),
    [anon_sym_not_eq] = ACTIONS(4546),
    [anon_sym_DASH_DASH] = ACTIONS(4546),
    [anon_sym_PLUS_PLUS] = ACTIONS(4546),
    [anon_sym_DOT] = ACTIONS(4551),
    [anon_sym_DOT_STAR] = ACTIONS(4546),
    [anon_sym_DASH_GT] = ACTIONS(4546),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2234),
    [anon_sym_decltype] = ACTIONS(2234),
    [anon_sym_GT2] = ACTIONS(4548),
  },
  [3239] = {
    [sym_attribute_specifier] = STATE(3082),
    [sym_field_declaration_list] = STATE(3124),
    [sym_virtual_specifier] = STATE(8472),
    [sym_base_class_clause] = STATE(8993),
    [sym_identifier] = ACTIONS(5925),
    [anon_sym_LPAREN2] = ACTIONS(5927),
    [anon_sym_STAR] = ACTIONS(5927),
    [anon_sym_AMP_AMP] = ACTIONS(5927),
    [anon_sym_AMP] = ACTIONS(5925),
    [anon_sym_COLON] = ACTIONS(6417),
    [anon_sym_SEMI] = ACTIONS(5927),
    [anon_sym___extension__] = ACTIONS(5925),
    [anon_sym_in] = ACTIONS(5925),
    [anon_sym_out] = ACTIONS(5925),
    [anon_sym_inout] = ACTIONS(5925),
    [anon_sym_extern] = ACTIONS(5925),
    [anon_sym___attribute__] = ACTIONS(5581),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5927),
    [anon_sym___declspec] = ACTIONS(5925),
    [anon_sym___based] = ACTIONS(5925),
    [anon_sym_LBRACE] = ACTIONS(5929),
    [anon_sym_LBRACK] = ACTIONS(5925),
    [anon_sym_static] = ACTIONS(5925),
    [anon_sym_register] = ACTIONS(5925),
    [anon_sym_inline] = ACTIONS(5925),
    [anon_sym___inline] = ACTIONS(5925),
    [anon_sym___inline__] = ACTIONS(5925),
    [anon_sym___forceinline] = ACTIONS(5925),
    [anon_sym_thread_local] = ACTIONS(5925),
    [anon_sym___thread] = ACTIONS(5925),
    [anon_sym_const] = ACTIONS(5925),
    [anon_sym_constexpr] = ACTIONS(5925),
    [anon_sym_volatile] = ACTIONS(5925),
    [anon_sym_restrict] = ACTIONS(5925),
    [anon_sym___restrict__] = ACTIONS(5925),
    [anon_sym__Atomic] = ACTIONS(5925),
    [anon_sym__Noreturn] = ACTIONS(5925),
    [anon_sym_noreturn] = ACTIONS(5925),
    [anon_sym_mutable] = ACTIONS(5925),
    [anon_sym_constinit] = ACTIONS(5925),
    [anon_sym_consteval] = ACTIONS(5925),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5925),
    [anon_sym_decltype] = ACTIONS(5925),
    [anon_sym_final] = ACTIONS(2198),
    [anon_sym_override] = ACTIONS(2198),
    [anon_sym_virtual] = ACTIONS(5925),
    [anon_sym_alignas] = ACTIONS(5925),
    [anon_sym_operator] = ACTIONS(5925),
    [anon_sym_precise] = ACTIONS(5925),
    [anon_sym_shared] = ACTIONS(5925),
    [anon_sym_groupshared] = ACTIONS(5925),
    [anon_sym_uniform] = ACTIONS(5925),
    [anon_sym_row_major] = ACTIONS(5925),
    [anon_sym_column_major] = ACTIONS(5925),
    [anon_sym_globallycoherent] = ACTIONS(5925),
    [anon_sym_centroid] = ACTIONS(5925),
    [anon_sym_noperspective] = ACTIONS(5925),
    [anon_sym_nointerpolation] = ACTIONS(5925),
    [anon_sym_sample] = ACTIONS(5925),
    [anon_sym_linear] = ACTIONS(5925),
    [anon_sym_snorm] = ACTIONS(5925),
    [anon_sym_unorm] = ACTIONS(5925),
    [anon_sym_point] = ACTIONS(5925),
    [anon_sym_line] = ACTIONS(5925),
    [anon_sym_triangleadj] = ACTIONS(5925),
    [anon_sym_lineadj] = ACTIONS(5925),
    [anon_sym_triangle] = ACTIONS(5925),
  },
  [3240] = {
    [sym_string_literal] = STATE(3131),
    [sym_template_argument_list] = STATE(3468),
    [sym_raw_string_literal] = STATE(3131),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4213),
    [anon_sym_COMMA] = ACTIONS(4213),
    [anon_sym_LPAREN2] = ACTIONS(6494),
    [anon_sym_DASH] = ACTIONS(4221),
    [anon_sym_PLUS] = ACTIONS(4221),
    [anon_sym_STAR] = ACTIONS(4221),
    [anon_sym_SLASH] = ACTIONS(4221),
    [anon_sym_PERCENT] = ACTIONS(4221),
    [anon_sym_PIPE_PIPE] = ACTIONS(4213),
    [anon_sym_AMP_AMP] = ACTIONS(4213),
    [anon_sym_PIPE] = ACTIONS(4221),
    [anon_sym_CARET] = ACTIONS(4221),
    [anon_sym_AMP] = ACTIONS(4221),
    [anon_sym_EQ_EQ] = ACTIONS(4213),
    [anon_sym_BANG_EQ] = ACTIONS(4213),
    [anon_sym_GT] = ACTIONS(4221),
    [anon_sym_GT_EQ] = ACTIONS(4213),
    [anon_sym_LT_EQ] = ACTIONS(4221),
    [anon_sym_LT] = ACTIONS(6228),
    [anon_sym_LT_LT] = ACTIONS(4221),
    [anon_sym_GT_GT] = ACTIONS(4221),
    [anon_sym_SEMI] = ACTIONS(4213),
    [anon_sym_COLON_COLON] = ACTIONS(2230),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(6494),
    [anon_sym_LBRACE] = ACTIONS(2226),
    [anon_sym_RBRACE] = ACTIONS(4213),
    [anon_sym_LBRACK] = ACTIONS(6496),
    [anon_sym_EQ] = ACTIONS(4221),
    [anon_sym_QMARK] = ACTIONS(4213),
    [anon_sym_STAR_EQ] = ACTIONS(4213),
    [anon_sym_SLASH_EQ] = ACTIONS(4213),
    [anon_sym_PERCENT_EQ] = ACTIONS(4213),
    [anon_sym_PLUS_EQ] = ACTIONS(4213),
    [anon_sym_DASH_EQ] = ACTIONS(4213),
    [anon_sym_LT_LT_EQ] = ACTIONS(4213),
    [anon_sym_GT_GT_EQ] = ACTIONS(4213),
    [anon_sym_AMP_EQ] = ACTIONS(4213),
    [anon_sym_CARET_EQ] = ACTIONS(4213),
    [anon_sym_PIPE_EQ] = ACTIONS(4213),
    [anon_sym_and_eq] = ACTIONS(4213),
    [anon_sym_or_eq] = ACTIONS(4213),
    [anon_sym_xor_eq] = ACTIONS(4213),
    [anon_sym_LT_EQ_GT] = ACTIONS(4213),
    [anon_sym_or] = ACTIONS(4221),
    [anon_sym_and] = ACTIONS(4221),
    [anon_sym_bitor] = ACTIONS(4213),
    [anon_sym_xor] = ACTIONS(4221),
    [anon_sym_bitand] = ACTIONS(4213),
    [anon_sym_not_eq] = ACTIONS(4213),
    [anon_sym_DASH_DASH] = ACTIONS(4213),
    [anon_sym_PLUS_PLUS] = ACTIONS(4213),
    [anon_sym_DOT] = ACTIONS(4221),
    [anon_sym_DOT_STAR] = ACTIONS(4213),
    [anon_sym_DASH_GT] = ACTIONS(4213),
    [anon_sym_L_DQUOTE] = ACTIONS(3944),
    [anon_sym_u_DQUOTE] = ACTIONS(3944),
    [anon_sym_U_DQUOTE] = ACTIONS(3944),
    [anon_sym_u8_DQUOTE] = ACTIONS(3944),
    [anon_sym_DQUOTE] = ACTIONS(3944),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(3952),
    [anon_sym_LR_DQUOTE] = ACTIONS(3952),
    [anon_sym_uR_DQUOTE] = ACTIONS(3952),
    [anon_sym_UR_DQUOTE] = ACTIONS(3952),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3952),
  },
  [3241] = {
    [sym_string_literal] = STATE(3131),
    [sym_raw_string_literal] = STATE(3131),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4213),
    [anon_sym_COMMA] = ACTIONS(4213),
    [anon_sym_RPAREN] = ACTIONS(4213),
    [anon_sym_LPAREN2] = ACTIONS(4213),
    [anon_sym_DASH] = ACTIONS(4221),
    [anon_sym_PLUS] = ACTIONS(4221),
    [anon_sym_STAR] = ACTIONS(4221),
    [anon_sym_SLASH] = ACTIONS(4221),
    [anon_sym_PERCENT] = ACTIONS(4221),
    [anon_sym_PIPE_PIPE] = ACTIONS(4213),
    [anon_sym_AMP_AMP] = ACTIONS(4213),
    [anon_sym_PIPE] = ACTIONS(4221),
    [anon_sym_CARET] = ACTIONS(4221),
    [anon_sym_AMP] = ACTIONS(4221),
    [anon_sym_EQ_EQ] = ACTIONS(4213),
    [anon_sym_BANG_EQ] = ACTIONS(4213),
    [anon_sym_GT] = ACTIONS(4221),
    [anon_sym_GT_EQ] = ACTIONS(4213),
    [anon_sym_LT_EQ] = ACTIONS(4221),
    [anon_sym_LT] = ACTIONS(4221),
    [anon_sym_LT_LT] = ACTIONS(4221),
    [anon_sym_GT_GT] = ACTIONS(4221),
    [anon_sym_COLON] = ACTIONS(4213),
    [anon_sym_SEMI] = ACTIONS(4213),
    [anon_sym_RBRACE] = ACTIONS(4213),
    [anon_sym_LBRACK] = ACTIONS(4213),
    [anon_sym_RBRACK] = ACTIONS(4213),
    [anon_sym_EQ] = ACTIONS(4221),
    [anon_sym_QMARK] = ACTIONS(4213),
    [anon_sym_STAR_EQ] = ACTIONS(4213),
    [anon_sym_SLASH_EQ] = ACTIONS(4213),
    [anon_sym_PERCENT_EQ] = ACTIONS(4213),
    [anon_sym_PLUS_EQ] = ACTIONS(4213),
    [anon_sym_DASH_EQ] = ACTIONS(4213),
    [anon_sym_LT_LT_EQ] = ACTIONS(4213),
    [anon_sym_GT_GT_EQ] = ACTIONS(4213),
    [anon_sym_AMP_EQ] = ACTIONS(4213),
    [anon_sym_CARET_EQ] = ACTIONS(4213),
    [anon_sym_PIPE_EQ] = ACTIONS(4213),
    [anon_sym_and_eq] = ACTIONS(4221),
    [anon_sym_or_eq] = ACTIONS(4221),
    [anon_sym_xor_eq] = ACTIONS(4221),
    [anon_sym_LT_EQ_GT] = ACTIONS(4213),
    [anon_sym_or] = ACTIONS(4221),
    [anon_sym_and] = ACTIONS(4221),
    [anon_sym_bitor] = ACTIONS(4221),
    [anon_sym_xor] = ACTIONS(4221),
    [anon_sym_bitand] = ACTIONS(4221),
    [anon_sym_not_eq] = ACTIONS(4221),
    [anon_sym_DASH_DASH] = ACTIONS(4213),
    [anon_sym_PLUS_PLUS] = ACTIONS(4213),
    [anon_sym_DOT] = ACTIONS(4221),
    [anon_sym_DOT_STAR] = ACTIONS(4213),
    [anon_sym_DASH_GT] = ACTIONS(4213),
    [anon_sym_L_DQUOTE] = ACTIONS(3944),
    [anon_sym_u_DQUOTE] = ACTIONS(3944),
    [anon_sym_U_DQUOTE] = ACTIONS(3944),
    [anon_sym_u8_DQUOTE] = ACTIONS(3944),
    [anon_sym_DQUOTE] = ACTIONS(3944),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(3952),
    [anon_sym_LR_DQUOTE] = ACTIONS(3952),
    [anon_sym_uR_DQUOTE] = ACTIONS(3952),
    [anon_sym_UR_DQUOTE] = ACTIONS(3952),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3952),
    [sym_literal_suffix] = ACTIONS(6460),
  },
  [3242] = {
    [sym_string_literal] = STATE(3131),
    [sym_raw_string_literal] = STATE(3131),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6479),
    [anon_sym_COMMA] = ACTIONS(6479),
    [anon_sym_RPAREN] = ACTIONS(6479),
    [anon_sym_LPAREN2] = ACTIONS(6479),
    [anon_sym_DASH] = ACTIONS(6477),
    [anon_sym_PLUS] = ACTIONS(6477),
    [anon_sym_STAR] = ACTIONS(6477),
    [anon_sym_SLASH] = ACTIONS(6477),
    [anon_sym_PERCENT] = ACTIONS(6477),
    [anon_sym_PIPE_PIPE] = ACTIONS(6479),
    [anon_sym_AMP_AMP] = ACTIONS(6479),
    [anon_sym_PIPE] = ACTIONS(6477),
    [anon_sym_CARET] = ACTIONS(6477),
    [anon_sym_AMP] = ACTIONS(6477),
    [anon_sym_EQ_EQ] = ACTIONS(6479),
    [anon_sym_BANG_EQ] = ACTIONS(6479),
    [anon_sym_GT] = ACTIONS(6477),
    [anon_sym_GT_EQ] = ACTIONS(6479),
    [anon_sym_LT_EQ] = ACTIONS(6477),
    [anon_sym_LT] = ACTIONS(6477),
    [anon_sym_LT_LT] = ACTIONS(6477),
    [anon_sym_GT_GT] = ACTIONS(6477),
    [anon_sym_COLON] = ACTIONS(6479),
    [anon_sym_SEMI] = ACTIONS(6479),
    [anon_sym_RBRACE] = ACTIONS(6479),
    [anon_sym_LBRACK] = ACTIONS(6479),
    [anon_sym_RBRACK] = ACTIONS(6479),
    [anon_sym_EQ] = ACTIONS(6477),
    [anon_sym_QMARK] = ACTIONS(6479),
    [anon_sym_STAR_EQ] = ACTIONS(6479),
    [anon_sym_SLASH_EQ] = ACTIONS(6479),
    [anon_sym_PERCENT_EQ] = ACTIONS(6479),
    [anon_sym_PLUS_EQ] = ACTIONS(6479),
    [anon_sym_DASH_EQ] = ACTIONS(6479),
    [anon_sym_LT_LT_EQ] = ACTIONS(6479),
    [anon_sym_GT_GT_EQ] = ACTIONS(6479),
    [anon_sym_AMP_EQ] = ACTIONS(6479),
    [anon_sym_CARET_EQ] = ACTIONS(6479),
    [anon_sym_PIPE_EQ] = ACTIONS(6479),
    [anon_sym_and_eq] = ACTIONS(6477),
    [anon_sym_or_eq] = ACTIONS(6477),
    [anon_sym_xor_eq] = ACTIONS(6477),
    [anon_sym_LT_EQ_GT] = ACTIONS(6479),
    [anon_sym_or] = ACTIONS(6477),
    [anon_sym_and] = ACTIONS(6477),
    [anon_sym_bitor] = ACTIONS(6477),
    [anon_sym_xor] = ACTIONS(6477),
    [anon_sym_bitand] = ACTIONS(6477),
    [anon_sym_not_eq] = ACTIONS(6477),
    [anon_sym_DASH_DASH] = ACTIONS(6479),
    [anon_sym_PLUS_PLUS] = ACTIONS(6479),
    [anon_sym_DOT] = ACTIONS(6477),
    [anon_sym_DOT_STAR] = ACTIONS(6479),
    [anon_sym_DASH_GT] = ACTIONS(6479),
    [anon_sym_L_DQUOTE] = ACTIONS(3944),
    [anon_sym_u_DQUOTE] = ACTIONS(3944),
    [anon_sym_U_DQUOTE] = ACTIONS(3944),
    [anon_sym_u8_DQUOTE] = ACTIONS(3944),
    [anon_sym_DQUOTE] = ACTIONS(3944),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(3952),
    [anon_sym_LR_DQUOTE] = ACTIONS(3952),
    [anon_sym_uR_DQUOTE] = ACTIONS(3952),
    [anon_sym_UR_DQUOTE] = ACTIONS(3952),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3952),
    [sym_literal_suffix] = ACTIONS(6460),
  },
  [3243] = {
    [sym_string_literal] = STATE(3250),
    [sym_raw_string_literal] = STATE(3250),
    [aux_sym_concatenated_string_repeat1] = STATE(3250),
    [sym_identifier] = ACTIONS(6498),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6241),
    [anon_sym_COMMA] = ACTIONS(6241),
    [aux_sym_preproc_if_token2] = ACTIONS(6241),
    [aux_sym_preproc_else_token1] = ACTIONS(6241),
    [aux_sym_preproc_elif_token1] = ACTIONS(6241),
    [anon_sym_LPAREN2] = ACTIONS(6241),
    [anon_sym_DASH] = ACTIONS(6243),
    [anon_sym_PLUS] = ACTIONS(6243),
    [anon_sym_STAR] = ACTIONS(6243),
    [anon_sym_SLASH] = ACTIONS(6243),
    [anon_sym_PERCENT] = ACTIONS(6243),
    [anon_sym_PIPE_PIPE] = ACTIONS(6241),
    [anon_sym_AMP_AMP] = ACTIONS(6241),
    [anon_sym_PIPE] = ACTIONS(6243),
    [anon_sym_CARET] = ACTIONS(6243),
    [anon_sym_AMP] = ACTIONS(6243),
    [anon_sym_EQ_EQ] = ACTIONS(6241),
    [anon_sym_BANG_EQ] = ACTIONS(6241),
    [anon_sym_GT] = ACTIONS(6243),
    [anon_sym_GT_EQ] = ACTIONS(6241),
    [anon_sym_LT_EQ] = ACTIONS(6243),
    [anon_sym_LT] = ACTIONS(6243),
    [anon_sym_LT_LT] = ACTIONS(6243),
    [anon_sym_GT_GT] = ACTIONS(6243),
    [anon_sym_LBRACK] = ACTIONS(6241),
    [anon_sym_EQ] = ACTIONS(6243),
    [anon_sym_QMARK] = ACTIONS(6241),
    [anon_sym_STAR_EQ] = ACTIONS(6241),
    [anon_sym_SLASH_EQ] = ACTIONS(6241),
    [anon_sym_PERCENT_EQ] = ACTIONS(6241),
    [anon_sym_PLUS_EQ] = ACTIONS(6241),
    [anon_sym_DASH_EQ] = ACTIONS(6241),
    [anon_sym_LT_LT_EQ] = ACTIONS(6241),
    [anon_sym_GT_GT_EQ] = ACTIONS(6241),
    [anon_sym_AMP_EQ] = ACTIONS(6241),
    [anon_sym_CARET_EQ] = ACTIONS(6241),
    [anon_sym_PIPE_EQ] = ACTIONS(6241),
    [anon_sym_and_eq] = ACTIONS(6243),
    [anon_sym_or_eq] = ACTIONS(6243),
    [anon_sym_xor_eq] = ACTIONS(6243),
    [anon_sym_LT_EQ_GT] = ACTIONS(6241),
    [anon_sym_or] = ACTIONS(6243),
    [anon_sym_and] = ACTIONS(6243),
    [anon_sym_bitor] = ACTIONS(6243),
    [anon_sym_xor] = ACTIONS(6243),
    [anon_sym_bitand] = ACTIONS(6243),
    [anon_sym_not_eq] = ACTIONS(6243),
    [anon_sym_DASH_DASH] = ACTIONS(6241),
    [anon_sym_PLUS_PLUS] = ACTIONS(6241),
    [anon_sym_DOT] = ACTIONS(6243),
    [anon_sym_DOT_STAR] = ACTIONS(6241),
    [anon_sym_DASH_GT] = ACTIONS(6241),
    [anon_sym_L_DQUOTE] = ACTIONS(4016),
    [anon_sym_u_DQUOTE] = ACTIONS(4016),
    [anon_sym_U_DQUOTE] = ACTIONS(4016),
    [anon_sym_u8_DQUOTE] = ACTIONS(4016),
    [anon_sym_DQUOTE] = ACTIONS(4016),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(4024),
    [anon_sym_LR_DQUOTE] = ACTIONS(4024),
    [anon_sym_uR_DQUOTE] = ACTIONS(4024),
    [anon_sym_UR_DQUOTE] = ACTIONS(4024),
    [anon_sym_u8R_DQUOTE] = ACTIONS(4024),
    [sym_literal_suffix] = ACTIONS(6243),
  },
  [3244] = {
    [sym_identifier] = ACTIONS(2258),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2260),
    [anon_sym_COMMA] = ACTIONS(2260),
    [anon_sym_RPAREN] = ACTIONS(2260),
    [aux_sym_preproc_if_token2] = ACTIONS(2260),
    [aux_sym_preproc_else_token1] = ACTIONS(2260),
    [aux_sym_preproc_elif_token1] = ACTIONS(2258),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2260),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2260),
    [anon_sym_LPAREN2] = ACTIONS(2260),
    [anon_sym_DASH] = ACTIONS(2258),
    [anon_sym_PLUS] = ACTIONS(2258),
    [anon_sym_STAR] = ACTIONS(2258),
    [anon_sym_SLASH] = ACTIONS(2258),
    [anon_sym_PERCENT] = ACTIONS(2258),
    [anon_sym_PIPE_PIPE] = ACTIONS(2260),
    [anon_sym_AMP_AMP] = ACTIONS(2260),
    [anon_sym_PIPE] = ACTIONS(2258),
    [anon_sym_CARET] = ACTIONS(2258),
    [anon_sym_AMP] = ACTIONS(2258),
    [anon_sym_EQ_EQ] = ACTIONS(2260),
    [anon_sym_BANG_EQ] = ACTIONS(2260),
    [anon_sym_GT] = ACTIONS(2258),
    [anon_sym_GT_EQ] = ACTIONS(2260),
    [anon_sym_LT_EQ] = ACTIONS(2258),
    [anon_sym_LT] = ACTIONS(2258),
    [anon_sym_LT_LT] = ACTIONS(2258),
    [anon_sym_GT_GT] = ACTIONS(2258),
    [anon_sym_COLON] = ACTIONS(2258),
    [anon_sym_SEMI] = ACTIONS(2260),
    [anon_sym___attribute__] = ACTIONS(2258),
    [anon_sym_COLON_COLON] = ACTIONS(2262),
    [anon_sym_LBRACE] = ACTIONS(2260),
    [anon_sym_RBRACE] = ACTIONS(2260),
    [anon_sym_LBRACK] = ACTIONS(2260),
    [anon_sym_RBRACK] = ACTIONS(2260),
    [anon_sym_EQ] = ACTIONS(2258),
    [anon_sym_QMARK] = ACTIONS(2260),
    [anon_sym_STAR_EQ] = ACTIONS(2260),
    [anon_sym_SLASH_EQ] = ACTIONS(2260),
    [anon_sym_PERCENT_EQ] = ACTIONS(2260),
    [anon_sym_PLUS_EQ] = ACTIONS(2260),
    [anon_sym_DASH_EQ] = ACTIONS(2260),
    [anon_sym_LT_LT_EQ] = ACTIONS(2260),
    [anon_sym_GT_GT_EQ] = ACTIONS(2260),
    [anon_sym_AMP_EQ] = ACTIONS(2260),
    [anon_sym_CARET_EQ] = ACTIONS(2260),
    [anon_sym_PIPE_EQ] = ACTIONS(2260),
    [anon_sym_and_eq] = ACTIONS(2258),
    [anon_sym_or_eq] = ACTIONS(2258),
    [anon_sym_xor_eq] = ACTIONS(2258),
    [anon_sym_LT_EQ_GT] = ACTIONS(2260),
    [anon_sym_or] = ACTIONS(2258),
    [anon_sym_and] = ACTIONS(2258),
    [anon_sym_bitor] = ACTIONS(2258),
    [anon_sym_xor] = ACTIONS(2258),
    [anon_sym_bitand] = ACTIONS(2258),
    [anon_sym_not_eq] = ACTIONS(2258),
    [anon_sym_DASH_DASH] = ACTIONS(2260),
    [anon_sym_PLUS_PLUS] = ACTIONS(2260),
    [anon_sym_DOT] = ACTIONS(2258),
    [anon_sym_DOT_STAR] = ACTIONS(2260),
    [anon_sym_DASH_GT] = ACTIONS(2260),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2258),
    [anon_sym_decltype] = ACTIONS(2258),
    [anon_sym_final] = ACTIONS(2258),
    [anon_sym_override] = ACTIONS(2258),
  },
  [3245] = {
    [sym_string_literal] = STATE(3682),
    [sym_template_argument_list] = STATE(4862),
    [sym_raw_string_literal] = STATE(3682),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4213),
    [anon_sym_COMMA] = ACTIONS(4213),
    [anon_sym_LPAREN2] = ACTIONS(4213),
    [anon_sym_DASH] = ACTIONS(4221),
    [anon_sym_PLUS] = ACTIONS(4221),
    [anon_sym_STAR] = ACTIONS(4221),
    [anon_sym_SLASH] = ACTIONS(4221),
    [anon_sym_PERCENT] = ACTIONS(4221),
    [anon_sym_PIPE_PIPE] = ACTIONS(4213),
    [anon_sym_AMP_AMP] = ACTIONS(4213),
    [anon_sym_PIPE] = ACTIONS(4221),
    [anon_sym_CARET] = ACTIONS(4221),
    [anon_sym_AMP] = ACTIONS(4221),
    [anon_sym_EQ_EQ] = ACTIONS(4213),
    [anon_sym_BANG_EQ] = ACTIONS(4213),
    [anon_sym_GT] = ACTIONS(4221),
    [anon_sym_GT_EQ] = ACTIONS(4213),
    [anon_sym_LT_EQ] = ACTIONS(4221),
    [anon_sym_LT] = ACTIONS(6488),
    [anon_sym_LT_LT] = ACTIONS(4221),
    [anon_sym_GT_GT] = ACTIONS(4221),
    [anon_sym_COLON] = ACTIONS(6500),
    [anon_sym_SEMI] = ACTIONS(4213),
    [anon_sym_COLON_COLON] = ACTIONS(2230),
    [anon_sym_LBRACE] = ACTIONS(2226),
    [anon_sym_RBRACE] = ACTIONS(4213),
    [anon_sym_LBRACK] = ACTIONS(4213),
    [anon_sym_EQ] = ACTIONS(4243),
    [anon_sym_QMARK] = ACTIONS(4213),
    [anon_sym_STAR_EQ] = ACTIONS(4245),
    [anon_sym_SLASH_EQ] = ACTIONS(4245),
    [anon_sym_PERCENT_EQ] = ACTIONS(4245),
    [anon_sym_PLUS_EQ] = ACTIONS(4245),
    [anon_sym_DASH_EQ] = ACTIONS(4245),
    [anon_sym_LT_LT_EQ] = ACTIONS(4245),
    [anon_sym_GT_GT_EQ] = ACTIONS(4245),
    [anon_sym_AMP_EQ] = ACTIONS(4245),
    [anon_sym_CARET_EQ] = ACTIONS(4245),
    [anon_sym_PIPE_EQ] = ACTIONS(4245),
    [anon_sym_and_eq] = ACTIONS(4245),
    [anon_sym_or_eq] = ACTIONS(4245),
    [anon_sym_xor_eq] = ACTIONS(4245),
    [anon_sym_LT_EQ_GT] = ACTIONS(4213),
    [anon_sym_or] = ACTIONS(4221),
    [anon_sym_and] = ACTIONS(4221),
    [anon_sym_bitor] = ACTIONS(4213),
    [anon_sym_xor] = ACTIONS(4221),
    [anon_sym_bitand] = ACTIONS(4213),
    [anon_sym_not_eq] = ACTIONS(4213),
    [anon_sym_DASH_DASH] = ACTIONS(4213),
    [anon_sym_PLUS_PLUS] = ACTIONS(4213),
    [anon_sym_DOT] = ACTIONS(4221),
    [anon_sym_DOT_STAR] = ACTIONS(4213),
    [anon_sym_DASH_GT] = ACTIONS(4213),
    [anon_sym_L_DQUOTE] = ACTIONS(4247),
    [anon_sym_u_DQUOTE] = ACTIONS(4247),
    [anon_sym_U_DQUOTE] = ACTIONS(4247),
    [anon_sym_u8_DQUOTE] = ACTIONS(4247),
    [anon_sym_DQUOTE] = ACTIONS(4247),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(4249),
    [anon_sym_LR_DQUOTE] = ACTIONS(4249),
    [anon_sym_uR_DQUOTE] = ACTIONS(4249),
    [anon_sym_UR_DQUOTE] = ACTIONS(4249),
    [anon_sym_u8R_DQUOTE] = ACTIONS(4249),
  },
  [3246] = {
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4573),
    [anon_sym_COMMA] = ACTIONS(4573),
    [anon_sym_RPAREN] = ACTIONS(4575),
    [anon_sym_LPAREN2] = ACTIONS(4575),
    [anon_sym_DASH] = ACTIONS(4578),
    [anon_sym_PLUS] = ACTIONS(4578),
    [anon_sym_STAR] = ACTIONS(4580),
    [anon_sym_SLASH] = ACTIONS(4578),
    [anon_sym_PERCENT] = ACTIONS(4578),
    [anon_sym_PIPE_PIPE] = ACTIONS(4573),
    [anon_sym_AMP_AMP] = ACTIONS(4575),
    [anon_sym_PIPE] = ACTIONS(4578),
    [anon_sym_CARET] = ACTIONS(4578),
    [anon_sym_AMP] = ACTIONS(4580),
    [anon_sym_EQ_EQ] = ACTIONS(4573),
    [anon_sym_BANG_EQ] = ACTIONS(4573),
    [anon_sym_GT] = ACTIONS(4578),
    [anon_sym_GT_EQ] = ACTIONS(4573),
    [anon_sym_LT_EQ] = ACTIONS(4578),
    [anon_sym_LT] = ACTIONS(4578),
    [anon_sym_LT_LT] = ACTIONS(4578),
    [anon_sym_GT_GT] = ACTIONS(4578),
    [anon_sym___extension__] = ACTIONS(2256),
    [anon_sym_COLON_COLON] = ACTIONS(2256),
    [anon_sym_LBRACE] = ACTIONS(2256),
    [anon_sym_LBRACK] = ACTIONS(4575),
    [anon_sym_EQ] = ACTIONS(4578),
    [anon_sym_const] = ACTIONS(2254),
    [anon_sym_constexpr] = ACTIONS(2256),
    [anon_sym_volatile] = ACTIONS(2256),
    [anon_sym_restrict] = ACTIONS(2256),
    [anon_sym___restrict__] = ACTIONS(2256),
    [anon_sym__Atomic] = ACTIONS(2256),
    [anon_sym__Noreturn] = ACTIONS(2256),
    [anon_sym_noreturn] = ACTIONS(2256),
    [anon_sym_mutable] = ACTIONS(2256),
    [anon_sym_constinit] = ACTIONS(2256),
    [anon_sym_consteval] = ACTIONS(2256),
    [anon_sym_QMARK] = ACTIONS(4573),
    [anon_sym_STAR_EQ] = ACTIONS(4573),
    [anon_sym_SLASH_EQ] = ACTIONS(4573),
    [anon_sym_PERCENT_EQ] = ACTIONS(4573),
    [anon_sym_PLUS_EQ] = ACTIONS(4573),
    [anon_sym_DASH_EQ] = ACTIONS(4573),
    [anon_sym_LT_LT_EQ] = ACTIONS(4573),
    [anon_sym_GT_GT_EQ] = ACTIONS(4573),
    [anon_sym_AMP_EQ] = ACTIONS(4573),
    [anon_sym_CARET_EQ] = ACTIONS(4573),
    [anon_sym_PIPE_EQ] = ACTIONS(4573),
    [anon_sym_and_eq] = ACTIONS(4573),
    [anon_sym_or_eq] = ACTIONS(4573),
    [anon_sym_xor_eq] = ACTIONS(4573),
    [anon_sym_LT_EQ_GT] = ACTIONS(4573),
    [anon_sym_or] = ACTIONS(4578),
    [anon_sym_and] = ACTIONS(4578),
    [anon_sym_bitor] = ACTIONS(4573),
    [anon_sym_xor] = ACTIONS(4578),
    [anon_sym_bitand] = ACTIONS(4573),
    [anon_sym_not_eq] = ACTIONS(4573),
    [anon_sym_DASH_DASH] = ACTIONS(4573),
    [anon_sym_PLUS_PLUS] = ACTIONS(4573),
    [anon_sym_DOT] = ACTIONS(4578),
    [anon_sym_DOT_STAR] = ACTIONS(4573),
    [anon_sym_DASH_GT] = ACTIONS(4578),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2256),
    [anon_sym_decltype] = ACTIONS(2256),
    [anon_sym_DASH_GT_STAR] = ACTIONS(4573),
  },
  [3247] = {
    [sym_identifier] = ACTIONS(5931),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5933),
    [anon_sym_COMMA] = ACTIONS(5933),
    [anon_sym_RPAREN] = ACTIONS(5933),
    [anon_sym_LPAREN2] = ACTIONS(5933),
    [anon_sym_DASH] = ACTIONS(5931),
    [anon_sym_PLUS] = ACTIONS(5931),
    [anon_sym_STAR] = ACTIONS(5933),
    [anon_sym_SLASH] = ACTIONS(5931),
    [anon_sym_PERCENT] = ACTIONS(5933),
    [anon_sym_PIPE_PIPE] = ACTIONS(5933),
    [anon_sym_AMP_AMP] = ACTIONS(5933),
    [anon_sym_PIPE] = ACTIONS(5931),
    [anon_sym_CARET] = ACTIONS(5933),
    [anon_sym_AMP] = ACTIONS(5931),
    [anon_sym_EQ_EQ] = ACTIONS(5933),
    [anon_sym_BANG_EQ] = ACTIONS(5933),
    [anon_sym_GT] = ACTIONS(5931),
    [anon_sym_GT_EQ] = ACTIONS(5933),
    [anon_sym_LT_EQ] = ACTIONS(5931),
    [anon_sym_LT] = ACTIONS(5931),
    [anon_sym_LT_LT] = ACTIONS(5933),
    [anon_sym_GT_GT] = ACTIONS(5933),
    [anon_sym_COLON] = ACTIONS(5931),
    [anon_sym_SEMI] = ACTIONS(5933),
    [anon_sym___extension__] = ACTIONS(5931),
    [anon_sym___attribute__] = ACTIONS(5931),
    [anon_sym_COLON_COLON] = ACTIONS(2262),
    [anon_sym___based] = ACTIONS(5931),
    [anon_sym_LBRACE] = ACTIONS(5933),
    [anon_sym_RBRACE] = ACTIONS(5933),
    [anon_sym_signed] = ACTIONS(5931),
    [anon_sym_unsigned] = ACTIONS(5931),
    [anon_sym_long] = ACTIONS(5931),
    [anon_sym_short] = ACTIONS(5931),
    [anon_sym_LBRACK] = ACTIONS(5933),
    [anon_sym_RBRACK] = ACTIONS(5933),
    [anon_sym_const] = ACTIONS(5931),
    [anon_sym_constexpr] = ACTIONS(5931),
    [anon_sym_volatile] = ACTIONS(5931),
    [anon_sym_restrict] = ACTIONS(5931),
    [anon_sym___restrict__] = ACTIONS(5931),
    [anon_sym__Atomic] = ACTIONS(5931),
    [anon_sym__Noreturn] = ACTIONS(5931),
    [anon_sym_noreturn] = ACTIONS(5931),
    [anon_sym_mutable] = ACTIONS(5931),
    [anon_sym_constinit] = ACTIONS(5931),
    [anon_sym_consteval] = ACTIONS(5931),
    [sym_primitive_type] = ACTIONS(5931),
    [anon_sym_QMARK] = ACTIONS(5933),
    [anon_sym_LT_EQ_GT] = ACTIONS(5933),
    [anon_sym_or] = ACTIONS(5931),
    [anon_sym_and] = ACTIONS(5931),
    [anon_sym_bitor] = ACTIONS(5931),
    [anon_sym_xor] = ACTIONS(5931),
    [anon_sym_bitand] = ACTIONS(5931),
    [anon_sym_not_eq] = ACTIONS(5931),
    [anon_sym_DASH_DASH] = ACTIONS(5933),
    [anon_sym_PLUS_PLUS] = ACTIONS(5933),
    [anon_sym_DOT] = ACTIONS(5931),
    [anon_sym_DOT_STAR] = ACTIONS(5933),
    [anon_sym_DASH_GT] = ACTIONS(5933),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5931),
    [anon_sym_decltype] = ACTIONS(5931),
    [anon_sym_final] = ACTIONS(5931),
    [anon_sym_override] = ACTIONS(5931),
    [anon_sym_requires] = ACTIONS(5931),
  },
  [3248] = {
    [sym_identifier] = ACTIONS(2258),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2260),
    [anon_sym_COMMA] = ACTIONS(2260),
    [anon_sym_RPAREN] = ACTIONS(2260),
    [anon_sym_LPAREN2] = ACTIONS(2260),
    [anon_sym_DASH] = ACTIONS(2258),
    [anon_sym_PLUS] = ACTIONS(2258),
    [anon_sym_STAR] = ACTIONS(2260),
    [anon_sym_SLASH] = ACTIONS(2258),
    [anon_sym_PERCENT] = ACTIONS(2260),
    [anon_sym_PIPE_PIPE] = ACTIONS(2260),
    [anon_sym_AMP_AMP] = ACTIONS(2260),
    [anon_sym_PIPE] = ACTIONS(2258),
    [anon_sym_CARET] = ACTIONS(2260),
    [anon_sym_AMP] = ACTIONS(2258),
    [anon_sym_EQ_EQ] = ACTIONS(2260),
    [anon_sym_BANG_EQ] = ACTIONS(2260),
    [anon_sym_GT] = ACTIONS(2258),
    [anon_sym_GT_EQ] = ACTIONS(2260),
    [anon_sym_LT_EQ] = ACTIONS(2258),
    [anon_sym_LT] = ACTIONS(2258),
    [anon_sym_LT_LT] = ACTIONS(2260),
    [anon_sym_GT_GT] = ACTIONS(2260),
    [anon_sym_COLON] = ACTIONS(2258),
    [anon_sym_SEMI] = ACTIONS(2260),
    [anon_sym___extension__] = ACTIONS(2258),
    [anon_sym___attribute__] = ACTIONS(2258),
    [anon_sym_COLON_COLON] = ACTIONS(2262),
    [anon_sym___based] = ACTIONS(2258),
    [anon_sym_LBRACE] = ACTIONS(2260),
    [anon_sym_RBRACE] = ACTIONS(2260),
    [anon_sym_signed] = ACTIONS(2258),
    [anon_sym_unsigned] = ACTIONS(2258),
    [anon_sym_long] = ACTIONS(2258),
    [anon_sym_short] = ACTIONS(2258),
    [anon_sym_LBRACK] = ACTIONS(2260),
    [anon_sym_RBRACK] = ACTIONS(2260),
    [anon_sym_const] = ACTIONS(2258),
    [anon_sym_constexpr] = ACTIONS(2258),
    [anon_sym_volatile] = ACTIONS(2258),
    [anon_sym_restrict] = ACTIONS(2258),
    [anon_sym___restrict__] = ACTIONS(2258),
    [anon_sym__Atomic] = ACTIONS(2258),
    [anon_sym__Noreturn] = ACTIONS(2258),
    [anon_sym_noreturn] = ACTIONS(2258),
    [anon_sym_mutable] = ACTIONS(2258),
    [anon_sym_constinit] = ACTIONS(2258),
    [anon_sym_consteval] = ACTIONS(2258),
    [sym_primitive_type] = ACTIONS(2258),
    [anon_sym_QMARK] = ACTIONS(2260),
    [anon_sym_LT_EQ_GT] = ACTIONS(2260),
    [anon_sym_or] = ACTIONS(2258),
    [anon_sym_and] = ACTIONS(2258),
    [anon_sym_bitor] = ACTIONS(2258),
    [anon_sym_xor] = ACTIONS(2258),
    [anon_sym_bitand] = ACTIONS(2258),
    [anon_sym_not_eq] = ACTIONS(2258),
    [anon_sym_DASH_DASH] = ACTIONS(2260),
    [anon_sym_PLUS_PLUS] = ACTIONS(2260),
    [anon_sym_DOT] = ACTIONS(2258),
    [anon_sym_DOT_STAR] = ACTIONS(2260),
    [anon_sym_DASH_GT] = ACTIONS(2260),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2258),
    [anon_sym_decltype] = ACTIONS(2258),
    [anon_sym_final] = ACTIONS(2258),
    [anon_sym_override] = ACTIONS(2258),
    [anon_sym_requires] = ACTIONS(2258),
  },
  [3249] = {
    [sym_string_literal] = STATE(3282),
    [sym_template_argument_list] = STATE(4284),
    [sym_raw_string_literal] = STATE(3282),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4213),
    [anon_sym_COMMA] = ACTIONS(4213),
    [anon_sym_RPAREN] = ACTIONS(6494),
    [anon_sym_LPAREN2] = ACTIONS(6494),
    [anon_sym_DASH] = ACTIONS(4221),
    [anon_sym_PLUS] = ACTIONS(4221),
    [anon_sym_STAR] = ACTIONS(4221),
    [anon_sym_SLASH] = ACTIONS(4221),
    [anon_sym_PERCENT] = ACTIONS(4221),
    [anon_sym_PIPE_PIPE] = ACTIONS(4213),
    [anon_sym_AMP_AMP] = ACTIONS(4213),
    [anon_sym_PIPE] = ACTIONS(4221),
    [anon_sym_CARET] = ACTIONS(4221),
    [anon_sym_AMP] = ACTIONS(4221),
    [anon_sym_EQ_EQ] = ACTIONS(4213),
    [anon_sym_BANG_EQ] = ACTIONS(4213),
    [anon_sym_GT] = ACTIONS(4221),
    [anon_sym_GT_EQ] = ACTIONS(4213),
    [anon_sym_LT_EQ] = ACTIONS(4221),
    [anon_sym_LT] = ACTIONS(5816),
    [anon_sym_LT_LT] = ACTIONS(4221),
    [anon_sym_GT_GT] = ACTIONS(4221),
    [anon_sym_COLON_COLON] = ACTIONS(2230),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(6494),
    [anon_sym_LBRACE] = ACTIONS(2226),
    [anon_sym_LBRACK] = ACTIONS(6496),
    [anon_sym_EQ] = ACTIONS(4221),
    [anon_sym_QMARK] = ACTIONS(4213),
    [anon_sym_STAR_EQ] = ACTIONS(4213),
    [anon_sym_SLASH_EQ] = ACTIONS(4213),
    [anon_sym_PERCENT_EQ] = ACTIONS(4213),
    [anon_sym_PLUS_EQ] = ACTIONS(4213),
    [anon_sym_DASH_EQ] = ACTIONS(4213),
    [anon_sym_LT_LT_EQ] = ACTIONS(4213),
    [anon_sym_GT_GT_EQ] = ACTIONS(4213),
    [anon_sym_AMP_EQ] = ACTIONS(4213),
    [anon_sym_CARET_EQ] = ACTIONS(4213),
    [anon_sym_PIPE_EQ] = ACTIONS(4213),
    [anon_sym_and_eq] = ACTIONS(4213),
    [anon_sym_or_eq] = ACTIONS(4213),
    [anon_sym_xor_eq] = ACTIONS(4213),
    [anon_sym_LT_EQ_GT] = ACTIONS(4213),
    [anon_sym_or] = ACTIONS(4221),
    [anon_sym_and] = ACTIONS(4221),
    [anon_sym_bitor] = ACTIONS(4213),
    [anon_sym_xor] = ACTIONS(4221),
    [anon_sym_bitand] = ACTIONS(4213),
    [anon_sym_not_eq] = ACTIONS(4213),
    [anon_sym_DASH_DASH] = ACTIONS(4213),
    [anon_sym_PLUS_PLUS] = ACTIONS(4213),
    [anon_sym_DOT] = ACTIONS(4221),
    [anon_sym_DOT_STAR] = ACTIONS(4213),
    [anon_sym_DASH_GT] = ACTIONS(4221),
    [anon_sym_L_DQUOTE] = ACTIONS(5796),
    [anon_sym_u_DQUOTE] = ACTIONS(5796),
    [anon_sym_U_DQUOTE] = ACTIONS(5796),
    [anon_sym_u8_DQUOTE] = ACTIONS(5796),
    [anon_sym_DQUOTE] = ACTIONS(5796),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(5798),
    [anon_sym_LR_DQUOTE] = ACTIONS(5798),
    [anon_sym_uR_DQUOTE] = ACTIONS(5798),
    [anon_sym_UR_DQUOTE] = ACTIONS(5798),
    [anon_sym_u8R_DQUOTE] = ACTIONS(5798),
    [anon_sym_DASH_GT_STAR] = ACTIONS(4213),
  },
  [3250] = {
    [sym_string_literal] = STATE(3250),
    [sym_raw_string_literal] = STATE(3250),
    [aux_sym_concatenated_string_repeat1] = STATE(3250),
    [sym_identifier] = ACTIONS(6502),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6271),
    [anon_sym_COMMA] = ACTIONS(6271),
    [aux_sym_preproc_if_token2] = ACTIONS(6271),
    [aux_sym_preproc_else_token1] = ACTIONS(6271),
    [aux_sym_preproc_elif_token1] = ACTIONS(6271),
    [anon_sym_LPAREN2] = ACTIONS(6271),
    [anon_sym_DASH] = ACTIONS(6273),
    [anon_sym_PLUS] = ACTIONS(6273),
    [anon_sym_STAR] = ACTIONS(6273),
    [anon_sym_SLASH] = ACTIONS(6273),
    [anon_sym_PERCENT] = ACTIONS(6273),
    [anon_sym_PIPE_PIPE] = ACTIONS(6271),
    [anon_sym_AMP_AMP] = ACTIONS(6271),
    [anon_sym_PIPE] = ACTIONS(6273),
    [anon_sym_CARET] = ACTIONS(6273),
    [anon_sym_AMP] = ACTIONS(6273),
    [anon_sym_EQ_EQ] = ACTIONS(6271),
    [anon_sym_BANG_EQ] = ACTIONS(6271),
    [anon_sym_GT] = ACTIONS(6273),
    [anon_sym_GT_EQ] = ACTIONS(6271),
    [anon_sym_LT_EQ] = ACTIONS(6273),
    [anon_sym_LT] = ACTIONS(6273),
    [anon_sym_LT_LT] = ACTIONS(6273),
    [anon_sym_GT_GT] = ACTIONS(6273),
    [anon_sym_LBRACK] = ACTIONS(6271),
    [anon_sym_EQ] = ACTIONS(6273),
    [anon_sym_QMARK] = ACTIONS(6271),
    [anon_sym_STAR_EQ] = ACTIONS(6271),
    [anon_sym_SLASH_EQ] = ACTIONS(6271),
    [anon_sym_PERCENT_EQ] = ACTIONS(6271),
    [anon_sym_PLUS_EQ] = ACTIONS(6271),
    [anon_sym_DASH_EQ] = ACTIONS(6271),
    [anon_sym_LT_LT_EQ] = ACTIONS(6271),
    [anon_sym_GT_GT_EQ] = ACTIONS(6271),
    [anon_sym_AMP_EQ] = ACTIONS(6271),
    [anon_sym_CARET_EQ] = ACTIONS(6271),
    [anon_sym_PIPE_EQ] = ACTIONS(6271),
    [anon_sym_and_eq] = ACTIONS(6273),
    [anon_sym_or_eq] = ACTIONS(6273),
    [anon_sym_xor_eq] = ACTIONS(6273),
    [anon_sym_LT_EQ_GT] = ACTIONS(6271),
    [anon_sym_or] = ACTIONS(6273),
    [anon_sym_and] = ACTIONS(6273),
    [anon_sym_bitor] = ACTIONS(6273),
    [anon_sym_xor] = ACTIONS(6273),
    [anon_sym_bitand] = ACTIONS(6273),
    [anon_sym_not_eq] = ACTIONS(6273),
    [anon_sym_DASH_DASH] = ACTIONS(6271),
    [anon_sym_PLUS_PLUS] = ACTIONS(6271),
    [anon_sym_DOT] = ACTIONS(6273),
    [anon_sym_DOT_STAR] = ACTIONS(6271),
    [anon_sym_DASH_GT] = ACTIONS(6271),
    [anon_sym_L_DQUOTE] = ACTIONS(6505),
    [anon_sym_u_DQUOTE] = ACTIONS(6505),
    [anon_sym_U_DQUOTE] = ACTIONS(6505),
    [anon_sym_u8_DQUOTE] = ACTIONS(6505),
    [anon_sym_DQUOTE] = ACTIONS(6505),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(6508),
    [anon_sym_LR_DQUOTE] = ACTIONS(6508),
    [anon_sym_uR_DQUOTE] = ACTIONS(6508),
    [anon_sym_UR_DQUOTE] = ACTIONS(6508),
    [anon_sym_u8R_DQUOTE] = ACTIONS(6508),
    [sym_literal_suffix] = ACTIONS(6273),
  },
  [3251] = {
    [sym_string_literal] = STATE(3282),
    [sym_template_argument_list] = STATE(4161),
    [sym_raw_string_literal] = STATE(3282),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4213),
    [anon_sym_COMMA] = ACTIONS(4213),
    [anon_sym_RPAREN] = ACTIONS(6511),
    [anon_sym_LPAREN2] = ACTIONS(6511),
    [anon_sym_DASH] = ACTIONS(4221),
    [anon_sym_PLUS] = ACTIONS(4221),
    [anon_sym_STAR] = ACTIONS(4221),
    [anon_sym_SLASH] = ACTIONS(4221),
    [anon_sym_PERCENT] = ACTIONS(4221),
    [anon_sym_PIPE_PIPE] = ACTIONS(4213),
    [anon_sym_AMP_AMP] = ACTIONS(4213),
    [anon_sym_PIPE] = ACTIONS(4221),
    [anon_sym_CARET] = ACTIONS(4221),
    [anon_sym_AMP] = ACTIONS(4221),
    [anon_sym_EQ_EQ] = ACTIONS(4213),
    [anon_sym_BANG_EQ] = ACTIONS(4213),
    [anon_sym_GT] = ACTIONS(4221),
    [anon_sym_GT_EQ] = ACTIONS(4213),
    [anon_sym_LT_EQ] = ACTIONS(4221),
    [anon_sym_LT] = ACTIONS(5789),
    [anon_sym_LT_LT] = ACTIONS(4221),
    [anon_sym_GT_GT] = ACTIONS(4221),
    [anon_sym_COLON_COLON] = ACTIONS(2230),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5792),
    [anon_sym_LBRACE] = ACTIONS(2226),
    [anon_sym_LBRACK] = ACTIONS(6514),
    [anon_sym_EQ] = ACTIONS(4221),
    [anon_sym_QMARK] = ACTIONS(4213),
    [anon_sym_STAR_EQ] = ACTIONS(4213),
    [anon_sym_SLASH_EQ] = ACTIONS(4213),
    [anon_sym_PERCENT_EQ] = ACTIONS(4213),
    [anon_sym_PLUS_EQ] = ACTIONS(4213),
    [anon_sym_DASH_EQ] = ACTIONS(4213),
    [anon_sym_LT_LT_EQ] = ACTIONS(4213),
    [anon_sym_GT_GT_EQ] = ACTIONS(4213),
    [anon_sym_AMP_EQ] = ACTIONS(4213),
    [anon_sym_CARET_EQ] = ACTIONS(4213),
    [anon_sym_PIPE_EQ] = ACTIONS(4213),
    [anon_sym_and_eq] = ACTIONS(4213),
    [anon_sym_or_eq] = ACTIONS(4213),
    [anon_sym_xor_eq] = ACTIONS(4213),
    [anon_sym_LT_EQ_GT] = ACTIONS(4213),
    [anon_sym_or] = ACTIONS(4221),
    [anon_sym_and] = ACTIONS(4221),
    [anon_sym_bitor] = ACTIONS(4213),
    [anon_sym_xor] = ACTIONS(4221),
    [anon_sym_bitand] = ACTIONS(4213),
    [anon_sym_not_eq] = ACTIONS(4213),
    [anon_sym_DASH_DASH] = ACTIONS(4213),
    [anon_sym_PLUS_PLUS] = ACTIONS(4213),
    [anon_sym_DOT] = ACTIONS(4221),
    [anon_sym_DOT_STAR] = ACTIONS(4213),
    [anon_sym_DASH_GT] = ACTIONS(4221),
    [anon_sym_L_DQUOTE] = ACTIONS(5796),
    [anon_sym_u_DQUOTE] = ACTIONS(5796),
    [anon_sym_U_DQUOTE] = ACTIONS(5796),
    [anon_sym_u8_DQUOTE] = ACTIONS(5796),
    [anon_sym_DQUOTE] = ACTIONS(5796),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(5798),
    [anon_sym_LR_DQUOTE] = ACTIONS(5798),
    [anon_sym_uR_DQUOTE] = ACTIONS(5798),
    [anon_sym_UR_DQUOTE] = ACTIONS(5798),
    [anon_sym_u8R_DQUOTE] = ACTIONS(5798),
    [anon_sym_DASH_GT_STAR] = ACTIONS(4213),
  },
  [3252] = {
    [sym_identifier] = ACTIONS(2200),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2202),
    [anon_sym_COMMA] = ACTIONS(2202),
    [anon_sym_RPAREN] = ACTIONS(2202),
    [aux_sym_preproc_if_token2] = ACTIONS(2202),
    [aux_sym_preproc_else_token1] = ACTIONS(2202),
    [aux_sym_preproc_elif_token1] = ACTIONS(2200),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2202),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2202),
    [anon_sym_LPAREN2] = ACTIONS(2202),
    [anon_sym_DASH] = ACTIONS(2200),
    [anon_sym_PLUS] = ACTIONS(2200),
    [anon_sym_STAR] = ACTIONS(2200),
    [anon_sym_SLASH] = ACTIONS(2200),
    [anon_sym_PERCENT] = ACTIONS(2200),
    [anon_sym_PIPE_PIPE] = ACTIONS(2202),
    [anon_sym_AMP_AMP] = ACTIONS(2202),
    [anon_sym_PIPE] = ACTIONS(2200),
    [anon_sym_CARET] = ACTIONS(2200),
    [anon_sym_AMP] = ACTIONS(2200),
    [anon_sym_EQ_EQ] = ACTIONS(2202),
    [anon_sym_BANG_EQ] = ACTIONS(2202),
    [anon_sym_GT] = ACTIONS(2200),
    [anon_sym_GT_EQ] = ACTIONS(2202),
    [anon_sym_LT_EQ] = ACTIONS(2200),
    [anon_sym_LT] = ACTIONS(2200),
    [anon_sym_LT_LT] = ACTIONS(2200),
    [anon_sym_GT_GT] = ACTIONS(2200),
    [anon_sym_COLON] = ACTIONS(2200),
    [anon_sym_SEMI] = ACTIONS(2202),
    [anon_sym___attribute__] = ACTIONS(2200),
    [anon_sym_COLON_COLON] = ACTIONS(2202),
    [anon_sym_LBRACE] = ACTIONS(2202),
    [anon_sym_RBRACE] = ACTIONS(2202),
    [anon_sym_LBRACK] = ACTIONS(2202),
    [anon_sym_RBRACK] = ACTIONS(2202),
    [anon_sym_EQ] = ACTIONS(2200),
    [anon_sym_QMARK] = ACTIONS(2202),
    [anon_sym_STAR_EQ] = ACTIONS(2202),
    [anon_sym_SLASH_EQ] = ACTIONS(2202),
    [anon_sym_PERCENT_EQ] = ACTIONS(2202),
    [anon_sym_PLUS_EQ] = ACTIONS(2202),
    [anon_sym_DASH_EQ] = ACTIONS(2202),
    [anon_sym_LT_LT_EQ] = ACTIONS(2202),
    [anon_sym_GT_GT_EQ] = ACTIONS(2202),
    [anon_sym_AMP_EQ] = ACTIONS(2202),
    [anon_sym_CARET_EQ] = ACTIONS(2202),
    [anon_sym_PIPE_EQ] = ACTIONS(2202),
    [anon_sym_and_eq] = ACTIONS(2200),
    [anon_sym_or_eq] = ACTIONS(2200),
    [anon_sym_xor_eq] = ACTIONS(2200),
    [anon_sym_LT_EQ_GT] = ACTIONS(2202),
    [anon_sym_or] = ACTIONS(2200),
    [anon_sym_and] = ACTIONS(2200),
    [anon_sym_bitor] = ACTIONS(2200),
    [anon_sym_xor] = ACTIONS(2200),
    [anon_sym_bitand] = ACTIONS(2200),
    [anon_sym_not_eq] = ACTIONS(2200),
    [anon_sym_DASH_DASH] = ACTIONS(2202),
    [anon_sym_PLUS_PLUS] = ACTIONS(2202),
    [anon_sym_DOT] = ACTIONS(2200),
    [anon_sym_DOT_STAR] = ACTIONS(2202),
    [anon_sym_DASH_GT] = ACTIONS(2202),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2200),
    [anon_sym_decltype] = ACTIONS(2200),
    [anon_sym_final] = ACTIONS(2200),
    [anon_sym_override] = ACTIONS(2200),
  },
  [3253] = {
    [sym_decltype_auto] = STATE(3329),
    [sym_identifier] = ACTIONS(6021),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6023),
    [anon_sym_COMMA] = ACTIONS(6023),
    [anon_sym_RPAREN] = ACTIONS(6023),
    [anon_sym_LPAREN2] = ACTIONS(6023),
    [anon_sym_DASH] = ACTIONS(6021),
    [anon_sym_PLUS] = ACTIONS(6021),
    [anon_sym_STAR] = ACTIONS(6023),
    [anon_sym_SLASH] = ACTIONS(6021),
    [anon_sym_PERCENT] = ACTIONS(6023),
    [anon_sym_PIPE_PIPE] = ACTIONS(6023),
    [anon_sym_AMP_AMP] = ACTIONS(6023),
    [anon_sym_PIPE] = ACTIONS(6021),
    [anon_sym_CARET] = ACTIONS(6023),
    [anon_sym_AMP] = ACTIONS(6021),
    [anon_sym_EQ_EQ] = ACTIONS(6023),
    [anon_sym_BANG_EQ] = ACTIONS(6023),
    [anon_sym_GT] = ACTIONS(6021),
    [anon_sym_GT_EQ] = ACTIONS(6023),
    [anon_sym_LT_EQ] = ACTIONS(6021),
    [anon_sym_LT] = ACTIONS(6021),
    [anon_sym_LT_LT] = ACTIONS(6023),
    [anon_sym_GT_GT] = ACTIONS(6023),
    [anon_sym_COLON] = ACTIONS(6023),
    [anon_sym_SEMI] = ACTIONS(6023),
    [anon_sym___extension__] = ACTIONS(6021),
    [anon_sym___attribute__] = ACTIONS(6021),
    [anon_sym___based] = ACTIONS(6021),
    [anon_sym_LBRACE] = ACTIONS(6023),
    [anon_sym_RBRACE] = ACTIONS(6023),
    [anon_sym_signed] = ACTIONS(6021),
    [anon_sym_unsigned] = ACTIONS(6021),
    [anon_sym_long] = ACTIONS(6021),
    [anon_sym_short] = ACTIONS(6021),
    [anon_sym_LBRACK] = ACTIONS(6023),
    [anon_sym_RBRACK] = ACTIONS(6023),
    [anon_sym_const] = ACTIONS(6021),
    [anon_sym_constexpr] = ACTIONS(6021),
    [anon_sym_volatile] = ACTIONS(6021),
    [anon_sym_restrict] = ACTIONS(6021),
    [anon_sym___restrict__] = ACTIONS(6021),
    [anon_sym__Atomic] = ACTIONS(6021),
    [anon_sym__Noreturn] = ACTIONS(6021),
    [anon_sym_noreturn] = ACTIONS(6021),
    [anon_sym_mutable] = ACTIONS(6021),
    [anon_sym_constinit] = ACTIONS(6021),
    [anon_sym_consteval] = ACTIONS(6021),
    [sym_primitive_type] = ACTIONS(6021),
    [anon_sym_QMARK] = ACTIONS(6023),
    [anon_sym_LT_EQ_GT] = ACTIONS(6023),
    [anon_sym_or] = ACTIONS(6021),
    [anon_sym_and] = ACTIONS(6021),
    [anon_sym_bitor] = ACTIONS(6021),
    [anon_sym_xor] = ACTIONS(6021),
    [anon_sym_bitand] = ACTIONS(6021),
    [anon_sym_not_eq] = ACTIONS(6021),
    [anon_sym_DASH_DASH] = ACTIONS(6023),
    [anon_sym_PLUS_PLUS] = ACTIONS(6023),
    [anon_sym_DOT] = ACTIONS(6021),
    [anon_sym_DOT_STAR] = ACTIONS(6023),
    [anon_sym_DASH_GT] = ACTIONS(6023),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(6517),
    [anon_sym_decltype] = ACTIONS(6519),
    [anon_sym_final] = ACTIONS(6021),
    [anon_sym_override] = ACTIONS(6021),
    [anon_sym_requires] = ACTIONS(6021),
  },
  [3254] = {
    [sym_template_argument_list] = STATE(3702),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3027),
    [sym_identifier] = ACTIONS(4211),
    [anon_sym_LPAREN2] = ACTIONS(4234),
    [anon_sym_STAR] = ACTIONS(4219),
    [anon_sym_AMP_AMP] = ACTIONS(4219),
    [anon_sym_AMP] = ACTIONS(4211),
    [anon_sym_LT] = ACTIONS(5900),
    [anon_sym_SEMI] = ACTIONS(4219),
    [anon_sym___extension__] = ACTIONS(4211),
    [anon_sym_in] = ACTIONS(4211),
    [anon_sym_out] = ACTIONS(4211),
    [anon_sym_inout] = ACTIONS(4211),
    [anon_sym_extern] = ACTIONS(4211),
    [anon_sym___attribute__] = ACTIONS(4211),
    [anon_sym_COLON_COLON] = ACTIONS(2230),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4234),
    [anon_sym___declspec] = ACTIONS(4211),
    [anon_sym___based] = ACTIONS(4211),
    [anon_sym_signed] = ACTIONS(4237),
    [anon_sym_unsigned] = ACTIONS(4237),
    [anon_sym_long] = ACTIONS(4237),
    [anon_sym_short] = ACTIONS(4237),
    [anon_sym_LBRACK] = ACTIONS(6521),
    [anon_sym_static] = ACTIONS(4211),
    [anon_sym_register] = ACTIONS(4211),
    [anon_sym_inline] = ACTIONS(4211),
    [anon_sym___inline] = ACTIONS(4211),
    [anon_sym___inline__] = ACTIONS(4211),
    [anon_sym___forceinline] = ACTIONS(4211),
    [anon_sym_thread_local] = ACTIONS(4211),
    [anon_sym___thread] = ACTIONS(4211),
    [anon_sym_const] = ACTIONS(4211),
    [anon_sym_constexpr] = ACTIONS(4211),
    [anon_sym_volatile] = ACTIONS(4211),
    [anon_sym_restrict] = ACTIONS(4211),
    [anon_sym___restrict__] = ACTIONS(4211),
    [anon_sym__Atomic] = ACTIONS(4211),
    [anon_sym__Noreturn] = ACTIONS(4211),
    [anon_sym_noreturn] = ACTIONS(4211),
    [anon_sym_mutable] = ACTIONS(4211),
    [anon_sym_constinit] = ACTIONS(4211),
    [anon_sym_consteval] = ACTIONS(4211),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4211),
    [anon_sym_decltype] = ACTIONS(4211),
    [anon_sym_virtual] = ACTIONS(4211),
    [anon_sym_alignas] = ACTIONS(4211),
    [anon_sym_operator] = ACTIONS(4211),
    [anon_sym_precise] = ACTIONS(4211),
    [anon_sym_shared] = ACTIONS(4211),
    [anon_sym_groupshared] = ACTIONS(4211),
    [anon_sym_uniform] = ACTIONS(4211),
    [anon_sym_row_major] = ACTIONS(4211),
    [anon_sym_column_major] = ACTIONS(4211),
    [anon_sym_globallycoherent] = ACTIONS(4211),
    [anon_sym_centroid] = ACTIONS(4211),
    [anon_sym_noperspective] = ACTIONS(4211),
    [anon_sym_nointerpolation] = ACTIONS(4211),
    [anon_sym_sample] = ACTIONS(4211),
    [anon_sym_linear] = ACTIONS(4211),
    [anon_sym_snorm] = ACTIONS(4211),
    [anon_sym_unorm] = ACTIONS(4211),
    [anon_sym_point] = ACTIONS(4211),
    [anon_sym_line] = ACTIONS(4211),
    [anon_sym_triangleadj] = ACTIONS(4211),
    [anon_sym_lineadj] = ACTIONS(4211),
    [anon_sym_triangle] = ACTIONS(4211),
  },
  [3255] = {
    [sym_identifier] = ACTIONS(2264),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2266),
    [anon_sym_COMMA] = ACTIONS(2266),
    [anon_sym_RPAREN] = ACTIONS(2266),
    [anon_sym_LPAREN2] = ACTIONS(2266),
    [anon_sym_DASH] = ACTIONS(2264),
    [anon_sym_PLUS] = ACTIONS(2264),
    [anon_sym_STAR] = ACTIONS(2266),
    [anon_sym_SLASH] = ACTIONS(2264),
    [anon_sym_PERCENT] = ACTIONS(2266),
    [anon_sym_PIPE_PIPE] = ACTIONS(2266),
    [anon_sym_AMP_AMP] = ACTIONS(2266),
    [anon_sym_PIPE] = ACTIONS(2264),
    [anon_sym_CARET] = ACTIONS(2266),
    [anon_sym_AMP] = ACTIONS(2264),
    [anon_sym_EQ_EQ] = ACTIONS(2266),
    [anon_sym_BANG_EQ] = ACTIONS(2266),
    [anon_sym_GT] = ACTIONS(2264),
    [anon_sym_GT_EQ] = ACTIONS(2266),
    [anon_sym_LT_EQ] = ACTIONS(2264),
    [anon_sym_LT] = ACTIONS(2264),
    [anon_sym_LT_LT] = ACTIONS(2266),
    [anon_sym_GT_GT] = ACTIONS(2266),
    [anon_sym_COLON] = ACTIONS(2264),
    [anon_sym_SEMI] = ACTIONS(2266),
    [anon_sym___extension__] = ACTIONS(2264),
    [anon_sym___attribute__] = ACTIONS(2264),
    [anon_sym_COLON_COLON] = ACTIONS(2262),
    [anon_sym___based] = ACTIONS(2264),
    [anon_sym_LBRACE] = ACTIONS(2266),
    [anon_sym_RBRACE] = ACTIONS(2266),
    [anon_sym_signed] = ACTIONS(2264),
    [anon_sym_unsigned] = ACTIONS(2264),
    [anon_sym_long] = ACTIONS(2264),
    [anon_sym_short] = ACTIONS(2264),
    [anon_sym_LBRACK] = ACTIONS(2266),
    [anon_sym_RBRACK] = ACTIONS(2266),
    [anon_sym_const] = ACTIONS(2264),
    [anon_sym_constexpr] = ACTIONS(2264),
    [anon_sym_volatile] = ACTIONS(2264),
    [anon_sym_restrict] = ACTIONS(2264),
    [anon_sym___restrict__] = ACTIONS(2264),
    [anon_sym__Atomic] = ACTIONS(2264),
    [anon_sym__Noreturn] = ACTIONS(2264),
    [anon_sym_noreturn] = ACTIONS(2264),
    [anon_sym_mutable] = ACTIONS(2264),
    [anon_sym_constinit] = ACTIONS(2264),
    [anon_sym_consteval] = ACTIONS(2264),
    [sym_primitive_type] = ACTIONS(2264),
    [anon_sym_QMARK] = ACTIONS(2266),
    [anon_sym_LT_EQ_GT] = ACTIONS(2266),
    [anon_sym_or] = ACTIONS(2264),
    [anon_sym_and] = ACTIONS(2264),
    [anon_sym_bitor] = ACTIONS(2264),
    [anon_sym_xor] = ACTIONS(2264),
    [anon_sym_bitand] = ACTIONS(2264),
    [anon_sym_not_eq] = ACTIONS(2264),
    [anon_sym_DASH_DASH] = ACTIONS(2266),
    [anon_sym_PLUS_PLUS] = ACTIONS(2266),
    [anon_sym_DOT] = ACTIONS(2264),
    [anon_sym_DOT_STAR] = ACTIONS(2266),
    [anon_sym_DASH_GT] = ACTIONS(2266),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2264),
    [anon_sym_decltype] = ACTIONS(2264),
    [anon_sym_final] = ACTIONS(2264),
    [anon_sym_override] = ACTIONS(2264),
    [anon_sym_requires] = ACTIONS(2264),
  },
  [3256] = {
    [sym_identifier] = ACTIONS(2264),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2266),
    [anon_sym_COMMA] = ACTIONS(2266),
    [anon_sym_RPAREN] = ACTIONS(2266),
    [anon_sym_LPAREN2] = ACTIONS(2266),
    [anon_sym_DASH] = ACTIONS(2264),
    [anon_sym_PLUS] = ACTIONS(2264),
    [anon_sym_STAR] = ACTIONS(2266),
    [anon_sym_SLASH] = ACTIONS(2264),
    [anon_sym_PERCENT] = ACTIONS(2266),
    [anon_sym_PIPE_PIPE] = ACTIONS(2266),
    [anon_sym_AMP_AMP] = ACTIONS(2266),
    [anon_sym_PIPE] = ACTIONS(2264),
    [anon_sym_CARET] = ACTIONS(2266),
    [anon_sym_AMP] = ACTIONS(2264),
    [anon_sym_EQ_EQ] = ACTIONS(2266),
    [anon_sym_BANG_EQ] = ACTIONS(2266),
    [anon_sym_GT] = ACTIONS(2264),
    [anon_sym_GT_EQ] = ACTIONS(2266),
    [anon_sym_LT_EQ] = ACTIONS(2264),
    [anon_sym_LT] = ACTIONS(2264),
    [anon_sym_LT_LT] = ACTIONS(2266),
    [anon_sym_GT_GT] = ACTIONS(2266),
    [anon_sym_COLON] = ACTIONS(2264),
    [anon_sym_SEMI] = ACTIONS(2266),
    [anon_sym___extension__] = ACTIONS(2264),
    [anon_sym___attribute__] = ACTIONS(2264),
    [anon_sym_COLON_COLON] = ACTIONS(2262),
    [anon_sym___based] = ACTIONS(2264),
    [anon_sym_LBRACE] = ACTIONS(2266),
    [anon_sym_RBRACE] = ACTIONS(2266),
    [anon_sym_signed] = ACTIONS(2264),
    [anon_sym_unsigned] = ACTIONS(2264),
    [anon_sym_long] = ACTIONS(2264),
    [anon_sym_short] = ACTIONS(2264),
    [anon_sym_LBRACK] = ACTIONS(2266),
    [anon_sym_RBRACK] = ACTIONS(2266),
    [anon_sym_const] = ACTIONS(2264),
    [anon_sym_constexpr] = ACTIONS(2264),
    [anon_sym_volatile] = ACTIONS(2264),
    [anon_sym_restrict] = ACTIONS(2264),
    [anon_sym___restrict__] = ACTIONS(2264),
    [anon_sym__Atomic] = ACTIONS(2264),
    [anon_sym__Noreturn] = ACTIONS(2264),
    [anon_sym_noreturn] = ACTIONS(2264),
    [anon_sym_mutable] = ACTIONS(2264),
    [anon_sym_constinit] = ACTIONS(2264),
    [anon_sym_consteval] = ACTIONS(2264),
    [sym_primitive_type] = ACTIONS(2264),
    [anon_sym_QMARK] = ACTIONS(2266),
    [anon_sym_LT_EQ_GT] = ACTIONS(2266),
    [anon_sym_or] = ACTIONS(2264),
    [anon_sym_and] = ACTIONS(2264),
    [anon_sym_bitor] = ACTIONS(2264),
    [anon_sym_xor] = ACTIONS(2264),
    [anon_sym_bitand] = ACTIONS(2264),
    [anon_sym_not_eq] = ACTIONS(2264),
    [anon_sym_DASH_DASH] = ACTIONS(2266),
    [anon_sym_PLUS_PLUS] = ACTIONS(2266),
    [anon_sym_DOT] = ACTIONS(2264),
    [anon_sym_DOT_STAR] = ACTIONS(2266),
    [anon_sym_DASH_GT] = ACTIONS(2266),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2264),
    [anon_sym_decltype] = ACTIONS(2264),
    [anon_sym_final] = ACTIONS(2264),
    [anon_sym_override] = ACTIONS(2264),
    [anon_sym_requires] = ACTIONS(2264),
  },
  [3257] = {
    [sym_string_literal] = STATE(3682),
    [sym_template_argument_list] = STATE(4862),
    [sym_raw_string_literal] = STATE(3682),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4213),
    [anon_sym_COMMA] = ACTIONS(4213),
    [anon_sym_RPAREN] = ACTIONS(4213),
    [anon_sym_LPAREN2] = ACTIONS(4213),
    [anon_sym_DASH] = ACTIONS(4221),
    [anon_sym_PLUS] = ACTIONS(4221),
    [anon_sym_STAR] = ACTIONS(4221),
    [anon_sym_SLASH] = ACTIONS(4221),
    [anon_sym_PERCENT] = ACTIONS(4221),
    [anon_sym_PIPE_PIPE] = ACTIONS(4213),
    [anon_sym_AMP_AMP] = ACTIONS(4213),
    [anon_sym_PIPE] = ACTIONS(4221),
    [anon_sym_CARET] = ACTIONS(4221),
    [anon_sym_AMP] = ACTIONS(4221),
    [anon_sym_EQ_EQ] = ACTIONS(4213),
    [anon_sym_BANG_EQ] = ACTIONS(4213),
    [anon_sym_GT] = ACTIONS(4221),
    [anon_sym_GT_EQ] = ACTIONS(4213),
    [anon_sym_LT_EQ] = ACTIONS(4221),
    [anon_sym_LT] = ACTIONS(6488),
    [anon_sym_LT_LT] = ACTIONS(4221),
    [anon_sym_GT_GT] = ACTIONS(4221),
    [anon_sym_SEMI] = ACTIONS(4213),
    [anon_sym_COLON_COLON] = ACTIONS(2230),
    [anon_sym_LBRACE] = ACTIONS(2226),
    [anon_sym_RBRACE] = ACTIONS(4213),
    [anon_sym_LBRACK] = ACTIONS(4213),
    [anon_sym_EQ] = ACTIONS(4243),
    [anon_sym_QMARK] = ACTIONS(4213),
    [anon_sym_STAR_EQ] = ACTIONS(4245),
    [anon_sym_SLASH_EQ] = ACTIONS(4245),
    [anon_sym_PERCENT_EQ] = ACTIONS(4245),
    [anon_sym_PLUS_EQ] = ACTIONS(4245),
    [anon_sym_DASH_EQ] = ACTIONS(4245),
    [anon_sym_LT_LT_EQ] = ACTIONS(4245),
    [anon_sym_GT_GT_EQ] = ACTIONS(4245),
    [anon_sym_AMP_EQ] = ACTIONS(4245),
    [anon_sym_CARET_EQ] = ACTIONS(4245),
    [anon_sym_PIPE_EQ] = ACTIONS(4245),
    [anon_sym_and_eq] = ACTIONS(4245),
    [anon_sym_or_eq] = ACTIONS(4245),
    [anon_sym_xor_eq] = ACTIONS(4245),
    [anon_sym_LT_EQ_GT] = ACTIONS(4213),
    [anon_sym_or] = ACTIONS(4221),
    [anon_sym_and] = ACTIONS(4221),
    [anon_sym_bitor] = ACTIONS(4213),
    [anon_sym_xor] = ACTIONS(4221),
    [anon_sym_bitand] = ACTIONS(4213),
    [anon_sym_not_eq] = ACTIONS(4213),
    [anon_sym_DASH_DASH] = ACTIONS(4213),
    [anon_sym_PLUS_PLUS] = ACTIONS(4213),
    [anon_sym_DOT] = ACTIONS(4221),
    [anon_sym_DOT_STAR] = ACTIONS(4213),
    [anon_sym_DASH_GT] = ACTIONS(4213),
    [anon_sym_L_DQUOTE] = ACTIONS(4247),
    [anon_sym_u_DQUOTE] = ACTIONS(4247),
    [anon_sym_U_DQUOTE] = ACTIONS(4247),
    [anon_sym_u8_DQUOTE] = ACTIONS(4247),
    [anon_sym_DQUOTE] = ACTIONS(4247),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(4249),
    [anon_sym_LR_DQUOTE] = ACTIONS(4249),
    [anon_sym_uR_DQUOTE] = ACTIONS(4249),
    [anon_sym_UR_DQUOTE] = ACTIONS(4249),
    [anon_sym_u8R_DQUOTE] = ACTIONS(4249),
  },
  [3258] = {
    [sym_string_literal] = STATE(3243),
    [sym_raw_string_literal] = STATE(3243),
    [aux_sym_concatenated_string_repeat1] = STATE(3243),
    [sym_identifier] = ACTIONS(6523),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6253),
    [anon_sym_COMMA] = ACTIONS(6253),
    [aux_sym_preproc_if_token2] = ACTIONS(6253),
    [aux_sym_preproc_else_token1] = ACTIONS(6253),
    [aux_sym_preproc_elif_token1] = ACTIONS(6253),
    [anon_sym_LPAREN2] = ACTIONS(6253),
    [anon_sym_DASH] = ACTIONS(6255),
    [anon_sym_PLUS] = ACTIONS(6255),
    [anon_sym_STAR] = ACTIONS(6255),
    [anon_sym_SLASH] = ACTIONS(6255),
    [anon_sym_PERCENT] = ACTIONS(6255),
    [anon_sym_PIPE_PIPE] = ACTIONS(6253),
    [anon_sym_AMP_AMP] = ACTIONS(6253),
    [anon_sym_PIPE] = ACTIONS(6255),
    [anon_sym_CARET] = ACTIONS(6255),
    [anon_sym_AMP] = ACTIONS(6255),
    [anon_sym_EQ_EQ] = ACTIONS(6253),
    [anon_sym_BANG_EQ] = ACTIONS(6253),
    [anon_sym_GT] = ACTIONS(6255),
    [anon_sym_GT_EQ] = ACTIONS(6253),
    [anon_sym_LT_EQ] = ACTIONS(6255),
    [anon_sym_LT] = ACTIONS(6255),
    [anon_sym_LT_LT] = ACTIONS(6255),
    [anon_sym_GT_GT] = ACTIONS(6255),
    [anon_sym_LBRACK] = ACTIONS(6253),
    [anon_sym_EQ] = ACTIONS(6255),
    [anon_sym_QMARK] = ACTIONS(6253),
    [anon_sym_STAR_EQ] = ACTIONS(6253),
    [anon_sym_SLASH_EQ] = ACTIONS(6253),
    [anon_sym_PERCENT_EQ] = ACTIONS(6253),
    [anon_sym_PLUS_EQ] = ACTIONS(6253),
    [anon_sym_DASH_EQ] = ACTIONS(6253),
    [anon_sym_LT_LT_EQ] = ACTIONS(6253),
    [anon_sym_GT_GT_EQ] = ACTIONS(6253),
    [anon_sym_AMP_EQ] = ACTIONS(6253),
    [anon_sym_CARET_EQ] = ACTIONS(6253),
    [anon_sym_PIPE_EQ] = ACTIONS(6253),
    [anon_sym_and_eq] = ACTIONS(6255),
    [anon_sym_or_eq] = ACTIONS(6255),
    [anon_sym_xor_eq] = ACTIONS(6255),
    [anon_sym_LT_EQ_GT] = ACTIONS(6253),
    [anon_sym_or] = ACTIONS(6255),
    [anon_sym_and] = ACTIONS(6255),
    [anon_sym_bitor] = ACTIONS(6255),
    [anon_sym_xor] = ACTIONS(6255),
    [anon_sym_bitand] = ACTIONS(6255),
    [anon_sym_not_eq] = ACTIONS(6255),
    [anon_sym_DASH_DASH] = ACTIONS(6253),
    [anon_sym_PLUS_PLUS] = ACTIONS(6253),
    [anon_sym_DOT] = ACTIONS(6255),
    [anon_sym_DOT_STAR] = ACTIONS(6253),
    [anon_sym_DASH_GT] = ACTIONS(6253),
    [anon_sym_L_DQUOTE] = ACTIONS(4016),
    [anon_sym_u_DQUOTE] = ACTIONS(4016),
    [anon_sym_U_DQUOTE] = ACTIONS(4016),
    [anon_sym_u8_DQUOTE] = ACTIONS(4016),
    [anon_sym_DQUOTE] = ACTIONS(4016),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(4024),
    [anon_sym_LR_DQUOTE] = ACTIONS(4024),
    [anon_sym_uR_DQUOTE] = ACTIONS(4024),
    [anon_sym_UR_DQUOTE] = ACTIONS(4024),
    [anon_sym_u8R_DQUOTE] = ACTIONS(4024),
    [sym_literal_suffix] = ACTIONS(6255),
  },
  [3259] = {
    [sym_identifier] = ACTIONS(2182),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2184),
    [anon_sym_COMMA] = ACTIONS(2184),
    [anon_sym_RPAREN] = ACTIONS(2184),
    [aux_sym_preproc_if_token2] = ACTIONS(2184),
    [aux_sym_preproc_else_token1] = ACTIONS(2184),
    [aux_sym_preproc_elif_token1] = ACTIONS(2182),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2184),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2184),
    [anon_sym_LPAREN2] = ACTIONS(2184),
    [anon_sym_DASH] = ACTIONS(2182),
    [anon_sym_PLUS] = ACTIONS(2182),
    [anon_sym_STAR] = ACTIONS(2182),
    [anon_sym_SLASH] = ACTIONS(2182),
    [anon_sym_PERCENT] = ACTIONS(2182),
    [anon_sym_PIPE_PIPE] = ACTIONS(2184),
    [anon_sym_AMP_AMP] = ACTIONS(2184),
    [anon_sym_PIPE] = ACTIONS(2182),
    [anon_sym_CARET] = ACTIONS(2182),
    [anon_sym_AMP] = ACTIONS(2182),
    [anon_sym_EQ_EQ] = ACTIONS(2184),
    [anon_sym_BANG_EQ] = ACTIONS(2184),
    [anon_sym_GT] = ACTIONS(2182),
    [anon_sym_GT_EQ] = ACTIONS(2184),
    [anon_sym_LT_EQ] = ACTIONS(2182),
    [anon_sym_LT] = ACTIONS(2182),
    [anon_sym_LT_LT] = ACTIONS(2182),
    [anon_sym_GT_GT] = ACTIONS(2182),
    [anon_sym_COLON] = ACTIONS(2182),
    [anon_sym_SEMI] = ACTIONS(2184),
    [anon_sym___attribute__] = ACTIONS(2182),
    [anon_sym_COLON_COLON] = ACTIONS(2184),
    [anon_sym_LBRACE] = ACTIONS(2184),
    [anon_sym_RBRACE] = ACTIONS(2184),
    [anon_sym_LBRACK] = ACTIONS(2184),
    [anon_sym_RBRACK] = ACTIONS(2184),
    [anon_sym_EQ] = ACTIONS(2182),
    [anon_sym_QMARK] = ACTIONS(2184),
    [anon_sym_STAR_EQ] = ACTIONS(2184),
    [anon_sym_SLASH_EQ] = ACTIONS(2184),
    [anon_sym_PERCENT_EQ] = ACTIONS(2184),
    [anon_sym_PLUS_EQ] = ACTIONS(2184),
    [anon_sym_DASH_EQ] = ACTIONS(2184),
    [anon_sym_LT_LT_EQ] = ACTIONS(2184),
    [anon_sym_GT_GT_EQ] = ACTIONS(2184),
    [anon_sym_AMP_EQ] = ACTIONS(2184),
    [anon_sym_CARET_EQ] = ACTIONS(2184),
    [anon_sym_PIPE_EQ] = ACTIONS(2184),
    [anon_sym_and_eq] = ACTIONS(2182),
    [anon_sym_or_eq] = ACTIONS(2182),
    [anon_sym_xor_eq] = ACTIONS(2182),
    [anon_sym_LT_EQ_GT] = ACTIONS(2184),
    [anon_sym_or] = ACTIONS(2182),
    [anon_sym_and] = ACTIONS(2182),
    [anon_sym_bitor] = ACTIONS(2182),
    [anon_sym_xor] = ACTIONS(2182),
    [anon_sym_bitand] = ACTIONS(2182),
    [anon_sym_not_eq] = ACTIONS(2182),
    [anon_sym_DASH_DASH] = ACTIONS(2184),
    [anon_sym_PLUS_PLUS] = ACTIONS(2184),
    [anon_sym_DOT] = ACTIONS(2182),
    [anon_sym_DOT_STAR] = ACTIONS(2184),
    [anon_sym_DASH_GT] = ACTIONS(2184),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2182),
    [anon_sym_decltype] = ACTIONS(2182),
    [anon_sym_final] = ACTIONS(2182),
    [anon_sym_override] = ACTIONS(2182),
  },
  [3260] = {
    [sym_string_literal] = STATE(3682),
    [sym_template_argument_list] = STATE(4862),
    [sym_raw_string_literal] = STATE(3682),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4213),
    [anon_sym_COMMA] = ACTIONS(4213),
    [anon_sym_LPAREN2] = ACTIONS(6494),
    [anon_sym_DASH] = ACTIONS(4221),
    [anon_sym_PLUS] = ACTIONS(4221),
    [anon_sym_STAR] = ACTIONS(4221),
    [anon_sym_SLASH] = ACTIONS(4221),
    [anon_sym_PERCENT] = ACTIONS(4221),
    [anon_sym_PIPE_PIPE] = ACTIONS(4213),
    [anon_sym_AMP_AMP] = ACTIONS(4213),
    [anon_sym_PIPE] = ACTIONS(4221),
    [anon_sym_CARET] = ACTIONS(4221),
    [anon_sym_AMP] = ACTIONS(4221),
    [anon_sym_EQ_EQ] = ACTIONS(4213),
    [anon_sym_BANG_EQ] = ACTIONS(4213),
    [anon_sym_GT] = ACTIONS(4221),
    [anon_sym_GT_EQ] = ACTIONS(4213),
    [anon_sym_LT_EQ] = ACTIONS(4221),
    [anon_sym_LT] = ACTIONS(6488),
    [anon_sym_LT_LT] = ACTIONS(4221),
    [anon_sym_GT_GT] = ACTIONS(4221),
    [anon_sym_SEMI] = ACTIONS(4213),
    [anon_sym_COLON_COLON] = ACTIONS(2230),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(6494),
    [anon_sym_LBRACE] = ACTIONS(2226),
    [anon_sym_RBRACE] = ACTIONS(4213),
    [anon_sym_LBRACK] = ACTIONS(6496),
    [anon_sym_EQ] = ACTIONS(4243),
    [anon_sym_QMARK] = ACTIONS(4213),
    [anon_sym_STAR_EQ] = ACTIONS(4245),
    [anon_sym_SLASH_EQ] = ACTIONS(4245),
    [anon_sym_PERCENT_EQ] = ACTIONS(4245),
    [anon_sym_PLUS_EQ] = ACTIONS(4245),
    [anon_sym_DASH_EQ] = ACTIONS(4245),
    [anon_sym_LT_LT_EQ] = ACTIONS(4245),
    [anon_sym_GT_GT_EQ] = ACTIONS(4245),
    [anon_sym_AMP_EQ] = ACTIONS(4245),
    [anon_sym_CARET_EQ] = ACTIONS(4245),
    [anon_sym_PIPE_EQ] = ACTIONS(4245),
    [anon_sym_and_eq] = ACTIONS(4245),
    [anon_sym_or_eq] = ACTIONS(4245),
    [anon_sym_xor_eq] = ACTIONS(4245),
    [anon_sym_LT_EQ_GT] = ACTIONS(4213),
    [anon_sym_or] = ACTIONS(4221),
    [anon_sym_and] = ACTIONS(4221),
    [anon_sym_bitor] = ACTIONS(4213),
    [anon_sym_xor] = ACTIONS(4221),
    [anon_sym_bitand] = ACTIONS(4213),
    [anon_sym_not_eq] = ACTIONS(4213),
    [anon_sym_DASH_DASH] = ACTIONS(4213),
    [anon_sym_PLUS_PLUS] = ACTIONS(4213),
    [anon_sym_DOT] = ACTIONS(4221),
    [anon_sym_DOT_STAR] = ACTIONS(4213),
    [anon_sym_DASH_GT] = ACTIONS(4213),
    [anon_sym_L_DQUOTE] = ACTIONS(4247),
    [anon_sym_u_DQUOTE] = ACTIONS(4247),
    [anon_sym_U_DQUOTE] = ACTIONS(4247),
    [anon_sym_u8_DQUOTE] = ACTIONS(4247),
    [anon_sym_DQUOTE] = ACTIONS(4247),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(4249),
    [anon_sym_LR_DQUOTE] = ACTIONS(4249),
    [anon_sym_uR_DQUOTE] = ACTIONS(4249),
    [anon_sym_UR_DQUOTE] = ACTIONS(4249),
    [anon_sym_u8R_DQUOTE] = ACTIONS(4249),
  },
  [3261] = {
    [sym_identifier] = ACTIONS(2216),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2218),
    [anon_sym_COMMA] = ACTIONS(2218),
    [anon_sym_RPAREN] = ACTIONS(2218),
    [anon_sym_LPAREN2] = ACTIONS(2218),
    [anon_sym_DASH] = ACTIONS(2216),
    [anon_sym_PLUS] = ACTIONS(2216),
    [anon_sym_STAR] = ACTIONS(2218),
    [anon_sym_SLASH] = ACTIONS(2216),
    [anon_sym_PERCENT] = ACTIONS(2218),
    [anon_sym_PIPE_PIPE] = ACTIONS(2218),
    [anon_sym_AMP_AMP] = ACTIONS(2218),
    [anon_sym_PIPE] = ACTIONS(2216),
    [anon_sym_CARET] = ACTIONS(2218),
    [anon_sym_AMP] = ACTIONS(2216),
    [anon_sym_EQ_EQ] = ACTIONS(2218),
    [anon_sym_BANG_EQ] = ACTIONS(2218),
    [anon_sym_GT] = ACTIONS(2216),
    [anon_sym_GT_EQ] = ACTIONS(2218),
    [anon_sym_LT_EQ] = ACTIONS(2216),
    [anon_sym_LT] = ACTIONS(2216),
    [anon_sym_LT_LT] = ACTIONS(2218),
    [anon_sym_GT_GT] = ACTIONS(2218),
    [anon_sym_COLON] = ACTIONS(2216),
    [anon_sym_SEMI] = ACTIONS(2218),
    [anon_sym___extension__] = ACTIONS(2216),
    [anon_sym___attribute__] = ACTIONS(2216),
    [anon_sym_COLON_COLON] = ACTIONS(2218),
    [anon_sym___based] = ACTIONS(2216),
    [anon_sym_LBRACE] = ACTIONS(2218),
    [anon_sym_RBRACE] = ACTIONS(2218),
    [anon_sym_signed] = ACTIONS(2216),
    [anon_sym_unsigned] = ACTIONS(2216),
    [anon_sym_long] = ACTIONS(2216),
    [anon_sym_short] = ACTIONS(2216),
    [anon_sym_LBRACK] = ACTIONS(2218),
    [anon_sym_RBRACK] = ACTIONS(2218),
    [anon_sym_const] = ACTIONS(2216),
    [anon_sym_constexpr] = ACTIONS(2216),
    [anon_sym_volatile] = ACTIONS(2216),
    [anon_sym_restrict] = ACTIONS(2216),
    [anon_sym___restrict__] = ACTIONS(2216),
    [anon_sym__Atomic] = ACTIONS(2216),
    [anon_sym__Noreturn] = ACTIONS(2216),
    [anon_sym_noreturn] = ACTIONS(2216),
    [anon_sym_mutable] = ACTIONS(2216),
    [anon_sym_constinit] = ACTIONS(2216),
    [anon_sym_consteval] = ACTIONS(2216),
    [sym_primitive_type] = ACTIONS(2216),
    [anon_sym_QMARK] = ACTIONS(2218),
    [anon_sym_LT_EQ_GT] = ACTIONS(2218),
    [anon_sym_or] = ACTIONS(2216),
    [anon_sym_and] = ACTIONS(2216),
    [anon_sym_bitor] = ACTIONS(2216),
    [anon_sym_xor] = ACTIONS(2216),
    [anon_sym_bitand] = ACTIONS(2216),
    [anon_sym_not_eq] = ACTIONS(2216),
    [anon_sym_DASH_DASH] = ACTIONS(2218),
    [anon_sym_PLUS_PLUS] = ACTIONS(2218),
    [anon_sym_DOT] = ACTIONS(2216),
    [anon_sym_DOT_STAR] = ACTIONS(2218),
    [anon_sym_DASH_GT] = ACTIONS(2218),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2216),
    [anon_sym_decltype] = ACTIONS(2216),
    [anon_sym_final] = ACTIONS(2216),
    [anon_sym_override] = ACTIONS(2216),
    [anon_sym_requires] = ACTIONS(2216),
  },
  [3262] = {
    [sym_identifier] = ACTIONS(2208),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2210),
    [anon_sym_COMMA] = ACTIONS(2210),
    [anon_sym_RPAREN] = ACTIONS(2210),
    [anon_sym_LPAREN2] = ACTIONS(2210),
    [anon_sym_DASH] = ACTIONS(2208),
    [anon_sym_PLUS] = ACTIONS(2208),
    [anon_sym_STAR] = ACTIONS(2210),
    [anon_sym_SLASH] = ACTIONS(2208),
    [anon_sym_PERCENT] = ACTIONS(2210),
    [anon_sym_PIPE_PIPE] = ACTIONS(2210),
    [anon_sym_AMP_AMP] = ACTIONS(2210),
    [anon_sym_PIPE] = ACTIONS(2208),
    [anon_sym_CARET] = ACTIONS(2210),
    [anon_sym_AMP] = ACTIONS(2208),
    [anon_sym_EQ_EQ] = ACTIONS(2210),
    [anon_sym_BANG_EQ] = ACTIONS(2210),
    [anon_sym_GT] = ACTIONS(2208),
    [anon_sym_GT_EQ] = ACTIONS(2210),
    [anon_sym_LT_EQ] = ACTIONS(2208),
    [anon_sym_LT] = ACTIONS(2208),
    [anon_sym_LT_LT] = ACTIONS(2210),
    [anon_sym_GT_GT] = ACTIONS(2210),
    [anon_sym_COLON] = ACTIONS(2208),
    [anon_sym_SEMI] = ACTIONS(2210),
    [anon_sym___extension__] = ACTIONS(2208),
    [anon_sym___attribute__] = ACTIONS(2208),
    [anon_sym_COLON_COLON] = ACTIONS(2210),
    [anon_sym___based] = ACTIONS(2208),
    [anon_sym_LBRACE] = ACTIONS(2210),
    [anon_sym_RBRACE] = ACTIONS(2210),
    [anon_sym_signed] = ACTIONS(2208),
    [anon_sym_unsigned] = ACTIONS(2208),
    [anon_sym_long] = ACTIONS(2208),
    [anon_sym_short] = ACTIONS(2208),
    [anon_sym_LBRACK] = ACTIONS(2210),
    [anon_sym_RBRACK] = ACTIONS(2210),
    [anon_sym_const] = ACTIONS(2208),
    [anon_sym_constexpr] = ACTIONS(2208),
    [anon_sym_volatile] = ACTIONS(2208),
    [anon_sym_restrict] = ACTIONS(2208),
    [anon_sym___restrict__] = ACTIONS(2208),
    [anon_sym__Atomic] = ACTIONS(2208),
    [anon_sym__Noreturn] = ACTIONS(2208),
    [anon_sym_noreturn] = ACTIONS(2208),
    [anon_sym_mutable] = ACTIONS(2208),
    [anon_sym_constinit] = ACTIONS(2208),
    [anon_sym_consteval] = ACTIONS(2208),
    [sym_primitive_type] = ACTIONS(2208),
    [anon_sym_QMARK] = ACTIONS(2210),
    [anon_sym_LT_EQ_GT] = ACTIONS(2210),
    [anon_sym_or] = ACTIONS(2208),
    [anon_sym_and] = ACTIONS(2208),
    [anon_sym_bitor] = ACTIONS(2208),
    [anon_sym_xor] = ACTIONS(2208),
    [anon_sym_bitand] = ACTIONS(2208),
    [anon_sym_not_eq] = ACTIONS(2208),
    [anon_sym_DASH_DASH] = ACTIONS(2210),
    [anon_sym_PLUS_PLUS] = ACTIONS(2210),
    [anon_sym_DOT] = ACTIONS(2208),
    [anon_sym_DOT_STAR] = ACTIONS(2210),
    [anon_sym_DASH_GT] = ACTIONS(2210),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2208),
    [anon_sym_decltype] = ACTIONS(2208),
    [anon_sym_final] = ACTIONS(2208),
    [anon_sym_override] = ACTIONS(2208),
    [anon_sym_requires] = ACTIONS(2208),
  },
  [3263] = {
    [sym_string_literal] = STATE(3131),
    [sym_template_argument_list] = STATE(3964),
    [sym_raw_string_literal] = STATE(3131),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4213),
    [anon_sym_COMMA] = ACTIONS(4213),
    [anon_sym_LPAREN2] = ACTIONS(6511),
    [anon_sym_DASH] = ACTIONS(4221),
    [anon_sym_PLUS] = ACTIONS(4221),
    [anon_sym_STAR] = ACTIONS(4221),
    [anon_sym_SLASH] = ACTIONS(4221),
    [anon_sym_PERCENT] = ACTIONS(4221),
    [anon_sym_PIPE_PIPE] = ACTIONS(4213),
    [anon_sym_AMP_AMP] = ACTIONS(4213),
    [anon_sym_PIPE] = ACTIONS(4221),
    [anon_sym_CARET] = ACTIONS(4221),
    [anon_sym_AMP] = ACTIONS(4221),
    [anon_sym_EQ_EQ] = ACTIONS(4213),
    [anon_sym_BANG_EQ] = ACTIONS(4213),
    [anon_sym_GT] = ACTIONS(4221),
    [anon_sym_GT_EQ] = ACTIONS(4213),
    [anon_sym_LT_EQ] = ACTIONS(4221),
    [anon_sym_LT] = ACTIONS(6525),
    [anon_sym_LT_LT] = ACTIONS(4221),
    [anon_sym_GT_GT] = ACTIONS(4221),
    [anon_sym_SEMI] = ACTIONS(4213),
    [anon_sym_COLON_COLON] = ACTIONS(2230),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5792),
    [anon_sym_LBRACE] = ACTIONS(2226),
    [anon_sym_RBRACE] = ACTIONS(4213),
    [anon_sym_LBRACK] = ACTIONS(6514),
    [anon_sym_EQ] = ACTIONS(4221),
    [anon_sym_QMARK] = ACTIONS(4213),
    [anon_sym_STAR_EQ] = ACTIONS(4213),
    [anon_sym_SLASH_EQ] = ACTIONS(4213),
    [anon_sym_PERCENT_EQ] = ACTIONS(4213),
    [anon_sym_PLUS_EQ] = ACTIONS(4213),
    [anon_sym_DASH_EQ] = ACTIONS(4213),
    [anon_sym_LT_LT_EQ] = ACTIONS(4213),
    [anon_sym_GT_GT_EQ] = ACTIONS(4213),
    [anon_sym_AMP_EQ] = ACTIONS(4213),
    [anon_sym_CARET_EQ] = ACTIONS(4213),
    [anon_sym_PIPE_EQ] = ACTIONS(4213),
    [anon_sym_and_eq] = ACTIONS(4213),
    [anon_sym_or_eq] = ACTIONS(4213),
    [anon_sym_xor_eq] = ACTIONS(4213),
    [anon_sym_LT_EQ_GT] = ACTIONS(4213),
    [anon_sym_or] = ACTIONS(4221),
    [anon_sym_and] = ACTIONS(4221),
    [anon_sym_bitor] = ACTIONS(4213),
    [anon_sym_xor] = ACTIONS(4221),
    [anon_sym_bitand] = ACTIONS(4213),
    [anon_sym_not_eq] = ACTIONS(4213),
    [anon_sym_DASH_DASH] = ACTIONS(4213),
    [anon_sym_PLUS_PLUS] = ACTIONS(4213),
    [anon_sym_DOT] = ACTIONS(4221),
    [anon_sym_DOT_STAR] = ACTIONS(4213),
    [anon_sym_DASH_GT] = ACTIONS(4213),
    [anon_sym_L_DQUOTE] = ACTIONS(3944),
    [anon_sym_u_DQUOTE] = ACTIONS(3944),
    [anon_sym_U_DQUOTE] = ACTIONS(3944),
    [anon_sym_u8_DQUOTE] = ACTIONS(3944),
    [anon_sym_DQUOTE] = ACTIONS(3944),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(3952),
    [anon_sym_LR_DQUOTE] = ACTIONS(3952),
    [anon_sym_uR_DQUOTE] = ACTIONS(3952),
    [anon_sym_UR_DQUOTE] = ACTIONS(3952),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3952),
  },
  [3264] = {
    [sym_identifier] = ACTIONS(2186),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2188),
    [anon_sym_COMMA] = ACTIONS(2188),
    [anon_sym_RPAREN] = ACTIONS(2188),
    [aux_sym_preproc_if_token2] = ACTIONS(2188),
    [aux_sym_preproc_else_token1] = ACTIONS(2188),
    [aux_sym_preproc_elif_token1] = ACTIONS(2186),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2188),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2188),
    [anon_sym_LPAREN2] = ACTIONS(2188),
    [anon_sym_DASH] = ACTIONS(2186),
    [anon_sym_PLUS] = ACTIONS(2186),
    [anon_sym_STAR] = ACTIONS(2186),
    [anon_sym_SLASH] = ACTIONS(2186),
    [anon_sym_PERCENT] = ACTIONS(2186),
    [anon_sym_PIPE_PIPE] = ACTIONS(2188),
    [anon_sym_AMP_AMP] = ACTIONS(2188),
    [anon_sym_PIPE] = ACTIONS(2186),
    [anon_sym_CARET] = ACTIONS(2186),
    [anon_sym_AMP] = ACTIONS(2186),
    [anon_sym_EQ_EQ] = ACTIONS(2188),
    [anon_sym_BANG_EQ] = ACTIONS(2188),
    [anon_sym_GT] = ACTIONS(2186),
    [anon_sym_GT_EQ] = ACTIONS(2188),
    [anon_sym_LT_EQ] = ACTIONS(2186),
    [anon_sym_LT] = ACTIONS(2186),
    [anon_sym_LT_LT] = ACTIONS(2186),
    [anon_sym_GT_GT] = ACTIONS(2186),
    [anon_sym_COLON] = ACTIONS(2186),
    [anon_sym_SEMI] = ACTIONS(2188),
    [anon_sym___attribute__] = ACTIONS(2186),
    [anon_sym_COLON_COLON] = ACTIONS(2188),
    [anon_sym_LBRACE] = ACTIONS(2188),
    [anon_sym_RBRACE] = ACTIONS(2188),
    [anon_sym_LBRACK] = ACTIONS(2188),
    [anon_sym_RBRACK] = ACTIONS(2188),
    [anon_sym_EQ] = ACTIONS(2186),
    [anon_sym_QMARK] = ACTIONS(2188),
    [anon_sym_STAR_EQ] = ACTIONS(2188),
    [anon_sym_SLASH_EQ] = ACTIONS(2188),
    [anon_sym_PERCENT_EQ] = ACTIONS(2188),
    [anon_sym_PLUS_EQ] = ACTIONS(2188),
    [anon_sym_DASH_EQ] = ACTIONS(2188),
    [anon_sym_LT_LT_EQ] = ACTIONS(2188),
    [anon_sym_GT_GT_EQ] = ACTIONS(2188),
    [anon_sym_AMP_EQ] = ACTIONS(2188),
    [anon_sym_CARET_EQ] = ACTIONS(2188),
    [anon_sym_PIPE_EQ] = ACTIONS(2188),
    [anon_sym_and_eq] = ACTIONS(2186),
    [anon_sym_or_eq] = ACTIONS(2186),
    [anon_sym_xor_eq] = ACTIONS(2186),
    [anon_sym_LT_EQ_GT] = ACTIONS(2188),
    [anon_sym_or] = ACTIONS(2186),
    [anon_sym_and] = ACTIONS(2186),
    [anon_sym_bitor] = ACTIONS(2186),
    [anon_sym_xor] = ACTIONS(2186),
    [anon_sym_bitand] = ACTIONS(2186),
    [anon_sym_not_eq] = ACTIONS(2186),
    [anon_sym_DASH_DASH] = ACTIONS(2188),
    [anon_sym_PLUS_PLUS] = ACTIONS(2188),
    [anon_sym_DOT] = ACTIONS(2186),
    [anon_sym_DOT_STAR] = ACTIONS(2188),
    [anon_sym_DASH_GT] = ACTIONS(2188),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2186),
    [anon_sym_decltype] = ACTIONS(2186),
    [anon_sym_final] = ACTIONS(2186),
    [anon_sym_override] = ACTIONS(2186),
  },
  [3265] = {
    [sym_identifier] = ACTIONS(2178),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2180),
    [anon_sym_COMMA] = ACTIONS(2180),
    [anon_sym_RPAREN] = ACTIONS(2180),
    [aux_sym_preproc_if_token2] = ACTIONS(2180),
    [aux_sym_preproc_else_token1] = ACTIONS(2180),
    [aux_sym_preproc_elif_token1] = ACTIONS(2178),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2180),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2180),
    [anon_sym_LPAREN2] = ACTIONS(2180),
    [anon_sym_DASH] = ACTIONS(2178),
    [anon_sym_PLUS] = ACTIONS(2178),
    [anon_sym_STAR] = ACTIONS(2178),
    [anon_sym_SLASH] = ACTIONS(2178),
    [anon_sym_PERCENT] = ACTIONS(2178),
    [anon_sym_PIPE_PIPE] = ACTIONS(2180),
    [anon_sym_AMP_AMP] = ACTIONS(2180),
    [anon_sym_PIPE] = ACTIONS(2178),
    [anon_sym_CARET] = ACTIONS(2178),
    [anon_sym_AMP] = ACTIONS(2178),
    [anon_sym_EQ_EQ] = ACTIONS(2180),
    [anon_sym_BANG_EQ] = ACTIONS(2180),
    [anon_sym_GT] = ACTIONS(2178),
    [anon_sym_GT_EQ] = ACTIONS(2180),
    [anon_sym_LT_EQ] = ACTIONS(2178),
    [anon_sym_LT] = ACTIONS(2178),
    [anon_sym_LT_LT] = ACTIONS(2178),
    [anon_sym_GT_GT] = ACTIONS(2178),
    [anon_sym_COLON] = ACTIONS(2178),
    [anon_sym_SEMI] = ACTIONS(2180),
    [anon_sym___attribute__] = ACTIONS(2178),
    [anon_sym_COLON_COLON] = ACTIONS(2180),
    [anon_sym_LBRACE] = ACTIONS(2180),
    [anon_sym_RBRACE] = ACTIONS(2180),
    [anon_sym_LBRACK] = ACTIONS(2180),
    [anon_sym_RBRACK] = ACTIONS(2180),
    [anon_sym_EQ] = ACTIONS(2178),
    [anon_sym_QMARK] = ACTIONS(2180),
    [anon_sym_STAR_EQ] = ACTIONS(2180),
    [anon_sym_SLASH_EQ] = ACTIONS(2180),
    [anon_sym_PERCENT_EQ] = ACTIONS(2180),
    [anon_sym_PLUS_EQ] = ACTIONS(2180),
    [anon_sym_DASH_EQ] = ACTIONS(2180),
    [anon_sym_LT_LT_EQ] = ACTIONS(2180),
    [anon_sym_GT_GT_EQ] = ACTIONS(2180),
    [anon_sym_AMP_EQ] = ACTIONS(2180),
    [anon_sym_CARET_EQ] = ACTIONS(2180),
    [anon_sym_PIPE_EQ] = ACTIONS(2180),
    [anon_sym_and_eq] = ACTIONS(2178),
    [anon_sym_or_eq] = ACTIONS(2178),
    [anon_sym_xor_eq] = ACTIONS(2178),
    [anon_sym_LT_EQ_GT] = ACTIONS(2180),
    [anon_sym_or] = ACTIONS(2178),
    [anon_sym_and] = ACTIONS(2178),
    [anon_sym_bitor] = ACTIONS(2178),
    [anon_sym_xor] = ACTIONS(2178),
    [anon_sym_bitand] = ACTIONS(2178),
    [anon_sym_not_eq] = ACTIONS(2178),
    [anon_sym_DASH_DASH] = ACTIONS(2180),
    [anon_sym_PLUS_PLUS] = ACTIONS(2180),
    [anon_sym_DOT] = ACTIONS(2178),
    [anon_sym_DOT_STAR] = ACTIONS(2180),
    [anon_sym_DASH_GT] = ACTIONS(2180),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2178),
    [anon_sym_decltype] = ACTIONS(2178),
    [anon_sym_final] = ACTIONS(2178),
    [anon_sym_override] = ACTIONS(2178),
  },
  [3266] = {
    [sym_identifier] = ACTIONS(6005),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6007),
    [anon_sym_COMMA] = ACTIONS(6007),
    [anon_sym_RPAREN] = ACTIONS(6007),
    [anon_sym_LPAREN2] = ACTIONS(6007),
    [anon_sym_DASH] = ACTIONS(6005),
    [anon_sym_PLUS] = ACTIONS(6005),
    [anon_sym_STAR] = ACTIONS(6007),
    [anon_sym_SLASH] = ACTIONS(6005),
    [anon_sym_PERCENT] = ACTIONS(6007),
    [anon_sym_PIPE_PIPE] = ACTIONS(6007),
    [anon_sym_AMP_AMP] = ACTIONS(6007),
    [anon_sym_PIPE] = ACTIONS(6005),
    [anon_sym_CARET] = ACTIONS(6007),
    [anon_sym_AMP] = ACTIONS(6005),
    [anon_sym_EQ_EQ] = ACTIONS(6007),
    [anon_sym_BANG_EQ] = ACTIONS(6007),
    [anon_sym_GT] = ACTIONS(6005),
    [anon_sym_GT_EQ] = ACTIONS(6007),
    [anon_sym_LT_EQ] = ACTIONS(6005),
    [anon_sym_LT] = ACTIONS(6005),
    [anon_sym_LT_LT] = ACTIONS(6007),
    [anon_sym_GT_GT] = ACTIONS(6007),
    [anon_sym_COLON] = ACTIONS(6005),
    [anon_sym_SEMI] = ACTIONS(6007),
    [anon_sym___extension__] = ACTIONS(6005),
    [anon_sym___attribute__] = ACTIONS(6005),
    [anon_sym_COLON_COLON] = ACTIONS(6007),
    [anon_sym___based] = ACTIONS(6005),
    [anon_sym_LBRACE] = ACTIONS(6007),
    [anon_sym_RBRACE] = ACTIONS(6007),
    [anon_sym_signed] = ACTIONS(6005),
    [anon_sym_unsigned] = ACTIONS(6005),
    [anon_sym_long] = ACTIONS(6005),
    [anon_sym_short] = ACTIONS(6005),
    [anon_sym_LBRACK] = ACTIONS(6007),
    [anon_sym_RBRACK] = ACTIONS(6007),
    [anon_sym_const] = ACTIONS(6005),
    [anon_sym_constexpr] = ACTIONS(6005),
    [anon_sym_volatile] = ACTIONS(6005),
    [anon_sym_restrict] = ACTIONS(6005),
    [anon_sym___restrict__] = ACTIONS(6005),
    [anon_sym__Atomic] = ACTIONS(6005),
    [anon_sym__Noreturn] = ACTIONS(6005),
    [anon_sym_noreturn] = ACTIONS(6005),
    [anon_sym_mutable] = ACTIONS(6005),
    [anon_sym_constinit] = ACTIONS(6005),
    [anon_sym_consteval] = ACTIONS(6005),
    [sym_primitive_type] = ACTIONS(6005),
    [anon_sym_QMARK] = ACTIONS(6007),
    [anon_sym_LT_EQ_GT] = ACTIONS(6007),
    [anon_sym_or] = ACTIONS(6005),
    [anon_sym_and] = ACTIONS(6005),
    [anon_sym_bitor] = ACTIONS(6005),
    [anon_sym_xor] = ACTIONS(6005),
    [anon_sym_bitand] = ACTIONS(6005),
    [anon_sym_not_eq] = ACTIONS(6005),
    [anon_sym_DASH_DASH] = ACTIONS(6007),
    [anon_sym_PLUS_PLUS] = ACTIONS(6007),
    [anon_sym_DOT] = ACTIONS(6005),
    [anon_sym_DOT_STAR] = ACTIONS(6007),
    [anon_sym_DASH_GT] = ACTIONS(6007),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(6005),
    [anon_sym_decltype] = ACTIONS(6005),
    [anon_sym_final] = ACTIONS(6005),
    [anon_sym_override] = ACTIONS(6005),
    [anon_sym_requires] = ACTIONS(6005),
  },
  [3267] = {
    [sym_identifier] = ACTIONS(2212),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2214),
    [anon_sym_COMMA] = ACTIONS(2214),
    [anon_sym_RPAREN] = ACTIONS(2214),
    [anon_sym_LPAREN2] = ACTIONS(2214),
    [anon_sym_DASH] = ACTIONS(2212),
    [anon_sym_PLUS] = ACTIONS(2212),
    [anon_sym_STAR] = ACTIONS(2214),
    [anon_sym_SLASH] = ACTIONS(2212),
    [anon_sym_PERCENT] = ACTIONS(2214),
    [anon_sym_PIPE_PIPE] = ACTIONS(2214),
    [anon_sym_AMP_AMP] = ACTIONS(2214),
    [anon_sym_PIPE] = ACTIONS(2212),
    [anon_sym_CARET] = ACTIONS(2214),
    [anon_sym_AMP] = ACTIONS(2212),
    [anon_sym_EQ_EQ] = ACTIONS(2214),
    [anon_sym_BANG_EQ] = ACTIONS(2214),
    [anon_sym_GT] = ACTIONS(2212),
    [anon_sym_GT_EQ] = ACTIONS(2214),
    [anon_sym_LT_EQ] = ACTIONS(2212),
    [anon_sym_LT] = ACTIONS(2212),
    [anon_sym_LT_LT] = ACTIONS(2214),
    [anon_sym_GT_GT] = ACTIONS(2214),
    [anon_sym_COLON] = ACTIONS(2212),
    [anon_sym_SEMI] = ACTIONS(2214),
    [anon_sym___extension__] = ACTIONS(2212),
    [anon_sym___attribute__] = ACTIONS(2212),
    [anon_sym_COLON_COLON] = ACTIONS(2214),
    [anon_sym___based] = ACTIONS(2212),
    [anon_sym_LBRACE] = ACTIONS(2214),
    [anon_sym_RBRACE] = ACTIONS(2214),
    [anon_sym_signed] = ACTIONS(2212),
    [anon_sym_unsigned] = ACTIONS(2212),
    [anon_sym_long] = ACTIONS(2212),
    [anon_sym_short] = ACTIONS(2212),
    [anon_sym_LBRACK] = ACTIONS(2214),
    [anon_sym_RBRACK] = ACTIONS(2214),
    [anon_sym_const] = ACTIONS(2212),
    [anon_sym_constexpr] = ACTIONS(2212),
    [anon_sym_volatile] = ACTIONS(2212),
    [anon_sym_restrict] = ACTIONS(2212),
    [anon_sym___restrict__] = ACTIONS(2212),
    [anon_sym__Atomic] = ACTIONS(2212),
    [anon_sym__Noreturn] = ACTIONS(2212),
    [anon_sym_noreturn] = ACTIONS(2212),
    [anon_sym_mutable] = ACTIONS(2212),
    [anon_sym_constinit] = ACTIONS(2212),
    [anon_sym_consteval] = ACTIONS(2212),
    [sym_primitive_type] = ACTIONS(2212),
    [anon_sym_QMARK] = ACTIONS(2214),
    [anon_sym_LT_EQ_GT] = ACTIONS(2214),
    [anon_sym_or] = ACTIONS(2212),
    [anon_sym_and] = ACTIONS(2212),
    [anon_sym_bitor] = ACTIONS(2212),
    [anon_sym_xor] = ACTIONS(2212),
    [anon_sym_bitand] = ACTIONS(2212),
    [anon_sym_not_eq] = ACTIONS(2212),
    [anon_sym_DASH_DASH] = ACTIONS(2214),
    [anon_sym_PLUS_PLUS] = ACTIONS(2214),
    [anon_sym_DOT] = ACTIONS(2212),
    [anon_sym_DOT_STAR] = ACTIONS(2214),
    [anon_sym_DASH_GT] = ACTIONS(2214),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2212),
    [anon_sym_decltype] = ACTIONS(2212),
    [anon_sym_final] = ACTIONS(2212),
    [anon_sym_override] = ACTIONS(2212),
    [anon_sym_requires] = ACTIONS(2212),
  },
  [3268] = {
    [sym_identifier] = ACTIONS(2250),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2252),
    [anon_sym_COMMA] = ACTIONS(2252),
    [anon_sym_RPAREN] = ACTIONS(2252),
    [anon_sym_LPAREN2] = ACTIONS(2252),
    [anon_sym_DASH] = ACTIONS(2250),
    [anon_sym_PLUS] = ACTIONS(2250),
    [anon_sym_STAR] = ACTIONS(2252),
    [anon_sym_SLASH] = ACTIONS(2250),
    [anon_sym_PERCENT] = ACTIONS(2252),
    [anon_sym_PIPE_PIPE] = ACTIONS(2252),
    [anon_sym_AMP_AMP] = ACTIONS(2252),
    [anon_sym_PIPE] = ACTIONS(2250),
    [anon_sym_CARET] = ACTIONS(2252),
    [anon_sym_AMP] = ACTIONS(2250),
    [anon_sym_EQ_EQ] = ACTIONS(2252),
    [anon_sym_BANG_EQ] = ACTIONS(2252),
    [anon_sym_GT] = ACTIONS(2250),
    [anon_sym_GT_EQ] = ACTIONS(2252),
    [anon_sym_LT_EQ] = ACTIONS(2250),
    [anon_sym_LT] = ACTIONS(2250),
    [anon_sym_LT_LT] = ACTIONS(2252),
    [anon_sym_GT_GT] = ACTIONS(2252),
    [anon_sym_COLON] = ACTIONS(2250),
    [anon_sym_SEMI] = ACTIONS(2252),
    [anon_sym___extension__] = ACTIONS(2250),
    [anon_sym___attribute__] = ACTIONS(2250),
    [anon_sym_COLON_COLON] = ACTIONS(2252),
    [anon_sym___based] = ACTIONS(2250),
    [anon_sym_LBRACE] = ACTIONS(2252),
    [anon_sym_RBRACE] = ACTIONS(2252),
    [anon_sym_signed] = ACTIONS(2250),
    [anon_sym_unsigned] = ACTIONS(2250),
    [anon_sym_long] = ACTIONS(2250),
    [anon_sym_short] = ACTIONS(2250),
    [anon_sym_LBRACK] = ACTIONS(2252),
    [anon_sym_RBRACK] = ACTIONS(2252),
    [anon_sym_const] = ACTIONS(2250),
    [anon_sym_constexpr] = ACTIONS(2250),
    [anon_sym_volatile] = ACTIONS(2250),
    [anon_sym_restrict] = ACTIONS(2250),
    [anon_sym___restrict__] = ACTIONS(2250),
    [anon_sym__Atomic] = ACTIONS(2250),
    [anon_sym__Noreturn] = ACTIONS(2250),
    [anon_sym_noreturn] = ACTIONS(2250),
    [anon_sym_mutable] = ACTIONS(2250),
    [anon_sym_constinit] = ACTIONS(2250),
    [anon_sym_consteval] = ACTIONS(2250),
    [sym_primitive_type] = ACTIONS(2250),
    [anon_sym_QMARK] = ACTIONS(2252),
    [anon_sym_LT_EQ_GT] = ACTIONS(2252),
    [anon_sym_or] = ACTIONS(2250),
    [anon_sym_and] = ACTIONS(2250),
    [anon_sym_bitor] = ACTIONS(2250),
    [anon_sym_xor] = ACTIONS(2250),
    [anon_sym_bitand] = ACTIONS(2250),
    [anon_sym_not_eq] = ACTIONS(2250),
    [anon_sym_DASH_DASH] = ACTIONS(2252),
    [anon_sym_PLUS_PLUS] = ACTIONS(2252),
    [anon_sym_DOT] = ACTIONS(2250),
    [anon_sym_DOT_STAR] = ACTIONS(2252),
    [anon_sym_DASH_GT] = ACTIONS(2252),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2250),
    [anon_sym_decltype] = ACTIONS(2250),
    [anon_sym_final] = ACTIONS(2250),
    [anon_sym_override] = ACTIONS(2250),
    [anon_sym_requires] = ACTIONS(2250),
  },
  [3269] = {
    [sym_identifier] = ACTIONS(2186),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2188),
    [anon_sym_COMMA] = ACTIONS(2188),
    [anon_sym_RPAREN] = ACTIONS(2188),
    [anon_sym_LPAREN2] = ACTIONS(2188),
    [anon_sym_DASH] = ACTIONS(2186),
    [anon_sym_PLUS] = ACTIONS(2186),
    [anon_sym_STAR] = ACTIONS(2188),
    [anon_sym_SLASH] = ACTIONS(2186),
    [anon_sym_PERCENT] = ACTIONS(2188),
    [anon_sym_PIPE_PIPE] = ACTIONS(2188),
    [anon_sym_AMP_AMP] = ACTIONS(2188),
    [anon_sym_PIPE] = ACTIONS(2186),
    [anon_sym_CARET] = ACTIONS(2188),
    [anon_sym_AMP] = ACTIONS(2186),
    [anon_sym_EQ_EQ] = ACTIONS(2188),
    [anon_sym_BANG_EQ] = ACTIONS(2188),
    [anon_sym_GT] = ACTIONS(2186),
    [anon_sym_GT_EQ] = ACTIONS(2188),
    [anon_sym_LT_EQ] = ACTIONS(2186),
    [anon_sym_LT] = ACTIONS(2186),
    [anon_sym_LT_LT] = ACTIONS(2188),
    [anon_sym_GT_GT] = ACTIONS(2188),
    [anon_sym_COLON] = ACTIONS(2186),
    [anon_sym_SEMI] = ACTIONS(2188),
    [anon_sym___extension__] = ACTIONS(2186),
    [anon_sym___attribute__] = ACTIONS(2186),
    [anon_sym_COLON_COLON] = ACTIONS(2188),
    [anon_sym___based] = ACTIONS(2186),
    [anon_sym_LBRACE] = ACTIONS(2188),
    [anon_sym_RBRACE] = ACTIONS(2188),
    [anon_sym_signed] = ACTIONS(2186),
    [anon_sym_unsigned] = ACTIONS(2186),
    [anon_sym_long] = ACTIONS(2186),
    [anon_sym_short] = ACTIONS(2186),
    [anon_sym_LBRACK] = ACTIONS(2188),
    [anon_sym_RBRACK] = ACTIONS(2188),
    [anon_sym_const] = ACTIONS(2186),
    [anon_sym_constexpr] = ACTIONS(2186),
    [anon_sym_volatile] = ACTIONS(2186),
    [anon_sym_restrict] = ACTIONS(2186),
    [anon_sym___restrict__] = ACTIONS(2186),
    [anon_sym__Atomic] = ACTIONS(2186),
    [anon_sym__Noreturn] = ACTIONS(2186),
    [anon_sym_noreturn] = ACTIONS(2186),
    [anon_sym_mutable] = ACTIONS(2186),
    [anon_sym_constinit] = ACTIONS(2186),
    [anon_sym_consteval] = ACTIONS(2186),
    [sym_primitive_type] = ACTIONS(2186),
    [anon_sym_QMARK] = ACTIONS(2188),
    [anon_sym_LT_EQ_GT] = ACTIONS(2188),
    [anon_sym_or] = ACTIONS(2186),
    [anon_sym_and] = ACTIONS(2186),
    [anon_sym_bitor] = ACTIONS(2186),
    [anon_sym_xor] = ACTIONS(2186),
    [anon_sym_bitand] = ACTIONS(2186),
    [anon_sym_not_eq] = ACTIONS(2186),
    [anon_sym_DASH_DASH] = ACTIONS(2188),
    [anon_sym_PLUS_PLUS] = ACTIONS(2188),
    [anon_sym_DOT] = ACTIONS(2186),
    [anon_sym_DOT_STAR] = ACTIONS(2188),
    [anon_sym_DASH_GT] = ACTIONS(2188),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2186),
    [anon_sym_decltype] = ACTIONS(2186),
    [anon_sym_final] = ACTIONS(2186),
    [anon_sym_override] = ACTIONS(2186),
    [anon_sym_requires] = ACTIONS(2186),
  },
  [3270] = {
    [sym_identifier] = ACTIONS(6143),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6145),
    [anon_sym_COMMA] = ACTIONS(6145),
    [anon_sym_RPAREN] = ACTIONS(6145),
    [anon_sym_LPAREN2] = ACTIONS(6145),
    [anon_sym_DASH] = ACTIONS(6143),
    [anon_sym_PLUS] = ACTIONS(6143),
    [anon_sym_STAR] = ACTIONS(6145),
    [anon_sym_SLASH] = ACTIONS(6143),
    [anon_sym_PERCENT] = ACTIONS(6145),
    [anon_sym_PIPE_PIPE] = ACTIONS(6145),
    [anon_sym_AMP_AMP] = ACTIONS(6145),
    [anon_sym_PIPE] = ACTIONS(6143),
    [anon_sym_CARET] = ACTIONS(6145),
    [anon_sym_AMP] = ACTIONS(6143),
    [anon_sym_EQ_EQ] = ACTIONS(6145),
    [anon_sym_BANG_EQ] = ACTIONS(6145),
    [anon_sym_GT] = ACTIONS(6143),
    [anon_sym_GT_EQ] = ACTIONS(6145),
    [anon_sym_LT_EQ] = ACTIONS(6143),
    [anon_sym_LT] = ACTIONS(6143),
    [anon_sym_LT_LT] = ACTIONS(6145),
    [anon_sym_GT_GT] = ACTIONS(6145),
    [anon_sym_COLON] = ACTIONS(6145),
    [anon_sym_SEMI] = ACTIONS(6145),
    [anon_sym___extension__] = ACTIONS(6143),
    [anon_sym___attribute__] = ACTIONS(6143),
    [anon_sym___based] = ACTIONS(6143),
    [anon_sym_LBRACE] = ACTIONS(6145),
    [anon_sym_RBRACE] = ACTIONS(6145),
    [anon_sym_signed] = ACTIONS(6143),
    [anon_sym_unsigned] = ACTIONS(6143),
    [anon_sym_long] = ACTIONS(6143),
    [anon_sym_short] = ACTIONS(6143),
    [anon_sym_LBRACK] = ACTIONS(6145),
    [anon_sym_RBRACK] = ACTIONS(6145),
    [anon_sym_const] = ACTIONS(6143),
    [anon_sym_constexpr] = ACTIONS(6143),
    [anon_sym_volatile] = ACTIONS(6143),
    [anon_sym_restrict] = ACTIONS(6143),
    [anon_sym___restrict__] = ACTIONS(6143),
    [anon_sym__Atomic] = ACTIONS(6143),
    [anon_sym__Noreturn] = ACTIONS(6143),
    [anon_sym_noreturn] = ACTIONS(6143),
    [anon_sym_mutable] = ACTIONS(6143),
    [anon_sym_constinit] = ACTIONS(6143),
    [anon_sym_consteval] = ACTIONS(6143),
    [sym_primitive_type] = ACTIONS(6143),
    [anon_sym_QMARK] = ACTIONS(6145),
    [anon_sym_LT_EQ_GT] = ACTIONS(6145),
    [anon_sym_or] = ACTIONS(6143),
    [anon_sym_and] = ACTIONS(6143),
    [anon_sym_bitor] = ACTIONS(6143),
    [anon_sym_xor] = ACTIONS(6143),
    [anon_sym_bitand] = ACTIONS(6143),
    [anon_sym_not_eq] = ACTIONS(6143),
    [anon_sym_DASH_DASH] = ACTIONS(6145),
    [anon_sym_PLUS_PLUS] = ACTIONS(6145),
    [anon_sym_DOT] = ACTIONS(6143),
    [anon_sym_DOT_STAR] = ACTIONS(6145),
    [anon_sym_DASH_GT] = ACTIONS(6145),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(6143),
    [anon_sym_decltype] = ACTIONS(6143),
    [anon_sym_final] = ACTIONS(6143),
    [anon_sym_override] = ACTIONS(6143),
    [anon_sym_requires] = ACTIONS(6143),
  },
  [3271] = {
    [sym_string_literal] = STATE(3326),
    [sym_template_argument_list] = STATE(3468),
    [sym_raw_string_literal] = STATE(3326),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4213),
    [anon_sym_COMMA] = ACTIONS(4213),
    [anon_sym_LPAREN2] = ACTIONS(4213),
    [anon_sym_DASH] = ACTIONS(4221),
    [anon_sym_PLUS] = ACTIONS(4221),
    [anon_sym_STAR] = ACTIONS(4221),
    [anon_sym_SLASH] = ACTIONS(4221),
    [anon_sym_PERCENT] = ACTIONS(4221),
    [anon_sym_PIPE_PIPE] = ACTIONS(4213),
    [anon_sym_AMP_AMP] = ACTIONS(4213),
    [anon_sym_PIPE] = ACTIONS(4221),
    [anon_sym_CARET] = ACTIONS(4221),
    [anon_sym_AMP] = ACTIONS(4221),
    [anon_sym_EQ_EQ] = ACTIONS(4213),
    [anon_sym_BANG_EQ] = ACTIONS(4213),
    [anon_sym_GT] = ACTIONS(4221),
    [anon_sym_GT_EQ] = ACTIONS(4213),
    [anon_sym_LT_EQ] = ACTIONS(4221),
    [anon_sym_LT] = ACTIONS(6228),
    [anon_sym_LT_LT] = ACTIONS(4221),
    [anon_sym_GT_GT] = ACTIONS(4221),
    [anon_sym_SEMI] = ACTIONS(4213),
    [anon_sym___attribute__] = ACTIONS(4213),
    [anon_sym_COLON_COLON] = ACTIONS(2230),
    [anon_sym_LBRACE] = ACTIONS(2226),
    [anon_sym_LBRACK] = ACTIONS(4213),
    [anon_sym_EQ] = ACTIONS(4221),
    [anon_sym_QMARK] = ACTIONS(4213),
    [anon_sym_STAR_EQ] = ACTIONS(4213),
    [anon_sym_SLASH_EQ] = ACTIONS(4213),
    [anon_sym_PERCENT_EQ] = ACTIONS(4213),
    [anon_sym_PLUS_EQ] = ACTIONS(4213),
    [anon_sym_DASH_EQ] = ACTIONS(4213),
    [anon_sym_LT_LT_EQ] = ACTIONS(4213),
    [anon_sym_GT_GT_EQ] = ACTIONS(4213),
    [anon_sym_AMP_EQ] = ACTIONS(4213),
    [anon_sym_CARET_EQ] = ACTIONS(4213),
    [anon_sym_PIPE_EQ] = ACTIONS(4213),
    [anon_sym_and_eq] = ACTIONS(4213),
    [anon_sym_or_eq] = ACTIONS(4213),
    [anon_sym_xor_eq] = ACTIONS(4213),
    [anon_sym_LT_EQ_GT] = ACTIONS(4213),
    [anon_sym_or] = ACTIONS(4221),
    [anon_sym_and] = ACTIONS(4221),
    [anon_sym_bitor] = ACTIONS(4213),
    [anon_sym_xor] = ACTIONS(4221),
    [anon_sym_bitand] = ACTIONS(4213),
    [anon_sym_not_eq] = ACTIONS(4213),
    [anon_sym_DASH_DASH] = ACTIONS(4213),
    [anon_sym_PLUS_PLUS] = ACTIONS(4213),
    [anon_sym_DOT] = ACTIONS(4221),
    [anon_sym_DOT_STAR] = ACTIONS(4213),
    [anon_sym_DASH_GT] = ACTIONS(4213),
    [anon_sym_L_DQUOTE] = ACTIONS(6528),
    [anon_sym_u_DQUOTE] = ACTIONS(6528),
    [anon_sym_U_DQUOTE] = ACTIONS(6528),
    [anon_sym_u8_DQUOTE] = ACTIONS(6528),
    [anon_sym_DQUOTE] = ACTIONS(6528),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(6530),
    [anon_sym_LR_DQUOTE] = ACTIONS(6530),
    [anon_sym_uR_DQUOTE] = ACTIONS(6530),
    [anon_sym_UR_DQUOTE] = ACTIONS(6530),
    [anon_sym_u8R_DQUOTE] = ACTIONS(6530),
  },
  [3272] = {
    [sym_identifier] = ACTIONS(6057),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6059),
    [anon_sym_COMMA] = ACTIONS(6059),
    [anon_sym_RPAREN] = ACTIONS(6059),
    [anon_sym_LPAREN2] = ACTIONS(6059),
    [anon_sym_DASH] = ACTIONS(6057),
    [anon_sym_PLUS] = ACTIONS(6057),
    [anon_sym_STAR] = ACTIONS(6059),
    [anon_sym_SLASH] = ACTIONS(6057),
    [anon_sym_PERCENT] = ACTIONS(6059),
    [anon_sym_PIPE_PIPE] = ACTIONS(6059),
    [anon_sym_AMP_AMP] = ACTIONS(6059),
    [anon_sym_PIPE] = ACTIONS(6057),
    [anon_sym_CARET] = ACTIONS(6059),
    [anon_sym_AMP] = ACTIONS(6057),
    [anon_sym_EQ_EQ] = ACTIONS(6059),
    [anon_sym_BANG_EQ] = ACTIONS(6059),
    [anon_sym_GT] = ACTIONS(6057),
    [anon_sym_GT_EQ] = ACTIONS(6059),
    [anon_sym_LT_EQ] = ACTIONS(6057),
    [anon_sym_LT] = ACTIONS(6057),
    [anon_sym_LT_LT] = ACTIONS(6059),
    [anon_sym_GT_GT] = ACTIONS(6059),
    [anon_sym_COLON] = ACTIONS(6059),
    [anon_sym_SEMI] = ACTIONS(6059),
    [anon_sym___extension__] = ACTIONS(6057),
    [anon_sym___attribute__] = ACTIONS(6057),
    [anon_sym___based] = ACTIONS(6057),
    [anon_sym_LBRACE] = ACTIONS(6059),
    [anon_sym_RBRACE] = ACTIONS(6059),
    [anon_sym_signed] = ACTIONS(6057),
    [anon_sym_unsigned] = ACTIONS(6057),
    [anon_sym_long] = ACTIONS(6057),
    [anon_sym_short] = ACTIONS(6057),
    [anon_sym_LBRACK] = ACTIONS(6059),
    [anon_sym_RBRACK] = ACTIONS(6059),
    [anon_sym_const] = ACTIONS(6057),
    [anon_sym_constexpr] = ACTIONS(6057),
    [anon_sym_volatile] = ACTIONS(6057),
    [anon_sym_restrict] = ACTIONS(6057),
    [anon_sym___restrict__] = ACTIONS(6057),
    [anon_sym__Atomic] = ACTIONS(6057),
    [anon_sym__Noreturn] = ACTIONS(6057),
    [anon_sym_noreturn] = ACTIONS(6057),
    [anon_sym_mutable] = ACTIONS(6057),
    [anon_sym_constinit] = ACTIONS(6057),
    [anon_sym_consteval] = ACTIONS(6057),
    [sym_primitive_type] = ACTIONS(6057),
    [anon_sym_QMARK] = ACTIONS(6059),
    [anon_sym_LT_EQ_GT] = ACTIONS(6059),
    [anon_sym_or] = ACTIONS(6057),
    [anon_sym_and] = ACTIONS(6057),
    [anon_sym_bitor] = ACTIONS(6057),
    [anon_sym_xor] = ACTIONS(6057),
    [anon_sym_bitand] = ACTIONS(6057),
    [anon_sym_not_eq] = ACTIONS(6057),
    [anon_sym_DASH_DASH] = ACTIONS(6059),
    [anon_sym_PLUS_PLUS] = ACTIONS(6059),
    [anon_sym_DOT] = ACTIONS(6057),
    [anon_sym_DOT_STAR] = ACTIONS(6059),
    [anon_sym_DASH_GT] = ACTIONS(6059),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(6057),
    [anon_sym_decltype] = ACTIONS(6057),
    [anon_sym_final] = ACTIONS(6057),
    [anon_sym_override] = ACTIONS(6057),
    [anon_sym_requires] = ACTIONS(6057),
  },
  [3273] = {
    [sym_identifier] = ACTIONS(6049),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6051),
    [anon_sym_COMMA] = ACTIONS(6051),
    [anon_sym_RPAREN] = ACTIONS(6051),
    [anon_sym_LPAREN2] = ACTIONS(6051),
    [anon_sym_DASH] = ACTIONS(6049),
    [anon_sym_PLUS] = ACTIONS(6049),
    [anon_sym_STAR] = ACTIONS(6051),
    [anon_sym_SLASH] = ACTIONS(6049),
    [anon_sym_PERCENT] = ACTIONS(6051),
    [anon_sym_PIPE_PIPE] = ACTIONS(6051),
    [anon_sym_AMP_AMP] = ACTIONS(6051),
    [anon_sym_PIPE] = ACTIONS(6049),
    [anon_sym_CARET] = ACTIONS(6051),
    [anon_sym_AMP] = ACTIONS(6049),
    [anon_sym_EQ_EQ] = ACTIONS(6051),
    [anon_sym_BANG_EQ] = ACTIONS(6051),
    [anon_sym_GT] = ACTIONS(6049),
    [anon_sym_GT_EQ] = ACTIONS(6051),
    [anon_sym_LT_EQ] = ACTIONS(6049),
    [anon_sym_LT] = ACTIONS(6049),
    [anon_sym_LT_LT] = ACTIONS(6051),
    [anon_sym_GT_GT] = ACTIONS(6051),
    [anon_sym_COLON] = ACTIONS(6051),
    [anon_sym_SEMI] = ACTIONS(6051),
    [anon_sym___extension__] = ACTIONS(6049),
    [anon_sym___attribute__] = ACTIONS(6049),
    [anon_sym___based] = ACTIONS(6049),
    [anon_sym_LBRACE] = ACTIONS(6051),
    [anon_sym_RBRACE] = ACTIONS(6051),
    [anon_sym_signed] = ACTIONS(6049),
    [anon_sym_unsigned] = ACTIONS(6049),
    [anon_sym_long] = ACTIONS(6049),
    [anon_sym_short] = ACTIONS(6049),
    [anon_sym_LBRACK] = ACTIONS(6051),
    [anon_sym_RBRACK] = ACTIONS(6051),
    [anon_sym_const] = ACTIONS(6049),
    [anon_sym_constexpr] = ACTIONS(6049),
    [anon_sym_volatile] = ACTIONS(6049),
    [anon_sym_restrict] = ACTIONS(6049),
    [anon_sym___restrict__] = ACTIONS(6049),
    [anon_sym__Atomic] = ACTIONS(6049),
    [anon_sym__Noreturn] = ACTIONS(6049),
    [anon_sym_noreturn] = ACTIONS(6049),
    [anon_sym_mutable] = ACTIONS(6049),
    [anon_sym_constinit] = ACTIONS(6049),
    [anon_sym_consteval] = ACTIONS(6049),
    [sym_primitive_type] = ACTIONS(6049),
    [anon_sym_QMARK] = ACTIONS(6051),
    [anon_sym_LT_EQ_GT] = ACTIONS(6051),
    [anon_sym_or] = ACTIONS(6049),
    [anon_sym_and] = ACTIONS(6049),
    [anon_sym_bitor] = ACTIONS(6049),
    [anon_sym_xor] = ACTIONS(6049),
    [anon_sym_bitand] = ACTIONS(6049),
    [anon_sym_not_eq] = ACTIONS(6049),
    [anon_sym_DASH_DASH] = ACTIONS(6051),
    [anon_sym_PLUS_PLUS] = ACTIONS(6051),
    [anon_sym_DOT] = ACTIONS(6049),
    [anon_sym_DOT_STAR] = ACTIONS(6051),
    [anon_sym_DASH_GT] = ACTIONS(6051),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(6049),
    [anon_sym_decltype] = ACTIONS(6049),
    [anon_sym_final] = ACTIONS(6049),
    [anon_sym_override] = ACTIONS(6049),
    [anon_sym_requires] = ACTIONS(6049),
  },
  [3274] = {
    [sym_identifier] = ACTIONS(6107),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6109),
    [anon_sym_COMMA] = ACTIONS(6109),
    [anon_sym_RPAREN] = ACTIONS(6109),
    [anon_sym_LPAREN2] = ACTIONS(6109),
    [anon_sym_DASH] = ACTIONS(6107),
    [anon_sym_PLUS] = ACTIONS(6107),
    [anon_sym_STAR] = ACTIONS(6109),
    [anon_sym_SLASH] = ACTIONS(6107),
    [anon_sym_PERCENT] = ACTIONS(6109),
    [anon_sym_PIPE_PIPE] = ACTIONS(6109),
    [anon_sym_AMP_AMP] = ACTIONS(6109),
    [anon_sym_PIPE] = ACTIONS(6107),
    [anon_sym_CARET] = ACTIONS(6109),
    [anon_sym_AMP] = ACTIONS(6107),
    [anon_sym_EQ_EQ] = ACTIONS(6109),
    [anon_sym_BANG_EQ] = ACTIONS(6109),
    [anon_sym_GT] = ACTIONS(6107),
    [anon_sym_GT_EQ] = ACTIONS(6109),
    [anon_sym_LT_EQ] = ACTIONS(6107),
    [anon_sym_LT] = ACTIONS(6107),
    [anon_sym_LT_LT] = ACTIONS(6109),
    [anon_sym_GT_GT] = ACTIONS(6109),
    [anon_sym_COLON] = ACTIONS(6109),
    [anon_sym_SEMI] = ACTIONS(6109),
    [anon_sym___extension__] = ACTIONS(6107),
    [anon_sym___attribute__] = ACTIONS(6107),
    [anon_sym___based] = ACTIONS(6107),
    [anon_sym_LBRACE] = ACTIONS(6109),
    [anon_sym_RBRACE] = ACTIONS(6109),
    [anon_sym_signed] = ACTIONS(6107),
    [anon_sym_unsigned] = ACTIONS(6107),
    [anon_sym_long] = ACTIONS(6107),
    [anon_sym_short] = ACTIONS(6107),
    [anon_sym_LBRACK] = ACTIONS(6109),
    [anon_sym_RBRACK] = ACTIONS(6109),
    [anon_sym_const] = ACTIONS(6107),
    [anon_sym_constexpr] = ACTIONS(6107),
    [anon_sym_volatile] = ACTIONS(6107),
    [anon_sym_restrict] = ACTIONS(6107),
    [anon_sym___restrict__] = ACTIONS(6107),
    [anon_sym__Atomic] = ACTIONS(6107),
    [anon_sym__Noreturn] = ACTIONS(6107),
    [anon_sym_noreturn] = ACTIONS(6107),
    [anon_sym_mutable] = ACTIONS(6107),
    [anon_sym_constinit] = ACTIONS(6107),
    [anon_sym_consteval] = ACTIONS(6107),
    [sym_primitive_type] = ACTIONS(6107),
    [anon_sym_QMARK] = ACTIONS(6109),
    [anon_sym_LT_EQ_GT] = ACTIONS(6109),
    [anon_sym_or] = ACTIONS(6107),
    [anon_sym_and] = ACTIONS(6107),
    [anon_sym_bitor] = ACTIONS(6107),
    [anon_sym_xor] = ACTIONS(6107),
    [anon_sym_bitand] = ACTIONS(6107),
    [anon_sym_not_eq] = ACTIONS(6107),
    [anon_sym_DASH_DASH] = ACTIONS(6109),
    [anon_sym_PLUS_PLUS] = ACTIONS(6109),
    [anon_sym_DOT] = ACTIONS(6107),
    [anon_sym_DOT_STAR] = ACTIONS(6109),
    [anon_sym_DASH_GT] = ACTIONS(6109),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(6107),
    [anon_sym_decltype] = ACTIONS(6107),
    [anon_sym_final] = ACTIONS(6107),
    [anon_sym_override] = ACTIONS(6107),
    [anon_sym_requires] = ACTIONS(6107),
  },
  [3275] = {
    [sym_identifier] = ACTIONS(6119),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6121),
    [anon_sym_COMMA] = ACTIONS(6121),
    [anon_sym_RPAREN] = ACTIONS(6121),
    [anon_sym_LPAREN2] = ACTIONS(6121),
    [anon_sym_DASH] = ACTIONS(6119),
    [anon_sym_PLUS] = ACTIONS(6119),
    [anon_sym_STAR] = ACTIONS(6121),
    [anon_sym_SLASH] = ACTIONS(6119),
    [anon_sym_PERCENT] = ACTIONS(6121),
    [anon_sym_PIPE_PIPE] = ACTIONS(6121),
    [anon_sym_AMP_AMP] = ACTIONS(6121),
    [anon_sym_PIPE] = ACTIONS(6119),
    [anon_sym_CARET] = ACTIONS(6121),
    [anon_sym_AMP] = ACTIONS(6119),
    [anon_sym_EQ_EQ] = ACTIONS(6121),
    [anon_sym_BANG_EQ] = ACTIONS(6121),
    [anon_sym_GT] = ACTIONS(6119),
    [anon_sym_GT_EQ] = ACTIONS(6121),
    [anon_sym_LT_EQ] = ACTIONS(6119),
    [anon_sym_LT] = ACTIONS(6119),
    [anon_sym_LT_LT] = ACTIONS(6121),
    [anon_sym_GT_GT] = ACTIONS(6121),
    [anon_sym_COLON] = ACTIONS(6121),
    [anon_sym_SEMI] = ACTIONS(6121),
    [anon_sym___extension__] = ACTIONS(6119),
    [anon_sym___attribute__] = ACTIONS(6119),
    [anon_sym___based] = ACTIONS(6119),
    [anon_sym_LBRACE] = ACTIONS(6121),
    [anon_sym_RBRACE] = ACTIONS(6121),
    [anon_sym_signed] = ACTIONS(6119),
    [anon_sym_unsigned] = ACTIONS(6119),
    [anon_sym_long] = ACTIONS(6119),
    [anon_sym_short] = ACTIONS(6119),
    [anon_sym_LBRACK] = ACTIONS(6121),
    [anon_sym_RBRACK] = ACTIONS(6121),
    [anon_sym_const] = ACTIONS(6119),
    [anon_sym_constexpr] = ACTIONS(6119),
    [anon_sym_volatile] = ACTIONS(6119),
    [anon_sym_restrict] = ACTIONS(6119),
    [anon_sym___restrict__] = ACTIONS(6119),
    [anon_sym__Atomic] = ACTIONS(6119),
    [anon_sym__Noreturn] = ACTIONS(6119),
    [anon_sym_noreturn] = ACTIONS(6119),
    [anon_sym_mutable] = ACTIONS(6119),
    [anon_sym_constinit] = ACTIONS(6119),
    [anon_sym_consteval] = ACTIONS(6119),
    [sym_primitive_type] = ACTIONS(6119),
    [anon_sym_QMARK] = ACTIONS(6121),
    [anon_sym_LT_EQ_GT] = ACTIONS(6121),
    [anon_sym_or] = ACTIONS(6119),
    [anon_sym_and] = ACTIONS(6119),
    [anon_sym_bitor] = ACTIONS(6119),
    [anon_sym_xor] = ACTIONS(6119),
    [anon_sym_bitand] = ACTIONS(6119),
    [anon_sym_not_eq] = ACTIONS(6119),
    [anon_sym_DASH_DASH] = ACTIONS(6121),
    [anon_sym_PLUS_PLUS] = ACTIONS(6121),
    [anon_sym_DOT] = ACTIONS(6119),
    [anon_sym_DOT_STAR] = ACTIONS(6121),
    [anon_sym_DASH_GT] = ACTIONS(6121),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(6119),
    [anon_sym_decltype] = ACTIONS(6119),
    [anon_sym_final] = ACTIONS(6119),
    [anon_sym_override] = ACTIONS(6119),
    [anon_sym_requires] = ACTIONS(6119),
  },
  [3276] = {
    [sym_string_literal] = STATE(3488),
    [sym_template_argument_list] = STATE(4773),
    [sym_raw_string_literal] = STATE(3488),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4213),
    [anon_sym_COMMA] = ACTIONS(4213),
    [anon_sym_RPAREN] = ACTIONS(4213),
    [anon_sym_LPAREN2] = ACTIONS(4213),
    [anon_sym_DASH] = ACTIONS(4221),
    [anon_sym_PLUS] = ACTIONS(4221),
    [anon_sym_STAR] = ACTIONS(4221),
    [anon_sym_SLASH] = ACTIONS(4221),
    [anon_sym_PERCENT] = ACTIONS(4221),
    [anon_sym_PIPE_PIPE] = ACTIONS(4213),
    [anon_sym_AMP_AMP] = ACTIONS(4213),
    [anon_sym_PIPE] = ACTIONS(4221),
    [anon_sym_CARET] = ACTIONS(4221),
    [anon_sym_AMP] = ACTIONS(4221),
    [anon_sym_EQ_EQ] = ACTIONS(4213),
    [anon_sym_BANG_EQ] = ACTIONS(4213),
    [anon_sym_GT] = ACTIONS(4221),
    [anon_sym_GT_EQ] = ACTIONS(4213),
    [anon_sym_LT_EQ] = ACTIONS(4221),
    [anon_sym_LT] = ACTIONS(6532),
    [anon_sym_LT_LT] = ACTIONS(4221),
    [anon_sym_GT_GT] = ACTIONS(4221),
    [anon_sym_COLON_COLON] = ACTIONS(2230),
    [anon_sym_LBRACE] = ACTIONS(2226),
    [anon_sym_LBRACK] = ACTIONS(4213),
    [anon_sym_EQ] = ACTIONS(4221),
    [anon_sym_QMARK] = ACTIONS(4213),
    [anon_sym_STAR_EQ] = ACTIONS(4213),
    [anon_sym_SLASH_EQ] = ACTIONS(4213),
    [anon_sym_PERCENT_EQ] = ACTIONS(4213),
    [anon_sym_PLUS_EQ] = ACTIONS(4213),
    [anon_sym_DASH_EQ] = ACTIONS(4213),
    [anon_sym_LT_LT_EQ] = ACTIONS(4213),
    [anon_sym_GT_GT_EQ] = ACTIONS(4213),
    [anon_sym_AMP_EQ] = ACTIONS(4213),
    [anon_sym_CARET_EQ] = ACTIONS(4213),
    [anon_sym_PIPE_EQ] = ACTIONS(4213),
    [anon_sym_and_eq] = ACTIONS(6535),
    [anon_sym_or_eq] = ACTIONS(6535),
    [anon_sym_xor_eq] = ACTIONS(6535),
    [anon_sym_LT_EQ_GT] = ACTIONS(4213),
    [anon_sym_or] = ACTIONS(4221),
    [anon_sym_and] = ACTIONS(4221),
    [anon_sym_bitor] = ACTIONS(4213),
    [anon_sym_xor] = ACTIONS(4221),
    [anon_sym_bitand] = ACTIONS(4213),
    [anon_sym_not_eq] = ACTIONS(4213),
    [anon_sym_DASH_DASH] = ACTIONS(4213),
    [anon_sym_PLUS_PLUS] = ACTIONS(4213),
    [anon_sym_DOT] = ACTIONS(4221),
    [anon_sym_DOT_STAR] = ACTIONS(4213),
    [anon_sym_DASH_GT] = ACTIONS(4221),
    [anon_sym_L_DQUOTE] = ACTIONS(4474),
    [anon_sym_u_DQUOTE] = ACTIONS(4474),
    [anon_sym_U_DQUOTE] = ACTIONS(4474),
    [anon_sym_u8_DQUOTE] = ACTIONS(4474),
    [anon_sym_DQUOTE] = ACTIONS(4474),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(4476),
    [anon_sym_LR_DQUOTE] = ACTIONS(4476),
    [anon_sym_uR_DQUOTE] = ACTIONS(4476),
    [anon_sym_UR_DQUOTE] = ACTIONS(4476),
    [anon_sym_u8R_DQUOTE] = ACTIONS(4476),
    [anon_sym_DASH_GT_STAR] = ACTIONS(4213),
  },
  [3277] = {
    [sym_identifier] = ACTIONS(6065),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6067),
    [anon_sym_COMMA] = ACTIONS(6067),
    [anon_sym_RPAREN] = ACTIONS(6067),
    [anon_sym_LPAREN2] = ACTIONS(6067),
    [anon_sym_DASH] = ACTIONS(6065),
    [anon_sym_PLUS] = ACTIONS(6065),
    [anon_sym_STAR] = ACTIONS(6067),
    [anon_sym_SLASH] = ACTIONS(6065),
    [anon_sym_PERCENT] = ACTIONS(6067),
    [anon_sym_PIPE_PIPE] = ACTIONS(6067),
    [anon_sym_AMP_AMP] = ACTIONS(6067),
    [anon_sym_PIPE] = ACTIONS(6065),
    [anon_sym_CARET] = ACTIONS(6067),
    [anon_sym_AMP] = ACTIONS(6065),
    [anon_sym_EQ_EQ] = ACTIONS(6067),
    [anon_sym_BANG_EQ] = ACTIONS(6067),
    [anon_sym_GT] = ACTIONS(6065),
    [anon_sym_GT_EQ] = ACTIONS(6067),
    [anon_sym_LT_EQ] = ACTIONS(6065),
    [anon_sym_LT] = ACTIONS(6065),
    [anon_sym_LT_LT] = ACTIONS(6067),
    [anon_sym_GT_GT] = ACTIONS(6067),
    [anon_sym_COLON] = ACTIONS(6067),
    [anon_sym_SEMI] = ACTIONS(6067),
    [anon_sym___extension__] = ACTIONS(6065),
    [anon_sym___attribute__] = ACTIONS(6065),
    [anon_sym___based] = ACTIONS(6065),
    [anon_sym_LBRACE] = ACTIONS(6067),
    [anon_sym_RBRACE] = ACTIONS(6067),
    [anon_sym_signed] = ACTIONS(6065),
    [anon_sym_unsigned] = ACTIONS(6065),
    [anon_sym_long] = ACTIONS(6065),
    [anon_sym_short] = ACTIONS(6065),
    [anon_sym_LBRACK] = ACTIONS(6067),
    [anon_sym_RBRACK] = ACTIONS(6067),
    [anon_sym_const] = ACTIONS(6065),
    [anon_sym_constexpr] = ACTIONS(6065),
    [anon_sym_volatile] = ACTIONS(6065),
    [anon_sym_restrict] = ACTIONS(6065),
    [anon_sym___restrict__] = ACTIONS(6065),
    [anon_sym__Atomic] = ACTIONS(6065),
    [anon_sym__Noreturn] = ACTIONS(6065),
    [anon_sym_noreturn] = ACTIONS(6065),
    [anon_sym_mutable] = ACTIONS(6065),
    [anon_sym_constinit] = ACTIONS(6065),
    [anon_sym_consteval] = ACTIONS(6065),
    [sym_primitive_type] = ACTIONS(6065),
    [anon_sym_QMARK] = ACTIONS(6067),
    [anon_sym_LT_EQ_GT] = ACTIONS(6067),
    [anon_sym_or] = ACTIONS(6065),
    [anon_sym_and] = ACTIONS(6065),
    [anon_sym_bitor] = ACTIONS(6065),
    [anon_sym_xor] = ACTIONS(6065),
    [anon_sym_bitand] = ACTIONS(6065),
    [anon_sym_not_eq] = ACTIONS(6065),
    [anon_sym_DASH_DASH] = ACTIONS(6067),
    [anon_sym_PLUS_PLUS] = ACTIONS(6067),
    [anon_sym_DOT] = ACTIONS(6065),
    [anon_sym_DOT_STAR] = ACTIONS(6067),
    [anon_sym_DASH_GT] = ACTIONS(6067),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(6065),
    [anon_sym_decltype] = ACTIONS(6065),
    [anon_sym_final] = ACTIONS(6065),
    [anon_sym_override] = ACTIONS(6065),
    [anon_sym_requires] = ACTIONS(6065),
  },
  [3278] = {
    [sym_identifier] = ACTIONS(6111),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6113),
    [anon_sym_COMMA] = ACTIONS(6113),
    [anon_sym_RPAREN] = ACTIONS(6113),
    [anon_sym_LPAREN2] = ACTIONS(6113),
    [anon_sym_DASH] = ACTIONS(6111),
    [anon_sym_PLUS] = ACTIONS(6111),
    [anon_sym_STAR] = ACTIONS(6113),
    [anon_sym_SLASH] = ACTIONS(6111),
    [anon_sym_PERCENT] = ACTIONS(6113),
    [anon_sym_PIPE_PIPE] = ACTIONS(6113),
    [anon_sym_AMP_AMP] = ACTIONS(6113),
    [anon_sym_PIPE] = ACTIONS(6111),
    [anon_sym_CARET] = ACTIONS(6113),
    [anon_sym_AMP] = ACTIONS(6111),
    [anon_sym_EQ_EQ] = ACTIONS(6113),
    [anon_sym_BANG_EQ] = ACTIONS(6113),
    [anon_sym_GT] = ACTIONS(6111),
    [anon_sym_GT_EQ] = ACTIONS(6113),
    [anon_sym_LT_EQ] = ACTIONS(6111),
    [anon_sym_LT] = ACTIONS(6111),
    [anon_sym_LT_LT] = ACTIONS(6113),
    [anon_sym_GT_GT] = ACTIONS(6113),
    [anon_sym_COLON] = ACTIONS(6113),
    [anon_sym_SEMI] = ACTIONS(6113),
    [anon_sym___extension__] = ACTIONS(6111),
    [anon_sym___attribute__] = ACTIONS(6111),
    [anon_sym___based] = ACTIONS(6111),
    [anon_sym_LBRACE] = ACTIONS(6113),
    [anon_sym_RBRACE] = ACTIONS(6113),
    [anon_sym_signed] = ACTIONS(6111),
    [anon_sym_unsigned] = ACTIONS(6111),
    [anon_sym_long] = ACTIONS(6111),
    [anon_sym_short] = ACTIONS(6111),
    [anon_sym_LBRACK] = ACTIONS(6113),
    [anon_sym_RBRACK] = ACTIONS(6113),
    [anon_sym_const] = ACTIONS(6111),
    [anon_sym_constexpr] = ACTIONS(6111),
    [anon_sym_volatile] = ACTIONS(6111),
    [anon_sym_restrict] = ACTIONS(6111),
    [anon_sym___restrict__] = ACTIONS(6111),
    [anon_sym__Atomic] = ACTIONS(6111),
    [anon_sym__Noreturn] = ACTIONS(6111),
    [anon_sym_noreturn] = ACTIONS(6111),
    [anon_sym_mutable] = ACTIONS(6111),
    [anon_sym_constinit] = ACTIONS(6111),
    [anon_sym_consteval] = ACTIONS(6111),
    [sym_primitive_type] = ACTIONS(6111),
    [anon_sym_QMARK] = ACTIONS(6113),
    [anon_sym_LT_EQ_GT] = ACTIONS(6113),
    [anon_sym_or] = ACTIONS(6111),
    [anon_sym_and] = ACTIONS(6111),
    [anon_sym_bitor] = ACTIONS(6111),
    [anon_sym_xor] = ACTIONS(6111),
    [anon_sym_bitand] = ACTIONS(6111),
    [anon_sym_not_eq] = ACTIONS(6111),
    [anon_sym_DASH_DASH] = ACTIONS(6113),
    [anon_sym_PLUS_PLUS] = ACTIONS(6113),
    [anon_sym_DOT] = ACTIONS(6111),
    [anon_sym_DOT_STAR] = ACTIONS(6113),
    [anon_sym_DASH_GT] = ACTIONS(6113),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(6111),
    [anon_sym_decltype] = ACTIONS(6111),
    [anon_sym_final] = ACTIONS(6111),
    [anon_sym_override] = ACTIONS(6111),
    [anon_sym_requires] = ACTIONS(6111),
  },
  [3279] = {
    [sym_identifier] = ACTIONS(2264),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2266),
    [anon_sym_COMMA] = ACTIONS(2266),
    [anon_sym_RPAREN] = ACTIONS(2266),
    [aux_sym_preproc_if_token2] = ACTIONS(2266),
    [aux_sym_preproc_else_token1] = ACTIONS(2266),
    [aux_sym_preproc_elif_token1] = ACTIONS(2264),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2266),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2266),
    [anon_sym_LPAREN2] = ACTIONS(2266),
    [anon_sym_DASH] = ACTIONS(2264),
    [anon_sym_PLUS] = ACTIONS(2264),
    [anon_sym_STAR] = ACTIONS(2264),
    [anon_sym_SLASH] = ACTIONS(2264),
    [anon_sym_PERCENT] = ACTIONS(2264),
    [anon_sym_PIPE_PIPE] = ACTIONS(2266),
    [anon_sym_AMP_AMP] = ACTIONS(2266),
    [anon_sym_PIPE] = ACTIONS(2264),
    [anon_sym_CARET] = ACTIONS(2264),
    [anon_sym_AMP] = ACTIONS(2264),
    [anon_sym_EQ_EQ] = ACTIONS(2266),
    [anon_sym_BANG_EQ] = ACTIONS(2266),
    [anon_sym_GT] = ACTIONS(2264),
    [anon_sym_GT_EQ] = ACTIONS(2266),
    [anon_sym_LT_EQ] = ACTIONS(2264),
    [anon_sym_LT] = ACTIONS(2264),
    [anon_sym_LT_LT] = ACTIONS(2264),
    [anon_sym_GT_GT] = ACTIONS(2264),
    [anon_sym_COLON] = ACTIONS(2266),
    [anon_sym_SEMI] = ACTIONS(2266),
    [anon_sym___attribute__] = ACTIONS(2264),
    [anon_sym_LBRACE] = ACTIONS(2266),
    [anon_sym_RBRACE] = ACTIONS(2266),
    [anon_sym_LBRACK] = ACTIONS(2266),
    [anon_sym_RBRACK] = ACTIONS(2266),
    [anon_sym_EQ] = ACTIONS(2264),
    [anon_sym_QMARK] = ACTIONS(2266),
    [anon_sym_STAR_EQ] = ACTIONS(2266),
    [anon_sym_SLASH_EQ] = ACTIONS(2266),
    [anon_sym_PERCENT_EQ] = ACTIONS(2266),
    [anon_sym_PLUS_EQ] = ACTIONS(2266),
    [anon_sym_DASH_EQ] = ACTIONS(2266),
    [anon_sym_LT_LT_EQ] = ACTIONS(2266),
    [anon_sym_GT_GT_EQ] = ACTIONS(2266),
    [anon_sym_AMP_EQ] = ACTIONS(2266),
    [anon_sym_CARET_EQ] = ACTIONS(2266),
    [anon_sym_PIPE_EQ] = ACTIONS(2266),
    [anon_sym_and_eq] = ACTIONS(2264),
    [anon_sym_or_eq] = ACTIONS(2264),
    [anon_sym_xor_eq] = ACTIONS(2264),
    [anon_sym_LT_EQ_GT] = ACTIONS(2266),
    [anon_sym_or] = ACTIONS(2264),
    [anon_sym_and] = ACTIONS(2264),
    [anon_sym_bitor] = ACTIONS(2264),
    [anon_sym_xor] = ACTIONS(2264),
    [anon_sym_bitand] = ACTIONS(2264),
    [anon_sym_not_eq] = ACTIONS(2264),
    [anon_sym_DASH_DASH] = ACTIONS(2266),
    [anon_sym_PLUS_PLUS] = ACTIONS(2266),
    [anon_sym_DOT] = ACTIONS(2264),
    [anon_sym_DOT_STAR] = ACTIONS(2266),
    [anon_sym_DASH_GT] = ACTIONS(2266),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2264),
    [anon_sym_decltype] = ACTIONS(2264),
    [anon_sym_final] = ACTIONS(2264),
    [anon_sym_override] = ACTIONS(2264),
  },
  [3280] = {
    [sym_string_literal] = STATE(3280),
    [sym_raw_string_literal] = STATE(3280),
    [aux_sym_concatenated_string_repeat1] = STATE(3280),
    [sym_identifier] = ACTIONS(6537),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6271),
    [anon_sym_COMMA] = ACTIONS(6271),
    [anon_sym_LPAREN2] = ACTIONS(6271),
    [anon_sym_DASH] = ACTIONS(6273),
    [anon_sym_PLUS] = ACTIONS(6273),
    [anon_sym_STAR] = ACTIONS(6273),
    [anon_sym_SLASH] = ACTIONS(6273),
    [anon_sym_PERCENT] = ACTIONS(6273),
    [anon_sym_PIPE_PIPE] = ACTIONS(6271),
    [anon_sym_AMP_AMP] = ACTIONS(6271),
    [anon_sym_PIPE] = ACTIONS(6273),
    [anon_sym_CARET] = ACTIONS(6273),
    [anon_sym_AMP] = ACTIONS(6273),
    [anon_sym_EQ_EQ] = ACTIONS(6271),
    [anon_sym_BANG_EQ] = ACTIONS(6271),
    [anon_sym_GT] = ACTIONS(6273),
    [anon_sym_GT_EQ] = ACTIONS(6271),
    [anon_sym_LT_EQ] = ACTIONS(6273),
    [anon_sym_LT] = ACTIONS(6273),
    [anon_sym_LT_LT] = ACTIONS(6273),
    [anon_sym_GT_GT] = ACTIONS(6273),
    [anon_sym_SEMI] = ACTIONS(6271),
    [anon_sym___attribute__] = ACTIONS(6273),
    [anon_sym_LBRACK] = ACTIONS(6271),
    [anon_sym_EQ] = ACTIONS(6273),
    [anon_sym_QMARK] = ACTIONS(6271),
    [anon_sym_STAR_EQ] = ACTIONS(6271),
    [anon_sym_SLASH_EQ] = ACTIONS(6271),
    [anon_sym_PERCENT_EQ] = ACTIONS(6271),
    [anon_sym_PLUS_EQ] = ACTIONS(6271),
    [anon_sym_DASH_EQ] = ACTIONS(6271),
    [anon_sym_LT_LT_EQ] = ACTIONS(6271),
    [anon_sym_GT_GT_EQ] = ACTIONS(6271),
    [anon_sym_AMP_EQ] = ACTIONS(6271),
    [anon_sym_CARET_EQ] = ACTIONS(6271),
    [anon_sym_PIPE_EQ] = ACTIONS(6271),
    [anon_sym_and_eq] = ACTIONS(6273),
    [anon_sym_or_eq] = ACTIONS(6273),
    [anon_sym_xor_eq] = ACTIONS(6273),
    [anon_sym_LT_EQ_GT] = ACTIONS(6271),
    [anon_sym_or] = ACTIONS(6273),
    [anon_sym_and] = ACTIONS(6273),
    [anon_sym_bitor] = ACTIONS(6273),
    [anon_sym_xor] = ACTIONS(6273),
    [anon_sym_bitand] = ACTIONS(6273),
    [anon_sym_not_eq] = ACTIONS(6273),
    [anon_sym_DASH_DASH] = ACTIONS(6271),
    [anon_sym_PLUS_PLUS] = ACTIONS(6271),
    [anon_sym_DOT] = ACTIONS(6273),
    [anon_sym_DOT_STAR] = ACTIONS(6271),
    [anon_sym_DASH_GT] = ACTIONS(6271),
    [anon_sym_L_DQUOTE] = ACTIONS(6540),
    [anon_sym_u_DQUOTE] = ACTIONS(6540),
    [anon_sym_U_DQUOTE] = ACTIONS(6540),
    [anon_sym_u8_DQUOTE] = ACTIONS(6540),
    [anon_sym_DQUOTE] = ACTIONS(6540),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(6543),
    [anon_sym_LR_DQUOTE] = ACTIONS(6543),
    [anon_sym_uR_DQUOTE] = ACTIONS(6543),
    [anon_sym_UR_DQUOTE] = ACTIONS(6543),
    [anon_sym_u8R_DQUOTE] = ACTIONS(6543),
    [sym_literal_suffix] = ACTIONS(6273),
  },
  [3281] = {
    [sym_string_literal] = STATE(3280),
    [sym_raw_string_literal] = STATE(3280),
    [aux_sym_concatenated_string_repeat1] = STATE(3280),
    [sym_identifier] = ACTIONS(6546),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6241),
    [anon_sym_COMMA] = ACTIONS(6241),
    [anon_sym_LPAREN2] = ACTIONS(6241),
    [anon_sym_DASH] = ACTIONS(6243),
    [anon_sym_PLUS] = ACTIONS(6243),
    [anon_sym_STAR] = ACTIONS(6243),
    [anon_sym_SLASH] = ACTIONS(6243),
    [anon_sym_PERCENT] = ACTIONS(6243),
    [anon_sym_PIPE_PIPE] = ACTIONS(6241),
    [anon_sym_AMP_AMP] = ACTIONS(6241),
    [anon_sym_PIPE] = ACTIONS(6243),
    [anon_sym_CARET] = ACTIONS(6243),
    [anon_sym_AMP] = ACTIONS(6243),
    [anon_sym_EQ_EQ] = ACTIONS(6241),
    [anon_sym_BANG_EQ] = ACTIONS(6241),
    [anon_sym_GT] = ACTIONS(6243),
    [anon_sym_GT_EQ] = ACTIONS(6241),
    [anon_sym_LT_EQ] = ACTIONS(6243),
    [anon_sym_LT] = ACTIONS(6243),
    [anon_sym_LT_LT] = ACTIONS(6243),
    [anon_sym_GT_GT] = ACTIONS(6243),
    [anon_sym_SEMI] = ACTIONS(6241),
    [anon_sym___attribute__] = ACTIONS(6243),
    [anon_sym_LBRACK] = ACTIONS(6241),
    [anon_sym_EQ] = ACTIONS(6243),
    [anon_sym_QMARK] = ACTIONS(6241),
    [anon_sym_STAR_EQ] = ACTIONS(6241),
    [anon_sym_SLASH_EQ] = ACTIONS(6241),
    [anon_sym_PERCENT_EQ] = ACTIONS(6241),
    [anon_sym_PLUS_EQ] = ACTIONS(6241),
    [anon_sym_DASH_EQ] = ACTIONS(6241),
    [anon_sym_LT_LT_EQ] = ACTIONS(6241),
    [anon_sym_GT_GT_EQ] = ACTIONS(6241),
    [anon_sym_AMP_EQ] = ACTIONS(6241),
    [anon_sym_CARET_EQ] = ACTIONS(6241),
    [anon_sym_PIPE_EQ] = ACTIONS(6241),
    [anon_sym_and_eq] = ACTIONS(6243),
    [anon_sym_or_eq] = ACTIONS(6243),
    [anon_sym_xor_eq] = ACTIONS(6243),
    [anon_sym_LT_EQ_GT] = ACTIONS(6241),
    [anon_sym_or] = ACTIONS(6243),
    [anon_sym_and] = ACTIONS(6243),
    [anon_sym_bitor] = ACTIONS(6243),
    [anon_sym_xor] = ACTIONS(6243),
    [anon_sym_bitand] = ACTIONS(6243),
    [anon_sym_not_eq] = ACTIONS(6243),
    [anon_sym_DASH_DASH] = ACTIONS(6241),
    [anon_sym_PLUS_PLUS] = ACTIONS(6241),
    [anon_sym_DOT] = ACTIONS(6243),
    [anon_sym_DOT_STAR] = ACTIONS(6241),
    [anon_sym_DASH_GT] = ACTIONS(6241),
    [anon_sym_L_DQUOTE] = ACTIONS(6528),
    [anon_sym_u_DQUOTE] = ACTIONS(6528),
    [anon_sym_U_DQUOTE] = ACTIONS(6528),
    [anon_sym_u8_DQUOTE] = ACTIONS(6528),
    [anon_sym_DQUOTE] = ACTIONS(6528),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(6530),
    [anon_sym_LR_DQUOTE] = ACTIONS(6530),
    [anon_sym_uR_DQUOTE] = ACTIONS(6530),
    [anon_sym_UR_DQUOTE] = ACTIONS(6530),
    [anon_sym_u8R_DQUOTE] = ACTIONS(6530),
    [sym_literal_suffix] = ACTIONS(6243),
  },
  [3282] = {
    [sym_string_literal] = STATE(3308),
    [sym_raw_string_literal] = STATE(3308),
    [aux_sym_concatenated_string_repeat1] = STATE(3308),
    [sym_identifier] = ACTIONS(6548),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6253),
    [anon_sym_COMMA] = ACTIONS(6253),
    [anon_sym_RPAREN] = ACTIONS(6253),
    [anon_sym_LPAREN2] = ACTIONS(6253),
    [anon_sym_DASH] = ACTIONS(6255),
    [anon_sym_PLUS] = ACTIONS(6255),
    [anon_sym_STAR] = ACTIONS(6255),
    [anon_sym_SLASH] = ACTIONS(6255),
    [anon_sym_PERCENT] = ACTIONS(6255),
    [anon_sym_PIPE_PIPE] = ACTIONS(6253),
    [anon_sym_AMP_AMP] = ACTIONS(6253),
    [anon_sym_PIPE] = ACTIONS(6255),
    [anon_sym_CARET] = ACTIONS(6255),
    [anon_sym_AMP] = ACTIONS(6255),
    [anon_sym_EQ_EQ] = ACTIONS(6253),
    [anon_sym_BANG_EQ] = ACTIONS(6253),
    [anon_sym_GT] = ACTIONS(6255),
    [anon_sym_GT_EQ] = ACTIONS(6253),
    [anon_sym_LT_EQ] = ACTIONS(6255),
    [anon_sym_LT] = ACTIONS(6255),
    [anon_sym_LT_LT] = ACTIONS(6255),
    [anon_sym_GT_GT] = ACTIONS(6255),
    [anon_sym_LBRACK] = ACTIONS(6253),
    [anon_sym_EQ] = ACTIONS(6255),
    [anon_sym_QMARK] = ACTIONS(6253),
    [anon_sym_STAR_EQ] = ACTIONS(6253),
    [anon_sym_SLASH_EQ] = ACTIONS(6253),
    [anon_sym_PERCENT_EQ] = ACTIONS(6253),
    [anon_sym_PLUS_EQ] = ACTIONS(6253),
    [anon_sym_DASH_EQ] = ACTIONS(6253),
    [anon_sym_LT_LT_EQ] = ACTIONS(6253),
    [anon_sym_GT_GT_EQ] = ACTIONS(6253),
    [anon_sym_AMP_EQ] = ACTIONS(6253),
    [anon_sym_CARET_EQ] = ACTIONS(6253),
    [anon_sym_PIPE_EQ] = ACTIONS(6253),
    [anon_sym_and_eq] = ACTIONS(6255),
    [anon_sym_or_eq] = ACTIONS(6255),
    [anon_sym_xor_eq] = ACTIONS(6255),
    [anon_sym_LT_EQ_GT] = ACTIONS(6253),
    [anon_sym_or] = ACTIONS(6255),
    [anon_sym_and] = ACTIONS(6255),
    [anon_sym_bitor] = ACTIONS(6255),
    [anon_sym_xor] = ACTIONS(6255),
    [anon_sym_bitand] = ACTIONS(6255),
    [anon_sym_not_eq] = ACTIONS(6255),
    [anon_sym_DASH_DASH] = ACTIONS(6253),
    [anon_sym_PLUS_PLUS] = ACTIONS(6253),
    [anon_sym_DOT] = ACTIONS(6255),
    [anon_sym_DOT_STAR] = ACTIONS(6253),
    [anon_sym_DASH_GT] = ACTIONS(6255),
    [anon_sym_L_DQUOTE] = ACTIONS(5796),
    [anon_sym_u_DQUOTE] = ACTIONS(5796),
    [anon_sym_U_DQUOTE] = ACTIONS(5796),
    [anon_sym_u8_DQUOTE] = ACTIONS(5796),
    [anon_sym_DQUOTE] = ACTIONS(5796),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(5798),
    [anon_sym_LR_DQUOTE] = ACTIONS(5798),
    [anon_sym_uR_DQUOTE] = ACTIONS(5798),
    [anon_sym_UR_DQUOTE] = ACTIONS(5798),
    [anon_sym_u8R_DQUOTE] = ACTIONS(5798),
    [anon_sym_DASH_GT_STAR] = ACTIONS(6253),
    [sym_literal_suffix] = ACTIONS(6255),
  },
  [3283] = {
    [sym_identifier] = ACTIONS(6065),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6067),
    [anon_sym_COMMA] = ACTIONS(6067),
    [anon_sym_RPAREN] = ACTIONS(6067),
    [anon_sym_LPAREN2] = ACTIONS(6067),
    [anon_sym_DASH] = ACTIONS(6065),
    [anon_sym_PLUS] = ACTIONS(6065),
    [anon_sym_STAR] = ACTIONS(6067),
    [anon_sym_SLASH] = ACTIONS(6065),
    [anon_sym_PERCENT] = ACTIONS(6067),
    [anon_sym_PIPE_PIPE] = ACTIONS(6067),
    [anon_sym_AMP_AMP] = ACTIONS(6067),
    [anon_sym_PIPE] = ACTIONS(6065),
    [anon_sym_CARET] = ACTIONS(6067),
    [anon_sym_AMP] = ACTIONS(6065),
    [anon_sym_EQ_EQ] = ACTIONS(6067),
    [anon_sym_BANG_EQ] = ACTIONS(6067),
    [anon_sym_GT] = ACTIONS(6065),
    [anon_sym_GT_EQ] = ACTIONS(6067),
    [anon_sym_LT_EQ] = ACTIONS(6065),
    [anon_sym_LT] = ACTIONS(6065),
    [anon_sym_LT_LT] = ACTIONS(6067),
    [anon_sym_GT_GT] = ACTIONS(6067),
    [anon_sym_COLON] = ACTIONS(6067),
    [anon_sym_SEMI] = ACTIONS(6067),
    [anon_sym___extension__] = ACTIONS(6065),
    [anon_sym___attribute__] = ACTIONS(6065),
    [anon_sym___based] = ACTIONS(6065),
    [anon_sym_LBRACE] = ACTIONS(6067),
    [anon_sym_RBRACE] = ACTIONS(6067),
    [anon_sym_signed] = ACTIONS(6065),
    [anon_sym_unsigned] = ACTIONS(6065),
    [anon_sym_long] = ACTIONS(6065),
    [anon_sym_short] = ACTIONS(6065),
    [anon_sym_LBRACK] = ACTIONS(6067),
    [anon_sym_RBRACK] = ACTIONS(6067),
    [anon_sym_const] = ACTIONS(6065),
    [anon_sym_constexpr] = ACTIONS(6065),
    [anon_sym_volatile] = ACTIONS(6065),
    [anon_sym_restrict] = ACTIONS(6065),
    [anon_sym___restrict__] = ACTIONS(6065),
    [anon_sym__Atomic] = ACTIONS(6065),
    [anon_sym__Noreturn] = ACTIONS(6065),
    [anon_sym_noreturn] = ACTIONS(6065),
    [anon_sym_mutable] = ACTIONS(6065),
    [anon_sym_constinit] = ACTIONS(6065),
    [anon_sym_consteval] = ACTIONS(6065),
    [sym_primitive_type] = ACTIONS(6065),
    [anon_sym_QMARK] = ACTIONS(6067),
    [anon_sym_LT_EQ_GT] = ACTIONS(6067),
    [anon_sym_or] = ACTIONS(6065),
    [anon_sym_and] = ACTIONS(6065),
    [anon_sym_bitor] = ACTIONS(6065),
    [anon_sym_xor] = ACTIONS(6065),
    [anon_sym_bitand] = ACTIONS(6065),
    [anon_sym_not_eq] = ACTIONS(6065),
    [anon_sym_DASH_DASH] = ACTIONS(6067),
    [anon_sym_PLUS_PLUS] = ACTIONS(6067),
    [anon_sym_DOT] = ACTIONS(6065),
    [anon_sym_DOT_STAR] = ACTIONS(6067),
    [anon_sym_DASH_GT] = ACTIONS(6067),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(6065),
    [anon_sym_decltype] = ACTIONS(6065),
    [anon_sym_final] = ACTIONS(6065),
    [anon_sym_override] = ACTIONS(6065),
    [anon_sym_requires] = ACTIONS(6065),
  },
  [3284] = {
    [sym_string_literal] = STATE(3682),
    [sym_template_argument_list] = STATE(4862),
    [sym_raw_string_literal] = STATE(3682),
    [aux_sym_structured_binding_declarator_repeat1] = STATE(8852),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4213),
    [anon_sym_COMMA] = ACTIONS(6550),
    [anon_sym_LPAREN2] = ACTIONS(4213),
    [anon_sym_DASH] = ACTIONS(4221),
    [anon_sym_PLUS] = ACTIONS(4221),
    [anon_sym_STAR] = ACTIONS(4221),
    [anon_sym_SLASH] = ACTIONS(4221),
    [anon_sym_PERCENT] = ACTIONS(4221),
    [anon_sym_PIPE_PIPE] = ACTIONS(4213),
    [anon_sym_AMP_AMP] = ACTIONS(4213),
    [anon_sym_PIPE] = ACTIONS(4221),
    [anon_sym_CARET] = ACTIONS(4221),
    [anon_sym_AMP] = ACTIONS(4221),
    [anon_sym_EQ_EQ] = ACTIONS(4213),
    [anon_sym_BANG_EQ] = ACTIONS(4213),
    [anon_sym_GT] = ACTIONS(4221),
    [anon_sym_GT_EQ] = ACTIONS(4213),
    [anon_sym_LT_EQ] = ACTIONS(4221),
    [anon_sym_LT] = ACTIONS(6488),
    [anon_sym_LT_LT] = ACTIONS(4221),
    [anon_sym_GT_GT] = ACTIONS(4221),
    [anon_sym_COLON_COLON] = ACTIONS(2230),
    [anon_sym_LBRACE] = ACTIONS(2226),
    [anon_sym_LBRACK] = ACTIONS(4213),
    [anon_sym_RBRACK] = ACTIONS(6552),
    [anon_sym_EQ] = ACTIONS(6555),
    [anon_sym_QMARK] = ACTIONS(4213),
    [anon_sym_STAR_EQ] = ACTIONS(6557),
    [anon_sym_SLASH_EQ] = ACTIONS(6557),
    [anon_sym_PERCENT_EQ] = ACTIONS(6557),
    [anon_sym_PLUS_EQ] = ACTIONS(6557),
    [anon_sym_DASH_EQ] = ACTIONS(6557),
    [anon_sym_LT_LT_EQ] = ACTIONS(6557),
    [anon_sym_GT_GT_EQ] = ACTIONS(6557),
    [anon_sym_AMP_EQ] = ACTIONS(6557),
    [anon_sym_CARET_EQ] = ACTIONS(6557),
    [anon_sym_PIPE_EQ] = ACTIONS(6557),
    [anon_sym_and_eq] = ACTIONS(6557),
    [anon_sym_or_eq] = ACTIONS(6557),
    [anon_sym_xor_eq] = ACTIONS(6557),
    [anon_sym_LT_EQ_GT] = ACTIONS(4213),
    [anon_sym_or] = ACTIONS(4221),
    [anon_sym_and] = ACTIONS(4221),
    [anon_sym_bitor] = ACTIONS(4213),
    [anon_sym_xor] = ACTIONS(4221),
    [anon_sym_bitand] = ACTIONS(4213),
    [anon_sym_not_eq] = ACTIONS(4213),
    [anon_sym_DASH_DASH] = ACTIONS(4213),
    [anon_sym_PLUS_PLUS] = ACTIONS(4213),
    [anon_sym_DOT] = ACTIONS(4221),
    [anon_sym_DOT_STAR] = ACTIONS(4213),
    [anon_sym_DASH_GT] = ACTIONS(4213),
    [anon_sym_L_DQUOTE] = ACTIONS(4247),
    [anon_sym_u_DQUOTE] = ACTIONS(4247),
    [anon_sym_U_DQUOTE] = ACTIONS(4247),
    [anon_sym_u8_DQUOTE] = ACTIONS(4247),
    [anon_sym_DQUOTE] = ACTIONS(4247),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(4249),
    [anon_sym_LR_DQUOTE] = ACTIONS(4249),
    [anon_sym_uR_DQUOTE] = ACTIONS(4249),
    [anon_sym_UR_DQUOTE] = ACTIONS(4249),
    [anon_sym_u8R_DQUOTE] = ACTIONS(4249),
  },
  [3285] = {
    [sym_identifier] = ACTIONS(6053),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6055),
    [anon_sym_COMMA] = ACTIONS(6055),
    [anon_sym_RPAREN] = ACTIONS(6055),
    [anon_sym_LPAREN2] = ACTIONS(6055),
    [anon_sym_DASH] = ACTIONS(6053),
    [anon_sym_PLUS] = ACTIONS(6053),
    [anon_sym_STAR] = ACTIONS(6055),
    [anon_sym_SLASH] = ACTIONS(6053),
    [anon_sym_PERCENT] = ACTIONS(6055),
    [anon_sym_PIPE_PIPE] = ACTIONS(6055),
    [anon_sym_AMP_AMP] = ACTIONS(6055),
    [anon_sym_PIPE] = ACTIONS(6053),
    [anon_sym_CARET] = ACTIONS(6055),
    [anon_sym_AMP] = ACTIONS(6053),
    [anon_sym_EQ_EQ] = ACTIONS(6055),
    [anon_sym_BANG_EQ] = ACTIONS(6055),
    [anon_sym_GT] = ACTIONS(6053),
    [anon_sym_GT_EQ] = ACTIONS(6055),
    [anon_sym_LT_EQ] = ACTIONS(6053),
    [anon_sym_LT] = ACTIONS(6053),
    [anon_sym_LT_LT] = ACTIONS(6055),
    [anon_sym_GT_GT] = ACTIONS(6055),
    [anon_sym_COLON] = ACTIONS(6055),
    [anon_sym_SEMI] = ACTIONS(6055),
    [anon_sym___extension__] = ACTIONS(6053),
    [anon_sym___attribute__] = ACTIONS(6053),
    [anon_sym___based] = ACTIONS(6053),
    [anon_sym_LBRACE] = ACTIONS(6055),
    [anon_sym_RBRACE] = ACTIONS(6055),
    [anon_sym_signed] = ACTIONS(6053),
    [anon_sym_unsigned] = ACTIONS(6053),
    [anon_sym_long] = ACTIONS(6053),
    [anon_sym_short] = ACTIONS(6053),
    [anon_sym_LBRACK] = ACTIONS(6055),
    [anon_sym_RBRACK] = ACTIONS(6055),
    [anon_sym_const] = ACTIONS(6053),
    [anon_sym_constexpr] = ACTIONS(6053),
    [anon_sym_volatile] = ACTIONS(6053),
    [anon_sym_restrict] = ACTIONS(6053),
    [anon_sym___restrict__] = ACTIONS(6053),
    [anon_sym__Atomic] = ACTIONS(6053),
    [anon_sym__Noreturn] = ACTIONS(6053),
    [anon_sym_noreturn] = ACTIONS(6053),
    [anon_sym_mutable] = ACTIONS(6053),
    [anon_sym_constinit] = ACTIONS(6053),
    [anon_sym_consteval] = ACTIONS(6053),
    [sym_primitive_type] = ACTIONS(6053),
    [anon_sym_QMARK] = ACTIONS(6055),
    [anon_sym_LT_EQ_GT] = ACTIONS(6055),
    [anon_sym_or] = ACTIONS(6053),
    [anon_sym_and] = ACTIONS(6053),
    [anon_sym_bitor] = ACTIONS(6053),
    [anon_sym_xor] = ACTIONS(6053),
    [anon_sym_bitand] = ACTIONS(6053),
    [anon_sym_not_eq] = ACTIONS(6053),
    [anon_sym_DASH_DASH] = ACTIONS(6055),
    [anon_sym_PLUS_PLUS] = ACTIONS(6055),
    [anon_sym_DOT] = ACTIONS(6053),
    [anon_sym_DOT_STAR] = ACTIONS(6055),
    [anon_sym_DASH_GT] = ACTIONS(6055),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(6053),
    [anon_sym_decltype] = ACTIONS(6053),
    [anon_sym_final] = ACTIONS(6053),
    [anon_sym_override] = ACTIONS(6053),
    [anon_sym_requires] = ACTIONS(6053),
  },
  [3286] = {
    [sym_identifier] = ACTIONS(6069),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6071),
    [anon_sym_COMMA] = ACTIONS(6071),
    [anon_sym_RPAREN] = ACTIONS(6071),
    [anon_sym_LPAREN2] = ACTIONS(6071),
    [anon_sym_DASH] = ACTIONS(6069),
    [anon_sym_PLUS] = ACTIONS(6069),
    [anon_sym_STAR] = ACTIONS(6071),
    [anon_sym_SLASH] = ACTIONS(6069),
    [anon_sym_PERCENT] = ACTIONS(6071),
    [anon_sym_PIPE_PIPE] = ACTIONS(6071),
    [anon_sym_AMP_AMP] = ACTIONS(6071),
    [anon_sym_PIPE] = ACTIONS(6069),
    [anon_sym_CARET] = ACTIONS(6071),
    [anon_sym_AMP] = ACTIONS(6069),
    [anon_sym_EQ_EQ] = ACTIONS(6071),
    [anon_sym_BANG_EQ] = ACTIONS(6071),
    [anon_sym_GT] = ACTIONS(6069),
    [anon_sym_GT_EQ] = ACTIONS(6071),
    [anon_sym_LT_EQ] = ACTIONS(6069),
    [anon_sym_LT] = ACTIONS(6069),
    [anon_sym_LT_LT] = ACTIONS(6071),
    [anon_sym_GT_GT] = ACTIONS(6071),
    [anon_sym_COLON] = ACTIONS(6071),
    [anon_sym_SEMI] = ACTIONS(6071),
    [anon_sym___extension__] = ACTIONS(6069),
    [anon_sym___attribute__] = ACTIONS(6069),
    [anon_sym___based] = ACTIONS(6069),
    [anon_sym_LBRACE] = ACTIONS(6071),
    [anon_sym_RBRACE] = ACTIONS(6071),
    [anon_sym_signed] = ACTIONS(6069),
    [anon_sym_unsigned] = ACTIONS(6069),
    [anon_sym_long] = ACTIONS(6069),
    [anon_sym_short] = ACTIONS(6069),
    [anon_sym_LBRACK] = ACTIONS(6071),
    [anon_sym_RBRACK] = ACTIONS(6071),
    [anon_sym_const] = ACTIONS(6069),
    [anon_sym_constexpr] = ACTIONS(6069),
    [anon_sym_volatile] = ACTIONS(6069),
    [anon_sym_restrict] = ACTIONS(6069),
    [anon_sym___restrict__] = ACTIONS(6069),
    [anon_sym__Atomic] = ACTIONS(6069),
    [anon_sym__Noreturn] = ACTIONS(6069),
    [anon_sym_noreturn] = ACTIONS(6069),
    [anon_sym_mutable] = ACTIONS(6069),
    [anon_sym_constinit] = ACTIONS(6069),
    [anon_sym_consteval] = ACTIONS(6069),
    [sym_primitive_type] = ACTIONS(6069),
    [anon_sym_QMARK] = ACTIONS(6071),
    [anon_sym_LT_EQ_GT] = ACTIONS(6071),
    [anon_sym_or] = ACTIONS(6069),
    [anon_sym_and] = ACTIONS(6069),
    [anon_sym_bitor] = ACTIONS(6069),
    [anon_sym_xor] = ACTIONS(6069),
    [anon_sym_bitand] = ACTIONS(6069),
    [anon_sym_not_eq] = ACTIONS(6069),
    [anon_sym_DASH_DASH] = ACTIONS(6071),
    [anon_sym_PLUS_PLUS] = ACTIONS(6071),
    [anon_sym_DOT] = ACTIONS(6069),
    [anon_sym_DOT_STAR] = ACTIONS(6071),
    [anon_sym_DASH_GT] = ACTIONS(6071),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(6069),
    [anon_sym_decltype] = ACTIONS(6069),
    [anon_sym_final] = ACTIONS(6069),
    [anon_sym_override] = ACTIONS(6069),
    [anon_sym_requires] = ACTIONS(6069),
  },
  [3287] = {
    [sym_identifier] = ACTIONS(6073),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6075),
    [anon_sym_COMMA] = ACTIONS(6075),
    [anon_sym_RPAREN] = ACTIONS(6075),
    [anon_sym_LPAREN2] = ACTIONS(6075),
    [anon_sym_DASH] = ACTIONS(6073),
    [anon_sym_PLUS] = ACTIONS(6073),
    [anon_sym_STAR] = ACTIONS(6075),
    [anon_sym_SLASH] = ACTIONS(6073),
    [anon_sym_PERCENT] = ACTIONS(6075),
    [anon_sym_PIPE_PIPE] = ACTIONS(6075),
    [anon_sym_AMP_AMP] = ACTIONS(6075),
    [anon_sym_PIPE] = ACTIONS(6073),
    [anon_sym_CARET] = ACTIONS(6075),
    [anon_sym_AMP] = ACTIONS(6073),
    [anon_sym_EQ_EQ] = ACTIONS(6075),
    [anon_sym_BANG_EQ] = ACTIONS(6075),
    [anon_sym_GT] = ACTIONS(6073),
    [anon_sym_GT_EQ] = ACTIONS(6075),
    [anon_sym_LT_EQ] = ACTIONS(6073),
    [anon_sym_LT] = ACTIONS(6073),
    [anon_sym_LT_LT] = ACTIONS(6075),
    [anon_sym_GT_GT] = ACTIONS(6075),
    [anon_sym_COLON] = ACTIONS(6075),
    [anon_sym_SEMI] = ACTIONS(6075),
    [anon_sym___extension__] = ACTIONS(6073),
    [anon_sym___attribute__] = ACTIONS(6073),
    [anon_sym___based] = ACTIONS(6073),
    [anon_sym_LBRACE] = ACTIONS(6075),
    [anon_sym_RBRACE] = ACTIONS(6075),
    [anon_sym_signed] = ACTIONS(6073),
    [anon_sym_unsigned] = ACTIONS(6073),
    [anon_sym_long] = ACTIONS(6073),
    [anon_sym_short] = ACTIONS(6073),
    [anon_sym_LBRACK] = ACTIONS(6075),
    [anon_sym_RBRACK] = ACTIONS(6075),
    [anon_sym_const] = ACTIONS(6073),
    [anon_sym_constexpr] = ACTIONS(6073),
    [anon_sym_volatile] = ACTIONS(6073),
    [anon_sym_restrict] = ACTIONS(6073),
    [anon_sym___restrict__] = ACTIONS(6073),
    [anon_sym__Atomic] = ACTIONS(6073),
    [anon_sym__Noreturn] = ACTIONS(6073),
    [anon_sym_noreturn] = ACTIONS(6073),
    [anon_sym_mutable] = ACTIONS(6073),
    [anon_sym_constinit] = ACTIONS(6073),
    [anon_sym_consteval] = ACTIONS(6073),
    [sym_primitive_type] = ACTIONS(6073),
    [anon_sym_QMARK] = ACTIONS(6075),
    [anon_sym_LT_EQ_GT] = ACTIONS(6075),
    [anon_sym_or] = ACTIONS(6073),
    [anon_sym_and] = ACTIONS(6073),
    [anon_sym_bitor] = ACTIONS(6073),
    [anon_sym_xor] = ACTIONS(6073),
    [anon_sym_bitand] = ACTIONS(6073),
    [anon_sym_not_eq] = ACTIONS(6073),
    [anon_sym_DASH_DASH] = ACTIONS(6075),
    [anon_sym_PLUS_PLUS] = ACTIONS(6075),
    [anon_sym_DOT] = ACTIONS(6073),
    [anon_sym_DOT_STAR] = ACTIONS(6075),
    [anon_sym_DASH_GT] = ACTIONS(6075),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(6073),
    [anon_sym_decltype] = ACTIONS(6073),
    [anon_sym_final] = ACTIONS(6073),
    [anon_sym_override] = ACTIONS(6073),
    [anon_sym_requires] = ACTIONS(6073),
  },
  [3288] = {
    [sym_identifier] = ACTIONS(6559),
    [anon_sym_LPAREN2] = ACTIONS(6561),
    [anon_sym_STAR] = ACTIONS(6561),
    [anon_sym___extension__] = ACTIONS(6559),
    [anon_sym_in] = ACTIONS(6559),
    [anon_sym_out] = ACTIONS(6559),
    [anon_sym_inout] = ACTIONS(6559),
    [anon_sym_extern] = ACTIONS(6559),
    [anon_sym___attribute__] = ACTIONS(6559),
    [anon_sym_COLON_COLON] = ACTIONS(6561),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(6561),
    [anon_sym___declspec] = ACTIONS(6559),
    [anon_sym___based] = ACTIONS(6559),
    [anon_sym_signed] = ACTIONS(6559),
    [anon_sym_unsigned] = ACTIONS(6559),
    [anon_sym_long] = ACTIONS(6559),
    [anon_sym_short] = ACTIONS(6559),
    [anon_sym_static] = ACTIONS(6559),
    [anon_sym_register] = ACTIONS(6559),
    [anon_sym_inline] = ACTIONS(6559),
    [anon_sym___inline] = ACTIONS(6559),
    [anon_sym___inline__] = ACTIONS(6559),
    [anon_sym___forceinline] = ACTIONS(6559),
    [anon_sym_thread_local] = ACTIONS(6559),
    [anon_sym___thread] = ACTIONS(6559),
    [anon_sym_const] = ACTIONS(6559),
    [anon_sym_constexpr] = ACTIONS(6559),
    [anon_sym_volatile] = ACTIONS(6559),
    [anon_sym_restrict] = ACTIONS(6559),
    [anon_sym___restrict__] = ACTIONS(6559),
    [anon_sym__Atomic] = ACTIONS(6559),
    [anon_sym__Noreturn] = ACTIONS(6559),
    [anon_sym_noreturn] = ACTIONS(6559),
    [anon_sym_mutable] = ACTIONS(6559),
    [anon_sym_constinit] = ACTIONS(6559),
    [anon_sym_consteval] = ACTIONS(6559),
    [sym_primitive_type] = ACTIONS(6559),
    [anon_sym_enum] = ACTIONS(6559),
    [anon_sym_class] = ACTIONS(6559),
    [anon_sym_struct] = ACTIONS(6559),
    [anon_sym_union] = ACTIONS(6559),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(6559),
    [anon_sym_decltype] = ACTIONS(6559),
    [anon_sym_virtual] = ACTIONS(6559),
    [anon_sym_alignas] = ACTIONS(6559),
    [anon_sym_typename] = ACTIONS(6559),
    [anon_sym_template] = ACTIONS(6559),
    [anon_sym_precise] = ACTIONS(6559),
    [anon_sym_shared] = ACTIONS(6559),
    [anon_sym_groupshared] = ACTIONS(6559),
    [anon_sym_uniform] = ACTIONS(6559),
    [anon_sym_row_major] = ACTIONS(6559),
    [anon_sym_column_major] = ACTIONS(6559),
    [anon_sym_globallycoherent] = ACTIONS(6559),
    [anon_sym_centroid] = ACTIONS(6559),
    [anon_sym_noperspective] = ACTIONS(6559),
    [anon_sym_nointerpolation] = ACTIONS(6559),
    [anon_sym_sample] = ACTIONS(6559),
    [anon_sym_linear] = ACTIONS(6559),
    [anon_sym_snorm] = ACTIONS(6559),
    [anon_sym_unorm] = ACTIONS(6559),
    [anon_sym_point] = ACTIONS(6559),
    [anon_sym_line] = ACTIONS(6559),
    [anon_sym_triangleadj] = ACTIONS(6559),
    [anon_sym_lineadj] = ACTIONS(6559),
    [anon_sym_triangle] = ACTIONS(6559),
  },
  [3289] = {
    [sym_identifier] = ACTIONS(2396),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2398),
    [anon_sym_COMMA] = ACTIONS(2398),
    [anon_sym_RPAREN] = ACTIONS(2398),
    [anon_sym_LPAREN2] = ACTIONS(2398),
    [anon_sym_DASH] = ACTIONS(2396),
    [anon_sym_PLUS] = ACTIONS(2396),
    [anon_sym_STAR] = ACTIONS(2398),
    [anon_sym_SLASH] = ACTIONS(2396),
    [anon_sym_PERCENT] = ACTIONS(2398),
    [anon_sym_PIPE_PIPE] = ACTIONS(2398),
    [anon_sym_AMP_AMP] = ACTIONS(2398),
    [anon_sym_PIPE] = ACTIONS(2396),
    [anon_sym_CARET] = ACTIONS(2398),
    [anon_sym_AMP] = ACTIONS(2396),
    [anon_sym_EQ_EQ] = ACTIONS(2398),
    [anon_sym_BANG_EQ] = ACTIONS(2398),
    [anon_sym_GT] = ACTIONS(2396),
    [anon_sym_GT_EQ] = ACTIONS(2398),
    [anon_sym_LT_EQ] = ACTIONS(2396),
    [anon_sym_LT] = ACTIONS(2396),
    [anon_sym_LT_LT] = ACTIONS(2398),
    [anon_sym_GT_GT] = ACTIONS(2398),
    [anon_sym_COLON] = ACTIONS(2398),
    [anon_sym_SEMI] = ACTIONS(2398),
    [anon_sym___extension__] = ACTIONS(2396),
    [anon_sym___attribute__] = ACTIONS(2396),
    [anon_sym___based] = ACTIONS(2396),
    [anon_sym_LBRACE] = ACTIONS(2398),
    [anon_sym_RBRACE] = ACTIONS(2398),
    [anon_sym_signed] = ACTIONS(2396),
    [anon_sym_unsigned] = ACTIONS(2396),
    [anon_sym_long] = ACTIONS(2396),
    [anon_sym_short] = ACTIONS(2396),
    [anon_sym_LBRACK] = ACTIONS(2398),
    [anon_sym_RBRACK] = ACTIONS(2398),
    [anon_sym_const] = ACTIONS(2396),
    [anon_sym_constexpr] = ACTIONS(2396),
    [anon_sym_volatile] = ACTIONS(2396),
    [anon_sym_restrict] = ACTIONS(2396),
    [anon_sym___restrict__] = ACTIONS(2396),
    [anon_sym__Atomic] = ACTIONS(2396),
    [anon_sym__Noreturn] = ACTIONS(2396),
    [anon_sym_noreturn] = ACTIONS(2396),
    [anon_sym_mutable] = ACTIONS(2396),
    [anon_sym_constinit] = ACTIONS(2396),
    [anon_sym_consteval] = ACTIONS(2396),
    [sym_primitive_type] = ACTIONS(2396),
    [anon_sym_QMARK] = ACTIONS(2398),
    [anon_sym_LT_EQ_GT] = ACTIONS(2398),
    [anon_sym_or] = ACTIONS(2396),
    [anon_sym_and] = ACTIONS(2396),
    [anon_sym_bitor] = ACTIONS(2396),
    [anon_sym_xor] = ACTIONS(2396),
    [anon_sym_bitand] = ACTIONS(2396),
    [anon_sym_not_eq] = ACTIONS(2396),
    [anon_sym_DASH_DASH] = ACTIONS(2398),
    [anon_sym_PLUS_PLUS] = ACTIONS(2398),
    [anon_sym_DOT] = ACTIONS(2396),
    [anon_sym_DOT_STAR] = ACTIONS(2398),
    [anon_sym_DASH_GT] = ACTIONS(2398),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2396),
    [anon_sym_decltype] = ACTIONS(2396),
    [anon_sym_final] = ACTIONS(2396),
    [anon_sym_override] = ACTIONS(2396),
    [anon_sym_requires] = ACTIONS(2396),
  },
  [3290] = {
    [sym_identifier] = ACTIONS(5970),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5972),
    [anon_sym_COMMA] = ACTIONS(5972),
    [anon_sym_RPAREN] = ACTIONS(5972),
    [anon_sym_LPAREN2] = ACTIONS(5972),
    [anon_sym_DASH] = ACTIONS(5970),
    [anon_sym_PLUS] = ACTIONS(5970),
    [anon_sym_STAR] = ACTIONS(5972),
    [anon_sym_SLASH] = ACTIONS(5970),
    [anon_sym_PERCENT] = ACTIONS(5972),
    [anon_sym_PIPE_PIPE] = ACTIONS(5972),
    [anon_sym_AMP_AMP] = ACTIONS(5972),
    [anon_sym_PIPE] = ACTIONS(5970),
    [anon_sym_CARET] = ACTIONS(5972),
    [anon_sym_AMP] = ACTIONS(5970),
    [anon_sym_EQ_EQ] = ACTIONS(5972),
    [anon_sym_BANG_EQ] = ACTIONS(5972),
    [anon_sym_GT] = ACTIONS(5970),
    [anon_sym_GT_EQ] = ACTIONS(5972),
    [anon_sym_LT_EQ] = ACTIONS(5970),
    [anon_sym_LT] = ACTIONS(5970),
    [anon_sym_LT_LT] = ACTIONS(5972),
    [anon_sym_GT_GT] = ACTIONS(5972),
    [anon_sym_COLON] = ACTIONS(5972),
    [anon_sym_SEMI] = ACTIONS(5972),
    [anon_sym___extension__] = ACTIONS(5970),
    [anon_sym___attribute__] = ACTIONS(5970),
    [anon_sym___based] = ACTIONS(5970),
    [anon_sym_LBRACE] = ACTIONS(5972),
    [anon_sym_RBRACE] = ACTIONS(5972),
    [anon_sym_signed] = ACTIONS(5970),
    [anon_sym_unsigned] = ACTIONS(5970),
    [anon_sym_long] = ACTIONS(5970),
    [anon_sym_short] = ACTIONS(5970),
    [anon_sym_LBRACK] = ACTIONS(5972),
    [anon_sym_RBRACK] = ACTIONS(5972),
    [anon_sym_const] = ACTIONS(5970),
    [anon_sym_constexpr] = ACTIONS(5970),
    [anon_sym_volatile] = ACTIONS(5970),
    [anon_sym_restrict] = ACTIONS(5970),
    [anon_sym___restrict__] = ACTIONS(5970),
    [anon_sym__Atomic] = ACTIONS(5970),
    [anon_sym__Noreturn] = ACTIONS(5970),
    [anon_sym_noreturn] = ACTIONS(5970),
    [anon_sym_mutable] = ACTIONS(5970),
    [anon_sym_constinit] = ACTIONS(5970),
    [anon_sym_consteval] = ACTIONS(5970),
    [sym_primitive_type] = ACTIONS(5970),
    [anon_sym_QMARK] = ACTIONS(5972),
    [anon_sym_LT_EQ_GT] = ACTIONS(5972),
    [anon_sym_or] = ACTIONS(5970),
    [anon_sym_and] = ACTIONS(5970),
    [anon_sym_bitor] = ACTIONS(5970),
    [anon_sym_xor] = ACTIONS(5970),
    [anon_sym_bitand] = ACTIONS(5970),
    [anon_sym_not_eq] = ACTIONS(5970),
    [anon_sym_DASH_DASH] = ACTIONS(5972),
    [anon_sym_PLUS_PLUS] = ACTIONS(5972),
    [anon_sym_DOT] = ACTIONS(5970),
    [anon_sym_DOT_STAR] = ACTIONS(5972),
    [anon_sym_DASH_GT] = ACTIONS(5972),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5970),
    [anon_sym_decltype] = ACTIONS(5970),
    [anon_sym_final] = ACTIONS(5970),
    [anon_sym_override] = ACTIONS(5970),
    [anon_sym_requires] = ACTIONS(5970),
  },
  [3291] = {
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4575),
    [anon_sym_COMMA] = ACTIONS(4575),
    [anon_sym_LPAREN2] = ACTIONS(4575),
    [anon_sym_DASH] = ACTIONS(4578),
    [anon_sym_PLUS] = ACTIONS(4578),
    [anon_sym_STAR] = ACTIONS(4580),
    [anon_sym_SLASH] = ACTIONS(4578),
    [anon_sym_PERCENT] = ACTIONS(4578),
    [anon_sym_PIPE_PIPE] = ACTIONS(4573),
    [anon_sym_AMP_AMP] = ACTIONS(4575),
    [anon_sym_PIPE] = ACTIONS(4578),
    [anon_sym_CARET] = ACTIONS(4578),
    [anon_sym_AMP] = ACTIONS(4580),
    [anon_sym_EQ_EQ] = ACTIONS(4573),
    [anon_sym_BANG_EQ] = ACTIONS(4573),
    [anon_sym_GT] = ACTIONS(4578),
    [anon_sym_GT_EQ] = ACTIONS(4578),
    [anon_sym_LT_EQ] = ACTIONS(4578),
    [anon_sym_LT] = ACTIONS(4578),
    [anon_sym_LT_LT] = ACTIONS(4578),
    [anon_sym_GT_GT] = ACTIONS(4578),
    [anon_sym___extension__] = ACTIONS(2256),
    [anon_sym_COLON_COLON] = ACTIONS(2256),
    [anon_sym_LBRACE] = ACTIONS(2256),
    [anon_sym_LBRACK] = ACTIONS(4575),
    [anon_sym_EQ] = ACTIONS(4578),
    [anon_sym_const] = ACTIONS(2254),
    [anon_sym_constexpr] = ACTIONS(2256),
    [anon_sym_volatile] = ACTIONS(2256),
    [anon_sym_restrict] = ACTIONS(2256),
    [anon_sym___restrict__] = ACTIONS(2256),
    [anon_sym__Atomic] = ACTIONS(2256),
    [anon_sym__Noreturn] = ACTIONS(2256),
    [anon_sym_noreturn] = ACTIONS(2256),
    [anon_sym_mutable] = ACTIONS(2256),
    [anon_sym_constinit] = ACTIONS(2256),
    [anon_sym_consteval] = ACTIONS(2256),
    [anon_sym_QMARK] = ACTIONS(4573),
    [anon_sym_STAR_EQ] = ACTIONS(4573),
    [anon_sym_SLASH_EQ] = ACTIONS(4573),
    [anon_sym_PERCENT_EQ] = ACTIONS(4573),
    [anon_sym_PLUS_EQ] = ACTIONS(4573),
    [anon_sym_DASH_EQ] = ACTIONS(4573),
    [anon_sym_LT_LT_EQ] = ACTIONS(4573),
    [anon_sym_GT_GT_EQ] = ACTIONS(4578),
    [anon_sym_AMP_EQ] = ACTIONS(4573),
    [anon_sym_CARET_EQ] = ACTIONS(4573),
    [anon_sym_PIPE_EQ] = ACTIONS(4573),
    [anon_sym_and_eq] = ACTIONS(4573),
    [anon_sym_or_eq] = ACTIONS(4573),
    [anon_sym_xor_eq] = ACTIONS(4573),
    [anon_sym_LT_EQ_GT] = ACTIONS(4573),
    [anon_sym_or] = ACTIONS(4578),
    [anon_sym_and] = ACTIONS(4578),
    [anon_sym_bitor] = ACTIONS(4573),
    [anon_sym_xor] = ACTIONS(4578),
    [anon_sym_bitand] = ACTIONS(4573),
    [anon_sym_not_eq] = ACTIONS(4573),
    [anon_sym_DASH_DASH] = ACTIONS(4573),
    [anon_sym_PLUS_PLUS] = ACTIONS(4573),
    [anon_sym_DOT] = ACTIONS(4578),
    [anon_sym_DOT_STAR] = ACTIONS(4573),
    [anon_sym_DASH_GT] = ACTIONS(4573),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2256),
    [anon_sym_decltype] = ACTIONS(2256),
    [anon_sym_GT2] = ACTIONS(4575),
  },
  [3292] = {
    [sym_identifier] = ACTIONS(6139),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6141),
    [anon_sym_COMMA] = ACTIONS(6141),
    [anon_sym_RPAREN] = ACTIONS(6141),
    [anon_sym_LPAREN2] = ACTIONS(6141),
    [anon_sym_DASH] = ACTIONS(6139),
    [anon_sym_PLUS] = ACTIONS(6139),
    [anon_sym_STAR] = ACTIONS(6141),
    [anon_sym_SLASH] = ACTIONS(6139),
    [anon_sym_PERCENT] = ACTIONS(6141),
    [anon_sym_PIPE_PIPE] = ACTIONS(6141),
    [anon_sym_AMP_AMP] = ACTIONS(6141),
    [anon_sym_PIPE] = ACTIONS(6139),
    [anon_sym_CARET] = ACTIONS(6141),
    [anon_sym_AMP] = ACTIONS(6139),
    [anon_sym_EQ_EQ] = ACTIONS(6141),
    [anon_sym_BANG_EQ] = ACTIONS(6141),
    [anon_sym_GT] = ACTIONS(6139),
    [anon_sym_GT_EQ] = ACTIONS(6141),
    [anon_sym_LT_EQ] = ACTIONS(6139),
    [anon_sym_LT] = ACTIONS(6139),
    [anon_sym_LT_LT] = ACTIONS(6141),
    [anon_sym_GT_GT] = ACTIONS(6141),
    [anon_sym_COLON] = ACTIONS(6141),
    [anon_sym_SEMI] = ACTIONS(6141),
    [anon_sym___extension__] = ACTIONS(6139),
    [anon_sym___attribute__] = ACTIONS(6139),
    [anon_sym___based] = ACTIONS(6139),
    [anon_sym_LBRACE] = ACTIONS(6141),
    [anon_sym_RBRACE] = ACTIONS(6141),
    [anon_sym_signed] = ACTIONS(6139),
    [anon_sym_unsigned] = ACTIONS(6139),
    [anon_sym_long] = ACTIONS(6139),
    [anon_sym_short] = ACTIONS(6139),
    [anon_sym_LBRACK] = ACTIONS(6141),
    [anon_sym_RBRACK] = ACTIONS(6141),
    [anon_sym_const] = ACTIONS(6139),
    [anon_sym_constexpr] = ACTIONS(6139),
    [anon_sym_volatile] = ACTIONS(6139),
    [anon_sym_restrict] = ACTIONS(6139),
    [anon_sym___restrict__] = ACTIONS(6139),
    [anon_sym__Atomic] = ACTIONS(6139),
    [anon_sym__Noreturn] = ACTIONS(6139),
    [anon_sym_noreturn] = ACTIONS(6139),
    [anon_sym_mutable] = ACTIONS(6139),
    [anon_sym_constinit] = ACTIONS(6139),
    [anon_sym_consteval] = ACTIONS(6139),
    [sym_primitive_type] = ACTIONS(6139),
    [anon_sym_QMARK] = ACTIONS(6141),
    [anon_sym_LT_EQ_GT] = ACTIONS(6141),
    [anon_sym_or] = ACTIONS(6139),
    [anon_sym_and] = ACTIONS(6139),
    [anon_sym_bitor] = ACTIONS(6139),
    [anon_sym_xor] = ACTIONS(6139),
    [anon_sym_bitand] = ACTIONS(6139),
    [anon_sym_not_eq] = ACTIONS(6139),
    [anon_sym_DASH_DASH] = ACTIONS(6141),
    [anon_sym_PLUS_PLUS] = ACTIONS(6141),
    [anon_sym_DOT] = ACTIONS(6139),
    [anon_sym_DOT_STAR] = ACTIONS(6141),
    [anon_sym_DASH_GT] = ACTIONS(6141),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(6139),
    [anon_sym_decltype] = ACTIONS(6139),
    [anon_sym_final] = ACTIONS(6139),
    [anon_sym_override] = ACTIONS(6139),
    [anon_sym_requires] = ACTIONS(6139),
  },
  [3293] = {
    [sym_identifier] = ACTIONS(6099),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6101),
    [anon_sym_COMMA] = ACTIONS(6101),
    [anon_sym_RPAREN] = ACTIONS(6101),
    [anon_sym_LPAREN2] = ACTIONS(6101),
    [anon_sym_DASH] = ACTIONS(6099),
    [anon_sym_PLUS] = ACTIONS(6099),
    [anon_sym_STAR] = ACTIONS(6101),
    [anon_sym_SLASH] = ACTIONS(6099),
    [anon_sym_PERCENT] = ACTIONS(6101),
    [anon_sym_PIPE_PIPE] = ACTIONS(6101),
    [anon_sym_AMP_AMP] = ACTIONS(6101),
    [anon_sym_PIPE] = ACTIONS(6099),
    [anon_sym_CARET] = ACTIONS(6101),
    [anon_sym_AMP] = ACTIONS(6099),
    [anon_sym_EQ_EQ] = ACTIONS(6101),
    [anon_sym_BANG_EQ] = ACTIONS(6101),
    [anon_sym_GT] = ACTIONS(6099),
    [anon_sym_GT_EQ] = ACTIONS(6101),
    [anon_sym_LT_EQ] = ACTIONS(6099),
    [anon_sym_LT] = ACTIONS(6099),
    [anon_sym_LT_LT] = ACTIONS(6101),
    [anon_sym_GT_GT] = ACTIONS(6101),
    [anon_sym_COLON] = ACTIONS(6101),
    [anon_sym_SEMI] = ACTIONS(6101),
    [anon_sym___extension__] = ACTIONS(6099),
    [anon_sym___attribute__] = ACTIONS(6099),
    [anon_sym___based] = ACTIONS(6099),
    [anon_sym_LBRACE] = ACTIONS(6101),
    [anon_sym_RBRACE] = ACTIONS(6101),
    [anon_sym_signed] = ACTIONS(6099),
    [anon_sym_unsigned] = ACTIONS(6099),
    [anon_sym_long] = ACTIONS(6099),
    [anon_sym_short] = ACTIONS(6099),
    [anon_sym_LBRACK] = ACTIONS(6101),
    [anon_sym_RBRACK] = ACTIONS(6101),
    [anon_sym_const] = ACTIONS(6099),
    [anon_sym_constexpr] = ACTIONS(6099),
    [anon_sym_volatile] = ACTIONS(6099),
    [anon_sym_restrict] = ACTIONS(6099),
    [anon_sym___restrict__] = ACTIONS(6099),
    [anon_sym__Atomic] = ACTIONS(6099),
    [anon_sym__Noreturn] = ACTIONS(6099),
    [anon_sym_noreturn] = ACTIONS(6099),
    [anon_sym_mutable] = ACTIONS(6099),
    [anon_sym_constinit] = ACTIONS(6099),
    [anon_sym_consteval] = ACTIONS(6099),
    [sym_primitive_type] = ACTIONS(6099),
    [anon_sym_QMARK] = ACTIONS(6101),
    [anon_sym_LT_EQ_GT] = ACTIONS(6101),
    [anon_sym_or] = ACTIONS(6099),
    [anon_sym_and] = ACTIONS(6099),
    [anon_sym_bitor] = ACTIONS(6099),
    [anon_sym_xor] = ACTIONS(6099),
    [anon_sym_bitand] = ACTIONS(6099),
    [anon_sym_not_eq] = ACTIONS(6099),
    [anon_sym_DASH_DASH] = ACTIONS(6101),
    [anon_sym_PLUS_PLUS] = ACTIONS(6101),
    [anon_sym_DOT] = ACTIONS(6099),
    [anon_sym_DOT_STAR] = ACTIONS(6101),
    [anon_sym_DASH_GT] = ACTIONS(6101),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(6099),
    [anon_sym_decltype] = ACTIONS(6099),
    [anon_sym_final] = ACTIONS(6099),
    [anon_sym_override] = ACTIONS(6099),
    [anon_sym_requires] = ACTIONS(6099),
  },
  [3294] = {
    [sym_string_literal] = STATE(3258),
    [sym_raw_string_literal] = STATE(3258),
    [sym_identifier] = ACTIONS(4221),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4213),
    [anon_sym_COMMA] = ACTIONS(4213),
    [aux_sym_preproc_if_token2] = ACTIONS(4213),
    [aux_sym_preproc_else_token1] = ACTIONS(4213),
    [aux_sym_preproc_elif_token1] = ACTIONS(4213),
    [anon_sym_LPAREN2] = ACTIONS(4213),
    [anon_sym_DASH] = ACTIONS(4221),
    [anon_sym_PLUS] = ACTIONS(4221),
    [anon_sym_STAR] = ACTIONS(4221),
    [anon_sym_SLASH] = ACTIONS(4221),
    [anon_sym_PERCENT] = ACTIONS(4221),
    [anon_sym_PIPE_PIPE] = ACTIONS(4213),
    [anon_sym_AMP_AMP] = ACTIONS(4213),
    [anon_sym_PIPE] = ACTIONS(4221),
    [anon_sym_CARET] = ACTIONS(4221),
    [anon_sym_AMP] = ACTIONS(4221),
    [anon_sym_EQ_EQ] = ACTIONS(4213),
    [anon_sym_BANG_EQ] = ACTIONS(4213),
    [anon_sym_GT] = ACTIONS(4221),
    [anon_sym_GT_EQ] = ACTIONS(4213),
    [anon_sym_LT_EQ] = ACTIONS(4221),
    [anon_sym_LT] = ACTIONS(4221),
    [anon_sym_LT_LT] = ACTIONS(4221),
    [anon_sym_GT_GT] = ACTIONS(4221),
    [anon_sym_LBRACK] = ACTIONS(4213),
    [anon_sym_EQ] = ACTIONS(4221),
    [anon_sym_QMARK] = ACTIONS(4213),
    [anon_sym_STAR_EQ] = ACTIONS(4213),
    [anon_sym_SLASH_EQ] = ACTIONS(4213),
    [anon_sym_PERCENT_EQ] = ACTIONS(4213),
    [anon_sym_PLUS_EQ] = ACTIONS(4213),
    [anon_sym_DASH_EQ] = ACTIONS(4213),
    [anon_sym_LT_LT_EQ] = ACTIONS(4213),
    [anon_sym_GT_GT_EQ] = ACTIONS(4213),
    [anon_sym_AMP_EQ] = ACTIONS(4213),
    [anon_sym_CARET_EQ] = ACTIONS(4213),
    [anon_sym_PIPE_EQ] = ACTIONS(4213),
    [anon_sym_and_eq] = ACTIONS(4221),
    [anon_sym_or_eq] = ACTIONS(4221),
    [anon_sym_xor_eq] = ACTIONS(4221),
    [anon_sym_LT_EQ_GT] = ACTIONS(4213),
    [anon_sym_or] = ACTIONS(4221),
    [anon_sym_and] = ACTIONS(4221),
    [anon_sym_bitor] = ACTIONS(4221),
    [anon_sym_xor] = ACTIONS(4221),
    [anon_sym_bitand] = ACTIONS(4221),
    [anon_sym_not_eq] = ACTIONS(4221),
    [anon_sym_DASH_DASH] = ACTIONS(4213),
    [anon_sym_PLUS_PLUS] = ACTIONS(4213),
    [anon_sym_DOT] = ACTIONS(4221),
    [anon_sym_DOT_STAR] = ACTIONS(4213),
    [anon_sym_DASH_GT] = ACTIONS(4213),
    [anon_sym_L_DQUOTE] = ACTIONS(4016),
    [anon_sym_u_DQUOTE] = ACTIONS(4016),
    [anon_sym_U_DQUOTE] = ACTIONS(4016),
    [anon_sym_u8_DQUOTE] = ACTIONS(4016),
    [anon_sym_DQUOTE] = ACTIONS(4016),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(4024),
    [anon_sym_LR_DQUOTE] = ACTIONS(4024),
    [anon_sym_uR_DQUOTE] = ACTIONS(4024),
    [anon_sym_UR_DQUOTE] = ACTIONS(4024),
    [anon_sym_u8R_DQUOTE] = ACTIONS(4024),
    [sym_literal_suffix] = ACTIONS(6563),
  },
  [3295] = {
    [sym_identifier] = ACTIONS(6095),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6097),
    [anon_sym_COMMA] = ACTIONS(6097),
    [anon_sym_RPAREN] = ACTIONS(6097),
    [anon_sym_LPAREN2] = ACTIONS(6097),
    [anon_sym_DASH] = ACTIONS(6095),
    [anon_sym_PLUS] = ACTIONS(6095),
    [anon_sym_STAR] = ACTIONS(6097),
    [anon_sym_SLASH] = ACTIONS(6095),
    [anon_sym_PERCENT] = ACTIONS(6097),
    [anon_sym_PIPE_PIPE] = ACTIONS(6097),
    [anon_sym_AMP_AMP] = ACTIONS(6097),
    [anon_sym_PIPE] = ACTIONS(6095),
    [anon_sym_CARET] = ACTIONS(6097),
    [anon_sym_AMP] = ACTIONS(6095),
    [anon_sym_EQ_EQ] = ACTIONS(6097),
    [anon_sym_BANG_EQ] = ACTIONS(6097),
    [anon_sym_GT] = ACTIONS(6095),
    [anon_sym_GT_EQ] = ACTIONS(6097),
    [anon_sym_LT_EQ] = ACTIONS(6095),
    [anon_sym_LT] = ACTIONS(6095),
    [anon_sym_LT_LT] = ACTIONS(6097),
    [anon_sym_GT_GT] = ACTIONS(6097),
    [anon_sym_COLON] = ACTIONS(6097),
    [anon_sym_SEMI] = ACTIONS(6097),
    [anon_sym___extension__] = ACTIONS(6095),
    [anon_sym___attribute__] = ACTIONS(6095),
    [anon_sym___based] = ACTIONS(6095),
    [anon_sym_LBRACE] = ACTIONS(6097),
    [anon_sym_RBRACE] = ACTIONS(6097),
    [anon_sym_signed] = ACTIONS(6095),
    [anon_sym_unsigned] = ACTIONS(6095),
    [anon_sym_long] = ACTIONS(6095),
    [anon_sym_short] = ACTIONS(6095),
    [anon_sym_LBRACK] = ACTIONS(6097),
    [anon_sym_RBRACK] = ACTIONS(6097),
    [anon_sym_const] = ACTIONS(6095),
    [anon_sym_constexpr] = ACTIONS(6095),
    [anon_sym_volatile] = ACTIONS(6095),
    [anon_sym_restrict] = ACTIONS(6095),
    [anon_sym___restrict__] = ACTIONS(6095),
    [anon_sym__Atomic] = ACTIONS(6095),
    [anon_sym__Noreturn] = ACTIONS(6095),
    [anon_sym_noreturn] = ACTIONS(6095),
    [anon_sym_mutable] = ACTIONS(6095),
    [anon_sym_constinit] = ACTIONS(6095),
    [anon_sym_consteval] = ACTIONS(6095),
    [sym_primitive_type] = ACTIONS(6095),
    [anon_sym_QMARK] = ACTIONS(6097),
    [anon_sym_LT_EQ_GT] = ACTIONS(6097),
    [anon_sym_or] = ACTIONS(6095),
    [anon_sym_and] = ACTIONS(6095),
    [anon_sym_bitor] = ACTIONS(6095),
    [anon_sym_xor] = ACTIONS(6095),
    [anon_sym_bitand] = ACTIONS(6095),
    [anon_sym_not_eq] = ACTIONS(6095),
    [anon_sym_DASH_DASH] = ACTIONS(6097),
    [anon_sym_PLUS_PLUS] = ACTIONS(6097),
    [anon_sym_DOT] = ACTIONS(6095),
    [anon_sym_DOT_STAR] = ACTIONS(6097),
    [anon_sym_DASH_GT] = ACTIONS(6097),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(6095),
    [anon_sym_decltype] = ACTIONS(6095),
    [anon_sym_final] = ACTIONS(6095),
    [anon_sym_override] = ACTIONS(6095),
    [anon_sym_requires] = ACTIONS(6095),
  },
  [3296] = {
    [sym_identifier] = ACTIONS(6029),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6031),
    [anon_sym_COMMA] = ACTIONS(6031),
    [anon_sym_RPAREN] = ACTIONS(6031),
    [anon_sym_LPAREN2] = ACTIONS(6031),
    [anon_sym_DASH] = ACTIONS(6029),
    [anon_sym_PLUS] = ACTIONS(6029),
    [anon_sym_STAR] = ACTIONS(6031),
    [anon_sym_SLASH] = ACTIONS(6029),
    [anon_sym_PERCENT] = ACTIONS(6031),
    [anon_sym_PIPE_PIPE] = ACTIONS(6031),
    [anon_sym_AMP_AMP] = ACTIONS(6031),
    [anon_sym_PIPE] = ACTIONS(6029),
    [anon_sym_CARET] = ACTIONS(6031),
    [anon_sym_AMP] = ACTIONS(6029),
    [anon_sym_EQ_EQ] = ACTIONS(6031),
    [anon_sym_BANG_EQ] = ACTIONS(6031),
    [anon_sym_GT] = ACTIONS(6029),
    [anon_sym_GT_EQ] = ACTIONS(6031),
    [anon_sym_LT_EQ] = ACTIONS(6029),
    [anon_sym_LT] = ACTIONS(6029),
    [anon_sym_LT_LT] = ACTIONS(6031),
    [anon_sym_GT_GT] = ACTIONS(6031),
    [anon_sym_COLON] = ACTIONS(6031),
    [anon_sym_SEMI] = ACTIONS(6031),
    [anon_sym___extension__] = ACTIONS(6029),
    [anon_sym___attribute__] = ACTIONS(6029),
    [anon_sym___based] = ACTIONS(6029),
    [anon_sym_LBRACE] = ACTIONS(6031),
    [anon_sym_RBRACE] = ACTIONS(6031),
    [anon_sym_signed] = ACTIONS(6029),
    [anon_sym_unsigned] = ACTIONS(6029),
    [anon_sym_long] = ACTIONS(6029),
    [anon_sym_short] = ACTIONS(6029),
    [anon_sym_LBRACK] = ACTIONS(6031),
    [anon_sym_RBRACK] = ACTIONS(6031),
    [anon_sym_const] = ACTIONS(6029),
    [anon_sym_constexpr] = ACTIONS(6029),
    [anon_sym_volatile] = ACTIONS(6029),
    [anon_sym_restrict] = ACTIONS(6029),
    [anon_sym___restrict__] = ACTIONS(6029),
    [anon_sym__Atomic] = ACTIONS(6029),
    [anon_sym__Noreturn] = ACTIONS(6029),
    [anon_sym_noreturn] = ACTIONS(6029),
    [anon_sym_mutable] = ACTIONS(6029),
    [anon_sym_constinit] = ACTIONS(6029),
    [anon_sym_consteval] = ACTIONS(6029),
    [sym_primitive_type] = ACTIONS(6029),
    [anon_sym_QMARK] = ACTIONS(6031),
    [anon_sym_LT_EQ_GT] = ACTIONS(6031),
    [anon_sym_or] = ACTIONS(6029),
    [anon_sym_and] = ACTIONS(6029),
    [anon_sym_bitor] = ACTIONS(6029),
    [anon_sym_xor] = ACTIONS(6029),
    [anon_sym_bitand] = ACTIONS(6029),
    [anon_sym_not_eq] = ACTIONS(6029),
    [anon_sym_DASH_DASH] = ACTIONS(6031),
    [anon_sym_PLUS_PLUS] = ACTIONS(6031),
    [anon_sym_DOT] = ACTIONS(6029),
    [anon_sym_DOT_STAR] = ACTIONS(6031),
    [anon_sym_DASH_GT] = ACTIONS(6031),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(6029),
    [anon_sym_decltype] = ACTIONS(6029),
    [anon_sym_final] = ACTIONS(6029),
    [anon_sym_override] = ACTIONS(6029),
    [anon_sym_requires] = ACTIONS(6029),
  },
  [3297] = {
    [sym_identifier] = ACTIONS(2452),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2454),
    [anon_sym_COMMA] = ACTIONS(2454),
    [anon_sym_RPAREN] = ACTIONS(2454),
    [anon_sym_LPAREN2] = ACTIONS(2454),
    [anon_sym_DASH] = ACTIONS(2452),
    [anon_sym_PLUS] = ACTIONS(2452),
    [anon_sym_STAR] = ACTIONS(2454),
    [anon_sym_SLASH] = ACTIONS(2452),
    [anon_sym_PERCENT] = ACTIONS(2454),
    [anon_sym_PIPE_PIPE] = ACTIONS(2454),
    [anon_sym_AMP_AMP] = ACTIONS(2454),
    [anon_sym_PIPE] = ACTIONS(2452),
    [anon_sym_CARET] = ACTIONS(2454),
    [anon_sym_AMP] = ACTIONS(2452),
    [anon_sym_EQ_EQ] = ACTIONS(2454),
    [anon_sym_BANG_EQ] = ACTIONS(2454),
    [anon_sym_GT] = ACTIONS(2452),
    [anon_sym_GT_EQ] = ACTIONS(2454),
    [anon_sym_LT_EQ] = ACTIONS(2452),
    [anon_sym_LT] = ACTIONS(2452),
    [anon_sym_LT_LT] = ACTIONS(2454),
    [anon_sym_GT_GT] = ACTIONS(2454),
    [anon_sym_COLON] = ACTIONS(2454),
    [anon_sym_SEMI] = ACTIONS(2454),
    [anon_sym___extension__] = ACTIONS(2452),
    [anon_sym___attribute__] = ACTIONS(2452),
    [anon_sym___based] = ACTIONS(2452),
    [anon_sym_LBRACE] = ACTIONS(2454),
    [anon_sym_RBRACE] = ACTIONS(2454),
    [anon_sym_signed] = ACTIONS(2452),
    [anon_sym_unsigned] = ACTIONS(2452),
    [anon_sym_long] = ACTIONS(2452),
    [anon_sym_short] = ACTIONS(2452),
    [anon_sym_LBRACK] = ACTIONS(2454),
    [anon_sym_RBRACK] = ACTIONS(2454),
    [anon_sym_const] = ACTIONS(2452),
    [anon_sym_constexpr] = ACTIONS(2452),
    [anon_sym_volatile] = ACTIONS(2452),
    [anon_sym_restrict] = ACTIONS(2452),
    [anon_sym___restrict__] = ACTIONS(2452),
    [anon_sym__Atomic] = ACTIONS(2452),
    [anon_sym__Noreturn] = ACTIONS(2452),
    [anon_sym_noreturn] = ACTIONS(2452),
    [anon_sym_mutable] = ACTIONS(2452),
    [anon_sym_constinit] = ACTIONS(2452),
    [anon_sym_consteval] = ACTIONS(2452),
    [sym_primitive_type] = ACTIONS(2452),
    [anon_sym_QMARK] = ACTIONS(2454),
    [anon_sym_LT_EQ_GT] = ACTIONS(2454),
    [anon_sym_or] = ACTIONS(2452),
    [anon_sym_and] = ACTIONS(2452),
    [anon_sym_bitor] = ACTIONS(2452),
    [anon_sym_xor] = ACTIONS(2452),
    [anon_sym_bitand] = ACTIONS(2452),
    [anon_sym_not_eq] = ACTIONS(2452),
    [anon_sym_DASH_DASH] = ACTIONS(2454),
    [anon_sym_PLUS_PLUS] = ACTIONS(2454),
    [anon_sym_DOT] = ACTIONS(2452),
    [anon_sym_DOT_STAR] = ACTIONS(2454),
    [anon_sym_DASH_GT] = ACTIONS(2454),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2452),
    [anon_sym_decltype] = ACTIONS(2452),
    [anon_sym_final] = ACTIONS(2452),
    [anon_sym_override] = ACTIONS(2452),
    [anon_sym_requires] = ACTIONS(2452),
  },
  [3298] = {
    [sym_identifier] = ACTIONS(6115),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6117),
    [anon_sym_COMMA] = ACTIONS(6117),
    [anon_sym_RPAREN] = ACTIONS(6117),
    [anon_sym_LPAREN2] = ACTIONS(6117),
    [anon_sym_DASH] = ACTIONS(6115),
    [anon_sym_PLUS] = ACTIONS(6115),
    [anon_sym_STAR] = ACTIONS(6117),
    [anon_sym_SLASH] = ACTIONS(6115),
    [anon_sym_PERCENT] = ACTIONS(6117),
    [anon_sym_PIPE_PIPE] = ACTIONS(6117),
    [anon_sym_AMP_AMP] = ACTIONS(6117),
    [anon_sym_PIPE] = ACTIONS(6115),
    [anon_sym_CARET] = ACTIONS(6117),
    [anon_sym_AMP] = ACTIONS(6115),
    [anon_sym_EQ_EQ] = ACTIONS(6117),
    [anon_sym_BANG_EQ] = ACTIONS(6117),
    [anon_sym_GT] = ACTIONS(6115),
    [anon_sym_GT_EQ] = ACTIONS(6117),
    [anon_sym_LT_EQ] = ACTIONS(6115),
    [anon_sym_LT] = ACTIONS(6115),
    [anon_sym_LT_LT] = ACTIONS(6117),
    [anon_sym_GT_GT] = ACTIONS(6117),
    [anon_sym_COLON] = ACTIONS(6117),
    [anon_sym_SEMI] = ACTIONS(6117),
    [anon_sym___extension__] = ACTIONS(6115),
    [anon_sym___attribute__] = ACTIONS(6115),
    [anon_sym___based] = ACTIONS(6115),
    [anon_sym_LBRACE] = ACTIONS(6117),
    [anon_sym_RBRACE] = ACTIONS(6117),
    [anon_sym_signed] = ACTIONS(6115),
    [anon_sym_unsigned] = ACTIONS(6115),
    [anon_sym_long] = ACTIONS(6115),
    [anon_sym_short] = ACTIONS(6115),
    [anon_sym_LBRACK] = ACTIONS(6117),
    [anon_sym_RBRACK] = ACTIONS(6117),
    [anon_sym_const] = ACTIONS(6115),
    [anon_sym_constexpr] = ACTIONS(6115),
    [anon_sym_volatile] = ACTIONS(6115),
    [anon_sym_restrict] = ACTIONS(6115),
    [anon_sym___restrict__] = ACTIONS(6115),
    [anon_sym__Atomic] = ACTIONS(6115),
    [anon_sym__Noreturn] = ACTIONS(6115),
    [anon_sym_noreturn] = ACTIONS(6115),
    [anon_sym_mutable] = ACTIONS(6115),
    [anon_sym_constinit] = ACTIONS(6115),
    [anon_sym_consteval] = ACTIONS(6115),
    [sym_primitive_type] = ACTIONS(6115),
    [anon_sym_QMARK] = ACTIONS(6117),
    [anon_sym_LT_EQ_GT] = ACTIONS(6117),
    [anon_sym_or] = ACTIONS(6115),
    [anon_sym_and] = ACTIONS(6115),
    [anon_sym_bitor] = ACTIONS(6115),
    [anon_sym_xor] = ACTIONS(6115),
    [anon_sym_bitand] = ACTIONS(6115),
    [anon_sym_not_eq] = ACTIONS(6115),
    [anon_sym_DASH_DASH] = ACTIONS(6117),
    [anon_sym_PLUS_PLUS] = ACTIONS(6117),
    [anon_sym_DOT] = ACTIONS(6115),
    [anon_sym_DOT_STAR] = ACTIONS(6117),
    [anon_sym_DASH_GT] = ACTIONS(6117),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(6115),
    [anon_sym_decltype] = ACTIONS(6115),
    [anon_sym_final] = ACTIONS(6115),
    [anon_sym_override] = ACTIONS(6115),
    [anon_sym_requires] = ACTIONS(6115),
  },
  [3299] = {
    [sym_identifier] = ACTIONS(6025),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6027),
    [anon_sym_COMMA] = ACTIONS(6027),
    [anon_sym_RPAREN] = ACTIONS(6027),
    [anon_sym_LPAREN2] = ACTIONS(6027),
    [anon_sym_DASH] = ACTIONS(6025),
    [anon_sym_PLUS] = ACTIONS(6025),
    [anon_sym_STAR] = ACTIONS(6027),
    [anon_sym_SLASH] = ACTIONS(6025),
    [anon_sym_PERCENT] = ACTIONS(6027),
    [anon_sym_PIPE_PIPE] = ACTIONS(6027),
    [anon_sym_AMP_AMP] = ACTIONS(6027),
    [anon_sym_PIPE] = ACTIONS(6025),
    [anon_sym_CARET] = ACTIONS(6027),
    [anon_sym_AMP] = ACTIONS(6025),
    [anon_sym_EQ_EQ] = ACTIONS(6027),
    [anon_sym_BANG_EQ] = ACTIONS(6027),
    [anon_sym_GT] = ACTIONS(6025),
    [anon_sym_GT_EQ] = ACTIONS(6027),
    [anon_sym_LT_EQ] = ACTIONS(6025),
    [anon_sym_LT] = ACTIONS(6025),
    [anon_sym_LT_LT] = ACTIONS(6027),
    [anon_sym_GT_GT] = ACTIONS(6027),
    [anon_sym_COLON] = ACTIONS(6027),
    [anon_sym_SEMI] = ACTIONS(6027),
    [anon_sym___extension__] = ACTIONS(6025),
    [anon_sym___attribute__] = ACTIONS(6025),
    [anon_sym___based] = ACTIONS(6025),
    [anon_sym_LBRACE] = ACTIONS(6027),
    [anon_sym_RBRACE] = ACTIONS(6027),
    [anon_sym_signed] = ACTIONS(6025),
    [anon_sym_unsigned] = ACTIONS(6025),
    [anon_sym_long] = ACTIONS(6025),
    [anon_sym_short] = ACTIONS(6025),
    [anon_sym_LBRACK] = ACTIONS(6027),
    [anon_sym_RBRACK] = ACTIONS(6027),
    [anon_sym_const] = ACTIONS(6025),
    [anon_sym_constexpr] = ACTIONS(6025),
    [anon_sym_volatile] = ACTIONS(6025),
    [anon_sym_restrict] = ACTIONS(6025),
    [anon_sym___restrict__] = ACTIONS(6025),
    [anon_sym__Atomic] = ACTIONS(6025),
    [anon_sym__Noreturn] = ACTIONS(6025),
    [anon_sym_noreturn] = ACTIONS(6025),
    [anon_sym_mutable] = ACTIONS(6025),
    [anon_sym_constinit] = ACTIONS(6025),
    [anon_sym_consteval] = ACTIONS(6025),
    [sym_primitive_type] = ACTIONS(6025),
    [anon_sym_QMARK] = ACTIONS(6027),
    [anon_sym_LT_EQ_GT] = ACTIONS(6027),
    [anon_sym_or] = ACTIONS(6025),
    [anon_sym_and] = ACTIONS(6025),
    [anon_sym_bitor] = ACTIONS(6025),
    [anon_sym_xor] = ACTIONS(6025),
    [anon_sym_bitand] = ACTIONS(6025),
    [anon_sym_not_eq] = ACTIONS(6025),
    [anon_sym_DASH_DASH] = ACTIONS(6027),
    [anon_sym_PLUS_PLUS] = ACTIONS(6027),
    [anon_sym_DOT] = ACTIONS(6025),
    [anon_sym_DOT_STAR] = ACTIONS(6027),
    [anon_sym_DASH_GT] = ACTIONS(6027),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(6025),
    [anon_sym_decltype] = ACTIONS(6025),
    [anon_sym_final] = ACTIONS(6025),
    [anon_sym_override] = ACTIONS(6025),
    [anon_sym_requires] = ACTIONS(6025),
  },
  [3300] = {
    [sym_identifier] = ACTIONS(6061),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6063),
    [anon_sym_COMMA] = ACTIONS(6063),
    [anon_sym_RPAREN] = ACTIONS(6063),
    [anon_sym_LPAREN2] = ACTIONS(6063),
    [anon_sym_DASH] = ACTIONS(6061),
    [anon_sym_PLUS] = ACTIONS(6061),
    [anon_sym_STAR] = ACTIONS(6063),
    [anon_sym_SLASH] = ACTIONS(6061),
    [anon_sym_PERCENT] = ACTIONS(6063),
    [anon_sym_PIPE_PIPE] = ACTIONS(6063),
    [anon_sym_AMP_AMP] = ACTIONS(6063),
    [anon_sym_PIPE] = ACTIONS(6061),
    [anon_sym_CARET] = ACTIONS(6063),
    [anon_sym_AMP] = ACTIONS(6061),
    [anon_sym_EQ_EQ] = ACTIONS(6063),
    [anon_sym_BANG_EQ] = ACTIONS(6063),
    [anon_sym_GT] = ACTIONS(6061),
    [anon_sym_GT_EQ] = ACTIONS(6063),
    [anon_sym_LT_EQ] = ACTIONS(6061),
    [anon_sym_LT] = ACTIONS(6061),
    [anon_sym_LT_LT] = ACTIONS(6063),
    [anon_sym_GT_GT] = ACTIONS(6063),
    [anon_sym_COLON] = ACTIONS(6063),
    [anon_sym_SEMI] = ACTIONS(6063),
    [anon_sym___extension__] = ACTIONS(6061),
    [anon_sym___attribute__] = ACTIONS(6061),
    [anon_sym___based] = ACTIONS(6061),
    [anon_sym_LBRACE] = ACTIONS(6063),
    [anon_sym_RBRACE] = ACTIONS(6063),
    [anon_sym_signed] = ACTIONS(6061),
    [anon_sym_unsigned] = ACTIONS(6061),
    [anon_sym_long] = ACTIONS(6061),
    [anon_sym_short] = ACTIONS(6061),
    [anon_sym_LBRACK] = ACTIONS(6063),
    [anon_sym_RBRACK] = ACTIONS(6063),
    [anon_sym_const] = ACTIONS(6061),
    [anon_sym_constexpr] = ACTIONS(6061),
    [anon_sym_volatile] = ACTIONS(6061),
    [anon_sym_restrict] = ACTIONS(6061),
    [anon_sym___restrict__] = ACTIONS(6061),
    [anon_sym__Atomic] = ACTIONS(6061),
    [anon_sym__Noreturn] = ACTIONS(6061),
    [anon_sym_noreturn] = ACTIONS(6061),
    [anon_sym_mutable] = ACTIONS(6061),
    [anon_sym_constinit] = ACTIONS(6061),
    [anon_sym_consteval] = ACTIONS(6061),
    [sym_primitive_type] = ACTIONS(6061),
    [anon_sym_QMARK] = ACTIONS(6063),
    [anon_sym_LT_EQ_GT] = ACTIONS(6063),
    [anon_sym_or] = ACTIONS(6061),
    [anon_sym_and] = ACTIONS(6061),
    [anon_sym_bitor] = ACTIONS(6061),
    [anon_sym_xor] = ACTIONS(6061),
    [anon_sym_bitand] = ACTIONS(6061),
    [anon_sym_not_eq] = ACTIONS(6061),
    [anon_sym_DASH_DASH] = ACTIONS(6063),
    [anon_sym_PLUS_PLUS] = ACTIONS(6063),
    [anon_sym_DOT] = ACTIONS(6061),
    [anon_sym_DOT_STAR] = ACTIONS(6063),
    [anon_sym_DASH_GT] = ACTIONS(6063),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(6061),
    [anon_sym_decltype] = ACTIONS(6061),
    [anon_sym_final] = ACTIONS(6061),
    [anon_sym_override] = ACTIONS(6061),
    [anon_sym_requires] = ACTIONS(6061),
  },
  [3301] = {
    [sym_identifier] = ACTIONS(6123),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6125),
    [anon_sym_COMMA] = ACTIONS(6125),
    [anon_sym_RPAREN] = ACTIONS(6125),
    [anon_sym_LPAREN2] = ACTIONS(6125),
    [anon_sym_DASH] = ACTIONS(6123),
    [anon_sym_PLUS] = ACTIONS(6123),
    [anon_sym_STAR] = ACTIONS(6125),
    [anon_sym_SLASH] = ACTIONS(6123),
    [anon_sym_PERCENT] = ACTIONS(6125),
    [anon_sym_PIPE_PIPE] = ACTIONS(6125),
    [anon_sym_AMP_AMP] = ACTIONS(6125),
    [anon_sym_PIPE] = ACTIONS(6123),
    [anon_sym_CARET] = ACTIONS(6125),
    [anon_sym_AMP] = ACTIONS(6123),
    [anon_sym_EQ_EQ] = ACTIONS(6125),
    [anon_sym_BANG_EQ] = ACTIONS(6125),
    [anon_sym_GT] = ACTIONS(6123),
    [anon_sym_GT_EQ] = ACTIONS(6125),
    [anon_sym_LT_EQ] = ACTIONS(6123),
    [anon_sym_LT] = ACTIONS(6123),
    [anon_sym_LT_LT] = ACTIONS(6125),
    [anon_sym_GT_GT] = ACTIONS(6125),
    [anon_sym_COLON] = ACTIONS(6125),
    [anon_sym_SEMI] = ACTIONS(6125),
    [anon_sym___extension__] = ACTIONS(6123),
    [anon_sym___attribute__] = ACTIONS(6123),
    [anon_sym___based] = ACTIONS(6123),
    [anon_sym_LBRACE] = ACTIONS(6125),
    [anon_sym_RBRACE] = ACTIONS(6125),
    [anon_sym_signed] = ACTIONS(6123),
    [anon_sym_unsigned] = ACTIONS(6123),
    [anon_sym_long] = ACTIONS(6123),
    [anon_sym_short] = ACTIONS(6123),
    [anon_sym_LBRACK] = ACTIONS(6125),
    [anon_sym_RBRACK] = ACTIONS(6125),
    [anon_sym_const] = ACTIONS(6123),
    [anon_sym_constexpr] = ACTIONS(6123),
    [anon_sym_volatile] = ACTIONS(6123),
    [anon_sym_restrict] = ACTIONS(6123),
    [anon_sym___restrict__] = ACTIONS(6123),
    [anon_sym__Atomic] = ACTIONS(6123),
    [anon_sym__Noreturn] = ACTIONS(6123),
    [anon_sym_noreturn] = ACTIONS(6123),
    [anon_sym_mutable] = ACTIONS(6123),
    [anon_sym_constinit] = ACTIONS(6123),
    [anon_sym_consteval] = ACTIONS(6123),
    [sym_primitive_type] = ACTIONS(6123),
    [anon_sym_QMARK] = ACTIONS(6125),
    [anon_sym_LT_EQ_GT] = ACTIONS(6125),
    [anon_sym_or] = ACTIONS(6123),
    [anon_sym_and] = ACTIONS(6123),
    [anon_sym_bitor] = ACTIONS(6123),
    [anon_sym_xor] = ACTIONS(6123),
    [anon_sym_bitand] = ACTIONS(6123),
    [anon_sym_not_eq] = ACTIONS(6123),
    [anon_sym_DASH_DASH] = ACTIONS(6125),
    [anon_sym_PLUS_PLUS] = ACTIONS(6125),
    [anon_sym_DOT] = ACTIONS(6123),
    [anon_sym_DOT_STAR] = ACTIONS(6125),
    [anon_sym_DASH_GT] = ACTIONS(6125),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(6123),
    [anon_sym_decltype] = ACTIONS(6123),
    [anon_sym_final] = ACTIONS(6123),
    [anon_sym_override] = ACTIONS(6123),
    [anon_sym_requires] = ACTIONS(6123),
  },
  [3302] = {
    [sym_identifier] = ACTIONS(6033),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6035),
    [anon_sym_COMMA] = ACTIONS(6035),
    [anon_sym_RPAREN] = ACTIONS(6035),
    [anon_sym_LPAREN2] = ACTIONS(6035),
    [anon_sym_DASH] = ACTIONS(6033),
    [anon_sym_PLUS] = ACTIONS(6033),
    [anon_sym_STAR] = ACTIONS(6035),
    [anon_sym_SLASH] = ACTIONS(6033),
    [anon_sym_PERCENT] = ACTIONS(6035),
    [anon_sym_PIPE_PIPE] = ACTIONS(6035),
    [anon_sym_AMP_AMP] = ACTIONS(6035),
    [anon_sym_PIPE] = ACTIONS(6033),
    [anon_sym_CARET] = ACTIONS(6035),
    [anon_sym_AMP] = ACTIONS(6033),
    [anon_sym_EQ_EQ] = ACTIONS(6035),
    [anon_sym_BANG_EQ] = ACTIONS(6035),
    [anon_sym_GT] = ACTIONS(6033),
    [anon_sym_GT_EQ] = ACTIONS(6035),
    [anon_sym_LT_EQ] = ACTIONS(6033),
    [anon_sym_LT] = ACTIONS(6033),
    [anon_sym_LT_LT] = ACTIONS(6035),
    [anon_sym_GT_GT] = ACTIONS(6035),
    [anon_sym_COLON] = ACTIONS(6035),
    [anon_sym_SEMI] = ACTIONS(6035),
    [anon_sym___extension__] = ACTIONS(6033),
    [anon_sym___attribute__] = ACTIONS(6033),
    [anon_sym___based] = ACTIONS(6033),
    [anon_sym_LBRACE] = ACTIONS(6035),
    [anon_sym_RBRACE] = ACTIONS(6035),
    [anon_sym_signed] = ACTIONS(6033),
    [anon_sym_unsigned] = ACTIONS(6033),
    [anon_sym_long] = ACTIONS(6033),
    [anon_sym_short] = ACTIONS(6033),
    [anon_sym_LBRACK] = ACTIONS(6035),
    [anon_sym_RBRACK] = ACTIONS(6035),
    [anon_sym_const] = ACTIONS(6033),
    [anon_sym_constexpr] = ACTIONS(6033),
    [anon_sym_volatile] = ACTIONS(6033),
    [anon_sym_restrict] = ACTIONS(6033),
    [anon_sym___restrict__] = ACTIONS(6033),
    [anon_sym__Atomic] = ACTIONS(6033),
    [anon_sym__Noreturn] = ACTIONS(6033),
    [anon_sym_noreturn] = ACTIONS(6033),
    [anon_sym_mutable] = ACTIONS(6033),
    [anon_sym_constinit] = ACTIONS(6033),
    [anon_sym_consteval] = ACTIONS(6033),
    [sym_primitive_type] = ACTIONS(6033),
    [anon_sym_QMARK] = ACTIONS(6035),
    [anon_sym_LT_EQ_GT] = ACTIONS(6035),
    [anon_sym_or] = ACTIONS(6033),
    [anon_sym_and] = ACTIONS(6033),
    [anon_sym_bitor] = ACTIONS(6033),
    [anon_sym_xor] = ACTIONS(6033),
    [anon_sym_bitand] = ACTIONS(6033),
    [anon_sym_not_eq] = ACTIONS(6033),
    [anon_sym_DASH_DASH] = ACTIONS(6035),
    [anon_sym_PLUS_PLUS] = ACTIONS(6035),
    [anon_sym_DOT] = ACTIONS(6033),
    [anon_sym_DOT_STAR] = ACTIONS(6035),
    [anon_sym_DASH_GT] = ACTIONS(6035),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(6033),
    [anon_sym_decltype] = ACTIONS(6033),
    [anon_sym_final] = ACTIONS(6033),
    [anon_sym_override] = ACTIONS(6033),
    [anon_sym_requires] = ACTIONS(6033),
  },
  [3303] = {
    [sym_string_literal] = STATE(3682),
    [sym_template_argument_list] = STATE(4862),
    [sym_raw_string_literal] = STATE(3682),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4213),
    [anon_sym_COMMA] = ACTIONS(4213),
    [anon_sym_LPAREN2] = ACTIONS(4213),
    [anon_sym_DASH] = ACTIONS(4221),
    [anon_sym_PLUS] = ACTIONS(4221),
    [anon_sym_STAR] = ACTIONS(4221),
    [anon_sym_SLASH] = ACTIONS(4221),
    [anon_sym_PERCENT] = ACTIONS(4221),
    [anon_sym_PIPE_PIPE] = ACTIONS(4213),
    [anon_sym_AMP_AMP] = ACTIONS(4213),
    [anon_sym_PIPE] = ACTIONS(4221),
    [anon_sym_CARET] = ACTIONS(4221),
    [anon_sym_AMP] = ACTIONS(4221),
    [anon_sym_EQ_EQ] = ACTIONS(4213),
    [anon_sym_BANG_EQ] = ACTIONS(4213),
    [anon_sym_GT] = ACTIONS(4221),
    [anon_sym_GT_EQ] = ACTIONS(4213),
    [anon_sym_LT_EQ] = ACTIONS(4221),
    [anon_sym_LT] = ACTIONS(6488),
    [anon_sym_LT_LT] = ACTIONS(4221),
    [anon_sym_GT_GT] = ACTIONS(4221),
    [anon_sym_COLON] = ACTIONS(4500),
    [anon_sym_SEMI] = ACTIONS(4213),
    [anon_sym_COLON_COLON] = ACTIONS(2230),
    [anon_sym_LBRACE] = ACTIONS(2226),
    [anon_sym_LBRACK] = ACTIONS(4213),
    [anon_sym_EQ] = ACTIONS(4243),
    [anon_sym_QMARK] = ACTIONS(4213),
    [anon_sym_STAR_EQ] = ACTIONS(4245),
    [anon_sym_SLASH_EQ] = ACTIONS(4245),
    [anon_sym_PERCENT_EQ] = ACTIONS(4245),
    [anon_sym_PLUS_EQ] = ACTIONS(4245),
    [anon_sym_DASH_EQ] = ACTIONS(4245),
    [anon_sym_LT_LT_EQ] = ACTIONS(4245),
    [anon_sym_GT_GT_EQ] = ACTIONS(4245),
    [anon_sym_AMP_EQ] = ACTIONS(4245),
    [anon_sym_CARET_EQ] = ACTIONS(4245),
    [anon_sym_PIPE_EQ] = ACTIONS(4245),
    [anon_sym_and_eq] = ACTIONS(4245),
    [anon_sym_or_eq] = ACTIONS(4245),
    [anon_sym_xor_eq] = ACTIONS(4245),
    [anon_sym_LT_EQ_GT] = ACTIONS(4213),
    [anon_sym_or] = ACTIONS(4221),
    [anon_sym_and] = ACTIONS(4221),
    [anon_sym_bitor] = ACTIONS(4213),
    [anon_sym_xor] = ACTIONS(4221),
    [anon_sym_bitand] = ACTIONS(4213),
    [anon_sym_not_eq] = ACTIONS(4213),
    [anon_sym_DASH_DASH] = ACTIONS(4213),
    [anon_sym_PLUS_PLUS] = ACTIONS(4213),
    [anon_sym_DOT] = ACTIONS(4221),
    [anon_sym_DOT_STAR] = ACTIONS(4213),
    [anon_sym_DASH_GT] = ACTIONS(4213),
    [anon_sym_L_DQUOTE] = ACTIONS(4247),
    [anon_sym_u_DQUOTE] = ACTIONS(4247),
    [anon_sym_U_DQUOTE] = ACTIONS(4247),
    [anon_sym_u8_DQUOTE] = ACTIONS(4247),
    [anon_sym_DQUOTE] = ACTIONS(4247),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(4249),
    [anon_sym_LR_DQUOTE] = ACTIONS(4249),
    [anon_sym_uR_DQUOTE] = ACTIONS(4249),
    [anon_sym_UR_DQUOTE] = ACTIONS(4249),
    [anon_sym_u8R_DQUOTE] = ACTIONS(4249),
  },
  [3304] = {
    [sym_identifier] = ACTIONS(6115),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6117),
    [anon_sym_COMMA] = ACTIONS(6117),
    [anon_sym_RPAREN] = ACTIONS(6117),
    [anon_sym_LPAREN2] = ACTIONS(6117),
    [anon_sym_DASH] = ACTIONS(6115),
    [anon_sym_PLUS] = ACTIONS(6115),
    [anon_sym_STAR] = ACTIONS(6117),
    [anon_sym_SLASH] = ACTIONS(6115),
    [anon_sym_PERCENT] = ACTIONS(6117),
    [anon_sym_PIPE_PIPE] = ACTIONS(6117),
    [anon_sym_AMP_AMP] = ACTIONS(6117),
    [anon_sym_PIPE] = ACTIONS(6115),
    [anon_sym_CARET] = ACTIONS(6117),
    [anon_sym_AMP] = ACTIONS(6115),
    [anon_sym_EQ_EQ] = ACTIONS(6117),
    [anon_sym_BANG_EQ] = ACTIONS(6117),
    [anon_sym_GT] = ACTIONS(6115),
    [anon_sym_GT_EQ] = ACTIONS(6117),
    [anon_sym_LT_EQ] = ACTIONS(6115),
    [anon_sym_LT] = ACTIONS(6115),
    [anon_sym_LT_LT] = ACTIONS(6117),
    [anon_sym_GT_GT] = ACTIONS(6117),
    [anon_sym_COLON] = ACTIONS(6117),
    [anon_sym_SEMI] = ACTIONS(6117),
    [anon_sym___extension__] = ACTIONS(6115),
    [anon_sym___attribute__] = ACTIONS(6115),
    [anon_sym___based] = ACTIONS(6115),
    [anon_sym_LBRACE] = ACTIONS(6117),
    [anon_sym_RBRACE] = ACTIONS(6117),
    [anon_sym_signed] = ACTIONS(6115),
    [anon_sym_unsigned] = ACTIONS(6115),
    [anon_sym_long] = ACTIONS(6115),
    [anon_sym_short] = ACTIONS(6115),
    [anon_sym_LBRACK] = ACTIONS(6117),
    [anon_sym_RBRACK] = ACTIONS(6117),
    [anon_sym_const] = ACTIONS(6115),
    [anon_sym_constexpr] = ACTIONS(6115),
    [anon_sym_volatile] = ACTIONS(6115),
    [anon_sym_restrict] = ACTIONS(6115),
    [anon_sym___restrict__] = ACTIONS(6115),
    [anon_sym__Atomic] = ACTIONS(6115),
    [anon_sym__Noreturn] = ACTIONS(6115),
    [anon_sym_noreturn] = ACTIONS(6115),
    [anon_sym_mutable] = ACTIONS(6115),
    [anon_sym_constinit] = ACTIONS(6115),
    [anon_sym_consteval] = ACTIONS(6115),
    [sym_primitive_type] = ACTIONS(6115),
    [anon_sym_QMARK] = ACTIONS(6117),
    [anon_sym_LT_EQ_GT] = ACTIONS(6117),
    [anon_sym_or] = ACTIONS(6115),
    [anon_sym_and] = ACTIONS(6115),
    [anon_sym_bitor] = ACTIONS(6115),
    [anon_sym_xor] = ACTIONS(6115),
    [anon_sym_bitand] = ACTIONS(6115),
    [anon_sym_not_eq] = ACTIONS(6115),
    [anon_sym_DASH_DASH] = ACTIONS(6117),
    [anon_sym_PLUS_PLUS] = ACTIONS(6117),
    [anon_sym_DOT] = ACTIONS(6115),
    [anon_sym_DOT_STAR] = ACTIONS(6117),
    [anon_sym_DASH_GT] = ACTIONS(6117),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(6115),
    [anon_sym_decltype] = ACTIONS(6115),
    [anon_sym_final] = ACTIONS(6115),
    [anon_sym_override] = ACTIONS(6115),
    [anon_sym_requires] = ACTIONS(6115),
  },
  [3305] = {
    [sym_identifier] = ACTIONS(6147),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6149),
    [anon_sym_COMMA] = ACTIONS(6149),
    [anon_sym_RPAREN] = ACTIONS(6149),
    [anon_sym_LPAREN2] = ACTIONS(6149),
    [anon_sym_DASH] = ACTIONS(6147),
    [anon_sym_PLUS] = ACTIONS(6147),
    [anon_sym_STAR] = ACTIONS(6149),
    [anon_sym_SLASH] = ACTIONS(6147),
    [anon_sym_PERCENT] = ACTIONS(6149),
    [anon_sym_PIPE_PIPE] = ACTIONS(6149),
    [anon_sym_AMP_AMP] = ACTIONS(6149),
    [anon_sym_PIPE] = ACTIONS(6147),
    [anon_sym_CARET] = ACTIONS(6149),
    [anon_sym_AMP] = ACTIONS(6147),
    [anon_sym_EQ_EQ] = ACTIONS(6149),
    [anon_sym_BANG_EQ] = ACTIONS(6149),
    [anon_sym_GT] = ACTIONS(6147),
    [anon_sym_GT_EQ] = ACTIONS(6149),
    [anon_sym_LT_EQ] = ACTIONS(6147),
    [anon_sym_LT] = ACTIONS(6147),
    [anon_sym_LT_LT] = ACTIONS(6149),
    [anon_sym_GT_GT] = ACTIONS(6149),
    [anon_sym_COLON] = ACTIONS(6149),
    [anon_sym_SEMI] = ACTIONS(6149),
    [anon_sym___extension__] = ACTIONS(6147),
    [anon_sym___attribute__] = ACTIONS(6147),
    [anon_sym___based] = ACTIONS(6147),
    [anon_sym_LBRACE] = ACTIONS(6149),
    [anon_sym_RBRACE] = ACTIONS(6149),
    [anon_sym_signed] = ACTIONS(6147),
    [anon_sym_unsigned] = ACTIONS(6147),
    [anon_sym_long] = ACTIONS(6147),
    [anon_sym_short] = ACTIONS(6147),
    [anon_sym_LBRACK] = ACTIONS(6149),
    [anon_sym_RBRACK] = ACTIONS(6149),
    [anon_sym_const] = ACTIONS(6147),
    [anon_sym_constexpr] = ACTIONS(6147),
    [anon_sym_volatile] = ACTIONS(6147),
    [anon_sym_restrict] = ACTIONS(6147),
    [anon_sym___restrict__] = ACTIONS(6147),
    [anon_sym__Atomic] = ACTIONS(6147),
    [anon_sym__Noreturn] = ACTIONS(6147),
    [anon_sym_noreturn] = ACTIONS(6147),
    [anon_sym_mutable] = ACTIONS(6147),
    [anon_sym_constinit] = ACTIONS(6147),
    [anon_sym_consteval] = ACTIONS(6147),
    [sym_primitive_type] = ACTIONS(6147),
    [anon_sym_QMARK] = ACTIONS(6149),
    [anon_sym_LT_EQ_GT] = ACTIONS(6149),
    [anon_sym_or] = ACTIONS(6147),
    [anon_sym_and] = ACTIONS(6147),
    [anon_sym_bitor] = ACTIONS(6147),
    [anon_sym_xor] = ACTIONS(6147),
    [anon_sym_bitand] = ACTIONS(6147),
    [anon_sym_not_eq] = ACTIONS(6147),
    [anon_sym_DASH_DASH] = ACTIONS(6149),
    [anon_sym_PLUS_PLUS] = ACTIONS(6149),
    [anon_sym_DOT] = ACTIONS(6147),
    [anon_sym_DOT_STAR] = ACTIONS(6149),
    [anon_sym_DASH_GT] = ACTIONS(6149),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(6147),
    [anon_sym_decltype] = ACTIONS(6147),
    [anon_sym_final] = ACTIONS(6147),
    [anon_sym_override] = ACTIONS(6147),
    [anon_sym_requires] = ACTIONS(6147),
  },
  [3306] = {
    [sym_identifier] = ACTIONS(6091),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6093),
    [anon_sym_COMMA] = ACTIONS(6093),
    [anon_sym_RPAREN] = ACTIONS(6093),
    [anon_sym_LPAREN2] = ACTIONS(6093),
    [anon_sym_DASH] = ACTIONS(6091),
    [anon_sym_PLUS] = ACTIONS(6091),
    [anon_sym_STAR] = ACTIONS(6093),
    [anon_sym_SLASH] = ACTIONS(6091),
    [anon_sym_PERCENT] = ACTIONS(6093),
    [anon_sym_PIPE_PIPE] = ACTIONS(6093),
    [anon_sym_AMP_AMP] = ACTIONS(6093),
    [anon_sym_PIPE] = ACTIONS(6091),
    [anon_sym_CARET] = ACTIONS(6093),
    [anon_sym_AMP] = ACTIONS(6091),
    [anon_sym_EQ_EQ] = ACTIONS(6093),
    [anon_sym_BANG_EQ] = ACTIONS(6093),
    [anon_sym_GT] = ACTIONS(6091),
    [anon_sym_GT_EQ] = ACTIONS(6093),
    [anon_sym_LT_EQ] = ACTIONS(6091),
    [anon_sym_LT] = ACTIONS(6091),
    [anon_sym_LT_LT] = ACTIONS(6093),
    [anon_sym_GT_GT] = ACTIONS(6093),
    [anon_sym_COLON] = ACTIONS(6093),
    [anon_sym_SEMI] = ACTIONS(6093),
    [anon_sym___extension__] = ACTIONS(6091),
    [anon_sym___attribute__] = ACTIONS(6091),
    [anon_sym___based] = ACTIONS(6091),
    [anon_sym_LBRACE] = ACTIONS(6093),
    [anon_sym_RBRACE] = ACTIONS(6093),
    [anon_sym_signed] = ACTIONS(6091),
    [anon_sym_unsigned] = ACTIONS(6091),
    [anon_sym_long] = ACTIONS(6091),
    [anon_sym_short] = ACTIONS(6091),
    [anon_sym_LBRACK] = ACTIONS(6093),
    [anon_sym_RBRACK] = ACTIONS(6093),
    [anon_sym_const] = ACTIONS(6091),
    [anon_sym_constexpr] = ACTIONS(6091),
    [anon_sym_volatile] = ACTIONS(6091),
    [anon_sym_restrict] = ACTIONS(6091),
    [anon_sym___restrict__] = ACTIONS(6091),
    [anon_sym__Atomic] = ACTIONS(6091),
    [anon_sym__Noreturn] = ACTIONS(6091),
    [anon_sym_noreturn] = ACTIONS(6091),
    [anon_sym_mutable] = ACTIONS(6091),
    [anon_sym_constinit] = ACTIONS(6091),
    [anon_sym_consteval] = ACTIONS(6091),
    [sym_primitive_type] = ACTIONS(6091),
    [anon_sym_QMARK] = ACTIONS(6093),
    [anon_sym_LT_EQ_GT] = ACTIONS(6093),
    [anon_sym_or] = ACTIONS(6091),
    [anon_sym_and] = ACTIONS(6091),
    [anon_sym_bitor] = ACTIONS(6091),
    [anon_sym_xor] = ACTIONS(6091),
    [anon_sym_bitand] = ACTIONS(6091),
    [anon_sym_not_eq] = ACTIONS(6091),
    [anon_sym_DASH_DASH] = ACTIONS(6093),
    [anon_sym_PLUS_PLUS] = ACTIONS(6093),
    [anon_sym_DOT] = ACTIONS(6091),
    [anon_sym_DOT_STAR] = ACTIONS(6093),
    [anon_sym_DASH_GT] = ACTIONS(6093),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(6091),
    [anon_sym_decltype] = ACTIONS(6091),
    [anon_sym_final] = ACTIONS(6091),
    [anon_sym_override] = ACTIONS(6091),
    [anon_sym_requires] = ACTIONS(6091),
  },
  [3307] = {
    [sym_identifier] = ACTIONS(6131),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6133),
    [anon_sym_COMMA] = ACTIONS(6133),
    [anon_sym_RPAREN] = ACTIONS(6133),
    [anon_sym_LPAREN2] = ACTIONS(6133),
    [anon_sym_DASH] = ACTIONS(6131),
    [anon_sym_PLUS] = ACTIONS(6131),
    [anon_sym_STAR] = ACTIONS(6133),
    [anon_sym_SLASH] = ACTIONS(6131),
    [anon_sym_PERCENT] = ACTIONS(6133),
    [anon_sym_PIPE_PIPE] = ACTIONS(6133),
    [anon_sym_AMP_AMP] = ACTIONS(6133),
    [anon_sym_PIPE] = ACTIONS(6131),
    [anon_sym_CARET] = ACTIONS(6133),
    [anon_sym_AMP] = ACTIONS(6131),
    [anon_sym_EQ_EQ] = ACTIONS(6133),
    [anon_sym_BANG_EQ] = ACTIONS(6133),
    [anon_sym_GT] = ACTIONS(6131),
    [anon_sym_GT_EQ] = ACTIONS(6133),
    [anon_sym_LT_EQ] = ACTIONS(6131),
    [anon_sym_LT] = ACTIONS(6131),
    [anon_sym_LT_LT] = ACTIONS(6133),
    [anon_sym_GT_GT] = ACTIONS(6133),
    [anon_sym_COLON] = ACTIONS(6133),
    [anon_sym_SEMI] = ACTIONS(6133),
    [anon_sym___extension__] = ACTIONS(6131),
    [anon_sym___attribute__] = ACTIONS(6131),
    [anon_sym___based] = ACTIONS(6131),
    [anon_sym_LBRACE] = ACTIONS(6133),
    [anon_sym_RBRACE] = ACTIONS(6133),
    [anon_sym_signed] = ACTIONS(6131),
    [anon_sym_unsigned] = ACTIONS(6131),
    [anon_sym_long] = ACTIONS(6131),
    [anon_sym_short] = ACTIONS(6131),
    [anon_sym_LBRACK] = ACTIONS(6133),
    [anon_sym_RBRACK] = ACTIONS(6133),
    [anon_sym_const] = ACTIONS(6131),
    [anon_sym_constexpr] = ACTIONS(6131),
    [anon_sym_volatile] = ACTIONS(6131),
    [anon_sym_restrict] = ACTIONS(6131),
    [anon_sym___restrict__] = ACTIONS(6131),
    [anon_sym__Atomic] = ACTIONS(6131),
    [anon_sym__Noreturn] = ACTIONS(6131),
    [anon_sym_noreturn] = ACTIONS(6131),
    [anon_sym_mutable] = ACTIONS(6131),
    [anon_sym_constinit] = ACTIONS(6131),
    [anon_sym_consteval] = ACTIONS(6131),
    [sym_primitive_type] = ACTIONS(6131),
    [anon_sym_QMARK] = ACTIONS(6133),
    [anon_sym_LT_EQ_GT] = ACTIONS(6133),
    [anon_sym_or] = ACTIONS(6131),
    [anon_sym_and] = ACTIONS(6131),
    [anon_sym_bitor] = ACTIONS(6131),
    [anon_sym_xor] = ACTIONS(6131),
    [anon_sym_bitand] = ACTIONS(6131),
    [anon_sym_not_eq] = ACTIONS(6131),
    [anon_sym_DASH_DASH] = ACTIONS(6133),
    [anon_sym_PLUS_PLUS] = ACTIONS(6133),
    [anon_sym_DOT] = ACTIONS(6131),
    [anon_sym_DOT_STAR] = ACTIONS(6133),
    [anon_sym_DASH_GT] = ACTIONS(6133),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(6131),
    [anon_sym_decltype] = ACTIONS(6131),
    [anon_sym_final] = ACTIONS(6131),
    [anon_sym_override] = ACTIONS(6131),
    [anon_sym_requires] = ACTIONS(6131),
  },
  [3308] = {
    [sym_string_literal] = STATE(3314),
    [sym_raw_string_literal] = STATE(3314),
    [aux_sym_concatenated_string_repeat1] = STATE(3314),
    [sym_identifier] = ACTIONS(6565),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6241),
    [anon_sym_COMMA] = ACTIONS(6241),
    [anon_sym_RPAREN] = ACTIONS(6241),
    [anon_sym_LPAREN2] = ACTIONS(6241),
    [anon_sym_DASH] = ACTIONS(6243),
    [anon_sym_PLUS] = ACTIONS(6243),
    [anon_sym_STAR] = ACTIONS(6243),
    [anon_sym_SLASH] = ACTIONS(6243),
    [anon_sym_PERCENT] = ACTIONS(6243),
    [anon_sym_PIPE_PIPE] = ACTIONS(6241),
    [anon_sym_AMP_AMP] = ACTIONS(6241),
    [anon_sym_PIPE] = ACTIONS(6243),
    [anon_sym_CARET] = ACTIONS(6243),
    [anon_sym_AMP] = ACTIONS(6243),
    [anon_sym_EQ_EQ] = ACTIONS(6241),
    [anon_sym_BANG_EQ] = ACTIONS(6241),
    [anon_sym_GT] = ACTIONS(6243),
    [anon_sym_GT_EQ] = ACTIONS(6241),
    [anon_sym_LT_EQ] = ACTIONS(6243),
    [anon_sym_LT] = ACTIONS(6243),
    [anon_sym_LT_LT] = ACTIONS(6243),
    [anon_sym_GT_GT] = ACTIONS(6243),
    [anon_sym_LBRACK] = ACTIONS(6241),
    [anon_sym_EQ] = ACTIONS(6243),
    [anon_sym_QMARK] = ACTIONS(6241),
    [anon_sym_STAR_EQ] = ACTIONS(6241),
    [anon_sym_SLASH_EQ] = ACTIONS(6241),
    [anon_sym_PERCENT_EQ] = ACTIONS(6241),
    [anon_sym_PLUS_EQ] = ACTIONS(6241),
    [anon_sym_DASH_EQ] = ACTIONS(6241),
    [anon_sym_LT_LT_EQ] = ACTIONS(6241),
    [anon_sym_GT_GT_EQ] = ACTIONS(6241),
    [anon_sym_AMP_EQ] = ACTIONS(6241),
    [anon_sym_CARET_EQ] = ACTIONS(6241),
    [anon_sym_PIPE_EQ] = ACTIONS(6241),
    [anon_sym_and_eq] = ACTIONS(6243),
    [anon_sym_or_eq] = ACTIONS(6243),
    [anon_sym_xor_eq] = ACTIONS(6243),
    [anon_sym_LT_EQ_GT] = ACTIONS(6241),
    [anon_sym_or] = ACTIONS(6243),
    [anon_sym_and] = ACTIONS(6243),
    [anon_sym_bitor] = ACTIONS(6243),
    [anon_sym_xor] = ACTIONS(6243),
    [anon_sym_bitand] = ACTIONS(6243),
    [anon_sym_not_eq] = ACTIONS(6243),
    [anon_sym_DASH_DASH] = ACTIONS(6241),
    [anon_sym_PLUS_PLUS] = ACTIONS(6241),
    [anon_sym_DOT] = ACTIONS(6243),
    [anon_sym_DOT_STAR] = ACTIONS(6241),
    [anon_sym_DASH_GT] = ACTIONS(6243),
    [anon_sym_L_DQUOTE] = ACTIONS(5796),
    [anon_sym_u_DQUOTE] = ACTIONS(5796),
    [anon_sym_U_DQUOTE] = ACTIONS(5796),
    [anon_sym_u8_DQUOTE] = ACTIONS(5796),
    [anon_sym_DQUOTE] = ACTIONS(5796),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(5798),
    [anon_sym_LR_DQUOTE] = ACTIONS(5798),
    [anon_sym_uR_DQUOTE] = ACTIONS(5798),
    [anon_sym_UR_DQUOTE] = ACTIONS(5798),
    [anon_sym_u8R_DQUOTE] = ACTIONS(5798),
    [anon_sym_DASH_GT_STAR] = ACTIONS(6241),
    [sym_literal_suffix] = ACTIONS(6243),
  },
  [3309] = {
    [sym_identifier] = ACTIONS(6087),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6089),
    [anon_sym_COMMA] = ACTIONS(6089),
    [anon_sym_RPAREN] = ACTIONS(6089),
    [anon_sym_LPAREN2] = ACTIONS(6089),
    [anon_sym_DASH] = ACTIONS(6087),
    [anon_sym_PLUS] = ACTIONS(6087),
    [anon_sym_STAR] = ACTIONS(6089),
    [anon_sym_SLASH] = ACTIONS(6087),
    [anon_sym_PERCENT] = ACTIONS(6089),
    [anon_sym_PIPE_PIPE] = ACTIONS(6089),
    [anon_sym_AMP_AMP] = ACTIONS(6089),
    [anon_sym_PIPE] = ACTIONS(6087),
    [anon_sym_CARET] = ACTIONS(6089),
    [anon_sym_AMP] = ACTIONS(6087),
    [anon_sym_EQ_EQ] = ACTIONS(6089),
    [anon_sym_BANG_EQ] = ACTIONS(6089),
    [anon_sym_GT] = ACTIONS(6087),
    [anon_sym_GT_EQ] = ACTIONS(6089),
    [anon_sym_LT_EQ] = ACTIONS(6087),
    [anon_sym_LT] = ACTIONS(6087),
    [anon_sym_LT_LT] = ACTIONS(6089),
    [anon_sym_GT_GT] = ACTIONS(6089),
    [anon_sym_COLON] = ACTIONS(6089),
    [anon_sym_SEMI] = ACTIONS(6089),
    [anon_sym___extension__] = ACTIONS(6087),
    [anon_sym___attribute__] = ACTIONS(6087),
    [anon_sym___based] = ACTIONS(6087),
    [anon_sym_LBRACE] = ACTIONS(6089),
    [anon_sym_RBRACE] = ACTIONS(6089),
    [anon_sym_signed] = ACTIONS(6087),
    [anon_sym_unsigned] = ACTIONS(6087),
    [anon_sym_long] = ACTIONS(6087),
    [anon_sym_short] = ACTIONS(6087),
    [anon_sym_LBRACK] = ACTIONS(6089),
    [anon_sym_RBRACK] = ACTIONS(6089),
    [anon_sym_const] = ACTIONS(6087),
    [anon_sym_constexpr] = ACTIONS(6087),
    [anon_sym_volatile] = ACTIONS(6087),
    [anon_sym_restrict] = ACTIONS(6087),
    [anon_sym___restrict__] = ACTIONS(6087),
    [anon_sym__Atomic] = ACTIONS(6087),
    [anon_sym__Noreturn] = ACTIONS(6087),
    [anon_sym_noreturn] = ACTIONS(6087),
    [anon_sym_mutable] = ACTIONS(6087),
    [anon_sym_constinit] = ACTIONS(6087),
    [anon_sym_consteval] = ACTIONS(6087),
    [sym_primitive_type] = ACTIONS(6087),
    [anon_sym_QMARK] = ACTIONS(6089),
    [anon_sym_LT_EQ_GT] = ACTIONS(6089),
    [anon_sym_or] = ACTIONS(6087),
    [anon_sym_and] = ACTIONS(6087),
    [anon_sym_bitor] = ACTIONS(6087),
    [anon_sym_xor] = ACTIONS(6087),
    [anon_sym_bitand] = ACTIONS(6087),
    [anon_sym_not_eq] = ACTIONS(6087),
    [anon_sym_DASH_DASH] = ACTIONS(6089),
    [anon_sym_PLUS_PLUS] = ACTIONS(6089),
    [anon_sym_DOT] = ACTIONS(6087),
    [anon_sym_DOT_STAR] = ACTIONS(6089),
    [anon_sym_DASH_GT] = ACTIONS(6089),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(6087),
    [anon_sym_decltype] = ACTIONS(6087),
    [anon_sym_final] = ACTIONS(6087),
    [anon_sym_override] = ACTIONS(6087),
    [anon_sym_requires] = ACTIONS(6087),
  },
  [3310] = {
    [sym_identifier] = ACTIONS(6083),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6085),
    [anon_sym_COMMA] = ACTIONS(6085),
    [anon_sym_RPAREN] = ACTIONS(6085),
    [anon_sym_LPAREN2] = ACTIONS(6085),
    [anon_sym_DASH] = ACTIONS(6083),
    [anon_sym_PLUS] = ACTIONS(6083),
    [anon_sym_STAR] = ACTIONS(6085),
    [anon_sym_SLASH] = ACTIONS(6083),
    [anon_sym_PERCENT] = ACTIONS(6085),
    [anon_sym_PIPE_PIPE] = ACTIONS(6085),
    [anon_sym_AMP_AMP] = ACTIONS(6085),
    [anon_sym_PIPE] = ACTIONS(6083),
    [anon_sym_CARET] = ACTIONS(6085),
    [anon_sym_AMP] = ACTIONS(6083),
    [anon_sym_EQ_EQ] = ACTIONS(6085),
    [anon_sym_BANG_EQ] = ACTIONS(6085),
    [anon_sym_GT] = ACTIONS(6083),
    [anon_sym_GT_EQ] = ACTIONS(6085),
    [anon_sym_LT_EQ] = ACTIONS(6083),
    [anon_sym_LT] = ACTIONS(6083),
    [anon_sym_LT_LT] = ACTIONS(6085),
    [anon_sym_GT_GT] = ACTIONS(6085),
    [anon_sym_COLON] = ACTIONS(6085),
    [anon_sym_SEMI] = ACTIONS(6085),
    [anon_sym___extension__] = ACTIONS(6083),
    [anon_sym___attribute__] = ACTIONS(6083),
    [anon_sym___based] = ACTIONS(6083),
    [anon_sym_LBRACE] = ACTIONS(6085),
    [anon_sym_RBRACE] = ACTIONS(6085),
    [anon_sym_signed] = ACTIONS(6083),
    [anon_sym_unsigned] = ACTIONS(6083),
    [anon_sym_long] = ACTIONS(6083),
    [anon_sym_short] = ACTIONS(6083),
    [anon_sym_LBRACK] = ACTIONS(6085),
    [anon_sym_RBRACK] = ACTIONS(6085),
    [anon_sym_const] = ACTIONS(6083),
    [anon_sym_constexpr] = ACTIONS(6083),
    [anon_sym_volatile] = ACTIONS(6083),
    [anon_sym_restrict] = ACTIONS(6083),
    [anon_sym___restrict__] = ACTIONS(6083),
    [anon_sym__Atomic] = ACTIONS(6083),
    [anon_sym__Noreturn] = ACTIONS(6083),
    [anon_sym_noreturn] = ACTIONS(6083),
    [anon_sym_mutable] = ACTIONS(6083),
    [anon_sym_constinit] = ACTIONS(6083),
    [anon_sym_consteval] = ACTIONS(6083),
    [sym_primitive_type] = ACTIONS(6083),
    [anon_sym_QMARK] = ACTIONS(6085),
    [anon_sym_LT_EQ_GT] = ACTIONS(6085),
    [anon_sym_or] = ACTIONS(6083),
    [anon_sym_and] = ACTIONS(6083),
    [anon_sym_bitor] = ACTIONS(6083),
    [anon_sym_xor] = ACTIONS(6083),
    [anon_sym_bitand] = ACTIONS(6083),
    [anon_sym_not_eq] = ACTIONS(6083),
    [anon_sym_DASH_DASH] = ACTIONS(6085),
    [anon_sym_PLUS_PLUS] = ACTIONS(6085),
    [anon_sym_DOT] = ACTIONS(6083),
    [anon_sym_DOT_STAR] = ACTIONS(6085),
    [anon_sym_DASH_GT] = ACTIONS(6085),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(6083),
    [anon_sym_decltype] = ACTIONS(6083),
    [anon_sym_final] = ACTIONS(6083),
    [anon_sym_override] = ACTIONS(6083),
    [anon_sym_requires] = ACTIONS(6083),
  },
  [3311] = {
    [sym_identifier] = ACTIONS(6065),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6067),
    [anon_sym_COMMA] = ACTIONS(6067),
    [anon_sym_RPAREN] = ACTIONS(6067),
    [anon_sym_LPAREN2] = ACTIONS(6067),
    [anon_sym_DASH] = ACTIONS(6065),
    [anon_sym_PLUS] = ACTIONS(6065),
    [anon_sym_STAR] = ACTIONS(6067),
    [anon_sym_SLASH] = ACTIONS(6065),
    [anon_sym_PERCENT] = ACTIONS(6067),
    [anon_sym_PIPE_PIPE] = ACTIONS(6067),
    [anon_sym_AMP_AMP] = ACTIONS(6067),
    [anon_sym_PIPE] = ACTIONS(6065),
    [anon_sym_CARET] = ACTIONS(6067),
    [anon_sym_AMP] = ACTIONS(6065),
    [anon_sym_EQ_EQ] = ACTIONS(6067),
    [anon_sym_BANG_EQ] = ACTIONS(6067),
    [anon_sym_GT] = ACTIONS(6065),
    [anon_sym_GT_EQ] = ACTIONS(6067),
    [anon_sym_LT_EQ] = ACTIONS(6065),
    [anon_sym_LT] = ACTIONS(6065),
    [anon_sym_LT_LT] = ACTIONS(6067),
    [anon_sym_GT_GT] = ACTIONS(6067),
    [anon_sym_COLON] = ACTIONS(6067),
    [anon_sym_SEMI] = ACTIONS(6067),
    [anon_sym___extension__] = ACTIONS(6065),
    [anon_sym___attribute__] = ACTIONS(6065),
    [anon_sym___based] = ACTIONS(6065),
    [anon_sym_LBRACE] = ACTIONS(6067),
    [anon_sym_RBRACE] = ACTIONS(6067),
    [anon_sym_signed] = ACTIONS(6065),
    [anon_sym_unsigned] = ACTIONS(6065),
    [anon_sym_long] = ACTIONS(6065),
    [anon_sym_short] = ACTIONS(6065),
    [anon_sym_LBRACK] = ACTIONS(6067),
    [anon_sym_RBRACK] = ACTIONS(6067),
    [anon_sym_const] = ACTIONS(6065),
    [anon_sym_constexpr] = ACTIONS(6065),
    [anon_sym_volatile] = ACTIONS(6065),
    [anon_sym_restrict] = ACTIONS(6065),
    [anon_sym___restrict__] = ACTIONS(6065),
    [anon_sym__Atomic] = ACTIONS(6065),
    [anon_sym__Noreturn] = ACTIONS(6065),
    [anon_sym_noreturn] = ACTIONS(6065),
    [anon_sym_mutable] = ACTIONS(6065),
    [anon_sym_constinit] = ACTIONS(6065),
    [anon_sym_consteval] = ACTIONS(6065),
    [sym_primitive_type] = ACTIONS(6065),
    [anon_sym_QMARK] = ACTIONS(6067),
    [anon_sym_LT_EQ_GT] = ACTIONS(6067),
    [anon_sym_or] = ACTIONS(6065),
    [anon_sym_and] = ACTIONS(6065),
    [anon_sym_bitor] = ACTIONS(6065),
    [anon_sym_xor] = ACTIONS(6065),
    [anon_sym_bitand] = ACTIONS(6065),
    [anon_sym_not_eq] = ACTIONS(6065),
    [anon_sym_DASH_DASH] = ACTIONS(6067),
    [anon_sym_PLUS_PLUS] = ACTIONS(6067),
    [anon_sym_DOT] = ACTIONS(6065),
    [anon_sym_DOT_STAR] = ACTIONS(6067),
    [anon_sym_DASH_GT] = ACTIONS(6067),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(6065),
    [anon_sym_decltype] = ACTIONS(6065),
    [anon_sym_final] = ACTIONS(6065),
    [anon_sym_override] = ACTIONS(6065),
    [anon_sym_requires] = ACTIONS(6065),
  },
  [3312] = {
    [sym_identifier] = ACTIONS(6037),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6039),
    [anon_sym_COMMA] = ACTIONS(6039),
    [anon_sym_RPAREN] = ACTIONS(6039),
    [anon_sym_LPAREN2] = ACTIONS(6039),
    [anon_sym_DASH] = ACTIONS(6037),
    [anon_sym_PLUS] = ACTIONS(6037),
    [anon_sym_STAR] = ACTIONS(6039),
    [anon_sym_SLASH] = ACTIONS(6037),
    [anon_sym_PERCENT] = ACTIONS(6039),
    [anon_sym_PIPE_PIPE] = ACTIONS(6039),
    [anon_sym_AMP_AMP] = ACTIONS(6039),
    [anon_sym_PIPE] = ACTIONS(6037),
    [anon_sym_CARET] = ACTIONS(6039),
    [anon_sym_AMP] = ACTIONS(6037),
    [anon_sym_EQ_EQ] = ACTIONS(6039),
    [anon_sym_BANG_EQ] = ACTIONS(6039),
    [anon_sym_GT] = ACTIONS(6037),
    [anon_sym_GT_EQ] = ACTIONS(6039),
    [anon_sym_LT_EQ] = ACTIONS(6037),
    [anon_sym_LT] = ACTIONS(6037),
    [anon_sym_LT_LT] = ACTIONS(6039),
    [anon_sym_GT_GT] = ACTIONS(6039),
    [anon_sym_COLON] = ACTIONS(6039),
    [anon_sym_SEMI] = ACTIONS(6039),
    [anon_sym___extension__] = ACTIONS(6037),
    [anon_sym___attribute__] = ACTIONS(6037),
    [anon_sym___based] = ACTIONS(6037),
    [anon_sym_LBRACE] = ACTIONS(6039),
    [anon_sym_RBRACE] = ACTIONS(6039),
    [anon_sym_signed] = ACTIONS(6037),
    [anon_sym_unsigned] = ACTIONS(6037),
    [anon_sym_long] = ACTIONS(6037),
    [anon_sym_short] = ACTIONS(6037),
    [anon_sym_LBRACK] = ACTIONS(6039),
    [anon_sym_RBRACK] = ACTIONS(6039),
    [anon_sym_const] = ACTIONS(6037),
    [anon_sym_constexpr] = ACTIONS(6037),
    [anon_sym_volatile] = ACTIONS(6037),
    [anon_sym_restrict] = ACTIONS(6037),
    [anon_sym___restrict__] = ACTIONS(6037),
    [anon_sym__Atomic] = ACTIONS(6037),
    [anon_sym__Noreturn] = ACTIONS(6037),
    [anon_sym_noreturn] = ACTIONS(6037),
    [anon_sym_mutable] = ACTIONS(6037),
    [anon_sym_constinit] = ACTIONS(6037),
    [anon_sym_consteval] = ACTIONS(6037),
    [sym_primitive_type] = ACTIONS(6037),
    [anon_sym_QMARK] = ACTIONS(6039),
    [anon_sym_LT_EQ_GT] = ACTIONS(6039),
    [anon_sym_or] = ACTIONS(6037),
    [anon_sym_and] = ACTIONS(6037),
    [anon_sym_bitor] = ACTIONS(6037),
    [anon_sym_xor] = ACTIONS(6037),
    [anon_sym_bitand] = ACTIONS(6037),
    [anon_sym_not_eq] = ACTIONS(6037),
    [anon_sym_DASH_DASH] = ACTIONS(6039),
    [anon_sym_PLUS_PLUS] = ACTIONS(6039),
    [anon_sym_DOT] = ACTIONS(6037),
    [anon_sym_DOT_STAR] = ACTIONS(6039),
    [anon_sym_DASH_GT] = ACTIONS(6039),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(6037),
    [anon_sym_decltype] = ACTIONS(6037),
    [anon_sym_final] = ACTIONS(6037),
    [anon_sym_override] = ACTIONS(6037),
    [anon_sym_requires] = ACTIONS(6037),
  },
  [3313] = {
    [sym_string_literal] = STATE(3282),
    [sym_template_argument_list] = STATE(4284),
    [sym_raw_string_literal] = STATE(3282),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4213),
    [anon_sym_COMMA] = ACTIONS(4213),
    [anon_sym_RPAREN] = ACTIONS(4213),
    [anon_sym_LPAREN2] = ACTIONS(4213),
    [anon_sym_DASH] = ACTIONS(4221),
    [anon_sym_PLUS] = ACTIONS(4221),
    [anon_sym_STAR] = ACTIONS(4221),
    [anon_sym_SLASH] = ACTIONS(4221),
    [anon_sym_PERCENT] = ACTIONS(4221),
    [anon_sym_PIPE_PIPE] = ACTIONS(4213),
    [anon_sym_AMP_AMP] = ACTIONS(4213),
    [anon_sym_PIPE] = ACTIONS(4221),
    [anon_sym_CARET] = ACTIONS(4221),
    [anon_sym_AMP] = ACTIONS(4221),
    [anon_sym_EQ_EQ] = ACTIONS(4213),
    [anon_sym_BANG_EQ] = ACTIONS(4213),
    [anon_sym_GT] = ACTIONS(4221),
    [anon_sym_GT_EQ] = ACTIONS(4213),
    [anon_sym_LT_EQ] = ACTIONS(4221),
    [anon_sym_LT] = ACTIONS(5816),
    [anon_sym_LT_LT] = ACTIONS(4221),
    [anon_sym_GT_GT] = ACTIONS(4221),
    [anon_sym_COLON_COLON] = ACTIONS(2230),
    [anon_sym_LBRACE] = ACTIONS(2226),
    [anon_sym_LBRACK] = ACTIONS(4213),
    [anon_sym_EQ] = ACTIONS(4221),
    [anon_sym_QMARK] = ACTIONS(4213),
    [anon_sym_STAR_EQ] = ACTIONS(4213),
    [anon_sym_SLASH_EQ] = ACTIONS(4213),
    [anon_sym_PERCENT_EQ] = ACTIONS(4213),
    [anon_sym_PLUS_EQ] = ACTIONS(4213),
    [anon_sym_DASH_EQ] = ACTIONS(4213),
    [anon_sym_LT_LT_EQ] = ACTIONS(4213),
    [anon_sym_GT_GT_EQ] = ACTIONS(4213),
    [anon_sym_AMP_EQ] = ACTIONS(4213),
    [anon_sym_CARET_EQ] = ACTIONS(4213),
    [anon_sym_PIPE_EQ] = ACTIONS(4213),
    [anon_sym_and_eq] = ACTIONS(4213),
    [anon_sym_or_eq] = ACTIONS(4213),
    [anon_sym_xor_eq] = ACTIONS(4213),
    [anon_sym_LT_EQ_GT] = ACTIONS(4213),
    [anon_sym_or] = ACTIONS(4221),
    [anon_sym_and] = ACTIONS(4221),
    [anon_sym_bitor] = ACTIONS(4213),
    [anon_sym_xor] = ACTIONS(4221),
    [anon_sym_bitand] = ACTIONS(4213),
    [anon_sym_not_eq] = ACTIONS(4213),
    [anon_sym_DASH_DASH] = ACTIONS(4213),
    [anon_sym_PLUS_PLUS] = ACTIONS(4213),
    [anon_sym_DOT] = ACTIONS(4221),
    [anon_sym_DOT_STAR] = ACTIONS(4213),
    [anon_sym_DASH_GT] = ACTIONS(4221),
    [anon_sym_L_DQUOTE] = ACTIONS(5796),
    [anon_sym_u_DQUOTE] = ACTIONS(5796),
    [anon_sym_U_DQUOTE] = ACTIONS(5796),
    [anon_sym_u8_DQUOTE] = ACTIONS(5796),
    [anon_sym_DQUOTE] = ACTIONS(5796),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(5798),
    [anon_sym_LR_DQUOTE] = ACTIONS(5798),
    [anon_sym_uR_DQUOTE] = ACTIONS(5798),
    [anon_sym_UR_DQUOTE] = ACTIONS(5798),
    [anon_sym_u8R_DQUOTE] = ACTIONS(5798),
    [anon_sym_DASH_GT_STAR] = ACTIONS(4213),
  },
  [3314] = {
    [sym_string_literal] = STATE(3314),
    [sym_raw_string_literal] = STATE(3314),
    [aux_sym_concatenated_string_repeat1] = STATE(3314),
    [sym_identifier] = ACTIONS(6567),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6271),
    [anon_sym_COMMA] = ACTIONS(6271),
    [anon_sym_RPAREN] = ACTIONS(6271),
    [anon_sym_LPAREN2] = ACTIONS(6271),
    [anon_sym_DASH] = ACTIONS(6273),
    [anon_sym_PLUS] = ACTIONS(6273),
    [anon_sym_STAR] = ACTIONS(6273),
    [anon_sym_SLASH] = ACTIONS(6273),
    [anon_sym_PERCENT] = ACTIONS(6273),
    [anon_sym_PIPE_PIPE] = ACTIONS(6271),
    [anon_sym_AMP_AMP] = ACTIONS(6271),
    [anon_sym_PIPE] = ACTIONS(6273),
    [anon_sym_CARET] = ACTIONS(6273),
    [anon_sym_AMP] = ACTIONS(6273),
    [anon_sym_EQ_EQ] = ACTIONS(6271),
    [anon_sym_BANG_EQ] = ACTIONS(6271),
    [anon_sym_GT] = ACTIONS(6273),
    [anon_sym_GT_EQ] = ACTIONS(6271),
    [anon_sym_LT_EQ] = ACTIONS(6273),
    [anon_sym_LT] = ACTIONS(6273),
    [anon_sym_LT_LT] = ACTIONS(6273),
    [anon_sym_GT_GT] = ACTIONS(6273),
    [anon_sym_LBRACK] = ACTIONS(6271),
    [anon_sym_EQ] = ACTIONS(6273),
    [anon_sym_QMARK] = ACTIONS(6271),
    [anon_sym_STAR_EQ] = ACTIONS(6271),
    [anon_sym_SLASH_EQ] = ACTIONS(6271),
    [anon_sym_PERCENT_EQ] = ACTIONS(6271),
    [anon_sym_PLUS_EQ] = ACTIONS(6271),
    [anon_sym_DASH_EQ] = ACTIONS(6271),
    [anon_sym_LT_LT_EQ] = ACTIONS(6271),
    [anon_sym_GT_GT_EQ] = ACTIONS(6271),
    [anon_sym_AMP_EQ] = ACTIONS(6271),
    [anon_sym_CARET_EQ] = ACTIONS(6271),
    [anon_sym_PIPE_EQ] = ACTIONS(6271),
    [anon_sym_and_eq] = ACTIONS(6273),
    [anon_sym_or_eq] = ACTIONS(6273),
    [anon_sym_xor_eq] = ACTIONS(6273),
    [anon_sym_LT_EQ_GT] = ACTIONS(6271),
    [anon_sym_or] = ACTIONS(6273),
    [anon_sym_and] = ACTIONS(6273),
    [anon_sym_bitor] = ACTIONS(6273),
    [anon_sym_xor] = ACTIONS(6273),
    [anon_sym_bitand] = ACTIONS(6273),
    [anon_sym_not_eq] = ACTIONS(6273),
    [anon_sym_DASH_DASH] = ACTIONS(6271),
    [anon_sym_PLUS_PLUS] = ACTIONS(6271),
    [anon_sym_DOT] = ACTIONS(6273),
    [anon_sym_DOT_STAR] = ACTIONS(6271),
    [anon_sym_DASH_GT] = ACTIONS(6273),
    [anon_sym_L_DQUOTE] = ACTIONS(6570),
    [anon_sym_u_DQUOTE] = ACTIONS(6570),
    [anon_sym_U_DQUOTE] = ACTIONS(6570),
    [anon_sym_u8_DQUOTE] = ACTIONS(6570),
    [anon_sym_DQUOTE] = ACTIONS(6570),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(6573),
    [anon_sym_LR_DQUOTE] = ACTIONS(6573),
    [anon_sym_uR_DQUOTE] = ACTIONS(6573),
    [anon_sym_UR_DQUOTE] = ACTIONS(6573),
    [anon_sym_u8R_DQUOTE] = ACTIONS(6573),
    [anon_sym_DASH_GT_STAR] = ACTIONS(6271),
    [sym_literal_suffix] = ACTIONS(6273),
  },
  [3315] = {
    [sym_identifier] = ACTIONS(6151),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6153),
    [anon_sym_COMMA] = ACTIONS(6153),
    [anon_sym_RPAREN] = ACTIONS(6153),
    [anon_sym_LPAREN2] = ACTIONS(6153),
    [anon_sym_DASH] = ACTIONS(6151),
    [anon_sym_PLUS] = ACTIONS(6151),
    [anon_sym_STAR] = ACTIONS(6153),
    [anon_sym_SLASH] = ACTIONS(6151),
    [anon_sym_PERCENT] = ACTIONS(6153),
    [anon_sym_PIPE_PIPE] = ACTIONS(6153),
    [anon_sym_AMP_AMP] = ACTIONS(6153),
    [anon_sym_PIPE] = ACTIONS(6151),
    [anon_sym_CARET] = ACTIONS(6153),
    [anon_sym_AMP] = ACTIONS(6151),
    [anon_sym_EQ_EQ] = ACTIONS(6153),
    [anon_sym_BANG_EQ] = ACTIONS(6153),
    [anon_sym_GT] = ACTIONS(6151),
    [anon_sym_GT_EQ] = ACTIONS(6153),
    [anon_sym_LT_EQ] = ACTIONS(6151),
    [anon_sym_LT] = ACTIONS(6151),
    [anon_sym_LT_LT] = ACTIONS(6153),
    [anon_sym_GT_GT] = ACTIONS(6153),
    [anon_sym_COLON] = ACTIONS(6153),
    [anon_sym_SEMI] = ACTIONS(6153),
    [anon_sym___extension__] = ACTIONS(6151),
    [anon_sym___attribute__] = ACTIONS(6151),
    [anon_sym___based] = ACTIONS(6151),
    [anon_sym_LBRACE] = ACTIONS(6153),
    [anon_sym_RBRACE] = ACTIONS(6153),
    [anon_sym_signed] = ACTIONS(6151),
    [anon_sym_unsigned] = ACTIONS(6151),
    [anon_sym_long] = ACTIONS(6151),
    [anon_sym_short] = ACTIONS(6151),
    [anon_sym_LBRACK] = ACTIONS(6153),
    [anon_sym_RBRACK] = ACTIONS(6153),
    [anon_sym_const] = ACTIONS(6151),
    [anon_sym_constexpr] = ACTIONS(6151),
    [anon_sym_volatile] = ACTIONS(6151),
    [anon_sym_restrict] = ACTIONS(6151),
    [anon_sym___restrict__] = ACTIONS(6151),
    [anon_sym__Atomic] = ACTIONS(6151),
    [anon_sym__Noreturn] = ACTIONS(6151),
    [anon_sym_noreturn] = ACTIONS(6151),
    [anon_sym_mutable] = ACTIONS(6151),
    [anon_sym_constinit] = ACTIONS(6151),
    [anon_sym_consteval] = ACTIONS(6151),
    [sym_primitive_type] = ACTIONS(6151),
    [anon_sym_QMARK] = ACTIONS(6153),
    [anon_sym_LT_EQ_GT] = ACTIONS(6153),
    [anon_sym_or] = ACTIONS(6151),
    [anon_sym_and] = ACTIONS(6151),
    [anon_sym_bitor] = ACTIONS(6151),
    [anon_sym_xor] = ACTIONS(6151),
    [anon_sym_bitand] = ACTIONS(6151),
    [anon_sym_not_eq] = ACTIONS(6151),
    [anon_sym_DASH_DASH] = ACTIONS(6153),
    [anon_sym_PLUS_PLUS] = ACTIONS(6153),
    [anon_sym_DOT] = ACTIONS(6151),
    [anon_sym_DOT_STAR] = ACTIONS(6153),
    [anon_sym_DASH_GT] = ACTIONS(6153),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(6151),
    [anon_sym_decltype] = ACTIONS(6151),
    [anon_sym_final] = ACTIONS(6151),
    [anon_sym_override] = ACTIONS(6151),
    [anon_sym_requires] = ACTIONS(6151),
  },
  [3316] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(3327),
    [sym_identifier] = ACTIONS(6576),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5917),
    [anon_sym_COMMA] = ACTIONS(5917),
    [anon_sym_RPAREN] = ACTIONS(5917),
    [anon_sym_LPAREN2] = ACTIONS(5917),
    [anon_sym_DASH] = ACTIONS(5919),
    [anon_sym_PLUS] = ACTIONS(5919),
    [anon_sym_STAR] = ACTIONS(5917),
    [anon_sym_SLASH] = ACTIONS(5919),
    [anon_sym_PERCENT] = ACTIONS(5917),
    [anon_sym_PIPE_PIPE] = ACTIONS(5917),
    [anon_sym_AMP_AMP] = ACTIONS(5917),
    [anon_sym_PIPE] = ACTIONS(5919),
    [anon_sym_CARET] = ACTIONS(5917),
    [anon_sym_AMP] = ACTIONS(5919),
    [anon_sym_EQ_EQ] = ACTIONS(5917),
    [anon_sym_BANG_EQ] = ACTIONS(5917),
    [anon_sym_GT] = ACTIONS(5919),
    [anon_sym_GT_EQ] = ACTIONS(5917),
    [anon_sym_LT_EQ] = ACTIONS(5919),
    [anon_sym_LT] = ACTIONS(5919),
    [anon_sym_LT_LT] = ACTIONS(5917),
    [anon_sym_GT_GT] = ACTIONS(5917),
    [anon_sym_COLON] = ACTIONS(5917),
    [anon_sym_SEMI] = ACTIONS(5917),
    [anon_sym___extension__] = ACTIONS(5919),
    [anon_sym___attribute__] = ACTIONS(5919),
    [anon_sym_LBRACE] = ACTIONS(5917),
    [anon_sym_RBRACE] = ACTIONS(5917),
    [anon_sym_signed] = ACTIONS(6578),
    [anon_sym_unsigned] = ACTIONS(6578),
    [anon_sym_long] = ACTIONS(6578),
    [anon_sym_short] = ACTIONS(6578),
    [anon_sym_LBRACK] = ACTIONS(5917),
    [anon_sym_RBRACK] = ACTIONS(5917),
    [anon_sym_const] = ACTIONS(5919),
    [anon_sym_constexpr] = ACTIONS(5919),
    [anon_sym_volatile] = ACTIONS(5919),
    [anon_sym_restrict] = ACTIONS(5919),
    [anon_sym___restrict__] = ACTIONS(5919),
    [anon_sym__Atomic] = ACTIONS(5919),
    [anon_sym__Noreturn] = ACTIONS(5919),
    [anon_sym_noreturn] = ACTIONS(5919),
    [anon_sym_mutable] = ACTIONS(5919),
    [anon_sym_constinit] = ACTIONS(5919),
    [anon_sym_consteval] = ACTIONS(5919),
    [sym_primitive_type] = ACTIONS(6580),
    [anon_sym_QMARK] = ACTIONS(5917),
    [anon_sym_LT_EQ_GT] = ACTIONS(5917),
    [anon_sym_or] = ACTIONS(5919),
    [anon_sym_and] = ACTIONS(5919),
    [anon_sym_bitor] = ACTIONS(5919),
    [anon_sym_xor] = ACTIONS(5919),
    [anon_sym_bitand] = ACTIONS(5919),
    [anon_sym_not_eq] = ACTIONS(5919),
    [anon_sym_DASH_DASH] = ACTIONS(5917),
    [anon_sym_PLUS_PLUS] = ACTIONS(5917),
    [anon_sym_DOT] = ACTIONS(5919),
    [anon_sym_DOT_STAR] = ACTIONS(5917),
    [anon_sym_DASH_GT] = ACTIONS(5917),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5919),
    [anon_sym_decltype] = ACTIONS(5919),
    [anon_sym_final] = ACTIONS(5919),
    [anon_sym_override] = ACTIONS(5919),
    [anon_sym_requires] = ACTIONS(5919),
  },
  [3317] = {
    [sym_identifier] = ACTIONS(5931),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5933),
    [anon_sym_COMMA] = ACTIONS(5933),
    [anon_sym_RPAREN] = ACTIONS(5933),
    [anon_sym_LPAREN2] = ACTIONS(5933),
    [anon_sym_DASH] = ACTIONS(5931),
    [anon_sym_PLUS] = ACTIONS(5931),
    [anon_sym_STAR] = ACTIONS(5933),
    [anon_sym_SLASH] = ACTIONS(5931),
    [anon_sym_PERCENT] = ACTIONS(5933),
    [anon_sym_PIPE_PIPE] = ACTIONS(5933),
    [anon_sym_AMP_AMP] = ACTIONS(5933),
    [anon_sym_PIPE] = ACTIONS(5931),
    [anon_sym_CARET] = ACTIONS(5933),
    [anon_sym_AMP] = ACTIONS(5931),
    [anon_sym_EQ_EQ] = ACTIONS(5933),
    [anon_sym_BANG_EQ] = ACTIONS(5933),
    [anon_sym_GT] = ACTIONS(5931),
    [anon_sym_GT_EQ] = ACTIONS(5933),
    [anon_sym_LT_EQ] = ACTIONS(5931),
    [anon_sym_LT] = ACTIONS(5931),
    [anon_sym_LT_LT] = ACTIONS(5933),
    [anon_sym_GT_GT] = ACTIONS(5933),
    [anon_sym_COLON] = ACTIONS(5933),
    [anon_sym_SEMI] = ACTIONS(5933),
    [anon_sym___extension__] = ACTIONS(5931),
    [anon_sym___attribute__] = ACTIONS(5931),
    [anon_sym___based] = ACTIONS(5931),
    [anon_sym_LBRACE] = ACTIONS(5933),
    [anon_sym_RBRACE] = ACTIONS(5933),
    [anon_sym_signed] = ACTIONS(5931),
    [anon_sym_unsigned] = ACTIONS(5931),
    [anon_sym_long] = ACTIONS(5931),
    [anon_sym_short] = ACTIONS(5931),
    [anon_sym_LBRACK] = ACTIONS(5933),
    [anon_sym_RBRACK] = ACTIONS(5933),
    [anon_sym_const] = ACTIONS(5931),
    [anon_sym_constexpr] = ACTIONS(5931),
    [anon_sym_volatile] = ACTIONS(5931),
    [anon_sym_restrict] = ACTIONS(5931),
    [anon_sym___restrict__] = ACTIONS(5931),
    [anon_sym__Atomic] = ACTIONS(5931),
    [anon_sym__Noreturn] = ACTIONS(5931),
    [anon_sym_noreturn] = ACTIONS(5931),
    [anon_sym_mutable] = ACTIONS(5931),
    [anon_sym_constinit] = ACTIONS(5931),
    [anon_sym_consteval] = ACTIONS(5931),
    [sym_primitive_type] = ACTIONS(5931),
    [anon_sym_QMARK] = ACTIONS(5933),
    [anon_sym_LT_EQ_GT] = ACTIONS(5933),
    [anon_sym_or] = ACTIONS(5931),
    [anon_sym_and] = ACTIONS(5931),
    [anon_sym_bitor] = ACTIONS(5931),
    [anon_sym_xor] = ACTIONS(5931),
    [anon_sym_bitand] = ACTIONS(5931),
    [anon_sym_not_eq] = ACTIONS(5931),
    [anon_sym_DASH_DASH] = ACTIONS(5933),
    [anon_sym_PLUS_PLUS] = ACTIONS(5933),
    [anon_sym_DOT] = ACTIONS(5931),
    [anon_sym_DOT_STAR] = ACTIONS(5933),
    [anon_sym_DASH_GT] = ACTIONS(5933),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5931),
    [anon_sym_decltype] = ACTIONS(5931),
    [anon_sym_final] = ACTIONS(5931),
    [anon_sym_override] = ACTIONS(5931),
    [anon_sym_requires] = ACTIONS(5931),
  },
  [3318] = {
    [sym_identifier] = ACTIONS(6135),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6137),
    [anon_sym_COMMA] = ACTIONS(6137),
    [anon_sym_RPAREN] = ACTIONS(6137),
    [anon_sym_LPAREN2] = ACTIONS(6137),
    [anon_sym_DASH] = ACTIONS(6135),
    [anon_sym_PLUS] = ACTIONS(6135),
    [anon_sym_STAR] = ACTIONS(6137),
    [anon_sym_SLASH] = ACTIONS(6135),
    [anon_sym_PERCENT] = ACTIONS(6137),
    [anon_sym_PIPE_PIPE] = ACTIONS(6137),
    [anon_sym_AMP_AMP] = ACTIONS(6137),
    [anon_sym_PIPE] = ACTIONS(6135),
    [anon_sym_CARET] = ACTIONS(6137),
    [anon_sym_AMP] = ACTIONS(6135),
    [anon_sym_EQ_EQ] = ACTIONS(6137),
    [anon_sym_BANG_EQ] = ACTIONS(6137),
    [anon_sym_GT] = ACTIONS(6135),
    [anon_sym_GT_EQ] = ACTIONS(6137),
    [anon_sym_LT_EQ] = ACTIONS(6135),
    [anon_sym_LT] = ACTIONS(6135),
    [anon_sym_LT_LT] = ACTIONS(6137),
    [anon_sym_GT_GT] = ACTIONS(6137),
    [anon_sym_COLON] = ACTIONS(6137),
    [anon_sym_SEMI] = ACTIONS(6137),
    [anon_sym___extension__] = ACTIONS(6135),
    [anon_sym___attribute__] = ACTIONS(6135),
    [anon_sym___based] = ACTIONS(6135),
    [anon_sym_LBRACE] = ACTIONS(6137),
    [anon_sym_RBRACE] = ACTIONS(6137),
    [anon_sym_signed] = ACTIONS(6135),
    [anon_sym_unsigned] = ACTIONS(6135),
    [anon_sym_long] = ACTIONS(6135),
    [anon_sym_short] = ACTIONS(6135),
    [anon_sym_LBRACK] = ACTIONS(6137),
    [anon_sym_RBRACK] = ACTIONS(6137),
    [anon_sym_const] = ACTIONS(6135),
    [anon_sym_constexpr] = ACTIONS(6135),
    [anon_sym_volatile] = ACTIONS(6135),
    [anon_sym_restrict] = ACTIONS(6135),
    [anon_sym___restrict__] = ACTIONS(6135),
    [anon_sym__Atomic] = ACTIONS(6135),
    [anon_sym__Noreturn] = ACTIONS(6135),
    [anon_sym_noreturn] = ACTIONS(6135),
    [anon_sym_mutable] = ACTIONS(6135),
    [anon_sym_constinit] = ACTIONS(6135),
    [anon_sym_consteval] = ACTIONS(6135),
    [sym_primitive_type] = ACTIONS(6135),
    [anon_sym_QMARK] = ACTIONS(6137),
    [anon_sym_LT_EQ_GT] = ACTIONS(6137),
    [anon_sym_or] = ACTIONS(6135),
    [anon_sym_and] = ACTIONS(6135),
    [anon_sym_bitor] = ACTIONS(6135),
    [anon_sym_xor] = ACTIONS(6135),
    [anon_sym_bitand] = ACTIONS(6135),
    [anon_sym_not_eq] = ACTIONS(6135),
    [anon_sym_DASH_DASH] = ACTIONS(6137),
    [anon_sym_PLUS_PLUS] = ACTIONS(6137),
    [anon_sym_DOT] = ACTIONS(6135),
    [anon_sym_DOT_STAR] = ACTIONS(6137),
    [anon_sym_DASH_GT] = ACTIONS(6137),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(6135),
    [anon_sym_decltype] = ACTIONS(6135),
    [anon_sym_final] = ACTIONS(6135),
    [anon_sym_override] = ACTIONS(6135),
    [anon_sym_requires] = ACTIONS(6135),
  },
  [3319] = {
    [sym_template_argument_list] = STATE(3203),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3392),
    [sym_identifier] = ACTIONS(5896),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5898),
    [anon_sym_COMMA] = ACTIONS(5898),
    [aux_sym_preproc_if_token2] = ACTIONS(5898),
    [aux_sym_preproc_else_token1] = ACTIONS(5898),
    [aux_sym_preproc_elif_token1] = ACTIONS(5896),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5898),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5898),
    [anon_sym_LPAREN2] = ACTIONS(5898),
    [anon_sym_DASH] = ACTIONS(5896),
    [anon_sym_PLUS] = ACTIONS(5896),
    [anon_sym_STAR] = ACTIONS(5896),
    [anon_sym_SLASH] = ACTIONS(5896),
    [anon_sym_PERCENT] = ACTIONS(5896),
    [anon_sym_PIPE_PIPE] = ACTIONS(5898),
    [anon_sym_AMP_AMP] = ACTIONS(5898),
    [anon_sym_PIPE] = ACTIONS(5896),
    [anon_sym_CARET] = ACTIONS(5896),
    [anon_sym_AMP] = ACTIONS(5896),
    [anon_sym_EQ_EQ] = ACTIONS(5898),
    [anon_sym_BANG_EQ] = ACTIONS(5898),
    [anon_sym_GT] = ACTIONS(5896),
    [anon_sym_GT_EQ] = ACTIONS(5898),
    [anon_sym_LT_EQ] = ACTIONS(5896),
    [anon_sym_LT] = ACTIONS(5896),
    [anon_sym_LT_LT] = ACTIONS(5896),
    [anon_sym_GT_GT] = ACTIONS(5896),
    [anon_sym___attribute__] = ACTIONS(5896),
    [anon_sym_COLON_COLON] = ACTIONS(2230),
    [anon_sym_LBRACE] = ACTIONS(5898),
    [anon_sym_signed] = ACTIONS(6582),
    [anon_sym_unsigned] = ACTIONS(6582),
    [anon_sym_long] = ACTIONS(6582),
    [anon_sym_short] = ACTIONS(6582),
    [anon_sym_LBRACK] = ACTIONS(5898),
    [anon_sym_EQ] = ACTIONS(5896),
    [anon_sym_QMARK] = ACTIONS(5898),
    [anon_sym_STAR_EQ] = ACTIONS(5898),
    [anon_sym_SLASH_EQ] = ACTIONS(5898),
    [anon_sym_PERCENT_EQ] = ACTIONS(5898),
    [anon_sym_PLUS_EQ] = ACTIONS(5898),
    [anon_sym_DASH_EQ] = ACTIONS(5898),
    [anon_sym_LT_LT_EQ] = ACTIONS(5898),
    [anon_sym_GT_GT_EQ] = ACTIONS(5898),
    [anon_sym_AMP_EQ] = ACTIONS(5898),
    [anon_sym_CARET_EQ] = ACTIONS(5898),
    [anon_sym_PIPE_EQ] = ACTIONS(5898),
    [anon_sym_and_eq] = ACTIONS(5896),
    [anon_sym_or_eq] = ACTIONS(5896),
    [anon_sym_xor_eq] = ACTIONS(5896),
    [anon_sym_LT_EQ_GT] = ACTIONS(5898),
    [anon_sym_or] = ACTIONS(5896),
    [anon_sym_and] = ACTIONS(5896),
    [anon_sym_bitor] = ACTIONS(5896),
    [anon_sym_xor] = ACTIONS(5896),
    [anon_sym_bitand] = ACTIONS(5896),
    [anon_sym_not_eq] = ACTIONS(5896),
    [anon_sym_DASH_DASH] = ACTIONS(5898),
    [anon_sym_PLUS_PLUS] = ACTIONS(5898),
    [anon_sym_DOT] = ACTIONS(5896),
    [anon_sym_DOT_STAR] = ACTIONS(5898),
    [anon_sym_DASH_GT] = ACTIONS(5898),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5896),
    [anon_sym_decltype] = ACTIONS(5896),
  },
  [3320] = {
    [sym_string_literal] = STATE(3682),
    [sym_template_argument_list] = STATE(4862),
    [sym_raw_string_literal] = STATE(3682),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4213),
    [anon_sym_COMMA] = ACTIONS(4213),
    [anon_sym_LPAREN2] = ACTIONS(4213),
    [anon_sym_DASH] = ACTIONS(4221),
    [anon_sym_PLUS] = ACTIONS(4221),
    [anon_sym_STAR] = ACTIONS(4221),
    [anon_sym_SLASH] = ACTIONS(4221),
    [anon_sym_PERCENT] = ACTIONS(4221),
    [anon_sym_PIPE_PIPE] = ACTIONS(4213),
    [anon_sym_AMP_AMP] = ACTIONS(4213),
    [anon_sym_PIPE] = ACTIONS(4221),
    [anon_sym_CARET] = ACTIONS(4221),
    [anon_sym_AMP] = ACTIONS(4221),
    [anon_sym_EQ_EQ] = ACTIONS(4213),
    [anon_sym_BANG_EQ] = ACTIONS(4213),
    [anon_sym_GT] = ACTIONS(4221),
    [anon_sym_GT_EQ] = ACTIONS(4213),
    [anon_sym_LT_EQ] = ACTIONS(4221),
    [anon_sym_LT] = ACTIONS(6488),
    [anon_sym_LT_LT] = ACTIONS(4221),
    [anon_sym_GT_GT] = ACTIONS(4221),
    [anon_sym_COLON] = ACTIONS(4321),
    [anon_sym_SEMI] = ACTIONS(4213),
    [anon_sym_COLON_COLON] = ACTIONS(2230),
    [anon_sym_LBRACE] = ACTIONS(2226),
    [anon_sym_LBRACK] = ACTIONS(4213),
    [anon_sym_EQ] = ACTIONS(4243),
    [anon_sym_QMARK] = ACTIONS(4213),
    [anon_sym_STAR_EQ] = ACTIONS(4245),
    [anon_sym_SLASH_EQ] = ACTIONS(4245),
    [anon_sym_PERCENT_EQ] = ACTIONS(4245),
    [anon_sym_PLUS_EQ] = ACTIONS(4245),
    [anon_sym_DASH_EQ] = ACTIONS(4245),
    [anon_sym_LT_LT_EQ] = ACTIONS(4245),
    [anon_sym_GT_GT_EQ] = ACTIONS(4245),
    [anon_sym_AMP_EQ] = ACTIONS(4245),
    [anon_sym_CARET_EQ] = ACTIONS(4245),
    [anon_sym_PIPE_EQ] = ACTIONS(4245),
    [anon_sym_and_eq] = ACTIONS(4245),
    [anon_sym_or_eq] = ACTIONS(4245),
    [anon_sym_xor_eq] = ACTIONS(4245),
    [anon_sym_LT_EQ_GT] = ACTIONS(4213),
    [anon_sym_or] = ACTIONS(4221),
    [anon_sym_and] = ACTIONS(4221),
    [anon_sym_bitor] = ACTIONS(4213),
    [anon_sym_xor] = ACTIONS(4221),
    [anon_sym_bitand] = ACTIONS(4213),
    [anon_sym_not_eq] = ACTIONS(4213),
    [anon_sym_DASH_DASH] = ACTIONS(4213),
    [anon_sym_PLUS_PLUS] = ACTIONS(4213),
    [anon_sym_DOT] = ACTIONS(4221),
    [anon_sym_DOT_STAR] = ACTIONS(4213),
    [anon_sym_DASH_GT] = ACTIONS(4213),
    [anon_sym_L_DQUOTE] = ACTIONS(4247),
    [anon_sym_u_DQUOTE] = ACTIONS(4247),
    [anon_sym_U_DQUOTE] = ACTIONS(4247),
    [anon_sym_u8_DQUOTE] = ACTIONS(4247),
    [anon_sym_DQUOTE] = ACTIONS(4247),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(4249),
    [anon_sym_LR_DQUOTE] = ACTIONS(4249),
    [anon_sym_uR_DQUOTE] = ACTIONS(4249),
    [anon_sym_UR_DQUOTE] = ACTIONS(4249),
    [anon_sym_u8R_DQUOTE] = ACTIONS(4249),
  },
  [3321] = {
    [sym_identifier] = ACTIONS(5931),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5933),
    [anon_sym_COMMA] = ACTIONS(5933),
    [anon_sym_RPAREN] = ACTIONS(5933),
    [anon_sym_LPAREN2] = ACTIONS(5933),
    [anon_sym_DASH] = ACTIONS(5931),
    [anon_sym_PLUS] = ACTIONS(5931),
    [anon_sym_STAR] = ACTIONS(5933),
    [anon_sym_SLASH] = ACTIONS(5931),
    [anon_sym_PERCENT] = ACTIONS(5933),
    [anon_sym_PIPE_PIPE] = ACTIONS(5933),
    [anon_sym_AMP_AMP] = ACTIONS(5933),
    [anon_sym_PIPE] = ACTIONS(5931),
    [anon_sym_CARET] = ACTIONS(5933),
    [anon_sym_AMP] = ACTIONS(5931),
    [anon_sym_EQ_EQ] = ACTIONS(5933),
    [anon_sym_BANG_EQ] = ACTIONS(5933),
    [anon_sym_GT] = ACTIONS(5931),
    [anon_sym_GT_EQ] = ACTIONS(5933),
    [anon_sym_LT_EQ] = ACTIONS(5931),
    [anon_sym_LT] = ACTIONS(5931),
    [anon_sym_LT_LT] = ACTIONS(5933),
    [anon_sym_GT_GT] = ACTIONS(5933),
    [anon_sym_COLON] = ACTIONS(5933),
    [anon_sym_SEMI] = ACTIONS(5933),
    [anon_sym___extension__] = ACTIONS(5931),
    [anon_sym___attribute__] = ACTIONS(5931),
    [anon_sym___based] = ACTIONS(5931),
    [anon_sym_LBRACE] = ACTIONS(5933),
    [anon_sym_RBRACE] = ACTIONS(5933),
    [anon_sym_signed] = ACTIONS(5931),
    [anon_sym_unsigned] = ACTIONS(5931),
    [anon_sym_long] = ACTIONS(5931),
    [anon_sym_short] = ACTIONS(5931),
    [anon_sym_LBRACK] = ACTIONS(5933),
    [anon_sym_RBRACK] = ACTIONS(5933),
    [anon_sym_const] = ACTIONS(5931),
    [anon_sym_constexpr] = ACTIONS(5931),
    [anon_sym_volatile] = ACTIONS(5931),
    [anon_sym_restrict] = ACTIONS(5931),
    [anon_sym___restrict__] = ACTIONS(5931),
    [anon_sym__Atomic] = ACTIONS(5931),
    [anon_sym__Noreturn] = ACTIONS(5931),
    [anon_sym_noreturn] = ACTIONS(5931),
    [anon_sym_mutable] = ACTIONS(5931),
    [anon_sym_constinit] = ACTIONS(5931),
    [anon_sym_consteval] = ACTIONS(5931),
    [sym_primitive_type] = ACTIONS(5931),
    [anon_sym_QMARK] = ACTIONS(5933),
    [anon_sym_LT_EQ_GT] = ACTIONS(5933),
    [anon_sym_or] = ACTIONS(5931),
    [anon_sym_and] = ACTIONS(5931),
    [anon_sym_bitor] = ACTIONS(5931),
    [anon_sym_xor] = ACTIONS(5931),
    [anon_sym_bitand] = ACTIONS(5931),
    [anon_sym_not_eq] = ACTIONS(5931),
    [anon_sym_DASH_DASH] = ACTIONS(5933),
    [anon_sym_PLUS_PLUS] = ACTIONS(5933),
    [anon_sym_DOT] = ACTIONS(5931),
    [anon_sym_DOT_STAR] = ACTIONS(5933),
    [anon_sym_DASH_GT] = ACTIONS(5933),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5931),
    [anon_sym_decltype] = ACTIONS(5931),
    [anon_sym_final] = ACTIONS(5931),
    [anon_sym_override] = ACTIONS(5931),
    [anon_sym_requires] = ACTIONS(5931),
  },
  [3322] = {
    [sym_attribute_specifier] = STATE(3426),
    [sym_enumerator_list] = STATE(3339),
    [sym_identifier] = ACTIONS(6155),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6157),
    [anon_sym_COMMA] = ACTIONS(6157),
    [anon_sym_RPAREN] = ACTIONS(6157),
    [aux_sym_preproc_if_token2] = ACTIONS(6157),
    [aux_sym_preproc_else_token1] = ACTIONS(6157),
    [aux_sym_preproc_elif_token1] = ACTIONS(6155),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(6157),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(6157),
    [anon_sym_LPAREN2] = ACTIONS(6157),
    [anon_sym_DASH] = ACTIONS(6155),
    [anon_sym_PLUS] = ACTIONS(6155),
    [anon_sym_STAR] = ACTIONS(6155),
    [anon_sym_SLASH] = ACTIONS(6155),
    [anon_sym_PERCENT] = ACTIONS(6155),
    [anon_sym_PIPE_PIPE] = ACTIONS(6157),
    [anon_sym_AMP_AMP] = ACTIONS(6157),
    [anon_sym_PIPE] = ACTIONS(6155),
    [anon_sym_CARET] = ACTIONS(6155),
    [anon_sym_AMP] = ACTIONS(6155),
    [anon_sym_EQ_EQ] = ACTIONS(6157),
    [anon_sym_BANG_EQ] = ACTIONS(6157),
    [anon_sym_GT] = ACTIONS(6155),
    [anon_sym_GT_EQ] = ACTIONS(6157),
    [anon_sym_LT_EQ] = ACTIONS(6155),
    [anon_sym_LT] = ACTIONS(6155),
    [anon_sym_LT_LT] = ACTIONS(6155),
    [anon_sym_GT_GT] = ACTIONS(6155),
    [anon_sym_COLON] = ACTIONS(6157),
    [anon_sym_SEMI] = ACTIONS(6157),
    [anon_sym___attribute__] = ACTIONS(6419),
    [anon_sym_LBRACE] = ACTIONS(6584),
    [anon_sym_RBRACE] = ACTIONS(6157),
    [anon_sym_LBRACK] = ACTIONS(6157),
    [anon_sym_RBRACK] = ACTIONS(6157),
    [anon_sym_EQ] = ACTIONS(6155),
    [anon_sym_QMARK] = ACTIONS(6157),
    [anon_sym_STAR_EQ] = ACTIONS(6157),
    [anon_sym_SLASH_EQ] = ACTIONS(6157),
    [anon_sym_PERCENT_EQ] = ACTIONS(6157),
    [anon_sym_PLUS_EQ] = ACTIONS(6157),
    [anon_sym_DASH_EQ] = ACTIONS(6157),
    [anon_sym_LT_LT_EQ] = ACTIONS(6157),
    [anon_sym_GT_GT_EQ] = ACTIONS(6157),
    [anon_sym_AMP_EQ] = ACTIONS(6157),
    [anon_sym_CARET_EQ] = ACTIONS(6157),
    [anon_sym_PIPE_EQ] = ACTIONS(6157),
    [anon_sym_and_eq] = ACTIONS(6155),
    [anon_sym_or_eq] = ACTIONS(6155),
    [anon_sym_xor_eq] = ACTIONS(6155),
    [anon_sym_LT_EQ_GT] = ACTIONS(6157),
    [anon_sym_or] = ACTIONS(6155),
    [anon_sym_and] = ACTIONS(6155),
    [anon_sym_bitor] = ACTIONS(6155),
    [anon_sym_xor] = ACTIONS(6155),
    [anon_sym_bitand] = ACTIONS(6155),
    [anon_sym_not_eq] = ACTIONS(6155),
    [anon_sym_DASH_DASH] = ACTIONS(6157),
    [anon_sym_PLUS_PLUS] = ACTIONS(6157),
    [anon_sym_DOT] = ACTIONS(6155),
    [anon_sym_DOT_STAR] = ACTIONS(6157),
    [anon_sym_DASH_GT] = ACTIONS(6157),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(6155),
    [anon_sym_decltype] = ACTIONS(6155),
  },
  [3323] = {
    [sym_identifier] = ACTIONS(6041),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6043),
    [anon_sym_COMMA] = ACTIONS(6043),
    [anon_sym_RPAREN] = ACTIONS(6043),
    [anon_sym_LPAREN2] = ACTIONS(6043),
    [anon_sym_DASH] = ACTIONS(6041),
    [anon_sym_PLUS] = ACTIONS(6041),
    [anon_sym_STAR] = ACTIONS(6043),
    [anon_sym_SLASH] = ACTIONS(6041),
    [anon_sym_PERCENT] = ACTIONS(6043),
    [anon_sym_PIPE_PIPE] = ACTIONS(6043),
    [anon_sym_AMP_AMP] = ACTIONS(6043),
    [anon_sym_PIPE] = ACTIONS(6041),
    [anon_sym_CARET] = ACTIONS(6043),
    [anon_sym_AMP] = ACTIONS(6041),
    [anon_sym_EQ_EQ] = ACTIONS(6043),
    [anon_sym_BANG_EQ] = ACTIONS(6043),
    [anon_sym_GT] = ACTIONS(6041),
    [anon_sym_GT_EQ] = ACTIONS(6043),
    [anon_sym_LT_EQ] = ACTIONS(6041),
    [anon_sym_LT] = ACTIONS(6041),
    [anon_sym_LT_LT] = ACTIONS(6043),
    [anon_sym_GT_GT] = ACTIONS(6043),
    [anon_sym_COLON] = ACTIONS(6043),
    [anon_sym_SEMI] = ACTIONS(6043),
    [anon_sym___extension__] = ACTIONS(6041),
    [anon_sym___attribute__] = ACTIONS(6041),
    [anon_sym___based] = ACTIONS(6041),
    [anon_sym_LBRACE] = ACTIONS(6043),
    [anon_sym_RBRACE] = ACTIONS(6043),
    [anon_sym_signed] = ACTIONS(6041),
    [anon_sym_unsigned] = ACTIONS(6041),
    [anon_sym_long] = ACTIONS(6041),
    [anon_sym_short] = ACTIONS(6041),
    [anon_sym_LBRACK] = ACTIONS(6043),
    [anon_sym_RBRACK] = ACTIONS(6043),
    [anon_sym_const] = ACTIONS(6041),
    [anon_sym_constexpr] = ACTIONS(6041),
    [anon_sym_volatile] = ACTIONS(6041),
    [anon_sym_restrict] = ACTIONS(6041),
    [anon_sym___restrict__] = ACTIONS(6041),
    [anon_sym__Atomic] = ACTIONS(6041),
    [anon_sym__Noreturn] = ACTIONS(6041),
    [anon_sym_noreturn] = ACTIONS(6041),
    [anon_sym_mutable] = ACTIONS(6041),
    [anon_sym_constinit] = ACTIONS(6041),
    [anon_sym_consteval] = ACTIONS(6041),
    [sym_primitive_type] = ACTIONS(6041),
    [anon_sym_QMARK] = ACTIONS(6043),
    [anon_sym_LT_EQ_GT] = ACTIONS(6043),
    [anon_sym_or] = ACTIONS(6041),
    [anon_sym_and] = ACTIONS(6041),
    [anon_sym_bitor] = ACTIONS(6041),
    [anon_sym_xor] = ACTIONS(6041),
    [anon_sym_bitand] = ACTIONS(6041),
    [anon_sym_not_eq] = ACTIONS(6041),
    [anon_sym_DASH_DASH] = ACTIONS(6043),
    [anon_sym_PLUS_PLUS] = ACTIONS(6043),
    [anon_sym_DOT] = ACTIONS(6041),
    [anon_sym_DOT_STAR] = ACTIONS(6043),
    [anon_sym_DASH_GT] = ACTIONS(6043),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(6041),
    [anon_sym_decltype] = ACTIONS(6041),
    [anon_sym_final] = ACTIONS(6041),
    [anon_sym_override] = ACTIONS(6041),
    [anon_sym_requires] = ACTIONS(6041),
  },
  [3324] = {
    [sym_identifier] = ACTIONS(6159),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6161),
    [anon_sym_COMMA] = ACTIONS(6161),
    [anon_sym_RPAREN] = ACTIONS(6161),
    [anon_sym_LPAREN2] = ACTIONS(6161),
    [anon_sym_DASH] = ACTIONS(6159),
    [anon_sym_PLUS] = ACTIONS(6159),
    [anon_sym_STAR] = ACTIONS(6161),
    [anon_sym_SLASH] = ACTIONS(6159),
    [anon_sym_PERCENT] = ACTIONS(6161),
    [anon_sym_PIPE_PIPE] = ACTIONS(6161),
    [anon_sym_AMP_AMP] = ACTIONS(6161),
    [anon_sym_PIPE] = ACTIONS(6159),
    [anon_sym_CARET] = ACTIONS(6161),
    [anon_sym_AMP] = ACTIONS(6159),
    [anon_sym_EQ_EQ] = ACTIONS(6161),
    [anon_sym_BANG_EQ] = ACTIONS(6161),
    [anon_sym_GT] = ACTIONS(6159),
    [anon_sym_GT_EQ] = ACTIONS(6161),
    [anon_sym_LT_EQ] = ACTIONS(6159),
    [anon_sym_LT] = ACTIONS(6159),
    [anon_sym_LT_LT] = ACTIONS(6161),
    [anon_sym_GT_GT] = ACTIONS(6161),
    [anon_sym_COLON] = ACTIONS(6161),
    [anon_sym_SEMI] = ACTIONS(6161),
    [anon_sym___extension__] = ACTIONS(6159),
    [anon_sym___attribute__] = ACTIONS(6159),
    [anon_sym___based] = ACTIONS(6159),
    [anon_sym_LBRACE] = ACTIONS(6161),
    [anon_sym_RBRACE] = ACTIONS(6161),
    [anon_sym_signed] = ACTIONS(6159),
    [anon_sym_unsigned] = ACTIONS(6159),
    [anon_sym_long] = ACTIONS(6159),
    [anon_sym_short] = ACTIONS(6159),
    [anon_sym_LBRACK] = ACTIONS(6161),
    [anon_sym_RBRACK] = ACTIONS(6161),
    [anon_sym_const] = ACTIONS(6159),
    [anon_sym_constexpr] = ACTIONS(6159),
    [anon_sym_volatile] = ACTIONS(6159),
    [anon_sym_restrict] = ACTIONS(6159),
    [anon_sym___restrict__] = ACTIONS(6159),
    [anon_sym__Atomic] = ACTIONS(6159),
    [anon_sym__Noreturn] = ACTIONS(6159),
    [anon_sym_noreturn] = ACTIONS(6159),
    [anon_sym_mutable] = ACTIONS(6159),
    [anon_sym_constinit] = ACTIONS(6159),
    [anon_sym_consteval] = ACTIONS(6159),
    [sym_primitive_type] = ACTIONS(6159),
    [anon_sym_QMARK] = ACTIONS(6161),
    [anon_sym_LT_EQ_GT] = ACTIONS(6161),
    [anon_sym_or] = ACTIONS(6159),
    [anon_sym_and] = ACTIONS(6159),
    [anon_sym_bitor] = ACTIONS(6159),
    [anon_sym_xor] = ACTIONS(6159),
    [anon_sym_bitand] = ACTIONS(6159),
    [anon_sym_not_eq] = ACTIONS(6159),
    [anon_sym_DASH_DASH] = ACTIONS(6161),
    [anon_sym_PLUS_PLUS] = ACTIONS(6161),
    [anon_sym_DOT] = ACTIONS(6159),
    [anon_sym_DOT_STAR] = ACTIONS(6161),
    [anon_sym_DASH_GT] = ACTIONS(6161),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(6159),
    [anon_sym_decltype] = ACTIONS(6159),
    [anon_sym_final] = ACTIONS(6159),
    [anon_sym_override] = ACTIONS(6159),
    [anon_sym_requires] = ACTIONS(6159),
  },
  [3325] = {
    [sym_string_literal] = STATE(3682),
    [sym_template_argument_list] = STATE(4862),
    [sym_raw_string_literal] = STATE(3682),
    [aux_sym_structured_binding_declarator_repeat1] = STATE(8852),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4213),
    [anon_sym_COMMA] = ACTIONS(6586),
    [anon_sym_LPAREN2] = ACTIONS(4213),
    [anon_sym_DASH] = ACTIONS(4221),
    [anon_sym_PLUS] = ACTIONS(4221),
    [anon_sym_STAR] = ACTIONS(4221),
    [anon_sym_SLASH] = ACTIONS(4221),
    [anon_sym_PERCENT] = ACTIONS(4221),
    [anon_sym_PIPE_PIPE] = ACTIONS(4213),
    [anon_sym_AMP_AMP] = ACTIONS(4213),
    [anon_sym_PIPE] = ACTIONS(4221),
    [anon_sym_CARET] = ACTIONS(4221),
    [anon_sym_AMP] = ACTIONS(4221),
    [anon_sym_EQ_EQ] = ACTIONS(4213),
    [anon_sym_BANG_EQ] = ACTIONS(4213),
    [anon_sym_GT] = ACTIONS(4221),
    [anon_sym_GT_EQ] = ACTIONS(4213),
    [anon_sym_LT_EQ] = ACTIONS(4221),
    [anon_sym_LT] = ACTIONS(6488),
    [anon_sym_LT_LT] = ACTIONS(4221),
    [anon_sym_GT_GT] = ACTIONS(4221),
    [anon_sym_COLON_COLON] = ACTIONS(2230),
    [anon_sym_LBRACE] = ACTIONS(2226),
    [anon_sym_LBRACK] = ACTIONS(4213),
    [anon_sym_RBRACK] = ACTIONS(6552),
    [anon_sym_EQ] = ACTIONS(6555),
    [anon_sym_QMARK] = ACTIONS(4213),
    [anon_sym_STAR_EQ] = ACTIONS(6557),
    [anon_sym_SLASH_EQ] = ACTIONS(6557),
    [anon_sym_PERCENT_EQ] = ACTIONS(6557),
    [anon_sym_PLUS_EQ] = ACTIONS(6557),
    [anon_sym_DASH_EQ] = ACTIONS(6557),
    [anon_sym_LT_LT_EQ] = ACTIONS(6557),
    [anon_sym_GT_GT_EQ] = ACTIONS(6557),
    [anon_sym_AMP_EQ] = ACTIONS(6557),
    [anon_sym_CARET_EQ] = ACTIONS(6557),
    [anon_sym_PIPE_EQ] = ACTIONS(6557),
    [anon_sym_and_eq] = ACTIONS(6557),
    [anon_sym_or_eq] = ACTIONS(6557),
    [anon_sym_xor_eq] = ACTIONS(6557),
    [anon_sym_LT_EQ_GT] = ACTIONS(4213),
    [anon_sym_or] = ACTIONS(4221),
    [anon_sym_and] = ACTIONS(4221),
    [anon_sym_bitor] = ACTIONS(4213),
    [anon_sym_xor] = ACTIONS(4221),
    [anon_sym_bitand] = ACTIONS(4213),
    [anon_sym_not_eq] = ACTIONS(4213),
    [anon_sym_DASH_DASH] = ACTIONS(4213),
    [anon_sym_PLUS_PLUS] = ACTIONS(4213),
    [anon_sym_DOT] = ACTIONS(4221),
    [anon_sym_DOT_STAR] = ACTIONS(4213),
    [anon_sym_DASH_GT] = ACTIONS(4213),
    [anon_sym_L_DQUOTE] = ACTIONS(4247),
    [anon_sym_u_DQUOTE] = ACTIONS(4247),
    [anon_sym_U_DQUOTE] = ACTIONS(4247),
    [anon_sym_u8_DQUOTE] = ACTIONS(4247),
    [anon_sym_DQUOTE] = ACTIONS(4247),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(4249),
    [anon_sym_LR_DQUOTE] = ACTIONS(4249),
    [anon_sym_uR_DQUOTE] = ACTIONS(4249),
    [anon_sym_UR_DQUOTE] = ACTIONS(4249),
    [anon_sym_u8R_DQUOTE] = ACTIONS(4249),
  },
  [3326] = {
    [sym_string_literal] = STATE(3281),
    [sym_raw_string_literal] = STATE(3281),
    [aux_sym_concatenated_string_repeat1] = STATE(3281),
    [sym_identifier] = ACTIONS(6589),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6253),
    [anon_sym_COMMA] = ACTIONS(6253),
    [anon_sym_LPAREN2] = ACTIONS(6253),
    [anon_sym_DASH] = ACTIONS(6255),
    [anon_sym_PLUS] = ACTIONS(6255),
    [anon_sym_STAR] = ACTIONS(6255),
    [anon_sym_SLASH] = ACTIONS(6255),
    [anon_sym_PERCENT] = ACTIONS(6255),
    [anon_sym_PIPE_PIPE] = ACTIONS(6253),
    [anon_sym_AMP_AMP] = ACTIONS(6253),
    [anon_sym_PIPE] = ACTIONS(6255),
    [anon_sym_CARET] = ACTIONS(6255),
    [anon_sym_AMP] = ACTIONS(6255),
    [anon_sym_EQ_EQ] = ACTIONS(6253),
    [anon_sym_BANG_EQ] = ACTIONS(6253),
    [anon_sym_GT] = ACTIONS(6255),
    [anon_sym_GT_EQ] = ACTIONS(6253),
    [anon_sym_LT_EQ] = ACTIONS(6255),
    [anon_sym_LT] = ACTIONS(6255),
    [anon_sym_LT_LT] = ACTIONS(6255),
    [anon_sym_GT_GT] = ACTIONS(6255),
    [anon_sym_SEMI] = ACTIONS(6253),
    [anon_sym___attribute__] = ACTIONS(6255),
    [anon_sym_LBRACK] = ACTIONS(6253),
    [anon_sym_EQ] = ACTIONS(6255),
    [anon_sym_QMARK] = ACTIONS(6253),
    [anon_sym_STAR_EQ] = ACTIONS(6253),
    [anon_sym_SLASH_EQ] = ACTIONS(6253),
    [anon_sym_PERCENT_EQ] = ACTIONS(6253),
    [anon_sym_PLUS_EQ] = ACTIONS(6253),
    [anon_sym_DASH_EQ] = ACTIONS(6253),
    [anon_sym_LT_LT_EQ] = ACTIONS(6253),
    [anon_sym_GT_GT_EQ] = ACTIONS(6253),
    [anon_sym_AMP_EQ] = ACTIONS(6253),
    [anon_sym_CARET_EQ] = ACTIONS(6253),
    [anon_sym_PIPE_EQ] = ACTIONS(6253),
    [anon_sym_and_eq] = ACTIONS(6255),
    [anon_sym_or_eq] = ACTIONS(6255),
    [anon_sym_xor_eq] = ACTIONS(6255),
    [anon_sym_LT_EQ_GT] = ACTIONS(6253),
    [anon_sym_or] = ACTIONS(6255),
    [anon_sym_and] = ACTIONS(6255),
    [anon_sym_bitor] = ACTIONS(6255),
    [anon_sym_xor] = ACTIONS(6255),
    [anon_sym_bitand] = ACTIONS(6255),
    [anon_sym_not_eq] = ACTIONS(6255),
    [anon_sym_DASH_DASH] = ACTIONS(6253),
    [anon_sym_PLUS_PLUS] = ACTIONS(6253),
    [anon_sym_DOT] = ACTIONS(6255),
    [anon_sym_DOT_STAR] = ACTIONS(6253),
    [anon_sym_DASH_GT] = ACTIONS(6253),
    [anon_sym_L_DQUOTE] = ACTIONS(6528),
    [anon_sym_u_DQUOTE] = ACTIONS(6528),
    [anon_sym_U_DQUOTE] = ACTIONS(6528),
    [anon_sym_u8_DQUOTE] = ACTIONS(6528),
    [anon_sym_DQUOTE] = ACTIONS(6528),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(6530),
    [anon_sym_LR_DQUOTE] = ACTIONS(6530),
    [anon_sym_uR_DQUOTE] = ACTIONS(6530),
    [anon_sym_UR_DQUOTE] = ACTIONS(6530),
    [anon_sym_u8R_DQUOTE] = ACTIONS(6530),
    [sym_literal_suffix] = ACTIONS(6255),
  },
  [3327] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(3174),
    [sym_identifier] = ACTIONS(5840),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5943),
    [anon_sym_COMMA] = ACTIONS(5943),
    [anon_sym_RPAREN] = ACTIONS(5943),
    [anon_sym_LPAREN2] = ACTIONS(5943),
    [anon_sym_DASH] = ACTIONS(5940),
    [anon_sym_PLUS] = ACTIONS(5940),
    [anon_sym_STAR] = ACTIONS(5943),
    [anon_sym_SLASH] = ACTIONS(5940),
    [anon_sym_PERCENT] = ACTIONS(5943),
    [anon_sym_PIPE_PIPE] = ACTIONS(5943),
    [anon_sym_AMP_AMP] = ACTIONS(5943),
    [anon_sym_PIPE] = ACTIONS(5940),
    [anon_sym_CARET] = ACTIONS(5943),
    [anon_sym_AMP] = ACTIONS(5940),
    [anon_sym_EQ_EQ] = ACTIONS(5943),
    [anon_sym_BANG_EQ] = ACTIONS(5943),
    [anon_sym_GT] = ACTIONS(5940),
    [anon_sym_GT_EQ] = ACTIONS(5943),
    [anon_sym_LT_EQ] = ACTIONS(5940),
    [anon_sym_LT] = ACTIONS(5940),
    [anon_sym_LT_LT] = ACTIONS(5943),
    [anon_sym_GT_GT] = ACTIONS(5943),
    [anon_sym_COLON] = ACTIONS(5943),
    [anon_sym_SEMI] = ACTIONS(5943),
    [anon_sym___extension__] = ACTIONS(5940),
    [anon_sym___attribute__] = ACTIONS(5940),
    [anon_sym_LBRACE] = ACTIONS(5943),
    [anon_sym_RBRACE] = ACTIONS(5943),
    [anon_sym_signed] = ACTIONS(6404),
    [anon_sym_unsigned] = ACTIONS(6404),
    [anon_sym_long] = ACTIONS(6404),
    [anon_sym_short] = ACTIONS(6404),
    [anon_sym_LBRACK] = ACTIONS(5943),
    [anon_sym_RBRACK] = ACTIONS(5943),
    [anon_sym_const] = ACTIONS(5940),
    [anon_sym_constexpr] = ACTIONS(5940),
    [anon_sym_volatile] = ACTIONS(5940),
    [anon_sym_restrict] = ACTIONS(5940),
    [anon_sym___restrict__] = ACTIONS(5940),
    [anon_sym__Atomic] = ACTIONS(5940),
    [anon_sym__Noreturn] = ACTIONS(5940),
    [anon_sym_noreturn] = ACTIONS(5940),
    [anon_sym_mutable] = ACTIONS(5940),
    [anon_sym_constinit] = ACTIONS(5940),
    [anon_sym_consteval] = ACTIONS(5940),
    [sym_primitive_type] = ACTIONS(5840),
    [anon_sym_QMARK] = ACTIONS(5943),
    [anon_sym_LT_EQ_GT] = ACTIONS(5943),
    [anon_sym_or] = ACTIONS(5940),
    [anon_sym_and] = ACTIONS(5940),
    [anon_sym_bitor] = ACTIONS(5940),
    [anon_sym_xor] = ACTIONS(5940),
    [anon_sym_bitand] = ACTIONS(5940),
    [anon_sym_not_eq] = ACTIONS(5940),
    [anon_sym_DASH_DASH] = ACTIONS(5943),
    [anon_sym_PLUS_PLUS] = ACTIONS(5943),
    [anon_sym_DOT] = ACTIONS(5940),
    [anon_sym_DOT_STAR] = ACTIONS(5943),
    [anon_sym_DASH_GT] = ACTIONS(5943),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5940),
    [anon_sym_decltype] = ACTIONS(5940),
    [anon_sym_final] = ACTIONS(5940),
    [anon_sym_override] = ACTIONS(5940),
    [anon_sym_requires] = ACTIONS(5940),
  },
  [3328] = {
    [sym_string_literal] = STATE(3258),
    [sym_raw_string_literal] = STATE(3258),
    [sym_identifier] = ACTIONS(6477),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6479),
    [anon_sym_COMMA] = ACTIONS(6479),
    [aux_sym_preproc_if_token2] = ACTIONS(6479),
    [aux_sym_preproc_else_token1] = ACTIONS(6479),
    [aux_sym_preproc_elif_token1] = ACTIONS(6479),
    [anon_sym_LPAREN2] = ACTIONS(6479),
    [anon_sym_DASH] = ACTIONS(6477),
    [anon_sym_PLUS] = ACTIONS(6477),
    [anon_sym_STAR] = ACTIONS(6477),
    [anon_sym_SLASH] = ACTIONS(6477),
    [anon_sym_PERCENT] = ACTIONS(6477),
    [anon_sym_PIPE_PIPE] = ACTIONS(6479),
    [anon_sym_AMP_AMP] = ACTIONS(6479),
    [anon_sym_PIPE] = ACTIONS(6477),
    [anon_sym_CARET] = ACTIONS(6477),
    [anon_sym_AMP] = ACTIONS(6477),
    [anon_sym_EQ_EQ] = ACTIONS(6479),
    [anon_sym_BANG_EQ] = ACTIONS(6479),
    [anon_sym_GT] = ACTIONS(6477),
    [anon_sym_GT_EQ] = ACTIONS(6479),
    [anon_sym_LT_EQ] = ACTIONS(6477),
    [anon_sym_LT] = ACTIONS(6477),
    [anon_sym_LT_LT] = ACTIONS(6477),
    [anon_sym_GT_GT] = ACTIONS(6477),
    [anon_sym_LBRACK] = ACTIONS(6479),
    [anon_sym_EQ] = ACTIONS(6477),
    [anon_sym_QMARK] = ACTIONS(6479),
    [anon_sym_STAR_EQ] = ACTIONS(6479),
    [anon_sym_SLASH_EQ] = ACTIONS(6479),
    [anon_sym_PERCENT_EQ] = ACTIONS(6479),
    [anon_sym_PLUS_EQ] = ACTIONS(6479),
    [anon_sym_DASH_EQ] = ACTIONS(6479),
    [anon_sym_LT_LT_EQ] = ACTIONS(6479),
    [anon_sym_GT_GT_EQ] = ACTIONS(6479),
    [anon_sym_AMP_EQ] = ACTIONS(6479),
    [anon_sym_CARET_EQ] = ACTIONS(6479),
    [anon_sym_PIPE_EQ] = ACTIONS(6479),
    [anon_sym_and_eq] = ACTIONS(6477),
    [anon_sym_or_eq] = ACTIONS(6477),
    [anon_sym_xor_eq] = ACTIONS(6477),
    [anon_sym_LT_EQ_GT] = ACTIONS(6479),
    [anon_sym_or] = ACTIONS(6477),
    [anon_sym_and] = ACTIONS(6477),
    [anon_sym_bitor] = ACTIONS(6477),
    [anon_sym_xor] = ACTIONS(6477),
    [anon_sym_bitand] = ACTIONS(6477),
    [anon_sym_not_eq] = ACTIONS(6477),
    [anon_sym_DASH_DASH] = ACTIONS(6479),
    [anon_sym_PLUS_PLUS] = ACTIONS(6479),
    [anon_sym_DOT] = ACTIONS(6477),
    [anon_sym_DOT_STAR] = ACTIONS(6479),
    [anon_sym_DASH_GT] = ACTIONS(6479),
    [anon_sym_L_DQUOTE] = ACTIONS(4016),
    [anon_sym_u_DQUOTE] = ACTIONS(4016),
    [anon_sym_U_DQUOTE] = ACTIONS(4016),
    [anon_sym_u8_DQUOTE] = ACTIONS(4016),
    [anon_sym_DQUOTE] = ACTIONS(4016),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(4024),
    [anon_sym_LR_DQUOTE] = ACTIONS(4024),
    [anon_sym_uR_DQUOTE] = ACTIONS(4024),
    [anon_sym_UR_DQUOTE] = ACTIONS(4024),
    [anon_sym_u8R_DQUOTE] = ACTIONS(4024),
    [sym_literal_suffix] = ACTIONS(6563),
  },
  [3329] = {
    [sym_identifier] = ACTIONS(6045),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6047),
    [anon_sym_COMMA] = ACTIONS(6047),
    [anon_sym_RPAREN] = ACTIONS(6047),
    [anon_sym_LPAREN2] = ACTIONS(6047),
    [anon_sym_DASH] = ACTIONS(6045),
    [anon_sym_PLUS] = ACTIONS(6045),
    [anon_sym_STAR] = ACTIONS(6047),
    [anon_sym_SLASH] = ACTIONS(6045),
    [anon_sym_PERCENT] = ACTIONS(6047),
    [anon_sym_PIPE_PIPE] = ACTIONS(6047),
    [anon_sym_AMP_AMP] = ACTIONS(6047),
    [anon_sym_PIPE] = ACTIONS(6045),
    [anon_sym_CARET] = ACTIONS(6047),
    [anon_sym_AMP] = ACTIONS(6045),
    [anon_sym_EQ_EQ] = ACTIONS(6047),
    [anon_sym_BANG_EQ] = ACTIONS(6047),
    [anon_sym_GT] = ACTIONS(6045),
    [anon_sym_GT_EQ] = ACTIONS(6047),
    [anon_sym_LT_EQ] = ACTIONS(6045),
    [anon_sym_LT] = ACTIONS(6045),
    [anon_sym_LT_LT] = ACTIONS(6047),
    [anon_sym_GT_GT] = ACTIONS(6047),
    [anon_sym_COLON] = ACTIONS(6047),
    [anon_sym_SEMI] = ACTIONS(6047),
    [anon_sym___extension__] = ACTIONS(6045),
    [anon_sym___attribute__] = ACTIONS(6045),
    [anon_sym___based] = ACTIONS(6045),
    [anon_sym_LBRACE] = ACTIONS(6047),
    [anon_sym_RBRACE] = ACTIONS(6047),
    [anon_sym_signed] = ACTIONS(6045),
    [anon_sym_unsigned] = ACTIONS(6045),
    [anon_sym_long] = ACTIONS(6045),
    [anon_sym_short] = ACTIONS(6045),
    [anon_sym_LBRACK] = ACTIONS(6047),
    [anon_sym_RBRACK] = ACTIONS(6047),
    [anon_sym_const] = ACTIONS(6045),
    [anon_sym_constexpr] = ACTIONS(6045),
    [anon_sym_volatile] = ACTIONS(6045),
    [anon_sym_restrict] = ACTIONS(6045),
    [anon_sym___restrict__] = ACTIONS(6045),
    [anon_sym__Atomic] = ACTIONS(6045),
    [anon_sym__Noreturn] = ACTIONS(6045),
    [anon_sym_noreturn] = ACTIONS(6045),
    [anon_sym_mutable] = ACTIONS(6045),
    [anon_sym_constinit] = ACTIONS(6045),
    [anon_sym_consteval] = ACTIONS(6045),
    [sym_primitive_type] = ACTIONS(6045),
    [anon_sym_QMARK] = ACTIONS(6047),
    [anon_sym_LT_EQ_GT] = ACTIONS(6047),
    [anon_sym_or] = ACTIONS(6045),
    [anon_sym_and] = ACTIONS(6045),
    [anon_sym_bitor] = ACTIONS(6045),
    [anon_sym_xor] = ACTIONS(6045),
    [anon_sym_bitand] = ACTIONS(6045),
    [anon_sym_not_eq] = ACTIONS(6045),
    [anon_sym_DASH_DASH] = ACTIONS(6047),
    [anon_sym_PLUS_PLUS] = ACTIONS(6047),
    [anon_sym_DOT] = ACTIONS(6045),
    [anon_sym_DOT_STAR] = ACTIONS(6047),
    [anon_sym_DASH_GT] = ACTIONS(6047),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(6045),
    [anon_sym_decltype] = ACTIONS(6045),
    [anon_sym_final] = ACTIONS(6045),
    [anon_sym_override] = ACTIONS(6045),
    [anon_sym_requires] = ACTIONS(6045),
  },
  [3330] = {
    [sym_string_literal] = STATE(4451),
    [sym_template_argument_list] = STATE(4862),
    [sym_raw_string_literal] = STATE(4451),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4213),
    [anon_sym_COMMA] = ACTIONS(4213),
    [anon_sym_LPAREN2] = ACTIONS(4213),
    [anon_sym_DASH] = ACTIONS(4221),
    [anon_sym_PLUS] = ACTIONS(4221),
    [anon_sym_STAR] = ACTIONS(4221),
    [anon_sym_SLASH] = ACTIONS(4221),
    [anon_sym_PERCENT] = ACTIONS(4221),
    [anon_sym_PIPE_PIPE] = ACTIONS(4213),
    [anon_sym_AMP_AMP] = ACTIONS(4213),
    [anon_sym_PIPE] = ACTIONS(4221),
    [anon_sym_CARET] = ACTIONS(4221),
    [anon_sym_AMP] = ACTIONS(4221),
    [anon_sym_EQ_EQ] = ACTIONS(4213),
    [anon_sym_BANG_EQ] = ACTIONS(4213),
    [anon_sym_GT] = ACTIONS(4221),
    [anon_sym_GT_EQ] = ACTIONS(4213),
    [anon_sym_LT_EQ] = ACTIONS(4221),
    [anon_sym_LT] = ACTIONS(6488),
    [anon_sym_LT_LT] = ACTIONS(4221),
    [anon_sym_GT_GT] = ACTIONS(4221),
    [anon_sym_SEMI] = ACTIONS(4213),
    [anon_sym___attribute__] = ACTIONS(4213),
    [anon_sym_COLON_COLON] = ACTIONS(2230),
    [anon_sym_LBRACE] = ACTIONS(2226),
    [anon_sym_LBRACK] = ACTIONS(4213),
    [anon_sym_EQ] = ACTIONS(6591),
    [anon_sym_QMARK] = ACTIONS(4213),
    [anon_sym_STAR_EQ] = ACTIONS(6593),
    [anon_sym_SLASH_EQ] = ACTIONS(6593),
    [anon_sym_PERCENT_EQ] = ACTIONS(6593),
    [anon_sym_PLUS_EQ] = ACTIONS(6593),
    [anon_sym_DASH_EQ] = ACTIONS(6593),
    [anon_sym_LT_LT_EQ] = ACTIONS(6593),
    [anon_sym_GT_GT_EQ] = ACTIONS(6593),
    [anon_sym_AMP_EQ] = ACTIONS(6593),
    [anon_sym_CARET_EQ] = ACTIONS(6593),
    [anon_sym_PIPE_EQ] = ACTIONS(6593),
    [anon_sym_and_eq] = ACTIONS(6593),
    [anon_sym_or_eq] = ACTIONS(6593),
    [anon_sym_xor_eq] = ACTIONS(6593),
    [anon_sym_LT_EQ_GT] = ACTIONS(4213),
    [anon_sym_or] = ACTIONS(4221),
    [anon_sym_and] = ACTIONS(4221),
    [anon_sym_bitor] = ACTIONS(4213),
    [anon_sym_xor] = ACTIONS(4221),
    [anon_sym_bitand] = ACTIONS(4213),
    [anon_sym_not_eq] = ACTIONS(4213),
    [anon_sym_DASH_DASH] = ACTIONS(4213),
    [anon_sym_PLUS_PLUS] = ACTIONS(4213),
    [anon_sym_DOT] = ACTIONS(4221),
    [anon_sym_DOT_STAR] = ACTIONS(4213),
    [anon_sym_DASH_GT] = ACTIONS(4213),
    [anon_sym_L_DQUOTE] = ACTIONS(6595),
    [anon_sym_u_DQUOTE] = ACTIONS(6595),
    [anon_sym_U_DQUOTE] = ACTIONS(6595),
    [anon_sym_u8_DQUOTE] = ACTIONS(6595),
    [anon_sym_DQUOTE] = ACTIONS(6595),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(6597),
    [anon_sym_LR_DQUOTE] = ACTIONS(6597),
    [anon_sym_uR_DQUOTE] = ACTIONS(6597),
    [anon_sym_UR_DQUOTE] = ACTIONS(6597),
    [anon_sym_u8R_DQUOTE] = ACTIONS(6597),
  },
  [3331] = {
    [sym_string_literal] = STATE(3682),
    [sym_template_argument_list] = STATE(4862),
    [sym_raw_string_literal] = STATE(3682),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4213),
    [anon_sym_COMMA] = ACTIONS(4213),
    [anon_sym_LPAREN2] = ACTIONS(4213),
    [anon_sym_DASH] = ACTIONS(4221),
    [anon_sym_PLUS] = ACTIONS(4221),
    [anon_sym_STAR] = ACTIONS(4221),
    [anon_sym_SLASH] = ACTIONS(4221),
    [anon_sym_PERCENT] = ACTIONS(4221),
    [anon_sym_PIPE_PIPE] = ACTIONS(4213),
    [anon_sym_AMP_AMP] = ACTIONS(4213),
    [anon_sym_PIPE] = ACTIONS(4221),
    [anon_sym_CARET] = ACTIONS(4221),
    [anon_sym_AMP] = ACTIONS(4221),
    [anon_sym_EQ_EQ] = ACTIONS(4213),
    [anon_sym_BANG_EQ] = ACTIONS(4213),
    [anon_sym_GT] = ACTIONS(4221),
    [anon_sym_GT_EQ] = ACTIONS(4213),
    [anon_sym_LT_EQ] = ACTIONS(4221),
    [anon_sym_LT] = ACTIONS(6488),
    [anon_sym_LT_LT] = ACTIONS(4221),
    [anon_sym_GT_GT] = ACTIONS(4221),
    [anon_sym_COLON] = ACTIONS(4389),
    [anon_sym_SEMI] = ACTIONS(4213),
    [anon_sym_COLON_COLON] = ACTIONS(2230),
    [anon_sym_LBRACE] = ACTIONS(2226),
    [anon_sym_LBRACK] = ACTIONS(4213),
    [anon_sym_EQ] = ACTIONS(4243),
    [anon_sym_QMARK] = ACTIONS(4213),
    [anon_sym_STAR_EQ] = ACTIONS(4245),
    [anon_sym_SLASH_EQ] = ACTIONS(4245),
    [anon_sym_PERCENT_EQ] = ACTIONS(4245),
    [anon_sym_PLUS_EQ] = ACTIONS(4245),
    [anon_sym_DASH_EQ] = ACTIONS(4245),
    [anon_sym_LT_LT_EQ] = ACTIONS(4245),
    [anon_sym_GT_GT_EQ] = ACTIONS(4245),
    [anon_sym_AMP_EQ] = ACTIONS(4245),
    [anon_sym_CARET_EQ] = ACTIONS(4245),
    [anon_sym_PIPE_EQ] = ACTIONS(4245),
    [anon_sym_and_eq] = ACTIONS(4245),
    [anon_sym_or_eq] = ACTIONS(4245),
    [anon_sym_xor_eq] = ACTIONS(4245),
    [anon_sym_LT_EQ_GT] = ACTIONS(4213),
    [anon_sym_or] = ACTIONS(4221),
    [anon_sym_and] = ACTIONS(4221),
    [anon_sym_bitor] = ACTIONS(4213),
    [anon_sym_xor] = ACTIONS(4221),
    [anon_sym_bitand] = ACTIONS(4213),
    [anon_sym_not_eq] = ACTIONS(4213),
    [anon_sym_DASH_DASH] = ACTIONS(4213),
    [anon_sym_PLUS_PLUS] = ACTIONS(4213),
    [anon_sym_DOT] = ACTIONS(4221),
    [anon_sym_DOT_STAR] = ACTIONS(4213),
    [anon_sym_DASH_GT] = ACTIONS(4213),
    [anon_sym_L_DQUOTE] = ACTIONS(4247),
    [anon_sym_u_DQUOTE] = ACTIONS(4247),
    [anon_sym_U_DQUOTE] = ACTIONS(4247),
    [anon_sym_u8_DQUOTE] = ACTIONS(4247),
    [anon_sym_DQUOTE] = ACTIONS(4247),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(4249),
    [anon_sym_LR_DQUOTE] = ACTIONS(4249),
    [anon_sym_uR_DQUOTE] = ACTIONS(4249),
    [anon_sym_UR_DQUOTE] = ACTIONS(4249),
    [anon_sym_u8R_DQUOTE] = ACTIONS(4249),
  },
  [3332] = {
    [sym_string_literal] = STATE(3682),
    [sym_template_argument_list] = STATE(4862),
    [sym_raw_string_literal] = STATE(3682),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4213),
    [anon_sym_COMMA] = ACTIONS(4213),
    [anon_sym_LPAREN2] = ACTIONS(4213),
    [anon_sym_DASH] = ACTIONS(4221),
    [anon_sym_PLUS] = ACTIONS(4221),
    [anon_sym_STAR] = ACTIONS(4221),
    [anon_sym_SLASH] = ACTIONS(4221),
    [anon_sym_PERCENT] = ACTIONS(4221),
    [anon_sym_PIPE_PIPE] = ACTIONS(4213),
    [anon_sym_AMP_AMP] = ACTIONS(4213),
    [anon_sym_PIPE] = ACTIONS(4221),
    [anon_sym_CARET] = ACTIONS(4221),
    [anon_sym_AMP] = ACTIONS(4221),
    [anon_sym_EQ_EQ] = ACTIONS(4213),
    [anon_sym_BANG_EQ] = ACTIONS(4213),
    [anon_sym_GT] = ACTIONS(4221),
    [anon_sym_GT_EQ] = ACTIONS(4213),
    [anon_sym_LT_EQ] = ACTIONS(4221),
    [anon_sym_LT] = ACTIONS(6488),
    [anon_sym_LT_LT] = ACTIONS(4221),
    [anon_sym_GT_GT] = ACTIONS(4221),
    [anon_sym_COLON] = ACTIONS(4359),
    [anon_sym_SEMI] = ACTIONS(4213),
    [anon_sym_COLON_COLON] = ACTIONS(2230),
    [anon_sym_LBRACE] = ACTIONS(2226),
    [anon_sym_LBRACK] = ACTIONS(4213),
    [anon_sym_EQ] = ACTIONS(4243),
    [anon_sym_QMARK] = ACTIONS(4213),
    [anon_sym_STAR_EQ] = ACTIONS(4245),
    [anon_sym_SLASH_EQ] = ACTIONS(4245),
    [anon_sym_PERCENT_EQ] = ACTIONS(4245),
    [anon_sym_PLUS_EQ] = ACTIONS(4245),
    [anon_sym_DASH_EQ] = ACTIONS(4245),
    [anon_sym_LT_LT_EQ] = ACTIONS(4245),
    [anon_sym_GT_GT_EQ] = ACTIONS(4245),
    [anon_sym_AMP_EQ] = ACTIONS(4245),
    [anon_sym_CARET_EQ] = ACTIONS(4245),
    [anon_sym_PIPE_EQ] = ACTIONS(4245),
    [anon_sym_and_eq] = ACTIONS(4245),
    [anon_sym_or_eq] = ACTIONS(4245),
    [anon_sym_xor_eq] = ACTIONS(4245),
    [anon_sym_LT_EQ_GT] = ACTIONS(4213),
    [anon_sym_or] = ACTIONS(4221),
    [anon_sym_and] = ACTIONS(4221),
    [anon_sym_bitor] = ACTIONS(4213),
    [anon_sym_xor] = ACTIONS(4221),
    [anon_sym_bitand] = ACTIONS(4213),
    [anon_sym_not_eq] = ACTIONS(4213),
    [anon_sym_DASH_DASH] = ACTIONS(4213),
    [anon_sym_PLUS_PLUS] = ACTIONS(4213),
    [anon_sym_DOT] = ACTIONS(4221),
    [anon_sym_DOT_STAR] = ACTIONS(4213),
    [anon_sym_DASH_GT] = ACTIONS(4213),
    [anon_sym_L_DQUOTE] = ACTIONS(4247),
    [anon_sym_u_DQUOTE] = ACTIONS(4247),
    [anon_sym_U_DQUOTE] = ACTIONS(4247),
    [anon_sym_u8_DQUOTE] = ACTIONS(4247),
    [anon_sym_DQUOTE] = ACTIONS(4247),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(4249),
    [anon_sym_LR_DQUOTE] = ACTIONS(4249),
    [anon_sym_uR_DQUOTE] = ACTIONS(4249),
    [anon_sym_UR_DQUOTE] = ACTIONS(4249),
    [anon_sym_u8R_DQUOTE] = ACTIONS(4249),
  },
  [3333] = {
    [sym_string_literal] = STATE(3682),
    [sym_template_argument_list] = STATE(4862),
    [sym_raw_string_literal] = STATE(3682),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4213),
    [anon_sym_COMMA] = ACTIONS(4213),
    [anon_sym_LPAREN2] = ACTIONS(4213),
    [anon_sym_DASH] = ACTIONS(4221),
    [anon_sym_PLUS] = ACTIONS(4221),
    [anon_sym_STAR] = ACTIONS(4221),
    [anon_sym_SLASH] = ACTIONS(4221),
    [anon_sym_PERCENT] = ACTIONS(4221),
    [anon_sym_PIPE_PIPE] = ACTIONS(4213),
    [anon_sym_AMP_AMP] = ACTIONS(4213),
    [anon_sym_PIPE] = ACTIONS(4221),
    [anon_sym_CARET] = ACTIONS(4221),
    [anon_sym_AMP] = ACTIONS(4221),
    [anon_sym_EQ_EQ] = ACTIONS(4213),
    [anon_sym_BANG_EQ] = ACTIONS(4213),
    [anon_sym_GT] = ACTIONS(4221),
    [anon_sym_GT_EQ] = ACTIONS(4213),
    [anon_sym_LT_EQ] = ACTIONS(4221),
    [anon_sym_LT] = ACTIONS(6488),
    [anon_sym_LT_LT] = ACTIONS(4221),
    [anon_sym_GT_GT] = ACTIONS(4221),
    [anon_sym_COLON] = ACTIONS(4329),
    [anon_sym_SEMI] = ACTIONS(4213),
    [anon_sym_COLON_COLON] = ACTIONS(2230),
    [anon_sym_LBRACE] = ACTIONS(2226),
    [anon_sym_LBRACK] = ACTIONS(4213),
    [anon_sym_EQ] = ACTIONS(4243),
    [anon_sym_QMARK] = ACTIONS(4213),
    [anon_sym_STAR_EQ] = ACTIONS(4245),
    [anon_sym_SLASH_EQ] = ACTIONS(4245),
    [anon_sym_PERCENT_EQ] = ACTIONS(4245),
    [anon_sym_PLUS_EQ] = ACTIONS(4245),
    [anon_sym_DASH_EQ] = ACTIONS(4245),
    [anon_sym_LT_LT_EQ] = ACTIONS(4245),
    [anon_sym_GT_GT_EQ] = ACTIONS(4245),
    [anon_sym_AMP_EQ] = ACTIONS(4245),
    [anon_sym_CARET_EQ] = ACTIONS(4245),
    [anon_sym_PIPE_EQ] = ACTIONS(4245),
    [anon_sym_and_eq] = ACTIONS(4245),
    [anon_sym_or_eq] = ACTIONS(4245),
    [anon_sym_xor_eq] = ACTIONS(4245),
    [anon_sym_LT_EQ_GT] = ACTIONS(4213),
    [anon_sym_or] = ACTIONS(4221),
    [anon_sym_and] = ACTIONS(4221),
    [anon_sym_bitor] = ACTIONS(4213),
    [anon_sym_xor] = ACTIONS(4221),
    [anon_sym_bitand] = ACTIONS(4213),
    [anon_sym_not_eq] = ACTIONS(4213),
    [anon_sym_DASH_DASH] = ACTIONS(4213),
    [anon_sym_PLUS_PLUS] = ACTIONS(4213),
    [anon_sym_DOT] = ACTIONS(4221),
    [anon_sym_DOT_STAR] = ACTIONS(4213),
    [anon_sym_DASH_GT] = ACTIONS(4213),
    [anon_sym_L_DQUOTE] = ACTIONS(4247),
    [anon_sym_u_DQUOTE] = ACTIONS(4247),
    [anon_sym_U_DQUOTE] = ACTIONS(4247),
    [anon_sym_u8_DQUOTE] = ACTIONS(4247),
    [anon_sym_DQUOTE] = ACTIONS(4247),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(4249),
    [anon_sym_LR_DQUOTE] = ACTIONS(4249),
    [anon_sym_uR_DQUOTE] = ACTIONS(4249),
    [anon_sym_UR_DQUOTE] = ACTIONS(4249),
    [anon_sym_u8R_DQUOTE] = ACTIONS(4249),
  },
  [3334] = {
    [sym_attribute_specifier] = STATE(3432),
    [sym_enumerator_list] = STATE(3340),
    [sym_identifier] = ACTIONS(6077),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6079),
    [anon_sym_COMMA] = ACTIONS(6079),
    [anon_sym_RPAREN] = ACTIONS(6079),
    [aux_sym_preproc_if_token2] = ACTIONS(6079),
    [aux_sym_preproc_else_token1] = ACTIONS(6079),
    [aux_sym_preproc_elif_token1] = ACTIONS(6077),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(6079),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(6079),
    [anon_sym_LPAREN2] = ACTIONS(6079),
    [anon_sym_DASH] = ACTIONS(6077),
    [anon_sym_PLUS] = ACTIONS(6077),
    [anon_sym_STAR] = ACTIONS(6077),
    [anon_sym_SLASH] = ACTIONS(6077),
    [anon_sym_PERCENT] = ACTIONS(6077),
    [anon_sym_PIPE_PIPE] = ACTIONS(6079),
    [anon_sym_AMP_AMP] = ACTIONS(6079),
    [anon_sym_PIPE] = ACTIONS(6077),
    [anon_sym_CARET] = ACTIONS(6077),
    [anon_sym_AMP] = ACTIONS(6077),
    [anon_sym_EQ_EQ] = ACTIONS(6079),
    [anon_sym_BANG_EQ] = ACTIONS(6079),
    [anon_sym_GT] = ACTIONS(6077),
    [anon_sym_GT_EQ] = ACTIONS(6079),
    [anon_sym_LT_EQ] = ACTIONS(6077),
    [anon_sym_LT] = ACTIONS(6077),
    [anon_sym_LT_LT] = ACTIONS(6077),
    [anon_sym_GT_GT] = ACTIONS(6077),
    [anon_sym_COLON] = ACTIONS(6079),
    [anon_sym_SEMI] = ACTIONS(6079),
    [anon_sym___attribute__] = ACTIONS(6419),
    [anon_sym_LBRACE] = ACTIONS(6584),
    [anon_sym_RBRACE] = ACTIONS(6079),
    [anon_sym_LBRACK] = ACTIONS(6079),
    [anon_sym_RBRACK] = ACTIONS(6079),
    [anon_sym_EQ] = ACTIONS(6077),
    [anon_sym_QMARK] = ACTIONS(6079),
    [anon_sym_STAR_EQ] = ACTIONS(6079),
    [anon_sym_SLASH_EQ] = ACTIONS(6079),
    [anon_sym_PERCENT_EQ] = ACTIONS(6079),
    [anon_sym_PLUS_EQ] = ACTIONS(6079),
    [anon_sym_DASH_EQ] = ACTIONS(6079),
    [anon_sym_LT_LT_EQ] = ACTIONS(6079),
    [anon_sym_GT_GT_EQ] = ACTIONS(6079),
    [anon_sym_AMP_EQ] = ACTIONS(6079),
    [anon_sym_CARET_EQ] = ACTIONS(6079),
    [anon_sym_PIPE_EQ] = ACTIONS(6079),
    [anon_sym_and_eq] = ACTIONS(6077),
    [anon_sym_or_eq] = ACTIONS(6077),
    [anon_sym_xor_eq] = ACTIONS(6077),
    [anon_sym_LT_EQ_GT] = ACTIONS(6079),
    [anon_sym_or] = ACTIONS(6077),
    [anon_sym_and] = ACTIONS(6077),
    [anon_sym_bitor] = ACTIONS(6077),
    [anon_sym_xor] = ACTIONS(6077),
    [anon_sym_bitand] = ACTIONS(6077),
    [anon_sym_not_eq] = ACTIONS(6077),
    [anon_sym_DASH_DASH] = ACTIONS(6079),
    [anon_sym_PLUS_PLUS] = ACTIONS(6079),
    [anon_sym_DOT] = ACTIONS(6077),
    [anon_sym_DOT_STAR] = ACTIONS(6079),
    [anon_sym_DASH_GT] = ACTIONS(6079),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(6077),
    [anon_sym_decltype] = ACTIONS(6077),
  },
  [3335] = {
    [sym_string_literal] = STATE(3682),
    [sym_template_argument_list] = STATE(4862),
    [sym_raw_string_literal] = STATE(3682),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4213),
    [anon_sym_COMMA] = ACTIONS(4213),
    [anon_sym_LPAREN2] = ACTIONS(4213),
    [anon_sym_DASH] = ACTIONS(4221),
    [anon_sym_PLUS] = ACTIONS(4221),
    [anon_sym_STAR] = ACTIONS(4221),
    [anon_sym_SLASH] = ACTIONS(4221),
    [anon_sym_PERCENT] = ACTIONS(4221),
    [anon_sym_PIPE_PIPE] = ACTIONS(4213),
    [anon_sym_AMP_AMP] = ACTIONS(4213),
    [anon_sym_PIPE] = ACTIONS(4221),
    [anon_sym_CARET] = ACTIONS(4221),
    [anon_sym_AMP] = ACTIONS(4221),
    [anon_sym_EQ_EQ] = ACTIONS(4213),
    [anon_sym_BANG_EQ] = ACTIONS(4213),
    [anon_sym_GT] = ACTIONS(4221),
    [anon_sym_GT_EQ] = ACTIONS(4213),
    [anon_sym_LT_EQ] = ACTIONS(4221),
    [anon_sym_LT] = ACTIONS(6488),
    [anon_sym_LT_LT] = ACTIONS(4221),
    [anon_sym_GT_GT] = ACTIONS(4221),
    [anon_sym_COLON] = ACTIONS(6599),
    [anon_sym_SEMI] = ACTIONS(4213),
    [anon_sym_COLON_COLON] = ACTIONS(2230),
    [anon_sym_LBRACE] = ACTIONS(2226),
    [anon_sym_LBRACK] = ACTIONS(4213),
    [anon_sym_EQ] = ACTIONS(4243),
    [anon_sym_QMARK] = ACTIONS(4213),
    [anon_sym_STAR_EQ] = ACTIONS(4245),
    [anon_sym_SLASH_EQ] = ACTIONS(4245),
    [anon_sym_PERCENT_EQ] = ACTIONS(4245),
    [anon_sym_PLUS_EQ] = ACTIONS(4245),
    [anon_sym_DASH_EQ] = ACTIONS(4245),
    [anon_sym_LT_LT_EQ] = ACTIONS(4245),
    [anon_sym_GT_GT_EQ] = ACTIONS(4245),
    [anon_sym_AMP_EQ] = ACTIONS(4245),
    [anon_sym_CARET_EQ] = ACTIONS(4245),
    [anon_sym_PIPE_EQ] = ACTIONS(4245),
    [anon_sym_and_eq] = ACTIONS(4245),
    [anon_sym_or_eq] = ACTIONS(4245),
    [anon_sym_xor_eq] = ACTIONS(4245),
    [anon_sym_LT_EQ_GT] = ACTIONS(4213),
    [anon_sym_or] = ACTIONS(4221),
    [anon_sym_and] = ACTIONS(4221),
    [anon_sym_bitor] = ACTIONS(4213),
    [anon_sym_xor] = ACTIONS(4221),
    [anon_sym_bitand] = ACTIONS(4213),
    [anon_sym_not_eq] = ACTIONS(4213),
    [anon_sym_DASH_DASH] = ACTIONS(4213),
    [anon_sym_PLUS_PLUS] = ACTIONS(4213),
    [anon_sym_DOT] = ACTIONS(4221),
    [anon_sym_DOT_STAR] = ACTIONS(4213),
    [anon_sym_DASH_GT] = ACTIONS(4213),
    [anon_sym_L_DQUOTE] = ACTIONS(4247),
    [anon_sym_u_DQUOTE] = ACTIONS(4247),
    [anon_sym_U_DQUOTE] = ACTIONS(4247),
    [anon_sym_u8_DQUOTE] = ACTIONS(4247),
    [anon_sym_DQUOTE] = ACTIONS(4247),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(4249),
    [anon_sym_LR_DQUOTE] = ACTIONS(4249),
    [anon_sym_uR_DQUOTE] = ACTIONS(4249),
    [anon_sym_UR_DQUOTE] = ACTIONS(4249),
    [anon_sym_u8R_DQUOTE] = ACTIONS(4249),
  },
  [3336] = {
    [sym_attribute_specifier] = STATE(3461),
    [sym_identifier] = ACTIONS(6181),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6183),
    [anon_sym_COMMA] = ACTIONS(6183),
    [anon_sym_RPAREN] = ACTIONS(6183),
    [aux_sym_preproc_if_token2] = ACTIONS(6183),
    [aux_sym_preproc_else_token1] = ACTIONS(6183),
    [aux_sym_preproc_elif_token1] = ACTIONS(6181),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(6183),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(6183),
    [anon_sym_LPAREN2] = ACTIONS(6183),
    [anon_sym_DASH] = ACTIONS(6181),
    [anon_sym_PLUS] = ACTIONS(6181),
    [anon_sym_STAR] = ACTIONS(6181),
    [anon_sym_SLASH] = ACTIONS(6181),
    [anon_sym_PERCENT] = ACTIONS(6181),
    [anon_sym_PIPE_PIPE] = ACTIONS(6183),
    [anon_sym_AMP_AMP] = ACTIONS(6183),
    [anon_sym_PIPE] = ACTIONS(6181),
    [anon_sym_CARET] = ACTIONS(6181),
    [anon_sym_AMP] = ACTIONS(6181),
    [anon_sym_EQ_EQ] = ACTIONS(6183),
    [anon_sym_BANG_EQ] = ACTIONS(6183),
    [anon_sym_GT] = ACTIONS(6181),
    [anon_sym_GT_EQ] = ACTIONS(6183),
    [anon_sym_LT_EQ] = ACTIONS(6181),
    [anon_sym_LT] = ACTIONS(6181),
    [anon_sym_LT_LT] = ACTIONS(6181),
    [anon_sym_GT_GT] = ACTIONS(6181),
    [anon_sym_COLON] = ACTIONS(6183),
    [anon_sym_SEMI] = ACTIONS(6183),
    [anon_sym___attribute__] = ACTIONS(6419),
    [anon_sym_LBRACE] = ACTIONS(6183),
    [anon_sym_RBRACE] = ACTIONS(6183),
    [anon_sym_LBRACK] = ACTIONS(6183),
    [anon_sym_RBRACK] = ACTIONS(6183),
    [anon_sym_EQ] = ACTIONS(6181),
    [anon_sym_QMARK] = ACTIONS(6183),
    [anon_sym_STAR_EQ] = ACTIONS(6183),
    [anon_sym_SLASH_EQ] = ACTIONS(6183),
    [anon_sym_PERCENT_EQ] = ACTIONS(6183),
    [anon_sym_PLUS_EQ] = ACTIONS(6183),
    [anon_sym_DASH_EQ] = ACTIONS(6183),
    [anon_sym_LT_LT_EQ] = ACTIONS(6183),
    [anon_sym_GT_GT_EQ] = ACTIONS(6183),
    [anon_sym_AMP_EQ] = ACTIONS(6183),
    [anon_sym_CARET_EQ] = ACTIONS(6183),
    [anon_sym_PIPE_EQ] = ACTIONS(6183),
    [anon_sym_and_eq] = ACTIONS(6181),
    [anon_sym_or_eq] = ACTIONS(6181),
    [anon_sym_xor_eq] = ACTIONS(6181),
    [anon_sym_LT_EQ_GT] = ACTIONS(6183),
    [anon_sym_or] = ACTIONS(6181),
    [anon_sym_and] = ACTIONS(6181),
    [anon_sym_bitor] = ACTIONS(6181),
    [anon_sym_xor] = ACTIONS(6181),
    [anon_sym_bitand] = ACTIONS(6181),
    [anon_sym_not_eq] = ACTIONS(6181),
    [anon_sym_DASH_DASH] = ACTIONS(6183),
    [anon_sym_PLUS_PLUS] = ACTIONS(6183),
    [anon_sym_DOT] = ACTIONS(6181),
    [anon_sym_DOT_STAR] = ACTIONS(6183),
    [anon_sym_DASH_GT] = ACTIONS(6183),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(6181),
    [anon_sym_decltype] = ACTIONS(6181),
  },
  [3337] = {
    [sym_attribute_specifier] = STATE(3420),
    [sym_identifier] = ACTIONS(6193),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6195),
    [anon_sym_COMMA] = ACTIONS(6195),
    [anon_sym_RPAREN] = ACTIONS(6195),
    [aux_sym_preproc_if_token2] = ACTIONS(6195),
    [aux_sym_preproc_else_token1] = ACTIONS(6195),
    [aux_sym_preproc_elif_token1] = ACTIONS(6193),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(6195),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(6195),
    [anon_sym_LPAREN2] = ACTIONS(6195),
    [anon_sym_DASH] = ACTIONS(6193),
    [anon_sym_PLUS] = ACTIONS(6193),
    [anon_sym_STAR] = ACTIONS(6193),
    [anon_sym_SLASH] = ACTIONS(6193),
    [anon_sym_PERCENT] = ACTIONS(6193),
    [anon_sym_PIPE_PIPE] = ACTIONS(6195),
    [anon_sym_AMP_AMP] = ACTIONS(6195),
    [anon_sym_PIPE] = ACTIONS(6193),
    [anon_sym_CARET] = ACTIONS(6193),
    [anon_sym_AMP] = ACTIONS(6193),
    [anon_sym_EQ_EQ] = ACTIONS(6195),
    [anon_sym_BANG_EQ] = ACTIONS(6195),
    [anon_sym_GT] = ACTIONS(6193),
    [anon_sym_GT_EQ] = ACTIONS(6195),
    [anon_sym_LT_EQ] = ACTIONS(6193),
    [anon_sym_LT] = ACTIONS(6193),
    [anon_sym_LT_LT] = ACTIONS(6193),
    [anon_sym_GT_GT] = ACTIONS(6193),
    [anon_sym_COLON] = ACTIONS(6195),
    [anon_sym_SEMI] = ACTIONS(6195),
    [anon_sym___attribute__] = ACTIONS(6419),
    [anon_sym_LBRACE] = ACTIONS(6195),
    [anon_sym_RBRACE] = ACTIONS(6195),
    [anon_sym_LBRACK] = ACTIONS(6195),
    [anon_sym_RBRACK] = ACTIONS(6195),
    [anon_sym_EQ] = ACTIONS(6193),
    [anon_sym_QMARK] = ACTIONS(6195),
    [anon_sym_STAR_EQ] = ACTIONS(6195),
    [anon_sym_SLASH_EQ] = ACTIONS(6195),
    [anon_sym_PERCENT_EQ] = ACTIONS(6195),
    [anon_sym_PLUS_EQ] = ACTIONS(6195),
    [anon_sym_DASH_EQ] = ACTIONS(6195),
    [anon_sym_LT_LT_EQ] = ACTIONS(6195),
    [anon_sym_GT_GT_EQ] = ACTIONS(6195),
    [anon_sym_AMP_EQ] = ACTIONS(6195),
    [anon_sym_CARET_EQ] = ACTIONS(6195),
    [anon_sym_PIPE_EQ] = ACTIONS(6195),
    [anon_sym_and_eq] = ACTIONS(6193),
    [anon_sym_or_eq] = ACTIONS(6193),
    [anon_sym_xor_eq] = ACTIONS(6193),
    [anon_sym_LT_EQ_GT] = ACTIONS(6195),
    [anon_sym_or] = ACTIONS(6193),
    [anon_sym_and] = ACTIONS(6193),
    [anon_sym_bitor] = ACTIONS(6193),
    [anon_sym_xor] = ACTIONS(6193),
    [anon_sym_bitand] = ACTIONS(6193),
    [anon_sym_not_eq] = ACTIONS(6193),
    [anon_sym_DASH_DASH] = ACTIONS(6195),
    [anon_sym_PLUS_PLUS] = ACTIONS(6195),
    [anon_sym_DOT] = ACTIONS(6193),
    [anon_sym_DOT_STAR] = ACTIONS(6195),
    [anon_sym_DASH_GT] = ACTIONS(6195),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(6193),
    [anon_sym_decltype] = ACTIONS(6193),
  },
  [3338] = {
    [sym_attribute_declaration] = STATE(3391),
    [sym_parameter_list] = STATE(3417),
    [aux_sym_attributed_declarator_repeat1] = STATE(3391),
    [sym_identifier] = ACTIONS(6601),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6603),
    [anon_sym_COMMA] = ACTIONS(6603),
    [anon_sym_RPAREN] = ACTIONS(6603),
    [aux_sym_preproc_if_token2] = ACTIONS(6603),
    [aux_sym_preproc_else_token1] = ACTIONS(6603),
    [aux_sym_preproc_elif_token1] = ACTIONS(6601),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(6603),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(6603),
    [anon_sym_LPAREN2] = ACTIONS(6605),
    [anon_sym_DASH] = ACTIONS(6601),
    [anon_sym_PLUS] = ACTIONS(6601),
    [anon_sym_STAR] = ACTIONS(6601),
    [anon_sym_SLASH] = ACTIONS(6601),
    [anon_sym_PERCENT] = ACTIONS(6601),
    [anon_sym_PIPE_PIPE] = ACTIONS(6603),
    [anon_sym_AMP_AMP] = ACTIONS(6603),
    [anon_sym_PIPE] = ACTIONS(6601),
    [anon_sym_CARET] = ACTIONS(6601),
    [anon_sym_AMP] = ACTIONS(6601),
    [anon_sym_EQ_EQ] = ACTIONS(6603),
    [anon_sym_BANG_EQ] = ACTIONS(6603),
    [anon_sym_GT] = ACTIONS(6601),
    [anon_sym_GT_EQ] = ACTIONS(6603),
    [anon_sym_LT_EQ] = ACTIONS(6601),
    [anon_sym_LT] = ACTIONS(6601),
    [anon_sym_LT_LT] = ACTIONS(6601),
    [anon_sym_GT_GT] = ACTIONS(6601),
    [anon_sym_COLON] = ACTIONS(6603),
    [anon_sym_SEMI] = ACTIONS(6603),
    [anon_sym___attribute__] = ACTIONS(6601),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(6607),
    [anon_sym_RBRACE] = ACTIONS(6603),
    [anon_sym_LBRACK] = ACTIONS(6609),
    [anon_sym_RBRACK] = ACTIONS(6603),
    [anon_sym_EQ] = ACTIONS(6601),
    [anon_sym_QMARK] = ACTIONS(6603),
    [anon_sym_STAR_EQ] = ACTIONS(6603),
    [anon_sym_SLASH_EQ] = ACTIONS(6603),
    [anon_sym_PERCENT_EQ] = ACTIONS(6603),
    [anon_sym_PLUS_EQ] = ACTIONS(6603),
    [anon_sym_DASH_EQ] = ACTIONS(6603),
    [anon_sym_LT_LT_EQ] = ACTIONS(6603),
    [anon_sym_GT_GT_EQ] = ACTIONS(6603),
    [anon_sym_AMP_EQ] = ACTIONS(6603),
    [anon_sym_CARET_EQ] = ACTIONS(6603),
    [anon_sym_PIPE_EQ] = ACTIONS(6603),
    [anon_sym_and_eq] = ACTIONS(6601),
    [anon_sym_or_eq] = ACTIONS(6601),
    [anon_sym_xor_eq] = ACTIONS(6601),
    [anon_sym_LT_EQ_GT] = ACTIONS(6603),
    [anon_sym_or] = ACTIONS(6601),
    [anon_sym_and] = ACTIONS(6601),
    [anon_sym_bitor] = ACTIONS(6601),
    [anon_sym_xor] = ACTIONS(6601),
    [anon_sym_bitand] = ACTIONS(6601),
    [anon_sym_not_eq] = ACTIONS(6601),
    [anon_sym_DASH_DASH] = ACTIONS(6603),
    [anon_sym_PLUS_PLUS] = ACTIONS(6603),
    [anon_sym_DOT] = ACTIONS(6601),
    [anon_sym_DOT_STAR] = ACTIONS(6603),
    [anon_sym_DASH_GT] = ACTIONS(6603),
    [sym_comment] = ACTIONS(3),
  },
  [3339] = {
    [sym_attribute_specifier] = STATE(3434),
    [sym_identifier] = ACTIONS(6224),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6226),
    [anon_sym_COMMA] = ACTIONS(6226),
    [anon_sym_RPAREN] = ACTIONS(6226),
    [aux_sym_preproc_if_token2] = ACTIONS(6226),
    [aux_sym_preproc_else_token1] = ACTIONS(6226),
    [aux_sym_preproc_elif_token1] = ACTIONS(6224),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(6226),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(6226),
    [anon_sym_LPAREN2] = ACTIONS(6226),
    [anon_sym_DASH] = ACTIONS(6224),
    [anon_sym_PLUS] = ACTIONS(6224),
    [anon_sym_STAR] = ACTIONS(6224),
    [anon_sym_SLASH] = ACTIONS(6224),
    [anon_sym_PERCENT] = ACTIONS(6224),
    [anon_sym_PIPE_PIPE] = ACTIONS(6226),
    [anon_sym_AMP_AMP] = ACTIONS(6226),
    [anon_sym_PIPE] = ACTIONS(6224),
    [anon_sym_CARET] = ACTIONS(6224),
    [anon_sym_AMP] = ACTIONS(6224),
    [anon_sym_EQ_EQ] = ACTIONS(6226),
    [anon_sym_BANG_EQ] = ACTIONS(6226),
    [anon_sym_GT] = ACTIONS(6224),
    [anon_sym_GT_EQ] = ACTIONS(6226),
    [anon_sym_LT_EQ] = ACTIONS(6224),
    [anon_sym_LT] = ACTIONS(6224),
    [anon_sym_LT_LT] = ACTIONS(6224),
    [anon_sym_GT_GT] = ACTIONS(6224),
    [anon_sym_COLON] = ACTIONS(6226),
    [anon_sym_SEMI] = ACTIONS(6226),
    [anon_sym___attribute__] = ACTIONS(6419),
    [anon_sym_LBRACE] = ACTIONS(6226),
    [anon_sym_RBRACE] = ACTIONS(6226),
    [anon_sym_LBRACK] = ACTIONS(6226),
    [anon_sym_RBRACK] = ACTIONS(6226),
    [anon_sym_EQ] = ACTIONS(6224),
    [anon_sym_QMARK] = ACTIONS(6226),
    [anon_sym_STAR_EQ] = ACTIONS(6226),
    [anon_sym_SLASH_EQ] = ACTIONS(6226),
    [anon_sym_PERCENT_EQ] = ACTIONS(6226),
    [anon_sym_PLUS_EQ] = ACTIONS(6226),
    [anon_sym_DASH_EQ] = ACTIONS(6226),
    [anon_sym_LT_LT_EQ] = ACTIONS(6226),
    [anon_sym_GT_GT_EQ] = ACTIONS(6226),
    [anon_sym_AMP_EQ] = ACTIONS(6226),
    [anon_sym_CARET_EQ] = ACTIONS(6226),
    [anon_sym_PIPE_EQ] = ACTIONS(6226),
    [anon_sym_and_eq] = ACTIONS(6224),
    [anon_sym_or_eq] = ACTIONS(6224),
    [anon_sym_xor_eq] = ACTIONS(6224),
    [anon_sym_LT_EQ_GT] = ACTIONS(6226),
    [anon_sym_or] = ACTIONS(6224),
    [anon_sym_and] = ACTIONS(6224),
    [anon_sym_bitor] = ACTIONS(6224),
    [anon_sym_xor] = ACTIONS(6224),
    [anon_sym_bitand] = ACTIONS(6224),
    [anon_sym_not_eq] = ACTIONS(6224),
    [anon_sym_DASH_DASH] = ACTIONS(6226),
    [anon_sym_PLUS_PLUS] = ACTIONS(6226),
    [anon_sym_DOT] = ACTIONS(6224),
    [anon_sym_DOT_STAR] = ACTIONS(6226),
    [anon_sym_DASH_GT] = ACTIONS(6226),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(6224),
    [anon_sym_decltype] = ACTIONS(6224),
  },
  [3340] = {
    [sym_attribute_specifier] = STATE(3380),
    [sym_identifier] = ACTIONS(6220),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6222),
    [anon_sym_COMMA] = ACTIONS(6222),
    [anon_sym_RPAREN] = ACTIONS(6222),
    [aux_sym_preproc_if_token2] = ACTIONS(6222),
    [aux_sym_preproc_else_token1] = ACTIONS(6222),
    [aux_sym_preproc_elif_token1] = ACTIONS(6220),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(6222),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(6222),
    [anon_sym_LPAREN2] = ACTIONS(6222),
    [anon_sym_DASH] = ACTIONS(6220),
    [anon_sym_PLUS] = ACTIONS(6220),
    [anon_sym_STAR] = ACTIONS(6220),
    [anon_sym_SLASH] = ACTIONS(6220),
    [anon_sym_PERCENT] = ACTIONS(6220),
    [anon_sym_PIPE_PIPE] = ACTIONS(6222),
    [anon_sym_AMP_AMP] = ACTIONS(6222),
    [anon_sym_PIPE] = ACTIONS(6220),
    [anon_sym_CARET] = ACTIONS(6220),
    [anon_sym_AMP] = ACTIONS(6220),
    [anon_sym_EQ_EQ] = ACTIONS(6222),
    [anon_sym_BANG_EQ] = ACTIONS(6222),
    [anon_sym_GT] = ACTIONS(6220),
    [anon_sym_GT_EQ] = ACTIONS(6222),
    [anon_sym_LT_EQ] = ACTIONS(6220),
    [anon_sym_LT] = ACTIONS(6220),
    [anon_sym_LT_LT] = ACTIONS(6220),
    [anon_sym_GT_GT] = ACTIONS(6220),
    [anon_sym_COLON] = ACTIONS(6222),
    [anon_sym_SEMI] = ACTIONS(6222),
    [anon_sym___attribute__] = ACTIONS(6419),
    [anon_sym_LBRACE] = ACTIONS(6222),
    [anon_sym_RBRACE] = ACTIONS(6222),
    [anon_sym_LBRACK] = ACTIONS(6222),
    [anon_sym_RBRACK] = ACTIONS(6222),
    [anon_sym_EQ] = ACTIONS(6220),
    [anon_sym_QMARK] = ACTIONS(6222),
    [anon_sym_STAR_EQ] = ACTIONS(6222),
    [anon_sym_SLASH_EQ] = ACTIONS(6222),
    [anon_sym_PERCENT_EQ] = ACTIONS(6222),
    [anon_sym_PLUS_EQ] = ACTIONS(6222),
    [anon_sym_DASH_EQ] = ACTIONS(6222),
    [anon_sym_LT_LT_EQ] = ACTIONS(6222),
    [anon_sym_GT_GT_EQ] = ACTIONS(6222),
    [anon_sym_AMP_EQ] = ACTIONS(6222),
    [anon_sym_CARET_EQ] = ACTIONS(6222),
    [anon_sym_PIPE_EQ] = ACTIONS(6222),
    [anon_sym_and_eq] = ACTIONS(6220),
    [anon_sym_or_eq] = ACTIONS(6220),
    [anon_sym_xor_eq] = ACTIONS(6220),
    [anon_sym_LT_EQ_GT] = ACTIONS(6222),
    [anon_sym_or] = ACTIONS(6220),
    [anon_sym_and] = ACTIONS(6220),
    [anon_sym_bitor] = ACTIONS(6220),
    [anon_sym_xor] = ACTIONS(6220),
    [anon_sym_bitand] = ACTIONS(6220),
    [anon_sym_not_eq] = ACTIONS(6220),
    [anon_sym_DASH_DASH] = ACTIONS(6222),
    [anon_sym_PLUS_PLUS] = ACTIONS(6222),
    [anon_sym_DOT] = ACTIONS(6220),
    [anon_sym_DOT_STAR] = ACTIONS(6222),
    [anon_sym_DASH_GT] = ACTIONS(6222),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(6220),
    [anon_sym_decltype] = ACTIONS(6220),
  },
  [3341] = {
    [sym_attribute_specifier] = STATE(3431),
    [sym_identifier] = ACTIONS(6189),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6191),
    [anon_sym_COMMA] = ACTIONS(6191),
    [anon_sym_RPAREN] = ACTIONS(6191),
    [aux_sym_preproc_if_token2] = ACTIONS(6191),
    [aux_sym_preproc_else_token1] = ACTIONS(6191),
    [aux_sym_preproc_elif_token1] = ACTIONS(6189),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(6191),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(6191),
    [anon_sym_LPAREN2] = ACTIONS(6191),
    [anon_sym_DASH] = ACTIONS(6189),
    [anon_sym_PLUS] = ACTIONS(6189),
    [anon_sym_STAR] = ACTIONS(6189),
    [anon_sym_SLASH] = ACTIONS(6189),
    [anon_sym_PERCENT] = ACTIONS(6189),
    [anon_sym_PIPE_PIPE] = ACTIONS(6191),
    [anon_sym_AMP_AMP] = ACTIONS(6191),
    [anon_sym_PIPE] = ACTIONS(6189),
    [anon_sym_CARET] = ACTIONS(6189),
    [anon_sym_AMP] = ACTIONS(6189),
    [anon_sym_EQ_EQ] = ACTIONS(6191),
    [anon_sym_BANG_EQ] = ACTIONS(6191),
    [anon_sym_GT] = ACTIONS(6189),
    [anon_sym_GT_EQ] = ACTIONS(6191),
    [anon_sym_LT_EQ] = ACTIONS(6189),
    [anon_sym_LT] = ACTIONS(6189),
    [anon_sym_LT_LT] = ACTIONS(6189),
    [anon_sym_GT_GT] = ACTIONS(6189),
    [anon_sym_COLON] = ACTIONS(6191),
    [anon_sym_SEMI] = ACTIONS(6191),
    [anon_sym___attribute__] = ACTIONS(6419),
    [anon_sym_LBRACE] = ACTIONS(6191),
    [anon_sym_RBRACE] = ACTIONS(6191),
    [anon_sym_LBRACK] = ACTIONS(6191),
    [anon_sym_RBRACK] = ACTIONS(6191),
    [anon_sym_EQ] = ACTIONS(6189),
    [anon_sym_QMARK] = ACTIONS(6191),
    [anon_sym_STAR_EQ] = ACTIONS(6191),
    [anon_sym_SLASH_EQ] = ACTIONS(6191),
    [anon_sym_PERCENT_EQ] = ACTIONS(6191),
    [anon_sym_PLUS_EQ] = ACTIONS(6191),
    [anon_sym_DASH_EQ] = ACTIONS(6191),
    [anon_sym_LT_LT_EQ] = ACTIONS(6191),
    [anon_sym_GT_GT_EQ] = ACTIONS(6191),
    [anon_sym_AMP_EQ] = ACTIONS(6191),
    [anon_sym_CARET_EQ] = ACTIONS(6191),
    [anon_sym_PIPE_EQ] = ACTIONS(6191),
    [anon_sym_and_eq] = ACTIONS(6189),
    [anon_sym_or_eq] = ACTIONS(6189),
    [anon_sym_xor_eq] = ACTIONS(6189),
    [anon_sym_LT_EQ_GT] = ACTIONS(6191),
    [anon_sym_or] = ACTIONS(6189),
    [anon_sym_and] = ACTIONS(6189),
    [anon_sym_bitor] = ACTIONS(6189),
    [anon_sym_xor] = ACTIONS(6189),
    [anon_sym_bitand] = ACTIONS(6189),
    [anon_sym_not_eq] = ACTIONS(6189),
    [anon_sym_DASH_DASH] = ACTIONS(6191),
    [anon_sym_PLUS_PLUS] = ACTIONS(6191),
    [anon_sym_DOT] = ACTIONS(6189),
    [anon_sym_DOT_STAR] = ACTIONS(6191),
    [anon_sym_DASH_GT] = ACTIONS(6191),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(6189),
    [anon_sym_decltype] = ACTIONS(6189),
  },
  [3342] = {
    [sym_string_literal] = STATE(3682),
    [sym_template_argument_list] = STATE(4862),
    [sym_raw_string_literal] = STATE(3682),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4213),
    [anon_sym_COMMA] = ACTIONS(4213),
    [anon_sym_LPAREN2] = ACTIONS(4213),
    [anon_sym_DASH] = ACTIONS(4221),
    [anon_sym_PLUS] = ACTIONS(4221),
    [anon_sym_STAR] = ACTIONS(4221),
    [anon_sym_SLASH] = ACTIONS(4221),
    [anon_sym_PERCENT] = ACTIONS(4221),
    [anon_sym_PIPE_PIPE] = ACTIONS(4213),
    [anon_sym_AMP_AMP] = ACTIONS(4213),
    [anon_sym_PIPE] = ACTIONS(4221),
    [anon_sym_CARET] = ACTIONS(4221),
    [anon_sym_AMP] = ACTIONS(4221),
    [anon_sym_EQ_EQ] = ACTIONS(4213),
    [anon_sym_BANG_EQ] = ACTIONS(4213),
    [anon_sym_GT] = ACTIONS(4221),
    [anon_sym_GT_EQ] = ACTIONS(4213),
    [anon_sym_LT_EQ] = ACTIONS(4221),
    [anon_sym_LT] = ACTIONS(6488),
    [anon_sym_LT_LT] = ACTIONS(4221),
    [anon_sym_GT_GT] = ACTIONS(4221),
    [anon_sym_COLON] = ACTIONS(4221),
    [anon_sym_COLON_COLON] = ACTIONS(2230),
    [anon_sym_LBRACE] = ACTIONS(2226),
    [anon_sym_LBRACK] = ACTIONS(4213),
    [anon_sym_EQ] = ACTIONS(6611),
    [anon_sym_QMARK] = ACTIONS(4213),
    [anon_sym_STAR_EQ] = ACTIONS(6613),
    [anon_sym_SLASH_EQ] = ACTIONS(6613),
    [anon_sym_PERCENT_EQ] = ACTIONS(6613),
    [anon_sym_PLUS_EQ] = ACTIONS(6613),
    [anon_sym_DASH_EQ] = ACTIONS(6613),
    [anon_sym_LT_LT_EQ] = ACTIONS(6613),
    [anon_sym_GT_GT_EQ] = ACTIONS(6613),
    [anon_sym_AMP_EQ] = ACTIONS(6613),
    [anon_sym_CARET_EQ] = ACTIONS(6613),
    [anon_sym_PIPE_EQ] = ACTIONS(6613),
    [anon_sym_and_eq] = ACTIONS(6613),
    [anon_sym_or_eq] = ACTIONS(6613),
    [anon_sym_xor_eq] = ACTIONS(6613),
    [anon_sym_LT_EQ_GT] = ACTIONS(4213),
    [anon_sym_or] = ACTIONS(4221),
    [anon_sym_and] = ACTIONS(4221),
    [anon_sym_bitor] = ACTIONS(4213),
    [anon_sym_xor] = ACTIONS(4221),
    [anon_sym_bitand] = ACTIONS(4213),
    [anon_sym_not_eq] = ACTIONS(4213),
    [anon_sym_DASH_DASH] = ACTIONS(4213),
    [anon_sym_PLUS_PLUS] = ACTIONS(4213),
    [anon_sym_DOT] = ACTIONS(4221),
    [anon_sym_DOT_STAR] = ACTIONS(4213),
    [anon_sym_DASH_GT] = ACTIONS(4213),
    [anon_sym_L_DQUOTE] = ACTIONS(4247),
    [anon_sym_u_DQUOTE] = ACTIONS(4247),
    [anon_sym_U_DQUOTE] = ACTIONS(4247),
    [anon_sym_u8_DQUOTE] = ACTIONS(4247),
    [anon_sym_DQUOTE] = ACTIONS(4247),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(4249),
    [anon_sym_LR_DQUOTE] = ACTIONS(4249),
    [anon_sym_uR_DQUOTE] = ACTIONS(4249),
    [anon_sym_UR_DQUOTE] = ACTIONS(4249),
    [anon_sym_u8R_DQUOTE] = ACTIONS(4249),
  },
  [3343] = {
    [sym_attribute_specifier] = STATE(3427),
    [sym_identifier] = ACTIONS(6231),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6233),
    [anon_sym_COMMA] = ACTIONS(6233),
    [anon_sym_RPAREN] = ACTIONS(6233),
    [aux_sym_preproc_if_token2] = ACTIONS(6233),
    [aux_sym_preproc_else_token1] = ACTIONS(6233),
    [aux_sym_preproc_elif_token1] = ACTIONS(6231),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(6233),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(6233),
    [anon_sym_LPAREN2] = ACTIONS(6233),
    [anon_sym_DASH] = ACTIONS(6231),
    [anon_sym_PLUS] = ACTIONS(6231),
    [anon_sym_STAR] = ACTIONS(6231),
    [anon_sym_SLASH] = ACTIONS(6231),
    [anon_sym_PERCENT] = ACTIONS(6231),
    [anon_sym_PIPE_PIPE] = ACTIONS(6233),
    [anon_sym_AMP_AMP] = ACTIONS(6233),
    [anon_sym_PIPE] = ACTIONS(6231),
    [anon_sym_CARET] = ACTIONS(6231),
    [anon_sym_AMP] = ACTIONS(6231),
    [anon_sym_EQ_EQ] = ACTIONS(6233),
    [anon_sym_BANG_EQ] = ACTIONS(6233),
    [anon_sym_GT] = ACTIONS(6231),
    [anon_sym_GT_EQ] = ACTIONS(6233),
    [anon_sym_LT_EQ] = ACTIONS(6231),
    [anon_sym_LT] = ACTIONS(6231),
    [anon_sym_LT_LT] = ACTIONS(6231),
    [anon_sym_GT_GT] = ACTIONS(6231),
    [anon_sym_COLON] = ACTIONS(6233),
    [anon_sym_SEMI] = ACTIONS(6233),
    [anon_sym___attribute__] = ACTIONS(6419),
    [anon_sym_LBRACE] = ACTIONS(6233),
    [anon_sym_RBRACE] = ACTIONS(6233),
    [anon_sym_LBRACK] = ACTIONS(6233),
    [anon_sym_RBRACK] = ACTIONS(6233),
    [anon_sym_EQ] = ACTIONS(6231),
    [anon_sym_QMARK] = ACTIONS(6233),
    [anon_sym_STAR_EQ] = ACTIONS(6233),
    [anon_sym_SLASH_EQ] = ACTIONS(6233),
    [anon_sym_PERCENT_EQ] = ACTIONS(6233),
    [anon_sym_PLUS_EQ] = ACTIONS(6233),
    [anon_sym_DASH_EQ] = ACTIONS(6233),
    [anon_sym_LT_LT_EQ] = ACTIONS(6233),
    [anon_sym_GT_GT_EQ] = ACTIONS(6233),
    [anon_sym_AMP_EQ] = ACTIONS(6233),
    [anon_sym_CARET_EQ] = ACTIONS(6233),
    [anon_sym_PIPE_EQ] = ACTIONS(6233),
    [anon_sym_and_eq] = ACTIONS(6231),
    [anon_sym_or_eq] = ACTIONS(6231),
    [anon_sym_xor_eq] = ACTIONS(6231),
    [anon_sym_LT_EQ_GT] = ACTIONS(6233),
    [anon_sym_or] = ACTIONS(6231),
    [anon_sym_and] = ACTIONS(6231),
    [anon_sym_bitor] = ACTIONS(6231),
    [anon_sym_xor] = ACTIONS(6231),
    [anon_sym_bitand] = ACTIONS(6231),
    [anon_sym_not_eq] = ACTIONS(6231),
    [anon_sym_DASH_DASH] = ACTIONS(6233),
    [anon_sym_PLUS_PLUS] = ACTIONS(6233),
    [anon_sym_DOT] = ACTIONS(6231),
    [anon_sym_DOT_STAR] = ACTIONS(6233),
    [anon_sym_DASH_GT] = ACTIONS(6233),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(6231),
    [anon_sym_decltype] = ACTIONS(6231),
  },
  [3344] = {
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6409),
    [anon_sym_COMMA] = ACTIONS(6409),
    [anon_sym_RPAREN] = ACTIONS(6409),
    [anon_sym_LPAREN2] = ACTIONS(6409),
    [anon_sym_DASH] = ACTIONS(6407),
    [anon_sym_PLUS] = ACTIONS(6407),
    [anon_sym_STAR] = ACTIONS(6407),
    [anon_sym_SLASH] = ACTIONS(6407),
    [anon_sym_PERCENT] = ACTIONS(6407),
    [anon_sym_PIPE_PIPE] = ACTIONS(6409),
    [anon_sym_AMP_AMP] = ACTIONS(6409),
    [anon_sym_PIPE] = ACTIONS(6407),
    [anon_sym_CARET] = ACTIONS(6407),
    [anon_sym_AMP] = ACTIONS(6407),
    [anon_sym_EQ_EQ] = ACTIONS(6409),
    [anon_sym_BANG_EQ] = ACTIONS(6409),
    [anon_sym_GT] = ACTIONS(6407),
    [anon_sym_GT_EQ] = ACTIONS(6409),
    [anon_sym_LT_EQ] = ACTIONS(6407),
    [anon_sym_LT] = ACTIONS(6407),
    [anon_sym_LT_LT] = ACTIONS(6407),
    [anon_sym_GT_GT] = ACTIONS(6407),
    [anon_sym_COLON] = ACTIONS(6409),
    [anon_sym_SEMI] = ACTIONS(6409),
    [anon_sym_RBRACE] = ACTIONS(6409),
    [anon_sym_LBRACK] = ACTIONS(6409),
    [anon_sym_RBRACK] = ACTIONS(6409),
    [anon_sym_EQ] = ACTIONS(6407),
    [anon_sym_QMARK] = ACTIONS(6409),
    [anon_sym_STAR_EQ] = ACTIONS(6409),
    [anon_sym_SLASH_EQ] = ACTIONS(6409),
    [anon_sym_PERCENT_EQ] = ACTIONS(6409),
    [anon_sym_PLUS_EQ] = ACTIONS(6409),
    [anon_sym_DASH_EQ] = ACTIONS(6409),
    [anon_sym_LT_LT_EQ] = ACTIONS(6409),
    [anon_sym_GT_GT_EQ] = ACTIONS(6409),
    [anon_sym_AMP_EQ] = ACTIONS(6409),
    [anon_sym_CARET_EQ] = ACTIONS(6409),
    [anon_sym_PIPE_EQ] = ACTIONS(6409),
    [anon_sym_and_eq] = ACTIONS(6407),
    [anon_sym_or_eq] = ACTIONS(6407),
    [anon_sym_xor_eq] = ACTIONS(6407),
    [anon_sym_LT_EQ_GT] = ACTIONS(6409),
    [anon_sym_or] = ACTIONS(6407),
    [anon_sym_and] = ACTIONS(6407),
    [anon_sym_bitor] = ACTIONS(6407),
    [anon_sym_xor] = ACTIONS(6407),
    [anon_sym_bitand] = ACTIONS(6407),
    [anon_sym_not_eq] = ACTIONS(6407),
    [anon_sym_DASH_DASH] = ACTIONS(6409),
    [anon_sym_PLUS_PLUS] = ACTIONS(6409),
    [anon_sym_DOT] = ACTIONS(6407),
    [anon_sym_DOT_STAR] = ACTIONS(6409),
    [anon_sym_DASH_GT] = ACTIONS(6409),
    [anon_sym_L_DQUOTE] = ACTIONS(6409),
    [anon_sym_u_DQUOTE] = ACTIONS(6409),
    [anon_sym_U_DQUOTE] = ACTIONS(6409),
    [anon_sym_u8_DQUOTE] = ACTIONS(6409),
    [anon_sym_DQUOTE] = ACTIONS(6409),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(6409),
    [anon_sym_LR_DQUOTE] = ACTIONS(6409),
    [anon_sym_uR_DQUOTE] = ACTIONS(6409),
    [anon_sym_UR_DQUOTE] = ACTIONS(6409),
    [anon_sym_u8R_DQUOTE] = ACTIONS(6409),
    [sym_literal_suffix] = ACTIONS(6407),
  },
  [3345] = {
    [sym_string_literal] = STATE(4599),
    [sym_template_argument_list] = STATE(5646),
    [sym_raw_string_literal] = STATE(4599),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4213),
    [anon_sym_COMMA] = ACTIONS(4213),
    [anon_sym_LPAREN2] = ACTIONS(4213),
    [anon_sym_DASH] = ACTIONS(4221),
    [anon_sym_PLUS] = ACTIONS(4221),
    [anon_sym_STAR] = ACTIONS(4221),
    [anon_sym_SLASH] = ACTIONS(4221),
    [anon_sym_PERCENT] = ACTIONS(4221),
    [anon_sym_PIPE_PIPE] = ACTIONS(4213),
    [anon_sym_AMP_AMP] = ACTIONS(4213),
    [anon_sym_PIPE] = ACTIONS(4221),
    [anon_sym_CARET] = ACTIONS(4221),
    [anon_sym_AMP] = ACTIONS(4221),
    [anon_sym_EQ_EQ] = ACTIONS(4213),
    [anon_sym_BANG_EQ] = ACTIONS(4213),
    [anon_sym_GT] = ACTIONS(4221),
    [anon_sym_GT_EQ] = ACTIONS(4221),
    [anon_sym_LT_EQ] = ACTIONS(4221),
    [anon_sym_LT] = ACTIONS(5819),
    [anon_sym_LT_LT] = ACTIONS(4221),
    [anon_sym_GT_GT] = ACTIONS(4221),
    [anon_sym_COLON_COLON] = ACTIONS(2230),
    [anon_sym_LBRACE] = ACTIONS(2226),
    [anon_sym_LBRACK] = ACTIONS(4213),
    [anon_sym_EQ] = ACTIONS(5824),
    [anon_sym_QMARK] = ACTIONS(4213),
    [anon_sym_STAR_EQ] = ACTIONS(5826),
    [anon_sym_SLASH_EQ] = ACTIONS(5826),
    [anon_sym_PERCENT_EQ] = ACTIONS(5826),
    [anon_sym_PLUS_EQ] = ACTIONS(5826),
    [anon_sym_DASH_EQ] = ACTIONS(5826),
    [anon_sym_LT_LT_EQ] = ACTIONS(5826),
    [anon_sym_GT_GT_EQ] = ACTIONS(5824),
    [anon_sym_AMP_EQ] = ACTIONS(5826),
    [anon_sym_CARET_EQ] = ACTIONS(5826),
    [anon_sym_PIPE_EQ] = ACTIONS(5826),
    [anon_sym_and_eq] = ACTIONS(5826),
    [anon_sym_or_eq] = ACTIONS(5826),
    [anon_sym_xor_eq] = ACTIONS(5826),
    [anon_sym_LT_EQ_GT] = ACTIONS(4213),
    [anon_sym_or] = ACTIONS(4221),
    [anon_sym_and] = ACTIONS(4221),
    [anon_sym_bitor] = ACTIONS(4213),
    [anon_sym_xor] = ACTIONS(4221),
    [anon_sym_bitand] = ACTIONS(4213),
    [anon_sym_not_eq] = ACTIONS(4213),
    [anon_sym_DASH_DASH] = ACTIONS(4213),
    [anon_sym_PLUS_PLUS] = ACTIONS(4213),
    [anon_sym_DOT] = ACTIONS(4221),
    [anon_sym_DOT_STAR] = ACTIONS(4213),
    [anon_sym_DASH_GT] = ACTIONS(4213),
    [anon_sym_L_DQUOTE] = ACTIONS(5828),
    [anon_sym_u_DQUOTE] = ACTIONS(5828),
    [anon_sym_U_DQUOTE] = ACTIONS(5828),
    [anon_sym_u8_DQUOTE] = ACTIONS(5828),
    [anon_sym_DQUOTE] = ACTIONS(5828),
    [sym_comment] = ACTIONS(3),
    [anon_sym_GT2] = ACTIONS(4213),
    [anon_sym_R_DQUOTE] = ACTIONS(5830),
    [anon_sym_LR_DQUOTE] = ACTIONS(5830),
    [anon_sym_uR_DQUOTE] = ACTIONS(5830),
    [anon_sym_UR_DQUOTE] = ACTIONS(5830),
    [anon_sym_u8R_DQUOTE] = ACTIONS(5830),
  },
  [3346] = {
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6402),
    [anon_sym_COMMA] = ACTIONS(6402),
    [anon_sym_RPAREN] = ACTIONS(6402),
    [anon_sym_LPAREN2] = ACTIONS(6402),
    [anon_sym_DASH] = ACTIONS(6400),
    [anon_sym_PLUS] = ACTIONS(6400),
    [anon_sym_STAR] = ACTIONS(6400),
    [anon_sym_SLASH] = ACTIONS(6400),
    [anon_sym_PERCENT] = ACTIONS(6400),
    [anon_sym_PIPE_PIPE] = ACTIONS(6402),
    [anon_sym_AMP_AMP] = ACTIONS(6402),
    [anon_sym_PIPE] = ACTIONS(6400),
    [anon_sym_CARET] = ACTIONS(6400),
    [anon_sym_AMP] = ACTIONS(6400),
    [anon_sym_EQ_EQ] = ACTIONS(6402),
    [anon_sym_BANG_EQ] = ACTIONS(6402),
    [anon_sym_GT] = ACTIONS(6400),
    [anon_sym_GT_EQ] = ACTIONS(6402),
    [anon_sym_LT_EQ] = ACTIONS(6400),
    [anon_sym_LT] = ACTIONS(6400),
    [anon_sym_LT_LT] = ACTIONS(6400),
    [anon_sym_GT_GT] = ACTIONS(6400),
    [anon_sym_COLON] = ACTIONS(6402),
    [anon_sym_SEMI] = ACTIONS(6402),
    [anon_sym_RBRACE] = ACTIONS(6402),
    [anon_sym_LBRACK] = ACTIONS(6402),
    [anon_sym_RBRACK] = ACTIONS(6402),
    [anon_sym_EQ] = ACTIONS(6400),
    [anon_sym_QMARK] = ACTIONS(6402),
    [anon_sym_STAR_EQ] = ACTIONS(6402),
    [anon_sym_SLASH_EQ] = ACTIONS(6402),
    [anon_sym_PERCENT_EQ] = ACTIONS(6402),
    [anon_sym_PLUS_EQ] = ACTIONS(6402),
    [anon_sym_DASH_EQ] = ACTIONS(6402),
    [anon_sym_LT_LT_EQ] = ACTIONS(6402),
    [anon_sym_GT_GT_EQ] = ACTIONS(6402),
    [anon_sym_AMP_EQ] = ACTIONS(6402),
    [anon_sym_CARET_EQ] = ACTIONS(6402),
    [anon_sym_PIPE_EQ] = ACTIONS(6402),
    [anon_sym_and_eq] = ACTIONS(6400),
    [anon_sym_or_eq] = ACTIONS(6400),
    [anon_sym_xor_eq] = ACTIONS(6400),
    [anon_sym_LT_EQ_GT] = ACTIONS(6402),
    [anon_sym_or] = ACTIONS(6400),
    [anon_sym_and] = ACTIONS(6400),
    [anon_sym_bitor] = ACTIONS(6400),
    [anon_sym_xor] = ACTIONS(6400),
    [anon_sym_bitand] = ACTIONS(6400),
    [anon_sym_not_eq] = ACTIONS(6400),
    [anon_sym_DASH_DASH] = ACTIONS(6402),
    [anon_sym_PLUS_PLUS] = ACTIONS(6402),
    [anon_sym_DOT] = ACTIONS(6400),
    [anon_sym_DOT_STAR] = ACTIONS(6402),
    [anon_sym_DASH_GT] = ACTIONS(6402),
    [anon_sym_L_DQUOTE] = ACTIONS(6402),
    [anon_sym_u_DQUOTE] = ACTIONS(6402),
    [anon_sym_U_DQUOTE] = ACTIONS(6402),
    [anon_sym_u8_DQUOTE] = ACTIONS(6402),
    [anon_sym_DQUOTE] = ACTIONS(6402),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(6402),
    [anon_sym_LR_DQUOTE] = ACTIONS(6402),
    [anon_sym_uR_DQUOTE] = ACTIONS(6402),
    [anon_sym_UR_DQUOTE] = ACTIONS(6402),
    [anon_sym_u8R_DQUOTE] = ACTIONS(6402),
    [sym_literal_suffix] = ACTIONS(6400),
  },
  [3347] = {
    [sym_attribute_specifier] = STATE(3444),
    [sym_identifier] = ACTIONS(6208),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6210),
    [anon_sym_COMMA] = ACTIONS(6210),
    [anon_sym_RPAREN] = ACTIONS(6210),
    [aux_sym_preproc_if_token2] = ACTIONS(6210),
    [aux_sym_preproc_else_token1] = ACTIONS(6210),
    [aux_sym_preproc_elif_token1] = ACTIONS(6208),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(6210),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(6210),
    [anon_sym_LPAREN2] = ACTIONS(6210),
    [anon_sym_DASH] = ACTIONS(6208),
    [anon_sym_PLUS] = ACTIONS(6208),
    [anon_sym_STAR] = ACTIONS(6208),
    [anon_sym_SLASH] = ACTIONS(6208),
    [anon_sym_PERCENT] = ACTIONS(6208),
    [anon_sym_PIPE_PIPE] = ACTIONS(6210),
    [anon_sym_AMP_AMP] = ACTIONS(6210),
    [anon_sym_PIPE] = ACTIONS(6208),
    [anon_sym_CARET] = ACTIONS(6208),
    [anon_sym_AMP] = ACTIONS(6208),
    [anon_sym_EQ_EQ] = ACTIONS(6210),
    [anon_sym_BANG_EQ] = ACTIONS(6210),
    [anon_sym_GT] = ACTIONS(6208),
    [anon_sym_GT_EQ] = ACTIONS(6210),
    [anon_sym_LT_EQ] = ACTIONS(6208),
    [anon_sym_LT] = ACTIONS(6208),
    [anon_sym_LT_LT] = ACTIONS(6208),
    [anon_sym_GT_GT] = ACTIONS(6208),
    [anon_sym_COLON] = ACTIONS(6210),
    [anon_sym_SEMI] = ACTIONS(6210),
    [anon_sym___attribute__] = ACTIONS(6419),
    [anon_sym_LBRACE] = ACTIONS(6210),
    [anon_sym_RBRACE] = ACTIONS(6210),
    [anon_sym_LBRACK] = ACTIONS(6210),
    [anon_sym_RBRACK] = ACTIONS(6210),
    [anon_sym_EQ] = ACTIONS(6208),
    [anon_sym_QMARK] = ACTIONS(6210),
    [anon_sym_STAR_EQ] = ACTIONS(6210),
    [anon_sym_SLASH_EQ] = ACTIONS(6210),
    [anon_sym_PERCENT_EQ] = ACTIONS(6210),
    [anon_sym_PLUS_EQ] = ACTIONS(6210),
    [anon_sym_DASH_EQ] = ACTIONS(6210),
    [anon_sym_LT_LT_EQ] = ACTIONS(6210),
    [anon_sym_GT_GT_EQ] = ACTIONS(6210),
    [anon_sym_AMP_EQ] = ACTIONS(6210),
    [anon_sym_CARET_EQ] = ACTIONS(6210),
    [anon_sym_PIPE_EQ] = ACTIONS(6210),
    [anon_sym_and_eq] = ACTIONS(6208),
    [anon_sym_or_eq] = ACTIONS(6208),
    [anon_sym_xor_eq] = ACTIONS(6208),
    [anon_sym_LT_EQ_GT] = ACTIONS(6210),
    [anon_sym_or] = ACTIONS(6208),
    [anon_sym_and] = ACTIONS(6208),
    [anon_sym_bitor] = ACTIONS(6208),
    [anon_sym_xor] = ACTIONS(6208),
    [anon_sym_bitand] = ACTIONS(6208),
    [anon_sym_not_eq] = ACTIONS(6208),
    [anon_sym_DASH_DASH] = ACTIONS(6210),
    [anon_sym_PLUS_PLUS] = ACTIONS(6210),
    [anon_sym_DOT] = ACTIONS(6208),
    [anon_sym_DOT_STAR] = ACTIONS(6210),
    [anon_sym_DASH_GT] = ACTIONS(6210),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(6208),
    [anon_sym_decltype] = ACTIONS(6208),
  },
  [3348] = {
    [sym_string_literal] = STATE(3361),
    [sym_raw_string_literal] = STATE(3361),
    [aux_sym_concatenated_string_repeat1] = STATE(3361),
    [sym_identifier] = ACTIONS(6615),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6241),
    [anon_sym_COMMA] = ACTIONS(6241),
    [anon_sym_LPAREN2] = ACTIONS(6241),
    [anon_sym_DASH] = ACTIONS(6243),
    [anon_sym_PLUS] = ACTIONS(6243),
    [anon_sym_STAR] = ACTIONS(6243),
    [anon_sym_SLASH] = ACTIONS(6243),
    [anon_sym_PERCENT] = ACTIONS(6243),
    [anon_sym_PIPE_PIPE] = ACTIONS(6241),
    [anon_sym_AMP_AMP] = ACTIONS(6241),
    [anon_sym_PIPE] = ACTIONS(6243),
    [anon_sym_CARET] = ACTIONS(6243),
    [anon_sym_AMP] = ACTIONS(6243),
    [anon_sym_EQ_EQ] = ACTIONS(6241),
    [anon_sym_BANG_EQ] = ACTIONS(6241),
    [anon_sym_GT] = ACTIONS(6243),
    [anon_sym_GT_EQ] = ACTIONS(6243),
    [anon_sym_LT_EQ] = ACTIONS(6243),
    [anon_sym_LT] = ACTIONS(6243),
    [anon_sym_LT_LT] = ACTIONS(6243),
    [anon_sym_GT_GT] = ACTIONS(6243),
    [anon_sym_LBRACK] = ACTIONS(6241),
    [anon_sym_EQ] = ACTIONS(6243),
    [anon_sym_QMARK] = ACTIONS(6241),
    [anon_sym_STAR_EQ] = ACTIONS(6241),
    [anon_sym_SLASH_EQ] = ACTIONS(6241),
    [anon_sym_PERCENT_EQ] = ACTIONS(6241),
    [anon_sym_PLUS_EQ] = ACTIONS(6241),
    [anon_sym_DASH_EQ] = ACTIONS(6241),
    [anon_sym_LT_LT_EQ] = ACTIONS(6241),
    [anon_sym_GT_GT_EQ] = ACTIONS(6243),
    [anon_sym_AMP_EQ] = ACTIONS(6241),
    [anon_sym_CARET_EQ] = ACTIONS(6241),
    [anon_sym_PIPE_EQ] = ACTIONS(6241),
    [anon_sym_and_eq] = ACTIONS(6243),
    [anon_sym_or_eq] = ACTIONS(6243),
    [anon_sym_xor_eq] = ACTIONS(6243),
    [anon_sym_LT_EQ_GT] = ACTIONS(6241),
    [anon_sym_or] = ACTIONS(6243),
    [anon_sym_and] = ACTIONS(6243),
    [anon_sym_bitor] = ACTIONS(6243),
    [anon_sym_xor] = ACTIONS(6243),
    [anon_sym_bitand] = ACTIONS(6243),
    [anon_sym_not_eq] = ACTIONS(6243),
    [anon_sym_DASH_DASH] = ACTIONS(6241),
    [anon_sym_PLUS_PLUS] = ACTIONS(6241),
    [anon_sym_DOT] = ACTIONS(6243),
    [anon_sym_DOT_STAR] = ACTIONS(6241),
    [anon_sym_DASH_GT] = ACTIONS(6241),
    [anon_sym_L_DQUOTE] = ACTIONS(6617),
    [anon_sym_u_DQUOTE] = ACTIONS(6617),
    [anon_sym_U_DQUOTE] = ACTIONS(6617),
    [anon_sym_u8_DQUOTE] = ACTIONS(6617),
    [anon_sym_DQUOTE] = ACTIONS(6617),
    [sym_comment] = ACTIONS(3),
    [anon_sym_GT2] = ACTIONS(6241),
    [anon_sym_R_DQUOTE] = ACTIONS(6619),
    [anon_sym_LR_DQUOTE] = ACTIONS(6619),
    [anon_sym_uR_DQUOTE] = ACTIONS(6619),
    [anon_sym_UR_DQUOTE] = ACTIONS(6619),
    [anon_sym_u8R_DQUOTE] = ACTIONS(6619),
    [sym_literal_suffix] = ACTIONS(6243),
  },
  [3349] = {
    [sym_attribute_specifier] = STATE(3446),
    [sym_identifier] = ACTIONS(6204),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6206),
    [anon_sym_COMMA] = ACTIONS(6206),
    [anon_sym_RPAREN] = ACTIONS(6206),
    [aux_sym_preproc_if_token2] = ACTIONS(6206),
    [aux_sym_preproc_else_token1] = ACTIONS(6206),
    [aux_sym_preproc_elif_token1] = ACTIONS(6204),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(6206),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(6206),
    [anon_sym_LPAREN2] = ACTIONS(6206),
    [anon_sym_DASH] = ACTIONS(6204),
    [anon_sym_PLUS] = ACTIONS(6204),
    [anon_sym_STAR] = ACTIONS(6204),
    [anon_sym_SLASH] = ACTIONS(6204),
    [anon_sym_PERCENT] = ACTIONS(6204),
    [anon_sym_PIPE_PIPE] = ACTIONS(6206),
    [anon_sym_AMP_AMP] = ACTIONS(6206),
    [anon_sym_PIPE] = ACTIONS(6204),
    [anon_sym_CARET] = ACTIONS(6204),
    [anon_sym_AMP] = ACTIONS(6204),
    [anon_sym_EQ_EQ] = ACTIONS(6206),
    [anon_sym_BANG_EQ] = ACTIONS(6206),
    [anon_sym_GT] = ACTIONS(6204),
    [anon_sym_GT_EQ] = ACTIONS(6206),
    [anon_sym_LT_EQ] = ACTIONS(6204),
    [anon_sym_LT] = ACTIONS(6204),
    [anon_sym_LT_LT] = ACTIONS(6204),
    [anon_sym_GT_GT] = ACTIONS(6204),
    [anon_sym_COLON] = ACTIONS(6206),
    [anon_sym_SEMI] = ACTIONS(6206),
    [anon_sym___attribute__] = ACTIONS(6419),
    [anon_sym_LBRACE] = ACTIONS(6206),
    [anon_sym_RBRACE] = ACTIONS(6206),
    [anon_sym_LBRACK] = ACTIONS(6206),
    [anon_sym_RBRACK] = ACTIONS(6206),
    [anon_sym_EQ] = ACTIONS(6204),
    [anon_sym_QMARK] = ACTIONS(6206),
    [anon_sym_STAR_EQ] = ACTIONS(6206),
    [anon_sym_SLASH_EQ] = ACTIONS(6206),
    [anon_sym_PERCENT_EQ] = ACTIONS(6206),
    [anon_sym_PLUS_EQ] = ACTIONS(6206),
    [anon_sym_DASH_EQ] = ACTIONS(6206),
    [anon_sym_LT_LT_EQ] = ACTIONS(6206),
    [anon_sym_GT_GT_EQ] = ACTIONS(6206),
    [anon_sym_AMP_EQ] = ACTIONS(6206),
    [anon_sym_CARET_EQ] = ACTIONS(6206),
    [anon_sym_PIPE_EQ] = ACTIONS(6206),
    [anon_sym_and_eq] = ACTIONS(6204),
    [anon_sym_or_eq] = ACTIONS(6204),
    [anon_sym_xor_eq] = ACTIONS(6204),
    [anon_sym_LT_EQ_GT] = ACTIONS(6206),
    [anon_sym_or] = ACTIONS(6204),
    [anon_sym_and] = ACTIONS(6204),
    [anon_sym_bitor] = ACTIONS(6204),
    [anon_sym_xor] = ACTIONS(6204),
    [anon_sym_bitand] = ACTIONS(6204),
    [anon_sym_not_eq] = ACTIONS(6204),
    [anon_sym_DASH_DASH] = ACTIONS(6206),
    [anon_sym_PLUS_PLUS] = ACTIONS(6206),
    [anon_sym_DOT] = ACTIONS(6204),
    [anon_sym_DOT_STAR] = ACTIONS(6206),
    [anon_sym_DASH_GT] = ACTIONS(6206),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(6204),
    [anon_sym_decltype] = ACTIONS(6204),
  },
  [3350] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(3373),
    [sym_identifier] = ACTIONS(6621),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5917),
    [anon_sym_COMMA] = ACTIONS(5917),
    [aux_sym_preproc_if_token2] = ACTIONS(5917),
    [aux_sym_preproc_else_token1] = ACTIONS(5917),
    [aux_sym_preproc_elif_token1] = ACTIONS(5919),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5917),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5917),
    [anon_sym_LPAREN2] = ACTIONS(5917),
    [anon_sym_DASH] = ACTIONS(5919),
    [anon_sym_PLUS] = ACTIONS(5919),
    [anon_sym_STAR] = ACTIONS(5919),
    [anon_sym_SLASH] = ACTIONS(5919),
    [anon_sym_PERCENT] = ACTIONS(5919),
    [anon_sym_PIPE_PIPE] = ACTIONS(5917),
    [anon_sym_AMP_AMP] = ACTIONS(5917),
    [anon_sym_PIPE] = ACTIONS(5919),
    [anon_sym_CARET] = ACTIONS(5919),
    [anon_sym_AMP] = ACTIONS(5919),
    [anon_sym_EQ_EQ] = ACTIONS(5917),
    [anon_sym_BANG_EQ] = ACTIONS(5917),
    [anon_sym_GT] = ACTIONS(5919),
    [anon_sym_GT_EQ] = ACTIONS(5917),
    [anon_sym_LT_EQ] = ACTIONS(5919),
    [anon_sym_LT] = ACTIONS(5919),
    [anon_sym_LT_LT] = ACTIONS(5919),
    [anon_sym_GT_GT] = ACTIONS(5919),
    [anon_sym___attribute__] = ACTIONS(5919),
    [anon_sym_LBRACE] = ACTIONS(5917),
    [anon_sym_signed] = ACTIONS(6624),
    [anon_sym_unsigned] = ACTIONS(6624),
    [anon_sym_long] = ACTIONS(6624),
    [anon_sym_short] = ACTIONS(6624),
    [anon_sym_LBRACK] = ACTIONS(5917),
    [anon_sym_EQ] = ACTIONS(5919),
    [sym_primitive_type] = ACTIONS(6626),
    [anon_sym_QMARK] = ACTIONS(5917),
    [anon_sym_STAR_EQ] = ACTIONS(5917),
    [anon_sym_SLASH_EQ] = ACTIONS(5917),
    [anon_sym_PERCENT_EQ] = ACTIONS(5917),
    [anon_sym_PLUS_EQ] = ACTIONS(5917),
    [anon_sym_DASH_EQ] = ACTIONS(5917),
    [anon_sym_LT_LT_EQ] = ACTIONS(5917),
    [anon_sym_GT_GT_EQ] = ACTIONS(5917),
    [anon_sym_AMP_EQ] = ACTIONS(5917),
    [anon_sym_CARET_EQ] = ACTIONS(5917),
    [anon_sym_PIPE_EQ] = ACTIONS(5917),
    [anon_sym_and_eq] = ACTIONS(5919),
    [anon_sym_or_eq] = ACTIONS(5919),
    [anon_sym_xor_eq] = ACTIONS(5919),
    [anon_sym_LT_EQ_GT] = ACTIONS(5917),
    [anon_sym_or] = ACTIONS(5919),
    [anon_sym_and] = ACTIONS(5919),
    [anon_sym_bitor] = ACTIONS(5919),
    [anon_sym_xor] = ACTIONS(5919),
    [anon_sym_bitand] = ACTIONS(5919),
    [anon_sym_not_eq] = ACTIONS(5919),
    [anon_sym_DASH_DASH] = ACTIONS(5917),
    [anon_sym_PLUS_PLUS] = ACTIONS(5917),
    [anon_sym_DOT] = ACTIONS(5919),
    [anon_sym_DOT_STAR] = ACTIONS(5917),
    [anon_sym_DASH_GT] = ACTIONS(5917),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5919),
    [anon_sym_decltype] = ACTIONS(5919),
  },
  [3351] = {
    [sym_identifier] = ACTIONS(5783),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5785),
    [anon_sym_COMMA] = ACTIONS(5785),
    [anon_sym_RPAREN] = ACTIONS(5785),
    [aux_sym_preproc_if_token2] = ACTIONS(5785),
    [aux_sym_preproc_else_token1] = ACTIONS(5785),
    [aux_sym_preproc_elif_token1] = ACTIONS(5783),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5785),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5785),
    [anon_sym_LPAREN2] = ACTIONS(5785),
    [anon_sym_DASH] = ACTIONS(5783),
    [anon_sym_PLUS] = ACTIONS(5783),
    [anon_sym_STAR] = ACTIONS(5785),
    [anon_sym_SLASH] = ACTIONS(5783),
    [anon_sym_PERCENT] = ACTIONS(5785),
    [anon_sym_PIPE_PIPE] = ACTIONS(5785),
    [anon_sym_AMP_AMP] = ACTIONS(5785),
    [anon_sym_PIPE] = ACTIONS(5783),
    [anon_sym_CARET] = ACTIONS(5785),
    [anon_sym_AMP] = ACTIONS(5783),
    [anon_sym_EQ_EQ] = ACTIONS(5785),
    [anon_sym_BANG_EQ] = ACTIONS(5785),
    [anon_sym_GT] = ACTIONS(5783),
    [anon_sym_GT_EQ] = ACTIONS(5785),
    [anon_sym_LT_EQ] = ACTIONS(5783),
    [anon_sym_LT] = ACTIONS(5783),
    [anon_sym_LT_LT] = ACTIONS(5785),
    [anon_sym_GT_GT] = ACTIONS(5785),
    [anon_sym_COLON] = ACTIONS(5785),
    [anon_sym_SEMI] = ACTIONS(5785),
    [anon_sym___extension__] = ACTIONS(5783),
    [anon_sym___attribute__] = ACTIONS(5783),
    [anon_sym_LBRACE] = ACTIONS(5785),
    [anon_sym_RBRACE] = ACTIONS(5785),
    [anon_sym_LBRACK] = ACTIONS(5785),
    [anon_sym_RBRACK] = ACTIONS(5785),
    [anon_sym_const] = ACTIONS(5783),
    [anon_sym_constexpr] = ACTIONS(5783),
    [anon_sym_volatile] = ACTIONS(5783),
    [anon_sym_restrict] = ACTIONS(5783),
    [anon_sym___restrict__] = ACTIONS(5783),
    [anon_sym__Atomic] = ACTIONS(5783),
    [anon_sym__Noreturn] = ACTIONS(5783),
    [anon_sym_noreturn] = ACTIONS(5783),
    [anon_sym_mutable] = ACTIONS(5783),
    [anon_sym_constinit] = ACTIONS(5783),
    [anon_sym_consteval] = ACTIONS(5783),
    [anon_sym_QMARK] = ACTIONS(5785),
    [anon_sym_LT_EQ_GT] = ACTIONS(5785),
    [anon_sym_or] = ACTIONS(5783),
    [anon_sym_and] = ACTIONS(5783),
    [anon_sym_bitor] = ACTIONS(5783),
    [anon_sym_xor] = ACTIONS(5783),
    [anon_sym_bitand] = ACTIONS(5783),
    [anon_sym_not_eq] = ACTIONS(5783),
    [anon_sym_DASH_DASH] = ACTIONS(5785),
    [anon_sym_PLUS_PLUS] = ACTIONS(5785),
    [anon_sym_DOT] = ACTIONS(5783),
    [anon_sym_DOT_STAR] = ACTIONS(5785),
    [anon_sym_DASH_GT] = ACTIONS(5785),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5783),
    [anon_sym_decltype] = ACTIONS(5783),
    [anon_sym_final] = ACTIONS(5783),
    [anon_sym_override] = ACTIONS(5783),
    [anon_sym_requires] = ACTIONS(5783),
  },
  [3352] = {
    [sym_identifier] = ACTIONS(5931),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5933),
    [anon_sym_COMMA] = ACTIONS(5933),
    [anon_sym_RPAREN] = ACTIONS(5933),
    [aux_sym_preproc_if_token2] = ACTIONS(5933),
    [aux_sym_preproc_else_token1] = ACTIONS(5933),
    [aux_sym_preproc_elif_token1] = ACTIONS(5931),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5933),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5933),
    [anon_sym_LPAREN2] = ACTIONS(5933),
    [anon_sym_DASH] = ACTIONS(5931),
    [anon_sym_PLUS] = ACTIONS(5931),
    [anon_sym_STAR] = ACTIONS(5931),
    [anon_sym_SLASH] = ACTIONS(5931),
    [anon_sym_PERCENT] = ACTIONS(5931),
    [anon_sym_PIPE_PIPE] = ACTIONS(5933),
    [anon_sym_AMP_AMP] = ACTIONS(5933),
    [anon_sym_PIPE] = ACTIONS(5931),
    [anon_sym_CARET] = ACTIONS(5931),
    [anon_sym_AMP] = ACTIONS(5931),
    [anon_sym_EQ_EQ] = ACTIONS(5933),
    [anon_sym_BANG_EQ] = ACTIONS(5933),
    [anon_sym_GT] = ACTIONS(5931),
    [anon_sym_GT_EQ] = ACTIONS(5933),
    [anon_sym_LT_EQ] = ACTIONS(5931),
    [anon_sym_LT] = ACTIONS(5931),
    [anon_sym_LT_LT] = ACTIONS(5931),
    [anon_sym_GT_GT] = ACTIONS(5931),
    [anon_sym_COLON] = ACTIONS(5931),
    [anon_sym_SEMI] = ACTIONS(5933),
    [anon_sym___attribute__] = ACTIONS(5931),
    [anon_sym_COLON_COLON] = ACTIONS(2262),
    [anon_sym_LBRACE] = ACTIONS(5933),
    [anon_sym_RBRACE] = ACTIONS(5933),
    [anon_sym_LBRACK] = ACTIONS(5933),
    [anon_sym_RBRACK] = ACTIONS(5933),
    [anon_sym_EQ] = ACTIONS(5931),
    [anon_sym_QMARK] = ACTIONS(5933),
    [anon_sym_STAR_EQ] = ACTIONS(5933),
    [anon_sym_SLASH_EQ] = ACTIONS(5933),
    [anon_sym_PERCENT_EQ] = ACTIONS(5933),
    [anon_sym_PLUS_EQ] = ACTIONS(5933),
    [anon_sym_DASH_EQ] = ACTIONS(5933),
    [anon_sym_LT_LT_EQ] = ACTIONS(5933),
    [anon_sym_GT_GT_EQ] = ACTIONS(5933),
    [anon_sym_AMP_EQ] = ACTIONS(5933),
    [anon_sym_CARET_EQ] = ACTIONS(5933),
    [anon_sym_PIPE_EQ] = ACTIONS(5933),
    [anon_sym_and_eq] = ACTIONS(5931),
    [anon_sym_or_eq] = ACTIONS(5931),
    [anon_sym_xor_eq] = ACTIONS(5931),
    [anon_sym_LT_EQ_GT] = ACTIONS(5933),
    [anon_sym_or] = ACTIONS(5931),
    [anon_sym_and] = ACTIONS(5931),
    [anon_sym_bitor] = ACTIONS(5931),
    [anon_sym_xor] = ACTIONS(5931),
    [anon_sym_bitand] = ACTIONS(5931),
    [anon_sym_not_eq] = ACTIONS(5931),
    [anon_sym_DASH_DASH] = ACTIONS(5933),
    [anon_sym_PLUS_PLUS] = ACTIONS(5933),
    [anon_sym_DOT] = ACTIONS(5931),
    [anon_sym_DOT_STAR] = ACTIONS(5933),
    [anon_sym_DASH_GT] = ACTIONS(5933),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5931),
    [anon_sym_decltype] = ACTIONS(5931),
  },
  [3353] = {
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6415),
    [anon_sym_COMMA] = ACTIONS(6415),
    [anon_sym_RPAREN] = ACTIONS(6415),
    [anon_sym_LPAREN2] = ACTIONS(6415),
    [anon_sym_DASH] = ACTIONS(6413),
    [anon_sym_PLUS] = ACTIONS(6413),
    [anon_sym_STAR] = ACTIONS(6413),
    [anon_sym_SLASH] = ACTIONS(6413),
    [anon_sym_PERCENT] = ACTIONS(6413),
    [anon_sym_PIPE_PIPE] = ACTIONS(6415),
    [anon_sym_AMP_AMP] = ACTIONS(6415),
    [anon_sym_PIPE] = ACTIONS(6413),
    [anon_sym_CARET] = ACTIONS(6413),
    [anon_sym_AMP] = ACTIONS(6413),
    [anon_sym_EQ_EQ] = ACTIONS(6415),
    [anon_sym_BANG_EQ] = ACTIONS(6415),
    [anon_sym_GT] = ACTIONS(6413),
    [anon_sym_GT_EQ] = ACTIONS(6415),
    [anon_sym_LT_EQ] = ACTIONS(6413),
    [anon_sym_LT] = ACTIONS(6413),
    [anon_sym_LT_LT] = ACTIONS(6413),
    [anon_sym_GT_GT] = ACTIONS(6413),
    [anon_sym_COLON] = ACTIONS(6415),
    [anon_sym_SEMI] = ACTIONS(6415),
    [anon_sym_RBRACE] = ACTIONS(6415),
    [anon_sym_LBRACK] = ACTIONS(6415),
    [anon_sym_RBRACK] = ACTIONS(6415),
    [anon_sym_EQ] = ACTIONS(6413),
    [anon_sym_QMARK] = ACTIONS(6415),
    [anon_sym_STAR_EQ] = ACTIONS(6415),
    [anon_sym_SLASH_EQ] = ACTIONS(6415),
    [anon_sym_PERCENT_EQ] = ACTIONS(6415),
    [anon_sym_PLUS_EQ] = ACTIONS(6415),
    [anon_sym_DASH_EQ] = ACTIONS(6415),
    [anon_sym_LT_LT_EQ] = ACTIONS(6415),
    [anon_sym_GT_GT_EQ] = ACTIONS(6415),
    [anon_sym_AMP_EQ] = ACTIONS(6415),
    [anon_sym_CARET_EQ] = ACTIONS(6415),
    [anon_sym_PIPE_EQ] = ACTIONS(6415),
    [anon_sym_and_eq] = ACTIONS(6413),
    [anon_sym_or_eq] = ACTIONS(6413),
    [anon_sym_xor_eq] = ACTIONS(6413),
    [anon_sym_LT_EQ_GT] = ACTIONS(6415),
    [anon_sym_or] = ACTIONS(6413),
    [anon_sym_and] = ACTIONS(6413),
    [anon_sym_bitor] = ACTIONS(6413),
    [anon_sym_xor] = ACTIONS(6413),
    [anon_sym_bitand] = ACTIONS(6413),
    [anon_sym_not_eq] = ACTIONS(6413),
    [anon_sym_DASH_DASH] = ACTIONS(6415),
    [anon_sym_PLUS_PLUS] = ACTIONS(6415),
    [anon_sym_DOT] = ACTIONS(6413),
    [anon_sym_DOT_STAR] = ACTIONS(6415),
    [anon_sym_DASH_GT] = ACTIONS(6415),
    [anon_sym_L_DQUOTE] = ACTIONS(6415),
    [anon_sym_u_DQUOTE] = ACTIONS(6415),
    [anon_sym_U_DQUOTE] = ACTIONS(6415),
    [anon_sym_u8_DQUOTE] = ACTIONS(6415),
    [anon_sym_DQUOTE] = ACTIONS(6415),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(6415),
    [anon_sym_LR_DQUOTE] = ACTIONS(6415),
    [anon_sym_uR_DQUOTE] = ACTIONS(6415),
    [anon_sym_UR_DQUOTE] = ACTIONS(6415),
    [anon_sym_u8R_DQUOTE] = ACTIONS(6415),
    [sym_literal_suffix] = ACTIONS(6413),
  },
  [3354] = {
    [sym_template_argument_list] = STATE(3233),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3392),
    [sym_identifier] = ACTIONS(4211),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4219),
    [anon_sym_COMMA] = ACTIONS(4219),
    [aux_sym_preproc_if_token2] = ACTIONS(4219),
    [aux_sym_preproc_else_token1] = ACTIONS(4219),
    [aux_sym_preproc_elif_token1] = ACTIONS(4211),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4219),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4219),
    [anon_sym_LPAREN2] = ACTIONS(4219),
    [anon_sym_DASH] = ACTIONS(4211),
    [anon_sym_PLUS] = ACTIONS(4211),
    [anon_sym_STAR] = ACTIONS(4211),
    [anon_sym_SLASH] = ACTIONS(4211),
    [anon_sym_PERCENT] = ACTIONS(4211),
    [anon_sym_PIPE_PIPE] = ACTIONS(4219),
    [anon_sym_AMP_AMP] = ACTIONS(4219),
    [anon_sym_PIPE] = ACTIONS(4211),
    [anon_sym_CARET] = ACTIONS(4211),
    [anon_sym_AMP] = ACTIONS(4211),
    [anon_sym_EQ_EQ] = ACTIONS(4219),
    [anon_sym_BANG_EQ] = ACTIONS(4219),
    [anon_sym_GT] = ACTIONS(4211),
    [anon_sym_GT_EQ] = ACTIONS(4219),
    [anon_sym_LT_EQ] = ACTIONS(4211),
    [anon_sym_LT] = ACTIONS(6475),
    [anon_sym_LT_LT] = ACTIONS(4211),
    [anon_sym_GT_GT] = ACTIONS(4211),
    [anon_sym_COLON_COLON] = ACTIONS(2230),
    [anon_sym_LBRACE] = ACTIONS(4219),
    [anon_sym_signed] = ACTIONS(6582),
    [anon_sym_unsigned] = ACTIONS(6582),
    [anon_sym_long] = ACTIONS(6582),
    [anon_sym_short] = ACTIONS(6582),
    [anon_sym_LBRACK] = ACTIONS(4219),
    [anon_sym_EQ] = ACTIONS(4211),
    [anon_sym_QMARK] = ACTIONS(4219),
    [anon_sym_STAR_EQ] = ACTIONS(4219),
    [anon_sym_SLASH_EQ] = ACTIONS(4219),
    [anon_sym_PERCENT_EQ] = ACTIONS(4219),
    [anon_sym_PLUS_EQ] = ACTIONS(4219),
    [anon_sym_DASH_EQ] = ACTIONS(4219),
    [anon_sym_LT_LT_EQ] = ACTIONS(4219),
    [anon_sym_GT_GT_EQ] = ACTIONS(4219),
    [anon_sym_AMP_EQ] = ACTIONS(4219),
    [anon_sym_CARET_EQ] = ACTIONS(4219),
    [anon_sym_PIPE_EQ] = ACTIONS(4219),
    [anon_sym_and_eq] = ACTIONS(4211),
    [anon_sym_or_eq] = ACTIONS(4211),
    [anon_sym_xor_eq] = ACTIONS(4211),
    [anon_sym_LT_EQ_GT] = ACTIONS(4219),
    [anon_sym_or] = ACTIONS(4211),
    [anon_sym_and] = ACTIONS(4211),
    [anon_sym_bitor] = ACTIONS(4211),
    [anon_sym_xor] = ACTIONS(4211),
    [anon_sym_bitand] = ACTIONS(4211),
    [anon_sym_not_eq] = ACTIONS(4211),
    [anon_sym_DASH_DASH] = ACTIONS(4219),
    [anon_sym_PLUS_PLUS] = ACTIONS(4219),
    [anon_sym_DOT] = ACTIONS(4211),
    [anon_sym_DOT_STAR] = ACTIONS(4219),
    [anon_sym_DASH_GT] = ACTIONS(4219),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4211),
    [anon_sym_decltype] = ACTIONS(4211),
  },
  [3355] = {
    [sym_template_argument_list] = STATE(3203),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3469),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5898),
    [anon_sym_COMMA] = ACTIONS(5898),
    [anon_sym_RPAREN] = ACTIONS(5898),
    [anon_sym_LPAREN2] = ACTIONS(5898),
    [anon_sym_DASH] = ACTIONS(5896),
    [anon_sym_PLUS] = ACTIONS(5896),
    [anon_sym_STAR] = ACTIONS(5896),
    [anon_sym_SLASH] = ACTIONS(5896),
    [anon_sym_PERCENT] = ACTIONS(5896),
    [anon_sym_PIPE_PIPE] = ACTIONS(5898),
    [anon_sym_AMP_AMP] = ACTIONS(5898),
    [anon_sym_PIPE] = ACTIONS(5896),
    [anon_sym_CARET] = ACTIONS(5896),
    [anon_sym_AMP] = ACTIONS(5896),
    [anon_sym_EQ_EQ] = ACTIONS(5898),
    [anon_sym_BANG_EQ] = ACTIONS(5898),
    [anon_sym_GT] = ACTIONS(5896),
    [anon_sym_GT_EQ] = ACTIONS(5898),
    [anon_sym_LT_EQ] = ACTIONS(5896),
    [anon_sym_LT] = ACTIONS(5896),
    [anon_sym_LT_LT] = ACTIONS(5896),
    [anon_sym_GT_GT] = ACTIONS(5896),
    [anon_sym_COLON] = ACTIONS(5896),
    [anon_sym_SEMI] = ACTIONS(5898),
    [anon_sym___attribute__] = ACTIONS(5898),
    [anon_sym_COLON_COLON] = ACTIONS(2230),
    [anon_sym_LBRACE] = ACTIONS(5898),
    [anon_sym_RBRACE] = ACTIONS(5898),
    [anon_sym_signed] = ACTIONS(6628),
    [anon_sym_unsigned] = ACTIONS(6628),
    [anon_sym_long] = ACTIONS(6628),
    [anon_sym_short] = ACTIONS(6628),
    [anon_sym_LBRACK] = ACTIONS(5898),
    [anon_sym_RBRACK] = ACTIONS(5898),
    [anon_sym_EQ] = ACTIONS(5896),
    [anon_sym_QMARK] = ACTIONS(5898),
    [anon_sym_STAR_EQ] = ACTIONS(5898),
    [anon_sym_SLASH_EQ] = ACTIONS(5898),
    [anon_sym_PERCENT_EQ] = ACTIONS(5898),
    [anon_sym_PLUS_EQ] = ACTIONS(5898),
    [anon_sym_DASH_EQ] = ACTIONS(5898),
    [anon_sym_LT_LT_EQ] = ACTIONS(5898),
    [anon_sym_GT_GT_EQ] = ACTIONS(5898),
    [anon_sym_AMP_EQ] = ACTIONS(5898),
    [anon_sym_CARET_EQ] = ACTIONS(5898),
    [anon_sym_PIPE_EQ] = ACTIONS(5898),
    [anon_sym_and_eq] = ACTIONS(5898),
    [anon_sym_or_eq] = ACTIONS(5898),
    [anon_sym_xor_eq] = ACTIONS(5898),
    [anon_sym_LT_EQ_GT] = ACTIONS(5898),
    [anon_sym_or] = ACTIONS(5896),
    [anon_sym_and] = ACTIONS(5896),
    [anon_sym_bitor] = ACTIONS(5898),
    [anon_sym_xor] = ACTIONS(5896),
    [anon_sym_bitand] = ACTIONS(5898),
    [anon_sym_not_eq] = ACTIONS(5898),
    [anon_sym_DASH_DASH] = ACTIONS(5898),
    [anon_sym_PLUS_PLUS] = ACTIONS(5898),
    [anon_sym_DOT] = ACTIONS(5896),
    [anon_sym_DOT_STAR] = ACTIONS(5898),
    [anon_sym_DASH_GT] = ACTIONS(5898),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5898),
    [anon_sym_decltype] = ACTIONS(5898),
  },
  [3356] = {
    [sym_attribute_specifier] = STATE(3401),
    [sym_identifier] = ACTIONS(6185),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6187),
    [anon_sym_COMMA] = ACTIONS(6187),
    [anon_sym_RPAREN] = ACTIONS(6187),
    [aux_sym_preproc_if_token2] = ACTIONS(6187),
    [aux_sym_preproc_else_token1] = ACTIONS(6187),
    [aux_sym_preproc_elif_token1] = ACTIONS(6185),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(6187),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(6187),
    [anon_sym_LPAREN2] = ACTIONS(6187),
    [anon_sym_DASH] = ACTIONS(6185),
    [anon_sym_PLUS] = ACTIONS(6185),
    [anon_sym_STAR] = ACTIONS(6185),
    [anon_sym_SLASH] = ACTIONS(6185),
    [anon_sym_PERCENT] = ACTIONS(6185),
    [anon_sym_PIPE_PIPE] = ACTIONS(6187),
    [anon_sym_AMP_AMP] = ACTIONS(6187),
    [anon_sym_PIPE] = ACTIONS(6185),
    [anon_sym_CARET] = ACTIONS(6185),
    [anon_sym_AMP] = ACTIONS(6185),
    [anon_sym_EQ_EQ] = ACTIONS(6187),
    [anon_sym_BANG_EQ] = ACTIONS(6187),
    [anon_sym_GT] = ACTIONS(6185),
    [anon_sym_GT_EQ] = ACTIONS(6187),
    [anon_sym_LT_EQ] = ACTIONS(6185),
    [anon_sym_LT] = ACTIONS(6185),
    [anon_sym_LT_LT] = ACTIONS(6185),
    [anon_sym_GT_GT] = ACTIONS(6185),
    [anon_sym_COLON] = ACTIONS(6187),
    [anon_sym_SEMI] = ACTIONS(6187),
    [anon_sym___attribute__] = ACTIONS(6419),
    [anon_sym_LBRACE] = ACTIONS(6187),
    [anon_sym_RBRACE] = ACTIONS(6187),
    [anon_sym_LBRACK] = ACTIONS(6187),
    [anon_sym_RBRACK] = ACTIONS(6187),
    [anon_sym_EQ] = ACTIONS(6185),
    [anon_sym_QMARK] = ACTIONS(6187),
    [anon_sym_STAR_EQ] = ACTIONS(6187),
    [anon_sym_SLASH_EQ] = ACTIONS(6187),
    [anon_sym_PERCENT_EQ] = ACTIONS(6187),
    [anon_sym_PLUS_EQ] = ACTIONS(6187),
    [anon_sym_DASH_EQ] = ACTIONS(6187),
    [anon_sym_LT_LT_EQ] = ACTIONS(6187),
    [anon_sym_GT_GT_EQ] = ACTIONS(6187),
    [anon_sym_AMP_EQ] = ACTIONS(6187),
    [anon_sym_CARET_EQ] = ACTIONS(6187),
    [anon_sym_PIPE_EQ] = ACTIONS(6187),
    [anon_sym_and_eq] = ACTIONS(6185),
    [anon_sym_or_eq] = ACTIONS(6185),
    [anon_sym_xor_eq] = ACTIONS(6185),
    [anon_sym_LT_EQ_GT] = ACTIONS(6187),
    [anon_sym_or] = ACTIONS(6185),
    [anon_sym_and] = ACTIONS(6185),
    [anon_sym_bitor] = ACTIONS(6185),
    [anon_sym_xor] = ACTIONS(6185),
    [anon_sym_bitand] = ACTIONS(6185),
    [anon_sym_not_eq] = ACTIONS(6185),
    [anon_sym_DASH_DASH] = ACTIONS(6187),
    [anon_sym_PLUS_PLUS] = ACTIONS(6187),
    [anon_sym_DOT] = ACTIONS(6185),
    [anon_sym_DOT_STAR] = ACTIONS(6187),
    [anon_sym_DASH_GT] = ACTIONS(6187),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(6185),
    [anon_sym_decltype] = ACTIONS(6185),
  },
  [3357] = {
    [sym_decltype_auto] = STATE(3458),
    [sym_identifier] = ACTIONS(6021),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6023),
    [anon_sym_COMMA] = ACTIONS(6023),
    [anon_sym_RPAREN] = ACTIONS(6023),
    [aux_sym_preproc_if_token2] = ACTIONS(6023),
    [aux_sym_preproc_else_token1] = ACTIONS(6023),
    [aux_sym_preproc_elif_token1] = ACTIONS(6021),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(6023),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(6023),
    [anon_sym_LPAREN2] = ACTIONS(6023),
    [anon_sym_DASH] = ACTIONS(6021),
    [anon_sym_PLUS] = ACTIONS(6021),
    [anon_sym_STAR] = ACTIONS(6021),
    [anon_sym_SLASH] = ACTIONS(6021),
    [anon_sym_PERCENT] = ACTIONS(6021),
    [anon_sym_PIPE_PIPE] = ACTIONS(6023),
    [anon_sym_AMP_AMP] = ACTIONS(6023),
    [anon_sym_PIPE] = ACTIONS(6021),
    [anon_sym_CARET] = ACTIONS(6021),
    [anon_sym_AMP] = ACTIONS(6021),
    [anon_sym_EQ_EQ] = ACTIONS(6023),
    [anon_sym_BANG_EQ] = ACTIONS(6023),
    [anon_sym_GT] = ACTIONS(6021),
    [anon_sym_GT_EQ] = ACTIONS(6023),
    [anon_sym_LT_EQ] = ACTIONS(6021),
    [anon_sym_LT] = ACTIONS(6021),
    [anon_sym_LT_LT] = ACTIONS(6021),
    [anon_sym_GT_GT] = ACTIONS(6021),
    [anon_sym_COLON] = ACTIONS(6023),
    [anon_sym_SEMI] = ACTIONS(6023),
    [anon_sym___attribute__] = ACTIONS(6021),
    [anon_sym_LBRACE] = ACTIONS(6023),
    [anon_sym_RBRACE] = ACTIONS(6023),
    [anon_sym_LBRACK] = ACTIONS(6023),
    [anon_sym_RBRACK] = ACTIONS(6023),
    [anon_sym_EQ] = ACTIONS(6021),
    [anon_sym_QMARK] = ACTIONS(6023),
    [anon_sym_STAR_EQ] = ACTIONS(6023),
    [anon_sym_SLASH_EQ] = ACTIONS(6023),
    [anon_sym_PERCENT_EQ] = ACTIONS(6023),
    [anon_sym_PLUS_EQ] = ACTIONS(6023),
    [anon_sym_DASH_EQ] = ACTIONS(6023),
    [anon_sym_LT_LT_EQ] = ACTIONS(6023),
    [anon_sym_GT_GT_EQ] = ACTIONS(6023),
    [anon_sym_AMP_EQ] = ACTIONS(6023),
    [anon_sym_CARET_EQ] = ACTIONS(6023),
    [anon_sym_PIPE_EQ] = ACTIONS(6023),
    [anon_sym_and_eq] = ACTIONS(6021),
    [anon_sym_or_eq] = ACTIONS(6021),
    [anon_sym_xor_eq] = ACTIONS(6021),
    [anon_sym_LT_EQ_GT] = ACTIONS(6023),
    [anon_sym_or] = ACTIONS(6021),
    [anon_sym_and] = ACTIONS(6021),
    [anon_sym_bitor] = ACTIONS(6021),
    [anon_sym_xor] = ACTIONS(6021),
    [anon_sym_bitand] = ACTIONS(6021),
    [anon_sym_not_eq] = ACTIONS(6021),
    [anon_sym_DASH_DASH] = ACTIONS(6023),
    [anon_sym_PLUS_PLUS] = ACTIONS(6023),
    [anon_sym_DOT] = ACTIONS(6021),
    [anon_sym_DOT_STAR] = ACTIONS(6023),
    [anon_sym_DASH_GT] = ACTIONS(6023),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(6444),
    [anon_sym_decltype] = ACTIONS(6446),
  },
  [3358] = {
    [sym_attribute_declaration] = STATE(3391),
    [sym_parameter_list] = STATE(3417),
    [aux_sym_attributed_declarator_repeat1] = STATE(3391),
    [sym_identifier] = ACTIONS(6630),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6632),
    [anon_sym_COMMA] = ACTIONS(6632),
    [anon_sym_RPAREN] = ACTIONS(6632),
    [aux_sym_preproc_if_token2] = ACTIONS(6632),
    [aux_sym_preproc_else_token1] = ACTIONS(6632),
    [aux_sym_preproc_elif_token1] = ACTIONS(6630),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(6632),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(6632),
    [anon_sym_LPAREN2] = ACTIONS(6605),
    [anon_sym_DASH] = ACTIONS(6630),
    [anon_sym_PLUS] = ACTIONS(6630),
    [anon_sym_STAR] = ACTIONS(6630),
    [anon_sym_SLASH] = ACTIONS(6630),
    [anon_sym_PERCENT] = ACTIONS(6630),
    [anon_sym_PIPE_PIPE] = ACTIONS(6632),
    [anon_sym_AMP_AMP] = ACTIONS(6632),
    [anon_sym_PIPE] = ACTIONS(6630),
    [anon_sym_CARET] = ACTIONS(6630),
    [anon_sym_AMP] = ACTIONS(6630),
    [anon_sym_EQ_EQ] = ACTIONS(6632),
    [anon_sym_BANG_EQ] = ACTIONS(6632),
    [anon_sym_GT] = ACTIONS(6630),
    [anon_sym_GT_EQ] = ACTIONS(6632),
    [anon_sym_LT_EQ] = ACTIONS(6630),
    [anon_sym_LT] = ACTIONS(6630),
    [anon_sym_LT_LT] = ACTIONS(6630),
    [anon_sym_GT_GT] = ACTIONS(6630),
    [anon_sym_COLON] = ACTIONS(6632),
    [anon_sym_SEMI] = ACTIONS(6632),
    [anon_sym___attribute__] = ACTIONS(6630),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(6607),
    [anon_sym_RBRACE] = ACTIONS(6632),
    [anon_sym_LBRACK] = ACTIONS(6609),
    [anon_sym_RBRACK] = ACTIONS(6632),
    [anon_sym_EQ] = ACTIONS(6630),
    [anon_sym_QMARK] = ACTIONS(6632),
    [anon_sym_STAR_EQ] = ACTIONS(6632),
    [anon_sym_SLASH_EQ] = ACTIONS(6632),
    [anon_sym_PERCENT_EQ] = ACTIONS(6632),
    [anon_sym_PLUS_EQ] = ACTIONS(6632),
    [anon_sym_DASH_EQ] = ACTIONS(6632),
    [anon_sym_LT_LT_EQ] = ACTIONS(6632),
    [anon_sym_GT_GT_EQ] = ACTIONS(6632),
    [anon_sym_AMP_EQ] = ACTIONS(6632),
    [anon_sym_CARET_EQ] = ACTIONS(6632),
    [anon_sym_PIPE_EQ] = ACTIONS(6632),
    [anon_sym_and_eq] = ACTIONS(6630),
    [anon_sym_or_eq] = ACTIONS(6630),
    [anon_sym_xor_eq] = ACTIONS(6630),
    [anon_sym_LT_EQ_GT] = ACTIONS(6632),
    [anon_sym_or] = ACTIONS(6630),
    [anon_sym_and] = ACTIONS(6630),
    [anon_sym_bitor] = ACTIONS(6630),
    [anon_sym_xor] = ACTIONS(6630),
    [anon_sym_bitand] = ACTIONS(6630),
    [anon_sym_not_eq] = ACTIONS(6630),
    [anon_sym_DASH_DASH] = ACTIONS(6632),
    [anon_sym_PLUS_PLUS] = ACTIONS(6632),
    [anon_sym_DOT] = ACTIONS(6630),
    [anon_sym_DOT_STAR] = ACTIONS(6632),
    [anon_sym_DASH_GT] = ACTIONS(6632),
    [sym_comment] = ACTIONS(3),
  },
  [3359] = {
    [sym_attribute_specifier] = STATE(3413),
    [sym_identifier] = ACTIONS(6216),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6218),
    [anon_sym_COMMA] = ACTIONS(6218),
    [anon_sym_RPAREN] = ACTIONS(6218),
    [aux_sym_preproc_if_token2] = ACTIONS(6218),
    [aux_sym_preproc_else_token1] = ACTIONS(6218),
    [aux_sym_preproc_elif_token1] = ACTIONS(6216),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(6218),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(6218),
    [anon_sym_LPAREN2] = ACTIONS(6218),
    [anon_sym_DASH] = ACTIONS(6216),
    [anon_sym_PLUS] = ACTIONS(6216),
    [anon_sym_STAR] = ACTIONS(6216),
    [anon_sym_SLASH] = ACTIONS(6216),
    [anon_sym_PERCENT] = ACTIONS(6216),
    [anon_sym_PIPE_PIPE] = ACTIONS(6218),
    [anon_sym_AMP_AMP] = ACTIONS(6218),
    [anon_sym_PIPE] = ACTIONS(6216),
    [anon_sym_CARET] = ACTIONS(6216),
    [anon_sym_AMP] = ACTIONS(6216),
    [anon_sym_EQ_EQ] = ACTIONS(6218),
    [anon_sym_BANG_EQ] = ACTIONS(6218),
    [anon_sym_GT] = ACTIONS(6216),
    [anon_sym_GT_EQ] = ACTIONS(6218),
    [anon_sym_LT_EQ] = ACTIONS(6216),
    [anon_sym_LT] = ACTIONS(6216),
    [anon_sym_LT_LT] = ACTIONS(6216),
    [anon_sym_GT_GT] = ACTIONS(6216),
    [anon_sym_COLON] = ACTIONS(6218),
    [anon_sym_SEMI] = ACTIONS(6218),
    [anon_sym___attribute__] = ACTIONS(6419),
    [anon_sym_LBRACE] = ACTIONS(6218),
    [anon_sym_RBRACE] = ACTIONS(6218),
    [anon_sym_LBRACK] = ACTIONS(6218),
    [anon_sym_RBRACK] = ACTIONS(6218),
    [anon_sym_EQ] = ACTIONS(6216),
    [anon_sym_QMARK] = ACTIONS(6218),
    [anon_sym_STAR_EQ] = ACTIONS(6218),
    [anon_sym_SLASH_EQ] = ACTIONS(6218),
    [anon_sym_PERCENT_EQ] = ACTIONS(6218),
    [anon_sym_PLUS_EQ] = ACTIONS(6218),
    [anon_sym_DASH_EQ] = ACTIONS(6218),
    [anon_sym_LT_LT_EQ] = ACTIONS(6218),
    [anon_sym_GT_GT_EQ] = ACTIONS(6218),
    [anon_sym_AMP_EQ] = ACTIONS(6218),
    [anon_sym_CARET_EQ] = ACTIONS(6218),
    [anon_sym_PIPE_EQ] = ACTIONS(6218),
    [anon_sym_and_eq] = ACTIONS(6216),
    [anon_sym_or_eq] = ACTIONS(6216),
    [anon_sym_xor_eq] = ACTIONS(6216),
    [anon_sym_LT_EQ_GT] = ACTIONS(6218),
    [anon_sym_or] = ACTIONS(6216),
    [anon_sym_and] = ACTIONS(6216),
    [anon_sym_bitor] = ACTIONS(6216),
    [anon_sym_xor] = ACTIONS(6216),
    [anon_sym_bitand] = ACTIONS(6216),
    [anon_sym_not_eq] = ACTIONS(6216),
    [anon_sym_DASH_DASH] = ACTIONS(6218),
    [anon_sym_PLUS_PLUS] = ACTIONS(6218),
    [anon_sym_DOT] = ACTIONS(6216),
    [anon_sym_DOT_STAR] = ACTIONS(6218),
    [anon_sym_DASH_GT] = ACTIONS(6218),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(6216),
    [anon_sym_decltype] = ACTIONS(6216),
  },
  [3360] = {
    [sym_string_literal] = STATE(3348),
    [sym_raw_string_literal] = STATE(3348),
    [aux_sym_concatenated_string_repeat1] = STATE(3348),
    [sym_identifier] = ACTIONS(6634),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6253),
    [anon_sym_COMMA] = ACTIONS(6253),
    [anon_sym_LPAREN2] = ACTIONS(6253),
    [anon_sym_DASH] = ACTIONS(6255),
    [anon_sym_PLUS] = ACTIONS(6255),
    [anon_sym_STAR] = ACTIONS(6255),
    [anon_sym_SLASH] = ACTIONS(6255),
    [anon_sym_PERCENT] = ACTIONS(6255),
    [anon_sym_PIPE_PIPE] = ACTIONS(6253),
    [anon_sym_AMP_AMP] = ACTIONS(6253),
    [anon_sym_PIPE] = ACTIONS(6255),
    [anon_sym_CARET] = ACTIONS(6255),
    [anon_sym_AMP] = ACTIONS(6255),
    [anon_sym_EQ_EQ] = ACTIONS(6253),
    [anon_sym_BANG_EQ] = ACTIONS(6253),
    [anon_sym_GT] = ACTIONS(6255),
    [anon_sym_GT_EQ] = ACTIONS(6255),
    [anon_sym_LT_EQ] = ACTIONS(6255),
    [anon_sym_LT] = ACTIONS(6255),
    [anon_sym_LT_LT] = ACTIONS(6255),
    [anon_sym_GT_GT] = ACTIONS(6255),
    [anon_sym_LBRACK] = ACTIONS(6253),
    [anon_sym_EQ] = ACTIONS(6255),
    [anon_sym_QMARK] = ACTIONS(6253),
    [anon_sym_STAR_EQ] = ACTIONS(6253),
    [anon_sym_SLASH_EQ] = ACTIONS(6253),
    [anon_sym_PERCENT_EQ] = ACTIONS(6253),
    [anon_sym_PLUS_EQ] = ACTIONS(6253),
    [anon_sym_DASH_EQ] = ACTIONS(6253),
    [anon_sym_LT_LT_EQ] = ACTIONS(6253),
    [anon_sym_GT_GT_EQ] = ACTIONS(6255),
    [anon_sym_AMP_EQ] = ACTIONS(6253),
    [anon_sym_CARET_EQ] = ACTIONS(6253),
    [anon_sym_PIPE_EQ] = ACTIONS(6253),
    [anon_sym_and_eq] = ACTIONS(6255),
    [anon_sym_or_eq] = ACTIONS(6255),
    [anon_sym_xor_eq] = ACTIONS(6255),
    [anon_sym_LT_EQ_GT] = ACTIONS(6253),
    [anon_sym_or] = ACTIONS(6255),
    [anon_sym_and] = ACTIONS(6255),
    [anon_sym_bitor] = ACTIONS(6255),
    [anon_sym_xor] = ACTIONS(6255),
    [anon_sym_bitand] = ACTIONS(6255),
    [anon_sym_not_eq] = ACTIONS(6255),
    [anon_sym_DASH_DASH] = ACTIONS(6253),
    [anon_sym_PLUS_PLUS] = ACTIONS(6253),
    [anon_sym_DOT] = ACTIONS(6255),
    [anon_sym_DOT_STAR] = ACTIONS(6253),
    [anon_sym_DASH_GT] = ACTIONS(6253),
    [anon_sym_L_DQUOTE] = ACTIONS(6617),
    [anon_sym_u_DQUOTE] = ACTIONS(6617),
    [anon_sym_U_DQUOTE] = ACTIONS(6617),
    [anon_sym_u8_DQUOTE] = ACTIONS(6617),
    [anon_sym_DQUOTE] = ACTIONS(6617),
    [sym_comment] = ACTIONS(3),
    [anon_sym_GT2] = ACTIONS(6253),
    [anon_sym_R_DQUOTE] = ACTIONS(6619),
    [anon_sym_LR_DQUOTE] = ACTIONS(6619),
    [anon_sym_uR_DQUOTE] = ACTIONS(6619),
    [anon_sym_UR_DQUOTE] = ACTIONS(6619),
    [anon_sym_u8R_DQUOTE] = ACTIONS(6619),
    [sym_literal_suffix] = ACTIONS(6255),
  },
  [3361] = {
    [sym_string_literal] = STATE(3361),
    [sym_raw_string_literal] = STATE(3361),
    [aux_sym_concatenated_string_repeat1] = STATE(3361),
    [sym_identifier] = ACTIONS(6636),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6271),
    [anon_sym_COMMA] = ACTIONS(6271),
    [anon_sym_LPAREN2] = ACTIONS(6271),
    [anon_sym_DASH] = ACTIONS(6273),
    [anon_sym_PLUS] = ACTIONS(6273),
    [anon_sym_STAR] = ACTIONS(6273),
    [anon_sym_SLASH] = ACTIONS(6273),
    [anon_sym_PERCENT] = ACTIONS(6273),
    [anon_sym_PIPE_PIPE] = ACTIONS(6271),
    [anon_sym_AMP_AMP] = ACTIONS(6271),
    [anon_sym_PIPE] = ACTIONS(6273),
    [anon_sym_CARET] = ACTIONS(6273),
    [anon_sym_AMP] = ACTIONS(6273),
    [anon_sym_EQ_EQ] = ACTIONS(6271),
    [anon_sym_BANG_EQ] = ACTIONS(6271),
    [anon_sym_GT] = ACTIONS(6273),
    [anon_sym_GT_EQ] = ACTIONS(6273),
    [anon_sym_LT_EQ] = ACTIONS(6273),
    [anon_sym_LT] = ACTIONS(6273),
    [anon_sym_LT_LT] = ACTIONS(6273),
    [anon_sym_GT_GT] = ACTIONS(6273),
    [anon_sym_LBRACK] = ACTIONS(6271),
    [anon_sym_EQ] = ACTIONS(6273),
    [anon_sym_QMARK] = ACTIONS(6271),
    [anon_sym_STAR_EQ] = ACTIONS(6271),
    [anon_sym_SLASH_EQ] = ACTIONS(6271),
    [anon_sym_PERCENT_EQ] = ACTIONS(6271),
    [anon_sym_PLUS_EQ] = ACTIONS(6271),
    [anon_sym_DASH_EQ] = ACTIONS(6271),
    [anon_sym_LT_LT_EQ] = ACTIONS(6271),
    [anon_sym_GT_GT_EQ] = ACTIONS(6273),
    [anon_sym_AMP_EQ] = ACTIONS(6271),
    [anon_sym_CARET_EQ] = ACTIONS(6271),
    [anon_sym_PIPE_EQ] = ACTIONS(6271),
    [anon_sym_and_eq] = ACTIONS(6273),
    [anon_sym_or_eq] = ACTIONS(6273),
    [anon_sym_xor_eq] = ACTIONS(6273),
    [anon_sym_LT_EQ_GT] = ACTIONS(6271),
    [anon_sym_or] = ACTIONS(6273),
    [anon_sym_and] = ACTIONS(6273),
    [anon_sym_bitor] = ACTIONS(6273),
    [anon_sym_xor] = ACTIONS(6273),
    [anon_sym_bitand] = ACTIONS(6273),
    [anon_sym_not_eq] = ACTIONS(6273),
    [anon_sym_DASH_DASH] = ACTIONS(6271),
    [anon_sym_PLUS_PLUS] = ACTIONS(6271),
    [anon_sym_DOT] = ACTIONS(6273),
    [anon_sym_DOT_STAR] = ACTIONS(6271),
    [anon_sym_DASH_GT] = ACTIONS(6271),
    [anon_sym_L_DQUOTE] = ACTIONS(6639),
    [anon_sym_u_DQUOTE] = ACTIONS(6639),
    [anon_sym_U_DQUOTE] = ACTIONS(6639),
    [anon_sym_u8_DQUOTE] = ACTIONS(6639),
    [anon_sym_DQUOTE] = ACTIONS(6639),
    [sym_comment] = ACTIONS(3),
    [anon_sym_GT2] = ACTIONS(6271),
    [anon_sym_R_DQUOTE] = ACTIONS(6642),
    [anon_sym_LR_DQUOTE] = ACTIONS(6642),
    [anon_sym_uR_DQUOTE] = ACTIONS(6642),
    [anon_sym_UR_DQUOTE] = ACTIONS(6642),
    [anon_sym_u8R_DQUOTE] = ACTIONS(6642),
    [sym_literal_suffix] = ACTIONS(6273),
  },
  [3362] = {
    [sym_string_literal] = STATE(3682),
    [sym_template_argument_list] = STATE(4862),
    [sym_raw_string_literal] = STATE(3682),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4213),
    [anon_sym_COMMA] = ACTIONS(4213),
    [anon_sym_LPAREN2] = ACTIONS(4213),
    [anon_sym_DASH] = ACTIONS(4221),
    [anon_sym_PLUS] = ACTIONS(4221),
    [anon_sym_STAR] = ACTIONS(4221),
    [anon_sym_SLASH] = ACTIONS(4221),
    [anon_sym_PERCENT] = ACTIONS(4221),
    [anon_sym_PIPE_PIPE] = ACTIONS(4213),
    [anon_sym_AMP_AMP] = ACTIONS(4213),
    [anon_sym_PIPE] = ACTIONS(4221),
    [anon_sym_CARET] = ACTIONS(4221),
    [anon_sym_AMP] = ACTIONS(4221),
    [anon_sym_EQ_EQ] = ACTIONS(4213),
    [anon_sym_BANG_EQ] = ACTIONS(4213),
    [anon_sym_GT] = ACTIONS(4221),
    [anon_sym_GT_EQ] = ACTIONS(4213),
    [anon_sym_LT_EQ] = ACTIONS(4221),
    [anon_sym_LT] = ACTIONS(6488),
    [anon_sym_LT_LT] = ACTIONS(4221),
    [anon_sym_GT_GT] = ACTIONS(4221),
    [anon_sym_COLON_COLON] = ACTIONS(2230),
    [anon_sym_LBRACE] = ACTIONS(2226),
    [anon_sym_LBRACK] = ACTIONS(4213),
    [anon_sym_RBRACK] = ACTIONS(4213),
    [anon_sym_EQ] = ACTIONS(6555),
    [anon_sym_QMARK] = ACTIONS(4213),
    [anon_sym_STAR_EQ] = ACTIONS(6557),
    [anon_sym_SLASH_EQ] = ACTIONS(6557),
    [anon_sym_PERCENT_EQ] = ACTIONS(6557),
    [anon_sym_PLUS_EQ] = ACTIONS(6557),
    [anon_sym_DASH_EQ] = ACTIONS(6557),
    [anon_sym_LT_LT_EQ] = ACTIONS(6557),
    [anon_sym_GT_GT_EQ] = ACTIONS(6557),
    [anon_sym_AMP_EQ] = ACTIONS(6557),
    [anon_sym_CARET_EQ] = ACTIONS(6557),
    [anon_sym_PIPE_EQ] = ACTIONS(6557),
    [anon_sym_and_eq] = ACTIONS(6557),
    [anon_sym_or_eq] = ACTIONS(6557),
    [anon_sym_xor_eq] = ACTIONS(6557),
    [anon_sym_LT_EQ_GT] = ACTIONS(4213),
    [anon_sym_or] = ACTIONS(4221),
    [anon_sym_and] = ACTIONS(4221),
    [anon_sym_bitor] = ACTIONS(4213),
    [anon_sym_xor] = ACTIONS(4221),
    [anon_sym_bitand] = ACTIONS(4213),
    [anon_sym_not_eq] = ACTIONS(4213),
    [anon_sym_DASH_DASH] = ACTIONS(4213),
    [anon_sym_PLUS_PLUS] = ACTIONS(4213),
    [anon_sym_DOT] = ACTIONS(4221),
    [anon_sym_DOT_STAR] = ACTIONS(4213),
    [anon_sym_DASH_GT] = ACTIONS(4213),
    [anon_sym_L_DQUOTE] = ACTIONS(4247),
    [anon_sym_u_DQUOTE] = ACTIONS(4247),
    [anon_sym_U_DQUOTE] = ACTIONS(4247),
    [anon_sym_u8_DQUOTE] = ACTIONS(4247),
    [anon_sym_DQUOTE] = ACTIONS(4247),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(4249),
    [anon_sym_LR_DQUOTE] = ACTIONS(4249),
    [anon_sym_uR_DQUOTE] = ACTIONS(4249),
    [anon_sym_UR_DQUOTE] = ACTIONS(4249),
    [anon_sym_u8R_DQUOTE] = ACTIONS(4249),
  },
  [3363] = {
    [sym_identifier] = ACTIONS(3142),
    [anon_sym_LPAREN2] = ACTIONS(3144),
    [anon_sym_BANG] = ACTIONS(3144),
    [anon_sym_TILDE] = ACTIONS(3144),
    [anon_sym_DASH] = ACTIONS(3142),
    [anon_sym_PLUS] = ACTIONS(3142),
    [anon_sym_STAR] = ACTIONS(3144),
    [anon_sym_AMP] = ACTIONS(3144),
    [anon_sym___extension__] = ACTIONS(3142),
    [anon_sym_COLON_COLON] = ACTIONS(3144),
    [anon_sym_LBRACK] = ACTIONS(3144),
    [anon_sym_RBRACK] = ACTIONS(3144),
    [anon_sym_const] = ACTIONS(3142),
    [anon_sym_constexpr] = ACTIONS(3142),
    [anon_sym_volatile] = ACTIONS(3142),
    [anon_sym_restrict] = ACTIONS(3142),
    [anon_sym___restrict__] = ACTIONS(3142),
    [anon_sym__Atomic] = ACTIONS(3142),
    [anon_sym__Noreturn] = ACTIONS(3142),
    [anon_sym_noreturn] = ACTIONS(3142),
    [anon_sym_mutable] = ACTIONS(3142),
    [anon_sym_constinit] = ACTIONS(3142),
    [anon_sym_consteval] = ACTIONS(3142),
    [sym_primitive_type] = ACTIONS(3142),
    [anon_sym_not] = ACTIONS(3142),
    [anon_sym_compl] = ACTIONS(3142),
    [anon_sym_DASH_DASH] = ACTIONS(3144),
    [anon_sym_PLUS_PLUS] = ACTIONS(3144),
    [anon_sym_sizeof] = ACTIONS(3142),
    [anon_sym___alignof__] = ACTIONS(3142),
    [anon_sym___alignof] = ACTIONS(3142),
    [anon_sym__alignof] = ACTIONS(3142),
    [anon_sym_alignof] = ACTIONS(3142),
    [anon_sym__Alignof] = ACTIONS(3142),
    [anon_sym_offsetof] = ACTIONS(3142),
    [anon_sym__Generic] = ACTIONS(3142),
    [anon_sym_asm] = ACTIONS(3142),
    [anon_sym___asm__] = ACTIONS(3142),
    [sym_number_literal] = ACTIONS(3144),
    [anon_sym_L_SQUOTE] = ACTIONS(3144),
    [anon_sym_u_SQUOTE] = ACTIONS(3144),
    [anon_sym_U_SQUOTE] = ACTIONS(3144),
    [anon_sym_u8_SQUOTE] = ACTIONS(3144),
    [anon_sym_SQUOTE] = ACTIONS(3144),
    [anon_sym_L_DQUOTE] = ACTIONS(3144),
    [anon_sym_u_DQUOTE] = ACTIONS(3144),
    [anon_sym_U_DQUOTE] = ACTIONS(3144),
    [anon_sym_u8_DQUOTE] = ACTIONS(3144),
    [anon_sym_DQUOTE] = ACTIONS(3144),
    [sym_true] = ACTIONS(3142),
    [sym_false] = ACTIONS(3142),
    [anon_sym_NULL] = ACTIONS(3142),
    [anon_sym_nullptr] = ACTIONS(3142),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3142),
    [anon_sym_template] = ACTIONS(3142),
    [anon_sym_delete] = ACTIONS(3142),
    [anon_sym_R_DQUOTE] = ACTIONS(3144),
    [anon_sym_LR_DQUOTE] = ACTIONS(3144),
    [anon_sym_uR_DQUOTE] = ACTIONS(3144),
    [anon_sym_UR_DQUOTE] = ACTIONS(3144),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3144),
    [anon_sym_co_await] = ACTIONS(3142),
    [anon_sym_new] = ACTIONS(3142),
    [anon_sym_requires] = ACTIONS(3142),
    [sym_this] = ACTIONS(3142),
  },
  [3364] = {
    [sym_identifier] = ACTIONS(6005),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6007),
    [anon_sym_COMMA] = ACTIONS(6007),
    [anon_sym_RPAREN] = ACTIONS(6007),
    [aux_sym_preproc_if_token2] = ACTIONS(6007),
    [aux_sym_preproc_else_token1] = ACTIONS(6007),
    [aux_sym_preproc_elif_token1] = ACTIONS(6005),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(6007),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(6007),
    [anon_sym_LPAREN2] = ACTIONS(6007),
    [anon_sym_DASH] = ACTIONS(6005),
    [anon_sym_PLUS] = ACTIONS(6005),
    [anon_sym_STAR] = ACTIONS(6005),
    [anon_sym_SLASH] = ACTIONS(6005),
    [anon_sym_PERCENT] = ACTIONS(6005),
    [anon_sym_PIPE_PIPE] = ACTIONS(6007),
    [anon_sym_AMP_AMP] = ACTIONS(6007),
    [anon_sym_PIPE] = ACTIONS(6005),
    [anon_sym_CARET] = ACTIONS(6005),
    [anon_sym_AMP] = ACTIONS(6005),
    [anon_sym_EQ_EQ] = ACTIONS(6007),
    [anon_sym_BANG_EQ] = ACTIONS(6007),
    [anon_sym_GT] = ACTIONS(6005),
    [anon_sym_GT_EQ] = ACTIONS(6007),
    [anon_sym_LT_EQ] = ACTIONS(6005),
    [anon_sym_LT] = ACTIONS(6005),
    [anon_sym_LT_LT] = ACTIONS(6005),
    [anon_sym_GT_GT] = ACTIONS(6005),
    [anon_sym_COLON] = ACTIONS(6005),
    [anon_sym_SEMI] = ACTIONS(6007),
    [anon_sym___attribute__] = ACTIONS(6005),
    [anon_sym_COLON_COLON] = ACTIONS(6007),
    [anon_sym_LBRACE] = ACTIONS(6007),
    [anon_sym_RBRACE] = ACTIONS(6007),
    [anon_sym_LBRACK] = ACTIONS(6007),
    [anon_sym_RBRACK] = ACTIONS(6007),
    [anon_sym_EQ] = ACTIONS(6005),
    [anon_sym_QMARK] = ACTIONS(6007),
    [anon_sym_STAR_EQ] = ACTIONS(6007),
    [anon_sym_SLASH_EQ] = ACTIONS(6007),
    [anon_sym_PERCENT_EQ] = ACTIONS(6007),
    [anon_sym_PLUS_EQ] = ACTIONS(6007),
    [anon_sym_DASH_EQ] = ACTIONS(6007),
    [anon_sym_LT_LT_EQ] = ACTIONS(6007),
    [anon_sym_GT_GT_EQ] = ACTIONS(6007),
    [anon_sym_AMP_EQ] = ACTIONS(6007),
    [anon_sym_CARET_EQ] = ACTIONS(6007),
    [anon_sym_PIPE_EQ] = ACTIONS(6007),
    [anon_sym_and_eq] = ACTIONS(6005),
    [anon_sym_or_eq] = ACTIONS(6005),
    [anon_sym_xor_eq] = ACTIONS(6005),
    [anon_sym_LT_EQ_GT] = ACTIONS(6007),
    [anon_sym_or] = ACTIONS(6005),
    [anon_sym_and] = ACTIONS(6005),
    [anon_sym_bitor] = ACTIONS(6005),
    [anon_sym_xor] = ACTIONS(6005),
    [anon_sym_bitand] = ACTIONS(6005),
    [anon_sym_not_eq] = ACTIONS(6005),
    [anon_sym_DASH_DASH] = ACTIONS(6007),
    [anon_sym_PLUS_PLUS] = ACTIONS(6007),
    [anon_sym_DOT] = ACTIONS(6005),
    [anon_sym_DOT_STAR] = ACTIONS(6007),
    [anon_sym_DASH_GT] = ACTIONS(6007),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(6005),
    [anon_sym_decltype] = ACTIONS(6005),
  },
  [3365] = {
    [sym_attribute_specifier] = STATE(3415),
    [sym_identifier] = ACTIONS(6235),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6237),
    [anon_sym_COMMA] = ACTIONS(6237),
    [anon_sym_RPAREN] = ACTIONS(6237),
    [aux_sym_preproc_if_token2] = ACTIONS(6237),
    [aux_sym_preproc_else_token1] = ACTIONS(6237),
    [aux_sym_preproc_elif_token1] = ACTIONS(6235),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(6237),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(6237),
    [anon_sym_LPAREN2] = ACTIONS(6237),
    [anon_sym_DASH] = ACTIONS(6235),
    [anon_sym_PLUS] = ACTIONS(6235),
    [anon_sym_STAR] = ACTIONS(6235),
    [anon_sym_SLASH] = ACTIONS(6235),
    [anon_sym_PERCENT] = ACTIONS(6235),
    [anon_sym_PIPE_PIPE] = ACTIONS(6237),
    [anon_sym_AMP_AMP] = ACTIONS(6237),
    [anon_sym_PIPE] = ACTIONS(6235),
    [anon_sym_CARET] = ACTIONS(6235),
    [anon_sym_AMP] = ACTIONS(6235),
    [anon_sym_EQ_EQ] = ACTIONS(6237),
    [anon_sym_BANG_EQ] = ACTIONS(6237),
    [anon_sym_GT] = ACTIONS(6235),
    [anon_sym_GT_EQ] = ACTIONS(6237),
    [anon_sym_LT_EQ] = ACTIONS(6235),
    [anon_sym_LT] = ACTIONS(6235),
    [anon_sym_LT_LT] = ACTIONS(6235),
    [anon_sym_GT_GT] = ACTIONS(6235),
    [anon_sym_COLON] = ACTIONS(6237),
    [anon_sym_SEMI] = ACTIONS(6237),
    [anon_sym___attribute__] = ACTIONS(6419),
    [anon_sym_LBRACE] = ACTIONS(6237),
    [anon_sym_RBRACE] = ACTIONS(6237),
    [anon_sym_LBRACK] = ACTIONS(6237),
    [anon_sym_RBRACK] = ACTIONS(6237),
    [anon_sym_EQ] = ACTIONS(6235),
    [anon_sym_QMARK] = ACTIONS(6237),
    [anon_sym_STAR_EQ] = ACTIONS(6237),
    [anon_sym_SLASH_EQ] = ACTIONS(6237),
    [anon_sym_PERCENT_EQ] = ACTIONS(6237),
    [anon_sym_PLUS_EQ] = ACTIONS(6237),
    [anon_sym_DASH_EQ] = ACTIONS(6237),
    [anon_sym_LT_LT_EQ] = ACTIONS(6237),
    [anon_sym_GT_GT_EQ] = ACTIONS(6237),
    [anon_sym_AMP_EQ] = ACTIONS(6237),
    [anon_sym_CARET_EQ] = ACTIONS(6237),
    [anon_sym_PIPE_EQ] = ACTIONS(6237),
    [anon_sym_and_eq] = ACTIONS(6235),
    [anon_sym_or_eq] = ACTIONS(6235),
    [anon_sym_xor_eq] = ACTIONS(6235),
    [anon_sym_LT_EQ_GT] = ACTIONS(6237),
    [anon_sym_or] = ACTIONS(6235),
    [anon_sym_and] = ACTIONS(6235),
    [anon_sym_bitor] = ACTIONS(6235),
    [anon_sym_xor] = ACTIONS(6235),
    [anon_sym_bitand] = ACTIONS(6235),
    [anon_sym_not_eq] = ACTIONS(6235),
    [anon_sym_DASH_DASH] = ACTIONS(6237),
    [anon_sym_PLUS_PLUS] = ACTIONS(6237),
    [anon_sym_DOT] = ACTIONS(6235),
    [anon_sym_DOT_STAR] = ACTIONS(6237),
    [anon_sym_DASH_GT] = ACTIONS(6237),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(6235),
    [anon_sym_decltype] = ACTIONS(6235),
  },
  [3366] = {
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6398),
    [anon_sym_COMMA] = ACTIONS(6398),
    [anon_sym_RPAREN] = ACTIONS(6398),
    [anon_sym_LPAREN2] = ACTIONS(6398),
    [anon_sym_DASH] = ACTIONS(6396),
    [anon_sym_PLUS] = ACTIONS(6396),
    [anon_sym_STAR] = ACTIONS(6396),
    [anon_sym_SLASH] = ACTIONS(6396),
    [anon_sym_PERCENT] = ACTIONS(6396),
    [anon_sym_PIPE_PIPE] = ACTIONS(6398),
    [anon_sym_AMP_AMP] = ACTIONS(6398),
    [anon_sym_PIPE] = ACTIONS(6396),
    [anon_sym_CARET] = ACTIONS(6396),
    [anon_sym_AMP] = ACTIONS(6396),
    [anon_sym_EQ_EQ] = ACTIONS(6398),
    [anon_sym_BANG_EQ] = ACTIONS(6398),
    [anon_sym_GT] = ACTIONS(6396),
    [anon_sym_GT_EQ] = ACTIONS(6398),
    [anon_sym_LT_EQ] = ACTIONS(6396),
    [anon_sym_LT] = ACTIONS(6396),
    [anon_sym_LT_LT] = ACTIONS(6396),
    [anon_sym_GT_GT] = ACTIONS(6396),
    [anon_sym_COLON] = ACTIONS(6398),
    [anon_sym_SEMI] = ACTIONS(6398),
    [anon_sym_RBRACE] = ACTIONS(6398),
    [anon_sym_LBRACK] = ACTIONS(6398),
    [anon_sym_RBRACK] = ACTIONS(6398),
    [anon_sym_EQ] = ACTIONS(6396),
    [anon_sym_QMARK] = ACTIONS(6398),
    [anon_sym_STAR_EQ] = ACTIONS(6398),
    [anon_sym_SLASH_EQ] = ACTIONS(6398),
    [anon_sym_PERCENT_EQ] = ACTIONS(6398),
    [anon_sym_PLUS_EQ] = ACTIONS(6398),
    [anon_sym_DASH_EQ] = ACTIONS(6398),
    [anon_sym_LT_LT_EQ] = ACTIONS(6398),
    [anon_sym_GT_GT_EQ] = ACTIONS(6398),
    [anon_sym_AMP_EQ] = ACTIONS(6398),
    [anon_sym_CARET_EQ] = ACTIONS(6398),
    [anon_sym_PIPE_EQ] = ACTIONS(6398),
    [anon_sym_and_eq] = ACTIONS(6396),
    [anon_sym_or_eq] = ACTIONS(6396),
    [anon_sym_xor_eq] = ACTIONS(6396),
    [anon_sym_LT_EQ_GT] = ACTIONS(6398),
    [anon_sym_or] = ACTIONS(6396),
    [anon_sym_and] = ACTIONS(6396),
    [anon_sym_bitor] = ACTIONS(6396),
    [anon_sym_xor] = ACTIONS(6396),
    [anon_sym_bitand] = ACTIONS(6396),
    [anon_sym_not_eq] = ACTIONS(6396),
    [anon_sym_DASH_DASH] = ACTIONS(6398),
    [anon_sym_PLUS_PLUS] = ACTIONS(6398),
    [anon_sym_DOT] = ACTIONS(6396),
    [anon_sym_DOT_STAR] = ACTIONS(6398),
    [anon_sym_DASH_GT] = ACTIONS(6398),
    [anon_sym_L_DQUOTE] = ACTIONS(6398),
    [anon_sym_u_DQUOTE] = ACTIONS(6398),
    [anon_sym_U_DQUOTE] = ACTIONS(6398),
    [anon_sym_u8_DQUOTE] = ACTIONS(6398),
    [anon_sym_DQUOTE] = ACTIONS(6398),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(6398),
    [anon_sym_LR_DQUOTE] = ACTIONS(6398),
    [anon_sym_uR_DQUOTE] = ACTIONS(6398),
    [anon_sym_UR_DQUOTE] = ACTIONS(6398),
    [anon_sym_u8R_DQUOTE] = ACTIONS(6398),
    [sym_literal_suffix] = ACTIONS(6396),
  },
  [3367] = {
    [sym_string_literal] = STATE(3360),
    [sym_template_argument_list] = STATE(4515),
    [sym_raw_string_literal] = STATE(3360),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4213),
    [anon_sym_COMMA] = ACTIONS(4213),
    [anon_sym_LPAREN2] = ACTIONS(4213),
    [anon_sym_DASH] = ACTIONS(4221),
    [anon_sym_PLUS] = ACTIONS(4221),
    [anon_sym_STAR] = ACTIONS(4221),
    [anon_sym_SLASH] = ACTIONS(4221),
    [anon_sym_PERCENT] = ACTIONS(4221),
    [anon_sym_PIPE_PIPE] = ACTIONS(4213),
    [anon_sym_AMP_AMP] = ACTIONS(4213),
    [anon_sym_PIPE] = ACTIONS(4221),
    [anon_sym_CARET] = ACTIONS(4221),
    [anon_sym_AMP] = ACTIONS(4221),
    [anon_sym_EQ_EQ] = ACTIONS(4213),
    [anon_sym_BANG_EQ] = ACTIONS(4213),
    [anon_sym_GT] = ACTIONS(4221),
    [anon_sym_GT_EQ] = ACTIONS(4221),
    [anon_sym_LT_EQ] = ACTIONS(4221),
    [anon_sym_LT] = ACTIONS(6645),
    [anon_sym_LT_LT] = ACTIONS(4221),
    [anon_sym_GT_GT] = ACTIONS(4221),
    [anon_sym_COLON_COLON] = ACTIONS(2230),
    [anon_sym_LBRACE] = ACTIONS(2226),
    [anon_sym_LBRACK] = ACTIONS(4213),
    [anon_sym_EQ] = ACTIONS(4221),
    [anon_sym_QMARK] = ACTIONS(4213),
    [anon_sym_STAR_EQ] = ACTIONS(4213),
    [anon_sym_SLASH_EQ] = ACTIONS(4213),
    [anon_sym_PERCENT_EQ] = ACTIONS(4213),
    [anon_sym_PLUS_EQ] = ACTIONS(4213),
    [anon_sym_DASH_EQ] = ACTIONS(4213),
    [anon_sym_LT_LT_EQ] = ACTIONS(4213),
    [anon_sym_GT_GT_EQ] = ACTIONS(4221),
    [anon_sym_AMP_EQ] = ACTIONS(4213),
    [anon_sym_CARET_EQ] = ACTIONS(4213),
    [anon_sym_PIPE_EQ] = ACTIONS(4213),
    [anon_sym_and_eq] = ACTIONS(4213),
    [anon_sym_or_eq] = ACTIONS(4213),
    [anon_sym_xor_eq] = ACTIONS(4213),
    [anon_sym_LT_EQ_GT] = ACTIONS(4213),
    [anon_sym_or] = ACTIONS(4221),
    [anon_sym_and] = ACTIONS(4221),
    [anon_sym_bitor] = ACTIONS(4213),
    [anon_sym_xor] = ACTIONS(4221),
    [anon_sym_bitand] = ACTIONS(4213),
    [anon_sym_not_eq] = ACTIONS(4213),
    [anon_sym_DASH_DASH] = ACTIONS(4213),
    [anon_sym_PLUS_PLUS] = ACTIONS(4213),
    [anon_sym_DOT] = ACTIONS(4221),
    [anon_sym_DOT_STAR] = ACTIONS(4213),
    [anon_sym_DASH_GT] = ACTIONS(4213),
    [anon_sym_L_DQUOTE] = ACTIONS(6617),
    [anon_sym_u_DQUOTE] = ACTIONS(6617),
    [anon_sym_U_DQUOTE] = ACTIONS(6617),
    [anon_sym_u8_DQUOTE] = ACTIONS(6617),
    [anon_sym_DQUOTE] = ACTIONS(6617),
    [sym_comment] = ACTIONS(3),
    [anon_sym_GT2] = ACTIONS(4213),
    [anon_sym_R_DQUOTE] = ACTIONS(6619),
    [anon_sym_LR_DQUOTE] = ACTIONS(6619),
    [anon_sym_uR_DQUOTE] = ACTIONS(6619),
    [anon_sym_UR_DQUOTE] = ACTIONS(6619),
    [anon_sym_u8R_DQUOTE] = ACTIONS(6619),
  },
  [3368] = {
    [sym_attribute_declaration] = STATE(3391),
    [sym_parameter_list] = STATE(3417),
    [aux_sym_attributed_declarator_repeat1] = STATE(3391),
    [sym_identifier] = ACTIONS(6648),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6650),
    [anon_sym_COMMA] = ACTIONS(6650),
    [anon_sym_RPAREN] = ACTIONS(6650),
    [aux_sym_preproc_if_token2] = ACTIONS(6650),
    [aux_sym_preproc_else_token1] = ACTIONS(6650),
    [aux_sym_preproc_elif_token1] = ACTIONS(6648),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(6650),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(6650),
    [anon_sym_LPAREN2] = ACTIONS(6605),
    [anon_sym_DASH] = ACTIONS(6648),
    [anon_sym_PLUS] = ACTIONS(6648),
    [anon_sym_STAR] = ACTIONS(6648),
    [anon_sym_SLASH] = ACTIONS(6648),
    [anon_sym_PERCENT] = ACTIONS(6648),
    [anon_sym_PIPE_PIPE] = ACTIONS(6650),
    [anon_sym_AMP_AMP] = ACTIONS(6650),
    [anon_sym_PIPE] = ACTIONS(6648),
    [anon_sym_CARET] = ACTIONS(6648),
    [anon_sym_AMP] = ACTIONS(6648),
    [anon_sym_EQ_EQ] = ACTIONS(6650),
    [anon_sym_BANG_EQ] = ACTIONS(6650),
    [anon_sym_GT] = ACTIONS(6648),
    [anon_sym_GT_EQ] = ACTIONS(6650),
    [anon_sym_LT_EQ] = ACTIONS(6648),
    [anon_sym_LT] = ACTIONS(6648),
    [anon_sym_LT_LT] = ACTIONS(6648),
    [anon_sym_GT_GT] = ACTIONS(6648),
    [anon_sym_COLON] = ACTIONS(6650),
    [anon_sym_SEMI] = ACTIONS(6650),
    [anon_sym___attribute__] = ACTIONS(6648),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(6607),
    [anon_sym_RBRACE] = ACTIONS(6650),
    [anon_sym_LBRACK] = ACTIONS(6609),
    [anon_sym_RBRACK] = ACTIONS(6650),
    [anon_sym_EQ] = ACTIONS(6648),
    [anon_sym_QMARK] = ACTIONS(6650),
    [anon_sym_STAR_EQ] = ACTIONS(6650),
    [anon_sym_SLASH_EQ] = ACTIONS(6650),
    [anon_sym_PERCENT_EQ] = ACTIONS(6650),
    [anon_sym_PLUS_EQ] = ACTIONS(6650),
    [anon_sym_DASH_EQ] = ACTIONS(6650),
    [anon_sym_LT_LT_EQ] = ACTIONS(6650),
    [anon_sym_GT_GT_EQ] = ACTIONS(6650),
    [anon_sym_AMP_EQ] = ACTIONS(6650),
    [anon_sym_CARET_EQ] = ACTIONS(6650),
    [anon_sym_PIPE_EQ] = ACTIONS(6650),
    [anon_sym_and_eq] = ACTIONS(6648),
    [anon_sym_or_eq] = ACTIONS(6648),
    [anon_sym_xor_eq] = ACTIONS(6648),
    [anon_sym_LT_EQ_GT] = ACTIONS(6650),
    [anon_sym_or] = ACTIONS(6648),
    [anon_sym_and] = ACTIONS(6648),
    [anon_sym_bitor] = ACTIONS(6648),
    [anon_sym_xor] = ACTIONS(6648),
    [anon_sym_bitand] = ACTIONS(6648),
    [anon_sym_not_eq] = ACTIONS(6648),
    [anon_sym_DASH_DASH] = ACTIONS(6650),
    [anon_sym_PLUS_PLUS] = ACTIONS(6650),
    [anon_sym_DOT] = ACTIONS(6648),
    [anon_sym_DOT_STAR] = ACTIONS(6650),
    [anon_sym_DASH_GT] = ACTIONS(6650),
    [sym_comment] = ACTIONS(3),
  },
  [3369] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(3190),
    [sym_identifier] = ACTIONS(5840),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5943),
    [anon_sym_COMMA] = ACTIONS(5943),
    [anon_sym_RPAREN] = ACTIONS(5943),
    [anon_sym_LPAREN2] = ACTIONS(5943),
    [anon_sym_DASH] = ACTIONS(5940),
    [anon_sym_PLUS] = ACTIONS(5940),
    [anon_sym_STAR] = ACTIONS(5940),
    [anon_sym_SLASH] = ACTIONS(5940),
    [anon_sym_PERCENT] = ACTIONS(5940),
    [anon_sym_PIPE_PIPE] = ACTIONS(5943),
    [anon_sym_AMP_AMP] = ACTIONS(5943),
    [anon_sym_PIPE] = ACTIONS(5940),
    [anon_sym_CARET] = ACTIONS(5940),
    [anon_sym_AMP] = ACTIONS(5940),
    [anon_sym_EQ_EQ] = ACTIONS(5943),
    [anon_sym_BANG_EQ] = ACTIONS(5943),
    [anon_sym_GT] = ACTIONS(5940),
    [anon_sym_GT_EQ] = ACTIONS(5943),
    [anon_sym_LT_EQ] = ACTIONS(5940),
    [anon_sym_LT] = ACTIONS(5940),
    [anon_sym_LT_LT] = ACTIONS(5940),
    [anon_sym_GT_GT] = ACTIONS(5940),
    [anon_sym_COLON] = ACTIONS(5943),
    [anon_sym_SEMI] = ACTIONS(5943),
    [anon_sym___attribute__] = ACTIONS(5940),
    [anon_sym_LBRACE] = ACTIONS(5943),
    [anon_sym_RBRACE] = ACTIONS(5943),
    [anon_sym_signed] = ACTIONS(6423),
    [anon_sym_unsigned] = ACTIONS(6423),
    [anon_sym_long] = ACTIONS(6423),
    [anon_sym_short] = ACTIONS(6423),
    [anon_sym_LBRACK] = ACTIONS(5943),
    [anon_sym_RBRACK] = ACTIONS(5943),
    [anon_sym_EQ] = ACTIONS(5940),
    [sym_primitive_type] = ACTIONS(5840),
    [anon_sym_QMARK] = ACTIONS(5943),
    [anon_sym_STAR_EQ] = ACTIONS(5943),
    [anon_sym_SLASH_EQ] = ACTIONS(5943),
    [anon_sym_PERCENT_EQ] = ACTIONS(5943),
    [anon_sym_PLUS_EQ] = ACTIONS(5943),
    [anon_sym_DASH_EQ] = ACTIONS(5943),
    [anon_sym_LT_LT_EQ] = ACTIONS(5943),
    [anon_sym_GT_GT_EQ] = ACTIONS(5943),
    [anon_sym_AMP_EQ] = ACTIONS(5943),
    [anon_sym_CARET_EQ] = ACTIONS(5943),
    [anon_sym_PIPE_EQ] = ACTIONS(5943),
    [anon_sym_and_eq] = ACTIONS(5940),
    [anon_sym_or_eq] = ACTIONS(5940),
    [anon_sym_xor_eq] = ACTIONS(5940),
    [anon_sym_LT_EQ_GT] = ACTIONS(5943),
    [anon_sym_or] = ACTIONS(5940),
    [anon_sym_and] = ACTIONS(5940),
    [anon_sym_bitor] = ACTIONS(5940),
    [anon_sym_xor] = ACTIONS(5940),
    [anon_sym_bitand] = ACTIONS(5940),
    [anon_sym_not_eq] = ACTIONS(5940),
    [anon_sym_DASH_DASH] = ACTIONS(5943),
    [anon_sym_PLUS_PLUS] = ACTIONS(5943),
    [anon_sym_DOT] = ACTIONS(5940),
    [anon_sym_DOT_STAR] = ACTIONS(5943),
    [anon_sym_DASH_GT] = ACTIONS(5943),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5940),
    [anon_sym_decltype] = ACTIONS(5940),
  },
  [3370] = {
    [sym_attribute_specifier] = STATE(3438),
    [sym_identifier] = ACTIONS(6212),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6214),
    [anon_sym_COMMA] = ACTIONS(6214),
    [anon_sym_RPAREN] = ACTIONS(6214),
    [aux_sym_preproc_if_token2] = ACTIONS(6214),
    [aux_sym_preproc_else_token1] = ACTIONS(6214),
    [aux_sym_preproc_elif_token1] = ACTIONS(6212),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(6214),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(6214),
    [anon_sym_LPAREN2] = ACTIONS(6214),
    [anon_sym_DASH] = ACTIONS(6212),
    [anon_sym_PLUS] = ACTIONS(6212),
    [anon_sym_STAR] = ACTIONS(6212),
    [anon_sym_SLASH] = ACTIONS(6212),
    [anon_sym_PERCENT] = ACTIONS(6212),
    [anon_sym_PIPE_PIPE] = ACTIONS(6214),
    [anon_sym_AMP_AMP] = ACTIONS(6214),
    [anon_sym_PIPE] = ACTIONS(6212),
    [anon_sym_CARET] = ACTIONS(6212),
    [anon_sym_AMP] = ACTIONS(6212),
    [anon_sym_EQ_EQ] = ACTIONS(6214),
    [anon_sym_BANG_EQ] = ACTIONS(6214),
    [anon_sym_GT] = ACTIONS(6212),
    [anon_sym_GT_EQ] = ACTIONS(6214),
    [anon_sym_LT_EQ] = ACTIONS(6212),
    [anon_sym_LT] = ACTIONS(6212),
    [anon_sym_LT_LT] = ACTIONS(6212),
    [anon_sym_GT_GT] = ACTIONS(6212),
    [anon_sym_COLON] = ACTIONS(6214),
    [anon_sym_SEMI] = ACTIONS(6214),
    [anon_sym___attribute__] = ACTIONS(6419),
    [anon_sym_LBRACE] = ACTIONS(6214),
    [anon_sym_RBRACE] = ACTIONS(6214),
    [anon_sym_LBRACK] = ACTIONS(6214),
    [anon_sym_RBRACK] = ACTIONS(6214),
    [anon_sym_EQ] = ACTIONS(6212),
    [anon_sym_QMARK] = ACTIONS(6214),
    [anon_sym_STAR_EQ] = ACTIONS(6214),
    [anon_sym_SLASH_EQ] = ACTIONS(6214),
    [anon_sym_PERCENT_EQ] = ACTIONS(6214),
    [anon_sym_PLUS_EQ] = ACTIONS(6214),
    [anon_sym_DASH_EQ] = ACTIONS(6214),
    [anon_sym_LT_LT_EQ] = ACTIONS(6214),
    [anon_sym_GT_GT_EQ] = ACTIONS(6214),
    [anon_sym_AMP_EQ] = ACTIONS(6214),
    [anon_sym_CARET_EQ] = ACTIONS(6214),
    [anon_sym_PIPE_EQ] = ACTIONS(6214),
    [anon_sym_and_eq] = ACTIONS(6212),
    [anon_sym_or_eq] = ACTIONS(6212),
    [anon_sym_xor_eq] = ACTIONS(6212),
    [anon_sym_LT_EQ_GT] = ACTIONS(6214),
    [anon_sym_or] = ACTIONS(6212),
    [anon_sym_and] = ACTIONS(6212),
    [anon_sym_bitor] = ACTIONS(6212),
    [anon_sym_xor] = ACTIONS(6212),
    [anon_sym_bitand] = ACTIONS(6212),
    [anon_sym_not_eq] = ACTIONS(6212),
    [anon_sym_DASH_DASH] = ACTIONS(6214),
    [anon_sym_PLUS_PLUS] = ACTIONS(6214),
    [anon_sym_DOT] = ACTIONS(6212),
    [anon_sym_DOT_STAR] = ACTIONS(6214),
    [anon_sym_DASH_GT] = ACTIONS(6214),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(6212),
    [anon_sym_decltype] = ACTIONS(6212),
  },
  [3371] = {
    [sym_attribute_declaration] = STATE(3391),
    [sym_parameter_list] = STATE(3417),
    [aux_sym_attributed_declarator_repeat1] = STATE(3391),
    [sym_identifier] = ACTIONS(6652),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6654),
    [anon_sym_COMMA] = ACTIONS(6654),
    [anon_sym_RPAREN] = ACTIONS(6654),
    [aux_sym_preproc_if_token2] = ACTIONS(6654),
    [aux_sym_preproc_else_token1] = ACTIONS(6654),
    [aux_sym_preproc_elif_token1] = ACTIONS(6652),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(6654),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(6654),
    [anon_sym_LPAREN2] = ACTIONS(6605),
    [anon_sym_DASH] = ACTIONS(6652),
    [anon_sym_PLUS] = ACTIONS(6652),
    [anon_sym_STAR] = ACTIONS(6652),
    [anon_sym_SLASH] = ACTIONS(6652),
    [anon_sym_PERCENT] = ACTIONS(6652),
    [anon_sym_PIPE_PIPE] = ACTIONS(6654),
    [anon_sym_AMP_AMP] = ACTIONS(6654),
    [anon_sym_PIPE] = ACTIONS(6652),
    [anon_sym_CARET] = ACTIONS(6652),
    [anon_sym_AMP] = ACTIONS(6652),
    [anon_sym_EQ_EQ] = ACTIONS(6654),
    [anon_sym_BANG_EQ] = ACTIONS(6654),
    [anon_sym_GT] = ACTIONS(6652),
    [anon_sym_GT_EQ] = ACTIONS(6654),
    [anon_sym_LT_EQ] = ACTIONS(6652),
    [anon_sym_LT] = ACTIONS(6652),
    [anon_sym_LT_LT] = ACTIONS(6652),
    [anon_sym_GT_GT] = ACTIONS(6652),
    [anon_sym_COLON] = ACTIONS(6654),
    [anon_sym_SEMI] = ACTIONS(6654),
    [anon_sym___attribute__] = ACTIONS(6652),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(6607),
    [anon_sym_RBRACE] = ACTIONS(6654),
    [anon_sym_LBRACK] = ACTIONS(6609),
    [anon_sym_RBRACK] = ACTIONS(6654),
    [anon_sym_EQ] = ACTIONS(6652),
    [anon_sym_QMARK] = ACTIONS(6654),
    [anon_sym_STAR_EQ] = ACTIONS(6654),
    [anon_sym_SLASH_EQ] = ACTIONS(6654),
    [anon_sym_PERCENT_EQ] = ACTIONS(6654),
    [anon_sym_PLUS_EQ] = ACTIONS(6654),
    [anon_sym_DASH_EQ] = ACTIONS(6654),
    [anon_sym_LT_LT_EQ] = ACTIONS(6654),
    [anon_sym_GT_GT_EQ] = ACTIONS(6654),
    [anon_sym_AMP_EQ] = ACTIONS(6654),
    [anon_sym_CARET_EQ] = ACTIONS(6654),
    [anon_sym_PIPE_EQ] = ACTIONS(6654),
    [anon_sym_and_eq] = ACTIONS(6652),
    [anon_sym_or_eq] = ACTIONS(6652),
    [anon_sym_xor_eq] = ACTIONS(6652),
    [anon_sym_LT_EQ_GT] = ACTIONS(6654),
    [anon_sym_or] = ACTIONS(6652),
    [anon_sym_and] = ACTIONS(6652),
    [anon_sym_bitor] = ACTIONS(6652),
    [anon_sym_xor] = ACTIONS(6652),
    [anon_sym_bitand] = ACTIONS(6652),
    [anon_sym_not_eq] = ACTIONS(6652),
    [anon_sym_DASH_DASH] = ACTIONS(6654),
    [anon_sym_PLUS_PLUS] = ACTIONS(6654),
    [anon_sym_DOT] = ACTIONS(6652),
    [anon_sym_DOT_STAR] = ACTIONS(6654),
    [anon_sym_DASH_GT] = ACTIONS(6654),
    [sym_comment] = ACTIONS(3),
  },
  [3372] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(3369),
    [sym_identifier] = ACTIONS(6656),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5917),
    [anon_sym_COMMA] = ACTIONS(5917),
    [anon_sym_RPAREN] = ACTIONS(5917),
    [anon_sym_LPAREN2] = ACTIONS(5917),
    [anon_sym_DASH] = ACTIONS(5919),
    [anon_sym_PLUS] = ACTIONS(5919),
    [anon_sym_STAR] = ACTIONS(5919),
    [anon_sym_SLASH] = ACTIONS(5919),
    [anon_sym_PERCENT] = ACTIONS(5919),
    [anon_sym_PIPE_PIPE] = ACTIONS(5917),
    [anon_sym_AMP_AMP] = ACTIONS(5917),
    [anon_sym_PIPE] = ACTIONS(5919),
    [anon_sym_CARET] = ACTIONS(5919),
    [anon_sym_AMP] = ACTIONS(5919),
    [anon_sym_EQ_EQ] = ACTIONS(5917),
    [anon_sym_BANG_EQ] = ACTIONS(5917),
    [anon_sym_GT] = ACTIONS(5919),
    [anon_sym_GT_EQ] = ACTIONS(5917),
    [anon_sym_LT_EQ] = ACTIONS(5919),
    [anon_sym_LT] = ACTIONS(5919),
    [anon_sym_LT_LT] = ACTIONS(5919),
    [anon_sym_GT_GT] = ACTIONS(5919),
    [anon_sym_COLON] = ACTIONS(5917),
    [anon_sym_SEMI] = ACTIONS(5917),
    [anon_sym___attribute__] = ACTIONS(5919),
    [anon_sym_LBRACE] = ACTIONS(5917),
    [anon_sym_RBRACE] = ACTIONS(5917),
    [anon_sym_signed] = ACTIONS(6658),
    [anon_sym_unsigned] = ACTIONS(6658),
    [anon_sym_long] = ACTIONS(6658),
    [anon_sym_short] = ACTIONS(6658),
    [anon_sym_LBRACK] = ACTIONS(5917),
    [anon_sym_RBRACK] = ACTIONS(5917),
    [anon_sym_EQ] = ACTIONS(5919),
    [sym_primitive_type] = ACTIONS(6660),
    [anon_sym_QMARK] = ACTIONS(5917),
    [anon_sym_STAR_EQ] = ACTIONS(5917),
    [anon_sym_SLASH_EQ] = ACTIONS(5917),
    [anon_sym_PERCENT_EQ] = ACTIONS(5917),
    [anon_sym_PLUS_EQ] = ACTIONS(5917),
    [anon_sym_DASH_EQ] = ACTIONS(5917),
    [anon_sym_LT_LT_EQ] = ACTIONS(5917),
    [anon_sym_GT_GT_EQ] = ACTIONS(5917),
    [anon_sym_AMP_EQ] = ACTIONS(5917),
    [anon_sym_CARET_EQ] = ACTIONS(5917),
    [anon_sym_PIPE_EQ] = ACTIONS(5917),
    [anon_sym_and_eq] = ACTIONS(5919),
    [anon_sym_or_eq] = ACTIONS(5919),
    [anon_sym_xor_eq] = ACTIONS(5919),
    [anon_sym_LT_EQ_GT] = ACTIONS(5917),
    [anon_sym_or] = ACTIONS(5919),
    [anon_sym_and] = ACTIONS(5919),
    [anon_sym_bitor] = ACTIONS(5919),
    [anon_sym_xor] = ACTIONS(5919),
    [anon_sym_bitand] = ACTIONS(5919),
    [anon_sym_not_eq] = ACTIONS(5919),
    [anon_sym_DASH_DASH] = ACTIONS(5917),
    [anon_sym_PLUS_PLUS] = ACTIONS(5917),
    [anon_sym_DOT] = ACTIONS(5919),
    [anon_sym_DOT_STAR] = ACTIONS(5917),
    [anon_sym_DASH_GT] = ACTIONS(5917),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5919),
    [anon_sym_decltype] = ACTIONS(5919),
  },
  [3373] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(3190),
    [sym_identifier] = ACTIONS(5940),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5943),
    [anon_sym_COMMA] = ACTIONS(5943),
    [aux_sym_preproc_if_token2] = ACTIONS(5943),
    [aux_sym_preproc_else_token1] = ACTIONS(5943),
    [aux_sym_preproc_elif_token1] = ACTIONS(5940),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5943),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5943),
    [anon_sym_LPAREN2] = ACTIONS(5943),
    [anon_sym_DASH] = ACTIONS(5940),
    [anon_sym_PLUS] = ACTIONS(5940),
    [anon_sym_STAR] = ACTIONS(5940),
    [anon_sym_SLASH] = ACTIONS(5940),
    [anon_sym_PERCENT] = ACTIONS(5940),
    [anon_sym_PIPE_PIPE] = ACTIONS(5943),
    [anon_sym_AMP_AMP] = ACTIONS(5943),
    [anon_sym_PIPE] = ACTIONS(5940),
    [anon_sym_CARET] = ACTIONS(5940),
    [anon_sym_AMP] = ACTIONS(5940),
    [anon_sym_EQ_EQ] = ACTIONS(5943),
    [anon_sym_BANG_EQ] = ACTIONS(5943),
    [anon_sym_GT] = ACTIONS(5940),
    [anon_sym_GT_EQ] = ACTIONS(5943),
    [anon_sym_LT_EQ] = ACTIONS(5940),
    [anon_sym_LT] = ACTIONS(5940),
    [anon_sym_LT_LT] = ACTIONS(5940),
    [anon_sym_GT_GT] = ACTIONS(5940),
    [anon_sym___attribute__] = ACTIONS(5940),
    [anon_sym_LBRACE] = ACTIONS(5943),
    [anon_sym_signed] = ACTIONS(6423),
    [anon_sym_unsigned] = ACTIONS(6423),
    [anon_sym_long] = ACTIONS(6423),
    [anon_sym_short] = ACTIONS(6423),
    [anon_sym_LBRACK] = ACTIONS(5943),
    [anon_sym_EQ] = ACTIONS(5940),
    [sym_primitive_type] = ACTIONS(5840),
    [anon_sym_QMARK] = ACTIONS(5943),
    [anon_sym_STAR_EQ] = ACTIONS(5943),
    [anon_sym_SLASH_EQ] = ACTIONS(5943),
    [anon_sym_PERCENT_EQ] = ACTIONS(5943),
    [anon_sym_PLUS_EQ] = ACTIONS(5943),
    [anon_sym_DASH_EQ] = ACTIONS(5943),
    [anon_sym_LT_LT_EQ] = ACTIONS(5943),
    [anon_sym_GT_GT_EQ] = ACTIONS(5943),
    [anon_sym_AMP_EQ] = ACTIONS(5943),
    [anon_sym_CARET_EQ] = ACTIONS(5943),
    [anon_sym_PIPE_EQ] = ACTIONS(5943),
    [anon_sym_and_eq] = ACTIONS(5940),
    [anon_sym_or_eq] = ACTIONS(5940),
    [anon_sym_xor_eq] = ACTIONS(5940),
    [anon_sym_LT_EQ_GT] = ACTIONS(5943),
    [anon_sym_or] = ACTIONS(5940),
    [anon_sym_and] = ACTIONS(5940),
    [anon_sym_bitor] = ACTIONS(5940),
    [anon_sym_xor] = ACTIONS(5940),
    [anon_sym_bitand] = ACTIONS(5940),
    [anon_sym_not_eq] = ACTIONS(5940),
    [anon_sym_DASH_DASH] = ACTIONS(5943),
    [anon_sym_PLUS_PLUS] = ACTIONS(5943),
    [anon_sym_DOT] = ACTIONS(5940),
    [anon_sym_DOT_STAR] = ACTIONS(5943),
    [anon_sym_DASH_GT] = ACTIONS(5943),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5940),
    [anon_sym_decltype] = ACTIONS(5940),
  },
  [3374] = {
    [sym_template_argument_list] = STATE(3233),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3469),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4219),
    [anon_sym_COMMA] = ACTIONS(4219),
    [anon_sym_RPAREN] = ACTIONS(4219),
    [anon_sym_LPAREN2] = ACTIONS(4219),
    [anon_sym_DASH] = ACTIONS(4211),
    [anon_sym_PLUS] = ACTIONS(4211),
    [anon_sym_STAR] = ACTIONS(4211),
    [anon_sym_SLASH] = ACTIONS(4211),
    [anon_sym_PERCENT] = ACTIONS(4211),
    [anon_sym_PIPE_PIPE] = ACTIONS(4219),
    [anon_sym_AMP_AMP] = ACTIONS(4219),
    [anon_sym_PIPE] = ACTIONS(4211),
    [anon_sym_CARET] = ACTIONS(4211),
    [anon_sym_AMP] = ACTIONS(4211),
    [anon_sym_EQ_EQ] = ACTIONS(4219),
    [anon_sym_BANG_EQ] = ACTIONS(4219),
    [anon_sym_GT] = ACTIONS(4211),
    [anon_sym_GT_EQ] = ACTIONS(4219),
    [anon_sym_LT_EQ] = ACTIONS(4211),
    [anon_sym_LT] = ACTIONS(6475),
    [anon_sym_LT_LT] = ACTIONS(4211),
    [anon_sym_GT_GT] = ACTIONS(4211),
    [anon_sym_COLON] = ACTIONS(4211),
    [anon_sym_SEMI] = ACTIONS(4219),
    [anon_sym___attribute__] = ACTIONS(4219),
    [anon_sym_COLON_COLON] = ACTIONS(2230),
    [anon_sym_LBRACE] = ACTIONS(4219),
    [anon_sym_RBRACE] = ACTIONS(4219),
    [anon_sym_signed] = ACTIONS(6628),
    [anon_sym_unsigned] = ACTIONS(6628),
    [anon_sym_long] = ACTIONS(6628),
    [anon_sym_short] = ACTIONS(6628),
    [anon_sym_LBRACK] = ACTIONS(4219),
    [anon_sym_RBRACK] = ACTIONS(4219),
    [anon_sym_EQ] = ACTIONS(4211),
    [anon_sym_QMARK] = ACTIONS(4219),
    [anon_sym_STAR_EQ] = ACTIONS(4219),
    [anon_sym_SLASH_EQ] = ACTIONS(4219),
    [anon_sym_PERCENT_EQ] = ACTIONS(4219),
    [anon_sym_PLUS_EQ] = ACTIONS(4219),
    [anon_sym_DASH_EQ] = ACTIONS(4219),
    [anon_sym_LT_LT_EQ] = ACTIONS(4219),
    [anon_sym_GT_GT_EQ] = ACTIONS(4219),
    [anon_sym_AMP_EQ] = ACTIONS(4219),
    [anon_sym_CARET_EQ] = ACTIONS(4219),
    [anon_sym_PIPE_EQ] = ACTIONS(4219),
    [anon_sym_and_eq] = ACTIONS(4219),
    [anon_sym_or_eq] = ACTIONS(4219),
    [anon_sym_xor_eq] = ACTIONS(4219),
    [anon_sym_LT_EQ_GT] = ACTIONS(4219),
    [anon_sym_or] = ACTIONS(4211),
    [anon_sym_and] = ACTIONS(4211),
    [anon_sym_bitor] = ACTIONS(4219),
    [anon_sym_xor] = ACTIONS(4211),
    [anon_sym_bitand] = ACTIONS(4219),
    [anon_sym_not_eq] = ACTIONS(4219),
    [anon_sym_DASH_DASH] = ACTIONS(4219),
    [anon_sym_PLUS_PLUS] = ACTIONS(4219),
    [anon_sym_DOT] = ACTIONS(4211),
    [anon_sym_DOT_STAR] = ACTIONS(4219),
    [anon_sym_DASH_GT] = ACTIONS(4219),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4219),
    [anon_sym_decltype] = ACTIONS(4219),
  },
  [3375] = {
    [sym_identifier] = ACTIONS(6135),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6137),
    [anon_sym_COMMA] = ACTIONS(6137),
    [anon_sym_RPAREN] = ACTIONS(6137),
    [aux_sym_preproc_if_token2] = ACTIONS(6137),
    [aux_sym_preproc_else_token1] = ACTIONS(6137),
    [aux_sym_preproc_elif_token1] = ACTIONS(6135),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(6137),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(6137),
    [anon_sym_LPAREN2] = ACTIONS(6137),
    [anon_sym_DASH] = ACTIONS(6135),
    [anon_sym_PLUS] = ACTIONS(6135),
    [anon_sym_STAR] = ACTIONS(6135),
    [anon_sym_SLASH] = ACTIONS(6135),
    [anon_sym_PERCENT] = ACTIONS(6135),
    [anon_sym_PIPE_PIPE] = ACTIONS(6137),
    [anon_sym_AMP_AMP] = ACTIONS(6137),
    [anon_sym_PIPE] = ACTIONS(6135),
    [anon_sym_CARET] = ACTIONS(6135),
    [anon_sym_AMP] = ACTIONS(6135),
    [anon_sym_EQ_EQ] = ACTIONS(6137),
    [anon_sym_BANG_EQ] = ACTIONS(6137),
    [anon_sym_GT] = ACTIONS(6135),
    [anon_sym_GT_EQ] = ACTIONS(6137),
    [anon_sym_LT_EQ] = ACTIONS(6135),
    [anon_sym_LT] = ACTIONS(6135),
    [anon_sym_LT_LT] = ACTIONS(6135),
    [anon_sym_GT_GT] = ACTIONS(6135),
    [anon_sym_COLON] = ACTIONS(6137),
    [anon_sym_SEMI] = ACTIONS(6137),
    [anon_sym___attribute__] = ACTIONS(6135),
    [anon_sym_LBRACE] = ACTIONS(6137),
    [anon_sym_RBRACE] = ACTIONS(6137),
    [anon_sym_LBRACK] = ACTIONS(6137),
    [anon_sym_RBRACK] = ACTIONS(6137),
    [anon_sym_EQ] = ACTIONS(6135),
    [anon_sym_QMARK] = ACTIONS(6137),
    [anon_sym_STAR_EQ] = ACTIONS(6137),
    [anon_sym_SLASH_EQ] = ACTIONS(6137),
    [anon_sym_PERCENT_EQ] = ACTIONS(6137),
    [anon_sym_PLUS_EQ] = ACTIONS(6137),
    [anon_sym_DASH_EQ] = ACTIONS(6137),
    [anon_sym_LT_LT_EQ] = ACTIONS(6137),
    [anon_sym_GT_GT_EQ] = ACTIONS(6137),
    [anon_sym_AMP_EQ] = ACTIONS(6137),
    [anon_sym_CARET_EQ] = ACTIONS(6137),
    [anon_sym_PIPE_EQ] = ACTIONS(6137),
    [anon_sym_and_eq] = ACTIONS(6135),
    [anon_sym_or_eq] = ACTIONS(6135),
    [anon_sym_xor_eq] = ACTIONS(6135),
    [anon_sym_LT_EQ_GT] = ACTIONS(6137),
    [anon_sym_or] = ACTIONS(6135),
    [anon_sym_and] = ACTIONS(6135),
    [anon_sym_bitor] = ACTIONS(6135),
    [anon_sym_xor] = ACTIONS(6135),
    [anon_sym_bitand] = ACTIONS(6135),
    [anon_sym_not_eq] = ACTIONS(6135),
    [anon_sym_DASH_DASH] = ACTIONS(6137),
    [anon_sym_PLUS_PLUS] = ACTIONS(6137),
    [anon_sym_DOT] = ACTIONS(6135),
    [anon_sym_DOT_STAR] = ACTIONS(6137),
    [anon_sym_DASH_GT] = ACTIONS(6137),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(6135),
    [anon_sym_decltype] = ACTIONS(6135),
  },
  [3376] = {
    [sym_identifier] = ACTIONS(6396),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6398),
    [anon_sym_COMMA] = ACTIONS(6398),
    [aux_sym_preproc_if_token2] = ACTIONS(6398),
    [aux_sym_preproc_else_token1] = ACTIONS(6398),
    [aux_sym_preproc_elif_token1] = ACTIONS(6398),
    [anon_sym_LPAREN2] = ACTIONS(6398),
    [anon_sym_DASH] = ACTIONS(6396),
    [anon_sym_PLUS] = ACTIONS(6396),
    [anon_sym_STAR] = ACTIONS(6396),
    [anon_sym_SLASH] = ACTIONS(6396),
    [anon_sym_PERCENT] = ACTIONS(6396),
    [anon_sym_PIPE_PIPE] = ACTIONS(6398),
    [anon_sym_AMP_AMP] = ACTIONS(6398),
    [anon_sym_PIPE] = ACTIONS(6396),
    [anon_sym_CARET] = ACTIONS(6396),
    [anon_sym_AMP] = ACTIONS(6396),
    [anon_sym_EQ_EQ] = ACTIONS(6398),
    [anon_sym_BANG_EQ] = ACTIONS(6398),
    [anon_sym_GT] = ACTIONS(6396),
    [anon_sym_GT_EQ] = ACTIONS(6398),
    [anon_sym_LT_EQ] = ACTIONS(6396),
    [anon_sym_LT] = ACTIONS(6396),
    [anon_sym_LT_LT] = ACTIONS(6396),
    [anon_sym_GT_GT] = ACTIONS(6396),
    [anon_sym_LBRACK] = ACTIONS(6398),
    [anon_sym_EQ] = ACTIONS(6396),
    [anon_sym_QMARK] = ACTIONS(6398),
    [anon_sym_STAR_EQ] = ACTIONS(6398),
    [anon_sym_SLASH_EQ] = ACTIONS(6398),
    [anon_sym_PERCENT_EQ] = ACTIONS(6398),
    [anon_sym_PLUS_EQ] = ACTIONS(6398),
    [anon_sym_DASH_EQ] = ACTIONS(6398),
    [anon_sym_LT_LT_EQ] = ACTIONS(6398),
    [anon_sym_GT_GT_EQ] = ACTIONS(6398),
    [anon_sym_AMP_EQ] = ACTIONS(6398),
    [anon_sym_CARET_EQ] = ACTIONS(6398),
    [anon_sym_PIPE_EQ] = ACTIONS(6398),
    [anon_sym_and_eq] = ACTIONS(6396),
    [anon_sym_or_eq] = ACTIONS(6396),
    [anon_sym_xor_eq] = ACTIONS(6396),
    [anon_sym_LT_EQ_GT] = ACTIONS(6398),
    [anon_sym_or] = ACTIONS(6396),
    [anon_sym_and] = ACTIONS(6396),
    [anon_sym_bitor] = ACTIONS(6396),
    [anon_sym_xor] = ACTIONS(6396),
    [anon_sym_bitand] = ACTIONS(6396),
    [anon_sym_not_eq] = ACTIONS(6396),
    [anon_sym_DASH_DASH] = ACTIONS(6398),
    [anon_sym_PLUS_PLUS] = ACTIONS(6398),
    [anon_sym_DOT] = ACTIONS(6396),
    [anon_sym_DOT_STAR] = ACTIONS(6398),
    [anon_sym_DASH_GT] = ACTIONS(6398),
    [anon_sym_L_DQUOTE] = ACTIONS(6398),
    [anon_sym_u_DQUOTE] = ACTIONS(6398),
    [anon_sym_U_DQUOTE] = ACTIONS(6398),
    [anon_sym_u8_DQUOTE] = ACTIONS(6398),
    [anon_sym_DQUOTE] = ACTIONS(6398),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(6398),
    [anon_sym_LR_DQUOTE] = ACTIONS(6398),
    [anon_sym_uR_DQUOTE] = ACTIONS(6398),
    [anon_sym_UR_DQUOTE] = ACTIONS(6398),
    [anon_sym_u8R_DQUOTE] = ACTIONS(6398),
    [sym_literal_suffix] = ACTIONS(6396),
  },
  [3377] = {
    [sym_identifier] = ACTIONS(6151),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6153),
    [anon_sym_COMMA] = ACTIONS(6153),
    [anon_sym_RPAREN] = ACTIONS(6153),
    [aux_sym_preproc_if_token2] = ACTIONS(6153),
    [aux_sym_preproc_else_token1] = ACTIONS(6153),
    [aux_sym_preproc_elif_token1] = ACTIONS(6151),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(6153),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(6153),
    [anon_sym_LPAREN2] = ACTIONS(6153),
    [anon_sym_DASH] = ACTIONS(6151),
    [anon_sym_PLUS] = ACTIONS(6151),
    [anon_sym_STAR] = ACTIONS(6151),
    [anon_sym_SLASH] = ACTIONS(6151),
    [anon_sym_PERCENT] = ACTIONS(6151),
    [anon_sym_PIPE_PIPE] = ACTIONS(6153),
    [anon_sym_AMP_AMP] = ACTIONS(6153),
    [anon_sym_PIPE] = ACTIONS(6151),
    [anon_sym_CARET] = ACTIONS(6151),
    [anon_sym_AMP] = ACTIONS(6151),
    [anon_sym_EQ_EQ] = ACTIONS(6153),
    [anon_sym_BANG_EQ] = ACTIONS(6153),
    [anon_sym_GT] = ACTIONS(6151),
    [anon_sym_GT_EQ] = ACTIONS(6153),
    [anon_sym_LT_EQ] = ACTIONS(6151),
    [anon_sym_LT] = ACTIONS(6151),
    [anon_sym_LT_LT] = ACTIONS(6151),
    [anon_sym_GT_GT] = ACTIONS(6151),
    [anon_sym_COLON] = ACTIONS(6153),
    [anon_sym_SEMI] = ACTIONS(6153),
    [anon_sym___attribute__] = ACTIONS(6151),
    [anon_sym_LBRACE] = ACTIONS(6153),
    [anon_sym_RBRACE] = ACTIONS(6153),
    [anon_sym_LBRACK] = ACTIONS(6153),
    [anon_sym_RBRACK] = ACTIONS(6153),
    [anon_sym_EQ] = ACTIONS(6151),
    [anon_sym_QMARK] = ACTIONS(6153),
    [anon_sym_STAR_EQ] = ACTIONS(6153),
    [anon_sym_SLASH_EQ] = ACTIONS(6153),
    [anon_sym_PERCENT_EQ] = ACTIONS(6153),
    [anon_sym_PLUS_EQ] = ACTIONS(6153),
    [anon_sym_DASH_EQ] = ACTIONS(6153),
    [anon_sym_LT_LT_EQ] = ACTIONS(6153),
    [anon_sym_GT_GT_EQ] = ACTIONS(6153),
    [anon_sym_AMP_EQ] = ACTIONS(6153),
    [anon_sym_CARET_EQ] = ACTIONS(6153),
    [anon_sym_PIPE_EQ] = ACTIONS(6153),
    [anon_sym_and_eq] = ACTIONS(6151),
    [anon_sym_or_eq] = ACTIONS(6151),
    [anon_sym_xor_eq] = ACTIONS(6151),
    [anon_sym_LT_EQ_GT] = ACTIONS(6153),
    [anon_sym_or] = ACTIONS(6151),
    [anon_sym_and] = ACTIONS(6151),
    [anon_sym_bitor] = ACTIONS(6151),
    [anon_sym_xor] = ACTIONS(6151),
    [anon_sym_bitand] = ACTIONS(6151),
    [anon_sym_not_eq] = ACTIONS(6151),
    [anon_sym_DASH_DASH] = ACTIONS(6153),
    [anon_sym_PLUS_PLUS] = ACTIONS(6153),
    [anon_sym_DOT] = ACTIONS(6151),
    [anon_sym_DOT_STAR] = ACTIONS(6153),
    [anon_sym_DASH_GT] = ACTIONS(6153),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(6151),
    [anon_sym_decltype] = ACTIONS(6151),
  },
  [3378] = {
    [sym_identifier] = ACTIONS(3142),
    [anon_sym___extension__] = ACTIONS(3142),
    [anon_sym_typedef] = ACTIONS(6662),
    [anon_sym_in] = ACTIONS(3142),
    [anon_sym_out] = ACTIONS(3142),
    [anon_sym_inout] = ACTIONS(3142),
    [anon_sym_extern] = ACTIONS(3142),
    [anon_sym___attribute__] = ACTIONS(3142),
    [anon_sym_COLON_COLON] = ACTIONS(3144),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3144),
    [anon_sym___declspec] = ACTIONS(3142),
    [anon_sym_signed] = ACTIONS(3142),
    [anon_sym_unsigned] = ACTIONS(3142),
    [anon_sym_long] = ACTIONS(3142),
    [anon_sym_short] = ACTIONS(3142),
    [anon_sym_static] = ACTIONS(3142),
    [anon_sym_register] = ACTIONS(3142),
    [anon_sym_inline] = ACTIONS(3142),
    [anon_sym___inline] = ACTIONS(3142),
    [anon_sym___inline__] = ACTIONS(3142),
    [anon_sym___forceinline] = ACTIONS(3142),
    [anon_sym_thread_local] = ACTIONS(3142),
    [anon_sym___thread] = ACTIONS(3142),
    [anon_sym_const] = ACTIONS(3142),
    [anon_sym_constexpr] = ACTIONS(3142),
    [anon_sym_volatile] = ACTIONS(3142),
    [anon_sym_restrict] = ACTIONS(3142),
    [anon_sym___restrict__] = ACTIONS(3142),
    [anon_sym__Atomic] = ACTIONS(3142),
    [anon_sym__Noreturn] = ACTIONS(3142),
    [anon_sym_noreturn] = ACTIONS(3142),
    [anon_sym_mutable] = ACTIONS(3142),
    [anon_sym_constinit] = ACTIONS(3142),
    [anon_sym_consteval] = ACTIONS(3142),
    [sym_primitive_type] = ACTIONS(3142),
    [anon_sym_enum] = ACTIONS(3142),
    [anon_sym_class] = ACTIONS(3142),
    [anon_sym_struct] = ACTIONS(3142),
    [anon_sym_union] = ACTIONS(3142),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3142),
    [anon_sym_decltype] = ACTIONS(3142),
    [anon_sym_virtual] = ACTIONS(3142),
    [anon_sym_alignas] = ACTIONS(3142),
    [anon_sym_typename] = ACTIONS(3142),
    [anon_sym_template] = ACTIONS(3142),
    [anon_sym_precise] = ACTIONS(3142),
    [anon_sym_shared] = ACTIONS(3142),
    [anon_sym_groupshared] = ACTIONS(3142),
    [anon_sym_uniform] = ACTIONS(3142),
    [anon_sym_row_major] = ACTIONS(3142),
    [anon_sym_column_major] = ACTIONS(3142),
    [anon_sym_globallycoherent] = ACTIONS(3142),
    [anon_sym_centroid] = ACTIONS(3142),
    [anon_sym_noperspective] = ACTIONS(3142),
    [anon_sym_nointerpolation] = ACTIONS(3142),
    [anon_sym_sample] = ACTIONS(3142),
    [anon_sym_linear] = ACTIONS(3142),
    [anon_sym_snorm] = ACTIONS(3142),
    [anon_sym_unorm] = ACTIONS(3142),
    [anon_sym_point] = ACTIONS(3142),
    [anon_sym_line] = ACTIONS(3142),
    [anon_sym_triangleadj] = ACTIONS(3142),
    [anon_sym_lineadj] = ACTIONS(3142),
    [anon_sym_triangle] = ACTIONS(3142),
  },
  [3379] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(3174),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5954),
    [anon_sym_COMMA] = ACTIONS(5954),
    [anon_sym_RPAREN] = ACTIONS(5954),
    [anon_sym_LPAREN2] = ACTIONS(5954),
    [anon_sym_DASH] = ACTIONS(5952),
    [anon_sym_PLUS] = ACTIONS(5952),
    [anon_sym_STAR] = ACTIONS(5954),
    [anon_sym_SLASH] = ACTIONS(5952),
    [anon_sym_PERCENT] = ACTIONS(5954),
    [anon_sym_PIPE_PIPE] = ACTIONS(5954),
    [anon_sym_AMP_AMP] = ACTIONS(5954),
    [anon_sym_PIPE] = ACTIONS(5952),
    [anon_sym_CARET] = ACTIONS(5954),
    [anon_sym_AMP] = ACTIONS(5952),
    [anon_sym_EQ_EQ] = ACTIONS(5954),
    [anon_sym_BANG_EQ] = ACTIONS(5954),
    [anon_sym_GT] = ACTIONS(5952),
    [anon_sym_GT_EQ] = ACTIONS(5954),
    [anon_sym_LT_EQ] = ACTIONS(5952),
    [anon_sym_LT] = ACTIONS(5952),
    [anon_sym_LT_LT] = ACTIONS(5954),
    [anon_sym_GT_GT] = ACTIONS(5954),
    [anon_sym_COLON] = ACTIONS(5954),
    [anon_sym_SEMI] = ACTIONS(5954),
    [anon_sym___extension__] = ACTIONS(5954),
    [anon_sym___attribute__] = ACTIONS(5954),
    [anon_sym_LBRACE] = ACTIONS(5954),
    [anon_sym_RBRACE] = ACTIONS(5954),
    [anon_sym_signed] = ACTIONS(6664),
    [anon_sym_unsigned] = ACTIONS(6664),
    [anon_sym_long] = ACTIONS(6664),
    [anon_sym_short] = ACTIONS(6664),
    [anon_sym_LBRACK] = ACTIONS(5954),
    [anon_sym_RBRACK] = ACTIONS(5954),
    [anon_sym_const] = ACTIONS(5952),
    [anon_sym_constexpr] = ACTIONS(5954),
    [anon_sym_volatile] = ACTIONS(5954),
    [anon_sym_restrict] = ACTIONS(5954),
    [anon_sym___restrict__] = ACTIONS(5954),
    [anon_sym__Atomic] = ACTIONS(5954),
    [anon_sym__Noreturn] = ACTIONS(5954),
    [anon_sym_noreturn] = ACTIONS(5954),
    [anon_sym_mutable] = ACTIONS(5954),
    [anon_sym_constinit] = ACTIONS(5954),
    [anon_sym_consteval] = ACTIONS(5954),
    [anon_sym_QMARK] = ACTIONS(5954),
    [anon_sym_LT_EQ_GT] = ACTIONS(5954),
    [anon_sym_or] = ACTIONS(5954),
    [anon_sym_and] = ACTIONS(5954),
    [anon_sym_bitor] = ACTIONS(5954),
    [anon_sym_xor] = ACTIONS(5954),
    [anon_sym_bitand] = ACTIONS(5954),
    [anon_sym_not_eq] = ACTIONS(5954),
    [anon_sym_DASH_DASH] = ACTIONS(5954),
    [anon_sym_PLUS_PLUS] = ACTIONS(5954),
    [anon_sym_DOT] = ACTIONS(5952),
    [anon_sym_DOT_STAR] = ACTIONS(5954),
    [anon_sym_DASH_GT] = ACTIONS(5954),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5954),
    [anon_sym_decltype] = ACTIONS(5954),
    [anon_sym_final] = ACTIONS(5954),
    [anon_sym_override] = ACTIONS(5954),
    [anon_sym_requires] = ACTIONS(5954),
  },
  [3380] = {
    [sym_identifier] = ACTIONS(6041),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6043),
    [anon_sym_COMMA] = ACTIONS(6043),
    [anon_sym_RPAREN] = ACTIONS(6043),
    [aux_sym_preproc_if_token2] = ACTIONS(6043),
    [aux_sym_preproc_else_token1] = ACTIONS(6043),
    [aux_sym_preproc_elif_token1] = ACTIONS(6041),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(6043),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(6043),
    [anon_sym_LPAREN2] = ACTIONS(6043),
    [anon_sym_DASH] = ACTIONS(6041),
    [anon_sym_PLUS] = ACTIONS(6041),
    [anon_sym_STAR] = ACTIONS(6041),
    [anon_sym_SLASH] = ACTIONS(6041),
    [anon_sym_PERCENT] = ACTIONS(6041),
    [anon_sym_PIPE_PIPE] = ACTIONS(6043),
    [anon_sym_AMP_AMP] = ACTIONS(6043),
    [anon_sym_PIPE] = ACTIONS(6041),
    [anon_sym_CARET] = ACTIONS(6041),
    [anon_sym_AMP] = ACTIONS(6041),
    [anon_sym_EQ_EQ] = ACTIONS(6043),
    [anon_sym_BANG_EQ] = ACTIONS(6043),
    [anon_sym_GT] = ACTIONS(6041),
    [anon_sym_GT_EQ] = ACTIONS(6043),
    [anon_sym_LT_EQ] = ACTIONS(6041),
    [anon_sym_LT] = ACTIONS(6041),
    [anon_sym_LT_LT] = ACTIONS(6041),
    [anon_sym_GT_GT] = ACTIONS(6041),
    [anon_sym_COLON] = ACTIONS(6043),
    [anon_sym_SEMI] = ACTIONS(6043),
    [anon_sym___attribute__] = ACTIONS(6041),
    [anon_sym_LBRACE] = ACTIONS(6043),
    [anon_sym_RBRACE] = ACTIONS(6043),
    [anon_sym_LBRACK] = ACTIONS(6043),
    [anon_sym_RBRACK] = ACTIONS(6043),
    [anon_sym_EQ] = ACTIONS(6041),
    [anon_sym_QMARK] = ACTIONS(6043),
    [anon_sym_STAR_EQ] = ACTIONS(6043),
    [anon_sym_SLASH_EQ] = ACTIONS(6043),
    [anon_sym_PERCENT_EQ] = ACTIONS(6043),
    [anon_sym_PLUS_EQ] = ACTIONS(6043),
    [anon_sym_DASH_EQ] = ACTIONS(6043),
    [anon_sym_LT_LT_EQ] = ACTIONS(6043),
    [anon_sym_GT_GT_EQ] = ACTIONS(6043),
    [anon_sym_AMP_EQ] = ACTIONS(6043),
    [anon_sym_CARET_EQ] = ACTIONS(6043),
    [anon_sym_PIPE_EQ] = ACTIONS(6043),
    [anon_sym_and_eq] = ACTIONS(6041),
    [anon_sym_or_eq] = ACTIONS(6041),
    [anon_sym_xor_eq] = ACTIONS(6041),
    [anon_sym_LT_EQ_GT] = ACTIONS(6043),
    [anon_sym_or] = ACTIONS(6041),
    [anon_sym_and] = ACTIONS(6041),
    [anon_sym_bitor] = ACTIONS(6041),
    [anon_sym_xor] = ACTIONS(6041),
    [anon_sym_bitand] = ACTIONS(6041),
    [anon_sym_not_eq] = ACTIONS(6041),
    [anon_sym_DASH_DASH] = ACTIONS(6043),
    [anon_sym_PLUS_PLUS] = ACTIONS(6043),
    [anon_sym_DOT] = ACTIONS(6041),
    [anon_sym_DOT_STAR] = ACTIONS(6043),
    [anon_sym_DASH_GT] = ACTIONS(6043),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(6041),
    [anon_sym_decltype] = ACTIONS(6041),
  },
  [3381] = {
    [sym_argument_list] = STATE(3651),
    [sym_initializer_list] = STATE(3651),
    [sym_identifier] = ACTIONS(6666),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6668),
    [anon_sym_COMMA] = ACTIONS(6668),
    [anon_sym_RPAREN] = ACTIONS(6668),
    [aux_sym_preproc_if_token2] = ACTIONS(6668),
    [aux_sym_preproc_else_token1] = ACTIONS(6668),
    [aux_sym_preproc_elif_token1] = ACTIONS(6666),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(6668),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(6668),
    [anon_sym_LPAREN2] = ACTIONS(6440),
    [anon_sym_DASH] = ACTIONS(6666),
    [anon_sym_PLUS] = ACTIONS(6666),
    [anon_sym_STAR] = ACTIONS(6666),
    [anon_sym_SLASH] = ACTIONS(6666),
    [anon_sym_PERCENT] = ACTIONS(6666),
    [anon_sym_PIPE_PIPE] = ACTIONS(6668),
    [anon_sym_AMP_AMP] = ACTIONS(6668),
    [anon_sym_PIPE] = ACTIONS(6666),
    [anon_sym_CARET] = ACTIONS(6666),
    [anon_sym_AMP] = ACTIONS(6666),
    [anon_sym_EQ_EQ] = ACTIONS(6668),
    [anon_sym_BANG_EQ] = ACTIONS(6668),
    [anon_sym_GT] = ACTIONS(6666),
    [anon_sym_GT_EQ] = ACTIONS(6668),
    [anon_sym_LT_EQ] = ACTIONS(6666),
    [anon_sym_LT] = ACTIONS(6666),
    [anon_sym_LT_LT] = ACTIONS(6666),
    [anon_sym_GT_GT] = ACTIONS(6666),
    [anon_sym_COLON] = ACTIONS(6668),
    [anon_sym_SEMI] = ACTIONS(6668),
    [anon_sym___attribute__] = ACTIONS(6666),
    [anon_sym_LBRACE] = ACTIONS(3926),
    [anon_sym_RBRACE] = ACTIONS(6668),
    [anon_sym_LBRACK] = ACTIONS(6668),
    [anon_sym_RBRACK] = ACTIONS(6668),
    [anon_sym_EQ] = ACTIONS(6666),
    [anon_sym_QMARK] = ACTIONS(6668),
    [anon_sym_STAR_EQ] = ACTIONS(6668),
    [anon_sym_SLASH_EQ] = ACTIONS(6668),
    [anon_sym_PERCENT_EQ] = ACTIONS(6668),
    [anon_sym_PLUS_EQ] = ACTIONS(6668),
    [anon_sym_DASH_EQ] = ACTIONS(6668),
    [anon_sym_LT_LT_EQ] = ACTIONS(6668),
    [anon_sym_GT_GT_EQ] = ACTIONS(6668),
    [anon_sym_AMP_EQ] = ACTIONS(6668),
    [anon_sym_CARET_EQ] = ACTIONS(6668),
    [anon_sym_PIPE_EQ] = ACTIONS(6668),
    [anon_sym_and_eq] = ACTIONS(6666),
    [anon_sym_or_eq] = ACTIONS(6666),
    [anon_sym_xor_eq] = ACTIONS(6666),
    [anon_sym_LT_EQ_GT] = ACTIONS(6668),
    [anon_sym_or] = ACTIONS(6666),
    [anon_sym_and] = ACTIONS(6666),
    [anon_sym_bitor] = ACTIONS(6666),
    [anon_sym_xor] = ACTIONS(6666),
    [anon_sym_bitand] = ACTIONS(6666),
    [anon_sym_not_eq] = ACTIONS(6666),
    [anon_sym_DASH_DASH] = ACTIONS(6668),
    [anon_sym_PLUS_PLUS] = ACTIONS(6668),
    [anon_sym_DOT] = ACTIONS(6666),
    [anon_sym_DOT_STAR] = ACTIONS(6668),
    [anon_sym_DASH_GT] = ACTIONS(6668),
    [sym_comment] = ACTIONS(3),
  },
  [3382] = {
    [sym_argument_list] = STATE(3590),
    [sym_initializer_list] = STATE(3590),
    [sym_identifier] = ACTIONS(6670),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6672),
    [anon_sym_COMMA] = ACTIONS(6672),
    [anon_sym_RPAREN] = ACTIONS(6672),
    [aux_sym_preproc_if_token2] = ACTIONS(6672),
    [aux_sym_preproc_else_token1] = ACTIONS(6672),
    [aux_sym_preproc_elif_token1] = ACTIONS(6670),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(6672),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(6672),
    [anon_sym_LPAREN2] = ACTIONS(6440),
    [anon_sym_DASH] = ACTIONS(6670),
    [anon_sym_PLUS] = ACTIONS(6670),
    [anon_sym_STAR] = ACTIONS(6670),
    [anon_sym_SLASH] = ACTIONS(6670),
    [anon_sym_PERCENT] = ACTIONS(6670),
    [anon_sym_PIPE_PIPE] = ACTIONS(6672),
    [anon_sym_AMP_AMP] = ACTIONS(6672),
    [anon_sym_PIPE] = ACTIONS(6670),
    [anon_sym_CARET] = ACTIONS(6670),
    [anon_sym_AMP] = ACTIONS(6670),
    [anon_sym_EQ_EQ] = ACTIONS(6672),
    [anon_sym_BANG_EQ] = ACTIONS(6672),
    [anon_sym_GT] = ACTIONS(6670),
    [anon_sym_GT_EQ] = ACTIONS(6672),
    [anon_sym_LT_EQ] = ACTIONS(6670),
    [anon_sym_LT] = ACTIONS(6670),
    [anon_sym_LT_LT] = ACTIONS(6670),
    [anon_sym_GT_GT] = ACTIONS(6670),
    [anon_sym_COLON] = ACTIONS(6672),
    [anon_sym_SEMI] = ACTIONS(6672),
    [anon_sym___attribute__] = ACTIONS(6670),
    [anon_sym_LBRACE] = ACTIONS(3926),
    [anon_sym_RBRACE] = ACTIONS(6672),
    [anon_sym_LBRACK] = ACTIONS(6672),
    [anon_sym_RBRACK] = ACTIONS(6672),
    [anon_sym_EQ] = ACTIONS(6670),
    [anon_sym_QMARK] = ACTIONS(6672),
    [anon_sym_STAR_EQ] = ACTIONS(6672),
    [anon_sym_SLASH_EQ] = ACTIONS(6672),
    [anon_sym_PERCENT_EQ] = ACTIONS(6672),
    [anon_sym_PLUS_EQ] = ACTIONS(6672),
    [anon_sym_DASH_EQ] = ACTIONS(6672),
    [anon_sym_LT_LT_EQ] = ACTIONS(6672),
    [anon_sym_GT_GT_EQ] = ACTIONS(6672),
    [anon_sym_AMP_EQ] = ACTIONS(6672),
    [anon_sym_CARET_EQ] = ACTIONS(6672),
    [anon_sym_PIPE_EQ] = ACTIONS(6672),
    [anon_sym_and_eq] = ACTIONS(6670),
    [anon_sym_or_eq] = ACTIONS(6670),
    [anon_sym_xor_eq] = ACTIONS(6670),
    [anon_sym_LT_EQ_GT] = ACTIONS(6672),
    [anon_sym_or] = ACTIONS(6670),
    [anon_sym_and] = ACTIONS(6670),
    [anon_sym_bitor] = ACTIONS(6670),
    [anon_sym_xor] = ACTIONS(6670),
    [anon_sym_bitand] = ACTIONS(6670),
    [anon_sym_not_eq] = ACTIONS(6670),
    [anon_sym_DASH_DASH] = ACTIONS(6672),
    [anon_sym_PLUS_PLUS] = ACTIONS(6672),
    [anon_sym_DOT] = ACTIONS(6670),
    [anon_sym_DOT_STAR] = ACTIONS(6672),
    [anon_sym_DASH_GT] = ACTIONS(6672),
    [sym_comment] = ACTIONS(3),
  },
  [3383] = {
    [sym_identifier] = ACTIONS(6065),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6067),
    [anon_sym_COMMA] = ACTIONS(6067),
    [anon_sym_RPAREN] = ACTIONS(6067),
    [aux_sym_preproc_if_token2] = ACTIONS(6067),
    [aux_sym_preproc_else_token1] = ACTIONS(6067),
    [aux_sym_preproc_elif_token1] = ACTIONS(6065),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(6067),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(6067),
    [anon_sym_LPAREN2] = ACTIONS(6067),
    [anon_sym_DASH] = ACTIONS(6065),
    [anon_sym_PLUS] = ACTIONS(6065),
    [anon_sym_STAR] = ACTIONS(6065),
    [anon_sym_SLASH] = ACTIONS(6065),
    [anon_sym_PERCENT] = ACTIONS(6065),
    [anon_sym_PIPE_PIPE] = ACTIONS(6067),
    [anon_sym_AMP_AMP] = ACTIONS(6067),
    [anon_sym_PIPE] = ACTIONS(6065),
    [anon_sym_CARET] = ACTIONS(6065),
    [anon_sym_AMP] = ACTIONS(6065),
    [anon_sym_EQ_EQ] = ACTIONS(6067),
    [anon_sym_BANG_EQ] = ACTIONS(6067),
    [anon_sym_GT] = ACTIONS(6065),
    [anon_sym_GT_EQ] = ACTIONS(6067),
    [anon_sym_LT_EQ] = ACTIONS(6065),
    [anon_sym_LT] = ACTIONS(6065),
    [anon_sym_LT_LT] = ACTIONS(6065),
    [anon_sym_GT_GT] = ACTIONS(6065),
    [anon_sym_COLON] = ACTIONS(6067),
    [anon_sym_SEMI] = ACTIONS(6067),
    [anon_sym___attribute__] = ACTIONS(6065),
    [anon_sym_LBRACE] = ACTIONS(6067),
    [anon_sym_RBRACE] = ACTIONS(6067),
    [anon_sym_LBRACK] = ACTIONS(6067),
    [anon_sym_RBRACK] = ACTIONS(6067),
    [anon_sym_EQ] = ACTIONS(6065),
    [anon_sym_QMARK] = ACTIONS(6067),
    [anon_sym_STAR_EQ] = ACTIONS(6067),
    [anon_sym_SLASH_EQ] = ACTIONS(6067),
    [anon_sym_PERCENT_EQ] = ACTIONS(6067),
    [anon_sym_PLUS_EQ] = ACTIONS(6067),
    [anon_sym_DASH_EQ] = ACTIONS(6067),
    [anon_sym_LT_LT_EQ] = ACTIONS(6067),
    [anon_sym_GT_GT_EQ] = ACTIONS(6067),
    [anon_sym_AMP_EQ] = ACTIONS(6067),
    [anon_sym_CARET_EQ] = ACTIONS(6067),
    [anon_sym_PIPE_EQ] = ACTIONS(6067),
    [anon_sym_and_eq] = ACTIONS(6065),
    [anon_sym_or_eq] = ACTIONS(6065),
    [anon_sym_xor_eq] = ACTIONS(6065),
    [anon_sym_LT_EQ_GT] = ACTIONS(6067),
    [anon_sym_or] = ACTIONS(6065),
    [anon_sym_and] = ACTIONS(6065),
    [anon_sym_bitor] = ACTIONS(6065),
    [anon_sym_xor] = ACTIONS(6065),
    [anon_sym_bitand] = ACTIONS(6065),
    [anon_sym_not_eq] = ACTIONS(6065),
    [anon_sym_DASH_DASH] = ACTIONS(6067),
    [anon_sym_PLUS_PLUS] = ACTIONS(6067),
    [anon_sym_DOT] = ACTIONS(6065),
    [anon_sym_DOT_STAR] = ACTIONS(6067),
    [anon_sym_DASH_GT] = ACTIONS(6067),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(6065),
    [anon_sym_decltype] = ACTIONS(6065),
  },
  [3384] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(3174),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5968),
    [anon_sym_COMMA] = ACTIONS(5968),
    [anon_sym_RPAREN] = ACTIONS(5968),
    [anon_sym_LPAREN2] = ACTIONS(5968),
    [anon_sym_DASH] = ACTIONS(5966),
    [anon_sym_PLUS] = ACTIONS(5966),
    [anon_sym_STAR] = ACTIONS(5968),
    [anon_sym_SLASH] = ACTIONS(5966),
    [anon_sym_PERCENT] = ACTIONS(5968),
    [anon_sym_PIPE_PIPE] = ACTIONS(5968),
    [anon_sym_AMP_AMP] = ACTIONS(5968),
    [anon_sym_PIPE] = ACTIONS(5966),
    [anon_sym_CARET] = ACTIONS(5968),
    [anon_sym_AMP] = ACTIONS(5966),
    [anon_sym_EQ_EQ] = ACTIONS(5968),
    [anon_sym_BANG_EQ] = ACTIONS(5968),
    [anon_sym_GT] = ACTIONS(5966),
    [anon_sym_GT_EQ] = ACTIONS(5968),
    [anon_sym_LT_EQ] = ACTIONS(5966),
    [anon_sym_LT] = ACTIONS(5966),
    [anon_sym_LT_LT] = ACTIONS(5968),
    [anon_sym_GT_GT] = ACTIONS(5968),
    [anon_sym_COLON] = ACTIONS(5968),
    [anon_sym_SEMI] = ACTIONS(5968),
    [anon_sym___extension__] = ACTIONS(5968),
    [anon_sym___attribute__] = ACTIONS(5968),
    [anon_sym_LBRACE] = ACTIONS(5968),
    [anon_sym_RBRACE] = ACTIONS(5968),
    [anon_sym_signed] = ACTIONS(6664),
    [anon_sym_unsigned] = ACTIONS(6664),
    [anon_sym_long] = ACTIONS(6664),
    [anon_sym_short] = ACTIONS(6664),
    [anon_sym_LBRACK] = ACTIONS(5968),
    [anon_sym_RBRACK] = ACTIONS(5968),
    [anon_sym_const] = ACTIONS(5966),
    [anon_sym_constexpr] = ACTIONS(5968),
    [anon_sym_volatile] = ACTIONS(5968),
    [anon_sym_restrict] = ACTIONS(5968),
    [anon_sym___restrict__] = ACTIONS(5968),
    [anon_sym__Atomic] = ACTIONS(5968),
    [anon_sym__Noreturn] = ACTIONS(5968),
    [anon_sym_noreturn] = ACTIONS(5968),
    [anon_sym_mutable] = ACTIONS(5968),
    [anon_sym_constinit] = ACTIONS(5968),
    [anon_sym_consteval] = ACTIONS(5968),
    [anon_sym_QMARK] = ACTIONS(5968),
    [anon_sym_LT_EQ_GT] = ACTIONS(5968),
    [anon_sym_or] = ACTIONS(5968),
    [anon_sym_and] = ACTIONS(5968),
    [anon_sym_bitor] = ACTIONS(5968),
    [anon_sym_xor] = ACTIONS(5968),
    [anon_sym_bitand] = ACTIONS(5968),
    [anon_sym_not_eq] = ACTIONS(5968),
    [anon_sym_DASH_DASH] = ACTIONS(5968),
    [anon_sym_PLUS_PLUS] = ACTIONS(5968),
    [anon_sym_DOT] = ACTIONS(5966),
    [anon_sym_DOT_STAR] = ACTIONS(5968),
    [anon_sym_DASH_GT] = ACTIONS(5968),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5968),
    [anon_sym_decltype] = ACTIONS(5968),
    [anon_sym_final] = ACTIONS(5968),
    [anon_sym_override] = ACTIONS(5968),
    [anon_sym_requires] = ACTIONS(5968),
  },
  [3385] = {
    [sym_identifier] = ACTIONS(6065),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6067),
    [anon_sym_COMMA] = ACTIONS(6067),
    [anon_sym_RPAREN] = ACTIONS(6067),
    [aux_sym_preproc_if_token2] = ACTIONS(6067),
    [aux_sym_preproc_else_token1] = ACTIONS(6067),
    [aux_sym_preproc_elif_token1] = ACTIONS(6065),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(6067),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(6067),
    [anon_sym_LPAREN2] = ACTIONS(6067),
    [anon_sym_DASH] = ACTIONS(6065),
    [anon_sym_PLUS] = ACTIONS(6065),
    [anon_sym_STAR] = ACTIONS(6065),
    [anon_sym_SLASH] = ACTIONS(6065),
    [anon_sym_PERCENT] = ACTIONS(6065),
    [anon_sym_PIPE_PIPE] = ACTIONS(6067),
    [anon_sym_AMP_AMP] = ACTIONS(6067),
    [anon_sym_PIPE] = ACTIONS(6065),
    [anon_sym_CARET] = ACTIONS(6065),
    [anon_sym_AMP] = ACTIONS(6065),
    [anon_sym_EQ_EQ] = ACTIONS(6067),
    [anon_sym_BANG_EQ] = ACTIONS(6067),
    [anon_sym_GT] = ACTIONS(6065),
    [anon_sym_GT_EQ] = ACTIONS(6067),
    [anon_sym_LT_EQ] = ACTIONS(6065),
    [anon_sym_LT] = ACTIONS(6065),
    [anon_sym_LT_LT] = ACTIONS(6065),
    [anon_sym_GT_GT] = ACTIONS(6065),
    [anon_sym_COLON] = ACTIONS(6067),
    [anon_sym_SEMI] = ACTIONS(6067),
    [anon_sym___attribute__] = ACTIONS(6065),
    [anon_sym_LBRACE] = ACTIONS(6067),
    [anon_sym_RBRACE] = ACTIONS(6067),
    [anon_sym_LBRACK] = ACTIONS(6067),
    [anon_sym_RBRACK] = ACTIONS(6067),
    [anon_sym_EQ] = ACTIONS(6065),
    [anon_sym_QMARK] = ACTIONS(6067),
    [anon_sym_STAR_EQ] = ACTIONS(6067),
    [anon_sym_SLASH_EQ] = ACTIONS(6067),
    [anon_sym_PERCENT_EQ] = ACTIONS(6067),
    [anon_sym_PLUS_EQ] = ACTIONS(6067),
    [anon_sym_DASH_EQ] = ACTIONS(6067),
    [anon_sym_LT_LT_EQ] = ACTIONS(6067),
    [anon_sym_GT_GT_EQ] = ACTIONS(6067),
    [anon_sym_AMP_EQ] = ACTIONS(6067),
    [anon_sym_CARET_EQ] = ACTIONS(6067),
    [anon_sym_PIPE_EQ] = ACTIONS(6067),
    [anon_sym_and_eq] = ACTIONS(6065),
    [anon_sym_or_eq] = ACTIONS(6065),
    [anon_sym_xor_eq] = ACTIONS(6065),
    [anon_sym_LT_EQ_GT] = ACTIONS(6067),
    [anon_sym_or] = ACTIONS(6065),
    [anon_sym_and] = ACTIONS(6065),
    [anon_sym_bitor] = ACTIONS(6065),
    [anon_sym_xor] = ACTIONS(6065),
    [anon_sym_bitand] = ACTIONS(6065),
    [anon_sym_not_eq] = ACTIONS(6065),
    [anon_sym_DASH_DASH] = ACTIONS(6067),
    [anon_sym_PLUS_PLUS] = ACTIONS(6067),
    [anon_sym_DOT] = ACTIONS(6065),
    [anon_sym_DOT_STAR] = ACTIONS(6067),
    [anon_sym_DASH_GT] = ACTIONS(6067),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(6065),
    [anon_sym_decltype] = ACTIONS(6065),
  },
  [3386] = {
    [sym_identifier] = ACTIONS(3142),
    [anon_sym___extension__] = ACTIONS(3142),
    [anon_sym_typedef] = ACTIONS(6674),
    [anon_sym_in] = ACTIONS(3142),
    [anon_sym_out] = ACTIONS(3142),
    [anon_sym_inout] = ACTIONS(3142),
    [anon_sym_extern] = ACTIONS(3142),
    [anon_sym___attribute__] = ACTIONS(3142),
    [anon_sym_COLON_COLON] = ACTIONS(3144),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3144),
    [anon_sym___declspec] = ACTIONS(3142),
    [anon_sym_signed] = ACTIONS(3142),
    [anon_sym_unsigned] = ACTIONS(3142),
    [anon_sym_long] = ACTIONS(3142),
    [anon_sym_short] = ACTIONS(3142),
    [anon_sym_static] = ACTIONS(3142),
    [anon_sym_register] = ACTIONS(3142),
    [anon_sym_inline] = ACTIONS(3142),
    [anon_sym___inline] = ACTIONS(3142),
    [anon_sym___inline__] = ACTIONS(3142),
    [anon_sym___forceinline] = ACTIONS(3142),
    [anon_sym_thread_local] = ACTIONS(3142),
    [anon_sym___thread] = ACTIONS(3142),
    [anon_sym_const] = ACTIONS(3142),
    [anon_sym_constexpr] = ACTIONS(3142),
    [anon_sym_volatile] = ACTIONS(3142),
    [anon_sym_restrict] = ACTIONS(3142),
    [anon_sym___restrict__] = ACTIONS(3142),
    [anon_sym__Atomic] = ACTIONS(3142),
    [anon_sym__Noreturn] = ACTIONS(3142),
    [anon_sym_noreturn] = ACTIONS(3142),
    [anon_sym_mutable] = ACTIONS(3142),
    [anon_sym_constinit] = ACTIONS(3142),
    [anon_sym_consteval] = ACTIONS(3142),
    [sym_primitive_type] = ACTIONS(3142),
    [anon_sym_enum] = ACTIONS(3142),
    [anon_sym_class] = ACTIONS(3142),
    [anon_sym_struct] = ACTIONS(3142),
    [anon_sym_union] = ACTIONS(3142),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3142),
    [anon_sym_decltype] = ACTIONS(3142),
    [anon_sym_virtual] = ACTIONS(3142),
    [anon_sym_alignas] = ACTIONS(3142),
    [anon_sym_typename] = ACTIONS(3142),
    [anon_sym_template] = ACTIONS(3142),
    [anon_sym_precise] = ACTIONS(3142),
    [anon_sym_shared] = ACTIONS(3142),
    [anon_sym_groupshared] = ACTIONS(3142),
    [anon_sym_uniform] = ACTIONS(3142),
    [anon_sym_row_major] = ACTIONS(3142),
    [anon_sym_column_major] = ACTIONS(3142),
    [anon_sym_globallycoherent] = ACTIONS(3142),
    [anon_sym_centroid] = ACTIONS(3142),
    [anon_sym_noperspective] = ACTIONS(3142),
    [anon_sym_nointerpolation] = ACTIONS(3142),
    [anon_sym_sample] = ACTIONS(3142),
    [anon_sym_linear] = ACTIONS(3142),
    [anon_sym_snorm] = ACTIONS(3142),
    [anon_sym_unorm] = ACTIONS(3142),
    [anon_sym_point] = ACTIONS(3142),
    [anon_sym_line] = ACTIONS(3142),
    [anon_sym_triangleadj] = ACTIONS(3142),
    [anon_sym_lineadj] = ACTIONS(3142),
    [anon_sym_triangle] = ACTIONS(3142),
  },
  [3387] = {
    [sym_identifier] = ACTIONS(2452),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2454),
    [anon_sym_COMMA] = ACTIONS(2454),
    [anon_sym_RPAREN] = ACTIONS(2454),
    [aux_sym_preproc_if_token2] = ACTIONS(2454),
    [aux_sym_preproc_else_token1] = ACTIONS(2454),
    [aux_sym_preproc_elif_token1] = ACTIONS(2452),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2454),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2454),
    [anon_sym_LPAREN2] = ACTIONS(2454),
    [anon_sym_DASH] = ACTIONS(2452),
    [anon_sym_PLUS] = ACTIONS(2452),
    [anon_sym_STAR] = ACTIONS(2452),
    [anon_sym_SLASH] = ACTIONS(2452),
    [anon_sym_PERCENT] = ACTIONS(2452),
    [anon_sym_PIPE_PIPE] = ACTIONS(2454),
    [anon_sym_AMP_AMP] = ACTIONS(2454),
    [anon_sym_PIPE] = ACTIONS(2452),
    [anon_sym_CARET] = ACTIONS(2452),
    [anon_sym_AMP] = ACTIONS(2452),
    [anon_sym_EQ_EQ] = ACTIONS(2454),
    [anon_sym_BANG_EQ] = ACTIONS(2454),
    [anon_sym_GT] = ACTIONS(2452),
    [anon_sym_GT_EQ] = ACTIONS(2454),
    [anon_sym_LT_EQ] = ACTIONS(2452),
    [anon_sym_LT] = ACTIONS(2452),
    [anon_sym_LT_LT] = ACTIONS(2452),
    [anon_sym_GT_GT] = ACTIONS(2452),
    [anon_sym_COLON] = ACTIONS(2454),
    [anon_sym_SEMI] = ACTIONS(2454),
    [anon_sym___attribute__] = ACTIONS(2452),
    [anon_sym_LBRACE] = ACTIONS(2454),
    [anon_sym_RBRACE] = ACTIONS(2454),
    [anon_sym_LBRACK] = ACTIONS(2454),
    [anon_sym_RBRACK] = ACTIONS(2454),
    [anon_sym_EQ] = ACTIONS(2452),
    [anon_sym_QMARK] = ACTIONS(2454),
    [anon_sym_STAR_EQ] = ACTIONS(2454),
    [anon_sym_SLASH_EQ] = ACTIONS(2454),
    [anon_sym_PERCENT_EQ] = ACTIONS(2454),
    [anon_sym_PLUS_EQ] = ACTIONS(2454),
    [anon_sym_DASH_EQ] = ACTIONS(2454),
    [anon_sym_LT_LT_EQ] = ACTIONS(2454),
    [anon_sym_GT_GT_EQ] = ACTIONS(2454),
    [anon_sym_AMP_EQ] = ACTIONS(2454),
    [anon_sym_CARET_EQ] = ACTIONS(2454),
    [anon_sym_PIPE_EQ] = ACTIONS(2454),
    [anon_sym_and_eq] = ACTIONS(2452),
    [anon_sym_or_eq] = ACTIONS(2452),
    [anon_sym_xor_eq] = ACTIONS(2452),
    [anon_sym_LT_EQ_GT] = ACTIONS(2454),
    [anon_sym_or] = ACTIONS(2452),
    [anon_sym_and] = ACTIONS(2452),
    [anon_sym_bitor] = ACTIONS(2452),
    [anon_sym_xor] = ACTIONS(2452),
    [anon_sym_bitand] = ACTIONS(2452),
    [anon_sym_not_eq] = ACTIONS(2452),
    [anon_sym_DASH_DASH] = ACTIONS(2454),
    [anon_sym_PLUS_PLUS] = ACTIONS(2454),
    [anon_sym_DOT] = ACTIONS(2452),
    [anon_sym_DOT_STAR] = ACTIONS(2454),
    [anon_sym_DASH_GT] = ACTIONS(2454),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2452),
    [anon_sym_decltype] = ACTIONS(2452),
  },
  [3388] = {
    [sym_identifier] = ACTIONS(2396),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2398),
    [anon_sym_COMMA] = ACTIONS(2398),
    [anon_sym_RPAREN] = ACTIONS(2398),
    [aux_sym_preproc_if_token2] = ACTIONS(2398),
    [aux_sym_preproc_else_token1] = ACTIONS(2398),
    [aux_sym_preproc_elif_token1] = ACTIONS(2396),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2398),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2398),
    [anon_sym_LPAREN2] = ACTIONS(2398),
    [anon_sym_DASH] = ACTIONS(2396),
    [anon_sym_PLUS] = ACTIONS(2396),
    [anon_sym_STAR] = ACTIONS(2396),
    [anon_sym_SLASH] = ACTIONS(2396),
    [anon_sym_PERCENT] = ACTIONS(2396),
    [anon_sym_PIPE_PIPE] = ACTIONS(2398),
    [anon_sym_AMP_AMP] = ACTIONS(2398),
    [anon_sym_PIPE] = ACTIONS(2396),
    [anon_sym_CARET] = ACTIONS(2396),
    [anon_sym_AMP] = ACTIONS(2396),
    [anon_sym_EQ_EQ] = ACTIONS(2398),
    [anon_sym_BANG_EQ] = ACTIONS(2398),
    [anon_sym_GT] = ACTIONS(2396),
    [anon_sym_GT_EQ] = ACTIONS(2398),
    [anon_sym_LT_EQ] = ACTIONS(2396),
    [anon_sym_LT] = ACTIONS(2396),
    [anon_sym_LT_LT] = ACTIONS(2396),
    [anon_sym_GT_GT] = ACTIONS(2396),
    [anon_sym_COLON] = ACTIONS(2398),
    [anon_sym_SEMI] = ACTIONS(2398),
    [anon_sym___attribute__] = ACTIONS(2396),
    [anon_sym_LBRACE] = ACTIONS(2398),
    [anon_sym_RBRACE] = ACTIONS(2398),
    [anon_sym_LBRACK] = ACTIONS(2398),
    [anon_sym_RBRACK] = ACTIONS(2398),
    [anon_sym_EQ] = ACTIONS(2396),
    [anon_sym_QMARK] = ACTIONS(2398),
    [anon_sym_STAR_EQ] = ACTIONS(2398),
    [anon_sym_SLASH_EQ] = ACTIONS(2398),
    [anon_sym_PERCENT_EQ] = ACTIONS(2398),
    [anon_sym_PLUS_EQ] = ACTIONS(2398),
    [anon_sym_DASH_EQ] = ACTIONS(2398),
    [anon_sym_LT_LT_EQ] = ACTIONS(2398),
    [anon_sym_GT_GT_EQ] = ACTIONS(2398),
    [anon_sym_AMP_EQ] = ACTIONS(2398),
    [anon_sym_CARET_EQ] = ACTIONS(2398),
    [anon_sym_PIPE_EQ] = ACTIONS(2398),
    [anon_sym_and_eq] = ACTIONS(2396),
    [anon_sym_or_eq] = ACTIONS(2396),
    [anon_sym_xor_eq] = ACTIONS(2396),
    [anon_sym_LT_EQ_GT] = ACTIONS(2398),
    [anon_sym_or] = ACTIONS(2396),
    [anon_sym_and] = ACTIONS(2396),
    [anon_sym_bitor] = ACTIONS(2396),
    [anon_sym_xor] = ACTIONS(2396),
    [anon_sym_bitand] = ACTIONS(2396),
    [anon_sym_not_eq] = ACTIONS(2396),
    [anon_sym_DASH_DASH] = ACTIONS(2398),
    [anon_sym_PLUS_PLUS] = ACTIONS(2398),
    [anon_sym_DOT] = ACTIONS(2396),
    [anon_sym_DOT_STAR] = ACTIONS(2398),
    [anon_sym_DASH_GT] = ACTIONS(2398),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2396),
    [anon_sym_decltype] = ACTIONS(2396),
  },
  [3389] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(3450),
    [sym_identifier] = ACTIONS(5946),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5948),
    [anon_sym_COMMA] = ACTIONS(5948),
    [aux_sym_preproc_if_token2] = ACTIONS(5948),
    [aux_sym_preproc_else_token1] = ACTIONS(5948),
    [aux_sym_preproc_elif_token1] = ACTIONS(5946),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5948),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5948),
    [anon_sym_LPAREN2] = ACTIONS(5948),
    [anon_sym_DASH] = ACTIONS(5946),
    [anon_sym_PLUS] = ACTIONS(5946),
    [anon_sym_STAR] = ACTIONS(5946),
    [anon_sym_SLASH] = ACTIONS(5946),
    [anon_sym_PERCENT] = ACTIONS(5946),
    [anon_sym_PIPE_PIPE] = ACTIONS(5948),
    [anon_sym_AMP_AMP] = ACTIONS(5948),
    [anon_sym_PIPE] = ACTIONS(5946),
    [anon_sym_CARET] = ACTIONS(5946),
    [anon_sym_AMP] = ACTIONS(5946),
    [anon_sym_EQ_EQ] = ACTIONS(5948),
    [anon_sym_BANG_EQ] = ACTIONS(5948),
    [anon_sym_GT] = ACTIONS(5946),
    [anon_sym_GT_EQ] = ACTIONS(5948),
    [anon_sym_LT_EQ] = ACTIONS(5946),
    [anon_sym_LT] = ACTIONS(5946),
    [anon_sym_LT_LT] = ACTIONS(5946),
    [anon_sym_GT_GT] = ACTIONS(5946),
    [anon_sym___attribute__] = ACTIONS(5946),
    [anon_sym_LBRACE] = ACTIONS(5948),
    [anon_sym_signed] = ACTIONS(6676),
    [anon_sym_unsigned] = ACTIONS(6676),
    [anon_sym_long] = ACTIONS(6676),
    [anon_sym_short] = ACTIONS(6676),
    [anon_sym_LBRACK] = ACTIONS(5948),
    [anon_sym_EQ] = ACTIONS(5946),
    [anon_sym_QMARK] = ACTIONS(5948),
    [anon_sym_STAR_EQ] = ACTIONS(5948),
    [anon_sym_SLASH_EQ] = ACTIONS(5948),
    [anon_sym_PERCENT_EQ] = ACTIONS(5948),
    [anon_sym_PLUS_EQ] = ACTIONS(5948),
    [anon_sym_DASH_EQ] = ACTIONS(5948),
    [anon_sym_LT_LT_EQ] = ACTIONS(5948),
    [anon_sym_GT_GT_EQ] = ACTIONS(5948),
    [anon_sym_AMP_EQ] = ACTIONS(5948),
    [anon_sym_CARET_EQ] = ACTIONS(5948),
    [anon_sym_PIPE_EQ] = ACTIONS(5948),
    [anon_sym_and_eq] = ACTIONS(5946),
    [anon_sym_or_eq] = ACTIONS(5946),
    [anon_sym_xor_eq] = ACTIONS(5946),
    [anon_sym_LT_EQ_GT] = ACTIONS(5948),
    [anon_sym_or] = ACTIONS(5946),
    [anon_sym_and] = ACTIONS(5946),
    [anon_sym_bitor] = ACTIONS(5946),
    [anon_sym_xor] = ACTIONS(5946),
    [anon_sym_bitand] = ACTIONS(5946),
    [anon_sym_not_eq] = ACTIONS(5946),
    [anon_sym_DASH_DASH] = ACTIONS(5948),
    [anon_sym_PLUS_PLUS] = ACTIONS(5948),
    [anon_sym_DOT] = ACTIONS(5946),
    [anon_sym_DOT_STAR] = ACTIONS(5948),
    [anon_sym_DASH_GT] = ACTIONS(5948),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5946),
    [anon_sym_decltype] = ACTIONS(5946),
  },
  [3390] = {
    [sym_identifier] = ACTIONS(5931),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5933),
    [anon_sym_COMMA] = ACTIONS(5933),
    [anon_sym_RPAREN] = ACTIONS(5933),
    [aux_sym_preproc_if_token2] = ACTIONS(5933),
    [aux_sym_preproc_else_token1] = ACTIONS(5933),
    [aux_sym_preproc_elif_token1] = ACTIONS(5931),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5933),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5933),
    [anon_sym_LPAREN2] = ACTIONS(5933),
    [anon_sym_DASH] = ACTIONS(5931),
    [anon_sym_PLUS] = ACTIONS(5931),
    [anon_sym_STAR] = ACTIONS(5931),
    [anon_sym_SLASH] = ACTIONS(5931),
    [anon_sym_PERCENT] = ACTIONS(5931),
    [anon_sym_PIPE_PIPE] = ACTIONS(5933),
    [anon_sym_AMP_AMP] = ACTIONS(5933),
    [anon_sym_PIPE] = ACTIONS(5931),
    [anon_sym_CARET] = ACTIONS(5931),
    [anon_sym_AMP] = ACTIONS(5931),
    [anon_sym_EQ_EQ] = ACTIONS(5933),
    [anon_sym_BANG_EQ] = ACTIONS(5933),
    [anon_sym_GT] = ACTIONS(5931),
    [anon_sym_GT_EQ] = ACTIONS(5933),
    [anon_sym_LT_EQ] = ACTIONS(5931),
    [anon_sym_LT] = ACTIONS(5931),
    [anon_sym_LT_LT] = ACTIONS(5931),
    [anon_sym_GT_GT] = ACTIONS(5931),
    [anon_sym_COLON] = ACTIONS(5933),
    [anon_sym_SEMI] = ACTIONS(5933),
    [anon_sym___attribute__] = ACTIONS(5931),
    [anon_sym_LBRACE] = ACTIONS(5933),
    [anon_sym_RBRACE] = ACTIONS(5933),
    [anon_sym_LBRACK] = ACTIONS(5933),
    [anon_sym_RBRACK] = ACTIONS(5933),
    [anon_sym_EQ] = ACTIONS(5931),
    [anon_sym_QMARK] = ACTIONS(5933),
    [anon_sym_STAR_EQ] = ACTIONS(5933),
    [anon_sym_SLASH_EQ] = ACTIONS(5933),
    [anon_sym_PERCENT_EQ] = ACTIONS(5933),
    [anon_sym_PLUS_EQ] = ACTIONS(5933),
    [anon_sym_DASH_EQ] = ACTIONS(5933),
    [anon_sym_LT_LT_EQ] = ACTIONS(5933),
    [anon_sym_GT_GT_EQ] = ACTIONS(5933),
    [anon_sym_AMP_EQ] = ACTIONS(5933),
    [anon_sym_CARET_EQ] = ACTIONS(5933),
    [anon_sym_PIPE_EQ] = ACTIONS(5933),
    [anon_sym_and_eq] = ACTIONS(5931),
    [anon_sym_or_eq] = ACTIONS(5931),
    [anon_sym_xor_eq] = ACTIONS(5931),
    [anon_sym_LT_EQ_GT] = ACTIONS(5933),
    [anon_sym_or] = ACTIONS(5931),
    [anon_sym_and] = ACTIONS(5931),
    [anon_sym_bitor] = ACTIONS(5931),
    [anon_sym_xor] = ACTIONS(5931),
    [anon_sym_bitand] = ACTIONS(5931),
    [anon_sym_not_eq] = ACTIONS(5931),
    [anon_sym_DASH_DASH] = ACTIONS(5933),
    [anon_sym_PLUS_PLUS] = ACTIONS(5933),
    [anon_sym_DOT] = ACTIONS(5931),
    [anon_sym_DOT_STAR] = ACTIONS(5933),
    [anon_sym_DASH_GT] = ACTIONS(5933),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5931),
    [anon_sym_decltype] = ACTIONS(5931),
  },
  [3391] = {
    [sym_attribute_declaration] = STATE(3394),
    [aux_sym_attributed_declarator_repeat1] = STATE(3394),
    [sym_identifier] = ACTIONS(6678),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6680),
    [anon_sym_COMMA] = ACTIONS(6680),
    [anon_sym_RPAREN] = ACTIONS(6680),
    [aux_sym_preproc_if_token2] = ACTIONS(6680),
    [aux_sym_preproc_else_token1] = ACTIONS(6680),
    [aux_sym_preproc_elif_token1] = ACTIONS(6678),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(6680),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(6680),
    [anon_sym_LPAREN2] = ACTIONS(6680),
    [anon_sym_DASH] = ACTIONS(6678),
    [anon_sym_PLUS] = ACTIONS(6678),
    [anon_sym_STAR] = ACTIONS(6678),
    [anon_sym_SLASH] = ACTIONS(6678),
    [anon_sym_PERCENT] = ACTIONS(6678),
    [anon_sym_PIPE_PIPE] = ACTIONS(6680),
    [anon_sym_AMP_AMP] = ACTIONS(6680),
    [anon_sym_PIPE] = ACTIONS(6678),
    [anon_sym_CARET] = ACTIONS(6678),
    [anon_sym_AMP] = ACTIONS(6678),
    [anon_sym_EQ_EQ] = ACTIONS(6680),
    [anon_sym_BANG_EQ] = ACTIONS(6680),
    [anon_sym_GT] = ACTIONS(6678),
    [anon_sym_GT_EQ] = ACTIONS(6680),
    [anon_sym_LT_EQ] = ACTIONS(6678),
    [anon_sym_LT] = ACTIONS(6678),
    [anon_sym_LT_LT] = ACTIONS(6678),
    [anon_sym_GT_GT] = ACTIONS(6678),
    [anon_sym_COLON] = ACTIONS(6680),
    [anon_sym_SEMI] = ACTIONS(6680),
    [anon_sym___attribute__] = ACTIONS(6678),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(6607),
    [anon_sym_RBRACE] = ACTIONS(6680),
    [anon_sym_LBRACK] = ACTIONS(6678),
    [anon_sym_RBRACK] = ACTIONS(6680),
    [anon_sym_EQ] = ACTIONS(6678),
    [anon_sym_QMARK] = ACTIONS(6680),
    [anon_sym_STAR_EQ] = ACTIONS(6680),
    [anon_sym_SLASH_EQ] = ACTIONS(6680),
    [anon_sym_PERCENT_EQ] = ACTIONS(6680),
    [anon_sym_PLUS_EQ] = ACTIONS(6680),
    [anon_sym_DASH_EQ] = ACTIONS(6680),
    [anon_sym_LT_LT_EQ] = ACTIONS(6680),
    [anon_sym_GT_GT_EQ] = ACTIONS(6680),
    [anon_sym_AMP_EQ] = ACTIONS(6680),
    [anon_sym_CARET_EQ] = ACTIONS(6680),
    [anon_sym_PIPE_EQ] = ACTIONS(6680),
    [anon_sym_and_eq] = ACTIONS(6678),
    [anon_sym_or_eq] = ACTIONS(6678),
    [anon_sym_xor_eq] = ACTIONS(6678),
    [anon_sym_LT_EQ_GT] = ACTIONS(6680),
    [anon_sym_or] = ACTIONS(6678),
    [anon_sym_and] = ACTIONS(6678),
    [anon_sym_bitor] = ACTIONS(6678),
    [anon_sym_xor] = ACTIONS(6678),
    [anon_sym_bitand] = ACTIONS(6678),
    [anon_sym_not_eq] = ACTIONS(6678),
    [anon_sym_DASH_DASH] = ACTIONS(6680),
    [anon_sym_PLUS_PLUS] = ACTIONS(6680),
    [anon_sym_DOT] = ACTIONS(6678),
    [anon_sym_DOT_STAR] = ACTIONS(6680),
    [anon_sym_DASH_GT] = ACTIONS(6680),
    [sym_comment] = ACTIONS(3),
  },
  [3392] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(3404),
    [sym_identifier] = ACTIONS(5952),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5954),
    [anon_sym_COMMA] = ACTIONS(5954),
    [aux_sym_preproc_if_token2] = ACTIONS(5954),
    [aux_sym_preproc_else_token1] = ACTIONS(5954),
    [aux_sym_preproc_elif_token1] = ACTIONS(5952),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5954),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5954),
    [anon_sym_LPAREN2] = ACTIONS(5954),
    [anon_sym_DASH] = ACTIONS(5952),
    [anon_sym_PLUS] = ACTIONS(5952),
    [anon_sym_STAR] = ACTIONS(5952),
    [anon_sym_SLASH] = ACTIONS(5952),
    [anon_sym_PERCENT] = ACTIONS(5952),
    [anon_sym_PIPE_PIPE] = ACTIONS(5954),
    [anon_sym_AMP_AMP] = ACTIONS(5954),
    [anon_sym_PIPE] = ACTIONS(5952),
    [anon_sym_CARET] = ACTIONS(5952),
    [anon_sym_AMP] = ACTIONS(5952),
    [anon_sym_EQ_EQ] = ACTIONS(5954),
    [anon_sym_BANG_EQ] = ACTIONS(5954),
    [anon_sym_GT] = ACTIONS(5952),
    [anon_sym_GT_EQ] = ACTIONS(5954),
    [anon_sym_LT_EQ] = ACTIONS(5952),
    [anon_sym_LT] = ACTIONS(5952),
    [anon_sym_LT_LT] = ACTIONS(5952),
    [anon_sym_GT_GT] = ACTIONS(5952),
    [anon_sym___attribute__] = ACTIONS(5952),
    [anon_sym_LBRACE] = ACTIONS(5954),
    [anon_sym_signed] = ACTIONS(6682),
    [anon_sym_unsigned] = ACTIONS(6682),
    [anon_sym_long] = ACTIONS(6682),
    [anon_sym_short] = ACTIONS(6682),
    [anon_sym_LBRACK] = ACTIONS(5954),
    [anon_sym_EQ] = ACTIONS(5952),
    [anon_sym_QMARK] = ACTIONS(5954),
    [anon_sym_STAR_EQ] = ACTIONS(5954),
    [anon_sym_SLASH_EQ] = ACTIONS(5954),
    [anon_sym_PERCENT_EQ] = ACTIONS(5954),
    [anon_sym_PLUS_EQ] = ACTIONS(5954),
    [anon_sym_DASH_EQ] = ACTIONS(5954),
    [anon_sym_LT_LT_EQ] = ACTIONS(5954),
    [anon_sym_GT_GT_EQ] = ACTIONS(5954),
    [anon_sym_AMP_EQ] = ACTIONS(5954),
    [anon_sym_CARET_EQ] = ACTIONS(5954),
    [anon_sym_PIPE_EQ] = ACTIONS(5954),
    [anon_sym_and_eq] = ACTIONS(5952),
    [anon_sym_or_eq] = ACTIONS(5952),
    [anon_sym_xor_eq] = ACTIONS(5952),
    [anon_sym_LT_EQ_GT] = ACTIONS(5954),
    [anon_sym_or] = ACTIONS(5952),
    [anon_sym_and] = ACTIONS(5952),
    [anon_sym_bitor] = ACTIONS(5952),
    [anon_sym_xor] = ACTIONS(5952),
    [anon_sym_bitand] = ACTIONS(5952),
    [anon_sym_not_eq] = ACTIONS(5952),
    [anon_sym_DASH_DASH] = ACTIONS(5954),
    [anon_sym_PLUS_PLUS] = ACTIONS(5954),
    [anon_sym_DOT] = ACTIONS(5952),
    [anon_sym_DOT_STAR] = ACTIONS(5954),
    [anon_sym_DASH_GT] = ACTIONS(5954),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5952),
    [anon_sym_decltype] = ACTIONS(5952),
  },
  [3393] = {
    [sym_identifier] = ACTIONS(6684),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6686),
    [anon_sym_COMMA] = ACTIONS(6686),
    [anon_sym_RPAREN] = ACTIONS(6686),
    [aux_sym_preproc_if_token2] = ACTIONS(6686),
    [aux_sym_preproc_else_token1] = ACTIONS(6686),
    [aux_sym_preproc_elif_token1] = ACTIONS(6684),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(6686),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(6686),
    [anon_sym_LPAREN2] = ACTIONS(6686),
    [anon_sym_DASH] = ACTIONS(6684),
    [anon_sym_PLUS] = ACTIONS(6684),
    [anon_sym_STAR] = ACTIONS(6684),
    [anon_sym_SLASH] = ACTIONS(6684),
    [anon_sym_PERCENT] = ACTIONS(6684),
    [anon_sym_PIPE_PIPE] = ACTIONS(6686),
    [anon_sym_AMP_AMP] = ACTIONS(6686),
    [anon_sym_PIPE] = ACTIONS(6684),
    [anon_sym_CARET] = ACTIONS(6684),
    [anon_sym_AMP] = ACTIONS(6684),
    [anon_sym_EQ_EQ] = ACTIONS(6686),
    [anon_sym_BANG_EQ] = ACTIONS(6686),
    [anon_sym_GT] = ACTIONS(6684),
    [anon_sym_GT_EQ] = ACTIONS(6686),
    [anon_sym_LT_EQ] = ACTIONS(6684),
    [anon_sym_LT] = ACTIONS(6684),
    [anon_sym_LT_LT] = ACTIONS(6684),
    [anon_sym_GT_GT] = ACTIONS(6684),
    [anon_sym_COLON] = ACTIONS(6686),
    [anon_sym_SEMI] = ACTIONS(6686),
    [anon_sym___attribute__] = ACTIONS(6684),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(6686),
    [anon_sym_LBRACE] = ACTIONS(6686),
    [anon_sym_RBRACE] = ACTIONS(6686),
    [anon_sym_LBRACK] = ACTIONS(6684),
    [anon_sym_RBRACK] = ACTIONS(6686),
    [anon_sym_EQ] = ACTIONS(6684),
    [anon_sym_QMARK] = ACTIONS(6686),
    [anon_sym_STAR_EQ] = ACTIONS(6686),
    [anon_sym_SLASH_EQ] = ACTIONS(6686),
    [anon_sym_PERCENT_EQ] = ACTIONS(6686),
    [anon_sym_PLUS_EQ] = ACTIONS(6686),
    [anon_sym_DASH_EQ] = ACTIONS(6686),
    [anon_sym_LT_LT_EQ] = ACTIONS(6686),
    [anon_sym_GT_GT_EQ] = ACTIONS(6686),
    [anon_sym_AMP_EQ] = ACTIONS(6686),
    [anon_sym_CARET_EQ] = ACTIONS(6686),
    [anon_sym_PIPE_EQ] = ACTIONS(6686),
    [anon_sym_and_eq] = ACTIONS(6684),
    [anon_sym_or_eq] = ACTIONS(6684),
    [anon_sym_xor_eq] = ACTIONS(6684),
    [anon_sym_LT_EQ_GT] = ACTIONS(6686),
    [anon_sym_or] = ACTIONS(6684),
    [anon_sym_and] = ACTIONS(6684),
    [anon_sym_bitor] = ACTIONS(6684),
    [anon_sym_xor] = ACTIONS(6684),
    [anon_sym_bitand] = ACTIONS(6684),
    [anon_sym_not_eq] = ACTIONS(6684),
    [anon_sym_DASH_DASH] = ACTIONS(6686),
    [anon_sym_PLUS_PLUS] = ACTIONS(6686),
    [anon_sym_DOT] = ACTIONS(6684),
    [anon_sym_DOT_STAR] = ACTIONS(6686),
    [anon_sym_DASH_GT] = ACTIONS(6686),
    [sym_comment] = ACTIONS(3),
    [anon_sym_try] = ACTIONS(6684),
  },
  [3394] = {
    [sym_attribute_declaration] = STATE(3394),
    [aux_sym_attributed_declarator_repeat1] = STATE(3394),
    [sym_identifier] = ACTIONS(6688),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6690),
    [anon_sym_COMMA] = ACTIONS(6690),
    [anon_sym_RPAREN] = ACTIONS(6690),
    [aux_sym_preproc_if_token2] = ACTIONS(6690),
    [aux_sym_preproc_else_token1] = ACTIONS(6690),
    [aux_sym_preproc_elif_token1] = ACTIONS(6688),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(6690),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(6690),
    [anon_sym_LPAREN2] = ACTIONS(6690),
    [anon_sym_DASH] = ACTIONS(6688),
    [anon_sym_PLUS] = ACTIONS(6688),
    [anon_sym_STAR] = ACTIONS(6688),
    [anon_sym_SLASH] = ACTIONS(6688),
    [anon_sym_PERCENT] = ACTIONS(6688),
    [anon_sym_PIPE_PIPE] = ACTIONS(6690),
    [anon_sym_AMP_AMP] = ACTIONS(6690),
    [anon_sym_PIPE] = ACTIONS(6688),
    [anon_sym_CARET] = ACTIONS(6688),
    [anon_sym_AMP] = ACTIONS(6688),
    [anon_sym_EQ_EQ] = ACTIONS(6690),
    [anon_sym_BANG_EQ] = ACTIONS(6690),
    [anon_sym_GT] = ACTIONS(6688),
    [anon_sym_GT_EQ] = ACTIONS(6690),
    [anon_sym_LT_EQ] = ACTIONS(6688),
    [anon_sym_LT] = ACTIONS(6688),
    [anon_sym_LT_LT] = ACTIONS(6688),
    [anon_sym_GT_GT] = ACTIONS(6688),
    [anon_sym_COLON] = ACTIONS(6690),
    [anon_sym_SEMI] = ACTIONS(6690),
    [anon_sym___attribute__] = ACTIONS(6688),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(6692),
    [anon_sym_RBRACE] = ACTIONS(6690),
    [anon_sym_LBRACK] = ACTIONS(6688),
    [anon_sym_RBRACK] = ACTIONS(6690),
    [anon_sym_EQ] = ACTIONS(6688),
    [anon_sym_QMARK] = ACTIONS(6690),
    [anon_sym_STAR_EQ] = ACTIONS(6690),
    [anon_sym_SLASH_EQ] = ACTIONS(6690),
    [anon_sym_PERCENT_EQ] = ACTIONS(6690),
    [anon_sym_PLUS_EQ] = ACTIONS(6690),
    [anon_sym_DASH_EQ] = ACTIONS(6690),
    [anon_sym_LT_LT_EQ] = ACTIONS(6690),
    [anon_sym_GT_GT_EQ] = ACTIONS(6690),
    [anon_sym_AMP_EQ] = ACTIONS(6690),
    [anon_sym_CARET_EQ] = ACTIONS(6690),
    [anon_sym_PIPE_EQ] = ACTIONS(6690),
    [anon_sym_and_eq] = ACTIONS(6688),
    [anon_sym_or_eq] = ACTIONS(6688),
    [anon_sym_xor_eq] = ACTIONS(6688),
    [anon_sym_LT_EQ_GT] = ACTIONS(6690),
    [anon_sym_or] = ACTIONS(6688),
    [anon_sym_and] = ACTIONS(6688),
    [anon_sym_bitor] = ACTIONS(6688),
    [anon_sym_xor] = ACTIONS(6688),
    [anon_sym_bitand] = ACTIONS(6688),
    [anon_sym_not_eq] = ACTIONS(6688),
    [anon_sym_DASH_DASH] = ACTIONS(6690),
    [anon_sym_PLUS_PLUS] = ACTIONS(6690),
    [anon_sym_DOT] = ACTIONS(6688),
    [anon_sym_DOT_STAR] = ACTIONS(6690),
    [anon_sym_DASH_GT] = ACTIONS(6690),
    [sym_comment] = ACTIONS(3),
  },
  [3395] = {
    [sym_string_literal] = STATE(3326),
    [sym_raw_string_literal] = STATE(3326),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6479),
    [anon_sym_COMMA] = ACTIONS(6479),
    [anon_sym_LPAREN2] = ACTIONS(6479),
    [anon_sym_DASH] = ACTIONS(6477),
    [anon_sym_PLUS] = ACTIONS(6477),
    [anon_sym_STAR] = ACTIONS(6477),
    [anon_sym_SLASH] = ACTIONS(6477),
    [anon_sym_PERCENT] = ACTIONS(6477),
    [anon_sym_PIPE_PIPE] = ACTIONS(6479),
    [anon_sym_AMP_AMP] = ACTIONS(6479),
    [anon_sym_PIPE] = ACTIONS(6477),
    [anon_sym_CARET] = ACTIONS(6477),
    [anon_sym_AMP] = ACTIONS(6477),
    [anon_sym_EQ_EQ] = ACTIONS(6479),
    [anon_sym_BANG_EQ] = ACTIONS(6479),
    [anon_sym_GT] = ACTIONS(6477),
    [anon_sym_GT_EQ] = ACTIONS(6479),
    [anon_sym_LT_EQ] = ACTIONS(6477),
    [anon_sym_LT] = ACTIONS(6477),
    [anon_sym_LT_LT] = ACTIONS(6477),
    [anon_sym_GT_GT] = ACTIONS(6477),
    [anon_sym_SEMI] = ACTIONS(6479),
    [anon_sym___attribute__] = ACTIONS(6477),
    [anon_sym_LBRACK] = ACTIONS(6479),
    [anon_sym_EQ] = ACTIONS(6477),
    [anon_sym_QMARK] = ACTIONS(6479),
    [anon_sym_STAR_EQ] = ACTIONS(6479),
    [anon_sym_SLASH_EQ] = ACTIONS(6479),
    [anon_sym_PERCENT_EQ] = ACTIONS(6479),
    [anon_sym_PLUS_EQ] = ACTIONS(6479),
    [anon_sym_DASH_EQ] = ACTIONS(6479),
    [anon_sym_LT_LT_EQ] = ACTIONS(6479),
    [anon_sym_GT_GT_EQ] = ACTIONS(6479),
    [anon_sym_AMP_EQ] = ACTIONS(6479),
    [anon_sym_CARET_EQ] = ACTIONS(6479),
    [anon_sym_PIPE_EQ] = ACTIONS(6479),
    [anon_sym_and_eq] = ACTIONS(6477),
    [anon_sym_or_eq] = ACTIONS(6477),
    [anon_sym_xor_eq] = ACTIONS(6477),
    [anon_sym_LT_EQ_GT] = ACTIONS(6479),
    [anon_sym_or] = ACTIONS(6477),
    [anon_sym_and] = ACTIONS(6477),
    [anon_sym_bitor] = ACTIONS(6477),
    [anon_sym_xor] = ACTIONS(6477),
    [anon_sym_bitand] = ACTIONS(6477),
    [anon_sym_not_eq] = ACTIONS(6477),
    [anon_sym_DASH_DASH] = ACTIONS(6479),
    [anon_sym_PLUS_PLUS] = ACTIONS(6479),
    [anon_sym_DOT] = ACTIONS(6477),
    [anon_sym_DOT_STAR] = ACTIONS(6479),
    [anon_sym_DASH_GT] = ACTIONS(6479),
    [anon_sym_L_DQUOTE] = ACTIONS(6528),
    [anon_sym_u_DQUOTE] = ACTIONS(6528),
    [anon_sym_U_DQUOTE] = ACTIONS(6528),
    [anon_sym_u8_DQUOTE] = ACTIONS(6528),
    [anon_sym_DQUOTE] = ACTIONS(6528),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(6530),
    [anon_sym_LR_DQUOTE] = ACTIONS(6530),
    [anon_sym_uR_DQUOTE] = ACTIONS(6530),
    [anon_sym_UR_DQUOTE] = ACTIONS(6530),
    [anon_sym_u8R_DQUOTE] = ACTIONS(6530),
    [sym_literal_suffix] = ACTIONS(6460),
  },
  [3396] = {
    [sym_string_literal] = STATE(3282),
    [sym_raw_string_literal] = STATE(3282),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4213),
    [anon_sym_COMMA] = ACTIONS(4213),
    [anon_sym_RPAREN] = ACTIONS(4213),
    [anon_sym_LPAREN2] = ACTIONS(4213),
    [anon_sym_DASH] = ACTIONS(4221),
    [anon_sym_PLUS] = ACTIONS(4221),
    [anon_sym_STAR] = ACTIONS(4221),
    [anon_sym_SLASH] = ACTIONS(4221),
    [anon_sym_PERCENT] = ACTIONS(4221),
    [anon_sym_PIPE_PIPE] = ACTIONS(4213),
    [anon_sym_AMP_AMP] = ACTIONS(4213),
    [anon_sym_PIPE] = ACTIONS(4221),
    [anon_sym_CARET] = ACTIONS(4221),
    [anon_sym_AMP] = ACTIONS(4221),
    [anon_sym_EQ_EQ] = ACTIONS(4213),
    [anon_sym_BANG_EQ] = ACTIONS(4213),
    [anon_sym_GT] = ACTIONS(4221),
    [anon_sym_GT_EQ] = ACTIONS(4213),
    [anon_sym_LT_EQ] = ACTIONS(4221),
    [anon_sym_LT] = ACTIONS(4221),
    [anon_sym_LT_LT] = ACTIONS(4221),
    [anon_sym_GT_GT] = ACTIONS(4221),
    [anon_sym_LBRACK] = ACTIONS(4213),
    [anon_sym_EQ] = ACTIONS(4221),
    [anon_sym_QMARK] = ACTIONS(4213),
    [anon_sym_STAR_EQ] = ACTIONS(4213),
    [anon_sym_SLASH_EQ] = ACTIONS(4213),
    [anon_sym_PERCENT_EQ] = ACTIONS(4213),
    [anon_sym_PLUS_EQ] = ACTIONS(4213),
    [anon_sym_DASH_EQ] = ACTIONS(4213),
    [anon_sym_LT_LT_EQ] = ACTIONS(4213),
    [anon_sym_GT_GT_EQ] = ACTIONS(4213),
    [anon_sym_AMP_EQ] = ACTIONS(4213),
    [anon_sym_CARET_EQ] = ACTIONS(4213),
    [anon_sym_PIPE_EQ] = ACTIONS(4213),
    [anon_sym_and_eq] = ACTIONS(4221),
    [anon_sym_or_eq] = ACTIONS(4221),
    [anon_sym_xor_eq] = ACTIONS(4221),
    [anon_sym_LT_EQ_GT] = ACTIONS(4213),
    [anon_sym_or] = ACTIONS(4221),
    [anon_sym_and] = ACTIONS(4221),
    [anon_sym_bitor] = ACTIONS(4221),
    [anon_sym_xor] = ACTIONS(4221),
    [anon_sym_bitand] = ACTIONS(4221),
    [anon_sym_not_eq] = ACTIONS(4221),
    [anon_sym_DASH_DASH] = ACTIONS(4213),
    [anon_sym_PLUS_PLUS] = ACTIONS(4213),
    [anon_sym_DOT] = ACTIONS(4221),
    [anon_sym_DOT_STAR] = ACTIONS(4213),
    [anon_sym_DASH_GT] = ACTIONS(4221),
    [anon_sym_L_DQUOTE] = ACTIONS(5796),
    [anon_sym_u_DQUOTE] = ACTIONS(5796),
    [anon_sym_U_DQUOTE] = ACTIONS(5796),
    [anon_sym_u8_DQUOTE] = ACTIONS(5796),
    [anon_sym_DQUOTE] = ACTIONS(5796),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(5798),
    [anon_sym_LR_DQUOTE] = ACTIONS(5798),
    [anon_sym_uR_DQUOTE] = ACTIONS(5798),
    [anon_sym_UR_DQUOTE] = ACTIONS(5798),
    [anon_sym_u8R_DQUOTE] = ACTIONS(5798),
    [anon_sym_DASH_GT_STAR] = ACTIONS(4213),
    [sym_literal_suffix] = ACTIONS(6695),
  },
  [3397] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(3404),
    [sym_identifier] = ACTIONS(5966),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5968),
    [anon_sym_COMMA] = ACTIONS(5968),
    [aux_sym_preproc_if_token2] = ACTIONS(5968),
    [aux_sym_preproc_else_token1] = ACTIONS(5968),
    [aux_sym_preproc_elif_token1] = ACTIONS(5966),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5968),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5968),
    [anon_sym_LPAREN2] = ACTIONS(5968),
    [anon_sym_DASH] = ACTIONS(5966),
    [anon_sym_PLUS] = ACTIONS(5966),
    [anon_sym_STAR] = ACTIONS(5966),
    [anon_sym_SLASH] = ACTIONS(5966),
    [anon_sym_PERCENT] = ACTIONS(5966),
    [anon_sym_PIPE_PIPE] = ACTIONS(5968),
    [anon_sym_AMP_AMP] = ACTIONS(5968),
    [anon_sym_PIPE] = ACTIONS(5966),
    [anon_sym_CARET] = ACTIONS(5966),
    [anon_sym_AMP] = ACTIONS(5966),
    [anon_sym_EQ_EQ] = ACTIONS(5968),
    [anon_sym_BANG_EQ] = ACTIONS(5968),
    [anon_sym_GT] = ACTIONS(5966),
    [anon_sym_GT_EQ] = ACTIONS(5968),
    [anon_sym_LT_EQ] = ACTIONS(5966),
    [anon_sym_LT] = ACTIONS(5966),
    [anon_sym_LT_LT] = ACTIONS(5966),
    [anon_sym_GT_GT] = ACTIONS(5966),
    [anon_sym___attribute__] = ACTIONS(5966),
    [anon_sym_LBRACE] = ACTIONS(5968),
    [anon_sym_signed] = ACTIONS(6682),
    [anon_sym_unsigned] = ACTIONS(6682),
    [anon_sym_long] = ACTIONS(6682),
    [anon_sym_short] = ACTIONS(6682),
    [anon_sym_LBRACK] = ACTIONS(5968),
    [anon_sym_EQ] = ACTIONS(5966),
    [anon_sym_QMARK] = ACTIONS(5968),
    [anon_sym_STAR_EQ] = ACTIONS(5968),
    [anon_sym_SLASH_EQ] = ACTIONS(5968),
    [anon_sym_PERCENT_EQ] = ACTIONS(5968),
    [anon_sym_PLUS_EQ] = ACTIONS(5968),
    [anon_sym_DASH_EQ] = ACTIONS(5968),
    [anon_sym_LT_LT_EQ] = ACTIONS(5968),
    [anon_sym_GT_GT_EQ] = ACTIONS(5968),
    [anon_sym_AMP_EQ] = ACTIONS(5968),
    [anon_sym_CARET_EQ] = ACTIONS(5968),
    [anon_sym_PIPE_EQ] = ACTIONS(5968),
    [anon_sym_and_eq] = ACTIONS(5966),
    [anon_sym_or_eq] = ACTIONS(5966),
    [anon_sym_xor_eq] = ACTIONS(5966),
    [anon_sym_LT_EQ_GT] = ACTIONS(5968),
    [anon_sym_or] = ACTIONS(5966),
    [anon_sym_and] = ACTIONS(5966),
    [anon_sym_bitor] = ACTIONS(5966),
    [anon_sym_xor] = ACTIONS(5966),
    [anon_sym_bitand] = ACTIONS(5966),
    [anon_sym_not_eq] = ACTIONS(5966),
    [anon_sym_DASH_DASH] = ACTIONS(5968),
    [anon_sym_PLUS_PLUS] = ACTIONS(5968),
    [anon_sym_DOT] = ACTIONS(5966),
    [anon_sym_DOT_STAR] = ACTIONS(5968),
    [anon_sym_DASH_GT] = ACTIONS(5968),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5966),
    [anon_sym_decltype] = ACTIONS(5966),
  },
  [3398] = {
    [sym_string_literal] = STATE(3282),
    [sym_raw_string_literal] = STATE(3282),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6479),
    [anon_sym_COMMA] = ACTIONS(6479),
    [anon_sym_RPAREN] = ACTIONS(6479),
    [anon_sym_LPAREN2] = ACTIONS(6479),
    [anon_sym_DASH] = ACTIONS(6477),
    [anon_sym_PLUS] = ACTIONS(6477),
    [anon_sym_STAR] = ACTIONS(6477),
    [anon_sym_SLASH] = ACTIONS(6477),
    [anon_sym_PERCENT] = ACTIONS(6477),
    [anon_sym_PIPE_PIPE] = ACTIONS(6479),
    [anon_sym_AMP_AMP] = ACTIONS(6479),
    [anon_sym_PIPE] = ACTIONS(6477),
    [anon_sym_CARET] = ACTIONS(6477),
    [anon_sym_AMP] = ACTIONS(6477),
    [anon_sym_EQ_EQ] = ACTIONS(6479),
    [anon_sym_BANG_EQ] = ACTIONS(6479),
    [anon_sym_GT] = ACTIONS(6477),
    [anon_sym_GT_EQ] = ACTIONS(6479),
    [anon_sym_LT_EQ] = ACTIONS(6477),
    [anon_sym_LT] = ACTIONS(6477),
    [anon_sym_LT_LT] = ACTIONS(6477),
    [anon_sym_GT_GT] = ACTIONS(6477),
    [anon_sym_LBRACK] = ACTIONS(6479),
    [anon_sym_EQ] = ACTIONS(6477),
    [anon_sym_QMARK] = ACTIONS(6479),
    [anon_sym_STAR_EQ] = ACTIONS(6479),
    [anon_sym_SLASH_EQ] = ACTIONS(6479),
    [anon_sym_PERCENT_EQ] = ACTIONS(6479),
    [anon_sym_PLUS_EQ] = ACTIONS(6479),
    [anon_sym_DASH_EQ] = ACTIONS(6479),
    [anon_sym_LT_LT_EQ] = ACTIONS(6479),
    [anon_sym_GT_GT_EQ] = ACTIONS(6479),
    [anon_sym_AMP_EQ] = ACTIONS(6479),
    [anon_sym_CARET_EQ] = ACTIONS(6479),
    [anon_sym_PIPE_EQ] = ACTIONS(6479),
    [anon_sym_and_eq] = ACTIONS(6477),
    [anon_sym_or_eq] = ACTIONS(6477),
    [anon_sym_xor_eq] = ACTIONS(6477),
    [anon_sym_LT_EQ_GT] = ACTIONS(6479),
    [anon_sym_or] = ACTIONS(6477),
    [anon_sym_and] = ACTIONS(6477),
    [anon_sym_bitor] = ACTIONS(6477),
    [anon_sym_xor] = ACTIONS(6477),
    [anon_sym_bitand] = ACTIONS(6477),
    [anon_sym_not_eq] = ACTIONS(6477),
    [anon_sym_DASH_DASH] = ACTIONS(6479),
    [anon_sym_PLUS_PLUS] = ACTIONS(6479),
    [anon_sym_DOT] = ACTIONS(6477),
    [anon_sym_DOT_STAR] = ACTIONS(6479),
    [anon_sym_DASH_GT] = ACTIONS(6477),
    [anon_sym_L_DQUOTE] = ACTIONS(5796),
    [anon_sym_u_DQUOTE] = ACTIONS(5796),
    [anon_sym_U_DQUOTE] = ACTIONS(5796),
    [anon_sym_u8_DQUOTE] = ACTIONS(5796),
    [anon_sym_DQUOTE] = ACTIONS(5796),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(5798),
    [anon_sym_LR_DQUOTE] = ACTIONS(5798),
    [anon_sym_uR_DQUOTE] = ACTIONS(5798),
    [anon_sym_UR_DQUOTE] = ACTIONS(5798),
    [anon_sym_u8R_DQUOTE] = ACTIONS(5798),
    [anon_sym_DASH_GT_STAR] = ACTIONS(6479),
    [sym_literal_suffix] = ACTIONS(6695),
  },
  [3399] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(3451),
    [sym_identifier] = ACTIONS(5987),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5989),
    [anon_sym_COMMA] = ACTIONS(5989),
    [aux_sym_preproc_if_token2] = ACTIONS(5989),
    [aux_sym_preproc_else_token1] = ACTIONS(5989),
    [aux_sym_preproc_elif_token1] = ACTIONS(5987),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5989),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5989),
    [anon_sym_LPAREN2] = ACTIONS(5989),
    [anon_sym_DASH] = ACTIONS(5987),
    [anon_sym_PLUS] = ACTIONS(5987),
    [anon_sym_STAR] = ACTIONS(5987),
    [anon_sym_SLASH] = ACTIONS(5987),
    [anon_sym_PERCENT] = ACTIONS(5987),
    [anon_sym_PIPE_PIPE] = ACTIONS(5989),
    [anon_sym_AMP_AMP] = ACTIONS(5989),
    [anon_sym_PIPE] = ACTIONS(5987),
    [anon_sym_CARET] = ACTIONS(5987),
    [anon_sym_AMP] = ACTIONS(5987),
    [anon_sym_EQ_EQ] = ACTIONS(5989),
    [anon_sym_BANG_EQ] = ACTIONS(5989),
    [anon_sym_GT] = ACTIONS(5987),
    [anon_sym_GT_EQ] = ACTIONS(5989),
    [anon_sym_LT_EQ] = ACTIONS(5987),
    [anon_sym_LT] = ACTIONS(5987),
    [anon_sym_LT_LT] = ACTIONS(5987),
    [anon_sym_GT_GT] = ACTIONS(5987),
    [anon_sym___attribute__] = ACTIONS(5987),
    [anon_sym_LBRACE] = ACTIONS(5989),
    [anon_sym_signed] = ACTIONS(6697),
    [anon_sym_unsigned] = ACTIONS(6697),
    [anon_sym_long] = ACTIONS(6697),
    [anon_sym_short] = ACTIONS(6697),
    [anon_sym_LBRACK] = ACTIONS(5989),
    [anon_sym_EQ] = ACTIONS(5987),
    [anon_sym_QMARK] = ACTIONS(5989),
    [anon_sym_STAR_EQ] = ACTIONS(5989),
    [anon_sym_SLASH_EQ] = ACTIONS(5989),
    [anon_sym_PERCENT_EQ] = ACTIONS(5989),
    [anon_sym_PLUS_EQ] = ACTIONS(5989),
    [anon_sym_DASH_EQ] = ACTIONS(5989),
    [anon_sym_LT_LT_EQ] = ACTIONS(5989),
    [anon_sym_GT_GT_EQ] = ACTIONS(5989),
    [anon_sym_AMP_EQ] = ACTIONS(5989),
    [anon_sym_CARET_EQ] = ACTIONS(5989),
    [anon_sym_PIPE_EQ] = ACTIONS(5989),
    [anon_sym_and_eq] = ACTIONS(5987),
    [anon_sym_or_eq] = ACTIONS(5987),
    [anon_sym_xor_eq] = ACTIONS(5987),
    [anon_sym_LT_EQ_GT] = ACTIONS(5989),
    [anon_sym_or] = ACTIONS(5987),
    [anon_sym_and] = ACTIONS(5987),
    [anon_sym_bitor] = ACTIONS(5987),
    [anon_sym_xor] = ACTIONS(5987),
    [anon_sym_bitand] = ACTIONS(5987),
    [anon_sym_not_eq] = ACTIONS(5987),
    [anon_sym_DASH_DASH] = ACTIONS(5989),
    [anon_sym_PLUS_PLUS] = ACTIONS(5989),
    [anon_sym_DOT] = ACTIONS(5987),
    [anon_sym_DOT_STAR] = ACTIONS(5989),
    [anon_sym_DASH_GT] = ACTIONS(5989),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5987),
    [anon_sym_decltype] = ACTIONS(5987),
  },
  [3400] = {
    [sym_string_literal] = STATE(3326),
    [sym_raw_string_literal] = STATE(3326),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4213),
    [anon_sym_COMMA] = ACTIONS(4213),
    [anon_sym_LPAREN2] = ACTIONS(4213),
    [anon_sym_DASH] = ACTIONS(4221),
    [anon_sym_PLUS] = ACTIONS(4221),
    [anon_sym_STAR] = ACTIONS(4221),
    [anon_sym_SLASH] = ACTIONS(4221),
    [anon_sym_PERCENT] = ACTIONS(4221),
    [anon_sym_PIPE_PIPE] = ACTIONS(4213),
    [anon_sym_AMP_AMP] = ACTIONS(4213),
    [anon_sym_PIPE] = ACTIONS(4221),
    [anon_sym_CARET] = ACTIONS(4221),
    [anon_sym_AMP] = ACTIONS(4221),
    [anon_sym_EQ_EQ] = ACTIONS(4213),
    [anon_sym_BANG_EQ] = ACTIONS(4213),
    [anon_sym_GT] = ACTIONS(4221),
    [anon_sym_GT_EQ] = ACTIONS(4213),
    [anon_sym_LT_EQ] = ACTIONS(4221),
    [anon_sym_LT] = ACTIONS(4221),
    [anon_sym_LT_LT] = ACTIONS(4221),
    [anon_sym_GT_GT] = ACTIONS(4221),
    [anon_sym_SEMI] = ACTIONS(4213),
    [anon_sym___attribute__] = ACTIONS(4221),
    [anon_sym_LBRACK] = ACTIONS(4213),
    [anon_sym_EQ] = ACTIONS(4221),
    [anon_sym_QMARK] = ACTIONS(4213),
    [anon_sym_STAR_EQ] = ACTIONS(4213),
    [anon_sym_SLASH_EQ] = ACTIONS(4213),
    [anon_sym_PERCENT_EQ] = ACTIONS(4213),
    [anon_sym_PLUS_EQ] = ACTIONS(4213),
    [anon_sym_DASH_EQ] = ACTIONS(4213),
    [anon_sym_LT_LT_EQ] = ACTIONS(4213),
    [anon_sym_GT_GT_EQ] = ACTIONS(4213),
    [anon_sym_AMP_EQ] = ACTIONS(4213),
    [anon_sym_CARET_EQ] = ACTIONS(4213),
    [anon_sym_PIPE_EQ] = ACTIONS(4213),
    [anon_sym_and_eq] = ACTIONS(4221),
    [anon_sym_or_eq] = ACTIONS(4221),
    [anon_sym_xor_eq] = ACTIONS(4221),
    [anon_sym_LT_EQ_GT] = ACTIONS(4213),
    [anon_sym_or] = ACTIONS(4221),
    [anon_sym_and] = ACTIONS(4221),
    [anon_sym_bitor] = ACTIONS(4221),
    [anon_sym_xor] = ACTIONS(4221),
    [anon_sym_bitand] = ACTIONS(4221),
    [anon_sym_not_eq] = ACTIONS(4221),
    [anon_sym_DASH_DASH] = ACTIONS(4213),
    [anon_sym_PLUS_PLUS] = ACTIONS(4213),
    [anon_sym_DOT] = ACTIONS(4221),
    [anon_sym_DOT_STAR] = ACTIONS(4213),
    [anon_sym_DASH_GT] = ACTIONS(4213),
    [anon_sym_L_DQUOTE] = ACTIONS(6528),
    [anon_sym_u_DQUOTE] = ACTIONS(6528),
    [anon_sym_U_DQUOTE] = ACTIONS(6528),
    [anon_sym_u8_DQUOTE] = ACTIONS(6528),
    [anon_sym_DQUOTE] = ACTIONS(6528),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(6530),
    [anon_sym_LR_DQUOTE] = ACTIONS(6530),
    [anon_sym_uR_DQUOTE] = ACTIONS(6530),
    [anon_sym_UR_DQUOTE] = ACTIONS(6530),
    [anon_sym_u8R_DQUOTE] = ACTIONS(6530),
    [sym_literal_suffix] = ACTIONS(6460),
  },
  [3401] = {
    [sym_identifier] = ACTIONS(6159),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6161),
    [anon_sym_COMMA] = ACTIONS(6161),
    [anon_sym_RPAREN] = ACTIONS(6161),
    [aux_sym_preproc_if_token2] = ACTIONS(6161),
    [aux_sym_preproc_else_token1] = ACTIONS(6161),
    [aux_sym_preproc_elif_token1] = ACTIONS(6159),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(6161),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(6161),
    [anon_sym_LPAREN2] = ACTIONS(6161),
    [anon_sym_DASH] = ACTIONS(6159),
    [anon_sym_PLUS] = ACTIONS(6159),
    [anon_sym_STAR] = ACTIONS(6159),
    [anon_sym_SLASH] = ACTIONS(6159),
    [anon_sym_PERCENT] = ACTIONS(6159),
    [anon_sym_PIPE_PIPE] = ACTIONS(6161),
    [anon_sym_AMP_AMP] = ACTIONS(6161),
    [anon_sym_PIPE] = ACTIONS(6159),
    [anon_sym_CARET] = ACTIONS(6159),
    [anon_sym_AMP] = ACTIONS(6159),
    [anon_sym_EQ_EQ] = ACTIONS(6161),
    [anon_sym_BANG_EQ] = ACTIONS(6161),
    [anon_sym_GT] = ACTIONS(6159),
    [anon_sym_GT_EQ] = ACTIONS(6161),
    [anon_sym_LT_EQ] = ACTIONS(6159),
    [anon_sym_LT] = ACTIONS(6159),
    [anon_sym_LT_LT] = ACTIONS(6159),
    [anon_sym_GT_GT] = ACTIONS(6159),
    [anon_sym_COLON] = ACTIONS(6161),
    [anon_sym_SEMI] = ACTIONS(6161),
    [anon_sym___attribute__] = ACTIONS(6159),
    [anon_sym_LBRACE] = ACTIONS(6161),
    [anon_sym_RBRACE] = ACTIONS(6161),
    [anon_sym_LBRACK] = ACTIONS(6161),
    [anon_sym_RBRACK] = ACTIONS(6161),
    [anon_sym_EQ] = ACTIONS(6159),
    [anon_sym_QMARK] = ACTIONS(6161),
    [anon_sym_STAR_EQ] = ACTIONS(6161),
    [anon_sym_SLASH_EQ] = ACTIONS(6161),
    [anon_sym_PERCENT_EQ] = ACTIONS(6161),
    [anon_sym_PLUS_EQ] = ACTIONS(6161),
    [anon_sym_DASH_EQ] = ACTIONS(6161),
    [anon_sym_LT_LT_EQ] = ACTIONS(6161),
    [anon_sym_GT_GT_EQ] = ACTIONS(6161),
    [anon_sym_AMP_EQ] = ACTIONS(6161),
    [anon_sym_CARET_EQ] = ACTIONS(6161),
    [anon_sym_PIPE_EQ] = ACTIONS(6161),
    [anon_sym_and_eq] = ACTIONS(6159),
    [anon_sym_or_eq] = ACTIONS(6159),
    [anon_sym_xor_eq] = ACTIONS(6159),
    [anon_sym_LT_EQ_GT] = ACTIONS(6161),
    [anon_sym_or] = ACTIONS(6159),
    [anon_sym_and] = ACTIONS(6159),
    [anon_sym_bitor] = ACTIONS(6159),
    [anon_sym_xor] = ACTIONS(6159),
    [anon_sym_bitand] = ACTIONS(6159),
    [anon_sym_not_eq] = ACTIONS(6159),
    [anon_sym_DASH_DASH] = ACTIONS(6161),
    [anon_sym_PLUS_PLUS] = ACTIONS(6161),
    [anon_sym_DOT] = ACTIONS(6159),
    [anon_sym_DOT_STAR] = ACTIONS(6161),
    [anon_sym_DASH_GT] = ACTIONS(6161),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(6159),
    [anon_sym_decltype] = ACTIONS(6159),
  },
  [3402] = {
    [sym_identifier] = ACTIONS(6131),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6133),
    [anon_sym_COMMA] = ACTIONS(6133),
    [anon_sym_RPAREN] = ACTIONS(6133),
    [aux_sym_preproc_if_token2] = ACTIONS(6133),
    [aux_sym_preproc_else_token1] = ACTIONS(6133),
    [aux_sym_preproc_elif_token1] = ACTIONS(6131),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(6133),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(6133),
    [anon_sym_LPAREN2] = ACTIONS(6133),
    [anon_sym_DASH] = ACTIONS(6131),
    [anon_sym_PLUS] = ACTIONS(6131),
    [anon_sym_STAR] = ACTIONS(6131),
    [anon_sym_SLASH] = ACTIONS(6131),
    [anon_sym_PERCENT] = ACTIONS(6131),
    [anon_sym_PIPE_PIPE] = ACTIONS(6133),
    [anon_sym_AMP_AMP] = ACTIONS(6133),
    [anon_sym_PIPE] = ACTIONS(6131),
    [anon_sym_CARET] = ACTIONS(6131),
    [anon_sym_AMP] = ACTIONS(6131),
    [anon_sym_EQ_EQ] = ACTIONS(6133),
    [anon_sym_BANG_EQ] = ACTIONS(6133),
    [anon_sym_GT] = ACTIONS(6131),
    [anon_sym_GT_EQ] = ACTIONS(6133),
    [anon_sym_LT_EQ] = ACTIONS(6131),
    [anon_sym_LT] = ACTIONS(6131),
    [anon_sym_LT_LT] = ACTIONS(6131),
    [anon_sym_GT_GT] = ACTIONS(6131),
    [anon_sym_COLON] = ACTIONS(6133),
    [anon_sym_SEMI] = ACTIONS(6133),
    [anon_sym___attribute__] = ACTIONS(6131),
    [anon_sym_LBRACE] = ACTIONS(6133),
    [anon_sym_RBRACE] = ACTIONS(6133),
    [anon_sym_LBRACK] = ACTIONS(6133),
    [anon_sym_RBRACK] = ACTIONS(6133),
    [anon_sym_EQ] = ACTIONS(6131),
    [anon_sym_QMARK] = ACTIONS(6133),
    [anon_sym_STAR_EQ] = ACTIONS(6133),
    [anon_sym_SLASH_EQ] = ACTIONS(6133),
    [anon_sym_PERCENT_EQ] = ACTIONS(6133),
    [anon_sym_PLUS_EQ] = ACTIONS(6133),
    [anon_sym_DASH_EQ] = ACTIONS(6133),
    [anon_sym_LT_LT_EQ] = ACTIONS(6133),
    [anon_sym_GT_GT_EQ] = ACTIONS(6133),
    [anon_sym_AMP_EQ] = ACTIONS(6133),
    [anon_sym_CARET_EQ] = ACTIONS(6133),
    [anon_sym_PIPE_EQ] = ACTIONS(6133),
    [anon_sym_and_eq] = ACTIONS(6131),
    [anon_sym_or_eq] = ACTIONS(6131),
    [anon_sym_xor_eq] = ACTIONS(6131),
    [anon_sym_LT_EQ_GT] = ACTIONS(6133),
    [anon_sym_or] = ACTIONS(6131),
    [anon_sym_and] = ACTIONS(6131),
    [anon_sym_bitor] = ACTIONS(6131),
    [anon_sym_xor] = ACTIONS(6131),
    [anon_sym_bitand] = ACTIONS(6131),
    [anon_sym_not_eq] = ACTIONS(6131),
    [anon_sym_DASH_DASH] = ACTIONS(6133),
    [anon_sym_PLUS_PLUS] = ACTIONS(6133),
    [anon_sym_DOT] = ACTIONS(6131),
    [anon_sym_DOT_STAR] = ACTIONS(6133),
    [anon_sym_DASH_GT] = ACTIONS(6133),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(6131),
    [anon_sym_decltype] = ACTIONS(6131),
  },
  [3403] = {
    [sym_argument_list] = STATE(3652),
    [sym_initializer_list] = STATE(3652),
    [sym_identifier] = ACTIONS(6699),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6701),
    [anon_sym_COMMA] = ACTIONS(6701),
    [anon_sym_RPAREN] = ACTIONS(6701),
    [aux_sym_preproc_if_token2] = ACTIONS(6701),
    [aux_sym_preproc_else_token1] = ACTIONS(6701),
    [aux_sym_preproc_elif_token1] = ACTIONS(6699),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(6701),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(6701),
    [anon_sym_LPAREN2] = ACTIONS(6440),
    [anon_sym_DASH] = ACTIONS(6699),
    [anon_sym_PLUS] = ACTIONS(6699),
    [anon_sym_STAR] = ACTIONS(6699),
    [anon_sym_SLASH] = ACTIONS(6699),
    [anon_sym_PERCENT] = ACTIONS(6699),
    [anon_sym_PIPE_PIPE] = ACTIONS(6701),
    [anon_sym_AMP_AMP] = ACTIONS(6701),
    [anon_sym_PIPE] = ACTIONS(6699),
    [anon_sym_CARET] = ACTIONS(6699),
    [anon_sym_AMP] = ACTIONS(6699),
    [anon_sym_EQ_EQ] = ACTIONS(6701),
    [anon_sym_BANG_EQ] = ACTIONS(6701),
    [anon_sym_GT] = ACTIONS(6699),
    [anon_sym_GT_EQ] = ACTIONS(6701),
    [anon_sym_LT_EQ] = ACTIONS(6699),
    [anon_sym_LT] = ACTIONS(6699),
    [anon_sym_LT_LT] = ACTIONS(6699),
    [anon_sym_GT_GT] = ACTIONS(6699),
    [anon_sym_COLON] = ACTIONS(6701),
    [anon_sym_SEMI] = ACTIONS(6701),
    [anon_sym___attribute__] = ACTIONS(6699),
    [anon_sym_LBRACE] = ACTIONS(3926),
    [anon_sym_RBRACE] = ACTIONS(6701),
    [anon_sym_LBRACK] = ACTIONS(6701),
    [anon_sym_RBRACK] = ACTIONS(6701),
    [anon_sym_EQ] = ACTIONS(6699),
    [anon_sym_QMARK] = ACTIONS(6701),
    [anon_sym_STAR_EQ] = ACTIONS(6701),
    [anon_sym_SLASH_EQ] = ACTIONS(6701),
    [anon_sym_PERCENT_EQ] = ACTIONS(6701),
    [anon_sym_PLUS_EQ] = ACTIONS(6701),
    [anon_sym_DASH_EQ] = ACTIONS(6701),
    [anon_sym_LT_LT_EQ] = ACTIONS(6701),
    [anon_sym_GT_GT_EQ] = ACTIONS(6701),
    [anon_sym_AMP_EQ] = ACTIONS(6701),
    [anon_sym_CARET_EQ] = ACTIONS(6701),
    [anon_sym_PIPE_EQ] = ACTIONS(6701),
    [anon_sym_and_eq] = ACTIONS(6699),
    [anon_sym_or_eq] = ACTIONS(6699),
    [anon_sym_xor_eq] = ACTIONS(6699),
    [anon_sym_LT_EQ_GT] = ACTIONS(6701),
    [anon_sym_or] = ACTIONS(6699),
    [anon_sym_and] = ACTIONS(6699),
    [anon_sym_bitor] = ACTIONS(6699),
    [anon_sym_xor] = ACTIONS(6699),
    [anon_sym_bitand] = ACTIONS(6699),
    [anon_sym_not_eq] = ACTIONS(6699),
    [anon_sym_DASH_DASH] = ACTIONS(6701),
    [anon_sym_PLUS_PLUS] = ACTIONS(6701),
    [anon_sym_DOT] = ACTIONS(6699),
    [anon_sym_DOT_STAR] = ACTIONS(6701),
    [anon_sym_DASH_GT] = ACTIONS(6701),
    [sym_comment] = ACTIONS(3),
  },
  [3404] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(3404),
    [sym_identifier] = ACTIONS(5840),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5842),
    [anon_sym_COMMA] = ACTIONS(5842),
    [aux_sym_preproc_if_token2] = ACTIONS(5842),
    [aux_sym_preproc_else_token1] = ACTIONS(5842),
    [aux_sym_preproc_elif_token1] = ACTIONS(5840),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5842),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5842),
    [anon_sym_LPAREN2] = ACTIONS(5842),
    [anon_sym_DASH] = ACTIONS(5840),
    [anon_sym_PLUS] = ACTIONS(5840),
    [anon_sym_STAR] = ACTIONS(5840),
    [anon_sym_SLASH] = ACTIONS(5840),
    [anon_sym_PERCENT] = ACTIONS(5840),
    [anon_sym_PIPE_PIPE] = ACTIONS(5842),
    [anon_sym_AMP_AMP] = ACTIONS(5842),
    [anon_sym_PIPE] = ACTIONS(5840),
    [anon_sym_CARET] = ACTIONS(5840),
    [anon_sym_AMP] = ACTIONS(5840),
    [anon_sym_EQ_EQ] = ACTIONS(5842),
    [anon_sym_BANG_EQ] = ACTIONS(5842),
    [anon_sym_GT] = ACTIONS(5840),
    [anon_sym_GT_EQ] = ACTIONS(5842),
    [anon_sym_LT_EQ] = ACTIONS(5840),
    [anon_sym_LT] = ACTIONS(5840),
    [anon_sym_LT_LT] = ACTIONS(5840),
    [anon_sym_GT_GT] = ACTIONS(5840),
    [anon_sym___attribute__] = ACTIONS(5840),
    [anon_sym_LBRACE] = ACTIONS(5842),
    [anon_sym_signed] = ACTIONS(6703),
    [anon_sym_unsigned] = ACTIONS(6703),
    [anon_sym_long] = ACTIONS(6703),
    [anon_sym_short] = ACTIONS(6703),
    [anon_sym_LBRACK] = ACTIONS(5842),
    [anon_sym_EQ] = ACTIONS(5840),
    [anon_sym_QMARK] = ACTIONS(5842),
    [anon_sym_STAR_EQ] = ACTIONS(5842),
    [anon_sym_SLASH_EQ] = ACTIONS(5842),
    [anon_sym_PERCENT_EQ] = ACTIONS(5842),
    [anon_sym_PLUS_EQ] = ACTIONS(5842),
    [anon_sym_DASH_EQ] = ACTIONS(5842),
    [anon_sym_LT_LT_EQ] = ACTIONS(5842),
    [anon_sym_GT_GT_EQ] = ACTIONS(5842),
    [anon_sym_AMP_EQ] = ACTIONS(5842),
    [anon_sym_CARET_EQ] = ACTIONS(5842),
    [anon_sym_PIPE_EQ] = ACTIONS(5842),
    [anon_sym_and_eq] = ACTIONS(5840),
    [anon_sym_or_eq] = ACTIONS(5840),
    [anon_sym_xor_eq] = ACTIONS(5840),
    [anon_sym_LT_EQ_GT] = ACTIONS(5842),
    [anon_sym_or] = ACTIONS(5840),
    [anon_sym_and] = ACTIONS(5840),
    [anon_sym_bitor] = ACTIONS(5840),
    [anon_sym_xor] = ACTIONS(5840),
    [anon_sym_bitand] = ACTIONS(5840),
    [anon_sym_not_eq] = ACTIONS(5840),
    [anon_sym_DASH_DASH] = ACTIONS(5842),
    [anon_sym_PLUS_PLUS] = ACTIONS(5842),
    [anon_sym_DOT] = ACTIONS(5840),
    [anon_sym_DOT_STAR] = ACTIONS(5842),
    [anon_sym_DASH_GT] = ACTIONS(5842),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5840),
    [anon_sym_decltype] = ACTIONS(5840),
  },
  [3405] = {
    [sym_identifier] = ACTIONS(6706),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6708),
    [anon_sym_COMMA] = ACTIONS(6708),
    [anon_sym_RPAREN] = ACTIONS(6708),
    [aux_sym_preproc_if_token2] = ACTIONS(6708),
    [aux_sym_preproc_else_token1] = ACTIONS(6708),
    [aux_sym_preproc_elif_token1] = ACTIONS(6706),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(6708),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(6708),
    [anon_sym_LPAREN2] = ACTIONS(6708),
    [anon_sym_DASH] = ACTIONS(6706),
    [anon_sym_PLUS] = ACTIONS(6706),
    [anon_sym_STAR] = ACTIONS(6706),
    [anon_sym_SLASH] = ACTIONS(6706),
    [anon_sym_PERCENT] = ACTIONS(6706),
    [anon_sym_PIPE_PIPE] = ACTIONS(6708),
    [anon_sym_AMP_AMP] = ACTIONS(6708),
    [anon_sym_PIPE] = ACTIONS(6706),
    [anon_sym_CARET] = ACTIONS(6706),
    [anon_sym_AMP] = ACTIONS(6706),
    [anon_sym_EQ_EQ] = ACTIONS(6708),
    [anon_sym_BANG_EQ] = ACTIONS(6708),
    [anon_sym_GT] = ACTIONS(6706),
    [anon_sym_GT_EQ] = ACTIONS(6708),
    [anon_sym_LT_EQ] = ACTIONS(6706),
    [anon_sym_LT] = ACTIONS(6706),
    [anon_sym_LT_LT] = ACTIONS(6706),
    [anon_sym_GT_GT] = ACTIONS(6706),
    [anon_sym_COLON] = ACTIONS(6708),
    [anon_sym_SEMI] = ACTIONS(6708),
    [anon_sym___attribute__] = ACTIONS(6706),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(6708),
    [anon_sym_LBRACE] = ACTIONS(6708),
    [anon_sym_RBRACE] = ACTIONS(6708),
    [anon_sym_LBRACK] = ACTIONS(6706),
    [anon_sym_RBRACK] = ACTIONS(6708),
    [anon_sym_EQ] = ACTIONS(6706),
    [anon_sym_QMARK] = ACTIONS(6708),
    [anon_sym_STAR_EQ] = ACTIONS(6708),
    [anon_sym_SLASH_EQ] = ACTIONS(6708),
    [anon_sym_PERCENT_EQ] = ACTIONS(6708),
    [anon_sym_PLUS_EQ] = ACTIONS(6708),
    [anon_sym_DASH_EQ] = ACTIONS(6708),
    [anon_sym_LT_LT_EQ] = ACTIONS(6708),
    [anon_sym_GT_GT_EQ] = ACTIONS(6708),
    [anon_sym_AMP_EQ] = ACTIONS(6708),
    [anon_sym_CARET_EQ] = ACTIONS(6708),
    [anon_sym_PIPE_EQ] = ACTIONS(6708),
    [anon_sym_and_eq] = ACTIONS(6706),
    [anon_sym_or_eq] = ACTIONS(6706),
    [anon_sym_xor_eq] = ACTIONS(6706),
    [anon_sym_LT_EQ_GT] = ACTIONS(6708),
    [anon_sym_or] = ACTIONS(6706),
    [anon_sym_and] = ACTIONS(6706),
    [anon_sym_bitor] = ACTIONS(6706),
    [anon_sym_xor] = ACTIONS(6706),
    [anon_sym_bitand] = ACTIONS(6706),
    [anon_sym_not_eq] = ACTIONS(6706),
    [anon_sym_DASH_DASH] = ACTIONS(6708),
    [anon_sym_PLUS_PLUS] = ACTIONS(6708),
    [anon_sym_DOT] = ACTIONS(6706),
    [anon_sym_DOT_STAR] = ACTIONS(6708),
    [anon_sym_DASH_GT] = ACTIONS(6708),
    [sym_comment] = ACTIONS(3),
    [anon_sym_try] = ACTIONS(6706),
  },
  [3406] = {
    [sym_identifier] = ACTIONS(6710),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6712),
    [anon_sym_COMMA] = ACTIONS(6712),
    [anon_sym_RPAREN] = ACTIONS(6712),
    [aux_sym_preproc_if_token2] = ACTIONS(6712),
    [aux_sym_preproc_else_token1] = ACTIONS(6712),
    [aux_sym_preproc_elif_token1] = ACTIONS(6710),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(6712),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(6712),
    [anon_sym_LPAREN2] = ACTIONS(6712),
    [anon_sym_DASH] = ACTIONS(6710),
    [anon_sym_PLUS] = ACTIONS(6710),
    [anon_sym_STAR] = ACTIONS(6710),
    [anon_sym_SLASH] = ACTIONS(6710),
    [anon_sym_PERCENT] = ACTIONS(6710),
    [anon_sym_PIPE_PIPE] = ACTIONS(6712),
    [anon_sym_AMP_AMP] = ACTIONS(6712),
    [anon_sym_PIPE] = ACTIONS(6710),
    [anon_sym_CARET] = ACTIONS(6710),
    [anon_sym_AMP] = ACTIONS(6710),
    [anon_sym_EQ_EQ] = ACTIONS(6712),
    [anon_sym_BANG_EQ] = ACTIONS(6712),
    [anon_sym_GT] = ACTIONS(6710),
    [anon_sym_GT_EQ] = ACTIONS(6712),
    [anon_sym_LT_EQ] = ACTIONS(6710),
    [anon_sym_LT] = ACTIONS(6710),
    [anon_sym_LT_LT] = ACTIONS(6710),
    [anon_sym_GT_GT] = ACTIONS(6710),
    [anon_sym_COLON] = ACTIONS(6712),
    [anon_sym_SEMI] = ACTIONS(6712),
    [anon_sym___attribute__] = ACTIONS(6710),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(6712),
    [anon_sym_LBRACE] = ACTIONS(6712),
    [anon_sym_RBRACE] = ACTIONS(6712),
    [anon_sym_LBRACK] = ACTIONS(6710),
    [anon_sym_RBRACK] = ACTIONS(6712),
    [anon_sym_EQ] = ACTIONS(6710),
    [anon_sym_QMARK] = ACTIONS(6712),
    [anon_sym_STAR_EQ] = ACTIONS(6712),
    [anon_sym_SLASH_EQ] = ACTIONS(6712),
    [anon_sym_PERCENT_EQ] = ACTIONS(6712),
    [anon_sym_PLUS_EQ] = ACTIONS(6712),
    [anon_sym_DASH_EQ] = ACTIONS(6712),
    [anon_sym_LT_LT_EQ] = ACTIONS(6712),
    [anon_sym_GT_GT_EQ] = ACTIONS(6712),
    [anon_sym_AMP_EQ] = ACTIONS(6712),
    [anon_sym_CARET_EQ] = ACTIONS(6712),
    [anon_sym_PIPE_EQ] = ACTIONS(6712),
    [anon_sym_and_eq] = ACTIONS(6710),
    [anon_sym_or_eq] = ACTIONS(6710),
    [anon_sym_xor_eq] = ACTIONS(6710),
    [anon_sym_LT_EQ_GT] = ACTIONS(6712),
    [anon_sym_or] = ACTIONS(6710),
    [anon_sym_and] = ACTIONS(6710),
    [anon_sym_bitor] = ACTIONS(6710),
    [anon_sym_xor] = ACTIONS(6710),
    [anon_sym_bitand] = ACTIONS(6710),
    [anon_sym_not_eq] = ACTIONS(6710),
    [anon_sym_DASH_DASH] = ACTIONS(6712),
    [anon_sym_PLUS_PLUS] = ACTIONS(6712),
    [anon_sym_DOT] = ACTIONS(6710),
    [anon_sym_DOT_STAR] = ACTIONS(6712),
    [anon_sym_DASH_GT] = ACTIONS(6712),
    [sym_comment] = ACTIONS(3),
    [anon_sym_try] = ACTIONS(6710),
  },
  [3407] = {
    [sym_identifier] = ACTIONS(6714),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6716),
    [anon_sym_COMMA] = ACTIONS(6716),
    [anon_sym_RPAREN] = ACTIONS(6716),
    [aux_sym_preproc_if_token2] = ACTIONS(6716),
    [aux_sym_preproc_else_token1] = ACTIONS(6716),
    [aux_sym_preproc_elif_token1] = ACTIONS(6714),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(6716),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(6716),
    [anon_sym_LPAREN2] = ACTIONS(6716),
    [anon_sym_DASH] = ACTIONS(6714),
    [anon_sym_PLUS] = ACTIONS(6714),
    [anon_sym_STAR] = ACTIONS(6714),
    [anon_sym_SLASH] = ACTIONS(6714),
    [anon_sym_PERCENT] = ACTIONS(6714),
    [anon_sym_PIPE_PIPE] = ACTIONS(6716),
    [anon_sym_AMP_AMP] = ACTIONS(6716),
    [anon_sym_PIPE] = ACTIONS(6714),
    [anon_sym_CARET] = ACTIONS(6714),
    [anon_sym_AMP] = ACTIONS(6714),
    [anon_sym_EQ_EQ] = ACTIONS(6716),
    [anon_sym_BANG_EQ] = ACTIONS(6716),
    [anon_sym_GT] = ACTIONS(6714),
    [anon_sym_GT_EQ] = ACTIONS(6716),
    [anon_sym_LT_EQ] = ACTIONS(6714),
    [anon_sym_LT] = ACTIONS(6714),
    [anon_sym_LT_LT] = ACTIONS(6714),
    [anon_sym_GT_GT] = ACTIONS(6714),
    [anon_sym_COLON] = ACTIONS(6716),
    [anon_sym_SEMI] = ACTIONS(6716),
    [anon_sym___attribute__] = ACTIONS(6714),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(6716),
    [anon_sym_LBRACE] = ACTIONS(6716),
    [anon_sym_RBRACE] = ACTIONS(6716),
    [anon_sym_LBRACK] = ACTIONS(6714),
    [anon_sym_RBRACK] = ACTIONS(6716),
    [anon_sym_EQ] = ACTIONS(6714),
    [anon_sym_QMARK] = ACTIONS(6716),
    [anon_sym_STAR_EQ] = ACTIONS(6716),
    [anon_sym_SLASH_EQ] = ACTIONS(6716),
    [anon_sym_PERCENT_EQ] = ACTIONS(6716),
    [anon_sym_PLUS_EQ] = ACTIONS(6716),
    [anon_sym_DASH_EQ] = ACTIONS(6716),
    [anon_sym_LT_LT_EQ] = ACTIONS(6716),
    [anon_sym_GT_GT_EQ] = ACTIONS(6716),
    [anon_sym_AMP_EQ] = ACTIONS(6716),
    [anon_sym_CARET_EQ] = ACTIONS(6716),
    [anon_sym_PIPE_EQ] = ACTIONS(6716),
    [anon_sym_and_eq] = ACTIONS(6714),
    [anon_sym_or_eq] = ACTIONS(6714),
    [anon_sym_xor_eq] = ACTIONS(6714),
    [anon_sym_LT_EQ_GT] = ACTIONS(6716),
    [anon_sym_or] = ACTIONS(6714),
    [anon_sym_and] = ACTIONS(6714),
    [anon_sym_bitor] = ACTIONS(6714),
    [anon_sym_xor] = ACTIONS(6714),
    [anon_sym_bitand] = ACTIONS(6714),
    [anon_sym_not_eq] = ACTIONS(6714),
    [anon_sym_DASH_DASH] = ACTIONS(6716),
    [anon_sym_PLUS_PLUS] = ACTIONS(6716),
    [anon_sym_DOT] = ACTIONS(6714),
    [anon_sym_DOT_STAR] = ACTIONS(6716),
    [anon_sym_DASH_GT] = ACTIONS(6716),
    [sym_comment] = ACTIONS(3),
    [anon_sym_try] = ACTIONS(6714),
  },
  [3408] = {
    [sym_identifier] = ACTIONS(6718),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6720),
    [anon_sym_COMMA] = ACTIONS(6720),
    [anon_sym_RPAREN] = ACTIONS(6720),
    [aux_sym_preproc_if_token2] = ACTIONS(6720),
    [aux_sym_preproc_else_token1] = ACTIONS(6720),
    [aux_sym_preproc_elif_token1] = ACTIONS(6718),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(6720),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(6720),
    [anon_sym_LPAREN2] = ACTIONS(6720),
    [anon_sym_DASH] = ACTIONS(6718),
    [anon_sym_PLUS] = ACTIONS(6718),
    [anon_sym_STAR] = ACTIONS(6718),
    [anon_sym_SLASH] = ACTIONS(6718),
    [anon_sym_PERCENT] = ACTIONS(6718),
    [anon_sym_PIPE_PIPE] = ACTIONS(6720),
    [anon_sym_AMP_AMP] = ACTIONS(6720),
    [anon_sym_PIPE] = ACTIONS(6718),
    [anon_sym_CARET] = ACTIONS(6718),
    [anon_sym_AMP] = ACTIONS(6718),
    [anon_sym_EQ_EQ] = ACTIONS(6720),
    [anon_sym_BANG_EQ] = ACTIONS(6720),
    [anon_sym_GT] = ACTIONS(6718),
    [anon_sym_GT_EQ] = ACTIONS(6720),
    [anon_sym_LT_EQ] = ACTIONS(6718),
    [anon_sym_LT] = ACTIONS(6718),
    [anon_sym_LT_LT] = ACTIONS(6718),
    [anon_sym_GT_GT] = ACTIONS(6718),
    [anon_sym_COLON] = ACTIONS(6720),
    [anon_sym_SEMI] = ACTIONS(6720),
    [anon_sym___attribute__] = ACTIONS(6718),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(6720),
    [anon_sym_LBRACE] = ACTIONS(6720),
    [anon_sym_RBRACE] = ACTIONS(6720),
    [anon_sym_LBRACK] = ACTIONS(6718),
    [anon_sym_RBRACK] = ACTIONS(6720),
    [anon_sym_EQ] = ACTIONS(6718),
    [anon_sym_QMARK] = ACTIONS(6720),
    [anon_sym_STAR_EQ] = ACTIONS(6720),
    [anon_sym_SLASH_EQ] = ACTIONS(6720),
    [anon_sym_PERCENT_EQ] = ACTIONS(6720),
    [anon_sym_PLUS_EQ] = ACTIONS(6720),
    [anon_sym_DASH_EQ] = ACTIONS(6720),
    [anon_sym_LT_LT_EQ] = ACTIONS(6720),
    [anon_sym_GT_GT_EQ] = ACTIONS(6720),
    [anon_sym_AMP_EQ] = ACTIONS(6720),
    [anon_sym_CARET_EQ] = ACTIONS(6720),
    [anon_sym_PIPE_EQ] = ACTIONS(6720),
    [anon_sym_and_eq] = ACTIONS(6718),
    [anon_sym_or_eq] = ACTIONS(6718),
    [anon_sym_xor_eq] = ACTIONS(6718),
    [anon_sym_LT_EQ_GT] = ACTIONS(6720),
    [anon_sym_or] = ACTIONS(6718),
    [anon_sym_and] = ACTIONS(6718),
    [anon_sym_bitor] = ACTIONS(6718),
    [anon_sym_xor] = ACTIONS(6718),
    [anon_sym_bitand] = ACTIONS(6718),
    [anon_sym_not_eq] = ACTIONS(6718),
    [anon_sym_DASH_DASH] = ACTIONS(6720),
    [anon_sym_PLUS_PLUS] = ACTIONS(6720),
    [anon_sym_DOT] = ACTIONS(6718),
    [anon_sym_DOT_STAR] = ACTIONS(6720),
    [anon_sym_DASH_GT] = ACTIONS(6720),
    [sym_comment] = ACTIONS(3),
    [anon_sym_try] = ACTIONS(6718),
  },
  [3409] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(3442),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5989),
    [anon_sym_COMMA] = ACTIONS(5989),
    [anon_sym_RPAREN] = ACTIONS(5989),
    [anon_sym_LPAREN2] = ACTIONS(5989),
    [anon_sym_DASH] = ACTIONS(5987),
    [anon_sym_PLUS] = ACTIONS(5987),
    [anon_sym_STAR] = ACTIONS(5989),
    [anon_sym_SLASH] = ACTIONS(5987),
    [anon_sym_PERCENT] = ACTIONS(5989),
    [anon_sym_PIPE_PIPE] = ACTIONS(5989),
    [anon_sym_AMP_AMP] = ACTIONS(5989),
    [anon_sym_PIPE] = ACTIONS(5987),
    [anon_sym_CARET] = ACTIONS(5989),
    [anon_sym_AMP] = ACTIONS(5987),
    [anon_sym_EQ_EQ] = ACTIONS(5989),
    [anon_sym_BANG_EQ] = ACTIONS(5989),
    [anon_sym_GT] = ACTIONS(5987),
    [anon_sym_GT_EQ] = ACTIONS(5989),
    [anon_sym_LT_EQ] = ACTIONS(5987),
    [anon_sym_LT] = ACTIONS(5987),
    [anon_sym_LT_LT] = ACTIONS(5989),
    [anon_sym_GT_GT] = ACTIONS(5989),
    [anon_sym_COLON] = ACTIONS(5989),
    [anon_sym_SEMI] = ACTIONS(5989),
    [anon_sym___extension__] = ACTIONS(5989),
    [anon_sym___attribute__] = ACTIONS(5989),
    [anon_sym_LBRACE] = ACTIONS(5989),
    [anon_sym_RBRACE] = ACTIONS(5989),
    [anon_sym_signed] = ACTIONS(6722),
    [anon_sym_unsigned] = ACTIONS(6722),
    [anon_sym_long] = ACTIONS(6722),
    [anon_sym_short] = ACTIONS(6722),
    [anon_sym_LBRACK] = ACTIONS(5989),
    [anon_sym_RBRACK] = ACTIONS(5989),
    [anon_sym_const] = ACTIONS(5987),
    [anon_sym_constexpr] = ACTIONS(5989),
    [anon_sym_volatile] = ACTIONS(5989),
    [anon_sym_restrict] = ACTIONS(5989),
    [anon_sym___restrict__] = ACTIONS(5989),
    [anon_sym__Atomic] = ACTIONS(5989),
    [anon_sym__Noreturn] = ACTIONS(5989),
    [anon_sym_noreturn] = ACTIONS(5989),
    [anon_sym_mutable] = ACTIONS(5989),
    [anon_sym_constinit] = ACTIONS(5989),
    [anon_sym_consteval] = ACTIONS(5989),
    [anon_sym_QMARK] = ACTIONS(5989),
    [anon_sym_LT_EQ_GT] = ACTIONS(5989),
    [anon_sym_or] = ACTIONS(5989),
    [anon_sym_and] = ACTIONS(5989),
    [anon_sym_bitor] = ACTIONS(5989),
    [anon_sym_xor] = ACTIONS(5989),
    [anon_sym_bitand] = ACTIONS(5989),
    [anon_sym_not_eq] = ACTIONS(5989),
    [anon_sym_DASH_DASH] = ACTIONS(5989),
    [anon_sym_PLUS_PLUS] = ACTIONS(5989),
    [anon_sym_DOT] = ACTIONS(5987),
    [anon_sym_DOT_STAR] = ACTIONS(5989),
    [anon_sym_DASH_GT] = ACTIONS(5989),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5989),
    [anon_sym_decltype] = ACTIONS(5989),
    [anon_sym_final] = ACTIONS(5989),
    [anon_sym_override] = ACTIONS(5989),
    [anon_sym_requires] = ACTIONS(5989),
  },
  [3410] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(3457),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5948),
    [anon_sym_COMMA] = ACTIONS(5948),
    [anon_sym_RPAREN] = ACTIONS(5948),
    [anon_sym_LPAREN2] = ACTIONS(5948),
    [anon_sym_DASH] = ACTIONS(5946),
    [anon_sym_PLUS] = ACTIONS(5946),
    [anon_sym_STAR] = ACTIONS(5948),
    [anon_sym_SLASH] = ACTIONS(5946),
    [anon_sym_PERCENT] = ACTIONS(5948),
    [anon_sym_PIPE_PIPE] = ACTIONS(5948),
    [anon_sym_AMP_AMP] = ACTIONS(5948),
    [anon_sym_PIPE] = ACTIONS(5946),
    [anon_sym_CARET] = ACTIONS(5948),
    [anon_sym_AMP] = ACTIONS(5946),
    [anon_sym_EQ_EQ] = ACTIONS(5948),
    [anon_sym_BANG_EQ] = ACTIONS(5948),
    [anon_sym_GT] = ACTIONS(5946),
    [anon_sym_GT_EQ] = ACTIONS(5948),
    [anon_sym_LT_EQ] = ACTIONS(5946),
    [anon_sym_LT] = ACTIONS(5946),
    [anon_sym_LT_LT] = ACTIONS(5948),
    [anon_sym_GT_GT] = ACTIONS(5948),
    [anon_sym_COLON] = ACTIONS(5948),
    [anon_sym_SEMI] = ACTIONS(5948),
    [anon_sym___extension__] = ACTIONS(5948),
    [anon_sym___attribute__] = ACTIONS(5948),
    [anon_sym_LBRACE] = ACTIONS(5948),
    [anon_sym_RBRACE] = ACTIONS(5948),
    [anon_sym_signed] = ACTIONS(6724),
    [anon_sym_unsigned] = ACTIONS(6724),
    [anon_sym_long] = ACTIONS(6724),
    [anon_sym_short] = ACTIONS(6724),
    [anon_sym_LBRACK] = ACTIONS(5948),
    [anon_sym_RBRACK] = ACTIONS(5948),
    [anon_sym_const] = ACTIONS(5946),
    [anon_sym_constexpr] = ACTIONS(5948),
    [anon_sym_volatile] = ACTIONS(5948),
    [anon_sym_restrict] = ACTIONS(5948),
    [anon_sym___restrict__] = ACTIONS(5948),
    [anon_sym__Atomic] = ACTIONS(5948),
    [anon_sym__Noreturn] = ACTIONS(5948),
    [anon_sym_noreturn] = ACTIONS(5948),
    [anon_sym_mutable] = ACTIONS(5948),
    [anon_sym_constinit] = ACTIONS(5948),
    [anon_sym_consteval] = ACTIONS(5948),
    [anon_sym_QMARK] = ACTIONS(5948),
    [anon_sym_LT_EQ_GT] = ACTIONS(5948),
    [anon_sym_or] = ACTIONS(5948),
    [anon_sym_and] = ACTIONS(5948),
    [anon_sym_bitor] = ACTIONS(5948),
    [anon_sym_xor] = ACTIONS(5948),
    [anon_sym_bitand] = ACTIONS(5948),
    [anon_sym_not_eq] = ACTIONS(5948),
    [anon_sym_DASH_DASH] = ACTIONS(5948),
    [anon_sym_PLUS_PLUS] = ACTIONS(5948),
    [anon_sym_DOT] = ACTIONS(5946),
    [anon_sym_DOT_STAR] = ACTIONS(5948),
    [anon_sym_DASH_GT] = ACTIONS(5948),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5948),
    [anon_sym_decltype] = ACTIONS(5948),
    [anon_sym_final] = ACTIONS(5948),
    [anon_sym_override] = ACTIONS(5948),
    [anon_sym_requires] = ACTIONS(5948),
  },
  [3411] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(3384),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5972),
    [anon_sym_COMMA] = ACTIONS(5972),
    [anon_sym_RPAREN] = ACTIONS(5972),
    [anon_sym_LPAREN2] = ACTIONS(5972),
    [anon_sym_DASH] = ACTIONS(5970),
    [anon_sym_PLUS] = ACTIONS(5970),
    [anon_sym_STAR] = ACTIONS(5972),
    [anon_sym_SLASH] = ACTIONS(5970),
    [anon_sym_PERCENT] = ACTIONS(5972),
    [anon_sym_PIPE_PIPE] = ACTIONS(5972),
    [anon_sym_AMP_AMP] = ACTIONS(5972),
    [anon_sym_PIPE] = ACTIONS(5970),
    [anon_sym_CARET] = ACTIONS(5972),
    [anon_sym_AMP] = ACTIONS(5970),
    [anon_sym_EQ_EQ] = ACTIONS(5972),
    [anon_sym_BANG_EQ] = ACTIONS(5972),
    [anon_sym_GT] = ACTIONS(5970),
    [anon_sym_GT_EQ] = ACTIONS(5972),
    [anon_sym_LT_EQ] = ACTIONS(5970),
    [anon_sym_LT] = ACTIONS(5970),
    [anon_sym_LT_LT] = ACTIONS(5972),
    [anon_sym_GT_GT] = ACTIONS(5972),
    [anon_sym_COLON] = ACTIONS(5972),
    [anon_sym_SEMI] = ACTIONS(5972),
    [anon_sym___extension__] = ACTIONS(5972),
    [anon_sym___attribute__] = ACTIONS(5972),
    [anon_sym_LBRACE] = ACTIONS(5972),
    [anon_sym_RBRACE] = ACTIONS(5972),
    [anon_sym_signed] = ACTIONS(6726),
    [anon_sym_unsigned] = ACTIONS(6726),
    [anon_sym_long] = ACTIONS(6726),
    [anon_sym_short] = ACTIONS(6726),
    [anon_sym_LBRACK] = ACTIONS(5972),
    [anon_sym_RBRACK] = ACTIONS(5972),
    [anon_sym_const] = ACTIONS(5970),
    [anon_sym_constexpr] = ACTIONS(5972),
    [anon_sym_volatile] = ACTIONS(5972),
    [anon_sym_restrict] = ACTIONS(5972),
    [anon_sym___restrict__] = ACTIONS(5972),
    [anon_sym__Atomic] = ACTIONS(5972),
    [anon_sym__Noreturn] = ACTIONS(5972),
    [anon_sym_noreturn] = ACTIONS(5972),
    [anon_sym_mutable] = ACTIONS(5972),
    [anon_sym_constinit] = ACTIONS(5972),
    [anon_sym_consteval] = ACTIONS(5972),
    [anon_sym_QMARK] = ACTIONS(5972),
    [anon_sym_LT_EQ_GT] = ACTIONS(5972),
    [anon_sym_or] = ACTIONS(5972),
    [anon_sym_and] = ACTIONS(5972),
    [anon_sym_bitor] = ACTIONS(5972),
    [anon_sym_xor] = ACTIONS(5972),
    [anon_sym_bitand] = ACTIONS(5972),
    [anon_sym_not_eq] = ACTIONS(5972),
    [anon_sym_DASH_DASH] = ACTIONS(5972),
    [anon_sym_PLUS_PLUS] = ACTIONS(5972),
    [anon_sym_DOT] = ACTIONS(5970),
    [anon_sym_DOT_STAR] = ACTIONS(5972),
    [anon_sym_DASH_GT] = ACTIONS(5972),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5972),
    [anon_sym_decltype] = ACTIONS(5972),
    [anon_sym_final] = ACTIONS(5972),
    [anon_sym_override] = ACTIONS(5972),
    [anon_sym_requires] = ACTIONS(5972),
  },
  [3412] = {
    [sym_identifier] = ACTIONS(6115),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6117),
    [anon_sym_COMMA] = ACTIONS(6117),
    [anon_sym_RPAREN] = ACTIONS(6117),
    [aux_sym_preproc_if_token2] = ACTIONS(6117),
    [aux_sym_preproc_else_token1] = ACTIONS(6117),
    [aux_sym_preproc_elif_token1] = ACTIONS(6115),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(6117),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(6117),
    [anon_sym_LPAREN2] = ACTIONS(6117),
    [anon_sym_DASH] = ACTIONS(6115),
    [anon_sym_PLUS] = ACTIONS(6115),
    [anon_sym_STAR] = ACTIONS(6115),
    [anon_sym_SLASH] = ACTIONS(6115),
    [anon_sym_PERCENT] = ACTIONS(6115),
    [anon_sym_PIPE_PIPE] = ACTIONS(6117),
    [anon_sym_AMP_AMP] = ACTIONS(6117),
    [anon_sym_PIPE] = ACTIONS(6115),
    [anon_sym_CARET] = ACTIONS(6115),
    [anon_sym_AMP] = ACTIONS(6115),
    [anon_sym_EQ_EQ] = ACTIONS(6117),
    [anon_sym_BANG_EQ] = ACTIONS(6117),
    [anon_sym_GT] = ACTIONS(6115),
    [anon_sym_GT_EQ] = ACTIONS(6117),
    [anon_sym_LT_EQ] = ACTIONS(6115),
    [anon_sym_LT] = ACTIONS(6115),
    [anon_sym_LT_LT] = ACTIONS(6115),
    [anon_sym_GT_GT] = ACTIONS(6115),
    [anon_sym_COLON] = ACTIONS(6117),
    [anon_sym_SEMI] = ACTIONS(6117),
    [anon_sym___attribute__] = ACTIONS(6115),
    [anon_sym_LBRACE] = ACTIONS(6117),
    [anon_sym_RBRACE] = ACTIONS(6117),
    [anon_sym_LBRACK] = ACTIONS(6117),
    [anon_sym_RBRACK] = ACTIONS(6117),
    [anon_sym_EQ] = ACTIONS(6115),
    [anon_sym_QMARK] = ACTIONS(6117),
    [anon_sym_STAR_EQ] = ACTIONS(6117),
    [anon_sym_SLASH_EQ] = ACTIONS(6117),
    [anon_sym_PERCENT_EQ] = ACTIONS(6117),
    [anon_sym_PLUS_EQ] = ACTIONS(6117),
    [anon_sym_DASH_EQ] = ACTIONS(6117),
    [anon_sym_LT_LT_EQ] = ACTIONS(6117),
    [anon_sym_GT_GT_EQ] = ACTIONS(6117),
    [anon_sym_AMP_EQ] = ACTIONS(6117),
    [anon_sym_CARET_EQ] = ACTIONS(6117),
    [anon_sym_PIPE_EQ] = ACTIONS(6117),
    [anon_sym_and_eq] = ACTIONS(6115),
    [anon_sym_or_eq] = ACTIONS(6115),
    [anon_sym_xor_eq] = ACTIONS(6115),
    [anon_sym_LT_EQ_GT] = ACTIONS(6117),
    [anon_sym_or] = ACTIONS(6115),
    [anon_sym_and] = ACTIONS(6115),
    [anon_sym_bitor] = ACTIONS(6115),
    [anon_sym_xor] = ACTIONS(6115),
    [anon_sym_bitand] = ACTIONS(6115),
    [anon_sym_not_eq] = ACTIONS(6115),
    [anon_sym_DASH_DASH] = ACTIONS(6117),
    [anon_sym_PLUS_PLUS] = ACTIONS(6117),
    [anon_sym_DOT] = ACTIONS(6115),
    [anon_sym_DOT_STAR] = ACTIONS(6117),
    [anon_sym_DASH_GT] = ACTIONS(6117),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(6115),
    [anon_sym_decltype] = ACTIONS(6115),
  },
  [3413] = {
    [sym_identifier] = ACTIONS(6123),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6125),
    [anon_sym_COMMA] = ACTIONS(6125),
    [anon_sym_RPAREN] = ACTIONS(6125),
    [aux_sym_preproc_if_token2] = ACTIONS(6125),
    [aux_sym_preproc_else_token1] = ACTIONS(6125),
    [aux_sym_preproc_elif_token1] = ACTIONS(6123),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(6125),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(6125),
    [anon_sym_LPAREN2] = ACTIONS(6125),
    [anon_sym_DASH] = ACTIONS(6123),
    [anon_sym_PLUS] = ACTIONS(6123),
    [anon_sym_STAR] = ACTIONS(6123),
    [anon_sym_SLASH] = ACTIONS(6123),
    [anon_sym_PERCENT] = ACTIONS(6123),
    [anon_sym_PIPE_PIPE] = ACTIONS(6125),
    [anon_sym_AMP_AMP] = ACTIONS(6125),
    [anon_sym_PIPE] = ACTIONS(6123),
    [anon_sym_CARET] = ACTIONS(6123),
    [anon_sym_AMP] = ACTIONS(6123),
    [anon_sym_EQ_EQ] = ACTIONS(6125),
    [anon_sym_BANG_EQ] = ACTIONS(6125),
    [anon_sym_GT] = ACTIONS(6123),
    [anon_sym_GT_EQ] = ACTIONS(6125),
    [anon_sym_LT_EQ] = ACTIONS(6123),
    [anon_sym_LT] = ACTIONS(6123),
    [anon_sym_LT_LT] = ACTIONS(6123),
    [anon_sym_GT_GT] = ACTIONS(6123),
    [anon_sym_COLON] = ACTIONS(6125),
    [anon_sym_SEMI] = ACTIONS(6125),
    [anon_sym___attribute__] = ACTIONS(6123),
    [anon_sym_LBRACE] = ACTIONS(6125),
    [anon_sym_RBRACE] = ACTIONS(6125),
    [anon_sym_LBRACK] = ACTIONS(6125),
    [anon_sym_RBRACK] = ACTIONS(6125),
    [anon_sym_EQ] = ACTIONS(6123),
    [anon_sym_QMARK] = ACTIONS(6125),
    [anon_sym_STAR_EQ] = ACTIONS(6125),
    [anon_sym_SLASH_EQ] = ACTIONS(6125),
    [anon_sym_PERCENT_EQ] = ACTIONS(6125),
    [anon_sym_PLUS_EQ] = ACTIONS(6125),
    [anon_sym_DASH_EQ] = ACTIONS(6125),
    [anon_sym_LT_LT_EQ] = ACTIONS(6125),
    [anon_sym_GT_GT_EQ] = ACTIONS(6125),
    [anon_sym_AMP_EQ] = ACTIONS(6125),
    [anon_sym_CARET_EQ] = ACTIONS(6125),
    [anon_sym_PIPE_EQ] = ACTIONS(6125),
    [anon_sym_and_eq] = ACTIONS(6123),
    [anon_sym_or_eq] = ACTIONS(6123),
    [anon_sym_xor_eq] = ACTIONS(6123),
    [anon_sym_LT_EQ_GT] = ACTIONS(6125),
    [anon_sym_or] = ACTIONS(6123),
    [anon_sym_and] = ACTIONS(6123),
    [anon_sym_bitor] = ACTIONS(6123),
    [anon_sym_xor] = ACTIONS(6123),
    [anon_sym_bitand] = ACTIONS(6123),
    [anon_sym_not_eq] = ACTIONS(6123),
    [anon_sym_DASH_DASH] = ACTIONS(6125),
    [anon_sym_PLUS_PLUS] = ACTIONS(6125),
    [anon_sym_DOT] = ACTIONS(6123),
    [anon_sym_DOT_STAR] = ACTIONS(6125),
    [anon_sym_DASH_GT] = ACTIONS(6125),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(6123),
    [anon_sym_decltype] = ACTIONS(6123),
  },
  [3414] = {
    [sym_template_argument_list] = STATE(3203),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3538),
    [sym_identifier] = ACTIONS(5896),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5898),
    [anon_sym_COMMA] = ACTIONS(5898),
    [aux_sym_preproc_if_token2] = ACTIONS(5898),
    [aux_sym_preproc_else_token1] = ACTIONS(5898),
    [aux_sym_preproc_elif_token1] = ACTIONS(5898),
    [anon_sym_LPAREN2] = ACTIONS(5898),
    [anon_sym_DASH] = ACTIONS(5896),
    [anon_sym_PLUS] = ACTIONS(5896),
    [anon_sym_STAR] = ACTIONS(5896),
    [anon_sym_SLASH] = ACTIONS(5896),
    [anon_sym_PERCENT] = ACTIONS(5896),
    [anon_sym_PIPE_PIPE] = ACTIONS(5898),
    [anon_sym_AMP_AMP] = ACTIONS(5898),
    [anon_sym_PIPE] = ACTIONS(5896),
    [anon_sym_CARET] = ACTIONS(5896),
    [anon_sym_AMP] = ACTIONS(5896),
    [anon_sym_EQ_EQ] = ACTIONS(5898),
    [anon_sym_BANG_EQ] = ACTIONS(5898),
    [anon_sym_GT] = ACTIONS(5896),
    [anon_sym_GT_EQ] = ACTIONS(5898),
    [anon_sym_LT_EQ] = ACTIONS(5896),
    [anon_sym_LT] = ACTIONS(5896),
    [anon_sym_LT_LT] = ACTIONS(5896),
    [anon_sym_GT_GT] = ACTIONS(5896),
    [anon_sym___attribute__] = ACTIONS(5896),
    [anon_sym_COLON_COLON] = ACTIONS(2230),
    [anon_sym_LBRACE] = ACTIONS(5898),
    [anon_sym_signed] = ACTIONS(6728),
    [anon_sym_unsigned] = ACTIONS(6728),
    [anon_sym_long] = ACTIONS(6728),
    [anon_sym_short] = ACTIONS(6728),
    [anon_sym_LBRACK] = ACTIONS(5898),
    [anon_sym_EQ] = ACTIONS(5896),
    [anon_sym_QMARK] = ACTIONS(5898),
    [anon_sym_STAR_EQ] = ACTIONS(5898),
    [anon_sym_SLASH_EQ] = ACTIONS(5898),
    [anon_sym_PERCENT_EQ] = ACTIONS(5898),
    [anon_sym_PLUS_EQ] = ACTIONS(5898),
    [anon_sym_DASH_EQ] = ACTIONS(5898),
    [anon_sym_LT_LT_EQ] = ACTIONS(5898),
    [anon_sym_GT_GT_EQ] = ACTIONS(5898),
    [anon_sym_AMP_EQ] = ACTIONS(5898),
    [anon_sym_CARET_EQ] = ACTIONS(5898),
    [anon_sym_PIPE_EQ] = ACTIONS(5898),
    [anon_sym_and_eq] = ACTIONS(5896),
    [anon_sym_or_eq] = ACTIONS(5896),
    [anon_sym_xor_eq] = ACTIONS(5896),
    [anon_sym_LT_EQ_GT] = ACTIONS(5898),
    [anon_sym_or] = ACTIONS(5896),
    [anon_sym_and] = ACTIONS(5896),
    [anon_sym_bitor] = ACTIONS(5896),
    [anon_sym_xor] = ACTIONS(5896),
    [anon_sym_bitand] = ACTIONS(5896),
    [anon_sym_not_eq] = ACTIONS(5896),
    [anon_sym_DASH_DASH] = ACTIONS(5898),
    [anon_sym_PLUS_PLUS] = ACTIONS(5898),
    [anon_sym_DOT] = ACTIONS(5896),
    [anon_sym_DOT_STAR] = ACTIONS(5898),
    [anon_sym_DASH_GT] = ACTIONS(5898),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5896),
    [anon_sym_decltype] = ACTIONS(5896),
  },
  [3415] = {
    [sym_identifier] = ACTIONS(6025),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6027),
    [anon_sym_COMMA] = ACTIONS(6027),
    [anon_sym_RPAREN] = ACTIONS(6027),
    [aux_sym_preproc_if_token2] = ACTIONS(6027),
    [aux_sym_preproc_else_token1] = ACTIONS(6027),
    [aux_sym_preproc_elif_token1] = ACTIONS(6025),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(6027),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(6027),
    [anon_sym_LPAREN2] = ACTIONS(6027),
    [anon_sym_DASH] = ACTIONS(6025),
    [anon_sym_PLUS] = ACTIONS(6025),
    [anon_sym_STAR] = ACTIONS(6025),
    [anon_sym_SLASH] = ACTIONS(6025),
    [anon_sym_PERCENT] = ACTIONS(6025),
    [anon_sym_PIPE_PIPE] = ACTIONS(6027),
    [anon_sym_AMP_AMP] = ACTIONS(6027),
    [anon_sym_PIPE] = ACTIONS(6025),
    [anon_sym_CARET] = ACTIONS(6025),
    [anon_sym_AMP] = ACTIONS(6025),
    [anon_sym_EQ_EQ] = ACTIONS(6027),
    [anon_sym_BANG_EQ] = ACTIONS(6027),
    [anon_sym_GT] = ACTIONS(6025),
    [anon_sym_GT_EQ] = ACTIONS(6027),
    [anon_sym_LT_EQ] = ACTIONS(6025),
    [anon_sym_LT] = ACTIONS(6025),
    [anon_sym_LT_LT] = ACTIONS(6025),
    [anon_sym_GT_GT] = ACTIONS(6025),
    [anon_sym_COLON] = ACTIONS(6027),
    [anon_sym_SEMI] = ACTIONS(6027),
    [anon_sym___attribute__] = ACTIONS(6025),
    [anon_sym_LBRACE] = ACTIONS(6027),
    [anon_sym_RBRACE] = ACTIONS(6027),
    [anon_sym_LBRACK] = ACTIONS(6027),
    [anon_sym_RBRACK] = ACTIONS(6027),
    [anon_sym_EQ] = ACTIONS(6025),
    [anon_sym_QMARK] = ACTIONS(6027),
    [anon_sym_STAR_EQ] = ACTIONS(6027),
    [anon_sym_SLASH_EQ] = ACTIONS(6027),
    [anon_sym_PERCENT_EQ] = ACTIONS(6027),
    [anon_sym_PLUS_EQ] = ACTIONS(6027),
    [anon_sym_DASH_EQ] = ACTIONS(6027),
    [anon_sym_LT_LT_EQ] = ACTIONS(6027),
    [anon_sym_GT_GT_EQ] = ACTIONS(6027),
    [anon_sym_AMP_EQ] = ACTIONS(6027),
    [anon_sym_CARET_EQ] = ACTIONS(6027),
    [anon_sym_PIPE_EQ] = ACTIONS(6027),
    [anon_sym_and_eq] = ACTIONS(6025),
    [anon_sym_or_eq] = ACTIONS(6025),
    [anon_sym_xor_eq] = ACTIONS(6025),
    [anon_sym_LT_EQ_GT] = ACTIONS(6027),
    [anon_sym_or] = ACTIONS(6025),
    [anon_sym_and] = ACTIONS(6025),
    [anon_sym_bitor] = ACTIONS(6025),
    [anon_sym_xor] = ACTIONS(6025),
    [anon_sym_bitand] = ACTIONS(6025),
    [anon_sym_not_eq] = ACTIONS(6025),
    [anon_sym_DASH_DASH] = ACTIONS(6027),
    [anon_sym_PLUS_PLUS] = ACTIONS(6027),
    [anon_sym_DOT] = ACTIONS(6025),
    [anon_sym_DOT_STAR] = ACTIONS(6027),
    [anon_sym_DASH_GT] = ACTIONS(6027),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(6025),
    [anon_sym_decltype] = ACTIONS(6025),
  },
  [3416] = {
    [sym_identifier] = ACTIONS(6115),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6117),
    [anon_sym_COMMA] = ACTIONS(6117),
    [anon_sym_RPAREN] = ACTIONS(6117),
    [aux_sym_preproc_if_token2] = ACTIONS(6117),
    [aux_sym_preproc_else_token1] = ACTIONS(6117),
    [aux_sym_preproc_elif_token1] = ACTIONS(6115),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(6117),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(6117),
    [anon_sym_LPAREN2] = ACTIONS(6117),
    [anon_sym_DASH] = ACTIONS(6115),
    [anon_sym_PLUS] = ACTIONS(6115),
    [anon_sym_STAR] = ACTIONS(6115),
    [anon_sym_SLASH] = ACTIONS(6115),
    [anon_sym_PERCENT] = ACTIONS(6115),
    [anon_sym_PIPE_PIPE] = ACTIONS(6117),
    [anon_sym_AMP_AMP] = ACTIONS(6117),
    [anon_sym_PIPE] = ACTIONS(6115),
    [anon_sym_CARET] = ACTIONS(6115),
    [anon_sym_AMP] = ACTIONS(6115),
    [anon_sym_EQ_EQ] = ACTIONS(6117),
    [anon_sym_BANG_EQ] = ACTIONS(6117),
    [anon_sym_GT] = ACTIONS(6115),
    [anon_sym_GT_EQ] = ACTIONS(6117),
    [anon_sym_LT_EQ] = ACTIONS(6115),
    [anon_sym_LT] = ACTIONS(6115),
    [anon_sym_LT_LT] = ACTIONS(6115),
    [anon_sym_GT_GT] = ACTIONS(6115),
    [anon_sym_COLON] = ACTIONS(6117),
    [anon_sym_SEMI] = ACTIONS(6117),
    [anon_sym___attribute__] = ACTIONS(6115),
    [anon_sym_LBRACE] = ACTIONS(6117),
    [anon_sym_RBRACE] = ACTIONS(6117),
    [anon_sym_LBRACK] = ACTIONS(6117),
    [anon_sym_RBRACK] = ACTIONS(6117),
    [anon_sym_EQ] = ACTIONS(6115),
    [anon_sym_QMARK] = ACTIONS(6117),
    [anon_sym_STAR_EQ] = ACTIONS(6117),
    [anon_sym_SLASH_EQ] = ACTIONS(6117),
    [anon_sym_PERCENT_EQ] = ACTIONS(6117),
    [anon_sym_PLUS_EQ] = ACTIONS(6117),
    [anon_sym_DASH_EQ] = ACTIONS(6117),
    [anon_sym_LT_LT_EQ] = ACTIONS(6117),
    [anon_sym_GT_GT_EQ] = ACTIONS(6117),
    [anon_sym_AMP_EQ] = ACTIONS(6117),
    [anon_sym_CARET_EQ] = ACTIONS(6117),
    [anon_sym_PIPE_EQ] = ACTIONS(6117),
    [anon_sym_and_eq] = ACTIONS(6115),
    [anon_sym_or_eq] = ACTIONS(6115),
    [anon_sym_xor_eq] = ACTIONS(6115),
    [anon_sym_LT_EQ_GT] = ACTIONS(6117),
    [anon_sym_or] = ACTIONS(6115),
    [anon_sym_and] = ACTIONS(6115),
    [anon_sym_bitor] = ACTIONS(6115),
    [anon_sym_xor] = ACTIONS(6115),
    [anon_sym_bitand] = ACTIONS(6115),
    [anon_sym_not_eq] = ACTIONS(6115),
    [anon_sym_DASH_DASH] = ACTIONS(6117),
    [anon_sym_PLUS_PLUS] = ACTIONS(6117),
    [anon_sym_DOT] = ACTIONS(6115),
    [anon_sym_DOT_STAR] = ACTIONS(6117),
    [anon_sym_DASH_GT] = ACTIONS(6117),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(6115),
    [anon_sym_decltype] = ACTIONS(6115),
  },
  [3417] = {
    [sym_identifier] = ACTIONS(6730),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6732),
    [anon_sym_COMMA] = ACTIONS(6732),
    [anon_sym_RPAREN] = ACTIONS(6732),
    [aux_sym_preproc_if_token2] = ACTIONS(6732),
    [aux_sym_preproc_else_token1] = ACTIONS(6732),
    [aux_sym_preproc_elif_token1] = ACTIONS(6730),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(6732),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(6732),
    [anon_sym_LPAREN2] = ACTIONS(6732),
    [anon_sym_DASH] = ACTIONS(6730),
    [anon_sym_PLUS] = ACTIONS(6730),
    [anon_sym_STAR] = ACTIONS(6730),
    [anon_sym_SLASH] = ACTIONS(6730),
    [anon_sym_PERCENT] = ACTIONS(6730),
    [anon_sym_PIPE_PIPE] = ACTIONS(6732),
    [anon_sym_AMP_AMP] = ACTIONS(6732),
    [anon_sym_PIPE] = ACTIONS(6730),
    [anon_sym_CARET] = ACTIONS(6730),
    [anon_sym_AMP] = ACTIONS(6730),
    [anon_sym_EQ_EQ] = ACTIONS(6732),
    [anon_sym_BANG_EQ] = ACTIONS(6732),
    [anon_sym_GT] = ACTIONS(6730),
    [anon_sym_GT_EQ] = ACTIONS(6732),
    [anon_sym_LT_EQ] = ACTIONS(6730),
    [anon_sym_LT] = ACTIONS(6730),
    [anon_sym_LT_LT] = ACTIONS(6730),
    [anon_sym_GT_GT] = ACTIONS(6730),
    [anon_sym_COLON] = ACTIONS(6732),
    [anon_sym_SEMI] = ACTIONS(6732),
    [anon_sym___attribute__] = ACTIONS(6730),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(6732),
    [anon_sym_LBRACE] = ACTIONS(6732),
    [anon_sym_RBRACE] = ACTIONS(6732),
    [anon_sym_LBRACK] = ACTIONS(6730),
    [anon_sym_RBRACK] = ACTIONS(6732),
    [anon_sym_EQ] = ACTIONS(6730),
    [anon_sym_QMARK] = ACTIONS(6732),
    [anon_sym_STAR_EQ] = ACTIONS(6732),
    [anon_sym_SLASH_EQ] = ACTIONS(6732),
    [anon_sym_PERCENT_EQ] = ACTIONS(6732),
    [anon_sym_PLUS_EQ] = ACTIONS(6732),
    [anon_sym_DASH_EQ] = ACTIONS(6732),
    [anon_sym_LT_LT_EQ] = ACTIONS(6732),
    [anon_sym_GT_GT_EQ] = ACTIONS(6732),
    [anon_sym_AMP_EQ] = ACTIONS(6732),
    [anon_sym_CARET_EQ] = ACTIONS(6732),
    [anon_sym_PIPE_EQ] = ACTIONS(6732),
    [anon_sym_and_eq] = ACTIONS(6730),
    [anon_sym_or_eq] = ACTIONS(6730),
    [anon_sym_xor_eq] = ACTIONS(6730),
    [anon_sym_LT_EQ_GT] = ACTIONS(6732),
    [anon_sym_or] = ACTIONS(6730),
    [anon_sym_and] = ACTIONS(6730),
    [anon_sym_bitor] = ACTIONS(6730),
    [anon_sym_xor] = ACTIONS(6730),
    [anon_sym_bitand] = ACTIONS(6730),
    [anon_sym_not_eq] = ACTIONS(6730),
    [anon_sym_DASH_DASH] = ACTIONS(6732),
    [anon_sym_PLUS_PLUS] = ACTIONS(6732),
    [anon_sym_DOT] = ACTIONS(6730),
    [anon_sym_DOT_STAR] = ACTIONS(6732),
    [anon_sym_DASH_GT] = ACTIONS(6732),
    [sym_comment] = ACTIONS(3),
    [anon_sym_try] = ACTIONS(6730),
  },
  [3418] = {
    [sym_identifier] = ACTIONS(6413),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6415),
    [anon_sym_COMMA] = ACTIONS(6415),
    [aux_sym_preproc_if_token2] = ACTIONS(6415),
    [aux_sym_preproc_else_token1] = ACTIONS(6415),
    [aux_sym_preproc_elif_token1] = ACTIONS(6415),
    [anon_sym_LPAREN2] = ACTIONS(6415),
    [anon_sym_DASH] = ACTIONS(6413),
    [anon_sym_PLUS] = ACTIONS(6413),
    [anon_sym_STAR] = ACTIONS(6413),
    [anon_sym_SLASH] = ACTIONS(6413),
    [anon_sym_PERCENT] = ACTIONS(6413),
    [anon_sym_PIPE_PIPE] = ACTIONS(6415),
    [anon_sym_AMP_AMP] = ACTIONS(6415),
    [anon_sym_PIPE] = ACTIONS(6413),
    [anon_sym_CARET] = ACTIONS(6413),
    [anon_sym_AMP] = ACTIONS(6413),
    [anon_sym_EQ_EQ] = ACTIONS(6415),
    [anon_sym_BANG_EQ] = ACTIONS(6415),
    [anon_sym_GT] = ACTIONS(6413),
    [anon_sym_GT_EQ] = ACTIONS(6415),
    [anon_sym_LT_EQ] = ACTIONS(6413),
    [anon_sym_LT] = ACTIONS(6413),
    [anon_sym_LT_LT] = ACTIONS(6413),
    [anon_sym_GT_GT] = ACTIONS(6413),
    [anon_sym_LBRACK] = ACTIONS(6415),
    [anon_sym_EQ] = ACTIONS(6413),
    [anon_sym_QMARK] = ACTIONS(6415),
    [anon_sym_STAR_EQ] = ACTIONS(6415),
    [anon_sym_SLASH_EQ] = ACTIONS(6415),
    [anon_sym_PERCENT_EQ] = ACTIONS(6415),
    [anon_sym_PLUS_EQ] = ACTIONS(6415),
    [anon_sym_DASH_EQ] = ACTIONS(6415),
    [anon_sym_LT_LT_EQ] = ACTIONS(6415),
    [anon_sym_GT_GT_EQ] = ACTIONS(6415),
    [anon_sym_AMP_EQ] = ACTIONS(6415),
    [anon_sym_CARET_EQ] = ACTIONS(6415),
    [anon_sym_PIPE_EQ] = ACTIONS(6415),
    [anon_sym_and_eq] = ACTIONS(6413),
    [anon_sym_or_eq] = ACTIONS(6413),
    [anon_sym_xor_eq] = ACTIONS(6413),
    [anon_sym_LT_EQ_GT] = ACTIONS(6415),
    [anon_sym_or] = ACTIONS(6413),
    [anon_sym_and] = ACTIONS(6413),
    [anon_sym_bitor] = ACTIONS(6413),
    [anon_sym_xor] = ACTIONS(6413),
    [anon_sym_bitand] = ACTIONS(6413),
    [anon_sym_not_eq] = ACTIONS(6413),
    [anon_sym_DASH_DASH] = ACTIONS(6415),
    [anon_sym_PLUS_PLUS] = ACTIONS(6415),
    [anon_sym_DOT] = ACTIONS(6413),
    [anon_sym_DOT_STAR] = ACTIONS(6415),
    [anon_sym_DASH_GT] = ACTIONS(6415),
    [anon_sym_L_DQUOTE] = ACTIONS(6415),
    [anon_sym_u_DQUOTE] = ACTIONS(6415),
    [anon_sym_U_DQUOTE] = ACTIONS(6415),
    [anon_sym_u8_DQUOTE] = ACTIONS(6415),
    [anon_sym_DQUOTE] = ACTIONS(6415),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(6415),
    [anon_sym_LR_DQUOTE] = ACTIONS(6415),
    [anon_sym_uR_DQUOTE] = ACTIONS(6415),
    [anon_sym_UR_DQUOTE] = ACTIONS(6415),
    [anon_sym_u8R_DQUOTE] = ACTIONS(6415),
    [sym_literal_suffix] = ACTIONS(6413),
  },
  [3419] = {
    [sym_identifier] = ACTIONS(5931),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5933),
    [anon_sym_COMMA] = ACTIONS(5933),
    [anon_sym_RPAREN] = ACTIONS(5933),
    [aux_sym_preproc_if_token2] = ACTIONS(5933),
    [aux_sym_preproc_else_token1] = ACTIONS(5933),
    [aux_sym_preproc_elif_token1] = ACTIONS(5931),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5933),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5933),
    [anon_sym_LPAREN2] = ACTIONS(5933),
    [anon_sym_DASH] = ACTIONS(5931),
    [anon_sym_PLUS] = ACTIONS(5931),
    [anon_sym_STAR] = ACTIONS(5931),
    [anon_sym_SLASH] = ACTIONS(5931),
    [anon_sym_PERCENT] = ACTIONS(5931),
    [anon_sym_PIPE_PIPE] = ACTIONS(5933),
    [anon_sym_AMP_AMP] = ACTIONS(5933),
    [anon_sym_PIPE] = ACTIONS(5931),
    [anon_sym_CARET] = ACTIONS(5931),
    [anon_sym_AMP] = ACTIONS(5931),
    [anon_sym_EQ_EQ] = ACTIONS(5933),
    [anon_sym_BANG_EQ] = ACTIONS(5933),
    [anon_sym_GT] = ACTIONS(5931),
    [anon_sym_GT_EQ] = ACTIONS(5933),
    [anon_sym_LT_EQ] = ACTIONS(5931),
    [anon_sym_LT] = ACTIONS(5931),
    [anon_sym_LT_LT] = ACTIONS(5931),
    [anon_sym_GT_GT] = ACTIONS(5931),
    [anon_sym_COLON] = ACTIONS(5933),
    [anon_sym_SEMI] = ACTIONS(5933),
    [anon_sym___attribute__] = ACTIONS(5931),
    [anon_sym_LBRACE] = ACTIONS(5933),
    [anon_sym_RBRACE] = ACTIONS(5933),
    [anon_sym_LBRACK] = ACTIONS(5933),
    [anon_sym_RBRACK] = ACTIONS(5933),
    [anon_sym_EQ] = ACTIONS(5931),
    [anon_sym_QMARK] = ACTIONS(5933),
    [anon_sym_STAR_EQ] = ACTIONS(5933),
    [anon_sym_SLASH_EQ] = ACTIONS(5933),
    [anon_sym_PERCENT_EQ] = ACTIONS(5933),
    [anon_sym_PLUS_EQ] = ACTIONS(5933),
    [anon_sym_DASH_EQ] = ACTIONS(5933),
    [anon_sym_LT_LT_EQ] = ACTIONS(5933),
    [anon_sym_GT_GT_EQ] = ACTIONS(5933),
    [anon_sym_AMP_EQ] = ACTIONS(5933),
    [anon_sym_CARET_EQ] = ACTIONS(5933),
    [anon_sym_PIPE_EQ] = ACTIONS(5933),
    [anon_sym_and_eq] = ACTIONS(5931),
    [anon_sym_or_eq] = ACTIONS(5931),
    [anon_sym_xor_eq] = ACTIONS(5931),
    [anon_sym_LT_EQ_GT] = ACTIONS(5933),
    [anon_sym_or] = ACTIONS(5931),
    [anon_sym_and] = ACTIONS(5931),
    [anon_sym_bitor] = ACTIONS(5931),
    [anon_sym_xor] = ACTIONS(5931),
    [anon_sym_bitand] = ACTIONS(5931),
    [anon_sym_not_eq] = ACTIONS(5931),
    [anon_sym_DASH_DASH] = ACTIONS(5933),
    [anon_sym_PLUS_PLUS] = ACTIONS(5933),
    [anon_sym_DOT] = ACTIONS(5931),
    [anon_sym_DOT_STAR] = ACTIONS(5933),
    [anon_sym_DASH_GT] = ACTIONS(5933),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5931),
    [anon_sym_decltype] = ACTIONS(5931),
  },
  [3420] = {
    [sym_identifier] = ACTIONS(6143),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6145),
    [anon_sym_COMMA] = ACTIONS(6145),
    [anon_sym_RPAREN] = ACTIONS(6145),
    [aux_sym_preproc_if_token2] = ACTIONS(6145),
    [aux_sym_preproc_else_token1] = ACTIONS(6145),
    [aux_sym_preproc_elif_token1] = ACTIONS(6143),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(6145),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(6145),
    [anon_sym_LPAREN2] = ACTIONS(6145),
    [anon_sym_DASH] = ACTIONS(6143),
    [anon_sym_PLUS] = ACTIONS(6143),
    [anon_sym_STAR] = ACTIONS(6143),
    [anon_sym_SLASH] = ACTIONS(6143),
    [anon_sym_PERCENT] = ACTIONS(6143),
    [anon_sym_PIPE_PIPE] = ACTIONS(6145),
    [anon_sym_AMP_AMP] = ACTIONS(6145),
    [anon_sym_PIPE] = ACTIONS(6143),
    [anon_sym_CARET] = ACTIONS(6143),
    [anon_sym_AMP] = ACTIONS(6143),
    [anon_sym_EQ_EQ] = ACTIONS(6145),
    [anon_sym_BANG_EQ] = ACTIONS(6145),
    [anon_sym_GT] = ACTIONS(6143),
    [anon_sym_GT_EQ] = ACTIONS(6145),
    [anon_sym_LT_EQ] = ACTIONS(6143),
    [anon_sym_LT] = ACTIONS(6143),
    [anon_sym_LT_LT] = ACTIONS(6143),
    [anon_sym_GT_GT] = ACTIONS(6143),
    [anon_sym_COLON] = ACTIONS(6145),
    [anon_sym_SEMI] = ACTIONS(6145),
    [anon_sym___attribute__] = ACTIONS(6143),
    [anon_sym_LBRACE] = ACTIONS(6145),
    [anon_sym_RBRACE] = ACTIONS(6145),
    [anon_sym_LBRACK] = ACTIONS(6145),
    [anon_sym_RBRACK] = ACTIONS(6145),
    [anon_sym_EQ] = ACTIONS(6143),
    [anon_sym_QMARK] = ACTIONS(6145),
    [anon_sym_STAR_EQ] = ACTIONS(6145),
    [anon_sym_SLASH_EQ] = ACTIONS(6145),
    [anon_sym_PERCENT_EQ] = ACTIONS(6145),
    [anon_sym_PLUS_EQ] = ACTIONS(6145),
    [anon_sym_DASH_EQ] = ACTIONS(6145),
    [anon_sym_LT_LT_EQ] = ACTIONS(6145),
    [anon_sym_GT_GT_EQ] = ACTIONS(6145),
    [anon_sym_AMP_EQ] = ACTIONS(6145),
    [anon_sym_CARET_EQ] = ACTIONS(6145),
    [anon_sym_PIPE_EQ] = ACTIONS(6145),
    [anon_sym_and_eq] = ACTIONS(6143),
    [anon_sym_or_eq] = ACTIONS(6143),
    [anon_sym_xor_eq] = ACTIONS(6143),
    [anon_sym_LT_EQ_GT] = ACTIONS(6145),
    [anon_sym_or] = ACTIONS(6143),
    [anon_sym_and] = ACTIONS(6143),
    [anon_sym_bitor] = ACTIONS(6143),
    [anon_sym_xor] = ACTIONS(6143),
    [anon_sym_bitand] = ACTIONS(6143),
    [anon_sym_not_eq] = ACTIONS(6143),
    [anon_sym_DASH_DASH] = ACTIONS(6145),
    [anon_sym_PLUS_PLUS] = ACTIONS(6145),
    [anon_sym_DOT] = ACTIONS(6143),
    [anon_sym_DOT_STAR] = ACTIONS(6145),
    [anon_sym_DASH_GT] = ACTIONS(6145),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(6143),
    [anon_sym_decltype] = ACTIONS(6143),
  },
  [3421] = {
    [sym_identifier] = ACTIONS(6407),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6409),
    [anon_sym_COMMA] = ACTIONS(6409),
    [aux_sym_preproc_if_token2] = ACTIONS(6409),
    [aux_sym_preproc_else_token1] = ACTIONS(6409),
    [aux_sym_preproc_elif_token1] = ACTIONS(6409),
    [anon_sym_LPAREN2] = ACTIONS(6409),
    [anon_sym_DASH] = ACTIONS(6407),
    [anon_sym_PLUS] = ACTIONS(6407),
    [anon_sym_STAR] = ACTIONS(6407),
    [anon_sym_SLASH] = ACTIONS(6407),
    [anon_sym_PERCENT] = ACTIONS(6407),
    [anon_sym_PIPE_PIPE] = ACTIONS(6409),
    [anon_sym_AMP_AMP] = ACTIONS(6409),
    [anon_sym_PIPE] = ACTIONS(6407),
    [anon_sym_CARET] = ACTIONS(6407),
    [anon_sym_AMP] = ACTIONS(6407),
    [anon_sym_EQ_EQ] = ACTIONS(6409),
    [anon_sym_BANG_EQ] = ACTIONS(6409),
    [anon_sym_GT] = ACTIONS(6407),
    [anon_sym_GT_EQ] = ACTIONS(6409),
    [anon_sym_LT_EQ] = ACTIONS(6407),
    [anon_sym_LT] = ACTIONS(6407),
    [anon_sym_LT_LT] = ACTIONS(6407),
    [anon_sym_GT_GT] = ACTIONS(6407),
    [anon_sym_LBRACK] = ACTIONS(6409),
    [anon_sym_EQ] = ACTIONS(6407),
    [anon_sym_QMARK] = ACTIONS(6409),
    [anon_sym_STAR_EQ] = ACTIONS(6409),
    [anon_sym_SLASH_EQ] = ACTIONS(6409),
    [anon_sym_PERCENT_EQ] = ACTIONS(6409),
    [anon_sym_PLUS_EQ] = ACTIONS(6409),
    [anon_sym_DASH_EQ] = ACTIONS(6409),
    [anon_sym_LT_LT_EQ] = ACTIONS(6409),
    [anon_sym_GT_GT_EQ] = ACTIONS(6409),
    [anon_sym_AMP_EQ] = ACTIONS(6409),
    [anon_sym_CARET_EQ] = ACTIONS(6409),
    [anon_sym_PIPE_EQ] = ACTIONS(6409),
    [anon_sym_and_eq] = ACTIONS(6407),
    [anon_sym_or_eq] = ACTIONS(6407),
    [anon_sym_xor_eq] = ACTIONS(6407),
    [anon_sym_LT_EQ_GT] = ACTIONS(6409),
    [anon_sym_or] = ACTIONS(6407),
    [anon_sym_and] = ACTIONS(6407),
    [anon_sym_bitor] = ACTIONS(6407),
    [anon_sym_xor] = ACTIONS(6407),
    [anon_sym_bitand] = ACTIONS(6407),
    [anon_sym_not_eq] = ACTIONS(6407),
    [anon_sym_DASH_DASH] = ACTIONS(6409),
    [anon_sym_PLUS_PLUS] = ACTIONS(6409),
    [anon_sym_DOT] = ACTIONS(6407),
    [anon_sym_DOT_STAR] = ACTIONS(6409),
    [anon_sym_DASH_GT] = ACTIONS(6409),
    [anon_sym_L_DQUOTE] = ACTIONS(6409),
    [anon_sym_u_DQUOTE] = ACTIONS(6409),
    [anon_sym_U_DQUOTE] = ACTIONS(6409),
    [anon_sym_u8_DQUOTE] = ACTIONS(6409),
    [anon_sym_DQUOTE] = ACTIONS(6409),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(6409),
    [anon_sym_LR_DQUOTE] = ACTIONS(6409),
    [anon_sym_uR_DQUOTE] = ACTIONS(6409),
    [anon_sym_UR_DQUOTE] = ACTIONS(6409),
    [anon_sym_u8R_DQUOTE] = ACTIONS(6409),
    [sym_literal_suffix] = ACTIONS(6407),
  },
  [3422] = {
    [sym_identifier] = ACTIONS(5783),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5785),
    [anon_sym_COMMA] = ACTIONS(5785),
    [anon_sym_RPAREN] = ACTIONS(5785),
    [aux_sym_preproc_if_token2] = ACTIONS(5785),
    [aux_sym_preproc_else_token1] = ACTIONS(5785),
    [aux_sym_preproc_elif_token1] = ACTIONS(5783),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5785),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5785),
    [anon_sym_LPAREN2] = ACTIONS(5785),
    [anon_sym_DASH] = ACTIONS(5783),
    [anon_sym_PLUS] = ACTIONS(5783),
    [anon_sym_STAR] = ACTIONS(5783),
    [anon_sym_SLASH] = ACTIONS(5783),
    [anon_sym_PERCENT] = ACTIONS(5783),
    [anon_sym_PIPE_PIPE] = ACTIONS(5785),
    [anon_sym_AMP_AMP] = ACTIONS(5785),
    [anon_sym_PIPE] = ACTIONS(5783),
    [anon_sym_CARET] = ACTIONS(5783),
    [anon_sym_AMP] = ACTIONS(5783),
    [anon_sym_EQ_EQ] = ACTIONS(5785),
    [anon_sym_BANG_EQ] = ACTIONS(5785),
    [anon_sym_GT] = ACTIONS(5783),
    [anon_sym_GT_EQ] = ACTIONS(5785),
    [anon_sym_LT_EQ] = ACTIONS(5783),
    [anon_sym_LT] = ACTIONS(5783),
    [anon_sym_LT_LT] = ACTIONS(5783),
    [anon_sym_GT_GT] = ACTIONS(5783),
    [anon_sym_COLON] = ACTIONS(5785),
    [anon_sym_SEMI] = ACTIONS(5785),
    [anon_sym___attribute__] = ACTIONS(5783),
    [anon_sym_LBRACE] = ACTIONS(5785),
    [anon_sym_RBRACE] = ACTIONS(5785),
    [anon_sym_LBRACK] = ACTIONS(5785),
    [anon_sym_RBRACK] = ACTIONS(5785),
    [anon_sym_EQ] = ACTIONS(5783),
    [anon_sym_QMARK] = ACTIONS(5785),
    [anon_sym_STAR_EQ] = ACTIONS(5785),
    [anon_sym_SLASH_EQ] = ACTIONS(5785),
    [anon_sym_PERCENT_EQ] = ACTIONS(5785),
    [anon_sym_PLUS_EQ] = ACTIONS(5785),
    [anon_sym_DASH_EQ] = ACTIONS(5785),
    [anon_sym_LT_LT_EQ] = ACTIONS(5785),
    [anon_sym_GT_GT_EQ] = ACTIONS(5785),
    [anon_sym_AMP_EQ] = ACTIONS(5785),
    [anon_sym_CARET_EQ] = ACTIONS(5785),
    [anon_sym_PIPE_EQ] = ACTIONS(5785),
    [anon_sym_and_eq] = ACTIONS(5783),
    [anon_sym_or_eq] = ACTIONS(5783),
    [anon_sym_xor_eq] = ACTIONS(5783),
    [anon_sym_LT_EQ_GT] = ACTIONS(5785),
    [anon_sym_or] = ACTIONS(5783),
    [anon_sym_and] = ACTIONS(5783),
    [anon_sym_bitor] = ACTIONS(5783),
    [anon_sym_xor] = ACTIONS(5783),
    [anon_sym_bitand] = ACTIONS(5783),
    [anon_sym_not_eq] = ACTIONS(5783),
    [anon_sym_DASH_DASH] = ACTIONS(5785),
    [anon_sym_PLUS_PLUS] = ACTIONS(5785),
    [anon_sym_DOT] = ACTIONS(5783),
    [anon_sym_DOT_STAR] = ACTIONS(5785),
    [anon_sym_DASH_GT] = ACTIONS(5785),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5783),
    [anon_sym_decltype] = ACTIONS(5783),
  },
  [3423] = {
    [sym_identifier] = ACTIONS(6734),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6736),
    [anon_sym_COMMA] = ACTIONS(6736),
    [anon_sym_RPAREN] = ACTIONS(6736),
    [aux_sym_preproc_if_token2] = ACTIONS(6736),
    [aux_sym_preproc_else_token1] = ACTIONS(6736),
    [aux_sym_preproc_elif_token1] = ACTIONS(6734),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(6736),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(6736),
    [anon_sym_LPAREN2] = ACTIONS(6736),
    [anon_sym_DASH] = ACTIONS(6734),
    [anon_sym_PLUS] = ACTIONS(6734),
    [anon_sym_STAR] = ACTIONS(6734),
    [anon_sym_SLASH] = ACTIONS(6734),
    [anon_sym_PERCENT] = ACTIONS(6734),
    [anon_sym_PIPE_PIPE] = ACTIONS(6736),
    [anon_sym_AMP_AMP] = ACTIONS(6736),
    [anon_sym_PIPE] = ACTIONS(6734),
    [anon_sym_CARET] = ACTIONS(6734),
    [anon_sym_AMP] = ACTIONS(6734),
    [anon_sym_EQ_EQ] = ACTIONS(6736),
    [anon_sym_BANG_EQ] = ACTIONS(6736),
    [anon_sym_GT] = ACTIONS(6734),
    [anon_sym_GT_EQ] = ACTIONS(6736),
    [anon_sym_LT_EQ] = ACTIONS(6734),
    [anon_sym_LT] = ACTIONS(6734),
    [anon_sym_LT_LT] = ACTIONS(6734),
    [anon_sym_GT_GT] = ACTIONS(6734),
    [anon_sym_COLON] = ACTIONS(6736),
    [anon_sym_SEMI] = ACTIONS(6736),
    [anon_sym___attribute__] = ACTIONS(6734),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(6736),
    [anon_sym_LBRACE] = ACTIONS(6736),
    [anon_sym_RBRACE] = ACTIONS(6736),
    [anon_sym_LBRACK] = ACTIONS(6734),
    [anon_sym_RBRACK] = ACTIONS(6736),
    [anon_sym_EQ] = ACTIONS(6734),
    [anon_sym_QMARK] = ACTIONS(6736),
    [anon_sym_STAR_EQ] = ACTIONS(6736),
    [anon_sym_SLASH_EQ] = ACTIONS(6736),
    [anon_sym_PERCENT_EQ] = ACTIONS(6736),
    [anon_sym_PLUS_EQ] = ACTIONS(6736),
    [anon_sym_DASH_EQ] = ACTIONS(6736),
    [anon_sym_LT_LT_EQ] = ACTIONS(6736),
    [anon_sym_GT_GT_EQ] = ACTIONS(6736),
    [anon_sym_AMP_EQ] = ACTIONS(6736),
    [anon_sym_CARET_EQ] = ACTIONS(6736),
    [anon_sym_PIPE_EQ] = ACTIONS(6736),
    [anon_sym_and_eq] = ACTIONS(6734),
    [anon_sym_or_eq] = ACTIONS(6734),
    [anon_sym_xor_eq] = ACTIONS(6734),
    [anon_sym_LT_EQ_GT] = ACTIONS(6736),
    [anon_sym_or] = ACTIONS(6734),
    [anon_sym_and] = ACTIONS(6734),
    [anon_sym_bitor] = ACTIONS(6734),
    [anon_sym_xor] = ACTIONS(6734),
    [anon_sym_bitand] = ACTIONS(6734),
    [anon_sym_not_eq] = ACTIONS(6734),
    [anon_sym_DASH_DASH] = ACTIONS(6736),
    [anon_sym_PLUS_PLUS] = ACTIONS(6736),
    [anon_sym_DOT] = ACTIONS(6734),
    [anon_sym_DOT_STAR] = ACTIONS(6736),
    [anon_sym_DASH_GT] = ACTIONS(6736),
    [sym_comment] = ACTIONS(3),
    [anon_sym_try] = ACTIONS(6734),
  },
  [3424] = {
    [sym_ms_based_modifier] = STATE(9827),
    [sym_ms_unaligned_ptr_modifier] = STATE(5347),
    [sym_ms_pointer_modifier] = STATE(5226),
    [sym__declarator] = STATE(7261),
    [sym__abstract_declarator] = STATE(7870),
    [sym_parenthesized_declarator] = STATE(7680),
    [sym_abstract_parenthesized_declarator] = STATE(7436),
    [sym_attributed_declarator] = STATE(7680),
    [sym_pointer_declarator] = STATE(7680),
    [sym_abstract_pointer_declarator] = STATE(7436),
    [sym_function_declarator] = STATE(7680),
    [sym_abstract_function_declarator] = STATE(7436),
    [sym_array_declarator] = STATE(7680),
    [sym_abstract_array_declarator] = STATE(7436),
    [sym_type_qualifier] = STATE(3856),
    [sym_parameter_list] = STATE(4871),
    [sym_decltype] = STATE(10317),
    [sym_reference_declarator] = STATE(7680),
    [sym_abstract_reference_declarator] = STATE(7436),
    [sym_structured_binding_declarator] = STATE(7680),
    [sym__function_declarator_seq] = STATE(7422),
    [sym_template_type] = STATE(10317),
    [sym_template_function] = STATE(7680),
    [sym_destructor_name] = STATE(7680),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(7058),
    [sym_qualified_identifier] = STATE(7680),
    [sym_operator_name] = STATE(7680),
    [aux_sym__type_definition_type_repeat1] = STATE(3856),
    [aux_sym_pointer_declarator_repeat1] = STATE(5226),
    [sym_identifier] = ACTIONS(6738),
    [anon_sym_COMMA] = ACTIONS(6740),
    [anon_sym_RPAREN] = ACTIONS(6740),
    [anon_sym_LPAREN2] = ACTIONS(4395),
    [anon_sym_TILDE] = ACTIONS(2877),
    [anon_sym_STAR] = ACTIONS(6742),
    [anon_sym_AMP_AMP] = ACTIONS(6744),
    [anon_sym_AMP] = ACTIONS(6746),
    [anon_sym_COLON] = ACTIONS(6748),
    [anon_sym___extension__] = ACTIONS(4379),
    [anon_sym_COLON_COLON] = ACTIONS(6750),
    [anon_sym___based] = ACTIONS(49),
    [sym_ms_restrict_modifier] = ACTIONS(4381),
    [sym_ms_unsigned_ptr_modifier] = ACTIONS(4381),
    [sym_ms_signed_ptr_modifier] = ACTIONS(4381),
    [anon_sym__unaligned] = ACTIONS(4383),
    [anon_sym___unaligned] = ACTIONS(4383),
    [anon_sym_LBRACK] = ACTIONS(6752),
    [anon_sym_EQ] = ACTIONS(6740),
    [anon_sym_const] = ACTIONS(4379),
    [anon_sym_constexpr] = ACTIONS(4379),
    [anon_sym_volatile] = ACTIONS(4379),
    [anon_sym_restrict] = ACTIONS(4379),
    [anon_sym___restrict__] = ACTIONS(4379),
    [anon_sym__Atomic] = ACTIONS(4379),
    [anon_sym__Noreturn] = ACTIONS(4379),
    [anon_sym_noreturn] = ACTIONS(4379),
    [anon_sym_mutable] = ACTIONS(4379),
    [anon_sym_constinit] = ACTIONS(4379),
    [anon_sym_consteval] = ACTIONS(4379),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_GT2] = ACTIONS(6740),
    [anon_sym_operator] = ACTIONS(2588),
  },
  [3425] = {
    [sym_ms_based_modifier] = STATE(9827),
    [sym_ms_unaligned_ptr_modifier] = STATE(5347),
    [sym_ms_pointer_modifier] = STATE(3424),
    [sym__declarator] = STATE(7352),
    [sym__abstract_declarator] = STATE(7832),
    [sym_parenthesized_declarator] = STATE(7680),
    [sym_abstract_parenthesized_declarator] = STATE(7436),
    [sym_attributed_declarator] = STATE(7680),
    [sym_pointer_declarator] = STATE(7680),
    [sym_abstract_pointer_declarator] = STATE(7436),
    [sym_function_declarator] = STATE(7680),
    [sym_abstract_function_declarator] = STATE(7436),
    [sym_array_declarator] = STATE(7680),
    [sym_abstract_array_declarator] = STATE(7436),
    [sym_type_qualifier] = STATE(3906),
    [sym_parameter_list] = STATE(4871),
    [sym_decltype] = STATE(10317),
    [sym_reference_declarator] = STATE(7680),
    [sym_abstract_reference_declarator] = STATE(7436),
    [sym_structured_binding_declarator] = STATE(7680),
    [sym__function_declarator_seq] = STATE(7422),
    [sym_template_type] = STATE(10317),
    [sym_template_function] = STATE(7680),
    [sym_destructor_name] = STATE(7680),
    [sym_dependent_type_identifier] = STATE(10317),
    [sym__scope_resolution] = STATE(7058),
    [sym_qualified_identifier] = STATE(7680),
    [sym_operator_name] = STATE(7680),
    [aux_sym__type_definition_type_repeat1] = STATE(3906),
    [aux_sym_pointer_declarator_repeat1] = STATE(3424),
    [sym_identifier] = ACTIONS(6738),
    [anon_sym_COMMA] = ACTIONS(6754),
    [anon_sym_RPAREN] = ACTIONS(6754),
    [anon_sym_LPAREN2] = ACTIONS(4395),
    [anon_sym_TILDE] = ACTIONS(2877),
    [anon_sym_STAR] = ACTIONS(6742),
    [anon_sym_AMP_AMP] = ACTIONS(6744),
    [anon_sym_AMP] = ACTIONS(6746),
    [anon_sym_COLON] = ACTIONS(6756),
    [anon_sym___extension__] = ACTIONS(4379),
    [anon_sym_COLON_COLON] = ACTIONS(6750),
    [anon_sym___based] = ACTIONS(49),
    [sym_ms_restrict_modifier] = ACTIONS(4381),
    [sym_ms_unsigned_ptr_modifier] = ACTIONS(4381),
    [sym_ms_signed_ptr_modifier] = ACTIONS(4381),
    [anon_sym__unaligned] = ACTIONS(4383),
    [anon_sym___unaligned] = ACTIONS(4383),
    [anon_sym_LBRACK] = ACTIONS(6752),
    [anon_sym_EQ] = ACTIONS(6754),
    [anon_sym_const] = ACTIONS(4379),
    [anon_sym_constexpr] = ACTIONS(4379),
    [anon_sym_volatile] = ACTIONS(4379),
    [anon_sym_restrict] = ACTIONS(4379),
    [anon_sym___restrict__] = ACTIONS(4379),
    [anon_sym__Atomic] = ACTIONS(4379),
    [anon_sym__Noreturn] = ACTIONS(4379),
    [anon_sym_noreturn] = ACTIONS(4379),
    [anon_sym_mutable] = ACTIONS(4379),
    [anon_sym_constinit] = ACTIONS(4379),
    [anon_sym_consteval] = ACTIONS(4379),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(1486),
    [anon_sym_GT2] = ACTIONS(6754),
    [anon_sym_operator] = ACTIONS(2588),
  },
  [3426] = {
    [sym_identifier] = ACTIONS(6029),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6031),
    [anon_sym_COMMA] = ACTIONS(6031),
    [anon_sym_RPAREN] = ACTIONS(6031),
    [aux_sym_preproc_if_token2] = ACTIONS(6031),
    [aux_sym_preproc_else_token1] = ACTIONS(6031),
    [aux_sym_preproc_elif_token1] = ACTIONS(6029),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(6031),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(6031),
    [anon_sym_LPAREN2] = ACTIONS(6031),
    [anon_sym_DASH] = ACTIONS(6029),
    [anon_sym_PLUS] = ACTIONS(6029),
    [anon_sym_STAR] = ACTIONS(6029),
    [anon_sym_SLASH] = ACTIONS(6029),
    [anon_sym_PERCENT] = ACTIONS(6029),
    [anon_sym_PIPE_PIPE] = ACTIONS(6031),
    [anon_sym_AMP_AMP] = ACTIONS(6031),
    [anon_sym_PIPE] = ACTIONS(6029),
    [anon_sym_CARET] = ACTIONS(6029),
    [anon_sym_AMP] = ACTIONS(6029),
    [anon_sym_EQ_EQ] = ACTIONS(6031),
    [anon_sym_BANG_EQ] = ACTIONS(6031),
    [anon_sym_GT] = ACTIONS(6029),
    [anon_sym_GT_EQ] = ACTIONS(6031),
    [anon_sym_LT_EQ] = ACTIONS(6029),
    [anon_sym_LT] = ACTIONS(6029),
    [anon_sym_LT_LT] = ACTIONS(6029),
    [anon_sym_GT_GT] = ACTIONS(6029),
    [anon_sym_COLON] = ACTIONS(6031),
    [anon_sym_SEMI] = ACTIONS(6031),
    [anon_sym___attribute__] = ACTIONS(6029),
    [anon_sym_LBRACE] = ACTIONS(6031),
    [anon_sym_RBRACE] = ACTIONS(6031),
    [anon_sym_LBRACK] = ACTIONS(6031),
    [anon_sym_RBRACK] = ACTIONS(6031),
    [anon_sym_EQ] = ACTIONS(6029),
    [anon_sym_QMARK] = ACTIONS(6031),
    [anon_sym_STAR_EQ] = ACTIONS(6031),
    [anon_sym_SLASH_EQ] = ACTIONS(6031),
    [anon_sym_PERCENT_EQ] = ACTIONS(6031),
    [anon_sym_PLUS_EQ] = ACTIONS(6031),
    [anon_sym_DASH_EQ] = ACTIONS(6031),
    [anon_sym_LT_LT_EQ] = ACTIONS(6031),
    [anon_sym_GT_GT_EQ] = ACTIONS(6031),
    [anon_sym_AMP_EQ] = ACTIONS(6031),
    [anon_sym_CARET_EQ] = ACTIONS(6031),
    [anon_sym_PIPE_EQ] = ACTIONS(6031),
    [anon_sym_and_eq] = ACTIONS(6029),
    [anon_sym_or_eq] = ACTIONS(6029),
    [anon_sym_xor_eq] = ACTIONS(6029),
    [anon_sym_LT_EQ_GT] = ACTIONS(6031),
    [anon_sym_or] = ACTIONS(6029),
    [anon_sym_and] = ACTIONS(6029),
    [anon_sym_bitor] = ACTIONS(6029),
    [anon_sym_xor] = ACTIONS(6029),
    [anon_sym_bitand] = ACTIONS(6029),
    [anon_sym_not_eq] = ACTIONS(6029),
    [anon_sym_DASH_DASH] = ACTIONS(6031),
    [anon_sym_PLUS_PLUS] = ACTIONS(6031),
    [anon_sym_DOT] = ACTIONS(6029),
    [anon_sym_DOT_STAR] = ACTIONS(6031),
    [anon_sym_DASH_GT] = ACTIONS(6031),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(6029),
    [anon_sym_decltype] = ACTIONS(6029),
  },
  [3427] = {
    [sym_identifier] = ACTIONS(6095),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6097),
    [anon_sym_COMMA] = ACTIONS(6097),
    [anon_sym_RPAREN] = ACTIONS(6097),
    [aux_sym_preproc_if_token2] = ACTIONS(6097),
    [aux_sym_preproc_else_token1] = ACTIONS(6097),
    [aux_sym_preproc_elif_token1] = ACTIONS(6095),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(6097),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(6097),
    [anon_sym_LPAREN2] = ACTIONS(6097),
    [anon_sym_DASH] = ACTIONS(6095),
    [anon_sym_PLUS] = ACTIONS(6095),
    [anon_sym_STAR] = ACTIONS(6095),
    [anon_sym_SLASH] = ACTIONS(6095),
    [anon_sym_PERCENT] = ACTIONS(6095),
    [anon_sym_PIPE_PIPE] = ACTIONS(6097),
    [anon_sym_AMP_AMP] = ACTIONS(6097),
    [anon_sym_PIPE] = ACTIONS(6095),
    [anon_sym_CARET] = ACTIONS(6095),
    [anon_sym_AMP] = ACTIONS(6095),
    [anon_sym_EQ_EQ] = ACTIONS(6097),
    [anon_sym_BANG_EQ] = ACTIONS(6097),
    [anon_sym_GT] = ACTIONS(6095),
    [anon_sym_GT_EQ] = ACTIONS(6097),
    [anon_sym_LT_EQ] = ACTIONS(6095),
    [anon_sym_LT] = ACTIONS(6095),
    [anon_sym_LT_LT] = ACTIONS(6095),
    [anon_sym_GT_GT] = ACTIONS(6095),
    [anon_sym_COLON] = ACTIONS(6097),
    [anon_sym_SEMI] = ACTIONS(6097),
    [anon_sym___attribute__] = ACTIONS(6095),
    [anon_sym_LBRACE] = ACTIONS(6097),
    [anon_sym_RBRACE] = ACTIONS(6097),
    [anon_sym_LBRACK] = ACTIONS(6097),
    [anon_sym_RBRACK] = ACTIONS(6097),
    [anon_sym_EQ] = ACTIONS(6095),
    [anon_sym_QMARK] = ACTIONS(6097),
    [anon_sym_STAR_EQ] = ACTIONS(6097),
    [anon_sym_SLASH_EQ] = ACTIONS(6097),
    [anon_sym_PERCENT_EQ] = ACTIONS(6097),
    [anon_sym_PLUS_EQ] = ACTIONS(6097),
    [anon_sym_DASH_EQ] = ACTIONS(6097),
    [anon_sym_LT_LT_EQ] = ACTIONS(6097),
    [anon_sym_GT_GT_EQ] = ACTIONS(6097),
    [anon_sym_AMP_EQ] = ACTIONS(6097),
    [anon_sym_CARET_EQ] = ACTIONS(6097),
    [anon_sym_PIPE_EQ] = ACTIONS(6097),
    [anon_sym_and_eq] = ACTIONS(6095),
    [anon_sym_or_eq] = ACTIONS(6095),
    [anon_sym_xor_eq] = ACTIONS(6095),
    [anon_sym_LT_EQ_GT] = ACTIONS(6097),
    [anon_sym_or] = ACTIONS(6095),
    [anon_sym_and] = ACTIONS(6095),
    [anon_sym_bitor] = ACTIONS(6095),
    [anon_sym_xor] = ACTIONS(6095),
    [anon_sym_bitand] = ACTIONS(6095),
    [anon_sym_not_eq] = ACTIONS(6095),
    [anon_sym_DASH_DASH] = ACTIONS(6097),
    [anon_sym_PLUS_PLUS] = ACTIONS(6097),
    [anon_sym_DOT] = ACTIONS(6095),
    [anon_sym_DOT_STAR] = ACTIONS(6097),
    [anon_sym_DASH_GT] = ACTIONS(6097),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(6095),
    [anon_sym_decltype] = ACTIONS(6095),
  },
  [3428] = {
    [sym_identifier] = ACTIONS(6033),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6035),
    [anon_sym_COMMA] = ACTIONS(6035),
    [anon_sym_RPAREN] = ACTIONS(6035),
    [aux_sym_preproc_if_token2] = ACTIONS(6035),
    [aux_sym_preproc_else_token1] = ACTIONS(6035),
    [aux_sym_preproc_elif_token1] = ACTIONS(6033),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(6035),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(6035),
    [anon_sym_LPAREN2] = ACTIONS(6035),
    [anon_sym_DASH] = ACTIONS(6033),
    [anon_sym_PLUS] = ACTIONS(6033),
    [anon_sym_STAR] = ACTIONS(6033),
    [anon_sym_SLASH] = ACTIONS(6033),
    [anon_sym_PERCENT] = ACTIONS(6033),
    [anon_sym_PIPE_PIPE] = ACTIONS(6035),
    [anon_sym_AMP_AMP] = ACTIONS(6035),
    [anon_sym_PIPE] = ACTIONS(6033),
    [anon_sym_CARET] = ACTIONS(6033),
    [anon_sym_AMP] = ACTIONS(6033),
    [anon_sym_EQ_EQ] = ACTIONS(6035),
    [anon_sym_BANG_EQ] = ACTIONS(6035),
    [anon_sym_GT] = ACTIONS(6033),
    [anon_sym_GT_EQ] = ACTIONS(6035),
    [anon_sym_LT_EQ] = ACTIONS(6033),
    [anon_sym_LT] = ACTIONS(6033),
    [anon_sym_LT_LT] = ACTIONS(6033),
    [anon_sym_GT_GT] = ACTIONS(6033),
    [anon_sym_COLON] = ACTIONS(6035),
    [anon_sym_SEMI] = ACTIONS(6035),
    [anon_sym___attribute__] = ACTIONS(6033),
    [anon_sym_LBRACE] = ACTIONS(6035),
    [anon_sym_RBRACE] = ACTIONS(6035),
    [anon_sym_LBRACK] = ACTIONS(6035),
    [anon_sym_RBRACK] = ACTIONS(6035),
    [anon_sym_EQ] = ACTIONS(6033),
    [anon_sym_QMARK] = ACTIONS(6035),
    [anon_sym_STAR_EQ] = ACTIONS(6035),
    [anon_sym_SLASH_EQ] = ACTIONS(6035),
    [anon_sym_PERCENT_EQ] = ACTIONS(6035),
    [anon_sym_PLUS_EQ] = ACTIONS(6035),
    [anon_sym_DASH_EQ] = ACTIONS(6035),
    [anon_sym_LT_LT_EQ] = ACTIONS(6035),
    [anon_sym_GT_GT_EQ] = ACTIONS(6035),
    [anon_sym_AMP_EQ] = ACTIONS(6035),
    [anon_sym_CARET_EQ] = ACTIONS(6035),
    [anon_sym_PIPE_EQ] = ACTIONS(6035),
    [anon_sym_and_eq] = ACTIONS(6033),
    [anon_sym_or_eq] = ACTIONS(6033),
    [anon_sym_xor_eq] = ACTIONS(6033),
    [anon_sym_LT_EQ_GT] = ACTIONS(6035),
    [anon_sym_or] = ACTIONS(6033),
    [anon_sym_and] = ACTIONS(6033),
    [anon_sym_bitor] = ACTIONS(6033),
    [anon_sym_xor] = ACTIONS(6033),
    [anon_sym_bitand] = ACTIONS(6033),
    [anon_sym_not_eq] = ACTIONS(6033),
    [anon_sym_DASH_DASH] = ACTIONS(6035),
    [anon_sym_PLUS_PLUS] = ACTIONS(6035),
    [anon_sym_DOT] = ACTIONS(6033),
    [anon_sym_DOT_STAR] = ACTIONS(6035),
    [anon_sym_DASH_GT] = ACTIONS(6035),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(6033),
    [anon_sym_decltype] = ACTIONS(6033),
  },
  [3429] = {
    [sym_identifier] = ACTIONS(6049),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6051),
    [anon_sym_COMMA] = ACTIONS(6051),
    [anon_sym_RPAREN] = ACTIONS(6051),
    [aux_sym_preproc_if_token2] = ACTIONS(6051),
    [aux_sym_preproc_else_token1] = ACTIONS(6051),
    [aux_sym_preproc_elif_token1] = ACTIONS(6049),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(6051),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(6051),
    [anon_sym_LPAREN2] = ACTIONS(6051),
    [anon_sym_DASH] = ACTIONS(6049),
    [anon_sym_PLUS] = ACTIONS(6049),
    [anon_sym_STAR] = ACTIONS(6049),
    [anon_sym_SLASH] = ACTIONS(6049),
    [anon_sym_PERCENT] = ACTIONS(6049),
    [anon_sym_PIPE_PIPE] = ACTIONS(6051),
    [anon_sym_AMP_AMP] = ACTIONS(6051),
    [anon_sym_PIPE] = ACTIONS(6049),
    [anon_sym_CARET] = ACTIONS(6049),
    [anon_sym_AMP] = ACTIONS(6049),
    [anon_sym_EQ_EQ] = ACTIONS(6051),
    [anon_sym_BANG_EQ] = ACTIONS(6051),
    [anon_sym_GT] = ACTIONS(6049),
    [anon_sym_GT_EQ] = ACTIONS(6051),
    [anon_sym_LT_EQ] = ACTIONS(6049),
    [anon_sym_LT] = ACTIONS(6049),
    [anon_sym_LT_LT] = ACTIONS(6049),
    [anon_sym_GT_GT] = ACTIONS(6049),
    [anon_sym_COLON] = ACTIONS(6051),
    [anon_sym_SEMI] = ACTIONS(6051),
    [anon_sym___attribute__] = ACTIONS(6049),
    [anon_sym_LBRACE] = ACTIONS(6051),
    [anon_sym_RBRACE] = ACTIONS(6051),
    [anon_sym_LBRACK] = ACTIONS(6051),
    [anon_sym_RBRACK] = ACTIONS(6051),
    [anon_sym_EQ] = ACTIONS(6049),
    [anon_sym_QMARK] = ACTIONS(6051),
    [anon_sym_STAR_EQ] = ACTIONS(6051),
    [anon_sym_SLASH_EQ] = ACTIONS(6051),
    [anon_sym_PERCENT_EQ] = ACTIONS(6051),
    [anon_sym_PLUS_EQ] = ACTIONS(6051),
    [anon_sym_DASH_EQ] = ACTIONS(6051),
    [anon_sym_LT_LT_EQ] = ACTIONS(6051),
    [anon_sym_GT_GT_EQ] = ACTIONS(6051),
    [anon_sym_AMP_EQ] = ACTIONS(6051),
    [anon_sym_CARET_EQ] = ACTIONS(6051),
    [anon_sym_PIPE_EQ] = ACTIONS(6051),
    [anon_sym_and_eq] = ACTIONS(6049),
    [anon_sym_or_eq] = ACTIONS(6049),
    [anon_sym_xor_eq] = ACTIONS(6049),
    [anon_sym_LT_EQ_GT] = ACTIONS(6051),
    [anon_sym_or] = ACTIONS(6049),
    [anon_sym_and] = ACTIONS(6049),
    [anon_sym_bitor] = ACTIONS(6049),
    [anon_sym_xor] = ACTIONS(6049),
    [anon_sym_bitand] = ACTIONS(6049),
    [anon_sym_not_eq] = ACTIONS(6049),
    [anon_sym_DASH_DASH] = ACTIONS(6051),
    [anon_sym_PLUS_PLUS] = ACTIONS(6051),
    [anon_sym_DOT] = ACTIONS(6049),
    [anon_sym_DOT_STAR] = ACTIONS(6051),
    [anon_sym_DASH_GT] = ACTIONS(6051),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(6049),
    [anon_sym_decltype] = ACTIONS(6049),
  },
  [3430] = {
    [sym_identifier] = ACTIONS(6037),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6039),
    [anon_sym_COMMA] = ACTIONS(6039),
    [anon_sym_RPAREN] = ACTIONS(6039),
    [aux_sym_preproc_if_token2] = ACTIONS(6039),
    [aux_sym_preproc_else_token1] = ACTIONS(6039),
    [aux_sym_preproc_elif_token1] = ACTIONS(6037),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(6039),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(6039),
    [anon_sym_LPAREN2] = ACTIONS(6039),
    [anon_sym_DASH] = ACTIONS(6037),
    [anon_sym_PLUS] = ACTIONS(6037),
    [anon_sym_STAR] = ACTIONS(6037),
    [anon_sym_SLASH] = ACTIONS(6037),
    [anon_sym_PERCENT] = ACTIONS(6037),
    [anon_sym_PIPE_PIPE] = ACTIONS(6039),
    [anon_sym_AMP_AMP] = ACTIONS(6039),
    [anon_sym_PIPE] = ACTIONS(6037),
    [anon_sym_CARET] = ACTIONS(6037),
    [anon_sym_AMP] = ACTIONS(6037),
    [anon_sym_EQ_EQ] = ACTIONS(6039),
    [anon_sym_BANG_EQ] = ACTIONS(6039),
    [anon_sym_GT] = ACTIONS(6037),
    [anon_sym_GT_EQ] = ACTIONS(6039),
    [anon_sym_LT_EQ] = ACTIONS(6037),
    [anon_sym_LT] = ACTIONS(6037),
    [anon_sym_LT_LT] = ACTIONS(6037),
    [anon_sym_GT_GT] = ACTIONS(6037),
    [anon_sym_COLON] = ACTIONS(6039),
    [anon_sym_SEMI] = ACTIONS(6039),
    [anon_sym___attribute__] = ACTIONS(6037),
    [anon_sym_LBRACE] = ACTIONS(6039),
    [anon_sym_RBRACE] = ACTIONS(6039),
    [anon_sym_LBRACK] = ACTIONS(6039),
    [anon_sym_RBRACK] = ACTIONS(6039),
    [anon_sym_EQ] = ACTIONS(6037),
    [anon_sym_QMARK] = ACTIONS(6039),
    [anon_sym_STAR_EQ] = ACTIONS(6039),
    [anon_sym_SLASH_EQ] = ACTIONS(6039),
    [anon_sym_PERCENT_EQ] = ACTIONS(6039),
    [anon_sym_PLUS_EQ] = ACTIONS(6039),
    [anon_sym_DASH_EQ] = ACTIONS(6039),
    [anon_sym_LT_LT_EQ] = ACTIONS(6039),
    [anon_sym_GT_GT_EQ] = ACTIONS(6039),
    [anon_sym_AMP_EQ] = ACTIONS(6039),
    [anon_sym_CARET_EQ] = ACTIONS(6039),
    [anon_sym_PIPE_EQ] = ACTIONS(6039),
    [anon_sym_and_eq] = ACTIONS(6037),
    [anon_sym_or_eq] = ACTIONS(6037),
    [anon_sym_xor_eq] = ACTIONS(6037),
    [anon_sym_LT_EQ_GT] = ACTIONS(6039),
    [anon_sym_or] = ACTIONS(6037),
    [anon_sym_and] = ACTIONS(6037),
    [anon_sym_bitor] = ACTIONS(6037),
    [anon_sym_xor] = ACTIONS(6037),
    [anon_sym_bitand] = ACTIONS(6037),
    [anon_sym_not_eq] = ACTIONS(6037),
    [anon_sym_DASH_DASH] = ACTIONS(6039),
    [anon_sym_PLUS_PLUS] = ACTIONS(6039),
    [anon_sym_DOT] = ACTIONS(6037),
    [anon_sym_DOT_STAR] = ACTIONS(6039),
    [anon_sym_DASH_GT] = ACTIONS(6039),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(6037),
    [anon_sym_decltype] = ACTIONS(6037),
  },
  [3431] = {
    [sym_identifier] = ACTIONS(6083),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6085),
    [anon_sym_COMMA] = ACTIONS(6085),
    [anon_sym_RPAREN] = ACTIONS(6085),
    [aux_sym_preproc_if_token2] = ACTIONS(6085),
    [aux_sym_preproc_else_token1] = ACTIONS(6085),
    [aux_sym_preproc_elif_token1] = ACTIONS(6083),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(6085),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(6085),
    [anon_sym_LPAREN2] = ACTIONS(6085),
    [anon_sym_DASH] = ACTIONS(6083),
    [anon_sym_PLUS] = ACTIONS(6083),
    [anon_sym_STAR] = ACTIONS(6083),
    [anon_sym_SLASH] = ACTIONS(6083),
    [anon_sym_PERCENT] = ACTIONS(6083),
    [anon_sym_PIPE_PIPE] = ACTIONS(6085),
    [anon_sym_AMP_AMP] = ACTIONS(6085),
    [anon_sym_PIPE] = ACTIONS(6083),
    [anon_sym_CARET] = ACTIONS(6083),
    [anon_sym_AMP] = ACTIONS(6083),
    [anon_sym_EQ_EQ] = ACTIONS(6085),
    [anon_sym_BANG_EQ] = ACTIONS(6085),
    [anon_sym_GT] = ACTIONS(6083),
    [anon_sym_GT_EQ] = ACTIONS(6085),
    [anon_sym_LT_EQ] = ACTIONS(6083),
    [anon_sym_LT] = ACTIONS(6083),
    [anon_sym_LT_LT] = ACTIONS(6083),
    [anon_sym_GT_GT] = ACTIONS(6083),
    [anon_sym_COLON] = ACTIONS(6085),
    [anon_sym_SEMI] = ACTIONS(6085),
    [anon_sym___attribute__] = ACTIONS(6083),
    [anon_sym_LBRACE] = ACTIONS(6085),
    [anon_sym_RBRACE] = ACTIONS(6085),
    [anon_sym_LBRACK] = ACTIONS(6085),
    [anon_sym_RBRACK] = ACTIONS(6085),
    [anon_sym_EQ] = ACTIONS(6083),
    [anon_sym_QMARK] = ACTIONS(6085),
    [anon_sym_STAR_EQ] = ACTIONS(6085),
    [anon_sym_SLASH_EQ] = ACTIONS(6085),
    [anon_sym_PERCENT_EQ] = ACTIONS(6085),
    [anon_sym_PLUS_EQ] = ACTIONS(6085),
    [anon_sym_DASH_EQ] = ACTIONS(6085),
    [anon_sym_LT_LT_EQ] = ACTIONS(6085),
    [anon_sym_GT_GT_EQ] = ACTIONS(6085),
    [anon_sym_AMP_EQ] = ACTIONS(6085),
    [anon_sym_CARET_EQ] = ACTIONS(6085),
    [anon_sym_PIPE_EQ] = ACTIONS(6085),
    [anon_sym_and_eq] = ACTIONS(6083),
    [anon_sym_or_eq] = ACTIONS(6083),
    [anon_sym_xor_eq] = ACTIONS(6083),
    [anon_sym_LT_EQ_GT] = ACTIONS(6085),
    [anon_sym_or] = ACTIONS(6083),
    [anon_sym_and] = ACTIONS(6083),
    [anon_sym_bitor] = ACTIONS(6083),
    [anon_sym_xor] = ACTIONS(6083),
    [anon_sym_bitand] = ACTIONS(6083),
    [anon_sym_not_eq] = ACTIONS(6083),
    [anon_sym_DASH_DASH] = ACTIONS(6085),
    [anon_sym_PLUS_PLUS] = ACTIONS(6085),
    [anon_sym_DOT] = ACTIONS(6083),
    [anon_sym_DOT_STAR] = ACTIONS(6085),
    [anon_sym_DASH_GT] = ACTIONS(6085),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(6083),
    [anon_sym_decltype] = ACTIONS(6083),
  },
  [3432] = {
    [sym_identifier] = ACTIONS(6087),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6089),
    [anon_sym_COMMA] = ACTIONS(6089),
    [anon_sym_RPAREN] = ACTIONS(6089),
    [aux_sym_preproc_if_token2] = ACTIONS(6089),
    [aux_sym_preproc_else_token1] = ACTIONS(6089),
    [aux_sym_preproc_elif_token1] = ACTIONS(6087),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(6089),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(6089),
    [anon_sym_LPAREN2] = ACTIONS(6089),
    [anon_sym_DASH] = ACTIONS(6087),
    [anon_sym_PLUS] = ACTIONS(6087),
    [anon_sym_STAR] = ACTIONS(6087),
    [anon_sym_SLASH] = ACTIONS(6087),
    [anon_sym_PERCENT] = ACTIONS(6087),
    [anon_sym_PIPE_PIPE] = ACTIONS(6089),
    [anon_sym_AMP_AMP] = ACTIONS(6089),
    [anon_sym_PIPE] = ACTIONS(6087),
    [anon_sym_CARET] = ACTIONS(6087),
    [anon_sym_AMP] = ACTIONS(6087),
    [anon_sym_EQ_EQ] = ACTIONS(6089),
    [anon_sym_BANG_EQ] = ACTIONS(6089),
    [anon_sym_GT] = ACTIONS(6087),
    [anon_sym_GT_EQ] = ACTIONS(6089),
    [anon_sym_LT_EQ] = ACTIONS(6087),
    [anon_sym_LT] = ACTIONS(6087),
    [anon_sym_LT_LT] = ACTIONS(6087),
    [anon_sym_GT_GT] = ACTIONS(6087),
    [anon_sym_COLON] = ACTIONS(6089),
    [anon_sym_SEMI] = ACTIONS(6089),
    [anon_sym___attribute__] = ACTIONS(6087),
    [anon_sym_LBRACE] = ACTIONS(6089),
    [anon_sym_RBRACE] = ACTIONS(6089),
    [anon_sym_LBRACK] = ACTIONS(6089),
    [anon_sym_RBRACK] = ACTIONS(6089),
    [anon_sym_EQ] = ACTIONS(6087),
    [anon_sym_QMARK] = ACTIONS(6089),
    [anon_sym_STAR_EQ] = ACTIONS(6089),
    [anon_sym_SLASH_EQ] = ACTIONS(6089),
    [anon_sym_PERCENT_EQ] = ACTIONS(6089),
    [anon_sym_PLUS_EQ] = ACTIONS(6089),
    [anon_sym_DASH_EQ] = ACTIONS(6089),
    [anon_sym_LT_LT_EQ] = ACTIONS(6089),
    [anon_sym_GT_GT_EQ] = ACTIONS(6089),
    [anon_sym_AMP_EQ] = ACTIONS(6089),
    [anon_sym_CARET_EQ] = ACTIONS(6089),
    [anon_sym_PIPE_EQ] = ACTIONS(6089),
    [anon_sym_and_eq] = ACTIONS(6087),
    [anon_sym_or_eq] = ACTIONS(6087),
    [anon_sym_xor_eq] = ACTIONS(6087),
    [anon_sym_LT_EQ_GT] = ACTIONS(6089),
    [anon_sym_or] = ACTIONS(6087),
    [anon_sym_and] = ACTIONS(6087),
    [anon_sym_bitor] = ACTIONS(6087),
    [anon_sym_xor] = ACTIONS(6087),
    [anon_sym_bitand] = ACTIONS(6087),
    [anon_sym_not_eq] = ACTIONS(6087),
    [anon_sym_DASH_DASH] = ACTIONS(6089),
    [anon_sym_PLUS_PLUS] = ACTIONS(6089),
    [anon_sym_DOT] = ACTIONS(6087),
    [anon_sym_DOT_STAR] = ACTIONS(6089),
    [anon_sym_DASH_GT] = ACTIONS(6089),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(6087),
    [anon_sym_decltype] = ACTIONS(6087),
  },
  [3433] = {
    [sym_identifier] = ACTIONS(5970),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5972),
    [anon_sym_COMMA] = ACTIONS(5972),
    [anon_sym_RPAREN] = ACTIONS(5972),
    [aux_sym_preproc_if_token2] = ACTIONS(5972),
    [aux_sym_preproc_else_token1] = ACTIONS(5972),
    [aux_sym_preproc_elif_token1] = ACTIONS(5970),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5972),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5972),
    [anon_sym_LPAREN2] = ACTIONS(5972),
    [anon_sym_DASH] = ACTIONS(5970),
    [anon_sym_PLUS] = ACTIONS(5970),
    [anon_sym_STAR] = ACTIONS(5970),
    [anon_sym_SLASH] = ACTIONS(5970),
    [anon_sym_PERCENT] = ACTIONS(5970),
    [anon_sym_PIPE_PIPE] = ACTIONS(5972),
    [anon_sym_AMP_AMP] = ACTIONS(5972),
    [anon_sym_PIPE] = ACTIONS(5970),
    [anon_sym_CARET] = ACTIONS(5970),
    [anon_sym_AMP] = ACTIONS(5970),
    [anon_sym_EQ_EQ] = ACTIONS(5972),
    [anon_sym_BANG_EQ] = ACTIONS(5972),
    [anon_sym_GT] = ACTIONS(5970),
    [anon_sym_GT_EQ] = ACTIONS(5972),
    [anon_sym_LT_EQ] = ACTIONS(5970),
    [anon_sym_LT] = ACTIONS(5970),
    [anon_sym_LT_LT] = ACTIONS(5970),
    [anon_sym_GT_GT] = ACTIONS(5970),
    [anon_sym_COLON] = ACTIONS(5972),
    [anon_sym_SEMI] = ACTIONS(5972),
    [anon_sym___attribute__] = ACTIONS(5970),
    [anon_sym_LBRACE] = ACTIONS(5972),
    [anon_sym_RBRACE] = ACTIONS(5972),
    [anon_sym_LBRACK] = ACTIONS(5972),
    [anon_sym_RBRACK] = ACTIONS(5972),
    [anon_sym_EQ] = ACTIONS(5970),
    [anon_sym_QMARK] = ACTIONS(5972),
    [anon_sym_STAR_EQ] = ACTIONS(5972),
    [anon_sym_SLASH_EQ] = ACTIONS(5972),
    [anon_sym_PERCENT_EQ] = ACTIONS(5972),
    [anon_sym_PLUS_EQ] = ACTIONS(5972),
    [anon_sym_DASH_EQ] = ACTIONS(5972),
    [anon_sym_LT_LT_EQ] = ACTIONS(5972),
    [anon_sym_GT_GT_EQ] = ACTIONS(5972),
    [anon_sym_AMP_EQ] = ACTIONS(5972),
    [anon_sym_CARET_EQ] = ACTIONS(5972),
    [anon_sym_PIPE_EQ] = ACTIONS(5972),
    [anon_sym_and_eq] = ACTIONS(5970),
    [anon_sym_or_eq] = ACTIONS(5970),
    [anon_sym_xor_eq] = ACTIONS(5970),
    [anon_sym_LT_EQ_GT] = ACTIONS(5972),
    [anon_sym_or] = ACTIONS(5970),
    [anon_sym_and] = ACTIONS(5970),
    [anon_sym_bitor] = ACTIONS(5970),
    [anon_sym_xor] = ACTIONS(5970),
    [anon_sym_bitand] = ACTIONS(5970),
    [anon_sym_not_eq] = ACTIONS(5970),
    [anon_sym_DASH_DASH] = ACTIONS(5972),
    [anon_sym_PLUS_PLUS] = ACTIONS(5972),
    [anon_sym_DOT] = ACTIONS(5970),
    [anon_sym_DOT_STAR] = ACTIONS(5972),
    [anon_sym_DASH_GT] = ACTIONS(5972),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5970),
    [anon_sym_decltype] = ACTIONS(5970),
  },
  [3434] = {
    [sym_identifier] = ACTIONS(6091),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6093),
    [anon_sym_COMMA] = ACTIONS(6093),
    [anon_sym_RPAREN] = ACTIONS(6093),
    [aux_sym_preproc_if_token2] = ACTIONS(6093),
    [aux_sym_preproc_else_token1] = ACTIONS(6093),
    [aux_sym_preproc_elif_token1] = ACTIONS(6091),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(6093),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(6093),
    [anon_sym_LPAREN2] = ACTIONS(6093),
    [anon_sym_DASH] = ACTIONS(6091),
    [anon_sym_PLUS] = ACTIONS(6091),
    [anon_sym_STAR] = ACTIONS(6091),
    [anon_sym_SLASH] = ACTIONS(6091),
    [anon_sym_PERCENT] = ACTIONS(6091),
    [anon_sym_PIPE_PIPE] = ACTIONS(6093),
    [anon_sym_AMP_AMP] = ACTIONS(6093),
    [anon_sym_PIPE] = ACTIONS(6091),
    [anon_sym_CARET] = ACTIONS(6091),
    [anon_sym_AMP] = ACTIONS(6091),
    [anon_sym_EQ_EQ] = ACTIONS(6093),
    [anon_sym_BANG_EQ] = ACTIONS(6093),
    [anon_sym_GT] = ACTIONS(6091),
    [anon_sym_GT_EQ] = ACTIONS(6093),
    [anon_sym_LT_EQ] = ACTIONS(6091),
    [anon_sym_LT] = ACTIONS(6091),
    [anon_sym_LT_LT] = ACTIONS(6091),
    [anon_sym_GT_GT] = ACTIONS(6091),
    [anon_sym_COLON] = ACTIONS(6093),
    [anon_sym_SEMI] = ACTIONS(6093),
    [anon_sym___attribute__] = ACTIONS(6091),
    [anon_sym_LBRACE] = ACTIONS(6093),
    [anon_sym_RBRACE] = ACTIONS(6093),
    [anon_sym_LBRACK] = ACTIONS(6093),
    [anon_sym_RBRACK] = ACTIONS(6093),
    [anon_sym_EQ] = ACTIONS(6091),
    [anon_sym_QMARK] = ACTIONS(6093),
    [anon_sym_STAR_EQ] = ACTIONS(6093),
    [anon_sym_SLASH_EQ] = ACTIONS(6093),
    [anon_sym_PERCENT_EQ] = ACTIONS(6093),
    [anon_sym_PLUS_EQ] = ACTIONS(6093),
    [anon_sym_DASH_EQ] = ACTIONS(6093),
    [anon_sym_LT_LT_EQ] = ACTIONS(6093),
    [anon_sym_GT_GT_EQ] = ACTIONS(6093),
    [anon_sym_AMP_EQ] = ACTIONS(6093),
    [anon_sym_CARET_EQ] = ACTIONS(6093),
    [anon_sym_PIPE_EQ] = ACTIONS(6093),
    [anon_sym_and_eq] = ACTIONS(6091),
    [anon_sym_or_eq] = ACTIONS(6091),
    [anon_sym_xor_eq] = ACTIONS(6091),
    [anon_sym_LT_EQ_GT] = ACTIONS(6093),
    [anon_sym_or] = ACTIONS(6091),
    [anon_sym_and] = ACTIONS(6091),
    [anon_sym_bitor] = ACTIONS(6091),
    [anon_sym_xor] = ACTIONS(6091),
    [anon_sym_bitand] = ACTIONS(6091),
    [anon_sym_not_eq] = ACTIONS(6091),
    [anon_sym_DASH_DASH] = ACTIONS(6093),
    [anon_sym_PLUS_PLUS] = ACTIONS(6093),
    [anon_sym_DOT] = ACTIONS(6091),
    [anon_sym_DOT_STAR] = ACTIONS(6093),
    [anon_sym_DASH_GT] = ACTIONS(6093),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(6091),
    [anon_sym_decltype] = ACTIONS(6091),
  },
  [3435] = {
    [sym_attribute_specifier] = STATE(3926),
    [sym_field_declaration_list] = STATE(3758),
    [sym_virtual_specifier] = STATE(8308),
    [sym_base_class_clause] = STATE(9153),
    [sym_identifier] = ACTIONS(5925),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5927),
    [anon_sym_COMMA] = ACTIONS(5927),
    [aux_sym_preproc_if_token2] = ACTIONS(5927),
    [aux_sym_preproc_else_token1] = ACTIONS(5927),
    [aux_sym_preproc_elif_token1] = ACTIONS(5927),
    [anon_sym_LPAREN2] = ACTIONS(5927),
    [anon_sym_DASH] = ACTIONS(5925),
    [anon_sym_PLUS] = ACTIONS(5925),
    [anon_sym_STAR] = ACTIONS(5925),
    [anon_sym_SLASH] = ACTIONS(5925),
    [anon_sym_PERCENT] = ACTIONS(5925),
    [anon_sym_PIPE_PIPE] = ACTIONS(5927),
    [anon_sym_AMP_AMP] = ACTIONS(5927),
    [anon_sym_PIPE] = ACTIONS(5925),
    [anon_sym_CARET] = ACTIONS(5925),
    [anon_sym_AMP] = ACTIONS(5925),
    [anon_sym_EQ_EQ] = ACTIONS(5927),
    [anon_sym_BANG_EQ] = ACTIONS(5927),
    [anon_sym_GT] = ACTIONS(5925),
    [anon_sym_GT_EQ] = ACTIONS(5927),
    [anon_sym_LT_EQ] = ACTIONS(5925),
    [anon_sym_LT] = ACTIONS(5925),
    [anon_sym_LT_LT] = ACTIONS(5925),
    [anon_sym_GT_GT] = ACTIONS(5925),
    [anon_sym_COLON] = ACTIONS(6417),
    [anon_sym___attribute__] = ACTIONS(6758),
    [anon_sym_LBRACE] = ACTIONS(6760),
    [anon_sym_LBRACK] = ACTIONS(5927),
    [anon_sym_EQ] = ACTIONS(5925),
    [anon_sym_QMARK] = ACTIONS(5927),
    [anon_sym_STAR_EQ] = ACTIONS(5927),
    [anon_sym_SLASH_EQ] = ACTIONS(5927),
    [anon_sym_PERCENT_EQ] = ACTIONS(5927),
    [anon_sym_PLUS_EQ] = ACTIONS(5927),
    [anon_sym_DASH_EQ] = ACTIONS(5927),
    [anon_sym_LT_LT_EQ] = ACTIONS(5927),
    [anon_sym_GT_GT_EQ] = ACTIONS(5927),
    [anon_sym_AMP_EQ] = ACTIONS(5927),
    [anon_sym_CARET_EQ] = ACTIONS(5927),
    [anon_sym_PIPE_EQ] = ACTIONS(5927),
    [anon_sym_and_eq] = ACTIONS(5925),
    [anon_sym_or_eq] = ACTIONS(5925),
    [anon_sym_xor_eq] = ACTIONS(5925),
    [anon_sym_LT_EQ_GT] = ACTIONS(5927),
    [anon_sym_or] = ACTIONS(5925),
    [anon_sym_and] = ACTIONS(5925),
    [anon_sym_bitor] = ACTIONS(5925),
    [anon_sym_xor] = ACTIONS(5925),
    [anon_sym_bitand] = ACTIONS(5925),
    [anon_sym_not_eq] = ACTIONS(5925),
    [anon_sym_DASH_DASH] = ACTIONS(5927),
    [anon_sym_PLUS_PLUS] = ACTIONS(5927),
    [anon_sym_DOT] = ACTIONS(5925),
    [anon_sym_DOT_STAR] = ACTIONS(5927),
    [anon_sym_DASH_GT] = ACTIONS(5927),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5925),
    [anon_sym_decltype] = ACTIONS(5925),
    [anon_sym_final] = ACTIONS(2198),
    [anon_sym_override] = ACTIONS(2198),
  },
  [3436] = {
    [sym_identifier] = ACTIONS(6111),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6113),
    [anon_sym_COMMA] = ACTIONS(6113),
    [anon_sym_RPAREN] = ACTIONS(6113),
    [aux_sym_preproc_if_token2] = ACTIONS(6113),
    [aux_sym_preproc_else_token1] = ACTIONS(6113),
    [aux_sym_preproc_elif_token1] = ACTIONS(6111),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(6113),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(6113),
    [anon_sym_LPAREN2] = ACTIONS(6113),
    [anon_sym_DASH] = ACTIONS(6111),
    [anon_sym_PLUS] = ACTIONS(6111),
    [anon_sym_STAR] = ACTIONS(6111),
    [anon_sym_SLASH] = ACTIONS(6111),
    [anon_sym_PERCENT] = ACTIONS(6111),
    [anon_sym_PIPE_PIPE] = ACTIONS(6113),
    [anon_sym_AMP_AMP] = ACTIONS(6113),
    [anon_sym_PIPE] = ACTIONS(6111),
    [anon_sym_CARET] = ACTIONS(6111),
    [anon_sym_AMP] = ACTIONS(6111),
    [anon_sym_EQ_EQ] = ACTIONS(6113),
    [anon_sym_BANG_EQ] = ACTIONS(6113),
    [anon_sym_GT] = ACTIONS(6111),
    [anon_sym_GT_EQ] = ACTIONS(6113),
    [anon_sym_LT_EQ] = ACTIONS(6111),
    [anon_sym_LT] = ACTIONS(6111),
    [anon_sym_LT_LT] = ACTIONS(6111),
    [anon_sym_GT_GT] = ACTIONS(6111),
    [anon_sym_COLON] = ACTIONS(6113),
    [anon_sym_SEMI] = ACTIONS(6113),
    [anon_sym___attribute__] = ACTIONS(6111),
    [anon_sym_LBRACE] = ACTIONS(6113),
    [anon_sym_RBRACE] = ACTIONS(6113),
    [anon_sym_LBRACK] = ACTIONS(6113),
    [anon_sym_RBRACK] = ACTIONS(6113),
    [anon_sym_EQ] = ACTIONS(6111),
    [anon_sym_QMARK] = ACTIONS(6113),
    [anon_sym_STAR_EQ] = ACTIONS(6113),
    [anon_sym_SLASH_EQ] = ACTIONS(6113),
    [anon_sym_PERCENT_EQ] = ACTIONS(6113),
    [anon_sym_PLUS_EQ] = ACTIONS(6113),
    [anon_sym_DASH_EQ] = ACTIONS(6113),
    [anon_sym_LT_LT_EQ] = ACTIONS(6113),
    [anon_sym_GT_GT_EQ] = ACTIONS(6113),
    [anon_sym_AMP_EQ] = ACTIONS(6113),
    [anon_sym_CARET_EQ] = ACTIONS(6113),
    [anon_sym_PIPE_EQ] = ACTIONS(6113),
    [anon_sym_and_eq] = ACTIONS(6111),
    [anon_sym_or_eq] = ACTIONS(6111),
    [anon_sym_xor_eq] = ACTIONS(6111),
    [anon_sym_LT_EQ_GT] = ACTIONS(6113),
    [anon_sym_or] = ACTIONS(6111),
    [anon_sym_and] = ACTIONS(6111),
    [anon_sym_bitor] = ACTIONS(6111),
    [anon_sym_xor] = ACTIONS(6111),
    [anon_sym_bitand] = ACTIONS(6111),
    [anon_sym_not_eq] = ACTIONS(6111),
    [anon_sym_DASH_DASH] = ACTIONS(6113),
    [anon_sym_PLUS_PLUS] = ACTIONS(6113),
    [anon_sym_DOT] = ACTIONS(6111),
    [anon_sym_DOT_STAR] = ACTIONS(6113),
    [anon_sym_DASH_GT] = ACTIONS(6113),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(6111),
    [anon_sym_decltype] = ACTIONS(6111),
  },
  [3437] = {
    [sym_identifier] = ACTIONS(6073),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6075),
    [anon_sym_COMMA] = ACTIONS(6075),
    [anon_sym_RPAREN] = ACTIONS(6075),
    [aux_sym_preproc_if_token2] = ACTIONS(6075),
    [aux_sym_preproc_else_token1] = ACTIONS(6075),
    [aux_sym_preproc_elif_token1] = ACTIONS(6073),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(6075),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(6075),
    [anon_sym_LPAREN2] = ACTIONS(6075),
    [anon_sym_DASH] = ACTIONS(6073),
    [anon_sym_PLUS] = ACTIONS(6073),
    [anon_sym_STAR] = ACTIONS(6073),
    [anon_sym_SLASH] = ACTIONS(6073),
    [anon_sym_PERCENT] = ACTIONS(6073),
    [anon_sym_PIPE_PIPE] = ACTIONS(6075),
    [anon_sym_AMP_AMP] = ACTIONS(6075),
    [anon_sym_PIPE] = ACTIONS(6073),
    [anon_sym_CARET] = ACTIONS(6073),
    [anon_sym_AMP] = ACTIONS(6073),
    [anon_sym_EQ_EQ] = ACTIONS(6075),
    [anon_sym_BANG_EQ] = ACTIONS(6075),
    [anon_sym_GT] = ACTIONS(6073),
    [anon_sym_GT_EQ] = ACTIONS(6075),
    [anon_sym_LT_EQ] = ACTIONS(6073),
    [anon_sym_LT] = ACTIONS(6073),
    [anon_sym_LT_LT] = ACTIONS(6073),
    [anon_sym_GT_GT] = ACTIONS(6073),
    [anon_sym_COLON] = ACTIONS(6075),
    [anon_sym_SEMI] = ACTIONS(6075),
    [anon_sym___attribute__] = ACTIONS(6073),
    [anon_sym_LBRACE] = ACTIONS(6075),
    [anon_sym_RBRACE] = ACTIONS(6075),
    [anon_sym_LBRACK] = ACTIONS(6075),
    [anon_sym_RBRACK] = ACTIONS(6075),
    [anon_sym_EQ] = ACTIONS(6073),
    [anon_sym_QMARK] = ACTIONS(6075),
    [anon_sym_STAR_EQ] = ACTIONS(6075),
    [anon_sym_SLASH_EQ] = ACTIONS(6075),
    [anon_sym_PERCENT_EQ] = ACTIONS(6075),
    [anon_sym_PLUS_EQ] = ACTIONS(6075),
    [anon_sym_DASH_EQ] = ACTIONS(6075),
    [anon_sym_LT_LT_EQ] = ACTIONS(6075),
    [anon_sym_GT_GT_EQ] = ACTIONS(6075),
    [anon_sym_AMP_EQ] = ACTIONS(6075),
    [anon_sym_CARET_EQ] = ACTIONS(6075),
    [anon_sym_PIPE_EQ] = ACTIONS(6075),
    [anon_sym_and_eq] = ACTIONS(6073),
    [anon_sym_or_eq] = ACTIONS(6073),
    [anon_sym_xor_eq] = ACTIONS(6073),
    [anon_sym_LT_EQ_GT] = ACTIONS(6075),
    [anon_sym_or] = ACTIONS(6073),
    [anon_sym_and] = ACTIONS(6073),
    [anon_sym_bitor] = ACTIONS(6073),
    [anon_sym_xor] = ACTIONS(6073),
    [anon_sym_bitand] = ACTIONS(6073),
    [anon_sym_not_eq] = ACTIONS(6073),
    [anon_sym_DASH_DASH] = ACTIONS(6075),
    [anon_sym_PLUS_PLUS] = ACTIONS(6075),
    [anon_sym_DOT] = ACTIONS(6073),
    [anon_sym_DOT_STAR] = ACTIONS(6075),
    [anon_sym_DASH_GT] = ACTIONS(6075),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(6073),
    [anon_sym_decltype] = ACTIONS(6073),
  },
  [3438] = {
    [sym_identifier] = ACTIONS(6069),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6071),
    [anon_sym_COMMA] = ACTIONS(6071),
    [anon_sym_RPAREN] = ACTIONS(6071),
    [aux_sym_preproc_if_token2] = ACTIONS(6071),
    [aux_sym_preproc_else_token1] = ACTIONS(6071),
    [aux_sym_preproc_elif_token1] = ACTIONS(6069),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(6071),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(6071),
    [anon_sym_LPAREN2] = ACTIONS(6071),
    [anon_sym_DASH] = ACTIONS(6069),
    [anon_sym_PLUS] = ACTIONS(6069),
    [anon_sym_STAR] = ACTIONS(6069),
    [anon_sym_SLASH] = ACTIONS(6069),
    [anon_sym_PERCENT] = ACTIONS(6069),
    [anon_sym_PIPE_PIPE] = ACTIONS(6071),
    [anon_sym_AMP_AMP] = ACTIONS(6071),
    [anon_sym_PIPE] = ACTIONS(6069),
    [anon_sym_CARET] = ACTIONS(6069),
    [anon_sym_AMP] = ACTIONS(6069),
    [anon_sym_EQ_EQ] = ACTIONS(6071),
    [anon_sym_BANG_EQ] = ACTIONS(6071),
    [anon_sym_GT] = ACTIONS(6069),
    [anon_sym_GT_EQ] = ACTIONS(6071),
    [anon_sym_LT_EQ] = ACTIONS(6069),
    [anon_sym_LT] = ACTIONS(6069),
    [anon_sym_LT_LT] = ACTIONS(6069),
    [anon_sym_GT_GT] = ACTIONS(6069),
    [anon_sym_COLON] = ACTIONS(6071),
    [anon_sym_SEMI] = ACTIONS(6071),
    [anon_sym___attribute__] = ACTIONS(6069),
    [anon_sym_LBRACE] = ACTIONS(6071),
    [anon_sym_RBRACE] = ACTIONS(6071),
    [anon_sym_LBRACK] = ACTIONS(6071),
    [anon_sym_RBRACK] = ACTIONS(6071),
    [anon_sym_EQ] = ACTIONS(6069),
    [anon_sym_QMARK] = ACTIONS(6071),
    [anon_sym_STAR_EQ] = ACTIONS(6071),
    [anon_sym_SLASH_EQ] = ACTIONS(6071),
    [anon_sym_PERCENT_EQ] = ACTIONS(6071),
    [anon_sym_PLUS_EQ] = ACTIONS(6071),
    [anon_sym_DASH_EQ] = ACTIONS(6071),
    [anon_sym_LT_LT_EQ] = ACTIONS(6071),
    [anon_sym_GT_GT_EQ] = ACTIONS(6071),
    [anon_sym_AMP_EQ] = ACTIONS(6071),
    [anon_sym_CARET_EQ] = ACTIONS(6071),
    [anon_sym_PIPE_EQ] = ACTIONS(6071),
    [anon_sym_and_eq] = ACTIONS(6069),
    [anon_sym_or_eq] = ACTIONS(6069),
    [anon_sym_xor_eq] = ACTIONS(6069),
    [anon_sym_LT_EQ_GT] = ACTIONS(6071),
    [anon_sym_or] = ACTIONS(6069),
    [anon_sym_and] = ACTIONS(6069),
    [anon_sym_bitor] = ACTIONS(6069),
    [anon_sym_xor] = ACTIONS(6069),
    [anon_sym_bitand] = ACTIONS(6069),
    [anon_sym_not_eq] = ACTIONS(6069),
    [anon_sym_DASH_DASH] = ACTIONS(6071),
    [anon_sym_PLUS_PLUS] = ACTIONS(6071),
    [anon_sym_DOT] = ACTIONS(6069),
    [anon_sym_DOT_STAR] = ACTIONS(6071),
    [anon_sym_DASH_GT] = ACTIONS(6071),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(6069),
    [anon_sym_decltype] = ACTIONS(6069),
  },
  [3439] = {
    [sym_identifier] = ACTIONS(6053),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6055),
    [anon_sym_COMMA] = ACTIONS(6055),
    [anon_sym_RPAREN] = ACTIONS(6055),
    [aux_sym_preproc_if_token2] = ACTIONS(6055),
    [aux_sym_preproc_else_token1] = ACTIONS(6055),
    [aux_sym_preproc_elif_token1] = ACTIONS(6053),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(6055),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(6055),
    [anon_sym_LPAREN2] = ACTIONS(6055),
    [anon_sym_DASH] = ACTIONS(6053),
    [anon_sym_PLUS] = ACTIONS(6053),
    [anon_sym_STAR] = ACTIONS(6053),
    [anon_sym_SLASH] = ACTIONS(6053),
    [anon_sym_PERCENT] = ACTIONS(6053),
    [anon_sym_PIPE_PIPE] = ACTIONS(6055),
    [anon_sym_AMP_AMP] = ACTIONS(6055),
    [anon_sym_PIPE] = ACTIONS(6053),
    [anon_sym_CARET] = ACTIONS(6053),
    [anon_sym_AMP] = ACTIONS(6053),
    [anon_sym_EQ_EQ] = ACTIONS(6055),
    [anon_sym_BANG_EQ] = ACTIONS(6055),
    [anon_sym_GT] = ACTIONS(6053),
    [anon_sym_GT_EQ] = ACTIONS(6055),
    [anon_sym_LT_EQ] = ACTIONS(6053),
    [anon_sym_LT] = ACTIONS(6053),
    [anon_sym_LT_LT] = ACTIONS(6053),
    [anon_sym_GT_GT] = ACTIONS(6053),
    [anon_sym_COLON] = ACTIONS(6055),
    [anon_sym_SEMI] = ACTIONS(6055),
    [anon_sym___attribute__] = ACTIONS(6053),
    [anon_sym_LBRACE] = ACTIONS(6055),
    [anon_sym_RBRACE] = ACTIONS(6055),
    [anon_sym_LBRACK] = ACTIONS(6055),
    [anon_sym_RBRACK] = ACTIONS(6055),
    [anon_sym_EQ] = ACTIONS(6053),
    [anon_sym_QMARK] = ACTIONS(6055),
    [anon_sym_STAR_EQ] = ACTIONS(6055),
    [anon_sym_SLASH_EQ] = ACTIONS(6055),
    [anon_sym_PERCENT_EQ] = ACTIONS(6055),
    [anon_sym_PLUS_EQ] = ACTIONS(6055),
    [anon_sym_DASH_EQ] = ACTIONS(6055),
    [anon_sym_LT_LT_EQ] = ACTIONS(6055),
    [anon_sym_GT_GT_EQ] = ACTIONS(6055),
    [anon_sym_AMP_EQ] = ACTIONS(6055),
    [anon_sym_CARET_EQ] = ACTIONS(6055),
    [anon_sym_PIPE_EQ] = ACTIONS(6055),
    [anon_sym_and_eq] = ACTIONS(6053),
    [anon_sym_or_eq] = ACTIONS(6053),
    [anon_sym_xor_eq] = ACTIONS(6053),
    [anon_sym_LT_EQ_GT] = ACTIONS(6055),
    [anon_sym_or] = ACTIONS(6053),
    [anon_sym_and] = ACTIONS(6053),
    [anon_sym_bitor] = ACTIONS(6053),
    [anon_sym_xor] = ACTIONS(6053),
    [anon_sym_bitand] = ACTIONS(6053),
    [anon_sym_not_eq] = ACTIONS(6053),
    [anon_sym_DASH_DASH] = ACTIONS(6055),
    [anon_sym_PLUS_PLUS] = ACTIONS(6055),
    [anon_sym_DOT] = ACTIONS(6053),
    [anon_sym_DOT_STAR] = ACTIONS(6055),
    [anon_sym_DASH_GT] = ACTIONS(6055),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(6053),
    [anon_sym_decltype] = ACTIONS(6053),
  },
  [3440] = {
    [sym_identifier] = ACTIONS(6147),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6149),
    [anon_sym_COMMA] = ACTIONS(6149),
    [anon_sym_RPAREN] = ACTIONS(6149),
    [aux_sym_preproc_if_token2] = ACTIONS(6149),
    [aux_sym_preproc_else_token1] = ACTIONS(6149),
    [aux_sym_preproc_elif_token1] = ACTIONS(6147),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(6149),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(6149),
    [anon_sym_LPAREN2] = ACTIONS(6149),
    [anon_sym_DASH] = ACTIONS(6147),
    [anon_sym_PLUS] = ACTIONS(6147),
    [anon_sym_STAR] = ACTIONS(6147),
    [anon_sym_SLASH] = ACTIONS(6147),
    [anon_sym_PERCENT] = ACTIONS(6147),
    [anon_sym_PIPE_PIPE] = ACTIONS(6149),
    [anon_sym_AMP_AMP] = ACTIONS(6149),
    [anon_sym_PIPE] = ACTIONS(6147),
    [anon_sym_CARET] = ACTIONS(6147),
    [anon_sym_AMP] = ACTIONS(6147),
    [anon_sym_EQ_EQ] = ACTIONS(6149),
    [anon_sym_BANG_EQ] = ACTIONS(6149),
    [anon_sym_GT] = ACTIONS(6147),
    [anon_sym_GT_EQ] = ACTIONS(6149),
    [anon_sym_LT_EQ] = ACTIONS(6147),
    [anon_sym_LT] = ACTIONS(6147),
    [anon_sym_LT_LT] = ACTIONS(6147),
    [anon_sym_GT_GT] = ACTIONS(6147),
    [anon_sym_COLON] = ACTIONS(6149),
    [anon_sym_SEMI] = ACTIONS(6149),
    [anon_sym___attribute__] = ACTIONS(6147),
    [anon_sym_LBRACE] = ACTIONS(6149),
    [anon_sym_RBRACE] = ACTIONS(6149),
    [anon_sym_LBRACK] = ACTIONS(6149),
    [anon_sym_RBRACK] = ACTIONS(6149),
    [anon_sym_EQ] = ACTIONS(6147),
    [anon_sym_QMARK] = ACTIONS(6149),
    [anon_sym_STAR_EQ] = ACTIONS(6149),
    [anon_sym_SLASH_EQ] = ACTIONS(6149),
    [anon_sym_PERCENT_EQ] = ACTIONS(6149),
    [anon_sym_PLUS_EQ] = ACTIONS(6149),
    [anon_sym_DASH_EQ] = ACTIONS(6149),
    [anon_sym_LT_LT_EQ] = ACTIONS(6149),
    [anon_sym_GT_GT_EQ] = ACTIONS(6149),
    [anon_sym_AMP_EQ] = ACTIONS(6149),
    [anon_sym_CARET_EQ] = ACTIONS(6149),
    [anon_sym_PIPE_EQ] = ACTIONS(6149),
    [anon_sym_and_eq] = ACTIONS(6147),
    [anon_sym_or_eq] = ACTIONS(6147),
    [anon_sym_xor_eq] = ACTIONS(6147),
    [anon_sym_LT_EQ_GT] = ACTIONS(6149),
    [anon_sym_or] = ACTIONS(6147),
    [anon_sym_and] = ACTIONS(6147),
    [anon_sym_bitor] = ACTIONS(6147),
    [anon_sym_xor] = ACTIONS(6147),
    [anon_sym_bitand] = ACTIONS(6147),
    [anon_sym_not_eq] = ACTIONS(6147),
    [anon_sym_DASH_DASH] = ACTIONS(6149),
    [anon_sym_PLUS_PLUS] = ACTIONS(6149),
    [anon_sym_DOT] = ACTIONS(6147),
    [anon_sym_DOT_STAR] = ACTIONS(6149),
    [anon_sym_DASH_GT] = ACTIONS(6149),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(6147),
    [anon_sym_decltype] = ACTIONS(6147),
  },
  [3441] = {
    [sym_template_argument_list] = STATE(3468),
    [sym_identifier] = ACTIONS(4551),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4546),
    [anon_sym_COMMA] = ACTIONS(4546),
    [anon_sym_RPAREN] = ACTIONS(4546),
    [aux_sym_preproc_if_token2] = ACTIONS(4546),
    [aux_sym_preproc_else_token1] = ACTIONS(4546),
    [aux_sym_preproc_elif_token1] = ACTIONS(4551),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4546),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4546),
    [anon_sym_LPAREN2] = ACTIONS(4546),
    [anon_sym_DASH] = ACTIONS(4551),
    [anon_sym_PLUS] = ACTIONS(4551),
    [anon_sym_STAR] = ACTIONS(4551),
    [anon_sym_SLASH] = ACTIONS(4551),
    [anon_sym_PERCENT] = ACTIONS(4551),
    [anon_sym_PIPE_PIPE] = ACTIONS(4546),
    [anon_sym_AMP_AMP] = ACTIONS(4546),
    [anon_sym_PIPE] = ACTIONS(4551),
    [anon_sym_CARET] = ACTIONS(4551),
    [anon_sym_AMP] = ACTIONS(4551),
    [anon_sym_EQ_EQ] = ACTIONS(4546),
    [anon_sym_BANG_EQ] = ACTIONS(4546),
    [anon_sym_GT] = ACTIONS(4551),
    [anon_sym_GT_EQ] = ACTIONS(4546),
    [anon_sym_LT_EQ] = ACTIONS(4551),
    [anon_sym_LT] = ACTIONS(6762),
    [anon_sym_LT_LT] = ACTIONS(4551),
    [anon_sym_GT_GT] = ACTIONS(4551),
    [anon_sym_COLON] = ACTIONS(4551),
    [anon_sym_SEMI] = ACTIONS(4546),
    [anon_sym___attribute__] = ACTIONS(4551),
    [anon_sym_COLON_COLON] = ACTIONS(2230),
    [anon_sym_LBRACE] = ACTIONS(2234),
    [anon_sym_RBRACE] = ACTIONS(4546),
    [anon_sym_LBRACK] = ACTIONS(4546),
    [anon_sym_RBRACK] = ACTIONS(4546),
    [anon_sym_EQ] = ACTIONS(4551),
    [anon_sym_QMARK] = ACTIONS(4546),
    [anon_sym_STAR_EQ] = ACTIONS(4546),
    [anon_sym_SLASH_EQ] = ACTIONS(4546),
    [anon_sym_PERCENT_EQ] = ACTIONS(4546),
    [anon_sym_PLUS_EQ] = ACTIONS(4546),
    [anon_sym_DASH_EQ] = ACTIONS(4546),
    [anon_sym_LT_LT_EQ] = ACTIONS(4546),
    [anon_sym_GT_GT_EQ] = ACTIONS(4546),
    [anon_sym_AMP_EQ] = ACTIONS(4546),
    [anon_sym_CARET_EQ] = ACTIONS(4546),
    [anon_sym_PIPE_EQ] = ACTIONS(4546),
    [anon_sym_and_eq] = ACTIONS(4551),
    [anon_sym_or_eq] = ACTIONS(4551),
    [anon_sym_xor_eq] = ACTIONS(4551),
    [anon_sym_LT_EQ_GT] = ACTIONS(4546),
    [anon_sym_or] = ACTIONS(4551),
    [anon_sym_and] = ACTIONS(4551),
    [anon_sym_bitor] = ACTIONS(4551),
    [anon_sym_xor] = ACTIONS(4551),
    [anon_sym_bitand] = ACTIONS(4551),
    [anon_sym_not_eq] = ACTIONS(4551),
    [anon_sym_DASH_DASH] = ACTIONS(4546),
    [anon_sym_PLUS_PLUS] = ACTIONS(4546),
    [anon_sym_DOT] = ACTIONS(4551),
    [anon_sym_DOT_STAR] = ACTIONS(4546),
    [anon_sym_DASH_GT] = ACTIONS(4546),
    [sym_comment] = ACTIONS(3),
  },
  [3442] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(3174),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5960),
    [anon_sym_COMMA] = ACTIONS(5960),
    [anon_sym_RPAREN] = ACTIONS(5960),
    [anon_sym_LPAREN2] = ACTIONS(5960),
    [anon_sym_DASH] = ACTIONS(5958),
    [anon_sym_PLUS] = ACTIONS(5958),
    [anon_sym_STAR] = ACTIONS(5960),
    [anon_sym_SLASH] = ACTIONS(5958),
    [anon_sym_PERCENT] = ACTIONS(5960),
    [anon_sym_PIPE_PIPE] = ACTIONS(5960),
    [anon_sym_AMP_AMP] = ACTIONS(5960),
    [anon_sym_PIPE] = ACTIONS(5958),
    [anon_sym_CARET] = ACTIONS(5960),
    [anon_sym_AMP] = ACTIONS(5958),
    [anon_sym_EQ_EQ] = ACTIONS(5960),
    [anon_sym_BANG_EQ] = ACTIONS(5960),
    [anon_sym_GT] = ACTIONS(5958),
    [anon_sym_GT_EQ] = ACTIONS(5960),
    [anon_sym_LT_EQ] = ACTIONS(5958),
    [anon_sym_LT] = ACTIONS(5958),
    [anon_sym_LT_LT] = ACTIONS(5960),
    [anon_sym_GT_GT] = ACTIONS(5960),
    [anon_sym_COLON] = ACTIONS(5960),
    [anon_sym_SEMI] = ACTIONS(5960),
    [anon_sym___extension__] = ACTIONS(5960),
    [anon_sym___attribute__] = ACTIONS(5960),
    [anon_sym_LBRACE] = ACTIONS(5960),
    [anon_sym_RBRACE] = ACTIONS(5960),
    [anon_sym_signed] = ACTIONS(6664),
    [anon_sym_unsigned] = ACTIONS(6664),
    [anon_sym_long] = ACTIONS(6664),
    [anon_sym_short] = ACTIONS(6664),
    [anon_sym_LBRACK] = ACTIONS(5960),
    [anon_sym_RBRACK] = ACTIONS(5960),
    [anon_sym_const] = ACTIONS(5958),
    [anon_sym_constexpr] = ACTIONS(5960),
    [anon_sym_volatile] = ACTIONS(5960),
    [anon_sym_restrict] = ACTIONS(5960),
    [anon_sym___restrict__] = ACTIONS(5960),
    [anon_sym__Atomic] = ACTIONS(5960),
    [anon_sym__Noreturn] = ACTIONS(5960),
    [anon_sym_noreturn] = ACTIONS(5960),
    [anon_sym_mutable] = ACTIONS(5960),
    [anon_sym_constinit] = ACTIONS(5960),
    [anon_sym_consteval] = ACTIONS(5960),
    [anon_sym_QMARK] = ACTIONS(5960),
    [anon_sym_LT_EQ_GT] = ACTIONS(5960),
    [anon_sym_or] = ACTIONS(5960),
    [anon_sym_and] = ACTIONS(5960),
    [anon_sym_bitor] = ACTIONS(5960),
    [anon_sym_xor] = ACTIONS(5960),
    [anon_sym_bitand] = ACTIONS(5960),
    [anon_sym_not_eq] = ACTIONS(5960),
    [anon_sym_DASH_DASH] = ACTIONS(5960),
    [anon_sym_PLUS_PLUS] = ACTIONS(5960),
    [anon_sym_DOT] = ACTIONS(5958),
    [anon_sym_DOT_STAR] = ACTIONS(5960),
    [anon_sym_DASH_GT] = ACTIONS(5960),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5960),
    [anon_sym_decltype] = ACTIONS(5960),
    [anon_sym_final] = ACTIONS(5960),
    [anon_sym_override] = ACTIONS(5960),
    [anon_sym_requires] = ACTIONS(5960),
  },
  [3443] = {
    [sym_identifier] = ACTIONS(6765),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6767),
    [anon_sym_COMMA] = ACTIONS(6767),
    [anon_sym_RPAREN] = ACTIONS(6767),
    [aux_sym_preproc_if_token2] = ACTIONS(6767),
    [aux_sym_preproc_else_token1] = ACTIONS(6767),
    [aux_sym_preproc_elif_token1] = ACTIONS(6765),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(6767),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(6767),
    [anon_sym_LPAREN2] = ACTIONS(6767),
    [anon_sym_DASH] = ACTIONS(6765),
    [anon_sym_PLUS] = ACTIONS(6765),
    [anon_sym_STAR] = ACTIONS(6765),
    [anon_sym_SLASH] = ACTIONS(6765),
    [anon_sym_PERCENT] = ACTIONS(6765),
    [anon_sym_PIPE_PIPE] = ACTIONS(6767),
    [anon_sym_AMP_AMP] = ACTIONS(6767),
    [anon_sym_PIPE] = ACTIONS(6765),
    [anon_sym_CARET] = ACTIONS(6765),
    [anon_sym_AMP] = ACTIONS(6765),
    [anon_sym_EQ_EQ] = ACTIONS(6767),
    [anon_sym_BANG_EQ] = ACTIONS(6767),
    [anon_sym_GT] = ACTIONS(6765),
    [anon_sym_GT_EQ] = ACTIONS(6767),
    [anon_sym_LT_EQ] = ACTIONS(6765),
    [anon_sym_LT] = ACTIONS(6765),
    [anon_sym_LT_LT] = ACTIONS(6765),
    [anon_sym_GT_GT] = ACTIONS(6765),
    [anon_sym_COLON] = ACTIONS(6767),
    [anon_sym_SEMI] = ACTIONS(6767),
    [anon_sym___attribute__] = ACTIONS(6765),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(6767),
    [anon_sym_LBRACE] = ACTIONS(6767),
    [anon_sym_RBRACE] = ACTIONS(6767),
    [anon_sym_LBRACK] = ACTIONS(6765),
    [anon_sym_RBRACK] = ACTIONS(6767),
    [anon_sym_EQ] = ACTIONS(6765),
    [anon_sym_QMARK] = ACTIONS(6767),
    [anon_sym_STAR_EQ] = ACTIONS(6767),
    [anon_sym_SLASH_EQ] = ACTIONS(6767),
    [anon_sym_PERCENT_EQ] = ACTIONS(6767),
    [anon_sym_PLUS_EQ] = ACTIONS(6767),
    [anon_sym_DASH_EQ] = ACTIONS(6767),
    [anon_sym_LT_LT_EQ] = ACTIONS(6767),
    [anon_sym_GT_GT_EQ] = ACTIONS(6767),
    [anon_sym_AMP_EQ] = ACTIONS(6767),
    [anon_sym_CARET_EQ] = ACTIONS(6767),
    [anon_sym_PIPE_EQ] = ACTIONS(6767),
    [anon_sym_and_eq] = ACTIONS(6765),
    [anon_sym_or_eq] = ACTIONS(6765),
    [anon_sym_xor_eq] = ACTIONS(6765),
    [anon_sym_LT_EQ_GT] = ACTIONS(6767),
    [anon_sym_or] = ACTIONS(6765),
    [anon_sym_and] = ACTIONS(6765),
    [anon_sym_bitor] = ACTIONS(6765),
    [anon_sym_xor] = ACTIONS(6765),
    [anon_sym_bitand] = ACTIONS(6765),
    [anon_sym_not_eq] = ACTIONS(6765),
    [anon_sym_DASH_DASH] = ACTIONS(6767),
    [anon_sym_PLUS_PLUS] = ACTIONS(6767),
    [anon_sym_DOT] = ACTIONS(6765),
    [anon_sym_DOT_STAR] = ACTIONS(6767),
    [anon_sym_DASH_GT] = ACTIONS(6767),
    [sym_comment] = ACTIONS(3),
    [anon_sym_try] = ACTIONS(6765),
  },
  [3444] = {
    [sym_identifier] = ACTIONS(6061),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6063),
    [anon_sym_COMMA] = ACTIONS(6063),
    [anon_sym_RPAREN] = ACTIONS(6063),
    [aux_sym_preproc_if_token2] = ACTIONS(6063),
    [aux_sym_preproc_else_token1] = ACTIONS(6063),
    [aux_sym_preproc_elif_token1] = ACTIONS(6061),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(6063),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(6063),
    [anon_sym_LPAREN2] = ACTIONS(6063),
    [anon_sym_DASH] = ACTIONS(6061),
    [anon_sym_PLUS] = ACTIONS(6061),
    [anon_sym_STAR] = ACTIONS(6061),
    [anon_sym_SLASH] = ACTIONS(6061),
    [anon_sym_PERCENT] = ACTIONS(6061),
    [anon_sym_PIPE_PIPE] = ACTIONS(6063),
    [anon_sym_AMP_AMP] = ACTIONS(6063),
    [anon_sym_PIPE] = ACTIONS(6061),
    [anon_sym_CARET] = ACTIONS(6061),
    [anon_sym_AMP] = ACTIONS(6061),
    [anon_sym_EQ_EQ] = ACTIONS(6063),
    [anon_sym_BANG_EQ] = ACTIONS(6063),
    [anon_sym_GT] = ACTIONS(6061),
    [anon_sym_GT_EQ] = ACTIONS(6063),
    [anon_sym_LT_EQ] = ACTIONS(6061),
    [anon_sym_LT] = ACTIONS(6061),
    [anon_sym_LT_LT] = ACTIONS(6061),
    [anon_sym_GT_GT] = ACTIONS(6061),
    [anon_sym_COLON] = ACTIONS(6063),
    [anon_sym_SEMI] = ACTIONS(6063),
    [anon_sym___attribute__] = ACTIONS(6061),
    [anon_sym_LBRACE] = ACTIONS(6063),
    [anon_sym_RBRACE] = ACTIONS(6063),
    [anon_sym_LBRACK] = ACTIONS(6063),
    [anon_sym_RBRACK] = ACTIONS(6063),
    [anon_sym_EQ] = ACTIONS(6061),
    [anon_sym_QMARK] = ACTIONS(6063),
    [anon_sym_STAR_EQ] = ACTIONS(6063),
    [anon_sym_SLASH_EQ] = ACTIONS(6063),
    [anon_sym_PERCENT_EQ] = ACTIONS(6063),
    [anon_sym_PLUS_EQ] = ACTIONS(6063),
    [anon_sym_DASH_EQ] = ACTIONS(6063),
    [anon_sym_LT_LT_EQ] = ACTIONS(6063),
    [anon_sym_GT_GT_EQ] = ACTIONS(6063),
    [anon_sym_AMP_EQ] = ACTIONS(6063),
    [anon_sym_CARET_EQ] = ACTIONS(6063),
    [anon_sym_PIPE_EQ] = ACTIONS(6063),
    [anon_sym_and_eq] = ACTIONS(6061),
    [anon_sym_or_eq] = ACTIONS(6061),
    [anon_sym_xor_eq] = ACTIONS(6061),
    [anon_sym_LT_EQ_GT] = ACTIONS(6063),
    [anon_sym_or] = ACTIONS(6061),
    [anon_sym_and] = ACTIONS(6061),
    [anon_sym_bitor] = ACTIONS(6061),
    [anon_sym_xor] = ACTIONS(6061),
    [anon_sym_bitand] = ACTIONS(6061),
    [anon_sym_not_eq] = ACTIONS(6061),
    [anon_sym_DASH_DASH] = ACTIONS(6063),
    [anon_sym_PLUS_PLUS] = ACTIONS(6063),
    [anon_sym_DOT] = ACTIONS(6061),
    [anon_sym_DOT_STAR] = ACTIONS(6063),
    [anon_sym_DASH_GT] = ACTIONS(6063),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(6061),
    [anon_sym_decltype] = ACTIONS(6061),
  },
  [3445] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(3397),
    [sym_identifier] = ACTIONS(5970),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5972),
    [anon_sym_COMMA] = ACTIONS(5972),
    [aux_sym_preproc_if_token2] = ACTIONS(5972),
    [aux_sym_preproc_else_token1] = ACTIONS(5972),
    [aux_sym_preproc_elif_token1] = ACTIONS(5970),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5972),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5972),
    [anon_sym_LPAREN2] = ACTIONS(5972),
    [anon_sym_DASH] = ACTIONS(5970),
    [anon_sym_PLUS] = ACTIONS(5970),
    [anon_sym_STAR] = ACTIONS(5970),
    [anon_sym_SLASH] = ACTIONS(5970),
    [anon_sym_PERCENT] = ACTIONS(5970),
    [anon_sym_PIPE_PIPE] = ACTIONS(5972),
    [anon_sym_AMP_AMP] = ACTIONS(5972),
    [anon_sym_PIPE] = ACTIONS(5970),
    [anon_sym_CARET] = ACTIONS(5970),
    [anon_sym_AMP] = ACTIONS(5970),
    [anon_sym_EQ_EQ] = ACTIONS(5972),
    [anon_sym_BANG_EQ] = ACTIONS(5972),
    [anon_sym_GT] = ACTIONS(5970),
    [anon_sym_GT_EQ] = ACTIONS(5972),
    [anon_sym_LT_EQ] = ACTIONS(5970),
    [anon_sym_LT] = ACTIONS(5970),
    [anon_sym_LT_LT] = ACTIONS(5970),
    [anon_sym_GT_GT] = ACTIONS(5970),
    [anon_sym___attribute__] = ACTIONS(5970),
    [anon_sym_LBRACE] = ACTIONS(5972),
    [anon_sym_signed] = ACTIONS(6769),
    [anon_sym_unsigned] = ACTIONS(6769),
    [anon_sym_long] = ACTIONS(6769),
    [anon_sym_short] = ACTIONS(6769),
    [anon_sym_LBRACK] = ACTIONS(5972),
    [anon_sym_EQ] = ACTIONS(5970),
    [anon_sym_QMARK] = ACTIONS(5972),
    [anon_sym_STAR_EQ] = ACTIONS(5972),
    [anon_sym_SLASH_EQ] = ACTIONS(5972),
    [anon_sym_PERCENT_EQ] = ACTIONS(5972),
    [anon_sym_PLUS_EQ] = ACTIONS(5972),
    [anon_sym_DASH_EQ] = ACTIONS(5972),
    [anon_sym_LT_LT_EQ] = ACTIONS(5972),
    [anon_sym_GT_GT_EQ] = ACTIONS(5972),
    [anon_sym_AMP_EQ] = ACTIONS(5972),
    [anon_sym_CARET_EQ] = ACTIONS(5972),
    [anon_sym_PIPE_EQ] = ACTIONS(5972),
    [anon_sym_and_eq] = ACTIONS(5970),
    [anon_sym_or_eq] = ACTIONS(5970),
    [anon_sym_xor_eq] = ACTIONS(5970),
    [anon_sym_LT_EQ_GT] = ACTIONS(5972),
    [anon_sym_or] = ACTIONS(5970),
    [anon_sym_and] = ACTIONS(5970),
    [anon_sym_bitor] = ACTIONS(5970),
    [anon_sym_xor] = ACTIONS(5970),
    [anon_sym_bitand] = ACTIONS(5970),
    [anon_sym_not_eq] = ACTIONS(5970),
    [anon_sym_DASH_DASH] = ACTIONS(5972),
    [anon_sym_PLUS_PLUS] = ACTIONS(5972),
    [anon_sym_DOT] = ACTIONS(5970),
    [anon_sym_DOT_STAR] = ACTIONS(5972),
    [anon_sym_DASH_GT] = ACTIONS(5972),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5970),
    [anon_sym_decltype] = ACTIONS(5970),
  },
  [3446] = {
    [sym_identifier] = ACTIONS(6099),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6101),
    [anon_sym_COMMA] = ACTIONS(6101),
    [anon_sym_RPAREN] = ACTIONS(6101),
    [aux_sym_preproc_if_token2] = ACTIONS(6101),
    [aux_sym_preproc_else_token1] = ACTIONS(6101),
    [aux_sym_preproc_elif_token1] = ACTIONS(6099),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(6101),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(6101),
    [anon_sym_LPAREN2] = ACTIONS(6101),
    [anon_sym_DASH] = ACTIONS(6099),
    [anon_sym_PLUS] = ACTIONS(6099),
    [anon_sym_STAR] = ACTIONS(6099),
    [anon_sym_SLASH] = ACTIONS(6099),
    [anon_sym_PERCENT] = ACTIONS(6099),
    [anon_sym_PIPE_PIPE] = ACTIONS(6101),
    [anon_sym_AMP_AMP] = ACTIONS(6101),
    [anon_sym_PIPE] = ACTIONS(6099),
    [anon_sym_CARET] = ACTIONS(6099),
    [anon_sym_AMP] = ACTIONS(6099),
    [anon_sym_EQ_EQ] = ACTIONS(6101),
    [anon_sym_BANG_EQ] = ACTIONS(6101),
    [anon_sym_GT] = ACTIONS(6099),
    [anon_sym_GT_EQ] = ACTIONS(6101),
    [anon_sym_LT_EQ] = ACTIONS(6099),
    [anon_sym_LT] = ACTIONS(6099),
    [anon_sym_LT_LT] = ACTIONS(6099),
    [anon_sym_GT_GT] = ACTIONS(6099),
    [anon_sym_COLON] = ACTIONS(6101),
    [anon_sym_SEMI] = ACTIONS(6101),
    [anon_sym___attribute__] = ACTIONS(6099),
    [anon_sym_LBRACE] = ACTIONS(6101),
    [anon_sym_RBRACE] = ACTIONS(6101),
    [anon_sym_LBRACK] = ACTIONS(6101),
    [anon_sym_RBRACK] = ACTIONS(6101),
    [anon_sym_EQ] = ACTIONS(6099),
    [anon_sym_QMARK] = ACTIONS(6101),
    [anon_sym_STAR_EQ] = ACTIONS(6101),
    [anon_sym_SLASH_EQ] = ACTIONS(6101),
    [anon_sym_PERCENT_EQ] = ACTIONS(6101),
    [anon_sym_PLUS_EQ] = ACTIONS(6101),
    [anon_sym_DASH_EQ] = ACTIONS(6101),
    [anon_sym_LT_LT_EQ] = ACTIONS(6101),
    [anon_sym_GT_GT_EQ] = ACTIONS(6101),
    [anon_sym_AMP_EQ] = ACTIONS(6101),
    [anon_sym_CARET_EQ] = ACTIONS(6101),
    [anon_sym_PIPE_EQ] = ACTIONS(6101),
    [anon_sym_and_eq] = ACTIONS(6099),
    [anon_sym_or_eq] = ACTIONS(6099),
    [anon_sym_xor_eq] = ACTIONS(6099),
    [anon_sym_LT_EQ_GT] = ACTIONS(6101),
    [anon_sym_or] = ACTIONS(6099),
    [anon_sym_and] = ACTIONS(6099),
    [anon_sym_bitor] = ACTIONS(6099),
    [anon_sym_xor] = ACTIONS(6099),
    [anon_sym_bitand] = ACTIONS(6099),
    [anon_sym_not_eq] = ACTIONS(6099),
    [anon_sym_DASH_DASH] = ACTIONS(6101),
    [anon_sym_PLUS_PLUS] = ACTIONS(6101),
    [anon_sym_DOT] = ACTIONS(6099),
    [anon_sym_DOT_STAR] = ACTIONS(6101),
    [anon_sym_DASH_GT] = ACTIONS(6101),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(6099),
    [anon_sym_decltype] = ACTIONS(6099),
  },
  [3447] = {
    [sym_identifier] = ACTIONS(6139),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6141),
    [anon_sym_COMMA] = ACTIONS(6141),
    [anon_sym_RPAREN] = ACTIONS(6141),
    [aux_sym_preproc_if_token2] = ACTIONS(6141),
    [aux_sym_preproc_else_token1] = ACTIONS(6141),
    [aux_sym_preproc_elif_token1] = ACTIONS(6139),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(6141),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(6141),
    [anon_sym_LPAREN2] = ACTIONS(6141),
    [anon_sym_DASH] = ACTIONS(6139),
    [anon_sym_PLUS] = ACTIONS(6139),
    [anon_sym_STAR] = ACTIONS(6139),
    [anon_sym_SLASH] = ACTIONS(6139),
    [anon_sym_PERCENT] = ACTIONS(6139),
    [anon_sym_PIPE_PIPE] = ACTIONS(6141),
    [anon_sym_AMP_AMP] = ACTIONS(6141),
    [anon_sym_PIPE] = ACTIONS(6139),
    [anon_sym_CARET] = ACTIONS(6139),
    [anon_sym_AMP] = ACTIONS(6139),
    [anon_sym_EQ_EQ] = ACTIONS(6141),
    [anon_sym_BANG_EQ] = ACTIONS(6141),
    [anon_sym_GT] = ACTIONS(6139),
    [anon_sym_GT_EQ] = ACTIONS(6141),
    [anon_sym_LT_EQ] = ACTIONS(6139),
    [anon_sym_LT] = ACTIONS(6139),
    [anon_sym_LT_LT] = ACTIONS(6139),
    [anon_sym_GT_GT] = ACTIONS(6139),
    [anon_sym_COLON] = ACTIONS(6141),
    [anon_sym_SEMI] = ACTIONS(6141),
    [anon_sym___attribute__] = ACTIONS(6139),
    [anon_sym_LBRACE] = ACTIONS(6141),
    [anon_sym_RBRACE] = ACTIONS(6141),
    [anon_sym_LBRACK] = ACTIONS(6141),
    [anon_sym_RBRACK] = ACTIONS(6141),
    [anon_sym_EQ] = ACTIONS(6139),
    [anon_sym_QMARK] = ACTIONS(6141),
    [anon_sym_STAR_EQ] = ACTIONS(6141),
    [anon_sym_SLASH_EQ] = ACTIONS(6141),
    [anon_sym_PERCENT_EQ] = ACTIONS(6141),
    [anon_sym_PLUS_EQ] = ACTIONS(6141),
    [anon_sym_DASH_EQ] = ACTIONS(6141),
    [anon_sym_LT_LT_EQ] = ACTIONS(6141),
    [anon_sym_GT_GT_EQ] = ACTIONS(6141),
    [anon_sym_AMP_EQ] = ACTIONS(6141),
    [anon_sym_CARET_EQ] = ACTIONS(6141),
    [anon_sym_PIPE_EQ] = ACTIONS(6141),
    [anon_sym_and_eq] = ACTIONS(6139),
    [anon_sym_or_eq] = ACTIONS(6139),
    [anon_sym_xor_eq] = ACTIONS(6139),
    [anon_sym_LT_EQ_GT] = ACTIONS(6141),
    [anon_sym_or] = ACTIONS(6139),
    [anon_sym_and] = ACTIONS(6139),
    [anon_sym_bitor] = ACTIONS(6139),
    [anon_sym_xor] = ACTIONS(6139),
    [anon_sym_bitand] = ACTIONS(6139),
    [anon_sym_not_eq] = ACTIONS(6139),
    [anon_sym_DASH_DASH] = ACTIONS(6141),
    [anon_sym_PLUS_PLUS] = ACTIONS(6141),
    [anon_sym_DOT] = ACTIONS(6139),
    [anon_sym_DOT_STAR] = ACTIONS(6141),
    [anon_sym_DASH_GT] = ACTIONS(6141),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(6139),
    [anon_sym_decltype] = ACTIONS(6139),
  },
  [3448] = {
    [sym_identifier] = ACTIONS(6057),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6059),
    [anon_sym_COMMA] = ACTIONS(6059),
    [anon_sym_RPAREN] = ACTIONS(6059),
    [aux_sym_preproc_if_token2] = ACTIONS(6059),
    [aux_sym_preproc_else_token1] = ACTIONS(6059),
    [aux_sym_preproc_elif_token1] = ACTIONS(6057),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(6059),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(6059),
    [anon_sym_LPAREN2] = ACTIONS(6059),
    [anon_sym_DASH] = ACTIONS(6057),
    [anon_sym_PLUS] = ACTIONS(6057),
    [anon_sym_STAR] = ACTIONS(6057),
    [anon_sym_SLASH] = ACTIONS(6057),
    [anon_sym_PERCENT] = ACTIONS(6057),
    [anon_sym_PIPE_PIPE] = ACTIONS(6059),
    [anon_sym_AMP_AMP] = ACTIONS(6059),
    [anon_sym_PIPE] = ACTIONS(6057),
    [anon_sym_CARET] = ACTIONS(6057),
    [anon_sym_AMP] = ACTIONS(6057),
    [anon_sym_EQ_EQ] = ACTIONS(6059),
    [anon_sym_BANG_EQ] = ACTIONS(6059),
    [anon_sym_GT] = ACTIONS(6057),
    [anon_sym_GT_EQ] = ACTIONS(6059),
    [anon_sym_LT_EQ] = ACTIONS(6057),
    [anon_sym_LT] = ACTIONS(6057),
    [anon_sym_LT_LT] = ACTIONS(6057),
    [anon_sym_GT_GT] = ACTIONS(6057),
    [anon_sym_COLON] = ACTIONS(6059),
    [anon_sym_SEMI] = ACTIONS(6059),
    [anon_sym___attribute__] = ACTIONS(6057),
    [anon_sym_LBRACE] = ACTIONS(6059),
    [anon_sym_RBRACE] = ACTIONS(6059),
    [anon_sym_LBRACK] = ACTIONS(6059),
    [anon_sym_RBRACK] = ACTIONS(6059),
    [anon_sym_EQ] = ACTIONS(6057),
    [anon_sym_QMARK] = ACTIONS(6059),
    [anon_sym_STAR_EQ] = ACTIONS(6059),
    [anon_sym_SLASH_EQ] = ACTIONS(6059),
    [anon_sym_PERCENT_EQ] = ACTIONS(6059),
    [anon_sym_PLUS_EQ] = ACTIONS(6059),
    [anon_sym_DASH_EQ] = ACTIONS(6059),
    [anon_sym_LT_LT_EQ] = ACTIONS(6059),
    [anon_sym_GT_GT_EQ] = ACTIONS(6059),
    [anon_sym_AMP_EQ] = ACTIONS(6059),
    [anon_sym_CARET_EQ] = ACTIONS(6059),
    [anon_sym_PIPE_EQ] = ACTIONS(6059),
    [anon_sym_and_eq] = ACTIONS(6057),
    [anon_sym_or_eq] = ACTIONS(6057),
    [anon_sym_xor_eq] = ACTIONS(6057),
    [anon_sym_LT_EQ_GT] = ACTIONS(6059),
    [anon_sym_or] = ACTIONS(6057),
    [anon_sym_and] = ACTIONS(6057),
    [anon_sym_bitor] = ACTIONS(6057),
    [anon_sym_xor] = ACTIONS(6057),
    [anon_sym_bitand] = ACTIONS(6057),
    [anon_sym_not_eq] = ACTIONS(6057),
    [anon_sym_DASH_DASH] = ACTIONS(6059),
    [anon_sym_PLUS_PLUS] = ACTIONS(6059),
    [anon_sym_DOT] = ACTIONS(6057),
    [anon_sym_DOT_STAR] = ACTIONS(6059),
    [anon_sym_DASH_GT] = ACTIONS(6059),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(6057),
    [anon_sym_decltype] = ACTIONS(6057),
  },
  [3449] = {
    [sym_identifier] = ACTIONS(6400),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6402),
    [anon_sym_COMMA] = ACTIONS(6402),
    [aux_sym_preproc_if_token2] = ACTIONS(6402),
    [aux_sym_preproc_else_token1] = ACTIONS(6402),
    [aux_sym_preproc_elif_token1] = ACTIONS(6402),
    [anon_sym_LPAREN2] = ACTIONS(6402),
    [anon_sym_DASH] = ACTIONS(6400),
    [anon_sym_PLUS] = ACTIONS(6400),
    [anon_sym_STAR] = ACTIONS(6400),
    [anon_sym_SLASH] = ACTIONS(6400),
    [anon_sym_PERCENT] = ACTIONS(6400),
    [anon_sym_PIPE_PIPE] = ACTIONS(6402),
    [anon_sym_AMP_AMP] = ACTIONS(6402),
    [anon_sym_PIPE] = ACTIONS(6400),
    [anon_sym_CARET] = ACTIONS(6400),
    [anon_sym_AMP] = ACTIONS(6400),
    [anon_sym_EQ_EQ] = ACTIONS(6402),
    [anon_sym_BANG_EQ] = ACTIONS(6402),
    [anon_sym_GT] = ACTIONS(6400),
    [anon_sym_GT_EQ] = ACTIONS(6402),
    [anon_sym_LT_EQ] = ACTIONS(6400),
    [anon_sym_LT] = ACTIONS(6400),
    [anon_sym_LT_LT] = ACTIONS(6400),
    [anon_sym_GT_GT] = ACTIONS(6400),
    [anon_sym_LBRACK] = ACTIONS(6402),
    [anon_sym_EQ] = ACTIONS(6400),
    [anon_sym_QMARK] = ACTIONS(6402),
    [anon_sym_STAR_EQ] = ACTIONS(6402),
    [anon_sym_SLASH_EQ] = ACTIONS(6402),
    [anon_sym_PERCENT_EQ] = ACTIONS(6402),
    [anon_sym_PLUS_EQ] = ACTIONS(6402),
    [anon_sym_DASH_EQ] = ACTIONS(6402),
    [anon_sym_LT_LT_EQ] = ACTIONS(6402),
    [anon_sym_GT_GT_EQ] = ACTIONS(6402),
    [anon_sym_AMP_EQ] = ACTIONS(6402),
    [anon_sym_CARET_EQ] = ACTIONS(6402),
    [anon_sym_PIPE_EQ] = ACTIONS(6402),
    [anon_sym_and_eq] = ACTIONS(6400),
    [anon_sym_or_eq] = ACTIONS(6400),
    [anon_sym_xor_eq] = ACTIONS(6400),
    [anon_sym_LT_EQ_GT] = ACTIONS(6402),
    [anon_sym_or] = ACTIONS(6400),
    [anon_sym_and] = ACTIONS(6400),
    [anon_sym_bitor] = ACTIONS(6400),
    [anon_sym_xor] = ACTIONS(6400),
    [anon_sym_bitand] = ACTIONS(6400),
    [anon_sym_not_eq] = ACTIONS(6400),
    [anon_sym_DASH_DASH] = ACTIONS(6402),
    [anon_sym_PLUS_PLUS] = ACTIONS(6402),
    [anon_sym_DOT] = ACTIONS(6400),
    [anon_sym_DOT_STAR] = ACTIONS(6402),
    [anon_sym_DASH_GT] = ACTIONS(6402),
    [anon_sym_L_DQUOTE] = ACTIONS(6402),
    [anon_sym_u_DQUOTE] = ACTIONS(6402),
    [anon_sym_U_DQUOTE] = ACTIONS(6402),
    [anon_sym_u8_DQUOTE] = ACTIONS(6402),
    [anon_sym_DQUOTE] = ACTIONS(6402),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(6402),
    [anon_sym_LR_DQUOTE] = ACTIONS(6402),
    [anon_sym_uR_DQUOTE] = ACTIONS(6402),
    [anon_sym_UR_DQUOTE] = ACTIONS(6402),
    [anon_sym_u8R_DQUOTE] = ACTIONS(6402),
    [sym_literal_suffix] = ACTIONS(6400),
  },
  [3450] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(3404),
    [sym_identifier] = ACTIONS(5962),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5964),
    [anon_sym_COMMA] = ACTIONS(5964),
    [aux_sym_preproc_if_token2] = ACTIONS(5964),
    [aux_sym_preproc_else_token1] = ACTIONS(5964),
    [aux_sym_preproc_elif_token1] = ACTIONS(5962),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5964),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5964),
    [anon_sym_LPAREN2] = ACTIONS(5964),
    [anon_sym_DASH] = ACTIONS(5962),
    [anon_sym_PLUS] = ACTIONS(5962),
    [anon_sym_STAR] = ACTIONS(5962),
    [anon_sym_SLASH] = ACTIONS(5962),
    [anon_sym_PERCENT] = ACTIONS(5962),
    [anon_sym_PIPE_PIPE] = ACTIONS(5964),
    [anon_sym_AMP_AMP] = ACTIONS(5964),
    [anon_sym_PIPE] = ACTIONS(5962),
    [anon_sym_CARET] = ACTIONS(5962),
    [anon_sym_AMP] = ACTIONS(5962),
    [anon_sym_EQ_EQ] = ACTIONS(5964),
    [anon_sym_BANG_EQ] = ACTIONS(5964),
    [anon_sym_GT] = ACTIONS(5962),
    [anon_sym_GT_EQ] = ACTIONS(5964),
    [anon_sym_LT_EQ] = ACTIONS(5962),
    [anon_sym_LT] = ACTIONS(5962),
    [anon_sym_LT_LT] = ACTIONS(5962),
    [anon_sym_GT_GT] = ACTIONS(5962),
    [anon_sym___attribute__] = ACTIONS(5962),
    [anon_sym_LBRACE] = ACTIONS(5964),
    [anon_sym_signed] = ACTIONS(6682),
    [anon_sym_unsigned] = ACTIONS(6682),
    [anon_sym_long] = ACTIONS(6682),
    [anon_sym_short] = ACTIONS(6682),
    [anon_sym_LBRACK] = ACTIONS(5964),
    [anon_sym_EQ] = ACTIONS(5962),
    [anon_sym_QMARK] = ACTIONS(5964),
    [anon_sym_STAR_EQ] = ACTIONS(5964),
    [anon_sym_SLASH_EQ] = ACTIONS(5964),
    [anon_sym_PERCENT_EQ] = ACTIONS(5964),
    [anon_sym_PLUS_EQ] = ACTIONS(5964),
    [anon_sym_DASH_EQ] = ACTIONS(5964),
    [anon_sym_LT_LT_EQ] = ACTIONS(5964),
    [anon_sym_GT_GT_EQ] = ACTIONS(5964),
    [anon_sym_AMP_EQ] = ACTIONS(5964),
    [anon_sym_CARET_EQ] = ACTIONS(5964),
    [anon_sym_PIPE_EQ] = ACTIONS(5964),
    [anon_sym_and_eq] = ACTIONS(5962),
    [anon_sym_or_eq] = ACTIONS(5962),
    [anon_sym_xor_eq] = ACTIONS(5962),
    [anon_sym_LT_EQ_GT] = ACTIONS(5964),
    [anon_sym_or] = ACTIONS(5962),
    [anon_sym_and] = ACTIONS(5962),
    [anon_sym_bitor] = ACTIONS(5962),
    [anon_sym_xor] = ACTIONS(5962),
    [anon_sym_bitand] = ACTIONS(5962),
    [anon_sym_not_eq] = ACTIONS(5962),
    [anon_sym_DASH_DASH] = ACTIONS(5964),
    [anon_sym_PLUS_PLUS] = ACTIONS(5964),
    [anon_sym_DOT] = ACTIONS(5962),
    [anon_sym_DOT_STAR] = ACTIONS(5964),
    [anon_sym_DASH_GT] = ACTIONS(5964),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5962),
    [anon_sym_decltype] = ACTIONS(5962),
  },
  [3451] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(3404),
    [sym_identifier] = ACTIONS(5958),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5960),
    [anon_sym_COMMA] = ACTIONS(5960),
    [aux_sym_preproc_if_token2] = ACTIONS(5960),
    [aux_sym_preproc_else_token1] = ACTIONS(5960),
    [aux_sym_preproc_elif_token1] = ACTIONS(5958),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5960),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5960),
    [anon_sym_LPAREN2] = ACTIONS(5960),
    [anon_sym_DASH] = ACTIONS(5958),
    [anon_sym_PLUS] = ACTIONS(5958),
    [anon_sym_STAR] = ACTIONS(5958),
    [anon_sym_SLASH] = ACTIONS(5958),
    [anon_sym_PERCENT] = ACTIONS(5958),
    [anon_sym_PIPE_PIPE] = ACTIONS(5960),
    [anon_sym_AMP_AMP] = ACTIONS(5960),
    [anon_sym_PIPE] = ACTIONS(5958),
    [anon_sym_CARET] = ACTIONS(5958),
    [anon_sym_AMP] = ACTIONS(5958),
    [anon_sym_EQ_EQ] = ACTIONS(5960),
    [anon_sym_BANG_EQ] = ACTIONS(5960),
    [anon_sym_GT] = ACTIONS(5958),
    [anon_sym_GT_EQ] = ACTIONS(5960),
    [anon_sym_LT_EQ] = ACTIONS(5958),
    [anon_sym_LT] = ACTIONS(5958),
    [anon_sym_LT_LT] = ACTIONS(5958),
    [anon_sym_GT_GT] = ACTIONS(5958),
    [anon_sym___attribute__] = ACTIONS(5958),
    [anon_sym_LBRACE] = ACTIONS(5960),
    [anon_sym_signed] = ACTIONS(6682),
    [anon_sym_unsigned] = ACTIONS(6682),
    [anon_sym_long] = ACTIONS(6682),
    [anon_sym_short] = ACTIONS(6682),
    [anon_sym_LBRACK] = ACTIONS(5960),
    [anon_sym_EQ] = ACTIONS(5958),
    [anon_sym_QMARK] = ACTIONS(5960),
    [anon_sym_STAR_EQ] = ACTIONS(5960),
    [anon_sym_SLASH_EQ] = ACTIONS(5960),
    [anon_sym_PERCENT_EQ] = ACTIONS(5960),
    [anon_sym_PLUS_EQ] = ACTIONS(5960),
    [anon_sym_DASH_EQ] = ACTIONS(5960),
    [anon_sym_LT_LT_EQ] = ACTIONS(5960),
    [anon_sym_GT_GT_EQ] = ACTIONS(5960),
    [anon_sym_AMP_EQ] = ACTIONS(5960),
    [anon_sym_CARET_EQ] = ACTIONS(5960),
    [anon_sym_PIPE_EQ] = ACTIONS(5960),
    [anon_sym_and_eq] = ACTIONS(5958),
    [anon_sym_or_eq] = ACTIONS(5958),
    [anon_sym_xor_eq] = ACTIONS(5958),
    [anon_sym_LT_EQ_GT] = ACTIONS(5960),
    [anon_sym_or] = ACTIONS(5958),
    [anon_sym_and] = ACTIONS(5958),
    [anon_sym_bitor] = ACTIONS(5958),
    [anon_sym_xor] = ACTIONS(5958),
    [anon_sym_bitand] = ACTIONS(5958),
    [anon_sym_not_eq] = ACTIONS(5958),
    [anon_sym_DASH_DASH] = ACTIONS(5960),
    [anon_sym_PLUS_PLUS] = ACTIONS(5960),
    [anon_sym_DOT] = ACTIONS(5958),
    [anon_sym_DOT_STAR] = ACTIONS(5960),
    [anon_sym_DASH_GT] = ACTIONS(5960),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5958),
    [anon_sym_decltype] = ACTIONS(5958),
  },
  [3452] = {
    [sym_identifier] = ACTIONS(6771),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6773),
    [anon_sym_COMMA] = ACTIONS(6773),
    [anon_sym_RPAREN] = ACTIONS(6773),
    [aux_sym_preproc_if_token2] = ACTIONS(6773),
    [aux_sym_preproc_else_token1] = ACTIONS(6773),
    [aux_sym_preproc_elif_token1] = ACTIONS(6771),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(6773),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(6773),
    [anon_sym_LPAREN2] = ACTIONS(6773),
    [anon_sym_DASH] = ACTIONS(6771),
    [anon_sym_PLUS] = ACTIONS(6771),
    [anon_sym_STAR] = ACTIONS(6771),
    [anon_sym_SLASH] = ACTIONS(6771),
    [anon_sym_PERCENT] = ACTIONS(6771),
    [anon_sym_PIPE_PIPE] = ACTIONS(6773),
    [anon_sym_AMP_AMP] = ACTIONS(6773),
    [anon_sym_PIPE] = ACTIONS(6771),
    [anon_sym_CARET] = ACTIONS(6771),
    [anon_sym_AMP] = ACTIONS(6771),
    [anon_sym_EQ_EQ] = ACTIONS(6773),
    [anon_sym_BANG_EQ] = ACTIONS(6773),
    [anon_sym_GT] = ACTIONS(6771),
    [anon_sym_GT_EQ] = ACTIONS(6773),
    [anon_sym_LT_EQ] = ACTIONS(6771),
    [anon_sym_LT] = ACTIONS(6771),
    [anon_sym_LT_LT] = ACTIONS(6771),
    [anon_sym_GT_GT] = ACTIONS(6771),
    [anon_sym_COLON] = ACTIONS(6773),
    [anon_sym_SEMI] = ACTIONS(6773),
    [anon_sym___attribute__] = ACTIONS(6771),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(6773),
    [anon_sym_LBRACE] = ACTIONS(6773),
    [anon_sym_RBRACE] = ACTIONS(6773),
    [anon_sym_LBRACK] = ACTIONS(6771),
    [anon_sym_RBRACK] = ACTIONS(6773),
    [anon_sym_EQ] = ACTIONS(6771),
    [anon_sym_QMARK] = ACTIONS(6773),
    [anon_sym_STAR_EQ] = ACTIONS(6773),
    [anon_sym_SLASH_EQ] = ACTIONS(6773),
    [anon_sym_PERCENT_EQ] = ACTIONS(6773),
    [anon_sym_PLUS_EQ] = ACTIONS(6773),
    [anon_sym_DASH_EQ] = ACTIONS(6773),
    [anon_sym_LT_LT_EQ] = ACTIONS(6773),
    [anon_sym_GT_GT_EQ] = ACTIONS(6773),
    [anon_sym_AMP_EQ] = ACTIONS(6773),
    [anon_sym_CARET_EQ] = ACTIONS(6773),
    [anon_sym_PIPE_EQ] = ACTIONS(6773),
    [anon_sym_and_eq] = ACTIONS(6771),
    [anon_sym_or_eq] = ACTIONS(6771),
    [anon_sym_xor_eq] = ACTIONS(6771),
    [anon_sym_LT_EQ_GT] = ACTIONS(6773),
    [anon_sym_or] = ACTIONS(6771),
    [anon_sym_and] = ACTIONS(6771),
    [anon_sym_bitor] = ACTIONS(6771),
    [anon_sym_xor] = ACTIONS(6771),
    [anon_sym_bitand] = ACTIONS(6771),
    [anon_sym_not_eq] = ACTIONS(6771),
    [anon_sym_DASH_DASH] = ACTIONS(6773),
    [anon_sym_PLUS_PLUS] = ACTIONS(6773),
    [anon_sym_DOT] = ACTIONS(6771),
    [anon_sym_DOT_STAR] = ACTIONS(6773),
    [anon_sym_DASH_GT] = ACTIONS(6773),
    [sym_comment] = ACTIONS(3),
    [anon_sym_try] = ACTIONS(6771),
  },
  [3453] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(3384),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5933),
    [anon_sym_COMMA] = ACTIONS(5933),
    [anon_sym_RPAREN] = ACTIONS(5933),
    [anon_sym_LPAREN2] = ACTIONS(5933),
    [anon_sym_DASH] = ACTIONS(5931),
    [anon_sym_PLUS] = ACTIONS(5931),
    [anon_sym_STAR] = ACTIONS(5933),
    [anon_sym_SLASH] = ACTIONS(5931),
    [anon_sym_PERCENT] = ACTIONS(5933),
    [anon_sym_PIPE_PIPE] = ACTIONS(5933),
    [anon_sym_AMP_AMP] = ACTIONS(5933),
    [anon_sym_PIPE] = ACTIONS(5931),
    [anon_sym_CARET] = ACTIONS(5933),
    [anon_sym_AMP] = ACTIONS(5931),
    [anon_sym_EQ_EQ] = ACTIONS(5933),
    [anon_sym_BANG_EQ] = ACTIONS(5933),
    [anon_sym_GT] = ACTIONS(5931),
    [anon_sym_GT_EQ] = ACTIONS(5933),
    [anon_sym_LT_EQ] = ACTIONS(5931),
    [anon_sym_LT] = ACTIONS(5931),
    [anon_sym_LT_LT] = ACTIONS(5933),
    [anon_sym_GT_GT] = ACTIONS(5933),
    [anon_sym_COLON] = ACTIONS(5933),
    [anon_sym_SEMI] = ACTIONS(5933),
    [anon_sym___extension__] = ACTIONS(5933),
    [anon_sym___attribute__] = ACTIONS(5933),
    [anon_sym_LBRACE] = ACTIONS(5933),
    [anon_sym_RBRACE] = ACTIONS(5933),
    [anon_sym_signed] = ACTIONS(6726),
    [anon_sym_unsigned] = ACTIONS(6726),
    [anon_sym_long] = ACTIONS(6726),
    [anon_sym_short] = ACTIONS(6726),
    [anon_sym_LBRACK] = ACTIONS(5933),
    [anon_sym_RBRACK] = ACTIONS(5933),
    [anon_sym_const] = ACTIONS(5931),
    [anon_sym_constexpr] = ACTIONS(5933),
    [anon_sym_volatile] = ACTIONS(5933),
    [anon_sym_restrict] = ACTIONS(5933),
    [anon_sym___restrict__] = ACTIONS(5933),
    [anon_sym__Atomic] = ACTIONS(5933),
    [anon_sym__Noreturn] = ACTIONS(5933),
    [anon_sym_noreturn] = ACTIONS(5933),
    [anon_sym_mutable] = ACTIONS(5933),
    [anon_sym_constinit] = ACTIONS(5933),
    [anon_sym_consteval] = ACTIONS(5933),
    [anon_sym_QMARK] = ACTIONS(5933),
    [anon_sym_LT_EQ_GT] = ACTIONS(5933),
    [anon_sym_or] = ACTIONS(5933),
    [anon_sym_and] = ACTIONS(5933),
    [anon_sym_bitor] = ACTIONS(5933),
    [anon_sym_xor] = ACTIONS(5933),
    [anon_sym_bitand] = ACTIONS(5933),
    [anon_sym_not_eq] = ACTIONS(5933),
    [anon_sym_DASH_DASH] = ACTIONS(5933),
    [anon_sym_PLUS_PLUS] = ACTIONS(5933),
    [anon_sym_DOT] = ACTIONS(5931),
    [anon_sym_DOT_STAR] = ACTIONS(5933),
    [anon_sym_DASH_GT] = ACTIONS(5933),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5933),
    [anon_sym_decltype] = ACTIONS(5933),
    [anon_sym_final] = ACTIONS(5933),
    [anon_sym_override] = ACTIONS(5933),
    [anon_sym_requires] = ACTIONS(5933),
  },
  [3454] = {
    [sym_identifier] = ACTIONS(6775),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6777),
    [anon_sym_COMMA] = ACTIONS(6777),
    [anon_sym_RPAREN] = ACTIONS(6777),
    [aux_sym_preproc_if_token2] = ACTIONS(6777),
    [aux_sym_preproc_else_token1] = ACTIONS(6777),
    [aux_sym_preproc_elif_token1] = ACTIONS(6775),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(6777),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(6777),
    [anon_sym_LPAREN2] = ACTIONS(6777),
    [anon_sym_DASH] = ACTIONS(6775),
    [anon_sym_PLUS] = ACTIONS(6775),
    [anon_sym_STAR] = ACTIONS(6775),
    [anon_sym_SLASH] = ACTIONS(6775),
    [anon_sym_PERCENT] = ACTIONS(6775),
    [anon_sym_PIPE_PIPE] = ACTIONS(6777),
    [anon_sym_AMP_AMP] = ACTIONS(6777),
    [anon_sym_PIPE] = ACTIONS(6775),
    [anon_sym_CARET] = ACTIONS(6775),
    [anon_sym_AMP] = ACTIONS(6775),
    [anon_sym_EQ_EQ] = ACTIONS(6777),
    [anon_sym_BANG_EQ] = ACTIONS(6777),
    [anon_sym_GT] = ACTIONS(6775),
    [anon_sym_GT_EQ] = ACTIONS(6777),
    [anon_sym_LT_EQ] = ACTIONS(6775),
    [anon_sym_LT] = ACTIONS(6775),
    [anon_sym_LT_LT] = ACTIONS(6775),
    [anon_sym_GT_GT] = ACTIONS(6775),
    [anon_sym_COLON] = ACTIONS(6777),
    [anon_sym_SEMI] = ACTIONS(6777),
    [anon_sym___attribute__] = ACTIONS(6775),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(6777),
    [anon_sym_LBRACE] = ACTIONS(6777),
    [anon_sym_RBRACE] = ACTIONS(6777),
    [anon_sym_LBRACK] = ACTIONS(6775),
    [anon_sym_RBRACK] = ACTIONS(6777),
    [anon_sym_EQ] = ACTIONS(6775),
    [anon_sym_QMARK] = ACTIONS(6777),
    [anon_sym_STAR_EQ] = ACTIONS(6777),
    [anon_sym_SLASH_EQ] = ACTIONS(6777),
    [anon_sym_PERCENT_EQ] = ACTIONS(6777),
    [anon_sym_PLUS_EQ] = ACTIONS(6777),
    [anon_sym_DASH_EQ] = ACTIONS(6777),
    [anon_sym_LT_LT_EQ] = ACTIONS(6777),
    [anon_sym_GT_GT_EQ] = ACTIONS(6777),
    [anon_sym_AMP_EQ] = ACTIONS(6777),
    [anon_sym_CARET_EQ] = ACTIONS(6777),
    [anon_sym_PIPE_EQ] = ACTIONS(6777),
    [anon_sym_and_eq] = ACTIONS(6775),
    [anon_sym_or_eq] = ACTIONS(6775),
    [anon_sym_xor_eq] = ACTIONS(6775),
    [anon_sym_LT_EQ_GT] = ACTIONS(6777),
    [anon_sym_or] = ACTIONS(6775),
    [anon_sym_and] = ACTIONS(6775),
    [anon_sym_bitor] = ACTIONS(6775),
    [anon_sym_xor] = ACTIONS(6775),
    [anon_sym_bitand] = ACTIONS(6775),
    [anon_sym_not_eq] = ACTIONS(6775),
    [anon_sym_DASH_DASH] = ACTIONS(6777),
    [anon_sym_PLUS_PLUS] = ACTIONS(6777),
    [anon_sym_DOT] = ACTIONS(6775),
    [anon_sym_DOT_STAR] = ACTIONS(6777),
    [anon_sym_DASH_GT] = ACTIONS(6777),
    [sym_comment] = ACTIONS(3),
    [anon_sym_try] = ACTIONS(6775),
  },
  [3455] = {
    [sym_argument_list] = STATE(3646),
    [sym_initializer_list] = STATE(3646),
    [sym_identifier] = ACTIONS(6779),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6781),
    [anon_sym_COMMA] = ACTIONS(6781),
    [anon_sym_RPAREN] = ACTIONS(6781),
    [aux_sym_preproc_if_token2] = ACTIONS(6781),
    [aux_sym_preproc_else_token1] = ACTIONS(6781),
    [aux_sym_preproc_elif_token1] = ACTIONS(6779),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(6781),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(6781),
    [anon_sym_LPAREN2] = ACTIONS(6440),
    [anon_sym_DASH] = ACTIONS(6779),
    [anon_sym_PLUS] = ACTIONS(6779),
    [anon_sym_STAR] = ACTIONS(6779),
    [anon_sym_SLASH] = ACTIONS(6779),
    [anon_sym_PERCENT] = ACTIONS(6779),
    [anon_sym_PIPE_PIPE] = ACTIONS(6781),
    [anon_sym_AMP_AMP] = ACTIONS(6781),
    [anon_sym_PIPE] = ACTIONS(6779),
    [anon_sym_CARET] = ACTIONS(6779),
    [anon_sym_AMP] = ACTIONS(6779),
    [anon_sym_EQ_EQ] = ACTIONS(6781),
    [anon_sym_BANG_EQ] = ACTIONS(6781),
    [anon_sym_GT] = ACTIONS(6779),
    [anon_sym_GT_EQ] = ACTIONS(6781),
    [anon_sym_LT_EQ] = ACTIONS(6779),
    [anon_sym_LT] = ACTIONS(6779),
    [anon_sym_LT_LT] = ACTIONS(6779),
    [anon_sym_GT_GT] = ACTIONS(6779),
    [anon_sym_COLON] = ACTIONS(6781),
    [anon_sym_SEMI] = ACTIONS(6781),
    [anon_sym___attribute__] = ACTIONS(6779),
    [anon_sym_LBRACE] = ACTIONS(3926),
    [anon_sym_RBRACE] = ACTIONS(6781),
    [anon_sym_LBRACK] = ACTIONS(6781),
    [anon_sym_RBRACK] = ACTIONS(6781),
    [anon_sym_EQ] = ACTIONS(6779),
    [anon_sym_QMARK] = ACTIONS(6781),
    [anon_sym_STAR_EQ] = ACTIONS(6781),
    [anon_sym_SLASH_EQ] = ACTIONS(6781),
    [anon_sym_PERCENT_EQ] = ACTIONS(6781),
    [anon_sym_PLUS_EQ] = ACTIONS(6781),
    [anon_sym_DASH_EQ] = ACTIONS(6781),
    [anon_sym_LT_LT_EQ] = ACTIONS(6781),
    [anon_sym_GT_GT_EQ] = ACTIONS(6781),
    [anon_sym_AMP_EQ] = ACTIONS(6781),
    [anon_sym_CARET_EQ] = ACTIONS(6781),
    [anon_sym_PIPE_EQ] = ACTIONS(6781),
    [anon_sym_and_eq] = ACTIONS(6779),
    [anon_sym_or_eq] = ACTIONS(6779),
    [anon_sym_xor_eq] = ACTIONS(6779),
    [anon_sym_LT_EQ_GT] = ACTIONS(6781),
    [anon_sym_or] = ACTIONS(6779),
    [anon_sym_and] = ACTIONS(6779),
    [anon_sym_bitor] = ACTIONS(6779),
    [anon_sym_xor] = ACTIONS(6779),
    [anon_sym_bitand] = ACTIONS(6779),
    [anon_sym_not_eq] = ACTIONS(6779),
    [anon_sym_DASH_DASH] = ACTIONS(6781),
    [anon_sym_PLUS_PLUS] = ACTIONS(6781),
    [anon_sym_DOT] = ACTIONS(6779),
    [anon_sym_DOT_STAR] = ACTIONS(6781),
    [anon_sym_DASH_GT] = ACTIONS(6781),
    [sym_comment] = ACTIONS(3),
  },
  [3456] = {
    [sym_identifier] = ACTIONS(6783),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6785),
    [anon_sym_COMMA] = ACTIONS(6785),
    [anon_sym_RPAREN] = ACTIONS(6785),
    [aux_sym_preproc_if_token2] = ACTIONS(6785),
    [aux_sym_preproc_else_token1] = ACTIONS(6785),
    [aux_sym_preproc_elif_token1] = ACTIONS(6783),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(6785),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(6785),
    [anon_sym_LPAREN2] = ACTIONS(6785),
    [anon_sym_DASH] = ACTIONS(6783),
    [anon_sym_PLUS] = ACTIONS(6783),
    [anon_sym_STAR] = ACTIONS(6783),
    [anon_sym_SLASH] = ACTIONS(6783),
    [anon_sym_PERCENT] = ACTIONS(6783),
    [anon_sym_PIPE_PIPE] = ACTIONS(6785),
    [anon_sym_AMP_AMP] = ACTIONS(6785),
    [anon_sym_PIPE] = ACTIONS(6783),
    [anon_sym_CARET] = ACTIONS(6783),
    [anon_sym_AMP] = ACTIONS(6783),
    [anon_sym_EQ_EQ] = ACTIONS(6785),
    [anon_sym_BANG_EQ] = ACTIONS(6785),
    [anon_sym_GT] = ACTIONS(6783),
    [anon_sym_GT_EQ] = ACTIONS(6785),
    [anon_sym_LT_EQ] = ACTIONS(6783),
    [anon_sym_LT] = ACTIONS(6783),
    [anon_sym_LT_LT] = ACTIONS(6783),
    [anon_sym_GT_GT] = ACTIONS(6783),
    [anon_sym_COLON] = ACTIONS(6785),
    [anon_sym_SEMI] = ACTIONS(6785),
    [anon_sym___attribute__] = ACTIONS(6783),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(6785),
    [anon_sym_LBRACE] = ACTIONS(6785),
    [anon_sym_RBRACE] = ACTIONS(6785),
    [anon_sym_LBRACK] = ACTIONS(6783),
    [anon_sym_RBRACK] = ACTIONS(6785),
    [anon_sym_EQ] = ACTIONS(6783),
    [anon_sym_QMARK] = ACTIONS(6785),
    [anon_sym_STAR_EQ] = ACTIONS(6785),
    [anon_sym_SLASH_EQ] = ACTIONS(6785),
    [anon_sym_PERCENT_EQ] = ACTIONS(6785),
    [anon_sym_PLUS_EQ] = ACTIONS(6785),
    [anon_sym_DASH_EQ] = ACTIONS(6785),
    [anon_sym_LT_LT_EQ] = ACTIONS(6785),
    [anon_sym_GT_GT_EQ] = ACTIONS(6785),
    [anon_sym_AMP_EQ] = ACTIONS(6785),
    [anon_sym_CARET_EQ] = ACTIONS(6785),
    [anon_sym_PIPE_EQ] = ACTIONS(6785),
    [anon_sym_and_eq] = ACTIONS(6783),
    [anon_sym_or_eq] = ACTIONS(6783),
    [anon_sym_xor_eq] = ACTIONS(6783),
    [anon_sym_LT_EQ_GT] = ACTIONS(6785),
    [anon_sym_or] = ACTIONS(6783),
    [anon_sym_and] = ACTIONS(6783),
    [anon_sym_bitor] = ACTIONS(6783),
    [anon_sym_xor] = ACTIONS(6783),
    [anon_sym_bitand] = ACTIONS(6783),
    [anon_sym_not_eq] = ACTIONS(6783),
    [anon_sym_DASH_DASH] = ACTIONS(6785),
    [anon_sym_PLUS_PLUS] = ACTIONS(6785),
    [anon_sym_DOT] = ACTIONS(6783),
    [anon_sym_DOT_STAR] = ACTIONS(6785),
    [anon_sym_DASH_GT] = ACTIONS(6785),
    [sym_comment] = ACTIONS(3),
    [anon_sym_try] = ACTIONS(6783),
  },
  [3457] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(3174),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5964),
    [anon_sym_COMMA] = ACTIONS(5964),
    [anon_sym_RPAREN] = ACTIONS(5964),
    [anon_sym_LPAREN2] = ACTIONS(5964),
    [anon_sym_DASH] = ACTIONS(5962),
    [anon_sym_PLUS] = ACTIONS(5962),
    [anon_sym_STAR] = ACTIONS(5964),
    [anon_sym_SLASH] = ACTIONS(5962),
    [anon_sym_PERCENT] = ACTIONS(5964),
    [anon_sym_PIPE_PIPE] = ACTIONS(5964),
    [anon_sym_AMP_AMP] = ACTIONS(5964),
    [anon_sym_PIPE] = ACTIONS(5962),
    [anon_sym_CARET] = ACTIONS(5964),
    [anon_sym_AMP] = ACTIONS(5962),
    [anon_sym_EQ_EQ] = ACTIONS(5964),
    [anon_sym_BANG_EQ] = ACTIONS(5964),
    [anon_sym_GT] = ACTIONS(5962),
    [anon_sym_GT_EQ] = ACTIONS(5964),
    [anon_sym_LT_EQ] = ACTIONS(5962),
    [anon_sym_LT] = ACTIONS(5962),
    [anon_sym_LT_LT] = ACTIONS(5964),
    [anon_sym_GT_GT] = ACTIONS(5964),
    [anon_sym_COLON] = ACTIONS(5964),
    [anon_sym_SEMI] = ACTIONS(5964),
    [anon_sym___extension__] = ACTIONS(5964),
    [anon_sym___attribute__] = ACTIONS(5964),
    [anon_sym_LBRACE] = ACTIONS(5964),
    [anon_sym_RBRACE] = ACTIONS(5964),
    [anon_sym_signed] = ACTIONS(6664),
    [anon_sym_unsigned] = ACTIONS(6664),
    [anon_sym_long] = ACTIONS(6664),
    [anon_sym_short] = ACTIONS(6664),
    [anon_sym_LBRACK] = ACTIONS(5964),
    [anon_sym_RBRACK] = ACTIONS(5964),
    [anon_sym_const] = ACTIONS(5962),
    [anon_sym_constexpr] = ACTIONS(5964),
    [anon_sym_volatile] = ACTIONS(5964),
    [anon_sym_restrict] = ACTIONS(5964),
    [anon_sym___restrict__] = ACTIONS(5964),
    [anon_sym__Atomic] = ACTIONS(5964),
    [anon_sym__Noreturn] = ACTIONS(5964),
    [anon_sym_noreturn] = ACTIONS(5964),
    [anon_sym_mutable] = ACTIONS(5964),
    [anon_sym_constinit] = ACTIONS(5964),
    [anon_sym_consteval] = ACTIONS(5964),
    [anon_sym_QMARK] = ACTIONS(5964),
    [anon_sym_LT_EQ_GT] = ACTIONS(5964),
    [anon_sym_or] = ACTIONS(5964),
    [anon_sym_and] = ACTIONS(5964),
    [anon_sym_bitor] = ACTIONS(5964),
    [anon_sym_xor] = ACTIONS(5964),
    [anon_sym_bitand] = ACTIONS(5964),
    [anon_sym_not_eq] = ACTIONS(5964),
    [anon_sym_DASH_DASH] = ACTIONS(5964),
    [anon_sym_PLUS_PLUS] = ACTIONS(5964),
    [anon_sym_DOT] = ACTIONS(5962),
    [anon_sym_DOT_STAR] = ACTIONS(5964),
    [anon_sym_DASH_GT] = ACTIONS(5964),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5964),
    [anon_sym_decltype] = ACTIONS(5964),
    [anon_sym_final] = ACTIONS(5964),
    [anon_sym_override] = ACTIONS(5964),
    [anon_sym_requires] = ACTIONS(5964),
  },
  [3458] = {
    [sym_identifier] = ACTIONS(6045),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6047),
    [anon_sym_COMMA] = ACTIONS(6047),
    [anon_sym_RPAREN] = ACTIONS(6047),
    [aux_sym_preproc_if_token2] = ACTIONS(6047),
    [aux_sym_preproc_else_token1] = ACTIONS(6047),
    [aux_sym_preproc_elif_token1] = ACTIONS(6045),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(6047),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(6047),
    [anon_sym_LPAREN2] = ACTIONS(6047),
    [anon_sym_DASH] = ACTIONS(6045),
    [anon_sym_PLUS] = ACTIONS(6045),
    [anon_sym_STAR] = ACTIONS(6045),
    [anon_sym_SLASH] = ACTIONS(6045),
    [anon_sym_PERCENT] = ACTIONS(6045),
    [anon_sym_PIPE_PIPE] = ACTIONS(6047),
    [anon_sym_AMP_AMP] = ACTIONS(6047),
    [anon_sym_PIPE] = ACTIONS(6045),
    [anon_sym_CARET] = ACTIONS(6045),
    [anon_sym_AMP] = ACTIONS(6045),
    [anon_sym_EQ_EQ] = ACTIONS(6047),
    [anon_sym_BANG_EQ] = ACTIONS(6047),
    [anon_sym_GT] = ACTIONS(6045),
    [anon_sym_GT_EQ] = ACTIONS(6047),
    [anon_sym_LT_EQ] = ACTIONS(6045),
    [anon_sym_LT] = ACTIONS(6045),
    [anon_sym_LT_LT] = ACTIONS(6045),
    [anon_sym_GT_GT] = ACTIONS(6045),
    [anon_sym_COLON] = ACTIONS(6047),
    [anon_sym_SEMI] = ACTIONS(6047),
    [anon_sym___attribute__] = ACTIONS(6045),
    [anon_sym_LBRACE] = ACTIONS(6047),
    [anon_sym_RBRACE] = ACTIONS(6047),
    [anon_sym_LBRACK] = ACTIONS(6047),
    [anon_sym_RBRACK] = ACTIONS(6047),
    [anon_sym_EQ] = ACTIONS(6045),
    [anon_sym_QMARK] = ACTIONS(6047),
    [anon_sym_STAR_EQ] = ACTIONS(6047),
    [anon_sym_SLASH_EQ] = ACTIONS(6047),
    [anon_sym_PERCENT_EQ] = ACTIONS(6047),
    [anon_sym_PLUS_EQ] = ACTIONS(6047),
    [anon_sym_DASH_EQ] = ACTIONS(6047),
    [anon_sym_LT_LT_EQ] = ACTIONS(6047),
    [anon_sym_GT_GT_EQ] = ACTIONS(6047),
    [anon_sym_AMP_EQ] = ACTIONS(6047),
    [anon_sym_CARET_EQ] = ACTIONS(6047),
    [anon_sym_PIPE_EQ] = ACTIONS(6047),
    [anon_sym_and_eq] = ACTIONS(6045),
    [anon_sym_or_eq] = ACTIONS(6045),
    [anon_sym_xor_eq] = ACTIONS(6045),
    [anon_sym_LT_EQ_GT] = ACTIONS(6047),
    [anon_sym_or] = ACTIONS(6045),
    [anon_sym_and] = ACTIONS(6045),
    [anon_sym_bitor] = ACTIONS(6045),
    [anon_sym_xor] = ACTIONS(6045),
    [anon_sym_bitand] = ACTIONS(6045),
    [anon_sym_not_eq] = ACTIONS(6045),
    [anon_sym_DASH_DASH] = ACTIONS(6047),
    [anon_sym_PLUS_PLUS] = ACTIONS(6047),
    [anon_sym_DOT] = ACTIONS(6045),
    [anon_sym_DOT_STAR] = ACTIONS(6047),
    [anon_sym_DASH_GT] = ACTIONS(6047),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(6045),
    [anon_sym_decltype] = ACTIONS(6045),
  },
  [3459] = {
    [sym_identifier] = ACTIONS(6065),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6067),
    [anon_sym_COMMA] = ACTIONS(6067),
    [anon_sym_RPAREN] = ACTIONS(6067),
    [aux_sym_preproc_if_token2] = ACTIONS(6067),
    [aux_sym_preproc_else_token1] = ACTIONS(6067),
    [aux_sym_preproc_elif_token1] = ACTIONS(6065),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(6067),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(6067),
    [anon_sym_LPAREN2] = ACTIONS(6067),
    [anon_sym_DASH] = ACTIONS(6065),
    [anon_sym_PLUS] = ACTIONS(6065),
    [anon_sym_STAR] = ACTIONS(6065),
    [anon_sym_SLASH] = ACTIONS(6065),
    [anon_sym_PERCENT] = ACTIONS(6065),
    [anon_sym_PIPE_PIPE] = ACTIONS(6067),
    [anon_sym_AMP_AMP] = ACTIONS(6067),
    [anon_sym_PIPE] = ACTIONS(6065),
    [anon_sym_CARET] = ACTIONS(6065),
    [anon_sym_AMP] = ACTIONS(6065),
    [anon_sym_EQ_EQ] = ACTIONS(6067),
    [anon_sym_BANG_EQ] = ACTIONS(6067),
    [anon_sym_GT] = ACTIONS(6065),
    [anon_sym_GT_EQ] = ACTIONS(6067),
    [anon_sym_LT_EQ] = ACTIONS(6065),
    [anon_sym_LT] = ACTIONS(6065),
    [anon_sym_LT_LT] = ACTIONS(6065),
    [anon_sym_GT_GT] = ACTIONS(6065),
    [anon_sym_COLON] = ACTIONS(6067),
    [anon_sym_SEMI] = ACTIONS(6067),
    [anon_sym___attribute__] = ACTIONS(6065),
    [anon_sym_LBRACE] = ACTIONS(6067),
    [anon_sym_RBRACE] = ACTIONS(6067),
    [anon_sym_LBRACK] = ACTIONS(6067),
    [anon_sym_RBRACK] = ACTIONS(6067),
    [anon_sym_EQ] = ACTIONS(6065),
    [anon_sym_QMARK] = ACTIONS(6067),
    [anon_sym_STAR_EQ] = ACTIONS(6067),
    [anon_sym_SLASH_EQ] = ACTIONS(6067),
    [anon_sym_PERCENT_EQ] = ACTIONS(6067),
    [anon_sym_PLUS_EQ] = ACTIONS(6067),
    [anon_sym_DASH_EQ] = ACTIONS(6067),
    [anon_sym_LT_LT_EQ] = ACTIONS(6067),
    [anon_sym_GT_GT_EQ] = ACTIONS(6067),
    [anon_sym_AMP_EQ] = ACTIONS(6067),
    [anon_sym_CARET_EQ] = ACTIONS(6067),
    [anon_sym_PIPE_EQ] = ACTIONS(6067),
    [anon_sym_and_eq] = ACTIONS(6065),
    [anon_sym_or_eq] = ACTIONS(6065),
    [anon_sym_xor_eq] = ACTIONS(6065),
    [anon_sym_LT_EQ_GT] = ACTIONS(6067),
    [anon_sym_or] = ACTIONS(6065),
    [anon_sym_and] = ACTIONS(6065),
    [anon_sym_bitor] = ACTIONS(6065),
    [anon_sym_xor] = ACTIONS(6065),
    [anon_sym_bitand] = ACTIONS(6065),
    [anon_sym_not_eq] = ACTIONS(6065),
    [anon_sym_DASH_DASH] = ACTIONS(6067),
    [anon_sym_PLUS_PLUS] = ACTIONS(6067),
    [anon_sym_DOT] = ACTIONS(6065),
    [anon_sym_DOT_STAR] = ACTIONS(6067),
    [anon_sym_DASH_GT] = ACTIONS(6067),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(6065),
    [anon_sym_decltype] = ACTIONS(6065),
  },
  [3460] = {
    [sym_identifier] = ACTIONS(6107),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6109),
    [anon_sym_COMMA] = ACTIONS(6109),
    [anon_sym_RPAREN] = ACTIONS(6109),
    [aux_sym_preproc_if_token2] = ACTIONS(6109),
    [aux_sym_preproc_else_token1] = ACTIONS(6109),
    [aux_sym_preproc_elif_token1] = ACTIONS(6107),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(6109),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(6109),
    [anon_sym_LPAREN2] = ACTIONS(6109),
    [anon_sym_DASH] = ACTIONS(6107),
    [anon_sym_PLUS] = ACTIONS(6107),
    [anon_sym_STAR] = ACTIONS(6107),
    [anon_sym_SLASH] = ACTIONS(6107),
    [anon_sym_PERCENT] = ACTIONS(6107),
    [anon_sym_PIPE_PIPE] = ACTIONS(6109),
    [anon_sym_AMP_AMP] = ACTIONS(6109),
    [anon_sym_PIPE] = ACTIONS(6107),
    [anon_sym_CARET] = ACTIONS(6107),
    [anon_sym_AMP] = ACTIONS(6107),
    [anon_sym_EQ_EQ] = ACTIONS(6109),
    [anon_sym_BANG_EQ] = ACTIONS(6109),
    [anon_sym_GT] = ACTIONS(6107),
    [anon_sym_GT_EQ] = ACTIONS(6109),
    [anon_sym_LT_EQ] = ACTIONS(6107),
    [anon_sym_LT] = ACTIONS(6107),
    [anon_sym_LT_LT] = ACTIONS(6107),
    [anon_sym_GT_GT] = ACTIONS(6107),
    [anon_sym_COLON] = ACTIONS(6109),
    [anon_sym_SEMI] = ACTIONS(6109),
    [anon_sym___attribute__] = ACTIONS(6107),
    [anon_sym_LBRACE] = ACTIONS(6109),
    [anon_sym_RBRACE] = ACTIONS(6109),
    [anon_sym_LBRACK] = ACTIONS(6109),
    [anon_sym_RBRACK] = ACTIONS(6109),
    [anon_sym_EQ] = ACTIONS(6107),
    [anon_sym_QMARK] = ACTIONS(6109),
    [anon_sym_STAR_EQ] = ACTIONS(6109),
    [anon_sym_SLASH_EQ] = ACTIONS(6109),
    [anon_sym_PERCENT_EQ] = ACTIONS(6109),
    [anon_sym_PLUS_EQ] = ACTIONS(6109),
    [anon_sym_DASH_EQ] = ACTIONS(6109),
    [anon_sym_LT_LT_EQ] = ACTIONS(6109),
    [anon_sym_GT_GT_EQ] = ACTIONS(6109),
    [anon_sym_AMP_EQ] = ACTIONS(6109),
    [anon_sym_CARET_EQ] = ACTIONS(6109),
    [anon_sym_PIPE_EQ] = ACTIONS(6109),
    [anon_sym_and_eq] = ACTIONS(6107),
    [anon_sym_or_eq] = ACTIONS(6107),
    [anon_sym_xor_eq] = ACTIONS(6107),
    [anon_sym_LT_EQ_GT] = ACTIONS(6109),
    [anon_sym_or] = ACTIONS(6107),
    [anon_sym_and] = ACTIONS(6107),
    [anon_sym_bitor] = ACTIONS(6107),
    [anon_sym_xor] = ACTIONS(6107),
    [anon_sym_bitand] = ACTIONS(6107),
    [anon_sym_not_eq] = ACTIONS(6107),
    [anon_sym_DASH_DASH] = ACTIONS(6109),
    [anon_sym_PLUS_PLUS] = ACTIONS(6109),
    [anon_sym_DOT] = ACTIONS(6107),
    [anon_sym_DOT_STAR] = ACTIONS(6109),
    [anon_sym_DASH_GT] = ACTIONS(6109),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(6107),
    [anon_sym_decltype] = ACTIONS(6107),
  },
  [3461] = {
    [sym_identifier] = ACTIONS(6119),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6121),
    [anon_sym_COMMA] = ACTIONS(6121),
    [anon_sym_RPAREN] = ACTIONS(6121),
    [aux_sym_preproc_if_token2] = ACTIONS(6121),
    [aux_sym_preproc_else_token1] = ACTIONS(6121),
    [aux_sym_preproc_elif_token1] = ACTIONS(6119),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(6121),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(6121),
    [anon_sym_LPAREN2] = ACTIONS(6121),
    [anon_sym_DASH] = ACTIONS(6119),
    [anon_sym_PLUS] = ACTIONS(6119),
    [anon_sym_STAR] = ACTIONS(6119),
    [anon_sym_SLASH] = ACTIONS(6119),
    [anon_sym_PERCENT] = ACTIONS(6119),
    [anon_sym_PIPE_PIPE] = ACTIONS(6121),
    [anon_sym_AMP_AMP] = ACTIONS(6121),
    [anon_sym_PIPE] = ACTIONS(6119),
    [anon_sym_CARET] = ACTIONS(6119),
    [anon_sym_AMP] = ACTIONS(6119),
    [anon_sym_EQ_EQ] = ACTIONS(6121),
    [anon_sym_BANG_EQ] = ACTIONS(6121),
    [anon_sym_GT] = ACTIONS(6119),
    [anon_sym_GT_EQ] = ACTIONS(6121),
    [anon_sym_LT_EQ] = ACTIONS(6119),
    [anon_sym_LT] = ACTIONS(6119),
    [anon_sym_LT_LT] = ACTIONS(6119),
    [anon_sym_GT_GT] = ACTIONS(6119),
    [anon_sym_COLON] = ACTIONS(6121),
    [anon_sym_SEMI] = ACTIONS(6121),
    [anon_sym___attribute__] = ACTIONS(6119),
    [anon_sym_LBRACE] = ACTIONS(6121),
    [anon_sym_RBRACE] = ACTIONS(6121),
    [anon_sym_LBRACK] = ACTIONS(6121),
    [anon_sym_RBRACK] = ACTIONS(6121),
    [anon_sym_EQ] = ACTIONS(6119),
    [anon_sym_QMARK] = ACTIONS(6121),
    [anon_sym_STAR_EQ] = ACTIONS(6121),
    [anon_sym_SLASH_EQ] = ACTIONS(6121),
    [anon_sym_PERCENT_EQ] = ACTIONS(6121),
    [anon_sym_PLUS_EQ] = ACTIONS(6121),
    [anon_sym_DASH_EQ] = ACTIONS(6121),
    [anon_sym_LT_LT_EQ] = ACTIONS(6121),
    [anon_sym_GT_GT_EQ] = ACTIONS(6121),
    [anon_sym_AMP_EQ] = ACTIONS(6121),
    [anon_sym_CARET_EQ] = ACTIONS(6121),
    [anon_sym_PIPE_EQ] = ACTIONS(6121),
    [anon_sym_and_eq] = ACTIONS(6119),
    [anon_sym_or_eq] = ACTIONS(6119),
    [anon_sym_xor_eq] = ACTIONS(6119),
    [anon_sym_LT_EQ_GT] = ACTIONS(6121),
    [anon_sym_or] = ACTIONS(6119),
    [anon_sym_and] = ACTIONS(6119),
    [anon_sym_bitor] = ACTIONS(6119),
    [anon_sym_xor] = ACTIONS(6119),
    [anon_sym_bitand] = ACTIONS(6119),
    [anon_sym_not_eq] = ACTIONS(6119),
    [anon_sym_DASH_DASH] = ACTIONS(6121),
    [anon_sym_PLUS_PLUS] = ACTIONS(6121),
    [anon_sym_DOT] = ACTIONS(6119),
    [anon_sym_DOT_STAR] = ACTIONS(6121),
    [anon_sym_DASH_GT] = ACTIONS(6121),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(6119),
    [anon_sym_decltype] = ACTIONS(6119),
  },
  [3462] = {
    [sym_template_argument_list] = STATE(3236),
    [sym_identifier] = ACTIONS(2232),
    [anon_sym_LPAREN2] = ACTIONS(4548),
    [anon_sym_TILDE] = ACTIONS(2234),
    [anon_sym_STAR] = ACTIONS(2234),
    [anon_sym_AMP_AMP] = ACTIONS(2234),
    [anon_sym_AMP] = ACTIONS(2232),
    [anon_sym_LT] = ACTIONS(5900),
    [anon_sym_SEMI] = ACTIONS(4546),
    [anon_sym___extension__] = ACTIONS(2232),
    [anon_sym_in] = ACTIONS(2232),
    [anon_sym_out] = ACTIONS(2232),
    [anon_sym_inout] = ACTIONS(2232),
    [anon_sym_extern] = ACTIONS(2232),
    [anon_sym___attribute__] = ACTIONS(2232),
    [anon_sym_COLON_COLON] = ACTIONS(2230),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4548),
    [anon_sym___declspec] = ACTIONS(2232),
    [anon_sym___based] = ACTIONS(2232),
    [anon_sym_LBRACK] = ACTIONS(4553),
    [anon_sym_static] = ACTIONS(2232),
    [anon_sym_register] = ACTIONS(2232),
    [anon_sym_inline] = ACTIONS(2232),
    [anon_sym___inline] = ACTIONS(2232),
    [anon_sym___inline__] = ACTIONS(2232),
    [anon_sym___forceinline] = ACTIONS(2232),
    [anon_sym_thread_local] = ACTIONS(2232),
    [anon_sym___thread] = ACTIONS(2232),
    [anon_sym_const] = ACTIONS(2232),
    [anon_sym_constexpr] = ACTIONS(2232),
    [anon_sym_volatile] = ACTIONS(2232),
    [anon_sym_restrict] = ACTIONS(2232),
    [anon_sym___restrict__] = ACTIONS(2232),
    [anon_sym__Atomic] = ACTIONS(2232),
    [anon_sym__Noreturn] = ACTIONS(2232),
    [anon_sym_noreturn] = ACTIONS(2232),
    [anon_sym_mutable] = ACTIONS(2232),
    [anon_sym_constinit] = ACTIONS(2232),
    [anon_sym_consteval] = ACTIONS(2232),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2232),
    [anon_sym_decltype] = ACTIONS(2232),
    [anon_sym_virtual] = ACTIONS(2232),
    [anon_sym_alignas] = ACTIONS(2232),
    [anon_sym_template] = ACTIONS(2232),
    [anon_sym_operator] = ACTIONS(2232),
    [anon_sym_precise] = ACTIONS(2232),
    [anon_sym_shared] = ACTIONS(2232),
    [anon_sym_groupshared] = ACTIONS(2232),
    [anon_sym_uniform] = ACTIONS(2232),
    [anon_sym_row_major] = ACTIONS(2232),
    [anon_sym_column_major] = ACTIONS(2232),
    [anon_sym_globallycoherent] = ACTIONS(2232),
    [anon_sym_centroid] = ACTIONS(2232),
    [anon_sym_noperspective] = ACTIONS(2232),
    [anon_sym_nointerpolation] = ACTIONS(2232),
    [anon_sym_sample] = ACTIONS(2232),
    [anon_sym_linear] = ACTIONS(2232),
    [anon_sym_snorm] = ACTIONS(2232),
    [anon_sym_unorm] = ACTIONS(2232),
    [anon_sym_point] = ACTIONS(2232),
    [anon_sym_line] = ACTIONS(2232),
    [anon_sym_triangleadj] = ACTIONS(2232),
    [anon_sym_lineadj] = ACTIONS(2232),
    [anon_sym_triangle] = ACTIONS(2232),
  },
};

static const uint16_t ts_small_parse_table[] = {
  [0] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(3190), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6787), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5962), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5964), 40,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
  [75] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6789), 1,
      sym_identifier,
    STATE(3464), 3,
      sym_string_literal,
      sym_raw_string_literal,
      aux_sym_concatenated_string_repeat1,
    ACTIONS(6792), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(6795), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
    ACTIONS(6273), 23,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      sym_literal_suffix,
    ACTIONS(6271), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [154] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(3483), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6798), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5987), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5989), 40,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
  [229] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(3463), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6800), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5946), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5948), 40,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
  [304] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6802), 1,
      sym_identifier,
    ACTIONS(6807), 1,
      sym_primitive_type,
    STATE(3509), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6805), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5919), 27,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5917), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [383] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2256), 2,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
    ACTIONS(4578), 28,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(4573), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [456] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(3190), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6787), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5952), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5954), 40,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
  [531] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5581), 1,
      anon_sym___attribute__,
    ACTIONS(6081), 1,
      anon_sym_LBRACE,
    ACTIONS(6809), 1,
      anon_sym_COLON,
    STATE(3094), 1,
      sym_attribute_specifier,
    STATE(3096), 1,
      sym__enum_base_clause,
    STATE(3123), 1,
      sym_enumerator_list,
    ACTIONS(6370), 5,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6368), 52,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_in,
      anon_sym_out,
      anon_sym_inout,
      anon_sym_extern,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_operator,
      anon_sym_precise,
      anon_sym_shared,
      anon_sym_groupshared,
      anon_sym_uniform,
      anon_sym_row_major,
      anon_sym_column_major,
      anon_sym_globallycoherent,
      anon_sym_centroid,
      anon_sym_noperspective,
      anon_sym_nointerpolation,
      anon_sym_sample,
      anon_sym_linear,
      anon_sym_snorm,
      anon_sym_unorm,
      anon_sym_point,
      anon_sym_line,
      anon_sym_triangleadj,
      anon_sym_lineadj,
      anon_sym_triangle,
  [614] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2973), 2,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2968), 61,
      anon_sym___extension__,
      anon_sym_in,
      anon_sym_out,
      anon_sym_inout,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_precise,
      anon_sym_shared,
      anon_sym_groupshared,
      anon_sym_uniform,
      anon_sym_row_major,
      anon_sym_column_major,
      anon_sym_globallycoherent,
      anon_sym_centroid,
      anon_sym_noperspective,
      anon_sym_nointerpolation,
      anon_sym_sample,
      anon_sym_linear,
      anon_sym_snorm,
      anon_sym_unorm,
      anon_sym_point,
      anon_sym_line,
      anon_sym_triangleadj,
      anon_sym_lineadj,
      anon_sym_triangle,
  [685] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2230), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6475), 1,
      anon_sym_LT,
    STATE(3484), 1,
      sym_template_argument_list,
    ACTIONS(6811), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6813), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [762] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6407), 27,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      sym_identifier,
      sym_literal_suffix,
    ACTIONS(6409), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
      anon_sym_DASH_GT_STAR,
  [833] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2402), 2,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2400), 61,
      anon_sym___extension__,
      anon_sym_in,
      anon_sym_out,
      anon_sym_inout,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_precise,
      anon_sym_shared,
      anon_sym_groupshared,
      anon_sym_uniform,
      anon_sym_row_major,
      anon_sym_column_major,
      anon_sym_globallycoherent,
      anon_sym_centroid,
      anon_sym_noperspective,
      anon_sym_nointerpolation,
      anon_sym_sample,
      anon_sym_linear,
      anon_sym_snorm,
      anon_sym_unorm,
      anon_sym_point,
      anon_sym_line,
      anon_sym_triangleadj,
      anon_sym_lineadj,
      anon_sym_triangle,
  [904] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(3397), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6769), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5931), 28,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5933), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [979] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6815), 1,
      sym_identifier,
    STATE(3464), 3,
      sym_string_literal,
      sym_raw_string_literal,
      aux_sym_concatenated_string_repeat1,
    ACTIONS(4474), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(4476), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
    ACTIONS(6243), 23,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      sym_literal_suffix,
    ACTIONS(6241), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [1058] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(3190), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6787), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5966), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5968), 40,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
  [1133] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6413), 27,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      sym_identifier,
      sym_literal_suffix,
    ACTIONS(6415), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
      anon_sym_DASH_GT_STAR,
  [1204] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(3477), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6817), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5931), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5933), 40,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
  [1279] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2230), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6475), 1,
      anon_sym_LT,
    STATE(3484), 1,
      sym_template_argument_list,
    ACTIONS(6819), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6821), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [1356] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2753), 2,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2751), 61,
      anon_sym___extension__,
      anon_sym_in,
      anon_sym_out,
      anon_sym_inout,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_precise,
      anon_sym_shared,
      anon_sym_groupshared,
      anon_sym_uniform,
      anon_sym_row_major,
      anon_sym_column_major,
      anon_sym_globallycoherent,
      anon_sym_centroid,
      anon_sym_noperspective,
      anon_sym_nointerpolation,
      anon_sym_sample,
      anon_sym_linear,
      anon_sym_snorm,
      anon_sym_unorm,
      anon_sym_point,
      anon_sym_line,
      anon_sym_triangleadj,
      anon_sym_lineadj,
      anon_sym_triangle,
  [1427] = 6,
    ACTIONS(3), 1,
      sym_comment,
    STATE(3508), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5840), 2,
      sym_primitive_type,
      sym_identifier,
    ACTIONS(6823), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5943), 21,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
    ACTIONS(5940), 35,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [1504] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(3190), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6787), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5958), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5960), 40,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
  [1579] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2256), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6826), 28,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6828), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [1652] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(3485), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6830), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5840), 29,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      sym_primitive_type,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5842), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [1727] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2807), 2,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2805), 61,
      anon_sym___extension__,
      anon_sym_in,
      anon_sym_out,
      anon_sym_inout,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_precise,
      anon_sym_shared,
      anon_sym_groupshared,
      anon_sym_uniform,
      anon_sym_row_major,
      anon_sym_column_major,
      anon_sym_globallycoherent,
      anon_sym_centroid,
      anon_sym_noperspective,
      anon_sym_nointerpolation,
      anon_sym_sample,
      anon_sym_linear,
      anon_sym_snorm,
      anon_sym_unorm,
      anon_sym_point,
      anon_sym_line,
      anon_sym_triangleadj,
      anon_sym_lineadj,
      anon_sym_triangle,
  [1798] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6419), 1,
      anon_sym___attribute__,
    ACTIONS(6584), 1,
      anon_sym_LBRACE,
    ACTIONS(6833), 1,
      anon_sym_COLON,
    STATE(3334), 1,
      sym__enum_base_clause,
    STATE(3341), 1,
      sym_enumerator_list,
    STATE(3437), 1,
      sym_attribute_specifier,
    ACTIONS(6356), 28,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(6358), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [1881] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6835), 1,
      sym_identifier,
    STATE(3476), 3,
      sym_string_literal,
      sym_raw_string_literal,
      aux_sym_concatenated_string_repeat1,
    ACTIONS(4474), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(4476), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
    ACTIONS(6255), 23,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      sym_literal_suffix,
    ACTIONS(6253), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [1960] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6396), 27,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_literal_suffix,
    ACTIONS(6398), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [2031] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6442), 1,
      anon_sym_LBRACK,
    STATE(3553), 1,
      sym_new_declarator,
    ACTIONS(6837), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6839), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [2106] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2494), 2,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2492), 61,
      anon_sym___extension__,
      anon_sym_in,
      anon_sym_out,
      anon_sym_inout,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_precise,
      anon_sym_shared,
      anon_sym_groupshared,
      anon_sym_uniform,
      anon_sym_row_major,
      anon_sym_column_major,
      anon_sym_globallycoherent,
      anon_sym_centroid,
      anon_sym_noperspective,
      anon_sym_nointerpolation,
      anon_sym_sample,
      anon_sym_linear,
      anon_sym_snorm,
      anon_sym_unorm,
      anon_sym_point,
      anon_sym_line,
      anon_sym_triangleadj,
      anon_sym_lineadj,
      anon_sym_triangle,
  [2177] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5923), 1,
      sym_primitive_type,
    ACTIONS(6841), 1,
      sym_identifier,
    STATE(3207), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6843), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5917), 5,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
    ACTIONS(5919), 51,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_in,
      anon_sym_out,
      anon_sym_inout,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_precise,
      anon_sym_shared,
      anon_sym_groupshared,
      anon_sym_uniform,
      anon_sym_row_major,
      anon_sym_column_major,
      anon_sym_globallycoherent,
      anon_sym_centroid,
      anon_sym_noperspective,
      anon_sym_nointerpolation,
      anon_sym_sample,
      anon_sym_linear,
      anon_sym_snorm,
      anon_sym_unorm,
      anon_sym_point,
      anon_sym_line,
      anon_sym_triangleadj,
      anon_sym_lineadj,
      anon_sym_triangle,
  [2256] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6419), 1,
      anon_sym___attribute__,
    ACTIONS(6584), 1,
      anon_sym_LBRACE,
    ACTIONS(6833), 1,
      anon_sym_COLON,
    STATE(3322), 1,
      sym__enum_base_clause,
    STATE(3343), 1,
      sym_enumerator_list,
    STATE(3440), 1,
      sym_attribute_specifier,
    ACTIONS(6368), 28,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(6370), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [2339] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6845), 1,
      sym_identifier,
    ACTIONS(6849), 1,
      sym_primitive_type,
    STATE(3482), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6847), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5917), 21,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
    ACTIONS(5919), 35,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [2418] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(3477), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6817), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5970), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5972), 40,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
  [2493] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6400), 27,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      sym_identifier,
      sym_literal_suffix,
    ACTIONS(6402), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
      anon_sym_DASH_GT_STAR,
  [2564] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2230), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6851), 1,
      anon_sym_LT,
    STATE(3538), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(3581), 1,
      sym_template_argument_list,
    ACTIONS(6728), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(4211), 26,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(4219), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [2645] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6853), 1,
      sym_literal_suffix,
    STATE(3360), 2,
      sym_string_literal,
      sym_raw_string_literal,
    ACTIONS(6617), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(6619), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
    ACTIONS(4213), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
    ACTIONS(4221), 26,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
  [2724] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5581), 1,
      anon_sym___attribute__,
    ACTIONS(6081), 1,
      anon_sym_LBRACE,
    ACTIONS(6809), 1,
      anon_sym_COLON,
    STATE(3073), 1,
      sym_attribute_specifier,
    STATE(3074), 1,
      sym__enum_base_clause,
    STATE(3112), 1,
      sym_enumerator_list,
    ACTIONS(6358), 5,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6356), 52,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_in,
      anon_sym_out,
      anon_sym_inout,
      anon_sym_extern,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_operator,
      anon_sym_precise,
      anon_sym_shared,
      anon_sym_groupshared,
      anon_sym_uniform,
      anon_sym_row_major,
      anon_sym_column_major,
      anon_sym_globallycoherent,
      anon_sym_centroid,
      anon_sym_noperspective,
      anon_sym_nointerpolation,
      anon_sym_sample,
      anon_sym_linear,
      anon_sym_snorm,
      anon_sym_unorm,
      anon_sym_point,
      anon_sym_line,
      anon_sym_triangleadj,
      anon_sym_lineadj,
      anon_sym_triangle,
  [2807] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2466), 2,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2464), 61,
      anon_sym___extension__,
      anon_sym_in,
      anon_sym_out,
      anon_sym_inout,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_precise,
      anon_sym_shared,
      anon_sym_groupshared,
      anon_sym_uniform,
      anon_sym_row_major,
      anon_sym_column_major,
      anon_sym_globallycoherent,
      anon_sym_centroid,
      anon_sym_noperspective,
      anon_sym_nointerpolation,
      anon_sym_sample,
      anon_sym_linear,
      anon_sym_snorm,
      anon_sym_unorm,
      anon_sym_point,
      anon_sym_line,
      anon_sym_triangleadj,
      anon_sym_lineadj,
      anon_sym_triangle,
  [2878] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2450), 2,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2448), 61,
      anon_sym___extension__,
      anon_sym_in,
      anon_sym_out,
      anon_sym_inout,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_precise,
      anon_sym_shared,
      anon_sym_groupshared,
      anon_sym_uniform,
      anon_sym_row_major,
      anon_sym_column_major,
      anon_sym_globallycoherent,
      anon_sym_centroid,
      anon_sym_noperspective,
      anon_sym_nointerpolation,
      anon_sym_sample,
      anon_sym_linear,
      anon_sym_snorm,
      anon_sym_unorm,
      anon_sym_point,
      anon_sym_line,
      anon_sym_triangleadj,
      anon_sym_lineadj,
      anon_sym_triangle,
  [2949] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6407), 27,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_literal_suffix,
    ACTIONS(6409), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [3020] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6853), 1,
      sym_literal_suffix,
    STATE(3360), 2,
      sym_string_literal,
      sym_raw_string_literal,
    ACTIONS(6617), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(6619), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
    ACTIONS(6479), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
    ACTIONS(6477), 26,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
  [3099] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6413), 27,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_literal_suffix,
    ACTIONS(6415), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [3170] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6417), 1,
      anon_sym_COLON,
    ACTIONS(6855), 1,
      anon_sym___attribute__,
    ACTIONS(6857), 1,
      anon_sym_LBRACE,
    STATE(3274), 1,
      sym_attribute_specifier,
    STATE(3707), 1,
      sym_field_declaration_list,
    STATE(8464), 1,
      sym_virtual_specifier,
    STATE(8976), 1,
      sym_base_class_clause,
    ACTIONS(6859), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5925), 10,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5927), 44,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_requires,
  [3257] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6400), 27,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_literal_suffix,
    ACTIONS(6402), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [3328] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6396), 27,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      sym_identifier,
      sym_literal_suffix,
    ACTIONS(6398), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
      anon_sym_DASH_GT_STAR,
  [3399] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(3508), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6823), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5842), 21,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
    ACTIONS(5840), 37,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [3474] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5840), 1,
      sym_primitive_type,
    STATE(3485), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6830), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5940), 28,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5943), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [3551] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6413), 26,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_literal_suffix,
    ACTIONS(6415), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [3621] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6861), 28,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6863), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [3691] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6396), 26,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_literal_suffix,
    ACTIONS(6398), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [3761] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2230), 1,
      anon_sym_COLON_COLON,
    STATE(3203), 1,
      sym_template_argument_list,
    STATE(3700), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6865), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5896), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5898), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [3839] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2230), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4551), 1,
      anon_sym_LBRACK,
    ACTIONS(5900), 1,
      anon_sym_LT,
    STATE(3702), 1,
      sym_template_argument_list,
    ACTIONS(4548), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2234), 3,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
    ACTIONS(2232), 53,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_in,
      anon_sym_out,
      anon_sym_inout,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_operator,
      anon_sym_precise,
      anon_sym_shared,
      anon_sym_groupshared,
      anon_sym_uniform,
      anon_sym_row_major,
      anon_sym_column_major,
      anon_sym_globallycoherent,
      anon_sym_centroid,
      anon_sym_noperspective,
      anon_sym_nointerpolation,
      anon_sym_sample,
      anon_sym_linear,
      anon_sym_snorm,
      anon_sym_unorm,
      anon_sym_point,
      anon_sym_line,
      anon_sym_triangleadj,
      anon_sym_lineadj,
      anon_sym_triangle,
  [3919] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6413), 28,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_literal_suffix,
    ACTIONS(6415), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_GT2,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [3989] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1486), 1,
      anon_sym_template,
    ACTIONS(2588), 1,
      anon_sym_operator,
    ACTIONS(2877), 1,
      anon_sym_TILDE,
    ACTIONS(3148), 1,
      anon_sym_decltype,
    ACTIONS(4395), 1,
      anon_sym_LPAREN2,
    ACTIONS(6738), 1,
      sym_identifier,
    ACTIONS(6748), 1,
      anon_sym_COLON,
    ACTIONS(6750), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6752), 1,
      anon_sym_LBRACK,
    ACTIONS(6867), 1,
      anon_sym_STAR,
    ACTIONS(6869), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6871), 1,
      anon_sym_AMP,
    STATE(5014), 1,
      sym_parameter_list,
    STATE(5347), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(7058), 1,
      sym__scope_resolution,
    STATE(7261), 1,
      sym__declarator,
    STATE(7422), 1,
      sym__function_declarator_seq,
    STATE(7999), 1,
      sym__abstract_declarator,
    STATE(9827), 1,
      sym_ms_based_modifier,
    ACTIONS(4383), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    ACTIONS(6740), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    STATE(4087), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5226), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    ACTIONS(4381), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(10317), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(7436), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    STATE(7680), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(4379), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [4113] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(3551), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6873), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5970), 28,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5972), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [4187] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4172), 28,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(4174), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [4257] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6407), 28,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_literal_suffix,
    ACTIONS(6409), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_GT2,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [4327] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6440), 1,
      anon_sym_LPAREN2,
    ACTIONS(6879), 1,
      anon_sym_LBRACK,
    ACTIONS(6883), 1,
      anon_sym_DOT,
    STATE(3592), 1,
      sym_subscript_argument_list,
    STATE(3604), 1,
      sym_argument_list,
    ACTIONS(6881), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6885), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6875), 26,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      sym_identifier,
    ACTIONS(6877), 27,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
  [4411] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6887), 28,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6889), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [4481] = 6,
    ACTIONS(3), 1,
      sym_comment,
    STATE(3540), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5840), 2,
      sym_primitive_type,
      sym_identifier,
    ACTIONS(6891), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5943), 27,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
    ACTIONS(5940), 28,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
  [4557] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6396), 28,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_literal_suffix,
    ACTIONS(6398), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_GT2,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [4627] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6894), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6896), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [4697] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1486), 1,
      anon_sym_template,
    ACTIONS(2588), 1,
      anon_sym_operator,
    ACTIONS(2877), 1,
      anon_sym_TILDE,
    ACTIONS(3148), 1,
      anon_sym_decltype,
    ACTIONS(4395), 1,
      anon_sym_LPAREN2,
    ACTIONS(6738), 1,
      sym_identifier,
    ACTIONS(6748), 1,
      anon_sym_COLON,
    ACTIONS(6750), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6752), 1,
      anon_sym_LBRACK,
    ACTIONS(6898), 1,
      anon_sym_STAR,
    ACTIONS(6900), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6902), 1,
      anon_sym_AMP,
    STATE(4987), 1,
      sym_parameter_list,
    STATE(5347), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(7058), 1,
      sym__scope_resolution,
    STATE(7261), 1,
      sym__declarator,
    STATE(7422), 1,
      sym__function_declarator_seq,
    STATE(8021), 1,
      sym__abstract_declarator,
    STATE(9827), 1,
      sym_ms_based_modifier,
    ACTIONS(4383), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    ACTIONS(6740), 2,
      anon_sym_COMMA,
      anon_sym_GT2,
    STATE(4184), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5226), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    ACTIONS(4381), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(10317), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(7436), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    STATE(7680), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(4379), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [4821] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6440), 1,
      anon_sym_LPAREN2,
    ACTIONS(6879), 1,
      anon_sym_LBRACK,
    ACTIONS(6883), 1,
      anon_sym_DOT,
    STATE(3592), 1,
      sym_subscript_argument_list,
    STATE(3604), 1,
      sym_argument_list,
    ACTIONS(6885), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6904), 26,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      sym_identifier,
    ACTIONS(6906), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
  [4903] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6440), 1,
      anon_sym_LPAREN2,
    ACTIONS(6879), 1,
      anon_sym_LBRACK,
    ACTIONS(6883), 1,
      anon_sym_DOT,
    STATE(3592), 1,
      sym_subscript_argument_list,
    STATE(3604), 1,
      sym_argument_list,
    ACTIONS(6881), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6885), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6908), 26,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      sym_identifier,
    ACTIONS(6910), 27,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
  [4987] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6400), 28,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_literal_suffix,
    ACTIONS(6402), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_GT2,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [5057] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6407), 26,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_literal_suffix,
    ACTIONS(6409), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [5127] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6912), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6914), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [5197] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6440), 1,
      anon_sym_LPAREN2,
    ACTIONS(6879), 1,
      anon_sym_LBRACK,
    ACTIONS(6883), 1,
      anon_sym_DOT,
    STATE(3592), 1,
      sym_subscript_argument_list,
    STATE(3604), 1,
      sym_argument_list,
    ACTIONS(6881), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6885), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6916), 26,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      sym_identifier,
    ACTIONS(6918), 27,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
  [5281] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6400), 26,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      sym_literal_suffix,
    ACTIONS(6402), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
      anon_sym_DASH_GT_STAR,
  [5351] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1486), 1,
      anon_sym_template,
    ACTIONS(2588), 1,
      anon_sym_operator,
    ACTIONS(2877), 1,
      anon_sym_TILDE,
    ACTIONS(3148), 1,
      anon_sym_decltype,
    ACTIONS(4395), 1,
      anon_sym_LPAREN2,
    ACTIONS(6738), 1,
      sym_identifier,
    ACTIONS(6750), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6752), 1,
      anon_sym_LBRACK,
    ACTIONS(6756), 1,
      anon_sym_COLON,
    ACTIONS(6898), 1,
      anon_sym_STAR,
    ACTIONS(6900), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6902), 1,
      anon_sym_AMP,
    STATE(4987), 1,
      sym_parameter_list,
    STATE(5347), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(7058), 1,
      sym__scope_resolution,
    STATE(7352), 1,
      sym__declarator,
    STATE(7422), 1,
      sym__function_declarator_seq,
    STATE(8018), 1,
      sym__abstract_declarator,
    STATE(9827), 1,
      sym_ms_based_modifier,
    ACTIONS(4383), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    ACTIONS(6754), 2,
      anon_sym_COMMA,
      anon_sym_GT2,
    STATE(3525), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4104), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(4381), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(10317), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(7436), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    STATE(7680), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(4379), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [5475] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4168), 28,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(4170), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [5545] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6920), 28,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6922), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [5615] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6407), 26,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      sym_literal_suffix,
    ACTIONS(6409), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
      anon_sym_DASH_GT_STAR,
  [5685] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6440), 1,
      anon_sym_LPAREN2,
    ACTIONS(6879), 1,
      anon_sym_LBRACK,
    ACTIONS(6883), 1,
      anon_sym_DOT,
    STATE(3592), 1,
      sym_subscript_argument_list,
    STATE(3604), 1,
      sym_argument_list,
    ACTIONS(6885), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6924), 26,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      sym_identifier,
    ACTIONS(6926), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
  [5767] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(3555), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6928), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5952), 28,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5954), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [5841] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6413), 26,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      sym_literal_suffix,
    ACTIONS(6415), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
      anon_sym_DASH_GT_STAR,
  [5911] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(3540), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6891), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5842), 27,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
    ACTIONS(5840), 30,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      sym_primitive_type,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
  [5985] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6440), 1,
      anon_sym_LPAREN2,
    ACTIONS(6879), 1,
      anon_sym_LBRACK,
    ACTIONS(6883), 1,
      anon_sym_DOT,
    STATE(3592), 1,
      sym_subscript_argument_list,
    STATE(3604), 1,
      sym_argument_list,
    ACTIONS(6881), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6885), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6930), 26,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      sym_identifier,
    ACTIONS(6932), 27,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
  [6069] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(3555), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6928), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5958), 28,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5960), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [6143] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6396), 26,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      sym_literal_suffix,
    ACTIONS(6398), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
      anon_sym_DASH_GT_STAR,
  [6213] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6440), 1,
      anon_sym_LPAREN2,
    ACTIONS(6879), 1,
      anon_sym_LBRACK,
    ACTIONS(6883), 1,
      anon_sym_DOT,
    STATE(3592), 1,
      sym_subscript_argument_list,
    STATE(3604), 1,
      sym_argument_list,
    ACTIONS(6881), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6885), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6934), 26,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      sym_identifier,
    ACTIONS(6936), 27,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
  [6297] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6938), 1,
      sym_identifier,
    ACTIONS(6942), 1,
      sym_primitive_type,
    STATE(3522), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6940), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5917), 27,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
    ACTIONS(5919), 28,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
  [6375] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(3555), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6928), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5962), 28,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5964), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [6449] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2230), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6851), 1,
      anon_sym_LT,
    STATE(3581), 1,
      sym_template_argument_list,
    ACTIONS(2226), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(2224), 30,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
  [6525] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6948), 1,
      anon_sym_LT,
    STATE(3468), 1,
      sym_template_argument_list,
    ACTIONS(6944), 26,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6946), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [6599] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6955), 1,
      anon_sym_LBRACK_RBRACK,
    ACTIONS(6951), 28,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6953), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [6671] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(3542), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6957), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5987), 28,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5989), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [6745] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(3555), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6928), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5966), 28,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5968), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [6819] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(3546), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6959), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5946), 28,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5948), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [6893] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6961), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6963), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [6963] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6965), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6967), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [7033] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(3555), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6969), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5840), 28,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5842), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [7107] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6417), 1,
      anon_sym_COLON,
    ACTIONS(6972), 1,
      anon_sym___attribute__,
    ACTIONS(6974), 1,
      anon_sym_LBRACE,
    STATE(3876), 1,
      sym_field_declaration_list,
    STATE(4134), 1,
      sym_attribute_specifier,
    STATE(8332), 1,
      sym_virtual_specifier,
    STATE(9189), 1,
      sym_base_class_clause,
    ACTIONS(6859), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5925), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5927), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [7193] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6400), 26,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_literal_suffix,
    ACTIONS(6402), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [7263] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2230), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6976), 1,
      anon_sym_LT,
    STATE(3581), 1,
      sym_template_argument_list,
    ACTIONS(2234), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(2232), 30,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
  [7339] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6979), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6981), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [7409] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6983), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6985), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [7479] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6983), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6985), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [7549] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6983), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6985), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [7619] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1486), 1,
      anon_sym_template,
    ACTIONS(2588), 1,
      anon_sym_operator,
    ACTIONS(2877), 1,
      anon_sym_TILDE,
    ACTIONS(3148), 1,
      anon_sym_decltype,
    ACTIONS(4395), 1,
      anon_sym_LPAREN2,
    ACTIONS(6738), 1,
      sym_identifier,
    ACTIONS(6750), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6752), 1,
      anon_sym_LBRACK,
    ACTIONS(6756), 1,
      anon_sym_COLON,
    ACTIONS(6867), 1,
      anon_sym_STAR,
    ACTIONS(6869), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6871), 1,
      anon_sym_AMP,
    STATE(5014), 1,
      sym_parameter_list,
    STATE(5347), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(7058), 1,
      sym__scope_resolution,
    STATE(7352), 1,
      sym__declarator,
    STATE(7422), 1,
      sym__function_declarator_seq,
    STATE(7968), 1,
      sym__abstract_declarator,
    STATE(9827), 1,
      sym_ms_based_modifier,
    ACTIONS(4383), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    ACTIONS(6754), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    STATE(3516), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4179), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(4381), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(10317), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(7436), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    STATE(7680), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(4379), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [7743] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4551), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(4546), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [7812] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6987), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6989), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [7881] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6417), 1,
      anon_sym_COLON,
    ACTIONS(6991), 1,
      anon_sym___attribute__,
    ACTIONS(6993), 1,
      anon_sym_LBRACE,
    STATE(4069), 1,
      sym_field_declaration_list,
    STATE(4253), 1,
      sym_attribute_specifier,
    STATE(8259), 1,
      sym_virtual_specifier,
    STATE(9107), 1,
      sym_base_class_clause,
    ACTIONS(6859), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5925), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5927), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [7966] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6995), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6997), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [8035] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6999), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(7001), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [8104] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7003), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(7005), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [8173] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6396), 27,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_literal_suffix,
    ACTIONS(6398), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_GT2,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [8242] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5749), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5751), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [8311] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7007), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(7009), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [8380] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(3508), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(7011), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5952), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5954), 44,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_COLON,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [8453] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2262), 1,
      anon_sym_COLON_COLON,
    ACTIONS(2266), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(2264), 31,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
  [8524] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5756), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5758), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [8593] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7013), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(7015), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [8662] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2262), 1,
      anon_sym_COLON_COLON,
    ACTIONS(2266), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(2264), 31,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
  [8733] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5764), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5766), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [8802] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7017), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(7019), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [8871] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2252), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(2250), 31,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
  [8940] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2256), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(2254), 31,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
  [9009] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7021), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(7023), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [9078] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6758), 1,
      anon_sym___attribute__,
    ACTIONS(7025), 1,
      anon_sym_COLON,
    ACTIONS(7027), 1,
      anon_sym_LBRACE,
    STATE(3746), 1,
      sym__enum_base_clause,
    STATE(3754), 1,
      sym_enumerator_list,
    STATE(3960), 1,
      sym_attribute_specifier,
    ACTIONS(6356), 27,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(6358), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [9159] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7029), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(7031), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [9228] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7033), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(7035), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [9297] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7037), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(7039), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [9366] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7041), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(7043), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [9435] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6584), 1,
      anon_sym_LBRACE,
    ACTIONS(7045), 1,
      anon_sym_COLON,
    ACTIONS(7047), 1,
      anon_sym___attribute__,
    STATE(3322), 1,
      sym__enum_base_clause,
    STATE(3343), 1,
      sym_enumerator_list,
    STATE(3440), 1,
      sym_attribute_specifier,
    ACTIONS(6368), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6370), 37,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
  [9516] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7049), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(7051), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [9585] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7053), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(7055), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [9654] = 6,
    ACTIONS(3), 1,
      sym_comment,
    STATE(3641), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5840), 2,
      sym_primitive_type,
      sym_identifier,
    ACTIONS(7057), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5943), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
    ACTIONS(5940), 29,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_auto,
      anon_sym_decltype,
  [9729] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7060), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(7062), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [9798] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7064), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(7066), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [9867] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(3508), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(7011), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5966), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5968), 44,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_COLON,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [9940] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7070), 1,
      anon_sym_LPAREN2,
    ACTIONS(7072), 5,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7068), 55,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_in,
      anon_sym_out,
      anon_sym_inout,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_precise,
      anon_sym_shared,
      anon_sym_groupshared,
      anon_sym_uniform,
      anon_sym_row_major,
      anon_sym_column_major,
      anon_sym_globallycoherent,
      anon_sym_centroid,
      anon_sym_noperspective,
      anon_sym_nointerpolation,
      anon_sym_sample,
      anon_sym_linear,
      anon_sym_snorm,
      anon_sym_unorm,
      anon_sym_point,
      anon_sym_line,
      anon_sym_triangleadj,
      anon_sym_lineadj,
      anon_sym_triangle,
  [10011] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7074), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(7076), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [10080] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2238), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(2236), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [10149] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7078), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(7080), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [10218] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5600), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(2358), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [10287] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7082), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(7084), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [10356] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6496), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6494), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [10425] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6413), 27,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_literal_suffix,
    ACTIONS(6415), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_GT2,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [10494] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7086), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(7088), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [10563] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6999), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(7001), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [10632] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7090), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(7092), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [10701] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7096), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7094), 55,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_in,
      anon_sym_out,
      anon_sym_inout,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_precise,
      anon_sym_shared,
      anon_sym_groupshared,
      anon_sym_uniform,
      anon_sym_row_major,
      anon_sym_column_major,
      anon_sym_globallycoherent,
      anon_sym_centroid,
      anon_sym_noperspective,
      anon_sym_nointerpolation,
      anon_sym_sample,
      anon_sym_linear,
      anon_sym_snorm,
      anon_sym_unorm,
      anon_sym_point,
      anon_sym_line,
      anon_sym_triangleadj,
      anon_sym_lineadj,
      anon_sym_triangle,
  [10770] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7098), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(7100), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [10839] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5745), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5747), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [10908] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5745), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5747), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [10977] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5745), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5747), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [11046] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5727), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5729), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [11115] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7102), 1,
      sym_identifier,
    ACTIONS(7106), 1,
      sym_primitive_type,
    STATE(3591), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(7104), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5917), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
    ACTIONS(5919), 29,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_auto,
      anon_sym_decltype,
  [11192] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(3508), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(7011), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5958), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5960), 44,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_COLON,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [11265] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(3508), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(7011), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5962), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5964), 44,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_COLON,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [11338] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2262), 1,
      anon_sym_COLON_COLON,
    ACTIONS(2260), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(2258), 31,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
  [11409] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7108), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(7110), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [11478] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6855), 1,
      anon_sym___attribute__,
    ACTIONS(7112), 1,
      anon_sym_LBRACE,
    STATE(3309), 1,
      sym_attribute_specifier,
    STATE(3693), 1,
      sym_enumerator_list,
    ACTIONS(6077), 10,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(6079), 47,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [11555] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5739), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5741), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [11624] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7114), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(7116), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [11693] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5760), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5762), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [11762] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4551), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(4546), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [11831] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5735), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5737), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [11900] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4551), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(4546), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [11969] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4551), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(4546), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [12038] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4551), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(4546), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [12107] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6951), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6953), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [12176] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2206), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(2204), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [12245] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4551), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(4546), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [12314] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5731), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5733), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [12383] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6695), 1,
      sym_literal_suffix,
    STATE(3488), 2,
      sym_string_literal,
      sym_raw_string_literal,
    ACTIONS(4474), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(4476), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
    ACTIONS(6477), 22,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6479), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [12460] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7118), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(7120), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [12529] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6695), 1,
      sym_literal_suffix,
    STATE(3488), 2,
      sym_string_literal,
      sym_raw_string_literal,
    ACTIONS(4474), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(4476), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
    ACTIONS(4221), 22,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4213), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [12606] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5772), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5774), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [12675] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7122), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(7124), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [12744] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7126), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(7128), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [12813] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5768), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5770), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [12882] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5779), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5781), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [12951] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2210), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(2208), 31,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
  [13020] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2230), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7130), 1,
      anon_sym_LT,
    STATE(3700), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(3735), 1,
      sym_template_argument_list,
    ACTIONS(6865), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(4211), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4219), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [13099] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(3551), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6873), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5931), 27,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5933), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [13172] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(3641), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(7057), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5842), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
    ACTIONS(5840), 31,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      sym_primitive_type,
      anon_sym_GT_GT_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
  [13245] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6855), 1,
      anon_sym___attribute__,
    ACTIONS(7112), 1,
      anon_sym_LBRACE,
    STATE(3296), 1,
      sym_attribute_specifier,
    STATE(3701), 1,
      sym_enumerator_list,
    ACTIONS(6155), 10,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(6157), 47,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [13322] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7132), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7134), 1,
      anon_sym_and,
    ACTIONS(5832), 26,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5834), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [13395] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4542), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(4538), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [13464] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7136), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(7138), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [13533] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7140), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(7142), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [13602] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2214), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(2212), 31,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
  [13671] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7144), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(7146), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [13740] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7148), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(7150), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [13809] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2218), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(2216), 31,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
  [13878] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7152), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(7154), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [13947] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7156), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(7158), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [14016] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7160), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(7162), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [14085] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6407), 27,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_literal_suffix,
    ACTIONS(6409), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_GT2,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [14154] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7164), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(7166), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [14223] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7168), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(7170), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [14292] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2184), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(2182), 31,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
  [14361] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2188), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(2186), 31,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
  [14430] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6758), 1,
      anon_sym___attribute__,
    ACTIONS(7025), 1,
      anon_sym_COLON,
    ACTIONS(7027), 1,
      anon_sym_LBRACE,
    STATE(3740), 1,
      sym__enum_base_clause,
    STATE(3778), 1,
      sym_enumerator_list,
    STATE(3866), 1,
      sym_attribute_specifier,
    ACTIONS(6368), 27,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(6370), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [14511] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7172), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(7174), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [14580] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7176), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(7178), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [14649] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(3614), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(7180), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5946), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5948), 44,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_COLON,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [14722] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7182), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(7184), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [14791] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(3594), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(7186), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5970), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5972), 44,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_COLON,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [14864] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7188), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(7190), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [14933] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7132), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7134), 1,
      anon_sym_and,
    ACTIONS(7192), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7194), 1,
      anon_sym_or,
    ACTIONS(5847), 25,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5849), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [15010] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5721), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5723), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [15079] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2180), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(2178), 31,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
  [15148] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(3613), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(7196), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5987), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5989), 44,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_COLON,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [15221] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7198), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(7200), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [15290] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2202), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(2200), 31,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
  [15359] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7202), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(7204), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [15428] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7206), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(7208), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [15497] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2262), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5933), 5,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5931), 55,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_in,
      anon_sym_out,
      anon_sym_inout,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_precise,
      anon_sym_shared,
      anon_sym_groupshared,
      anon_sym_uniform,
      anon_sym_row_major,
      anon_sym_column_major,
      anon_sym_globallycoherent,
      anon_sym_centroid,
      anon_sym_noperspective,
      anon_sym_nointerpolation,
      anon_sym_sample,
      anon_sym_linear,
      anon_sym_snorm,
      anon_sym_unorm,
      anon_sym_point,
      anon_sym_line,
      anon_sym_triangleadj,
      anon_sym_lineadj,
      anon_sym_triangle,
  [15568] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2230), 1,
      anon_sym_COLON_COLON,
    STATE(3203), 1,
      sym_template_argument_list,
    STATE(3728), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(7210), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5896), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5898), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [15645] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7212), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(7214), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [15714] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6400), 27,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_literal_suffix,
    ACTIONS(6402), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_GT2,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [15783] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6584), 1,
      anon_sym_LBRACE,
    ACTIONS(7045), 1,
      anon_sym_COLON,
    ACTIONS(7047), 1,
      anon_sym___attribute__,
    STATE(3334), 1,
      sym__enum_base_clause,
    STATE(3341), 1,
      sym_enumerator_list,
    STATE(3437), 1,
      sym_attribute_specifier,
    ACTIONS(6356), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6358), 37,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
  [15864] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7216), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(7218), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [15933] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3998), 1,
      anon_sym_LBRACE,
    ACTIONS(7220), 1,
      anon_sym_LPAREN2,
    ACTIONS(7222), 1,
      anon_sym_LBRACK,
    ACTIONS(7224), 1,
      sym_auto,
    ACTIONS(7226), 1,
      anon_sym_decltype,
    STATE(3894), 1,
      sym_decltype_auto,
    STATE(3947), 1,
      sym_new_declarator,
    STATE(4219), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(6452), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6454), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [16017] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6396), 24,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      sym_identifier,
      sym_literal_suffix,
    ACTIONS(6398), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
      anon_sym_DASH_GT_STAR,
  [16085] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7228), 1,
      sym_identifier,
    STATE(3710), 3,
      sym_string_literal,
      sym_raw_string_literal,
      aux_sym_concatenated_string_repeat1,
    ACTIONS(4247), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(4249), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
    ACTIONS(6255), 17,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_literal_suffix,
    ACTIONS(6253), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [16161] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(3688), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(7230), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5946), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5948), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [16233] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(3690), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(7232), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5987), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5989), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [16305] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6413), 24,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      sym_identifier,
      sym_literal_suffix,
    ACTIONS(6415), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
      anon_sym_DASH_GT_STAR,
  [16373] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6081), 1,
      anon_sym_LBRACE,
    ACTIONS(7234), 1,
      anon_sym_COLON,
    ACTIONS(7236), 1,
      anon_sym___attribute__,
    STATE(3073), 1,
      sym_attribute_specifier,
    STATE(3074), 1,
      sym__enum_base_clause,
    STATE(3112), 1,
      sym_enumerator_list,
    ACTIONS(6356), 7,
      anon_sym_AMP,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym___inline,
      anon_sym_const,
      anon_sym_line,
      anon_sym_triangle,
    ACTIONS(6358), 47,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym___extension__,
      anon_sym_out,
      anon_sym_inout,
      anon_sym_extern,
      anon_sym_LBRACK_LBRACK,
      anon_sym___declspec,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_precise,
      anon_sym_shared,
      anon_sym_groupshared,
      anon_sym_uniform,
      anon_sym_row_major,
      anon_sym_column_major,
      anon_sym_globallycoherent,
      anon_sym_centroid,
      anon_sym_noperspective,
      anon_sym_nointerpolation,
      anon_sym_sample,
      anon_sym_linear,
      anon_sym_snorm,
      anon_sym_unorm,
      anon_sym_point,
      anon_sym_triangleadj,
      anon_sym_lineadj,
  [16453] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6855), 1,
      anon_sym___attribute__,
    STATE(3286), 1,
      sym_attribute_specifier,
    ACTIONS(6212), 10,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(6214), 48,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [16525] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(3540), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(7238), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5962), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5964), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [16597] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6400), 24,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      sym_identifier,
      sym_literal_suffix,
    ACTIONS(6402), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
      anon_sym_DASH_GT_STAR,
  [16665] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(3540), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(7238), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5958), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5960), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [16737] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2230), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7240), 1,
      anon_sym_LT,
    STATE(3735), 1,
      sym_template_argument_list,
    ACTIONS(2232), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2234), 38,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_DASH_GT_STAR,
  [16811] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6855), 1,
      anon_sym___attribute__,
    STATE(3293), 1,
      sym_attribute_specifier,
    ACTIONS(6204), 10,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(6206), 48,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [16883] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6855), 1,
      anon_sym___attribute__,
    STATE(3323), 1,
      sym_attribute_specifier,
    ACTIONS(6220), 10,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(6222), 48,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [16955] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6855), 1,
      anon_sym___attribute__,
    STATE(3300), 1,
      sym_attribute_specifier,
    ACTIONS(6208), 10,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(6210), 48,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [17027] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6855), 1,
      anon_sym___attribute__,
    STATE(3324), 1,
      sym_attribute_specifier,
    ACTIONS(6185), 10,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(6187), 48,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [17099] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1486), 1,
      anon_sym_template,
    ACTIONS(2588), 1,
      anon_sym_operator,
    ACTIONS(2877), 1,
      anon_sym_TILDE,
    ACTIONS(3148), 1,
      anon_sym_decltype,
    ACTIONS(4395), 1,
      anon_sym_LPAREN2,
    ACTIONS(4397), 1,
      anon_sym_STAR,
    ACTIONS(4399), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4401), 1,
      anon_sym_AMP,
    ACTIONS(5573), 1,
      sym_identifier,
    ACTIONS(6752), 1,
      anon_sym_LBRACK,
    ACTIONS(6754), 1,
      anon_sym_RPAREN,
    ACTIONS(7243), 1,
      anon_sym_COLON_COLON,
    STATE(4924), 1,
      sym_parameter_list,
    STATE(5347), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(7003), 1,
      sym__scope_resolution,
    STATE(7422), 1,
      sym__function_declarator_seq,
    STATE(7636), 1,
      sym__declarator,
    STATE(7975), 1,
      sym__abstract_declarator,
    STATE(10332), 1,
      sym_ms_based_modifier,
    ACTIONS(4383), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(3703), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4444), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(4381), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(10317), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(7436), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    STATE(7680), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(4379), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [17219] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6855), 1,
      anon_sym___attribute__,
    STATE(3295), 1,
      sym_attribute_specifier,
    ACTIONS(6231), 10,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(6233), 48,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [17291] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6417), 1,
      anon_sym_COLON,
    ACTIONS(7245), 1,
      anon_sym___attribute__,
    ACTIONS(7247), 1,
      anon_sym_LBRACE,
    STATE(3839), 1,
      sym_field_declaration_list,
    STATE(4009), 1,
      sym_attribute_specifier,
    STATE(8323), 1,
      sym_virtual_specifier,
    STATE(9306), 1,
      sym_base_class_clause,
    ACTIONS(6859), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5925), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5927), 39,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
      anon_sym_requires,
  [17375] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3998), 1,
      anon_sym_LBRACE,
    ACTIONS(7220), 1,
      anon_sym_LPAREN2,
    ACTIONS(7222), 1,
      anon_sym_LBRACK,
    ACTIONS(7224), 1,
      sym_auto,
    ACTIONS(7226), 1,
      anon_sym_decltype,
    STATE(3890), 1,
      sym_new_declarator,
    STATE(3894), 1,
      sym_decltype_auto,
    STATE(4204), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(6456), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6458), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [17459] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(3540), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(7238), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5952), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5954), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [17531] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6855), 1,
      anon_sym___attribute__,
    STATE(3306), 1,
      sym_attribute_specifier,
    ACTIONS(6224), 10,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(6226), 48,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [17603] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4578), 1,
      anon_sym_LBRACK,
    ACTIONS(4575), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2256), 4,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
    ACTIONS(2254), 53,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_in,
      anon_sym_out,
      anon_sym_inout,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_operator,
      anon_sym_precise,
      anon_sym_shared,
      anon_sym_groupshared,
      anon_sym_uniform,
      anon_sym_row_major,
      anon_sym_column_major,
      anon_sym_globallycoherent,
      anon_sym_centroid,
      anon_sym_noperspective,
      anon_sym_nointerpolation,
      anon_sym_sample,
      anon_sym_linear,
      anon_sym_snorm,
      anon_sym_unorm,
      anon_sym_point,
      anon_sym_line,
      anon_sym_triangleadj,
      anon_sym_lineadj,
      anon_sym_triangle,
  [17675] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1486), 1,
      anon_sym_template,
    ACTIONS(2588), 1,
      anon_sym_operator,
    ACTIONS(2877), 1,
      anon_sym_TILDE,
    ACTIONS(3148), 1,
      anon_sym_decltype,
    ACTIONS(4395), 1,
      anon_sym_LPAREN2,
    ACTIONS(4397), 1,
      anon_sym_STAR,
    ACTIONS(4399), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4401), 1,
      anon_sym_AMP,
    ACTIONS(5573), 1,
      sym_identifier,
    ACTIONS(6740), 1,
      anon_sym_RPAREN,
    ACTIONS(6752), 1,
      anon_sym_LBRACK,
    ACTIONS(7243), 1,
      anon_sym_COLON_COLON,
    STATE(4924), 1,
      sym_parameter_list,
    STATE(5347), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(7003), 1,
      sym__scope_resolution,
    STATE(7422), 1,
      sym__function_declarator_seq,
    STATE(7650), 1,
      sym__declarator,
    STATE(7983), 1,
      sym__abstract_declarator,
    STATE(10332), 1,
      sym_ms_based_modifier,
    ACTIONS(4383), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(4441), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5226), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    ACTIONS(4381), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(10317), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(7436), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    STATE(7680), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(4379), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [17795] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6855), 1,
      anon_sym___attribute__,
    STATE(3310), 1,
      sym_attribute_specifier,
    ACTIONS(6189), 10,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(6191), 48,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [17867] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3998), 1,
      anon_sym_LBRACE,
    ACTIONS(7220), 1,
      anon_sym_LPAREN2,
    ACTIONS(7222), 1,
      anon_sym_LBRACK,
    ACTIONS(7224), 1,
      sym_auto,
    ACTIONS(7226), 1,
      anon_sym_decltype,
    STATE(3894), 1,
      sym_decltype_auto,
    STATE(3965), 1,
      sym_new_declarator,
    STATE(4210), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(6448), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6450), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [17951] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(3594), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(7186), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5931), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5933), 43,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_COLON,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [18023] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6855), 1,
      anon_sym___attribute__,
    STATE(3299), 1,
      sym_attribute_specifier,
    ACTIONS(6235), 10,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(6237), 48,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [18095] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6855), 1,
      anon_sym___attribute__,
    STATE(3301), 1,
      sym_attribute_specifier,
    ACTIONS(6216), 10,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(6218), 48,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [18167] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2264), 30,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(2266), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [18235] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7249), 1,
      sym_identifier,
    STATE(3713), 3,
      sym_string_literal,
      sym_raw_string_literal,
      aux_sym_concatenated_string_repeat1,
    ACTIONS(4247), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(4249), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
    ACTIONS(6243), 17,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_literal_suffix,
    ACTIONS(6241), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [18311] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6855), 1,
      anon_sym___attribute__,
    STATE(3275), 1,
      sym_attribute_specifier,
    ACTIONS(6181), 10,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(6183), 48,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [18383] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6081), 1,
      anon_sym_LBRACE,
    ACTIONS(7234), 1,
      anon_sym_COLON,
    ACTIONS(7236), 1,
      anon_sym___attribute__,
    STATE(3094), 1,
      sym_attribute_specifier,
    STATE(3096), 1,
      sym__enum_base_clause,
    STATE(3123), 1,
      sym_enumerator_list,
    ACTIONS(6368), 7,
      anon_sym_AMP,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym___inline,
      anon_sym_const,
      anon_sym_line,
      anon_sym_triangle,
    ACTIONS(6370), 47,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym___extension__,
      anon_sym_out,
      anon_sym_inout,
      anon_sym_extern,
      anon_sym_LBRACK_LBRACK,
      anon_sym___declspec,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_precise,
      anon_sym_shared,
      anon_sym_groupshared,
      anon_sym_uniform,
      anon_sym_row_major,
      anon_sym_column_major,
      anon_sym_globallycoherent,
      anon_sym_centroid,
      anon_sym_noperspective,
      anon_sym_nointerpolation,
      anon_sym_sample,
      anon_sym_linear,
      anon_sym_snorm,
      anon_sym_unorm,
      anon_sym_point,
      anon_sym_triangleadj,
      anon_sym_lineadj,
  [18463] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7251), 1,
      sym_identifier,
    STATE(3713), 3,
      sym_string_literal,
      sym_raw_string_literal,
      aux_sym_concatenated_string_repeat1,
    ACTIONS(7254), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(7257), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
    ACTIONS(6273), 17,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_literal_suffix,
    ACTIONS(6271), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [18539] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3998), 1,
      anon_sym_LBRACE,
    ACTIONS(7220), 1,
      anon_sym_LPAREN2,
    ACTIONS(7222), 1,
      anon_sym_LBRACK,
    ACTIONS(7224), 1,
      sym_auto,
    ACTIONS(7226), 1,
      anon_sym_decltype,
    STATE(3889), 1,
      sym_new_declarator,
    STATE(3894), 1,
      sym_decltype_auto,
    STATE(4237), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(6436), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6438), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [18623] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2230), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7260), 1,
      anon_sym_LT,
    STATE(3728), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(3761), 1,
      sym_template_argument_list,
    ACTIONS(7210), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(4211), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(4219), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [18701] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2230), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7130), 1,
      anon_sym_LT,
    STATE(3735), 1,
      sym_template_argument_list,
    ACTIONS(2224), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2226), 38,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_DASH_GT_STAR,
  [18775] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(3540), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(7238), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5966), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5968), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [18847] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6855), 1,
      anon_sym___attribute__,
    STATE(3270), 1,
      sym_attribute_specifier,
    ACTIONS(6193), 10,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(6195), 48,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [18919] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6407), 24,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      sym_identifier,
      sym_literal_suffix,
    ACTIONS(6409), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
      anon_sym_DASH_GT_STAR,
  [18987] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(3717), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(7262), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5970), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5972), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [19059] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6396), 23,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      sym_literal_suffix,
    ACTIONS(6398), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
      anon_sym_DASH_GT_STAR,
  [19126] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2262), 1,
      anon_sym_COLON_COLON,
    ACTIONS(2264), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2266), 38,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_DASH_GT_STAR,
  [19195] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(3641), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(7264), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5966), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5968), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [19266] = 6,
    ACTIONS(3), 1,
      sym_comment,
    STATE(3745), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5840), 2,
      sym_primitive_type,
      sym_identifier,
    ACTIONS(7266), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5940), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5943), 27,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [19339] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2230), 1,
      anon_sym_COLON_COLON,
    STATE(3203), 1,
      sym_template_argument_list,
    STATE(3834), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(7269), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5896), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5898), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [19414] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2262), 1,
      anon_sym_COLON_COLON,
    ACTIONS(2264), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2266), 38,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_DASH_GT_STAR,
  [19483] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2250), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2252), 39,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_DASH_GT_STAR,
  [19550] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(3641), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(7264), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5952), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5954), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [19621] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(3723), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(7271), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5970), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5972), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [19692] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(3742), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(7273), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5987), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5989), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [19763] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(3732), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(7275), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5946), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5948), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [19834] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(3641), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(7264), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5962), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5964), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [19905] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7277), 1,
      sym_identifier,
    ACTIONS(7281), 1,
      sym_primitive_type,
    STATE(3724), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(7279), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5919), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5917), 27,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [19980] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6413), 23,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      sym_literal_suffix,
    ACTIONS(6415), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
      anon_sym_DASH_GT_STAR,
  [20047] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2254), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2256), 39,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_DASH_GT_STAR,
  [20114] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2262), 1,
      anon_sym_COLON_COLON,
    ACTIONS(2258), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2260), 38,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_DASH_GT_STAR,
  [20183] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6972), 1,
      anon_sym___attribute__,
    ACTIONS(7283), 1,
      anon_sym_COLON,
    ACTIONS(7285), 1,
      anon_sym_LBRACE,
    STATE(3802), 1,
      sym__enum_base_clause,
    STATE(3942), 1,
      sym_enumerator_list,
    STATE(4128), 1,
      sym_attribute_specifier,
    ACTIONS(6356), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6358), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [20262] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2230), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7287), 1,
      anon_sym_LT,
    STATE(3761), 1,
      sym_template_argument_list,
    ACTIONS(2232), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(2234), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
  [20335] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6972), 1,
      anon_sym___attribute__,
    ACTIONS(7283), 1,
      anon_sym_COLON,
    ACTIONS(7285), 1,
      anon_sym_LBRACE,
    STATE(3803), 1,
      sym__enum_base_clause,
    STATE(3883), 1,
      sym_enumerator_list,
    STATE(4125), 1,
      sym_attribute_specifier,
    ACTIONS(6368), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6370), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [20414] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6758), 1,
      anon_sym___attribute__,
    ACTIONS(7027), 1,
      anon_sym_LBRACE,
    STATE(3766), 1,
      sym_enumerator_list,
    STATE(3968), 1,
      sym_attribute_specifier,
    ACTIONS(6155), 27,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(6157), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [20489] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6417), 1,
      anon_sym_COLON,
    ACTIONS(7290), 1,
      anon_sym___attribute__,
    ACTIONS(7292), 1,
      anon_sym_LBRACE,
    STATE(4304), 1,
      sym_field_declaration_list,
    STATE(4681), 1,
      sym_attribute_specifier,
    STATE(8257), 1,
      sym_virtual_specifier,
    STATE(9159), 1,
      sym_base_class_clause,
    ACTIONS(6859), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5925), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5927), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [20572] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(3641), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(7264), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5958), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5960), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [20643] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6407), 23,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      sym_literal_suffix,
    ACTIONS(6409), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
      anon_sym_DASH_GT_STAR,
  [20710] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6400), 23,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      sym_literal_suffix,
    ACTIONS(6402), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
      anon_sym_DASH_GT_STAR,
  [20777] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(3745), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(7266), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5840), 27,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      sym_primitive_type,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5842), 27,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [20848] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6758), 1,
      anon_sym___attribute__,
    ACTIONS(7027), 1,
      anon_sym_LBRACE,
    STATE(3765), 1,
      sym_enumerator_list,
    STATE(3913), 1,
      sym_attribute_specifier,
    ACTIONS(6077), 27,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(6079), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [20923] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2230), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7260), 1,
      anon_sym_LT,
    STATE(3761), 1,
      sym_template_argument_list,
    ACTIONS(2224), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(2226), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
  [20996] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(3717), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(7262), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5931), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5933), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [21067] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2230), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7294), 1,
      anon_sym_LT,
    STATE(3834), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(3881), 1,
      sym_template_argument_list,
    ACTIONS(7269), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(4211), 15,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4219), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [21143] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6758), 1,
      anon_sym___attribute__,
    STATE(3951), 1,
      sym_attribute_specifier,
    ACTIONS(6216), 27,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(6218), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [21213] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6991), 1,
      anon_sym___attribute__,
    ACTIONS(7296), 1,
      anon_sym_COLON,
    ACTIONS(7298), 1,
      anon_sym_LBRACE,
    STATE(3891), 1,
      sym__enum_base_clause,
    STATE(4057), 1,
      sym_enumerator_list,
    STATE(4247), 1,
      sym_attribute_specifier,
    ACTIONS(6368), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6370), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [21291] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(3723), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(7271), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5931), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5933), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [21361] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6991), 1,
      anon_sym___attribute__,
    ACTIONS(7296), 1,
      anon_sym_COLON,
    ACTIONS(7298), 1,
      anon_sym_LBRACE,
    STATE(3899), 1,
      sym__enum_base_clause,
    STATE(4085), 1,
      sym_enumerator_list,
    STATE(4313), 1,
      sym_attribute_specifier,
    ACTIONS(6356), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6358), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [21439] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6758), 1,
      anon_sym___attribute__,
    STATE(3910), 1,
      sym_attribute_specifier,
    ACTIONS(6189), 27,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(6191), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [21509] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6758), 1,
      anon_sym___attribute__,
    STATE(3871), 1,
      sym_attribute_specifier,
    ACTIONS(6185), 27,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(6187), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [21579] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4094), 1,
      anon_sym_LBRACE,
    ACTIONS(7300), 1,
      anon_sym_LPAREN2,
    ACTIONS(7302), 1,
      anon_sym_LBRACK,
    ACTIONS(7304), 1,
      sym_auto,
    ACTIONS(7306), 1,
      anon_sym_decltype,
    STATE(4099), 1,
      sym_decltype_auto,
    STATE(4122), 1,
      sym_new_declarator,
    STATE(4552), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(6448), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6450), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [21661] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6758), 1,
      anon_sym___attribute__,
    STATE(3892), 1,
      sym_attribute_specifier,
    ACTIONS(6181), 27,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(6183), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [21731] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6758), 1,
      anon_sym___attribute__,
    STATE(3954), 1,
      sym_attribute_specifier,
    ACTIONS(6235), 27,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(6237), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [21801] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4094), 1,
      anon_sym_LBRACE,
    ACTIONS(7300), 1,
      anon_sym_LPAREN2,
    ACTIONS(7302), 1,
      anon_sym_LBRACK,
    ACTIONS(7304), 1,
      sym_auto,
    ACTIONS(7306), 1,
      anon_sym_decltype,
    STATE(4099), 1,
      sym_decltype_auto,
    STATE(4171), 1,
      sym_new_declarator,
    STATE(4526), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(6452), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6454), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [21883] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6758), 1,
      anon_sym___attribute__,
    STATE(3863), 1,
      sym_attribute_specifier,
    ACTIONS(6193), 27,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(6195), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [21953] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2254), 21,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(2256), 37,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym___attribute__,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
  [22019] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2262), 1,
      anon_sym_COLON_COLON,
    ACTIONS(2258), 21,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(2260), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
  [22087] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2262), 1,
      anon_sym_COLON_COLON,
    ACTIONS(2264), 21,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(2266), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
  [22155] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2230), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7308), 1,
      anon_sym_LT,
    STATE(3932), 1,
      sym_template_argument_list,
    ACTIONS(2234), 27,
      anon_sym_LPAREN2,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      sym_number_literal,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
    ACTIONS(2232), 28,
      anon_sym_DASH,
      anon_sym_PLUS,
      sym_primitive_type,
      anon_sym_not,
      anon_sym_compl,
      anon_sym_sizeof,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
      anon_sym_offsetof,
      anon_sym__Generic,
      anon_sym_asm,
      anon_sym___asm__,
      sym_true,
      sym_false,
      anon_sym_NULL,
      anon_sym_nullptr,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_delete,
      anon_sym_co_await,
      anon_sym_new,
      anon_sym_requires,
      sym_this,
  [22227] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6758), 1,
      anon_sym___attribute__,
    STATE(3877), 1,
      sym_attribute_specifier,
    ACTIONS(6220), 27,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(6222), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [22297] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6758), 1,
      anon_sym___attribute__,
    STATE(3914), 1,
      sym_attribute_specifier,
    ACTIONS(6224), 27,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(6226), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [22367] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2230), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7308), 1,
      anon_sym_LT,
    STATE(3932), 1,
      sym_template_argument_list,
    ACTIONS(2226), 27,
      anon_sym_LPAREN2,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      sym_number_literal,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
    ACTIONS(2224), 28,
      anon_sym_DASH,
      anon_sym_PLUS,
      sym_primitive_type,
      anon_sym_not,
      anon_sym_compl,
      anon_sym_sizeof,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
      anon_sym_offsetof,
      anon_sym__Generic,
      anon_sym_asm,
      anon_sym___asm__,
      sym_true,
      sym_false,
      anon_sym_NULL,
      anon_sym_nullptr,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_delete,
      anon_sym_co_await,
      anon_sym_new,
      anon_sym_requires,
      sym_this,
  [22439] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4094), 1,
      anon_sym_LBRACE,
    ACTIONS(7300), 1,
      anon_sym_LPAREN2,
    ACTIONS(7302), 1,
      anon_sym_LBRACK,
    ACTIONS(7304), 1,
      sym_auto,
    ACTIONS(7306), 1,
      anon_sym_decltype,
    STATE(4099), 1,
      sym_decltype_auto,
    STATE(4135), 1,
      sym_new_declarator,
    STATE(4562), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(6456), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6458), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [22521] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2262), 1,
      anon_sym_COLON_COLON,
    ACTIONS(2264), 21,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(2266), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
  [22589] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7245), 1,
      anon_sym___attribute__,
    ACTIONS(7310), 1,
      anon_sym_LBRACE,
    STATE(3820), 1,
      sym_enumerator_list,
    STATE(4010), 1,
      sym_attribute_specifier,
    ACTIONS(6077), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(6079), 42,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_COLON,
      anon_sym___extension__,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [22663] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2250), 21,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(2252), 37,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym___attribute__,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
  [22729] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6758), 1,
      anon_sym___attribute__,
    STATE(3930), 1,
      sym_attribute_specifier,
    ACTIONS(6204), 27,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(6206), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [22799] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2264), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2266), 39,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_DASH_GT_STAR,
  [22865] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4094), 1,
      anon_sym_LBRACE,
    ACTIONS(7300), 1,
      anon_sym_LPAREN2,
    ACTIONS(7302), 1,
      anon_sym_LBRACK,
    ACTIONS(7304), 1,
      sym_auto,
    ACTIONS(7306), 1,
      anon_sym_decltype,
    STATE(4099), 1,
      sym_decltype_auto,
    STATE(4150), 1,
      sym_new_declarator,
    STATE(4594), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(6436), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6438), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [22947] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6758), 1,
      anon_sym___attribute__,
    STATE(3941), 1,
      sym_attribute_specifier,
    ACTIONS(6212), 27,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(6214), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [23017] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6758), 1,
      anon_sym___attribute__,
    STATE(3915), 1,
      sym_attribute_specifier,
    ACTIONS(6208), 27,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(6210), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [23087] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7245), 1,
      anon_sym___attribute__,
    ACTIONS(7310), 1,
      anon_sym_LBRACE,
    STATE(3807), 1,
      sym_enumerator_list,
    STATE(4061), 1,
      sym_attribute_specifier,
    ACTIONS(6155), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(6157), 42,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_COLON,
      anon_sym___extension__,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [23161] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6758), 1,
      anon_sym___attribute__,
    STATE(3967), 1,
      sym_attribute_specifier,
    ACTIONS(6231), 27,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(6233), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [23231] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7245), 1,
      anon_sym___attribute__,
    STATE(4011), 1,
      sym_attribute_specifier,
    ACTIONS(6212), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(6214), 43,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_COLON,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [23300] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4134), 1,
      anon_sym_LBRACE,
    ACTIONS(7312), 1,
      anon_sym_LPAREN2,
    ACTIONS(7314), 1,
      anon_sym_LBRACK,
    ACTIONS(7316), 1,
      sym_auto,
    ACTIONS(7318), 1,
      anon_sym_decltype,
    STATE(4215), 1,
      sym_decltype_auto,
    STATE(4233), 1,
      sym_new_declarator,
    STATE(4730), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(6436), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6438), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [23381] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2452), 28,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(2454), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [23446] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4134), 1,
      anon_sym_LBRACE,
    ACTIONS(7312), 1,
      anon_sym_LPAREN2,
    ACTIONS(7314), 1,
      anon_sym_LBRACK,
    ACTIONS(7316), 1,
      sym_auto,
    ACTIONS(7318), 1,
      anon_sym_decltype,
    STATE(4215), 1,
      sym_decltype_auto,
    STATE(4360), 1,
      sym_new_declarator,
    STATE(4762), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(6452), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6454), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [23527] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6440), 1,
      anon_sym_LPAREN2,
    ACTIONS(6879), 1,
      anon_sym_LBRACK,
    ACTIONS(6883), 1,
      anon_sym_DOT,
    ACTIONS(7328), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7330), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7342), 1,
      anon_sym_GT_EQ,
    ACTIONS(7346), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7348), 1,
      anon_sym_or,
    ACTIONS(7350), 1,
      anon_sym_and,
    ACTIONS(7352), 1,
      anon_sym_not_eq,
    STATE(3592), 1,
      sym_subscript_argument_list,
    STATE(3604), 1,
      sym_argument_list,
    ACTIONS(6881), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6885), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7324), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7332), 2,
      anon_sym_PIPE,
      anon_sym_bitor,
    ACTIONS(7334), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7336), 2,
      anon_sym_AMP,
      anon_sym_bitand,
    ACTIONS(7338), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7344), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7326), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7340), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(7320), 6,
      aux_sym_preproc_elif_token1,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      sym_identifier,
    ACTIONS(7322), 17,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [23636] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7245), 1,
      anon_sym___attribute__,
    STATE(4074), 1,
      sym_attribute_specifier,
    ACTIONS(6231), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(6233), 43,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_COLON,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [23705] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7224), 1,
      sym_auto,
    ACTIONS(7226), 1,
      anon_sym_decltype,
    STATE(3894), 1,
      sym_decltype_auto,
    ACTIONS(6021), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6023), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [23776] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7245), 1,
      anon_sym___attribute__,
    STATE(3980), 1,
      sym_attribute_specifier,
    ACTIONS(6204), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(6206), 43,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_COLON,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [23845] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(3791), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(7354), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5970), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5972), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [23914] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7245), 1,
      anon_sym___attribute__,
    STATE(3983), 1,
      sym_attribute_specifier,
    ACTIONS(6208), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(6210), 43,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_COLON,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [23983] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2230), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7356), 1,
      anon_sym_LT,
    STATE(3881), 1,
      sym_template_argument_list,
    ACTIONS(2232), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2234), 38,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_DASH_GT_STAR,
  [24054] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6407), 18,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_literal_suffix,
    ACTIONS(6409), 39,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [24119] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(3745), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(7359), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5966), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5968), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [24188] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6037), 28,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(6039), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [24253] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6005), 27,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(6007), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [24318] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2262), 1,
      anon_sym_COLON_COLON,
    ACTIONS(2264), 13,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_COLON,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(2266), 43,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [24385] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2216), 13,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_COLON,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(2218), 44,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [24450] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2262), 1,
      anon_sym_COLON_COLON,
    ACTIONS(2264), 13,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_COLON,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(2266), 43,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [24517] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2200), 13,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_COLON,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(2202), 44,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [24582] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2262), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5931), 27,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5933), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [24649] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4134), 1,
      anon_sym_LBRACE,
    ACTIONS(7312), 1,
      anon_sym_LPAREN2,
    ACTIONS(7314), 1,
      anon_sym_LBRACK,
    ACTIONS(7316), 1,
      sym_auto,
    ACTIONS(7318), 1,
      anon_sym_decltype,
    STATE(4215), 1,
      sym_decltype_auto,
    STATE(4328), 1,
      sym_new_declarator,
    STATE(4712), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(6448), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6450), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [24730] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7361), 1,
      anon_sym_LPAREN2,
    ACTIONS(7363), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7365), 1,
      anon_sym_LBRACK,
    STATE(4181), 1,
      sym_parameter_list,
    STATE(3862), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(6601), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6603), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [24805] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(3833), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(7367), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5987), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5989), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [24874] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6972), 1,
      anon_sym___attribute__,
    ACTIONS(7285), 1,
      anon_sym_LBRACE,
    STATE(3963), 1,
      sym_enumerator_list,
    STATE(4176), 1,
      sym_attribute_specifier,
    ACTIONS(6077), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6079), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [24947] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6972), 1,
      anon_sym___attribute__,
    ACTIONS(7285), 1,
      anon_sym_LBRACE,
    STATE(3966), 1,
      sym_enumerator_list,
    STATE(4182), 1,
      sym_attribute_specifier,
    ACTIONS(6155), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6157), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [25020] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2250), 13,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_COLON,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(2252), 44,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [25085] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2212), 13,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_COLON,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(2214), 44,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [25150] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(3745), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(7359), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5962), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5964), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [25219] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7245), 1,
      anon_sym___attribute__,
    STATE(3994), 1,
      sym_attribute_specifier,
    ACTIONS(6224), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(6226), 43,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_COLON,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [25288] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6400), 18,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_literal_suffix,
    ACTIONS(6402), 39,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [25353] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7361), 1,
      anon_sym_LPAREN2,
    ACTIONS(7363), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7365), 1,
      anon_sym_LBRACK,
    STATE(4181), 1,
      sym_parameter_list,
    STATE(3862), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(6630), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6632), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [25428] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2208), 13,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_COLON,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(2210), 44,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [25493] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6440), 1,
      anon_sym_LPAREN2,
    ACTIONS(6879), 1,
      anon_sym_LBRACK,
    ACTIONS(6883), 1,
      anon_sym_DOT,
    ACTIONS(7328), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7330), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7342), 1,
      anon_sym_GT_EQ,
    ACTIONS(7346), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7348), 1,
      anon_sym_or,
    ACTIONS(7350), 1,
      anon_sym_and,
    ACTIONS(7352), 1,
      anon_sym_not_eq,
    STATE(3592), 1,
      sym_subscript_argument_list,
    STATE(3604), 1,
      sym_argument_list,
    ACTIONS(6881), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6885), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7324), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7332), 2,
      anon_sym_PIPE,
      anon_sym_bitor,
    ACTIONS(7334), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7336), 2,
      anon_sym_AMP,
      anon_sym_bitand,
    ACTIONS(7338), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7344), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7326), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7340), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(7369), 6,
      aux_sym_preproc_elif_token1,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      sym_identifier,
    ACTIONS(7371), 17,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [25602] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6053), 28,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(6055), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [25667] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6440), 1,
      anon_sym_LPAREN2,
    ACTIONS(6879), 1,
      anon_sym_LBRACK,
    ACTIONS(6883), 1,
      anon_sym_DOT,
    STATE(3592), 1,
      sym_subscript_argument_list,
    STATE(3604), 1,
      sym_argument_list,
    ACTIONS(6881), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6885), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7324), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7344), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7326), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6930), 18,
      aux_sym_preproc_elif_token1,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      sym_identifier,
    ACTIONS(6932), 23,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
  [25752] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6440), 1,
      anon_sym_LPAREN2,
    ACTIONS(6879), 1,
      anon_sym_LBRACK,
    ACTIONS(6883), 1,
      anon_sym_DOT,
    ACTIONS(7328), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7330), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7342), 1,
      anon_sym_GT_EQ,
    ACTIONS(7346), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7348), 1,
      anon_sym_or,
    ACTIONS(7350), 1,
      anon_sym_and,
    ACTIONS(7352), 1,
      anon_sym_not_eq,
    STATE(3592), 1,
      sym_subscript_argument_list,
    STATE(3604), 1,
      sym_argument_list,
    ACTIONS(6881), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6885), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7324), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7332), 2,
      anon_sym_PIPE,
      anon_sym_bitor,
    ACTIONS(7334), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7336), 2,
      anon_sym_AMP,
      anon_sym_bitand,
    ACTIONS(7338), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7344), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7326), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7340), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(7373), 6,
      aux_sym_preproc_elif_token1,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      sym_identifier,
    ACTIONS(7375), 17,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [25861] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(3806), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(7377), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5946), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5948), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [25930] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7245), 1,
      anon_sym___attribute__,
    STATE(4075), 1,
      sym_attribute_specifier,
    ACTIONS(6216), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(6218), 43,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_COLON,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [25999] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2262), 1,
      anon_sym_COLON_COLON,
    ACTIONS(2258), 13,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_COLON,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(2260), 43,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [26066] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6440), 1,
      anon_sym_LPAREN2,
    ACTIONS(6879), 1,
      anon_sym_LBRACK,
    ACTIONS(6883), 1,
      anon_sym_DOT,
    ACTIONS(7328), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7330), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7342), 1,
      anon_sym_GT_EQ,
    ACTIONS(7346), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7348), 1,
      anon_sym_or,
    ACTIONS(7350), 1,
      anon_sym_and,
    ACTIONS(7352), 1,
      anon_sym_not_eq,
    ACTIONS(7379), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7381), 1,
      anon_sym_QMARK,
    STATE(3592), 1,
      sym_subscript_argument_list,
    STATE(3604), 1,
      sym_argument_list,
    ACTIONS(6881), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6885), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7324), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7332), 2,
      anon_sym_PIPE,
      anon_sym_bitor,
    ACTIONS(7334), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7336), 2,
      anon_sym_AMP,
      anon_sym_bitand,
    ACTIONS(7338), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7344), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7326), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7340), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(7144), 6,
      aux_sym_preproc_elif_token1,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      sym_identifier,
    ACTIONS(7146), 15,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [26179] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6396), 18,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_literal_suffix,
    ACTIONS(6398), 39,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [26244] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7245), 1,
      anon_sym___attribute__,
    STATE(4015), 1,
      sym_attribute_specifier,
    ACTIONS(6220), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(6222), 43,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_COLON,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [26313] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6440), 1,
      anon_sym_LPAREN2,
    ACTIONS(6879), 1,
      anon_sym_LBRACK,
    ACTIONS(6883), 1,
      anon_sym_DOT,
    ACTIONS(7330), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7342), 1,
      anon_sym_GT_EQ,
    ACTIONS(7346), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7350), 1,
      anon_sym_and,
    ACTIONS(7352), 1,
      anon_sym_not_eq,
    STATE(3592), 1,
      sym_subscript_argument_list,
    STATE(3604), 1,
      sym_argument_list,
    ACTIONS(6881), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6885), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7324), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7332), 2,
      anon_sym_PIPE,
      anon_sym_bitor,
    ACTIONS(7334), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7336), 2,
      anon_sym_AMP,
      anon_sym_bitand,
    ACTIONS(7338), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7344), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7326), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7340), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6930), 7,
      aux_sym_preproc_elif_token1,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      sym_identifier,
    ACTIONS(6932), 18,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [26418] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2254), 13,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_COLON,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(2256), 44,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [26483] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6131), 28,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(6133), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [26548] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6440), 1,
      anon_sym_LPAREN2,
    ACTIONS(6879), 1,
      anon_sym_LBRACK,
    ACTIONS(6883), 1,
      anon_sym_DOT,
    ACTIONS(7342), 1,
      anon_sym_GT_EQ,
    ACTIONS(7346), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7352), 1,
      anon_sym_not_eq,
    STATE(3592), 1,
      sym_subscript_argument_list,
    STATE(3604), 1,
      sym_argument_list,
    ACTIONS(6881), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6885), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7324), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7338), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7344), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7326), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7340), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6930), 14,
      aux_sym_preproc_elif_token1,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      sym_identifier,
    ACTIONS(6932), 19,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [26643] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6440), 1,
      anon_sym_LPAREN2,
    ACTIONS(6879), 1,
      anon_sym_LBRACK,
    ACTIONS(6883), 1,
      anon_sym_DOT,
    ACTIONS(7342), 1,
      anon_sym_GT_EQ,
    ACTIONS(7346), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7352), 1,
      anon_sym_not_eq,
    STATE(3592), 1,
      sym_subscript_argument_list,
    STATE(3604), 1,
      sym_argument_list,
    ACTIONS(6881), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6885), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7324), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7332), 2,
      anon_sym_PIPE,
      anon_sym_bitor,
    ACTIONS(7334), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7336), 2,
      anon_sym_AMP,
      anon_sym_bitand,
    ACTIONS(7338), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7344), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7326), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7340), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6930), 8,
      aux_sym_preproc_elif_token1,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      sym_identifier,
    ACTIONS(6932), 19,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [26744] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6440), 1,
      anon_sym_LPAREN2,
    ACTIONS(6879), 1,
      anon_sym_LBRACK,
    ACTIONS(6883), 1,
      anon_sym_DOT,
    STATE(3592), 1,
      sym_subscript_argument_list,
    STATE(3604), 1,
      sym_argument_list,
    ACTIONS(6881), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6885), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7324), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7326), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6930), 20,
      aux_sym_preproc_elif_token1,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      sym_identifier,
    ACTIONS(6932), 23,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
  [26827] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7361), 1,
      anon_sym_LPAREN2,
    ACTIONS(7363), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7365), 1,
      anon_sym_LBRACK,
    STATE(4181), 1,
      sym_parameter_list,
    STATE(3862), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(6652), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6654), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [26902] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2178), 13,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_COLON,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(2180), 44,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [26967] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5970), 28,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5972), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [27032] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7245), 1,
      anon_sym___attribute__,
    STATE(4041), 1,
      sym_attribute_specifier,
    ACTIONS(6181), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(6183), 43,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_COLON,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [27101] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6440), 1,
      anon_sym_LPAREN2,
    ACTIONS(6879), 1,
      anon_sym_LBRACK,
    ACTIONS(6883), 1,
      anon_sym_DOT,
    STATE(3592), 1,
      sym_subscript_argument_list,
    STATE(3604), 1,
      sym_argument_list,
    ACTIONS(6881), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6885), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7326), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6930), 22,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      sym_identifier,
    ACTIONS(6932), 23,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
  [27182] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6440), 1,
      anon_sym_LPAREN2,
    ACTIONS(6879), 1,
      anon_sym_LBRACK,
    ACTIONS(6883), 1,
      anon_sym_DOT,
    ACTIONS(7342), 1,
      anon_sym_GT_EQ,
    ACTIONS(7346), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7352), 1,
      anon_sym_not_eq,
    STATE(3592), 1,
      sym_subscript_argument_list,
    STATE(3604), 1,
      sym_argument_list,
    ACTIONS(6881), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6885), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7324), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7334), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7336), 2,
      anon_sym_AMP,
      anon_sym_bitand,
    ACTIONS(7338), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7344), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7326), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7340), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6930), 10,
      aux_sym_preproc_elif_token1,
      anon_sym_PIPE,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      sym_identifier,
    ACTIONS(6932), 19,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [27281] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(3745), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(7359), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5958), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5960), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [27350] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(3745), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(7359), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5952), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5954), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [27419] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6440), 1,
      anon_sym_LPAREN2,
    ACTIONS(6879), 1,
      anon_sym_LBRACK,
    ACTIONS(6883), 1,
      anon_sym_DOT,
    ACTIONS(7328), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7330), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7342), 1,
      anon_sym_GT_EQ,
    ACTIONS(7346), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7348), 1,
      anon_sym_or,
    ACTIONS(7350), 1,
      anon_sym_and,
    ACTIONS(7352), 1,
      anon_sym_not_eq,
    STATE(3592), 1,
      sym_subscript_argument_list,
    STATE(3604), 1,
      sym_argument_list,
    ACTIONS(6881), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6885), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7324), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7332), 2,
      anon_sym_PIPE,
      anon_sym_bitor,
    ACTIONS(7334), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7336), 2,
      anon_sym_AMP,
      anon_sym_bitand,
    ACTIONS(7338), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7344), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7326), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7340), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(7383), 6,
      aux_sym_preproc_elif_token1,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      sym_identifier,
    ACTIONS(7385), 17,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [27528] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2186), 13,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_COLON,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(2188), 44,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [27593] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6440), 1,
      anon_sym_LPAREN2,
    ACTIONS(6879), 1,
      anon_sym_LBRACK,
    ACTIONS(6883), 1,
      anon_sym_DOT,
    ACTIONS(7342), 1,
      anon_sym_GT_EQ,
    ACTIONS(7346), 1,
      anon_sym_LT_EQ_GT,
    STATE(3592), 1,
      sym_subscript_argument_list,
    STATE(3604), 1,
      sym_argument_list,
    ACTIONS(6881), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6885), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7324), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7344), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7326), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7340), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6930), 15,
      aux_sym_preproc_elif_token1,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      sym_identifier,
    ACTIONS(6932), 21,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [27684] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2182), 13,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_COLON,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(2184), 44,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [27749] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7245), 1,
      anon_sym___attribute__,
    STATE(4065), 1,
      sym_attribute_specifier,
    ACTIONS(6235), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(6237), 43,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_COLON,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [27818] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2230), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7294), 1,
      anon_sym_LT,
    STATE(3881), 1,
      sym_template_argument_list,
    ACTIONS(2224), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2226), 38,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_DASH_GT_STAR,
  [27889] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6440), 1,
      anon_sym_LPAREN2,
    ACTIONS(6879), 1,
      anon_sym_LBRACK,
    ACTIONS(6883), 1,
      anon_sym_DOT,
    ACTIONS(7328), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7330), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7342), 1,
      anon_sym_GT_EQ,
    ACTIONS(7346), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7348), 1,
      anon_sym_or,
    ACTIONS(7350), 1,
      anon_sym_and,
    ACTIONS(7352), 1,
      anon_sym_not_eq,
    ACTIONS(7379), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7381), 1,
      anon_sym_QMARK,
    STATE(3592), 1,
      sym_subscript_argument_list,
    STATE(3604), 1,
      sym_argument_list,
    ACTIONS(6881), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6885), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7324), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7332), 2,
      anon_sym_PIPE,
      anon_sym_bitor,
    ACTIONS(7334), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7336), 2,
      anon_sym_AMP,
      anon_sym_bitand,
    ACTIONS(7338), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7344), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7326), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7340), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(7387), 6,
      aux_sym_preproc_elif_token1,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      sym_identifier,
    ACTIONS(7389), 15,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [28002] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2264), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(2266), 37,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_COLON,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
  [28067] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6440), 1,
      anon_sym_LPAREN2,
    ACTIONS(6879), 1,
      anon_sym_LBRACK,
    ACTIONS(6883), 1,
      anon_sym_DOT,
    ACTIONS(7346), 1,
      anon_sym_LT_EQ_GT,
    STATE(3592), 1,
      sym_subscript_argument_list,
    STATE(3604), 1,
      sym_argument_list,
    ACTIONS(6881), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6885), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7324), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7344), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7326), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6930), 18,
      aux_sym_preproc_elif_token1,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      sym_identifier,
    ACTIONS(6932), 22,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [28154] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7245), 1,
      anon_sym___attribute__,
    STATE(4012), 1,
      sym_attribute_specifier,
    ACTIONS(6189), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(6191), 43,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_COLON,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [28223] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7245), 1,
      anon_sym___attribute__,
    STATE(4032), 1,
      sym_attribute_specifier,
    ACTIONS(6185), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(6187), 43,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_COLON,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [28292] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7361), 1,
      anon_sym_LPAREN2,
    ACTIONS(7363), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7365), 1,
      anon_sym_LBRACK,
    STATE(4181), 1,
      sym_parameter_list,
    STATE(3862), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(6648), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6650), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [28367] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2396), 28,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(2398), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [28432] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6440), 1,
      anon_sym_LPAREN2,
    ACTIONS(6879), 1,
      anon_sym_LBRACK,
    ACTIONS(6883), 1,
      anon_sym_DOT,
    ACTIONS(7342), 1,
      anon_sym_GT_EQ,
    ACTIONS(7346), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7352), 1,
      anon_sym_not_eq,
    STATE(3592), 1,
      sym_subscript_argument_list,
    STATE(3604), 1,
      sym_argument_list,
    ACTIONS(6881), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6885), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7324), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7336), 2,
      anon_sym_AMP,
      anon_sym_bitand,
    ACTIONS(7338), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7344), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7326), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7340), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6930), 12,
      aux_sym_preproc_elif_token1,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      sym_identifier,
    ACTIONS(6932), 19,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [28529] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7245), 1,
      anon_sym___attribute__,
    STATE(4045), 1,
      sym_attribute_specifier,
    ACTIONS(6193), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(6195), 43,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_COLON,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [28598] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6440), 1,
      anon_sym_LPAREN2,
    ACTIONS(6879), 1,
      anon_sym_LBRACK,
    ACTIONS(6883), 1,
      anon_sym_DOT,
    ACTIONS(7328), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7330), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7342), 1,
      anon_sym_GT_EQ,
    ACTIONS(7346), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7348), 1,
      anon_sym_or,
    ACTIONS(7350), 1,
      anon_sym_and,
    ACTIONS(7352), 1,
      anon_sym_not_eq,
    ACTIONS(7379), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7381), 1,
      anon_sym_QMARK,
    STATE(3592), 1,
      sym_subscript_argument_list,
    STATE(3604), 1,
      sym_argument_list,
    ACTIONS(6881), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6885), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7324), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7332), 2,
      anon_sym_PIPE,
      anon_sym_bitor,
    ACTIONS(7334), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7336), 2,
      anon_sym_AMP,
      anon_sym_bitand,
    ACTIONS(7338), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7344), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7326), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7340), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(7391), 6,
      aux_sym_preproc_elif_token1,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      sym_identifier,
    ACTIONS(7393), 15,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [28711] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4134), 1,
      anon_sym_LBRACE,
    ACTIONS(7312), 1,
      anon_sym_LPAREN2,
    ACTIONS(7314), 1,
      anon_sym_LBRACK,
    ACTIONS(7316), 1,
      sym_auto,
    ACTIONS(7318), 1,
      anon_sym_decltype,
    STATE(4215), 1,
      sym_decltype_auto,
    STATE(4279), 1,
      sym_new_declarator,
    STATE(4784), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(6456), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6458), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [28792] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6413), 18,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_literal_suffix,
    ACTIONS(6415), 39,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [28857] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7116), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_RBRACK_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7114), 30,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_typename,
      anon_sym_template,
  [28921] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2384), 28,
      anon_sym_DASH,
      anon_sym_PLUS,
      sym_primitive_type,
      anon_sym_not,
      anon_sym_compl,
      anon_sym_sizeof,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
      anon_sym_offsetof,
      anon_sym__Generic,
      anon_sym_asm,
      anon_sym___asm__,
      sym_true,
      sym_false,
      anon_sym_NULL,
      anon_sym_nullptr,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_delete,
      anon_sym_co_await,
      anon_sym_new,
      anon_sym_requires,
      sym_this,
    ACTIONS(2386), 28,
      anon_sym_LPAREN2,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      sym_number_literal,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [28985] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6460), 1,
      sym_literal_suffix,
    ACTIONS(4221), 26,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(4213), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [29051] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1486), 1,
      anon_sym_template,
    ACTIONS(2588), 1,
      anon_sym_operator,
    ACTIONS(2877), 1,
      anon_sym_TILDE,
    ACTIONS(3148), 1,
      anon_sym_decltype,
    ACTIONS(4395), 1,
      anon_sym_LPAREN2,
    ACTIONS(6738), 1,
      sym_identifier,
    ACTIONS(6742), 1,
      anon_sym_STAR,
    ACTIONS(6744), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6746), 1,
      anon_sym_AMP,
    ACTIONS(6750), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6752), 1,
      anon_sym_LBRACK,
    ACTIONS(7397), 1,
      anon_sym_COLON,
    STATE(4871), 1,
      sym_parameter_list,
    STATE(7058), 1,
      sym__scope_resolution,
    STATE(7291), 1,
      sym__declarator,
    STATE(7422), 1,
      sym__function_declarator_seq,
    STATE(7886), 1,
      sym__abstract_declarator,
    STATE(9827), 1,
      sym_ms_based_modifier,
    STATE(6248), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(10317), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    ACTIONS(7395), 4,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_GT2,
    STATE(7436), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    STATE(7680), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(4379), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [29161] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6005), 13,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_COLON,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(6007), 43,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [29225] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2186), 28,
      anon_sym_DASH,
      anon_sym_PLUS,
      sym_primitive_type,
      anon_sym_not,
      anon_sym_compl,
      anon_sym_sizeof,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
      anon_sym_offsetof,
      anon_sym__Generic,
      anon_sym_asm,
      anon_sym___asm__,
      sym_true,
      sym_false,
      anon_sym_NULL,
      anon_sym_nullptr,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_delete,
      anon_sym_co_await,
      anon_sym_new,
      anon_sym_requires,
      sym_this,
    ACTIONS(2188), 28,
      anon_sym_LPAREN2,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      sym_number_literal,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [29289] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6135), 27,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(6137), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [29353] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5931), 27,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5933), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [29417] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7399), 28,
      anon_sym_DASH,
      anon_sym_PLUS,
      sym_primitive_type,
      anon_sym_not,
      anon_sym_compl,
      anon_sym_sizeof,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
      anon_sym_offsetof,
      anon_sym__Generic,
      anon_sym_asm,
      anon_sym___asm__,
      sym_true,
      sym_false,
      anon_sym_NULL,
      anon_sym_nullptr,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_delete,
      anon_sym_co_await,
      anon_sym_new,
      anon_sym_requires,
      sym_this,
    ACTIONS(7401), 28,
      anon_sym_LPAREN2,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      sym_number_literal,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [29481] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7363), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(3870), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(6678), 26,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6680), 27,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [29549] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6143), 27,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(6145), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [29613] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2262), 1,
      anon_sym_COLON_COLON,
    ACTIONS(2266), 27,
      anon_sym_LPAREN2,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      sym_number_literal,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
    ACTIONS(2264), 28,
      anon_sym_DASH,
      anon_sym_PLUS,
      sym_primitive_type,
      anon_sym_not,
      anon_sym_compl,
      anon_sym_sizeof,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
      anon_sym_offsetof,
      anon_sym__Generic,
      anon_sym_asm,
      anon_sym___asm__,
      sym_true,
      sym_false,
      anon_sym_NULL,
      anon_sym_nullptr,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_delete,
      anon_sym_co_await,
      anon_sym_new,
      anon_sym_requires,
      sym_this,
  [29679] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2264), 28,
      anon_sym_DASH,
      anon_sym_PLUS,
      sym_primitive_type,
      anon_sym_not,
      anon_sym_compl,
      anon_sym_sizeof,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
      anon_sym_offsetof,
      anon_sym__Generic,
      anon_sym_asm,
      anon_sym___asm__,
      sym_true,
      sym_false,
      anon_sym_NULL,
      anon_sym_nullptr,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_delete,
      anon_sym_co_await,
      anon_sym_new,
      anon_sym_requires,
      sym_this,
    ACTIONS(2266), 28,
      anon_sym_LPAREN2,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      sym_number_literal,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [29743] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6147), 27,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(6149), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [29807] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2178), 28,
      anon_sym_DASH,
      anon_sym_PLUS,
      sym_primitive_type,
      anon_sym_not,
      anon_sym_compl,
      anon_sym_sizeof,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
      anon_sym_offsetof,
      anon_sym__Generic,
      anon_sym_asm,
      anon_sym___asm__,
      sym_true,
      sym_false,
      anon_sym_NULL,
      anon_sym_nullptr,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_delete,
      anon_sym_co_await,
      anon_sym_new,
      anon_sym_requires,
      sym_this,
    ACTIONS(2180), 28,
      anon_sym_LPAREN2,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      sym_number_literal,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [29871] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7184), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_RBRACK_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7182), 30,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_typename,
      anon_sym_template,
  [29935] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7076), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_RBRACK_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7074), 30,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_typename,
      anon_sym_template,
  [29999] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7403), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(3870), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(6688), 26,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6690), 27,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [30067] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6159), 27,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(6161), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [30131] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7406), 1,
      sym_auto,
    ACTIONS(7408), 1,
      anon_sym_decltype,
    STATE(3989), 1,
      sym_decltype_auto,
    ACTIONS(6021), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(6023), 41,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_COLON,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [30201] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6460), 1,
      sym_literal_suffix,
    ACTIONS(6477), 26,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6479), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [30267] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7290), 1,
      anon_sym___attribute__,
    ACTIONS(7410), 1,
      anon_sym_COLON,
    ACTIONS(7412), 1,
      anon_sym_LBRACE,
    STATE(4180), 1,
      sym__enum_base_clause,
    STATE(4289), 1,
      sym_enumerator_list,
    STATE(4669), 1,
      sym_attribute_specifier,
    ACTIONS(6368), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6370), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [30343] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6972), 1,
      anon_sym___attribute__,
    STATE(4118), 1,
      sym_attribute_specifier,
    ACTIONS(6216), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6218), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [30411] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6972), 1,
      anon_sym___attribute__,
    STATE(4133), 1,
      sym_attribute_specifier,
    ACTIONS(6235), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6237), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [30479] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6041), 27,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(6043), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [30543] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2262), 1,
      anon_sym_COLON_COLON,
    ACTIONS(2260), 27,
      anon_sym_LPAREN2,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      sym_number_literal,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
    ACTIONS(2258), 28,
      anon_sym_DASH,
      anon_sym_PLUS,
      sym_primitive_type,
      anon_sym_not,
      anon_sym_compl,
      anon_sym_sizeof,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
      anon_sym_offsetof,
      anon_sym__Generic,
      anon_sym_asm,
      anon_sym___asm__,
      sym_true,
      sym_false,
      anon_sym_NULL,
      anon_sym_nullptr,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_delete,
      anon_sym_co_await,
      anon_sym_new,
      anon_sym_requires,
      sym_this,
  [30609] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5931), 27,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5933), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [30673] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2264), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(2266), 44,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_COLON,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [30737] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2254), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2256), 39,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_DASH_GT_STAR,
  [30801] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6151), 27,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(6153), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [30865] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6972), 1,
      anon_sym___attribute__,
    STATE(4185), 1,
      sym_attribute_specifier,
    ACTIONS(6231), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6233), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [30933] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7080), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_RBRACK_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7078), 30,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_typename,
      anon_sym_template,
  [30997] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6972), 1,
      anon_sym___attribute__,
    STATE(4101), 1,
      sym_attribute_specifier,
    ACTIONS(6212), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6214), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [31065] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6037), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(6039), 44,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_COLON,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [31129] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6065), 27,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(6067), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [31193] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7290), 1,
      anon_sym___attribute__,
    ACTIONS(7410), 1,
      anon_sym_COLON,
    ACTIONS(7412), 1,
      anon_sym_LBRACE,
    STATE(4140), 1,
      sym__enum_base_clause,
    STATE(4374), 1,
      sym_enumerator_list,
    STATE(4672), 1,
      sym_attribute_specifier,
    ACTIONS(6356), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6358), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [31269] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3998), 1,
      anon_sym_LBRACE,
    ACTIONS(7220), 1,
      anon_sym_LPAREN2,
    STATE(4209), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(6670), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6672), 27,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [31339] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3998), 1,
      anon_sym_LBRACE,
    ACTIONS(7220), 1,
      anon_sym_LPAREN2,
    STATE(4216), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(6699), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6701), 27,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [31409] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6991), 1,
      anon_sym___attribute__,
    ACTIONS(7298), 1,
      anon_sym_LBRACE,
    STATE(4073), 1,
      sym_enumerator_list,
    STATE(4323), 1,
      sym_attribute_specifier,
    ACTIONS(6155), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6157), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [31481] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6119), 27,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(6121), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [31545] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2200), 28,
      anon_sym_DASH,
      anon_sym_PLUS,
      sym_primitive_type,
      anon_sym_not,
      anon_sym_compl,
      anon_sym_sizeof,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
      anon_sym_offsetof,
      anon_sym__Generic,
      anon_sym_asm,
      anon_sym___asm__,
      sym_true,
      sym_false,
      anon_sym_NULL,
      anon_sym_nullptr,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_delete,
      anon_sym_co_await,
      anon_sym_new,
      anon_sym_requires,
      sym_this,
    ACTIONS(2202), 28,
      anon_sym_LPAREN2,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      sym_number_literal,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [31609] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6045), 27,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(6047), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [31673] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4551), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(4546), 37,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_try,
  [31737] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5783), 27,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5785), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [31801] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(3791), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(7354), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5931), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5933), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [31869] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4551), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(4546), 37,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_try,
  [31933] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6991), 1,
      anon_sym___attribute__,
    ACTIONS(7298), 1,
      anon_sym_LBRACE,
    STATE(4029), 1,
      sym_enumerator_list,
    STATE(4366), 1,
      sym_attribute_specifier,
    ACTIONS(6077), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6079), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [32005] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4551), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(4546), 37,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_try,
  [32069] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4551), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(4546), 37,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_try,
  [32133] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4551), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(4546), 37,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_try,
  [32197] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2452), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(2454), 44,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_COLON,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [32261] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7414), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_literal_suffix,
    ACTIONS(7416), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [32325] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6139), 27,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(6141), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [32389] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1486), 1,
      anon_sym_template,
    ACTIONS(2588), 1,
      anon_sym_operator,
    ACTIONS(2877), 1,
      anon_sym_TILDE,
    ACTIONS(3148), 1,
      anon_sym_decltype,
    ACTIONS(4395), 1,
      anon_sym_LPAREN2,
    ACTIONS(6738), 1,
      sym_identifier,
    ACTIONS(6742), 1,
      anon_sym_STAR,
    ACTIONS(6744), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6746), 1,
      anon_sym_AMP,
    ACTIONS(6748), 1,
      anon_sym_COLON,
    ACTIONS(6750), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6752), 1,
      anon_sym_LBRACK,
    STATE(4871), 1,
      sym_parameter_list,
    STATE(7058), 1,
      sym__scope_resolution,
    STATE(7261), 1,
      sym__declarator,
    STATE(7422), 1,
      sym__function_declarator_seq,
    STATE(7870), 1,
      sym__abstract_declarator,
    STATE(9827), 1,
      sym_ms_based_modifier,
    STATE(6248), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(10317), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    ACTIONS(6740), 4,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_GT2,
    STATE(7436), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    STATE(7680), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(4379), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [32499] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4551), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(4546), 37,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_try,
  [32563] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2200), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2202), 39,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_DASH_GT_STAR,
  [32627] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2360), 28,
      anon_sym_DASH,
      anon_sym_PLUS,
      sym_primitive_type,
      anon_sym_not,
      anon_sym_compl,
      anon_sym_sizeof,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
      anon_sym_offsetof,
      anon_sym__Generic,
      anon_sym_asm,
      anon_sym___asm__,
      sym_true,
      sym_false,
      anon_sym_NULL,
      anon_sym_nullptr,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_delete,
      anon_sym_co_await,
      anon_sym_new,
      anon_sym_requires,
      sym_this,
    ACTIONS(2362), 28,
      anon_sym_LPAREN2,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      sym_number_literal,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [32691] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6083), 27,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(6085), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [32755] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2396), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(2398), 44,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_COLON,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [32819] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2216), 28,
      anon_sym_DASH,
      anon_sym_PLUS,
      sym_primitive_type,
      anon_sym_not,
      anon_sym_compl,
      anon_sym_sizeof,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
      anon_sym_offsetof,
      anon_sym__Generic,
      anon_sym_asm,
      anon_sym___asm__,
      sym_true,
      sym_false,
      anon_sym_NULL,
      anon_sym_nullptr,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_delete,
      anon_sym_co_await,
      anon_sym_new,
      anon_sym_requires,
      sym_this,
    ACTIONS(2218), 28,
      anon_sym_LPAREN2,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      sym_number_literal,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [32883] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6087), 27,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(6089), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [32947] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6091), 27,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(6093), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [33011] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6061), 27,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(6063), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [33075] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2230), 1,
      anon_sym_COLON_COLON,
    ACTIONS(2234), 1,
      anon_sym_LBRACE,
    ACTIONS(7418), 1,
      anon_sym_LT,
    STATE(4039), 1,
      sym_template_argument_list,
    ACTIONS(4551), 24,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(4546), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [33147] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2208), 28,
      anon_sym_DASH,
      anon_sym_PLUS,
      sym_primitive_type,
      anon_sym_not,
      anon_sym_compl,
      anon_sym_sizeof,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
      anon_sym_offsetof,
      anon_sym__Generic,
      anon_sym_asm,
      anon_sym___asm__,
      sym_true,
      sym_false,
      anon_sym_NULL,
      anon_sym_nullptr,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_delete,
      anon_sym_co_await,
      anon_sym_new,
      anon_sym_requires,
      sym_this,
    ACTIONS(2210), 28,
      anon_sym_LPAREN2,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      sym_number_literal,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [33211] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2250), 28,
      anon_sym_DASH,
      anon_sym_PLUS,
      sym_primitive_type,
      anon_sym_not,
      anon_sym_compl,
      anon_sym_sizeof,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
      anon_sym_offsetof,
      anon_sym__Generic,
      anon_sym_asm,
      anon_sym___asm__,
      sym_true,
      sym_false,
      anon_sym_NULL,
      anon_sym_nullptr,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_delete,
      anon_sym_co_await,
      anon_sym_new,
      anon_sym_requires,
      sym_this,
    ACTIONS(2252), 28,
      anon_sym_LPAREN2,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      sym_number_literal,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [33275] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6111), 27,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(6113), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [33339] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5970), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5972), 44,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_COLON,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [33403] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2262), 1,
      anon_sym_COLON_COLON,
    ACTIONS(2258), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2260), 38,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_DASH_GT_STAR,
  [33469] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2212), 28,
      anon_sym_DASH,
      anon_sym_PLUS,
      sym_primitive_type,
      anon_sym_not,
      anon_sym_compl,
      anon_sym_sizeof,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
      anon_sym_offsetof,
      anon_sym__Generic,
      anon_sym_asm,
      anon_sym___asm__,
      sym_true,
      sym_false,
      anon_sym_NULL,
      anon_sym_nullptr,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_delete,
      anon_sym_co_await,
      anon_sym_new,
      anon_sym_requires,
      sym_this,
    ACTIONS(2214), 28,
      anon_sym_LPAREN2,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      sym_number_literal,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [33533] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6065), 27,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(6067), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [33597] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6057), 27,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(6059), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [33661] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6131), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(6133), 44,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_COLON,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [33725] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6107), 27,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(6109), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [33789] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7148), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(7150), 37,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_try,
  [33853] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6972), 1,
      anon_sym___attribute__,
    STATE(4147), 1,
      sym_attribute_specifier,
    ACTIONS(6204), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6206), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [33921] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6972), 1,
      anon_sym___attribute__,
    STATE(4162), 1,
      sym_attribute_specifier,
    ACTIONS(6208), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6210), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [33989] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6099), 27,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(6101), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [34053] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7421), 28,
      anon_sym_DASH,
      anon_sym_PLUS,
      sym_primitive_type,
      anon_sym_not,
      anon_sym_compl,
      anon_sym_sizeof,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
      anon_sym_offsetof,
      anon_sym__Generic,
      anon_sym_asm,
      anon_sym___asm__,
      sym_true,
      sym_false,
      anon_sym_NULL,
      anon_sym_nullptr,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_delete,
      anon_sym_co_await,
      anon_sym_new,
      anon_sym_requires,
      sym_this,
    ACTIONS(7423), 28,
      anon_sym_LPAREN2,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      sym_number_literal,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [34117] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2254), 28,
      anon_sym_DASH,
      anon_sym_PLUS,
      sym_primitive_type,
      anon_sym_not,
      anon_sym_compl,
      anon_sym_sizeof,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
      anon_sym_offsetof,
      anon_sym__Generic,
      anon_sym_asm,
      anon_sym___asm__,
      sym_true,
      sym_false,
      anon_sym_NULL,
      anon_sym_nullptr,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_delete,
      anon_sym_co_await,
      anon_sym_new,
      anon_sym_requires,
      sym_this,
    ACTIONS(2256), 28,
      anon_sym_LPAREN2,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      sym_number_literal,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [34181] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7425), 28,
      anon_sym_DASH,
      anon_sym_PLUS,
      sym_primitive_type,
      anon_sym_not,
      anon_sym_compl,
      anon_sym_sizeof,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
      anon_sym_offsetof,
      anon_sym__Generic,
      anon_sym_asm,
      anon_sym___asm__,
      sym_true,
      sym_false,
      anon_sym_NULL,
      anon_sym_nullptr,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_delete,
      anon_sym_co_await,
      anon_sym_new,
      anon_sym_requires,
      sym_this,
    ACTIONS(7427), 28,
      anon_sym_LPAREN2,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      sym_number_literal,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [34245] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2250), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2252), 39,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_DASH_GT_STAR,
  [34309] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2178), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2180), 39,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_DASH_GT_STAR,
  [34373] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2182), 28,
      anon_sym_DASH,
      anon_sym_PLUS,
      sym_primitive_type,
      anon_sym_not,
      anon_sym_compl,
      anon_sym_sizeof,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
      anon_sym_offsetof,
      anon_sym__Generic,
      anon_sym_asm,
      anon_sym___asm__,
      sym_true,
      sym_false,
      anon_sym_NULL,
      anon_sym_nullptr,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_delete,
      anon_sym_co_await,
      anon_sym_new,
      anon_sym_requires,
      sym_this,
    ACTIONS(2184), 28,
      anon_sym_LPAREN2,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      sym_number_literal,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [34437] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6115), 27,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(6117), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [34501] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7429), 28,
      anon_sym_DASH,
      anon_sym_PLUS,
      sym_primitive_type,
      anon_sym_not,
      anon_sym_compl,
      anon_sym_sizeof,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
      anon_sym_offsetof,
      anon_sym__Generic,
      anon_sym_asm,
      anon_sym___asm__,
      sym_true,
      sym_false,
      anon_sym_NULL,
      anon_sym_nullptr,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_delete,
      anon_sym_co_await,
      anon_sym_new,
      anon_sym_requires,
      sym_this,
    ACTIONS(7431), 28,
      anon_sym_LPAREN2,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      sym_number_literal,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [34565] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2186), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2188), 39,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_DASH_GT_STAR,
  [34629] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2262), 1,
      anon_sym_COLON_COLON,
    ACTIONS(2264), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2266), 38,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_DASH_GT_STAR,
  [34695] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6069), 27,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(6071), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [34759] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6972), 1,
      anon_sym___attribute__,
    STATE(4167), 1,
      sym_attribute_specifier,
    ACTIONS(6189), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6191), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [34827] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2182), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2184), 39,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_DASH_GT_STAR,
  [34891] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2262), 1,
      anon_sym_COLON_COLON,
    ACTIONS(2264), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2266), 38,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_DASH_GT_STAR,
  [34957] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2262), 1,
      anon_sym_COLON_COLON,
    ACTIONS(2266), 27,
      anon_sym_LPAREN2,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      sym_number_literal,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
    ACTIONS(2264), 28,
      anon_sym_DASH,
      anon_sym_PLUS,
      sym_primitive_type,
      anon_sym_not,
      anon_sym_compl,
      anon_sym_sizeof,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
      anon_sym_offsetof,
      anon_sym__Generic,
      anon_sym_asm,
      anon_sym___asm__,
      sym_true,
      sym_false,
      anon_sym_NULL,
      anon_sym_nullptr,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_delete,
      anon_sym_co_await,
      anon_sym_new,
      anon_sym_requires,
      sym_this,
  [35023] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2216), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2218), 39,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_DASH_GT_STAR,
  [35087] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3998), 1,
      anon_sym_LBRACE,
    ACTIONS(7220), 1,
      anon_sym_LPAREN2,
    STATE(4259), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(6779), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6781), 27,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [35157] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6972), 1,
      anon_sym___attribute__,
    STATE(4138), 1,
      sym_attribute_specifier,
    ACTIONS(6185), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6187), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [35225] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2212), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2214), 39,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_DASH_GT_STAR,
  [35289] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2208), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2210), 39,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_DASH_GT_STAR,
  [35353] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6123), 27,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(6125), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [35417] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7433), 28,
      anon_sym_DASH,
      anon_sym_PLUS,
      sym_primitive_type,
      anon_sym_not,
      anon_sym_compl,
      anon_sym_sizeof,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
      anon_sym_offsetof,
      anon_sym__Generic,
      anon_sym_asm,
      anon_sym___asm__,
      sym_true,
      sym_false,
      anon_sym_NULL,
      anon_sym_nullptr,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_delete,
      anon_sym_co_await,
      anon_sym_new,
      anon_sym_requires,
      sym_this,
    ACTIONS(7435), 28,
      anon_sym_LPAREN2,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      sym_number_literal,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [35481] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6065), 27,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(6067), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [35545] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6025), 27,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(6027), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [35609] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2262), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5931), 13,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_COLON,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5933), 42,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [35675] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6115), 27,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(6117), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [35739] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6049), 27,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(6051), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [35803] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6033), 27,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(6035), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [35867] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6972), 1,
      anon_sym___attribute__,
    STATE(4132), 1,
      sym_attribute_specifier,
    ACTIONS(6181), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6183), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [35935] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6073), 27,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(6075), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [35999] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6053), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(6055), 44,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_COLON,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [36063] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6972), 1,
      anon_sym___attribute__,
    STATE(4120), 1,
      sym_attribute_specifier,
    ACTIONS(6193), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6195), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [36131] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6972), 1,
      anon_sym___attribute__,
    STATE(4157), 1,
      sym_attribute_specifier,
    ACTIONS(6220), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6222), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [36199] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2256), 2,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
    ACTIONS(4578), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(4573), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [36265] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3998), 1,
      anon_sym_LBRACE,
    ACTIONS(7220), 1,
      anon_sym_LPAREN2,
    STATE(4242), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(6666), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6668), 27,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [36335] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6972), 1,
      anon_sym___attribute__,
    STATE(4172), 1,
      sym_attribute_specifier,
    ACTIONS(6224), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6226), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [36403] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6095), 27,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(6097), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [36467] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6029), 27,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(6031), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [36531] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6065), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(6067), 43,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_COLON,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [36594] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6057), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(6059), 43,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_COLON,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [36657] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7220), 1,
      anon_sym_LPAREN2,
    ACTIONS(7441), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7443), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7455), 1,
      anon_sym_GT_EQ,
    ACTIONS(7459), 1,
      anon_sym_LBRACK,
    ACTIONS(7461), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7463), 1,
      anon_sym_or,
    ACTIONS(7465), 1,
      anon_sym_and,
    ACTIONS(7467), 1,
      anon_sym_not_eq,
    ACTIONS(7471), 1,
      anon_sym_DOT,
    STATE(4356), 1,
      sym_argument_list,
    STATE(4362), 1,
      sym_subscript_argument_list,
    ACTIONS(7437), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7445), 2,
      anon_sym_PIPE,
      anon_sym_bitor,
    ACTIONS(7447), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7449), 2,
      anon_sym_AMP,
      anon_sym_bitand,
    ACTIONS(7451), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7457), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7469), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7473), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7439), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7453), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(7383), 5,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      sym_identifier,
    ACTIONS(7385), 16,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [36764] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6440), 1,
      anon_sym_LPAREN2,
    ACTIONS(6879), 1,
      anon_sym_LBRACK,
    ACTIONS(6883), 1,
      anon_sym_DOT,
    STATE(3592), 1,
      sym_subscript_argument_list,
    STATE(3604), 1,
      sym_argument_list,
    ACTIONS(6881), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6885), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7475), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7479), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7477), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6930), 10,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6932), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [36847] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6460), 1,
      sym_literal_suffix,
    ACTIONS(6477), 24,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
    ACTIONS(6479), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [36912] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6440), 1,
      anon_sym_LPAREN2,
    ACTIONS(6879), 1,
      anon_sym_LBRACK,
    ACTIONS(6883), 1,
      anon_sym_DOT,
    STATE(3592), 1,
      sym_subscript_argument_list,
    STATE(3604), 1,
      sym_argument_list,
    ACTIONS(6881), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6885), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7475), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7477), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6930), 12,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6932), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [36993] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2262), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5931), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5933), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [37058] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6440), 1,
      anon_sym_LPAREN2,
    ACTIONS(6879), 1,
      anon_sym_LBRACK,
    ACTIONS(6883), 1,
      anon_sym_DOT,
    ACTIONS(7481), 1,
      anon_sym_LT_EQ_GT,
    STATE(3592), 1,
      sym_subscript_argument_list,
    STATE(3604), 1,
      sym_argument_list,
    ACTIONS(6881), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6885), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7475), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7479), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7477), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6930), 10,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6932), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [37143] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6139), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(6141), 43,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_COLON,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [37206] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7220), 1,
      anon_sym_LPAREN2,
    ACTIONS(7441), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7443), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7455), 1,
      anon_sym_GT_EQ,
    ACTIONS(7459), 1,
      anon_sym_LBRACK,
    ACTIONS(7461), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7463), 1,
      anon_sym_or,
    ACTIONS(7465), 1,
      anon_sym_and,
    ACTIONS(7467), 1,
      anon_sym_not_eq,
    ACTIONS(7471), 1,
      anon_sym_DOT,
    ACTIONS(7483), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7485), 1,
      anon_sym_QMARK,
    STATE(4356), 1,
      sym_argument_list,
    STATE(4362), 1,
      sym_subscript_argument_list,
    ACTIONS(7437), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7445), 2,
      anon_sym_PIPE,
      anon_sym_bitor,
    ACTIONS(7447), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7449), 2,
      anon_sym_AMP,
      anon_sym_bitand,
    ACTIONS(7451), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7457), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7469), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7473), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7439), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7453), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(7387), 5,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      sym_identifier,
    ACTIONS(7389), 14,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [37317] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5931), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5933), 43,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_COLON,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [37380] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6099), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(6101), 43,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_COLON,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [37443] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7220), 1,
      anon_sym_LPAREN2,
    ACTIONS(7455), 1,
      anon_sym_GT_EQ,
    ACTIONS(7459), 1,
      anon_sym_LBRACK,
    ACTIONS(7461), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7471), 1,
      anon_sym_DOT,
    STATE(4356), 1,
      sym_argument_list,
    STATE(4362), 1,
      sym_subscript_argument_list,
    ACTIONS(7437), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7457), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7469), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7473), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7439), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7453), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6930), 14,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      sym_identifier,
    ACTIONS(6932), 20,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [37532] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5783), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5785), 43,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_COLON,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [37595] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6061), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(6063), 43,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_COLON,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [37658] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6440), 1,
      anon_sym_LPAREN2,
    ACTIONS(6879), 1,
      anon_sym_LBRACK,
    ACTIONS(6883), 1,
      anon_sym_DOT,
    ACTIONS(7144), 1,
      anon_sym_EQ,
    ACTIONS(7379), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7481), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7487), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7489), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7491), 1,
      anon_sym_PIPE,
    ACTIONS(7495), 1,
      anon_sym_AMP,
    ACTIONS(7501), 1,
      anon_sym_GT_EQ,
    ACTIONS(7503), 1,
      anon_sym_QMARK,
    ACTIONS(7505), 1,
      anon_sym_or,
    ACTIONS(7507), 1,
      anon_sym_and,
    ACTIONS(7509), 1,
      anon_sym_bitor,
    ACTIONS(7511), 1,
      anon_sym_bitand,
    STATE(3592), 1,
      sym_subscript_argument_list,
    STATE(3604), 1,
      sym_argument_list,
    ACTIONS(6881), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6885), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7475), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7479), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7493), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7477), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7497), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7499), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(7146), 18,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
  [37771] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4180), 1,
      anon_sym_LBRACE,
    ACTIONS(7513), 1,
      anon_sym_LPAREN2,
    ACTIONS(7515), 1,
      anon_sym_LBRACK,
    ACTIONS(7517), 1,
      sym_auto,
    ACTIONS(7519), 1,
      anon_sym_decltype,
    STATE(4608), 1,
      sym_decltype_auto,
    STATE(4619), 1,
      sym_new_declarator,
    STATE(4907), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(6452), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6454), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [37850] = 52,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7300), 1,
      anon_sym_LPAREN2,
    ACTIONS(7521), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7523), 1,
      anon_sym_COMMA,
    ACTIONS(7525), 1,
      anon_sym_RPAREN,
    ACTIONS(7527), 1,
      anon_sym_DASH,
    ACTIONS(7529), 1,
      anon_sym_PLUS,
    ACTIONS(7531), 1,
      anon_sym_STAR,
    ACTIONS(7533), 1,
      anon_sym_SLASH,
    ACTIONS(7535), 1,
      anon_sym_PERCENT,
    ACTIONS(7537), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7539), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7541), 1,
      anon_sym_PIPE,
    ACTIONS(7543), 1,
      anon_sym_CARET,
    ACTIONS(7545), 1,
      anon_sym_AMP,
    ACTIONS(7547), 1,
      anon_sym_EQ_EQ,
    ACTIONS(7549), 1,
      anon_sym_BANG_EQ,
    ACTIONS(7551), 1,
      anon_sym_GT,
    ACTIONS(7553), 1,
      anon_sym_GT_EQ,
    ACTIONS(7555), 1,
      anon_sym_LT_EQ,
    ACTIONS(7557), 1,
      anon_sym_LT,
    ACTIONS(7559), 1,
      anon_sym_LT_LT,
    ACTIONS(7561), 1,
      anon_sym_GT_GT,
    ACTIONS(7563), 1,
      anon_sym_LBRACK,
    ACTIONS(7565), 1,
      anon_sym_EQ,
    ACTIONS(7567), 1,
      anon_sym_QMARK,
    ACTIONS(7569), 1,
      anon_sym_STAR_EQ,
    ACTIONS(7571), 1,
      anon_sym_SLASH_EQ,
    ACTIONS(7573), 1,
      anon_sym_PERCENT_EQ,
    ACTIONS(7575), 1,
      anon_sym_PLUS_EQ,
    ACTIONS(7577), 1,
      anon_sym_DASH_EQ,
    ACTIONS(7579), 1,
      anon_sym_LT_LT_EQ,
    ACTIONS(7581), 1,
      anon_sym_GT_GT_EQ,
    ACTIONS(7583), 1,
      anon_sym_AMP_EQ,
    ACTIONS(7585), 1,
      anon_sym_CARET_EQ,
    ACTIONS(7587), 1,
      anon_sym_PIPE_EQ,
    ACTIONS(7591), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7593), 1,
      anon_sym_or,
    ACTIONS(7595), 1,
      anon_sym_and,
    ACTIONS(7597), 1,
      anon_sym_bitor,
    ACTIONS(7599), 1,
      anon_sym_xor,
    ACTIONS(7601), 1,
      anon_sym_bitand,
    ACTIONS(7603), 1,
      anon_sym_not_eq,
    ACTIONS(7609), 1,
      anon_sym_DOT_STAR,
    ACTIONS(7611), 1,
      anon_sym_DASH_GT_STAR,
    STATE(2387), 1,
      sym__binary_fold_operator,
    STATE(4682), 1,
      sym_subscript_argument_list,
    STATE(4692), 1,
      sym_argument_list,
    STATE(10019), 1,
      sym__fold_operator,
    ACTIONS(7605), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7607), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7589), 3,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
  [38011] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7220), 1,
      anon_sym_LPAREN2,
    ACTIONS(7443), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7455), 1,
      anon_sym_GT_EQ,
    ACTIONS(7459), 1,
      anon_sym_LBRACK,
    ACTIONS(7461), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7465), 1,
      anon_sym_and,
    ACTIONS(7467), 1,
      anon_sym_not_eq,
    ACTIONS(7471), 1,
      anon_sym_DOT,
    STATE(4356), 1,
      sym_argument_list,
    STATE(4362), 1,
      sym_subscript_argument_list,
    ACTIONS(7437), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7445), 2,
      anon_sym_PIPE,
      anon_sym_bitor,
    ACTIONS(7447), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7449), 2,
      anon_sym_AMP,
      anon_sym_bitand,
    ACTIONS(7451), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7457), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7469), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7473), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7439), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7453), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6930), 6,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      sym_identifier,
    ACTIONS(6932), 17,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [38114] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4180), 1,
      anon_sym_LBRACE,
    ACTIONS(7513), 1,
      anon_sym_LPAREN2,
    ACTIONS(7515), 1,
      anon_sym_LBRACK,
    ACTIONS(7517), 1,
      sym_auto,
    ACTIONS(7519), 1,
      anon_sym_decltype,
    STATE(4608), 1,
      sym_decltype_auto,
    STATE(4677), 1,
      sym_new_declarator,
    STATE(4922), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(6456), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6458), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [38193] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6045), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(6047), 43,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_COLON,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [38256] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7222), 1,
      anon_sym_LBRACK,
    STATE(4114), 1,
      sym_new_declarator,
    ACTIONS(6837), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6839), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [38323] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6460), 1,
      sym_literal_suffix,
    ACTIONS(4221), 24,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
    ACTIONS(4213), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [38388] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7220), 1,
      anon_sym_LPAREN2,
    ACTIONS(7455), 1,
      anon_sym_GT_EQ,
    ACTIONS(7459), 1,
      anon_sym_LBRACK,
    ACTIONS(7461), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7467), 1,
      anon_sym_not_eq,
    ACTIONS(7471), 1,
      anon_sym_DOT,
    STATE(4356), 1,
      sym_argument_list,
    STATE(4362), 1,
      sym_subscript_argument_list,
    ACTIONS(7437), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7451), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7457), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7469), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7473), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7439), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7453), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6930), 13,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      sym_identifier,
    ACTIONS(6932), 18,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [38481] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7613), 1,
      anon_sym_LPAREN2,
    ACTIONS(7615), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7617), 1,
      anon_sym_LBRACK,
    STATE(4439), 1,
      sym_parameter_list,
    STATE(4141), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(6601), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6603), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [38554] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6091), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(6093), 43,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_COLON,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [38617] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2396), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2398), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [38680] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7613), 1,
      anon_sym_LPAREN2,
    ACTIONS(7615), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7617), 1,
      anon_sym_LBRACK,
    STATE(4439), 1,
      sym_parameter_list,
    STATE(4141), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(6630), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6632), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [38753] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5970), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5972), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [38816] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7220), 1,
      anon_sym_LPAREN2,
    ACTIONS(7441), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7443), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7455), 1,
      anon_sym_GT_EQ,
    ACTIONS(7459), 1,
      anon_sym_LBRACK,
    ACTIONS(7461), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7463), 1,
      anon_sym_or,
    ACTIONS(7465), 1,
      anon_sym_and,
    ACTIONS(7467), 1,
      anon_sym_not_eq,
    ACTIONS(7471), 1,
      anon_sym_DOT,
    ACTIONS(7483), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7485), 1,
      anon_sym_QMARK,
    STATE(4356), 1,
      sym_argument_list,
    STATE(4362), 1,
      sym_subscript_argument_list,
    ACTIONS(7437), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7445), 2,
      anon_sym_PIPE,
      anon_sym_bitor,
    ACTIONS(7447), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7449), 2,
      anon_sym_AMP,
      anon_sym_bitand,
    ACTIONS(7451), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7457), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7469), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7473), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7439), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7453), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(7144), 5,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      sym_identifier,
    ACTIONS(7146), 14,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [38927] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7220), 1,
      anon_sym_LPAREN2,
    ACTIONS(7459), 1,
      anon_sym_LBRACK,
    ACTIONS(7471), 1,
      anon_sym_DOT,
    STATE(4356), 1,
      sym_argument_list,
    STATE(4362), 1,
      sym_subscript_argument_list,
    ACTIONS(7437), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7457), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7469), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7473), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7439), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6930), 17,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      sym_identifier,
    ACTIONS(6932), 22,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
  [39010] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7220), 1,
      anon_sym_LPAREN2,
    ACTIONS(7459), 1,
      anon_sym_LBRACK,
    ACTIONS(7471), 1,
      anon_sym_DOT,
    STATE(4356), 1,
      sym_argument_list,
    STATE(4362), 1,
      sym_subscript_argument_list,
    ACTIONS(7437), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7469), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7473), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7439), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6930), 19,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      sym_identifier,
    ACTIONS(6932), 22,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
  [39091] = 52,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7300), 1,
      anon_sym_LPAREN2,
    ACTIONS(7521), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7523), 1,
      anon_sym_COMMA,
    ACTIONS(7527), 1,
      anon_sym_DASH,
    ACTIONS(7529), 1,
      anon_sym_PLUS,
    ACTIONS(7531), 1,
      anon_sym_STAR,
    ACTIONS(7533), 1,
      anon_sym_SLASH,
    ACTIONS(7535), 1,
      anon_sym_PERCENT,
    ACTIONS(7537), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7539), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7541), 1,
      anon_sym_PIPE,
    ACTIONS(7543), 1,
      anon_sym_CARET,
    ACTIONS(7545), 1,
      anon_sym_AMP,
    ACTIONS(7547), 1,
      anon_sym_EQ_EQ,
    ACTIONS(7549), 1,
      anon_sym_BANG_EQ,
    ACTIONS(7551), 1,
      anon_sym_GT,
    ACTIONS(7553), 1,
      anon_sym_GT_EQ,
    ACTIONS(7555), 1,
      anon_sym_LT_EQ,
    ACTIONS(7557), 1,
      anon_sym_LT,
    ACTIONS(7559), 1,
      anon_sym_LT_LT,
    ACTIONS(7561), 1,
      anon_sym_GT_GT,
    ACTIONS(7563), 1,
      anon_sym_LBRACK,
    ACTIONS(7565), 1,
      anon_sym_EQ,
    ACTIONS(7567), 1,
      anon_sym_QMARK,
    ACTIONS(7569), 1,
      anon_sym_STAR_EQ,
    ACTIONS(7571), 1,
      anon_sym_SLASH_EQ,
    ACTIONS(7573), 1,
      anon_sym_PERCENT_EQ,
    ACTIONS(7575), 1,
      anon_sym_PLUS_EQ,
    ACTIONS(7577), 1,
      anon_sym_DASH_EQ,
    ACTIONS(7579), 1,
      anon_sym_LT_LT_EQ,
    ACTIONS(7581), 1,
      anon_sym_GT_GT_EQ,
    ACTIONS(7583), 1,
      anon_sym_AMP_EQ,
    ACTIONS(7585), 1,
      anon_sym_CARET_EQ,
    ACTIONS(7587), 1,
      anon_sym_PIPE_EQ,
    ACTIONS(7591), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7593), 1,
      anon_sym_or,
    ACTIONS(7595), 1,
      anon_sym_and,
    ACTIONS(7597), 1,
      anon_sym_bitor,
    ACTIONS(7599), 1,
      anon_sym_xor,
    ACTIONS(7601), 1,
      anon_sym_bitand,
    ACTIONS(7603), 1,
      anon_sym_not_eq,
    ACTIONS(7609), 1,
      anon_sym_DOT_STAR,
    ACTIONS(7611), 1,
      anon_sym_DASH_GT_STAR,
    ACTIONS(7619), 1,
      anon_sym_RPAREN,
    STATE(2387), 1,
      sym__binary_fold_operator,
    STATE(4682), 1,
      sym_subscript_argument_list,
    STATE(4692), 1,
      sym_argument_list,
    STATE(10019), 1,
      sym__fold_operator,
    ACTIONS(7605), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7607), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7589), 3,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
  [39252] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7220), 1,
      anon_sym_LPAREN2,
    ACTIONS(7459), 1,
      anon_sym_LBRACK,
    ACTIONS(7471), 1,
      anon_sym_DOT,
    STATE(4356), 1,
      sym_argument_list,
    STATE(4362), 1,
      sym_subscript_argument_list,
    ACTIONS(7469), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7473), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7439), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6930), 21,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      sym_identifier,
    ACTIONS(6932), 22,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
  [39331] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7220), 1,
      anon_sym_LPAREN2,
    ACTIONS(7441), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7443), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7455), 1,
      anon_sym_GT_EQ,
    ACTIONS(7459), 1,
      anon_sym_LBRACK,
    ACTIONS(7461), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7463), 1,
      anon_sym_or,
    ACTIONS(7465), 1,
      anon_sym_and,
    ACTIONS(7467), 1,
      anon_sym_not_eq,
    ACTIONS(7471), 1,
      anon_sym_DOT,
    STATE(4356), 1,
      sym_argument_list,
    STATE(4362), 1,
      sym_subscript_argument_list,
    ACTIONS(7437), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7445), 2,
      anon_sym_PIPE,
      anon_sym_bitor,
    ACTIONS(7447), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7449), 2,
      anon_sym_AMP,
      anon_sym_bitand,
    ACTIONS(7451), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7457), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7469), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7473), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7439), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7453), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(7320), 5,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      sym_identifier,
    ACTIONS(7322), 16,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [39438] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7414), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_literal_suffix,
    ACTIONS(7416), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [39501] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6005), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6007), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [39564] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7220), 1,
      anon_sym_LPAREN2,
    ACTIONS(7441), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7443), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7455), 1,
      anon_sym_GT_EQ,
    ACTIONS(7459), 1,
      anon_sym_LBRACK,
    ACTIONS(7461), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7463), 1,
      anon_sym_or,
    ACTIONS(7465), 1,
      anon_sym_and,
    ACTIONS(7467), 1,
      anon_sym_not_eq,
    ACTIONS(7471), 1,
      anon_sym_DOT,
    ACTIONS(7483), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7485), 1,
      anon_sym_QMARK,
    STATE(4356), 1,
      sym_argument_list,
    STATE(4362), 1,
      sym_subscript_argument_list,
    ACTIONS(7437), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7445), 2,
      anon_sym_PIPE,
      anon_sym_bitor,
    ACTIONS(7447), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7449), 2,
      anon_sym_AMP,
      anon_sym_bitand,
    ACTIONS(7451), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7457), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7469), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7473), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7439), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7453), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(7391), 5,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      sym_identifier,
    ACTIONS(7393), 14,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [39675] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6065), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(6067), 43,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_COLON,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [39738] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6065), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(6067), 43,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_COLON,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [39801] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6107), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(6109), 43,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_COLON,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [39864] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6087), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(6089), 43,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_COLON,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [39927] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6069), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(6071), 43,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_COLON,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [39990] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6083), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(6085), 43,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_COLON,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [40053] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6135), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(6137), 43,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_COLON,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [40116] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6440), 1,
      anon_sym_LPAREN2,
    ACTIONS(6879), 1,
      anon_sym_LBRACK,
    ACTIONS(6883), 1,
      anon_sym_DOT,
    ACTIONS(7481), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7495), 1,
      anon_sym_AMP,
    ACTIONS(7501), 1,
      anon_sym_GT_EQ,
    ACTIONS(7511), 1,
      anon_sym_bitand,
    STATE(3592), 1,
      sym_subscript_argument_list,
    STATE(3604), 1,
      sym_argument_list,
    ACTIONS(6881), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6885), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7475), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7479), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7477), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7497), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7499), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6930), 6,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6932), 23,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_bitor,
  [40211] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6041), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(6043), 43,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_COLON,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [40274] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7220), 1,
      anon_sym_LPAREN2,
    ACTIONS(7455), 1,
      anon_sym_GT_EQ,
    ACTIONS(7459), 1,
      anon_sym_LBRACK,
    ACTIONS(7461), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7467), 1,
      anon_sym_not_eq,
    ACTIONS(7471), 1,
      anon_sym_DOT,
    STATE(4356), 1,
      sym_argument_list,
    STATE(4362), 1,
      sym_subscript_argument_list,
    ACTIONS(7437), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7445), 2,
      anon_sym_PIPE,
      anon_sym_bitor,
    ACTIONS(7447), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7449), 2,
      anon_sym_AMP,
      anon_sym_bitand,
    ACTIONS(7451), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7457), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7469), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7473), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7439), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7453), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6930), 7,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      sym_identifier,
    ACTIONS(6932), 18,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [40373] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6991), 1,
      anon_sym___attribute__,
    STATE(4252), 1,
      sym_attribute_specifier,
    ACTIONS(6181), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6183), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [40440] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7220), 1,
      anon_sym_LPAREN2,
    ACTIONS(7441), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7443), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7455), 1,
      anon_sym_GT_EQ,
    ACTIONS(7459), 1,
      anon_sym_LBRACK,
    ACTIONS(7461), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7463), 1,
      anon_sym_or,
    ACTIONS(7465), 1,
      anon_sym_and,
    ACTIONS(7467), 1,
      anon_sym_not_eq,
    ACTIONS(7471), 1,
      anon_sym_DOT,
    STATE(4356), 1,
      sym_argument_list,
    STATE(4362), 1,
      sym_subscript_argument_list,
    ACTIONS(7437), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7445), 2,
      anon_sym_PIPE,
      anon_sym_bitor,
    ACTIONS(7447), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7449), 2,
      anon_sym_AMP,
      anon_sym_bitand,
    ACTIONS(7451), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7457), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7469), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7473), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7439), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7453), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(7369), 5,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      sym_identifier,
    ACTIONS(7371), 16,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [40547] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4180), 1,
      anon_sym_LBRACE,
    ACTIONS(7513), 1,
      anon_sym_LPAREN2,
    ACTIONS(7515), 1,
      anon_sym_LBRACK,
    ACTIONS(7517), 1,
      sym_auto,
    ACTIONS(7519), 1,
      anon_sym_decltype,
    STATE(4608), 1,
      sym_decltype_auto,
    STATE(4639), 1,
      sym_new_declarator,
    STATE(4915), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(6448), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6450), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [40626] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6991), 1,
      anon_sym___attribute__,
    STATE(4245), 1,
      sym_attribute_specifier,
    ACTIONS(6193), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6195), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [40693] = 52,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7300), 1,
      anon_sym_LPAREN2,
    ACTIONS(7521), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7523), 1,
      anon_sym_COMMA,
    ACTIONS(7527), 1,
      anon_sym_DASH,
    ACTIONS(7529), 1,
      anon_sym_PLUS,
    ACTIONS(7531), 1,
      anon_sym_STAR,
    ACTIONS(7533), 1,
      anon_sym_SLASH,
    ACTIONS(7535), 1,
      anon_sym_PERCENT,
    ACTIONS(7537), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7539), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7541), 1,
      anon_sym_PIPE,
    ACTIONS(7543), 1,
      anon_sym_CARET,
    ACTIONS(7545), 1,
      anon_sym_AMP,
    ACTIONS(7547), 1,
      anon_sym_EQ_EQ,
    ACTIONS(7549), 1,
      anon_sym_BANG_EQ,
    ACTIONS(7551), 1,
      anon_sym_GT,
    ACTIONS(7553), 1,
      anon_sym_GT_EQ,
    ACTIONS(7555), 1,
      anon_sym_LT_EQ,
    ACTIONS(7557), 1,
      anon_sym_LT,
    ACTIONS(7559), 1,
      anon_sym_LT_LT,
    ACTIONS(7561), 1,
      anon_sym_GT_GT,
    ACTIONS(7563), 1,
      anon_sym_LBRACK,
    ACTIONS(7565), 1,
      anon_sym_EQ,
    ACTIONS(7567), 1,
      anon_sym_QMARK,
    ACTIONS(7569), 1,
      anon_sym_STAR_EQ,
    ACTIONS(7571), 1,
      anon_sym_SLASH_EQ,
    ACTIONS(7573), 1,
      anon_sym_PERCENT_EQ,
    ACTIONS(7575), 1,
      anon_sym_PLUS_EQ,
    ACTIONS(7577), 1,
      anon_sym_DASH_EQ,
    ACTIONS(7579), 1,
      anon_sym_LT_LT_EQ,
    ACTIONS(7581), 1,
      anon_sym_GT_GT_EQ,
    ACTIONS(7583), 1,
      anon_sym_AMP_EQ,
    ACTIONS(7585), 1,
      anon_sym_CARET_EQ,
    ACTIONS(7587), 1,
      anon_sym_PIPE_EQ,
    ACTIONS(7591), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7593), 1,
      anon_sym_or,
    ACTIONS(7595), 1,
      anon_sym_and,
    ACTIONS(7597), 1,
      anon_sym_bitor,
    ACTIONS(7599), 1,
      anon_sym_xor,
    ACTIONS(7601), 1,
      anon_sym_bitand,
    ACTIONS(7603), 1,
      anon_sym_not_eq,
    ACTIONS(7609), 1,
      anon_sym_DOT_STAR,
    ACTIONS(7611), 1,
      anon_sym_DASH_GT_STAR,
    ACTIONS(7621), 1,
      anon_sym_RPAREN,
    STATE(2387), 1,
      sym__binary_fold_operator,
    STATE(4682), 1,
      sym_subscript_argument_list,
    STATE(4692), 1,
      sym_argument_list,
    STATE(10019), 1,
      sym__fold_operator,
    ACTIONS(7605), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7607), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7589), 3,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
  [40854] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6037), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6039), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [40917] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6440), 1,
      anon_sym_LPAREN2,
    ACTIONS(6879), 1,
      anon_sym_LBRACK,
    ACTIONS(6883), 1,
      anon_sym_DOT,
    ACTIONS(7379), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7391), 1,
      anon_sym_EQ,
    ACTIONS(7481), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7487), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7489), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7491), 1,
      anon_sym_PIPE,
    ACTIONS(7495), 1,
      anon_sym_AMP,
    ACTIONS(7501), 1,
      anon_sym_GT_EQ,
    ACTIONS(7503), 1,
      anon_sym_QMARK,
    ACTIONS(7505), 1,
      anon_sym_or,
    ACTIONS(7507), 1,
      anon_sym_and,
    ACTIONS(7509), 1,
      anon_sym_bitor,
    ACTIONS(7511), 1,
      anon_sym_bitand,
    STATE(3592), 1,
      sym_subscript_argument_list,
    STATE(3604), 1,
      sym_argument_list,
    ACTIONS(6881), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6885), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7475), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7479), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7493), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7477), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7497), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7499), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(7393), 18,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
  [41030] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6111), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(6113), 43,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_COLON,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [41093] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6073), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(6075), 43,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_COLON,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [41156] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7613), 1,
      anon_sym_LPAREN2,
    ACTIONS(7615), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7617), 1,
      anon_sym_LBRACK,
    STATE(4439), 1,
      sym_parameter_list,
    STATE(4141), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(6648), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6650), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [41229] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2230), 1,
      anon_sym_COLON_COLON,
    ACTIONS(2234), 1,
      anon_sym_LBRACE,
    ACTIONS(4556), 1,
      anon_sym_LT,
    STATE(3964), 1,
      sym_template_argument_list,
    ACTIONS(4551), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(4546), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [41300] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7220), 1,
      anon_sym_LPAREN2,
    ACTIONS(7459), 1,
      anon_sym_LBRACK,
    ACTIONS(7471), 1,
      anon_sym_DOT,
    STATE(4356), 1,
      sym_argument_list,
    STATE(4362), 1,
      sym_subscript_argument_list,
    ACTIONS(7473), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6924), 24,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      sym_identifier,
    ACTIONS(6926), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
  [41375] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6991), 1,
      anon_sym___attribute__,
    STATE(4327), 1,
      sym_attribute_specifier,
    ACTIONS(6220), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6222), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [41442] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6049), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(6051), 43,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_COLON,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [41505] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6429), 4,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
    ACTIONS(6431), 10,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
    ACTIONS(4213), 19,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(4221), 22,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
  [41572] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6159), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(6161), 43,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_COLON,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [41635] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7220), 1,
      anon_sym_LPAREN2,
    ACTIONS(7459), 1,
      anon_sym_LBRACK,
    ACTIONS(7471), 1,
      anon_sym_DOT,
    STATE(4356), 1,
      sym_argument_list,
    STATE(4362), 1,
      sym_subscript_argument_list,
    ACTIONS(7469), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7473), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6910), 22,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(6908), 24,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      sym_identifier,
  [41712] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7220), 1,
      anon_sym_LPAREN2,
    ACTIONS(7459), 1,
      anon_sym_LBRACK,
    ACTIONS(7471), 1,
      anon_sym_DOT,
    STATE(4356), 1,
      sym_argument_list,
    STATE(4362), 1,
      sym_subscript_argument_list,
    ACTIONS(7469), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7473), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6918), 22,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(6916), 24,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      sym_identifier,
  [41789] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2452), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2454), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [41852] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7220), 1,
      anon_sym_LPAREN2,
    ACTIONS(7459), 1,
      anon_sym_LBRACK,
    ACTIONS(7471), 1,
      anon_sym_DOT,
    STATE(4356), 1,
      sym_argument_list,
    STATE(4362), 1,
      sym_subscript_argument_list,
    ACTIONS(7469), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7473), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6932), 22,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(6930), 24,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      sym_identifier,
  [41929] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6991), 1,
      anon_sym___attribute__,
    STATE(4312), 1,
      sym_attribute_specifier,
    ACTIONS(6212), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6214), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [41996] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6131), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6133), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [42059] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2256), 2,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
    ACTIONS(4578), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(4573), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [42124] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6991), 1,
      anon_sym___attribute__,
    STATE(4325), 1,
      sym_attribute_specifier,
    ACTIONS(6185), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6187), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [42191] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6119), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(6121), 43,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_COLON,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [42254] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6440), 1,
      anon_sym_LPAREN2,
    ACTIONS(6879), 1,
      anon_sym_LBRACK,
    ACTIONS(6883), 1,
      anon_sym_DOT,
    ACTIONS(7369), 1,
      anon_sym_EQ,
    ACTIONS(7481), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7487), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7489), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7491), 1,
      anon_sym_PIPE,
    ACTIONS(7495), 1,
      anon_sym_AMP,
    ACTIONS(7501), 1,
      anon_sym_GT_EQ,
    ACTIONS(7505), 1,
      anon_sym_or,
    ACTIONS(7507), 1,
      anon_sym_and,
    ACTIONS(7509), 1,
      anon_sym_bitor,
    ACTIONS(7511), 1,
      anon_sym_bitand,
    STATE(3592), 1,
      sym_subscript_argument_list,
    STATE(3604), 1,
      sym_argument_list,
    ACTIONS(6881), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6885), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7475), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7479), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7493), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7477), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7497), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7499), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(7371), 20,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
  [42363] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5931), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5933), 43,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_COLON,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [42426] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6440), 1,
      anon_sym_LPAREN2,
    ACTIONS(6879), 1,
      anon_sym_LBRACK,
    ACTIONS(6883), 1,
      anon_sym_DOT,
    ACTIONS(7481), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7501), 1,
      anon_sym_GT_EQ,
    STATE(3592), 1,
      sym_subscript_argument_list,
    STATE(3604), 1,
      sym_argument_list,
    ACTIONS(6881), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6885), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7475), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7479), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7477), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7499), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6930), 7,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6932), 27,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [42515] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6143), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(6145), 43,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_COLON,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [42578] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6151), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(6153), 43,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_COLON,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [42641] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6033), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(6035), 43,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_COLON,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [42704] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7220), 1,
      anon_sym_LPAREN2,
    ACTIONS(7459), 1,
      anon_sym_LBRACK,
    ACTIONS(7471), 1,
      anon_sym_DOT,
    STATE(4356), 1,
      sym_argument_list,
    STATE(4362), 1,
      sym_subscript_argument_list,
    ACTIONS(7469), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7473), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6936), 22,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(6934), 24,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      sym_identifier,
  [42781] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7220), 1,
      anon_sym_LPAREN2,
    ACTIONS(7459), 1,
      anon_sym_LBRACK,
    ACTIONS(7471), 1,
      anon_sym_DOT,
    STATE(4356), 1,
      sym_argument_list,
    STATE(4362), 1,
      sym_subscript_argument_list,
    ACTIONS(7473), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6904), 24,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      sym_identifier,
    ACTIONS(6906), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
  [42856] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6440), 1,
      anon_sym_LPAREN2,
    ACTIONS(6879), 1,
      anon_sym_LBRACK,
    ACTIONS(6883), 1,
      anon_sym_DOT,
    ACTIONS(7383), 1,
      anon_sym_EQ,
    ACTIONS(7481), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7487), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7489), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7491), 1,
      anon_sym_PIPE,
    ACTIONS(7495), 1,
      anon_sym_AMP,
    ACTIONS(7501), 1,
      anon_sym_GT_EQ,
    ACTIONS(7505), 1,
      anon_sym_or,
    ACTIONS(7507), 1,
      anon_sym_and,
    ACTIONS(7509), 1,
      anon_sym_bitor,
    ACTIONS(7511), 1,
      anon_sym_bitand,
    STATE(3592), 1,
      sym_subscript_argument_list,
    STATE(3604), 1,
      sym_argument_list,
    ACTIONS(6881), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6885), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7475), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7479), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7493), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7477), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7497), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7499), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(7385), 20,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
  [42965] = 52,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7300), 1,
      anon_sym_LPAREN2,
    ACTIONS(7521), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7523), 1,
      anon_sym_COMMA,
    ACTIONS(7527), 1,
      anon_sym_DASH,
    ACTIONS(7529), 1,
      anon_sym_PLUS,
    ACTIONS(7531), 1,
      anon_sym_STAR,
    ACTIONS(7533), 1,
      anon_sym_SLASH,
    ACTIONS(7535), 1,
      anon_sym_PERCENT,
    ACTIONS(7537), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7539), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7541), 1,
      anon_sym_PIPE,
    ACTIONS(7543), 1,
      anon_sym_CARET,
    ACTIONS(7545), 1,
      anon_sym_AMP,
    ACTIONS(7547), 1,
      anon_sym_EQ_EQ,
    ACTIONS(7549), 1,
      anon_sym_BANG_EQ,
    ACTIONS(7551), 1,
      anon_sym_GT,
    ACTIONS(7553), 1,
      anon_sym_GT_EQ,
    ACTIONS(7555), 1,
      anon_sym_LT_EQ,
    ACTIONS(7557), 1,
      anon_sym_LT,
    ACTIONS(7559), 1,
      anon_sym_LT_LT,
    ACTIONS(7561), 1,
      anon_sym_GT_GT,
    ACTIONS(7563), 1,
      anon_sym_LBRACK,
    ACTIONS(7565), 1,
      anon_sym_EQ,
    ACTIONS(7567), 1,
      anon_sym_QMARK,
    ACTIONS(7569), 1,
      anon_sym_STAR_EQ,
    ACTIONS(7571), 1,
      anon_sym_SLASH_EQ,
    ACTIONS(7573), 1,
      anon_sym_PERCENT_EQ,
    ACTIONS(7575), 1,
      anon_sym_PLUS_EQ,
    ACTIONS(7577), 1,
      anon_sym_DASH_EQ,
    ACTIONS(7579), 1,
      anon_sym_LT_LT_EQ,
    ACTIONS(7581), 1,
      anon_sym_GT_GT_EQ,
    ACTIONS(7583), 1,
      anon_sym_AMP_EQ,
    ACTIONS(7585), 1,
      anon_sym_CARET_EQ,
    ACTIONS(7587), 1,
      anon_sym_PIPE_EQ,
    ACTIONS(7591), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7593), 1,
      anon_sym_or,
    ACTIONS(7595), 1,
      anon_sym_and,
    ACTIONS(7597), 1,
      anon_sym_bitor,
    ACTIONS(7599), 1,
      anon_sym_xor,
    ACTIONS(7601), 1,
      anon_sym_bitand,
    ACTIONS(7603), 1,
      anon_sym_not_eq,
    ACTIONS(7609), 1,
      anon_sym_DOT_STAR,
    ACTIONS(7611), 1,
      anon_sym_DASH_GT_STAR,
    ACTIONS(7623), 1,
      anon_sym_RPAREN,
    STATE(2387), 1,
      sym__binary_fold_operator,
    STATE(4682), 1,
      sym_subscript_argument_list,
    STATE(4692), 1,
      sym_argument_list,
    STATE(10019), 1,
      sym__fold_operator,
    ACTIONS(7605), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7607), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7589), 3,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
  [43126] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7304), 1,
      sym_auto,
    ACTIONS(7306), 1,
      anon_sym_decltype,
    STATE(4099), 1,
      sym_decltype_auto,
    ACTIONS(6021), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6023), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [43195] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6053), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6055), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [43258] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4180), 1,
      anon_sym_LBRACE,
    ACTIONS(7513), 1,
      anon_sym_LPAREN2,
    ACTIONS(7515), 1,
      anon_sym_LBRACK,
    ACTIONS(7517), 1,
      sym_auto,
    ACTIONS(7519), 1,
      anon_sym_decltype,
    STATE(4518), 1,
      sym_new_declarator,
    STATE(4608), 1,
      sym_decltype_auto,
    STATE(4932), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(6436), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6438), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [43337] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6440), 1,
      anon_sym_LPAREN2,
    ACTIONS(6879), 1,
      anon_sym_LBRACK,
    ACTIONS(6883), 1,
      anon_sym_DOT,
    ACTIONS(7373), 1,
      anon_sym_EQ,
    ACTIONS(7481), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7487), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7489), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7491), 1,
      anon_sym_PIPE,
    ACTIONS(7495), 1,
      anon_sym_AMP,
    ACTIONS(7501), 1,
      anon_sym_GT_EQ,
    ACTIONS(7505), 1,
      anon_sym_or,
    ACTIONS(7507), 1,
      anon_sym_and,
    ACTIONS(7509), 1,
      anon_sym_bitor,
    ACTIONS(7511), 1,
      anon_sym_bitand,
    STATE(3592), 1,
      sym_subscript_argument_list,
    STATE(3604), 1,
      sym_argument_list,
    ACTIONS(6881), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6885), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7475), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7479), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7493), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7477), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7497), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7499), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(7375), 20,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
  [43446] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7220), 1,
      anon_sym_LPAREN2,
    ACTIONS(7459), 1,
      anon_sym_LBRACK,
    ACTIONS(7471), 1,
      anon_sym_DOT,
    STATE(4356), 1,
      sym_argument_list,
    STATE(4362), 1,
      sym_subscript_argument_list,
    ACTIONS(7469), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7473), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6877), 22,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(6875), 24,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      sym_identifier,
  [43523] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6991), 1,
      anon_sym___attribute__,
    STATE(4320), 1,
      sym_attribute_specifier,
    ACTIONS(6231), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6233), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [43590] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7220), 1,
      anon_sym_LPAREN2,
    ACTIONS(7441), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7443), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7455), 1,
      anon_sym_GT_EQ,
    ACTIONS(7459), 1,
      anon_sym_LBRACK,
    ACTIONS(7461), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7463), 1,
      anon_sym_or,
    ACTIONS(7465), 1,
      anon_sym_and,
    ACTIONS(7467), 1,
      anon_sym_not_eq,
    ACTIONS(7471), 1,
      anon_sym_DOT,
    STATE(4356), 1,
      sym_argument_list,
    STATE(4362), 1,
      sym_subscript_argument_list,
    ACTIONS(7437), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7445), 2,
      anon_sym_PIPE,
      anon_sym_bitor,
    ACTIONS(7447), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7449), 2,
      anon_sym_AMP,
      anon_sym_bitand,
    ACTIONS(7451), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7457), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7469), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7473), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7439), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7453), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(7373), 5,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      sym_identifier,
    ACTIONS(7375), 16,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [43697] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6991), 1,
      anon_sym___attribute__,
    STATE(4359), 1,
      sym_attribute_specifier,
    ACTIONS(6204), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6206), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [43764] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7613), 1,
      anon_sym_LPAREN2,
    ACTIONS(7615), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7617), 1,
      anon_sym_LBRACK,
    STATE(4439), 1,
      sym_parameter_list,
    STATE(4141), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(6652), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6654), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [43837] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6029), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(6031), 43,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_COLON,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [43900] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6440), 1,
      anon_sym_LPAREN2,
    ACTIONS(6879), 1,
      anon_sym_LBRACK,
    ACTIONS(6883), 1,
      anon_sym_DOT,
    ACTIONS(7481), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7495), 1,
      anon_sym_AMP,
    ACTIONS(7501), 1,
      anon_sym_GT_EQ,
    ACTIONS(7511), 1,
      anon_sym_bitand,
    STATE(3592), 1,
      sym_subscript_argument_list,
    STATE(3604), 1,
      sym_argument_list,
    ACTIONS(6881), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6885), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7475), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7479), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7493), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7477), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7497), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7499), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6930), 4,
      anon_sym_PIPE,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
    ACTIONS(6932), 23,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_bitor,
  [43997] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7220), 1,
      anon_sym_LPAREN2,
    ACTIONS(7455), 1,
      anon_sym_GT_EQ,
    ACTIONS(7459), 1,
      anon_sym_LBRACK,
    ACTIONS(7461), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7467), 1,
      anon_sym_not_eq,
    ACTIONS(7471), 1,
      anon_sym_DOT,
    STATE(4356), 1,
      sym_argument_list,
    STATE(4362), 1,
      sym_subscript_argument_list,
    ACTIONS(7437), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7449), 2,
      anon_sym_AMP,
      anon_sym_bitand,
    ACTIONS(7451), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7457), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7469), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7473), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7439), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7453), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6930), 11,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      sym_identifier,
    ACTIONS(6932), 18,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [44092] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6115), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(6117), 43,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_COLON,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [44155] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6025), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(6027), 43,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_COLON,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [44218] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6440), 1,
      anon_sym_LPAREN2,
    ACTIONS(6879), 1,
      anon_sym_LBRACK,
    ACTIONS(6883), 1,
      anon_sym_DOT,
    ACTIONS(7320), 1,
      anon_sym_EQ,
    ACTIONS(7481), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7487), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7489), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7491), 1,
      anon_sym_PIPE,
    ACTIONS(7495), 1,
      anon_sym_AMP,
    ACTIONS(7501), 1,
      anon_sym_GT_EQ,
    ACTIONS(7505), 1,
      anon_sym_or,
    ACTIONS(7507), 1,
      anon_sym_and,
    ACTIONS(7509), 1,
      anon_sym_bitor,
    ACTIONS(7511), 1,
      anon_sym_bitand,
    STATE(3592), 1,
      sym_subscript_argument_list,
    STATE(3604), 1,
      sym_argument_list,
    ACTIONS(6881), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6885), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7475), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7479), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7493), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7477), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7497), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7499), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(7322), 20,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
  [44327] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2264), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2266), 39,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_DASH_GT_STAR,
  [44390] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6115), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(6117), 43,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_COLON,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [44453] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6991), 1,
      anon_sym___attribute__,
    STATE(4337), 1,
      sym_attribute_specifier,
    ACTIONS(6235), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6237), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [44520] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6991), 1,
      anon_sym___attribute__,
    STATE(4363), 1,
      sym_attribute_specifier,
    ACTIONS(6208), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6210), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [44587] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6440), 1,
      anon_sym_LPAREN2,
    ACTIONS(6879), 1,
      anon_sym_LBRACK,
    ACTIONS(6883), 1,
      anon_sym_DOT,
    ACTIONS(7481), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7491), 1,
      anon_sym_PIPE,
    ACTIONS(7495), 1,
      anon_sym_AMP,
    ACTIONS(7501), 1,
      anon_sym_GT_EQ,
    ACTIONS(7509), 1,
      anon_sym_bitor,
    ACTIONS(7511), 1,
      anon_sym_bitand,
    STATE(3592), 1,
      sym_subscript_argument_list,
    STATE(3604), 1,
      sym_argument_list,
    ACTIONS(6881), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6885), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7475), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7479), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7493), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(6930), 3,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
    ACTIONS(7477), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7497), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7499), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6932), 22,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
  [44688] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7220), 1,
      anon_sym_LPAREN2,
    ACTIONS(7459), 1,
      anon_sym_LBRACK,
    ACTIONS(7461), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7471), 1,
      anon_sym_DOT,
    STATE(4356), 1,
      sym_argument_list,
    STATE(4362), 1,
      sym_subscript_argument_list,
    ACTIONS(7437), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7457), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7469), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7473), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7439), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6930), 17,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      sym_identifier,
    ACTIONS(6932), 21,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [44773] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6991), 1,
      anon_sym___attribute__,
    STATE(4365), 1,
      sym_attribute_specifier,
    ACTIONS(6224), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6226), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [44840] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6095), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(6097), 43,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_COLON,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [44903] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6123), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(6125), 43,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_COLON,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [44966] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6440), 1,
      anon_sym_LPAREN2,
    ACTIONS(6879), 1,
      anon_sym_LBRACK,
    ACTIONS(6883), 1,
      anon_sym_DOT,
    STATE(3592), 1,
      sym_subscript_argument_list,
    STATE(3604), 1,
      sym_argument_list,
    ACTIONS(6881), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6885), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7477), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6930), 14,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6932), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [45045] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2230), 1,
      anon_sym_COLON_COLON,
    ACTIONS(2234), 1,
      anon_sym_LBRACE,
    ACTIONS(4615), 1,
      anon_sym_LT,
    STATE(4161), 1,
      sym_template_argument_list,
    ACTIONS(4551), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4546), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [45116] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6440), 1,
      anon_sym_LPAREN2,
    ACTIONS(6879), 1,
      anon_sym_LBRACK,
    ACTIONS(6883), 1,
      anon_sym_DOT,
    ACTIONS(7481), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7489), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7491), 1,
      anon_sym_PIPE,
    ACTIONS(7495), 1,
      anon_sym_AMP,
    ACTIONS(7501), 1,
      anon_sym_GT_EQ,
    ACTIONS(7507), 1,
      anon_sym_and,
    ACTIONS(7509), 1,
      anon_sym_bitor,
    ACTIONS(7511), 1,
      anon_sym_bitand,
    STATE(3592), 1,
      sym_subscript_argument_list,
    STATE(3604), 1,
      sym_argument_list,
    ACTIONS(6881), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6885), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6930), 2,
      anon_sym_EQ,
      anon_sym_or,
    ACTIONS(7475), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7479), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7493), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7477), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7497), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7499), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6932), 21,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
  [45221] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7220), 1,
      anon_sym_LPAREN2,
    ACTIONS(7455), 1,
      anon_sym_GT_EQ,
    ACTIONS(7459), 1,
      anon_sym_LBRACK,
    ACTIONS(7461), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7467), 1,
      anon_sym_not_eq,
    ACTIONS(7471), 1,
      anon_sym_DOT,
    STATE(4356), 1,
      sym_argument_list,
    STATE(4362), 1,
      sym_subscript_argument_list,
    ACTIONS(7437), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7447), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7449), 2,
      anon_sym_AMP,
      anon_sym_bitand,
    ACTIONS(7451), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7457), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7469), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7473), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7439), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7453), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6930), 9,
      anon_sym_PIPE,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      sym_identifier,
    ACTIONS(6932), 18,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [45318] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6440), 1,
      anon_sym_LPAREN2,
    ACTIONS(6879), 1,
      anon_sym_LBRACK,
    ACTIONS(6883), 1,
      anon_sym_DOT,
    ACTIONS(7481), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7501), 1,
      anon_sym_GT_EQ,
    STATE(3592), 1,
      sym_subscript_argument_list,
    STATE(3604), 1,
      sym_argument_list,
    ACTIONS(6881), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6885), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7475), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7479), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7477), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7497), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7499), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6930), 7,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6932), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_bitor,
      anon_sym_bitand,
  [45409] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6440), 1,
      anon_sym_LPAREN2,
    ACTIONS(6879), 1,
      anon_sym_LBRACK,
    ACTIONS(6883), 1,
      anon_sym_DOT,
    ACTIONS(7379), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7387), 1,
      anon_sym_EQ,
    ACTIONS(7481), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7487), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7489), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7491), 1,
      anon_sym_PIPE,
    ACTIONS(7495), 1,
      anon_sym_AMP,
    ACTIONS(7501), 1,
      anon_sym_GT_EQ,
    ACTIONS(7503), 1,
      anon_sym_QMARK,
    ACTIONS(7505), 1,
      anon_sym_or,
    ACTIONS(7507), 1,
      anon_sym_and,
    ACTIONS(7509), 1,
      anon_sym_bitor,
    ACTIONS(7511), 1,
      anon_sym_bitand,
    STATE(3592), 1,
      sym_subscript_argument_list,
    STATE(3604), 1,
      sym_argument_list,
    ACTIONS(6881), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6885), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7475), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7479), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7493), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7477), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7497), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7499), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(7389), 18,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
  [45522] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2230), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6851), 1,
      anon_sym_LT,
    STATE(4107), 1,
      sym_template_argument_list,
    ACTIONS(6811), 24,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6813), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [45591] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6991), 1,
      anon_sym___attribute__,
    STATE(4345), 1,
      sym_attribute_specifier,
    ACTIONS(6216), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6218), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [45658] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6147), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(6149), 43,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_COLON,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [45721] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6991), 1,
      anon_sym___attribute__,
    STATE(4373), 1,
      sym_attribute_specifier,
    ACTIONS(6189), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6191), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [45788] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2230), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6851), 1,
      anon_sym_LT,
    STATE(4107), 1,
      sym_template_argument_list,
    ACTIONS(6819), 24,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6821), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [45857] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1486), 1,
      anon_sym_template,
    ACTIONS(2588), 1,
      anon_sym_operator,
    ACTIONS(2877), 1,
      anon_sym_TILDE,
    ACTIONS(3148), 1,
      anon_sym_decltype,
    ACTIONS(4395), 1,
      anon_sym_LPAREN2,
    ACTIONS(6738), 1,
      sym_identifier,
    ACTIONS(6750), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6752), 1,
      anon_sym_LBRACK,
    ACTIONS(6867), 1,
      anon_sym_STAR,
    ACTIONS(6869), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6871), 1,
      anon_sym_AMP,
    ACTIONS(7397), 1,
      anon_sym_COLON,
    STATE(5014), 1,
      sym_parameter_list,
    STATE(7058), 1,
      sym__scope_resolution,
    STATE(7291), 1,
      sym__declarator,
    STATE(7422), 1,
      sym__function_declarator_seq,
    STATE(8016), 1,
      sym__abstract_declarator,
    STATE(9827), 1,
      sym_ms_based_modifier,
    ACTIONS(7395), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    STATE(6248), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(10317), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(7436), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    STATE(7680), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(4379), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [45965] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2186), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(2188), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [46027] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2182), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(2184), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [46089] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6053), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6055), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [46151] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6684), 26,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6686), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [46213] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7414), 26,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_literal_suffix,
    ACTIONS(7416), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [46275] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6563), 1,
      sym_literal_suffix,
    ACTIONS(4221), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(4213), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [46339] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5931), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5933), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [46401] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6139), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6141), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [46463] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6861), 26,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6863), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [46525] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6151), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6153), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [46587] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5970), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5972), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [46649] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6045), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6047), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [46711] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2396), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(2398), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [46773] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6069), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6071), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [46835] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7625), 1,
      anon_sym_LPAREN2,
    ACTIONS(7627), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7629), 1,
      anon_sym_LBRACK,
    STATE(4659), 1,
      sym_parameter_list,
    STATE(4186), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(6630), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6632), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [46907] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2262), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5931), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5933), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [46971] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1486), 1,
      anon_sym_template,
    ACTIONS(2588), 1,
      anon_sym_operator,
    ACTIONS(2877), 1,
      anon_sym_TILDE,
    ACTIONS(3148), 1,
      anon_sym_decltype,
    ACTIONS(4395), 1,
      anon_sym_LPAREN2,
    ACTIONS(6738), 1,
      sym_identifier,
    ACTIONS(6748), 1,
      anon_sym_COLON,
    ACTIONS(6750), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6752), 1,
      anon_sym_LBRACK,
    ACTIONS(6898), 1,
      anon_sym_STAR,
    ACTIONS(6900), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6902), 1,
      anon_sym_AMP,
    STATE(4987), 1,
      sym_parameter_list,
    STATE(7058), 1,
      sym__scope_resolution,
    STATE(7261), 1,
      sym__declarator,
    STATE(7422), 1,
      sym__function_declarator_seq,
    STATE(8021), 1,
      sym__abstract_declarator,
    STATE(9827), 1,
      sym_ms_based_modifier,
    ACTIONS(6740), 2,
      anon_sym_COMMA,
      anon_sym_GT2,
    STATE(6248), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(10317), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(7436), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    STATE(7680), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(4379), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [47079] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3914), 1,
      anon_sym_DQUOTE_DQUOTE,
    ACTIONS(7631), 2,
      anon_sym_delete,
      anon_sym_new,
    ACTIONS(3900), 20,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_not,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DASH_GT,
    ACTIONS(3898), 31,
      anon_sym_COMMA,
      anon_sym_TILDE,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_compl,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_co_await,
      anon_sym_DASH_GT_STAR,
      anon_sym_LPAREN_RPAREN,
      anon_sym_LBRACK_RBRACK,
  [47145] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2178), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(2180), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [47207] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2256), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6826), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6828), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [47271] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7633), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(4108), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(6688), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6690), 31,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [47337] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2200), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(2202), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [47399] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3966), 1,
      anon_sym_DQUOTE_DQUOTE,
    ACTIONS(7636), 2,
      anon_sym_delete,
      anon_sym_new,
    ACTIONS(3962), 20,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_not,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DASH_GT,
    ACTIONS(3960), 31,
      anon_sym_COMMA,
      anon_sym_TILDE,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_compl,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_co_await,
      anon_sym_DASH_GT_STAR,
      anon_sym_LPAREN_RPAREN,
      anon_sym_LBRACK_RBRACK,
  [47465] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6771), 26,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6773), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [47527] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7638), 1,
      anon_sym_LT,
    STATE(4039), 1,
      sym_template_argument_list,
    ACTIONS(6944), 24,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6946), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [47593] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6775), 26,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6777), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [47655] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6961), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6963), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [47717] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6115), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6117), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [47779] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2216), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(2218), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [47841] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4172), 26,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(4174), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [47903] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6123), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6125), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [47965] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6131), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6133), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [48027] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6143), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6145), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [48089] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6460), 1,
      sym_literal_suffix,
    STATE(3682), 2,
      sym_string_literal,
      sym_raw_string_literal,
    ACTIONS(4247), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(4249), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
    ACTIONS(4221), 17,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(4213), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [48159] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4094), 1,
      anon_sym_LBRACE,
    ACTIONS(7300), 1,
      anon_sym_LPAREN2,
    STATE(4585), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(6666), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6668), 31,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [48227] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6783), 26,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6785), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [48289] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6765), 26,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6767), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [48351] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6147), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6149), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [48413] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6734), 26,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6736), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [48475] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2212), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(2214), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [48537] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6073), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6075), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [48599] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7647), 1,
      anon_sym_DQUOTE_DQUOTE,
    ACTIONS(7645), 2,
      anon_sym_delete,
      anon_sym_new,
    ACTIONS(7643), 20,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_not,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DASH_GT,
    ACTIONS(7641), 31,
      anon_sym_COMMA,
      anon_sym_TILDE,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_compl,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_co_await,
      anon_sym_DASH_GT_STAR,
      anon_sym_LPAREN_RPAREN,
      anon_sym_LBRACK_RBRACK,
  [48665] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6037), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6039), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [48727] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6065), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6067), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [48789] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6119), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6121), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [48851] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6025), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6027), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [48913] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6107), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6109), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [48975] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4094), 1,
      anon_sym_LBRACE,
    ACTIONS(7300), 1,
      anon_sym_LPAREN2,
    STATE(4529), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(6699), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6701), 31,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [49043] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2452), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(2454), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [49105] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7625), 1,
      anon_sym_LPAREN2,
    ACTIONS(7627), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7629), 1,
      anon_sym_LBRACK,
    STATE(4659), 1,
      sym_parameter_list,
    STATE(4186), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(6652), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6654), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [49177] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6159), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6161), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [49239] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7655), 1,
      anon_sym_DQUOTE_DQUOTE,
    ACTIONS(7653), 2,
      anon_sym_delete,
      anon_sym_new,
    ACTIONS(7651), 20,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_not,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DASH_GT,
    ACTIONS(7649), 31,
      anon_sym_COMMA,
      anon_sym_TILDE,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_compl,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_co_await,
      anon_sym_DASH_GT_STAR,
      anon_sym_LPAREN_RPAREN,
      anon_sym_LBRACK_RBRACK,
  [49305] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7290), 1,
      anon_sym___attribute__,
    ACTIONS(7412), 1,
      anon_sym_LBRACE,
    STATE(4334), 1,
      sym_enumerator_list,
    STATE(4609), 1,
      sym_attribute_specifier,
    ACTIONS(6077), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6079), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [49375] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7615), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(4108), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(6678), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6680), 31,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [49441] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6135), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6137), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [49503] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7625), 1,
      anon_sym_LPAREN2,
    ACTIONS(7627), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7629), 1,
      anon_sym_LBRACK,
    STATE(4659), 1,
      sym_parameter_list,
    STATE(4186), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(6601), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6603), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [49575] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6065), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6067), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [49637] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2208), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(2210), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [49699] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6111), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6113), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [49761] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6099), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6101), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [49823] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6065), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6067), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [49885] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6887), 26,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6889), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [49947] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4094), 1,
      anon_sym_LBRACE,
    ACTIONS(7300), 1,
      anon_sym_LPAREN2,
    STATE(4553), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(6670), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6672), 31,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [50015] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6057), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6059), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [50077] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6049), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6051), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [50139] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7663), 1,
      anon_sym_DQUOTE_DQUOTE,
    ACTIONS(7661), 2,
      anon_sym_delete,
      anon_sym_new,
    ACTIONS(7659), 20,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_not,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DASH_GT,
    ACTIONS(7657), 31,
      anon_sym_COMMA,
      anon_sym_TILDE,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_compl,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_co_await,
      anon_sym_DASH_GT_STAR,
      anon_sym_LPAREN_RPAREN,
      anon_sym_LBRACK_RBRACK,
  [50205] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6005), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6007), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [50267] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7316), 1,
      sym_auto,
    ACTIONS(7318), 1,
      anon_sym_decltype,
    STATE(4215), 1,
      sym_decltype_auto,
    ACTIONS(6021), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6023), 31,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [50335] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6706), 26,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6708), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [50397] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6041), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6043), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [50459] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2230), 1,
      anon_sym_COLON_COLON,
    ACTIONS(2234), 1,
      anon_sym_LBRACE,
    ACTIONS(6433), 1,
      anon_sym_LT,
    STATE(4284), 1,
      sym_template_argument_list,
    ACTIONS(4551), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4546), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [50529] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6563), 1,
      sym_literal_suffix,
    ACTIONS(6477), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6479), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [50593] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6710), 26,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6712), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [50655] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2256), 2,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
    ACTIONS(4578), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4573), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [50719] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6061), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6063), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [50781] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6460), 1,
      sym_literal_suffix,
    STATE(3682), 2,
      sym_string_literal,
      sym_raw_string_literal,
    ACTIONS(4247), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(4249), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
    ACTIONS(6477), 17,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6479), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [50851] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6714), 26,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6716), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [50913] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6718), 26,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6720), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [50975] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7665), 1,
      anon_sym_LBRACK_RBRACK,
    ACTIONS(6951), 26,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6953), 27,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [51039] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6083), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6085), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [51101] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6033), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6035), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [51163] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7673), 1,
      anon_sym_DQUOTE_DQUOTE,
    ACTIONS(7671), 2,
      anon_sym_delete,
      anon_sym_new,
    ACTIONS(7669), 20,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_not,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DASH_GT,
    ACTIONS(7667), 31,
      anon_sym_COMMA,
      anon_sym_TILDE,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_compl,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_co_await,
      anon_sym_DASH_GT_STAR,
      anon_sym_LPAREN_RPAREN,
      anon_sym_LBRACK_RBRACK,
  [51229] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6115), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6117), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [51291] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4094), 1,
      anon_sym_LBRACE,
    ACTIONS(7300), 1,
      anon_sym_LPAREN2,
    STATE(4629), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(6779), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6781), 31,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [51359] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6091), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6093), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [51421] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6920), 26,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6922), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [51483] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7625), 1,
      anon_sym_LPAREN2,
    ACTIONS(7627), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7629), 1,
      anon_sym_LBRACK,
    STATE(4659), 1,
      sym_parameter_list,
    STATE(4186), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(6648), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6650), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [51555] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5931), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5933), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [51617] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6087), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6089), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [51679] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4168), 26,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(4170), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [51741] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5783), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5785), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [51803] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1486), 1,
      anon_sym_template,
    ACTIONS(2588), 1,
      anon_sym_operator,
    ACTIONS(2877), 1,
      anon_sym_TILDE,
    ACTIONS(3148), 1,
      anon_sym_decltype,
    ACTIONS(4395), 1,
      anon_sym_LPAREN2,
    ACTIONS(6738), 1,
      sym_identifier,
    ACTIONS(6748), 1,
      anon_sym_COLON,
    ACTIONS(6750), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6752), 1,
      anon_sym_LBRACK,
    ACTIONS(6867), 1,
      anon_sym_STAR,
    ACTIONS(6869), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6871), 1,
      anon_sym_AMP,
    STATE(5014), 1,
      sym_parameter_list,
    STATE(7058), 1,
      sym__scope_resolution,
    STATE(7261), 1,
      sym__declarator,
    STATE(7422), 1,
      sym__function_declarator_seq,
    STATE(7999), 1,
      sym__abstract_declarator,
    STATE(9827), 1,
      sym_ms_based_modifier,
    ACTIONS(6740), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    STATE(6248), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(10317), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(7436), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    STATE(7680), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(4379), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [51911] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7290), 1,
      anon_sym___attribute__,
    ACTIONS(7412), 1,
      anon_sym_LBRACE,
    STATE(4377), 1,
      sym_enumerator_list,
    STATE(4670), 1,
      sym_attribute_specifier,
    ACTIONS(6155), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6157), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [51981] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6730), 26,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6732), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [52043] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6029), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6031), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [52105] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7681), 1,
      anon_sym_DQUOTE_DQUOTE,
    ACTIONS(7679), 2,
      anon_sym_delete,
      anon_sym_new,
    ACTIONS(7677), 20,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_not,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DASH_GT,
    ACTIONS(7675), 31,
      anon_sym_COMMA,
      anon_sym_TILDE,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_compl,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_co_await,
      anon_sym_DASH_GT_STAR,
      anon_sym_LPAREN_RPAREN,
      anon_sym_LBRACK_RBRACK,
  [52171] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1486), 1,
      anon_sym_template,
    ACTIONS(2588), 1,
      anon_sym_operator,
    ACTIONS(2877), 1,
      anon_sym_TILDE,
    ACTIONS(3148), 1,
      anon_sym_decltype,
    ACTIONS(4395), 1,
      anon_sym_LPAREN2,
    ACTIONS(6738), 1,
      sym_identifier,
    ACTIONS(6750), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6752), 1,
      anon_sym_LBRACK,
    ACTIONS(6898), 1,
      anon_sym_STAR,
    ACTIONS(6900), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6902), 1,
      anon_sym_AMP,
    ACTIONS(7397), 1,
      anon_sym_COLON,
    STATE(4987), 1,
      sym_parameter_list,
    STATE(7058), 1,
      sym__scope_resolution,
    STATE(7291), 1,
      sym__declarator,
    STATE(7422), 1,
      sym__function_declarator_seq,
    STATE(7985), 1,
      sym__abstract_declarator,
    STATE(9827), 1,
      sym_ms_based_modifier,
    ACTIONS(7395), 2,
      anon_sym_COMMA,
      anon_sym_GT2,
    STATE(6248), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(10317), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(7436), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    STATE(7680), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(4379), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [52279] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6095), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6097), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [52341] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7627), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(4308), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(6678), 21,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6680), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [52406] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7090), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(7092), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [52467] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7198), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(7200), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [52528] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2238), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(2236), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [52589] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6135), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6137), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [52650] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6111), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6113), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [52711] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2206), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(2204), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [52772] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7176), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(7178), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [52833] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6440), 1,
      anon_sym_LPAREN2,
    ACTIONS(6879), 1,
      anon_sym_LBRACK,
    ACTIONS(6883), 1,
      anon_sym_DOT,
    STATE(3592), 1,
      sym_subscript_argument_list,
    STATE(3604), 1,
      sym_argument_list,
    ACTIONS(6881), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6885), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7683), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7687), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7685), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6930), 10,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6932), 27,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [52914] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6440), 1,
      anon_sym_LPAREN2,
    ACTIONS(6879), 1,
      anon_sym_LBRACK,
    ACTIONS(6883), 1,
      anon_sym_DOT,
    STATE(3592), 1,
      sym_subscript_argument_list,
    STATE(3604), 1,
      sym_argument_list,
    ACTIONS(6881), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6885), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7683), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7685), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6930), 12,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6932), 27,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [52993] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7689), 1,
      anon_sym_LT,
    STATE(1667), 1,
      sym_template_argument_list,
    ACTIONS(6944), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6946), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [53058] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6440), 1,
      anon_sym_LPAREN2,
    ACTIONS(6879), 1,
      anon_sym_LBRACK,
    ACTIONS(6883), 1,
      anon_sym_DOT,
    STATE(3592), 1,
      sym_subscript_argument_list,
    STATE(3604), 1,
      sym_argument_list,
    ACTIONS(6881), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6885), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7685), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6930), 14,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6932), 27,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [53135] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6057), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6059), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [53196] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6440), 1,
      anon_sym_LPAREN2,
    ACTIONS(6879), 1,
      anon_sym_LBRACK,
    ACTIONS(6883), 1,
      anon_sym_DOT,
    ACTIONS(7373), 1,
      anon_sym_EQ,
    ACTIONS(7692), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7694), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7696), 1,
      anon_sym_PIPE,
    ACTIONS(7700), 1,
      anon_sym_AMP,
    ACTIONS(7706), 1,
      anon_sym_GT_EQ,
    ACTIONS(7708), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7710), 1,
      anon_sym_or,
    ACTIONS(7712), 1,
      anon_sym_and,
    ACTIONS(7714), 1,
      anon_sym_bitor,
    ACTIONS(7716), 1,
      anon_sym_bitand,
    STATE(3592), 1,
      sym_subscript_argument_list,
    STATE(3604), 1,
      sym_argument_list,
    ACTIONS(6881), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6885), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7683), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7687), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7698), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7685), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7702), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7704), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(7375), 18,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
  [53303] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2230), 1,
      anon_sym_COLON_COLON,
    ACTIONS(2234), 1,
      anon_sym_LBRACE,
    ACTIONS(6491), 1,
      anon_sym_LT,
    STATE(4515), 1,
      sym_template_argument_list,
    ACTIONS(4551), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(4546), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [53372] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7098), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(7100), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [53433] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7078), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(7080), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [53494] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7718), 1,
      anon_sym_LT,
    STATE(4161), 1,
      sym_template_argument_list,
    ACTIONS(6944), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6946), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [53559] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7136), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(7138), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [53620] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6049), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6051), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [53681] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6460), 1,
      sym_literal_suffix,
    STATE(3682), 2,
      sym_string_literal,
      sym_raw_string_literal,
    ACTIONS(4247), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(4249), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
    ACTIONS(6477), 15,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
    ACTIONS(6479), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [53750] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5783), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5785), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [53811] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7164), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(7166), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [53872] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7053), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(7055), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [53933] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7049), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(7051), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [53994] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2356), 26,
      anon_sym_LPAREN2,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      sym_number_literal,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
    ACTIONS(2354), 27,
      anon_sym_DASH,
      anon_sym_PLUS,
      sym_primitive_type,
      anon_sym_not,
      anon_sym_compl,
      anon_sym_sizeof,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
      anon_sym_offsetof,
      anon_sym__Generic,
      anon_sym_asm,
      anon_sym___asm__,
      sym_true,
      sym_false,
      anon_sym_NULL,
      anon_sym_nullptr,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_delete,
      anon_sym_co_await,
      anon_sym_new,
      anon_sym_requires,
      sym_this,
  [54055] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2356), 26,
      anon_sym_LPAREN2,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      sym_number_literal,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
    ACTIONS(2354), 27,
      anon_sym_DASH,
      anon_sym_PLUS,
      sym_primitive_type,
      anon_sym_not,
      anon_sym_compl,
      anon_sym_sizeof,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
      anon_sym_offsetof,
      anon_sym__Generic,
      anon_sym_asm,
      anon_sym___asm__,
      sym_true,
      sym_false,
      anon_sym_NULL,
      anon_sym_nullptr,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_delete,
      anon_sym_co_await,
      anon_sym_new,
      anon_sym_requires,
      sym_this,
  [54116] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6033), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6035), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [54177] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6951), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6953), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [54238] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6045), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6047), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [54299] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7156), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(7158), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [54360] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6460), 1,
      sym_literal_suffix,
    STATE(3682), 2,
      sym_string_literal,
      sym_raw_string_literal,
    ACTIONS(4247), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(4249), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
    ACTIONS(4221), 15,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
    ACTIONS(4213), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [54429] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6471), 4,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
    ACTIONS(6473), 10,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
    ACTIONS(4213), 18,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(4221), 21,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
  [54494] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7168), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(7170), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [54555] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7182), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(7184), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [54616] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4551), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(4546), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [54677] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4551), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(4546), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [54738] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7172), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(7174), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [54799] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4551), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(4546), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [54860] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7290), 1,
      anon_sym___attribute__,
    STATE(4664), 1,
      sym_attribute_specifier,
    ACTIONS(6193), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6195), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [54925] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7290), 1,
      anon_sym___attribute__,
    STATE(4680), 1,
      sym_attribute_specifier,
    ACTIONS(6181), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6183), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [54990] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7721), 1,
      anon_sym_LBRACK_RBRACK,
    ACTIONS(6951), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6953), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [55053] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4551), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(4546), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [55114] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2320), 26,
      anon_sym_LPAREN2,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      sym_number_literal,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
    ACTIONS(2318), 27,
      anon_sym_DASH,
      anon_sym_PLUS,
      sym_primitive_type,
      anon_sym_not,
      anon_sym_compl,
      anon_sym_sizeof,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
      anon_sym_offsetof,
      anon_sym__Generic,
      anon_sym_asm,
      anon_sym___asm__,
      sym_true,
      sym_false,
      anon_sym_NULL,
      anon_sym_nullptr,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_delete,
      anon_sym_co_await,
      anon_sym_new,
      anon_sym_requires,
      sym_this,
  [55175] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4551), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(4546), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [55236] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4551), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(4546), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [55297] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7723), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7725), 1,
      anon_sym_and,
    ACTIONS(5832), 24,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5834), 27,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [55362] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4134), 1,
      anon_sym_LBRACE,
    ACTIONS(7312), 1,
      anon_sym_LPAREN2,
    STATE(4731), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(6670), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6672), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [55429] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2320), 26,
      anon_sym_LPAREN2,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      sym_number_literal,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
    ACTIONS(2318), 27,
      anon_sym_DASH,
      anon_sym_PLUS,
      sym_primitive_type,
      anon_sym_not,
      anon_sym_compl,
      anon_sym_sizeof,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
      anon_sym_offsetof,
      anon_sym__Generic,
      anon_sym_asm,
      anon_sym___asm__,
      sym_true,
      sym_false,
      anon_sym_NULL,
      anon_sym_nullptr,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_delete,
      anon_sym_co_await,
      anon_sym_new,
      anon_sym_requires,
      sym_this,
  [55490] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7013), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(7015), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [55551] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6496), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6494), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [55612] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7064), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(7066), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [55673] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7727), 1,
      anon_sym_LBRACK_RBRACK,
    ACTIONS(6951), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6953), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [55736] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6965), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6967), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [55797] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7086), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(7088), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [55858] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7144), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(7146), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [55919] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7152), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(7154), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [55980] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2390), 26,
      anon_sym_LPAREN2,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      sym_number_literal,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
    ACTIONS(2388), 27,
      anon_sym_DASH,
      anon_sym_PLUS,
      sym_primitive_type,
      anon_sym_not,
      anon_sym_compl,
      anon_sym_sizeof,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
      anon_sym_offsetof,
      anon_sym__Generic,
      anon_sym_asm,
      anon_sym___asm__,
      sym_true,
      sym_false,
      anon_sym_NULL,
      anon_sym_nullptr,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_delete,
      anon_sym_co_await,
      anon_sym_new,
      anon_sym_requires,
      sym_this,
  [56041] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6983), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6985), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [56102] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6143), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6145), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [56163] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5931), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5933), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [56224] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6147), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6149), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [56285] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7300), 1,
      anon_sym_LPAREN2,
    ACTIONS(7391), 1,
      anon_sym_EQ,
    ACTIONS(7521), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7563), 1,
      anon_sym_LBRACK,
    ACTIONS(7567), 1,
      anon_sym_QMARK,
    ACTIONS(7591), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7733), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7735), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7737), 1,
      anon_sym_PIPE,
    ACTIONS(7741), 1,
      anon_sym_AMP,
    ACTIONS(7747), 1,
      anon_sym_GT_EQ,
    ACTIONS(7751), 1,
      anon_sym_or,
    ACTIONS(7753), 1,
      anon_sym_and,
    ACTIONS(7755), 1,
      anon_sym_bitor,
    ACTIONS(7757), 1,
      anon_sym_bitand,
    ACTIONS(7759), 1,
      anon_sym_DOT_STAR,
    STATE(4682), 1,
      sym_subscript_argument_list,
    STATE(4692), 1,
      sym_argument_list,
    ACTIONS(7605), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7607), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7729), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7739), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7749), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7731), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7743), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7745), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(7393), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_DASH_GT_STAR,
  [56396] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6983), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6985), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [56457] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6983), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6985), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [56518] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6065), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6067), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [56579] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6119), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6121), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [56640] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6107), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6109), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [56701] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6065), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6067), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [56762] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6065), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6067), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [56823] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7126), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(7128), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [56884] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5749), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5751), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [56945] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5772), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5774), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [57006] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7140), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(7142), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [57067] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5760), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5762), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [57128] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7114), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(7116), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [57189] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7206), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(7208), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [57250] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7007), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(7009), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [57311] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2434), 26,
      anon_sym_LPAREN2,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      sym_number_literal,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
    ACTIONS(2432), 27,
      anon_sym_DASH,
      anon_sym_PLUS,
      sym_primitive_type,
      anon_sym_not,
      anon_sym_compl,
      anon_sym_sizeof,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
      anon_sym_offsetof,
      anon_sym__Generic,
      anon_sym_asm,
      anon_sym___asm__,
      sym_true,
      sym_false,
      anon_sym_NULL,
      anon_sym_nullptr,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_delete,
      anon_sym_co_await,
      anon_sym_new,
      anon_sym_requires,
      sym_this,
  [57372] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7302), 1,
      anon_sym_LBRACK,
    STATE(4490), 1,
      sym_new_declarator,
    ACTIONS(6837), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6839), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [57437] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5600), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(2358), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [57498] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7122), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(7124), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [57559] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7074), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(7076), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [57620] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6995), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6997), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [57681] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5768), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5770), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [57742] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5756), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5758), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [57803] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5764), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5766), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [57864] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5727), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5729), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [57925] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5731), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5733), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [57986] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7300), 1,
      anon_sym_LPAREN2,
    ACTIONS(7320), 1,
      anon_sym_EQ,
    ACTIONS(7563), 1,
      anon_sym_LBRACK,
    ACTIONS(7591), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7733), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7735), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7737), 1,
      anon_sym_PIPE,
    ACTIONS(7741), 1,
      anon_sym_AMP,
    ACTIONS(7747), 1,
      anon_sym_GT_EQ,
    ACTIONS(7751), 1,
      anon_sym_or,
    ACTIONS(7753), 1,
      anon_sym_and,
    ACTIONS(7755), 1,
      anon_sym_bitor,
    ACTIONS(7757), 1,
      anon_sym_bitand,
    ACTIONS(7759), 1,
      anon_sym_DOT_STAR,
    STATE(4682), 1,
      sym_subscript_argument_list,
    STATE(4692), 1,
      sym_argument_list,
    ACTIONS(7605), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7607), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7729), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7739), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7749), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7731), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7743), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7745), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(7322), 18,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_DASH_GT_STAR,
  [58093] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5735), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5737), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [58154] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2230), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7130), 1,
      anon_sym_LT,
    STATE(4449), 1,
      sym_template_argument_list,
    ACTIONS(6819), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6821), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [58221] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5739), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5741), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [58282] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4134), 1,
      anon_sym_LBRACE,
    ACTIONS(7312), 1,
      anon_sym_LPAREN2,
    STATE(4766), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(6699), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6701), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [58349] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6987), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6989), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [58410] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4542), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(4538), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [58471] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7300), 1,
      anon_sym_LPAREN2,
    ACTIONS(7387), 1,
      anon_sym_EQ,
    ACTIONS(7521), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7563), 1,
      anon_sym_LBRACK,
    ACTIONS(7567), 1,
      anon_sym_QMARK,
    ACTIONS(7591), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7733), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7735), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7737), 1,
      anon_sym_PIPE,
    ACTIONS(7741), 1,
      anon_sym_AMP,
    ACTIONS(7747), 1,
      anon_sym_GT_EQ,
    ACTIONS(7751), 1,
      anon_sym_or,
    ACTIONS(7753), 1,
      anon_sym_and,
    ACTIONS(7755), 1,
      anon_sym_bitor,
    ACTIONS(7757), 1,
      anon_sym_bitand,
    ACTIONS(7759), 1,
      anon_sym_DOT_STAR,
    STATE(4682), 1,
      sym_subscript_argument_list,
    STATE(4692), 1,
      sym_argument_list,
    ACTIONS(7605), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7607), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7729), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7739), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7749), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7731), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7743), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7745), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(7389), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_DASH_GT_STAR,
  [58582] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7148), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(7150), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [58643] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2256), 2,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
    ACTIONS(4578), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4573), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [58706] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5745), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5747), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [58767] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5745), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5747), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [58828] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5745), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5747), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [58889] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5779), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5781), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [58950] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7290), 1,
      anon_sym___attribute__,
    STATE(4671), 1,
      sym_attribute_specifier,
    ACTIONS(6231), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6233), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [59015] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6440), 1,
      anon_sym_LPAREN2,
    ACTIONS(6879), 1,
      anon_sym_LBRACK,
    ACTIONS(6883), 1,
      anon_sym_DOT,
    ACTIONS(7369), 1,
      anon_sym_EQ,
    ACTIONS(7692), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7694), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7696), 1,
      anon_sym_PIPE,
    ACTIONS(7700), 1,
      anon_sym_AMP,
    ACTIONS(7706), 1,
      anon_sym_GT_EQ,
    ACTIONS(7708), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7710), 1,
      anon_sym_or,
    ACTIONS(7712), 1,
      anon_sym_and,
    ACTIONS(7714), 1,
      anon_sym_bitor,
    ACTIONS(7716), 1,
      anon_sym_bitand,
    STATE(3592), 1,
      sym_subscript_argument_list,
    STATE(3604), 1,
      sym_argument_list,
    ACTIONS(6881), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6885), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7683), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7687), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7698), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7685), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7702), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7704), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(7371), 18,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
  [59122] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7300), 1,
      anon_sym_LPAREN2,
    ACTIONS(7383), 1,
      anon_sym_EQ,
    ACTIONS(7563), 1,
      anon_sym_LBRACK,
    ACTIONS(7591), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7733), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7735), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7737), 1,
      anon_sym_PIPE,
    ACTIONS(7741), 1,
      anon_sym_AMP,
    ACTIONS(7747), 1,
      anon_sym_GT_EQ,
    ACTIONS(7751), 1,
      anon_sym_or,
    ACTIONS(7753), 1,
      anon_sym_and,
    ACTIONS(7755), 1,
      anon_sym_bitor,
    ACTIONS(7757), 1,
      anon_sym_bitand,
    ACTIONS(7759), 1,
      anon_sym_DOT_STAR,
    STATE(4682), 1,
      sym_subscript_argument_list,
    STATE(4692), 1,
      sym_argument_list,
    ACTIONS(7605), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7607), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7729), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7739), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7749), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7731), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7743), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7745), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(7385), 18,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_DASH_GT_STAR,
  [59229] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7037), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(7039), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [59290] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7723), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7725), 1,
      anon_sym_and,
    ACTIONS(7761), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7763), 1,
      anon_sym_or,
    ACTIONS(5847), 23,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5849), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [59359] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5721), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5723), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [59420] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6440), 1,
      anon_sym_LPAREN2,
    ACTIONS(6879), 1,
      anon_sym_LBRACK,
    ACTIONS(6883), 1,
      anon_sym_DOT,
    ACTIONS(7144), 1,
      anon_sym_EQ,
    ACTIONS(7379), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7692), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7694), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7696), 1,
      anon_sym_PIPE,
    ACTIONS(7700), 1,
      anon_sym_AMP,
    ACTIONS(7706), 1,
      anon_sym_GT_EQ,
    ACTIONS(7708), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7710), 1,
      anon_sym_or,
    ACTIONS(7712), 1,
      anon_sym_and,
    ACTIONS(7714), 1,
      anon_sym_bitor,
    ACTIONS(7716), 1,
      anon_sym_bitand,
    ACTIONS(7765), 1,
      anon_sym_QMARK,
    STATE(3592), 1,
      sym_subscript_argument_list,
    STATE(3604), 1,
      sym_argument_list,
    ACTIONS(6881), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6885), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7683), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7687), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7698), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7685), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7702), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7704), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(7146), 16,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
  [59531] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7689), 1,
      anon_sym_LT,
    STATE(3964), 1,
      sym_template_argument_list,
    ACTIONS(6944), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6946), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [59596] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7029), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(7031), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [59657] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7767), 1,
      sym_identifier,
    STATE(4298), 3,
      sym_string_literal,
      sym_raw_string_literal,
      aux_sym_concatenated_string_repeat1,
    ACTIONS(7770), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(7773), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
    ACTIONS(6273), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_literal_suffix,
    ACTIONS(6271), 23,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [59726] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7300), 1,
      anon_sym_LPAREN2,
    ACTIONS(7563), 1,
      anon_sym_LBRACK,
    ACTIONS(7759), 1,
      anon_sym_DOT_STAR,
    STATE(4682), 1,
      sym_subscript_argument_list,
    STATE(4692), 1,
      sym_argument_list,
    ACTIONS(7605), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7607), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6934), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6936), 27,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_GT_STAR,
  [59801] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6440), 1,
      anon_sym_LPAREN2,
    ACTIONS(6879), 1,
      anon_sym_LBRACK,
    ACTIONS(6883), 1,
      anon_sym_DOT,
    ACTIONS(7694), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7696), 1,
      anon_sym_PIPE,
    ACTIONS(7700), 1,
      anon_sym_AMP,
    ACTIONS(7706), 1,
      anon_sym_GT_EQ,
    ACTIONS(7708), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7712), 1,
      anon_sym_and,
    ACTIONS(7714), 1,
      anon_sym_bitor,
    ACTIONS(7716), 1,
      anon_sym_bitand,
    STATE(3592), 1,
      sym_subscript_argument_list,
    STATE(3604), 1,
      sym_argument_list,
    ACTIONS(6881), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6885), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6930), 2,
      anon_sym_EQ,
      anon_sym_or,
    ACTIONS(7683), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7687), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7698), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7685), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7702), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7704), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6932), 19,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
  [59904] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6440), 1,
      anon_sym_LPAREN2,
    ACTIONS(6879), 1,
      anon_sym_LBRACK,
    ACTIONS(6883), 1,
      anon_sym_DOT,
    ACTIONS(7696), 1,
      anon_sym_PIPE,
    ACTIONS(7700), 1,
      anon_sym_AMP,
    ACTIONS(7706), 1,
      anon_sym_GT_EQ,
    ACTIONS(7708), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7714), 1,
      anon_sym_bitor,
    ACTIONS(7716), 1,
      anon_sym_bitand,
    STATE(3592), 1,
      sym_subscript_argument_list,
    STATE(3604), 1,
      sym_argument_list,
    ACTIONS(6881), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6885), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7683), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7687), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7698), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(6930), 3,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
    ACTIONS(7685), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7702), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7704), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6932), 20,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
  [60003] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6440), 1,
      anon_sym_LPAREN2,
    ACTIONS(6879), 1,
      anon_sym_LBRACK,
    ACTIONS(6883), 1,
      anon_sym_DOT,
    ACTIONS(7700), 1,
      anon_sym_AMP,
    ACTIONS(7706), 1,
      anon_sym_GT_EQ,
    ACTIONS(7708), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7716), 1,
      anon_sym_bitand,
    STATE(3592), 1,
      sym_subscript_argument_list,
    STATE(3604), 1,
      sym_argument_list,
    ACTIONS(6881), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6885), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7683), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7687), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7698), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7685), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7702), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7704), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6930), 4,
      anon_sym_PIPE,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
    ACTIONS(6932), 21,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_bitor,
  [60098] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6440), 1,
      anon_sym_LPAREN2,
    ACTIONS(6879), 1,
      anon_sym_LBRACK,
    ACTIONS(6883), 1,
      anon_sym_DOT,
    ACTIONS(7700), 1,
      anon_sym_AMP,
    ACTIONS(7706), 1,
      anon_sym_GT_EQ,
    ACTIONS(7708), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7716), 1,
      anon_sym_bitand,
    STATE(3592), 1,
      sym_subscript_argument_list,
    STATE(3604), 1,
      sym_argument_list,
    ACTIONS(6881), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6885), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7683), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7687), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7685), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7702), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7704), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6930), 6,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6932), 21,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_bitor,
  [60191] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7290), 1,
      anon_sym___attribute__,
    STATE(4667), 1,
      sym_attribute_specifier,
    ACTIONS(6235), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6237), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [60256] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7290), 1,
      anon_sym___attribute__,
    STATE(4666), 1,
      sym_attribute_specifier,
    ACTIONS(6216), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6218), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [60321] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6440), 1,
      anon_sym_LPAREN2,
    ACTIONS(6879), 1,
      anon_sym_LBRACK,
    ACTIONS(6883), 1,
      anon_sym_DOT,
    ACTIONS(7706), 1,
      anon_sym_GT_EQ,
    ACTIONS(7708), 1,
      anon_sym_LT_EQ_GT,
    STATE(3592), 1,
      sym_subscript_argument_list,
    STATE(3604), 1,
      sym_argument_list,
    ACTIONS(6881), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6885), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7683), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7687), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7685), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7702), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7704), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6930), 7,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6932), 22,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_bitor,
      anon_sym_bitand,
  [60410] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7202), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(7204), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [60471] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7776), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(4308), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(6688), 21,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6690), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [60536] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6440), 1,
      anon_sym_LPAREN2,
    ACTIONS(6879), 1,
      anon_sym_LBRACK,
    ACTIONS(6883), 1,
      anon_sym_DOT,
    ACTIONS(7706), 1,
      anon_sym_GT_EQ,
    ACTIONS(7708), 1,
      anon_sym_LT_EQ_GT,
    STATE(3592), 1,
      sym_subscript_argument_list,
    STATE(3604), 1,
      sym_argument_list,
    ACTIONS(6881), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6885), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7683), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7687), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7685), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7704), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6930), 7,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6932), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [60623] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5931), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5933), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [60684] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6440), 1,
      anon_sym_LPAREN2,
    ACTIONS(6879), 1,
      anon_sym_LBRACK,
    ACTIONS(6883), 1,
      anon_sym_DOT,
    ACTIONS(7708), 1,
      anon_sym_LT_EQ_GT,
    STATE(3592), 1,
      sym_subscript_argument_list,
    STATE(3604), 1,
      sym_argument_list,
    ACTIONS(6881), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6885), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7683), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7687), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7685), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6930), 10,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6932), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [60767] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6069), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6071), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [60828] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6073), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6075), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [60889] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7718), 1,
      anon_sym_LT,
    STATE(3204), 1,
      sym_template_argument_list,
    ACTIONS(6944), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6946), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [60954] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7188), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(7190), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [61015] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2230), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7130), 1,
      anon_sym_LT,
    STATE(4449), 1,
      sym_template_argument_list,
    ACTIONS(6811), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6813), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [61082] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7300), 1,
      anon_sym_LPAREN2,
    ACTIONS(7563), 1,
      anon_sym_LBRACK,
    ACTIONS(7759), 1,
      anon_sym_DOT_STAR,
    STATE(4682), 1,
      sym_subscript_argument_list,
    STATE(4692), 1,
      sym_argument_list,
    ACTIONS(7605), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7607), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7729), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7749), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7731), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6930), 10,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6932), 27,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_GT_STAR,
  [61163] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7779), 1,
      sym_identifier,
    STATE(4298), 3,
      sym_string_literal,
      sym_raw_string_literal,
      aux_sym_concatenated_string_repeat1,
    ACTIONS(4453), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(4461), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
    ACTIONS(6243), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_literal_suffix,
    ACTIONS(6241), 23,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [61232] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7290), 1,
      anon_sym___attribute__,
    STATE(4555), 1,
      sym_attribute_specifier,
    ACTIONS(6185), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6187), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [61297] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6095), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6097), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [61358] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7300), 1,
      anon_sym_LPAREN2,
    ACTIONS(7563), 1,
      anon_sym_LBRACK,
    ACTIONS(7759), 1,
      anon_sym_DOT_STAR,
    STATE(4682), 1,
      sym_subscript_argument_list,
    STATE(4692), 1,
      sym_argument_list,
    ACTIONS(7605), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7607), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7729), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7731), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6930), 12,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6932), 27,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_GT_STAR,
  [61437] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7300), 1,
      anon_sym_LPAREN2,
    ACTIONS(7563), 1,
      anon_sym_LBRACK,
    ACTIONS(7591), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7759), 1,
      anon_sym_DOT_STAR,
    STATE(4682), 1,
      sym_subscript_argument_list,
    STATE(4692), 1,
      sym_argument_list,
    ACTIONS(7605), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7607), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7729), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7749), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7731), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6930), 10,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6932), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_GT_STAR,
  [61520] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6029), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6031), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [61581] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6115), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6117), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [61642] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6159), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6161), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [61703] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7300), 1,
      anon_sym_LPAREN2,
    ACTIONS(7563), 1,
      anon_sym_LBRACK,
    ACTIONS(7591), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7747), 1,
      anon_sym_GT_EQ,
    ACTIONS(7759), 1,
      anon_sym_DOT_STAR,
    STATE(4682), 1,
      sym_subscript_argument_list,
    STATE(4692), 1,
      sym_argument_list,
    ACTIONS(7605), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7607), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7729), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7749), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7731), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7745), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6930), 7,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6932), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_GT_STAR,
  [61790] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6041), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6043), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [61851] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4134), 1,
      anon_sym_LBRACE,
    ACTIONS(7312), 1,
      anon_sym_LPAREN2,
    STATE(4735), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(6666), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6668), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [61918] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7300), 1,
      anon_sym_LPAREN2,
    ACTIONS(7563), 1,
      anon_sym_LBRACK,
    ACTIONS(7591), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7747), 1,
      anon_sym_GT_EQ,
    ACTIONS(7759), 1,
      anon_sym_DOT_STAR,
    STATE(4682), 1,
      sym_subscript_argument_list,
    STATE(4692), 1,
      sym_argument_list,
    ACTIONS(7605), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7607), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7729), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7749), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7731), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7743), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7745), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6930), 7,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6932), 22,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_DASH_GT_STAR,
  [62007] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7300), 1,
      anon_sym_LPAREN2,
    ACTIONS(7563), 1,
      anon_sym_LBRACK,
    ACTIONS(7591), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7741), 1,
      anon_sym_AMP,
    ACTIONS(7747), 1,
      anon_sym_GT_EQ,
    ACTIONS(7757), 1,
      anon_sym_bitand,
    ACTIONS(7759), 1,
      anon_sym_DOT_STAR,
    STATE(4682), 1,
      sym_subscript_argument_list,
    STATE(4692), 1,
      sym_argument_list,
    ACTIONS(7605), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7607), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7729), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7749), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7731), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7743), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7745), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6930), 6,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6932), 21,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_bitor,
      anon_sym_DASH_GT_STAR,
  [62100] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7300), 1,
      anon_sym_LPAREN2,
    ACTIONS(7563), 1,
      anon_sym_LBRACK,
    ACTIONS(7591), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7741), 1,
      anon_sym_AMP,
    ACTIONS(7747), 1,
      anon_sym_GT_EQ,
    ACTIONS(7757), 1,
      anon_sym_bitand,
    ACTIONS(7759), 1,
      anon_sym_DOT_STAR,
    STATE(4682), 1,
      sym_subscript_argument_list,
    STATE(4692), 1,
      sym_argument_list,
    ACTIONS(7605), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7607), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7729), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7739), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7749), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7731), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7743), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7745), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6930), 4,
      anon_sym_PIPE,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
    ACTIONS(6932), 21,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_bitor,
      anon_sym_DASH_GT_STAR,
  [62195] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7300), 1,
      anon_sym_LPAREN2,
    ACTIONS(7563), 1,
      anon_sym_LBRACK,
    ACTIONS(7591), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7737), 1,
      anon_sym_PIPE,
    ACTIONS(7741), 1,
      anon_sym_AMP,
    ACTIONS(7747), 1,
      anon_sym_GT_EQ,
    ACTIONS(7755), 1,
      anon_sym_bitor,
    ACTIONS(7757), 1,
      anon_sym_bitand,
    ACTIONS(7759), 1,
      anon_sym_DOT_STAR,
    STATE(4682), 1,
      sym_subscript_argument_list,
    STATE(4692), 1,
      sym_argument_list,
    ACTIONS(7605), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7607), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7729), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7739), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7749), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6930), 3,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
    ACTIONS(7731), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7743), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7745), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6932), 20,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_DASH_GT_STAR,
  [62294] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6999), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(7001), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [62355] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7290), 1,
      anon_sym___attribute__,
    STATE(4567), 1,
      sym_attribute_specifier,
    ACTIONS(6220), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6222), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [62420] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7300), 1,
      anon_sym_LPAREN2,
    ACTIONS(7563), 1,
      anon_sym_LBRACK,
    ACTIONS(7591), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7735), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7737), 1,
      anon_sym_PIPE,
    ACTIONS(7741), 1,
      anon_sym_AMP,
    ACTIONS(7747), 1,
      anon_sym_GT_EQ,
    ACTIONS(7753), 1,
      anon_sym_and,
    ACTIONS(7755), 1,
      anon_sym_bitor,
    ACTIONS(7757), 1,
      anon_sym_bitand,
    ACTIONS(7759), 1,
      anon_sym_DOT_STAR,
    STATE(4682), 1,
      sym_subscript_argument_list,
    STATE(4692), 1,
      sym_argument_list,
    ACTIONS(6930), 2,
      anon_sym_EQ,
      anon_sym_or,
    ACTIONS(7605), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7607), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7729), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7739), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7749), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7731), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7743), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7745), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6932), 19,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_DASH_GT_STAR,
  [62523] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7300), 1,
      anon_sym_LPAREN2,
    ACTIONS(7563), 1,
      anon_sym_LBRACK,
    ACTIONS(7759), 1,
      anon_sym_DOT_STAR,
    STATE(4682), 1,
      sym_subscript_argument_list,
    STATE(4692), 1,
      sym_argument_list,
    ACTIONS(7605), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7607), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6930), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6932), 27,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_GT_STAR,
  [62598] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6025), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6027), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [62659] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7160), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(7162), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [62720] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7216), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(7218), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [62781] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7300), 1,
      anon_sym_LPAREN2,
    ACTIONS(7563), 1,
      anon_sym_LBRACK,
    ACTIONS(7759), 1,
      anon_sym_DOT_STAR,
    STATE(4682), 1,
      sym_subscript_argument_list,
    STATE(4692), 1,
      sym_argument_list,
    ACTIONS(7605), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7607), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7731), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6930), 14,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6932), 27,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_GT_STAR,
  [62858] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6440), 1,
      anon_sym_LPAREN2,
    ACTIONS(6879), 1,
      anon_sym_LBRACK,
    ACTIONS(6883), 1,
      anon_sym_DOT,
    ACTIONS(7383), 1,
      anon_sym_EQ,
    ACTIONS(7692), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7694), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7696), 1,
      anon_sym_PIPE,
    ACTIONS(7700), 1,
      anon_sym_AMP,
    ACTIONS(7706), 1,
      anon_sym_GT_EQ,
    ACTIONS(7708), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7710), 1,
      anon_sym_or,
    ACTIONS(7712), 1,
      anon_sym_and,
    ACTIONS(7714), 1,
      anon_sym_bitor,
    ACTIONS(7716), 1,
      anon_sym_bitand,
    STATE(3592), 1,
      sym_subscript_argument_list,
    STATE(3604), 1,
      sym_argument_list,
    ACTIONS(6881), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6885), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7683), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7687), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7698), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7685), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7702), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7704), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(7385), 18,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
  [62965] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7781), 1,
      sym_identifier,
    STATE(4318), 3,
      sym_string_literal,
      sym_raw_string_literal,
      aux_sym_concatenated_string_repeat1,
    ACTIONS(4453), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(4461), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
    ACTIONS(6255), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_literal_suffix,
    ACTIONS(6253), 23,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [63034] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7144), 1,
      anon_sym_EQ,
    ACTIONS(7300), 1,
      anon_sym_LPAREN2,
    ACTIONS(7521), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7563), 1,
      anon_sym_LBRACK,
    ACTIONS(7567), 1,
      anon_sym_QMARK,
    ACTIONS(7591), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7733), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7735), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7737), 1,
      anon_sym_PIPE,
    ACTIONS(7741), 1,
      anon_sym_AMP,
    ACTIONS(7747), 1,
      anon_sym_GT_EQ,
    ACTIONS(7751), 1,
      anon_sym_or,
    ACTIONS(7753), 1,
      anon_sym_and,
    ACTIONS(7755), 1,
      anon_sym_bitor,
    ACTIONS(7757), 1,
      anon_sym_bitand,
    ACTIONS(7759), 1,
      anon_sym_DOT_STAR,
    STATE(4682), 1,
      sym_subscript_argument_list,
    STATE(4692), 1,
      sym_argument_list,
    ACTIONS(7605), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7607), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7729), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7739), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7749), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7731), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7743), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7745), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(7146), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_DASH_GT_STAR,
  [63145] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7300), 1,
      anon_sym_LPAREN2,
    ACTIONS(7369), 1,
      anon_sym_EQ,
    ACTIONS(7563), 1,
      anon_sym_LBRACK,
    ACTIONS(7591), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7733), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7735), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7737), 1,
      anon_sym_PIPE,
    ACTIONS(7741), 1,
      anon_sym_AMP,
    ACTIONS(7747), 1,
      anon_sym_GT_EQ,
    ACTIONS(7751), 1,
      anon_sym_or,
    ACTIONS(7753), 1,
      anon_sym_and,
    ACTIONS(7755), 1,
      anon_sym_bitor,
    ACTIONS(7757), 1,
      anon_sym_bitand,
    ACTIONS(7759), 1,
      anon_sym_DOT_STAR,
    STATE(4682), 1,
      sym_subscript_argument_list,
    STATE(4692), 1,
      sym_argument_list,
    ACTIONS(7605), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7607), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7729), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7739), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7749), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7731), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7743), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7745), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(7371), 18,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_DASH_GT_STAR,
  [63252] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6123), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6125), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [63313] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6115), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6117), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [63374] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7300), 1,
      anon_sym_LPAREN2,
    ACTIONS(7563), 1,
      anon_sym_LBRACK,
    ACTIONS(7759), 1,
      anon_sym_DOT_STAR,
    STATE(4682), 1,
      sym_subscript_argument_list,
    STATE(4692), 1,
      sym_argument_list,
    ACTIONS(7607), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6904), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6906), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT_STAR,
  [63447] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6440), 1,
      anon_sym_LPAREN2,
    ACTIONS(6879), 1,
      anon_sym_LBRACK,
    ACTIONS(6883), 1,
      anon_sym_DOT,
    ACTIONS(7379), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7387), 1,
      anon_sym_EQ,
    ACTIONS(7692), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7694), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7696), 1,
      anon_sym_PIPE,
    ACTIONS(7700), 1,
      anon_sym_AMP,
    ACTIONS(7706), 1,
      anon_sym_GT_EQ,
    ACTIONS(7708), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7710), 1,
      anon_sym_or,
    ACTIONS(7712), 1,
      anon_sym_and,
    ACTIONS(7714), 1,
      anon_sym_bitor,
    ACTIONS(7716), 1,
      anon_sym_bitand,
    ACTIONS(7765), 1,
      anon_sym_QMARK,
    STATE(3592), 1,
      sym_subscript_argument_list,
    STATE(3604), 1,
      sym_argument_list,
    ACTIONS(6881), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6885), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7683), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7687), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7698), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7685), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7702), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7704), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(7389), 16,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
  [63558] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7300), 1,
      anon_sym_LPAREN2,
    ACTIONS(7563), 1,
      anon_sym_LBRACK,
    ACTIONS(7759), 1,
      anon_sym_DOT_STAR,
    STATE(4682), 1,
      sym_subscript_argument_list,
    STATE(4692), 1,
      sym_argument_list,
    ACTIONS(7605), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7607), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6875), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6877), 27,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_GT_STAR,
  [63633] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6151), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6153), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [63694] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7300), 1,
      anon_sym_LPAREN2,
    ACTIONS(7563), 1,
      anon_sym_LBRACK,
    ACTIONS(7759), 1,
      anon_sym_DOT_STAR,
    STATE(4682), 1,
      sym_subscript_argument_list,
    STATE(4692), 1,
      sym_argument_list,
    ACTIONS(7605), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7607), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6908), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6910), 27,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_GT_STAR,
  [63769] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7300), 1,
      anon_sym_LPAREN2,
    ACTIONS(7373), 1,
      anon_sym_EQ,
    ACTIONS(7563), 1,
      anon_sym_LBRACK,
    ACTIONS(7591), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7733), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7735), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7737), 1,
      anon_sym_PIPE,
    ACTIONS(7741), 1,
      anon_sym_AMP,
    ACTIONS(7747), 1,
      anon_sym_GT_EQ,
    ACTIONS(7751), 1,
      anon_sym_or,
    ACTIONS(7753), 1,
      anon_sym_and,
    ACTIONS(7755), 1,
      anon_sym_bitor,
    ACTIONS(7757), 1,
      anon_sym_bitand,
    ACTIONS(7759), 1,
      anon_sym_DOT_STAR,
    STATE(4682), 1,
      sym_subscript_argument_list,
    STATE(4692), 1,
      sym_argument_list,
    ACTIONS(7605), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7607), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7729), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7739), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7749), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7731), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7743), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7745), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(7375), 18,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_DASH_GT_STAR,
  [63876] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6979), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6981), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [63937] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7300), 1,
      anon_sym_LPAREN2,
    ACTIONS(7563), 1,
      anon_sym_LBRACK,
    ACTIONS(7759), 1,
      anon_sym_DOT_STAR,
    STATE(4682), 1,
      sym_subscript_argument_list,
    STATE(4692), 1,
      sym_argument_list,
    ACTIONS(7607), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6924), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6926), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT_STAR,
  [64010] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7212), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(7214), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [64071] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6999), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(7001), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [64132] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7082), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(7084), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [64193] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6139), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6141), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [64254] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6099), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6101), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [64315] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4134), 1,
      anon_sym_LBRACE,
    ACTIONS(7312), 1,
      anon_sym_LPAREN2,
    STATE(4750), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(6779), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6781), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [64382] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7118), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(7120), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [64443] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7060), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(7062), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [64504] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6061), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6063), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [64565] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6440), 1,
      anon_sym_LPAREN2,
    ACTIONS(6879), 1,
      anon_sym_LBRACK,
    ACTIONS(6883), 1,
      anon_sym_DOT,
    ACTIONS(7320), 1,
      anon_sym_EQ,
    ACTIONS(7692), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7694), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7696), 1,
      anon_sym_PIPE,
    ACTIONS(7700), 1,
      anon_sym_AMP,
    ACTIONS(7706), 1,
      anon_sym_GT_EQ,
    ACTIONS(7708), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7710), 1,
      anon_sym_or,
    ACTIONS(7712), 1,
      anon_sym_and,
    ACTIONS(7714), 1,
      anon_sym_bitor,
    ACTIONS(7716), 1,
      anon_sym_bitand,
    STATE(3592), 1,
      sym_subscript_argument_list,
    STATE(3604), 1,
      sym_argument_list,
    ACTIONS(6881), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6885), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7683), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7687), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7698), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7685), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7702), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7704), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(7322), 18,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
  [64672] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6091), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6093), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [64733] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6087), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6089), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [64794] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7033), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(7035), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [64855] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7021), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(7023), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [64916] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7300), 1,
      anon_sym_LPAREN2,
    ACTIONS(7563), 1,
      anon_sym_LBRACK,
    ACTIONS(7759), 1,
      anon_sym_DOT_STAR,
    STATE(4682), 1,
      sym_subscript_argument_list,
    STATE(4692), 1,
      sym_argument_list,
    ACTIONS(7605), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7607), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6916), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6918), 27,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_GT_STAR,
  [64991] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7041), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(7043), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [65052] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7017), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(7019), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [65113] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6912), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6914), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [65174] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6083), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6085), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [65235] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7290), 1,
      anon_sym___attribute__,
    STATE(4615), 1,
      sym_attribute_specifier,
    ACTIONS(6189), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6191), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [65300] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7290), 1,
      anon_sym___attribute__,
    STATE(4674), 1,
      sym_attribute_specifier,
    ACTIONS(6212), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6214), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [65365] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6894), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6896), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [65426] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7290), 1,
      anon_sym___attribute__,
    STATE(4606), 1,
      sym_attribute_specifier,
    ACTIONS(6224), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6226), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [65491] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7003), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(7005), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [65552] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7108), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(7110), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [65613] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7290), 1,
      anon_sym___attribute__,
    STATE(4604), 1,
      sym_attribute_specifier,
    ACTIONS(6208), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6210), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [65678] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6440), 1,
      anon_sym_LPAREN2,
    ACTIONS(6879), 1,
      anon_sym_LBRACK,
    ACTIONS(6883), 1,
      anon_sym_DOT,
    ACTIONS(7379), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7391), 1,
      anon_sym_EQ,
    ACTIONS(7692), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7694), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7696), 1,
      anon_sym_PIPE,
    ACTIONS(7700), 1,
      anon_sym_AMP,
    ACTIONS(7706), 1,
      anon_sym_GT_EQ,
    ACTIONS(7708), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7710), 1,
      anon_sym_or,
    ACTIONS(7712), 1,
      anon_sym_and,
    ACTIONS(7714), 1,
      anon_sym_bitor,
    ACTIONS(7716), 1,
      anon_sym_bitand,
    ACTIONS(7765), 1,
      anon_sym_QMARK,
    STATE(3592), 1,
      sym_subscript_argument_list,
    STATE(3604), 1,
      sym_argument_list,
    ACTIONS(6881), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6885), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7683), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7687), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7698), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7685), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7702), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7704), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(7393), 16,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
  [65789] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7290), 1,
      anon_sym___attribute__,
    STATE(4602), 1,
      sym_attribute_specifier,
    ACTIONS(6204), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6206), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [65854] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4551), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4546), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [65914] = 51,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7300), 1,
      anon_sym_LPAREN2,
    ACTIONS(7563), 1,
      anon_sym_LBRACK,
    ACTIONS(7609), 1,
      anon_sym_DOT_STAR,
    ACTIONS(7611), 1,
      anon_sym_DASH_GT_STAR,
    ACTIONS(7783), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7785), 1,
      anon_sym_COMMA,
    ACTIONS(7787), 1,
      anon_sym_RPAREN,
    ACTIONS(7789), 1,
      anon_sym_DASH,
    ACTIONS(7791), 1,
      anon_sym_PLUS,
    ACTIONS(7793), 1,
      anon_sym_STAR,
    ACTIONS(7795), 1,
      anon_sym_SLASH,
    ACTIONS(7797), 1,
      anon_sym_PERCENT,
    ACTIONS(7799), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7801), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7803), 1,
      anon_sym_PIPE,
    ACTIONS(7805), 1,
      anon_sym_CARET,
    ACTIONS(7807), 1,
      anon_sym_AMP,
    ACTIONS(7809), 1,
      anon_sym_EQ_EQ,
    ACTIONS(7811), 1,
      anon_sym_BANG_EQ,
    ACTIONS(7813), 1,
      anon_sym_GT,
    ACTIONS(7815), 1,
      anon_sym_GT_EQ,
    ACTIONS(7817), 1,
      anon_sym_LT_EQ,
    ACTIONS(7819), 1,
      anon_sym_LT,
    ACTIONS(7821), 1,
      anon_sym_LT_LT,
    ACTIONS(7823), 1,
      anon_sym_GT_GT,
    ACTIONS(7825), 1,
      anon_sym_EQ,
    ACTIONS(7827), 1,
      anon_sym_QMARK,
    ACTIONS(7829), 1,
      anon_sym_STAR_EQ,
    ACTIONS(7831), 1,
      anon_sym_SLASH_EQ,
    ACTIONS(7833), 1,
      anon_sym_PERCENT_EQ,
    ACTIONS(7835), 1,
      anon_sym_PLUS_EQ,
    ACTIONS(7837), 1,
      anon_sym_DASH_EQ,
    ACTIONS(7839), 1,
      anon_sym_LT_LT_EQ,
    ACTIONS(7841), 1,
      anon_sym_GT_GT_EQ,
    ACTIONS(7843), 1,
      anon_sym_AMP_EQ,
    ACTIONS(7845), 1,
      anon_sym_CARET_EQ,
    ACTIONS(7847), 1,
      anon_sym_PIPE_EQ,
    ACTIONS(7849), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7851), 1,
      anon_sym_or,
    ACTIONS(7853), 1,
      anon_sym_and,
    ACTIONS(7855), 1,
      anon_sym_bitor,
    ACTIONS(7857), 1,
      anon_sym_xor,
    ACTIONS(7859), 1,
      anon_sym_bitand,
    ACTIONS(7861), 1,
      anon_sym_not_eq,
    STATE(2387), 1,
      sym__binary_fold_operator,
    STATE(4682), 1,
      sym_subscript_argument_list,
    STATE(4692), 1,
      sym_argument_list,
    STATE(10019), 1,
      sym__fold_operator,
    ACTIONS(7607), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7863), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
  [66070] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4551), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4546), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [66130] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4551), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4546), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [66190] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6440), 1,
      anon_sym_LPAREN2,
    ACTIONS(6879), 1,
      anon_sym_LBRACK,
    ACTIONS(7373), 1,
      anon_sym_EQ,
    ACTIONS(7869), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7871), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7873), 1,
      anon_sym_PIPE,
    ACTIONS(7877), 1,
      anon_sym_AMP,
    ACTIONS(7883), 1,
      anon_sym_GT_EQ,
    ACTIONS(7887), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7889), 1,
      anon_sym_or,
    ACTIONS(7891), 1,
      anon_sym_and,
    ACTIONS(7893), 1,
      anon_sym_bitor,
    ACTIONS(7895), 1,
      anon_sym_bitand,
    ACTIONS(7897), 1,
      anon_sym_DOT,
    STATE(3592), 1,
      sym_subscript_argument_list,
    STATE(3604), 1,
      sym_argument_list,
    ACTIONS(6881), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7865), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7875), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7885), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7899), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7867), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7879), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7881), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(7375), 17,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
  [66296] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4551), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4546), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [66356] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6440), 1,
      anon_sym_LPAREN2,
    ACTIONS(6879), 1,
      anon_sym_LBRACK,
    ACTIONS(7897), 1,
      anon_sym_DOT,
    STATE(3592), 1,
      sym_subscript_argument_list,
    STATE(3604), 1,
      sym_argument_list,
    ACTIONS(7899), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6924), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6926), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
  [66428] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6440), 1,
      anon_sym_LPAREN2,
    ACTIONS(6879), 1,
      anon_sym_LBRACK,
    ACTIONS(7144), 1,
      anon_sym_EQ,
    ACTIONS(7379), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7869), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7871), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7873), 1,
      anon_sym_PIPE,
    ACTIONS(7877), 1,
      anon_sym_AMP,
    ACTIONS(7883), 1,
      anon_sym_GT_EQ,
    ACTIONS(7887), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7889), 1,
      anon_sym_or,
    ACTIONS(7891), 1,
      anon_sym_and,
    ACTIONS(7893), 1,
      anon_sym_bitor,
    ACTIONS(7895), 1,
      anon_sym_bitand,
    ACTIONS(7897), 1,
      anon_sym_DOT,
    ACTIONS(7901), 1,
      anon_sym_QMARK,
    STATE(3592), 1,
      sym_subscript_argument_list,
    STATE(3604), 1,
      sym_argument_list,
    ACTIONS(6881), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7865), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7875), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7885), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7899), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7867), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7879), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7881), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(7146), 15,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
  [66538] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6440), 1,
      anon_sym_LPAREN2,
    ACTIONS(6879), 1,
      anon_sym_LBRACK,
    ACTIONS(7897), 1,
      anon_sym_DOT,
    STATE(3592), 1,
      sym_subscript_argument_list,
    STATE(3604), 1,
      sym_argument_list,
    ACTIONS(6881), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7899), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7867), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6930), 14,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6932), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [66614] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4551), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4546), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [66674] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4551), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4546), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [66734] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6053), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6055), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [66794] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6005), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6007), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [66854] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6440), 1,
      anon_sym_LPAREN2,
    ACTIONS(6879), 1,
      anon_sym_LBRACK,
    ACTIONS(7897), 1,
      anon_sym_DOT,
    STATE(3592), 1,
      sym_subscript_argument_list,
    STATE(3604), 1,
      sym_argument_list,
    ACTIONS(6881), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7899), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6930), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6932), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [66928] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6440), 1,
      anon_sym_LPAREN2,
    ACTIONS(6879), 1,
      anon_sym_LBRACK,
    ACTIONS(7871), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7873), 1,
      anon_sym_PIPE,
    ACTIONS(7877), 1,
      anon_sym_AMP,
    ACTIONS(7883), 1,
      anon_sym_GT_EQ,
    ACTIONS(7887), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7891), 1,
      anon_sym_and,
    ACTIONS(7893), 1,
      anon_sym_bitor,
    ACTIONS(7895), 1,
      anon_sym_bitand,
    ACTIONS(7897), 1,
      anon_sym_DOT,
    STATE(3592), 1,
      sym_subscript_argument_list,
    STATE(3604), 1,
      sym_argument_list,
    ACTIONS(6881), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6930), 2,
      anon_sym_EQ,
      anon_sym_or,
    ACTIONS(7865), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7875), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7885), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7899), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7867), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7879), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7881), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6932), 18,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
  [67030] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6440), 1,
      anon_sym_LPAREN2,
    ACTIONS(6879), 1,
      anon_sym_LBRACK,
    ACTIONS(7873), 1,
      anon_sym_PIPE,
    ACTIONS(7877), 1,
      anon_sym_AMP,
    ACTIONS(7883), 1,
      anon_sym_GT_EQ,
    ACTIONS(7887), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7893), 1,
      anon_sym_bitor,
    ACTIONS(7895), 1,
      anon_sym_bitand,
    ACTIONS(7897), 1,
      anon_sym_DOT,
    STATE(3592), 1,
      sym_subscript_argument_list,
    STATE(3604), 1,
      sym_argument_list,
    ACTIONS(6881), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7865), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7875), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7885), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7899), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6930), 3,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
    ACTIONS(7867), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7879), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7881), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6932), 19,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
  [67128] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6440), 1,
      anon_sym_LPAREN2,
    ACTIONS(6879), 1,
      anon_sym_LBRACK,
    ACTIONS(7877), 1,
      anon_sym_AMP,
    ACTIONS(7883), 1,
      anon_sym_GT_EQ,
    ACTIONS(7887), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7895), 1,
      anon_sym_bitand,
    ACTIONS(7897), 1,
      anon_sym_DOT,
    STATE(3592), 1,
      sym_subscript_argument_list,
    STATE(3604), 1,
      sym_argument_list,
    ACTIONS(6881), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7865), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7875), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7885), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7899), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7867), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7879), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7881), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6930), 4,
      anon_sym_PIPE,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
    ACTIONS(6932), 20,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_bitor,
  [67222] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6440), 1,
      anon_sym_LPAREN2,
    ACTIONS(6879), 1,
      anon_sym_LBRACK,
    ACTIONS(7877), 1,
      anon_sym_AMP,
    ACTIONS(7883), 1,
      anon_sym_GT_EQ,
    ACTIONS(7887), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7895), 1,
      anon_sym_bitand,
    ACTIONS(7897), 1,
      anon_sym_DOT,
    STATE(3592), 1,
      sym_subscript_argument_list,
    STATE(3604), 1,
      sym_argument_list,
    ACTIONS(6881), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7865), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7885), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7899), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7867), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7879), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7881), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6930), 6,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6932), 20,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_bitor,
  [67314] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6440), 1,
      anon_sym_LPAREN2,
    ACTIONS(6879), 1,
      anon_sym_LBRACK,
    ACTIONS(7897), 1,
      anon_sym_DOT,
    STATE(3592), 1,
      sym_subscript_argument_list,
    STATE(3604), 1,
      sym_argument_list,
    ACTIONS(6881), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7899), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6916), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6918), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [67388] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6440), 1,
      anon_sym_LPAREN2,
    ACTIONS(6879), 1,
      anon_sym_LBRACK,
    ACTIONS(7883), 1,
      anon_sym_GT_EQ,
    ACTIONS(7887), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7897), 1,
      anon_sym_DOT,
    STATE(3592), 1,
      sym_subscript_argument_list,
    STATE(3604), 1,
      sym_argument_list,
    ACTIONS(6881), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7865), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7885), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7899), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7867), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7879), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7881), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6930), 7,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6932), 21,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_bitor,
      anon_sym_bitand,
  [67476] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7903), 1,
      anon_sym_LT,
    STATE(4284), 1,
      sym_template_argument_list,
    ACTIONS(6944), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6946), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [67540] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6440), 1,
      anon_sym_LPAREN2,
    ACTIONS(6879), 1,
      anon_sym_LBRACK,
    ACTIONS(7897), 1,
      anon_sym_DOT,
    STATE(3592), 1,
      sym_subscript_argument_list,
    STATE(3604), 1,
      sym_argument_list,
    ACTIONS(6881), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7899), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6908), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6910), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [67614] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6440), 1,
      anon_sym_LPAREN2,
    ACTIONS(6879), 1,
      anon_sym_LBRACK,
    ACTIONS(7897), 1,
      anon_sym_DOT,
    STATE(3592), 1,
      sym_subscript_argument_list,
    STATE(3604), 1,
      sym_argument_list,
    ACTIONS(7899), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6904), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6906), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
  [67686] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7312), 1,
      anon_sym_LPAREN2,
    ACTIONS(7910), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7912), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7914), 1,
      anon_sym_PIPE,
    ACTIONS(7918), 1,
      anon_sym_AMP,
    ACTIONS(7926), 1,
      anon_sym_LBRACK,
    ACTIONS(7928), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7930), 1,
      anon_sym_or,
    ACTIONS(7932), 1,
      anon_sym_and,
    ACTIONS(7934), 1,
      anon_sym_bitor,
    ACTIONS(7936), 1,
      anon_sym_bitand,
    ACTIONS(7940), 1,
      anon_sym_DOT,
    STATE(4835), 1,
      sym_subscript_argument_list,
    STATE(4841), 1,
      sym_argument_list,
    ACTIONS(7320), 2,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
    ACTIONS(7906), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7916), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7924), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7938), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7942), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7908), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7920), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7922), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(7322), 16,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_GT2,
  [67790] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6440), 1,
      anon_sym_LPAREN2,
    ACTIONS(6879), 1,
      anon_sym_LBRACK,
    ACTIONS(7883), 1,
      anon_sym_GT_EQ,
    ACTIONS(7887), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7897), 1,
      anon_sym_DOT,
    STATE(3592), 1,
      sym_subscript_argument_list,
    STATE(3604), 1,
      sym_argument_list,
    ACTIONS(6881), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7865), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7885), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7899), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7867), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7881), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6930), 7,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6932), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [67876] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6440), 1,
      anon_sym_LPAREN2,
    ACTIONS(6879), 1,
      anon_sym_LBRACK,
    ACTIONS(7887), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7897), 1,
      anon_sym_DOT,
    STATE(3592), 1,
      sym_subscript_argument_list,
    STATE(3604), 1,
      sym_argument_list,
    ACTIONS(6881), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7865), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7885), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7899), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7867), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6930), 10,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6932), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [67958] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6706), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6708), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [68018] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6563), 1,
      sym_literal_suffix,
    STATE(4342), 2,
      sym_string_literal,
      sym_raw_string_literal,
    ACTIONS(4453), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(4461), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
    ACTIONS(6477), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6479), 23,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [68086] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6563), 1,
      sym_literal_suffix,
    STATE(4342), 2,
      sym_string_literal,
      sym_raw_string_literal,
    ACTIONS(4453), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(4461), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
    ACTIONS(4221), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(4213), 23,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [68154] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6710), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6712), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [68214] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6714), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6716), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [68274] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6718), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6720), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [68334] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6440), 1,
      anon_sym_LPAREN2,
    ACTIONS(6879), 1,
      anon_sym_LBRACK,
    ACTIONS(7897), 1,
      anon_sym_DOT,
    STATE(3592), 1,
      sym_subscript_argument_list,
    STATE(3604), 1,
      sym_argument_list,
    ACTIONS(6881), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7865), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7899), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7867), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6930), 12,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6932), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [68412] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5792), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6514), 1,
      anon_sym_LBRACK,
    ACTIONS(6511), 2,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
    ACTIONS(4221), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4213), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [68478] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7312), 1,
      anon_sym_LPAREN2,
    ACTIONS(7910), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7912), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7914), 1,
      anon_sym_PIPE,
    ACTIONS(7918), 1,
      anon_sym_AMP,
    ACTIONS(7926), 1,
      anon_sym_LBRACK,
    ACTIONS(7928), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7930), 1,
      anon_sym_or,
    ACTIONS(7932), 1,
      anon_sym_and,
    ACTIONS(7934), 1,
      anon_sym_bitor,
    ACTIONS(7936), 1,
      anon_sym_bitand,
    ACTIONS(7940), 1,
      anon_sym_DOT,
    ACTIONS(7944), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7946), 1,
      anon_sym_QMARK,
    STATE(4835), 1,
      sym_subscript_argument_list,
    STATE(4841), 1,
      sym_argument_list,
    ACTIONS(7387), 2,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
    ACTIONS(7906), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7916), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7924), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7938), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7942), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7908), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7920), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7922), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(7389), 14,
      anon_sym_COMMA,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_GT2,
  [68586] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5792), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6514), 1,
      anon_sym_LBRACK,
    ACTIONS(6511), 2,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
    ACTIONS(4221), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4213), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [68652] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6440), 1,
      anon_sym_LPAREN2,
    ACTIONS(6879), 1,
      anon_sym_LBRACK,
    ACTIONS(7897), 1,
      anon_sym_DOT,
    STATE(3592), 1,
      sym_subscript_argument_list,
    STATE(3604), 1,
      sym_argument_list,
    ACTIONS(6881), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7865), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7885), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7899), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7867), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6930), 10,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6932), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [68732] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6440), 1,
      anon_sym_LPAREN2,
    ACTIONS(6879), 1,
      anon_sym_LBRACK,
    ACTIONS(7369), 1,
      anon_sym_EQ,
    ACTIONS(7869), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7871), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7873), 1,
      anon_sym_PIPE,
    ACTIONS(7877), 1,
      anon_sym_AMP,
    ACTIONS(7883), 1,
      anon_sym_GT_EQ,
    ACTIONS(7887), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7889), 1,
      anon_sym_or,
    ACTIONS(7891), 1,
      anon_sym_and,
    ACTIONS(7893), 1,
      anon_sym_bitor,
    ACTIONS(7895), 1,
      anon_sym_bitand,
    ACTIONS(7897), 1,
      anon_sym_DOT,
    STATE(3592), 1,
      sym_subscript_argument_list,
    STATE(3604), 1,
      sym_argument_list,
    ACTIONS(6881), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7865), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7875), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7885), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7899), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7867), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7879), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7881), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(7371), 17,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
  [68838] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7718), 1,
      anon_sym_LT,
    STATE(1707), 1,
      sym_template_argument_list,
    ACTIONS(6944), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6946), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [68902] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6037), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6039), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [68962] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7312), 1,
      anon_sym_LPAREN2,
    ACTIONS(7910), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7912), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7914), 1,
      anon_sym_PIPE,
    ACTIONS(7918), 1,
      anon_sym_AMP,
    ACTIONS(7926), 1,
      anon_sym_LBRACK,
    ACTIONS(7928), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7930), 1,
      anon_sym_or,
    ACTIONS(7932), 1,
      anon_sym_and,
    ACTIONS(7934), 1,
      anon_sym_bitor,
    ACTIONS(7936), 1,
      anon_sym_bitand,
    ACTIONS(7940), 1,
      anon_sym_DOT,
    STATE(4835), 1,
      sym_subscript_argument_list,
    STATE(4841), 1,
      sym_argument_list,
    ACTIONS(7383), 2,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
    ACTIONS(7906), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7916), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7924), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7938), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7942), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7908), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7920), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7922), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(7385), 16,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_GT2,
  [69066] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6695), 1,
      sym_literal_suffix,
    ACTIONS(6477), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6479), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [69128] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5970), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5972), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [69188] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6440), 1,
      anon_sym_LPAREN2,
    ACTIONS(6879), 1,
      anon_sym_LBRACK,
    ACTIONS(7897), 1,
      anon_sym_DOT,
    STATE(3592), 1,
      sym_subscript_argument_list,
    STATE(3604), 1,
      sym_argument_list,
    ACTIONS(6881), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7899), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6934), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6936), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [69262] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6695), 1,
      sym_literal_suffix,
    ACTIONS(4221), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4213), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [69324] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7126), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(7128), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [69384] = 51,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7300), 1,
      anon_sym_LPAREN2,
    ACTIONS(7563), 1,
      anon_sym_LBRACK,
    ACTIONS(7609), 1,
      anon_sym_DOT_STAR,
    ACTIONS(7611), 1,
      anon_sym_DASH_GT_STAR,
    ACTIONS(7783), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7785), 1,
      anon_sym_COMMA,
    ACTIONS(7789), 1,
      anon_sym_DASH,
    ACTIONS(7791), 1,
      anon_sym_PLUS,
    ACTIONS(7793), 1,
      anon_sym_STAR,
    ACTIONS(7795), 1,
      anon_sym_SLASH,
    ACTIONS(7797), 1,
      anon_sym_PERCENT,
    ACTIONS(7799), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7801), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7803), 1,
      anon_sym_PIPE,
    ACTIONS(7805), 1,
      anon_sym_CARET,
    ACTIONS(7807), 1,
      anon_sym_AMP,
    ACTIONS(7809), 1,
      anon_sym_EQ_EQ,
    ACTIONS(7811), 1,
      anon_sym_BANG_EQ,
    ACTIONS(7813), 1,
      anon_sym_GT,
    ACTIONS(7815), 1,
      anon_sym_GT_EQ,
    ACTIONS(7817), 1,
      anon_sym_LT_EQ,
    ACTIONS(7819), 1,
      anon_sym_LT,
    ACTIONS(7821), 1,
      anon_sym_LT_LT,
    ACTIONS(7823), 1,
      anon_sym_GT_GT,
    ACTIONS(7825), 1,
      anon_sym_EQ,
    ACTIONS(7827), 1,
      anon_sym_QMARK,
    ACTIONS(7829), 1,
      anon_sym_STAR_EQ,
    ACTIONS(7831), 1,
      anon_sym_SLASH_EQ,
    ACTIONS(7833), 1,
      anon_sym_PERCENT_EQ,
    ACTIONS(7835), 1,
      anon_sym_PLUS_EQ,
    ACTIONS(7837), 1,
      anon_sym_DASH_EQ,
    ACTIONS(7839), 1,
      anon_sym_LT_LT_EQ,
    ACTIONS(7841), 1,
      anon_sym_GT_GT_EQ,
    ACTIONS(7843), 1,
      anon_sym_AMP_EQ,
    ACTIONS(7845), 1,
      anon_sym_CARET_EQ,
    ACTIONS(7847), 1,
      anon_sym_PIPE_EQ,
    ACTIONS(7849), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7851), 1,
      anon_sym_or,
    ACTIONS(7853), 1,
      anon_sym_and,
    ACTIONS(7855), 1,
      anon_sym_bitor,
    ACTIONS(7857), 1,
      anon_sym_xor,
    ACTIONS(7859), 1,
      anon_sym_bitand,
    ACTIONS(7861), 1,
      anon_sym_not_eq,
    ACTIONS(7948), 1,
      anon_sym_RPAREN,
    STATE(2387), 1,
      sym__binary_fold_operator,
    STATE(4682), 1,
      sym_subscript_argument_list,
    STATE(4692), 1,
      sym_argument_list,
    STATE(10019), 1,
      sym__fold_operator,
    ACTIONS(7607), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7863), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
  [69540] = 51,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7300), 1,
      anon_sym_LPAREN2,
    ACTIONS(7563), 1,
      anon_sym_LBRACK,
    ACTIONS(7609), 1,
      anon_sym_DOT_STAR,
    ACTIONS(7611), 1,
      anon_sym_DASH_GT_STAR,
    ACTIONS(7783), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7785), 1,
      anon_sym_COMMA,
    ACTIONS(7789), 1,
      anon_sym_DASH,
    ACTIONS(7791), 1,
      anon_sym_PLUS,
    ACTIONS(7793), 1,
      anon_sym_STAR,
    ACTIONS(7795), 1,
      anon_sym_SLASH,
    ACTIONS(7797), 1,
      anon_sym_PERCENT,
    ACTIONS(7799), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7801), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7803), 1,
      anon_sym_PIPE,
    ACTIONS(7805), 1,
      anon_sym_CARET,
    ACTIONS(7807), 1,
      anon_sym_AMP,
    ACTIONS(7809), 1,
      anon_sym_EQ_EQ,
    ACTIONS(7811), 1,
      anon_sym_BANG_EQ,
    ACTIONS(7813), 1,
      anon_sym_GT,
    ACTIONS(7815), 1,
      anon_sym_GT_EQ,
    ACTIONS(7817), 1,
      anon_sym_LT_EQ,
    ACTIONS(7819), 1,
      anon_sym_LT,
    ACTIONS(7821), 1,
      anon_sym_LT_LT,
    ACTIONS(7823), 1,
      anon_sym_GT_GT,
    ACTIONS(7825), 1,
      anon_sym_EQ,
    ACTIONS(7827), 1,
      anon_sym_QMARK,
    ACTIONS(7829), 1,
      anon_sym_STAR_EQ,
    ACTIONS(7831), 1,
      anon_sym_SLASH_EQ,
    ACTIONS(7833), 1,
      anon_sym_PERCENT_EQ,
    ACTIONS(7835), 1,
      anon_sym_PLUS_EQ,
    ACTIONS(7837), 1,
      anon_sym_DASH_EQ,
    ACTIONS(7839), 1,
      anon_sym_LT_LT_EQ,
    ACTIONS(7841), 1,
      anon_sym_GT_GT_EQ,
    ACTIONS(7843), 1,
      anon_sym_AMP_EQ,
    ACTIONS(7845), 1,
      anon_sym_CARET_EQ,
    ACTIONS(7847), 1,
      anon_sym_PIPE_EQ,
    ACTIONS(7849), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7851), 1,
      anon_sym_or,
    ACTIONS(7853), 1,
      anon_sym_and,
    ACTIONS(7855), 1,
      anon_sym_bitor,
    ACTIONS(7857), 1,
      anon_sym_xor,
    ACTIONS(7859), 1,
      anon_sym_bitand,
    ACTIONS(7861), 1,
      anon_sym_not_eq,
    ACTIONS(7950), 1,
      anon_sym_RPAREN,
    STATE(2387), 1,
      sym__binary_fold_operator,
    STATE(4682), 1,
      sym_subscript_argument_list,
    STATE(4692), 1,
      sym_argument_list,
    STATE(10019), 1,
      sym__fold_operator,
    ACTIONS(7607), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7863), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
  [69696] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6440), 1,
      anon_sym_LPAREN2,
    ACTIONS(6879), 1,
      anon_sym_LBRACK,
    ACTIONS(7383), 1,
      anon_sym_EQ,
    ACTIONS(7869), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7871), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7873), 1,
      anon_sym_PIPE,
    ACTIONS(7877), 1,
      anon_sym_AMP,
    ACTIONS(7883), 1,
      anon_sym_GT_EQ,
    ACTIONS(7887), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7889), 1,
      anon_sym_or,
    ACTIONS(7891), 1,
      anon_sym_and,
    ACTIONS(7893), 1,
      anon_sym_bitor,
    ACTIONS(7895), 1,
      anon_sym_bitand,
    ACTIONS(7897), 1,
      anon_sym_DOT,
    STATE(3592), 1,
      sym_subscript_argument_list,
    STATE(3604), 1,
      sym_argument_list,
    ACTIONS(6881), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7865), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7875), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7885), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7899), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7867), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7879), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7881), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(7385), 17,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
  [69802] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7148), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7150), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [69862] = 51,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7300), 1,
      anon_sym_LPAREN2,
    ACTIONS(7563), 1,
      anon_sym_LBRACK,
    ACTIONS(7609), 1,
      anon_sym_DOT_STAR,
    ACTIONS(7611), 1,
      anon_sym_DASH_GT_STAR,
    ACTIONS(7783), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7785), 1,
      anon_sym_COMMA,
    ACTIONS(7789), 1,
      anon_sym_DASH,
    ACTIONS(7791), 1,
      anon_sym_PLUS,
    ACTIONS(7793), 1,
      anon_sym_STAR,
    ACTIONS(7795), 1,
      anon_sym_SLASH,
    ACTIONS(7797), 1,
      anon_sym_PERCENT,
    ACTIONS(7799), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7801), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7803), 1,
      anon_sym_PIPE,
    ACTIONS(7805), 1,
      anon_sym_CARET,
    ACTIONS(7807), 1,
      anon_sym_AMP,
    ACTIONS(7809), 1,
      anon_sym_EQ_EQ,
    ACTIONS(7811), 1,
      anon_sym_BANG_EQ,
    ACTIONS(7813), 1,
      anon_sym_GT,
    ACTIONS(7815), 1,
      anon_sym_GT_EQ,
    ACTIONS(7817), 1,
      anon_sym_LT_EQ,
    ACTIONS(7819), 1,
      anon_sym_LT,
    ACTIONS(7821), 1,
      anon_sym_LT_LT,
    ACTIONS(7823), 1,
      anon_sym_GT_GT,
    ACTIONS(7825), 1,
      anon_sym_EQ,
    ACTIONS(7827), 1,
      anon_sym_QMARK,
    ACTIONS(7829), 1,
      anon_sym_STAR_EQ,
    ACTIONS(7831), 1,
      anon_sym_SLASH_EQ,
    ACTIONS(7833), 1,
      anon_sym_PERCENT_EQ,
    ACTIONS(7835), 1,
      anon_sym_PLUS_EQ,
    ACTIONS(7837), 1,
      anon_sym_DASH_EQ,
    ACTIONS(7839), 1,
      anon_sym_LT_LT_EQ,
    ACTIONS(7841), 1,
      anon_sym_GT_GT_EQ,
    ACTIONS(7843), 1,
      anon_sym_AMP_EQ,
    ACTIONS(7845), 1,
      anon_sym_CARET_EQ,
    ACTIONS(7847), 1,
      anon_sym_PIPE_EQ,
    ACTIONS(7849), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7851), 1,
      anon_sym_or,
    ACTIONS(7853), 1,
      anon_sym_and,
    ACTIONS(7855), 1,
      anon_sym_bitor,
    ACTIONS(7857), 1,
      anon_sym_xor,
    ACTIONS(7859), 1,
      anon_sym_bitand,
    ACTIONS(7861), 1,
      anon_sym_not_eq,
    ACTIONS(7952), 1,
      anon_sym_RPAREN,
    STATE(2387), 1,
      sym__binary_fold_operator,
    STATE(4682), 1,
      sym_subscript_argument_list,
    STATE(4692), 1,
      sym_argument_list,
    STATE(10019), 1,
      sym__fold_operator,
    ACTIONS(7607), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7863), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
  [70018] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6440), 1,
      anon_sym_LPAREN2,
    ACTIONS(6879), 1,
      anon_sym_LBRACK,
    ACTIONS(7379), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7387), 1,
      anon_sym_EQ,
    ACTIONS(7869), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7871), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7873), 1,
      anon_sym_PIPE,
    ACTIONS(7877), 1,
      anon_sym_AMP,
    ACTIONS(7883), 1,
      anon_sym_GT_EQ,
    ACTIONS(7887), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7889), 1,
      anon_sym_or,
    ACTIONS(7891), 1,
      anon_sym_and,
    ACTIONS(7893), 1,
      anon_sym_bitor,
    ACTIONS(7895), 1,
      anon_sym_bitand,
    ACTIONS(7897), 1,
      anon_sym_DOT,
    ACTIONS(7901), 1,
      anon_sym_QMARK,
    STATE(3592), 1,
      sym_subscript_argument_list,
    STATE(3604), 1,
      sym_argument_list,
    ACTIONS(6881), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7865), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7875), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7885), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7899), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7867), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7879), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7881), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(7389), 15,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
  [70128] = 51,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7300), 1,
      anon_sym_LPAREN2,
    ACTIONS(7563), 1,
      anon_sym_LBRACK,
    ACTIONS(7609), 1,
      anon_sym_DOT_STAR,
    ACTIONS(7611), 1,
      anon_sym_DASH_GT_STAR,
    ACTIONS(7783), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7785), 1,
      anon_sym_COMMA,
    ACTIONS(7789), 1,
      anon_sym_DASH,
    ACTIONS(7791), 1,
      anon_sym_PLUS,
    ACTIONS(7793), 1,
      anon_sym_STAR,
    ACTIONS(7795), 1,
      anon_sym_SLASH,
    ACTIONS(7797), 1,
      anon_sym_PERCENT,
    ACTIONS(7799), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7801), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7803), 1,
      anon_sym_PIPE,
    ACTIONS(7805), 1,
      anon_sym_CARET,
    ACTIONS(7807), 1,
      anon_sym_AMP,
    ACTIONS(7809), 1,
      anon_sym_EQ_EQ,
    ACTIONS(7811), 1,
      anon_sym_BANG_EQ,
    ACTIONS(7813), 1,
      anon_sym_GT,
    ACTIONS(7815), 1,
      anon_sym_GT_EQ,
    ACTIONS(7817), 1,
      anon_sym_LT_EQ,
    ACTIONS(7819), 1,
      anon_sym_LT,
    ACTIONS(7821), 1,
      anon_sym_LT_LT,
    ACTIONS(7823), 1,
      anon_sym_GT_GT,
    ACTIONS(7825), 1,
      anon_sym_EQ,
    ACTIONS(7827), 1,
      anon_sym_QMARK,
    ACTIONS(7829), 1,
      anon_sym_STAR_EQ,
    ACTIONS(7831), 1,
      anon_sym_SLASH_EQ,
    ACTIONS(7833), 1,
      anon_sym_PERCENT_EQ,
    ACTIONS(7835), 1,
      anon_sym_PLUS_EQ,
    ACTIONS(7837), 1,
      anon_sym_DASH_EQ,
    ACTIONS(7839), 1,
      anon_sym_LT_LT_EQ,
    ACTIONS(7841), 1,
      anon_sym_GT_GT_EQ,
    ACTIONS(7843), 1,
      anon_sym_AMP_EQ,
    ACTIONS(7845), 1,
      anon_sym_CARET_EQ,
    ACTIONS(7847), 1,
      anon_sym_PIPE_EQ,
    ACTIONS(7849), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7851), 1,
      anon_sym_or,
    ACTIONS(7853), 1,
      anon_sym_and,
    ACTIONS(7855), 1,
      anon_sym_bitor,
    ACTIONS(7857), 1,
      anon_sym_xor,
    ACTIONS(7859), 1,
      anon_sym_bitand,
    ACTIONS(7861), 1,
      anon_sym_not_eq,
    ACTIONS(7954), 1,
      anon_sym_RPAREN,
    STATE(2387), 1,
      sym__binary_fold_operator,
    STATE(4682), 1,
      sym_subscript_argument_list,
    STATE(4692), 1,
      sym_argument_list,
    STATE(10019), 1,
      sym__fold_operator,
    ACTIONS(7607), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7863), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
  [70284] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6440), 1,
      anon_sym_LPAREN2,
    ACTIONS(6879), 1,
      anon_sym_LBRACK,
    ACTIONS(7320), 1,
      anon_sym_EQ,
    ACTIONS(7869), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7871), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7873), 1,
      anon_sym_PIPE,
    ACTIONS(7877), 1,
      anon_sym_AMP,
    ACTIONS(7883), 1,
      anon_sym_GT_EQ,
    ACTIONS(7887), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7889), 1,
      anon_sym_or,
    ACTIONS(7891), 1,
      anon_sym_and,
    ACTIONS(7893), 1,
      anon_sym_bitor,
    ACTIONS(7895), 1,
      anon_sym_bitand,
    ACTIONS(7897), 1,
      anon_sym_DOT,
    STATE(3592), 1,
      sym_subscript_argument_list,
    STATE(3604), 1,
      sym_argument_list,
    ACTIONS(6881), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7865), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7875), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7885), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7899), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7867), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7879), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7881), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(7322), 17,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
  [70390] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6440), 1,
      anon_sym_LPAREN2,
    ACTIONS(6879), 1,
      anon_sym_LBRACK,
    ACTIONS(7379), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7391), 1,
      anon_sym_EQ,
    ACTIONS(7869), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7871), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7873), 1,
      anon_sym_PIPE,
    ACTIONS(7877), 1,
      anon_sym_AMP,
    ACTIONS(7883), 1,
      anon_sym_GT_EQ,
    ACTIONS(7887), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7889), 1,
      anon_sym_or,
    ACTIONS(7891), 1,
      anon_sym_and,
    ACTIONS(7893), 1,
      anon_sym_bitor,
    ACTIONS(7895), 1,
      anon_sym_bitand,
    ACTIONS(7897), 1,
      anon_sym_DOT,
    ACTIONS(7901), 1,
      anon_sym_QMARK,
    STATE(3592), 1,
      sym_subscript_argument_list,
    STATE(3604), 1,
      sym_argument_list,
    ACTIONS(6881), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7865), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7875), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7885), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7899), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7867), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7879), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7881), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(7393), 15,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
  [70500] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7314), 1,
      anon_sym_LBRACK,
    STATE(4634), 1,
      sym_new_declarator,
    ACTIONS(6837), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6839), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [70564] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6730), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6732), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [70624] = 51,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7300), 1,
      anon_sym_LPAREN2,
    ACTIONS(7563), 1,
      anon_sym_LBRACK,
    ACTIONS(7609), 1,
      anon_sym_DOT_STAR,
    ACTIONS(7611), 1,
      anon_sym_DASH_GT_STAR,
    ACTIONS(7783), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7785), 1,
      anon_sym_COMMA,
    ACTIONS(7789), 1,
      anon_sym_DASH,
    ACTIONS(7791), 1,
      anon_sym_PLUS,
    ACTIONS(7793), 1,
      anon_sym_STAR,
    ACTIONS(7795), 1,
      anon_sym_SLASH,
    ACTIONS(7797), 1,
      anon_sym_PERCENT,
    ACTIONS(7799), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7801), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7803), 1,
      anon_sym_PIPE,
    ACTIONS(7805), 1,
      anon_sym_CARET,
    ACTIONS(7807), 1,
      anon_sym_AMP,
    ACTIONS(7809), 1,
      anon_sym_EQ_EQ,
    ACTIONS(7811), 1,
      anon_sym_BANG_EQ,
    ACTIONS(7813), 1,
      anon_sym_GT,
    ACTIONS(7815), 1,
      anon_sym_GT_EQ,
    ACTIONS(7817), 1,
      anon_sym_LT_EQ,
    ACTIONS(7819), 1,
      anon_sym_LT,
    ACTIONS(7821), 1,
      anon_sym_LT_LT,
    ACTIONS(7823), 1,
      anon_sym_GT_GT,
    ACTIONS(7825), 1,
      anon_sym_EQ,
    ACTIONS(7827), 1,
      anon_sym_QMARK,
    ACTIONS(7829), 1,
      anon_sym_STAR_EQ,
    ACTIONS(7831), 1,
      anon_sym_SLASH_EQ,
    ACTIONS(7833), 1,
      anon_sym_PERCENT_EQ,
    ACTIONS(7835), 1,
      anon_sym_PLUS_EQ,
    ACTIONS(7837), 1,
      anon_sym_DASH_EQ,
    ACTIONS(7839), 1,
      anon_sym_LT_LT_EQ,
    ACTIONS(7841), 1,
      anon_sym_GT_GT_EQ,
    ACTIONS(7843), 1,
      anon_sym_AMP_EQ,
    ACTIONS(7845), 1,
      anon_sym_CARET_EQ,
    ACTIONS(7847), 1,
      anon_sym_PIPE_EQ,
    ACTIONS(7849), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7851), 1,
      anon_sym_or,
    ACTIONS(7853), 1,
      anon_sym_and,
    ACTIONS(7855), 1,
      anon_sym_bitor,
    ACTIONS(7857), 1,
      anon_sym_xor,
    ACTIONS(7859), 1,
      anon_sym_bitand,
    ACTIONS(7861), 1,
      anon_sym_not_eq,
    ACTIONS(7956), 1,
      anon_sym_RPAREN,
    STATE(2387), 1,
      sym__binary_fold_operator,
    STATE(4682), 1,
      sym_subscript_argument_list,
    STATE(4692), 1,
      sym_argument_list,
    STATE(10019), 1,
      sym__fold_operator,
    ACTIONS(7607), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7863), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
  [70780] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1486), 1,
      anon_sym_template,
    ACTIONS(2588), 1,
      anon_sym_operator,
    ACTIONS(2877), 1,
      anon_sym_TILDE,
    ACTIONS(3148), 1,
      anon_sym_decltype,
    ACTIONS(4395), 1,
      anon_sym_LPAREN2,
    ACTIONS(4397), 1,
      anon_sym_STAR,
    ACTIONS(4399), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4401), 1,
      anon_sym_AMP,
    ACTIONS(5573), 1,
      sym_identifier,
    ACTIONS(6752), 1,
      anon_sym_LBRACK,
    ACTIONS(7243), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7395), 1,
      anon_sym_RPAREN,
    STATE(4924), 1,
      sym_parameter_list,
    STATE(7003), 1,
      sym__scope_resolution,
    STATE(7422), 1,
      sym__function_declarator_seq,
    STATE(7616), 1,
      sym__declarator,
    STATE(8002), 1,
      sym__abstract_declarator,
    STATE(10332), 1,
      sym_ms_based_modifier,
    STATE(6248), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(10317), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(7436), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    STATE(7680), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(4379), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [70884] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4168), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4170), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [70944] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6887), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6889), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [71004] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1486), 1,
      anon_sym_template,
    ACTIONS(2588), 1,
      anon_sym_operator,
    ACTIONS(2877), 1,
      anon_sym_TILDE,
    ACTIONS(3148), 1,
      anon_sym_decltype,
    ACTIONS(4395), 1,
      anon_sym_LPAREN2,
    ACTIONS(4397), 1,
      anon_sym_STAR,
    ACTIONS(4399), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4401), 1,
      anon_sym_AMP,
    ACTIONS(5573), 1,
      sym_identifier,
    ACTIONS(6740), 1,
      anon_sym_RPAREN,
    ACTIONS(6752), 1,
      anon_sym_LBRACK,
    ACTIONS(7243), 1,
      anon_sym_COLON_COLON,
    STATE(4924), 1,
      sym_parameter_list,
    STATE(7003), 1,
      sym__scope_resolution,
    STATE(7422), 1,
      sym__function_declarator_seq,
    STATE(7650), 1,
      sym__declarator,
    STATE(7983), 1,
      sym__abstract_declarator,
    STATE(10332), 1,
      sym_ms_based_modifier,
    STATE(6248), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(10317), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(7436), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    STATE(7680), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(4379), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [71108] = 51,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7300), 1,
      anon_sym_LPAREN2,
    ACTIONS(7563), 1,
      anon_sym_LBRACK,
    ACTIONS(7609), 1,
      anon_sym_DOT_STAR,
    ACTIONS(7611), 1,
      anon_sym_DASH_GT_STAR,
    ACTIONS(7783), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7785), 1,
      anon_sym_COMMA,
    ACTIONS(7789), 1,
      anon_sym_DASH,
    ACTIONS(7791), 1,
      anon_sym_PLUS,
    ACTIONS(7793), 1,
      anon_sym_STAR,
    ACTIONS(7795), 1,
      anon_sym_SLASH,
    ACTIONS(7797), 1,
      anon_sym_PERCENT,
    ACTIONS(7799), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7801), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7803), 1,
      anon_sym_PIPE,
    ACTIONS(7805), 1,
      anon_sym_CARET,
    ACTIONS(7807), 1,
      anon_sym_AMP,
    ACTIONS(7809), 1,
      anon_sym_EQ_EQ,
    ACTIONS(7811), 1,
      anon_sym_BANG_EQ,
    ACTIONS(7813), 1,
      anon_sym_GT,
    ACTIONS(7815), 1,
      anon_sym_GT_EQ,
    ACTIONS(7817), 1,
      anon_sym_LT_EQ,
    ACTIONS(7819), 1,
      anon_sym_LT,
    ACTIONS(7821), 1,
      anon_sym_LT_LT,
    ACTIONS(7823), 1,
      anon_sym_GT_GT,
    ACTIONS(7825), 1,
      anon_sym_EQ,
    ACTIONS(7827), 1,
      anon_sym_QMARK,
    ACTIONS(7829), 1,
      anon_sym_STAR_EQ,
    ACTIONS(7831), 1,
      anon_sym_SLASH_EQ,
    ACTIONS(7833), 1,
      anon_sym_PERCENT_EQ,
    ACTIONS(7835), 1,
      anon_sym_PLUS_EQ,
    ACTIONS(7837), 1,
      anon_sym_DASH_EQ,
    ACTIONS(7839), 1,
      anon_sym_LT_LT_EQ,
    ACTIONS(7841), 1,
      anon_sym_GT_GT_EQ,
    ACTIONS(7843), 1,
      anon_sym_AMP_EQ,
    ACTIONS(7845), 1,
      anon_sym_CARET_EQ,
    ACTIONS(7847), 1,
      anon_sym_PIPE_EQ,
    ACTIONS(7849), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7851), 1,
      anon_sym_or,
    ACTIONS(7853), 1,
      anon_sym_and,
    ACTIONS(7855), 1,
      anon_sym_bitor,
    ACTIONS(7857), 1,
      anon_sym_xor,
    ACTIONS(7859), 1,
      anon_sym_bitand,
    ACTIONS(7861), 1,
      anon_sym_not_eq,
    ACTIONS(7958), 1,
      anon_sym_RPAREN,
    STATE(2387), 1,
      sym__binary_fold_operator,
    STATE(4682), 1,
      sym_subscript_argument_list,
    STATE(4692), 1,
      sym_argument_list,
    STATE(10019), 1,
      sym__fold_operator,
    ACTIONS(7607), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7863), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
  [71264] = 51,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7300), 1,
      anon_sym_LPAREN2,
    ACTIONS(7563), 1,
      anon_sym_LBRACK,
    ACTIONS(7609), 1,
      anon_sym_DOT_STAR,
    ACTIONS(7611), 1,
      anon_sym_DASH_GT_STAR,
    ACTIONS(7783), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7785), 1,
      anon_sym_COMMA,
    ACTIONS(7789), 1,
      anon_sym_DASH,
    ACTIONS(7791), 1,
      anon_sym_PLUS,
    ACTIONS(7793), 1,
      anon_sym_STAR,
    ACTIONS(7795), 1,
      anon_sym_SLASH,
    ACTIONS(7797), 1,
      anon_sym_PERCENT,
    ACTIONS(7799), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7801), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7803), 1,
      anon_sym_PIPE,
    ACTIONS(7805), 1,
      anon_sym_CARET,
    ACTIONS(7807), 1,
      anon_sym_AMP,
    ACTIONS(7809), 1,
      anon_sym_EQ_EQ,
    ACTIONS(7811), 1,
      anon_sym_BANG_EQ,
    ACTIONS(7813), 1,
      anon_sym_GT,
    ACTIONS(7815), 1,
      anon_sym_GT_EQ,
    ACTIONS(7817), 1,
      anon_sym_LT_EQ,
    ACTIONS(7819), 1,
      anon_sym_LT,
    ACTIONS(7821), 1,
      anon_sym_LT_LT,
    ACTIONS(7823), 1,
      anon_sym_GT_GT,
    ACTIONS(7825), 1,
      anon_sym_EQ,
    ACTIONS(7827), 1,
      anon_sym_QMARK,
    ACTIONS(7829), 1,
      anon_sym_STAR_EQ,
    ACTIONS(7831), 1,
      anon_sym_SLASH_EQ,
    ACTIONS(7833), 1,
      anon_sym_PERCENT_EQ,
    ACTIONS(7835), 1,
      anon_sym_PLUS_EQ,
    ACTIONS(7837), 1,
      anon_sym_DASH_EQ,
    ACTIONS(7839), 1,
      anon_sym_LT_LT_EQ,
    ACTIONS(7841), 1,
      anon_sym_GT_GT_EQ,
    ACTIONS(7843), 1,
      anon_sym_AMP_EQ,
    ACTIONS(7845), 1,
      anon_sym_CARET_EQ,
    ACTIONS(7847), 1,
      anon_sym_PIPE_EQ,
    ACTIONS(7849), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7851), 1,
      anon_sym_or,
    ACTIONS(7853), 1,
      anon_sym_and,
    ACTIONS(7855), 1,
      anon_sym_bitor,
    ACTIONS(7857), 1,
      anon_sym_xor,
    ACTIONS(7859), 1,
      anon_sym_bitand,
    ACTIONS(7861), 1,
      anon_sym_not_eq,
    ACTIONS(7960), 1,
      anon_sym_RPAREN,
    STATE(2387), 1,
      sym__binary_fold_operator,
    STATE(4682), 1,
      sym_subscript_argument_list,
    STATE(4692), 1,
      sym_argument_list,
    STATE(10019), 1,
      sym__fold_operator,
    ACTIONS(7607), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7863), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
  [71420] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7312), 1,
      anon_sym_LPAREN2,
    ACTIONS(7910), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7912), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7914), 1,
      anon_sym_PIPE,
    ACTIONS(7918), 1,
      anon_sym_AMP,
    ACTIONS(7926), 1,
      anon_sym_LBRACK,
    ACTIONS(7928), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7930), 1,
      anon_sym_or,
    ACTIONS(7932), 1,
      anon_sym_and,
    ACTIONS(7934), 1,
      anon_sym_bitor,
    ACTIONS(7936), 1,
      anon_sym_bitand,
    ACTIONS(7940), 1,
      anon_sym_DOT,
    ACTIONS(7944), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7946), 1,
      anon_sym_QMARK,
    STATE(4835), 1,
      sym_subscript_argument_list,
    STATE(4841), 1,
      sym_argument_list,
    ACTIONS(7391), 2,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
    ACTIONS(7906), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7916), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7924), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7938), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7942), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7908), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7920), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7922), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(7393), 14,
      anon_sym_COMMA,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_GT2,
  [71528] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6417), 1,
      anon_sym_COLON,
    ACTIONS(7962), 1,
      anon_sym___attribute__,
    ACTIONS(7964), 1,
      anon_sym_LBRACE,
    STATE(5060), 1,
      sym_field_declaration_list,
    STATE(5211), 1,
      sym_attribute_specifier,
    STATE(8446), 1,
      sym_virtual_specifier,
    STATE(9339), 1,
      sym_base_class_clause,
    ACTIONS(2198), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5925), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5927), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [71604] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2256), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6826), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6828), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [71666] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6861), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6863), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [71726] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7966), 1,
      sym_identifier,
    STATE(4483), 3,
      sym_string_literal,
      sym_raw_string_literal,
      aux_sym_concatenated_string_repeat1,
    ACTIONS(6595), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(6597), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
    ACTIONS(6255), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_literal_suffix,
    ACTIONS(6253), 21,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [71794] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6131), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6133), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [71854] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7970), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7972), 1,
      anon_sym_AMP,
    ACTIONS(7976), 1,
      anon_sym___attribute__,
    ACTIONS(7978), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7981), 1,
      anon_sym_LBRACK,
    ACTIONS(7983), 1,
      anon_sym_const,
    ACTIONS(7987), 1,
      anon_sym_DASH_GT,
    ACTIONS(7989), 1,
      anon_sym_noexcept,
    ACTIONS(7991), 1,
      anon_sym_throw,
    ACTIONS(7993), 1,
      anon_sym_requires,
    STATE(5825), 1,
      sym__function_attributes_start,
    STATE(6105), 1,
      sym_ref_qualifier,
    STATE(6898), 1,
      sym__function_attributes_end,
    STATE(7010), 1,
      sym_trailing_return_type,
    STATE(8031), 1,
      sym_gnu_asm_expression,
    ACTIONS(6859), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(7985), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(5431), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6026), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(7085), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7174), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(7250), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(6495), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(7968), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
      anon_sym_try,
    ACTIONS(7974), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [71960] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2396), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2398), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [72020] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7414), 26,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_literal_suffix,
    ACTIONS(7416), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [72080] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6771), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6773), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [72140] = 51,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7300), 1,
      anon_sym_LPAREN2,
    ACTIONS(7563), 1,
      anon_sym_LBRACK,
    ACTIONS(7609), 1,
      anon_sym_DOT_STAR,
    ACTIONS(7611), 1,
      anon_sym_DASH_GT_STAR,
    ACTIONS(7783), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7785), 1,
      anon_sym_COMMA,
    ACTIONS(7789), 1,
      anon_sym_DASH,
    ACTIONS(7791), 1,
      anon_sym_PLUS,
    ACTIONS(7793), 1,
      anon_sym_STAR,
    ACTIONS(7795), 1,
      anon_sym_SLASH,
    ACTIONS(7797), 1,
      anon_sym_PERCENT,
    ACTIONS(7799), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7801), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7803), 1,
      anon_sym_PIPE,
    ACTIONS(7805), 1,
      anon_sym_CARET,
    ACTIONS(7807), 1,
      anon_sym_AMP,
    ACTIONS(7809), 1,
      anon_sym_EQ_EQ,
    ACTIONS(7811), 1,
      anon_sym_BANG_EQ,
    ACTIONS(7813), 1,
      anon_sym_GT,
    ACTIONS(7815), 1,
      anon_sym_GT_EQ,
    ACTIONS(7817), 1,
      anon_sym_LT_EQ,
    ACTIONS(7819), 1,
      anon_sym_LT,
    ACTIONS(7821), 1,
      anon_sym_LT_LT,
    ACTIONS(7823), 1,
      anon_sym_GT_GT,
    ACTIONS(7825), 1,
      anon_sym_EQ,
    ACTIONS(7827), 1,
      anon_sym_QMARK,
    ACTIONS(7829), 1,
      anon_sym_STAR_EQ,
    ACTIONS(7831), 1,
      anon_sym_SLASH_EQ,
    ACTIONS(7833), 1,
      anon_sym_PERCENT_EQ,
    ACTIONS(7835), 1,
      anon_sym_PLUS_EQ,
    ACTIONS(7837), 1,
      anon_sym_DASH_EQ,
    ACTIONS(7839), 1,
      anon_sym_LT_LT_EQ,
    ACTIONS(7841), 1,
      anon_sym_GT_GT_EQ,
    ACTIONS(7843), 1,
      anon_sym_AMP_EQ,
    ACTIONS(7845), 1,
      anon_sym_CARET_EQ,
    ACTIONS(7847), 1,
      anon_sym_PIPE_EQ,
    ACTIONS(7849), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7851), 1,
      anon_sym_or,
    ACTIONS(7853), 1,
      anon_sym_and,
    ACTIONS(7855), 1,
      anon_sym_bitor,
    ACTIONS(7857), 1,
      anon_sym_xor,
    ACTIONS(7859), 1,
      anon_sym_bitand,
    ACTIONS(7861), 1,
      anon_sym_not_eq,
    ACTIONS(7995), 1,
      anon_sym_RPAREN,
    STATE(2387), 1,
      sym__binary_fold_operator,
    STATE(4682), 1,
      sym_subscript_argument_list,
    STATE(4692), 1,
      sym_argument_list,
    STATE(10019), 1,
      sym__fold_operator,
    ACTIONS(7607), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7863), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
  [72296] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6775), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6777), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [72356] = 51,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7300), 1,
      anon_sym_LPAREN2,
    ACTIONS(7563), 1,
      anon_sym_LBRACK,
    ACTIONS(7609), 1,
      anon_sym_DOT_STAR,
    ACTIONS(7611), 1,
      anon_sym_DASH_GT_STAR,
    ACTIONS(7783), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7785), 1,
      anon_sym_COMMA,
    ACTIONS(7789), 1,
      anon_sym_DASH,
    ACTIONS(7791), 1,
      anon_sym_PLUS,
    ACTIONS(7793), 1,
      anon_sym_STAR,
    ACTIONS(7795), 1,
      anon_sym_SLASH,
    ACTIONS(7797), 1,
      anon_sym_PERCENT,
    ACTIONS(7799), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7801), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7803), 1,
      anon_sym_PIPE,
    ACTIONS(7805), 1,
      anon_sym_CARET,
    ACTIONS(7807), 1,
      anon_sym_AMP,
    ACTIONS(7809), 1,
      anon_sym_EQ_EQ,
    ACTIONS(7811), 1,
      anon_sym_BANG_EQ,
    ACTIONS(7813), 1,
      anon_sym_GT,
    ACTIONS(7815), 1,
      anon_sym_GT_EQ,
    ACTIONS(7817), 1,
      anon_sym_LT_EQ,
    ACTIONS(7819), 1,
      anon_sym_LT,
    ACTIONS(7821), 1,
      anon_sym_LT_LT,
    ACTIONS(7823), 1,
      anon_sym_GT_GT,
    ACTIONS(7825), 1,
      anon_sym_EQ,
    ACTIONS(7827), 1,
      anon_sym_QMARK,
    ACTIONS(7829), 1,
      anon_sym_STAR_EQ,
    ACTIONS(7831), 1,
      anon_sym_SLASH_EQ,
    ACTIONS(7833), 1,
      anon_sym_PERCENT_EQ,
    ACTIONS(7835), 1,
      anon_sym_PLUS_EQ,
    ACTIONS(7837), 1,
      anon_sym_DASH_EQ,
    ACTIONS(7839), 1,
      anon_sym_LT_LT_EQ,
    ACTIONS(7841), 1,
      anon_sym_GT_GT_EQ,
    ACTIONS(7843), 1,
      anon_sym_AMP_EQ,
    ACTIONS(7845), 1,
      anon_sym_CARET_EQ,
    ACTIONS(7847), 1,
      anon_sym_PIPE_EQ,
    ACTIONS(7849), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7851), 1,
      anon_sym_or,
    ACTIONS(7853), 1,
      anon_sym_and,
    ACTIONS(7855), 1,
      anon_sym_bitor,
    ACTIONS(7857), 1,
      anon_sym_xor,
    ACTIONS(7859), 1,
      anon_sym_bitand,
    ACTIONS(7861), 1,
      anon_sym_not_eq,
    ACTIONS(7997), 1,
      anon_sym_RPAREN,
    STATE(2387), 1,
      sym__binary_fold_operator,
    STATE(4682), 1,
      sym_subscript_argument_list,
    STATE(4692), 1,
      sym_argument_list,
    STATE(10019), 1,
      sym__fold_operator,
    ACTIONS(7607), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7863), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
  [72512] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6496), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6494), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [72572] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7312), 1,
      anon_sym_LPAREN2,
    ACTIONS(7926), 1,
      anon_sym_LBRACK,
    ACTIONS(7940), 1,
      anon_sym_DOT,
    STATE(4835), 1,
      sym_subscript_argument_list,
    STATE(4841), 1,
      sym_argument_list,
    ACTIONS(7938), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7942), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6934), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6936), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_GT2,
  [72646] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2452), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2454), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [72706] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6440), 1,
      anon_sym_LPAREN2,
    ACTIONS(6879), 1,
      anon_sym_LBRACK,
    ACTIONS(6883), 1,
      anon_sym_DOT,
    ACTIONS(7379), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7481), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7487), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7489), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7491), 1,
      anon_sym_PIPE,
    ACTIONS(7495), 1,
      anon_sym_AMP,
    ACTIONS(7501), 1,
      anon_sym_GT_EQ,
    ACTIONS(7503), 1,
      anon_sym_QMARK,
    ACTIONS(7505), 1,
      anon_sym_or,
    ACTIONS(7507), 1,
      anon_sym_and,
    ACTIONS(7509), 1,
      anon_sym_bitor,
    ACTIONS(7511), 1,
      anon_sym_bitand,
    ACTIONS(7623), 1,
      anon_sym_RPAREN,
    ACTIONS(7999), 1,
      anon_sym_COMMA,
    ACTIONS(8001), 1,
      anon_sym_EQ,
    STATE(3592), 1,
      sym_subscript_argument_list,
    STATE(3604), 1,
      sym_argument_list,
    ACTIONS(6881), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6885), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7475), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7479), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7493), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7477), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7497), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7499), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(7589), 13,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
  [72820] = 51,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7300), 1,
      anon_sym_LPAREN2,
    ACTIONS(7563), 1,
      anon_sym_LBRACK,
    ACTIONS(7609), 1,
      anon_sym_DOT_STAR,
    ACTIONS(7611), 1,
      anon_sym_DASH_GT_STAR,
    ACTIONS(7783), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7785), 1,
      anon_sym_COMMA,
    ACTIONS(7789), 1,
      anon_sym_DASH,
    ACTIONS(7791), 1,
      anon_sym_PLUS,
    ACTIONS(7793), 1,
      anon_sym_STAR,
    ACTIONS(7795), 1,
      anon_sym_SLASH,
    ACTIONS(7797), 1,
      anon_sym_PERCENT,
    ACTIONS(7799), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7801), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7803), 1,
      anon_sym_PIPE,
    ACTIONS(7805), 1,
      anon_sym_CARET,
    ACTIONS(7807), 1,
      anon_sym_AMP,
    ACTIONS(7809), 1,
      anon_sym_EQ_EQ,
    ACTIONS(7811), 1,
      anon_sym_BANG_EQ,
    ACTIONS(7813), 1,
      anon_sym_GT,
    ACTIONS(7815), 1,
      anon_sym_GT_EQ,
    ACTIONS(7817), 1,
      anon_sym_LT_EQ,
    ACTIONS(7819), 1,
      anon_sym_LT,
    ACTIONS(7821), 1,
      anon_sym_LT_LT,
    ACTIONS(7823), 1,
      anon_sym_GT_GT,
    ACTIONS(7825), 1,
      anon_sym_EQ,
    ACTIONS(7827), 1,
      anon_sym_QMARK,
    ACTIONS(7829), 1,
      anon_sym_STAR_EQ,
    ACTIONS(7831), 1,
      anon_sym_SLASH_EQ,
    ACTIONS(7833), 1,
      anon_sym_PERCENT_EQ,
    ACTIONS(7835), 1,
      anon_sym_PLUS_EQ,
    ACTIONS(7837), 1,
      anon_sym_DASH_EQ,
    ACTIONS(7839), 1,
      anon_sym_LT_LT_EQ,
    ACTIONS(7841), 1,
      anon_sym_GT_GT_EQ,
    ACTIONS(7843), 1,
      anon_sym_AMP_EQ,
    ACTIONS(7845), 1,
      anon_sym_CARET_EQ,
    ACTIONS(7847), 1,
      anon_sym_PIPE_EQ,
    ACTIONS(7849), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7851), 1,
      anon_sym_or,
    ACTIONS(7853), 1,
      anon_sym_and,
    ACTIONS(7855), 1,
      anon_sym_bitor,
    ACTIONS(7857), 1,
      anon_sym_xor,
    ACTIONS(7859), 1,
      anon_sym_bitand,
    ACTIONS(7861), 1,
      anon_sym_not_eq,
    ACTIONS(8003), 1,
      anon_sym_RPAREN,
    STATE(2387), 1,
      sym__binary_fold_operator,
    STATE(4682), 1,
      sym_subscript_argument_list,
    STATE(4692), 1,
      sym_argument_list,
    STATE(10019), 1,
      sym__fold_operator,
    ACTIONS(7607), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7863), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
  [72976] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6460), 1,
      sym_literal_suffix,
    ACTIONS(6477), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
    ACTIONS(6479), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [73038] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6460), 1,
      sym_literal_suffix,
    ACTIONS(4221), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
    ACTIONS(4213), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [73100] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7312), 1,
      anon_sym_LPAREN2,
    ACTIONS(7926), 1,
      anon_sym_LBRACK,
    ACTIONS(7940), 1,
      anon_sym_DOT,
    STATE(4835), 1,
      sym_subscript_argument_list,
    STATE(4841), 1,
      sym_argument_list,
    ACTIONS(7906), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7924), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7938), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7942), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7908), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6930), 12,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6932), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_GT2,
  [73180] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7312), 1,
      anon_sym_LPAREN2,
    ACTIONS(7926), 1,
      anon_sym_LBRACK,
    ACTIONS(7940), 1,
      anon_sym_DOT,
    STATE(4835), 1,
      sym_subscript_argument_list,
    STATE(4841), 1,
      sym_argument_list,
    ACTIONS(7906), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7938), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7942), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7908), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6930), 14,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6932), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_GT2,
  [73258] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7312), 1,
      anon_sym_LPAREN2,
    ACTIONS(7926), 1,
      anon_sym_LBRACK,
    ACTIONS(7928), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7940), 1,
      anon_sym_DOT,
    STATE(4835), 1,
      sym_subscript_argument_list,
    STATE(4841), 1,
      sym_argument_list,
    ACTIONS(7906), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7924), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7938), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7942), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7908), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6930), 12,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6932), 23,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_GT2,
  [73340] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7312), 1,
      anon_sym_LPAREN2,
    ACTIONS(7926), 1,
      anon_sym_LBRACK,
    ACTIONS(7928), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7940), 1,
      anon_sym_DOT,
    STATE(4835), 1,
      sym_subscript_argument_list,
    STATE(4841), 1,
      sym_argument_list,
    ACTIONS(7906), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7924), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7938), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7942), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7908), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7922), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6930), 8,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6932), 23,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_GT2,
  [73424] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7312), 1,
      anon_sym_LPAREN2,
    ACTIONS(7926), 1,
      anon_sym_LBRACK,
    ACTIONS(7928), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7940), 1,
      anon_sym_DOT,
    STATE(4835), 1,
      sym_subscript_argument_list,
    STATE(4841), 1,
      sym_argument_list,
    ACTIONS(7906), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7924), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7938), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7942), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7908), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7920), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7922), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6930), 8,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6932), 20,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_GT2,
  [73510] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7312), 1,
      anon_sym_LPAREN2,
    ACTIONS(7918), 1,
      anon_sym_AMP,
    ACTIONS(7926), 1,
      anon_sym_LBRACK,
    ACTIONS(7928), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7936), 1,
      anon_sym_bitand,
    ACTIONS(7940), 1,
      anon_sym_DOT,
    STATE(4835), 1,
      sym_subscript_argument_list,
    STATE(4841), 1,
      sym_argument_list,
    ACTIONS(7906), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7924), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7938), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7942), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7908), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7920), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7922), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6930), 7,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6932), 19,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_bitor,
      anon_sym_GT2,
  [73600] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7312), 1,
      anon_sym_LPAREN2,
    ACTIONS(7918), 1,
      anon_sym_AMP,
    ACTIONS(7926), 1,
      anon_sym_LBRACK,
    ACTIONS(7928), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7936), 1,
      anon_sym_bitand,
    ACTIONS(7940), 1,
      anon_sym_DOT,
    STATE(4835), 1,
      sym_subscript_argument_list,
    STATE(4841), 1,
      sym_argument_list,
    ACTIONS(7906), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7916), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7924), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7938), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7942), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7908), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7920), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7922), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6930), 5,
      anon_sym_PIPE,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
    ACTIONS(6932), 19,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_bitor,
      anon_sym_GT2,
  [73692] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7312), 1,
      anon_sym_LPAREN2,
    ACTIONS(7914), 1,
      anon_sym_PIPE,
    ACTIONS(7918), 1,
      anon_sym_AMP,
    ACTIONS(7926), 1,
      anon_sym_LBRACK,
    ACTIONS(7928), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7934), 1,
      anon_sym_bitor,
    ACTIONS(7936), 1,
      anon_sym_bitand,
    ACTIONS(7940), 1,
      anon_sym_DOT,
    STATE(4835), 1,
      sym_subscript_argument_list,
    STATE(4841), 1,
      sym_argument_list,
    ACTIONS(7906), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7916), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7924), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7938), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7942), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7908), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7920), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(6930), 4,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
    ACTIONS(7922), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6932), 18,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_GT2,
  [73788] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7312), 1,
      anon_sym_LPAREN2,
    ACTIONS(7912), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7914), 1,
      anon_sym_PIPE,
    ACTIONS(7918), 1,
      anon_sym_AMP,
    ACTIONS(7926), 1,
      anon_sym_LBRACK,
    ACTIONS(7928), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7932), 1,
      anon_sym_and,
    ACTIONS(7934), 1,
      anon_sym_bitor,
    ACTIONS(7936), 1,
      anon_sym_bitand,
    ACTIONS(7940), 1,
      anon_sym_DOT,
    STATE(4835), 1,
      sym_subscript_argument_list,
    STATE(4841), 1,
      sym_argument_list,
    ACTIONS(7906), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7916), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7924), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7938), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7942), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6930), 3,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
    ACTIONS(7908), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7920), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7922), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6932), 17,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_GT2,
  [73888] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2230), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7260), 1,
      anon_sym_LT,
    STATE(4530), 1,
      sym_template_argument_list,
    ACTIONS(6819), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6821), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [73954] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7312), 1,
      anon_sym_LPAREN2,
    ACTIONS(7926), 1,
      anon_sym_LBRACK,
    ACTIONS(7940), 1,
      anon_sym_DOT,
    STATE(4835), 1,
      sym_subscript_argument_list,
    STATE(4841), 1,
      sym_argument_list,
    ACTIONS(7938), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7942), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6930), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6932), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_GT2,
  [74028] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7312), 1,
      anon_sym_LPAREN2,
    ACTIONS(7926), 1,
      anon_sym_LBRACK,
    ACTIONS(7940), 1,
      anon_sym_DOT,
    STATE(4835), 1,
      sym_subscript_argument_list,
    STATE(4841), 1,
      sym_argument_list,
    ACTIONS(7938), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7942), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7908), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6930), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6932), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_GT2,
  [74104] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6734), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6736), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [74164] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6765), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6767), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [74224] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6783), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6785), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [74284] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6440), 1,
      anon_sym_LPAREN2,
    ACTIONS(6879), 1,
      anon_sym_LBRACK,
    ACTIONS(7897), 1,
      anon_sym_DOT,
    STATE(3592), 1,
      sym_subscript_argument_list,
    STATE(3604), 1,
      sym_argument_list,
    ACTIONS(6881), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7899), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6875), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6877), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [74358] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8005), 1,
      sym_identifier,
    STATE(4516), 3,
      sym_string_literal,
      sym_raw_string_literal,
      aux_sym_concatenated_string_repeat1,
    ACTIONS(6595), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(6597), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
    ACTIONS(6243), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_literal_suffix,
    ACTIONS(6241), 21,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [74426] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2230), 1,
      anon_sym_COLON_COLON,
    STATE(3203), 1,
      sym_template_argument_list,
    STATE(4743), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(8007), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5896), 20,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5898), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [74494] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2230), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7260), 1,
      anon_sym_LT,
    STATE(4530), 1,
      sym_template_argument_list,
    ACTIONS(6811), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6813), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [74560] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6951), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6953), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [74620] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7517), 1,
      sym_auto,
    ACTIONS(7519), 1,
      anon_sym_decltype,
    STATE(4608), 1,
      sym_decltype_auto,
    ACTIONS(6021), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6023), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [74686] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8011), 25,
      anon_sym_LPAREN2,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      sym_number_literal,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
    ACTIONS(8009), 27,
      anon_sym_DASH,
      anon_sym_PLUS,
      sym_primitive_type,
      anon_sym_not,
      anon_sym_compl,
      anon_sym_sizeof,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
      anon_sym_offsetof,
      anon_sym__Generic,
      anon_sym_asm,
      anon_sym___asm__,
      sym_true,
      sym_false,
      anon_sym_NULL,
      anon_sym_nullptr,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_delete,
      anon_sym_co_await,
      anon_sym_new,
      anon_sym_requires,
      sym_this,
  [74746] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4172), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4174), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [74806] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6961), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6963), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [74866] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6920), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6922), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [74926] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7312), 1,
      anon_sym_LPAREN2,
    ACTIONS(7926), 1,
      anon_sym_LBRACK,
    ACTIONS(7940), 1,
      anon_sym_DOT,
    STATE(4835), 1,
      sym_subscript_argument_list,
    STATE(4841), 1,
      sym_argument_list,
    ACTIONS(7938), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7942), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6908), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6910), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_GT2,
  [75000] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7312), 1,
      anon_sym_LPAREN2,
    ACTIONS(7926), 1,
      anon_sym_LBRACK,
    ACTIONS(7940), 1,
      anon_sym_DOT,
    STATE(4835), 1,
      sym_subscript_argument_list,
    STATE(4841), 1,
      sym_argument_list,
    ACTIONS(7938), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7942), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6916), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6918), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_GT2,
  [75074] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6951), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6953), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [75134] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7312), 1,
      anon_sym_LPAREN2,
    ACTIONS(7910), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7912), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7914), 1,
      anon_sym_PIPE,
    ACTIONS(7918), 1,
      anon_sym_AMP,
    ACTIONS(7926), 1,
      anon_sym_LBRACK,
    ACTIONS(7928), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7930), 1,
      anon_sym_or,
    ACTIONS(7932), 1,
      anon_sym_and,
    ACTIONS(7934), 1,
      anon_sym_bitor,
    ACTIONS(7936), 1,
      anon_sym_bitand,
    ACTIONS(7940), 1,
      anon_sym_DOT,
    STATE(4835), 1,
      sym_subscript_argument_list,
    STATE(4841), 1,
      sym_argument_list,
    ACTIONS(7373), 2,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
    ACTIONS(7906), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7916), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7924), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7938), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7942), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7908), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7920), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7922), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(7375), 16,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_GT2,
  [75238] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7126), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7128), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [75298] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7312), 1,
      anon_sym_LPAREN2,
    ACTIONS(7926), 1,
      anon_sym_LBRACK,
    ACTIONS(7940), 1,
      anon_sym_DOT,
    STATE(4835), 1,
      sym_subscript_argument_list,
    STATE(4841), 1,
      sym_argument_list,
    ACTIONS(7942), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6924), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6926), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_GT2,
  [75370] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7414), 26,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      sym_literal_suffix,
    ACTIONS(7416), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [75430] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7312), 1,
      anon_sym_LPAREN2,
    ACTIONS(7910), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7912), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7914), 1,
      anon_sym_PIPE,
    ACTIONS(7918), 1,
      anon_sym_AMP,
    ACTIONS(7926), 1,
      anon_sym_LBRACK,
    ACTIONS(7928), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7930), 1,
      anon_sym_or,
    ACTIONS(7932), 1,
      anon_sym_and,
    ACTIONS(7934), 1,
      anon_sym_bitor,
    ACTIONS(7936), 1,
      anon_sym_bitand,
    ACTIONS(7940), 1,
      anon_sym_DOT,
    ACTIONS(7944), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7946), 1,
      anon_sym_QMARK,
    STATE(4835), 1,
      sym_subscript_argument_list,
    STATE(4841), 1,
      sym_argument_list,
    ACTIONS(7144), 2,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
    ACTIONS(7906), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7916), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7924), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7938), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7942), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7908), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7920), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7922), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(7146), 14,
      anon_sym_COMMA,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_GT2,
  [75538] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2254), 1,
      anon_sym_const,
    ACTIONS(4580), 1,
      anon_sym_AMP,
    ACTIONS(4575), 7,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_LBRACK,
      anon_sym_GT2,
    ACTIONS(4578), 10,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(2256), 15,
      anon_sym___extension__,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(4573), 18,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [75606] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2262), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5931), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5933), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [75668] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4243), 1,
      anon_sym_EQ,
    ACTIONS(5792), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6511), 1,
      anon_sym_LPAREN2,
    ACTIONS(6514), 1,
      anon_sym_LBRACK,
    ACTIONS(4245), 13,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
    ACTIONS(4221), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(4213), 18,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [75738] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7970), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7972), 1,
      anon_sym_AMP,
    ACTIONS(7976), 1,
      anon_sym___attribute__,
    ACTIONS(7978), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7981), 1,
      anon_sym_LBRACK,
    ACTIONS(7983), 1,
      anon_sym_const,
    ACTIONS(7987), 1,
      anon_sym_DASH_GT,
    ACTIONS(7989), 1,
      anon_sym_noexcept,
    ACTIONS(7991), 1,
      anon_sym_throw,
    ACTIONS(8016), 1,
      anon_sym_requires,
    STATE(5817), 1,
      sym__function_attributes_start,
    STATE(6108), 1,
      sym_ref_qualifier,
    STATE(6958), 1,
      sym__function_attributes_end,
    STATE(7005), 1,
      sym_trailing_return_type,
    STATE(8031), 1,
      sym_gnu_asm_expression,
    ACTIONS(7985), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(8013), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5431), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6026), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(7085), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7174), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(7250), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(6537), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(7968), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
      anon_sym_try,
    ACTIONS(7974), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [75844] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5792), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6511), 1,
      anon_sym_LPAREN2,
    ACTIONS(6514), 1,
      anon_sym_LBRACK,
    ACTIONS(4221), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(4213), 31,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [75910] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5792), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6511), 1,
      anon_sym_LPAREN2,
    ACTIONS(6514), 1,
      anon_sym_LBRACK,
    ACTIONS(4221), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(4213), 31,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [75976] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7312), 1,
      anon_sym_LPAREN2,
    ACTIONS(7926), 1,
      anon_sym_LBRACK,
    ACTIONS(7940), 1,
      anon_sym_DOT,
    STATE(4835), 1,
      sym_subscript_argument_list,
    STATE(4841), 1,
      sym_argument_list,
    ACTIONS(7938), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7942), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6875), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6877), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_GT2,
  [76050] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4243), 1,
      anon_sym_EQ,
    ACTIONS(4245), 13,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
    ACTIONS(4221), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(4213), 21,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [76114] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7903), 1,
      anon_sym_LT,
    STATE(3246), 1,
      sym_template_argument_list,
    ACTIONS(6944), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6946), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [76178] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6684), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6686), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [76238] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7312), 1,
      anon_sym_LPAREN2,
    ACTIONS(7926), 1,
      anon_sym_LBRACK,
    ACTIONS(7940), 1,
      anon_sym_DOT,
    STATE(4835), 1,
      sym_subscript_argument_list,
    STATE(4841), 1,
      sym_argument_list,
    ACTIONS(7942), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6904), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6906), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_GT2,
  [76310] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7689), 1,
      anon_sym_LT,
    STATE(1720), 1,
      sym_template_argument_list,
    ACTIONS(6944), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6946), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [76374] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7312), 1,
      anon_sym_LPAREN2,
    ACTIONS(7910), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7912), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7914), 1,
      anon_sym_PIPE,
    ACTIONS(7918), 1,
      anon_sym_AMP,
    ACTIONS(7926), 1,
      anon_sym_LBRACK,
    ACTIONS(7928), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7930), 1,
      anon_sym_or,
    ACTIONS(7932), 1,
      anon_sym_and,
    ACTIONS(7934), 1,
      anon_sym_bitor,
    ACTIONS(7936), 1,
      anon_sym_bitand,
    ACTIONS(7940), 1,
      anon_sym_DOT,
    STATE(4835), 1,
      sym_subscript_argument_list,
    STATE(4841), 1,
      sym_argument_list,
    ACTIONS(7369), 2,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
    ACTIONS(7906), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7916), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7924), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7938), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7942), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7908), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7920), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7922), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(7371), 16,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_GT2,
  [76478] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6496), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6494), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [76538] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8019), 1,
      anon_sym_LBRACK_RBRACK,
    ACTIONS(6951), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6953), 31,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [76600] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2256), 2,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
    ACTIONS(4578), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(4573), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [76662] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8021), 1,
      sym_identifier,
    STATE(4516), 3,
      sym_string_literal,
      sym_raw_string_literal,
      aux_sym_concatenated_string_repeat1,
    ACTIONS(8024), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(8027), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
    ACTIONS(6273), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_literal_suffix,
    ACTIONS(6271), 21,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [76730] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5768), 21,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    ACTIONS(5770), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [76789] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4180), 1,
      anon_sym_LBRACE,
    ACTIONS(7513), 1,
      anon_sym_LPAREN2,
    STATE(4916), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(6670), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6672), 31,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [76854] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7078), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7080), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [76913] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7003), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7005), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [76972] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6535), 3,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
    ACTIONS(4221), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4213), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [77033] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7176), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7178), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [77092] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5727), 21,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    ACTIONS(5729), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [77151] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5931), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5933), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [77210] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7172), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7174), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [77269] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7168), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7170), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [77328] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6951), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6953), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [77387] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6135), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6137), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [77446] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7156), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7158), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [77505] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2256), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6826), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6828), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [77566] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_AMP_AMP,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1486), 1,
      anon_sym_template,
    ACTIONS(2588), 1,
      anon_sym_operator,
    ACTIONS(2875), 1,
      anon_sym_LPAREN2,
    ACTIONS(2877), 1,
      anon_sym_TILDE,
    ACTIONS(2879), 1,
      anon_sym_STAR,
    ACTIONS(2881), 1,
      anon_sym_AMP,
    ACTIONS(3148), 1,
      anon_sym_decltype,
    ACTIONS(5573), 1,
      sym_identifier,
    ACTIONS(7243), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8030), 1,
      anon_sym_LBRACK,
    STATE(5347), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(7003), 1,
      sym__scope_resolution,
    STATE(7650), 1,
      sym__declarator,
    STATE(10332), 1,
      sym_ms_based_modifier,
    ACTIONS(4383), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(4643), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(5248), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(4381), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(10317), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(7680), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(4379), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [77667] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5772), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5774), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [77726] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5760), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5762), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [77785] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6965), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6967), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [77844] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1486), 1,
      anon_sym_template,
    ACTIONS(2588), 1,
      anon_sym_operator,
    ACTIONS(2875), 1,
      anon_sym_LPAREN2,
    ACTIONS(2877), 1,
      anon_sym_TILDE,
    ACTIONS(3148), 1,
      anon_sym_decltype,
    ACTIONS(5573), 1,
      sym_identifier,
    ACTIONS(8030), 1,
      anon_sym_LBRACK,
    ACTIONS(8032), 1,
      anon_sym_STAR,
    ACTIONS(8034), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8036), 1,
      anon_sym_AMP,
    ACTIONS(8038), 1,
      anon_sym_COLON_COLON,
    STATE(5347), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(7022), 1,
      sym__scope_resolution,
    STATE(7920), 1,
      sym__declarator,
    STATE(9540), 1,
      sym_ms_based_modifier,
    ACTIONS(4383), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(5226), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(5243), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(4381), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(10317), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(7680), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(4379), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [77945] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1486), 1,
      anon_sym_template,
    ACTIONS(2588), 1,
      anon_sym_operator,
    ACTIONS(2875), 1,
      anon_sym_LPAREN2,
    ACTIONS(2877), 1,
      anon_sym_TILDE,
    ACTIONS(3148), 1,
      anon_sym_decltype,
    ACTIONS(5573), 1,
      sym_identifier,
    ACTIONS(8030), 1,
      anon_sym_LBRACK,
    ACTIONS(8032), 1,
      anon_sym_STAR,
    ACTIONS(8034), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8036), 1,
      anon_sym_AMP,
    ACTIONS(8038), 1,
      anon_sym_COLON_COLON,
    STATE(5347), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(7022), 1,
      sym__scope_resolution,
    STATE(7901), 1,
      sym__declarator,
    STATE(9540), 1,
      sym_ms_based_modifier,
    ACTIONS(4383), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(5226), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(5265), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(4381), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(10317), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(7680), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(4379), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [78046] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7086), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7088), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [78105] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6979), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6981), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [78164] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7182), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7184), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [78223] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6983), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6985), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [78282] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6983), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6985), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [78341] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6983), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6985), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [78400] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1486), 1,
      anon_sym_template,
    ACTIONS(2588), 1,
      anon_sym_operator,
    ACTIONS(2875), 1,
      anon_sym_LPAREN2,
    ACTIONS(2877), 1,
      anon_sym_TILDE,
    ACTIONS(3148), 1,
      anon_sym_decltype,
    ACTIONS(6738), 1,
      sym_identifier,
    ACTIONS(8030), 1,
      anon_sym_LBRACK,
    ACTIONS(8040), 1,
      anon_sym_STAR,
    ACTIONS(8042), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8044), 1,
      anon_sym_AMP,
    ACTIONS(8046), 1,
      anon_sym_COLON_COLON,
    STATE(5347), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(7070), 1,
      sym__scope_resolution,
    STATE(7888), 1,
      sym__declarator,
    STATE(9456), 1,
      sym_ms_based_modifier,
    ACTIONS(4383), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(5226), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(5240), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(4381), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(10317), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(7680), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(4379), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [78501] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1486), 1,
      anon_sym_template,
    ACTIONS(2588), 1,
      anon_sym_operator,
    ACTIONS(2875), 1,
      anon_sym_LPAREN2,
    ACTIONS(2877), 1,
      anon_sym_TILDE,
    ACTIONS(3148), 1,
      anon_sym_decltype,
    ACTIONS(5573), 1,
      sym_identifier,
    ACTIONS(8030), 1,
      anon_sym_LBRACK,
    ACTIONS(8032), 1,
      anon_sym_STAR,
    ACTIONS(8034), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8036), 1,
      anon_sym_AMP,
    ACTIONS(8038), 1,
      anon_sym_COLON_COLON,
    STATE(5347), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(7022), 1,
      sym__scope_resolution,
    STATE(7901), 1,
      sym__declarator,
    STATE(9540), 1,
      sym_ms_based_modifier,
    ACTIONS(4383), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(4535), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(5265), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(4381), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(10317), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(7680), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(4379), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [78602] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5768), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5770), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [78661] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8048), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8050), 1,
      anon_sym_and,
    ACTIONS(5832), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5834), 31,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [78724] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6684), 21,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6686), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [78783] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1486), 1,
      anon_sym_template,
    ACTIONS(2588), 1,
      anon_sym_operator,
    ACTIONS(2875), 1,
      anon_sym_LPAREN2,
    ACTIONS(2877), 1,
      anon_sym_TILDE,
    ACTIONS(3148), 1,
      anon_sym_decltype,
    ACTIONS(8030), 1,
      anon_sym_LBRACK,
    ACTIONS(8052), 1,
      sym_identifier,
    ACTIONS(8054), 1,
      anon_sym_STAR,
    ACTIONS(8056), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8058), 1,
      anon_sym_AMP,
    ACTIONS(8060), 1,
      anon_sym_COLON_COLON,
    STATE(5347), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(7024), 1,
      sym__scope_resolution,
    STATE(7616), 1,
      sym__declarator,
    STATE(9555), 1,
      sym_ms_based_modifier,
    ACTIONS(4383), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(5226), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(5267), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(4381), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(10317), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(7680), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(4379), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [78884] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5756), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5758), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [78943] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5779), 21,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    ACTIONS(5781), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [79002] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5764), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5766), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [79061] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7049), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7051), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [79120] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7053), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7055), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [79179] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6853), 1,
      sym_literal_suffix,
    ACTIONS(4213), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
    ACTIONS(4221), 26,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
  [79240] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6159), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6161), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [79299] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7160), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7162), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [79358] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8062), 1,
      anon_sym_LT,
    STATE(4515), 1,
      sym_template_argument_list,
    ACTIONS(6944), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6946), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [79421] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6783), 21,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6785), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [79480] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6765), 21,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6767), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [79539] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5745), 21,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    ACTIONS(5747), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [79598] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7098), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7100), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [79657] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7136), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7138), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [79716] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6734), 21,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6736), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [79775] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5745), 21,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    ACTIONS(5747), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [79834] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7164), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7166), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [79893] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4168), 21,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(4170), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [79952] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6041), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6043), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [80011] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7114), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7116), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [80070] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1486), 1,
      anon_sym_template,
    ACTIONS(2588), 1,
      anon_sym_operator,
    ACTIONS(2875), 1,
      anon_sym_LPAREN2,
    ACTIONS(2877), 1,
      anon_sym_TILDE,
    ACTIONS(3148), 1,
      anon_sym_decltype,
    ACTIONS(6738), 1,
      sym_identifier,
    ACTIONS(8030), 1,
      anon_sym_LBRACK,
    ACTIONS(8040), 1,
      anon_sym_STAR,
    ACTIONS(8042), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8044), 1,
      anon_sym_AMP,
    ACTIONS(8046), 1,
      anon_sym_COLON_COLON,
    STATE(5347), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(7070), 1,
      sym__scope_resolution,
    STATE(7829), 1,
      sym__declarator,
    STATE(9456), 1,
      sym_ms_based_modifier,
    ACTIONS(4383), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(4543), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(5233), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(4381), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(10317), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(7680), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(4379), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [80171] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1486), 1,
      anon_sym_template,
    ACTIONS(2588), 1,
      anon_sym_operator,
    ACTIONS(2875), 1,
      anon_sym_LPAREN2,
    ACTIONS(2877), 1,
      anon_sym_TILDE,
    ACTIONS(3148), 1,
      anon_sym_decltype,
    ACTIONS(8030), 1,
      anon_sym_LBRACK,
    ACTIONS(8052), 1,
      sym_identifier,
    ACTIONS(8054), 1,
      anon_sym_STAR,
    ACTIONS(8056), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8058), 1,
      anon_sym_AMP,
    ACTIONS(8060), 1,
      anon_sym_COLON_COLON,
    STATE(5347), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(7024), 1,
      sym__scope_resolution,
    STATE(7650), 1,
      sym__declarator,
    STATE(9555), 1,
      sym_ms_based_modifier,
    ACTIONS(4383), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(5226), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(5281), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(4381), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(10317), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(7680), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(4379), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [80272] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6887), 21,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6889), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [80331] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6111), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6113), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [80390] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5721), 21,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    ACTIONS(5723), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [80449] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5756), 21,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    ACTIONS(5758), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [80508] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5931), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5933), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [80567] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2238), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2236), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [80626] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7108), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7110), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [80685] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5745), 21,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    ACTIONS(5747), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [80744] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6033), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6035), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [80803] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1486), 1,
      anon_sym_template,
    ACTIONS(2588), 1,
      anon_sym_operator,
    ACTIONS(2875), 1,
      anon_sym_LPAREN2,
    ACTIONS(2877), 1,
      anon_sym_TILDE,
    ACTIONS(3148), 1,
      anon_sym_decltype,
    ACTIONS(6738), 1,
      sym_identifier,
    ACTIONS(6750), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8030), 1,
      anon_sym_LBRACK,
    ACTIONS(8065), 1,
      anon_sym_STAR,
    ACTIONS(8067), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8069), 1,
      anon_sym_AMP,
    STATE(5347), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(7058), 1,
      sym__scope_resolution,
    STATE(7291), 1,
      sym__declarator,
    STATE(9827), 1,
      sym_ms_based_modifier,
    ACTIONS(4383), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(5226), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(5277), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(4381), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(10317), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(7680), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(4379), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [80904] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6049), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6051), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [80963] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6057), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6059), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [81022] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7689), 1,
      anon_sym_LT,
    STATE(1721), 1,
      sym_template_argument_list,
    ACTIONS(6944), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6946), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [81085] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7013), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7015), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [81144] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7152), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7154), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [81203] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1486), 1,
      anon_sym_template,
    ACTIONS(2588), 1,
      anon_sym_operator,
    ACTIONS(2875), 1,
      anon_sym_LPAREN2,
    ACTIONS(2877), 1,
      anon_sym_TILDE,
    ACTIONS(3148), 1,
      anon_sym_decltype,
    ACTIONS(8030), 1,
      anon_sym_LBRACK,
    ACTIONS(8052), 1,
      sym_identifier,
    ACTIONS(8054), 1,
      anon_sym_STAR,
    ACTIONS(8056), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8058), 1,
      anon_sym_AMP,
    ACTIONS(8060), 1,
      anon_sym_COLON_COLON,
    STATE(5347), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(7024), 1,
      sym__scope_resolution,
    STATE(7650), 1,
      sym__declarator,
    STATE(9555), 1,
      sym_ms_based_modifier,
    ACTIONS(4383), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(4548), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(5281), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(4381), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(10317), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(7680), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(4379), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [81304] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5764), 21,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    ACTIONS(5766), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [81363] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5727), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5729), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [81422] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6775), 21,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6777), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [81481] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6771), 21,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6773), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [81540] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5731), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5733), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [81599] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1486), 1,
      anon_sym_template,
    ACTIONS(2588), 1,
      anon_sym_operator,
    ACTIONS(2875), 1,
      anon_sym_LPAREN2,
    ACTIONS(2877), 1,
      anon_sym_TILDE,
    ACTIONS(3148), 1,
      anon_sym_decltype,
    ACTIONS(6738), 1,
      sym_identifier,
    ACTIONS(6750), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8030), 1,
      anon_sym_LBRACK,
    ACTIONS(8065), 1,
      anon_sym_STAR,
    ACTIONS(8067), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8069), 1,
      anon_sym_AMP,
    STATE(5347), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(7058), 1,
      sym__scope_resolution,
    STATE(7261), 1,
      sym__declarator,
    STATE(9827), 1,
      sym_ms_based_modifier,
    ACTIONS(4383), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(4580), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(5255), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(4381), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(10317), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(7680), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(4379), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [81700] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5760), 21,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    ACTIONS(5762), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [81759] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7064), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7066), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [81818] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5772), 21,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    ACTIONS(5774), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [81877] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8071), 1,
      sym_identifier,
    ACTIONS(8076), 1,
      sym_primitive_type,
    STATE(4665), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(8074), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5919), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5917), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [81944] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7029), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7031), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [82003] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7198), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7200), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [82062] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8078), 1,
      sym_identifier,
    STATE(4690), 3,
      sym_string_literal,
      sym_raw_string_literal,
      aux_sym_concatenated_string_repeat1,
    ACTIONS(5828), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(5830), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
    ACTIONS(6255), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_literal_suffix,
    ACTIONS(6253), 19,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [82129] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6139), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6141), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [82188] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7090), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7092), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [82247] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6099), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6101), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [82306] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6496), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6494), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [82365] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6061), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6063), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [82424] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8062), 1,
      anon_sym_LT,
    STATE(3291), 1,
      sym_template_argument_list,
    ACTIONS(6944), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6946), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [82487] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6091), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6093), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [82546] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6591), 1,
      anon_sym_EQ,
    ACTIONS(6593), 13,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
    ACTIONS(4221), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(4213), 20,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [82609] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6045), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6047), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [82668] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6087), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6089), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [82727] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7074), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7076), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [82786] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2206), 21,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    ACTIONS(2204), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [82845] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4551), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4546), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [82904] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4551), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4546), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [82963] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4551), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4546), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [83022] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6083), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6085), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [83081] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5749), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5751), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [83140] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4551), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4546), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [83199] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4551), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4546), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [83258] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4180), 1,
      anon_sym_LBRACE,
    ACTIONS(7513), 1,
      anon_sym_LPAREN2,
    STATE(4896), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(6779), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6781), 31,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [83323] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6861), 21,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6863), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [83382] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6853), 1,
      sym_literal_suffix,
    ACTIONS(6479), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
    ACTIONS(6477), 26,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
  [83443] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5735), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5737), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [83502] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5739), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5741), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [83561] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8080), 1,
      anon_sym_LBRACK_RBRACK,
    ACTIONS(6951), 21,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6953), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [83622] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6987), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6989), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [83681] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4551), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4546), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [83740] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7144), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7146), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [83799] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5600), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2358), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [83858] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7140), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7142), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [83917] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2238), 21,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    ACTIONS(2236), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [83976] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5731), 21,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    ACTIONS(5733), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [84035] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7416), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
    ACTIONS(7414), 27,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_literal_suffix,
  [84094] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2230), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8082), 1,
      anon_sym_LT,
    STATE(3203), 1,
      sym_template_argument_list,
    STATE(3379), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5794), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(4211), 9,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
    ACTIONS(4219), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
  [84163] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6961), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6963), 31,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [84222] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7206), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7208), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [84281] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6912), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6914), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [84340] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5745), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5747), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [84399] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7212), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7214), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [84458] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4180), 1,
      anon_sym_LBRACE,
    ACTIONS(7513), 1,
      anon_sym_LPAREN2,
    STATE(4898), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(6666), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6668), 31,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [84523] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2230), 1,
      anon_sym_COLON_COLON,
    STATE(3203), 1,
      sym_template_argument_list,
    STATE(3379), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5794), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5896), 10,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_COLON,
      anon_sym_DOT,
    ACTIONS(5898), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
  [84590] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6995), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6997), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [84649] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1486), 1,
      anon_sym_template,
    ACTIONS(2588), 1,
      anon_sym_operator,
    ACTIONS(2875), 1,
      anon_sym_LPAREN2,
    ACTIONS(2877), 1,
      anon_sym_TILDE,
    ACTIONS(3148), 1,
      anon_sym_decltype,
    ACTIONS(6738), 1,
      sym_identifier,
    ACTIONS(6750), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8030), 1,
      anon_sym_LBRACK,
    ACTIONS(8065), 1,
      anon_sym_STAR,
    ACTIONS(8067), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8069), 1,
      anon_sym_AMP,
    STATE(5347), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(7058), 1,
      sym__scope_resolution,
    STATE(7352), 1,
      sym__declarator,
    STATE(9827), 1,
      sym_ms_based_modifier,
    ACTIONS(4383), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(4658), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(5280), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(4381), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(10317), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(7680), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(4379), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [84750] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_AMP_AMP,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1486), 1,
      anon_sym_template,
    ACTIONS(2588), 1,
      anon_sym_operator,
    ACTIONS(2875), 1,
      anon_sym_LPAREN2,
    ACTIONS(2877), 1,
      anon_sym_TILDE,
    ACTIONS(2879), 1,
      anon_sym_STAR,
    ACTIONS(2881), 1,
      anon_sym_AMP,
    ACTIONS(3148), 1,
      anon_sym_decltype,
    ACTIONS(5573), 1,
      sym_identifier,
    ACTIONS(7243), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8030), 1,
      anon_sym_LBRACK,
    STATE(5347), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(7003), 1,
      sym__scope_resolution,
    STATE(7616), 1,
      sym__declarator,
    STATE(10332), 1,
      sym_ms_based_modifier,
    ACTIONS(4383), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(5226), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(5237), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(4381), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(10317), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(7680), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(4379), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [84851] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6400), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_literal_suffix,
    ACTIONS(6402), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [84910] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7007), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7009), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [84969] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5745), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5747), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [85028] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5745), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5747), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [85087] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6151), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6153), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [85146] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1486), 1,
      anon_sym_template,
    ACTIONS(2588), 1,
      anon_sym_operator,
    ACTIONS(2875), 1,
      anon_sym_LPAREN2,
    ACTIONS(2877), 1,
      anon_sym_TILDE,
    ACTIONS(3148), 1,
      anon_sym_decltype,
    ACTIONS(6738), 1,
      sym_identifier,
    ACTIONS(8030), 1,
      anon_sym_LBRACK,
    ACTIONS(8040), 1,
      anon_sym_STAR,
    ACTIONS(8042), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8044), 1,
      anon_sym_AMP,
    ACTIONS(8046), 1,
      anon_sym_COLON_COLON,
    STATE(5347), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(7070), 1,
      sym__scope_resolution,
    STATE(7855), 1,
      sym__declarator,
    STATE(9456), 1,
      sym_ms_based_modifier,
    ACTIONS(4383), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(5226), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(5236), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(4381), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(10317), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(7680), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(4379), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [85247] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6413), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_literal_suffix,
    ACTIONS(6415), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [85306] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8084), 1,
      sym_identifier,
    STATE(4651), 3,
      sym_string_literal,
      sym_raw_string_literal,
      aux_sym_concatenated_string_repeat1,
    ACTIONS(8087), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(8090), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
    ACTIONS(6273), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_literal_suffix,
    ACTIONS(6271), 19,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [85373] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7017), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7019), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [85432] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5735), 21,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    ACTIONS(5737), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [85491] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6894), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6896), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [85550] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5749), 21,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    ACTIONS(5751), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [85609] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7082), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7084), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [85668] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1486), 1,
      anon_sym_template,
    ACTIONS(2588), 1,
      anon_sym_operator,
    ACTIONS(2875), 1,
      anon_sym_LPAREN2,
    ACTIONS(2877), 1,
      anon_sym_TILDE,
    ACTIONS(3148), 1,
      anon_sym_decltype,
    ACTIONS(8030), 1,
      anon_sym_LBRACK,
    ACTIONS(8052), 1,
      sym_identifier,
    ACTIONS(8054), 1,
      anon_sym_STAR,
    ACTIONS(8056), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8058), 1,
      anon_sym_AMP,
    ACTIONS(8060), 1,
      anon_sym_COLON_COLON,
    STATE(5347), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(7024), 1,
      sym__scope_resolution,
    STATE(7636), 1,
      sym__declarator,
    STATE(9555), 1,
      sym_ms_based_modifier,
    ACTIONS(4383), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(4570), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(5241), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(4381), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(10317), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(7680), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(4379), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [85769] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1486), 1,
      anon_sym_template,
    ACTIONS(2588), 1,
      anon_sym_operator,
    ACTIONS(2875), 1,
      anon_sym_LPAREN2,
    ACTIONS(2877), 1,
      anon_sym_TILDE,
    ACTIONS(3148), 1,
      anon_sym_decltype,
    ACTIONS(6738), 1,
      sym_identifier,
    ACTIONS(6750), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8030), 1,
      anon_sym_LBRACK,
    ACTIONS(8065), 1,
      anon_sym_STAR,
    ACTIONS(8067), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8069), 1,
      anon_sym_AMP,
    STATE(5347), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(7058), 1,
      sym__scope_resolution,
    STATE(7261), 1,
      sym__declarator,
    STATE(9827), 1,
      sym_ms_based_modifier,
    ACTIONS(4383), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(5226), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(5255), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(4381), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(10317), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(7680), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(4379), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [85870] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6730), 21,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6732), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [85929] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6115), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6117), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [85988] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2206), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2204), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [86047] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7118), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7120), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [86106] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5739), 21,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    ACTIONS(5741), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [86165] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6143), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6145), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [86224] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5840), 1,
      sym_primitive_type,
    STATE(3174), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6404), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5940), 20,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5943), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [86289] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6123), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6125), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [86348] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6025), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6027), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [86407] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6115), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6117), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [86466] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6147), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6149), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [86525] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6029), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6031), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [86584] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6095), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6097), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [86643] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6073), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6075), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [86702] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5783), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5785), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [86761] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6069), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6071), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [86820] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2230), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8093), 1,
      anon_sym_LT,
    STATE(4743), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(4861), 1,
      sym_template_argument_list,
    ACTIONS(8007), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(4211), 18,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(4219), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [86889] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5779), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5781), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [86948] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4180), 1,
      anon_sym_LBRACE,
    ACTIONS(7513), 1,
      anon_sym_LPAREN2,
    STATE(4890), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(6699), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6701), 31,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [87013] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7041), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7043), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [87072] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6065), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6067), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [87131] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6119), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6121), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [87190] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6107), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6109), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [87249] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7060), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7062), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [87308] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6065), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6067), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [87367] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6065), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6067), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [87426] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6396), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_literal_suffix,
    ACTIONS(6398), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [87485] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6407), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_literal_suffix,
    ACTIONS(6409), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [87544] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6706), 21,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6708), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [87603] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7126), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7128), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [87662] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6710), 21,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6712), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [87721] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8095), 1,
      sym_identifier,
    STATE(4651), 3,
      sym_string_literal,
      sym_raw_string_literal,
      aux_sym_concatenated_string_repeat1,
    ACTIONS(5828), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(5830), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
    ACTIONS(6243), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_literal_suffix,
    ACTIONS(6241), 19,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [87788] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6714), 21,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6716), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [87847] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6999), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7001), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [87906] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7188), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7190), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [87965] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7122), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7124), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [88024] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7202), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7204), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [88083] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4172), 21,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(4174), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [88142] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6718), 21,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6720), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [88201] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1486), 1,
      anon_sym_template,
    ACTIONS(2588), 1,
      anon_sym_operator,
    ACTIONS(2875), 1,
      anon_sym_LPAREN2,
    ACTIONS(2877), 1,
      anon_sym_TILDE,
    ACTIONS(3148), 1,
      anon_sym_decltype,
    ACTIONS(5573), 1,
      sym_identifier,
    ACTIONS(8030), 1,
      anon_sym_LBRACK,
    ACTIONS(8032), 1,
      anon_sym_STAR,
    ACTIONS(8034), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8036), 1,
      anon_sym_AMP,
    ACTIONS(8038), 1,
      anon_sym_COLON_COLON,
    STATE(5347), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(7022), 1,
      sym__scope_resolution,
    STATE(7932), 1,
      sym__declarator,
    STATE(9540), 1,
      sym_ms_based_modifier,
    ACTIONS(4383), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(4536), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(5269), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(4381), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(10317), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(7680), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(4379), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [88302] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1486), 1,
      anon_sym_template,
    ACTIONS(2588), 1,
      anon_sym_operator,
    ACTIONS(2875), 1,
      anon_sym_LPAREN2,
    ACTIONS(2877), 1,
      anon_sym_TILDE,
    ACTIONS(3148), 1,
      anon_sym_decltype,
    ACTIONS(6738), 1,
      sym_identifier,
    ACTIONS(8030), 1,
      anon_sym_LBRACK,
    ACTIONS(8040), 1,
      anon_sym_STAR,
    ACTIONS(8042), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8044), 1,
      anon_sym_AMP,
    ACTIONS(8046), 1,
      anon_sym_COLON_COLON,
    STATE(5347), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(7070), 1,
      sym__scope_resolution,
    STATE(7888), 1,
      sym__declarator,
    STATE(9456), 1,
      sym_ms_based_modifier,
    ACTIONS(4383), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(4649), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(5240), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(4381), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(10317), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(7680), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(4379), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [88403] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7148), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7150), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [88462] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_AMP_AMP,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1486), 1,
      anon_sym_template,
    ACTIONS(2588), 1,
      anon_sym_operator,
    ACTIONS(2875), 1,
      anon_sym_LPAREN2,
    ACTIONS(2877), 1,
      anon_sym_TILDE,
    ACTIONS(2879), 1,
      anon_sym_STAR,
    ACTIONS(2881), 1,
      anon_sym_AMP,
    ACTIONS(3148), 1,
      anon_sym_decltype,
    ACTIONS(5573), 1,
      sym_identifier,
    ACTIONS(7243), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8030), 1,
      anon_sym_LBRACK,
    STATE(5347), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(7003), 1,
      sym__scope_resolution,
    STATE(7650), 1,
      sym__declarator,
    STATE(10332), 1,
      sym_ms_based_modifier,
    ACTIONS(4383), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(5226), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(5248), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(4381), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(10317), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(7680), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(4379), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [88563] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4542), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4538), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [88622] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7021), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7023), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [88681] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_AMP_AMP,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1486), 1,
      anon_sym_template,
    ACTIONS(2588), 1,
      anon_sym_operator,
    ACTIONS(2875), 1,
      anon_sym_LPAREN2,
    ACTIONS(2877), 1,
      anon_sym_TILDE,
    ACTIONS(2879), 1,
      anon_sym_STAR,
    ACTIONS(2881), 1,
      anon_sym_AMP,
    ACTIONS(3148), 1,
      anon_sym_decltype,
    ACTIONS(5573), 1,
      sym_identifier,
    ACTIONS(7243), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8030), 1,
      anon_sym_LBRACK,
    STATE(5347), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(7003), 1,
      sym__scope_resolution,
    STATE(7636), 1,
      sym__declarator,
    STATE(10332), 1,
      sym_ms_based_modifier,
    ACTIONS(4383), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(4701), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(5246), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(4381), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(10317), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(7680), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(4379), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [88782] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7033), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7035), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [88841] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8048), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8050), 1,
      anon_sym_and,
    ACTIONS(8097), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(8099), 1,
      anon_sym_or,
    ACTIONS(5847), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5849), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [88908] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6999), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7001), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [88967] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6920), 21,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6922), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [89026] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7037), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7039), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [89085] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5721), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5723), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [89144] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7216), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7218), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [89203] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7049), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(7051), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [89261] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6611), 1,
      anon_sym_EQ,
    ACTIONS(6613), 13,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
    ACTIONS(4221), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(4213), 19,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [89323] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7300), 1,
      anon_sym_LPAREN2,
    ACTIONS(7563), 1,
      anon_sym_LBRACK,
    ACTIONS(7759), 1,
      anon_sym_DOT_STAR,
    ACTIONS(7849), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8105), 1,
      anon_sym_AMP,
    ACTIONS(8111), 1,
      anon_sym_GT_EQ,
    ACTIONS(8115), 1,
      anon_sym_bitand,
    STATE(4682), 1,
      sym_subscript_argument_list,
    STATE(4692), 1,
      sym_argument_list,
    ACTIONS(7607), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7863), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8101), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8113), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6930), 3,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_EQ,
    ACTIONS(8103), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(8107), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8109), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6932), 21,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_DASH_GT_STAR,
  [89413] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7300), 1,
      anon_sym_LPAREN2,
    ACTIONS(7563), 1,
      anon_sym_LBRACK,
    ACTIONS(7759), 1,
      anon_sym_DOT_STAR,
    ACTIONS(7849), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8111), 1,
      anon_sym_GT_EQ,
    STATE(4682), 1,
      sym_subscript_argument_list,
    STATE(4692), 1,
      sym_argument_list,
    ACTIONS(7607), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7863), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8101), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8113), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8103), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(8109), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6930), 4,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ,
    ACTIONS(6932), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_GT_STAR,
  [89497] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7300), 1,
      anon_sym_LPAREN2,
    ACTIONS(7563), 1,
      anon_sym_LBRACK,
    ACTIONS(7759), 1,
      anon_sym_DOT_STAR,
    ACTIONS(7849), 1,
      anon_sym_LT_EQ_GT,
    STATE(4682), 1,
      sym_subscript_argument_list,
    STATE(4692), 1,
      sym_argument_list,
    ACTIONS(7607), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7863), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8101), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8113), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8103), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6930), 7,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_EQ,
    ACTIONS(6932), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_GT_STAR,
  [89577] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7300), 1,
      anon_sym_LPAREN2,
    ACTIONS(7563), 1,
      anon_sym_LBRACK,
    ACTIONS(7759), 1,
      anon_sym_DOT_STAR,
    STATE(4682), 1,
      sym_subscript_argument_list,
    STATE(4692), 1,
      sym_argument_list,
    ACTIONS(7607), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7863), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8101), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8103), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6930), 9,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
    ACTIONS(6932), 27,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_GT_STAR,
  [89653] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7300), 1,
      anon_sym_LPAREN2,
    ACTIONS(7563), 1,
      anon_sym_LBRACK,
    ACTIONS(7759), 1,
      anon_sym_DOT_STAR,
    ACTIONS(7849), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8105), 1,
      anon_sym_AMP,
    ACTIONS(8111), 1,
      anon_sym_GT_EQ,
    ACTIONS(8115), 1,
      anon_sym_bitand,
    ACTIONS(8117), 1,
      anon_sym_CARET,
    ACTIONS(8119), 1,
      anon_sym_xor,
    STATE(4682), 1,
      sym_subscript_argument_list,
    STATE(4692), 1,
      sym_argument_list,
    ACTIONS(6930), 2,
      anon_sym_PIPE,
      anon_sym_EQ,
    ACTIONS(7607), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7863), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8101), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8113), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8103), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(8107), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8109), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6932), 20,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_DASH_GT_STAR,
  [89747] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6930), 1,
      anon_sym_EQ,
    ACTIONS(7300), 1,
      anon_sym_LPAREN2,
    ACTIONS(7563), 1,
      anon_sym_LBRACK,
    ACTIONS(7759), 1,
      anon_sym_DOT_STAR,
    ACTIONS(7849), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8105), 1,
      anon_sym_AMP,
    ACTIONS(8111), 1,
      anon_sym_GT_EQ,
    ACTIONS(8115), 1,
      anon_sym_bitand,
    ACTIONS(8117), 1,
      anon_sym_CARET,
    ACTIONS(8119), 1,
      anon_sym_xor,
    ACTIONS(8121), 1,
      anon_sym_PIPE,
    ACTIONS(8123), 1,
      anon_sym_bitor,
    STATE(4682), 1,
      sym_subscript_argument_list,
    STATE(4692), 1,
      sym_argument_list,
    ACTIONS(7607), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7863), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8101), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8113), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8103), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(8107), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8109), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6932), 19,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_DASH_GT_STAR,
  [89845] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7126), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(7128), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [89903] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7515), 1,
      anon_sym_LBRACK,
    STATE(4850), 1,
      sym_new_declarator,
    ACTIONS(6837), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6839), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [89965] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7160), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(7162), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [90023] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6930), 1,
      anon_sym_EQ,
    ACTIONS(7300), 1,
      anon_sym_LPAREN2,
    ACTIONS(7563), 1,
      anon_sym_LBRACK,
    ACTIONS(7759), 1,
      anon_sym_DOT_STAR,
    ACTIONS(7849), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8105), 1,
      anon_sym_AMP,
    ACTIONS(8111), 1,
      anon_sym_GT_EQ,
    ACTIONS(8115), 1,
      anon_sym_bitand,
    ACTIONS(8117), 1,
      anon_sym_CARET,
    ACTIONS(8119), 1,
      anon_sym_xor,
    ACTIONS(8121), 1,
      anon_sym_PIPE,
    ACTIONS(8123), 1,
      anon_sym_bitor,
    STATE(4682), 1,
      sym_subscript_argument_list,
    STATE(4692), 1,
      sym_argument_list,
    ACTIONS(7607), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7863), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8101), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8113), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8125), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8103), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(8107), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8109), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6932), 17,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_or,
      anon_sym_DASH_GT_STAR,
  [90123] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7300), 1,
      anon_sym_LPAREN2,
    ACTIONS(7563), 1,
      anon_sym_LBRACK,
    ACTIONS(7759), 1,
      anon_sym_DOT_STAR,
    STATE(4682), 1,
      sym_subscript_argument_list,
    STATE(4692), 1,
      sym_argument_list,
    ACTIONS(7607), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7863), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6930), 14,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
    ACTIONS(6932), 27,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_GT_STAR,
  [90195] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7300), 1,
      anon_sym_LPAREN2,
    ACTIONS(7563), 1,
      anon_sym_LBRACK,
    ACTIONS(7759), 1,
      anon_sym_DOT_STAR,
    STATE(4682), 1,
      sym_subscript_argument_list,
    STATE(4692), 1,
      sym_argument_list,
    ACTIONS(7607), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7863), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8103), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6930), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
    ACTIONS(6932), 27,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_GT_STAR,
  [90269] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5745), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5747), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [90327] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7074), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(7076), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [90385] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7300), 1,
      anon_sym_LPAREN2,
    ACTIONS(7563), 1,
      anon_sym_LBRACK,
    ACTIONS(7759), 1,
      anon_sym_DOT_STAR,
    STATE(4682), 1,
      sym_subscript_argument_list,
    STATE(4692), 1,
      sym_argument_list,
    ACTIONS(7607), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7863), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6934), 14,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
    ACTIONS(6936), 27,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_GT_STAR,
  [90457] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6894), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6896), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [90515] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7064), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(7066), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [90573] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7053), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(7055), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [90631] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7013), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(7015), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [90689] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(4733), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(8127), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5840), 20,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5842), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [90751] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7144), 1,
      anon_sym_EQ,
    ACTIONS(7300), 1,
      anon_sym_LPAREN2,
    ACTIONS(7563), 1,
      anon_sym_LBRACK,
    ACTIONS(7759), 1,
      anon_sym_DOT_STAR,
    ACTIONS(7783), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7827), 1,
      anon_sym_QMARK,
    ACTIONS(7849), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8105), 1,
      anon_sym_AMP,
    ACTIONS(8111), 1,
      anon_sym_GT_EQ,
    ACTIONS(8115), 1,
      anon_sym_bitand,
    ACTIONS(8117), 1,
      anon_sym_CARET,
    ACTIONS(8119), 1,
      anon_sym_xor,
    ACTIONS(8121), 1,
      anon_sym_PIPE,
    ACTIONS(8123), 1,
      anon_sym_bitor,
    STATE(4682), 1,
      sym_subscript_argument_list,
    STATE(4692), 1,
      sym_argument_list,
    ACTIONS(7607), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7863), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8101), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8113), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8125), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8130), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8103), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(8107), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8109), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(7146), 13,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_GT_STAR,
  [90857] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7152), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(7154), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [90915] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6496), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6494), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [90973] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6555), 1,
      anon_sym_EQ,
    ACTIONS(6557), 13,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
    ACTIONS(4221), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(4213), 19,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [91035] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5721), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5723), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [91093] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7090), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(7092), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [91151] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7122), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(7124), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [91209] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5735), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5737), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [91267] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(4733), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(8132), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5966), 20,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5968), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [91329] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(4733), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(8132), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5952), 20,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5954), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [91391] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7300), 1,
      anon_sym_LPAREN2,
    ACTIONS(7563), 1,
      anon_sym_LBRACK,
    ACTIONS(7759), 1,
      anon_sym_DOT_STAR,
    STATE(4682), 1,
      sym_subscript_argument_list,
    STATE(4692), 1,
      sym_argument_list,
    ACTIONS(7607), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7863), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8101), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8113), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8103), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6930), 7,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_EQ,
    ACTIONS(6932), 27,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_GT_STAR,
  [91469] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5749), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5751), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [91527] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7144), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(7146), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [91585] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(4755), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(8134), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5987), 20,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5989), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [91647] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(4757), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(8136), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5946), 20,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5948), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [91709] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7970), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7972), 1,
      anon_sym_AMP,
    ACTIONS(7978), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7981), 1,
      anon_sym_LBRACK,
    ACTIONS(7983), 1,
      anon_sym_const,
    ACTIONS(7989), 1,
      anon_sym_noexcept,
    ACTIONS(7991), 1,
      anon_sym_throw,
    ACTIONS(7993), 1,
      anon_sym_requires,
    ACTIONS(8138), 1,
      anon_sym___attribute__,
    ACTIONS(8141), 1,
      anon_sym_DASH_GT,
    STATE(6072), 1,
      sym__function_attributes_start,
    STATE(6204), 1,
      sym_ref_qualifier,
    STATE(6984), 1,
      sym__function_attributes_end,
    STATE(7010), 1,
      sym_trailing_return_type,
    STATE(8031), 1,
      sym_gnu_asm_expression,
    ACTIONS(6859), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(7985), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(5431), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6026), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(7085), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7174), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(7250), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(6626), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(7968), 7,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_try,
    ACTIONS(7974), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [91813] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7140), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(7142), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [91871] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7029), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(7031), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [91929] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7300), 1,
      anon_sym_LPAREN2,
    ACTIONS(7369), 1,
      anon_sym_EQ,
    ACTIONS(7563), 1,
      anon_sym_LBRACK,
    ACTIONS(7759), 1,
      anon_sym_DOT_STAR,
    ACTIONS(7849), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8105), 1,
      anon_sym_AMP,
    ACTIONS(8111), 1,
      anon_sym_GT_EQ,
    ACTIONS(8115), 1,
      anon_sym_bitand,
    ACTIONS(8117), 1,
      anon_sym_CARET,
    ACTIONS(8119), 1,
      anon_sym_xor,
    ACTIONS(8121), 1,
      anon_sym_PIPE,
    ACTIONS(8123), 1,
      anon_sym_bitor,
    STATE(4682), 1,
      sym_subscript_argument_list,
    STATE(4692), 1,
      sym_argument_list,
    ACTIONS(7607), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7863), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8101), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8113), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8125), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8130), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8103), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(8107), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8109), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(7371), 15,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_GT_STAR,
  [92031] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7164), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(7166), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [92089] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7206), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(7208), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [92147] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(4733), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(8132), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5958), 20,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5960), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [92209] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7172), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(7174), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [92267] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(4733), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(8132), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5962), 20,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5964), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [92329] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7300), 1,
      anon_sym_LPAREN2,
    ACTIONS(7383), 1,
      anon_sym_EQ,
    ACTIONS(7563), 1,
      anon_sym_LBRACK,
    ACTIONS(7759), 1,
      anon_sym_DOT_STAR,
    ACTIONS(7849), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8105), 1,
      anon_sym_AMP,
    ACTIONS(8111), 1,
      anon_sym_GT_EQ,
    ACTIONS(8115), 1,
      anon_sym_bitand,
    ACTIONS(8117), 1,
      anon_sym_CARET,
    ACTIONS(8119), 1,
      anon_sym_xor,
    ACTIONS(8121), 1,
      anon_sym_PIPE,
    ACTIONS(8123), 1,
      anon_sym_bitor,
    STATE(4682), 1,
      sym_subscript_argument_list,
    STATE(4692), 1,
      sym_argument_list,
    ACTIONS(7607), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7863), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8101), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8113), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8125), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8130), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8103), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(8107), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8109), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(7385), 15,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_GT_STAR,
  [92431] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(4742), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(8143), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5970), 20,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5972), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [92493] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7078), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(7080), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [92551] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7007), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(7009), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [92609] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7168), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(7170), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [92667] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4542), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(4538), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [92725] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7003), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(7005), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [92783] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7108), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(7110), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [92841] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7156), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(7158), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [92899] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6987), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6989), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [92957] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5779), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5781), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [93015] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7300), 1,
      anon_sym_LPAREN2,
    ACTIONS(7387), 1,
      anon_sym_EQ,
    ACTIONS(7563), 1,
      anon_sym_LBRACK,
    ACTIONS(7759), 1,
      anon_sym_DOT_STAR,
    ACTIONS(7783), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7827), 1,
      anon_sym_QMARK,
    ACTIONS(7849), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8105), 1,
      anon_sym_AMP,
    ACTIONS(8111), 1,
      anon_sym_GT_EQ,
    ACTIONS(8115), 1,
      anon_sym_bitand,
    ACTIONS(8117), 1,
      anon_sym_CARET,
    ACTIONS(8119), 1,
      anon_sym_xor,
    ACTIONS(8121), 1,
      anon_sym_PIPE,
    ACTIONS(8123), 1,
      anon_sym_bitor,
    STATE(4682), 1,
      sym_subscript_argument_list,
    STATE(4692), 1,
      sym_argument_list,
    ACTIONS(7607), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7863), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8101), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8113), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8125), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8130), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8103), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(8107), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8109), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(7389), 13,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_GT_STAR,
  [93121] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6995), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6997), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [93179] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5772), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5774), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [93237] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5760), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5762), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [93295] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2256), 2,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
    ACTIONS(4578), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4573), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [93355] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4551), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(4546), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [93413] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7300), 1,
      anon_sym_LPAREN2,
    ACTIONS(7320), 1,
      anon_sym_EQ,
    ACTIONS(7563), 1,
      anon_sym_LBRACK,
    ACTIONS(7759), 1,
      anon_sym_DOT_STAR,
    ACTIONS(7849), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8105), 1,
      anon_sym_AMP,
    ACTIONS(8111), 1,
      anon_sym_GT_EQ,
    ACTIONS(8115), 1,
      anon_sym_bitand,
    ACTIONS(8117), 1,
      anon_sym_CARET,
    ACTIONS(8119), 1,
      anon_sym_xor,
    ACTIONS(8121), 1,
      anon_sym_PIPE,
    ACTIONS(8123), 1,
      anon_sym_bitor,
    STATE(4682), 1,
      sym_subscript_argument_list,
    STATE(4692), 1,
      sym_argument_list,
    ACTIONS(7607), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7863), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8101), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8113), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8125), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8130), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8103), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(8107), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8109), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(7322), 15,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_GT_STAR,
  [93515] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4551), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(4546), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [93573] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6999), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(7001), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [93631] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5768), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5770), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [93689] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5745), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5747), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [93747] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6396), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_literal_suffix,
    ACTIONS(6398), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [93805] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6951), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6953), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [93863] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7037), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(7039), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [93921] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8145), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8147), 1,
      anon_sym_and,
    ACTIONS(5832), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5834), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [93983] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7136), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(7138), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [94041] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6983), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6985), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [94099] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7202), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(7204), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [94157] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6983), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6985), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [94215] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5764), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5766), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [94273] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4551), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(4546), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [94331] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5731), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5733), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [94389] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5727), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5729), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [94447] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5756), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5758), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [94505] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6979), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6981), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [94563] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5739), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5741), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [94621] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7300), 1,
      anon_sym_LPAREN2,
    ACTIONS(7563), 1,
      anon_sym_LBRACK,
    ACTIONS(7759), 1,
      anon_sym_DOT_STAR,
    ACTIONS(7849), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8111), 1,
      anon_sym_GT_EQ,
    STATE(4682), 1,
      sym_subscript_argument_list,
    STATE(4692), 1,
      sym_argument_list,
    ACTIONS(7607), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7863), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8101), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8113), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8103), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(8107), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8109), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6930), 4,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ,
    ACTIONS(6932), 22,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_DASH_GT_STAR,
  [94707] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6413), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_literal_suffix,
    ACTIONS(6415), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [94765] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7017), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(7019), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [94823] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7041), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(7043), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [94881] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6983), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6985), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [94939] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4551), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(4546), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [94997] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7086), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(7088), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [95055] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7300), 1,
      anon_sym_LPAREN2,
    ACTIONS(7373), 1,
      anon_sym_EQ,
    ACTIONS(7563), 1,
      anon_sym_LBRACK,
    ACTIONS(7759), 1,
      anon_sym_DOT_STAR,
    ACTIONS(7849), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8105), 1,
      anon_sym_AMP,
    ACTIONS(8111), 1,
      anon_sym_GT_EQ,
    ACTIONS(8115), 1,
      anon_sym_bitand,
    ACTIONS(8117), 1,
      anon_sym_CARET,
    ACTIONS(8119), 1,
      anon_sym_xor,
    ACTIONS(8121), 1,
      anon_sym_PIPE,
    ACTIONS(8123), 1,
      anon_sym_bitor,
    STATE(4682), 1,
      sym_subscript_argument_list,
    STATE(4692), 1,
      sym_argument_list,
    ACTIONS(7607), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7863), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8101), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8113), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8125), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8130), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8103), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(8107), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8109), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(7375), 15,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_GT_STAR,
  [95157] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2230), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8093), 1,
      anon_sym_LT,
    STATE(4861), 1,
      sym_template_argument_list,
    ACTIONS(2224), 22,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_COLON,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(2226), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [95221] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7300), 1,
      anon_sym_LPAREN2,
    ACTIONS(7563), 1,
      anon_sym_LBRACK,
    ACTIONS(7759), 1,
      anon_sym_DOT_STAR,
    STATE(4682), 1,
      sym_subscript_argument_list,
    STATE(4692), 1,
      sym_argument_list,
    ACTIONS(7607), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7863), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6916), 14,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
    ACTIONS(6918), 27,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_GT_STAR,
  [95293] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7021), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(7023), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [95351] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7033), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(7035), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [95409] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5824), 2,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
    ACTIONS(5826), 12,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
    ACTIONS(4213), 18,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
    ACTIONS(4221), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
  [95471] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7148), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(7150), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [95529] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7300), 1,
      anon_sym_LPAREN2,
    ACTIONS(7563), 1,
      anon_sym_LBRACK,
    ACTIONS(7759), 1,
      anon_sym_DOT_STAR,
    STATE(4682), 1,
      sym_subscript_argument_list,
    STATE(4692), 1,
      sym_argument_list,
    ACTIONS(7607), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7863), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6908), 14,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
    ACTIONS(6910), 27,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_GT_STAR,
  [95601] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7118), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(7120), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [95659] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7082), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(7084), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [95717] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2238), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(2236), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [95775] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7212), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(7214), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [95833] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7216), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(7218), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [95891] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7098), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(7100), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [95949] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7970), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7972), 1,
      anon_sym_AMP,
    ACTIONS(7978), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7981), 1,
      anon_sym_LBRACK,
    ACTIONS(7983), 1,
      anon_sym_const,
    ACTIONS(7989), 1,
      anon_sym_noexcept,
    ACTIONS(7991), 1,
      anon_sym_throw,
    ACTIONS(8016), 1,
      anon_sym_requires,
    ACTIONS(8138), 1,
      anon_sym___attribute__,
    ACTIONS(8141), 1,
      anon_sym_DASH_GT,
    STATE(6073), 1,
      sym__function_attributes_start,
    STATE(6180), 1,
      sym_ref_qualifier,
    STATE(6986), 1,
      sym__function_attributes_end,
    STATE(7005), 1,
      sym_trailing_return_type,
    STATE(8031), 1,
      sym_gnu_asm_expression,
    ACTIONS(7985), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(8013), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5431), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6026), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(7085), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7174), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(7250), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(6620), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(7968), 7,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_try,
    ACTIONS(7974), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [96053] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2206), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(2204), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [96111] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7176), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(7178), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [96169] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7300), 1,
      anon_sym_LPAREN2,
    ACTIONS(7391), 1,
      anon_sym_EQ,
    ACTIONS(7563), 1,
      anon_sym_LBRACK,
    ACTIONS(7759), 1,
      anon_sym_DOT_STAR,
    ACTIONS(7783), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7827), 1,
      anon_sym_QMARK,
    ACTIONS(7849), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8105), 1,
      anon_sym_AMP,
    ACTIONS(8111), 1,
      anon_sym_GT_EQ,
    ACTIONS(8115), 1,
      anon_sym_bitand,
    ACTIONS(8117), 1,
      anon_sym_CARET,
    ACTIONS(8119), 1,
      anon_sym_xor,
    ACTIONS(8121), 1,
      anon_sym_PIPE,
    ACTIONS(8123), 1,
      anon_sym_bitor,
    STATE(4682), 1,
      sym_subscript_argument_list,
    STATE(4692), 1,
      sym_argument_list,
    ACTIONS(7607), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7863), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8101), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8113), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8125), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8130), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8103), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(8107), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8109), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(7393), 13,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_GT_STAR,
  [96275] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4551), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(4546), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [96333] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7182), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(7184), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [96391] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2230), 1,
      anon_sym_COLON_COLON,
    STATE(3203), 1,
      sym_template_argument_list,
    STATE(4947), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(8149), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5896), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5898), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [96457] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6965), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6967), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [96515] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6417), 1,
      anon_sym_COLON,
    ACTIONS(8151), 1,
      anon_sym___attribute__,
    ACTIONS(8153), 1,
      anon_sym_LBRACE,
    STATE(5176), 1,
      sym_field_declaration_list,
    STATE(5306), 1,
      sym_attribute_specifier,
    STATE(8383), 1,
      sym_virtual_specifier,
    STATE(9227), 1,
      sym_base_class_clause,
    ACTIONS(2198), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5925), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5927), 23,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [96589] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6912), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6914), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [96647] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7300), 1,
      anon_sym_LPAREN2,
    ACTIONS(7563), 1,
      anon_sym_LBRACK,
    ACTIONS(7759), 1,
      anon_sym_DOT_STAR,
    STATE(4682), 1,
      sym_subscript_argument_list,
    STATE(4692), 1,
      sym_argument_list,
    ACTIONS(7607), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6904), 14,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
    ACTIONS(6906), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT_STAR,
  [96717] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6460), 1,
      sym_literal_suffix,
    STATE(4451), 2,
      sym_string_literal,
      sym_raw_string_literal,
    ACTIONS(6595), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(6597), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
    ACTIONS(6477), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
    ACTIONS(6479), 21,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [96783] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6400), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_literal_suffix,
    ACTIONS(6402), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [96841] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6460), 1,
      sym_literal_suffix,
    STATE(4451), 2,
      sym_string_literal,
      sym_raw_string_literal,
    ACTIONS(6595), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(6597), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
    ACTIONS(4221), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
    ACTIONS(4213), 21,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [96907] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5600), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(2358), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [96965] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8145), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8147), 1,
      anon_sym_and,
    ACTIONS(8155), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(8157), 1,
      anon_sym_or,
    ACTIONS(5847), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5849), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [97031] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6407), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_literal_suffix,
    ACTIONS(6409), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [97089] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7300), 1,
      anon_sym_LPAREN2,
    ACTIONS(7563), 1,
      anon_sym_LBRACK,
    ACTIONS(7759), 1,
      anon_sym_DOT_STAR,
    STATE(4682), 1,
      sym_subscript_argument_list,
    STATE(4692), 1,
      sym_argument_list,
    ACTIONS(7607), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6924), 14,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
    ACTIONS(6926), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT_STAR,
  [97159] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7114), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(7116), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [97217] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7060), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(7062), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [97275] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7188), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(7190), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [97333] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2230), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8159), 1,
      anon_sym_LT,
    STATE(4861), 1,
      sym_template_argument_list,
    ACTIONS(2232), 22,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_COLON,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(2234), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [97397] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7198), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(7200), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [97455] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4551), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(4546), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [97513] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5745), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5747), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [97571] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6999), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(7001), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [97629] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2216), 23,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_COLON,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(2218), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [97686] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7970), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7972), 1,
      anon_sym_AMP,
    ACTIONS(7976), 1,
      anon_sym___attribute__,
    ACTIONS(7978), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7981), 1,
      anon_sym_LBRACK,
    ACTIONS(7983), 1,
      anon_sym_const,
    ACTIONS(7989), 1,
      anon_sym_noexcept,
    ACTIONS(7991), 1,
      anon_sym_throw,
    ACTIONS(8162), 1,
      anon_sym_DASH_GT,
    ACTIONS(8164), 1,
      anon_sym_requires,
    STATE(6097), 1,
      sym__function_attributes_start,
    STATE(6258), 1,
      sym_ref_qualifier,
    STATE(7187), 1,
      sym__function_attributes_end,
    STATE(7272), 1,
      sym_trailing_return_type,
    STATE(8031), 1,
      sym_gnu_asm_expression,
    ACTIONS(7985), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(8013), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5431), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6026), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(7085), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7174), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(7250), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(6641), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(7968), 6,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_try,
    ACTIONS(7974), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [97789] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2208), 23,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_COLON,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(2210), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [97846] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6413), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_literal_suffix,
    ACTIONS(6415), 31,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [97903] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6407), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_literal_suffix,
    ACTIONS(6409), 31,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [97960] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2182), 23,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_COLON,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(2184), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [98017] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2186), 23,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_COLON,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(2188), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [98074] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2178), 23,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_COLON,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(2180), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [98131] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6961), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6963), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [98188] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6400), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_literal_suffix,
    ACTIONS(6402), 31,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [98245] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2200), 23,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_COLON,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(2202), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [98302] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6396), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_literal_suffix,
    ACTIONS(6398), 31,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [98359] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7962), 1,
      anon_sym___attribute__,
    ACTIONS(8167), 1,
      anon_sym_COLON,
    ACTIONS(8169), 1,
      anon_sym_LBRACE,
    STATE(4995), 1,
      sym__enum_base_clause,
    STATE(5053), 1,
      sym_enumerator_list,
    STATE(5175), 1,
      sym_attribute_specifier,
    ACTIONS(6356), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(6358), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [98428] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2262), 1,
      anon_sym_COLON_COLON,
    ACTIONS(2258), 23,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_COLON,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(2260), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [98487] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6695), 1,
      sym_literal_suffix,
    ACTIONS(4221), 22,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4213), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [98546] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2262), 1,
      anon_sym_COLON_COLON,
    ACTIONS(2264), 23,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_COLON,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(2266), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [98605] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2212), 23,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_COLON,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(2214), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [98662] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2250), 23,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_COLON,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(2252), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [98719] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7962), 1,
      anon_sym___attribute__,
    ACTIONS(8167), 1,
      anon_sym_COLON,
    ACTIONS(8169), 1,
      anon_sym_LBRACE,
    STATE(4998), 1,
      sym__enum_base_clause,
    STATE(5049), 1,
      sym_enumerator_list,
    STATE(5225), 1,
      sym_attribute_specifier,
    ACTIONS(6368), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(6370), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [98788] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2254), 23,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_COLON,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(2256), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [98845] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2256), 2,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
    ACTIONS(4578), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_COLON,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(4573), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [98904] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8171), 1,
      sym_identifier,
    ACTIONS(8176), 1,
      sym_primitive_type,
    STATE(4870), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(8174), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5919), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5917), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [98969] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6853), 1,
      sym_literal_suffix,
    STATE(4599), 2,
      sym_string_literal,
      sym_raw_string_literal,
    ACTIONS(5828), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(5830), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
    ACTIONS(6477), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
    ACTIONS(6479), 19,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [99034] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6853), 1,
      sym_literal_suffix,
    STATE(4599), 2,
      sym_string_literal,
      sym_raw_string_literal,
    ACTIONS(5828), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(5830), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
    ACTIONS(4221), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
    ACTIONS(4213), 19,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [99099] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7970), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7972), 1,
      anon_sym_AMP,
    ACTIONS(7976), 1,
      anon_sym___attribute__,
    ACTIONS(7981), 1,
      anon_sym_LBRACK,
    ACTIONS(7983), 1,
      anon_sym_const,
    ACTIONS(7989), 1,
      anon_sym_noexcept,
    ACTIONS(7991), 1,
      anon_sym_throw,
    ACTIONS(8178), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8180), 1,
      anon_sym_DASH_GT,
    ACTIONS(8185), 1,
      anon_sym_requires,
    STATE(6106), 1,
      sym__function_attributes_start,
    STATE(6265), 1,
      sym_ref_qualifier,
    STATE(7136), 1,
      sym_trailing_return_type,
    STATE(7219), 1,
      sym__function_attributes_end,
    STATE(8031), 1,
      sym_gnu_asm_expression,
    ACTIONS(7985), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(8182), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5431), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6026), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(7085), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7234), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(7396), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(6649), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(7968), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(7974), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [99202] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(4867), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(8188), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5840), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      sym_primitive_type,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5842), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [99263] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7414), 23,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      sym_literal_suffix,
    ACTIONS(7416), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [99320] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2262), 1,
      anon_sym_COLON_COLON,
    ACTIONS(2264), 23,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_COLON,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(2266), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [99379] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5840), 1,
      sym_primitive_type,
    STATE(4867), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(8188), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5940), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5943), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [99442] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7970), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7972), 1,
      anon_sym_AMP,
    ACTIONS(7976), 1,
      anon_sym___attribute__,
    ACTIONS(7981), 1,
      anon_sym_LBRACK,
    ACTIONS(7983), 1,
      anon_sym_const,
    ACTIONS(7989), 1,
      anon_sym_noexcept,
    ACTIONS(7991), 1,
      anon_sym_throw,
    ACTIONS(8178), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8180), 1,
      anon_sym_DASH_GT,
    ACTIONS(8193), 1,
      anon_sym_requires,
    STATE(6090), 1,
      sym__function_attributes_start,
    STATE(6259), 1,
      sym_ref_qualifier,
    STATE(7088), 1,
      sym_trailing_return_type,
    STATE(7204), 1,
      sym__function_attributes_end,
    STATE(8031), 1,
      sym_gnu_asm_expression,
    ACTIONS(7985), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(8191), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5431), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6026), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(7085), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7234), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(7396), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(6646), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(7968), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(7974), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [99545] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2230), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8195), 1,
      anon_sym_LT,
    STATE(4947), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(4991), 1,
      sym_template_argument_list,
    ACTIONS(8149), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(4211), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(4219), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [99612] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8197), 1,
      anon_sym_LBRACK,
    STATE(4934), 1,
      sym_new_declarator,
    ACTIONS(6837), 18,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6839), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [99673] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(4742), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(8143), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5931), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5933), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [99734] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7970), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7972), 1,
      anon_sym_AMP,
    ACTIONS(7976), 1,
      anon_sym___attribute__,
    ACTIONS(7978), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7981), 1,
      anon_sym_LBRACK,
    ACTIONS(7983), 1,
      anon_sym_const,
    ACTIONS(7989), 1,
      anon_sym_noexcept,
    ACTIONS(7991), 1,
      anon_sym_throw,
    ACTIONS(8162), 1,
      anon_sym_DASH_GT,
    ACTIONS(8199), 1,
      anon_sym_requires,
    STATE(6091), 1,
      sym__function_attributes_start,
    STATE(6271), 1,
      sym_ref_qualifier,
    STATE(7098), 1,
      sym__function_attributes_end,
    STATE(7278), 1,
      sym_trailing_return_type,
    STATE(8031), 1,
      sym_gnu_asm_expression,
    ACTIONS(6859), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(7985), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(5431), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6026), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(7085), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7174), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(7250), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(6638), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(7968), 6,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_try,
    ACTIONS(7974), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [99837] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6695), 1,
      sym_literal_suffix,
    ACTIONS(6477), 22,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6479), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [99896] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2238), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2236), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [99952] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7033), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7035), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [100008] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4413), 1,
      anon_sym_LBRACE,
    ACTIONS(8197), 1,
      anon_sym_LBRACK,
    ACTIONS(8201), 1,
      anon_sym_LPAREN2,
    ACTIONS(8203), 1,
      sym_auto,
    ACTIONS(8205), 1,
      anon_sym_decltype,
    STATE(5037), 1,
      sym_new_declarator,
    STATE(5222), 1,
      sym_decltype_auto,
    STATE(5011), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(6448), 17,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6450), 22,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [100080] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7017), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7019), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [100136] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7118), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7120), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [100192] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7021), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7023), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [100248] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7082), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7084), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [100304] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7041), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7043), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [100360] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4413), 1,
      anon_sym_LBRACE,
    ACTIONS(8197), 1,
      anon_sym_LBRACK,
    ACTIONS(8201), 1,
      anon_sym_LPAREN2,
    ACTIONS(8203), 1,
      sym_auto,
    ACTIONS(8205), 1,
      anon_sym_decltype,
    STATE(5045), 1,
      sym_new_declarator,
    STATE(5222), 1,
      sym_decltype_auto,
    STATE(5007), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(6456), 17,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6458), 22,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [100432] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7122), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7124), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [100488] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6995), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6997), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [100544] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7212), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7214), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [100600] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(63), 1,
      anon_sym_const,
    ACTIONS(5585), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7970), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7972), 1,
      anon_sym_AMP,
    ACTIONS(7981), 1,
      anon_sym_LBRACK,
    ACTIONS(7989), 1,
      anon_sym_noexcept,
    ACTIONS(7991), 1,
      anon_sym_throw,
    ACTIONS(8209), 1,
      anon_sym___attribute__,
    ACTIONS(8211), 1,
      anon_sym_DASH_GT,
    ACTIONS(8213), 1,
      anon_sym_requires,
    STATE(6134), 1,
      sym__function_attributes_start,
    STATE(6348), 1,
      sym_ref_qualifier,
    STATE(7336), 1,
      sym__function_attributes_end,
    STATE(7362), 1,
      sym_trailing_return_type,
    STATE(8050), 1,
      sym_gnu_asm_expression,
    ACTIONS(7985), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(8182), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5407), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6017), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(7102), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7234), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(7396), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(6652), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(7968), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
    ACTIONS(8207), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [100702] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7156), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7158), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [100758] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4413), 1,
      anon_sym_LBRACE,
    ACTIONS(8197), 1,
      anon_sym_LBRACK,
    ACTIONS(8201), 1,
      anon_sym_LPAREN2,
    ACTIONS(8203), 1,
      sym_auto,
    ACTIONS(8205), 1,
      anon_sym_decltype,
    STATE(5058), 1,
      sym_new_declarator,
    STATE(5222), 1,
      sym_decltype_auto,
    STATE(5031), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(6452), 17,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6454), 22,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [100830] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7007), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7009), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [100886] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7206), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7208), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [100942] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7114), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7116), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [100998] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6440), 1,
      anon_sym_LPAREN2,
    ACTIONS(6879), 1,
      anon_sym_LBRACK,
    ACTIONS(6883), 1,
      anon_sym_DOT,
    STATE(3592), 1,
      sym_subscript_argument_list,
    STATE(3604), 1,
      sym_argument_list,
    ACTIONS(6885), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6924), 17,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      sym_identifier,
    ACTIONS(6926), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
  [101066] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7140), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7142), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [101122] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5749), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5751), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [101178] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7152), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7154), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [101234] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7108), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7110), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [101290] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7003), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7005), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [101346] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5764), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5766), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [101402] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8216), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(5832), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5834), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [101460] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5768), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5770), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [101516] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7172), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7174), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [101572] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7182), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7184), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [101628] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7013), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7015), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [101684] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7168), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7170), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [101740] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7074), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7076), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [101796] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5772), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5774), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [101852] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5760), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5762), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [101908] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4413), 1,
      anon_sym_LBRACE,
    ACTIONS(8197), 1,
      anon_sym_LBRACK,
    ACTIONS(8201), 1,
      anon_sym_LPAREN2,
    ACTIONS(8203), 1,
      sym_auto,
    ACTIONS(8205), 1,
      anon_sym_decltype,
    STATE(5048), 1,
      sym_new_declarator,
    STATE(5222), 1,
      sym_decltype_auto,
    STATE(4989), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(6436), 17,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6438), 22,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [101980] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5756), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5758), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [102036] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6440), 1,
      anon_sym_LPAREN2,
    ACTIONS(6879), 1,
      anon_sym_LBRACK,
    ACTIONS(6883), 1,
      anon_sym_DOT,
    STATE(3592), 1,
      sym_subscript_argument_list,
    STATE(3604), 1,
      sym_argument_list,
    ACTIONS(6885), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8218), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6916), 17,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      sym_identifier,
    ACTIONS(6918), 22,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
  [102106] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6440), 1,
      anon_sym_LPAREN2,
    ACTIONS(6879), 1,
      anon_sym_LBRACK,
    ACTIONS(6883), 1,
      anon_sym_DOT,
    STATE(3592), 1,
      sym_subscript_argument_list,
    STATE(3604), 1,
      sym_argument_list,
    ACTIONS(6885), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8218), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6908), 17,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      sym_identifier,
    ACTIONS(6910), 22,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
  [102176] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7049), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7051), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [102232] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7053), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7055), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [102288] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7160), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7162), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [102344] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6440), 1,
      anon_sym_LPAREN2,
    ACTIONS(6879), 1,
      anon_sym_LBRACK,
    ACTIONS(6883), 1,
      anon_sym_DOT,
    STATE(3592), 1,
      sym_subscript_argument_list,
    STATE(3604), 1,
      sym_argument_list,
    ACTIONS(6885), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6904), 17,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      sym_identifier,
    ACTIONS(6906), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
  [102412] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7176), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7178), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [102468] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7098), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7100), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [102524] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7078), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7080), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [102580] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7136), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7138), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [102636] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7164), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7166), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [102692] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(63), 1,
      anon_sym_const,
    ACTIONS(5585), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7970), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7972), 1,
      anon_sym_AMP,
    ACTIONS(7981), 1,
      anon_sym_LBRACK,
    ACTIONS(7989), 1,
      anon_sym_noexcept,
    ACTIONS(7991), 1,
      anon_sym_throw,
    ACTIONS(8209), 1,
      anon_sym___attribute__,
    ACTIONS(8211), 1,
      anon_sym_DASH_GT,
    ACTIONS(8220), 1,
      anon_sym_requires,
    STATE(6129), 1,
      sym__function_attributes_start,
    STATE(6345), 1,
      sym_ref_qualifier,
    STATE(7301), 1,
      sym__function_attributes_end,
    STATE(7389), 1,
      sym_trailing_return_type,
    STATE(8050), 1,
      sym_gnu_asm_expression,
    ACTIONS(7985), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(8191), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5407), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6017), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(7102), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7234), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(7396), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(6664), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(7968), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
    ACTIONS(8207), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [102794] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5727), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5729), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [102850] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5731), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5733), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [102906] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2230), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8082), 1,
      anon_sym_LT,
    STATE(3203), 1,
      sym_template_argument_list,
    ACTIONS(2224), 9,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
    ACTIONS(2226), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
  [102968] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5600), 18,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(2358), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [103024] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5735), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5737), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [103080] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5739), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5741), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [103136] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(63), 1,
      anon_sym_const,
    ACTIONS(5585), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7970), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7972), 1,
      anon_sym_AMP,
    ACTIONS(7981), 1,
      anon_sym_LBRACK,
    ACTIONS(7989), 1,
      anon_sym_noexcept,
    ACTIONS(7991), 1,
      anon_sym_throw,
    ACTIONS(8185), 1,
      anon_sym_requires,
    ACTIONS(8209), 1,
      anon_sym___attribute__,
    ACTIONS(8222), 1,
      anon_sym_DASH_GT,
    STATE(6124), 1,
      sym__function_attributes_start,
    STATE(6331), 1,
      sym_ref_qualifier,
    STATE(7136), 1,
      sym_trailing_return_type,
    STATE(7296), 1,
      sym__function_attributes_end,
    STATE(8050), 1,
      sym_gnu_asm_expression,
    ACTIONS(7985), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(8182), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5407), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6017), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(7102), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7234), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(7396), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(6673), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(7968), 5,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_try,
    ACTIONS(8207), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [103238] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7064), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7066), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [103294] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7144), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7146), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [103350] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6961), 18,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6963), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [103406] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7206), 18,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(7208), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [103462] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8216), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8224), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(5847), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5849), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [103522] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5600), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2358), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [103578] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(4938), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(8226), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5840), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5842), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [103638] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7202), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7204), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [103694] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6440), 1,
      anon_sym_LPAREN2,
    ACTIONS(6879), 1,
      anon_sym_LBRACK,
    ACTIONS(6883), 1,
      anon_sym_DOT,
    STATE(3592), 1,
      sym_subscript_argument_list,
    STATE(3604), 1,
      sym_argument_list,
    ACTIONS(6885), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8218), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6930), 17,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      sym_identifier,
    ACTIONS(6932), 22,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
  [103764] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5745), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5747), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [103820] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5745), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5747), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [103876] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5745), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5747), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [103932] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6413), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_literal_suffix,
    ACTIONS(6415), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_GT2,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [103988] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6407), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_literal_suffix,
    ACTIONS(6409), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_GT2,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [104044] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(4938), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(8229), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5966), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5968), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [104104] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(4938), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(8229), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5952), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5954), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [104164] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7172), 18,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(7174), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [104220] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(4957), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(8231), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5987), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5989), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [104280] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(4958), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(8233), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5946), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5948), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [104340] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2206), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2204), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [104396] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5779), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5781), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [104452] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2230), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8235), 1,
      anon_sym_LT,
    STATE(3203), 1,
      sym_template_argument_list,
    ACTIONS(2232), 9,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
    ACTIONS(2234), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
  [104514] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6987), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6989), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [104570] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4542), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4538), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [104626] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5721), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5723), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [104682] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(4938), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(8229), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5958), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5960), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [104742] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(4938), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(8229), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5962), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5964), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [104802] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(4946), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(8238), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5970), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5972), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [104862] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6400), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_literal_suffix,
    ACTIONS(6402), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_GT2,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [104918] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6396), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_literal_suffix,
    ACTIONS(6398), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_GT2,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [104974] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7037), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7039), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [105030] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(63), 1,
      anon_sym_const,
    ACTIONS(5585), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7970), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7972), 1,
      anon_sym_AMP,
    ACTIONS(7981), 1,
      anon_sym_LBRACK,
    ACTIONS(7989), 1,
      anon_sym_noexcept,
    ACTIONS(7991), 1,
      anon_sym_throw,
    ACTIONS(8193), 1,
      anon_sym_requires,
    ACTIONS(8209), 1,
      anon_sym___attribute__,
    ACTIONS(8222), 1,
      anon_sym_DASH_GT,
    STATE(6116), 1,
      sym__function_attributes_start,
    STATE(6333), 1,
      sym_ref_qualifier,
    STATE(7088), 1,
      sym_trailing_return_type,
    STATE(7308), 1,
      sym__function_attributes_end,
    STATE(8050), 1,
      sym_gnu_asm_expression,
    ACTIONS(7985), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(8191), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5407), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6017), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(7102), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7234), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(7396), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(6661), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(7968), 5,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_try,
    ACTIONS(8207), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [105132] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6413), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_literal_suffix,
    ACTIONS(6415), 31,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [105188] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6407), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_literal_suffix,
    ACTIONS(6409), 31,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [105244] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6400), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_literal_suffix,
    ACTIONS(6402), 31,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [105300] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2264), 22,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(2266), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [105356] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6396), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_literal_suffix,
    ACTIONS(6398), 31,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [105412] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2230), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8195), 1,
      anon_sym_LT,
    STATE(4991), 1,
      sym_template_argument_list,
    ACTIONS(2224), 21,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_COLON,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(2226), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [105474] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2230), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8240), 1,
      anon_sym_LT,
    STATE(4991), 1,
      sym_template_argument_list,
    ACTIONS(2232), 21,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_COLON,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(2234), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [105536] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7098), 18,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(7100), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [105592] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7188), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7190), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [105648] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6440), 1,
      anon_sym_LPAREN2,
    ACTIONS(6879), 1,
      anon_sym_LBRACK,
    ACTIONS(6883), 1,
      anon_sym_DOT,
    STATE(3592), 1,
      sym_subscript_argument_list,
    STATE(3604), 1,
      sym_argument_list,
    ACTIONS(6885), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8218), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6934), 17,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      sym_identifier,
    ACTIONS(6936), 22,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
  [105718] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7164), 18,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(7166), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [105773] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6987), 18,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6989), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [105828] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7176), 18,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(7178), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [105883] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7033), 18,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(7035), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [105938] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7021), 18,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(7023), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [105993] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7160), 18,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(7162), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [106048] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2262), 1,
      anon_sym_COLON_COLON,
    ACTIONS(2264), 22,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_COLON,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(2266), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [106105] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7041), 18,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(7043), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [106160] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7017), 18,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(7019), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [106215] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7007), 18,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(7009), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [106270] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2250), 22,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_COLON,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(2252), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [106325] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2262), 1,
      anon_sym_COLON_COLON,
    ACTIONS(2258), 22,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_COLON,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(2260), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [106382] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6396), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_literal_suffix,
    ACTIONS(6398), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_GT2,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [106437] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7970), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7972), 1,
      anon_sym_AMP,
    ACTIONS(7976), 1,
      anon_sym___attribute__,
    ACTIONS(7981), 1,
      anon_sym_LBRACK,
    ACTIONS(7983), 1,
      anon_sym_const,
    ACTIONS(7989), 1,
      anon_sym_noexcept,
    ACTIONS(7991), 1,
      anon_sym_throw,
    ACTIONS(8178), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8243), 1,
      anon_sym_DASH_GT,
    ACTIONS(8245), 1,
      anon_sym_requires,
    STATE(6163), 1,
      sym__function_attributes_start,
    STATE(6448), 1,
      sym_ref_qualifier,
    STATE(7433), 1,
      sym__function_attributes_end,
    STATE(7539), 1,
      sym_trailing_return_type,
    STATE(8031), 1,
      sym_gnu_asm_expression,
    ACTIONS(7985), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(8191), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5431), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6026), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(7085), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7234), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(7396), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(6707), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(7968), 4,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_GT2,
    ACTIONS(7974), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [106538] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7122), 18,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(7124), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [106593] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7064), 18,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(7066), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [106648] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8151), 1,
      anon_sym___attribute__,
    ACTIONS(8247), 1,
      anon_sym_COLON,
    ACTIONS(8249), 1,
      anon_sym_LBRACE,
    STATE(5162), 1,
      sym__enum_base_clause,
    STATE(5171), 1,
      sym_enumerator_list,
    STATE(5333), 1,
      sym_attribute_specifier,
    ACTIONS(6368), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(6370), 23,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [106715] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2254), 22,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_COLON,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(2256), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [106770] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7970), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7972), 1,
      anon_sym_AMP,
    ACTIONS(7976), 1,
      anon_sym___attribute__,
    ACTIONS(7981), 1,
      anon_sym_LBRACK,
    ACTIONS(7983), 1,
      anon_sym_const,
    ACTIONS(7989), 1,
      anon_sym_noexcept,
    ACTIONS(7991), 1,
      anon_sym_throw,
    ACTIONS(8178), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8243), 1,
      anon_sym_DASH_GT,
    ACTIONS(8251), 1,
      anon_sym_requires,
    STATE(6179), 1,
      sym__function_attributes_start,
    STATE(6567), 1,
      sym_ref_qualifier,
    STATE(7417), 1,
      sym__function_attributes_end,
    STATE(7490), 1,
      sym_trailing_return_type,
    STATE(8031), 1,
      sym_gnu_asm_expression,
    ACTIONS(7985), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(8182), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5431), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6026), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(7085), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7234), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(7396), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(6696), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(7968), 4,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_GT2,
    ACTIONS(7974), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [106871] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7037), 18,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(7039), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [106926] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7082), 18,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(7084), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [106981] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7962), 1,
      anon_sym___attribute__,
    ACTIONS(8169), 1,
      anon_sym_LBRACE,
    STATE(5041), 1,
      sym_enumerator_list,
    STATE(5198), 1,
      sym_attribute_specifier,
    ACTIONS(6077), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(6079), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [107044] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7140), 18,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(7142), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [107099] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6995), 18,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6997), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [107154] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7962), 1,
      anon_sym___attribute__,
    ACTIONS(8169), 1,
      anon_sym_LBRACE,
    STATE(5061), 1,
      sym_enumerator_list,
    STATE(5166), 1,
      sym_attribute_specifier,
    ACTIONS(6155), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(6157), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [107217] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6413), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_literal_suffix,
    ACTIONS(6415), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_GT2,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [107272] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8151), 1,
      anon_sym___attribute__,
    ACTIONS(8247), 1,
      anon_sym_COLON,
    ACTIONS(8249), 1,
      anon_sym_LBRACE,
    STATE(5131), 1,
      sym__enum_base_clause,
    STATE(5231), 1,
      sym_enumerator_list,
    STATE(5329), 1,
      sym_attribute_specifier,
    ACTIONS(6356), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(6358), 23,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [107339] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2200), 22,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_COLON,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(2202), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [107394] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7983), 1,
      anon_sym_const,
    ACTIONS(8254), 1,
      anon_sym_LPAREN2,
    ACTIONS(8256), 1,
      anon_sym_STAR,
    ACTIONS(8258), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8260), 1,
      anon_sym_AMP,
    ACTIONS(8262), 1,
      sym_ms_restrict_modifier,
    ACTIONS(8268), 1,
      anon_sym_LBRACK,
    STATE(4503), 1,
      sym_parameter_list,
    STATE(5318), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(7203), 1,
      sym__abstract_declarator,
    STATE(7268), 1,
      sym__function_declarator_seq,
    ACTIONS(8264), 2,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(8266), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(5077), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(5497), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(7270), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(7974), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
    ACTIONS(6740), 12,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [107481] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7212), 18,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(7214), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [107536] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6407), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_literal_suffix,
    ACTIONS(6409), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_GT2,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [107591] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6400), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_literal_suffix,
    ACTIONS(6402), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_GT2,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [107646] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7053), 18,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(7055), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [107701] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7136), 18,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(7138), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [107756] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2230), 1,
      anon_sym_COLON_COLON,
    STATE(3203), 1,
      sym_template_argument_list,
    STATE(3573), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5822), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5896), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(5898), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [107819] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7152), 18,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(7154), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [107874] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7188), 18,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(7190), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [107929] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7049), 18,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(7051), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [107984] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7983), 1,
      anon_sym_const,
    ACTIONS(8254), 1,
      anon_sym_LPAREN2,
    ACTIONS(8256), 1,
      anon_sym_STAR,
    ACTIONS(8258), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8260), 1,
      anon_sym_AMP,
    ACTIONS(8262), 1,
      sym_ms_restrict_modifier,
    ACTIONS(8268), 1,
      anon_sym_LBRACK,
    STATE(4503), 1,
      sym_parameter_list,
    STATE(5318), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(7227), 1,
      sym__abstract_declarator,
    STATE(7268), 1,
      sym__function_declarator_seq,
    ACTIONS(8264), 2,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(8266), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(5002), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(5478), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(7270), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(7974), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
    ACTIONS(6754), 12,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [108071] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7108), 18,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(7110), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [108126] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7970), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7972), 1,
      anon_sym_AMP,
    ACTIONS(7976), 1,
      anon_sym___attribute__,
    ACTIONS(7981), 1,
      anon_sym_LBRACK,
    ACTIONS(7983), 1,
      anon_sym_const,
    ACTIONS(7989), 1,
      anon_sym_noexcept,
    ACTIONS(7991), 1,
      anon_sym_throw,
    ACTIONS(8178), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8220), 1,
      anon_sym_requires,
    ACTIONS(8270), 1,
      anon_sym_DASH_GT,
    STATE(6175), 1,
      sym__function_attributes_start,
    STATE(6572), 1,
      sym_ref_qualifier,
    STATE(7359), 1,
      sym__function_attributes_end,
    STATE(7389), 1,
      sym_trailing_return_type,
    STATE(8031), 1,
      sym_gnu_asm_expression,
    ACTIONS(7985), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(8191), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5431), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6026), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(7085), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7234), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(7396), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(6698), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(7968), 4,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON,
    ACTIONS(7974), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [108227] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2178), 22,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_COLON,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(2180), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [108282] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7003), 18,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(7005), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [108337] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2208), 22,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_COLON,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(2210), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [108392] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2212), 22,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_COLON,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(2214), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [108447] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2262), 1,
      anon_sym_COLON_COLON,
    ACTIONS(2264), 22,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_COLON,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(2266), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [108504] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2216), 22,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_COLON,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(2218), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [108559] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7013), 18,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(7015), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [108614] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7144), 18,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(7146), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [108669] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4542), 18,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(4538), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [108724] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7202), 18,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(7204), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [108779] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6855), 1,
      anon_sym___attribute__,
    ACTIONS(7112), 1,
      anon_sym_LBRACE,
    ACTIONS(8272), 1,
      anon_sym_COLON,
    STATE(3305), 1,
      sym_attribute_specifier,
    STATE(3642), 1,
      sym__enum_base_clause,
    STATE(3697), 1,
      sym_enumerator_list,
    ACTIONS(6368), 9,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(6370), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
  [108846] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6855), 1,
      anon_sym___attribute__,
    ACTIONS(7112), 1,
      anon_sym_LBRACE,
    ACTIONS(8272), 1,
      anon_sym_COLON,
    STATE(3287), 1,
      sym_attribute_specifier,
    STATE(3617), 1,
      sym__enum_base_clause,
    STATE(3704), 1,
      sym_enumerator_list,
    ACTIONS(6356), 9,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(6358), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
  [108913] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(63), 1,
      anon_sym_const,
    ACTIONS(5585), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7970), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7972), 1,
      anon_sym_AMP,
    ACTIONS(7981), 1,
      anon_sym_LBRACK,
    ACTIONS(7989), 1,
      anon_sym_noexcept,
    ACTIONS(7991), 1,
      anon_sym_throw,
    ACTIONS(8209), 1,
      anon_sym___attribute__,
    ACTIONS(8245), 1,
      anon_sym_requires,
    ACTIONS(8274), 1,
      anon_sym_DASH_GT,
    STATE(6207), 1,
      sym__function_attributes_start,
    STATE(6478), 1,
      sym_ref_qualifier,
    STATE(7405), 1,
      sym__function_attributes_end,
    STATE(7539), 1,
      sym_trailing_return_type,
    STATE(8050), 1,
      sym_gnu_asm_expression,
    ACTIONS(7985), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(8191), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5407), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6017), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(7102), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7234), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(7396), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(6692), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(7968), 4,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_GT2,
    ACTIONS(8207), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [109014] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(4946), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(8238), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5931), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5933), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [109073] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2186), 22,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_COLON,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(2188), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [109128] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7970), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7972), 1,
      anon_sym_AMP,
    ACTIONS(7976), 1,
      anon_sym___attribute__,
    ACTIONS(7981), 1,
      anon_sym_LBRACK,
    ACTIONS(7983), 1,
      anon_sym_const,
    ACTIONS(7989), 1,
      anon_sym_noexcept,
    ACTIONS(7991), 1,
      anon_sym_throw,
    ACTIONS(8178), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8213), 1,
      anon_sym_requires,
    ACTIONS(8270), 1,
      anon_sym_DASH_GT,
    STATE(6170), 1,
      sym__function_attributes_start,
    STATE(6527), 1,
      sym_ref_qualifier,
    STATE(7362), 1,
      sym_trailing_return_type,
    STATE(7452), 1,
      sym__function_attributes_end,
    STATE(8031), 1,
      sym_gnu_asm_expression,
    ACTIONS(7985), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(8182), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5431), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6026), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(7085), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7234), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(7396), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(6704), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(7968), 4,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON,
    ACTIONS(7974), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [109229] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7168), 18,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(7170), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [109284] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7156), 18,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(7158), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [109339] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(63), 1,
      anon_sym_const,
    ACTIONS(5585), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7970), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7972), 1,
      anon_sym_AMP,
    ACTIONS(7981), 1,
      anon_sym_LBRACK,
    ACTIONS(7989), 1,
      anon_sym_noexcept,
    ACTIONS(7991), 1,
      anon_sym_throw,
    ACTIONS(8209), 1,
      anon_sym___attribute__,
    ACTIONS(8251), 1,
      anon_sym_requires,
    ACTIONS(8274), 1,
      anon_sym_DASH_GT,
    STATE(6226), 1,
      sym__function_attributes_start,
    STATE(6443), 1,
      sym_ref_qualifier,
    STATE(7425), 1,
      sym__function_attributes_end,
    STATE(7490), 1,
      sym_trailing_return_type,
    STATE(8050), 1,
      sym_gnu_asm_expression,
    ACTIONS(7985), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(8182), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5407), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6017), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(7102), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7234), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(7396), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(6703), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(7968), 4,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_GT2,
    ACTIONS(8207), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [109440] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2182), 22,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_COLON,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(2184), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [109495] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7118), 18,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(7120), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [109550] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4435), 1,
      anon_sym_LBRACE,
    ACTIONS(8276), 1,
      anon_sym_LPAREN2,
    ACTIONS(8278), 1,
      anon_sym_LBRACK,
    ACTIONS(8280), 1,
      sym_auto,
    ACTIONS(8282), 1,
      anon_sym_decltype,
    STATE(5331), 1,
      sym_new_declarator,
    STATE(5336), 1,
      sym_decltype_auto,
    STATE(5524), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(6456), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6458), 21,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [109620] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4413), 1,
      anon_sym_LBRACE,
    ACTIONS(8201), 1,
      anon_sym_LPAREN2,
    STATE(5009), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(6666), 17,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6668), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [109680] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4435), 1,
      anon_sym_LBRACE,
    ACTIONS(8276), 1,
      anon_sym_LPAREN2,
    ACTIONS(8278), 1,
      anon_sym_LBRACK,
    ACTIONS(8280), 1,
      sym_auto,
    ACTIONS(8282), 1,
      anon_sym_decltype,
    STATE(5311), 1,
      sym_new_declarator,
    STATE(5336), 1,
      sym_decltype_auto,
    STATE(5445), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(6448), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6450), 21,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [109750] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1486), 1,
      anon_sym_template,
    ACTIONS(2552), 1,
      anon_sym_enum,
    ACTIONS(2554), 1,
      anon_sym_class,
    ACTIONS(2556), 1,
      anon_sym_struct,
    ACTIONS(2558), 1,
      anon_sym_union,
    ACTIONS(2582), 1,
      sym_auto,
    ACTIONS(2584), 1,
      anon_sym_decltype,
    ACTIONS(2586), 1,
      anon_sym_typename,
    ACTIONS(8284), 1,
      sym_identifier,
    ACTIONS(8286), 1,
      anon_sym_RPAREN,
    ACTIONS(8288), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8290), 1,
      sym_primitive_type,
    STATE(3316), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(3318), 1,
      sym_decltype_auto,
    STATE(3321), 1,
      sym_qualified_type_identifier,
    STATE(6117), 1,
      sym__type_specifier,
    STATE(7858), 1,
      sym__scope_resolution,
    STATE(8874), 1,
      sym_type_descriptor,
    STATE(10317), 1,
      sym_dependent_type_identifier,
    STATE(3247), 2,
      sym_decltype,
      sym_template_type,
    STATE(5191), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2546), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3317), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(63), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [109848] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7962), 1,
      anon_sym___attribute__,
    STATE(5174), 1,
      sym_attribute_specifier,
    ACTIONS(6212), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(6214), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [109906] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7962), 1,
      anon_sym___attribute__,
    STATE(5216), 1,
      sym_attribute_specifier,
    ACTIONS(6220), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(6222), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [109964] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7983), 1,
      anon_sym_const,
    ACTIONS(8254), 1,
      anon_sym_LPAREN2,
    ACTIONS(8262), 1,
      sym_ms_restrict_modifier,
    ACTIONS(8268), 1,
      anon_sym_LBRACK,
    ACTIONS(8292), 1,
      anon_sym_STAR,
    ACTIONS(8294), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8296), 1,
      anon_sym_AMP,
    STATE(4816), 1,
      sym_parameter_list,
    STATE(5318), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(7268), 1,
      sym__function_declarator_seq,
    STATE(7287), 1,
      sym__abstract_declarator,
    ACTIONS(8264), 2,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(8266), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(5047), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(5742), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(7270), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(6754), 11,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
    ACTIONS(7974), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [110050] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4413), 1,
      anon_sym_LBRACE,
    ACTIONS(8197), 1,
      anon_sym_LBRACK,
    ACTIONS(8298), 1,
      anon_sym_LPAREN2,
    ACTIONS(8300), 1,
      sym_auto,
    ACTIONS(8302), 1,
      anon_sym_decltype,
    STATE(3329), 1,
      sym_decltype_auto,
    STATE(5310), 1,
      sym_new_declarator,
    STATE(5031), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(6452), 9,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(6454), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_RBRACE,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [110120] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4413), 1,
      anon_sym_LBRACE,
    ACTIONS(8197), 1,
      anon_sym_LBRACK,
    ACTIONS(8298), 1,
      anon_sym_LPAREN2,
    ACTIONS(8300), 1,
      sym_auto,
    ACTIONS(8302), 1,
      anon_sym_decltype,
    STATE(3329), 1,
      sym_decltype_auto,
    STATE(5315), 1,
      sym_new_declarator,
    STATE(4989), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(6436), 9,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(6438), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_RBRACE,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [110190] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4413), 1,
      anon_sym_LBRACE,
    ACTIONS(8201), 1,
      anon_sym_LPAREN2,
    STATE(5032), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(6699), 17,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6701), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [110250] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7962), 1,
      anon_sym___attribute__,
    STATE(5213), 1,
      sym_attribute_specifier,
    ACTIONS(6185), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(6187), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [110308] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7983), 1,
      anon_sym_const,
    ACTIONS(8254), 1,
      anon_sym_LPAREN2,
    ACTIONS(8262), 1,
      sym_ms_restrict_modifier,
    ACTIONS(8268), 1,
      anon_sym_LBRACK,
    ACTIONS(8292), 1,
      anon_sym_STAR,
    ACTIONS(8294), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8296), 1,
      anon_sym_AMP,
    STATE(4816), 1,
      sym_parameter_list,
    STATE(5318), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(7268), 1,
      sym__function_declarator_seq,
    STATE(7307), 1,
      sym__abstract_declarator,
    ACTIONS(8264), 2,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(8266), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(5077), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(5752), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(7270), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(6740), 11,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
    ACTIONS(7974), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [110394] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4413), 1,
      anon_sym_LBRACE,
    ACTIONS(8201), 1,
      anon_sym_LPAREN2,
    STATE(5006), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(6670), 17,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6672), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [110454] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7962), 1,
      anon_sym___attribute__,
    STATE(5209), 1,
      sym_attribute_specifier,
    ACTIONS(6231), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(6233), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [110512] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2264), 21,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(2266), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [110566] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2230), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8304), 1,
      anon_sym_LT,
    STATE(3573), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(3822), 1,
      sym_template_argument_list,
    ACTIONS(5822), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(4211), 10,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(4219), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [110630] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4413), 1,
      anon_sym_LBRACE,
    ACTIONS(8197), 1,
      anon_sym_LBRACK,
    ACTIONS(8298), 1,
      anon_sym_LPAREN2,
    ACTIONS(8300), 1,
      sym_auto,
    ACTIONS(8302), 1,
      anon_sym_decltype,
    STATE(3329), 1,
      sym_decltype_auto,
    STATE(5299), 1,
      sym_new_declarator,
    STATE(5007), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(6456), 9,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(6458), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_RBRACE,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [110700] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7962), 1,
      anon_sym___attribute__,
    STATE(5197), 1,
      sym_attribute_specifier,
    ACTIONS(6189), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(6191), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [110758] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4413), 1,
      anon_sym_LBRACE,
    ACTIONS(8197), 1,
      anon_sym_LBRACK,
    ACTIONS(8298), 1,
      anon_sym_LPAREN2,
    ACTIONS(8300), 1,
      sym_auto,
    ACTIONS(8302), 1,
      anon_sym_decltype,
    STATE(3329), 1,
      sym_decltype_auto,
    STATE(5322), 1,
      sym_new_declarator,
    STATE(5011), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(6448), 9,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(6450), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_RBRACE,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [110828] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7962), 1,
      anon_sym___attribute__,
    STATE(5202), 1,
      sym_attribute_specifier,
    ACTIONS(6204), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(6206), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [110886] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7962), 1,
      anon_sym___attribute__,
    STATE(5201), 1,
      sym_attribute_specifier,
    ACTIONS(6208), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(6210), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [110944] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4435), 1,
      anon_sym_LBRACE,
    ACTIONS(8276), 1,
      anon_sym_LPAREN2,
    ACTIONS(8278), 1,
      anon_sym_LBRACK,
    ACTIONS(8280), 1,
      sym_auto,
    ACTIONS(8282), 1,
      anon_sym_decltype,
    STATE(5313), 1,
      sym_new_declarator,
    STATE(5336), 1,
      sym_decltype_auto,
    STATE(5511), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(6452), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6454), 21,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [111014] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4413), 1,
      anon_sym_LBRACE,
    ACTIONS(8201), 1,
      anon_sym_LPAREN2,
    STATE(4996), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(6779), 17,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6781), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [111074] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7962), 1,
      anon_sym___attribute__,
    STATE(5164), 1,
      sym_attribute_specifier,
    ACTIONS(6193), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(6195), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [111132] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7962), 1,
      anon_sym___attribute__,
    STATE(5170), 1,
      sym_attribute_specifier,
    ACTIONS(6235), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(6237), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [111190] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7962), 1,
      anon_sym___attribute__,
    STATE(5200), 1,
      sym_attribute_specifier,
    ACTIONS(6224), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(6226), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [111248] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4435), 1,
      anon_sym_LBRACE,
    ACTIONS(8276), 1,
      anon_sym_LPAREN2,
    ACTIONS(8278), 1,
      anon_sym_LBRACK,
    ACTIONS(8280), 1,
      sym_auto,
    ACTIONS(8282), 1,
      anon_sym_decltype,
    STATE(5304), 1,
      sym_new_declarator,
    STATE(5336), 1,
      sym_decltype_auto,
    STATE(5563), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(6436), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6438), 21,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [111318] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7962), 1,
      anon_sym___attribute__,
    STATE(5172), 1,
      sym_attribute_specifier,
    ACTIONS(6216), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(6218), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [111376] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7962), 1,
      anon_sym___attribute__,
    STATE(5218), 1,
      sym_attribute_specifier,
    ACTIONS(6181), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(6183), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [111434] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1486), 1,
      anon_sym_template,
    ACTIONS(2552), 1,
      anon_sym_enum,
    ACTIONS(2554), 1,
      anon_sym_class,
    ACTIONS(2556), 1,
      anon_sym_struct,
    ACTIONS(2558), 1,
      anon_sym_union,
    ACTIONS(2582), 1,
      sym_auto,
    ACTIONS(2584), 1,
      anon_sym_decltype,
    ACTIONS(2586), 1,
      anon_sym_typename,
    ACTIONS(8284), 1,
      sym_identifier,
    ACTIONS(8288), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8290), 1,
      sym_primitive_type,
    STATE(3316), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(3318), 1,
      sym_decltype_auto,
    STATE(3321), 1,
      sym_qualified_type_identifier,
    STATE(6117), 1,
      sym__type_specifier,
    STATE(7858), 1,
      sym__scope_resolution,
    STATE(10071), 1,
      sym_type_descriptor,
    STATE(10317), 1,
      sym_dependent_type_identifier,
    STATE(3247), 2,
      sym_decltype,
      sym_template_type,
    STATE(5191), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2546), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3317), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(63), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [111529] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1486), 1,
      anon_sym_template,
    ACTIONS(2582), 1,
      sym_auto,
    ACTIONS(2584), 1,
      anon_sym_decltype,
    ACTIONS(8288), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8306), 1,
      sym_identifier,
    ACTIONS(8310), 1,
      sym_primitive_type,
    ACTIONS(8312), 1,
      anon_sym_enum,
    ACTIONS(8314), 1,
      anon_sym_class,
    ACTIONS(8316), 1,
      anon_sym_struct,
    ACTIONS(8318), 1,
      anon_sym_union,
    ACTIONS(8320), 1,
      anon_sym_typename,
    STATE(3318), 1,
      sym_decltype_auto,
    STATE(3321), 1,
      sym_qualified_type_identifier,
    STATE(6633), 1,
      sym__type_specifier,
    STATE(6644), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(7182), 1,
      sym__type_definition_type,
    STATE(7858), 1,
      sym__scope_resolution,
    STATE(10317), 1,
      sym_dependent_type_identifier,
    STATE(3247), 2,
      sym_decltype,
      sym_template_type,
    STATE(5206), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(8308), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3317), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(63), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [111624] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1486), 1,
      anon_sym_template,
    ACTIONS(2582), 1,
      sym_auto,
    ACTIONS(2584), 1,
      anon_sym_decltype,
    ACTIONS(8288), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8306), 1,
      sym_identifier,
    ACTIONS(8310), 1,
      sym_primitive_type,
    ACTIONS(8312), 1,
      anon_sym_enum,
    ACTIONS(8314), 1,
      anon_sym_class,
    ACTIONS(8316), 1,
      anon_sym_struct,
    ACTIONS(8318), 1,
      anon_sym_union,
    ACTIONS(8320), 1,
      anon_sym_typename,
    STATE(3318), 1,
      sym_decltype_auto,
    STATE(3321), 1,
      sym_qualified_type_identifier,
    STATE(6633), 1,
      sym__type_specifier,
    STATE(6644), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(7156), 1,
      sym__type_definition_type,
    STATE(7858), 1,
      sym__scope_resolution,
    STATE(10317), 1,
      sym_dependent_type_identifier,
    STATE(3247), 2,
      sym_decltype,
      sym_template_type,
    STATE(5206), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(8308), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3317), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(63), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [111719] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1486), 1,
      anon_sym_template,
    ACTIONS(2582), 1,
      sym_auto,
    ACTIONS(2584), 1,
      anon_sym_decltype,
    ACTIONS(8288), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8306), 1,
      sym_identifier,
    ACTIONS(8310), 1,
      sym_primitive_type,
    ACTIONS(8312), 1,
      anon_sym_enum,
    ACTIONS(8314), 1,
      anon_sym_class,
    ACTIONS(8316), 1,
      anon_sym_struct,
    ACTIONS(8318), 1,
      anon_sym_union,
    ACTIONS(8320), 1,
      anon_sym_typename,
    STATE(3318), 1,
      sym_decltype_auto,
    STATE(3321), 1,
      sym_qualified_type_identifier,
    STATE(6633), 1,
      sym__type_specifier,
    STATE(6644), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(7180), 1,
      sym__type_definition_type,
    STATE(7858), 1,
      sym__scope_resolution,
    STATE(10317), 1,
      sym_dependent_type_identifier,
    STATE(3247), 2,
      sym_decltype,
      sym_template_type,
    STATE(5206), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(8308), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3317), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(63), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [111814] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1486), 1,
      anon_sym_template,
    ACTIONS(2552), 1,
      anon_sym_enum,
    ACTIONS(2554), 1,
      anon_sym_class,
    ACTIONS(2556), 1,
      anon_sym_struct,
    ACTIONS(2558), 1,
      anon_sym_union,
    ACTIONS(2582), 1,
      sym_auto,
    ACTIONS(2584), 1,
      anon_sym_decltype,
    ACTIONS(2586), 1,
      anon_sym_typename,
    ACTIONS(8284), 1,
      sym_identifier,
    ACTIONS(8288), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8290), 1,
      sym_primitive_type,
    STATE(3316), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(3318), 1,
      sym_decltype_auto,
    STATE(3321), 1,
      sym_qualified_type_identifier,
    STATE(6273), 1,
      sym__type_specifier,
    STATE(7858), 1,
      sym__scope_resolution,
    STATE(9763), 1,
      sym_type_descriptor,
    STATE(10317), 1,
      sym_dependent_type_identifier,
    STATE(3247), 2,
      sym_decltype,
      sym_template_type,
    STATE(5194), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2546), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3317), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(63), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [111909] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1486), 1,
      anon_sym_template,
    ACTIONS(2552), 1,
      anon_sym_enum,
    ACTIONS(2554), 1,
      anon_sym_class,
    ACTIONS(2556), 1,
      anon_sym_struct,
    ACTIONS(2558), 1,
      anon_sym_union,
    ACTIONS(2582), 1,
      sym_auto,
    ACTIONS(2584), 1,
      anon_sym_decltype,
    ACTIONS(2586), 1,
      anon_sym_typename,
    ACTIONS(8284), 1,
      sym_identifier,
    ACTIONS(8288), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8290), 1,
      sym_primitive_type,
    STATE(3316), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(3318), 1,
      sym_decltype_auto,
    STATE(3321), 1,
      sym_qualified_type_identifier,
    STATE(6273), 1,
      sym__type_specifier,
    STATE(7858), 1,
      sym__scope_resolution,
    STATE(9919), 1,
      sym_type_descriptor,
    STATE(10317), 1,
      sym_dependent_type_identifier,
    STATE(3247), 2,
      sym_decltype,
      sym_template_type,
    STATE(5194), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2546), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3317), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(63), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [112004] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5970), 20,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5972), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [112057] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1486), 1,
      anon_sym_template,
    ACTIONS(2582), 1,
      sym_auto,
    ACTIONS(2584), 1,
      anon_sym_decltype,
    ACTIONS(8288), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8306), 1,
      sym_identifier,
    ACTIONS(8310), 1,
      sym_primitive_type,
    ACTIONS(8312), 1,
      anon_sym_enum,
    ACTIONS(8314), 1,
      anon_sym_class,
    ACTIONS(8316), 1,
      anon_sym_struct,
    ACTIONS(8318), 1,
      anon_sym_union,
    ACTIONS(8320), 1,
      anon_sym_typename,
    STATE(3318), 1,
      sym_decltype_auto,
    STATE(3321), 1,
      sym_qualified_type_identifier,
    STATE(6633), 1,
      sym__type_specifier,
    STATE(6644), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(7150), 1,
      sym__type_definition_type,
    STATE(7858), 1,
      sym__scope_resolution,
    STATE(10317), 1,
      sym_dependent_type_identifier,
    STATE(3247), 2,
      sym_decltype,
      sym_template_type,
    STATE(5206), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(8308), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3317), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(63), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [112152] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1486), 1,
      anon_sym_template,
    ACTIONS(2582), 1,
      sym_auto,
    ACTIONS(2584), 1,
      anon_sym_decltype,
    ACTIONS(8288), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8306), 1,
      sym_identifier,
    ACTIONS(8310), 1,
      sym_primitive_type,
    ACTIONS(8312), 1,
      anon_sym_enum,
    ACTIONS(8314), 1,
      anon_sym_class,
    ACTIONS(8316), 1,
      anon_sym_struct,
    ACTIONS(8318), 1,
      anon_sym_union,
    ACTIONS(8320), 1,
      anon_sym_typename,
    STATE(3318), 1,
      sym_decltype_auto,
    STATE(3321), 1,
      sym_qualified_type_identifier,
    STATE(6633), 1,
      sym__type_specifier,
    STATE(6644), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(7151), 1,
      sym__type_definition_type,
    STATE(7858), 1,
      sym__scope_resolution,
    STATE(10317), 1,
      sym_dependent_type_identifier,
    STATE(3247), 2,
      sym_decltype,
      sym_template_type,
    STATE(5206), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(8308), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3317), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(63), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [112247] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1486), 1,
      anon_sym_template,
    ACTIONS(2582), 1,
      sym_auto,
    ACTIONS(2584), 1,
      anon_sym_decltype,
    ACTIONS(8288), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8306), 1,
      sym_identifier,
    ACTIONS(8310), 1,
      sym_primitive_type,
    ACTIONS(8312), 1,
      anon_sym_enum,
    ACTIONS(8314), 1,
      anon_sym_class,
    ACTIONS(8316), 1,
      anon_sym_struct,
    ACTIONS(8318), 1,
      anon_sym_union,
    ACTIONS(8320), 1,
      anon_sym_typename,
    STATE(3318), 1,
      sym_decltype_auto,
    STATE(3321), 1,
      sym_qualified_type_identifier,
    STATE(6633), 1,
      sym__type_specifier,
    STATE(6644), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(7148), 1,
      sym__type_definition_type,
    STATE(7858), 1,
      sym__scope_resolution,
    STATE(10317), 1,
      sym_dependent_type_identifier,
    STATE(3247), 2,
      sym_decltype,
      sym_template_type,
    STATE(5206), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(8308), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3317), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(63), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [112342] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1486), 1,
      anon_sym_template,
    ACTIONS(2552), 1,
      anon_sym_enum,
    ACTIONS(2554), 1,
      anon_sym_class,
    ACTIONS(2556), 1,
      anon_sym_struct,
    ACTIONS(2558), 1,
      anon_sym_union,
    ACTIONS(2582), 1,
      sym_auto,
    ACTIONS(2584), 1,
      anon_sym_decltype,
    ACTIONS(2586), 1,
      anon_sym_typename,
    ACTIONS(8284), 1,
      sym_identifier,
    ACTIONS(8288), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8290), 1,
      sym_primitive_type,
    STATE(3316), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(3318), 1,
      sym_decltype_auto,
    STATE(3321), 1,
      sym_qualified_type_identifier,
    STATE(6117), 1,
      sym__type_specifier,
    STATE(7858), 1,
      sym__scope_resolution,
    STATE(9876), 1,
      sym_type_descriptor,
    STATE(10317), 1,
      sym_dependent_type_identifier,
    STATE(3247), 2,
      sym_decltype,
      sym_template_type,
    STATE(5191), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2546), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3317), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(63), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [112437] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1486), 1,
      anon_sym_template,
    ACTIONS(2552), 1,
      anon_sym_enum,
    ACTIONS(2554), 1,
      anon_sym_class,
    ACTIONS(2556), 1,
      anon_sym_struct,
    ACTIONS(2558), 1,
      anon_sym_union,
    ACTIONS(2582), 1,
      sym_auto,
    ACTIONS(2584), 1,
      anon_sym_decltype,
    ACTIONS(2586), 1,
      anon_sym_typename,
    ACTIONS(8284), 1,
      sym_identifier,
    ACTIONS(8288), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8290), 1,
      sym_primitive_type,
    STATE(3316), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(3318), 1,
      sym_decltype_auto,
    STATE(3321), 1,
      sym_qualified_type_identifier,
    STATE(6117), 1,
      sym__type_specifier,
    STATE(7858), 1,
      sym__scope_resolution,
    STATE(9879), 1,
      sym_type_descriptor,
    STATE(10317), 1,
      sym_dependent_type_identifier,
    STATE(3247), 2,
      sym_decltype,
      sym_template_type,
    STATE(5191), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2546), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3317), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(63), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [112532] = 7,
    ACTIONS(3), 1,
      sym_comment,
    STATE(5318), 1,
      sym_ms_unaligned_ptr_modifier,
    ACTIONS(8329), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(5077), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    ACTIONS(8326), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(8324), 11,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(8322), 26,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      sym_identifier,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [112593] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1486), 1,
      anon_sym_template,
    ACTIONS(2582), 1,
      sym_auto,
    ACTIONS(2584), 1,
      anon_sym_decltype,
    ACTIONS(8288), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8306), 1,
      sym_identifier,
    ACTIONS(8310), 1,
      sym_primitive_type,
    ACTIONS(8312), 1,
      anon_sym_enum,
    ACTIONS(8314), 1,
      anon_sym_class,
    ACTIONS(8316), 1,
      anon_sym_struct,
    ACTIONS(8318), 1,
      anon_sym_union,
    ACTIONS(8320), 1,
      anon_sym_typename,
    STATE(3318), 1,
      sym_decltype_auto,
    STATE(3321), 1,
      sym_qualified_type_identifier,
    STATE(6633), 1,
      sym__type_specifier,
    STATE(6644), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(7137), 1,
      sym__type_definition_type,
    STATE(7858), 1,
      sym__scope_resolution,
    STATE(10317), 1,
      sym_dependent_type_identifier,
    STATE(3247), 2,
      sym_decltype,
      sym_template_type,
    STATE(5206), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(8308), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3317), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(63), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [112688] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1486), 1,
      anon_sym_template,
    ACTIONS(2552), 1,
      anon_sym_enum,
    ACTIONS(2554), 1,
      anon_sym_class,
    ACTIONS(2556), 1,
      anon_sym_struct,
    ACTIONS(2558), 1,
      anon_sym_union,
    ACTIONS(2582), 1,
      sym_auto,
    ACTIONS(2584), 1,
      anon_sym_decltype,
    ACTIONS(2586), 1,
      anon_sym_typename,
    ACTIONS(8284), 1,
      sym_identifier,
    ACTIONS(8288), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8290), 1,
      sym_primitive_type,
    STATE(3316), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(3318), 1,
      sym_decltype_auto,
    STATE(3321), 1,
      sym_qualified_type_identifier,
    STATE(6117), 1,
      sym__type_specifier,
    STATE(7858), 1,
      sym__scope_resolution,
    STATE(9957), 1,
      sym_type_descriptor,
    STATE(10317), 1,
      sym_dependent_type_identifier,
    STATE(3247), 2,
      sym_decltype,
      sym_template_type,
    STATE(5191), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2546), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3317), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(63), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [112783] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1486), 1,
      anon_sym_template,
    ACTIONS(2552), 1,
      anon_sym_enum,
    ACTIONS(2554), 1,
      anon_sym_class,
    ACTIONS(2556), 1,
      anon_sym_struct,
    ACTIONS(2558), 1,
      anon_sym_union,
    ACTIONS(2582), 1,
      sym_auto,
    ACTIONS(2584), 1,
      anon_sym_decltype,
    ACTIONS(2586), 1,
      anon_sym_typename,
    ACTIONS(8284), 1,
      sym_identifier,
    ACTIONS(8288), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8290), 1,
      sym_primitive_type,
    STATE(3316), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(3318), 1,
      sym_decltype_auto,
    STATE(3321), 1,
      sym_qualified_type_identifier,
    STATE(6117), 1,
      sym__type_specifier,
    STATE(7858), 1,
      sym__scope_resolution,
    STATE(9896), 1,
      sym_type_descriptor,
    STATE(10317), 1,
      sym_dependent_type_identifier,
    STATE(3247), 2,
      sym_decltype,
      sym_template_type,
    STATE(5191), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2546), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3317), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(63), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [112878] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1486), 1,
      anon_sym_template,
    ACTIONS(2552), 1,
      anon_sym_enum,
    ACTIONS(2554), 1,
      anon_sym_class,
    ACTIONS(2556), 1,
      anon_sym_struct,
    ACTIONS(2558), 1,
      anon_sym_union,
    ACTIONS(2582), 1,
      sym_auto,
    ACTIONS(2584), 1,
      anon_sym_decltype,
    ACTIONS(2586), 1,
      anon_sym_typename,
    ACTIONS(8284), 1,
      sym_identifier,
    ACTIONS(8288), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8290), 1,
      sym_primitive_type,
    STATE(3316), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(3318), 1,
      sym_decltype_auto,
    STATE(3321), 1,
      sym_qualified_type_identifier,
    STATE(6117), 1,
      sym__type_specifier,
    STATE(7858), 1,
      sym__scope_resolution,
    STATE(9688), 1,
      sym_type_descriptor,
    STATE(10317), 1,
      sym_dependent_type_identifier,
    STATE(3247), 2,
      sym_decltype,
      sym_template_type,
    STATE(5191), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2546), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3317), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(63), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [112973] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1486), 1,
      anon_sym_template,
    ACTIONS(8332), 1,
      sym_identifier,
    ACTIONS(8334), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8338), 1,
      sym_primitive_type,
    ACTIONS(8340), 1,
      anon_sym_enum,
    ACTIONS(8342), 1,
      anon_sym_class,
    ACTIONS(8344), 1,
      anon_sym_struct,
    ACTIONS(8346), 1,
      anon_sym_union,
    ACTIONS(8348), 1,
      sym_auto,
    ACTIONS(8350), 1,
      anon_sym_decltype,
    ACTIONS(8352), 1,
      anon_sym_typename,
    STATE(5376), 1,
      sym__type_specifier,
    STATE(5493), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(6156), 1,
      sym_decltype_auto,
    STATE(6241), 1,
      sym_qualified_type_identifier,
    STATE(7351), 1,
      sym_type_descriptor,
    STATE(7862), 1,
      sym__scope_resolution,
    STATE(10317), 1,
      sym_dependent_type_identifier,
    STATE(3050), 2,
      sym_decltype,
      sym_template_type,
    STATE(5217), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(8336), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(6209), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(63), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [113068] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1486), 1,
      anon_sym_template,
    ACTIONS(2582), 1,
      sym_auto,
    ACTIONS(2584), 1,
      anon_sym_decltype,
    ACTIONS(8288), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8306), 1,
      sym_identifier,
    ACTIONS(8310), 1,
      sym_primitive_type,
    ACTIONS(8312), 1,
      anon_sym_enum,
    ACTIONS(8314), 1,
      anon_sym_class,
    ACTIONS(8316), 1,
      anon_sym_struct,
    ACTIONS(8318), 1,
      anon_sym_union,
    ACTIONS(8320), 1,
      anon_sym_typename,
    STATE(3318), 1,
      sym_decltype_auto,
    STATE(3321), 1,
      sym_qualified_type_identifier,
    STATE(6633), 1,
      sym__type_specifier,
    STATE(6644), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(7107), 1,
      sym__type_definition_type,
    STATE(7858), 1,
      sym__scope_resolution,
    STATE(10317), 1,
      sym_dependent_type_identifier,
    STATE(3247), 2,
      sym_decltype,
      sym_template_type,
    STATE(5206), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(8308), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3317), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(63), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [113163] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1486), 1,
      anon_sym_template,
    ACTIONS(2582), 1,
      sym_auto,
    ACTIONS(2584), 1,
      anon_sym_decltype,
    ACTIONS(8288), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8306), 1,
      sym_identifier,
    ACTIONS(8310), 1,
      sym_primitive_type,
    ACTIONS(8312), 1,
      anon_sym_enum,
    ACTIONS(8314), 1,
      anon_sym_class,
    ACTIONS(8316), 1,
      anon_sym_struct,
    ACTIONS(8318), 1,
      anon_sym_union,
    ACTIONS(8320), 1,
      anon_sym_typename,
    STATE(3318), 1,
      sym_decltype_auto,
    STATE(3321), 1,
      sym_qualified_type_identifier,
    STATE(6633), 1,
      sym__type_specifier,
    STATE(6644), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(7101), 1,
      sym__type_definition_type,
    STATE(7858), 1,
      sym__scope_resolution,
    STATE(10317), 1,
      sym_dependent_type_identifier,
    STATE(3247), 2,
      sym_decltype,
      sym_template_type,
    STATE(5206), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(8308), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3317), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(63), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [113258] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1486), 1,
      anon_sym_template,
    ACTIONS(2552), 1,
      anon_sym_enum,
    ACTIONS(2554), 1,
      anon_sym_class,
    ACTIONS(2556), 1,
      anon_sym_struct,
    ACTIONS(2558), 1,
      anon_sym_union,
    ACTIONS(2582), 1,
      sym_auto,
    ACTIONS(2584), 1,
      anon_sym_decltype,
    ACTIONS(2586), 1,
      anon_sym_typename,
    ACTIONS(8284), 1,
      sym_identifier,
    ACTIONS(8288), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8290), 1,
      sym_primitive_type,
    STATE(3316), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(3318), 1,
      sym_decltype_auto,
    STATE(3321), 1,
      sym_qualified_type_identifier,
    STATE(6117), 1,
      sym__type_specifier,
    STATE(7858), 1,
      sym__scope_resolution,
    STATE(10003), 1,
      sym_type_descriptor,
    STATE(10317), 1,
      sym_dependent_type_identifier,
    STATE(3247), 2,
      sym_decltype,
      sym_template_type,
    STATE(5191), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2546), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3317), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(63), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [113353] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1486), 1,
      anon_sym_template,
    ACTIONS(2582), 1,
      sym_auto,
    ACTIONS(2584), 1,
      anon_sym_decltype,
    ACTIONS(8288), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8306), 1,
      sym_identifier,
    ACTIONS(8310), 1,
      sym_primitive_type,
    ACTIONS(8312), 1,
      anon_sym_enum,
    ACTIONS(8314), 1,
      anon_sym_class,
    ACTIONS(8316), 1,
      anon_sym_struct,
    ACTIONS(8318), 1,
      anon_sym_union,
    ACTIONS(8320), 1,
      anon_sym_typename,
    STATE(3318), 1,
      sym_decltype_auto,
    STATE(3321), 1,
      sym_qualified_type_identifier,
    STATE(6633), 1,
      sym__type_specifier,
    STATE(6644), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(7090), 1,
      sym__type_definition_type,
    STATE(7858), 1,
      sym__scope_resolution,
    STATE(10317), 1,
      sym_dependent_type_identifier,
    STATE(3247), 2,
      sym_decltype,
      sym_template_type,
    STATE(5206), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(8308), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3317), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(63), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [113448] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1486), 1,
      anon_sym_template,
    ACTIONS(2582), 1,
      sym_auto,
    ACTIONS(2584), 1,
      anon_sym_decltype,
    ACTIONS(8288), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8306), 1,
      sym_identifier,
    ACTIONS(8310), 1,
      sym_primitive_type,
    ACTIONS(8312), 1,
      anon_sym_enum,
    ACTIONS(8314), 1,
      anon_sym_class,
    ACTIONS(8316), 1,
      anon_sym_struct,
    ACTIONS(8318), 1,
      anon_sym_union,
    ACTIONS(8320), 1,
      anon_sym_typename,
    STATE(3318), 1,
      sym_decltype_auto,
    STATE(3321), 1,
      sym_qualified_type_identifier,
    STATE(6633), 1,
      sym__type_specifier,
    STATE(6644), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(7093), 1,
      sym__type_definition_type,
    STATE(7858), 1,
      sym__scope_resolution,
    STATE(10317), 1,
      sym_dependent_type_identifier,
    STATE(3247), 2,
      sym_decltype,
      sym_template_type,
    STATE(5206), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(8308), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3317), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(63), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [113543] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2452), 20,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(2454), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [113596] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1486), 1,
      anon_sym_template,
    ACTIONS(2552), 1,
      anon_sym_enum,
    ACTIONS(2554), 1,
      anon_sym_class,
    ACTIONS(2556), 1,
      anon_sym_struct,
    ACTIONS(2558), 1,
      anon_sym_union,
    ACTIONS(2582), 1,
      sym_auto,
    ACTIONS(2584), 1,
      anon_sym_decltype,
    ACTIONS(2586), 1,
      anon_sym_typename,
    ACTIONS(8284), 1,
      sym_identifier,
    ACTIONS(8288), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8290), 1,
      sym_primitive_type,
    STATE(3316), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(3318), 1,
      sym_decltype_auto,
    STATE(3321), 1,
      sym_qualified_type_identifier,
    STATE(6117), 1,
      sym__type_specifier,
    STATE(7858), 1,
      sym__scope_resolution,
    STATE(9378), 1,
      sym_type_descriptor,
    STATE(10317), 1,
      sym_dependent_type_identifier,
    STATE(3247), 2,
      sym_decltype,
      sym_template_type,
    STATE(5191), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2546), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3317), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(63), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [113691] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1486), 1,
      anon_sym_template,
    ACTIONS(2552), 1,
      anon_sym_enum,
    ACTIONS(2554), 1,
      anon_sym_class,
    ACTIONS(2556), 1,
      anon_sym_struct,
    ACTIONS(2558), 1,
      anon_sym_union,
    ACTIONS(2582), 1,
      sym_auto,
    ACTIONS(2584), 1,
      anon_sym_decltype,
    ACTIONS(2586), 1,
      anon_sym_typename,
    ACTIONS(8284), 1,
      sym_identifier,
    ACTIONS(8288), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8290), 1,
      sym_primitive_type,
    STATE(3316), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(3318), 1,
      sym_decltype_auto,
    STATE(3321), 1,
      sym_qualified_type_identifier,
    STATE(6117), 1,
      sym__type_specifier,
    STATE(7858), 1,
      sym__scope_resolution,
    STATE(9784), 1,
      sym_type_descriptor,
    STATE(10317), 1,
      sym_dependent_type_identifier,
    STATE(3247), 2,
      sym_decltype,
      sym_template_type,
    STATE(5191), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2546), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3317), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(63), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [113786] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2396), 20,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(2398), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [113839] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1486), 1,
      anon_sym_template,
    ACTIONS(2582), 1,
      sym_auto,
    ACTIONS(2584), 1,
      anon_sym_decltype,
    ACTIONS(8288), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8306), 1,
      sym_identifier,
    ACTIONS(8310), 1,
      sym_primitive_type,
    ACTIONS(8312), 1,
      anon_sym_enum,
    ACTIONS(8314), 1,
      anon_sym_class,
    ACTIONS(8316), 1,
      anon_sym_struct,
    ACTIONS(8318), 1,
      anon_sym_union,
    ACTIONS(8320), 1,
      anon_sym_typename,
    STATE(3318), 1,
      sym_decltype_auto,
    STATE(3321), 1,
      sym_qualified_type_identifier,
    STATE(6633), 1,
      sym__type_specifier,
    STATE(6644), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(7087), 1,
      sym__type_definition_type,
    STATE(7858), 1,
      sym__scope_resolution,
    STATE(10317), 1,
      sym_dependent_type_identifier,
    STATE(3247), 2,
      sym_decltype,
      sym_template_type,
    STATE(5206), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(8308), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3317), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(63), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [113934] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1486), 1,
      anon_sym_template,
    ACTIONS(2552), 1,
      anon_sym_enum,
    ACTIONS(2554), 1,
      anon_sym_class,
    ACTIONS(2556), 1,
      anon_sym_struct,
    ACTIONS(2558), 1,
      anon_sym_union,
    ACTIONS(2582), 1,
      sym_auto,
    ACTIONS(2584), 1,
      anon_sym_decltype,
    ACTIONS(2586), 1,
      anon_sym_typename,
    ACTIONS(8284), 1,
      sym_identifier,
    ACTIONS(8288), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8290), 1,
      sym_primitive_type,
    STATE(3316), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(3318), 1,
      sym_decltype_auto,
    STATE(3321), 1,
      sym_qualified_type_identifier,
    STATE(6117), 1,
      sym__type_specifier,
    STATE(7858), 1,
      sym__scope_resolution,
    STATE(10101), 1,
      sym_type_descriptor,
    STATE(10317), 1,
      sym_dependent_type_identifier,
    STATE(3247), 2,
      sym_decltype,
      sym_template_type,
    STATE(5191), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2546), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3317), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(63), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [114029] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6131), 20,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(6133), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [114082] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(63), 1,
      anon_sym_const,
    ACTIONS(7970), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7972), 1,
      anon_sym_AMP,
    ACTIONS(7981), 1,
      anon_sym_LBRACK,
    ACTIONS(7989), 1,
      anon_sym_noexcept,
    ACTIONS(7991), 1,
      anon_sym_throw,
    ACTIONS(8209), 1,
      anon_sym___attribute__,
    ACTIONS(8354), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8357), 1,
      anon_sym_DASH_GT,
    ACTIONS(8359), 1,
      anon_sym_requires,
    STATE(6282), 1,
      sym__function_attributes_start,
    STATE(6624), 1,
      sym_ref_qualifier,
    STATE(7504), 1,
      sym__function_attributes_end,
    STATE(7744), 1,
      sym_trailing_return_type,
    STATE(8050), 1,
      sym_gnu_asm_expression,
    ACTIONS(7968), 2,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
    ACTIONS(7985), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(8013), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5407), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6017), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(7102), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7174), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(7250), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(6744), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(8207), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [114181] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6037), 20,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(6039), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [114234] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1486), 1,
      anon_sym_template,
    ACTIONS(8362), 1,
      sym_identifier,
    ACTIONS(8364), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8368), 1,
      sym_primitive_type,
    ACTIONS(8370), 1,
      anon_sym_enum,
    ACTIONS(8372), 1,
      anon_sym_class,
    ACTIONS(8374), 1,
      anon_sym_struct,
    ACTIONS(8376), 1,
      anon_sym_union,
    ACTIONS(8378), 1,
      sym_auto,
    ACTIONS(8380), 1,
      anon_sym_decltype,
    ACTIONS(8382), 1,
      anon_sym_typename,
    STATE(5675), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(5692), 1,
      sym__type_specifier,
    STATE(6351), 1,
      sym_decltype_auto,
    STATE(6356), 1,
      sym_qualified_type_identifier,
    STATE(7446), 1,
      sym_type_descriptor,
    STATE(7852), 1,
      sym__scope_resolution,
    STATE(10317), 1,
      sym_dependent_type_identifier,
    STATE(5185), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(6277), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(8366), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(6353), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(63), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [114329] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1486), 1,
      anon_sym_template,
    ACTIONS(2582), 1,
      sym_auto,
    ACTIONS(2584), 1,
      anon_sym_decltype,
    ACTIONS(8288), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8306), 1,
      sym_identifier,
    ACTIONS(8310), 1,
      sym_primitive_type,
    ACTIONS(8312), 1,
      anon_sym_enum,
    ACTIONS(8314), 1,
      anon_sym_class,
    ACTIONS(8316), 1,
      anon_sym_struct,
    ACTIONS(8318), 1,
      anon_sym_union,
    ACTIONS(8320), 1,
      anon_sym_typename,
    STATE(3318), 1,
      sym_decltype_auto,
    STATE(3321), 1,
      sym_qualified_type_identifier,
    STATE(6633), 1,
      sym__type_specifier,
    STATE(6644), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(7104), 1,
      sym__type_definition_type,
    STATE(7858), 1,
      sym__scope_resolution,
    STATE(10317), 1,
      sym_dependent_type_identifier,
    STATE(3247), 2,
      sym_decltype,
      sym_template_type,
    STATE(5206), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(8308), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3317), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(63), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [114424] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1486), 1,
      anon_sym_template,
    ACTIONS(2582), 1,
      sym_auto,
    ACTIONS(2584), 1,
      anon_sym_decltype,
    ACTIONS(8288), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8306), 1,
      sym_identifier,
    ACTIONS(8310), 1,
      sym_primitive_type,
    ACTIONS(8312), 1,
      anon_sym_enum,
    ACTIONS(8314), 1,
      anon_sym_class,
    ACTIONS(8316), 1,
      anon_sym_struct,
    ACTIONS(8318), 1,
      anon_sym_union,
    ACTIONS(8320), 1,
      anon_sym_typename,
    STATE(3318), 1,
      sym_decltype_auto,
    STATE(3321), 1,
      sym_qualified_type_identifier,
    STATE(6633), 1,
      sym__type_specifier,
    STATE(6644), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(7106), 1,
      sym__type_definition_type,
    STATE(7858), 1,
      sym__scope_resolution,
    STATE(10317), 1,
      sym_dependent_type_identifier,
    STATE(3247), 2,
      sym_decltype,
      sym_template_type,
    STATE(5206), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(8308), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3317), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(63), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [114519] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6005), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(6007), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [114572] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1486), 1,
      anon_sym_template,
    ACTIONS(2552), 1,
      anon_sym_enum,
    ACTIONS(2554), 1,
      anon_sym_class,
    ACTIONS(2556), 1,
      anon_sym_struct,
    ACTIONS(2558), 1,
      anon_sym_union,
    ACTIONS(2582), 1,
      sym_auto,
    ACTIONS(2584), 1,
      anon_sym_decltype,
    ACTIONS(2586), 1,
      anon_sym_typename,
    ACTIONS(8284), 1,
      sym_identifier,
    ACTIONS(8288), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8290), 1,
      sym_primitive_type,
    STATE(3316), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(3318), 1,
      sym_decltype_auto,
    STATE(3321), 1,
      sym_qualified_type_identifier,
    STATE(6117), 1,
      sym__type_specifier,
    STATE(7858), 1,
      sym__scope_resolution,
    STATE(10244), 1,
      sym_type_descriptor,
    STATE(10317), 1,
      sym_dependent_type_identifier,
    STATE(3247), 2,
      sym_decltype,
      sym_template_type,
    STATE(5191), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2546), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3317), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(63), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [114667] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1486), 1,
      anon_sym_template,
    ACTIONS(2552), 1,
      anon_sym_enum,
    ACTIONS(2554), 1,
      anon_sym_class,
    ACTIONS(2556), 1,
      anon_sym_struct,
    ACTIONS(2558), 1,
      anon_sym_union,
    ACTIONS(2582), 1,
      sym_auto,
    ACTIONS(2584), 1,
      anon_sym_decltype,
    ACTIONS(2586), 1,
      anon_sym_typename,
    ACTIONS(8284), 1,
      sym_identifier,
    ACTIONS(8288), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8290), 1,
      sym_primitive_type,
    STATE(3316), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(3318), 1,
      sym_decltype_auto,
    STATE(3321), 1,
      sym_qualified_type_identifier,
    STATE(6273), 1,
      sym__type_specifier,
    STATE(7858), 1,
      sym__scope_resolution,
    STATE(10077), 1,
      sym_type_descriptor,
    STATE(10317), 1,
      sym_dependent_type_identifier,
    STATE(3247), 2,
      sym_decltype,
      sym_template_type,
    STATE(5194), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2546), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3317), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(63), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [114762] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1486), 1,
      anon_sym_template,
    ACTIONS(2552), 1,
      anon_sym_enum,
    ACTIONS(2554), 1,
      anon_sym_class,
    ACTIONS(2556), 1,
      anon_sym_struct,
    ACTIONS(2558), 1,
      anon_sym_union,
    ACTIONS(2582), 1,
      sym_auto,
    ACTIONS(2584), 1,
      anon_sym_decltype,
    ACTIONS(2586), 1,
      anon_sym_typename,
    ACTIONS(8284), 1,
      sym_identifier,
    ACTIONS(8288), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8290), 1,
      sym_primitive_type,
    STATE(3316), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(3318), 1,
      sym_decltype_auto,
    STATE(3321), 1,
      sym_qualified_type_identifier,
    STATE(6117), 1,
      sym__type_specifier,
    STATE(7858), 1,
      sym__scope_resolution,
    STATE(10097), 1,
      sym_type_descriptor,
    STATE(10317), 1,
      sym_dependent_type_identifier,
    STATE(3247), 2,
      sym_decltype,
      sym_template_type,
    STATE(5191), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2546), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3317), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(63), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [114857] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1486), 1,
      anon_sym_template,
    ACTIONS(8362), 1,
      sym_identifier,
    ACTIONS(8364), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8368), 1,
      sym_primitive_type,
    ACTIONS(8370), 1,
      anon_sym_enum,
    ACTIONS(8372), 1,
      anon_sym_class,
    ACTIONS(8374), 1,
      anon_sym_struct,
    ACTIONS(8376), 1,
      anon_sym_union,
    ACTIONS(8378), 1,
      sym_auto,
    ACTIONS(8380), 1,
      anon_sym_decltype,
    ACTIONS(8382), 1,
      anon_sym_typename,
    STATE(5675), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(5862), 1,
      sym__type_specifier,
    STATE(6351), 1,
      sym_decltype_auto,
    STATE(6356), 1,
      sym_qualified_type_identifier,
    STATE(7446), 1,
      sym_type_descriptor,
    STATE(7852), 1,
      sym__scope_resolution,
    STATE(10317), 1,
      sym_dependent_type_identifier,
    STATE(5167), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(6277), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(8366), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(6353), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(63), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [114952] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1486), 1,
      anon_sym_template,
    ACTIONS(2552), 1,
      anon_sym_enum,
    ACTIONS(2554), 1,
      anon_sym_class,
    ACTIONS(2556), 1,
      anon_sym_struct,
    ACTIONS(2558), 1,
      anon_sym_union,
    ACTIONS(2582), 1,
      sym_auto,
    ACTIONS(2584), 1,
      anon_sym_decltype,
    ACTIONS(2586), 1,
      anon_sym_typename,
    ACTIONS(8284), 1,
      sym_identifier,
    ACTIONS(8288), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8290), 1,
      sym_primitive_type,
    STATE(3316), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(3318), 1,
      sym_decltype_auto,
    STATE(3321), 1,
      sym_qualified_type_identifier,
    STATE(6273), 1,
      sym__type_specifier,
    STATE(7858), 1,
      sym__scope_resolution,
    STATE(10103), 1,
      sym_type_descriptor,
    STATE(10317), 1,
      sym_dependent_type_identifier,
    STATE(3247), 2,
      sym_decltype,
      sym_template_type,
    STATE(5194), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2546), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3317), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(63), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [115047] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1486), 1,
      anon_sym_template,
    ACTIONS(2552), 1,
      anon_sym_enum,
    ACTIONS(2554), 1,
      anon_sym_class,
    ACTIONS(2556), 1,
      anon_sym_struct,
    ACTIONS(2558), 1,
      anon_sym_union,
    ACTIONS(2582), 1,
      sym_auto,
    ACTIONS(2584), 1,
      anon_sym_decltype,
    ACTIONS(2586), 1,
      anon_sym_typename,
    ACTIONS(8284), 1,
      sym_identifier,
    ACTIONS(8288), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8290), 1,
      sym_primitive_type,
    STATE(3316), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(3318), 1,
      sym_decltype_auto,
    STATE(3321), 1,
      sym_qualified_type_identifier,
    STATE(6117), 1,
      sym__type_specifier,
    STATE(7858), 1,
      sym__scope_resolution,
    STATE(9551), 1,
      sym_type_descriptor,
    STATE(10317), 1,
      sym_dependent_type_identifier,
    STATE(3247), 2,
      sym_decltype,
      sym_template_type,
    STATE(5191), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2546), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3317), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(63), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [115142] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1486), 1,
      anon_sym_template,
    ACTIONS(2552), 1,
      anon_sym_enum,
    ACTIONS(2554), 1,
      anon_sym_class,
    ACTIONS(2556), 1,
      anon_sym_struct,
    ACTIONS(2558), 1,
      anon_sym_union,
    ACTIONS(2582), 1,
      sym_auto,
    ACTIONS(2584), 1,
      anon_sym_decltype,
    ACTIONS(2586), 1,
      anon_sym_typename,
    ACTIONS(8284), 1,
      sym_identifier,
    ACTIONS(8288), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8290), 1,
      sym_primitive_type,
    STATE(3316), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(3318), 1,
      sym_decltype_auto,
    STATE(3321), 1,
      sym_qualified_type_identifier,
    STATE(6117), 1,
      sym__type_specifier,
    STATE(7858), 1,
      sym__scope_resolution,
    STATE(10121), 1,
      sym_type_descriptor,
    STATE(10317), 1,
      sym_dependent_type_identifier,
    STATE(3247), 2,
      sym_decltype,
      sym_template_type,
    STATE(5191), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2546), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3317), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(63), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [115237] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1486), 1,
      anon_sym_template,
    ACTIONS(2582), 1,
      sym_auto,
    ACTIONS(2584), 1,
      anon_sym_decltype,
    ACTIONS(8288), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8306), 1,
      sym_identifier,
    ACTIONS(8310), 1,
      sym_primitive_type,
    ACTIONS(8312), 1,
      anon_sym_enum,
    ACTIONS(8314), 1,
      anon_sym_class,
    ACTIONS(8316), 1,
      anon_sym_struct,
    ACTIONS(8318), 1,
      anon_sym_union,
    ACTIONS(8320), 1,
      anon_sym_typename,
    STATE(3318), 1,
      sym_decltype_auto,
    STATE(3321), 1,
      sym_qualified_type_identifier,
    STATE(6633), 1,
      sym__type_specifier,
    STATE(6644), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(7152), 1,
      sym__type_definition_type,
    STATE(7858), 1,
      sym__scope_resolution,
    STATE(10317), 1,
      sym_dependent_type_identifier,
    STATE(3247), 2,
      sym_decltype,
      sym_template_type,
    STATE(5206), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(8308), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3317), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(63), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [115332] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1486), 1,
      anon_sym_template,
    ACTIONS(2582), 1,
      sym_auto,
    ACTIONS(2584), 1,
      anon_sym_decltype,
    ACTIONS(8288), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8306), 1,
      sym_identifier,
    ACTIONS(8310), 1,
      sym_primitive_type,
    ACTIONS(8312), 1,
      anon_sym_enum,
    ACTIONS(8314), 1,
      anon_sym_class,
    ACTIONS(8316), 1,
      anon_sym_struct,
    ACTIONS(8318), 1,
      anon_sym_union,
    ACTIONS(8320), 1,
      anon_sym_typename,
    STATE(3318), 1,
      sym_decltype_auto,
    STATE(3321), 1,
      sym_qualified_type_identifier,
    STATE(6633), 1,
      sym__type_specifier,
    STATE(6644), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(7169), 1,
      sym__type_definition_type,
    STATE(7858), 1,
      sym__scope_resolution,
    STATE(10317), 1,
      sym_dependent_type_identifier,
    STATE(3247), 2,
      sym_decltype,
      sym_template_type,
    STATE(5206), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(8308), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3317), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(63), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [115427] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1486), 1,
      anon_sym_template,
    ACTIONS(2582), 1,
      sym_auto,
    ACTIONS(2584), 1,
      anon_sym_decltype,
    ACTIONS(8288), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8306), 1,
      sym_identifier,
    ACTIONS(8310), 1,
      sym_primitive_type,
    ACTIONS(8312), 1,
      anon_sym_enum,
    ACTIONS(8314), 1,
      anon_sym_class,
    ACTIONS(8316), 1,
      anon_sym_struct,
    ACTIONS(8318), 1,
      anon_sym_union,
    ACTIONS(8320), 1,
      anon_sym_typename,
    STATE(3318), 1,
      sym_decltype_auto,
    STATE(3321), 1,
      sym_qualified_type_identifier,
    STATE(6633), 1,
      sym__type_specifier,
    STATE(6644), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(7178), 1,
      sym__type_definition_type,
    STATE(7858), 1,
      sym__scope_resolution,
    STATE(10317), 1,
      sym_dependent_type_identifier,
    STATE(3247), 2,
      sym_decltype,
      sym_template_type,
    STATE(5206), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(8308), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3317), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(63), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [115522] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1486), 1,
      anon_sym_template,
    ACTIONS(2582), 1,
      sym_auto,
    ACTIONS(2584), 1,
      anon_sym_decltype,
    ACTIONS(8288), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8306), 1,
      sym_identifier,
    ACTIONS(8310), 1,
      sym_primitive_type,
    ACTIONS(8312), 1,
      anon_sym_enum,
    ACTIONS(8314), 1,
      anon_sym_class,
    ACTIONS(8316), 1,
      anon_sym_struct,
    ACTIONS(8318), 1,
      anon_sym_union,
    ACTIONS(8320), 1,
      anon_sym_typename,
    STATE(3318), 1,
      sym_decltype_auto,
    STATE(3321), 1,
      sym_qualified_type_identifier,
    STATE(6633), 1,
      sym__type_specifier,
    STATE(6644), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(7145), 1,
      sym__type_definition_type,
    STATE(7858), 1,
      sym__scope_resolution,
    STATE(10317), 1,
      sym_dependent_type_identifier,
    STATE(3247), 2,
      sym_decltype,
      sym_template_type,
    STATE(5206), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(8308), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3317), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(63), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [115617] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1486), 1,
      anon_sym_template,
    ACTIONS(2552), 1,
      anon_sym_enum,
    ACTIONS(2554), 1,
      anon_sym_class,
    ACTIONS(2556), 1,
      anon_sym_struct,
    ACTIONS(2558), 1,
      anon_sym_union,
    ACTIONS(2582), 1,
      sym_auto,
    ACTIONS(2584), 1,
      anon_sym_decltype,
    ACTIONS(2586), 1,
      anon_sym_typename,
    ACTIONS(8284), 1,
      sym_identifier,
    ACTIONS(8288), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8290), 1,
      sym_primitive_type,
    STATE(3316), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(3318), 1,
      sym_decltype_auto,
    STATE(3321), 1,
      sym_qualified_type_identifier,
    STATE(6117), 1,
      sym__type_specifier,
    STATE(7858), 1,
      sym__scope_resolution,
    STATE(9483), 1,
      sym_type_descriptor,
    STATE(10317), 1,
      sym_dependent_type_identifier,
    STATE(3247), 2,
      sym_decltype,
      sym_template_type,
    STATE(5191), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2546), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3317), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(63), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [115712] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1486), 1,
      anon_sym_template,
    ACTIONS(2552), 1,
      anon_sym_enum,
    ACTIONS(2554), 1,
      anon_sym_class,
    ACTIONS(2556), 1,
      anon_sym_struct,
    ACTIONS(2558), 1,
      anon_sym_union,
    ACTIONS(2582), 1,
      sym_auto,
    ACTIONS(2584), 1,
      anon_sym_decltype,
    ACTIONS(2586), 1,
      anon_sym_typename,
    ACTIONS(8284), 1,
      sym_identifier,
    ACTIONS(8288), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8290), 1,
      sym_primitive_type,
    STATE(3316), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(3318), 1,
      sym_decltype_auto,
    STATE(3321), 1,
      sym_qualified_type_identifier,
    STATE(6117), 1,
      sym__type_specifier,
    STATE(7858), 1,
      sym__scope_resolution,
    STATE(9577), 1,
      sym_type_descriptor,
    STATE(10317), 1,
      sym_dependent_type_identifier,
    STATE(3247), 2,
      sym_decltype,
      sym_template_type,
    STATE(5191), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2546), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3317), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(63), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [115807] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1486), 1,
      anon_sym_template,
    ACTIONS(2582), 1,
      sym_auto,
    ACTIONS(2584), 1,
      anon_sym_decltype,
    ACTIONS(8288), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8306), 1,
      sym_identifier,
    ACTIONS(8310), 1,
      sym_primitive_type,
    ACTIONS(8312), 1,
      anon_sym_enum,
    ACTIONS(8314), 1,
      anon_sym_class,
    ACTIONS(8316), 1,
      anon_sym_struct,
    ACTIONS(8318), 1,
      anon_sym_union,
    ACTIONS(8320), 1,
      anon_sym_typename,
    STATE(3318), 1,
      sym_decltype_auto,
    STATE(3321), 1,
      sym_qualified_type_identifier,
    STATE(6633), 1,
      sym__type_specifier,
    STATE(6644), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(7155), 1,
      sym__type_definition_type,
    STATE(7858), 1,
      sym__scope_resolution,
    STATE(10317), 1,
      sym_dependent_type_identifier,
    STATE(3247), 2,
      sym_decltype,
      sym_template_type,
    STATE(5206), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(8308), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3317), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(63), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [115902] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1486), 1,
      anon_sym_template,
    ACTIONS(2552), 1,
      anon_sym_enum,
    ACTIONS(2554), 1,
      anon_sym_class,
    ACTIONS(2556), 1,
      anon_sym_struct,
    ACTIONS(2558), 1,
      anon_sym_union,
    ACTIONS(2582), 1,
      sym_auto,
    ACTIONS(2584), 1,
      anon_sym_decltype,
    ACTIONS(2586), 1,
      anon_sym_typename,
    ACTIONS(8284), 1,
      sym_identifier,
    ACTIONS(8288), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8290), 1,
      sym_primitive_type,
    STATE(3316), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(3318), 1,
      sym_decltype_auto,
    STATE(3321), 1,
      sym_qualified_type_identifier,
    STATE(6273), 1,
      sym__type_specifier,
    STATE(7858), 1,
      sym__scope_resolution,
    STATE(10127), 1,
      sym_type_descriptor,
    STATE(10317), 1,
      sym_dependent_type_identifier,
    STATE(3247), 2,
      sym_decltype,
      sym_template_type,
    STATE(5194), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2546), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3317), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(63), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [115997] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1486), 1,
      anon_sym_template,
    ACTIONS(2552), 1,
      anon_sym_enum,
    ACTIONS(2554), 1,
      anon_sym_class,
    ACTIONS(2556), 1,
      anon_sym_struct,
    ACTIONS(2558), 1,
      anon_sym_union,
    ACTIONS(2582), 1,
      sym_auto,
    ACTIONS(2584), 1,
      anon_sym_decltype,
    ACTIONS(2586), 1,
      anon_sym_typename,
    ACTIONS(8284), 1,
      sym_identifier,
    ACTIONS(8288), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8290), 1,
      sym_primitive_type,
    STATE(3316), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(3318), 1,
      sym_decltype_auto,
    STATE(3321), 1,
      sym_qualified_type_identifier,
    STATE(6117), 1,
      sym__type_specifier,
    STATE(7351), 1,
      sym_type_descriptor,
    STATE(7858), 1,
      sym__scope_resolution,
    STATE(10317), 1,
      sym_dependent_type_identifier,
    STATE(3247), 2,
      sym_decltype,
      sym_template_type,
    STATE(5191), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2546), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3317), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(63), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [116092] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(119), 1,
      sym_auto,
    ACTIONS(121), 1,
      anon_sym_decltype,
    ACTIONS(1486), 1,
      anon_sym_template,
    ACTIONS(3904), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8384), 1,
      sym_identifier,
    ACTIONS(8388), 1,
      sym_primitive_type,
    ACTIONS(8390), 1,
      anon_sym_enum,
    ACTIONS(8392), 1,
      anon_sym_class,
    ACTIONS(8394), 1,
      anon_sym_struct,
    ACTIONS(8396), 1,
      anon_sym_union,
    ACTIONS(8398), 1,
      anon_sym_typename,
    STATE(3068), 1,
      sym_qualified_type_identifier,
    STATE(3091), 1,
      sym_decltype_auto,
    STATE(6061), 1,
      sym__type_specifier,
    STATE(6066), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(7351), 1,
      sym_type_descriptor,
    STATE(7887), 1,
      sym__scope_resolution,
    STATE(10317), 1,
      sym_dependent_type_identifier,
    STATE(3050), 2,
      sym_decltype,
      sym_template_type,
    STATE(5189), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(8386), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3085), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(63), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [116187] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1486), 1,
      anon_sym_template,
    ACTIONS(8338), 1,
      sym_primitive_type,
    ACTIONS(8348), 1,
      sym_auto,
    ACTIONS(8350), 1,
      anon_sym_decltype,
    ACTIONS(8400), 1,
      sym_identifier,
    ACTIONS(8402), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8404), 1,
      anon_sym_enum,
    ACTIONS(8406), 1,
      anon_sym_class,
    ACTIONS(8408), 1,
      anon_sym_struct,
    ACTIONS(8410), 1,
      anon_sym_union,
    ACTIONS(8412), 1,
      anon_sym_typename,
    STATE(5493), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(5592), 1,
      sym__type_specifier,
    STATE(6156), 1,
      sym_decltype_auto,
    STATE(6241), 1,
      sym_qualified_type_identifier,
    STATE(7351), 1,
      sym_type_descriptor,
    STATE(7841), 1,
      sym__scope_resolution,
    STATE(10317), 1,
      sym_dependent_type_identifier,
    STATE(3050), 2,
      sym_decltype,
      sym_template_type,
    STATE(5196), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(8336), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(6209), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(63), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [116282] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2230), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8304), 1,
      anon_sym_LT,
    STATE(3822), 1,
      sym_template_argument_list,
    ACTIONS(2224), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_GT,
      anon_sym_COLON,
      anon_sym_DOT,
    ACTIONS(2226), 31,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
  [116341] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1486), 1,
      anon_sym_template,
    ACTIONS(2552), 1,
      anon_sym_enum,
    ACTIONS(2554), 1,
      anon_sym_class,
    ACTIONS(2556), 1,
      anon_sym_struct,
    ACTIONS(2558), 1,
      anon_sym_union,
    ACTIONS(2582), 1,
      sym_auto,
    ACTIONS(2584), 1,
      anon_sym_decltype,
    ACTIONS(2586), 1,
      anon_sym_typename,
    ACTIONS(8284), 1,
      sym_identifier,
    ACTIONS(8288), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8290), 1,
      sym_primitive_type,
    STATE(3316), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(3318), 1,
      sym_decltype_auto,
    STATE(3321), 1,
      sym_qualified_type_identifier,
    STATE(6117), 1,
      sym__type_specifier,
    STATE(7858), 1,
      sym__scope_resolution,
    STATE(10092), 1,
      sym_type_descriptor,
    STATE(10317), 1,
      sym_dependent_type_identifier,
    STATE(3247), 2,
      sym_decltype,
      sym_template_type,
    STATE(5191), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2546), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3317), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(63), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [116436] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1486), 1,
      anon_sym_template,
    ACTIONS(2552), 1,
      anon_sym_enum,
    ACTIONS(2554), 1,
      anon_sym_class,
    ACTIONS(2556), 1,
      anon_sym_struct,
    ACTIONS(2558), 1,
      anon_sym_union,
    ACTIONS(2582), 1,
      sym_auto,
    ACTIONS(2584), 1,
      anon_sym_decltype,
    ACTIONS(2586), 1,
      anon_sym_typename,
    ACTIONS(8284), 1,
      sym_identifier,
    ACTIONS(8288), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8290), 1,
      sym_primitive_type,
    STATE(3316), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(3318), 1,
      sym_decltype_auto,
    STATE(3321), 1,
      sym_qualified_type_identifier,
    STATE(6117), 1,
      sym__type_specifier,
    STATE(7858), 1,
      sym__scope_resolution,
    STATE(9632), 1,
      sym_type_descriptor,
    STATE(10317), 1,
      sym_dependent_type_identifier,
    STATE(3247), 2,
      sym_decltype,
      sym_template_type,
    STATE(5191), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2546), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3317), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(63), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [116531] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2262), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5931), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5933), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [116586] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1486), 1,
      anon_sym_template,
    ACTIONS(2552), 1,
      anon_sym_enum,
    ACTIONS(2554), 1,
      anon_sym_class,
    ACTIONS(2556), 1,
      anon_sym_struct,
    ACTIONS(2558), 1,
      anon_sym_union,
    ACTIONS(2582), 1,
      sym_auto,
    ACTIONS(2584), 1,
      anon_sym_decltype,
    ACTIONS(2586), 1,
      anon_sym_typename,
    ACTIONS(8284), 1,
      sym_identifier,
    ACTIONS(8288), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8290), 1,
      sym_primitive_type,
    STATE(3316), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(3318), 1,
      sym_decltype_auto,
    STATE(3321), 1,
      sym_qualified_type_identifier,
    STATE(6117), 1,
      sym__type_specifier,
    STATE(7858), 1,
      sym__scope_resolution,
    STATE(9661), 1,
      sym_type_descriptor,
    STATE(10317), 1,
      sym_dependent_type_identifier,
    STATE(3247), 2,
      sym_decltype,
      sym_template_type,
    STATE(5191), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2546), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3317), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(63), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [116681] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1486), 1,
      anon_sym_template,
    ACTIONS(2552), 1,
      anon_sym_enum,
    ACTIONS(2554), 1,
      anon_sym_class,
    ACTIONS(2556), 1,
      anon_sym_struct,
    ACTIONS(2558), 1,
      anon_sym_union,
    ACTIONS(2582), 1,
      sym_auto,
    ACTIONS(2584), 1,
      anon_sym_decltype,
    ACTIONS(2586), 1,
      anon_sym_typename,
    ACTIONS(8284), 1,
      sym_identifier,
    ACTIONS(8288), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8290), 1,
      sym_primitive_type,
    STATE(3316), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(3318), 1,
      sym_decltype_auto,
    STATE(3321), 1,
      sym_qualified_type_identifier,
    STATE(6117), 1,
      sym__type_specifier,
    STATE(7858), 1,
      sym__scope_resolution,
    STATE(9719), 1,
      sym_type_descriptor,
    STATE(10317), 1,
      sym_dependent_type_identifier,
    STATE(3247), 2,
      sym_decltype,
      sym_template_type,
    STATE(5191), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2546), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3317), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(63), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [116776] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1486), 1,
      anon_sym_template,
    ACTIONS(2552), 1,
      anon_sym_enum,
    ACTIONS(2554), 1,
      anon_sym_class,
    ACTIONS(2556), 1,
      anon_sym_struct,
    ACTIONS(2558), 1,
      anon_sym_union,
    ACTIONS(2582), 1,
      sym_auto,
    ACTIONS(2584), 1,
      anon_sym_decltype,
    ACTIONS(2586), 1,
      anon_sym_typename,
    ACTIONS(8284), 1,
      sym_identifier,
    ACTIONS(8288), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8290), 1,
      sym_primitive_type,
    STATE(3316), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(3318), 1,
      sym_decltype_auto,
    STATE(3321), 1,
      sym_qualified_type_identifier,
    STATE(6117), 1,
      sym__type_specifier,
    STATE(7858), 1,
      sym__scope_resolution,
    STATE(9756), 1,
      sym_type_descriptor,
    STATE(10317), 1,
      sym_dependent_type_identifier,
    STATE(3247), 2,
      sym_decltype,
      sym_template_type,
    STATE(5191), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2546), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3317), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(63), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [116871] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1486), 1,
      anon_sym_template,
    ACTIONS(2552), 1,
      anon_sym_enum,
    ACTIONS(2554), 1,
      anon_sym_class,
    ACTIONS(2556), 1,
      anon_sym_struct,
    ACTIONS(2558), 1,
      anon_sym_union,
    ACTIONS(2582), 1,
      sym_auto,
    ACTIONS(2584), 1,
      anon_sym_decltype,
    ACTIONS(2586), 1,
      anon_sym_typename,
    ACTIONS(8284), 1,
      sym_identifier,
    ACTIONS(8288), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8290), 1,
      sym_primitive_type,
    STATE(3316), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(3318), 1,
      sym_decltype_auto,
    STATE(3321), 1,
      sym_qualified_type_identifier,
    STATE(6117), 1,
      sym__type_specifier,
    STATE(7858), 1,
      sym__scope_resolution,
    STATE(9782), 1,
      sym_type_descriptor,
    STATE(10317), 1,
      sym_dependent_type_identifier,
    STATE(3247), 2,
      sym_decltype,
      sym_template_type,
    STATE(5191), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2546), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3317), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(63), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [116966] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1486), 1,
      anon_sym_template,
    ACTIONS(2552), 1,
      anon_sym_enum,
    ACTIONS(2554), 1,
      anon_sym_class,
    ACTIONS(2556), 1,
      anon_sym_struct,
    ACTIONS(2558), 1,
      anon_sym_union,
    ACTIONS(2582), 1,
      sym_auto,
    ACTIONS(2584), 1,
      anon_sym_decltype,
    ACTIONS(2586), 1,
      anon_sym_typename,
    ACTIONS(8284), 1,
      sym_identifier,
    ACTIONS(8288), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8290), 1,
      sym_primitive_type,
    STATE(3316), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(3318), 1,
      sym_decltype_auto,
    STATE(3321), 1,
      sym_qualified_type_identifier,
    STATE(6117), 1,
      sym__type_specifier,
    STATE(7858), 1,
      sym__scope_resolution,
    STATE(9867), 1,
      sym_type_descriptor,
    STATE(10317), 1,
      sym_dependent_type_identifier,
    STATE(3247), 2,
      sym_decltype,
      sym_template_type,
    STATE(5191), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2546), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3317), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(63), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [117061] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1486), 1,
      anon_sym_template,
    ACTIONS(2552), 1,
      anon_sym_enum,
    ACTIONS(2554), 1,
      anon_sym_class,
    ACTIONS(2556), 1,
      anon_sym_struct,
    ACTIONS(2558), 1,
      anon_sym_union,
    ACTIONS(2582), 1,
      sym_auto,
    ACTIONS(2584), 1,
      anon_sym_decltype,
    ACTIONS(2586), 1,
      anon_sym_typename,
    ACTIONS(8284), 1,
      sym_identifier,
    ACTIONS(8288), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8290), 1,
      sym_primitive_type,
    STATE(3316), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(3318), 1,
      sym_decltype_auto,
    STATE(3321), 1,
      sym_qualified_type_identifier,
    STATE(6117), 1,
      sym__type_specifier,
    STATE(7858), 1,
      sym__scope_resolution,
    STATE(9903), 1,
      sym_type_descriptor,
    STATE(10317), 1,
      sym_dependent_type_identifier,
    STATE(3247), 2,
      sym_decltype,
      sym_template_type,
    STATE(5191), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2546), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3317), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(63), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [117156] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1486), 1,
      anon_sym_template,
    ACTIONS(2552), 1,
      anon_sym_enum,
    ACTIONS(2554), 1,
      anon_sym_class,
    ACTIONS(2556), 1,
      anon_sym_struct,
    ACTIONS(2558), 1,
      anon_sym_union,
    ACTIONS(2582), 1,
      sym_auto,
    ACTIONS(2584), 1,
      anon_sym_decltype,
    ACTIONS(2586), 1,
      anon_sym_typename,
    ACTIONS(8284), 1,
      sym_identifier,
    ACTIONS(8288), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8290), 1,
      sym_primitive_type,
    STATE(3316), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(3318), 1,
      sym_decltype_auto,
    STATE(3321), 1,
      sym_qualified_type_identifier,
    STATE(6117), 1,
      sym__type_specifier,
    STATE(7858), 1,
      sym__scope_resolution,
    STATE(9969), 1,
      sym_type_descriptor,
    STATE(10317), 1,
      sym_dependent_type_identifier,
    STATE(3247), 2,
      sym_decltype,
      sym_template_type,
    STATE(5191), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2546), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3317), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(63), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [117251] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1486), 1,
      anon_sym_template,
    ACTIONS(2552), 1,
      anon_sym_enum,
    ACTIONS(2554), 1,
      anon_sym_class,
    ACTIONS(2556), 1,
      anon_sym_struct,
    ACTIONS(2558), 1,
      anon_sym_union,
    ACTIONS(2582), 1,
      sym_auto,
    ACTIONS(2584), 1,
      anon_sym_decltype,
    ACTIONS(2586), 1,
      anon_sym_typename,
    ACTIONS(8284), 1,
      sym_identifier,
    ACTIONS(8288), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8290), 1,
      sym_primitive_type,
    STATE(3316), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(3318), 1,
      sym_decltype_auto,
    STATE(3321), 1,
      sym_qualified_type_identifier,
    STATE(6117), 1,
      sym__type_specifier,
    STATE(7858), 1,
      sym__scope_resolution,
    STATE(9948), 1,
      sym_type_descriptor,
    STATE(10317), 1,
      sym_dependent_type_identifier,
    STATE(3247), 2,
      sym_decltype,
      sym_template_type,
    STATE(5191), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2546), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3317), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(63), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [117346] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8151), 1,
      anon_sym___attribute__,
    ACTIONS(8249), 1,
      anon_sym_LBRACE,
    STATE(5223), 1,
      sym_enumerator_list,
    STATE(5291), 1,
      sym_attribute_specifier,
    ACTIONS(6077), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(6079), 23,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [117407] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1486), 1,
      anon_sym_template,
    ACTIONS(2552), 1,
      anon_sym_enum,
    ACTIONS(2554), 1,
      anon_sym_class,
    ACTIONS(2556), 1,
      anon_sym_struct,
    ACTIONS(2558), 1,
      anon_sym_union,
    ACTIONS(2582), 1,
      sym_auto,
    ACTIONS(2584), 1,
      anon_sym_decltype,
    ACTIONS(2586), 1,
      anon_sym_typename,
    ACTIONS(8284), 1,
      sym_identifier,
    ACTIONS(8288), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8290), 1,
      sym_primitive_type,
    STATE(3316), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(3318), 1,
      sym_decltype_auto,
    STATE(3321), 1,
      sym_qualified_type_identifier,
    STATE(6117), 1,
      sym__type_specifier,
    STATE(7858), 1,
      sym__scope_resolution,
    STATE(10013), 1,
      sym_type_descriptor,
    STATE(10317), 1,
      sym_dependent_type_identifier,
    STATE(3247), 2,
      sym_decltype,
      sym_template_type,
    STATE(5191), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2546), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3317), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(63), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [117502] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1486), 1,
      anon_sym_template,
    ACTIONS(4269), 1,
      anon_sym_enum,
    ACTIONS(4271), 1,
      anon_sym_class,
    ACTIONS(4273), 1,
      anon_sym_struct,
    ACTIONS(4275), 1,
      anon_sym_union,
    ACTIONS(4299), 1,
      sym_auto,
    ACTIONS(4301), 1,
      anon_sym_decltype,
    ACTIONS(4303), 1,
      anon_sym_typename,
    ACTIONS(8414), 1,
      sym_identifier,
    ACTIONS(8416), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8418), 1,
      sym_primitive_type,
    STATE(3494), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(3979), 1,
      sym_qualified_type_identifier,
    STATE(4013), 1,
      sym_decltype_auto,
    STATE(5993), 1,
      sym__type_specifier,
    STATE(7446), 1,
      sym_type_descriptor,
    STATE(7845), 1,
      sym__scope_resolution,
    STATE(10317), 1,
      sym_dependent_type_identifier,
    STATE(3955), 2,
      sym_decltype,
      sym_template_type,
    STATE(5204), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(4265), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(4043), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(63), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [117597] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1486), 1,
      anon_sym_template,
    ACTIONS(2552), 1,
      anon_sym_enum,
    ACTIONS(2554), 1,
      anon_sym_class,
    ACTIONS(2556), 1,
      anon_sym_struct,
    ACTIONS(2558), 1,
      anon_sym_union,
    ACTIONS(2582), 1,
      sym_auto,
    ACTIONS(2584), 1,
      anon_sym_decltype,
    ACTIONS(2586), 1,
      anon_sym_typename,
    ACTIONS(8284), 1,
      sym_identifier,
    ACTIONS(8288), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8290), 1,
      sym_primitive_type,
    STATE(3316), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(3318), 1,
      sym_decltype_auto,
    STATE(3321), 1,
      sym_qualified_type_identifier,
    STATE(5923), 1,
      sym__type_specifier,
    STATE(7446), 1,
      sym_type_descriptor,
    STATE(7858), 1,
      sym__scope_resolution,
    STATE(10317), 1,
      sym_dependent_type_identifier,
    STATE(3247), 2,
      sym_decltype,
      sym_template_type,
    STATE(5180), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2546), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3317), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(63), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [117692] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(63), 1,
      anon_sym_const,
    ACTIONS(7970), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7972), 1,
      anon_sym_AMP,
    ACTIONS(7981), 1,
      anon_sym_LBRACK,
    ACTIONS(7989), 1,
      anon_sym_noexcept,
    ACTIONS(7991), 1,
      anon_sym_throw,
    ACTIONS(8209), 1,
      anon_sym___attribute__,
    ACTIONS(8354), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8357), 1,
      anon_sym_DASH_GT,
    ACTIONS(8420), 1,
      anon_sym_requires,
    STATE(6342), 1,
      sym__function_attributes_start,
    STATE(6614), 1,
      sym_ref_qualifier,
    STATE(7514), 1,
      sym__function_attributes_end,
    STATE(7687), 1,
      sym_trailing_return_type,
    STATE(8050), 1,
      sym_gnu_asm_expression,
    ACTIONS(6859), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(7968), 2,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
    ACTIONS(7985), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(5407), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6017), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(7102), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7174), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(7250), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(6760), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(8207), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [117791] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1486), 1,
      anon_sym_template,
    ACTIONS(2552), 1,
      anon_sym_enum,
    ACTIONS(2554), 1,
      anon_sym_class,
    ACTIONS(2556), 1,
      anon_sym_struct,
    ACTIONS(2558), 1,
      anon_sym_union,
    ACTIONS(2582), 1,
      sym_auto,
    ACTIONS(2584), 1,
      anon_sym_decltype,
    ACTIONS(2586), 1,
      anon_sym_typename,
    ACTIONS(8284), 1,
      sym_identifier,
    ACTIONS(8288), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8290), 1,
      sym_primitive_type,
    STATE(3316), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(3318), 1,
      sym_decltype_auto,
    STATE(3321), 1,
      sym_qualified_type_identifier,
    STATE(6117), 1,
      sym__type_specifier,
    STATE(7858), 1,
      sym__scope_resolution,
    STATE(10143), 1,
      sym_type_descriptor,
    STATE(10317), 1,
      sym_dependent_type_identifier,
    STATE(3247), 2,
      sym_decltype,
      sym_template_type,
    STATE(5191), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2546), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3317), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(63), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [117886] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1486), 1,
      anon_sym_template,
    ACTIONS(2552), 1,
      anon_sym_enum,
    ACTIONS(2554), 1,
      anon_sym_class,
    ACTIONS(2556), 1,
      anon_sym_struct,
    ACTIONS(2558), 1,
      anon_sym_union,
    ACTIONS(2582), 1,
      sym_auto,
    ACTIONS(2584), 1,
      anon_sym_decltype,
    ACTIONS(2586), 1,
      anon_sym_typename,
    ACTIONS(8284), 1,
      sym_identifier,
    ACTIONS(8288), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8290), 1,
      sym_primitive_type,
    STATE(3316), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(3318), 1,
      sym_decltype_auto,
    STATE(3321), 1,
      sym_qualified_type_identifier,
    STATE(6117), 1,
      sym__type_specifier,
    STATE(7858), 1,
      sym__scope_resolution,
    STATE(10074), 1,
      sym_type_descriptor,
    STATE(10317), 1,
      sym_dependent_type_identifier,
    STATE(3247), 2,
      sym_decltype,
      sym_template_type,
    STATE(5191), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2546), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3317), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(63), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [117981] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1486), 1,
      anon_sym_template,
    ACTIONS(2552), 1,
      anon_sym_enum,
    ACTIONS(2554), 1,
      anon_sym_class,
    ACTIONS(2556), 1,
      anon_sym_struct,
    ACTIONS(2558), 1,
      anon_sym_union,
    ACTIONS(2582), 1,
      sym_auto,
    ACTIONS(2584), 1,
      anon_sym_decltype,
    ACTIONS(2586), 1,
      anon_sym_typename,
    ACTIONS(8284), 1,
      sym_identifier,
    ACTIONS(8288), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8290), 1,
      sym_primitive_type,
    STATE(3316), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(3318), 1,
      sym_decltype_auto,
    STATE(3321), 1,
      sym_qualified_type_identifier,
    STATE(6273), 1,
      sym__type_specifier,
    STATE(7858), 1,
      sym__scope_resolution,
    STATE(10148), 1,
      sym_type_descriptor,
    STATE(10317), 1,
      sym_dependent_type_identifier,
    STATE(3247), 2,
      sym_decltype,
      sym_template_type,
    STATE(5194), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2546), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3317), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(63), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [118076] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1486), 1,
      anon_sym_template,
    ACTIONS(2582), 1,
      sym_auto,
    ACTIONS(2584), 1,
      anon_sym_decltype,
    ACTIONS(8288), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8306), 1,
      sym_identifier,
    ACTIONS(8310), 1,
      sym_primitive_type,
    ACTIONS(8312), 1,
      anon_sym_enum,
    ACTIONS(8314), 1,
      anon_sym_class,
    ACTIONS(8316), 1,
      anon_sym_struct,
    ACTIONS(8318), 1,
      anon_sym_union,
    ACTIONS(8320), 1,
      anon_sym_typename,
    STATE(3318), 1,
      sym_decltype_auto,
    STATE(3321), 1,
      sym_qualified_type_identifier,
    STATE(6633), 1,
      sym__type_specifier,
    STATE(6644), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(7121), 1,
      sym__type_definition_type,
    STATE(7858), 1,
      sym__scope_resolution,
    STATE(10317), 1,
      sym_dependent_type_identifier,
    STATE(3247), 2,
      sym_decltype,
      sym_template_type,
    STATE(5206), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(8308), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3317), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(63), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [118171] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1486), 1,
      anon_sym_template,
    ACTIONS(2552), 1,
      anon_sym_enum,
    ACTIONS(2554), 1,
      anon_sym_class,
    ACTIONS(2556), 1,
      anon_sym_struct,
    ACTIONS(2558), 1,
      anon_sym_union,
    ACTIONS(2582), 1,
      sym_auto,
    ACTIONS(2584), 1,
      anon_sym_decltype,
    ACTIONS(2586), 1,
      anon_sym_typename,
    ACTIONS(8284), 1,
      sym_identifier,
    ACTIONS(8288), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8290), 1,
      sym_primitive_type,
    STATE(3316), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(3318), 1,
      sym_decltype_auto,
    STATE(3321), 1,
      sym_qualified_type_identifier,
    STATE(6117), 1,
      sym__type_specifier,
    STATE(7858), 1,
      sym__scope_resolution,
    STATE(10163), 1,
      sym_type_descriptor,
    STATE(10317), 1,
      sym_dependent_type_identifier,
    STATE(3247), 2,
      sym_decltype,
      sym_template_type,
    STATE(5191), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2546), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3317), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(63), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [118266] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1486), 1,
      anon_sym_template,
    ACTIONS(2588), 1,
      anon_sym_operator,
    ACTIONS(2877), 1,
      anon_sym_TILDE,
    ACTIONS(3148), 1,
      anon_sym_decltype,
    ACTIONS(4395), 1,
      anon_sym_LPAREN2,
    ACTIONS(6738), 1,
      sym_identifier,
    ACTIONS(6750), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6752), 1,
      anon_sym_LBRACK,
    ACTIONS(6867), 1,
      anon_sym_STAR,
    ACTIONS(8422), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8426), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8428), 1,
      anon_sym_AMP,
    ACTIONS(8430), 1,
      anon_sym_COLON,
    ACTIONS(8432), 1,
      anon_sym_EQ,
    STATE(5014), 1,
      sym_parameter_list,
    STATE(7058), 1,
      sym__scope_resolution,
    STATE(7422), 1,
      sym__function_declarator_seq,
    STATE(7604), 1,
      sym__declarator,
    STATE(7937), 1,
      sym__abstract_declarator,
    STATE(8077), 1,
      sym_abstract_reference_declarator,
    STATE(8532), 1,
      sym_variadic_declarator,
    STATE(8534), 1,
      sym_variadic_reference_declarator,
    STATE(8535), 1,
      sym_semantics,
    STATE(9827), 1,
      sym_ms_based_modifier,
    ACTIONS(8424), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    STATE(10317), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(7436), 4,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
    STATE(7680), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [118373] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1486), 1,
      anon_sym_template,
    ACTIONS(2552), 1,
      anon_sym_enum,
    ACTIONS(2554), 1,
      anon_sym_class,
    ACTIONS(2556), 1,
      anon_sym_struct,
    ACTIONS(2558), 1,
      anon_sym_union,
    ACTIONS(2582), 1,
      sym_auto,
    ACTIONS(2584), 1,
      anon_sym_decltype,
    ACTIONS(2586), 1,
      anon_sym_typename,
    ACTIONS(8284), 1,
      sym_identifier,
    ACTIONS(8288), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8290), 1,
      sym_primitive_type,
    STATE(3316), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(3318), 1,
      sym_decltype_auto,
    STATE(3321), 1,
      sym_qualified_type_identifier,
    STATE(6117), 1,
      sym__type_specifier,
    STATE(7858), 1,
      sym__scope_resolution,
    STATE(10100), 1,
      sym_type_descriptor,
    STATE(10317), 1,
      sym_dependent_type_identifier,
    STATE(3247), 2,
      sym_decltype,
      sym_template_type,
    STATE(5191), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2546), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3317), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(63), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [118468] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1486), 1,
      anon_sym_template,
    ACTIONS(8332), 1,
      sym_identifier,
    ACTIONS(8334), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8338), 1,
      sym_primitive_type,
    ACTIONS(8340), 1,
      anon_sym_enum,
    ACTIONS(8342), 1,
      anon_sym_class,
    ACTIONS(8344), 1,
      anon_sym_struct,
    ACTIONS(8346), 1,
      anon_sym_union,
    ACTIONS(8348), 1,
      sym_auto,
    ACTIONS(8350), 1,
      anon_sym_decltype,
    ACTIONS(8352), 1,
      anon_sym_typename,
    STATE(5312), 1,
      sym__type_specifier,
    STATE(5493), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(6156), 1,
      sym_decltype_auto,
    STATE(6241), 1,
      sym_qualified_type_identifier,
    STATE(7351), 1,
      sym_type_descriptor,
    STATE(7862), 1,
      sym__scope_resolution,
    STATE(10317), 1,
      sym_dependent_type_identifier,
    STATE(3050), 2,
      sym_decltype,
      sym_template_type,
    STATE(5205), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(8336), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(6209), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(63), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [118563] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1486), 1,
      anon_sym_template,
    ACTIONS(2552), 1,
      anon_sym_enum,
    ACTIONS(2554), 1,
      anon_sym_class,
    ACTIONS(2556), 1,
      anon_sym_struct,
    ACTIONS(2558), 1,
      anon_sym_union,
    ACTIONS(2582), 1,
      sym_auto,
    ACTIONS(2584), 1,
      anon_sym_decltype,
    ACTIONS(2586), 1,
      anon_sym_typename,
    ACTIONS(8284), 1,
      sym_identifier,
    ACTIONS(8288), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8290), 1,
      sym_primitive_type,
    STATE(3316), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(3318), 1,
      sym_decltype_auto,
    STATE(3321), 1,
      sym_qualified_type_identifier,
    STATE(6273), 1,
      sym__type_specifier,
    STATE(7858), 1,
      sym__scope_resolution,
    STATE(10168), 1,
      sym_type_descriptor,
    STATE(10317), 1,
      sym_dependent_type_identifier,
    STATE(3247), 2,
      sym_decltype,
      sym_template_type,
    STATE(5194), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2546), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3317), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(63), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [118658] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8203), 1,
      sym_auto,
    ACTIONS(8205), 1,
      anon_sym_decltype,
    STATE(5222), 1,
      sym_decltype_auto,
    ACTIONS(6021), 17,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6023), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [118717] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1486), 1,
      anon_sym_template,
    ACTIONS(2552), 1,
      anon_sym_enum,
    ACTIONS(2554), 1,
      anon_sym_class,
    ACTIONS(2556), 1,
      anon_sym_struct,
    ACTIONS(2558), 1,
      anon_sym_union,
    ACTIONS(2582), 1,
      sym_auto,
    ACTIONS(2584), 1,
      anon_sym_decltype,
    ACTIONS(2586), 1,
      anon_sym_typename,
    ACTIONS(8284), 1,
      sym_identifier,
    ACTIONS(8288), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8290), 1,
      sym_primitive_type,
    STATE(3316), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(3318), 1,
      sym_decltype_auto,
    STATE(3321), 1,
      sym_qualified_type_identifier,
    STATE(6117), 1,
      sym__type_specifier,
    STATE(7858), 1,
      sym__scope_resolution,
    STATE(10317), 1,
      sym_dependent_type_identifier,
    STATE(10320), 1,
      sym_type_descriptor,
    STATE(3247), 2,
      sym_decltype,
      sym_template_type,
    STATE(5191), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2546), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3317), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(63), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [118812] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1486), 1,
      anon_sym_template,
    ACTIONS(4269), 1,
      anon_sym_enum,
    ACTIONS(4271), 1,
      anon_sym_class,
    ACTIONS(4273), 1,
      anon_sym_struct,
    ACTIONS(4275), 1,
      anon_sym_union,
    ACTIONS(4299), 1,
      sym_auto,
    ACTIONS(4301), 1,
      anon_sym_decltype,
    ACTIONS(4303), 1,
      anon_sym_typename,
    ACTIONS(8414), 1,
      sym_identifier,
    ACTIONS(8416), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8418), 1,
      sym_primitive_type,
    STATE(3494), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(3979), 1,
      sym_qualified_type_identifier,
    STATE(4013), 1,
      sym_decltype_auto,
    STATE(6044), 1,
      sym__type_specifier,
    STATE(7446), 1,
      sym_type_descriptor,
    STATE(7845), 1,
      sym__scope_resolution,
    STATE(10317), 1,
      sym_dependent_type_identifier,
    STATE(3955), 2,
      sym_decltype,
      sym_template_type,
    STATE(5195), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(4265), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(4043), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(63), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [118907] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1486), 1,
      anon_sym_template,
    ACTIONS(2552), 1,
      anon_sym_enum,
    ACTIONS(2554), 1,
      anon_sym_class,
    ACTIONS(2556), 1,
      anon_sym_struct,
    ACTIONS(2558), 1,
      anon_sym_union,
    ACTIONS(2582), 1,
      sym_auto,
    ACTIONS(2584), 1,
      anon_sym_decltype,
    ACTIONS(2586), 1,
      anon_sym_typename,
    ACTIONS(8284), 1,
      sym_identifier,
    ACTIONS(8288), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8290), 1,
      sym_primitive_type,
    STATE(3316), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(3318), 1,
      sym_decltype_auto,
    STATE(3321), 1,
      sym_qualified_type_identifier,
    STATE(6117), 1,
      sym__type_specifier,
    STATE(7858), 1,
      sym__scope_resolution,
    STATE(10182), 1,
      sym_type_descriptor,
    STATE(10317), 1,
      sym_dependent_type_identifier,
    STATE(3247), 2,
      sym_decltype,
      sym_template_type,
    STATE(5191), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2546), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3317), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(63), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [119002] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1486), 1,
      anon_sym_template,
    ACTIONS(2552), 1,
      anon_sym_enum,
    ACTIONS(2554), 1,
      anon_sym_class,
    ACTIONS(2556), 1,
      anon_sym_struct,
    ACTIONS(2558), 1,
      anon_sym_union,
    ACTIONS(2582), 1,
      sym_auto,
    ACTIONS(2584), 1,
      anon_sym_decltype,
    ACTIONS(2586), 1,
      anon_sym_typename,
    ACTIONS(8284), 1,
      sym_identifier,
    ACTIONS(8288), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8290), 1,
      sym_primitive_type,
    STATE(3316), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(3318), 1,
      sym_decltype_auto,
    STATE(3321), 1,
      sym_qualified_type_identifier,
    STATE(6273), 1,
      sym__type_specifier,
    STATE(7858), 1,
      sym__scope_resolution,
    STATE(10187), 1,
      sym_type_descriptor,
    STATE(10317), 1,
      sym_dependent_type_identifier,
    STATE(3247), 2,
      sym_decltype,
      sym_template_type,
    STATE(5194), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2546), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3317), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(63), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [119097] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1486), 1,
      anon_sym_template,
    ACTIONS(2552), 1,
      anon_sym_enum,
    ACTIONS(2554), 1,
      anon_sym_class,
    ACTIONS(2556), 1,
      anon_sym_struct,
    ACTIONS(2558), 1,
      anon_sym_union,
    ACTIONS(2582), 1,
      sym_auto,
    ACTIONS(2584), 1,
      anon_sym_decltype,
    ACTIONS(2586), 1,
      anon_sym_typename,
    ACTIONS(8284), 1,
      sym_identifier,
    ACTIONS(8288), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8290), 1,
      sym_primitive_type,
    STATE(3316), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(3318), 1,
      sym_decltype_auto,
    STATE(3321), 1,
      sym_qualified_type_identifier,
    STATE(6117), 1,
      sym__type_specifier,
    STATE(7858), 1,
      sym__scope_resolution,
    STATE(10317), 1,
      sym_dependent_type_identifier,
    STATE(10425), 1,
      sym_type_descriptor,
    STATE(3247), 2,
      sym_decltype,
      sym_template_type,
    STATE(5191), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2546), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3317), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(63), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [119192] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1486), 1,
      anon_sym_template,
    ACTIONS(2552), 1,
      anon_sym_enum,
    ACTIONS(2554), 1,
      anon_sym_class,
    ACTIONS(2556), 1,
      anon_sym_struct,
    ACTIONS(2558), 1,
      anon_sym_union,
    ACTIONS(2582), 1,
      sym_auto,
    ACTIONS(2584), 1,
      anon_sym_decltype,
    ACTIONS(2586), 1,
      anon_sym_typename,
    ACTIONS(8284), 1,
      sym_identifier,
    ACTIONS(8288), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8290), 1,
      sym_primitive_type,
    STATE(3316), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(3318), 1,
      sym_decltype_auto,
    STATE(3321), 1,
      sym_qualified_type_identifier,
    STATE(6117), 1,
      sym__type_specifier,
    STATE(7858), 1,
      sym__scope_resolution,
    STATE(9509), 1,
      sym_type_descriptor,
    STATE(10317), 1,
      sym_dependent_type_identifier,
    STATE(3247), 2,
      sym_decltype,
      sym_template_type,
    STATE(5191), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2546), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3317), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(63), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [119287] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1486), 1,
      anon_sym_template,
    ACTIONS(2552), 1,
      anon_sym_enum,
    ACTIONS(2554), 1,
      anon_sym_class,
    ACTIONS(2556), 1,
      anon_sym_struct,
    ACTIONS(2558), 1,
      anon_sym_union,
    ACTIONS(2582), 1,
      sym_auto,
    ACTIONS(2584), 1,
      anon_sym_decltype,
    ACTIONS(2586), 1,
      anon_sym_typename,
    ACTIONS(8284), 1,
      sym_identifier,
    ACTIONS(8288), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8290), 1,
      sym_primitive_type,
    STATE(3316), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(3318), 1,
      sym_decltype_auto,
    STATE(3321), 1,
      sym_qualified_type_identifier,
    STATE(6117), 1,
      sym__type_specifier,
    STATE(7858), 1,
      sym__scope_resolution,
    STATE(10279), 1,
      sym_type_descriptor,
    STATE(10317), 1,
      sym_dependent_type_identifier,
    STATE(3247), 2,
      sym_decltype,
      sym_template_type,
    STATE(5191), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2546), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3317), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(63), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [119382] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1486), 1,
      anon_sym_template,
    ACTIONS(2552), 1,
      anon_sym_enum,
    ACTIONS(2554), 1,
      anon_sym_class,
    ACTIONS(2556), 1,
      anon_sym_struct,
    ACTIONS(2558), 1,
      anon_sym_union,
    ACTIONS(2582), 1,
      sym_auto,
    ACTIONS(2584), 1,
      anon_sym_decltype,
    ACTIONS(2586), 1,
      anon_sym_typename,
    ACTIONS(8284), 1,
      sym_identifier,
    ACTIONS(8288), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8290), 1,
      sym_primitive_type,
    STATE(3316), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(3318), 1,
      sym_decltype_auto,
    STATE(3321), 1,
      sym_qualified_type_identifier,
    STATE(6117), 1,
      sym__type_specifier,
    STATE(7858), 1,
      sym__scope_resolution,
    STATE(10269), 1,
      sym_type_descriptor,
    STATE(10317), 1,
      sym_dependent_type_identifier,
    STATE(3247), 2,
      sym_decltype,
      sym_template_type,
    STATE(5191), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2546), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3317), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(63), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [119477] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1486), 1,
      anon_sym_template,
    ACTIONS(2582), 1,
      sym_auto,
    ACTIONS(2584), 1,
      anon_sym_decltype,
    ACTIONS(8288), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8306), 1,
      sym_identifier,
    ACTIONS(8310), 1,
      sym_primitive_type,
    ACTIONS(8312), 1,
      anon_sym_enum,
    ACTIONS(8314), 1,
      anon_sym_class,
    ACTIONS(8316), 1,
      anon_sym_struct,
    ACTIONS(8318), 1,
      anon_sym_union,
    ACTIONS(8320), 1,
      anon_sym_typename,
    STATE(3318), 1,
      sym_decltype_auto,
    STATE(3321), 1,
      sym_qualified_type_identifier,
    STATE(6633), 1,
      sym__type_specifier,
    STATE(6644), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(7094), 1,
      sym__type_definition_type,
    STATE(7858), 1,
      sym__scope_resolution,
    STATE(10317), 1,
      sym_dependent_type_identifier,
    STATE(3247), 2,
      sym_decltype,
      sym_template_type,
    STATE(5206), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(8308), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3317), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(63), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [119572] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1486), 1,
      anon_sym_template,
    ACTIONS(2552), 1,
      anon_sym_enum,
    ACTIONS(2554), 1,
      anon_sym_class,
    ACTIONS(2556), 1,
      anon_sym_struct,
    ACTIONS(2558), 1,
      anon_sym_union,
    ACTIONS(2582), 1,
      sym_auto,
    ACTIONS(2584), 1,
      anon_sym_decltype,
    ACTIONS(2586), 1,
      anon_sym_typename,
    ACTIONS(8284), 1,
      sym_identifier,
    ACTIONS(8288), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8290), 1,
      sym_primitive_type,
    STATE(3316), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(3318), 1,
      sym_decltype_auto,
    STATE(3321), 1,
      sym_qualified_type_identifier,
    STATE(6117), 1,
      sym__type_specifier,
    STATE(7858), 1,
      sym__scope_resolution,
    STATE(10138), 1,
      sym_type_descriptor,
    STATE(10317), 1,
      sym_dependent_type_identifier,
    STATE(3247), 2,
      sym_decltype,
      sym_template_type,
    STATE(5191), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2546), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3317), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(63), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [119667] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1486), 1,
      anon_sym_template,
    ACTIONS(2552), 1,
      anon_sym_enum,
    ACTIONS(2554), 1,
      anon_sym_class,
    ACTIONS(2556), 1,
      anon_sym_struct,
    ACTIONS(2558), 1,
      anon_sym_union,
    ACTIONS(2582), 1,
      sym_auto,
    ACTIONS(2584), 1,
      anon_sym_decltype,
    ACTIONS(2586), 1,
      anon_sym_typename,
    ACTIONS(8284), 1,
      sym_identifier,
    ACTIONS(8288), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8290), 1,
      sym_primitive_type,
    STATE(3316), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(3318), 1,
      sym_decltype_auto,
    STATE(3321), 1,
      sym_qualified_type_identifier,
    STATE(5999), 1,
      sym__type_specifier,
    STATE(7446), 1,
      sym_type_descriptor,
    STATE(7858), 1,
      sym__scope_resolution,
    STATE(10317), 1,
      sym_dependent_type_identifier,
    STATE(3247), 2,
      sym_decltype,
      sym_template_type,
    STATE(5178), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2546), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3317), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(63), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [119762] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1486), 1,
      anon_sym_template,
    ACTIONS(2552), 1,
      anon_sym_enum,
    ACTIONS(2554), 1,
      anon_sym_class,
    ACTIONS(2556), 1,
      anon_sym_struct,
    ACTIONS(2558), 1,
      anon_sym_union,
    ACTIONS(2582), 1,
      sym_auto,
    ACTIONS(2584), 1,
      anon_sym_decltype,
    ACTIONS(2586), 1,
      anon_sym_typename,
    ACTIONS(8284), 1,
      sym_identifier,
    ACTIONS(8288), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8290), 1,
      sym_primitive_type,
    STATE(3316), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(3318), 1,
      sym_decltype_auto,
    STATE(3321), 1,
      sym_qualified_type_identifier,
    STATE(6117), 1,
      sym__type_specifier,
    STATE(7858), 1,
      sym__scope_resolution,
    STATE(10134), 1,
      sym_type_descriptor,
    STATE(10317), 1,
      sym_dependent_type_identifier,
    STATE(3247), 2,
      sym_decltype,
      sym_template_type,
    STATE(5191), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2546), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3317), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(63), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [119857] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6053), 20,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(6055), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [119910] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2230), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8434), 1,
      anon_sym_LT,
    STATE(3822), 1,
      sym_template_argument_list,
    ACTIONS(2232), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_GT,
      anon_sym_COLON,
      anon_sym_DOT,
    ACTIONS(2234), 31,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
  [119969] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1486), 1,
      anon_sym_template,
    ACTIONS(2588), 1,
      anon_sym_operator,
    ACTIONS(2877), 1,
      anon_sym_TILDE,
    ACTIONS(3148), 1,
      anon_sym_decltype,
    ACTIONS(4395), 1,
      anon_sym_LPAREN2,
    ACTIONS(6738), 1,
      sym_identifier,
    ACTIONS(6750), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6752), 1,
      anon_sym_LBRACK,
    ACTIONS(6898), 1,
      anon_sym_STAR,
    ACTIONS(8422), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8426), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8428), 1,
      anon_sym_AMP,
    ACTIONS(8430), 1,
      anon_sym_COLON,
    ACTIONS(8437), 1,
      anon_sym_EQ,
    STATE(4987), 1,
      sym_parameter_list,
    STATE(7058), 1,
      sym__scope_resolution,
    STATE(7422), 1,
      sym__function_declarator_seq,
    STATE(7600), 1,
      sym__declarator,
    STATE(7948), 1,
      sym__abstract_declarator,
    STATE(8048), 1,
      sym_abstract_reference_declarator,
    STATE(8532), 1,
      sym_variadic_declarator,
    STATE(8534), 1,
      sym_variadic_reference_declarator,
    STATE(8535), 1,
      sym_semantics,
    STATE(9827), 1,
      sym_ms_based_modifier,
    ACTIONS(8424), 2,
      anon_sym_COMMA,
      anon_sym_GT2,
    STATE(10317), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(7436), 4,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
    STATE(7680), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [120076] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1486), 1,
      anon_sym_template,
    ACTIONS(2552), 1,
      anon_sym_enum,
    ACTIONS(2554), 1,
      anon_sym_class,
    ACTIONS(2556), 1,
      anon_sym_struct,
    ACTIONS(2558), 1,
      anon_sym_union,
    ACTIONS(2582), 1,
      sym_auto,
    ACTIONS(2584), 1,
      anon_sym_decltype,
    ACTIONS(2586), 1,
      anon_sym_typename,
    ACTIONS(8284), 1,
      sym_identifier,
    ACTIONS(8288), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8290), 1,
      sym_primitive_type,
    STATE(3316), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(3318), 1,
      sym_decltype_auto,
    STATE(3321), 1,
      sym_qualified_type_identifier,
    STATE(6273), 1,
      sym__type_specifier,
    STATE(7858), 1,
      sym__scope_resolution,
    STATE(10192), 1,
      sym_type_descriptor,
    STATE(10317), 1,
      sym_dependent_type_identifier,
    STATE(3247), 2,
      sym_decltype,
      sym_template_type,
    STATE(5194), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2546), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3317), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(63), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [120171] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8151), 1,
      anon_sym___attribute__,
    ACTIONS(8249), 1,
      anon_sym_LBRACE,
    STATE(5220), 1,
      sym_enumerator_list,
    STATE(5321), 1,
      sym_attribute_specifier,
    ACTIONS(6155), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(6157), 23,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [120232] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1486), 1,
      anon_sym_template,
    ACTIONS(2582), 1,
      sym_auto,
    ACTIONS(2584), 1,
      anon_sym_decltype,
    ACTIONS(8288), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8306), 1,
      sym_identifier,
    ACTIONS(8310), 1,
      sym_primitive_type,
    ACTIONS(8312), 1,
      anon_sym_enum,
    ACTIONS(8314), 1,
      anon_sym_class,
    ACTIONS(8316), 1,
      anon_sym_struct,
    ACTIONS(8318), 1,
      anon_sym_union,
    ACTIONS(8320), 1,
      anon_sym_typename,
    STATE(3318), 1,
      sym_decltype_auto,
    STATE(3321), 1,
      sym_qualified_type_identifier,
    STATE(6633), 1,
      sym__type_specifier,
    STATE(6644), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(7181), 1,
      sym__type_definition_type,
    STATE(7858), 1,
      sym__scope_resolution,
    STATE(10317), 1,
      sym_dependent_type_identifier,
    STATE(3247), 2,
      sym_decltype,
      sym_template_type,
    STATE(5206), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(8308), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3317), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(63), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [120327] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6143), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(6145), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [120379] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4413), 1,
      anon_sym_LBRACE,
    ACTIONS(8197), 1,
      anon_sym_LBRACK,
    ACTIONS(8201), 1,
      anon_sym_LPAREN2,
    ACTIONS(8300), 1,
      sym_auto,
    ACTIONS(8302), 1,
      anon_sym_decltype,
    STATE(3329), 1,
      sym_decltype_auto,
    STATE(5058), 1,
      sym_new_declarator,
    STATE(5031), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(6452), 9,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(6454), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [120447] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6029), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(6031), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [120499] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1486), 1,
      anon_sym_template,
    ACTIONS(8362), 1,
      sym_identifier,
    ACTIONS(8364), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8368), 1,
      sym_primitive_type,
    ACTIONS(8370), 1,
      anon_sym_enum,
    ACTIONS(8372), 1,
      anon_sym_class,
    ACTIONS(8374), 1,
      anon_sym_struct,
    ACTIONS(8376), 1,
      anon_sym_union,
    ACTIONS(8378), 1,
      sym_auto,
    ACTIONS(8380), 1,
      anon_sym_decltype,
    ACTIONS(8382), 1,
      anon_sym_typename,
    STATE(5675), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(5864), 1,
      sym__type_specifier,
    STATE(6351), 1,
      sym_decltype_auto,
    STATE(6356), 1,
      sym_qualified_type_identifier,
    STATE(7852), 1,
      sym__scope_resolution,
    STATE(10317), 1,
      sym_dependent_type_identifier,
    STATE(6219), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(6277), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(8366), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(6353), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(63), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [120591] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8151), 1,
      anon_sym___attribute__,
    STATE(5330), 1,
      sym_attribute_specifier,
    ACTIONS(6212), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(6214), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [120647] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6115), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(6117), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [120699] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6025), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(6027), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [120751] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8151), 1,
      anon_sym___attribute__,
    STATE(5324), 1,
      sym_attribute_specifier,
    ACTIONS(6231), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(6233), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [120807] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6123), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(6125), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [120859] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6115), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(6117), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [120911] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6069), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(6071), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [120963] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6073), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(6075), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [121015] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8151), 1,
      anon_sym___attribute__,
    STATE(5285), 1,
      sym_attribute_specifier,
    ACTIONS(6235), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(6237), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [121071] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8151), 1,
      anon_sym___attribute__,
    STATE(5309), 1,
      sym_attribute_specifier,
    ACTIONS(6216), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(6218), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [121127] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1486), 1,
      anon_sym_template,
    ACTIONS(2552), 1,
      anon_sym_enum,
    ACTIONS(2554), 1,
      anon_sym_class,
    ACTIONS(2556), 1,
      anon_sym_struct,
    ACTIONS(2558), 1,
      anon_sym_union,
    ACTIONS(2582), 1,
      sym_auto,
    ACTIONS(2584), 1,
      anon_sym_decltype,
    ACTIONS(2586), 1,
      anon_sym_typename,
    ACTIONS(8284), 1,
      sym_identifier,
    ACTIONS(8288), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8290), 1,
      sym_primitive_type,
    STATE(3316), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(3318), 1,
      sym_decltype_auto,
    STATE(3321), 1,
      sym_qualified_type_identifier,
    STATE(6027), 1,
      sym__type_specifier,
    STATE(7858), 1,
      sym__scope_resolution,
    STATE(10317), 1,
      sym_dependent_type_identifier,
    STATE(3247), 2,
      sym_decltype,
      sym_template_type,
    STATE(6219), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2546), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3317), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(63), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [121219] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6151), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(6153), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [121271] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1486), 1,
      anon_sym_template,
    ACTIONS(2552), 1,
      anon_sym_enum,
    ACTIONS(2554), 1,
      anon_sym_class,
    ACTIONS(2556), 1,
      anon_sym_struct,
    ACTIONS(2558), 1,
      anon_sym_union,
    ACTIONS(2582), 1,
      sym_auto,
    ACTIONS(2584), 1,
      anon_sym_decltype,
    ACTIONS(2586), 1,
      anon_sym_typename,
    ACTIONS(8284), 1,
      sym_identifier,
    ACTIONS(8288), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8290), 1,
      sym_primitive_type,
    STATE(3316), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(3318), 1,
      sym_decltype_auto,
    STATE(3321), 1,
      sym_qualified_type_identifier,
    STATE(5920), 1,
      sym__type_specifier,
    STATE(7858), 1,
      sym__scope_resolution,
    STATE(10317), 1,
      sym_dependent_type_identifier,
    STATE(3247), 2,
      sym_decltype,
      sym_template_type,
    STATE(6219), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2546), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3317), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(63), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [121363] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6049), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(6051), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [121415] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4413), 1,
      anon_sym_LBRACE,
    ACTIONS(8197), 1,
      anon_sym_LBRACK,
    ACTIONS(8201), 1,
      anon_sym_LPAREN2,
    ACTIONS(8300), 1,
      sym_auto,
    ACTIONS(8302), 1,
      anon_sym_decltype,
    STATE(3329), 1,
      sym_decltype_auto,
    STATE(5048), 1,
      sym_new_declarator,
    STATE(4989), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(6436), 9,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(6438), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [121483] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6057), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(6059), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [121535] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6111), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(6113), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [121587] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1486), 1,
      anon_sym_template,
    ACTIONS(8362), 1,
      sym_identifier,
    ACTIONS(8364), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8368), 1,
      sym_primitive_type,
    ACTIONS(8370), 1,
      anon_sym_enum,
    ACTIONS(8372), 1,
      anon_sym_class,
    ACTIONS(8374), 1,
      anon_sym_struct,
    ACTIONS(8376), 1,
      anon_sym_union,
    ACTIONS(8378), 1,
      sym_auto,
    ACTIONS(8380), 1,
      anon_sym_decltype,
    ACTIONS(8382), 1,
      anon_sym_typename,
    STATE(5675), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(5758), 1,
      sym__type_specifier,
    STATE(6351), 1,
      sym_decltype_auto,
    STATE(6356), 1,
      sym_qualified_type_identifier,
    STATE(7852), 1,
      sym__scope_resolution,
    STATE(10317), 1,
      sym_dependent_type_identifier,
    STATE(6219), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(6277), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(8366), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(6353), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(63), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [121679] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7245), 1,
      anon_sym___attribute__,
    ACTIONS(7310), 1,
      anon_sym_LBRACE,
    ACTIONS(8439), 1,
      anon_sym_COLON,
    STATE(3777), 1,
      sym__enum_base_clause,
    STATE(3784), 1,
      sym_enumerator_list,
    STATE(4084), 1,
      sym_attribute_specifier,
    ACTIONS(6368), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(6370), 27,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [121743] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6033), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(6035), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [121795] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7983), 1,
      anon_sym_const,
    ACTIONS(8254), 1,
      anon_sym_LPAREN2,
    ACTIONS(8262), 1,
      sym_ms_restrict_modifier,
    ACTIONS(8268), 1,
      anon_sym_LBRACK,
    ACTIONS(8441), 1,
      anon_sym_STAR,
    ACTIONS(8443), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8445), 1,
      anon_sym_AMP,
    STATE(4843), 1,
      sym_parameter_list,
    STATE(5318), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(7268), 1,
      sym__function_declarator_seq,
    STATE(7480), 1,
      sym__abstract_declarator,
    ACTIONS(8264), 2,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(8266), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(5190), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(5985), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(7270), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(6754), 9,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
    ACTIONS(7974), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [121879] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(119), 1,
      sym_auto,
    ACTIONS(121), 1,
      anon_sym_decltype,
    ACTIONS(1486), 1,
      anon_sym_template,
    ACTIONS(3904), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8384), 1,
      sym_identifier,
    ACTIONS(8388), 1,
      sym_primitive_type,
    ACTIONS(8390), 1,
      anon_sym_enum,
    ACTIONS(8392), 1,
      anon_sym_class,
    ACTIONS(8394), 1,
      anon_sym_struct,
    ACTIONS(8396), 1,
      anon_sym_union,
    ACTIONS(8398), 1,
      anon_sym_typename,
    STATE(3068), 1,
      sym_qualified_type_identifier,
    STATE(3091), 1,
      sym_decltype_auto,
    STATE(6066), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(6075), 1,
      sym__type_specifier,
    STATE(7887), 1,
      sym__scope_resolution,
    STATE(10317), 1,
      sym_dependent_type_identifier,
    STATE(3050), 2,
      sym_decltype,
      sym_template_type,
    STATE(6219), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(8386), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3085), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(63), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [121971] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7983), 1,
      anon_sym_const,
    ACTIONS(8254), 1,
      anon_sym_LPAREN2,
    ACTIONS(8262), 1,
      sym_ms_restrict_modifier,
    ACTIONS(8268), 1,
      anon_sym_LBRACK,
    ACTIONS(8441), 1,
      anon_sym_STAR,
    ACTIONS(8443), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8445), 1,
      anon_sym_AMP,
    STATE(4843), 1,
      sym_parameter_list,
    STATE(5318), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(7268), 1,
      sym__function_declarator_seq,
    STATE(7473), 1,
      sym__abstract_declarator,
    ACTIONS(8264), 2,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(8266), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(5077), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(5973), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(7270), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(6740), 9,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
    ACTIONS(7974), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [122055] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1486), 1,
      anon_sym_template,
    ACTIONS(2552), 1,
      anon_sym_enum,
    ACTIONS(2554), 1,
      anon_sym_class,
    ACTIONS(2556), 1,
      anon_sym_struct,
    ACTIONS(2558), 1,
      anon_sym_union,
    ACTIONS(2582), 1,
      sym_auto,
    ACTIONS(2584), 1,
      anon_sym_decltype,
    ACTIONS(2586), 1,
      anon_sym_typename,
    ACTIONS(8284), 1,
      sym_identifier,
    ACTIONS(8288), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8290), 1,
      sym_primitive_type,
    STATE(3316), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(3318), 1,
      sym_decltype_auto,
    STATE(3321), 1,
      sym_qualified_type_identifier,
    STATE(6113), 1,
      sym__type_specifier,
    STATE(7858), 1,
      sym__scope_resolution,
    STATE(10317), 1,
      sym_dependent_type_identifier,
    STATE(3247), 2,
      sym_decltype,
      sym_template_type,
    STATE(6219), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2546), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3317), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(63), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [122147] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4413), 1,
      anon_sym_LBRACE,
    ACTIONS(8197), 1,
      anon_sym_LBRACK,
    ACTIONS(8201), 1,
      anon_sym_LPAREN2,
    ACTIONS(8300), 1,
      sym_auto,
    ACTIONS(8302), 1,
      anon_sym_decltype,
    STATE(3329), 1,
      sym_decltype_auto,
    STATE(5045), 1,
      sym_new_declarator,
    STATE(5007), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(6456), 9,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(6458), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [122215] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7245), 1,
      anon_sym___attribute__,
    ACTIONS(7310), 1,
      anon_sym_LBRACE,
    ACTIONS(8439), 1,
      anon_sym_COLON,
    STATE(3770), 1,
      sym__enum_base_clause,
    STATE(3844), 1,
      sym_enumerator_list,
    STATE(4025), 1,
      sym_attribute_specifier,
    ACTIONS(6356), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(6358), 27,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [122279] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1486), 1,
      anon_sym_template,
    ACTIONS(2552), 1,
      anon_sym_enum,
    ACTIONS(2554), 1,
      anon_sym_class,
    ACTIONS(2556), 1,
      anon_sym_struct,
    ACTIONS(2558), 1,
      anon_sym_union,
    ACTIONS(2582), 1,
      sym_auto,
    ACTIONS(2584), 1,
      anon_sym_decltype,
    ACTIONS(2586), 1,
      anon_sym_typename,
    ACTIONS(8284), 1,
      sym_identifier,
    ACTIONS(8288), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8290), 1,
      sym_primitive_type,
    STATE(3316), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(3318), 1,
      sym_decltype_auto,
    STATE(3321), 1,
      sym_qualified_type_identifier,
    STATE(6278), 1,
      sym__type_specifier,
    STATE(7858), 1,
      sym__scope_resolution,
    STATE(10317), 1,
      sym_dependent_type_identifier,
    STATE(3247), 2,
      sym_decltype,
      sym_template_type,
    STATE(6219), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2546), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3317), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(63), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [122371] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1486), 1,
      anon_sym_template,
    ACTIONS(4269), 1,
      anon_sym_enum,
    ACTIONS(4271), 1,
      anon_sym_class,
    ACTIONS(4273), 1,
      anon_sym_struct,
    ACTIONS(4275), 1,
      anon_sym_union,
    ACTIONS(4299), 1,
      sym_auto,
    ACTIONS(4301), 1,
      anon_sym_decltype,
    ACTIONS(4303), 1,
      anon_sym_typename,
    ACTIONS(8414), 1,
      sym_identifier,
    ACTIONS(8416), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8418), 1,
      sym_primitive_type,
    STATE(3494), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(3979), 1,
      sym_qualified_type_identifier,
    STATE(4013), 1,
      sym_decltype_auto,
    STATE(5958), 1,
      sym__type_specifier,
    STATE(7845), 1,
      sym__scope_resolution,
    STATE(10317), 1,
      sym_dependent_type_identifier,
    STATE(3955), 2,
      sym_decltype,
      sym_template_type,
    STATE(6219), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(4265), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(4043), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(63), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [122463] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1486), 1,
      anon_sym_template,
    ACTIONS(8338), 1,
      sym_primitive_type,
    ACTIONS(8348), 1,
      sym_auto,
    ACTIONS(8350), 1,
      anon_sym_decltype,
    ACTIONS(8400), 1,
      sym_identifier,
    ACTIONS(8402), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8404), 1,
      anon_sym_enum,
    ACTIONS(8406), 1,
      anon_sym_class,
    ACTIONS(8408), 1,
      anon_sym_struct,
    ACTIONS(8410), 1,
      anon_sym_union,
    ACTIONS(8412), 1,
      anon_sym_typename,
    STATE(5493), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(5609), 1,
      sym__type_specifier,
    STATE(6156), 1,
      sym_decltype_auto,
    STATE(6241), 1,
      sym_qualified_type_identifier,
    STATE(7841), 1,
      sym__scope_resolution,
    STATE(10317), 1,
      sym_dependent_type_identifier,
    STATE(3050), 2,
      sym_decltype,
      sym_template_type,
    STATE(6219), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(8336), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(6209), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(63), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [122555] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6083), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(6085), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [122607] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6087), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(6089), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [122659] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1486), 1,
      anon_sym_template,
    ACTIONS(4269), 1,
      anon_sym_enum,
    ACTIONS(4271), 1,
      anon_sym_class,
    ACTIONS(4273), 1,
      anon_sym_struct,
    ACTIONS(4275), 1,
      anon_sym_union,
    ACTIONS(4299), 1,
      sym_auto,
    ACTIONS(4301), 1,
      anon_sym_decltype,
    ACTIONS(4303), 1,
      anon_sym_typename,
    ACTIONS(8414), 1,
      sym_identifier,
    ACTIONS(8416), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8418), 1,
      sym_primitive_type,
    STATE(3494), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(3979), 1,
      sym_qualified_type_identifier,
    STATE(4013), 1,
      sym_decltype_auto,
    STATE(6131), 1,
      sym__type_specifier,
    STATE(7845), 1,
      sym__scope_resolution,
    STATE(10317), 1,
      sym_dependent_type_identifier,
    STATE(3955), 2,
      sym_decltype,
      sym_template_type,
    STATE(6219), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(4265), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(4043), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(63), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [122751] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6091), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(6093), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [122803] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6061), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(6063), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [122855] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6099), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(6101), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [122907] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6139), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(6141), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [122959] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1486), 1,
      anon_sym_template,
    ACTIONS(4269), 1,
      anon_sym_enum,
    ACTIONS(4271), 1,
      anon_sym_class,
    ACTIONS(4273), 1,
      anon_sym_struct,
    ACTIONS(4275), 1,
      anon_sym_union,
    ACTIONS(4299), 1,
      sym_auto,
    ACTIONS(4301), 1,
      anon_sym_decltype,
    ACTIONS(4303), 1,
      anon_sym_typename,
    ACTIONS(8414), 1,
      sym_identifier,
    ACTIONS(8416), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8418), 1,
      sym_primitive_type,
    STATE(3494), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(3979), 1,
      sym_qualified_type_identifier,
    STATE(4013), 1,
      sym_decltype_auto,
    STATE(6006), 1,
      sym__type_specifier,
    STATE(7845), 1,
      sym__scope_resolution,
    STATE(10317), 1,
      sym_dependent_type_identifier,
    STATE(3955), 2,
      sym_decltype,
      sym_template_type,
    STATE(6219), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(4265), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(4043), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(63), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [123051] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1486), 1,
      anon_sym_template,
    ACTIONS(8332), 1,
      sym_identifier,
    ACTIONS(8334), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8338), 1,
      sym_primitive_type,
    ACTIONS(8340), 1,
      anon_sym_enum,
    ACTIONS(8342), 1,
      anon_sym_class,
    ACTIONS(8344), 1,
      anon_sym_struct,
    ACTIONS(8346), 1,
      anon_sym_union,
    ACTIONS(8348), 1,
      sym_auto,
    ACTIONS(8350), 1,
      anon_sym_decltype,
    ACTIONS(8352), 1,
      anon_sym_typename,
    STATE(5286), 1,
      sym__type_specifier,
    STATE(5493), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(6156), 1,
      sym_decltype_auto,
    STATE(6241), 1,
      sym_qualified_type_identifier,
    STATE(7862), 1,
      sym__scope_resolution,
    STATE(10317), 1,
      sym_dependent_type_identifier,
    STATE(3050), 2,
      sym_decltype,
      sym_template_type,
    STATE(6219), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(8336), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(6209), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(63), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [123143] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1486), 1,
      anon_sym_template,
    ACTIONS(2582), 1,
      sym_auto,
    ACTIONS(2584), 1,
      anon_sym_decltype,
    ACTIONS(8288), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8306), 1,
      sym_identifier,
    ACTIONS(8310), 1,
      sym_primitive_type,
    ACTIONS(8312), 1,
      anon_sym_enum,
    ACTIONS(8314), 1,
      anon_sym_class,
    ACTIONS(8316), 1,
      anon_sym_struct,
    ACTIONS(8318), 1,
      anon_sym_union,
    ACTIONS(8320), 1,
      anon_sym_typename,
    STATE(3318), 1,
      sym_decltype_auto,
    STATE(3321), 1,
      sym_qualified_type_identifier,
    STATE(6631), 1,
      sym__type_specifier,
    STATE(6644), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(7858), 1,
      sym__scope_resolution,
    STATE(10317), 1,
      sym_dependent_type_identifier,
    STATE(3247), 2,
      sym_decltype,
      sym_template_type,
    STATE(6219), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(8308), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3317), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(63), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [123235] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1486), 1,
      anon_sym_template,
    ACTIONS(2588), 1,
      anon_sym_operator,
    ACTIONS(2877), 1,
      anon_sym_TILDE,
    ACTIONS(3148), 1,
      anon_sym_decltype,
    ACTIONS(4395), 1,
      anon_sym_LPAREN2,
    ACTIONS(6738), 1,
      sym_identifier,
    ACTIONS(6742), 1,
      anon_sym_STAR,
    ACTIONS(6744), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6746), 1,
      anon_sym_AMP,
    ACTIONS(6750), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6752), 1,
      anon_sym_LBRACK,
    ACTIONS(8422), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8449), 1,
      anon_sym_COLON,
    STATE(4871), 1,
      sym_parameter_list,
    STATE(7058), 1,
      sym__scope_resolution,
    STATE(7343), 1,
      sym__declarator,
    STATE(7422), 1,
      sym__function_declarator_seq,
    STATE(7868), 1,
      sym__abstract_declarator,
    STATE(8816), 1,
      sym_variadic_declarator,
    STATE(9827), 1,
      sym_ms_based_modifier,
    STATE(10317), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    ACTIONS(8447), 4,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_GT2,
    STATE(7436), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    STATE(7680), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [123333] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5931), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5933), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [123385] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6095), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(6097), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [123437] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6065), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(6067), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [123489] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6107), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(6109), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [123541] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8151), 1,
      anon_sym___attribute__,
    STATE(5325), 1,
      sym_attribute_specifier,
    ACTIONS(6185), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(6187), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [123597] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6159), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(6161), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [123649] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6065), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(6067), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [123701] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6135), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(6137), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [123753] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6041), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(6043), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [123805] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1486), 1,
      anon_sym_template,
    ACTIONS(8332), 1,
      sym_identifier,
    ACTIONS(8334), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8338), 1,
      sym_primitive_type,
    ACTIONS(8340), 1,
      anon_sym_enum,
    ACTIONS(8342), 1,
      anon_sym_class,
    ACTIONS(8344), 1,
      anon_sym_struct,
    ACTIONS(8346), 1,
      anon_sym_union,
    ACTIONS(8348), 1,
      sym_auto,
    ACTIONS(8350), 1,
      anon_sym_decltype,
    ACTIONS(8352), 1,
      anon_sym_typename,
    STATE(5385), 1,
      sym__type_specifier,
    STATE(5493), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(6156), 1,
      sym_decltype_auto,
    STATE(6241), 1,
      sym_qualified_type_identifier,
    STATE(7862), 1,
      sym__scope_resolution,
    STATE(10317), 1,
      sym_dependent_type_identifier,
    STATE(3050), 2,
      sym_decltype,
      sym_template_type,
    STATE(6219), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(8336), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(6209), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(63), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [123897] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6119), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(6121), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [123949] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8151), 1,
      anon_sym___attribute__,
    STATE(5319), 1,
      sym_attribute_specifier,
    ACTIONS(6181), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(6183), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [124005] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8151), 1,
      anon_sym___attribute__,
    STATE(5292), 1,
      sym_attribute_specifier,
    ACTIONS(6224), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(6226), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [124061] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4413), 1,
      anon_sym_LBRACE,
    ACTIONS(8197), 1,
      anon_sym_LBRACK,
    ACTIONS(8201), 1,
      anon_sym_LPAREN2,
    ACTIONS(8300), 1,
      sym_auto,
    ACTIONS(8302), 1,
      anon_sym_decltype,
    STATE(3329), 1,
      sym_decltype_auto,
    STATE(5037), 1,
      sym_new_declarator,
    STATE(5011), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(6448), 9,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(6450), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [124129] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6045), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(6047), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [124181] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8151), 1,
      anon_sym___attribute__,
    STATE(5323), 1,
      sym_attribute_specifier,
    ACTIONS(6220), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(6222), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [124237] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5931), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5933), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [124289] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6147), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(6149), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [124341] = 7,
    ACTIONS(3), 1,
      sym_comment,
    STATE(5347), 1,
      sym_ms_unaligned_ptr_modifier,
    ACTIONS(8454), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(5226), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    ACTIONS(8451), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(8324), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(8322), 23,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym___extension__,
      anon_sym___based,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [124401] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6065), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(6067), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [124453] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8151), 1,
      anon_sym___attribute__,
    STATE(5295), 1,
      sym_attribute_specifier,
    ACTIONS(6208), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(6210), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [124509] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8151), 1,
      anon_sym___attribute__,
    STATE(5334), 1,
      sym_attribute_specifier,
    ACTIONS(6193), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(6195), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [124565] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8151), 1,
      anon_sym___attribute__,
    STATE(5297), 1,
      sym_attribute_specifier,
    ACTIONS(6204), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(6206), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [124621] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8151), 1,
      anon_sym___attribute__,
    STATE(5290), 1,
      sym_attribute_specifier,
    ACTIONS(6189), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(6191), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [124677] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6440), 1,
      anon_sym_LPAREN2,
    ACTIONS(6879), 1,
      anon_sym_LBRACK,
    ACTIONS(6883), 1,
      anon_sym_DOT,
    ACTIONS(8461), 1,
      anon_sym_SLASH,
    ACTIONS(8463), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(8465), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8469), 1,
      anon_sym_CARET,
    ACTIONS(8477), 1,
      anon_sym_GT_EQ,
    ACTIONS(8481), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8483), 1,
      anon_sym_or,
    ACTIONS(8485), 1,
      anon_sym_and,
    ACTIONS(8487), 1,
      anon_sym_xor,
    ACTIONS(8489), 1,
      anon_sym_not_eq,
    STATE(3592), 1,
      sym_subscript_argument_list,
    STATE(3604), 1,
      sym_argument_list,
    ACTIONS(6885), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7320), 2,
      aux_sym_preproc_elif_token1,
      sym_identifier,
    ACTIONS(8218), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8457), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8459), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8467), 2,
      anon_sym_PIPE,
      anon_sym_bitor,
    ACTIONS(8471), 2,
      anon_sym_AMP,
      anon_sym_bitand,
    ACTIONS(8473), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(8479), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8475), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(7322), 7,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_QMARK,
  [124776] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1486), 1,
      anon_sym_template,
    ACTIONS(2588), 1,
      anon_sym_operator,
    ACTIONS(2875), 1,
      anon_sym_LPAREN2,
    ACTIONS(2877), 1,
      anon_sym_TILDE,
    ACTIONS(3148), 1,
      anon_sym_decltype,
    ACTIONS(6738), 1,
      sym_identifier,
    ACTIONS(8030), 1,
      anon_sym_LBRACK,
    ACTIONS(8040), 1,
      anon_sym_STAR,
    ACTIONS(8042), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8044), 1,
      anon_sym_AMP,
    ACTIONS(8046), 1,
      anon_sym_COLON_COLON,
    STATE(7070), 1,
      sym__scope_resolution,
    STATE(7888), 1,
      sym__declarator,
    STATE(9456), 1,
      sym_ms_based_modifier,
    STATE(6248), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(10317), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(7680), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(4379), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [124861] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6131), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(6133), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [124912] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7182), 17,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(7184), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [124963] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1486), 1,
      anon_sym_template,
    ACTIONS(2588), 1,
      anon_sym_operator,
    ACTIONS(2875), 1,
      anon_sym_LPAREN2,
    ACTIONS(2877), 1,
      anon_sym_TILDE,
    ACTIONS(3148), 1,
      anon_sym_decltype,
    ACTIONS(6738), 1,
      sym_identifier,
    ACTIONS(8030), 1,
      anon_sym_LBRACK,
    ACTIONS(8040), 1,
      anon_sym_STAR,
    ACTIONS(8042), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8044), 1,
      anon_sym_AMP,
    ACTIONS(8046), 1,
      anon_sym_COLON_COLON,
    STATE(7070), 1,
      sym__scope_resolution,
    STATE(7876), 1,
      sym__declarator,
    STATE(9456), 1,
      sym_ms_based_modifier,
    STATE(6248), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(10317), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(7680), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(4379), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [125048] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_AMP_AMP,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1486), 1,
      anon_sym_template,
    ACTIONS(2588), 1,
      anon_sym_operator,
    ACTIONS(2875), 1,
      anon_sym_LPAREN2,
    ACTIONS(2877), 1,
      anon_sym_TILDE,
    ACTIONS(2879), 1,
      anon_sym_STAR,
    ACTIONS(2881), 1,
      anon_sym_AMP,
    ACTIONS(3148), 1,
      anon_sym_decltype,
    ACTIONS(5573), 1,
      sym_identifier,
    ACTIONS(7243), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8030), 1,
      anon_sym_LBRACK,
    STATE(7003), 1,
      sym__scope_resolution,
    STATE(7673), 1,
      sym__declarator,
    STATE(10332), 1,
      sym_ms_based_modifier,
    STATE(6248), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(10317), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(7680), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(4379), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [125133] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4534), 1,
      anon_sym_LBRACE,
    ACTIONS(7406), 1,
      sym_auto,
    ACTIONS(7408), 1,
      anon_sym_decltype,
    ACTIONS(8491), 1,
      anon_sym_LPAREN2,
    ACTIONS(8493), 1,
      anon_sym_LBRACK,
    STATE(3989), 1,
      sym_decltype_auto,
    STATE(5571), 1,
      sym_new_declarator,
    STATE(6004), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(6456), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(6458), 23,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [125200] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4561), 1,
      anon_sym_LPAREN2,
    ACTIONS(8495), 1,
      anon_sym_STAR,
    ACTIONS(8497), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8499), 1,
      anon_sym_AMP,
    ACTIONS(8503), 1,
      sym_ms_restrict_modifier,
    ACTIONS(8509), 1,
      anon_sym_LBRACK,
    ACTIONS(8511), 1,
      anon_sym_const,
    STATE(4866), 1,
      sym_parameter_list,
    STATE(6301), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(7422), 1,
      sym__function_declarator_seq,
    STATE(7570), 1,
      sym__abstract_declarator,
    ACTIONS(8505), 2,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(8507), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(6082), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(6138), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(7436), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(6740), 8,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
    ACTIONS(8501), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [125283] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1486), 1,
      anon_sym_template,
    ACTIONS(2588), 1,
      anon_sym_operator,
    ACTIONS(2875), 1,
      anon_sym_LPAREN2,
    ACTIONS(2877), 1,
      anon_sym_TILDE,
    ACTIONS(3148), 1,
      anon_sym_decltype,
    ACTIONS(6738), 1,
      sym_identifier,
    ACTIONS(8030), 1,
      anon_sym_LBRACK,
    ACTIONS(8040), 1,
      anon_sym_STAR,
    ACTIONS(8042), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8044), 1,
      anon_sym_AMP,
    ACTIONS(8046), 1,
      anon_sym_COLON_COLON,
    STATE(7070), 1,
      sym__scope_resolution,
    STATE(7855), 1,
      sym__declarator,
    STATE(9456), 1,
      sym_ms_based_modifier,
    STATE(6248), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(10317), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(7680), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(4379), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [125368] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1486), 1,
      anon_sym_template,
    ACTIONS(2588), 1,
      anon_sym_operator,
    ACTIONS(2875), 1,
      anon_sym_LPAREN2,
    ACTIONS(2877), 1,
      anon_sym_TILDE,
    ACTIONS(3148), 1,
      anon_sym_decltype,
    ACTIONS(8030), 1,
      anon_sym_LBRACK,
    ACTIONS(8052), 1,
      sym_identifier,
    ACTIONS(8054), 1,
      anon_sym_STAR,
    ACTIONS(8056), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8058), 1,
      anon_sym_AMP,
    ACTIONS(8060), 1,
      anon_sym_COLON_COLON,
    STATE(7024), 1,
      sym__scope_resolution,
    STATE(7650), 1,
      sym__declarator,
    STATE(9555), 1,
      sym_ms_based_modifier,
    STATE(6248), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(10317), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(7680), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(4379), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [125453] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4534), 1,
      anon_sym_LBRACE,
    ACTIONS(7406), 1,
      sym_auto,
    ACTIONS(7408), 1,
      anon_sym_decltype,
    ACTIONS(8491), 1,
      anon_sym_LPAREN2,
    ACTIONS(8493), 1,
      anon_sym_LBRACK,
    STATE(3989), 1,
      sym_decltype_auto,
    STATE(5562), 1,
      sym_new_declarator,
    STATE(6052), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(6448), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(6450), 23,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [125520] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1486), 1,
      anon_sym_template,
    ACTIONS(2588), 1,
      anon_sym_operator,
    ACTIONS(2875), 1,
      anon_sym_LPAREN2,
    ACTIONS(2877), 1,
      anon_sym_TILDE,
    ACTIONS(3148), 1,
      anon_sym_decltype,
    ACTIONS(5573), 1,
      sym_identifier,
    ACTIONS(8030), 1,
      anon_sym_LBRACK,
    ACTIONS(8032), 1,
      anon_sym_STAR,
    ACTIONS(8034), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8036), 1,
      anon_sym_AMP,
    ACTIONS(8038), 1,
      anon_sym_COLON_COLON,
    STATE(7022), 1,
      sym__scope_resolution,
    STATE(7927), 1,
      sym__declarator,
    STATE(9540), 1,
      sym_ms_based_modifier,
    STATE(6248), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(10317), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(7680), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(4379), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [125605] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6053), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(6055), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [125656] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4561), 1,
      anon_sym_LPAREN2,
    ACTIONS(8495), 1,
      anon_sym_STAR,
    ACTIONS(8497), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8499), 1,
      anon_sym_AMP,
    ACTIONS(8503), 1,
      sym_ms_restrict_modifier,
    ACTIONS(8509), 1,
      anon_sym_LBRACK,
    ACTIONS(8511), 1,
      anon_sym_const,
    STATE(4866), 1,
      sym_parameter_list,
    STATE(6301), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(7422), 1,
      sym__function_declarator_seq,
    STATE(7572), 1,
      sym__abstract_declarator,
    ACTIONS(8505), 2,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(8507), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(5239), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(6084), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(7436), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(6754), 8,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
    ACTIONS(8501), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [125739] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_AMP_AMP,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1486), 1,
      anon_sym_template,
    ACTIONS(2588), 1,
      anon_sym_operator,
    ACTIONS(2875), 1,
      anon_sym_LPAREN2,
    ACTIONS(2877), 1,
      anon_sym_TILDE,
    ACTIONS(2879), 1,
      anon_sym_STAR,
    ACTIONS(2881), 1,
      anon_sym_AMP,
    ACTIONS(3148), 1,
      anon_sym_decltype,
    ACTIONS(5573), 1,
      sym_identifier,
    ACTIONS(7243), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8030), 1,
      anon_sym_LBRACK,
    STATE(7003), 1,
      sym__scope_resolution,
    STATE(7650), 1,
      sym__declarator,
    STATE(10332), 1,
      sym_ms_based_modifier,
    STATE(6248), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(10317), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(7680), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(4379), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [125824] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8280), 1,
      sym_auto,
    ACTIONS(8282), 1,
      anon_sym_decltype,
    STATE(5336), 1,
      sym_decltype_auto,
    ACTIONS(6021), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6023), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [125881] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_AMP_AMP,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1486), 1,
      anon_sym_template,
    ACTIONS(2588), 1,
      anon_sym_operator,
    ACTIONS(2875), 1,
      anon_sym_LPAREN2,
    ACTIONS(2877), 1,
      anon_sym_TILDE,
    ACTIONS(2879), 1,
      anon_sym_STAR,
    ACTIONS(2881), 1,
      anon_sym_AMP,
    ACTIONS(3148), 1,
      anon_sym_decltype,
    ACTIONS(5573), 1,
      sym_identifier,
    ACTIONS(7243), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8030), 1,
      anon_sym_LBRACK,
    STATE(7003), 1,
      sym__scope_resolution,
    STATE(7616), 1,
      sym__declarator,
    STATE(10332), 1,
      sym_ms_based_modifier,
    STATE(6248), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(10317), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(7680), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(4379), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [125966] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7114), 17,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(7116), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [126017] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5970), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5972), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [126068] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6440), 1,
      anon_sym_LPAREN2,
    ACTIONS(6879), 1,
      anon_sym_LBRACK,
    ACTIONS(6883), 1,
      anon_sym_DOT,
    ACTIONS(8461), 1,
      anon_sym_SLASH,
    ACTIONS(8465), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8469), 1,
      anon_sym_CARET,
    ACTIONS(8477), 1,
      anon_sym_GT_EQ,
    ACTIONS(8481), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8485), 1,
      anon_sym_and,
    ACTIONS(8487), 1,
      anon_sym_xor,
    ACTIONS(8489), 1,
      anon_sym_not_eq,
    STATE(3592), 1,
      sym_subscript_argument_list,
    STATE(3604), 1,
      sym_argument_list,
    ACTIONS(6885), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8218), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8457), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8459), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8467), 2,
      anon_sym_PIPE,
      anon_sym_bitor,
    ACTIONS(8471), 2,
      anon_sym_AMP,
      anon_sym_bitand,
    ACTIONS(8473), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(8479), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6930), 3,
      aux_sym_preproc_elif_token1,
      anon_sym_or,
      sym_identifier,
    ACTIONS(8475), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6932), 8,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK,
  [126163] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2262), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5931), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5933), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [126216] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6440), 1,
      anon_sym_LPAREN2,
    ACTIONS(6879), 1,
      anon_sym_LBRACK,
    ACTIONS(6883), 1,
      anon_sym_DOT,
    ACTIONS(8461), 1,
      anon_sym_SLASH,
    ACTIONS(8469), 1,
      anon_sym_CARET,
    ACTIONS(8477), 1,
      anon_sym_GT_EQ,
    ACTIONS(8481), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8487), 1,
      anon_sym_xor,
    ACTIONS(8489), 1,
      anon_sym_not_eq,
    STATE(3592), 1,
      sym_subscript_argument_list,
    STATE(3604), 1,
      sym_argument_list,
    ACTIONS(6885), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8218), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8457), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8459), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8467), 2,
      anon_sym_PIPE,
      anon_sym_bitor,
    ACTIONS(8471), 2,
      anon_sym_AMP,
      anon_sym_bitand,
    ACTIONS(8473), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(8479), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8475), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6930), 4,
      aux_sym_preproc_elif_token1,
      anon_sym_or,
      anon_sym_and,
      sym_identifier,
    ACTIONS(6932), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_QMARK,
  [126307] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7074), 17,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(7076), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [126358] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1486), 1,
      anon_sym_template,
    ACTIONS(2588), 1,
      anon_sym_operator,
    ACTIONS(2875), 1,
      anon_sym_LPAREN2,
    ACTIONS(2877), 1,
      anon_sym_TILDE,
    ACTIONS(3148), 1,
      anon_sym_decltype,
    ACTIONS(6738), 1,
      sym_identifier,
    ACTIONS(6750), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8030), 1,
      anon_sym_LBRACK,
    ACTIONS(8065), 1,
      anon_sym_STAR,
    ACTIONS(8067), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8069), 1,
      anon_sym_AMP,
    STATE(7058), 1,
      sym__scope_resolution,
    STATE(7291), 1,
      sym__declarator,
    STATE(9827), 1,
      sym_ms_based_modifier,
    STATE(6248), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(10317), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(7680), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(4379), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [126443] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2396), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(2398), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [126494] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6440), 1,
      anon_sym_LPAREN2,
    ACTIONS(6879), 1,
      anon_sym_LBRACK,
    ACTIONS(6883), 1,
      anon_sym_DOT,
    ACTIONS(8461), 1,
      anon_sym_SLASH,
    ACTIONS(8463), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(8465), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8469), 1,
      anon_sym_CARET,
    ACTIONS(8477), 1,
      anon_sym_GT_EQ,
    ACTIONS(8481), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8483), 1,
      anon_sym_or,
    ACTIONS(8485), 1,
      anon_sym_and,
    ACTIONS(8487), 1,
      anon_sym_xor,
    ACTIONS(8489), 1,
      anon_sym_not_eq,
    STATE(3592), 1,
      sym_subscript_argument_list,
    STATE(3604), 1,
      sym_argument_list,
    ACTIONS(6885), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7373), 2,
      aux_sym_preproc_elif_token1,
      sym_identifier,
    ACTIONS(8218), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8457), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8459), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8467), 2,
      anon_sym_PIPE,
      anon_sym_bitor,
    ACTIONS(8471), 2,
      anon_sym_AMP,
      anon_sym_bitand,
    ACTIONS(8473), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(8479), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8475), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(7375), 7,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_QMARK,
  [126593] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2452), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(2454), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [126644] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6440), 1,
      anon_sym_LPAREN2,
    ACTIONS(6879), 1,
      anon_sym_LBRACK,
    ACTIONS(6883), 1,
      anon_sym_DOT,
    ACTIONS(8461), 1,
      anon_sym_SLASH,
    ACTIONS(8463), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(8465), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8469), 1,
      anon_sym_CARET,
    ACTIONS(8477), 1,
      anon_sym_GT_EQ,
    ACTIONS(8481), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8483), 1,
      anon_sym_or,
    ACTIONS(8485), 1,
      anon_sym_and,
    ACTIONS(8487), 1,
      anon_sym_xor,
    ACTIONS(8489), 1,
      anon_sym_not_eq,
    ACTIONS(8513), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8515), 1,
      anon_sym_QMARK,
    STATE(3592), 1,
      sym_subscript_argument_list,
    STATE(3604), 1,
      sym_argument_list,
    ACTIONS(6885), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7144), 2,
      aux_sym_preproc_elif_token1,
      sym_identifier,
    ACTIONS(8218), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8457), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8459), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8467), 2,
      anon_sym_PIPE,
      anon_sym_bitor,
    ACTIONS(8471), 2,
      anon_sym_AMP,
      anon_sym_bitand,
    ACTIONS(8473), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(8479), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8475), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(7146), 5,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
  [126747] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6440), 1,
      anon_sym_LPAREN2,
    ACTIONS(6879), 1,
      anon_sym_LBRACK,
    ACTIONS(6883), 1,
      anon_sym_DOT,
    ACTIONS(8461), 1,
      anon_sym_SLASH,
    ACTIONS(8469), 1,
      anon_sym_CARET,
    ACTIONS(8477), 1,
      anon_sym_GT_EQ,
    ACTIONS(8481), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8487), 1,
      anon_sym_xor,
    ACTIONS(8489), 1,
      anon_sym_not_eq,
    STATE(3592), 1,
      sym_subscript_argument_list,
    STATE(3604), 1,
      sym_argument_list,
    ACTIONS(6885), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8218), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8457), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8459), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8471), 2,
      anon_sym_AMP,
      anon_sym_bitand,
    ACTIONS(8473), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(8479), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8475), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6930), 6,
      aux_sym_preproc_elif_token1,
      anon_sym_PIPE,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      sym_identifier,
    ACTIONS(6932), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_QMARK,
  [126836] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6440), 1,
      anon_sym_LPAREN2,
    ACTIONS(6879), 1,
      anon_sym_LBRACK,
    ACTIONS(6883), 1,
      anon_sym_DOT,
    ACTIONS(8461), 1,
      anon_sym_SLASH,
    ACTIONS(8463), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(8465), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8469), 1,
      anon_sym_CARET,
    ACTIONS(8477), 1,
      anon_sym_GT_EQ,
    ACTIONS(8481), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8483), 1,
      anon_sym_or,
    ACTIONS(8485), 1,
      anon_sym_and,
    ACTIONS(8487), 1,
      anon_sym_xor,
    ACTIONS(8489), 1,
      anon_sym_not_eq,
    ACTIONS(8513), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8515), 1,
      anon_sym_QMARK,
    STATE(3592), 1,
      sym_subscript_argument_list,
    STATE(3604), 1,
      sym_argument_list,
    ACTIONS(6885), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7391), 2,
      aux_sym_preproc_elif_token1,
      sym_identifier,
    ACTIONS(8218), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8457), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8459), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8467), 2,
      anon_sym_PIPE,
      anon_sym_bitor,
    ACTIONS(8471), 2,
      anon_sym_AMP,
      anon_sym_bitand,
    ACTIONS(8473), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(8479), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8475), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(7393), 5,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
  [126939] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6440), 1,
      anon_sym_LPAREN2,
    ACTIONS(6879), 1,
      anon_sym_LBRACK,
    ACTIONS(6883), 1,
      anon_sym_DOT,
    ACTIONS(8461), 1,
      anon_sym_SLASH,
    ACTIONS(8477), 1,
      anon_sym_GT_EQ,
    ACTIONS(8481), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8489), 1,
      anon_sym_not_eq,
    STATE(3592), 1,
      sym_subscript_argument_list,
    STATE(3604), 1,
      sym_argument_list,
    ACTIONS(6885), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8218), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8457), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8459), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8471), 2,
      anon_sym_AMP,
      anon_sym_bitand,
    ACTIONS(8473), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(8479), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8475), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6930), 7,
      aux_sym_preproc_elif_token1,
      anon_sym_PIPE,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      sym_identifier,
    ACTIONS(6932), 10,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_QMARK,
  [127024] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6440), 1,
      anon_sym_LPAREN2,
    ACTIONS(6879), 1,
      anon_sym_LBRACK,
    ACTIONS(6883), 1,
      anon_sym_DOT,
    ACTIONS(8461), 1,
      anon_sym_SLASH,
    ACTIONS(8477), 1,
      anon_sym_GT_EQ,
    ACTIONS(8481), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8489), 1,
      anon_sym_not_eq,
    STATE(3592), 1,
      sym_subscript_argument_list,
    STATE(3604), 1,
      sym_argument_list,
    ACTIONS(6885), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8218), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8457), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8459), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8473), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(8479), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8475), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6930), 9,
      aux_sym_preproc_elif_token1,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      sym_identifier,
    ACTIONS(6932), 10,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_QMARK,
  [127107] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6440), 1,
      anon_sym_LPAREN2,
    ACTIONS(6879), 1,
      anon_sym_LBRACK,
    ACTIONS(6883), 1,
      anon_sym_DOT,
    ACTIONS(8461), 1,
      anon_sym_SLASH,
    ACTIONS(8477), 1,
      anon_sym_GT_EQ,
    ACTIONS(8481), 1,
      anon_sym_LT_EQ_GT,
    STATE(3592), 1,
      sym_subscript_argument_list,
    STATE(3604), 1,
      sym_argument_list,
    ACTIONS(6885), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8218), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8457), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8459), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8479), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8475), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6930), 10,
      aux_sym_preproc_elif_token1,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      sym_identifier,
    ACTIONS(6932), 12,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK,
  [127186] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1486), 1,
      anon_sym_template,
    ACTIONS(2588), 1,
      anon_sym_operator,
    ACTIONS(2875), 1,
      anon_sym_LPAREN2,
    ACTIONS(2877), 1,
      anon_sym_TILDE,
    ACTIONS(3148), 1,
      anon_sym_decltype,
    ACTIONS(5573), 1,
      sym_identifier,
    ACTIONS(8030), 1,
      anon_sym_LBRACK,
    ACTIONS(8032), 1,
      anon_sym_STAR,
    ACTIONS(8034), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8036), 1,
      anon_sym_AMP,
    ACTIONS(8038), 1,
      anon_sym_COLON_COLON,
    STATE(7022), 1,
      sym__scope_resolution,
    STATE(7920), 1,
      sym__declarator,
    STATE(9540), 1,
      sym_ms_based_modifier,
    STATE(6248), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(10317), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(7680), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(4379), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [127271] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6440), 1,
      anon_sym_LPAREN2,
    ACTIONS(6879), 1,
      anon_sym_LBRACK,
    ACTIONS(6883), 1,
      anon_sym_DOT,
    ACTIONS(8461), 1,
      anon_sym_SLASH,
    ACTIONS(8481), 1,
      anon_sym_LT_EQ_GT,
    STATE(3592), 1,
      sym_subscript_argument_list,
    STATE(3604), 1,
      sym_argument_list,
    ACTIONS(6885), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8218), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8457), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8459), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8479), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6930), 13,
      aux_sym_preproc_elif_token1,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      sym_identifier,
    ACTIONS(6932), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
  [127346] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1486), 1,
      anon_sym_template,
    ACTIONS(2588), 1,
      anon_sym_operator,
    ACTIONS(2875), 1,
      anon_sym_LPAREN2,
    ACTIONS(2877), 1,
      anon_sym_TILDE,
    ACTIONS(3148), 1,
      anon_sym_decltype,
    ACTIONS(8030), 1,
      anon_sym_LBRACK,
    ACTIONS(8052), 1,
      sym_identifier,
    ACTIONS(8054), 1,
      anon_sym_STAR,
    ACTIONS(8056), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8058), 1,
      anon_sym_AMP,
    ACTIONS(8060), 1,
      anon_sym_COLON_COLON,
    STATE(7024), 1,
      sym__scope_resolution,
    STATE(7673), 1,
      sym__declarator,
    STATE(9555), 1,
      sym_ms_based_modifier,
    STATE(6248), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(10317), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(7680), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(4379), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [127431] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4534), 1,
      anon_sym_LBRACE,
    ACTIONS(7406), 1,
      sym_auto,
    ACTIONS(7408), 1,
      anon_sym_decltype,
    ACTIONS(8491), 1,
      anon_sym_LPAREN2,
    ACTIONS(8493), 1,
      anon_sym_LBRACK,
    STATE(3989), 1,
      sym_decltype_auto,
    STATE(5452), 1,
      sym_new_declarator,
    STATE(5982), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(6452), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(6454), 23,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [127498] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1486), 1,
      anon_sym_template,
    ACTIONS(2588), 1,
      anon_sym_operator,
    ACTIONS(2875), 1,
      anon_sym_LPAREN2,
    ACTIONS(2877), 1,
      anon_sym_TILDE,
    ACTIONS(3148), 1,
      anon_sym_decltype,
    ACTIONS(5573), 1,
      sym_identifier,
    ACTIONS(8030), 1,
      anon_sym_LBRACK,
    ACTIONS(8032), 1,
      anon_sym_STAR,
    ACTIONS(8034), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8036), 1,
      anon_sym_AMP,
    ACTIONS(8038), 1,
      anon_sym_COLON_COLON,
    STATE(7022), 1,
      sym__scope_resolution,
    STATE(7901), 1,
      sym__declarator,
    STATE(9540), 1,
      sym_ms_based_modifier,
    STATE(6248), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(10317), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(7680), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(4379), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [127583] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6005), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(6007), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [127634] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6440), 1,
      anon_sym_LPAREN2,
    ACTIONS(6879), 1,
      anon_sym_LBRACK,
    ACTIONS(6883), 1,
      anon_sym_DOT,
    ACTIONS(8461), 1,
      anon_sym_SLASH,
    ACTIONS(8463), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(8465), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8469), 1,
      anon_sym_CARET,
    ACTIONS(8477), 1,
      anon_sym_GT_EQ,
    ACTIONS(8481), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8483), 1,
      anon_sym_or,
    ACTIONS(8485), 1,
      anon_sym_and,
    ACTIONS(8487), 1,
      anon_sym_xor,
    ACTIONS(8489), 1,
      anon_sym_not_eq,
    STATE(3592), 1,
      sym_subscript_argument_list,
    STATE(3604), 1,
      sym_argument_list,
    ACTIONS(6885), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7383), 2,
      aux_sym_preproc_elif_token1,
      sym_identifier,
    ACTIONS(8218), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8457), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8459), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8467), 2,
      anon_sym_PIPE,
      anon_sym_bitor,
    ACTIONS(8471), 2,
      anon_sym_AMP,
      anon_sym_bitand,
    ACTIONS(8473), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(8479), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8475), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(7385), 7,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_QMARK,
  [127733] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6440), 1,
      anon_sym_LPAREN2,
    ACTIONS(6879), 1,
      anon_sym_LBRACK,
    ACTIONS(6883), 1,
      anon_sym_DOT,
    ACTIONS(8461), 1,
      anon_sym_SLASH,
    ACTIONS(8463), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(8465), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8469), 1,
      anon_sym_CARET,
    ACTIONS(8477), 1,
      anon_sym_GT_EQ,
    ACTIONS(8481), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8483), 1,
      anon_sym_or,
    ACTIONS(8485), 1,
      anon_sym_and,
    ACTIONS(8487), 1,
      anon_sym_xor,
    ACTIONS(8489), 1,
      anon_sym_not_eq,
    ACTIONS(8513), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8515), 1,
      anon_sym_QMARK,
    STATE(3592), 1,
      sym_subscript_argument_list,
    STATE(3604), 1,
      sym_argument_list,
    ACTIONS(6885), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7387), 2,
      aux_sym_preproc_elif_token1,
      sym_identifier,
    ACTIONS(8218), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8457), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8459), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8467), 2,
      anon_sym_PIPE,
      anon_sym_bitor,
    ACTIONS(8471), 2,
      anon_sym_AMP,
      anon_sym_bitand,
    ACTIONS(8473), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(8479), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8475), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(7389), 5,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
  [127836] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6440), 1,
      anon_sym_LPAREN2,
    ACTIONS(6879), 1,
      anon_sym_LBRACK,
    ACTIONS(6883), 1,
      anon_sym_DOT,
    ACTIONS(8461), 1,
      anon_sym_SLASH,
    ACTIONS(8463), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(8465), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8469), 1,
      anon_sym_CARET,
    ACTIONS(8477), 1,
      anon_sym_GT_EQ,
    ACTIONS(8481), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8483), 1,
      anon_sym_or,
    ACTIONS(8485), 1,
      anon_sym_and,
    ACTIONS(8487), 1,
      anon_sym_xor,
    ACTIONS(8489), 1,
      anon_sym_not_eq,
    ACTIONS(8513), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8515), 1,
      anon_sym_QMARK,
    STATE(3592), 1,
      sym_subscript_argument_list,
    STATE(3604), 1,
      sym_argument_list,
    ACTIONS(6885), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8218), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8457), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8459), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8467), 2,
      anon_sym_PIPE,
      anon_sym_bitor,
    ACTIONS(8471), 2,
      anon_sym_AMP,
      anon_sym_bitand,
    ACTIONS(8473), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(8479), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8517), 2,
      aux_sym_preproc_elif_token1,
      sym_identifier,
    ACTIONS(8475), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(8519), 5,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
  [127939] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6037), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(6039), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [127990] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6440), 1,
      anon_sym_LPAREN2,
    ACTIONS(6879), 1,
      anon_sym_LBRACK,
    ACTIONS(6883), 1,
      anon_sym_DOT,
    ACTIONS(8461), 1,
      anon_sym_SLASH,
    ACTIONS(8463), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(8465), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8469), 1,
      anon_sym_CARET,
    ACTIONS(8477), 1,
      anon_sym_GT_EQ,
    ACTIONS(8481), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8483), 1,
      anon_sym_or,
    ACTIONS(8485), 1,
      anon_sym_and,
    ACTIONS(8487), 1,
      anon_sym_xor,
    ACTIONS(8489), 1,
      anon_sym_not_eq,
    STATE(3592), 1,
      sym_subscript_argument_list,
    STATE(3604), 1,
      sym_argument_list,
    ACTIONS(6885), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7369), 2,
      aux_sym_preproc_elif_token1,
      sym_identifier,
    ACTIONS(8218), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8457), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8459), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8467), 2,
      anon_sym_PIPE,
      anon_sym_bitor,
    ACTIONS(8471), 2,
      anon_sym_AMP,
      anon_sym_bitand,
    ACTIONS(8473), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(8479), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8475), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(7371), 7,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_QMARK,
  [128089] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6440), 1,
      anon_sym_LPAREN2,
    ACTIONS(6879), 1,
      anon_sym_LBRACK,
    ACTIONS(6883), 1,
      anon_sym_DOT,
    ACTIONS(8461), 1,
      anon_sym_SLASH,
    STATE(3592), 1,
      sym_subscript_argument_list,
    STATE(3604), 1,
      sym_argument_list,
    ACTIONS(6885), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8218), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8457), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8459), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8479), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6930), 13,
      aux_sym_preproc_elif_token1,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      sym_identifier,
    ACTIONS(6932), 14,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
  [128162] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1486), 1,
      anon_sym_template,
    ACTIONS(2588), 1,
      anon_sym_operator,
    ACTIONS(2875), 1,
      anon_sym_LPAREN2,
    ACTIONS(2877), 1,
      anon_sym_TILDE,
    ACTIONS(3148), 1,
      anon_sym_decltype,
    ACTIONS(6738), 1,
      sym_identifier,
    ACTIONS(6750), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8030), 1,
      anon_sym_LBRACK,
    ACTIONS(8065), 1,
      anon_sym_STAR,
    ACTIONS(8067), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8069), 1,
      anon_sym_AMP,
    STATE(7058), 1,
      sym__scope_resolution,
    STATE(7316), 1,
      sym__declarator,
    STATE(9827), 1,
      sym_ms_based_modifier,
    STATE(6248), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(10317), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(7680), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(4379), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [128247] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7078), 17,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(7080), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [128298] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6440), 1,
      anon_sym_LPAREN2,
    ACTIONS(6879), 1,
      anon_sym_LBRACK,
    ACTIONS(6883), 1,
      anon_sym_DOT,
    ACTIONS(8461), 1,
      anon_sym_SLASH,
    STATE(3592), 1,
      sym_subscript_argument_list,
    STATE(3604), 1,
      sym_argument_list,
    ACTIONS(6885), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8218), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8457), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8459), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(6930), 13,
      aux_sym_preproc_elif_token1,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      sym_identifier,
    ACTIONS(6932), 16,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
  [128369] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1486), 1,
      anon_sym_template,
    ACTIONS(2588), 1,
      anon_sym_operator,
    ACTIONS(2875), 1,
      anon_sym_LPAREN2,
    ACTIONS(2877), 1,
      anon_sym_TILDE,
    ACTIONS(3148), 1,
      anon_sym_decltype,
    ACTIONS(6738), 1,
      sym_identifier,
    ACTIONS(6750), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8030), 1,
      anon_sym_LBRACK,
    ACTIONS(8065), 1,
      anon_sym_STAR,
    ACTIONS(8067), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8069), 1,
      anon_sym_AMP,
    STATE(7058), 1,
      sym__scope_resolution,
    STATE(7261), 1,
      sym__declarator,
    STATE(9827), 1,
      sym_ms_based_modifier,
    STATE(6248), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(10317), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(7680), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(4379), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [128454] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1486), 1,
      anon_sym_template,
    ACTIONS(2588), 1,
      anon_sym_operator,
    ACTIONS(2875), 1,
      anon_sym_LPAREN2,
    ACTIONS(2877), 1,
      anon_sym_TILDE,
    ACTIONS(3148), 1,
      anon_sym_decltype,
    ACTIONS(8030), 1,
      anon_sym_LBRACK,
    ACTIONS(8052), 1,
      sym_identifier,
    ACTIONS(8054), 1,
      anon_sym_STAR,
    ACTIONS(8056), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8058), 1,
      anon_sym_AMP,
    ACTIONS(8060), 1,
      anon_sym_COLON_COLON,
    STATE(7024), 1,
      sym__scope_resolution,
    STATE(7616), 1,
      sym__declarator,
    STATE(9555), 1,
      sym_ms_based_modifier,
    STATE(6248), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(10317), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(7680), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(4379), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [128539] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4534), 1,
      anon_sym_LBRACE,
    ACTIONS(7406), 1,
      sym_auto,
    ACTIONS(7408), 1,
      anon_sym_decltype,
    ACTIONS(8491), 1,
      anon_sym_LPAREN2,
    ACTIONS(8493), 1,
      anon_sym_LBRACK,
    STATE(3989), 1,
      sym_decltype_auto,
    STATE(5437), 1,
      sym_new_declarator,
    STATE(5975), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(6436), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(6438), 23,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [128606] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6440), 1,
      anon_sym_LPAREN2,
    ACTIONS(6879), 1,
      anon_sym_LBRACK,
    ACTIONS(6883), 1,
      anon_sym_DOT,
    ACTIONS(8461), 1,
      anon_sym_SLASH,
    STATE(3592), 1,
      sym_subscript_argument_list,
    STATE(3604), 1,
      sym_argument_list,
    ACTIONS(6885), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8218), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8459), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(6930), 15,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      sym_identifier,
    ACTIONS(6932), 16,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
  [128675] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4379), 1,
      anon_sym_const,
    ACTIONS(4381), 1,
      sym_ms_restrict_modifier,
    ACTIONS(4561), 1,
      anon_sym_LPAREN2,
    ACTIONS(8509), 1,
      anon_sym_LBRACK,
    ACTIONS(8521), 1,
      anon_sym_STAR,
    ACTIONS(8523), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8525), 1,
      anon_sym_AMP,
    STATE(4889), 1,
      sym_parameter_list,
    STATE(5347), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(7422), 1,
      sym__function_declarator_seq,
    STATE(7620), 1,
      sym__abstract_declarator,
    ACTIONS(8529), 2,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(8531), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(5293), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(6098), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(7436), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(6754), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    ACTIONS(8527), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [128757] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6025), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(6027), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [128807] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7983), 1,
      anon_sym_const,
    ACTIONS(8254), 1,
      anon_sym_LPAREN2,
    ACTIONS(8256), 1,
      anon_sym_STAR,
    ACTIONS(8258), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8260), 1,
      anon_sym_AMP,
    ACTIONS(8268), 1,
      anon_sym_LBRACK,
    ACTIONS(8535), 1,
      sym_auto,
    ACTIONS(8537), 1,
      anon_sym_decltype,
    STATE(4503), 1,
      sym_parameter_list,
    STATE(6187), 1,
      sym_decltype_auto,
    STATE(7229), 1,
      sym__abstract_declarator,
    STATE(7268), 1,
      sym__function_declarator_seq,
    STATE(5436), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(7270), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(7974), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
    ACTIONS(8533), 12,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [128885] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5783), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5785), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [128935] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4379), 1,
      anon_sym_const,
    ACTIONS(4381), 1,
      sym_ms_restrict_modifier,
    ACTIONS(4561), 1,
      anon_sym_LPAREN2,
    ACTIONS(8509), 1,
      anon_sym_LBRACK,
    ACTIONS(8539), 1,
      anon_sym_STAR,
    ACTIONS(8541), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8543), 1,
      anon_sym_AMP,
    STATE(4931), 1,
      sym_parameter_list,
    STATE(5347), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(7422), 1,
      sym__function_declarator_seq,
    STATE(7715), 1,
      sym__abstract_declarator,
    ACTIONS(8529), 2,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(8531), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(5326), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(6089), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(7436), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(6754), 7,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
    ACTIONS(8527), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [129017] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6135), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(6137), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [129067] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6083), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(6085), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [129117] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6087), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(6089), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [129167] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6091), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(6093), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [129217] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4379), 1,
      anon_sym_const,
    ACTIONS(4381), 1,
      sym_ms_restrict_modifier,
    ACTIONS(4561), 1,
      anon_sym_LPAREN2,
    ACTIONS(8509), 1,
      anon_sym_LBRACK,
    ACTIONS(8521), 1,
      anon_sym_STAR,
    ACTIONS(8523), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8525), 1,
      anon_sym_AMP,
    STATE(4889), 1,
      sym_parameter_list,
    STATE(5347), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(7422), 1,
      sym__function_declarator_seq,
    STATE(7674), 1,
      sym__abstract_declarator,
    ACTIONS(8529), 2,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(8531), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(5226), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(6100), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(7436), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(6740), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    ACTIONS(8527), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [129299] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5931), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5933), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [129349] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6061), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(6063), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [129399] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5931), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5933), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [129449] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6099), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(6101), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [129499] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6139), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(6141), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [129549] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4413), 1,
      anon_sym_LBRACE,
    ACTIONS(8298), 1,
      anon_sym_LPAREN2,
    STATE(5032), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(6699), 9,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(6701), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [129605] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6065), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(6067), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [129655] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6151), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(6153), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [129705] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6065), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(6067), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [129755] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6033), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(6035), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [129805] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4435), 1,
      anon_sym_LBRACE,
    ACTIONS(8276), 1,
      anon_sym_LPAREN2,
    STATE(5551), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(6670), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6672), 22,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [129861] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6049), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(6051), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [129911] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6107), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(6109), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [129961] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6057), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(6059), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [130011] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6115), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(6117), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [130061] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6123), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(6125), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [130111] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4413), 1,
      anon_sym_LBRACE,
    ACTIONS(8298), 1,
      anon_sym_LPAREN2,
    STATE(4996), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(6779), 9,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(6781), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [130167] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4435), 1,
      anon_sym_LBRACE,
    ACTIONS(8276), 1,
      anon_sym_LPAREN2,
    STATE(5603), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(6666), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6668), 22,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [130223] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7983), 1,
      anon_sym_const,
    ACTIONS(8254), 1,
      anon_sym_LPAREN2,
    ACTIONS(8256), 1,
      anon_sym_STAR,
    ACTIONS(8258), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8260), 1,
      anon_sym_AMP,
    ACTIONS(8268), 1,
      anon_sym_LBRACK,
    ACTIONS(8535), 1,
      sym_auto,
    ACTIONS(8537), 1,
      anon_sym_decltype,
    STATE(4503), 1,
      sym_parameter_list,
    STATE(6187), 1,
      sym_decltype_auto,
    STATE(7240), 1,
      sym__abstract_declarator,
    STATE(7268), 1,
      sym__function_declarator_seq,
    STATE(5555), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(7270), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(7974), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
    ACTIONS(8545), 12,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [130301] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4435), 1,
      anon_sym_LBRACE,
    ACTIONS(8276), 1,
      anon_sym_LPAREN2,
    STATE(5545), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(6779), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6781), 22,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [130357] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6115), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(6117), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [130407] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4413), 1,
      anon_sym_LBRACE,
    ACTIONS(8298), 1,
      anon_sym_LPAREN2,
    STATE(5006), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(6670), 9,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(6672), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [130463] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6111), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(6113), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [130513] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6460), 1,
      sym_literal_suffix,
    ACTIONS(6477), 17,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6479), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [130565] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8549), 11,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(8547), 31,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym___based,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
      anon_sym__unaligned,
      anon_sym___unaligned,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      sym_identifier,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [130615] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6119), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(6121), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [130665] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8553), 11,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(8551), 31,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym___based,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
      anon_sym__unaligned,
      anon_sym___unaligned,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      sym_identifier,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [130715] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6029), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(6031), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [130765] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4413), 1,
      anon_sym_LBRACE,
    ACTIONS(8298), 1,
      anon_sym_LPAREN2,
    STATE(5009), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(6666), 9,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(6668), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [130821] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6041), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(6043), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [130871] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6095), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(6097), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [130921] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6159), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(6161), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [130971] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4379), 1,
      anon_sym_const,
    ACTIONS(4381), 1,
      sym_ms_restrict_modifier,
    ACTIONS(4561), 1,
      anon_sym_LPAREN2,
    ACTIONS(8509), 1,
      anon_sym_LBRACK,
    ACTIONS(8539), 1,
      anon_sym_STAR,
    ACTIONS(8541), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8543), 1,
      anon_sym_AMP,
    STATE(4931), 1,
      sym_parameter_list,
    STATE(5347), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(7422), 1,
      sym__function_declarator_seq,
    STATE(7686), 1,
      sym__abstract_declarator,
    ACTIONS(8529), 2,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(8531), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(5226), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(6102), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(7436), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(6740), 7,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
    ACTIONS(8527), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [131053] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1486), 1,
      anon_sym_template,
    ACTIONS(2588), 1,
      anon_sym_operator,
    ACTIONS(2877), 1,
      anon_sym_TILDE,
    ACTIONS(3148), 1,
      anon_sym_decltype,
    ACTIONS(4395), 1,
      anon_sym_LPAREN2,
    ACTIONS(6738), 1,
      sym_identifier,
    ACTIONS(6742), 1,
      anon_sym_STAR,
    ACTIONS(6744), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6746), 1,
      anon_sym_AMP,
    ACTIONS(6750), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6752), 1,
      anon_sym_LBRACK,
    ACTIONS(8449), 1,
      anon_sym_COLON,
    STATE(4871), 1,
      sym_parameter_list,
    STATE(7058), 1,
      sym__scope_resolution,
    STATE(7343), 1,
      sym__declarator,
    STATE(7422), 1,
      sym__function_declarator_seq,
    STATE(7868), 1,
      sym__abstract_declarator,
    STATE(9827), 1,
      sym_ms_based_modifier,
    STATE(10317), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    ACTIONS(8447), 4,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_GT2,
    STATE(7436), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    STATE(7680), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [131145] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7414), 18,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_literal_suffix,
    ACTIONS(7416), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [131195] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6073), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(6075), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [131245] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6069), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(6071), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [131295] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4435), 1,
      anon_sym_LBRACE,
    ACTIONS(8276), 1,
      anon_sym_LPAREN2,
    STATE(5504), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(6699), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6701), 22,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [131351] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6065), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(6067), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [131401] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6147), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(6149), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [131451] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6143), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(6145), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [131501] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6460), 1,
      sym_literal_suffix,
    ACTIONS(4221), 17,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(4213), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [131553] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6045), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(6047), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [131603] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8555), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(5832), 9,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(5834), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [131654] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6440), 1,
      anon_sym_LPAREN2,
    ACTIONS(6879), 1,
      anon_sym_LBRACK,
    ACTIONS(6883), 1,
      anon_sym_DOT,
    ACTIONS(8209), 1,
      anon_sym___attribute__,
    ACTIONS(8513), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8557), 1,
      anon_sym_COMMA,
    ACTIONS(8563), 1,
      anon_sym_SLASH,
    ACTIONS(8569), 1,
      anon_sym_PIPE,
    ACTIONS(8573), 1,
      anon_sym_AMP,
    ACTIONS(8579), 1,
      anon_sym_GT_EQ,
    ACTIONS(8583), 1,
      anon_sym_SEMI,
    ACTIONS(8585), 1,
      anon_sym_QMARK,
    ACTIONS(8587), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8589), 1,
      anon_sym_bitor,
    ACTIONS(8591), 1,
      anon_sym_bitand,
    STATE(3592), 1,
      sym_subscript_argument_list,
    STATE(3604), 1,
      sym_argument_list,
    STATE(8126), 1,
      aux_sym_field_declaration_repeat1,
    STATE(10241), 1,
      sym_attribute_specifier,
    ACTIONS(6885), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8218), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8559), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8561), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8565), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8567), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8571), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8581), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8575), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8577), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [131757] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7220), 1,
      anon_sym_LPAREN2,
    ACTIONS(7383), 1,
      sym_identifier,
    ACTIONS(7459), 1,
      anon_sym_LBRACK,
    ACTIONS(7471), 1,
      anon_sym_DOT,
    ACTIONS(8597), 1,
      anon_sym_SLASH,
    ACTIONS(8599), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(8601), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8605), 1,
      anon_sym_CARET,
    ACTIONS(8613), 1,
      anon_sym_GT_EQ,
    ACTIONS(8617), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8619), 1,
      anon_sym_or,
    ACTIONS(8621), 1,
      anon_sym_and,
    ACTIONS(8623), 1,
      anon_sym_xor,
    ACTIONS(8625), 1,
      anon_sym_not_eq,
    STATE(4356), 1,
      sym_argument_list,
    STATE(4362), 1,
      sym_subscript_argument_list,
    ACTIONS(7473), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8593), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8595), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8603), 2,
      anon_sym_PIPE,
      anon_sym_bitor,
    ACTIONS(8607), 2,
      anon_sym_AMP,
      anon_sym_bitand,
    ACTIONS(8609), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(8615), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8627), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8611), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(7385), 6,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_QMARK,
  [131854] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7220), 1,
      anon_sym_LPAREN2,
    ACTIONS(7459), 1,
      anon_sym_LBRACK,
    ACTIONS(7471), 1,
      anon_sym_DOT,
    ACTIONS(8597), 1,
      anon_sym_SLASH,
    ACTIONS(8617), 1,
      anon_sym_LT_EQ_GT,
    STATE(4356), 1,
      sym_argument_list,
    STATE(4362), 1,
      sym_subscript_argument_list,
    ACTIONS(7473), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8593), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8595), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8615), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8627), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6930), 12,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      sym_identifier,
    ACTIONS(6932), 12,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
  [131927] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7220), 1,
      anon_sym_LPAREN2,
    ACTIONS(7459), 1,
      anon_sym_LBRACK,
    ACTIONS(7471), 1,
      anon_sym_DOT,
    ACTIONS(8597), 1,
      anon_sym_SLASH,
    ACTIONS(8613), 1,
      anon_sym_GT_EQ,
    ACTIONS(8617), 1,
      anon_sym_LT_EQ_GT,
    STATE(4356), 1,
      sym_argument_list,
    STATE(4362), 1,
      sym_subscript_argument_list,
    ACTIONS(7473), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8593), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8595), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8615), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8627), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8611), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6930), 9,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      sym_identifier,
    ACTIONS(6932), 11,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK,
  [132004] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4379), 1,
      anon_sym_const,
    ACTIONS(4381), 1,
      sym_ms_restrict_modifier,
    ACTIONS(4561), 1,
      anon_sym_LPAREN2,
    ACTIONS(8509), 1,
      anon_sym_LBRACK,
    ACTIONS(8629), 1,
      anon_sym_STAR,
    ACTIONS(8631), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8633), 1,
      anon_sym_AMP,
    STATE(5033), 1,
      sym_parameter_list,
    STATE(5347), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(7422), 1,
      sym__function_declarator_seq,
    STATE(7789), 1,
      sym__abstract_declarator,
    ACTIONS(8529), 2,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(8531), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(5226), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(6120), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(7436), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(6740), 6,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
    ACTIONS(8527), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [132085] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7220), 1,
      anon_sym_LPAREN2,
    ACTIONS(7459), 1,
      anon_sym_LBRACK,
    ACTIONS(7471), 1,
      anon_sym_DOT,
    ACTIONS(8597), 1,
      anon_sym_SLASH,
    ACTIONS(8613), 1,
      anon_sym_GT_EQ,
    ACTIONS(8617), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8625), 1,
      anon_sym_not_eq,
    STATE(4356), 1,
      sym_argument_list,
    STATE(4362), 1,
      sym_subscript_argument_list,
    ACTIONS(7473), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8593), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8595), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8609), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(8615), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8627), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8611), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6930), 8,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      sym_identifier,
    ACTIONS(6932), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_QMARK,
  [132166] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7220), 1,
      anon_sym_LPAREN2,
    ACTIONS(7459), 1,
      anon_sym_LBRACK,
    ACTIONS(7471), 1,
      anon_sym_DOT,
    ACTIONS(8597), 1,
      anon_sym_SLASH,
    ACTIONS(8613), 1,
      anon_sym_GT_EQ,
    ACTIONS(8617), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8625), 1,
      anon_sym_not_eq,
    STATE(4356), 1,
      sym_argument_list,
    STATE(4362), 1,
      sym_subscript_argument_list,
    ACTIONS(7473), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8593), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8595), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8607), 2,
      anon_sym_AMP,
      anon_sym_bitand,
    ACTIONS(8609), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(8615), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8627), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8611), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6930), 6,
      anon_sym_PIPE,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      sym_identifier,
    ACTIONS(6932), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_QMARK,
  [132249] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7220), 1,
      anon_sym_LPAREN2,
    ACTIONS(7459), 1,
      anon_sym_LBRACK,
    ACTIONS(7471), 1,
      anon_sym_DOT,
    ACTIONS(8597), 1,
      anon_sym_SLASH,
    ACTIONS(8605), 1,
      anon_sym_CARET,
    ACTIONS(8613), 1,
      anon_sym_GT_EQ,
    ACTIONS(8617), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8623), 1,
      anon_sym_xor,
    ACTIONS(8625), 1,
      anon_sym_not_eq,
    STATE(4356), 1,
      sym_argument_list,
    STATE(4362), 1,
      sym_subscript_argument_list,
    ACTIONS(7473), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8593), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8595), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8607), 2,
      anon_sym_AMP,
      anon_sym_bitand,
    ACTIONS(8609), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(8615), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8627), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8611), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6930), 5,
      anon_sym_PIPE,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      sym_identifier,
    ACTIONS(6932), 8,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_QMARK,
  [132336] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7220), 1,
      anon_sym_LPAREN2,
    ACTIONS(7459), 1,
      anon_sym_LBRACK,
    ACTIONS(7471), 1,
      anon_sym_DOT,
    ACTIONS(8597), 1,
      anon_sym_SLASH,
    ACTIONS(8605), 1,
      anon_sym_CARET,
    ACTIONS(8613), 1,
      anon_sym_GT_EQ,
    ACTIONS(8617), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8623), 1,
      anon_sym_xor,
    ACTIONS(8625), 1,
      anon_sym_not_eq,
    STATE(4356), 1,
      sym_argument_list,
    STATE(4362), 1,
      sym_subscript_argument_list,
    ACTIONS(7473), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8593), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8595), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8603), 2,
      anon_sym_PIPE,
      anon_sym_bitor,
    ACTIONS(8607), 2,
      anon_sym_AMP,
      anon_sym_bitand,
    ACTIONS(8609), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(8615), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8627), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6930), 3,
      anon_sym_or,
      anon_sym_and,
      sym_identifier,
    ACTIONS(8611), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6932), 8,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_QMARK,
  [132425] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8549), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(8547), 28,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym___extension__,
      anon_sym___based,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
      anon_sym__unaligned,
      anon_sym___unaligned,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [132474] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7220), 1,
      anon_sym_LPAREN2,
    ACTIONS(7459), 1,
      anon_sym_LBRACK,
    ACTIONS(7471), 1,
      anon_sym_DOT,
    ACTIONS(8597), 1,
      anon_sym_SLASH,
    STATE(4356), 1,
      sym_argument_list,
    STATE(4362), 1,
      sym_subscript_argument_list,
    ACTIONS(7473), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8595), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8627), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6930), 14,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      sym_identifier,
    ACTIONS(6932), 15,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
  [132541] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7220), 1,
      anon_sym_LPAREN2,
    ACTIONS(7459), 1,
      anon_sym_LBRACK,
    ACTIONS(7471), 1,
      anon_sym_DOT,
    ACTIONS(8597), 1,
      anon_sym_SLASH,
    ACTIONS(8601), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8605), 1,
      anon_sym_CARET,
    ACTIONS(8613), 1,
      anon_sym_GT_EQ,
    ACTIONS(8617), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8621), 1,
      anon_sym_and,
    ACTIONS(8623), 1,
      anon_sym_xor,
    ACTIONS(8625), 1,
      anon_sym_not_eq,
    STATE(4356), 1,
      sym_argument_list,
    STATE(4362), 1,
      sym_subscript_argument_list,
    ACTIONS(6930), 2,
      anon_sym_or,
      sym_identifier,
    ACTIONS(7473), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8593), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8595), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8603), 2,
      anon_sym_PIPE,
      anon_sym_bitor,
    ACTIONS(8607), 2,
      anon_sym_AMP,
      anon_sym_bitand,
    ACTIONS(8609), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(8615), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8627), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8611), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6932), 7,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK,
  [132634] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8553), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(8551), 28,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym___extension__,
      anon_sym___based,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
      anon_sym__unaligned,
      anon_sym___unaligned,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [132683] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8635), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(8637), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8639), 1,
      anon_sym_or,
    ACTIONS(8641), 1,
      anon_sym_and,
    ACTIONS(5847), 15,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5849), 22,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [132740] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7220), 1,
      anon_sym_LPAREN2,
    ACTIONS(7387), 1,
      sym_identifier,
    ACTIONS(7459), 1,
      anon_sym_LBRACK,
    ACTIONS(7471), 1,
      anon_sym_DOT,
    ACTIONS(8597), 1,
      anon_sym_SLASH,
    ACTIONS(8599), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(8601), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8605), 1,
      anon_sym_CARET,
    ACTIONS(8613), 1,
      anon_sym_GT_EQ,
    ACTIONS(8617), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8619), 1,
      anon_sym_or,
    ACTIONS(8621), 1,
      anon_sym_and,
    ACTIONS(8623), 1,
      anon_sym_xor,
    ACTIONS(8625), 1,
      anon_sym_not_eq,
    ACTIONS(8643), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8645), 1,
      anon_sym_QMARK,
    STATE(4356), 1,
      sym_argument_list,
    STATE(4362), 1,
      sym_subscript_argument_list,
    ACTIONS(7473), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8593), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8595), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8603), 2,
      anon_sym_PIPE,
      anon_sym_bitor,
    ACTIONS(8607), 2,
      anon_sym_AMP,
      anon_sym_bitand,
    ACTIONS(8609), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(8615), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8627), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8611), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(7389), 4,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
  [132841] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7220), 1,
      anon_sym_LPAREN2,
    ACTIONS(7459), 1,
      anon_sym_LBRACK,
    ACTIONS(7471), 1,
      anon_sym_DOT,
    ACTIONS(8517), 1,
      sym_identifier,
    ACTIONS(8597), 1,
      anon_sym_SLASH,
    ACTIONS(8599), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(8601), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8605), 1,
      anon_sym_CARET,
    ACTIONS(8613), 1,
      anon_sym_GT_EQ,
    ACTIONS(8617), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8619), 1,
      anon_sym_or,
    ACTIONS(8621), 1,
      anon_sym_and,
    ACTIONS(8623), 1,
      anon_sym_xor,
    ACTIONS(8625), 1,
      anon_sym_not_eq,
    ACTIONS(8643), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8645), 1,
      anon_sym_QMARK,
    STATE(4356), 1,
      sym_argument_list,
    STATE(4362), 1,
      sym_subscript_argument_list,
    ACTIONS(7473), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8593), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8595), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8603), 2,
      anon_sym_PIPE,
      anon_sym_bitor,
    ACTIONS(8607), 2,
      anon_sym_AMP,
      anon_sym_bitand,
    ACTIONS(8609), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(8615), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8627), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8611), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(8519), 4,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
  [132942] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7220), 1,
      anon_sym_LPAREN2,
    ACTIONS(7320), 1,
      sym_identifier,
    ACTIONS(7459), 1,
      anon_sym_LBRACK,
    ACTIONS(7471), 1,
      anon_sym_DOT,
    ACTIONS(8597), 1,
      anon_sym_SLASH,
    ACTIONS(8599), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(8601), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8605), 1,
      anon_sym_CARET,
    ACTIONS(8613), 1,
      anon_sym_GT_EQ,
    ACTIONS(8617), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8619), 1,
      anon_sym_or,
    ACTIONS(8621), 1,
      anon_sym_and,
    ACTIONS(8623), 1,
      anon_sym_xor,
    ACTIONS(8625), 1,
      anon_sym_not_eq,
    STATE(4356), 1,
      sym_argument_list,
    STATE(4362), 1,
      sym_subscript_argument_list,
    ACTIONS(7473), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8593), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8595), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8603), 2,
      anon_sym_PIPE,
      anon_sym_bitor,
    ACTIONS(8607), 2,
      anon_sym_AMP,
      anon_sym_bitand,
    ACTIONS(8609), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(8615), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8627), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8611), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(7322), 6,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_QMARK,
  [133039] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2230), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8647), 1,
      anon_sym_LT,
    STATE(3203), 1,
      sym_template_argument_list,
    ACTIONS(2234), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
    ACTIONS(2232), 29,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_or,
      anon_sym_and,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [133094] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4561), 1,
      anon_sym_LPAREN2,
    ACTIONS(8503), 1,
      sym_ms_restrict_modifier,
    ACTIONS(8509), 1,
      anon_sym_LBRACK,
    ACTIONS(8511), 1,
      anon_sym_const,
    ACTIONS(8649), 1,
      anon_sym_STAR,
    ACTIONS(8651), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8653), 1,
      anon_sym_AMP,
    STATE(4992), 1,
      sym_parameter_list,
    STATE(6301), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(7422), 1,
      sym__function_declarator_seq,
    STATE(7826), 1,
      sym__abstract_declarator,
    ACTIONS(8505), 2,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(8507), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(6138), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(6142), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(7436), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(6740), 6,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
    ACTIONS(8501), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [133175] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4561), 1,
      anon_sym_LPAREN2,
    ACTIONS(8503), 1,
      sym_ms_restrict_modifier,
    ACTIONS(8509), 1,
      anon_sym_LBRACK,
    ACTIONS(8511), 1,
      anon_sym_const,
    ACTIONS(8655), 1,
      anon_sym_STAR,
    ACTIONS(8657), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8659), 1,
      anon_sym_AMP,
    STATE(5030), 1,
      sym_parameter_list,
    STATE(6301), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(7422), 1,
      sym__function_declarator_seq,
    STATE(7823), 1,
      sym__abstract_declarator,
    ACTIONS(8505), 2,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(8507), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(6110), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(6138), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(7436), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(6740), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    ACTIONS(8501), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [133256] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4561), 1,
      anon_sym_LPAREN2,
    ACTIONS(8503), 1,
      sym_ms_restrict_modifier,
    ACTIONS(8509), 1,
      anon_sym_LBRACK,
    ACTIONS(8511), 1,
      anon_sym_const,
    ACTIONS(8649), 1,
      anon_sym_STAR,
    ACTIONS(8651), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8653), 1,
      anon_sym_AMP,
    STATE(4992), 1,
      sym_parameter_list,
    STATE(6301), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(7422), 1,
      sym__function_declarator_seq,
    STATE(7788), 1,
      sym__abstract_declarator,
    ACTIONS(8505), 2,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(8507), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(5356), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(6135), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(7436), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(6754), 6,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
    ACTIONS(8501), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [133337] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7220), 1,
      anon_sym_LPAREN2,
    ACTIONS(7391), 1,
      sym_identifier,
    ACTIONS(7459), 1,
      anon_sym_LBRACK,
    ACTIONS(7471), 1,
      anon_sym_DOT,
    ACTIONS(8597), 1,
      anon_sym_SLASH,
    ACTIONS(8599), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(8601), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8605), 1,
      anon_sym_CARET,
    ACTIONS(8613), 1,
      anon_sym_GT_EQ,
    ACTIONS(8617), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8619), 1,
      anon_sym_or,
    ACTIONS(8621), 1,
      anon_sym_and,
    ACTIONS(8623), 1,
      anon_sym_xor,
    ACTIONS(8625), 1,
      anon_sym_not_eq,
    ACTIONS(8643), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8645), 1,
      anon_sym_QMARK,
    STATE(4356), 1,
      sym_argument_list,
    STATE(4362), 1,
      sym_subscript_argument_list,
    ACTIONS(7473), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8593), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8595), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8603), 2,
      anon_sym_PIPE,
      anon_sym_bitor,
    ACTIONS(8607), 2,
      anon_sym_AMP,
      anon_sym_bitand,
    ACTIONS(8609), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(8615), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8627), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8611), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(7393), 4,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
  [133438] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4561), 1,
      anon_sym_LPAREN2,
    ACTIONS(8503), 1,
      sym_ms_restrict_modifier,
    ACTIONS(8509), 1,
      anon_sym_LBRACK,
    ACTIONS(8511), 1,
      anon_sym_const,
    ACTIONS(8655), 1,
      anon_sym_STAR,
    ACTIONS(8657), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8659), 1,
      anon_sym_AMP,
    STATE(5030), 1,
      sym_parameter_list,
    STATE(6301), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(7422), 1,
      sym__function_declarator_seq,
    STATE(7786), 1,
      sym__abstract_declarator,
    ACTIONS(8505), 2,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(8507), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(5357), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(6127), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(7436), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(6754), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    ACTIONS(8501), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [133519] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4379), 1,
      anon_sym_const,
    ACTIONS(4381), 1,
      sym_ms_restrict_modifier,
    ACTIONS(4561), 1,
      anon_sym_LPAREN2,
    ACTIONS(8509), 1,
      anon_sym_LBRACK,
    ACTIONS(8629), 1,
      anon_sym_STAR,
    ACTIONS(8631), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8633), 1,
      anon_sym_AMP,
    STATE(5033), 1,
      sym_parameter_list,
    STATE(5347), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(7422), 1,
      sym__function_declarator_seq,
    STATE(7776), 1,
      sym__abstract_declarator,
    ACTIONS(8529), 2,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(8531), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(5342), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(6144), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(7436), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(6754), 6,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
    ACTIONS(8527), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [133600] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7220), 1,
      anon_sym_LPAREN2,
    ACTIONS(7459), 1,
      anon_sym_LBRACK,
    ACTIONS(7471), 1,
      anon_sym_DOT,
    STATE(4356), 1,
      sym_argument_list,
    STATE(4362), 1,
      sym_subscript_argument_list,
    ACTIONS(7473), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8627), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6930), 15,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      sym_identifier,
    ACTIONS(6932), 17,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
  [133663] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6440), 1,
      anon_sym_LPAREN2,
    ACTIONS(6879), 1,
      anon_sym_LBRACK,
    ACTIONS(6883), 1,
      anon_sym_DOT,
    ACTIONS(8209), 1,
      anon_sym___attribute__,
    ACTIONS(8513), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8557), 1,
      anon_sym_COMMA,
    ACTIONS(8563), 1,
      anon_sym_SLASH,
    ACTIONS(8569), 1,
      anon_sym_PIPE,
    ACTIONS(8573), 1,
      anon_sym_AMP,
    ACTIONS(8579), 1,
      anon_sym_GT_EQ,
    ACTIONS(8585), 1,
      anon_sym_QMARK,
    ACTIONS(8587), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8589), 1,
      anon_sym_bitor,
    ACTIONS(8591), 1,
      anon_sym_bitand,
    ACTIONS(8661), 1,
      anon_sym_SEMI,
    STATE(3592), 1,
      sym_subscript_argument_list,
    STATE(3604), 1,
      sym_argument_list,
    STATE(8103), 1,
      aux_sym_field_declaration_repeat1,
    STATE(10310), 1,
      sym_attribute_specifier,
    ACTIONS(6885), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8218), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8559), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8561), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8565), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8567), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8571), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8581), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8575), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8577), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [133766] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7144), 1,
      sym_identifier,
    ACTIONS(7220), 1,
      anon_sym_LPAREN2,
    ACTIONS(7459), 1,
      anon_sym_LBRACK,
    ACTIONS(7471), 1,
      anon_sym_DOT,
    ACTIONS(8597), 1,
      anon_sym_SLASH,
    ACTIONS(8599), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(8601), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8605), 1,
      anon_sym_CARET,
    ACTIONS(8613), 1,
      anon_sym_GT_EQ,
    ACTIONS(8617), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8619), 1,
      anon_sym_or,
    ACTIONS(8621), 1,
      anon_sym_and,
    ACTIONS(8623), 1,
      anon_sym_xor,
    ACTIONS(8625), 1,
      anon_sym_not_eq,
    ACTIONS(8643), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8645), 1,
      anon_sym_QMARK,
    STATE(4356), 1,
      sym_argument_list,
    STATE(4362), 1,
      sym_subscript_argument_list,
    ACTIONS(7473), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8593), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8595), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8603), 2,
      anon_sym_PIPE,
      anon_sym_bitor,
    ACTIONS(8607), 2,
      anon_sym_AMP,
      anon_sym_bitand,
    ACTIONS(8609), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(8615), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8627), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8611), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(7146), 4,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
  [133867] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6440), 1,
      anon_sym_LPAREN2,
    ACTIONS(6879), 1,
      anon_sym_LBRACK,
    ACTIONS(6883), 1,
      anon_sym_DOT,
    ACTIONS(8209), 1,
      anon_sym___attribute__,
    ACTIONS(8513), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8557), 1,
      anon_sym_COMMA,
    ACTIONS(8563), 1,
      anon_sym_SLASH,
    ACTIONS(8569), 1,
      anon_sym_PIPE,
    ACTIONS(8573), 1,
      anon_sym_AMP,
    ACTIONS(8579), 1,
      anon_sym_GT_EQ,
    ACTIONS(8585), 1,
      anon_sym_QMARK,
    ACTIONS(8587), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8589), 1,
      anon_sym_bitor,
    ACTIONS(8591), 1,
      anon_sym_bitand,
    ACTIONS(8663), 1,
      anon_sym_SEMI,
    STATE(3592), 1,
      sym_subscript_argument_list,
    STATE(3604), 1,
      sym_argument_list,
    STATE(8128), 1,
      aux_sym_field_declaration_repeat1,
    STATE(9453), 1,
      sym_attribute_specifier,
    ACTIONS(6885), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8218), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8559), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8561), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8565), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8567), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8571), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8581), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8575), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8577), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [133970] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2256), 2,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
    ACTIONS(4578), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(4573), 23,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [134021] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7414), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_literal_suffix,
    ACTIONS(7416), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [134070] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6440), 1,
      anon_sym_LPAREN2,
    ACTIONS(6879), 1,
      anon_sym_LBRACK,
    ACTIONS(6883), 1,
      anon_sym_DOT,
    ACTIONS(8209), 1,
      anon_sym___attribute__,
    ACTIONS(8513), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8557), 1,
      anon_sym_COMMA,
    ACTIONS(8563), 1,
      anon_sym_SLASH,
    ACTIONS(8569), 1,
      anon_sym_PIPE,
    ACTIONS(8573), 1,
      anon_sym_AMP,
    ACTIONS(8579), 1,
      anon_sym_GT_EQ,
    ACTIONS(8585), 1,
      anon_sym_QMARK,
    ACTIONS(8587), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8589), 1,
      anon_sym_bitor,
    ACTIONS(8591), 1,
      anon_sym_bitand,
    ACTIONS(8665), 1,
      anon_sym_SEMI,
    STATE(3592), 1,
      sym_subscript_argument_list,
    STATE(3604), 1,
      sym_argument_list,
    STATE(8146), 1,
      aux_sym_field_declaration_repeat1,
    STATE(9936), 1,
      sym_attribute_specifier,
    ACTIONS(6885), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8218), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8559), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8561), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8565), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8567), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8571), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8581), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8575), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8577), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [134173] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7220), 1,
      anon_sym_LPAREN2,
    ACTIONS(7459), 1,
      anon_sym_LBRACK,
    ACTIONS(7471), 1,
      anon_sym_DOT,
    STATE(4356), 1,
      sym_argument_list,
    STATE(4362), 1,
      sym_subscript_argument_list,
    ACTIONS(7473), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6904), 15,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      sym_identifier,
    ACTIONS(6906), 19,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
  [134234] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7220), 1,
      anon_sym_LPAREN2,
    ACTIONS(7459), 1,
      anon_sym_LBRACK,
    ACTIONS(7471), 1,
      anon_sym_DOT,
    STATE(4356), 1,
      sym_argument_list,
    STATE(4362), 1,
      sym_subscript_argument_list,
    ACTIONS(7473), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8627), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6934), 15,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      sym_identifier,
    ACTIONS(6936), 17,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
  [134297] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8637), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8641), 1,
      anon_sym_and,
    ACTIONS(5832), 16,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5834), 23,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [134350] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8555), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8667), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(5847), 9,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(5849), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [134403] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8278), 1,
      anon_sym_LBRACK,
    STATE(5413), 1,
      sym_new_declarator,
    ACTIONS(6837), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6839), 23,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [134456] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6460), 1,
      sym_literal_suffix,
    ACTIONS(4221), 15,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
    ACTIONS(4213), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [134507] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7220), 1,
      anon_sym_LPAREN2,
    ACTIONS(7459), 1,
      anon_sym_LBRACK,
    ACTIONS(7471), 1,
      anon_sym_DOT,
    STATE(4356), 1,
      sym_argument_list,
    STATE(4362), 1,
      sym_subscript_argument_list,
    ACTIONS(7473), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6924), 15,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      sym_identifier,
    ACTIONS(6926), 19,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
  [134568] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7983), 1,
      anon_sym_const,
    ACTIONS(8254), 1,
      anon_sym_LPAREN2,
    ACTIONS(8268), 1,
      anon_sym_LBRACK,
    ACTIONS(8292), 1,
      anon_sym_STAR,
    ACTIONS(8294), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8296), 1,
      anon_sym_AMP,
    ACTIONS(8535), 1,
      sym_auto,
    ACTIONS(8537), 1,
      anon_sym_decltype,
    STATE(4816), 1,
      sym_parameter_list,
    STATE(6187), 1,
      sym_decltype_auto,
    STATE(7268), 1,
      sym__function_declarator_seq,
    STATE(7353), 1,
      sym__abstract_declarator,
    STATE(5722), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(7270), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(7974), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
    ACTIONS(8545), 11,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [134645] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6460), 1,
      sym_literal_suffix,
    ACTIONS(6477), 15,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
    ACTIONS(6479), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [134696] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7220), 1,
      anon_sym_LPAREN2,
    ACTIONS(7369), 1,
      sym_identifier,
    ACTIONS(7459), 1,
      anon_sym_LBRACK,
    ACTIONS(7471), 1,
      anon_sym_DOT,
    ACTIONS(8597), 1,
      anon_sym_SLASH,
    ACTIONS(8599), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(8601), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8605), 1,
      anon_sym_CARET,
    ACTIONS(8613), 1,
      anon_sym_GT_EQ,
    ACTIONS(8617), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8619), 1,
      anon_sym_or,
    ACTIONS(8621), 1,
      anon_sym_and,
    ACTIONS(8623), 1,
      anon_sym_xor,
    ACTIONS(8625), 1,
      anon_sym_not_eq,
    STATE(4356), 1,
      sym_argument_list,
    STATE(4362), 1,
      sym_subscript_argument_list,
    ACTIONS(7473), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8593), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8595), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8603), 2,
      anon_sym_PIPE,
      anon_sym_bitor,
    ACTIONS(8607), 2,
      anon_sym_AMP,
      anon_sym_bitand,
    ACTIONS(8609), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(8615), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8627), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8611), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(7371), 6,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_QMARK,
  [134793] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7220), 1,
      anon_sym_LPAREN2,
    ACTIONS(7459), 1,
      anon_sym_LBRACK,
    ACTIONS(7471), 1,
      anon_sym_DOT,
    STATE(4356), 1,
      sym_argument_list,
    STATE(4362), 1,
      sym_subscript_argument_list,
    ACTIONS(7473), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8627), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6908), 15,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      sym_identifier,
    ACTIONS(6910), 17,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
  [134856] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7220), 1,
      anon_sym_LPAREN2,
    ACTIONS(7373), 1,
      sym_identifier,
    ACTIONS(7459), 1,
      anon_sym_LBRACK,
    ACTIONS(7471), 1,
      anon_sym_DOT,
    ACTIONS(8597), 1,
      anon_sym_SLASH,
    ACTIONS(8599), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(8601), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8605), 1,
      anon_sym_CARET,
    ACTIONS(8613), 1,
      anon_sym_GT_EQ,
    ACTIONS(8617), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8619), 1,
      anon_sym_or,
    ACTIONS(8621), 1,
      anon_sym_and,
    ACTIONS(8623), 1,
      anon_sym_xor,
    ACTIONS(8625), 1,
      anon_sym_not_eq,
    STATE(4356), 1,
      sym_argument_list,
    STATE(4362), 1,
      sym_subscript_argument_list,
    ACTIONS(7473), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8593), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8595), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8603), 2,
      anon_sym_PIPE,
      anon_sym_bitor,
    ACTIONS(8607), 2,
      anon_sym_AMP,
      anon_sym_bitand,
    ACTIONS(8609), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(8615), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8627), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8611), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(7375), 6,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_QMARK,
  [134953] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7220), 1,
      anon_sym_LPAREN2,
    ACTIONS(7459), 1,
      anon_sym_LBRACK,
    ACTIONS(7471), 1,
      anon_sym_DOT,
    STATE(4356), 1,
      sym_argument_list,
    STATE(4362), 1,
      sym_subscript_argument_list,
    ACTIONS(7473), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8627), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6916), 15,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      sym_identifier,
    ACTIONS(6918), 17,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
  [135016] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2230), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8647), 1,
      anon_sym_LT,
    STATE(3203), 1,
      sym_template_argument_list,
    ACTIONS(2226), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
    ACTIONS(2224), 29,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_or,
      anon_sym_and,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [135071] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7220), 1,
      anon_sym_LPAREN2,
    ACTIONS(7459), 1,
      anon_sym_LBRACK,
    ACTIONS(7471), 1,
      anon_sym_DOT,
    ACTIONS(8597), 1,
      anon_sym_SLASH,
    STATE(4356), 1,
      sym_argument_list,
    STATE(4362), 1,
      sym_subscript_argument_list,
    ACTIONS(7473), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8593), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8595), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8627), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6930), 12,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      sym_identifier,
    ACTIONS(6932), 15,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
  [135140] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7220), 1,
      anon_sym_LPAREN2,
    ACTIONS(7459), 1,
      anon_sym_LBRACK,
    ACTIONS(7471), 1,
      anon_sym_DOT,
    ACTIONS(8597), 1,
      anon_sym_SLASH,
    STATE(4356), 1,
      sym_argument_list,
    STATE(4362), 1,
      sym_subscript_argument_list,
    ACTIONS(7473), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8593), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8595), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8615), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8627), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6930), 12,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      sym_identifier,
    ACTIONS(6932), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
  [135211] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7983), 1,
      anon_sym_const,
    ACTIONS(8254), 1,
      anon_sym_LPAREN2,
    ACTIONS(8268), 1,
      anon_sym_LBRACK,
    ACTIONS(8292), 1,
      anon_sym_STAR,
    ACTIONS(8294), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8296), 1,
      anon_sym_AMP,
    ACTIONS(8535), 1,
      sym_auto,
    ACTIONS(8537), 1,
      anon_sym_decltype,
    STATE(4816), 1,
      sym_parameter_list,
    STATE(6187), 1,
      sym_decltype_auto,
    STATE(7243), 1,
      sym__abstract_declarator,
    STATE(7268), 1,
      sym__function_declarator_seq,
    STATE(5743), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(7270), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(7974), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
    ACTIONS(8533), 11,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [135288] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5745), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(5747), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [135336] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(63), 1,
      anon_sym_const,
    ACTIONS(8254), 1,
      anon_sym_LPAREN2,
    ACTIONS(8262), 1,
      sym_ms_restrict_modifier,
    ACTIONS(8268), 1,
      anon_sym_LBRACK,
    ACTIONS(8669), 1,
      anon_sym_STAR,
    ACTIONS(8671), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8673), 1,
      anon_sym_AMP,
    STATE(5095), 1,
      sym_parameter_list,
    STATE(5318), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(7268), 1,
      sym__function_declarator_seq,
    STATE(7864), 1,
      sym__abstract_declarator,
    ACTIONS(8264), 2,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(8266), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(5405), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(6178), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(6754), 5,
      anon_sym_RPAREN,
      anon_sym_LBRACK_LBRACK,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    STATE(7270), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8207), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [135416] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6563), 1,
      sym_literal_suffix,
    ACTIONS(4221), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(4213), 23,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [135466] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5779), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(5781), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [135514] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6440), 1,
      anon_sym_LPAREN2,
    ACTIONS(6879), 1,
      anon_sym_LBRACK,
    ACTIONS(6883), 1,
      anon_sym_DOT,
    ACTIONS(8679), 1,
      anon_sym_SLASH,
    ACTIONS(8681), 1,
      anon_sym_PIPE,
    ACTIONS(8685), 1,
      anon_sym_AMP,
    ACTIONS(8691), 1,
      anon_sym_GT_EQ,
    ACTIONS(8695), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8697), 1,
      anon_sym_bitor,
    ACTIONS(8699), 1,
      anon_sym_bitand,
    STATE(3592), 1,
      sym_subscript_argument_list,
    STATE(3604), 1,
      sym_argument_list,
    ACTIONS(6885), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8218), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8675), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8677), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8683), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8693), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8687), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8689), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6932), 10,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_QMARK,
      anon_sym_or,
      anon_sym_and,
  [135600] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6440), 1,
      anon_sym_LPAREN2,
    ACTIONS(6879), 1,
      anon_sym_LBRACK,
    ACTIONS(6883), 1,
      anon_sym_DOT,
    ACTIONS(6930), 1,
      anon_sym_PIPE,
    ACTIONS(8679), 1,
      anon_sym_SLASH,
    ACTIONS(8685), 1,
      anon_sym_AMP,
    ACTIONS(8691), 1,
      anon_sym_GT_EQ,
    ACTIONS(8695), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8699), 1,
      anon_sym_bitand,
    STATE(3592), 1,
      sym_subscript_argument_list,
    STATE(3604), 1,
      sym_argument_list,
    ACTIONS(6885), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8218), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8675), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8677), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8693), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8687), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8689), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6932), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_QMARK,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
  [135682] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6440), 1,
      anon_sym_LPAREN2,
    ACTIONS(6879), 1,
      anon_sym_LBRACK,
    ACTIONS(6883), 1,
      anon_sym_DOT,
    ACTIONS(8513), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8679), 1,
      anon_sym_SLASH,
    ACTIONS(8681), 1,
      anon_sym_PIPE,
    ACTIONS(8685), 1,
      anon_sym_AMP,
    ACTIONS(8691), 1,
      anon_sym_GT_EQ,
    ACTIONS(8695), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8697), 1,
      anon_sym_bitor,
    ACTIONS(8699), 1,
      anon_sym_bitand,
    ACTIONS(8705), 1,
      anon_sym_QMARK,
    STATE(3592), 1,
      sym_subscript_argument_list,
    STATE(3604), 1,
      sym_argument_list,
    ACTIONS(6885), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8218), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8675), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8677), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8683), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8693), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8701), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8703), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8687), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8689), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(7393), 4,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_RBRACE,
  [135776] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5721), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(5723), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [135824] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6440), 1,
      anon_sym_LPAREN2,
    ACTIONS(6879), 1,
      anon_sym_LBRACK,
    ACTIONS(6883), 1,
      anon_sym_DOT,
    ACTIONS(8679), 1,
      anon_sym_SLASH,
    ACTIONS(8681), 1,
      anon_sym_PIPE,
    ACTIONS(8685), 1,
      anon_sym_AMP,
    ACTIONS(8691), 1,
      anon_sym_GT_EQ,
    ACTIONS(8695), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8697), 1,
      anon_sym_bitor,
    ACTIONS(8699), 1,
      anon_sym_bitand,
    STATE(3592), 1,
      sym_subscript_argument_list,
    STATE(3604), 1,
      sym_argument_list,
    ACTIONS(6885), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8218), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8675), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8677), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8683), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8693), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8701), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8703), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8687), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8689), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(7375), 6,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_QMARK,
  [135914] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6440), 1,
      anon_sym_LPAREN2,
    ACTIONS(6879), 1,
      anon_sym_LBRACK,
    ACTIONS(6883), 1,
      anon_sym_DOT,
    ACTIONS(6930), 1,
      anon_sym_PIPE,
    ACTIONS(8679), 1,
      anon_sym_SLASH,
    ACTIONS(8685), 1,
      anon_sym_AMP,
    ACTIONS(8691), 1,
      anon_sym_GT_EQ,
    ACTIONS(8695), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8699), 1,
      anon_sym_bitand,
    STATE(3592), 1,
      sym_subscript_argument_list,
    STATE(3604), 1,
      sym_argument_list,
    ACTIONS(6885), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8218), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8675), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8677), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8683), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8693), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8687), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8689), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6932), 11,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_QMARK,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
  [135998] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6440), 1,
      anon_sym_LPAREN2,
    ACTIONS(6879), 1,
      anon_sym_LBRACK,
    ACTIONS(6883), 1,
      anon_sym_DOT,
    ACTIONS(8513), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8679), 1,
      anon_sym_SLASH,
    ACTIONS(8681), 1,
      anon_sym_PIPE,
    ACTIONS(8685), 1,
      anon_sym_AMP,
    ACTIONS(8691), 1,
      anon_sym_GT_EQ,
    ACTIONS(8695), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8697), 1,
      anon_sym_bitor,
    ACTIONS(8699), 1,
      anon_sym_bitand,
    ACTIONS(8705), 1,
      anon_sym_QMARK,
    STATE(3592), 1,
      sym_subscript_argument_list,
    STATE(3604), 1,
      sym_argument_list,
    ACTIONS(6885), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8218), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8675), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8677), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8683), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8693), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8701), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8703), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8687), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8689), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(7146), 4,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_RBRACE,
  [136092] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2206), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(2204), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [136140] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2230), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5900), 1,
      anon_sym_LT,
    STATE(3203), 1,
      sym_template_argument_list,
    STATE(5940), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5896), 4,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(8707), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5898), 28,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [136198] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1486), 1,
      anon_sym_template,
    ACTIONS(2588), 1,
      anon_sym_operator,
    ACTIONS(2877), 1,
      anon_sym_TILDE,
    ACTIONS(3148), 1,
      anon_sym_decltype,
    ACTIONS(4395), 1,
      anon_sym_LPAREN2,
    ACTIONS(6738), 1,
      sym_identifier,
    ACTIONS(6750), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6752), 1,
      anon_sym_LBRACK,
    ACTIONS(6898), 1,
      anon_sym_STAR,
    ACTIONS(6900), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6902), 1,
      anon_sym_AMP,
    ACTIONS(8449), 1,
      anon_sym_COLON,
    STATE(4987), 1,
      sym_parameter_list,
    STATE(7058), 1,
      sym__scope_resolution,
    STATE(7343), 1,
      sym__declarator,
    STATE(7422), 1,
      sym__function_declarator_seq,
    STATE(7986), 1,
      sym__abstract_declarator,
    STATE(9827), 1,
      sym_ms_based_modifier,
    ACTIONS(8447), 2,
      anon_sym_COMMA,
      anon_sym_GT2,
    STATE(10317), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(7436), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    STATE(7680), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [136288] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6440), 1,
      anon_sym_LPAREN2,
    ACTIONS(6879), 1,
      anon_sym_LBRACK,
    ACTIONS(6883), 1,
      anon_sym_DOT,
    ACTIONS(8513), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8679), 1,
      anon_sym_SLASH,
    ACTIONS(8681), 1,
      anon_sym_PIPE,
    ACTIONS(8685), 1,
      anon_sym_AMP,
    ACTIONS(8691), 1,
      anon_sym_GT_EQ,
    ACTIONS(8695), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8697), 1,
      anon_sym_bitor,
    ACTIONS(8699), 1,
      anon_sym_bitand,
    ACTIONS(8705), 1,
      anon_sym_QMARK,
    ACTIONS(8709), 1,
      anon_sym_COMMA,
    ACTIONS(8711), 1,
      anon_sym_SEMI,
    ACTIONS(8713), 1,
      anon_sym_RBRACE,
    STATE(3592), 1,
      sym_subscript_argument_list,
    STATE(3604), 1,
      sym_argument_list,
    STATE(8543), 1,
      aux_sym_initializer_list_repeat1,
    ACTIONS(6885), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8218), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8675), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8677), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8683), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8693), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8701), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8703), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8687), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8689), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [136388] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5727), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(5729), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [136436] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5731), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(5733), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [136484] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5764), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(5766), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [136532] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5756), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(5758), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [136580] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(63), 1,
      anon_sym_const,
    ACTIONS(8254), 1,
      anon_sym_LPAREN2,
    ACTIONS(8262), 1,
      sym_ms_restrict_modifier,
    ACTIONS(8268), 1,
      anon_sym_LBRACK,
    ACTIONS(8669), 1,
      anon_sym_STAR,
    ACTIONS(8671), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8673), 1,
      anon_sym_AMP,
    STATE(5095), 1,
      sym_parameter_list,
    STATE(5318), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(7268), 1,
      sym__function_declarator_seq,
    STATE(7836), 1,
      sym__abstract_declarator,
    ACTIONS(8264), 2,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(8266), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(5077), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(6234), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(6740), 5,
      anon_sym_RPAREN,
      anon_sym_LBRACK_LBRACK,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    STATE(7270), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8207), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [136660] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1486), 1,
      anon_sym_template,
    ACTIONS(2588), 1,
      anon_sym_operator,
    ACTIONS(2877), 1,
      anon_sym_TILDE,
    ACTIONS(3148), 1,
      anon_sym_decltype,
    ACTIONS(4395), 1,
      anon_sym_LPAREN2,
    ACTIONS(6738), 1,
      sym_identifier,
    ACTIONS(6750), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6752), 1,
      anon_sym_LBRACK,
    ACTIONS(6867), 1,
      anon_sym_STAR,
    ACTIONS(6869), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6871), 1,
      anon_sym_AMP,
    ACTIONS(8449), 1,
      anon_sym_COLON,
    STATE(5014), 1,
      sym_parameter_list,
    STATE(7058), 1,
      sym__scope_resolution,
    STATE(7343), 1,
      sym__declarator,
    STATE(7422), 1,
      sym__function_declarator_seq,
    STATE(8001), 1,
      sym__abstract_declarator,
    STATE(9827), 1,
      sym_ms_based_modifier,
    ACTIONS(8447), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    STATE(10317), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(7436), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    STATE(7680), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [136750] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(63), 1,
      anon_sym_const,
    ACTIONS(8717), 2,
      anon_sym_AMP,
      anon_sym_LBRACK,
    STATE(5957), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(6021), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(7110), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(8207), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
    ACTIONS(8715), 20,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_noexcept,
      anon_sym_throw,
      anon_sym_requires,
  [136808] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5768), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(5770), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [136856] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2230), 1,
      anon_sym_COLON_COLON,
    ACTIONS(2297), 1,
      anon_sym_LT,
    STATE(3017), 1,
      sym_template_argument_list,
    STATE(5940), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(4211), 4,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(8707), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(4219), 28,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [136914] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2238), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(2236), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [136962] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7414), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_literal_suffix,
    ACTIONS(7416), 23,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [137010] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5749), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(5751), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [137058] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6961), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6963), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [137106] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6440), 1,
      anon_sym_LPAREN2,
    ACTIONS(6879), 1,
      anon_sym_LBRACK,
    ACTIONS(6883), 1,
      anon_sym_DOT,
    ACTIONS(8679), 1,
      anon_sym_SLASH,
    ACTIONS(8681), 1,
      anon_sym_PIPE,
    ACTIONS(8685), 1,
      anon_sym_AMP,
    ACTIONS(8691), 1,
      anon_sym_GT_EQ,
    ACTIONS(8695), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8697), 1,
      anon_sym_bitor,
    ACTIONS(8699), 1,
      anon_sym_bitand,
    STATE(3592), 1,
      sym_subscript_argument_list,
    STATE(3604), 1,
      sym_argument_list,
    ACTIONS(6885), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8218), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8675), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8677), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8683), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8693), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8701), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8703), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8687), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8689), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(7385), 6,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_QMARK,
  [137196] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6440), 1,
      anon_sym_LPAREN2,
    ACTIONS(6879), 1,
      anon_sym_LBRACK,
    ACTIONS(6883), 1,
      anon_sym_DOT,
    ACTIONS(8513), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8679), 1,
      anon_sym_SLASH,
    ACTIONS(8681), 1,
      anon_sym_PIPE,
    ACTIONS(8685), 1,
      anon_sym_AMP,
    ACTIONS(8691), 1,
      anon_sym_GT_EQ,
    ACTIONS(8695), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8697), 1,
      anon_sym_bitor,
    ACTIONS(8699), 1,
      anon_sym_bitand,
    ACTIONS(8705), 1,
      anon_sym_QMARK,
    ACTIONS(8719), 1,
      anon_sym_COMMA,
    ACTIONS(8721), 1,
      anon_sym_RPAREN,
    ACTIONS(8723), 1,
      anon_sym_SEMI,
    STATE(3592), 1,
      sym_subscript_argument_list,
    STATE(3604), 1,
      sym_argument_list,
    STATE(8522), 1,
      aux_sym_declaration_repeat1,
    ACTIONS(6885), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8218), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8675), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8677), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8683), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8693), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8701), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8703), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8687), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8689), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [137296] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6440), 1,
      anon_sym_LPAREN2,
    ACTIONS(6879), 1,
      anon_sym_LBRACK,
    ACTIONS(6883), 1,
      anon_sym_DOT,
    ACTIONS(8679), 1,
      anon_sym_SLASH,
    ACTIONS(8681), 1,
      anon_sym_PIPE,
    ACTIONS(8685), 1,
      anon_sym_AMP,
    ACTIONS(8691), 1,
      anon_sym_GT_EQ,
    ACTIONS(8695), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8697), 1,
      anon_sym_bitor,
    ACTIONS(8699), 1,
      anon_sym_bitand,
    STATE(3592), 1,
      sym_subscript_argument_list,
    STATE(3604), 1,
      sym_argument_list,
    ACTIONS(6885), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8218), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8675), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8677), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8683), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8693), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8703), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8687), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8689), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6932), 8,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_QMARK,
      anon_sym_or,
  [137384] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6440), 1,
      anon_sym_LPAREN2,
    ACTIONS(6879), 1,
      anon_sym_LBRACK,
    ACTIONS(6883), 1,
      anon_sym_DOT,
    ACTIONS(8679), 1,
      anon_sym_SLASH,
    STATE(3592), 1,
      sym_subscript_argument_list,
    STATE(3604), 1,
      sym_argument_list,
    ACTIONS(6885), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8218), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8675), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8677), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8693), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6930), 5,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6932), 19,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [137454] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6440), 1,
      anon_sym_LPAREN2,
    ACTIONS(6879), 1,
      anon_sym_LBRACK,
    ACTIONS(6883), 1,
      anon_sym_DOT,
    ACTIONS(8679), 1,
      anon_sym_SLASH,
    STATE(3592), 1,
      sym_subscript_argument_list,
    STATE(3604), 1,
      sym_argument_list,
    ACTIONS(6885), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8218), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8677), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(6930), 7,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6932), 21,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [137520] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6440), 1,
      anon_sym_LPAREN2,
    ACTIONS(6879), 1,
      anon_sym_LBRACK,
    ACTIONS(6883), 1,
      anon_sym_DOT,
    ACTIONS(8679), 1,
      anon_sym_SLASH,
    ACTIONS(8681), 1,
      anon_sym_PIPE,
    ACTIONS(8685), 1,
      anon_sym_AMP,
    ACTIONS(8691), 1,
      anon_sym_GT_EQ,
    ACTIONS(8695), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8697), 1,
      anon_sym_bitor,
    ACTIONS(8699), 1,
      anon_sym_bitand,
    STATE(3592), 1,
      sym_subscript_argument_list,
    STATE(3604), 1,
      sym_argument_list,
    ACTIONS(6885), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8218), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8675), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8677), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8683), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8693), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8701), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8703), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8687), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8689), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(7322), 6,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_QMARK,
  [137610] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5745), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(5747), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [137658] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5735), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(5737), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [137706] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5745), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(5747), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [137754] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5739), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(5741), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [137802] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6440), 1,
      anon_sym_LPAREN2,
    ACTIONS(6879), 1,
      anon_sym_LBRACK,
    ACTIONS(6883), 1,
      anon_sym_DOT,
    ACTIONS(8679), 1,
      anon_sym_SLASH,
    STATE(3592), 1,
      sym_subscript_argument_list,
    STATE(3604), 1,
      sym_argument_list,
    ACTIONS(6885), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8218), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8675), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8677), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(6930), 5,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6932), 21,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [137870] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5760), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(5762), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [137918] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6440), 1,
      anon_sym_LPAREN2,
    ACTIONS(6879), 1,
      anon_sym_LBRACK,
    ACTIONS(6883), 1,
      anon_sym_DOT,
    ACTIONS(8679), 1,
      anon_sym_SLASH,
    ACTIONS(8681), 1,
      anon_sym_PIPE,
    ACTIONS(8685), 1,
      anon_sym_AMP,
    ACTIONS(8691), 1,
      anon_sym_GT_EQ,
    ACTIONS(8695), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8697), 1,
      anon_sym_bitor,
    ACTIONS(8699), 1,
      anon_sym_bitand,
    STATE(3592), 1,
      sym_subscript_argument_list,
    STATE(3604), 1,
      sym_argument_list,
    ACTIONS(6885), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8218), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8675), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8677), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8683), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8693), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8701), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8703), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8687), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8689), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(7371), 6,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_QMARK,
  [138008] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5772), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(5774), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [138056] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6440), 1,
      anon_sym_LPAREN2,
    ACTIONS(6879), 1,
      anon_sym_LBRACK,
    ACTIONS(6883), 1,
      anon_sym_DOT,
    ACTIONS(8679), 1,
      anon_sym_SLASH,
    ACTIONS(8691), 1,
      anon_sym_GT_EQ,
    ACTIONS(8695), 1,
      anon_sym_LT_EQ_GT,
    STATE(3592), 1,
      sym_subscript_argument_list,
    STATE(3604), 1,
      sym_argument_list,
    ACTIONS(6885), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6930), 2,
      anon_sym_PIPE,
      anon_sym_AMP,
    ACTIONS(8218), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8675), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8677), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8693), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8689), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6932), 17,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_QMARK,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [138132] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6563), 1,
      sym_literal_suffix,
    ACTIONS(6477), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6479), 23,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [138182] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6440), 1,
      anon_sym_LPAREN2,
    ACTIONS(6879), 1,
      anon_sym_LBRACK,
    ACTIONS(6883), 1,
      anon_sym_DOT,
    ACTIONS(8513), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8679), 1,
      anon_sym_SLASH,
    ACTIONS(8681), 1,
      anon_sym_PIPE,
    ACTIONS(8685), 1,
      anon_sym_AMP,
    ACTIONS(8691), 1,
      anon_sym_GT_EQ,
    ACTIONS(8695), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8697), 1,
      anon_sym_bitor,
    ACTIONS(8699), 1,
      anon_sym_bitand,
    ACTIONS(8705), 1,
      anon_sym_QMARK,
    STATE(3592), 1,
      sym_subscript_argument_list,
    STATE(3604), 1,
      sym_argument_list,
    ACTIONS(6885), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8218), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8675), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8677), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8683), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8693), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8701), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8703), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8687), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8689), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(7389), 4,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_RBRACE,
  [138276] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7983), 1,
      anon_sym_const,
    ACTIONS(8717), 2,
      anon_sym_AMP,
      anon_sym_LBRACK,
    STATE(6015), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(6016), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(7075), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(7974), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
    ACTIONS(8715), 20,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_AMP_AMP,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_noexcept,
      anon_sym_throw,
      anon_sym_requires,
  [138334] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6440), 1,
      anon_sym_LPAREN2,
    ACTIONS(6879), 1,
      anon_sym_LBRACK,
    ACTIONS(6883), 1,
      anon_sym_DOT,
    ACTIONS(8679), 1,
      anon_sym_SLASH,
    ACTIONS(8695), 1,
      anon_sym_LT_EQ_GT,
    STATE(3592), 1,
      sym_subscript_argument_list,
    STATE(3604), 1,
      sym_argument_list,
    ACTIONS(6885), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8218), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8675), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8677), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8693), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6930), 5,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6932), 18,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_QMARK,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [138406] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6440), 1,
      anon_sym_LPAREN2,
    ACTIONS(6879), 1,
      anon_sym_LBRACK,
    ACTIONS(6883), 1,
      anon_sym_DOT,
    ACTIONS(8679), 1,
      anon_sym_SLASH,
    ACTIONS(8691), 1,
      anon_sym_GT_EQ,
    ACTIONS(8695), 1,
      anon_sym_LT_EQ_GT,
    STATE(3592), 1,
      sym_subscript_argument_list,
    STATE(3604), 1,
      sym_argument_list,
    ACTIONS(6885), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6930), 2,
      anon_sym_PIPE,
      anon_sym_AMP,
    ACTIONS(8218), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8675), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8677), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8693), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8687), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8689), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6932), 14,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_QMARK,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
  [138484] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5745), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5747), 23,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [138531] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6440), 1,
      anon_sym_LPAREN2,
    ACTIONS(6879), 1,
      anon_sym_LBRACK,
    ACTIONS(6883), 1,
      anon_sym_DOT,
    ACTIONS(8513), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8563), 1,
      anon_sym_SLASH,
    ACTIONS(8569), 1,
      anon_sym_PIPE,
    ACTIONS(8573), 1,
      anon_sym_AMP,
    ACTIONS(8579), 1,
      anon_sym_GT_EQ,
    ACTIONS(8585), 1,
      anon_sym_QMARK,
    ACTIONS(8587), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8589), 1,
      anon_sym_bitor,
    ACTIONS(8591), 1,
      anon_sym_bitand,
    STATE(3592), 1,
      sym_subscript_argument_list,
    STATE(3604), 1,
      sym_argument_list,
    ACTIONS(6885), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8218), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8559), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8561), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8565), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8567), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8571), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8581), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7146), 3,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
    ACTIONS(8575), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8577), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [138624] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7983), 1,
      anon_sym_const,
    ACTIONS(8254), 1,
      anon_sym_LPAREN2,
    ACTIONS(8256), 1,
      anon_sym_STAR,
    ACTIONS(8258), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8260), 1,
      anon_sym_AMP,
    ACTIONS(8268), 1,
      anon_sym_LBRACK,
    STATE(4503), 1,
      sym_parameter_list,
    STATE(7207), 1,
      sym__abstract_declarator,
    STATE(7268), 1,
      sym__function_declarator_seq,
    STATE(5879), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(7270), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(7974), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
    ACTIONS(8725), 12,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [138693] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4534), 1,
      anon_sym_LBRACE,
    ACTIONS(8491), 1,
      anon_sym_LPAREN2,
    STATE(5977), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(6670), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(6672), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [138746] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6440), 1,
      anon_sym_LPAREN2,
    ACTIONS(6879), 1,
      anon_sym_LBRACK,
    ACTIONS(6883), 1,
      anon_sym_DOT,
    ACTIONS(8513), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8679), 1,
      anon_sym_SLASH,
    ACTIONS(8681), 1,
      anon_sym_PIPE,
    ACTIONS(8685), 1,
      anon_sym_AMP,
    ACTIONS(8691), 1,
      anon_sym_GT_EQ,
    ACTIONS(8695), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8697), 1,
      anon_sym_bitor,
    ACTIONS(8699), 1,
      anon_sym_bitand,
    ACTIONS(8705), 1,
      anon_sym_QMARK,
    ACTIONS(8727), 1,
      anon_sym_COMMA,
    ACTIONS(8729), 1,
      anon_sym_RPAREN,
    STATE(3592), 1,
      sym_subscript_argument_list,
    STATE(3604), 1,
      sym_argument_list,
    STATE(8907), 1,
      aux_sym_generic_expression_repeat1,
    ACTIONS(6885), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8218), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8675), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8677), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8683), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8693), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8701), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8703), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8687), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8689), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [138843] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7312), 1,
      anon_sym_LPAREN2,
    ACTIONS(7926), 1,
      anon_sym_LBRACK,
    ACTIONS(7940), 1,
      anon_sym_DOT,
    ACTIONS(8731), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8733), 1,
      anon_sym_COMMA,
    ACTIONS(8739), 1,
      anon_sym_SLASH,
    ACTIONS(8745), 1,
      anon_sym_PIPE,
    ACTIONS(8749), 1,
      anon_sym_AMP,
    ACTIONS(8755), 1,
      anon_sym_LT_LT,
    ACTIONS(8757), 1,
      anon_sym_GT_GT,
    ACTIONS(8759), 1,
      anon_sym_QMARK,
    ACTIONS(8761), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8763), 1,
      anon_sym_bitor,
    ACTIONS(8765), 1,
      anon_sym_bitand,
    ACTIONS(8769), 1,
      anon_sym_GT2,
    STATE(4835), 1,
      sym_subscript_argument_list,
    STATE(4841), 1,
      sym_argument_list,
    STATE(8586), 1,
      aux_sym_template_argument_list_repeat1,
    ACTIONS(7942), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8735), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8737), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8741), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8743), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8747), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8767), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8751), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8753), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [138940] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5731), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5733), 23,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [138987] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5727), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5729), 23,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [139034] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7312), 1,
      anon_sym_LPAREN2,
    ACTIONS(7926), 1,
      anon_sym_LBRACK,
    ACTIONS(7940), 1,
      anon_sym_DOT,
    ACTIONS(8731), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8733), 1,
      anon_sym_COMMA,
    ACTIONS(8739), 1,
      anon_sym_SLASH,
    ACTIONS(8745), 1,
      anon_sym_PIPE,
    ACTIONS(8749), 1,
      anon_sym_AMP,
    ACTIONS(8755), 1,
      anon_sym_LT_LT,
    ACTIONS(8757), 1,
      anon_sym_GT_GT,
    ACTIONS(8759), 1,
      anon_sym_QMARK,
    ACTIONS(8761), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8763), 1,
      anon_sym_bitor,
    ACTIONS(8765), 1,
      anon_sym_bitand,
    ACTIONS(8771), 1,
      anon_sym_GT2,
    STATE(4835), 1,
      sym_subscript_argument_list,
    STATE(4841), 1,
      sym_argument_list,
    STATE(8781), 1,
      aux_sym_template_argument_list_repeat1,
    ACTIONS(7942), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8735), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8737), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8741), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8743), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8747), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8767), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8751), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8753), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [139131] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6440), 1,
      anon_sym_LPAREN2,
    ACTIONS(6879), 1,
      anon_sym_LBRACK,
    ACTIONS(6883), 1,
      anon_sym_DOT,
    ACTIONS(8513), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8773), 1,
      anon_sym_COMMA,
    ACTIONS(8779), 1,
      anon_sym_SLASH,
    ACTIONS(8785), 1,
      anon_sym_PIPE,
    ACTIONS(8789), 1,
      anon_sym_AMP,
    ACTIONS(8795), 1,
      anon_sym_GT_EQ,
    ACTIONS(8799), 1,
      anon_sym_RBRACK,
    ACTIONS(8801), 1,
      anon_sym_QMARK,
    ACTIONS(8803), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8805), 1,
      anon_sym_bitor,
    ACTIONS(8807), 1,
      anon_sym_bitand,
    STATE(3592), 1,
      sym_subscript_argument_list,
    STATE(3604), 1,
      sym_argument_list,
    STATE(8854), 1,
      aux_sym_lambda_capture_specifier_repeat1,
    ACTIONS(6885), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8218), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8775), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8777), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8781), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8783), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8787), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8797), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8791), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8793), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [139228] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6440), 1,
      anon_sym_LPAREN2,
    ACTIONS(6879), 1,
      anon_sym_LBRACK,
    ACTIONS(6883), 1,
      anon_sym_DOT,
    ACTIONS(8513), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8779), 1,
      anon_sym_SLASH,
    ACTIONS(8785), 1,
      anon_sym_PIPE,
    ACTIONS(8789), 1,
      anon_sym_AMP,
    ACTIONS(8795), 1,
      anon_sym_GT_EQ,
    ACTIONS(8801), 1,
      anon_sym_QMARK,
    ACTIONS(8803), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8805), 1,
      anon_sym_bitor,
    ACTIONS(8807), 1,
      anon_sym_bitand,
    ACTIONS(8809), 1,
      anon_sym_COMMA,
    ACTIONS(8811), 1,
      anon_sym_RBRACK,
    STATE(3592), 1,
      sym_subscript_argument_list,
    STATE(3604), 1,
      sym_argument_list,
    STATE(8560), 1,
      aux_sym_subscript_argument_list_repeat1,
    ACTIONS(6885), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8218), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8775), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8777), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8781), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8783), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8787), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8797), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8791), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8793), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [139325] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7049), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(7051), 23,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [139372] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6440), 1,
      anon_sym_LPAREN2,
    ACTIONS(6879), 1,
      anon_sym_LBRACK,
    ACTIONS(6883), 1,
      anon_sym_DOT,
    ACTIONS(8513), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8773), 1,
      anon_sym_COMMA,
    ACTIONS(8779), 1,
      anon_sym_SLASH,
    ACTIONS(8785), 1,
      anon_sym_PIPE,
    ACTIONS(8789), 1,
      anon_sym_AMP,
    ACTIONS(8795), 1,
      anon_sym_GT_EQ,
    ACTIONS(8801), 1,
      anon_sym_QMARK,
    ACTIONS(8803), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8805), 1,
      anon_sym_bitor,
    ACTIONS(8807), 1,
      anon_sym_bitand,
    ACTIONS(8813), 1,
      anon_sym_RBRACK,
    STATE(3592), 1,
      sym_subscript_argument_list,
    STATE(3604), 1,
      sym_argument_list,
    STATE(8854), 1,
      aux_sym_lambda_capture_specifier_repeat1,
    ACTIONS(6885), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8218), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8775), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8777), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8781), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8783), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8787), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8797), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8791), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8793), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [139469] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6440), 1,
      anon_sym_LPAREN2,
    ACTIONS(6879), 1,
      anon_sym_LBRACK,
    ACTIONS(6883), 1,
      anon_sym_DOT,
    ACTIONS(8563), 1,
      anon_sym_SLASH,
    ACTIONS(8569), 1,
      anon_sym_PIPE,
    ACTIONS(8573), 1,
      anon_sym_AMP,
    ACTIONS(8579), 1,
      anon_sym_GT_EQ,
    ACTIONS(8587), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8589), 1,
      anon_sym_bitor,
    ACTIONS(8591), 1,
      anon_sym_bitand,
    STATE(3592), 1,
      sym_subscript_argument_list,
    STATE(3604), 1,
      sym_argument_list,
    ACTIONS(6885), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8218), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8559), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8561), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8565), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8567), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8571), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8581), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8575), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8577), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(7385), 5,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_QMARK,
  [139558] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6440), 1,
      anon_sym_LPAREN2,
    ACTIONS(6879), 1,
      anon_sym_LBRACK,
    ACTIONS(6883), 1,
      anon_sym_DOT,
    ACTIONS(8513), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8679), 1,
      anon_sym_SLASH,
    ACTIONS(8681), 1,
      anon_sym_PIPE,
    ACTIONS(8685), 1,
      anon_sym_AMP,
    ACTIONS(8691), 1,
      anon_sym_GT_EQ,
    ACTIONS(8695), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8697), 1,
      anon_sym_bitor,
    ACTIONS(8699), 1,
      anon_sym_bitand,
    ACTIONS(8705), 1,
      anon_sym_QMARK,
    ACTIONS(8815), 1,
      anon_sym_COMMA,
    ACTIONS(8817), 1,
      anon_sym_RPAREN,
    STATE(3592), 1,
      sym_subscript_argument_list,
    STATE(3604), 1,
      sym_argument_list,
    STATE(8541), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(6885), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8218), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8675), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8677), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8683), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8693), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8701), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8703), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8687), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8689), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [139655] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6440), 1,
      anon_sym_LPAREN2,
    ACTIONS(6879), 1,
      anon_sym_LBRACK,
    ACTIONS(6883), 1,
      anon_sym_DOT,
    ACTIONS(8563), 1,
      anon_sym_SLASH,
    ACTIONS(8569), 1,
      anon_sym_PIPE,
    ACTIONS(8573), 1,
      anon_sym_AMP,
    ACTIONS(8579), 1,
      anon_sym_GT_EQ,
    ACTIONS(8587), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8589), 1,
      anon_sym_bitor,
    ACTIONS(8591), 1,
      anon_sym_bitand,
    STATE(3592), 1,
      sym_subscript_argument_list,
    STATE(3604), 1,
      sym_argument_list,
    ACTIONS(6885), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8218), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8559), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8561), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8565), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8567), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8571), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8581), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8575), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8577), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(7371), 5,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_QMARK,
  [139744] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7176), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(7178), 23,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [139791] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6440), 1,
      anon_sym_LPAREN2,
    ACTIONS(6879), 1,
      anon_sym_LBRACK,
    ACTIONS(6883), 1,
      anon_sym_DOT,
    ACTIONS(8513), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8679), 1,
      anon_sym_SLASH,
    ACTIONS(8681), 1,
      anon_sym_PIPE,
    ACTIONS(8685), 1,
      anon_sym_AMP,
    ACTIONS(8691), 1,
      anon_sym_GT_EQ,
    ACTIONS(8695), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8697), 1,
      anon_sym_bitor,
    ACTIONS(8699), 1,
      anon_sym_bitand,
    ACTIONS(8705), 1,
      anon_sym_QMARK,
    ACTIONS(8719), 1,
      anon_sym_COMMA,
    ACTIONS(8723), 1,
      anon_sym_SEMI,
    STATE(3592), 1,
      sym_subscript_argument_list,
    STATE(3604), 1,
      sym_argument_list,
    STATE(8522), 1,
      aux_sym_declaration_repeat1,
    ACTIONS(6885), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8218), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8675), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8677), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8683), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8693), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8701), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8703), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8687), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8689), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [139888] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4534), 1,
      anon_sym_LBRACE,
    ACTIONS(8491), 1,
      anon_sym_LPAREN2,
    STATE(5998), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(6779), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(6781), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [139941] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7312), 1,
      anon_sym_LPAREN2,
    ACTIONS(7926), 1,
      anon_sym_LBRACK,
    ACTIONS(7940), 1,
      anon_sym_DOT,
    ACTIONS(8731), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8733), 1,
      anon_sym_COMMA,
    ACTIONS(8739), 1,
      anon_sym_SLASH,
    ACTIONS(8745), 1,
      anon_sym_PIPE,
    ACTIONS(8749), 1,
      anon_sym_AMP,
    ACTIONS(8755), 1,
      anon_sym_LT_LT,
    ACTIONS(8757), 1,
      anon_sym_GT_GT,
    ACTIONS(8759), 1,
      anon_sym_QMARK,
    ACTIONS(8761), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8763), 1,
      anon_sym_bitor,
    ACTIONS(8765), 1,
      anon_sym_bitand,
    ACTIONS(8819), 1,
      anon_sym_GT2,
    STATE(4835), 1,
      sym_subscript_argument_list,
    STATE(4841), 1,
      sym_argument_list,
    STATE(8589), 1,
      aux_sym_template_argument_list_repeat1,
    ACTIONS(7942), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8735), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8737), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8741), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8743), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8747), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8767), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8751), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8753), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [140038] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6440), 1,
      anon_sym_LPAREN2,
    ACTIONS(6879), 1,
      anon_sym_LBRACK,
    ACTIONS(6883), 1,
      anon_sym_DOT,
    ACTIONS(8513), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8679), 1,
      anon_sym_SLASH,
    ACTIONS(8681), 1,
      anon_sym_PIPE,
    ACTIONS(8685), 1,
      anon_sym_AMP,
    ACTIONS(8691), 1,
      anon_sym_GT_EQ,
    ACTIONS(8695), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8697), 1,
      anon_sym_bitor,
    ACTIONS(8699), 1,
      anon_sym_bitand,
    ACTIONS(8705), 1,
      anon_sym_QMARK,
    ACTIONS(8727), 1,
      anon_sym_COMMA,
    ACTIONS(8821), 1,
      anon_sym_RPAREN,
    STATE(3592), 1,
      sym_subscript_argument_list,
    STATE(3604), 1,
      sym_argument_list,
    STATE(8859), 1,
      aux_sym_generic_expression_repeat1,
    ACTIONS(6885), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8218), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8675), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8677), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8683), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8693), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8701), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8703), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8687), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8689), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [140135] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4379), 1,
      anon_sym_const,
    ACTIONS(4381), 1,
      sym_ms_restrict_modifier,
    ACTIONS(4561), 1,
      anon_sym_LPAREN2,
    ACTIONS(8509), 1,
      anon_sym_LBRACK,
    ACTIONS(8823), 1,
      anon_sym_STAR,
    ACTIONS(8825), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8827), 1,
      anon_sym_AMP,
    STATE(4963), 1,
      sym_parameter_list,
    STATE(5347), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(7422), 1,
      sym__function_declarator_seq,
    STATE(7954), 1,
      sym__abstract_declarator,
    ACTIONS(8529), 2,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(8531), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(5226), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(6255), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(6740), 4,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_try,
    STATE(7436), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8527), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [140214] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6440), 1,
      anon_sym_LPAREN2,
    ACTIONS(6879), 1,
      anon_sym_LBRACK,
    ACTIONS(6883), 1,
      anon_sym_DOT,
    ACTIONS(8513), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8679), 1,
      anon_sym_SLASH,
    ACTIONS(8681), 1,
      anon_sym_PIPE,
    ACTIONS(8685), 1,
      anon_sym_AMP,
    ACTIONS(8691), 1,
      anon_sym_GT_EQ,
    ACTIONS(8695), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8697), 1,
      anon_sym_bitor,
    ACTIONS(8699), 1,
      anon_sym_bitand,
    ACTIONS(8705), 1,
      anon_sym_QMARK,
    ACTIONS(8727), 1,
      anon_sym_COMMA,
    ACTIONS(8829), 1,
      anon_sym_RPAREN,
    STATE(3592), 1,
      sym_subscript_argument_list,
    STATE(3604), 1,
      sym_argument_list,
    STATE(8869), 1,
      aux_sym_generic_expression_repeat1,
    ACTIONS(6885), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8218), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8675), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8677), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8683), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8693), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8701), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8703), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8687), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8689), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [140311] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6440), 1,
      anon_sym_LPAREN2,
    ACTIONS(6879), 1,
      anon_sym_LBRACK,
    ACTIONS(6883), 1,
      anon_sym_DOT,
    ACTIONS(8513), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8679), 1,
      anon_sym_SLASH,
    ACTIONS(8681), 1,
      anon_sym_PIPE,
    ACTIONS(8685), 1,
      anon_sym_AMP,
    ACTIONS(8691), 1,
      anon_sym_GT_EQ,
    ACTIONS(8695), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8697), 1,
      anon_sym_bitor,
    ACTIONS(8699), 1,
      anon_sym_bitand,
    ACTIONS(8705), 1,
      anon_sym_QMARK,
    ACTIONS(8719), 1,
      anon_sym_COMMA,
    ACTIONS(8831), 1,
      anon_sym_SEMI,
    STATE(3592), 1,
      sym_subscript_argument_list,
    STATE(3604), 1,
      sym_argument_list,
    STATE(8599), 1,
      aux_sym_declaration_repeat1,
    ACTIONS(6885), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8218), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8675), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8677), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8683), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8693), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8701), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8703), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8687), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8689), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [140408] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6440), 1,
      anon_sym_LPAREN2,
    ACTIONS(6879), 1,
      anon_sym_LBRACK,
    ACTIONS(6883), 1,
      anon_sym_DOT,
    ACTIONS(8513), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8679), 1,
      anon_sym_SLASH,
    ACTIONS(8681), 1,
      anon_sym_PIPE,
    ACTIONS(8685), 1,
      anon_sym_AMP,
    ACTIONS(8691), 1,
      anon_sym_GT_EQ,
    ACTIONS(8695), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8697), 1,
      anon_sym_bitor,
    ACTIONS(8699), 1,
      anon_sym_bitand,
    ACTIONS(8705), 1,
      anon_sym_QMARK,
    ACTIONS(8727), 1,
      anon_sym_COMMA,
    ACTIONS(8833), 1,
      anon_sym_RPAREN,
    STATE(3592), 1,
      sym_subscript_argument_list,
    STATE(3604), 1,
      sym_argument_list,
    STATE(8631), 1,
      aux_sym_generic_expression_repeat1,
    ACTIONS(6885), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8218), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8675), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8677), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8683), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8693), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8701), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8703), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8687), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8689), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [140505] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6440), 1,
      anon_sym_LPAREN2,
    ACTIONS(6879), 1,
      anon_sym_LBRACK,
    ACTIONS(6883), 1,
      anon_sym_DOT,
    ACTIONS(8563), 1,
      anon_sym_SLASH,
    ACTIONS(8569), 1,
      anon_sym_PIPE,
    ACTIONS(8573), 1,
      anon_sym_AMP,
    ACTIONS(8579), 1,
      anon_sym_GT_EQ,
    ACTIONS(8587), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8589), 1,
      anon_sym_bitor,
    ACTIONS(8591), 1,
      anon_sym_bitand,
    STATE(3592), 1,
      sym_subscript_argument_list,
    STATE(3604), 1,
      sym_argument_list,
    ACTIONS(6885), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8218), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8559), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8561), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8565), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8567), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8571), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8581), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8575), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8577), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(7375), 5,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_QMARK,
  [140594] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6440), 1,
      anon_sym_LPAREN2,
    ACTIONS(6879), 1,
      anon_sym_LBRACK,
    ACTIONS(6883), 1,
      anon_sym_DOT,
    ACTIONS(8513), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8679), 1,
      anon_sym_SLASH,
    ACTIONS(8681), 1,
      anon_sym_PIPE,
    ACTIONS(8685), 1,
      anon_sym_AMP,
    ACTIONS(8691), 1,
      anon_sym_GT_EQ,
    ACTIONS(8695), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8697), 1,
      anon_sym_bitor,
    ACTIONS(8699), 1,
      anon_sym_bitand,
    ACTIONS(8705), 1,
      anon_sym_QMARK,
    ACTIONS(8815), 1,
      anon_sym_COMMA,
    ACTIONS(8835), 1,
      anon_sym_RPAREN,
    STATE(3592), 1,
      sym_subscript_argument_list,
    STATE(3604), 1,
      sym_argument_list,
    STATE(8762), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(6885), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8218), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8675), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8677), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8683), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8693), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8701), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8703), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8687), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8689), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [140691] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6440), 1,
      anon_sym_LPAREN2,
    ACTIONS(6879), 1,
      anon_sym_LBRACK,
    ACTIONS(6883), 1,
      anon_sym_DOT,
    ACTIONS(8513), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8679), 1,
      anon_sym_SLASH,
    ACTIONS(8681), 1,
      anon_sym_PIPE,
    ACTIONS(8685), 1,
      anon_sym_AMP,
    ACTIONS(8691), 1,
      anon_sym_GT_EQ,
    ACTIONS(8695), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8697), 1,
      anon_sym_bitor,
    ACTIONS(8699), 1,
      anon_sym_bitand,
    ACTIONS(8705), 1,
      anon_sym_QMARK,
    ACTIONS(8815), 1,
      anon_sym_COMMA,
    ACTIONS(8837), 1,
      anon_sym_RPAREN,
    STATE(3592), 1,
      sym_subscript_argument_list,
    STATE(3604), 1,
      sym_argument_list,
    STATE(8651), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(6885), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8218), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8675), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8677), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8683), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8693), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8701), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8703), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8687), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8689), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [140788] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6440), 1,
      anon_sym_LPAREN2,
    ACTIONS(6879), 1,
      anon_sym_LBRACK,
    ACTIONS(6883), 1,
      anon_sym_DOT,
    ACTIONS(8513), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8679), 1,
      anon_sym_SLASH,
    ACTIONS(8681), 1,
      anon_sym_PIPE,
    ACTIONS(8685), 1,
      anon_sym_AMP,
    ACTIONS(8691), 1,
      anon_sym_GT_EQ,
    ACTIONS(8695), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8697), 1,
      anon_sym_bitor,
    ACTIONS(8699), 1,
      anon_sym_bitand,
    ACTIONS(8705), 1,
      anon_sym_QMARK,
    ACTIONS(8815), 1,
      anon_sym_COMMA,
    ACTIONS(8839), 1,
      anon_sym_RPAREN,
    STATE(3592), 1,
      sym_subscript_argument_list,
    STATE(3604), 1,
      sym_argument_list,
    STATE(8648), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(6885), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8218), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8675), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8677), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8683), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8693), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8701), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8703), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8687), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8689), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [140885] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6440), 1,
      anon_sym_LPAREN2,
    ACTIONS(6879), 1,
      anon_sym_LBRACK,
    ACTIONS(6883), 1,
      anon_sym_DOT,
    ACTIONS(8513), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8679), 1,
      anon_sym_SLASH,
    ACTIONS(8681), 1,
      anon_sym_PIPE,
    ACTIONS(8685), 1,
      anon_sym_AMP,
    ACTIONS(8691), 1,
      anon_sym_GT_EQ,
    ACTIONS(8695), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8697), 1,
      anon_sym_bitor,
    ACTIONS(8699), 1,
      anon_sym_bitand,
    ACTIONS(8705), 1,
      anon_sym_QMARK,
    ACTIONS(8727), 1,
      anon_sym_COMMA,
    ACTIONS(8841), 1,
      anon_sym_RPAREN,
    STATE(3592), 1,
      sym_subscript_argument_list,
    STATE(3604), 1,
      sym_argument_list,
    STATE(8518), 1,
      aux_sym_generic_expression_repeat1,
    ACTIONS(6885), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8218), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8675), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8677), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8683), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8693), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8701), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8703), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8687), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8689), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [140982] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7160), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(7162), 23,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [141029] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6440), 1,
      anon_sym_LPAREN2,
    ACTIONS(6879), 1,
      anon_sym_LBRACK,
    ACTIONS(6883), 1,
      anon_sym_DOT,
    ACTIONS(8513), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8679), 1,
      anon_sym_SLASH,
    ACTIONS(8681), 1,
      anon_sym_PIPE,
    ACTIONS(8685), 1,
      anon_sym_AMP,
    ACTIONS(8691), 1,
      anon_sym_GT_EQ,
    ACTIONS(8695), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8697), 1,
      anon_sym_bitor,
    ACTIONS(8699), 1,
      anon_sym_bitand,
    ACTIONS(8705), 1,
      anon_sym_QMARK,
    ACTIONS(8843), 1,
      anon_sym_COMMA,
    ACTIONS(8845), 1,
      anon_sym_RBRACE,
    STATE(3592), 1,
      sym_subscript_argument_list,
    STATE(3604), 1,
      sym_argument_list,
    STATE(8609), 1,
      aux_sym_initializer_list_repeat1,
    ACTIONS(6885), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8218), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8675), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8677), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8683), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8693), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8701), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8703), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8687), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8689), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [141126] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6440), 1,
      anon_sym_LPAREN2,
    ACTIONS(6879), 1,
      anon_sym_LBRACK,
    ACTIONS(6883), 1,
      anon_sym_DOT,
    ACTIONS(8513), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8679), 1,
      anon_sym_SLASH,
    ACTIONS(8681), 1,
      anon_sym_PIPE,
    ACTIONS(8685), 1,
      anon_sym_AMP,
    ACTIONS(8691), 1,
      anon_sym_GT_EQ,
    ACTIONS(8695), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8697), 1,
      anon_sym_bitor,
    ACTIONS(8699), 1,
      anon_sym_bitand,
    ACTIONS(8705), 1,
      anon_sym_QMARK,
    ACTIONS(8719), 1,
      anon_sym_COMMA,
    ACTIONS(8847), 1,
      anon_sym_SEMI,
    STATE(3592), 1,
      sym_subscript_argument_list,
    STATE(3604), 1,
      sym_argument_list,
    STATE(8858), 1,
      aux_sym_declaration_repeat1,
    ACTIONS(6885), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8218), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8675), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8677), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8683), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8693), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8701), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8703), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8687), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8689), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [141223] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7098), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(7100), 23,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [141270] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6440), 1,
      anon_sym_LPAREN2,
    ACTIONS(6879), 1,
      anon_sym_LBRACK,
    ACTIONS(6883), 1,
      anon_sym_DOT,
    ACTIONS(8513), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8679), 1,
      anon_sym_SLASH,
    ACTIONS(8681), 1,
      anon_sym_PIPE,
    ACTIONS(8685), 1,
      anon_sym_AMP,
    ACTIONS(8691), 1,
      anon_sym_GT_EQ,
    ACTIONS(8695), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8697), 1,
      anon_sym_bitor,
    ACTIONS(8699), 1,
      anon_sym_bitand,
    ACTIONS(8705), 1,
      anon_sym_QMARK,
    ACTIONS(8815), 1,
      anon_sym_COMMA,
    ACTIONS(8849), 1,
      anon_sym_RPAREN,
    STATE(3592), 1,
      sym_subscript_argument_list,
    STATE(3604), 1,
      sym_argument_list,
    STATE(8630), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(6885), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8218), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8675), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8677), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8683), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8693), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8701), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8703), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8687), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8689), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [141367] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6995), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6997), 23,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [141414] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7312), 1,
      anon_sym_LPAREN2,
    ACTIONS(7926), 1,
      anon_sym_LBRACK,
    ACTIONS(7940), 1,
      anon_sym_DOT,
    ACTIONS(8731), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8733), 1,
      anon_sym_COMMA,
    ACTIONS(8739), 1,
      anon_sym_SLASH,
    ACTIONS(8745), 1,
      anon_sym_PIPE,
    ACTIONS(8749), 1,
      anon_sym_AMP,
    ACTIONS(8755), 1,
      anon_sym_LT_LT,
    ACTIONS(8757), 1,
      anon_sym_GT_GT,
    ACTIONS(8759), 1,
      anon_sym_QMARK,
    ACTIONS(8761), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8763), 1,
      anon_sym_bitor,
    ACTIONS(8765), 1,
      anon_sym_bitand,
    ACTIONS(8851), 1,
      anon_sym_GT2,
    STATE(4835), 1,
      sym_subscript_argument_list,
    STATE(4841), 1,
      sym_argument_list,
    STATE(8677), 1,
      aux_sym_template_argument_list_repeat1,
    ACTIONS(7942), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8735), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8737), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8741), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8743), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8747), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8767), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8751), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8753), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [141511] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5764), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5766), 23,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [141558] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5756), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5758), 23,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [141605] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7122), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(7124), 23,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [141652] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5768), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5770), 23,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [141699] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6440), 1,
      anon_sym_LPAREN2,
    ACTIONS(6879), 1,
      anon_sym_LBRACK,
    ACTIONS(6883), 1,
      anon_sym_DOT,
    ACTIONS(6930), 1,
      anon_sym_PIPE,
    ACTIONS(8563), 1,
      anon_sym_SLASH,
    ACTIONS(8573), 1,
      anon_sym_AMP,
    ACTIONS(8579), 1,
      anon_sym_GT_EQ,
    ACTIONS(8587), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8591), 1,
      anon_sym_bitand,
    STATE(3592), 1,
      sym_subscript_argument_list,
    STATE(3604), 1,
      sym_argument_list,
    ACTIONS(6885), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8218), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8559), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8561), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8571), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8581), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8575), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8577), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6932), 10,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_QMARK,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
  [141782] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6440), 1,
      anon_sym_LPAREN2,
    ACTIONS(6879), 1,
      anon_sym_LBRACK,
    ACTIONS(6883), 1,
      anon_sym_DOT,
    ACTIONS(8513), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8679), 1,
      anon_sym_SLASH,
    ACTIONS(8681), 1,
      anon_sym_PIPE,
    ACTIONS(8685), 1,
      anon_sym_AMP,
    ACTIONS(8691), 1,
      anon_sym_GT_EQ,
    ACTIONS(8695), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8697), 1,
      anon_sym_bitor,
    ACTIONS(8699), 1,
      anon_sym_bitand,
    ACTIONS(8705), 1,
      anon_sym_QMARK,
    ACTIONS(8719), 1,
      anon_sym_COMMA,
    ACTIONS(8853), 1,
      anon_sym_SEMI,
    STATE(3592), 1,
      sym_subscript_argument_list,
    STATE(3604), 1,
      sym_argument_list,
    STATE(8867), 1,
      aux_sym_declaration_repeat1,
    ACTIONS(6885), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8218), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8675), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8677), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8683), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8693), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8701), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8703), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8687), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8689), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [141879] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6440), 1,
      anon_sym_LPAREN2,
    ACTIONS(6879), 1,
      anon_sym_LBRACK,
    ACTIONS(6883), 1,
      anon_sym_DOT,
    ACTIONS(8513), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8679), 1,
      anon_sym_SLASH,
    ACTIONS(8681), 1,
      anon_sym_PIPE,
    ACTIONS(8685), 1,
      anon_sym_AMP,
    ACTIONS(8691), 1,
      anon_sym_GT_EQ,
    ACTIONS(8695), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8697), 1,
      anon_sym_bitor,
    ACTIONS(8699), 1,
      anon_sym_bitand,
    ACTIONS(8705), 1,
      anon_sym_QMARK,
    ACTIONS(8719), 1,
      anon_sym_COMMA,
    ACTIONS(8855), 1,
      anon_sym_SEMI,
    STATE(3592), 1,
      sym_subscript_argument_list,
    STATE(3604), 1,
      sym_argument_list,
    STATE(8686), 1,
      aux_sym_declaration_repeat1,
    ACTIONS(6885), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8218), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8675), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8677), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8683), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8693), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8701), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8703), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8687), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8689), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [141976] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7983), 1,
      anon_sym_const,
    ACTIONS(8254), 1,
      anon_sym_LPAREN2,
    ACTIONS(8256), 1,
      anon_sym_STAR,
    ACTIONS(8258), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8260), 1,
      anon_sym_AMP,
    ACTIONS(8268), 1,
      anon_sym_LBRACK,
    STATE(4503), 1,
      sym_parameter_list,
    STATE(7203), 1,
      sym__abstract_declarator,
    STATE(7268), 1,
      sym__function_declarator_seq,
    STATE(5879), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(7270), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(7974), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
    ACTIONS(6740), 12,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [142045] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8857), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8859), 1,
      anon_sym_and,
    ACTIONS(5832), 15,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5834), 22,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [142096] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5760), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5762), 23,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [142143] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5772), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5774), 23,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [142190] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6440), 1,
      anon_sym_LPAREN2,
    ACTIONS(6879), 1,
      anon_sym_LBRACK,
    ACTIONS(6883), 1,
      anon_sym_DOT,
    ACTIONS(8513), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8779), 1,
      anon_sym_SLASH,
    ACTIONS(8785), 1,
      anon_sym_PIPE,
    ACTIONS(8789), 1,
      anon_sym_AMP,
    ACTIONS(8795), 1,
      anon_sym_GT_EQ,
    ACTIONS(8801), 1,
      anon_sym_QMARK,
    ACTIONS(8803), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8805), 1,
      anon_sym_bitor,
    ACTIONS(8807), 1,
      anon_sym_bitand,
    ACTIONS(8809), 1,
      anon_sym_COMMA,
    ACTIONS(8861), 1,
      anon_sym_RBRACK,
    STATE(3592), 1,
      sym_subscript_argument_list,
    STATE(3604), 1,
      sym_argument_list,
    STATE(8622), 1,
      aux_sym_subscript_argument_list_repeat1,
    ACTIONS(6885), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8218), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8775), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8777), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8781), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8783), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8787), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8797), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8791), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8793), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [142287] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6440), 1,
      anon_sym_LPAREN2,
    ACTIONS(6879), 1,
      anon_sym_LBRACK,
    ACTIONS(6883), 1,
      anon_sym_DOT,
    ACTIONS(8513), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8679), 1,
      anon_sym_SLASH,
    ACTIONS(8681), 1,
      anon_sym_PIPE,
    ACTIONS(8685), 1,
      anon_sym_AMP,
    ACTIONS(8691), 1,
      anon_sym_GT_EQ,
    ACTIONS(8695), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8697), 1,
      anon_sym_bitor,
    ACTIONS(8699), 1,
      anon_sym_bitand,
    ACTIONS(8705), 1,
      anon_sym_QMARK,
    ACTIONS(8719), 1,
      anon_sym_COMMA,
    ACTIONS(8863), 1,
      anon_sym_SEMI,
    STATE(3592), 1,
      sym_subscript_argument_list,
    STATE(3604), 1,
      sym_argument_list,
    STATE(8830), 1,
      aux_sym_declaration_repeat1,
    ACTIONS(6885), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8218), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8675), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8677), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8683), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8693), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8701), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8703), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8687), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8689), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [142384] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7312), 1,
      anon_sym_LPAREN2,
    ACTIONS(7926), 1,
      anon_sym_LBRACK,
    ACTIONS(7940), 1,
      anon_sym_DOT,
    ACTIONS(8731), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8733), 1,
      anon_sym_COMMA,
    ACTIONS(8739), 1,
      anon_sym_SLASH,
    ACTIONS(8745), 1,
      anon_sym_PIPE,
    ACTIONS(8749), 1,
      anon_sym_AMP,
    ACTIONS(8755), 1,
      anon_sym_LT_LT,
    ACTIONS(8757), 1,
      anon_sym_GT_GT,
    ACTIONS(8759), 1,
      anon_sym_QMARK,
    ACTIONS(8761), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8763), 1,
      anon_sym_bitor,
    ACTIONS(8765), 1,
      anon_sym_bitand,
    ACTIONS(8865), 1,
      anon_sym_GT2,
    STATE(4835), 1,
      sym_subscript_argument_list,
    STATE(4841), 1,
      sym_argument_list,
    STATE(8742), 1,
      aux_sym_template_argument_list_repeat1,
    ACTIONS(7942), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8735), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8737), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8741), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8743), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8747), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8767), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8751), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8753), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [142481] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7312), 1,
      anon_sym_LPAREN2,
    ACTIONS(7926), 1,
      anon_sym_LBRACK,
    ACTIONS(7940), 1,
      anon_sym_DOT,
    ACTIONS(8731), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8733), 1,
      anon_sym_COMMA,
    ACTIONS(8739), 1,
      anon_sym_SLASH,
    ACTIONS(8745), 1,
      anon_sym_PIPE,
    ACTIONS(8749), 1,
      anon_sym_AMP,
    ACTIONS(8755), 1,
      anon_sym_LT_LT,
    ACTIONS(8757), 1,
      anon_sym_GT_GT,
    ACTIONS(8759), 1,
      anon_sym_QMARK,
    ACTIONS(8761), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8763), 1,
      anon_sym_bitor,
    ACTIONS(8765), 1,
      anon_sym_bitand,
    ACTIONS(8867), 1,
      anon_sym_GT2,
    STATE(4835), 1,
      sym_subscript_argument_list,
    STATE(4841), 1,
      sym_argument_list,
    STATE(8934), 1,
      aux_sym_template_argument_list_repeat1,
    ACTIONS(7942), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8735), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8737), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8741), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8743), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8747), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8767), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8751), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8753), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [142578] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6440), 1,
      anon_sym_LPAREN2,
    ACTIONS(6879), 1,
      anon_sym_LBRACK,
    ACTIONS(6883), 1,
      anon_sym_DOT,
    ACTIONS(8513), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8779), 1,
      anon_sym_SLASH,
    ACTIONS(8785), 1,
      anon_sym_PIPE,
    ACTIONS(8789), 1,
      anon_sym_AMP,
    ACTIONS(8795), 1,
      anon_sym_GT_EQ,
    ACTIONS(8801), 1,
      anon_sym_QMARK,
    ACTIONS(8803), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8805), 1,
      anon_sym_bitor,
    ACTIONS(8807), 1,
      anon_sym_bitand,
    ACTIONS(8809), 1,
      anon_sym_COMMA,
    ACTIONS(8869), 1,
      anon_sym_RBRACK,
    STATE(3592), 1,
      sym_subscript_argument_list,
    STATE(3604), 1,
      sym_argument_list,
    STATE(8671), 1,
      aux_sym_subscript_argument_list_repeat1,
    ACTIONS(6885), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8218), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8775), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8777), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8781), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8783), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8787), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8797), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8791), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8793), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [142675] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6440), 1,
      anon_sym_LPAREN2,
    ACTIONS(6879), 1,
      anon_sym_LBRACK,
    ACTIONS(6883), 1,
      anon_sym_DOT,
    ACTIONS(8513), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8679), 1,
      anon_sym_SLASH,
    ACTIONS(8681), 1,
      anon_sym_PIPE,
    ACTIONS(8685), 1,
      anon_sym_AMP,
    ACTIONS(8691), 1,
      anon_sym_GT_EQ,
    ACTIONS(8695), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8697), 1,
      anon_sym_bitor,
    ACTIONS(8699), 1,
      anon_sym_bitand,
    ACTIONS(8705), 1,
      anon_sym_QMARK,
    ACTIONS(8815), 1,
      anon_sym_COMMA,
    ACTIONS(8871), 1,
      anon_sym_RPAREN,
    STATE(3592), 1,
      sym_subscript_argument_list,
    STATE(3604), 1,
      sym_argument_list,
    STATE(8831), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(6885), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8218), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8675), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8677), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8683), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8693), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8701), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8703), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8687), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8689), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [142772] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7007), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(7009), 23,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [142819] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6440), 1,
      anon_sym_LPAREN2,
    ACTIONS(6879), 1,
      anon_sym_LBRACK,
    ACTIONS(6883), 1,
      anon_sym_DOT,
    ACTIONS(8513), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8563), 1,
      anon_sym_SLASH,
    ACTIONS(8569), 1,
      anon_sym_PIPE,
    ACTIONS(8573), 1,
      anon_sym_AMP,
    ACTIONS(8579), 1,
      anon_sym_GT_EQ,
    ACTIONS(8585), 1,
      anon_sym_QMARK,
    ACTIONS(8587), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8589), 1,
      anon_sym_bitor,
    ACTIONS(8591), 1,
      anon_sym_bitand,
    STATE(3592), 1,
      sym_subscript_argument_list,
    STATE(3604), 1,
      sym_argument_list,
    ACTIONS(6885), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8218), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8559), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8561), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8565), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8567), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8571), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8581), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7389), 3,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
    ACTIONS(8575), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8577), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [142912] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5600), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(2358), 23,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [142959] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7312), 1,
      anon_sym_LPAREN2,
    ACTIONS(7926), 1,
      anon_sym_LBRACK,
    ACTIONS(7940), 1,
      anon_sym_DOT,
    ACTIONS(8731), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8733), 1,
      anon_sym_COMMA,
    ACTIONS(8739), 1,
      anon_sym_SLASH,
    ACTIONS(8745), 1,
      anon_sym_PIPE,
    ACTIONS(8749), 1,
      anon_sym_AMP,
    ACTIONS(8755), 1,
      anon_sym_LT_LT,
    ACTIONS(8757), 1,
      anon_sym_GT_GT,
    ACTIONS(8759), 1,
      anon_sym_QMARK,
    ACTIONS(8761), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8763), 1,
      anon_sym_bitor,
    ACTIONS(8765), 1,
      anon_sym_bitand,
    ACTIONS(8873), 1,
      anon_sym_GT2,
    STATE(4835), 1,
      sym_subscript_argument_list,
    STATE(4841), 1,
      sym_argument_list,
    STATE(8770), 1,
      aux_sym_template_argument_list_repeat1,
    ACTIONS(7942), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8735), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8737), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8741), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8743), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8747), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8767), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8751), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8753), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [143056] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6987), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6989), 23,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [143103] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8875), 1,
      sym_identifier,
    ACTIONS(8879), 1,
      sym_primitive_type,
    STATE(5618), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(8877), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5917), 11,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5919), 21,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [143158] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6440), 1,
      anon_sym_LPAREN2,
    ACTIONS(6879), 1,
      anon_sym_LBRACK,
    ACTIONS(6883), 1,
      anon_sym_DOT,
    ACTIONS(8513), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8679), 1,
      anon_sym_SLASH,
    ACTIONS(8681), 1,
      anon_sym_PIPE,
    ACTIONS(8685), 1,
      anon_sym_AMP,
    ACTIONS(8691), 1,
      anon_sym_GT_EQ,
    ACTIONS(8695), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8697), 1,
      anon_sym_bitor,
    ACTIONS(8699), 1,
      anon_sym_bitand,
    ACTIONS(8705), 1,
      anon_sym_QMARK,
    ACTIONS(8815), 1,
      anon_sym_COMMA,
    ACTIONS(8881), 1,
      anon_sym_RPAREN,
    STATE(3592), 1,
      sym_subscript_argument_list,
    STATE(3604), 1,
      sym_argument_list,
    STATE(8896), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(6885), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8218), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8675), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8677), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8683), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8693), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8701), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8703), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8687), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8689), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [143255] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7114), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(7116), 23,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [143302] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6440), 1,
      anon_sym_LPAREN2,
    ACTIONS(6879), 1,
      anon_sym_LBRACK,
    ACTIONS(6883), 1,
      anon_sym_DOT,
    ACTIONS(8513), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8779), 1,
      anon_sym_SLASH,
    ACTIONS(8785), 1,
      anon_sym_PIPE,
    ACTIONS(8789), 1,
      anon_sym_AMP,
    ACTIONS(8795), 1,
      anon_sym_GT_EQ,
    ACTIONS(8801), 1,
      anon_sym_QMARK,
    ACTIONS(8803), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8805), 1,
      anon_sym_bitor,
    ACTIONS(8807), 1,
      anon_sym_bitand,
    ACTIONS(8809), 1,
      anon_sym_COMMA,
    ACTIONS(8883), 1,
      anon_sym_RBRACK,
    STATE(3592), 1,
      sym_subscript_argument_list,
    STATE(3604), 1,
      sym_argument_list,
    STATE(8814), 1,
      aux_sym_subscript_argument_list_repeat1,
    ACTIONS(6885), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8218), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8775), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8777), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8781), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8783), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8787), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8797), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8791), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8793), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [143399] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7983), 1,
      anon_sym_const,
    ACTIONS(8254), 1,
      anon_sym_LPAREN2,
    ACTIONS(8256), 1,
      anon_sym_STAR,
    ACTIONS(8258), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8260), 1,
      anon_sym_AMP,
    ACTIONS(8268), 1,
      anon_sym_LBRACK,
    STATE(4503), 1,
      sym_parameter_list,
    STATE(7211), 1,
      sym__abstract_declarator,
    STATE(7268), 1,
      sym__function_declarator_seq,
    STATE(5879), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(7270), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(7974), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
    ACTIONS(7395), 12,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [143468] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6440), 1,
      anon_sym_LPAREN2,
    ACTIONS(6879), 1,
      anon_sym_LBRACK,
    ACTIONS(6883), 1,
      anon_sym_DOT,
    ACTIONS(8563), 1,
      anon_sym_SLASH,
    ACTIONS(8569), 1,
      anon_sym_PIPE,
    ACTIONS(8573), 1,
      anon_sym_AMP,
    ACTIONS(8579), 1,
      anon_sym_GT_EQ,
    ACTIONS(8587), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8589), 1,
      anon_sym_bitor,
    ACTIONS(8591), 1,
      anon_sym_bitand,
    STATE(3592), 1,
      sym_subscript_argument_list,
    STATE(3604), 1,
      sym_argument_list,
    ACTIONS(6885), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8218), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8559), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8561), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8565), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8567), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8571), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8581), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8575), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8577), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(7322), 5,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_QMARK,
  [143557] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6440), 1,
      anon_sym_LPAREN2,
    ACTIONS(6879), 1,
      anon_sym_LBRACK,
    ACTIONS(6883), 1,
      anon_sym_DOT,
    ACTIONS(8513), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8679), 1,
      anon_sym_SLASH,
    ACTIONS(8681), 1,
      anon_sym_PIPE,
    ACTIONS(8685), 1,
      anon_sym_AMP,
    ACTIONS(8691), 1,
      anon_sym_GT_EQ,
    ACTIONS(8695), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8697), 1,
      anon_sym_bitor,
    ACTIONS(8699), 1,
      anon_sym_bitand,
    ACTIONS(8705), 1,
      anon_sym_QMARK,
    ACTIONS(8719), 1,
      anon_sym_COMMA,
    ACTIONS(8885), 1,
      anon_sym_SEMI,
    STATE(3592), 1,
      sym_subscript_argument_list,
    STATE(3604), 1,
      sym_argument_list,
    STATE(8514), 1,
      aux_sym_declaration_repeat1,
    ACTIONS(6885), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8218), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8675), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8677), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8683), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8693), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8701), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8703), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8687), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8689), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [143654] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5735), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5737), 23,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [143701] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5749), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5751), 23,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [143748] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7078), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(7080), 23,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [143795] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7312), 1,
      anon_sym_LPAREN2,
    ACTIONS(7926), 1,
      anon_sym_LBRACK,
    ACTIONS(7940), 1,
      anon_sym_DOT,
    ACTIONS(8731), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8733), 1,
      anon_sym_COMMA,
    ACTIONS(8739), 1,
      anon_sym_SLASH,
    ACTIONS(8745), 1,
      anon_sym_PIPE,
    ACTIONS(8749), 1,
      anon_sym_AMP,
    ACTIONS(8755), 1,
      anon_sym_LT_LT,
    ACTIONS(8757), 1,
      anon_sym_GT_GT,
    ACTIONS(8759), 1,
      anon_sym_QMARK,
    ACTIONS(8761), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8763), 1,
      anon_sym_bitor,
    ACTIONS(8765), 1,
      anon_sym_bitand,
    ACTIONS(8887), 1,
      anon_sym_GT2,
    STATE(4835), 1,
      sym_subscript_argument_list,
    STATE(4841), 1,
      sym_argument_list,
    STATE(8797), 1,
      aux_sym_template_argument_list_repeat1,
    ACTIONS(7942), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8735), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8737), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8741), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8743), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8747), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8767), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8751), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8753), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [143892] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7156), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(7158), 23,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [143939] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4542), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(4538), 23,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [143986] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6440), 1,
      anon_sym_LPAREN2,
    ACTIONS(6879), 1,
      anon_sym_LBRACK,
    ACTIONS(6883), 1,
      anon_sym_DOT,
    ACTIONS(8513), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8679), 1,
      anon_sym_SLASH,
    ACTIONS(8681), 1,
      anon_sym_PIPE,
    ACTIONS(8685), 1,
      anon_sym_AMP,
    ACTIONS(8691), 1,
      anon_sym_GT_EQ,
    ACTIONS(8695), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8697), 1,
      anon_sym_bitor,
    ACTIONS(8699), 1,
      anon_sym_bitand,
    ACTIONS(8705), 1,
      anon_sym_QMARK,
    ACTIONS(8815), 1,
      anon_sym_COMMA,
    ACTIONS(8889), 1,
      anon_sym_RPAREN,
    STATE(3592), 1,
      sym_subscript_argument_list,
    STATE(3604), 1,
      sym_argument_list,
    STATE(8504), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(6885), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8218), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8675), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8677), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8683), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8693), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8701), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8703), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8687), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8689), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [144083] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6440), 1,
      anon_sym_LPAREN2,
    ACTIONS(6879), 1,
      anon_sym_LBRACK,
    ACTIONS(6883), 1,
      anon_sym_DOT,
    ACTIONS(8513), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8679), 1,
      anon_sym_SLASH,
    ACTIONS(8681), 1,
      anon_sym_PIPE,
    ACTIONS(8685), 1,
      anon_sym_AMP,
    ACTIONS(8691), 1,
      anon_sym_GT_EQ,
    ACTIONS(8695), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8697), 1,
      anon_sym_bitor,
    ACTIONS(8699), 1,
      anon_sym_bitand,
    ACTIONS(8705), 1,
      anon_sym_QMARK,
    ACTIONS(8815), 1,
      anon_sym_COMMA,
    ACTIONS(8891), 1,
      anon_sym_RPAREN,
    STATE(3592), 1,
      sym_subscript_argument_list,
    STATE(3604), 1,
      sym_argument_list,
    STATE(8620), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(6885), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8218), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8675), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8677), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8683), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8693), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8701), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8703), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8687), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8689), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [144180] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7212), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(7214), 23,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [144227] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5739), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5741), 23,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [144274] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7312), 1,
      anon_sym_LPAREN2,
    ACTIONS(7926), 1,
      anon_sym_LBRACK,
    ACTIONS(7940), 1,
      anon_sym_DOT,
    ACTIONS(8731), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8733), 1,
      anon_sym_COMMA,
    ACTIONS(8739), 1,
      anon_sym_SLASH,
    ACTIONS(8745), 1,
      anon_sym_PIPE,
    ACTIONS(8749), 1,
      anon_sym_AMP,
    ACTIONS(8755), 1,
      anon_sym_LT_LT,
    ACTIONS(8757), 1,
      anon_sym_GT_GT,
    ACTIONS(8759), 1,
      anon_sym_QMARK,
    ACTIONS(8761), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8763), 1,
      anon_sym_bitor,
    ACTIONS(8765), 1,
      anon_sym_bitand,
    ACTIONS(8893), 1,
      anon_sym_GT2,
    STATE(4835), 1,
      sym_subscript_argument_list,
    STATE(4841), 1,
      sym_argument_list,
    STATE(8789), 1,
      aux_sym_template_argument_list_repeat1,
    ACTIONS(7942), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8735), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8737), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8741), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8743), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8747), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8767), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8751), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8753), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [144371] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7168), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(7170), 23,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [144418] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6440), 1,
      anon_sym_LPAREN2,
    ACTIONS(6879), 1,
      anon_sym_LBRACK,
    ACTIONS(6883), 1,
      anon_sym_DOT,
    ACTIONS(8513), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8679), 1,
      anon_sym_SLASH,
    ACTIONS(8681), 1,
      anon_sym_PIPE,
    ACTIONS(8685), 1,
      anon_sym_AMP,
    ACTIONS(8691), 1,
      anon_sym_GT_EQ,
    ACTIONS(8695), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8697), 1,
      anon_sym_bitor,
    ACTIONS(8699), 1,
      anon_sym_bitand,
    ACTIONS(8705), 1,
      anon_sym_QMARK,
    ACTIONS(8897), 1,
      anon_sym_RPAREN,
    STATE(3592), 1,
      sym_subscript_argument_list,
    STATE(3604), 1,
      sym_argument_list,
    ACTIONS(6885), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8218), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8675), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8677), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8683), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8693), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8701), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8703), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8895), 2,
      anon_sym_COMMA,
      anon_sym_SEMI,
    ACTIONS(8687), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8689), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [144513] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7312), 1,
      anon_sym_LPAREN2,
    ACTIONS(7926), 1,
      anon_sym_LBRACK,
    ACTIONS(7940), 1,
      anon_sym_DOT,
    ACTIONS(8731), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8733), 1,
      anon_sym_COMMA,
    ACTIONS(8739), 1,
      anon_sym_SLASH,
    ACTIONS(8745), 1,
      anon_sym_PIPE,
    ACTIONS(8749), 1,
      anon_sym_AMP,
    ACTIONS(8755), 1,
      anon_sym_LT_LT,
    ACTIONS(8757), 1,
      anon_sym_GT_GT,
    ACTIONS(8759), 1,
      anon_sym_QMARK,
    ACTIONS(8761), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8763), 1,
      anon_sym_bitor,
    ACTIONS(8765), 1,
      anon_sym_bitand,
    ACTIONS(8899), 1,
      anon_sym_GT2,
    STATE(4835), 1,
      sym_subscript_argument_list,
    STATE(4841), 1,
      sym_argument_list,
    STATE(8821), 1,
      aux_sym_template_argument_list_repeat1,
    ACTIONS(7942), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8735), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8737), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8741), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8743), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8747), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8767), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8751), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8753), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [144610] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7312), 1,
      anon_sym_LPAREN2,
    ACTIONS(7926), 1,
      anon_sym_LBRACK,
    ACTIONS(7940), 1,
      anon_sym_DOT,
    ACTIONS(8731), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8733), 1,
      anon_sym_COMMA,
    ACTIONS(8739), 1,
      anon_sym_SLASH,
    ACTIONS(8745), 1,
      anon_sym_PIPE,
    ACTIONS(8749), 1,
      anon_sym_AMP,
    ACTIONS(8755), 1,
      anon_sym_LT_LT,
    ACTIONS(8757), 1,
      anon_sym_GT_GT,
    ACTIONS(8759), 1,
      anon_sym_QMARK,
    ACTIONS(8761), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8763), 1,
      anon_sym_bitor,
    ACTIONS(8765), 1,
      anon_sym_bitand,
    ACTIONS(8901), 1,
      anon_sym_GT2,
    STATE(4835), 1,
      sym_subscript_argument_list,
    STATE(4841), 1,
      sym_argument_list,
    STATE(8842), 1,
      aux_sym_template_argument_list_repeat1,
    ACTIONS(7942), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8735), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8737), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8741), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8743), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8747), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8767), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8751), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8753), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [144707] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6440), 1,
      anon_sym_LPAREN2,
    ACTIONS(6879), 1,
      anon_sym_LBRACK,
    ACTIONS(6883), 1,
      anon_sym_DOT,
    ACTIONS(8513), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8679), 1,
      anon_sym_SLASH,
    ACTIONS(8681), 1,
      anon_sym_PIPE,
    ACTIONS(8685), 1,
      anon_sym_AMP,
    ACTIONS(8691), 1,
      anon_sym_GT_EQ,
    ACTIONS(8695), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8697), 1,
      anon_sym_bitor,
    ACTIONS(8699), 1,
      anon_sym_bitand,
    ACTIONS(8705), 1,
      anon_sym_QMARK,
    ACTIONS(8903), 1,
      anon_sym_COMMA,
    ACTIONS(8905), 1,
      anon_sym_RBRACE,
    STATE(3592), 1,
      sym_subscript_argument_list,
    STATE(3604), 1,
      sym_argument_list,
    STATE(8623), 1,
      aux_sym_initializer_list_repeat1,
    ACTIONS(6885), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8218), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8675), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8677), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8683), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8693), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8701), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8703), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8687), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8689), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [144804] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6440), 1,
      anon_sym_LPAREN2,
    ACTIONS(6879), 1,
      anon_sym_LBRACK,
    ACTIONS(6883), 1,
      anon_sym_DOT,
    ACTIONS(8513), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8679), 1,
      anon_sym_SLASH,
    ACTIONS(8681), 1,
      anon_sym_PIPE,
    ACTIONS(8685), 1,
      anon_sym_AMP,
    ACTIONS(8691), 1,
      anon_sym_GT_EQ,
    ACTIONS(8695), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8697), 1,
      anon_sym_bitor,
    ACTIONS(8699), 1,
      anon_sym_bitand,
    ACTIONS(8705), 1,
      anon_sym_QMARK,
    ACTIONS(8719), 1,
      anon_sym_COMMA,
    ACTIONS(8907), 1,
      anon_sym_SEMI,
    STATE(3592), 1,
      sym_subscript_argument_list,
    STATE(3604), 1,
      sym_argument_list,
    STATE(8621), 1,
      aux_sym_declaration_repeat1,
    ACTIONS(6885), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8218), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8675), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8677), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8683), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8693), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8701), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8703), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8687), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8689), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [144901] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7082), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(7084), 23,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [144948] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6440), 1,
      anon_sym_LPAREN2,
    ACTIONS(6879), 1,
      anon_sym_LBRACK,
    ACTIONS(6883), 1,
      anon_sym_DOT,
    ACTIONS(8513), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8679), 1,
      anon_sym_SLASH,
    ACTIONS(8681), 1,
      anon_sym_PIPE,
    ACTIONS(8685), 1,
      anon_sym_AMP,
    ACTIONS(8691), 1,
      anon_sym_GT_EQ,
    ACTIONS(8695), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8697), 1,
      anon_sym_bitor,
    ACTIONS(8699), 1,
      anon_sym_bitand,
    ACTIONS(8705), 1,
      anon_sym_QMARK,
    ACTIONS(8727), 1,
      anon_sym_COMMA,
    ACTIONS(8909), 1,
      anon_sym_RPAREN,
    STATE(3592), 1,
      sym_subscript_argument_list,
    STATE(3604), 1,
      sym_argument_list,
    STATE(8676), 1,
      aux_sym_generic_expression_repeat1,
    ACTIONS(6885), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8218), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8675), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8677), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8683), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8693), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8701), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8703), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8687), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8689), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [145045] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6440), 1,
      anon_sym_LPAREN2,
    ACTIONS(6879), 1,
      anon_sym_LBRACK,
    ACTIONS(6883), 1,
      anon_sym_DOT,
    ACTIONS(8513), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8563), 1,
      anon_sym_SLASH,
    ACTIONS(8569), 1,
      anon_sym_PIPE,
    ACTIONS(8573), 1,
      anon_sym_AMP,
    ACTIONS(8579), 1,
      anon_sym_GT_EQ,
    ACTIONS(8585), 1,
      anon_sym_QMARK,
    ACTIONS(8587), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8589), 1,
      anon_sym_bitor,
    ACTIONS(8591), 1,
      anon_sym_bitand,
    STATE(3592), 1,
      sym_subscript_argument_list,
    STATE(3604), 1,
      sym_argument_list,
    ACTIONS(6885), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8218), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8559), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8561), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8565), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8567), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8571), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8581), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8575), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8577), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(8911), 3,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
  [145138] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6440), 1,
      anon_sym_LPAREN2,
    ACTIONS(6879), 1,
      anon_sym_LBRACK,
    ACTIONS(6883), 1,
      anon_sym_DOT,
    ACTIONS(8513), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8679), 1,
      anon_sym_SLASH,
    ACTIONS(8681), 1,
      anon_sym_PIPE,
    ACTIONS(8685), 1,
      anon_sym_AMP,
    ACTIONS(8691), 1,
      anon_sym_GT_EQ,
    ACTIONS(8695), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8697), 1,
      anon_sym_bitor,
    ACTIONS(8699), 1,
      anon_sym_bitand,
    ACTIONS(8705), 1,
      anon_sym_QMARK,
    ACTIONS(8719), 1,
      anon_sym_COMMA,
    ACTIONS(8913), 1,
      anon_sym_SEMI,
    STATE(3592), 1,
      sym_subscript_argument_list,
    STATE(3604), 1,
      sym_argument_list,
    STATE(8662), 1,
      aux_sym_declaration_repeat1,
    ACTIONS(6885), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8218), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8675), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8677), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8683), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8693), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8701), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8703), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8687), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8689), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [145235] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6440), 1,
      anon_sym_LPAREN2,
    ACTIONS(6879), 1,
      anon_sym_LBRACK,
    ACTIONS(6883), 1,
      anon_sym_DOT,
    ACTIONS(8513), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8563), 1,
      anon_sym_SLASH,
    ACTIONS(8569), 1,
      anon_sym_PIPE,
    ACTIONS(8573), 1,
      anon_sym_AMP,
    ACTIONS(8579), 1,
      anon_sym_GT_EQ,
    ACTIONS(8585), 1,
      anon_sym_QMARK,
    ACTIONS(8587), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8589), 1,
      anon_sym_bitor,
    ACTIONS(8591), 1,
      anon_sym_bitand,
    STATE(3592), 1,
      sym_subscript_argument_list,
    STATE(3604), 1,
      sym_argument_list,
    ACTIONS(6885), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8218), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8559), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8561), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8565), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8567), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8571), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8581), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8575), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8577), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(8915), 3,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
  [145328] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(2588), 1,
      anon_sym_operator,
    ACTIONS(8917), 1,
      sym_identifier,
    ACTIONS(8919), 1,
      anon_sym_LPAREN2,
    ACTIONS(8921), 1,
      anon_sym_STAR,
    ACTIONS(8923), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8925), 1,
      anon_sym_AMP,
    STATE(5347), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(7420), 1,
      sym__field_declarator,
    STATE(7581), 1,
      sym_operator_name,
    STATE(9469), 1,
      sym_ms_based_modifier,
    ACTIONS(4383), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(5226), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(6279), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(4381), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(7669), 7,
      sym_parenthesized_field_declarator,
      sym_attributed_field_declarator,
      sym_pointer_field_declarator,
      sym_function_field_declarator,
      sym_array_field_declarator,
      sym_reference_field_declarator,
      sym_template_method,
    ACTIONS(4379), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [145405] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7118), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(7120), 23,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [145452] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7136), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(7138), 23,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [145499] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2230), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5900), 1,
      anon_sym_LT,
    STATE(3203), 1,
      sym_template_argument_list,
    STATE(6032), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5896), 3,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_const,
    ACTIONS(8927), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5898), 28,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [145556] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7312), 1,
      anon_sym_LPAREN2,
    ACTIONS(7926), 1,
      anon_sym_LBRACK,
    ACTIONS(7940), 1,
      anon_sym_DOT,
    ACTIONS(8731), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8733), 1,
      anon_sym_COMMA,
    ACTIONS(8739), 1,
      anon_sym_SLASH,
    ACTIONS(8745), 1,
      anon_sym_PIPE,
    ACTIONS(8749), 1,
      anon_sym_AMP,
    ACTIONS(8755), 1,
      anon_sym_LT_LT,
    ACTIONS(8757), 1,
      anon_sym_GT_GT,
    ACTIONS(8759), 1,
      anon_sym_QMARK,
    ACTIONS(8761), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8763), 1,
      anon_sym_bitor,
    ACTIONS(8765), 1,
      anon_sym_bitand,
    ACTIONS(8929), 1,
      anon_sym_GT2,
    STATE(4835), 1,
      sym_subscript_argument_list,
    STATE(4841), 1,
      sym_argument_list,
    STATE(8863), 1,
      aux_sym_template_argument_list_repeat1,
    ACTIONS(7942), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8735), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8737), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8741), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8743), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8747), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8767), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8751), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8753), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [145653] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7206), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(7208), 23,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [145700] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7312), 1,
      anon_sym_LPAREN2,
    ACTIONS(7926), 1,
      anon_sym_LBRACK,
    ACTIONS(7940), 1,
      anon_sym_DOT,
    ACTIONS(8731), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8733), 1,
      anon_sym_COMMA,
    ACTIONS(8739), 1,
      anon_sym_SLASH,
    ACTIONS(8745), 1,
      anon_sym_PIPE,
    ACTIONS(8749), 1,
      anon_sym_AMP,
    ACTIONS(8755), 1,
      anon_sym_LT_LT,
    ACTIONS(8757), 1,
      anon_sym_GT_GT,
    ACTIONS(8759), 1,
      anon_sym_QMARK,
    ACTIONS(8761), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8763), 1,
      anon_sym_bitor,
    ACTIONS(8765), 1,
      anon_sym_bitand,
    ACTIONS(8931), 1,
      anon_sym_GT2,
    STATE(4835), 1,
      sym_subscript_argument_list,
    STATE(4841), 1,
      sym_argument_list,
    STATE(8884), 1,
      aux_sym_template_argument_list_repeat1,
    ACTIONS(7942), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8735), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8737), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8741), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8743), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8747), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8767), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8751), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8753), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [145797] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7312), 1,
      anon_sym_LPAREN2,
    ACTIONS(7926), 1,
      anon_sym_LBRACK,
    ACTIONS(7940), 1,
      anon_sym_DOT,
    ACTIONS(8731), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8733), 1,
      anon_sym_COMMA,
    ACTIONS(8739), 1,
      anon_sym_SLASH,
    ACTIONS(8745), 1,
      anon_sym_PIPE,
    ACTIONS(8749), 1,
      anon_sym_AMP,
    ACTIONS(8755), 1,
      anon_sym_LT_LT,
    ACTIONS(8757), 1,
      anon_sym_GT_GT,
    ACTIONS(8759), 1,
      anon_sym_QMARK,
    ACTIONS(8761), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8763), 1,
      anon_sym_bitor,
    ACTIONS(8765), 1,
      anon_sym_bitand,
    ACTIONS(8933), 1,
      anon_sym_GT2,
    STATE(4835), 1,
      sym_subscript_argument_list,
    STATE(4841), 1,
      sym_argument_list,
    STATE(8903), 1,
      aux_sym_template_argument_list_repeat1,
    ACTIONS(7942), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8735), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8737), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8741), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8743), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8747), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8767), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8751), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8753), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [145894] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7312), 1,
      anon_sym_LPAREN2,
    ACTIONS(7926), 1,
      anon_sym_LBRACK,
    ACTIONS(7940), 1,
      anon_sym_DOT,
    ACTIONS(8731), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8733), 1,
      anon_sym_COMMA,
    ACTIONS(8739), 1,
      anon_sym_SLASH,
    ACTIONS(8745), 1,
      anon_sym_PIPE,
    ACTIONS(8749), 1,
      anon_sym_AMP,
    ACTIONS(8755), 1,
      anon_sym_LT_LT,
    ACTIONS(8757), 1,
      anon_sym_GT_GT,
    ACTIONS(8759), 1,
      anon_sym_QMARK,
    ACTIONS(8761), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8763), 1,
      anon_sym_bitor,
    ACTIONS(8765), 1,
      anon_sym_bitand,
    ACTIONS(8935), 1,
      anon_sym_GT2,
    STATE(4835), 1,
      sym_subscript_argument_list,
    STATE(4841), 1,
      sym_argument_list,
    STATE(8921), 1,
      aux_sym_template_argument_list_repeat1,
    ACTIONS(7942), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8735), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8737), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8741), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8743), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8747), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8767), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8751), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8753), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [145991] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4379), 1,
      anon_sym_const,
    ACTIONS(4381), 1,
      sym_ms_restrict_modifier,
    ACTIONS(4561), 1,
      anon_sym_LPAREN2,
    ACTIONS(8509), 1,
      anon_sym_LBRACK,
    ACTIONS(8823), 1,
      anon_sym_STAR,
    ACTIONS(8825), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8827), 1,
      anon_sym_AMP,
    STATE(4963), 1,
      sym_parameter_list,
    STATE(5347), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(7422), 1,
      sym__function_declarator_seq,
    STATE(7904), 1,
      sym__abstract_declarator,
    ACTIONS(8529), 2,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(8531), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(5455), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(6252), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(6754), 4,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_try,
    STATE(7436), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8527), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [146070] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7312), 1,
      anon_sym_LPAREN2,
    ACTIONS(7926), 1,
      anon_sym_LBRACK,
    ACTIONS(7940), 1,
      anon_sym_DOT,
    ACTIONS(8731), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8733), 1,
      anon_sym_COMMA,
    ACTIONS(8739), 1,
      anon_sym_SLASH,
    ACTIONS(8745), 1,
      anon_sym_PIPE,
    ACTIONS(8749), 1,
      anon_sym_AMP,
    ACTIONS(8755), 1,
      anon_sym_LT_LT,
    ACTIONS(8757), 1,
      anon_sym_GT_GT,
    ACTIONS(8759), 1,
      anon_sym_QMARK,
    ACTIONS(8761), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8763), 1,
      anon_sym_bitor,
    ACTIONS(8765), 1,
      anon_sym_bitand,
    ACTIONS(8937), 1,
      anon_sym_GT2,
    STATE(4835), 1,
      sym_subscript_argument_list,
    STATE(4841), 1,
      sym_argument_list,
    STATE(8943), 1,
      aux_sym_template_argument_list_repeat1,
    ACTIONS(7942), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8735), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8737), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8741), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8743), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8747), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8767), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8751), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8753), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [146167] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7312), 1,
      anon_sym_LPAREN2,
    ACTIONS(7926), 1,
      anon_sym_LBRACK,
    ACTIONS(7940), 1,
      anon_sym_DOT,
    ACTIONS(8731), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8733), 1,
      anon_sym_COMMA,
    ACTIONS(8739), 1,
      anon_sym_SLASH,
    ACTIONS(8745), 1,
      anon_sym_PIPE,
    ACTIONS(8749), 1,
      anon_sym_AMP,
    ACTIONS(8755), 1,
      anon_sym_LT_LT,
    ACTIONS(8757), 1,
      anon_sym_GT_GT,
    ACTIONS(8759), 1,
      anon_sym_QMARK,
    ACTIONS(8761), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8763), 1,
      anon_sym_bitor,
    ACTIONS(8765), 1,
      anon_sym_bitand,
    ACTIONS(8939), 1,
      anon_sym_GT2,
    STATE(4835), 1,
      sym_subscript_argument_list,
    STATE(4841), 1,
      sym_argument_list,
    STATE(8951), 1,
      aux_sym_template_argument_list_repeat1,
    ACTIONS(7942), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8735), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8737), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8741), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8743), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8747), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8767), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8751), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8753), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [146264] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7312), 1,
      anon_sym_LPAREN2,
    ACTIONS(7926), 1,
      anon_sym_LBRACK,
    ACTIONS(7940), 1,
      anon_sym_DOT,
    ACTIONS(8731), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8733), 1,
      anon_sym_COMMA,
    ACTIONS(8739), 1,
      anon_sym_SLASH,
    ACTIONS(8745), 1,
      anon_sym_PIPE,
    ACTIONS(8749), 1,
      anon_sym_AMP,
    ACTIONS(8755), 1,
      anon_sym_LT_LT,
    ACTIONS(8757), 1,
      anon_sym_GT_GT,
    ACTIONS(8759), 1,
      anon_sym_QMARK,
    ACTIONS(8761), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8763), 1,
      anon_sym_bitor,
    ACTIONS(8765), 1,
      anon_sym_bitand,
    ACTIONS(8941), 1,
      anon_sym_GT2,
    STATE(4835), 1,
      sym_subscript_argument_list,
    STATE(4841), 1,
      sym_argument_list,
    STATE(8959), 1,
      aux_sym_template_argument_list_repeat1,
    ACTIONS(7942), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8735), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8737), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8741), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8743), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8747), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8767), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8751), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8753), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [146361] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7312), 1,
      anon_sym_LPAREN2,
    ACTIONS(7926), 1,
      anon_sym_LBRACK,
    ACTIONS(7940), 1,
      anon_sym_DOT,
    ACTIONS(8731), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8733), 1,
      anon_sym_COMMA,
    ACTIONS(8739), 1,
      anon_sym_SLASH,
    ACTIONS(8745), 1,
      anon_sym_PIPE,
    ACTIONS(8749), 1,
      anon_sym_AMP,
    ACTIONS(8755), 1,
      anon_sym_LT_LT,
    ACTIONS(8757), 1,
      anon_sym_GT_GT,
    ACTIONS(8759), 1,
      anon_sym_QMARK,
    ACTIONS(8761), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8763), 1,
      anon_sym_bitor,
    ACTIONS(8765), 1,
      anon_sym_bitand,
    ACTIONS(8943), 1,
      anon_sym_GT2,
    STATE(4835), 1,
      sym_subscript_argument_list,
    STATE(4841), 1,
      sym_argument_list,
    STATE(8967), 1,
      aux_sym_template_argument_list_repeat1,
    ACTIONS(7942), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8735), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8737), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8741), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8743), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8747), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8767), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8751), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8753), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [146458] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6440), 1,
      anon_sym_LPAREN2,
    ACTIONS(6879), 1,
      anon_sym_LBRACK,
    ACTIONS(6883), 1,
      anon_sym_DOT,
    ACTIONS(8513), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8679), 1,
      anon_sym_SLASH,
    ACTIONS(8681), 1,
      anon_sym_PIPE,
    ACTIONS(8685), 1,
      anon_sym_AMP,
    ACTIONS(8691), 1,
      anon_sym_GT_EQ,
    ACTIONS(8695), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8697), 1,
      anon_sym_bitor,
    ACTIONS(8699), 1,
      anon_sym_bitand,
    ACTIONS(8705), 1,
      anon_sym_QMARK,
    ACTIONS(8945), 1,
      anon_sym_COMMA,
    ACTIONS(8947), 1,
      anon_sym_RBRACE,
    STATE(3592), 1,
      sym_subscript_argument_list,
    STATE(3604), 1,
      sym_argument_list,
    STATE(8765), 1,
      aux_sym_initializer_list_repeat1,
    ACTIONS(6885), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8218), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8675), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8677), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8683), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8693), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8701), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8703), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8687), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8689), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [146555] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6440), 1,
      anon_sym_LPAREN2,
    ACTIONS(6879), 1,
      anon_sym_LBRACK,
    ACTIONS(6883), 1,
      anon_sym_DOT,
    ACTIONS(8513), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8679), 1,
      anon_sym_SLASH,
    ACTIONS(8681), 1,
      anon_sym_PIPE,
    ACTIONS(8685), 1,
      anon_sym_AMP,
    ACTIONS(8691), 1,
      anon_sym_GT_EQ,
    ACTIONS(8695), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8697), 1,
      anon_sym_bitor,
    ACTIONS(8699), 1,
      anon_sym_bitand,
    ACTIONS(8705), 1,
      anon_sym_QMARK,
    ACTIONS(8949), 1,
      anon_sym_COMMA,
    ACTIONS(8951), 1,
      anon_sym_RBRACE,
    STATE(3592), 1,
      sym_subscript_argument_list,
    STATE(3604), 1,
      sym_argument_list,
    STATE(8766), 1,
      aux_sym_initializer_list_repeat1,
    ACTIONS(6885), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8218), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8675), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8677), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8683), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8693), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8701), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8703), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8687), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8689), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [146652] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7312), 1,
      anon_sym_LPAREN2,
    ACTIONS(7926), 1,
      anon_sym_LBRACK,
    ACTIONS(7940), 1,
      anon_sym_DOT,
    ACTIONS(8731), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8733), 1,
      anon_sym_COMMA,
    ACTIONS(8739), 1,
      anon_sym_SLASH,
    ACTIONS(8745), 1,
      anon_sym_PIPE,
    ACTIONS(8749), 1,
      anon_sym_AMP,
    ACTIONS(8755), 1,
      anon_sym_LT_LT,
    ACTIONS(8757), 1,
      anon_sym_GT_GT,
    ACTIONS(8759), 1,
      anon_sym_QMARK,
    ACTIONS(8761), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8763), 1,
      anon_sym_bitor,
    ACTIONS(8765), 1,
      anon_sym_bitand,
    ACTIONS(8953), 1,
      anon_sym_GT2,
    STATE(4835), 1,
      sym_subscript_argument_list,
    STATE(4841), 1,
      sym_argument_list,
    STATE(8526), 1,
      aux_sym_template_argument_list_repeat1,
    ACTIONS(7942), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8735), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8737), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8741), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8743), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8747), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8767), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8751), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8753), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [146749] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6440), 1,
      anon_sym_LPAREN2,
    ACTIONS(6879), 1,
      anon_sym_LBRACK,
    ACTIONS(6883), 1,
      anon_sym_DOT,
    ACTIONS(8513), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8679), 1,
      anon_sym_SLASH,
    ACTIONS(8681), 1,
      anon_sym_PIPE,
    ACTIONS(8685), 1,
      anon_sym_AMP,
    ACTIONS(8691), 1,
      anon_sym_GT_EQ,
    ACTIONS(8695), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8697), 1,
      anon_sym_bitor,
    ACTIONS(8699), 1,
      anon_sym_bitand,
    ACTIONS(8705), 1,
      anon_sym_QMARK,
    ACTIONS(8815), 1,
      anon_sym_COMMA,
    ACTIONS(8955), 1,
      anon_sym_RPAREN,
    STATE(3592), 1,
      sym_subscript_argument_list,
    STATE(3604), 1,
      sym_argument_list,
    STATE(8756), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(6885), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8218), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8675), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8677), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8683), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8693), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8701), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8703), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8687), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8689), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [146846] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7164), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(7166), 23,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [146893] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7312), 1,
      anon_sym_LPAREN2,
    ACTIONS(7926), 1,
      anon_sym_LBRACK,
    ACTIONS(7940), 1,
      anon_sym_DOT,
    ACTIONS(8731), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8733), 1,
      anon_sym_COMMA,
    ACTIONS(8739), 1,
      anon_sym_SLASH,
    ACTIONS(8745), 1,
      anon_sym_PIPE,
    ACTIONS(8749), 1,
      anon_sym_AMP,
    ACTIONS(8755), 1,
      anon_sym_LT_LT,
    ACTIONS(8757), 1,
      anon_sym_GT_GT,
    ACTIONS(8759), 1,
      anon_sym_QMARK,
    ACTIONS(8761), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8763), 1,
      anon_sym_bitor,
    ACTIONS(8765), 1,
      anon_sym_bitand,
    ACTIONS(8957), 1,
      anon_sym_GT2,
    STATE(4835), 1,
      sym_subscript_argument_list,
    STATE(4841), 1,
      sym_argument_list,
    STATE(8498), 1,
      aux_sym_template_argument_list_repeat1,
    ACTIONS(7942), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8735), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8737), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8741), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8743), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8747), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8767), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8751), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8753), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [146990] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(5542), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(8959), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5842), 11,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5840), 23,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [147041] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6440), 1,
      anon_sym_LPAREN2,
    ACTIONS(6879), 1,
      anon_sym_LBRACK,
    ACTIONS(6883), 1,
      anon_sym_DOT,
    ACTIONS(8513), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8679), 1,
      anon_sym_SLASH,
    ACTIONS(8681), 1,
      anon_sym_PIPE,
    ACTIONS(8685), 1,
      anon_sym_AMP,
    ACTIONS(8691), 1,
      anon_sym_GT_EQ,
    ACTIONS(8695), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8697), 1,
      anon_sym_bitor,
    ACTIONS(8699), 1,
      anon_sym_bitand,
    ACTIONS(8705), 1,
      anon_sym_QMARK,
    ACTIONS(8727), 1,
      anon_sym_COMMA,
    ACTIONS(8962), 1,
      anon_sym_RPAREN,
    STATE(3592), 1,
      sym_subscript_argument_list,
    STATE(3604), 1,
      sym_argument_list,
    STATE(8694), 1,
      aux_sym_generic_expression_repeat1,
    ACTIONS(6885), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8218), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8675), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8677), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8683), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8693), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8701), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8703), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8687), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8689), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [147138] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6440), 1,
      anon_sym_LPAREN2,
    ACTIONS(6879), 1,
      anon_sym_LBRACK,
    ACTIONS(6883), 1,
      anon_sym_DOT,
    ACTIONS(8513), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8679), 1,
      anon_sym_SLASH,
    ACTIONS(8681), 1,
      anon_sym_PIPE,
    ACTIONS(8685), 1,
      anon_sym_AMP,
    ACTIONS(8691), 1,
      anon_sym_GT_EQ,
    ACTIONS(8695), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8697), 1,
      anon_sym_bitor,
    ACTIONS(8699), 1,
      anon_sym_bitand,
    ACTIONS(8705), 1,
      anon_sym_QMARK,
    ACTIONS(8815), 1,
      anon_sym_COMMA,
    ACTIONS(8964), 1,
      anon_sym_RPAREN,
    STATE(3592), 1,
      sym_subscript_argument_list,
    STATE(3604), 1,
      sym_argument_list,
    STATE(8538), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(6885), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8218), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8675), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8677), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8683), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8693), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8701), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8703), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8687), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8689), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [147235] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7140), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(7142), 23,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [147282] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7074), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(7076), 23,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [147329] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6440), 1,
      anon_sym_LPAREN2,
    ACTIONS(6879), 1,
      anon_sym_LBRACK,
    ACTIONS(6883), 1,
      anon_sym_DOT,
    ACTIONS(7999), 1,
      anon_sym_COMMA,
    ACTIONS(8513), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8679), 1,
      anon_sym_SLASH,
    ACTIONS(8681), 1,
      anon_sym_PIPE,
    ACTIONS(8685), 1,
      anon_sym_AMP,
    ACTIONS(8691), 1,
      anon_sym_GT_EQ,
    ACTIONS(8695), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8697), 1,
      anon_sym_bitor,
    ACTIONS(8699), 1,
      anon_sym_bitand,
    ACTIONS(8705), 1,
      anon_sym_QMARK,
    STATE(3592), 1,
      sym_subscript_argument_list,
    STATE(3604), 1,
      sym_argument_list,
    ACTIONS(6885), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8218), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8675), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8677), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8683), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8693), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8701), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8703), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8966), 2,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(8687), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8689), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [147424] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7033), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(7035), 23,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [147471] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6440), 1,
      anon_sym_LPAREN2,
    ACTIONS(6879), 1,
      anon_sym_LBRACK,
    ACTIONS(6883), 1,
      anon_sym_DOT,
    ACTIONS(8513), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8679), 1,
      anon_sym_SLASH,
    ACTIONS(8681), 1,
      anon_sym_PIPE,
    ACTIONS(8685), 1,
      anon_sym_AMP,
    ACTIONS(8691), 1,
      anon_sym_GT_EQ,
    ACTIONS(8695), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8697), 1,
      anon_sym_bitor,
    ACTIONS(8699), 1,
      anon_sym_bitand,
    ACTIONS(8705), 1,
      anon_sym_QMARK,
    ACTIONS(8719), 1,
      anon_sym_COMMA,
    ACTIONS(8968), 1,
      anon_sym_SEMI,
    STATE(3592), 1,
      sym_subscript_argument_list,
    STATE(3604), 1,
      sym_argument_list,
    STATE(8703), 1,
      aux_sym_declaration_repeat1,
    ACTIONS(6885), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8218), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8675), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8677), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8683), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8693), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8701), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8703), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8687), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8689), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [147568] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7021), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(7023), 23,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [147615] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7053), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(7055), 23,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [147662] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6440), 1,
      anon_sym_LPAREN2,
    ACTIONS(6879), 1,
      anon_sym_LBRACK,
    ACTIONS(6883), 1,
      anon_sym_DOT,
    ACTIONS(8513), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8679), 1,
      anon_sym_SLASH,
    ACTIONS(8681), 1,
      anon_sym_PIPE,
    ACTIONS(8685), 1,
      anon_sym_AMP,
    ACTIONS(8691), 1,
      anon_sym_GT_EQ,
    ACTIONS(8695), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8697), 1,
      anon_sym_bitor,
    ACTIONS(8699), 1,
      anon_sym_bitand,
    ACTIONS(8705), 1,
      anon_sym_QMARK,
    ACTIONS(8815), 1,
      anon_sym_COMMA,
    ACTIONS(8970), 1,
      anon_sym_RPAREN,
    STATE(3592), 1,
      sym_subscript_argument_list,
    STATE(3604), 1,
      sym_argument_list,
    STATE(8711), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(6885), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8218), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8675), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8677), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8683), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8693), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8701), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8703), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8687), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8689), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [147759] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6440), 1,
      anon_sym_LPAREN2,
    ACTIONS(6879), 1,
      anon_sym_LBRACK,
    ACTIONS(6883), 1,
      anon_sym_DOT,
    ACTIONS(8513), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8679), 1,
      anon_sym_SLASH,
    ACTIONS(8681), 1,
      anon_sym_PIPE,
    ACTIONS(8685), 1,
      anon_sym_AMP,
    ACTIONS(8691), 1,
      anon_sym_GT_EQ,
    ACTIONS(8695), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8697), 1,
      anon_sym_bitor,
    ACTIONS(8699), 1,
      anon_sym_bitand,
    ACTIONS(8705), 1,
      anon_sym_QMARK,
    ACTIONS(8815), 1,
      anon_sym_COMMA,
    ACTIONS(8972), 1,
      anon_sym_RPAREN,
    STATE(3592), 1,
      sym_subscript_argument_list,
    STATE(3604), 1,
      sym_argument_list,
    STATE(8875), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(6885), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8218), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8675), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8677), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8683), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8693), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8701), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8703), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8687), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8689), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [147856] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7144), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(7146), 23,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [147903] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7983), 1,
      anon_sym_const,
    ACTIONS(8254), 1,
      anon_sym_LPAREN2,
    ACTIONS(8256), 1,
      anon_sym_STAR,
    ACTIONS(8258), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8260), 1,
      anon_sym_AMP,
    ACTIONS(8268), 1,
      anon_sym_LBRACK,
    STATE(4503), 1,
      sym_parameter_list,
    STATE(7239), 1,
      sym__abstract_declarator,
    STATE(7268), 1,
      sym__function_declarator_seq,
    STATE(5879), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(7270), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(7974), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
    ACTIONS(8974), 12,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [147972] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7172), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(7174), 23,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [148019] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6440), 1,
      anon_sym_LPAREN2,
    ACTIONS(6879), 1,
      anon_sym_LBRACK,
    ACTIONS(6883), 1,
      anon_sym_DOT,
    ACTIONS(8513), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8679), 1,
      anon_sym_SLASH,
    ACTIONS(8681), 1,
      anon_sym_PIPE,
    ACTIONS(8685), 1,
      anon_sym_AMP,
    ACTIONS(8691), 1,
      anon_sym_GT_EQ,
    ACTIONS(8695), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8697), 1,
      anon_sym_bitor,
    ACTIONS(8699), 1,
      anon_sym_bitand,
    ACTIONS(8705), 1,
      anon_sym_QMARK,
    ACTIONS(8966), 1,
      anon_sym_SEMI,
    ACTIONS(8976), 1,
      anon_sym_COMMA,
    ACTIONS(8979), 1,
      anon_sym_RBRACE,
    STATE(3592), 1,
      sym_subscript_argument_list,
    STATE(3604), 1,
      sym_argument_list,
    ACTIONS(6885), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8218), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8675), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8677), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8683), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8693), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8701), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8703), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8687), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8689), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [148116] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6440), 1,
      anon_sym_LPAREN2,
    ACTIONS(6879), 1,
      anon_sym_LBRACK,
    ACTIONS(6883), 1,
      anon_sym_DOT,
    ACTIONS(8513), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8679), 1,
      anon_sym_SLASH,
    ACTIONS(8681), 1,
      anon_sym_PIPE,
    ACTIONS(8685), 1,
      anon_sym_AMP,
    ACTIONS(8691), 1,
      anon_sym_GT_EQ,
    ACTIONS(8695), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8697), 1,
      anon_sym_bitor,
    ACTIONS(8699), 1,
      anon_sym_bitand,
    ACTIONS(8705), 1,
      anon_sym_QMARK,
    ACTIONS(8711), 1,
      anon_sym_SEMI,
    ACTIONS(8981), 1,
      anon_sym_COMMA,
    ACTIONS(8984), 1,
      anon_sym_RBRACE,
    STATE(3592), 1,
      sym_subscript_argument_list,
    STATE(3604), 1,
      sym_argument_list,
    ACTIONS(6885), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8218), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8675), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8677), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8683), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8693), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8701), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8703), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8687), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8689), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [148213] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5721), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5723), 23,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [148260] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8857), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8859), 1,
      anon_sym_and,
    ACTIONS(8986), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(8988), 1,
      anon_sym_or,
    ACTIONS(5847), 14,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5849), 21,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [148315] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7312), 1,
      anon_sym_LPAREN2,
    ACTIONS(7926), 1,
      anon_sym_LBRACK,
    ACTIONS(7940), 1,
      anon_sym_DOT,
    ACTIONS(8731), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8733), 1,
      anon_sym_COMMA,
    ACTIONS(8739), 1,
      anon_sym_SLASH,
    ACTIONS(8745), 1,
      anon_sym_PIPE,
    ACTIONS(8749), 1,
      anon_sym_AMP,
    ACTIONS(8755), 1,
      anon_sym_LT_LT,
    ACTIONS(8757), 1,
      anon_sym_GT_GT,
    ACTIONS(8759), 1,
      anon_sym_QMARK,
    ACTIONS(8761), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8763), 1,
      anon_sym_bitor,
    ACTIONS(8765), 1,
      anon_sym_bitand,
    ACTIONS(8990), 1,
      anon_sym_GT2,
    STATE(4835), 1,
      sym_subscript_argument_list,
    STATE(4841), 1,
      sym_argument_list,
    STATE(8888), 1,
      aux_sym_template_argument_list_repeat1,
    ACTIONS(7942), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8735), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8737), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8741), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8743), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8747), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8767), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8751), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8753), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [148412] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4534), 1,
      anon_sym_LBRACE,
    ACTIONS(8491), 1,
      anon_sym_LPAREN2,
    STATE(5970), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(6666), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(6668), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [148465] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7064), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(7066), 23,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [148512] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7188), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(7190), 23,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [148559] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7312), 1,
      anon_sym_LPAREN2,
    ACTIONS(7926), 1,
      anon_sym_LBRACK,
    ACTIONS(7940), 1,
      anon_sym_DOT,
    ACTIONS(8731), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8733), 1,
      anon_sym_COMMA,
    ACTIONS(8739), 1,
      anon_sym_SLASH,
    ACTIONS(8745), 1,
      anon_sym_PIPE,
    ACTIONS(8749), 1,
      anon_sym_AMP,
    ACTIONS(8755), 1,
      anon_sym_LT_LT,
    ACTIONS(8757), 1,
      anon_sym_GT_GT,
    ACTIONS(8759), 1,
      anon_sym_QMARK,
    ACTIONS(8761), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8763), 1,
      anon_sym_bitor,
    ACTIONS(8765), 1,
      anon_sym_bitand,
    ACTIONS(8992), 1,
      anon_sym_GT2,
    STATE(4835), 1,
      sym_subscript_argument_list,
    STATE(4841), 1,
      sym_argument_list,
    STATE(8915), 1,
      aux_sym_template_argument_list_repeat1,
    ACTIONS(7942), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8735), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8737), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8741), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8743), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8747), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8767), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8751), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8753), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [148656] = 4,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2383), 1,
      sym__fold_operator,
    ACTIONS(8996), 13,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
    ACTIONS(8994), 25,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [148705] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6440), 1,
      anon_sym_LPAREN2,
    ACTIONS(6879), 1,
      anon_sym_LBRACK,
    ACTIONS(6883), 1,
      anon_sym_DOT,
    ACTIONS(7999), 1,
      anon_sym_COMMA,
    ACTIONS(8513), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8679), 1,
      anon_sym_SLASH,
    ACTIONS(8681), 1,
      anon_sym_PIPE,
    ACTIONS(8685), 1,
      anon_sym_AMP,
    ACTIONS(8691), 1,
      anon_sym_GT_EQ,
    ACTIONS(8695), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8697), 1,
      anon_sym_bitor,
    ACTIONS(8699), 1,
      anon_sym_bitand,
    ACTIONS(8705), 1,
      anon_sym_QMARK,
    ACTIONS(8998), 1,
      anon_sym_RPAREN,
    ACTIONS(9000), 1,
      anon_sym_SEMI,
    STATE(3592), 1,
      sym_subscript_argument_list,
    STATE(3604), 1,
      sym_argument_list,
    ACTIONS(6885), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8218), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8675), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8677), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8683), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8693), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8701), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8703), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8687), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8689), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [148802] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6440), 1,
      anon_sym_LPAREN2,
    ACTIONS(6879), 1,
      anon_sym_LBRACK,
    ACTIONS(6883), 1,
      anon_sym_DOT,
    ACTIONS(8513), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8679), 1,
      anon_sym_SLASH,
    ACTIONS(8681), 1,
      anon_sym_PIPE,
    ACTIONS(8685), 1,
      anon_sym_AMP,
    ACTIONS(8691), 1,
      anon_sym_GT_EQ,
    ACTIONS(8695), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8697), 1,
      anon_sym_bitor,
    ACTIONS(8699), 1,
      anon_sym_bitand,
    ACTIONS(8705), 1,
      anon_sym_QMARK,
    ACTIONS(8727), 1,
      anon_sym_COMMA,
    ACTIONS(9002), 1,
      anon_sym_RPAREN,
    STATE(3592), 1,
      sym_subscript_argument_list,
    STATE(3604), 1,
      sym_argument_list,
    STATE(8539), 1,
      aux_sym_generic_expression_repeat1,
    ACTIONS(6885), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8218), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8675), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8677), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8683), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8693), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8701), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8703), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8687), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8689), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [148899] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6440), 1,
      anon_sym_LPAREN2,
    ACTIONS(6879), 1,
      anon_sym_LBRACK,
    ACTIONS(6883), 1,
      anon_sym_DOT,
    ACTIONS(8563), 1,
      anon_sym_SLASH,
    STATE(3592), 1,
      sym_subscript_argument_list,
    STATE(3604), 1,
      sym_argument_list,
    ACTIONS(6885), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8218), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8559), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8561), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8581), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6930), 5,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6932), 18,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [148968] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7041), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(7043), 23,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [149015] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4534), 1,
      anon_sym_LBRACE,
    ACTIONS(8491), 1,
      anon_sym_LPAREN2,
    STATE(5972), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(6699), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(6701), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [149068] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7017), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(7019), 23,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [149115] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7182), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(7184), 23,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [149162] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7013), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(7015), 23,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [149209] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7202), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(7204), 23,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [149256] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6440), 1,
      anon_sym_LPAREN2,
    ACTIONS(6879), 1,
      anon_sym_LBRACK,
    ACTIONS(6883), 1,
      anon_sym_DOT,
    ACTIONS(8513), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8679), 1,
      anon_sym_SLASH,
    ACTIONS(8681), 1,
      anon_sym_PIPE,
    ACTIONS(8685), 1,
      anon_sym_AMP,
    ACTIONS(8691), 1,
      anon_sym_GT_EQ,
    ACTIONS(8695), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8697), 1,
      anon_sym_bitor,
    ACTIONS(8699), 1,
      anon_sym_bitand,
    ACTIONS(8705), 1,
      anon_sym_QMARK,
    ACTIONS(9004), 1,
      anon_sym_COMMA,
    ACTIONS(9006), 1,
      anon_sym_RBRACE,
    STATE(3592), 1,
      sym_subscript_argument_list,
    STATE(3604), 1,
      sym_argument_list,
    STATE(8932), 1,
      aux_sym_initializer_list_repeat1,
    ACTIONS(6885), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8218), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8675), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8677), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8683), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8693), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8701), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8703), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8687), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8689), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [149353] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6440), 1,
      anon_sym_LPAREN2,
    ACTIONS(6879), 1,
      anon_sym_LBRACK,
    ACTIONS(6883), 1,
      anon_sym_DOT,
    ACTIONS(8563), 1,
      anon_sym_SLASH,
    STATE(3592), 1,
      sym_subscript_argument_list,
    STATE(3604), 1,
      sym_argument_list,
    ACTIONS(6885), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8218), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8559), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8561), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(6930), 5,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6932), 20,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [149420] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6440), 1,
      anon_sym_LPAREN2,
    ACTIONS(6879), 1,
      anon_sym_LBRACK,
    ACTIONS(6883), 1,
      anon_sym_DOT,
    ACTIONS(8513), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8679), 1,
      anon_sym_SLASH,
    ACTIONS(8681), 1,
      anon_sym_PIPE,
    ACTIONS(8685), 1,
      anon_sym_AMP,
    ACTIONS(8691), 1,
      anon_sym_GT_EQ,
    ACTIONS(8695), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8697), 1,
      anon_sym_bitor,
    ACTIONS(8699), 1,
      anon_sym_bitand,
    ACTIONS(8705), 1,
      anon_sym_QMARK,
    ACTIONS(8815), 1,
      anon_sym_COMMA,
    ACTIONS(9008), 1,
      anon_sym_RPAREN,
    STATE(3592), 1,
      sym_subscript_argument_list,
    STATE(3604), 1,
      sym_argument_list,
    STATE(8946), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(6885), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8218), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8675), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8677), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8683), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8693), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8701), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8703), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8687), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8689), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [149517] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6440), 1,
      anon_sym_LPAREN2,
    ACTIONS(6879), 1,
      anon_sym_LBRACK,
    ACTIONS(6883), 1,
      anon_sym_DOT,
    ACTIONS(8513), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8679), 1,
      anon_sym_SLASH,
    ACTIONS(8681), 1,
      anon_sym_PIPE,
    ACTIONS(8685), 1,
      anon_sym_AMP,
    ACTIONS(8691), 1,
      anon_sym_GT_EQ,
    ACTIONS(8695), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8697), 1,
      anon_sym_bitor,
    ACTIONS(8699), 1,
      anon_sym_bitand,
    ACTIONS(8705), 1,
      anon_sym_QMARK,
    ACTIONS(8719), 1,
      anon_sym_COMMA,
    ACTIONS(9010), 1,
      anon_sym_SEMI,
    STATE(3592), 1,
      sym_subscript_argument_list,
    STATE(3604), 1,
      sym_argument_list,
    STATE(8876), 1,
      aux_sym_declaration_repeat1,
    ACTIONS(6885), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8218), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8675), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8677), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8683), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8693), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8701), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8703), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8687), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8689), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [149614] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7003), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(7005), 23,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [149661] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7108), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(7110), 23,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [149708] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2206), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(2204), 23,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [149755] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6440), 1,
      anon_sym_LPAREN2,
    ACTIONS(6879), 1,
      anon_sym_LBRACK,
    ACTIONS(6883), 1,
      anon_sym_DOT,
    ACTIONS(8563), 1,
      anon_sym_SLASH,
    ACTIONS(8587), 1,
      anon_sym_LT_EQ_GT,
    STATE(3592), 1,
      sym_subscript_argument_list,
    STATE(3604), 1,
      sym_argument_list,
    ACTIONS(6885), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8218), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8559), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8561), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8581), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6930), 5,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6932), 17,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_QMARK,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [149826] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7037), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(7039), 23,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [149873] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5779), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5781), 23,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [149920] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6440), 1,
      anon_sym_LPAREN2,
    ACTIONS(6879), 1,
      anon_sym_LBRACK,
    ACTIONS(6883), 1,
      anon_sym_DOT,
    ACTIONS(8563), 1,
      anon_sym_SLASH,
    ACTIONS(8579), 1,
      anon_sym_GT_EQ,
    ACTIONS(8587), 1,
      anon_sym_LT_EQ_GT,
    STATE(3592), 1,
      sym_subscript_argument_list,
    STATE(3604), 1,
      sym_argument_list,
    ACTIONS(6885), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6930), 2,
      anon_sym_PIPE,
      anon_sym_AMP,
    ACTIONS(8218), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8559), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8561), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8581), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8577), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6932), 16,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_QMARK,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [149995] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2238), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(2236), 23,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [150042] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6440), 1,
      anon_sym_LPAREN2,
    ACTIONS(6879), 1,
      anon_sym_LBRACK,
    ACTIONS(6883), 1,
      anon_sym_DOT,
    ACTIONS(8513), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8679), 1,
      anon_sym_SLASH,
    ACTIONS(8681), 1,
      anon_sym_PIPE,
    ACTIONS(8685), 1,
      anon_sym_AMP,
    ACTIONS(8691), 1,
      anon_sym_GT_EQ,
    ACTIONS(8695), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8697), 1,
      anon_sym_bitor,
    ACTIONS(8699), 1,
      anon_sym_bitand,
    ACTIONS(8705), 1,
      anon_sym_QMARK,
    ACTIONS(8815), 1,
      anon_sym_COMMA,
    ACTIONS(9012), 1,
      anon_sym_RPAREN,
    STATE(3592), 1,
      sym_subscript_argument_list,
    STATE(3604), 1,
      sym_argument_list,
    STATE(8565), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(6885), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8218), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8675), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8677), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8683), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8693), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8701), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8703), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8687), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8689), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [150139] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(2588), 1,
      anon_sym_operator,
    ACTIONS(8917), 1,
      sym_identifier,
    ACTIONS(8919), 1,
      anon_sym_LPAREN2,
    ACTIONS(8921), 1,
      anon_sym_STAR,
    ACTIONS(8923), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8925), 1,
      anon_sym_AMP,
    STATE(5347), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(7429), 1,
      sym__field_declarator,
    STATE(7581), 1,
      sym_operator_name,
    STATE(9469), 1,
      sym_ms_based_modifier,
    ACTIONS(4383), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(5608), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(6269), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(4381), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(7669), 7,
      sym_parenthesized_field_declarator,
      sym_attributed_field_declarator,
      sym_pointer_field_declarator,
      sym_function_field_declarator,
      sym_array_field_declarator,
      sym_reference_field_declarator,
      sym_template_method,
    ACTIONS(4379), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [150216] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6440), 1,
      anon_sym_LPAREN2,
    ACTIONS(6879), 1,
      anon_sym_LBRACK,
    ACTIONS(6883), 1,
      anon_sym_DOT,
    ACTIONS(8563), 1,
      anon_sym_SLASH,
    ACTIONS(8579), 1,
      anon_sym_GT_EQ,
    ACTIONS(8587), 1,
      anon_sym_LT_EQ_GT,
    STATE(3592), 1,
      sym_subscript_argument_list,
    STATE(3604), 1,
      sym_argument_list,
    ACTIONS(6885), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6930), 2,
      anon_sym_PIPE,
      anon_sym_AMP,
    ACTIONS(8218), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8559), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8561), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8581), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8575), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8577), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6932), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_QMARK,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
  [150293] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6440), 1,
      anon_sym_LPAREN2,
    ACTIONS(6879), 1,
      anon_sym_LBRACK,
    ACTIONS(6883), 1,
      anon_sym_DOT,
    ACTIONS(6930), 1,
      anon_sym_PIPE,
    ACTIONS(8563), 1,
      anon_sym_SLASH,
    ACTIONS(8573), 1,
      anon_sym_AMP,
    ACTIONS(8579), 1,
      anon_sym_GT_EQ,
    ACTIONS(8587), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8591), 1,
      anon_sym_bitand,
    STATE(3592), 1,
      sym_subscript_argument_list,
    STATE(3604), 1,
      sym_argument_list,
    ACTIONS(6885), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8218), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8559), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8561), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8581), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8575), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8577), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6932), 12,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_QMARK,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
  [150374] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7983), 1,
      anon_sym_const,
    ACTIONS(8254), 1,
      anon_sym_LPAREN2,
    ACTIONS(8268), 1,
      anon_sym_LBRACK,
    ACTIONS(8441), 1,
      anon_sym_STAR,
    ACTIONS(8443), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8445), 1,
      anon_sym_AMP,
    ACTIONS(8535), 1,
      sym_auto,
    ACTIONS(8537), 1,
      anon_sym_decltype,
    STATE(4843), 1,
      sym_parameter_list,
    STATE(6187), 1,
      sym_decltype_auto,
    STATE(7268), 1,
      sym__function_declarator_seq,
    STATE(7483), 1,
      sym__abstract_declarator,
    STATE(6007), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(7270), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8545), 9,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
    ACTIONS(7974), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [150449] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(2588), 1,
      anon_sym_operator,
    ACTIONS(8919), 1,
      anon_sym_LPAREN2,
    ACTIONS(9014), 1,
      sym_identifier,
    ACTIONS(9016), 1,
      anon_sym_STAR,
    ACTIONS(9018), 1,
      anon_sym_AMP_AMP,
    ACTIONS(9020), 1,
      anon_sym_AMP,
    STATE(5347), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(7910), 1,
      sym__field_declarator,
    STATE(8043), 1,
      sym_operator_name,
    STATE(9740), 1,
      sym_ms_based_modifier,
    ACTIONS(4383), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(5226), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(6272), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(4381), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(7669), 7,
      sym_parenthesized_field_declarator,
      sym_attributed_field_declarator,
      sym_pointer_field_declarator,
      sym_function_field_declarator,
      sym_array_field_declarator,
      sym_reference_field_declarator,
      sym_template_method,
    ACTIONS(4379), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [150526] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(2588), 1,
      anon_sym_operator,
    ACTIONS(8919), 1,
      anon_sym_LPAREN2,
    ACTIONS(9014), 1,
      sym_identifier,
    ACTIONS(9016), 1,
      anon_sym_STAR,
    ACTIONS(9018), 1,
      anon_sym_AMP_AMP,
    ACTIONS(9020), 1,
      anon_sym_AMP,
    STATE(5347), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(7945), 1,
      sym__field_declarator,
    STATE(8043), 1,
      sym_operator_name,
    STATE(9740), 1,
      sym_ms_based_modifier,
    ACTIONS(4383), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(5226), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(6274), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(4381), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(7669), 7,
      sym_parenthesized_field_declarator,
      sym_attributed_field_declarator,
      sym_pointer_field_declarator,
      sym_function_field_declarator,
      sym_array_field_declarator,
      sym_reference_field_declarator,
      sym_template_method,
    ACTIONS(4379), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [150603] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(2588), 1,
      anon_sym_operator,
    ACTIONS(8919), 1,
      anon_sym_LPAREN2,
    ACTIONS(9014), 1,
      sym_identifier,
    ACTIONS(9016), 1,
      anon_sym_STAR,
    ACTIONS(9018), 1,
      anon_sym_AMP_AMP,
    ACTIONS(9020), 1,
      anon_sym_AMP,
    STATE(5347), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(7910), 1,
      sym__field_declarator,
    STATE(8043), 1,
      sym_operator_name,
    STATE(9740), 1,
      sym_ms_based_modifier,
    ACTIONS(4383), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(5594), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(6272), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(4381), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(7669), 7,
      sym_parenthesized_field_declarator,
      sym_attributed_field_declarator,
      sym_pointer_field_declarator,
      sym_function_field_declarator,
      sym_array_field_declarator,
      sym_reference_field_declarator,
      sym_template_method,
    ACTIONS(4379), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [150680] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7312), 1,
      anon_sym_LPAREN2,
    ACTIONS(7926), 1,
      anon_sym_LBRACK,
    ACTIONS(7940), 1,
      anon_sym_DOT,
    ACTIONS(8731), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8733), 1,
      anon_sym_COMMA,
    ACTIONS(8739), 1,
      anon_sym_SLASH,
    ACTIONS(8745), 1,
      anon_sym_PIPE,
    ACTIONS(8749), 1,
      anon_sym_AMP,
    ACTIONS(8755), 1,
      anon_sym_LT_LT,
    ACTIONS(8757), 1,
      anon_sym_GT_GT,
    ACTIONS(8759), 1,
      anon_sym_QMARK,
    ACTIONS(8761), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8763), 1,
      anon_sym_bitor,
    ACTIONS(8765), 1,
      anon_sym_bitand,
    ACTIONS(9022), 1,
      anon_sym_GT2,
    STATE(4835), 1,
      sym_subscript_argument_list,
    STATE(4841), 1,
      sym_argument_list,
    STATE(8654), 1,
      aux_sym_template_argument_list_repeat1,
    ACTIONS(7942), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8735), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8737), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8741), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8743), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8747), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8767), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8751), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8753), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [150777] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6440), 1,
      anon_sym_LPAREN2,
    ACTIONS(6879), 1,
      anon_sym_LBRACK,
    ACTIONS(6883), 1,
      anon_sym_DOT,
    ACTIONS(8513), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8773), 1,
      anon_sym_COMMA,
    ACTIONS(8779), 1,
      anon_sym_SLASH,
    ACTIONS(8785), 1,
      anon_sym_PIPE,
    ACTIONS(8789), 1,
      anon_sym_AMP,
    ACTIONS(8795), 1,
      anon_sym_GT_EQ,
    ACTIONS(8801), 1,
      anon_sym_QMARK,
    ACTIONS(8803), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8805), 1,
      anon_sym_bitor,
    ACTIONS(8807), 1,
      anon_sym_bitand,
    ACTIONS(9024), 1,
      anon_sym_RBRACK,
    STATE(3592), 1,
      sym_subscript_argument_list,
    STATE(3604), 1,
      sym_argument_list,
    STATE(8854), 1,
      aux_sym_lambda_capture_specifier_repeat1,
    ACTIONS(6885), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8218), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8775), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8777), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8781), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8783), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8787), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8797), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8791), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8793), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [150874] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6440), 1,
      anon_sym_LPAREN2,
    ACTIONS(6879), 1,
      anon_sym_LBRACK,
    ACTIONS(6883), 1,
      anon_sym_DOT,
    ACTIONS(8563), 1,
      anon_sym_SLASH,
    ACTIONS(8569), 1,
      anon_sym_PIPE,
    ACTIONS(8573), 1,
      anon_sym_AMP,
    ACTIONS(8579), 1,
      anon_sym_GT_EQ,
    ACTIONS(8587), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8589), 1,
      anon_sym_bitor,
    ACTIONS(8591), 1,
      anon_sym_bitand,
    STATE(3592), 1,
      sym_subscript_argument_list,
    STATE(3604), 1,
      sym_argument_list,
    ACTIONS(6885), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8218), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8559), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8561), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8571), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8581), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8575), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8577), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6932), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_QMARK,
      anon_sym_or,
      anon_sym_and,
  [150959] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6440), 1,
      anon_sym_LPAREN2,
    ACTIONS(6879), 1,
      anon_sym_LBRACK,
    ACTIONS(6883), 1,
      anon_sym_DOT,
    ACTIONS(8563), 1,
      anon_sym_SLASH,
    ACTIONS(8569), 1,
      anon_sym_PIPE,
    ACTIONS(8573), 1,
      anon_sym_AMP,
    ACTIONS(8579), 1,
      anon_sym_GT_EQ,
    ACTIONS(8587), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8589), 1,
      anon_sym_bitor,
    ACTIONS(8591), 1,
      anon_sym_bitand,
    STATE(3592), 1,
      sym_subscript_argument_list,
    STATE(3604), 1,
      sym_argument_list,
    ACTIONS(6885), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8218), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8559), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8561), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8567), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8571), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8581), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8575), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8577), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6932), 7,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_QMARK,
      anon_sym_or,
  [151046] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5745), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5747), 23,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [151093] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5745), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5747), 23,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [151140] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6440), 1,
      anon_sym_LPAREN2,
    ACTIONS(6879), 1,
      anon_sym_LBRACK,
    ACTIONS(6883), 1,
      anon_sym_DOT,
    ACTIONS(8513), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8679), 1,
      anon_sym_SLASH,
    ACTIONS(8681), 1,
      anon_sym_PIPE,
    ACTIONS(8685), 1,
      anon_sym_AMP,
    ACTIONS(8691), 1,
      anon_sym_GT_EQ,
    ACTIONS(8695), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8697), 1,
      anon_sym_bitor,
    ACTIONS(8699), 1,
      anon_sym_bitand,
    ACTIONS(8705), 1,
      anon_sym_QMARK,
    ACTIONS(9026), 1,
      anon_sym_COMMA,
    ACTIONS(9028), 1,
      anon_sym_RBRACE,
    STATE(3592), 1,
      sym_subscript_argument_list,
    STATE(3604), 1,
      sym_argument_list,
    STATE(8806), 1,
      aux_sym_initializer_list_repeat1,
    ACTIONS(6885), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8218), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8675), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8677), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8683), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8693), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8701), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8703), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8687), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8689), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [151237] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7152), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(7154), 23,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [151284] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6440), 1,
      anon_sym_LPAREN2,
    ACTIONS(6879), 1,
      anon_sym_LBRACK,
    ACTIONS(6883), 1,
      anon_sym_DOT,
    ACTIONS(8513), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8679), 1,
      anon_sym_SLASH,
    ACTIONS(8681), 1,
      anon_sym_PIPE,
    ACTIONS(8685), 1,
      anon_sym_AMP,
    ACTIONS(8691), 1,
      anon_sym_GT_EQ,
    ACTIONS(8695), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8697), 1,
      anon_sym_bitor,
    ACTIONS(8699), 1,
      anon_sym_bitand,
    ACTIONS(8705), 1,
      anon_sym_QMARK,
    ACTIONS(9030), 1,
      anon_sym_COMMA,
    ACTIONS(9032), 1,
      anon_sym_RBRACE,
    STATE(3592), 1,
      sym_subscript_argument_list,
    STATE(3604), 1,
      sym_argument_list,
    STATE(8753), 1,
      aux_sym_initializer_list_repeat1,
    ACTIONS(6885), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8218), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8675), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8677), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8683), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8693), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8701), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8703), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8687), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8689), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [151381] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7312), 1,
      anon_sym_LPAREN2,
    ACTIONS(7926), 1,
      anon_sym_LBRACK,
    ACTIONS(7940), 1,
      anon_sym_DOT,
    ACTIONS(8731), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8733), 1,
      anon_sym_COMMA,
    ACTIONS(8739), 1,
      anon_sym_SLASH,
    ACTIONS(8745), 1,
      anon_sym_PIPE,
    ACTIONS(8749), 1,
      anon_sym_AMP,
    ACTIONS(8755), 1,
      anon_sym_LT_LT,
    ACTIONS(8757), 1,
      anon_sym_GT_GT,
    ACTIONS(8759), 1,
      anon_sym_QMARK,
    ACTIONS(8761), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8763), 1,
      anon_sym_bitor,
    ACTIONS(8765), 1,
      anon_sym_bitand,
    ACTIONS(9034), 1,
      anon_sym_GT2,
    STATE(4835), 1,
      sym_subscript_argument_list,
    STATE(4841), 1,
      sym_argument_list,
    STATE(8632), 1,
      aux_sym_template_argument_list_repeat1,
    ACTIONS(7942), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8735), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8737), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8741), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8743), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8747), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8767), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8751), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8753), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [151478] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6440), 1,
      anon_sym_LPAREN2,
    ACTIONS(6879), 1,
      anon_sym_LBRACK,
    ACTIONS(6883), 1,
      anon_sym_DOT,
    ACTIONS(8773), 1,
      anon_sym_COMMA,
    ACTIONS(8779), 1,
      anon_sym_SLASH,
    ACTIONS(8785), 1,
      anon_sym_PIPE,
    ACTIONS(8789), 1,
      anon_sym_AMP,
    ACTIONS(8795), 1,
      anon_sym_GT_EQ,
    ACTIONS(8801), 1,
      anon_sym_QMARK,
    ACTIONS(8803), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8805), 1,
      anon_sym_bitor,
    ACTIONS(8807), 1,
      anon_sym_bitand,
    ACTIONS(9036), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(9038), 1,
      anon_sym_RBRACK,
    STATE(3592), 1,
      sym_subscript_argument_list,
    STATE(3604), 1,
      sym_argument_list,
    STATE(8854), 1,
      aux_sym_lambda_capture_specifier_repeat1,
    ACTIONS(6885), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8218), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8775), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8777), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8781), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8783), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8787), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8797), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8791), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8793), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [151575] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(2588), 1,
      anon_sym_operator,
    ACTIONS(8919), 1,
      anon_sym_LPAREN2,
    ACTIONS(9014), 1,
      sym_identifier,
    ACTIONS(9016), 1,
      anon_sym_STAR,
    ACTIONS(9018), 1,
      anon_sym_AMP_AMP,
    ACTIONS(9020), 1,
      anon_sym_AMP,
    STATE(5347), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(7941), 1,
      sym__field_declarator,
    STATE(8043), 1,
      sym_operator_name,
    STATE(9740), 1,
      sym_ms_based_modifier,
    ACTIONS(4383), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(5593), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(6267), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(4381), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(7669), 7,
      sym_parenthesized_field_declarator,
      sym_attributed_field_declarator,
      sym_pointer_field_declarator,
      sym_function_field_declarator,
      sym_array_field_declarator,
      sym_reference_field_declarator,
      sym_template_method,
    ACTIONS(4379), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [151652] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(2588), 1,
      anon_sym_operator,
    ACTIONS(8917), 1,
      sym_identifier,
    ACTIONS(8919), 1,
      anon_sym_LPAREN2,
    ACTIONS(8921), 1,
      anon_sym_STAR,
    ACTIONS(8923), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8925), 1,
      anon_sym_AMP,
    STATE(5347), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(7444), 1,
      sym__field_declarator,
    STATE(7581), 1,
      sym_operator_name,
    STATE(9469), 1,
      sym_ms_based_modifier,
    ACTIONS(4383), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(5226), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(6276), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(4381), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(7669), 7,
      sym_parenthesized_field_declarator,
      sym_attributed_field_declarator,
      sym_pointer_field_declarator,
      sym_function_field_declarator,
      sym_array_field_declarator,
      sym_reference_field_declarator,
      sym_template_method,
    ACTIONS(4379), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [151729] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7983), 1,
      anon_sym_const,
    ACTIONS(8254), 1,
      anon_sym_LPAREN2,
    ACTIONS(8268), 1,
      anon_sym_LBRACK,
    ACTIONS(8441), 1,
      anon_sym_STAR,
    ACTIONS(8443), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8445), 1,
      anon_sym_AMP,
    ACTIONS(8535), 1,
      sym_auto,
    ACTIONS(8537), 1,
      anon_sym_decltype,
    STATE(4843), 1,
      sym_parameter_list,
    STATE(6187), 1,
      sym_decltype_auto,
    STATE(7268), 1,
      sym__function_declarator_seq,
    STATE(7474), 1,
      sym__abstract_declarator,
    STATE(5981), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(7270), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8533), 9,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
    ACTIONS(7974), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [151804] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6440), 1,
      anon_sym_LPAREN2,
    ACTIONS(6879), 1,
      anon_sym_LBRACK,
    ACTIONS(6883), 1,
      anon_sym_DOT,
    ACTIONS(8563), 1,
      anon_sym_SLASH,
    STATE(3592), 1,
      sym_subscript_argument_list,
    STATE(3604), 1,
      sym_argument_list,
    ACTIONS(6885), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8218), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8561), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(6930), 7,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6932), 20,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [151869] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6440), 1,
      anon_sym_LPAREN2,
    ACTIONS(6879), 1,
      anon_sym_LBRACK,
    ACTIONS(6883), 1,
      anon_sym_DOT,
    ACTIONS(8513), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8563), 1,
      anon_sym_SLASH,
    ACTIONS(8569), 1,
      anon_sym_PIPE,
    ACTIONS(8573), 1,
      anon_sym_AMP,
    ACTIONS(8579), 1,
      anon_sym_GT_EQ,
    ACTIONS(8585), 1,
      anon_sym_QMARK,
    ACTIONS(8587), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8589), 1,
      anon_sym_bitor,
    ACTIONS(8591), 1,
      anon_sym_bitand,
    STATE(3592), 1,
      sym_subscript_argument_list,
    STATE(3604), 1,
      sym_argument_list,
    ACTIONS(6885), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8218), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8559), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8561), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8565), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8567), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8571), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8581), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7393), 3,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
    ACTIONS(8575), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8577), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [151962] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6440), 1,
      anon_sym_LPAREN2,
    ACTIONS(6879), 1,
      anon_sym_LBRACK,
    ACTIONS(6883), 1,
      anon_sym_DOT,
    ACTIONS(8513), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8679), 1,
      anon_sym_SLASH,
    ACTIONS(8681), 1,
      anon_sym_PIPE,
    ACTIONS(8685), 1,
      anon_sym_AMP,
    ACTIONS(8691), 1,
      anon_sym_GT_EQ,
    ACTIONS(8695), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8697), 1,
      anon_sym_bitor,
    ACTIONS(8699), 1,
      anon_sym_bitand,
    ACTIONS(8705), 1,
      anon_sym_QMARK,
    ACTIONS(8815), 1,
      anon_sym_COMMA,
    ACTIONS(9040), 1,
      anon_sym_RPAREN,
    STATE(3592), 1,
      sym_subscript_argument_list,
    STATE(3604), 1,
      sym_argument_list,
    STATE(8825), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(6885), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8218), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8675), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8677), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8683), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8693), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8701), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8703), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8687), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8689), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [152059] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(2588), 1,
      anon_sym_operator,
    ACTIONS(8917), 1,
      sym_identifier,
    ACTIONS(8919), 1,
      anon_sym_LPAREN2,
    ACTIONS(8921), 1,
      anon_sym_STAR,
    ACTIONS(8923), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8925), 1,
      anon_sym_AMP,
    STATE(5347), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(7444), 1,
      sym__field_declarator,
    STATE(7581), 1,
      sym_operator_name,
    STATE(9469), 1,
      sym_ms_based_modifier,
    ACTIONS(4383), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(5522), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(6276), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(4381), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(7669), 7,
      sym_parenthesized_field_declarator,
      sym_attributed_field_declarator,
      sym_pointer_field_declarator,
      sym_function_field_declarator,
      sym_array_field_declarator,
      sym_reference_field_declarator,
      sym_template_method,
    ACTIONS(4379), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [152136] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6440), 1,
      anon_sym_LPAREN2,
    ACTIONS(6879), 1,
      anon_sym_LBRACK,
    ACTIONS(6883), 1,
      anon_sym_DOT,
    ACTIONS(8513), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8679), 1,
      anon_sym_SLASH,
    ACTIONS(8681), 1,
      anon_sym_PIPE,
    ACTIONS(8685), 1,
      anon_sym_AMP,
    ACTIONS(8691), 1,
      anon_sym_GT_EQ,
    ACTIONS(8695), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8697), 1,
      anon_sym_bitor,
    ACTIONS(8699), 1,
      anon_sym_bitand,
    ACTIONS(8705), 1,
      anon_sym_QMARK,
    ACTIONS(8713), 1,
      anon_sym_RBRACE,
    ACTIONS(9042), 1,
      anon_sym_COMMA,
    STATE(3592), 1,
      sym_subscript_argument_list,
    STATE(3604), 1,
      sym_argument_list,
    STATE(8543), 1,
      aux_sym_initializer_list_repeat1,
    ACTIONS(6885), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8218), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8675), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8677), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8683), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8693), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8701), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8703), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8687), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8689), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [152233] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6440), 1,
      anon_sym_LPAREN2,
    ACTIONS(6879), 1,
      anon_sym_LBRACK,
    ACTIONS(6883), 1,
      anon_sym_DOT,
    ACTIONS(8513), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8679), 1,
      anon_sym_SLASH,
    ACTIONS(8681), 1,
      anon_sym_PIPE,
    ACTIONS(8685), 1,
      anon_sym_AMP,
    ACTIONS(8691), 1,
      anon_sym_GT_EQ,
    ACTIONS(8695), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8697), 1,
      anon_sym_bitor,
    ACTIONS(8699), 1,
      anon_sym_bitand,
    ACTIONS(8705), 1,
      anon_sym_QMARK,
    ACTIONS(8815), 1,
      anon_sym_COMMA,
    ACTIONS(9044), 1,
      anon_sym_RPAREN,
    STATE(3592), 1,
      sym_subscript_argument_list,
    STATE(3604), 1,
      sym_argument_list,
    STATE(8649), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(6885), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8218), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8675), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8677), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8683), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8693), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8701), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8703), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8687), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8689), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [152330] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6440), 1,
      anon_sym_LPAREN2,
    ACTIONS(6879), 1,
      anon_sym_LBRACK,
    ACTIONS(6883), 1,
      anon_sym_DOT,
    ACTIONS(8773), 1,
      anon_sym_COMMA,
    ACTIONS(8779), 1,
      anon_sym_SLASH,
    ACTIONS(8785), 1,
      anon_sym_PIPE,
    ACTIONS(8789), 1,
      anon_sym_AMP,
    ACTIONS(8795), 1,
      anon_sym_GT_EQ,
    ACTIONS(8801), 1,
      anon_sym_QMARK,
    ACTIONS(8803), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8805), 1,
      anon_sym_bitor,
    ACTIONS(8807), 1,
      anon_sym_bitand,
    ACTIONS(9036), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(9046), 1,
      anon_sym_RBRACK,
    STATE(3592), 1,
      sym_subscript_argument_list,
    STATE(3604), 1,
      sym_argument_list,
    STATE(8854), 1,
      aux_sym_lambda_capture_specifier_repeat1,
    ACTIONS(6885), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8218), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8775), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8777), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8781), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8783), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8787), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8797), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8791), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8793), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [152427] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6440), 1,
      anon_sym_LPAREN2,
    ACTIONS(6879), 1,
      anon_sym_LBRACK,
    ACTIONS(6883), 1,
      anon_sym_DOT,
    ACTIONS(8513), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8679), 1,
      anon_sym_SLASH,
    ACTIONS(8681), 1,
      anon_sym_PIPE,
    ACTIONS(8685), 1,
      anon_sym_AMP,
    ACTIONS(8691), 1,
      anon_sym_GT_EQ,
    ACTIONS(8695), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8697), 1,
      anon_sym_bitor,
    ACTIONS(8699), 1,
      anon_sym_bitand,
    ACTIONS(8705), 1,
      anon_sym_QMARK,
    ACTIONS(8815), 1,
      anon_sym_COMMA,
    ACTIONS(9048), 1,
      anon_sym_RPAREN,
    STATE(3592), 1,
      sym_subscript_argument_list,
    STATE(3604), 1,
      sym_argument_list,
    STATE(8755), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(6885), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8218), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8675), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8677), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8683), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8693), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8701), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8703), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8687), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8689), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [152524] = 6,
    ACTIONS(3), 1,
      sym_comment,
    STATE(5542), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5840), 2,
      sym_primitive_type,
      sym_identifier,
    ACTIONS(8959), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5943), 11,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5940), 21,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [152577] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6440), 1,
      anon_sym_LPAREN2,
    ACTIONS(6879), 1,
      anon_sym_LBRACK,
    ACTIONS(6883), 1,
      anon_sym_DOT,
    ACTIONS(8513), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8773), 1,
      anon_sym_COMMA,
    ACTIONS(8779), 1,
      anon_sym_SLASH,
    ACTIONS(8785), 1,
      anon_sym_PIPE,
    ACTIONS(8789), 1,
      anon_sym_AMP,
    ACTIONS(8795), 1,
      anon_sym_GT_EQ,
    ACTIONS(8801), 1,
      anon_sym_QMARK,
    ACTIONS(8803), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8805), 1,
      anon_sym_bitor,
    ACTIONS(8807), 1,
      anon_sym_bitand,
    ACTIONS(9050), 1,
      anon_sym_RBRACK,
    STATE(3592), 1,
      sym_subscript_argument_list,
    STATE(3604), 1,
      sym_argument_list,
    STATE(8674), 1,
      aux_sym_lambda_capture_specifier_repeat1,
    ACTIONS(6885), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8218), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8775), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8777), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8781), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8783), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8787), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8797), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8791), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8793), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [152674] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7312), 1,
      anon_sym_LPAREN2,
    ACTIONS(7926), 1,
      anon_sym_LBRACK,
    ACTIONS(7940), 1,
      anon_sym_DOT,
    ACTIONS(8739), 1,
      anon_sym_SLASH,
    ACTIONS(8745), 1,
      anon_sym_PIPE,
    ACTIONS(8749), 1,
      anon_sym_AMP,
    ACTIONS(8755), 1,
      anon_sym_LT_LT,
    ACTIONS(8757), 1,
      anon_sym_GT_GT,
    ACTIONS(8761), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8763), 1,
      anon_sym_bitor,
    ACTIONS(8765), 1,
      anon_sym_bitand,
    STATE(4835), 1,
      sym_subscript_argument_list,
    STATE(4841), 1,
      sym_argument_list,
    ACTIONS(7942), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8735), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8737), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8743), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8747), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8767), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8751), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8753), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6932), 6,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK,
      anon_sym_or,
      anon_sym_GT2,
  [152760] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6930), 1,
      anon_sym_PIPE,
    ACTIONS(7312), 1,
      anon_sym_LPAREN2,
    ACTIONS(7926), 1,
      anon_sym_LBRACK,
    ACTIONS(7940), 1,
      anon_sym_DOT,
    ACTIONS(8739), 1,
      anon_sym_SLASH,
    ACTIONS(8749), 1,
      anon_sym_AMP,
    ACTIONS(8755), 1,
      anon_sym_LT_LT,
    ACTIONS(8757), 1,
      anon_sym_GT_GT,
    ACTIONS(8761), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8765), 1,
      anon_sym_bitand,
    STATE(4835), 1,
      sym_subscript_argument_list,
    STATE(4841), 1,
      sym_argument_list,
    ACTIONS(7942), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8735), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8737), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8767), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8751), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8753), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6932), 11,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_QMARK,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_GT2,
  [152840] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7312), 1,
      anon_sym_LPAREN2,
    ACTIONS(7926), 1,
      anon_sym_LBRACK,
    ACTIONS(7940), 1,
      anon_sym_DOT,
    STATE(4835), 1,
      sym_subscript_argument_list,
    STATE(4841), 1,
      sym_argument_list,
    ACTIONS(7942), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6924), 10,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
    ACTIONS(6926), 21,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_GT2,
  [152898] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6440), 1,
      anon_sym_LPAREN2,
    ACTIONS(6879), 1,
      anon_sym_LBRACK,
    ACTIONS(6883), 1,
      anon_sym_DOT,
    ACTIONS(8779), 1,
      anon_sym_SLASH,
    ACTIONS(8795), 1,
      anon_sym_GT_EQ,
    ACTIONS(8803), 1,
      anon_sym_LT_EQ_GT,
    STATE(3592), 1,
      sym_subscript_argument_list,
    STATE(3604), 1,
      sym_argument_list,
    ACTIONS(6885), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6930), 2,
      anon_sym_PIPE,
      anon_sym_AMP,
    ACTIONS(8218), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8775), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8777), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8797), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8793), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6932), 15,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [152972] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6440), 1,
      anon_sym_LPAREN2,
    ACTIONS(6879), 1,
      anon_sym_LBRACK,
    ACTIONS(6883), 1,
      anon_sym_DOT,
    ACTIONS(8779), 1,
      anon_sym_SLASH,
    ACTIONS(8803), 1,
      anon_sym_LT_EQ_GT,
    STATE(3592), 1,
      sym_subscript_argument_list,
    STATE(3604), 1,
      sym_argument_list,
    ACTIONS(6885), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8218), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8775), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8777), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8797), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6930), 5,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6932), 16,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [153042] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6440), 1,
      anon_sym_LPAREN2,
    ACTIONS(6879), 1,
      anon_sym_LBRACK,
    ACTIONS(6883), 1,
      anon_sym_DOT,
    ACTIONS(7999), 1,
      anon_sym_COMMA,
    ACTIONS(8513), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8679), 1,
      anon_sym_SLASH,
    ACTIONS(8681), 1,
      anon_sym_PIPE,
    ACTIONS(8685), 1,
      anon_sym_AMP,
    ACTIONS(8691), 1,
      anon_sym_GT_EQ,
    ACTIONS(8695), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8697), 1,
      anon_sym_bitor,
    ACTIONS(8699), 1,
      anon_sym_bitand,
    ACTIONS(8705), 1,
      anon_sym_QMARK,
    ACTIONS(9052), 1,
      anon_sym_SEMI,
    STATE(3592), 1,
      sym_subscript_argument_list,
    STATE(3604), 1,
      sym_argument_list,
    ACTIONS(6885), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8218), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8675), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8677), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8683), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8693), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8701), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8703), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8687), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8689), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [153136] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6440), 1,
      anon_sym_LPAREN2,
    ACTIONS(6879), 1,
      anon_sym_LBRACK,
    ACTIONS(6883), 1,
      anon_sym_DOT,
    ACTIONS(8779), 1,
      anon_sym_SLASH,
    STATE(3592), 1,
      sym_subscript_argument_list,
    STATE(3604), 1,
      sym_argument_list,
    ACTIONS(6885), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8218), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8775), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8777), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(6930), 5,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6932), 19,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [153202] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6440), 1,
      anon_sym_LPAREN2,
    ACTIONS(6879), 1,
      anon_sym_LBRACK,
    ACTIONS(6883), 1,
      anon_sym_DOT,
    ACTIONS(7999), 1,
      anon_sym_COMMA,
    ACTIONS(8513), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8679), 1,
      anon_sym_SLASH,
    ACTIONS(8681), 1,
      anon_sym_PIPE,
    ACTIONS(8685), 1,
      anon_sym_AMP,
    ACTIONS(8691), 1,
      anon_sym_GT_EQ,
    ACTIONS(8695), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8697), 1,
      anon_sym_bitor,
    ACTIONS(8699), 1,
      anon_sym_bitand,
    ACTIONS(8705), 1,
      anon_sym_QMARK,
    ACTIONS(9054), 1,
      anon_sym_RPAREN,
    STATE(3592), 1,
      sym_subscript_argument_list,
    STATE(3604), 1,
      sym_argument_list,
    ACTIONS(6885), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8218), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8675), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8677), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8683), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8693), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8701), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8703), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8687), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8689), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [153296] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6440), 1,
      anon_sym_LPAREN2,
    ACTIONS(6879), 1,
      anon_sym_LBRACK,
    ACTIONS(6883), 1,
      anon_sym_DOT,
    ACTIONS(7999), 1,
      anon_sym_COMMA,
    ACTIONS(8513), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8679), 1,
      anon_sym_SLASH,
    ACTIONS(8681), 1,
      anon_sym_PIPE,
    ACTIONS(8685), 1,
      anon_sym_AMP,
    ACTIONS(8691), 1,
      anon_sym_GT_EQ,
    ACTIONS(8695), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8697), 1,
      anon_sym_bitor,
    ACTIONS(8699), 1,
      anon_sym_bitand,
    ACTIONS(8705), 1,
      anon_sym_QMARK,
    ACTIONS(9056), 1,
      anon_sym_RPAREN,
    STATE(3592), 1,
      sym_subscript_argument_list,
    STATE(3604), 1,
      sym_argument_list,
    ACTIONS(6885), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8218), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8675), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8677), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8683), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8693), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8701), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8703), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8687), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8689), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [153390] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6440), 1,
      anon_sym_LPAREN2,
    ACTIONS(6879), 1,
      anon_sym_LBRACK,
    ACTIONS(7897), 1,
      anon_sym_DOT,
    STATE(3592), 1,
      sym_subscript_argument_list,
    STATE(3604), 1,
      sym_argument_list,
    ACTIONS(7899), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6924), 8,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6926), 23,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
  [153448] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6440), 1,
      anon_sym_LPAREN2,
    ACTIONS(6879), 1,
      anon_sym_LBRACK,
    ACTIONS(6883), 1,
      anon_sym_DOT,
    ACTIONS(7999), 1,
      anon_sym_COMMA,
    ACTIONS(8513), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8679), 1,
      anon_sym_SLASH,
    ACTIONS(8681), 1,
      anon_sym_PIPE,
    ACTIONS(8685), 1,
      anon_sym_AMP,
    ACTIONS(8691), 1,
      anon_sym_GT_EQ,
    ACTIONS(8695), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8697), 1,
      anon_sym_bitor,
    ACTIONS(8699), 1,
      anon_sym_bitand,
    ACTIONS(8705), 1,
      anon_sym_QMARK,
    ACTIONS(9058), 1,
      anon_sym_SEMI,
    STATE(3592), 1,
      sym_subscript_argument_list,
    STATE(3604), 1,
      sym_argument_list,
    ACTIONS(6885), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8218), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8675), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8677), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8683), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8693), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8701), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8703), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8687), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8689), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [153542] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6440), 1,
      anon_sym_LPAREN2,
    ACTIONS(6879), 1,
      anon_sym_LBRACK,
    ACTIONS(6883), 1,
      anon_sym_DOT,
    ACTIONS(8513), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8679), 1,
      anon_sym_SLASH,
    ACTIONS(8681), 1,
      anon_sym_PIPE,
    ACTIONS(8685), 1,
      anon_sym_AMP,
    ACTIONS(8691), 1,
      anon_sym_GT_EQ,
    ACTIONS(8695), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8697), 1,
      anon_sym_bitor,
    ACTIONS(8699), 1,
      anon_sym_bitand,
    ACTIONS(8705), 1,
      anon_sym_QMARK,
    STATE(3592), 1,
      sym_subscript_argument_list,
    STATE(3604), 1,
      sym_argument_list,
    ACTIONS(6885), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8218), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8675), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8677), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8683), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8693), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8701), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8703), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(9060), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(8687), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8689), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [153634] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6440), 1,
      anon_sym_LPAREN2,
    ACTIONS(6879), 1,
      anon_sym_LBRACK,
    ACTIONS(7897), 1,
      anon_sym_DOT,
    STATE(3592), 1,
      sym_subscript_argument_list,
    STATE(3604), 1,
      sym_argument_list,
    ACTIONS(7899), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8218), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6916), 8,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6918), 21,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [153694] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6440), 1,
      anon_sym_LPAREN2,
    ACTIONS(6879), 1,
      anon_sym_LBRACK,
    ACTIONS(6883), 1,
      anon_sym_DOT,
    ACTIONS(8779), 1,
      anon_sym_SLASH,
    STATE(3592), 1,
      sym_subscript_argument_list,
    STATE(3604), 1,
      sym_argument_list,
    ACTIONS(6885), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8218), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8775), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8777), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8797), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6930), 5,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6932), 17,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [153762] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6440), 1,
      anon_sym_LPAREN2,
    ACTIONS(6879), 1,
      anon_sym_LBRACK,
    ACTIONS(6883), 1,
      anon_sym_DOT,
    ACTIONS(6930), 1,
      anon_sym_PIPE,
    ACTIONS(8779), 1,
      anon_sym_SLASH,
    ACTIONS(8789), 1,
      anon_sym_AMP,
    ACTIONS(8795), 1,
      anon_sym_GT_EQ,
    ACTIONS(8803), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8807), 1,
      anon_sym_bitand,
    STATE(3592), 1,
      sym_subscript_argument_list,
    STATE(3604), 1,
      sym_argument_list,
    ACTIONS(6885), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8218), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8775), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8777), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8787), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8797), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8791), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8793), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6932), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
  [153844] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6440), 1,
      anon_sym_LPAREN2,
    ACTIONS(6879), 1,
      anon_sym_LBRACK,
    ACTIONS(7897), 1,
      anon_sym_DOT,
    STATE(3592), 1,
      sym_subscript_argument_list,
    STATE(3604), 1,
      sym_argument_list,
    ACTIONS(7899), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8218), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6908), 8,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6910), 21,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [153904] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(9062), 1,
      sym_identifier,
    ACTIONS(9064), 1,
      anon_sym_LPAREN2,
    ACTIONS(9066), 1,
      anon_sym_STAR,
    ACTIONS(9072), 1,
      sym_primitive_type,
    STATE(3408), 1,
      sym_pointer_type_declarator,
    STATE(5318), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(7602), 1,
      sym__type_declarator,
    STATE(9882), 1,
      sym_ms_based_modifier,
    ACTIONS(9068), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(5077), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(6346), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(8262), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(9070), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3406), 4,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
    ACTIONS(63), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [153978] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(9062), 1,
      sym_identifier,
    ACTIONS(9064), 1,
      anon_sym_LPAREN2,
    ACTIONS(9066), 1,
      anon_sym_STAR,
    ACTIONS(9072), 1,
      sym_primitive_type,
    STATE(3408), 1,
      sym_pointer_type_declarator,
    STATE(5318), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(7602), 1,
      sym__type_declarator,
    STATE(9882), 1,
      sym_ms_based_modifier,
    ACTIONS(9068), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(5655), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(6346), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(8262), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(9070), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3406), 4,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
    ACTIONS(63), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [154052] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6440), 1,
      anon_sym_LPAREN2,
    ACTIONS(6879), 1,
      anon_sym_LBRACK,
    ACTIONS(6883), 1,
      anon_sym_DOT,
    ACTIONS(8779), 1,
      anon_sym_SLASH,
    ACTIONS(8785), 1,
      anon_sym_PIPE,
    ACTIONS(8789), 1,
      anon_sym_AMP,
    ACTIONS(8795), 1,
      anon_sym_GT_EQ,
    ACTIONS(8803), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8805), 1,
      anon_sym_bitor,
    ACTIONS(8807), 1,
      anon_sym_bitand,
    STATE(3592), 1,
      sym_subscript_argument_list,
    STATE(3604), 1,
      sym_argument_list,
    ACTIONS(6885), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8218), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8775), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8777), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8787), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8797), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8791), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8793), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6932), 8,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_or,
      anon_sym_and,
  [154136] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6440), 1,
      anon_sym_LPAREN2,
    ACTIONS(6879), 1,
      anon_sym_LBRACK,
    ACTIONS(6883), 1,
      anon_sym_DOT,
    ACTIONS(8779), 1,
      anon_sym_SLASH,
    ACTIONS(8785), 1,
      anon_sym_PIPE,
    ACTIONS(8789), 1,
      anon_sym_AMP,
    ACTIONS(8795), 1,
      anon_sym_GT_EQ,
    ACTIONS(8803), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8805), 1,
      anon_sym_bitor,
    ACTIONS(8807), 1,
      anon_sym_bitand,
    STATE(3592), 1,
      sym_subscript_argument_list,
    STATE(3604), 1,
      sym_argument_list,
    ACTIONS(6885), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8218), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8775), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8777), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8783), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8787), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8797), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8791), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8793), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6932), 6,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_or,
  [154222] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6440), 1,
      anon_sym_LPAREN2,
    ACTIONS(6879), 1,
      anon_sym_LBRACK,
    ACTIONS(6883), 1,
      anon_sym_DOT,
    ACTIONS(8513), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8779), 1,
      anon_sym_SLASH,
    ACTIONS(8785), 1,
      anon_sym_PIPE,
    ACTIONS(8789), 1,
      anon_sym_AMP,
    ACTIONS(8795), 1,
      anon_sym_GT_EQ,
    ACTIONS(8801), 1,
      anon_sym_QMARK,
    ACTIONS(8803), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8805), 1,
      anon_sym_bitor,
    ACTIONS(8807), 1,
      anon_sym_bitand,
    STATE(3592), 1,
      sym_subscript_argument_list,
    STATE(3604), 1,
      sym_argument_list,
    ACTIONS(6885), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8218), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8775), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8777), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8781), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8783), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8787), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8797), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(9074), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(8791), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8793), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [154314] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6440), 1,
      anon_sym_LPAREN2,
    ACTIONS(6879), 1,
      anon_sym_LBRACK,
    ACTIONS(6883), 1,
      anon_sym_DOT,
    ACTIONS(8779), 1,
      anon_sym_SLASH,
    STATE(3592), 1,
      sym_subscript_argument_list,
    STATE(3604), 1,
      sym_argument_list,
    ACTIONS(6885), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8218), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8777), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(6930), 7,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6932), 19,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [154378] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6440), 1,
      anon_sym_LPAREN2,
    ACTIONS(6879), 1,
      anon_sym_LBRACK,
    ACTIONS(7897), 1,
      anon_sym_DOT,
    ACTIONS(8513), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8966), 1,
      anon_sym_COLON,
    ACTIONS(9076), 1,
      anon_sym_COMMA,
    ACTIONS(9082), 1,
      anon_sym_SLASH,
    ACTIONS(9088), 1,
      anon_sym_PIPE,
    ACTIONS(9092), 1,
      anon_sym_AMP,
    ACTIONS(9098), 1,
      anon_sym_GT_EQ,
    ACTIONS(9102), 1,
      anon_sym_QMARK,
    ACTIONS(9104), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(9106), 1,
      anon_sym_bitor,
    ACTIONS(9108), 1,
      anon_sym_bitand,
    STATE(3592), 1,
      sym_subscript_argument_list,
    STATE(3604), 1,
      sym_argument_list,
    ACTIONS(7899), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8218), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(9078), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9080), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(9084), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(9086), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(9090), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(9100), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(9094), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(9096), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [154472] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6440), 1,
      anon_sym_LPAREN2,
    ACTIONS(6879), 1,
      anon_sym_LBRACK,
    ACTIONS(7897), 1,
      anon_sym_DOT,
    ACTIONS(8513), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(9076), 1,
      anon_sym_COMMA,
    ACTIONS(9082), 1,
      anon_sym_SLASH,
    ACTIONS(9088), 1,
      anon_sym_PIPE,
    ACTIONS(9092), 1,
      anon_sym_AMP,
    ACTIONS(9098), 1,
      anon_sym_GT_EQ,
    ACTIONS(9102), 1,
      anon_sym_QMARK,
    ACTIONS(9104), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(9106), 1,
      anon_sym_bitor,
    ACTIONS(9108), 1,
      anon_sym_bitand,
    ACTIONS(9110), 1,
      anon_sym_COLON,
    STATE(3592), 1,
      sym_subscript_argument_list,
    STATE(3604), 1,
      sym_argument_list,
    ACTIONS(7899), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8218), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(9078), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9080), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(9084), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(9086), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(9090), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(9100), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(9094), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(9096), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [154566] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6440), 1,
      anon_sym_LPAREN2,
    ACTIONS(6879), 1,
      anon_sym_LBRACK,
    ACTIONS(6883), 1,
      anon_sym_DOT,
    ACTIONS(8513), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8679), 1,
      anon_sym_SLASH,
    ACTIONS(8681), 1,
      anon_sym_PIPE,
    ACTIONS(8685), 1,
      anon_sym_AMP,
    ACTIONS(8691), 1,
      anon_sym_GT_EQ,
    ACTIONS(8695), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8697), 1,
      anon_sym_bitor,
    ACTIONS(8699), 1,
      anon_sym_bitand,
    ACTIONS(8705), 1,
      anon_sym_QMARK,
    STATE(3592), 1,
      sym_subscript_argument_list,
    STATE(3604), 1,
      sym_argument_list,
    ACTIONS(6885), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8218), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8675), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8677), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8683), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8693), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8701), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8703), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(9112), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(8687), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8689), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [154658] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7312), 1,
      anon_sym_LPAREN2,
    ACTIONS(7926), 1,
      anon_sym_LBRACK,
    ACTIONS(7940), 1,
      anon_sym_DOT,
    ACTIONS(8731), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8739), 1,
      anon_sym_SLASH,
    ACTIONS(8745), 1,
      anon_sym_PIPE,
    ACTIONS(8749), 1,
      anon_sym_AMP,
    ACTIONS(8755), 1,
      anon_sym_LT_LT,
    ACTIONS(8757), 1,
      anon_sym_GT_GT,
    ACTIONS(8759), 1,
      anon_sym_QMARK,
    ACTIONS(8761), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8763), 1,
      anon_sym_bitor,
    ACTIONS(8765), 1,
      anon_sym_bitand,
    STATE(4835), 1,
      sym_subscript_argument_list,
    STATE(4841), 1,
      sym_argument_list,
    ACTIONS(7942), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8735), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8737), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8741), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8743), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8747), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8767), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(9114), 2,
      anon_sym_COMMA,
      anon_sym_GT2,
    ACTIONS(8751), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8753), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [154750] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2256), 2,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
    ACTIONS(4578), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(4573), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [154798] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6440), 1,
      anon_sym_LPAREN2,
    ACTIONS(6879), 1,
      anon_sym_LBRACK,
    ACTIONS(7897), 1,
      anon_sym_DOT,
    STATE(3592), 1,
      sym_subscript_argument_list,
    STATE(3604), 1,
      sym_argument_list,
    ACTIONS(7899), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6904), 8,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6906), 23,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
  [154856] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6440), 1,
      anon_sym_LPAREN2,
    ACTIONS(6879), 1,
      anon_sym_LBRACK,
    ACTIONS(6883), 1,
      anon_sym_DOT,
    ACTIONS(7999), 1,
      anon_sym_COMMA,
    ACTIONS(8513), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8679), 1,
      anon_sym_SLASH,
    ACTIONS(8681), 1,
      anon_sym_PIPE,
    ACTIONS(8685), 1,
      anon_sym_AMP,
    ACTIONS(8691), 1,
      anon_sym_GT_EQ,
    ACTIONS(8695), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8697), 1,
      anon_sym_bitor,
    ACTIONS(8699), 1,
      anon_sym_bitand,
    ACTIONS(8705), 1,
      anon_sym_QMARK,
    ACTIONS(9116), 1,
      anon_sym_SEMI,
    STATE(3592), 1,
      sym_subscript_argument_list,
    STATE(3604), 1,
      sym_argument_list,
    ACTIONS(6885), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8218), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8675), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8677), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8683), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8693), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8701), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8703), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8687), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8689), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [154950] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7312), 1,
      anon_sym_LPAREN2,
    ACTIONS(7926), 1,
      anon_sym_LBRACK,
    ACTIONS(7940), 1,
      anon_sym_DOT,
    STATE(4835), 1,
      sym_subscript_argument_list,
    STATE(4841), 1,
      sym_argument_list,
    ACTIONS(7942), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8767), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6930), 10,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
    ACTIONS(6932), 19,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_GT2,
  [155010] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6440), 1,
      anon_sym_LPAREN2,
    ACTIONS(6879), 1,
      anon_sym_LBRACK,
    ACTIONS(6883), 1,
      anon_sym_DOT,
    ACTIONS(7999), 1,
      anon_sym_COMMA,
    ACTIONS(8513), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8679), 1,
      anon_sym_SLASH,
    ACTIONS(8681), 1,
      anon_sym_PIPE,
    ACTIONS(8685), 1,
      anon_sym_AMP,
    ACTIONS(8691), 1,
      anon_sym_GT_EQ,
    ACTIONS(8695), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8697), 1,
      anon_sym_bitor,
    ACTIONS(8699), 1,
      anon_sym_bitand,
    ACTIONS(8705), 1,
      anon_sym_QMARK,
    ACTIONS(9118), 1,
      anon_sym_SEMI,
    STATE(3592), 1,
      sym_subscript_argument_list,
    STATE(3604), 1,
      sym_argument_list,
    ACTIONS(6885), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8218), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8675), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8677), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8683), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8693), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8701), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8703), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8687), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8689), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [155104] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6440), 1,
      anon_sym_LPAREN2,
    ACTIONS(6879), 1,
      anon_sym_LBRACK,
    ACTIONS(6883), 1,
      anon_sym_DOT,
    ACTIONS(8513), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8679), 1,
      anon_sym_SLASH,
    ACTIONS(8681), 1,
      anon_sym_PIPE,
    ACTIONS(8685), 1,
      anon_sym_AMP,
    ACTIONS(8691), 1,
      anon_sym_GT_EQ,
    ACTIONS(8695), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8697), 1,
      anon_sym_bitor,
    ACTIONS(8699), 1,
      anon_sym_bitand,
    ACTIONS(8705), 1,
      anon_sym_QMARK,
    ACTIONS(9120), 1,
      anon_sym_COMMA,
    ACTIONS(9122), 1,
      anon_sym_RPAREN,
    STATE(3592), 1,
      sym_subscript_argument_list,
    STATE(3604), 1,
      sym_argument_list,
    ACTIONS(6885), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8218), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8675), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8677), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8683), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8693), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8701), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8703), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8687), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8689), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [155198] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6440), 1,
      anon_sym_LPAREN2,
    ACTIONS(6879), 1,
      anon_sym_LBRACK,
    ACTIONS(6883), 1,
      anon_sym_DOT,
    ACTIONS(8513), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8679), 1,
      anon_sym_SLASH,
    ACTIONS(8681), 1,
      anon_sym_PIPE,
    ACTIONS(8685), 1,
      anon_sym_AMP,
    ACTIONS(8691), 1,
      anon_sym_GT_EQ,
    ACTIONS(8695), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8697), 1,
      anon_sym_bitor,
    ACTIONS(8699), 1,
      anon_sym_bitand,
    ACTIONS(8705), 1,
      anon_sym_QMARK,
    ACTIONS(9124), 1,
      anon_sym_COMMA,
    ACTIONS(9126), 1,
      anon_sym_RPAREN,
    STATE(3592), 1,
      sym_subscript_argument_list,
    STATE(3604), 1,
      sym_argument_list,
    ACTIONS(6885), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8218), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8675), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8677), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8683), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8693), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8701), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8703), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8687), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8689), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [155292] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6440), 1,
      anon_sym_LPAREN2,
    ACTIONS(6879), 1,
      anon_sym_LBRACK,
    ACTIONS(6883), 1,
      anon_sym_DOT,
    ACTIONS(8513), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8779), 1,
      anon_sym_SLASH,
    ACTIONS(8785), 1,
      anon_sym_PIPE,
    ACTIONS(8789), 1,
      anon_sym_AMP,
    ACTIONS(8795), 1,
      anon_sym_GT_EQ,
    ACTIONS(8801), 1,
      anon_sym_QMARK,
    ACTIONS(8803), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8805), 1,
      anon_sym_bitor,
    ACTIONS(8807), 1,
      anon_sym_bitand,
    STATE(3592), 1,
      sym_subscript_argument_list,
    STATE(3604), 1,
      sym_argument_list,
    ACTIONS(6885), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7389), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(8218), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8775), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8777), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8781), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8783), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8787), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8797), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8791), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8793), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [155384] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6440), 1,
      anon_sym_LPAREN2,
    ACTIONS(6879), 1,
      anon_sym_LBRACK,
    ACTIONS(6883), 1,
      anon_sym_DOT,
    ACTIONS(7999), 1,
      anon_sym_COMMA,
    ACTIONS(8513), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8679), 1,
      anon_sym_SLASH,
    ACTIONS(8681), 1,
      anon_sym_PIPE,
    ACTIONS(8685), 1,
      anon_sym_AMP,
    ACTIONS(8691), 1,
      anon_sym_GT_EQ,
    ACTIONS(8695), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8697), 1,
      anon_sym_bitor,
    ACTIONS(8699), 1,
      anon_sym_bitand,
    ACTIONS(8705), 1,
      anon_sym_QMARK,
    ACTIONS(9128), 1,
      anon_sym_SEMI,
    STATE(3592), 1,
      sym_subscript_argument_list,
    STATE(3604), 1,
      sym_argument_list,
    ACTIONS(6885), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8218), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8675), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8677), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8683), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8693), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8701), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8703), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8687), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8689), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [155478] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(9062), 1,
      sym_identifier,
    ACTIONS(9064), 1,
      anon_sym_LPAREN2,
    ACTIONS(9066), 1,
      anon_sym_STAR,
    ACTIONS(9072), 1,
      sym_primitive_type,
    STATE(3408), 1,
      sym_pointer_type_declarator,
    STATE(5318), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(7590), 1,
      sym__type_declarator,
    STATE(9882), 1,
      sym_ms_based_modifier,
    ACTIONS(9068), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(5077), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(6347), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(8262), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(9070), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3406), 4,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
    ACTIONS(63), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [155552] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6440), 1,
      anon_sym_LPAREN2,
    ACTIONS(6879), 1,
      anon_sym_LBRACK,
    ACTIONS(6883), 1,
      anon_sym_DOT,
    ACTIONS(7999), 1,
      anon_sym_COMMA,
    ACTIONS(8513), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8679), 1,
      anon_sym_SLASH,
    ACTIONS(8681), 1,
      anon_sym_PIPE,
    ACTIONS(8685), 1,
      anon_sym_AMP,
    ACTIONS(8691), 1,
      anon_sym_GT_EQ,
    ACTIONS(8695), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8697), 1,
      anon_sym_bitor,
    ACTIONS(8699), 1,
      anon_sym_bitand,
    ACTIONS(8705), 1,
      anon_sym_QMARK,
    ACTIONS(9130), 1,
      anon_sym_SEMI,
    STATE(3592), 1,
      sym_subscript_argument_list,
    STATE(3604), 1,
      sym_argument_list,
    ACTIONS(6885), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8218), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8675), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8677), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8683), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8693), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8701), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8703), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8687), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8689), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [155646] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7312), 1,
      anon_sym_LPAREN2,
    ACTIONS(7926), 1,
      anon_sym_LBRACK,
    ACTIONS(7940), 1,
      anon_sym_DOT,
    ACTIONS(8739), 1,
      anon_sym_SLASH,
    ACTIONS(8745), 1,
      anon_sym_PIPE,
    ACTIONS(8749), 1,
      anon_sym_AMP,
    ACTIONS(8755), 1,
      anon_sym_LT_LT,
    ACTIONS(8757), 1,
      anon_sym_GT_GT,
    ACTIONS(8761), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8763), 1,
      anon_sym_bitor,
    ACTIONS(8765), 1,
      anon_sym_bitand,
    STATE(4835), 1,
      sym_subscript_argument_list,
    STATE(4841), 1,
      sym_argument_list,
    ACTIONS(7942), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8735), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8737), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8741), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8743), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8747), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8767), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8751), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7385), 4,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_GT2,
    ACTIONS(8753), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [155734] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6440), 1,
      anon_sym_LPAREN2,
    ACTIONS(6879), 1,
      anon_sym_LBRACK,
    ACTIONS(6883), 1,
      anon_sym_DOT,
    ACTIONS(8779), 1,
      anon_sym_SLASH,
    ACTIONS(8785), 1,
      anon_sym_PIPE,
    ACTIONS(8789), 1,
      anon_sym_AMP,
    ACTIONS(8795), 1,
      anon_sym_GT_EQ,
    ACTIONS(8803), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8805), 1,
      anon_sym_bitor,
    ACTIONS(8807), 1,
      anon_sym_bitand,
    STATE(3592), 1,
      sym_subscript_argument_list,
    STATE(3604), 1,
      sym_argument_list,
    ACTIONS(6885), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8218), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8775), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8777), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8781), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8783), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8787), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8797), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8791), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8793), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(7322), 4,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_QMARK,
  [155822] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6440), 1,
      anon_sym_LPAREN2,
    ACTIONS(6879), 1,
      anon_sym_LBRACK,
    ACTIONS(6883), 1,
      anon_sym_DOT,
    ACTIONS(8513), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8779), 1,
      anon_sym_SLASH,
    ACTIONS(8785), 1,
      anon_sym_PIPE,
    ACTIONS(8789), 1,
      anon_sym_AMP,
    ACTIONS(8795), 1,
      anon_sym_GT_EQ,
    ACTIONS(8801), 1,
      anon_sym_QMARK,
    ACTIONS(8803), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8805), 1,
      anon_sym_bitor,
    ACTIONS(8807), 1,
      anon_sym_bitand,
    STATE(3592), 1,
      sym_subscript_argument_list,
    STATE(3604), 1,
      sym_argument_list,
    ACTIONS(6885), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7393), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(8218), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8775), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8777), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8781), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8783), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8787), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8797), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8791), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8793), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [155914] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(9132), 1,
      sym_identifier,
    ACTIONS(9134), 1,
      anon_sym_LPAREN2,
    ACTIONS(9136), 1,
      anon_sym_STAR,
    ACTIONS(9140), 1,
      sym_primitive_type,
    STATE(3800), 1,
      sym__type_declarator,
    STATE(4165), 1,
      sym_pointer_type_declarator,
    STATE(5318), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(9558), 1,
      sym_ms_based_modifier,
    ACTIONS(9068), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(5077), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(6302), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(8262), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(9138), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(4160), 4,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
    ACTIONS(63), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [155988] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6440), 1,
      anon_sym_LPAREN2,
    ACTIONS(6879), 1,
      anon_sym_LBRACK,
    ACTIONS(6883), 1,
      anon_sym_DOT,
    ACTIONS(8779), 1,
      anon_sym_SLASH,
    ACTIONS(8785), 1,
      anon_sym_PIPE,
    ACTIONS(8789), 1,
      anon_sym_AMP,
    ACTIONS(8795), 1,
      anon_sym_GT_EQ,
    ACTIONS(8803), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8805), 1,
      anon_sym_bitor,
    ACTIONS(8807), 1,
      anon_sym_bitand,
    STATE(3592), 1,
      sym_subscript_argument_list,
    STATE(3604), 1,
      sym_argument_list,
    ACTIONS(6885), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8218), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8775), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8777), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8781), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8783), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8787), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8797), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8791), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8793), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(7385), 4,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_QMARK,
  [156076] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6440), 1,
      anon_sym_LPAREN2,
    ACTIONS(6879), 1,
      anon_sym_LBRACK,
    ACTIONS(6883), 1,
      anon_sym_DOT,
    ACTIONS(8513), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8679), 1,
      anon_sym_SLASH,
    ACTIONS(8681), 1,
      anon_sym_PIPE,
    ACTIONS(8685), 1,
      anon_sym_AMP,
    ACTIONS(8691), 1,
      anon_sym_GT_EQ,
    ACTIONS(8695), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8697), 1,
      anon_sym_bitor,
    ACTIONS(8699), 1,
      anon_sym_bitand,
    ACTIONS(8705), 1,
      anon_sym_QMARK,
    STATE(3592), 1,
      sym_subscript_argument_list,
    STATE(3604), 1,
      sym_argument_list,
    ACTIONS(6885), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8218), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8519), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    ACTIONS(8675), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8677), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8683), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8693), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8701), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8703), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8687), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8689), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [156168] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1486), 1,
      anon_sym_template,
    ACTIONS(2588), 1,
      anon_sym_operator,
    ACTIONS(2877), 1,
      anon_sym_TILDE,
    ACTIONS(3148), 1,
      anon_sym_decltype,
    ACTIONS(4395), 1,
      anon_sym_LPAREN2,
    ACTIONS(4397), 1,
      anon_sym_STAR,
    ACTIONS(4399), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4401), 1,
      anon_sym_AMP,
    ACTIONS(5573), 1,
      sym_identifier,
    ACTIONS(6752), 1,
      anon_sym_LBRACK,
    ACTIONS(7243), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8447), 1,
      anon_sym_RPAREN,
    STATE(4924), 1,
      sym_parameter_list,
    STATE(7003), 1,
      sym__scope_resolution,
    STATE(7422), 1,
      sym__function_declarator_seq,
    STATE(7635), 1,
      sym__declarator,
    STATE(8014), 1,
      sym__abstract_declarator,
    STATE(10332), 1,
      sym_ms_based_modifier,
    STATE(10317), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(7436), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    STATE(7680), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [156254] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(9132), 1,
      sym_identifier,
    ACTIONS(9134), 1,
      anon_sym_LPAREN2,
    ACTIONS(9136), 1,
      anon_sym_STAR,
    ACTIONS(9140), 1,
      sym_primitive_type,
    STATE(3800), 1,
      sym__type_declarator,
    STATE(4165), 1,
      sym_pointer_type_declarator,
    STATE(5318), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(9558), 1,
      sym_ms_based_modifier,
    ACTIONS(9068), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(5717), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(6302), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(8262), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(9138), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(4160), 4,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
    ACTIONS(63), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [156328] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(9062), 1,
      sym_identifier,
    ACTIONS(9064), 1,
      anon_sym_LPAREN2,
    ACTIONS(9072), 1,
      sym_primitive_type,
    ACTIONS(9142), 1,
      anon_sym_STAR,
    STATE(3408), 1,
      sym_pointer_type_declarator,
    STATE(5318), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(7973), 1,
      sym__type_declarator,
    STATE(10066), 1,
      sym_ms_based_modifier,
    ACTIONS(9068), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(5077), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(6307), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(8262), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(9070), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3406), 4,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
    ACTIONS(63), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [156402] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6440), 1,
      anon_sym_LPAREN2,
    ACTIONS(6879), 1,
      anon_sym_LBRACK,
    ACTIONS(6883), 1,
      anon_sym_DOT,
    ACTIONS(8513), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8779), 1,
      anon_sym_SLASH,
    ACTIONS(8785), 1,
      anon_sym_PIPE,
    ACTIONS(8789), 1,
      anon_sym_AMP,
    ACTIONS(8795), 1,
      anon_sym_GT_EQ,
    ACTIONS(8801), 1,
      anon_sym_QMARK,
    ACTIONS(8803), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8805), 1,
      anon_sym_bitor,
    ACTIONS(8807), 1,
      anon_sym_bitand,
    STATE(3592), 1,
      sym_subscript_argument_list,
    STATE(3604), 1,
      sym_argument_list,
    ACTIONS(6885), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7146), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(8218), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8775), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8777), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8781), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8783), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8787), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8797), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8791), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8793), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [156494] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6440), 1,
      anon_sym_LPAREN2,
    ACTIONS(6879), 1,
      anon_sym_LBRACK,
    ACTIONS(6930), 1,
      anon_sym_PIPE,
    ACTIONS(7897), 1,
      anon_sym_DOT,
    ACTIONS(9082), 1,
      anon_sym_SLASH,
    ACTIONS(9092), 1,
      anon_sym_AMP,
    ACTIONS(9098), 1,
      anon_sym_GT_EQ,
    ACTIONS(9104), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(9108), 1,
      anon_sym_bitand,
    STATE(3592), 1,
      sym_subscript_argument_list,
    STATE(3604), 1,
      sym_argument_list,
    ACTIONS(7899), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8218), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(9078), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9080), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(9090), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(9100), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(9094), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(9096), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6932), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
  [156576] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7312), 1,
      anon_sym_LPAREN2,
    ACTIONS(7926), 1,
      anon_sym_LBRACK,
    ACTIONS(7940), 1,
      anon_sym_DOT,
    ACTIONS(8731), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8739), 1,
      anon_sym_SLASH,
    ACTIONS(8745), 1,
      anon_sym_PIPE,
    ACTIONS(8749), 1,
      anon_sym_AMP,
    ACTIONS(8755), 1,
      anon_sym_LT_LT,
    ACTIONS(8757), 1,
      anon_sym_GT_GT,
    ACTIONS(8759), 1,
      anon_sym_QMARK,
    ACTIONS(8761), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8763), 1,
      anon_sym_bitor,
    ACTIONS(8765), 1,
      anon_sym_bitand,
    STATE(4835), 1,
      sym_subscript_argument_list,
    STATE(4841), 1,
      sym_argument_list,
    ACTIONS(7942), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8735), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8737), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8741), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8743), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8747), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8767), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(9144), 2,
      anon_sym_COMMA,
      anon_sym_GT2,
    ACTIONS(8751), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8753), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [156668] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(9146), 1,
      sym_identifier,
    ACTIONS(9148), 1,
      anon_sym_LPAREN2,
    ACTIONS(9150), 1,
      anon_sym_STAR,
    ACTIONS(9154), 1,
      sym_primitive_type,
    STATE(5318), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(7407), 1,
      sym__type_declarator,
    STATE(7662), 1,
      sym_pointer_type_declarator,
    STATE(10177), 1,
      sym_ms_based_modifier,
    ACTIONS(9068), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(5077), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(6318), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(8262), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(9152), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(7660), 4,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
    ACTIONS(63), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [156742] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6440), 1,
      anon_sym_LPAREN2,
    ACTIONS(6879), 1,
      anon_sym_LBRACK,
    ACTIONS(6883), 1,
      anon_sym_DOT,
    ACTIONS(8779), 1,
      anon_sym_SLASH,
    ACTIONS(8785), 1,
      anon_sym_PIPE,
    ACTIONS(8789), 1,
      anon_sym_AMP,
    ACTIONS(8795), 1,
      anon_sym_GT_EQ,
    ACTIONS(8803), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8805), 1,
      anon_sym_bitor,
    ACTIONS(8807), 1,
      anon_sym_bitand,
    STATE(3592), 1,
      sym_subscript_argument_list,
    STATE(3604), 1,
      sym_argument_list,
    ACTIONS(6885), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8218), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8775), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8777), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8781), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8783), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8787), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8797), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8791), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8793), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(7371), 4,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_QMARK,
  [156830] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6440), 1,
      anon_sym_LPAREN2,
    ACTIONS(6879), 1,
      anon_sym_LBRACK,
    ACTIONS(6883), 1,
      anon_sym_DOT,
    ACTIONS(7999), 1,
      anon_sym_COMMA,
    ACTIONS(8513), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8679), 1,
      anon_sym_SLASH,
    ACTIONS(8681), 1,
      anon_sym_PIPE,
    ACTIONS(8685), 1,
      anon_sym_AMP,
    ACTIONS(8691), 1,
      anon_sym_GT_EQ,
    ACTIONS(8695), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8697), 1,
      anon_sym_bitor,
    ACTIONS(8699), 1,
      anon_sym_bitand,
    ACTIONS(8705), 1,
      anon_sym_QMARK,
    ACTIONS(9156), 1,
      anon_sym_SEMI,
    STATE(3592), 1,
      sym_subscript_argument_list,
    STATE(3604), 1,
      sym_argument_list,
    ACTIONS(6885), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8218), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8675), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8677), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8683), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8693), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8701), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8703), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8687), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8689), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [156924] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(9146), 1,
      sym_identifier,
    ACTIONS(9148), 1,
      anon_sym_LPAREN2,
    ACTIONS(9154), 1,
      sym_primitive_type,
    ACTIONS(9158), 1,
      anon_sym_STAR,
    STATE(5318), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(7662), 1,
      sym_pointer_type_declarator,
    STATE(7899), 1,
      sym__type_declarator,
    STATE(9608), 1,
      sym_ms_based_modifier,
    ACTIONS(9068), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(5077), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(6355), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(8262), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(9152), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(7660), 4,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
    ACTIONS(63), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [156998] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(9146), 1,
      sym_identifier,
    ACTIONS(9148), 1,
      anon_sym_LPAREN2,
    ACTIONS(9154), 1,
      sym_primitive_type,
    ACTIONS(9158), 1,
      anon_sym_STAR,
    STATE(5318), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(7662), 1,
      sym_pointer_type_declarator,
    STATE(7899), 1,
      sym__type_declarator,
    STATE(9608), 1,
      sym_ms_based_modifier,
    ACTIONS(9068), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(5680), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(6355), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(8262), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(9152), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(7660), 4,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
    ACTIONS(63), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [157072] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6440), 1,
      anon_sym_LPAREN2,
    ACTIONS(6879), 1,
      anon_sym_LBRACK,
    ACTIONS(6883), 1,
      anon_sym_DOT,
    ACTIONS(7999), 1,
      anon_sym_COMMA,
    ACTIONS(8513), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8679), 1,
      anon_sym_SLASH,
    ACTIONS(8681), 1,
      anon_sym_PIPE,
    ACTIONS(8685), 1,
      anon_sym_AMP,
    ACTIONS(8691), 1,
      anon_sym_GT_EQ,
    ACTIONS(8695), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8697), 1,
      anon_sym_bitor,
    ACTIONS(8699), 1,
      anon_sym_bitand,
    ACTIONS(8705), 1,
      anon_sym_QMARK,
    ACTIONS(8711), 1,
      anon_sym_SEMI,
    STATE(3592), 1,
      sym_subscript_argument_list,
    STATE(3604), 1,
      sym_argument_list,
    ACTIONS(6885), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8218), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8675), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8677), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8683), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8693), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8701), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8703), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8687), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8689), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [157166] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9160), 1,
      sym_identifier,
    ACTIONS(9164), 1,
      sym_primitive_type,
    STATE(5727), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(9162), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5917), 11,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5919), 20,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [157220] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(9062), 1,
      sym_identifier,
    ACTIONS(9064), 1,
      anon_sym_LPAREN2,
    ACTIONS(9066), 1,
      anon_sym_STAR,
    ACTIONS(9072), 1,
      sym_primitive_type,
    STATE(3408), 1,
      sym_pointer_type_declarator,
    STATE(5318), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(7597), 1,
      sym__type_declarator,
    STATE(9882), 1,
      sym_ms_based_modifier,
    ACTIONS(9068), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(5636), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(6343), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(8262), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(9070), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3406), 4,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
    ACTIONS(63), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [157294] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6440), 1,
      anon_sym_LPAREN2,
    ACTIONS(6879), 1,
      anon_sym_LBRACK,
    ACTIONS(6883), 1,
      anon_sym_DOT,
    ACTIONS(8513), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8679), 1,
      anon_sym_SLASH,
    ACTIONS(8681), 1,
      anon_sym_PIPE,
    ACTIONS(8685), 1,
      anon_sym_AMP,
    ACTIONS(8691), 1,
      anon_sym_GT_EQ,
    ACTIONS(8695), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8697), 1,
      anon_sym_bitor,
    ACTIONS(8699), 1,
      anon_sym_bitand,
    ACTIONS(8705), 1,
      anon_sym_QMARK,
    ACTIONS(9166), 1,
      anon_sym_COMMA,
    ACTIONS(9168), 1,
      anon_sym_RPAREN,
    STATE(3592), 1,
      sym_subscript_argument_list,
    STATE(3604), 1,
      sym_argument_list,
    ACTIONS(6885), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8218), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8675), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8677), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8683), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8693), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8701), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8703), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8687), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8689), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [157388] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6440), 1,
      anon_sym_LPAREN2,
    ACTIONS(6879), 1,
      anon_sym_LBRACK,
    ACTIONS(6883), 1,
      anon_sym_DOT,
    ACTIONS(8513), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8679), 1,
      anon_sym_SLASH,
    ACTIONS(8681), 1,
      anon_sym_PIPE,
    ACTIONS(8685), 1,
      anon_sym_AMP,
    ACTIONS(8691), 1,
      anon_sym_GT_EQ,
    ACTIONS(8695), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8697), 1,
      anon_sym_bitor,
    ACTIONS(8699), 1,
      anon_sym_bitand,
    ACTIONS(8705), 1,
      anon_sym_QMARK,
    STATE(3592), 1,
      sym_subscript_argument_list,
    STATE(3604), 1,
      sym_argument_list,
    ACTIONS(6885), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8218), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8675), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8677), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8683), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8693), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8701), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8703), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(9144), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(8687), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8689), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [157480] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6440), 1,
      anon_sym_LPAREN2,
    ACTIONS(6879), 1,
      anon_sym_LBRACK,
    ACTIONS(7897), 1,
      anon_sym_DOT,
    ACTIONS(8513), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(9076), 1,
      anon_sym_COMMA,
    ACTIONS(9082), 1,
      anon_sym_SLASH,
    ACTIONS(9088), 1,
      anon_sym_PIPE,
    ACTIONS(9092), 1,
      anon_sym_AMP,
    ACTIONS(9098), 1,
      anon_sym_GT_EQ,
    ACTIONS(9102), 1,
      anon_sym_QMARK,
    ACTIONS(9104), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(9106), 1,
      anon_sym_bitor,
    ACTIONS(9108), 1,
      anon_sym_bitand,
    ACTIONS(9170), 1,
      anon_sym_COLON,
    STATE(3592), 1,
      sym_subscript_argument_list,
    STATE(3604), 1,
      sym_argument_list,
    ACTIONS(7899), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8218), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(9078), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9080), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(9084), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(9086), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(9090), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(9100), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(9094), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(9096), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [157574] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(9146), 1,
      sym_identifier,
    ACTIONS(9148), 1,
      anon_sym_LPAREN2,
    ACTIONS(9154), 1,
      sym_primitive_type,
    ACTIONS(9158), 1,
      anon_sym_STAR,
    STATE(5318), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(7662), 1,
      sym_pointer_type_declarator,
    STATE(7917), 1,
      sym__type_declarator,
    STATE(9608), 1,
      sym_ms_based_modifier,
    ACTIONS(9068), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(5077), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(6370), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(8262), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(9152), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(7660), 4,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
    ACTIONS(63), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [157648] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6930), 1,
      anon_sym_PIPE,
    ACTIONS(7312), 1,
      anon_sym_LPAREN2,
    ACTIONS(7926), 1,
      anon_sym_LBRACK,
    ACTIONS(7940), 1,
      anon_sym_DOT,
    ACTIONS(8739), 1,
      anon_sym_SLASH,
    ACTIONS(8749), 1,
      anon_sym_AMP,
    ACTIONS(8755), 1,
      anon_sym_LT_LT,
    ACTIONS(8757), 1,
      anon_sym_GT_GT,
    ACTIONS(8761), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8765), 1,
      anon_sym_bitand,
    STATE(4835), 1,
      sym_subscript_argument_list,
    STATE(4841), 1,
      sym_argument_list,
    ACTIONS(7942), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8735), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8737), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8747), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8767), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8751), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8753), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6932), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_QMARK,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_GT2,
  [157730] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6460), 1,
      sym_literal_suffix,
    ACTIONS(6477), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
    ACTIONS(6479), 21,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [157778] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6440), 1,
      anon_sym_LPAREN2,
    ACTIONS(6879), 1,
      anon_sym_LBRACK,
    ACTIONS(6883), 1,
      anon_sym_DOT,
    ACTIONS(8513), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8679), 1,
      anon_sym_SLASH,
    ACTIONS(8681), 1,
      anon_sym_PIPE,
    ACTIONS(8685), 1,
      anon_sym_AMP,
    ACTIONS(8691), 1,
      anon_sym_GT_EQ,
    ACTIONS(8695), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8697), 1,
      anon_sym_bitor,
    ACTIONS(8699), 1,
      anon_sym_bitand,
    ACTIONS(8705), 1,
      anon_sym_QMARK,
    STATE(3592), 1,
      sym_subscript_argument_list,
    STATE(3604), 1,
      sym_argument_list,
    ACTIONS(6885), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8218), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8675), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8677), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8683), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8693), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8701), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8703), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(9172), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    ACTIONS(8687), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8689), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [157870] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6440), 1,
      anon_sym_LPAREN2,
    ACTIONS(6879), 1,
      anon_sym_LBRACK,
    ACTIONS(6883), 1,
      anon_sym_DOT,
    ACTIONS(6930), 1,
      anon_sym_PIPE,
    ACTIONS(8779), 1,
      anon_sym_SLASH,
    ACTIONS(8789), 1,
      anon_sym_AMP,
    ACTIONS(8795), 1,
      anon_sym_GT_EQ,
    ACTIONS(8803), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8807), 1,
      anon_sym_bitand,
    STATE(3592), 1,
      sym_subscript_argument_list,
    STATE(3604), 1,
      sym_argument_list,
    ACTIONS(6885), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8218), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8775), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8777), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8797), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8791), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8793), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6932), 11,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
  [157950] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7312), 1,
      anon_sym_LPAREN2,
    ACTIONS(7926), 1,
      anon_sym_LBRACK,
    ACTIONS(7940), 1,
      anon_sym_DOT,
    ACTIONS(8739), 1,
      anon_sym_SLASH,
    ACTIONS(8755), 1,
      anon_sym_LT_LT,
    ACTIONS(8757), 1,
      anon_sym_GT_GT,
    ACTIONS(8761), 1,
      anon_sym_LT_EQ_GT,
    STATE(4835), 1,
      sym_subscript_argument_list,
    STATE(4841), 1,
      sym_argument_list,
    ACTIONS(6930), 2,
      anon_sym_PIPE,
      anon_sym_AMP,
    ACTIONS(7942), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8735), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8737), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8767), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8751), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8753), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6932), 12,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_QMARK,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_GT2,
  [158026] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(9146), 1,
      sym_identifier,
    ACTIONS(9148), 1,
      anon_sym_LPAREN2,
    ACTIONS(9150), 1,
      anon_sym_STAR,
    ACTIONS(9154), 1,
      sym_primitive_type,
    STATE(5318), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(7407), 1,
      sym__type_declarator,
    STATE(7662), 1,
      sym_pointer_type_declarator,
    STATE(10177), 1,
      sym_ms_based_modifier,
    ACTIONS(9068), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(5716), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(6318), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(8262), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(9152), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(7660), 4,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
    ACTIONS(63), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [158100] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6440), 1,
      anon_sym_LPAREN2,
    ACTIONS(6879), 1,
      anon_sym_LBRACK,
    ACTIONS(7897), 1,
      anon_sym_DOT,
    STATE(3592), 1,
      sym_subscript_argument_list,
    STATE(3604), 1,
      sym_argument_list,
    ACTIONS(7899), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8218), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6934), 8,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6936), 21,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [158160] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6440), 1,
      anon_sym_LPAREN2,
    ACTIONS(6879), 1,
      anon_sym_LBRACK,
    ACTIONS(6883), 1,
      anon_sym_DOT,
    ACTIONS(7999), 1,
      anon_sym_COMMA,
    ACTIONS(8513), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8679), 1,
      anon_sym_SLASH,
    ACTIONS(8681), 1,
      anon_sym_PIPE,
    ACTIONS(8685), 1,
      anon_sym_AMP,
    ACTIONS(8691), 1,
      anon_sym_GT_EQ,
    ACTIONS(8695), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8697), 1,
      anon_sym_bitor,
    ACTIONS(8699), 1,
      anon_sym_bitand,
    ACTIONS(8705), 1,
      anon_sym_QMARK,
    ACTIONS(9174), 1,
      anon_sym_RPAREN,
    STATE(3592), 1,
      sym_subscript_argument_list,
    STATE(3604), 1,
      sym_argument_list,
    ACTIONS(6885), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8218), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8675), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8677), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8683), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8693), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8701), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8703), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8687), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8689), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [158254] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(5689), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(9176), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5842), 11,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5840), 22,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [158304] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6440), 1,
      anon_sym_LPAREN2,
    ACTIONS(6879), 1,
      anon_sym_LBRACK,
    ACTIONS(7897), 1,
      anon_sym_DOT,
    ACTIONS(8513), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(9076), 1,
      anon_sym_COMMA,
    ACTIONS(9082), 1,
      anon_sym_SLASH,
    ACTIONS(9088), 1,
      anon_sym_PIPE,
    ACTIONS(9092), 1,
      anon_sym_AMP,
    ACTIONS(9098), 1,
      anon_sym_GT_EQ,
    ACTIONS(9102), 1,
      anon_sym_QMARK,
    ACTIONS(9104), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(9106), 1,
      anon_sym_bitor,
    ACTIONS(9108), 1,
      anon_sym_bitand,
    ACTIONS(9179), 1,
      anon_sym_COLON,
    STATE(3592), 1,
      sym_subscript_argument_list,
    STATE(3604), 1,
      sym_argument_list,
    ACTIONS(7899), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8218), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(9078), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9080), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(9084), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(9086), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(9090), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(9100), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(9094), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(9096), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [158398] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6440), 1,
      anon_sym_LPAREN2,
    ACTIONS(6879), 1,
      anon_sym_LBRACK,
    ACTIONS(7897), 1,
      anon_sym_DOT,
    STATE(3592), 1,
      sym_subscript_argument_list,
    STATE(3604), 1,
      sym_argument_list,
    ACTIONS(7899), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8218), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6930), 8,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6932), 21,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [158458] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4561), 1,
      anon_sym_LPAREN2,
    ACTIONS(8495), 1,
      anon_sym_STAR,
    ACTIONS(8497), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8499), 1,
      anon_sym_AMP,
    ACTIONS(8509), 1,
      anon_sym_LBRACK,
    ACTIONS(8511), 1,
      anon_sym_const,
    ACTIONS(9181), 1,
      sym_auto,
    ACTIONS(9183), 1,
      anon_sym_decltype,
    STATE(4866), 1,
      sym_parameter_list,
    STATE(6377), 1,
      sym_decltype_auto,
    STATE(7422), 1,
      sym__function_declarator_seq,
    STATE(7594), 1,
      sym__abstract_declarator,
    STATE(6055), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(7436), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8545), 8,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
    ACTIONS(8501), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [158532] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6440), 1,
      anon_sym_LPAREN2,
    ACTIONS(6879), 1,
      anon_sym_LBRACK,
    ACTIONS(6883), 1,
      anon_sym_DOT,
    ACTIONS(7999), 1,
      anon_sym_COMMA,
    ACTIONS(8513), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8679), 1,
      anon_sym_SLASH,
    ACTIONS(8681), 1,
      anon_sym_PIPE,
    ACTIONS(8685), 1,
      anon_sym_AMP,
    ACTIONS(8691), 1,
      anon_sym_GT_EQ,
    ACTIONS(8695), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8697), 1,
      anon_sym_bitor,
    ACTIONS(8699), 1,
      anon_sym_bitand,
    ACTIONS(8705), 1,
      anon_sym_QMARK,
    ACTIONS(9185), 1,
      anon_sym_SEMI,
    STATE(3592), 1,
      sym_subscript_argument_list,
    STATE(3604), 1,
      sym_argument_list,
    ACTIONS(6885), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8218), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8675), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8677), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8683), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8693), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8701), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8703), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8687), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8689), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [158626] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6440), 1,
      anon_sym_LPAREN2,
    ACTIONS(6879), 1,
      anon_sym_LBRACK,
    ACTIONS(6883), 1,
      anon_sym_DOT,
    ACTIONS(7999), 1,
      anon_sym_COMMA,
    ACTIONS(8513), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8679), 1,
      anon_sym_SLASH,
    ACTIONS(8681), 1,
      anon_sym_PIPE,
    ACTIONS(8685), 1,
      anon_sym_AMP,
    ACTIONS(8691), 1,
      anon_sym_GT_EQ,
    ACTIONS(8695), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8697), 1,
      anon_sym_bitor,
    ACTIONS(8699), 1,
      anon_sym_bitand,
    ACTIONS(8705), 1,
      anon_sym_QMARK,
    ACTIONS(9187), 1,
      anon_sym_SEMI,
    STATE(3592), 1,
      sym_subscript_argument_list,
    STATE(3604), 1,
      sym_argument_list,
    ACTIONS(6885), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8218), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8675), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8677), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8683), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8693), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8701), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8703), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8687), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8689), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [158720] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(9146), 1,
      sym_identifier,
    ACTIONS(9148), 1,
      anon_sym_LPAREN2,
    ACTIONS(9150), 1,
      anon_sym_STAR,
    ACTIONS(9154), 1,
      sym_primitive_type,
    STATE(5318), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(7388), 1,
      sym__type_declarator,
    STATE(7662), 1,
      sym_pointer_type_declarator,
    STATE(10177), 1,
      sym_ms_based_modifier,
    ACTIONS(9068), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(5669), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(6350), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(8262), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(9152), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(7660), 4,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
    ACTIONS(63), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [158794] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7312), 1,
      anon_sym_LPAREN2,
    ACTIONS(7926), 1,
      anon_sym_LBRACK,
    ACTIONS(7940), 1,
      anon_sym_DOT,
    ACTIONS(8739), 1,
      anon_sym_SLASH,
    ACTIONS(8745), 1,
      anon_sym_PIPE,
    ACTIONS(8749), 1,
      anon_sym_AMP,
    ACTIONS(8755), 1,
      anon_sym_LT_LT,
    ACTIONS(8757), 1,
      anon_sym_GT_GT,
    ACTIONS(8761), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8763), 1,
      anon_sym_bitor,
    ACTIONS(8765), 1,
      anon_sym_bitand,
    STATE(4835), 1,
      sym_subscript_argument_list,
    STATE(4841), 1,
      sym_argument_list,
    ACTIONS(7942), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8735), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8737), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8747), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8767), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8751), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8753), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6932), 8,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_QMARK,
      anon_sym_or,
      anon_sym_and,
      anon_sym_GT2,
  [158878] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6440), 1,
      anon_sym_LPAREN2,
    ACTIONS(6879), 1,
      anon_sym_LBRACK,
    ACTIONS(6883), 1,
      anon_sym_DOT,
    ACTIONS(7999), 1,
      anon_sym_COMMA,
    ACTIONS(8513), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8679), 1,
      anon_sym_SLASH,
    ACTIONS(8681), 1,
      anon_sym_PIPE,
    ACTIONS(8685), 1,
      anon_sym_AMP,
    ACTIONS(8691), 1,
      anon_sym_GT_EQ,
    ACTIONS(8695), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8697), 1,
      anon_sym_bitor,
    ACTIONS(8699), 1,
      anon_sym_bitand,
    ACTIONS(8705), 1,
      anon_sym_QMARK,
    ACTIONS(9189), 1,
      anon_sym_SEMI,
    STATE(3592), 1,
      sym_subscript_argument_list,
    STATE(3604), 1,
      sym_argument_list,
    ACTIONS(6885), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8218), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8675), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8677), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8683), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8693), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8701), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8703), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8687), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8689), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [158972] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6440), 1,
      anon_sym_LPAREN2,
    ACTIONS(6879), 1,
      anon_sym_LBRACK,
    ACTIONS(6883), 1,
      anon_sym_DOT,
    ACTIONS(8513), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8679), 1,
      anon_sym_SLASH,
    ACTIONS(8681), 1,
      anon_sym_PIPE,
    ACTIONS(8685), 1,
      anon_sym_AMP,
    ACTIONS(8691), 1,
      anon_sym_GT_EQ,
    ACTIONS(8695), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8697), 1,
      anon_sym_bitor,
    ACTIONS(8699), 1,
      anon_sym_bitand,
    ACTIONS(8705), 1,
      anon_sym_QMARK,
    STATE(3592), 1,
      sym_subscript_argument_list,
    STATE(3604), 1,
      sym_argument_list,
    ACTIONS(6885), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8218), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8675), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8677), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8683), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8693), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8701), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8703), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8979), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    ACTIONS(8687), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8689), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [159064] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7312), 1,
      anon_sym_LPAREN2,
    ACTIONS(7926), 1,
      anon_sym_LBRACK,
    ACTIONS(7940), 1,
      anon_sym_DOT,
    STATE(4835), 1,
      sym_subscript_argument_list,
    STATE(4841), 1,
      sym_argument_list,
    ACTIONS(7942), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8767), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6916), 10,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
    ACTIONS(6918), 19,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_GT2,
  [159124] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(9132), 1,
      sym_identifier,
    ACTIONS(9134), 1,
      anon_sym_LPAREN2,
    ACTIONS(9136), 1,
      anon_sym_STAR,
    ACTIONS(9140), 1,
      sym_primitive_type,
    STATE(3809), 1,
      sym__type_declarator,
    STATE(4165), 1,
      sym_pointer_type_declarator,
    STATE(5318), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(9558), 1,
      sym_ms_based_modifier,
    ACTIONS(9068), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(5660), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(6289), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(8262), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(9138), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(4160), 4,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
    ACTIONS(63), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [159198] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6440), 1,
      anon_sym_LPAREN2,
    ACTIONS(6879), 1,
      anon_sym_LBRACK,
    ACTIONS(6883), 1,
      anon_sym_DOT,
    ACTIONS(8513), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8679), 1,
      anon_sym_SLASH,
    ACTIONS(8681), 1,
      anon_sym_PIPE,
    ACTIONS(8685), 1,
      anon_sym_AMP,
    ACTIONS(8691), 1,
      anon_sym_GT_EQ,
    ACTIONS(8695), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8697), 1,
      anon_sym_bitor,
    ACTIONS(8699), 1,
      anon_sym_bitand,
    ACTIONS(8705), 1,
      anon_sym_QMARK,
    STATE(3592), 1,
      sym_subscript_argument_list,
    STATE(3604), 1,
      sym_argument_list,
    ACTIONS(6885), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8218), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8675), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8677), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8683), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8693), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8701), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8703), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8984), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    ACTIONS(8687), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8689), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [159290] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6440), 1,
      anon_sym_LPAREN2,
    ACTIONS(6879), 1,
      anon_sym_LBRACK,
    ACTIONS(6883), 1,
      anon_sym_DOT,
    ACTIONS(8779), 1,
      anon_sym_SLASH,
    ACTIONS(8785), 1,
      anon_sym_PIPE,
    ACTIONS(8789), 1,
      anon_sym_AMP,
    ACTIONS(8795), 1,
      anon_sym_GT_EQ,
    ACTIONS(8803), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8805), 1,
      anon_sym_bitor,
    ACTIONS(8807), 1,
      anon_sym_bitand,
    STATE(3592), 1,
      sym_subscript_argument_list,
    STATE(3604), 1,
      sym_argument_list,
    ACTIONS(6885), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8218), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8775), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8777), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8781), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8783), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8787), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8797), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8791), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8793), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(7375), 4,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_QMARK,
  [159378] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5792), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6511), 1,
      anon_sym_LPAREN2,
    ACTIONS(6514), 1,
      anon_sym_LBRACK,
    ACTIONS(4221), 9,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(4213), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [159430] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6440), 1,
      anon_sym_LPAREN2,
    ACTIONS(6879), 1,
      anon_sym_LBRACK,
    ACTIONS(7897), 1,
      anon_sym_DOT,
    ACTIONS(8513), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(9076), 1,
      anon_sym_COMMA,
    ACTIONS(9082), 1,
      anon_sym_SLASH,
    ACTIONS(9088), 1,
      anon_sym_PIPE,
    ACTIONS(9092), 1,
      anon_sym_AMP,
    ACTIONS(9098), 1,
      anon_sym_GT_EQ,
    ACTIONS(9102), 1,
      anon_sym_QMARK,
    ACTIONS(9104), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(9106), 1,
      anon_sym_bitor,
    ACTIONS(9108), 1,
      anon_sym_bitand,
    ACTIONS(9191), 1,
      anon_sym_COLON,
    STATE(3592), 1,
      sym_subscript_argument_list,
    STATE(3604), 1,
      sym_argument_list,
    ACTIONS(7899), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8218), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(9078), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9080), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(9084), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(9086), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(9090), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(9100), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(9094), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(9096), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [159524] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7312), 1,
      anon_sym_LPAREN2,
    ACTIONS(7926), 1,
      anon_sym_LBRACK,
    ACTIONS(7940), 1,
      anon_sym_DOT,
    STATE(4835), 1,
      sym_subscript_argument_list,
    STATE(4841), 1,
      sym_argument_list,
    ACTIONS(7942), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8767), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6934), 10,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
    ACTIONS(6936), 19,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_GT2,
  [159584] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(9193), 1,
      sym_identifier,
    ACTIONS(9195), 1,
      anon_sym_LPAREN2,
    ACTIONS(9197), 1,
      anon_sym_STAR,
    ACTIONS(9201), 1,
      sym_primitive_type,
    STATE(4143), 1,
      sym__type_declarator,
    STATE(4697), 1,
      sym_pointer_type_declarator,
    STATE(5318), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(9749), 1,
      sym_ms_based_modifier,
    ACTIONS(9068), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(5804), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(6366), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(8262), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(9199), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(4689), 4,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
    ACTIONS(63), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [159658] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6440), 1,
      anon_sym_LPAREN2,
    ACTIONS(6879), 1,
      anon_sym_LBRACK,
    ACTIONS(6883), 1,
      anon_sym_DOT,
    ACTIONS(7999), 1,
      anon_sym_COMMA,
    ACTIONS(8513), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8679), 1,
      anon_sym_SLASH,
    ACTIONS(8681), 1,
      anon_sym_PIPE,
    ACTIONS(8685), 1,
      anon_sym_AMP,
    ACTIONS(8691), 1,
      anon_sym_GT_EQ,
    ACTIONS(8695), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8697), 1,
      anon_sym_bitor,
    ACTIONS(8699), 1,
      anon_sym_bitand,
    ACTIONS(8705), 1,
      anon_sym_QMARK,
    ACTIONS(9203), 1,
      anon_sym_SEMI,
    STATE(3592), 1,
      sym_subscript_argument_list,
    STATE(3604), 1,
      sym_argument_list,
    ACTIONS(6885), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8218), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8675), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8677), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8683), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8693), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8701), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8703), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8687), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8689), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [159752] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6440), 1,
      anon_sym_LPAREN2,
    ACTIONS(6879), 1,
      anon_sym_LBRACK,
    ACTIONS(6883), 1,
      anon_sym_DOT,
    ACTIONS(8513), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8679), 1,
      anon_sym_SLASH,
    ACTIONS(8681), 1,
      anon_sym_PIPE,
    ACTIONS(8685), 1,
      anon_sym_AMP,
    ACTIONS(8691), 1,
      anon_sym_GT_EQ,
    ACTIONS(8695), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8697), 1,
      anon_sym_bitor,
    ACTIONS(8699), 1,
      anon_sym_bitand,
    ACTIONS(8705), 1,
      anon_sym_QMARK,
    STATE(3592), 1,
      sym_subscript_argument_list,
    STATE(3604), 1,
      sym_argument_list,
    ACTIONS(6885), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8218), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8675), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8677), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8683), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8693), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8701), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8703), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(9205), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(8687), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8689), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [159844] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6440), 1,
      anon_sym_LPAREN2,
    ACTIONS(6879), 1,
      anon_sym_LBRACK,
    ACTIONS(6883), 1,
      anon_sym_DOT,
    ACTIONS(8513), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8679), 1,
      anon_sym_SLASH,
    ACTIONS(8681), 1,
      anon_sym_PIPE,
    ACTIONS(8685), 1,
      anon_sym_AMP,
    ACTIONS(8691), 1,
      anon_sym_GT_EQ,
    ACTIONS(8695), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8697), 1,
      anon_sym_bitor,
    ACTIONS(8699), 1,
      anon_sym_bitand,
    ACTIONS(8705), 1,
      anon_sym_QMARK,
    ACTIONS(9207), 1,
      anon_sym_COMMA,
    ACTIONS(9209), 1,
      anon_sym_RPAREN,
    STATE(3592), 1,
      sym_subscript_argument_list,
    STATE(3604), 1,
      sym_argument_list,
    ACTIONS(6885), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8218), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8675), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8677), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8683), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8693), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8701), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8703), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8687), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8689), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [159938] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7312), 1,
      anon_sym_LPAREN2,
    ACTIONS(7926), 1,
      anon_sym_LBRACK,
    ACTIONS(7940), 1,
      anon_sym_DOT,
    STATE(4835), 1,
      sym_subscript_argument_list,
    STATE(4841), 1,
      sym_argument_list,
    ACTIONS(7942), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8767), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6908), 10,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
    ACTIONS(6910), 19,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_GT2,
  [159998] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(9193), 1,
      sym_identifier,
    ACTIONS(9195), 1,
      anon_sym_LPAREN2,
    ACTIONS(9197), 1,
      anon_sym_STAR,
    ACTIONS(9201), 1,
      sym_primitive_type,
    STATE(4143), 1,
      sym__type_declarator,
    STATE(4697), 1,
      sym_pointer_type_declarator,
    STATE(5318), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(9749), 1,
      sym_ms_based_modifier,
    ACTIONS(9068), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(5077), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(6366), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(8262), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(9199), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(4689), 4,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
    ACTIONS(63), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [160072] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6440), 1,
      anon_sym_LPAREN2,
    ACTIONS(6879), 1,
      anon_sym_LBRACK,
    ACTIONS(6883), 1,
      anon_sym_DOT,
    ACTIONS(8513), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8779), 1,
      anon_sym_SLASH,
    ACTIONS(8785), 1,
      anon_sym_PIPE,
    ACTIONS(8789), 1,
      anon_sym_AMP,
    ACTIONS(8795), 1,
      anon_sym_GT_EQ,
    ACTIONS(8801), 1,
      anon_sym_QMARK,
    ACTIONS(8803), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8805), 1,
      anon_sym_bitor,
    ACTIONS(8807), 1,
      anon_sym_bitand,
    STATE(3592), 1,
      sym_subscript_argument_list,
    STATE(3604), 1,
      sym_argument_list,
    ACTIONS(6885), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8218), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8775), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8777), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8781), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8783), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8787), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8797), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(9211), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(8791), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8793), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [160164] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6440), 1,
      anon_sym_LPAREN2,
    ACTIONS(6879), 1,
      anon_sym_LBRACK,
    ACTIONS(6883), 1,
      anon_sym_DOT,
    ACTIONS(8779), 1,
      anon_sym_SLASH,
    ACTIONS(8795), 1,
      anon_sym_GT_EQ,
    ACTIONS(8803), 1,
      anon_sym_LT_EQ_GT,
    STATE(3592), 1,
      sym_subscript_argument_list,
    STATE(3604), 1,
      sym_argument_list,
    ACTIONS(6885), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6930), 2,
      anon_sym_PIPE,
      anon_sym_AMP,
    ACTIONS(8218), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8775), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8777), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8797), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8791), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8793), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6932), 12,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
  [160240] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6440), 1,
      anon_sym_LPAREN2,
    ACTIONS(6879), 1,
      anon_sym_LBRACK,
    ACTIONS(7897), 1,
      anon_sym_DOT,
    ACTIONS(8513), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(9076), 1,
      anon_sym_COMMA,
    ACTIONS(9082), 1,
      anon_sym_SLASH,
    ACTIONS(9088), 1,
      anon_sym_PIPE,
    ACTIONS(9092), 1,
      anon_sym_AMP,
    ACTIONS(9098), 1,
      anon_sym_GT_EQ,
    ACTIONS(9102), 1,
      anon_sym_QMARK,
    ACTIONS(9104), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(9106), 1,
      anon_sym_bitor,
    ACTIONS(9108), 1,
      anon_sym_bitand,
    ACTIONS(9213), 1,
      anon_sym_COLON,
    STATE(3592), 1,
      sym_subscript_argument_list,
    STATE(3604), 1,
      sym_argument_list,
    ACTIONS(7899), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8218), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(9078), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9080), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(9084), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(9086), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(9090), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(9100), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(9094), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(9096), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [160334] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6440), 1,
      anon_sym_LPAREN2,
    ACTIONS(6879), 1,
      anon_sym_LBRACK,
    ACTIONS(7897), 1,
      anon_sym_DOT,
    ACTIONS(8513), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(9076), 1,
      anon_sym_COMMA,
    ACTIONS(9082), 1,
      anon_sym_SLASH,
    ACTIONS(9088), 1,
      anon_sym_PIPE,
    ACTIONS(9092), 1,
      anon_sym_AMP,
    ACTIONS(9098), 1,
      anon_sym_GT_EQ,
    ACTIONS(9102), 1,
      anon_sym_QMARK,
    ACTIONS(9104), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(9106), 1,
      anon_sym_bitor,
    ACTIONS(9108), 1,
      anon_sym_bitand,
    ACTIONS(9215), 1,
      anon_sym_COLON,
    STATE(3592), 1,
      sym_subscript_argument_list,
    STATE(3604), 1,
      sym_argument_list,
    ACTIONS(7899), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8218), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(9078), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9080), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(9084), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(9086), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(9090), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(9100), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(9094), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(9096), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [160428] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(9146), 1,
      sym_identifier,
    ACTIONS(9148), 1,
      anon_sym_LPAREN2,
    ACTIONS(9150), 1,
      anon_sym_STAR,
    ACTIONS(9154), 1,
      sym_primitive_type,
    STATE(5318), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(7439), 1,
      sym__type_declarator,
    STATE(7662), 1,
      sym_pointer_type_declarator,
    STATE(10177), 1,
      sym_ms_based_modifier,
    ACTIONS(9068), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(5077), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(6317), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(8262), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(9152), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(7660), 4,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
    ACTIONS(63), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [160502] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(9132), 1,
      sym_identifier,
    ACTIONS(9134), 1,
      anon_sym_LPAREN2,
    ACTIONS(9136), 1,
      anon_sym_STAR,
    ACTIONS(9140), 1,
      sym_primitive_type,
    STATE(3846), 1,
      sym__type_declarator,
    STATE(4165), 1,
      sym_pointer_type_declarator,
    STATE(5318), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(9558), 1,
      sym_ms_based_modifier,
    ACTIONS(9068), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(5077), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(6321), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(8262), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(9138), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(4160), 4,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
    ACTIONS(63), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [160576] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(9217), 1,
      sym_identifier,
    ACTIONS(9219), 1,
      anon_sym_LPAREN2,
    ACTIONS(9221), 1,
      anon_sym_STAR,
    ACTIONS(9225), 1,
      sym_primitive_type,
    STATE(3996), 1,
      sym__type_declarator,
    STATE(4414), 1,
      sym_pointer_type_declarator,
    STATE(5318), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(9759), 1,
      sym_ms_based_modifier,
    ACTIONS(9068), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(5776), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(6316), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(8262), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(9223), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(4412), 4,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
    ACTIONS(63), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [160650] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6440), 1,
      anon_sym_LPAREN2,
    ACTIONS(6879), 1,
      anon_sym_LBRACK,
    ACTIONS(6883), 1,
      anon_sym_DOT,
    ACTIONS(7999), 1,
      anon_sym_COMMA,
    ACTIONS(8513), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8679), 1,
      anon_sym_SLASH,
    ACTIONS(8681), 1,
      anon_sym_PIPE,
    ACTIONS(8685), 1,
      anon_sym_AMP,
    ACTIONS(8691), 1,
      anon_sym_GT_EQ,
    ACTIONS(8695), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8697), 1,
      anon_sym_bitor,
    ACTIONS(8699), 1,
      anon_sym_bitand,
    ACTIONS(8705), 1,
      anon_sym_QMARK,
    ACTIONS(9000), 1,
      anon_sym_SEMI,
    STATE(3592), 1,
      sym_subscript_argument_list,
    STATE(3604), 1,
      sym_argument_list,
    ACTIONS(6885), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8218), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8675), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8677), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8683), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8693), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8701), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8703), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8687), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8689), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [160744] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6440), 1,
      anon_sym_LPAREN2,
    ACTIONS(6879), 1,
      anon_sym_LBRACK,
    ACTIONS(6883), 1,
      anon_sym_DOT,
    ACTIONS(8513), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8679), 1,
      anon_sym_SLASH,
    ACTIONS(8681), 1,
      anon_sym_PIPE,
    ACTIONS(8685), 1,
      anon_sym_AMP,
    ACTIONS(8691), 1,
      anon_sym_GT_EQ,
    ACTIONS(8695), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8697), 1,
      anon_sym_bitor,
    ACTIONS(8699), 1,
      anon_sym_bitand,
    ACTIONS(8705), 1,
      anon_sym_QMARK,
    ACTIONS(9227), 1,
      anon_sym_COMMA,
    ACTIONS(9229), 1,
      anon_sym_RPAREN,
    STATE(3592), 1,
      sym_subscript_argument_list,
    STATE(3604), 1,
      sym_argument_list,
    ACTIONS(6885), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8218), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8675), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8677), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8683), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8693), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8701), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8703), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8687), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8689), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [160838] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(9193), 1,
      sym_identifier,
    ACTIONS(9195), 1,
      anon_sym_LPAREN2,
    ACTIONS(9197), 1,
      anon_sym_STAR,
    ACTIONS(9201), 1,
      sym_primitive_type,
    STATE(4102), 1,
      sym__type_declarator,
    STATE(4697), 1,
      sym_pointer_type_declarator,
    STATE(5318), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(9749), 1,
      sym_ms_based_modifier,
    ACTIONS(9068), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(5711), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(6308), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(8262), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(9199), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(4689), 4,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
    ACTIONS(63), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [160912] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7983), 1,
      anon_sym_const,
    ACTIONS(8254), 1,
      anon_sym_LPAREN2,
    ACTIONS(8268), 1,
      anon_sym_LBRACK,
    ACTIONS(8292), 1,
      anon_sym_STAR,
    ACTIONS(8294), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8296), 1,
      anon_sym_AMP,
    STATE(4816), 1,
      sym_parameter_list,
    STATE(7245), 1,
      sym__abstract_declarator,
    STATE(7268), 1,
      sym__function_declarator_seq,
    STATE(5879), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(7270), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(7974), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
    ACTIONS(8974), 11,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [160980] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6440), 1,
      anon_sym_LPAREN2,
    ACTIONS(6879), 1,
      anon_sym_LBRACK,
    ACTIONS(7897), 1,
      anon_sym_DOT,
    ACTIONS(8513), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(9076), 1,
      anon_sym_COMMA,
    ACTIONS(9082), 1,
      anon_sym_SLASH,
    ACTIONS(9088), 1,
      anon_sym_PIPE,
    ACTIONS(9092), 1,
      anon_sym_AMP,
    ACTIONS(9098), 1,
      anon_sym_GT_EQ,
    ACTIONS(9102), 1,
      anon_sym_QMARK,
    ACTIONS(9104), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(9106), 1,
      anon_sym_bitor,
    ACTIONS(9108), 1,
      anon_sym_bitand,
    ACTIONS(9231), 1,
      anon_sym_COLON,
    STATE(3592), 1,
      sym_subscript_argument_list,
    STATE(3604), 1,
      sym_argument_list,
    ACTIONS(7899), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8218), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(9078), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9080), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(9084), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(9086), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(9090), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(9100), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(9094), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(9096), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [161074] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7312), 1,
      anon_sym_LPAREN2,
    ACTIONS(7926), 1,
      anon_sym_LBRACK,
    ACTIONS(7940), 1,
      anon_sym_DOT,
    ACTIONS(8739), 1,
      anon_sym_SLASH,
    ACTIONS(8755), 1,
      anon_sym_LT_LT,
    ACTIONS(8757), 1,
      anon_sym_GT_GT,
    ACTIONS(8761), 1,
      anon_sym_LT_EQ_GT,
    STATE(4835), 1,
      sym_subscript_argument_list,
    STATE(4841), 1,
      sym_argument_list,
    ACTIONS(6930), 2,
      anon_sym_PIPE,
      anon_sym_AMP,
    ACTIONS(7942), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8735), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8737), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8767), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8753), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6932), 15,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_GT2,
  [161148] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(9062), 1,
      sym_identifier,
    ACTIONS(9064), 1,
      anon_sym_LPAREN2,
    ACTIONS(9072), 1,
      sym_primitive_type,
    ACTIONS(9233), 1,
      anon_sym_STAR,
    STATE(3338), 1,
      sym__type_declarator,
    STATE(3408), 1,
      sym_pointer_type_declarator,
    STATE(5318), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(10078), 1,
      sym_ms_based_modifier,
    ACTIONS(9068), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(5794), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(6368), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(8262), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(9070), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3406), 4,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
    ACTIONS(63), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [161222] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6460), 1,
      sym_literal_suffix,
    ACTIONS(4221), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
    ACTIONS(4213), 21,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [161270] = 6,
    ACTIONS(3), 1,
      sym_comment,
    STATE(5689), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5840), 2,
      sym_primitive_type,
      sym_identifier,
    ACTIONS(9176), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5943), 11,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5940), 20,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [161322] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6440), 1,
      anon_sym_LPAREN2,
    ACTIONS(6879), 1,
      anon_sym_LBRACK,
    ACTIONS(6883), 1,
      anon_sym_DOT,
    ACTIONS(7999), 1,
      anon_sym_COMMA,
    ACTIONS(8513), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8679), 1,
      anon_sym_SLASH,
    ACTIONS(8681), 1,
      anon_sym_PIPE,
    ACTIONS(8685), 1,
      anon_sym_AMP,
    ACTIONS(8691), 1,
      anon_sym_GT_EQ,
    ACTIONS(8695), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8697), 1,
      anon_sym_bitor,
    ACTIONS(8699), 1,
      anon_sym_bitand,
    ACTIONS(8705), 1,
      anon_sym_QMARK,
    ACTIONS(9235), 1,
      anon_sym_RPAREN,
    STATE(3592), 1,
      sym_subscript_argument_list,
    STATE(3604), 1,
      sym_argument_list,
    ACTIONS(6885), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8218), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8675), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8677), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8683), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8693), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8701), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8703), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8687), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8689), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [161416] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6440), 1,
      anon_sym_LPAREN2,
    ACTIONS(6879), 1,
      anon_sym_LBRACK,
    ACTIONS(6883), 1,
      anon_sym_DOT,
    ACTIONS(8513), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8679), 1,
      anon_sym_SLASH,
    ACTIONS(8681), 1,
      anon_sym_PIPE,
    ACTIONS(8685), 1,
      anon_sym_AMP,
    ACTIONS(8691), 1,
      anon_sym_GT_EQ,
    ACTIONS(8695), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8697), 1,
      anon_sym_bitor,
    ACTIONS(8699), 1,
      anon_sym_bitand,
    ACTIONS(8705), 1,
      anon_sym_QMARK,
    STATE(3592), 1,
      sym_subscript_argument_list,
    STATE(3604), 1,
      sym_argument_list,
    ACTIONS(6885), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8218), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8675), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8677), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8683), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8693), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8701), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8703), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(9237), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(8687), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8689), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [161508] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(9062), 1,
      sym_identifier,
    ACTIONS(9064), 1,
      anon_sym_LPAREN2,
    ACTIONS(9072), 1,
      sym_primitive_type,
    ACTIONS(9142), 1,
      anon_sym_STAR,
    STATE(3408), 1,
      sym_pointer_type_declarator,
    STATE(5318), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(8010), 1,
      sym__type_declarator,
    STATE(10066), 1,
      sym_ms_based_modifier,
    ACTIONS(9068), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(5665), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(6310), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(8262), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(9070), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3406), 4,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
    ACTIONS(63), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [161582] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6440), 1,
      anon_sym_LPAREN2,
    ACTIONS(6879), 1,
      anon_sym_LBRACK,
    ACTIONS(6883), 1,
      anon_sym_DOT,
    ACTIONS(7999), 1,
      anon_sym_COMMA,
    ACTIONS(8513), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8679), 1,
      anon_sym_SLASH,
    ACTIONS(8681), 1,
      anon_sym_PIPE,
    ACTIONS(8685), 1,
      anon_sym_AMP,
    ACTIONS(8691), 1,
      anon_sym_GT_EQ,
    ACTIONS(8695), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8697), 1,
      anon_sym_bitor,
    ACTIONS(8699), 1,
      anon_sym_bitand,
    ACTIONS(8705), 1,
      anon_sym_QMARK,
    ACTIONS(9239), 1,
      anon_sym_RPAREN,
    STATE(3592), 1,
      sym_subscript_argument_list,
    STATE(3604), 1,
      sym_argument_list,
    ACTIONS(6885), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8218), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8675), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8677), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8683), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8693), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8701), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8703), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8687), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8689), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [161676] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(9062), 1,
      sym_identifier,
    ACTIONS(9064), 1,
      anon_sym_LPAREN2,
    ACTIONS(9072), 1,
      sym_primitive_type,
    ACTIONS(9142), 1,
      anon_sym_STAR,
    STATE(3408), 1,
      sym_pointer_type_declarator,
    STATE(5318), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(8010), 1,
      sym__type_declarator,
    STATE(10066), 1,
      sym_ms_based_modifier,
    ACTIONS(9068), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(5077), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(6310), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(8262), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(9070), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3406), 4,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
    ACTIONS(63), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [161750] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6440), 1,
      anon_sym_LPAREN2,
    ACTIONS(6879), 1,
      anon_sym_LBRACK,
    ACTIONS(6883), 1,
      anon_sym_DOT,
    ACTIONS(7999), 1,
      anon_sym_COMMA,
    ACTIONS(8513), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8679), 1,
      anon_sym_SLASH,
    ACTIONS(8681), 1,
      anon_sym_PIPE,
    ACTIONS(8685), 1,
      anon_sym_AMP,
    ACTIONS(8691), 1,
      anon_sym_GT_EQ,
    ACTIONS(8695), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8697), 1,
      anon_sym_bitor,
    ACTIONS(8699), 1,
      anon_sym_bitand,
    ACTIONS(8705), 1,
      anon_sym_QMARK,
    ACTIONS(9241), 1,
      anon_sym_RPAREN,
    STATE(3592), 1,
      sym_subscript_argument_list,
    STATE(3604), 1,
      sym_argument_list,
    ACTIONS(6885), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8218), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8675), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8677), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8683), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8693), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8701), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8703), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8687), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8689), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [161844] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7312), 1,
      anon_sym_LPAREN2,
    ACTIONS(7926), 1,
      anon_sym_LBRACK,
    ACTIONS(7940), 1,
      anon_sym_DOT,
    ACTIONS(8739), 1,
      anon_sym_SLASH,
    ACTIONS(8755), 1,
      anon_sym_LT_LT,
    ACTIONS(8757), 1,
      anon_sym_GT_GT,
    STATE(4835), 1,
      sym_subscript_argument_list,
    STATE(4841), 1,
      sym_argument_list,
    ACTIONS(7942), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8735), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8737), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8767), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6930), 6,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6932), 16,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_GT2,
  [161914] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7312), 1,
      anon_sym_LPAREN2,
    ACTIONS(7926), 1,
      anon_sym_LBRACK,
    ACTIONS(7940), 1,
      anon_sym_DOT,
    ACTIONS(8739), 1,
      anon_sym_SLASH,
    STATE(4835), 1,
      sym_subscript_argument_list,
    STATE(4841), 1,
      sym_argument_list,
    ACTIONS(7942), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8737), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8767), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6930), 9,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
    ACTIONS(6932), 17,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_GT2,
  [161978] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7312), 1,
      anon_sym_LPAREN2,
    ACTIONS(7926), 1,
      anon_sym_LBRACK,
    ACTIONS(7940), 1,
      anon_sym_DOT,
    ACTIONS(8731), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8739), 1,
      anon_sym_SLASH,
    ACTIONS(8745), 1,
      anon_sym_PIPE,
    ACTIONS(8749), 1,
      anon_sym_AMP,
    ACTIONS(8755), 1,
      anon_sym_LT_LT,
    ACTIONS(8757), 1,
      anon_sym_GT_GT,
    ACTIONS(8759), 1,
      anon_sym_QMARK,
    ACTIONS(8761), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8763), 1,
      anon_sym_bitor,
    ACTIONS(8765), 1,
      anon_sym_bitand,
    STATE(4835), 1,
      sym_subscript_argument_list,
    STATE(4841), 1,
      sym_argument_list,
    ACTIONS(7393), 2,
      anon_sym_COMMA,
      anon_sym_GT2,
    ACTIONS(7942), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8735), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8737), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8741), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8743), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8747), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8767), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8751), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8753), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [162070] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(9062), 1,
      sym_identifier,
    ACTIONS(9064), 1,
      anon_sym_LPAREN2,
    ACTIONS(9072), 1,
      sym_primitive_type,
    ACTIONS(9233), 1,
      anon_sym_STAR,
    STATE(3338), 1,
      sym__type_declarator,
    STATE(3408), 1,
      sym_pointer_type_declarator,
    STATE(5318), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(10078), 1,
      sym_ms_based_modifier,
    ACTIONS(9068), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(5077), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(6368), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(8262), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(9070), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3406), 4,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
    ACTIONS(63), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [162144] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7312), 1,
      anon_sym_LPAREN2,
    ACTIONS(7926), 1,
      anon_sym_LBRACK,
    ACTIONS(7940), 1,
      anon_sym_DOT,
    STATE(4835), 1,
      sym_subscript_argument_list,
    STATE(4841), 1,
      sym_argument_list,
    ACTIONS(7942), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6904), 10,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
    ACTIONS(6906), 21,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_GT2,
  [162202] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6440), 1,
      anon_sym_LPAREN2,
    ACTIONS(6879), 1,
      anon_sym_LBRACK,
    ACTIONS(6883), 1,
      anon_sym_DOT,
    ACTIONS(8513), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8679), 1,
      anon_sym_SLASH,
    ACTIONS(8681), 1,
      anon_sym_PIPE,
    ACTIONS(8685), 1,
      anon_sym_AMP,
    ACTIONS(8691), 1,
      anon_sym_GT_EQ,
    ACTIONS(8695), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8697), 1,
      anon_sym_bitor,
    ACTIONS(8699), 1,
      anon_sym_bitand,
    ACTIONS(8705), 1,
      anon_sym_QMARK,
    ACTIONS(9243), 1,
      anon_sym_COMMA,
    ACTIONS(9245), 1,
      anon_sym_RPAREN,
    STATE(3592), 1,
      sym_subscript_argument_list,
    STATE(3604), 1,
      sym_argument_list,
    ACTIONS(6885), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8218), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8675), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8677), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8683), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8693), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8701), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8703), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8687), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8689), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [162296] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2230), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9247), 1,
      anon_sym_LT,
    STATE(6032), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(6077), 1,
      sym_template_argument_list,
    ACTIONS(4211), 3,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_const,
    ACTIONS(8927), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(4219), 27,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [162352] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4379), 1,
      anon_sym_const,
    ACTIONS(4381), 1,
      sym_ms_restrict_modifier,
    ACTIONS(4561), 1,
      anon_sym_LPAREN2,
    ACTIONS(4563), 1,
      anon_sym_STAR,
    ACTIONS(4565), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4567), 1,
      anon_sym_AMP,
    ACTIONS(8509), 1,
      anon_sym_LBRACK,
    STATE(4924), 1,
      sym_parameter_list,
    STATE(5347), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(7422), 1,
      sym__function_declarator_seq,
    STATE(7975), 1,
      sym__abstract_declarator,
    ACTIONS(8529), 2,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(8531), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(5753), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(6336), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(6754), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    STATE(7436), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8527), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [162430] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7983), 1,
      anon_sym_const,
    ACTIONS(8254), 1,
      anon_sym_LPAREN2,
    ACTIONS(8268), 1,
      anon_sym_LBRACK,
    ACTIONS(8292), 1,
      anon_sym_STAR,
    ACTIONS(8294), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8296), 1,
      anon_sym_AMP,
    STATE(4816), 1,
      sym_parameter_list,
    STATE(7268), 1,
      sym__function_declarator_seq,
    STATE(7307), 1,
      sym__abstract_declarator,
    STATE(5879), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(7270), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(6740), 11,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
    ACTIONS(7974), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [162498] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7983), 1,
      anon_sym_const,
    ACTIONS(8254), 1,
      anon_sym_LPAREN2,
    ACTIONS(8268), 1,
      anon_sym_LBRACK,
    ACTIONS(8292), 1,
      anon_sym_STAR,
    ACTIONS(8294), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8296), 1,
      anon_sym_AMP,
    STATE(4816), 1,
      sym_parameter_list,
    STATE(7268), 1,
      sym__function_declarator_seq,
    STATE(7324), 1,
      sym__abstract_declarator,
    STATE(5879), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(7270), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(7974), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
    ACTIONS(8725), 11,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [162566] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7312), 1,
      anon_sym_LPAREN2,
    ACTIONS(7926), 1,
      anon_sym_LBRACK,
    ACTIONS(7940), 1,
      anon_sym_DOT,
    ACTIONS(8731), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8739), 1,
      anon_sym_SLASH,
    ACTIONS(8745), 1,
      anon_sym_PIPE,
    ACTIONS(8749), 1,
      anon_sym_AMP,
    ACTIONS(8755), 1,
      anon_sym_LT_LT,
    ACTIONS(8757), 1,
      anon_sym_GT_GT,
    ACTIONS(8759), 1,
      anon_sym_QMARK,
    ACTIONS(8761), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8763), 1,
      anon_sym_bitor,
    ACTIONS(8765), 1,
      anon_sym_bitand,
    STATE(4835), 1,
      sym_subscript_argument_list,
    STATE(4841), 1,
      sym_argument_list,
    ACTIONS(7389), 2,
      anon_sym_COMMA,
      anon_sym_GT2,
    ACTIONS(7942), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8735), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8737), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8741), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8743), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8747), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8767), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8751), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8753), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [162658] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6440), 1,
      anon_sym_LPAREN2,
    ACTIONS(6879), 1,
      anon_sym_LBRACK,
    ACTIONS(7897), 1,
      anon_sym_DOT,
    ACTIONS(8513), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(9076), 1,
      anon_sym_COMMA,
    ACTIONS(9082), 1,
      anon_sym_SLASH,
    ACTIONS(9088), 1,
      anon_sym_PIPE,
    ACTIONS(9092), 1,
      anon_sym_AMP,
    ACTIONS(9098), 1,
      anon_sym_GT_EQ,
    ACTIONS(9102), 1,
      anon_sym_QMARK,
    ACTIONS(9104), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(9106), 1,
      anon_sym_bitor,
    ACTIONS(9108), 1,
      anon_sym_bitand,
    ACTIONS(9249), 1,
      anon_sym_COLON,
    STATE(3592), 1,
      sym_subscript_argument_list,
    STATE(3604), 1,
      sym_argument_list,
    ACTIONS(7899), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8218), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(9078), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9080), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(9084), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(9086), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(9090), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(9100), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(9094), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(9096), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [162752] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(9062), 1,
      sym_identifier,
    ACTIONS(9064), 1,
      anon_sym_LPAREN2,
    ACTIONS(9072), 1,
      sym_primitive_type,
    ACTIONS(9142), 1,
      anon_sym_STAR,
    STATE(3408), 1,
      sym_pointer_type_declarator,
    STATE(5318), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(7981), 1,
      sym__type_declarator,
    STATE(10066), 1,
      sym_ms_based_modifier,
    ACTIONS(9068), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(5732), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(6329), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(8262), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(9070), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3406), 4,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
    ACTIONS(63), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [162826] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7312), 1,
      anon_sym_LPAREN2,
    ACTIONS(7926), 1,
      anon_sym_LBRACK,
    ACTIONS(7940), 1,
      anon_sym_DOT,
    ACTIONS(8731), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8739), 1,
      anon_sym_SLASH,
    ACTIONS(8745), 1,
      anon_sym_PIPE,
    ACTIONS(8749), 1,
      anon_sym_AMP,
    ACTIONS(8755), 1,
      anon_sym_LT_LT,
    ACTIONS(8757), 1,
      anon_sym_GT_GT,
    ACTIONS(8759), 1,
      anon_sym_QMARK,
    ACTIONS(8761), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8763), 1,
      anon_sym_bitor,
    ACTIONS(8765), 1,
      anon_sym_bitand,
    STATE(4835), 1,
      sym_subscript_argument_list,
    STATE(4841), 1,
      sym_argument_list,
    ACTIONS(7942), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8735), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8737), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8741), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8743), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8747), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8767), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(9060), 2,
      anon_sym_COMMA,
      anon_sym_GT2,
    ACTIONS(8751), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8753), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [162918] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7312), 1,
      anon_sym_LPAREN2,
    ACTIONS(7926), 1,
      anon_sym_LBRACK,
    ACTIONS(7940), 1,
      anon_sym_DOT,
    ACTIONS(8739), 1,
      anon_sym_SLASH,
    ACTIONS(8745), 1,
      anon_sym_PIPE,
    ACTIONS(8749), 1,
      anon_sym_AMP,
    ACTIONS(8755), 1,
      anon_sym_LT_LT,
    ACTIONS(8757), 1,
      anon_sym_GT_GT,
    ACTIONS(8761), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8763), 1,
      anon_sym_bitor,
    ACTIONS(8765), 1,
      anon_sym_bitand,
    STATE(4835), 1,
      sym_subscript_argument_list,
    STATE(4841), 1,
      sym_argument_list,
    ACTIONS(7942), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8735), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8737), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8741), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8743), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8747), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8767), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8751), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7375), 4,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_GT2,
    ACTIONS(8753), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [163006] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6440), 1,
      anon_sym_LPAREN2,
    ACTIONS(6879), 1,
      anon_sym_LBRACK,
    ACTIONS(6883), 1,
      anon_sym_DOT,
    ACTIONS(8513), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8679), 1,
      anon_sym_SLASH,
    ACTIONS(8681), 1,
      anon_sym_PIPE,
    ACTIONS(8685), 1,
      anon_sym_AMP,
    ACTIONS(8691), 1,
      anon_sym_GT_EQ,
    ACTIONS(8695), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8697), 1,
      anon_sym_bitor,
    ACTIONS(8699), 1,
      anon_sym_bitand,
    ACTIONS(8705), 1,
      anon_sym_QMARK,
    STATE(3592), 1,
      sym_subscript_argument_list,
    STATE(3604), 1,
      sym_argument_list,
    ACTIONS(6885), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8218), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8675), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8677), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8683), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8693), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8701), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8703), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(9060), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(8687), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8689), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [163098] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7312), 1,
      anon_sym_LPAREN2,
    ACTIONS(7926), 1,
      anon_sym_LBRACK,
    ACTIONS(7940), 1,
      anon_sym_DOT,
    ACTIONS(8731), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8739), 1,
      anon_sym_SLASH,
    ACTIONS(8745), 1,
      anon_sym_PIPE,
    ACTIONS(8749), 1,
      anon_sym_AMP,
    ACTIONS(8755), 1,
      anon_sym_LT_LT,
    ACTIONS(8757), 1,
      anon_sym_GT_GT,
    ACTIONS(8759), 1,
      anon_sym_QMARK,
    ACTIONS(8761), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8763), 1,
      anon_sym_bitor,
    ACTIONS(8765), 1,
      anon_sym_bitand,
    STATE(4835), 1,
      sym_subscript_argument_list,
    STATE(4841), 1,
      sym_argument_list,
    ACTIONS(7942), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8735), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8737), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8741), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8743), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8747), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8767), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(9060), 2,
      anon_sym_COMMA,
      anon_sym_GT2,
    ACTIONS(8751), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8753), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [163190] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7414), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_literal_suffix,
    ACTIONS(7416), 21,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [163236] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7983), 1,
      anon_sym_const,
    ACTIONS(8254), 1,
      anon_sym_LPAREN2,
    ACTIONS(8268), 1,
      anon_sym_LBRACK,
    ACTIONS(8292), 1,
      anon_sym_STAR,
    ACTIONS(8294), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8296), 1,
      anon_sym_AMP,
    STATE(4816), 1,
      sym_parameter_list,
    STATE(7268), 1,
      sym__function_declarator_seq,
    STATE(7335), 1,
      sym__abstract_declarator,
    STATE(5879), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(7270), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(7395), 11,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
    ACTIONS(7974), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [163304] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4379), 1,
      anon_sym_const,
    ACTIONS(4381), 1,
      sym_ms_restrict_modifier,
    ACTIONS(4561), 1,
      anon_sym_LPAREN2,
    ACTIONS(4563), 1,
      anon_sym_STAR,
    ACTIONS(4565), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4567), 1,
      anon_sym_AMP,
    ACTIONS(8509), 1,
      anon_sym_LBRACK,
    STATE(4924), 1,
      sym_parameter_list,
    STATE(5347), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(7422), 1,
      sym__function_declarator_seq,
    STATE(7983), 1,
      sym__abstract_declarator,
    ACTIONS(8529), 2,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(8531), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(5226), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(6365), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(6740), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    STATE(7436), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8527), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [163382] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6440), 1,
      anon_sym_LPAREN2,
    ACTIONS(6879), 1,
      anon_sym_LBRACK,
    ACTIONS(6883), 1,
      anon_sym_DOT,
    ACTIONS(8513), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8679), 1,
      anon_sym_SLASH,
    ACTIONS(8681), 1,
      anon_sym_PIPE,
    ACTIONS(8685), 1,
      anon_sym_AMP,
    ACTIONS(8691), 1,
      anon_sym_GT_EQ,
    ACTIONS(8695), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8697), 1,
      anon_sym_bitor,
    ACTIONS(8699), 1,
      anon_sym_bitand,
    ACTIONS(8705), 1,
      anon_sym_QMARK,
    STATE(3592), 1,
      sym_subscript_argument_list,
    STATE(3604), 1,
      sym_argument_list,
    ACTIONS(6885), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8218), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8675), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8677), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8683), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8693), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8701), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8703), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(9251), 2,
      anon_sym_COMMA,
      anon_sym_SEMI,
    ACTIONS(8687), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8689), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [163474] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(9062), 1,
      sym_identifier,
    ACTIONS(9064), 1,
      anon_sym_LPAREN2,
    ACTIONS(9072), 1,
      sym_primitive_type,
    ACTIONS(9233), 1,
      anon_sym_STAR,
    STATE(3358), 1,
      sym__type_declarator,
    STATE(3408), 1,
      sym_pointer_type_declarator,
    STATE(5318), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(10078), 1,
      sym_ms_based_modifier,
    ACTIONS(9068), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(5737), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(6341), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(8262), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(9070), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3406), 4,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
    ACTIONS(63), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [163548] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6440), 1,
      anon_sym_LPAREN2,
    ACTIONS(6879), 1,
      anon_sym_LBRACK,
    ACTIONS(7897), 1,
      anon_sym_DOT,
    ACTIONS(9082), 1,
      anon_sym_SLASH,
    ACTIONS(9088), 1,
      anon_sym_PIPE,
    ACTIONS(9092), 1,
      anon_sym_AMP,
    ACTIONS(9098), 1,
      anon_sym_GT_EQ,
    ACTIONS(9104), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(9106), 1,
      anon_sym_bitor,
    ACTIONS(9108), 1,
      anon_sym_bitand,
    STATE(3592), 1,
      sym_subscript_argument_list,
    STATE(3604), 1,
      sym_argument_list,
    ACTIONS(7899), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8218), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(9078), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9080), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(9084), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(9086), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(9090), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(9100), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(9094), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(9096), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(7375), 4,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_QMARK,
  [163636] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(9146), 1,
      sym_identifier,
    ACTIONS(9148), 1,
      anon_sym_LPAREN2,
    ACTIONS(9154), 1,
      sym_primitive_type,
    ACTIONS(9158), 1,
      anon_sym_STAR,
    STATE(5318), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(7662), 1,
      sym_pointer_type_declarator,
    STATE(7944), 1,
      sym__type_declarator,
    STATE(9608), 1,
      sym_ms_based_modifier,
    ACTIONS(9068), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(5672), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(6352), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(8262), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(9152), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(7660), 4,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
    ACTIONS(63), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [163710] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4561), 1,
      anon_sym_LPAREN2,
    ACTIONS(8495), 1,
      anon_sym_STAR,
    ACTIONS(8497), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8499), 1,
      anon_sym_AMP,
    ACTIONS(8509), 1,
      anon_sym_LBRACK,
    ACTIONS(8511), 1,
      anon_sym_const,
    ACTIONS(9181), 1,
      sym_auto,
    ACTIONS(9183), 1,
      anon_sym_decltype,
    STATE(4866), 1,
      sym_parameter_list,
    STATE(6377), 1,
      sym_decltype_auto,
    STATE(7422), 1,
      sym__function_declarator_seq,
    STATE(7588), 1,
      sym__abstract_declarator,
    STATE(6083), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(7436), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8533), 8,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
    ACTIONS(8501), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [163784] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6440), 1,
      anon_sym_LPAREN2,
    ACTIONS(6879), 1,
      anon_sym_LBRACK,
    ACTIONS(7897), 1,
      anon_sym_DOT,
    ACTIONS(8513), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(9076), 1,
      anon_sym_COMMA,
    ACTIONS(9082), 1,
      anon_sym_SLASH,
    ACTIONS(9088), 1,
      anon_sym_PIPE,
    ACTIONS(9092), 1,
      anon_sym_AMP,
    ACTIONS(9098), 1,
      anon_sym_GT_EQ,
    ACTIONS(9102), 1,
      anon_sym_QMARK,
    ACTIONS(9104), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(9106), 1,
      anon_sym_bitor,
    ACTIONS(9108), 1,
      anon_sym_bitand,
    ACTIONS(9253), 1,
      anon_sym_COLON,
    STATE(3592), 1,
      sym_subscript_argument_list,
    STATE(3604), 1,
      sym_argument_list,
    ACTIONS(7899), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8218), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(9078), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9080), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(9084), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(9086), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(9090), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(9100), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(9094), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(9096), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [163878] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2230), 1,
      anon_sym_COLON_COLON,
    ACTIONS(2297), 1,
      anon_sym_LT,
    STATE(3017), 1,
      sym_template_argument_list,
    ACTIONS(2224), 4,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(2226), 31,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_or,
      anon_sym_and,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [163930] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6440), 1,
      anon_sym_LPAREN2,
    ACTIONS(6879), 1,
      anon_sym_LBRACK,
    ACTIONS(6883), 1,
      anon_sym_DOT,
    ACTIONS(8513), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8679), 1,
      anon_sym_SLASH,
    ACTIONS(8681), 1,
      anon_sym_PIPE,
    ACTIONS(8685), 1,
      anon_sym_AMP,
    ACTIONS(8691), 1,
      anon_sym_GT_EQ,
    ACTIONS(8695), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8697), 1,
      anon_sym_bitor,
    ACTIONS(8699), 1,
      anon_sym_bitand,
    ACTIONS(8705), 1,
      anon_sym_QMARK,
    ACTIONS(9255), 1,
      anon_sym_COMMA,
    ACTIONS(9257), 1,
      anon_sym_RPAREN,
    STATE(3592), 1,
      sym_subscript_argument_list,
    STATE(3604), 1,
      sym_argument_list,
    ACTIONS(6885), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8218), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8675), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8677), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8683), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8693), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8701), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8703), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8687), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8689), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [164024] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6440), 1,
      anon_sym_LPAREN2,
    ACTIONS(6879), 1,
      anon_sym_LBRACK,
    ACTIONS(7897), 1,
      anon_sym_DOT,
    ACTIONS(8513), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(9082), 1,
      anon_sym_SLASH,
    ACTIONS(9088), 1,
      anon_sym_PIPE,
    ACTIONS(9092), 1,
      anon_sym_AMP,
    ACTIONS(9098), 1,
      anon_sym_GT_EQ,
    ACTIONS(9102), 1,
      anon_sym_QMARK,
    ACTIONS(9104), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(9106), 1,
      anon_sym_bitor,
    ACTIONS(9108), 1,
      anon_sym_bitand,
    STATE(3592), 1,
      sym_subscript_argument_list,
    STATE(3604), 1,
      sym_argument_list,
    ACTIONS(7393), 2,
      anon_sym_COMMA,
      anon_sym_COLON,
    ACTIONS(7899), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8218), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(9078), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9080), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(9084), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(9086), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(9090), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(9100), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(9094), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(9096), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [164116] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6440), 1,
      anon_sym_LPAREN2,
    ACTIONS(6879), 1,
      anon_sym_LBRACK,
    ACTIONS(7897), 1,
      anon_sym_DOT,
    ACTIONS(9082), 1,
      anon_sym_SLASH,
    ACTIONS(9088), 1,
      anon_sym_PIPE,
    ACTIONS(9092), 1,
      anon_sym_AMP,
    ACTIONS(9098), 1,
      anon_sym_GT_EQ,
    ACTIONS(9104), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(9106), 1,
      anon_sym_bitor,
    ACTIONS(9108), 1,
      anon_sym_bitand,
    STATE(3592), 1,
      sym_subscript_argument_list,
    STATE(3604), 1,
      sym_argument_list,
    ACTIONS(7899), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8218), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(9078), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9080), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(9084), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(9086), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(9090), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(9100), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(9094), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(9096), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(7322), 4,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_QMARK,
  [164204] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6440), 1,
      anon_sym_LPAREN2,
    ACTIONS(6879), 1,
      anon_sym_LBRACK,
    ACTIONS(7897), 1,
      anon_sym_DOT,
    ACTIONS(8513), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(9082), 1,
      anon_sym_SLASH,
    ACTIONS(9088), 1,
      anon_sym_PIPE,
    ACTIONS(9092), 1,
      anon_sym_AMP,
    ACTIONS(9098), 1,
      anon_sym_GT_EQ,
    ACTIONS(9102), 1,
      anon_sym_QMARK,
    ACTIONS(9104), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(9106), 1,
      anon_sym_bitor,
    ACTIONS(9108), 1,
      anon_sym_bitand,
    STATE(3592), 1,
      sym_subscript_argument_list,
    STATE(3604), 1,
      sym_argument_list,
    ACTIONS(7389), 2,
      anon_sym_COMMA,
      anon_sym_COLON,
    ACTIONS(7899), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8218), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(9078), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9080), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(9084), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(9086), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(9090), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(9100), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(9094), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(9096), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [164296] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6440), 1,
      anon_sym_LPAREN2,
    ACTIONS(6879), 1,
      anon_sym_LBRACK,
    ACTIONS(7897), 1,
      anon_sym_DOT,
    ACTIONS(9082), 1,
      anon_sym_SLASH,
    ACTIONS(9088), 1,
      anon_sym_PIPE,
    ACTIONS(9092), 1,
      anon_sym_AMP,
    ACTIONS(9098), 1,
      anon_sym_GT_EQ,
    ACTIONS(9104), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(9106), 1,
      anon_sym_bitor,
    ACTIONS(9108), 1,
      anon_sym_bitand,
    STATE(3592), 1,
      sym_subscript_argument_list,
    STATE(3604), 1,
      sym_argument_list,
    ACTIONS(7899), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8218), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(9078), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9080), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(9084), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(9086), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(9090), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(9100), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(9094), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(9096), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(7385), 4,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_QMARK,
  [164384] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6440), 1,
      anon_sym_LPAREN2,
    ACTIONS(6879), 1,
      anon_sym_LBRACK,
    ACTIONS(7897), 1,
      anon_sym_DOT,
    ACTIONS(8513), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(9076), 1,
      anon_sym_COMMA,
    ACTIONS(9082), 1,
      anon_sym_SLASH,
    ACTIONS(9088), 1,
      anon_sym_PIPE,
    ACTIONS(9092), 1,
      anon_sym_AMP,
    ACTIONS(9098), 1,
      anon_sym_GT_EQ,
    ACTIONS(9102), 1,
      anon_sym_QMARK,
    ACTIONS(9104), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(9106), 1,
      anon_sym_bitor,
    ACTIONS(9108), 1,
      anon_sym_bitand,
    ACTIONS(9259), 1,
      anon_sym_COLON,
    STATE(3592), 1,
      sym_subscript_argument_list,
    STATE(3604), 1,
      sym_argument_list,
    ACTIONS(7899), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8218), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(9078), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9080), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(9084), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(9086), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(9090), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(9100), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(9094), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(9096), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [164478] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4379), 1,
      anon_sym_const,
    ACTIONS(4381), 1,
      sym_ms_restrict_modifier,
    ACTIONS(4561), 1,
      anon_sym_LPAREN2,
    ACTIONS(8509), 1,
      anon_sym_LBRACK,
    ACTIONS(9261), 1,
      anon_sym_STAR,
    ACTIONS(9263), 1,
      anon_sym_AMP_AMP,
    ACTIONS(9265), 1,
      anon_sym_AMP,
    STATE(5027), 1,
      sym_parameter_list,
    STATE(5347), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(7422), 1,
      sym__function_declarator_seq,
    STATE(7961), 1,
      sym__abstract_declarator,
    ACTIONS(8529), 2,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(8531), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(5769), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(6388), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(6754), 3,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_GT2,
    STATE(7436), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8527), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [164556] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6440), 1,
      anon_sym_LPAREN2,
    ACTIONS(6879), 1,
      anon_sym_LBRACK,
    ACTIONS(6883), 1,
      anon_sym_DOT,
    ACTIONS(7999), 1,
      anon_sym_COMMA,
    ACTIONS(8513), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8679), 1,
      anon_sym_SLASH,
    ACTIONS(8681), 1,
      anon_sym_PIPE,
    ACTIONS(8685), 1,
      anon_sym_AMP,
    ACTIONS(8691), 1,
      anon_sym_GT_EQ,
    ACTIONS(8695), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8697), 1,
      anon_sym_bitor,
    ACTIONS(8699), 1,
      anon_sym_bitand,
    ACTIONS(8705), 1,
      anon_sym_QMARK,
    ACTIONS(9267), 1,
      anon_sym_SEMI,
    STATE(3592), 1,
      sym_subscript_argument_list,
    STATE(3604), 1,
      sym_argument_list,
    ACTIONS(6885), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8218), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8675), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8677), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8683), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8693), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8701), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8703), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8687), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8689), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [164650] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4379), 1,
      anon_sym_const,
    ACTIONS(4381), 1,
      sym_ms_restrict_modifier,
    ACTIONS(4561), 1,
      anon_sym_LPAREN2,
    ACTIONS(8509), 1,
      anon_sym_LBRACK,
    ACTIONS(9261), 1,
      anon_sym_STAR,
    ACTIONS(9263), 1,
      anon_sym_AMP_AMP,
    ACTIONS(9265), 1,
      anon_sym_AMP,
    STATE(5027), 1,
      sym_parameter_list,
    STATE(5347), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(7422), 1,
      sym__function_declarator_seq,
    STATE(7979), 1,
      sym__abstract_declarator,
    ACTIONS(8529), 2,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(8531), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(5226), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(6386), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(6740), 3,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_GT2,
    STATE(7436), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8527), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [164728] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7312), 1,
      anon_sym_LPAREN2,
    ACTIONS(7926), 1,
      anon_sym_LBRACK,
    ACTIONS(7940), 1,
      anon_sym_DOT,
    ACTIONS(8739), 1,
      anon_sym_SLASH,
    ACTIONS(8745), 1,
      anon_sym_PIPE,
    ACTIONS(8749), 1,
      anon_sym_AMP,
    ACTIONS(8755), 1,
      anon_sym_LT_LT,
    ACTIONS(8757), 1,
      anon_sym_GT_GT,
    ACTIONS(8761), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8763), 1,
      anon_sym_bitor,
    ACTIONS(8765), 1,
      anon_sym_bitand,
    STATE(4835), 1,
      sym_subscript_argument_list,
    STATE(4841), 1,
      sym_argument_list,
    ACTIONS(7942), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8735), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8737), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8741), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8743), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8747), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8767), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8751), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7371), 4,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_GT2,
    ACTIONS(8753), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [164816] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8493), 1,
      anon_sym_LBRACK,
    STATE(5939), 1,
      sym_new_declarator,
    ACTIONS(6837), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(6839), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACE,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [164866] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6440), 1,
      anon_sym_LPAREN2,
    ACTIONS(6879), 1,
      anon_sym_LBRACK,
    ACTIONS(7897), 1,
      anon_sym_DOT,
    ACTIONS(8513), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(9076), 1,
      anon_sym_COMMA,
    ACTIONS(9082), 1,
      anon_sym_SLASH,
    ACTIONS(9088), 1,
      anon_sym_PIPE,
    ACTIONS(9092), 1,
      anon_sym_AMP,
    ACTIONS(9098), 1,
      anon_sym_GT_EQ,
    ACTIONS(9102), 1,
      anon_sym_QMARK,
    ACTIONS(9104), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(9106), 1,
      anon_sym_bitor,
    ACTIONS(9108), 1,
      anon_sym_bitand,
    ACTIONS(9269), 1,
      anon_sym_COLON,
    STATE(3592), 1,
      sym_subscript_argument_list,
    STATE(3604), 1,
      sym_argument_list,
    ACTIONS(7899), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8218), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(9078), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9080), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(9084), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(9086), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(9090), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(9100), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(9094), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(9096), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [164960] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6440), 1,
      anon_sym_LPAREN2,
    ACTIONS(6879), 1,
      anon_sym_LBRACK,
    ACTIONS(7897), 1,
      anon_sym_DOT,
    ACTIONS(8513), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(9076), 1,
      anon_sym_COMMA,
    ACTIONS(9082), 1,
      anon_sym_SLASH,
    ACTIONS(9088), 1,
      anon_sym_PIPE,
    ACTIONS(9092), 1,
      anon_sym_AMP,
    ACTIONS(9098), 1,
      anon_sym_GT_EQ,
    ACTIONS(9102), 1,
      anon_sym_QMARK,
    ACTIONS(9104), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(9106), 1,
      anon_sym_bitor,
    ACTIONS(9108), 1,
      anon_sym_bitand,
    ACTIONS(9271), 1,
      anon_sym_COLON,
    STATE(3592), 1,
      sym_subscript_argument_list,
    STATE(3604), 1,
      sym_argument_list,
    ACTIONS(7899), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8218), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(9078), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9080), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(9084), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(9086), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(9090), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(9100), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(9094), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(9096), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [165054] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2230), 1,
      anon_sym_COLON_COLON,
    ACTIONS(2297), 1,
      anon_sym_LT,
    STATE(3017), 1,
      sym_template_argument_list,
    ACTIONS(2232), 4,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(2234), 31,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_or,
      anon_sym_and,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [165106] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6440), 1,
      anon_sym_LPAREN2,
    ACTIONS(6879), 1,
      anon_sym_LBRACK,
    ACTIONS(7897), 1,
      anon_sym_DOT,
    ACTIONS(8513), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(9076), 1,
      anon_sym_COMMA,
    ACTIONS(9082), 1,
      anon_sym_SLASH,
    ACTIONS(9088), 1,
      anon_sym_PIPE,
    ACTIONS(9092), 1,
      anon_sym_AMP,
    ACTIONS(9098), 1,
      anon_sym_GT_EQ,
    ACTIONS(9102), 1,
      anon_sym_QMARK,
    ACTIONS(9104), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(9106), 1,
      anon_sym_bitor,
    ACTIONS(9108), 1,
      anon_sym_bitand,
    ACTIONS(9273), 1,
      anon_sym_COLON,
    STATE(3592), 1,
      sym_subscript_argument_list,
    STATE(3604), 1,
      sym_argument_list,
    ACTIONS(7899), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8218), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(9078), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9080), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(9084), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(9086), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(9090), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(9100), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(9094), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(9096), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [165200] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(9217), 1,
      sym_identifier,
    ACTIONS(9219), 1,
      anon_sym_LPAREN2,
    ACTIONS(9221), 1,
      anon_sym_STAR,
    ACTIONS(9225), 1,
      sym_primitive_type,
    STATE(3993), 1,
      sym__type_declarator,
    STATE(4414), 1,
      sym_pointer_type_declarator,
    STATE(5318), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(9759), 1,
      sym_ms_based_modifier,
    ACTIONS(9068), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(5077), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(6287), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(8262), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(9223), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(4412), 4,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
    ACTIONS(63), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [165274] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6440), 1,
      anon_sym_LPAREN2,
    ACTIONS(6879), 1,
      anon_sym_LBRACK,
    ACTIONS(7897), 1,
      anon_sym_DOT,
    ACTIONS(9082), 1,
      anon_sym_SLASH,
    STATE(3592), 1,
      sym_subscript_argument_list,
    STATE(3604), 1,
      sym_argument_list,
    ACTIONS(7899), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8218), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(9078), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9080), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(6930), 5,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6932), 19,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [165340] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6440), 1,
      anon_sym_LPAREN2,
    ACTIONS(6879), 1,
      anon_sym_LBRACK,
    ACTIONS(6883), 1,
      anon_sym_DOT,
    ACTIONS(8513), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8679), 1,
      anon_sym_SLASH,
    ACTIONS(8681), 1,
      anon_sym_PIPE,
    ACTIONS(8685), 1,
      anon_sym_AMP,
    ACTIONS(8691), 1,
      anon_sym_GT_EQ,
    ACTIONS(8695), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8697), 1,
      anon_sym_bitor,
    ACTIONS(8699), 1,
      anon_sym_bitand,
    ACTIONS(8705), 1,
      anon_sym_QMARK,
    STATE(3592), 1,
      sym_subscript_argument_list,
    STATE(3604), 1,
      sym_argument_list,
    ACTIONS(6885), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8218), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8675), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8677), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8683), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8693), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8701), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8703), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8895), 2,
      anon_sym_COMMA,
      anon_sym_SEMI,
    ACTIONS(8687), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8689), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [165432] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6440), 1,
      anon_sym_LPAREN2,
    ACTIONS(6879), 1,
      anon_sym_LBRACK,
    ACTIONS(7897), 1,
      anon_sym_DOT,
    ACTIONS(9082), 1,
      anon_sym_SLASH,
    ACTIONS(9104), 1,
      anon_sym_LT_EQ_GT,
    STATE(3592), 1,
      sym_subscript_argument_list,
    STATE(3604), 1,
      sym_argument_list,
    ACTIONS(7899), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8218), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(9078), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9080), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(9100), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6930), 5,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6932), 16,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [165502] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6440), 1,
      anon_sym_LPAREN2,
    ACTIONS(6879), 1,
      anon_sym_LBRACK,
    ACTIONS(6883), 1,
      anon_sym_DOT,
    ACTIONS(7999), 1,
      anon_sym_COMMA,
    ACTIONS(8513), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8679), 1,
      anon_sym_SLASH,
    ACTIONS(8681), 1,
      anon_sym_PIPE,
    ACTIONS(8685), 1,
      anon_sym_AMP,
    ACTIONS(8691), 1,
      anon_sym_GT_EQ,
    ACTIONS(8695), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8697), 1,
      anon_sym_bitor,
    ACTIONS(8699), 1,
      anon_sym_bitand,
    ACTIONS(8705), 1,
      anon_sym_QMARK,
    ACTIONS(9275), 1,
      anon_sym_RPAREN,
    STATE(3592), 1,
      sym_subscript_argument_list,
    STATE(3604), 1,
      sym_argument_list,
    ACTIONS(6885), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8218), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8675), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8677), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8683), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8693), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8701), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8703), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8687), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8689), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [165596] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(9217), 1,
      sym_identifier,
    ACTIONS(9219), 1,
      anon_sym_LPAREN2,
    ACTIONS(9221), 1,
      anon_sym_STAR,
    ACTIONS(9225), 1,
      sym_primitive_type,
    STATE(4026), 1,
      sym__type_declarator,
    STATE(4414), 1,
      sym_pointer_type_declarator,
    STATE(5318), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(9759), 1,
      sym_ms_based_modifier,
    ACTIONS(9068), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(5077), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(6360), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(8262), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(9223), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(4412), 4,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
    ACTIONS(63), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [165670] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6440), 1,
      anon_sym_LPAREN2,
    ACTIONS(6879), 1,
      anon_sym_LBRACK,
    ACTIONS(7897), 1,
      anon_sym_DOT,
    ACTIONS(8513), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(9076), 1,
      anon_sym_COMMA,
    ACTIONS(9082), 1,
      anon_sym_SLASH,
    ACTIONS(9088), 1,
      anon_sym_PIPE,
    ACTIONS(9092), 1,
      anon_sym_AMP,
    ACTIONS(9098), 1,
      anon_sym_GT_EQ,
    ACTIONS(9102), 1,
      anon_sym_QMARK,
    ACTIONS(9104), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(9106), 1,
      anon_sym_bitor,
    ACTIONS(9108), 1,
      anon_sym_bitand,
    ACTIONS(9277), 1,
      anon_sym_COLON,
    STATE(3592), 1,
      sym_subscript_argument_list,
    STATE(3604), 1,
      sym_argument_list,
    ACTIONS(7899), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8218), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(9078), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9080), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(9084), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(9086), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(9090), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(9100), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(9094), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(9096), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [165764] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6440), 1,
      anon_sym_LPAREN2,
    ACTIONS(6879), 1,
      anon_sym_LBRACK,
    ACTIONS(7897), 1,
      anon_sym_DOT,
    ACTIONS(9082), 1,
      anon_sym_SLASH,
    ACTIONS(9098), 1,
      anon_sym_GT_EQ,
    ACTIONS(9104), 1,
      anon_sym_LT_EQ_GT,
    STATE(3592), 1,
      sym_subscript_argument_list,
    STATE(3604), 1,
      sym_argument_list,
    ACTIONS(6930), 2,
      anon_sym_PIPE,
      anon_sym_AMP,
    ACTIONS(7899), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8218), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(9078), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9080), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(9100), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(9096), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6932), 15,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [165838] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6440), 1,
      anon_sym_LPAREN2,
    ACTIONS(6879), 1,
      anon_sym_LBRACK,
    ACTIONS(7897), 1,
      anon_sym_DOT,
    ACTIONS(9082), 1,
      anon_sym_SLASH,
    ACTIONS(9098), 1,
      anon_sym_GT_EQ,
    ACTIONS(9104), 1,
      anon_sym_LT_EQ_GT,
    STATE(3592), 1,
      sym_subscript_argument_list,
    STATE(3604), 1,
      sym_argument_list,
    ACTIONS(6930), 2,
      anon_sym_PIPE,
      anon_sym_AMP,
    ACTIONS(7899), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8218), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(9078), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9080), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(9100), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(9094), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(9096), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6932), 12,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
  [165914] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7312), 1,
      anon_sym_LPAREN2,
    ACTIONS(7926), 1,
      anon_sym_LBRACK,
    ACTIONS(7940), 1,
      anon_sym_DOT,
    ACTIONS(8731), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8739), 1,
      anon_sym_SLASH,
    ACTIONS(8745), 1,
      anon_sym_PIPE,
    ACTIONS(8749), 1,
      anon_sym_AMP,
    ACTIONS(8755), 1,
      anon_sym_LT_LT,
    ACTIONS(8757), 1,
      anon_sym_GT_GT,
    ACTIONS(8759), 1,
      anon_sym_QMARK,
    ACTIONS(8761), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8763), 1,
      anon_sym_bitor,
    ACTIONS(8765), 1,
      anon_sym_bitand,
    STATE(4835), 1,
      sym_subscript_argument_list,
    STATE(4841), 1,
      sym_argument_list,
    ACTIONS(7146), 2,
      anon_sym_COMMA,
      anon_sym_GT2,
    ACTIONS(7942), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8735), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8737), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8741), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8743), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8747), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8767), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8751), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8753), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [166006] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7312), 1,
      anon_sym_LPAREN2,
    ACTIONS(7926), 1,
      anon_sym_LBRACK,
    ACTIONS(7940), 1,
      anon_sym_DOT,
    ACTIONS(8739), 1,
      anon_sym_SLASH,
    STATE(4835), 1,
      sym_subscript_argument_list,
    STATE(4841), 1,
      sym_argument_list,
    ACTIONS(7942), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8735), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8737), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8767), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6930), 7,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
    ACTIONS(6932), 17,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_GT2,
  [166072] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(9217), 1,
      sym_identifier,
    ACTIONS(9219), 1,
      anon_sym_LPAREN2,
    ACTIONS(9221), 1,
      anon_sym_STAR,
    ACTIONS(9225), 1,
      sym_primitive_type,
    STATE(3993), 1,
      sym__type_declarator,
    STATE(4414), 1,
      sym_pointer_type_declarator,
    STATE(5318), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(9759), 1,
      sym_ms_based_modifier,
    ACTIONS(9068), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(5781), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(6287), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(8262), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(9223), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(4412), 4,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
    ACTIONS(63), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [166146] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6440), 1,
      anon_sym_LPAREN2,
    ACTIONS(6879), 1,
      anon_sym_LBRACK,
    ACTIONS(6930), 1,
      anon_sym_PIPE,
    ACTIONS(7897), 1,
      anon_sym_DOT,
    ACTIONS(9082), 1,
      anon_sym_SLASH,
    ACTIONS(9092), 1,
      anon_sym_AMP,
    ACTIONS(9098), 1,
      anon_sym_GT_EQ,
    ACTIONS(9104), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(9108), 1,
      anon_sym_bitand,
    STATE(3592), 1,
      sym_subscript_argument_list,
    STATE(3604), 1,
      sym_argument_list,
    ACTIONS(7899), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8218), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(9078), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9080), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(9100), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(9094), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(9096), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6932), 11,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
  [166226] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6440), 1,
      anon_sym_LPAREN2,
    ACTIONS(6879), 1,
      anon_sym_LBRACK,
    ACTIONS(7897), 1,
      anon_sym_DOT,
    ACTIONS(9082), 1,
      anon_sym_SLASH,
    STATE(3592), 1,
      sym_subscript_argument_list,
    STATE(3604), 1,
      sym_argument_list,
    ACTIONS(7899), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8218), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(9078), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9080), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(9100), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6930), 5,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6932), 17,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [166294] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6440), 1,
      anon_sym_LPAREN2,
    ACTIONS(6879), 1,
      anon_sym_LBRACK,
    ACTIONS(7897), 1,
      anon_sym_DOT,
    ACTIONS(9082), 1,
      anon_sym_SLASH,
    ACTIONS(9088), 1,
      anon_sym_PIPE,
    ACTIONS(9092), 1,
      anon_sym_AMP,
    ACTIONS(9098), 1,
      anon_sym_GT_EQ,
    ACTIONS(9104), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(9106), 1,
      anon_sym_bitor,
    ACTIONS(9108), 1,
      anon_sym_bitand,
    STATE(3592), 1,
      sym_subscript_argument_list,
    STATE(3604), 1,
      sym_argument_list,
    ACTIONS(7899), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8218), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(9078), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9080), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(9090), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(9100), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(9094), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(9096), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6932), 8,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_or,
      anon_sym_and,
  [166378] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6440), 1,
      anon_sym_LPAREN2,
    ACTIONS(6879), 1,
      anon_sym_LBRACK,
    ACTIONS(7897), 1,
      anon_sym_DOT,
    ACTIONS(9082), 1,
      anon_sym_SLASH,
    ACTIONS(9088), 1,
      anon_sym_PIPE,
    ACTIONS(9092), 1,
      anon_sym_AMP,
    ACTIONS(9098), 1,
      anon_sym_GT_EQ,
    ACTIONS(9104), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(9106), 1,
      anon_sym_bitor,
    ACTIONS(9108), 1,
      anon_sym_bitand,
    STATE(3592), 1,
      sym_subscript_argument_list,
    STATE(3604), 1,
      sym_argument_list,
    ACTIONS(7899), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8218), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(9078), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9080), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(9086), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(9090), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(9100), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(9094), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(9096), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6932), 6,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_or,
  [166464] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6440), 1,
      anon_sym_LPAREN2,
    ACTIONS(6879), 1,
      anon_sym_LBRACK,
    ACTIONS(6883), 1,
      anon_sym_DOT,
    ACTIONS(7999), 1,
      anon_sym_COMMA,
    ACTIONS(8513), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8679), 1,
      anon_sym_SLASH,
    ACTIONS(8681), 1,
      anon_sym_PIPE,
    ACTIONS(8685), 1,
      anon_sym_AMP,
    ACTIONS(8691), 1,
      anon_sym_GT_EQ,
    ACTIONS(8695), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8697), 1,
      anon_sym_bitor,
    ACTIONS(8699), 1,
      anon_sym_bitand,
    ACTIONS(8705), 1,
      anon_sym_QMARK,
    ACTIONS(9279), 1,
      anon_sym_SEMI,
    STATE(3592), 1,
      sym_subscript_argument_list,
    STATE(3604), 1,
      sym_argument_list,
    ACTIONS(6885), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8218), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8675), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8677), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8683), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8693), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8701), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8703), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8687), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8689), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [166558] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7312), 1,
      anon_sym_LPAREN2,
    ACTIONS(7926), 1,
      anon_sym_LBRACK,
    ACTIONS(7940), 1,
      anon_sym_DOT,
    ACTIONS(8739), 1,
      anon_sym_SLASH,
    ACTIONS(8755), 1,
      anon_sym_LT_LT,
    ACTIONS(8757), 1,
      anon_sym_GT_GT,
    ACTIONS(8761), 1,
      anon_sym_LT_EQ_GT,
    STATE(4835), 1,
      sym_subscript_argument_list,
    STATE(4841), 1,
      sym_argument_list,
    ACTIONS(7942), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8735), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8737), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8767), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6930), 6,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6932), 15,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_GT2,
  [166630] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(9062), 1,
      sym_identifier,
    ACTIONS(9064), 1,
      anon_sym_LPAREN2,
    ACTIONS(9072), 1,
      sym_primitive_type,
    ACTIONS(9233), 1,
      anon_sym_STAR,
    STATE(3368), 1,
      sym__type_declarator,
    STATE(3408), 1,
      sym_pointer_type_declarator,
    STATE(5318), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(10078), 1,
      sym_ms_based_modifier,
    ACTIONS(9068), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(5077), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(6320), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(8262), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(9070), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3406), 4,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
    ACTIONS(63), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [166704] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6440), 1,
      anon_sym_LPAREN2,
    ACTIONS(6879), 1,
      anon_sym_LBRACK,
    ACTIONS(7897), 1,
      anon_sym_DOT,
    ACTIONS(9082), 1,
      anon_sym_SLASH,
    STATE(3592), 1,
      sym_subscript_argument_list,
    STATE(3604), 1,
      sym_argument_list,
    ACTIONS(7899), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8218), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(9080), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(6930), 7,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6932), 19,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [166768] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6440), 1,
      anon_sym_LPAREN2,
    ACTIONS(6879), 1,
      anon_sym_LBRACK,
    ACTIONS(7897), 1,
      anon_sym_DOT,
    ACTIONS(9082), 1,
      anon_sym_SLASH,
    ACTIONS(9088), 1,
      anon_sym_PIPE,
    ACTIONS(9092), 1,
      anon_sym_AMP,
    ACTIONS(9098), 1,
      anon_sym_GT_EQ,
    ACTIONS(9104), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(9106), 1,
      anon_sym_bitor,
    ACTIONS(9108), 1,
      anon_sym_bitand,
    STATE(3592), 1,
      sym_subscript_argument_list,
    STATE(3604), 1,
      sym_argument_list,
    ACTIONS(7899), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8218), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(9078), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9080), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(9084), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(9086), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(9090), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(9100), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(9094), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(9096), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(7371), 4,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_QMARK,
  [166856] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6440), 1,
      anon_sym_LPAREN2,
    ACTIONS(6879), 1,
      anon_sym_LBRACK,
    ACTIONS(6883), 1,
      anon_sym_DOT,
    ACTIONS(8513), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8679), 1,
      anon_sym_SLASH,
    ACTIONS(8681), 1,
      anon_sym_PIPE,
    ACTIONS(8685), 1,
      anon_sym_AMP,
    ACTIONS(8691), 1,
      anon_sym_GT_EQ,
    ACTIONS(8695), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8697), 1,
      anon_sym_bitor,
    ACTIONS(8699), 1,
      anon_sym_bitand,
    ACTIONS(8705), 1,
      anon_sym_QMARK,
    ACTIONS(9281), 1,
      anon_sym_COMMA,
    ACTIONS(9283), 1,
      anon_sym_RPAREN,
    STATE(3592), 1,
      sym_subscript_argument_list,
    STATE(3604), 1,
      sym_argument_list,
    ACTIONS(6885), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8218), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8675), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8677), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8683), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8693), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8701), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8703), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8687), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8689), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [166950] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6440), 1,
      anon_sym_LPAREN2,
    ACTIONS(6879), 1,
      anon_sym_LBRACK,
    ACTIONS(6883), 1,
      anon_sym_DOT,
    ACTIONS(7999), 1,
      anon_sym_COMMA,
    ACTIONS(8513), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8679), 1,
      anon_sym_SLASH,
    ACTIONS(8681), 1,
      anon_sym_PIPE,
    ACTIONS(8685), 1,
      anon_sym_AMP,
    ACTIONS(8691), 1,
      anon_sym_GT_EQ,
    ACTIONS(8695), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8697), 1,
      anon_sym_bitor,
    ACTIONS(8699), 1,
      anon_sym_bitand,
    ACTIONS(8705), 1,
      anon_sym_QMARK,
    ACTIONS(9285), 1,
      anon_sym_SEMI,
    STATE(3592), 1,
      sym_subscript_argument_list,
    STATE(3604), 1,
      sym_argument_list,
    ACTIONS(6885), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8218), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8675), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8677), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8683), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8693), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8701), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8703), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8687), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8689), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [167044] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6440), 1,
      anon_sym_LPAREN2,
    ACTIONS(6879), 1,
      anon_sym_LBRACK,
    ACTIONS(7897), 1,
      anon_sym_DOT,
    ACTIONS(8513), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(9076), 1,
      anon_sym_COMMA,
    ACTIONS(9082), 1,
      anon_sym_SLASH,
    ACTIONS(9088), 1,
      anon_sym_PIPE,
    ACTIONS(9092), 1,
      anon_sym_AMP,
    ACTIONS(9098), 1,
      anon_sym_GT_EQ,
    ACTIONS(9102), 1,
      anon_sym_QMARK,
    ACTIONS(9104), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(9106), 1,
      anon_sym_bitor,
    ACTIONS(9108), 1,
      anon_sym_bitand,
    ACTIONS(9287), 1,
      anon_sym_COLON,
    STATE(3592), 1,
      sym_subscript_argument_list,
    STATE(3604), 1,
      sym_argument_list,
    ACTIONS(7899), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8218), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(9078), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9080), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(9084), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(9086), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(9090), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(9100), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(9094), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(9096), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [167138] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6440), 1,
      anon_sym_LPAREN2,
    ACTIONS(6879), 1,
      anon_sym_LBRACK,
    ACTIONS(6883), 1,
      anon_sym_DOT,
    ACTIONS(7999), 1,
      anon_sym_COMMA,
    ACTIONS(8513), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8679), 1,
      anon_sym_SLASH,
    ACTIONS(8681), 1,
      anon_sym_PIPE,
    ACTIONS(8685), 1,
      anon_sym_AMP,
    ACTIONS(8691), 1,
      anon_sym_GT_EQ,
    ACTIONS(8695), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8697), 1,
      anon_sym_bitor,
    ACTIONS(8699), 1,
      anon_sym_bitand,
    ACTIONS(8705), 1,
      anon_sym_QMARK,
    ACTIONS(9289), 1,
      anon_sym_SEMI,
    STATE(3592), 1,
      sym_subscript_argument_list,
    STATE(3604), 1,
      sym_argument_list,
    ACTIONS(6885), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8218), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8675), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8677), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8683), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8693), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8701), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8703), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8687), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8689), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [167232] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6440), 1,
      anon_sym_LPAREN2,
    ACTIONS(6879), 1,
      anon_sym_LBRACK,
    ACTIONS(7897), 1,
      anon_sym_DOT,
    ACTIONS(8513), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(9082), 1,
      anon_sym_SLASH,
    ACTIONS(9088), 1,
      anon_sym_PIPE,
    ACTIONS(9092), 1,
      anon_sym_AMP,
    ACTIONS(9098), 1,
      anon_sym_GT_EQ,
    ACTIONS(9102), 1,
      anon_sym_QMARK,
    ACTIONS(9104), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(9106), 1,
      anon_sym_bitor,
    ACTIONS(9108), 1,
      anon_sym_bitand,
    STATE(3592), 1,
      sym_subscript_argument_list,
    STATE(3604), 1,
      sym_argument_list,
    ACTIONS(7146), 2,
      anon_sym_COMMA,
      anon_sym_COLON,
    ACTIONS(7899), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8218), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(9078), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9080), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(9084), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(9086), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(9090), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(9100), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(9094), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(9096), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [167324] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6440), 1,
      anon_sym_LPAREN2,
    ACTIONS(6879), 1,
      anon_sym_LBRACK,
    ACTIONS(6883), 1,
      anon_sym_DOT,
    ACTIONS(7999), 1,
      anon_sym_COMMA,
    ACTIONS(8513), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8679), 1,
      anon_sym_SLASH,
    ACTIONS(8681), 1,
      anon_sym_PIPE,
    ACTIONS(8685), 1,
      anon_sym_AMP,
    ACTIONS(8691), 1,
      anon_sym_GT_EQ,
    ACTIONS(8695), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8697), 1,
      anon_sym_bitor,
    ACTIONS(8699), 1,
      anon_sym_bitand,
    ACTIONS(8705), 1,
      anon_sym_QMARK,
    ACTIONS(9291), 1,
      anon_sym_SEMI,
    STATE(3592), 1,
      sym_subscript_argument_list,
    STATE(3604), 1,
      sym_argument_list,
    ACTIONS(6885), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8218), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8675), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8677), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8683), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8693), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8701), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8703), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8687), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8689), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [167418] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7312), 1,
      anon_sym_LPAREN2,
    ACTIONS(7926), 1,
      anon_sym_LBRACK,
    ACTIONS(7940), 1,
      anon_sym_DOT,
    ACTIONS(8739), 1,
      anon_sym_SLASH,
    ACTIONS(8745), 1,
      anon_sym_PIPE,
    ACTIONS(8749), 1,
      anon_sym_AMP,
    ACTIONS(8755), 1,
      anon_sym_LT_LT,
    ACTIONS(8757), 1,
      anon_sym_GT_GT,
    ACTIONS(8761), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8763), 1,
      anon_sym_bitor,
    ACTIONS(8765), 1,
      anon_sym_bitand,
    STATE(4835), 1,
      sym_subscript_argument_list,
    STATE(4841), 1,
      sym_argument_list,
    ACTIONS(7942), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8735), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8737), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8741), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8743), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8747), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8767), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8751), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7322), 4,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_GT2,
    ACTIONS(8753), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [167506] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(9193), 1,
      sym_identifier,
    ACTIONS(9195), 1,
      anon_sym_LPAREN2,
    ACTIONS(9197), 1,
      anon_sym_STAR,
    ACTIONS(9201), 1,
      sym_primitive_type,
    STATE(4174), 1,
      sym__type_declarator,
    STATE(4697), 1,
      sym_pointer_type_declarator,
    STATE(5318), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(9749), 1,
      sym_ms_based_modifier,
    ACTIONS(9068), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(5077), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(6323), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(8262), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(9199), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(4689), 4,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
    ACTIONS(63), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [167580] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6440), 1,
      anon_sym_LPAREN2,
    ACTIONS(6879), 1,
      anon_sym_LBRACK,
    ACTIONS(6883), 1,
      anon_sym_DOT,
    ACTIONS(8513), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8679), 1,
      anon_sym_SLASH,
    ACTIONS(8681), 1,
      anon_sym_PIPE,
    ACTIONS(8685), 1,
      anon_sym_AMP,
    ACTIONS(8691), 1,
      anon_sym_GT_EQ,
    ACTIONS(8695), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8697), 1,
      anon_sym_bitor,
    ACTIONS(8699), 1,
      anon_sym_bitand,
    ACTIONS(8705), 1,
      anon_sym_QMARK,
    ACTIONS(9293), 1,
      anon_sym_COMMA,
    ACTIONS(9295), 1,
      anon_sym_RPAREN,
    STATE(3592), 1,
      sym_subscript_argument_list,
    STATE(3604), 1,
      sym_argument_list,
    ACTIONS(6885), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8218), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8675), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8677), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8683), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8693), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8701), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8703), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8687), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8689), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [167674] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5326), 1,
      anon_sym_RBRACK,
    ACTIONS(6440), 1,
      anon_sym_LPAREN2,
    ACTIONS(6879), 1,
      anon_sym_LBRACK,
    ACTIONS(6883), 1,
      anon_sym_DOT,
    ACTIONS(8513), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8779), 1,
      anon_sym_SLASH,
    ACTIONS(8785), 1,
      anon_sym_PIPE,
    ACTIONS(8789), 1,
      anon_sym_AMP,
    ACTIONS(8795), 1,
      anon_sym_GT_EQ,
    ACTIONS(8801), 1,
      anon_sym_QMARK,
    ACTIONS(8803), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8805), 1,
      anon_sym_bitor,
    ACTIONS(8807), 1,
      anon_sym_bitand,
    STATE(3592), 1,
      sym_subscript_argument_list,
    STATE(3604), 1,
      sym_argument_list,
    ACTIONS(6885), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8218), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8775), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8777), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8781), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8783), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8787), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8797), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8791), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8793), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [167765] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5324), 1,
      anon_sym_RBRACK,
    ACTIONS(6440), 1,
      anon_sym_LPAREN2,
    ACTIONS(6879), 1,
      anon_sym_LBRACK,
    ACTIONS(6883), 1,
      anon_sym_DOT,
    ACTIONS(8513), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8779), 1,
      anon_sym_SLASH,
    ACTIONS(8785), 1,
      anon_sym_PIPE,
    ACTIONS(8789), 1,
      anon_sym_AMP,
    ACTIONS(8795), 1,
      anon_sym_GT_EQ,
    ACTIONS(8801), 1,
      anon_sym_QMARK,
    ACTIONS(8803), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8805), 1,
      anon_sym_bitor,
    ACTIONS(8807), 1,
      anon_sym_bitand,
    STATE(3592), 1,
      sym_subscript_argument_list,
    STATE(3604), 1,
      sym_argument_list,
    ACTIONS(6885), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8218), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8775), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8777), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8781), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8783), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8787), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8797), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8791), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8793), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [167856] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5437), 1,
      anon_sym_RBRACK,
    ACTIONS(6440), 1,
      anon_sym_LPAREN2,
    ACTIONS(6879), 1,
      anon_sym_LBRACK,
    ACTIONS(6883), 1,
      anon_sym_DOT,
    ACTIONS(8513), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8779), 1,
      anon_sym_SLASH,
    ACTIONS(8785), 1,
      anon_sym_PIPE,
    ACTIONS(8789), 1,
      anon_sym_AMP,
    ACTIONS(8795), 1,
      anon_sym_GT_EQ,
    ACTIONS(8801), 1,
      anon_sym_QMARK,
    ACTIONS(8803), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8805), 1,
      anon_sym_bitor,
    ACTIONS(8807), 1,
      anon_sym_bitand,
    STATE(3592), 1,
      sym_subscript_argument_list,
    STATE(3604), 1,
      sym_argument_list,
    ACTIONS(6885), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8218), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8775), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8777), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8781), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8783), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8787), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8797), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8791), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8793), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [167947] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6440), 1,
      anon_sym_LPAREN2,
    ACTIONS(6879), 1,
      anon_sym_LBRACK,
    ACTIONS(6883), 1,
      anon_sym_DOT,
    ACTIONS(8513), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8679), 1,
      anon_sym_SLASH,
    ACTIONS(8681), 1,
      anon_sym_PIPE,
    ACTIONS(8685), 1,
      anon_sym_AMP,
    ACTIONS(8691), 1,
      anon_sym_GT_EQ,
    ACTIONS(8695), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8697), 1,
      anon_sym_bitor,
    ACTIONS(8699), 1,
      anon_sym_bitand,
    ACTIONS(8705), 1,
      anon_sym_QMARK,
    ACTIONS(9297), 1,
      anon_sym_COMMA,
    STATE(3592), 1,
      sym_subscript_argument_list,
    STATE(3604), 1,
      sym_argument_list,
    ACTIONS(6885), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8218), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8675), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8677), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8683), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8693), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8701), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8703), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8687), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8689), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [168038] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6440), 1,
      anon_sym_LPAREN2,
    ACTIONS(6879), 1,
      anon_sym_LBRACK,
    ACTIONS(6883), 1,
      anon_sym_DOT,
    ACTIONS(8513), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8679), 1,
      anon_sym_SLASH,
    ACTIONS(8681), 1,
      anon_sym_PIPE,
    ACTIONS(8685), 1,
      anon_sym_AMP,
    ACTIONS(8691), 1,
      anon_sym_GT_EQ,
    ACTIONS(8695), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8697), 1,
      anon_sym_bitor,
    ACTIONS(8699), 1,
      anon_sym_bitand,
    ACTIONS(8705), 1,
      anon_sym_QMARK,
    ACTIONS(9299), 1,
      anon_sym_COMMA,
    STATE(3592), 1,
      sym_subscript_argument_list,
    STATE(3604), 1,
      sym_argument_list,
    ACTIONS(6885), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8218), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8675), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8677), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8683), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8693), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8701), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8703), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8687), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8689), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [168129] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5431), 1,
      anon_sym_RBRACK,
    ACTIONS(6440), 1,
      anon_sym_LPAREN2,
    ACTIONS(6879), 1,
      anon_sym_LBRACK,
    ACTIONS(6883), 1,
      anon_sym_DOT,
    ACTIONS(8513), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8779), 1,
      anon_sym_SLASH,
    ACTIONS(8785), 1,
      anon_sym_PIPE,
    ACTIONS(8789), 1,
      anon_sym_AMP,
    ACTIONS(8795), 1,
      anon_sym_GT_EQ,
    ACTIONS(8801), 1,
      anon_sym_QMARK,
    ACTIONS(8803), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8805), 1,
      anon_sym_bitor,
    ACTIONS(8807), 1,
      anon_sym_bitand,
    STATE(3592), 1,
      sym_subscript_argument_list,
    STATE(3604), 1,
      sym_argument_list,
    ACTIONS(6885), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8218), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8775), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8777), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8781), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8783), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8787), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8797), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8791), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8793), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [168220] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6440), 1,
      anon_sym_LPAREN2,
    ACTIONS(6879), 1,
      anon_sym_LBRACK,
    ACTIONS(6883), 1,
      anon_sym_DOT,
    ACTIONS(8513), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8679), 1,
      anon_sym_SLASH,
    ACTIONS(8681), 1,
      anon_sym_PIPE,
    ACTIONS(8685), 1,
      anon_sym_AMP,
    ACTIONS(8691), 1,
      anon_sym_GT_EQ,
    ACTIONS(8695), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8697), 1,
      anon_sym_bitor,
    ACTIONS(8699), 1,
      anon_sym_bitand,
    ACTIONS(8705), 1,
      anon_sym_QMARK,
    ACTIONS(9301), 1,
      anon_sym_SEMI,
    STATE(3592), 1,
      sym_subscript_argument_list,
    STATE(3604), 1,
      sym_argument_list,
    ACTIONS(6885), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8218), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8675), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8677), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8683), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8693), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8701), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8703), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8687), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8689), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [168311] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6440), 1,
      anon_sym_LPAREN2,
    ACTIONS(6879), 1,
      anon_sym_LBRACK,
    ACTIONS(6883), 1,
      anon_sym_DOT,
    ACTIONS(8513), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8679), 1,
      anon_sym_SLASH,
    ACTIONS(8681), 1,
      anon_sym_PIPE,
    ACTIONS(8685), 1,
      anon_sym_AMP,
    ACTIONS(8691), 1,
      anon_sym_GT_EQ,
    ACTIONS(8695), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8697), 1,
      anon_sym_bitor,
    ACTIONS(8699), 1,
      anon_sym_bitand,
    ACTIONS(8705), 1,
      anon_sym_QMARK,
    ACTIONS(9303), 1,
      anon_sym_SEMI,
    STATE(3592), 1,
      sym_subscript_argument_list,
    STATE(3604), 1,
      sym_argument_list,
    ACTIONS(6885), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8218), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8675), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8677), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8683), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8693), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8701), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8703), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8687), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8689), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [168402] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5446), 1,
      anon_sym_RBRACK,
    ACTIONS(6440), 1,
      anon_sym_LPAREN2,
    ACTIONS(6879), 1,
      anon_sym_LBRACK,
    ACTIONS(6883), 1,
      anon_sym_DOT,
    ACTIONS(8513), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8779), 1,
      anon_sym_SLASH,
    ACTIONS(8785), 1,
      anon_sym_PIPE,
    ACTIONS(8789), 1,
      anon_sym_AMP,
    ACTIONS(8795), 1,
      anon_sym_GT_EQ,
    ACTIONS(8801), 1,
      anon_sym_QMARK,
    ACTIONS(8803), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8805), 1,
      anon_sym_bitor,
    ACTIONS(8807), 1,
      anon_sym_bitand,
    STATE(3592), 1,
      sym_subscript_argument_list,
    STATE(3604), 1,
      sym_argument_list,
    ACTIONS(6885), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8218), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8775), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8777), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8781), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8783), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8787), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8797), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8791), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8793), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [168493] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6440), 1,
      anon_sym_LPAREN2,
    ACTIONS(6879), 1,
      anon_sym_LBRACK,
    ACTIONS(6883), 1,
      anon_sym_DOT,
    ACTIONS(8513), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8679), 1,
      anon_sym_SLASH,
    ACTIONS(8681), 1,
      anon_sym_PIPE,
    ACTIONS(8685), 1,
      anon_sym_AMP,
    ACTIONS(8691), 1,
      anon_sym_GT_EQ,
    ACTIONS(8695), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8697), 1,
      anon_sym_bitor,
    ACTIONS(8699), 1,
      anon_sym_bitand,
    ACTIONS(8705), 1,
      anon_sym_QMARK,
    ACTIONS(9305), 1,
      anon_sym_RPAREN,
    STATE(3592), 1,
      sym_subscript_argument_list,
    STATE(3604), 1,
      sym_argument_list,
    ACTIONS(6885), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8218), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8675), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8677), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8683), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8693), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8701), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8703), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8687), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8689), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [168584] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6440), 1,
      anon_sym_LPAREN2,
    ACTIONS(6879), 1,
      anon_sym_LBRACK,
    ACTIONS(6883), 1,
      anon_sym_DOT,
    ACTIONS(8513), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8679), 1,
      anon_sym_SLASH,
    ACTIONS(8681), 1,
      anon_sym_PIPE,
    ACTIONS(8685), 1,
      anon_sym_AMP,
    ACTIONS(8691), 1,
      anon_sym_GT_EQ,
    ACTIONS(8695), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8697), 1,
      anon_sym_bitor,
    ACTIONS(8699), 1,
      anon_sym_bitand,
    ACTIONS(8705), 1,
      anon_sym_QMARK,
    ACTIONS(9307), 1,
      anon_sym_RPAREN,
    STATE(3592), 1,
      sym_subscript_argument_list,
    STATE(3604), 1,
      sym_argument_list,
    ACTIONS(6885), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8218), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8675), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8677), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8683), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8693), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8701), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8703), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8687), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8689), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [168675] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7970), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7972), 1,
      anon_sym_AMP,
    ACTIONS(7976), 1,
      anon_sym___attribute__,
    ACTIONS(7987), 1,
      anon_sym_DASH_GT,
    ACTIONS(7989), 1,
      anon_sym_noexcept,
    ACTIONS(7991), 1,
      anon_sym_throw,
    ACTIONS(9311), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9314), 1,
      anon_sym_LBRACK,
    ACTIONS(9319), 1,
      anon_sym_requires,
    STATE(6085), 1,
      sym_ref_qualifier,
    STATE(6956), 1,
      sym__function_attributes_end,
    STATE(6993), 1,
      sym_trailing_return_type,
    STATE(8031), 1,
      sym_gnu_asm_expression,
    ACTIONS(7985), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9316), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6935), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(7085), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7174), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(7349), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(6566), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(9309), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
      anon_sym_try,
  [168758] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6440), 1,
      anon_sym_LPAREN2,
    ACTIONS(6879), 1,
      anon_sym_LBRACK,
    ACTIONS(6883), 1,
      anon_sym_DOT,
    ACTIONS(8513), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8679), 1,
      anon_sym_SLASH,
    ACTIONS(8681), 1,
      anon_sym_PIPE,
    ACTIONS(8685), 1,
      anon_sym_AMP,
    ACTIONS(8691), 1,
      anon_sym_GT_EQ,
    ACTIONS(8695), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8697), 1,
      anon_sym_bitor,
    ACTIONS(8699), 1,
      anon_sym_bitand,
    ACTIONS(8705), 1,
      anon_sym_QMARK,
    ACTIONS(9322), 1,
      anon_sym_SEMI,
    STATE(3592), 1,
      sym_subscript_argument_list,
    STATE(3604), 1,
      sym_argument_list,
    ACTIONS(6885), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8218), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8675), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8677), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8683), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8693), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8701), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8703), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8687), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8689), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [168849] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6440), 1,
      anon_sym_LPAREN2,
    ACTIONS(6879), 1,
      anon_sym_LBRACK,
    ACTIONS(6883), 1,
      anon_sym_DOT,
    ACTIONS(8513), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8679), 1,
      anon_sym_SLASH,
    ACTIONS(8681), 1,
      anon_sym_PIPE,
    ACTIONS(8685), 1,
      anon_sym_AMP,
    ACTIONS(8691), 1,
      anon_sym_GT_EQ,
    ACTIONS(8695), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8697), 1,
      anon_sym_bitor,
    ACTIONS(8699), 1,
      anon_sym_bitand,
    ACTIONS(8705), 1,
      anon_sym_QMARK,
    ACTIONS(9324), 1,
      anon_sym_COMMA,
    STATE(3592), 1,
      sym_subscript_argument_list,
    STATE(3604), 1,
      sym_argument_list,
    ACTIONS(6885), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8218), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8675), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8677), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8683), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8693), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8701), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8703), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8687), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8689), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [168940] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6440), 1,
      anon_sym_LPAREN2,
    ACTIONS(6879), 1,
      anon_sym_LBRACK,
    ACTIONS(7897), 1,
      anon_sym_DOT,
    ACTIONS(8513), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(9082), 1,
      anon_sym_SLASH,
    ACTIONS(9088), 1,
      anon_sym_PIPE,
    ACTIONS(9092), 1,
      anon_sym_AMP,
    ACTIONS(9098), 1,
      anon_sym_GT_EQ,
    ACTIONS(9102), 1,
      anon_sym_QMARK,
    ACTIONS(9104), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(9106), 1,
      anon_sym_bitor,
    ACTIONS(9108), 1,
      anon_sym_bitand,
    ACTIONS(9326), 1,
      anon_sym_COLON,
    STATE(3592), 1,
      sym_subscript_argument_list,
    STATE(3604), 1,
      sym_argument_list,
    ACTIONS(7899), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8218), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(9078), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9080), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(9084), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(9086), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(9090), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(9100), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(9094), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(9096), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [169031] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6440), 1,
      anon_sym_LPAREN2,
    ACTIONS(6879), 1,
      anon_sym_LBRACK,
    ACTIONS(6883), 1,
      anon_sym_DOT,
    ACTIONS(8513), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8679), 1,
      anon_sym_SLASH,
    ACTIONS(8681), 1,
      anon_sym_PIPE,
    ACTIONS(8685), 1,
      anon_sym_AMP,
    ACTIONS(8691), 1,
      anon_sym_GT_EQ,
    ACTIONS(8695), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8697), 1,
      anon_sym_bitor,
    ACTIONS(8699), 1,
      anon_sym_bitand,
    ACTIONS(8705), 1,
      anon_sym_QMARK,
    ACTIONS(9328), 1,
      anon_sym_SEMI,
    STATE(3592), 1,
      sym_subscript_argument_list,
    STATE(3604), 1,
      sym_argument_list,
    ACTIONS(6885), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8218), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8675), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8677), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8683), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8693), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8701), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8703), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8687), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8689), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [169122] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5270), 1,
      anon_sym_RBRACK,
    ACTIONS(6440), 1,
      anon_sym_LPAREN2,
    ACTIONS(6879), 1,
      anon_sym_LBRACK,
    ACTIONS(6883), 1,
      anon_sym_DOT,
    ACTIONS(8513), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8779), 1,
      anon_sym_SLASH,
    ACTIONS(8785), 1,
      anon_sym_PIPE,
    ACTIONS(8789), 1,
      anon_sym_AMP,
    ACTIONS(8795), 1,
      anon_sym_GT_EQ,
    ACTIONS(8801), 1,
      anon_sym_QMARK,
    ACTIONS(8803), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8805), 1,
      anon_sym_bitor,
    ACTIONS(8807), 1,
      anon_sym_bitand,
    STATE(3592), 1,
      sym_subscript_argument_list,
    STATE(3604), 1,
      sym_argument_list,
    ACTIONS(6885), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8218), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8775), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8777), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8781), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8783), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8787), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8797), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8791), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8793), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [169213] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6440), 1,
      anon_sym_LPAREN2,
    ACTIONS(6879), 1,
      anon_sym_LBRACK,
    ACTIONS(6883), 1,
      anon_sym_DOT,
    ACTIONS(8513), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8679), 1,
      anon_sym_SLASH,
    ACTIONS(8681), 1,
      anon_sym_PIPE,
    ACTIONS(8685), 1,
      anon_sym_AMP,
    ACTIONS(8691), 1,
      anon_sym_GT_EQ,
    ACTIONS(8695), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8697), 1,
      anon_sym_bitor,
    ACTIONS(8699), 1,
      anon_sym_bitand,
    ACTIONS(8705), 1,
      anon_sym_QMARK,
    ACTIONS(9330), 1,
      anon_sym_SEMI,
    STATE(3592), 1,
      sym_subscript_argument_list,
    STATE(3604), 1,
      sym_argument_list,
    ACTIONS(6885), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8218), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8675), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8677), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8683), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8693), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8701), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8703), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8687), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8689), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [169304] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6440), 1,
      anon_sym_LPAREN2,
    ACTIONS(6879), 1,
      anon_sym_LBRACK,
    ACTIONS(6883), 1,
      anon_sym_DOT,
    ACTIONS(8513), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8779), 1,
      anon_sym_SLASH,
    ACTIONS(8785), 1,
      anon_sym_PIPE,
    ACTIONS(8789), 1,
      anon_sym_AMP,
    ACTIONS(8795), 1,
      anon_sym_GT_EQ,
    ACTIONS(8801), 1,
      anon_sym_QMARK,
    ACTIONS(8803), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8805), 1,
      anon_sym_bitor,
    ACTIONS(8807), 1,
      anon_sym_bitand,
    ACTIONS(9332), 1,
      anon_sym_RBRACK,
    STATE(3592), 1,
      sym_subscript_argument_list,
    STATE(3604), 1,
      sym_argument_list,
    ACTIONS(6885), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8218), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8775), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8777), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8781), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8783), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8787), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8797), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8791), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8793), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [169395] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7970), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7972), 1,
      anon_sym_AMP,
    ACTIONS(7976), 1,
      anon_sym___attribute__,
    ACTIONS(7987), 1,
      anon_sym_DASH_GT,
    ACTIONS(7989), 1,
      anon_sym_noexcept,
    ACTIONS(7991), 1,
      anon_sym_throw,
    ACTIONS(7993), 1,
      anon_sym_requires,
    ACTIONS(9311), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9314), 1,
      anon_sym_LBRACK,
    STATE(6086), 1,
      sym_ref_qualifier,
    STATE(6916), 1,
      sym__function_attributes_end,
    STATE(7060), 1,
      sym_trailing_return_type,
    STATE(8031), 1,
      sym_gnu_asm_expression,
    ACTIONS(6859), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(7985), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(6935), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(7085), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7174), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(7349), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(6476), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(9309), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
      anon_sym_try,
  [169478] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6440), 1,
      anon_sym_LPAREN2,
    ACTIONS(6879), 1,
      anon_sym_LBRACK,
    ACTIONS(6883), 1,
      anon_sym_DOT,
    ACTIONS(8513), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8679), 1,
      anon_sym_SLASH,
    ACTIONS(8681), 1,
      anon_sym_PIPE,
    ACTIONS(8685), 1,
      anon_sym_AMP,
    ACTIONS(8691), 1,
      anon_sym_GT_EQ,
    ACTIONS(8695), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8697), 1,
      anon_sym_bitor,
    ACTIONS(8699), 1,
      anon_sym_bitand,
    ACTIONS(8705), 1,
      anon_sym_QMARK,
    ACTIONS(9334), 1,
      anon_sym_SEMI,
    STATE(3592), 1,
      sym_subscript_argument_list,
    STATE(3604), 1,
      sym_argument_list,
    ACTIONS(6885), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8218), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8675), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8677), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8683), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8693), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8701), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8703), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8687), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8689), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [169569] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5272), 1,
      anon_sym_RBRACK,
    ACTIONS(6440), 1,
      anon_sym_LPAREN2,
    ACTIONS(6879), 1,
      anon_sym_LBRACK,
    ACTIONS(6883), 1,
      anon_sym_DOT,
    ACTIONS(8513), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8779), 1,
      anon_sym_SLASH,
    ACTIONS(8785), 1,
      anon_sym_PIPE,
    ACTIONS(8789), 1,
      anon_sym_AMP,
    ACTIONS(8795), 1,
      anon_sym_GT_EQ,
    ACTIONS(8801), 1,
      anon_sym_QMARK,
    ACTIONS(8803), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8805), 1,
      anon_sym_bitor,
    ACTIONS(8807), 1,
      anon_sym_bitand,
    STATE(3592), 1,
      sym_subscript_argument_list,
    STATE(3604), 1,
      sym_argument_list,
    ACTIONS(6885), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8218), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8775), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8777), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8781), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8783), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8787), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8797), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8791), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8793), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [169660] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1486), 1,
      anon_sym_template,
    ACTIONS(2588), 1,
      anon_sym_operator,
    ACTIONS(2875), 1,
      anon_sym_LPAREN2,
    ACTIONS(2877), 1,
      anon_sym_TILDE,
    ACTIONS(3148), 1,
      anon_sym_decltype,
    ACTIONS(6738), 1,
      sym_identifier,
    ACTIONS(6750), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8030), 1,
      anon_sym_LBRACK,
    ACTIONS(8065), 1,
      anon_sym_STAR,
    ACTIONS(8067), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8069), 1,
      anon_sym_AMP,
    STATE(6520), 1,
      sym_ms_call_modifier,
    STATE(7058), 1,
      sym__scope_resolution,
    STATE(7079), 1,
      sym__declarator,
    STATE(8640), 1,
      sym_init_declarator,
    STATE(9827), 1,
      sym_ms_based_modifier,
    STATE(10317), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    ACTIONS(2544), 6,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
    STATE(7680), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [169741] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5322), 1,
      anon_sym_RBRACK,
    ACTIONS(6440), 1,
      anon_sym_LPAREN2,
    ACTIONS(6879), 1,
      anon_sym_LBRACK,
    ACTIONS(6883), 1,
      anon_sym_DOT,
    ACTIONS(8513), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8779), 1,
      anon_sym_SLASH,
    ACTIONS(8785), 1,
      anon_sym_PIPE,
    ACTIONS(8789), 1,
      anon_sym_AMP,
    ACTIONS(8795), 1,
      anon_sym_GT_EQ,
    ACTIONS(8801), 1,
      anon_sym_QMARK,
    ACTIONS(8803), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8805), 1,
      anon_sym_bitor,
    ACTIONS(8807), 1,
      anon_sym_bitand,
    STATE(3592), 1,
      sym_subscript_argument_list,
    STATE(3604), 1,
      sym_argument_list,
    ACTIONS(6885), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8218), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8775), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8777), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8781), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8783), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8787), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8797), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8791), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8793), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [169832] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6440), 1,
      anon_sym_LPAREN2,
    ACTIONS(6879), 1,
      anon_sym_LBRACK,
    ACTIONS(6883), 1,
      anon_sym_DOT,
    ACTIONS(8513), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8679), 1,
      anon_sym_SLASH,
    ACTIONS(8681), 1,
      anon_sym_PIPE,
    ACTIONS(8685), 1,
      anon_sym_AMP,
    ACTIONS(8691), 1,
      anon_sym_GT_EQ,
    ACTIONS(8695), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8697), 1,
      anon_sym_bitor,
    ACTIONS(8699), 1,
      anon_sym_bitand,
    ACTIONS(8705), 1,
      anon_sym_QMARK,
    ACTIONS(9336), 1,
      anon_sym_RPAREN,
    STATE(3592), 1,
      sym_subscript_argument_list,
    STATE(3604), 1,
      sym_argument_list,
    ACTIONS(6885), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8218), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8675), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8677), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8683), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8693), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8701), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8703), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8687), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8689), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [169923] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6440), 1,
      anon_sym_LPAREN2,
    ACTIONS(6879), 1,
      anon_sym_LBRACK,
    ACTIONS(6883), 1,
      anon_sym_DOT,
    ACTIONS(8513), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8679), 1,
      anon_sym_SLASH,
    ACTIONS(8681), 1,
      anon_sym_PIPE,
    ACTIONS(8685), 1,
      anon_sym_AMP,
    ACTIONS(8691), 1,
      anon_sym_GT_EQ,
    ACTIONS(8695), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8697), 1,
      anon_sym_bitor,
    ACTIONS(8699), 1,
      anon_sym_bitand,
    ACTIONS(8705), 1,
      anon_sym_QMARK,
    ACTIONS(9338), 1,
      anon_sym_SEMI,
    STATE(3592), 1,
      sym_subscript_argument_list,
    STATE(3604), 1,
      sym_argument_list,
    ACTIONS(6885), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8218), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8675), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8677), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8683), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8693), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8701), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8703), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8687), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8689), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [170014] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6440), 1,
      anon_sym_LPAREN2,
    ACTIONS(6879), 1,
      anon_sym_LBRACK,
    ACTIONS(6883), 1,
      anon_sym_DOT,
    ACTIONS(8513), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8679), 1,
      anon_sym_SLASH,
    ACTIONS(8681), 1,
      anon_sym_PIPE,
    ACTIONS(8685), 1,
      anon_sym_AMP,
    ACTIONS(8691), 1,
      anon_sym_GT_EQ,
    ACTIONS(8695), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8697), 1,
      anon_sym_bitor,
    ACTIONS(8699), 1,
      anon_sym_bitand,
    ACTIONS(8705), 1,
      anon_sym_QMARK,
    ACTIONS(9340), 1,
      anon_sym_RPAREN,
    STATE(3592), 1,
      sym_subscript_argument_list,
    STATE(3604), 1,
      sym_argument_list,
    ACTIONS(6885), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8218), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8675), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8677), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8683), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8693), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8701), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8703), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8687), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8689), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [170105] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6440), 1,
      anon_sym_LPAREN2,
    ACTIONS(6879), 1,
      anon_sym_LBRACK,
    ACTIONS(6883), 1,
      anon_sym_DOT,
    ACTIONS(8513), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8679), 1,
      anon_sym_SLASH,
    ACTIONS(8681), 1,
      anon_sym_PIPE,
    ACTIONS(8685), 1,
      anon_sym_AMP,
    ACTIONS(8691), 1,
      anon_sym_GT_EQ,
    ACTIONS(8695), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8697), 1,
      anon_sym_bitor,
    ACTIONS(8699), 1,
      anon_sym_bitand,
    ACTIONS(8705), 1,
      anon_sym_QMARK,
    ACTIONS(9342), 1,
      anon_sym_SEMI,
    STATE(3592), 1,
      sym_subscript_argument_list,
    STATE(3604), 1,
      sym_argument_list,
    ACTIONS(6885), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8218), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8675), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8677), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8683), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8693), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8701), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8703), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8687), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8689), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [170196] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5283), 1,
      anon_sym_RBRACK,
    ACTIONS(6440), 1,
      anon_sym_LPAREN2,
    ACTIONS(6879), 1,
      anon_sym_LBRACK,
    ACTIONS(6883), 1,
      anon_sym_DOT,
    ACTIONS(8513), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8779), 1,
      anon_sym_SLASH,
    ACTIONS(8785), 1,
      anon_sym_PIPE,
    ACTIONS(8789), 1,
      anon_sym_AMP,
    ACTIONS(8795), 1,
      anon_sym_GT_EQ,
    ACTIONS(8801), 1,
      anon_sym_QMARK,
    ACTIONS(8803), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8805), 1,
      anon_sym_bitor,
    ACTIONS(8807), 1,
      anon_sym_bitand,
    STATE(3592), 1,
      sym_subscript_argument_list,
    STATE(3604), 1,
      sym_argument_list,
    ACTIONS(6885), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8218), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8775), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8777), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8781), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8783), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8787), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8797), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8791), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8793), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [170287] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5384), 1,
      anon_sym_RBRACK,
    ACTIONS(6440), 1,
      anon_sym_LPAREN2,
    ACTIONS(6879), 1,
      anon_sym_LBRACK,
    ACTIONS(6883), 1,
      anon_sym_DOT,
    ACTIONS(8513), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8779), 1,
      anon_sym_SLASH,
    ACTIONS(8785), 1,
      anon_sym_PIPE,
    ACTIONS(8789), 1,
      anon_sym_AMP,
    ACTIONS(8795), 1,
      anon_sym_GT_EQ,
    ACTIONS(8801), 1,
      anon_sym_QMARK,
    ACTIONS(8803), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8805), 1,
      anon_sym_bitor,
    ACTIONS(8807), 1,
      anon_sym_bitand,
    STATE(3592), 1,
      sym_subscript_argument_list,
    STATE(3604), 1,
      sym_argument_list,
    ACTIONS(6885), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8218), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8775), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8777), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8781), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8783), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8787), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8797), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8791), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8793), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [170378] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6440), 1,
      anon_sym_LPAREN2,
    ACTIONS(6879), 1,
      anon_sym_LBRACK,
    ACTIONS(6883), 1,
      anon_sym_DOT,
    ACTIONS(8513), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8679), 1,
      anon_sym_SLASH,
    ACTIONS(8681), 1,
      anon_sym_PIPE,
    ACTIONS(8685), 1,
      anon_sym_AMP,
    ACTIONS(8691), 1,
      anon_sym_GT_EQ,
    ACTIONS(8695), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8697), 1,
      anon_sym_bitor,
    ACTIONS(8699), 1,
      anon_sym_bitand,
    ACTIONS(8705), 1,
      anon_sym_QMARK,
    ACTIONS(9344), 1,
      anon_sym_SEMI,
    STATE(3592), 1,
      sym_subscript_argument_list,
    STATE(3604), 1,
      sym_argument_list,
    ACTIONS(6885), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8218), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8675), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8677), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8683), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8693), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8701), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8703), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8687), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8689), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [170469] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6440), 1,
      anon_sym_LPAREN2,
    ACTIONS(6879), 1,
      anon_sym_LBRACK,
    ACTIONS(6883), 1,
      anon_sym_DOT,
    ACTIONS(8513), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8679), 1,
      anon_sym_SLASH,
    ACTIONS(8681), 1,
      anon_sym_PIPE,
    ACTIONS(8685), 1,
      anon_sym_AMP,
    ACTIONS(8691), 1,
      anon_sym_GT_EQ,
    ACTIONS(8695), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8697), 1,
      anon_sym_bitor,
    ACTIONS(8699), 1,
      anon_sym_bitand,
    ACTIONS(8705), 1,
      anon_sym_QMARK,
    ACTIONS(8897), 1,
      anon_sym_RPAREN,
    STATE(3592), 1,
      sym_subscript_argument_list,
    STATE(3604), 1,
      sym_argument_list,
    ACTIONS(6885), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8218), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8675), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8677), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8683), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8693), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8701), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8703), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8687), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8689), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [170560] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6440), 1,
      anon_sym_LPAREN2,
    ACTIONS(6879), 1,
      anon_sym_LBRACK,
    ACTIONS(6883), 1,
      anon_sym_DOT,
    ACTIONS(8513), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8679), 1,
      anon_sym_SLASH,
    ACTIONS(8681), 1,
      anon_sym_PIPE,
    ACTIONS(8685), 1,
      anon_sym_AMP,
    ACTIONS(8691), 1,
      anon_sym_GT_EQ,
    ACTIONS(8695), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8697), 1,
      anon_sym_bitor,
    ACTIONS(8699), 1,
      anon_sym_bitand,
    ACTIONS(8705), 1,
      anon_sym_QMARK,
    ACTIONS(9346), 1,
      anon_sym_SEMI,
    STATE(3592), 1,
      sym_subscript_argument_list,
    STATE(3604), 1,
      sym_argument_list,
    ACTIONS(6885), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8218), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8675), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8677), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8683), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8693), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8701), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8703), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8687), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8689), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [170651] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6440), 1,
      anon_sym_LPAREN2,
    ACTIONS(6879), 1,
      anon_sym_LBRACK,
    ACTIONS(7897), 1,
      anon_sym_DOT,
    ACTIONS(8513), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(9082), 1,
      anon_sym_SLASH,
    ACTIONS(9088), 1,
      anon_sym_PIPE,
    ACTIONS(9092), 1,
      anon_sym_AMP,
    ACTIONS(9098), 1,
      anon_sym_GT_EQ,
    ACTIONS(9102), 1,
      anon_sym_QMARK,
    ACTIONS(9104), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(9106), 1,
      anon_sym_bitor,
    ACTIONS(9108), 1,
      anon_sym_bitand,
    ACTIONS(9348), 1,
      anon_sym_COLON,
    STATE(3592), 1,
      sym_subscript_argument_list,
    STATE(3604), 1,
      sym_argument_list,
    ACTIONS(7899), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8218), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(9078), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9080), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(9084), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(9086), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(9090), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(9100), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(9094), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(9096), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [170742] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5442), 1,
      anon_sym_RBRACK,
    ACTIONS(6440), 1,
      anon_sym_LPAREN2,
    ACTIONS(6879), 1,
      anon_sym_LBRACK,
    ACTIONS(6883), 1,
      anon_sym_DOT,
    ACTIONS(8513), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8779), 1,
      anon_sym_SLASH,
    ACTIONS(8785), 1,
      anon_sym_PIPE,
    ACTIONS(8789), 1,
      anon_sym_AMP,
    ACTIONS(8795), 1,
      anon_sym_GT_EQ,
    ACTIONS(8801), 1,
      anon_sym_QMARK,
    ACTIONS(8803), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8805), 1,
      anon_sym_bitor,
    ACTIONS(8807), 1,
      anon_sym_bitand,
    STATE(3592), 1,
      sym_subscript_argument_list,
    STATE(3604), 1,
      sym_argument_list,
    ACTIONS(6885), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8218), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8775), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8777), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8781), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8783), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8787), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8797), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8791), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8793), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [170833] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6440), 1,
      anon_sym_LPAREN2,
    ACTIONS(6879), 1,
      anon_sym_LBRACK,
    ACTIONS(6883), 1,
      anon_sym_DOT,
    ACTIONS(8513), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8679), 1,
      anon_sym_SLASH,
    ACTIONS(8681), 1,
      anon_sym_PIPE,
    ACTIONS(8685), 1,
      anon_sym_AMP,
    ACTIONS(8691), 1,
      anon_sym_GT_EQ,
    ACTIONS(8695), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8697), 1,
      anon_sym_bitor,
    ACTIONS(8699), 1,
      anon_sym_bitand,
    ACTIONS(8705), 1,
      anon_sym_QMARK,
    ACTIONS(9350), 1,
      anon_sym_SEMI,
    STATE(3592), 1,
      sym_subscript_argument_list,
    STATE(3604), 1,
      sym_argument_list,
    ACTIONS(6885), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8218), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8675), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8677), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8683), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8693), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8701), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8703), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8687), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8689), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [170924] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6853), 1,
      sym_literal_suffix,
    ACTIONS(4221), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
    ACTIONS(4213), 19,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [170971] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1486), 1,
      anon_sym_template,
    ACTIONS(2588), 1,
      anon_sym_operator,
    ACTIONS(2875), 1,
      anon_sym_LPAREN2,
    ACTIONS(2877), 1,
      anon_sym_TILDE,
    ACTIONS(3148), 1,
      anon_sym_decltype,
    ACTIONS(6738), 1,
      sym_identifier,
    ACTIONS(6750), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8030), 1,
      anon_sym_LBRACK,
    ACTIONS(8065), 1,
      anon_sym_STAR,
    ACTIONS(8067), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8069), 1,
      anon_sym_AMP,
    STATE(6516), 1,
      sym_ms_call_modifier,
    STATE(7058), 1,
      sym__scope_resolution,
    STATE(7083), 1,
      sym__declarator,
    STATE(8723), 1,
      sym_init_declarator,
    STATE(9827), 1,
      sym_ms_based_modifier,
    STATE(10317), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    ACTIONS(2544), 6,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
    STATE(7680), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [171052] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5318), 1,
      anon_sym_RBRACK,
    ACTIONS(6440), 1,
      anon_sym_LPAREN2,
    ACTIONS(6879), 1,
      anon_sym_LBRACK,
    ACTIONS(6883), 1,
      anon_sym_DOT,
    ACTIONS(8513), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8779), 1,
      anon_sym_SLASH,
    ACTIONS(8785), 1,
      anon_sym_PIPE,
    ACTIONS(8789), 1,
      anon_sym_AMP,
    ACTIONS(8795), 1,
      anon_sym_GT_EQ,
    ACTIONS(8801), 1,
      anon_sym_QMARK,
    ACTIONS(8803), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8805), 1,
      anon_sym_bitor,
    ACTIONS(8807), 1,
      anon_sym_bitand,
    STATE(3592), 1,
      sym_subscript_argument_list,
    STATE(3604), 1,
      sym_argument_list,
    ACTIONS(6885), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8218), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8775), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8777), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8781), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8783), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8787), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8797), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8791), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8793), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [171143] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6853), 1,
      sym_literal_suffix,
    ACTIONS(6477), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
    ACTIONS(6479), 19,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [171190] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5429), 1,
      anon_sym_RBRACK,
    ACTIONS(6440), 1,
      anon_sym_LPAREN2,
    ACTIONS(6879), 1,
      anon_sym_LBRACK,
    ACTIONS(6883), 1,
      anon_sym_DOT,
    ACTIONS(8513), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8779), 1,
      anon_sym_SLASH,
    ACTIONS(8785), 1,
      anon_sym_PIPE,
    ACTIONS(8789), 1,
      anon_sym_AMP,
    ACTIONS(8795), 1,
      anon_sym_GT_EQ,
    ACTIONS(8801), 1,
      anon_sym_QMARK,
    ACTIONS(8803), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8805), 1,
      anon_sym_bitor,
    ACTIONS(8807), 1,
      anon_sym_bitand,
    STATE(3592), 1,
      sym_subscript_argument_list,
    STATE(3604), 1,
      sym_argument_list,
    ACTIONS(6885), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8218), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8775), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8777), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8781), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8783), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8787), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8797), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8791), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8793), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [171281] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6440), 1,
      anon_sym_LPAREN2,
    ACTIONS(6879), 1,
      anon_sym_LBRACK,
    ACTIONS(6883), 1,
      anon_sym_DOT,
    ACTIONS(8513), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8679), 1,
      anon_sym_SLASH,
    ACTIONS(8681), 1,
      anon_sym_PIPE,
    ACTIONS(8685), 1,
      anon_sym_AMP,
    ACTIONS(8691), 1,
      anon_sym_GT_EQ,
    ACTIONS(8695), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8697), 1,
      anon_sym_bitor,
    ACTIONS(8699), 1,
      anon_sym_bitand,
    ACTIONS(8705), 1,
      anon_sym_QMARK,
    ACTIONS(9352), 1,
      anon_sym_SEMI,
    STATE(3592), 1,
      sym_subscript_argument_list,
    STATE(3604), 1,
      sym_argument_list,
    ACTIONS(6885), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8218), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8675), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8677), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8683), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8693), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8701), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8703), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8687), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8689), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [171372] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6440), 1,
      anon_sym_LPAREN2,
    ACTIONS(6879), 1,
      anon_sym_LBRACK,
    ACTIONS(6883), 1,
      anon_sym_DOT,
    ACTIONS(8513), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8679), 1,
      anon_sym_SLASH,
    ACTIONS(8681), 1,
      anon_sym_PIPE,
    ACTIONS(8685), 1,
      anon_sym_AMP,
    ACTIONS(8691), 1,
      anon_sym_GT_EQ,
    ACTIONS(8695), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8697), 1,
      anon_sym_bitor,
    ACTIONS(8699), 1,
      anon_sym_bitand,
    ACTIONS(8705), 1,
      anon_sym_QMARK,
    ACTIONS(9354), 1,
      anon_sym_RBRACE,
    STATE(3592), 1,
      sym_subscript_argument_list,
    STATE(3604), 1,
      sym_argument_list,
    ACTIONS(6885), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8218), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8675), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8677), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8683), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8693), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8701), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8703), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8687), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8689), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [171463] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6440), 1,
      anon_sym_LPAREN2,
    ACTIONS(6879), 1,
      anon_sym_LBRACK,
    ACTIONS(6883), 1,
      anon_sym_DOT,
    ACTIONS(8513), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8679), 1,
      anon_sym_SLASH,
    ACTIONS(8681), 1,
      anon_sym_PIPE,
    ACTIONS(8685), 1,
      anon_sym_AMP,
    ACTIONS(8691), 1,
      anon_sym_GT_EQ,
    ACTIONS(8695), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8697), 1,
      anon_sym_bitor,
    ACTIONS(8699), 1,
      anon_sym_bitand,
    ACTIONS(8705), 1,
      anon_sym_QMARK,
    ACTIONS(9356), 1,
      anon_sym_COMMA,
    STATE(3592), 1,
      sym_subscript_argument_list,
    STATE(3604), 1,
      sym_argument_list,
    ACTIONS(6885), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8218), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8675), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8677), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8683), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8693), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8701), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8703), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8687), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8689), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [171554] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6440), 1,
      anon_sym_LPAREN2,
    ACTIONS(6879), 1,
      anon_sym_LBRACK,
    ACTIONS(6883), 1,
      anon_sym_DOT,
    ACTIONS(8513), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8679), 1,
      anon_sym_SLASH,
    ACTIONS(8681), 1,
      anon_sym_PIPE,
    ACTIONS(8685), 1,
      anon_sym_AMP,
    ACTIONS(8691), 1,
      anon_sym_GT_EQ,
    ACTIONS(8695), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8697), 1,
      anon_sym_bitor,
    ACTIONS(8699), 1,
      anon_sym_bitand,
    ACTIONS(8705), 1,
      anon_sym_QMARK,
    ACTIONS(9358), 1,
      anon_sym_SEMI,
    STATE(3592), 1,
      sym_subscript_argument_list,
    STATE(3604), 1,
      sym_argument_list,
    ACTIONS(6885), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8218), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8675), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8677), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8683), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8693), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8701), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8703), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8687), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8689), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [171645] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(5882), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5987), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(9360), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5989), 29,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [171694] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(5878), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5946), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(9362), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5948), 29,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [171743] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6440), 1,
      anon_sym_LPAREN2,
    ACTIONS(6879), 1,
      anon_sym_LBRACK,
    ACTIONS(6883), 1,
      anon_sym_DOT,
    ACTIONS(8513), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8779), 1,
      anon_sym_SLASH,
    ACTIONS(8785), 1,
      anon_sym_PIPE,
    ACTIONS(8789), 1,
      anon_sym_AMP,
    ACTIONS(8795), 1,
      anon_sym_GT_EQ,
    ACTIONS(8801), 1,
      anon_sym_QMARK,
    ACTIONS(8803), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8805), 1,
      anon_sym_bitor,
    ACTIONS(8807), 1,
      anon_sym_bitand,
    ACTIONS(9364), 1,
      anon_sym_RBRACK,
    STATE(3592), 1,
      sym_subscript_argument_list,
    STATE(3604), 1,
      sym_argument_list,
    ACTIONS(6885), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8218), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8775), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8777), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8781), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8783), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8787), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8797), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8791), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8793), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [171834] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6440), 1,
      anon_sym_LPAREN2,
    ACTIONS(6879), 1,
      anon_sym_LBRACK,
    ACTIONS(6883), 1,
      anon_sym_DOT,
    ACTIONS(8513), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8679), 1,
      anon_sym_SLASH,
    ACTIONS(8681), 1,
      anon_sym_PIPE,
    ACTIONS(8685), 1,
      anon_sym_AMP,
    ACTIONS(8691), 1,
      anon_sym_GT_EQ,
    ACTIONS(8695), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8697), 1,
      anon_sym_bitor,
    ACTIONS(8699), 1,
      anon_sym_bitand,
    ACTIONS(8705), 1,
      anon_sym_QMARK,
    ACTIONS(9366), 1,
      anon_sym_SEMI,
    STATE(3592), 1,
      sym_subscript_argument_list,
    STATE(3604), 1,
      sym_argument_list,
    ACTIONS(6885), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8218), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8675), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8677), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8683), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8693), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8701), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8703), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8687), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8689), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [171925] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6440), 1,
      anon_sym_LPAREN2,
    ACTIONS(6879), 1,
      anon_sym_LBRACK,
    ACTIONS(6883), 1,
      anon_sym_DOT,
    ACTIONS(8513), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8679), 1,
      anon_sym_SLASH,
    ACTIONS(8681), 1,
      anon_sym_PIPE,
    ACTIONS(8685), 1,
      anon_sym_AMP,
    ACTIONS(8691), 1,
      anon_sym_GT_EQ,
    ACTIONS(8695), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8697), 1,
      anon_sym_bitor,
    ACTIONS(8699), 1,
      anon_sym_bitand,
    ACTIONS(8705), 1,
      anon_sym_QMARK,
    ACTIONS(9368), 1,
      anon_sym_SEMI,
    STATE(3592), 1,
      sym_subscript_argument_list,
    STATE(3604), 1,
      sym_argument_list,
    ACTIONS(6885), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8218), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8675), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8677), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8683), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8693), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8701), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8703), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8687), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8689), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [172016] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6440), 1,
      anon_sym_LPAREN2,
    ACTIONS(6879), 1,
      anon_sym_LBRACK,
    ACTIONS(6883), 1,
      anon_sym_DOT,
    ACTIONS(8513), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8679), 1,
      anon_sym_SLASH,
    ACTIONS(8681), 1,
      anon_sym_PIPE,
    ACTIONS(8685), 1,
      anon_sym_AMP,
    ACTIONS(8691), 1,
      anon_sym_GT_EQ,
    ACTIONS(8695), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8697), 1,
      anon_sym_bitor,
    ACTIONS(8699), 1,
      anon_sym_bitand,
    ACTIONS(8705), 1,
      anon_sym_QMARK,
    ACTIONS(9370), 1,
      anon_sym_SEMI,
    STATE(3592), 1,
      sym_subscript_argument_list,
    STATE(3604), 1,
      sym_argument_list,
    ACTIONS(6885), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8218), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8675), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8677), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8683), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8693), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8701), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8703), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8687), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8689), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [172107] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6440), 1,
      anon_sym_LPAREN2,
    ACTIONS(6879), 1,
      anon_sym_LBRACK,
    ACTIONS(6883), 1,
      anon_sym_DOT,
    ACTIONS(8513), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8679), 1,
      anon_sym_SLASH,
    ACTIONS(8681), 1,
      anon_sym_PIPE,
    ACTIONS(8685), 1,
      anon_sym_AMP,
    ACTIONS(8691), 1,
      anon_sym_GT_EQ,
    ACTIONS(8695), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8697), 1,
      anon_sym_bitor,
    ACTIONS(8699), 1,
      anon_sym_bitand,
    ACTIONS(8705), 1,
      anon_sym_QMARK,
    ACTIONS(9372), 1,
      anon_sym_RPAREN,
    STATE(3592), 1,
      sym_subscript_argument_list,
    STATE(3604), 1,
      sym_argument_list,
    ACTIONS(6885), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8218), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8675), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8677), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8683), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8693), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8701), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8703), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8687), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8689), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [172198] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6440), 1,
      anon_sym_LPAREN2,
    ACTIONS(6879), 1,
      anon_sym_LBRACK,
    ACTIONS(6883), 1,
      anon_sym_DOT,
    ACTIONS(8513), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8679), 1,
      anon_sym_SLASH,
    ACTIONS(8681), 1,
      anon_sym_PIPE,
    ACTIONS(8685), 1,
      anon_sym_AMP,
    ACTIONS(8691), 1,
      anon_sym_GT_EQ,
    ACTIONS(8695), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8697), 1,
      anon_sym_bitor,
    ACTIONS(8699), 1,
      anon_sym_bitand,
    ACTIONS(8705), 1,
      anon_sym_QMARK,
    ACTIONS(9374), 1,
      anon_sym_COMMA,
    STATE(3592), 1,
      sym_subscript_argument_list,
    STATE(3604), 1,
      sym_argument_list,
    ACTIONS(6885), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8218), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8675), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8677), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8683), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8693), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8701), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8703), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8687), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8689), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [172289] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6440), 1,
      anon_sym_LPAREN2,
    ACTIONS(6879), 1,
      anon_sym_LBRACK,
    ACTIONS(6883), 1,
      anon_sym_DOT,
    ACTIONS(8513), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8679), 1,
      anon_sym_SLASH,
    ACTIONS(8681), 1,
      anon_sym_PIPE,
    ACTIONS(8685), 1,
      anon_sym_AMP,
    ACTIONS(8691), 1,
      anon_sym_GT_EQ,
    ACTIONS(8695), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8697), 1,
      anon_sym_bitor,
    ACTIONS(8699), 1,
      anon_sym_bitand,
    ACTIONS(8705), 1,
      anon_sym_QMARK,
    ACTIONS(9376), 1,
      anon_sym_COMMA,
    STATE(3592), 1,
      sym_subscript_argument_list,
    STATE(3604), 1,
      sym_argument_list,
    ACTIONS(6885), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8218), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8675), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8677), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8683), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8693), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8701), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8703), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8687), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8689), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [172380] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(5889), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5970), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(9378), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5972), 29,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [172429] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6440), 1,
      anon_sym_LPAREN2,
    ACTIONS(6879), 1,
      anon_sym_LBRACK,
    ACTIONS(6883), 1,
      anon_sym_DOT,
    ACTIONS(8513), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8679), 1,
      anon_sym_SLASH,
    ACTIONS(8681), 1,
      anon_sym_PIPE,
    ACTIONS(8685), 1,
      anon_sym_AMP,
    ACTIONS(8691), 1,
      anon_sym_GT_EQ,
    ACTIONS(8695), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8697), 1,
      anon_sym_bitor,
    ACTIONS(8699), 1,
      anon_sym_bitand,
    ACTIONS(8705), 1,
      anon_sym_QMARK,
    ACTIONS(9380), 1,
      anon_sym_SEMI,
    STATE(3592), 1,
      sym_subscript_argument_list,
    STATE(3604), 1,
      sym_argument_list,
    ACTIONS(6885), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8218), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8675), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8677), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8683), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8693), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8701), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8703), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8687), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8689), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [172520] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4379), 1,
      anon_sym_const,
    ACTIONS(4561), 1,
      anon_sym_LPAREN2,
    ACTIONS(8509), 1,
      anon_sym_LBRACK,
    ACTIONS(8539), 1,
      anon_sym_STAR,
    ACTIONS(8541), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8543), 1,
      anon_sym_AMP,
    ACTIONS(9181), 1,
      sym_auto,
    ACTIONS(9183), 1,
      anon_sym_decltype,
    STATE(4931), 1,
      sym_parameter_list,
    STATE(6377), 1,
      sym_decltype_auto,
    STATE(7422), 1,
      sym__function_declarator_seq,
    STATE(7614), 1,
      sym__abstract_declarator,
    STATE(6101), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(7436), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8545), 7,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
    ACTIONS(8527), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [172593] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6440), 1,
      anon_sym_LPAREN2,
    ACTIONS(6879), 1,
      anon_sym_LBRACK,
    ACTIONS(6883), 1,
      anon_sym_DOT,
    ACTIONS(8513), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8679), 1,
      anon_sym_SLASH,
    ACTIONS(8681), 1,
      anon_sym_PIPE,
    ACTIONS(8685), 1,
      anon_sym_AMP,
    ACTIONS(8691), 1,
      anon_sym_GT_EQ,
    ACTIONS(8695), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8697), 1,
      anon_sym_bitor,
    ACTIONS(8699), 1,
      anon_sym_bitand,
    ACTIONS(8705), 1,
      anon_sym_QMARK,
    ACTIONS(9382), 1,
      anon_sym_SEMI,
    STATE(3592), 1,
      sym_subscript_argument_list,
    STATE(3604), 1,
      sym_argument_list,
    ACTIONS(6885), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8218), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8675), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8677), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8683), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8693), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8701), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8703), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8687), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8689), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [172684] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4379), 1,
      anon_sym_const,
    ACTIONS(4561), 1,
      anon_sym_LPAREN2,
    ACTIONS(8509), 1,
      anon_sym_LBRACK,
    ACTIONS(8539), 1,
      anon_sym_STAR,
    ACTIONS(8541), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8543), 1,
      anon_sym_AMP,
    ACTIONS(9181), 1,
      sym_auto,
    ACTIONS(9183), 1,
      anon_sym_decltype,
    STATE(4931), 1,
      sym_parameter_list,
    STATE(6377), 1,
      sym_decltype_auto,
    STATE(7422), 1,
      sym__function_declarator_seq,
    STATE(7631), 1,
      sym__abstract_declarator,
    STATE(6093), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(7436), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8533), 7,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
    ACTIONS(8527), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [172757] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2230), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9247), 1,
      anon_sym_LT,
    STATE(6077), 1,
      sym_template_argument_list,
    ACTIONS(2224), 3,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_const,
    ACTIONS(2226), 31,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_or,
      anon_sym_and,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [172808] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6440), 1,
      anon_sym_LPAREN2,
    ACTIONS(6879), 1,
      anon_sym_LBRACK,
    ACTIONS(6883), 1,
      anon_sym_DOT,
    ACTIONS(8513), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8779), 1,
      anon_sym_SLASH,
    ACTIONS(8785), 1,
      anon_sym_PIPE,
    ACTIONS(8789), 1,
      anon_sym_AMP,
    ACTIONS(8795), 1,
      anon_sym_GT_EQ,
    ACTIONS(8801), 1,
      anon_sym_QMARK,
    ACTIONS(8803), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8805), 1,
      anon_sym_bitor,
    ACTIONS(8807), 1,
      anon_sym_bitand,
    ACTIONS(9384), 1,
      anon_sym_RBRACK,
    STATE(3592), 1,
      sym_subscript_argument_list,
    STATE(3604), 1,
      sym_argument_list,
    ACTIONS(6885), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8218), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8775), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8777), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8781), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8783), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8787), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8797), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8791), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8793), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [172899] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6440), 1,
      anon_sym_LPAREN2,
    ACTIONS(6879), 1,
      anon_sym_LBRACK,
    ACTIONS(6883), 1,
      anon_sym_DOT,
    ACTIONS(8513), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8679), 1,
      anon_sym_SLASH,
    ACTIONS(8681), 1,
      anon_sym_PIPE,
    ACTIONS(8685), 1,
      anon_sym_AMP,
    ACTIONS(8691), 1,
      anon_sym_GT_EQ,
    ACTIONS(8695), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8697), 1,
      anon_sym_bitor,
    ACTIONS(8699), 1,
      anon_sym_bitand,
    ACTIONS(8705), 1,
      anon_sym_QMARK,
    ACTIONS(9386), 1,
      anon_sym_SEMI,
    STATE(3592), 1,
      sym_subscript_argument_list,
    STATE(3604), 1,
      sym_argument_list,
    ACTIONS(6885), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8218), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8675), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8677), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8683), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8693), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8701), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8703), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8687), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8689), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [172990] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5300), 1,
      anon_sym_RBRACK,
    ACTIONS(6440), 1,
      anon_sym_LPAREN2,
    ACTIONS(6879), 1,
      anon_sym_LBRACK,
    ACTIONS(6883), 1,
      anon_sym_DOT,
    ACTIONS(8513), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8779), 1,
      anon_sym_SLASH,
    ACTIONS(8785), 1,
      anon_sym_PIPE,
    ACTIONS(8789), 1,
      anon_sym_AMP,
    ACTIONS(8795), 1,
      anon_sym_GT_EQ,
    ACTIONS(8801), 1,
      anon_sym_QMARK,
    ACTIONS(8803), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8805), 1,
      anon_sym_bitor,
    ACTIONS(8807), 1,
      anon_sym_bitand,
    STATE(3592), 1,
      sym_subscript_argument_list,
    STATE(3604), 1,
      sym_argument_list,
    ACTIONS(6885), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8218), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8775), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8777), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8781), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8783), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8787), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8797), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8791), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8793), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [173081] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6440), 1,
      anon_sym_LPAREN2,
    ACTIONS(6879), 1,
      anon_sym_LBRACK,
    ACTIONS(6883), 1,
      anon_sym_DOT,
    ACTIONS(8513), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8679), 1,
      anon_sym_SLASH,
    ACTIONS(8681), 1,
      anon_sym_PIPE,
    ACTIONS(8685), 1,
      anon_sym_AMP,
    ACTIONS(8691), 1,
      anon_sym_GT_EQ,
    ACTIONS(8695), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8697), 1,
      anon_sym_bitor,
    ACTIONS(8699), 1,
      anon_sym_bitand,
    ACTIONS(8705), 1,
      anon_sym_QMARK,
    ACTIONS(9388), 1,
      anon_sym_SEMI,
    STATE(3592), 1,
      sym_subscript_argument_list,
    STATE(3604), 1,
      sym_argument_list,
    ACTIONS(6885), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8218), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8675), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8677), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8683), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8693), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8701), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8703), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8687), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8689), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [173172] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5302), 1,
      anon_sym_RBRACK,
    ACTIONS(6440), 1,
      anon_sym_LPAREN2,
    ACTIONS(6879), 1,
      anon_sym_LBRACK,
    ACTIONS(6883), 1,
      anon_sym_DOT,
    ACTIONS(8513), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8779), 1,
      anon_sym_SLASH,
    ACTIONS(8785), 1,
      anon_sym_PIPE,
    ACTIONS(8789), 1,
      anon_sym_AMP,
    ACTIONS(8795), 1,
      anon_sym_GT_EQ,
    ACTIONS(8801), 1,
      anon_sym_QMARK,
    ACTIONS(8803), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8805), 1,
      anon_sym_bitor,
    ACTIONS(8807), 1,
      anon_sym_bitand,
    STATE(3592), 1,
      sym_subscript_argument_list,
    STATE(3604), 1,
      sym_argument_list,
    ACTIONS(6885), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8218), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8775), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8777), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8781), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8783), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8787), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8797), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8791), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8793), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [173263] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6440), 1,
      anon_sym_LPAREN2,
    ACTIONS(6879), 1,
      anon_sym_LBRACK,
    ACTIONS(6883), 1,
      anon_sym_DOT,
    ACTIONS(8513), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8679), 1,
      anon_sym_SLASH,
    ACTIONS(8681), 1,
      anon_sym_PIPE,
    ACTIONS(8685), 1,
      anon_sym_AMP,
    ACTIONS(8691), 1,
      anon_sym_GT_EQ,
    ACTIONS(8695), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8697), 1,
      anon_sym_bitor,
    ACTIONS(8699), 1,
      anon_sym_bitand,
    ACTIONS(8705), 1,
      anon_sym_QMARK,
    ACTIONS(9390), 1,
      anon_sym_SEMI,
    STATE(3592), 1,
      sym_subscript_argument_list,
    STATE(3604), 1,
      sym_argument_list,
    ACTIONS(6885), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8218), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8675), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8677), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8683), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8693), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8701), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8703), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8687), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8689), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [173354] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6440), 1,
      anon_sym_LPAREN2,
    ACTIONS(6879), 1,
      anon_sym_LBRACK,
    ACTIONS(6883), 1,
      anon_sym_DOT,
    ACTIONS(8513), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8679), 1,
      anon_sym_SLASH,
    ACTIONS(8681), 1,
      anon_sym_PIPE,
    ACTIONS(8685), 1,
      anon_sym_AMP,
    ACTIONS(8691), 1,
      anon_sym_GT_EQ,
    ACTIONS(8695), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8697), 1,
      anon_sym_bitor,
    ACTIONS(8699), 1,
      anon_sym_bitand,
    ACTIONS(8705), 1,
      anon_sym_QMARK,
    ACTIONS(9392), 1,
      anon_sym_SEMI,
    STATE(3592), 1,
      sym_subscript_argument_list,
    STATE(3604), 1,
      sym_argument_list,
    ACTIONS(6885), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8218), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8675), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8677), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8683), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8693), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8701), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8703), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8687), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8689), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [173445] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5464), 1,
      anon_sym_RBRACK,
    ACTIONS(6440), 1,
      anon_sym_LPAREN2,
    ACTIONS(6879), 1,
      anon_sym_LBRACK,
    ACTIONS(6883), 1,
      anon_sym_DOT,
    ACTIONS(8513), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8779), 1,
      anon_sym_SLASH,
    ACTIONS(8785), 1,
      anon_sym_PIPE,
    ACTIONS(8789), 1,
      anon_sym_AMP,
    ACTIONS(8795), 1,
      anon_sym_GT_EQ,
    ACTIONS(8801), 1,
      anon_sym_QMARK,
    ACTIONS(8803), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8805), 1,
      anon_sym_bitor,
    ACTIONS(8807), 1,
      anon_sym_bitand,
    STATE(3592), 1,
      sym_subscript_argument_list,
    STATE(3604), 1,
      sym_argument_list,
    ACTIONS(6885), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8218), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8775), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8777), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8781), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8783), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8787), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8797), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8791), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8793), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [173536] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6440), 1,
      anon_sym_LPAREN2,
    ACTIONS(6879), 1,
      anon_sym_LBRACK,
    ACTIONS(6883), 1,
      anon_sym_DOT,
    ACTIONS(8513), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8679), 1,
      anon_sym_SLASH,
    ACTIONS(8681), 1,
      anon_sym_PIPE,
    ACTIONS(8685), 1,
      anon_sym_AMP,
    ACTIONS(8691), 1,
      anon_sym_GT_EQ,
    ACTIONS(8695), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8697), 1,
      anon_sym_bitor,
    ACTIONS(8699), 1,
      anon_sym_bitand,
    ACTIONS(8705), 1,
      anon_sym_QMARK,
    ACTIONS(9394), 1,
      anon_sym_SEMI,
    STATE(3592), 1,
      sym_subscript_argument_list,
    STATE(3604), 1,
      sym_argument_list,
    ACTIONS(6885), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8218), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8675), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8677), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8683), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8693), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8701), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8703), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8687), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8689), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [173627] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6440), 1,
      anon_sym_LPAREN2,
    ACTIONS(6879), 1,
      anon_sym_LBRACK,
    ACTIONS(6883), 1,
      anon_sym_DOT,
    ACTIONS(8513), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8679), 1,
      anon_sym_SLASH,
    ACTIONS(8681), 1,
      anon_sym_PIPE,
    ACTIONS(8685), 1,
      anon_sym_AMP,
    ACTIONS(8691), 1,
      anon_sym_GT_EQ,
    ACTIONS(8695), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8697), 1,
      anon_sym_bitor,
    ACTIONS(8699), 1,
      anon_sym_bitand,
    ACTIONS(8705), 1,
      anon_sym_QMARK,
    ACTIONS(9396), 1,
      anon_sym_SEMI,
    STATE(3592), 1,
      sym_subscript_argument_list,
    STATE(3604), 1,
      sym_argument_list,
    ACTIONS(6885), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8218), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8675), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8677), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8683), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8693), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8701), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8703), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8687), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8689), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [173718] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6440), 1,
      anon_sym_LPAREN2,
    ACTIONS(6879), 1,
      anon_sym_LBRACK,
    ACTIONS(7897), 1,
      anon_sym_DOT,
    ACTIONS(8513), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(9082), 1,
      anon_sym_SLASH,
    ACTIONS(9088), 1,
      anon_sym_PIPE,
    ACTIONS(9092), 1,
      anon_sym_AMP,
    ACTIONS(9098), 1,
      anon_sym_GT_EQ,
    ACTIONS(9102), 1,
      anon_sym_QMARK,
    ACTIONS(9104), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(9106), 1,
      anon_sym_bitor,
    ACTIONS(9108), 1,
      anon_sym_bitand,
    ACTIONS(9398), 1,
      anon_sym_COLON,
    STATE(3592), 1,
      sym_subscript_argument_list,
    STATE(3604), 1,
      sym_argument_list,
    ACTIONS(7899), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8218), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(9078), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9080), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(9084), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(9086), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(9090), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(9100), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(9094), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(9096), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [173809] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6440), 1,
      anon_sym_LPAREN2,
    ACTIONS(6879), 1,
      anon_sym_LBRACK,
    ACTIONS(6883), 1,
      anon_sym_DOT,
    ACTIONS(8513), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8679), 1,
      anon_sym_SLASH,
    ACTIONS(8681), 1,
      anon_sym_PIPE,
    ACTIONS(8685), 1,
      anon_sym_AMP,
    ACTIONS(8691), 1,
      anon_sym_GT_EQ,
    ACTIONS(8695), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8697), 1,
      anon_sym_bitor,
    ACTIONS(8699), 1,
      anon_sym_bitand,
    ACTIONS(8705), 1,
      anon_sym_QMARK,
    ACTIONS(9400), 1,
      anon_sym_RPAREN,
    STATE(3592), 1,
      sym_subscript_argument_list,
    STATE(3604), 1,
      sym_argument_list,
    ACTIONS(6885), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8218), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8675), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8677), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8683), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8693), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8701), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8703), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8687), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8689), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [173900] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(5542), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5962), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(9402), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5964), 29,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [173949] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9407), 1,
      anon_sym_const,
    ACTIONS(6481), 2,
      anon_sym_AMP,
      anon_sym_LBRACK,
    STATE(5879), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(9404), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
    ACTIONS(6483), 21,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_noexcept,
      anon_sym_throw,
      anon_sym_requires,
  [174000] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5783), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(5785), 34,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_noexcept,
      anon_sym_throw,
      anon_sym_requires,
  [174045] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6440), 1,
      anon_sym_LPAREN2,
    ACTIONS(6879), 1,
      anon_sym_LBRACK,
    ACTIONS(6883), 1,
      anon_sym_DOT,
    ACTIONS(8513), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8679), 1,
      anon_sym_SLASH,
    ACTIONS(8681), 1,
      anon_sym_PIPE,
    ACTIONS(8685), 1,
      anon_sym_AMP,
    ACTIONS(8691), 1,
      anon_sym_GT_EQ,
    ACTIONS(8695), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8697), 1,
      anon_sym_bitor,
    ACTIONS(8699), 1,
      anon_sym_bitand,
    ACTIONS(8705), 1,
      anon_sym_QMARK,
    ACTIONS(9410), 1,
      anon_sym_RPAREN,
    STATE(3592), 1,
      sym_subscript_argument_list,
    STATE(3604), 1,
      sym_argument_list,
    ACTIONS(6885), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8218), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8675), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8677), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8683), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8693), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8701), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8703), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8687), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8689), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [174136] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(5542), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5958), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(9402), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5960), 29,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [174185] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6440), 1,
      anon_sym_LPAREN2,
    ACTIONS(6879), 1,
      anon_sym_LBRACK,
    ACTIONS(6883), 1,
      anon_sym_DOT,
    ACTIONS(8513), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8679), 1,
      anon_sym_SLASH,
    ACTIONS(8681), 1,
      anon_sym_PIPE,
    ACTIONS(8685), 1,
      anon_sym_AMP,
    ACTIONS(8691), 1,
      anon_sym_GT_EQ,
    ACTIONS(8695), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8697), 1,
      anon_sym_bitor,
    ACTIONS(8699), 1,
      anon_sym_bitand,
    ACTIONS(8705), 1,
      anon_sym_QMARK,
    ACTIONS(9412), 1,
      anon_sym_RPAREN,
    STATE(3592), 1,
      sym_subscript_argument_list,
    STATE(3604), 1,
      sym_argument_list,
    ACTIONS(6885), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8218), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8675), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8677), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8683), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8693), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8701), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8703), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8687), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8689), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [174276] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6440), 1,
      anon_sym_LPAREN2,
    ACTIONS(6879), 1,
      anon_sym_LBRACK,
    ACTIONS(6883), 1,
      anon_sym_DOT,
    ACTIONS(8513), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8679), 1,
      anon_sym_SLASH,
    ACTIONS(8681), 1,
      anon_sym_PIPE,
    ACTIONS(8685), 1,
      anon_sym_AMP,
    ACTIONS(8691), 1,
      anon_sym_GT_EQ,
    ACTIONS(8695), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8697), 1,
      anon_sym_bitor,
    ACTIONS(8699), 1,
      anon_sym_bitand,
    ACTIONS(8705), 1,
      anon_sym_QMARK,
    ACTIONS(9414), 1,
      anon_sym_SEMI,
    STATE(3592), 1,
      sym_subscript_argument_list,
    STATE(3604), 1,
      sym_argument_list,
    ACTIONS(6885), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8218), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8675), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8677), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8683), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8693), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8701), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8703), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8687), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8689), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [174367] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5265), 1,
      anon_sym_RBRACK,
    ACTIONS(6440), 1,
      anon_sym_LPAREN2,
    ACTIONS(6879), 1,
      anon_sym_LBRACK,
    ACTIONS(6883), 1,
      anon_sym_DOT,
    ACTIONS(8513), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8779), 1,
      anon_sym_SLASH,
    ACTIONS(8785), 1,
      anon_sym_PIPE,
    ACTIONS(8789), 1,
      anon_sym_AMP,
    ACTIONS(8795), 1,
      anon_sym_GT_EQ,
    ACTIONS(8801), 1,
      anon_sym_QMARK,
    ACTIONS(8803), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8805), 1,
      anon_sym_bitor,
    ACTIONS(8807), 1,
      anon_sym_bitand,
    STATE(3592), 1,
      sym_subscript_argument_list,
    STATE(3604), 1,
      sym_argument_list,
    ACTIONS(6885), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8218), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8775), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8777), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8781), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8783), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8787), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8797), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8791), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8793), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [174458] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6440), 1,
      anon_sym_LPAREN2,
    ACTIONS(6879), 1,
      anon_sym_LBRACK,
    ACTIONS(6883), 1,
      anon_sym_DOT,
    ACTIONS(8513), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8679), 1,
      anon_sym_SLASH,
    ACTIONS(8681), 1,
      anon_sym_PIPE,
    ACTIONS(8685), 1,
      anon_sym_AMP,
    ACTIONS(8691), 1,
      anon_sym_GT_EQ,
    ACTIONS(8695), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8697), 1,
      anon_sym_bitor,
    ACTIONS(8699), 1,
      anon_sym_bitand,
    ACTIONS(8705), 1,
      anon_sym_QMARK,
    ACTIONS(9416), 1,
      anon_sym_SEMI,
    STATE(3592), 1,
      sym_subscript_argument_list,
    STATE(3604), 1,
      sym_argument_list,
    ACTIONS(6885), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8218), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8675), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8677), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8683), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8693), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8701), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8703), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8687), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8689), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [174549] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6440), 1,
      anon_sym_LPAREN2,
    ACTIONS(6879), 1,
      anon_sym_LBRACK,
    ACTIONS(6883), 1,
      anon_sym_DOT,
    ACTIONS(8513), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8679), 1,
      anon_sym_SLASH,
    ACTIONS(8681), 1,
      anon_sym_PIPE,
    ACTIONS(8685), 1,
      anon_sym_AMP,
    ACTIONS(8691), 1,
      anon_sym_GT_EQ,
    ACTIONS(8695), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8697), 1,
      anon_sym_bitor,
    ACTIONS(8699), 1,
      anon_sym_bitand,
    ACTIONS(8705), 1,
      anon_sym_QMARK,
    ACTIONS(9418), 1,
      anon_sym_RPAREN,
    STATE(3592), 1,
      sym_subscript_argument_list,
    STATE(3604), 1,
      sym_argument_list,
    ACTIONS(6885), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8218), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8675), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8677), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8683), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8693), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8701), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8703), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8687), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8689), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [174640] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1486), 1,
      anon_sym_template,
    ACTIONS(2588), 1,
      anon_sym_operator,
    ACTIONS(2877), 1,
      anon_sym_TILDE,
    ACTIONS(3148), 1,
      anon_sym_decltype,
    ACTIONS(4395), 1,
      anon_sym_LPAREN2,
    ACTIONS(4397), 1,
      anon_sym_STAR,
    ACTIONS(4399), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4401), 1,
      anon_sym_AMP,
    ACTIONS(5573), 1,
      sym_identifier,
    ACTIONS(6752), 1,
      anon_sym_LBRACK,
    ACTIONS(7243), 1,
      anon_sym_COLON_COLON,
    STATE(4924), 1,
      sym_parameter_list,
    STATE(7003), 1,
      sym__scope_resolution,
    STATE(7422), 1,
      sym__function_declarator_seq,
    STATE(7958), 1,
      sym__declarator,
    STATE(8121), 1,
      sym__abstract_declarator,
    STATE(10332), 1,
      sym_ms_based_modifier,
    STATE(10317), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(7436), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    STATE(7680), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [174723] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(5542), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5966), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(9402), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5968), 29,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [174772] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6440), 1,
      anon_sym_LPAREN2,
    ACTIONS(6879), 1,
      anon_sym_LBRACK,
    ACTIONS(6883), 1,
      anon_sym_DOT,
    ACTIONS(8513), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8779), 1,
      anon_sym_SLASH,
    ACTIONS(8785), 1,
      anon_sym_PIPE,
    ACTIONS(8789), 1,
      anon_sym_AMP,
    ACTIONS(8795), 1,
      anon_sym_GT_EQ,
    ACTIONS(8801), 1,
      anon_sym_QMARK,
    ACTIONS(8803), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8805), 1,
      anon_sym_bitor,
    ACTIONS(8807), 1,
      anon_sym_bitand,
    ACTIONS(9420), 1,
      anon_sym_RBRACK,
    STATE(3592), 1,
      sym_subscript_argument_list,
    STATE(3604), 1,
      sym_argument_list,
    ACTIONS(6885), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8218), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8775), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8777), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8781), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8783), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8787), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8797), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8791), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8793), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [174863] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6440), 1,
      anon_sym_LPAREN2,
    ACTIONS(6879), 1,
      anon_sym_LBRACK,
    ACTIONS(6883), 1,
      anon_sym_DOT,
    ACTIONS(8513), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8679), 1,
      anon_sym_SLASH,
    ACTIONS(8681), 1,
      anon_sym_PIPE,
    ACTIONS(8685), 1,
      anon_sym_AMP,
    ACTIONS(8691), 1,
      anon_sym_GT_EQ,
    ACTIONS(8695), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8697), 1,
      anon_sym_bitor,
    ACTIONS(8699), 1,
      anon_sym_bitand,
    ACTIONS(8705), 1,
      anon_sym_QMARK,
    ACTIONS(9422), 1,
      anon_sym_SEMI,
    STATE(3592), 1,
      sym_subscript_argument_list,
    STATE(3604), 1,
      sym_argument_list,
    ACTIONS(6885), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8218), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8675), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8677), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8683), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8693), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8701), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8703), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8687), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8689), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [174954] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6440), 1,
      anon_sym_LPAREN2,
    ACTIONS(6879), 1,
      anon_sym_LBRACK,
    ACTIONS(6883), 1,
      anon_sym_DOT,
    ACTIONS(8513), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8679), 1,
      anon_sym_SLASH,
    ACTIONS(8681), 1,
      anon_sym_PIPE,
    ACTIONS(8685), 1,
      anon_sym_AMP,
    ACTIONS(8691), 1,
      anon_sym_GT_EQ,
    ACTIONS(8695), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8697), 1,
      anon_sym_bitor,
    ACTIONS(8699), 1,
      anon_sym_bitand,
    ACTIONS(8705), 1,
      anon_sym_QMARK,
    ACTIONS(9424), 1,
      anon_sym_RPAREN,
    STATE(3592), 1,
      sym_subscript_argument_list,
    STATE(3604), 1,
      sym_argument_list,
    ACTIONS(6885), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8218), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8675), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8677), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8683), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8693), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8701), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8703), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8687), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8689), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [175045] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1486), 1,
      anon_sym_template,
    ACTIONS(2588), 1,
      anon_sym_operator,
    ACTIONS(2875), 1,
      anon_sym_LPAREN2,
    ACTIONS(2877), 1,
      anon_sym_TILDE,
    ACTIONS(3148), 1,
      anon_sym_decltype,
    ACTIONS(6738), 1,
      sym_identifier,
    ACTIONS(6750), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8030), 1,
      anon_sym_LBRACK,
    ACTIONS(8065), 1,
      anon_sym_STAR,
    ACTIONS(8067), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8069), 1,
      anon_sym_AMP,
    STATE(6430), 1,
      sym_ms_call_modifier,
    STATE(7058), 1,
      sym__scope_resolution,
    STATE(7084), 1,
      sym__declarator,
    STATE(8688), 1,
      sym_init_declarator,
    STATE(9827), 1,
      sym_ms_based_modifier,
    STATE(10317), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    ACTIONS(2544), 6,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
    STATE(7680), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [175126] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6440), 1,
      anon_sym_LPAREN2,
    ACTIONS(6879), 1,
      anon_sym_LBRACK,
    ACTIONS(6883), 1,
      anon_sym_DOT,
    ACTIONS(8513), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8779), 1,
      anon_sym_SLASH,
    ACTIONS(8785), 1,
      anon_sym_PIPE,
    ACTIONS(8789), 1,
      anon_sym_AMP,
    ACTIONS(8795), 1,
      anon_sym_GT_EQ,
    ACTIONS(8801), 1,
      anon_sym_QMARK,
    ACTIONS(8803), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8805), 1,
      anon_sym_bitor,
    ACTIONS(8807), 1,
      anon_sym_bitand,
    ACTIONS(9426), 1,
      anon_sym_RBRACK,
    STATE(3592), 1,
      sym_subscript_argument_list,
    STATE(3604), 1,
      sym_argument_list,
    ACTIONS(6885), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8218), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8775), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8777), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8781), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8783), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8787), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8797), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8791), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8793), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [175217] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2230), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9247), 1,
      anon_sym_LT,
    STATE(6077), 1,
      sym_template_argument_list,
    ACTIONS(2232), 3,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_const,
    ACTIONS(2234), 31,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_or,
      anon_sym_and,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [175268] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6440), 1,
      anon_sym_LPAREN2,
    ACTIONS(6879), 1,
      anon_sym_LBRACK,
    ACTIONS(6883), 1,
      anon_sym_DOT,
    ACTIONS(8513), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8779), 1,
      anon_sym_SLASH,
    ACTIONS(8785), 1,
      anon_sym_PIPE,
    ACTIONS(8789), 1,
      anon_sym_AMP,
    ACTIONS(8795), 1,
      anon_sym_GT_EQ,
    ACTIONS(8801), 1,
      anon_sym_QMARK,
    ACTIONS(8803), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8805), 1,
      anon_sym_bitor,
    ACTIONS(8807), 1,
      anon_sym_bitand,
    ACTIONS(9428), 1,
      anon_sym_RBRACK,
    STATE(3592), 1,
      sym_subscript_argument_list,
    STATE(3604), 1,
      sym_argument_list,
    ACTIONS(6885), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8218), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8775), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8777), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8781), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8783), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8787), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8797), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8791), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8793), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [175359] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6440), 1,
      anon_sym_LPAREN2,
    ACTIONS(6879), 1,
      anon_sym_LBRACK,
    ACTIONS(6883), 1,
      anon_sym_DOT,
    ACTIONS(8513), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8679), 1,
      anon_sym_SLASH,
    ACTIONS(8681), 1,
      anon_sym_PIPE,
    ACTIONS(8685), 1,
      anon_sym_AMP,
    ACTIONS(8691), 1,
      anon_sym_GT_EQ,
    ACTIONS(8695), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8697), 1,
      anon_sym_bitor,
    ACTIONS(8699), 1,
      anon_sym_bitand,
    ACTIONS(8705), 1,
      anon_sym_QMARK,
    ACTIONS(9430), 1,
      anon_sym_RPAREN,
    STATE(3592), 1,
      sym_subscript_argument_list,
    STATE(3604), 1,
      sym_argument_list,
    ACTIONS(6885), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8218), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8675), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8677), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8683), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8693), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8701), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8703), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8687), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8689), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [175450] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6440), 1,
      anon_sym_LPAREN2,
    ACTIONS(6879), 1,
      anon_sym_LBRACK,
    ACTIONS(6883), 1,
      anon_sym_DOT,
    ACTIONS(8513), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8779), 1,
      anon_sym_SLASH,
    ACTIONS(8785), 1,
      anon_sym_PIPE,
    ACTIONS(8789), 1,
      anon_sym_AMP,
    ACTIONS(8795), 1,
      anon_sym_GT_EQ,
    ACTIONS(8801), 1,
      anon_sym_QMARK,
    ACTIONS(8803), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8805), 1,
      anon_sym_bitor,
    ACTIONS(8807), 1,
      anon_sym_bitand,
    ACTIONS(9432), 1,
      anon_sym_RBRACK,
    STATE(3592), 1,
      sym_subscript_argument_list,
    STATE(3604), 1,
      sym_argument_list,
    ACTIONS(6885), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8218), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8775), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8777), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8781), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8783), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8787), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8797), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8791), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8793), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [175541] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6440), 1,
      anon_sym_LPAREN2,
    ACTIONS(6879), 1,
      anon_sym_LBRACK,
    ACTIONS(6883), 1,
      anon_sym_DOT,
    ACTIONS(8513), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8679), 1,
      anon_sym_SLASH,
    ACTIONS(8681), 1,
      anon_sym_PIPE,
    ACTIONS(8685), 1,
      anon_sym_AMP,
    ACTIONS(8691), 1,
      anon_sym_GT_EQ,
    ACTIONS(8695), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8697), 1,
      anon_sym_bitor,
    ACTIONS(8699), 1,
      anon_sym_bitand,
    ACTIONS(8705), 1,
      anon_sym_QMARK,
    ACTIONS(9434), 1,
      anon_sym_RPAREN,
    STATE(3592), 1,
      sym_subscript_argument_list,
    STATE(3604), 1,
      sym_argument_list,
    ACTIONS(6885), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8218), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8675), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8677), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8683), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8693), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8701), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8703), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8687), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8689), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [175632] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1486), 1,
      anon_sym_template,
    ACTIONS(2588), 1,
      anon_sym_operator,
    ACTIONS(2875), 1,
      anon_sym_LPAREN2,
    ACTIONS(2877), 1,
      anon_sym_TILDE,
    ACTIONS(3148), 1,
      anon_sym_decltype,
    ACTIONS(6738), 1,
      sym_identifier,
    ACTIONS(6750), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8030), 1,
      anon_sym_LBRACK,
    ACTIONS(8065), 1,
      anon_sym_STAR,
    ACTIONS(8067), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8069), 1,
      anon_sym_AMP,
    STATE(6462), 1,
      sym_ms_call_modifier,
    STATE(7058), 1,
      sym__scope_resolution,
    STATE(7077), 1,
      sym__declarator,
    STATE(8618), 1,
      sym_init_declarator,
    STATE(9827), 1,
      sym_ms_based_modifier,
    STATE(10317), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    ACTIONS(2544), 6,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
    STATE(7680), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [175713] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6440), 1,
      anon_sym_LPAREN2,
    ACTIONS(6879), 1,
      anon_sym_LBRACK,
    ACTIONS(6883), 1,
      anon_sym_DOT,
    ACTIONS(8513), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8679), 1,
      anon_sym_SLASH,
    ACTIONS(8681), 1,
      anon_sym_PIPE,
    ACTIONS(8685), 1,
      anon_sym_AMP,
    ACTIONS(8691), 1,
      anon_sym_GT_EQ,
    ACTIONS(8695), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8697), 1,
      anon_sym_bitor,
    ACTIONS(8699), 1,
      anon_sym_bitand,
    ACTIONS(8705), 1,
      anon_sym_QMARK,
    ACTIONS(9436), 1,
      anon_sym_SEMI,
    STATE(3592), 1,
      sym_subscript_argument_list,
    STATE(3604), 1,
      sym_argument_list,
    ACTIONS(6885), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8218), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8675), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8677), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8683), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8693), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8701), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8703), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8687), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8689), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [175804] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5279), 1,
      anon_sym_RBRACK,
    ACTIONS(6440), 1,
      anon_sym_LPAREN2,
    ACTIONS(6879), 1,
      anon_sym_LBRACK,
    ACTIONS(6883), 1,
      anon_sym_DOT,
    ACTIONS(8513), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8779), 1,
      anon_sym_SLASH,
    ACTIONS(8785), 1,
      anon_sym_PIPE,
    ACTIONS(8789), 1,
      anon_sym_AMP,
    ACTIONS(8795), 1,
      anon_sym_GT_EQ,
    ACTIONS(8801), 1,
      anon_sym_QMARK,
    ACTIONS(8803), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8805), 1,
      anon_sym_bitor,
    ACTIONS(8807), 1,
      anon_sym_bitand,
    STATE(3592), 1,
      sym_subscript_argument_list,
    STATE(3604), 1,
      sym_argument_list,
    ACTIONS(6885), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8218), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8775), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8777), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8781), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8783), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8787), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8797), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8791), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8793), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [175895] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6440), 1,
      anon_sym_LPAREN2,
    ACTIONS(6879), 1,
      anon_sym_LBRACK,
    ACTIONS(6883), 1,
      anon_sym_DOT,
    ACTIONS(8513), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8679), 1,
      anon_sym_SLASH,
    ACTIONS(8681), 1,
      anon_sym_PIPE,
    ACTIONS(8685), 1,
      anon_sym_AMP,
    ACTIONS(8691), 1,
      anon_sym_GT_EQ,
    ACTIONS(8695), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8697), 1,
      anon_sym_bitor,
    ACTIONS(8699), 1,
      anon_sym_bitand,
    ACTIONS(8705), 1,
      anon_sym_QMARK,
    ACTIONS(9438), 1,
      anon_sym_COMMA,
    STATE(3592), 1,
      sym_subscript_argument_list,
    STATE(3604), 1,
      sym_argument_list,
    ACTIONS(6885), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8218), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8675), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8677), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8683), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8693), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8701), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8703), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8687), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8689), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [175986] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6440), 1,
      anon_sym_LPAREN2,
    ACTIONS(6879), 1,
      anon_sym_LBRACK,
    ACTIONS(6883), 1,
      anon_sym_DOT,
    ACTIONS(8513), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8679), 1,
      anon_sym_SLASH,
    ACTIONS(8681), 1,
      anon_sym_PIPE,
    ACTIONS(8685), 1,
      anon_sym_AMP,
    ACTIONS(8691), 1,
      anon_sym_GT_EQ,
    ACTIONS(8695), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8697), 1,
      anon_sym_bitor,
    ACTIONS(8699), 1,
      anon_sym_bitand,
    ACTIONS(8705), 1,
      anon_sym_QMARK,
    ACTIONS(9440), 1,
      anon_sym_SEMI,
    STATE(3592), 1,
      sym_subscript_argument_list,
    STATE(3604), 1,
      sym_argument_list,
    ACTIONS(6885), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8218), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8675), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8677), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8683), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8693), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8701), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8703), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8687), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8689), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [176077] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6440), 1,
      anon_sym_LPAREN2,
    ACTIONS(6879), 1,
      anon_sym_LBRACK,
    ACTIONS(6883), 1,
      anon_sym_DOT,
    ACTIONS(8513), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8679), 1,
      anon_sym_SLASH,
    ACTIONS(8681), 1,
      anon_sym_PIPE,
    ACTIONS(8685), 1,
      anon_sym_AMP,
    ACTIONS(8691), 1,
      anon_sym_GT_EQ,
    ACTIONS(8695), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8697), 1,
      anon_sym_bitor,
    ACTIONS(8699), 1,
      anon_sym_bitand,
    ACTIONS(8705), 1,
      anon_sym_QMARK,
    ACTIONS(9442), 1,
      anon_sym_SEMI,
    STATE(3592), 1,
      sym_subscript_argument_list,
    STATE(3604), 1,
      sym_argument_list,
    ACTIONS(6885), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8218), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8675), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8677), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8683), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8693), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8701), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8703), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8687), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8689), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [176168] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1486), 1,
      anon_sym_template,
    ACTIONS(2588), 1,
      anon_sym_operator,
    ACTIONS(2875), 1,
      anon_sym_LPAREN2,
    ACTIONS(2877), 1,
      anon_sym_TILDE,
    ACTIONS(3148), 1,
      anon_sym_decltype,
    ACTIONS(6738), 1,
      sym_identifier,
    ACTIONS(6750), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8030), 1,
      anon_sym_LBRACK,
    ACTIONS(8065), 1,
      anon_sym_STAR,
    ACTIONS(8067), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8069), 1,
      anon_sym_AMP,
    STATE(6514), 1,
      sym_ms_call_modifier,
    STATE(7058), 1,
      sym__scope_resolution,
    STATE(7080), 1,
      sym__declarator,
    STATE(8758), 1,
      sym_init_declarator,
    STATE(9827), 1,
      sym_ms_based_modifier,
    STATE(10317), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    ACTIONS(2544), 6,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
    STATE(7680), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [176249] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6440), 1,
      anon_sym_LPAREN2,
    ACTIONS(6879), 1,
      anon_sym_LBRACK,
    ACTIONS(6883), 1,
      anon_sym_DOT,
    ACTIONS(8513), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8679), 1,
      anon_sym_SLASH,
    ACTIONS(8681), 1,
      anon_sym_PIPE,
    ACTIONS(8685), 1,
      anon_sym_AMP,
    ACTIONS(8691), 1,
      anon_sym_GT_EQ,
    ACTIONS(8695), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8697), 1,
      anon_sym_bitor,
    ACTIONS(8699), 1,
      anon_sym_bitand,
    ACTIONS(8705), 1,
      anon_sym_QMARK,
    ACTIONS(9444), 1,
      anon_sym_RPAREN,
    STATE(3592), 1,
      sym_subscript_argument_list,
    STATE(3604), 1,
      sym_argument_list,
    ACTIONS(6885), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8218), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8675), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8677), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8683), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8693), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8701), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8703), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8687), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8689), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [176340] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6440), 1,
      anon_sym_LPAREN2,
    ACTIONS(6879), 1,
      anon_sym_LBRACK,
    ACTIONS(6883), 1,
      anon_sym_DOT,
    ACTIONS(8513), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8779), 1,
      anon_sym_SLASH,
    ACTIONS(8785), 1,
      anon_sym_PIPE,
    ACTIONS(8789), 1,
      anon_sym_AMP,
    ACTIONS(8795), 1,
      anon_sym_GT_EQ,
    ACTIONS(8801), 1,
      anon_sym_QMARK,
    ACTIONS(8803), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8805), 1,
      anon_sym_bitor,
    ACTIONS(8807), 1,
      anon_sym_bitand,
    ACTIONS(9446), 1,
      anon_sym_RBRACK,
    STATE(3592), 1,
      sym_subscript_argument_list,
    STATE(3604), 1,
      sym_argument_list,
    ACTIONS(6885), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8218), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8775), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8777), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8781), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8783), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8787), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8797), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8791), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8793), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [176431] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6440), 1,
      anon_sym_LPAREN2,
    ACTIONS(6879), 1,
      anon_sym_LBRACK,
    ACTIONS(6883), 1,
      anon_sym_DOT,
    ACTIONS(8513), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8679), 1,
      anon_sym_SLASH,
    ACTIONS(8681), 1,
      anon_sym_PIPE,
    ACTIONS(8685), 1,
      anon_sym_AMP,
    ACTIONS(8691), 1,
      anon_sym_GT_EQ,
    ACTIONS(8695), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8697), 1,
      anon_sym_bitor,
    ACTIONS(8699), 1,
      anon_sym_bitand,
    ACTIONS(8705), 1,
      anon_sym_QMARK,
    ACTIONS(9448), 1,
      anon_sym_RPAREN,
    STATE(3592), 1,
      sym_subscript_argument_list,
    STATE(3604), 1,
      sym_argument_list,
    ACTIONS(6885), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8218), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8675), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8677), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8683), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8693), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8701), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8703), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8687), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8689), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [176522] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5397), 1,
      anon_sym_RBRACK,
    ACTIONS(6440), 1,
      anon_sym_LPAREN2,
    ACTIONS(6879), 1,
      anon_sym_LBRACK,
    ACTIONS(6883), 1,
      anon_sym_DOT,
    ACTIONS(8513), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8779), 1,
      anon_sym_SLASH,
    ACTIONS(8785), 1,
      anon_sym_PIPE,
    ACTIONS(8789), 1,
      anon_sym_AMP,
    ACTIONS(8795), 1,
      anon_sym_GT_EQ,
    ACTIONS(8801), 1,
      anon_sym_QMARK,
    ACTIONS(8803), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8805), 1,
      anon_sym_bitor,
    ACTIONS(8807), 1,
      anon_sym_bitand,
    STATE(3592), 1,
      sym_subscript_argument_list,
    STATE(3604), 1,
      sym_argument_list,
    ACTIONS(6885), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8218), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8775), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8777), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8781), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8783), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8787), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8797), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8791), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8793), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [176613] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7414), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_literal_suffix,
    ACTIONS(7416), 19,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [176658] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1486), 1,
      anon_sym_template,
    ACTIONS(2588), 1,
      anon_sym_operator,
    ACTIONS(2875), 1,
      anon_sym_LPAREN2,
    ACTIONS(2877), 1,
      anon_sym_TILDE,
    ACTIONS(3148), 1,
      anon_sym_decltype,
    ACTIONS(6738), 1,
      sym_identifier,
    ACTIONS(6750), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8030), 1,
      anon_sym_LBRACK,
    ACTIONS(8065), 1,
      anon_sym_STAR,
    ACTIONS(8067), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8069), 1,
      anon_sym_AMP,
    STATE(6437), 1,
      sym_ms_call_modifier,
    STATE(7058), 1,
      sym__scope_resolution,
    STATE(7082), 1,
      sym__declarator,
    STATE(8901), 1,
      sym_init_declarator,
    STATE(9827), 1,
      sym_ms_based_modifier,
    STATE(10317), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    ACTIONS(2544), 6,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
    STATE(7680), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [176739] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6440), 1,
      anon_sym_LPAREN2,
    ACTIONS(6879), 1,
      anon_sym_LBRACK,
    ACTIONS(6883), 1,
      anon_sym_DOT,
    ACTIONS(8513), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8679), 1,
      anon_sym_SLASH,
    ACTIONS(8681), 1,
      anon_sym_PIPE,
    ACTIONS(8685), 1,
      anon_sym_AMP,
    ACTIONS(8691), 1,
      anon_sym_GT_EQ,
    ACTIONS(8695), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8697), 1,
      anon_sym_bitor,
    ACTIONS(8699), 1,
      anon_sym_bitand,
    ACTIONS(8705), 1,
      anon_sym_QMARK,
    ACTIONS(9450), 1,
      anon_sym_SEMI,
    STATE(3592), 1,
      sym_subscript_argument_list,
    STATE(3604), 1,
      sym_argument_list,
    ACTIONS(6885), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8218), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8675), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8677), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8683), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8693), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8701), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8703), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8687), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8689), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [176830] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6440), 1,
      anon_sym_LPAREN2,
    ACTIONS(6879), 1,
      anon_sym_LBRACK,
    ACTIONS(6883), 1,
      anon_sym_DOT,
    ACTIONS(8513), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8679), 1,
      anon_sym_SLASH,
    ACTIONS(8681), 1,
      anon_sym_PIPE,
    ACTIONS(8685), 1,
      anon_sym_AMP,
    ACTIONS(8691), 1,
      anon_sym_GT_EQ,
    ACTIONS(8695), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8697), 1,
      anon_sym_bitor,
    ACTIONS(8699), 1,
      anon_sym_bitand,
    ACTIONS(8705), 1,
      anon_sym_QMARK,
    ACTIONS(9452), 1,
      anon_sym_COMMA,
    STATE(3592), 1,
      sym_subscript_argument_list,
    STATE(3604), 1,
      sym_argument_list,
    ACTIONS(6885), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8218), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8675), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8677), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8683), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8693), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8701), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8703), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8687), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8689), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [176921] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5281), 1,
      anon_sym_RBRACK,
    ACTIONS(6440), 1,
      anon_sym_LPAREN2,
    ACTIONS(6879), 1,
      anon_sym_LBRACK,
    ACTIONS(6883), 1,
      anon_sym_DOT,
    ACTIONS(8513), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8779), 1,
      anon_sym_SLASH,
    ACTIONS(8785), 1,
      anon_sym_PIPE,
    ACTIONS(8789), 1,
      anon_sym_AMP,
    ACTIONS(8795), 1,
      anon_sym_GT_EQ,
    ACTIONS(8801), 1,
      anon_sym_QMARK,
    ACTIONS(8803), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8805), 1,
      anon_sym_bitor,
    ACTIONS(8807), 1,
      anon_sym_bitand,
    STATE(3592), 1,
      sym_subscript_argument_list,
    STATE(3604), 1,
      sym_argument_list,
    ACTIONS(6885), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8218), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8775), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8777), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8781), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8783), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8787), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8797), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8791), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8793), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [177012] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6440), 1,
      anon_sym_LPAREN2,
    ACTIONS(6879), 1,
      anon_sym_LBRACK,
    ACTIONS(6883), 1,
      anon_sym_DOT,
    ACTIONS(8513), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8679), 1,
      anon_sym_SLASH,
    ACTIONS(8681), 1,
      anon_sym_PIPE,
    ACTIONS(8685), 1,
      anon_sym_AMP,
    ACTIONS(8691), 1,
      anon_sym_GT_EQ,
    ACTIONS(8695), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8697), 1,
      anon_sym_bitor,
    ACTIONS(8699), 1,
      anon_sym_bitand,
    ACTIONS(8705), 1,
      anon_sym_QMARK,
    ACTIONS(9454), 1,
      anon_sym_RPAREN,
    STATE(3592), 1,
      sym_subscript_argument_list,
    STATE(3604), 1,
      sym_argument_list,
    ACTIONS(6885), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8218), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8675), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8677), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8683), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8693), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8701), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8703), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8687), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8689), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [177103] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6440), 1,
      anon_sym_LPAREN2,
    ACTIONS(6879), 1,
      anon_sym_LBRACK,
    ACTIONS(6883), 1,
      anon_sym_DOT,
    ACTIONS(8513), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8679), 1,
      anon_sym_SLASH,
    ACTIONS(8681), 1,
      anon_sym_PIPE,
    ACTIONS(8685), 1,
      anon_sym_AMP,
    ACTIONS(8691), 1,
      anon_sym_GT_EQ,
    ACTIONS(8695), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8697), 1,
      anon_sym_bitor,
    ACTIONS(8699), 1,
      anon_sym_bitand,
    ACTIONS(8705), 1,
      anon_sym_QMARK,
    ACTIONS(9456), 1,
      anon_sym_SEMI,
    STATE(3592), 1,
      sym_subscript_argument_list,
    STATE(3604), 1,
      sym_argument_list,
    ACTIONS(6885), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8218), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8675), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8677), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8683), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8693), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8701), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8703), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8687), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8689), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [177194] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6440), 1,
      anon_sym_LPAREN2,
    ACTIONS(6879), 1,
      anon_sym_LBRACK,
    ACTIONS(6883), 1,
      anon_sym_DOT,
    ACTIONS(8513), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8679), 1,
      anon_sym_SLASH,
    ACTIONS(8681), 1,
      anon_sym_PIPE,
    ACTIONS(8685), 1,
      anon_sym_AMP,
    ACTIONS(8691), 1,
      anon_sym_GT_EQ,
    ACTIONS(8695), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8697), 1,
      anon_sym_bitor,
    ACTIONS(8699), 1,
      anon_sym_bitand,
    ACTIONS(8705), 1,
      anon_sym_QMARK,
    ACTIONS(9458), 1,
      anon_sym_SEMI,
    STATE(3592), 1,
      sym_subscript_argument_list,
    STATE(3604), 1,
      sym_argument_list,
    ACTIONS(6885), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8218), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8675), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8677), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8683), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8693), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8701), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8703), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8687), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8689), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [177285] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6440), 1,
      anon_sym_LPAREN2,
    ACTIONS(6879), 1,
      anon_sym_LBRACK,
    ACTIONS(6883), 1,
      anon_sym_DOT,
    ACTIONS(8513), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8679), 1,
      anon_sym_SLASH,
    ACTIONS(8681), 1,
      anon_sym_PIPE,
    ACTIONS(8685), 1,
      anon_sym_AMP,
    ACTIONS(8691), 1,
      anon_sym_GT_EQ,
    ACTIONS(8695), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8697), 1,
      anon_sym_bitor,
    ACTIONS(8699), 1,
      anon_sym_bitand,
    ACTIONS(8705), 1,
      anon_sym_QMARK,
    ACTIONS(9460), 1,
      anon_sym_SEMI,
    STATE(3592), 1,
      sym_subscript_argument_list,
    STATE(3604), 1,
      sym_argument_list,
    ACTIONS(6885), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8218), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8675), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8677), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8683), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8693), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8701), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8703), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8687), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8689), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [177376] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4379), 1,
      anon_sym_const,
    ACTIONS(4561), 1,
      anon_sym_LPAREN2,
    ACTIONS(8300), 1,
      sym_auto,
    ACTIONS(8302), 1,
      anon_sym_decltype,
    ACTIONS(8509), 1,
      anon_sym_LBRACK,
    ACTIONS(8521), 1,
      anon_sym_STAR,
    ACTIONS(8523), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8525), 1,
      anon_sym_AMP,
    STATE(3329), 1,
      sym_decltype_auto,
    STATE(4889), 1,
      sym_parameter_list,
    STATE(7422), 1,
      sym__function_declarator_seq,
    STATE(7694), 1,
      sym__abstract_declarator,
    STATE(6094), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(7436), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8533), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    ACTIONS(8527), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [177449] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5462), 1,
      anon_sym_RBRACK,
    ACTIONS(6440), 1,
      anon_sym_LPAREN2,
    ACTIONS(6879), 1,
      anon_sym_LBRACK,
    ACTIONS(6883), 1,
      anon_sym_DOT,
    ACTIONS(8513), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8779), 1,
      anon_sym_SLASH,
    ACTIONS(8785), 1,
      anon_sym_PIPE,
    ACTIONS(8789), 1,
      anon_sym_AMP,
    ACTIONS(8795), 1,
      anon_sym_GT_EQ,
    ACTIONS(8801), 1,
      anon_sym_QMARK,
    ACTIONS(8803), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8805), 1,
      anon_sym_bitor,
    ACTIONS(8807), 1,
      anon_sym_bitand,
    STATE(3592), 1,
      sym_subscript_argument_list,
    STATE(3604), 1,
      sym_argument_list,
    ACTIONS(6885), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8218), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8775), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8777), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8781), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8783), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8787), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8797), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8791), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8793), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [177540] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6440), 1,
      anon_sym_LPAREN2,
    ACTIONS(6879), 1,
      anon_sym_LBRACK,
    ACTIONS(6883), 1,
      anon_sym_DOT,
    ACTIONS(8513), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8679), 1,
      anon_sym_SLASH,
    ACTIONS(8681), 1,
      anon_sym_PIPE,
    ACTIONS(8685), 1,
      anon_sym_AMP,
    ACTIONS(8691), 1,
      anon_sym_GT_EQ,
    ACTIONS(8695), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8697), 1,
      anon_sym_bitor,
    ACTIONS(8699), 1,
      anon_sym_bitand,
    ACTIONS(8705), 1,
      anon_sym_QMARK,
    ACTIONS(9462), 1,
      anon_sym_RPAREN,
    STATE(3592), 1,
      sym_subscript_argument_list,
    STATE(3604), 1,
      sym_argument_list,
    ACTIONS(6885), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8218), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8675), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8677), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8683), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8693), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8701), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8703), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8687), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8689), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [177631] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4379), 1,
      anon_sym_const,
    ACTIONS(4561), 1,
      anon_sym_LPAREN2,
    ACTIONS(8300), 1,
      sym_auto,
    ACTIONS(8302), 1,
      anon_sym_decltype,
    ACTIONS(8509), 1,
      anon_sym_LBRACK,
    ACTIONS(8521), 1,
      anon_sym_STAR,
    ACTIONS(8523), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8525), 1,
      anon_sym_AMP,
    STATE(3329), 1,
      sym_decltype_auto,
    STATE(4889), 1,
      sym_parameter_list,
    STATE(7422), 1,
      sym__function_declarator_seq,
    STATE(7704), 1,
      sym__abstract_declarator,
    STATE(6099), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(7436), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8545), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    ACTIONS(8527), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [177704] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6440), 1,
      anon_sym_LPAREN2,
    ACTIONS(6879), 1,
      anon_sym_LBRACK,
    ACTIONS(6883), 1,
      anon_sym_DOT,
    ACTIONS(8513), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8679), 1,
      anon_sym_SLASH,
    ACTIONS(8681), 1,
      anon_sym_PIPE,
    ACTIONS(8685), 1,
      anon_sym_AMP,
    ACTIONS(8691), 1,
      anon_sym_GT_EQ,
    ACTIONS(8695), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8697), 1,
      anon_sym_bitor,
    ACTIONS(8699), 1,
      anon_sym_bitand,
    ACTIONS(8705), 1,
      anon_sym_QMARK,
    ACTIONS(9464), 1,
      anon_sym_RPAREN,
    STATE(3592), 1,
      sym_subscript_argument_list,
    STATE(3604), 1,
      sym_argument_list,
    ACTIONS(6885), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8218), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8675), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8677), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8683), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8693), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8701), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8703), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8687), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8689), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [177795] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6440), 1,
      anon_sym_LPAREN2,
    ACTIONS(6879), 1,
      anon_sym_LBRACK,
    ACTIONS(6883), 1,
      anon_sym_DOT,
    ACTIONS(8513), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8679), 1,
      anon_sym_SLASH,
    ACTIONS(8681), 1,
      anon_sym_PIPE,
    ACTIONS(8685), 1,
      anon_sym_AMP,
    ACTIONS(8691), 1,
      anon_sym_GT_EQ,
    ACTIONS(8695), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8697), 1,
      anon_sym_bitor,
    ACTIONS(8699), 1,
      anon_sym_bitand,
    ACTIONS(8705), 1,
      anon_sym_QMARK,
    ACTIONS(9466), 1,
      anon_sym_SEMI,
    STATE(3592), 1,
      sym_subscript_argument_list,
    STATE(3604), 1,
      sym_argument_list,
    ACTIONS(6885), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8218), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8675), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8677), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8683), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8693), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8701), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8703), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8687), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8689), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [177886] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6440), 1,
      anon_sym_LPAREN2,
    ACTIONS(6879), 1,
      anon_sym_LBRACK,
    ACTIONS(6883), 1,
      anon_sym_DOT,
    ACTIONS(8513), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8679), 1,
      anon_sym_SLASH,
    ACTIONS(8681), 1,
      anon_sym_PIPE,
    ACTIONS(8685), 1,
      anon_sym_AMP,
    ACTIONS(8691), 1,
      anon_sym_GT_EQ,
    ACTIONS(8695), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8697), 1,
      anon_sym_bitor,
    ACTIONS(8699), 1,
      anon_sym_bitand,
    ACTIONS(8705), 1,
      anon_sym_QMARK,
    ACTIONS(9468), 1,
      anon_sym_RPAREN,
    STATE(3592), 1,
      sym_subscript_argument_list,
    STATE(3604), 1,
      sym_argument_list,
    ACTIONS(6885), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8218), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8675), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8677), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8683), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8693), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8701), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8703), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8687), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8689), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [177977] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6440), 1,
      anon_sym_LPAREN2,
    ACTIONS(6879), 1,
      anon_sym_LBRACK,
    ACTIONS(6883), 1,
      anon_sym_DOT,
    ACTIONS(8513), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8779), 1,
      anon_sym_SLASH,
    ACTIONS(8785), 1,
      anon_sym_PIPE,
    ACTIONS(8789), 1,
      anon_sym_AMP,
    ACTIONS(8795), 1,
      anon_sym_GT_EQ,
    ACTIONS(8801), 1,
      anon_sym_QMARK,
    ACTIONS(8803), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8805), 1,
      anon_sym_bitor,
    ACTIONS(8807), 1,
      anon_sym_bitand,
    ACTIONS(9470), 1,
      anon_sym_RBRACK,
    STATE(3592), 1,
      sym_subscript_argument_list,
    STATE(3604), 1,
      sym_argument_list,
    ACTIONS(6885), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8218), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8775), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8777), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8781), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8783), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8787), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8797), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8791), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8793), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [178068] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6440), 1,
      anon_sym_LPAREN2,
    ACTIONS(6879), 1,
      anon_sym_LBRACK,
    ACTIONS(6883), 1,
      anon_sym_DOT,
    ACTIONS(8513), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8679), 1,
      anon_sym_SLASH,
    ACTIONS(8681), 1,
      anon_sym_PIPE,
    ACTIONS(8685), 1,
      anon_sym_AMP,
    ACTIONS(8691), 1,
      anon_sym_GT_EQ,
    ACTIONS(8695), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8697), 1,
      anon_sym_bitor,
    ACTIONS(8699), 1,
      anon_sym_bitand,
    ACTIONS(8705), 1,
      anon_sym_QMARK,
    ACTIONS(9472), 1,
      anon_sym_SEMI,
    STATE(3592), 1,
      sym_subscript_argument_list,
    STATE(3604), 1,
      sym_argument_list,
    ACTIONS(6885), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8218), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8675), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8677), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8683), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8693), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8701), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8703), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8687), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8689), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [178159] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6440), 1,
      anon_sym_LPAREN2,
    ACTIONS(6879), 1,
      anon_sym_LBRACK,
    ACTIONS(6883), 1,
      anon_sym_DOT,
    ACTIONS(8513), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8679), 1,
      anon_sym_SLASH,
    ACTIONS(8681), 1,
      anon_sym_PIPE,
    ACTIONS(8685), 1,
      anon_sym_AMP,
    ACTIONS(8691), 1,
      anon_sym_GT_EQ,
    ACTIONS(8695), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8697), 1,
      anon_sym_bitor,
    ACTIONS(8699), 1,
      anon_sym_bitand,
    ACTIONS(8705), 1,
      anon_sym_QMARK,
    ACTIONS(9474), 1,
      anon_sym_SEMI,
    STATE(3592), 1,
      sym_subscript_argument_list,
    STATE(3604), 1,
      sym_argument_list,
    ACTIONS(6885), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8218), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8675), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8677), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8683), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8693), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8701), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8703), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8687), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8689), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [178250] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9479), 1,
      anon_sym_const,
    ACTIONS(6481), 2,
      anon_sym_AMP,
      anon_sym_LBRACK,
    STATE(5930), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(9476), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
    ACTIONS(6483), 21,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_noexcept,
      anon_sym_throw,
      anon_sym_requires,
  [178301] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(5889), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5931), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(9378), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5933), 29,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [178350] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6440), 1,
      anon_sym_LPAREN2,
    ACTIONS(6879), 1,
      anon_sym_LBRACK,
    ACTIONS(6883), 1,
      anon_sym_DOT,
    ACTIONS(8513), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8679), 1,
      anon_sym_SLASH,
    ACTIONS(8681), 1,
      anon_sym_PIPE,
    ACTIONS(8685), 1,
      anon_sym_AMP,
    ACTIONS(8691), 1,
      anon_sym_GT_EQ,
    ACTIONS(8695), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8697), 1,
      anon_sym_bitor,
    ACTIONS(8699), 1,
      anon_sym_bitand,
    ACTIONS(8705), 1,
      anon_sym_QMARK,
    ACTIONS(9482), 1,
      anon_sym_SEMI,
    STATE(3592), 1,
      sym_subscript_argument_list,
    STATE(3604), 1,
      sym_argument_list,
    ACTIONS(6885), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8218), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8675), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8677), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8683), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8693), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8701), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8703), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8687), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8689), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [178441] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6440), 1,
      anon_sym_LPAREN2,
    ACTIONS(6879), 1,
      anon_sym_LBRACK,
    ACTIONS(6883), 1,
      anon_sym_DOT,
    ACTIONS(8513), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8679), 1,
      anon_sym_SLASH,
    ACTIONS(8681), 1,
      anon_sym_PIPE,
    ACTIONS(8685), 1,
      anon_sym_AMP,
    ACTIONS(8691), 1,
      anon_sym_GT_EQ,
    ACTIONS(8695), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8697), 1,
      anon_sym_bitor,
    ACTIONS(8699), 1,
      anon_sym_bitand,
    ACTIONS(8705), 1,
      anon_sym_QMARK,
    ACTIONS(9484), 1,
      anon_sym_SEMI,
    STATE(3592), 1,
      sym_subscript_argument_list,
    STATE(3604), 1,
      sym_argument_list,
    ACTIONS(6885), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8218), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8675), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8677), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8683), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8693), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8701), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8703), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8687), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8689), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [178532] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1486), 1,
      anon_sym_template,
    ACTIONS(2588), 1,
      anon_sym_operator,
    ACTIONS(2875), 1,
      anon_sym_LPAREN2,
    ACTIONS(2877), 1,
      anon_sym_TILDE,
    ACTIONS(3148), 1,
      anon_sym_decltype,
    ACTIONS(6738), 1,
      sym_identifier,
    ACTIONS(6750), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8030), 1,
      anon_sym_LBRACK,
    ACTIONS(8065), 1,
      anon_sym_STAR,
    ACTIONS(8067), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8069), 1,
      anon_sym_AMP,
    STATE(6561), 1,
      sym_ms_call_modifier,
    STATE(7058), 1,
      sym__scope_resolution,
    STATE(7073), 1,
      sym__declarator,
    STATE(8551), 1,
      sym_init_declarator,
    STATE(9827), 1,
      sym_ms_based_modifier,
    STATE(10317), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    ACTIONS(2544), 6,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
    STATE(7680), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [178613] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6440), 1,
      anon_sym_LPAREN2,
    ACTIONS(6879), 1,
      anon_sym_LBRACK,
    ACTIONS(6883), 1,
      anon_sym_DOT,
    ACTIONS(8513), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8679), 1,
      anon_sym_SLASH,
    ACTIONS(8681), 1,
      anon_sym_PIPE,
    ACTIONS(8685), 1,
      anon_sym_AMP,
    ACTIONS(8691), 1,
      anon_sym_GT_EQ,
    ACTIONS(8695), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8697), 1,
      anon_sym_bitor,
    ACTIONS(8699), 1,
      anon_sym_bitand,
    ACTIONS(8705), 1,
      anon_sym_QMARK,
    ACTIONS(9486), 1,
      anon_sym_SEMI,
    STATE(3592), 1,
      sym_subscript_argument_list,
    STATE(3604), 1,
      sym_argument_list,
    ACTIONS(6885), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8218), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8675), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8677), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8683), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8693), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8701), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8703), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8687), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8689), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [178704] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1486), 1,
      anon_sym_template,
    ACTIONS(2588), 1,
      anon_sym_operator,
    ACTIONS(2875), 1,
      anon_sym_LPAREN2,
    ACTIONS(2877), 1,
      anon_sym_TILDE,
    ACTIONS(3148), 1,
      anon_sym_decltype,
    ACTIONS(6738), 1,
      sym_identifier,
    ACTIONS(6750), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8030), 1,
      anon_sym_LBRACK,
    ACTIONS(8065), 1,
      anon_sym_STAR,
    ACTIONS(8067), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8069), 1,
      anon_sym_AMP,
    STATE(6470), 1,
      sym_ms_call_modifier,
    STATE(7058), 1,
      sym__scope_resolution,
    STATE(7076), 1,
      sym__declarator,
    STATE(8700), 1,
      sym_init_declarator,
    STATE(9827), 1,
      sym_ms_based_modifier,
    STATE(10317), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    ACTIONS(2544), 6,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
    STATE(7680), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [178785] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5298), 1,
      anon_sym_RBRACK,
    ACTIONS(6440), 1,
      anon_sym_LPAREN2,
    ACTIONS(6879), 1,
      anon_sym_LBRACK,
    ACTIONS(6883), 1,
      anon_sym_DOT,
    ACTIONS(8513), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8779), 1,
      anon_sym_SLASH,
    ACTIONS(8785), 1,
      anon_sym_PIPE,
    ACTIONS(8789), 1,
      anon_sym_AMP,
    ACTIONS(8795), 1,
      anon_sym_GT_EQ,
    ACTIONS(8801), 1,
      anon_sym_QMARK,
    ACTIONS(8803), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8805), 1,
      anon_sym_bitor,
    ACTIONS(8807), 1,
      anon_sym_bitand,
    STATE(3592), 1,
      sym_subscript_argument_list,
    STATE(3604), 1,
      sym_argument_list,
    ACTIONS(6885), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8218), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8775), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8777), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8781), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8783), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8787), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8797), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8791), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8793), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [178876] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6440), 1,
      anon_sym_LPAREN2,
    ACTIONS(6879), 1,
      anon_sym_LBRACK,
    ACTIONS(6883), 1,
      anon_sym_DOT,
    ACTIONS(8513), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8679), 1,
      anon_sym_SLASH,
    ACTIONS(8681), 1,
      anon_sym_PIPE,
    ACTIONS(8685), 1,
      anon_sym_AMP,
    ACTIONS(8691), 1,
      anon_sym_GT_EQ,
    ACTIONS(8695), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8697), 1,
      anon_sym_bitor,
    ACTIONS(8699), 1,
      anon_sym_bitand,
    ACTIONS(8705), 1,
      anon_sym_QMARK,
    ACTIONS(9488), 1,
      anon_sym_SEMI,
    STATE(3592), 1,
      sym_subscript_argument_list,
    STATE(3604), 1,
      sym_argument_list,
    ACTIONS(6885), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8218), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8675), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8677), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8683), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8693), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8701), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8703), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8687), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8689), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [178967] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6961), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(6963), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [179012] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(5542), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5952), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(9402), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5954), 29,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [179061] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6440), 1,
      anon_sym_LPAREN2,
    ACTIONS(6879), 1,
      anon_sym_LBRACK,
    ACTIONS(6883), 1,
      anon_sym_DOT,
    ACTIONS(8779), 1,
      anon_sym_SLASH,
    ACTIONS(8785), 1,
      anon_sym_PIPE,
    ACTIONS(8789), 1,
      anon_sym_AMP,
    ACTIONS(8795), 1,
      anon_sym_GT_EQ,
    ACTIONS(8801), 1,
      anon_sym_QMARK,
    ACTIONS(8803), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8805), 1,
      anon_sym_bitor,
    ACTIONS(8807), 1,
      anon_sym_bitand,
    ACTIONS(9036), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(9490), 1,
      anon_sym_RBRACK,
    STATE(3592), 1,
      sym_subscript_argument_list,
    STATE(3604), 1,
      sym_argument_list,
    ACTIONS(6885), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8218), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8775), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8777), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8781), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8783), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8787), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8797), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8791), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8793), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [179152] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1486), 1,
      anon_sym_template,
    ACTIONS(2588), 1,
      anon_sym_operator,
    ACTIONS(2875), 1,
      anon_sym_LPAREN2,
    ACTIONS(2877), 1,
      anon_sym_TILDE,
    ACTIONS(3148), 1,
      anon_sym_decltype,
    ACTIONS(6738), 1,
      sym_identifier,
    ACTIONS(6750), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8030), 1,
      anon_sym_LBRACK,
    ACTIONS(8065), 1,
      anon_sym_STAR,
    ACTIONS(8067), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8069), 1,
      anon_sym_AMP,
    STATE(6493), 1,
      sym_ms_call_modifier,
    STATE(7058), 1,
      sym__scope_resolution,
    STATE(7086), 1,
      sym__declarator,
    STATE(8567), 1,
      sym_init_declarator,
    STATE(9827), 1,
      sym_ms_based_modifier,
    STATE(10317), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    ACTIONS(2544), 6,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
    STATE(7680), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [179233] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6440), 1,
      anon_sym_LPAREN2,
    ACTIONS(6879), 1,
      anon_sym_LBRACK,
    ACTIONS(6883), 1,
      anon_sym_DOT,
    ACTIONS(8513), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8679), 1,
      anon_sym_SLASH,
    ACTIONS(8681), 1,
      anon_sym_PIPE,
    ACTIONS(8685), 1,
      anon_sym_AMP,
    ACTIONS(8691), 1,
      anon_sym_GT_EQ,
    ACTIONS(8695), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8697), 1,
      anon_sym_bitor,
    ACTIONS(8699), 1,
      anon_sym_bitand,
    ACTIONS(8705), 1,
      anon_sym_QMARK,
    ACTIONS(9492), 1,
      anon_sym_SEMI,
    STATE(3592), 1,
      sym_subscript_argument_list,
    STATE(3604), 1,
      sym_argument_list,
    ACTIONS(6885), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8218), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8675), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8677), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8683), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8693), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8701), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8703), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8687), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8689), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [179324] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6440), 1,
      anon_sym_LPAREN2,
    ACTIONS(6879), 1,
      anon_sym_LBRACK,
    ACTIONS(6883), 1,
      anon_sym_DOT,
    ACTIONS(8513), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8679), 1,
      anon_sym_SLASH,
    ACTIONS(8681), 1,
      anon_sym_PIPE,
    ACTIONS(8685), 1,
      anon_sym_AMP,
    ACTIONS(8691), 1,
      anon_sym_GT_EQ,
    ACTIONS(8695), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8697), 1,
      anon_sym_bitor,
    ACTIONS(8699), 1,
      anon_sym_bitand,
    ACTIONS(8705), 1,
      anon_sym_QMARK,
    ACTIONS(9494), 1,
      anon_sym_SEMI,
    STATE(3592), 1,
      sym_subscript_argument_list,
    STATE(3604), 1,
      sym_argument_list,
    ACTIONS(6885), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8218), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8675), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8677), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8683), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8693), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8701), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8703), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8687), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8689), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [179415] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6440), 1,
      anon_sym_LPAREN2,
    ACTIONS(6879), 1,
      anon_sym_LBRACK,
    ACTIONS(6883), 1,
      anon_sym_DOT,
    ACTIONS(8513), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8679), 1,
      anon_sym_SLASH,
    ACTIONS(8681), 1,
      anon_sym_PIPE,
    ACTIONS(8685), 1,
      anon_sym_AMP,
    ACTIONS(8691), 1,
      anon_sym_GT_EQ,
    ACTIONS(8695), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8697), 1,
      anon_sym_bitor,
    ACTIONS(8699), 1,
      anon_sym_bitand,
    ACTIONS(8705), 1,
      anon_sym_QMARK,
    ACTIONS(9496), 1,
      anon_sym_RPAREN,
    STATE(3592), 1,
      sym_subscript_argument_list,
    STATE(3604), 1,
      sym_argument_list,
    ACTIONS(6885), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8218), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8675), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8677), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8683), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8693), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8701), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8703), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8687), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8689), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [179506] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6440), 1,
      anon_sym_LPAREN2,
    ACTIONS(6879), 1,
      anon_sym_LBRACK,
    ACTIONS(6883), 1,
      anon_sym_DOT,
    ACTIONS(8513), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8679), 1,
      anon_sym_SLASH,
    ACTIONS(8681), 1,
      anon_sym_PIPE,
    ACTIONS(8685), 1,
      anon_sym_AMP,
    ACTIONS(8691), 1,
      anon_sym_GT_EQ,
    ACTIONS(8695), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8697), 1,
      anon_sym_bitor,
    ACTIONS(8699), 1,
      anon_sym_bitand,
    ACTIONS(8705), 1,
      anon_sym_QMARK,
    ACTIONS(9498), 1,
      anon_sym_SEMI,
    STATE(3592), 1,
      sym_subscript_argument_list,
    STATE(3604), 1,
      sym_argument_list,
    ACTIONS(6885), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8218), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8675), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8677), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8683), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8693), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8701), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8703), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8687), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8689), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [179597] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6440), 1,
      anon_sym_LPAREN2,
    ACTIONS(6879), 1,
      anon_sym_LBRACK,
    ACTIONS(6883), 1,
      anon_sym_DOT,
    ACTIONS(8513), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8779), 1,
      anon_sym_SLASH,
    ACTIONS(8785), 1,
      anon_sym_PIPE,
    ACTIONS(8789), 1,
      anon_sym_AMP,
    ACTIONS(8795), 1,
      anon_sym_GT_EQ,
    ACTIONS(8801), 1,
      anon_sym_QMARK,
    ACTIONS(8803), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8805), 1,
      anon_sym_bitor,
    ACTIONS(8807), 1,
      anon_sym_bitand,
    ACTIONS(9500), 1,
      anon_sym_RBRACK,
    STATE(3592), 1,
      sym_subscript_argument_list,
    STATE(3604), 1,
      sym_argument_list,
    ACTIONS(6885), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8218), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8775), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8777), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8781), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8783), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8787), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8797), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8791), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8793), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [179688] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6440), 1,
      anon_sym_LPAREN2,
    ACTIONS(6879), 1,
      anon_sym_LBRACK,
    ACTIONS(6883), 1,
      anon_sym_DOT,
    ACTIONS(8513), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8679), 1,
      anon_sym_SLASH,
    ACTIONS(8681), 1,
      anon_sym_PIPE,
    ACTIONS(8685), 1,
      anon_sym_AMP,
    ACTIONS(8691), 1,
      anon_sym_GT_EQ,
    ACTIONS(8695), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8697), 1,
      anon_sym_bitor,
    ACTIONS(8699), 1,
      anon_sym_bitand,
    ACTIONS(8705), 1,
      anon_sym_QMARK,
    ACTIONS(9502), 1,
      anon_sym_SEMI,
    STATE(3592), 1,
      sym_subscript_argument_list,
    STATE(3604), 1,
      sym_argument_list,
    ACTIONS(6885), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8218), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8675), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8677), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8683), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8693), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8701), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8703), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8687), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8689), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [179779] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6440), 1,
      anon_sym_LPAREN2,
    ACTIONS(6879), 1,
      anon_sym_LBRACK,
    ACTIONS(6883), 1,
      anon_sym_DOT,
    ACTIONS(8513), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8679), 1,
      anon_sym_SLASH,
    ACTIONS(8681), 1,
      anon_sym_PIPE,
    ACTIONS(8685), 1,
      anon_sym_AMP,
    ACTIONS(8691), 1,
      anon_sym_GT_EQ,
    ACTIONS(8695), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8697), 1,
      anon_sym_bitor,
    ACTIONS(8699), 1,
      anon_sym_bitand,
    ACTIONS(8705), 1,
      anon_sym_QMARK,
    ACTIONS(9504), 1,
      anon_sym_RPAREN,
    STATE(3592), 1,
      sym_subscript_argument_list,
    STATE(3604), 1,
      sym_argument_list,
    ACTIONS(6885), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8218), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8675), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8677), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8683), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8693), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8701), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8703), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8687), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8689), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [179870] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6440), 1,
      anon_sym_LPAREN2,
    ACTIONS(6879), 1,
      anon_sym_LBRACK,
    ACTIONS(6883), 1,
      anon_sym_DOT,
    ACTIONS(8513), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8679), 1,
      anon_sym_SLASH,
    ACTIONS(8681), 1,
      anon_sym_PIPE,
    ACTIONS(8685), 1,
      anon_sym_AMP,
    ACTIONS(8691), 1,
      anon_sym_GT_EQ,
    ACTIONS(8695), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8697), 1,
      anon_sym_bitor,
    ACTIONS(8699), 1,
      anon_sym_bitand,
    ACTIONS(8705), 1,
      anon_sym_QMARK,
    ACTIONS(9506), 1,
      anon_sym_RPAREN,
    STATE(3592), 1,
      sym_subscript_argument_list,
    STATE(3604), 1,
      sym_argument_list,
    ACTIONS(6885), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8218), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8675), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8677), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8683), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8693), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8701), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8703), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8687), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8689), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [179961] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6440), 1,
      anon_sym_LPAREN2,
    ACTIONS(6879), 1,
      anon_sym_LBRACK,
    ACTIONS(7897), 1,
      anon_sym_DOT,
    ACTIONS(8513), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(9082), 1,
      anon_sym_SLASH,
    ACTIONS(9088), 1,
      anon_sym_PIPE,
    ACTIONS(9092), 1,
      anon_sym_AMP,
    ACTIONS(9098), 1,
      anon_sym_GT_EQ,
    ACTIONS(9102), 1,
      anon_sym_QMARK,
    ACTIONS(9104), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(9106), 1,
      anon_sym_bitor,
    ACTIONS(9108), 1,
      anon_sym_bitand,
    ACTIONS(9508), 1,
      anon_sym_COLON,
    STATE(3592), 1,
      sym_subscript_argument_list,
    STATE(3604), 1,
      sym_argument_list,
    ACTIONS(7899), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8218), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(9078), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9080), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(9084), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(9086), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(9090), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(9100), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(9094), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(9096), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [180052] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6440), 1,
      anon_sym_LPAREN2,
    ACTIONS(6879), 1,
      anon_sym_LBRACK,
    ACTIONS(7897), 1,
      anon_sym_DOT,
    ACTIONS(8513), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(9082), 1,
      anon_sym_SLASH,
    ACTIONS(9088), 1,
      anon_sym_PIPE,
    ACTIONS(9092), 1,
      anon_sym_AMP,
    ACTIONS(9098), 1,
      anon_sym_GT_EQ,
    ACTIONS(9102), 1,
      anon_sym_QMARK,
    ACTIONS(9104), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(9106), 1,
      anon_sym_bitor,
    ACTIONS(9108), 1,
      anon_sym_bitand,
    ACTIONS(9510), 1,
      anon_sym_COLON,
    STATE(3592), 1,
      sym_subscript_argument_list,
    STATE(3604), 1,
      sym_argument_list,
    ACTIONS(7899), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8218), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(9078), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9080), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(9084), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(9086), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(9090), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(9100), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(9094), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(9096), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [180143] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6440), 1,
      anon_sym_LPAREN2,
    ACTIONS(6879), 1,
      anon_sym_LBRACK,
    ACTIONS(7897), 1,
      anon_sym_DOT,
    ACTIONS(8513), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(9082), 1,
      anon_sym_SLASH,
    ACTIONS(9088), 1,
      anon_sym_PIPE,
    ACTIONS(9092), 1,
      anon_sym_AMP,
    ACTIONS(9098), 1,
      anon_sym_GT_EQ,
    ACTIONS(9102), 1,
      anon_sym_QMARK,
    ACTIONS(9104), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(9106), 1,
      anon_sym_bitor,
    ACTIONS(9108), 1,
      anon_sym_bitand,
    ACTIONS(9512), 1,
      anon_sym_COLON,
    STATE(3592), 1,
      sym_subscript_argument_list,
    STATE(3604), 1,
      sym_argument_list,
    ACTIONS(7899), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8218), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(9078), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9080), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(9084), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(9086), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(9090), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(9100), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(9094), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(9096), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [180234] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(6041), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5946), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(9514), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5948), 29,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [180282] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9516), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(5832), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(5834), 23,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [180328] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1486), 1,
      anon_sym_template,
    ACTIONS(2588), 1,
      anon_sym_operator,
    ACTIONS(2875), 1,
      anon_sym_LPAREN2,
    ACTIONS(2877), 1,
      anon_sym_TILDE,
    ACTIONS(3148), 1,
      anon_sym_decltype,
    ACTIONS(8030), 1,
      anon_sym_LBRACK,
    ACTIONS(8052), 1,
      sym_identifier,
    ACTIONS(8054), 1,
      anon_sym_STAR,
    ACTIONS(8056), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8058), 1,
      anon_sym_AMP,
    ACTIONS(8060), 1,
      anon_sym_COLON_COLON,
    STATE(6506), 1,
      sym_ms_call_modifier,
    STATE(7024), 1,
      sym__scope_resolution,
    STATE(7697), 1,
      sym__declarator,
    STATE(9555), 1,
      sym_ms_based_modifier,
    STATE(10317), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    ACTIONS(2544), 6,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
    STATE(7680), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [180406] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(63), 1,
      anon_sym_const,
    ACTIONS(9520), 2,
      anon_sym_AMP,
      anon_sym_LBRACK,
    STATE(5930), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(8207), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
    ACTIONS(9518), 20,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_noexcept,
      anon_sym_throw,
      anon_sym_requires,
  [180456] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4379), 1,
      anon_sym_const,
    ACTIONS(4561), 1,
      anon_sym_LPAREN2,
    ACTIONS(7406), 1,
      sym_auto,
    ACTIONS(7408), 1,
      anon_sym_decltype,
    ACTIONS(8509), 1,
      anon_sym_LBRACK,
    ACTIONS(8629), 1,
      anon_sym_STAR,
    ACTIONS(8631), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8633), 1,
      anon_sym_AMP,
    STATE(3989), 1,
      sym_decltype_auto,
    STATE(5033), 1,
      sym_parameter_list,
    STATE(7422), 1,
      sym__function_declarator_seq,
    STATE(7811), 1,
      sym__abstract_declarator,
    STATE(6130), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(7436), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8533), 6,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
    ACTIONS(8527), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [180528] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6987), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(6989), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [180572] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7017), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(7019), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [180616] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7033), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(7035), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [180660] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7041), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(7043), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [180704] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4561), 1,
      anon_sym_LPAREN2,
    ACTIONS(6740), 1,
      anon_sym_COLON,
    ACTIONS(8503), 1,
      sym_ms_restrict_modifier,
    ACTIONS(8509), 1,
      anon_sym_LBRACK,
    ACTIONS(8511), 1,
      anon_sym_const,
    ACTIONS(9522), 1,
      anon_sym_STAR,
    ACTIONS(9524), 1,
      anon_sym_AMP_AMP,
    ACTIONS(9526), 1,
      anon_sym_AMP,
    STATE(5014), 1,
      sym_parameter_list,
    STATE(6301), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(7422), 1,
      sym__function_declarator_seq,
    STATE(7999), 1,
      sym__abstract_declarator,
    ACTIONS(8505), 2,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(8507), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(6138), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(6587), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(7436), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8501), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [180780] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3144), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(3142), 23,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym___extension__,
      anon_sym___based,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [180824] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2230), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5900), 1,
      anon_sym_LT,
    STATE(3017), 1,
      sym_template_argument_list,
    STATE(5940), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(4211), 4,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(8707), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(4219), 24,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [180878] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4542), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(4538), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [180922] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1486), 1,
      anon_sym_template,
    ACTIONS(2588), 1,
      anon_sym_operator,
    ACTIONS(2875), 1,
      anon_sym_LPAREN2,
    ACTIONS(2877), 1,
      anon_sym_TILDE,
    ACTIONS(3148), 1,
      anon_sym_decltype,
    ACTIONS(8030), 1,
      anon_sym_LBRACK,
    ACTIONS(8052), 1,
      sym_identifier,
    ACTIONS(8054), 1,
      anon_sym_STAR,
    ACTIONS(8056), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8058), 1,
      anon_sym_AMP,
    ACTIONS(8060), 1,
      anon_sym_COLON_COLON,
    STATE(6539), 1,
      sym_ms_call_modifier,
    STATE(7024), 1,
      sym__scope_resolution,
    STATE(7652), 1,
      sym__declarator,
    STATE(9555), 1,
      sym_ms_based_modifier,
    STATE(10317), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    ACTIONS(2544), 6,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
    STATE(7680), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [181000] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7003), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(7005), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [181044] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6417), 1,
      anon_sym_COLON,
    ACTIONS(7976), 1,
      anon_sym___attribute__,
    ACTIONS(9528), 1,
      anon_sym_LBRACE,
    STATE(6119), 1,
      sym_field_declaration_list,
    STATE(6174), 1,
      sym_attribute_specifier,
    STATE(8190), 1,
      sym_virtual_specifier,
    STATE(8981), 1,
      sym_base_class_clause,
    ACTIONS(6859), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5925), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(5927), 24,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [181104] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7152), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(7154), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [181148] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7118), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(7120), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [181192] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7156), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(7158), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [181236] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7983), 1,
      anon_sym_const,
    ACTIONS(8254), 1,
      anon_sym_LPAREN2,
    ACTIONS(8268), 1,
      anon_sym_LBRACK,
    ACTIONS(8441), 1,
      anon_sym_STAR,
    ACTIONS(8443), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8445), 1,
      anon_sym_AMP,
    STATE(4843), 1,
      sym_parameter_list,
    STATE(7268), 1,
      sym__function_declarator_seq,
    STATE(7468), 1,
      sym__abstract_declarator,
    STATE(5879), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(7270), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(7395), 9,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
    ACTIONS(7974), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [181302] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1486), 1,
      anon_sym_template,
    ACTIONS(2588), 1,
      anon_sym_operator,
    ACTIONS(2875), 1,
      anon_sym_LPAREN2,
    ACTIONS(2877), 1,
      anon_sym_TILDE,
    ACTIONS(3148), 1,
      anon_sym_decltype,
    ACTIONS(8030), 1,
      anon_sym_LBRACK,
    ACTIONS(8052), 1,
      sym_identifier,
    ACTIONS(8054), 1,
      anon_sym_STAR,
    ACTIONS(8056), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8058), 1,
      anon_sym_AMP,
    ACTIONS(8060), 1,
      anon_sym_COLON_COLON,
    STATE(6434), 1,
      sym_ms_call_modifier,
    STATE(7024), 1,
      sym__scope_resolution,
    STATE(7767), 1,
      sym__declarator,
    STATE(9555), 1,
      sym_ms_based_modifier,
    STATE(10317), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    ACTIONS(2544), 6,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
    STATE(7680), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [181380] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7064), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(7066), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [181424] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9516), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(9530), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(5847), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(5849), 21,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [181472] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7053), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(7055), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [181516] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1486), 1,
      anon_sym_template,
    ACTIONS(2588), 1,
      anon_sym_operator,
    ACTIONS(2875), 1,
      anon_sym_LPAREN2,
    ACTIONS(2877), 1,
      anon_sym_TILDE,
    ACTIONS(3148), 1,
      anon_sym_decltype,
    ACTIONS(8030), 1,
      anon_sym_LBRACK,
    ACTIONS(8052), 1,
      sym_identifier,
    ACTIONS(8054), 1,
      anon_sym_STAR,
    ACTIONS(8056), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8058), 1,
      anon_sym_AMP,
    ACTIONS(8060), 1,
      anon_sym_COLON_COLON,
    STATE(6484), 1,
      sym_ms_call_modifier,
    STATE(7024), 1,
      sym__scope_resolution,
    STATE(7713), 1,
      sym__declarator,
    STATE(9555), 1,
      sym_ms_based_modifier,
    STATE(10317), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    ACTIONS(2544), 6,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
    STATE(7680), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [181594] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7160), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(7162), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [181638] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7176), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(7178), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [181682] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7983), 1,
      anon_sym_const,
    ACTIONS(8254), 1,
      anon_sym_LPAREN2,
    ACTIONS(8268), 1,
      anon_sym_LBRACK,
    ACTIONS(8441), 1,
      anon_sym_STAR,
    ACTIONS(8443), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8445), 1,
      anon_sym_AMP,
    STATE(4843), 1,
      sym_parameter_list,
    STATE(7268), 1,
      sym__function_declarator_seq,
    STATE(7470), 1,
      sym__abstract_declarator,
    STATE(5879), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(7270), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8725), 9,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
    ACTIONS(7974), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [181748] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7168), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(7170), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [181792] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7122), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(7124), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [181836] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7098), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(7100), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [181880] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7983), 1,
      anon_sym_const,
    ACTIONS(8254), 1,
      anon_sym_LPAREN2,
    ACTIONS(8268), 1,
      anon_sym_LBRACK,
    ACTIONS(8441), 1,
      anon_sym_STAR,
    ACTIONS(8443), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8445), 1,
      anon_sym_AMP,
    STATE(4843), 1,
      sym_parameter_list,
    STATE(7268), 1,
      sym__function_declarator_seq,
    STATE(7473), 1,
      sym__abstract_declarator,
    STATE(5879), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(7270), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(6740), 9,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
    ACTIONS(7974), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [181946] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7021), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(7023), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [181990] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7182), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(7184), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [182034] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7007), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(7009), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [182078] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7114), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(7116), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [182122] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1486), 1,
      anon_sym_template,
    ACTIONS(2588), 1,
      anon_sym_operator,
    ACTIONS(2875), 1,
      anon_sym_LPAREN2,
    ACTIONS(2877), 1,
      anon_sym_TILDE,
    ACTIONS(3148), 1,
      anon_sym_decltype,
    ACTIONS(8030), 1,
      anon_sym_LBRACK,
    ACTIONS(8052), 1,
      sym_identifier,
    ACTIONS(8054), 1,
      anon_sym_STAR,
    ACTIONS(8056), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8058), 1,
      anon_sym_AMP,
    ACTIONS(8060), 1,
      anon_sym_COLON_COLON,
    STATE(6573), 1,
      sym_ms_call_modifier,
    STATE(7024), 1,
      sym__scope_resolution,
    STATE(7615), 1,
      sym__declarator,
    STATE(9555), 1,
      sym_ms_based_modifier,
    STATE(10317), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    ACTIONS(2544), 6,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
    STATE(7680), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [182200] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6995), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(6997), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [182244] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5600), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(2358), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [182288] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4561), 1,
      anon_sym_LPAREN2,
    ACTIONS(7406), 1,
      sym_auto,
    ACTIONS(7408), 1,
      anon_sym_decltype,
    ACTIONS(8509), 1,
      anon_sym_LBRACK,
    ACTIONS(8511), 1,
      anon_sym_const,
    ACTIONS(8649), 1,
      anon_sym_STAR,
    ACTIONS(8651), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8653), 1,
      anon_sym_AMP,
    STATE(3989), 1,
      sym_decltype_auto,
    STATE(4992), 1,
      sym_parameter_list,
    STATE(7422), 1,
      sym__function_declarator_seq,
    STATE(7825), 1,
      sym__abstract_declarator,
    STATE(6122), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(7436), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8545), 6,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
    ACTIONS(8501), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [182360] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7206), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(7208), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [182404] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7212), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(7214), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [182448] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7082), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(7084), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [182492] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1486), 1,
      anon_sym_template,
    ACTIONS(2588), 1,
      anon_sym_operator,
    ACTIONS(2875), 1,
      anon_sym_LPAREN2,
    ACTIONS(2877), 1,
      anon_sym_TILDE,
    ACTIONS(3148), 1,
      anon_sym_decltype,
    ACTIONS(8030), 1,
      anon_sym_LBRACK,
    ACTIONS(8052), 1,
      sym_identifier,
    ACTIONS(8054), 1,
      anon_sym_STAR,
    ACTIONS(8056), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8058), 1,
      anon_sym_AMP,
    ACTIONS(8060), 1,
      anon_sym_COLON_COLON,
    STATE(6498), 1,
      sym_ms_call_modifier,
    STATE(7024), 1,
      sym__scope_resolution,
    STATE(7727), 1,
      sym__declarator,
    STATE(9555), 1,
      sym_ms_based_modifier,
    STATE(10317), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    ACTIONS(2544), 6,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
    STATE(7680), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [182570] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7140), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(7142), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [182614] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4561), 1,
      anon_sym_LPAREN2,
    ACTIONS(8300), 1,
      sym_auto,
    ACTIONS(8302), 1,
      anon_sym_decltype,
    ACTIONS(8509), 1,
      anon_sym_LBRACK,
    ACTIONS(8511), 1,
      anon_sym_const,
    ACTIONS(8655), 1,
      anon_sym_STAR,
    ACTIONS(8657), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8659), 1,
      anon_sym_AMP,
    STATE(3329), 1,
      sym_decltype_auto,
    STATE(5030), 1,
      sym_parameter_list,
    STATE(7422), 1,
      sym__function_declarator_seq,
    STATE(7794), 1,
      sym__abstract_declarator,
    STATE(6143), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(7436), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8545), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    ACTIONS(8501), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [182686] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1486), 1,
      anon_sym_template,
    ACTIONS(2588), 1,
      anon_sym_operator,
    ACTIONS(2875), 1,
      anon_sym_LPAREN2,
    ACTIONS(2877), 1,
      anon_sym_TILDE,
    ACTIONS(3148), 1,
      anon_sym_decltype,
    ACTIONS(8030), 1,
      anon_sym_LBRACK,
    ACTIONS(8052), 1,
      sym_identifier,
    ACTIONS(8054), 1,
      anon_sym_STAR,
    ACTIONS(8056), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8058), 1,
      anon_sym_AMP,
    ACTIONS(8060), 1,
      anon_sym_COLON_COLON,
    STATE(6460), 1,
      sym_ms_call_modifier,
    STATE(7024), 1,
      sym__scope_resolution,
    STATE(7695), 1,
      sym__declarator,
    STATE(9555), 1,
      sym_ms_based_modifier,
    STATE(10317), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    ACTIONS(2544), 6,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
    STATE(7680), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [182764] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7202), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(7204), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [182808] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7078), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(7080), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [182852] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2230), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5900), 1,
      anon_sym_LT,
    STATE(3203), 1,
      sym_template_argument_list,
    STATE(6111), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5896), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(9532), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5898), 25,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [182906] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7136), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(7138), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [182950] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1486), 1,
      anon_sym_template,
    ACTIONS(2588), 1,
      anon_sym_operator,
    ACTIONS(2875), 1,
      anon_sym_LPAREN2,
    ACTIONS(2877), 1,
      anon_sym_TILDE,
    ACTIONS(3148), 1,
      anon_sym_decltype,
    ACTIONS(8030), 1,
      anon_sym_LBRACK,
    ACTIONS(8052), 1,
      sym_identifier,
    ACTIONS(8054), 1,
      anon_sym_STAR,
    ACTIONS(8056), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8058), 1,
      anon_sym_AMP,
    ACTIONS(8060), 1,
      anon_sym_COLON_COLON,
    STATE(6545), 1,
      sym_ms_call_modifier,
    STATE(7024), 1,
      sym__scope_resolution,
    STATE(7688), 1,
      sym__declarator,
    STATE(9555), 1,
      sym_ms_based_modifier,
    STATE(10317), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    ACTIONS(2544), 6,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
    STATE(7680), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [183028] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4561), 1,
      anon_sym_LPAREN2,
    ACTIONS(7406), 1,
      sym_auto,
    ACTIONS(7408), 1,
      anon_sym_decltype,
    ACTIONS(8509), 1,
      anon_sym_LBRACK,
    ACTIONS(8511), 1,
      anon_sym_const,
    ACTIONS(8649), 1,
      anon_sym_STAR,
    ACTIONS(8651), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8653), 1,
      anon_sym_AMP,
    STATE(3989), 1,
      sym_decltype_auto,
    STATE(4992), 1,
      sym_parameter_list,
    STATE(7422), 1,
      sym__function_declarator_seq,
    STATE(7777), 1,
      sym__abstract_declarator,
    STATE(6141), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(7436), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8533), 6,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
    ACTIONS(8501), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [183100] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7983), 1,
      anon_sym_const,
    ACTIONS(8254), 1,
      anon_sym_LPAREN2,
    ACTIONS(8268), 1,
      anon_sym_LBRACK,
    ACTIONS(8441), 1,
      anon_sym_STAR,
    ACTIONS(8443), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8445), 1,
      anon_sym_AMP,
    STATE(4843), 1,
      sym_parameter_list,
    STATE(7268), 1,
      sym__function_declarator_seq,
    STATE(7475), 1,
      sym__abstract_declarator,
    STATE(5879), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(7270), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8974), 9,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
    ACTIONS(7974), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [183166] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1486), 1,
      anon_sym_template,
    ACTIONS(2588), 1,
      anon_sym_operator,
    ACTIONS(2875), 1,
      anon_sym_LPAREN2,
    ACTIONS(2877), 1,
      anon_sym_TILDE,
    ACTIONS(3148), 1,
      anon_sym_decltype,
    ACTIONS(8030), 1,
      anon_sym_LBRACK,
    ACTIONS(8052), 1,
      sym_identifier,
    ACTIONS(8054), 1,
      anon_sym_STAR,
    ACTIONS(8056), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8058), 1,
      anon_sym_AMP,
    ACTIONS(8060), 1,
      anon_sym_COLON_COLON,
    STATE(6452), 1,
      sym_ms_call_modifier,
    STATE(7024), 1,
      sym__scope_resolution,
    STATE(7655), 1,
      sym__declarator,
    STATE(9555), 1,
      sym_ms_based_modifier,
    STATE(10317), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    ACTIONS(2544), 6,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
    STATE(7680), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [183244] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1486), 1,
      anon_sym_template,
    ACTIONS(2588), 1,
      anon_sym_operator,
    ACTIONS(2875), 1,
      anon_sym_LPAREN2,
    ACTIONS(2877), 1,
      anon_sym_TILDE,
    ACTIONS(3148), 1,
      anon_sym_decltype,
    ACTIONS(8030), 1,
      anon_sym_LBRACK,
    ACTIONS(8052), 1,
      sym_identifier,
    ACTIONS(8054), 1,
      anon_sym_STAR,
    ACTIONS(8056), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8058), 1,
      anon_sym_AMP,
    ACTIONS(8060), 1,
      anon_sym_COLON_COLON,
    STATE(6508), 1,
      sym_ms_call_modifier,
    STATE(7024), 1,
      sym__scope_resolution,
    STATE(7624), 1,
      sym__declarator,
    STATE(9555), 1,
      sym_ms_based_modifier,
    STATE(10317), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    ACTIONS(2544), 6,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
    STATE(7680), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [183322] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1486), 1,
      anon_sym_template,
    ACTIONS(2588), 1,
      anon_sym_operator,
    ACTIONS(2875), 1,
      anon_sym_LPAREN2,
    ACTIONS(2877), 1,
      anon_sym_TILDE,
    ACTIONS(3148), 1,
      anon_sym_decltype,
    ACTIONS(8030), 1,
      anon_sym_LBRACK,
    ACTIONS(8052), 1,
      sym_identifier,
    ACTIONS(8054), 1,
      anon_sym_STAR,
    ACTIONS(8056), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8058), 1,
      anon_sym_AMP,
    ACTIONS(8060), 1,
      anon_sym_COLON_COLON,
    STATE(6536), 1,
      sym_ms_call_modifier,
    STATE(7024), 1,
      sym__scope_resolution,
    STATE(7696), 1,
      sym__declarator,
    STATE(9555), 1,
      sym_ms_based_modifier,
    STATE(10317), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    ACTIONS(2544), 6,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
    STATE(7680), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [183400] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4561), 1,
      anon_sym_LPAREN2,
    ACTIONS(6754), 1,
      anon_sym_COLON,
    ACTIONS(8503), 1,
      sym_ms_restrict_modifier,
    ACTIONS(8509), 1,
      anon_sym_LBRACK,
    ACTIONS(8511), 1,
      anon_sym_const,
    ACTIONS(9522), 1,
      anon_sym_STAR,
    ACTIONS(9524), 1,
      anon_sym_AMP_AMP,
    ACTIONS(9526), 1,
      anon_sym_AMP,
    STATE(5014), 1,
      sym_parameter_list,
    STATE(6301), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(7422), 1,
      sym__function_declarator_seq,
    STATE(7968), 1,
      sym__abstract_declarator,
    ACTIONS(8505), 2,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(8507), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(5963), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(6598), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(7436), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8501), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [183476] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1486), 1,
      anon_sym_template,
    ACTIONS(2588), 1,
      anon_sym_operator,
    ACTIONS(2875), 1,
      anon_sym_LPAREN2,
    ACTIONS(2877), 1,
      anon_sym_TILDE,
    ACTIONS(3148), 1,
      anon_sym_decltype,
    ACTIONS(8030), 1,
      anon_sym_LBRACK,
    ACTIONS(8052), 1,
      sym_identifier,
    ACTIONS(8054), 1,
      anon_sym_STAR,
    ACTIONS(8056), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8058), 1,
      anon_sym_AMP,
    ACTIONS(8060), 1,
      anon_sym_COLON_COLON,
    STATE(6492), 1,
      sym_ms_call_modifier,
    STATE(7024), 1,
      sym__scope_resolution,
    STATE(7644), 1,
      sym__declarator,
    STATE(9555), 1,
      sym_ms_based_modifier,
    STATE(10317), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    ACTIONS(2544), 6,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
    STATE(7680), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [183554] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1486), 1,
      anon_sym_template,
    ACTIONS(2588), 1,
      anon_sym_operator,
    ACTIONS(2875), 1,
      anon_sym_LPAREN2,
    ACTIONS(2877), 1,
      anon_sym_TILDE,
    ACTIONS(3148), 1,
      anon_sym_decltype,
    ACTIONS(8030), 1,
      anon_sym_LBRACK,
    ACTIONS(8052), 1,
      sym_identifier,
    ACTIONS(8054), 1,
      anon_sym_STAR,
    ACTIONS(8056), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8058), 1,
      anon_sym_AMP,
    ACTIONS(8060), 1,
      anon_sym_COLON_COLON,
    STATE(6542), 1,
      sym_ms_call_modifier,
    STATE(7024), 1,
      sym__scope_resolution,
    STATE(7752), 1,
      sym__declarator,
    STATE(9555), 1,
      sym_ms_based_modifier,
    STATE(10317), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    ACTIONS(2544), 6,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
    STATE(7680), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [183632] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1486), 1,
      anon_sym_template,
    ACTIONS(2588), 1,
      anon_sym_operator,
    ACTIONS(2875), 1,
      anon_sym_LPAREN2,
    ACTIONS(2877), 1,
      anon_sym_TILDE,
    ACTIONS(3148), 1,
      anon_sym_decltype,
    ACTIONS(8030), 1,
      anon_sym_LBRACK,
    ACTIONS(8052), 1,
      sym_identifier,
    ACTIONS(8054), 1,
      anon_sym_STAR,
    ACTIONS(8056), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8058), 1,
      anon_sym_AMP,
    ACTIONS(8060), 1,
      anon_sym_COLON_COLON,
    STATE(6525), 1,
      sym_ms_call_modifier,
    STATE(7024), 1,
      sym__scope_resolution,
    STATE(7726), 1,
      sym__declarator,
    STATE(9555), 1,
      sym_ms_based_modifier,
    STATE(10317), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    ACTIONS(2544), 6,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
    STATE(7680), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [183710] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7983), 1,
      anon_sym_const,
    ACTIONS(9520), 2,
      anon_sym_AMP,
      anon_sym_LBRACK,
    STATE(5879), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7974), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
    ACTIONS(9518), 20,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_AMP_AMP,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_noexcept,
      anon_sym_throw,
      anon_sym_requires,
  [183760] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9538), 1,
      anon_sym___attribute__,
    STATE(6016), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    ACTIONS(9536), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(9534), 30,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_AMP_AMP,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_noexcept,
      anon_sym_throw,
      anon_sym_requires,
  [183808] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(63), 1,
      anon_sym_const,
    ACTIONS(8717), 2,
      anon_sym_AMP,
      anon_sym_LBRACK,
    STATE(5930), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(8207), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
    ACTIONS(8715), 20,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_noexcept,
      anon_sym_throw,
      anon_sym_requires,
  [183858] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1486), 1,
      anon_sym_template,
    ACTIONS(2588), 1,
      anon_sym_operator,
    ACTIONS(2875), 1,
      anon_sym_LPAREN2,
    ACTIONS(2877), 1,
      anon_sym_TILDE,
    ACTIONS(3148), 1,
      anon_sym_decltype,
    ACTIONS(8030), 1,
      anon_sym_LBRACK,
    ACTIONS(8052), 1,
      sym_identifier,
    ACTIONS(8054), 1,
      anon_sym_STAR,
    ACTIONS(8056), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8058), 1,
      anon_sym_AMP,
    ACTIONS(8060), 1,
      anon_sym_COLON_COLON,
    STATE(6501), 1,
      sym_ms_call_modifier,
    STATE(7024), 1,
      sym__scope_resolution,
    STATE(7663), 1,
      sym__declarator,
    STATE(9555), 1,
      sym_ms_based_modifier,
    STATE(10317), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    ACTIONS(2544), 6,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
    STATE(7680), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [183936] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7188), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(7190), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [183980] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1486), 1,
      anon_sym_template,
    ACTIONS(2588), 1,
      anon_sym_operator,
    ACTIONS(2875), 1,
      anon_sym_LPAREN2,
    ACTIONS(2877), 1,
      anon_sym_TILDE,
    ACTIONS(3148), 1,
      anon_sym_decltype,
    ACTIONS(8030), 1,
      anon_sym_LBRACK,
    ACTIONS(8052), 1,
      sym_identifier,
    ACTIONS(8054), 1,
      anon_sym_STAR,
    ACTIONS(8056), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8058), 1,
      anon_sym_AMP,
    ACTIONS(8060), 1,
      anon_sym_COLON_COLON,
    STATE(6512), 1,
      sym_ms_call_modifier,
    STATE(7024), 1,
      sym__scope_resolution,
    STATE(7717), 1,
      sym__declarator,
    STATE(9555), 1,
      sym_ms_based_modifier,
    STATE(10317), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    ACTIONS(2544), 6,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
    STATE(7680), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [184058] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9541), 1,
      anon_sym___attribute__,
    STATE(6021), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    ACTIONS(9536), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(9534), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_noexcept,
      anon_sym_throw,
      anon_sym_requires,
  [184106] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_AMP_AMP,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1486), 1,
      anon_sym_template,
    ACTIONS(2588), 1,
      anon_sym_operator,
    ACTIONS(2875), 1,
      anon_sym_LPAREN2,
    ACTIONS(2877), 1,
      anon_sym_TILDE,
    ACTIONS(2879), 1,
      anon_sym_STAR,
    ACTIONS(2881), 1,
      anon_sym_AMP,
    ACTIONS(3148), 1,
      anon_sym_decltype,
    ACTIONS(5573), 1,
      sym_identifier,
    ACTIONS(7243), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8030), 1,
      anon_sym_LBRACK,
    STATE(6530), 1,
      sym_ms_call_modifier,
    STATE(7003), 1,
      sym__scope_resolution,
    STATE(7943), 1,
      sym__declarator,
    STATE(10332), 1,
      sym_ms_based_modifier,
    STATE(10317), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    ACTIONS(2544), 6,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
    STATE(7680), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [184184] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1486), 1,
      anon_sym_template,
    ACTIONS(2588), 1,
      anon_sym_operator,
    ACTIONS(2875), 1,
      anon_sym_LPAREN2,
    ACTIONS(2877), 1,
      anon_sym_TILDE,
    ACTIONS(3148), 1,
      anon_sym_decltype,
    ACTIONS(8030), 1,
      anon_sym_LBRACK,
    ACTIONS(8052), 1,
      sym_identifier,
    ACTIONS(8054), 1,
      anon_sym_STAR,
    ACTIONS(8056), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8058), 1,
      anon_sym_AMP,
    ACTIONS(8060), 1,
      anon_sym_COLON_COLON,
    STATE(6436), 1,
      sym_ms_call_modifier,
    STATE(7024), 1,
      sym__scope_resolution,
    STATE(7678), 1,
      sym__declarator,
    STATE(9555), 1,
      sym_ms_based_modifier,
    STATE(10317), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    ACTIONS(2544), 6,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
    STATE(7680), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [184262] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7074), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(7076), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [184306] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7108), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(7110), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [184350] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7983), 1,
      anon_sym_const,
    ACTIONS(8717), 2,
      anon_sym_AMP,
      anon_sym_LBRACK,
    STATE(5879), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7974), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
    ACTIONS(8715), 20,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_AMP_AMP,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_noexcept,
      anon_sym_throw,
      anon_sym_requires,
  [184400] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4561), 1,
      anon_sym_LPAREN2,
    ACTIONS(8300), 1,
      sym_auto,
    ACTIONS(8302), 1,
      anon_sym_decltype,
    ACTIONS(8509), 1,
      anon_sym_LBRACK,
    ACTIONS(8511), 1,
      anon_sym_const,
    ACTIONS(8655), 1,
      anon_sym_STAR,
    ACTIONS(8657), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8659), 1,
      anon_sym_AMP,
    STATE(3329), 1,
      sym_decltype_auto,
    STATE(5030), 1,
      sym_parameter_list,
    STATE(7422), 1,
      sym__function_declarator_seq,
    STATE(7775), 1,
      sym__abstract_declarator,
    STATE(6148), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(7436), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8533), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    ACTIONS(8501), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [184472] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7172), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(7174), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [184516] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(5689), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5966), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(9544), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5968), 29,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [184564] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1486), 1,
      anon_sym_template,
    ACTIONS(2588), 1,
      anon_sym_operator,
    ACTIONS(2875), 1,
      anon_sym_LPAREN2,
    ACTIONS(2877), 1,
      anon_sym_TILDE,
    ACTIONS(3148), 1,
      anon_sym_decltype,
    ACTIONS(8030), 1,
      anon_sym_LBRACK,
    ACTIONS(8052), 1,
      sym_identifier,
    ACTIONS(8054), 1,
      anon_sym_STAR,
    ACTIONS(8056), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8058), 1,
      anon_sym_AMP,
    ACTIONS(8060), 1,
      anon_sym_COLON_COLON,
    STATE(6547), 1,
      sym_ms_call_modifier,
    STATE(7024), 1,
      sym__scope_resolution,
    STATE(7619), 1,
      sym__declarator,
    STATE(9555), 1,
      sym_ms_based_modifier,
    STATE(10317), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    ACTIONS(2544), 6,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
    STATE(7680), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [184642] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1486), 1,
      anon_sym_template,
    ACTIONS(2588), 1,
      anon_sym_operator,
    ACTIONS(2875), 1,
      anon_sym_LPAREN2,
    ACTIONS(2877), 1,
      anon_sym_TILDE,
    ACTIONS(3148), 1,
      anon_sym_decltype,
    ACTIONS(8030), 1,
      anon_sym_LBRACK,
    ACTIONS(8052), 1,
      sym_identifier,
    ACTIONS(8054), 1,
      anon_sym_STAR,
    ACTIONS(8056), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8058), 1,
      anon_sym_AMP,
    ACTIONS(8060), 1,
      anon_sym_COLON_COLON,
    STATE(6469), 1,
      sym_ms_call_modifier,
    STATE(7024), 1,
      sym__scope_resolution,
    STATE(7722), 1,
      sym__declarator,
    STATE(9555), 1,
      sym_ms_based_modifier,
    STATE(10317), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    ACTIONS(2544), 6,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
    STATE(7680), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [184720] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(5689), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5952), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(9544), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5954), 29,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [184768] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2230), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5900), 1,
      anon_sym_LT,
    STATE(3203), 1,
      sym_template_argument_list,
    STATE(3573), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5896), 3,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_const,
    ACTIONS(5822), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5898), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [184822] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1486), 1,
      anon_sym_template,
    ACTIONS(2588), 1,
      anon_sym_operator,
    ACTIONS(2875), 1,
      anon_sym_LPAREN2,
    ACTIONS(2877), 1,
      anon_sym_TILDE,
    ACTIONS(3148), 1,
      anon_sym_decltype,
    ACTIONS(8030), 1,
      anon_sym_LBRACK,
    ACTIONS(8052), 1,
      sym_identifier,
    ACTIONS(8054), 1,
      anon_sym_STAR,
    ACTIONS(8056), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8058), 1,
      anon_sym_AMP,
    ACTIONS(8060), 1,
      anon_sym_COLON_COLON,
    STATE(6457), 1,
      sym_ms_call_modifier,
    STATE(7024), 1,
      sym__scope_resolution,
    STATE(7657), 1,
      sym__declarator,
    STATE(9555), 1,
      sym_ms_based_modifier,
    STATE(10317), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    ACTIONS(2544), 6,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
    STATE(7680), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [184900] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1486), 1,
      anon_sym_template,
    ACTIONS(2588), 1,
      anon_sym_operator,
    ACTIONS(2875), 1,
      anon_sym_LPAREN2,
    ACTIONS(2877), 1,
      anon_sym_TILDE,
    ACTIONS(3148), 1,
      anon_sym_decltype,
    ACTIONS(8030), 1,
      anon_sym_LBRACK,
    ACTIONS(8052), 1,
      sym_identifier,
    ACTIONS(8054), 1,
      anon_sym_STAR,
    ACTIONS(8056), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8058), 1,
      anon_sym_AMP,
    ACTIONS(8060), 1,
      anon_sym_COLON_COLON,
    STATE(6459), 1,
      sym_ms_call_modifier,
    STATE(7024), 1,
      sym__scope_resolution,
    STATE(7627), 1,
      sym__declarator,
    STATE(9555), 1,
      sym_ms_based_modifier,
    STATE(10317), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    ACTIONS(2544), 6,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
    STATE(7680), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [184978] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1486), 1,
      anon_sym_template,
    ACTIONS(2588), 1,
      anon_sym_operator,
    ACTIONS(2875), 1,
      anon_sym_LPAREN2,
    ACTIONS(2877), 1,
      anon_sym_TILDE,
    ACTIONS(3148), 1,
      anon_sym_decltype,
    ACTIONS(8030), 1,
      anon_sym_LBRACK,
    ACTIONS(8052), 1,
      sym_identifier,
    ACTIONS(8054), 1,
      anon_sym_STAR,
    ACTIONS(8056), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8058), 1,
      anon_sym_AMP,
    ACTIONS(8060), 1,
      anon_sym_COLON_COLON,
    STATE(6438), 1,
      sym_ms_call_modifier,
    STATE(7024), 1,
      sym__scope_resolution,
    STATE(7721), 1,
      sym__declarator,
    STATE(9555), 1,
      sym_ms_based_modifier,
    STATE(10317), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    ACTIONS(2544), 6,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
    STATE(7680), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [185056] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1486), 1,
      anon_sym_template,
    ACTIONS(2588), 1,
      anon_sym_operator,
    ACTIONS(2875), 1,
      anon_sym_LPAREN2,
    ACTIONS(2877), 1,
      anon_sym_TILDE,
    ACTIONS(3148), 1,
      anon_sym_decltype,
    ACTIONS(8030), 1,
      anon_sym_LBRACK,
    ACTIONS(8052), 1,
      sym_identifier,
    ACTIONS(8054), 1,
      anon_sym_STAR,
    ACTIONS(8056), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8058), 1,
      anon_sym_AMP,
    ACTIONS(8060), 1,
      anon_sym_COLON_COLON,
    STATE(6444), 1,
      sym_ms_call_modifier,
    STATE(7024), 1,
      sym__scope_resolution,
    STATE(7710), 1,
      sym__declarator,
    STATE(9555), 1,
      sym_ms_based_modifier,
    STATE(10317), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    ACTIONS(2544), 6,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
    STATE(7680), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [185134] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7164), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(7166), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [185178] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(6043), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5987), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(9546), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5989), 29,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [185226] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(6029), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5970), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(9548), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5972), 29,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [185274] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(5689), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5962), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(9544), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5964), 29,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [185322] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1486), 1,
      anon_sym_template,
    ACTIONS(2588), 1,
      anon_sym_operator,
    ACTIONS(2875), 1,
      anon_sym_LPAREN2,
    ACTIONS(2877), 1,
      anon_sym_TILDE,
    ACTIONS(3148), 1,
      anon_sym_decltype,
    ACTIONS(8030), 1,
      anon_sym_LBRACK,
    ACTIONS(8052), 1,
      sym_identifier,
    ACTIONS(8054), 1,
      anon_sym_STAR,
    ACTIONS(8056), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8058), 1,
      anon_sym_AMP,
    ACTIONS(8060), 1,
      anon_sym_COLON_COLON,
    STATE(6455), 1,
      sym_ms_call_modifier,
    STATE(7024), 1,
      sym__scope_resolution,
    STATE(7682), 1,
      sym__declarator,
    STATE(9555), 1,
      sym_ms_based_modifier,
    STATE(10317), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    ACTIONS(2544), 6,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
    STATE(7680), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [185400] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(5689), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5958), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(9544), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5960), 29,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [185448] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4379), 1,
      anon_sym_const,
    ACTIONS(4561), 1,
      anon_sym_LPAREN2,
    ACTIONS(7406), 1,
      sym_auto,
    ACTIONS(7408), 1,
      anon_sym_decltype,
    ACTIONS(8509), 1,
      anon_sym_LBRACK,
    ACTIONS(8629), 1,
      anon_sym_STAR,
    ACTIONS(8631), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8633), 1,
      anon_sym_AMP,
    STATE(3989), 1,
      sym_decltype_auto,
    STATE(5033), 1,
      sym_parameter_list,
    STATE(7422), 1,
      sym__function_declarator_seq,
    STATE(7817), 1,
      sym__abstract_declarator,
    STATE(6146), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(7436), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8545), 6,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
    ACTIONS(8527), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [185520] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7144), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(7146), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [185564] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7037), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(7039), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [185608] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7013), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(7015), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [185652] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6440), 1,
      anon_sym_LPAREN2,
    ACTIONS(6879), 1,
      anon_sym_LBRACK,
    ACTIONS(6883), 1,
      anon_sym_DOT,
    ACTIONS(8513), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8679), 1,
      anon_sym_SLASH,
    ACTIONS(8681), 1,
      anon_sym_PIPE,
    ACTIONS(8685), 1,
      anon_sym_AMP,
    ACTIONS(8691), 1,
      anon_sym_GT_EQ,
    ACTIONS(8695), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8697), 1,
      anon_sym_bitor,
    ACTIONS(8699), 1,
      anon_sym_bitand,
    ACTIONS(8705), 1,
      anon_sym_QMARK,
    STATE(3592), 1,
      sym_subscript_argument_list,
    STATE(3604), 1,
      sym_argument_list,
    ACTIONS(6885), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8218), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8675), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8677), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8683), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8693), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8701), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8703), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8687), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8689), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [185740] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1486), 1,
      anon_sym_template,
    ACTIONS(2588), 1,
      anon_sym_operator,
    ACTIONS(2875), 1,
      anon_sym_LPAREN2,
    ACTIONS(2877), 1,
      anon_sym_TILDE,
    ACTIONS(3148), 1,
      anon_sym_decltype,
    ACTIONS(8030), 1,
      anon_sym_LBRACK,
    ACTIONS(8052), 1,
      sym_identifier,
    ACTIONS(8054), 1,
      anon_sym_STAR,
    ACTIONS(8056), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8058), 1,
      anon_sym_AMP,
    ACTIONS(8060), 1,
      anon_sym_COLON_COLON,
    STATE(6442), 1,
      sym_ms_call_modifier,
    STATE(7024), 1,
      sym__scope_resolution,
    STATE(7756), 1,
      sym__declarator,
    STATE(9555), 1,
      sym_ms_based_modifier,
    STATE(10317), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    ACTIONS(2544), 6,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
    STATE(7680), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [185818] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2230), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5900), 1,
      anon_sym_LT,
    STATE(3203), 1,
      sym_template_argument_list,
    STATE(3379), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5896), 3,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_const,
    ACTIONS(5794), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5898), 25,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [185872] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1486), 1,
      anon_sym_template,
    ACTIONS(2588), 1,
      anon_sym_operator,
    ACTIONS(2875), 1,
      anon_sym_LPAREN2,
    ACTIONS(2877), 1,
      anon_sym_TILDE,
    ACTIONS(3148), 1,
      anon_sym_decltype,
    ACTIONS(8030), 1,
      anon_sym_LBRACK,
    ACTIONS(8052), 1,
      sym_identifier,
    ACTIONS(8054), 1,
      anon_sym_STAR,
    ACTIONS(8056), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8058), 1,
      anon_sym_AMP,
    ACTIONS(8060), 1,
      anon_sym_COLON_COLON,
    STATE(6472), 1,
      sym_ms_call_modifier,
    STATE(7024), 1,
      sym__scope_resolution,
    STATE(7637), 1,
      sym__declarator,
    STATE(9555), 1,
      sym_ms_based_modifier,
    STATE(10317), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    ACTIONS(2544), 6,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
    STATE(7680), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [185950] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7049), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(7051), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [185994] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1486), 1,
      anon_sym_template,
    ACTIONS(2588), 1,
      anon_sym_operator,
    ACTIONS(2875), 1,
      anon_sym_LPAREN2,
    ACTIONS(2877), 1,
      anon_sym_TILDE,
    ACTIONS(3148), 1,
      anon_sym_decltype,
    ACTIONS(8030), 1,
      anon_sym_LBRACK,
    ACTIONS(8052), 1,
      sym_identifier,
    ACTIONS(8054), 1,
      anon_sym_STAR,
    ACTIONS(8056), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8058), 1,
      anon_sym_AMP,
    ACTIONS(8060), 1,
      anon_sym_COLON_COLON,
    STATE(6465), 1,
      sym_ms_call_modifier,
    STATE(7024), 1,
      sym__scope_resolution,
    STATE(7640), 1,
      sym__declarator,
    STATE(9555), 1,
      sym_ms_based_modifier,
    STATE(10317), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    ACTIONS(2544), 6,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
    STATE(7680), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [186072] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(6029), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5931), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(9548), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5933), 28,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [186119] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4561), 1,
      anon_sym_LPAREN2,
    ACTIONS(8495), 1,
      anon_sym_STAR,
    ACTIONS(8497), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8499), 1,
      anon_sym_AMP,
    ACTIONS(8509), 1,
      anon_sym_LBRACK,
    ACTIONS(8511), 1,
      anon_sym_const,
    STATE(4866), 1,
      sym_parameter_list,
    STATE(7422), 1,
      sym__function_declarator_seq,
    STATE(7589), 1,
      sym__abstract_declarator,
    STATE(6616), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(7436), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8974), 8,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
    ACTIONS(8501), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [186184] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2200), 3,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_const,
    ACTIONS(2202), 32,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_or,
      anon_sym_and,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [186227] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9550), 1,
      anon_sym_SEMI,
    ACTIONS(7202), 9,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(7204), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [186272] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2178), 3,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_const,
    ACTIONS(2180), 32,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_or,
      anon_sym_and,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [186315] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2186), 3,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_const,
    ACTIONS(2188), 32,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_or,
      anon_sym_and,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [186358] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7976), 1,
      anon_sym___attribute__,
    ACTIONS(9552), 1,
      anon_sym_COLON,
    ACTIONS(9554), 1,
      anon_sym_LBRACE,
    STATE(6104), 1,
      sym__enum_base_clause,
    STATE(6125), 1,
      sym_enumerator_list,
    STATE(6162), 1,
      sym_attribute_specifier,
    ACTIONS(6368), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(6370), 26,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [186413] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(63), 1,
      anon_sym_const,
    ACTIONS(8254), 1,
      anon_sym_LPAREN2,
    ACTIONS(8268), 1,
      anon_sym_LBRACK,
    ACTIONS(8669), 1,
      anon_sym_STAR,
    ACTIONS(8671), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8673), 1,
      anon_sym_AMP,
    ACTIONS(9556), 1,
      sym_auto,
    ACTIONS(9558), 1,
      anon_sym_decltype,
    STATE(3065), 1,
      sym_decltype_auto,
    STATE(5095), 1,
      sym_parameter_list,
    STATE(7268), 1,
      sym__function_declarator_seq,
    STATE(7869), 1,
      sym__abstract_declarator,
    STATE(6215), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(8545), 5,
      anon_sym_RPAREN,
      anon_sym_LBRACK_LBRACK,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    STATE(7270), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8207), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [186484] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2182), 3,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_const,
    ACTIONS(2184), 32,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_or,
      anon_sym_and,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [186527] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2216), 3,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_const,
    ACTIONS(2218), 32,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_or,
      anon_sym_and,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [186570] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2212), 3,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_const,
    ACTIONS(2214), 32,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_or,
      anon_sym_and,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [186613] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2208), 3,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_const,
    ACTIONS(2210), 32,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_or,
      anon_sym_and,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [186656] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9560), 1,
      sym_identifier,
    ACTIONS(9562), 1,
      sym_primitive_type,
    STATE(3207), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6843), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5917), 8,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_GT2,
    ACTIONS(5919), 20,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [186707] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7976), 1,
      anon_sym___attribute__,
    ACTIONS(9552), 1,
      anon_sym_COLON,
    ACTIONS(9554), 1,
      anon_sym_LBRACE,
    STATE(6096), 1,
      sym__enum_base_clause,
    STATE(6121), 1,
      sym_enumerator_list,
    STATE(6230), 1,
      sym_attribute_specifier,
    ACTIONS(6356), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(6358), 26,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [186762] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2230), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8647), 1,
      anon_sym_LT,
    STATE(3203), 1,
      sym_template_argument_list,
    STATE(3379), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(4211), 3,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_const,
    ACTIONS(5794), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(4219), 24,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [186815] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6861), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(6863), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_AMP_AMP,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_noexcept,
      anon_sym_throw,
      anon_sym_requires,
  [186858] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3142), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(3144), 32,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_noexcept,
      anon_sym_throw,
      anon_sym_requires,
  [186901] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6887), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(6889), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_AMP_AMP,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_noexcept,
      anon_sym_throw,
      anon_sym_requires,
  [186944] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7970), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7972), 1,
      anon_sym_AMP,
    ACTIONS(7989), 1,
      anon_sym_noexcept,
    ACTIONS(7991), 1,
      anon_sym_throw,
    ACTIONS(7993), 1,
      anon_sym_requires,
    ACTIONS(8141), 1,
      anon_sym_DASH_GT,
    ACTIONS(9311), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9314), 1,
      anon_sym_LBRACK,
    ACTIONS(9564), 1,
      anon_sym___attribute__,
    STATE(6231), 1,
      sym_ref_qualifier,
    STATE(6976), 1,
      sym__function_attributes_end,
    STATE(7060), 1,
      sym_trailing_return_type,
    STATE(8031), 1,
      sym_gnu_asm_expression,
    ACTIONS(6859), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(7985), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(6935), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(7085), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7174), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(7349), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(6619), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(9309), 7,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_try,
  [187025] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7970), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7972), 1,
      anon_sym_AMP,
    ACTIONS(7989), 1,
      anon_sym_noexcept,
    ACTIONS(7991), 1,
      anon_sym_throw,
    ACTIONS(8141), 1,
      anon_sym_DASH_GT,
    ACTIONS(9311), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9314), 1,
      anon_sym_LBRACK,
    ACTIONS(9319), 1,
      anon_sym_requires,
    ACTIONS(9564), 1,
      anon_sym___attribute__,
    STATE(6172), 1,
      sym_ref_qualifier,
    STATE(6991), 1,
      sym__function_attributes_end,
    STATE(6993), 1,
      sym_trailing_return_type,
    STATE(8031), 1,
      sym_gnu_asm_expression,
    ACTIONS(7985), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9316), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6935), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(7085), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7174), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(7349), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(6625), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(9309), 7,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_try,
  [187106] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6920), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(6922), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_AMP_AMP,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_noexcept,
      anon_sym_throw,
      anon_sym_requires,
  [187149] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(63), 1,
      anon_sym_const,
    ACTIONS(8254), 1,
      anon_sym_LPAREN2,
    ACTIONS(8268), 1,
      anon_sym_LBRACK,
    ACTIONS(8669), 1,
      anon_sym_STAR,
    ACTIONS(8671), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8673), 1,
      anon_sym_AMP,
    ACTIONS(9556), 1,
      sym_auto,
    ACTIONS(9558), 1,
      anon_sym_decltype,
    STATE(3065), 1,
      sym_decltype_auto,
    STATE(5095), 1,
      sym_parameter_list,
    STATE(7268), 1,
      sym__function_declarator_seq,
    STATE(7849), 1,
      sym__abstract_declarator,
    STATE(6188), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(8533), 5,
      anon_sym_RPAREN,
      anon_sym_LBRACK_LBRACK,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    STATE(7270), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8207), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [187220] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6417), 1,
      anon_sym_COLON,
    ACTIONS(9567), 1,
      anon_sym___attribute__,
    ACTIONS(9569), 1,
      anon_sym_LBRACE,
    STATE(6224), 1,
      sym_field_declaration_list,
    STATE(6403), 1,
      sym_attribute_specifier,
    STATE(8436), 1,
      sym_virtual_specifier,
    STATE(9411), 1,
      sym_base_class_clause,
    ACTIONS(5925), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(6859), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5927), 24,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [187279] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2254), 3,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_const,
    ACTIONS(2256), 32,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_or,
      anon_sym_and,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [187322] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2250), 3,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_const,
    ACTIONS(2252), 32,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_or,
      anon_sym_and,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [187365] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2262), 1,
      anon_sym_COLON_COLON,
    ACTIONS(2264), 3,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_const,
    ACTIONS(2266), 31,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_or,
      anon_sym_and,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [187410] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2262), 1,
      anon_sym_COLON_COLON,
    ACTIONS(2264), 3,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_const,
    ACTIONS(2266), 31,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_or,
      anon_sym_and,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [187455] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2262), 1,
      anon_sym_COLON_COLON,
    ACTIONS(2258), 3,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_const,
    ACTIONS(2260), 31,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_or,
      anon_sym_and,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [187500] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4561), 1,
      anon_sym_LPAREN2,
    ACTIONS(8495), 1,
      anon_sym_STAR,
    ACTIONS(8497), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8499), 1,
      anon_sym_AMP,
    ACTIONS(8509), 1,
      anon_sym_LBRACK,
    ACTIONS(8511), 1,
      anon_sym_const,
    STATE(4866), 1,
      sym_parameter_list,
    STATE(7422), 1,
      sym__function_declarator_seq,
    STATE(7565), 1,
      sym__abstract_declarator,
    STATE(6616), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(7436), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(7395), 8,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
    ACTIONS(8501), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [187565] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4561), 1,
      anon_sym_LPAREN2,
    ACTIONS(8495), 1,
      anon_sym_STAR,
    ACTIONS(8497), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8499), 1,
      anon_sym_AMP,
    ACTIONS(8509), 1,
      anon_sym_LBRACK,
    ACTIONS(8511), 1,
      anon_sym_const,
    STATE(4866), 1,
      sym_parameter_list,
    STATE(7422), 1,
      sym__function_declarator_seq,
    STATE(7584), 1,
      sym__abstract_declarator,
    STATE(6616), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(7436), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8725), 8,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
    ACTIONS(8501), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [187630] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4561), 1,
      anon_sym_LPAREN2,
    ACTIONS(8495), 1,
      anon_sym_STAR,
    ACTIONS(8497), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8499), 1,
      anon_sym_AMP,
    ACTIONS(8509), 1,
      anon_sym_LBRACK,
    ACTIONS(8511), 1,
      anon_sym_const,
    STATE(4866), 1,
      sym_parameter_list,
    STATE(7422), 1,
      sym__function_declarator_seq,
    STATE(7570), 1,
      sym__abstract_declarator,
    STATE(6616), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(7436), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(6740), 8,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
    ACTIONS(8501), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [187695] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7976), 1,
      anon_sym___attribute__,
    ACTIONS(7987), 1,
      anon_sym_DASH_GT,
    ACTIONS(7989), 1,
      anon_sym_noexcept,
    ACTIONS(7991), 1,
      anon_sym_throw,
    ACTIONS(9573), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9576), 1,
      anon_sym_LBRACK,
    ACTIONS(9581), 1,
      anon_sym_requires,
    STATE(6953), 1,
      sym__function_attributes_end,
    STATE(6989), 1,
      sym_trailing_return_type,
    STATE(8031), 1,
      sym_gnu_asm_expression,
    ACTIONS(7985), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9578), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6935), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(7085), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7174), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(7305), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(6529), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(9571), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
      anon_sym_try,
  [187769] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7976), 1,
      anon_sym___attribute__,
    ACTIONS(7987), 1,
      anon_sym_DASH_GT,
    ACTIONS(7989), 1,
      anon_sym_noexcept,
    ACTIONS(7991), 1,
      anon_sym_throw,
    ACTIONS(7993), 1,
      anon_sym_requires,
    ACTIONS(9573), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9576), 1,
      anon_sym_LBRACK,
    STATE(6907), 1,
      sym__function_attributes_end,
    STATE(7064), 1,
      sym_trailing_return_type,
    STATE(8031), 1,
      sym_gnu_asm_expression,
    ACTIONS(6859), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(7985), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(6935), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(7085), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7174), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(7305), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(6515), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(9571), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
      anon_sym_try,
  [187843] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9567), 1,
      anon_sym___attribute__,
    ACTIONS(9584), 1,
      anon_sym_COLON,
    ACTIONS(9586), 1,
      anon_sym_LBRACE,
    STATE(6136), 1,
      sym__enum_base_clause,
    STATE(6233), 1,
      sym_enumerator_list,
    STATE(6405), 1,
      sym_attribute_specifier,
    ACTIONS(6356), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(6358), 26,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [187897] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2230), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9588), 1,
      anon_sym_LT,
    STATE(3573), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(3822), 1,
      sym_template_argument_list,
    ACTIONS(4211), 3,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_const,
    ACTIONS(5822), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(4219), 23,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym___extension__,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [187949] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4379), 1,
      anon_sym_const,
    ACTIONS(4561), 1,
      anon_sym_LPAREN2,
    ACTIONS(8509), 1,
      anon_sym_LBRACK,
    ACTIONS(8539), 1,
      anon_sym_STAR,
    ACTIONS(8541), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8543), 1,
      anon_sym_AMP,
    STATE(4931), 1,
      sym_parameter_list,
    STATE(7422), 1,
      sym__function_declarator_seq,
    STATE(7686), 1,
      sym__abstract_declarator,
    STATE(6296), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(7436), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(6740), 7,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
    ACTIONS(8527), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [188013] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7970), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7972), 1,
      anon_sym_AMP,
    ACTIONS(7976), 1,
      anon_sym___attribute__,
    ACTIONS(7989), 1,
      anon_sym_noexcept,
    ACTIONS(7991), 1,
      anon_sym_throw,
    ACTIONS(8178), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8180), 1,
      anon_sym_DASH_GT,
    ACTIONS(8193), 1,
      anon_sym_requires,
    ACTIONS(9314), 1,
      anon_sym_LBRACK,
    STATE(6262), 1,
      sym_ref_qualifier,
    STATE(7099), 1,
      sym_trailing_return_type,
    STATE(7201), 1,
      sym__function_attributes_end,
    STATE(8031), 1,
      sym_gnu_asm_expression,
    ACTIONS(7985), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(8191), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6935), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(7085), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7234), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(7404), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(6647), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(9309), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_GT2,
  [188093] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7970), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7972), 1,
      anon_sym_AMP,
    ACTIONS(7976), 1,
      anon_sym___attribute__,
    ACTIONS(7989), 1,
      anon_sym_noexcept,
    ACTIONS(7991), 1,
      anon_sym_throw,
    ACTIONS(8162), 1,
      anon_sym_DASH_GT,
    ACTIONS(8199), 1,
      anon_sym_requires,
    ACTIONS(9311), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9314), 1,
      anon_sym_LBRACK,
    STATE(6268), 1,
      sym_ref_qualifier,
    STATE(7130), 1,
      sym__function_attributes_end,
    STATE(7319), 1,
      sym_trailing_return_type,
    STATE(8031), 1,
      sym_gnu_asm_expression,
    ACTIONS(6859), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(7985), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(6935), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(7085), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7174), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(7349), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(6639), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(9309), 6,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_try,
  [188173] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2230), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9588), 1,
      anon_sym_LT,
    STATE(3822), 1,
      sym_template_argument_list,
    ACTIONS(2224), 3,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_const,
    ACTIONS(2226), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_or,
      anon_sym_and,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [188221] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4379), 1,
      anon_sym_const,
    ACTIONS(4561), 1,
      anon_sym_LPAREN2,
    ACTIONS(8509), 1,
      anon_sym_LBRACK,
    ACTIONS(8539), 1,
      anon_sym_STAR,
    ACTIONS(8541), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8543), 1,
      anon_sym_AMP,
    STATE(4931), 1,
      sym_parameter_list,
    STATE(7422), 1,
      sym__function_declarator_seq,
    STATE(7681), 1,
      sym__abstract_declarator,
    STATE(6296), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(7436), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8725), 7,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
    ACTIONS(8527), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [188285] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4379), 1,
      anon_sym_const,
    ACTIONS(4561), 1,
      anon_sym_LPAREN2,
    ACTIONS(8509), 1,
      anon_sym_LBRACK,
    ACTIONS(8521), 1,
      anon_sym_STAR,
    ACTIONS(8523), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8525), 1,
      anon_sym_AMP,
    STATE(4889), 1,
      sym_parameter_list,
    STATE(7422), 1,
      sym__function_declarator_seq,
    STATE(7625), 1,
      sym__abstract_declarator,
    STATE(6296), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(7436), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8725), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    ACTIONS(8527), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [188349] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2264), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(2266), 32,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_or,
      anon_sym_and,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [188391] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7976), 1,
      anon_sym___attribute__,
    ACTIONS(9554), 1,
      anon_sym_LBRACE,
    STATE(6152), 1,
      sym_enumerator_list,
    STATE(6200), 1,
      sym_attribute_specifier,
    ACTIONS(6077), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(6079), 27,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [188441] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7970), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7972), 1,
      anon_sym_AMP,
    ACTIONS(7976), 1,
      anon_sym___attribute__,
    ACTIONS(7989), 1,
      anon_sym_noexcept,
    ACTIONS(7991), 1,
      anon_sym_throw,
    ACTIONS(8162), 1,
      anon_sym_DASH_GT,
    ACTIONS(9311), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9314), 1,
      anon_sym_LBRACK,
    ACTIONS(9590), 1,
      anon_sym_requires,
    STATE(6257), 1,
      sym_ref_qualifier,
    STATE(7173), 1,
      sym__function_attributes_end,
    STATE(7283), 1,
      sym_trailing_return_type,
    STATE(8031), 1,
      sym_gnu_asm_expression,
    ACTIONS(7985), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9316), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6935), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(7085), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7174), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(7349), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(6642), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(9309), 6,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_try,
  [188521] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4379), 1,
      anon_sym_const,
    ACTIONS(4561), 1,
      anon_sym_LPAREN2,
    ACTIONS(8509), 1,
      anon_sym_LBRACK,
    ACTIONS(8521), 1,
      anon_sym_STAR,
    ACTIONS(8523), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8525), 1,
      anon_sym_AMP,
    STATE(4889), 1,
      sym_parameter_list,
    STATE(7422), 1,
      sym__function_declarator_seq,
    STATE(7674), 1,
      sym__abstract_declarator,
    STATE(6296), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(7436), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(6740), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    ACTIONS(8527), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [188585] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4379), 1,
      anon_sym_const,
    ACTIONS(4561), 1,
      anon_sym_LPAREN2,
    ACTIONS(8509), 1,
      anon_sym_LBRACK,
    ACTIONS(8521), 1,
      anon_sym_STAR,
    ACTIONS(8523), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8525), 1,
      anon_sym_AMP,
    STATE(4889), 1,
      sym_parameter_list,
    STATE(7422), 1,
      sym__function_declarator_seq,
    STATE(7764), 1,
      sym__abstract_declarator,
    STATE(6296), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(7436), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8974), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    ACTIONS(8527), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [188649] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4379), 1,
      anon_sym_const,
    ACTIONS(4561), 1,
      anon_sym_LPAREN2,
    ACTIONS(8509), 1,
      anon_sym_LBRACK,
    ACTIONS(8521), 1,
      anon_sym_STAR,
    ACTIONS(8523), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8525), 1,
      anon_sym_AMP,
    STATE(4889), 1,
      sym_parameter_list,
    STATE(7422), 1,
      sym__function_declarator_seq,
    STATE(7700), 1,
      sym__abstract_declarator,
    STATE(6296), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(7436), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(7395), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    ACTIONS(8527), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [188713] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4379), 1,
      anon_sym_const,
    ACTIONS(4561), 1,
      anon_sym_LPAREN2,
    ACTIONS(8509), 1,
      anon_sym_LBRACK,
    ACTIONS(8539), 1,
      anon_sym_STAR,
    ACTIONS(8541), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8543), 1,
      anon_sym_AMP,
    STATE(4931), 1,
      sym_parameter_list,
    STATE(7422), 1,
      sym__function_declarator_seq,
    STATE(7630), 1,
      sym__abstract_declarator,
    STATE(6296), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(7436), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8974), 7,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
    ACTIONS(8527), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [188777] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4379), 1,
      anon_sym_const,
    ACTIONS(4561), 1,
      anon_sym_LPAREN2,
    ACTIONS(8509), 1,
      anon_sym_LBRACK,
    ACTIONS(8539), 1,
      anon_sym_STAR,
    ACTIONS(8541), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8543), 1,
      anon_sym_AMP,
    STATE(4931), 1,
      sym_parameter_list,
    STATE(7422), 1,
      sym__function_declarator_seq,
    STATE(7679), 1,
      sym__abstract_declarator,
    STATE(6296), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(7436), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(7395), 7,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
    ACTIONS(8527), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [188841] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(119), 1,
      sym_auto,
    ACTIONS(121), 1,
      anon_sym_decltype,
    ACTIONS(1486), 1,
      anon_sym_template,
    ACTIONS(2124), 1,
      anon_sym_enum,
    ACTIONS(2126), 1,
      anon_sym_class,
    ACTIONS(2128), 1,
      anon_sym_struct,
    ACTIONS(2130), 1,
      anon_sym_union,
    ACTIONS(2154), 1,
      anon_sym_typename,
    ACTIONS(2891), 1,
      sym_primitive_type,
    ACTIONS(4569), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9593), 1,
      sym_identifier,
    ACTIONS(9595), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(9599), 1,
      anon_sym_EQ,
    STATE(3021), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(3054), 1,
      sym__type_specifier,
    STATE(3068), 1,
      sym_qualified_type_identifier,
    STATE(3091), 1,
      sym_decltype_auto,
    STATE(7879), 1,
      sym__scope_resolution,
    STATE(10317), 1,
      sym_dependent_type_identifier,
    ACTIONS(9597), 2,
      anon_sym_COMMA,
      anon_sym_GT2,
    STATE(3050), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(55), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3085), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [188925] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7976), 1,
      anon_sym___attribute__,
    ACTIONS(9554), 1,
      anon_sym_LBRACE,
    STATE(6118), 1,
      sym_enumerator_list,
    STATE(6235), 1,
      sym_attribute_specifier,
    ACTIONS(6155), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(6157), 27,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [188975] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7976), 1,
      anon_sym___attribute__,
    ACTIONS(7987), 1,
      anon_sym_DASH_GT,
    ACTIONS(7989), 1,
      anon_sym_noexcept,
    ACTIONS(7991), 1,
      anon_sym_throw,
    ACTIONS(7993), 1,
      anon_sym_requires,
    ACTIONS(9311), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9314), 1,
      anon_sym_LBRACK,
    STATE(6916), 1,
      sym__function_attributes_end,
    STATE(7060), 1,
      sym_trailing_return_type,
    STATE(8031), 1,
      sym_gnu_asm_expression,
    ACTIONS(6859), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(7985), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(6935), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(7085), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7174), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(7349), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(6476), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(9309), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
      anon_sym_try,
  [189049] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7970), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7972), 1,
      anon_sym_AMP,
    ACTIONS(7976), 1,
      anon_sym___attribute__,
    ACTIONS(7989), 1,
      anon_sym_noexcept,
    ACTIONS(7991), 1,
      anon_sym_throw,
    ACTIONS(8178), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8180), 1,
      anon_sym_DASH_GT,
    ACTIONS(9314), 1,
      anon_sym_LBRACK,
    ACTIONS(9604), 1,
      anon_sym_requires,
    STATE(6266), 1,
      sym_ref_qualifier,
    STATE(7133), 1,
      sym_trailing_return_type,
    STATE(7212), 1,
      sym__function_attributes_end,
    STATE(8031), 1,
      sym_gnu_asm_expression,
    ACTIONS(7985), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9601), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6935), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(7085), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7234), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(7404), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(6645), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(9309), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_GT2,
  [189129] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9567), 1,
      anon_sym___attribute__,
    ACTIONS(9584), 1,
      anon_sym_COLON,
    ACTIONS(9586), 1,
      anon_sym_LBRACE,
    STATE(6139), 1,
      sym__enum_base_clause,
    STATE(6222), 1,
      sym_enumerator_list,
    STATE(6394), 1,
      sym_attribute_specifier,
    ACTIONS(6368), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(6370), 26,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [189183] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7976), 1,
      anon_sym___attribute__,
    ACTIONS(7987), 1,
      anon_sym_DASH_GT,
    ACTIONS(7989), 1,
      anon_sym_noexcept,
    ACTIONS(7991), 1,
      anon_sym_throw,
    ACTIONS(9311), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9314), 1,
      anon_sym_LBRACK,
    ACTIONS(9319), 1,
      anon_sym_requires,
    STATE(6956), 1,
      sym__function_attributes_end,
    STATE(6993), 1,
      sym_trailing_return_type,
    STATE(8031), 1,
      sym_gnu_asm_expression,
    ACTIONS(7985), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9316), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6935), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(7085), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7174), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(7349), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(6566), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(9309), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
      anon_sym_try,
  [189257] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2230), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9588), 1,
      anon_sym_LT,
    STATE(3822), 1,
      sym_template_argument_list,
    ACTIONS(2232), 3,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_const,
    ACTIONS(2234), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_or,
      anon_sym_and,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [189305] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4561), 1,
      anon_sym_LPAREN2,
    ACTIONS(8509), 1,
      anon_sym_LBRACK,
    ACTIONS(8511), 1,
      anon_sym_const,
    ACTIONS(8655), 1,
      anon_sym_STAR,
    ACTIONS(8657), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8659), 1,
      anon_sym_AMP,
    STATE(5030), 1,
      sym_parameter_list,
    STATE(7422), 1,
      sym__function_declarator_seq,
    STATE(7793), 1,
      sym__abstract_declarator,
    STATE(6616), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(7436), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(7395), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    ACTIONS(8501), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [189368] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(3003), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5952), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(9607), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5954), 25,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [189413] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7976), 1,
      anon_sym___attribute__,
    STATE(6214), 1,
      sym_attribute_specifier,
    ACTIONS(6216), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(6218), 28,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [189458] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4379), 1,
      anon_sym_const,
    ACTIONS(4561), 1,
      anon_sym_LPAREN2,
    ACTIONS(4563), 1,
      anon_sym_STAR,
    ACTIONS(4565), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4567), 1,
      anon_sym_AMP,
    ACTIONS(8300), 1,
      sym_auto,
    ACTIONS(8302), 1,
      anon_sym_decltype,
    ACTIONS(8509), 1,
      anon_sym_LBRACK,
    STATE(3329), 1,
      sym_decltype_auto,
    STATE(4924), 1,
      sym_parameter_list,
    STATE(7422), 1,
      sym__function_declarator_seq,
    STATE(7995), 1,
      sym__abstract_declarator,
    STATE(6357), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(8533), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    STATE(7436), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8527), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [189527] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8535), 1,
      sym_auto,
    ACTIONS(8537), 1,
      anon_sym_decltype,
    STATE(6187), 1,
      sym_decltype_auto,
    ACTIONS(6021), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(6023), 27,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [189574] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4379), 1,
      anon_sym_const,
    ACTIONS(4561), 1,
      anon_sym_LPAREN2,
    ACTIONS(7406), 1,
      sym_auto,
    ACTIONS(7408), 1,
      anon_sym_decltype,
    ACTIONS(8509), 1,
      anon_sym_LBRACK,
    ACTIONS(9261), 1,
      anon_sym_STAR,
    ACTIONS(9263), 1,
      anon_sym_AMP_AMP,
    ACTIONS(9265), 1,
      anon_sym_AMP,
    STATE(3989), 1,
      sym_decltype_auto,
    STATE(5027), 1,
      sym_parameter_list,
    STATE(7422), 1,
      sym__function_declarator_seq,
    STATE(8004), 1,
      sym__abstract_declarator,
    STATE(6413), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(8545), 3,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_GT2,
    STATE(7436), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8527), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [189643] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5585), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7970), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7972), 1,
      anon_sym_AMP,
    ACTIONS(7989), 1,
      anon_sym_noexcept,
    ACTIONS(7991), 1,
      anon_sym_throw,
    ACTIONS(8193), 1,
      anon_sym_requires,
    ACTIONS(8209), 1,
      anon_sym___attribute__,
    ACTIONS(8222), 1,
      anon_sym_DASH_GT,
    ACTIONS(9314), 1,
      anon_sym_LBRACK,
    STATE(6389), 1,
      sym_ref_qualifier,
    STATE(7099), 1,
      sym_trailing_return_type,
    STATE(7289), 1,
      sym__function_attributes_end,
    STATE(8050), 1,
      sym_gnu_asm_expression,
    ACTIONS(7985), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(8191), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6922), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(7102), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7234), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(7404), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(6670), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(9309), 5,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_try,
  [189722] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4379), 1,
      anon_sym_const,
    ACTIONS(4561), 1,
      anon_sym_LPAREN2,
    ACTIONS(4563), 1,
      anon_sym_STAR,
    ACTIONS(4565), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4567), 1,
      anon_sym_AMP,
    ACTIONS(8300), 1,
      sym_auto,
    ACTIONS(8302), 1,
      anon_sym_decltype,
    ACTIONS(8509), 1,
      anon_sym_LBRACK,
    STATE(3329), 1,
      sym_decltype_auto,
    STATE(4924), 1,
      sym_parameter_list,
    STATE(7422), 1,
      sym__function_declarator_seq,
    STATE(7963), 1,
      sym__abstract_declarator,
    STATE(6358), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(8545), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    STATE(7436), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8527), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [189791] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7976), 1,
      anon_sym___attribute__,
    STATE(6177), 1,
      sym_attribute_specifier,
    ACTIONS(6224), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(6226), 28,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [189836] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7976), 1,
      anon_sym___attribute__,
    STATE(6221), 1,
      sym_attribute_specifier,
    ACTIONS(6235), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(6237), 28,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [189881] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4379), 1,
      anon_sym_const,
    ACTIONS(4561), 1,
      anon_sym_LPAREN2,
    ACTIONS(8509), 1,
      anon_sym_LBRACK,
    ACTIONS(8629), 1,
      anon_sym_STAR,
    ACTIONS(8631), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8633), 1,
      anon_sym_AMP,
    STATE(5033), 1,
      sym_parameter_list,
    STATE(7422), 1,
      sym__function_declarator_seq,
    STATE(7797), 1,
      sym__abstract_declarator,
    STATE(6296), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(7436), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(7395), 6,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
    ACTIONS(8527), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [189944] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7976), 1,
      anon_sym___attribute__,
    STATE(6202), 1,
      sym_attribute_specifier,
    ACTIONS(6189), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(6191), 28,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [189989] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4561), 1,
      anon_sym_LPAREN2,
    ACTIONS(8509), 1,
      anon_sym_LBRACK,
    ACTIONS(8511), 1,
      anon_sym_const,
    ACTIONS(8649), 1,
      anon_sym_STAR,
    ACTIONS(8651), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8653), 1,
      anon_sym_AMP,
    STATE(4992), 1,
      sym_parameter_list,
    STATE(7422), 1,
      sym__function_declarator_seq,
    STATE(7768), 1,
      sym__abstract_declarator,
    STATE(6616), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(7436), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8974), 6,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
    ACTIONS(8501), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [190052] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7976), 1,
      anon_sym___attribute__,
    STATE(6218), 1,
      sym_attribute_specifier,
    ACTIONS(6204), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(6206), 28,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [190097] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5585), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7970), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7972), 1,
      anon_sym_AMP,
    ACTIONS(7989), 1,
      anon_sym_noexcept,
    ACTIONS(7991), 1,
      anon_sym_throw,
    ACTIONS(8209), 1,
      anon_sym___attribute__,
    ACTIONS(8222), 1,
      anon_sym_DASH_GT,
    ACTIONS(9314), 1,
      anon_sym_LBRACK,
    ACTIONS(9604), 1,
      anon_sym_requires,
    STATE(6299), 1,
      sym_ref_qualifier,
    STATE(7133), 1,
      sym_trailing_return_type,
    STATE(7313), 1,
      sym__function_attributes_end,
    STATE(8050), 1,
      sym_gnu_asm_expression,
    ACTIONS(7985), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9601), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6922), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(7102), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7234), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(7404), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(6651), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(9309), 5,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_try,
  [190176] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7976), 1,
      anon_sym___attribute__,
    STATE(6240), 1,
      sym_attribute_specifier,
    ACTIONS(6231), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(6233), 28,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [190221] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1486), 1,
      anon_sym_template,
    ACTIONS(2194), 1,
      anon_sym_COLON,
    ACTIONS(3148), 1,
      anon_sym_decltype,
    ACTIONS(4569), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5581), 1,
      anon_sym___attribute__,
    ACTIONS(5585), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5587), 1,
      anon_sym___declspec,
    ACTIONS(5591), 1,
      anon_sym_alignas,
    ACTIONS(5929), 1,
      anon_sym_LBRACE,
    ACTIONS(9595), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(9599), 1,
      anon_sym_EQ,
    ACTIONS(9609), 1,
      sym_identifier,
    STATE(2999), 1,
      sym_template_type,
    STATE(3062), 1,
      sym__class_declaration,
    STATE(3066), 1,
      sym__class_declaration_item,
    STATE(3108), 1,
      sym_field_declaration_list,
    STATE(6861), 1,
      sym_ms_declspec_modifier,
    STATE(7879), 1,
      sym__scope_resolution,
    STATE(8205), 1,
      sym_virtual_specifier,
    STATE(9297), 1,
      sym_base_class_clause,
    ACTIONS(2198), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(9597), 2,
      anon_sym_COMMA,
      anon_sym_GT2,
    STATE(3022), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6860), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(10317), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(6583), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [190310] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4561), 1,
      anon_sym_LPAREN2,
    ACTIONS(8509), 1,
      anon_sym_LBRACK,
    ACTIONS(8511), 1,
      anon_sym_const,
    ACTIONS(8655), 1,
      anon_sym_STAR,
    ACTIONS(8657), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8659), 1,
      anon_sym_AMP,
    STATE(5030), 1,
      sym_parameter_list,
    STATE(7422), 1,
      sym__function_declarator_seq,
    STATE(7823), 1,
      sym__abstract_declarator,
    STATE(6616), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(7436), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(6740), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    ACTIONS(8501), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [190373] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(3003), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5966), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(9607), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5968), 25,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [190418] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5585), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7970), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7972), 1,
      anon_sym_AMP,
    ACTIONS(7989), 1,
      anon_sym_noexcept,
    ACTIONS(7991), 1,
      anon_sym_throw,
    ACTIONS(8209), 1,
      anon_sym___attribute__,
    ACTIONS(8211), 1,
      anon_sym_DASH_GT,
    ACTIONS(8220), 1,
      anon_sym_requires,
    ACTIONS(9314), 1,
      anon_sym_LBRACK,
    STATE(6332), 1,
      sym_ref_qualifier,
    STATE(7259), 1,
      sym__function_attributes_end,
    STATE(7427), 1,
      sym_trailing_return_type,
    STATE(8050), 1,
      sym_gnu_asm_expression,
    ACTIONS(7985), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(8191), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6922), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(7102), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7234), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(7404), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(6658), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(9309), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [190497] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4379), 1,
      anon_sym_const,
    ACTIONS(4561), 1,
      anon_sym_LPAREN2,
    ACTIONS(8509), 1,
      anon_sym_LBRACK,
    ACTIONS(8629), 1,
      anon_sym_STAR,
    ACTIONS(8631), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8633), 1,
      anon_sym_AMP,
    STATE(5033), 1,
      sym_parameter_list,
    STATE(7422), 1,
      sym__function_declarator_seq,
    STATE(7774), 1,
      sym__abstract_declarator,
    STATE(6296), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(7436), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8725), 6,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
    ACTIONS(8527), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [190560] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4379), 1,
      anon_sym_const,
    ACTIONS(4561), 1,
      anon_sym_LPAREN2,
    ACTIONS(7406), 1,
      sym_auto,
    ACTIONS(7408), 1,
      anon_sym_decltype,
    ACTIONS(8509), 1,
      anon_sym_LBRACK,
    ACTIONS(9261), 1,
      anon_sym_STAR,
    ACTIONS(9263), 1,
      anon_sym_AMP_AMP,
    ACTIONS(9265), 1,
      anon_sym_AMP,
    STATE(3989), 1,
      sym_decltype_auto,
    STATE(5027), 1,
      sym_parameter_list,
    STATE(7422), 1,
      sym__function_declarator_seq,
    STATE(8007), 1,
      sym__abstract_declarator,
    STATE(6369), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(8533), 3,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_GT2,
    STATE(7436), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8527), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [190629] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(6128), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5970), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(9611), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5972), 25,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [190674] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7976), 1,
      anon_sym___attribute__,
    STATE(6229), 1,
      sym_attribute_specifier,
    ACTIONS(6212), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(6214), 28,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [190719] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5585), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7970), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7972), 1,
      anon_sym_AMP,
    ACTIONS(7989), 1,
      anon_sym_noexcept,
    ACTIONS(7991), 1,
      anon_sym_throw,
    ACTIONS(8209), 1,
      anon_sym___attribute__,
    ACTIONS(8211), 1,
      anon_sym_DASH_GT,
    ACTIONS(9314), 1,
      anon_sym_LBRACK,
    ACTIONS(9613), 1,
      anon_sym_requires,
    STATE(6314), 1,
      sym_ref_qualifier,
    STATE(7331), 1,
      sym__function_attributes_end,
    STATE(7355), 1,
      sym_trailing_return_type,
    STATE(8050), 1,
      sym_gnu_asm_expression,
    ACTIONS(7985), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9601), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6922), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(7102), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7234), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(7404), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(6683), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(9309), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [190798] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4561), 1,
      anon_sym_LPAREN2,
    ACTIONS(8509), 1,
      anon_sym_LBRACK,
    ACTIONS(8511), 1,
      anon_sym_const,
    ACTIONS(8649), 1,
      anon_sym_STAR,
    ACTIONS(8651), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8653), 1,
      anon_sym_AMP,
    STATE(4992), 1,
      sym_parameter_list,
    STATE(7422), 1,
      sym__function_declarator_seq,
    STATE(7826), 1,
      sym__abstract_declarator,
    STATE(6616), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(7436), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(6740), 6,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
    ACTIONS(8501), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [190861] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9567), 1,
      anon_sym___attribute__,
    ACTIONS(9586), 1,
      anon_sym_LBRACE,
    STATE(6245), 1,
      sym_enumerator_list,
    STATE(6381), 1,
      sym_attribute_specifier,
    ACTIONS(6077), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(6079), 27,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [190910] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7976), 1,
      anon_sym___attribute__,
    STATE(6171), 1,
      sym_attribute_specifier,
    ACTIONS(6208), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(6210), 28,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [190955] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9616), 1,
      sym_ms_restrict_modifier,
    STATE(6301), 1,
      sym_ms_unaligned_ptr_modifier,
    ACTIONS(8322), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(9619), 2,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(9622), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(6138), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    ACTIONS(8324), 23,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON,
      anon_sym___extension__,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [191006] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9567), 1,
      anon_sym___attribute__,
    ACTIONS(9586), 1,
      anon_sym_LBRACE,
    STATE(6236), 1,
      sym_enumerator_list,
    STATE(6399), 1,
      sym_attribute_specifier,
    ACTIONS(6155), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(6157), 27,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [191055] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(6147), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5946), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(9625), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5948), 25,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [191100] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4561), 1,
      anon_sym_LPAREN2,
    ACTIONS(8509), 1,
      anon_sym_LBRACK,
    ACTIONS(8511), 1,
      anon_sym_const,
    ACTIONS(8649), 1,
      anon_sym_STAR,
    ACTIONS(8651), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8653), 1,
      anon_sym_AMP,
    STATE(4992), 1,
      sym_parameter_list,
    STATE(7422), 1,
      sym__function_declarator_seq,
    STATE(7803), 1,
      sym__abstract_declarator,
    STATE(6616), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(7436), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8725), 6,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
    ACTIONS(8501), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [191163] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4561), 1,
      anon_sym_LPAREN2,
    ACTIONS(8509), 1,
      anon_sym_LBRACK,
    ACTIONS(8511), 1,
      anon_sym_const,
    ACTIONS(8649), 1,
      anon_sym_STAR,
    ACTIONS(8651), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8653), 1,
      anon_sym_AMP,
    STATE(4992), 1,
      sym_parameter_list,
    STATE(7422), 1,
      sym__function_declarator_seq,
    STATE(7801), 1,
      sym__abstract_declarator,
    STATE(6616), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(7436), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(7395), 6,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
    ACTIONS(8501), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [191226] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4561), 1,
      anon_sym_LPAREN2,
    ACTIONS(8509), 1,
      anon_sym_LBRACK,
    ACTIONS(8511), 1,
      anon_sym_const,
    ACTIONS(8655), 1,
      anon_sym_STAR,
    ACTIONS(8657), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8659), 1,
      anon_sym_AMP,
    STATE(5030), 1,
      sym_parameter_list,
    STATE(7422), 1,
      sym__function_declarator_seq,
    STATE(7773), 1,
      sym__abstract_declarator,
    STATE(6616), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(7436), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8974), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    ACTIONS(8501), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [191289] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4379), 1,
      anon_sym_const,
    ACTIONS(4561), 1,
      anon_sym_LPAREN2,
    ACTIONS(8509), 1,
      anon_sym_LBRACK,
    ACTIONS(8629), 1,
      anon_sym_STAR,
    ACTIONS(8631), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8633), 1,
      anon_sym_AMP,
    STATE(5033), 1,
      sym_parameter_list,
    STATE(7422), 1,
      sym__function_declarator_seq,
    STATE(7789), 1,
      sym__abstract_declarator,
    STATE(6296), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(7436), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(6740), 6,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
    ACTIONS(8527), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [191352] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(6149), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5987), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(9627), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5989), 25,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [191397] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4379), 1,
      anon_sym_const,
    ACTIONS(4561), 1,
      anon_sym_LPAREN2,
    ACTIONS(8509), 1,
      anon_sym_LBRACK,
    ACTIONS(8629), 1,
      anon_sym_STAR,
    ACTIONS(8631), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8633), 1,
      anon_sym_AMP,
    STATE(5033), 1,
      sym_parameter_list,
    STATE(7422), 1,
      sym__function_declarator_seq,
    STATE(7824), 1,
      sym__abstract_declarator,
    STATE(6296), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(7436), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8974), 6,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
    ACTIONS(8527), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [191460] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(3003), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5962), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(9607), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5964), 25,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [191505] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4561), 1,
      anon_sym_LPAREN2,
    ACTIONS(8509), 1,
      anon_sym_LBRACK,
    ACTIONS(8511), 1,
      anon_sym_const,
    ACTIONS(8655), 1,
      anon_sym_STAR,
    ACTIONS(8657), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8659), 1,
      anon_sym_AMP,
    STATE(5030), 1,
      sym_parameter_list,
    STATE(7422), 1,
      sym__function_declarator_seq,
    STATE(7822), 1,
      sym__abstract_declarator,
    STATE(6616), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(7436), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8725), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    ACTIONS(8501), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [191568] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(3003), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5958), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(9607), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5960), 25,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [191613] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7976), 1,
      anon_sym___attribute__,
    STATE(6164), 1,
      sym_attribute_specifier,
    ACTIONS(6185), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(6187), 28,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [191658] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7976), 1,
      anon_sym___attribute__,
    STATE(6173), 1,
      sym_attribute_specifier,
    ACTIONS(6181), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(6183), 28,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [191703] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7976), 1,
      anon_sym___attribute__,
    STATE(6159), 1,
      sym_attribute_specifier,
    ACTIONS(6220), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(6222), 28,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [191748] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5929), 1,
      anon_sym_LBRACE,
    ACTIONS(6417), 1,
      anon_sym_COLON,
    ACTIONS(8209), 1,
      anon_sym___attribute__,
    STATE(3082), 1,
      sym_attribute_specifier,
    STATE(6593), 1,
      sym_field_declaration_list,
    STATE(8206), 1,
      sym_virtual_specifier,
    STATE(9301), 1,
      sym_base_class_clause,
    ACTIONS(6859), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5925), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(5927), 21,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym___extension__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
      anon_sym_requires,
  [191805] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7976), 1,
      anon_sym___attribute__,
    STATE(6161), 1,
      sym_attribute_specifier,
    ACTIONS(6193), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(6195), 28,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [191850] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1486), 1,
      anon_sym_template,
    ACTIONS(8298), 1,
      anon_sym_LPAREN2,
    ACTIONS(9629), 1,
      sym_identifier,
    ACTIONS(9631), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9635), 1,
      sym_primitive_type,
    ACTIONS(9637), 1,
      anon_sym_enum,
    ACTIONS(9639), 1,
      anon_sym_class,
    ACTIONS(9641), 1,
      anon_sym_struct,
    ACTIONS(9643), 1,
      anon_sym_union,
    ACTIONS(9645), 1,
      sym_auto,
    ACTIONS(9647), 1,
      anon_sym_decltype,
    ACTIONS(9649), 1,
      anon_sym_typename,
    STATE(4863), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(5036), 1,
      sym__type_specifier,
    STATE(5289), 1,
      sym_decltype_auto,
    STATE(5294), 1,
      sym_qualified_type_identifier,
    STATE(6326), 1,
      sym_argument_list,
    STATE(7838), 1,
      sym__scope_resolution,
    STATE(10317), 1,
      sym_dependent_type_identifier,
    STATE(5252), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(9633), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(5296), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [191930] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6135), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(6137), 29,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [191970] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1486), 1,
      anon_sym_template,
    ACTIONS(8298), 1,
      anon_sym_LPAREN2,
    ACTIONS(9651), 1,
      sym_identifier,
    ACTIONS(9653), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9657), 1,
      sym_primitive_type,
    ACTIONS(9659), 1,
      anon_sym_enum,
    ACTIONS(9661), 1,
      anon_sym_class,
    ACTIONS(9663), 1,
      anon_sym_struct,
    ACTIONS(9665), 1,
      anon_sym_union,
    ACTIONS(9667), 1,
      sym_auto,
    ACTIONS(9669), 1,
      anon_sym_decltype,
    ACTIONS(9671), 1,
      anon_sym_typename,
    STATE(3467), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(3714), 1,
      sym__type_specifier,
    STATE(3859), 1,
      sym_decltype_auto,
    STATE(3879), 1,
      sym_qualified_type_identifier,
    STATE(6283), 1,
      sym_argument_list,
    STATE(7837), 1,
      sym__scope_resolution,
    STATE(10317), 1,
      sym_dependent_type_identifier,
    STATE(3798), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(9655), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3860), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [192050] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6131), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(6133), 29,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [192090] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6041), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(6043), 29,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [192130] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1486), 1,
      anon_sym_template,
    ACTIONS(8298), 1,
      anon_sym_LPAREN2,
    ACTIONS(9651), 1,
      sym_identifier,
    ACTIONS(9653), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9657), 1,
      sym_primitive_type,
    ACTIONS(9659), 1,
      anon_sym_enum,
    ACTIONS(9661), 1,
      anon_sym_class,
    ACTIONS(9663), 1,
      anon_sym_struct,
    ACTIONS(9665), 1,
      anon_sym_union,
    ACTIONS(9667), 1,
      sym_auto,
    ACTIONS(9669), 1,
      anon_sym_decltype,
    ACTIONS(9671), 1,
      anon_sym_typename,
    STATE(3467), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(3699), 1,
      sym__type_specifier,
    STATE(3859), 1,
      sym_decltype_auto,
    STATE(3879), 1,
      sym_qualified_type_identifier,
    STATE(6284), 1,
      sym_argument_list,
    STATE(7837), 1,
      sym__scope_resolution,
    STATE(10317), 1,
      sym_dependent_type_identifier,
    STATE(3798), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(9655), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3860), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [192210] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6143), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(6145), 29,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [192250] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6147), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(6149), 29,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [192290] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7970), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7972), 1,
      anon_sym_AMP,
    ACTIONS(7976), 1,
      anon_sym___attribute__,
    ACTIONS(7989), 1,
      anon_sym_noexcept,
    ACTIONS(7991), 1,
      anon_sym_throw,
    ACTIONS(8178), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8243), 1,
      anon_sym_DASH_GT,
    ACTIONS(8245), 1,
      anon_sym_requires,
    ACTIONS(9314), 1,
      anon_sym_LBRACK,
    STATE(6428), 1,
      sym_ref_qualifier,
    STATE(7432), 1,
      sym__function_attributes_end,
    STATE(7544), 1,
      sym_trailing_return_type,
    STATE(8031), 1,
      sym_gnu_asm_expression,
    ACTIONS(7985), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(8191), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6935), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(7085), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7234), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(7404), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(6705), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(9309), 4,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_GT2,
  [192368] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6159), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(6161), 29,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [192408] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1486), 1,
      anon_sym_template,
    ACTIONS(8298), 1,
      anon_sym_LPAREN2,
    ACTIONS(9673), 1,
      sym_identifier,
    ACTIONS(9675), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9679), 1,
      sym_primitive_type,
    ACTIONS(9681), 1,
      anon_sym_enum,
    ACTIONS(9683), 1,
      anon_sym_class,
    ACTIONS(9685), 1,
      anon_sym_struct,
    ACTIONS(9687), 1,
      anon_sym_union,
    ACTIONS(9689), 1,
      sym_auto,
    ACTIONS(9691), 1,
      anon_sym_decltype,
    ACTIONS(9693), 1,
      anon_sym_typename,
    STATE(3733), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(3988), 1,
      sym__type_specifier,
    STATE(4528), 1,
      sym_decltype_auto,
    STATE(4575), 1,
      sym_qualified_type_identifier,
    STATE(6298), 1,
      sym_argument_list,
    STATE(7854), 1,
      sym__scope_resolution,
    STATE(10317), 1,
      sym_dependent_type_identifier,
    STATE(4501), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(9677), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(4524), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [192488] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1486), 1,
      anon_sym_template,
    ACTIONS(8298), 1,
      anon_sym_LPAREN2,
    ACTIONS(9629), 1,
      sym_identifier,
    ACTIONS(9631), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9635), 1,
      sym_primitive_type,
    ACTIONS(9637), 1,
      anon_sym_enum,
    ACTIONS(9639), 1,
      anon_sym_class,
    ACTIONS(9641), 1,
      anon_sym_struct,
    ACTIONS(9643), 1,
      anon_sym_union,
    ACTIONS(9645), 1,
      sym_auto,
    ACTIONS(9647), 1,
      anon_sym_decltype,
    ACTIONS(9649), 1,
      anon_sym_typename,
    STATE(4863), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(5062), 1,
      sym__type_specifier,
    STATE(5289), 1,
      sym_decltype_auto,
    STATE(5294), 1,
      sym_qualified_type_identifier,
    STATE(6340), 1,
      sym_argument_list,
    STATE(7838), 1,
      sym__scope_resolution,
    STATE(10317), 1,
      sym_dependent_type_identifier,
    STATE(5252), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(9633), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(5296), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [192568] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6065), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(6067), 29,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [192608] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1486), 1,
      anon_sym_template,
    ACTIONS(8298), 1,
      anon_sym_LPAREN2,
    ACTIONS(9695), 1,
      sym_identifier,
    ACTIONS(9697), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9701), 1,
      sym_primitive_type,
    ACTIONS(9703), 1,
      anon_sym_enum,
    ACTIONS(9705), 1,
      anon_sym_class,
    ACTIONS(9707), 1,
      anon_sym_struct,
    ACTIONS(9709), 1,
      anon_sym_union,
    ACTIONS(9711), 1,
      sym_auto,
    ACTIONS(9713), 1,
      anon_sym_decltype,
    ACTIONS(9715), 1,
      anon_sym_typename,
    STATE(4596), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(4885), 1,
      sym__type_specifier,
    STATE(5215), 1,
      sym_decltype_auto,
    STATE(5224), 1,
      sym_qualified_type_identifier,
    STATE(6362), 1,
      sym_argument_list,
    STATE(7840), 1,
      sym__scope_resolution,
    STATE(10317), 1,
      sym_dependent_type_identifier,
    STATE(5122), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(9699), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(5208), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [192688] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1486), 1,
      anon_sym_template,
    ACTIONS(8298), 1,
      anon_sym_LPAREN2,
    ACTIONS(9695), 1,
      sym_identifier,
    ACTIONS(9697), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9701), 1,
      sym_primitive_type,
    ACTIONS(9703), 1,
      anon_sym_enum,
    ACTIONS(9705), 1,
      anon_sym_class,
    ACTIONS(9707), 1,
      anon_sym_struct,
    ACTIONS(9709), 1,
      anon_sym_union,
    ACTIONS(9711), 1,
      sym_auto,
    ACTIONS(9713), 1,
      anon_sym_decltype,
    ACTIONS(9715), 1,
      anon_sym_typename,
    STATE(4596), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(4911), 1,
      sym__type_specifier,
    STATE(5215), 1,
      sym_decltype_auto,
    STATE(5224), 1,
      sym_qualified_type_identifier,
    STATE(6349), 1,
      sym_argument_list,
    STATE(7840), 1,
      sym__scope_resolution,
    STATE(10317), 1,
      sym_dependent_type_identifier,
    STATE(5122), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(9699), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(5208), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [192768] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7970), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7972), 1,
      anon_sym_AMP,
    ACTIONS(7976), 1,
      anon_sym___attribute__,
    ACTIONS(7989), 1,
      anon_sym_noexcept,
    ACTIONS(7991), 1,
      anon_sym_throw,
    ACTIONS(8178), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8270), 1,
      anon_sym_DASH_GT,
    ACTIONS(9314), 1,
      anon_sym_LBRACK,
    ACTIONS(9613), 1,
      anon_sym_requires,
    STATE(6420), 1,
      sym_ref_qualifier,
    STATE(7355), 1,
      sym_trailing_return_type,
    STATE(7443), 1,
      sym__function_attributes_end,
    STATE(8031), 1,
      sym_gnu_asm_expression,
    ACTIONS(7985), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9601), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6935), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(7085), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7234), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(7404), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(6706), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(9309), 4,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON,
  [192846] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6061), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(6063), 29,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [192886] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7989), 1,
      anon_sym_noexcept,
    ACTIONS(7991), 1,
      anon_sym_throw,
    ACTIONS(8141), 1,
      anon_sym_DASH_GT,
    ACTIONS(9573), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9576), 1,
      anon_sym_LBRACK,
    ACTIONS(9581), 1,
      anon_sym_requires,
    ACTIONS(9717), 1,
      anon_sym___attribute__,
    STATE(6989), 1,
      sym_trailing_return_type,
    STATE(6994), 1,
      sym__function_attributes_end,
    STATE(8031), 1,
      sym_gnu_asm_expression,
    ACTIONS(7985), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9578), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6935), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(7085), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7174), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(7305), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(6622), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(9571), 7,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_try,
  [192958] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6119), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(6121), 29,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [192998] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6107), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(6109), 29,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [193038] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7970), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7972), 1,
      anon_sym_AMP,
    ACTIONS(7976), 1,
      anon_sym___attribute__,
    ACTIONS(7989), 1,
      anon_sym_noexcept,
    ACTIONS(7991), 1,
      anon_sym_throw,
    ACTIONS(8178), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8220), 1,
      anon_sym_requires,
    ACTIONS(8270), 1,
      anon_sym_DASH_GT,
    ACTIONS(9314), 1,
      anon_sym_LBRACK,
    STATE(6505), 1,
      sym_ref_qualifier,
    STATE(7381), 1,
      sym__function_attributes_end,
    STATE(7427), 1,
      sym_trailing_return_type,
    STATE(8031), 1,
      sym_gnu_asm_expression,
    ACTIONS(7985), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(8191), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6935), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(7085), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7234), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(7404), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(6688), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(9309), 4,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON,
  [193116] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6139), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(6141), 29,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [193156] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6091), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(6093), 29,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [193196] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(63), 1,
      anon_sym_const,
    ACTIONS(8254), 1,
      anon_sym_LPAREN2,
    ACTIONS(8268), 1,
      anon_sym_LBRACK,
    ACTIONS(8669), 1,
      anon_sym_STAR,
    ACTIONS(8671), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8673), 1,
      anon_sym_AMP,
    STATE(5095), 1,
      sym_parameter_list,
    STATE(7268), 1,
      sym__function_declarator_seq,
    STATE(7836), 1,
      sym__abstract_declarator,
    STATE(5930), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(6740), 5,
      anon_sym_RPAREN,
      anon_sym_LBRACK_LBRACK,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    STATE(7270), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8207), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [193258] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7970), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7972), 1,
      anon_sym_AMP,
    ACTIONS(7976), 1,
      anon_sym___attribute__,
    ACTIONS(7989), 1,
      anon_sym_noexcept,
    ACTIONS(7991), 1,
      anon_sym_throw,
    ACTIONS(8178), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8243), 1,
      anon_sym_DASH_GT,
    ACTIONS(9314), 1,
      anon_sym_LBRACK,
    ACTIONS(9720), 1,
      anon_sym_requires,
    STATE(6559), 1,
      sym_ref_qualifier,
    STATE(7416), 1,
      sym__function_attributes_end,
    STATE(7488), 1,
      sym_trailing_return_type,
    STATE(8031), 1,
      sym_gnu_asm_expression,
    ACTIONS(7985), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9601), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6935), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(7085), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7234), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(7404), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(6695), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(9309), 4,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_GT2,
  [193336] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7989), 1,
      anon_sym_noexcept,
    ACTIONS(7991), 1,
      anon_sym_throw,
    ACTIONS(8141), 1,
      anon_sym_DASH_GT,
    ACTIONS(9311), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9314), 1,
      anon_sym_LBRACK,
    ACTIONS(9319), 1,
      anon_sym_requires,
    ACTIONS(9564), 1,
      anon_sym___attribute__,
    STATE(6991), 1,
      sym__function_attributes_end,
    STATE(6993), 1,
      sym_trailing_return_type,
    STATE(8031), 1,
      sym_gnu_asm_expression,
    ACTIONS(7985), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9316), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6935), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(7085), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7174), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(7349), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(6625), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(9309), 7,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_try,
  [193408] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1486), 1,
      anon_sym_template,
    ACTIONS(8298), 1,
      anon_sym_LPAREN2,
    ACTIONS(9723), 1,
      sym_identifier,
    ACTIONS(9725), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9729), 1,
      sym_primitive_type,
    ACTIONS(9731), 1,
      anon_sym_enum,
    ACTIONS(9733), 1,
      anon_sym_class,
    ACTIONS(9735), 1,
      anon_sym_struct,
    ACTIONS(9737), 1,
      anon_sym_union,
    ACTIONS(9739), 1,
      sym_auto,
    ACTIONS(9741), 1,
      anon_sym_decltype,
    ACTIONS(9743), 1,
      anon_sym_typename,
    STATE(3545), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(3768), 1,
      sym__type_specifier,
    STATE(4142), 1,
      sym_decltype_auto,
    STATE(4175), 1,
      sym_qualified_type_identifier,
    STATE(6322), 1,
      sym_argument_list,
    STATE(7844), 1,
      sym__scope_resolution,
    STATE(10317), 1,
      sym_dependent_type_identifier,
    STATE(3975), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(9727), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(4094), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [193488] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1486), 1,
      anon_sym_template,
    ACTIONS(2582), 1,
      sym_auto,
    ACTIONS(2584), 1,
      anon_sym_decltype,
    ACTIONS(8290), 1,
      sym_primitive_type,
    ACTIONS(8298), 1,
      anon_sym_LPAREN2,
    ACTIONS(9745), 1,
      sym_identifier,
    ACTIONS(9747), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9749), 1,
      anon_sym_enum,
    ACTIONS(9751), 1,
      anon_sym_class,
    ACTIONS(9753), 1,
      anon_sym_struct,
    ACTIONS(9755), 1,
      anon_sym_union,
    ACTIONS(9757), 1,
      anon_sym_typename,
    STATE(3316), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(3318), 1,
      sym_decltype_auto,
    STATE(3321), 1,
      sym_qualified_type_identifier,
    STATE(5044), 1,
      sym__type_specifier,
    STATE(6390), 1,
      sym_argument_list,
    STATE(7875), 1,
      sym__scope_resolution,
    STATE(10317), 1,
      sym_dependent_type_identifier,
    STATE(3247), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(2546), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3317), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [193568] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1486), 1,
      anon_sym_template,
    ACTIONS(2582), 1,
      sym_auto,
    ACTIONS(2584), 1,
      anon_sym_decltype,
    ACTIONS(8290), 1,
      sym_primitive_type,
    ACTIONS(8298), 1,
      anon_sym_LPAREN2,
    ACTIONS(9745), 1,
      sym_identifier,
    ACTIONS(9747), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9749), 1,
      anon_sym_enum,
    ACTIONS(9751), 1,
      anon_sym_class,
    ACTIONS(9753), 1,
      anon_sym_struct,
    ACTIONS(9755), 1,
      anon_sym_union,
    ACTIONS(9757), 1,
      anon_sym_typename,
    STATE(3316), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(3318), 1,
      sym_decltype_auto,
    STATE(3321), 1,
      sym_qualified_type_identifier,
    STATE(5182), 1,
      sym__type_specifier,
    STATE(6335), 1,
      sym_argument_list,
    STATE(7875), 1,
      sym__scope_resolution,
    STATE(10317), 1,
      sym_dependent_type_identifier,
    STATE(3247), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(2546), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3317), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [193648] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6065), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(6067), 29,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [193688] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1486), 1,
      anon_sym_template,
    ACTIONS(8298), 1,
      anon_sym_LPAREN2,
    ACTIONS(9759), 1,
      sym_identifier,
    ACTIONS(9761), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9765), 1,
      sym_primitive_type,
    ACTIONS(9767), 1,
      anon_sym_enum,
    ACTIONS(9769), 1,
      anon_sym_class,
    ACTIONS(9771), 1,
      anon_sym_struct,
    ACTIONS(9773), 1,
      anon_sym_union,
    ACTIONS(9775), 1,
      sym_auto,
    ACTIONS(9777), 1,
      anon_sym_decltype,
    ACTIONS(9779), 1,
      anon_sym_typename,
    STATE(3215), 1,
      sym__type_specifier,
    STATE(3350), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(3375), 1,
      sym_decltype_auto,
    STATE(3419), 1,
      sym_qualified_type_identifier,
    STATE(6306), 1,
      sym_argument_list,
    STATE(7878), 1,
      sym__scope_resolution,
    STATE(10317), 1,
      sym_dependent_type_identifier,
    STATE(3352), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(9763), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3390), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [193768] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6065), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(6067), 29,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [193808] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6045), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(6047), 29,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [193848] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(63), 1,
      anon_sym_const,
    ACTIONS(8254), 1,
      anon_sym_LPAREN2,
    ACTIONS(8268), 1,
      anon_sym_LBRACK,
    ACTIONS(8669), 1,
      anon_sym_STAR,
    ACTIONS(8671), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8673), 1,
      anon_sym_AMP,
    STATE(5095), 1,
      sym_parameter_list,
    STATE(7268), 1,
      sym__function_declarator_seq,
    STATE(7835), 1,
      sym__abstract_declarator,
    STATE(5930), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(8725), 5,
      anon_sym_RPAREN,
      anon_sym_LBRACK_LBRACK,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    STATE(7270), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8207), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [193910] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6111), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(6113), 29,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [193950] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1486), 1,
      anon_sym_template,
    ACTIONS(8298), 1,
      anon_sym_LPAREN2,
    ACTIONS(9723), 1,
      sym_identifier,
    ACTIONS(9725), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9729), 1,
      sym_primitive_type,
    ACTIONS(9731), 1,
      anon_sym_enum,
    ACTIONS(9733), 1,
      anon_sym_class,
    ACTIONS(9735), 1,
      anon_sym_struct,
    ACTIONS(9737), 1,
      anon_sym_union,
    ACTIONS(9739), 1,
      sym_auto,
    ACTIONS(9741), 1,
      anon_sym_decltype,
    ACTIONS(9743), 1,
      anon_sym_typename,
    STATE(3545), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(3774), 1,
      sym__type_specifier,
    STATE(4142), 1,
      sym_decltype_auto,
    STATE(4175), 1,
      sym_qualified_type_identifier,
    STATE(6319), 1,
      sym_argument_list,
    STATE(7844), 1,
      sym__scope_resolution,
    STATE(10317), 1,
      sym_dependent_type_identifier,
    STATE(3975), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(9727), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(4094), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [194030] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1486), 1,
      anon_sym_template,
    ACTIONS(2582), 1,
      sym_auto,
    ACTIONS(2584), 1,
      anon_sym_decltype,
    ACTIONS(8290), 1,
      sym_primitive_type,
    ACTIONS(8298), 1,
      anon_sym_LPAREN2,
    ACTIONS(9745), 1,
      sym_identifier,
    ACTIONS(9747), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9749), 1,
      anon_sym_enum,
    ACTIONS(9751), 1,
      anon_sym_class,
    ACTIONS(9753), 1,
      anon_sym_struct,
    ACTIONS(9755), 1,
      anon_sym_union,
    ACTIONS(9757), 1,
      anon_sym_typename,
    STATE(3316), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(3318), 1,
      sym_decltype_auto,
    STATE(3321), 1,
      sym_qualified_type_identifier,
    STATE(5192), 1,
      sym__type_specifier,
    STATE(6280), 1,
      sym_argument_list,
    STATE(7875), 1,
      sym__scope_resolution,
    STATE(10317), 1,
      sym_dependent_type_identifier,
    STATE(3247), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(2546), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3317), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [194110] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1486), 1,
      anon_sym_template,
    ACTIONS(8298), 1,
      anon_sym_LPAREN2,
    ACTIONS(9761), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9769), 1,
      anon_sym_class,
    ACTIONS(9771), 1,
      anon_sym_struct,
    ACTIONS(9773), 1,
      anon_sym_union,
    ACTIONS(9775), 1,
      sym_auto,
    ACTIONS(9777), 1,
      anon_sym_decltype,
    ACTIONS(9781), 1,
      sym_identifier,
    ACTIONS(9785), 1,
      sym_primitive_type,
    ACTIONS(9787), 1,
      anon_sym_enum,
    ACTIONS(9789), 1,
      anon_sym_typename,
    STATE(3211), 1,
      sym__type_specifier,
    STATE(3372), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(3375), 1,
      sym_decltype_auto,
    STATE(3419), 1,
      sym_qualified_type_identifier,
    STATE(6361), 1,
      sym_argument_list,
    STATE(7878), 1,
      sym__scope_resolution,
    STATE(10317), 1,
      sym_dependent_type_identifier,
    STATE(3352), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(9783), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3390), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [194190] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1486), 1,
      anon_sym_template,
    ACTIONS(8298), 1,
      anon_sym_LPAREN2,
    ACTIONS(9759), 1,
      sym_identifier,
    ACTIONS(9761), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9765), 1,
      sym_primitive_type,
    ACTIONS(9767), 1,
      anon_sym_enum,
    ACTIONS(9769), 1,
      anon_sym_class,
    ACTIONS(9771), 1,
      anon_sym_struct,
    ACTIONS(9773), 1,
      anon_sym_union,
    ACTIONS(9775), 1,
      sym_auto,
    ACTIONS(9777), 1,
      anon_sym_decltype,
    ACTIONS(9779), 1,
      anon_sym_typename,
    STATE(3211), 1,
      sym__type_specifier,
    STATE(3350), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(3375), 1,
      sym_decltype_auto,
    STATE(3419), 1,
      sym_qualified_type_identifier,
    STATE(6313), 1,
      sym_argument_list,
    STATE(7878), 1,
      sym__scope_resolution,
    STATE(10317), 1,
      sym_dependent_type_identifier,
    STATE(3352), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(9763), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3390), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [194270] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1486), 1,
      anon_sym_template,
    ACTIONS(4299), 1,
      sym_auto,
    ACTIONS(4301), 1,
      anon_sym_decltype,
    ACTIONS(8298), 1,
      anon_sym_LPAREN2,
    ACTIONS(8418), 1,
      sym_primitive_type,
    ACTIONS(9791), 1,
      sym_identifier,
    ACTIONS(9793), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9795), 1,
      anon_sym_enum,
    ACTIONS(9797), 1,
      anon_sym_class,
    ACTIONS(9799), 1,
      anon_sym_struct,
    ACTIONS(9801), 1,
      anon_sym_union,
    ACTIONS(9803), 1,
      anon_sym_typename,
    STATE(3494), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(3979), 1,
      sym_qualified_type_identifier,
    STATE(4013), 1,
      sym_decltype_auto,
    STATE(5238), 1,
      sym__type_specifier,
    STATE(6330), 1,
      sym_argument_list,
    STATE(7839), 1,
      sym__scope_resolution,
    STATE(10317), 1,
      sym_dependent_type_identifier,
    STATE(3955), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(4265), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(4043), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [194350] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6057), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(6059), 29,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [194390] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1486), 1,
      anon_sym_template,
    ACTIONS(8298), 1,
      anon_sym_LPAREN2,
    ACTIONS(9673), 1,
      sym_identifier,
    ACTIONS(9675), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9679), 1,
      sym_primitive_type,
    ACTIONS(9681), 1,
      anon_sym_enum,
    ACTIONS(9683), 1,
      anon_sym_class,
    ACTIONS(9685), 1,
      anon_sym_struct,
    ACTIONS(9687), 1,
      anon_sym_union,
    ACTIONS(9689), 1,
      sym_auto,
    ACTIONS(9691), 1,
      anon_sym_decltype,
    ACTIONS(9693), 1,
      anon_sym_typename,
    STATE(3733), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(4054), 1,
      sym__type_specifier,
    STATE(4528), 1,
      sym_decltype_auto,
    STATE(4575), 1,
      sym_qualified_type_identifier,
    STATE(6293), 1,
      sym_argument_list,
    STATE(7854), 1,
      sym__scope_resolution,
    STATE(10317), 1,
      sym_dependent_type_identifier,
    STATE(4501), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(9677), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(4524), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [194470] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6049), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(6051), 29,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [194510] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2230), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5900), 1,
      anon_sym_LT,
    STATE(3017), 1,
      sym_template_argument_list,
    STATE(6111), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(4211), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(9532), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(4219), 21,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym___extension__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [194560] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1486), 1,
      anon_sym_template,
    ACTIONS(2582), 1,
      sym_auto,
    ACTIONS(2584), 1,
      anon_sym_decltype,
    ACTIONS(8290), 1,
      sym_primitive_type,
    ACTIONS(8298), 1,
      anon_sym_LPAREN2,
    ACTIONS(9745), 1,
      sym_identifier,
    ACTIONS(9747), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9749), 1,
      anon_sym_enum,
    ACTIONS(9751), 1,
      anon_sym_class,
    ACTIONS(9753), 1,
      anon_sym_struct,
    ACTIONS(9755), 1,
      anon_sym_union,
    ACTIONS(9757), 1,
      anon_sym_typename,
    STATE(3316), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(3318), 1,
      sym_decltype_auto,
    STATE(3321), 1,
      sym_qualified_type_identifier,
    STATE(5052), 1,
      sym__type_specifier,
    STATE(6294), 1,
      sym_argument_list,
    STATE(7875), 1,
      sym__scope_resolution,
    STATE(10317), 1,
      sym_dependent_type_identifier,
    STATE(3247), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(2546), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3317), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [194640] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6087), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(6089), 29,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [194680] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1486), 1,
      anon_sym_template,
    ACTIONS(8298), 1,
      anon_sym_LPAREN2,
    ACTIONS(9761), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9769), 1,
      anon_sym_class,
    ACTIONS(9771), 1,
      anon_sym_struct,
    ACTIONS(9773), 1,
      anon_sym_union,
    ACTIONS(9775), 1,
      sym_auto,
    ACTIONS(9777), 1,
      anon_sym_decltype,
    ACTIONS(9781), 1,
      sym_identifier,
    ACTIONS(9785), 1,
      sym_primitive_type,
    ACTIONS(9787), 1,
      anon_sym_enum,
    ACTIONS(9789), 1,
      anon_sym_typename,
    STATE(3215), 1,
      sym__type_specifier,
    STATE(3372), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(3375), 1,
      sym_decltype_auto,
    STATE(3419), 1,
      sym_qualified_type_identifier,
    STATE(6397), 1,
      sym_argument_list,
    STATE(7878), 1,
      sym__scope_resolution,
    STATE(10317), 1,
      sym_dependent_type_identifier,
    STATE(3352), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(9783), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3390), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [194760] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6083), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(6085), 29,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [194800] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1486), 1,
      anon_sym_template,
    ACTIONS(4299), 1,
      sym_auto,
    ACTIONS(4301), 1,
      anon_sym_decltype,
    ACTIONS(8298), 1,
      anon_sym_LPAREN2,
    ACTIONS(8418), 1,
      sym_primitive_type,
    ACTIONS(9791), 1,
      sym_identifier,
    ACTIONS(9793), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9795), 1,
      anon_sym_enum,
    ACTIONS(9797), 1,
      anon_sym_class,
    ACTIONS(9799), 1,
      anon_sym_struct,
    ACTIONS(9801), 1,
      anon_sym_union,
    ACTIONS(9803), 1,
      anon_sym_typename,
    STATE(3494), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(3979), 1,
      sym_qualified_type_identifier,
    STATE(4013), 1,
      sym_decltype_auto,
    STATE(5282), 1,
      sym__type_specifier,
    STATE(6383), 1,
      sym_argument_list,
    STATE(7839), 1,
      sym__scope_resolution,
    STATE(10317), 1,
      sym_dependent_type_identifier,
    STATE(3955), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(4265), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(4043), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [194880] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7989), 1,
      anon_sym_noexcept,
    ACTIONS(7991), 1,
      anon_sym_throw,
    ACTIONS(7993), 1,
      anon_sym_requires,
    ACTIONS(8141), 1,
      anon_sym_DASH_GT,
    ACTIONS(9311), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9314), 1,
      anon_sym_LBRACK,
    ACTIONS(9564), 1,
      anon_sym___attribute__,
    STATE(6976), 1,
      sym__function_attributes_end,
    STATE(7060), 1,
      sym_trailing_return_type,
    STATE(8031), 1,
      sym_gnu_asm_expression,
    ACTIONS(6859), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(7985), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(6935), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(7085), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7174), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(7349), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(6619), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(9309), 7,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_try,
  [194952] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1486), 1,
      anon_sym_template,
    ACTIONS(8298), 1,
      anon_sym_LPAREN2,
    ACTIONS(9805), 1,
      sym_identifier,
    ACTIONS(9807), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9811), 1,
      sym_primitive_type,
    ACTIONS(9813), 1,
      anon_sym_enum,
    ACTIONS(9815), 1,
      anon_sym_class,
    ACTIONS(9817), 1,
      anon_sym_struct,
    ACTIONS(9819), 1,
      anon_sym_union,
    ACTIONS(9821), 1,
      sym_auto,
    ACTIONS(9823), 1,
      anon_sym_decltype,
    ACTIONS(9825), 1,
      anon_sym_typename,
    STATE(3612), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(3780), 1,
      sym__type_specifier,
    STATE(4190), 1,
      sym_decltype_auto,
    STATE(4246), 1,
      sym_qualified_type_identifier,
    STATE(6304), 1,
      sym_argument_list,
    STATE(7882), 1,
      sym__scope_resolution,
    STATE(10317), 1,
      sym_dependent_type_identifier,
    STATE(4103), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(9809), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(4310), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [195032] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6037), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(6039), 29,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [195072] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5585), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7970), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7972), 1,
      anon_sym_AMP,
    ACTIONS(7989), 1,
      anon_sym_noexcept,
    ACTIONS(7991), 1,
      anon_sym_throw,
    ACTIONS(8209), 1,
      anon_sym___attribute__,
    ACTIONS(8245), 1,
      anon_sym_requires,
    ACTIONS(8274), 1,
      anon_sym_DASH_GT,
    ACTIONS(9314), 1,
      anon_sym_LBRACK,
    STATE(6471), 1,
      sym_ref_qualifier,
    STATE(7379), 1,
      sym__function_attributes_end,
    STATE(7544), 1,
      sym_trailing_return_type,
    STATE(8050), 1,
      sym_gnu_asm_expression,
    ACTIONS(7985), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(8191), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6922), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(7102), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7234), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(7404), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(6691), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(9309), 4,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_GT2,
  [195150] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1486), 1,
      anon_sym_template,
    ACTIONS(8298), 1,
      anon_sym_LPAREN2,
    ACTIONS(9805), 1,
      sym_identifier,
    ACTIONS(9807), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9811), 1,
      sym_primitive_type,
    ACTIONS(9813), 1,
      anon_sym_enum,
    ACTIONS(9815), 1,
      anon_sym_class,
    ACTIONS(9817), 1,
      anon_sym_struct,
    ACTIONS(9819), 1,
      anon_sym_union,
    ACTIONS(9821), 1,
      sym_auto,
    ACTIONS(9823), 1,
      anon_sym_decltype,
    ACTIONS(9825), 1,
      anon_sym_typename,
    STATE(3612), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(3851), 1,
      sym__type_specifier,
    STATE(4190), 1,
      sym_decltype_auto,
    STATE(4246), 1,
      sym_qualified_type_identifier,
    STATE(6344), 1,
      sym_argument_list,
    STATE(7882), 1,
      sym__scope_resolution,
    STATE(10317), 1,
      sym_dependent_type_identifier,
    STATE(4103), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(9809), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(4310), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [195230] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5931), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(5933), 29,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [195270] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9567), 1,
      anon_sym___attribute__,
    STATE(6385), 1,
      sym_attribute_specifier,
    ACTIONS(6193), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(6195), 28,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [195314] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9567), 1,
      anon_sym___attribute__,
    STATE(6402), 1,
      sym_attribute_specifier,
    ACTIONS(6181), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(6183), 28,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [195358] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5970), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(5972), 29,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [195398] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6115), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(6117), 29,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [195438] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6123), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(6125), 29,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [195478] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(63), 1,
      anon_sym_const,
    ACTIONS(8254), 1,
      anon_sym_LPAREN2,
    ACTIONS(8268), 1,
      anon_sym_LBRACK,
    ACTIONS(8669), 1,
      anon_sym_STAR,
    ACTIONS(8671), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8673), 1,
      anon_sym_AMP,
    STATE(5095), 1,
      sym_parameter_list,
    STATE(7268), 1,
      sym__function_declarator_seq,
    STATE(7850), 1,
      sym__abstract_declarator,
    STATE(5930), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(8974), 5,
      anon_sym_RPAREN,
      anon_sym_LBRACK_LBRACK,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    STATE(7270), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8207), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [195540] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7976), 1,
      anon_sym___attribute__,
    ACTIONS(9554), 1,
      anon_sym_LBRACE,
    ACTIONS(9827), 1,
      anon_sym_COLON,
    STATE(6104), 1,
      sym__enum_base_clause,
    STATE(6125), 1,
      sym_enumerator_list,
    STATE(6162), 1,
      sym_attribute_specifier,
    ACTIONS(6368), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(6370), 23,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [195592] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7976), 1,
      anon_sym___attribute__,
    ACTIONS(9554), 1,
      anon_sym_LBRACE,
    ACTIONS(9827), 1,
      anon_sym_COLON,
    STATE(6096), 1,
      sym__enum_base_clause,
    STATE(6121), 1,
      sym_enumerator_list,
    STATE(6230), 1,
      sym_attribute_specifier,
    ACTIONS(6356), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(6358), 23,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [195644] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6099), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(6101), 29,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [195684] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(6219), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(6483), 3,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
    ACTIONS(9479), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
    ACTIONS(6481), 15,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_typename,
      anon_sym_template,
  [195728] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9567), 1,
      anon_sym___attribute__,
    STATE(6406), 1,
      sym_attribute_specifier,
    ACTIONS(6212), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(6214), 28,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [195772] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6025), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(6027), 29,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [195812] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9567), 1,
      anon_sym___attribute__,
    STATE(6400), 1,
      sym_attribute_specifier,
    ACTIONS(6231), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(6233), 28,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [195856] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2396), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(2398), 29,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [195896] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9567), 1,
      anon_sym___attribute__,
    STATE(6395), 1,
      sym_attribute_specifier,
    ACTIONS(6235), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(6237), 28,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [195940] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9567), 1,
      anon_sym___attribute__,
    STATE(6393), 1,
      sym_attribute_specifier,
    ACTIONS(6216), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(6218), 28,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [195984] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5585), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7970), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7972), 1,
      anon_sym_AMP,
    ACTIONS(7989), 1,
      anon_sym_noexcept,
    ACTIONS(7991), 1,
      anon_sym_throw,
    ACTIONS(8209), 1,
      anon_sym___attribute__,
    ACTIONS(8274), 1,
      anon_sym_DASH_GT,
    ACTIONS(9314), 1,
      anon_sym_LBRACK,
    ACTIONS(9720), 1,
      anon_sym_requires,
    STATE(6523), 1,
      sym_ref_qualifier,
    STATE(7421), 1,
      sym__function_attributes_end,
    STATE(7488), 1,
      sym_trailing_return_type,
    STATE(8050), 1,
      sym_gnu_asm_expression,
    ACTIONS(7985), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9601), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6922), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(7102), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7234), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(7404), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(6689), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(9309), 4,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_GT2,
  [196062] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9829), 2,
      anon_sym_COMMA,
      anon_sym_SEMI,
    ACTIONS(6920), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(6922), 27,
      anon_sym_LPAREN2,
      anon_sym_AMP_AMP,
      anon_sym_COLON,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_noexcept,
      anon_sym_throw,
      anon_sym_requires,
  [196104] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6053), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(6055), 29,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [196144] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6069), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(6071), 29,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [196184] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6073), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(6075), 29,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [196224] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7989), 1,
      anon_sym_noexcept,
    ACTIONS(7991), 1,
      anon_sym_throw,
    ACTIONS(7993), 1,
      anon_sym_requires,
    ACTIONS(8141), 1,
      anon_sym_DASH_GT,
    ACTIONS(9573), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9576), 1,
      anon_sym_LBRACK,
    ACTIONS(9717), 1,
      anon_sym___attribute__,
    STATE(6979), 1,
      sym__function_attributes_end,
    STATE(7064), 1,
      sym_trailing_return_type,
    STATE(8031), 1,
      sym_gnu_asm_expression,
    ACTIONS(6859), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(7985), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(6935), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(7085), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7174), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(7305), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(6615), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(9571), 7,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_try,
  [196296] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6115), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(6117), 29,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [196336] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9567), 1,
      anon_sym___attribute__,
    STATE(6382), 1,
      sym_attribute_specifier,
    ACTIONS(6189), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(6191), 28,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [196380] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(63), 1,
      anon_sym_const,
    ACTIONS(8254), 1,
      anon_sym_LPAREN2,
    ACTIONS(8268), 1,
      anon_sym_LBRACK,
    ACTIONS(8669), 1,
      anon_sym_STAR,
    ACTIONS(8671), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8673), 1,
      anon_sym_AMP,
    STATE(5095), 1,
      sym_parameter_list,
    STATE(7268), 1,
      sym__function_declarator_seq,
    STATE(7833), 1,
      sym__abstract_declarator,
    STATE(5930), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7395), 5,
      anon_sym_RPAREN,
      anon_sym_LBRACK_LBRACK,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    STATE(7270), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8207), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [196442] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6029), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(6031), 29,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [196482] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9567), 1,
      anon_sym___attribute__,
    STATE(6379), 1,
      sym_attribute_specifier,
    ACTIONS(6224), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(6226), 28,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [196526] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2452), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(2454), 29,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [196566] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9567), 1,
      anon_sym___attribute__,
    STATE(6378), 1,
      sym_attribute_specifier,
    ACTIONS(6208), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(6210), 28,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [196610] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9567), 1,
      anon_sym___attribute__,
    STATE(6376), 1,
      sym_attribute_specifier,
    ACTIONS(6204), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(6206), 28,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [196654] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6095), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(6097), 29,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [196694] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5931), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(5933), 29,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [196734] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6033), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(6035), 29,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [196774] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6151), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(6153), 29,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [196814] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(41), 1,
      anon_sym___attribute__,
    ACTIONS(6417), 1,
      anon_sym_COLON,
    ACTIONS(6857), 1,
      anon_sym_LBRACE,
    STATE(3274), 1,
      sym_attribute_specifier,
    STATE(6676), 1,
      sym_field_declaration_list,
    STATE(8480), 1,
      sym_virtual_specifier,
    STATE(9111), 1,
      sym_base_class_clause,
    ACTIONS(2198), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5927), 2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
    ACTIONS(5925), 21,
      anon_sym___extension__,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
  [196870] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9567), 1,
      anon_sym___attribute__,
    STATE(6371), 1,
      sym_attribute_specifier,
    ACTIONS(6220), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(6222), 28,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [196914] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9567), 1,
      anon_sym___attribute__,
    STATE(6354), 1,
      sym_attribute_specifier,
    ACTIONS(6185), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(6187), 28,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [196958] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(6128), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5931), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(9611), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5933), 23,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym___extension__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [197001] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(6248), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(6481), 7,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym___based,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
    ACTIONS(6483), 10,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(9832), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [197044] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6037), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(6039), 29,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [197083] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6855), 1,
      anon_sym___attribute__,
    ACTIONS(7112), 1,
      anon_sym_LBRACE,
    ACTIONS(9835), 1,
      anon_sym_COLON,
    STATE(3305), 1,
      sym_attribute_specifier,
    STATE(3642), 1,
      sym__enum_base_clause,
    STATE(3697), 1,
      sym_enumerator_list,
    ACTIONS(6368), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(6370), 23,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [197134] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5970), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5972), 29,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [197173] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4379), 1,
      anon_sym_const,
    ACTIONS(4561), 1,
      anon_sym_LPAREN2,
    ACTIONS(8509), 1,
      anon_sym_LBRACK,
    ACTIONS(8823), 1,
      anon_sym_STAR,
    ACTIONS(8825), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8827), 1,
      anon_sym_AMP,
    STATE(4963), 1,
      sym_parameter_list,
    STATE(7422), 1,
      sym__function_declarator_seq,
    STATE(7954), 1,
      sym__abstract_declarator,
    STATE(6296), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(6740), 4,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_try,
    STATE(7436), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8527), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [197234] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6053), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(6055), 29,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [197273] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7245), 1,
      anon_sym___attribute__,
    ACTIONS(7310), 1,
      anon_sym_LBRACE,
    ACTIONS(9837), 1,
      anon_sym_COLON,
    STATE(3777), 1,
      sym__enum_base_clause,
    STATE(3784), 1,
      sym_enumerator_list,
    STATE(4084), 1,
      sym_attribute_specifier,
    ACTIONS(6368), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(6370), 23,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym___extension__,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [197324] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4379), 1,
      anon_sym_const,
    ACTIONS(4561), 1,
      anon_sym_LPAREN2,
    ACTIONS(8509), 1,
      anon_sym_LBRACK,
    ACTIONS(8823), 1,
      anon_sym_STAR,
    ACTIONS(8825), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8827), 1,
      anon_sym_AMP,
    STATE(4963), 1,
      sym_parameter_list,
    STATE(7422), 1,
      sym__function_declarator_seq,
    STATE(7947), 1,
      sym__abstract_declarator,
    STATE(6296), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7395), 4,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_try,
    STATE(7436), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8527), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [197385] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6131), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(6133), 29,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [197424] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7976), 1,
      anon_sym___attribute__,
    ACTIONS(7989), 1,
      anon_sym_noexcept,
    ACTIONS(7991), 1,
      anon_sym_throw,
    ACTIONS(8162), 1,
      anon_sym_DASH_GT,
    ACTIONS(9573), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9576), 1,
      anon_sym_LBRACK,
    ACTIONS(9839), 1,
      anon_sym_requires,
    STATE(7170), 1,
      sym__function_attributes_end,
    STATE(7302), 1,
      sym_trailing_return_type,
    STATE(8031), 1,
      sym_gnu_asm_expression,
    ACTIONS(7985), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9578), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6935), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(7085), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7174), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(7305), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(6643), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(9571), 6,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_try,
  [197495] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7976), 1,
      anon_sym___attribute__,
    ACTIONS(7989), 1,
      anon_sym_noexcept,
    ACTIONS(7991), 1,
      anon_sym_throw,
    ACTIONS(8162), 1,
      anon_sym_DASH_GT,
    ACTIONS(9311), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9314), 1,
      anon_sym_LBRACK,
    ACTIONS(9590), 1,
      anon_sym_requires,
    STATE(7173), 1,
      sym__function_attributes_end,
    STATE(7283), 1,
      sym_trailing_return_type,
    STATE(8031), 1,
      sym_gnu_asm_expression,
    ACTIONS(7985), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9316), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6935), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(7085), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7174), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(7349), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(6642), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(9309), 6,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_try,
  [197566] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7976), 1,
      anon_sym___attribute__,
    ACTIONS(7989), 1,
      anon_sym_noexcept,
    ACTIONS(7991), 1,
      anon_sym_throw,
    ACTIONS(8178), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8180), 1,
      anon_sym_DASH_GT,
    ACTIONS(8193), 1,
      anon_sym_requires,
    ACTIONS(9314), 1,
      anon_sym_LBRACK,
    STATE(7099), 1,
      sym_trailing_return_type,
    STATE(7201), 1,
      sym__function_attributes_end,
    STATE(8031), 1,
      sym_gnu_asm_expression,
    ACTIONS(7985), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(8191), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6935), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(7085), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7234), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(7404), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(6647), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(9309), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_GT2,
  [197637] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2452), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(2454), 29,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [197676] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9181), 1,
      sym_auto,
    ACTIONS(9183), 1,
      anon_sym_decltype,
    STATE(6377), 1,
      sym_decltype_auto,
    ACTIONS(6021), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(6023), 26,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [197721] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7976), 1,
      anon_sym___attribute__,
    ACTIONS(7989), 1,
      anon_sym_noexcept,
    ACTIONS(7991), 1,
      anon_sym_throw,
    ACTIONS(8178), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8180), 1,
      anon_sym_DASH_GT,
    ACTIONS(8193), 1,
      anon_sym_requires,
    ACTIONS(9576), 1,
      anon_sym_LBRACK,
    STATE(7128), 1,
      sym_trailing_return_type,
    STATE(7195), 1,
      sym__function_attributes_end,
    STATE(8031), 1,
      sym_gnu_asm_expression,
    ACTIONS(7985), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(8191), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6935), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(7085), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7234), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(7392), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(6648), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(9571), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_GT2,
  [197792] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2396), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(2398), 29,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [197831] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6005), 3,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_const,
    ACTIONS(6007), 28,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [197870] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7976), 1,
      anon_sym___attribute__,
    ACTIONS(7989), 1,
      anon_sym_noexcept,
    ACTIONS(7991), 1,
      anon_sym_throw,
    ACTIONS(8178), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8180), 1,
      anon_sym_DASH_GT,
    ACTIONS(9314), 1,
      anon_sym_LBRACK,
    ACTIONS(9604), 1,
      anon_sym_requires,
    STATE(7133), 1,
      sym_trailing_return_type,
    STATE(7212), 1,
      sym__function_attributes_end,
    STATE(8031), 1,
      sym_gnu_asm_expression,
    ACTIONS(7985), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9601), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6935), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(7085), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7234), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(7404), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(6645), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(9309), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_GT2,
  [197941] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7976), 1,
      anon_sym___attribute__,
    ACTIONS(7989), 1,
      anon_sym_noexcept,
    ACTIONS(7991), 1,
      anon_sym_throw,
    ACTIONS(8178), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8180), 1,
      anon_sym_DASH_GT,
    ACTIONS(9576), 1,
      anon_sym_LBRACK,
    ACTIONS(9845), 1,
      anon_sym_requires,
    STATE(7114), 1,
      sym_trailing_return_type,
    STATE(7213), 1,
      sym__function_attributes_end,
    STATE(8031), 1,
      sym_gnu_asm_expression,
    ACTIONS(7985), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9842), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6935), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(7085), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7234), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(7392), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(6650), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(9571), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_GT2,
  [198012] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(2588), 1,
      anon_sym_operator,
    ACTIONS(8919), 1,
      anon_sym_LPAREN2,
    ACTIONS(9014), 1,
      sym_identifier,
    ACTIONS(9016), 1,
      anon_sym_STAR,
    ACTIONS(9018), 1,
      anon_sym_AMP_AMP,
    ACTIONS(9020), 1,
      anon_sym_AMP,
    STATE(7910), 1,
      sym__field_declarator,
    STATE(8043), 1,
      sym_operator_name,
    STATE(9740), 1,
      sym_ms_based_modifier,
    STATE(6248), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(7669), 7,
      sym_parenthesized_field_declarator,
      sym_attributed_field_declarator,
      sym_pointer_field_declarator,
      sym_function_field_declarator,
      sym_array_field_declarator,
      sym_reference_field_declarator,
      sym_template_method,
    ACTIONS(4379), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [198073] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7976), 1,
      anon_sym___attribute__,
    ACTIONS(7989), 1,
      anon_sym_noexcept,
    ACTIONS(7991), 1,
      anon_sym_throw,
    ACTIONS(8162), 1,
      anon_sym_DASH_GT,
    ACTIONS(8199), 1,
      anon_sym_requires,
    ACTIONS(9573), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9576), 1,
      anon_sym_LBRACK,
    STATE(7140), 1,
      sym__function_attributes_end,
    STATE(7347), 1,
      sym_trailing_return_type,
    STATE(8031), 1,
      sym_gnu_asm_expression,
    ACTIONS(6859), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(7985), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(6935), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(7085), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7174), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(7305), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(6640), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(9571), 6,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_try,
  [198144] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(2588), 1,
      anon_sym_operator,
    ACTIONS(8917), 1,
      sym_identifier,
    ACTIONS(8919), 1,
      anon_sym_LPAREN2,
    ACTIONS(8921), 1,
      anon_sym_STAR,
    ACTIONS(8923), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8925), 1,
      anon_sym_AMP,
    STATE(7444), 1,
      sym__field_declarator,
    STATE(7581), 1,
      sym_operator_name,
    STATE(9469), 1,
      sym_ms_based_modifier,
    STATE(6248), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(7669), 7,
      sym_parenthesized_field_declarator,
      sym_attributed_field_declarator,
      sym_pointer_field_declarator,
      sym_function_field_declarator,
      sym_array_field_declarator,
      sym_reference_field_declarator,
      sym_template_method,
    ACTIONS(4379), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [198205] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7245), 1,
      anon_sym___attribute__,
    ACTIONS(7310), 1,
      anon_sym_LBRACE,
    ACTIONS(9837), 1,
      anon_sym_COLON,
    STATE(3770), 1,
      sym__enum_base_clause,
    STATE(3844), 1,
      sym_enumerator_list,
    STATE(4025), 1,
      sym_attribute_specifier,
    ACTIONS(6356), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(6358), 23,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym___extension__,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [198256] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7976), 1,
      anon_sym___attribute__,
    ACTIONS(7989), 1,
      anon_sym_noexcept,
    ACTIONS(7991), 1,
      anon_sym_throw,
    ACTIONS(8162), 1,
      anon_sym_DASH_GT,
    ACTIONS(8199), 1,
      anon_sym_requires,
    ACTIONS(9311), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9314), 1,
      anon_sym_LBRACK,
    STATE(7130), 1,
      sym__function_attributes_end,
    STATE(7319), 1,
      sym_trailing_return_type,
    STATE(8031), 1,
      sym_gnu_asm_expression,
    ACTIONS(6859), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(7985), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(6935), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(7085), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7174), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(7349), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(6639), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(9309), 6,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_try,
  [198327] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(2588), 1,
      anon_sym_operator,
    ACTIONS(8919), 1,
      anon_sym_LPAREN2,
    ACTIONS(9014), 1,
      sym_identifier,
    ACTIONS(9016), 1,
      anon_sym_STAR,
    ACTIONS(9018), 1,
      anon_sym_AMP_AMP,
    ACTIONS(9020), 1,
      anon_sym_AMP,
    STATE(7945), 1,
      sym__field_declarator,
    STATE(8043), 1,
      sym_operator_name,
    STATE(9740), 1,
      sym_ms_based_modifier,
    STATE(6248), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(7669), 7,
      sym_parenthesized_field_declarator,
      sym_attributed_field_declarator,
      sym_pointer_field_declarator,
      sym_function_field_declarator,
      sym_array_field_declarator,
      sym_reference_field_declarator,
      sym_template_method,
    ACTIONS(4379), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [198388] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4561), 1,
      anon_sym_LPAREN2,
    ACTIONS(8300), 1,
      sym_auto,
    ACTIONS(8302), 1,
      anon_sym_decltype,
    ACTIONS(8509), 1,
      anon_sym_LBRACK,
    ACTIONS(8511), 1,
      anon_sym_const,
    ACTIONS(8545), 1,
      anon_sym_COLON,
    ACTIONS(9522), 1,
      anon_sym_STAR,
    ACTIONS(9524), 1,
      anon_sym_AMP_AMP,
    ACTIONS(9526), 1,
      anon_sym_AMP,
    STATE(3329), 1,
      sym_decltype_auto,
    STATE(5014), 1,
      sym_parameter_list,
    STATE(7422), 1,
      sym__function_declarator_seq,
    STATE(8139), 1,
      sym__abstract_declarator,
    STATE(6578), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(7436), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8501), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [198455] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(2588), 1,
      anon_sym_operator,
    ACTIONS(8919), 1,
      anon_sym_LPAREN2,
    ACTIONS(9014), 1,
      sym_identifier,
    ACTIONS(9016), 1,
      anon_sym_STAR,
    ACTIONS(9018), 1,
      anon_sym_AMP_AMP,
    ACTIONS(9020), 1,
      anon_sym_AMP,
    STATE(7896), 1,
      sym__field_declarator,
    STATE(8043), 1,
      sym_operator_name,
    STATE(9740), 1,
      sym_ms_based_modifier,
    STATE(6248), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(7669), 7,
      sym_parenthesized_field_declarator,
      sym_attributed_field_declarator,
      sym_pointer_field_declarator,
      sym_function_field_declarator,
      sym_array_field_declarator,
      sym_reference_field_declarator,
      sym_template_method,
    ACTIONS(4379), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [198516] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6855), 1,
      anon_sym___attribute__,
    ACTIONS(7112), 1,
      anon_sym_LBRACE,
    ACTIONS(9835), 1,
      anon_sym_COLON,
    STATE(3287), 1,
      sym_attribute_specifier,
    STATE(3617), 1,
      sym__enum_base_clause,
    STATE(3704), 1,
      sym_enumerator_list,
    ACTIONS(6356), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(6358), 23,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [198567] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(2588), 1,
      anon_sym_operator,
    ACTIONS(8917), 1,
      sym_identifier,
    ACTIONS(8919), 1,
      anon_sym_LPAREN2,
    ACTIONS(8921), 1,
      anon_sym_STAR,
    ACTIONS(8923), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8925), 1,
      anon_sym_AMP,
    STATE(7420), 1,
      sym__field_declarator,
    STATE(7581), 1,
      sym_operator_name,
    STATE(9469), 1,
      sym_ms_based_modifier,
    STATE(6248), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(7669), 7,
      sym_parenthesized_field_declarator,
      sym_attributed_field_declarator,
      sym_pointer_field_declarator,
      sym_function_field_declarator,
      sym_array_field_declarator,
      sym_reference_field_declarator,
      sym_template_method,
    ACTIONS(4379), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [198628] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2262), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5931), 3,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_const,
    ACTIONS(5933), 27,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [198669] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4561), 1,
      anon_sym_LPAREN2,
    ACTIONS(8300), 1,
      sym_auto,
    ACTIONS(8302), 1,
      anon_sym_decltype,
    ACTIONS(8509), 1,
      anon_sym_LBRACK,
    ACTIONS(8511), 1,
      anon_sym_const,
    ACTIONS(8533), 1,
      anon_sym_COLON,
    ACTIONS(9522), 1,
      anon_sym_STAR,
    ACTIONS(9524), 1,
      anon_sym_AMP_AMP,
    ACTIONS(9526), 1,
      anon_sym_AMP,
    STATE(3329), 1,
      sym_decltype_auto,
    STATE(5014), 1,
      sym_parameter_list,
    STATE(7422), 1,
      sym__function_declarator_seq,
    STATE(8104), 1,
      sym__abstract_declarator,
    STATE(6586), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(7436), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8501), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [198736] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(2588), 1,
      anon_sym_operator,
    ACTIONS(8917), 1,
      sym_identifier,
    ACTIONS(8919), 1,
      anon_sym_LPAREN2,
    ACTIONS(8921), 1,
      anon_sym_STAR,
    ACTIONS(8923), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8925), 1,
      anon_sym_AMP,
    STATE(7448), 1,
      sym__field_declarator,
    STATE(7581), 1,
      sym_operator_name,
    STATE(9469), 1,
      sym_ms_based_modifier,
    STATE(6248), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(7669), 7,
      sym_parenthesized_field_declarator,
      sym_attributed_field_declarator,
      sym_pointer_field_declarator,
      sym_function_field_declarator,
      sym_array_field_declarator,
      sym_reference_field_declarator,
      sym_template_method,
    ACTIONS(4379), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [198797] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1486), 1,
      anon_sym_template,
    ACTIONS(2582), 1,
      sym_auto,
    ACTIONS(2584), 1,
      anon_sym_decltype,
    ACTIONS(8290), 1,
      sym_primitive_type,
    ACTIONS(9745), 1,
      sym_identifier,
    ACTIONS(9747), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9749), 1,
      anon_sym_enum,
    ACTIONS(9751), 1,
      anon_sym_class,
    ACTIONS(9753), 1,
      anon_sym_struct,
    ACTIONS(9755), 1,
      anon_sym_union,
    ACTIONS(9757), 1,
      anon_sym_typename,
    STATE(3316), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(3318), 1,
      sym_decltype_auto,
    STATE(3321), 1,
      sym_qualified_type_identifier,
    STATE(5165), 1,
      sym__type_specifier,
    STATE(7875), 1,
      sym__scope_resolution,
    STATE(10317), 1,
      sym_dependent_type_identifier,
    STATE(3247), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(2546), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3317), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [198871] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1486), 1,
      anon_sym_template,
    ACTIONS(2588), 1,
      anon_sym_operator,
    ACTIONS(2875), 1,
      anon_sym_LPAREN2,
    ACTIONS(2877), 1,
      anon_sym_TILDE,
    ACTIONS(3148), 1,
      anon_sym_decltype,
    ACTIONS(6738), 1,
      sym_identifier,
    ACTIONS(6750), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8030), 1,
      anon_sym_LBRACK,
    ACTIONS(8065), 1,
      anon_sym_STAR,
    ACTIONS(8067), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8069), 1,
      anon_sym_AMP,
    STATE(7058), 1,
      sym__scope_resolution,
    STATE(7266), 1,
      sym__declarator,
    STATE(8700), 1,
      sym_init_declarator,
    STATE(9827), 1,
      sym_ms_based_modifier,
    STATE(10317), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(7680), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [198941] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7970), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7972), 1,
      anon_sym_AMP,
    ACTIONS(7989), 1,
      anon_sym_noexcept,
    ACTIONS(7991), 1,
      anon_sym_throw,
    ACTIONS(8209), 1,
      anon_sym___attribute__,
    ACTIONS(8357), 1,
      anon_sym_DASH_GT,
    ACTIONS(9314), 1,
      anon_sym_LBRACK,
    ACTIONS(9848), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9851), 1,
      anon_sym_requires,
    STATE(6618), 1,
      sym_ref_qualifier,
    STATE(7521), 1,
      sym__function_attributes_end,
    STATE(7711), 1,
      sym_trailing_return_type,
    STATE(8050), 1,
      sym_gnu_asm_expression,
    ACTIONS(7985), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9309), 2,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
    ACTIONS(9316), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6922), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(7102), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7174), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(7349), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(6743), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
  [199017] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1486), 1,
      anon_sym_template,
    ACTIONS(9651), 1,
      sym_identifier,
    ACTIONS(9653), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9657), 1,
      sym_primitive_type,
    ACTIONS(9659), 1,
      anon_sym_enum,
    ACTIONS(9661), 1,
      anon_sym_class,
    ACTIONS(9663), 1,
      anon_sym_struct,
    ACTIONS(9665), 1,
      anon_sym_union,
    ACTIONS(9667), 1,
      sym_auto,
    ACTIONS(9669), 1,
      anon_sym_decltype,
    ACTIONS(9671), 1,
      anon_sym_typename,
    STATE(3467), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(3705), 1,
      sym__type_specifier,
    STATE(3859), 1,
      sym_decltype_auto,
    STATE(3879), 1,
      sym_qualified_type_identifier,
    STATE(7837), 1,
      sym__scope_resolution,
    STATE(10317), 1,
      sym_dependent_type_identifier,
    STATE(3798), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(9655), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3860), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [199091] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1486), 1,
      anon_sym_template,
    ACTIONS(9651), 1,
      sym_identifier,
    ACTIONS(9653), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9657), 1,
      sym_primitive_type,
    ACTIONS(9659), 1,
      anon_sym_enum,
    ACTIONS(9661), 1,
      anon_sym_class,
    ACTIONS(9663), 1,
      anon_sym_struct,
    ACTIONS(9665), 1,
      anon_sym_union,
    ACTIONS(9667), 1,
      sym_auto,
    ACTIONS(9669), 1,
      anon_sym_decltype,
    ACTIONS(9671), 1,
      anon_sym_typename,
    STATE(3467), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(3680), 1,
      sym__type_specifier,
    STATE(3859), 1,
      sym_decltype_auto,
    STATE(3879), 1,
      sym_qualified_type_identifier,
    STATE(7837), 1,
      sym__scope_resolution,
    STATE(10317), 1,
      sym_dependent_type_identifier,
    STATE(3798), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(9655), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3860), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [199165] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1486), 1,
      anon_sym_template,
    ACTIONS(9759), 1,
      sym_identifier,
    ACTIONS(9761), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9765), 1,
      sym_primitive_type,
    ACTIONS(9767), 1,
      anon_sym_enum,
    ACTIONS(9769), 1,
      anon_sym_class,
    ACTIONS(9771), 1,
      anon_sym_struct,
    ACTIONS(9773), 1,
      anon_sym_union,
    ACTIONS(9775), 1,
      sym_auto,
    ACTIONS(9777), 1,
      anon_sym_decltype,
    ACTIONS(9779), 1,
      anon_sym_typename,
    STATE(3350), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(3357), 1,
      sym__type_specifier,
    STATE(3375), 1,
      sym_decltype_auto,
    STATE(3419), 1,
      sym_qualified_type_identifier,
    STATE(7878), 1,
      sym__scope_resolution,
    STATE(10317), 1,
      sym_dependent_type_identifier,
    STATE(3352), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(9763), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3390), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [199239] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1486), 1,
      anon_sym_template,
    ACTIONS(2588), 1,
      anon_sym_operator,
    ACTIONS(2875), 1,
      anon_sym_LPAREN2,
    ACTIONS(2877), 1,
      anon_sym_TILDE,
    ACTIONS(3148), 1,
      anon_sym_decltype,
    ACTIONS(6738), 1,
      sym_identifier,
    ACTIONS(6750), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8030), 1,
      anon_sym_LBRACK,
    ACTIONS(8065), 1,
      anon_sym_STAR,
    ACTIONS(8067), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8069), 1,
      anon_sym_AMP,
    STATE(7058), 1,
      sym__scope_resolution,
    STATE(7310), 1,
      sym__declarator,
    STATE(8567), 1,
      sym_init_declarator,
    STATE(9827), 1,
      sym_ms_based_modifier,
    STATE(10317), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(7680), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [199309] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(9217), 1,
      sym_identifier,
    ACTIONS(9219), 1,
      anon_sym_LPAREN2,
    ACTIONS(9221), 1,
      anon_sym_STAR,
    ACTIONS(9225), 1,
      sym_primitive_type,
    STATE(4026), 1,
      sym__type_declarator,
    STATE(4414), 1,
      sym_pointer_type_declarator,
    STATE(9759), 1,
      sym_ms_based_modifier,
    STATE(6219), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(9223), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(4412), 4,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
    ACTIONS(63), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [199367] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1486), 1,
      anon_sym_template,
    ACTIONS(4299), 1,
      sym_auto,
    ACTIONS(4301), 1,
      anon_sym_decltype,
    ACTIONS(8418), 1,
      sym_primitive_type,
    ACTIONS(9791), 1,
      sym_identifier,
    ACTIONS(9793), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9795), 1,
      anon_sym_enum,
    ACTIONS(9797), 1,
      anon_sym_class,
    ACTIONS(9799), 1,
      anon_sym_struct,
    ACTIONS(9801), 1,
      anon_sym_union,
    ACTIONS(9803), 1,
      anon_sym_typename,
    STATE(3494), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(3872), 1,
      sym__type_specifier,
    STATE(3979), 1,
      sym_qualified_type_identifier,
    STATE(4013), 1,
      sym_decltype_auto,
    STATE(7839), 1,
      sym__scope_resolution,
    STATE(10317), 1,
      sym_dependent_type_identifier,
    STATE(3955), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(4265), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(4043), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [199441] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(9132), 1,
      sym_identifier,
    ACTIONS(9134), 1,
      anon_sym_LPAREN2,
    ACTIONS(9136), 1,
      anon_sym_STAR,
    ACTIONS(9140), 1,
      sym_primitive_type,
    STATE(3800), 1,
      sym__type_declarator,
    STATE(4165), 1,
      sym_pointer_type_declarator,
    STATE(9558), 1,
      sym_ms_based_modifier,
    STATE(6219), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(9138), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(4160), 4,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
    ACTIONS(63), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [199499] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1486), 1,
      anon_sym_template,
    ACTIONS(2588), 1,
      anon_sym_operator,
    ACTIONS(2875), 1,
      anon_sym_LPAREN2,
    ACTIONS(2877), 1,
      anon_sym_TILDE,
    ACTIONS(3148), 1,
      anon_sym_decltype,
    ACTIONS(6738), 1,
      sym_identifier,
    ACTIONS(6750), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8030), 1,
      anon_sym_LBRACK,
    ACTIONS(8065), 1,
      anon_sym_STAR,
    ACTIONS(8067), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8069), 1,
      anon_sym_AMP,
    STATE(7058), 1,
      sym__scope_resolution,
    STATE(7370), 1,
      sym__declarator,
    STATE(9337), 1,
      sym_init_declarator,
    STATE(9827), 1,
      sym_ms_based_modifier,
    STATE(10317), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(7680), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [199569] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1486), 1,
      anon_sym_template,
    ACTIONS(2588), 1,
      anon_sym_operator,
    ACTIONS(2875), 1,
      anon_sym_LPAREN2,
    ACTIONS(2877), 1,
      anon_sym_TILDE,
    ACTIONS(3148), 1,
      anon_sym_decltype,
    ACTIONS(6738), 1,
      sym_identifier,
    ACTIONS(6750), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8030), 1,
      anon_sym_LBRACK,
    ACTIONS(8065), 1,
      anon_sym_STAR,
    ACTIONS(8067), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8069), 1,
      anon_sym_AMP,
    STATE(7058), 1,
      sym__scope_resolution,
    STATE(7288), 1,
      sym__declarator,
    STATE(8828), 1,
      sym_init_declarator,
    STATE(9827), 1,
      sym_ms_based_modifier,
    STATE(10317), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(7680), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [199639] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(119), 1,
      sym_auto,
    ACTIONS(121), 1,
      anon_sym_decltype,
    ACTIONS(1486), 1,
      anon_sym_template,
    ACTIONS(8388), 1,
      sym_primitive_type,
    ACTIONS(9854), 1,
      sym_identifier,
    ACTIONS(9856), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9858), 1,
      anon_sym_enum,
    ACTIONS(9860), 1,
      anon_sym_class,
    ACTIONS(9862), 1,
      anon_sym_struct,
    ACTIONS(9864), 1,
      anon_sym_union,
    ACTIONS(9866), 1,
      anon_sym_typename,
    STATE(3054), 1,
      sym__type_specifier,
    STATE(3068), 1,
      sym_qualified_type_identifier,
    STATE(3091), 1,
      sym_decltype_auto,
    STATE(6066), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(7892), 1,
      sym__scope_resolution,
    STATE(10317), 1,
      sym_dependent_type_identifier,
    STATE(3050), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(8386), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3085), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [199713] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1486), 1,
      anon_sym_template,
    ACTIONS(9673), 1,
      sym_identifier,
    ACTIONS(9675), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9679), 1,
      sym_primitive_type,
    ACTIONS(9681), 1,
      anon_sym_enum,
    ACTIONS(9683), 1,
      anon_sym_class,
    ACTIONS(9685), 1,
      anon_sym_struct,
    ACTIONS(9687), 1,
      anon_sym_union,
    ACTIONS(9689), 1,
      sym_auto,
    ACTIONS(9691), 1,
      anon_sym_decltype,
    ACTIONS(9693), 1,
      anon_sym_typename,
    STATE(3733), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(4019), 1,
      sym__type_specifier,
    STATE(4528), 1,
      sym_decltype_auto,
    STATE(4575), 1,
      sym_qualified_type_identifier,
    STATE(7854), 1,
      sym__scope_resolution,
    STATE(10317), 1,
      sym_dependent_type_identifier,
    STATE(4501), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(9677), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(4524), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [199787] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1486), 1,
      anon_sym_template,
    ACTIONS(2582), 1,
      sym_auto,
    ACTIONS(2584), 1,
      anon_sym_decltype,
    ACTIONS(8290), 1,
      sym_primitive_type,
    ACTIONS(9745), 1,
      sym_identifier,
    ACTIONS(9747), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9749), 1,
      anon_sym_enum,
    ACTIONS(9751), 1,
      anon_sym_class,
    ACTIONS(9753), 1,
      anon_sym_struct,
    ACTIONS(9755), 1,
      anon_sym_union,
    ACTIONS(9757), 1,
      anon_sym_typename,
    STATE(3316), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(3318), 1,
      sym_decltype_auto,
    STATE(3321), 1,
      sym_qualified_type_identifier,
    STATE(5043), 1,
      sym__type_specifier,
    STATE(7875), 1,
      sym__scope_resolution,
    STATE(10317), 1,
      sym_dependent_type_identifier,
    STATE(3247), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(2546), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3317), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [199861] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(67), 1,
      anon_sym_enum,
    ACTIONS(69), 1,
      anon_sym_class,
    ACTIONS(71), 1,
      anon_sym_struct,
    ACTIONS(73), 1,
      anon_sym_union,
    ACTIONS(119), 1,
      sym_auto,
    ACTIONS(121), 1,
      anon_sym_decltype,
    ACTIONS(129), 1,
      anon_sym_typename,
    ACTIONS(1486), 1,
      anon_sym_template,
    ACTIONS(2891), 1,
      sym_primitive_type,
    ACTIONS(3896), 1,
      sym_identifier,
    ACTIONS(3904), 1,
      anon_sym_COLON_COLON,
    STATE(3021), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(3054), 1,
      sym__type_specifier,
    STATE(3068), 1,
      sym_qualified_type_identifier,
    STATE(3091), 1,
      sym_decltype_auto,
    STATE(7887), 1,
      sym__scope_resolution,
    STATE(10317), 1,
      sym_dependent_type_identifier,
    STATE(3050), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(55), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3085), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [199935] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6481), 1,
      anon_sym_AMP,
    ACTIONS(9832), 1,
      anon_sym_const,
    STATE(6296), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(9868), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
    ACTIONS(6483), 15,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [199979] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1486), 1,
      anon_sym_template,
    ACTIONS(2588), 1,
      anon_sym_operator,
    ACTIONS(2875), 1,
      anon_sym_LPAREN2,
    ACTIONS(2877), 1,
      anon_sym_TILDE,
    ACTIONS(3148), 1,
      anon_sym_decltype,
    ACTIONS(6738), 1,
      sym_identifier,
    ACTIONS(6750), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8030), 1,
      anon_sym_LBRACK,
    ACTIONS(8065), 1,
      anon_sym_STAR,
    ACTIONS(8067), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8069), 1,
      anon_sym_AMP,
    STATE(7058), 1,
      sym__scope_resolution,
    STATE(7258), 1,
      sym__declarator,
    STATE(8758), 1,
      sym_init_declarator,
    STATE(9827), 1,
      sym_ms_based_modifier,
    STATE(10317), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(7680), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [200049] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1486), 1,
      anon_sym_template,
    ACTIONS(9673), 1,
      sym_identifier,
    ACTIONS(9675), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9679), 1,
      sym_primitive_type,
    ACTIONS(9681), 1,
      anon_sym_enum,
    ACTIONS(9683), 1,
      anon_sym_class,
    ACTIONS(9685), 1,
      anon_sym_struct,
    ACTIONS(9687), 1,
      anon_sym_union,
    ACTIONS(9689), 1,
      sym_auto,
    ACTIONS(9691), 1,
      anon_sym_decltype,
    ACTIONS(9693), 1,
      anon_sym_typename,
    STATE(3733), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(3985), 1,
      sym__type_specifier,
    STATE(4528), 1,
      sym_decltype_auto,
    STATE(4575), 1,
      sym_qualified_type_identifier,
    STATE(7854), 1,
      sym__scope_resolution,
    STATE(10317), 1,
      sym_dependent_type_identifier,
    STATE(4501), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(9677), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(4524), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [200123] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5585), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7989), 1,
      anon_sym_noexcept,
    ACTIONS(7991), 1,
      anon_sym_throw,
    ACTIONS(8209), 1,
      anon_sym___attribute__,
    ACTIONS(8222), 1,
      anon_sym_DASH_GT,
    ACTIONS(9576), 1,
      anon_sym_LBRACK,
    ACTIONS(9845), 1,
      anon_sym_requires,
    STATE(7114), 1,
      sym_trailing_return_type,
    STATE(7322), 1,
      sym__function_attributes_end,
    STATE(8050), 1,
      sym_gnu_asm_expression,
    ACTIONS(7985), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9842), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6922), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(7102), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7234), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(7392), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(6671), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(9571), 5,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_try,
  [200193] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8551), 3,
      anon_sym_AMP,
      sym_ms_restrict_modifier,
      anon_sym_const,
    ACTIONS(8553), 27,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON,
      anon_sym___extension__,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
      anon_sym__unaligned,
      anon_sym___unaligned,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [200231] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8547), 3,
      anon_sym_AMP,
      sym_ms_restrict_modifier,
      anon_sym_const,
    ACTIONS(8549), 27,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON,
      anon_sym___extension__,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
      anon_sym__unaligned,
      anon_sym___unaligned,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [200269] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(9132), 1,
      sym_identifier,
    ACTIONS(9134), 1,
      anon_sym_LPAREN2,
    ACTIONS(9136), 1,
      anon_sym_STAR,
    ACTIONS(9140), 1,
      sym_primitive_type,
    STATE(3846), 1,
      sym__type_declarator,
    STATE(4165), 1,
      sym_pointer_type_declarator,
    STATE(9558), 1,
      sym_ms_based_modifier,
    STATE(6219), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(9138), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(4160), 4,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
    ACTIONS(63), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [200327] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(119), 1,
      sym_auto,
    ACTIONS(121), 1,
      anon_sym_decltype,
    ACTIONS(1486), 1,
      anon_sym_template,
    ACTIONS(2124), 1,
      anon_sym_enum,
    ACTIONS(2126), 1,
      anon_sym_class,
    ACTIONS(2128), 1,
      anon_sym_struct,
    ACTIONS(2130), 1,
      anon_sym_union,
    ACTIONS(2154), 1,
      anon_sym_typename,
    ACTIONS(2891), 1,
      sym_primitive_type,
    ACTIONS(4559), 1,
      sym_identifier,
    ACTIONS(4569), 1,
      anon_sym_COLON_COLON,
    STATE(3021), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(3054), 1,
      sym__type_specifier,
    STATE(3068), 1,
      sym_qualified_type_identifier,
    STATE(3091), 1,
      sym_decltype_auto,
    STATE(7879), 1,
      sym__scope_resolution,
    STATE(10317), 1,
      sym_dependent_type_identifier,
    STATE(3050), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(55), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3085), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [200401] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1486), 1,
      anon_sym_template,
    ACTIONS(9805), 1,
      sym_identifier,
    ACTIONS(9807), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9811), 1,
      sym_primitive_type,
    ACTIONS(9813), 1,
      anon_sym_enum,
    ACTIONS(9815), 1,
      anon_sym_class,
    ACTIONS(9817), 1,
      anon_sym_struct,
    ACTIONS(9819), 1,
      anon_sym_union,
    ACTIONS(9821), 1,
      sym_auto,
    ACTIONS(9823), 1,
      anon_sym_decltype,
    ACTIONS(9825), 1,
      anon_sym_typename,
    STATE(3612), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(3799), 1,
      sym__type_specifier,
    STATE(4190), 1,
      sym_decltype_auto,
    STATE(4246), 1,
      sym_qualified_type_identifier,
    STATE(7882), 1,
      sym__scope_resolution,
    STATE(10317), 1,
      sym_dependent_type_identifier,
    STATE(4103), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(9809), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(4310), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [200475] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1486), 1,
      anon_sym_template,
    ACTIONS(9723), 1,
      sym_identifier,
    ACTIONS(9725), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9729), 1,
      sym_primitive_type,
    ACTIONS(9731), 1,
      anon_sym_enum,
    ACTIONS(9733), 1,
      anon_sym_class,
    ACTIONS(9735), 1,
      anon_sym_struct,
    ACTIONS(9737), 1,
      anon_sym_union,
    ACTIONS(9739), 1,
      sym_auto,
    ACTIONS(9741), 1,
      anon_sym_decltype,
    ACTIONS(9743), 1,
      anon_sym_typename,
    STATE(3545), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(4052), 1,
      sym__type_specifier,
    STATE(4142), 1,
      sym_decltype_auto,
    STATE(4175), 1,
      sym_qualified_type_identifier,
    STATE(7844), 1,
      sym__scope_resolution,
    STATE(10317), 1,
      sym_dependent_type_identifier,
    STATE(3975), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(9727), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(4094), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [200549] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1486), 1,
      anon_sym_template,
    ACTIONS(9759), 1,
      sym_identifier,
    ACTIONS(9761), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9765), 1,
      sym_primitive_type,
    ACTIONS(9767), 1,
      anon_sym_enum,
    ACTIONS(9769), 1,
      anon_sym_class,
    ACTIONS(9771), 1,
      anon_sym_struct,
    ACTIONS(9773), 1,
      anon_sym_union,
    ACTIONS(9775), 1,
      sym_auto,
    ACTIONS(9777), 1,
      anon_sym_decltype,
    ACTIONS(9779), 1,
      anon_sym_typename,
    STATE(3214), 1,
      sym__type_specifier,
    STATE(3350), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(3375), 1,
      sym_decltype_auto,
    STATE(3419), 1,
      sym_qualified_type_identifier,
    STATE(7878), 1,
      sym__scope_resolution,
    STATE(10317), 1,
      sym_dependent_type_identifier,
    STATE(3352), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(9763), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3390), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [200623] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(9062), 1,
      sym_identifier,
    ACTIONS(9064), 1,
      anon_sym_LPAREN2,
    ACTIONS(9072), 1,
      sym_primitive_type,
    ACTIONS(9142), 1,
      anon_sym_STAR,
    STATE(3408), 1,
      sym_pointer_type_declarator,
    STATE(8006), 1,
      sym__type_declarator,
    STATE(10066), 1,
      sym_ms_based_modifier,
    STATE(6219), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(9070), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3406), 4,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
    ACTIONS(63), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [200681] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(9193), 1,
      sym_identifier,
    ACTIONS(9195), 1,
      anon_sym_LPAREN2,
    ACTIONS(9197), 1,
      anon_sym_STAR,
    ACTIONS(9201), 1,
      sym_primitive_type,
    STATE(4143), 1,
      sym__type_declarator,
    STATE(4697), 1,
      sym_pointer_type_declarator,
    STATE(9749), 1,
      sym_ms_based_modifier,
    STATE(6219), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(9199), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(4689), 4,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
    ACTIONS(63), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [200739] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1486), 1,
      anon_sym_template,
    ACTIONS(2582), 1,
      sym_auto,
    ACTIONS(2584), 1,
      anon_sym_decltype,
    ACTIONS(8288), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8306), 1,
      sym_identifier,
    ACTIONS(8310), 1,
      sym_primitive_type,
    ACTIONS(8312), 1,
      anon_sym_enum,
    ACTIONS(8314), 1,
      anon_sym_class,
    ACTIONS(8316), 1,
      anon_sym_struct,
    ACTIONS(8318), 1,
      anon_sym_union,
    ACTIONS(8320), 1,
      anon_sym_typename,
    STATE(3253), 1,
      sym__type_specifier,
    STATE(3318), 1,
      sym_decltype_auto,
    STATE(3321), 1,
      sym_qualified_type_identifier,
    STATE(6644), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(7858), 1,
      sym__scope_resolution,
    STATE(10317), 1,
      sym_dependent_type_identifier,
    STATE(3247), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(8308), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3317), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [200813] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(9062), 1,
      sym_identifier,
    ACTIONS(9064), 1,
      anon_sym_LPAREN2,
    ACTIONS(9072), 1,
      sym_primitive_type,
    ACTIONS(9142), 1,
      anon_sym_STAR,
    STATE(3408), 1,
      sym_pointer_type_declarator,
    STATE(7973), 1,
      sym__type_declarator,
    STATE(10066), 1,
      sym_ms_based_modifier,
    STATE(6219), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(9070), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3406), 4,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
    ACTIONS(63), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [200871] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1486), 1,
      anon_sym_template,
    ACTIONS(9805), 1,
      sym_identifier,
    ACTIONS(9807), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9811), 1,
      sym_primitive_type,
    ACTIONS(9813), 1,
      anon_sym_enum,
    ACTIONS(9815), 1,
      anon_sym_class,
    ACTIONS(9817), 1,
      anon_sym_struct,
    ACTIONS(9819), 1,
      anon_sym_union,
    ACTIONS(9821), 1,
      sym_auto,
    ACTIONS(9823), 1,
      anon_sym_decltype,
    ACTIONS(9825), 1,
      anon_sym_typename,
    STATE(3612), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(4155), 1,
      sym__type_specifier,
    STATE(4190), 1,
      sym_decltype_auto,
    STATE(4246), 1,
      sym_qualified_type_identifier,
    STATE(7882), 1,
      sym__scope_resolution,
    STATE(10317), 1,
      sym_dependent_type_identifier,
    STATE(4103), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(9809), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(4310), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [200945] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4534), 1,
      anon_sym_LBRACE,
    ACTIONS(9871), 1,
      anon_sym_LPAREN2,
    STATE(3594), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(4777), 1,
      sym_argument_list,
    STATE(6046), 1,
      sym_initializer_list,
    ACTIONS(5931), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(7186), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5933), 19,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym___extension__,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [200995] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1486), 1,
      anon_sym_template,
    ACTIONS(9759), 1,
      sym_identifier,
    ACTIONS(9761), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9765), 1,
      sym_primitive_type,
    ACTIONS(9767), 1,
      anon_sym_enum,
    ACTIONS(9769), 1,
      anon_sym_class,
    ACTIONS(9771), 1,
      anon_sym_struct,
    ACTIONS(9773), 1,
      anon_sym_union,
    ACTIONS(9775), 1,
      sym_auto,
    ACTIONS(9777), 1,
      anon_sym_decltype,
    ACTIONS(9779), 1,
      anon_sym_typename,
    STATE(3212), 1,
      sym__type_specifier,
    STATE(3350), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(3375), 1,
      sym_decltype_auto,
    STATE(3419), 1,
      sym_qualified_type_identifier,
    STATE(7878), 1,
      sym__scope_resolution,
    STATE(10317), 1,
      sym_dependent_type_identifier,
    STATE(3352), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(9763), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3390), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [201069] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5585), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7989), 1,
      anon_sym_noexcept,
    ACTIONS(7991), 1,
      anon_sym_throw,
    ACTIONS(8209), 1,
      anon_sym___attribute__,
    ACTIONS(8211), 1,
      anon_sym_DASH_GT,
    ACTIONS(9576), 1,
      anon_sym_LBRACK,
    ACTIONS(9874), 1,
      anon_sym_requires,
    STATE(7256), 1,
      sym__function_attributes_end,
    STATE(7377), 1,
      sym_trailing_return_type,
    STATE(8050), 1,
      sym_gnu_asm_expression,
    ACTIONS(7985), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9842), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6922), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(7102), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7234), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(7392), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(6681), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(9571), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [201139] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1486), 1,
      anon_sym_template,
    ACTIONS(2582), 1,
      sym_auto,
    ACTIONS(2584), 1,
      anon_sym_decltype,
    ACTIONS(8290), 1,
      sym_primitive_type,
    ACTIONS(9745), 1,
      sym_identifier,
    ACTIONS(9747), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9749), 1,
      anon_sym_enum,
    ACTIONS(9751), 1,
      anon_sym_class,
    ACTIONS(9753), 1,
      anon_sym_struct,
    ACTIONS(9755), 1,
      anon_sym_union,
    ACTIONS(9757), 1,
      anon_sym_typename,
    STATE(3253), 1,
      sym__type_specifier,
    STATE(3316), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(3318), 1,
      sym_decltype_auto,
    STATE(3321), 1,
      sym_qualified_type_identifier,
    STATE(7875), 1,
      sym__scope_resolution,
    STATE(10317), 1,
      sym_dependent_type_identifier,
    STATE(3247), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(2546), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3317), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [201213] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(9217), 1,
      sym_identifier,
    ACTIONS(9219), 1,
      anon_sym_LPAREN2,
    ACTIONS(9221), 1,
      anon_sym_STAR,
    ACTIONS(9225), 1,
      sym_primitive_type,
    STATE(3993), 1,
      sym__type_declarator,
    STATE(4414), 1,
      sym_pointer_type_declarator,
    STATE(9759), 1,
      sym_ms_based_modifier,
    STATE(6219), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(9223), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(4412), 4,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
    ACTIONS(63), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [201271] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(9146), 1,
      sym_identifier,
    ACTIONS(9148), 1,
      anon_sym_LPAREN2,
    ACTIONS(9150), 1,
      anon_sym_STAR,
    ACTIONS(9154), 1,
      sym_primitive_type,
    STATE(7455), 1,
      sym__type_declarator,
    STATE(7662), 1,
      sym_pointer_type_declarator,
    STATE(10177), 1,
      sym_ms_based_modifier,
    STATE(6219), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(9152), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(7660), 4,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
    ACTIONS(63), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [201329] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(9146), 1,
      sym_identifier,
    ACTIONS(9148), 1,
      anon_sym_LPAREN2,
    ACTIONS(9150), 1,
      anon_sym_STAR,
    ACTIONS(9154), 1,
      sym_primitive_type,
    STATE(7439), 1,
      sym__type_declarator,
    STATE(7662), 1,
      sym_pointer_type_declarator,
    STATE(10177), 1,
      sym_ms_based_modifier,
    STATE(6219), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(9152), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(7660), 4,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
    ACTIONS(63), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [201387] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1486), 1,
      anon_sym_template,
    ACTIONS(9723), 1,
      sym_identifier,
    ACTIONS(9725), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9729), 1,
      sym_primitive_type,
    ACTIONS(9731), 1,
      anon_sym_enum,
    ACTIONS(9733), 1,
      anon_sym_class,
    ACTIONS(9735), 1,
      anon_sym_struct,
    ACTIONS(9737), 1,
      anon_sym_union,
    ACTIONS(9739), 1,
      sym_auto,
    ACTIONS(9741), 1,
      anon_sym_decltype,
    ACTIONS(9743), 1,
      anon_sym_typename,
    STATE(3545), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(3756), 1,
      sym__type_specifier,
    STATE(4142), 1,
      sym_decltype_auto,
    STATE(4175), 1,
      sym_qualified_type_identifier,
    STATE(7844), 1,
      sym__scope_resolution,
    STATE(10317), 1,
      sym_dependent_type_identifier,
    STATE(3975), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(9727), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(4094), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [201461] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(9062), 1,
      sym_identifier,
    ACTIONS(9064), 1,
      anon_sym_LPAREN2,
    ACTIONS(9072), 1,
      sym_primitive_type,
    ACTIONS(9233), 1,
      anon_sym_STAR,
    STATE(3371), 1,
      sym__type_declarator,
    STATE(3408), 1,
      sym_pointer_type_declarator,
    STATE(10078), 1,
      sym_ms_based_modifier,
    STATE(6219), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(9070), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3406), 4,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
    ACTIONS(63), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [201519] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(9132), 1,
      sym_identifier,
    ACTIONS(9134), 1,
      anon_sym_LPAREN2,
    ACTIONS(9136), 1,
      anon_sym_STAR,
    ACTIONS(9140), 1,
      sym_primitive_type,
    STATE(3827), 1,
      sym__type_declarator,
    STATE(4165), 1,
      sym_pointer_type_declarator,
    STATE(9558), 1,
      sym_ms_based_modifier,
    STATE(6219), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(9138), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(4160), 4,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
    ACTIONS(63), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [201577] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1486), 1,
      anon_sym_template,
    ACTIONS(9723), 1,
      sym_identifier,
    ACTIONS(9725), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9729), 1,
      sym_primitive_type,
    ACTIONS(9731), 1,
      anon_sym_enum,
    ACTIONS(9733), 1,
      anon_sym_class,
    ACTIONS(9735), 1,
      anon_sym_struct,
    ACTIONS(9737), 1,
      anon_sym_union,
    ACTIONS(9739), 1,
      sym_auto,
    ACTIONS(9741), 1,
      anon_sym_decltype,
    ACTIONS(9743), 1,
      anon_sym_typename,
    STATE(3545), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(3759), 1,
      sym__type_specifier,
    STATE(4142), 1,
      sym_decltype_auto,
    STATE(4175), 1,
      sym_qualified_type_identifier,
    STATE(7844), 1,
      sym__scope_resolution,
    STATE(10317), 1,
      sym_dependent_type_identifier,
    STATE(3975), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(9727), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(4094), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [201651] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(9193), 1,
      sym_identifier,
    ACTIONS(9195), 1,
      anon_sym_LPAREN2,
    ACTIONS(9197), 1,
      anon_sym_STAR,
    ACTIONS(9201), 1,
      sym_primitive_type,
    STATE(4137), 1,
      sym__type_declarator,
    STATE(4697), 1,
      sym_pointer_type_declarator,
    STATE(9749), 1,
      sym_ms_based_modifier,
    STATE(6219), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(9199), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(4689), 4,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
    ACTIONS(63), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [201709] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(119), 1,
      sym_auto,
    ACTIONS(121), 1,
      anon_sym_decltype,
    ACTIONS(1486), 1,
      anon_sym_template,
    ACTIONS(2891), 1,
      sym_primitive_type,
    ACTIONS(2893), 1,
      anon_sym_enum,
    ACTIONS(2895), 1,
      anon_sym_class,
    ACTIONS(2897), 1,
      anon_sym_struct,
    ACTIONS(2899), 1,
      anon_sym_union,
    ACTIONS(2901), 1,
      anon_sym_typename,
    ACTIONS(3896), 1,
      sym_identifier,
    ACTIONS(3904), 1,
      anon_sym_COLON_COLON,
    STATE(3021), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(3054), 1,
      sym__type_specifier,
    STATE(3068), 1,
      sym_qualified_type_identifier,
    STATE(3091), 1,
      sym_decltype_auto,
    STATE(7887), 1,
      sym__scope_resolution,
    STATE(10317), 1,
      sym_dependent_type_identifier,
    STATE(3050), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(55), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3085), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [201783] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(119), 1,
      sym_auto,
    ACTIONS(121), 1,
      anon_sym_decltype,
    ACTIONS(1486), 1,
      anon_sym_template,
    ACTIONS(8388), 1,
      sym_primitive_type,
    ACTIONS(9854), 1,
      sym_identifier,
    ACTIONS(9856), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9858), 1,
      anon_sym_enum,
    ACTIONS(9860), 1,
      anon_sym_class,
    ACTIONS(9862), 1,
      anon_sym_struct,
    ACTIONS(9864), 1,
      anon_sym_union,
    ACTIONS(9866), 1,
      anon_sym_typename,
    STATE(3068), 1,
      sym_qualified_type_identifier,
    STATE(3091), 1,
      sym_decltype_auto,
    STATE(6066), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(7892), 1,
      sym__scope_resolution,
    STATE(8089), 1,
      sym__type_specifier,
    STATE(10317), 1,
      sym_dependent_type_identifier,
    STATE(3050), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(8386), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3085), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [201857] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1486), 1,
      anon_sym_template,
    ACTIONS(9629), 1,
      sym_identifier,
    ACTIONS(9631), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9635), 1,
      sym_primitive_type,
    ACTIONS(9637), 1,
      anon_sym_enum,
    ACTIONS(9639), 1,
      anon_sym_class,
    ACTIONS(9641), 1,
      anon_sym_struct,
    ACTIONS(9643), 1,
      anon_sym_union,
    ACTIONS(9645), 1,
      sym_auto,
    ACTIONS(9647), 1,
      anon_sym_decltype,
    ACTIONS(9649), 1,
      anon_sym_typename,
    STATE(4863), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(5057), 1,
      sym__type_specifier,
    STATE(5289), 1,
      sym_decltype_auto,
    STATE(5294), 1,
      sym_qualified_type_identifier,
    STATE(7838), 1,
      sym__scope_resolution,
    STATE(10317), 1,
      sym_dependent_type_identifier,
    STATE(5252), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(9633), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(5296), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [201931] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1486), 1,
      anon_sym_template,
    ACTIONS(8332), 1,
      sym_identifier,
    ACTIONS(8334), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8338), 1,
      sym_primitive_type,
    ACTIONS(8340), 1,
      anon_sym_enum,
    ACTIONS(8342), 1,
      anon_sym_class,
    ACTIONS(8344), 1,
      anon_sym_struct,
    ACTIONS(8346), 1,
      anon_sym_union,
    ACTIONS(8348), 1,
      sym_auto,
    ACTIONS(8350), 1,
      anon_sym_decltype,
    ACTIONS(8352), 1,
      anon_sym_typename,
    STATE(5493), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(6114), 1,
      sym__type_specifier,
    STATE(6156), 1,
      sym_decltype_auto,
    STATE(6241), 1,
      sym_qualified_type_identifier,
    STATE(7862), 1,
      sym__scope_resolution,
    STATE(10317), 1,
      sym_dependent_type_identifier,
    STATE(3050), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(8336), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(6209), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [202005] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(119), 1,
      sym_auto,
    ACTIONS(121), 1,
      anon_sym_decltype,
    ACTIONS(1486), 1,
      anon_sym_template,
    ACTIONS(2891), 1,
      sym_primitive_type,
    ACTIONS(2895), 1,
      anon_sym_class,
    ACTIONS(2897), 1,
      anon_sym_struct,
    ACTIONS(2899), 1,
      anon_sym_union,
    ACTIONS(3896), 1,
      sym_identifier,
    ACTIONS(3904), 1,
      anon_sym_COLON_COLON,
    ACTIONS(3908), 1,
      anon_sym_enum,
    ACTIONS(3910), 1,
      anon_sym_typename,
    STATE(3054), 1,
      sym__type_specifier,
    STATE(3068), 1,
      sym_qualified_type_identifier,
    STATE(3091), 1,
      sym_decltype_auto,
    STATE(3492), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(7887), 1,
      sym__scope_resolution,
    STATE(10317), 1,
      sym_dependent_type_identifier,
    STATE(3050), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(3906), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3085), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [202079] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(9062), 1,
      sym_identifier,
    ACTIONS(9064), 1,
      anon_sym_LPAREN2,
    ACTIONS(9072), 1,
      sym_primitive_type,
    ACTIONS(9142), 1,
      anon_sym_STAR,
    STATE(3408), 1,
      sym_pointer_type_declarator,
    STATE(8010), 1,
      sym__type_declarator,
    STATE(10066), 1,
      sym_ms_based_modifier,
    STATE(6219), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(9070), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3406), 4,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
    ACTIONS(63), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [202137] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1486), 1,
      anon_sym_template,
    ACTIONS(4299), 1,
      sym_auto,
    ACTIONS(4301), 1,
      anon_sym_decltype,
    ACTIONS(8418), 1,
      sym_primitive_type,
    ACTIONS(9791), 1,
      sym_identifier,
    ACTIONS(9793), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9795), 1,
      anon_sym_enum,
    ACTIONS(9797), 1,
      anon_sym_class,
    ACTIONS(9799), 1,
      anon_sym_struct,
    ACTIONS(9801), 1,
      anon_sym_union,
    ACTIONS(9803), 1,
      anon_sym_typename,
    STATE(3494), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(3979), 1,
      sym_qualified_type_identifier,
    STATE(4013), 1,
      sym_decltype_auto,
    STATE(5268), 1,
      sym__type_specifier,
    STATE(7839), 1,
      sym__scope_resolution,
    STATE(10317), 1,
      sym_dependent_type_identifier,
    STATE(3955), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(4265), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(4043), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [202211] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5585), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7989), 1,
      anon_sym_noexcept,
    ACTIONS(7991), 1,
      anon_sym_throw,
    ACTIONS(8209), 1,
      anon_sym___attribute__,
    ACTIONS(8222), 1,
      anon_sym_DASH_GT,
    ACTIONS(9314), 1,
      anon_sym_LBRACK,
    ACTIONS(9604), 1,
      anon_sym_requires,
    STATE(7133), 1,
      sym_trailing_return_type,
    STATE(7313), 1,
      sym__function_attributes_end,
    STATE(8050), 1,
      sym_gnu_asm_expression,
    ACTIONS(7985), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9601), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6922), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(7102), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7234), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(7404), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(6651), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(9309), 5,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_try,
  [202281] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5585), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7989), 1,
      anon_sym_noexcept,
    ACTIONS(7991), 1,
      anon_sym_throw,
    ACTIONS(8209), 1,
      anon_sym___attribute__,
    ACTIONS(8211), 1,
      anon_sym_DASH_GT,
    ACTIONS(8220), 1,
      anon_sym_requires,
    ACTIONS(9576), 1,
      anon_sym_LBRACK,
    STATE(7304), 1,
      sym__function_attributes_end,
    STATE(7391), 1,
      sym_trailing_return_type,
    STATE(8050), 1,
      sym_gnu_asm_expression,
    ACTIONS(7985), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(8191), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6922), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(7102), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7234), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(7392), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(6657), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(9571), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [202351] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5585), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7989), 1,
      anon_sym_noexcept,
    ACTIONS(7991), 1,
      anon_sym_throw,
    ACTIONS(8193), 1,
      anon_sym_requires,
    ACTIONS(8209), 1,
      anon_sym___attribute__,
    ACTIONS(8222), 1,
      anon_sym_DASH_GT,
    ACTIONS(9314), 1,
      anon_sym_LBRACK,
    STATE(7099), 1,
      sym_trailing_return_type,
    STATE(7289), 1,
      sym__function_attributes_end,
    STATE(8050), 1,
      sym_gnu_asm_expression,
    ACTIONS(7985), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(8191), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6922), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(7102), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7234), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(7404), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(6670), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(9309), 5,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_try,
  [202421] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1486), 1,
      anon_sym_template,
    ACTIONS(9629), 1,
      sym_identifier,
    ACTIONS(9631), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9635), 1,
      sym_primitive_type,
    ACTIONS(9637), 1,
      anon_sym_enum,
    ACTIONS(9639), 1,
      anon_sym_class,
    ACTIONS(9641), 1,
      anon_sym_struct,
    ACTIONS(9643), 1,
      anon_sym_union,
    ACTIONS(9645), 1,
      sym_auto,
    ACTIONS(9647), 1,
      anon_sym_decltype,
    ACTIONS(9649), 1,
      anon_sym_typename,
    STATE(4863), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(5247), 1,
      sym__type_specifier,
    STATE(5289), 1,
      sym_decltype_auto,
    STATE(5294), 1,
      sym_qualified_type_identifier,
    STATE(7838), 1,
      sym__scope_resolution,
    STATE(10317), 1,
      sym_dependent_type_identifier,
    STATE(5252), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(9633), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(5296), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [202495] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1486), 1,
      anon_sym_template,
    ACTIONS(2582), 1,
      sym_auto,
    ACTIONS(2584), 1,
      anon_sym_decltype,
    ACTIONS(8290), 1,
      sym_primitive_type,
    ACTIONS(9745), 1,
      sym_identifier,
    ACTIONS(9747), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9749), 1,
      anon_sym_enum,
    ACTIONS(9751), 1,
      anon_sym_class,
    ACTIONS(9753), 1,
      anon_sym_struct,
    ACTIONS(9755), 1,
      anon_sym_union,
    ACTIONS(9757), 1,
      anon_sym_typename,
    STATE(3316), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(3318), 1,
      sym_decltype_auto,
    STATE(3321), 1,
      sym_qualified_type_identifier,
    STATE(5221), 1,
      sym__type_specifier,
    STATE(7875), 1,
      sym__scope_resolution,
    STATE(10317), 1,
      sym_dependent_type_identifier,
    STATE(3247), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(2546), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3317), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [202569] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4379), 1,
      anon_sym_const,
    ACTIONS(4561), 1,
      anon_sym_LPAREN2,
    ACTIONS(4563), 1,
      anon_sym_STAR,
    ACTIONS(4565), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4567), 1,
      anon_sym_AMP,
    ACTIONS(8509), 1,
      anon_sym_LBRACK,
    STATE(4924), 1,
      sym_parameter_list,
    STATE(7422), 1,
      sym__function_declarator_seq,
    STATE(7983), 1,
      sym__abstract_declarator,
    STATE(6296), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(6740), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    STATE(7436), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8527), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [202629] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1486), 1,
      anon_sym_template,
    ACTIONS(2588), 1,
      anon_sym_operator,
    ACTIONS(2875), 1,
      anon_sym_LPAREN2,
    ACTIONS(2877), 1,
      anon_sym_TILDE,
    ACTIONS(3148), 1,
      anon_sym_decltype,
    ACTIONS(6738), 1,
      sym_identifier,
    ACTIONS(6750), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8030), 1,
      anon_sym_LBRACK,
    ACTIONS(8065), 1,
      anon_sym_STAR,
    ACTIONS(8067), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8069), 1,
      anon_sym_AMP,
    STATE(7058), 1,
      sym__scope_resolution,
    STATE(7329), 1,
      sym__declarator,
    STATE(8723), 1,
      sym_init_declarator,
    STATE(9827), 1,
      sym_ms_based_modifier,
    STATE(10317), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(7680), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [202699] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1486), 1,
      anon_sym_template,
    ACTIONS(8362), 1,
      sym_identifier,
    ACTIONS(8364), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8368), 1,
      sym_primitive_type,
    ACTIONS(8370), 1,
      anon_sym_enum,
    ACTIONS(8372), 1,
      anon_sym_class,
    ACTIONS(8374), 1,
      anon_sym_struct,
    ACTIONS(8376), 1,
      anon_sym_union,
    ACTIONS(8378), 1,
      sym_auto,
    ACTIONS(8380), 1,
      anon_sym_decltype,
    ACTIONS(8382), 1,
      anon_sym_typename,
    STATE(5675), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(6261), 1,
      sym__type_specifier,
    STATE(6351), 1,
      sym_decltype_auto,
    STATE(6356), 1,
      sym_qualified_type_identifier,
    STATE(7852), 1,
      sym__scope_resolution,
    STATE(10317), 1,
      sym_dependent_type_identifier,
    STATE(6277), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(8366), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(6353), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [202773] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(119), 1,
      sym_auto,
    ACTIONS(121), 1,
      anon_sym_decltype,
    ACTIONS(1486), 1,
      anon_sym_template,
    ACTIONS(8388), 1,
      sym_primitive_type,
    ACTIONS(9854), 1,
      sym_identifier,
    ACTIONS(9856), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9858), 1,
      anon_sym_enum,
    ACTIONS(9860), 1,
      anon_sym_class,
    ACTIONS(9862), 1,
      anon_sym_struct,
    ACTIONS(9864), 1,
      anon_sym_union,
    ACTIONS(9866), 1,
      anon_sym_typename,
    STATE(3068), 1,
      sym_qualified_type_identifier,
    STATE(3091), 1,
      sym_decltype_auto,
    STATE(6066), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(7892), 1,
      sym__scope_resolution,
    STATE(8141), 1,
      sym__type_specifier,
    STATE(10317), 1,
      sym_dependent_type_identifier,
    STATE(3050), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(8386), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3085), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [202847] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1486), 1,
      anon_sym_template,
    ACTIONS(9629), 1,
      sym_identifier,
    ACTIONS(9631), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9635), 1,
      sym_primitive_type,
    ACTIONS(9637), 1,
      anon_sym_enum,
    ACTIONS(9639), 1,
      anon_sym_class,
    ACTIONS(9641), 1,
      anon_sym_struct,
    ACTIONS(9643), 1,
      anon_sym_union,
    ACTIONS(9645), 1,
      sym_auto,
    ACTIONS(9647), 1,
      anon_sym_decltype,
    ACTIONS(9649), 1,
      anon_sym_typename,
    STATE(4863), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(5038), 1,
      sym__type_specifier,
    STATE(5289), 1,
      sym_decltype_auto,
    STATE(5294), 1,
      sym_qualified_type_identifier,
    STATE(7838), 1,
      sym__scope_resolution,
    STATE(10317), 1,
      sym_dependent_type_identifier,
    STATE(5252), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(9633), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(5296), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [202921] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(9062), 1,
      sym_identifier,
    ACTIONS(9064), 1,
      anon_sym_LPAREN2,
    ACTIONS(9072), 1,
      sym_primitive_type,
    ACTIONS(9233), 1,
      anon_sym_STAR,
    STATE(3338), 1,
      sym__type_declarator,
    STATE(3408), 1,
      sym_pointer_type_declarator,
    STATE(10078), 1,
      sym_ms_based_modifier,
    STATE(6219), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(9070), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3406), 4,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
    ACTIONS(63), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [202979] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7970), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7972), 1,
      anon_sym_AMP,
    ACTIONS(7989), 1,
      anon_sym_noexcept,
    ACTIONS(7991), 1,
      anon_sym_throw,
    ACTIONS(8209), 1,
      anon_sym___attribute__,
    ACTIONS(8357), 1,
      anon_sym_DASH_GT,
    ACTIONS(8420), 1,
      anon_sym_requires,
    ACTIONS(9314), 1,
      anon_sym_LBRACK,
    ACTIONS(9848), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(6617), 1,
      sym_ref_qualifier,
    STATE(7509), 1,
      sym__function_attributes_end,
    STATE(7719), 1,
      sym_trailing_return_type,
    STATE(8050), 1,
      sym_gnu_asm_expression,
    ACTIONS(6859), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(7985), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9309), 2,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
    STATE(6922), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(7102), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7174), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(7349), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(6753), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
  [203055] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(9062), 1,
      sym_identifier,
    ACTIONS(9064), 1,
      anon_sym_LPAREN2,
    ACTIONS(9066), 1,
      anon_sym_STAR,
    ACTIONS(9072), 1,
      sym_primitive_type,
    STATE(3408), 1,
      sym_pointer_type_declarator,
    STATE(7602), 1,
      sym__type_declarator,
    STATE(9882), 1,
      sym_ms_based_modifier,
    STATE(6219), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(9070), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3406), 4,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
    ACTIONS(63), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [203113] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1486), 1,
      anon_sym_template,
    ACTIONS(9805), 1,
      sym_identifier,
    ACTIONS(9807), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9811), 1,
      sym_primitive_type,
    ACTIONS(9813), 1,
      anon_sym_enum,
    ACTIONS(9815), 1,
      anon_sym_class,
    ACTIONS(9817), 1,
      anon_sym_struct,
    ACTIONS(9819), 1,
      anon_sym_union,
    ACTIONS(9821), 1,
      sym_auto,
    ACTIONS(9823), 1,
      anon_sym_decltype,
    ACTIONS(9825), 1,
      anon_sym_typename,
    STATE(3612), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(3782), 1,
      sym__type_specifier,
    STATE(4190), 1,
      sym_decltype_auto,
    STATE(4246), 1,
      sym_qualified_type_identifier,
    STATE(7882), 1,
      sym__scope_resolution,
    STATE(10317), 1,
      sym_dependent_type_identifier,
    STATE(4103), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(9809), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(4310), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [203187] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5585), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7989), 1,
      anon_sym_noexcept,
    ACTIONS(7991), 1,
      anon_sym_throw,
    ACTIONS(8209), 1,
      anon_sym___attribute__,
    ACTIONS(8211), 1,
      anon_sym_DASH_GT,
    ACTIONS(8220), 1,
      anon_sym_requires,
    ACTIONS(9314), 1,
      anon_sym_LBRACK,
    STATE(7259), 1,
      sym__function_attributes_end,
    STATE(7427), 1,
      sym_trailing_return_type,
    STATE(8050), 1,
      sym_gnu_asm_expression,
    ACTIONS(7985), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(8191), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6922), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(7102), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7234), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(7404), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(6658), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(9309), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [203257] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(9062), 1,
      sym_identifier,
    ACTIONS(9064), 1,
      anon_sym_LPAREN2,
    ACTIONS(9066), 1,
      anon_sym_STAR,
    ACTIONS(9072), 1,
      sym_primitive_type,
    STATE(3408), 1,
      sym_pointer_type_declarator,
    STATE(7590), 1,
      sym__type_declarator,
    STATE(9882), 1,
      sym_ms_based_modifier,
    STATE(6219), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(9070), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3406), 4,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
    ACTIONS(63), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [203315] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(9062), 1,
      sym_identifier,
    ACTIONS(9064), 1,
      anon_sym_LPAREN2,
    ACTIONS(9066), 1,
      anon_sym_STAR,
    ACTIONS(9072), 1,
      sym_primitive_type,
    STATE(3408), 1,
      sym_pointer_type_declarator,
    STATE(7606), 1,
      sym__type_declarator,
    STATE(9882), 1,
      sym_ms_based_modifier,
    STATE(6219), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(9070), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3406), 4,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
    ACTIONS(63), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [203373] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5585), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7989), 1,
      anon_sym_noexcept,
    ACTIONS(7991), 1,
      anon_sym_throw,
    ACTIONS(8209), 1,
      anon_sym___attribute__,
    ACTIONS(8211), 1,
      anon_sym_DASH_GT,
    ACTIONS(9314), 1,
      anon_sym_LBRACK,
    ACTIONS(9613), 1,
      anon_sym_requires,
    STATE(7331), 1,
      sym__function_attributes_end,
    STATE(7355), 1,
      sym_trailing_return_type,
    STATE(8050), 1,
      sym_gnu_asm_expression,
    ACTIONS(7985), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9601), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6922), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(7102), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7234), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(7404), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(6683), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(9309), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [203443] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1486), 1,
      anon_sym_template,
    ACTIONS(9695), 1,
      sym_identifier,
    ACTIONS(9697), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9701), 1,
      sym_primitive_type,
    ACTIONS(9703), 1,
      anon_sym_enum,
    ACTIONS(9705), 1,
      anon_sym_class,
    ACTIONS(9707), 1,
      anon_sym_struct,
    ACTIONS(9709), 1,
      anon_sym_union,
    ACTIONS(9711), 1,
      sym_auto,
    ACTIONS(9713), 1,
      anon_sym_decltype,
    ACTIONS(9715), 1,
      anon_sym_typename,
    STATE(4596), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(4879), 1,
      sym__type_specifier,
    STATE(5215), 1,
      sym_decltype_auto,
    STATE(5224), 1,
      sym_qualified_type_identifier,
    STATE(7840), 1,
      sym__scope_resolution,
    STATE(10317), 1,
      sym_dependent_type_identifier,
    STATE(5122), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(9699), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(5208), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [203517] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(9146), 1,
      sym_identifier,
    ACTIONS(9148), 1,
      anon_sym_LPAREN2,
    ACTIONS(9150), 1,
      anon_sym_STAR,
    ACTIONS(9154), 1,
      sym_primitive_type,
    STATE(7407), 1,
      sym__type_declarator,
    STATE(7662), 1,
      sym_pointer_type_declarator,
    STATE(10177), 1,
      sym_ms_based_modifier,
    STATE(6219), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(9152), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(7660), 4,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
    ACTIONS(63), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [203575] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6135), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(6137), 28,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [203613] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(9146), 1,
      sym_identifier,
    ACTIONS(9148), 1,
      anon_sym_LPAREN2,
    ACTIONS(9154), 1,
      sym_primitive_type,
    ACTIONS(9158), 1,
      anon_sym_STAR,
    STATE(7662), 1,
      sym_pointer_type_declarator,
    STATE(7899), 1,
      sym__type_declarator,
    STATE(9608), 1,
      sym_ms_based_modifier,
    STATE(6219), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(9152), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(7660), 4,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
    ACTIONS(63), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [203671] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5931), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5933), 28,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [203709] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6159), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(6161), 28,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [203747] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(9146), 1,
      sym_identifier,
    ACTIONS(9148), 1,
      anon_sym_LPAREN2,
    ACTIONS(9154), 1,
      sym_primitive_type,
    ACTIONS(9158), 1,
      anon_sym_STAR,
    STATE(7662), 1,
      sym_pointer_type_declarator,
    STATE(7917), 1,
      sym__type_declarator,
    STATE(9608), 1,
      sym_ms_based_modifier,
    STATE(6219), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(9152), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(7660), 4,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
    ACTIONS(63), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [203805] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5931), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5933), 28,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [203843] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4379), 1,
      anon_sym_const,
    ACTIONS(4561), 1,
      anon_sym_LPAREN2,
    ACTIONS(4563), 1,
      anon_sym_STAR,
    ACTIONS(4565), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4567), 1,
      anon_sym_AMP,
    ACTIONS(8509), 1,
      anon_sym_LBRACK,
    STATE(4924), 1,
      sym_parameter_list,
    STATE(7422), 1,
      sym__function_declarator_seq,
    STATE(7971), 1,
      sym__abstract_declarator,
    STATE(6296), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(8725), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    STATE(7436), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8527), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [203903] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4379), 1,
      anon_sym_const,
    ACTIONS(4561), 1,
      anon_sym_LPAREN2,
    ACTIONS(4563), 1,
      anon_sym_STAR,
    ACTIONS(4565), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4567), 1,
      anon_sym_AMP,
    ACTIONS(8509), 1,
      anon_sym_LBRACK,
    STATE(4924), 1,
      sym_parameter_list,
    STATE(7422), 1,
      sym__function_declarator_seq,
    STATE(8003), 1,
      sym__abstract_declarator,
    STATE(6296), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(8974), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    STATE(7436), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8527), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [203963] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1486), 1,
      anon_sym_template,
    ACTIONS(2552), 1,
      anon_sym_enum,
    ACTIONS(2554), 1,
      anon_sym_class,
    ACTIONS(2556), 1,
      anon_sym_struct,
    ACTIONS(2558), 1,
      anon_sym_union,
    ACTIONS(2582), 1,
      sym_auto,
    ACTIONS(2584), 1,
      anon_sym_decltype,
    ACTIONS(2586), 1,
      anon_sym_typename,
    ACTIONS(8284), 1,
      sym_identifier,
    ACTIONS(8288), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8290), 1,
      sym_primitive_type,
    STATE(3253), 1,
      sym__type_specifier,
    STATE(3316), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(3318), 1,
      sym_decltype_auto,
    STATE(3321), 1,
      sym_qualified_type_identifier,
    STATE(7858), 1,
      sym__scope_resolution,
    STATE(10317), 1,
      sym_dependent_type_identifier,
    STATE(3247), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(2546), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3317), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [204037] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(9217), 1,
      sym_identifier,
    ACTIONS(9219), 1,
      anon_sym_LPAREN2,
    ACTIONS(9221), 1,
      anon_sym_STAR,
    ACTIONS(9225), 1,
      sym_primitive_type,
    STATE(4060), 1,
      sym__type_declarator,
    STATE(4414), 1,
      sym_pointer_type_declarator,
    STATE(9759), 1,
      sym_ms_based_modifier,
    STATE(6219), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(9223), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(4412), 4,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
    ACTIONS(63), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [204095] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1486), 1,
      anon_sym_template,
    ACTIONS(9761), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9769), 1,
      anon_sym_class,
    ACTIONS(9771), 1,
      anon_sym_struct,
    ACTIONS(9773), 1,
      anon_sym_union,
    ACTIONS(9775), 1,
      sym_auto,
    ACTIONS(9777), 1,
      anon_sym_decltype,
    ACTIONS(9781), 1,
      sym_identifier,
    ACTIONS(9785), 1,
      sym_primitive_type,
    ACTIONS(9787), 1,
      anon_sym_enum,
    ACTIONS(9789), 1,
      anon_sym_typename,
    STATE(3212), 1,
      sym__type_specifier,
    STATE(3372), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(3375), 1,
      sym_decltype_auto,
    STATE(3419), 1,
      sym_qualified_type_identifier,
    STATE(7878), 1,
      sym__scope_resolution,
    STATE(10317), 1,
      sym_dependent_type_identifier,
    STATE(3352), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(9783), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3390), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [204169] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1486), 1,
      anon_sym_template,
    ACTIONS(9695), 1,
      sym_identifier,
    ACTIONS(9697), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9701), 1,
      sym_primitive_type,
    ACTIONS(9703), 1,
      anon_sym_enum,
    ACTIONS(9705), 1,
      anon_sym_class,
    ACTIONS(9707), 1,
      anon_sym_struct,
    ACTIONS(9709), 1,
      anon_sym_union,
    ACTIONS(9711), 1,
      sym_auto,
    ACTIONS(9713), 1,
      anon_sym_decltype,
    ACTIONS(9715), 1,
      anon_sym_typename,
    STATE(4596), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(4891), 1,
      sym__type_specifier,
    STATE(5215), 1,
      sym_decltype_auto,
    STATE(5224), 1,
      sym_qualified_type_identifier,
    STATE(7840), 1,
      sym__scope_resolution,
    STATE(10317), 1,
      sym_dependent_type_identifier,
    STATE(5122), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(9699), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(5208), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [204243] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1486), 1,
      anon_sym_template,
    ACTIONS(4269), 1,
      anon_sym_enum,
    ACTIONS(4271), 1,
      anon_sym_class,
    ACTIONS(4273), 1,
      anon_sym_struct,
    ACTIONS(4275), 1,
      anon_sym_union,
    ACTIONS(4299), 1,
      sym_auto,
    ACTIONS(4301), 1,
      anon_sym_decltype,
    ACTIONS(4303), 1,
      anon_sym_typename,
    ACTIONS(8414), 1,
      sym_identifier,
    ACTIONS(8416), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8418), 1,
      sym_primitive_type,
    STATE(3494), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(3872), 1,
      sym__type_specifier,
    STATE(3979), 1,
      sym_qualified_type_identifier,
    STATE(4013), 1,
      sym_decltype_auto,
    STATE(7845), 1,
      sym__scope_resolution,
    STATE(10317), 1,
      sym_dependent_type_identifier,
    STATE(3955), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(4265), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(4043), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [204317] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6033), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(6035), 28,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [204355] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4379), 1,
      anon_sym_const,
    ACTIONS(4561), 1,
      anon_sym_LPAREN2,
    ACTIONS(4563), 1,
      anon_sym_STAR,
    ACTIONS(4565), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4567), 1,
      anon_sym_AMP,
    ACTIONS(8509), 1,
      anon_sym_LBRACK,
    STATE(4924), 1,
      sym_parameter_list,
    STATE(7422), 1,
      sym__function_declarator_seq,
    STATE(8002), 1,
      sym__abstract_declarator,
    STATE(6296), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7395), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    STATE(7436), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8527), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [204415] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(9193), 1,
      sym_identifier,
    ACTIONS(9195), 1,
      anon_sym_LPAREN2,
    ACTIONS(9197), 1,
      anon_sym_STAR,
    ACTIONS(9201), 1,
      sym_primitive_type,
    STATE(4174), 1,
      sym__type_declarator,
    STATE(4697), 1,
      sym_pointer_type_declarator,
    STATE(9749), 1,
      sym_ms_based_modifier,
    STATE(6219), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(9199), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(4689), 4,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
    ACTIONS(63), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [204473] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6049), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(6051), 28,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [204511] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(9062), 1,
      sym_identifier,
    ACTIONS(9064), 1,
      anon_sym_LPAREN2,
    ACTIONS(9072), 1,
      sym_primitive_type,
    ACTIONS(9233), 1,
      anon_sym_STAR,
    STATE(3368), 1,
      sym__type_declarator,
    STATE(3408), 1,
      sym_pointer_type_declarator,
    STATE(10078), 1,
      sym_ms_based_modifier,
    STATE(6219), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(9070), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3406), 4,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
    ACTIONS(63), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [204569] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4379), 1,
      anon_sym_const,
    ACTIONS(4561), 1,
      anon_sym_LPAREN2,
    ACTIONS(8509), 1,
      anon_sym_LBRACK,
    ACTIONS(9261), 1,
      anon_sym_STAR,
    ACTIONS(9263), 1,
      anon_sym_AMP_AMP,
    ACTIONS(9265), 1,
      anon_sym_AMP,
    STATE(5027), 1,
      sym_parameter_list,
    STATE(7422), 1,
      sym__function_declarator_seq,
    STATE(7969), 1,
      sym__abstract_declarator,
    STATE(6296), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(8725), 3,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_GT2,
    STATE(7436), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8527), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [204629] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(9146), 1,
      sym_identifier,
    ACTIONS(9148), 1,
      anon_sym_LPAREN2,
    ACTIONS(9154), 1,
      sym_primitive_type,
    ACTIONS(9158), 1,
      anon_sym_STAR,
    STATE(7662), 1,
      sym_pointer_type_declarator,
    STATE(7940), 1,
      sym__type_declarator,
    STATE(9608), 1,
      sym_ms_based_modifier,
    STATE(6219), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(9152), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(7660), 4,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
    ACTIONS(63), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [204687] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6041), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(6043), 28,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [204725] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6081), 1,
      anon_sym_LBRACE,
    ACTIONS(8209), 1,
      anon_sym___attribute__,
    ACTIONS(9877), 1,
      anon_sym_COLON,
    STATE(3073), 1,
      sym_attribute_specifier,
    STATE(6392), 1,
      sym__enum_base_clause,
    STATE(6591), 1,
      sym_enumerator_list,
    ACTIONS(6356), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(6358), 21,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym___extension__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [204775] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6057), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(6059), 28,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [204813] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6111), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(6113), 28,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [204851] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6139), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(6141), 28,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [204889] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6099), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(6101), 28,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [204927] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6045), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(6047), 28,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [204965] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6061), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(6063), 28,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [205003] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6091), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(6093), 28,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [205041] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1486), 1,
      anon_sym_template,
    ACTIONS(8338), 1,
      sym_primitive_type,
    ACTIONS(8348), 1,
      sym_auto,
    ACTIONS(8350), 1,
      anon_sym_decltype,
    ACTIONS(8400), 1,
      sym_identifier,
    ACTIONS(8402), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8404), 1,
      anon_sym_enum,
    ACTIONS(8406), 1,
      anon_sym_class,
    ACTIONS(8408), 1,
      anon_sym_struct,
    ACTIONS(8410), 1,
      anon_sym_union,
    ACTIONS(8412), 1,
      anon_sym_typename,
    STATE(5493), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(6114), 1,
      sym__type_specifier,
    STATE(6156), 1,
      sym_decltype_auto,
    STATE(6241), 1,
      sym_qualified_type_identifier,
    STATE(7841), 1,
      sym__scope_resolution,
    STATE(10317), 1,
      sym_dependent_type_identifier,
    STATE(3050), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(8336), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(6209), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [205115] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6087), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(6089), 28,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [205153] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6083), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(6085), 28,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [205191] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1486), 1,
      anon_sym_template,
    ACTIONS(4299), 1,
      sym_auto,
    ACTIONS(4301), 1,
      anon_sym_decltype,
    ACTIONS(8418), 1,
      sym_primitive_type,
    ACTIONS(9791), 1,
      sym_identifier,
    ACTIONS(9793), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9795), 1,
      anon_sym_enum,
    ACTIONS(9797), 1,
      anon_sym_class,
    ACTIONS(9799), 1,
      anon_sym_struct,
    ACTIONS(9801), 1,
      anon_sym_union,
    ACTIONS(9803), 1,
      anon_sym_typename,
    STATE(3494), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(3979), 1,
      sym_qualified_type_identifier,
    STATE(4013), 1,
      sym_decltype_auto,
    STATE(5242), 1,
      sym__type_specifier,
    STATE(7839), 1,
      sym__scope_resolution,
    STATE(10317), 1,
      sym_dependent_type_identifier,
    STATE(3955), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(4265), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(4043), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [205265] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6081), 1,
      anon_sym_LBRACE,
    ACTIONS(8209), 1,
      anon_sym___attribute__,
    ACTIONS(9877), 1,
      anon_sym_COLON,
    STATE(3094), 1,
      sym_attribute_specifier,
    STATE(6412), 1,
      sym__enum_base_clause,
    STATE(6581), 1,
      sym_enumerator_list,
    ACTIONS(6368), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(6370), 21,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym___extension__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [205315] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6143), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(6145), 28,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [205353] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4379), 1,
      anon_sym_const,
    ACTIONS(4561), 1,
      anon_sym_LPAREN2,
    ACTIONS(8509), 1,
      anon_sym_LBRACK,
    ACTIONS(9261), 1,
      anon_sym_STAR,
    ACTIONS(9263), 1,
      anon_sym_AMP_AMP,
    ACTIONS(9265), 1,
      anon_sym_AMP,
    STATE(5027), 1,
      sym_parameter_list,
    STATE(7422), 1,
      sym__function_declarator_seq,
    STATE(7980), 1,
      sym__abstract_declarator,
    STATE(6296), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7395), 3,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_GT2,
    STATE(7436), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8527), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [205413] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6151), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(6153), 28,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [205451] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4379), 1,
      anon_sym_const,
    ACTIONS(4561), 1,
      anon_sym_LPAREN2,
    ACTIONS(8509), 1,
      anon_sym_LBRACK,
    ACTIONS(9261), 1,
      anon_sym_STAR,
    ACTIONS(9263), 1,
      anon_sym_AMP_AMP,
    ACTIONS(9265), 1,
      anon_sym_AMP,
    STATE(5027), 1,
      sym_parameter_list,
    STATE(7422), 1,
      sym__function_declarator_seq,
    STATE(7979), 1,
      sym__abstract_declarator,
    STATE(6296), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(6740), 3,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_GT2,
    STATE(7436), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8527), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [205511] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5585), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7989), 1,
      anon_sym_noexcept,
    ACTIONS(7991), 1,
      anon_sym_throw,
    ACTIONS(8193), 1,
      anon_sym_requires,
    ACTIONS(8209), 1,
      anon_sym___attribute__,
    ACTIONS(8222), 1,
      anon_sym_DASH_GT,
    ACTIONS(9576), 1,
      anon_sym_LBRACK,
    STATE(7128), 1,
      sym_trailing_return_type,
    STATE(7321), 1,
      sym__function_attributes_end,
    STATE(8050), 1,
      sym_gnu_asm_expression,
    ACTIONS(7985), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(8191), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6922), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(7102), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7234), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(7392), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(6675), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(9571), 5,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_try,
  [205581] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1486), 1,
      anon_sym_template,
    ACTIONS(2582), 1,
      sym_auto,
    ACTIONS(2584), 1,
      anon_sym_decltype,
    ACTIONS(8290), 1,
      sym_primitive_type,
    ACTIONS(9745), 1,
      sym_identifier,
    ACTIONS(9747), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9749), 1,
      anon_sym_enum,
    ACTIONS(9751), 1,
      anon_sym_class,
    ACTIONS(9753), 1,
      anon_sym_struct,
    ACTIONS(9755), 1,
      anon_sym_union,
    ACTIONS(9757), 1,
      anon_sym_typename,
    STATE(3316), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(3318), 1,
      sym_decltype_auto,
    STATE(3321), 1,
      sym_qualified_type_identifier,
    STATE(5054), 1,
      sym__type_specifier,
    STATE(7875), 1,
      sym__scope_resolution,
    STATE(10317), 1,
      sym_dependent_type_identifier,
    STATE(3247), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(2546), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3317), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [205655] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6115), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(6117), 28,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [205693] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6081), 1,
      anon_sym_LBRACE,
    ACTIONS(8209), 1,
      anon_sym___attribute__,
    STATE(3076), 1,
      sym_attribute_specifier,
    STATE(6602), 1,
      sym_enumerator_list,
    ACTIONS(6077), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(6079), 23,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym___extension__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [205739] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6123), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(6125), 28,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [205777] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6147), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(6149), 28,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [205815] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6025), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(6027), 28,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [205853] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6115), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(6117), 28,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [205891] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1486), 1,
      anon_sym_template,
    ACTIONS(9761), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9769), 1,
      anon_sym_class,
    ACTIONS(9771), 1,
      anon_sym_struct,
    ACTIONS(9773), 1,
      anon_sym_union,
    ACTIONS(9775), 1,
      sym_auto,
    ACTIONS(9777), 1,
      anon_sym_decltype,
    ACTIONS(9781), 1,
      sym_identifier,
    ACTIONS(9785), 1,
      sym_primitive_type,
    ACTIONS(9787), 1,
      anon_sym_enum,
    ACTIONS(9789), 1,
      anon_sym_typename,
    STATE(3214), 1,
      sym__type_specifier,
    STATE(3372), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(3375), 1,
      sym_decltype_auto,
    STATE(3419), 1,
      sym_qualified_type_identifier,
    STATE(7878), 1,
      sym__scope_resolution,
    STATE(10317), 1,
      sym_dependent_type_identifier,
    STATE(3352), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(9783), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3390), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [205965] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1486), 1,
      anon_sym_template,
    ACTIONS(9761), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9769), 1,
      anon_sym_class,
    ACTIONS(9771), 1,
      anon_sym_struct,
    ACTIONS(9773), 1,
      anon_sym_union,
    ACTIONS(9775), 1,
      sym_auto,
    ACTIONS(9777), 1,
      anon_sym_decltype,
    ACTIONS(9781), 1,
      sym_identifier,
    ACTIONS(9785), 1,
      sym_primitive_type,
    ACTIONS(9787), 1,
      anon_sym_enum,
    ACTIONS(9789), 1,
      anon_sym_typename,
    STATE(3357), 1,
      sym__type_specifier,
    STATE(3372), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(3375), 1,
      sym_decltype_auto,
    STATE(3419), 1,
      sym_qualified_type_identifier,
    STATE(7878), 1,
      sym__scope_resolution,
    STATE(10317), 1,
      sym_dependent_type_identifier,
    STATE(3352), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(9783), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3390), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [206039] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6029), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(6031), 28,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [206077] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6095), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(6097), 28,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [206115] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6065), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(6067), 28,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [206153] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6119), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(6121), 28,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [206191] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6107), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(6109), 28,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [206229] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1486), 1,
      anon_sym_template,
    ACTIONS(9651), 1,
      sym_identifier,
    ACTIONS(9653), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9657), 1,
      sym_primitive_type,
    ACTIONS(9659), 1,
      anon_sym_enum,
    ACTIONS(9661), 1,
      anon_sym_class,
    ACTIONS(9663), 1,
      anon_sym_struct,
    ACTIONS(9665), 1,
      anon_sym_union,
    ACTIONS(9667), 1,
      sym_auto,
    ACTIONS(9669), 1,
      anon_sym_decltype,
    ACTIONS(9671), 1,
      anon_sym_typename,
    STATE(3467), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(3785), 1,
      sym__type_specifier,
    STATE(3859), 1,
      sym_decltype_auto,
    STATE(3879), 1,
      sym_qualified_type_identifier,
    STATE(7837), 1,
      sym__scope_resolution,
    STATE(10317), 1,
      sym_dependent_type_identifier,
    STATE(3798), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(9655), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3860), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [206303] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6073), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(6075), 28,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [206341] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6069), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(6071), 28,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [206379] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1486), 1,
      anon_sym_template,
    ACTIONS(2588), 1,
      anon_sym_operator,
    ACTIONS(2875), 1,
      anon_sym_LPAREN2,
    ACTIONS(2877), 1,
      anon_sym_TILDE,
    ACTIONS(3148), 1,
      anon_sym_decltype,
    ACTIONS(6738), 1,
      sym_identifier,
    ACTIONS(6750), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8030), 1,
      anon_sym_LBRACK,
    ACTIONS(8065), 1,
      anon_sym_STAR,
    ACTIONS(8067), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8069), 1,
      anon_sym_AMP,
    STATE(7058), 1,
      sym__scope_resolution,
    STATE(7285), 1,
      sym__declarator,
    STATE(8793), 1,
      sym_init_declarator,
    STATE(9827), 1,
      sym_ms_based_modifier,
    STATE(10317), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(7680), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [206449] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6065), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(6067), 28,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [206487] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5783), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5785), 28,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [206525] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1486), 1,
      anon_sym_template,
    ACTIONS(9673), 1,
      sym_identifier,
    ACTIONS(9675), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9679), 1,
      sym_primitive_type,
    ACTIONS(9681), 1,
      anon_sym_enum,
    ACTIONS(9683), 1,
      anon_sym_class,
    ACTIONS(9685), 1,
      anon_sym_struct,
    ACTIONS(9687), 1,
      anon_sym_union,
    ACTIONS(9689), 1,
      sym_auto,
    ACTIONS(9691), 1,
      anon_sym_decltype,
    ACTIONS(9693), 1,
      anon_sym_typename,
    STATE(3733), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(4487), 1,
      sym__type_specifier,
    STATE(4528), 1,
      sym_decltype_auto,
    STATE(4575), 1,
      sym_qualified_type_identifier,
    STATE(7854), 1,
      sym__scope_resolution,
    STATE(10317), 1,
      sym_dependent_type_identifier,
    STATE(4501), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(9677), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(4524), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [206599] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6065), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(6067), 28,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [206637] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6081), 1,
      anon_sym_LBRACE,
    ACTIONS(8209), 1,
      anon_sym___attribute__,
    STATE(3061), 1,
      sym_attribute_specifier,
    STATE(6577), 1,
      sym_enumerator_list,
    ACTIONS(6155), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(6157), 23,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym___extension__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [206683] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4379), 1,
      anon_sym_const,
    ACTIONS(4561), 1,
      anon_sym_LPAREN2,
    ACTIONS(8509), 1,
      anon_sym_LBRACK,
    ACTIONS(9261), 1,
      anon_sym_STAR,
    ACTIONS(9263), 1,
      anon_sym_AMP_AMP,
    ACTIONS(9265), 1,
      anon_sym_AMP,
    STATE(5027), 1,
      sym_parameter_list,
    STATE(7422), 1,
      sym__function_declarator_seq,
    STATE(7959), 1,
      sym__abstract_declarator,
    STATE(6296), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(8974), 3,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_GT2,
    STATE(7436), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8527), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [206743] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1486), 1,
      anon_sym_template,
    ACTIONS(2588), 1,
      anon_sym_operator,
    ACTIONS(2875), 1,
      anon_sym_LPAREN2,
    ACTIONS(2877), 1,
      anon_sym_TILDE,
    ACTIONS(3148), 1,
      anon_sym_decltype,
    ACTIONS(6738), 1,
      sym_identifier,
    ACTIONS(6750), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8030), 1,
      anon_sym_LBRACK,
    ACTIONS(8065), 1,
      anon_sym_STAR,
    ACTIONS(8067), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8069), 1,
      anon_sym_AMP,
    STATE(7058), 1,
      sym__scope_resolution,
    STATE(7300), 1,
      sym__declarator,
    STATE(8793), 1,
      sym_init_declarator,
    STATE(9827), 1,
      sym_ms_based_modifier,
    STATE(10317), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(7680), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [206813] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1486), 1,
      anon_sym_template,
    ACTIONS(9695), 1,
      sym_identifier,
    ACTIONS(9697), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9701), 1,
      sym_primitive_type,
    ACTIONS(9703), 1,
      anon_sym_enum,
    ACTIONS(9705), 1,
      anon_sym_class,
    ACTIONS(9707), 1,
      anon_sym_struct,
    ACTIONS(9709), 1,
      anon_sym_union,
    ACTIONS(9711), 1,
      sym_auto,
    ACTIONS(9713), 1,
      anon_sym_decltype,
    ACTIONS(9715), 1,
      anon_sym_typename,
    STATE(4596), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(5145), 1,
      sym__type_specifier,
    STATE(5215), 1,
      sym_decltype_auto,
    STATE(5224), 1,
      sym_qualified_type_identifier,
    STATE(7840), 1,
      sym__scope_resolution,
    STATE(10317), 1,
      sym_dependent_type_identifier,
    STATE(5122), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(9699), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(5208), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [206887] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1486), 1,
      anon_sym_template,
    ACTIONS(2588), 1,
      anon_sym_operator,
    ACTIONS(2875), 1,
      anon_sym_LPAREN2,
    ACTIONS(2877), 1,
      anon_sym_TILDE,
    ACTIONS(3148), 1,
      anon_sym_decltype,
    ACTIONS(6738), 1,
      sym_identifier,
    ACTIONS(6750), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8030), 1,
      anon_sym_LBRACK,
    ACTIONS(8065), 1,
      anon_sym_STAR,
    ACTIONS(8067), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8069), 1,
      anon_sym_AMP,
    STATE(7058), 1,
      sym__scope_resolution,
    STATE(7282), 1,
      sym__declarator,
    STATE(8688), 1,
      sym_init_declarator,
    STATE(9827), 1,
      sym_ms_based_modifier,
    STATE(10317), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(7680), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [206957] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1486), 1,
      anon_sym_template,
    ACTIONS(2588), 1,
      anon_sym_operator,
    ACTIONS(2875), 1,
      anon_sym_LPAREN2,
    ACTIONS(2877), 1,
      anon_sym_TILDE,
    ACTIONS(3148), 1,
      anon_sym_decltype,
    ACTIONS(6738), 1,
      sym_identifier,
    ACTIONS(6750), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8030), 1,
      anon_sym_LBRACK,
    ACTIONS(8065), 1,
      anon_sym_STAR,
    ACTIONS(8067), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8069), 1,
      anon_sym_AMP,
    STATE(7058), 1,
      sym__scope_resolution,
    STATE(7260), 1,
      sym__declarator,
    STATE(8793), 1,
      sym_init_declarator,
    STATE(9827), 1,
      sym_ms_based_modifier,
    STATE(10317), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(7680), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [207027] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(119), 1,
      sym_auto,
    ACTIONS(121), 1,
      anon_sym_decltype,
    ACTIONS(1486), 1,
      anon_sym_template,
    ACTIONS(3904), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8384), 1,
      sym_identifier,
    ACTIONS(8388), 1,
      sym_primitive_type,
    ACTIONS(8390), 1,
      anon_sym_enum,
    ACTIONS(8392), 1,
      anon_sym_class,
    ACTIONS(8394), 1,
      anon_sym_struct,
    ACTIONS(8396), 1,
      anon_sym_union,
    ACTIONS(8398), 1,
      anon_sym_typename,
    STATE(3054), 1,
      sym__type_specifier,
    STATE(3068), 1,
      sym_qualified_type_identifier,
    STATE(3091), 1,
      sym_decltype_auto,
    STATE(6066), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(7887), 1,
      sym__scope_resolution,
    STATE(10317), 1,
      sym_dependent_type_identifier,
    STATE(3050), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(8386), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3085), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [207101] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1486), 1,
      anon_sym_template,
    ACTIONS(2194), 1,
      anon_sym_COLON,
    ACTIONS(3148), 1,
      anon_sym_decltype,
    ACTIONS(5581), 1,
      anon_sym___attribute__,
    ACTIONS(5585), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5587), 1,
      anon_sym___declspec,
    ACTIONS(5591), 1,
      anon_sym_alignas,
    ACTIONS(6974), 1,
      anon_sym_LBRACE,
    ACTIONS(9725), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9879), 1,
      sym_identifier,
    STATE(3736), 1,
      sym_template_type,
    STATE(3959), 1,
      sym_field_declaration_list,
    STATE(4146), 1,
      sym__class_declaration,
    STATE(4152), 1,
      sym__class_declaration_item,
    STATE(6819), 1,
      sym_ms_declspec_modifier,
    STATE(7844), 1,
      sym__scope_resolution,
    STATE(8212), 1,
      sym_virtual_specifier,
    STATE(9298), 1,
      sym_base_class_clause,
    ACTIONS(2198), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(3556), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6821), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(10317), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(6599), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [207180] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7976), 1,
      anon_sym___attribute__,
    ACTIONS(7989), 1,
      anon_sym_noexcept,
    ACTIONS(7991), 1,
      anon_sym_throw,
    ACTIONS(8178), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8270), 1,
      anon_sym_DASH_GT,
    ACTIONS(9576), 1,
      anon_sym_LBRACK,
    ACTIONS(9874), 1,
      anon_sym_requires,
    STATE(7377), 1,
      sym_trailing_return_type,
    STATE(7435), 1,
      sym__function_attributes_end,
    STATE(8031), 1,
      sym_gnu_asm_expression,
    ACTIONS(7985), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9842), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6935), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(7085), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7234), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(7392), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(6700), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(9571), 4,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON,
  [207249] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1486), 1,
      anon_sym_template,
    ACTIONS(2194), 1,
      anon_sym_COLON,
    ACTIONS(3148), 1,
      anon_sym_decltype,
    ACTIONS(5581), 1,
      anon_sym___attribute__,
    ACTIONS(5585), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5587), 1,
      anon_sym___declspec,
    ACTIONS(5591), 1,
      anon_sym_alignas,
    ACTIONS(5929), 1,
      anon_sym_LBRACE,
    ACTIONS(9881), 1,
      sym_identifier,
    ACTIONS(9883), 1,
      anon_sym_COLON_COLON,
    STATE(2999), 1,
      sym_template_type,
    STATE(3066), 1,
      sym__class_declaration_item,
    STATE(3083), 1,
      sym__class_declaration,
    STATE(6610), 1,
      sym_field_declaration_list,
    STATE(6823), 1,
      sym_ms_declspec_modifier,
    STATE(7848), 1,
      sym__scope_resolution,
    STATE(8250), 1,
      sym_virtual_specifier,
    STATE(9290), 1,
      sym_base_class_clause,
    ACTIONS(2198), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6153), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6824), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(10317), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(6601), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [207328] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1486), 1,
      anon_sym_template,
    ACTIONS(2194), 1,
      anon_sym_COLON,
    ACTIONS(3148), 1,
      anon_sym_decltype,
    ACTIONS(5581), 1,
      anon_sym___attribute__,
    ACTIONS(5585), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5587), 1,
      anon_sym___declspec,
    ACTIONS(5591), 1,
      anon_sym_alignas,
    ACTIONS(8334), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9528), 1,
      anon_sym_LBRACE,
    ACTIONS(9881), 1,
      sym_identifier,
    STATE(2999), 1,
      sym_template_type,
    STATE(6151), 1,
      sym_field_declaration_list,
    STATE(6197), 1,
      sym__class_declaration_item,
    STATE(6242), 1,
      sym__class_declaration,
    STATE(6838), 1,
      sym_ms_declspec_modifier,
    STATE(7862), 1,
      sym__scope_resolution,
    STATE(8171), 1,
      sym_virtual_specifier,
    STATE(9025), 1,
      sym_base_class_clause,
    ACTIONS(2198), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5969), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6772), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(10317), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(6595), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [207407] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1486), 1,
      anon_sym_template,
    ACTIONS(2194), 1,
      anon_sym_COLON,
    ACTIONS(3148), 1,
      anon_sym_decltype,
    ACTIONS(5581), 1,
      anon_sym___attribute__,
    ACTIONS(5585), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5587), 1,
      anon_sym___declspec,
    ACTIONS(5591), 1,
      anon_sym_alignas,
    ACTIONS(8334), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9528), 1,
      anon_sym_LBRACE,
    ACTIONS(9881), 1,
      sym_identifier,
    STATE(2999), 1,
      sym_template_type,
    STATE(6151), 1,
      sym_field_declaration_list,
    STATE(6195), 1,
      sym__class_declaration,
    STATE(6197), 1,
      sym__class_declaration_item,
    STATE(6838), 1,
      sym_ms_declspec_modifier,
    STATE(7862), 1,
      sym__scope_resolution,
    STATE(8171), 1,
      sym_virtual_specifier,
    STATE(9025), 1,
      sym_base_class_clause,
    ACTIONS(2198), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5969), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6772), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(10317), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(6595), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [207486] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1486), 1,
      anon_sym_template,
    ACTIONS(2194), 1,
      anon_sym_COLON,
    ACTIONS(3148), 1,
      anon_sym_decltype,
    ACTIONS(3904), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5581), 1,
      anon_sym___attribute__,
    ACTIONS(5585), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5587), 1,
      anon_sym___declspec,
    ACTIONS(5591), 1,
      anon_sym_alignas,
    ACTIONS(5929), 1,
      anon_sym_LBRACE,
    ACTIONS(9885), 1,
      sym_identifier,
    STATE(2999), 1,
      sym_template_type,
    STATE(3062), 1,
      sym__class_declaration,
    STATE(3066), 1,
      sym__class_declaration_item,
    STATE(3108), 1,
      sym_field_declaration_list,
    STATE(6853), 1,
      sym_ms_declspec_modifier,
    STATE(7887), 1,
      sym__scope_resolution,
    STATE(8205), 1,
      sym_virtual_specifier,
    STATE(9297), 1,
      sym_base_class_clause,
    ACTIONS(2198), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(3022), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6839), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(10317), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(6592), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [207565] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1486), 1,
      anon_sym_template,
    ACTIONS(2194), 1,
      anon_sym_COLON,
    ACTIONS(3148), 1,
      anon_sym_decltype,
    ACTIONS(5581), 1,
      anon_sym___attribute__,
    ACTIONS(5585), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5587), 1,
      anon_sym___declspec,
    ACTIONS(5591), 1,
      anon_sym_alignas,
    ACTIONS(6421), 1,
      anon_sym_LBRACE,
    ACTIONS(9761), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9887), 1,
      sym_identifier,
    STATE(3244), 1,
      sym_template_type,
    STATE(3336), 1,
      sym_field_declaration_list,
    STATE(3429), 1,
      sym__class_declaration_item,
    STATE(3436), 1,
      sym__class_declaration,
    STATE(6808), 1,
      sym_ms_declspec_modifier,
    STATE(7878), 1,
      sym__scope_resolution,
    STATE(8435), 1,
      sym_virtual_specifier,
    STATE(9054), 1,
      sym_base_class_clause,
    ACTIONS(2198), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(3187), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6813), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(10317), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(6596), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [207644] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2230), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5900), 1,
      anon_sym_LT,
    STATE(3203), 1,
      sym_template_argument_list,
    STATE(6634), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5898), 3,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_LBRACE,
    ACTIONS(5896), 22,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
  [207689] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1486), 1,
      anon_sym_template,
    ACTIONS(2194), 1,
      anon_sym_COLON,
    ACTIONS(3148), 1,
      anon_sym_decltype,
    ACTIONS(5581), 1,
      anon_sym___attribute__,
    ACTIONS(5585), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5587), 1,
      anon_sym___declspec,
    ACTIONS(5591), 1,
      anon_sym_alignas,
    ACTIONS(8334), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9528), 1,
      anon_sym_LBRACE,
    ACTIONS(9881), 1,
      sym_identifier,
    STATE(2999), 1,
      sym_template_type,
    STATE(6151), 1,
      sym_field_declaration_list,
    STATE(6189), 1,
      sym__class_declaration,
    STATE(6197), 1,
      sym__class_declaration_item,
    STATE(6838), 1,
      sym_ms_declspec_modifier,
    STATE(7862), 1,
      sym__scope_resolution,
    STATE(8171), 1,
      sym_virtual_specifier,
    STATE(9025), 1,
      sym_base_class_clause,
    ACTIONS(2198), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5969), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6772), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(10317), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(6595), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [207768] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7976), 1,
      anon_sym___attribute__,
    ACTIONS(7989), 1,
      anon_sym_noexcept,
    ACTIONS(7991), 1,
      anon_sym_throw,
    ACTIONS(8178), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8243), 1,
      anon_sym_DASH_GT,
    ACTIONS(8245), 1,
      anon_sym_requires,
    ACTIONS(9576), 1,
      anon_sym_LBRACK,
    STATE(7431), 1,
      sym__function_attributes_end,
    STATE(7545), 1,
      sym_trailing_return_type,
    STATE(8031), 1,
      sym_gnu_asm_expression,
    ACTIONS(7985), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(8191), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6935), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(7085), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7234), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(7392), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(6702), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(9571), 4,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_GT2,
  [207837] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1486), 1,
      anon_sym_template,
    ACTIONS(2194), 1,
      anon_sym_COLON,
    ACTIONS(3148), 1,
      anon_sym_decltype,
    ACTIONS(3904), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5581), 1,
      anon_sym___attribute__,
    ACTIONS(5585), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5587), 1,
      anon_sym___declspec,
    ACTIONS(5591), 1,
      anon_sym_alignas,
    ACTIONS(5929), 1,
      anon_sym_LBRACE,
    ACTIONS(9885), 1,
      sym_identifier,
    STATE(2999), 1,
      sym_template_type,
    STATE(3066), 1,
      sym__class_declaration_item,
    STATE(3083), 1,
      sym__class_declaration,
    STATE(3108), 1,
      sym_field_declaration_list,
    STATE(6853), 1,
      sym_ms_declspec_modifier,
    STATE(7887), 1,
      sym__scope_resolution,
    STATE(8205), 1,
      sym_virtual_specifier,
    STATE(9297), 1,
      sym_base_class_clause,
    ACTIONS(2198), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(3099), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6839), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(10317), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(6592), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [207916] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1486), 1,
      anon_sym_template,
    ACTIONS(2588), 1,
      anon_sym_operator,
    ACTIONS(2875), 1,
      anon_sym_LPAREN2,
    ACTIONS(2877), 1,
      anon_sym_TILDE,
    ACTIONS(3148), 1,
      anon_sym_decltype,
    ACTIONS(8030), 1,
      anon_sym_LBRACK,
    ACTIONS(8052), 1,
      sym_identifier,
    ACTIONS(8054), 1,
      anon_sym_STAR,
    ACTIONS(8056), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8058), 1,
      anon_sym_AMP,
    ACTIONS(8060), 1,
      anon_sym_COLON_COLON,
    STATE(7024), 1,
      sym__scope_resolution,
    STATE(7613), 1,
      sym__declarator,
    STATE(9555), 1,
      sym_ms_based_modifier,
    STATE(10317), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(7680), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [207983] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1486), 1,
      anon_sym_template,
    ACTIONS(2194), 1,
      anon_sym_COLON,
    ACTIONS(3148), 1,
      anon_sym_decltype,
    ACTIONS(5581), 1,
      anon_sym___attribute__,
    ACTIONS(5585), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5587), 1,
      anon_sym___declspec,
    ACTIONS(5591), 1,
      anon_sym_alignas,
    ACTIONS(7247), 1,
      anon_sym_LBRACE,
    ACTIONS(9793), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9889), 1,
      sym_identifier,
    STATE(3817), 1,
      sym_template_type,
    STATE(3830), 1,
      sym_field_declaration_list,
    STATE(3970), 1,
      sym__class_declaration,
    STATE(4030), 1,
      sym__class_declaration_item,
    STATE(6817), 1,
      sym_ms_declspec_modifier,
    STATE(7839), 1,
      sym__scope_resolution,
    STATE(8339), 1,
      sym_virtual_specifier,
    STATE(9374), 1,
      sym_base_class_clause,
    ACTIONS(2198), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(3698), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6816), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(10317), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(6584), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [208062] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1486), 1,
      anon_sym_template,
    ACTIONS(2194), 1,
      anon_sym_COLON,
    ACTIONS(3148), 1,
      anon_sym_decltype,
    ACTIONS(3904), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5581), 1,
      anon_sym___attribute__,
    ACTIONS(5585), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5587), 1,
      anon_sym___declspec,
    ACTIONS(5591), 1,
      anon_sym_alignas,
    ACTIONS(5929), 1,
      anon_sym_LBRACE,
    ACTIONS(9885), 1,
      sym_identifier,
    STATE(2999), 1,
      sym_template_type,
    STATE(3066), 1,
      sym__class_declaration_item,
    STATE(3069), 1,
      sym__class_declaration,
    STATE(3108), 1,
      sym_field_declaration_list,
    STATE(6853), 1,
      sym_ms_declspec_modifier,
    STATE(7887), 1,
      sym__scope_resolution,
    STATE(8205), 1,
      sym_virtual_specifier,
    STATE(9297), 1,
      sym_base_class_clause,
    ACTIONS(2198), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(3101), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6839), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(10317), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(6592), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [208141] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1486), 1,
      anon_sym_template,
    ACTIONS(2194), 1,
      anon_sym_COLON,
    ACTIONS(3148), 1,
      anon_sym_decltype,
    ACTIONS(3904), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5581), 1,
      anon_sym___attribute__,
    ACTIONS(5585), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5587), 1,
      anon_sym___declspec,
    ACTIONS(5591), 1,
      anon_sym_alignas,
    ACTIONS(5929), 1,
      anon_sym_LBRACE,
    ACTIONS(9885), 1,
      sym_identifier,
    STATE(2999), 1,
      sym_template_type,
    STATE(3066), 1,
      sym__class_declaration_item,
    STATE(3069), 1,
      sym__class_declaration,
    STATE(3108), 1,
      sym_field_declaration_list,
    STATE(6853), 1,
      sym_ms_declspec_modifier,
    STATE(7887), 1,
      sym__scope_resolution,
    STATE(8205), 1,
      sym_virtual_specifier,
    STATE(9297), 1,
      sym_base_class_clause,
    ACTIONS(2198), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(3099), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6839), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(10317), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(6592), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [208220] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1486), 1,
      anon_sym_template,
    ACTIONS(2588), 1,
      anon_sym_operator,
    ACTIONS(2875), 1,
      anon_sym_LPAREN2,
    ACTIONS(2877), 1,
      anon_sym_TILDE,
    ACTIONS(3148), 1,
      anon_sym_decltype,
    ACTIONS(8030), 1,
      anon_sym_LBRACK,
    ACTIONS(8052), 1,
      sym_identifier,
    ACTIONS(8054), 1,
      anon_sym_STAR,
    ACTIONS(8056), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8058), 1,
      anon_sym_AMP,
    ACTIONS(8060), 1,
      anon_sym_COLON_COLON,
    STATE(7024), 1,
      sym__scope_resolution,
    STATE(7706), 1,
      sym__declarator,
    STATE(9555), 1,
      sym_ms_based_modifier,
    STATE(10317), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(7680), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [208287] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1486), 1,
      anon_sym_template,
    ACTIONS(2194), 1,
      anon_sym_COLON,
    ACTIONS(3148), 1,
      anon_sym_decltype,
    ACTIONS(5581), 1,
      anon_sym___attribute__,
    ACTIONS(5585), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5587), 1,
      anon_sym___declspec,
    ACTIONS(5591), 1,
      anon_sym_alignas,
    ACTIONS(6421), 1,
      anon_sym_LBRACE,
    ACTIONS(9761), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9887), 1,
      sym_identifier,
    STATE(3244), 1,
      sym_template_type,
    STATE(3336), 1,
      sym_field_declaration_list,
    STATE(3429), 1,
      sym__class_declaration_item,
    STATE(3448), 1,
      sym__class_declaration,
    STATE(6808), 1,
      sym_ms_declspec_modifier,
    STATE(7878), 1,
      sym__scope_resolution,
    STATE(8435), 1,
      sym_virtual_specifier,
    STATE(9054), 1,
      sym_base_class_clause,
    ACTIONS(2198), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(3187), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6813), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(10317), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(6596), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [208366] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1486), 1,
      anon_sym_template,
    ACTIONS(2588), 1,
      anon_sym_operator,
    ACTIONS(2875), 1,
      anon_sym_LPAREN2,
    ACTIONS(2877), 1,
      anon_sym_TILDE,
    ACTIONS(3148), 1,
      anon_sym_decltype,
    ACTIONS(8030), 1,
      anon_sym_LBRACK,
    ACTIONS(8052), 1,
      sym_identifier,
    ACTIONS(8054), 1,
      anon_sym_STAR,
    ACTIONS(8056), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8058), 1,
      anon_sym_AMP,
    ACTIONS(8060), 1,
      anon_sym_COLON_COLON,
    STATE(7024), 1,
      sym__scope_resolution,
    STATE(7702), 1,
      sym__declarator,
    STATE(9555), 1,
      sym_ms_based_modifier,
    STATE(10317), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(7680), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [208433] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1486), 1,
      anon_sym_template,
    ACTIONS(2588), 1,
      anon_sym_operator,
    ACTIONS(2875), 1,
      anon_sym_LPAREN2,
    ACTIONS(2877), 1,
      anon_sym_TILDE,
    ACTIONS(3148), 1,
      anon_sym_decltype,
    ACTIONS(8030), 1,
      anon_sym_LBRACK,
    ACTIONS(8052), 1,
      sym_identifier,
    ACTIONS(8054), 1,
      anon_sym_STAR,
    ACTIONS(8056), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8058), 1,
      anon_sym_AMP,
    ACTIONS(8060), 1,
      anon_sym_COLON_COLON,
    STATE(7024), 1,
      sym__scope_resolution,
    STATE(7725), 1,
      sym__declarator,
    STATE(9555), 1,
      sym_ms_based_modifier,
    STATE(10317), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(7680), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [208500] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1486), 1,
      anon_sym_template,
    ACTIONS(2588), 1,
      anon_sym_operator,
    ACTIONS(2875), 1,
      anon_sym_LPAREN2,
    ACTIONS(2877), 1,
      anon_sym_TILDE,
    ACTIONS(3148), 1,
      anon_sym_decltype,
    ACTIONS(8030), 1,
      anon_sym_LBRACK,
    ACTIONS(8052), 1,
      sym_identifier,
    ACTIONS(8054), 1,
      anon_sym_STAR,
    ACTIONS(8056), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8058), 1,
      anon_sym_AMP,
    ACTIONS(8060), 1,
      anon_sym_COLON_COLON,
    STATE(7024), 1,
      sym__scope_resolution,
    STATE(7690), 1,
      sym__declarator,
    STATE(9555), 1,
      sym_ms_based_modifier,
    STATE(10317), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(7680), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [208567] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1486), 1,
      anon_sym_template,
    ACTIONS(2194), 1,
      anon_sym_COLON,
    ACTIONS(3148), 1,
      anon_sym_decltype,
    ACTIONS(5581), 1,
      anon_sym___attribute__,
    ACTIONS(5585), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5587), 1,
      anon_sym___declspec,
    ACTIONS(5591), 1,
      anon_sym_alignas,
    ACTIONS(6421), 1,
      anon_sym_LBRACE,
    ACTIONS(9761), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9887), 1,
      sym_identifier,
    STATE(3244), 1,
      sym_template_type,
    STATE(3336), 1,
      sym_field_declaration_list,
    STATE(3428), 1,
      sym__class_declaration,
    STATE(3429), 1,
      sym__class_declaration_item,
    STATE(6808), 1,
      sym_ms_declspec_modifier,
    STATE(7878), 1,
      sym__scope_resolution,
    STATE(8435), 1,
      sym_virtual_specifier,
    STATE(9054), 1,
      sym_base_class_clause,
    ACTIONS(2198), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(3187), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6813), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(10317), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(6596), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [208646] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1486), 1,
      anon_sym_template,
    ACTIONS(2194), 1,
      anon_sym_COLON,
    ACTIONS(3148), 1,
      anon_sym_decltype,
    ACTIONS(3904), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5581), 1,
      anon_sym___attribute__,
    ACTIONS(5585), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5587), 1,
      anon_sym___declspec,
    ACTIONS(5591), 1,
      anon_sym_alignas,
    ACTIONS(5929), 1,
      anon_sym_LBRACE,
    ACTIONS(9885), 1,
      sym_identifier,
    STATE(2999), 1,
      sym_template_type,
    STATE(3066), 1,
      sym__class_declaration_item,
    STATE(3083), 1,
      sym__class_declaration,
    STATE(3108), 1,
      sym_field_declaration_list,
    STATE(6853), 1,
      sym_ms_declspec_modifier,
    STATE(7887), 1,
      sym__scope_resolution,
    STATE(8205), 1,
      sym_virtual_specifier,
    STATE(9297), 1,
      sym_base_class_clause,
    ACTIONS(2198), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(3101), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6839), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(10317), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(6592), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [208725] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1486), 1,
      anon_sym_template,
    ACTIONS(2194), 1,
      anon_sym_COLON,
    ACTIONS(3148), 1,
      anon_sym_decltype,
    ACTIONS(3904), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5581), 1,
      anon_sym___attribute__,
    ACTIONS(5585), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5587), 1,
      anon_sym___declspec,
    ACTIONS(5591), 1,
      anon_sym_alignas,
    ACTIONS(5929), 1,
      anon_sym_LBRACE,
    ACTIONS(9885), 1,
      sym_identifier,
    STATE(2999), 1,
      sym_template_type,
    STATE(3062), 1,
      sym__class_declaration,
    STATE(3066), 1,
      sym__class_declaration_item,
    STATE(3108), 1,
      sym_field_declaration_list,
    STATE(6853), 1,
      sym_ms_declspec_modifier,
    STATE(7887), 1,
      sym__scope_resolution,
    STATE(8205), 1,
      sym_virtual_specifier,
    STATE(9297), 1,
      sym_base_class_clause,
    ACTIONS(2198), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(3100), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6839), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(10317), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(6592), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [208804] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1486), 1,
      anon_sym_template,
    ACTIONS(2588), 1,
      anon_sym_operator,
    ACTIONS(2875), 1,
      anon_sym_LPAREN2,
    ACTIONS(2877), 1,
      anon_sym_TILDE,
    ACTIONS(3148), 1,
      anon_sym_decltype,
    ACTIONS(8030), 1,
      anon_sym_LBRACK,
    ACTIONS(8052), 1,
      sym_identifier,
    ACTIONS(8054), 1,
      anon_sym_STAR,
    ACTIONS(8056), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8058), 1,
      anon_sym_AMP,
    ACTIONS(8060), 1,
      anon_sym_COLON_COLON,
    STATE(7024), 1,
      sym__scope_resolution,
    STATE(7743), 1,
      sym__declarator,
    STATE(9555), 1,
      sym_ms_based_modifier,
    STATE(10317), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(7680), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [208871] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5585), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7989), 1,
      anon_sym_noexcept,
    ACTIONS(7991), 1,
      anon_sym_throw,
    ACTIONS(8209), 1,
      anon_sym___attribute__,
    ACTIONS(8274), 1,
      anon_sym_DASH_GT,
    ACTIONS(9314), 1,
      anon_sym_LBRACK,
    ACTIONS(9720), 1,
      anon_sym_requires,
    STATE(7421), 1,
      sym__function_attributes_end,
    STATE(7488), 1,
      sym_trailing_return_type,
    STATE(8050), 1,
      sym_gnu_asm_expression,
    ACTIONS(7985), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9601), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6922), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(7102), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7234), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(7404), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(6689), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(9309), 4,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_GT2,
  [208940] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1486), 1,
      anon_sym_template,
    ACTIONS(2588), 1,
      anon_sym_operator,
    ACTIONS(2875), 1,
      anon_sym_LPAREN2,
    ACTIONS(2877), 1,
      anon_sym_TILDE,
    ACTIONS(3148), 1,
      anon_sym_decltype,
    ACTIONS(8030), 1,
      anon_sym_LBRACK,
    ACTIONS(8052), 1,
      sym_identifier,
    ACTIONS(8054), 1,
      anon_sym_STAR,
    ACTIONS(8056), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8058), 1,
      anon_sym_AMP,
    ACTIONS(8060), 1,
      anon_sym_COLON_COLON,
    STATE(7024), 1,
      sym__scope_resolution,
    STATE(7683), 1,
      sym__declarator,
    STATE(9555), 1,
      sym_ms_based_modifier,
    STATE(10317), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(7680), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [209007] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1486), 1,
      anon_sym_template,
    ACTIONS(2194), 1,
      anon_sym_COLON,
    ACTIONS(3148), 1,
      anon_sym_decltype,
    ACTIONS(3904), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5581), 1,
      anon_sym___attribute__,
    ACTIONS(5585), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5587), 1,
      anon_sym___declspec,
    ACTIONS(5591), 1,
      anon_sym_alignas,
    ACTIONS(5929), 1,
      anon_sym_LBRACE,
    ACTIONS(9885), 1,
      sym_identifier,
    STATE(2999), 1,
      sym_template_type,
    STATE(3062), 1,
      sym__class_declaration,
    STATE(3066), 1,
      sym__class_declaration_item,
    STATE(3108), 1,
      sym_field_declaration_list,
    STATE(6853), 1,
      sym_ms_declspec_modifier,
    STATE(7887), 1,
      sym__scope_resolution,
    STATE(8205), 1,
      sym_virtual_specifier,
    STATE(9297), 1,
      sym_base_class_clause,
    ACTIONS(2198), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(3107), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6839), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(10317), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(6592), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [209086] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1486), 1,
      anon_sym_template,
    ACTIONS(2194), 1,
      anon_sym_COLON,
    ACTIONS(3148), 1,
      anon_sym_decltype,
    ACTIONS(3904), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5581), 1,
      anon_sym___attribute__,
    ACTIONS(5585), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5587), 1,
      anon_sym___declspec,
    ACTIONS(5591), 1,
      anon_sym_alignas,
    ACTIONS(5929), 1,
      anon_sym_LBRACE,
    ACTIONS(9885), 1,
      sym_identifier,
    STATE(2999), 1,
      sym_template_type,
    STATE(3066), 1,
      sym__class_declaration_item,
    STATE(3069), 1,
      sym__class_declaration,
    STATE(3108), 1,
      sym_field_declaration_list,
    STATE(6853), 1,
      sym_ms_declspec_modifier,
    STATE(7887), 1,
      sym__scope_resolution,
    STATE(8205), 1,
      sym_virtual_specifier,
    STATE(9297), 1,
      sym_base_class_clause,
    ACTIONS(2198), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(3100), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6839), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(10317), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(6592), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [209165] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1486), 1,
      anon_sym_template,
    ACTIONS(2194), 1,
      anon_sym_COLON,
    ACTIONS(3148), 1,
      anon_sym_decltype,
    ACTIONS(3904), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5581), 1,
      anon_sym___attribute__,
    ACTIONS(5585), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5587), 1,
      anon_sym___declspec,
    ACTIONS(5591), 1,
      anon_sym_alignas,
    ACTIONS(5929), 1,
      anon_sym_LBRACE,
    ACTIONS(9885), 1,
      sym_identifier,
    STATE(2999), 1,
      sym_template_type,
    STATE(3066), 1,
      sym__class_declaration_item,
    STATE(3069), 1,
      sym__class_declaration,
    STATE(3108), 1,
      sym_field_declaration_list,
    STATE(6853), 1,
      sym_ms_declspec_modifier,
    STATE(7887), 1,
      sym__scope_resolution,
    STATE(8205), 1,
      sym_virtual_specifier,
    STATE(9297), 1,
      sym_base_class_clause,
    ACTIONS(2198), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(3107), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6839), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(10317), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(6592), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [209244] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7976), 1,
      anon_sym___attribute__,
    ACTIONS(7989), 1,
      anon_sym_noexcept,
    ACTIONS(7991), 1,
      anon_sym_throw,
    ACTIONS(8178), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8243), 1,
      anon_sym_DASH_GT,
    ACTIONS(8245), 1,
      anon_sym_requires,
    ACTIONS(9314), 1,
      anon_sym_LBRACK,
    STATE(7432), 1,
      sym__function_attributes_end,
    STATE(7544), 1,
      sym_trailing_return_type,
    STATE(8031), 1,
      sym_gnu_asm_expression,
    ACTIONS(7985), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(8191), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6935), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(7085), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7234), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(7404), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(6705), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(9309), 4,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_GT2,
  [209313] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1486), 1,
      anon_sym_template,
    ACTIONS(2194), 1,
      anon_sym_COLON,
    ACTIONS(3148), 1,
      anon_sym_decltype,
    ACTIONS(5581), 1,
      anon_sym___attribute__,
    ACTIONS(5585), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5587), 1,
      anon_sym___declspec,
    ACTIONS(5591), 1,
      anon_sym_alignas,
    ACTIONS(6993), 1,
      anon_sym_LBRACE,
    ACTIONS(9807), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9891), 1,
      sym_identifier,
    STATE(3762), 1,
      sym_template_type,
    STATE(4017), 1,
      sym_field_declaration_list,
    STATE(4205), 1,
      sym__class_declaration_item,
    STATE(4213), 1,
      sym__class_declaration,
    STATE(6869), 1,
      sym_ms_declspec_modifier,
    STATE(7882), 1,
      sym__scope_resolution,
    STATE(8217), 1,
      sym_virtual_specifier,
    STATE(9069), 1,
      sym_base_class_clause,
    ACTIONS(2198), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(3566), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6876), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(10317), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(6606), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [209392] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1486), 1,
      anon_sym_template,
    ACTIONS(2194), 1,
      anon_sym_COLON,
    ACTIONS(3148), 1,
      anon_sym_decltype,
    ACTIONS(3904), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5581), 1,
      anon_sym___attribute__,
    ACTIONS(5585), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5587), 1,
      anon_sym___declspec,
    ACTIONS(5591), 1,
      anon_sym_alignas,
    ACTIONS(5929), 1,
      anon_sym_LBRACE,
    ACTIONS(9885), 1,
      sym_identifier,
    STATE(2999), 1,
      sym_template_type,
    STATE(3066), 1,
      sym__class_declaration_item,
    STATE(3083), 1,
      sym__class_declaration,
    STATE(3108), 1,
      sym_field_declaration_list,
    STATE(6853), 1,
      sym_ms_declspec_modifier,
    STATE(7887), 1,
      sym__scope_resolution,
    STATE(8205), 1,
      sym_virtual_specifier,
    STATE(9297), 1,
      sym_base_class_clause,
    ACTIONS(2198), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(3107), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6839), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(10317), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(6592), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [209471] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1486), 1,
      anon_sym_template,
    ACTIONS(2194), 1,
      anon_sym_COLON,
    ACTIONS(3148), 1,
      anon_sym_decltype,
    ACTIONS(5581), 1,
      anon_sym___attribute__,
    ACTIONS(5585), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5587), 1,
      anon_sym___declspec,
    ACTIONS(5591), 1,
      anon_sym_alignas,
    ACTIONS(6993), 1,
      anon_sym_LBRACE,
    ACTIONS(9807), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9891), 1,
      sym_identifier,
    STATE(3762), 1,
      sym_template_type,
    STATE(4017), 1,
      sym_field_declaration_list,
    STATE(4198), 1,
      sym__class_declaration,
    STATE(4205), 1,
      sym__class_declaration_item,
    STATE(6869), 1,
      sym_ms_declspec_modifier,
    STATE(7882), 1,
      sym__scope_resolution,
    STATE(8217), 1,
      sym_virtual_specifier,
    STATE(9069), 1,
      sym_base_class_clause,
    ACTIONS(2198), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(3566), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6876), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(10317), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(6606), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [209550] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1486), 1,
      anon_sym_template,
    ACTIONS(2588), 1,
      anon_sym_operator,
    ACTIONS(2875), 1,
      anon_sym_LPAREN2,
    ACTIONS(2877), 1,
      anon_sym_TILDE,
    ACTIONS(3148), 1,
      anon_sym_decltype,
    ACTIONS(8030), 1,
      anon_sym_LBRACK,
    ACTIONS(8052), 1,
      sym_identifier,
    ACTIONS(8054), 1,
      anon_sym_STAR,
    ACTIONS(8056), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8058), 1,
      anon_sym_AMP,
    ACTIONS(8060), 1,
      anon_sym_COLON_COLON,
    STATE(7024), 1,
      sym__scope_resolution,
    STATE(7670), 1,
      sym__declarator,
    STATE(9555), 1,
      sym_ms_based_modifier,
    STATE(10317), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(7680), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [209617] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1486), 1,
      anon_sym_template,
    ACTIONS(2194), 1,
      anon_sym_COLON,
    ACTIONS(3148), 1,
      anon_sym_decltype,
    ACTIONS(3904), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5581), 1,
      anon_sym___attribute__,
    ACTIONS(5585), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5587), 1,
      anon_sym___declspec,
    ACTIONS(5591), 1,
      anon_sym_alignas,
    ACTIONS(5929), 1,
      anon_sym_LBRACE,
    ACTIONS(9885), 1,
      sym_identifier,
    STATE(2999), 1,
      sym_template_type,
    STATE(3066), 1,
      sym__class_declaration_item,
    STATE(3069), 1,
      sym__class_declaration,
    STATE(3108), 1,
      sym_field_declaration_list,
    STATE(6853), 1,
      sym_ms_declspec_modifier,
    STATE(7887), 1,
      sym__scope_resolution,
    STATE(8205), 1,
      sym_virtual_specifier,
    STATE(9297), 1,
      sym_base_class_clause,
    ACTIONS(2198), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(3022), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6839), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(10317), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(6592), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [209696] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1486), 1,
      anon_sym_template,
    ACTIONS(2194), 1,
      anon_sym_COLON,
    ACTIONS(3148), 1,
      anon_sym_decltype,
    ACTIONS(3904), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5581), 1,
      anon_sym___attribute__,
    ACTIONS(5585), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5587), 1,
      anon_sym___declspec,
    ACTIONS(5591), 1,
      anon_sym_alignas,
    ACTIONS(5929), 1,
      anon_sym_LBRACE,
    ACTIONS(9885), 1,
      sym_identifier,
    STATE(2999), 1,
      sym_template_type,
    STATE(3062), 1,
      sym__class_declaration,
    STATE(3066), 1,
      sym__class_declaration_item,
    STATE(3108), 1,
      sym_field_declaration_list,
    STATE(6853), 1,
      sym_ms_declspec_modifier,
    STATE(7887), 1,
      sym__scope_resolution,
    STATE(8205), 1,
      sym_virtual_specifier,
    STATE(9297), 1,
      sym_base_class_clause,
    ACTIONS(2198), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(3101), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6839), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(10317), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(6592), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [209775] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1486), 1,
      anon_sym_template,
    ACTIONS(2588), 1,
      anon_sym_operator,
    ACTIONS(2875), 1,
      anon_sym_LPAREN2,
    ACTIONS(2877), 1,
      anon_sym_TILDE,
    ACTIONS(3148), 1,
      anon_sym_decltype,
    ACTIONS(8030), 1,
      anon_sym_LBRACK,
    ACTIONS(8052), 1,
      sym_identifier,
    ACTIONS(8054), 1,
      anon_sym_STAR,
    ACTIONS(8056), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8058), 1,
      anon_sym_AMP,
    ACTIONS(8060), 1,
      anon_sym_COLON_COLON,
    STATE(7024), 1,
      sym__scope_resolution,
    STATE(7675), 1,
      sym__declarator,
    STATE(9555), 1,
      sym_ms_based_modifier,
    STATE(10317), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(7680), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [209842] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1486), 1,
      anon_sym_template,
    ACTIONS(2194), 1,
      anon_sym_COLON,
    ACTIONS(3148), 1,
      anon_sym_decltype,
    ACTIONS(5581), 1,
      anon_sym___attribute__,
    ACTIONS(5585), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5587), 1,
      anon_sym___declspec,
    ACTIONS(5591), 1,
      anon_sym_alignas,
    ACTIONS(7247), 1,
      anon_sym_LBRACE,
    ACTIONS(9793), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9889), 1,
      sym_identifier,
    STATE(3817), 1,
      sym_template_type,
    STATE(3830), 1,
      sym_field_declaration_list,
    STATE(4030), 1,
      sym__class_declaration_item,
    STATE(4047), 1,
      sym__class_declaration,
    STATE(6817), 1,
      sym_ms_declspec_modifier,
    STATE(7839), 1,
      sym__scope_resolution,
    STATE(8339), 1,
      sym_virtual_specifier,
    STATE(9374), 1,
      sym_base_class_clause,
    ACTIONS(2198), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(3698), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6816), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(10317), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(6584), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [209921] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1486), 1,
      anon_sym_template,
    ACTIONS(2588), 1,
      anon_sym_operator,
    ACTIONS(2875), 1,
      anon_sym_LPAREN2,
    ACTIONS(2877), 1,
      anon_sym_TILDE,
    ACTIONS(3148), 1,
      anon_sym_decltype,
    ACTIONS(8030), 1,
      anon_sym_LBRACK,
    ACTIONS(8052), 1,
      sym_identifier,
    ACTIONS(8054), 1,
      anon_sym_STAR,
    ACTIONS(8056), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8058), 1,
      anon_sym_AMP,
    ACTIONS(8060), 1,
      anon_sym_COLON_COLON,
    STATE(7024), 1,
      sym__scope_resolution,
    STATE(7649), 1,
      sym__declarator,
    STATE(9555), 1,
      sym_ms_based_modifier,
    STATE(10317), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(7680), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [209988] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1486), 1,
      anon_sym_template,
    ACTIONS(2194), 1,
      anon_sym_COLON,
    ACTIONS(3148), 1,
      anon_sym_decltype,
    ACTIONS(5581), 1,
      anon_sym___attribute__,
    ACTIONS(5585), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5587), 1,
      anon_sym___declspec,
    ACTIONS(5591), 1,
      anon_sym_alignas,
    ACTIONS(6993), 1,
      anon_sym_LBRACE,
    ACTIONS(9807), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9891), 1,
      sym_identifier,
    STATE(3762), 1,
      sym_template_type,
    STATE(4017), 1,
      sym_field_declaration_list,
    STATE(4191), 1,
      sym__class_declaration,
    STATE(4205), 1,
      sym__class_declaration_item,
    STATE(6869), 1,
      sym_ms_declspec_modifier,
    STATE(7882), 1,
      sym__scope_resolution,
    STATE(8217), 1,
      sym_virtual_specifier,
    STATE(9069), 1,
      sym_base_class_clause,
    ACTIONS(2198), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(3566), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6876), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(10317), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(6606), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [210067] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1486), 1,
      anon_sym_template,
    ACTIONS(2588), 1,
      anon_sym_operator,
    ACTIONS(2875), 1,
      anon_sym_LPAREN2,
    ACTIONS(2877), 1,
      anon_sym_TILDE,
    ACTIONS(3148), 1,
      anon_sym_decltype,
    ACTIONS(8030), 1,
      anon_sym_LBRACK,
    ACTIONS(8052), 1,
      sym_identifier,
    ACTIONS(8054), 1,
      anon_sym_STAR,
    ACTIONS(8056), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8058), 1,
      anon_sym_AMP,
    ACTIONS(8060), 1,
      anon_sym_COLON_COLON,
    STATE(7024), 1,
      sym__scope_resolution,
    STATE(7623), 1,
      sym__declarator,
    STATE(9555), 1,
      sym_ms_based_modifier,
    STATE(10317), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(7680), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [210134] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1486), 1,
      anon_sym_template,
    ACTIONS(2588), 1,
      anon_sym_operator,
    ACTIONS(2875), 1,
      anon_sym_LPAREN2,
    ACTIONS(2877), 1,
      anon_sym_TILDE,
    ACTIONS(3148), 1,
      anon_sym_decltype,
    ACTIONS(8030), 1,
      anon_sym_LBRACK,
    ACTIONS(8052), 1,
      sym_identifier,
    ACTIONS(8054), 1,
      anon_sym_STAR,
    ACTIONS(8056), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8058), 1,
      anon_sym_AMP,
    ACTIONS(8060), 1,
      anon_sym_COLON_COLON,
    STATE(7024), 1,
      sym__scope_resolution,
    STATE(7648), 1,
      sym__declarator,
    STATE(9555), 1,
      sym_ms_based_modifier,
    STATE(10317), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(7680), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [210201] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1486), 1,
      anon_sym_template,
    ACTIONS(2194), 1,
      anon_sym_COLON,
    ACTIONS(3148), 1,
      anon_sym_decltype,
    ACTIONS(5581), 1,
      anon_sym___attribute__,
    ACTIONS(5585), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5587), 1,
      anon_sym___declspec,
    ACTIONS(5591), 1,
      anon_sym_alignas,
    ACTIONS(5929), 1,
      anon_sym_LBRACE,
    ACTIONS(9881), 1,
      sym_identifier,
    ACTIONS(9883), 1,
      anon_sym_COLON_COLON,
    STATE(2999), 1,
      sym_template_type,
    STATE(3062), 1,
      sym__class_declaration,
    STATE(3066), 1,
      sym__class_declaration_item,
    STATE(6610), 1,
      sym_field_declaration_list,
    STATE(6823), 1,
      sym_ms_declspec_modifier,
    STATE(7848), 1,
      sym__scope_resolution,
    STATE(8250), 1,
      sym_virtual_specifier,
    STATE(9290), 1,
      sym_base_class_clause,
    ACTIONS(2198), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6153), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6824), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(10317), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(6601), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [210280] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1486), 1,
      anon_sym_template,
    ACTIONS(2588), 1,
      anon_sym_operator,
    ACTIONS(2875), 1,
      anon_sym_LPAREN2,
    ACTIONS(2877), 1,
      anon_sym_TILDE,
    ACTIONS(3148), 1,
      anon_sym_decltype,
    ACTIONS(8030), 1,
      anon_sym_LBRACK,
    ACTIONS(8052), 1,
      sym_identifier,
    ACTIONS(8054), 1,
      anon_sym_STAR,
    ACTIONS(8056), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8058), 1,
      anon_sym_AMP,
    ACTIONS(8060), 1,
      anon_sym_COLON_COLON,
    STATE(7024), 1,
      sym__scope_resolution,
    STATE(7641), 1,
      sym__declarator,
    STATE(9555), 1,
      sym_ms_based_modifier,
    STATE(10317), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(7680), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [210347] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1486), 1,
      anon_sym_template,
    ACTIONS(2194), 1,
      anon_sym_COLON,
    ACTIONS(3148), 1,
      anon_sym_decltype,
    ACTIONS(5581), 1,
      anon_sym___attribute__,
    ACTIONS(5585), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5587), 1,
      anon_sym___declspec,
    ACTIONS(5591), 1,
      anon_sym_alignas,
    ACTIONS(5929), 1,
      anon_sym_LBRACE,
    ACTIONS(9881), 1,
      sym_identifier,
    ACTIONS(9883), 1,
      anon_sym_COLON_COLON,
    STATE(2999), 1,
      sym_template_type,
    STATE(3066), 1,
      sym__class_declaration_item,
    STATE(3069), 1,
      sym__class_declaration,
    STATE(6610), 1,
      sym_field_declaration_list,
    STATE(6823), 1,
      sym_ms_declspec_modifier,
    STATE(7848), 1,
      sym__scope_resolution,
    STATE(8250), 1,
      sym_virtual_specifier,
    STATE(9290), 1,
      sym_base_class_clause,
    ACTIONS(2198), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6153), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6824), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(10317), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(6601), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [210426] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1486), 1,
      anon_sym_template,
    ACTIONS(2194), 1,
      anon_sym_COLON,
    ACTIONS(3148), 1,
      anon_sym_decltype,
    ACTIONS(5581), 1,
      anon_sym___attribute__,
    ACTIONS(5585), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5587), 1,
      anon_sym___declspec,
    ACTIONS(5591), 1,
      anon_sym_alignas,
    ACTIONS(5929), 1,
      anon_sym_LBRACE,
    ACTIONS(8402), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9885), 1,
      sym_identifier,
    STATE(2999), 1,
      sym_template_type,
    STATE(3066), 1,
      sym__class_declaration_item,
    STATE(3083), 1,
      sym__class_declaration,
    STATE(6610), 1,
      sym_field_declaration_list,
    STATE(6801), 1,
      sym_ms_declspec_modifier,
    STATE(7841), 1,
      sym__scope_resolution,
    STATE(8250), 1,
      sym_virtual_specifier,
    STATE(9290), 1,
      sym_base_class_clause,
    ACTIONS(2198), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6153), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6802), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(10317), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(6612), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [210505] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1486), 1,
      anon_sym_template,
    ACTIONS(2588), 1,
      anon_sym_operator,
    ACTIONS(2875), 1,
      anon_sym_LPAREN2,
    ACTIONS(2877), 1,
      anon_sym_TILDE,
    ACTIONS(3148), 1,
      anon_sym_decltype,
    ACTIONS(8030), 1,
      anon_sym_LBRACK,
    ACTIONS(8052), 1,
      sym_identifier,
    ACTIONS(8054), 1,
      anon_sym_STAR,
    ACTIONS(8056), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8058), 1,
      anon_sym_AMP,
    ACTIONS(8060), 1,
      anon_sym_COLON_COLON,
    STATE(7024), 1,
      sym__scope_resolution,
    STATE(7629), 1,
      sym__declarator,
    STATE(9555), 1,
      sym_ms_based_modifier,
    STATE(10317), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(7680), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [210572] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1486), 1,
      anon_sym_template,
    ACTIONS(2194), 1,
      anon_sym_COLON,
    ACTIONS(3148), 1,
      anon_sym_decltype,
    ACTIONS(3904), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5581), 1,
      anon_sym___attribute__,
    ACTIONS(5585), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5587), 1,
      anon_sym___declspec,
    ACTIONS(5591), 1,
      anon_sym_alignas,
    ACTIONS(5929), 1,
      anon_sym_LBRACE,
    ACTIONS(9885), 1,
      sym_identifier,
    STATE(2999), 1,
      sym_template_type,
    STATE(3066), 1,
      sym__class_declaration_item,
    STATE(3083), 1,
      sym__class_declaration,
    STATE(3108), 1,
      sym_field_declaration_list,
    STATE(6853), 1,
      sym_ms_declspec_modifier,
    STATE(7887), 1,
      sym__scope_resolution,
    STATE(8205), 1,
      sym_virtual_specifier,
    STATE(9297), 1,
      sym_base_class_clause,
    ACTIONS(2198), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(3022), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6839), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(10317), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(6592), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [210651] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_AMP_AMP,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1486), 1,
      anon_sym_template,
    ACTIONS(2588), 1,
      anon_sym_operator,
    ACTIONS(2875), 1,
      anon_sym_LPAREN2,
    ACTIONS(2877), 1,
      anon_sym_TILDE,
    ACTIONS(2879), 1,
      anon_sym_STAR,
    ACTIONS(2881), 1,
      anon_sym_AMP,
    ACTIONS(3148), 1,
      anon_sym_decltype,
    ACTIONS(5573), 1,
      sym_identifier,
    ACTIONS(7243), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8030), 1,
      anon_sym_LBRACK,
    STATE(7003), 1,
      sym__scope_resolution,
    STATE(7916), 1,
      sym__declarator,
    STATE(10332), 1,
      sym_ms_based_modifier,
    STATE(10317), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(7680), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [210718] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1486), 1,
      anon_sym_template,
    ACTIONS(2194), 1,
      anon_sym_COLON,
    ACTIONS(3148), 1,
      anon_sym_decltype,
    ACTIONS(5581), 1,
      anon_sym___attribute__,
    ACTIONS(5585), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5587), 1,
      anon_sym___declspec,
    ACTIONS(5591), 1,
      anon_sym_alignas,
    ACTIONS(5929), 1,
      anon_sym_LBRACE,
    ACTIONS(8402), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9885), 1,
      sym_identifier,
    STATE(2999), 1,
      sym_template_type,
    STATE(3066), 1,
      sym__class_declaration_item,
    STATE(3069), 1,
      sym__class_declaration,
    STATE(6610), 1,
      sym_field_declaration_list,
    STATE(6801), 1,
      sym_ms_declspec_modifier,
    STATE(7841), 1,
      sym__scope_resolution,
    STATE(8250), 1,
      sym_virtual_specifier,
    STATE(9290), 1,
      sym_base_class_clause,
    ACTIONS(2198), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6153), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6802), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(10317), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(6612), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [210797] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1486), 1,
      anon_sym_template,
    ACTIONS(2588), 1,
      anon_sym_operator,
    ACTIONS(2875), 1,
      anon_sym_LPAREN2,
    ACTIONS(2877), 1,
      anon_sym_TILDE,
    ACTIONS(3148), 1,
      anon_sym_decltype,
    ACTIONS(8030), 1,
      anon_sym_LBRACK,
    ACTIONS(8052), 1,
      sym_identifier,
    ACTIONS(8054), 1,
      anon_sym_STAR,
    ACTIONS(8056), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8058), 1,
      anon_sym_AMP,
    ACTIONS(8060), 1,
      anon_sym_COLON_COLON,
    STATE(7024), 1,
      sym__scope_resolution,
    STATE(7685), 1,
      sym__declarator,
    STATE(9555), 1,
      sym_ms_based_modifier,
    STATE(10317), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(7680), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [210864] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1486), 1,
      anon_sym_template,
    ACTIONS(2588), 1,
      anon_sym_operator,
    ACTIONS(2875), 1,
      anon_sym_LPAREN2,
    ACTIONS(2877), 1,
      anon_sym_TILDE,
    ACTIONS(3148), 1,
      anon_sym_decltype,
    ACTIONS(8030), 1,
      anon_sym_LBRACK,
    ACTIONS(8052), 1,
      sym_identifier,
    ACTIONS(8054), 1,
      anon_sym_STAR,
    ACTIONS(8056), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8058), 1,
      anon_sym_AMP,
    ACTIONS(8060), 1,
      anon_sym_COLON_COLON,
    STATE(7024), 1,
      sym__scope_resolution,
    STATE(7691), 1,
      sym__declarator,
    STATE(9555), 1,
      sym_ms_based_modifier,
    STATE(10317), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(7680), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [210931] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5585), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7989), 1,
      anon_sym_noexcept,
    ACTIONS(7991), 1,
      anon_sym_throw,
    ACTIONS(8209), 1,
      anon_sym___attribute__,
    ACTIONS(8245), 1,
      anon_sym_requires,
    ACTIONS(8274), 1,
      anon_sym_DASH_GT,
    ACTIONS(9576), 1,
      anon_sym_LBRACK,
    STATE(7406), 1,
      sym__function_attributes_end,
    STATE(7545), 1,
      sym_trailing_return_type,
    STATE(8050), 1,
      sym_gnu_asm_expression,
    ACTIONS(7985), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(8191), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6922), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(7102), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7234), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(7392), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(6690), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(9571), 4,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_GT2,
  [211000] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1486), 1,
      anon_sym_template,
    ACTIONS(2588), 1,
      anon_sym_operator,
    ACTIONS(2875), 1,
      anon_sym_LPAREN2,
    ACTIONS(2877), 1,
      anon_sym_TILDE,
    ACTIONS(3148), 1,
      anon_sym_decltype,
    ACTIONS(8030), 1,
      anon_sym_LBRACK,
    ACTIONS(8052), 1,
      sym_identifier,
    ACTIONS(8054), 1,
      anon_sym_STAR,
    ACTIONS(8056), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8058), 1,
      anon_sym_AMP,
    ACTIONS(8060), 1,
      anon_sym_COLON_COLON,
    STATE(7024), 1,
      sym__scope_resolution,
    STATE(7628), 1,
      sym__declarator,
    STATE(9555), 1,
      sym_ms_based_modifier,
    STATE(10317), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(7680), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [211067] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1486), 1,
      anon_sym_template,
    ACTIONS(2194), 1,
      anon_sym_COLON,
    ACTIONS(3148), 1,
      anon_sym_decltype,
    ACTIONS(5581), 1,
      anon_sym___attribute__,
    ACTIONS(5585), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5587), 1,
      anon_sym___declspec,
    ACTIONS(5591), 1,
      anon_sym_alignas,
    ACTIONS(5929), 1,
      anon_sym_LBRACE,
    ACTIONS(8402), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9885), 1,
      sym_identifier,
    STATE(2999), 1,
      sym_template_type,
    STATE(3062), 1,
      sym__class_declaration,
    STATE(3066), 1,
      sym__class_declaration_item,
    STATE(6610), 1,
      sym_field_declaration_list,
    STATE(6801), 1,
      sym_ms_declspec_modifier,
    STATE(7841), 1,
      sym__scope_resolution,
    STATE(8250), 1,
      sym_virtual_specifier,
    STATE(9290), 1,
      sym_base_class_clause,
    ACTIONS(2198), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6153), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6802), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(10317), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(6612), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [211146] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1486), 1,
      anon_sym_template,
    ACTIONS(2194), 1,
      anon_sym_COLON,
    ACTIONS(3148), 1,
      anon_sym_decltype,
    ACTIONS(5581), 1,
      anon_sym___attribute__,
    ACTIONS(5585), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5587), 1,
      anon_sym___declspec,
    ACTIONS(5591), 1,
      anon_sym_alignas,
    ACTIONS(8364), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9569), 1,
      anon_sym_LBRACE,
    ACTIONS(9893), 1,
      sym_identifier,
    STATE(6081), 1,
      sym_template_type,
    STATE(6211), 1,
      sym_field_declaration_list,
    STATE(6367), 1,
      sym__class_declaration_item,
    STATE(6373), 1,
      sym__class_declaration,
    STATE(6878), 1,
      sym_ms_declspec_modifier,
    STATE(7852), 1,
      sym__scope_resolution,
    STATE(8397), 1,
      sym_virtual_specifier,
    STATE(9263), 1,
      sym_base_class_clause,
    ACTIONS(2198), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6076), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6877), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(10317), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(6585), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [211225] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1486), 1,
      anon_sym_template,
    ACTIONS(2194), 1,
      anon_sym_COLON,
    ACTIONS(3148), 1,
      anon_sym_decltype,
    ACTIONS(3904), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5581), 1,
      anon_sym___attribute__,
    ACTIONS(5585), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5587), 1,
      anon_sym___declspec,
    ACTIONS(5591), 1,
      anon_sym_alignas,
    ACTIONS(5929), 1,
      anon_sym_LBRACE,
    ACTIONS(9885), 1,
      sym_identifier,
    STATE(2999), 1,
      sym_template_type,
    STATE(3062), 1,
      sym__class_declaration,
    STATE(3066), 1,
      sym__class_declaration_item,
    STATE(3108), 1,
      sym_field_declaration_list,
    STATE(6853), 1,
      sym_ms_declspec_modifier,
    STATE(7887), 1,
      sym__scope_resolution,
    STATE(8205), 1,
      sym_virtual_specifier,
    STATE(9297), 1,
      sym_base_class_clause,
    ACTIONS(2198), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(3104), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6839), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(10317), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(6592), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [211304] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7976), 1,
      anon_sym___attribute__,
    ACTIONS(7987), 1,
      anon_sym_DASH_GT,
    ACTIONS(7993), 1,
      anon_sym_requires,
    ACTIONS(9573), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9576), 1,
      anon_sym_LBRACK,
    STATE(6907), 1,
      sym__function_attributes_end,
    STATE(7064), 1,
      sym_trailing_return_type,
    STATE(8031), 1,
      sym_gnu_asm_expression,
    ACTIONS(6859), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(7985), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(6935), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(7085), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7174), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(7305), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9571), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
      anon_sym_try,
  [211367] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1486), 1,
      anon_sym_template,
    ACTIONS(2194), 1,
      anon_sym_COLON,
    ACTIONS(3148), 1,
      anon_sym_decltype,
    ACTIONS(5581), 1,
      anon_sym___attribute__,
    ACTIONS(5585), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5587), 1,
      anon_sym___declspec,
    ACTIONS(5591), 1,
      anon_sym_alignas,
    ACTIONS(8402), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9528), 1,
      anon_sym_LBRACE,
    ACTIONS(9885), 1,
      sym_identifier,
    STATE(2999), 1,
      sym_template_type,
    STATE(6151), 1,
      sym_field_declaration_list,
    STATE(6195), 1,
      sym__class_declaration,
    STATE(6197), 1,
      sym__class_declaration_item,
    STATE(6830), 1,
      sym_ms_declspec_modifier,
    STATE(7841), 1,
      sym__scope_resolution,
    STATE(8171), 1,
      sym_virtual_specifier,
    STATE(9025), 1,
      sym_base_class_clause,
    ACTIONS(2198), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5969), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6831), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(10317), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(6611), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [211446] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5585), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7989), 1,
      anon_sym_noexcept,
    ACTIONS(7991), 1,
      anon_sym_throw,
    ACTIONS(8209), 1,
      anon_sym___attribute__,
    ACTIONS(8245), 1,
      anon_sym_requires,
    ACTIONS(8274), 1,
      anon_sym_DASH_GT,
    ACTIONS(9314), 1,
      anon_sym_LBRACK,
    STATE(7379), 1,
      sym__function_attributes_end,
    STATE(7544), 1,
      sym_trailing_return_type,
    STATE(8050), 1,
      sym_gnu_asm_expression,
    ACTIONS(7985), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(8191), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6922), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(7102), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7234), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(7404), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(6691), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(9309), 4,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_GT2,
  [211515] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1486), 1,
      anon_sym_template,
    ACTIONS(2194), 1,
      anon_sym_COLON,
    ACTIONS(3148), 1,
      anon_sym_decltype,
    ACTIONS(5581), 1,
      anon_sym___attribute__,
    ACTIONS(5585), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5587), 1,
      anon_sym___declspec,
    ACTIONS(5591), 1,
      anon_sym_alignas,
    ACTIONS(8402), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9528), 1,
      anon_sym_LBRACE,
    ACTIONS(9885), 1,
      sym_identifier,
    STATE(2999), 1,
      sym_template_type,
    STATE(6151), 1,
      sym_field_declaration_list,
    STATE(6189), 1,
      sym__class_declaration,
    STATE(6197), 1,
      sym__class_declaration_item,
    STATE(6830), 1,
      sym_ms_declspec_modifier,
    STATE(7841), 1,
      sym__scope_resolution,
    STATE(8171), 1,
      sym_virtual_specifier,
    STATE(9025), 1,
      sym_base_class_clause,
    ACTIONS(2198), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5969), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6831), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(10317), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(6611), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [211594] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1486), 1,
      anon_sym_template,
    ACTIONS(2194), 1,
      anon_sym_COLON,
    ACTIONS(3148), 1,
      anon_sym_decltype,
    ACTIONS(5581), 1,
      anon_sym___attribute__,
    ACTIONS(5585), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5587), 1,
      anon_sym___declspec,
    ACTIONS(5591), 1,
      anon_sym_alignas,
    ACTIONS(8364), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9569), 1,
      anon_sym_LBRACE,
    ACTIONS(9893), 1,
      sym_identifier,
    STATE(6081), 1,
      sym_template_type,
    STATE(6211), 1,
      sym_field_declaration_list,
    STATE(6367), 1,
      sym__class_declaration_item,
    STATE(6374), 1,
      sym__class_declaration,
    STATE(6878), 1,
      sym_ms_declspec_modifier,
    STATE(7852), 1,
      sym__scope_resolution,
    STATE(8397), 1,
      sym_virtual_specifier,
    STATE(9263), 1,
      sym_base_class_clause,
    ACTIONS(2198), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6076), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6877), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(10317), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(6585), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [211673] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1486), 1,
      anon_sym_template,
    ACTIONS(2194), 1,
      anon_sym_COLON,
    ACTIONS(3148), 1,
      anon_sym_decltype,
    ACTIONS(5581), 1,
      anon_sym___attribute__,
    ACTIONS(5585), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5587), 1,
      anon_sym___declspec,
    ACTIONS(5591), 1,
      anon_sym_alignas,
    ACTIONS(7964), 1,
      anon_sym_LBRACE,
    ACTIONS(9697), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9895), 1,
      sym_identifier,
    STATE(4855), 1,
      sym_template_type,
    STATE(5064), 1,
      sym_field_declaration_list,
    STATE(5181), 1,
      sym__class_declaration_item,
    STATE(5187), 1,
      sym__class_declaration,
    STATE(6806), 1,
      sym_ms_declspec_modifier,
    STATE(7840), 1,
      sym__scope_resolution,
    STATE(8461), 1,
      sym_virtual_specifier,
    STATE(9380), 1,
      sym_base_class_clause,
    ACTIONS(2198), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(4448), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6804), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(10317), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(6603), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [211752] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1486), 1,
      anon_sym_template,
    ACTIONS(2588), 1,
      anon_sym_operator,
    ACTIONS(2875), 1,
      anon_sym_LPAREN2,
    ACTIONS(2877), 1,
      anon_sym_TILDE,
    ACTIONS(3148), 1,
      anon_sym_decltype,
    ACTIONS(8030), 1,
      anon_sym_LBRACK,
    ACTIONS(8052), 1,
      sym_identifier,
    ACTIONS(8054), 1,
      anon_sym_STAR,
    ACTIONS(8056), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8058), 1,
      anon_sym_AMP,
    ACTIONS(8060), 1,
      anon_sym_COLON_COLON,
    STATE(7024), 1,
      sym__scope_resolution,
    STATE(7635), 1,
      sym__declarator,
    STATE(9555), 1,
      sym_ms_based_modifier,
    STATE(10317), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(7680), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [211819] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_AMP_AMP,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1486), 1,
      anon_sym_template,
    ACTIONS(2588), 1,
      anon_sym_operator,
    ACTIONS(2875), 1,
      anon_sym_LPAREN2,
    ACTIONS(2877), 1,
      anon_sym_TILDE,
    ACTIONS(2879), 1,
      anon_sym_STAR,
    ACTIONS(2881), 1,
      anon_sym_AMP,
    ACTIONS(3148), 1,
      anon_sym_decltype,
    ACTIONS(5573), 1,
      sym_identifier,
    ACTIONS(7243), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8030), 1,
      anon_sym_LBRACK,
    STATE(7003), 1,
      sym__scope_resolution,
    STATE(7895), 1,
      sym__declarator,
    STATE(10332), 1,
      sym_ms_based_modifier,
    STATE(10317), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(7680), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [211886] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1486), 1,
      anon_sym_template,
    ACTIONS(2588), 1,
      anon_sym_operator,
    ACTIONS(2875), 1,
      anon_sym_LPAREN2,
    ACTIONS(2877), 1,
      anon_sym_TILDE,
    ACTIONS(3148), 1,
      anon_sym_decltype,
    ACTIONS(8030), 1,
      anon_sym_LBRACK,
    ACTIONS(8052), 1,
      sym_identifier,
    ACTIONS(8054), 1,
      anon_sym_STAR,
    ACTIONS(8056), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8058), 1,
      anon_sym_AMP,
    ACTIONS(8060), 1,
      anon_sym_COLON_COLON,
    STATE(7024), 1,
      sym__scope_resolution,
    STATE(7658), 1,
      sym__declarator,
    STATE(9555), 1,
      sym_ms_based_modifier,
    STATE(10317), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(7680), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [211953] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1486), 1,
      anon_sym_template,
    ACTIONS(2194), 1,
      anon_sym_COLON,
    ACTIONS(3148), 1,
      anon_sym_decltype,
    ACTIONS(5581), 1,
      anon_sym___attribute__,
    ACTIONS(5585), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5587), 1,
      anon_sym___declspec,
    ACTIONS(5591), 1,
      anon_sym_alignas,
    ACTIONS(7964), 1,
      anon_sym_LBRACE,
    ACTIONS(9697), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9895), 1,
      sym_identifier,
    STATE(4855), 1,
      sym_template_type,
    STATE(5064), 1,
      sym_field_declaration_list,
    STATE(5181), 1,
      sym__class_declaration_item,
    STATE(5183), 1,
      sym__class_declaration,
    STATE(6806), 1,
      sym_ms_declspec_modifier,
    STATE(7840), 1,
      sym__scope_resolution,
    STATE(8461), 1,
      sym_virtual_specifier,
    STATE(9380), 1,
      sym_base_class_clause,
    ACTIONS(2198), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(4448), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6804), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(10317), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(6603), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [212032] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1486), 1,
      anon_sym_template,
    ACTIONS(2194), 1,
      anon_sym_COLON,
    ACTIONS(3148), 1,
      anon_sym_decltype,
    ACTIONS(3904), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5581), 1,
      anon_sym___attribute__,
    ACTIONS(5585), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5587), 1,
      anon_sym___declspec,
    ACTIONS(5591), 1,
      anon_sym_alignas,
    ACTIONS(5929), 1,
      anon_sym_LBRACE,
    ACTIONS(9885), 1,
      sym_identifier,
    STATE(2999), 1,
      sym_template_type,
    STATE(3066), 1,
      sym__class_declaration_item,
    STATE(3069), 1,
      sym__class_declaration,
    STATE(3108), 1,
      sym_field_declaration_list,
    STATE(6853), 1,
      sym_ms_declspec_modifier,
    STATE(7887), 1,
      sym__scope_resolution,
    STATE(8205), 1,
      sym_virtual_specifier,
    STATE(9297), 1,
      sym_base_class_clause,
    ACTIONS(2198), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(3104), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6839), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(10317), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(6592), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [212111] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1486), 1,
      anon_sym_template,
    ACTIONS(2194), 1,
      anon_sym_COLON,
    ACTIONS(3148), 1,
      anon_sym_decltype,
    ACTIONS(3904), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5581), 1,
      anon_sym___attribute__,
    ACTIONS(5585), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5587), 1,
      anon_sym___declspec,
    ACTIONS(5591), 1,
      anon_sym_alignas,
    ACTIONS(5929), 1,
      anon_sym_LBRACE,
    ACTIONS(9885), 1,
      sym_identifier,
    STATE(2999), 1,
      sym_template_type,
    STATE(3066), 1,
      sym__class_declaration_item,
    STATE(3083), 1,
      sym__class_declaration,
    STATE(3108), 1,
      sym_field_declaration_list,
    STATE(6853), 1,
      sym_ms_declspec_modifier,
    STATE(7887), 1,
      sym__scope_resolution,
    STATE(8205), 1,
      sym_virtual_specifier,
    STATE(9297), 1,
      sym_base_class_clause,
    ACTIONS(2198), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(3106), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6839), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(10317), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(6592), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [212190] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1486), 1,
      anon_sym_template,
    ACTIONS(2194), 1,
      anon_sym_COLON,
    ACTIONS(3148), 1,
      anon_sym_decltype,
    ACTIONS(3904), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5581), 1,
      anon_sym___attribute__,
    ACTIONS(5585), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5587), 1,
      anon_sym___declspec,
    ACTIONS(5591), 1,
      anon_sym_alignas,
    ACTIONS(5929), 1,
      anon_sym_LBRACE,
    ACTIONS(9885), 1,
      sym_identifier,
    STATE(2999), 1,
      sym_template_type,
    STATE(3066), 1,
      sym__class_declaration_item,
    STATE(3069), 1,
      sym__class_declaration,
    STATE(3108), 1,
      sym_field_declaration_list,
    STATE(6853), 1,
      sym_ms_declspec_modifier,
    STATE(7887), 1,
      sym__scope_resolution,
    STATE(8205), 1,
      sym_virtual_specifier,
    STATE(9297), 1,
      sym_base_class_clause,
    ACTIONS(2198), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(3106), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6839), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(10317), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(6592), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [212269] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1486), 1,
      anon_sym_template,
    ACTIONS(2194), 1,
      anon_sym_COLON,
    ACTIONS(3148), 1,
      anon_sym_decltype,
    ACTIONS(3904), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5581), 1,
      anon_sym___attribute__,
    ACTIONS(5585), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5587), 1,
      anon_sym___declspec,
    ACTIONS(5591), 1,
      anon_sym_alignas,
    ACTIONS(5929), 1,
      anon_sym_LBRACE,
    ACTIONS(9885), 1,
      sym_identifier,
    STATE(2999), 1,
      sym_template_type,
    STATE(3066), 1,
      sym__class_declaration_item,
    STATE(3083), 1,
      sym__class_declaration,
    STATE(3108), 1,
      sym_field_declaration_list,
    STATE(6853), 1,
      sym_ms_declspec_modifier,
    STATE(7887), 1,
      sym__scope_resolution,
    STATE(8205), 1,
      sym_virtual_specifier,
    STATE(9297), 1,
      sym_base_class_clause,
    ACTIONS(2198), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(3104), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6839), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(10317), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(6592), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [212348] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1486), 1,
      anon_sym_template,
    ACTIONS(2194), 1,
      anon_sym_COLON,
    ACTIONS(3148), 1,
      anon_sym_decltype,
    ACTIONS(3904), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5581), 1,
      anon_sym___attribute__,
    ACTIONS(5585), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5587), 1,
      anon_sym___declspec,
    ACTIONS(5591), 1,
      anon_sym_alignas,
    ACTIONS(5929), 1,
      anon_sym_LBRACE,
    ACTIONS(9885), 1,
      sym_identifier,
    STATE(2999), 1,
      sym_template_type,
    STATE(3062), 1,
      sym__class_declaration,
    STATE(3066), 1,
      sym__class_declaration_item,
    STATE(3108), 1,
      sym_field_declaration_list,
    STATE(6853), 1,
      sym_ms_declspec_modifier,
    STATE(7887), 1,
      sym__scope_resolution,
    STATE(8205), 1,
      sym_virtual_specifier,
    STATE(9297), 1,
      sym_base_class_clause,
    ACTIONS(2198), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(3106), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6839), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(10317), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(6592), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [212427] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1486), 1,
      anon_sym_template,
    ACTIONS(2194), 1,
      anon_sym_COLON,
    ACTIONS(3148), 1,
      anon_sym_decltype,
    ACTIONS(5581), 1,
      anon_sym___attribute__,
    ACTIONS(5585), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5587), 1,
      anon_sym___declspec,
    ACTIONS(5591), 1,
      anon_sym_alignas,
    ACTIONS(7964), 1,
      anon_sym_LBRACE,
    ACTIONS(9697), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9895), 1,
      sym_identifier,
    STATE(4855), 1,
      sym_template_type,
    STATE(5064), 1,
      sym_field_declaration_list,
    STATE(5181), 1,
      sym__class_declaration_item,
    STATE(5184), 1,
      sym__class_declaration,
    STATE(6806), 1,
      sym_ms_declspec_modifier,
    STATE(7840), 1,
      sym__scope_resolution,
    STATE(8461), 1,
      sym_virtual_specifier,
    STATE(9380), 1,
      sym_base_class_clause,
    ACTIONS(2198), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(4448), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6804), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(10317), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(6603), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [212506] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1486), 1,
      anon_sym_template,
    ACTIONS(2588), 1,
      anon_sym_operator,
    ACTIONS(2875), 1,
      anon_sym_LPAREN2,
    ACTIONS(2877), 1,
      anon_sym_TILDE,
    ACTIONS(3148), 1,
      anon_sym_decltype,
    ACTIONS(8030), 1,
      anon_sym_LBRACK,
    ACTIONS(8052), 1,
      sym_identifier,
    ACTIONS(8054), 1,
      anon_sym_STAR,
    ACTIONS(8056), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8058), 1,
      anon_sym_AMP,
    ACTIONS(8060), 1,
      anon_sym_COLON_COLON,
    STATE(7024), 1,
      sym__scope_resolution,
    STATE(7703), 1,
      sym__declarator,
    STATE(9555), 1,
      sym_ms_based_modifier,
    STATE(10317), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(7680), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [212573] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1486), 1,
      anon_sym_template,
    ACTIONS(2588), 1,
      anon_sym_operator,
    ACTIONS(2875), 1,
      anon_sym_LPAREN2,
    ACTIONS(2877), 1,
      anon_sym_TILDE,
    ACTIONS(3148), 1,
      anon_sym_decltype,
    ACTIONS(8030), 1,
      anon_sym_LBRACK,
    ACTIONS(8052), 1,
      sym_identifier,
    ACTIONS(8054), 1,
      anon_sym_STAR,
    ACTIONS(8056), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8058), 1,
      anon_sym_AMP,
    ACTIONS(8060), 1,
      anon_sym_COLON_COLON,
    STATE(7024), 1,
      sym__scope_resolution,
    STATE(7698), 1,
      sym__declarator,
    STATE(9555), 1,
      sym_ms_based_modifier,
    STATE(10317), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(7680), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [212640] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1486), 1,
      anon_sym_template,
    ACTIONS(2194), 1,
      anon_sym_COLON,
    ACTIONS(3148), 1,
      anon_sym_decltype,
    ACTIONS(3904), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5581), 1,
      anon_sym___attribute__,
    ACTIONS(5585), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5587), 1,
      anon_sym___declspec,
    ACTIONS(5591), 1,
      anon_sym_alignas,
    ACTIONS(5929), 1,
      anon_sym_LBRACE,
    ACTIONS(9885), 1,
      sym_identifier,
    STATE(2999), 1,
      sym_template_type,
    STATE(3066), 1,
      sym__class_declaration_item,
    STATE(3083), 1,
      sym__class_declaration,
    STATE(3108), 1,
      sym_field_declaration_list,
    STATE(6853), 1,
      sym_ms_declspec_modifier,
    STATE(7887), 1,
      sym__scope_resolution,
    STATE(8205), 1,
      sym_virtual_specifier,
    STATE(9297), 1,
      sym_base_class_clause,
    ACTIONS(2198), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(3100), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6839), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(10317), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(6592), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [212719] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7976), 1,
      anon_sym___attribute__,
    ACTIONS(7987), 1,
      anon_sym_DASH_GT,
    ACTIONS(7993), 1,
      anon_sym_requires,
    ACTIONS(9311), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9314), 1,
      anon_sym_LBRACK,
    STATE(6916), 1,
      sym__function_attributes_end,
    STATE(7060), 1,
      sym_trailing_return_type,
    STATE(8031), 1,
      sym_gnu_asm_expression,
    ACTIONS(6859), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(7985), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(6935), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(7085), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7174), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(7349), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9309), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
      anon_sym_try,
  [212782] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1486), 1,
      anon_sym_template,
    ACTIONS(2194), 1,
      anon_sym_COLON,
    ACTIONS(3148), 1,
      anon_sym_decltype,
    ACTIONS(5581), 1,
      anon_sym___attribute__,
    ACTIONS(5585), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5587), 1,
      anon_sym___declspec,
    ACTIONS(5591), 1,
      anon_sym_alignas,
    ACTIONS(7292), 1,
      anon_sym_LBRACE,
    ACTIONS(9675), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9897), 1,
      sym_identifier,
    STATE(3921), 1,
      sym_template_type,
    STATE(4226), 1,
      sym_field_declaration_list,
    STATE(4581), 1,
      sym__class_declaration_item,
    STATE(4582), 1,
      sym__class_declaration,
    STATE(6784), 1,
      sym_ms_declspec_modifier,
    STATE(7854), 1,
      sym__scope_resolution,
    STATE(8272), 1,
      sym_virtual_specifier,
    STATE(9186), 1,
      sym_base_class_clause,
    ACTIONS(2198), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(3741), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6783), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(10317), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(6582), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [212861] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1486), 1,
      anon_sym_template,
    ACTIONS(2194), 1,
      anon_sym_COLON,
    ACTIONS(3148), 1,
      anon_sym_decltype,
    ACTIONS(5581), 1,
      anon_sym___attribute__,
    ACTIONS(5585), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5587), 1,
      anon_sym___declspec,
    ACTIONS(5591), 1,
      anon_sym_alignas,
    ACTIONS(8153), 1,
      anon_sym_LBRACE,
    ACTIONS(9631), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9899), 1,
      sym_identifier,
    STATE(4985), 1,
      sym_template_type,
    STATE(5219), 1,
      sym_field_declaration_list,
    STATE(5303), 1,
      sym__class_declaration,
    STATE(5305), 1,
      sym__class_declaration_item,
    STATE(6777), 1,
      sym_ms_declspec_modifier,
    STATE(7838), 1,
      sym__scope_resolution,
    STATE(8398), 1,
      sym_virtual_specifier,
    STATE(9264), 1,
      sym_base_class_clause,
    ACTIONS(2198), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(4824), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6845), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(10317), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(6579), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [212940] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1486), 1,
      anon_sym_template,
    ACTIONS(2588), 1,
      anon_sym_operator,
    ACTIONS(2875), 1,
      anon_sym_LPAREN2,
    ACTIONS(2877), 1,
      anon_sym_TILDE,
    ACTIONS(3148), 1,
      anon_sym_decltype,
    ACTIONS(8030), 1,
      anon_sym_LBRACK,
    ACTIONS(8052), 1,
      sym_identifier,
    ACTIONS(8054), 1,
      anon_sym_STAR,
    ACTIONS(8056), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8058), 1,
      anon_sym_AMP,
    ACTIONS(8060), 1,
      anon_sym_COLON_COLON,
    STATE(7024), 1,
      sym__scope_resolution,
    STATE(7656), 1,
      sym__declarator,
    STATE(9555), 1,
      sym_ms_based_modifier,
    STATE(10317), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(7680), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [213007] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1486), 1,
      anon_sym_template,
    ACTIONS(2194), 1,
      anon_sym_COLON,
    ACTIONS(3148), 1,
      anon_sym_decltype,
    ACTIONS(5581), 1,
      anon_sym___attribute__,
    ACTIONS(5585), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5587), 1,
      anon_sym___declspec,
    ACTIONS(5591), 1,
      anon_sym_alignas,
    ACTIONS(7292), 1,
      anon_sym_LBRACE,
    ACTIONS(9675), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9897), 1,
      sym_identifier,
    STATE(3921), 1,
      sym_template_type,
    STATE(4226), 1,
      sym_field_declaration_list,
    STATE(4579), 1,
      sym__class_declaration,
    STATE(4581), 1,
      sym__class_declaration_item,
    STATE(6784), 1,
      sym_ms_declspec_modifier,
    STATE(7854), 1,
      sym__scope_resolution,
    STATE(8272), 1,
      sym_virtual_specifier,
    STATE(9186), 1,
      sym_base_class_clause,
    ACTIONS(2198), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(3741), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6783), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(10317), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(6582), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [213086] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_AMP_AMP,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1486), 1,
      anon_sym_template,
    ACTIONS(2588), 1,
      anon_sym_operator,
    ACTIONS(2875), 1,
      anon_sym_LPAREN2,
    ACTIONS(2877), 1,
      anon_sym_TILDE,
    ACTIONS(2879), 1,
      anon_sym_STAR,
    ACTIONS(2881), 1,
      anon_sym_AMP,
    ACTIONS(3148), 1,
      anon_sym_decltype,
    ACTIONS(5573), 1,
      sym_identifier,
    ACTIONS(7243), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8030), 1,
      anon_sym_LBRACK,
    STATE(7003), 1,
      sym__scope_resolution,
    STATE(7907), 1,
      sym__declarator,
    STATE(10332), 1,
      sym_ms_based_modifier,
    STATE(10317), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(7680), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [213153] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1486), 1,
      anon_sym_template,
    ACTIONS(2588), 1,
      anon_sym_operator,
    ACTIONS(2875), 1,
      anon_sym_LPAREN2,
    ACTIONS(2877), 1,
      anon_sym_TILDE,
    ACTIONS(3148), 1,
      anon_sym_decltype,
    ACTIONS(8030), 1,
      anon_sym_LBRACK,
    ACTIONS(8052), 1,
      sym_identifier,
    ACTIONS(8054), 1,
      anon_sym_STAR,
    ACTIONS(8056), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8058), 1,
      anon_sym_AMP,
    ACTIONS(8060), 1,
      anon_sym_COLON_COLON,
    STATE(7024), 1,
      sym__scope_resolution,
    STATE(7665), 1,
      sym__declarator,
    STATE(9555), 1,
      sym_ms_based_modifier,
    STATE(10317), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(7680), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [213220] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_AMP_AMP,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1486), 1,
      anon_sym_template,
    ACTIONS(2588), 1,
      anon_sym_operator,
    ACTIONS(2875), 1,
      anon_sym_LPAREN2,
    ACTIONS(2877), 1,
      anon_sym_TILDE,
    ACTIONS(2879), 1,
      anon_sym_STAR,
    ACTIONS(2881), 1,
      anon_sym_AMP,
    ACTIONS(3148), 1,
      anon_sym_decltype,
    ACTIONS(5573), 1,
      sym_identifier,
    ACTIONS(7243), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8030), 1,
      anon_sym_LBRACK,
    STATE(7003), 1,
      sym__scope_resolution,
    STATE(7912), 1,
      sym__declarator,
    STATE(10332), 1,
      sym_ms_based_modifier,
    STATE(10317), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(7680), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [213287] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1486), 1,
      anon_sym_template,
    ACTIONS(2194), 1,
      anon_sym_COLON,
    ACTIONS(3148), 1,
      anon_sym_decltype,
    ACTIONS(3904), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5581), 1,
      anon_sym___attribute__,
    ACTIONS(5585), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5587), 1,
      anon_sym___declspec,
    ACTIONS(5591), 1,
      anon_sym_alignas,
    ACTIONS(5929), 1,
      anon_sym_LBRACE,
    ACTIONS(9885), 1,
      sym_identifier,
    STATE(2999), 1,
      sym_template_type,
    STATE(3066), 1,
      sym__class_declaration_item,
    STATE(3083), 1,
      sym__class_declaration,
    STATE(3108), 1,
      sym_field_declaration_list,
    STATE(6853), 1,
      sym_ms_declspec_modifier,
    STATE(7887), 1,
      sym__scope_resolution,
    STATE(8205), 1,
      sym_virtual_specifier,
    STATE(9297), 1,
      sym_base_class_clause,
    ACTIONS(2198), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(3105), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6839), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(10317), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(6592), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [213366] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1486), 1,
      anon_sym_template,
    ACTIONS(2194), 1,
      anon_sym_COLON,
    ACTIONS(3148), 1,
      anon_sym_decltype,
    ACTIONS(5581), 1,
      anon_sym___attribute__,
    ACTIONS(5585), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5587), 1,
      anon_sym___declspec,
    ACTIONS(5591), 1,
      anon_sym_alignas,
    ACTIONS(6857), 1,
      anon_sym_LBRACE,
    ACTIONS(8288), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9901), 1,
      sym_identifier,
    STATE(3248), 1,
      sym_template_type,
    STATE(3273), 1,
      sym__class_declaration_item,
    STATE(3278), 1,
      sym__class_declaration,
    STATE(6682), 1,
      sym_field_declaration_list,
    STATE(6851), 1,
      sym_ms_declspec_modifier,
    STATE(7858), 1,
      sym__scope_resolution,
    STATE(8483), 1,
      sym_virtual_specifier,
    STATE(9096), 1,
      sym_base_class_clause,
    ACTIONS(2198), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6244), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6803), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(10317), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(6604), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [213445] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7976), 1,
      anon_sym___attribute__,
    ACTIONS(7989), 1,
      anon_sym_noexcept,
    ACTIONS(7991), 1,
      anon_sym_throw,
    ACTIONS(8178), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8220), 1,
      anon_sym_requires,
    ACTIONS(8270), 1,
      anon_sym_DASH_GT,
    ACTIONS(9576), 1,
      anon_sym_LBRACK,
    STATE(7372), 1,
      sym__function_attributes_end,
    STATE(7391), 1,
      sym_trailing_return_type,
    STATE(8031), 1,
      sym_gnu_asm_expression,
    ACTIONS(7985), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(8191), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6935), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(7085), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7234), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(7392), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(6708), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(9571), 4,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON,
  [213514] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1486), 1,
      anon_sym_template,
    ACTIONS(2588), 1,
      anon_sym_operator,
    ACTIONS(2875), 1,
      anon_sym_LPAREN2,
    ACTIONS(2877), 1,
      anon_sym_TILDE,
    ACTIONS(3148), 1,
      anon_sym_decltype,
    ACTIONS(8030), 1,
      anon_sym_LBRACK,
    ACTIONS(8052), 1,
      sym_identifier,
    ACTIONS(8054), 1,
      anon_sym_STAR,
    ACTIONS(8056), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8058), 1,
      anon_sym_AMP,
    ACTIONS(8060), 1,
      anon_sym_COLON_COLON,
    STATE(7024), 1,
      sym__scope_resolution,
    STATE(7745), 1,
      sym__declarator,
    STATE(9555), 1,
      sym_ms_based_modifier,
    STATE(10317), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(7680), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [213581] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1486), 1,
      anon_sym_template,
    ACTIONS(2194), 1,
      anon_sym_COLON,
    ACTIONS(3148), 1,
      anon_sym_decltype,
    ACTIONS(5581), 1,
      anon_sym___attribute__,
    ACTIONS(5585), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5587), 1,
      anon_sym___declspec,
    ACTIONS(5591), 1,
      anon_sym_alignas,
    ACTIONS(7292), 1,
      anon_sym_LBRACE,
    ACTIONS(9675), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9897), 1,
      sym_identifier,
    STATE(3921), 1,
      sym_template_type,
    STATE(4226), 1,
      sym_field_declaration_list,
    STATE(4572), 1,
      sym__class_declaration,
    STATE(4581), 1,
      sym__class_declaration_item,
    STATE(6784), 1,
      sym_ms_declspec_modifier,
    STATE(7854), 1,
      sym__scope_resolution,
    STATE(8272), 1,
      sym_virtual_specifier,
    STATE(9186), 1,
      sym_base_class_clause,
    ACTIONS(2198), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(3741), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6783), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(10317), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(6582), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [213660] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1486), 1,
      anon_sym_template,
    ACTIONS(2588), 1,
      anon_sym_operator,
    ACTIONS(2875), 1,
      anon_sym_LPAREN2,
    ACTIONS(2877), 1,
      anon_sym_TILDE,
    ACTIONS(3148), 1,
      anon_sym_decltype,
    ACTIONS(8030), 1,
      anon_sym_LBRACK,
    ACTIONS(8052), 1,
      sym_identifier,
    ACTIONS(8054), 1,
      anon_sym_STAR,
    ACTIONS(8056), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8058), 1,
      anon_sym_AMP,
    ACTIONS(8060), 1,
      anon_sym_COLON_COLON,
    STATE(7024), 1,
      sym__scope_resolution,
    STATE(7677), 1,
      sym__declarator,
    STATE(9555), 1,
      sym_ms_based_modifier,
    STATE(10317), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(7680), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [213727] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1486), 1,
      anon_sym_template,
    ACTIONS(2194), 1,
      anon_sym_COLON,
    ACTIONS(3148), 1,
      anon_sym_decltype,
    ACTIONS(5581), 1,
      anon_sym___attribute__,
    ACTIONS(5585), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5587), 1,
      anon_sym___declspec,
    ACTIONS(5591), 1,
      anon_sym_alignas,
    ACTIONS(6857), 1,
      anon_sym_LBRACE,
    ACTIONS(8288), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9901), 1,
      sym_identifier,
    STATE(3248), 1,
      sym_template_type,
    STATE(3273), 1,
      sym__class_declaration_item,
    STATE(3302), 1,
      sym__class_declaration,
    STATE(3711), 1,
      sym_field_declaration_list,
    STATE(6848), 1,
      sym_ms_declspec_modifier,
    STATE(7858), 1,
      sym__scope_resolution,
    STATE(8392), 1,
      sym_virtual_specifier,
    STATE(9213), 1,
      sym_base_class_clause,
    ACTIONS(2198), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(3505), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6867), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(10317), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(6605), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [213806] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1486), 1,
      anon_sym_template,
    ACTIONS(2194), 1,
      anon_sym_COLON,
    ACTIONS(3148), 1,
      anon_sym_decltype,
    ACTIONS(5581), 1,
      anon_sym___attribute__,
    ACTIONS(5585), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5587), 1,
      anon_sym___declspec,
    ACTIONS(5591), 1,
      anon_sym_alignas,
    ACTIONS(6857), 1,
      anon_sym_LBRACE,
    ACTIONS(8288), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9901), 1,
      sym_identifier,
    STATE(3248), 1,
      sym_template_type,
    STATE(3272), 1,
      sym__class_declaration,
    STATE(3273), 1,
      sym__class_declaration_item,
    STATE(3711), 1,
      sym_field_declaration_list,
    STATE(6848), 1,
      sym_ms_declspec_modifier,
    STATE(7858), 1,
      sym__scope_resolution,
    STATE(8392), 1,
      sym_virtual_specifier,
    STATE(9213), 1,
      sym_base_class_clause,
    ACTIONS(2198), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(3505), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6867), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(10317), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(6605), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [213885] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1486), 1,
      anon_sym_template,
    ACTIONS(2194), 1,
      anon_sym_COLON,
    ACTIONS(3148), 1,
      anon_sym_decltype,
    ACTIONS(3904), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5581), 1,
      anon_sym___attribute__,
    ACTIONS(5585), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5587), 1,
      anon_sym___declspec,
    ACTIONS(5591), 1,
      anon_sym_alignas,
    ACTIONS(5929), 1,
      anon_sym_LBRACE,
    ACTIONS(9885), 1,
      sym_identifier,
    STATE(2999), 1,
      sym_template_type,
    STATE(3066), 1,
      sym__class_declaration_item,
    STATE(3069), 1,
      sym__class_declaration,
    STATE(3108), 1,
      sym_field_declaration_list,
    STATE(6853), 1,
      sym_ms_declspec_modifier,
    STATE(7887), 1,
      sym__scope_resolution,
    STATE(8205), 1,
      sym_virtual_specifier,
    STATE(9297), 1,
      sym_base_class_clause,
    ACTIONS(2198), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(3102), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6839), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(10317), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(6592), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [213964] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1486), 1,
      anon_sym_template,
    ACTIONS(2588), 1,
      anon_sym_operator,
    ACTIONS(2875), 1,
      anon_sym_LPAREN2,
    ACTIONS(2877), 1,
      anon_sym_TILDE,
    ACTIONS(3148), 1,
      anon_sym_decltype,
    ACTIONS(8030), 1,
      anon_sym_LBRACK,
    ACTIONS(8052), 1,
      sym_identifier,
    ACTIONS(8054), 1,
      anon_sym_STAR,
    ACTIONS(8056), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8058), 1,
      anon_sym_AMP,
    ACTIONS(8060), 1,
      anon_sym_COLON_COLON,
    STATE(7024), 1,
      sym__scope_resolution,
    STATE(7626), 1,
      sym__declarator,
    STATE(9555), 1,
      sym_ms_based_modifier,
    STATE(10317), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(7680), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [214031] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1486), 1,
      anon_sym_template,
    ACTIONS(2194), 1,
      anon_sym_COLON,
    ACTIONS(3148), 1,
      anon_sym_decltype,
    ACTIONS(5581), 1,
      anon_sym___attribute__,
    ACTIONS(5585), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5587), 1,
      anon_sym___declspec,
    ACTIONS(5591), 1,
      anon_sym_alignas,
    ACTIONS(6857), 1,
      anon_sym_LBRACE,
    ACTIONS(8288), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9901), 1,
      sym_identifier,
    STATE(3248), 1,
      sym_template_type,
    STATE(3273), 1,
      sym__class_declaration_item,
    STATE(3278), 1,
      sym__class_declaration,
    STATE(3711), 1,
      sym_field_declaration_list,
    STATE(6848), 1,
      sym_ms_declspec_modifier,
    STATE(7858), 1,
      sym__scope_resolution,
    STATE(8392), 1,
      sym_virtual_specifier,
    STATE(9213), 1,
      sym_base_class_clause,
    ACTIONS(2198), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(3505), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6867), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(10317), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(6605), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [214110] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1486), 1,
      anon_sym_template,
    ACTIONS(2588), 1,
      anon_sym_operator,
    ACTIONS(2875), 1,
      anon_sym_LPAREN2,
    ACTIONS(2877), 1,
      anon_sym_TILDE,
    ACTIONS(3148), 1,
      anon_sym_decltype,
    ACTIONS(8030), 1,
      anon_sym_LBRACK,
    ACTIONS(8052), 1,
      sym_identifier,
    ACTIONS(8054), 1,
      anon_sym_STAR,
    ACTIONS(8056), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8058), 1,
      anon_sym_AMP,
    ACTIONS(8060), 1,
      anon_sym_COLON_COLON,
    STATE(7024), 1,
      sym__scope_resolution,
    STATE(7664), 1,
      sym__declarator,
    STATE(9555), 1,
      sym_ms_based_modifier,
    STATE(10317), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(7680), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [214177] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7976), 1,
      anon_sym___attribute__,
    ACTIONS(7987), 1,
      anon_sym_DASH_GT,
    ACTIONS(7993), 1,
      anon_sym_requires,
    ACTIONS(9905), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9908), 1,
      anon_sym_LBRACK,
    STATE(6944), 1,
      sym__function_attributes_end,
    STATE(7035), 1,
      sym_trailing_return_type,
    STATE(8031), 1,
      sym_gnu_asm_expression,
    ACTIONS(6859), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(7985), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(6935), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(7085), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7174), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(7257), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9903), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
      anon_sym_try,
  [214240] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1486), 1,
      anon_sym_template,
    ACTIONS(2588), 1,
      anon_sym_operator,
    ACTIONS(2875), 1,
      anon_sym_LPAREN2,
    ACTIONS(2877), 1,
      anon_sym_TILDE,
    ACTIONS(3148), 1,
      anon_sym_decltype,
    ACTIONS(8030), 1,
      anon_sym_LBRACK,
    ACTIONS(8052), 1,
      sym_identifier,
    ACTIONS(8054), 1,
      anon_sym_STAR,
    ACTIONS(8056), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8058), 1,
      anon_sym_AMP,
    ACTIONS(8060), 1,
      anon_sym_COLON_COLON,
    STATE(7024), 1,
      sym__scope_resolution,
    STATE(7653), 1,
      sym__declarator,
    STATE(9555), 1,
      sym_ms_based_modifier,
    STATE(10317), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(7680), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [214307] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1486), 1,
      anon_sym_template,
    ACTIONS(2194), 1,
      anon_sym_COLON,
    ACTIONS(3148), 1,
      anon_sym_decltype,
    ACTIONS(5581), 1,
      anon_sym___attribute__,
    ACTIONS(5585), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5587), 1,
      anon_sym___declspec,
    ACTIONS(5591), 1,
      anon_sym_alignas,
    ACTIONS(6857), 1,
      anon_sym_LBRACE,
    ACTIONS(8288), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9901), 1,
      sym_identifier,
    STATE(3248), 1,
      sym_template_type,
    STATE(3272), 1,
      sym__class_declaration,
    STATE(3273), 1,
      sym__class_declaration_item,
    STATE(6682), 1,
      sym_field_declaration_list,
    STATE(6851), 1,
      sym_ms_declspec_modifier,
    STATE(7858), 1,
      sym__scope_resolution,
    STATE(8483), 1,
      sym_virtual_specifier,
    STATE(9096), 1,
      sym_base_class_clause,
    ACTIONS(2198), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6244), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6803), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(10317), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(6604), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [214386] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_AMP_AMP,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1486), 1,
      anon_sym_template,
    ACTIONS(2588), 1,
      anon_sym_operator,
    ACTIONS(2875), 1,
      anon_sym_LPAREN2,
    ACTIONS(2877), 1,
      anon_sym_TILDE,
    ACTIONS(2879), 1,
      anon_sym_STAR,
    ACTIONS(2881), 1,
      anon_sym_AMP,
    ACTIONS(3148), 1,
      anon_sym_decltype,
    ACTIONS(5573), 1,
      sym_identifier,
    ACTIONS(7243), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8030), 1,
      anon_sym_LBRACK,
    STATE(7003), 1,
      sym__scope_resolution,
    STATE(7956), 1,
      sym__declarator,
    STATE(10332), 1,
      sym_ms_based_modifier,
    STATE(10317), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(7680), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [214453] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1486), 1,
      anon_sym_template,
    ACTIONS(2194), 1,
      anon_sym_COLON,
    ACTIONS(3148), 1,
      anon_sym_decltype,
    ACTIONS(5581), 1,
      anon_sym___attribute__,
    ACTIONS(5585), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5587), 1,
      anon_sym___declspec,
    ACTIONS(5591), 1,
      anon_sym_alignas,
    ACTIONS(6857), 1,
      anon_sym_LBRACE,
    ACTIONS(8288), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9901), 1,
      sym_identifier,
    STATE(3248), 1,
      sym_template_type,
    STATE(3273), 1,
      sym__class_declaration_item,
    STATE(3302), 1,
      sym__class_declaration,
    STATE(6682), 1,
      sym_field_declaration_list,
    STATE(6851), 1,
      sym_ms_declspec_modifier,
    STATE(7858), 1,
      sym__scope_resolution,
    STATE(8483), 1,
      sym_virtual_specifier,
    STATE(9096), 1,
      sym_base_class_clause,
    ACTIONS(2198), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6244), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6803), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(10317), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(6604), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [214532] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1486), 1,
      anon_sym_template,
    ACTIONS(2588), 1,
      anon_sym_operator,
    ACTIONS(2875), 1,
      anon_sym_LPAREN2,
    ACTIONS(2877), 1,
      anon_sym_TILDE,
    ACTIONS(3148), 1,
      anon_sym_decltype,
    ACTIONS(8030), 1,
      anon_sym_LBRACK,
    ACTIONS(8052), 1,
      sym_identifier,
    ACTIONS(8054), 1,
      anon_sym_STAR,
    ACTIONS(8056), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8058), 1,
      anon_sym_AMP,
    ACTIONS(8060), 1,
      anon_sym_COLON_COLON,
    STATE(7024), 1,
      sym__scope_resolution,
    STATE(7720), 1,
      sym__declarator,
    STATE(9555), 1,
      sym_ms_based_modifier,
    STATE(10317), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(7680), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [214599] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1486), 1,
      anon_sym_template,
    ACTIONS(2194), 1,
      anon_sym_COLON,
    ACTIONS(3148), 1,
      anon_sym_decltype,
    ACTIONS(3904), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5581), 1,
      anon_sym___attribute__,
    ACTIONS(5585), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5587), 1,
      anon_sym___declspec,
    ACTIONS(5591), 1,
      anon_sym_alignas,
    ACTIONS(5929), 1,
      anon_sym_LBRACE,
    ACTIONS(9885), 1,
      sym_identifier,
    STATE(2999), 1,
      sym_template_type,
    STATE(3062), 1,
      sym__class_declaration,
    STATE(3066), 1,
      sym__class_declaration_item,
    STATE(3108), 1,
      sym_field_declaration_list,
    STATE(6853), 1,
      sym_ms_declspec_modifier,
    STATE(7887), 1,
      sym__scope_resolution,
    STATE(8205), 1,
      sym_virtual_specifier,
    STATE(9297), 1,
      sym_base_class_clause,
    ACTIONS(2198), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(3099), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6839), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(10317), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(6592), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [214678] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(41), 1,
      anon_sym___attribute__,
    ACTIONS(7112), 1,
      anon_sym_LBRACE,
    ACTIONS(9910), 1,
      anon_sym_COLON,
    STATE(3305), 1,
      sym_attribute_specifier,
    STATE(6613), 1,
      sym__enum_base_clause,
    STATE(6680), 1,
      sym_enumerator_list,
    ACTIONS(6370), 2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
    ACTIONS(6368), 21,
      anon_sym___extension__,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
  [214727] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5585), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7989), 1,
      anon_sym_noexcept,
    ACTIONS(7991), 1,
      anon_sym_throw,
    ACTIONS(8209), 1,
      anon_sym___attribute__,
    ACTIONS(8274), 1,
      anon_sym_DASH_GT,
    ACTIONS(9576), 1,
      anon_sym_LBRACK,
    ACTIONS(9912), 1,
      anon_sym_requires,
    STATE(7413), 1,
      sym__function_attributes_end,
    STATE(7486), 1,
      sym_trailing_return_type,
    STATE(8050), 1,
      sym_gnu_asm_expression,
    ACTIONS(7985), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9842), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6922), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(7102), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7234), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(7392), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(6694), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(9571), 4,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_GT2,
  [214796] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_AMP_AMP,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1486), 1,
      anon_sym_template,
    ACTIONS(2588), 1,
      anon_sym_operator,
    ACTIONS(2875), 1,
      anon_sym_LPAREN2,
    ACTIONS(2877), 1,
      anon_sym_TILDE,
    ACTIONS(2879), 1,
      anon_sym_STAR,
    ACTIONS(2881), 1,
      anon_sym_AMP,
    ACTIONS(3148), 1,
      anon_sym_decltype,
    ACTIONS(5573), 1,
      sym_identifier,
    ACTIONS(7243), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8030), 1,
      anon_sym_LBRACK,
    STATE(7003), 1,
      sym__scope_resolution,
    STATE(7635), 1,
      sym__declarator,
    STATE(10332), 1,
      sym_ms_based_modifier,
    STATE(10317), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(7680), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [214863] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1486), 1,
      anon_sym_template,
    ACTIONS(2588), 1,
      anon_sym_operator,
    ACTIONS(2875), 1,
      anon_sym_LPAREN2,
    ACTIONS(2877), 1,
      anon_sym_TILDE,
    ACTIONS(3148), 1,
      anon_sym_decltype,
    ACTIONS(8030), 1,
      anon_sym_LBRACK,
    ACTIONS(8052), 1,
      sym_identifier,
    ACTIONS(8054), 1,
      anon_sym_STAR,
    ACTIONS(8056), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8058), 1,
      anon_sym_AMP,
    ACTIONS(8060), 1,
      anon_sym_COLON_COLON,
    STATE(7024), 1,
      sym__scope_resolution,
    STATE(7617), 1,
      sym__declarator,
    STATE(9555), 1,
      sym_ms_based_modifier,
    STATE(10317), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(7680), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [214930] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1486), 1,
      anon_sym_template,
    ACTIONS(2194), 1,
      anon_sym_COLON,
    ACTIONS(3148), 1,
      anon_sym_decltype,
    ACTIONS(5581), 1,
      anon_sym___attribute__,
    ACTIONS(5585), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5587), 1,
      anon_sym___declspec,
    ACTIONS(5591), 1,
      anon_sym_alignas,
    ACTIONS(7247), 1,
      anon_sym_LBRACE,
    ACTIONS(8416), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9915), 1,
      sym_identifier,
    STATE(3817), 1,
      sym_template_type,
    STATE(3830), 1,
      sym_field_declaration_list,
    STATE(4030), 1,
      sym__class_declaration_item,
    STATE(4047), 1,
      sym__class_declaration,
    STATE(6875), 1,
      sym_ms_declspec_modifier,
    STATE(7845), 1,
      sym__scope_resolution,
    STATE(8339), 1,
      sym_virtual_specifier,
    STATE(9374), 1,
      sym_base_class_clause,
    ACTIONS(2198), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(3698), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6874), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(10317), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(6600), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [215009] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7976), 1,
      anon_sym___attribute__,
    ACTIONS(7989), 1,
      anon_sym_noexcept,
    ACTIONS(7991), 1,
      anon_sym_throw,
    ACTIONS(8178), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8270), 1,
      anon_sym_DASH_GT,
    ACTIONS(9314), 1,
      anon_sym_LBRACK,
    ACTIONS(9613), 1,
      anon_sym_requires,
    STATE(7355), 1,
      sym_trailing_return_type,
    STATE(7443), 1,
      sym__function_attributes_end,
    STATE(8031), 1,
      sym_gnu_asm_expression,
    ACTIONS(7985), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9601), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6935), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(7085), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7234), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(7404), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(6706), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(9309), 4,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON,
  [215078] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1486), 1,
      anon_sym_template,
    ACTIONS(2194), 1,
      anon_sym_COLON,
    ACTIONS(3148), 1,
      anon_sym_decltype,
    ACTIONS(5581), 1,
      anon_sym___attribute__,
    ACTIONS(5585), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5587), 1,
      anon_sym___declspec,
    ACTIONS(5591), 1,
      anon_sym_alignas,
    ACTIONS(8153), 1,
      anon_sym_LBRACE,
    ACTIONS(9631), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9899), 1,
      sym_identifier,
    STATE(4985), 1,
      sym_template_type,
    STATE(5219), 1,
      sym_field_declaration_list,
    STATE(5305), 1,
      sym__class_declaration_item,
    STATE(5307), 1,
      sym__class_declaration,
    STATE(6777), 1,
      sym_ms_declspec_modifier,
    STATE(7838), 1,
      sym__scope_resolution,
    STATE(8398), 1,
      sym_virtual_specifier,
    STATE(9264), 1,
      sym_base_class_clause,
    ACTIONS(2198), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(4824), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6845), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(10317), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(6579), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [215157] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7976), 1,
      anon_sym___attribute__,
    ACTIONS(7987), 1,
      anon_sym_DASH_GT,
    ACTIONS(9905), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9908), 1,
      anon_sym_LBRACK,
    ACTIONS(9920), 1,
      anon_sym_requires,
    STATE(6954), 1,
      sym__function_attributes_end,
    STATE(6978), 1,
      sym_trailing_return_type,
    STATE(8031), 1,
      sym_gnu_asm_expression,
    ACTIONS(7985), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9917), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6935), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(7085), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7174), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(7257), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9903), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
      anon_sym_try,
  [215220] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_AMP_AMP,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1486), 1,
      anon_sym_template,
    ACTIONS(2588), 1,
      anon_sym_operator,
    ACTIONS(2875), 1,
      anon_sym_LPAREN2,
    ACTIONS(2877), 1,
      anon_sym_TILDE,
    ACTIONS(2879), 1,
      anon_sym_STAR,
    ACTIONS(2881), 1,
      anon_sym_AMP,
    ACTIONS(3148), 1,
      anon_sym_decltype,
    ACTIONS(5573), 1,
      sym_identifier,
    ACTIONS(7243), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8030), 1,
      anon_sym_LBRACK,
    STATE(7003), 1,
      sym__scope_resolution,
    STATE(7958), 1,
      sym__declarator,
    STATE(10332), 1,
      sym_ms_based_modifier,
    STATE(10317), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(7680), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [215287] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1486), 1,
      anon_sym_template,
    ACTIONS(2194), 1,
      anon_sym_COLON,
    ACTIONS(3148), 1,
      anon_sym_decltype,
    ACTIONS(3904), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5581), 1,
      anon_sym___attribute__,
    ACTIONS(5585), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5587), 1,
      anon_sym___declspec,
    ACTIONS(5591), 1,
      anon_sym_alignas,
    ACTIONS(5929), 1,
      anon_sym_LBRACE,
    ACTIONS(9885), 1,
      sym_identifier,
    STATE(2999), 1,
      sym_template_type,
    STATE(3062), 1,
      sym__class_declaration,
    STATE(3066), 1,
      sym__class_declaration_item,
    STATE(3108), 1,
      sym_field_declaration_list,
    STATE(6853), 1,
      sym_ms_declspec_modifier,
    STATE(7887), 1,
      sym__scope_resolution,
    STATE(8205), 1,
      sym_virtual_specifier,
    STATE(9297), 1,
      sym_base_class_clause,
    ACTIONS(2198), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(3102), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6839), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(10317), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(6592), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [215366] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1486), 1,
      anon_sym_template,
    ACTIONS(2588), 1,
      anon_sym_operator,
    ACTIONS(2875), 1,
      anon_sym_LPAREN2,
    ACTIONS(2877), 1,
      anon_sym_TILDE,
    ACTIONS(3148), 1,
      anon_sym_decltype,
    ACTIONS(5573), 1,
      sym_identifier,
    ACTIONS(8030), 1,
      anon_sym_LBRACK,
    ACTIONS(8032), 1,
      anon_sym_STAR,
    ACTIONS(8034), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8036), 1,
      anon_sym_AMP,
    ACTIONS(8038), 1,
      anon_sym_COLON_COLON,
    STATE(7022), 1,
      sym__scope_resolution,
    STATE(7906), 1,
      sym__declarator,
    STATE(9540), 1,
      sym_ms_based_modifier,
    STATE(10317), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(7680), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [215433] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1486), 1,
      anon_sym_template,
    ACTIONS(2194), 1,
      anon_sym_COLON,
    ACTIONS(3148), 1,
      anon_sym_decltype,
    ACTIONS(5581), 1,
      anon_sym___attribute__,
    ACTIONS(5585), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5587), 1,
      anon_sym___declspec,
    ACTIONS(5591), 1,
      anon_sym_alignas,
    ACTIONS(5929), 1,
      anon_sym_LBRACE,
    ACTIONS(8402), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9885), 1,
      sym_identifier,
    STATE(2999), 1,
      sym_template_type,
    STATE(3066), 1,
      sym__class_declaration_item,
    STATE(3083), 1,
      sym__class_declaration,
    STATE(3108), 1,
      sym_field_declaration_list,
    STATE(6866), 1,
      sym_ms_declspec_modifier,
    STATE(7841), 1,
      sym__scope_resolution,
    STATE(8205), 1,
      sym_virtual_specifier,
    STATE(9297), 1,
      sym_base_class_clause,
    ACTIONS(2198), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(3239), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6865), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(10317), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(6589), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [215512] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1486), 1,
      anon_sym_template,
    ACTIONS(2194), 1,
      anon_sym_COLON,
    ACTIONS(3148), 1,
      anon_sym_decltype,
    ACTIONS(5581), 1,
      anon_sym___attribute__,
    ACTIONS(5585), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5587), 1,
      anon_sym___declspec,
    ACTIONS(5591), 1,
      anon_sym_alignas,
    ACTIONS(5929), 1,
      anon_sym_LBRACE,
    ACTIONS(8402), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9885), 1,
      sym_identifier,
    STATE(2999), 1,
      sym_template_type,
    STATE(3066), 1,
      sym__class_declaration_item,
    STATE(3069), 1,
      sym__class_declaration,
    STATE(3108), 1,
      sym_field_declaration_list,
    STATE(6866), 1,
      sym_ms_declspec_modifier,
    STATE(7841), 1,
      sym__scope_resolution,
    STATE(8205), 1,
      sym_virtual_specifier,
    STATE(9297), 1,
      sym_base_class_clause,
    ACTIONS(2198), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(3239), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6865), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(10317), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(6589), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [215591] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1486), 1,
      anon_sym_template,
    ACTIONS(2194), 1,
      anon_sym_COLON,
    ACTIONS(3148), 1,
      anon_sym_decltype,
    ACTIONS(5581), 1,
      anon_sym___attribute__,
    ACTIONS(5585), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5587), 1,
      anon_sym___declspec,
    ACTIONS(5591), 1,
      anon_sym_alignas,
    ACTIONS(5929), 1,
      anon_sym_LBRACE,
    ACTIONS(8402), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9885), 1,
      sym_identifier,
    STATE(2999), 1,
      sym_template_type,
    STATE(3062), 1,
      sym__class_declaration,
    STATE(3066), 1,
      sym__class_declaration_item,
    STATE(3108), 1,
      sym_field_declaration_list,
    STATE(6866), 1,
      sym_ms_declspec_modifier,
    STATE(7841), 1,
      sym__scope_resolution,
    STATE(8205), 1,
      sym_virtual_specifier,
    STATE(9297), 1,
      sym_base_class_clause,
    ACTIONS(2198), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(3239), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6865), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(10317), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(6589), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [215670] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1486), 1,
      anon_sym_template,
    ACTIONS(2588), 1,
      anon_sym_operator,
    ACTIONS(2875), 1,
      anon_sym_LPAREN2,
    ACTIONS(2877), 1,
      anon_sym_TILDE,
    ACTIONS(3148), 1,
      anon_sym_decltype,
    ACTIONS(8030), 1,
      anon_sym_LBRACK,
    ACTIONS(8052), 1,
      sym_identifier,
    ACTIONS(8054), 1,
      anon_sym_STAR,
    ACTIONS(8056), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8058), 1,
      anon_sym_AMP,
    ACTIONS(8060), 1,
      anon_sym_COLON_COLON,
    STATE(7024), 1,
      sym__scope_resolution,
    STATE(7622), 1,
      sym__declarator,
    STATE(9555), 1,
      sym_ms_based_modifier,
    STATE(10317), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(7680), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [215737] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7976), 1,
      anon_sym___attribute__,
    ACTIONS(7987), 1,
      anon_sym_DASH_GT,
    ACTIONS(9311), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9314), 1,
      anon_sym_LBRACK,
    ACTIONS(9319), 1,
      anon_sym_requires,
    STATE(6956), 1,
      sym__function_attributes_end,
    STATE(6993), 1,
      sym_trailing_return_type,
    STATE(8031), 1,
      sym_gnu_asm_expression,
    ACTIONS(7985), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9316), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6935), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(7085), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7174), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(7349), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9309), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
      anon_sym_try,
  [215800] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1486), 1,
      anon_sym_template,
    ACTIONS(2194), 1,
      anon_sym_COLON,
    ACTIONS(3148), 1,
      anon_sym_decltype,
    ACTIONS(5581), 1,
      anon_sym___attribute__,
    ACTIONS(5585), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5587), 1,
      anon_sym___declspec,
    ACTIONS(5591), 1,
      anon_sym_alignas,
    ACTIONS(7247), 1,
      anon_sym_LBRACE,
    ACTIONS(8416), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9915), 1,
      sym_identifier,
    STATE(3817), 1,
      sym_template_type,
    STATE(3830), 1,
      sym_field_declaration_list,
    STATE(3970), 1,
      sym__class_declaration,
    STATE(4030), 1,
      sym__class_declaration_item,
    STATE(6875), 1,
      sym_ms_declspec_modifier,
    STATE(7845), 1,
      sym__scope_resolution,
    STATE(8339), 1,
      sym_virtual_specifier,
    STATE(9374), 1,
      sym_base_class_clause,
    ACTIONS(2198), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(3698), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6874), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(10317), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(6600), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [215879] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1486), 1,
      anon_sym_template,
    ACTIONS(2588), 1,
      anon_sym_operator,
    ACTIONS(2875), 1,
      anon_sym_LPAREN2,
    ACTIONS(2877), 1,
      anon_sym_TILDE,
    ACTIONS(3148), 1,
      anon_sym_decltype,
    ACTIONS(8030), 1,
      anon_sym_LBRACK,
    ACTIONS(8052), 1,
      sym_identifier,
    ACTIONS(8054), 1,
      anon_sym_STAR,
    ACTIONS(8056), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8058), 1,
      anon_sym_AMP,
    ACTIONS(8060), 1,
      anon_sym_COLON_COLON,
    STATE(7024), 1,
      sym__scope_resolution,
    STATE(7761), 1,
      sym__declarator,
    STATE(9555), 1,
      sym_ms_based_modifier,
    STATE(10317), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(7680), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [215946] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1486), 1,
      anon_sym_template,
    ACTIONS(2194), 1,
      anon_sym_COLON,
    ACTIONS(3148), 1,
      anon_sym_decltype,
    ACTIONS(5581), 1,
      anon_sym___attribute__,
    ACTIONS(5585), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5587), 1,
      anon_sym___declspec,
    ACTIONS(5591), 1,
      anon_sym_alignas,
    ACTIONS(7247), 1,
      anon_sym_LBRACE,
    ACTIONS(9793), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9889), 1,
      sym_identifier,
    STATE(3817), 1,
      sym_template_type,
    STATE(3830), 1,
      sym_field_declaration_list,
    STATE(4024), 1,
      sym__class_declaration,
    STATE(4030), 1,
      sym__class_declaration_item,
    STATE(6817), 1,
      sym_ms_declspec_modifier,
    STATE(7839), 1,
      sym__scope_resolution,
    STATE(8339), 1,
      sym_virtual_specifier,
    STATE(9374), 1,
      sym_base_class_clause,
    ACTIONS(2198), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(3698), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6816), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(10317), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(6584), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [216025] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1486), 1,
      anon_sym_template,
    ACTIONS(2194), 1,
      anon_sym_COLON,
    ACTIONS(3148), 1,
      anon_sym_decltype,
    ACTIONS(5581), 1,
      anon_sym___attribute__,
    ACTIONS(5585), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5587), 1,
      anon_sym___declspec,
    ACTIONS(5591), 1,
      anon_sym_alignas,
    ACTIONS(7247), 1,
      anon_sym_LBRACE,
    ACTIONS(8416), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9915), 1,
      sym_identifier,
    STATE(3817), 1,
      sym_template_type,
    STATE(3830), 1,
      sym_field_declaration_list,
    STATE(4024), 1,
      sym__class_declaration,
    STATE(4030), 1,
      sym__class_declaration_item,
    STATE(6875), 1,
      sym_ms_declspec_modifier,
    STATE(7845), 1,
      sym__scope_resolution,
    STATE(8339), 1,
      sym_virtual_specifier,
    STATE(9374), 1,
      sym_base_class_clause,
    ACTIONS(2198), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(3698), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6874), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(10317), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(6600), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [216104] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1486), 1,
      anon_sym_template,
    ACTIONS(2588), 1,
      anon_sym_operator,
    ACTIONS(2875), 1,
      anon_sym_LPAREN2,
    ACTIONS(2877), 1,
      anon_sym_TILDE,
    ACTIONS(3148), 1,
      anon_sym_decltype,
    ACTIONS(8030), 1,
      anon_sym_LBRACK,
    ACTIONS(8052), 1,
      sym_identifier,
    ACTIONS(8054), 1,
      anon_sym_STAR,
    ACTIONS(8056), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8058), 1,
      anon_sym_AMP,
    ACTIONS(8060), 1,
      anon_sym_COLON_COLON,
    STATE(7024), 1,
      sym__scope_resolution,
    STATE(7705), 1,
      sym__declarator,
    STATE(9555), 1,
      sym_ms_based_modifier,
    STATE(10317), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(7680), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [216171] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1486), 1,
      anon_sym_template,
    ACTIONS(2194), 1,
      anon_sym_COLON,
    ACTIONS(3148), 1,
      anon_sym_decltype,
    ACTIONS(5581), 1,
      anon_sym___attribute__,
    ACTIONS(5585), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5587), 1,
      anon_sym___declspec,
    ACTIONS(5591), 1,
      anon_sym_alignas,
    ACTIONS(6974), 1,
      anon_sym_LBRACE,
    ACTIONS(9725), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9879), 1,
      sym_identifier,
    STATE(3736), 1,
      sym_template_type,
    STATE(3959), 1,
      sym_field_declaration_list,
    STATE(4151), 1,
      sym__class_declaration,
    STATE(4152), 1,
      sym__class_declaration_item,
    STATE(6819), 1,
      sym_ms_declspec_modifier,
    STATE(7844), 1,
      sym__scope_resolution,
    STATE(8212), 1,
      sym_virtual_specifier,
    STATE(9298), 1,
      sym_base_class_clause,
    ACTIONS(2198), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(3556), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6821), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(10317), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(6599), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [216250] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1486), 1,
      anon_sym_template,
    ACTIONS(2194), 1,
      anon_sym_COLON,
    ACTIONS(3148), 1,
      anon_sym_decltype,
    ACTIONS(5581), 1,
      anon_sym___attribute__,
    ACTIONS(5585), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5587), 1,
      anon_sym___declspec,
    ACTIONS(5591), 1,
      anon_sym_alignas,
    ACTIONS(8153), 1,
      anon_sym_LBRACE,
    ACTIONS(9631), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9899), 1,
      sym_identifier,
    STATE(4985), 1,
      sym_template_type,
    STATE(5219), 1,
      sym_field_declaration_list,
    STATE(5305), 1,
      sym__class_declaration_item,
    STATE(5316), 1,
      sym__class_declaration,
    STATE(6777), 1,
      sym_ms_declspec_modifier,
    STATE(7838), 1,
      sym__scope_resolution,
    STATE(8398), 1,
      sym_virtual_specifier,
    STATE(9264), 1,
      sym_base_class_clause,
    ACTIONS(2198), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(4824), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6845), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(10317), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(6579), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [216329] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1486), 1,
      anon_sym_template,
    ACTIONS(2588), 1,
      anon_sym_operator,
    ACTIONS(2875), 1,
      anon_sym_LPAREN2,
    ACTIONS(2877), 1,
      anon_sym_TILDE,
    ACTIONS(3148), 1,
      anon_sym_decltype,
    ACTIONS(8030), 1,
      anon_sym_LBRACK,
    ACTIONS(8052), 1,
      sym_identifier,
    ACTIONS(8054), 1,
      anon_sym_STAR,
    ACTIONS(8056), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8058), 1,
      anon_sym_AMP,
    ACTIONS(8060), 1,
      anon_sym_COLON_COLON,
    STATE(7024), 1,
      sym__scope_resolution,
    STATE(7714), 1,
      sym__declarator,
    STATE(9555), 1,
      sym_ms_based_modifier,
    STATE(10317), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(7680), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [216396] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1486), 1,
      anon_sym_template,
    ACTIONS(2194), 1,
      anon_sym_COLON,
    ACTIONS(3148), 1,
      anon_sym_decltype,
    ACTIONS(3904), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5581), 1,
      anon_sym___attribute__,
    ACTIONS(5585), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5587), 1,
      anon_sym___declspec,
    ACTIONS(5591), 1,
      anon_sym_alignas,
    ACTIONS(5929), 1,
      anon_sym_LBRACE,
    ACTIONS(9885), 1,
      sym_identifier,
    STATE(2999), 1,
      sym_template_type,
    STATE(3066), 1,
      sym__class_declaration_item,
    STATE(3083), 1,
      sym__class_declaration,
    STATE(3108), 1,
      sym_field_declaration_list,
    STATE(6853), 1,
      sym_ms_declspec_modifier,
    STATE(7887), 1,
      sym__scope_resolution,
    STATE(8205), 1,
      sym_virtual_specifier,
    STATE(9297), 1,
      sym_base_class_clause,
    ACTIONS(2198), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(3102), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6839), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(10317), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(6592), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [216475] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1486), 1,
      anon_sym_template,
    ACTIONS(2588), 1,
      anon_sym_operator,
    ACTIONS(2875), 1,
      anon_sym_LPAREN2,
    ACTIONS(2877), 1,
      anon_sym_TILDE,
    ACTIONS(3148), 1,
      anon_sym_decltype,
    ACTIONS(8030), 1,
      anon_sym_LBRACK,
    ACTIONS(8052), 1,
      sym_identifier,
    ACTIONS(8054), 1,
      anon_sym_STAR,
    ACTIONS(8056), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8058), 1,
      anon_sym_AMP,
    ACTIONS(8060), 1,
      anon_sym_COLON_COLON,
    STATE(7024), 1,
      sym__scope_resolution,
    STATE(7642), 1,
      sym__declarator,
    STATE(9555), 1,
      sym_ms_based_modifier,
    STATE(10317), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(7680), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [216542] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1486), 1,
      anon_sym_template,
    ACTIONS(2194), 1,
      anon_sym_COLON,
    ACTIONS(3148), 1,
      anon_sym_decltype,
    ACTIONS(5581), 1,
      anon_sym___attribute__,
    ACTIONS(5585), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5587), 1,
      anon_sym___declspec,
    ACTIONS(5591), 1,
      anon_sym_alignas,
    ACTIONS(8364), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9569), 1,
      anon_sym_LBRACE,
    ACTIONS(9893), 1,
      sym_identifier,
    STATE(6081), 1,
      sym_template_type,
    STATE(6211), 1,
      sym_field_declaration_list,
    STATE(6364), 1,
      sym__class_declaration,
    STATE(6367), 1,
      sym__class_declaration_item,
    STATE(6878), 1,
      sym_ms_declspec_modifier,
    STATE(7852), 1,
      sym__scope_resolution,
    STATE(8397), 1,
      sym_virtual_specifier,
    STATE(9263), 1,
      sym_base_class_clause,
    ACTIONS(2198), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6076), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6877), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(10317), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(6585), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [216621] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1486), 1,
      anon_sym_template,
    ACTIONS(2194), 1,
      anon_sym_COLON,
    ACTIONS(3148), 1,
      anon_sym_decltype,
    ACTIONS(3904), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5581), 1,
      anon_sym___attribute__,
    ACTIONS(5585), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5587), 1,
      anon_sym___declspec,
    ACTIONS(5591), 1,
      anon_sym_alignas,
    ACTIONS(5929), 1,
      anon_sym_LBRACE,
    ACTIONS(9885), 1,
      sym_identifier,
    STATE(2999), 1,
      sym_template_type,
    STATE(3066), 1,
      sym__class_declaration_item,
    STATE(3083), 1,
      sym__class_declaration,
    STATE(3108), 1,
      sym_field_declaration_list,
    STATE(6853), 1,
      sym_ms_declspec_modifier,
    STATE(7887), 1,
      sym__scope_resolution,
    STATE(8205), 1,
      sym_virtual_specifier,
    STATE(9297), 1,
      sym_base_class_clause,
    ACTIONS(2198), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(3103), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6839), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(10317), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(6592), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [216700] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1486), 1,
      anon_sym_template,
    ACTIONS(2588), 1,
      anon_sym_operator,
    ACTIONS(2875), 1,
      anon_sym_LPAREN2,
    ACTIONS(2877), 1,
      anon_sym_TILDE,
    ACTIONS(3148), 1,
      anon_sym_decltype,
    ACTIONS(5573), 1,
      sym_identifier,
    ACTIONS(8030), 1,
      anon_sym_LBRACK,
    ACTIONS(8032), 1,
      anon_sym_STAR,
    ACTIONS(8034), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8036), 1,
      anon_sym_AMP,
    ACTIONS(8038), 1,
      anon_sym_COLON_COLON,
    STATE(7022), 1,
      sym__scope_resolution,
    STATE(7909), 1,
      sym__declarator,
    STATE(9540), 1,
      sym_ms_based_modifier,
    STATE(10317), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(7680), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [216767] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1486), 1,
      anon_sym_template,
    ACTIONS(2194), 1,
      anon_sym_COLON,
    ACTIONS(3148), 1,
      anon_sym_decltype,
    ACTIONS(3904), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5581), 1,
      anon_sym___attribute__,
    ACTIONS(5585), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5587), 1,
      anon_sym___declspec,
    ACTIONS(5591), 1,
      anon_sym_alignas,
    ACTIONS(5929), 1,
      anon_sym_LBRACE,
    ACTIONS(9885), 1,
      sym_identifier,
    STATE(2999), 1,
      sym_template_type,
    STATE(3066), 1,
      sym__class_declaration_item,
    STATE(3069), 1,
      sym__class_declaration,
    STATE(3108), 1,
      sym_field_declaration_list,
    STATE(6853), 1,
      sym_ms_declspec_modifier,
    STATE(7887), 1,
      sym__scope_resolution,
    STATE(8205), 1,
      sym_virtual_specifier,
    STATE(9297), 1,
      sym_base_class_clause,
    ACTIONS(2198), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(3103), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6839), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(10317), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(6592), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [216846] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1486), 1,
      anon_sym_template,
    ACTIONS(2588), 1,
      anon_sym_operator,
    ACTIONS(2875), 1,
      anon_sym_LPAREN2,
    ACTIONS(2877), 1,
      anon_sym_TILDE,
    ACTIONS(3148), 1,
      anon_sym_decltype,
    ACTIONS(6738), 1,
      sym_identifier,
    ACTIONS(8030), 1,
      anon_sym_LBRACK,
    ACTIONS(8040), 1,
      anon_sym_STAR,
    ACTIONS(8042), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8044), 1,
      anon_sym_AMP,
    ACTIONS(8046), 1,
      anon_sym_COLON_COLON,
    STATE(7070), 1,
      sym__scope_resolution,
    STATE(7827), 1,
      sym__declarator,
    STATE(9456), 1,
      sym_ms_based_modifier,
    STATE(10317), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(7680), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [216913] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1486), 1,
      anon_sym_template,
    ACTIONS(2194), 1,
      anon_sym_COLON,
    ACTIONS(3148), 1,
      anon_sym_decltype,
    ACTIONS(4569), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5581), 1,
      anon_sym___attribute__,
    ACTIONS(5585), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5587), 1,
      anon_sym___declspec,
    ACTIONS(5591), 1,
      anon_sym_alignas,
    ACTIONS(5929), 1,
      anon_sym_LBRACE,
    ACTIONS(9923), 1,
      sym_identifier,
    STATE(2999), 1,
      sym_template_type,
    STATE(3066), 1,
      sym__class_declaration_item,
    STATE(3083), 1,
      sym__class_declaration,
    STATE(3108), 1,
      sym_field_declaration_list,
    STATE(6861), 1,
      sym_ms_declspec_modifier,
    STATE(7879), 1,
      sym__scope_resolution,
    STATE(8205), 1,
      sym_virtual_specifier,
    STATE(9297), 1,
      sym_base_class_clause,
    ACTIONS(2198), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(3022), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6860), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(10317), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(6583), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [216992] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1486), 1,
      anon_sym_template,
    ACTIONS(2194), 1,
      anon_sym_COLON,
    ACTIONS(3148), 1,
      anon_sym_decltype,
    ACTIONS(3904), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5581), 1,
      anon_sym___attribute__,
    ACTIONS(5585), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5587), 1,
      anon_sym___declspec,
    ACTIONS(5591), 1,
      anon_sym_alignas,
    ACTIONS(5929), 1,
      anon_sym_LBRACE,
    ACTIONS(9885), 1,
      sym_identifier,
    STATE(2999), 1,
      sym_template_type,
    STATE(3062), 1,
      sym__class_declaration,
    STATE(3066), 1,
      sym__class_declaration_item,
    STATE(3108), 1,
      sym_field_declaration_list,
    STATE(6853), 1,
      sym_ms_declspec_modifier,
    STATE(7887), 1,
      sym__scope_resolution,
    STATE(8205), 1,
      sym_virtual_specifier,
    STATE(9297), 1,
      sym_base_class_clause,
    ACTIONS(2198), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(3105), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6839), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(10317), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(6592), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [217071] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1486), 1,
      anon_sym_template,
    ACTIONS(2194), 1,
      anon_sym_COLON,
    ACTIONS(3148), 1,
      anon_sym_decltype,
    ACTIONS(4569), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5581), 1,
      anon_sym___attribute__,
    ACTIONS(5585), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5587), 1,
      anon_sym___declspec,
    ACTIONS(5591), 1,
      anon_sym_alignas,
    ACTIONS(5929), 1,
      anon_sym_LBRACE,
    ACTIONS(9923), 1,
      sym_identifier,
    STATE(2999), 1,
      sym_template_type,
    STATE(3066), 1,
      sym__class_declaration_item,
    STATE(3069), 1,
      sym__class_declaration,
    STATE(3108), 1,
      sym_field_declaration_list,
    STATE(6861), 1,
      sym_ms_declspec_modifier,
    STATE(7879), 1,
      sym__scope_resolution,
    STATE(8205), 1,
      sym_virtual_specifier,
    STATE(9297), 1,
      sym_base_class_clause,
    ACTIONS(2198), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(3022), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6860), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(10317), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(6583), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [217150] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1486), 1,
      anon_sym_template,
    ACTIONS(2194), 1,
      anon_sym_COLON,
    ACTIONS(3148), 1,
      anon_sym_decltype,
    ACTIONS(5581), 1,
      anon_sym___attribute__,
    ACTIONS(5585), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5587), 1,
      anon_sym___declspec,
    ACTIONS(5591), 1,
      anon_sym_alignas,
    ACTIONS(6857), 1,
      anon_sym_LBRACE,
    ACTIONS(9747), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9925), 1,
      sym_identifier,
    STATE(3248), 1,
      sym_template_type,
    STATE(3273), 1,
      sym__class_declaration_item,
    STATE(3302), 1,
      sym__class_declaration,
    STATE(3711), 1,
      sym_field_declaration_list,
    STATE(6857), 1,
      sym_ms_declspec_modifier,
    STATE(7875), 1,
      sym__scope_resolution,
    STATE(8392), 1,
      sym_virtual_specifier,
    STATE(9213), 1,
      sym_base_class_clause,
    ACTIONS(2198), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(3505), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6856), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(10317), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(6594), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [217229] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1486), 1,
      anon_sym_template,
    ACTIONS(2194), 1,
      anon_sym_COLON,
    ACTIONS(3148), 1,
      anon_sym_decltype,
    ACTIONS(5581), 1,
      anon_sym___attribute__,
    ACTIONS(5585), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5587), 1,
      anon_sym___declspec,
    ACTIONS(5591), 1,
      anon_sym_alignas,
    ACTIONS(6857), 1,
      anon_sym_LBRACE,
    ACTIONS(9747), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9925), 1,
      sym_identifier,
    STATE(3248), 1,
      sym_template_type,
    STATE(3272), 1,
      sym__class_declaration,
    STATE(3273), 1,
      sym__class_declaration_item,
    STATE(3711), 1,
      sym_field_declaration_list,
    STATE(6857), 1,
      sym_ms_declspec_modifier,
    STATE(7875), 1,
      sym__scope_resolution,
    STATE(8392), 1,
      sym_virtual_specifier,
    STATE(9213), 1,
      sym_base_class_clause,
    ACTIONS(2198), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(3505), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6856), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(10317), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(6594), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [217308] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1486), 1,
      anon_sym_template,
    ACTIONS(2194), 1,
      anon_sym_COLON,
    ACTIONS(3148), 1,
      anon_sym_decltype,
    ACTIONS(5581), 1,
      anon_sym___attribute__,
    ACTIONS(5585), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5587), 1,
      anon_sym___declspec,
    ACTIONS(5591), 1,
      anon_sym_alignas,
    ACTIONS(6857), 1,
      anon_sym_LBRACE,
    ACTIONS(9747), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9925), 1,
      sym_identifier,
    STATE(3248), 1,
      sym_template_type,
    STATE(3273), 1,
      sym__class_declaration_item,
    STATE(3278), 1,
      sym__class_declaration,
    STATE(3711), 1,
      sym_field_declaration_list,
    STATE(6857), 1,
      sym_ms_declspec_modifier,
    STATE(7875), 1,
      sym__scope_resolution,
    STATE(8392), 1,
      sym_virtual_specifier,
    STATE(9213), 1,
      sym_base_class_clause,
    ACTIONS(2198), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(3505), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6856), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(10317), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(6594), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [217387] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7976), 1,
      anon_sym___attribute__,
    ACTIONS(7989), 1,
      anon_sym_noexcept,
    ACTIONS(7991), 1,
      anon_sym_throw,
    ACTIONS(8178), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8243), 1,
      anon_sym_DASH_GT,
    ACTIONS(9576), 1,
      anon_sym_LBRACK,
    ACTIONS(9912), 1,
      anon_sym_requires,
    STATE(7415), 1,
      sym__function_attributes_end,
    STATE(7486), 1,
      sym_trailing_return_type,
    STATE(8031), 1,
      sym_gnu_asm_expression,
    ACTIONS(7985), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9842), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6935), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(7085), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7234), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(7392), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(6693), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(9571), 4,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_GT2,
  [217456] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1486), 1,
      anon_sym_template,
    ACTIONS(2588), 1,
      anon_sym_operator,
    ACTIONS(2875), 1,
      anon_sym_LPAREN2,
    ACTIONS(2877), 1,
      anon_sym_TILDE,
    ACTIONS(3148), 1,
      anon_sym_decltype,
    ACTIONS(6738), 1,
      sym_identifier,
    ACTIONS(8030), 1,
      anon_sym_LBRACK,
    ACTIONS(8040), 1,
      anon_sym_STAR,
    ACTIONS(8042), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8044), 1,
      anon_sym_AMP,
    ACTIONS(8046), 1,
      anon_sym_COLON_COLON,
    STATE(7070), 1,
      sym__scope_resolution,
    STATE(7784), 1,
      sym__declarator,
    STATE(9456), 1,
      sym_ms_based_modifier,
    STATE(10317), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(7680), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [217523] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1486), 1,
      anon_sym_template,
    ACTIONS(2588), 1,
      anon_sym_operator,
    ACTIONS(2875), 1,
      anon_sym_LPAREN2,
    ACTIONS(2877), 1,
      anon_sym_TILDE,
    ACTIONS(3148), 1,
      anon_sym_decltype,
    ACTIONS(8030), 1,
      anon_sym_LBRACK,
    ACTIONS(8052), 1,
      sym_identifier,
    ACTIONS(8054), 1,
      anon_sym_STAR,
    ACTIONS(8056), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8058), 1,
      anon_sym_AMP,
    ACTIONS(8060), 1,
      anon_sym_COLON_COLON,
    STATE(7024), 1,
      sym__scope_resolution,
    STATE(7765), 1,
      sym__declarator,
    STATE(9555), 1,
      sym_ms_based_modifier,
    STATE(10317), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(7680), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [217590] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1486), 1,
      anon_sym_template,
    ACTIONS(2194), 1,
      anon_sym_COLON,
    ACTIONS(3148), 1,
      anon_sym_decltype,
    ACTIONS(4569), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5581), 1,
      anon_sym___attribute__,
    ACTIONS(5585), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5587), 1,
      anon_sym___declspec,
    ACTIONS(5591), 1,
      anon_sym_alignas,
    ACTIONS(5929), 1,
      anon_sym_LBRACE,
    ACTIONS(9923), 1,
      sym_identifier,
    STATE(2999), 1,
      sym_template_type,
    STATE(3062), 1,
      sym__class_declaration,
    STATE(3066), 1,
      sym__class_declaration_item,
    STATE(3108), 1,
      sym_field_declaration_list,
    STATE(6861), 1,
      sym_ms_declspec_modifier,
    STATE(7879), 1,
      sym__scope_resolution,
    STATE(8205), 1,
      sym_virtual_specifier,
    STATE(9297), 1,
      sym_base_class_clause,
    ACTIONS(2198), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(3022), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6860), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(10317), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(6583), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [217669] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(41), 1,
      anon_sym___attribute__,
    ACTIONS(7112), 1,
      anon_sym_LBRACE,
    ACTIONS(9910), 1,
      anon_sym_COLON,
    STATE(3287), 1,
      sym_attribute_specifier,
    STATE(6623), 1,
      sym__enum_base_clause,
    STATE(6672), 1,
      sym_enumerator_list,
    ACTIONS(6358), 2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
    ACTIONS(6356), 21,
      anon_sym___extension__,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
  [217718] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1486), 1,
      anon_sym_template,
    ACTIONS(2194), 1,
      anon_sym_COLON,
    ACTIONS(3148), 1,
      anon_sym_decltype,
    ACTIONS(3904), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5581), 1,
      anon_sym___attribute__,
    ACTIONS(5585), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5587), 1,
      anon_sym___declspec,
    ACTIONS(5591), 1,
      anon_sym_alignas,
    ACTIONS(5929), 1,
      anon_sym_LBRACE,
    ACTIONS(9885), 1,
      sym_identifier,
    STATE(2999), 1,
      sym_template_type,
    STATE(3062), 1,
      sym__class_declaration,
    STATE(3066), 1,
      sym__class_declaration_item,
    STATE(3108), 1,
      sym_field_declaration_list,
    STATE(6853), 1,
      sym_ms_declspec_modifier,
    STATE(7887), 1,
      sym__scope_resolution,
    STATE(8205), 1,
      sym_virtual_specifier,
    STATE(9297), 1,
      sym_base_class_clause,
    ACTIONS(2198), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(3103), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6839), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(10317), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(6592), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [217797] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1486), 1,
      anon_sym_template,
    ACTIONS(2194), 1,
      anon_sym_COLON,
    ACTIONS(3148), 1,
      anon_sym_decltype,
    ACTIONS(5581), 1,
      anon_sym___attribute__,
    ACTIONS(5585), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5587), 1,
      anon_sym___declspec,
    ACTIONS(5591), 1,
      anon_sym_alignas,
    ACTIONS(6974), 1,
      anon_sym_LBRACE,
    ACTIONS(9725), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9879), 1,
      sym_identifier,
    STATE(3736), 1,
      sym_template_type,
    STATE(3959), 1,
      sym_field_declaration_list,
    STATE(4152), 1,
      sym__class_declaration_item,
    STATE(4168), 1,
      sym__class_declaration,
    STATE(6819), 1,
      sym_ms_declspec_modifier,
    STATE(7844), 1,
      sym__scope_resolution,
    STATE(8212), 1,
      sym_virtual_specifier,
    STATE(9298), 1,
      sym_base_class_clause,
    ACTIONS(2198), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(3556), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6821), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(10317), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(6599), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [217876] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7976), 1,
      anon_sym___attribute__,
    ACTIONS(7987), 1,
      anon_sym_DASH_GT,
    ACTIONS(9573), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9576), 1,
      anon_sym_LBRACK,
    ACTIONS(9581), 1,
      anon_sym_requires,
    STATE(6953), 1,
      sym__function_attributes_end,
    STATE(6989), 1,
      sym_trailing_return_type,
    STATE(8031), 1,
      sym_gnu_asm_expression,
    ACTIONS(7985), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9578), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6935), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(7085), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7174), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(7305), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9571), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
      anon_sym_try,
  [217939] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7976), 1,
      anon_sym___attribute__,
    ACTIONS(7989), 1,
      anon_sym_noexcept,
    ACTIONS(7991), 1,
      anon_sym_throw,
    ACTIONS(8178), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8243), 1,
      anon_sym_DASH_GT,
    ACTIONS(9314), 1,
      anon_sym_LBRACK,
    ACTIONS(9720), 1,
      anon_sym_requires,
    STATE(7416), 1,
      sym__function_attributes_end,
    STATE(7488), 1,
      sym_trailing_return_type,
    STATE(8031), 1,
      sym_gnu_asm_expression,
    ACTIONS(7985), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9601), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6935), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(7085), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7234), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(7404), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(6695), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(9309), 4,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_GT2,
  [218008] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1486), 1,
      anon_sym_template,
    ACTIONS(2588), 1,
      anon_sym_operator,
    ACTIONS(2875), 1,
      anon_sym_LPAREN2,
    ACTIONS(2877), 1,
      anon_sym_TILDE,
    ACTIONS(3148), 1,
      anon_sym_decltype,
    ACTIONS(6738), 1,
      sym_identifier,
    ACTIONS(6750), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8030), 1,
      anon_sym_LBRACK,
    ACTIONS(8065), 1,
      anon_sym_STAR,
    ACTIONS(8067), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8069), 1,
      anon_sym_AMP,
    STATE(7058), 1,
      sym__scope_resolution,
    STATE(7343), 1,
      sym__declarator,
    STATE(9827), 1,
      sym_ms_based_modifier,
    STATE(10317), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(7680), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [218075] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1486), 1,
      anon_sym_template,
    ACTIONS(2194), 1,
      anon_sym_COLON,
    ACTIONS(3148), 1,
      anon_sym_decltype,
    ACTIONS(3904), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5581), 1,
      anon_sym___attribute__,
    ACTIONS(5585), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5587), 1,
      anon_sym___declspec,
    ACTIONS(5591), 1,
      anon_sym_alignas,
    ACTIONS(5929), 1,
      anon_sym_LBRACE,
    ACTIONS(9885), 1,
      sym_identifier,
    STATE(2999), 1,
      sym_template_type,
    STATE(3066), 1,
      sym__class_declaration_item,
    STATE(3069), 1,
      sym__class_declaration,
    STATE(3108), 1,
      sym_field_declaration_list,
    STATE(6853), 1,
      sym_ms_declspec_modifier,
    STATE(7887), 1,
      sym__scope_resolution,
    STATE(8205), 1,
      sym_virtual_specifier,
    STATE(9297), 1,
      sym_base_class_clause,
    ACTIONS(2198), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(3105), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6839), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(10317), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(6592), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [218154] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1486), 1,
      anon_sym_template,
    ACTIONS(2194), 1,
      anon_sym_COLON,
    ACTIONS(3148), 1,
      anon_sym_decltype,
    ACTIONS(5581), 1,
      anon_sym___attribute__,
    ACTIONS(5585), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5587), 1,
      anon_sym___declspec,
    ACTIONS(5591), 1,
      anon_sym_alignas,
    ACTIONS(8402), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9528), 1,
      anon_sym_LBRACE,
    ACTIONS(9885), 1,
      sym_identifier,
    STATE(2999), 1,
      sym_template_type,
    STATE(6151), 1,
      sym_field_declaration_list,
    STATE(6197), 1,
      sym__class_declaration_item,
    STATE(6242), 1,
      sym__class_declaration,
    STATE(6830), 1,
      sym_ms_declspec_modifier,
    STATE(7841), 1,
      sym__scope_resolution,
    STATE(8171), 1,
      sym_virtual_specifier,
    STATE(9025), 1,
      sym_base_class_clause,
    ACTIONS(2198), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5969), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6831), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(10317), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(6611), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [218233] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1486), 1,
      anon_sym_template,
    ACTIONS(2194), 1,
      anon_sym_COLON,
    ACTIONS(3148), 1,
      anon_sym_decltype,
    ACTIONS(5581), 1,
      anon_sym___attribute__,
    ACTIONS(5585), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5587), 1,
      anon_sym___declspec,
    ACTIONS(5591), 1,
      anon_sym_alignas,
    ACTIONS(6760), 1,
      anon_sym_LBRACE,
    ACTIONS(9653), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9927), 1,
      sym_identifier,
    STATE(3615), 1,
      sym_template_type,
    STATE(3757), 1,
      sym_field_declaration_list,
    STATE(3919), 1,
      sym__class_declaration,
    STATE(3957), 1,
      sym__class_declaration_item,
    STATE(6789), 1,
      sym_ms_declspec_modifier,
    STATE(7837), 1,
      sym__scope_resolution,
    STATE(8328), 1,
      sym_virtual_specifier,
    STATE(9174), 1,
      sym_base_class_clause,
    ACTIONS(2198), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(3435), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6795), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(10317), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(6609), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [218312] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7976), 1,
      anon_sym___attribute__,
    ACTIONS(7989), 1,
      anon_sym_noexcept,
    ACTIONS(7991), 1,
      anon_sym_throw,
    ACTIONS(8178), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8220), 1,
      anon_sym_requires,
    ACTIONS(8270), 1,
      anon_sym_DASH_GT,
    ACTIONS(9314), 1,
      anon_sym_LBRACK,
    STATE(7381), 1,
      sym__function_attributes_end,
    STATE(7427), 1,
      sym_trailing_return_type,
    STATE(8031), 1,
      sym_gnu_asm_expression,
    ACTIONS(7985), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(8191), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6935), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(7085), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7234), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(7404), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(6688), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(9309), 4,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON,
  [218381] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1486), 1,
      anon_sym_template,
    ACTIONS(2588), 1,
      anon_sym_operator,
    ACTIONS(2875), 1,
      anon_sym_LPAREN2,
    ACTIONS(2877), 1,
      anon_sym_TILDE,
    ACTIONS(3148), 1,
      anon_sym_decltype,
    ACTIONS(8030), 1,
      anon_sym_LBRACK,
    ACTIONS(8052), 1,
      sym_identifier,
    ACTIONS(8054), 1,
      anon_sym_STAR,
    ACTIONS(8056), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8058), 1,
      anon_sym_AMP,
    ACTIONS(8060), 1,
      anon_sym_COLON_COLON,
    STATE(7024), 1,
      sym__scope_resolution,
    STATE(7651), 1,
      sym__declarator,
    STATE(9555), 1,
      sym_ms_based_modifier,
    STATE(10317), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(7680), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [218448] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1486), 1,
      anon_sym_template,
    ACTIONS(2194), 1,
      anon_sym_COLON,
    ACTIONS(3148), 1,
      anon_sym_decltype,
    ACTIONS(5581), 1,
      anon_sym___attribute__,
    ACTIONS(5585), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5587), 1,
      anon_sym___declspec,
    ACTIONS(5591), 1,
      anon_sym_alignas,
    ACTIONS(6760), 1,
      anon_sym_LBRACE,
    ACTIONS(9653), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9927), 1,
      sym_identifier,
    STATE(3615), 1,
      sym_template_type,
    STATE(3757), 1,
      sym_field_declaration_list,
    STATE(3924), 1,
      sym__class_declaration,
    STATE(3957), 1,
      sym__class_declaration_item,
    STATE(6789), 1,
      sym_ms_declspec_modifier,
    STATE(7837), 1,
      sym__scope_resolution,
    STATE(8328), 1,
      sym_virtual_specifier,
    STATE(9174), 1,
      sym_base_class_clause,
    ACTIONS(2198), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(3435), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6795), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(10317), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(6609), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [218527] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1486), 1,
      anon_sym_template,
    ACTIONS(2194), 1,
      anon_sym_COLON,
    ACTIONS(3148), 1,
      anon_sym_decltype,
    ACTIONS(5581), 1,
      anon_sym___attribute__,
    ACTIONS(5585), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5587), 1,
      anon_sym___declspec,
    ACTIONS(5591), 1,
      anon_sym_alignas,
    ACTIONS(6760), 1,
      anon_sym_LBRACE,
    ACTIONS(9653), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9927), 1,
      sym_identifier,
    STATE(3615), 1,
      sym_template_type,
    STATE(3757), 1,
      sym_field_declaration_list,
    STATE(3957), 1,
      sym__class_declaration_item,
    STATE(3958), 1,
      sym__class_declaration,
    STATE(6789), 1,
      sym_ms_declspec_modifier,
    STATE(7837), 1,
      sym__scope_resolution,
    STATE(8328), 1,
      sym_virtual_specifier,
    STATE(9174), 1,
      sym_base_class_clause,
    ACTIONS(2198), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(3435), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6795), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(10317), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(6609), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [218606] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8209), 1,
      anon_sym___attribute__,
    STATE(3070), 1,
      sym_attribute_specifier,
    ACTIONS(6208), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(6210), 23,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym___extension__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [218646] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8209), 1,
      anon_sym___attribute__,
    STATE(3077), 1,
      sym_attribute_specifier,
    ACTIONS(6224), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(6226), 23,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym___extension__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [218686] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4561), 1,
      anon_sym_LPAREN2,
    ACTIONS(8509), 1,
      anon_sym_LBRACK,
    ACTIONS(8511), 1,
      anon_sym_const,
    ACTIONS(8974), 1,
      anon_sym_COLON,
    ACTIONS(9522), 1,
      anon_sym_STAR,
    ACTIONS(9524), 1,
      anon_sym_AMP_AMP,
    ACTIONS(9526), 1,
      anon_sym_AMP,
    STATE(5014), 1,
      sym_parameter_list,
    STATE(7422), 1,
      sym__function_declarator_seq,
    STATE(8134), 1,
      sym__abstract_declarator,
    STATE(6616), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(7436), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8501), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [218744] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1486), 1,
      anon_sym_template,
    ACTIONS(2194), 1,
      anon_sym_COLON,
    ACTIONS(3148), 1,
      anon_sym_decltype,
    ACTIONS(5581), 1,
      anon_sym___attribute__,
    ACTIONS(5585), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5587), 1,
      anon_sym___declspec,
    ACTIONS(5591), 1,
      anon_sym_alignas,
    ACTIONS(8153), 1,
      anon_sym_LBRACE,
    ACTIONS(9631), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9899), 1,
      sym_identifier,
    STATE(4985), 1,
      sym_template_type,
    STATE(5219), 1,
      sym_field_declaration_list,
    STATE(5300), 1,
      sym__class_declaration_item,
    STATE(6780), 1,
      sym_ms_declspec_modifier,
    STATE(7838), 1,
      sym__scope_resolution,
    STATE(8398), 1,
      sym_virtual_specifier,
    STATE(9264), 1,
      sym_base_class_clause,
    ACTIONS(2198), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(4824), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6781), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(10317), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(7279), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [218820] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8209), 1,
      anon_sym___attribute__,
    STATE(3080), 1,
      sym_attribute_specifier,
    ACTIONS(6204), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(6206), 23,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym___extension__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [218860] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8209), 1,
      anon_sym___attribute__,
    STATE(3079), 1,
      sym_attribute_specifier,
    ACTIONS(6231), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(6233), 23,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym___extension__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [218900] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1486), 1,
      anon_sym_template,
    ACTIONS(2194), 1,
      anon_sym_COLON,
    ACTIONS(3148), 1,
      anon_sym_decltype,
    ACTIONS(5581), 1,
      anon_sym___attribute__,
    ACTIONS(5585), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5587), 1,
      anon_sym___declspec,
    ACTIONS(5591), 1,
      anon_sym_alignas,
    ACTIONS(7292), 1,
      anon_sym_LBRACE,
    ACTIONS(9675), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9897), 1,
      sym_identifier,
    STATE(3921), 1,
      sym_template_type,
    STATE(4226), 1,
      sym_field_declaration_list,
    STATE(4684), 1,
      sym__class_declaration_item,
    STATE(6775), 1,
      sym_ms_declspec_modifier,
    STATE(7854), 1,
      sym__scope_resolution,
    STATE(8272), 1,
      sym_virtual_specifier,
    STATE(9186), 1,
      sym_base_class_clause,
    ACTIONS(2198), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(3741), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6776), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(10317), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(7279), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [218976] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1486), 1,
      anon_sym_template,
    ACTIONS(2194), 1,
      anon_sym_COLON,
    ACTIONS(3148), 1,
      anon_sym_decltype,
    ACTIONS(4569), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5581), 1,
      anon_sym___attribute__,
    ACTIONS(5585), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5587), 1,
      anon_sym___declspec,
    ACTIONS(5591), 1,
      anon_sym_alignas,
    ACTIONS(5929), 1,
      anon_sym_LBRACE,
    ACTIONS(9923), 1,
      sym_identifier,
    STATE(2999), 1,
      sym_template_type,
    STATE(3071), 1,
      sym__class_declaration_item,
    STATE(3108), 1,
      sym_field_declaration_list,
    STATE(6786), 1,
      sym_ms_declspec_modifier,
    STATE(7879), 1,
      sym__scope_resolution,
    STATE(8205), 1,
      sym_virtual_specifier,
    STATE(9297), 1,
      sym_base_class_clause,
    ACTIONS(2198), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(3022), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6785), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(10317), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(7279), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [219052] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1486), 1,
      anon_sym_template,
    ACTIONS(2194), 1,
      anon_sym_COLON,
    ACTIONS(3148), 1,
      anon_sym_decltype,
    ACTIONS(5581), 1,
      anon_sym___attribute__,
    ACTIONS(5585), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5587), 1,
      anon_sym___declspec,
    ACTIONS(5591), 1,
      anon_sym_alignas,
    ACTIONS(7247), 1,
      anon_sym_LBRACE,
    ACTIONS(9793), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9889), 1,
      sym_identifier,
    STATE(3817), 1,
      sym_template_type,
    STATE(3830), 1,
      sym_field_declaration_list,
    STATE(4007), 1,
      sym__class_declaration_item,
    STATE(6811), 1,
      sym_ms_declspec_modifier,
    STATE(7839), 1,
      sym__scope_resolution,
    STATE(8339), 1,
      sym_virtual_specifier,
    STATE(9374), 1,
      sym_base_class_clause,
    ACTIONS(2198), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(3698), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6812), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(10317), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(7279), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [219128] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1486), 1,
      anon_sym_template,
    ACTIONS(2194), 1,
      anon_sym_COLON,
    ACTIONS(3148), 1,
      anon_sym_decltype,
    ACTIONS(5581), 1,
      anon_sym___attribute__,
    ACTIONS(5585), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5587), 1,
      anon_sym___declspec,
    ACTIONS(5591), 1,
      anon_sym_alignas,
    ACTIONS(8364), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9569), 1,
      anon_sym_LBRACE,
    ACTIONS(9893), 1,
      sym_identifier,
    STATE(6081), 1,
      sym_template_type,
    STATE(6211), 1,
      sym_field_declaration_list,
    STATE(6411), 1,
      sym__class_declaration_item,
    STATE(6842), 1,
      sym_ms_declspec_modifier,
    STATE(7852), 1,
      sym__scope_resolution,
    STATE(8397), 1,
      sym_virtual_specifier,
    STATE(9263), 1,
      sym_base_class_clause,
    ACTIONS(2198), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6076), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6844), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(10317), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(7279), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [219204] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4561), 1,
      anon_sym_LPAREN2,
    ACTIONS(8509), 1,
      anon_sym_LBRACK,
    ACTIONS(8511), 1,
      anon_sym_const,
    ACTIONS(8725), 1,
      anon_sym_COLON,
    ACTIONS(9522), 1,
      anon_sym_STAR,
    ACTIONS(9524), 1,
      anon_sym_AMP_AMP,
    ACTIONS(9526), 1,
      anon_sym_AMP,
    STATE(5014), 1,
      sym_parameter_list,
    STATE(7422), 1,
      sym__function_declarator_seq,
    STATE(8095), 1,
      sym__abstract_declarator,
    STATE(6616), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(7436), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8501), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [219262] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4561), 1,
      anon_sym_LPAREN2,
    ACTIONS(7395), 1,
      anon_sym_COLON,
    ACTIONS(8509), 1,
      anon_sym_LBRACK,
    ACTIONS(8511), 1,
      anon_sym_const,
    ACTIONS(9522), 1,
      anon_sym_STAR,
    ACTIONS(9524), 1,
      anon_sym_AMP_AMP,
    ACTIONS(9526), 1,
      anon_sym_AMP,
    STATE(5014), 1,
      sym_parameter_list,
    STATE(7422), 1,
      sym__function_declarator_seq,
    STATE(8016), 1,
      sym__abstract_declarator,
    STATE(6616), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(7436), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8501), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [219320] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8209), 1,
      anon_sym___attribute__,
    STATE(3072), 1,
      sym_attribute_specifier,
    ACTIONS(6212), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(6214), 23,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym___extension__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [219360] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1486), 1,
      anon_sym_template,
    ACTIONS(2194), 1,
      anon_sym_COLON,
    ACTIONS(3148), 1,
      anon_sym_decltype,
    ACTIONS(5581), 1,
      anon_sym___attribute__,
    ACTIONS(5585), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5587), 1,
      anon_sym___declspec,
    ACTIONS(5591), 1,
      anon_sym_alignas,
    ACTIONS(5929), 1,
      anon_sym_LBRACE,
    ACTIONS(8402), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9885), 1,
      sym_identifier,
    STATE(2999), 1,
      sym_template_type,
    STATE(3071), 1,
      sym__class_declaration_item,
    STATE(3108), 1,
      sym_field_declaration_list,
    STATE(6770), 1,
      sym_ms_declspec_modifier,
    STATE(7841), 1,
      sym__scope_resolution,
    STATE(8205), 1,
      sym_virtual_specifier,
    STATE(9297), 1,
      sym_base_class_clause,
    ACTIONS(2198), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(3239), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6787), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(10317), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(7279), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [219436] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8209), 1,
      anon_sym___attribute__,
    STATE(3087), 1,
      sym_attribute_specifier,
    ACTIONS(6216), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(6218), 23,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym___extension__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [219476] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8209), 1,
      anon_sym___attribute__,
    STATE(3075), 1,
      sym_attribute_specifier,
    ACTIONS(6189), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(6191), 23,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym___extension__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [219516] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1486), 1,
      anon_sym_template,
    ACTIONS(2194), 1,
      anon_sym_COLON,
    ACTIONS(3148), 1,
      anon_sym_decltype,
    ACTIONS(3904), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5581), 1,
      anon_sym___attribute__,
    ACTIONS(5585), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5587), 1,
      anon_sym___declspec,
    ACTIONS(5591), 1,
      anon_sym_alignas,
    ACTIONS(5929), 1,
      anon_sym_LBRACE,
    ACTIONS(9885), 1,
      sym_identifier,
    STATE(2999), 1,
      sym_template_type,
    STATE(3071), 1,
      sym__class_declaration_item,
    STATE(3108), 1,
      sym_field_declaration_list,
    STATE(6846), 1,
      sym_ms_declspec_modifier,
    STATE(7887), 1,
      sym__scope_resolution,
    STATE(8205), 1,
      sym_virtual_specifier,
    STATE(9297), 1,
      sym_base_class_clause,
    ACTIONS(2198), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(3022), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6843), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(10317), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(7279), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [219592] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8209), 1,
      anon_sym___attribute__,
    STATE(3060), 1,
      sym_attribute_specifier,
    ACTIONS(6235), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(6237), 23,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym___extension__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [219632] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1486), 1,
      anon_sym_template,
    ACTIONS(2194), 1,
      anon_sym_COLON,
    ACTIONS(3148), 1,
      anon_sym_decltype,
    ACTIONS(5581), 1,
      anon_sym___attribute__,
    ACTIONS(5585), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5587), 1,
      anon_sym___declspec,
    ACTIONS(5591), 1,
      anon_sym_alignas,
    ACTIONS(6857), 1,
      anon_sym_LBRACE,
    ACTIONS(9747), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9925), 1,
      sym_identifier,
    STATE(3248), 1,
      sym_template_type,
    STATE(3311), 1,
      sym__class_declaration_item,
    STATE(3711), 1,
      sym_field_declaration_list,
    STATE(6836), 1,
      sym_ms_declspec_modifier,
    STATE(7875), 1,
      sym__scope_resolution,
    STATE(8392), 1,
      sym_virtual_specifier,
    STATE(9213), 1,
      sym_base_class_clause,
    ACTIONS(2198), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(3505), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6840), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(10317), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(7279), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [219708] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1486), 1,
      anon_sym_template,
    ACTIONS(2194), 1,
      anon_sym_COLON,
    ACTIONS(3148), 1,
      anon_sym_decltype,
    ACTIONS(5581), 1,
      anon_sym___attribute__,
    ACTIONS(5585), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5587), 1,
      anon_sym___declspec,
    ACTIONS(5591), 1,
      anon_sym_alignas,
    ACTIONS(8334), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9528), 1,
      anon_sym_LBRACE,
    ACTIONS(9881), 1,
      sym_identifier,
    STATE(2999), 1,
      sym_template_type,
    STATE(6151), 1,
      sym_field_declaration_list,
    STATE(6186), 1,
      sym__class_declaration_item,
    STATE(6854), 1,
      sym_ms_declspec_modifier,
    STATE(7862), 1,
      sym__scope_resolution,
    STATE(8171), 1,
      sym_virtual_specifier,
    STATE(9025), 1,
      sym_base_class_clause,
    ACTIONS(2198), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5969), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6850), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(10317), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(7279), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [219784] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1486), 1,
      anon_sym_template,
    ACTIONS(2194), 1,
      anon_sym_COLON,
    ACTIONS(3148), 1,
      anon_sym_decltype,
    ACTIONS(5581), 1,
      anon_sym___attribute__,
    ACTIONS(5585), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5587), 1,
      anon_sym___declspec,
    ACTIONS(5591), 1,
      anon_sym_alignas,
    ACTIONS(6421), 1,
      anon_sym_LBRACE,
    ACTIONS(9761), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9887), 1,
      sym_identifier,
    STATE(3244), 1,
      sym_template_type,
    STATE(3336), 1,
      sym_field_declaration_list,
    STATE(3383), 1,
      sym__class_declaration_item,
    STATE(6822), 1,
      sym_ms_declspec_modifier,
    STATE(7878), 1,
      sym__scope_resolution,
    STATE(8435), 1,
      sym_virtual_specifier,
    STATE(9054), 1,
      sym_base_class_clause,
    ACTIONS(2198), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(3187), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6818), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(10317), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(7279), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [219860] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4094), 1,
      anon_sym_LBRACE,
    ACTIONS(6261), 1,
      anon_sym_LPAREN2,
    STATE(3384), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(4707), 1,
      sym_argument_list,
    STATE(4709), 1,
      sym_initializer_list,
    ACTIONS(5931), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(6726), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5933), 17,
      anon_sym_RPAREN,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym___extension__,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_auto,
      anon_sym_decltype,
  [219908] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4561), 1,
      anon_sym_LPAREN2,
    ACTIONS(6740), 1,
      anon_sym_COLON,
    ACTIONS(8509), 1,
      anon_sym_LBRACK,
    ACTIONS(8511), 1,
      anon_sym_const,
    ACTIONS(9522), 1,
      anon_sym_STAR,
    ACTIONS(9524), 1,
      anon_sym_AMP_AMP,
    ACTIONS(9526), 1,
      anon_sym_AMP,
    STATE(5014), 1,
      sym_parameter_list,
    STATE(7422), 1,
      sym__function_declarator_seq,
    STATE(7999), 1,
      sym__abstract_declarator,
    STATE(6616), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(7436), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8501), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [219966] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1486), 1,
      anon_sym_template,
    ACTIONS(2194), 1,
      anon_sym_COLON,
    ACTIONS(3148), 1,
      anon_sym_decltype,
    ACTIONS(5581), 1,
      anon_sym___attribute__,
    ACTIONS(5585), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5587), 1,
      anon_sym___declspec,
    ACTIONS(5591), 1,
      anon_sym_alignas,
    ACTIONS(6974), 1,
      anon_sym_LBRACE,
    ACTIONS(9725), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9879), 1,
      sym_identifier,
    STATE(3736), 1,
      sym_template_type,
    STATE(3959), 1,
      sym_field_declaration_list,
    STATE(4148), 1,
      sym__class_declaration_item,
    STATE(6852), 1,
      sym_ms_declspec_modifier,
    STATE(7844), 1,
      sym__scope_resolution,
    STATE(8212), 1,
      sym_virtual_specifier,
    STATE(9298), 1,
      sym_base_class_clause,
    ACTIONS(2198), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(3556), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6773), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(10317), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(7279), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [220042] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1486), 1,
      anon_sym_template,
    ACTIONS(2194), 1,
      anon_sym_COLON,
    ACTIONS(3148), 1,
      anon_sym_decltype,
    ACTIONS(5581), 1,
      anon_sym___attribute__,
    ACTIONS(5585), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5587), 1,
      anon_sym___declspec,
    ACTIONS(5591), 1,
      anon_sym_alignas,
    ACTIONS(7247), 1,
      anon_sym_LBRACE,
    ACTIONS(8416), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9915), 1,
      sym_identifier,
    STATE(3817), 1,
      sym_template_type,
    STATE(3830), 1,
      sym_field_declaration_list,
    STATE(4007), 1,
      sym__class_declaration_item,
    STATE(6871), 1,
      sym_ms_declspec_modifier,
    STATE(7845), 1,
      sym__scope_resolution,
    STATE(8339), 1,
      sym_virtual_specifier,
    STATE(9374), 1,
      sym_base_class_clause,
    ACTIONS(2198), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(3698), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6872), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(10317), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(7279), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [220118] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1486), 1,
      anon_sym_template,
    ACTIONS(2194), 1,
      anon_sym_COLON,
    ACTIONS(3148), 1,
      anon_sym_decltype,
    ACTIONS(5581), 1,
      anon_sym___attribute__,
    ACTIONS(5585), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5587), 1,
      anon_sym___declspec,
    ACTIONS(5591), 1,
      anon_sym_alignas,
    ACTIONS(5929), 1,
      anon_sym_LBRACE,
    ACTIONS(9881), 1,
      sym_identifier,
    ACTIONS(9883), 1,
      anon_sym_COLON_COLON,
    STATE(2999), 1,
      sym_template_type,
    STATE(3071), 1,
      sym__class_declaration_item,
    STATE(6610), 1,
      sym_field_declaration_list,
    STATE(6826), 1,
      sym_ms_declspec_modifier,
    STATE(7848), 1,
      sym__scope_resolution,
    STATE(8250), 1,
      sym_virtual_specifier,
    STATE(9290), 1,
      sym_base_class_clause,
    ACTIONS(2198), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6153), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6825), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(10317), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(7279), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [220194] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8209), 1,
      anon_sym___attribute__,
    STATE(3064), 1,
      sym_attribute_specifier,
    ACTIONS(6220), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(6222), 23,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym___extension__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [220234] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1486), 1,
      anon_sym_template,
    ACTIONS(2194), 1,
      anon_sym_COLON,
    ACTIONS(3148), 1,
      anon_sym_decltype,
    ACTIONS(5581), 1,
      anon_sym___attribute__,
    ACTIONS(5585), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5587), 1,
      anon_sym___declspec,
    ACTIONS(5591), 1,
      anon_sym_alignas,
    ACTIONS(7964), 1,
      anon_sym_LBRACE,
    ACTIONS(9697), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9895), 1,
      sym_identifier,
    STATE(4855), 1,
      sym_template_type,
    STATE(5064), 1,
      sym_field_declaration_list,
    STATE(5214), 1,
      sym__class_declaration_item,
    STATE(6793), 1,
      sym_ms_declspec_modifier,
    STATE(7840), 1,
      sym__scope_resolution,
    STATE(8461), 1,
      sym_virtual_specifier,
    STATE(9380), 1,
      sym_base_class_clause,
    ACTIONS(2198), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(4448), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6791), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(10317), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(7279), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [220310] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1486), 1,
      anon_sym_template,
    ACTIONS(2194), 1,
      anon_sym_COLON,
    ACTIONS(3148), 1,
      anon_sym_decltype,
    ACTIONS(5581), 1,
      anon_sym___attribute__,
    ACTIONS(5585), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5587), 1,
      anon_sym___declspec,
    ACTIONS(5591), 1,
      anon_sym_alignas,
    ACTIONS(6857), 1,
      anon_sym_LBRACE,
    ACTIONS(8288), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9901), 1,
      sym_identifier,
    STATE(3248), 1,
      sym_template_type,
    STATE(3311), 1,
      sym__class_declaration_item,
    STATE(6682), 1,
      sym_field_declaration_list,
    STATE(6796), 1,
      sym_ms_declspec_modifier,
    STATE(7858), 1,
      sym__scope_resolution,
    STATE(8483), 1,
      sym_virtual_specifier,
    STATE(9096), 1,
      sym_base_class_clause,
    ACTIONS(2198), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6244), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6799), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(10317), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(7279), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [220386] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1486), 1,
      anon_sym_template,
    ACTIONS(2194), 1,
      anon_sym_COLON,
    ACTIONS(3148), 1,
      anon_sym_decltype,
    ACTIONS(5581), 1,
      anon_sym___attribute__,
    ACTIONS(5585), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5587), 1,
      anon_sym___declspec,
    ACTIONS(5591), 1,
      anon_sym_alignas,
    ACTIONS(6857), 1,
      anon_sym_LBRACE,
    ACTIONS(8288), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9901), 1,
      sym_identifier,
    STATE(3248), 1,
      sym_template_type,
    STATE(3311), 1,
      sym__class_declaration_item,
    STATE(3711), 1,
      sym_field_declaration_list,
    STATE(6790), 1,
      sym_ms_declspec_modifier,
    STATE(7858), 1,
      sym__scope_resolution,
    STATE(8392), 1,
      sym_virtual_specifier,
    STATE(9213), 1,
      sym_base_class_clause,
    ACTIONS(2198), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(3505), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6792), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(10317), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(7279), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [220462] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1486), 1,
      anon_sym_template,
    ACTIONS(2194), 1,
      anon_sym_COLON,
    ACTIONS(3148), 1,
      anon_sym_decltype,
    ACTIONS(5581), 1,
      anon_sym___attribute__,
    ACTIONS(5585), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5587), 1,
      anon_sym___declspec,
    ACTIONS(5591), 1,
      anon_sym_alignas,
    ACTIONS(6993), 1,
      anon_sym_LBRACE,
    ACTIONS(9807), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9891), 1,
      sym_identifier,
    STATE(3762), 1,
      sym_template_type,
    STATE(4017), 1,
      sym_field_declaration_list,
    STATE(4255), 1,
      sym__class_declaration_item,
    STATE(6855), 1,
      sym_ms_declspec_modifier,
    STATE(7882), 1,
      sym__scope_resolution,
    STATE(8217), 1,
      sym_virtual_specifier,
    STATE(9069), 1,
      sym_base_class_clause,
    ACTIONS(2198), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(3566), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6858), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(10317), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(7279), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [220538] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8209), 1,
      anon_sym___attribute__,
    STATE(3093), 1,
      sym_attribute_specifier,
    ACTIONS(6193), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(6195), 23,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym___extension__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [220578] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8209), 1,
      anon_sym___attribute__,
    STATE(3097), 1,
      sym_attribute_specifier,
    ACTIONS(6185), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(6187), 23,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym___extension__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [220618] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1486), 1,
      anon_sym_template,
    ACTIONS(2194), 1,
      anon_sym_COLON,
    ACTIONS(3148), 1,
      anon_sym_decltype,
    ACTIONS(5581), 1,
      anon_sym___attribute__,
    ACTIONS(5585), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5587), 1,
      anon_sym___declspec,
    ACTIONS(5591), 1,
      anon_sym_alignas,
    ACTIONS(6760), 1,
      anon_sym_LBRACE,
    ACTIONS(9653), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9927), 1,
      sym_identifier,
    STATE(3615), 1,
      sym_template_type,
    STATE(3757), 1,
      sym_field_declaration_list,
    STATE(3953), 1,
      sym__class_declaration_item,
    STATE(6800), 1,
      sym_ms_declspec_modifier,
    STATE(7837), 1,
      sym__scope_resolution,
    STATE(8328), 1,
      sym_virtual_specifier,
    STATE(9174), 1,
      sym_base_class_clause,
    ACTIONS(2198), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(3435), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6798), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(10317), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(7279), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [220694] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8209), 1,
      anon_sym___attribute__,
    STATE(3086), 1,
      sym_attribute_specifier,
    ACTIONS(6181), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(6183), 23,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym___extension__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [220734] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1486), 1,
      anon_sym_template,
    ACTIONS(2194), 1,
      anon_sym_COLON,
    ACTIONS(3148), 1,
      anon_sym_decltype,
    ACTIONS(5581), 1,
      anon_sym___attribute__,
    ACTIONS(5585), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5587), 1,
      anon_sym___declspec,
    ACTIONS(5591), 1,
      anon_sym_alignas,
    ACTIONS(8402), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9528), 1,
      anon_sym_LBRACE,
    ACTIONS(9885), 1,
      sym_identifier,
    STATE(2999), 1,
      sym_template_type,
    STATE(6151), 1,
      sym_field_declaration_list,
    STATE(6186), 1,
      sym__class_declaration_item,
    STATE(6834), 1,
      sym_ms_declspec_modifier,
    STATE(7841), 1,
      sym__scope_resolution,
    STATE(8171), 1,
      sym_virtual_specifier,
    STATE(9025), 1,
      sym_base_class_clause,
    ACTIONS(2198), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5969), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6833), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(10317), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(7279), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [220810] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1486), 1,
      anon_sym_template,
    ACTIONS(2194), 1,
      anon_sym_COLON,
    ACTIONS(3148), 1,
      anon_sym_decltype,
    ACTIONS(5581), 1,
      anon_sym___attribute__,
    ACTIONS(5585), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5587), 1,
      anon_sym___declspec,
    ACTIONS(5591), 1,
      anon_sym_alignas,
    ACTIONS(5929), 1,
      anon_sym_LBRACE,
    ACTIONS(8402), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9885), 1,
      sym_identifier,
    STATE(2999), 1,
      sym_template_type,
    STATE(3071), 1,
      sym__class_declaration_item,
    STATE(6610), 1,
      sym_field_declaration_list,
    STATE(6809), 1,
      sym_ms_declspec_modifier,
    STATE(7841), 1,
      sym__scope_resolution,
    STATE(8250), 1,
      sym_virtual_specifier,
    STATE(9290), 1,
      sym_base_class_clause,
    ACTIONS(2198), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6153), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6807), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(10317), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(7279), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [220886] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(41), 1,
      anon_sym___attribute__,
    ACTIONS(7112), 1,
      anon_sym_LBRACE,
    STATE(3296), 1,
      sym_attribute_specifier,
    STATE(6669), 1,
      sym_enumerator_list,
    ACTIONS(6157), 2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
    ACTIONS(6155), 21,
      anon_sym___extension__,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
  [220929] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7989), 1,
      anon_sym_noexcept,
    ACTIONS(7991), 1,
      anon_sym_throw,
    ACTIONS(8209), 1,
      anon_sym___attribute__,
    ACTIONS(8357), 1,
      anon_sym_DASH_GT,
    ACTIONS(8420), 1,
      anon_sym_requires,
    ACTIONS(9314), 1,
      anon_sym_LBRACK,
    ACTIONS(9848), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(7509), 1,
      sym__function_attributes_end,
    STATE(7719), 1,
      sym_trailing_return_type,
    STATE(8050), 1,
      sym_gnu_asm_expression,
    ACTIONS(6859), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(7985), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9309), 2,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
    STATE(6922), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(7102), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7174), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(7349), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(6753), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
  [220996] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7993), 1,
      anon_sym_requires,
    ACTIONS(8141), 1,
      anon_sym_DASH_GT,
    ACTIONS(9905), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9908), 1,
      anon_sym_LBRACK,
    ACTIONS(9929), 1,
      anon_sym___attribute__,
    STATE(6985), 1,
      sym__function_attributes_end,
    STATE(7035), 1,
      sym_trailing_return_type,
    STATE(8031), 1,
      sym_gnu_asm_expression,
    ACTIONS(6859), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(7985), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(6935), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(7085), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7174), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(7257), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9903), 7,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_try,
  [221057] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6481), 1,
      anon_sym_AMP,
    ACTIONS(9935), 1,
      anon_sym_const,
    STATE(6616), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(9932), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
    ACTIONS(6483), 12,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [221098] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7989), 1,
      anon_sym_noexcept,
    ACTIONS(7991), 1,
      anon_sym_throw,
    ACTIONS(8209), 1,
      anon_sym___attribute__,
    ACTIONS(8357), 1,
      anon_sym_DASH_GT,
    ACTIONS(8420), 1,
      anon_sym_requires,
    ACTIONS(9576), 1,
      anon_sym_LBRACK,
    ACTIONS(9938), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(7500), 1,
      sym__function_attributes_end,
    STATE(7732), 1,
      sym_trailing_return_type,
    STATE(8050), 1,
      sym_gnu_asm_expression,
    ACTIONS(6859), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(7985), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9571), 2,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
    STATE(6922), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(7102), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7174), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(7305), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(6751), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
  [221165] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7989), 1,
      anon_sym_noexcept,
    ACTIONS(7991), 1,
      anon_sym_throw,
    ACTIONS(8209), 1,
      anon_sym___attribute__,
    ACTIONS(8357), 1,
      anon_sym_DASH_GT,
    ACTIONS(9576), 1,
      anon_sym_LBRACK,
    ACTIONS(9938), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9941), 1,
      anon_sym_requires,
    STATE(7538), 1,
      sym__function_attributes_end,
    STATE(7731), 1,
      sym_trailing_return_type,
    STATE(8050), 1,
      sym_gnu_asm_expression,
    ACTIONS(7985), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9571), 2,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
    ACTIONS(9578), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6922), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(7102), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7174), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(7305), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(6742), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
  [221232] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7993), 1,
      anon_sym_requires,
    ACTIONS(8141), 1,
      anon_sym_DASH_GT,
    ACTIONS(9573), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9576), 1,
      anon_sym_LBRACK,
    ACTIONS(9717), 1,
      anon_sym___attribute__,
    STATE(6979), 1,
      sym__function_attributes_end,
    STATE(7064), 1,
      sym_trailing_return_type,
    STATE(8031), 1,
      sym_gnu_asm_expression,
    ACTIONS(6859), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(7985), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(6935), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(7085), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7174), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(7305), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9571), 7,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_try,
  [221293] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8141), 1,
      anon_sym_DASH_GT,
    ACTIONS(9311), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9314), 1,
      anon_sym_LBRACK,
    ACTIONS(9319), 1,
      anon_sym_requires,
    ACTIONS(9564), 1,
      anon_sym___attribute__,
    STATE(6991), 1,
      sym__function_attributes_end,
    STATE(6993), 1,
      sym_trailing_return_type,
    STATE(8031), 1,
      sym_gnu_asm_expression,
    ACTIONS(7985), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9316), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6935), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(7085), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7174), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(7349), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9309), 7,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_try,
  [221354] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2230), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8647), 1,
      anon_sym_LT,
    STATE(3203), 1,
      sym_template_argument_list,
    STATE(6634), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(4219), 2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
    ACTIONS(9944), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(4211), 17,
      anon_sym___extension__,
      anon_sym___based,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
  [221399] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8141), 1,
      anon_sym_DASH_GT,
    ACTIONS(9905), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9908), 1,
      anon_sym_LBRACK,
    ACTIONS(9920), 1,
      anon_sym_requires,
    ACTIONS(9929), 1,
      anon_sym___attribute__,
    STATE(6978), 1,
      sym_trailing_return_type,
    STATE(6995), 1,
      sym__function_attributes_end,
    STATE(8031), 1,
      sym_gnu_asm_expression,
    ACTIONS(7985), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9917), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6935), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(7085), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7174), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(7257), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9903), 7,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_try,
  [221460] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(41), 1,
      anon_sym___attribute__,
    ACTIONS(7112), 1,
      anon_sym_LBRACE,
    STATE(3309), 1,
      sym_attribute_specifier,
    STATE(6659), 1,
      sym_enumerator_list,
    ACTIONS(6079), 2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
    ACTIONS(6077), 21,
      anon_sym___extension__,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
  [221503] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7989), 1,
      anon_sym_noexcept,
    ACTIONS(7991), 1,
      anon_sym_throw,
    ACTIONS(8209), 1,
      anon_sym___attribute__,
    ACTIONS(8357), 1,
      anon_sym_DASH_GT,
    ACTIONS(9314), 1,
      anon_sym_LBRACK,
    ACTIONS(9848), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9851), 1,
      anon_sym_requires,
    STATE(7521), 1,
      sym__function_attributes_end,
    STATE(7711), 1,
      sym_trailing_return_type,
    STATE(8050), 1,
      sym_gnu_asm_expression,
    ACTIONS(7985), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9309), 2,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
    ACTIONS(9316), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6922), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(7102), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7174), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(7349), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(6743), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
  [221570] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8141), 1,
      anon_sym_DASH_GT,
    ACTIONS(9573), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9576), 1,
      anon_sym_LBRACK,
    ACTIONS(9581), 1,
      anon_sym_requires,
    ACTIONS(9717), 1,
      anon_sym___attribute__,
    STATE(6989), 1,
      sym_trailing_return_type,
    STATE(6994), 1,
      sym__function_attributes_end,
    STATE(8031), 1,
      sym_gnu_asm_expression,
    ACTIONS(7985), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9578), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6935), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(7085), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7174), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(7305), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9571), 7,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_try,
  [221631] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7993), 1,
      anon_sym_requires,
    ACTIONS(8141), 1,
      anon_sym_DASH_GT,
    ACTIONS(9311), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9314), 1,
      anon_sym_LBRACK,
    ACTIONS(9564), 1,
      anon_sym___attribute__,
    STATE(6976), 1,
      sym__function_attributes_end,
    STATE(7060), 1,
      sym_trailing_return_type,
    STATE(8031), 1,
      sym_gnu_asm_expression,
    ACTIONS(6859), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(7985), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(6935), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(7085), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7174), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(7349), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9309), 7,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_try,
  [221692] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(6635), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5989), 3,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_LBRACE,
    ACTIONS(9946), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5987), 18,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym___based,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
  [221730] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9949), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(6628), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(6690), 10,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_GT2,
    ACTIONS(6688), 13,
      anon_sym_COLON,
      anon_sym_LBRACK,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_virtual,
      anon_sym_template,
      anon_sym_try,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_requires,
  [221768] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(6636), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5948), 3,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_LBRACE,
    ACTIONS(9952), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5946), 18,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym___based,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
  [221806] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(3003), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5943), 3,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_LBRACE,
    ACTIONS(9955), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5940), 18,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym___based,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
  [221844] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6517), 1,
      sym_auto,
    ACTIONS(6519), 1,
      anon_sym_decltype,
    STATE(3329), 1,
      sym_decltype_auto,
    ACTIONS(9961), 2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
    STATE(6710), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(9959), 7,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      sym_primitive_type,
      sym_identifier,
    ACTIONS(63), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [221888] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(3003), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5968), 3,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_LBRACE,
    ACTIONS(9963), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5966), 18,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym___based,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
  [221926] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6517), 1,
      sym_auto,
    ACTIONS(6519), 1,
      anon_sym_decltype,
    STATE(3329), 1,
      sym_decltype_auto,
    ACTIONS(9968), 2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
    STATE(6711), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(9966), 7,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      sym_primitive_type,
      sym_identifier,
    ACTIONS(63), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [221970] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(3003), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5954), 3,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_LBRACE,
    ACTIONS(9970), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5952), 18,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym___based,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
  [222008] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(3003), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5960), 3,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_LBRACE,
    ACTIONS(9973), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5958), 18,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym___based,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
  [222046] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(3003), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5964), 3,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_LBRACE,
    ACTIONS(9976), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5962), 18,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym___based,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
  [222084] = 4,
    ACTIONS(3), 1,
      sym_comment,
    STATE(6632), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5972), 3,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_LBRACE,
    ACTIONS(5970), 22,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
  [222120] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7976), 1,
      anon_sym___attribute__,
    ACTIONS(8162), 1,
      anon_sym_DASH_GT,
    ACTIONS(8199), 1,
      anon_sym_requires,
    ACTIONS(9311), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9314), 1,
      anon_sym_LBRACK,
    STATE(7130), 1,
      sym__function_attributes_end,
    STATE(7319), 1,
      sym_trailing_return_type,
    STATE(8031), 1,
      sym_gnu_asm_expression,
    ACTIONS(6859), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(7985), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(6935), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(7085), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7174), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(7349), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9309), 6,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_try,
  [222180] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7976), 1,
      anon_sym___attribute__,
    ACTIONS(8162), 1,
      anon_sym_DASH_GT,
    ACTIONS(8199), 1,
      anon_sym_requires,
    ACTIONS(9573), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9576), 1,
      anon_sym_LBRACK,
    STATE(7140), 1,
      sym__function_attributes_end,
    STATE(7347), 1,
      sym_trailing_return_type,
    STATE(8031), 1,
      sym_gnu_asm_expression,
    ACTIONS(6859), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(7985), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(6935), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(7085), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7174), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(7305), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9571), 6,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_try,
  [222240] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7976), 1,
      anon_sym___attribute__,
    ACTIONS(8162), 1,
      anon_sym_DASH_GT,
    ACTIONS(8199), 1,
      anon_sym_requires,
    ACTIONS(9905), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9908), 1,
      anon_sym_LBRACK,
    STATE(7142), 1,
      sym__function_attributes_end,
    STATE(7244), 1,
      sym_trailing_return_type,
    STATE(8031), 1,
      sym_gnu_asm_expression,
    ACTIONS(6859), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(7985), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(6935), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(7085), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7174), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(7257), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9903), 6,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_try,
  [222300] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7976), 1,
      anon_sym___attribute__,
    ACTIONS(8162), 1,
      anon_sym_DASH_GT,
    ACTIONS(9311), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9314), 1,
      anon_sym_LBRACK,
    ACTIONS(9590), 1,
      anon_sym_requires,
    STATE(7173), 1,
      sym__function_attributes_end,
    STATE(7283), 1,
      sym_trailing_return_type,
    STATE(8031), 1,
      sym_gnu_asm_expression,
    ACTIONS(7985), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9316), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6935), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(7085), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7174), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(7349), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9309), 6,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_try,
  [222360] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7976), 1,
      anon_sym___attribute__,
    ACTIONS(8162), 1,
      anon_sym_DASH_GT,
    ACTIONS(9573), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9576), 1,
      anon_sym_LBRACK,
    ACTIONS(9839), 1,
      anon_sym_requires,
    STATE(7170), 1,
      sym__function_attributes_end,
    STATE(7302), 1,
      sym_trailing_return_type,
    STATE(8031), 1,
      sym_gnu_asm_expression,
    ACTIONS(7985), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9578), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6935), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(7085), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7174), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(7305), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9571), 6,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_try,
  [222420] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7976), 1,
      anon_sym___attribute__,
    ACTIONS(8162), 1,
      anon_sym_DASH_GT,
    ACTIONS(9905), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9908), 1,
      anon_sym_LBRACK,
    ACTIONS(9979), 1,
      anon_sym_requires,
    STATE(7159), 1,
      sym__function_attributes_end,
    STATE(7318), 1,
      sym_trailing_return_type,
    STATE(8031), 1,
      sym_gnu_asm_expression,
    ACTIONS(7985), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9917), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6935), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(7085), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7174), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(7257), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9903), 6,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_try,
  [222480] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9982), 1,
      sym_identifier,
    ACTIONS(9988), 1,
      sym_primitive_type,
    STATE(6630), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5917), 3,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_LBRACE,
    ACTIONS(9985), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5919), 16,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym___based,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_auto,
      anon_sym_decltype,
  [222522] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7976), 1,
      anon_sym___attribute__,
    ACTIONS(8178), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8180), 1,
      anon_sym_DASH_GT,
    ACTIONS(9576), 1,
      anon_sym_LBRACK,
    ACTIONS(9845), 1,
      anon_sym_requires,
    STATE(7114), 1,
      sym_trailing_return_type,
    STATE(7213), 1,
      sym__function_attributes_end,
    STATE(8031), 1,
      sym_gnu_asm_expression,
    ACTIONS(7985), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9842), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6935), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(7085), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7234), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(7392), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9571), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_GT2,
  [222582] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7976), 1,
      anon_sym___attribute__,
    ACTIONS(8178), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8180), 1,
      anon_sym_DASH_GT,
    ACTIONS(8193), 1,
      anon_sym_requires,
    ACTIONS(9314), 1,
      anon_sym_LBRACK,
    STATE(7099), 1,
      sym_trailing_return_type,
    STATE(7201), 1,
      sym__function_attributes_end,
    STATE(8031), 1,
      sym_gnu_asm_expression,
    ACTIONS(7985), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(8191), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6935), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(7085), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7234), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(7404), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9309), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_GT2,
  [222642] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7976), 1,
      anon_sym___attribute__,
    ACTIONS(8178), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8180), 1,
      anon_sym_DASH_GT,
    ACTIONS(8193), 1,
      anon_sym_requires,
    ACTIONS(9576), 1,
      anon_sym_LBRACK,
    STATE(7128), 1,
      sym_trailing_return_type,
    STATE(7195), 1,
      sym__function_attributes_end,
    STATE(8031), 1,
      sym_gnu_asm_expression,
    ACTIONS(7985), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(8191), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6935), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(7085), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7234), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(7392), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9571), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_GT2,
  [222702] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7976), 1,
      anon_sym___attribute__,
    ACTIONS(8178), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8180), 1,
      anon_sym_DASH_GT,
    ACTIONS(8193), 1,
      anon_sym_requires,
    ACTIONS(9908), 1,
      anon_sym_LBRACK,
    STATE(7141), 1,
      sym_trailing_return_type,
    STATE(7194), 1,
      sym__function_attributes_end,
    STATE(8031), 1,
      sym_gnu_asm_expression,
    ACTIONS(7985), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(8191), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6935), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(7085), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7234), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(7366), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9903), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_GT2,
  [222762] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7976), 1,
      anon_sym___attribute__,
    ACTIONS(8178), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8180), 1,
      anon_sym_DASH_GT,
    ACTIONS(9314), 1,
      anon_sym_LBRACK,
    ACTIONS(9604), 1,
      anon_sym_requires,
    STATE(7133), 1,
      sym_trailing_return_type,
    STATE(7212), 1,
      sym__function_attributes_end,
    STATE(8031), 1,
      sym_gnu_asm_expression,
    ACTIONS(7985), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9601), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6935), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(7085), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7234), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(7404), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9309), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_GT2,
  [222822] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7976), 1,
      anon_sym___attribute__,
    ACTIONS(8178), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8180), 1,
      anon_sym_DASH_GT,
    ACTIONS(9908), 1,
      anon_sym_LBRACK,
    ACTIONS(9994), 1,
      anon_sym_requires,
    STATE(7112), 1,
      sym_trailing_return_type,
    STATE(7214), 1,
      sym__function_attributes_end,
    STATE(8031), 1,
      sym_gnu_asm_expression,
    ACTIONS(7985), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9991), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6935), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(7085), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7234), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(7366), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9903), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_GT2,
  [222882] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5585), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8209), 1,
      anon_sym___attribute__,
    ACTIONS(8222), 1,
      anon_sym_DASH_GT,
    ACTIONS(9576), 1,
      anon_sym_LBRACK,
    ACTIONS(9845), 1,
      anon_sym_requires,
    STATE(7114), 1,
      sym_trailing_return_type,
    STATE(7322), 1,
      sym__function_attributes_end,
    STATE(8050), 1,
      sym_gnu_asm_expression,
    ACTIONS(7985), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9842), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6922), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(7102), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7234), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(7392), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9571), 5,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_try,
  [222941] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5585), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8209), 1,
      anon_sym___attribute__,
    ACTIONS(8211), 1,
      anon_sym_DASH_GT,
    ACTIONS(9314), 1,
      anon_sym_LBRACK,
    ACTIONS(9613), 1,
      anon_sym_requires,
    STATE(7331), 1,
      sym__function_attributes_end,
    STATE(7355), 1,
      sym_trailing_return_type,
    STATE(8050), 1,
      sym_gnu_asm_expression,
    ACTIONS(7985), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9601), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6922), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(7102), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7234), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(7404), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9309), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [223000] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1486), 1,
      anon_sym_template,
    ACTIONS(3148), 1,
      anon_sym_decltype,
    ACTIONS(4190), 1,
      anon_sym_LBRACK,
    ACTIONS(9653), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9927), 1,
      sym_identifier,
    ACTIONS(9997), 1,
      anon_sym_LPAREN2,
    ACTIONS(9999), 1,
      anon_sym_LBRACE,
    ACTIONS(10003), 1,
      anon_sym_requires,
    STATE(3615), 1,
      sym_template_type,
    STATE(4294), 1,
      sym_requirement_seq,
    STATE(7183), 1,
      sym_lambda_capture_specifier,
    STATE(7837), 1,
      sym__scope_resolution,
    STATE(9255), 1,
      sym_requires_parameter_list,
    ACTIONS(10001), 2,
      sym_true,
      sym_false,
    STATE(10317), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(4293), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [223061] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2260), 1,
      anon_sym_LBRACE,
    ACTIONS(2262), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5931), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5933), 21,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym___extension__,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [223098] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1486), 1,
      anon_sym_template,
    ACTIONS(3148), 1,
      anon_sym_decltype,
    ACTIONS(4190), 1,
      anon_sym_LBRACK,
    ACTIONS(9697), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9895), 1,
      sym_identifier,
    ACTIONS(10005), 1,
      anon_sym_LPAREN2,
    ACTIONS(10007), 1,
      anon_sym_LBRACE,
    ACTIONS(10011), 1,
      anon_sym_requires,
    STATE(4573), 1,
      sym_requirement_seq,
    STATE(4855), 1,
      sym_template_type,
    STATE(7184), 1,
      sym_lambda_capture_specifier,
    STATE(7840), 1,
      sym__scope_resolution,
    STATE(9196), 1,
      sym_requires_parameter_list,
    ACTIONS(10009), 2,
      sym_true,
      sym_false,
    STATE(10317), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5351), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [223159] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1486), 1,
      anon_sym_template,
    ACTIONS(3148), 1,
      anon_sym_decltype,
    ACTIONS(4190), 1,
      anon_sym_LBRACK,
    ACTIONS(9793), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9889), 1,
      sym_identifier,
    ACTIONS(10013), 1,
      anon_sym_LPAREN2,
    ACTIONS(10015), 1,
      anon_sym_LBRACE,
    ACTIONS(10019), 1,
      anon_sym_requires,
    STATE(3817), 1,
      sym_template_type,
    STATE(5393), 1,
      sym_requirement_seq,
    STATE(7123), 1,
      sym_lambda_capture_specifier,
    STATE(7839), 1,
      sym__scope_resolution,
    STATE(9101), 1,
      sym_requires_parameter_list,
    ACTIONS(10017), 2,
      sym_true,
      sym_false,
    STATE(10317), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5976), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [223220] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5585), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8209), 1,
      anon_sym___attribute__,
    ACTIONS(8211), 1,
      anon_sym_DASH_GT,
    ACTIONS(8220), 1,
      anon_sym_requires,
    ACTIONS(9908), 1,
      anon_sym_LBRACK,
    STATE(7342), 1,
      sym__function_attributes_end,
    STATE(7373), 1,
      sym_trailing_return_type,
    STATE(8050), 1,
      sym_gnu_asm_expression,
    ACTIONS(7985), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(8191), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6922), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(7102), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7234), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(7366), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9903), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [223279] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5585), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8209), 1,
      anon_sym___attribute__,
    ACTIONS(8211), 1,
      anon_sym_DASH_GT,
    ACTIONS(8220), 1,
      anon_sym_requires,
    ACTIONS(9576), 1,
      anon_sym_LBRACK,
    STATE(7304), 1,
      sym__function_attributes_end,
    STATE(7391), 1,
      sym_trailing_return_type,
    STATE(8050), 1,
      sym_gnu_asm_expression,
    ACTIONS(7985), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(8191), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6922), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(7102), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7234), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(7392), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9571), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [223338] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(41), 1,
      anon_sym___attribute__,
    STATE(3323), 1,
      sym_attribute_specifier,
    ACTIONS(6222), 2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
    ACTIONS(6220), 21,
      anon_sym___extension__,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
  [223375] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1486), 1,
      anon_sym_template,
    ACTIONS(3148), 1,
      anon_sym_decltype,
    ACTIONS(4190), 1,
      anon_sym_LBRACK,
    ACTIONS(9631), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9899), 1,
      sym_identifier,
    ACTIONS(10021), 1,
      anon_sym_LPAREN2,
    ACTIONS(10023), 1,
      anon_sym_LBRACE,
    ACTIONS(10027), 1,
      anon_sym_requires,
    STATE(4985), 1,
      sym_template_type,
    STATE(5559), 1,
      sym_requirement_seq,
    STATE(7089), 1,
      sym_lambda_capture_specifier,
    STATE(7838), 1,
      sym__scope_resolution,
    STATE(9375), 1,
      sym_requires_parameter_list,
    ACTIONS(10025), 2,
      sym_true,
      sym_false,
    STATE(10317), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5560), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [223436] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5585), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8193), 1,
      anon_sym_requires,
    ACTIONS(8209), 1,
      anon_sym___attribute__,
    ACTIONS(8222), 1,
      anon_sym_DASH_GT,
    ACTIONS(9314), 1,
      anon_sym_LBRACK,
    STATE(7099), 1,
      sym_trailing_return_type,
    STATE(7289), 1,
      sym__function_attributes_end,
    STATE(8050), 1,
      sym_gnu_asm_expression,
    ACTIONS(7985), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(8191), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6922), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(7102), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7234), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(7404), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9309), 5,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_try,
  [223495] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(41), 1,
      anon_sym___attribute__,
    STATE(3324), 1,
      sym_attribute_specifier,
    ACTIONS(6187), 2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
    ACTIONS(6185), 21,
      anon_sym___extension__,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
  [223532] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(41), 1,
      anon_sym___attribute__,
    STATE(3300), 1,
      sym_attribute_specifier,
    ACTIONS(6210), 2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
    ACTIONS(6208), 21,
      anon_sym___extension__,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
  [223569] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5585), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8209), 1,
      anon_sym___attribute__,
    ACTIONS(8211), 1,
      anon_sym_DASH_GT,
    ACTIONS(8220), 1,
      anon_sym_requires,
    ACTIONS(9314), 1,
      anon_sym_LBRACK,
    STATE(7259), 1,
      sym__function_attributes_end,
    STATE(7427), 1,
      sym_trailing_return_type,
    STATE(8050), 1,
      sym_gnu_asm_expression,
    ACTIONS(7985), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(8191), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6922), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(7102), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7234), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(7404), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9309), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [223628] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1486), 1,
      anon_sym_template,
    ACTIONS(3148), 1,
      anon_sym_decltype,
    ACTIONS(4190), 1,
      anon_sym_LBRACK,
    ACTIONS(9761), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9887), 1,
      sym_identifier,
    ACTIONS(10029), 1,
      anon_sym_LPAREN2,
    ACTIONS(10031), 1,
      anon_sym_LBRACE,
    ACTIONS(10035), 1,
      anon_sym_requires,
    STATE(3244), 1,
      sym_template_type,
    STATE(3667), 1,
      sym_requirement_seq,
    STATE(7134), 1,
      sym_lambda_capture_specifier,
    STATE(7878), 1,
      sym__scope_resolution,
    STATE(9245), 1,
      sym_requires_parameter_list,
    ACTIONS(10033), 2,
      sym_true,
      sym_false,
    STATE(10317), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(3666), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [223689] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(41), 1,
      anon_sym___attribute__,
    STATE(3293), 1,
      sym_attribute_specifier,
    ACTIONS(6206), 2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
    ACTIONS(6204), 21,
      anon_sym___extension__,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
  [223726] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1486), 1,
      anon_sym_template,
    ACTIONS(3148), 1,
      anon_sym_decltype,
    ACTIONS(4190), 1,
      anon_sym_LBRACK,
    ACTIONS(9725), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9879), 1,
      sym_identifier,
    ACTIONS(10037), 1,
      anon_sym_LPAREN2,
    ACTIONS(10039), 1,
      anon_sym_LBRACE,
    ACTIONS(10043), 1,
      anon_sym_requires,
    STATE(3736), 1,
      sym_template_type,
    STATE(4710), 1,
      sym_requirement_seq,
    STATE(7185), 1,
      sym_lambda_capture_specifier,
    STATE(7844), 1,
      sym__scope_resolution,
    STATE(9141), 1,
      sym_requires_parameter_list,
    ACTIONS(10041), 2,
      sym_true,
      sym_false,
    STATE(10317), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(4706), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [223787] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1486), 1,
      anon_sym_template,
    ACTIONS(3148), 1,
      anon_sym_decltype,
    ACTIONS(4190), 1,
      anon_sym_LBRACK,
    ACTIONS(9675), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9897), 1,
      sym_identifier,
    ACTIONS(10045), 1,
      anon_sym_LPAREN2,
    ACTIONS(10047), 1,
      anon_sym_LBRACE,
    ACTIONS(10051), 1,
      anon_sym_requires,
    STATE(3921), 1,
      sym_template_type,
    STATE(4956), 1,
      sym_requirement_seq,
    STATE(7190), 1,
      sym_lambda_capture_specifier,
    STATE(7854), 1,
      sym__scope_resolution,
    STATE(9340), 1,
      sym_requires_parameter_list,
    ACTIONS(10049), 2,
      sym_true,
      sym_false,
    STATE(10317), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(4936), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [223848] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(41), 1,
      anon_sym___attribute__,
    STATE(3306), 1,
      sym_attribute_specifier,
    ACTIONS(6226), 2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
    ACTIONS(6224), 21,
      anon_sym___extension__,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
  [223885] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5585), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8193), 1,
      anon_sym_requires,
    ACTIONS(8209), 1,
      anon_sym___attribute__,
    ACTIONS(8222), 1,
      anon_sym_DASH_GT,
    ACTIONS(9576), 1,
      anon_sym_LBRACK,
    STATE(7128), 1,
      sym_trailing_return_type,
    STATE(7321), 1,
      sym__function_attributes_end,
    STATE(8050), 1,
      sym_gnu_asm_expression,
    ACTIONS(7985), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(8191), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6922), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(7102), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7234), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(7392), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9571), 5,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_try,
  [223944] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5585), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8209), 1,
      anon_sym___attribute__,
    ACTIONS(8222), 1,
      anon_sym_DASH_GT,
    ACTIONS(9908), 1,
      anon_sym_LBRACK,
    ACTIONS(9994), 1,
      anon_sym_requires,
    STATE(7112), 1,
      sym_trailing_return_type,
    STATE(7317), 1,
      sym__function_attributes_end,
    STATE(8050), 1,
      sym_gnu_asm_expression,
    ACTIONS(7985), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9991), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6922), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(7102), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7234), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(7366), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9903), 5,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_try,
  [224003] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(41), 1,
      anon_sym___attribute__,
    STATE(3310), 1,
      sym_attribute_specifier,
    ACTIONS(6191), 2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
    ACTIONS(6189), 21,
      anon_sym___extension__,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
  [224040] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5585), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8209), 1,
      anon_sym___attribute__,
    ACTIONS(8222), 1,
      anon_sym_DASH_GT,
    ACTIONS(9314), 1,
      anon_sym_LBRACK,
    ACTIONS(9604), 1,
      anon_sym_requires,
    STATE(7133), 1,
      sym_trailing_return_type,
    STATE(7313), 1,
      sym__function_attributes_end,
    STATE(8050), 1,
      sym_gnu_asm_expression,
    ACTIONS(7985), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9601), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6922), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(7102), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7234), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(7404), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9309), 5,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_try,
  [224099] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(41), 1,
      anon_sym___attribute__,
    STATE(3301), 1,
      sym_attribute_specifier,
    ACTIONS(6218), 2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
    ACTIONS(6216), 21,
      anon_sym___extension__,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
  [224136] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5585), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8193), 1,
      anon_sym_requires,
    ACTIONS(8209), 1,
      anon_sym___attribute__,
    ACTIONS(8222), 1,
      anon_sym_DASH_GT,
    ACTIONS(9908), 1,
      anon_sym_LBRACK,
    STATE(7141), 1,
      sym_trailing_return_type,
    STATE(7246), 1,
      sym__function_attributes_end,
    STATE(8050), 1,
      sym_gnu_asm_expression,
    ACTIONS(7985), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(8191), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6922), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(7102), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7234), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(7366), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9903), 5,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_try,
  [224195] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(41), 1,
      anon_sym___attribute__,
    STATE(3299), 1,
      sym_attribute_specifier,
    ACTIONS(6237), 2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
    ACTIONS(6235), 21,
      anon_sym___extension__,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
  [224232] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8254), 1,
      anon_sym_LPAREN2,
    ACTIONS(8256), 1,
      anon_sym_STAR,
    ACTIONS(8258), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8260), 1,
      anon_sym_AMP,
    ACTIONS(8268), 1,
      anon_sym_LBRACK,
    STATE(4503), 1,
      sym_parameter_list,
    STATE(7226), 1,
      sym__abstract_declarator,
    STATE(7268), 1,
      sym__function_declarator_seq,
    STATE(7270), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8447), 12,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [224281] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1486), 1,
      anon_sym_template,
    ACTIONS(3148), 1,
      anon_sym_decltype,
    ACTIONS(4190), 1,
      anon_sym_LBRACK,
    ACTIONS(9807), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9891), 1,
      sym_identifier,
    ACTIONS(10053), 1,
      anon_sym_LPAREN2,
    ACTIONS(10055), 1,
      anon_sym_LBRACE,
    ACTIONS(10059), 1,
      anon_sym_requires,
    STATE(3762), 1,
      sym_template_type,
    STATE(4738), 1,
      sym_requirement_seq,
    STATE(7160), 1,
      sym_lambda_capture_specifier,
    STATE(7882), 1,
      sym__scope_resolution,
    STATE(9178), 1,
      sym_requires_parameter_list,
    ACTIONS(10057), 2,
      sym_true,
      sym_false,
    STATE(10317), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(4831), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [224342] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1486), 1,
      anon_sym_template,
    ACTIONS(3148), 1,
      anon_sym_decltype,
    ACTIONS(4190), 1,
      anon_sym_LBRACK,
    ACTIONS(9747), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9925), 1,
      sym_identifier,
    ACTIONS(10005), 1,
      anon_sym_LPAREN2,
    ACTIONS(10007), 1,
      anon_sym_LBRACE,
    ACTIONS(10011), 1,
      anon_sym_requires,
    STATE(3248), 1,
      sym_template_type,
    STATE(4573), 1,
      sym_requirement_seq,
    STATE(7184), 1,
      sym_lambda_capture_specifier,
    STATE(7875), 1,
      sym__scope_resolution,
    STATE(9196), 1,
      sym_requires_parameter_list,
    ACTIONS(10061), 2,
      sym_true,
      sym_false,
    STATE(10317), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5372), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [224403] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(41), 1,
      anon_sym___attribute__,
    STATE(3295), 1,
      sym_attribute_specifier,
    ACTIONS(6233), 2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
    ACTIONS(6231), 21,
      anon_sym___extension__,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
  [224440] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5585), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8209), 1,
      anon_sym___attribute__,
    ACTIONS(8211), 1,
      anon_sym_DASH_GT,
    ACTIONS(9908), 1,
      anon_sym_LBRACK,
    ACTIONS(10063), 1,
      anon_sym_requires,
    STATE(7251), 1,
      sym__function_attributes_end,
    STATE(7454), 1,
      sym_trailing_return_type,
    STATE(8050), 1,
      sym_gnu_asm_expression,
    ACTIONS(7985), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9991), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6922), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(7102), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7234), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(7366), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9903), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [224499] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(41), 1,
      anon_sym___attribute__,
    STATE(3275), 1,
      sym_attribute_specifier,
    ACTIONS(6183), 2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
    ACTIONS(6181), 21,
      anon_sym___extension__,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
  [224536] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5585), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8209), 1,
      anon_sym___attribute__,
    ACTIONS(8211), 1,
      anon_sym_DASH_GT,
    ACTIONS(9576), 1,
      anon_sym_LBRACK,
    ACTIONS(9874), 1,
      anon_sym_requires,
    STATE(7256), 1,
      sym__function_attributes_end,
    STATE(7377), 1,
      sym_trailing_return_type,
    STATE(8050), 1,
      sym_gnu_asm_expression,
    ACTIONS(7985), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9842), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6922), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(7102), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7234), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(7392), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9571), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [224595] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(41), 1,
      anon_sym___attribute__,
    STATE(3270), 1,
      sym_attribute_specifier,
    ACTIONS(6195), 2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
    ACTIONS(6193), 21,
      anon_sym___extension__,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
  [224632] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(41), 1,
      anon_sym___attribute__,
    STATE(3286), 1,
      sym_attribute_specifier,
    ACTIONS(6214), 2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
    ACTIONS(6212), 21,
      anon_sym___extension__,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
  [224669] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3142), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(3144), 23,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON,
      anon_sym___extension__,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [224702] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(2588), 1,
      anon_sym_operator,
    ACTIONS(8919), 1,
      anon_sym_LPAREN2,
    ACTIONS(9014), 1,
      sym_identifier,
    ACTIONS(9016), 1,
      anon_sym_STAR,
    ACTIONS(9018), 1,
      anon_sym_AMP_AMP,
    ACTIONS(9020), 1,
      anon_sym_AMP,
    STATE(7122), 1,
      sym_ms_call_modifier,
    STATE(7925), 1,
      sym__field_declarator,
    STATE(8043), 1,
      sym_operator_name,
    STATE(9740), 1,
      sym_ms_based_modifier,
    ACTIONS(2544), 6,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
    STATE(7669), 7,
      sym_parenthesized_field_declarator,
      sym_attributed_field_declarator,
      sym_pointer_field_declarator,
      sym_function_field_declarator,
      sym_array_field_declarator,
      sym_reference_field_declarator,
      sym_template_method,
  [224756] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7976), 1,
      anon_sym___attribute__,
    ACTIONS(8178), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8220), 1,
      anon_sym_requires,
    ACTIONS(8270), 1,
      anon_sym_DASH_GT,
    ACTIONS(9576), 1,
      anon_sym_LBRACK,
    STATE(7372), 1,
      sym__function_attributes_end,
    STATE(7391), 1,
      sym_trailing_return_type,
    STATE(8031), 1,
      sym_gnu_asm_expression,
    ACTIONS(7985), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(8191), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6935), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(7085), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7234), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(7392), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9571), 4,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON,
  [224814] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5585), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8209), 1,
      anon_sym___attribute__,
    ACTIONS(8274), 1,
      anon_sym_DASH_GT,
    ACTIONS(9576), 1,
      anon_sym_LBRACK,
    ACTIONS(9912), 1,
      anon_sym_requires,
    STATE(7413), 1,
      sym__function_attributes_end,
    STATE(7486), 1,
      sym_trailing_return_type,
    STATE(8050), 1,
      sym_gnu_asm_expression,
    ACTIONS(7985), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9842), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6922), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(7102), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7234), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(7392), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9571), 4,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_GT2,
  [224872] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5585), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8209), 1,
      anon_sym___attribute__,
    ACTIONS(8245), 1,
      anon_sym_requires,
    ACTIONS(8274), 1,
      anon_sym_DASH_GT,
    ACTIONS(9908), 1,
      anon_sym_LBRACK,
    STATE(7456), 1,
      sym__function_attributes_end,
    STATE(7552), 1,
      sym_trailing_return_type,
    STATE(8050), 1,
      sym_gnu_asm_expression,
    ACTIONS(7985), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(8191), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6922), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(7102), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7234), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(7366), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9903), 4,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_GT2,
  [224930] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5585), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8209), 1,
      anon_sym___attribute__,
    ACTIONS(8245), 1,
      anon_sym_requires,
    ACTIONS(8274), 1,
      anon_sym_DASH_GT,
    ACTIONS(9576), 1,
      anon_sym_LBRACK,
    STATE(7406), 1,
      sym__function_attributes_end,
    STATE(7545), 1,
      sym_trailing_return_type,
    STATE(8050), 1,
      sym_gnu_asm_expression,
    ACTIONS(7985), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(8191), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6922), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(7102), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7234), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(7392), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9571), 4,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_GT2,
  [224988] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5585), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8209), 1,
      anon_sym___attribute__,
    ACTIONS(8245), 1,
      anon_sym_requires,
    ACTIONS(8274), 1,
      anon_sym_DASH_GT,
    ACTIONS(9314), 1,
      anon_sym_LBRACK,
    STATE(7379), 1,
      sym__function_attributes_end,
    STATE(7544), 1,
      sym_trailing_return_type,
    STATE(8050), 1,
      sym_gnu_asm_expression,
    ACTIONS(7985), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(8191), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6922), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(7102), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7234), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(7404), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9309), 4,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_GT2,
  [225046] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7976), 1,
      anon_sym___attribute__,
    ACTIONS(8178), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8243), 1,
      anon_sym_DASH_GT,
    ACTIONS(9908), 1,
      anon_sym_LBRACK,
    ACTIONS(10066), 1,
      anon_sym_requires,
    STATE(7414), 1,
      sym__function_attributes_end,
    STATE(7485), 1,
      sym_trailing_return_type,
    STATE(8031), 1,
      sym_gnu_asm_expression,
    ACTIONS(7985), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9991), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6935), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(7085), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7234), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(7366), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9903), 4,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_GT2,
  [225104] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5585), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8209), 1,
      anon_sym___attribute__,
    ACTIONS(8274), 1,
      anon_sym_DASH_GT,
    ACTIONS(9908), 1,
      anon_sym_LBRACK,
    ACTIONS(10066), 1,
      anon_sym_requires,
    STATE(7411), 1,
      sym__function_attributes_end,
    STATE(7485), 1,
      sym_trailing_return_type,
    STATE(8050), 1,
      sym_gnu_asm_expression,
    ACTIONS(7985), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9991), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6922), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(7102), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7234), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(7366), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9903), 4,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_GT2,
  [225162] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7976), 1,
      anon_sym___attribute__,
    ACTIONS(8178), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8243), 1,
      anon_sym_DASH_GT,
    ACTIONS(9576), 1,
      anon_sym_LBRACK,
    ACTIONS(9912), 1,
      anon_sym_requires,
    STATE(7415), 1,
      sym__function_attributes_end,
    STATE(7486), 1,
      sym_trailing_return_type,
    STATE(8031), 1,
      sym_gnu_asm_expression,
    ACTIONS(7985), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9842), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6935), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(7085), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7234), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(7392), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9571), 4,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_GT2,
  [225220] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7976), 1,
      anon_sym___attribute__,
    ACTIONS(8178), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8243), 1,
      anon_sym_DASH_GT,
    ACTIONS(9314), 1,
      anon_sym_LBRACK,
    ACTIONS(9720), 1,
      anon_sym_requires,
    STATE(7416), 1,
      sym__function_attributes_end,
    STATE(7488), 1,
      sym_trailing_return_type,
    STATE(8031), 1,
      sym_gnu_asm_expression,
    ACTIONS(7985), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9601), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6935), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(7085), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7234), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(7404), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9309), 4,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_GT2,
  [225278] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(6632), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5933), 2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
    ACTIONS(10069), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5931), 17,
      anon_sym___extension__,
      anon_sym___based,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
  [225314] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7976), 1,
      anon_sym___attribute__,
    ACTIONS(8178), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8220), 1,
      anon_sym_requires,
    ACTIONS(8270), 1,
      anon_sym_DASH_GT,
    ACTIONS(9314), 1,
      anon_sym_LBRACK,
    STATE(7381), 1,
      sym__function_attributes_end,
    STATE(7427), 1,
      sym_trailing_return_type,
    STATE(8031), 1,
      sym_gnu_asm_expression,
    ACTIONS(7985), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(8191), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6935), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(7085), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7234), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(7404), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9309), 4,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON,
  [225372] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2260), 1,
      anon_sym_LBRACE,
    ACTIONS(5931), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5933), 21,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym___extension__,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [225406] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7976), 1,
      anon_sym___attribute__,
    ACTIONS(8178), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8270), 1,
      anon_sym_DASH_GT,
    ACTIONS(9908), 1,
      anon_sym_LBRACK,
    ACTIONS(10063), 1,
      anon_sym_requires,
    STATE(7434), 1,
      sym__function_attributes_end,
    STATE(7454), 1,
      sym_trailing_return_type,
    STATE(8031), 1,
      sym_gnu_asm_expression,
    ACTIONS(7985), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9991), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6935), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(7085), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7234), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(7366), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9903), 4,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON,
  [225464] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8254), 1,
      anon_sym_LPAREN2,
    ACTIONS(8268), 1,
      anon_sym_LBRACK,
    ACTIONS(8292), 1,
      anon_sym_STAR,
    ACTIONS(8294), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8296), 1,
      anon_sym_AMP,
    STATE(4816), 1,
      sym_parameter_list,
    STATE(7268), 1,
      sym__function_declarator_seq,
    STATE(7275), 1,
      sym__abstract_declarator,
    STATE(7270), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8447), 11,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [225512] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7976), 1,
      anon_sym___attribute__,
    ACTIONS(8178), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8243), 1,
      anon_sym_DASH_GT,
    ACTIONS(8245), 1,
      anon_sym_requires,
    ACTIONS(9908), 1,
      anon_sym_LBRACK,
    STATE(7430), 1,
      sym__function_attributes_end,
    STATE(7552), 1,
      sym_trailing_return_type,
    STATE(8031), 1,
      sym_gnu_asm_expression,
    ACTIONS(7985), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(8191), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6935), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(7085), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7234), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(7366), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9903), 4,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_GT2,
  [225570] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5585), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8209), 1,
      anon_sym___attribute__,
    ACTIONS(8274), 1,
      anon_sym_DASH_GT,
    ACTIONS(9314), 1,
      anon_sym_LBRACK,
    ACTIONS(9720), 1,
      anon_sym_requires,
    STATE(7421), 1,
      sym__function_attributes_end,
    STATE(7488), 1,
      sym_trailing_return_type,
    STATE(8050), 1,
      sym_gnu_asm_expression,
    ACTIONS(7985), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9601), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6922), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(7102), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7234), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(7404), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9309), 4,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_GT2,
  [225628] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7976), 1,
      anon_sym___attribute__,
    ACTIONS(8178), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8270), 1,
      anon_sym_DASH_GT,
    ACTIONS(9314), 1,
      anon_sym_LBRACK,
    ACTIONS(9613), 1,
      anon_sym_requires,
    STATE(7355), 1,
      sym_trailing_return_type,
    STATE(7443), 1,
      sym__function_attributes_end,
    STATE(8031), 1,
      sym_gnu_asm_expression,
    ACTIONS(7985), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9601), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6935), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(7085), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7234), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(7404), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9309), 4,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON,
  [225686] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7976), 1,
      anon_sym___attribute__,
    ACTIONS(8178), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8243), 1,
      anon_sym_DASH_GT,
    ACTIONS(8245), 1,
      anon_sym_requires,
    ACTIONS(9576), 1,
      anon_sym_LBRACK,
    STATE(7431), 1,
      sym__function_attributes_end,
    STATE(7545), 1,
      sym_trailing_return_type,
    STATE(8031), 1,
      sym_gnu_asm_expression,
    ACTIONS(7985), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(8191), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6935), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(7085), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7234), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(7392), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9571), 4,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_GT2,
  [225744] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7976), 1,
      anon_sym___attribute__,
    ACTIONS(8178), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8270), 1,
      anon_sym_DASH_GT,
    ACTIONS(9576), 1,
      anon_sym_LBRACK,
    ACTIONS(9874), 1,
      anon_sym_requires,
    STATE(7377), 1,
      sym_trailing_return_type,
    STATE(7435), 1,
      sym__function_attributes_end,
    STATE(8031), 1,
      sym_gnu_asm_expression,
    ACTIONS(7985), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9842), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6935), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(7085), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7234), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(7392), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9571), 4,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON,
  [225802] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7976), 1,
      anon_sym___attribute__,
    ACTIONS(8178), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8243), 1,
      anon_sym_DASH_GT,
    ACTIONS(8245), 1,
      anon_sym_requires,
    ACTIONS(9314), 1,
      anon_sym_LBRACK,
    STATE(7432), 1,
      sym__function_attributes_end,
    STATE(7544), 1,
      sym_trailing_return_type,
    STATE(8031), 1,
      sym_gnu_asm_expression,
    ACTIONS(7985), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(8191), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6935), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(7085), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7234), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(7404), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9309), 4,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_GT2,
  [225860] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7976), 1,
      anon_sym___attribute__,
    ACTIONS(8178), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8220), 1,
      anon_sym_requires,
    ACTIONS(8270), 1,
      anon_sym_DASH_GT,
    ACTIONS(9908), 1,
      anon_sym_LBRACK,
    STATE(7368), 1,
      sym__function_attributes_end,
    STATE(7373), 1,
      sym_trailing_return_type,
    STATE(8031), 1,
      sym_gnu_asm_expression,
    ACTIONS(7985), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(8191), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6935), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(7085), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7234), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(7366), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9903), 4,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON,
  [225918] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(9062), 1,
      sym_identifier,
    ACTIONS(9064), 1,
      anon_sym_LPAREN2,
    ACTIONS(9066), 1,
      anon_sym_STAR,
    ACTIONS(9072), 1,
      sym_primitive_type,
    STATE(3408), 1,
      sym_pointer_type_declarator,
    STATE(7236), 1,
      sym_ms_call_modifier,
    STATE(7964), 1,
      sym__type_declarator,
    STATE(9882), 1,
      sym_ms_based_modifier,
    ACTIONS(9070), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3406), 4,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
    ACTIONS(51), 6,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
  [225969] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10074), 2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
    STATE(6219), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(10072), 7,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      sym_primitive_type,
      sym_identifier,
    ACTIONS(63), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [226004] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10078), 2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
    STATE(6219), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(10076), 7,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      sym_primitive_type,
      sym_identifier,
    ACTIONS(63), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [226039] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(9062), 1,
      sym_identifier,
    ACTIONS(9064), 1,
      anon_sym_LPAREN2,
    ACTIONS(9066), 1,
      anon_sym_STAR,
    ACTIONS(9072), 1,
      sym_primitive_type,
    STATE(3408), 1,
      sym_pointer_type_declarator,
    STATE(7216), 1,
      sym_ms_call_modifier,
    STATE(8009), 1,
      sym__type_declarator,
    STATE(9882), 1,
      sym_ms_based_modifier,
    ACTIONS(9070), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3406), 4,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
    ACTIONS(51), 6,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
  [226090] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(9062), 1,
      sym_identifier,
    ACTIONS(9064), 1,
      anon_sym_LPAREN2,
    ACTIONS(9066), 1,
      anon_sym_STAR,
    ACTIONS(9072), 1,
      sym_primitive_type,
    STATE(3408), 1,
      sym_pointer_type_declarator,
    STATE(7232), 1,
      sym_ms_call_modifier,
    STATE(7989), 1,
      sym__type_declarator,
    STATE(9882), 1,
      sym_ms_based_modifier,
    ACTIONS(9070), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3406), 4,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
    ACTIONS(51), 6,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
  [226141] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(9062), 1,
      sym_identifier,
    ACTIONS(9064), 1,
      anon_sym_LPAREN2,
    ACTIONS(9066), 1,
      anon_sym_STAR,
    ACTIONS(9072), 1,
      sym_primitive_type,
    STATE(3408), 1,
      sym_pointer_type_declarator,
    STATE(7199), 1,
      sym_ms_call_modifier,
    STATE(7987), 1,
      sym__type_declarator,
    STATE(9882), 1,
      sym_ms_based_modifier,
    ACTIONS(9070), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3406), 4,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
    ACTIONS(51), 6,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
  [226192] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(9062), 1,
      sym_identifier,
    ACTIONS(9064), 1,
      anon_sym_LPAREN2,
    ACTIONS(9066), 1,
      anon_sym_STAR,
    ACTIONS(9072), 1,
      sym_primitive_type,
    STATE(3408), 1,
      sym_pointer_type_declarator,
    STATE(7231), 1,
      sym_ms_call_modifier,
    STATE(8013), 1,
      sym__type_declarator,
    STATE(9882), 1,
      sym_ms_based_modifier,
    ACTIONS(9070), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3406), 4,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
    ACTIONS(51), 6,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
  [226243] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1486), 1,
      anon_sym_template,
    ACTIONS(3148), 1,
      anon_sym_decltype,
    ACTIONS(4190), 1,
      anon_sym_LBRACK,
    ACTIONS(10080), 1,
      sym_identifier,
    ACTIONS(10082), 1,
      anon_sym_LPAREN2,
    ACTIONS(10084), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10088), 1,
      anon_sym_requires,
    STATE(2992), 1,
      sym_template_type,
    STATE(7105), 1,
      sym_lambda_capture_specifier,
    STATE(7885), 1,
      sym__scope_resolution,
    ACTIONS(10086), 2,
      sym_true,
      sym_false,
    STATE(10317), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(2672), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [226295] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1486), 1,
      anon_sym_template,
    ACTIONS(3148), 1,
      anon_sym_decltype,
    ACTIONS(4190), 1,
      anon_sym_LBRACK,
    ACTIONS(9725), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9879), 1,
      sym_identifier,
    ACTIONS(10043), 1,
      anon_sym_requires,
    ACTIONS(10090), 1,
      anon_sym_LPAREN2,
    STATE(3736), 1,
      sym_template_type,
    STATE(7185), 1,
      sym_lambda_capture_specifier,
    STATE(7844), 1,
      sym__scope_resolution,
    ACTIONS(10092), 2,
      sym_true,
      sym_false,
    STATE(10317), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(4545), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [226347] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8254), 1,
      anon_sym_LPAREN2,
    ACTIONS(8268), 1,
      anon_sym_LBRACK,
    ACTIONS(8441), 1,
      anon_sym_STAR,
    ACTIONS(8443), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8445), 1,
      anon_sym_AMP,
    STATE(4843), 1,
      sym_parameter_list,
    STATE(7268), 1,
      sym__function_declarator_seq,
    STATE(7476), 1,
      sym__abstract_declarator,
    STATE(7270), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8447), 9,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [226393] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8178), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8209), 1,
      anon_sym___attribute__,
    ACTIONS(8557), 1,
      anon_sym_COMMA,
    ACTIONS(10094), 1,
      anon_sym_LPAREN2,
    ACTIONS(10096), 1,
      anon_sym_COLON,
    ACTIONS(10098), 1,
      anon_sym_SEMI,
    ACTIONS(10100), 1,
      anon_sym_LBRACE,
    ACTIONS(10102), 1,
      anon_sym_LBRACK,
    ACTIONS(10104), 1,
      anon_sym_EQ,
    ACTIONS(10106), 1,
      anon_sym_try,
    STATE(2608), 1,
      sym_compound_statement,
    STATE(2610), 1,
      sym_default_method_clause,
    STATE(2613), 1,
      sym_delete_method_clause,
    STATE(2614), 1,
      sym_try_statement,
    STATE(4749), 1,
      sym_parameter_list,
    STATE(7693), 1,
      sym__function_declarator_seq,
    STATE(8090), 1,
      sym_initializer_list,
    STATE(8097), 1,
      aux_sym_field_declaration_repeat1,
    STATE(8098), 1,
      sym_bitfield_clause,
    STATE(10203), 1,
      sym_attribute_specifier,
    STATE(7568), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [226461] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8178), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8209), 1,
      anon_sym___attribute__,
    ACTIONS(8557), 1,
      anon_sym_COMMA,
    ACTIONS(10094), 1,
      anon_sym_LPAREN2,
    ACTIONS(10096), 1,
      anon_sym_COLON,
    ACTIONS(10102), 1,
      anon_sym_LBRACK,
    ACTIONS(10108), 1,
      anon_sym_SEMI,
    ACTIONS(10110), 1,
      anon_sym_LBRACE,
    ACTIONS(10112), 1,
      anon_sym_EQ,
    ACTIONS(10114), 1,
      anon_sym_try,
    STATE(2715), 1,
      sym_default_method_clause,
    STATE(2721), 1,
      sym_compound_statement,
    STATE(2743), 1,
      sym_try_statement,
    STATE(2757), 1,
      sym_delete_method_clause,
    STATE(4749), 1,
      sym_parameter_list,
    STATE(7693), 1,
      sym__function_declarator_seq,
    STATE(8099), 1,
      aux_sym_field_declaration_repeat1,
    STATE(8100), 1,
      sym_initializer_list,
    STATE(8106), 1,
      sym_bitfield_clause,
    STATE(9967), 1,
      sym_attribute_specifier,
    STATE(7568), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [226529] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1486), 1,
      anon_sym_template,
    ACTIONS(3148), 1,
      anon_sym_decltype,
    ACTIONS(4190), 1,
      anon_sym_LBRACK,
    ACTIONS(8288), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9901), 1,
      sym_identifier,
    ACTIONS(10011), 1,
      anon_sym_requires,
    ACTIONS(10116), 1,
      anon_sym_LPAREN2,
    STATE(3248), 1,
      sym_template_type,
    STATE(7184), 1,
      sym_lambda_capture_specifier,
    STATE(7858), 1,
      sym__scope_resolution,
    ACTIONS(10118), 2,
      sym_true,
      sym_false,
    STATE(10317), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(4517), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [226581] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1486), 1,
      anon_sym_template,
    ACTIONS(3148), 1,
      anon_sym_decltype,
    ACTIONS(4190), 1,
      anon_sym_LBRACK,
    ACTIONS(8288), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9901), 1,
      sym_identifier,
    ACTIONS(10011), 1,
      anon_sym_requires,
    ACTIONS(10116), 1,
      anon_sym_LPAREN2,
    STATE(3248), 1,
      sym_template_type,
    STATE(7184), 1,
      sym_lambda_capture_specifier,
    STATE(7858), 1,
      sym__scope_resolution,
    ACTIONS(10120), 2,
      sym_true,
      sym_false,
    STATE(10317), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(7205), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [226633] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1486), 1,
      anon_sym_template,
    ACTIONS(3148), 1,
      anon_sym_decltype,
    ACTIONS(4190), 1,
      anon_sym_LBRACK,
    ACTIONS(8364), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9893), 1,
      sym_identifier,
    ACTIONS(10122), 1,
      anon_sym_LPAREN2,
    ACTIONS(10126), 1,
      anon_sym_requires,
    STATE(6081), 1,
      sym_template_type,
    STATE(7096), 1,
      sym_lambda_capture_specifier,
    STATE(7852), 1,
      sym__scope_resolution,
    ACTIONS(10124), 2,
      sym_true,
      sym_false,
    STATE(10317), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(7111), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [226685] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10130), 1,
      anon_sym_LPAREN2,
    STATE(6920), 1,
      sym_preproc_argument_list,
    ACTIONS(10132), 5,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(10128), 15,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [226719] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(133), 1,
      anon_sym_operator,
    ACTIONS(2877), 1,
      anon_sym_TILDE,
    ACTIONS(3148), 1,
      anon_sym_decltype,
    ACTIONS(4034), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9066), 1,
      anon_sym_STAR,
    ACTIONS(10134), 1,
      sym_identifier,
    ACTIONS(10136), 1,
      anon_sym_template,
    STATE(2995), 1,
      sym_dependent_type_identifier,
    STATE(2996), 1,
      sym_template_type,
    STATE(3023), 1,
      sym_qualified_type_identifier,
    STATE(3895), 1,
      sym_operator_name,
    STATE(3898), 1,
      sym_qualified_identifier,
    STATE(3900), 1,
      sym_dependent_identifier,
    STATE(3901), 1,
      sym_destructor_name,
    STATE(3902), 1,
      sym_template_function,
    STATE(3907), 1,
      sym_pointer_type_declarator,
    STATE(6725), 1,
      sym__scope_resolution,
    STATE(8374), 1,
      sym_qualified_operator_cast_identifier,
    STATE(8406), 1,
      sym_operator_cast,
    STATE(9882), 1,
      sym_ms_based_modifier,
    STATE(10317), 1,
      sym_decltype,
  [226789] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1486), 1,
      anon_sym_template,
    ACTIONS(3148), 1,
      anon_sym_decltype,
    ACTIONS(4190), 1,
      anon_sym_LBRACK,
    ACTIONS(10080), 1,
      sym_identifier,
    ACTIONS(10082), 1,
      anon_sym_LPAREN2,
    ACTIONS(10084), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10088), 1,
      anon_sym_requires,
    STATE(2992), 1,
      sym_template_type,
    STATE(7105), 1,
      sym_lambda_capture_specifier,
    STATE(7885), 1,
      sym__scope_resolution,
    ACTIONS(10138), 2,
      sym_true,
      sym_false,
    STATE(10317), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(3008), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [226841] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1486), 1,
      anon_sym_template,
    ACTIONS(3148), 1,
      anon_sym_decltype,
    ACTIONS(4190), 1,
      anon_sym_LBRACK,
    ACTIONS(9747), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9925), 1,
      sym_identifier,
    ACTIONS(10011), 1,
      anon_sym_requires,
    ACTIONS(10116), 1,
      anon_sym_LPAREN2,
    STATE(3248), 1,
      sym_template_type,
    STATE(7184), 1,
      sym_lambda_capture_specifier,
    STATE(7875), 1,
      sym__scope_resolution,
    ACTIONS(10140), 2,
      sym_true,
      sym_false,
    STATE(10317), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5337), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [226893] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1486), 1,
      anon_sym_template,
    ACTIONS(3148), 1,
      anon_sym_decltype,
    ACTIONS(4190), 1,
      anon_sym_LBRACK,
    ACTIONS(9747), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9925), 1,
      sym_identifier,
    ACTIONS(10011), 1,
      anon_sym_requires,
    ACTIONS(10116), 1,
      anon_sym_LPAREN2,
    STATE(3248), 1,
      sym_template_type,
    STATE(7184), 1,
      sym_lambda_capture_specifier,
    STATE(7875), 1,
      sym__scope_resolution,
    ACTIONS(10118), 2,
      sym_true,
      sym_false,
    STATE(10317), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(4517), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [226945] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8178), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8209), 1,
      anon_sym___attribute__,
    ACTIONS(8557), 1,
      anon_sym_COMMA,
    ACTIONS(10094), 1,
      anon_sym_LPAREN2,
    ACTIONS(10096), 1,
      anon_sym_COLON,
    ACTIONS(10102), 1,
      anon_sym_LBRACK,
    ACTIONS(10142), 1,
      anon_sym_SEMI,
    ACTIONS(10144), 1,
      anon_sym_LBRACE,
    ACTIONS(10146), 1,
      anon_sym_EQ,
    ACTIONS(10148), 1,
      anon_sym_try,
    STATE(2845), 1,
      sym_compound_statement,
    STATE(2846), 1,
      sym_default_method_clause,
    STATE(2847), 1,
      sym_delete_method_clause,
    STATE(2848), 1,
      sym_try_statement,
    STATE(4749), 1,
      sym_parameter_list,
    STATE(7693), 1,
      sym__function_declarator_seq,
    STATE(8109), 1,
      aux_sym_field_declaration_repeat1,
    STATE(8112), 1,
      sym_initializer_list,
    STATE(8113), 1,
      sym_bitfield_clause,
    STATE(9493), 1,
      sym_attribute_specifier,
    STATE(7568), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [227013] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8178), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8209), 1,
      anon_sym___attribute__,
    ACTIONS(8557), 1,
      anon_sym_COMMA,
    ACTIONS(10094), 1,
      anon_sym_LPAREN2,
    ACTIONS(10096), 1,
      anon_sym_COLON,
    ACTIONS(10102), 1,
      anon_sym_LBRACK,
    ACTIONS(10150), 1,
      anon_sym_SEMI,
    ACTIONS(10152), 1,
      anon_sym_LBRACE,
    ACTIONS(10154), 1,
      anon_sym_EQ,
    ACTIONS(10156), 1,
      anon_sym_try,
    STATE(2972), 1,
      sym_delete_method_clause,
    STATE(2977), 1,
      sym_compound_statement,
    STATE(2982), 1,
      sym_default_method_clause,
    STATE(2986), 1,
      sym_try_statement,
    STATE(4749), 1,
      sym_parameter_list,
    STATE(7693), 1,
      sym__function_declarator_seq,
    STATE(8091), 1,
      aux_sym_field_declaration_repeat1,
    STATE(8092), 1,
      sym_initializer_list,
    STATE(8151), 1,
      sym_bitfield_clause,
    STATE(9754), 1,
      sym_attribute_specifier,
    STATE(7568), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [227081] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1486), 1,
      anon_sym_template,
    ACTIONS(3148), 1,
      anon_sym_decltype,
    ACTIONS(4190), 1,
      anon_sym_LBRACK,
    ACTIONS(9697), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9895), 1,
      sym_identifier,
    ACTIONS(10011), 1,
      anon_sym_requires,
    ACTIONS(10116), 1,
      anon_sym_LPAREN2,
    STATE(4855), 1,
      sym_template_type,
    STATE(7184), 1,
      sym_lambda_capture_specifier,
    STATE(7840), 1,
      sym__scope_resolution,
    ACTIONS(10118), 2,
      sym_true,
      sym_false,
    STATE(10317), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(4517), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [227133] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1486), 1,
      anon_sym_template,
    ACTIONS(3148), 1,
      anon_sym_decltype,
    ACTIONS(4190), 1,
      anon_sym_LBRACK,
    ACTIONS(9697), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9895), 1,
      sym_identifier,
    ACTIONS(10011), 1,
      anon_sym_requires,
    ACTIONS(10116), 1,
      anon_sym_LPAREN2,
    STATE(4855), 1,
      sym_template_type,
    STATE(7184), 1,
      sym_lambda_capture_specifier,
    STATE(7840), 1,
      sym__scope_resolution,
    ACTIONS(10158), 2,
      sym_true,
      sym_false,
    STATE(10317), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5371), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [227185] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(133), 1,
      anon_sym_operator,
    ACTIONS(2877), 1,
      anon_sym_TILDE,
    ACTIONS(2887), 1,
      anon_sym_COLON_COLON,
    ACTIONS(3148), 1,
      anon_sym_decltype,
    ACTIONS(9066), 1,
      anon_sym_STAR,
    ACTIONS(10160), 1,
      sym_identifier,
    ACTIONS(10162), 1,
      anon_sym_template,
    STATE(2995), 1,
      sym_dependent_type_identifier,
    STATE(2996), 1,
      sym_template_type,
    STATE(3023), 1,
      sym_qualified_type_identifier,
    STATE(3895), 1,
      sym_operator_name,
    STATE(3898), 1,
      sym_qualified_identifier,
    STATE(3900), 1,
      sym_dependent_identifier,
    STATE(3901), 1,
      sym_destructor_name,
    STATE(3902), 1,
      sym_template_function,
    STATE(3907), 1,
      sym_pointer_type_declarator,
    STATE(6733), 1,
      sym__scope_resolution,
    STATE(8374), 1,
      sym_qualified_operator_cast_identifier,
    STATE(8406), 1,
      sym_operator_cast,
    STATE(9882), 1,
      sym_ms_based_modifier,
    STATE(10317), 1,
      sym_decltype,
  [227255] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1486), 1,
      anon_sym_template,
    ACTIONS(3148), 1,
      anon_sym_decltype,
    ACTIONS(4190), 1,
      anon_sym_LBRACK,
    ACTIONS(8416), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9915), 1,
      sym_identifier,
    ACTIONS(10019), 1,
      anon_sym_requires,
    ACTIONS(10164), 1,
      anon_sym_LPAREN2,
    STATE(3817), 1,
      sym_template_type,
    STATE(7123), 1,
      sym_lambda_capture_specifier,
    STATE(7845), 1,
      sym__scope_resolution,
    ACTIONS(10166), 2,
      sym_true,
      sym_false,
    STATE(10317), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(7498), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [227307] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1486), 1,
      anon_sym_template,
    ACTIONS(3148), 1,
      anon_sym_decltype,
    ACTIONS(4190), 1,
      anon_sym_LBRACK,
    ACTIONS(9653), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9927), 1,
      sym_identifier,
    ACTIONS(10003), 1,
      anon_sym_requires,
    ACTIONS(10168), 1,
      anon_sym_LPAREN2,
    STATE(3615), 1,
      sym_template_type,
    STATE(7183), 1,
      sym_lambda_capture_specifier,
    STATE(7837), 1,
      sym__scope_resolution,
    ACTIONS(10170), 2,
      sym_true,
      sym_false,
    STATE(10317), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(4232), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [227359] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1486), 1,
      anon_sym_template,
    ACTIONS(3148), 1,
      anon_sym_decltype,
    ACTIONS(4190), 1,
      anon_sym_LBRACK,
    ACTIONS(9653), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9927), 1,
      sym_identifier,
    ACTIONS(10003), 1,
      anon_sym_requires,
    ACTIONS(10168), 1,
      anon_sym_LPAREN2,
    STATE(3615), 1,
      sym_template_type,
    STATE(7183), 1,
      sym_lambda_capture_specifier,
    STATE(7837), 1,
      sym__scope_resolution,
    ACTIONS(10172), 2,
      sym_true,
      sym_false,
    STATE(10317), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(4270), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [227411] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1486), 1,
      anon_sym_template,
    ACTIONS(3148), 1,
      anon_sym_decltype,
    ACTIONS(4190), 1,
      anon_sym_LBRACK,
    ACTIONS(9631), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9899), 1,
      sym_identifier,
    ACTIONS(10027), 1,
      anon_sym_requires,
    ACTIONS(10174), 1,
      anon_sym_LPAREN2,
    STATE(4985), 1,
      sym_template_type,
    STATE(7089), 1,
      sym_lambda_capture_specifier,
    STATE(7838), 1,
      sym__scope_resolution,
    ACTIONS(10176), 2,
      sym_true,
      sym_false,
    STATE(10317), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5479), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [227463] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1486), 1,
      anon_sym_template,
    ACTIONS(3148), 1,
      anon_sym_decltype,
    ACTIONS(4190), 1,
      anon_sym_LBRACK,
    ACTIONS(9631), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9899), 1,
      sym_identifier,
    ACTIONS(10027), 1,
      anon_sym_requires,
    ACTIONS(10174), 1,
      anon_sym_LPAREN2,
    STATE(4985), 1,
      sym_template_type,
    STATE(7089), 1,
      sym_lambda_capture_specifier,
    STATE(7838), 1,
      sym__scope_resolution,
    ACTIONS(10178), 2,
      sym_true,
      sym_false,
    STATE(10317), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5474), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [227515] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1486), 1,
      anon_sym_template,
    ACTIONS(3148), 1,
      anon_sym_decltype,
    ACTIONS(3904), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4190), 1,
      anon_sym_LBRACK,
    ACTIONS(9885), 1,
      sym_identifier,
    ACTIONS(10082), 1,
      anon_sym_LPAREN2,
    ACTIONS(10088), 1,
      anon_sym_requires,
    STATE(2999), 1,
      sym_template_type,
    STATE(7144), 1,
      sym_lambda_capture_specifier,
    STATE(7887), 1,
      sym__scope_resolution,
    ACTIONS(10086), 2,
      sym_true,
      sym_false,
    STATE(10317), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(2672), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [227567] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1486), 1,
      anon_sym_template,
    ACTIONS(3148), 1,
      anon_sym_decltype,
    ACTIONS(3904), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4190), 1,
      anon_sym_LBRACK,
    ACTIONS(9885), 1,
      sym_identifier,
    ACTIONS(10082), 1,
      anon_sym_LPAREN2,
    ACTIONS(10088), 1,
      anon_sym_requires,
    STATE(2999), 1,
      sym_template_type,
    STATE(7144), 1,
      sym_lambda_capture_specifier,
    STATE(7887), 1,
      sym__scope_resolution,
    ACTIONS(10180), 2,
      sym_true,
      sym_false,
    STATE(10317), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(7708), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [227619] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1486), 1,
      anon_sym_template,
    ACTIONS(3148), 1,
      anon_sym_decltype,
    ACTIONS(3904), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4190), 1,
      anon_sym_LBRACK,
    ACTIONS(9885), 1,
      sym_identifier,
    ACTIONS(10082), 1,
      anon_sym_LPAREN2,
    ACTIONS(10088), 1,
      anon_sym_requires,
    STATE(2999), 1,
      sym_template_type,
    STATE(7144), 1,
      sym_lambda_capture_specifier,
    STATE(7887), 1,
      sym__scope_resolution,
    ACTIONS(10182), 2,
      sym_true,
      sym_false,
    STATE(10317), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(7638), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [227671] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8209), 1,
      anon_sym___attribute__,
    ACTIONS(8357), 1,
      anon_sym_DASH_GT,
    ACTIONS(9908), 1,
      anon_sym_LBRACK,
    ACTIONS(10184), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(10187), 1,
      anon_sym_requires,
    STATE(7551), 1,
      sym__function_attributes_end,
    STATE(7762), 1,
      sym_trailing_return_type,
    STATE(8050), 1,
      sym_gnu_asm_expression,
    ACTIONS(7985), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9903), 2,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
    ACTIONS(9917), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6922), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(7102), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7174), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(7257), 2,
      sym__function_postfix,
      sym_requires_clause,
  [227727] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8209), 1,
      anon_sym___attribute__,
    ACTIONS(8357), 1,
      anon_sym_DASH_GT,
    ACTIONS(9576), 1,
      anon_sym_LBRACK,
    ACTIONS(9938), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9941), 1,
      anon_sym_requires,
    STATE(7538), 1,
      sym__function_attributes_end,
    STATE(7731), 1,
      sym_trailing_return_type,
    STATE(8050), 1,
      sym_gnu_asm_expression,
    ACTIONS(7985), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9571), 2,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
    ACTIONS(9578), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6922), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(7102), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7174), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(7305), 2,
      sym__function_postfix,
      sym_requires_clause,
  [227783] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8209), 1,
      anon_sym___attribute__,
    ACTIONS(8357), 1,
      anon_sym_DASH_GT,
    ACTIONS(9314), 1,
      anon_sym_LBRACK,
    ACTIONS(9848), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9851), 1,
      anon_sym_requires,
    STATE(7521), 1,
      sym__function_attributes_end,
    STATE(7711), 1,
      sym_trailing_return_type,
    STATE(8050), 1,
      sym_gnu_asm_expression,
    ACTIONS(7985), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9309), 2,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
    ACTIONS(9316), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6922), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(7102), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7174), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(7349), 2,
      sym__function_postfix,
      sym_requires_clause,
  [227839] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1486), 1,
      anon_sym_template,
    ACTIONS(3148), 1,
      anon_sym_decltype,
    ACTIONS(4190), 1,
      anon_sym_LBRACK,
    ACTIONS(8416), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9915), 1,
      sym_identifier,
    ACTIONS(10019), 1,
      anon_sym_requires,
    ACTIONS(10164), 1,
      anon_sym_LPAREN2,
    STATE(3817), 1,
      sym_template_type,
    STATE(7123), 1,
      sym_lambda_capture_specifier,
    STATE(7845), 1,
      sym__scope_resolution,
    ACTIONS(10190), 2,
      sym_true,
      sym_false,
    STATE(10317), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5408), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [227891] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1486), 1,
      anon_sym_template,
    ACTIONS(3148), 1,
      anon_sym_decltype,
    ACTIONS(4190), 1,
      anon_sym_LBRACK,
    ACTIONS(8416), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9915), 1,
      sym_identifier,
    ACTIONS(10019), 1,
      anon_sym_requires,
    ACTIONS(10164), 1,
      anon_sym_LPAREN2,
    STATE(3817), 1,
      sym_template_type,
    STATE(7123), 1,
      sym_lambda_capture_specifier,
    STATE(7845), 1,
      sym__scope_resolution,
    ACTIONS(10192), 2,
      sym_true,
      sym_false,
    STATE(10317), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(7487), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [227943] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1486), 1,
      anon_sym_template,
    ACTIONS(3148), 1,
      anon_sym_decltype,
    ACTIONS(4190), 1,
      anon_sym_LBRACK,
    ACTIONS(8364), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9893), 1,
      sym_identifier,
    ACTIONS(10122), 1,
      anon_sym_LPAREN2,
    ACTIONS(10126), 1,
      anon_sym_requires,
    STATE(6081), 1,
      sym_template_type,
    STATE(7096), 1,
      sym_lambda_capture_specifier,
    STATE(7852), 1,
      sym__scope_resolution,
    ACTIONS(10194), 2,
      sym_true,
      sym_false,
    STATE(10317), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(7162), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [227995] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1486), 1,
      anon_sym_template,
    ACTIONS(3148), 1,
      anon_sym_decltype,
    ACTIONS(4190), 1,
      anon_sym_LBRACK,
    ACTIONS(8364), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9893), 1,
      sym_identifier,
    ACTIONS(10122), 1,
      anon_sym_LPAREN2,
    ACTIONS(10126), 1,
      anon_sym_requires,
    STATE(6081), 1,
      sym_template_type,
    STATE(7096), 1,
      sym_lambda_capture_specifier,
    STATE(7852), 1,
      sym__scope_resolution,
    ACTIONS(10196), 2,
      sym_true,
      sym_false,
    STATE(10317), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(7158), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [228047] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1486), 1,
      anon_sym_template,
    ACTIONS(3148), 1,
      anon_sym_decltype,
    ACTIONS(4190), 1,
      anon_sym_LBRACK,
    ACTIONS(9807), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9891), 1,
      sym_identifier,
    ACTIONS(10059), 1,
      anon_sym_requires,
    ACTIONS(10198), 1,
      anon_sym_LPAREN2,
    STATE(3762), 1,
      sym_template_type,
    STATE(7160), 1,
      sym_lambda_capture_specifier,
    STATE(7882), 1,
      sym__scope_resolution,
    ACTIONS(10200), 2,
      sym_true,
      sym_false,
    STATE(10317), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(4778), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [228099] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1486), 1,
      anon_sym_template,
    ACTIONS(3148), 1,
      anon_sym_decltype,
    ACTIONS(4190), 1,
      anon_sym_LBRACK,
    ACTIONS(9807), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9891), 1,
      sym_identifier,
    ACTIONS(10059), 1,
      anon_sym_requires,
    ACTIONS(10198), 1,
      anon_sym_LPAREN2,
    STATE(3762), 1,
      sym_template_type,
    STATE(7160), 1,
      sym_lambda_capture_specifier,
    STATE(7882), 1,
      sym__scope_resolution,
    ACTIONS(10202), 2,
      sym_true,
      sym_false,
    STATE(10317), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(4783), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [228151] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8209), 1,
      anon_sym___attribute__,
    ACTIONS(8357), 1,
      anon_sym_DASH_GT,
    ACTIONS(8420), 1,
      anon_sym_requires,
    ACTIONS(9908), 1,
      anon_sym_LBRACK,
    ACTIONS(10184), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(7478), 1,
      sym__function_attributes_end,
    STATE(7734), 1,
      sym_trailing_return_type,
    STATE(8050), 1,
      sym_gnu_asm_expression,
    ACTIONS(6859), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(7985), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9903), 2,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
    STATE(6922), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(7102), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7174), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(7257), 2,
      sym__function_postfix,
      sym_requires_clause,
  [228207] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1486), 1,
      anon_sym_template,
    ACTIONS(3148), 1,
      anon_sym_decltype,
    ACTIONS(4190), 1,
      anon_sym_LBRACK,
    ACTIONS(8334), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9881), 1,
      sym_identifier,
    ACTIONS(10204), 1,
      anon_sym_LPAREN2,
    ACTIONS(10208), 1,
      anon_sym_requires,
    STATE(2999), 1,
      sym_template_type,
    STATE(7124), 1,
      sym_lambda_capture_specifier,
    STATE(7862), 1,
      sym__scope_resolution,
    ACTIONS(10206), 2,
      sym_true,
      sym_false,
    STATE(10317), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(6981), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [228259] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8209), 1,
      anon_sym___attribute__,
    ACTIONS(8357), 1,
      anon_sym_DASH_GT,
    ACTIONS(8420), 1,
      anon_sym_requires,
    ACTIONS(9576), 1,
      anon_sym_LBRACK,
    ACTIONS(9938), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(7500), 1,
      sym__function_attributes_end,
    STATE(7732), 1,
      sym_trailing_return_type,
    STATE(8050), 1,
      sym_gnu_asm_expression,
    ACTIONS(6859), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(7985), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9571), 2,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
    STATE(6922), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(7102), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7174), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(7305), 2,
      sym__function_postfix,
      sym_requires_clause,
  [228315] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1486), 1,
      anon_sym_template,
    ACTIONS(3148), 1,
      anon_sym_decltype,
    ACTIONS(4190), 1,
      anon_sym_LBRACK,
    ACTIONS(8402), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9885), 1,
      sym_identifier,
    ACTIONS(10204), 1,
      anon_sym_LPAREN2,
    ACTIONS(10208), 1,
      anon_sym_requires,
    STATE(2999), 1,
      sym_template_type,
    STATE(7124), 1,
      sym_lambda_capture_specifier,
    STATE(7841), 1,
      sym__scope_resolution,
    ACTIONS(10210), 2,
      sym_true,
      sym_false,
    STATE(10317), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(7274), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [228367] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1486), 1,
      anon_sym_template,
    ACTIONS(3148), 1,
      anon_sym_decltype,
    ACTIONS(4190), 1,
      anon_sym_LBRACK,
    ACTIONS(8402), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9885), 1,
      sym_identifier,
    ACTIONS(10204), 1,
      anon_sym_LPAREN2,
    ACTIONS(10208), 1,
      anon_sym_requires,
    STATE(2999), 1,
      sym_template_type,
    STATE(7124), 1,
      sym_lambda_capture_specifier,
    STATE(7841), 1,
      sym__scope_resolution,
    ACTIONS(10212), 2,
      sym_true,
      sym_false,
    STATE(10317), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(6997), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [228419] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1486), 1,
      anon_sym_template,
    ACTIONS(3148), 1,
      anon_sym_decltype,
    ACTIONS(4190), 1,
      anon_sym_LBRACK,
    ACTIONS(8288), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9901), 1,
      sym_identifier,
    ACTIONS(10011), 1,
      anon_sym_requires,
    ACTIONS(10116), 1,
      anon_sym_LPAREN2,
    STATE(3248), 1,
      sym_template_type,
    STATE(7184), 1,
      sym_lambda_capture_specifier,
    STATE(7858), 1,
      sym__scope_resolution,
    ACTIONS(10214), 2,
      sym_true,
      sym_false,
    STATE(10317), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(7222), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [228471] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1486), 1,
      anon_sym_template,
    ACTIONS(3148), 1,
      anon_sym_decltype,
    ACTIONS(4190), 1,
      anon_sym_LBRACK,
    ACTIONS(9761), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9887), 1,
      sym_identifier,
    ACTIONS(10035), 1,
      anon_sym_requires,
    ACTIONS(10216), 1,
      anon_sym_LPAREN2,
    STATE(3244), 1,
      sym_template_type,
    STATE(7134), 1,
      sym_lambda_capture_specifier,
    STATE(7878), 1,
      sym__scope_resolution,
    ACTIONS(10218), 2,
      sym_true,
      sym_false,
    STATE(10317), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(3643), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [228523] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1486), 1,
      anon_sym_template,
    ACTIONS(3148), 1,
      anon_sym_decltype,
    ACTIONS(4190), 1,
      anon_sym_LBRACK,
    ACTIONS(9761), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9887), 1,
      sym_identifier,
    ACTIONS(10035), 1,
      anon_sym_requires,
    ACTIONS(10216), 1,
      anon_sym_LPAREN2,
    STATE(3244), 1,
      sym_template_type,
    STATE(7134), 1,
      sym_lambda_capture_specifier,
    STATE(7878), 1,
      sym__scope_resolution,
    ACTIONS(10220), 2,
      sym_true,
      sym_false,
    STATE(10317), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(3636), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [228575] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1486), 1,
      anon_sym_template,
    ACTIONS(3148), 1,
      anon_sym_decltype,
    ACTIONS(4190), 1,
      anon_sym_LBRACK,
    ACTIONS(9725), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9879), 1,
      sym_identifier,
    ACTIONS(10043), 1,
      anon_sym_requires,
    ACTIONS(10090), 1,
      anon_sym_LPAREN2,
    STATE(3736), 1,
      sym_template_type,
    STATE(7185), 1,
      sym_lambda_capture_specifier,
    STATE(7844), 1,
      sym__scope_resolution,
    ACTIONS(10222), 2,
      sym_true,
      sym_false,
    STATE(10317), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(4546), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [228627] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8209), 1,
      anon_sym___attribute__,
    ACTIONS(8357), 1,
      anon_sym_DASH_GT,
    ACTIONS(8420), 1,
      anon_sym_requires,
    ACTIONS(9314), 1,
      anon_sym_LBRACK,
    ACTIONS(9848), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(7509), 1,
      sym__function_attributes_end,
    STATE(7719), 1,
      sym_trailing_return_type,
    STATE(8050), 1,
      sym_gnu_asm_expression,
    ACTIONS(6859), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(7985), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9309), 2,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
    STATE(6922), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(7102), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7174), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(7349), 2,
      sym__function_postfix,
      sym_requires_clause,
  [228683] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1486), 1,
      anon_sym_template,
    ACTIONS(3148), 1,
      anon_sym_decltype,
    ACTIONS(4190), 1,
      anon_sym_LBRACK,
    ACTIONS(9793), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9889), 1,
      sym_identifier,
    ACTIONS(10019), 1,
      anon_sym_requires,
    ACTIONS(10164), 1,
      anon_sym_LPAREN2,
    STATE(3817), 1,
      sym_template_type,
    STATE(7123), 1,
      sym_lambda_capture_specifier,
    STATE(7839), 1,
      sym__scope_resolution,
    ACTIONS(10224), 2,
      sym_true,
      sym_false,
    STATE(10317), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5955), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [228735] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1486), 1,
      anon_sym_template,
    ACTIONS(3148), 1,
      anon_sym_decltype,
    ACTIONS(4190), 1,
      anon_sym_LBRACK,
    ACTIONS(8334), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9881), 1,
      sym_identifier,
    ACTIONS(10204), 1,
      anon_sym_LPAREN2,
    ACTIONS(10208), 1,
      anon_sym_requires,
    STATE(2999), 1,
      sym_template_type,
    STATE(7124), 1,
      sym_lambda_capture_specifier,
    STATE(7862), 1,
      sym__scope_resolution,
    ACTIONS(10226), 2,
      sym_true,
      sym_false,
    STATE(10317), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(7015), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [228787] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1486), 1,
      anon_sym_template,
    ACTIONS(3148), 1,
      anon_sym_decltype,
    ACTIONS(4190), 1,
      anon_sym_LBRACK,
    ACTIONS(9793), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9889), 1,
      sym_identifier,
    ACTIONS(10019), 1,
      anon_sym_requires,
    ACTIONS(10164), 1,
      anon_sym_LPAREN2,
    STATE(3817), 1,
      sym_template_type,
    STATE(7123), 1,
      sym_lambda_capture_specifier,
    STATE(7839), 1,
      sym__scope_resolution,
    ACTIONS(10190), 2,
      sym_true,
      sym_false,
    STATE(10317), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5408), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [228839] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(3148), 1,
      anon_sym_decltype,
    ACTIONS(9233), 1,
      anon_sym_STAR,
    ACTIONS(10228), 1,
      sym_identifier,
    ACTIONS(10230), 1,
      anon_sym_TILDE,
    ACTIONS(10232), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10234), 1,
      anon_sym_template,
    ACTIONS(10236), 1,
      anon_sym_operator,
    STATE(2995), 1,
      sym_dependent_type_identifier,
    STATE(2996), 1,
      sym_template_type,
    STATE(3023), 1,
      sym_qualified_type_identifier,
    STATE(3895), 1,
      sym_operator_name,
    STATE(3898), 1,
      sym_qualified_identifier,
    STATE(3900), 1,
      sym_dependent_identifier,
    STATE(3901), 1,
      sym_destructor_name,
    STATE(3902), 1,
      sym_template_function,
    STATE(3907), 1,
      sym_pointer_type_declarator,
    STATE(6764), 1,
      sym__scope_resolution,
    STATE(8374), 1,
      sym_qualified_operator_cast_identifier,
    STATE(8406), 1,
      sym_operator_cast,
    STATE(10078), 1,
      sym_ms_based_modifier,
    STATE(10317), 1,
      sym_decltype,
  [228909] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1486), 1,
      anon_sym_template,
    ACTIONS(3148), 1,
      anon_sym_decltype,
    ACTIONS(4190), 1,
      anon_sym_LBRACK,
    ACTIONS(10080), 1,
      sym_identifier,
    ACTIONS(10082), 1,
      anon_sym_LPAREN2,
    ACTIONS(10084), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10088), 1,
      anon_sym_requires,
    STATE(2992), 1,
      sym_template_type,
    STATE(7105), 1,
      sym_lambda_capture_specifier,
    STATE(7885), 1,
      sym__scope_resolution,
    ACTIONS(10238), 2,
      sym_true,
      sym_false,
    STATE(10317), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(2997), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [228961] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1486), 1,
      anon_sym_template,
    ACTIONS(3148), 1,
      anon_sym_decltype,
    ACTIONS(4190), 1,
      anon_sym_LBRACK,
    ACTIONS(9675), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9897), 1,
      sym_identifier,
    ACTIONS(10051), 1,
      anon_sym_requires,
    ACTIONS(10240), 1,
      anon_sym_LPAREN2,
    STATE(3921), 1,
      sym_template_type,
    STATE(7190), 1,
      sym_lambda_capture_specifier,
    STATE(7854), 1,
      sym__scope_resolution,
    ACTIONS(10242), 2,
      sym_true,
      sym_false,
    STATE(10317), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(4903), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [229013] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1486), 1,
      anon_sym_template,
    ACTIONS(3148), 1,
      anon_sym_decltype,
    ACTIONS(4190), 1,
      anon_sym_LBRACK,
    ACTIONS(8334), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9881), 1,
      sym_identifier,
    ACTIONS(10204), 1,
      anon_sym_LPAREN2,
    ACTIONS(10208), 1,
      anon_sym_requires,
    STATE(2999), 1,
      sym_template_type,
    STATE(7124), 1,
      sym_lambda_capture_specifier,
    STATE(7862), 1,
      sym__scope_resolution,
    ACTIONS(10212), 2,
      sym_true,
      sym_false,
    STATE(10317), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(6997), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [229065] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1486), 1,
      anon_sym_template,
    ACTIONS(3148), 1,
      anon_sym_decltype,
    ACTIONS(4190), 1,
      anon_sym_LBRACK,
    ACTIONS(9675), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9897), 1,
      sym_identifier,
    ACTIONS(10051), 1,
      anon_sym_requires,
    ACTIONS(10240), 1,
      anon_sym_LPAREN2,
    STATE(3921), 1,
      sym_template_type,
    STATE(7190), 1,
      sym_lambda_capture_specifier,
    STATE(7854), 1,
      sym__scope_resolution,
    ACTIONS(10244), 2,
      sym_true,
      sym_false,
    STATE(10317), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(4902), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [229117] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1486), 1,
      anon_sym_template,
    ACTIONS(3148), 1,
      anon_sym_decltype,
    ACTIONS(4190), 1,
      anon_sym_LBRACK,
    ACTIONS(8402), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9885), 1,
      sym_identifier,
    ACTIONS(10204), 1,
      anon_sym_LPAREN2,
    ACTIONS(10208), 1,
      anon_sym_requires,
    STATE(2999), 1,
      sym_template_type,
    STATE(7124), 1,
      sym_lambda_capture_specifier,
    STATE(7841), 1,
      sym__scope_resolution,
    ACTIONS(10246), 2,
      sym_true,
      sym_false,
    STATE(10317), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(7248), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [229169] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1486), 1,
      anon_sym_template,
    ACTIONS(2194), 1,
      anon_sym_COLON,
    ACTIONS(3148), 1,
      anon_sym_decltype,
    ACTIONS(5585), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5929), 1,
      anon_sym_LBRACE,
    ACTIONS(8402), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9885), 1,
      sym_identifier,
    STATE(2999), 1,
      sym_template_type,
    STATE(3088), 1,
      sym__class_declaration_item,
    STATE(3108), 1,
      sym_field_declaration_list,
    STATE(7841), 1,
      sym__scope_resolution,
    STATE(8205), 1,
      sym_virtual_specifier,
    STATE(9297), 1,
      sym_base_class_clause,
    ACTIONS(2198), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(3239), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6771), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(10317), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [229228] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1486), 1,
      anon_sym_template,
    ACTIONS(2194), 1,
      anon_sym_COLON,
    ACTIONS(3148), 1,
      anon_sym_decltype,
    ACTIONS(5585), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5929), 1,
      anon_sym_LBRACE,
    ACTIONS(8402), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9885), 1,
      sym_identifier,
    STATE(2999), 1,
      sym_template_type,
    STATE(3092), 1,
      sym__class_declaration_item,
    STATE(3108), 1,
      sym_field_declaration_list,
    STATE(7841), 1,
      sym__scope_resolution,
    STATE(8205), 1,
      sym_virtual_specifier,
    STATE(9297), 1,
      sym_base_class_clause,
    ACTIONS(2198), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(3239), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6628), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(10317), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [229287] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1486), 1,
      anon_sym_template,
    ACTIONS(2194), 1,
      anon_sym_COLON,
    ACTIONS(3148), 1,
      anon_sym_decltype,
    ACTIONS(5585), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8334), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9528), 1,
      anon_sym_LBRACE,
    ACTIONS(9881), 1,
      sym_identifier,
    STATE(2999), 1,
      sym_template_type,
    STATE(6151), 1,
      sym_field_declaration_list,
    STATE(6184), 1,
      sym__class_declaration_item,
    STATE(7862), 1,
      sym__scope_resolution,
    STATE(8171), 1,
      sym_virtual_specifier,
    STATE(9025), 1,
      sym_base_class_clause,
    ACTIONS(2198), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5969), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6628), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(10317), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [229346] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1486), 1,
      anon_sym_template,
    ACTIONS(2194), 1,
      anon_sym_COLON,
    ACTIONS(3148), 1,
      anon_sym_decltype,
    ACTIONS(5585), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6974), 1,
      anon_sym_LBRACE,
    ACTIONS(9725), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9879), 1,
      sym_identifier,
    STATE(3736), 1,
      sym_template_type,
    STATE(3959), 1,
      sym_field_declaration_list,
    STATE(4170), 1,
      sym__class_declaration_item,
    STATE(7844), 1,
      sym__scope_resolution,
    STATE(8212), 1,
      sym_virtual_specifier,
    STATE(9298), 1,
      sym_base_class_clause,
    ACTIONS(2198), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(3556), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6628), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(10317), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [229405] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1486), 1,
      anon_sym_template,
    ACTIONS(2194), 1,
      anon_sym_COLON,
    ACTIONS(3148), 1,
      anon_sym_decltype,
    ACTIONS(5585), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7292), 1,
      anon_sym_LBRACE,
    ACTIONS(9675), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9897), 1,
      sym_identifier,
    STATE(3921), 1,
      sym_template_type,
    STATE(4226), 1,
      sym_field_declaration_list,
    STATE(4600), 1,
      sym__class_declaration_item,
    STATE(7854), 1,
      sym__scope_resolution,
    STATE(8272), 1,
      sym_virtual_specifier,
    STATE(9186), 1,
      sym_base_class_clause,
    ACTIONS(2198), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(3741), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6628), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(10317), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [229464] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1486), 1,
      anon_sym_template,
    ACTIONS(2194), 1,
      anon_sym_COLON,
    ACTIONS(3148), 1,
      anon_sym_decltype,
    ACTIONS(5585), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7292), 1,
      anon_sym_LBRACE,
    ACTIONS(9675), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9897), 1,
      sym_identifier,
    STATE(3921), 1,
      sym_template_type,
    STATE(4226), 1,
      sym_field_declaration_list,
    STATE(4660), 1,
      sym__class_declaration_item,
    STATE(7854), 1,
      sym__scope_resolution,
    STATE(8272), 1,
      sym_virtual_specifier,
    STATE(9186), 1,
      sym_base_class_clause,
    ACTIONS(2198), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(3741), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6774), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(10317), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [229523] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1486), 1,
      anon_sym_template,
    ACTIONS(2194), 1,
      anon_sym_COLON,
    ACTIONS(3148), 1,
      anon_sym_decltype,
    ACTIONS(5585), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7292), 1,
      anon_sym_LBRACE,
    ACTIONS(9675), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9897), 1,
      sym_identifier,
    STATE(3921), 1,
      sym_template_type,
    STATE(4226), 1,
      sym_field_declaration_list,
    STATE(4668), 1,
      sym__class_declaration_item,
    STATE(7854), 1,
      sym__scope_resolution,
    STATE(8272), 1,
      sym_virtual_specifier,
    STATE(9186), 1,
      sym_base_class_clause,
    ACTIONS(2198), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(3741), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6628), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(10317), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [229582] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1486), 1,
      anon_sym_template,
    ACTIONS(2194), 1,
      anon_sym_COLON,
    ACTIONS(3148), 1,
      anon_sym_decltype,
    ACTIONS(5585), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8153), 1,
      anon_sym_LBRACE,
    ACTIONS(9631), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9899), 1,
      sym_identifier,
    STATE(4985), 1,
      sym_template_type,
    STATE(5219), 1,
      sym_field_declaration_list,
    STATE(5332), 1,
      sym__class_declaration_item,
    STATE(7838), 1,
      sym__scope_resolution,
    STATE(8398), 1,
      sym_virtual_specifier,
    STATE(9264), 1,
      sym_base_class_clause,
    ACTIONS(2198), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(4824), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6781), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(10317), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [229641] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1486), 1,
      anon_sym_template,
    ACTIONS(2194), 1,
      anon_sym_COLON,
    ACTIONS(3148), 1,
      anon_sym_decltype,
    ACTIONS(5585), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8153), 1,
      anon_sym_LBRACE,
    ACTIONS(9631), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9899), 1,
      sym_identifier,
    STATE(4985), 1,
      sym_template_type,
    STATE(5219), 1,
      sym_field_declaration_list,
    STATE(5298), 1,
      sym__class_declaration_item,
    STATE(7838), 1,
      sym__scope_resolution,
    STATE(8398), 1,
      sym_virtual_specifier,
    STATE(9264), 1,
      sym_base_class_clause,
    ACTIONS(2198), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(4824), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6628), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(10317), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [229700] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10248), 1,
      anon_sym_COMMA,
    ACTIONS(10250), 1,
      anon_sym_RPAREN,
    ACTIONS(10256), 1,
      anon_sym_SLASH,
    ACTIONS(10258), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(10260), 1,
      anon_sym_AMP_AMP,
    ACTIONS(10262), 1,
      anon_sym_PIPE,
    ACTIONS(10264), 1,
      anon_sym_CARET,
    ACTIONS(10266), 1,
      anon_sym_AMP,
    STATE(8661), 1,
      aux_sym_preproc_argument_list_repeat1,
    ACTIONS(10252), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(10254), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(10268), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(10270), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(10272), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(10274), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [229755] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1486), 1,
      anon_sym_template,
    ACTIONS(2194), 1,
      anon_sym_COLON,
    ACTIONS(3148), 1,
      anon_sym_decltype,
    ACTIONS(5585), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8153), 1,
      anon_sym_LBRACE,
    ACTIONS(9631), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9899), 1,
      sym_identifier,
    STATE(4985), 1,
      sym_template_type,
    STATE(5219), 1,
      sym_field_declaration_list,
    STATE(5308), 1,
      sym__class_declaration_item,
    STATE(7838), 1,
      sym__scope_resolution,
    STATE(8398), 1,
      sym_virtual_specifier,
    STATE(9264), 1,
      sym_base_class_clause,
    ACTIONS(2198), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(4824), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6778), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(10317), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [229814] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1486), 1,
      anon_sym_template,
    ACTIONS(2194), 1,
      anon_sym_COLON,
    ACTIONS(3148), 1,
      anon_sym_decltype,
    ACTIONS(5585), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8153), 1,
      anon_sym_LBRACE,
    ACTIONS(9631), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9899), 1,
      sym_identifier,
    STATE(4985), 1,
      sym_template_type,
    STATE(5219), 1,
      sym_field_declaration_list,
    STATE(5314), 1,
      sym__class_declaration_item,
    STATE(7838), 1,
      sym__scope_resolution,
    STATE(8398), 1,
      sym_virtual_specifier,
    STATE(9264), 1,
      sym_base_class_clause,
    ACTIONS(2198), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(4824), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6628), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(10317), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [229873] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1486), 1,
      anon_sym_template,
    ACTIONS(2194), 1,
      anon_sym_COLON,
    ACTIONS(3148), 1,
      anon_sym_decltype,
    ACTIONS(5585), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6857), 1,
      anon_sym_LBRACE,
    ACTIONS(9747), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9925), 1,
      sym_identifier,
    STATE(3248), 1,
      sym_template_type,
    STATE(3292), 1,
      sym__class_declaration_item,
    STATE(3711), 1,
      sym_field_declaration_list,
    STATE(7875), 1,
      sym__scope_resolution,
    STATE(8392), 1,
      sym_virtual_specifier,
    STATE(9213), 1,
      sym_base_class_clause,
    ACTIONS(2198), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(3505), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6628), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(10317), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [229932] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1486), 1,
      anon_sym_template,
    ACTIONS(2194), 1,
      anon_sym_COLON,
    ACTIONS(3148), 1,
      anon_sym_decltype,
    ACTIONS(5585), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7292), 1,
      anon_sym_LBRACE,
    ACTIONS(9675), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9897), 1,
      sym_identifier,
    STATE(3921), 1,
      sym_template_type,
    STATE(4226), 1,
      sym_field_declaration_list,
    STATE(4683), 1,
      sym__class_declaration_item,
    STATE(7854), 1,
      sym__scope_resolution,
    STATE(8272), 1,
      sym_virtual_specifier,
    STATE(9186), 1,
      sym_base_class_clause,
    ACTIONS(2198), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(3741), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6628), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(10317), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [229991] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1486), 1,
      anon_sym_template,
    ACTIONS(2194), 1,
      anon_sym_COLON,
    ACTIONS(3148), 1,
      anon_sym_decltype,
    ACTIONS(5585), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7292), 1,
      anon_sym_LBRACE,
    ACTIONS(9675), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9897), 1,
      sym_identifier,
    STATE(3921), 1,
      sym_template_type,
    STATE(4226), 1,
      sym_field_declaration_list,
    STATE(4679), 1,
      sym__class_declaration_item,
    STATE(7854), 1,
      sym__scope_resolution,
    STATE(8272), 1,
      sym_virtual_specifier,
    STATE(9186), 1,
      sym_base_class_clause,
    ACTIONS(2198), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(3741), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6776), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(10317), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [230050] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1486), 1,
      anon_sym_template,
    ACTIONS(2194), 1,
      anon_sym_COLON,
    ACTIONS(3148), 1,
      anon_sym_decltype,
    ACTIONS(4569), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5585), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5929), 1,
      anon_sym_LBRACE,
    ACTIONS(9923), 1,
      sym_identifier,
    STATE(2999), 1,
      sym_template_type,
    STATE(3084), 1,
      sym__class_declaration_item,
    STATE(3108), 1,
      sym_field_declaration_list,
    STATE(7879), 1,
      sym__scope_resolution,
    STATE(8205), 1,
      sym_virtual_specifier,
    STATE(9297), 1,
      sym_base_class_clause,
    ACTIONS(2198), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(3022), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6628), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(10317), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [230109] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1486), 1,
      anon_sym_template,
    ACTIONS(2194), 1,
      anon_sym_COLON,
    ACTIONS(3148), 1,
      anon_sym_decltype,
    ACTIONS(4569), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5585), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5929), 1,
      anon_sym_LBRACE,
    ACTIONS(9923), 1,
      sym_identifier,
    STATE(2999), 1,
      sym_template_type,
    STATE(3088), 1,
      sym__class_declaration_item,
    STATE(3108), 1,
      sym_field_declaration_list,
    STATE(7879), 1,
      sym__scope_resolution,
    STATE(8205), 1,
      sym_virtual_specifier,
    STATE(9297), 1,
      sym_base_class_clause,
    ACTIONS(2198), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(3022), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6788), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(10317), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [230168] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1486), 1,
      anon_sym_template,
    ACTIONS(2194), 1,
      anon_sym_COLON,
    ACTIONS(3148), 1,
      anon_sym_decltype,
    ACTIONS(5585), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5929), 1,
      anon_sym_LBRACE,
    ACTIONS(8402), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9885), 1,
      sym_identifier,
    STATE(2999), 1,
      sym_template_type,
    STATE(3084), 1,
      sym__class_declaration_item,
    STATE(3108), 1,
      sym_field_declaration_list,
    STATE(7841), 1,
      sym__scope_resolution,
    STATE(8205), 1,
      sym_virtual_specifier,
    STATE(9297), 1,
      sym_base_class_clause,
    ACTIONS(2198), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(3239), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6628), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(10317), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [230227] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1486), 1,
      anon_sym_template,
    ACTIONS(2194), 1,
      anon_sym_COLON,
    ACTIONS(3148), 1,
      anon_sym_decltype,
    ACTIONS(4569), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5585), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5929), 1,
      anon_sym_LBRACE,
    ACTIONS(9923), 1,
      sym_identifier,
    STATE(2999), 1,
      sym_template_type,
    STATE(3092), 1,
      sym__class_declaration_item,
    STATE(3108), 1,
      sym_field_declaration_list,
    STATE(7879), 1,
      sym__scope_resolution,
    STATE(8205), 1,
      sym_virtual_specifier,
    STATE(9297), 1,
      sym_base_class_clause,
    ACTIONS(2198), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(3022), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6628), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(10317), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [230286] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1486), 1,
      anon_sym_template,
    ACTIONS(2194), 1,
      anon_sym_COLON,
    ACTIONS(3148), 1,
      anon_sym_decltype,
    ACTIONS(5585), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6760), 1,
      anon_sym_LBRACE,
    ACTIONS(9653), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9927), 1,
      sym_identifier,
    STATE(3615), 1,
      sym_template_type,
    STATE(3757), 1,
      sym_field_declaration_list,
    STATE(3887), 1,
      sym__class_declaration_item,
    STATE(7837), 1,
      sym__scope_resolution,
    STATE(8328), 1,
      sym_virtual_specifier,
    STATE(9174), 1,
      sym_base_class_clause,
    ACTIONS(2198), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(3435), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6798), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(10317), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [230345] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1486), 1,
      anon_sym_template,
    ACTIONS(2194), 1,
      anon_sym_COLON,
    ACTIONS(3148), 1,
      anon_sym_decltype,
    ACTIONS(5585), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6857), 1,
      anon_sym_LBRACE,
    ACTIONS(8288), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9901), 1,
      sym_identifier,
    STATE(3248), 1,
      sym_template_type,
    STATE(3304), 1,
      sym__class_declaration_item,
    STATE(3711), 1,
      sym_field_declaration_list,
    STATE(7858), 1,
      sym__scope_resolution,
    STATE(8392), 1,
      sym_virtual_specifier,
    STATE(9213), 1,
      sym_base_class_clause,
    ACTIONS(2198), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(3505), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6868), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(10317), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [230404] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1486), 1,
      anon_sym_template,
    ACTIONS(2194), 1,
      anon_sym_COLON,
    ACTIONS(3148), 1,
      anon_sym_decltype,
    ACTIONS(5585), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7964), 1,
      anon_sym_LBRACE,
    ACTIONS(9697), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9895), 1,
      sym_identifier,
    STATE(4855), 1,
      sym_template_type,
    STATE(5064), 1,
      sym_field_declaration_list,
    STATE(5169), 1,
      sym__class_declaration_item,
    STATE(7840), 1,
      sym__scope_resolution,
    STATE(8461), 1,
      sym_virtual_specifier,
    STATE(9380), 1,
      sym_base_class_clause,
    ACTIONS(2198), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(4448), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6628), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(10317), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [230463] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1486), 1,
      anon_sym_template,
    ACTIONS(2194), 1,
      anon_sym_COLON,
    ACTIONS(3148), 1,
      anon_sym_decltype,
    ACTIONS(5585), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6857), 1,
      anon_sym_LBRACE,
    ACTIONS(8288), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9901), 1,
      sym_identifier,
    STATE(3248), 1,
      sym_template_type,
    STATE(3298), 1,
      sym__class_declaration_item,
    STATE(3711), 1,
      sym_field_declaration_list,
    STATE(7858), 1,
      sym__scope_resolution,
    STATE(8392), 1,
      sym_virtual_specifier,
    STATE(9213), 1,
      sym_base_class_clause,
    ACTIONS(2198), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(3505), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6628), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(10317), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [230522] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1486), 1,
      anon_sym_template,
    ACTIONS(2194), 1,
      anon_sym_COLON,
    ACTIONS(3148), 1,
      anon_sym_decltype,
    ACTIONS(5585), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7964), 1,
      anon_sym_LBRACE,
    ACTIONS(9697), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9895), 1,
      sym_identifier,
    STATE(4855), 1,
      sym_template_type,
    STATE(5064), 1,
      sym_field_declaration_list,
    STATE(5173), 1,
      sym__class_declaration_item,
    STATE(7840), 1,
      sym__scope_resolution,
    STATE(8461), 1,
      sym_virtual_specifier,
    STATE(9380), 1,
      sym_base_class_clause,
    ACTIONS(2198), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(4448), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6797), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(10317), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [230581] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1486), 1,
      anon_sym_template,
    ACTIONS(2194), 1,
      anon_sym_COLON,
    ACTIONS(3148), 1,
      anon_sym_decltype,
    ACTIONS(5585), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6857), 1,
      anon_sym_LBRACE,
    ACTIONS(8288), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9901), 1,
      sym_identifier,
    STATE(3248), 1,
      sym_template_type,
    STATE(3292), 1,
      sym__class_declaration_item,
    STATE(6682), 1,
      sym_field_declaration_list,
    STATE(7858), 1,
      sym__scope_resolution,
    STATE(8483), 1,
      sym_virtual_specifier,
    STATE(9096), 1,
      sym_base_class_clause,
    ACTIONS(2198), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6244), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6628), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(10317), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [230640] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1486), 1,
      anon_sym_template,
    ACTIONS(2194), 1,
      anon_sym_COLON,
    ACTIONS(3148), 1,
      anon_sym_decltype,
    ACTIONS(5585), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6760), 1,
      anon_sym_LBRACE,
    ACTIONS(9653), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9927), 1,
      sym_identifier,
    STATE(3615), 1,
      sym_template_type,
    STATE(3757), 1,
      sym_field_declaration_list,
    STATE(3923), 1,
      sym__class_declaration_item,
    STATE(7837), 1,
      sym__scope_resolution,
    STATE(8328), 1,
      sym_virtual_specifier,
    STATE(9174), 1,
      sym_base_class_clause,
    ACTIONS(2198), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(3435), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6628), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(10317), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [230699] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1486), 1,
      anon_sym_template,
    ACTIONS(2194), 1,
      anon_sym_COLON,
    ACTIONS(3148), 1,
      anon_sym_decltype,
    ACTIONS(5585), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6857), 1,
      anon_sym_LBRACE,
    ACTIONS(8288), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9901), 1,
      sym_identifier,
    STATE(3248), 1,
      sym_template_type,
    STATE(3304), 1,
      sym__class_declaration_item,
    STATE(6682), 1,
      sym_field_declaration_list,
    STATE(7858), 1,
      sym__scope_resolution,
    STATE(8483), 1,
      sym_virtual_specifier,
    STATE(9096), 1,
      sym_base_class_clause,
    ACTIONS(2198), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6244), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6794), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(10317), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [230758] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1486), 1,
      anon_sym_template,
    ACTIONS(2194), 1,
      anon_sym_COLON,
    ACTIONS(3148), 1,
      anon_sym_decltype,
    ACTIONS(5585), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7964), 1,
      anon_sym_LBRACE,
    ACTIONS(9697), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9895), 1,
      sym_identifier,
    STATE(4855), 1,
      sym_template_type,
    STATE(5064), 1,
      sym_field_declaration_list,
    STATE(5203), 1,
      sym__class_declaration_item,
    STATE(7840), 1,
      sym__scope_resolution,
    STATE(8461), 1,
      sym_virtual_specifier,
    STATE(9380), 1,
      sym_base_class_clause,
    ACTIONS(2198), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(4448), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6628), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(10317), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [230817] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1486), 1,
      anon_sym_template,
    ACTIONS(2194), 1,
      anon_sym_COLON,
    ACTIONS(3148), 1,
      anon_sym_decltype,
    ACTIONS(5585), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6760), 1,
      anon_sym_LBRACE,
    ACTIONS(9653), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9927), 1,
      sym_identifier,
    STATE(3615), 1,
      sym_template_type,
    STATE(3757), 1,
      sym_field_declaration_list,
    STATE(3956), 1,
      sym__class_declaration_item,
    STATE(7837), 1,
      sym__scope_resolution,
    STATE(8328), 1,
      sym_virtual_specifier,
    STATE(9174), 1,
      sym_base_class_clause,
    ACTIONS(2198), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(3435), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6628), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(10317), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [230876] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1486), 1,
      anon_sym_template,
    ACTIONS(2194), 1,
      anon_sym_COLON,
    ACTIONS(3148), 1,
      anon_sym_decltype,
    ACTIONS(5585), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6857), 1,
      anon_sym_LBRACE,
    ACTIONS(8288), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9901), 1,
      sym_identifier,
    STATE(3248), 1,
      sym_template_type,
    STATE(3298), 1,
      sym__class_declaration_item,
    STATE(6682), 1,
      sym_field_declaration_list,
    STATE(7858), 1,
      sym__scope_resolution,
    STATE(8483), 1,
      sym_virtual_specifier,
    STATE(9096), 1,
      sym_base_class_clause,
    ACTIONS(2198), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6244), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6628), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(10317), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [230935] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1486), 1,
      anon_sym_template,
    ACTIONS(2194), 1,
      anon_sym_COLON,
    ACTIONS(3148), 1,
      anon_sym_decltype,
    ACTIONS(5585), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6760), 1,
      anon_sym_LBRACE,
    ACTIONS(9653), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9927), 1,
      sym_identifier,
    STATE(3615), 1,
      sym_template_type,
    STATE(3757), 1,
      sym_field_declaration_list,
    STATE(3937), 1,
      sym__class_declaration_item,
    STATE(7837), 1,
      sym__scope_resolution,
    STATE(8328), 1,
      sym_virtual_specifier,
    STATE(9174), 1,
      sym_base_class_clause,
    ACTIONS(2198), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(3435), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6832), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(10317), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [230994] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1486), 1,
      anon_sym_template,
    ACTIONS(2194), 1,
      anon_sym_COLON,
    ACTIONS(3148), 1,
      anon_sym_decltype,
    ACTIONS(5585), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5929), 1,
      anon_sym_LBRACE,
    ACTIONS(8402), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9885), 1,
      sym_identifier,
    STATE(2999), 1,
      sym_template_type,
    STATE(3098), 1,
      sym__class_declaration_item,
    STATE(6610), 1,
      sym_field_declaration_list,
    STATE(7841), 1,
      sym__scope_resolution,
    STATE(8250), 1,
      sym_virtual_specifier,
    STATE(9290), 1,
      sym_base_class_clause,
    ACTIONS(2198), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6153), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6807), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(10317), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [231053] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1486), 1,
      anon_sym_template,
    ACTIONS(2194), 1,
      anon_sym_COLON,
    ACTIONS(3148), 1,
      anon_sym_decltype,
    ACTIONS(5585), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5929), 1,
      anon_sym_LBRACE,
    ACTIONS(8402), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9885), 1,
      sym_identifier,
    STATE(2999), 1,
      sym_template_type,
    STATE(3078), 1,
      sym__class_declaration_item,
    STATE(6610), 1,
      sym_field_declaration_list,
    STATE(7841), 1,
      sym__scope_resolution,
    STATE(8250), 1,
      sym_virtual_specifier,
    STATE(9290), 1,
      sym_base_class_clause,
    ACTIONS(2198), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6153), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6628), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(10317), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [231112] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1486), 1,
      anon_sym_template,
    ACTIONS(2194), 1,
      anon_sym_COLON,
    ACTIONS(3148), 1,
      anon_sym_decltype,
    ACTIONS(5585), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6857), 1,
      anon_sym_LBRACE,
    ACTIONS(8288), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9901), 1,
      sym_identifier,
    STATE(3248), 1,
      sym_template_type,
    STATE(3283), 1,
      sym__class_declaration_item,
    STATE(6682), 1,
      sym_field_declaration_list,
    STATE(7858), 1,
      sym__scope_resolution,
    STATE(8483), 1,
      sym_virtual_specifier,
    STATE(9096), 1,
      sym_base_class_clause,
    ACTIONS(2198), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6244), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6628), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(10317), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [231171] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1486), 1,
      anon_sym_template,
    ACTIONS(2194), 1,
      anon_sym_COLON,
    ACTIONS(3148), 1,
      anon_sym_decltype,
    ACTIONS(5585), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7964), 1,
      anon_sym_LBRACE,
    ACTIONS(9697), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9895), 1,
      sym_identifier,
    STATE(4855), 1,
      sym_template_type,
    STATE(5064), 1,
      sym_field_declaration_list,
    STATE(5210), 1,
      sym__class_declaration_item,
    STATE(7840), 1,
      sym__scope_resolution,
    STATE(8461), 1,
      sym_virtual_specifier,
    STATE(9380), 1,
      sym_base_class_clause,
    ACTIONS(2198), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(4448), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6628), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(10317), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [231230] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10276), 1,
      sym_identifier,
    ACTIONS(10278), 1,
      anon_sym_RPAREN,
    ACTIONS(10280), 1,
      anon_sym_LPAREN2,
    ACTIONS(10282), 1,
      anon_sym_defined,
    ACTIONS(10288), 1,
      sym_number_literal,
    ACTIONS(10284), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(10286), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(10290), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(6864), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [231273] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1486), 1,
      anon_sym_template,
    ACTIONS(2194), 1,
      anon_sym_COLON,
    ACTIONS(3148), 1,
      anon_sym_decltype,
    ACTIONS(5585), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7964), 1,
      anon_sym_LBRACE,
    ACTIONS(9697), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9895), 1,
      sym_identifier,
    STATE(4855), 1,
      sym_template_type,
    STATE(5064), 1,
      sym_field_declaration_list,
    STATE(5227), 1,
      sym__class_declaration_item,
    STATE(7840), 1,
      sym__scope_resolution,
    STATE(8461), 1,
      sym_virtual_specifier,
    STATE(9380), 1,
      sym_base_class_clause,
    ACTIONS(2198), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(4448), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6791), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(10317), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [231332] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1486), 1,
      anon_sym_template,
    ACTIONS(2194), 1,
      anon_sym_COLON,
    ACTIONS(3148), 1,
      anon_sym_decltype,
    ACTIONS(5585), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5929), 1,
      anon_sym_LBRACE,
    ACTIONS(8402), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9885), 1,
      sym_identifier,
    STATE(2999), 1,
      sym_template_type,
    STATE(3084), 1,
      sym__class_declaration_item,
    STATE(6610), 1,
      sym_field_declaration_list,
    STATE(7841), 1,
      sym__scope_resolution,
    STATE(8250), 1,
      sym_virtual_specifier,
    STATE(9290), 1,
      sym_base_class_clause,
    ACTIONS(2198), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6153), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6628), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(10317), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [231391] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1486), 1,
      anon_sym_template,
    ACTIONS(2194), 1,
      anon_sym_COLON,
    ACTIONS(3148), 1,
      anon_sym_decltype,
    ACTIONS(5585), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6421), 1,
      anon_sym_LBRACE,
    ACTIONS(9761), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9887), 1,
      sym_identifier,
    STATE(3244), 1,
      sym_template_type,
    STATE(3336), 1,
      sym_field_declaration_list,
    STATE(3459), 1,
      sym__class_declaration_item,
    STATE(7878), 1,
      sym__scope_resolution,
    STATE(8435), 1,
      sym_virtual_specifier,
    STATE(9054), 1,
      sym_base_class_clause,
    ACTIONS(2198), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(3187), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6818), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(10317), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [231450] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1486), 1,
      anon_sym_template,
    ACTIONS(2194), 1,
      anon_sym_COLON,
    ACTIONS(3148), 1,
      anon_sym_decltype,
    ACTIONS(5585), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5929), 1,
      anon_sym_LBRACE,
    ACTIONS(8402), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9885), 1,
      sym_identifier,
    STATE(2999), 1,
      sym_template_type,
    STATE(3088), 1,
      sym__class_declaration_item,
    STATE(6610), 1,
      sym_field_declaration_list,
    STATE(7841), 1,
      sym__scope_resolution,
    STATE(8250), 1,
      sym_virtual_specifier,
    STATE(9290), 1,
      sym_base_class_clause,
    ACTIONS(2198), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6153), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6814), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(10317), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [231509] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1486), 1,
      anon_sym_template,
    ACTIONS(2194), 1,
      anon_sym_COLON,
    ACTIONS(3148), 1,
      anon_sym_decltype,
    ACTIONS(5585), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7247), 1,
      anon_sym_LBRACE,
    ACTIONS(9793), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9889), 1,
      sym_identifier,
    STATE(3817), 1,
      sym_template_type,
    STATE(3830), 1,
      sym_field_declaration_list,
    STATE(3977), 1,
      sym__class_declaration_item,
    STATE(7839), 1,
      sym__scope_resolution,
    STATE(8339), 1,
      sym_virtual_specifier,
    STATE(9374), 1,
      sym_base_class_clause,
    ACTIONS(2198), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(3698), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6628), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(10317), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [231568] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1486), 1,
      anon_sym_template,
    ACTIONS(2194), 1,
      anon_sym_COLON,
    ACTIONS(3148), 1,
      anon_sym_decltype,
    ACTIONS(5585), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7247), 1,
      anon_sym_LBRACE,
    ACTIONS(9793), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9889), 1,
      sym_identifier,
    STATE(3817), 1,
      sym_template_type,
    STATE(3830), 1,
      sym_field_declaration_list,
    STATE(4068), 1,
      sym__class_declaration_item,
    STATE(7839), 1,
      sym__scope_resolution,
    STATE(8339), 1,
      sym_virtual_specifier,
    STATE(9374), 1,
      sym_base_class_clause,
    ACTIONS(2198), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(3698), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6810), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(10317), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [231627] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1486), 1,
      anon_sym_template,
    ACTIONS(2194), 1,
      anon_sym_COLON,
    ACTIONS(3148), 1,
      anon_sym_decltype,
    ACTIONS(5585), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7247), 1,
      anon_sym_LBRACE,
    ACTIONS(9793), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9889), 1,
      sym_identifier,
    STATE(3817), 1,
      sym_template_type,
    STATE(3830), 1,
      sym_field_declaration_list,
    STATE(4064), 1,
      sym__class_declaration_item,
    STATE(7839), 1,
      sym__scope_resolution,
    STATE(8339), 1,
      sym_virtual_specifier,
    STATE(9374), 1,
      sym_base_class_clause,
    ACTIONS(2198), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(3698), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6628), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(10317), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [231686] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1486), 1,
      anon_sym_template,
    ACTIONS(2194), 1,
      anon_sym_COLON,
    ACTIONS(3148), 1,
      anon_sym_decltype,
    ACTIONS(5585), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6421), 1,
      anon_sym_LBRACE,
    ACTIONS(9761), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9887), 1,
      sym_identifier,
    STATE(3244), 1,
      sym_template_type,
    STATE(3336), 1,
      sym_field_declaration_list,
    STATE(3385), 1,
      sym__class_declaration_item,
    STATE(7878), 1,
      sym__scope_resolution,
    STATE(8435), 1,
      sym_virtual_specifier,
    STATE(9054), 1,
      sym_base_class_clause,
    ACTIONS(2198), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(3187), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6628), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(10317), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [231745] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1486), 1,
      anon_sym_template,
    ACTIONS(2194), 1,
      anon_sym_COLON,
    ACTIONS(3148), 1,
      anon_sym_decltype,
    ACTIONS(5585), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5929), 1,
      anon_sym_LBRACE,
    ACTIONS(8402), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9885), 1,
      sym_identifier,
    STATE(2999), 1,
      sym_template_type,
    STATE(3092), 1,
      sym__class_declaration_item,
    STATE(6610), 1,
      sym_field_declaration_list,
    STATE(7841), 1,
      sym__scope_resolution,
    STATE(8250), 1,
      sym_virtual_specifier,
    STATE(9290), 1,
      sym_base_class_clause,
    ACTIONS(2198), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6153), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6628), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(10317), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [231804] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10276), 1,
      sym_identifier,
    ACTIONS(10280), 1,
      anon_sym_LPAREN2,
    ACTIONS(10282), 1,
      anon_sym_defined,
    ACTIONS(10292), 1,
      anon_sym_RPAREN,
    ACTIONS(10294), 1,
      sym_number_literal,
    ACTIONS(10284), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(10286), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(10290), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(6847), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [231847] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1486), 1,
      anon_sym_template,
    ACTIONS(2194), 1,
      anon_sym_COLON,
    ACTIONS(3148), 1,
      anon_sym_decltype,
    ACTIONS(5585), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7247), 1,
      anon_sym_LBRACE,
    ACTIONS(9793), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9889), 1,
      sym_identifier,
    STATE(3817), 1,
      sym_template_type,
    STATE(3830), 1,
      sym_field_declaration_list,
    STATE(4008), 1,
      sym__class_declaration_item,
    STATE(7839), 1,
      sym__scope_resolution,
    STATE(8339), 1,
      sym_virtual_specifier,
    STATE(9374), 1,
      sym_base_class_clause,
    ACTIONS(2198), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(3698), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6628), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(10317), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [231906] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1486), 1,
      anon_sym_template,
    ACTIONS(2194), 1,
      anon_sym_COLON,
    ACTIONS(3148), 1,
      anon_sym_decltype,
    ACTIONS(5585), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7247), 1,
      anon_sym_LBRACE,
    ACTIONS(9793), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9889), 1,
      sym_identifier,
    STATE(3817), 1,
      sym_template_type,
    STATE(3830), 1,
      sym_field_declaration_list,
    STATE(3969), 1,
      sym__class_declaration_item,
    STATE(7839), 1,
      sym__scope_resolution,
    STATE(8339), 1,
      sym_virtual_specifier,
    STATE(9374), 1,
      sym_base_class_clause,
    ACTIONS(2198), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(3698), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6812), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(10317), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [231965] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1486), 1,
      anon_sym_template,
    ACTIONS(2194), 1,
      anon_sym_COLON,
    ACTIONS(3148), 1,
      anon_sym_decltype,
    ACTIONS(5585), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6421), 1,
      anon_sym_LBRACE,
    ACTIONS(9761), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9887), 1,
      sym_identifier,
    STATE(3244), 1,
      sym_template_type,
    STATE(3336), 1,
      sym_field_declaration_list,
    STATE(3416), 1,
      sym__class_declaration_item,
    STATE(7878), 1,
      sym__scope_resolution,
    STATE(8435), 1,
      sym_virtual_specifier,
    STATE(9054), 1,
      sym_base_class_clause,
    ACTIONS(2198), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(3187), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6628), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(10317), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [232024] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1486), 1,
      anon_sym_template,
    ACTIONS(2194), 1,
      anon_sym_COLON,
    ACTIONS(3148), 1,
      anon_sym_decltype,
    ACTIONS(5585), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6974), 1,
      anon_sym_LBRACE,
    ACTIONS(9725), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9879), 1,
      sym_identifier,
    STATE(3736), 1,
      sym_template_type,
    STATE(3959), 1,
      sym_field_declaration_list,
    STATE(4131), 1,
      sym__class_declaration_item,
    STATE(7844), 1,
      sym__scope_resolution,
    STATE(8212), 1,
      sym_virtual_specifier,
    STATE(9298), 1,
      sym_base_class_clause,
    ACTIONS(2198), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(3556), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6773), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(10317), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [232083] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1486), 1,
      anon_sym_template,
    ACTIONS(2194), 1,
      anon_sym_COLON,
    ACTIONS(3148), 1,
      anon_sym_decltype,
    ACTIONS(5585), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8334), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9528), 1,
      anon_sym_LBRACE,
    ACTIONS(9881), 1,
      sym_identifier,
    STATE(2999), 1,
      sym_template_type,
    STATE(6151), 1,
      sym_field_declaration_list,
    STATE(6176), 1,
      sym__class_declaration_item,
    STATE(7862), 1,
      sym__scope_resolution,
    STATE(8171), 1,
      sym_virtual_specifier,
    STATE(9025), 1,
      sym_base_class_clause,
    ACTIONS(2198), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5969), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6628), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(10317), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [232142] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1486), 1,
      anon_sym_template,
    ACTIONS(2194), 1,
      anon_sym_COLON,
    ACTIONS(3148), 1,
      anon_sym_decltype,
    ACTIONS(5585), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6974), 1,
      anon_sym_LBRACE,
    ACTIONS(9725), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9879), 1,
      sym_identifier,
    STATE(3736), 1,
      sym_template_type,
    STATE(3959), 1,
      sym_field_declaration_list,
    STATE(4144), 1,
      sym__class_declaration_item,
    STATE(7844), 1,
      sym__scope_resolution,
    STATE(8212), 1,
      sym_virtual_specifier,
    STATE(9298), 1,
      sym_base_class_clause,
    ACTIONS(2198), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(3556), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6628), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(10317), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [232201] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1486), 1,
      anon_sym_template,
    ACTIONS(2194), 1,
      anon_sym_COLON,
    ACTIONS(3148), 1,
      anon_sym_decltype,
    ACTIONS(5585), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6421), 1,
      anon_sym_LBRACE,
    ACTIONS(9761), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9887), 1,
      sym_identifier,
    STATE(3244), 1,
      sym_template_type,
    STATE(3336), 1,
      sym_field_declaration_list,
    STATE(3412), 1,
      sym__class_declaration_item,
    STATE(7878), 1,
      sym__scope_resolution,
    STATE(8435), 1,
      sym_virtual_specifier,
    STATE(9054), 1,
      sym_base_class_clause,
    ACTIONS(2198), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(3187), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6829), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(10317), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [232260] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1486), 1,
      anon_sym_template,
    ACTIONS(2194), 1,
      anon_sym_COLON,
    ACTIONS(3148), 1,
      anon_sym_decltype,
    ACTIONS(5585), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5929), 1,
      anon_sym_LBRACE,
    ACTIONS(9881), 1,
      sym_identifier,
    ACTIONS(9883), 1,
      anon_sym_COLON_COLON,
    STATE(2999), 1,
      sym_template_type,
    STATE(3098), 1,
      sym__class_declaration_item,
    STATE(6610), 1,
      sym_field_declaration_list,
    STATE(7848), 1,
      sym__scope_resolution,
    STATE(8250), 1,
      sym_virtual_specifier,
    STATE(9290), 1,
      sym_base_class_clause,
    ACTIONS(2198), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6153), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6825), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(10317), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [232319] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1486), 1,
      anon_sym_template,
    ACTIONS(2194), 1,
      anon_sym_COLON,
    ACTIONS(3148), 1,
      anon_sym_decltype,
    ACTIONS(5585), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5929), 1,
      anon_sym_LBRACE,
    ACTIONS(9881), 1,
      sym_identifier,
    ACTIONS(9883), 1,
      anon_sym_COLON_COLON,
    STATE(2999), 1,
      sym_template_type,
    STATE(3078), 1,
      sym__class_declaration_item,
    STATE(6610), 1,
      sym_field_declaration_list,
    STATE(7848), 1,
      sym__scope_resolution,
    STATE(8250), 1,
      sym_virtual_specifier,
    STATE(9290), 1,
      sym_base_class_clause,
    ACTIONS(2198), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6153), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6628), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(10317), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [232378] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1486), 1,
      anon_sym_template,
    ACTIONS(2194), 1,
      anon_sym_COLON,
    ACTIONS(3148), 1,
      anon_sym_decltype,
    ACTIONS(5585), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5929), 1,
      anon_sym_LBRACE,
    ACTIONS(9881), 1,
      sym_identifier,
    ACTIONS(9883), 1,
      anon_sym_COLON_COLON,
    STATE(2999), 1,
      sym_template_type,
    STATE(3084), 1,
      sym__class_declaration_item,
    STATE(6610), 1,
      sym_field_declaration_list,
    STATE(7848), 1,
      sym__scope_resolution,
    STATE(8250), 1,
      sym_virtual_specifier,
    STATE(9290), 1,
      sym_base_class_clause,
    ACTIONS(2198), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6153), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6628), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(10317), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [232437] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1486), 1,
      anon_sym_template,
    ACTIONS(2194), 1,
      anon_sym_COLON,
    ACTIONS(3148), 1,
      anon_sym_decltype,
    ACTIONS(5585), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5929), 1,
      anon_sym_LBRACE,
    ACTIONS(9881), 1,
      sym_identifier,
    ACTIONS(9883), 1,
      anon_sym_COLON_COLON,
    STATE(2999), 1,
      sym_template_type,
    STATE(3088), 1,
      sym__class_declaration_item,
    STATE(6610), 1,
      sym_field_declaration_list,
    STATE(7848), 1,
      sym__scope_resolution,
    STATE(8250), 1,
      sym_virtual_specifier,
    STATE(9290), 1,
      sym_base_class_clause,
    ACTIONS(2198), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6153), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6827), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(10317), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [232496] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1486), 1,
      anon_sym_template,
    ACTIONS(2194), 1,
      anon_sym_COLON,
    ACTIONS(3148), 1,
      anon_sym_decltype,
    ACTIONS(5585), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5929), 1,
      anon_sym_LBRACE,
    ACTIONS(9881), 1,
      sym_identifier,
    ACTIONS(9883), 1,
      anon_sym_COLON_COLON,
    STATE(2999), 1,
      sym_template_type,
    STATE(3092), 1,
      sym__class_declaration_item,
    STATE(6610), 1,
      sym_field_declaration_list,
    STATE(7848), 1,
      sym__scope_resolution,
    STATE(8250), 1,
      sym_virtual_specifier,
    STATE(9290), 1,
      sym_base_class_clause,
    ACTIONS(2198), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6153), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6628), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(10317), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [232555] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4561), 1,
      anon_sym_LPAREN2,
    ACTIONS(8495), 1,
      anon_sym_STAR,
    ACTIONS(8497), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8499), 1,
      anon_sym_AMP,
    ACTIONS(8509), 1,
      anon_sym_LBRACK,
    STATE(4866), 1,
      sym_parameter_list,
    STATE(7422), 1,
      sym__function_declarator_seq,
    STATE(7571), 1,
      sym__abstract_declarator,
    STATE(7436), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8447), 8,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [232600] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1486), 1,
      anon_sym_template,
    ACTIONS(2194), 1,
      anon_sym_COLON,
    ACTIONS(3148), 1,
      anon_sym_decltype,
    ACTIONS(5585), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6421), 1,
      anon_sym_LBRACE,
    ACTIONS(9761), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9887), 1,
      sym_identifier,
    STATE(3244), 1,
      sym_template_type,
    STATE(3336), 1,
      sym_field_declaration_list,
    STATE(3447), 1,
      sym__class_declaration_item,
    STATE(7878), 1,
      sym__scope_resolution,
    STATE(8435), 1,
      sym_virtual_specifier,
    STATE(9054), 1,
      sym_base_class_clause,
    ACTIONS(2198), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(3187), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6628), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(10317), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [232659] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1486), 1,
      anon_sym_template,
    ACTIONS(2194), 1,
      anon_sym_COLON,
    ACTIONS(3148), 1,
      anon_sym_decltype,
    ACTIONS(5585), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8402), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9528), 1,
      anon_sym_LBRACE,
    ACTIONS(9885), 1,
      sym_identifier,
    STATE(2999), 1,
      sym_template_type,
    STATE(6151), 1,
      sym_field_declaration_list,
    STATE(6167), 1,
      sym__class_declaration_item,
    STATE(7841), 1,
      sym__scope_resolution,
    STATE(8171), 1,
      sym_virtual_specifier,
    STATE(9025), 1,
      sym_base_class_clause,
    ACTIONS(2198), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5969), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6833), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(10317), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [232718] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1486), 1,
      anon_sym_template,
    ACTIONS(2194), 1,
      anon_sym_COLON,
    ACTIONS(3148), 1,
      anon_sym_decltype,
    ACTIONS(5585), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8402), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9528), 1,
      anon_sym_LBRACE,
    ACTIONS(9885), 1,
      sym_identifier,
    STATE(2999), 1,
      sym_template_type,
    STATE(6151), 1,
      sym_field_declaration_list,
    STATE(6184), 1,
      sym__class_declaration_item,
    STATE(7841), 1,
      sym__scope_resolution,
    STATE(8171), 1,
      sym_virtual_specifier,
    STATE(9025), 1,
      sym_base_class_clause,
    ACTIONS(2198), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5969), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6628), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(10317), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [232777] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1486), 1,
      anon_sym_template,
    ACTIONS(2194), 1,
      anon_sym_COLON,
    ACTIONS(3148), 1,
      anon_sym_decltype,
    ACTIONS(5585), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6760), 1,
      anon_sym_LBRACE,
    ACTIONS(9653), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9927), 1,
      sym_identifier,
    STATE(3615), 1,
      sym_template_type,
    STATE(3757), 1,
      sym_field_declaration_list,
    STATE(3905), 1,
      sym__class_declaration_item,
    STATE(7837), 1,
      sym__scope_resolution,
    STATE(8328), 1,
      sym_virtual_specifier,
    STATE(9174), 1,
      sym_base_class_clause,
    ACTIONS(2198), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(3435), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6628), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(10317), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [232836] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1486), 1,
      anon_sym_template,
    ACTIONS(2194), 1,
      anon_sym_COLON,
    ACTIONS(3148), 1,
      anon_sym_decltype,
    ACTIONS(5585), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8402), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9528), 1,
      anon_sym_LBRACE,
    ACTIONS(9885), 1,
      sym_identifier,
    STATE(2999), 1,
      sym_template_type,
    STATE(6151), 1,
      sym_field_declaration_list,
    STATE(6232), 1,
      sym__class_declaration_item,
    STATE(7841), 1,
      sym__scope_resolution,
    STATE(8171), 1,
      sym_virtual_specifier,
    STATE(9025), 1,
      sym_base_class_clause,
    ACTIONS(2198), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5969), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6628), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(10317), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [232895] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1486), 1,
      anon_sym_template,
    ACTIONS(2194), 1,
      anon_sym_COLON,
    ACTIONS(3148), 1,
      anon_sym_decltype,
    ACTIONS(5585), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8402), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9528), 1,
      anon_sym_LBRACE,
    ACTIONS(9885), 1,
      sym_identifier,
    STATE(2999), 1,
      sym_template_type,
    STATE(6151), 1,
      sym_field_declaration_list,
    STATE(6213), 1,
      sym__class_declaration_item,
    STATE(7841), 1,
      sym__scope_resolution,
    STATE(8171), 1,
      sym_virtual_specifier,
    STATE(9025), 1,
      sym_base_class_clause,
    ACTIONS(2198), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5969), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6837), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(10317), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [232954] = 5,
    ACTIONS(10128), 1,
      anon_sym_LF,
    ACTIONS(10296), 1,
      anon_sym_LPAREN2,
    ACTIONS(10298), 1,
      sym_comment,
    STATE(6975), 1,
      sym_preproc_argument_list,
    ACTIONS(10132), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [232987] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1486), 1,
      anon_sym_template,
    ACTIONS(2194), 1,
      anon_sym_COLON,
    ACTIONS(3148), 1,
      anon_sym_decltype,
    ACTIONS(5585), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6857), 1,
      anon_sym_LBRACE,
    ACTIONS(9747), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9925), 1,
      sym_identifier,
    STATE(3248), 1,
      sym_template_type,
    STATE(3304), 1,
      sym__class_declaration_item,
    STATE(3711), 1,
      sym_field_declaration_list,
    STATE(7875), 1,
      sym__scope_resolution,
    STATE(8392), 1,
      sym_virtual_specifier,
    STATE(9213), 1,
      sym_base_class_clause,
    ACTIONS(2198), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(3505), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6782), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(10317), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [233046] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1486), 1,
      anon_sym_template,
    ACTIONS(2194), 1,
      anon_sym_COLON,
    ACTIONS(3148), 1,
      anon_sym_decltype,
    ACTIONS(5585), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8402), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9528), 1,
      anon_sym_LBRACE,
    ACTIONS(9885), 1,
      sym_identifier,
    STATE(2999), 1,
      sym_template_type,
    STATE(6151), 1,
      sym_field_declaration_list,
    STATE(6176), 1,
      sym__class_declaration_item,
    STATE(7841), 1,
      sym__scope_resolution,
    STATE(8171), 1,
      sym_virtual_specifier,
    STATE(9025), 1,
      sym_base_class_clause,
    ACTIONS(2198), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5969), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6628), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(10317), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [233105] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1486), 1,
      anon_sym_template,
    ACTIONS(2194), 1,
      anon_sym_COLON,
    ACTIONS(3148), 1,
      anon_sym_decltype,
    ACTIONS(5585), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8334), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9528), 1,
      anon_sym_LBRACE,
    ACTIONS(9881), 1,
      sym_identifier,
    STATE(2999), 1,
      sym_template_type,
    STATE(6151), 1,
      sym_field_declaration_list,
    STATE(6167), 1,
      sym__class_declaration_item,
    STATE(7862), 1,
      sym__scope_resolution,
    STATE(8171), 1,
      sym_virtual_specifier,
    STATE(9025), 1,
      sym_base_class_clause,
    ACTIONS(2198), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5969), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6850), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(10317), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [233164] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1486), 1,
      anon_sym_template,
    ACTIONS(2194), 1,
      anon_sym_COLON,
    ACTIONS(3148), 1,
      anon_sym_decltype,
    ACTIONS(3904), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5585), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5929), 1,
      anon_sym_LBRACE,
    ACTIONS(9885), 1,
      sym_identifier,
    STATE(2999), 1,
      sym_template_type,
    STATE(3078), 1,
      sym__class_declaration_item,
    STATE(3108), 1,
      sym_field_declaration_list,
    STATE(7887), 1,
      sym__scope_resolution,
    STATE(8205), 1,
      sym_virtual_specifier,
    STATE(9297), 1,
      sym_base_class_clause,
    ACTIONS(2198), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(3022), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6628), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(10317), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [233223] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1486), 1,
      anon_sym_template,
    ACTIONS(2194), 1,
      anon_sym_COLON,
    ACTIONS(3148), 1,
      anon_sym_decltype,
    ACTIONS(5585), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6857), 1,
      anon_sym_LBRACE,
    ACTIONS(9747), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9925), 1,
      sym_identifier,
    STATE(3248), 1,
      sym_template_type,
    STATE(3298), 1,
      sym__class_declaration_item,
    STATE(3711), 1,
      sym_field_declaration_list,
    STATE(7875), 1,
      sym__scope_resolution,
    STATE(8392), 1,
      sym_virtual_specifier,
    STATE(9213), 1,
      sym_base_class_clause,
    ACTIONS(2198), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(3505), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6628), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(10317), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [233282] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1486), 1,
      anon_sym_template,
    ACTIONS(2194), 1,
      anon_sym_COLON,
    ACTIONS(3148), 1,
      anon_sym_decltype,
    ACTIONS(5585), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8364), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9569), 1,
      anon_sym_LBRACE,
    ACTIONS(9893), 1,
      sym_identifier,
    STATE(6081), 1,
      sym_template_type,
    STATE(6211), 1,
      sym_field_declaration_list,
    STATE(6375), 1,
      sym__class_declaration_item,
    STATE(7852), 1,
      sym__scope_resolution,
    STATE(8397), 1,
      sym_virtual_specifier,
    STATE(9263), 1,
      sym_base_class_clause,
    ACTIONS(2198), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6076), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6628), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(10317), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [233341] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1486), 1,
      anon_sym_template,
    ACTIONS(2194), 1,
      anon_sym_COLON,
    ACTIONS(3148), 1,
      anon_sym_decltype,
    ACTIONS(5585), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8364), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9569), 1,
      anon_sym_LBRACE,
    ACTIONS(9893), 1,
      sym_identifier,
    STATE(6081), 1,
      sym_template_type,
    STATE(6211), 1,
      sym_field_declaration_list,
    STATE(6391), 1,
      sym__class_declaration_item,
    STATE(7852), 1,
      sym__scope_resolution,
    STATE(8397), 1,
      sym_virtual_specifier,
    STATE(9263), 1,
      sym_base_class_clause,
    ACTIONS(2198), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6076), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6841), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(10317), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [233400] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1486), 1,
      anon_sym_template,
    ACTIONS(2194), 1,
      anon_sym_COLON,
    ACTIONS(3148), 1,
      anon_sym_decltype,
    ACTIONS(3904), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5585), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5929), 1,
      anon_sym_LBRACE,
    ACTIONS(9885), 1,
      sym_identifier,
    STATE(2999), 1,
      sym_template_type,
    STATE(3084), 1,
      sym__class_declaration_item,
    STATE(3108), 1,
      sym_field_declaration_list,
    STATE(7887), 1,
      sym__scope_resolution,
    STATE(8205), 1,
      sym_virtual_specifier,
    STATE(9297), 1,
      sym_base_class_clause,
    ACTIONS(2198), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(3022), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6628), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(10317), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [233459] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1486), 1,
      anon_sym_template,
    ACTIONS(2194), 1,
      anon_sym_COLON,
    ACTIONS(3148), 1,
      anon_sym_decltype,
    ACTIONS(5585), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8364), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9569), 1,
      anon_sym_LBRACE,
    ACTIONS(9893), 1,
      sym_identifier,
    STATE(6081), 1,
      sym_template_type,
    STATE(6211), 1,
      sym_field_declaration_list,
    STATE(6396), 1,
      sym__class_declaration_item,
    STATE(7852), 1,
      sym__scope_resolution,
    STATE(8397), 1,
      sym_virtual_specifier,
    STATE(9263), 1,
      sym_base_class_clause,
    ACTIONS(2198), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6076), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6628), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(10317), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [233518] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1486), 1,
      anon_sym_template,
    ACTIONS(2194), 1,
      anon_sym_COLON,
    ACTIONS(3148), 1,
      anon_sym_decltype,
    ACTIONS(5585), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8153), 1,
      anon_sym_LBRACE,
    ACTIONS(9631), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9899), 1,
      sym_identifier,
    STATE(4985), 1,
      sym_template_type,
    STATE(5219), 1,
      sym_field_declaration_list,
    STATE(5302), 1,
      sym__class_declaration_item,
    STATE(7838), 1,
      sym__scope_resolution,
    STATE(8398), 1,
      sym_virtual_specifier,
    STATE(9264), 1,
      sym_base_class_clause,
    ACTIONS(2198), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(4824), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6628), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(10317), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [233577] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1486), 1,
      anon_sym_template,
    ACTIONS(2194), 1,
      anon_sym_COLON,
    ACTIONS(3148), 1,
      anon_sym_decltype,
    ACTIONS(3904), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5585), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5929), 1,
      anon_sym_LBRACE,
    ACTIONS(9885), 1,
      sym_identifier,
    STATE(2999), 1,
      sym_template_type,
    STATE(3088), 1,
      sym__class_declaration_item,
    STATE(3108), 1,
      sym_field_declaration_list,
    STATE(7887), 1,
      sym__scope_resolution,
    STATE(8205), 1,
      sym_virtual_specifier,
    STATE(9297), 1,
      sym_base_class_clause,
    ACTIONS(2198), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(3022), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6879), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(10317), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [233636] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10248), 1,
      anon_sym_COMMA,
    ACTIONS(10256), 1,
      anon_sym_SLASH,
    ACTIONS(10258), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(10260), 1,
      anon_sym_AMP_AMP,
    ACTIONS(10262), 1,
      anon_sym_PIPE,
    ACTIONS(10264), 1,
      anon_sym_CARET,
    ACTIONS(10266), 1,
      anon_sym_AMP,
    ACTIONS(10300), 1,
      anon_sym_RPAREN,
    STATE(8819), 1,
      aux_sym_preproc_argument_list_repeat1,
    ACTIONS(10252), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(10254), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(10268), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(10270), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(10272), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(10274), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [233691] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1486), 1,
      anon_sym_template,
    ACTIONS(2194), 1,
      anon_sym_COLON,
    ACTIONS(3148), 1,
      anon_sym_decltype,
    ACTIONS(5585), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6857), 1,
      anon_sym_LBRACE,
    ACTIONS(8288), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9901), 1,
      sym_identifier,
    STATE(3248), 1,
      sym_template_type,
    STATE(3277), 1,
      sym__class_declaration_item,
    STATE(3711), 1,
      sym_field_declaration_list,
    STATE(7858), 1,
      sym__scope_resolution,
    STATE(8392), 1,
      sym_virtual_specifier,
    STATE(9213), 1,
      sym_base_class_clause,
    ACTIONS(2198), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(3505), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6792), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(10317), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [233750] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1486), 1,
      anon_sym_template,
    ACTIONS(2194), 1,
      anon_sym_COLON,
    ACTIONS(3148), 1,
      anon_sym_decltype,
    ACTIONS(5585), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6993), 1,
      anon_sym_LBRACE,
    ACTIONS(9807), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9891), 1,
      sym_identifier,
    STATE(3762), 1,
      sym_template_type,
    STATE(4017), 1,
      sym_field_declaration_list,
    STATE(4358), 1,
      sym__class_declaration_item,
    STATE(7882), 1,
      sym__scope_resolution,
    STATE(8217), 1,
      sym_virtual_specifier,
    STATE(9069), 1,
      sym_base_class_clause,
    ACTIONS(2198), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(3566), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6628), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(10317), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [233809] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1486), 1,
      anon_sym_template,
    ACTIONS(2194), 1,
      anon_sym_COLON,
    ACTIONS(3148), 1,
      anon_sym_decltype,
    ACTIONS(5585), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8334), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9528), 1,
      anon_sym_LBRACE,
    ACTIONS(9881), 1,
      sym_identifier,
    STATE(2999), 1,
      sym_template_type,
    STATE(6151), 1,
      sym_field_declaration_list,
    STATE(6232), 1,
      sym__class_declaration_item,
    STATE(7862), 1,
      sym__scope_resolution,
    STATE(8171), 1,
      sym_virtual_specifier,
    STATE(9025), 1,
      sym_base_class_clause,
    ACTIONS(2198), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5969), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6628), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(10317), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [233868] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1486), 1,
      anon_sym_template,
    ACTIONS(2194), 1,
      anon_sym_COLON,
    ACTIONS(3148), 1,
      anon_sym_decltype,
    ACTIONS(5585), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6857), 1,
      anon_sym_LBRACE,
    ACTIONS(8288), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9901), 1,
      sym_identifier,
    STATE(3248), 1,
      sym_template_type,
    STATE(3277), 1,
      sym__class_declaration_item,
    STATE(6682), 1,
      sym_field_declaration_list,
    STATE(7858), 1,
      sym__scope_resolution,
    STATE(8483), 1,
      sym_virtual_specifier,
    STATE(9096), 1,
      sym_base_class_clause,
    ACTIONS(2198), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6244), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6799), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(10317), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [233927] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1486), 1,
      anon_sym_template,
    ACTIONS(2194), 1,
      anon_sym_COLON,
    ACTIONS(3148), 1,
      anon_sym_decltype,
    ACTIONS(5585), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6974), 1,
      anon_sym_LBRACE,
    ACTIONS(9725), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9879), 1,
      sym_identifier,
    STATE(3736), 1,
      sym_template_type,
    STATE(3959), 1,
      sym_field_declaration_list,
    STATE(4115), 1,
      sym__class_declaration_item,
    STATE(7844), 1,
      sym__scope_resolution,
    STATE(8212), 1,
      sym_virtual_specifier,
    STATE(9298), 1,
      sym_base_class_clause,
    ACTIONS(2198), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(3556), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6873), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(10317), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [233986] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1486), 1,
      anon_sym_template,
    ACTIONS(2194), 1,
      anon_sym_COLON,
    ACTIONS(3148), 1,
      anon_sym_decltype,
    ACTIONS(3904), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5585), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5929), 1,
      anon_sym_LBRACE,
    ACTIONS(9885), 1,
      sym_identifier,
    STATE(2999), 1,
      sym_template_type,
    STATE(3098), 1,
      sym__class_declaration_item,
    STATE(3108), 1,
      sym_field_declaration_list,
    STATE(7887), 1,
      sym__scope_resolution,
    STATE(8205), 1,
      sym_virtual_specifier,
    STATE(9297), 1,
      sym_base_class_clause,
    ACTIONS(2198), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(3022), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6843), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(10317), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [234045] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1486), 1,
      anon_sym_template,
    ACTIONS(2194), 1,
      anon_sym_COLON,
    ACTIONS(3148), 1,
      anon_sym_decltype,
    ACTIONS(5585), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8334), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9528), 1,
      anon_sym_LBRACE,
    ACTIONS(9881), 1,
      sym_identifier,
    STATE(2999), 1,
      sym_template_type,
    STATE(6151), 1,
      sym_field_declaration_list,
    STATE(6213), 1,
      sym__class_declaration_item,
    STATE(7862), 1,
      sym__scope_resolution,
    STATE(8171), 1,
      sym_virtual_specifier,
    STATE(9025), 1,
      sym_base_class_clause,
    ACTIONS(2198), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5969), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6820), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(10317), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [234104] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1486), 1,
      anon_sym_template,
    ACTIONS(2194), 1,
      anon_sym_COLON,
    ACTIONS(3148), 1,
      anon_sym_decltype,
    ACTIONS(5585), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6993), 1,
      anon_sym_LBRACE,
    ACTIONS(9807), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9891), 1,
      sym_identifier,
    STATE(3762), 1,
      sym_template_type,
    STATE(4017), 1,
      sym_field_declaration_list,
    STATE(4346), 1,
      sym__class_declaration_item,
    STATE(7882), 1,
      sym__scope_resolution,
    STATE(8217), 1,
      sym_virtual_specifier,
    STATE(9069), 1,
      sym_base_class_clause,
    ACTIONS(2198), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(3566), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6849), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(10317), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [234163] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1486), 1,
      anon_sym_template,
    ACTIONS(2194), 1,
      anon_sym_COLON,
    ACTIONS(3148), 1,
      anon_sym_decltype,
    ACTIONS(5585), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6857), 1,
      anon_sym_LBRACE,
    ACTIONS(9747), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9925), 1,
      sym_identifier,
    STATE(3248), 1,
      sym_template_type,
    STATE(3283), 1,
      sym__class_declaration_item,
    STATE(3711), 1,
      sym_field_declaration_list,
    STATE(7875), 1,
      sym__scope_resolution,
    STATE(8392), 1,
      sym_virtual_specifier,
    STATE(9213), 1,
      sym_base_class_clause,
    ACTIONS(2198), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(3505), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6628), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(10317), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [234222] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1486), 1,
      anon_sym_template,
    ACTIONS(2194), 1,
      anon_sym_COLON,
    ACTIONS(3148), 1,
      anon_sym_decltype,
    ACTIONS(5585), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6857), 1,
      anon_sym_LBRACE,
    ACTIONS(9747), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9925), 1,
      sym_identifier,
    STATE(3248), 1,
      sym_template_type,
    STATE(3277), 1,
      sym__class_declaration_item,
    STATE(3711), 1,
      sym_field_declaration_list,
    STATE(7875), 1,
      sym__scope_resolution,
    STATE(8392), 1,
      sym_virtual_specifier,
    STATE(9213), 1,
      sym_base_class_clause,
    ACTIONS(2198), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(3505), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6840), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(10317), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [234281] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1486), 1,
      anon_sym_template,
    ACTIONS(2194), 1,
      anon_sym_COLON,
    ACTIONS(3148), 1,
      anon_sym_decltype,
    ACTIONS(5585), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6993), 1,
      anon_sym_LBRACE,
    ACTIONS(9807), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9891), 1,
      sym_identifier,
    STATE(3762), 1,
      sym_template_type,
    STATE(4017), 1,
      sym_field_declaration_list,
    STATE(4324), 1,
      sym__class_declaration_item,
    STATE(7882), 1,
      sym__scope_resolution,
    STATE(8217), 1,
      sym_virtual_specifier,
    STATE(9069), 1,
      sym_base_class_clause,
    ACTIONS(2198), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(3566), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6628), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(10317), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [234340] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10304), 1,
      anon_sym_LBRACK,
    ACTIONS(10302), 20,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_noexcept,
      anon_sym_throw,
      anon_sym_requires,
  [234369] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1486), 1,
      anon_sym_template,
    ACTIONS(2194), 1,
      anon_sym_COLON,
    ACTIONS(3148), 1,
      anon_sym_decltype,
    ACTIONS(4569), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5585), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5929), 1,
      anon_sym_LBRACE,
    ACTIONS(9923), 1,
      sym_identifier,
    STATE(2999), 1,
      sym_template_type,
    STATE(3078), 1,
      sym__class_declaration_item,
    STATE(3108), 1,
      sym_field_declaration_list,
    STATE(7879), 1,
      sym__scope_resolution,
    STATE(8205), 1,
      sym_virtual_specifier,
    STATE(9297), 1,
      sym_base_class_clause,
    ACTIONS(2198), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(3022), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6628), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(10317), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [234428] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1486), 1,
      anon_sym_template,
    ACTIONS(2194), 1,
      anon_sym_COLON,
    ACTIONS(3148), 1,
      anon_sym_decltype,
    ACTIONS(4569), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5585), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5929), 1,
      anon_sym_LBRACE,
    ACTIONS(9923), 1,
      sym_identifier,
    STATE(2999), 1,
      sym_template_type,
    STATE(3098), 1,
      sym__class_declaration_item,
    STATE(3108), 1,
      sym_field_declaration_list,
    STATE(7879), 1,
      sym__scope_resolution,
    STATE(8205), 1,
      sym_virtual_specifier,
    STATE(9297), 1,
      sym_base_class_clause,
    ACTIONS(2198), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(3022), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6785), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(10317), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [234487] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(133), 1,
      anon_sym_operator,
    ACTIONS(2877), 1,
      anon_sym_TILDE,
    ACTIONS(3148), 1,
      anon_sym_decltype,
    ACTIONS(5583), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9066), 1,
      anon_sym_STAR,
    ACTIONS(10306), 1,
      sym_identifier,
    ACTIONS(10308), 1,
      anon_sym_template,
    STATE(3895), 1,
      sym_operator_name,
    STATE(3898), 1,
      sym_qualified_identifier,
    STATE(3900), 1,
      sym_dependent_identifier,
    STATE(3901), 1,
      sym_destructor_name,
    STATE(3902), 1,
      sym_template_function,
    STATE(3907), 1,
      sym_pointer_type_declarator,
    STATE(6862), 1,
      sym__scope_resolution,
    STATE(8374), 1,
      sym_qualified_operator_cast_identifier,
    STATE(8406), 1,
      sym_operator_cast,
    STATE(9882), 1,
      sym_ms_based_modifier,
    STATE(10317), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
  [234550] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10276), 1,
      sym_identifier,
    ACTIONS(10280), 1,
      anon_sym_LPAREN2,
    ACTIONS(10282), 1,
      anon_sym_defined,
    ACTIONS(10310), 1,
      anon_sym_RPAREN,
    ACTIONS(10312), 1,
      sym_number_literal,
    ACTIONS(10284), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(10286), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(10290), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(6779), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [234593] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10248), 1,
      anon_sym_COMMA,
    ACTIONS(10256), 1,
      anon_sym_SLASH,
    ACTIONS(10258), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(10260), 1,
      anon_sym_AMP_AMP,
    ACTIONS(10262), 1,
      anon_sym_PIPE,
    ACTIONS(10264), 1,
      anon_sym_CARET,
    ACTIONS(10266), 1,
      anon_sym_AMP,
    ACTIONS(10314), 1,
      anon_sym_RPAREN,
    STATE(8638), 1,
      aux_sym_preproc_argument_list_repeat1,
    ACTIONS(10252), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(10254), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(10268), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(10270), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(10272), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(10274), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [234648] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1486), 1,
      anon_sym_template,
    ACTIONS(2194), 1,
      anon_sym_COLON,
    ACTIONS(3148), 1,
      anon_sym_decltype,
    ACTIONS(5585), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5929), 1,
      anon_sym_LBRACE,
    ACTIONS(8402), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9885), 1,
      sym_identifier,
    STATE(2999), 1,
      sym_template_type,
    STATE(3078), 1,
      sym__class_declaration_item,
    STATE(3108), 1,
      sym_field_declaration_list,
    STATE(7841), 1,
      sym__scope_resolution,
    STATE(8205), 1,
      sym_virtual_specifier,
    STATE(9297), 1,
      sym_base_class_clause,
    ACTIONS(2198), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(3239), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6628), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(10317), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [234707] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1486), 1,
      anon_sym_template,
    ACTIONS(2194), 1,
      anon_sym_COLON,
    ACTIONS(3148), 1,
      anon_sym_decltype,
    ACTIONS(5585), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5929), 1,
      anon_sym_LBRACE,
    ACTIONS(8402), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9885), 1,
      sym_identifier,
    STATE(2999), 1,
      sym_template_type,
    STATE(3098), 1,
      sym__class_declaration_item,
    STATE(3108), 1,
      sym_field_declaration_list,
    STATE(7841), 1,
      sym__scope_resolution,
    STATE(8205), 1,
      sym_virtual_specifier,
    STATE(9297), 1,
      sym_base_class_clause,
    ACTIONS(2198), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(3239), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6787), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(10317), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [234766] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1486), 1,
      anon_sym_template,
    ACTIONS(2194), 1,
      anon_sym_COLON,
    ACTIONS(3148), 1,
      anon_sym_decltype,
    ACTIONS(5585), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6857), 1,
      anon_sym_LBRACE,
    ACTIONS(8288), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9901), 1,
      sym_identifier,
    STATE(3248), 1,
      sym_template_type,
    STATE(3283), 1,
      sym__class_declaration_item,
    STATE(3711), 1,
      sym_field_declaration_list,
    STATE(7858), 1,
      sym__scope_resolution,
    STATE(8392), 1,
      sym_virtual_specifier,
    STATE(9213), 1,
      sym_base_class_clause,
    ACTIONS(2198), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(3505), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6628), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(10317), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [234825] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1486), 1,
      anon_sym_template,
    ACTIONS(2194), 1,
      anon_sym_COLON,
    ACTIONS(3148), 1,
      anon_sym_decltype,
    ACTIONS(5585), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6857), 1,
      anon_sym_LBRACE,
    ACTIONS(8288), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9901), 1,
      sym_identifier,
    STATE(3248), 1,
      sym_template_type,
    STATE(3292), 1,
      sym__class_declaration_item,
    STATE(3711), 1,
      sym_field_declaration_list,
    STATE(7858), 1,
      sym__scope_resolution,
    STATE(8392), 1,
      sym_virtual_specifier,
    STATE(9213), 1,
      sym_base_class_clause,
    ACTIONS(2198), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(3505), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6628), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(10317), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [234884] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1486), 1,
      anon_sym_template,
    ACTIONS(2194), 1,
      anon_sym_COLON,
    ACTIONS(3148), 1,
      anon_sym_decltype,
    ACTIONS(5585), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6993), 1,
      anon_sym_LBRACE,
    ACTIONS(9807), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9891), 1,
      sym_identifier,
    STATE(3762), 1,
      sym_template_type,
    STATE(4017), 1,
      sym_field_declaration_list,
    STATE(4251), 1,
      sym__class_declaration_item,
    STATE(7882), 1,
      sym__scope_resolution,
    STATE(8217), 1,
      sym_virtual_specifier,
    STATE(9069), 1,
      sym_base_class_clause,
    ACTIONS(2198), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(3566), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6858), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(10317), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [234943] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1486), 1,
      anon_sym_template,
    ACTIONS(2194), 1,
      anon_sym_COLON,
    ACTIONS(3148), 1,
      anon_sym_decltype,
    ACTIONS(5585), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7247), 1,
      anon_sym_LBRACE,
    ACTIONS(8416), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9915), 1,
      sym_identifier,
    STATE(3817), 1,
      sym_template_type,
    STATE(3830), 1,
      sym_field_declaration_list,
    STATE(3977), 1,
      sym__class_declaration_item,
    STATE(7845), 1,
      sym__scope_resolution,
    STATE(8339), 1,
      sym_virtual_specifier,
    STATE(9374), 1,
      sym_base_class_clause,
    ACTIONS(2198), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(3698), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6628), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(10317), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [235002] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1486), 1,
      anon_sym_template,
    ACTIONS(2194), 1,
      anon_sym_COLON,
    ACTIONS(3148), 1,
      anon_sym_decltype,
    ACTIONS(5585), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7247), 1,
      anon_sym_LBRACE,
    ACTIONS(8416), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9915), 1,
      sym_identifier,
    STATE(3817), 1,
      sym_template_type,
    STATE(3830), 1,
      sym_field_declaration_list,
    STATE(4068), 1,
      sym__class_declaration_item,
    STATE(7845), 1,
      sym__scope_resolution,
    STATE(8339), 1,
      sym_virtual_specifier,
    STATE(9374), 1,
      sym_base_class_clause,
    ACTIONS(2198), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(3698), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6870), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(10317), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [235061] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1486), 1,
      anon_sym_template,
    ACTIONS(2194), 1,
      anon_sym_COLON,
    ACTIONS(3148), 1,
      anon_sym_decltype,
    ACTIONS(5585), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7247), 1,
      anon_sym_LBRACE,
    ACTIONS(8416), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9915), 1,
      sym_identifier,
    STATE(3817), 1,
      sym_template_type,
    STATE(3830), 1,
      sym_field_declaration_list,
    STATE(4064), 1,
      sym__class_declaration_item,
    STATE(7845), 1,
      sym__scope_resolution,
    STATE(8339), 1,
      sym_virtual_specifier,
    STATE(9374), 1,
      sym_base_class_clause,
    ACTIONS(2198), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(3698), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6628), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(10317), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [235120] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1486), 1,
      anon_sym_template,
    ACTIONS(2194), 1,
      anon_sym_COLON,
    ACTIONS(3148), 1,
      anon_sym_decltype,
    ACTIONS(5585), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6974), 1,
      anon_sym_LBRACE,
    ACTIONS(9725), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9879), 1,
      sym_identifier,
    STATE(3736), 1,
      sym_template_type,
    STATE(3959), 1,
      sym_field_declaration_list,
    STATE(4095), 1,
      sym__class_declaration_item,
    STATE(7844), 1,
      sym__scope_resolution,
    STATE(8212), 1,
      sym_virtual_specifier,
    STATE(9298), 1,
      sym_base_class_clause,
    ACTIONS(2198), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(3556), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6628), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(10317), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [235179] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1486), 1,
      anon_sym_template,
    ACTIONS(2194), 1,
      anon_sym_COLON,
    ACTIONS(3148), 1,
      anon_sym_decltype,
    ACTIONS(5585), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7247), 1,
      anon_sym_LBRACE,
    ACTIONS(8416), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9915), 1,
      sym_identifier,
    STATE(3817), 1,
      sym_template_type,
    STATE(3830), 1,
      sym_field_declaration_list,
    STATE(4008), 1,
      sym__class_declaration_item,
    STATE(7845), 1,
      sym__scope_resolution,
    STATE(8339), 1,
      sym_virtual_specifier,
    STATE(9374), 1,
      sym_base_class_clause,
    ACTIONS(2198), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(3698), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6628), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(10317), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [235238] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1486), 1,
      anon_sym_template,
    ACTIONS(2194), 1,
      anon_sym_COLON,
    ACTIONS(3148), 1,
      anon_sym_decltype,
    ACTIONS(5585), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7247), 1,
      anon_sym_LBRACE,
    ACTIONS(8416), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9915), 1,
      sym_identifier,
    STATE(3817), 1,
      sym_template_type,
    STATE(3830), 1,
      sym_field_declaration_list,
    STATE(3969), 1,
      sym__class_declaration_item,
    STATE(7845), 1,
      sym__scope_resolution,
    STATE(8339), 1,
      sym_virtual_specifier,
    STATE(9374), 1,
      sym_base_class_clause,
    ACTIONS(2198), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(3698), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6872), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(10317), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [235297] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1486), 1,
      anon_sym_template,
    ACTIONS(2194), 1,
      anon_sym_COLON,
    ACTIONS(3148), 1,
      anon_sym_decltype,
    ACTIONS(5585), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6993), 1,
      anon_sym_LBRACE,
    ACTIONS(9807), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9891), 1,
      sym_identifier,
    STATE(3762), 1,
      sym_template_type,
    STATE(4017), 1,
      sym_field_declaration_list,
    STATE(4254), 1,
      sym__class_declaration_item,
    STATE(7882), 1,
      sym__scope_resolution,
    STATE(8217), 1,
      sym_virtual_specifier,
    STATE(9069), 1,
      sym_base_class_clause,
    ACTIONS(2198), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(3566), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6628), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(10317), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [235356] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1486), 1,
      anon_sym_template,
    ACTIONS(2194), 1,
      anon_sym_COLON,
    ACTIONS(3148), 1,
      anon_sym_decltype,
    ACTIONS(5585), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8364), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9569), 1,
      anon_sym_LBRACE,
    ACTIONS(9893), 1,
      sym_identifier,
    STATE(6081), 1,
      sym_template_type,
    STATE(6211), 1,
      sym_field_declaration_list,
    STATE(6408), 1,
      sym__class_declaration_item,
    STATE(7852), 1,
      sym__scope_resolution,
    STATE(8397), 1,
      sym_virtual_specifier,
    STATE(9263), 1,
      sym_base_class_clause,
    ACTIONS(2198), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6076), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6628), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(10317), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [235415] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1486), 1,
      anon_sym_template,
    ACTIONS(2194), 1,
      anon_sym_COLON,
    ACTIONS(3148), 1,
      anon_sym_decltype,
    ACTIONS(5585), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8364), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9569), 1,
      anon_sym_LBRACE,
    ACTIONS(9893), 1,
      sym_identifier,
    STATE(6081), 1,
      sym_template_type,
    STATE(6211), 1,
      sym_field_declaration_list,
    STATE(6401), 1,
      sym__class_declaration_item,
    STATE(7852), 1,
      sym__scope_resolution,
    STATE(8397), 1,
      sym_virtual_specifier,
    STATE(9263), 1,
      sym_base_class_clause,
    ACTIONS(2198), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6076), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6844), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(10317), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [235474] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1486), 1,
      anon_sym_template,
    ACTIONS(2194), 1,
      anon_sym_COLON,
    ACTIONS(3148), 1,
      anon_sym_decltype,
    ACTIONS(3904), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5585), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5929), 1,
      anon_sym_LBRACE,
    ACTIONS(9885), 1,
      sym_identifier,
    STATE(2999), 1,
      sym_template_type,
    STATE(3092), 1,
      sym__class_declaration_item,
    STATE(3108), 1,
      sym_field_declaration_list,
    STATE(7887), 1,
      sym__scope_resolution,
    STATE(8205), 1,
      sym_virtual_specifier,
    STATE(9297), 1,
      sym_base_class_clause,
    ACTIONS(2198), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(3022), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6628), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(10317), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [235533] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10316), 1,
      sym_identifier,
    ACTIONS(10318), 1,
      anon_sym_LPAREN2,
    ACTIONS(10320), 1,
      anon_sym_defined,
    ACTIONS(10326), 1,
      sym_number_literal,
    ACTIONS(10322), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(10324), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(10328), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(7044), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [235573] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10316), 1,
      sym_identifier,
    ACTIONS(10318), 1,
      anon_sym_LPAREN2,
    ACTIONS(10320), 1,
      anon_sym_defined,
    ACTIONS(10330), 1,
      sym_number_literal,
    ACTIONS(10322), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(10324), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(10328), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(7029), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [235613] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10334), 5,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(10332), 15,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [235641] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10276), 1,
      sym_identifier,
    ACTIONS(10280), 1,
      anon_sym_LPAREN2,
    ACTIONS(10282), 1,
      anon_sym_defined,
    ACTIONS(10336), 1,
      sym_number_literal,
    ACTIONS(10284), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(10286), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(10290), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(6917), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [235681] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10256), 1,
      anon_sym_SLASH,
    ACTIONS(10252), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(10254), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(10340), 4,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(10338), 11,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [235715] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(3148), 1,
      anon_sym_decltype,
    ACTIONS(9233), 1,
      anon_sym_STAR,
    ACTIONS(10230), 1,
      anon_sym_TILDE,
    ACTIONS(10342), 1,
      sym_identifier,
    ACTIONS(10344), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10346), 1,
      anon_sym_template,
    ACTIONS(10348), 1,
      anon_sym_operator,
    STATE(2995), 1,
      sym_dependent_type_identifier,
    STATE(2996), 1,
      sym_template_type,
    STATE(3023), 1,
      sym_qualified_type_identifier,
    STATE(3895), 1,
      sym_operator_name,
    STATE(3898), 1,
      sym_qualified_identifier,
    STATE(3900), 1,
      sym_dependent_identifier,
    STATE(3901), 1,
      sym_destructor_name,
    STATE(3902), 1,
      sym_template_function,
    STATE(3907), 1,
      sym_pointer_type_declarator,
    STATE(6885), 1,
      sym__scope_resolution,
    STATE(10078), 1,
      sym_ms_based_modifier,
    STATE(10317), 1,
      sym_decltype,
  [235779] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(3148), 1,
      anon_sym_decltype,
    ACTIONS(9233), 1,
      anon_sym_STAR,
    ACTIONS(10350), 1,
      sym_identifier,
    ACTIONS(10352), 1,
      anon_sym_TILDE,
    ACTIONS(10354), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10356), 1,
      anon_sym_template,
    ACTIONS(10358), 1,
      anon_sym_operator,
    STATE(2995), 1,
      sym_dependent_type_identifier,
    STATE(2996), 1,
      sym_template_type,
    STATE(3023), 1,
      sym_qualified_type_identifier,
    STATE(3564), 1,
      sym_operator_name,
    STATE(3621), 1,
      sym_qualified_identifier,
    STATE(3623), 1,
      sym_dependent_identifier,
    STATE(3624), 1,
      sym_destructor_name,
    STATE(3625), 1,
      sym_template_function,
    STATE(3628), 1,
      sym_pointer_type_declarator,
    STATE(6886), 1,
      sym__scope_resolution,
    STATE(10078), 1,
      sym_ms_based_modifier,
    STATE(10317), 1,
      sym_decltype,
  [235843] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(3148), 1,
      anon_sym_decltype,
    ACTIONS(9233), 1,
      anon_sym_STAR,
    ACTIONS(10352), 1,
      anon_sym_TILDE,
    ACTIONS(10358), 1,
      anon_sym_operator,
    ACTIONS(10360), 1,
      sym_identifier,
    ACTIONS(10362), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10364), 1,
      anon_sym_template,
    STATE(2995), 1,
      sym_dependent_type_identifier,
    STATE(2996), 1,
      sym_template_type,
    STATE(3023), 1,
      sym_qualified_type_identifier,
    STATE(3564), 1,
      sym_operator_name,
    STATE(3621), 1,
      sym_qualified_identifier,
    STATE(3623), 1,
      sym_dependent_identifier,
    STATE(3624), 1,
      sym_destructor_name,
    STATE(3625), 1,
      sym_template_function,
    STATE(3628), 1,
      sym_pointer_type_declarator,
    STATE(6887), 1,
      sym__scope_resolution,
    STATE(10078), 1,
      sym_ms_based_modifier,
    STATE(10317), 1,
      sym_decltype,
  [235907] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10316), 1,
      sym_identifier,
    ACTIONS(10318), 1,
      anon_sym_LPAREN2,
    ACTIONS(10320), 1,
      anon_sym_defined,
    ACTIONS(10366), 1,
      sym_number_literal,
    ACTIONS(10322), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(10324), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(10328), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(6990), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [235947] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10316), 1,
      sym_identifier,
    ACTIONS(10318), 1,
      anon_sym_LPAREN2,
    ACTIONS(10320), 1,
      anon_sym_defined,
    ACTIONS(10368), 1,
      sym_number_literal,
    ACTIONS(10322), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(10324), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(10328), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(6988), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [235987] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10256), 1,
      anon_sym_SLASH,
    ACTIONS(10252), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(10254), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(10270), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(10272), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(10274), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(10340), 2,
      anon_sym_PIPE,
      anon_sym_AMP,
    ACTIONS(10338), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [236027] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10372), 5,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(10370), 15,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [236055] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10316), 1,
      sym_identifier,
    ACTIONS(10318), 1,
      anon_sym_LPAREN2,
    ACTIONS(10320), 1,
      anon_sym_defined,
    ACTIONS(10374), 1,
      sym_number_literal,
    ACTIONS(10322), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(10324), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(10328), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(7040), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [236095] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10316), 1,
      sym_identifier,
    ACTIONS(10318), 1,
      anon_sym_LPAREN2,
    ACTIONS(10320), 1,
      anon_sym_defined,
    ACTIONS(10376), 1,
      sym_number_literal,
    ACTIONS(10322), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(10324), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(10328), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(6992), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [236135] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(41), 1,
      anon_sym___attribute__,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(2588), 1,
      anon_sym_operator,
    ACTIONS(8917), 1,
      sym_identifier,
    ACTIONS(8919), 1,
      anon_sym_LPAREN2,
    ACTIONS(8921), 1,
      anon_sym_STAR,
    ACTIONS(8923), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8925), 1,
      anon_sym_AMP,
    ACTIONS(10378), 1,
      anon_sym_SEMI,
    STATE(6729), 1,
      sym__field_declarator,
    STATE(7581), 1,
      sym_operator_name,
    STATE(9469), 1,
      sym_ms_based_modifier,
    STATE(9567), 1,
      sym_attribute_specifier,
    STATE(7669), 7,
      sym_parenthesized_field_declarator,
      sym_attributed_field_declarator,
      sym_pointer_field_declarator,
      sym_function_field_declarator,
      sym_array_field_declarator,
      sym_reference_field_declarator,
      sym_template_method,
  [236187] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4561), 1,
      anon_sym_LPAREN2,
    ACTIONS(8509), 1,
      anon_sym_LBRACK,
    ACTIONS(8539), 1,
      anon_sym_STAR,
    ACTIONS(8541), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8543), 1,
      anon_sym_AMP,
    STATE(4931), 1,
      sym_parameter_list,
    STATE(7422), 1,
      sym__function_declarator_seq,
    STATE(7712), 1,
      sym__abstract_declarator,
    STATE(7436), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8447), 7,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [236231] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10276), 1,
      sym_identifier,
    ACTIONS(10280), 1,
      anon_sym_LPAREN2,
    ACTIONS(10282), 1,
      anon_sym_defined,
    ACTIONS(10380), 1,
      sym_number_literal,
    ACTIONS(10284), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(10286), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(10290), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(6980), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [236271] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10256), 1,
      anon_sym_SLASH,
    ACTIONS(10258), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(10260), 1,
      anon_sym_AMP_AMP,
    ACTIONS(10262), 1,
      anon_sym_PIPE,
    ACTIONS(10264), 1,
      anon_sym_CARET,
    ACTIONS(10266), 1,
      anon_sym_AMP,
    ACTIONS(10252), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(10254), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(10268), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(10270), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(10272), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(10274), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(10382), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [236321] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7987), 1,
      anon_sym_DASH_GT,
    ACTIONS(7993), 1,
      anon_sym_requires,
    ACTIONS(9314), 1,
      anon_sym_LBRACK,
    STATE(7060), 1,
      sym_trailing_return_type,
    ACTIONS(6859), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(7174), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(7349), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9309), 10,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
      anon_sym_try,
  [236361] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(3148), 1,
      anon_sym_decltype,
    ACTIONS(9221), 1,
      anon_sym_STAR,
    ACTIONS(10384), 1,
      sym_identifier,
    ACTIONS(10386), 1,
      anon_sym_TILDE,
    ACTIONS(10388), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10390), 1,
      anon_sym_template,
    ACTIONS(10392), 1,
      anon_sym_operator,
    STATE(2995), 1,
      sym_dependent_type_identifier,
    STATE(2996), 1,
      sym_template_type,
    STATE(3023), 1,
      sym_qualified_type_identifier,
    STATE(4612), 1,
      sym_pointer_type_declarator,
    STATE(4613), 1,
      sym_template_function,
    STATE(4614), 1,
      sym_destructor_name,
    STATE(4617), 1,
      sym_dependent_identifier,
    STATE(4618), 1,
      sym_qualified_identifier,
    STATE(4626), 1,
      sym_operator_name,
    STATE(6899), 1,
      sym__scope_resolution,
    STATE(9759), 1,
      sym_ms_based_modifier,
    STATE(10317), 1,
      sym_decltype,
  [236425] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10316), 1,
      sym_identifier,
    ACTIONS(10318), 1,
      anon_sym_LPAREN2,
    ACTIONS(10320), 1,
      anon_sym_defined,
    ACTIONS(10394), 1,
      sym_number_literal,
    ACTIONS(10322), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(10324), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(10328), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(7025), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [236465] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10316), 1,
      sym_identifier,
    ACTIONS(10318), 1,
      anon_sym_LPAREN2,
    ACTIONS(10320), 1,
      anon_sym_defined,
    ACTIONS(10396), 1,
      sym_number_literal,
    ACTIONS(10322), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(10324), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(10328), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(7055), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [236505] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(3148), 1,
      anon_sym_decltype,
    ACTIONS(9221), 1,
      anon_sym_STAR,
    ACTIONS(10386), 1,
      anon_sym_TILDE,
    ACTIONS(10392), 1,
      anon_sym_operator,
    ACTIONS(10398), 1,
      sym_identifier,
    ACTIONS(10400), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10402), 1,
      anon_sym_template,
    STATE(3210), 1,
      sym_qualified_type_identifier,
    STATE(3255), 1,
      sym_template_type,
    STATE(3256), 1,
      sym_dependent_type_identifier,
    STATE(4612), 1,
      sym_pointer_type_declarator,
    STATE(4613), 1,
      sym_template_function,
    STATE(4614), 1,
      sym_destructor_name,
    STATE(4617), 1,
      sym_dependent_identifier,
    STATE(4618), 1,
      sym_qualified_identifier,
    STATE(4626), 1,
      sym_operator_name,
    STATE(6902), 1,
      sym__scope_resolution,
    STATE(9759), 1,
      sym_ms_based_modifier,
    STATE(10317), 1,
      sym_decltype,
  [236569] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(3148), 1,
      anon_sym_decltype,
    ACTIONS(9197), 1,
      anon_sym_STAR,
    ACTIONS(10404), 1,
      sym_identifier,
    ACTIONS(10406), 1,
      anon_sym_TILDE,
    ACTIONS(10408), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10410), 1,
      anon_sym_template,
    ACTIONS(10412), 1,
      anon_sym_operator,
    STATE(3794), 1,
      sym_template_type,
    STATE(3796), 1,
      sym_dependent_type_identifier,
    STATE(3880), 1,
      sym_qualified_type_identifier,
    STATE(4774), 1,
      sym_pointer_type_declarator,
    STATE(4776), 1,
      sym_template_function,
    STATE(4789), 1,
      sym_destructor_name,
    STATE(4800), 1,
      sym_dependent_identifier,
    STATE(4820), 1,
      sym_qualified_identifier,
    STATE(4839), 1,
      sym_operator_name,
    STATE(6903), 1,
      sym__scope_resolution,
    STATE(9749), 1,
      sym_ms_based_modifier,
    STATE(10317), 1,
      sym_decltype,
  [236633] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(2588), 1,
      anon_sym_operator,
    ACTIONS(2877), 1,
      anon_sym_TILDE,
    ACTIONS(3148), 1,
      anon_sym_decltype,
    ACTIONS(4587), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9066), 1,
      anon_sym_STAR,
    ACTIONS(10414), 1,
      sym_identifier,
    ACTIONS(10416), 1,
      anon_sym_template,
    STATE(2995), 1,
      sym_dependent_type_identifier,
    STATE(2996), 1,
      sym_template_type,
    STATE(3023), 1,
      sym_qualified_type_identifier,
    STATE(3895), 1,
      sym_operator_name,
    STATE(3898), 1,
      sym_qualified_identifier,
    STATE(3900), 1,
      sym_dependent_identifier,
    STATE(3901), 1,
      sym_destructor_name,
    STATE(3902), 1,
      sym_template_function,
    STATE(3907), 1,
      sym_pointer_type_declarator,
    STATE(6904), 1,
      sym__scope_resolution,
    STATE(9882), 1,
      sym_ms_based_modifier,
    STATE(10317), 1,
      sym_decltype,
  [236697] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5585), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8209), 1,
      anon_sym___attribute__,
    ACTIONS(10420), 1,
      anon_sym_LBRACK,
    STATE(6021), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(7097), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(10418), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [236733] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(41), 1,
      anon_sym___attribute__,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(2588), 1,
      anon_sym_operator,
    ACTIONS(8917), 1,
      sym_identifier,
    ACTIONS(8919), 1,
      anon_sym_LPAREN2,
    ACTIONS(8921), 1,
      anon_sym_STAR,
    ACTIONS(8923), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8925), 1,
      anon_sym_AMP,
    ACTIONS(10422), 1,
      anon_sym_SEMI,
    STATE(6719), 1,
      sym__field_declarator,
    STATE(7581), 1,
      sym_operator_name,
    STATE(9469), 1,
      sym_ms_based_modifier,
    STATE(10017), 1,
      sym_attribute_specifier,
    STATE(7669), 7,
      sym_parenthesized_field_declarator,
      sym_attributed_field_declarator,
      sym_pointer_field_declarator,
      sym_function_field_declarator,
      sym_array_field_declarator,
      sym_reference_field_declarator,
      sym_template_method,
  [236785] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7987), 1,
      anon_sym_DASH_GT,
    ACTIONS(7993), 1,
      anon_sym_requires,
    ACTIONS(9908), 1,
      anon_sym_LBRACK,
    STATE(7035), 1,
      sym_trailing_return_type,
    ACTIONS(6859), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(7174), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(7257), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9903), 10,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
      anon_sym_try,
  [236825] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7976), 1,
      anon_sym___attribute__,
    ACTIONS(8178), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(10420), 1,
      anon_sym_LBRACK,
    STATE(6016), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(7074), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(10418), 13,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [236861] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10256), 1,
      anon_sym_SLASH,
    ACTIONS(10252), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(10254), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(10268), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(10270), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(10272), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(10274), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(10340), 2,
      anon_sym_PIPE,
      anon_sym_AMP,
    ACTIONS(10338), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
  [236903] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10316), 1,
      sym_identifier,
    ACTIONS(10318), 1,
      anon_sym_LPAREN2,
    ACTIONS(10320), 1,
      anon_sym_defined,
    ACTIONS(10424), 1,
      sym_number_literal,
    ACTIONS(10322), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(10324), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(10328), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(7031), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [236943] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10316), 1,
      sym_identifier,
    ACTIONS(10318), 1,
      anon_sym_LPAREN2,
    ACTIONS(10320), 1,
      anon_sym_defined,
    ACTIONS(10426), 1,
      sym_number_literal,
    ACTIONS(10322), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(10324), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(10328), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(7033), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [236983] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10316), 1,
      sym_identifier,
    ACTIONS(10318), 1,
      anon_sym_LPAREN2,
    ACTIONS(10320), 1,
      anon_sym_defined,
    ACTIONS(10428), 1,
      sym_number_literal,
    ACTIONS(10322), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(10324), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(10328), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(7034), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [237023] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10316), 1,
      sym_identifier,
    ACTIONS(10318), 1,
      anon_sym_LPAREN2,
    ACTIONS(10320), 1,
      anon_sym_defined,
    ACTIONS(10430), 1,
      sym_number_literal,
    ACTIONS(10322), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(10324), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(10328), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(7045), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [237063] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(41), 1,
      anon_sym___attribute__,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(2588), 1,
      anon_sym_operator,
    ACTIONS(8917), 1,
      sym_identifier,
    ACTIONS(8919), 1,
      anon_sym_LPAREN2,
    ACTIONS(8921), 1,
      anon_sym_STAR,
    ACTIONS(8923), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8925), 1,
      anon_sym_AMP,
    ACTIONS(10432), 1,
      anon_sym_SEMI,
    STATE(6720), 1,
      sym__field_declarator,
    STATE(7581), 1,
      sym_operator_name,
    STATE(9469), 1,
      sym_ms_based_modifier,
    STATE(10022), 1,
      sym_attribute_specifier,
    STATE(7669), 7,
      sym_parenthesized_field_declarator,
      sym_attributed_field_declarator,
      sym_pointer_field_declarator,
      sym_function_field_declarator,
      sym_array_field_declarator,
      sym_reference_field_declarator,
      sym_template_method,
  [237115] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(3148), 1,
      anon_sym_decltype,
    ACTIONS(9221), 1,
      anon_sym_STAR,
    ACTIONS(10434), 1,
      sym_identifier,
    ACTIONS(10436), 1,
      anon_sym_TILDE,
    ACTIONS(10438), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10440), 1,
      anon_sym_template,
    ACTIONS(10442), 1,
      anon_sym_operator,
    STATE(3210), 1,
      sym_qualified_type_identifier,
    STATE(3255), 1,
      sym_template_type,
    STATE(3256), 1,
      sym_dependent_type_identifier,
    STATE(4383), 1,
      sym_operator_name,
    STATE(4385), 1,
      sym_qualified_identifier,
    STATE(4386), 1,
      sym_dependent_identifier,
    STATE(4388), 1,
      sym_destructor_name,
    STATE(4392), 1,
      sym_template_function,
    STATE(4393), 1,
      sym_pointer_type_declarator,
    STATE(6915), 1,
      sym__scope_resolution,
    STATE(9759), 1,
      sym_ms_based_modifier,
    STATE(10317), 1,
      sym_decltype,
  [237179] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7987), 1,
      anon_sym_DASH_GT,
    ACTIONS(7993), 1,
      anon_sym_requires,
    ACTIONS(9576), 1,
      anon_sym_LBRACK,
    STATE(7064), 1,
      sym_trailing_return_type,
    ACTIONS(6859), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(7174), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(7305), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9571), 10,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
      anon_sym_try,
  [237219] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10446), 5,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(10444), 15,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [237247] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10276), 1,
      sym_identifier,
    ACTIONS(10280), 1,
      anon_sym_LPAREN2,
    ACTIONS(10282), 1,
      anon_sym_defined,
    ACTIONS(10448), 1,
      sym_number_literal,
    ACTIONS(10284), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(10286), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(10290), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(6952), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [237287] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10316), 1,
      sym_identifier,
    ACTIONS(10318), 1,
      anon_sym_LPAREN2,
    ACTIONS(10320), 1,
      anon_sym_defined,
    ACTIONS(10450), 1,
      sym_number_literal,
    ACTIONS(10322), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(10324), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(10328), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(7036), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [237327] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10454), 5,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(10452), 15,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [237355] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10316), 1,
      sym_identifier,
    ACTIONS(10318), 1,
      anon_sym_LPAREN2,
    ACTIONS(10320), 1,
      anon_sym_defined,
    ACTIONS(10456), 1,
      sym_number_literal,
    ACTIONS(10322), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(10324), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(10328), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(7042), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [237395] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5585), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8209), 1,
      anon_sym___attribute__,
    ACTIONS(10460), 1,
      anon_sym_LBRACK,
    STATE(6021), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(7110), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(10458), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [237431] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10316), 1,
      sym_identifier,
    ACTIONS(10318), 1,
      anon_sym_LPAREN2,
    ACTIONS(10320), 1,
      anon_sym_defined,
    ACTIONS(10462), 1,
      sym_number_literal,
    ACTIONS(10322), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(10324), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(10328), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(7043), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [237471] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10316), 1,
      sym_identifier,
    ACTIONS(10318), 1,
      anon_sym_LPAREN2,
    ACTIONS(10320), 1,
      anon_sym_defined,
    ACTIONS(10464), 1,
      sym_number_literal,
    ACTIONS(10322), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(10324), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(10328), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(7061), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [237511] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10256), 1,
      anon_sym_SLASH,
    ACTIONS(10266), 1,
      anon_sym_AMP,
    ACTIONS(10340), 1,
      anon_sym_PIPE,
    ACTIONS(10252), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(10254), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(10268), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(10270), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(10272), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(10274), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(10338), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
  [237555] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10256), 1,
      anon_sym_SLASH,
    ACTIONS(10252), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(10254), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(10274), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(10340), 4,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(10338), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
  [237591] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10316), 1,
      sym_identifier,
    ACTIONS(10318), 1,
      anon_sym_LPAREN2,
    ACTIONS(10320), 1,
      anon_sym_defined,
    ACTIONS(10466), 1,
      sym_number_literal,
    ACTIONS(10322), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(10324), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(10328), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(7002), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [237631] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10276), 1,
      sym_identifier,
    ACTIONS(10280), 1,
      anon_sym_LPAREN2,
    ACTIONS(10282), 1,
      anon_sym_defined,
    ACTIONS(10468), 1,
      sym_number_literal,
    ACTIONS(10284), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(10286), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(10290), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(6933), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [237671] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10316), 1,
      sym_identifier,
    ACTIONS(10318), 1,
      anon_sym_LPAREN2,
    ACTIONS(10320), 1,
      anon_sym_defined,
    ACTIONS(10470), 1,
      sym_number_literal,
    ACTIONS(10322), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(10324), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(10328), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(7059), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [237711] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10316), 1,
      sym_identifier,
    ACTIONS(10318), 1,
      anon_sym_LPAREN2,
    ACTIONS(10320), 1,
      anon_sym_defined,
    ACTIONS(10472), 1,
      sym_number_literal,
    ACTIONS(10322), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(10324), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(10328), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(7067), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [237751] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(41), 1,
      anon_sym___attribute__,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(2588), 1,
      anon_sym_operator,
    ACTIONS(8917), 1,
      sym_identifier,
    ACTIONS(8919), 1,
      anon_sym_LPAREN2,
    ACTIONS(8921), 1,
      anon_sym_STAR,
    ACTIONS(8923), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8925), 1,
      anon_sym_AMP,
    ACTIONS(10474), 1,
      anon_sym_SEMI,
    STATE(6730), 1,
      sym__field_declarator,
    STATE(7581), 1,
      sym_operator_name,
    STATE(9469), 1,
      sym_ms_based_modifier,
    STATE(9470), 1,
      sym_attribute_specifier,
    STATE(7669), 7,
      sym_parenthesized_field_declarator,
      sym_attributed_field_declarator,
      sym_pointer_field_declarator,
      sym_function_field_declarator,
      sym_array_field_declarator,
      sym_reference_field_declarator,
      sym_template_method,
  [237803] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(3148), 1,
      anon_sym_decltype,
    ACTIONS(9197), 1,
      anon_sym_STAR,
    ACTIONS(10406), 1,
      anon_sym_TILDE,
    ACTIONS(10412), 1,
      anon_sym_operator,
    ACTIONS(10476), 1,
      sym_identifier,
    ACTIONS(10478), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10480), 1,
      anon_sym_template,
    STATE(2995), 1,
      sym_dependent_type_identifier,
    STATE(2996), 1,
      sym_template_type,
    STATE(3023), 1,
      sym_qualified_type_identifier,
    STATE(4774), 1,
      sym_pointer_type_declarator,
    STATE(4776), 1,
      sym_template_function,
    STATE(4789), 1,
      sym_destructor_name,
    STATE(4800), 1,
      sym_dependent_identifier,
    STATE(4820), 1,
      sym_qualified_identifier,
    STATE(4839), 1,
      sym_operator_name,
    STATE(6932), 1,
      sym__scope_resolution,
    STATE(9749), 1,
      sym_ms_based_modifier,
    STATE(10317), 1,
      sym_decltype,
  [237867] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10256), 1,
      anon_sym_SLASH,
    ACTIONS(10264), 1,
      anon_sym_CARET,
    ACTIONS(10266), 1,
      anon_sym_AMP,
    ACTIONS(10340), 1,
      anon_sym_PIPE,
    ACTIONS(10252), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(10254), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(10268), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(10270), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(10272), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(10274), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(10338), 4,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
  [237913] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10256), 1,
      anon_sym_SLASH,
    ACTIONS(10262), 1,
      anon_sym_PIPE,
    ACTIONS(10264), 1,
      anon_sym_CARET,
    ACTIONS(10266), 1,
      anon_sym_AMP,
    ACTIONS(10252), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(10254), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(10268), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(10270), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(10272), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(10274), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(10338), 4,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
  [237959] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7976), 1,
      anon_sym___attribute__,
    ACTIONS(8178), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(10460), 1,
      anon_sym_LBRACK,
    STATE(6016), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(7075), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(10458), 13,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [237995] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10256), 1,
      anon_sym_SLASH,
    ACTIONS(10260), 1,
      anon_sym_AMP_AMP,
    ACTIONS(10262), 1,
      anon_sym_PIPE,
    ACTIONS(10264), 1,
      anon_sym_CARET,
    ACTIONS(10266), 1,
      anon_sym_AMP,
    ACTIONS(10252), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(10254), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(10268), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(10270), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(10272), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(10274), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(10338), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
  [238043] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10276), 1,
      sym_identifier,
    ACTIONS(10280), 1,
      anon_sym_LPAREN2,
    ACTIONS(10282), 1,
      anon_sym_defined,
    ACTIONS(10482), 1,
      sym_number_literal,
    ACTIONS(10284), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(10286), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(10290), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(6897), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [238083] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10276), 1,
      sym_identifier,
    ACTIONS(10280), 1,
      anon_sym_LPAREN2,
    ACTIONS(10282), 1,
      anon_sym_defined,
    ACTIONS(10484), 1,
      sym_number_literal,
    ACTIONS(10284), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(10286), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(10290), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(6942), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [238123] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10276), 1,
      sym_identifier,
    ACTIONS(10280), 1,
      anon_sym_LPAREN2,
    ACTIONS(10282), 1,
      anon_sym_defined,
    ACTIONS(10486), 1,
      sym_number_literal,
    ACTIONS(10284), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(10286), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(10290), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(6936), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [238163] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10276), 1,
      sym_identifier,
    ACTIONS(10280), 1,
      anon_sym_LPAREN2,
    ACTIONS(10282), 1,
      anon_sym_defined,
    ACTIONS(10488), 1,
      sym_number_literal,
    ACTIONS(10284), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(10286), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(10290), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(6934), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [238203] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10316), 1,
      sym_identifier,
    ACTIONS(10318), 1,
      anon_sym_LPAREN2,
    ACTIONS(10320), 1,
      anon_sym_defined,
    ACTIONS(10490), 1,
      sym_number_literal,
    ACTIONS(10322), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(10324), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(10328), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(7054), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [238243] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10340), 5,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(10338), 15,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [238271] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10316), 1,
      sym_identifier,
    ACTIONS(10318), 1,
      anon_sym_LPAREN2,
    ACTIONS(10320), 1,
      anon_sym_defined,
    ACTIONS(10492), 1,
      sym_number_literal,
    ACTIONS(10322), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(10324), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(10328), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(7017), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [238311] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7987), 1,
      anon_sym_DASH_GT,
    ACTIONS(7993), 1,
      anon_sym_requires,
    ACTIONS(10496), 1,
      anon_sym_LBRACK,
    STATE(7049), 1,
      sym_trailing_return_type,
    ACTIONS(6859), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(7174), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(7262), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(10494), 10,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
      anon_sym_try,
  [238351] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10276), 1,
      sym_identifier,
    ACTIONS(10280), 1,
      anon_sym_LPAREN2,
    ACTIONS(10282), 1,
      anon_sym_defined,
    ACTIONS(10498), 1,
      sym_number_literal,
    ACTIONS(10284), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(10286), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(10290), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(6925), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [238391] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10276), 1,
      sym_identifier,
    ACTIONS(10280), 1,
      anon_sym_LPAREN2,
    ACTIONS(10282), 1,
      anon_sym_defined,
    ACTIONS(10500), 1,
      sym_number_literal,
    ACTIONS(10284), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(10286), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(10290), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(6909), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [238431] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(2588), 1,
      anon_sym_operator,
    ACTIONS(2877), 1,
      anon_sym_TILDE,
    ACTIONS(3148), 1,
      anon_sym_decltype,
    ACTIONS(4403), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9066), 1,
      anon_sym_STAR,
    ACTIONS(10502), 1,
      sym_identifier,
    ACTIONS(10504), 1,
      anon_sym_template,
    STATE(2995), 1,
      sym_dependent_type_identifier,
    STATE(2996), 1,
      sym_template_type,
    STATE(3023), 1,
      sym_qualified_type_identifier,
    STATE(3895), 1,
      sym_operator_name,
    STATE(3898), 1,
      sym_qualified_identifier,
    STATE(3900), 1,
      sym_dependent_identifier,
    STATE(3901), 1,
      sym_destructor_name,
    STATE(3902), 1,
      sym_template_function,
    STATE(3907), 1,
      sym_pointer_type_declarator,
    STATE(6947), 1,
      sym__scope_resolution,
    STATE(9882), 1,
      sym_ms_based_modifier,
    STATE(10317), 1,
      sym_decltype,
  [238495] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4561), 1,
      anon_sym_LPAREN2,
    ACTIONS(8509), 1,
      anon_sym_LBRACK,
    ACTIONS(8521), 1,
      anon_sym_STAR,
    ACTIONS(8523), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8525), 1,
      anon_sym_AMP,
    STATE(4889), 1,
      sym_parameter_list,
    STATE(7422), 1,
      sym__function_declarator_seq,
    STATE(7621), 1,
      sym__abstract_declarator,
    STATE(7436), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8447), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [238539] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10276), 1,
      sym_identifier,
    ACTIONS(10280), 1,
      anon_sym_LPAREN2,
    ACTIONS(10282), 1,
      anon_sym_defined,
    ACTIONS(10506), 1,
      sym_number_literal,
    ACTIONS(10284), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(10286), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(10290), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(6890), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [238579] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(3148), 1,
      anon_sym_decltype,
    ACTIONS(9221), 1,
      anon_sym_STAR,
    ACTIONS(10436), 1,
      anon_sym_TILDE,
    ACTIONS(10442), 1,
      anon_sym_operator,
    ACTIONS(10508), 1,
      sym_identifier,
    ACTIONS(10510), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10512), 1,
      anon_sym_template,
    STATE(2995), 1,
      sym_dependent_type_identifier,
    STATE(2996), 1,
      sym_template_type,
    STATE(3023), 1,
      sym_qualified_type_identifier,
    STATE(4383), 1,
      sym_operator_name,
    STATE(4385), 1,
      sym_qualified_identifier,
    STATE(4386), 1,
      sym_dependent_identifier,
    STATE(4388), 1,
      sym_destructor_name,
    STATE(4392), 1,
      sym_template_function,
    STATE(4393), 1,
      sym_pointer_type_declarator,
    STATE(6950), 1,
      sym__scope_resolution,
    STATE(9759), 1,
      sym_ms_based_modifier,
    STATE(10317), 1,
      sym_decltype,
  [238643] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7414), 5,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7416), 15,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [238671] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10256), 1,
      anon_sym_SLASH,
    ACTIONS(10254), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(10340), 4,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(10338), 13,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [238703] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7987), 1,
      anon_sym_DASH_GT,
    ACTIONS(9908), 1,
      anon_sym_LBRACK,
    ACTIONS(9920), 1,
      anon_sym_requires,
    STATE(6978), 1,
      sym_trailing_return_type,
    ACTIONS(9917), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(7174), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(7257), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9903), 10,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
      anon_sym_try,
  [238743] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7987), 1,
      anon_sym_DASH_GT,
    ACTIONS(10496), 1,
      anon_sym_LBRACK,
    ACTIONS(10517), 1,
      anon_sym_requires,
    STATE(7004), 1,
      sym_trailing_return_type,
    ACTIONS(10514), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(7174), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(7262), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(10494), 10,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
      anon_sym_try,
  [238783] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10316), 1,
      sym_identifier,
    ACTIONS(10318), 1,
      anon_sym_LPAREN2,
    ACTIONS(10320), 1,
      anon_sym_defined,
    ACTIONS(10520), 1,
      sym_number_literal,
    ACTIONS(10322), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(10324), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(10328), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(7013), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [238823] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7987), 1,
      anon_sym_DASH_GT,
    ACTIONS(9576), 1,
      anon_sym_LBRACK,
    ACTIONS(9581), 1,
      anon_sym_requires,
    STATE(6989), 1,
      sym_trailing_return_type,
    ACTIONS(9578), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(7174), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(7305), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9571), 10,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
      anon_sym_try,
  [238863] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10276), 1,
      sym_identifier,
    ACTIONS(10280), 1,
      anon_sym_LPAREN2,
    ACTIONS(10282), 1,
      anon_sym_defined,
    ACTIONS(10522), 1,
      sym_number_literal,
    ACTIONS(10284), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(10286), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(10290), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(6926), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [238903] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7987), 1,
      anon_sym_DASH_GT,
    ACTIONS(9314), 1,
      anon_sym_LBRACK,
    ACTIONS(9319), 1,
      anon_sym_requires,
    STATE(6993), 1,
      sym_trailing_return_type,
    ACTIONS(9316), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(7174), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(7349), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9309), 10,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
      anon_sym_try,
  [238943] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10276), 1,
      sym_identifier,
    ACTIONS(10280), 1,
      anon_sym_LPAREN2,
    ACTIONS(10282), 1,
      anon_sym_defined,
    ACTIONS(10524), 1,
      sym_number_literal,
    ACTIONS(10284), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(10286), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(10290), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(6884), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [238983] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10316), 1,
      sym_identifier,
    ACTIONS(10318), 1,
      anon_sym_LPAREN2,
    ACTIONS(10320), 1,
      anon_sym_defined,
    ACTIONS(10526), 1,
      sym_number_literal,
    ACTIONS(10322), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(10324), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(10328), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(7041), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [239023] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10316), 1,
      sym_identifier,
    ACTIONS(10318), 1,
      anon_sym_LPAREN2,
    ACTIONS(10320), 1,
      anon_sym_defined,
    ACTIONS(10528), 1,
      sym_number_literal,
    ACTIONS(10322), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(10324), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(10328), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(7019), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [239063] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(3148), 1,
      anon_sym_decltype,
    ACTIONS(9136), 1,
      anon_sym_STAR,
    ACTIONS(10530), 1,
      sym_identifier,
    ACTIONS(10532), 1,
      anon_sym_TILDE,
    ACTIONS(10534), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10536), 1,
      anon_sym_template,
    ACTIONS(10538), 1,
      anon_sym_operator,
    STATE(2995), 1,
      sym_dependent_type_identifier,
    STATE(2996), 1,
      sym_template_type,
    STATE(3023), 1,
      sym_qualified_type_identifier,
    STATE(4221), 1,
      sym_pointer_type_declarator,
    STATE(4222), 1,
      sym_template_function,
    STATE(4224), 1,
      sym_destructor_name,
    STATE(4228), 1,
      sym_dependent_identifier,
    STATE(4230), 1,
      sym_qualified_identifier,
    STATE(4231), 1,
      sym_operator_name,
    STATE(6962), 1,
      sym__scope_resolution,
    STATE(9558), 1,
      sym_ms_based_modifier,
    STATE(10317), 1,
      sym_decltype,
  [239127] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10316), 1,
      sym_identifier,
    ACTIONS(10318), 1,
      anon_sym_LPAREN2,
    ACTIONS(10320), 1,
      anon_sym_defined,
    ACTIONS(10540), 1,
      sym_number_literal,
    ACTIONS(10322), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(10324), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(10328), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(6998), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [239167] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10544), 5,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(10542), 15,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [239195] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10316), 1,
      sym_identifier,
    ACTIONS(10318), 1,
      anon_sym_LPAREN2,
    ACTIONS(10320), 1,
      anon_sym_defined,
    ACTIONS(10546), 1,
      sym_number_literal,
    ACTIONS(10322), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(10324), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(10328), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(6987), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [239235] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10550), 5,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(10548), 15,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [239263] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(3148), 1,
      anon_sym_decltype,
    ACTIONS(9221), 1,
      anon_sym_STAR,
    ACTIONS(10386), 1,
      anon_sym_TILDE,
    ACTIONS(10392), 1,
      anon_sym_operator,
    ACTIONS(10552), 1,
      sym_identifier,
    ACTIONS(10554), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10556), 1,
      anon_sym_template,
    STATE(2995), 1,
      sym_dependent_type_identifier,
    STATE(2996), 1,
      sym_template_type,
    STATE(3023), 1,
      sym_qualified_type_identifier,
    STATE(4612), 1,
      sym_pointer_type_declarator,
    STATE(4613), 1,
      sym_template_function,
    STATE(4614), 1,
      sym_destructor_name,
    STATE(4617), 1,
      sym_dependent_identifier,
    STATE(4618), 1,
      sym_qualified_identifier,
    STATE(4626), 1,
      sym_operator_name,
    STATE(6967), 1,
      sym__scope_resolution,
    STATE(9759), 1,
      sym_ms_based_modifier,
    STATE(10317), 1,
      sym_decltype,
  [239327] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10276), 1,
      sym_identifier,
    ACTIONS(10280), 1,
      anon_sym_LPAREN2,
    ACTIONS(10282), 1,
      anon_sym_defined,
    ACTIONS(10558), 1,
      sym_number_literal,
    ACTIONS(10284), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(10286), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(10290), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(7016), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [239367] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10562), 5,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(10560), 15,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [239395] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(3148), 1,
      anon_sym_decltype,
    ACTIONS(9233), 1,
      anon_sym_STAR,
    ACTIONS(10352), 1,
      anon_sym_TILDE,
    ACTIONS(10358), 1,
      anon_sym_operator,
    ACTIONS(10564), 1,
      sym_identifier,
    ACTIONS(10566), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10568), 1,
      anon_sym_template,
    STATE(2995), 1,
      sym_dependent_type_identifier,
    STATE(2996), 1,
      sym_template_type,
    STATE(3023), 1,
      sym_qualified_type_identifier,
    STATE(3564), 1,
      sym_operator_name,
    STATE(3621), 1,
      sym_qualified_identifier,
    STATE(3623), 1,
      sym_dependent_identifier,
    STATE(3624), 1,
      sym_destructor_name,
    STATE(3625), 1,
      sym_template_function,
    STATE(3628), 1,
      sym_pointer_type_declarator,
    STATE(6970), 1,
      sym__scope_resolution,
    STATE(10078), 1,
      sym_ms_based_modifier,
    STATE(10317), 1,
      sym_decltype,
  [239459] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10316), 1,
      sym_identifier,
    ACTIONS(10318), 1,
      anon_sym_LPAREN2,
    ACTIONS(10320), 1,
      anon_sym_defined,
    ACTIONS(10570), 1,
      sym_number_literal,
    ACTIONS(10322), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(10324), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(10328), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(7039), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [239499] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10574), 5,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(10572), 15,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [239527] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5772), 1,
      anon_sym_LBRACK,
    ACTIONS(5774), 18,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [239554] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(2588), 1,
      anon_sym_operator,
    ACTIONS(2877), 1,
      anon_sym_TILDE,
    ACTIONS(3148), 1,
      anon_sym_decltype,
    ACTIONS(9066), 1,
      anon_sym_STAR,
    ACTIONS(10576), 1,
      sym_identifier,
    ACTIONS(10578), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10580), 1,
      anon_sym_template,
    STATE(3895), 1,
      sym_operator_name,
    STATE(3898), 1,
      sym_qualified_identifier,
    STATE(3900), 1,
      sym_dependent_identifier,
    STATE(3901), 1,
      sym_destructor_name,
    STATE(3902), 1,
      sym_template_function,
    STATE(3907), 1,
      sym_pointer_type_declarator,
    STATE(6974), 1,
      sym__scope_resolution,
    STATE(9882), 1,
      sym_ms_based_modifier,
    STATE(10317), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
  [239611] = 3,
    ACTIONS(10298), 1,
      sym_comment,
    ACTIONS(10452), 1,
      anon_sym_LF,
    ACTIONS(10454), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [239638] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7993), 1,
      anon_sym_requires,
    ACTIONS(8141), 1,
      anon_sym_DASH_GT,
    ACTIONS(9576), 1,
      anon_sym_LBRACK,
    STATE(7064), 1,
      sym_trailing_return_type,
    ACTIONS(6859), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(7174), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(7305), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9571), 9,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_try,
  [239677] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2238), 1,
      anon_sym_LBRACK,
    ACTIONS(2236), 18,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [239704] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10496), 1,
      anon_sym_LBRACK,
    ACTIONS(10517), 1,
      anon_sym_requires,
    ACTIONS(10514), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(7174), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(7262), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(10494), 11,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
      anon_sym_try,
  [239739] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7993), 1,
      anon_sym_requires,
    ACTIONS(8141), 1,
      anon_sym_DASH_GT,
    ACTIONS(9908), 1,
      anon_sym_LBRACK,
    STATE(7035), 1,
      sym_trailing_return_type,
    ACTIONS(6859), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(7174), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(7257), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9903), 9,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_try,
  [239778] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10256), 1,
      anon_sym_SLASH,
    ACTIONS(10258), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(10260), 1,
      anon_sym_AMP_AMP,
    ACTIONS(10262), 1,
      anon_sym_PIPE,
    ACTIONS(10264), 1,
      anon_sym_CARET,
    ACTIONS(10266), 1,
      anon_sym_AMP,
    ACTIONS(10582), 1,
      anon_sym_RPAREN,
    ACTIONS(10252), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(10254), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(10268), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(10270), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(10272), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(10274), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [239827] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5832), 1,
      anon_sym_LBRACK,
    ACTIONS(10584), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(5834), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [239856] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1486), 1,
      anon_sym_template,
    ACTIONS(2194), 1,
      anon_sym_COLON,
    ACTIONS(2283), 1,
      anon_sym_LBRACE,
    ACTIONS(3148), 1,
      anon_sym_decltype,
    ACTIONS(5585), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(10586), 1,
      sym_identifier,
    ACTIONS(10588), 1,
      anon_sym_COLON_COLON,
    STATE(396), 1,
      sym_template_type,
    STATE(754), 1,
      sym_field_declaration_list,
    STATE(7108), 1,
      sym_attribute_declaration,
    STATE(7853), 1,
      sym__scope_resolution,
    STATE(8258), 1,
      sym_virtual_specifier,
    STATE(9164), 1,
      sym_base_class_clause,
    ACTIONS(2198), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(190), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(10317), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [239911] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2206), 1,
      anon_sym_LBRACK,
    ACTIONS(2204), 18,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [239938] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7993), 1,
      anon_sym_requires,
    ACTIONS(8141), 1,
      anon_sym_DASH_GT,
    ACTIONS(9314), 1,
      anon_sym_LBRACK,
    STATE(7060), 1,
      sym_trailing_return_type,
    ACTIONS(6859), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(7174), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(7349), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9309), 9,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_try,
  [239977] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7993), 1,
      anon_sym_requires,
    ACTIONS(8141), 1,
      anon_sym_DASH_GT,
    ACTIONS(10496), 1,
      anon_sym_LBRACK,
    STATE(7049), 1,
      sym_trailing_return_type,
    ACTIONS(6859), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(7174), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(7262), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(10494), 9,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_try,
  [240016] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8141), 1,
      anon_sym_DASH_GT,
    ACTIONS(9314), 1,
      anon_sym_LBRACK,
    ACTIONS(9319), 1,
      anon_sym_requires,
    STATE(6993), 1,
      sym_trailing_return_type,
    ACTIONS(9316), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(7174), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(7349), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9309), 9,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_try,
  [240055] = 12,
    ACTIONS(10298), 1,
      sym_comment,
    ACTIONS(10590), 1,
      anon_sym_LF,
    ACTIONS(10596), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(10598), 1,
      anon_sym_AMP_AMP,
    ACTIONS(10600), 1,
      anon_sym_PIPE,
    ACTIONS(10602), 1,
      anon_sym_CARET,
    ACTIONS(10604), 1,
      anon_sym_AMP,
    ACTIONS(10592), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(10606), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(10610), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(10594), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(10608), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [240100] = 12,
    ACTIONS(10298), 1,
      sym_comment,
    ACTIONS(10596), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(10598), 1,
      anon_sym_AMP_AMP,
    ACTIONS(10600), 1,
      anon_sym_PIPE,
    ACTIONS(10602), 1,
      anon_sym_CARET,
    ACTIONS(10604), 1,
      anon_sym_AMP,
    ACTIONS(10612), 1,
      anon_sym_LF,
    ACTIONS(10592), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(10606), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(10610), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(10594), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(10608), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [240145] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9908), 1,
      anon_sym_LBRACK,
    ACTIONS(9920), 1,
      anon_sym_requires,
    ACTIONS(9917), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(7174), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(7257), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9903), 11,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
      anon_sym_try,
  [240180] = 12,
    ACTIONS(10298), 1,
      sym_comment,
    ACTIONS(10596), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(10598), 1,
      anon_sym_AMP_AMP,
    ACTIONS(10600), 1,
      anon_sym_PIPE,
    ACTIONS(10602), 1,
      anon_sym_CARET,
    ACTIONS(10604), 1,
      anon_sym_AMP,
    ACTIONS(10614), 1,
      anon_sym_LF,
    ACTIONS(10592), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(10606), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(10610), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(10594), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(10608), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [240225] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8141), 1,
      anon_sym_DASH_GT,
    ACTIONS(9576), 1,
      anon_sym_LBRACK,
    ACTIONS(9581), 1,
      anon_sym_requires,
    STATE(6989), 1,
      sym_trailing_return_type,
    ACTIONS(9578), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(7174), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(7305), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9571), 9,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_try,
  [240264] = 12,
    ACTIONS(10298), 1,
      sym_comment,
    ACTIONS(10596), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(10598), 1,
      anon_sym_AMP_AMP,
    ACTIONS(10600), 1,
      anon_sym_PIPE,
    ACTIONS(10602), 1,
      anon_sym_CARET,
    ACTIONS(10604), 1,
      anon_sym_AMP,
    ACTIONS(10616), 1,
      anon_sym_LF,
    ACTIONS(10592), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(10606), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(10610), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(10594), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(10608), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [240309] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9576), 1,
      anon_sym_LBRACK,
    ACTIONS(9581), 1,
      anon_sym_requires,
    ACTIONS(9578), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(7174), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(7305), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9571), 11,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
      anon_sym_try,
  [240344] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8141), 1,
      anon_sym_DASH_GT,
    ACTIONS(9908), 1,
      anon_sym_LBRACK,
    ACTIONS(9920), 1,
      anon_sym_requires,
    STATE(6978), 1,
      sym_trailing_return_type,
    ACTIONS(9917), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(7174), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(7257), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9903), 9,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_try,
  [240383] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8141), 1,
      anon_sym_DASH_GT,
    ACTIONS(10496), 1,
      anon_sym_LBRACK,
    ACTIONS(10517), 1,
      anon_sym_requires,
    STATE(7004), 1,
      sym_trailing_return_type,
    ACTIONS(10514), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(7174), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(7262), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(10494), 9,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_try,
  [240422] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1486), 1,
      anon_sym_template,
    ACTIONS(2194), 1,
      anon_sym_COLON,
    ACTIONS(2240), 1,
      anon_sym_LBRACE,
    ACTIONS(3148), 1,
      anon_sym_decltype,
    ACTIONS(5585), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(10618), 1,
      sym_identifier,
    ACTIONS(10620), 1,
      anon_sym_COLON_COLON,
    STATE(211), 1,
      sym_template_type,
    STATE(466), 1,
      sym_field_declaration_list,
    STATE(7143), 1,
      sym_attribute_declaration,
    STATE(7831), 1,
      sym__scope_resolution,
    STATE(8326), 1,
      sym_virtual_specifier,
    STATE(9314), 1,
      sym_base_class_clause,
    ACTIONS(2198), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(169), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(10317), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [240477] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5768), 1,
      anon_sym_LBRACK,
    ACTIONS(5770), 18,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [240504] = 12,
    ACTIONS(10298), 1,
      sym_comment,
    ACTIONS(10596), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(10598), 1,
      anon_sym_AMP_AMP,
    ACTIONS(10600), 1,
      anon_sym_PIPE,
    ACTIONS(10602), 1,
      anon_sym_CARET,
    ACTIONS(10604), 1,
      anon_sym_AMP,
    ACTIONS(10622), 1,
      anon_sym_LF,
    ACTIONS(10592), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(10606), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(10610), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(10594), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(10608), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [240549] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1486), 1,
      anon_sym_template,
    ACTIONS(2194), 1,
      anon_sym_COLON,
    ACTIONS(2281), 1,
      anon_sym_LBRACE,
    ACTIONS(3148), 1,
      anon_sym_decltype,
    ACTIONS(5585), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(10624), 1,
      sym_identifier,
    ACTIONS(10626), 1,
      anon_sym_COLON_COLON,
    STATE(433), 1,
      sym_template_type,
    STATE(719), 1,
      sym_field_declaration_list,
    STATE(7126), 1,
      sym_attribute_declaration,
    STATE(7891), 1,
      sym__scope_resolution,
    STATE(8484), 1,
      sym_virtual_specifier,
    STATE(9060), 1,
      sym_base_class_clause,
    ACTIONS(2198), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(193), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(10317), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [240604] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10630), 1,
      anon_sym_LPAREN2,
    ACTIONS(10632), 1,
      anon_sym_LBRACK,
    ACTIONS(10628), 17,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [240633] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4561), 1,
      anon_sym_LPAREN2,
    ACTIONS(8509), 1,
      anon_sym_LBRACK,
    ACTIONS(8649), 1,
      anon_sym_STAR,
    ACTIONS(8651), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8653), 1,
      anon_sym_AMP,
    STATE(4992), 1,
      sym_parameter_list,
    STATE(7422), 1,
      sym__function_declarator_seq,
    STATE(7780), 1,
      sym__abstract_declarator,
    STATE(7436), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8447), 6,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [240676] = 12,
    ACTIONS(10298), 1,
      sym_comment,
    ACTIONS(10596), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(10598), 1,
      anon_sym_AMP_AMP,
    ACTIONS(10600), 1,
      anon_sym_PIPE,
    ACTIONS(10602), 1,
      anon_sym_CARET,
    ACTIONS(10604), 1,
      anon_sym_AMP,
    ACTIONS(10634), 1,
      anon_sym_LF,
    ACTIONS(10592), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(10606), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(10610), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(10594), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(10608), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [240721] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(2588), 1,
      anon_sym_operator,
    ACTIONS(2877), 1,
      anon_sym_TILDE,
    ACTIONS(3148), 1,
      anon_sym_decltype,
    ACTIONS(7243), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9066), 1,
      anon_sym_STAR,
    ACTIONS(10306), 1,
      sym_identifier,
    ACTIONS(10308), 1,
      anon_sym_template,
    STATE(3895), 1,
      sym_operator_name,
    STATE(3898), 1,
      sym_qualified_identifier,
    STATE(3900), 1,
      sym_dependent_identifier,
    STATE(3901), 1,
      sym_destructor_name,
    STATE(3902), 1,
      sym_template_function,
    STATE(3907), 1,
      sym_pointer_type_declarator,
    STATE(7003), 1,
      sym__scope_resolution,
    STATE(9882), 1,
      sym_ms_based_modifier,
    STATE(10317), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
  [240778] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10638), 1,
      anon_sym_LBRACK,
    ACTIONS(10643), 1,
      anon_sym_requires,
    ACTIONS(10640), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(7174), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(7247), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(10636), 11,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
      anon_sym_try,
  [240813] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9314), 1,
      anon_sym_LBRACK,
    ACTIONS(9319), 1,
      anon_sym_requires,
    ACTIONS(9316), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(7174), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(7349), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9309), 11,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
      anon_sym_try,
  [240848] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5764), 1,
      anon_sym_LBRACK,
    ACTIONS(5766), 18,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [240875] = 3,
    ACTIONS(10298), 1,
      sym_comment,
    ACTIONS(10548), 1,
      anon_sym_LF,
    ACTIONS(10550), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [240902] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10648), 1,
      anon_sym_LBRACK,
    ACTIONS(10646), 18,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [240929] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1486), 1,
      anon_sym_template,
    ACTIONS(2194), 1,
      anon_sym_COLON,
    ACTIONS(3148), 1,
      anon_sym_decltype,
    ACTIONS(5585), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5929), 1,
      anon_sym_LBRACE,
    ACTIONS(10650), 1,
      sym_identifier,
    ACTIONS(10652), 1,
      anon_sym_COLON_COLON,
    STATE(719), 1,
      sym_field_declaration_list,
    STATE(2999), 1,
      sym_template_type,
    STATE(7177), 1,
      sym_attribute_declaration,
    STATE(7842), 1,
      sym__scope_resolution,
    STATE(8439), 1,
      sym_virtual_specifier,
    STATE(9040), 1,
      sym_base_class_clause,
    ACTIONS(2198), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(7866), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(10317), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [240984] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7993), 1,
      anon_sym_requires,
    ACTIONS(9314), 1,
      anon_sym_LBRACK,
    ACTIONS(6859), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(7174), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(7349), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9309), 11,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
      anon_sym_try,
  [241019] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10656), 1,
      anon_sym_LBRACK,
    ACTIONS(10654), 18,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [241046] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1486), 1,
      anon_sym_template,
    ACTIONS(2194), 1,
      anon_sym_COLON,
    ACTIONS(2196), 1,
      anon_sym_LBRACE,
    ACTIONS(3148), 1,
      anon_sym_decltype,
    ACTIONS(5585), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(10658), 1,
      sym_identifier,
    ACTIONS(10660), 1,
      anon_sym_COLON_COLON,
    STATE(178), 1,
      sym_template_type,
    STATE(261), 1,
      sym_field_declaration_list,
    STATE(7092), 1,
      sym_attribute_declaration,
    STATE(7847), 1,
      sym__scope_resolution,
    STATE(8410), 1,
      sym_virtual_specifier,
    STATE(9148), 1,
      sym_base_class_clause,
    ACTIONS(2198), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(164), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(10317), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [241101] = 12,
    ACTIONS(10298), 1,
      sym_comment,
    ACTIONS(10596), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(10598), 1,
      anon_sym_AMP_AMP,
    ACTIONS(10600), 1,
      anon_sym_PIPE,
    ACTIONS(10602), 1,
      anon_sym_CARET,
    ACTIONS(10604), 1,
      anon_sym_AMP,
    ACTIONS(10662), 1,
      anon_sym_LF,
    ACTIONS(10592), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(10606), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(10610), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(10594), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(10608), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [241146] = 3,
    ACTIONS(10298), 1,
      sym_comment,
    ACTIONS(10370), 1,
      anon_sym_LF,
    ACTIONS(10372), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [241173] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5847), 1,
      anon_sym_LBRACK,
    ACTIONS(10584), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(10664), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(5849), 14,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [241204] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10256), 1,
      anon_sym_SLASH,
    ACTIONS(10258), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(10260), 1,
      anon_sym_AMP_AMP,
    ACTIONS(10262), 1,
      anon_sym_PIPE,
    ACTIONS(10264), 1,
      anon_sym_CARET,
    ACTIONS(10266), 1,
      anon_sym_AMP,
    ACTIONS(10666), 1,
      anon_sym_RPAREN,
    ACTIONS(10252), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(10254), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(10268), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(10270), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(10272), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(10274), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [241253] = 12,
    ACTIONS(10298), 1,
      sym_comment,
    ACTIONS(10596), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(10598), 1,
      anon_sym_AMP_AMP,
    ACTIONS(10600), 1,
      anon_sym_PIPE,
    ACTIONS(10602), 1,
      anon_sym_CARET,
    ACTIONS(10604), 1,
      anon_sym_AMP,
    ACTIONS(10668), 1,
      anon_sym_LF,
    ACTIONS(10592), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(10606), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(10610), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(10594), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(10608), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [241298] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(123), 1,
      anon_sym_virtual,
    ACTIONS(1486), 1,
      anon_sym_template,
    ACTIONS(3148), 1,
      anon_sym_decltype,
    ACTIONS(5585), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(10650), 1,
      sym_identifier,
    ACTIONS(10670), 1,
      anon_sym_COLON_COLON,
    STATE(2999), 1,
      sym_template_type,
    STATE(7610), 1,
      sym_access_specifier,
    STATE(7872), 1,
      sym__scope_resolution,
    STATE(8169), 1,
      sym_virtual,
    STATE(6628), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8897), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(10317), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    ACTIONS(10672), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
  [241349] = 12,
    ACTIONS(10298), 1,
      sym_comment,
    ACTIONS(10596), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(10598), 1,
      anon_sym_AMP_AMP,
    ACTIONS(10600), 1,
      anon_sym_PIPE,
    ACTIONS(10602), 1,
      anon_sym_CARET,
    ACTIONS(10604), 1,
      anon_sym_AMP,
    ACTIONS(10674), 1,
      anon_sym_LF,
    ACTIONS(10592), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(10606), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(10610), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(10594), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(10608), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [241394] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4561), 1,
      anon_sym_LPAREN2,
    ACTIONS(8509), 1,
      anon_sym_LBRACK,
    ACTIONS(8629), 1,
      anon_sym_STAR,
    ACTIONS(8631), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8633), 1,
      anon_sym_AMP,
    STATE(5033), 1,
      sym_parameter_list,
    STATE(7422), 1,
      sym__function_declarator_seq,
    STATE(7798), 1,
      sym__abstract_declarator,
    STATE(7436), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8447), 6,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [241437] = 3,
    ACTIONS(10298), 1,
      sym_comment,
    ACTIONS(10332), 1,
      anon_sym_LF,
    ACTIONS(10334), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [241464] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(2588), 1,
      anon_sym_operator,
    ACTIONS(2877), 1,
      anon_sym_TILDE,
    ACTIONS(3148), 1,
      anon_sym_decltype,
    ACTIONS(8038), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9142), 1,
      anon_sym_STAR,
    ACTIONS(10306), 1,
      sym_identifier,
    ACTIONS(10308), 1,
      anon_sym_template,
    STATE(3895), 1,
      sym_operator_name,
    STATE(3898), 1,
      sym_qualified_identifier,
    STATE(3900), 1,
      sym_dependent_identifier,
    STATE(3901), 1,
      sym_destructor_name,
    STATE(3902), 1,
      sym_template_function,
    STATE(3907), 1,
      sym_pointer_type_declarator,
    STATE(7022), 1,
      sym__scope_resolution,
    STATE(10066), 1,
      sym_ms_based_modifier,
    STATE(10317), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
  [241521] = 3,
    ACTIONS(10298), 1,
      sym_comment,
    ACTIONS(10560), 1,
      anon_sym_LF,
    ACTIONS(10562), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [241548] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(2588), 1,
      anon_sym_operator,
    ACTIONS(2877), 1,
      anon_sym_TILDE,
    ACTIONS(3148), 1,
      anon_sym_decltype,
    ACTIONS(8060), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9066), 1,
      anon_sym_STAR,
    ACTIONS(10676), 1,
      sym_identifier,
    ACTIONS(10678), 1,
      anon_sym_template,
    STATE(3895), 1,
      sym_operator_name,
    STATE(3898), 1,
      sym_qualified_identifier,
    STATE(3900), 1,
      sym_dependent_identifier,
    STATE(3901), 1,
      sym_destructor_name,
    STATE(3902), 1,
      sym_template_function,
    STATE(3907), 1,
      sym_pointer_type_declarator,
    STATE(7024), 1,
      sym__scope_resolution,
    STATE(9882), 1,
      sym_ms_based_modifier,
    STATE(10317), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
  [241605] = 12,
    ACTIONS(10298), 1,
      sym_comment,
    ACTIONS(10596), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(10598), 1,
      anon_sym_AMP_AMP,
    ACTIONS(10600), 1,
      anon_sym_PIPE,
    ACTIONS(10602), 1,
      anon_sym_CARET,
    ACTIONS(10604), 1,
      anon_sym_AMP,
    ACTIONS(10680), 1,
      anon_sym_LF,
    ACTIONS(10592), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(10606), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(10610), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(10594), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(10608), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [241650] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10684), 1,
      anon_sym_LBRACK,
    ACTIONS(10682), 18,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [241677] = 3,
    ACTIONS(10298), 1,
      sym_comment,
    ACTIONS(10572), 1,
      anon_sym_LF,
    ACTIONS(10574), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [241704] = 3,
    ACTIONS(10298), 1,
      sym_comment,
    ACTIONS(10542), 1,
      anon_sym_LF,
    ACTIONS(10544), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [241731] = 12,
    ACTIONS(10298), 1,
      sym_comment,
    ACTIONS(10596), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(10598), 1,
      anon_sym_AMP_AMP,
    ACTIONS(10600), 1,
      anon_sym_PIPE,
    ACTIONS(10602), 1,
      anon_sym_CARET,
    ACTIONS(10604), 1,
      anon_sym_AMP,
    ACTIONS(10686), 1,
      anon_sym_LF,
    ACTIONS(10592), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(10606), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(10610), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(10594), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(10608), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [241776] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10690), 1,
      anon_sym_LBRACK,
    ACTIONS(10688), 18,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [241803] = 4,
    ACTIONS(10298), 1,
      sym_comment,
    ACTIONS(10338), 1,
      anon_sym_LF,
    ACTIONS(10594), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(10340), 15,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [241832] = 3,
    ACTIONS(7416), 1,
      anon_sym_LF,
    ACTIONS(10298), 1,
      sym_comment,
    ACTIONS(7414), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [241859] = 3,
    ACTIONS(10298), 1,
      sym_comment,
    ACTIONS(10338), 1,
      anon_sym_LF,
    ACTIONS(10340), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [241886] = 12,
    ACTIONS(10298), 1,
      sym_comment,
    ACTIONS(10338), 1,
      anon_sym_LF,
    ACTIONS(10340), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(10598), 1,
      anon_sym_AMP_AMP,
    ACTIONS(10600), 1,
      anon_sym_PIPE,
    ACTIONS(10602), 1,
      anon_sym_CARET,
    ACTIONS(10604), 1,
      anon_sym_AMP,
    ACTIONS(10592), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(10606), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(10610), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(10594), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(10608), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [241931] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7993), 1,
      anon_sym_requires,
    ACTIONS(10496), 1,
      anon_sym_LBRACK,
    ACTIONS(6859), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(7174), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(7262), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(10494), 11,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
      anon_sym_try,
  [241966] = 11,
    ACTIONS(10298), 1,
      sym_comment,
    ACTIONS(10338), 1,
      anon_sym_LF,
    ACTIONS(10600), 1,
      anon_sym_PIPE,
    ACTIONS(10602), 1,
      anon_sym_CARET,
    ACTIONS(10604), 1,
      anon_sym_AMP,
    ACTIONS(10340), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
    ACTIONS(10592), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(10606), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(10610), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(10594), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(10608), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [242009] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(123), 1,
      anon_sym_virtual,
    ACTIONS(1486), 1,
      anon_sym_template,
    ACTIONS(3148), 1,
      anon_sym_decltype,
    ACTIONS(5585), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(10650), 1,
      sym_identifier,
    ACTIONS(10670), 1,
      anon_sym_COLON_COLON,
    STATE(2999), 1,
      sym_template_type,
    STATE(7560), 1,
      sym_access_specifier,
    STATE(7872), 1,
      sym__scope_resolution,
    STATE(8253), 1,
      sym_virtual,
    STATE(7018), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8741), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(10317), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    ACTIONS(10672), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
  [242060] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5721), 1,
      anon_sym_LBRACK,
    ACTIONS(5723), 18,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [242087] = 3,
    ACTIONS(10298), 1,
      sym_comment,
    ACTIONS(10444), 1,
      anon_sym_LF,
    ACTIONS(10446), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [242114] = 12,
    ACTIONS(10298), 1,
      sym_comment,
    ACTIONS(10596), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(10598), 1,
      anon_sym_AMP_AMP,
    ACTIONS(10600), 1,
      anon_sym_PIPE,
    ACTIONS(10602), 1,
      anon_sym_CARET,
    ACTIONS(10604), 1,
      anon_sym_AMP,
    ACTIONS(10692), 1,
      anon_sym_LF,
    ACTIONS(10592), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(10606), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(10610), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(10594), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(10608), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [242159] = 12,
    ACTIONS(10298), 1,
      sym_comment,
    ACTIONS(10596), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(10598), 1,
      anon_sym_AMP_AMP,
    ACTIONS(10600), 1,
      anon_sym_PIPE,
    ACTIONS(10602), 1,
      anon_sym_CARET,
    ACTIONS(10604), 1,
      anon_sym_AMP,
    ACTIONS(10694), 1,
      anon_sym_LF,
    ACTIONS(10592), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(10606), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(10610), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(10594), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(10608), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [242204] = 10,
    ACTIONS(10298), 1,
      sym_comment,
    ACTIONS(10338), 1,
      anon_sym_LF,
    ACTIONS(10602), 1,
      anon_sym_CARET,
    ACTIONS(10604), 1,
      anon_sym_AMP,
    ACTIONS(10592), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(10606), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(10610), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(10340), 3,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
    ACTIONS(10594), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(10608), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [242245] = 9,
    ACTIONS(10298), 1,
      sym_comment,
    ACTIONS(10338), 1,
      anon_sym_LF,
    ACTIONS(10604), 1,
      anon_sym_AMP,
    ACTIONS(10592), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(10606), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(10610), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(10594), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(10340), 4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
    ACTIONS(10608), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [242284] = 7,
    ACTIONS(10298), 1,
      sym_comment,
    ACTIONS(10338), 1,
      anon_sym_LF,
    ACTIONS(10592), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(10610), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(10594), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(10608), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(10340), 7,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [242319] = 12,
    ACTIONS(10298), 1,
      sym_comment,
    ACTIONS(10596), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(10598), 1,
      anon_sym_AMP_AMP,
    ACTIONS(10600), 1,
      anon_sym_PIPE,
    ACTIONS(10602), 1,
      anon_sym_CARET,
    ACTIONS(10604), 1,
      anon_sym_AMP,
    ACTIONS(10696), 1,
      anon_sym_LF,
    ACTIONS(10592), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(10606), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(10610), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(10594), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(10608), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [242364] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5756), 1,
      anon_sym_LBRACK,
    ACTIONS(5758), 18,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [242391] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5749), 1,
      anon_sym_LBRACK,
    ACTIONS(5751), 18,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [242418] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10700), 1,
      anon_sym_LBRACK,
    ACTIONS(10698), 18,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [242445] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7993), 1,
      anon_sym_requires,
    ACTIONS(10638), 1,
      anon_sym_LBRACK,
    ACTIONS(6859), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(7174), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(7247), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(10636), 11,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
      anon_sym_try,
  [242480] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5760), 1,
      anon_sym_LBRACK,
    ACTIONS(5762), 18,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [242507] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(123), 1,
      anon_sym_virtual,
    ACTIONS(1486), 1,
      anon_sym_template,
    ACTIONS(3148), 1,
      anon_sym_decltype,
    ACTIONS(5585), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(10650), 1,
      sym_identifier,
    ACTIONS(10670), 1,
      anon_sym_COLON_COLON,
    STATE(2999), 1,
      sym_template_type,
    STATE(7592), 1,
      sym_access_specifier,
    STATE(7872), 1,
      sym__scope_resolution,
    STATE(8479), 1,
      sym_virtual,
    STATE(7057), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8482), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(10317), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    ACTIONS(10672), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
  [242558] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5779), 1,
      anon_sym_LBRACK,
    ACTIONS(5781), 18,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [242585] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1486), 1,
      anon_sym_template,
    ACTIONS(2194), 1,
      anon_sym_COLON,
    ACTIONS(3148), 1,
      anon_sym_decltype,
    ACTIONS(4176), 1,
      anon_sym_LBRACE,
    ACTIONS(5585), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(10702), 1,
      sym_identifier,
    ACTIONS(10704), 1,
      anon_sym_COLON_COLON,
    STATE(1465), 1,
      sym_template_type,
    STATE(1533), 1,
      sym_field_declaration_list,
    STATE(7147), 1,
      sym_attribute_declaration,
    STATE(7857), 1,
      sym__scope_resolution,
    STATE(8193), 1,
      sym_virtual_specifier,
    STATE(8991), 1,
      sym_base_class_clause,
    ACTIONS(2198), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(1431), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(10317), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [242640] = 6,
    ACTIONS(10298), 1,
      sym_comment,
    ACTIONS(10338), 1,
      anon_sym_LF,
    ACTIONS(10592), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(10610), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(10594), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(10340), 11,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [242673] = 12,
    ACTIONS(10298), 1,
      sym_comment,
    ACTIONS(10596), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(10598), 1,
      anon_sym_AMP_AMP,
    ACTIONS(10600), 1,
      anon_sym_PIPE,
    ACTIONS(10602), 1,
      anon_sym_CARET,
    ACTIONS(10604), 1,
      anon_sym_AMP,
    ACTIONS(10706), 1,
      anon_sym_LF,
    ACTIONS(10592), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(10606), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(10610), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(10594), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(10608), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [242718] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1486), 1,
      anon_sym_template,
    ACTIONS(2194), 1,
      anon_sym_COLON,
    ACTIONS(2279), 1,
      anon_sym_LBRACE,
    ACTIONS(3148), 1,
      anon_sym_decltype,
    ACTIONS(5585), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(10708), 1,
      sym_identifier,
    ACTIONS(10710), 1,
      anon_sym_COLON_COLON,
    STATE(411), 1,
      sym_template_type,
    STATE(834), 1,
      sym_field_declaration_list,
    STATE(7164), 1,
      sym_attribute_declaration,
    STATE(7828), 1,
      sym__scope_resolution,
    STATE(8311), 1,
      sym_virtual_specifier,
    STATE(9203), 1,
      sym_base_class_clause,
    ACTIONS(2198), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(188), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(10317), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [242773] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(123), 1,
      anon_sym_virtual,
    ACTIONS(1486), 1,
      anon_sym_template,
    ACTIONS(3148), 1,
      anon_sym_decltype,
    ACTIONS(5585), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(10650), 1,
      sym_identifier,
    ACTIONS(10670), 1,
      anon_sym_COLON_COLON,
    STATE(2999), 1,
      sym_template_type,
    STATE(7561), 1,
      sym_access_specifier,
    STATE(7872), 1,
      sym__scope_resolution,
    STATE(8357), 1,
      sym_virtual,
    STATE(6628), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8358), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(10317), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    ACTIONS(10672), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
  [242824] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(2588), 1,
      anon_sym_operator,
    ACTIONS(2877), 1,
      anon_sym_TILDE,
    ACTIONS(3148), 1,
      anon_sym_decltype,
    ACTIONS(6750), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9150), 1,
      anon_sym_STAR,
    ACTIONS(10712), 1,
      sym_identifier,
    ACTIONS(10714), 1,
      anon_sym_template,
    STATE(7058), 1,
      sym__scope_resolution,
    STATE(7741), 1,
      sym_pointer_type_declarator,
    STATE(7746), 1,
      sym_template_function,
    STATE(7749), 1,
      sym_destructor_name,
    STATE(7751), 1,
      sym_dependent_identifier,
    STATE(7753), 1,
      sym_qualified_identifier,
    STATE(7754), 1,
      sym_operator_name,
    STATE(10177), 1,
      sym_ms_based_modifier,
    STATE(10317), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
  [242881] = 5,
    ACTIONS(10298), 1,
      sym_comment,
    ACTIONS(10338), 1,
      anon_sym_LF,
    ACTIONS(10592), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(10594), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(10340), 13,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [242912] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7993), 1,
      anon_sym_requires,
    ACTIONS(9576), 1,
      anon_sym_LBRACK,
    ACTIONS(6859), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(7174), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(7305), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9571), 11,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
      anon_sym_try,
  [242947] = 8,
    ACTIONS(10298), 1,
      sym_comment,
    ACTIONS(10338), 1,
      anon_sym_LF,
    ACTIONS(10592), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(10606), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(10610), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(10594), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(10608), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(10340), 5,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
  [242984] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5727), 1,
      anon_sym_LBRACK,
    ACTIONS(5729), 18,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [243011] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5731), 1,
      anon_sym_LBRACK,
    ACTIONS(5733), 18,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [243038] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7993), 1,
      anon_sym_requires,
    ACTIONS(9908), 1,
      anon_sym_LBRACK,
    ACTIONS(6859), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(7174), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(7257), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9903), 11,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
      anon_sym_try,
  [243073] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5735), 1,
      anon_sym_LBRACK,
    ACTIONS(5737), 18,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [243100] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5739), 1,
      anon_sym_LBRACK,
    ACTIONS(5741), 18,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [243127] = 12,
    ACTIONS(10298), 1,
      sym_comment,
    ACTIONS(10596), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(10598), 1,
      anon_sym_AMP_AMP,
    ACTIONS(10600), 1,
      anon_sym_PIPE,
    ACTIONS(10602), 1,
      anon_sym_CARET,
    ACTIONS(10604), 1,
      anon_sym_AMP,
    ACTIONS(10716), 1,
      anon_sym_LF,
    ACTIONS(10592), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(10606), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(10610), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(10594), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(10608), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [243172] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4561), 1,
      anon_sym_LPAREN2,
    ACTIONS(8509), 1,
      anon_sym_LBRACK,
    ACTIONS(8655), 1,
      anon_sym_STAR,
    ACTIONS(8657), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8659), 1,
      anon_sym_AMP,
    STATE(5030), 1,
      sym_parameter_list,
    STATE(7422), 1,
      sym__function_declarator_seq,
    STATE(7796), 1,
      sym__abstract_declarator,
    STATE(7436), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8447), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [243215] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5745), 1,
      anon_sym_LBRACK,
    ACTIONS(5747), 18,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [243242] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(2588), 1,
      anon_sym_operator,
    ACTIONS(2877), 1,
      anon_sym_TILDE,
    ACTIONS(3148), 1,
      anon_sym_decltype,
    ACTIONS(8046), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9158), 1,
      anon_sym_STAR,
    ACTIONS(10712), 1,
      sym_identifier,
    ACTIONS(10714), 1,
      anon_sym_template,
    STATE(7070), 1,
      sym__scope_resolution,
    STATE(7741), 1,
      sym_pointer_type_declarator,
    STATE(7746), 1,
      sym_template_function,
    STATE(7749), 1,
      sym_destructor_name,
    STATE(7751), 1,
      sym_dependent_identifier,
    STATE(7753), 1,
      sym_qualified_identifier,
    STATE(7754), 1,
      sym_operator_name,
    STATE(9608), 1,
      sym_ms_based_modifier,
    STATE(10317), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
  [243299] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5745), 1,
      anon_sym_LBRACK,
    ACTIONS(5747), 18,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [243326] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5745), 1,
      anon_sym_LBRACK,
    ACTIONS(5747), 18,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [243353] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8178), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8719), 1,
      anon_sym_COMMA,
    ACTIONS(10114), 1,
      anon_sym_try,
    ACTIONS(10718), 1,
      anon_sym_LPAREN2,
    ACTIONS(10720), 1,
      anon_sym_COLON,
    ACTIONS(10722), 1,
      anon_sym_SEMI,
    ACTIONS(10724), 1,
      anon_sym_LBRACE,
    ACTIONS(10726), 1,
      anon_sym_LBRACK,
    ACTIONS(10728), 1,
      anon_sym_EQ,
    STATE(2697), 1,
      sym_try_statement,
    STATE(2708), 1,
      sym_compound_statement,
    STATE(4453), 1,
      sym_parameter_list,
    STATE(7601), 1,
      sym__function_declarator_seq,
    STATE(8577), 1,
      aux_sym_declaration_repeat1,
    STATE(7520), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9062), 2,
      sym_argument_list,
      sym_initializer_list,
  [243407] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8178), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(10732), 1,
      anon_sym_LBRACK,
    STATE(7078), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(10730), 14,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [243437] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8178), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(10420), 1,
      anon_sym_LBRACK,
    STATE(7078), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(10418), 14,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [243467] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8178), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8719), 1,
      anon_sym_COMMA,
    ACTIONS(10718), 1,
      anon_sym_LPAREN2,
    ACTIONS(10726), 1,
      anon_sym_LBRACK,
    ACTIONS(10728), 1,
      anon_sym_EQ,
    ACTIONS(10734), 1,
      anon_sym_COLON,
    ACTIONS(10736), 1,
      anon_sym_SEMI,
    ACTIONS(10738), 1,
      anon_sym_LBRACE,
    ACTIONS(10740), 1,
      anon_sym_try,
    STATE(1114), 1,
      sym_try_statement,
    STATE(1115), 1,
      sym_compound_statement,
    STATE(4453), 1,
      sym_parameter_list,
    STATE(7601), 1,
      sym__function_declarator_seq,
    STATE(8745), 1,
      aux_sym_declaration_repeat1,
    STATE(7520), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9062), 2,
      sym_argument_list,
      sym_initializer_list,
  [243521] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8178), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8719), 1,
      anon_sym_COMMA,
    ACTIONS(10106), 1,
      anon_sym_try,
    ACTIONS(10718), 1,
      anon_sym_LPAREN2,
    ACTIONS(10726), 1,
      anon_sym_LBRACK,
    ACTIONS(10728), 1,
      anon_sym_EQ,
    ACTIONS(10742), 1,
      anon_sym_COLON,
    ACTIONS(10744), 1,
      anon_sym_SEMI,
    ACTIONS(10746), 1,
      anon_sym_LBRACE,
    STATE(2543), 1,
      sym_try_statement,
    STATE(2545), 1,
      sym_compound_statement,
    STATE(4453), 1,
      sym_parameter_list,
    STATE(7601), 1,
      sym__function_declarator_seq,
    STATE(8557), 1,
      aux_sym_declaration_repeat1,
    STATE(7520), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9062), 2,
      sym_argument_list,
      sym_initializer_list,
  [243575] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6688), 1,
      anon_sym_LBRACK,
    ACTIONS(10748), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(7078), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(6690), 14,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [243605] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8178), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8719), 1,
      anon_sym_COMMA,
    ACTIONS(10148), 1,
      anon_sym_try,
    ACTIONS(10718), 1,
      anon_sym_LPAREN2,
    ACTIONS(10726), 1,
      anon_sym_LBRACK,
    ACTIONS(10728), 1,
      anon_sym_EQ,
    ACTIONS(10751), 1,
      anon_sym_COLON,
    ACTIONS(10753), 1,
      anon_sym_SEMI,
    ACTIONS(10755), 1,
      anon_sym_LBRACE,
    STATE(2917), 1,
      sym_compound_statement,
    STATE(2925), 1,
      sym_try_statement,
    STATE(4453), 1,
      sym_parameter_list,
    STATE(7601), 1,
      sym__function_declarator_seq,
    STATE(8665), 1,
      aux_sym_declaration_repeat1,
    STATE(7520), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9062), 2,
      sym_argument_list,
      sym_initializer_list,
  [243659] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8178), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8719), 1,
      anon_sym_COMMA,
    ACTIONS(10718), 1,
      anon_sym_LPAREN2,
    ACTIONS(10726), 1,
      anon_sym_LBRACK,
    ACTIONS(10728), 1,
      anon_sym_EQ,
    ACTIONS(10757), 1,
      anon_sym_COLON,
    ACTIONS(10759), 1,
      anon_sym_SEMI,
    ACTIONS(10761), 1,
      anon_sym_LBRACE,
    ACTIONS(10763), 1,
      anon_sym_try,
    STATE(1067), 1,
      sym_try_statement,
    STATE(1069), 1,
      sym_compound_statement,
    STATE(4453), 1,
      sym_parameter_list,
    STATE(7601), 1,
      sym__function_declarator_seq,
    STATE(8927), 1,
      aux_sym_declaration_repeat1,
    STATE(7520), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9062), 2,
      sym_argument_list,
      sym_initializer_list,
  [243713] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8254), 1,
      anon_sym_LPAREN2,
    ACTIONS(8268), 1,
      anon_sym_LBRACK,
    ACTIONS(8669), 1,
      anon_sym_STAR,
    ACTIONS(8671), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8673), 1,
      anon_sym_AMP,
    STATE(5095), 1,
      sym_parameter_list,
    STATE(7268), 1,
      sym__function_declarator_seq,
    STATE(7856), 1,
      sym__abstract_declarator,
    ACTIONS(8447), 5,
      anon_sym_RPAREN,
      anon_sym_LBRACK_LBRACK,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    STATE(7270), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
  [243755] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8178), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8719), 1,
      anon_sym_COMMA,
    ACTIONS(10156), 1,
      anon_sym_try,
    ACTIONS(10718), 1,
      anon_sym_LPAREN2,
    ACTIONS(10726), 1,
      anon_sym_LBRACK,
    ACTIONS(10728), 1,
      anon_sym_EQ,
    ACTIONS(10765), 1,
      anon_sym_COLON,
    ACTIONS(10767), 1,
      anon_sym_SEMI,
    ACTIONS(10769), 1,
      anon_sym_LBRACE,
    STATE(2907), 1,
      sym_try_statement,
    STATE(2908), 1,
      sym_compound_statement,
    STATE(4453), 1,
      sym_parameter_list,
    STATE(7601), 1,
      sym__function_declarator_seq,
    STATE(8496), 1,
      aux_sym_declaration_repeat1,
    STATE(7520), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9062), 2,
      sym_argument_list,
      sym_initializer_list,
  [243809] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8178), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8719), 1,
      anon_sym_COMMA,
    ACTIONS(10718), 1,
      anon_sym_LPAREN2,
    ACTIONS(10726), 1,
      anon_sym_LBRACK,
    ACTIONS(10728), 1,
      anon_sym_EQ,
    ACTIONS(10771), 1,
      anon_sym_COLON,
    ACTIONS(10773), 1,
      anon_sym_SEMI,
    ACTIONS(10775), 1,
      anon_sym_LBRACE,
    ACTIONS(10777), 1,
      anon_sym_try,
    STATE(442), 1,
      sym_try_statement,
    STATE(443), 1,
      sym_compound_statement,
    STATE(4453), 1,
      sym_parameter_list,
    STATE(7601), 1,
      sym__function_declarator_seq,
    STATE(8714), 1,
      aux_sym_declaration_repeat1,
    STATE(7520), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9062), 2,
      sym_argument_list,
      sym_initializer_list,
  [243863] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2174), 1,
      anon_sym_LBRACE,
    ACTIONS(8178), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8719), 1,
      anon_sym_COMMA,
    ACTIONS(10718), 1,
      anon_sym_LPAREN2,
    ACTIONS(10726), 1,
      anon_sym_LBRACK,
    ACTIONS(10728), 1,
      anon_sym_EQ,
    ACTIONS(10779), 1,
      anon_sym_COLON,
    ACTIONS(10781), 1,
      anon_sym_SEMI,
    ACTIONS(10783), 1,
      anon_sym_try,
    STATE(1293), 1,
      sym_compound_statement,
    STATE(1300), 1,
      sym_try_statement,
    STATE(4453), 1,
      sym_parameter_list,
    STATE(7601), 1,
      sym__function_declarator_seq,
    STATE(8846), 1,
      aux_sym_declaration_repeat1,
    STATE(7520), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9062), 2,
      sym_argument_list,
      sym_initializer_list,
  [243917] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8178), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(10460), 1,
      anon_sym_LBRACK,
    STATE(7078), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(10458), 14,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [243947] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8178), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8719), 1,
      anon_sym_COMMA,
    ACTIONS(10718), 1,
      anon_sym_LPAREN2,
    ACTIONS(10726), 1,
      anon_sym_LBRACK,
    ACTIONS(10728), 1,
      anon_sym_EQ,
    ACTIONS(10785), 1,
      anon_sym_COLON,
    ACTIONS(10787), 1,
      anon_sym_SEMI,
    ACTIONS(10789), 1,
      anon_sym_LBRACE,
    ACTIONS(10791), 1,
      anon_sym_try,
    STATE(634), 1,
      sym_try_statement,
    STATE(635), 1,
      sym_compound_statement,
    STATE(4453), 1,
      sym_parameter_list,
    STATE(7601), 1,
      sym__function_declarator_seq,
    STATE(8610), 1,
      aux_sym_declaration_repeat1,
    STATE(7520), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9062), 2,
      sym_argument_list,
      sym_initializer_list,
  [244001] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(9062), 1,
      sym_identifier,
    ACTIONS(9064), 1,
      anon_sym_LPAREN2,
    ACTIONS(9066), 1,
      anon_sym_STAR,
    ACTIONS(9072), 1,
      sym_primitive_type,
    STATE(3408), 1,
      sym_pointer_type_declarator,
    STATE(7800), 1,
      sym__type_declarator,
    STATE(8262), 1,
      sym__type_definition_declarators,
    STATE(9882), 1,
      sym_ms_based_modifier,
    ACTIONS(9070), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3406), 4,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
  [244044] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8193), 1,
      anon_sym_requires,
    ACTIONS(8191), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(7234), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(7404), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9309), 10,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
      anon_sym_try,
  [244075] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4561), 1,
      anon_sym_LPAREN2,
    ACTIONS(4563), 1,
      anon_sym_STAR,
    ACTIONS(4565), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4567), 1,
      anon_sym_AMP,
    ACTIONS(8509), 1,
      anon_sym_LBRACK,
    ACTIONS(10793), 1,
      anon_sym_LT,
    ACTIONS(10795), 1,
      anon_sym_LBRACE,
    STATE(4924), 1,
      sym_parameter_list,
    STATE(5585), 1,
      sym_compound_statement,
    STATE(7132), 1,
      sym_template_parameter_list,
    STATE(7422), 1,
      sym__function_declarator_seq,
    STATE(8347), 1,
      sym__abstract_declarator,
    STATE(8453), 1,
      sym_abstract_function_declarator,
    STATE(7436), 4,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
  [244124] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(9062), 1,
      sym_identifier,
    ACTIONS(9064), 1,
      anon_sym_LPAREN2,
    ACTIONS(9066), 1,
      anon_sym_STAR,
    ACTIONS(9072), 1,
      sym_primitive_type,
    STATE(3408), 1,
      sym_pointer_type_declarator,
    STATE(7800), 1,
      sym__type_declarator,
    STATE(8244), 1,
      sym__type_definition_declarators,
    STATE(9882), 1,
      sym_ms_based_modifier,
    ACTIONS(9070), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3406), 4,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
  [244167] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(53), 1,
      anon_sym_LBRACE,
    ACTIONS(4561), 1,
      anon_sym_LPAREN2,
    ACTIONS(4563), 1,
      anon_sym_STAR,
    ACTIONS(4565), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4567), 1,
      anon_sym_AMP,
    ACTIONS(8220), 1,
      anon_sym_requires,
    ACTIONS(8509), 1,
      anon_sym_LBRACK,
    STATE(2655), 1,
      sym_compound_statement,
    STATE(4924), 1,
      sym_parameter_list,
    STATE(7326), 1,
      sym_requires_clause,
    STATE(7422), 1,
      sym__function_declarator_seq,
    STATE(8347), 1,
      sym__abstract_declarator,
    STATE(8375), 1,
      sym_abstract_function_declarator,
    STATE(7436), 4,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
  [244216] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1486), 1,
      anon_sym_template,
    ACTIONS(2194), 1,
      anon_sym_COLON,
    ACTIONS(2196), 1,
      anon_sym_LBRACE,
    ACTIONS(3148), 1,
      anon_sym_decltype,
    ACTIONS(10658), 1,
      sym_identifier,
    ACTIONS(10660), 1,
      anon_sym_COLON_COLON,
    STATE(178), 1,
      sym_template_type,
    STATE(223), 1,
      sym_field_declaration_list,
    STATE(7847), 1,
      sym__scope_resolution,
    STATE(8380), 1,
      sym_virtual_specifier,
    STATE(9273), 1,
      sym_base_class_clause,
    ACTIONS(2198), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(158), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(10317), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [244265] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(9062), 1,
      sym_identifier,
    ACTIONS(9064), 1,
      anon_sym_LPAREN2,
    ACTIONS(9066), 1,
      anon_sym_STAR,
    ACTIONS(9072), 1,
      sym_primitive_type,
    STATE(3408), 1,
      sym_pointer_type_declarator,
    STATE(7800), 1,
      sym__type_declarator,
    STATE(8377), 1,
      sym__type_definition_declarators,
    STATE(9882), 1,
      sym_ms_based_modifier,
    ACTIONS(9070), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3406), 4,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
  [244308] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(9062), 1,
      sym_identifier,
    ACTIONS(9064), 1,
      anon_sym_LPAREN2,
    ACTIONS(9066), 1,
      anon_sym_STAR,
    ACTIONS(9072), 1,
      sym_primitive_type,
    STATE(3408), 1,
      sym_pointer_type_declarator,
    STATE(7800), 1,
      sym__type_declarator,
    STATE(8469), 1,
      sym__type_definition_declarators,
    STATE(9882), 1,
      sym_ms_based_modifier,
    ACTIONS(9070), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3406), 4,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
  [244351] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4561), 1,
      anon_sym_LPAREN2,
    ACTIONS(4563), 1,
      anon_sym_STAR,
    ACTIONS(4565), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4567), 1,
      anon_sym_AMP,
    ACTIONS(8220), 1,
      anon_sym_requires,
    ACTIONS(8509), 1,
      anon_sym_LBRACK,
    ACTIONS(10797), 1,
      anon_sym_LBRACE,
    STATE(4273), 1,
      sym_compound_statement,
    STATE(4924), 1,
      sym_parameter_list,
    STATE(7306), 1,
      sym_requires_clause,
    STATE(7422), 1,
      sym__function_declarator_seq,
    STATE(8305), 1,
      sym_abstract_function_declarator,
    STATE(8347), 1,
      sym__abstract_declarator,
    STATE(7436), 4,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
  [244400] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4561), 1,
      anon_sym_LPAREN2,
    ACTIONS(4563), 1,
      anon_sym_STAR,
    ACTIONS(4565), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4567), 1,
      anon_sym_AMP,
    ACTIONS(8509), 1,
      anon_sym_LBRACK,
    ACTIONS(10793), 1,
      anon_sym_LT,
    ACTIONS(10799), 1,
      anon_sym_LBRACE,
    STATE(4924), 1,
      sym_parameter_list,
    STATE(7117), 1,
      sym_compound_statement,
    STATE(7157), 1,
      sym_template_parameter_list,
    STATE(7422), 1,
      sym__function_declarator_seq,
    STATE(8347), 1,
      sym__abstract_declarator,
    STATE(8415), 1,
      sym_abstract_function_declarator,
    STATE(7436), 4,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
  [244449] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5585), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(10732), 1,
      anon_sym_LBRACK,
    STATE(6628), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(10730), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [244478] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8162), 1,
      anon_sym_DASH_GT,
    ACTIONS(8199), 1,
      anon_sym_requires,
    ACTIONS(9314), 1,
      anon_sym_LBRACK,
    STATE(7319), 1,
      sym_trailing_return_type,
    ACTIONS(6859), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(7174), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(7349), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9309), 7,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_try,
  [244515] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8193), 1,
      anon_sym_requires,
    ACTIONS(8191), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(7234), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(7392), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9571), 10,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
      anon_sym_try,
  [244546] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10803), 1,
      anon_sym_LBRACK,
    ACTIONS(10805), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(7100), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    ACTIONS(10801), 12,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [244575] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(9062), 1,
      sym_identifier,
    ACTIONS(9064), 1,
      anon_sym_LPAREN2,
    ACTIONS(9066), 1,
      anon_sym_STAR,
    ACTIONS(9072), 1,
      sym_primitive_type,
    STATE(3408), 1,
      sym_pointer_type_declarator,
    STATE(7800), 1,
      sym__type_declarator,
    STATE(8195), 1,
      sym__type_definition_declarators,
    STATE(9882), 1,
      sym_ms_based_modifier,
    ACTIONS(9070), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3406), 4,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
  [244618] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5585), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(10460), 1,
      anon_sym_LBRACK,
    STATE(6628), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(10458), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [244647] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10811), 1,
      anon_sym_requires,
    ACTIONS(10808), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(7234), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(7356), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(10636), 10,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
      anon_sym_try,
  [244678] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(9062), 1,
      sym_identifier,
    ACTIONS(9064), 1,
      anon_sym_LPAREN2,
    ACTIONS(9066), 1,
      anon_sym_STAR,
    ACTIONS(9072), 1,
      sym_primitive_type,
    STATE(3408), 1,
      sym_pointer_type_declarator,
    STATE(7800), 1,
      sym__type_declarator,
    STATE(8315), 1,
      sym__type_definition_declarators,
    STATE(9882), 1,
      sym_ms_based_modifier,
    ACTIONS(9070), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3406), 4,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
  [244721] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4561), 1,
      anon_sym_LPAREN2,
    ACTIONS(4563), 1,
      anon_sym_STAR,
    ACTIONS(4565), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4567), 1,
      anon_sym_AMP,
    ACTIONS(8509), 1,
      anon_sym_LBRACK,
    ACTIONS(10793), 1,
      anon_sym_LT,
    ACTIONS(10814), 1,
      anon_sym_LBRACE,
    STATE(2679), 1,
      sym_compound_statement,
    STATE(4924), 1,
      sym_parameter_list,
    STATE(7125), 1,
      sym_template_parameter_list,
    STATE(7422), 1,
      sym__function_declarator_seq,
    STATE(8197), 1,
      sym_abstract_function_declarator,
    STATE(8347), 1,
      sym__abstract_declarator,
    STATE(7436), 4,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
  [244770] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(9062), 1,
      sym_identifier,
    ACTIONS(9064), 1,
      anon_sym_LPAREN2,
    ACTIONS(9066), 1,
      anon_sym_STAR,
    ACTIONS(9072), 1,
      sym_primitive_type,
    STATE(3408), 1,
      sym_pointer_type_declarator,
    STATE(7800), 1,
      sym__type_declarator,
    STATE(8329), 1,
      sym__type_definition_declarators,
    STATE(9882), 1,
      sym_ms_based_modifier,
    ACTIONS(9070), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3406), 4,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
  [244813] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(9062), 1,
      sym_identifier,
    ACTIONS(9064), 1,
      anon_sym_LPAREN2,
    ACTIONS(9066), 1,
      anon_sym_STAR,
    ACTIONS(9072), 1,
      sym_primitive_type,
    STATE(3408), 1,
      sym_pointer_type_declarator,
    STATE(7800), 1,
      sym__type_declarator,
    STATE(8179), 1,
      sym__type_definition_declarators,
    STATE(9882), 1,
      sym_ms_based_modifier,
    ACTIONS(9070), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3406), 4,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
  [244856] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1486), 1,
      anon_sym_template,
    ACTIONS(2194), 1,
      anon_sym_COLON,
    ACTIONS(2283), 1,
      anon_sym_LBRACE,
    ACTIONS(3148), 1,
      anon_sym_decltype,
    ACTIONS(10586), 1,
      sym_identifier,
    ACTIONS(10588), 1,
      anon_sym_COLON_COLON,
    STATE(396), 1,
      sym_template_type,
    STATE(746), 1,
      sym_field_declaration_list,
    STATE(7853), 1,
      sym__scope_resolution,
    STATE(8238), 1,
      sym_virtual_specifier,
    STATE(9129), 1,
      sym_base_class_clause,
    ACTIONS(2198), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(194), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(10317), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [244905] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(2588), 1,
      anon_sym_operator,
    ACTIONS(8917), 1,
      sym_identifier,
    ACTIONS(8919), 1,
      anon_sym_LPAREN2,
    ACTIONS(8921), 1,
      anon_sym_STAR,
    ACTIONS(8923), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8925), 1,
      anon_sym_AMP,
    STATE(7255), 1,
      sym__field_declarator,
    STATE(7581), 1,
      sym_operator_name,
    STATE(9469), 1,
      sym_ms_based_modifier,
    STATE(7669), 7,
      sym_parenthesized_field_declarator,
      sym_attributed_field_declarator,
      sym_pointer_field_declarator,
      sym_function_field_declarator,
      sym_array_field_declarator,
      sym_reference_field_declarator,
      sym_template_method,
  [244948] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5585), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(10420), 1,
      anon_sym_LBRACK,
    STATE(6628), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(10418), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [244977] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10816), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(10818), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(5849), 13,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [245004] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10823), 1,
      anon_sym_requires,
    ACTIONS(10820), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(7234), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(7361), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(10494), 10,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
      anon_sym_try,
  [245035] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4561), 1,
      anon_sym_LPAREN2,
    ACTIONS(4563), 1,
      anon_sym_STAR,
    ACTIONS(4565), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4567), 1,
      anon_sym_AMP,
    ACTIONS(8220), 1,
      anon_sym_requires,
    ACTIONS(8509), 1,
      anon_sym_LBRACK,
    ACTIONS(10826), 1,
      anon_sym_LBRACE,
    STATE(4924), 1,
      sym_parameter_list,
    STATE(4925), 1,
      sym_compound_statement,
    STATE(7314), 1,
      sym_requires_clause,
    STATE(7422), 1,
      sym__function_declarator_seq,
    STATE(8282), 1,
      sym_abstract_function_declarator,
    STATE(8347), 1,
      sym__abstract_declarator,
    STATE(7436), 4,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
  [245084] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9994), 1,
      anon_sym_requires,
    ACTIONS(9991), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(7234), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(7366), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9903), 10,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
      anon_sym_try,
  [245115] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(2588), 1,
      anon_sym_operator,
    ACTIONS(8919), 1,
      anon_sym_LPAREN2,
    ACTIONS(9014), 1,
      sym_identifier,
    ACTIONS(9016), 1,
      anon_sym_STAR,
    ACTIONS(9018), 1,
      anon_sym_AMP_AMP,
    ACTIONS(9020), 1,
      anon_sym_AMP,
    STATE(7933), 1,
      sym__field_declarator,
    STATE(8043), 1,
      sym_operator_name,
    STATE(9740), 1,
      sym_ms_based_modifier,
    STATE(7669), 7,
      sym_parenthesized_field_declarator,
      sym_attributed_field_declarator,
      sym_pointer_field_declarator,
      sym_function_field_declarator,
      sym_array_field_declarator,
      sym_reference_field_declarator,
      sym_template_method,
  [245158] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4561), 1,
      anon_sym_LPAREN2,
    ACTIONS(4563), 1,
      anon_sym_STAR,
    ACTIONS(4565), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4567), 1,
      anon_sym_AMP,
    ACTIONS(8220), 1,
      anon_sym_requires,
    ACTIONS(8509), 1,
      anon_sym_LBRACK,
    ACTIONS(10828), 1,
      anon_sym_LBRACE,
    STATE(4924), 1,
      sym_parameter_list,
    STATE(7062), 1,
      sym_compound_statement,
    STATE(7284), 1,
      sym_requires_clause,
    STATE(7422), 1,
      sym__function_declarator_seq,
    STATE(8288), 1,
      sym_abstract_function_declarator,
    STATE(8347), 1,
      sym__abstract_declarator,
    STATE(7436), 4,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
  [245207] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5781), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [245230] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5747), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [245253] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5747), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [245276] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5747), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [245299] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(9062), 1,
      sym_identifier,
    ACTIONS(9064), 1,
      anon_sym_LPAREN2,
    ACTIONS(9066), 1,
      anon_sym_STAR,
    ACTIONS(9072), 1,
      sym_primitive_type,
    STATE(3408), 1,
      sym_pointer_type_declarator,
    STATE(7800), 1,
      sym__type_declarator,
    STATE(8427), 1,
      sym__type_definition_declarators,
    STATE(9882), 1,
      sym_ms_based_modifier,
    ACTIONS(9070), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3406), 4,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
  [245342] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(2588), 1,
      anon_sym_operator,
    ACTIONS(8919), 1,
      anon_sym_LPAREN2,
    ACTIONS(9014), 1,
      sym_identifier,
    ACTIONS(9016), 1,
      anon_sym_STAR,
    ACTIONS(9018), 1,
      anon_sym_AMP_AMP,
    ACTIONS(9020), 1,
      anon_sym_AMP,
    STATE(7919), 1,
      sym__field_declarator,
    STATE(8043), 1,
      sym_operator_name,
    STATE(9740), 1,
      sym_ms_based_modifier,
    STATE(7669), 7,
      sym_parenthesized_field_declarator,
      sym_attributed_field_declarator,
      sym_pointer_field_declarator,
      sym_function_field_declarator,
      sym_array_field_declarator,
      sym_reference_field_declarator,
      sym_template_method,
  [245385] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4561), 1,
      anon_sym_LPAREN2,
    ACTIONS(4563), 1,
      anon_sym_STAR,
    ACTIONS(4565), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4567), 1,
      anon_sym_AMP,
    ACTIONS(8509), 1,
      anon_sym_LBRACK,
    ACTIONS(10793), 1,
      anon_sym_LT,
    ACTIONS(10830), 1,
      anon_sym_LBRACE,
    STATE(4924), 1,
      sym_parameter_list,
    STATE(5389), 1,
      sym_compound_statement,
    STATE(7172), 1,
      sym_template_parameter_list,
    STATE(7422), 1,
      sym__function_declarator_seq,
    STATE(8347), 1,
      sym__abstract_declarator,
    STATE(8420), 1,
      sym_abstract_function_declarator,
    STATE(7436), 4,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
  [245434] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4561), 1,
      anon_sym_LPAREN2,
    ACTIONS(4563), 1,
      anon_sym_STAR,
    ACTIONS(4565), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4567), 1,
      anon_sym_AMP,
    ACTIONS(8509), 1,
      anon_sym_LBRACK,
    ACTIONS(10793), 1,
      anon_sym_LT,
    ACTIONS(10828), 1,
      anon_sym_LBRACE,
    STATE(4924), 1,
      sym_parameter_list,
    STATE(7052), 1,
      sym_compound_statement,
    STATE(7116), 1,
      sym_template_parameter_list,
    STATE(7422), 1,
      sym__function_declarator_seq,
    STATE(8235), 1,
      sym_abstract_function_declarator,
    STATE(8347), 1,
      sym__abstract_declarator,
    STATE(7436), 4,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
  [245483] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4561), 1,
      anon_sym_LPAREN2,
    ACTIONS(4563), 1,
      anon_sym_STAR,
    ACTIONS(4565), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4567), 1,
      anon_sym_AMP,
    ACTIONS(8220), 1,
      anon_sym_requires,
    ACTIONS(8509), 1,
      anon_sym_LBRACK,
    ACTIONS(10814), 1,
      anon_sym_LBRACE,
    STATE(2655), 1,
      sym_compound_statement,
    STATE(4924), 1,
      sym_parameter_list,
    STATE(7297), 1,
      sym_requires_clause,
    STATE(7422), 1,
      sym__function_declarator_seq,
    STATE(8182), 1,
      sym_abstract_function_declarator,
    STATE(8347), 1,
      sym__abstract_declarator,
    STATE(7436), 4,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
  [245532] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1486), 1,
      anon_sym_template,
    ACTIONS(2194), 1,
      anon_sym_COLON,
    ACTIONS(2281), 1,
      anon_sym_LBRACE,
    ACTIONS(3148), 1,
      anon_sym_decltype,
    ACTIONS(10624), 1,
      sym_identifier,
    ACTIONS(10626), 1,
      anon_sym_COLON_COLON,
    STATE(433), 1,
      sym_template_type,
    STATE(913), 1,
      sym_field_declaration_list,
    STATE(7891), 1,
      sym__scope_resolution,
    STATE(8363), 1,
      sym_virtual_specifier,
    STATE(9360), 1,
      sym_base_class_clause,
    ACTIONS(2198), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(189), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(10317), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [245581] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5741), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [245604] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8193), 1,
      anon_sym_requires,
    ACTIONS(8191), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(7234), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(7366), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9903), 10,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
      anon_sym_try,
  [245635] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5737), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [245658] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8162), 1,
      anon_sym_DASH_GT,
    ACTIONS(8199), 1,
      anon_sym_requires,
    ACTIONS(9576), 1,
      anon_sym_LBRACK,
    STATE(7347), 1,
      sym_trailing_return_type,
    ACTIONS(6859), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(7174), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(7305), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9571), 7,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_try,
  [245695] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5733), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [245718] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4561), 1,
      anon_sym_LPAREN2,
    ACTIONS(4563), 1,
      anon_sym_STAR,
    ACTIONS(4565), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4567), 1,
      anon_sym_AMP,
    ACTIONS(8220), 1,
      anon_sym_requires,
    ACTIONS(8509), 1,
      anon_sym_LBRACK,
    ACTIONS(10795), 1,
      anon_sym_LBRACE,
    STATE(4924), 1,
      sym_parameter_list,
    STATE(5441), 1,
      sym_compound_statement,
    STATE(7330), 1,
      sym_requires_clause,
    STATE(7422), 1,
      sym__function_declarator_seq,
    STATE(8347), 1,
      sym__abstract_declarator,
    STATE(8440), 1,
      sym_abstract_function_declarator,
    STATE(7436), 4,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
  [245767] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9845), 1,
      anon_sym_requires,
    ACTIONS(9842), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(7234), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(7392), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9571), 10,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
      anon_sym_try,
  [245798] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4561), 1,
      anon_sym_LPAREN2,
    ACTIONS(4563), 1,
      anon_sym_STAR,
    ACTIONS(4565), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4567), 1,
      anon_sym_AMP,
    ACTIONS(8509), 1,
      anon_sym_LBRACK,
    ACTIONS(10793), 1,
      anon_sym_LT,
    ACTIONS(10832), 1,
      anon_sym_LBRACE,
    STATE(3637), 1,
      sym_compound_statement,
    STATE(4924), 1,
      sym_parameter_list,
    STATE(7146), 1,
      sym_template_parameter_list,
    STATE(7422), 1,
      sym__function_declarator_seq,
    STATE(8246), 1,
      sym_abstract_function_declarator,
    STATE(8347), 1,
      sym__abstract_declarator,
    STATE(7436), 4,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
  [245847] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5729), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [245870] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9604), 1,
      anon_sym_requires,
    ACTIONS(9601), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(7234), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(7404), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9309), 10,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
      anon_sym_try,
  [245901] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(9062), 1,
      sym_identifier,
    ACTIONS(9064), 1,
      anon_sym_LPAREN2,
    ACTIONS(9066), 1,
      anon_sym_STAR,
    ACTIONS(9072), 1,
      sym_primitive_type,
    STATE(3408), 1,
      sym_pointer_type_declarator,
    STATE(7800), 1,
      sym__type_declarator,
    STATE(8242), 1,
      sym__type_definition_declarators,
    STATE(9882), 1,
      sym_ms_based_modifier,
    ACTIONS(9070), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3406), 4,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
  [245944] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10834), 1,
      sym_identifier,
    STATE(7265), 1,
      sym_string_literal,
    STATE(7567), 1,
      sym_raw_string_literal,
    ACTIONS(10836), 2,
      anon_sym_RPAREN,
      anon_sym_COLON,
    STATE(8448), 2,
      sym__string,
      sym_concatenated_string,
    ACTIONS(113), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(153), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [245979] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5723), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [246002] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8162), 1,
      anon_sym_DASH_GT,
    ACTIONS(8199), 1,
      anon_sym_requires,
    ACTIONS(9908), 1,
      anon_sym_LBRACK,
    STATE(7244), 1,
      sym_trailing_return_type,
    ACTIONS(6859), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(7174), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(7257), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9903), 7,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_try,
  [246039] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8193), 1,
      anon_sym_requires,
    ACTIONS(8191), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(7234), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(7361), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(10494), 10,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
      anon_sym_try,
  [246070] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8162), 1,
      anon_sym_DASH_GT,
    ACTIONS(8199), 1,
      anon_sym_requires,
    ACTIONS(10496), 1,
      anon_sym_LBRACK,
    STATE(7348), 1,
      sym_trailing_return_type,
    ACTIONS(6859), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(7174), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(7262), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(10494), 7,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_try,
  [246107] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1486), 1,
      anon_sym_template,
    ACTIONS(2194), 1,
      anon_sym_COLON,
    ACTIONS(2240), 1,
      anon_sym_LBRACE,
    ACTIONS(3148), 1,
      anon_sym_decltype,
    ACTIONS(10618), 1,
      sym_identifier,
    ACTIONS(10620), 1,
      anon_sym_COLON_COLON,
    STATE(211), 1,
      sym_template_type,
    STATE(567), 1,
      sym_field_declaration_list,
    STATE(7831), 1,
      sym__scope_resolution,
    STATE(8310), 1,
      sym_virtual_specifier,
    STATE(9280), 1,
      sym_base_class_clause,
    ACTIONS(2198), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(168), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(10317), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [246156] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(53), 1,
      anon_sym_LBRACE,
    ACTIONS(4561), 1,
      anon_sym_LPAREN2,
    ACTIONS(4563), 1,
      anon_sym_STAR,
    ACTIONS(4565), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4567), 1,
      anon_sym_AMP,
    ACTIONS(8509), 1,
      anon_sym_LBRACK,
    ACTIONS(10793), 1,
      anon_sym_LT,
    STATE(2679), 1,
      sym_compound_statement,
    STATE(4924), 1,
      sym_parameter_list,
    STATE(7091), 1,
      sym_template_parameter_list,
    STATE(7422), 1,
      sym__function_declarator_seq,
    STATE(8347), 1,
      sym__abstract_declarator,
    STATE(8388), 1,
      sym_abstract_function_declarator,
    STATE(7436), 4,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
  [246205] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(9062), 1,
      sym_identifier,
    ACTIONS(9064), 1,
      anon_sym_LPAREN2,
    ACTIONS(9066), 1,
      anon_sym_STAR,
    ACTIONS(9072), 1,
      sym_primitive_type,
    STATE(3408), 1,
      sym_pointer_type_declarator,
    STATE(7800), 1,
      sym__type_declarator,
    STATE(8295), 1,
      sym__type_definition_declarators,
    STATE(9882), 1,
      sym_ms_based_modifier,
    ACTIONS(9070), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3406), 4,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
  [246248] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4561), 1,
      anon_sym_LPAREN2,
    ACTIONS(4563), 1,
      anon_sym_STAR,
    ACTIONS(4565), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4567), 1,
      anon_sym_AMP,
    ACTIONS(8220), 1,
      anon_sym_requires,
    ACTIONS(8509), 1,
      anon_sym_LBRACK,
    ACTIONS(10832), 1,
      anon_sym_LBRACE,
    STATE(3611), 1,
      sym_compound_statement,
    STATE(4924), 1,
      sym_parameter_list,
    STATE(7325), 1,
      sym_requires_clause,
    STATE(7422), 1,
      sym__function_declarator_seq,
    STATE(8347), 1,
      sym__abstract_declarator,
    STATE(8432), 1,
      sym_abstract_function_declarator,
    STATE(7436), 4,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
  [246297] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1486), 1,
      anon_sym_template,
    ACTIONS(2194), 1,
      anon_sym_COLON,
    ACTIONS(3148), 1,
      anon_sym_decltype,
    ACTIONS(4176), 1,
      anon_sym_LBRACE,
    ACTIONS(10702), 1,
      sym_identifier,
    ACTIONS(10704), 1,
      anon_sym_COLON_COLON,
    STATE(1465), 1,
      sym_template_type,
    STATE(1532), 1,
      sym_field_declaration_list,
    STATE(7857), 1,
      sym__scope_resolution,
    STATE(8176), 1,
      sym_virtual_specifier,
    STATE(8996), 1,
      sym_base_class_clause,
    ACTIONS(2198), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(1429), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(10317), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [246346] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(9062), 1,
      sym_identifier,
    ACTIONS(9064), 1,
      anon_sym_LPAREN2,
    ACTIONS(9066), 1,
      anon_sym_STAR,
    ACTIONS(9072), 1,
      sym_primitive_type,
    STATE(3408), 1,
      sym_pointer_type_declarator,
    STATE(7800), 1,
      sym__type_declarator,
    STATE(8371), 1,
      sym__type_definition_declarators,
    STATE(9882), 1,
      sym_ms_based_modifier,
    ACTIONS(9070), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3406), 4,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
  [246389] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8193), 1,
      anon_sym_requires,
    ACTIONS(8191), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(7234), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(7356), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(10636), 10,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
      anon_sym_try,
  [246420] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(9062), 1,
      sym_identifier,
    ACTIONS(9064), 1,
      anon_sym_LPAREN2,
    ACTIONS(9066), 1,
      anon_sym_STAR,
    ACTIONS(9072), 1,
      sym_primitive_type,
    STATE(3408), 1,
      sym_pointer_type_declarator,
    STATE(7800), 1,
      sym__type_declarator,
    STATE(8293), 1,
      sym__type_definition_declarators,
    STATE(9882), 1,
      sym_ms_based_modifier,
    ACTIONS(9070), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3406), 4,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
  [246463] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(9062), 1,
      sym_identifier,
    ACTIONS(9064), 1,
      anon_sym_LPAREN2,
    ACTIONS(9066), 1,
      anon_sym_STAR,
    ACTIONS(9072), 1,
      sym_primitive_type,
    STATE(3408), 1,
      sym_pointer_type_declarator,
    STATE(7800), 1,
      sym__type_declarator,
    STATE(8385), 1,
      sym__type_definition_declarators,
    STATE(9882), 1,
      sym_ms_based_modifier,
    ACTIONS(9070), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3406), 4,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
  [246506] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(9062), 1,
      sym_identifier,
    ACTIONS(9064), 1,
      anon_sym_LPAREN2,
    ACTIONS(9066), 1,
      anon_sym_STAR,
    ACTIONS(9072), 1,
      sym_primitive_type,
    STATE(3408), 1,
      sym_pointer_type_declarator,
    STATE(7800), 1,
      sym__type_declarator,
    STATE(8386), 1,
      sym__type_definition_declarators,
    STATE(9882), 1,
      sym_ms_based_modifier,
    ACTIONS(9070), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3406), 4,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
  [246549] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5758), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [246572] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(2588), 1,
      anon_sym_operator,
    ACTIONS(8917), 1,
      sym_identifier,
    ACTIONS(8919), 1,
      anon_sym_LPAREN2,
    ACTIONS(8921), 1,
      anon_sym_STAR,
    ACTIONS(8923), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8925), 1,
      anon_sym_AMP,
    STATE(7423), 1,
      sym__field_declarator,
    STATE(7581), 1,
      sym_operator_name,
    STATE(9469), 1,
      sym_ms_based_modifier,
    STATE(7669), 7,
      sym_parenthesized_field_declarator,
      sym_attributed_field_declarator,
      sym_pointer_field_declarator,
      sym_function_field_declarator,
      sym_array_field_declarator,
      sym_reference_field_declarator,
      sym_template_method,
  [246615] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(9062), 1,
      sym_identifier,
    ACTIONS(9064), 1,
      anon_sym_LPAREN2,
    ACTIONS(9066), 1,
      anon_sym_STAR,
    ACTIONS(9072), 1,
      sym_primitive_type,
    STATE(3408), 1,
      sym_pointer_type_declarator,
    STATE(7800), 1,
      sym__type_declarator,
    STATE(8438), 1,
      sym__type_definition_declarators,
    STATE(9882), 1,
      sym_ms_based_modifier,
    ACTIONS(9070), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3406), 4,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
  [246658] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(9062), 1,
      sym_identifier,
    ACTIONS(9064), 1,
      anon_sym_LPAREN2,
    ACTIONS(9066), 1,
      anon_sym_STAR,
    ACTIONS(9072), 1,
      sym_primitive_type,
    STATE(3408), 1,
      sym_pointer_type_declarator,
    STATE(7800), 1,
      sym__type_declarator,
    STATE(8450), 1,
      sym__type_definition_declarators,
    STATE(9882), 1,
      sym_ms_based_modifier,
    ACTIONS(9070), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3406), 4,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
  [246701] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4561), 1,
      anon_sym_LPAREN2,
    ACTIONS(4563), 1,
      anon_sym_STAR,
    ACTIONS(4565), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4567), 1,
      anon_sym_AMP,
    ACTIONS(8220), 1,
      anon_sym_requires,
    ACTIONS(8509), 1,
      anon_sym_LBRACK,
    ACTIONS(10799), 1,
      anon_sym_LBRACE,
    STATE(4924), 1,
      sym_parameter_list,
    STATE(7135), 1,
      sym_compound_statement,
    STATE(7267), 1,
      sym_requires_clause,
    STATE(7422), 1,
      sym__function_declarator_seq,
    STATE(8347), 1,
      sym__abstract_declarator,
    STATE(8462), 1,
      sym_abstract_function_declarator,
    STATE(7436), 4,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
  [246750] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10818), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(5834), 15,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [246775] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8162), 1,
      anon_sym_DASH_GT,
    ACTIONS(10496), 1,
      anon_sym_LBRACK,
    ACTIONS(10838), 1,
      anon_sym_requires,
    STATE(7327), 1,
      sym_trailing_return_type,
    ACTIONS(10514), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(7174), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(7262), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(10494), 7,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_try,
  [246812] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4561), 1,
      anon_sym_LPAREN2,
    ACTIONS(4563), 1,
      anon_sym_STAR,
    ACTIONS(4565), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4567), 1,
      anon_sym_AMP,
    ACTIONS(8509), 1,
      anon_sym_LBRACK,
    ACTIONS(10793), 1,
      anon_sym_LT,
    ACTIONS(10841), 1,
      anon_sym_LBRACE,
    STATE(4768), 1,
      sym_compound_statement,
    STATE(4924), 1,
      sym_parameter_list,
    STATE(7161), 1,
      sym_template_parameter_list,
    STATE(7422), 1,
      sym__function_declarator_seq,
    STATE(8263), 1,
      sym_abstract_function_declarator,
    STATE(8347), 1,
      sym__abstract_declarator,
    STATE(7436), 4,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
  [246861] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4561), 1,
      anon_sym_LPAREN2,
    ACTIONS(4563), 1,
      anon_sym_STAR,
    ACTIONS(4565), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4567), 1,
      anon_sym_AMP,
    ACTIONS(8220), 1,
      anon_sym_requires,
    ACTIONS(8509), 1,
      anon_sym_LBRACK,
    ACTIONS(10841), 1,
      anon_sym_LBRACE,
    STATE(4791), 1,
      sym_compound_statement,
    STATE(4924), 1,
      sym_parameter_list,
    STATE(7263), 1,
      sym_requires_clause,
    STATE(7422), 1,
      sym__function_declarator_seq,
    STATE(8240), 1,
      sym_abstract_function_declarator,
    STATE(8347), 1,
      sym__abstract_declarator,
    STATE(7436), 4,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
  [246910] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5770), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [246933] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4561), 1,
      anon_sym_LPAREN2,
    ACTIONS(8509), 1,
      anon_sym_LBRACK,
    ACTIONS(8823), 1,
      anon_sym_STAR,
    ACTIONS(8825), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8827), 1,
      anon_sym_AMP,
    STATE(4963), 1,
      sym_parameter_list,
    STATE(7422), 1,
      sym__function_declarator_seq,
    STATE(7902), 1,
      sym__abstract_declarator,
    ACTIONS(8447), 4,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_try,
    STATE(7436), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
  [246974] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1486), 1,
      anon_sym_template,
    ACTIONS(2194), 1,
      anon_sym_COLON,
    ACTIONS(2279), 1,
      anon_sym_LBRACE,
    ACTIONS(3148), 1,
      anon_sym_decltype,
    ACTIONS(10708), 1,
      sym_identifier,
    ACTIONS(10710), 1,
      anon_sym_COLON_COLON,
    STATE(411), 1,
      sym_template_type,
    STATE(798), 1,
      sym_field_declaration_list,
    STATE(7828), 1,
      sym__scope_resolution,
    STATE(8474), 1,
      sym_virtual_specifier,
    STATE(9133), 1,
      sym_base_class_clause,
    ACTIONS(2198), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(191), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(10317), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [247023] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5762), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [247046] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10843), 1,
      sym_identifier,
    ACTIONS(6253), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
    STATE(7167), 3,
      sym_string_literal,
      sym_raw_string_literal,
      aux_sym_concatenated_string_repeat1,
    ACTIONS(10845), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(10847), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [247077] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10849), 1,
      sym_identifier,
    ACTIONS(6241), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
    STATE(7175), 3,
      sym_string_literal,
      sym_raw_string_literal,
      aux_sym_concatenated_string_repeat1,
    ACTIONS(10845), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(10847), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [247108] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5774), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [247131] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(9062), 1,
      sym_identifier,
    ACTIONS(9064), 1,
      anon_sym_LPAREN2,
    ACTIONS(9066), 1,
      anon_sym_STAR,
    ACTIONS(9072), 1,
      sym_primitive_type,
    STATE(3408), 1,
      sym_pointer_type_declarator,
    STATE(7800), 1,
      sym__type_declarator,
    STATE(8416), 1,
      sym__type_definition_declarators,
    STATE(9882), 1,
      sym_ms_based_modifier,
    ACTIONS(9070), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3406), 4,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
  [247174] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8162), 1,
      anon_sym_DASH_GT,
    ACTIONS(9908), 1,
      anon_sym_LBRACK,
    ACTIONS(9979), 1,
      anon_sym_requires,
    STATE(7318), 1,
      sym_trailing_return_type,
    ACTIONS(9917), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(7174), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(7257), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9903), 7,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_try,
  [247211] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4561), 1,
      anon_sym_LPAREN2,
    ACTIONS(4563), 1,
      anon_sym_STAR,
    ACTIONS(4565), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4567), 1,
      anon_sym_AMP,
    ACTIONS(8220), 1,
      anon_sym_requires,
    ACTIONS(8509), 1,
      anon_sym_LBRACK,
    ACTIONS(10851), 1,
      anon_sym_LBRACE,
    STATE(4588), 1,
      sym_compound_statement,
    STATE(4924), 1,
      sym_parameter_list,
    STATE(7339), 1,
      sym_requires_clause,
    STATE(7422), 1,
      sym__function_declarator_seq,
    STATE(8347), 1,
      sym__abstract_declarator,
    STATE(8481), 1,
      sym_abstract_function_declarator,
    STATE(7436), 4,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
  [247260] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4561), 1,
      anon_sym_LPAREN2,
    ACTIONS(4563), 1,
      anon_sym_STAR,
    ACTIONS(4565), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4567), 1,
      anon_sym_AMP,
    ACTIONS(8220), 1,
      anon_sym_requires,
    ACTIONS(8509), 1,
      anon_sym_LBRACK,
    ACTIONS(10830), 1,
      anon_sym_LBRACE,
    STATE(4924), 1,
      sym_parameter_list,
    STATE(5401), 1,
      sym_compound_statement,
    STATE(7298), 1,
      sym_requires_clause,
    STATE(7422), 1,
      sym__function_declarator_seq,
    STATE(8347), 1,
      sym__abstract_declarator,
    STATE(8390), 1,
      sym_abstract_function_declarator,
    STATE(7436), 4,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
  [247309] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8162), 1,
      anon_sym_DASH_GT,
    ACTIONS(9576), 1,
      anon_sym_LBRACK,
    ACTIONS(9839), 1,
      anon_sym_requires,
    STATE(7302), 1,
      sym_trailing_return_type,
    ACTIONS(9578), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(7174), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(7305), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9571), 7,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_try,
  [247346] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10855), 1,
      anon_sym_LBRACK,
    ACTIONS(6859), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(7100), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    ACTIONS(10853), 12,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [247375] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10857), 1,
      sym_identifier,
    ACTIONS(6271), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
    STATE(7175), 3,
      sym_string_literal,
      sym_raw_string_literal,
      aux_sym_concatenated_string_repeat1,
    ACTIONS(10860), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(10863), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [247406] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5751), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [247429] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1486), 1,
      anon_sym_template,
    ACTIONS(2194), 1,
      anon_sym_COLON,
    ACTIONS(3148), 1,
      anon_sym_decltype,
    ACTIONS(5929), 1,
      anon_sym_LBRACE,
    ACTIONS(10650), 1,
      sym_identifier,
    ACTIONS(10652), 1,
      anon_sym_COLON_COLON,
    STATE(913), 1,
      sym_field_declaration_list,
    STATE(2999), 1,
      sym_template_type,
    STATE(7842), 1,
      sym__scope_resolution,
    STATE(8491), 1,
      sym_virtual_specifier,
    STATE(9079), 1,
      sym_base_class_clause,
    ACTIONS(2198), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(7889), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(10317), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [247478] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(9062), 1,
      sym_identifier,
    ACTIONS(9064), 1,
      anon_sym_LPAREN2,
    ACTIONS(9066), 1,
      anon_sym_STAR,
    ACTIONS(9072), 1,
      sym_primitive_type,
    STATE(3408), 1,
      sym_pointer_type_declarator,
    STATE(7800), 1,
      sym__type_declarator,
    STATE(8470), 1,
      sym__type_definition_declarators,
    STATE(9882), 1,
      sym_ms_based_modifier,
    ACTIONS(9070), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3406), 4,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
  [247521] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5766), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [247544] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(9062), 1,
      sym_identifier,
    ACTIONS(9064), 1,
      anon_sym_LPAREN2,
    ACTIONS(9066), 1,
      anon_sym_STAR,
    ACTIONS(9072), 1,
      sym_primitive_type,
    STATE(3408), 1,
      sym_pointer_type_declarator,
    STATE(7800), 1,
      sym__type_declarator,
    STATE(8467), 1,
      sym__type_definition_declarators,
    STATE(9882), 1,
      sym_ms_based_modifier,
    ACTIONS(9070), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3406), 4,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
  [247587] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(9062), 1,
      sym_identifier,
    ACTIONS(9064), 1,
      anon_sym_LPAREN2,
    ACTIONS(9066), 1,
      anon_sym_STAR,
    ACTIONS(9072), 1,
      sym_primitive_type,
    STATE(3408), 1,
      sym_pointer_type_declarator,
    STATE(7800), 1,
      sym__type_declarator,
    STATE(8492), 1,
      sym__type_definition_declarators,
    STATE(9882), 1,
      sym_ms_based_modifier,
    ACTIONS(9070), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3406), 4,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
  [247630] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(9062), 1,
      sym_identifier,
    ACTIONS(9064), 1,
      anon_sym_LPAREN2,
    ACTIONS(9066), 1,
      anon_sym_STAR,
    ACTIONS(9072), 1,
      sym_primitive_type,
    STATE(3408), 1,
      sym_pointer_type_declarator,
    STATE(7800), 1,
      sym__type_declarator,
    STATE(8422), 1,
      sym__type_definition_declarators,
    STATE(9882), 1,
      sym_ms_based_modifier,
    ACTIONS(9070), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3406), 4,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
  [247673] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4561), 1,
      anon_sym_LPAREN2,
    ACTIONS(4563), 1,
      anon_sym_STAR,
    ACTIONS(4565), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4567), 1,
      anon_sym_AMP,
    ACTIONS(8509), 1,
      anon_sym_LBRACK,
    ACTIONS(10793), 1,
      anon_sym_LT,
    ACTIONS(10797), 1,
      anon_sym_LBRACE,
    STATE(4288), 1,
      sym_compound_statement,
    STATE(4924), 1,
      sym_parameter_list,
    STATE(7095), 1,
      sym_template_parameter_list,
    STATE(7422), 1,
      sym__function_declarator_seq,
    STATE(8312), 1,
      sym_abstract_function_declarator,
    STATE(8347), 1,
      sym__abstract_declarator,
    STATE(7436), 4,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
  [247722] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4561), 1,
      anon_sym_LPAREN2,
    ACTIONS(4563), 1,
      anon_sym_STAR,
    ACTIONS(4565), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4567), 1,
      anon_sym_AMP,
    ACTIONS(8509), 1,
      anon_sym_LBRACK,
    ACTIONS(10793), 1,
      anon_sym_LT,
    ACTIONS(10866), 1,
      anon_sym_LBRACE,
    STATE(4550), 1,
      sym_compound_statement,
    STATE(4924), 1,
      sym_parameter_list,
    STATE(7186), 1,
      sym_template_parameter_list,
    STATE(7422), 1,
      sym__function_declarator_seq,
    STATE(8347), 1,
      sym__abstract_declarator,
    STATE(8349), 1,
      sym_abstract_function_declarator,
    STATE(7436), 4,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
  [247771] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4561), 1,
      anon_sym_LPAREN2,
    ACTIONS(4563), 1,
      anon_sym_STAR,
    ACTIONS(4565), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4567), 1,
      anon_sym_AMP,
    ACTIONS(8509), 1,
      anon_sym_LBRACK,
    ACTIONS(10793), 1,
      anon_sym_LT,
    ACTIONS(10851), 1,
      anon_sym_LBRACE,
    STATE(4676), 1,
      sym_compound_statement,
    STATE(4924), 1,
      sym_parameter_list,
    STATE(7171), 1,
      sym_template_parameter_list,
    STATE(7422), 1,
      sym__function_declarator_seq,
    STATE(8347), 1,
      sym__abstract_declarator,
    STATE(8419), 1,
      sym_abstract_function_declarator,
    STATE(7436), 4,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
  [247820] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4561), 1,
      anon_sym_LPAREN2,
    ACTIONS(4563), 1,
      anon_sym_STAR,
    ACTIONS(4565), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4567), 1,
      anon_sym_AMP,
    ACTIONS(8220), 1,
      anon_sym_requires,
    ACTIONS(8509), 1,
      anon_sym_LBRACK,
    ACTIONS(10866), 1,
      anon_sym_LBRACE,
    STATE(4523), 1,
      sym_compound_statement,
    STATE(4924), 1,
      sym_parameter_list,
    STATE(7254), 1,
      sym_requires_clause,
    STATE(7422), 1,
      sym__function_declarator_seq,
    STATE(8347), 1,
      sym__abstract_declarator,
    STATE(8369), 1,
      sym_abstract_function_declarator,
    STATE(7436), 4,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
  [247869] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8162), 1,
      anon_sym_DASH_GT,
    ACTIONS(9314), 1,
      anon_sym_LBRACK,
    ACTIONS(9590), 1,
      anon_sym_requires,
    STATE(7283), 1,
      sym_trailing_return_type,
    ACTIONS(9316), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(7174), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(7349), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9309), 7,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_try,
  [247906] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2204), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [247929] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2236), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [247952] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4561), 1,
      anon_sym_LPAREN2,
    ACTIONS(4563), 1,
      anon_sym_STAR,
    ACTIONS(4565), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4567), 1,
      anon_sym_AMP,
    ACTIONS(8509), 1,
      anon_sym_LBRACK,
    ACTIONS(10793), 1,
      anon_sym_LT,
    ACTIONS(10826), 1,
      anon_sym_LBRACE,
    STATE(4924), 1,
      sym_parameter_list,
    STATE(4952), 1,
      sym_compound_statement,
    STATE(7113), 1,
      sym_template_parameter_list,
    STATE(7422), 1,
      sym__function_declarator_seq,
    STATE(8330), 1,
      sym_abstract_function_declarator,
    STATE(8347), 1,
      sym__abstract_declarator,
    STATE(7436), 4,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
  [248001] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1486), 1,
      anon_sym_template,
    ACTIONS(3148), 1,
      anon_sym_decltype,
    ACTIONS(4569), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10868), 1,
      sym_identifier,
    ACTIONS(10870), 1,
      sym_primitive_type,
    STATE(3021), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(7879), 1,
      sym__scope_resolution,
    STATE(3058), 2,
      sym_sized_type_specifier,
      sym_qualified_type_identifier,
    STATE(10317), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    ACTIONS(55), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
  [248041] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1486), 1,
      anon_sym_template,
    ACTIONS(3148), 1,
      anon_sym_decltype,
    ACTIONS(8288), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10872), 1,
      sym_identifier,
    ACTIONS(10874), 1,
      sym_primitive_type,
    STATE(3316), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(7858), 1,
      sym__scope_resolution,
    STATE(3290), 2,
      sym_sized_type_specifier,
      sym_qualified_type_identifier,
    STATE(10317), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    ACTIONS(2546), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
  [248081] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4561), 1,
      anon_sym_LPAREN2,
    ACTIONS(4563), 1,
      anon_sym_STAR,
    ACTIONS(4565), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4567), 1,
      anon_sym_AMP,
    ACTIONS(8509), 1,
      anon_sym_LBRACK,
    STATE(4924), 1,
      sym_parameter_list,
    STATE(7422), 1,
      sym__function_declarator_seq,
    STATE(8014), 1,
      sym__abstract_declarator,
    ACTIONS(8447), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    STATE(7436), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
  [248121] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8180), 1,
      anon_sym_DASH_GT,
    ACTIONS(8193), 1,
      anon_sym_requires,
    STATE(7149), 1,
      sym_trailing_return_type,
    ACTIONS(8191), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(7234), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(7361), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(10494), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
  [248155] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8180), 1,
      anon_sym_DASH_GT,
    ACTIONS(8193), 1,
      anon_sym_requires,
    STATE(7141), 1,
      sym_trailing_return_type,
    ACTIONS(8191), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(7234), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(7366), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9903), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
  [248189] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1486), 1,
      anon_sym_template,
    ACTIONS(3148), 1,
      anon_sym_decltype,
    ACTIONS(8402), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10876), 1,
      sym_identifier,
    ACTIONS(10878), 1,
      sym_primitive_type,
    STATE(5493), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(7841), 1,
      sym__scope_resolution,
    STATE(6212), 2,
      sym_sized_type_specifier,
      sym_qualified_type_identifier,
    STATE(10317), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    ACTIONS(8336), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
  [248229] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1486), 1,
      anon_sym_template,
    ACTIONS(3148), 1,
      anon_sym_decltype,
    ACTIONS(9653), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10880), 1,
      sym_identifier,
    ACTIONS(10882), 1,
      sym_primitive_type,
    STATE(3467), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(7837), 1,
      sym__scope_resolution,
    STATE(3829), 2,
      sym_sized_type_specifier,
      sym_qualified_type_identifier,
    STATE(10317), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    ACTIONS(9655), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
  [248269] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1486), 1,
      anon_sym_template,
    ACTIONS(3148), 1,
      anon_sym_decltype,
    ACTIONS(9761), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10884), 1,
      sym_identifier,
    ACTIONS(10886), 1,
      sym_primitive_type,
    STATE(3372), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(7878), 1,
      sym__scope_resolution,
    STATE(3433), 2,
      sym_sized_type_specifier,
      sym_qualified_type_identifier,
    STATE(10317), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    ACTIONS(9783), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
  [248309] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(9062), 1,
      sym_identifier,
    ACTIONS(9064), 1,
      anon_sym_LPAREN2,
    ACTIONS(9066), 1,
      anon_sym_STAR,
    ACTIONS(9072), 1,
      sym_primitive_type,
    STATE(3408), 1,
      sym_pointer_type_declarator,
    STATE(7970), 1,
      sym__type_declarator,
    STATE(9882), 1,
      sym_ms_based_modifier,
    ACTIONS(9070), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3406), 4,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
  [248349] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1486), 1,
      anon_sym_template,
    ACTIONS(3148), 1,
      anon_sym_decltype,
    ACTIONS(9793), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10888), 1,
      sym_identifier,
    ACTIONS(10890), 1,
      sym_primitive_type,
    STATE(3494), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(7839), 1,
      sym__scope_resolution,
    STATE(3920), 2,
      sym_sized_type_specifier,
      sym_qualified_type_identifier,
    STATE(10317), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    ACTIONS(4265), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
  [248389] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8180), 1,
      anon_sym_DASH_GT,
    ACTIONS(8193), 1,
      anon_sym_requires,
    STATE(7128), 1,
      sym_trailing_return_type,
    ACTIONS(8191), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(7234), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(7392), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9571), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
  [248423] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10892), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(7202), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    ACTIONS(10801), 12,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [248449] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10094), 1,
      anon_sym_LPAREN2,
    ACTIONS(10897), 1,
      anon_sym_LBRACK,
    STATE(4503), 1,
      sym_parameter_list,
    STATE(7346), 1,
      sym__function_declarator_seq,
    ACTIONS(10895), 12,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [248479] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8180), 1,
      anon_sym_DASH_GT,
    ACTIONS(8193), 1,
      anon_sym_requires,
    STATE(7099), 1,
      sym_trailing_return_type,
    ACTIONS(8191), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(7234), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(7404), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9309), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
  [248513] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5832), 1,
      anon_sym_AMP,
    ACTIONS(10899), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(5834), 13,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_or,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [248539] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1486), 1,
      anon_sym_template,
    ACTIONS(3148), 1,
      anon_sym_decltype,
    ACTIONS(8364), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10901), 1,
      sym_identifier,
    ACTIONS(10903), 1,
      sym_primitive_type,
    STATE(5675), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(7852), 1,
      sym__scope_resolution,
    STATE(6251), 2,
      sym_sized_type_specifier,
      sym_qualified_type_identifier,
    STATE(10317), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    ACTIONS(8366), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
  [248579] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10094), 1,
      anon_sym_LPAREN2,
    ACTIONS(10897), 1,
      anon_sym_LBRACK,
    STATE(4503), 1,
      sym_parameter_list,
    STATE(7346), 1,
      sym__function_declarator_seq,
    ACTIONS(10905), 12,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [248609] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1486), 1,
      anon_sym_template,
    ACTIONS(3148), 1,
      anon_sym_decltype,
    ACTIONS(8334), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10876), 1,
      sym_identifier,
    ACTIONS(10878), 1,
      sym_primitive_type,
    STATE(5493), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(7862), 1,
      sym__scope_resolution,
    STATE(6212), 2,
      sym_sized_type_specifier,
      sym_qualified_type_identifier,
    STATE(10317), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    ACTIONS(8336), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
  [248649] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1486), 1,
      anon_sym_template,
    ACTIONS(3148), 1,
      anon_sym_decltype,
    ACTIONS(9747), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10874), 1,
      sym_primitive_type,
    ACTIONS(10907), 1,
      sym_identifier,
    STATE(3316), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(7875), 1,
      sym__scope_resolution,
    STATE(3290), 2,
      sym_sized_type_specifier,
      sym_qualified_type_identifier,
    STATE(10317), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    ACTIONS(2546), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
  [248689] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4172), 1,
      anon_sym_LBRACK,
    ACTIONS(4174), 15,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [248713] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10094), 1,
      anon_sym_LPAREN2,
    ACTIONS(10897), 1,
      anon_sym_LBRACK,
    STATE(4503), 1,
      sym_parameter_list,
    STATE(7346), 1,
      sym__function_declarator_seq,
    ACTIONS(10909), 12,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [248743] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8180), 1,
      anon_sym_DASH_GT,
    ACTIONS(9845), 1,
      anon_sym_requires,
    STATE(7114), 1,
      sym_trailing_return_type,
    ACTIONS(9842), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(7234), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(7392), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9571), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
  [248777] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8180), 1,
      anon_sym_DASH_GT,
    ACTIONS(9994), 1,
      anon_sym_requires,
    STATE(7112), 1,
      sym_trailing_return_type,
    ACTIONS(9991), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(7234), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(7366), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9903), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
  [248811] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8180), 1,
      anon_sym_DASH_GT,
    ACTIONS(10823), 1,
      anon_sym_requires,
    STATE(7103), 1,
      sym_trailing_return_type,
    ACTIONS(10820), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(7234), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(7361), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(10494), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
  [248845] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1486), 1,
      anon_sym_template,
    ACTIONS(3148), 1,
      anon_sym_decltype,
    ACTIONS(3904), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10868), 1,
      sym_identifier,
    ACTIONS(10870), 1,
      sym_primitive_type,
    STATE(3021), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(7887), 1,
      sym__scope_resolution,
    STATE(3058), 2,
      sym_sized_type_specifier,
      sym_qualified_type_identifier,
    STATE(10317), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    ACTIONS(55), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
  [248885] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(9062), 1,
      sym_identifier,
    ACTIONS(9064), 1,
      anon_sym_LPAREN2,
    ACTIONS(9066), 1,
      anon_sym_STAR,
    ACTIONS(9072), 1,
      sym_primitive_type,
    STATE(3408), 1,
      sym_pointer_type_declarator,
    STATE(7982), 1,
      sym__type_declarator,
    STATE(9882), 1,
      sym_ms_based_modifier,
    ACTIONS(9070), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3406), 4,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
  [248925] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1486), 1,
      anon_sym_template,
    ACTIONS(3148), 1,
      anon_sym_decltype,
    ACTIONS(9761), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10911), 1,
      sym_identifier,
    ACTIONS(10913), 1,
      sym_primitive_type,
    STATE(3350), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(7878), 1,
      sym__scope_resolution,
    STATE(3433), 2,
      sym_sized_type_specifier,
      sym_qualified_type_identifier,
    STATE(10317), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    ACTIONS(9763), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
  [248965] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1486), 1,
      anon_sym_template,
    ACTIONS(3148), 1,
      anon_sym_decltype,
    ACTIONS(9631), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10915), 1,
      sym_identifier,
    ACTIONS(10917), 1,
      sym_primitive_type,
    STATE(4863), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(7838), 1,
      sym__scope_resolution,
    STATE(5250), 2,
      sym_sized_type_specifier,
      sym_qualified_type_identifier,
    STATE(10317), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    ACTIONS(9633), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
  [249005] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8180), 1,
      anon_sym_DASH_GT,
    ACTIONS(9604), 1,
      anon_sym_requires,
    STATE(7133), 1,
      sym_trailing_return_type,
    ACTIONS(9601), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(7234), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(7404), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9309), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
  [249039] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1486), 1,
      anon_sym_template,
    ACTIONS(3148), 1,
      anon_sym_decltype,
    ACTIONS(3904), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10868), 1,
      sym_identifier,
    ACTIONS(10870), 1,
      sym_primitive_type,
    STATE(3492), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(7887), 1,
      sym__scope_resolution,
    STATE(3058), 2,
      sym_sized_type_specifier,
      sym_qualified_type_identifier,
    STATE(10317), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    ACTIONS(3906), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
  [249079] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1486), 1,
      anon_sym_template,
    ACTIONS(3148), 1,
      anon_sym_decltype,
    ACTIONS(9697), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10919), 1,
      sym_identifier,
    ACTIONS(10921), 1,
      sym_primitive_type,
    STATE(4596), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(7840), 1,
      sym__scope_resolution,
    STATE(5071), 2,
      sym_sized_type_specifier,
      sym_qualified_type_identifier,
    STATE(10317), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    ACTIONS(9699), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
  [249119] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5847), 1,
      anon_sym_AMP,
    ACTIONS(10899), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(10923), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(5849), 11,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [249147] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4168), 1,
      anon_sym_LBRACK,
    ACTIONS(4170), 15,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [249171] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1486), 1,
      anon_sym_template,
    ACTIONS(3148), 1,
      anon_sym_decltype,
    ACTIONS(3904), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10925), 1,
      sym_identifier,
    ACTIONS(10927), 1,
      sym_primitive_type,
    STATE(6066), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(7887), 1,
      sym__scope_resolution,
    STATE(3058), 2,
      sym_sized_type_specifier,
      sym_qualified_type_identifier,
    STATE(10317), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    ACTIONS(8386), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
  [249211] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(9062), 1,
      sym_identifier,
    ACTIONS(9064), 1,
      anon_sym_LPAREN2,
    ACTIONS(9066), 1,
      anon_sym_STAR,
    ACTIONS(9072), 1,
      sym_primitive_type,
    STATE(3408), 1,
      sym_pointer_type_declarator,
    STATE(7863), 1,
      sym__type_declarator,
    STATE(9882), 1,
      sym_ms_based_modifier,
    ACTIONS(9070), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3406), 4,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
  [249251] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10094), 1,
      anon_sym_LPAREN2,
    ACTIONS(10897), 1,
      anon_sym_LBRACK,
    STATE(4503), 1,
      sym_parameter_list,
    STATE(7346), 1,
      sym__function_declarator_seq,
    ACTIONS(10929), 12,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [249281] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10094), 1,
      anon_sym_LPAREN2,
    ACTIONS(10897), 1,
      anon_sym_LBRACK,
    STATE(4503), 1,
      sym_parameter_list,
    STATE(7346), 1,
      sym__function_declarator_seq,
    ACTIONS(10931), 12,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [249311] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1486), 1,
      anon_sym_template,
    ACTIONS(3148), 1,
      anon_sym_decltype,
    ACTIONS(9725), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10933), 1,
      sym_identifier,
    ACTIONS(10935), 1,
      sym_primitive_type,
    STATE(3545), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(7844), 1,
      sym__scope_resolution,
    STATE(3997), 2,
      sym_sized_type_specifier,
      sym_qualified_type_identifier,
    STATE(10317), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    ACTIONS(9727), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
  [249351] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10094), 1,
      anon_sym_LPAREN2,
    ACTIONS(10897), 1,
      anon_sym_LBRACK,
    STATE(4503), 1,
      sym_parameter_list,
    STATE(7346), 1,
      sym__function_declarator_seq,
    ACTIONS(10937), 12,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [249381] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1486), 1,
      anon_sym_template,
    ACTIONS(3148), 1,
      anon_sym_decltype,
    ACTIONS(8416), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10890), 1,
      sym_primitive_type,
    ACTIONS(10939), 1,
      sym_identifier,
    STATE(3494), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(7845), 1,
      sym__scope_resolution,
    STATE(3920), 2,
      sym_sized_type_specifier,
      sym_qualified_type_identifier,
    STATE(10317), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    ACTIONS(4265), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
  [249421] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(9062), 1,
      sym_identifier,
    ACTIONS(9064), 1,
      anon_sym_LPAREN2,
    ACTIONS(9066), 1,
      anon_sym_STAR,
    ACTIONS(9072), 1,
      sym_primitive_type,
    STATE(3408), 1,
      sym_pointer_type_declarator,
    STATE(8005), 1,
      sym__type_declarator,
    STATE(9882), 1,
      sym_ms_based_modifier,
    ACTIONS(9070), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3406), 4,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
  [249461] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(9062), 1,
      sym_identifier,
    ACTIONS(9064), 1,
      anon_sym_LPAREN2,
    ACTIONS(9066), 1,
      anon_sym_STAR,
    ACTIONS(9072), 1,
      sym_primitive_type,
    STATE(3408), 1,
      sym_pointer_type_declarator,
    STATE(8020), 1,
      sym__type_declarator,
    STATE(9882), 1,
      sym_ms_based_modifier,
    ACTIONS(9070), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3406), 4,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
  [249501] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1486), 1,
      anon_sym_template,
    ACTIONS(3148), 1,
      anon_sym_decltype,
    ACTIONS(9856), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10925), 1,
      sym_identifier,
    ACTIONS(10927), 1,
      sym_primitive_type,
    STATE(6066), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(7892), 1,
      sym__scope_resolution,
    STATE(3058), 2,
      sym_sized_type_specifier,
      sym_qualified_type_identifier,
    STATE(10317), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    ACTIONS(8386), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
  [249541] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8191), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(7202), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    ACTIONS(10853), 12,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [249567] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1486), 1,
      anon_sym_template,
    ACTIONS(3148), 1,
      anon_sym_decltype,
    ACTIONS(9675), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10941), 1,
      sym_identifier,
    ACTIONS(10943), 1,
      sym_primitive_type,
    STATE(3733), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(7854), 1,
      sym__scope_resolution,
    STATE(4425), 2,
      sym_sized_type_specifier,
      sym_qualified_type_identifier,
    STATE(10317), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    ACTIONS(9677), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
  [249607] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(9062), 1,
      sym_identifier,
    ACTIONS(9064), 1,
      anon_sym_LPAREN2,
    ACTIONS(9066), 1,
      anon_sym_STAR,
    ACTIONS(9072), 1,
      sym_primitive_type,
    STATE(3408), 1,
      sym_pointer_type_declarator,
    STATE(8000), 1,
      sym__type_declarator,
    STATE(9882), 1,
      sym_ms_based_modifier,
    ACTIONS(9070), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3406), 4,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
  [249647] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1486), 1,
      anon_sym_template,
    ACTIONS(3148), 1,
      anon_sym_decltype,
    ACTIONS(9807), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10945), 1,
      sym_identifier,
    ACTIONS(10947), 1,
      sym_primitive_type,
    STATE(3612), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(7882), 1,
      sym__scope_resolution,
    STATE(4098), 2,
      sym_sized_type_specifier,
      sym_qualified_type_identifier,
    STATE(10317), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    ACTIONS(9809), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
  [249687] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4561), 1,
      anon_sym_LPAREN2,
    ACTIONS(8509), 1,
      anon_sym_LBRACK,
    ACTIONS(9261), 1,
      anon_sym_STAR,
    ACTIONS(9263), 1,
      anon_sym_AMP_AMP,
    ACTIONS(9265), 1,
      anon_sym_AMP,
    STATE(5027), 1,
      sym_parameter_list,
    STATE(7422), 1,
      sym__function_declarator_seq,
    STATE(7976), 1,
      sym__abstract_declarator,
    ACTIONS(8447), 3,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_GT2,
    STATE(7436), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
  [249727] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10094), 1,
      anon_sym_LPAREN2,
    ACTIONS(10897), 1,
      anon_sym_LBRACK,
    STATE(4503), 1,
      sym_parameter_list,
    STATE(7346), 1,
      sym__function_declarator_seq,
    ACTIONS(10949), 12,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [249757] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10094), 1,
      anon_sym_LPAREN2,
    ACTIONS(10897), 1,
      anon_sym_LBRACK,
    STATE(4503), 1,
      sym_parameter_list,
    STATE(7346), 1,
      sym__function_declarator_seq,
    ACTIONS(10951), 12,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [249787] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1486), 1,
      anon_sym_template,
    ACTIONS(3148), 1,
      anon_sym_decltype,
    ACTIONS(8288), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10953), 1,
      sym_identifier,
    ACTIONS(10955), 1,
      sym_primitive_type,
    STATE(6644), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(7858), 1,
      sym__scope_resolution,
    STATE(3290), 2,
      sym_sized_type_specifier,
      sym_qualified_type_identifier,
    STATE(10317), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    ACTIONS(8308), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
  [249827] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2588), 1,
      anon_sym_operator,
    ACTIONS(3148), 1,
      anon_sym_decltype,
    ACTIONS(10386), 1,
      anon_sym_TILDE,
    ACTIONS(10957), 1,
      sym_identifier,
    ACTIONS(10959), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(10962), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10964), 1,
      anon_sym_template,
    STATE(7534), 1,
      sym__scope_resolution,
    STATE(9165), 1,
      sym_operator_name,
    STATE(10317), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(4597), 4,
      sym_template_method,
      sym_destructor_name,
      sym_dependent_field_identifier,
      sym_qualified_field_identifier,
  [249869] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10094), 1,
      anon_sym_LPAREN2,
    ACTIONS(10897), 1,
      anon_sym_LBRACK,
    STATE(4816), 1,
      sym_parameter_list,
    STATE(7346), 1,
      sym__function_declarator_seq,
    ACTIONS(10937), 11,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [249898] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8199), 1,
      anon_sym_requires,
    ACTIONS(10496), 1,
      anon_sym_LBRACK,
    ACTIONS(6859), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(7174), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(7262), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(10494), 7,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_try,
  [249929] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10094), 1,
      anon_sym_LPAREN2,
    ACTIONS(10897), 1,
      anon_sym_LBRACK,
    STATE(4816), 1,
      sym_parameter_list,
    STATE(7346), 1,
      sym__function_declarator_seq,
    ACTIONS(10949), 11,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [249958] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8193), 1,
      anon_sym_requires,
    ACTIONS(8222), 1,
      anon_sym_DASH_GT,
    STATE(7149), 1,
      sym_trailing_return_type,
    ACTIONS(8191), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(7234), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(7361), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(10494), 6,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_try,
  [249991] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10968), 1,
      anon_sym_LBRACK,
    ACTIONS(10966), 14,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [250014] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5847), 1,
      anon_sym_LBRACK,
    ACTIONS(10970), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(10972), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(5849), 10,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [250041] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2588), 1,
      anon_sym_operator,
    ACTIONS(3148), 1,
      anon_sym_decltype,
    ACTIONS(10352), 1,
      anon_sym_TILDE,
    ACTIONS(10974), 1,
      sym_identifier,
    ACTIONS(10976), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10978), 1,
      anon_sym_template,
    STATE(7493), 1,
      sym__scope_resolution,
    STATE(9011), 1,
      sym_operator_name,
    STATE(10317), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(3584), 4,
      sym_template_method,
      sym_destructor_name,
      sym_dependent_field_identifier,
      sym_qualified_field_identifier,
  [250080] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9314), 1,
      anon_sym_LBRACK,
    ACTIONS(9309), 14,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [250103] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8211), 1,
      anon_sym_DASH_GT,
    ACTIONS(10980), 1,
      anon_sym_requires,
    STATE(7450), 1,
      sym_trailing_return_type,
    ACTIONS(10820), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(7234), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(7361), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(10494), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
  [250136] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10834), 1,
      sym_identifier,
    STATE(7265), 1,
      sym_string_literal,
    STATE(7567), 1,
      sym_raw_string_literal,
    STATE(8583), 2,
      sym__string,
      sym_concatenated_string,
    ACTIONS(113), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(153), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [250167] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10834), 1,
      sym_identifier,
    STATE(7265), 1,
      sym_string_literal,
    STATE(7567), 1,
      sym_raw_string_literal,
    STATE(8783), 2,
      sym__string,
      sym_concatenated_string,
    ACTIONS(113), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(153), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [250198] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4561), 1,
      anon_sym_LPAREN2,
    ACTIONS(4563), 1,
      anon_sym_STAR,
    ACTIONS(4565), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4567), 1,
      anon_sym_AMP,
    ACTIONS(8509), 1,
      anon_sym_LBRACK,
    ACTIONS(10866), 1,
      anon_sym_LBRACE,
    STATE(4595), 1,
      sym_compound_statement,
    STATE(4924), 1,
      sym_parameter_list,
    STATE(7422), 1,
      sym__function_declarator_seq,
    STATE(8302), 1,
      sym_abstract_function_declarator,
    STATE(8347), 1,
      sym__abstract_declarator,
    STATE(7436), 4,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
  [250241] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4413), 1,
      anon_sym_LBRACE,
    ACTIONS(8178), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(10094), 1,
      anon_sym_LPAREN2,
    ACTIONS(10096), 1,
      anon_sym_COLON,
    ACTIONS(10102), 1,
      anon_sym_LBRACK,
    ACTIONS(10985), 1,
      anon_sym_EQ,
    STATE(4749), 1,
      sym_parameter_list,
    STATE(7693), 1,
      sym__function_declarator_seq,
    STATE(8635), 1,
      sym_initializer_list,
    STATE(8636), 1,
      sym_bitfield_clause,
    STATE(7568), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(10983), 3,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
  [250284] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8211), 1,
      anon_sym_DASH_GT,
    ACTIONS(10063), 1,
      anon_sym_requires,
    STATE(7454), 1,
      sym_trailing_return_type,
    ACTIONS(9991), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(7234), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(7366), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9903), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
  [250317] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10496), 1,
      anon_sym_LBRACK,
    ACTIONS(10494), 14,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [250340] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4413), 1,
      anon_sym_LBRACE,
    ACTIONS(8178), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8719), 1,
      anon_sym_COMMA,
    ACTIONS(10718), 1,
      anon_sym_LPAREN2,
    ACTIONS(10726), 1,
      anon_sym_LBRACK,
    ACTIONS(10728), 1,
      anon_sym_EQ,
    ACTIONS(10757), 1,
      anon_sym_COLON,
    ACTIONS(10759), 1,
      anon_sym_SEMI,
    STATE(4453), 1,
      sym_parameter_list,
    STATE(7601), 1,
      sym__function_declarator_seq,
    STATE(8927), 1,
      aux_sym_declaration_repeat1,
    STATE(7520), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9062), 2,
      sym_argument_list,
      sym_initializer_list,
  [250385] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8211), 1,
      anon_sym_DASH_GT,
    ACTIONS(8220), 1,
      anon_sym_requires,
    STATE(7391), 1,
      sym_trailing_return_type,
    ACTIONS(8191), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(7234), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(7392), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9571), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
  [250418] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4413), 1,
      anon_sym_LBRACE,
    ACTIONS(8178), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8719), 1,
      anon_sym_COMMA,
    ACTIONS(10718), 1,
      anon_sym_LPAREN2,
    ACTIONS(10726), 1,
      anon_sym_LBRACK,
    ACTIONS(10728), 1,
      anon_sym_EQ,
    ACTIONS(10987), 1,
      anon_sym_COLON,
    ACTIONS(10989), 1,
      anon_sym_SEMI,
    STATE(4453), 1,
      sym_parameter_list,
    STATE(7601), 1,
      sym__function_declarator_seq,
    STATE(8687), 1,
      aux_sym_declaration_repeat1,
    STATE(7520), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9062), 2,
      sym_argument_list,
      sym_initializer_list,
  [250463] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8178), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(10094), 1,
      anon_sym_LPAREN2,
    ACTIONS(10726), 1,
      anon_sym_LBRACK,
    STATE(4453), 1,
      sym_parameter_list,
    STATE(7601), 1,
      sym__function_declarator_seq,
    STATE(7520), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(10991), 8,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
      anon_sym_try,
  [250496] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10638), 1,
      anon_sym_LBRACK,
    ACTIONS(10636), 14,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [250519] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4561), 1,
      anon_sym_LPAREN2,
    ACTIONS(4563), 1,
      anon_sym_STAR,
    ACTIONS(4565), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4567), 1,
      anon_sym_AMP,
    ACTIONS(8509), 1,
      anon_sym_LBRACK,
    ACTIONS(10841), 1,
      anon_sym_LBRACE,
    STATE(4771), 1,
      sym_compound_statement,
    STATE(4924), 1,
      sym_parameter_list,
    STATE(7422), 1,
      sym__function_declarator_seq,
    STATE(8232), 1,
      sym_abstract_function_declarator,
    STATE(8347), 1,
      sym__abstract_declarator,
    STATE(7436), 4,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
  [250562] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10834), 1,
      sym_identifier,
    STATE(7265), 1,
      sym_string_literal,
    STATE(7567), 1,
      sym_raw_string_literal,
    STATE(8525), 2,
      sym__string,
      sym_concatenated_string,
    ACTIONS(113), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(153), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [250593] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(7166), 2,
      sym_string_literal,
      sym_raw_string_literal,
    ACTIONS(6479), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
    ACTIONS(10845), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(10847), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [250620] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4413), 1,
      anon_sym_LBRACE,
    ACTIONS(8178), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8719), 1,
      anon_sym_COMMA,
    ACTIONS(10718), 1,
      anon_sym_LPAREN2,
    ACTIONS(10726), 1,
      anon_sym_LBRACK,
    ACTIONS(10728), 1,
      anon_sym_EQ,
    ACTIONS(10734), 1,
      anon_sym_COLON,
    ACTIONS(10736), 1,
      anon_sym_SEMI,
    STATE(4453), 1,
      sym_parameter_list,
    STATE(7601), 1,
      sym__function_declarator_seq,
    STATE(8745), 1,
      aux_sym_declaration_repeat1,
    STATE(7520), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9062), 2,
      sym_argument_list,
      sym_initializer_list,
  [250665] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4561), 1,
      anon_sym_LPAREN2,
    ACTIONS(4563), 1,
      anon_sym_STAR,
    ACTIONS(4565), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4567), 1,
      anon_sym_AMP,
    ACTIONS(8509), 1,
      anon_sym_LBRACK,
    ACTIONS(10799), 1,
      anon_sym_LBRACE,
    STATE(4924), 1,
      sym_parameter_list,
    STATE(7168), 1,
      sym_compound_statement,
    STATE(7422), 1,
      sym__function_declarator_seq,
    STATE(8347), 1,
      sym__abstract_declarator,
    STATE(8489), 1,
      sym_abstract_function_declarator,
    STATE(7436), 4,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
  [250708] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10995), 1,
      anon_sym_LBRACK,
    ACTIONS(10993), 14,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [250731] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10834), 1,
      sym_identifier,
    STATE(7265), 1,
      sym_string_literal,
    STATE(7567), 1,
      sym_raw_string_literal,
    STATE(8918), 2,
      sym__string,
      sym_concatenated_string,
    ACTIONS(113), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(153), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [250762] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10999), 1,
      anon_sym_LBRACK,
    ACTIONS(10997), 14,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [250785] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2588), 1,
      anon_sym_operator,
    ACTIONS(3148), 1,
      anon_sym_decltype,
    ACTIONS(10532), 1,
      anon_sym_TILDE,
    ACTIONS(11001), 1,
      sym_identifier,
    ACTIONS(11003), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11005), 1,
      anon_sym_template,
    STATE(7462), 1,
      sym__scope_resolution,
    STATE(9295), 1,
      sym_operator_name,
    STATE(10317), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(4297), 4,
      sym_template_method,
      sym_destructor_name,
      sym_dependent_field_identifier,
      sym_qualified_field_identifier,
  [250824] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9314), 1,
      anon_sym_LBRACK,
    ACTIONS(9590), 1,
      anon_sym_requires,
    ACTIONS(9316), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(7174), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(7349), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9309), 7,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_try,
  [250855] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11009), 1,
      anon_sym_LBRACK,
    ACTIONS(11007), 14,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [250878] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5832), 1,
      anon_sym_LBRACK,
    ACTIONS(10972), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(5834), 12,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_or,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [250903] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10094), 1,
      anon_sym_LPAREN2,
    ACTIONS(10897), 1,
      anon_sym_LBRACK,
    STATE(4816), 1,
      sym_parameter_list,
    STATE(7346), 1,
      sym__function_declarator_seq,
    ACTIONS(10929), 11,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [250932] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2588), 1,
      anon_sym_operator,
    ACTIONS(3148), 1,
      anon_sym_decltype,
    ACTIONS(10352), 1,
      anon_sym_TILDE,
    ACTIONS(10974), 1,
      sym_identifier,
    ACTIONS(11011), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11013), 1,
      anon_sym_template,
    STATE(7491), 1,
      sym__scope_resolution,
    STATE(9248), 1,
      sym_operator_name,
    STATE(10317), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(3584), 4,
      sym_template_method,
      sym_destructor_name,
      sym_dependent_field_identifier,
      sym_qualified_field_identifier,
  [250971] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10834), 1,
      sym_identifier,
    STATE(7265), 1,
      sym_string_literal,
    STATE(7567), 1,
      sym_raw_string_literal,
    STATE(8646), 2,
      sym__string,
      sym_concatenated_string,
    ACTIONS(113), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(153), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [251002] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8199), 1,
      anon_sym_requires,
    ACTIONS(9314), 1,
      anon_sym_LBRACK,
    ACTIONS(6859), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(7174), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(7349), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9309), 7,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_try,
  [251033] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11017), 1,
      anon_sym___attribute__,
    ACTIONS(11022), 1,
      anon_sym_alignas,
    ACTIONS(11020), 3,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
    STATE(7279), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
    ACTIONS(11015), 7,
      anon_sym_COLON,
      anon_sym___declspec,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_template,
  [251062] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11027), 1,
      anon_sym_LBRACK,
    ACTIONS(11025), 14,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [251085] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10834), 1,
      sym_identifier,
    STATE(7265), 1,
      sym_string_literal,
    STATE(7567), 1,
      sym_raw_string_literal,
    STATE(8780), 2,
      sym__string,
      sym_concatenated_string,
    ACTIONS(113), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(153), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [251116] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4413), 1,
      anon_sym_LBRACE,
    ACTIONS(8178), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8719), 1,
      anon_sym_COMMA,
    ACTIONS(10718), 1,
      anon_sym_LPAREN2,
    ACTIONS(10726), 1,
      anon_sym_LBRACK,
    ACTIONS(10728), 1,
      anon_sym_EQ,
    ACTIONS(10779), 1,
      anon_sym_COLON,
    ACTIONS(10781), 1,
      anon_sym_SEMI,
    STATE(4453), 1,
      sym_parameter_list,
    STATE(7601), 1,
      sym__function_declarator_seq,
    STATE(8846), 1,
      aux_sym_declaration_repeat1,
    STATE(7520), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9062), 2,
      sym_argument_list,
      sym_initializer_list,
  [251161] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9576), 1,
      anon_sym_LBRACK,
    ACTIONS(9839), 1,
      anon_sym_requires,
    ACTIONS(9578), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(7174), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(7305), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9571), 7,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_try,
  [251192] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4561), 1,
      anon_sym_LPAREN2,
    ACTIONS(4563), 1,
      anon_sym_STAR,
    ACTIONS(4565), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4567), 1,
      anon_sym_AMP,
    ACTIONS(8509), 1,
      anon_sym_LBRACK,
    ACTIONS(10828), 1,
      anon_sym_LBRACE,
    STATE(4924), 1,
      sym_parameter_list,
    STATE(6973), 1,
      sym_compound_statement,
    STATE(7422), 1,
      sym__function_declarator_seq,
    STATE(8320), 1,
      sym_abstract_function_declarator,
    STATE(8347), 1,
      sym__abstract_declarator,
    STATE(7436), 4,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
  [251235] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4413), 1,
      anon_sym_LBRACE,
    ACTIONS(8178), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8719), 1,
      anon_sym_COMMA,
    ACTIONS(10718), 1,
      anon_sym_LPAREN2,
    ACTIONS(10726), 1,
      anon_sym_LBRACK,
    ACTIONS(10989), 1,
      anon_sym_SEMI,
    ACTIONS(11029), 1,
      anon_sym_COLON,
    ACTIONS(11031), 1,
      anon_sym_EQ,
    STATE(4453), 1,
      sym_parameter_list,
    STATE(7601), 1,
      sym__function_declarator_seq,
    STATE(8687), 1,
      aux_sym_declaration_repeat1,
    STATE(8785), 1,
      sym_initializer_list,
    STATE(9062), 1,
      sym_argument_list,
    STATE(7520), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [251282] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10834), 1,
      sym_identifier,
    STATE(7265), 1,
      sym_string_literal,
    STATE(7567), 1,
      sym_raw_string_literal,
    STATE(8971), 2,
      sym__string,
      sym_concatenated_string,
    ACTIONS(113), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(153), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [251313] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10094), 1,
      anon_sym_LPAREN2,
    ACTIONS(10897), 1,
      anon_sym_LBRACK,
    STATE(4816), 1,
      sym_parameter_list,
    STATE(7346), 1,
      sym__function_declarator_seq,
    ACTIONS(10931), 11,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [251342] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4413), 1,
      anon_sym_LBRACE,
    ACTIONS(8178), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8719), 1,
      anon_sym_COMMA,
    ACTIONS(10718), 1,
      anon_sym_LPAREN2,
    ACTIONS(10726), 1,
      anon_sym_LBRACK,
    ACTIONS(10728), 1,
      anon_sym_EQ,
    ACTIONS(11033), 1,
      anon_sym_COLON,
    ACTIONS(11035), 1,
      anon_sym_SEMI,
    STATE(4453), 1,
      sym_parameter_list,
    STATE(7601), 1,
      sym__function_declarator_seq,
    STATE(8776), 1,
      aux_sym_declaration_repeat1,
    STATE(7520), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9062), 2,
      sym_argument_list,
      sym_initializer_list,
  [251387] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8193), 1,
      anon_sym_requires,
    ACTIONS(8222), 1,
      anon_sym_DASH_GT,
    STATE(7128), 1,
      sym_trailing_return_type,
    ACTIONS(8191), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(7234), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(7392), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9571), 6,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_try,
  [251420] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10834), 1,
      sym_identifier,
    STATE(7265), 1,
      sym_string_literal,
    STATE(7567), 1,
      sym_raw_string_literal,
    STATE(8777), 2,
      sym__string,
      sym_concatenated_string,
    ACTIONS(113), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(153), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [251451] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8178), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(10094), 1,
      anon_sym_LPAREN2,
    ACTIONS(10726), 1,
      anon_sym_LBRACK,
    STATE(4453), 1,
      sym_parameter_list,
    STATE(7601), 1,
      sym__function_declarator_seq,
    STATE(7520), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(11037), 8,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
      anon_sym_try,
  [251484] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10834), 1,
      sym_identifier,
    STATE(7265), 1,
      sym_string_literal,
    STATE(7567), 1,
      sym_raw_string_literal,
    STATE(8736), 2,
      sym__string,
      sym_concatenated_string,
    ACTIONS(113), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(153), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [251515] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11041), 1,
      anon_sym_LBRACK,
    ACTIONS(11039), 14,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [251538] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11045), 1,
      anon_sym_LBRACK,
    ACTIONS(11043), 14,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [251561] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10834), 1,
      sym_identifier,
    STATE(7265), 1,
      sym_string_literal,
    STATE(7567), 1,
      sym_raw_string_literal,
    STATE(8497), 2,
      sym__string,
      sym_concatenated_string,
    ACTIONS(113), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(153), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [251592] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8222), 1,
      anon_sym_DASH_GT,
    ACTIONS(9604), 1,
      anon_sym_requires,
    STATE(7133), 1,
      sym_trailing_return_type,
    ACTIONS(9601), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(7234), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(7404), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9309), 6,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_try,
  [251625] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4561), 1,
      anon_sym_LPAREN2,
    ACTIONS(4563), 1,
      anon_sym_STAR,
    ACTIONS(4565), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4567), 1,
      anon_sym_AMP,
    ACTIONS(8509), 1,
      anon_sym_LBRACK,
    ACTIONS(10814), 1,
      anon_sym_LBRACE,
    STATE(2674), 1,
      sym_compound_statement,
    STATE(4924), 1,
      sym_parameter_list,
    STATE(7422), 1,
      sym__function_declarator_seq,
    STATE(8157), 1,
      sym_abstract_function_declarator,
    STATE(8347), 1,
      sym__abstract_declarator,
    STATE(7436), 4,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
  [251668] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4561), 1,
      anon_sym_LPAREN2,
    ACTIONS(4563), 1,
      anon_sym_STAR,
    ACTIONS(4565), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4567), 1,
      anon_sym_AMP,
    ACTIONS(8509), 1,
      anon_sym_LBRACK,
    ACTIONS(10830), 1,
      anon_sym_LBRACE,
    STATE(4924), 1,
      sym_parameter_list,
    STATE(5427), 1,
      sym_compound_statement,
    STATE(7422), 1,
      sym__function_declarator_seq,
    STATE(8152), 1,
      sym_abstract_function_declarator,
    STATE(8347), 1,
      sym__abstract_declarator,
    STATE(7436), 4,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
  [251711] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2588), 1,
      anon_sym_operator,
    ACTIONS(3148), 1,
      anon_sym_decltype,
    ACTIONS(10406), 1,
      anon_sym_TILDE,
    ACTIONS(11047), 1,
      sym_identifier,
    ACTIONS(11049), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11051), 1,
      anon_sym_template,
    STATE(7481), 1,
      sym__scope_resolution,
    STATE(9202), 1,
      sym_operator_name,
    STATE(10317), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(4751), 4,
      sym_template_method,
      sym_destructor_name,
      sym_dependent_field_identifier,
      sym_qualified_field_identifier,
  [251750] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4413), 1,
      anon_sym_LBRACE,
    ACTIONS(8178), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8719), 1,
      anon_sym_COMMA,
    ACTIONS(10718), 1,
      anon_sym_LPAREN2,
    ACTIONS(10726), 1,
      anon_sym_LBRACK,
    ACTIONS(10728), 1,
      anon_sym_EQ,
    ACTIONS(10989), 1,
      anon_sym_SEMI,
    ACTIONS(11029), 1,
      anon_sym_COLON,
    STATE(4453), 1,
      sym_parameter_list,
    STATE(7601), 1,
      sym__function_declarator_seq,
    STATE(8687), 1,
      aux_sym_declaration_repeat1,
    STATE(7520), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9062), 2,
      sym_argument_list,
      sym_initializer_list,
  [251795] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8211), 1,
      anon_sym_DASH_GT,
    ACTIONS(8220), 1,
      anon_sym_requires,
    STATE(7427), 1,
      sym_trailing_return_type,
    ACTIONS(8191), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(7234), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(7404), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9309), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
  [251828] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9908), 1,
      anon_sym_LBRACK,
    ACTIONS(9979), 1,
      anon_sym_requires,
    ACTIONS(9917), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(7174), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(7257), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9903), 7,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_try,
  [251859] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10834), 1,
      sym_identifier,
    STATE(7265), 1,
      sym_string_literal,
    STATE(7567), 1,
      sym_raw_string_literal,
    STATE(8696), 2,
      sym__string,
      sym_concatenated_string,
    ACTIONS(113), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(153), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [251890] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8211), 1,
      anon_sym_DASH_GT,
    ACTIONS(8220), 1,
      anon_sym_requires,
    STATE(7373), 1,
      sym_trailing_return_type,
    ACTIONS(8191), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(7234), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(7366), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9903), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
  [251923] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9908), 1,
      anon_sym_LBRACK,
    ACTIONS(9903), 14,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [251946] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4561), 1,
      anon_sym_LPAREN2,
    ACTIONS(4563), 1,
      anon_sym_STAR,
    ACTIONS(4565), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4567), 1,
      anon_sym_AMP,
    ACTIONS(8509), 1,
      anon_sym_LBRACK,
    ACTIONS(10797), 1,
      anon_sym_LBRACE,
    STATE(4258), 1,
      sym_compound_statement,
    STATE(4924), 1,
      sym_parameter_list,
    STATE(7422), 1,
      sym__function_declarator_seq,
    STATE(8303), 1,
      sym_abstract_function_declarator,
    STATE(8347), 1,
      sym__abstract_declarator,
    STATE(7436), 4,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
  [251989] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10094), 1,
      anon_sym_LPAREN2,
    ACTIONS(10897), 1,
      anon_sym_LBRACK,
    STATE(4816), 1,
      sym_parameter_list,
    STATE(7346), 1,
      sym__function_declarator_seq,
    ACTIONS(10895), 11,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [252018] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8193), 1,
      anon_sym_requires,
    ACTIONS(8222), 1,
      anon_sym_DASH_GT,
    STATE(7099), 1,
      sym_trailing_return_type,
    ACTIONS(8191), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(7234), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(7404), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9309), 6,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_try,
  [252051] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10834), 1,
      sym_identifier,
    STATE(7265), 1,
      sym_string_literal,
    STATE(7567), 1,
      sym_raw_string_literal,
    STATE(8704), 2,
      sym__string,
      sym_concatenated_string,
    ACTIONS(113), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(153), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [252082] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4413), 1,
      anon_sym_LBRACE,
    ACTIONS(8178), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8719), 1,
      anon_sym_COMMA,
    ACTIONS(10718), 1,
      anon_sym_LPAREN2,
    ACTIONS(10726), 1,
      anon_sym_LBRACK,
    ACTIONS(10728), 1,
      anon_sym_EQ,
    ACTIONS(10785), 1,
      anon_sym_COLON,
    ACTIONS(10787), 1,
      anon_sym_SEMI,
    STATE(4453), 1,
      sym_parameter_list,
    STATE(7601), 1,
      sym__function_declarator_seq,
    STATE(8610), 1,
      aux_sym_declaration_repeat1,
    STATE(7520), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9062), 2,
      sym_argument_list,
      sym_initializer_list,
  [252127] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10834), 1,
      sym_identifier,
    STATE(7265), 1,
      sym_string_literal,
    STATE(7567), 1,
      sym_raw_string_literal,
    STATE(8727), 2,
      sym__string,
      sym_concatenated_string,
    ACTIONS(113), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(153), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [252158] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10834), 1,
      sym_identifier,
    STATE(7265), 1,
      sym_string_literal,
    STATE(7567), 1,
      sym_raw_string_literal,
    STATE(8972), 2,
      sym__string,
      sym_concatenated_string,
    ACTIONS(113), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(153), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [252189] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8222), 1,
      anon_sym_DASH_GT,
    ACTIONS(9845), 1,
      anon_sym_requires,
    STATE(7114), 1,
      sym_trailing_return_type,
    ACTIONS(9842), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(7234), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(7392), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9571), 6,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_try,
  [252222] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4561), 1,
      anon_sym_LPAREN2,
    ACTIONS(4563), 1,
      anon_sym_STAR,
    ACTIONS(4565), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4567), 1,
      anon_sym_AMP,
    ACTIONS(8509), 1,
      anon_sym_LBRACK,
    ACTIONS(10826), 1,
      anon_sym_LBRACE,
    STATE(4909), 1,
      sym_compound_statement,
    STATE(4924), 1,
      sym_parameter_list,
    STATE(7422), 1,
      sym__function_declarator_seq,
    STATE(8299), 1,
      sym_abstract_function_declarator,
    STATE(8347), 1,
      sym__abstract_declarator,
    STATE(7436), 4,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
  [252265] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11055), 1,
      anon_sym_LBRACK,
    ACTIONS(11053), 14,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [252288] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8178), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(10094), 1,
      anon_sym_LPAREN2,
    ACTIONS(10726), 1,
      anon_sym_LBRACK,
    STATE(4453), 1,
      sym_parameter_list,
    STATE(7601), 1,
      sym__function_declarator_seq,
    STATE(7520), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(11057), 8,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
      anon_sym_try,
  [252321] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8222), 1,
      anon_sym_DASH_GT,
    ACTIONS(10823), 1,
      anon_sym_requires,
    STATE(7103), 1,
      sym_trailing_return_type,
    ACTIONS(10820), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(7234), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(7361), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(10494), 6,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_try,
  [252354] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10496), 1,
      anon_sym_LBRACK,
    ACTIONS(10838), 1,
      anon_sym_requires,
    ACTIONS(10514), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(7174), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(7262), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(10494), 7,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_try,
  [252385] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8199), 1,
      anon_sym_requires,
    ACTIONS(9576), 1,
      anon_sym_LBRACK,
    ACTIONS(6859), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(7174), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(7305), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9571), 7,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_try,
  [252416] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10834), 1,
      sym_identifier,
    STATE(7265), 1,
      sym_string_literal,
    STATE(7567), 1,
      sym_raw_string_literal,
    STATE(8628), 2,
      sym__string,
      sym_concatenated_string,
    ACTIONS(113), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(153), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [252447] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8193), 1,
      anon_sym_requires,
    ACTIONS(8222), 1,
      anon_sym_DASH_GT,
    STATE(7141), 1,
      sym_trailing_return_type,
    ACTIONS(8191), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(7234), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(7366), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9903), 6,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_try,
  [252480] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8222), 1,
      anon_sym_DASH_GT,
    ACTIONS(9994), 1,
      anon_sym_requires,
    STATE(7112), 1,
      sym_trailing_return_type,
    ACTIONS(9991), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(7234), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(7366), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9903), 6,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_try,
  [252513] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11061), 1,
      anon_sym_LBRACK,
    ACTIONS(11059), 14,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [252536] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10094), 1,
      anon_sym_LPAREN2,
    ACTIONS(10897), 1,
      anon_sym_LBRACK,
    STATE(4816), 1,
      sym_parameter_list,
    STATE(7346), 1,
      sym__function_declarator_seq,
    ACTIONS(10905), 11,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [252565] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4561), 1,
      anon_sym_LPAREN2,
    ACTIONS(4563), 1,
      anon_sym_STAR,
    ACTIONS(4565), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4567), 1,
      anon_sym_AMP,
    ACTIONS(8509), 1,
      anon_sym_LBRACK,
    ACTIONS(10832), 1,
      anon_sym_LBRACE,
    STATE(3633), 1,
      sym_compound_statement,
    STATE(4924), 1,
      sym_parameter_list,
    STATE(7422), 1,
      sym__function_declarator_seq,
    STATE(8347), 1,
      sym__abstract_declarator,
    STATE(8494), 1,
      sym_abstract_function_declarator,
    STATE(7436), 4,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
  [252608] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(53), 1,
      anon_sym_LBRACE,
    ACTIONS(4561), 1,
      anon_sym_LPAREN2,
    ACTIONS(4563), 1,
      anon_sym_STAR,
    ACTIONS(4565), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4567), 1,
      anon_sym_AMP,
    ACTIONS(8509), 1,
      anon_sym_LBRACK,
    STATE(2674), 1,
      sym_compound_statement,
    STATE(4924), 1,
      sym_parameter_list,
    STATE(7422), 1,
      sym__function_declarator_seq,
    STATE(8347), 1,
      sym__abstract_declarator,
    STATE(8368), 1,
      sym_abstract_function_declarator,
    STATE(7436), 4,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
  [252651] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10638), 1,
      anon_sym_LBRACK,
    ACTIONS(11063), 1,
      anon_sym_requires,
    ACTIONS(10640), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(7174), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(7247), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(10636), 7,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_try,
  [252682] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11068), 1,
      anon_sym_LBRACK,
    ACTIONS(11066), 14,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [252705] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4413), 1,
      anon_sym_LBRACE,
    ACTIONS(8178), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8719), 1,
      anon_sym_COMMA,
    ACTIONS(10718), 1,
      anon_sym_LPAREN2,
    ACTIONS(10726), 1,
      anon_sym_LBRACK,
    ACTIONS(10728), 1,
      anon_sym_EQ,
    ACTIONS(10771), 1,
      anon_sym_COLON,
    ACTIONS(10773), 1,
      anon_sym_SEMI,
    STATE(4453), 1,
      sym_parameter_list,
    STATE(7601), 1,
      sym__function_declarator_seq,
    STATE(8714), 1,
      aux_sym_declaration_repeat1,
    STATE(7520), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9062), 2,
      sym_argument_list,
      sym_initializer_list,
  [252750] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4561), 1,
      anon_sym_LPAREN2,
    ACTIONS(4563), 1,
      anon_sym_STAR,
    ACTIONS(4565), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4567), 1,
      anon_sym_AMP,
    ACTIONS(8509), 1,
      anon_sym_LBRACK,
    ACTIONS(10795), 1,
      anon_sym_LBRACE,
    STATE(4924), 1,
      sym_parameter_list,
    STATE(5481), 1,
      sym_compound_statement,
    STATE(7422), 1,
      sym__function_declarator_seq,
    STATE(8347), 1,
      sym__abstract_declarator,
    STATE(8433), 1,
      sym_abstract_function_declarator,
    STATE(7436), 4,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
  [252793] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8211), 1,
      anon_sym_DASH_GT,
    ACTIONS(9874), 1,
      anon_sym_requires,
    STATE(7377), 1,
      sym_trailing_return_type,
    ACTIONS(9842), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(7234), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(7392), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9571), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
  [252826] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10834), 1,
      sym_identifier,
    STATE(7265), 1,
      sym_string_literal,
    STATE(7567), 1,
      sym_raw_string_literal,
    STATE(8588), 2,
      sym__string,
      sym_concatenated_string,
    ACTIONS(113), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(153), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [252857] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11072), 1,
      anon_sym_LBRACK,
    ACTIONS(11070), 14,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [252880] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11076), 1,
      anon_sym_LBRACK,
    ACTIONS(11074), 14,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [252903] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10094), 1,
      anon_sym_LPAREN2,
    ACTIONS(10897), 1,
      anon_sym_LBRACK,
    STATE(4816), 1,
      sym_parameter_list,
    STATE(7346), 1,
      sym__function_declarator_seq,
    ACTIONS(10909), 11,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [252932] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8211), 1,
      anon_sym_DASH_GT,
    ACTIONS(9613), 1,
      anon_sym_requires,
    STATE(7355), 1,
      sym_trailing_return_type,
    ACTIONS(9601), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(7234), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(7404), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9309), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
  [252965] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10834), 1,
      sym_identifier,
    STATE(7265), 1,
      sym_string_literal,
    STATE(7567), 1,
      sym_raw_string_literal,
    STATE(8949), 2,
      sym__string,
      sym_concatenated_string,
    ACTIONS(113), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(153), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [252996] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10834), 1,
      sym_identifier,
    STATE(7265), 1,
      sym_string_literal,
    STATE(7567), 1,
      sym_raw_string_literal,
    STATE(8607), 2,
      sym__string,
      sym_concatenated_string,
    ACTIONS(113), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(153), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [253027] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4561), 1,
      anon_sym_LPAREN2,
    ACTIONS(4563), 1,
      anon_sym_STAR,
    ACTIONS(4565), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4567), 1,
      anon_sym_AMP,
    ACTIONS(8509), 1,
      anon_sym_LBRACK,
    ACTIONS(10851), 1,
      anon_sym_LBRACE,
    STATE(4532), 1,
      sym_compound_statement,
    STATE(4924), 1,
      sym_parameter_list,
    STATE(7422), 1,
      sym__function_declarator_seq,
    STATE(8297), 1,
      sym_abstract_function_declarator,
    STATE(8347), 1,
      sym__abstract_declarator,
    STATE(7436), 4,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
  [253070] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2588), 1,
      anon_sym_operator,
    ACTIONS(3148), 1,
      anon_sym_decltype,
    ACTIONS(10386), 1,
      anon_sym_TILDE,
    ACTIONS(10957), 1,
      sym_identifier,
    ACTIONS(10962), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10964), 1,
      anon_sym_template,
    STATE(7534), 1,
      sym__scope_resolution,
    STATE(9165), 1,
      sym_operator_name,
    STATE(10317), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(4597), 4,
      sym_template_method,
      sym_destructor_name,
      sym_dependent_field_identifier,
      sym_qualified_field_identifier,
  [253109] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11080), 1,
      anon_sym_LBRACK,
    ACTIONS(11078), 14,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [253132] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8211), 1,
      anon_sym_DASH_GT,
    ACTIONS(8220), 1,
      anon_sym_requires,
    STATE(7357), 1,
      sym_trailing_return_type,
    ACTIONS(8191), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(7234), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(7361), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(10494), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
  [253165] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8178), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(10094), 1,
      anon_sym_LPAREN2,
    ACTIONS(10726), 1,
      anon_sym_LBRACK,
    STATE(4453), 1,
      sym_parameter_list,
    STATE(7601), 1,
      sym__function_declarator_seq,
    STATE(7520), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(11082), 8,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
      anon_sym_try,
  [253198] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11084), 1,
      sym_identifier,
    ACTIONS(11086), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(11088), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(11090), 1,
      aux_sym_preproc_elif_token1,
    STATE(7733), 1,
      aux_sym_preproc_if_in_enumerator_list_repeat1,
    STATE(7736), 1,
      aux_sym_preproc_if_in_enumerator_list_no_comma_repeat1,
    STATE(7967), 1,
      sym_enumerator,
    ACTIONS(11092), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(9702), 3,
      sym_preproc_else_in_enumerator_list,
      sym_preproc_elif_in_enumerator_list,
      sym_preproc_elifdef_in_enumerator_list,
    STATE(9708), 3,
      sym_preproc_else_in_enumerator_list_no_comma,
      sym_preproc_elif_in_enumerator_list_no_comma,
      sym_preproc_elifdef_in_enumerator_list_no_comma,
  [253237] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11096), 1,
      anon_sym_LBRACK,
    ACTIONS(11094), 14,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [253260] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11100), 1,
      anon_sym_LBRACK,
    ACTIONS(11098), 14,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [253283] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8199), 1,
      anon_sym_requires,
    ACTIONS(9908), 1,
      anon_sym_LBRACK,
    ACTIONS(6859), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(7174), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(7257), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9903), 7,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_try,
  [253314] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8199), 1,
      anon_sym_requires,
    ACTIONS(10638), 1,
      anon_sym_LBRACK,
    ACTIONS(6859), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(7174), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(7247), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(10636), 7,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_try,
  [253345] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9576), 1,
      anon_sym_LBRACK,
    ACTIONS(9571), 14,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [253368] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10834), 1,
      sym_identifier,
    STATE(7265), 1,
      sym_string_literal,
    STATE(7567), 1,
      sym_raw_string_literal,
    STATE(8737), 2,
      sym__string,
      sym_concatenated_string,
    ACTIONS(113), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(153), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [253399] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11104), 1,
      anon_sym_LBRACK,
    ACTIONS(11102), 14,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [253422] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8178), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(10094), 1,
      anon_sym_LPAREN2,
    ACTIONS(10726), 1,
      anon_sym_LBRACK,
    STATE(4453), 1,
      sym_parameter_list,
    STATE(7601), 1,
      sym__function_declarator_seq,
    STATE(7520), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(11106), 8,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
      anon_sym_try,
  [253455] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10094), 1,
      anon_sym_LPAREN2,
    ACTIONS(10897), 1,
      anon_sym_LBRACK,
    STATE(4816), 1,
      sym_parameter_list,
    STATE(7346), 1,
      sym__function_declarator_seq,
    ACTIONS(10951), 11,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [253484] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10834), 1,
      sym_identifier,
    STATE(9653), 1,
      sym_concatenated_string,
    STATE(7472), 2,
      sym_string_literal,
      sym_raw_string_literal,
    ACTIONS(113), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(153), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [253512] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9874), 1,
      anon_sym_requires,
    ACTIONS(9842), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(7234), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(7392), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9571), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
  [253540] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10966), 14,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [253560] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8220), 1,
      anon_sym_requires,
    ACTIONS(8191), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(7234), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(7356), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(10636), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
  [253588] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11059), 14,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [253608] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8220), 1,
      anon_sym_requires,
    ACTIONS(8270), 1,
      anon_sym_DASH_GT,
    STATE(7427), 1,
      sym_trailing_return_type,
    ACTIONS(8191), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(7234), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(7404), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9309), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_LBRACK,
  [253640] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11066), 14,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [253660] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10636), 14,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [253680] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9613), 1,
      anon_sym_requires,
    ACTIONS(9601), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(7234), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(7404), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9309), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
  [253708] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1486), 1,
      anon_sym_template,
    ACTIONS(3148), 1,
      anon_sym_decltype,
    ACTIONS(8169), 1,
      anon_sym_LBRACE,
    ACTIONS(9697), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9895), 1,
      sym_identifier,
    STATE(4855), 1,
      sym_template_type,
    STATE(5059), 1,
      sym_enumerator_list,
    STATE(7840), 1,
      sym__scope_resolution,
    ACTIONS(11108), 2,
      anon_sym_class,
      anon_sym_struct,
    STATE(4860), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(10317), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [253748] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1486), 1,
      anon_sym_template,
    ACTIONS(3148), 1,
      anon_sym_decltype,
    ACTIONS(3904), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6081), 1,
      anon_sym_LBRACE,
    ACTIONS(9885), 1,
      sym_identifier,
    STATE(2999), 1,
      sym_template_type,
    STATE(3113), 1,
      sym_enumerator_list,
    STATE(7887), 1,
      sym__scope_resolution,
    ACTIONS(11110), 2,
      anon_sym_class,
      anon_sym_struct,
    STATE(3151), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(10317), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [253788] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2230), 1,
      anon_sym_COLON_COLON,
    ACTIONS(2297), 1,
      anon_sym_LT,
    STATE(7569), 1,
      sym_template_argument_list,
    ACTIONS(6521), 2,
      anon_sym_COLON,
      anon_sym_LBRACK,
    ACTIONS(5792), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
      anon_sym_try,
  [253816] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10494), 14,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [253836] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11053), 14,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [253856] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8220), 1,
      anon_sym_requires,
    ACTIONS(8270), 1,
      anon_sym_DASH_GT,
    STATE(7357), 1,
      sym_trailing_return_type,
    ACTIONS(8191), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(7234), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(7361), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(10494), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_LBRACK,
  [253888] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11074), 14,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [253908] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4413), 1,
      anon_sym_LBRACE,
    ACTIONS(8178), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(10718), 1,
      anon_sym_LPAREN2,
    ACTIONS(10726), 1,
      anon_sym_LBRACK,
    ACTIONS(10728), 1,
      anon_sym_EQ,
    ACTIONS(11114), 1,
      anon_sym_COLON,
    STATE(4453), 1,
      sym_parameter_list,
    STATE(7601), 1,
      sym__function_declarator_seq,
    ACTIONS(11112), 2,
      anon_sym_COMMA,
      anon_sym_SEMI,
    STATE(7520), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9062), 2,
      sym_argument_list,
      sym_initializer_list,
  [253948] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4561), 1,
      anon_sym_LPAREN2,
    ACTIONS(8447), 1,
      anon_sym_COLON,
    ACTIONS(8509), 1,
      anon_sym_LBRACK,
    ACTIONS(9522), 1,
      anon_sym_STAR,
    ACTIONS(9524), 1,
      anon_sym_AMP_AMP,
    ACTIONS(9526), 1,
      anon_sym_AMP,
    STATE(5014), 1,
      sym_parameter_list,
    STATE(7422), 1,
      sym__function_declarator_seq,
    STATE(8001), 1,
      sym__abstract_declarator,
    STATE(7436), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
  [253986] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8220), 1,
      anon_sym_requires,
    ACTIONS(8270), 1,
      anon_sym_DASH_GT,
    STATE(7373), 1,
      sym_trailing_return_type,
    ACTIONS(8191), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(7234), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(7366), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9903), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_LBRACK,
  [254018] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8220), 1,
      anon_sym_requires,
    ACTIONS(8191), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(7234), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(7361), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(10494), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
  [254046] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1486), 1,
      anon_sym_template,
    ACTIONS(3148), 1,
      anon_sym_decltype,
    ACTIONS(6584), 1,
      anon_sym_LBRACE,
    ACTIONS(9761), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9887), 1,
      sym_identifier,
    STATE(3244), 1,
      sym_template_type,
    STATE(3337), 1,
      sym_enumerator_list,
    STATE(7878), 1,
      sym__scope_resolution,
    ACTIONS(11116), 2,
      anon_sym_class,
      anon_sym_struct,
    STATE(3493), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(10317), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [254086] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10834), 1,
      sym_identifier,
    STATE(9486), 1,
      sym_concatenated_string,
    STATE(7467), 2,
      sym_string_literal,
      sym_raw_string_literal,
    ACTIONS(113), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(153), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [254114] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1486), 1,
      anon_sym_template,
    ACTIONS(3148), 1,
      anon_sym_decltype,
    ACTIONS(7310), 1,
      anon_sym_LBRACE,
    ACTIONS(8416), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9915), 1,
      sym_identifier,
    STATE(3817), 1,
      sym_template_type,
    STATE(3849), 1,
      sym_enumerator_list,
    STATE(7845), 1,
      sym__scope_resolution,
    ACTIONS(11118), 2,
      anon_sym_class,
      anon_sym_struct,
    STATE(6254), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(10317), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [254154] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10063), 1,
      anon_sym_requires,
    ACTIONS(9991), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(7234), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(7366), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9903), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
  [254182] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1486), 1,
      anon_sym_template,
    ACTIONS(3148), 1,
      anon_sym_decltype,
    ACTIONS(6584), 1,
      anon_sym_LBRACE,
    ACTIONS(9761), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9887), 1,
      sym_identifier,
    STATE(3244), 1,
      sym_template_type,
    STATE(3337), 1,
      sym_enumerator_list,
    STATE(7878), 1,
      sym__scope_resolution,
    ACTIONS(11120), 2,
      anon_sym_class,
      anon_sym_struct,
    STATE(3588), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(10317), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [254222] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8245), 1,
      anon_sym_requires,
    ACTIONS(8274), 1,
      anon_sym_DASH_GT,
    STATE(7545), 1,
      sym_trailing_return_type,
    ACTIONS(8191), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(7234), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(7392), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9571), 5,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
      anon_sym_GT2,
  [254254] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1486), 1,
      anon_sym_template,
    ACTIONS(3148), 1,
      anon_sym_decltype,
    ACTIONS(7412), 1,
      anon_sym_LBRACE,
    ACTIONS(9675), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9897), 1,
      sym_identifier,
    STATE(3921), 1,
      sym_template_type,
    STATE(4225), 1,
      sym_enumerator_list,
    STATE(7854), 1,
      sym__scope_resolution,
    ACTIONS(11122), 2,
      anon_sym_class,
      anon_sym_struct,
    STATE(3874), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(10317), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [254294] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8220), 1,
      anon_sym_requires,
    ACTIONS(8270), 1,
      anon_sym_DASH_GT,
    STATE(7391), 1,
      sym_trailing_return_type,
    ACTIONS(8191), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(7234), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(7392), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9571), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_LBRACK,
  [254326] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6951), 1,
      anon_sym_LBRACK,
    ACTIONS(11124), 1,
      anon_sym_LBRACK_RBRACK,
    ACTIONS(6953), 12,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_LT,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
      anon_sym_try,
  [254350] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1486), 1,
      anon_sym_template,
    ACTIONS(3148), 1,
      anon_sym_decltype,
    ACTIONS(4569), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6081), 1,
      anon_sym_LBRACE,
    ACTIONS(9923), 1,
      sym_identifier,
    STATE(2999), 1,
      sym_template_type,
    STATE(3113), 1,
      sym_enumerator_list,
    STATE(7879), 1,
      sym__scope_resolution,
    ACTIONS(11126), 2,
      anon_sym_class,
      anon_sym_struct,
    STATE(3182), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(10317), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [254390] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11094), 14,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [254410] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10834), 1,
      sym_identifier,
    STATE(9725), 1,
      sym_concatenated_string,
    STATE(7526), 2,
      sym_string_literal,
      sym_raw_string_literal,
    ACTIONS(113), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(153), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [254438] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1486), 1,
      anon_sym_template,
    ACTIONS(3148), 1,
      anon_sym_decltype,
    ACTIONS(7112), 1,
      anon_sym_LBRACE,
    ACTIONS(8288), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9901), 1,
      sym_identifier,
    STATE(3248), 1,
      sym_template_type,
    STATE(6684), 1,
      sym_enumerator_list,
    STATE(7858), 1,
      sym__scope_resolution,
    ACTIONS(11128), 2,
      anon_sym_class,
      anon_sym_struct,
    STATE(6522), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(10317), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [254478] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10834), 1,
      sym_identifier,
    STATE(9597), 1,
      sym_concatenated_string,
    STATE(7460), 2,
      sym_string_literal,
      sym_raw_string_literal,
    ACTIONS(113), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(153), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [254506] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8178), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(10094), 1,
      anon_sym_LPAREN2,
    ACTIONS(11130), 1,
      anon_sym_LBRACK,
    STATE(7667), 1,
      sym_parameter_list,
    STATE(7502), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(6632), 8,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
      anon_sym_try,
  [254536] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8220), 1,
      anon_sym_requires,
    ACTIONS(8191), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(7234), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(7404), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9309), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
  [254564] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1486), 1,
      anon_sym_template,
    ACTIONS(3148), 1,
      anon_sym_decltype,
    ACTIONS(7298), 1,
      anon_sym_LBRACE,
    ACTIONS(9807), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9891), 1,
      sym_identifier,
    STATE(3762), 1,
      sym_template_type,
    STATE(4020), 1,
      sym_enumerator_list,
    STATE(7882), 1,
      sym__scope_resolution,
    ACTIONS(11132), 2,
      anon_sym_class,
      anon_sym_struct,
    STATE(3751), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(10317), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [254604] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8220), 1,
      anon_sym_requires,
    ACTIONS(8191), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(7234), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(7366), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9903), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
  [254632] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9903), 14,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [254652] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11007), 14,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [254672] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11078), 14,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [254692] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11025), 14,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [254712] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9309), 14,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [254732] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11039), 14,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [254752] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6413), 1,
      sym_identifier,
    ACTIONS(6415), 13,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [254774] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1486), 1,
      anon_sym_template,
    ACTIONS(3148), 1,
      anon_sym_decltype,
    ACTIONS(6081), 1,
      anon_sym_LBRACE,
    ACTIONS(8402), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9885), 1,
      sym_identifier,
    STATE(2999), 1,
      sym_template_type,
    STATE(3113), 1,
      sym_enumerator_list,
    STATE(7841), 1,
      sym__scope_resolution,
    ACTIONS(11134), 2,
      anon_sym_class,
      anon_sym_struct,
    STATE(3470), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(10317), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [254814] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10834), 1,
      sym_identifier,
    STATE(9518), 1,
      sym_concatenated_string,
    STATE(7546), 2,
      sym_string_literal,
      sym_raw_string_literal,
    ACTIONS(113), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(153), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [254842] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6407), 1,
      sym_identifier,
    ACTIONS(6409), 13,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [254864] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11043), 14,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [254884] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1486), 1,
      anon_sym_template,
    ACTIONS(3148), 1,
      anon_sym_decltype,
    ACTIONS(8402), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9554), 1,
      anon_sym_LBRACE,
    ACTIONS(9885), 1,
      sym_identifier,
    STATE(2999), 1,
      sym_template_type,
    STATE(6154), 1,
      sym_enumerator_list,
    STATE(7841), 1,
      sym__scope_resolution,
    ACTIONS(11136), 2,
      anon_sym_class,
      anon_sym_struct,
    STATE(6216), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(10317), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [254924] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9571), 14,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [254944] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8245), 1,
      anon_sym_requires,
    ACTIONS(8274), 1,
      anon_sym_DASH_GT,
    STATE(7544), 1,
      sym_trailing_return_type,
    ACTIONS(8191), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(7234), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(7404), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9309), 5,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
      anon_sym_GT2,
  [254976] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8245), 1,
      anon_sym_requires,
    ACTIONS(8274), 1,
      anon_sym_DASH_GT,
    STATE(7552), 1,
      sym_trailing_return_type,
    ACTIONS(8191), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(7234), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(7366), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9903), 5,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
      anon_sym_GT2,
  [255008] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8178), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(10094), 1,
      anon_sym_LPAREN2,
    ACTIONS(11130), 1,
      anon_sym_LBRACK,
    STATE(7667), 1,
      sym_parameter_list,
    STATE(7502), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(6603), 8,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
      anon_sym_try,
  [255038] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1486), 1,
      anon_sym_template,
    ACTIONS(3148), 1,
      anon_sym_decltype,
    ACTIONS(6081), 1,
      anon_sym_LBRACE,
    ACTIONS(8402), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9885), 1,
      sym_identifier,
    STATE(2999), 1,
      sym_template_type,
    STATE(3113), 1,
      sym_enumerator_list,
    STATE(7841), 1,
      sym__scope_resolution,
    ACTIONS(11138), 2,
      anon_sym_class,
      anon_sym_struct,
    STATE(3712), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(10317), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [255078] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1486), 1,
      anon_sym_template,
    ACTIONS(3148), 1,
      anon_sym_decltype,
    ACTIONS(8364), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9586), 1,
      anon_sym_LBRACE,
    ACTIONS(9893), 1,
      sym_identifier,
    STATE(6081), 1,
      sym_template_type,
    STATE(6210), 1,
      sym_enumerator_list,
    STATE(7852), 1,
      sym__scope_resolution,
    ACTIONS(11140), 2,
      anon_sym_class,
      anon_sym_struct,
    STATE(6107), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(10317), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [255118] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2230), 1,
      anon_sym_COLON_COLON,
    ACTIONS(2297), 1,
      anon_sym_LT,
    STATE(7569), 1,
      sym_template_argument_list,
    ACTIONS(4551), 2,
      anon_sym_COLON,
      anon_sym_LBRACK,
    ACTIONS(4546), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
      anon_sym_try,
  [255146] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8274), 1,
      anon_sym_DASH_GT,
    ACTIONS(11142), 1,
      anon_sym_requires,
    STATE(7482), 1,
      sym_trailing_return_type,
    ACTIONS(10820), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(7234), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(7361), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(10494), 5,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
      anon_sym_GT2,
  [255178] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10834), 1,
      sym_identifier,
    STATE(9785), 1,
      sym_concatenated_string,
    STATE(7508), 2,
      sym_string_literal,
      sym_raw_string_literal,
    ACTIONS(113), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(153), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [255206] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8274), 1,
      anon_sym_DASH_GT,
    ACTIONS(10066), 1,
      anon_sym_requires,
    STATE(7485), 1,
      sym_trailing_return_type,
    ACTIONS(9991), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(7234), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(7366), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9903), 5,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
      anon_sym_GT2,
  [255238] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8243), 1,
      anon_sym_DASH_GT,
    ACTIONS(11142), 1,
      anon_sym_requires,
    STATE(7482), 1,
      sym_trailing_return_type,
    ACTIONS(10820), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(7234), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(7361), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(10494), 5,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_GT2,
  [255270] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8243), 1,
      anon_sym_DASH_GT,
    ACTIONS(10066), 1,
      anon_sym_requires,
    STATE(7485), 1,
      sym_trailing_return_type,
    ACTIONS(9991), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(7234), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(7366), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9903), 5,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_GT2,
  [255302] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8243), 1,
      anon_sym_DASH_GT,
    ACTIONS(9912), 1,
      anon_sym_requires,
    STATE(7486), 1,
      sym_trailing_return_type,
    ACTIONS(9842), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(7234), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(7392), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9571), 5,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_GT2,
  [255334] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8243), 1,
      anon_sym_DASH_GT,
    ACTIONS(9720), 1,
      anon_sym_requires,
    STATE(7488), 1,
      sym_trailing_return_type,
    ACTIONS(9601), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(7234), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(7404), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9309), 5,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_GT2,
  [255366] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1486), 1,
      anon_sym_template,
    ACTIONS(3148), 1,
      anon_sym_decltype,
    ACTIONS(7027), 1,
      anon_sym_LBRACE,
    ACTIONS(9653), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9927), 1,
      sym_identifier,
    STATE(3615), 1,
      sym_template_type,
    STATE(3760), 1,
      sym_enumerator_list,
    STATE(7837), 1,
      sym__scope_resolution,
    ACTIONS(11145), 2,
      anon_sym_class,
      anon_sym_struct,
    STATE(3659), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(10317), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [255406] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1486), 1,
      anon_sym_template,
    ACTIONS(3148), 1,
      anon_sym_decltype,
    ACTIONS(7310), 1,
      anon_sym_LBRACE,
    ACTIONS(9793), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9889), 1,
      sym_identifier,
    STATE(3817), 1,
      sym_template_type,
    STATE(3849), 1,
      sym_enumerator_list,
    STATE(7839), 1,
      sym__scope_resolution,
    ACTIONS(11147), 2,
      anon_sym_class,
      anon_sym_struct,
    STATE(5186), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(10317), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [255446] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8178), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(10094), 1,
      anon_sym_LPAREN2,
    ACTIONS(10102), 1,
      anon_sym_LBRACK,
    STATE(4749), 1,
      sym_parameter_list,
    STATE(7693), 1,
      sym__function_declarator_seq,
    STATE(7568), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(11149), 7,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_try,
  [255478] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8274), 1,
      anon_sym_DASH_GT,
    ACTIONS(9912), 1,
      anon_sym_requires,
    STATE(7486), 1,
      sym_trailing_return_type,
    ACTIONS(9842), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(7234), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(7392), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9571), 5,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
      anon_sym_GT2,
  [255510] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10993), 14,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [255530] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8178), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(10094), 1,
      anon_sym_LPAREN2,
    ACTIONS(10102), 1,
      anon_sym_LBRACK,
    STATE(4749), 1,
      sym_parameter_list,
    STATE(7693), 1,
      sym__function_declarator_seq,
    STATE(7568), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(11151), 7,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_try,
  [255562] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11070), 14,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [255582] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8274), 1,
      anon_sym_DASH_GT,
    ACTIONS(9720), 1,
      anon_sym_requires,
    STATE(7488), 1,
      sym_trailing_return_type,
    ACTIONS(9601), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(7234), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(7404), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9309), 5,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
      anon_sym_GT2,
  [255614] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1486), 1,
      anon_sym_template,
    ACTIONS(3148), 1,
      anon_sym_decltype,
    ACTIONS(8249), 1,
      anon_sym_LBRACE,
    ACTIONS(9631), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9899), 1,
      sym_identifier,
    STATE(4985), 1,
      sym_template_type,
    STATE(5229), 1,
      sym_enumerator_list,
    STATE(7838), 1,
      sym__scope_resolution,
    ACTIONS(11153), 2,
      anon_sym_class,
      anon_sym_struct,
    STATE(4990), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(10317), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [255654] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8220), 1,
      anon_sym_requires,
    ACTIONS(8191), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(7234), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(7392), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9571), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
  [255682] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1486), 1,
      anon_sym_template,
    ACTIONS(3148), 1,
      anon_sym_decltype,
    ACTIONS(8334), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9554), 1,
      anon_sym_LBRACE,
    ACTIONS(9881), 1,
      sym_identifier,
    STATE(2999), 1,
      sym_template_type,
    STATE(6154), 1,
      sym_enumerator_list,
    STATE(7862), 1,
      sym__scope_resolution,
    ACTIONS(11155), 2,
      anon_sym_class,
      anon_sym_struct,
    STATE(6060), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(10317), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [255722] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8178), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(10094), 1,
      anon_sym_LPAREN2,
    ACTIONS(10102), 1,
      anon_sym_LBRACK,
    STATE(4749), 1,
      sym_parameter_list,
    STATE(7693), 1,
      sym__function_declarator_seq,
    STATE(7568), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(11157), 7,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_try,
  [255754] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8243), 1,
      anon_sym_DASH_GT,
    ACTIONS(8245), 1,
      anon_sym_requires,
    STATE(7547), 1,
      sym_trailing_return_type,
    ACTIONS(8191), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(7234), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(7361), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(10494), 5,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_GT2,
  [255786] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8243), 1,
      anon_sym_DASH_GT,
    ACTIONS(8245), 1,
      anon_sym_requires,
    STATE(7552), 1,
      sym_trailing_return_type,
    ACTIONS(8191), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(7234), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(7366), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9903), 5,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_GT2,
  [255818] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8243), 1,
      anon_sym_DASH_GT,
    ACTIONS(8245), 1,
      anon_sym_requires,
    STATE(7545), 1,
      sym_trailing_return_type,
    ACTIONS(8191), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(7234), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(7392), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9571), 5,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_GT2,
  [255850] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8243), 1,
      anon_sym_DASH_GT,
    ACTIONS(8245), 1,
      anon_sym_requires,
    STATE(7544), 1,
      sym_trailing_return_type,
    ACTIONS(8191), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(7234), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(7404), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9309), 5,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_GT2,
  [255882] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8270), 1,
      anon_sym_DASH_GT,
    ACTIONS(10980), 1,
      anon_sym_requires,
    STATE(7450), 1,
      sym_trailing_return_type,
    ACTIONS(10820), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(7234), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(7361), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(10494), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_LBRACK,
  [255914] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8270), 1,
      anon_sym_DASH_GT,
    ACTIONS(10063), 1,
      anon_sym_requires,
    STATE(7454), 1,
      sym_trailing_return_type,
    ACTIONS(9991), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(7234), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(7366), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9903), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_LBRACK,
  [255946] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10997), 14,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [255966] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10834), 1,
      sym_identifier,
    STATE(9751), 1,
      sym_concatenated_string,
    STATE(7519), 2,
      sym_string_literal,
      sym_raw_string_literal,
    ACTIONS(113), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(153), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [255994] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10834), 1,
      sym_identifier,
    STATE(9793), 1,
      sym_concatenated_string,
    STATE(7459), 2,
      sym_string_literal,
      sym_raw_string_literal,
    ACTIONS(113), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(153), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [256022] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8178), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(10094), 1,
      anon_sym_LPAREN2,
    ACTIONS(11130), 1,
      anon_sym_LBRACK,
    STATE(7667), 1,
      sym_parameter_list,
    STATE(7502), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(6650), 8,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
      anon_sym_try,
  [256052] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1486), 1,
      anon_sym_template,
    ACTIONS(3148), 1,
      anon_sym_decltype,
    ACTIONS(7112), 1,
      anon_sym_LBRACE,
    ACTIONS(8288), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9901), 1,
      sym_identifier,
    STATE(3248), 1,
      sym_template_type,
    STATE(3718), 1,
      sym_enumerator_list,
    STATE(7858), 1,
      sym__scope_resolution,
    ACTIONS(11159), 2,
      anon_sym_class,
      anon_sym_struct,
    STATE(6250), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(10317), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [256092] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1486), 1,
      anon_sym_template,
    ACTIONS(3148), 1,
      anon_sym_decltype,
    ACTIONS(6081), 1,
      anon_sym_LBRACE,
    ACTIONS(8402), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9885), 1,
      sym_identifier,
    STATE(2999), 1,
      sym_template_type,
    STATE(6607), 1,
      sym_enumerator_list,
    STATE(7841), 1,
      sym__scope_resolution,
    ACTIONS(11161), 2,
      anon_sym_class,
      anon_sym_struct,
    STATE(6384), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(10317), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [256132] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10834), 1,
      sym_identifier,
    STATE(9703), 1,
      sym_concatenated_string,
    STATE(7511), 2,
      sym_string_literal,
      sym_raw_string_literal,
    ACTIONS(113), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(153), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [256160] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8270), 1,
      anon_sym_DASH_GT,
    ACTIONS(9874), 1,
      anon_sym_requires,
    STATE(7377), 1,
      sym_trailing_return_type,
    ACTIONS(9842), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(7234), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(7392), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9571), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_LBRACK,
  [256192] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8178), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(10094), 1,
      anon_sym_LPAREN2,
    ACTIONS(10102), 1,
      anon_sym_LBRACK,
    STATE(4749), 1,
      sym_parameter_list,
    STATE(7693), 1,
      sym__function_declarator_seq,
    STATE(7568), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(11163), 7,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_try,
  [256224] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1486), 1,
      anon_sym_template,
    ACTIONS(3148), 1,
      anon_sym_decltype,
    ACTIONS(7112), 1,
      anon_sym_LBRACE,
    ACTIONS(9747), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9925), 1,
      sym_identifier,
    STATE(3248), 1,
      sym_template_type,
    STATE(3718), 1,
      sym_enumerator_list,
    STATE(7875), 1,
      sym__scope_resolution,
    ACTIONS(11165), 2,
      anon_sym_class,
      anon_sym_struct,
    STATE(5025), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(10317), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [256264] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11102), 14,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [256284] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1486), 1,
      anon_sym_template,
    ACTIONS(3148), 1,
      anon_sym_decltype,
    ACTIONS(6081), 1,
      anon_sym_LBRACE,
    ACTIONS(9881), 1,
      sym_identifier,
    ACTIONS(9883), 1,
      anon_sym_COLON_COLON,
    STATE(2999), 1,
      sym_template_type,
    STATE(6607), 1,
      sym_enumerator_list,
    STATE(7848), 1,
      sym__scope_resolution,
    ACTIONS(11167), 2,
      anon_sym_class,
      anon_sym_struct,
    STATE(7783), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(10317), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [256324] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8178), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(10094), 1,
      anon_sym_LPAREN2,
    ACTIONS(10102), 1,
      anon_sym_LBRACK,
    STATE(4749), 1,
      sym_parameter_list,
    STATE(7693), 1,
      sym__function_declarator_seq,
    STATE(7568), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(11169), 7,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_try,
  [256356] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1486), 1,
      anon_sym_template,
    ACTIONS(3148), 1,
      anon_sym_decltype,
    ACTIONS(7285), 1,
      anon_sym_LBRACE,
    ACTIONS(9725), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9879), 1,
      sym_identifier,
    STATE(3736), 1,
      sym_template_type,
    STATE(3962), 1,
      sym_enumerator_list,
    STATE(7844), 1,
      sym__scope_resolution,
    ACTIONS(11171), 2,
      anon_sym_class,
      anon_sym_struct,
    STATE(3739), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(10317), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [256396] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11173), 1,
      anon_sym_requires,
    ACTIONS(10808), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(7234), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(7356), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(10636), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
  [256424] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6396), 1,
      sym_identifier,
    ACTIONS(6398), 13,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [256446] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8270), 1,
      anon_sym_DASH_GT,
    ACTIONS(9613), 1,
      anon_sym_requires,
    STATE(7355), 1,
      sym_trailing_return_type,
    ACTIONS(9601), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(7234), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(7404), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9309), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_LBRACK,
  [256478] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11098), 14,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [256498] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10980), 1,
      anon_sym_requires,
    ACTIONS(10820), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(7234), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(7361), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(10494), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
  [256526] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8178), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(10094), 1,
      anon_sym_LPAREN2,
    ACTIONS(11130), 1,
      anon_sym_LBRACK,
    STATE(7667), 1,
      sym_parameter_list,
    STATE(7502), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(6654), 8,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
      anon_sym_try,
  [256556] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8245), 1,
      anon_sym_requires,
    ACTIONS(8274), 1,
      anon_sym_DASH_GT,
    STATE(7547), 1,
      sym_trailing_return_type,
    ACTIONS(8191), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(7234), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(7361), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(10494), 5,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
      anon_sym_GT2,
  [256588] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6400), 1,
      sym_identifier,
    ACTIONS(6402), 13,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [256610] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17), 1,
      sym_preproc_directive,
    ACTIONS(11176), 1,
      sym_identifier,
    ACTIONS(11178), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(11182), 1,
      anon_sym_RBRACE,
    ACTIONS(11180), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(9310), 2,
      sym_preproc_call,
      sym_enumerator,
    STATE(10261), 2,
      sym_preproc_if_in_enumerator_list_no_comma,
      sym_preproc_ifdef_in_enumerator_list_no_comma,
    STATE(7543), 3,
      sym_preproc_if_in_enumerator_list,
      sym_preproc_ifdef_in_enumerator_list,
      aux_sym_enumerator_list_repeat1,
  [256643] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11184), 1,
      anon_sym_RPAREN,
    STATE(7166), 2,
      sym_string_literal,
      sym_raw_string_literal,
    ACTIONS(10845), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(10847), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [256668] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11186), 1,
      anon_sym_RPAREN,
    STATE(7166), 2,
      sym_string_literal,
      sym_raw_string_literal,
    ACTIONS(10845), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(10847), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [256693] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17), 1,
      sym_preproc_directive,
    ACTIONS(11176), 1,
      sym_identifier,
    ACTIONS(11178), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(11188), 1,
      anon_sym_RBRACE,
    ACTIONS(11180), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(9150), 2,
      sym_preproc_call,
      sym_enumerator,
    STATE(10051), 2,
      sym_preproc_if_in_enumerator_list_no_comma,
      sym_preproc_ifdef_in_enumerator_list_no_comma,
    STATE(7739), 3,
      sym_preproc_if_in_enumerator_list,
      sym_preproc_ifdef_in_enumerator_list,
      aux_sym_enumerator_list_repeat1,
  [256726] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2588), 1,
      anon_sym_operator,
    ACTIONS(3148), 1,
      anon_sym_decltype,
    ACTIONS(11003), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11005), 1,
      anon_sym_template,
    ACTIONS(11190), 1,
      sym_identifier,
    STATE(4244), 1,
      sym_qualified_field_identifier,
    STATE(4249), 1,
      sym_dependent_field_identifier,
    STATE(4250), 1,
      sym_template_method,
    STATE(7462), 1,
      sym__scope_resolution,
    STATE(9295), 1,
      sym_operator_name,
    STATE(10317), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
  [256765] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2297), 1,
      anon_sym_LT,
    ACTIONS(6944), 1,
      anon_sym_LBRACK,
    STATE(7569), 1,
      sym_template_argument_list,
    ACTIONS(6946), 10,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
      anon_sym_try,
  [256790] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6521), 1,
      anon_sym_LBRACK,
    ACTIONS(11192), 1,
      anon_sym_COLON,
    ACTIONS(11194), 1,
      anon_sym_SEMI,
    ACTIONS(11196), 1,
      anon_sym_LBRACE,
    ACTIONS(11198), 1,
      anon_sym_EQ,
    ACTIONS(11200), 1,
      anon_sym_try,
    STATE(2732), 1,
      sym_compound_statement,
    STATE(9139), 1,
      sym_field_initializer_list,
    ACTIONS(5792), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
    STATE(2739), 3,
      sym_constructor_try_statement,
      sym_default_method_clause,
      sym_delete_method_clause,
  [256827] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6521), 1,
      anon_sym_LBRACK,
    ACTIONS(11192), 1,
      anon_sym_COLON,
    ACTIONS(11202), 1,
      anon_sym_SEMI,
    ACTIONS(11204), 1,
      anon_sym_LBRACE,
    ACTIONS(11206), 1,
      anon_sym_EQ,
    ACTIONS(11208), 1,
      anon_sym_try,
    STATE(2539), 1,
      sym_compound_statement,
    STATE(8992), 1,
      sym_field_initializer_list,
    ACTIONS(5792), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
    STATE(2538), 3,
      sym_constructor_try_statement,
      sym_default_method_clause,
      sym_delete_method_clause,
  [256864] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1136), 1,
      anon_sym_LBRACE,
    ACTIONS(6521), 1,
      anon_sym_LBRACK,
    ACTIONS(11192), 1,
      anon_sym_COLON,
    ACTIONS(11210), 1,
      anon_sym_SEMI,
    ACTIONS(11212), 1,
      anon_sym_EQ,
    ACTIONS(11214), 1,
      anon_sym_try,
    STATE(1153), 1,
      sym_compound_statement,
    STATE(9136), 1,
      sym_field_initializer_list,
    ACTIONS(5792), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
    STATE(1154), 3,
      sym_constructor_try_statement,
      sym_default_method_clause,
      sym_delete_method_clause,
  [256901] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11216), 1,
      anon_sym_RPAREN,
    STATE(7166), 2,
      sym_string_literal,
      sym_raw_string_literal,
    ACTIONS(10845), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(10847), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [256926] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10094), 1,
      anon_sym_LPAREN2,
    ACTIONS(10897), 1,
      anon_sym_LBRACK,
    STATE(4843), 1,
      sym_parameter_list,
    STATE(7346), 1,
      sym__function_declarator_seq,
    ACTIONS(10909), 9,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [256953] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17), 1,
      sym_preproc_directive,
    ACTIONS(11176), 1,
      sym_identifier,
    ACTIONS(11178), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(11218), 1,
      anon_sym_RBRACE,
    ACTIONS(11180), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(8987), 2,
      sym_preproc_call,
      sym_enumerator,
    STATE(9850), 2,
      sym_preproc_if_in_enumerator_list_no_comma,
      sym_preproc_ifdef_in_enumerator_list_no_comma,
    STATE(7527), 3,
      sym_preproc_if_in_enumerator_list,
      sym_preproc_ifdef_in_enumerator_list,
      aux_sym_enumerator_list_repeat1,
  [256986] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10094), 1,
      anon_sym_LPAREN2,
    ACTIONS(10897), 1,
      anon_sym_LBRACK,
    STATE(4843), 1,
      sym_parameter_list,
    STATE(7346), 1,
      sym__function_declarator_seq,
    ACTIONS(10905), 9,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [257013] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(299), 1,
      anon_sym_LBRACE,
    ACTIONS(6521), 1,
      anon_sym_LBRACK,
    ACTIONS(11192), 1,
      anon_sym_COLON,
    ACTIONS(11220), 1,
      anon_sym_SEMI,
    ACTIONS(11222), 1,
      anon_sym_EQ,
    ACTIONS(11224), 1,
      anon_sym_try,
    STATE(425), 1,
      sym_compound_statement,
    STATE(9144), 1,
      sym_field_initializer_list,
    ACTIONS(5792), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
    STATE(422), 3,
      sym_constructor_try_statement,
      sym_default_method_clause,
      sym_delete_method_clause,
  [257050] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11226), 1,
      anon_sym_RPAREN,
    STATE(7166), 2,
      sym_string_literal,
      sym_raw_string_literal,
    ACTIONS(10845), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(10847), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [257075] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10094), 1,
      anon_sym_LPAREN2,
    ACTIONS(10897), 1,
      anon_sym_LBRACK,
    STATE(4843), 1,
      sym_parameter_list,
    STATE(7346), 1,
      sym__function_declarator_seq,
    ACTIONS(10895), 9,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [257102] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10094), 1,
      anon_sym_LPAREN2,
    ACTIONS(10897), 1,
      anon_sym_LBRACK,
    STATE(4843), 1,
      sym_parameter_list,
    STATE(7346), 1,
      sym__function_declarator_seq,
    ACTIONS(10937), 9,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [257129] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10094), 1,
      anon_sym_LPAREN2,
    ACTIONS(10897), 1,
      anon_sym_LBRACK,
    STATE(4843), 1,
      sym_parameter_list,
    STATE(7346), 1,
      sym__function_declarator_seq,
    ACTIONS(10949), 9,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [257156] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10094), 1,
      anon_sym_LPAREN2,
    ACTIONS(10897), 1,
      anon_sym_LBRACK,
    STATE(4843), 1,
      sym_parameter_list,
    STATE(7346), 1,
      sym__function_declarator_seq,
    ACTIONS(10929), 9,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [257183] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1136), 1,
      anon_sym_LBRACE,
    ACTIONS(6521), 1,
      anon_sym_LBRACK,
    ACTIONS(11192), 1,
      anon_sym_COLON,
    ACTIONS(11212), 1,
      anon_sym_EQ,
    ACTIONS(11214), 1,
      anon_sym_try,
    ACTIONS(11228), 1,
      anon_sym_SEMI,
    STATE(1072), 1,
      sym_compound_statement,
    STATE(9176), 1,
      sym_field_initializer_list,
    ACTIONS(5792), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
    STATE(1070), 3,
      sym_constructor_try_statement,
      sym_default_method_clause,
      sym_delete_method_clause,
  [257220] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8357), 1,
      anon_sym_DASH_GT,
    ACTIONS(8420), 1,
      anon_sym_requires,
    ACTIONS(10496), 1,
      anon_sym_LBRACK,
    STATE(7735), 1,
      sym_trailing_return_type,
    ACTIONS(6859), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(7174), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(7262), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(10494), 3,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
  [257253] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17), 1,
      sym_preproc_directive,
    ACTIONS(11176), 1,
      sym_identifier,
    ACTIONS(11178), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(11230), 1,
      anon_sym_RBRACE,
    ACTIONS(11180), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(9002), 2,
      sym_preproc_call,
      sym_enumerator,
    STATE(9912), 2,
      sym_preproc_if_in_enumerator_list_no_comma,
      sym_preproc_ifdef_in_enumerator_list_no_comma,
    STATE(7739), 3,
      sym_preproc_if_in_enumerator_list,
      sym_preproc_ifdef_in_enumerator_list,
      aux_sym_enumerator_list_repeat1,
  [257286] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10094), 1,
      anon_sym_LPAREN2,
    ACTIONS(10897), 1,
      anon_sym_LBRACK,
    STATE(4843), 1,
      sym_parameter_list,
    STATE(7346), 1,
      sym__function_declarator_seq,
    ACTIONS(10931), 9,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [257313] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2588), 1,
      anon_sym_operator,
    ACTIONS(3148), 1,
      anon_sym_decltype,
    ACTIONS(11049), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11051), 1,
      anon_sym_template,
    ACTIONS(11232), 1,
      sym_identifier,
    STATE(4785), 1,
      sym_template_method,
    STATE(4787), 1,
      sym_dependent_field_identifier,
    STATE(4799), 1,
      sym_qualified_field_identifier,
    STATE(7481), 1,
      sym__scope_resolution,
    STATE(9202), 1,
      sym_operator_name,
    STATE(10317), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
  [257352] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11234), 1,
      anon_sym_requires,
    ACTIONS(10808), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(7234), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(7356), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(10636), 6,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_GT2,
  [257379] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10094), 1,
      anon_sym_LPAREN2,
    ACTIONS(10897), 1,
      anon_sym_LBRACK,
    STATE(4843), 1,
      sym_parameter_list,
    STATE(7346), 1,
      sym__function_declarator_seq,
    ACTIONS(10951), 9,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [257406] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17), 1,
      sym_preproc_directive,
    ACTIONS(11176), 1,
      sym_identifier,
    ACTIONS(11178), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(11237), 1,
      anon_sym_RBRACE,
    ACTIONS(11180), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(9018), 2,
      sym_preproc_call,
      sym_enumerator,
    STATE(9857), 2,
      sym_preproc_if_in_enumerator_list_no_comma,
      sym_preproc_ifdef_in_enumerator_list_no_comma,
    STATE(7513), 3,
      sym_preproc_if_in_enumerator_list,
      sym_preproc_ifdef_in_enumerator_list,
      aux_sym_enumerator_list_repeat1,
  [257439] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11142), 1,
      anon_sym_requires,
    ACTIONS(10820), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(7234), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(7361), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(10494), 6,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_GT2,
  [257466] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10066), 1,
      anon_sym_requires,
    ACTIONS(9991), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(7234), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(7366), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9903), 6,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_GT2,
  [257493] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11239), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(5834), 11,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_or,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [257514] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9912), 1,
      anon_sym_requires,
    ACTIONS(9842), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(7234), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(7392), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9571), 6,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_GT2,
  [257541] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17), 1,
      sym_preproc_directive,
    ACTIONS(11176), 1,
      sym_identifier,
    ACTIONS(11178), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(11241), 1,
      anon_sym_RBRACE,
    ACTIONS(11180), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(8983), 2,
      sym_preproc_call,
      sym_enumerator,
    STATE(9864), 2,
      sym_preproc_if_in_enumerator_list_no_comma,
      sym_preproc_ifdef_in_enumerator_list_no_comma,
    STATE(7479), 3,
      sym_preproc_if_in_enumerator_list,
      sym_preproc_ifdef_in_enumerator_list,
      aux_sym_enumerator_list_repeat1,
  [257574] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9720), 1,
      anon_sym_requires,
    ACTIONS(9601), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(7234), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(7404), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9309), 6,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_GT2,
  [257601] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2588), 1,
      anon_sym_operator,
    ACTIONS(3148), 1,
      anon_sym_decltype,
    ACTIONS(11011), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11013), 1,
      anon_sym_template,
    ACTIONS(11243), 1,
      sym_identifier,
    STATE(3560), 1,
      sym_template_method,
    STATE(3561), 1,
      sym_qualified_field_identifier,
    STATE(3562), 1,
      sym_dependent_field_identifier,
    STATE(7491), 1,
      sym__scope_resolution,
    STATE(9248), 1,
      sym_operator_name,
    STATE(10317), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
  [257640] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17), 1,
      sym_preproc_directive,
    ACTIONS(11176), 1,
      sym_identifier,
    ACTIONS(11178), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(11245), 1,
      anon_sym_RBRACE,
    ACTIONS(11180), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(9190), 2,
      sym_preproc_call,
      sym_enumerator,
    STATE(10122), 2,
      sym_preproc_if_in_enumerator_list_no_comma,
      sym_preproc_ifdef_in_enumerator_list_no_comma,
    STATE(7495), 3,
      sym_preproc_if_in_enumerator_list,
      sym_preproc_ifdef_in_enumerator_list,
      aux_sym_enumerator_list_repeat1,
  [257673] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2588), 1,
      anon_sym_operator,
    ACTIONS(3148), 1,
      anon_sym_decltype,
    ACTIONS(10976), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10978), 1,
      anon_sym_template,
    ACTIONS(11243), 1,
      sym_identifier,
    STATE(3560), 1,
      sym_template_method,
    STATE(3561), 1,
      sym_qualified_field_identifier,
    STATE(3562), 1,
      sym_dependent_field_identifier,
    STATE(7493), 1,
      sym__scope_resolution,
    STATE(9011), 1,
      sym_operator_name,
    STATE(10317), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
  [257712] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17), 1,
      sym_preproc_directive,
    ACTIONS(11176), 1,
      sym_identifier,
    ACTIONS(11178), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(11247), 1,
      anon_sym_RBRACE,
    ACTIONS(11180), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(9229), 2,
      sym_preproc_call,
      sym_enumerator,
    STATE(10184), 2,
      sym_preproc_if_in_enumerator_list_no_comma,
      sym_preproc_ifdef_in_enumerator_list_no_comma,
    STATE(7549), 3,
      sym_preproc_if_in_enumerator_list,
      sym_preproc_ifdef_in_enumerator_list,
      aux_sym_enumerator_list_repeat1,
  [257745] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17), 1,
      sym_preproc_directive,
    ACTIONS(11176), 1,
      sym_identifier,
    ACTIONS(11178), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(11249), 1,
      anon_sym_RBRACE,
    ACTIONS(11180), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(9119), 2,
      sym_preproc_call,
      sym_enumerator,
    STATE(10024), 2,
      sym_preproc_if_in_enumerator_list_no_comma,
      sym_preproc_ifdef_in_enumerator_list_no_comma,
    STATE(7739), 3,
      sym_preproc_if_in_enumerator_list,
      sym_preproc_ifdef_in_enumerator_list,
      aux_sym_enumerator_list_repeat1,
  [257778] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(830), 1,
      anon_sym_LBRACE,
    ACTIONS(6521), 1,
      anon_sym_LBRACK,
    ACTIONS(11192), 1,
      anon_sym_COLON,
    ACTIONS(11251), 1,
      anon_sym_SEMI,
    ACTIONS(11253), 1,
      anon_sym_EQ,
    ACTIONS(11255), 1,
      anon_sym_try,
    STATE(1041), 1,
      sym_compound_statement,
    STATE(9048), 1,
      sym_field_initializer_list,
    ACTIONS(5792), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
    STATE(1175), 3,
      sym_constructor_try_statement,
      sym_default_method_clause,
      sym_delete_method_clause,
  [257815] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(53), 1,
      anon_sym_LBRACE,
    ACTIONS(6521), 1,
      anon_sym_LBRACK,
    ACTIONS(11192), 1,
      anon_sym_COLON,
    ACTIONS(11257), 1,
      anon_sym_SEMI,
    ACTIONS(11259), 1,
      anon_sym_EQ,
    ACTIONS(11261), 1,
      anon_sym_try,
    STATE(1285), 1,
      sym_compound_statement,
    STATE(9172), 1,
      sym_field_initializer_list,
    ACTIONS(5792), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
    STATE(1284), 3,
      sym_constructor_try_statement,
      sym_default_method_clause,
      sym_delete_method_clause,
  [257852] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11239), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(11263), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(5849), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [257875] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17), 1,
      sym_preproc_directive,
    ACTIONS(11176), 1,
      sym_identifier,
    ACTIONS(11178), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(11265), 1,
      anon_sym_RBRACE,
    ACTIONS(11180), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(9308), 2,
      sym_preproc_call,
      sym_enumerator,
    STATE(9573), 2,
      sym_preproc_if_in_enumerator_list_no_comma,
      sym_preproc_ifdef_in_enumerator_list_no_comma,
    STATE(7510), 3,
      sym_preproc_if_in_enumerator_list,
      sym_preproc_ifdef_in_enumerator_list,
      aux_sym_enumerator_list_repeat1,
  [257908] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8357), 1,
      anon_sym_DASH_GT,
    ACTIONS(8420), 1,
      anon_sym_requires,
    ACTIONS(9908), 1,
      anon_sym_LBRACK,
    STATE(7734), 1,
      sym_trailing_return_type,
    ACTIONS(6859), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(7174), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(7257), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9903), 3,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
  [257941] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6521), 1,
      anon_sym_LBRACK,
    ACTIONS(11192), 1,
      anon_sym_COLON,
    ACTIONS(11267), 1,
      anon_sym_SEMI,
    ACTIONS(11269), 1,
      anon_sym_LBRACE,
    ACTIONS(11271), 1,
      anon_sym_EQ,
    ACTIONS(11273), 1,
      anon_sym_try,
    STATE(2930), 1,
      sym_compound_statement,
    STATE(9385), 1,
      sym_field_initializer_list,
    ACTIONS(5792), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
    STATE(2932), 3,
      sym_constructor_try_statement,
      sym_default_method_clause,
      sym_delete_method_clause,
  [257978] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6678), 1,
      anon_sym_LBRACK,
    ACTIONS(8178), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(7078), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(6680), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
      anon_sym_try,
  [258003] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17), 1,
      sym_preproc_directive,
    ACTIONS(11176), 1,
      sym_identifier,
    ACTIONS(11178), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(11275), 1,
      anon_sym_RBRACE,
    ACTIONS(11180), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(9102), 2,
      sym_preproc_call,
      sym_enumerator,
    STATE(10011), 2,
      sym_preproc_if_in_enumerator_list_no_comma,
      sym_preproc_ifdef_in_enumerator_list_no_comma,
    STATE(7528), 3,
      sym_preproc_if_in_enumerator_list,
      sym_preproc_ifdef_in_enumerator_list,
      aux_sym_enumerator_list_repeat1,
  [258036] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8357), 1,
      anon_sym_DASH_GT,
    ACTIONS(9314), 1,
      anon_sym_LBRACK,
    ACTIONS(9851), 1,
      anon_sym_requires,
    STATE(7711), 1,
      sym_trailing_return_type,
    ACTIONS(9316), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(7174), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(7349), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9309), 3,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
  [258069] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6521), 1,
      anon_sym_LBRACK,
    ACTIONS(11192), 1,
      anon_sym_COLON,
    ACTIONS(11277), 1,
      anon_sym_SEMI,
    ACTIONS(11279), 1,
      anon_sym_LBRACE,
    ACTIONS(11281), 1,
      anon_sym_EQ,
    ACTIONS(11283), 1,
      anon_sym_try,
    STATE(2807), 1,
      sym_compound_statement,
    STATE(9252), 1,
      sym_field_initializer_list,
    ACTIONS(5792), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
    STATE(2806), 3,
      sym_constructor_try_statement,
      sym_default_method_clause,
      sym_delete_method_clause,
  [258106] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6521), 1,
      anon_sym_LBRACK,
    ACTIONS(11192), 1,
      anon_sym_COLON,
    ACTIONS(11204), 1,
      anon_sym_LBRACE,
    ACTIONS(11206), 1,
      anon_sym_EQ,
    ACTIONS(11208), 1,
      anon_sym_try,
    ACTIONS(11285), 1,
      anon_sym_SEMI,
    STATE(2632), 1,
      sym_compound_statement,
    STATE(9017), 1,
      sym_field_initializer_list,
    ACTIONS(5792), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
    STATE(2629), 3,
      sym_constructor_try_statement,
      sym_default_method_clause,
      sym_delete_method_clause,
  [258143] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6521), 1,
      anon_sym_LBRACK,
    ACTIONS(11192), 1,
      anon_sym_COLON,
    ACTIONS(11279), 1,
      anon_sym_LBRACE,
    ACTIONS(11281), 1,
      anon_sym_EQ,
    ACTIONS(11283), 1,
      anon_sym_try,
    ACTIONS(11287), 1,
      anon_sym_SEMI,
    STATE(2878), 1,
      sym_compound_statement,
    STATE(9104), 1,
      sym_field_initializer_list,
    ACTIONS(5792), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
    STATE(2877), 3,
      sym_constructor_try_statement,
      sym_default_method_clause,
      sym_delete_method_clause,
  [258180] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11289), 1,
      anon_sym_RPAREN,
    STATE(7166), 2,
      sym_string_literal,
      sym_raw_string_literal,
    ACTIONS(10845), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(10847), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [258205] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8357), 1,
      anon_sym_DASH_GT,
    ACTIONS(8420), 1,
      anon_sym_requires,
    ACTIONS(9576), 1,
      anon_sym_LBRACK,
    STATE(7732), 1,
      sym_trailing_return_type,
    ACTIONS(6859), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(7174), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(7305), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9571), 3,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
  [258238] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17), 1,
      sym_preproc_directive,
    ACTIONS(11176), 1,
      sym_identifier,
    ACTIONS(11178), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(11291), 1,
      anon_sym_RBRACE,
    ACTIONS(11180), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(9275), 2,
      sym_preproc_call,
      sym_enumerator,
    STATE(9611), 2,
      sym_preproc_if_in_enumerator_list_no_comma,
      sym_preproc_ifdef_in_enumerator_list_no_comma,
    STATE(7739), 3,
      sym_preproc_if_in_enumerator_list,
      sym_preproc_ifdef_in_enumerator_list,
      aux_sym_enumerator_list_repeat1,
  [258271] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11293), 1,
      anon_sym_RPAREN,
    STATE(7166), 2,
      sym_string_literal,
      sym_raw_string_literal,
    ACTIONS(10845), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(10847), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [258296] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17), 1,
      sym_preproc_directive,
    ACTIONS(11176), 1,
      sym_identifier,
    ACTIONS(11178), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(11295), 1,
      anon_sym_RBRACE,
    ACTIONS(11180), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(9358), 2,
      sym_preproc_call,
      sym_enumerator,
    STATE(10342), 2,
      sym_preproc_if_in_enumerator_list_no_comma,
      sym_preproc_ifdef_in_enumerator_list_no_comma,
    STATE(7529), 3,
      sym_preproc_if_in_enumerator_list,
      sym_preproc_ifdef_in_enumerator_list,
      aux_sym_enumerator_list_repeat1,
  [258329] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17), 1,
      sym_preproc_directive,
    ACTIONS(11176), 1,
      sym_identifier,
    ACTIONS(11178), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(11297), 1,
      anon_sym_RBRACE,
    ACTIONS(11180), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(9398), 2,
      sym_preproc_call,
      sym_enumerator,
    STATE(9503), 2,
      sym_preproc_if_in_enumerator_list_no_comma,
      sym_preproc_ifdef_in_enumerator_list_no_comma,
    STATE(7739), 3,
      sym_preproc_if_in_enumerator_list,
      sym_preproc_ifdef_in_enumerator_list,
      aux_sym_enumerator_list_repeat1,
  [258362] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8357), 1,
      anon_sym_DASH_GT,
    ACTIONS(8420), 1,
      anon_sym_requires,
    ACTIONS(9314), 1,
      anon_sym_LBRACK,
    STATE(7719), 1,
      sym_trailing_return_type,
    ACTIONS(6859), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(7174), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(7349), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9309), 3,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
  [258395] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4561), 1,
      anon_sym_LPAREN2,
    ACTIONS(4563), 1,
      anon_sym_STAR,
    ACTIONS(4565), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4567), 1,
      anon_sym_AMP,
    ACTIONS(8509), 1,
      anon_sym_LBRACK,
    STATE(4924), 1,
      sym_parameter_list,
    STATE(7422), 1,
      sym__function_declarator_seq,
    STATE(8123), 1,
      sym__abstract_declarator,
    STATE(7436), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
  [258430] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(299), 1,
      anon_sym_LBRACE,
    ACTIONS(6521), 1,
      anon_sym_LBRACK,
    ACTIONS(11192), 1,
      anon_sym_COLON,
    ACTIONS(11222), 1,
      anon_sym_EQ,
    ACTIONS(11224), 1,
      anon_sym_try,
    ACTIONS(11299), 1,
      anon_sym_SEMI,
    STATE(382), 1,
      sym_compound_statement,
    STATE(9234), 1,
      sym_field_initializer_list,
    ACTIONS(5792), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
    STATE(372), 3,
      sym_constructor_try_statement,
      sym_default_method_clause,
      sym_delete_method_clause,
  [258467] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17), 1,
      sym_preproc_directive,
    ACTIONS(11176), 1,
      sym_identifier,
    ACTIONS(11178), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(11301), 1,
      anon_sym_RBRACE,
    ACTIONS(11180), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(9303), 2,
      sym_preproc_call,
      sym_enumerator,
    STATE(9575), 2,
      sym_preproc_if_in_enumerator_list_no_comma,
      sym_preproc_ifdef_in_enumerator_list_no_comma,
    STATE(7739), 3,
      sym_preproc_if_in_enumerator_list,
      sym_preproc_ifdef_in_enumerator_list,
      aux_sym_enumerator_list_repeat1,
  [258500] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(391), 1,
      anon_sym_LBRACE,
    ACTIONS(6521), 1,
      anon_sym_LBRACK,
    ACTIONS(11192), 1,
      anon_sym_COLON,
    ACTIONS(11303), 1,
      anon_sym_SEMI,
    ACTIONS(11305), 1,
      anon_sym_EQ,
    ACTIONS(11307), 1,
      anon_sym_try,
    STATE(595), 1,
      sym_compound_statement,
    STATE(9286), 1,
      sym_field_initializer_list,
    ACTIONS(5792), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
    STATE(594), 3,
      sym_constructor_try_statement,
      sym_default_method_clause,
      sym_delete_method_clause,
  [258537] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11309), 1,
      anon_sym_RPAREN,
    STATE(7166), 2,
      sym_string_literal,
      sym_raw_string_literal,
    ACTIONS(10845), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(10847), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [258562] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8178), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(11313), 1,
      anon_sym_LBRACK,
    STATE(7078), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(11311), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
      anon_sym_try,
  [258587] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8357), 1,
      anon_sym_DASH_GT,
    ACTIONS(9576), 1,
      anon_sym_LBRACK,
    ACTIONS(9941), 1,
      anon_sym_requires,
    STATE(7731), 1,
      sym_trailing_return_type,
    ACTIONS(9578), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(7174), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(7305), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9571), 3,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
  [258620] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4561), 1,
      anon_sym_LPAREN2,
    ACTIONS(4563), 1,
      anon_sym_STAR,
    ACTIONS(4565), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4567), 1,
      anon_sym_AMP,
    ACTIONS(8509), 1,
      anon_sym_LBRACK,
    STATE(4924), 1,
      sym_parameter_list,
    STATE(7422), 1,
      sym__function_declarator_seq,
    STATE(8121), 1,
      sym__abstract_declarator,
    STATE(7436), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
  [258655] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(53), 1,
      anon_sym_LBRACE,
    ACTIONS(6521), 1,
      anon_sym_LBRACK,
    ACTIONS(11192), 1,
      anon_sym_COLON,
    ACTIONS(11259), 1,
      anon_sym_EQ,
    ACTIONS(11261), 1,
      anon_sym_try,
    ACTIONS(11315), 1,
      anon_sym_SEMI,
    STATE(1247), 1,
      sym_compound_statement,
    STATE(9177), 1,
      sym_field_initializer_list,
    ACTIONS(5792), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
    STATE(1248), 3,
      sym_constructor_try_statement,
      sym_default_method_clause,
      sym_delete_method_clause,
  [258692] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2588), 1,
      anon_sym_operator,
    ACTIONS(3148), 1,
      anon_sym_decltype,
    ACTIONS(11317), 1,
      sym_identifier,
    ACTIONS(11319), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11321), 1,
      anon_sym_template,
    STATE(3560), 1,
      sym_template_method,
    STATE(3561), 1,
      sym_qualified_field_identifier,
    STATE(3562), 1,
      sym_dependent_field_identifier,
    STATE(7524), 1,
      sym__scope_resolution,
    STATE(9123), 1,
      sym_operator_name,
    STATE(10317), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
  [258731] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7126), 1,
      anon_sym_LBRACK,
    ACTIONS(7128), 12,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_LT,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
      anon_sym_try,
  [258752] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11323), 1,
      anon_sym_RPAREN,
    STATE(7166), 2,
      sym_string_literal,
      sym_raw_string_literal,
    ACTIONS(10845), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(10847), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [258777] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17), 1,
      sym_preproc_directive,
    ACTIONS(11176), 1,
      sym_identifier,
    ACTIONS(11178), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(11325), 1,
      anon_sym_RBRACE,
    ACTIONS(11180), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(9093), 2,
      sym_preproc_call,
      sym_enumerator,
    STATE(9998), 2,
      sym_preproc_if_in_enumerator_list_no_comma,
      sym_preproc_ifdef_in_enumerator_list_no_comma,
    STATE(7739), 3,
      sym_preproc_if_in_enumerator_list,
      sym_preproc_ifdef_in_enumerator_list,
      aux_sym_enumerator_list_repeat1,
  [258810] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17), 1,
      sym_preproc_directive,
    ACTIONS(11176), 1,
      sym_identifier,
    ACTIONS(11178), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(11327), 1,
      anon_sym_RBRACE,
    ACTIONS(11180), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(9142), 2,
      sym_preproc_call,
      sym_enumerator,
    STATE(10039), 2,
      sym_preproc_if_in_enumerator_list_no_comma,
      sym_preproc_ifdef_in_enumerator_list_no_comma,
    STATE(7739), 3,
      sym_preproc_if_in_enumerator_list,
      sym_preproc_ifdef_in_enumerator_list,
      aux_sym_enumerator_list_repeat1,
  [258843] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17), 1,
      sym_preproc_directive,
    ACTIONS(11176), 1,
      sym_identifier,
    ACTIONS(11178), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(11329), 1,
      anon_sym_RBRACE,
    ACTIONS(11180), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(9323), 2,
      sym_preproc_call,
      sym_enumerator,
    STATE(10281), 2,
      sym_preproc_if_in_enumerator_list_no_comma,
      sym_preproc_ifdef_in_enumerator_list_no_comma,
    STATE(7739), 3,
      sym_preproc_if_in_enumerator_list,
      sym_preproc_ifdef_in_enumerator_list,
      aux_sym_enumerator_list_repeat1,
  [258876] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(391), 1,
      anon_sym_LBRACE,
    ACTIONS(6521), 1,
      anon_sym_LBRACK,
    ACTIONS(11192), 1,
      anon_sym_COLON,
    ACTIONS(11305), 1,
      anon_sym_EQ,
    ACTIONS(11307), 1,
      anon_sym_try,
    ACTIONS(11331), 1,
      anon_sym_SEMI,
    STATE(666), 1,
      sym_compound_statement,
    STATE(9294), 1,
      sym_field_initializer_list,
    ACTIONS(5792), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
    STATE(667), 3,
      sym_constructor_try_statement,
      sym_default_method_clause,
      sym_delete_method_clause,
  [258913] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17), 1,
      sym_preproc_directive,
    ACTIONS(11176), 1,
      sym_identifier,
    ACTIONS(11178), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(11333), 1,
      anon_sym_RBRACE,
    ACTIONS(11180), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(9125), 2,
      sym_preproc_call,
      sym_enumerator,
    STATE(9743), 2,
      sym_preproc_if_in_enumerator_list_no_comma,
      sym_preproc_ifdef_in_enumerator_list_no_comma,
    STATE(7739), 3,
      sym_preproc_if_in_enumerator_list,
      sym_preproc_ifdef_in_enumerator_list,
      aux_sym_enumerator_list_repeat1,
  [258946] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6521), 1,
      anon_sym_LBRACK,
    ACTIONS(11192), 1,
      anon_sym_COLON,
    ACTIONS(11196), 1,
      anon_sym_LBRACE,
    ACTIONS(11198), 1,
      anon_sym_EQ,
    ACTIONS(11200), 1,
      anon_sym_try,
    ACTIONS(11335), 1,
      anon_sym_SEMI,
    STATE(2690), 1,
      sym_compound_statement,
    STATE(9074), 1,
      sym_field_initializer_list,
    ACTIONS(5792), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
    STATE(2691), 3,
      sym_constructor_try_statement,
      sym_default_method_clause,
      sym_delete_method_clause,
  [258983] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17), 1,
      sym_preproc_directive,
    ACTIONS(11176), 1,
      sym_identifier,
    ACTIONS(11178), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(11337), 1,
      anon_sym_RBRACE,
    ACTIONS(11180), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(9162), 2,
      sym_preproc_call,
      sym_enumerator,
    STATE(10069), 2,
      sym_preproc_if_in_enumerator_list_no_comma,
      sym_preproc_ifdef_in_enumerator_list_no_comma,
    STATE(7461), 3,
      sym_preproc_if_in_enumerator_list,
      sym_preproc_ifdef_in_enumerator_list,
      aux_sym_enumerator_list_repeat1,
  [259016] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2588), 1,
      anon_sym_operator,
    ACTIONS(3148), 1,
      anon_sym_decltype,
    ACTIONS(10962), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10964), 1,
      anon_sym_template,
    ACTIONS(11339), 1,
      sym_identifier,
    STATE(4540), 1,
      sym_qualified_field_identifier,
    STATE(4541), 1,
      sym_dependent_field_identifier,
    STATE(4542), 1,
      sym_template_method,
    STATE(7534), 1,
      sym__scope_resolution,
    STATE(9165), 1,
      sym_operator_name,
    STATE(10317), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
  [259055] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1486), 1,
      anon_sym_template,
    ACTIONS(2588), 1,
      anon_sym_operator,
    ACTIONS(3148), 1,
      anon_sym_decltype,
    ACTIONS(11319), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11341), 1,
      sym_identifier,
    STATE(7524), 1,
      sym__scope_resolution,
    STATE(9034), 1,
      sym_field_initializer,
    STATE(9123), 1,
      sym_operator_name,
    STATE(8418), 2,
      sym_template_method,
      sym_qualified_field_identifier,
    STATE(10317), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
  [259092] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17), 1,
      sym_preproc_directive,
    ACTIONS(11176), 1,
      sym_identifier,
    ACTIONS(11178), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(11343), 1,
      anon_sym_RBRACE,
    ACTIONS(11180), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(9155), 2,
      sym_preproc_call,
      sym_enumerator,
    STATE(9715), 2,
      sym_preproc_if_in_enumerator_list_no_comma,
      sym_preproc_ifdef_in_enumerator_list_no_comma,
    STATE(7517), 3,
      sym_preproc_if_in_enumerator_list,
      sym_preproc_ifdef_in_enumerator_list,
      aux_sym_enumerator_list_repeat1,
  [259125] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4561), 1,
      anon_sym_LPAREN2,
    ACTIONS(8509), 1,
      anon_sym_LBRACK,
    ACTIONS(8823), 1,
      anon_sym_STAR,
    ACTIONS(8825), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8827), 1,
      anon_sym_AMP,
    STATE(4963), 1,
      sym_parameter_list,
    STATE(7422), 1,
      sym__function_declarator_seq,
    STATE(7936), 1,
      sym__abstract_declarator,
    STATE(7436), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
  [259160] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8357), 1,
      anon_sym_DASH_GT,
    ACTIONS(9908), 1,
      anon_sym_LBRACK,
    ACTIONS(10187), 1,
      anon_sym_requires,
    STATE(7762), 1,
      sym_trailing_return_type,
    ACTIONS(9917), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(7174), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(7257), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9903), 3,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
  [259193] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8245), 1,
      anon_sym_requires,
    ACTIONS(8191), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(7234), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(7404), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9309), 6,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_GT2,
  [259220] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6521), 1,
      anon_sym_LBRACK,
    ACTIONS(11192), 1,
      anon_sym_COLON,
    ACTIONS(11269), 1,
      anon_sym_LBRACE,
    ACTIONS(11271), 1,
      anon_sym_EQ,
    ACTIONS(11273), 1,
      anon_sym_try,
    ACTIONS(11345), 1,
      anon_sym_SEMI,
    STATE(2797), 1,
      sym_compound_statement,
    STATE(9288), 1,
      sym_field_initializer_list,
    ACTIONS(5792), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
    STATE(2814), 3,
      sym_constructor_try_statement,
      sym_default_method_clause,
      sym_delete_method_clause,
  [259257] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(830), 1,
      anon_sym_LBRACE,
    ACTIONS(6521), 1,
      anon_sym_LBRACK,
    ACTIONS(11192), 1,
      anon_sym_COLON,
    ACTIONS(11253), 1,
      anon_sym_EQ,
    ACTIONS(11255), 1,
      anon_sym_try,
    ACTIONS(11347), 1,
      anon_sym_SEMI,
    STATE(1180), 1,
      sym_compound_statement,
    STATE(9137), 1,
      sym_field_initializer_list,
    ACTIONS(5792), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
    STATE(1176), 3,
      sym_constructor_try_statement,
      sym_default_method_clause,
      sym_delete_method_clause,
  [259294] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6951), 1,
      anon_sym_LBRACK,
    ACTIONS(6953), 12,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_LT,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
      anon_sym_try,
  [259315] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17), 1,
      sym_preproc_directive,
    ACTIONS(11176), 1,
      sym_identifier,
    ACTIONS(11178), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(11349), 1,
      anon_sym_RBRACE,
    ACTIONS(11180), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(9390), 2,
      sym_preproc_call,
      sym_enumerator,
    STATE(10382), 2,
      sym_preproc_if_in_enumerator_list_no_comma,
      sym_preproc_ifdef_in_enumerator_list_no_comma,
    STATE(7739), 3,
      sym_preproc_if_in_enumerator_list,
      sym_preproc_ifdef_in_enumerator_list,
      aux_sym_enumerator_list_repeat1,
  [259348] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8245), 1,
      anon_sym_requires,
    ACTIONS(8191), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(7234), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(7392), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9571), 6,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_GT2,
  [259375] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8245), 1,
      anon_sym_requires,
    ACTIONS(8191), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(7234), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(7366), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9903), 6,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_GT2,
  [259402] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11351), 1,
      anon_sym_RPAREN,
    STATE(7166), 2,
      sym_string_literal,
      sym_raw_string_literal,
    ACTIONS(10845), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(10847), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [259427] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8245), 1,
      anon_sym_requires,
    ACTIONS(8191), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(7234), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(7356), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(10636), 6,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_GT2,
  [259454] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17), 1,
      sym_preproc_directive,
    ACTIONS(11176), 1,
      sym_identifier,
    ACTIONS(11178), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(11353), 1,
      anon_sym_RBRACE,
    ACTIONS(11180), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(9161), 2,
      sym_preproc_call,
      sym_enumerator,
    STATE(9713), 2,
      sym_preproc_if_in_enumerator_list_no_comma,
      sym_preproc_ifdef_in_enumerator_list_no_comma,
    STATE(7531), 3,
      sym_preproc_if_in_enumerator_list,
      sym_preproc_ifdef_in_enumerator_list,
      aux_sym_enumerator_list_repeat1,
  [259487] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17), 1,
      sym_preproc_directive,
    ACTIONS(11176), 1,
      sym_identifier,
    ACTIONS(11178), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(11355), 1,
      anon_sym_RBRACE,
    ACTIONS(11180), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(9210), 2,
      sym_preproc_call,
      sym_enumerator,
    STATE(10144), 2,
      sym_preproc_if_in_enumerator_list_no_comma,
      sym_preproc_ifdef_in_enumerator_list_no_comma,
    STATE(7739), 3,
      sym_preproc_if_in_enumerator_list,
      sym_preproc_ifdef_in_enumerator_list,
      aux_sym_enumerator_list_repeat1,
  [259520] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1486), 1,
      anon_sym_template,
    ACTIONS(2588), 1,
      anon_sym_operator,
    ACTIONS(3148), 1,
      anon_sym_decltype,
    ACTIONS(11319), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11341), 1,
      sym_identifier,
    STATE(7524), 1,
      sym__scope_resolution,
    STATE(8773), 1,
      sym_field_initializer,
    STATE(9123), 1,
      sym_operator_name,
    STATE(8418), 2,
      sym_template_method,
      sym_qualified_field_identifier,
    STATE(10317), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
  [259557] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8357), 1,
      anon_sym_DASH_GT,
    ACTIONS(10496), 1,
      anon_sym_LBRACK,
    ACTIONS(11357), 1,
      anon_sym_requires,
    STATE(7742), 1,
      sym_trailing_return_type,
    ACTIONS(10514), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(7174), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(7262), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(10494), 3,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
  [259590] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8245), 1,
      anon_sym_requires,
    ACTIONS(8191), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(7234), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(7361), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(10494), 6,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_GT2,
  [259617] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1136), 1,
      anon_sym_LBRACE,
    ACTIONS(6521), 1,
      anon_sym_LBRACK,
    ACTIONS(11192), 1,
      anon_sym_COLON,
    ACTIONS(11212), 1,
      anon_sym_EQ,
    ACTIONS(11214), 1,
      anon_sym_try,
    STATE(1153), 1,
      sym_compound_statement,
    STATE(9136), 1,
      sym_field_initializer_list,
    ACTIONS(5792), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
    STATE(1154), 3,
      sym_constructor_try_statement,
      sym_default_method_clause,
      sym_delete_method_clause,
  [259651] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1486), 1,
      anon_sym_template,
    ACTIONS(3148), 1,
      anon_sym_decltype,
    ACTIONS(7285), 1,
      anon_sym_LBRACE,
    ACTIONS(9725), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9879), 1,
      sym_identifier,
    STATE(3736), 1,
      sym_template_type,
    STATE(3885), 1,
      sym_enumerator_list,
    STATE(7844), 1,
      sym__scope_resolution,
    STATE(3737), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(10317), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [259687] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(830), 1,
      anon_sym_LBRACE,
    ACTIONS(6521), 1,
      anon_sym_LBRACK,
    ACTIONS(11192), 1,
      anon_sym_COLON,
    ACTIONS(11253), 1,
      anon_sym_EQ,
    ACTIONS(11255), 1,
      anon_sym_try,
    STATE(1041), 1,
      sym_compound_statement,
    STATE(9048), 1,
      sym_field_initializer_list,
    ACTIONS(5792), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
    STATE(1175), 3,
      sym_constructor_try_statement,
      sym_default_method_clause,
      sym_delete_method_clause,
  [259721] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1486), 1,
      anon_sym_template,
    ACTIONS(3148), 1,
      anon_sym_decltype,
    ACTIONS(8334), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9554), 1,
      anon_sym_LBRACE,
    ACTIONS(9881), 1,
      sym_identifier,
    STATE(2999), 1,
      sym_template_type,
    STATE(6133), 1,
      sym_enumerator_list,
    STATE(7862), 1,
      sym__scope_resolution,
    STATE(6067), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(10317), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [259757] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1486), 1,
      anon_sym_template,
    ACTIONS(3148), 1,
      anon_sym_decltype,
    ACTIONS(7298), 1,
      anon_sym_LBRACE,
    ACTIONS(9807), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9891), 1,
      sym_identifier,
    STATE(3762), 1,
      sym_template_type,
    STATE(4037), 1,
      sym_enumerator_list,
    STATE(7882), 1,
      sym__scope_resolution,
    STATE(3753), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(10317), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [259793] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1486), 1,
      anon_sym_template,
    ACTIONS(3148), 1,
      anon_sym_decltype,
    ACTIONS(6081), 1,
      anon_sym_LBRACE,
    ACTIONS(8402), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9885), 1,
      sym_identifier,
    STATE(2999), 1,
      sym_template_type,
    STATE(3118), 1,
      sym_enumerator_list,
    STATE(7841), 1,
      sym__scope_resolution,
    STATE(3686), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(10317), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [259829] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(391), 1,
      anon_sym_LBRACE,
    ACTIONS(6521), 1,
      anon_sym_LBRACK,
    ACTIONS(11192), 1,
      anon_sym_COLON,
    ACTIONS(11305), 1,
      anon_sym_EQ,
    ACTIONS(11307), 1,
      anon_sym_try,
    STATE(595), 1,
      sym_compound_statement,
    STATE(9286), 1,
      sym_field_initializer_list,
    ACTIONS(5792), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
    STATE(594), 3,
      sym_constructor_try_statement,
      sym_default_method_clause,
      sym_delete_method_clause,
  [259863] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1486), 1,
      anon_sym_template,
    ACTIONS(3148), 1,
      anon_sym_decltype,
    ACTIONS(5589), 1,
      anon_sym_virtual,
    ACTIONS(10650), 1,
      sym_identifier,
    ACTIONS(10670), 1,
      anon_sym_COLON_COLON,
    STATE(2999), 1,
      sym_template_type,
    STATE(7814), 1,
      sym_virtual,
    STATE(7872), 1,
      sym__scope_resolution,
    STATE(8897), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(10317), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [259899] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1486), 1,
      anon_sym_template,
    ACTIONS(3148), 1,
      anon_sym_decltype,
    ACTIONS(5589), 1,
      anon_sym_virtual,
    ACTIONS(10650), 1,
      sym_identifier,
    ACTIONS(10670), 1,
      anon_sym_COLON_COLON,
    STATE(2999), 1,
      sym_template_type,
    STATE(7790), 1,
      sym_virtual,
    STATE(7872), 1,
      sym__scope_resolution,
    STATE(8249), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(10317), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [259935] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1486), 1,
      anon_sym_template,
    ACTIONS(3148), 1,
      anon_sym_decltype,
    ACTIONS(6081), 1,
      anon_sym_LBRACE,
    ACTIONS(9881), 1,
      sym_identifier,
    ACTIONS(9883), 1,
      anon_sym_COLON_COLON,
    STATE(2999), 1,
      sym_template_type,
    STATE(6588), 1,
      sym_enumerator_list,
    STATE(7848), 1,
      sym__scope_resolution,
    STATE(7795), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(10317), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [259971] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(391), 1,
      anon_sym_LBRACE,
    ACTIONS(6521), 1,
      anon_sym_LBRACK,
    ACTIONS(11192), 1,
      anon_sym_COLON,
    ACTIONS(11305), 1,
      anon_sym_EQ,
    ACTIONS(11307), 1,
      anon_sym_try,
    STATE(666), 1,
      sym_compound_statement,
    STATE(9294), 1,
      sym_field_initializer_list,
    ACTIONS(5792), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
    STATE(667), 3,
      sym_constructor_try_statement,
      sym_default_method_clause,
      sym_delete_method_clause,
  [260005] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2230), 1,
      anon_sym_COLON_COLON,
    ACTIONS(2232), 1,
      anon_sym_COLON,
    ACTIONS(2297), 1,
      anon_sym_LT,
    STATE(3017), 1,
      sym_template_argument_list,
    ACTIONS(2234), 8,
      anon_sym_COMMA,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
  [260031] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10094), 1,
      anon_sym_LPAREN2,
    ACTIONS(11360), 1,
      anon_sym_LBRACK,
    STATE(4866), 1,
      sym_parameter_list,
    STATE(7453), 1,
      sym__function_declarator_seq,
    ACTIONS(10909), 8,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [260057] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1486), 1,
      anon_sym_template,
    ACTIONS(3148), 1,
      anon_sym_decltype,
    ACTIONS(8402), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9554), 1,
      anon_sym_LBRACE,
    ACTIONS(9885), 1,
      sym_identifier,
    STATE(2999), 1,
      sym_template_type,
    STATE(6133), 1,
      sym_enumerator_list,
    STATE(7841), 1,
      sym__scope_resolution,
    STATE(6217), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(10317), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [260093] = 4,
    ACTIONS(3), 1,
      sym_comment,
    STATE(7166), 2,
      sym_string_literal,
      sym_raw_string_literal,
    ACTIONS(10845), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(10847), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [260115] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8178), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(11364), 1,
      anon_sym_LBRACK,
    STATE(7078), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(11362), 8,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_try,
  [260139] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2256), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4578), 2,
      anon_sym_COLON,
      anon_sym_LBRACK,
    ACTIONS(4573), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
      anon_sym_try,
  [260161] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10094), 1,
      anon_sym_LPAREN2,
    ACTIONS(11360), 1,
      anon_sym_LBRACK,
    STATE(4866), 1,
      sym_parameter_list,
    STATE(7453), 1,
      sym__function_declarator_seq,
    ACTIONS(10895), 8,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [260187] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10094), 1,
      anon_sym_LPAREN2,
    ACTIONS(11360), 1,
      anon_sym_LBRACK,
    STATE(4866), 1,
      sym_parameter_list,
    STATE(7453), 1,
      sym__function_declarator_seq,
    ACTIONS(10929), 8,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [260213] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10094), 1,
      anon_sym_LPAREN2,
    ACTIONS(11360), 1,
      anon_sym_LBRACK,
    STATE(4866), 1,
      sym_parameter_list,
    STATE(7453), 1,
      sym__function_declarator_seq,
    ACTIONS(10931), 8,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [260239] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11368), 1,
      anon_sym_LT,
    ACTIONS(11370), 1,
      anon_sym_LBRACK,
    STATE(7699), 1,
      sym_template_argument_list,
    ACTIONS(11366), 9,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_try,
  [260263] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(299), 1,
      anon_sym_LBRACE,
    ACTIONS(6521), 1,
      anon_sym_LBRACK,
    ACTIONS(11192), 1,
      anon_sym_COLON,
    ACTIONS(11222), 1,
      anon_sym_EQ,
    ACTIONS(11224), 1,
      anon_sym_try,
    STATE(425), 1,
      sym_compound_statement,
    STATE(9144), 1,
      sym_field_initializer_list,
    ACTIONS(5792), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
    STATE(422), 3,
      sym_constructor_try_statement,
      sym_default_method_clause,
      sym_delete_method_clause,
  [260297] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1486), 1,
      anon_sym_template,
    ACTIONS(3148), 1,
      anon_sym_decltype,
    ACTIONS(6584), 1,
      anon_sym_LBRACE,
    ACTIONS(9761), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9887), 1,
      sym_identifier,
    STATE(3244), 1,
      sym_template_type,
    STATE(3370), 1,
      sym_enumerator_list,
    STATE(7878), 1,
      sym__scope_resolution,
    STATE(3487), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(10317), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [260333] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1486), 1,
      anon_sym_template,
    ACTIONS(3148), 1,
      anon_sym_decltype,
    ACTIONS(7310), 1,
      anon_sym_LBRACE,
    ACTIONS(9793), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9889), 1,
      sym_identifier,
    STATE(3779), 1,
      sym_enumerator_list,
    STATE(3817), 1,
      sym_template_type,
    STATE(7839), 1,
      sym__scope_resolution,
    STATE(5193), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(10317), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [260369] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6688), 1,
      anon_sym_LBRACK,
    ACTIONS(11372), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(7577), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(6690), 8,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_try,
  [260393] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1486), 1,
      anon_sym_template,
    ACTIONS(3148), 1,
      anon_sym_decltype,
    ACTIONS(8364), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9586), 1,
      anon_sym_LBRACE,
    ACTIONS(9893), 1,
      sym_identifier,
    STATE(6081), 1,
      sym_template_type,
    STATE(6220), 1,
      sym_enumerator_list,
    STATE(7852), 1,
      sym__scope_resolution,
    STATE(6087), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(10317), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [260429] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(53), 1,
      anon_sym_LBRACE,
    ACTIONS(6521), 1,
      anon_sym_LBRACK,
    ACTIONS(11192), 1,
      anon_sym_COLON,
    ACTIONS(11259), 1,
      anon_sym_EQ,
    ACTIONS(11261), 1,
      anon_sym_try,
    STATE(1285), 1,
      sym_compound_statement,
    STATE(9172), 1,
      sym_field_initializer_list,
    ACTIONS(5792), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
    STATE(1284), 3,
      sym_constructor_try_statement,
      sym_default_method_clause,
      sym_delete_method_clause,
  [260463] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(299), 1,
      anon_sym_LBRACE,
    ACTIONS(6521), 1,
      anon_sym_LBRACK,
    ACTIONS(11192), 1,
      anon_sym_COLON,
    ACTIONS(11222), 1,
      anon_sym_EQ,
    ACTIONS(11224), 1,
      anon_sym_try,
    STATE(382), 1,
      sym_compound_statement,
    STATE(9234), 1,
      sym_field_initializer_list,
    ACTIONS(5792), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
    STATE(372), 3,
      sym_constructor_try_statement,
      sym_default_method_clause,
      sym_delete_method_clause,
  [260497] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11368), 1,
      anon_sym_LT,
    ACTIONS(11377), 1,
      anon_sym_LBRACK,
    STATE(7692), 1,
      sym_template_argument_list,
    ACTIONS(11375), 9,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_try,
  [260521] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1486), 1,
      anon_sym_template,
    ACTIONS(3148), 1,
      anon_sym_decltype,
    ACTIONS(6081), 1,
      anon_sym_LBRACE,
    ACTIONS(8402), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9885), 1,
      sym_identifier,
    STATE(2999), 1,
      sym_template_type,
    STATE(3118), 1,
      sym_enumerator_list,
    STATE(7841), 1,
      sym__scope_resolution,
    STATE(3499), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(10317), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [260557] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(53), 1,
      anon_sym_LBRACE,
    ACTIONS(6521), 1,
      anon_sym_LBRACK,
    ACTIONS(11192), 1,
      anon_sym_COLON,
    ACTIONS(11259), 1,
      anon_sym_EQ,
    ACTIONS(11261), 1,
      anon_sym_try,
    STATE(1247), 1,
      sym_compound_statement,
    STATE(9177), 1,
      sym_field_initializer_list,
    ACTIONS(5792), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
    STATE(1248), 3,
      sym_constructor_try_statement,
      sym_default_method_clause,
      sym_delete_method_clause,
  [260591] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10094), 1,
      anon_sym_LPAREN2,
    ACTIONS(11360), 1,
      anon_sym_LBRACK,
    STATE(4866), 1,
      sym_parameter_list,
    STATE(7453), 1,
      sym__function_declarator_seq,
    ACTIONS(10905), 8,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [260617] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1486), 1,
      anon_sym_template,
    ACTIONS(3148), 1,
      anon_sym_decltype,
    ACTIONS(7112), 1,
      anon_sym_LBRACE,
    ACTIONS(9747), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9925), 1,
      sym_identifier,
    STATE(3248), 1,
      sym_template_type,
    STATE(3687), 1,
      sym_enumerator_list,
    STATE(7875), 1,
      sym__scope_resolution,
    STATE(5026), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(10317), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [260653] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1486), 1,
      anon_sym_template,
    ACTIONS(3148), 1,
      anon_sym_decltype,
    ACTIONS(7112), 1,
      anon_sym_LBRACE,
    ACTIONS(8288), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9901), 1,
      sym_identifier,
    STATE(3248), 1,
      sym_template_type,
    STATE(6685), 1,
      sym_enumerator_list,
    STATE(7858), 1,
      sym__scope_resolution,
    STATE(6563), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(10317), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [260689] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6559), 6,
      anon_sym_AMP,
      anon_sym___based,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
    ACTIONS(6561), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK,
  [260709] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10094), 1,
      anon_sym_LPAREN2,
    ACTIONS(11360), 1,
      anon_sym_LBRACK,
    STATE(4866), 1,
      sym_parameter_list,
    STATE(7453), 1,
      sym__function_declarator_seq,
    ACTIONS(10937), 8,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [260735] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10094), 1,
      anon_sym_LPAREN2,
    ACTIONS(11360), 1,
      anon_sym_LBRACK,
    STATE(4866), 1,
      sym_parameter_list,
    STATE(7453), 1,
      sym__function_declarator_seq,
    ACTIONS(10949), 8,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [260761] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6609), 1,
      anon_sym_LBRACK,
    ACTIONS(10094), 1,
      anon_sym_LPAREN2,
    STATE(3417), 1,
      sym_parameter_list,
    STATE(7723), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(6650), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_try,
  [260789] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1486), 1,
      anon_sym_template,
    ACTIONS(3148), 1,
      anon_sym_decltype,
    ACTIONS(7412), 1,
      anon_sym_LBRACE,
    ACTIONS(9675), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9897), 1,
      sym_identifier,
    STATE(3921), 1,
      sym_template_type,
    STATE(4375), 1,
      sym_enumerator_list,
    STATE(7854), 1,
      sym__scope_resolution,
    STATE(3888), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(10317), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [260825] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1486), 1,
      anon_sym_template,
    ACTIONS(3148), 1,
      anon_sym_decltype,
    ACTIONS(5589), 1,
      anon_sym_virtual,
    ACTIONS(10650), 1,
      sym_identifier,
    ACTIONS(10670), 1,
      anon_sym_COLON_COLON,
    STATE(2999), 1,
      sym_template_type,
    STATE(7809), 1,
      sym_virtual,
    STATE(7872), 1,
      sym__scope_resolution,
    STATE(8358), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(10317), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [260861] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1486), 1,
      anon_sym_template,
    ACTIONS(3148), 1,
      anon_sym_decltype,
    ACTIONS(6584), 1,
      anon_sym_LBRACE,
    ACTIONS(9761), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9887), 1,
      sym_identifier,
    STATE(3244), 1,
      sym_template_type,
    STATE(3370), 1,
      sym_enumerator_list,
    STATE(7878), 1,
      sym__scope_resolution,
    STATE(3678), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(10317), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [260897] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10094), 1,
      anon_sym_LPAREN2,
    ACTIONS(11360), 1,
      anon_sym_LBRACK,
    STATE(4866), 1,
      sym_parameter_list,
    STATE(7453), 1,
      sym__function_declarator_seq,
    ACTIONS(10951), 8,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [260923] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1486), 1,
      anon_sym_template,
    ACTIONS(3148), 1,
      anon_sym_decltype,
    ACTIONS(3904), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6081), 1,
      anon_sym_LBRACE,
    ACTIONS(9885), 1,
      sym_identifier,
    STATE(2999), 1,
      sym_template_type,
    STATE(3118), 1,
      sym_enumerator_list,
    STATE(7887), 1,
      sym__scope_resolution,
    STATE(3146), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(10317), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [260959] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1486), 1,
      anon_sym_template,
    ACTIONS(3148), 1,
      anon_sym_decltype,
    ACTIONS(4569), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6081), 1,
      anon_sym_LBRACE,
    ACTIONS(9923), 1,
      sym_identifier,
    STATE(2999), 1,
      sym_template_type,
    STATE(3118), 1,
      sym_enumerator_list,
    STATE(7879), 1,
      sym__scope_resolution,
    STATE(3181), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(10317), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [260995] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6609), 1,
      anon_sym_LBRACK,
    ACTIONS(10094), 1,
      anon_sym_LPAREN2,
    STATE(3417), 1,
      sym_parameter_list,
    STATE(7723), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(6632), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_try,
  [261023] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2230), 1,
      anon_sym_COLON_COLON,
    ACTIONS(2297), 1,
      anon_sym_LT,
    STATE(3017), 1,
      sym_template_argument_list,
    STATE(6111), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(4219), 4,
      anon_sym_COMMA,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
    ACTIONS(9532), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
  [261051] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1486), 1,
      anon_sym_template,
    ACTIONS(3148), 1,
      anon_sym_decltype,
    ACTIONS(7310), 1,
      anon_sym_LBRACE,
    ACTIONS(8416), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9915), 1,
      sym_identifier,
    STATE(3779), 1,
      sym_enumerator_list,
    STATE(3817), 1,
      sym_template_type,
    STATE(7845), 1,
      sym__scope_resolution,
    STATE(6270), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(10317), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [261087] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8178), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(10094), 1,
      anon_sym_LPAREN2,
    ACTIONS(10726), 1,
      anon_sym_LBRACK,
    ACTIONS(11381), 1,
      anon_sym_COLON,
    ACTIONS(11383), 1,
      anon_sym_EQ,
    STATE(4453), 1,
      sym_parameter_list,
    STATE(7601), 1,
      sym__function_declarator_seq,
    STATE(8817), 1,
      sym_semantics,
    ACTIONS(11379), 2,
      anon_sym_COMMA,
      anon_sym_GT2,
    STATE(7520), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [261123] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11387), 1,
      anon_sym_COLON,
    ACTIONS(11390), 1,
      anon_sym_LBRACK,
    STATE(7763), 1,
      sym_semantics,
    ACTIONS(11385), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
      anon_sym_try,
  [261147] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6609), 1,
      anon_sym_LBRACK,
    ACTIONS(10094), 1,
      anon_sym_LPAREN2,
    STATE(3417), 1,
      sym_parameter_list,
    STATE(7723), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(6603), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_try,
  [261175] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1136), 1,
      anon_sym_LBRACE,
    ACTIONS(6521), 1,
      anon_sym_LBRACK,
    ACTIONS(11192), 1,
      anon_sym_COLON,
    ACTIONS(11212), 1,
      anon_sym_EQ,
    ACTIONS(11214), 1,
      anon_sym_try,
    STATE(1072), 1,
      sym_compound_statement,
    STATE(9176), 1,
      sym_field_initializer_list,
    ACTIONS(5792), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
    STATE(1070), 3,
      sym_constructor_try_statement,
      sym_default_method_clause,
      sym_delete_method_clause,
  [261209] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8178), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(10094), 1,
      anon_sym_LPAREN2,
    ACTIONS(10726), 1,
      anon_sym_LBRACK,
    ACTIONS(11381), 1,
      anon_sym_COLON,
    ACTIONS(11392), 1,
      anon_sym_EQ,
    STATE(4453), 1,
      sym_parameter_list,
    STATE(7601), 1,
      sym__function_declarator_seq,
    STATE(8817), 1,
      sym_semantics,
    ACTIONS(11379), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    STATE(7520), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [261245] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1486), 1,
      anon_sym_template,
    ACTIONS(3148), 1,
      anon_sym_decltype,
    ACTIONS(7112), 1,
      anon_sym_LBRACE,
    ACTIONS(8288), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9901), 1,
      sym_identifier,
    STATE(3248), 1,
      sym_template_type,
    STATE(3687), 1,
      sym_enumerator_list,
    STATE(7858), 1,
      sym__scope_resolution,
    STATE(6275), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(10317), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [261281] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6609), 1,
      anon_sym_LBRACK,
    ACTIONS(10094), 1,
      anon_sym_LPAREN2,
    STATE(3417), 1,
      sym_parameter_list,
    STATE(7723), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(6654), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_try,
  [261309] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1486), 1,
      anon_sym_template,
    ACTIONS(3148), 1,
      anon_sym_decltype,
    ACTIONS(8169), 1,
      anon_sym_LBRACE,
    ACTIONS(9697), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9895), 1,
      sym_identifier,
    STATE(4855), 1,
      sym_template_type,
    STATE(5040), 1,
      sym_enumerator_list,
    STATE(7840), 1,
      sym__scope_resolution,
    STATE(4854), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(10317), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [261345] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1486), 1,
      anon_sym_template,
    ACTIONS(3148), 1,
      anon_sym_decltype,
    ACTIONS(7027), 1,
      anon_sym_LBRACE,
    ACTIONS(9653), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9927), 1,
      sym_identifier,
    STATE(3615), 1,
      sym_template_type,
    STATE(3775), 1,
      sym_enumerator_list,
    STATE(7837), 1,
      sym__scope_resolution,
    STATE(3583), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(10317), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [261381] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1486), 1,
      anon_sym_template,
    ACTIONS(3148), 1,
      anon_sym_decltype,
    ACTIONS(8249), 1,
      anon_sym_LBRACE,
    ACTIONS(9631), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9899), 1,
      sym_identifier,
    STATE(4985), 1,
      sym_template_type,
    STATE(5168), 1,
      sym_enumerator_list,
    STATE(7838), 1,
      sym__scope_resolution,
    STATE(5000), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(10317), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [261417] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1486), 1,
      anon_sym_template,
    ACTIONS(3148), 1,
      anon_sym_decltype,
    ACTIONS(5589), 1,
      anon_sym_virtual,
    ACTIONS(10650), 1,
      sym_identifier,
    ACTIONS(10670), 1,
      anon_sym_COLON_COLON,
    STATE(2999), 1,
      sym_template_type,
    STATE(7805), 1,
      sym_virtual,
    STATE(7872), 1,
      sym__scope_resolution,
    STATE(8664), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(10317), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [261453] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(830), 1,
      anon_sym_LBRACE,
    ACTIONS(6521), 1,
      anon_sym_LBRACK,
    ACTIONS(11192), 1,
      anon_sym_COLON,
    ACTIONS(11253), 1,
      anon_sym_EQ,
    ACTIONS(11255), 1,
      anon_sym_try,
    STATE(1180), 1,
      sym_compound_statement,
    STATE(9137), 1,
      sym_field_initializer_list,
    ACTIONS(5792), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
    STATE(1176), 3,
      sym_constructor_try_statement,
      sym_default_method_clause,
      sym_delete_method_clause,
  [261487] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1486), 1,
      anon_sym_template,
    ACTIONS(3148), 1,
      anon_sym_decltype,
    ACTIONS(6081), 1,
      anon_sym_LBRACE,
    ACTIONS(8402), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9885), 1,
      sym_identifier,
    STATE(2999), 1,
      sym_template_type,
    STATE(6588), 1,
      sym_enumerator_list,
    STATE(7841), 1,
      sym__scope_resolution,
    STATE(6372), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(10317), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [261523] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(53), 1,
      anon_sym_LBRACE,
    ACTIONS(10094), 1,
      anon_sym_LPAREN2,
    ACTIONS(10726), 1,
      anon_sym_LBRACK,
    ACTIONS(10783), 1,
      anon_sym_try,
    STATE(1255), 1,
      sym_compound_statement,
    STATE(1260), 1,
      sym_try_statement,
    STATE(4875), 1,
      sym_parameter_list,
    STATE(7816), 1,
      sym__function_declarator_seq,
    STATE(7787), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [261558] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10094), 1,
      anon_sym_LPAREN2,
    ACTIONS(11360), 1,
      anon_sym_LBRACK,
    STATE(4931), 1,
      sym_parameter_list,
    STATE(7453), 1,
      sym__function_declarator_seq,
    ACTIONS(10951), 7,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [261583] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(10094), 1,
      anon_sym_LPAREN2,
    ACTIONS(10148), 1,
      anon_sym_try,
    ACTIONS(10726), 1,
      anon_sym_LBRACK,
    ACTIONS(11269), 1,
      anon_sym_LBRACE,
    STATE(2812), 1,
      sym_try_statement,
    STATE(2841), 1,
      sym_compound_statement,
    STATE(4875), 1,
      sym_parameter_list,
    STATE(7816), 1,
      sym__function_declarator_seq,
    STATE(7787), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [261618] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(10094), 1,
      anon_sym_LPAREN2,
    ACTIONS(10726), 1,
      anon_sym_LBRACK,
    STATE(4875), 1,
      sym_parameter_list,
    STATE(7816), 1,
      sym__function_declarator_seq,
    STATE(7787), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(11037), 4,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_try,
  [261647] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(299), 1,
      anon_sym_LBRACE,
    ACTIONS(10094), 1,
      anon_sym_LPAREN2,
    ACTIONS(10726), 1,
      anon_sym_LBRACK,
    ACTIONS(10777), 1,
      anon_sym_try,
    STATE(413), 1,
      sym_compound_statement,
    STATE(414), 1,
      sym_try_statement,
    STATE(4875), 1,
      sym_parameter_list,
    STATE(7816), 1,
      sym__function_declarator_seq,
    STATE(7787), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [261682] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11396), 1,
      anon_sym_LBRACK,
    ACTIONS(11394), 10,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_try,
  [261701] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(299), 1,
      anon_sym_LBRACE,
    ACTIONS(10094), 1,
      anon_sym_LPAREN2,
    ACTIONS(10726), 1,
      anon_sym_LBRACK,
    ACTIONS(10777), 1,
      anon_sym_try,
    STATE(415), 1,
      sym_compound_statement,
    STATE(427), 1,
      sym_try_statement,
    STATE(4875), 1,
      sym_parameter_list,
    STATE(7816), 1,
      sym__function_declarator_seq,
    STATE(7787), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [261736] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10094), 1,
      anon_sym_LPAREN2,
    ACTIONS(11360), 1,
      anon_sym_LBRACK,
    STATE(4889), 1,
      sym_parameter_list,
    STATE(7453), 1,
      sym__function_declarator_seq,
    ACTIONS(10931), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [261761] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10094), 1,
      anon_sym_LPAREN2,
    ACTIONS(11360), 1,
      anon_sym_LBRACK,
    STATE(4889), 1,
      sym_parameter_list,
    STATE(7453), 1,
      sym__function_declarator_seq,
    ACTIONS(10929), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [261786] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(10094), 1,
      anon_sym_LPAREN2,
    ACTIONS(10148), 1,
      anon_sym_try,
    ACTIONS(10726), 1,
      anon_sym_LBRACK,
    ACTIONS(11269), 1,
      anon_sym_LBRACE,
    STATE(2839), 1,
      sym_compound_statement,
    STATE(2840), 1,
      sym_try_statement,
    STATE(4875), 1,
      sym_parameter_list,
    STATE(7816), 1,
      sym__function_declarator_seq,
    STATE(7787), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [261821] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(10094), 1,
      anon_sym_LPAREN2,
    ACTIONS(10106), 1,
      anon_sym_try,
    ACTIONS(10726), 1,
      anon_sym_LBRACK,
    ACTIONS(11204), 1,
      anon_sym_LBRACE,
    STATE(2624), 1,
      sym_try_statement,
    STATE(2625), 1,
      sym_compound_statement,
    STATE(4875), 1,
      sym_parameter_list,
    STATE(7816), 1,
      sym__function_declarator_seq,
    STATE(7787), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [261856] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(1136), 1,
      anon_sym_LBRACE,
    ACTIONS(10094), 1,
      anon_sym_LPAREN2,
    ACTIONS(10726), 1,
      anon_sym_LBRACK,
    ACTIONS(10740), 1,
      anon_sym_try,
    STATE(1100), 1,
      sym_try_statement,
    STATE(1101), 1,
      sym_compound_statement,
    STATE(4875), 1,
      sym_parameter_list,
    STATE(7816), 1,
      sym__function_declarator_seq,
    STATE(7787), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [261891] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10094), 1,
      anon_sym_LPAREN2,
    ACTIONS(11360), 1,
      anon_sym_LBRACK,
    STATE(4889), 1,
      sym_parameter_list,
    STATE(7453), 1,
      sym__function_declarator_seq,
    ACTIONS(10905), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [261916] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(10094), 1,
      anon_sym_LPAREN2,
    ACTIONS(10148), 1,
      anon_sym_try,
    ACTIONS(10726), 1,
      anon_sym_LBRACK,
    ACTIONS(11269), 1,
      anon_sym_LBRACE,
    STATE(2809), 1,
      sym_compound_statement,
    STATE(2823), 1,
      sym_try_statement,
    STATE(4875), 1,
      sym_parameter_list,
    STATE(7816), 1,
      sym__function_declarator_seq,
    STATE(7787), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [261951] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(10094), 1,
      anon_sym_LPAREN2,
    ACTIONS(10106), 1,
      anon_sym_try,
    ACTIONS(10726), 1,
      anon_sym_LBRACK,
    ACTIONS(11204), 1,
      anon_sym_LBRACE,
    STATE(2640), 1,
      sym_try_statement,
    STATE(2641), 1,
      sym_compound_statement,
    STATE(4875), 1,
      sym_parameter_list,
    STATE(7816), 1,
      sym__function_declarator_seq,
    STATE(7787), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [261986] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(10094), 1,
      anon_sym_LPAREN2,
    ACTIONS(10106), 1,
      anon_sym_try,
    ACTIONS(10726), 1,
      anon_sym_LBRACK,
    ACTIONS(11204), 1,
      anon_sym_LBRACE,
    STATE(2645), 1,
      sym_try_statement,
    STATE(2649), 1,
      sym_compound_statement,
    STATE(4875), 1,
      sym_parameter_list,
    STATE(7816), 1,
      sym__function_declarator_seq,
    STATE(7787), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [262021] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(10094), 1,
      anon_sym_LPAREN2,
    ACTIONS(10106), 1,
      anon_sym_try,
    ACTIONS(10726), 1,
      anon_sym_LBRACK,
    ACTIONS(11204), 1,
      anon_sym_LBRACE,
    STATE(2643), 1,
      sym_compound_statement,
    STATE(2644), 1,
      sym_try_statement,
    STATE(4875), 1,
      sym_parameter_list,
    STATE(7816), 1,
      sym__function_declarator_seq,
    STATE(7787), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [262056] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10094), 1,
      anon_sym_LPAREN2,
    ACTIONS(11360), 1,
      anon_sym_LBRACK,
    STATE(4931), 1,
      sym_parameter_list,
    STATE(7453), 1,
      sym__function_declarator_seq,
    ACTIONS(10949), 7,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [262081] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10094), 1,
      anon_sym_LPAREN2,
    ACTIONS(11360), 1,
      anon_sym_LBRACK,
    STATE(4931), 1,
      sym_parameter_list,
    STATE(7453), 1,
      sym__function_declarator_seq,
    ACTIONS(10937), 7,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [262106] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11088), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(11398), 1,
      sym_identifier,
    ACTIONS(11400), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(11402), 1,
      aux_sym_preproc_elif_token1,
    STATE(7898), 1,
      aux_sym_preproc_if_in_enumerator_list_no_comma_repeat1,
    STATE(7955), 1,
      aux_sym_preproc_if_in_enumerator_list_repeat1,
    STATE(8101), 1,
      sym_enumerator,
    STATE(10201), 2,
      sym_preproc_else_in_enumerator_list,
      sym_preproc_elif_in_enumerator_list,
    STATE(10400), 2,
      sym_preproc_else_in_enumerator_list_no_comma,
      sym_preproc_elif_in_enumerator_list_no_comma,
  [262139] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11406), 1,
      anon_sym_LBRACK,
    ACTIONS(11404), 10,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
      anon_sym_try,
  [262158] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1486), 1,
      anon_sym_template,
    ACTIONS(3148), 1,
      anon_sym_decltype,
    ACTIONS(10578), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11408), 1,
      sym_identifier,
    STATE(6974), 1,
      sym__scope_resolution,
    STATE(9698), 1,
      sym_qualified_identifier,
    ACTIONS(11410), 2,
      anon_sym_enum,
      anon_sym_namespace,
    STATE(10317), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
  [262189] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(10094), 1,
      anon_sym_LPAREN2,
    ACTIONS(10726), 1,
      anon_sym_LBRACK,
    STATE(4875), 1,
      sym_parameter_list,
    STATE(7816), 1,
      sym__function_declarator_seq,
    STATE(7787), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(11082), 4,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_try,
  [262218] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(10094), 1,
      anon_sym_LPAREN2,
    ACTIONS(10726), 1,
      anon_sym_LBRACK,
    STATE(4875), 1,
      sym_parameter_list,
    STATE(7816), 1,
      sym__function_declarator_seq,
    STATE(7787), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(11106), 4,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_try,
  [262247] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(10094), 1,
      anon_sym_LPAREN2,
    ACTIONS(10106), 1,
      anon_sym_try,
    ACTIONS(10726), 1,
      anon_sym_LBRACK,
    ACTIONS(11204), 1,
      anon_sym_LBRACE,
    STATE(2612), 1,
      sym_compound_statement,
    STATE(2616), 1,
      sym_try_statement,
    STATE(4875), 1,
      sym_parameter_list,
    STATE(7816), 1,
      sym__function_declarator_seq,
    STATE(7787), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [262282] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5832), 1,
      anon_sym_LBRACK,
    ACTIONS(11412), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(5834), 8,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_LBRACK_LBRACK,
      anon_sym_or,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [262303] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11416), 1,
      anon_sym_LBRACK,
    ACTIONS(11414), 10,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
      anon_sym_try,
  [262322] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(10094), 1,
      anon_sym_LPAREN2,
    ACTIONS(10106), 1,
      anon_sym_try,
    ACTIONS(10726), 1,
      anon_sym_LBRACK,
    ACTIONS(11204), 1,
      anon_sym_LBRACE,
    STATE(2572), 1,
      sym_compound_statement,
    STATE(2577), 1,
      sym_try_statement,
    STATE(4875), 1,
      sym_parameter_list,
    STATE(7816), 1,
      sym__function_declarator_seq,
    STATE(7787), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [262357] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(10094), 1,
      anon_sym_LPAREN2,
    ACTIONS(10106), 1,
      anon_sym_try,
    ACTIONS(10726), 1,
      anon_sym_LBRACK,
    ACTIONS(11204), 1,
      anon_sym_LBRACE,
    STATE(2569), 1,
      sym_compound_statement,
    STATE(2570), 1,
      sym_try_statement,
    STATE(4875), 1,
      sym_parameter_list,
    STATE(7816), 1,
      sym__function_declarator_seq,
    STATE(7787), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [262392] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(299), 1,
      anon_sym_LBRACE,
    ACTIONS(10094), 1,
      anon_sym_LPAREN2,
    ACTIONS(10726), 1,
      anon_sym_LBRACK,
    ACTIONS(10777), 1,
      anon_sym_try,
    STATE(431), 1,
      sym_try_statement,
    STATE(432), 1,
      sym_compound_statement,
    STATE(4875), 1,
      sym_parameter_list,
    STATE(7816), 1,
      sym__function_declarator_seq,
    STATE(7787), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [262427] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11088), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(11398), 1,
      sym_identifier,
    ACTIONS(11402), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(11418), 1,
      aux_sym_preproc_if_token2,
    STATE(7923), 1,
      aux_sym_preproc_if_in_enumerator_list_repeat1,
    STATE(7957), 1,
      aux_sym_preproc_if_in_enumerator_list_no_comma_repeat1,
    STATE(8101), 1,
      sym_enumerator,
    STATE(10098), 2,
      sym_preproc_else_in_enumerator_list,
      sym_preproc_elif_in_enumerator_list,
    STATE(10111), 2,
      sym_preproc_else_in_enumerator_list_no_comma,
      sym_preproc_elif_in_enumerator_list_no_comma,
  [262460] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(830), 1,
      anon_sym_LBRACE,
    ACTIONS(10094), 1,
      anon_sym_LPAREN2,
    ACTIONS(10726), 1,
      anon_sym_LBRACK,
    ACTIONS(10763), 1,
      anon_sym_try,
    STATE(1042), 1,
      sym_compound_statement,
    STATE(1051), 1,
      sym_try_statement,
    STATE(4875), 1,
      sym_parameter_list,
    STATE(7816), 1,
      sym__function_declarator_seq,
    STATE(7787), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [262495] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6496), 1,
      anon_sym_LBRACK,
    ACTIONS(6494), 10,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
      anon_sym_try,
  [262514] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1486), 1,
      anon_sym_template,
    ACTIONS(3148), 1,
      anon_sym_decltype,
    ACTIONS(10578), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11420), 1,
      sym_identifier,
    STATE(6974), 1,
      sym__scope_resolution,
    STATE(9724), 1,
      sym_qualified_identifier,
    ACTIONS(11422), 2,
      anon_sym_enum,
      anon_sym_namespace,
    STATE(10317), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
  [262545] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11426), 1,
      anon_sym_LBRACK,
    ACTIONS(11424), 10,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_try,
  [262564] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(299), 1,
      anon_sym_LBRACE,
    ACTIONS(10094), 1,
      anon_sym_LPAREN2,
    ACTIONS(10726), 1,
      anon_sym_LBRACK,
    ACTIONS(10777), 1,
      anon_sym_try,
    STATE(410), 1,
      sym_compound_statement,
    STATE(412), 1,
      sym_try_statement,
    STATE(4875), 1,
      sym_parameter_list,
    STATE(7816), 1,
      sym__function_declarator_seq,
    STATE(7787), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [262599] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(53), 1,
      anon_sym_LBRACE,
    ACTIONS(10094), 1,
      anon_sym_LPAREN2,
    ACTIONS(10726), 1,
      anon_sym_LBRACK,
    ACTIONS(10783), 1,
      anon_sym_try,
    STATE(1299), 1,
      sym_compound_statement,
    STATE(1305), 1,
      sym_try_statement,
    STATE(4875), 1,
      sym_parameter_list,
    STATE(7816), 1,
      sym__function_declarator_seq,
    STATE(7787), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [262634] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(10094), 1,
      anon_sym_LPAREN2,
    ACTIONS(10726), 1,
      anon_sym_LBRACK,
    STATE(4875), 1,
      sym_parameter_list,
    STATE(7816), 1,
      sym__function_declarator_seq,
    STATE(7787), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(10991), 4,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_try,
  [262663] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(10094), 1,
      anon_sym_LPAREN2,
    ACTIONS(10148), 1,
      anon_sym_try,
    ACTIONS(10726), 1,
      anon_sym_LBRACK,
    ACTIONS(11269), 1,
      anon_sym_LBRACE,
    STATE(2887), 1,
      sym_compound_statement,
    STATE(2888), 1,
      sym_try_statement,
    STATE(4875), 1,
      sym_parameter_list,
    STATE(7816), 1,
      sym__function_declarator_seq,
    STATE(7787), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [262698] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(391), 1,
      anon_sym_LBRACE,
    ACTIONS(10094), 1,
      anon_sym_LPAREN2,
    ACTIONS(10726), 1,
      anon_sym_LBRACK,
    ACTIONS(10791), 1,
      anon_sym_try,
    STATE(601), 1,
      sym_try_statement,
    STATE(602), 1,
      sym_compound_statement,
    STATE(4875), 1,
      sym_parameter_list,
    STATE(7816), 1,
      sym__function_declarator_seq,
    STATE(7787), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [262733] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(299), 1,
      anon_sym_LBRACE,
    ACTIONS(10094), 1,
      anon_sym_LPAREN2,
    ACTIONS(10726), 1,
      anon_sym_LBRACK,
    ACTIONS(10777), 1,
      anon_sym_try,
    STATE(361), 1,
      sym_try_statement,
    STATE(375), 1,
      sym_compound_statement,
    STATE(4875), 1,
      sym_parameter_list,
    STATE(7816), 1,
      sym__function_declarator_seq,
    STATE(7787), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [262768] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6706), 1,
      anon_sym_LBRACK,
    ACTIONS(6708), 10,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
      anon_sym_try,
  [262787] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(1136), 1,
      anon_sym_LBRACE,
    ACTIONS(10094), 1,
      anon_sym_LPAREN2,
    ACTIONS(10726), 1,
      anon_sym_LBRACK,
    ACTIONS(10740), 1,
      anon_sym_try,
    STATE(1128), 1,
      sym_try_statement,
    STATE(1129), 1,
      sym_compound_statement,
    STATE(4875), 1,
      sym_parameter_list,
    STATE(7816), 1,
      sym__function_declarator_seq,
    STATE(7787), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [262822] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(53), 1,
      anon_sym_LBRACE,
    ACTIONS(10094), 1,
      anon_sym_LPAREN2,
    ACTIONS(10726), 1,
      anon_sym_LBRACK,
    ACTIONS(10783), 1,
      anon_sym_try,
    STATE(1298), 1,
      sym_try_statement,
    STATE(1303), 1,
      sym_compound_statement,
    STATE(4875), 1,
      sym_parameter_list,
    STATE(7816), 1,
      sym__function_declarator_seq,
    STATE(7787), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [262857] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(53), 1,
      anon_sym_LBRACE,
    ACTIONS(10094), 1,
      anon_sym_LPAREN2,
    ACTIONS(10726), 1,
      anon_sym_LBRACK,
    ACTIONS(10783), 1,
      anon_sym_try,
    STATE(1312), 1,
      sym_compound_statement,
    STATE(1314), 1,
      sym_try_statement,
    STATE(4875), 1,
      sym_parameter_list,
    STATE(7816), 1,
      sym__function_declarator_seq,
    STATE(7787), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [262892] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(830), 1,
      anon_sym_LBRACE,
    ACTIONS(10094), 1,
      anon_sym_LPAREN2,
    ACTIONS(10726), 1,
      anon_sym_LBRACK,
    ACTIONS(10763), 1,
      anon_sym_try,
    STATE(1084), 1,
      sym_compound_statement,
    STATE(1085), 1,
      sym_try_statement,
    STATE(4875), 1,
      sym_parameter_list,
    STATE(7816), 1,
      sym__function_declarator_seq,
    STATE(7787), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [262927] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2224), 1,
      anon_sym_COLON,
    ACTIONS(2230), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5900), 1,
      anon_sym_LT,
    STATE(3203), 1,
      sym_template_argument_list,
    ACTIONS(2226), 7,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_else,
      anon_sym_while,
      anon_sym_final,
      anon_sym_override,
  [262952] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6710), 1,
      anon_sym_LBRACK,
    ACTIONS(6712), 10,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
      anon_sym_try,
  [262971] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6714), 1,
      anon_sym_LBRACK,
    ACTIONS(6716), 10,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
      anon_sym_try,
  [262990] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6718), 1,
      anon_sym_LBRACK,
    ACTIONS(6720), 10,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
      anon_sym_try,
  [263009] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(830), 1,
      anon_sym_LBRACE,
    ACTIONS(10094), 1,
      anon_sym_LPAREN2,
    ACTIONS(10726), 1,
      anon_sym_LBRACK,
    ACTIONS(10763), 1,
      anon_sym_try,
    STATE(1087), 1,
      sym_try_statement,
    STATE(1092), 1,
      sym_compound_statement,
    STATE(4875), 1,
      sym_parameter_list,
    STATE(7816), 1,
      sym__function_declarator_seq,
    STATE(7787), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [263044] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(830), 1,
      anon_sym_LBRACE,
    ACTIONS(10094), 1,
      anon_sym_LPAREN2,
    ACTIONS(10726), 1,
      anon_sym_LBRACK,
    ACTIONS(10763), 1,
      anon_sym_try,
    STATE(1108), 1,
      sym_try_statement,
    STATE(1112), 1,
      sym_compound_statement,
    STATE(4875), 1,
      sym_parameter_list,
    STATE(7816), 1,
      sym__function_declarator_seq,
    STATE(7787), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [263079] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(830), 1,
      anon_sym_LBRACE,
    ACTIONS(10094), 1,
      anon_sym_LPAREN2,
    ACTIONS(10726), 1,
      anon_sym_LBRACK,
    ACTIONS(10763), 1,
      anon_sym_try,
    STATE(1059), 1,
      sym_try_statement,
    STATE(1081), 1,
      sym_compound_statement,
    STATE(4875), 1,
      sym_parameter_list,
    STATE(7816), 1,
      sym__function_declarator_seq,
    STATE(7787), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [263114] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11430), 1,
      anon_sym_LBRACK,
    ACTIONS(11428), 10,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
      anon_sym_try,
  [263133] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6730), 1,
      anon_sym_LBRACK,
    ACTIONS(6732), 10,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
      anon_sym_try,
  [263152] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1486), 1,
      anon_sym_template,
    ACTIONS(3148), 1,
      anon_sym_decltype,
    ACTIONS(10578), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11432), 1,
      sym_identifier,
    STATE(6974), 1,
      sym__scope_resolution,
    STATE(9769), 1,
      sym_qualified_identifier,
    ACTIONS(11434), 2,
      anon_sym_enum,
      anon_sym_namespace,
    STATE(10317), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
  [263183] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11377), 1,
      anon_sym_LBRACK,
    ACTIONS(11375), 10,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_try,
  [263202] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(1136), 1,
      anon_sym_LBRACE,
    ACTIONS(10094), 1,
      anon_sym_LPAREN2,
    ACTIONS(10726), 1,
      anon_sym_LBRACK,
    ACTIONS(10740), 1,
      anon_sym_try,
    STATE(1038), 1,
      sym_compound_statement,
    STATE(1131), 1,
      sym_try_statement,
    STATE(4875), 1,
      sym_parameter_list,
    STATE(7816), 1,
      sym__function_declarator_seq,
    STATE(7787), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [263237] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11438), 1,
      anon_sym_LBRACK,
    ACTIONS(11436), 10,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
      anon_sym_try,
  [263256] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11442), 1,
      anon_sym_LBRACK,
    ACTIONS(11440), 10,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_try,
  [263275] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(10094), 1,
      anon_sym_LPAREN2,
    ACTIONS(10726), 1,
      anon_sym_LBRACK,
    STATE(4875), 1,
      sym_parameter_list,
    STATE(7816), 1,
      sym__function_declarator_seq,
    STATE(7787), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(11057), 4,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_try,
  [263304] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10094), 1,
      anon_sym_LPAREN2,
    ACTIONS(11360), 1,
      anon_sym_LBRACK,
    STATE(4889), 1,
      sym_parameter_list,
    STATE(7453), 1,
      sym__function_declarator_seq,
    ACTIONS(10895), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [263329] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(10094), 1,
      anon_sym_LPAREN2,
    ACTIONS(10156), 1,
      anon_sym_try,
    ACTIONS(10726), 1,
      anon_sym_LBRACK,
    ACTIONS(11279), 1,
      anon_sym_LBRACE,
    STATE(2950), 1,
      sym_try_statement,
    STATE(2951), 1,
      sym_compound_statement,
    STATE(4875), 1,
      sym_parameter_list,
    STATE(7816), 1,
      sym__function_declarator_seq,
    STATE(7787), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [263364] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1486), 1,
      anon_sym_template,
    ACTIONS(3148), 1,
      anon_sym_decltype,
    ACTIONS(10578), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11444), 1,
      sym_identifier,
    STATE(6974), 1,
      sym__scope_resolution,
    STATE(10150), 1,
      sym_qualified_identifier,
    ACTIONS(11446), 2,
      anon_sym_enum,
      anon_sym_namespace,
    STATE(10317), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
  [263395] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(1136), 1,
      anon_sym_LBRACE,
    ACTIONS(10094), 1,
      anon_sym_LPAREN2,
    ACTIONS(10726), 1,
      anon_sym_LBRACK,
    ACTIONS(10740), 1,
      anon_sym_try,
    STATE(1062), 1,
      sym_try_statement,
    STATE(1068), 1,
      sym_compound_statement,
    STATE(4875), 1,
      sym_parameter_list,
    STATE(7816), 1,
      sym__function_declarator_seq,
    STATE(7787), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [263430] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(1136), 1,
      anon_sym_LBRACE,
    ACTIONS(10094), 1,
      anon_sym_LPAREN2,
    ACTIONS(10726), 1,
      anon_sym_LBRACK,
    ACTIONS(10740), 1,
      anon_sym_try,
    STATE(1047), 1,
      sym_try_statement,
    STATE(1060), 1,
      sym_compound_statement,
    STATE(4875), 1,
      sym_parameter_list,
    STATE(7816), 1,
      sym__function_declarator_seq,
    STATE(7787), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [263465] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10094), 1,
      anon_sym_LPAREN2,
    ACTIONS(11360), 1,
      anon_sym_LBRACK,
    STATE(4931), 1,
      sym_parameter_list,
    STATE(7453), 1,
      sym__function_declarator_seq,
    ACTIONS(10909), 7,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [263490] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6521), 1,
      anon_sym_LBRACK,
    ACTIONS(5792), 10,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
      anon_sym_try,
  [263509] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10094), 1,
      anon_sym_LPAREN2,
    ACTIONS(11360), 1,
      anon_sym_LBRACK,
    STATE(4931), 1,
      sym_parameter_list,
    STATE(7453), 1,
      sym__function_declarator_seq,
    ACTIONS(10905), 7,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [263534] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(10094), 1,
      anon_sym_LPAREN2,
    ACTIONS(10156), 1,
      anon_sym_try,
    ACTIONS(10726), 1,
      anon_sym_LBRACK,
    ACTIONS(11279), 1,
      anon_sym_LBRACE,
    STATE(2973), 1,
      sym_try_statement,
    STATE(2974), 1,
      sym_compound_statement,
    STATE(4875), 1,
      sym_parameter_list,
    STATE(7816), 1,
      sym__function_declarator_seq,
    STATE(7787), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [263569] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(10094), 1,
      anon_sym_LPAREN2,
    ACTIONS(10156), 1,
      anon_sym_try,
    ACTIONS(10726), 1,
      anon_sym_LBRACK,
    ACTIONS(11279), 1,
      anon_sym_LBRACE,
    STATE(2975), 1,
      sym_try_statement,
    STATE(2976), 1,
      sym_compound_statement,
    STATE(4875), 1,
      sym_parameter_list,
    STATE(7816), 1,
      sym__function_declarator_seq,
    STATE(7787), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [263604] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1486), 1,
      anon_sym_template,
    ACTIONS(3148), 1,
      anon_sym_decltype,
    ACTIONS(10578), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11448), 1,
      sym_identifier,
    STATE(6974), 1,
      sym__scope_resolution,
    STATE(9815), 1,
      sym_qualified_identifier,
    ACTIONS(11450), 2,
      anon_sym_enum,
      anon_sym_namespace,
    STATE(10317), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
  [263635] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(10094), 1,
      anon_sym_LPAREN2,
    ACTIONS(10114), 1,
      anon_sym_try,
    ACTIONS(10726), 1,
      anon_sym_LBRACK,
    ACTIONS(11196), 1,
      anon_sym_LBRACE,
    STATE(2684), 1,
      sym_try_statement,
    STATE(2719), 1,
      sym_compound_statement,
    STATE(4875), 1,
      sym_parameter_list,
    STATE(7816), 1,
      sym__function_declarator_seq,
    STATE(7787), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [263670] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10094), 1,
      anon_sym_LPAREN2,
    ACTIONS(11360), 1,
      anon_sym_LBRACK,
    STATE(4931), 1,
      sym_parameter_list,
    STATE(7453), 1,
      sym__function_declarator_seq,
    ACTIONS(10895), 7,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [263695] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8420), 1,
      anon_sym_requires,
    ACTIONS(9314), 1,
      anon_sym_LBRACK,
    ACTIONS(6859), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(7174), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(7349), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9309), 3,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
  [263722] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(10094), 1,
      anon_sym_LPAREN2,
    ACTIONS(10114), 1,
      anon_sym_try,
    ACTIONS(10726), 1,
      anon_sym_LBRACK,
    ACTIONS(11196), 1,
      anon_sym_LBRACE,
    STATE(2733), 1,
      sym_compound_statement,
    STATE(2755), 1,
      sym_try_statement,
    STATE(4875), 1,
      sym_parameter_list,
    STATE(7816), 1,
      sym__function_declarator_seq,
    STATE(7787), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [263757] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11454), 1,
      anon_sym_LBRACK,
    ACTIONS(11452), 10,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
      anon_sym_try,
  [263776] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(10094), 1,
      anon_sym_LPAREN2,
    ACTIONS(10156), 1,
      anon_sym_try,
    ACTIONS(10726), 1,
      anon_sym_LBRACK,
    ACTIONS(11279), 1,
      anon_sym_LBRACE,
    STATE(2979), 1,
      sym_try_statement,
    STATE(2981), 1,
      sym_compound_statement,
    STATE(4875), 1,
      sym_parameter_list,
    STATE(7816), 1,
      sym__function_declarator_seq,
    STATE(7787), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [263811] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(1136), 1,
      anon_sym_LBRACE,
    ACTIONS(10094), 1,
      anon_sym_LPAREN2,
    ACTIONS(10726), 1,
      anon_sym_LBRACK,
    ACTIONS(10740), 1,
      anon_sym_try,
    STATE(1130), 1,
      sym_try_statement,
    STATE(1135), 1,
      sym_compound_statement,
    STATE(4875), 1,
      sym_parameter_list,
    STATE(7816), 1,
      sym__function_declarator_seq,
    STATE(7787), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [263846] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6979), 1,
      anon_sym_LBRACK,
    ACTIONS(6981), 10,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_try,
  [263865] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11458), 1,
      anon_sym_LBRACK,
    ACTIONS(11456), 10,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_try,
  [263884] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10094), 1,
      anon_sym_LPAREN2,
    ACTIONS(11360), 1,
      anon_sym_LBRACK,
    STATE(4889), 1,
      sym_parameter_list,
    STATE(7453), 1,
      sym__function_declarator_seq,
    ACTIONS(10937), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [263909] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(299), 1,
      anon_sym_LBRACE,
    ACTIONS(10094), 1,
      anon_sym_LPAREN2,
    ACTIONS(10726), 1,
      anon_sym_LBRACK,
    ACTIONS(10777), 1,
      anon_sym_try,
    STATE(358), 1,
      sym_try_statement,
    STATE(359), 1,
      sym_compound_statement,
    STATE(4875), 1,
      sym_parameter_list,
    STATE(7816), 1,
      sym__function_declarator_seq,
    STATE(7787), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [263944] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(10094), 1,
      anon_sym_LPAREN2,
    ACTIONS(10148), 1,
      anon_sym_try,
    ACTIONS(10726), 1,
      anon_sym_LBRACK,
    ACTIONS(11269), 1,
      anon_sym_LBRACE,
    STATE(2865), 1,
      sym_try_statement,
    STATE(2866), 1,
      sym_compound_statement,
    STATE(4875), 1,
      sym_parameter_list,
    STATE(7816), 1,
      sym__function_declarator_seq,
    STATE(7787), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [263979] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(391), 1,
      anon_sym_LBRACE,
    ACTIONS(10094), 1,
      anon_sym_LPAREN2,
    ACTIONS(10726), 1,
      anon_sym_LBRACK,
    ACTIONS(10791), 1,
      anon_sym_try,
    STATE(603), 1,
      sym_try_statement,
    STATE(604), 1,
      sym_compound_statement,
    STATE(4875), 1,
      sym_parameter_list,
    STATE(7816), 1,
      sym__function_declarator_seq,
    STATE(7787), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [264014] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(391), 1,
      anon_sym_LBRACE,
    ACTIONS(10094), 1,
      anon_sym_LPAREN2,
    ACTIONS(10726), 1,
      anon_sym_LBRACK,
    ACTIONS(10791), 1,
      anon_sym_try,
    STATE(606), 1,
      sym_try_statement,
    STATE(607), 1,
      sym_compound_statement,
    STATE(4875), 1,
      sym_parameter_list,
    STATE(7816), 1,
      sym__function_declarator_seq,
    STATE(7787), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [264049] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6826), 1,
      anon_sym_LBRACK,
    ACTIONS(6828), 10,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_try,
  [264068] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10094), 1,
      anon_sym_LPAREN2,
    ACTIONS(11360), 1,
      anon_sym_LBRACK,
    STATE(4889), 1,
      sym_parameter_list,
    STATE(7453), 1,
      sym__function_declarator_seq,
    ACTIONS(10909), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [264093] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11462), 1,
      anon_sym_LBRACK,
    ACTIONS(11460), 10,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_try,
  [264112] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(1136), 1,
      anon_sym_LBRACE,
    ACTIONS(10094), 1,
      anon_sym_LPAREN2,
    ACTIONS(10726), 1,
      anon_sym_LBRACK,
    ACTIONS(10740), 1,
      anon_sym_try,
    STATE(1167), 1,
      sym_try_statement,
    STATE(1170), 1,
      sym_compound_statement,
    STATE(4875), 1,
      sym_parameter_list,
    STATE(7816), 1,
      sym__function_declarator_seq,
    STATE(7787), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [264147] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(830), 1,
      anon_sym_LBRACE,
    ACTIONS(10094), 1,
      anon_sym_LPAREN2,
    ACTIONS(10726), 1,
      anon_sym_LBRACK,
    ACTIONS(10763), 1,
      anon_sym_try,
    STATE(1097), 1,
      sym_compound_statement,
    STATE(1191), 1,
      sym_try_statement,
    STATE(4875), 1,
      sym_parameter_list,
    STATE(7816), 1,
      sym__function_declarator_seq,
    STATE(7787), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [264182] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10094), 1,
      anon_sym_LPAREN2,
    ACTIONS(11360), 1,
      anon_sym_LBRACK,
    STATE(4889), 1,
      sym_parameter_list,
    STATE(7453), 1,
      sym__function_declarator_seq,
    ACTIONS(10951), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [264207] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(10094), 1,
      anon_sym_LPAREN2,
    ACTIONS(10114), 1,
      anon_sym_try,
    ACTIONS(10726), 1,
      anon_sym_LBRACK,
    ACTIONS(11196), 1,
      anon_sym_LBRACE,
    STATE(2747), 1,
      sym_try_statement,
    STATE(2748), 1,
      sym_compound_statement,
    STATE(4875), 1,
      sym_parameter_list,
    STATE(7816), 1,
      sym__function_declarator_seq,
    STATE(7787), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [264242] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(391), 1,
      anon_sym_LBRACE,
    ACTIONS(10094), 1,
      anon_sym_LPAREN2,
    ACTIONS(10726), 1,
      anon_sym_LBRACK,
    ACTIONS(10791), 1,
      anon_sym_try,
    STATE(638), 1,
      sym_compound_statement,
    STATE(641), 1,
      sym_try_statement,
    STATE(4875), 1,
      sym_parameter_list,
    STATE(7816), 1,
      sym__function_declarator_seq,
    STATE(7787), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [264277] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6771), 1,
      anon_sym_LBRACK,
    ACTIONS(6773), 10,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
      anon_sym_try,
  [264296] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5847), 1,
      anon_sym_LBRACK,
    ACTIONS(11412), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(11464), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(5849), 6,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [264319] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11468), 1,
      anon_sym_LBRACK,
    ACTIONS(11466), 10,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_try,
  [264338] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(10094), 1,
      anon_sym_LPAREN2,
    ACTIONS(10156), 1,
      anon_sym_try,
    ACTIONS(10726), 1,
      anon_sym_LBRACK,
    ACTIONS(11279), 1,
      anon_sym_LBRACE,
    STATE(2944), 1,
      sym_compound_statement,
    STATE(2947), 1,
      sym_try_statement,
    STATE(4875), 1,
      sym_parameter_list,
    STATE(7816), 1,
      sym__function_declarator_seq,
    STATE(7787), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [264373] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9576), 1,
      anon_sym_LBRACK,
    ACTIONS(9941), 1,
      anon_sym_requires,
    ACTIONS(9578), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(7174), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(7305), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9571), 3,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
  [264400] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10094), 1,
      anon_sym_LPAREN2,
    ACTIONS(11360), 1,
      anon_sym_LBRACK,
    STATE(4931), 1,
      sym_parameter_list,
    STATE(7453), 1,
      sym__function_declarator_seq,
    ACTIONS(10929), 7,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [264425] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(830), 1,
      anon_sym_LBRACE,
    ACTIONS(10094), 1,
      anon_sym_LPAREN2,
    ACTIONS(10726), 1,
      anon_sym_LBRACK,
    ACTIONS(10763), 1,
      anon_sym_try,
    STATE(1173), 1,
      sym_try_statement,
    STATE(1177), 1,
      sym_compound_statement,
    STATE(4875), 1,
      sym_parameter_list,
    STATE(7816), 1,
      sym__function_declarator_seq,
    STATE(7787), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [264460] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(10094), 1,
      anon_sym_LPAREN2,
    ACTIONS(10114), 1,
      anon_sym_try,
    ACTIONS(10726), 1,
      anon_sym_LBRACK,
    ACTIONS(11196), 1,
      anon_sym_LBRACE,
    STATE(2741), 1,
      sym_try_statement,
    STATE(2744), 1,
      sym_compound_statement,
    STATE(4875), 1,
      sym_parameter_list,
    STATE(7816), 1,
      sym__function_declarator_seq,
    STATE(7787), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [264495] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10094), 1,
      anon_sym_LPAREN2,
    ACTIONS(11360), 1,
      anon_sym_LBRACK,
    STATE(4931), 1,
      sym_parameter_list,
    STATE(7453), 1,
      sym__function_declarator_seq,
    ACTIONS(10931), 7,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [264520] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6775), 1,
      anon_sym_LBRACK,
    ACTIONS(6777), 10,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
      anon_sym_try,
  [264539] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(10094), 1,
      anon_sym_LPAREN2,
    ACTIONS(10148), 1,
      anon_sym_try,
    ACTIONS(10726), 1,
      anon_sym_LBRACK,
    ACTIONS(11269), 1,
      anon_sym_LBRACE,
    STATE(2874), 1,
      sym_try_statement,
    STATE(2875), 1,
      sym_compound_statement,
    STATE(4875), 1,
      sym_parameter_list,
    STATE(7816), 1,
      sym__function_declarator_seq,
    STATE(7787), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [264574] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11472), 1,
      anon_sym_LBRACK,
    ACTIONS(11470), 10,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
      anon_sym_try,
  [264593] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8420), 1,
      anon_sym_requires,
    ACTIONS(9576), 1,
      anon_sym_LBRACK,
    ACTIONS(6859), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(7174), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(7305), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9571), 3,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
  [264620] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(10094), 1,
      anon_sym_LPAREN2,
    ACTIONS(10148), 1,
      anon_sym_try,
    ACTIONS(10726), 1,
      anon_sym_LBRACK,
    ACTIONS(11269), 1,
      anon_sym_LBRACE,
    STATE(2905), 1,
      sym_try_statement,
    STATE(2910), 1,
      sym_compound_statement,
    STATE(4875), 1,
      sym_parameter_list,
    STATE(7816), 1,
      sym__function_declarator_seq,
    STATE(7787), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [264655] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(10094), 1,
      anon_sym_LPAREN2,
    ACTIONS(10156), 1,
      anon_sym_try,
    ACTIONS(10726), 1,
      anon_sym_LBRACK,
    ACTIONS(11279), 1,
      anon_sym_LBRACE,
    STATE(2891), 1,
      sym_compound_statement,
    STATE(2892), 1,
      sym_try_statement,
    STATE(4875), 1,
      sym_parameter_list,
    STATE(7816), 1,
      sym__function_declarator_seq,
    STATE(7787), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [264690] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(10094), 1,
      anon_sym_LPAREN2,
    ACTIONS(10114), 1,
      anon_sym_try,
    ACTIONS(10726), 1,
      anon_sym_LBRACK,
    ACTIONS(11196), 1,
      anon_sym_LBRACE,
    STATE(2685), 1,
      sym_try_statement,
    STATE(2740), 1,
      sym_compound_statement,
    STATE(4875), 1,
      sym_parameter_list,
    STATE(7816), 1,
      sym__function_declarator_seq,
    STATE(7787), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [264725] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6678), 1,
      anon_sym_LBRACK,
    STATE(7577), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(6680), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_try,
  [264748] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11476), 1,
      anon_sym_LBRACK,
    ACTIONS(11474), 10,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_try,
  [264767] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(10094), 1,
      anon_sym_LPAREN2,
    ACTIONS(10156), 1,
      anon_sym_try,
    ACTIONS(10726), 1,
      anon_sym_LBRACK,
    ACTIONS(11279), 1,
      anon_sym_LBRACE,
    STATE(2868), 1,
      sym_compound_statement,
    STATE(2889), 1,
      sym_try_statement,
    STATE(4875), 1,
      sym_parameter_list,
    STATE(7816), 1,
      sym__function_declarator_seq,
    STATE(7787), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [264802] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(299), 1,
      anon_sym_LBRACE,
    ACTIONS(10094), 1,
      anon_sym_LPAREN2,
    ACTIONS(10726), 1,
      anon_sym_LBRACK,
    ACTIONS(10777), 1,
      anon_sym_try,
    STATE(344), 1,
      sym_try_statement,
    STATE(348), 1,
      sym_compound_statement,
    STATE(4875), 1,
      sym_parameter_list,
    STATE(7816), 1,
      sym__function_declarator_seq,
    STATE(7787), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [264837] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(53), 1,
      anon_sym_LBRACE,
    ACTIONS(10094), 1,
      anon_sym_LPAREN2,
    ACTIONS(10726), 1,
      anon_sym_LBRACK,
    ACTIONS(10783), 1,
      anon_sym_try,
    STATE(1250), 1,
      sym_compound_statement,
    STATE(1251), 1,
      sym_try_statement,
    STATE(4875), 1,
      sym_parameter_list,
    STATE(7816), 1,
      sym__function_declarator_seq,
    STATE(7787), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [264872] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6734), 1,
      anon_sym_LBRACK,
    ACTIONS(6736), 10,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
      anon_sym_try,
  [264891] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6765), 1,
      anon_sym_LBRACK,
    ACTIONS(6767), 10,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
      anon_sym_try,
  [264910] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6783), 1,
      anon_sym_LBRACK,
    ACTIONS(6785), 10,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
      anon_sym_try,
  [264929] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9908), 1,
      anon_sym_LBRACK,
    ACTIONS(10187), 1,
      anon_sym_requires,
    ACTIONS(9917), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(7174), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(7257), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9903), 3,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
  [264956] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8420), 1,
      anon_sym_requires,
    ACTIONS(9908), 1,
      anon_sym_LBRACK,
    ACTIONS(6859), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(7174), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(7257), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9903), 3,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
  [264983] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11176), 1,
      sym_identifier,
    ACTIONS(11478), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(11480), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(11482), 1,
      aux_sym_preproc_elif_token1,
    STATE(7903), 1,
      aux_sym_preproc_if_in_enumerator_list_repeat1,
    STATE(9908), 1,
      sym_enumerator,
    ACTIONS(11484), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(9907), 3,
      sym_preproc_else_in_enumerator_list,
      sym_preproc_elif_in_enumerator_list,
      sym_preproc_elifdef_in_enumerator_list,
  [265014] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8420), 1,
      anon_sym_requires,
    ACTIONS(10496), 1,
      anon_sym_LBRACK,
    ACTIONS(6859), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(7174), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(7262), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(10494), 3,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
  [265041] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8420), 1,
      anon_sym_requires,
    ACTIONS(10638), 1,
      anon_sym_LBRACK,
    ACTIONS(6859), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(7174), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(7247), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(10636), 3,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
  [265068] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11084), 1,
      sym_identifier,
    ACTIONS(11486), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(11488), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(11490), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(11492), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(7894), 2,
      sym_enumerator,
      aux_sym_preproc_if_in_enumerator_list_no_comma_repeat1,
    STATE(9920), 3,
      sym_preproc_else_in_enumerator_list_no_comma,
      sym_preproc_elif_in_enumerator_list_no_comma,
      sym_preproc_elifdef_in_enumerator_list_no_comma,
  [265097] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6684), 1,
      anon_sym_LBRACK,
    ACTIONS(6686), 10,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
      anon_sym_try,
  [265116] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1486), 1,
      anon_sym_template,
    ACTIONS(3148), 1,
      anon_sym_decltype,
    ACTIONS(10578), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11494), 1,
      sym_identifier,
    STATE(6974), 1,
      sym__scope_resolution,
    STATE(9984), 1,
      sym_qualified_identifier,
    ACTIONS(11496), 2,
      anon_sym_enum,
      anon_sym_namespace,
    STATE(10317), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
  [265147] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11498), 1,
      sym_identifier,
    ACTIONS(11501), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(11507), 1,
      sym_preproc_directive,
    ACTIONS(11510), 1,
      anon_sym_RBRACE,
    ACTIONS(11504), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(9717), 2,
      sym_preproc_call,
      sym_enumerator,
    STATE(7739), 3,
      sym_preproc_if_in_enumerator_list,
      sym_preproc_ifdef_in_enumerator_list,
      aux_sym_enumerator_list_repeat1,
  [265176] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1486), 1,
      anon_sym_template,
    ACTIONS(3148), 1,
      anon_sym_decltype,
    ACTIONS(10578), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11512), 1,
      sym_identifier,
    STATE(6974), 1,
      sym__scope_resolution,
    STATE(10200), 1,
      sym_qualified_identifier,
    ACTIONS(11514), 2,
      anon_sym_enum,
      anon_sym_namespace,
    STATE(10317), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
  [265207] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4551), 1,
      anon_sym_LBRACK,
    ACTIONS(4546), 10,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
      anon_sym_try,
  [265226] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10638), 1,
      anon_sym_LBRACK,
    ACTIONS(11516), 1,
      anon_sym_requires,
    ACTIONS(10640), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(7174), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(7247), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(10636), 3,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
  [265253] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(53), 1,
      anon_sym_LBRACE,
    ACTIONS(10094), 1,
      anon_sym_LPAREN2,
    ACTIONS(10726), 1,
      anon_sym_LBRACK,
    ACTIONS(10783), 1,
      anon_sym_try,
    STATE(1296), 1,
      sym_try_statement,
    STATE(1306), 1,
      sym_compound_statement,
    STATE(4875), 1,
      sym_parameter_list,
    STATE(7816), 1,
      sym__function_declarator_seq,
    STATE(7787), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [265288] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9314), 1,
      anon_sym_LBRACK,
    ACTIONS(9851), 1,
      anon_sym_requires,
    ACTIONS(9316), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(7174), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(7349), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9309), 3,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
  [265315] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(391), 1,
      anon_sym_LBRACE,
    ACTIONS(10094), 1,
      anon_sym_LPAREN2,
    ACTIONS(10726), 1,
      anon_sym_LBRACK,
    ACTIONS(10791), 1,
      anon_sym_try,
    STATE(617), 1,
      sym_compound_statement,
    STATE(618), 1,
      sym_try_statement,
    STATE(4875), 1,
      sym_parameter_list,
    STATE(7816), 1,
      sym__function_declarator_seq,
    STATE(7787), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [265350] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4551), 1,
      anon_sym_LBRACK,
    ACTIONS(4546), 10,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
      anon_sym_try,
  [265369] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11176), 1,
      sym_identifier,
    ACTIONS(11480), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(11482), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(11519), 1,
      aux_sym_preproc_if_token2,
    STATE(7733), 1,
      aux_sym_preproc_if_in_enumerator_list_repeat1,
    STATE(9908), 1,
      sym_enumerator,
    ACTIONS(11484), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(9702), 3,
      sym_preproc_else_in_enumerator_list,
      sym_preproc_elif_in_enumerator_list,
      sym_preproc_elifdef_in_enumerator_list,
  [265400] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1486), 1,
      anon_sym_template,
    ACTIONS(3148), 1,
      anon_sym_decltype,
    ACTIONS(10578), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11521), 1,
      sym_identifier,
    STATE(6974), 1,
      sym__scope_resolution,
    STATE(9548), 1,
      sym_qualified_identifier,
    ACTIONS(11523), 2,
      anon_sym_enum,
      anon_sym_namespace,
    STATE(10317), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
  [265431] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4551), 1,
      anon_sym_LBRACK,
    ACTIONS(4546), 10,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
      anon_sym_try,
  [265450] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11527), 1,
      anon_sym_LBRACK,
    ACTIONS(11525), 10,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
      anon_sym_try,
  [265469] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4551), 1,
      anon_sym_LBRACK,
    ACTIONS(4546), 10,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
      anon_sym_try,
  [265488] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(10094), 1,
      anon_sym_LPAREN2,
    ACTIONS(10114), 1,
      anon_sym_try,
    ACTIONS(10726), 1,
      anon_sym_LBRACK,
    ACTIONS(11196), 1,
      anon_sym_LBRACE,
    STATE(2774), 1,
      sym_compound_statement,
    STATE(2777), 1,
      sym_try_statement,
    STATE(4875), 1,
      sym_parameter_list,
    STATE(7816), 1,
      sym__function_declarator_seq,
    STATE(7787), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [265523] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4551), 1,
      anon_sym_LBRACK,
    ACTIONS(4546), 10,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
      anon_sym_try,
  [265542] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4551), 1,
      anon_sym_LBRACK,
    ACTIONS(4546), 10,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
      anon_sym_try,
  [265561] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11531), 1,
      anon_sym_LBRACK,
    ACTIONS(11529), 10,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
      anon_sym_try,
  [265580] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(53), 1,
      anon_sym_LBRACE,
    ACTIONS(10094), 1,
      anon_sym_LPAREN2,
    ACTIONS(10726), 1,
      anon_sym_LBRACK,
    ACTIONS(10783), 1,
      anon_sym_try,
    STATE(1287), 1,
      sym_compound_statement,
    STATE(1289), 1,
      sym_try_statement,
    STATE(4875), 1,
      sym_parameter_list,
    STATE(7816), 1,
      sym__function_declarator_seq,
    STATE(7787), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [265615] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11535), 1,
      anon_sym_LBRACK,
    ACTIONS(11533), 10,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
      anon_sym_try,
  [265634] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11088), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(11398), 1,
      sym_identifier,
    ACTIONS(11402), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(11537), 1,
      aux_sym_preproc_if_token2,
    STATE(7935), 1,
      aux_sym_preproc_if_in_enumerator_list_repeat1,
    STATE(7938), 1,
      aux_sym_preproc_if_in_enumerator_list_no_comma_repeat1,
    STATE(8101), 1,
      sym_enumerator,
    STATE(9843), 2,
      sym_preproc_else_in_enumerator_list,
      sym_preproc_elif_in_enumerator_list,
    STATE(9844), 2,
      sym_preproc_else_in_enumerator_list_no_comma,
      sym_preproc_elif_in_enumerator_list_no_comma,
  [265667] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7148), 1,
      anon_sym_LBRACK,
    ACTIONS(7150), 10,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
      anon_sym_try,
  [265686] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2230), 1,
      anon_sym_COLON_COLON,
    ACTIONS(2232), 1,
      anon_sym_COLON,
    ACTIONS(5900), 1,
      anon_sym_LT,
    STATE(3203), 1,
      sym_template_argument_list,
    ACTIONS(2234), 7,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_else,
      anon_sym_while,
      anon_sym_final,
      anon_sym_override,
  [265711] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(391), 1,
      anon_sym_LBRACE,
    ACTIONS(10094), 1,
      anon_sym_LPAREN2,
    ACTIONS(10726), 1,
      anon_sym_LBRACK,
    ACTIONS(10791), 1,
      anon_sym_try,
    STATE(620), 1,
      sym_compound_statement,
    STATE(621), 1,
      sym_try_statement,
    STATE(4875), 1,
      sym_parameter_list,
    STATE(7816), 1,
      sym__function_declarator_seq,
    STATE(7787), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [265746] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10496), 1,
      anon_sym_LBRACK,
    ACTIONS(11357), 1,
      anon_sym_requires,
    ACTIONS(10514), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(7174), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(7262), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(10494), 3,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
  [265773] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11541), 1,
      anon_sym_LBRACK,
    ACTIONS(11539), 10,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
      anon_sym_try,
  [265792] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10094), 1,
      anon_sym_LPAREN2,
    ACTIONS(11360), 1,
      anon_sym_LBRACK,
    STATE(4889), 1,
      sym_parameter_list,
    STATE(7453), 1,
      sym__function_declarator_seq,
    ACTIONS(10949), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [265817] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(10094), 1,
      anon_sym_LPAREN2,
    ACTIONS(10114), 1,
      anon_sym_try,
    ACTIONS(10726), 1,
      anon_sym_LBRACK,
    ACTIONS(11196), 1,
      anon_sym_LBRACE,
    STATE(2771), 1,
      sym_compound_statement,
    STATE(2773), 1,
      sym_try_statement,
    STATE(4875), 1,
      sym_parameter_list,
    STATE(7816), 1,
      sym__function_declarator_seq,
    STATE(7787), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [265852] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1486), 1,
      anon_sym_template,
    ACTIONS(3148), 1,
      anon_sym_decltype,
    ACTIONS(10578), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11543), 1,
      sym_identifier,
    STATE(6974), 1,
      sym__scope_resolution,
    STATE(10211), 1,
      sym_qualified_identifier,
    ACTIONS(11545), 2,
      anon_sym_enum,
      anon_sym_namespace,
    STATE(10317), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
  [265883] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(391), 1,
      anon_sym_LBRACE,
    ACTIONS(10094), 1,
      anon_sym_LPAREN2,
    ACTIONS(10726), 1,
      anon_sym_LBRACK,
    ACTIONS(10791), 1,
      anon_sym_try,
    STATE(622), 1,
      sym_compound_statement,
    STATE(623), 1,
      sym_try_statement,
    STATE(4875), 1,
      sym_parameter_list,
    STATE(7816), 1,
      sym__function_declarator_seq,
    STATE(7787), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [265918] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10094), 1,
      anon_sym_LPAREN2,
    ACTIONS(11360), 1,
      anon_sym_LBRACK,
    STATE(4992), 1,
      sym_parameter_list,
    STATE(7453), 1,
      sym__function_declarator_seq,
    ACTIONS(10949), 6,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [265942] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11551), 1,
      anon_sym_delete,
    ACTIONS(11553), 1,
      anon_sym_new,
    ACTIONS(11549), 3,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
    ACTIONS(11547), 5,
      anon_sym___based,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
  [265964] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11555), 1,
      anon_sym_delete,
    ACTIONS(11557), 1,
      anon_sym_new,
    ACTIONS(11549), 3,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
    ACTIONS(11547), 5,
      anon_sym___based,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
  [265986] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11559), 1,
      anon_sym_delete,
    ACTIONS(11561), 1,
      anon_sym_new,
    ACTIONS(11549), 3,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
    ACTIONS(11547), 5,
      anon_sym___based,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
  [266008] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2182), 1,
      anon_sym_LBRACK,
    ACTIONS(2184), 9,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_try,
  [266026] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10094), 1,
      anon_sym_LPAREN2,
    ACTIONS(11360), 1,
      anon_sym_LBRACK,
    STATE(5030), 1,
      sym_parameter_list,
    STATE(7453), 1,
      sym__function_declarator_seq,
    ACTIONS(10949), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [266050] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10094), 1,
      anon_sym_LPAREN2,
    ACTIONS(11360), 1,
      anon_sym_LBRACK,
    STATE(5033), 1,
      sym_parameter_list,
    STATE(7453), 1,
      sym__function_declarator_seq,
    ACTIONS(10905), 6,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [266074] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10094), 1,
      anon_sym_LPAREN2,
    ACTIONS(11360), 1,
      anon_sym_LBRACK,
    STATE(5030), 1,
      sym_parameter_list,
    STATE(7453), 1,
      sym__function_declarator_seq,
    ACTIONS(10937), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [266098] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10094), 1,
      anon_sym_LPAREN2,
    ACTIONS(11360), 1,
      anon_sym_LBRACK,
    STATE(5033), 1,
      sym_parameter_list,
    STATE(7453), 1,
      sym__function_declarator_seq,
    ACTIONS(10931), 6,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [266122] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10094), 1,
      anon_sym_LPAREN2,
    ACTIONS(11360), 1,
      anon_sym_LBRACK,
    STATE(4992), 1,
      sym_parameter_list,
    STATE(7453), 1,
      sym__function_declarator_seq,
    ACTIONS(10937), 6,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [266146] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11563), 1,
      anon_sym_delete,
    ACTIONS(11565), 1,
      anon_sym_new,
    ACTIONS(11549), 3,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
    ACTIONS(11547), 5,
      anon_sym___based,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
  [266168] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2186), 1,
      anon_sym_LBRACK,
    ACTIONS(2188), 9,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_try,
  [266186] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10094), 1,
      anon_sym_LPAREN2,
    ACTIONS(11360), 1,
      anon_sym_LBRACK,
    STATE(4992), 1,
      sym_parameter_list,
    STATE(7453), 1,
      sym__function_declarator_seq,
    ACTIONS(10929), 6,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [266210] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2216), 1,
      anon_sym_LBRACK,
    ACTIONS(2218), 9,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_try,
  [266228] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11567), 1,
      anon_sym_delete,
    ACTIONS(11569), 1,
      anon_sym_new,
    ACTIONS(11549), 3,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
    ACTIONS(11547), 5,
      anon_sym___based,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
  [266250] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6081), 1,
      anon_sym_LBRACE,
    ACTIONS(8209), 1,
      anon_sym___attribute__,
    ACTIONS(11571), 1,
      anon_sym_COLON,
    STATE(3094), 1,
      sym_attribute_specifier,
    STATE(6412), 1,
      sym__enum_base_clause,
    STATE(6581), 1,
      sym_enumerator_list,
    ACTIONS(6370), 4,
      anon_sym_COMMA,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [266278] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4413), 1,
      anon_sym_LBRACE,
    ACTIONS(10094), 1,
      anon_sym_LPAREN2,
    ACTIONS(10726), 1,
      anon_sym_LBRACK,
    ACTIONS(11573), 1,
      anon_sym_EQ,
    STATE(4453), 1,
      sym_parameter_list,
    STATE(7816), 1,
      sym__function_declarator_seq,
    STATE(9991), 1,
      sym_initializer_list,
    STATE(7787), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [266310] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2212), 1,
      anon_sym_LBRACK,
    ACTIONS(2214), 9,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_try,
  [266328] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10094), 1,
      anon_sym_LPAREN2,
    ACTIONS(11360), 1,
      anon_sym_LBRACK,
    STATE(5030), 1,
      sym_parameter_list,
    STATE(7453), 1,
      sym__function_declarator_seq,
    ACTIONS(10931), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [266352] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(11313), 1,
      anon_sym_LBRACK,
    STATE(7577), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(11311), 6,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_try,
  [266374] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10094), 1,
      anon_sym_LPAREN2,
    ACTIONS(11360), 1,
      anon_sym_LBRACK,
    STATE(4992), 1,
      sym_parameter_list,
    STATE(7453), 1,
      sym__function_declarator_seq,
    ACTIONS(10931), 6,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [266398] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10094), 1,
      anon_sym_LPAREN2,
    ACTIONS(11360), 1,
      anon_sym_LBRACK,
    STATE(5033), 1,
      sym_parameter_list,
    STATE(7453), 1,
      sym__function_declarator_seq,
    ACTIONS(10895), 6,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [266422] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1486), 1,
      anon_sym_template,
    ACTIONS(3148), 1,
      anon_sym_decltype,
    ACTIONS(10650), 1,
      sym_identifier,
    ACTIONS(10670), 1,
      anon_sym_COLON_COLON,
    STATE(2999), 1,
      sym_template_type,
    STATE(7872), 1,
      sym__scope_resolution,
    STATE(8164), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(10317), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [266452] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11575), 1,
      anon_sym_delete,
    ACTIONS(11577), 1,
      anon_sym_new,
    ACTIONS(11549), 3,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
    ACTIONS(11547), 5,
      anon_sym___based,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
  [266474] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11581), 1,
      anon_sym_LBRACK,
    STATE(8252), 1,
      sym_gnu_asm_input_operand,
    STATE(10010), 1,
      sym_string_literal,
    ACTIONS(11579), 2,
      anon_sym_RPAREN,
      anon_sym_COLON,
    ACTIONS(113), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
  [266498] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10094), 1,
      anon_sym_LPAREN2,
    ACTIONS(11360), 1,
      anon_sym_LBRACK,
    STATE(5030), 1,
      sym_parameter_list,
    STATE(7453), 1,
      sym__function_declarator_seq,
    ACTIONS(10909), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [266522] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10094), 1,
      anon_sym_LPAREN2,
    ACTIONS(11360), 1,
      anon_sym_LBRACK,
    STATE(5030), 1,
      sym_parameter_list,
    STATE(7453), 1,
      sym__function_declarator_seq,
    ACTIONS(10951), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [266546] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6081), 1,
      anon_sym_LBRACE,
    ACTIONS(8209), 1,
      anon_sym___attribute__,
    ACTIONS(11571), 1,
      anon_sym_COLON,
    STATE(3073), 1,
      sym_attribute_specifier,
    STATE(6392), 1,
      sym__enum_base_clause,
    STATE(6591), 1,
      sym_enumerator_list,
    ACTIONS(6358), 4,
      anon_sym_COMMA,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [266574] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10094), 1,
      anon_sym_LPAREN2,
    ACTIONS(11360), 1,
      anon_sym_LBRACK,
    STATE(5030), 1,
      sym_parameter_list,
    STATE(7453), 1,
      sym__function_declarator_seq,
    ACTIONS(10929), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [266598] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10094), 1,
      anon_sym_LPAREN2,
    ACTIONS(11360), 1,
      anon_sym_LBRACK,
    STATE(5033), 1,
      sym_parameter_list,
    STATE(7453), 1,
      sym__function_declarator_seq,
    ACTIONS(10909), 6,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [266622] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10094), 1,
      anon_sym_LPAREN2,
    ACTIONS(11360), 1,
      anon_sym_LBRACK,
    STATE(5033), 1,
      sym_parameter_list,
    STATE(7453), 1,
      sym__function_declarator_seq,
    ACTIONS(10929), 6,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [266646] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11583), 1,
      anon_sym_delete,
    ACTIONS(11585), 1,
      anon_sym_new,
    ACTIONS(11549), 3,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
    ACTIONS(11547), 5,
      anon_sym___based,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
  [266668] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6609), 1,
      anon_sym_LBRACK,
    ACTIONS(10094), 1,
      anon_sym_LPAREN2,
    ACTIONS(11587), 1,
      anon_sym_COMMA,
    STATE(3417), 1,
      sym_parameter_list,
    STATE(8366), 1,
      aux_sym__type_definition_declarators_repeat1,
    ACTIONS(11589), 2,
      anon_sym_SEMI,
      anon_sym___attribute__,
    STATE(7723), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [266698] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10094), 1,
      anon_sym_LPAREN2,
    ACTIONS(11360), 1,
      anon_sym_LBRACK,
    STATE(4992), 1,
      sym_parameter_list,
    STATE(7453), 1,
      sym__function_declarator_seq,
    ACTIONS(10909), 6,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [266722] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11577), 1,
      anon_sym_new,
    ACTIONS(11591), 1,
      anon_sym_delete,
    ACTIONS(11549), 3,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
    ACTIONS(11547), 5,
      anon_sym___based,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
  [266744] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10094), 1,
      anon_sym_LPAREN2,
    ACTIONS(11360), 1,
      anon_sym_LBRACK,
    STATE(4992), 1,
      sym_parameter_list,
    STATE(7453), 1,
      sym__function_declarator_seq,
    ACTIONS(10905), 6,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [266768] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11595), 1,
      anon_sym_LBRACK,
    STATE(8234), 1,
      sym_gnu_asm_output_operand,
    STATE(9768), 1,
      sym_string_literal,
    ACTIONS(11593), 2,
      anon_sym_RPAREN,
      anon_sym_COLON,
    ACTIONS(113), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
  [266792] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1486), 1,
      anon_sym_template,
    ACTIONS(3148), 1,
      anon_sym_decltype,
    ACTIONS(10650), 1,
      sym_identifier,
    ACTIONS(10670), 1,
      anon_sym_COLON_COLON,
    STATE(2999), 1,
      sym_template_type,
    STATE(7872), 1,
      sym__scope_resolution,
    STATE(8505), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(10317), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [266822] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11597), 1,
      anon_sym_delete,
    ACTIONS(11599), 1,
      anon_sym_new,
    ACTIONS(11549), 3,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
    ACTIONS(11547), 5,
      anon_sym___based,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
  [266844] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11553), 1,
      anon_sym_new,
    ACTIONS(11601), 1,
      anon_sym_delete,
    ACTIONS(11549), 3,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
    ACTIONS(11547), 5,
      anon_sym___based,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
  [266866] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11603), 1,
      anon_sym_delete,
    ACTIONS(11605), 1,
      anon_sym_new,
    ACTIONS(11549), 3,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
    ACTIONS(11547), 5,
      anon_sym___based,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
  [266888] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1486), 1,
      anon_sym_template,
    ACTIONS(3148), 1,
      anon_sym_decltype,
    ACTIONS(10650), 1,
      sym_identifier,
    ACTIONS(10670), 1,
      anon_sym_COLON_COLON,
    STATE(2999), 1,
      sym_template_type,
    STATE(7872), 1,
      sym__scope_resolution,
    STATE(8249), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(10317), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [266918] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11607), 1,
      anon_sym_delete,
    ACTIONS(11609), 1,
      anon_sym_new,
    ACTIONS(11549), 3,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
    ACTIONS(11547), 5,
      anon_sym___based,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
  [266940] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10094), 1,
      anon_sym_LPAREN2,
    ACTIONS(11360), 1,
      anon_sym_LBRACK,
    STATE(5033), 1,
      sym_parameter_list,
    STATE(7453), 1,
      sym__function_declarator_seq,
    ACTIONS(10937), 6,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [266964] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11577), 1,
      anon_sym_new,
    ACTIONS(11611), 1,
      anon_sym_delete,
    ACTIONS(11549), 3,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
    ACTIONS(11547), 5,
      anon_sym___based,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
  [266986] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1486), 1,
      anon_sym_template,
    ACTIONS(3148), 1,
      anon_sym_decltype,
    ACTIONS(11613), 1,
      sym_identifier,
    ACTIONS(11615), 1,
      anon_sym_COLON_COLON,
    STATE(3878), 1,
      sym_template_type,
    STATE(7890), 1,
      sym__scope_resolution,
    STATE(3952), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(10317), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [267016] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1486), 1,
      anon_sym_template,
    ACTIONS(3148), 1,
      anon_sym_decltype,
    ACTIONS(10650), 1,
      sym_identifier,
    ACTIONS(10670), 1,
      anon_sym_COLON_COLON,
    STATE(2999), 1,
      sym_template_type,
    STATE(7872), 1,
      sym__scope_resolution,
    STATE(8664), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(10317), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [267046] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2200), 1,
      anon_sym_LBRACK,
    ACTIONS(2202), 9,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_try,
  [267064] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11381), 1,
      anon_sym_COLON,
    ACTIONS(11390), 1,
      anon_sym_LBRACK,
    STATE(7763), 1,
      sym_semantics,
    ACTIONS(11385), 7,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_try,
  [267086] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10094), 1,
      anon_sym_LPAREN2,
    ACTIONS(11360), 1,
      anon_sym_LBRACK,
    STATE(5033), 1,
      sym_parameter_list,
    STATE(7453), 1,
      sym__function_declarator_seq,
    ACTIONS(10951), 6,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [267110] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2178), 1,
      anon_sym_LBRACK,
    ACTIONS(2180), 9,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_try,
  [267128] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2208), 1,
      anon_sym_LBRACK,
    ACTIONS(2210), 9,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_try,
  [267146] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11569), 1,
      anon_sym_new,
    ACTIONS(11617), 1,
      anon_sym_delete,
    ACTIONS(11549), 3,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
    ACTIONS(11547), 5,
      anon_sym___based,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
  [267168] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11619), 1,
      anon_sym_delete,
    ACTIONS(11621), 1,
      anon_sym_new,
    ACTIONS(11549), 3,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
    ACTIONS(11547), 5,
      anon_sym___based,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
  [267190] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10094), 1,
      anon_sym_LPAREN2,
    ACTIONS(11360), 1,
      anon_sym_LBRACK,
    STATE(5030), 1,
      sym_parameter_list,
    STATE(7453), 1,
      sym__function_declarator_seq,
    ACTIONS(10905), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [267214] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10094), 1,
      anon_sym_LPAREN2,
    ACTIONS(11360), 1,
      anon_sym_LBRACK,
    STATE(5030), 1,
      sym_parameter_list,
    STATE(7453), 1,
      sym__function_declarator_seq,
    ACTIONS(10895), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [267238] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10094), 1,
      anon_sym_LPAREN2,
    ACTIONS(11360), 1,
      anon_sym_LBRACK,
    STATE(5033), 1,
      sym_parameter_list,
    STATE(7453), 1,
      sym__function_declarator_seq,
    ACTIONS(10949), 6,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [267262] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10094), 1,
      anon_sym_LPAREN2,
    ACTIONS(11360), 1,
      anon_sym_LBRACK,
    STATE(4992), 1,
      sym_parameter_list,
    STATE(7453), 1,
      sym__function_declarator_seq,
    ACTIONS(10951), 6,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [267286] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10094), 1,
      anon_sym_LPAREN2,
    ACTIONS(11360), 1,
      anon_sym_LBRACK,
    STATE(4992), 1,
      sym_parameter_list,
    STATE(7453), 1,
      sym__function_declarator_seq,
    ACTIONS(10895), 6,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [267310] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(10094), 1,
      anon_sym_LPAREN2,
    ACTIONS(10726), 1,
      anon_sym_LBRACK,
    STATE(4453), 1,
      sym_parameter_list,
    STATE(7816), 1,
      sym__function_declarator_seq,
    ACTIONS(11082), 2,
      anon_sym_LBRACE,
      anon_sym_EQ,
    STATE(7787), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [267337] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3148), 1,
      anon_sym_decltype,
    ACTIONS(10710), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11623), 1,
      sym_identifier,
    ACTIONS(11625), 1,
      anon_sym_template,
    STATE(351), 1,
      sym_qualified_type_identifier,
    STATE(362), 1,
      sym_dependent_type_identifier,
    STATE(369), 1,
      sym_template_type,
    STATE(7828), 1,
      sym__scope_resolution,
    STATE(10317), 1,
      sym_decltype,
  [267368] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(10094), 1,
      anon_sym_LPAREN2,
    ACTIONS(10726), 1,
      anon_sym_LBRACK,
    STATE(4453), 1,
      sym_parameter_list,
    STATE(7816), 1,
      sym__function_declarator_seq,
    ACTIONS(11106), 2,
      anon_sym_LBRACE,
      anon_sym_EQ,
    STATE(7787), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [267395] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2230), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5900), 1,
      anon_sym_LT,
    STATE(3964), 1,
      sym_template_argument_list,
    ACTIONS(4551), 2,
      anon_sym_COLON,
      anon_sym_LBRACK,
    ACTIONS(4546), 4,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
  [267418] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3148), 1,
      anon_sym_decltype,
    ACTIONS(10620), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11627), 1,
      sym_identifier,
    ACTIONS(11629), 1,
      anon_sym_template,
    STATE(197), 1,
      sym_template_type,
    STATE(217), 1,
      sym_qualified_type_identifier,
    STATE(221), 1,
      sym_dependent_type_identifier,
    STATE(7831), 1,
      sym__scope_resolution,
    STATE(10317), 1,
      sym_decltype,
  [267449] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10094), 1,
      anon_sym_LPAREN2,
    ACTIONS(11360), 1,
      anon_sym_LBRACK,
    STATE(4871), 1,
      sym_parameter_list,
    STATE(7453), 1,
      sym__function_declarator_seq,
    ACTIONS(10931), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_GT2,
  [267472] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10094), 1,
      anon_sym_LPAREN2,
    ACTIONS(10897), 1,
      anon_sym_LBRACK,
    STATE(5095), 1,
      sym_parameter_list,
    STATE(7346), 1,
      sym__function_declarator_seq,
    ACTIONS(10909), 5,
      anon_sym_RPAREN,
      anon_sym_LBRACK_LBRACK,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [267495] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11631), 1,
      sym_identifier,
    ACTIONS(11635), 1,
      sym_system_lib_string,
    STATE(9471), 2,
      sym_preproc_call_expression,
      sym_string_literal,
    ACTIONS(11633), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
  [267516] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10094), 1,
      anon_sym_LPAREN2,
    ACTIONS(10897), 1,
      anon_sym_LBRACK,
    STATE(5095), 1,
      sym_parameter_list,
    STATE(7346), 1,
      sym__function_declarator_seq,
    ACTIONS(10905), 5,
      anon_sym_RPAREN,
      anon_sym_LBRACK_LBRACK,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [267539] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10094), 1,
      anon_sym_LPAREN2,
    ACTIONS(10897), 1,
      anon_sym_LBRACK,
    STATE(5095), 1,
      sym_parameter_list,
    STATE(7346), 1,
      sym__function_declarator_seq,
    ACTIONS(10895), 5,
      anon_sym_RPAREN,
      anon_sym_LBRACK_LBRACK,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [267562] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3148), 1,
      anon_sym_decltype,
    ACTIONS(9653), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11637), 1,
      sym_identifier,
    ACTIONS(11639), 1,
      anon_sym_template,
    STATE(3574), 1,
      sym_template_type,
    STATE(3577), 1,
      sym_dependent_type_identifier,
    STATE(3709), 1,
      sym_qualified_type_identifier,
    STATE(7837), 1,
      sym__scope_resolution,
    STATE(10317), 1,
      sym_decltype,
  [267593] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3148), 1,
      anon_sym_decltype,
    ACTIONS(9631), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11641), 1,
      sym_identifier,
    ACTIONS(11643), 1,
      anon_sym_template,
    STATE(4980), 1,
      sym_dependent_type_identifier,
    STATE(5019), 1,
      sym_template_type,
    STATE(5050), 1,
      sym_qualified_type_identifier,
    STATE(7838), 1,
      sym__scope_resolution,
    STATE(10317), 1,
      sym_decltype,
  [267624] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3148), 1,
      anon_sym_decltype,
    ACTIONS(9793), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11645), 1,
      sym_identifier,
    ACTIONS(11647), 1,
      anon_sym_template,
    STATE(3794), 1,
      sym_template_type,
    STATE(3796), 1,
      sym_dependent_type_identifier,
    STATE(3880), 1,
      sym_qualified_type_identifier,
    STATE(7839), 1,
      sym__scope_resolution,
    STATE(10317), 1,
      sym_decltype,
  [267655] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3148), 1,
      anon_sym_decltype,
    ACTIONS(9697), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11649), 1,
      sym_identifier,
    ACTIONS(11651), 1,
      anon_sym_template,
    STATE(4857), 1,
      sym_dependent_type_identifier,
    STATE(4869), 1,
      sym_template_type,
    STATE(4967), 1,
      sym_qualified_type_identifier,
    STATE(7840), 1,
      sym__scope_resolution,
    STATE(10317), 1,
      sym_decltype,
  [267686] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3148), 1,
      anon_sym_decltype,
    ACTIONS(8402), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11653), 1,
      sym_identifier,
    ACTIONS(11655), 1,
      anon_sym_template,
    STATE(2995), 1,
      sym_dependent_type_identifier,
    STATE(2996), 1,
      sym_template_type,
    STATE(3161), 1,
      sym_qualified_type_identifier,
    STATE(7841), 1,
      sym__scope_resolution,
    STATE(10317), 1,
      sym_decltype,
  [267717] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1486), 1,
      anon_sym_template,
    ACTIONS(3148), 1,
      anon_sym_decltype,
    ACTIONS(10652), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11657), 1,
      sym_identifier,
    STATE(2995), 1,
      sym_dependent_type_identifier,
    STATE(2996), 1,
      sym_template_type,
    STATE(3210), 1,
      sym_qualified_type_identifier,
    STATE(7842), 1,
      sym__scope_resolution,
    STATE(10317), 1,
      sym_decltype,
  [267748] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11659), 1,
      sym_identifier,
    ACTIONS(11661), 1,
      sym_system_lib_string,
    STATE(9868), 2,
      sym_preproc_call_expression,
      sym_string_literal,
    ACTIONS(11633), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
  [267769] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3148), 1,
      anon_sym_decltype,
    ACTIONS(9725), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11663), 1,
      sym_identifier,
    ACTIONS(11665), 1,
      anon_sym_template,
    STATE(3722), 1,
      sym_template_type,
    STATE(3726), 1,
      sym_dependent_type_identifier,
    STATE(3773), 1,
      sym_qualified_type_identifier,
    STATE(7844), 1,
      sym__scope_resolution,
    STATE(10317), 1,
      sym_decltype,
  [267800] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3148), 1,
      anon_sym_decltype,
    ACTIONS(8416), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11647), 1,
      anon_sym_template,
    ACTIONS(11667), 1,
      sym_identifier,
    STATE(3794), 1,
      sym_template_type,
    STATE(3796), 1,
      sym_dependent_type_identifier,
    STATE(3880), 1,
      sym_qualified_type_identifier,
    STATE(7845), 1,
      sym__scope_resolution,
    STATE(10317), 1,
      sym_decltype,
  [267831] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1486), 1,
      anon_sym_template,
    ACTIONS(3148), 1,
      anon_sym_decltype,
    ACTIONS(10578), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11669), 1,
      sym_identifier,
    STATE(6974), 1,
      sym__scope_resolution,
    STATE(10089), 1,
      sym_qualified_identifier,
    STATE(10317), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
  [267858] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3148), 1,
      anon_sym_decltype,
    ACTIONS(10660), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11671), 1,
      sym_identifier,
    ACTIONS(11673), 1,
      anon_sym_template,
    STATE(179), 1,
      sym_qualified_type_identifier,
    STATE(183), 1,
      sym_dependent_type_identifier,
    STATE(184), 1,
      sym_template_type,
    STATE(7847), 1,
      sym__scope_resolution,
    STATE(10317), 1,
      sym_decltype,
  [267889] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3148), 1,
      anon_sym_decltype,
    ACTIONS(9883), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11675), 1,
      sym_identifier,
    ACTIONS(11677), 1,
      anon_sym_template,
    STATE(2995), 1,
      sym_dependent_type_identifier,
    STATE(2996), 1,
      sym_template_type,
    STATE(3161), 1,
      sym_qualified_type_identifier,
    STATE(7848), 1,
      sym__scope_resolution,
    STATE(10317), 1,
      sym_decltype,
  [267920] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10094), 1,
      anon_sym_LPAREN2,
    ACTIONS(10897), 1,
      anon_sym_LBRACK,
    STATE(5095), 1,
      sym_parameter_list,
    STATE(7346), 1,
      sym__function_declarator_seq,
    ACTIONS(10937), 5,
      anon_sym_RPAREN,
      anon_sym_LBRACK_LBRACK,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [267943] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10094), 1,
      anon_sym_LPAREN2,
    ACTIONS(10897), 1,
      anon_sym_LBRACK,
    STATE(5095), 1,
      sym_parameter_list,
    STATE(7346), 1,
      sym__function_declarator_seq,
    ACTIONS(10949), 5,
      anon_sym_RPAREN,
      anon_sym_LBRACK_LBRACK,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [267966] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11679), 1,
      sym_identifier,
    ACTIONS(11681), 1,
      sym_system_lib_string,
    STATE(9487), 2,
      sym_preproc_call_expression,
      sym_string_literal,
    ACTIONS(11633), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
  [267987] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3148), 1,
      anon_sym_decltype,
    ACTIONS(8364), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11683), 1,
      sym_identifier,
    ACTIONS(11685), 1,
      anon_sym_template,
    STATE(6079), 1,
      sym_dependent_type_identifier,
    STATE(6080), 1,
      sym_template_type,
    STATE(6095), 1,
      sym_qualified_type_identifier,
    STATE(7852), 1,
      sym__scope_resolution,
    STATE(10317), 1,
      sym_decltype,
  [268018] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3148), 1,
      anon_sym_decltype,
    ACTIONS(10588), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11687), 1,
      sym_identifier,
    ACTIONS(11689), 1,
      anon_sym_template,
    STATE(346), 1,
      sym_qualified_type_identifier,
    STATE(360), 1,
      sym_dependent_type_identifier,
    STATE(365), 1,
      sym_template_type,
    STATE(7853), 1,
      sym__scope_resolution,
    STATE(10317), 1,
      sym_decltype,
  [268049] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3148), 1,
      anon_sym_decltype,
    ACTIONS(9675), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11691), 1,
      sym_identifier,
    ACTIONS(11693), 1,
      anon_sym_template,
    STATE(3940), 1,
      sym_dependent_type_identifier,
    STATE(3944), 1,
      sym_template_type,
    STATE(4067), 1,
      sym_qualified_type_identifier,
    STATE(7854), 1,
      sym__scope_resolution,
    STATE(10317), 1,
      sym_decltype,
  [268080] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(10094), 1,
      anon_sym_LPAREN2,
    ACTIONS(10726), 1,
      anon_sym_LBRACK,
    STATE(4453), 1,
      sym_parameter_list,
    STATE(7816), 1,
      sym__function_declarator_seq,
    ACTIONS(11037), 2,
      anon_sym_LBRACE,
      anon_sym_EQ,
    STATE(7787), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [268107] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10094), 1,
      anon_sym_LPAREN2,
    ACTIONS(10897), 1,
      anon_sym_LBRACK,
    STATE(5095), 1,
      sym_parameter_list,
    STATE(7346), 1,
      sym__function_declarator_seq,
    ACTIONS(10929), 5,
      anon_sym_RPAREN,
      anon_sym_LBRACK_LBRACK,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [268130] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3148), 1,
      anon_sym_decltype,
    ACTIONS(10704), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11695), 1,
      sym_identifier,
    ACTIONS(11697), 1,
      anon_sym_template,
    STATE(1472), 1,
      sym_qualified_type_identifier,
    STATE(1475), 1,
      sym_dependent_type_identifier,
    STATE(1476), 1,
      sym_template_type,
    STATE(7857), 1,
      sym__scope_resolution,
    STATE(10317), 1,
      sym_decltype,
  [268161] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3148), 1,
      anon_sym_decltype,
    ACTIONS(8288), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11699), 1,
      sym_identifier,
    ACTIONS(11701), 1,
      anon_sym_template,
    STATE(3210), 1,
      sym_qualified_type_identifier,
    STATE(3255), 1,
      sym_template_type,
    STATE(3256), 1,
      sym_dependent_type_identifier,
    STATE(7858), 1,
      sym__scope_resolution,
    STATE(10317), 1,
      sym_decltype,
  [268192] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11703), 1,
      sym_identifier,
    ACTIONS(11705), 1,
      sym_system_lib_string,
    STATE(10315), 2,
      sym_preproc_call_expression,
      sym_string_literal,
    ACTIONS(11633), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
  [268213] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5978), 1,
      anon_sym_AMP,
    ACTIONS(5980), 2,
      anon_sym_if,
      anon_sym_for,
    ACTIONS(5976), 6,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_LT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
  [268232] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1486), 1,
      anon_sym_template,
    ACTIONS(3148), 1,
      anon_sym_decltype,
    ACTIONS(10578), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11707), 1,
      sym_identifier,
    STATE(6974), 1,
      sym__scope_resolution,
    STATE(9913), 1,
      sym_qualified_identifier,
    STATE(10317), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
  [268259] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3148), 1,
      anon_sym_decltype,
    ACTIONS(8334), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11677), 1,
      anon_sym_template,
    ACTIONS(11709), 1,
      sym_identifier,
    STATE(2995), 1,
      sym_dependent_type_identifier,
    STATE(2996), 1,
      sym_template_type,
    STATE(3161), 1,
      sym_qualified_type_identifier,
    STATE(7862), 1,
      sym__scope_resolution,
    STATE(10317), 1,
      sym_decltype,
  [268290] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6609), 1,
      anon_sym_LBRACK,
    ACTIONS(10094), 1,
      anon_sym_LPAREN2,
    STATE(3417), 1,
      sym_parameter_list,
    STATE(7723), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(11711), 3,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
  [268315] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10094), 1,
      anon_sym_LPAREN2,
    ACTIONS(10897), 1,
      anon_sym_LBRACK,
    STATE(5095), 1,
      sym_parameter_list,
    STATE(7346), 1,
      sym__function_declarator_seq,
    ACTIONS(10931), 5,
      anon_sym_RPAREN,
      anon_sym_LBRACK_LBRACK,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [268338] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1486), 1,
      anon_sym_template,
    ACTIONS(3148), 1,
      anon_sym_decltype,
    ACTIONS(10578), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11713), 1,
      sym_identifier,
    STATE(6974), 1,
      sym__scope_resolution,
    STATE(9881), 1,
      sym_qualified_identifier,
    STATE(10317), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
  [268365] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5929), 1,
      anon_sym_LBRACE,
    ACTIONS(6417), 1,
      anon_sym_COLON,
    STATE(917), 1,
      sym_field_declaration_list,
    STATE(8465), 1,
      sym_virtual_specifier,
    STATE(9090), 1,
      sym_base_class_clause,
    ACTIONS(2222), 2,
      anon_sym_else,
      anon_sym_while,
    ACTIONS(6859), 2,
      anon_sym_final,
      anon_sym_override,
  [268392] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1486), 1,
      anon_sym_template,
    ACTIONS(3148), 1,
      anon_sym_decltype,
    ACTIONS(10578), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11715), 1,
      sym_identifier,
    STATE(6974), 1,
      sym__scope_resolution,
    STATE(9583), 1,
      sym_qualified_identifier,
    STATE(10317), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
  [268419] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10094), 1,
      anon_sym_LPAREN2,
    ACTIONS(11360), 1,
      anon_sym_LBRACK,
    STATE(4871), 1,
      sym_parameter_list,
    STATE(7453), 1,
      sym__function_declarator_seq,
    ACTIONS(10929), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_GT2,
  [268442] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10094), 1,
      anon_sym_LPAREN2,
    ACTIONS(10897), 1,
      anon_sym_LBRACK,
    STATE(5095), 1,
      sym_parameter_list,
    STATE(7346), 1,
      sym__function_declarator_seq,
    ACTIONS(10951), 5,
      anon_sym_RPAREN,
      anon_sym_LBRACK_LBRACK,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [268465] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10094), 1,
      anon_sym_LPAREN2,
    ACTIONS(11360), 1,
      anon_sym_LBRACK,
    STATE(4871), 1,
      sym_parameter_list,
    STATE(7453), 1,
      sym__function_declarator_seq,
    ACTIONS(10895), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_GT2,
  [268488] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1486), 1,
      anon_sym_template,
    ACTIONS(3148), 1,
      anon_sym_decltype,
    ACTIONS(10578), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11717), 1,
      sym_identifier,
    STATE(6974), 1,
      sym__scope_resolution,
    STATE(10016), 1,
      sym_qualified_identifier,
    STATE(10317), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
  [268515] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1486), 1,
      anon_sym_template,
    ACTIONS(3148), 1,
      anon_sym_decltype,
    ACTIONS(10670), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11657), 1,
      sym_identifier,
    STATE(2995), 1,
      sym_dependent_type_identifier,
    STATE(2996), 1,
      sym_template_type,
    STATE(3023), 1,
      sym_qualified_type_identifier,
    STATE(7872), 1,
      sym__scope_resolution,
    STATE(10317), 1,
      sym_decltype,
  [268546] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5978), 1,
      anon_sym_AMP,
    ACTIONS(5982), 2,
      anon_sym_EQ,
      anon_sym_DOT,
    ACTIONS(5976), 6,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_LT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
  [268565] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1486), 1,
      anon_sym_template,
    ACTIONS(3148), 1,
      anon_sym_decltype,
    ACTIONS(10578), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11719), 1,
      sym_identifier,
    STATE(6974), 1,
      sym__scope_resolution,
    STATE(9680), 1,
      sym_qualified_identifier,
    STATE(10317), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
  [268592] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3148), 1,
      anon_sym_decltype,
    ACTIONS(9747), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11701), 1,
      anon_sym_template,
    ACTIONS(11721), 1,
      sym_identifier,
    STATE(3210), 1,
      sym_qualified_type_identifier,
    STATE(3255), 1,
      sym_template_type,
    STATE(3256), 1,
      sym_dependent_type_identifier,
    STATE(7875), 1,
      sym__scope_resolution,
    STATE(10317), 1,
      sym_decltype,
  [268623] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(10094), 1,
      anon_sym_LPAREN2,
    ACTIONS(10726), 1,
      anon_sym_LBRACK,
    STATE(4453), 1,
      sym_parameter_list,
    STATE(7816), 1,
      sym__function_declarator_seq,
    ACTIONS(11057), 2,
      anon_sym_LBRACE,
      anon_sym_EQ,
    STATE(7787), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [268650] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11723), 1,
      sym_identifier,
    ACTIONS(11725), 1,
      sym_system_lib_string,
    STATE(10309), 2,
      sym_preproc_call_expression,
      sym_string_literal,
    ACTIONS(11633), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
  [268671] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3148), 1,
      anon_sym_decltype,
    ACTIONS(9761), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11727), 1,
      sym_identifier,
    ACTIONS(11729), 1,
      anon_sym_template,
    STATE(3227), 1,
      sym_dependent_type_identifier,
    STATE(3230), 1,
      sym_template_type,
    STATE(3279), 1,
      sym_qualified_type_identifier,
    STATE(7878), 1,
      sym__scope_resolution,
    STATE(10317), 1,
      sym_decltype,
  [268702] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3148), 1,
      anon_sym_decltype,
    ACTIONS(4569), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11731), 1,
      sym_identifier,
    ACTIONS(11733), 1,
      anon_sym_template,
    STATE(2995), 1,
      sym_dependent_type_identifier,
    STATE(2996), 1,
      sym_template_type,
    STATE(3023), 1,
      sym_qualified_type_identifier,
    STATE(7879), 1,
      sym__scope_resolution,
    STATE(10317), 1,
      sym_decltype,
  [268733] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1486), 1,
      anon_sym_template,
    ACTIONS(3148), 1,
      anon_sym_decltype,
    ACTIONS(10578), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11735), 1,
      sym_identifier,
    STATE(6974), 1,
      sym__scope_resolution,
    STATE(10325), 1,
      sym_qualified_identifier,
    STATE(10317), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
  [268760] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1486), 1,
      anon_sym_template,
    ACTIONS(3148), 1,
      anon_sym_decltype,
    ACTIONS(10578), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11737), 1,
      sym_identifier,
    STATE(6974), 1,
      sym__scope_resolution,
    STATE(9806), 1,
      sym_qualified_identifier,
    STATE(10317), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
  [268787] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3148), 1,
      anon_sym_decltype,
    ACTIONS(9807), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11739), 1,
      sym_identifier,
    ACTIONS(11741), 1,
      anon_sym_template,
    STATE(3763), 1,
      sym_template_type,
    STATE(3769), 1,
      sym_dependent_type_identifier,
    STATE(3842), 1,
      sym_qualified_type_identifier,
    STATE(7882), 1,
      sym__scope_resolution,
    STATE(10317), 1,
      sym_decltype,
  [268818] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2230), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5900), 1,
      anon_sym_LT,
    STATE(3964), 1,
      sym_template_argument_list,
    ACTIONS(6521), 2,
      anon_sym_COLON,
      anon_sym_LBRACK,
    ACTIONS(5792), 4,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
  [268841] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1486), 1,
      anon_sym_template,
    ACTIONS(3148), 1,
      anon_sym_decltype,
    ACTIONS(10578), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11743), 1,
      sym_identifier,
    STATE(6974), 1,
      sym__scope_resolution,
    STATE(9722), 1,
      sym_qualified_identifier,
    STATE(10317), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
  [268868] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3148), 1,
      anon_sym_decltype,
    ACTIONS(10084), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11745), 1,
      sym_identifier,
    ACTIONS(11747), 1,
      anon_sym_template,
    STATE(2989), 1,
      sym_qualified_type_identifier,
    STATE(3009), 1,
      sym_template_type,
    STATE(3010), 1,
      sym_dependent_type_identifier,
    STATE(7885), 1,
      sym__scope_resolution,
    STATE(10317), 1,
      sym_decltype,
  [268899] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10094), 1,
      anon_sym_LPAREN2,
    ACTIONS(11360), 1,
      anon_sym_LBRACK,
    STATE(4871), 1,
      sym_parameter_list,
    STATE(7453), 1,
      sym__function_declarator_seq,
    ACTIONS(10909), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_GT2,
  [268922] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3148), 1,
      anon_sym_decltype,
    ACTIONS(3904), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11653), 1,
      sym_identifier,
    ACTIONS(11655), 1,
      anon_sym_template,
    STATE(2995), 1,
      sym_dependent_type_identifier,
    STATE(2996), 1,
      sym_template_type,
    STATE(3023), 1,
      sym_qualified_type_identifier,
    STATE(7887), 1,
      sym__scope_resolution,
    STATE(10317), 1,
      sym_decltype,
  [268953] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(10094), 1,
      anon_sym_LPAREN2,
    ACTIONS(10726), 1,
      anon_sym_LBRACK,
    STATE(4453), 1,
      sym_parameter_list,
    STATE(7816), 1,
      sym__function_declarator_seq,
    ACTIONS(10991), 2,
      anon_sym_LBRACE,
      anon_sym_EQ,
    STATE(7787), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [268980] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5929), 1,
      anon_sym_LBRACE,
    ACTIONS(6417), 1,
      anon_sym_COLON,
    STATE(816), 1,
      sym_field_declaration_list,
    STATE(8273), 1,
      sym_virtual_specifier,
    STATE(9247), 1,
      sym_base_class_clause,
    ACTIONS(2192), 2,
      anon_sym_else,
      anon_sym_while,
    ACTIONS(6859), 2,
      anon_sym_final,
      anon_sym_override,
  [269007] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3148), 1,
      anon_sym_decltype,
    ACTIONS(11615), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11749), 1,
      sym_identifier,
    ACTIONS(11751), 1,
      anon_sym_template,
    STATE(3864), 1,
      sym_template_type,
    STATE(3865), 1,
      sym_qualified_type_identifier,
    STATE(3945), 1,
      sym_dependent_type_identifier,
    STATE(7890), 1,
      sym__scope_resolution,
    STATE(10317), 1,
      sym_decltype,
  [269038] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3148), 1,
      anon_sym_decltype,
    ACTIONS(10626), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11753), 1,
      sym_identifier,
    ACTIONS(11755), 1,
      anon_sym_template,
    STATE(342), 1,
      sym_qualified_type_identifier,
    STATE(437), 1,
      sym_dependent_type_identifier,
    STATE(438), 1,
      sym_template_type,
    STATE(7891), 1,
      sym__scope_resolution,
    STATE(10317), 1,
      sym_decltype,
  [269069] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3148), 1,
      anon_sym_decltype,
    ACTIONS(9856), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11675), 1,
      sym_identifier,
    ACTIONS(11677), 1,
      anon_sym_template,
    STATE(2995), 1,
      sym_dependent_type_identifier,
    STATE(2996), 1,
      sym_template_type,
    STATE(3023), 1,
      sym_qualified_type_identifier,
    STATE(7892), 1,
      sym__scope_resolution,
    STATE(10317), 1,
      sym_decltype,
  [269100] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11581), 1,
      anon_sym_LBRACK,
    STATE(8597), 1,
      sym_gnu_asm_input_operand,
    STATE(10010), 1,
      sym_string_literal,
    ACTIONS(113), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
  [269120] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11757), 1,
      sym_identifier,
    ACTIONS(11762), 1,
      aux_sym_preproc_elif_token1,
    STATE(7894), 2,
      sym_enumerator,
      aux_sym_preproc_if_in_enumerator_list_no_comma_repeat1,
    ACTIONS(11760), 4,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
  [269140] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(10094), 1,
      anon_sym_LPAREN2,
    ACTIONS(10726), 1,
      anon_sym_LBRACK,
    ACTIONS(11764), 1,
      anon_sym_SEMI,
    STATE(4875), 1,
      sym_parameter_list,
    STATE(7816), 1,
      sym__function_declarator_seq,
    STATE(7787), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [269166] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(10094), 1,
      anon_sym_LPAREN2,
    ACTIONS(10102), 1,
      anon_sym_LBRACK,
    ACTIONS(11169), 1,
      anon_sym_RPAREN,
    STATE(5135), 1,
      sym_parameter_list,
    STATE(7693), 1,
      sym__function_declarator_seq,
    STATE(8023), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [269192] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11176), 1,
      sym_identifier,
    ACTIONS(11480), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(11766), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(11768), 1,
      aux_sym_preproc_elif_token1,
    STATE(7935), 1,
      aux_sym_preproc_if_in_enumerator_list_repeat1,
    STATE(9807), 1,
      sym_enumerator,
    STATE(9843), 2,
      sym_preproc_else_in_enumerator_list,
      sym_preproc_elif_in_enumerator_list,
  [269218] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11398), 1,
      sym_identifier,
    ACTIONS(11488), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(11770), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(11772), 1,
      aux_sym_preproc_elif_token1,
    STATE(8084), 2,
      sym_enumerator,
      aux_sym_preproc_if_in_enumerator_list_no_comma_repeat1,
    STATE(10206), 2,
      sym_preproc_else_in_enumerator_list_no_comma,
      sym_preproc_elif_in_enumerator_list_no_comma,
  [269242] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(10094), 1,
      anon_sym_LPAREN2,
    ACTIONS(11130), 1,
      anon_sym_LBRACK,
    STATE(7667), 1,
      sym_parameter_list,
    ACTIONS(6603), 2,
      anon_sym_LBRACE,
      anon_sym_EQ,
    STATE(7992), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [269266] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2230), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5900), 1,
      anon_sym_LT,
    ACTIONS(11774), 1,
      anon_sym_SEMI,
    ACTIONS(11776), 1,
      anon_sym_EQ,
    STATE(3203), 1,
      sym_template_argument_list,
    STATE(8344), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [269292] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8178), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(10094), 1,
      anon_sym_LPAREN2,
    ACTIONS(10726), 1,
      anon_sym_LBRACK,
    ACTIONS(10991), 1,
      anon_sym_COLON,
    STATE(4875), 1,
      sym_parameter_list,
    STATE(7601), 1,
      sym__function_declarator_seq,
    STATE(7520), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [269318] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10094), 1,
      anon_sym_LPAREN2,
    ACTIONS(11360), 1,
      anon_sym_LBRACK,
    STATE(4963), 1,
      sym_parameter_list,
    STATE(7453), 1,
      sym__function_declarator_seq,
    ACTIONS(10929), 4,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_try,
  [269340] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11778), 1,
      sym_identifier,
    ACTIONS(11783), 1,
      aux_sym_preproc_elif_token1,
    STATE(7903), 1,
      aux_sym_preproc_if_in_enumerator_list_repeat1,
    STATE(9908), 1,
      sym_enumerator,
    ACTIONS(11781), 4,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
  [269362] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10094), 1,
      anon_sym_LPAREN2,
    ACTIONS(11360), 1,
      anon_sym_LBRACK,
    STATE(4963), 1,
      sym_parameter_list,
    STATE(7453), 1,
      sym__function_declarator_seq,
    ACTIONS(10931), 4,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_try,
  [269384] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11398), 1,
      sym_identifier,
    ACTIONS(11488), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(11772), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(11785), 1,
      aux_sym_preproc_if_token2,
    STATE(7957), 2,
      sym_enumerator,
      aux_sym_preproc_if_in_enumerator_list_no_comma_repeat1,
    STATE(10111), 2,
      sym_preproc_else_in_enumerator_list_no_comma,
      sym_preproc_elif_in_enumerator_list_no_comma,
  [269408] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8178), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(10094), 1,
      anon_sym_LPAREN2,
    ACTIONS(10726), 1,
      anon_sym_LBRACK,
    ACTIONS(11082), 1,
      anon_sym_COLON,
    STATE(4875), 1,
      sym_parameter_list,
    STATE(7601), 1,
      sym__function_declarator_seq,
    STATE(7520), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [269434] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(10094), 1,
      anon_sym_LPAREN2,
    ACTIONS(10726), 1,
      anon_sym_LBRACK,
    ACTIONS(11787), 1,
      anon_sym_SEMI,
    STATE(4875), 1,
      sym_parameter_list,
    STATE(7816), 1,
      sym__function_declarator_seq,
    STATE(7787), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [269460] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(10094), 1,
      anon_sym_LPAREN2,
    ACTIONS(10726), 1,
      anon_sym_LBRACK,
    ACTIONS(11789), 1,
      anon_sym_SEMI,
    STATE(4875), 1,
      sym_parameter_list,
    STATE(7816), 1,
      sym__function_declarator_seq,
    STATE(7787), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [269486] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8178), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(10094), 1,
      anon_sym_LPAREN2,
    ACTIONS(10726), 1,
      anon_sym_LBRACK,
    ACTIONS(11791), 1,
      anon_sym_COLON,
    STATE(4875), 1,
      sym_parameter_list,
    STATE(7601), 1,
      sym__function_declarator_seq,
    STATE(7520), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [269512] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(10094), 1,
      anon_sym_LPAREN2,
    ACTIONS(10102), 1,
      anon_sym_LBRACK,
    ACTIONS(11163), 1,
      anon_sym_RPAREN,
    STATE(5135), 1,
      sym_parameter_list,
    STATE(7693), 1,
      sym__function_declarator_seq,
    STATE(8023), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [269538] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11595), 1,
      anon_sym_LBRACK,
    STATE(8595), 1,
      sym_gnu_asm_output_operand,
    STATE(9768), 1,
      sym_string_literal,
    ACTIONS(113), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
  [269558] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(10094), 1,
      anon_sym_LPAREN2,
    ACTIONS(10726), 1,
      anon_sym_LBRACK,
    ACTIONS(11793), 1,
      anon_sym_SEMI,
    STATE(4875), 1,
      sym_parameter_list,
    STATE(7816), 1,
      sym__function_declarator_seq,
    STATE(7787), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [269584] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(10094), 1,
      anon_sym_LPAREN2,
    ACTIONS(10726), 1,
      anon_sym_LBRACK,
    ACTIONS(11795), 1,
      anon_sym_SEMI,
    STATE(4875), 1,
      sym_parameter_list,
    STATE(7816), 1,
      sym__function_declarator_seq,
    STATE(7787), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [269610] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2230), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5900), 1,
      anon_sym_LT,
    ACTIONS(11797), 1,
      anon_sym_SEMI,
    ACTIONS(11799), 1,
      anon_sym_EQ,
    STATE(3203), 1,
      sym_template_argument_list,
    STATE(8365), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [269636] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2230), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5900), 1,
      anon_sym_LT,
    ACTIONS(11801), 1,
      anon_sym_SEMI,
    ACTIONS(11803), 1,
      anon_sym_EQ,
    STATE(3203), 1,
      sym_template_argument_list,
    STATE(8443), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [269662] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(10094), 1,
      anon_sym_LPAREN2,
    ACTIONS(10726), 1,
      anon_sym_LBRACK,
    ACTIONS(11805), 1,
      anon_sym_SEMI,
    STATE(4875), 1,
      sym_parameter_list,
    STATE(7816), 1,
      sym__function_declarator_seq,
    STATE(7787), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [269688] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(10094), 1,
      anon_sym_LPAREN2,
    ACTIONS(11130), 1,
      anon_sym_LBRACK,
    STATE(7667), 1,
      sym_parameter_list,
    ACTIONS(6650), 2,
      anon_sym_LBRACE,
      anon_sym_EQ,
    STATE(7992), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [269712] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(10094), 1,
      anon_sym_LPAREN2,
    ACTIONS(10726), 1,
      anon_sym_LBRACK,
    ACTIONS(11807), 1,
      anon_sym_SEMI,
    STATE(4875), 1,
      sym_parameter_list,
    STATE(7816), 1,
      sym__function_declarator_seq,
    STATE(7787), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [269738] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(10094), 1,
      anon_sym_LPAREN2,
    ACTIONS(10102), 1,
      anon_sym_LBRACK,
    ACTIONS(11809), 1,
      anon_sym_RPAREN,
    STATE(5135), 1,
      sym_parameter_list,
    STATE(7693), 1,
      sym__function_declarator_seq,
    STATE(8023), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [269764] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8178), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(10094), 1,
      anon_sym_LPAREN2,
    ACTIONS(10726), 1,
      anon_sym_LBRACK,
    ACTIONS(11037), 1,
      anon_sym_COLON,
    STATE(4875), 1,
      sym_parameter_list,
    STATE(7601), 1,
      sym__function_declarator_seq,
    STATE(7520), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [269790] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5900), 1,
      anon_sym_LT,
    ACTIONS(6944), 1,
      anon_sym_LBRACK,
    STATE(3964), 1,
      sym_template_argument_list,
    ACTIONS(6946), 5,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
  [269810] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2230), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5900), 1,
      anon_sym_LT,
    ACTIONS(11811), 1,
      anon_sym_SEMI,
    ACTIONS(11813), 1,
      anon_sym_EQ,
    STATE(3203), 1,
      sym_template_argument_list,
    STATE(8277), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [269836] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11176), 1,
      sym_identifier,
    ACTIONS(11480), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(11768), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(11815), 1,
      aux_sym_preproc_if_token2,
    STATE(8024), 1,
      aux_sym_preproc_if_in_enumerator_list_repeat1,
    STATE(9807), 1,
      sym_enumerator,
    STATE(10402), 2,
      sym_preproc_else_in_enumerator_list,
      sym_preproc_elif_in_enumerator_list,
  [269862] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2230), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5900), 1,
      anon_sym_LT,
    ACTIONS(11817), 1,
      anon_sym_SEMI,
    ACTIONS(11819), 1,
      anon_sym_EQ,
    STATE(3203), 1,
      sym_template_argument_list,
    STATE(8287), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [269888] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(10094), 1,
      anon_sym_LPAREN2,
    ACTIONS(10102), 1,
      anon_sym_LBRACK,
    ACTIONS(11821), 1,
      anon_sym_RPAREN,
    STATE(5135), 1,
      sym_parameter_list,
    STATE(7693), 1,
      sym__function_declarator_seq,
    STATE(8023), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [269914] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11176), 1,
      sym_identifier,
    ACTIONS(11418), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(11480), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(11768), 1,
      aux_sym_preproc_elif_token1,
    STATE(7923), 1,
      aux_sym_preproc_if_in_enumerator_list_repeat1,
    STATE(9807), 1,
      sym_enumerator,
    STATE(10098), 2,
      sym_preproc_else_in_enumerator_list,
      sym_preproc_elif_in_enumerator_list,
  [269940] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8178), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(10094), 1,
      anon_sym_LPAREN2,
    ACTIONS(10726), 1,
      anon_sym_LBRACK,
    ACTIONS(11057), 1,
      anon_sym_COLON,
    STATE(4875), 1,
      sym_parameter_list,
    STATE(7601), 1,
      sym__function_declarator_seq,
    STATE(7520), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [269966] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2230), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4551), 1,
      anon_sym_LBRACK,
    ACTIONS(5900), 1,
      anon_sym_LT,
    STATE(7569), 1,
      sym_template_argument_list,
    ACTIONS(4546), 4,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_try,
  [269988] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2230), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5900), 1,
      anon_sym_LT,
    ACTIONS(6521), 1,
      anon_sym_LBRACK,
    STATE(7569), 1,
      sym_template_argument_list,
    ACTIONS(5792), 4,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_try,
  [270010] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11825), 3,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
    ACTIONS(11823), 5,
      anon_sym___based,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
  [270026] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2230), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5900), 1,
      anon_sym_LT,
    ACTIONS(11827), 1,
      anon_sym_SEMI,
    ACTIONS(11829), 1,
      anon_sym_EQ,
    STATE(3203), 1,
      sym_template_argument_list,
    STATE(8221), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [270052] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8178), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(10094), 1,
      anon_sym_LPAREN2,
    ACTIONS(10726), 1,
      anon_sym_LBRACK,
    ACTIONS(11106), 1,
      anon_sym_COLON,
    STATE(4875), 1,
      sym_parameter_list,
    STATE(7601), 1,
      sym__function_declarator_seq,
    STATE(7520), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [270078] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(10094), 1,
      anon_sym_LPAREN2,
    ACTIONS(10102), 1,
      anon_sym_LBRACK,
    ACTIONS(11151), 1,
      anon_sym_RPAREN,
    STATE(5135), 1,
      sym_parameter_list,
    STATE(7693), 1,
      sym__function_declarator_seq,
    STATE(8023), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [270104] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(10094), 1,
      anon_sym_LPAREN2,
    ACTIONS(10726), 1,
      anon_sym_LBRACK,
    ACTIONS(11831), 1,
      anon_sym_SEMI,
    STATE(4875), 1,
      sym_parameter_list,
    STATE(7816), 1,
      sym__function_declarator_seq,
    STATE(7787), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [270130] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11176), 1,
      sym_identifier,
    ACTIONS(11480), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(11768), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(11833), 1,
      aux_sym_preproc_if_token2,
    STATE(8024), 1,
      aux_sym_preproc_if_in_enumerator_list_repeat1,
    STATE(9807), 1,
      sym_enumerator,
    STATE(10075), 2,
      sym_preproc_else_in_enumerator_list,
      sym_preproc_elif_in_enumerator_list,
  [270156] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10094), 1,
      anon_sym_LPAREN2,
    ACTIONS(11360), 1,
      anon_sym_LBRACK,
    STATE(4963), 1,
      sym_parameter_list,
    STATE(7453), 1,
      sym__function_declarator_seq,
    ACTIONS(11835), 4,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_try,
  [270178] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10094), 1,
      anon_sym_LPAREN2,
    ACTIONS(11360), 1,
      anon_sym_LBRACK,
    ACTIONS(11381), 1,
      anon_sym_COLON,
    STATE(5014), 1,
      sym_parameter_list,
    STATE(7453), 1,
      sym__function_declarator_seq,
    STATE(8832), 1,
      sym_semantics,
    ACTIONS(11379), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [270204] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11398), 1,
      sym_identifier,
    ACTIONS(11488), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(11772), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(11837), 1,
      aux_sym_preproc_if_token2,
    STATE(8084), 2,
      sym_enumerator,
      aux_sym_preproc_if_in_enumerator_list_no_comma_repeat1,
    STATE(10086), 2,
      sym_preproc_else_in_enumerator_list_no_comma,
      sym_preproc_elif_in_enumerator_list_no_comma,
  [270228] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11398), 1,
      sym_identifier,
    ACTIONS(11488), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(11772), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(11839), 1,
      aux_sym_preproc_if_token2,
    STATE(7898), 2,
      sym_enumerator,
      aux_sym_preproc_if_in_enumerator_list_no_comma_repeat1,
    STATE(10400), 2,
      sym_preproc_else_in_enumerator_list_no_comma,
      sym_preproc_elif_in_enumerator_list_no_comma,
  [270252] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(10094), 1,
      anon_sym_LPAREN2,
    ACTIONS(11130), 1,
      anon_sym_LBRACK,
    STATE(7667), 1,
      sym_parameter_list,
    ACTIONS(6654), 2,
      anon_sym_LBRACE,
      anon_sym_EQ,
    STATE(7992), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [270276] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(10094), 1,
      anon_sym_LPAREN2,
    ACTIONS(10102), 1,
      anon_sym_LBRACK,
    ACTIONS(11157), 1,
      anon_sym_RPAREN,
    STATE(5135), 1,
      sym_parameter_list,
    STATE(7693), 1,
      sym__function_declarator_seq,
    STATE(8023), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [270302] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(10094), 1,
      anon_sym_LPAREN2,
    ACTIONS(10726), 1,
      anon_sym_LBRACK,
    ACTIONS(11841), 1,
      anon_sym_SEMI,
    STATE(4875), 1,
      sym_parameter_list,
    STATE(7816), 1,
      sym__function_declarator_seq,
    STATE(7787), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [270328] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(10094), 1,
      anon_sym_LPAREN2,
    ACTIONS(10726), 1,
      anon_sym_LBRACK,
    ACTIONS(11843), 1,
      anon_sym_RPAREN,
    STATE(4875), 1,
      sym_parameter_list,
    STATE(7816), 1,
      sym__function_declarator_seq,
    STATE(7787), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [270354] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(10094), 1,
      anon_sym_LPAREN2,
    ACTIONS(11130), 1,
      anon_sym_LBRACK,
    STATE(7667), 1,
      sym_parameter_list,
    ACTIONS(6632), 2,
      anon_sym_LBRACE,
      anon_sym_EQ,
    STATE(7992), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [270378] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(10094), 1,
      anon_sym_LPAREN2,
    ACTIONS(10102), 1,
      anon_sym_LBRACK,
    ACTIONS(11149), 1,
      anon_sym_RPAREN,
    STATE(5135), 1,
      sym_parameter_list,
    STATE(7693), 1,
      sym__function_declarator_seq,
    STATE(8023), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [270404] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2230), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5900), 1,
      anon_sym_LT,
    ACTIONS(11845), 1,
      anon_sym_SEMI,
    ACTIONS(11847), 1,
      anon_sym_EQ,
    STATE(3203), 1,
      sym_template_argument_list,
    STATE(8213), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [270430] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10094), 1,
      anon_sym_LPAREN2,
    ACTIONS(11360), 1,
      anon_sym_LBRACK,
    STATE(4963), 1,
      sym_parameter_list,
    STATE(7453), 1,
      sym__function_declarator_seq,
    ACTIONS(10909), 4,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_try,
  [270452] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10094), 1,
      anon_sym_LPAREN2,
    ACTIONS(11360), 1,
      anon_sym_LBRACK,
    ACTIONS(11381), 1,
      anon_sym_COLON,
    STATE(4987), 1,
      sym_parameter_list,
    STATE(7453), 1,
      sym__function_declarator_seq,
    STATE(8832), 1,
      sym_semantics,
    ACTIONS(11379), 2,
      anon_sym_COMMA,
      anon_sym_GT2,
  [270478] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11851), 3,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
    ACTIONS(11849), 5,
      anon_sym___based,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
  [270494] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11855), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(11857), 1,
      anon_sym_EQ,
    ACTIONS(11853), 6,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      sym_identifier,
  [270512] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11176), 1,
      sym_identifier,
    ACTIONS(11400), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(11480), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(11768), 1,
      aux_sym_preproc_elif_token1,
    STATE(7955), 1,
      aux_sym_preproc_if_in_enumerator_list_repeat1,
    STATE(9807), 1,
      sym_enumerator,
    STATE(10201), 2,
      sym_preproc_else_in_enumerator_list,
      sym_preproc_elif_in_enumerator_list,
  [270538] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2230), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5900), 1,
      anon_sym_LT,
    ACTIONS(11859), 1,
      anon_sym_SEMI,
    ACTIONS(11861), 1,
      anon_sym_EQ,
    STATE(3203), 1,
      sym_template_argument_list,
    STATE(8466), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [270564] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2230), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5900), 1,
      anon_sym_LT,
    ACTIONS(11863), 1,
      anon_sym_SEMI,
    ACTIONS(11865), 1,
      anon_sym_EQ,
    STATE(3203), 1,
      sym_template_argument_list,
    STATE(8285), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [270590] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10094), 1,
      anon_sym_LPAREN2,
    ACTIONS(11360), 1,
      anon_sym_LBRACK,
    STATE(4963), 1,
      sym_parameter_list,
    STATE(7453), 1,
      sym__function_declarator_seq,
    ACTIONS(10895), 4,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_try,
  [270612] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11176), 1,
      sym_identifier,
    ACTIONS(11480), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(11768), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(11867), 1,
      aux_sym_preproc_if_token2,
    STATE(8024), 1,
      aux_sym_preproc_if_in_enumerator_list_repeat1,
    STATE(9807), 1,
      sym_enumerator,
    STATE(10214), 2,
      sym_preproc_else_in_enumerator_list,
      sym_preproc_elif_in_enumerator_list,
  [270638] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(10094), 1,
      anon_sym_LPAREN2,
    ACTIONS(10726), 1,
      anon_sym_LBRACK,
    ACTIONS(11869), 1,
      anon_sym_SEMI,
    STATE(4875), 1,
      sym_parameter_list,
    STATE(7816), 1,
      sym__function_declarator_seq,
    STATE(7787), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [270664] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11398), 1,
      sym_identifier,
    ACTIONS(11488), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(11772), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(11871), 1,
      aux_sym_preproc_if_token2,
    STATE(8084), 2,
      sym_enumerator,
      aux_sym_preproc_if_in_enumerator_list_no_comma_repeat1,
    STATE(10404), 2,
      sym_preproc_else_in_enumerator_list_no_comma,
      sym_preproc_elif_in_enumerator_list_no_comma,
  [270688] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(10094), 1,
      anon_sym_LPAREN2,
    ACTIONS(10726), 1,
      anon_sym_LBRACK,
    ACTIONS(11873), 1,
      anon_sym_RPAREN,
    STATE(4875), 1,
      sym_parameter_list,
    STATE(7816), 1,
      sym__function_declarator_seq,
    STATE(7787), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [270714] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10094), 1,
      anon_sym_LPAREN2,
    ACTIONS(11360), 1,
      anon_sym_LBRACK,
    STATE(5027), 1,
      sym_parameter_list,
    STATE(7453), 1,
      sym__function_declarator_seq,
    ACTIONS(10949), 3,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_GT2,
  [270735] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4897), 1,
      anon_sym_LBRACE,
    ACTIONS(11875), 1,
      sym_identifier,
    ACTIONS(11877), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11879), 1,
      anon_sym_inline,
    STATE(652), 1,
      sym_declaration_list,
    STATE(9151), 1,
      sym_nested_namespace_specifier,
    STATE(10162), 1,
      sym__namespace_specifier,
  [270760] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10094), 1,
      anon_sym_LPAREN2,
    ACTIONS(11360), 1,
      anon_sym_LBRACK,
    STATE(5027), 1,
      sym_parameter_list,
    STATE(7453), 1,
      sym__function_declarator_seq,
    ACTIONS(10931), 3,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_GT2,
  [270781] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4897), 1,
      anon_sym_LBRACE,
    ACTIONS(11877), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11879), 1,
      anon_sym_inline,
    ACTIONS(11881), 1,
      sym_identifier,
    STATE(671), 1,
      sym_declaration_list,
    STATE(9083), 1,
      sym_nested_namespace_specifier,
    STATE(10162), 1,
      sym__namespace_specifier,
  [270806] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10094), 1,
      anon_sym_LPAREN2,
    ACTIONS(11360), 1,
      anon_sym_LBRACK,
    STATE(4924), 1,
      sym_parameter_list,
    STATE(7453), 1,
      sym__function_declarator_seq,
    ACTIONS(10951), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [270827] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6609), 1,
      anon_sym_LBRACK,
    ACTIONS(10094), 1,
      anon_sym_LPAREN2,
    ACTIONS(11883), 1,
      anon_sym_RPAREN,
    STATE(3417), 1,
      sym_parameter_list,
    STATE(7723), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [270850] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4889), 1,
      anon_sym_LBRACE,
    ACTIONS(11877), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11879), 1,
      anon_sym_inline,
    ACTIONS(11885), 1,
      sym_identifier,
    STATE(1106), 1,
      sym_declaration_list,
    STATE(9312), 1,
      sym_nested_namespace_specifier,
    STATE(10162), 1,
      sym__namespace_specifier,
  [270875] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4893), 1,
      anon_sym_LBRACE,
    ACTIONS(11877), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11879), 1,
      anon_sym_inline,
    ACTIONS(11887), 1,
      sym_identifier,
    STATE(1291), 1,
      sym_declaration_list,
    STATE(9052), 1,
      sym_nested_namespace_specifier,
    STATE(10162), 1,
      sym__namespace_specifier,
  [270900] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11891), 1,
      anon_sym_COMMA,
    ACTIONS(11893), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(11889), 5,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      sym_identifier,
  [270917] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10094), 1,
      anon_sym_LPAREN2,
    ACTIONS(11360), 1,
      anon_sym_LBRACK,
    STATE(5014), 1,
      sym_parameter_list,
    STATE(7453), 1,
      sym__function_declarator_seq,
    ACTIONS(10931), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
  [270938] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10094), 1,
      anon_sym_LPAREN2,
    ACTIONS(11360), 1,
      anon_sym_LBRACK,
    STATE(5027), 1,
      sym_parameter_list,
    STATE(7453), 1,
      sym__function_declarator_seq,
    ACTIONS(10905), 3,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_GT2,
  [270959] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6609), 1,
      anon_sym_LBRACK,
    ACTIONS(10094), 1,
      anon_sym_LPAREN2,
    ACTIONS(11895), 1,
      anon_sym_RPAREN,
    STATE(3417), 1,
      sym_parameter_list,
    STATE(7723), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [270982] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10094), 1,
      anon_sym_LPAREN2,
    ACTIONS(11360), 1,
      anon_sym_LBRACK,
    STATE(4924), 1,
      sym_parameter_list,
    STATE(7453), 1,
      sym__function_declarator_seq,
    ACTIONS(10905), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [271003] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11897), 1,
      anon_sym_LBRACK,
    ACTIONS(11899), 1,
      anon_sym_EQ,
    ACTIONS(11901), 1,
      anon_sym_DOT,
    STATE(7974), 4,
      sym_subscript_designator,
      sym_subscript_range_designator,
      sym_field_designator,
      aux_sym_initializer_pair_repeat1,
  [271022] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6609), 1,
      anon_sym_LBRACK,
    ACTIONS(6650), 1,
      anon_sym_COLON,
    ACTIONS(8178), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(10094), 1,
      anon_sym_LPAREN2,
    STATE(3417), 1,
      sym_parameter_list,
    STATE(8074), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [271045] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11903), 1,
      anon_sym_LBRACK,
    ACTIONS(11906), 1,
      anon_sym_EQ,
    ACTIONS(11908), 1,
      anon_sym_DOT,
    STATE(7974), 4,
      sym_subscript_designator,
      sym_subscript_range_designator,
      sym_field_designator,
      aux_sym_initializer_pair_repeat1,
  [271064] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10094), 1,
      anon_sym_LPAREN2,
    ACTIONS(11360), 1,
      anon_sym_LBRACK,
    STATE(4924), 1,
      sym_parameter_list,
    STATE(7453), 1,
      sym__function_declarator_seq,
    ACTIONS(10931), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [271085] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10094), 1,
      anon_sym_LPAREN2,
    ACTIONS(11360), 1,
      anon_sym_LBRACK,
    STATE(5027), 1,
      sym_parameter_list,
    STATE(7453), 1,
      sym__function_declarator_seq,
    ACTIONS(10929), 3,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_GT2,
  [271106] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4893), 1,
      anon_sym_LBRACE,
    ACTIONS(11877), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11879), 1,
      anon_sym_inline,
    ACTIONS(11911), 1,
      sym_identifier,
    STATE(1259), 1,
      sym_declaration_list,
    STATE(9221), 1,
      sym_nested_namespace_specifier,
    STATE(10162), 1,
      sym__namespace_specifier,
  [271131] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(10094), 1,
      anon_sym_LPAREN2,
    ACTIONS(10726), 1,
      anon_sym_LBRACK,
    STATE(4453), 1,
      sym_parameter_list,
    STATE(7601), 1,
      sym__function_declarator_seq,
    STATE(7787), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [271154] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10094), 1,
      anon_sym_LPAREN2,
    ACTIONS(11360), 1,
      anon_sym_LBRACK,
    STATE(5027), 1,
      sym_parameter_list,
    STATE(7453), 1,
      sym__function_declarator_seq,
    ACTIONS(10895), 3,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_GT2,
  [271175] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10094), 1,
      anon_sym_LPAREN2,
    ACTIONS(11360), 1,
      anon_sym_LBRACK,
    STATE(5027), 1,
      sym_parameter_list,
    STATE(7453), 1,
      sym__function_declarator_seq,
    ACTIONS(10909), 3,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_GT2,
  [271196] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6609), 1,
      anon_sym_LBRACK,
    ACTIONS(6632), 1,
      anon_sym_COLON,
    ACTIONS(8178), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(10094), 1,
      anon_sym_LPAREN2,
    STATE(3417), 1,
      sym_parameter_list,
    STATE(8074), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [271219] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6609), 1,
      anon_sym_LBRACK,
    ACTIONS(10094), 1,
      anon_sym_LPAREN2,
    ACTIONS(11913), 1,
      anon_sym_RPAREN,
    STATE(3417), 1,
      sym_parameter_list,
    STATE(7723), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [271242] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10094), 1,
      anon_sym_LPAREN2,
    ACTIONS(11360), 1,
      anon_sym_LBRACK,
    STATE(4924), 1,
      sym_parameter_list,
    STATE(7453), 1,
      sym__function_declarator_seq,
    ACTIONS(10895), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [271263] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4895), 1,
      anon_sym_LBRACE,
    ACTIONS(11877), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11879), 1,
      anon_sym_inline,
    ACTIONS(11915), 1,
      sym_identifier,
    STATE(1122), 1,
      sym_declaration_list,
    STATE(9028), 1,
      sym_nested_namespace_specifier,
    STATE(10162), 1,
      sym__namespace_specifier,
  [271288] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10094), 1,
      anon_sym_LPAREN2,
    ACTIONS(11360), 1,
      anon_sym_LBRACK,
    STATE(4987), 1,
      sym_parameter_list,
    STATE(7453), 1,
      sym__function_declarator_seq,
    ACTIONS(10909), 3,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_GT2,
  [271309] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10094), 1,
      anon_sym_LPAREN2,
    ACTIONS(11360), 1,
      anon_sym_LBRACK,
    STATE(4987), 1,
      sym_parameter_list,
    STATE(7453), 1,
      sym__function_declarator_seq,
    ACTIONS(10929), 3,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_GT2,
  [271330] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6609), 1,
      anon_sym_LBRACK,
    ACTIONS(10094), 1,
      anon_sym_LPAREN2,
    ACTIONS(11917), 1,
      anon_sym_RPAREN,
    STATE(3417), 1,
      sym_parameter_list,
    STATE(7723), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [271353] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5009), 1,
      anon_sym_AMP,
    ACTIONS(5007), 6,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_LT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
  [271368] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6609), 1,
      anon_sym_LBRACK,
    ACTIONS(10094), 1,
      anon_sym_LPAREN2,
    ACTIONS(11919), 1,
      anon_sym_RPAREN,
    STATE(3417), 1,
      sym_parameter_list,
    STATE(7723), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [271391] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4899), 1,
      anon_sym_LBRACE,
    ACTIONS(11877), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11879), 1,
      anon_sym_inline,
    ACTIONS(11921), 1,
      sym_identifier,
    STATE(400), 1,
      sym_declaration_list,
    STATE(9193), 1,
      sym_nested_namespace_specifier,
    STATE(10162), 1,
      sym__namespace_specifier,
  [271416] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4899), 1,
      anon_sym_LBRACE,
    ACTIONS(11877), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11879), 1,
      anon_sym_inline,
    ACTIONS(11923), 1,
      sym_identifier,
    STATE(345), 1,
      sym_declaration_list,
    STATE(9267), 1,
      sym_nested_namespace_specifier,
    STATE(10162), 1,
      sym__namespace_specifier,
  [271441] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6678), 1,
      anon_sym_LBRACK,
    STATE(7577), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(6680), 3,
      anon_sym_LPAREN2,
      anon_sym_LBRACE,
      anon_sym_EQ,
  [271460] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5906), 1,
      anon_sym_AMP,
    ACTIONS(5908), 6,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_requires,
  [271475] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4895), 1,
      anon_sym_LBRACE,
    ACTIONS(11877), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11879), 1,
      anon_sym_inline,
    ACTIONS(11925), 1,
      sym_identifier,
    STATE(1183), 1,
      sym_declaration_list,
    STATE(9157), 1,
      sym_nested_namespace_specifier,
    STATE(10162), 1,
      sym__namespace_specifier,
  [271500] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10094), 1,
      anon_sym_LPAREN2,
    ACTIONS(11360), 1,
      anon_sym_LBRACK,
    STATE(4924), 1,
      sym_parameter_list,
    STATE(7453), 1,
      sym__function_declarator_seq,
    ACTIONS(10937), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [271521] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5978), 1,
      anon_sym_AMP,
    ACTIONS(5976), 6,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_LT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
  [271536] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2230), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4413), 1,
      anon_sym_LBRACE,
    ACTIONS(5900), 1,
      anon_sym_LT,
    ACTIONS(8298), 1,
      anon_sym_LPAREN2,
    STATE(3484), 1,
      sym_template_argument_list,
    STATE(8613), 2,
      sym_argument_list,
      sym_initializer_list,
  [271559] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11929), 1,
      anon_sym_AMP,
    ACTIONS(11927), 6,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_LT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
  [271574] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10094), 1,
      anon_sym_LPAREN2,
    ACTIONS(11360), 1,
      anon_sym_LBRACK,
    STATE(5014), 1,
      sym_parameter_list,
    STATE(7453), 1,
      sym__function_declarator_seq,
    ACTIONS(10895), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
  [271595] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6609), 1,
      anon_sym_LBRACK,
    ACTIONS(10094), 1,
      anon_sym_LPAREN2,
    ACTIONS(11931), 1,
      anon_sym_RPAREN,
    STATE(3417), 1,
      sym_parameter_list,
    STATE(7723), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [271618] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10094), 1,
      anon_sym_LPAREN2,
    ACTIONS(11360), 1,
      anon_sym_LBRACK,
    STATE(5014), 1,
      sym_parameter_list,
    STATE(7453), 1,
      sym__function_declarator_seq,
    ACTIONS(10929), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
  [271639] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10094), 1,
      anon_sym_LPAREN2,
    ACTIONS(11360), 1,
      anon_sym_LBRACK,
    STATE(4924), 1,
      sym_parameter_list,
    STATE(7453), 1,
      sym__function_declarator_seq,
    ACTIONS(10909), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [271660] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10094), 1,
      anon_sym_LPAREN2,
    ACTIONS(11360), 1,
      anon_sym_LBRACK,
    STATE(4924), 1,
      sym_parameter_list,
    STATE(7453), 1,
      sym__function_declarator_seq,
    ACTIONS(10949), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [271681] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10094), 1,
      anon_sym_LPAREN2,
    ACTIONS(11360), 1,
      anon_sym_LBRACK,
    STATE(5027), 1,
      sym_parameter_list,
    STATE(7453), 1,
      sym__function_declarator_seq,
    ACTIONS(10951), 3,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_GT2,
  [271702] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6609), 1,
      anon_sym_LBRACK,
    ACTIONS(10094), 1,
      anon_sym_LPAREN2,
    ACTIONS(11933), 1,
      anon_sym_RPAREN,
    STATE(3417), 1,
      sym_parameter_list,
    STATE(7723), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [271725] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6609), 1,
      anon_sym_LBRACK,
    ACTIONS(6654), 1,
      anon_sym_COLON,
    ACTIONS(8178), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(10094), 1,
      anon_sym_LPAREN2,
    STATE(3417), 1,
      sym_parameter_list,
    STATE(8074), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [271748] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10094), 1,
      anon_sym_LPAREN2,
    ACTIONS(11360), 1,
      anon_sym_LBRACK,
    STATE(5027), 1,
      sym_parameter_list,
    STATE(7453), 1,
      sym__function_declarator_seq,
    ACTIONS(10937), 3,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_GT2,
  [271769] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5902), 1,
      anon_sym_AMP,
    ACTIONS(5904), 6,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_requires,
  [271784] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6609), 1,
      anon_sym_LBRACK,
    ACTIONS(10094), 1,
      anon_sym_LPAREN2,
    ACTIONS(11935), 1,
      anon_sym_RPAREN,
    STATE(3417), 1,
      sym_parameter_list,
    STATE(7723), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [271807] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6603), 1,
      anon_sym_COLON,
    ACTIONS(6609), 1,
      anon_sym_LBRACK,
    ACTIONS(8178), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(10094), 1,
      anon_sym_LPAREN2,
    STATE(3417), 1,
      sym_parameter_list,
    STATE(8074), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [271830] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11939), 1,
      anon_sym_AMP,
    ACTIONS(11937), 6,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_LT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
  [271845] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11943), 1,
      anon_sym_AMP,
    ACTIONS(11941), 6,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_LT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
  [271860] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6609), 1,
      anon_sym_LBRACK,
    ACTIONS(10094), 1,
      anon_sym_LPAREN2,
    ACTIONS(11945), 1,
      anon_sym_RPAREN,
    STATE(3417), 1,
      sym_parameter_list,
    STATE(7723), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [271883] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10094), 1,
      anon_sym_LPAREN2,
    ACTIONS(11360), 1,
      anon_sym_LBRACK,
    STATE(4924), 1,
      sym_parameter_list,
    STATE(7453), 1,
      sym__function_declarator_seq,
    ACTIONS(10929), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [271904] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5900), 1,
      anon_sym_LT,
    ACTIONS(6944), 1,
      anon_sym_LBRACK,
    STATE(7569), 1,
      sym_template_argument_list,
    ACTIONS(6946), 4,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_try,
  [271923] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10094), 1,
      anon_sym_LPAREN2,
    ACTIONS(11360), 1,
      anon_sym_LBRACK,
    STATE(5014), 1,
      sym_parameter_list,
    STATE(7453), 1,
      sym__function_declarator_seq,
    ACTIONS(10909), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
  [271944] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4889), 1,
      anon_sym_LBRACE,
    ACTIONS(11877), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11879), 1,
      anon_sym_inline,
    ACTIONS(11947), 1,
      sym_identifier,
    STATE(1148), 1,
      sym_declaration_list,
    STATE(9346), 1,
      sym_nested_namespace_specifier,
    STATE(10162), 1,
      sym__namespace_specifier,
  [271969] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10094), 1,
      anon_sym_LPAREN2,
    ACTIONS(11360), 1,
      anon_sym_LBRACK,
    STATE(4987), 1,
      sym_parameter_list,
    STATE(7453), 1,
      sym__function_declarator_seq,
    ACTIONS(10931), 3,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_GT2,
  [271990] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5910), 1,
      anon_sym_AMP,
    ACTIONS(5912), 6,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_requires,
  [272005] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6609), 1,
      anon_sym_LBRACK,
    ACTIONS(10094), 1,
      anon_sym_LPAREN2,
    ACTIONS(11949), 1,
      anon_sym_RPAREN,
    STATE(3417), 1,
      sym_parameter_list,
    STATE(7723), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [272028] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10094), 1,
      anon_sym_LPAREN2,
    ACTIONS(11360), 1,
      anon_sym_LBRACK,
    STATE(4987), 1,
      sym_parameter_list,
    STATE(7453), 1,
      sym__function_declarator_seq,
    ACTIONS(10895), 3,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_GT2,
  [272049] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11951), 1,
      anon_sym_LPAREN2,
    STATE(8076), 2,
      sym_gnu_asm_qualifier,
      aux_sym_gnu_asm_expression_repeat1,
    ACTIONS(11953), 3,
      anon_sym_inline,
      anon_sym_volatile,
      anon_sym_goto,
  [272065] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(11364), 1,
      anon_sym_LBRACK,
    ACTIONS(11362), 2,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
    STATE(7577), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [272083] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11778), 1,
      sym_identifier,
    STATE(8024), 1,
      aux_sym_preproc_if_in_enumerator_list_repeat1,
    STATE(9807), 1,
      sym_enumerator,
    ACTIONS(11781), 3,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
  [272101] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5900), 1,
      anon_sym_LT,
    ACTIONS(11370), 1,
      anon_sym_LBRACK,
    STATE(7699), 1,
      sym_template_argument_list,
    ACTIONS(11366), 3,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
  [272119] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5900), 1,
      anon_sym_LT,
    ACTIONS(6944), 1,
      anon_sym_LBRACK,
    STATE(3236), 1,
      sym_template_argument_list,
    ACTIONS(6946), 3,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
  [272137] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11955), 2,
      anon_sym_RBRACE,
      sym_identifier,
    ACTIONS(11957), 4,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
  [272151] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(830), 1,
      anon_sym_LBRACE,
    ACTIONS(10763), 1,
      anon_sym_try,
    ACTIONS(11959), 1,
      anon_sym_SEMI,
    ACTIONS(11961), 1,
      anon_sym_EQ,
    STATE(1079), 2,
      sym_compound_statement,
      sym_try_statement,
  [272171] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11963), 1,
      anon_sym_LPAREN2,
    STATE(8081), 2,
      sym_gnu_asm_qualifier,
      aux_sym_gnu_asm_expression_repeat1,
    ACTIONS(11953), 3,
      anon_sym_inline,
      anon_sym_volatile,
      anon_sym_goto,
  [272187] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(391), 1,
      anon_sym_LBRACE,
    ACTIONS(10791), 1,
      anon_sym_try,
    ACTIONS(11965), 1,
      anon_sym_SEMI,
    ACTIONS(11967), 1,
      anon_sym_EQ,
    STATE(648), 2,
      sym_compound_statement,
      sym_try_statement,
  [272207] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7976), 1,
      anon_sym___attribute__,
    ACTIONS(8178), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(6908), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(7075), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [272225] = 3,
    ACTIONS(3), 1,
      sym_comment,
    STATE(10314), 1,
      sym_string_literal,
    ACTIONS(113), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
  [272239] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10148), 1,
      anon_sym_try,
    ACTIONS(11269), 1,
      anon_sym_LBRACE,
    ACTIONS(11969), 1,
      anon_sym_SEMI,
    ACTIONS(11971), 1,
      anon_sym_EQ,
    STATE(2934), 2,
      sym_compound_statement,
      sym_try_statement,
  [272259] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10156), 1,
      anon_sym_try,
    ACTIONS(11279), 1,
      anon_sym_LBRACE,
    ACTIONS(11973), 1,
      anon_sym_SEMI,
    ACTIONS(11975), 1,
      anon_sym_EQ,
    STATE(2804), 2,
      sym_compound_statement,
      sym_try_statement,
  [272279] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(830), 1,
      anon_sym_LBRACE,
    ACTIONS(10763), 1,
      anon_sym_try,
    ACTIONS(11977), 1,
      anon_sym_SEMI,
    ACTIONS(11979), 1,
      anon_sym_EQ,
    STATE(1125), 2,
      sym_compound_statement,
      sym_try_statement,
  [272299] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10106), 1,
      anon_sym_try,
    ACTIONS(11204), 1,
      anon_sym_LBRACE,
    ACTIONS(11981), 1,
      anon_sym_SEMI,
    ACTIONS(11983), 1,
      anon_sym_EQ,
    STATE(2604), 2,
      sym_compound_statement,
      sym_try_statement,
  [272319] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(299), 1,
      anon_sym_LBRACE,
    ACTIONS(10777), 1,
      anon_sym_try,
    ACTIONS(11985), 1,
      anon_sym_SEMI,
    ACTIONS(11987), 1,
      anon_sym_EQ,
    STATE(419), 2,
      sym_compound_statement,
      sym_try_statement,
  [272339] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11989), 2,
      anon_sym_RBRACE,
      sym_identifier,
    ACTIONS(11991), 4,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
  [272353] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11993), 1,
      anon_sym_LPAREN2,
    STATE(8063), 2,
      sym_gnu_asm_qualifier,
      aux_sym_gnu_asm_expression_repeat1,
    ACTIONS(11953), 3,
      anon_sym_inline,
      anon_sym_volatile,
      anon_sym_goto,
  [272369] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11995), 1,
      anon_sym_LPAREN2,
    STATE(8054), 2,
      sym_gnu_asm_qualifier,
      aux_sym_gnu_asm_expression_repeat1,
    ACTIONS(11953), 3,
      anon_sym_inline,
      anon_sym_volatile,
      anon_sym_goto,
  [272385] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10114), 1,
      anon_sym_try,
    ACTIONS(11196), 1,
      anon_sym_LBRACE,
    ACTIONS(11997), 1,
      anon_sym_SEMI,
    ACTIONS(11999), 1,
      anon_sym_EQ,
    STATE(2731), 2,
      sym_compound_statement,
      sym_try_statement,
  [272405] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11955), 2,
      anon_sym_RBRACE,
      sym_identifier,
    ACTIONS(11957), 4,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
  [272419] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5900), 1,
      anon_sym_LT,
    ACTIONS(11377), 1,
      anon_sym_LBRACK,
    STATE(7692), 1,
      sym_template_argument_list,
    ACTIONS(11375), 3,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
  [272437] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(299), 1,
      anon_sym_LBRACE,
    ACTIONS(10777), 1,
      anon_sym_try,
    ACTIONS(12001), 1,
      anon_sym_SEMI,
    ACTIONS(12003), 1,
      anon_sym_EQ,
    STATE(363), 2,
      sym_compound_statement,
      sym_try_statement,
  [272457] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12005), 1,
      anon_sym_LPAREN2,
    STATE(8061), 2,
      sym_gnu_asm_qualifier,
      aux_sym_gnu_asm_expression_repeat1,
    ACTIONS(11953), 3,
      anon_sym_inline,
      anon_sym_volatile,
      anon_sym_goto,
  [272473] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1136), 1,
      anon_sym_LBRACE,
    ACTIONS(10740), 1,
      anon_sym_try,
    ACTIONS(12007), 1,
      anon_sym_SEMI,
    ACTIONS(12009), 1,
      anon_sym_EQ,
    STATE(1063), 2,
      sym_compound_statement,
      sym_try_statement,
  [272493] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10106), 1,
      anon_sym_try,
    ACTIONS(11204), 1,
      anon_sym_LBRACE,
    ACTIONS(12011), 1,
      anon_sym_SEMI,
    ACTIONS(12013), 1,
      anon_sym_EQ,
    STATE(2618), 2,
      sym_compound_statement,
      sym_try_statement,
  [272513] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12015), 1,
      anon_sym_EQ,
    ACTIONS(10997), 5,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_GT2,
  [272527] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12017), 1,
      anon_sym_LPAREN2,
    STATE(8070), 2,
      sym_gnu_asm_qualifier,
      aux_sym_gnu_asm_expression_repeat1,
    ACTIONS(11953), 3,
      anon_sym_inline,
      anon_sym_volatile,
      anon_sym_goto,
  [272543] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5585), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8209), 1,
      anon_sym___attribute__,
    STATE(6905), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(7110), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [272561] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6249), 1,
      anon_sym_LT,
    ACTIONS(6944), 1,
      anon_sym_LBRACK,
    STATE(3236), 1,
      sym_template_argument_list,
    ACTIONS(6946), 3,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
  [272579] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1136), 1,
      anon_sym_LBRACE,
    ACTIONS(10740), 1,
      anon_sym_try,
    ACTIONS(12019), 1,
      anon_sym_SEMI,
    ACTIONS(12021), 1,
      anon_sym_EQ,
    STATE(1159), 2,
      sym_compound_statement,
      sym_try_statement,
  [272599] = 3,
    ACTIONS(3), 1,
      sym_comment,
    STATE(10194), 1,
      sym_string_literal,
    ACTIONS(113), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
  [272613] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12023), 1,
      anon_sym_LPAREN2,
    STATE(8070), 2,
      sym_gnu_asm_qualifier,
      aux_sym_gnu_asm_expression_repeat1,
    ACTIONS(11953), 3,
      anon_sym_inline,
      anon_sym_volatile,
      anon_sym_goto,
  [272629] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11989), 2,
      anon_sym_RBRACE,
      sym_identifier,
    ACTIONS(11991), 4,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
  [272643] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11510), 2,
      anon_sym_RBRACE,
      sym_identifier,
    ACTIONS(12025), 4,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
  [272657] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12027), 1,
      anon_sym_EQ,
    ACTIONS(11853), 5,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      sym_identifier,
  [272671] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12029), 1,
      anon_sym_LPAREN2,
    STATE(8064), 2,
      sym_gnu_asm_qualifier,
      aux_sym_gnu_asm_expression_repeat1,
    ACTIONS(11953), 3,
      anon_sym_inline,
      anon_sym_volatile,
      anon_sym_goto,
  [272687] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12031), 1,
      anon_sym_LPAREN2,
    STATE(8070), 2,
      sym_gnu_asm_qualifier,
      aux_sym_gnu_asm_expression_repeat1,
    ACTIONS(11953), 3,
      anon_sym_inline,
      anon_sym_volatile,
      anon_sym_goto,
  [272703] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(53), 1,
      anon_sym_LBRACE,
    ACTIONS(10783), 1,
      anon_sym_try,
    ACTIONS(12033), 1,
      anon_sym_SEMI,
    ACTIONS(12035), 1,
      anon_sym_EQ,
    STATE(1281), 2,
      sym_compound_statement,
      sym_try_statement,
  [272723] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12037), 1,
      anon_sym_LPAREN2,
    STATE(8070), 2,
      sym_gnu_asm_qualifier,
      aux_sym_gnu_asm_expression_repeat1,
    ACTIONS(11953), 3,
      anon_sym_inline,
      anon_sym_volatile,
      anon_sym_goto,
  [272739] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12039), 2,
      anon_sym_RBRACE,
      sym_identifier,
    ACTIONS(12041), 4,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
  [272753] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12043), 1,
      anon_sym_LPAREN2,
    STATE(8070), 2,
      sym_gnu_asm_qualifier,
      aux_sym_gnu_asm_expression_repeat1,
    ACTIONS(11953), 3,
      anon_sym_inline,
      anon_sym_volatile,
      anon_sym_goto,
  [272769] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12045), 1,
      anon_sym_LPAREN2,
    STATE(8070), 2,
      sym_gnu_asm_qualifier,
      aux_sym_gnu_asm_expression_repeat1,
    ACTIONS(11953), 3,
      anon_sym_inline,
      anon_sym_volatile,
      anon_sym_goto,
  [272785] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11783), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(11781), 5,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      sym_identifier,
  [272799] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12047), 1,
      anon_sym_LPAREN2,
    STATE(8069), 2,
      sym_gnu_asm_qualifier,
      aux_sym_gnu_asm_expression_repeat1,
    ACTIONS(11953), 3,
      anon_sym_inline,
      anon_sym_volatile,
      anon_sym_goto,
  [272815] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12049), 2,
      anon_sym_RBRACE,
      sym_identifier,
    ACTIONS(12051), 4,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
  [272829] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12053), 1,
      anon_sym_LPAREN2,
    STATE(8059), 2,
      sym_gnu_asm_qualifier,
      aux_sym_gnu_asm_expression_repeat1,
    ACTIONS(11953), 3,
      anon_sym_inline,
      anon_sym_volatile,
      anon_sym_goto,
  [272845] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12055), 1,
      anon_sym_LPAREN2,
    STATE(8070), 2,
      sym_gnu_asm_qualifier,
      aux_sym_gnu_asm_expression_repeat1,
    ACTIONS(11953), 3,
      anon_sym_inline,
      anon_sym_volatile,
      anon_sym_goto,
  [272861] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12057), 1,
      anon_sym_LPAREN2,
    STATE(8070), 2,
      sym_gnu_asm_qualifier,
      aux_sym_gnu_asm_expression_repeat1,
    ACTIONS(12059), 3,
      anon_sym_inline,
      anon_sym_volatile,
      anon_sym_goto,
  [272877] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10148), 1,
      anon_sym_try,
    ACTIONS(11269), 1,
      anon_sym_LBRACE,
    ACTIONS(12062), 1,
      anon_sym_SEMI,
    ACTIONS(12064), 1,
      anon_sym_EQ,
    STATE(2821), 2,
      sym_compound_statement,
      sym_try_statement,
  [272897] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10156), 1,
      anon_sym_try,
    ACTIONS(11279), 1,
      anon_sym_LBRACE,
    ACTIONS(12066), 1,
      anon_sym_SEMI,
    ACTIONS(12068), 1,
      anon_sym_EQ,
    STATE(2863), 2,
      sym_compound_statement,
      sym_try_statement,
  [272917] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10114), 1,
      anon_sym_try,
    ACTIONS(11196), 1,
      anon_sym_LBRACE,
    ACTIONS(12070), 1,
      anon_sym_SEMI,
    ACTIONS(12072), 1,
      anon_sym_EQ,
    STATE(2692), 2,
      sym_compound_statement,
      sym_try_statement,
  [272937] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6678), 1,
      anon_sym_LBRACK,
    ACTIONS(8178), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6680), 2,
      anon_sym_LPAREN2,
      anon_sym_COLON,
    STATE(7078), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [272955] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12074), 1,
      anon_sym_LPAREN2,
    STATE(8049), 2,
      sym_gnu_asm_qualifier,
      aux_sym_gnu_asm_expression_repeat1,
    ACTIONS(11953), 3,
      anon_sym_inline,
      anon_sym_volatile,
      anon_sym_goto,
  [272971] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12076), 1,
      anon_sym_LPAREN2,
    STATE(8070), 2,
      sym_gnu_asm_qualifier,
      aux_sym_gnu_asm_expression_repeat1,
    ACTIONS(11953), 3,
      anon_sym_inline,
      anon_sym_volatile,
      anon_sym_goto,
  [272987] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12078), 1,
      anon_sym_EQ,
    ACTIONS(10997), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_LBRACK,
  [273001] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(53), 1,
      anon_sym_LBRACE,
    ACTIONS(10783), 1,
      anon_sym_try,
    ACTIONS(12080), 1,
      anon_sym_SEMI,
    ACTIONS(12082), 1,
      anon_sym_EQ,
    STATE(1268), 2,
      sym_compound_statement,
      sym_try_statement,
  [273021] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12084), 2,
      anon_sym_RBRACE,
      sym_identifier,
    ACTIONS(12086), 4,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
  [273035] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12088), 2,
      anon_sym_RBRACE,
      sym_identifier,
    ACTIONS(12090), 4,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
  [273049] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12092), 1,
      anon_sym_LPAREN2,
    STATE(8070), 2,
      sym_gnu_asm_qualifier,
      aux_sym_gnu_asm_expression_repeat1,
    ACTIONS(11953), 3,
      anon_sym_inline,
      anon_sym_volatile,
      anon_sym_goto,
  [273065] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(391), 1,
      anon_sym_LBRACE,
    ACTIONS(10791), 1,
      anon_sym_try,
    ACTIONS(12094), 1,
      anon_sym_SEMI,
    ACTIONS(12096), 1,
      anon_sym_EQ,
    STATE(673), 2,
      sym_compound_statement,
      sym_try_statement,
  [273085] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12098), 2,
      anon_sym_RBRACE,
      sym_identifier,
    ACTIONS(12100), 4,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
  [273099] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12102), 1,
      sym_identifier,
    STATE(8084), 2,
      sym_enumerator,
      aux_sym_preproc_if_in_enumerator_list_no_comma_repeat1,
    ACTIONS(11760), 3,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
  [273115] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12105), 2,
      anon_sym_RBRACE,
      sym_identifier,
    ACTIONS(12107), 4,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
  [273129] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9595), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(9599), 1,
      anon_sym_EQ,
    ACTIONS(12109), 1,
      sym_identifier,
    ACTIONS(9597), 2,
      anon_sym_COMMA,
      anon_sym_GT2,
  [273146] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11877), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11879), 1,
      anon_sym_inline,
    ACTIONS(12111), 1,
      sym_identifier,
    STATE(9552), 1,
      sym_nested_namespace_specifier,
    STATE(10162), 1,
      sym__namespace_specifier,
  [273165] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11877), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11879), 1,
      anon_sym_inline,
    ACTIONS(12113), 1,
      sym_identifier,
    STATE(10091), 1,
      sym_nested_namespace_specifier,
    STATE(10162), 1,
      sym__namespace_specifier,
  [273184] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9556), 1,
      sym_auto,
    ACTIONS(9558), 1,
      anon_sym_decltype,
    STATE(3065), 1,
      sym_decltype_auto,
    ACTIONS(12115), 2,
      anon_sym_COMMA,
      anon_sym_GT2,
  [273201] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8209), 1,
      anon_sym___attribute__,
    ACTIONS(8557), 1,
      anon_sym_COMMA,
    ACTIONS(12117), 1,
      anon_sym_SEMI,
    STATE(8135), 1,
      aux_sym_field_declaration_repeat1,
    STATE(10273), 1,
      sym_attribute_specifier,
  [273220] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8209), 1,
      anon_sym___attribute__,
    ACTIONS(8557), 1,
      anon_sym_COMMA,
    ACTIONS(12119), 1,
      anon_sym_SEMI,
    STATE(8233), 1,
      aux_sym_field_declaration_repeat1,
    STATE(9985), 1,
      sym_attribute_specifier,
  [273239] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8209), 1,
      anon_sym___attribute__,
    ACTIONS(8557), 1,
      anon_sym_COMMA,
    ACTIONS(12121), 1,
      anon_sym_SEMI,
    STATE(8107), 1,
      aux_sym_field_declaration_repeat1,
    STATE(9981), 1,
      sym_attribute_specifier,
  [273258] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8209), 1,
      anon_sym___attribute__,
    ACTIONS(8557), 1,
      anon_sym_COMMA,
    ACTIONS(12123), 1,
      anon_sym_SEMI,
    STATE(8119), 1,
      aux_sym_field_declaration_repeat1,
    STATE(10313), 1,
      sym_attribute_specifier,
  [273277] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2588), 1,
      anon_sym_operator,
    ACTIONS(12125), 1,
      sym_identifier,
    STATE(3004), 1,
      sym_template_type,
    STATE(3554), 1,
      sym_template_method,
    STATE(9123), 1,
      sym_operator_name,
  [273296] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10094), 1,
      anon_sym_LPAREN2,
    ACTIONS(10905), 1,
      anon_sym_COLON,
    ACTIONS(11360), 1,
      anon_sym_LBRACK,
    STATE(5014), 1,
      sym_parameter_list,
    STATE(7453), 1,
      sym__function_declarator_seq,
  [273315] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2588), 1,
      anon_sym_operator,
    ACTIONS(12127), 1,
      sym_identifier,
    STATE(3004), 1,
      sym_template_type,
    STATE(3554), 1,
      sym_template_method,
    STATE(9248), 1,
      sym_operator_name,
  [273334] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8209), 1,
      anon_sym___attribute__,
    ACTIONS(8557), 1,
      anon_sym_COMMA,
    ACTIONS(12129), 1,
      anon_sym_SEMI,
    STATE(8233), 1,
      aux_sym_field_declaration_repeat1,
    STATE(10282), 1,
      sym_attribute_specifier,
  [273353] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8209), 1,
      anon_sym___attribute__,
    ACTIONS(8557), 1,
      anon_sym_COMMA,
    ACTIONS(12131), 1,
      anon_sym_SEMI,
    STATE(8110), 1,
      aux_sym_field_declaration_repeat1,
    STATE(10268), 1,
      sym_attribute_specifier,
  [273372] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8209), 1,
      anon_sym___attribute__,
    ACTIONS(8557), 1,
      anon_sym_COMMA,
    ACTIONS(12133), 1,
      anon_sym_SEMI,
    STATE(8233), 1,
      aux_sym_field_declaration_repeat1,
    STATE(9944), 1,
      sym_attribute_specifier,
  [273391] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8209), 1,
      anon_sym___attribute__,
    ACTIONS(8557), 1,
      anon_sym_COMMA,
    ACTIONS(12135), 1,
      anon_sym_SEMI,
    STATE(8133), 1,
      aux_sym_field_declaration_repeat1,
    STATE(9945), 1,
      sym_attribute_specifier,
  [273410] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12137), 1,
      anon_sym_COMMA,
    ACTIONS(11889), 4,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      sym_identifier,
  [273423] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8209), 1,
      anon_sym___attribute__,
    ACTIONS(8557), 1,
      anon_sym_COMMA,
    ACTIONS(12139), 1,
      anon_sym_SEMI,
    STATE(8233), 1,
      aux_sym_field_declaration_repeat1,
    STATE(9949), 1,
      sym_attribute_specifier,
  [273442] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8209), 1,
      anon_sym___attribute__,
    ACTIONS(8557), 1,
      anon_sym_COMMA,
    ACTIONS(12141), 1,
      anon_sym_SEMI,
    STATE(8233), 1,
      aux_sym_field_declaration_repeat1,
    STATE(10331), 1,
      sym_attribute_specifier,
  [273461] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10094), 1,
      anon_sym_LPAREN2,
    ACTIONS(10937), 1,
      anon_sym_COLON,
    ACTIONS(11360), 1,
      anon_sym_LBRACK,
    STATE(5014), 1,
      sym_parameter_list,
    STATE(7453), 1,
      sym__function_declarator_seq,
  [273480] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4413), 1,
      anon_sym_LBRACE,
    ACTIONS(6440), 1,
      anon_sym_LPAREN2,
    ACTIONS(9444), 1,
      anon_sym_RPAREN,
    STATE(3568), 1,
      sym_argument_list,
    STATE(4993), 1,
      sym_initializer_list,
  [273499] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8209), 1,
      anon_sym___attribute__,
    ACTIONS(8557), 1,
      anon_sym_COMMA,
    ACTIONS(12143), 1,
      anon_sym_SEMI,
    STATE(8131), 1,
      aux_sym_field_declaration_repeat1,
    STATE(9947), 1,
      sym_attribute_specifier,
  [273518] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8209), 1,
      anon_sym___attribute__,
    ACTIONS(8557), 1,
      anon_sym_COMMA,
    ACTIONS(12145), 1,
      anon_sym_SEMI,
    STATE(8233), 1,
      aux_sym_field_declaration_repeat1,
    STATE(10253), 1,
      sym_attribute_specifier,
  [273537] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4413), 1,
      anon_sym_LBRACE,
    ACTIONS(6440), 1,
      anon_sym_LPAREN2,
    ACTIONS(9412), 1,
      anon_sym_RPAREN,
    STATE(3568), 1,
      sym_argument_list,
    STATE(4993), 1,
      sym_initializer_list,
  [273556] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8209), 1,
      anon_sym___attribute__,
    ACTIONS(8557), 1,
      anon_sym_COMMA,
    ACTIONS(12147), 1,
      anon_sym_SEMI,
    STATE(8233), 1,
      aux_sym_field_declaration_repeat1,
    STATE(9462), 1,
      sym_attribute_specifier,
  [273575] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8209), 1,
      anon_sym___attribute__,
    ACTIONS(8557), 1,
      anon_sym_COMMA,
    ACTIONS(12149), 1,
      anon_sym_SEMI,
    STATE(8233), 1,
      aux_sym_field_declaration_repeat1,
    STATE(10316), 1,
      sym_attribute_specifier,
  [273594] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8209), 1,
      anon_sym___attribute__,
    ACTIONS(8557), 1,
      anon_sym_COMMA,
    ACTIONS(12151), 1,
      anon_sym_SEMI,
    STATE(8233), 1,
      aux_sym_field_declaration_repeat1,
    STATE(9472), 1,
      sym_attribute_specifier,
  [273613] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8209), 1,
      anon_sym___attribute__,
    ACTIONS(8557), 1,
      anon_sym_COMMA,
    ACTIONS(12153), 1,
      anon_sym_SEMI,
    STATE(8111), 1,
      aux_sym_field_declaration_repeat1,
    STATE(9467), 1,
      sym_attribute_specifier,
  [273632] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8209), 1,
      anon_sym___attribute__,
    ACTIONS(8557), 1,
      anon_sym_COMMA,
    ACTIONS(12155), 1,
      anon_sym_SEMI,
    STATE(8102), 1,
      aux_sym_field_declaration_repeat1,
    STATE(9468), 1,
      sym_attribute_specifier,
  [273651] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12157), 2,
      anon_sym_class,
      anon_sym_typename,
    STATE(9085), 3,
      sym_type_parameter_declaration,
      sym_variadic_type_parameter_declaration,
      sym_optional_type_parameter_declaration,
  [273664] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2588), 1,
      anon_sym_operator,
    ACTIONS(12159), 1,
      sym_identifier,
    STATE(3004), 1,
      sym_template_type,
    STATE(4823), 1,
      sym_template_method,
    STATE(9202), 1,
      sym_operator_name,
  [273683] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5900), 1,
      anon_sym_LT,
    ACTIONS(6944), 1,
      anon_sym_LBRACK,
    STATE(3702), 1,
      sym_template_argument_list,
    ACTIONS(6946), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
  [273700] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11877), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11879), 1,
      anon_sym_inline,
    ACTIONS(12161), 1,
      sym_identifier,
    STATE(8917), 1,
      sym__namespace_specifier,
    STATE(9013), 1,
      sym_nested_namespace_specifier,
  [273719] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11877), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11879), 1,
      anon_sym_inline,
    ACTIONS(12163), 1,
      sym_identifier,
    STATE(9630), 1,
      sym_nested_namespace_specifier,
    STATE(10162), 1,
      sym__namespace_specifier,
  [273738] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8209), 1,
      anon_sym___attribute__,
    ACTIONS(8557), 1,
      anon_sym_COMMA,
    ACTIONS(12165), 1,
      anon_sym_SEMI,
    STATE(8233), 1,
      aux_sym_field_declaration_repeat1,
    STATE(10362), 1,
      sym_attribute_specifier,
  [273757] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11877), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11879), 1,
      anon_sym_inline,
    ACTIONS(12167), 1,
      sym_identifier,
    STATE(9507), 1,
      sym_nested_namespace_specifier,
    STATE(10162), 1,
      sym__namespace_specifier,
  [273776] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10094), 1,
      anon_sym_LPAREN2,
    ACTIONS(11360), 1,
      anon_sym_LBRACK,
    ACTIONS(12169), 1,
      anon_sym_RPAREN,
    STATE(4924), 1,
      sym_parameter_list,
    STATE(7453), 1,
      sym__function_declarator_seq,
  [273795] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11877), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11879), 1,
      anon_sym_inline,
    ACTIONS(12161), 1,
      sym_identifier,
    STATE(8540), 1,
      sym__namespace_specifier,
    STATE(9384), 1,
      sym_nested_namespace_specifier,
  [273814] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10094), 1,
      anon_sym_LPAREN2,
    ACTIONS(11360), 1,
      anon_sym_LBRACK,
    ACTIONS(12171), 1,
      anon_sym_RPAREN,
    STATE(4924), 1,
      sym_parameter_list,
    STATE(7453), 1,
      sym__function_declarator_seq,
  [273833] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2230), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5900), 1,
      anon_sym_LT,
    STATE(3484), 1,
      sym_template_argument_list,
    ACTIONS(6821), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACE,
  [273850] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5900), 1,
      anon_sym_LT,
    ACTIONS(6944), 1,
      anon_sym_LBRACK,
    STATE(3217), 1,
      sym_template_argument_list,
    ACTIONS(6946), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
  [273867] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8209), 1,
      anon_sym___attribute__,
    ACTIONS(8557), 1,
      anon_sym_COMMA,
    ACTIONS(12173), 1,
      anon_sym_SEMI,
    STATE(8233), 1,
      aux_sym_field_declaration_repeat1,
    STATE(10338), 1,
      sym_attribute_specifier,
  [273886] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8209), 1,
      anon_sym___attribute__,
    ACTIONS(8557), 1,
      anon_sym_COMMA,
    ACTIONS(12175), 1,
      anon_sym_SEMI,
    STATE(8148), 1,
      aux_sym_field_declaration_repeat1,
    STATE(9935), 1,
      sym_attribute_specifier,
  [273905] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8209), 1,
      anon_sym___attribute__,
    ACTIONS(8557), 1,
      anon_sym_COMMA,
    ACTIONS(12177), 1,
      anon_sym_SEMI,
    STATE(8233), 1,
      aux_sym_field_declaration_repeat1,
    STATE(9449), 1,
      sym_attribute_specifier,
  [273924] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8209), 1,
      anon_sym___attribute__,
    ACTIONS(8557), 1,
      anon_sym_COMMA,
    ACTIONS(12179), 1,
      anon_sym_SEMI,
    STATE(8233), 1,
      aux_sym_field_declaration_repeat1,
    STATE(9447), 1,
      sym_attribute_specifier,
  [273943] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10094), 1,
      anon_sym_LPAREN2,
    ACTIONS(11360), 1,
      anon_sym_LBRACK,
    ACTIONS(12181), 1,
      anon_sym_RPAREN,
    STATE(4924), 1,
      sym_parameter_list,
    STATE(7453), 1,
      sym__function_declarator_seq,
  [273962] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8209), 1,
      anon_sym___attribute__,
    ACTIONS(8557), 1,
      anon_sym_COMMA,
    ACTIONS(12183), 1,
      anon_sym_SEMI,
    STATE(8233), 1,
      aux_sym_field_declaration_repeat1,
    STATE(9808), 1,
      sym_attribute_specifier,
  [273981] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8209), 1,
      anon_sym___attribute__,
    ACTIONS(8557), 1,
      anon_sym_COMMA,
    ACTIONS(12185), 1,
      anon_sym_SEMI,
    STATE(8233), 1,
      aux_sym_field_declaration_repeat1,
    STATE(10337), 1,
      sym_attribute_specifier,
  [274000] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8209), 1,
      anon_sym___attribute__,
    ACTIONS(8557), 1,
      anon_sym_COMMA,
    ACTIONS(12187), 1,
      anon_sym_SEMI,
    STATE(8233), 1,
      aux_sym_field_declaration_repeat1,
    STATE(9933), 1,
      sym_attribute_specifier,
  [274019] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10094), 1,
      anon_sym_LPAREN2,
    ACTIONS(10949), 1,
      anon_sym_COLON,
    ACTIONS(11360), 1,
      anon_sym_LBRACK,
    STATE(5014), 1,
      sym_parameter_list,
    STATE(7453), 1,
      sym__function_declarator_seq,
  [274038] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8209), 1,
      anon_sym___attribute__,
    ACTIONS(8557), 1,
      anon_sym_COMMA,
    ACTIONS(12189), 1,
      anon_sym_SEMI,
    STATE(8233), 1,
      aux_sym_field_declaration_repeat1,
    STATE(10208), 1,
      sym_attribute_specifier,
  [274057] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8209), 1,
      anon_sym___attribute__,
    ACTIONS(8557), 1,
      anon_sym_COMMA,
    ACTIONS(12191), 1,
      anon_sym_SEMI,
    STATE(8233), 1,
      aux_sym_field_declaration_repeat1,
    STATE(10252), 1,
      sym_attribute_specifier,
  [274076] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11084), 1,
      sym_identifier,
    ACTIONS(12193), 1,
      aux_sym_preproc_if_token2,
    STATE(7967), 1,
      sym_enumerator,
    STATE(8191), 1,
      aux_sym_preproc_if_in_enumerator_list_no_comma_repeat1,
    STATE(8192), 1,
      aux_sym_preproc_if_in_enumerator_list_repeat1,
  [274095] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8209), 1,
      anon_sym___attribute__,
    ACTIONS(8557), 1,
      anon_sym_COMMA,
    ACTIONS(12195), 1,
      anon_sym_SEMI,
    STATE(8129), 1,
      aux_sym_field_declaration_repeat1,
    STATE(9451), 1,
      sym_attribute_specifier,
  [274114] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10094), 1,
      anon_sym_LPAREN2,
    ACTIONS(10951), 1,
      anon_sym_COLON,
    ACTIONS(11360), 1,
      anon_sym_LBRACK,
    STATE(5014), 1,
      sym_parameter_list,
    STATE(7453), 1,
      sym__function_declarator_seq,
  [274133] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2588), 1,
      anon_sym_operator,
    ACTIONS(12127), 1,
      sym_identifier,
    STATE(3004), 1,
      sym_template_type,
    STATE(3554), 1,
      sym_template_method,
    STATE(9011), 1,
      sym_operator_name,
  [274152] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9556), 1,
      sym_auto,
    ACTIONS(9558), 1,
      anon_sym_decltype,
    STATE(3065), 1,
      sym_decltype_auto,
    ACTIONS(12197), 2,
      anon_sym_COMMA,
      anon_sym_GT2,
  [274169] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2588), 1,
      anon_sym_operator,
    ACTIONS(12199), 1,
      sym_identifier,
    STATE(3004), 1,
      sym_template_type,
    STATE(4534), 1,
      sym_template_method,
    STATE(9165), 1,
      sym_operator_name,
  [274188] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2588), 1,
      anon_sym_operator,
    ACTIONS(12201), 1,
      sym_identifier,
    STATE(3004), 1,
      sym_template_type,
    STATE(4239), 1,
      sym_template_method,
    STATE(9295), 1,
      sym_operator_name,
  [274207] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8298), 1,
      anon_sym_LPAREN2,
    ACTIONS(12205), 1,
      anon_sym_COLON_COLON,
    STATE(9071), 1,
      sym_argument_list,
    ACTIONS(12203), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK_RBRACK,
  [274224] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10094), 1,
      anon_sym_LPAREN2,
    ACTIONS(11360), 1,
      anon_sym_LBRACK,
    ACTIONS(12207), 1,
      anon_sym_RPAREN,
    STATE(4924), 1,
      sym_parameter_list,
    STATE(7453), 1,
      sym__function_declarator_seq,
  [274243] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8209), 1,
      anon_sym___attribute__,
    ACTIONS(8557), 1,
      anon_sym_COMMA,
    ACTIONS(12209), 1,
      anon_sym_SEMI,
    STATE(8233), 1,
      aux_sym_field_declaration_repeat1,
    STATE(9930), 1,
      sym_attribute_specifier,
  [274262] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11877), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11879), 1,
      anon_sym_inline,
    ACTIONS(12211), 1,
      sym_identifier,
    STATE(10004), 1,
      sym_nested_namespace_specifier,
    STATE(10162), 1,
      sym__namespace_specifier,
  [274281] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8209), 1,
      anon_sym___attribute__,
    ACTIONS(8557), 1,
      anon_sym_COMMA,
    ACTIONS(12213), 1,
      anon_sym_SEMI,
    STATE(8233), 1,
      aux_sym_field_declaration_repeat1,
    STATE(9929), 1,
      sym_attribute_specifier,
  [274300] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8209), 1,
      anon_sym___attribute__,
    ACTIONS(8557), 1,
      anon_sym_COMMA,
    ACTIONS(12215), 1,
      anon_sym_SEMI,
    STATE(8132), 1,
      aux_sym_field_declaration_repeat1,
    STATE(10251), 1,
      sym_attribute_specifier,
  [274319] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12219), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12217), 4,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_template,
  [274332] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8209), 1,
      anon_sym___attribute__,
    ACTIONS(8557), 1,
      anon_sym_COMMA,
    ACTIONS(12221), 1,
      anon_sym_SEMI,
    STATE(8136), 1,
      aux_sym_field_declaration_repeat1,
    STATE(9980), 1,
      sym_attribute_specifier,
  [274351] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10830), 1,
      anon_sym_LBRACE,
    STATE(5412), 1,
      sym_compound_statement,
    ACTIONS(10997), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
  [274365] = 5,
    ACTIONS(10298), 1,
      sym_comment,
    ACTIONS(12223), 1,
      anon_sym_DQUOTE,
    ACTIONS(12225), 1,
      aux_sym_string_literal_token1,
    ACTIONS(12227), 1,
      sym_escape_sequence,
    STATE(8165), 1,
      aux_sym_string_literal_repeat1,
  [274381] = 5,
    ACTIONS(10298), 1,
      sym_comment,
    ACTIONS(12229), 1,
      anon_sym_DQUOTE,
    ACTIONS(12231), 1,
      aux_sym_string_literal_token1,
    ACTIONS(12233), 1,
      sym_escape_sequence,
    STATE(8172), 1,
      aux_sym_string_literal_repeat1,
  [274397] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8733), 1,
      anon_sym_COMMA,
    ACTIONS(12235), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(12237), 1,
      anon_sym_GT2,
    STATE(8864), 1,
      aux_sym_template_argument_list_repeat1,
  [274413] = 5,
    ACTIONS(10298), 1,
      sym_comment,
    ACTIONS(12239), 1,
      anon_sym_DQUOTE,
    ACTIONS(12241), 1,
      aux_sym_string_literal_token1,
    ACTIONS(12243), 1,
      sym_escape_sequence,
    STATE(8168), 1,
      aux_sym_string_literal_repeat1,
  [274429] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10814), 1,
      anon_sym_LBRACE,
    STATE(2664), 1,
      sym_compound_statement,
    ACTIONS(10997), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
  [274443] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8733), 1,
      anon_sym_COMMA,
    ACTIONS(12235), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(12245), 1,
      anon_sym_GT2,
    STATE(8922), 1,
      aux_sym_template_argument_list_repeat1,
  [274459] = 5,
    ACTIONS(10298), 1,
      sym_comment,
    ACTIONS(12247), 1,
      anon_sym_DQUOTE,
    ACTIONS(12249), 1,
      aux_sym_string_literal_token1,
    ACTIONS(12251), 1,
      sym_escape_sequence,
    STATE(8162), 1,
      aux_sym_string_literal_repeat1,
  [274475] = 5,
    ACTIONS(10298), 1,
      sym_comment,
    ACTIONS(12253), 1,
      anon_sym_DQUOTE,
    ACTIONS(12255), 1,
      aux_sym_string_literal_token1,
    ACTIONS(12257), 1,
      sym_escape_sequence,
    STATE(8459), 1,
      aux_sym_string_literal_repeat1,
  [274491] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4094), 1,
      anon_sym_LBRACE,
    ACTIONS(7300), 1,
      anon_sym_LPAREN2,
    STATE(4707), 1,
      sym_argument_list,
    STATE(4709), 1,
      sym_initializer_list,
  [274507] = 5,
    ACTIONS(10298), 1,
      sym_comment,
    ACTIONS(12255), 1,
      aux_sym_string_literal_token1,
    ACTIONS(12257), 1,
      sym_escape_sequence,
    ACTIONS(12259), 1,
      anon_sym_DQUOTE,
    STATE(8459), 1,
      aux_sym_string_literal_repeat1,
  [274523] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8733), 1,
      anon_sym_COMMA,
    ACTIONS(12235), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(12261), 1,
      anon_sym_GT2,
    STATE(8885), 1,
      aux_sym_template_argument_list_repeat1,
  [274539] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12263), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(12265), 1,
      anon_sym_COMMA,
    ACTIONS(12267), 1,
      anon_sym_LBRACE,
    STATE(8533), 1,
      aux_sym_base_class_clause_repeat1,
  [274555] = 5,
    ACTIONS(10298), 1,
      sym_comment,
    ACTIONS(12255), 1,
      aux_sym_string_literal_token1,
    ACTIONS(12257), 1,
      sym_escape_sequence,
    ACTIONS(12269), 1,
      anon_sym_DQUOTE,
    STATE(8459), 1,
      aux_sym_string_literal_repeat1,
  [274571] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8733), 1,
      anon_sym_COMMA,
    ACTIONS(12235), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(12271), 1,
      anon_sym_GT2,
    STATE(8904), 1,
      aux_sym_template_argument_list_repeat1,
  [274587] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8209), 1,
      anon_sym___attribute__,
    ACTIONS(12273), 1,
      anon_sym_SEMI,
    STATE(6021), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [274601] = 5,
    ACTIONS(10298), 1,
      sym_comment,
    ACTIONS(12255), 1,
      aux_sym_string_literal_token1,
    ACTIONS(12257), 1,
      sym_escape_sequence,
    ACTIONS(12275), 1,
      anon_sym_DQUOTE,
    STATE(8459), 1,
      aux_sym_string_literal_repeat1,
  [274617] = 3,
    ACTIONS(3), 1,
      sym_comment,
    STATE(7805), 1,
      sym_access_specifier,
    ACTIONS(12277), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
  [274629] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4176), 1,
      anon_sym_LBRACE,
    ACTIONS(6417), 1,
      anon_sym_COLON,
    STATE(1544), 1,
      sym_field_declaration_list,
    STATE(9044), 1,
      sym_base_class_clause,
  [274645] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6417), 1,
      anon_sym_COLON,
    ACTIONS(9528), 1,
      anon_sym_LBRACE,
    STATE(6112), 1,
      sym_field_declaration_list,
    STATE(8980), 1,
      sym_base_class_clause,
  [274661] = 5,
    ACTIONS(10298), 1,
      sym_comment,
    ACTIONS(12255), 1,
      aux_sym_string_literal_token1,
    ACTIONS(12257), 1,
      sym_escape_sequence,
    ACTIONS(12279), 1,
      anon_sym_DQUOTE,
    STATE(8459), 1,
      aux_sym_string_literal_repeat1,
  [274677] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11084), 1,
      sym_identifier,
    ACTIONS(12281), 1,
      aux_sym_preproc_if_token2,
    STATE(8191), 2,
      sym_enumerator,
      aux_sym_preproc_if_in_enumerator_list_no_comma_repeat1,
  [274691] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8733), 1,
      anon_sym_COMMA,
    ACTIONS(12235), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(12283), 1,
      anon_sym_GT2,
    STATE(8935), 1,
      aux_sym_template_argument_list_repeat1,
  [274707] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4176), 1,
      anon_sym_LBRACE,
    ACTIONS(6417), 1,
      anon_sym_COLON,
    STATE(1638), 1,
      sym_field_declaration_list,
    STATE(9032), 1,
      sym_base_class_clause,
  [274723] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4176), 1,
      anon_sym_LBRACE,
    ACTIONS(6417), 1,
      anon_sym_COLON,
    STATE(1576), 1,
      sym_field_declaration_list,
    STATE(9027), 1,
      sym_base_class_clause,
  [274739] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8733), 1,
      anon_sym_COMMA,
    ACTIONS(12235), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(12285), 1,
      anon_sym_GT2,
    STATE(8944), 1,
      aux_sym_template_argument_list_repeat1,
  [274755] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8209), 1,
      anon_sym___attribute__,
    ACTIONS(12287), 1,
      anon_sym_SEMI,
    STATE(6021), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [274769] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8209), 1,
      anon_sym___attribute__,
    ACTIONS(12289), 1,
      anon_sym_SEMI,
    STATE(8167), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [274783] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4413), 1,
      anon_sym_LBRACE,
    ACTIONS(6440), 1,
      anon_sym_LPAREN2,
    STATE(3568), 1,
      sym_argument_list,
    STATE(4993), 1,
      sym_initializer_list,
  [274799] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8733), 1,
      anon_sym_COMMA,
    ACTIONS(12235), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(12291), 1,
      anon_sym_GT2,
    STATE(8952), 1,
      aux_sym_template_argument_list_repeat1,
  [274815] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10814), 1,
      anon_sym_LBRACE,
    STATE(2669), 1,
      sym_compound_statement,
    ACTIONS(10997), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
  [274829] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8733), 1,
      anon_sym_COMMA,
    ACTIONS(12235), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(12293), 1,
      anon_sym_GT2,
    STATE(8960), 1,
      aux_sym_template_argument_list_repeat1,
  [274845] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11176), 1,
      sym_identifier,
    ACTIONS(12193), 1,
      aux_sym_preproc_if_token2,
    STATE(8192), 1,
      aux_sym_preproc_if_in_enumerator_list_repeat1,
    STATE(9908), 1,
      sym_enumerator,
  [274861] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8733), 1,
      anon_sym_COMMA,
    ACTIONS(12235), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(12295), 1,
      anon_sym_GT2,
    STATE(8968), 1,
      aux_sym_template_argument_list_repeat1,
  [274877] = 5,
    ACTIONS(10298), 1,
      sym_comment,
    ACTIONS(12297), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(12299), 1,
      anon_sym_LPAREN,
    ACTIONS(12301), 1,
      sym_preproc_arg,
    STATE(9223), 1,
      sym_preproc_params,
  [274893] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2230), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5900), 1,
      anon_sym_LT,
    ACTIONS(12303), 1,
      anon_sym_SEMI,
    STATE(3203), 1,
      sym_template_argument_list,
  [274909] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8733), 1,
      anon_sym_COMMA,
    ACTIONS(12235), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(12305), 1,
      anon_sym_GT2,
    STATE(8914), 1,
      aux_sym_template_argument_list_repeat1,
  [274925] = 5,
    ACTIONS(10298), 1,
      sym_comment,
    ACTIONS(12307), 1,
      anon_sym_DQUOTE,
    ACTIONS(12309), 1,
      aux_sym_string_literal_token1,
    ACTIONS(12311), 1,
      sym_escape_sequence,
    STATE(8220), 1,
      aux_sym_string_literal_repeat1,
  [274941] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6417), 1,
      anon_sym_COLON,
    ACTIONS(9528), 1,
      anon_sym_LBRACE,
    STATE(6137), 1,
      sym_field_declaration_list,
    STATE(9009), 1,
      sym_base_class_clause,
  [274957] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11084), 1,
      sym_identifier,
    ACTIONS(12313), 1,
      aux_sym_preproc_if_token2,
    STATE(7894), 2,
      sym_enumerator,
      aux_sym_preproc_if_in_enumerator_list_no_comma_repeat1,
  [274971] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11176), 1,
      sym_identifier,
    ACTIONS(12315), 1,
      aux_sym_preproc_if_token2,
    STATE(7903), 1,
      aux_sym_preproc_if_in_enumerator_list_repeat1,
    STATE(9908), 1,
      sym_enumerator,
  [274987] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4176), 1,
      anon_sym_LBRACE,
    ACTIONS(6417), 1,
      anon_sym_COLON,
    STATE(1532), 1,
      sym_field_declaration_list,
    STATE(8996), 1,
      sym_base_class_clause,
  [275003] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11781), 4,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      sym_identifier,
  [275013] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8209), 1,
      anon_sym___attribute__,
    ACTIONS(12317), 1,
      anon_sym_SEMI,
    STATE(8178), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [275027] = 5,
    ACTIONS(10298), 1,
      sym_comment,
    ACTIONS(12299), 1,
      anon_sym_LPAREN,
    ACTIONS(12319), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(12321), 1,
      sym_preproc_arg,
    STATE(9084), 1,
      sym_preproc_params,
  [275043] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10814), 1,
      anon_sym_LBRACE,
    STATE(2656), 1,
      sym_compound_statement,
    ACTIONS(10997), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
  [275057] = 5,
    ACTIONS(10298), 1,
      sym_comment,
    ACTIONS(12323), 1,
      anon_sym_DQUOTE,
    ACTIONS(12325), 1,
      aux_sym_string_literal_token1,
    ACTIONS(12327), 1,
      sym_escape_sequence,
    STATE(8160), 1,
      aux_sym_string_literal_repeat1,
  [275073] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12329), 1,
      anon_sym_LPAREN2,
    ACTIONS(12331), 1,
      anon_sym_LBRACE,
    STATE(7038), 1,
      sym_requirement_seq,
    STATE(9072), 1,
      sym_requires_parameter_list,
  [275089] = 5,
    ACTIONS(10298), 1,
      sym_comment,
    ACTIONS(12255), 1,
      aux_sym_string_literal_token1,
    ACTIONS(12257), 1,
      sym_escape_sequence,
    ACTIONS(12333), 1,
      anon_sym_DQUOTE,
    STATE(8459), 1,
      aux_sym_string_literal_repeat1,
  [275105] = 4,
    ACTIONS(10298), 1,
      sym_comment,
    ACTIONS(12335), 1,
      anon_sym_SQUOTE,
    STATE(8463), 1,
      aux_sym_char_literal_repeat1,
    ACTIONS(12337), 2,
      aux_sym_char_literal_token1,
      sym_escape_sequence,
  [275119] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8733), 1,
      anon_sym_COMMA,
    ACTIONS(12235), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(12339), 1,
      anon_sym_GT2,
    STATE(8843), 1,
      aux_sym_template_argument_list_repeat1,
  [275135] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(11803), 1,
      anon_sym_EQ,
    STATE(8443), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [275149] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4435), 1,
      anon_sym_LBRACE,
    ACTIONS(7220), 1,
      anon_sym_LPAREN2,
    STATE(4333), 1,
      sym_argument_list,
    STATE(5584), 1,
      sym_initializer_list,
  [275165] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5929), 1,
      anon_sym_LBRACE,
    ACTIONS(6417), 1,
      anon_sym_COLON,
    STATE(3119), 1,
      sym_field_declaration_list,
    STATE(8990), 1,
      sym_base_class_clause,
  [275181] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5929), 1,
      anon_sym_LBRACE,
    ACTIONS(6417), 1,
      anon_sym_COLON,
    STATE(6576), 1,
      sym_field_declaration_list,
    STATE(9313), 1,
      sym_base_class_clause,
  [275197] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3998), 1,
      anon_sym_LBRACE,
    ACTIONS(7220), 1,
      anon_sym_LPAREN2,
    STATE(4292), 1,
      sym_initializer_list,
    STATE(4333), 1,
      sym_argument_list,
  [275213] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(53), 1,
      anon_sym_LBRACE,
    ACTIONS(11192), 1,
      anon_sym_COLON,
    STATE(8910), 1,
      sym_compound_statement,
    STATE(9097), 1,
      sym_field_initializer_list,
  [275229] = 5,
    ACTIONS(10298), 1,
      sym_comment,
    ACTIONS(12299), 1,
      anon_sym_LPAREN,
    ACTIONS(12341), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(12343), 1,
      sym_preproc_arg,
    STATE(9004), 1,
      sym_preproc_params,
  [275245] = 5,
    ACTIONS(10298), 1,
      sym_comment,
    ACTIONS(12255), 1,
      aux_sym_string_literal_token1,
    ACTIONS(12257), 1,
      sym_escape_sequence,
    ACTIONS(12345), 1,
      anon_sym_DQUOTE,
    STATE(8459), 1,
      aux_sym_string_literal_repeat1,
  [275261] = 5,
    ACTIONS(10298), 1,
      sym_comment,
    ACTIONS(12347), 1,
      anon_sym_DQUOTE,
    ACTIONS(12349), 1,
      aux_sym_string_literal_token1,
    ACTIONS(12351), 1,
      sym_escape_sequence,
    STATE(8200), 1,
      aux_sym_string_literal_repeat1,
  [275277] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6417), 1,
      anon_sym_COLON,
    ACTIONS(6974), 1,
      anon_sym_LBRACE,
    STATE(3875), 1,
      sym_field_declaration_list,
    STATE(9188), 1,
      sym_base_class_clause,
  [275293] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(12353), 1,
      anon_sym_EQ,
    STATE(7577), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [275307] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12355), 4,
      anon_sym_LPAREN2,
      anon_sym_inline,
      anon_sym_volatile,
      anon_sym_goto,
  [275317] = 4,
    ACTIONS(10298), 1,
      sym_comment,
    ACTIONS(12357), 1,
      anon_sym_SQUOTE,
    STATE(8463), 1,
      aux_sym_char_literal_repeat1,
    ACTIONS(12337), 2,
      aux_sym_char_literal_token1,
      sym_escape_sequence,
  [275331] = 5,
    ACTIONS(10298), 1,
      sym_comment,
    ACTIONS(12255), 1,
      aux_sym_string_literal_token1,
    ACTIONS(12257), 1,
      sym_escape_sequence,
    ACTIONS(12359), 1,
      anon_sym_DQUOTE,
    STATE(8459), 1,
      aux_sym_string_literal_repeat1,
  [275347] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6417), 1,
      anon_sym_COLON,
    ACTIONS(6993), 1,
      anon_sym_LBRACE,
    STATE(4083), 1,
      sym_field_declaration_list,
    STATE(9109), 1,
      sym_base_class_clause,
  [275363] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(11847), 1,
      anon_sym_EQ,
    STATE(8213), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [275377] = 4,
    ACTIONS(10298), 1,
      sym_comment,
    ACTIONS(12361), 1,
      anon_sym_SQUOTE,
    STATE(8463), 1,
      aux_sym_char_literal_repeat1,
    ACTIONS(12337), 2,
      aux_sym_char_literal_token1,
      sym_escape_sequence,
  [275391] = 5,
    ACTIONS(10298), 1,
      sym_comment,
    ACTIONS(12255), 1,
      aux_sym_string_literal_token1,
    ACTIONS(12257), 1,
      sym_escape_sequence,
    ACTIONS(12363), 1,
      anon_sym_DQUOTE,
    STATE(8459), 1,
      aux_sym_string_literal_repeat1,
  [275407] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(12365), 1,
      anon_sym_EQ,
    STATE(7577), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [275421] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12367), 1,
      anon_sym_SEMI,
    ACTIONS(12369), 1,
      anon_sym_DASH_GT,
    ACTIONS(12371), 1,
      anon_sym_noexcept,
    STATE(10031), 1,
      sym_trailing_return_type,
  [275437] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12373), 1,
      anon_sym___except,
    ACTIONS(12375), 1,
      anon_sym___finally,
    STATE(912), 2,
      sym_seh_except_clause,
      sym_seh_finally_clause,
  [275451] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4585), 1,
      anon_sym_LT,
    ACTIONS(12377), 1,
      sym_identifier,
    STATE(1408), 1,
      sym_template_parameter_list,
    STATE(3004), 1,
      sym_template_type,
  [275467] = 4,
    ACTIONS(10298), 1,
      sym_comment,
    ACTIONS(12379), 1,
      anon_sym_SQUOTE,
    STATE(8463), 1,
      aux_sym_char_literal_repeat1,
    ACTIONS(12337), 2,
      aux_sym_char_literal_token1,
      sym_escape_sequence,
  [275481] = 5,
    ACTIONS(10298), 1,
      sym_comment,
    ACTIONS(12255), 1,
      aux_sym_string_literal_token1,
    ACTIONS(12257), 1,
      sym_escape_sequence,
    ACTIONS(12381), 1,
      anon_sym_DQUOTE,
    STATE(8459), 1,
      aux_sym_string_literal_repeat1,
  [275497] = 5,
    ACTIONS(10298), 1,
      sym_comment,
    ACTIONS(12299), 1,
      anon_sym_LPAREN,
    ACTIONS(12383), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(12385), 1,
      sym_preproc_arg,
    STATE(9145), 1,
      sym_preproc_params,
  [275513] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2283), 1,
      anon_sym_LBRACE,
    ACTIONS(6417), 1,
      anon_sym_COLON,
    STATE(805), 1,
      sym_field_declaration_list,
    STATE(9070), 1,
      sym_base_class_clause,
  [275529] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10055), 1,
      anon_sym_LBRACE,
    ACTIONS(12329), 1,
      anon_sym_LPAREN2,
    STATE(4738), 1,
      sym_requirement_seq,
    STATE(9178), 1,
      sym_requires_parameter_list,
  [275545] = 5,
    ACTIONS(10298), 1,
      sym_comment,
    ACTIONS(12387), 1,
      anon_sym_DQUOTE,
    ACTIONS(12389), 1,
      aux_sym_string_literal_token1,
    ACTIONS(12391), 1,
      sym_escape_sequence,
    STATE(8210), 1,
      aux_sym_string_literal_repeat1,
  [275561] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8209), 1,
      anon_sym___attribute__,
    ACTIONS(12393), 1,
      anon_sym_SEMI,
    STATE(6021), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [275575] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10841), 1,
      anon_sym_LBRACE,
    STATE(4745), 1,
      sym_compound_statement,
    ACTIONS(10997), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
  [275589] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12395), 1,
      anon_sym_COMMA,
    STATE(8233), 1,
      aux_sym_field_declaration_repeat1,
    ACTIONS(12398), 2,
      anon_sym_SEMI,
      anon_sym___attribute__,
  [275603] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12400), 1,
      anon_sym_COMMA,
    STATE(8248), 1,
      aux_sym_gnu_asm_output_operand_list_repeat1,
    ACTIONS(12402), 2,
      anon_sym_RPAREN,
      anon_sym_COLON,
  [275617] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10828), 1,
      anon_sym_LBRACE,
    STATE(7063), 1,
      sym_compound_statement,
    ACTIONS(10997), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
  [275631] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2283), 1,
      anon_sym_LBRACE,
    ACTIONS(6417), 1,
      anon_sym_COLON,
    STATE(996), 1,
      sym_field_declaration_list,
    STATE(9086), 1,
      sym_base_class_clause,
  [275647] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8733), 1,
      anon_sym_COMMA,
    ACTIONS(12235), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(12404), 1,
      anon_sym_GT2,
    STATE(8822), 1,
      aux_sym_template_argument_list_repeat1,
  [275663] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2283), 1,
      anon_sym_LBRACE,
    ACTIONS(6417), 1,
      anon_sym_COLON,
    STATE(994), 1,
      sym_field_declaration_list,
    STATE(9088), 1,
      sym_base_class_clause,
  [275679] = 5,
    ACTIONS(10298), 1,
      sym_comment,
    ACTIONS(12255), 1,
      aux_sym_string_literal_token1,
    ACTIONS(12257), 1,
      sym_escape_sequence,
    ACTIONS(12406), 1,
      anon_sym_DQUOTE,
    STATE(8459), 1,
      aux_sym_string_literal_repeat1,
  [275695] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10841), 1,
      anon_sym_LBRACE,
    STATE(4772), 1,
      sym_compound_statement,
    ACTIONS(10997), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
  [275709] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8209), 1,
      anon_sym___attribute__,
    ACTIONS(12408), 1,
      anon_sym_SEMI,
    STATE(6021), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [275723] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8209), 1,
      anon_sym___attribute__,
    ACTIONS(12410), 1,
      anon_sym_SEMI,
    STATE(8294), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [275737] = 5,
    ACTIONS(10298), 1,
      sym_comment,
    ACTIONS(12412), 1,
      anon_sym_DQUOTE,
    ACTIONS(12414), 1,
      aux_sym_string_literal_token1,
    ACTIONS(12416), 1,
      sym_escape_sequence,
    STATE(8239), 1,
      aux_sym_string_literal_repeat1,
  [275753] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8209), 1,
      anon_sym___attribute__,
    ACTIONS(12418), 1,
      anon_sym_SEMI,
    STATE(8231), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [275767] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4899), 1,
      anon_sym_LBRACE,
    ACTIONS(12420), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12422), 1,
      anon_sym_EQ,
    STATE(456), 1,
      sym_declaration_list,
  [275783] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10832), 1,
      anon_sym_LBRACE,
    STATE(3629), 1,
      sym_compound_statement,
    ACTIONS(10997), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
  [275797] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(11829), 1,
      anon_sym_EQ,
    STATE(8221), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [275811] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12400), 1,
      anon_sym_COMMA,
    STATE(8441), 1,
      aux_sym_gnu_asm_output_operand_list_repeat1,
    ACTIONS(12424), 2,
      anon_sym_RPAREN,
      anon_sym_COLON,
  [275825] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12265), 1,
      anon_sym_COMMA,
    ACTIONS(12426), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(12428), 1,
      anon_sym_LBRACE,
    STATE(8880), 1,
      aux_sym_base_class_clause_repeat1,
  [275841] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5929), 1,
      anon_sym_LBRACE,
    ACTIONS(6417), 1,
      anon_sym_COLON,
    STATE(6590), 1,
      sym_field_declaration_list,
    STATE(9309), 1,
      sym_base_class_clause,
  [275857] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8733), 1,
      anon_sym_COMMA,
    ACTIONS(12235), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(12430), 1,
      anon_sym_GT2,
    STATE(8798), 1,
      aux_sym_template_argument_list_repeat1,
  [275873] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12432), 1,
      anon_sym_COMMA,
    STATE(8445), 1,
      aux_sym_gnu_asm_input_operand_list_repeat1,
    ACTIONS(12434), 2,
      anon_sym_RPAREN,
      anon_sym_COLON,
  [275887] = 3,
    ACTIONS(3), 1,
      sym_comment,
    STATE(7814), 1,
      sym_access_specifier,
    ACTIONS(12277), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
  [275899] = 5,
    ACTIONS(10298), 1,
      sym_comment,
    ACTIONS(12255), 1,
      aux_sym_string_literal_token1,
    ACTIONS(12257), 1,
      sym_escape_sequence,
    ACTIONS(12436), 1,
      anon_sym_DQUOTE,
    STATE(8459), 1,
      aux_sym_string_literal_repeat1,
  [275915] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2230), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5900), 1,
      anon_sym_LT,
    ACTIONS(12438), 1,
      anon_sym_SEMI,
    STATE(3203), 1,
      sym_template_argument_list,
  [275931] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8733), 1,
      anon_sym_COMMA,
    ACTIONS(12235), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(12440), 1,
      anon_sym_GT2,
    STATE(8782), 1,
      aux_sym_template_argument_list_repeat1,
  [275947] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6417), 1,
      anon_sym_COLON,
    ACTIONS(7292), 1,
      anon_sym_LBRACE,
    STATE(4380), 1,
      sym_field_declaration_list,
    STATE(9122), 1,
      sym_base_class_clause,
  [275963] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2283), 1,
      anon_sym_LBRACE,
    ACTIONS(6417), 1,
      anon_sym_COLON,
    STATE(746), 1,
      sym_field_declaration_list,
    STATE(9129), 1,
      sym_base_class_clause,
  [275979] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6417), 1,
      anon_sym_COLON,
    ACTIONS(6993), 1,
      anon_sym_LBRACE,
    STATE(4070), 1,
      sym_field_declaration_list,
    STATE(9143), 1,
      sym_base_class_clause,
  [275995] = 4,
    ACTIONS(10298), 1,
      sym_comment,
    ACTIONS(12442), 1,
      anon_sym_SQUOTE,
    STATE(8463), 1,
      aux_sym_char_literal_repeat1,
    ACTIONS(12337), 2,
      aux_sym_char_literal_token1,
      sym_escape_sequence,
  [276009] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12444), 1,
      anon_sym___except,
    ACTIONS(12446), 1,
      anon_sym___finally,
    STATE(1524), 2,
      sym_seh_except_clause,
      sym_seh_finally_clause,
  [276023] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8209), 1,
      anon_sym___attribute__,
    ACTIONS(12448), 1,
      anon_sym_SEMI,
    STATE(8241), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [276037] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10841), 1,
      anon_sym_LBRACE,
    STATE(4790), 1,
      sym_compound_statement,
    ACTIONS(10997), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
  [276051] = 5,
    ACTIONS(10298), 1,
      sym_comment,
    ACTIONS(12450), 1,
      anon_sym_DQUOTE,
    ACTIONS(12452), 1,
      aux_sym_string_literal_token1,
    ACTIONS(12454), 1,
      sym_escape_sequence,
    STATE(8216), 1,
      aux_sym_string_literal_repeat1,
  [276067] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10047), 1,
      anon_sym_LBRACE,
    ACTIONS(12329), 1,
      anon_sym_LPAREN2,
    STATE(4956), 1,
      sym_requirement_seq,
    STATE(9340), 1,
      sym_requires_parameter_list,
  [276083] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8733), 1,
      anon_sym_COMMA,
    ACTIONS(12235), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(12456), 1,
      anon_sym_GT2,
    STATE(8730), 1,
      aux_sym_template_argument_list_repeat1,
  [276099] = 5,
    ACTIONS(10298), 1,
      sym_comment,
    ACTIONS(12458), 1,
      anon_sym_DQUOTE,
    ACTIONS(12460), 1,
      aux_sym_string_literal_token1,
    ACTIONS(12462), 1,
      sym_escape_sequence,
    STATE(8254), 1,
      aux_sym_string_literal_repeat1,
  [276115] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10031), 1,
      anon_sym_LBRACE,
    ACTIONS(12329), 1,
      anon_sym_LPAREN2,
    STATE(3667), 1,
      sym_requirement_seq,
    STATE(9245), 1,
      sym_requires_parameter_list,
  [276131] = 5,
    ACTIONS(10298), 1,
      sym_comment,
    ACTIONS(12255), 1,
      aux_sym_string_literal_token1,
    ACTIONS(12257), 1,
      sym_escape_sequence,
    ACTIONS(12464), 1,
      anon_sym_DQUOTE,
    STATE(8459), 1,
      aux_sym_string_literal_repeat1,
  [276147] = 4,
    ACTIONS(10298), 1,
      sym_comment,
    ACTIONS(12466), 1,
      anon_sym_SQUOTE,
    STATE(8463), 1,
      aux_sym_char_literal_repeat1,
    ACTIONS(12337), 2,
      aux_sym_char_literal_token1,
      sym_escape_sequence,
  [276161] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2230), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5900), 1,
      anon_sym_LT,
    ACTIONS(12468), 1,
      anon_sym_SEMI,
    STATE(3203), 1,
      sym_template_argument_list,
  [276177] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6417), 1,
      anon_sym_COLON,
    ACTIONS(7292), 1,
      anon_sym_LBRACE,
    STATE(4305), 1,
      sym_field_declaration_list,
    STATE(9158), 1,
      sym_base_class_clause,
  [276193] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5929), 1,
      anon_sym_LBRACE,
    ACTIONS(6417), 1,
      anon_sym_COLON,
    STATE(972), 1,
      sym_field_declaration_list,
    STATE(9315), 1,
      sym_base_class_clause,
  [276209] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(11865), 1,
      anon_sym_EQ,
    STATE(8285), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [276223] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4180), 1,
      anon_sym_LBRACE,
    ACTIONS(7300), 1,
      anon_sym_LPAREN2,
    STATE(4707), 1,
      sym_argument_list,
    STATE(4962), 1,
      sym_initializer_list,
  [276239] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8733), 1,
      anon_sym_COMMA,
    ACTIONS(12235), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(12470), 1,
      anon_sym_GT2,
    STATE(8771), 1,
      aux_sym_template_argument_list_repeat1,
  [276255] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(12472), 1,
      anon_sym_EQ,
    STATE(7577), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [276269] = 5,
    ACTIONS(10298), 1,
      sym_comment,
    ACTIONS(12299), 1,
      anon_sym_LPAREN,
    ACTIONS(12474), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(12476), 1,
      sym_preproc_arg,
    STATE(9171), 1,
      sym_preproc_params,
  [276285] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8209), 1,
      anon_sym___attribute__,
    ACTIONS(12478), 1,
      anon_sym_SEMI,
    STATE(6021), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [276299] = 5,
    ACTIONS(10298), 1,
      sym_comment,
    ACTIONS(12255), 1,
      aux_sym_string_literal_token1,
    ACTIONS(12257), 1,
      sym_escape_sequence,
    ACTIONS(12480), 1,
      anon_sym_DQUOTE,
    STATE(8459), 1,
      aux_sym_string_literal_repeat1,
  [276315] = 4,
    ACTIONS(10298), 1,
      sym_comment,
    ACTIONS(12482), 1,
      anon_sym_SQUOTE,
    STATE(8463), 1,
      aux_sym_char_literal_repeat1,
    ACTIONS(12337), 2,
      aux_sym_char_literal_token1,
      sym_escape_sequence,
  [276329] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10826), 1,
      anon_sym_LBRACE,
    STATE(4910), 1,
      sym_compound_statement,
    ACTIONS(10997), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
  [276343] = 5,
    ACTIONS(10298), 1,
      sym_comment,
    ACTIONS(12484), 1,
      anon_sym_DQUOTE,
    ACTIONS(12486), 1,
      aux_sym_string_literal_token1,
    ACTIONS(12488), 1,
      sym_escape_sequence,
    STATE(8269), 1,
      aux_sym_string_literal_repeat1,
  [276359] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4893), 1,
      anon_sym_LBRACE,
    ACTIONS(12420), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12490), 1,
      anon_sym_EQ,
    STATE(1277), 1,
      sym_declaration_list,
  [276375] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(12492), 1,
      anon_sym_EQ,
    STATE(7577), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [276389] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(11813), 1,
      anon_sym_EQ,
    STATE(8277), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [276403] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(12494), 1,
      anon_sym_EQ,
    STATE(7577), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [276417] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10828), 1,
      anon_sym_LBRACE,
    STATE(7050), 1,
      sym_compound_statement,
    ACTIONS(10997), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
  [276431] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2281), 1,
      anon_sym_LBRACE,
    ACTIONS(6417), 1,
      anon_sym_COLON,
    STATE(972), 1,
      sym_field_declaration_list,
    STATE(9000), 1,
      sym_base_class_clause,
  [276447] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2240), 1,
      anon_sym_LBRACE,
    ACTIONS(6417), 1,
      anon_sym_COLON,
    STATE(575), 1,
      sym_field_declaration_list,
    STATE(9218), 1,
      sym_base_class_clause,
  [276463] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12496), 1,
      anon_sym_COMMA,
    STATE(8291), 1,
      aux_sym__type_definition_declarators_repeat1,
    ACTIONS(12499), 2,
      anon_sym_SEMI,
      anon_sym___attribute__,
  [276477] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8209), 1,
      anon_sym___attribute__,
    ACTIONS(12501), 1,
      anon_sym_SEMI,
    STATE(6021), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [276491] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8209), 1,
      anon_sym___attribute__,
    ACTIONS(12503), 1,
      anon_sym_SEMI,
    STATE(8324), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [276505] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8209), 1,
      anon_sym___attribute__,
    ACTIONS(12505), 1,
      anon_sym_SEMI,
    STATE(6021), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [276519] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8209), 1,
      anon_sym___attribute__,
    ACTIONS(12507), 1,
      anon_sym_SEMI,
    STATE(8473), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [276533] = 5,
    ACTIONS(10298), 1,
      sym_comment,
    ACTIONS(12509), 1,
      anon_sym_DQUOTE,
    ACTIONS(12511), 1,
      aux_sym_string_literal_token1,
    ACTIONS(12513), 1,
      sym_escape_sequence,
    STATE(8280), 1,
      aux_sym_string_literal_repeat1,
  [276549] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10851), 1,
      anon_sym_LBRACE,
    STATE(4616), 1,
      sym_compound_statement,
    ACTIONS(10997), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
  [276563] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8209), 1,
      anon_sym___attribute__,
    ACTIONS(12515), 1,
      anon_sym_SEMI,
    STATE(6021), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [276577] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10826), 1,
      anon_sym_LBRACE,
    STATE(4897), 1,
      sym_compound_statement,
    ACTIONS(10997), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
  [276591] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(11819), 1,
      anon_sym_EQ,
    STATE(8287), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [276605] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(12517), 1,
      anon_sym_EQ,
    STATE(7577), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [276619] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10866), 1,
      anon_sym_LBRACE,
    STATE(4655), 1,
      sym_compound_statement,
    ACTIONS(10997), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
  [276633] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10797), 1,
      anon_sym_LBRACE,
    STATE(4257), 1,
      sym_compound_statement,
    ACTIONS(10997), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
  [276647] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10007), 1,
      anon_sym_LBRACE,
    ACTIONS(12329), 1,
      anon_sym_LPAREN2,
    STATE(4573), 1,
      sym_requirement_seq,
    STATE(9196), 1,
      sym_requires_parameter_list,
  [276663] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10797), 1,
      anon_sym_LBRACE,
    STATE(4260), 1,
      sym_compound_statement,
    ACTIONS(10997), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
  [276677] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8733), 1,
      anon_sym_COMMA,
    ACTIONS(12235), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(12519), 1,
      anon_sym_GT2,
    STATE(8743), 1,
      aux_sym_template_argument_list_repeat1,
  [276693] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12521), 1,
      anon_sym___except,
    ACTIONS(12523), 1,
      anon_sym___finally,
    STATE(335), 2,
      sym_seh_except_clause,
      sym_seh_finally_clause,
  [276707] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6417), 1,
      anon_sym_COLON,
    ACTIONS(6760), 1,
      anon_sym_LBRACE,
    STATE(3776), 1,
      sym_field_declaration_list,
    STATE(9147), 1,
      sym_base_class_clause,
  [276723] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2240), 1,
      anon_sym_LBRACE,
    ACTIONS(6417), 1,
      anon_sym_COLON,
    STATE(534), 1,
      sym_field_declaration_list,
    STATE(9231), 1,
      sym_base_class_clause,
  [276739] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2240), 1,
      anon_sym_LBRACE,
    ACTIONS(6417), 1,
      anon_sym_COLON,
    STATE(535), 1,
      sym_field_declaration_list,
    STATE(9233), 1,
      sym_base_class_clause,
  [276755] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2279), 1,
      anon_sym_LBRACE,
    ACTIONS(6417), 1,
      anon_sym_COLON,
    STATE(798), 1,
      sym_field_declaration_list,
    STATE(9133), 1,
      sym_base_class_clause,
  [276771] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10797), 1,
      anon_sym_LBRACE,
    STATE(4274), 1,
      sym_compound_statement,
    ACTIONS(10997), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
  [276785] = 5,
    ACTIONS(10298), 1,
      sym_comment,
    ACTIONS(12525), 1,
      anon_sym_DQUOTE,
    ACTIONS(12527), 1,
      aux_sym_string_literal_token1,
    ACTIONS(12529), 1,
      sym_escape_sequence,
    STATE(8226), 1,
      aux_sym_string_literal_repeat1,
  [276801] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8209), 1,
      anon_sym___attribute__,
    ACTIONS(12531), 1,
      anon_sym_SEMI,
    STATE(6021), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [276815] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8209), 1,
      anon_sym___attribute__,
    ACTIONS(12533), 1,
      anon_sym_SEMI,
    STATE(8292), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [276829] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(11776), 1,
      anon_sym_EQ,
    STATE(8344), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [276843] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4585), 1,
      anon_sym_LT,
    ACTIONS(12377), 1,
      sym_identifier,
    STATE(1413), 1,
      sym_template_parameter_list,
    STATE(3004), 1,
      sym_template_type,
  [276859] = 5,
    ACTIONS(10298), 1,
      sym_comment,
    ACTIONS(12255), 1,
      aux_sym_string_literal_token1,
    ACTIONS(12257), 1,
      sym_escape_sequence,
    ACTIONS(12535), 1,
      anon_sym_DQUOTE,
    STATE(8459), 1,
      aux_sym_string_literal_repeat1,
  [276875] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2230), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5900), 1,
      anon_sym_LT,
    ACTIONS(12537), 1,
      anon_sym_SEMI,
    STATE(3203), 1,
      sym_template_argument_list,
  [276891] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10828), 1,
      anon_sym_LBRACE,
    STATE(7047), 1,
      sym_compound_statement,
    ACTIONS(10997), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
  [276905] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(12539), 1,
      anon_sym_EQ,
    STATE(7577), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [276919] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8733), 1,
      anon_sym_COMMA,
    ACTIONS(12235), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(12541), 1,
      anon_sym_GT2,
    STATE(8633), 1,
      aux_sym_template_argument_list_repeat1,
  [276935] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6417), 1,
      anon_sym_COLON,
    ACTIONS(7247), 1,
      anon_sym_LBRACE,
    STATE(3788), 1,
      sym_field_declaration_list,
    STATE(9271), 1,
      sym_base_class_clause,
  [276951] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8209), 1,
      anon_sym___attribute__,
    ACTIONS(12543), 1,
      anon_sym_SEMI,
    STATE(6021), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [276965] = 4,
    ACTIONS(10298), 1,
      sym_comment,
    ACTIONS(12545), 1,
      anon_sym_SQUOTE,
    STATE(8463), 1,
      aux_sym_char_literal_repeat1,
    ACTIONS(12337), 2,
      aux_sym_char_literal_token1,
      sym_escape_sequence,
  [276979] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2240), 1,
      anon_sym_LBRACE,
    ACTIONS(6417), 1,
      anon_sym_COLON,
    STATE(567), 1,
      sym_field_declaration_list,
    STATE(9280), 1,
      sym_base_class_clause,
  [276995] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12547), 1,
      anon_sym___except,
    ACTIONS(12549), 1,
      anon_sym___finally,
    STATE(745), 2,
      sym_seh_except_clause,
      sym_seh_finally_clause,
  [277009] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6417), 1,
      anon_sym_COLON,
    ACTIONS(6760), 1,
      anon_sym_LBRACE,
    STATE(3750), 1,
      sym_field_declaration_list,
    STATE(9152), 1,
      sym_base_class_clause,
  [277025] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8209), 1,
      anon_sym___attribute__,
    ACTIONS(12551), 1,
      anon_sym_SEMI,
    STATE(8314), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [277039] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10826), 1,
      anon_sym_LBRACE,
    STATE(4926), 1,
      sym_compound_statement,
    ACTIONS(10997), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
  [277053] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12329), 1,
      anon_sym_LPAREN2,
    ACTIONS(12553), 1,
      anon_sym_LBRACE,
    STATE(2653), 1,
      sym_requirement_seq,
    STATE(9019), 1,
      sym_requires_parameter_list,
  [277069] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6417), 1,
      anon_sym_COLON,
    ACTIONS(6974), 1,
      anon_sym_LBRACE,
    STATE(3929), 1,
      sym_field_declaration_list,
    STATE(9117), 1,
      sym_base_class_clause,
  [277085] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4889), 1,
      anon_sym_LBRACE,
    ACTIONS(12420), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12555), 1,
      anon_sym_EQ,
    STATE(1134), 1,
      sym_declaration_list,
  [277101] = 5,
    ACTIONS(10298), 1,
      sym_comment,
    ACTIONS(12255), 1,
      aux_sym_string_literal_token1,
    ACTIONS(12257), 1,
      sym_escape_sequence,
    ACTIONS(12557), 1,
      anon_sym_DQUOTE,
    STATE(8459), 1,
      aux_sym_string_literal_repeat1,
  [277117] = 4,
    ACTIONS(10298), 1,
      sym_comment,
    ACTIONS(12559), 1,
      anon_sym_SQUOTE,
    STATE(8463), 1,
      aux_sym_char_literal_repeat1,
    ACTIONS(12337), 2,
      aux_sym_char_literal_token1,
      sym_escape_sequence,
  [277131] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(53), 1,
      anon_sym_LBRACE,
    ACTIONS(11192), 1,
      anon_sym_COLON,
    STATE(8721), 1,
      sym_compound_statement,
    STATE(9392), 1,
      sym_field_initializer_list,
  [277147] = 5,
    ACTIONS(10298), 1,
      sym_comment,
    ACTIONS(12561), 1,
      anon_sym_DQUOTE,
    ACTIONS(12563), 1,
      aux_sym_string_literal_token1,
    ACTIONS(12565), 1,
      sym_escape_sequence,
    STATE(8318), 1,
      aux_sym_string_literal_repeat1,
  [277163] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(53), 1,
      anon_sym_LBRACE,
    ACTIONS(11192), 1,
      anon_sym_COLON,
    STATE(8764), 1,
      sym_compound_statement,
    STATE(9132), 1,
      sym_field_initializer_list,
  [277179] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6417), 1,
      anon_sym_COLON,
    ACTIONS(7247), 1,
      anon_sym_LBRACE,
    STATE(3816), 1,
      sym_field_declaration_list,
    STATE(9305), 1,
      sym_base_class_clause,
  [277195] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2196), 1,
      anon_sym_LBRACE,
    ACTIONS(6417), 1,
      anon_sym_COLON,
    STATE(279), 1,
      sym_field_declaration_list,
    STATE(9420), 1,
      sym_base_class_clause,
  [277211] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4134), 1,
      anon_sym_LBRACE,
    ACTIONS(7312), 1,
      anon_sym_LPAREN2,
    STATE(4777), 1,
      sym_argument_list,
    STATE(4782), 1,
      sym_initializer_list,
  [277227] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12567), 1,
      sym_identifier,
    ACTIONS(12569), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_GT2,
  [277239] = 5,
    ACTIONS(10298), 1,
      sym_comment,
    ACTIONS(12299), 1,
      anon_sym_LPAREN,
    ACTIONS(12571), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(12573), 1,
      sym_preproc_arg,
    STATE(9322), 1,
      sym_preproc_params,
  [277255] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(12575), 1,
      anon_sym_EQ,
    STATE(7577), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [277269] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8733), 1,
      anon_sym_COMMA,
    ACTIONS(12235), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(12577), 1,
      anon_sym_GT2,
    STATE(8792), 1,
      aux_sym_template_argument_list_repeat1,
  [277285] = 5,
    ACTIONS(10298), 1,
      sym_comment,
    ACTIONS(12579), 1,
      anon_sym_DQUOTE,
    ACTIONS(12581), 1,
      aux_sym_string_literal_token1,
    ACTIONS(12583), 1,
      sym_escape_sequence,
    STATE(8334), 1,
      aux_sym_string_literal_repeat1,
  [277301] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10094), 1,
      anon_sym_LPAREN2,
    ACTIONS(11360), 1,
      anon_sym_LBRACK,
    STATE(4924), 1,
      sym_parameter_list,
    STATE(7453), 1,
      sym__function_declarator_seq,
  [277317] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2230), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5900), 1,
      anon_sym_LT,
    ACTIONS(12585), 1,
      anon_sym_SEMI,
    STATE(3203), 1,
      sym_template_argument_list,
  [277333] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10866), 1,
      anon_sym_LBRACE,
    STATE(4631), 1,
      sym_compound_statement,
    ACTIONS(10997), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
  [277347] = 5,
    ACTIONS(10298), 1,
      sym_comment,
    ACTIONS(12587), 1,
      anon_sym_DQUOTE,
    ACTIONS(12589), 1,
      aux_sym_string_literal_token1,
    ACTIONS(12591), 1,
      sym_escape_sequence,
    STATE(8403), 1,
      aux_sym_string_literal_repeat1,
  [277363] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(12593), 1,
      anon_sym_EQ,
    STATE(8321), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [277377] = 5,
    ACTIONS(10298), 1,
      sym_comment,
    ACTIONS(12299), 1,
      anon_sym_LPAREN,
    ACTIONS(12595), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(12597), 1,
      sym_preproc_arg,
    STATE(9100), 1,
      sym_preproc_params,
  [277393] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(53), 1,
      anon_sym_LBRACE,
    ACTIONS(11192), 1,
      anon_sym_COLON,
    STATE(8680), 1,
      sym_compound_statement,
    STATE(9400), 1,
      sym_field_initializer_list,
  [277409] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(11861), 1,
      anon_sym_EQ,
    STATE(8466), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [277423] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(11799), 1,
      anon_sym_EQ,
    STATE(8365), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [277437] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4585), 1,
      anon_sym_LT,
    ACTIONS(12377), 1,
      sym_identifier,
    STATE(1407), 1,
      sym_template_parameter_list,
    STATE(3004), 1,
      sym_template_type,
  [277453] = 3,
    ACTIONS(3), 1,
      sym_comment,
    STATE(7790), 1,
      sym_access_specifier,
    ACTIONS(12277), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
  [277465] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12265), 1,
      anon_sym_COMMA,
    ACTIONS(12599), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(12601), 1,
      anon_sym_LBRACE,
    STATE(8811), 1,
      aux_sym_base_class_clause_repeat1,
  [277481] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(53), 1,
      anon_sym_LBRACE,
    ACTIONS(11192), 1,
      anon_sym_COLON,
    STATE(8615), 1,
      sym_compound_statement,
    STATE(9299), 1,
      sym_field_initializer_list,
  [277497] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8209), 1,
      anon_sym___attribute__,
    ACTIONS(12603), 1,
      anon_sym_SEMI,
    STATE(6021), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [277511] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3926), 1,
      anon_sym_LBRACE,
    ACTIONS(6440), 1,
      anon_sym_LPAREN2,
    STATE(3568), 1,
      sym_argument_list,
    STATE(3586), 1,
      sym_initializer_list,
  [277527] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2281), 1,
      anon_sym_LBRACE,
    ACTIONS(6417), 1,
      anon_sym_COLON,
    STATE(810), 1,
      sym_field_declaration_list,
    STATE(9217), 1,
      sym_base_class_clause,
  [277543] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2281), 1,
      anon_sym_LBRACE,
    ACTIONS(6417), 1,
      anon_sym_COLON,
    STATE(812), 1,
      sym_field_declaration_list,
    STATE(9225), 1,
      sym_base_class_clause,
  [277559] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8298), 1,
      anon_sym_LPAREN2,
    STATE(9235), 1,
      sym_argument_list,
    ACTIONS(12605), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK_RBRACK,
  [277573] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(12607), 1,
      anon_sym_EQ,
    STATE(7577), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [277587] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11587), 1,
      anon_sym_COMMA,
    STATE(8291), 1,
      aux_sym__type_definition_declarators_repeat1,
    ACTIONS(12609), 2,
      anon_sym_SEMI,
      anon_sym___attribute__,
  [277601] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8209), 1,
      anon_sym___attribute__,
    ACTIONS(12611), 1,
      anon_sym_SEMI,
    STATE(6021), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [277615] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(53), 1,
      anon_sym_LBRACE,
    STATE(2664), 1,
      sym_compound_statement,
    ACTIONS(10997), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
  [277629] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10866), 1,
      anon_sym_LBRACE,
    STATE(4593), 1,
      sym_compound_statement,
    ACTIONS(10997), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
  [277643] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8209), 1,
      anon_sym___attribute__,
    ACTIONS(12613), 1,
      anon_sym_SEMI,
    STATE(6021), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [277657] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8209), 1,
      anon_sym___attribute__,
    ACTIONS(12615), 1,
      anon_sym_SEMI,
    STATE(8367), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [277671] = 5,
    ACTIONS(10298), 1,
      sym_comment,
    ACTIONS(12617), 1,
      anon_sym_DQUOTE,
    ACTIONS(12619), 1,
      aux_sym_string_literal_token1,
    ACTIONS(12621), 1,
      sym_escape_sequence,
    STATE(8400), 1,
      aux_sym_string_literal_repeat1,
  [277687] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8209), 1,
      anon_sym___attribute__,
    ACTIONS(12623), 1,
      anon_sym_SEMI,
    STATE(6021), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [277701] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12625), 4,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_try,
  [277711] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(53), 1,
      anon_sym_LBRACE,
    STATE(2669), 1,
      sym_compound_statement,
    ACTIONS(10997), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
  [277725] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4585), 1,
      anon_sym_LT,
    ACTIONS(12377), 1,
      sym_identifier,
    STATE(1406), 1,
      sym_template_parameter_list,
    STATE(3004), 1,
      sym_template_type,
  [277741] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8209), 1,
      anon_sym___attribute__,
    ACTIONS(12627), 1,
      anon_sym_SEMI,
    STATE(8298), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [277755] = 5,
    ACTIONS(10298), 1,
      sym_comment,
    ACTIONS(12299), 1,
      anon_sym_LPAREN,
    ACTIONS(12629), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(12631), 1,
      sym_preproc_arg,
    STATE(9300), 1,
      sym_preproc_params,
  [277771] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2196), 1,
      anon_sym_LBRACE,
    ACTIONS(6417), 1,
      anon_sym_COLON,
    STATE(322), 1,
      sym_field_declaration_list,
    STATE(9394), 1,
      sym_base_class_clause,
  [277787] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2196), 1,
      anon_sym_LBRACE,
    ACTIONS(6417), 1,
      anon_sym_COLON,
    STATE(316), 1,
      sym_field_declaration_list,
    STATE(9387), 1,
      sym_base_class_clause,
  [277803] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12633), 1,
      anon_sym_COMMA,
    STATE(8381), 1,
      aux_sym_gnu_asm_clobber_list_repeat1,
    ACTIONS(12636), 2,
      anon_sym_RPAREN,
      anon_sym_COLON,
  [277817] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8733), 1,
      anon_sym_COMMA,
    ACTIONS(12235), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(12638), 1,
      anon_sym_GT2,
    STATE(8678), 1,
      aux_sym_template_argument_list_repeat1,
  [277833] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6417), 1,
      anon_sym_COLON,
    ACTIONS(8153), 1,
      anon_sym_LBRACE,
    STATE(5228), 1,
      sym_field_declaration_list,
    STATE(9209), 1,
      sym_base_class_clause,
  [277849] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8209), 1,
      anon_sym___attribute__,
    ACTIONS(12640), 1,
      anon_sym_SEMI,
    STATE(6021), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [277863] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8209), 1,
      anon_sym___attribute__,
    ACTIONS(12642), 1,
      anon_sym_SEMI,
    STATE(8370), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [277877] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8209), 1,
      anon_sym___attribute__,
    ACTIONS(12644), 1,
      anon_sym_SEMI,
    STATE(8360), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [277891] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(53), 1,
      anon_sym_LBRACE,
    ACTIONS(11192), 1,
      anon_sym_COLON,
    STATE(8757), 1,
      sym_compound_statement,
    STATE(9250), 1,
      sym_field_initializer_list,
  [277907] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(53), 1,
      anon_sym_LBRACE,
    STATE(2656), 1,
      sym_compound_statement,
    ACTIONS(10997), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
  [277921] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4585), 1,
      anon_sym_LT,
    ACTIONS(12377), 1,
      sym_identifier,
    STATE(1405), 1,
      sym_template_parameter_list,
    STATE(3004), 1,
      sym_template_type,
  [277937] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10830), 1,
      anon_sym_LBRACE,
    STATE(5425), 1,
      sym_compound_statement,
    ACTIONS(10997), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
  [277951] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9999), 1,
      anon_sym_LBRACE,
    ACTIONS(12329), 1,
      anon_sym_LPAREN2,
    STATE(4294), 1,
      sym_requirement_seq,
    STATE(9255), 1,
      sym_requires_parameter_list,
  [277967] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6417), 1,
      anon_sym_COLON,
    ACTIONS(6857), 1,
      anon_sym_LBRACE,
    STATE(3708), 1,
      sym_field_declaration_list,
    STATE(8982), 1,
      sym_base_class_clause,
  [277983] = 5,
    ACTIONS(10298), 1,
      sym_comment,
    ACTIONS(12255), 1,
      aux_sym_string_literal_token1,
    ACTIONS(12257), 1,
      sym_escape_sequence,
    ACTIONS(12646), 1,
      anon_sym_DQUOTE,
    STATE(8459), 1,
      aux_sym_string_literal_repeat1,
  [277999] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(53), 1,
      anon_sym_LBRACE,
    ACTIONS(11192), 1,
      anon_sym_COLON,
    STATE(8962), 1,
      sym_compound_statement,
    STATE(9187), 1,
      sym_field_initializer_list,
  [278015] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4585), 1,
      anon_sym_LT,
    ACTIONS(12377), 1,
      sym_identifier,
    STATE(1410), 1,
      sym_template_parameter_list,
    STATE(3004), 1,
      sym_template_type,
  [278031] = 4,
    ACTIONS(10298), 1,
      sym_comment,
    ACTIONS(12648), 1,
      anon_sym_SQUOTE,
    STATE(8463), 1,
      aux_sym_char_literal_repeat1,
    ACTIONS(12337), 2,
      aux_sym_char_literal_token1,
      sym_escape_sequence,
  [278045] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6417), 1,
      anon_sym_COLON,
    ACTIONS(9569), 1,
      anon_sym_LBRACE,
    STATE(6225), 1,
      sym_field_declaration_list,
    STATE(9326), 1,
      sym_base_class_clause,
  [278061] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6417), 1,
      anon_sym_COLON,
    ACTIONS(8153), 1,
      anon_sym_LBRACE,
    STATE(5177), 1,
      sym_field_declaration_list,
    STATE(9224), 1,
      sym_base_class_clause,
  [278077] = 4,
    ACTIONS(10298), 1,
      sym_comment,
    ACTIONS(12650), 1,
      anon_sym_SQUOTE,
    STATE(8463), 1,
      aux_sym_char_literal_repeat1,
    ACTIONS(12337), 2,
      aux_sym_char_literal_token1,
      sym_escape_sequence,
  [278091] = 5,
    ACTIONS(10298), 1,
      sym_comment,
    ACTIONS(12255), 1,
      aux_sym_string_literal_token1,
    ACTIONS(12257), 1,
      sym_escape_sequence,
    ACTIONS(12652), 1,
      anon_sym_DQUOTE,
    STATE(8459), 1,
      aux_sym_string_literal_repeat1,
  [278107] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2230), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5900), 1,
      anon_sym_LT,
    ACTIONS(12654), 1,
      anon_sym_SEMI,
    STATE(3203), 1,
      sym_template_argument_list,
  [278123] = 4,
    ACTIONS(10298), 1,
      sym_comment,
    ACTIONS(12656), 1,
      anon_sym_SQUOTE,
    STATE(8463), 1,
      aux_sym_char_literal_repeat1,
    ACTIONS(12337), 2,
      aux_sym_char_literal_token1,
      sym_escape_sequence,
  [278137] = 5,
    ACTIONS(10298), 1,
      sym_comment,
    ACTIONS(12255), 1,
      aux_sym_string_literal_token1,
    ACTIONS(12257), 1,
      sym_escape_sequence,
    ACTIONS(12658), 1,
      anon_sym_DQUOTE,
    STATE(8459), 1,
      aux_sym_string_literal_repeat1,
  [278153] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8733), 1,
      anon_sym_COMMA,
    ACTIONS(12235), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(12660), 1,
      anon_sym_GT2,
    STATE(8576), 1,
      aux_sym_template_argument_list_repeat1,
  [278169] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6417), 1,
      anon_sym_COLON,
    ACTIONS(6421), 1,
      anon_sym_LBRACE,
    STATE(3347), 1,
      sym_field_declaration_list,
    STATE(9311), 1,
      sym_base_class_clause,
  [278185] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12625), 4,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_try,
  [278195] = 5,
    ACTIONS(10298), 1,
      sym_comment,
    ACTIONS(12662), 1,
      anon_sym_DQUOTE,
    ACTIONS(12664), 1,
      aux_sym_string_literal_token1,
    ACTIONS(12666), 1,
      sym_escape_sequence,
    STATE(8428), 1,
      aux_sym_string_literal_repeat1,
  [278211] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2230), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5900), 1,
      anon_sym_LT,
    ACTIONS(12668), 1,
      anon_sym_SEMI,
    STATE(3203), 1,
      sym_template_argument_list,
  [278227] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12329), 1,
      anon_sym_LPAREN2,
    ACTIONS(12670), 1,
      anon_sym_LBRACE,
    STATE(7139), 1,
      sym_requirement_seq,
    STATE(9268), 1,
      sym_requires_parameter_list,
  [278243] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2196), 1,
      anon_sym_LBRACE,
    ACTIONS(6417), 1,
      anon_sym_COLON,
    STATE(223), 1,
      sym_field_declaration_list,
    STATE(9273), 1,
      sym_base_class_clause,
  [278259] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12672), 1,
      anon_sym___except,
    ACTIONS(12674), 1,
      anon_sym___finally,
    STATE(568), 2,
      sym_seh_except_clause,
      sym_seh_finally_clause,
  [278273] = 5,
    ACTIONS(10298), 1,
      sym_comment,
    ACTIONS(12676), 1,
      anon_sym_DQUOTE,
    ACTIONS(12678), 1,
      aux_sym_string_literal_token1,
    ACTIONS(12680), 1,
      sym_escape_sequence,
    STATE(8393), 1,
      aux_sym_string_literal_repeat1,
  [278289] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(53), 1,
      anon_sym_LBRACE,
    ACTIONS(11192), 1,
      anon_sym_COLON,
    STATE(8761), 1,
      sym_compound_statement,
    STATE(9124), 1,
      sym_field_initializer_list,
  [278305] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10039), 1,
      anon_sym_LBRACE,
    ACTIONS(12329), 1,
      anon_sym_LPAREN2,
    STATE(4710), 1,
      sym_requirement_seq,
    STATE(9141), 1,
      sym_requires_parameter_list,
  [278321] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10799), 1,
      anon_sym_LBRACE,
    STATE(7131), 1,
      sym_compound_statement,
    ACTIONS(10997), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
  [278335] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8209), 1,
      anon_sym___attribute__,
    ACTIONS(12682), 1,
      anon_sym_SEMI,
    STATE(8384), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [278349] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4585), 1,
      anon_sym_LT,
    ACTIONS(12377), 1,
      sym_identifier,
    STATE(1409), 1,
      sym_template_parameter_list,
    STATE(3004), 1,
      sym_template_type,
  [278365] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4413), 1,
      anon_sym_LBRACE,
    ACTIONS(8298), 1,
      anon_sym_LPAREN2,
    STATE(8617), 2,
      sym_argument_list,
      sym_initializer_list,
  [278379] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10851), 1,
      anon_sym_LBRACE,
    STATE(4591), 1,
      sym_compound_statement,
    ACTIONS(10997), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
  [278393] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10830), 1,
      anon_sym_LBRACE,
    STATE(5402), 1,
      sym_compound_statement,
    ACTIONS(10997), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
  [278407] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10015), 1,
      anon_sym_LBRACE,
    ACTIONS(12329), 1,
      anon_sym_LPAREN2,
    STATE(5393), 1,
      sym_requirement_seq,
    STATE(9101), 1,
      sym_requires_parameter_list,
  [278423] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8209), 1,
      anon_sym___attribute__,
    ACTIONS(12684), 1,
      anon_sym_SEMI,
    STATE(8468), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [278437] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(53), 1,
      anon_sym_LBRACE,
    ACTIONS(11192), 1,
      anon_sym_COLON,
    STATE(8547), 1,
      sym_compound_statement,
    STATE(9064), 1,
      sym_field_initializer_list,
  [278453] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4897), 1,
      anon_sym_LBRACE,
    ACTIONS(12420), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12686), 1,
      anon_sym_EQ,
    STATE(642), 1,
      sym_declaration_list,
  [278469] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12688), 1,
      anon_sym_COMMA,
    STATE(8381), 1,
      aux_sym_gnu_asm_clobber_list_repeat1,
    ACTIONS(12690), 2,
      anon_sym_RPAREN,
      anon_sym_COLON,
  [278483] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2230), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4546), 1,
      anon_sym_SEMI,
    ACTIONS(5900), 1,
      anon_sym_LT,
    STATE(3204), 1,
      sym_template_argument_list,
  [278499] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8209), 1,
      anon_sym___attribute__,
    ACTIONS(12692), 1,
      anon_sym_SEMI,
    STATE(8487), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [278513] = 5,
    ACTIONS(10298), 1,
      sym_comment,
    ACTIONS(12255), 1,
      aux_sym_string_literal_token1,
    ACTIONS(12257), 1,
      sym_escape_sequence,
    ACTIONS(12694), 1,
      anon_sym_DQUOTE,
    STATE(8459), 1,
      aux_sym_string_literal_repeat1,
  [278529] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12696), 1,
      anon_sym_COMMA,
    STATE(8429), 1,
      aux_sym_gnu_asm_input_operand_list_repeat1,
    ACTIONS(12699), 2,
      anon_sym_RPAREN,
      anon_sym_COLON,
  [278543] = 4,
    ACTIONS(10298), 1,
      sym_comment,
    ACTIONS(12701), 1,
      anon_sym_SQUOTE,
    STATE(8463), 1,
      aux_sym_char_literal_repeat1,
    ACTIONS(12337), 2,
      aux_sym_char_literal_token1,
      sym_escape_sequence,
  [278557] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8209), 1,
      anon_sym___attribute__,
    ACTIONS(12703), 1,
      anon_sym_SEMI,
    STATE(6021), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [278571] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10832), 1,
      anon_sym_LBRACE,
    STATE(3620), 1,
      sym_compound_statement,
    ACTIONS(10997), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
  [278585] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10795), 1,
      anon_sym_LBRACE,
    STATE(5501), 1,
      sym_compound_statement,
    ACTIONS(10997), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
  [278599] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12705), 1,
      anon_sym___except,
    ACTIONS(12707), 1,
      anon_sym___finally,
    STATE(797), 2,
      sym_seh_except_clause,
      sym_seh_finally_clause,
  [278613] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6417), 1,
      anon_sym_COLON,
    ACTIONS(6421), 1,
      anon_sym_LBRACE,
    STATE(3359), 1,
      sym_field_declaration_list,
    STATE(9173), 1,
      sym_base_class_clause,
  [278629] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6417), 1,
      anon_sym_COLON,
    ACTIONS(9569), 1,
      anon_sym_LBRACE,
    STATE(6238), 1,
      sym_field_declaration_list,
    STATE(9397), 1,
      sym_base_class_clause,
  [278645] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8209), 1,
      anon_sym___attribute__,
    ACTIONS(12709), 1,
      anon_sym_SEMI,
    STATE(6021), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [278659] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8209), 1,
      anon_sym___attribute__,
    ACTIONS(12711), 1,
      anon_sym_SEMI,
    STATE(8431), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [278673] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5929), 1,
      anon_sym_LBRACE,
    ACTIONS(6417), 1,
      anon_sym_COLON,
    STATE(913), 1,
      sym_field_declaration_list,
    STATE(9079), 1,
      sym_base_class_clause,
  [278689] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10795), 1,
      anon_sym_LBRACE,
    STATE(5480), 1,
      sym_compound_statement,
    ACTIONS(10997), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
  [278703] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12713), 1,
      anon_sym_COMMA,
    STATE(8441), 1,
      aux_sym_gnu_asm_output_operand_list_repeat1,
    ACTIONS(12716), 2,
      anon_sym_RPAREN,
      anon_sym_COLON,
  [278717] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8733), 1,
      anon_sym_COMMA,
    ACTIONS(12235), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(12718), 1,
      anon_sym_GT2,
    STATE(8499), 1,
      aux_sym_template_argument_list_repeat1,
  [278733] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(12720), 1,
      anon_sym_EQ,
    STATE(7577), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [278747] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8733), 1,
      anon_sym_COMMA,
    ACTIONS(12235), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(12722), 1,
      anon_sym_GT2,
    STATE(8590), 1,
      aux_sym_template_argument_list_repeat1,
  [278763] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12432), 1,
      anon_sym_COMMA,
    STATE(8429), 1,
      aux_sym_gnu_asm_input_operand_list_repeat1,
    ACTIONS(12724), 2,
      anon_sym_RPAREN,
      anon_sym_COLON,
  [278777] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6417), 1,
      anon_sym_COLON,
    ACTIONS(7964), 1,
      anon_sym_LBRACE,
    STATE(5056), 1,
      sym_field_declaration_list,
    STATE(9321), 1,
      sym_base_class_clause,
  [278793] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2230), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5900), 1,
      anon_sym_LT,
    ACTIONS(12726), 1,
      anon_sym_SEMI,
    STATE(3203), 1,
      sym_template_argument_list,
  [278809] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12688), 1,
      anon_sym_COMMA,
    STATE(8425), 1,
      aux_sym_gnu_asm_clobber_list_repeat1,
    ACTIONS(12728), 2,
      anon_sym_RPAREN,
      anon_sym_COLON,
  [278823] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4895), 1,
      anon_sym_LBRACE,
    ACTIONS(12420), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12730), 1,
      anon_sym_EQ,
    STATE(1091), 1,
      sym_declaration_list,
  [278839] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8209), 1,
      anon_sym___attribute__,
    ACTIONS(12732), 1,
      anon_sym_SEMI,
    STATE(8437), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [278853] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4534), 1,
      anon_sym_LBRACE,
    ACTIONS(7312), 1,
      anon_sym_LPAREN2,
    STATE(4777), 1,
      sym_argument_list,
    STATE(6046), 1,
      sym_initializer_list,
  [278869] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4585), 1,
      anon_sym_LT,
    ACTIONS(12377), 1,
      sym_identifier,
    STATE(3004), 1,
      sym_template_type,
    STATE(8114), 1,
      sym_template_parameter_list,
  [278885] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10795), 1,
      anon_sym_LBRACE,
    STATE(5440), 1,
      sym_compound_statement,
    ACTIONS(10997), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
  [278899] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4585), 1,
      anon_sym_LT,
    ACTIONS(12377), 1,
      sym_identifier,
    STATE(1414), 1,
      sym_template_parameter_list,
    STATE(3004), 1,
      sym_template_type,
  [278915] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10023), 1,
      anon_sym_LBRACE,
    ACTIONS(12329), 1,
      anon_sym_LPAREN2,
    STATE(5559), 1,
      sym_requirement_seq,
    STATE(9375), 1,
      sym_requires_parameter_list,
  [278931] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8733), 1,
      anon_sym_COMMA,
    ACTIONS(12235), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(12734), 1,
      anon_sym_GT2,
    STATE(8528), 1,
      aux_sym_template_argument_list_repeat1,
  [278947] = 5,
    ACTIONS(10298), 1,
      sym_comment,
    ACTIONS(12299), 1,
      anon_sym_LPAREN,
    ACTIONS(12736), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(12738), 1,
      sym_preproc_arg,
    STATE(9120), 1,
      sym_preproc_params,
  [278963] = 5,
    ACTIONS(10298), 1,
      sym_comment,
    ACTIONS(12255), 1,
      aux_sym_string_literal_token1,
    ACTIONS(12257), 1,
      sym_escape_sequence,
    ACTIONS(12740), 1,
      anon_sym_DQUOTE,
    STATE(8459), 1,
      aux_sym_string_literal_repeat1,
  [278979] = 5,
    ACTIONS(10298), 1,
      sym_comment,
    ACTIONS(12742), 1,
      anon_sym_DQUOTE,
    ACTIONS(12744), 1,
      aux_sym_string_literal_token1,
    ACTIONS(12747), 1,
      sym_escape_sequence,
    STATE(8459), 1,
      aux_sym_string_literal_repeat1,
  [278995] = 4,
    ACTIONS(10298), 1,
      sym_comment,
    ACTIONS(12750), 1,
      anon_sym_SQUOTE,
    STATE(8463), 1,
      aux_sym_char_literal_repeat1,
    ACTIONS(12337), 2,
      aux_sym_char_literal_token1,
      sym_escape_sequence,
  [279009] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6417), 1,
      anon_sym_COLON,
    ACTIONS(7964), 1,
      anon_sym_LBRACE,
    STATE(5063), 1,
      sym_field_declaration_list,
    STATE(9335), 1,
      sym_base_class_clause,
  [279025] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10799), 1,
      anon_sym_LBRACE,
    STATE(7165), 1,
      sym_compound_statement,
    ACTIONS(10997), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
  [279039] = 4,
    ACTIONS(10298), 1,
      sym_comment,
    ACTIONS(12752), 1,
      anon_sym_SQUOTE,
    STATE(8463), 1,
      aux_sym_char_literal_repeat1,
    ACTIONS(12754), 2,
      aux_sym_char_literal_token1,
      sym_escape_sequence,
  [279053] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6417), 1,
      anon_sym_COLON,
    ACTIONS(6857), 1,
      anon_sym_LBRACE,
    STATE(3694), 1,
      sym_field_declaration_list,
    STATE(9126), 1,
      sym_base_class_clause,
  [279069] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5929), 1,
      anon_sym_LBRACE,
    ACTIONS(6417), 1,
      anon_sym_COLON,
    STATE(810), 1,
      sym_field_declaration_list,
    STATE(9262), 1,
      sym_base_class_clause,
  [279085] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(12757), 1,
      anon_sym_EQ,
    STATE(7577), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [279099] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8209), 1,
      anon_sym___attribute__,
    ACTIONS(12759), 1,
      anon_sym_SEMI,
    STATE(8493), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [279113] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8209), 1,
      anon_sym___attribute__,
    ACTIONS(12761), 1,
      anon_sym_SEMI,
    STATE(6021), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [279127] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8209), 1,
      anon_sym___attribute__,
    ACTIONS(12763), 1,
      anon_sym_SEMI,
    STATE(8279), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [279141] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8209), 1,
      anon_sym___attribute__,
    ACTIONS(12765), 1,
      anon_sym_SEMI,
    STATE(8490), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [279155] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8733), 1,
      anon_sym_COMMA,
    ACTIONS(12235), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(12767), 1,
      anon_sym_GT2,
    STATE(8729), 1,
      aux_sym_template_argument_list_repeat1,
  [279171] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5929), 1,
      anon_sym_LBRACE,
    ACTIONS(6417), 1,
      anon_sym_COLON,
    STATE(3117), 1,
      sym_field_declaration_list,
    STATE(9435), 1,
      sym_base_class_clause,
  [279187] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8209), 1,
      anon_sym___attribute__,
    ACTIONS(12769), 1,
      anon_sym_SEMI,
    STATE(6021), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [279201] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2279), 1,
      anon_sym_LBRACE,
    ACTIONS(6417), 1,
      anon_sym_COLON,
    STATE(988), 1,
      sym_field_declaration_list,
    STATE(9061), 1,
      sym_base_class_clause,
  [279217] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2279), 1,
      anon_sym_LBRACE,
    ACTIONS(6417), 1,
      anon_sym_COLON,
    STATE(982), 1,
      sym_field_declaration_list,
    STATE(9058), 1,
      sym_base_class_clause,
  [279233] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(12771), 1,
      anon_sym_EQ,
    STATE(8301), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [279247] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2230), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5900), 1,
      anon_sym_LT,
    ACTIONS(12773), 1,
      anon_sym_SEMI,
    STATE(3203), 1,
      sym_template_argument_list,
  [279263] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4585), 1,
      anon_sym_LT,
    ACTIONS(12377), 1,
      sym_identifier,
    STATE(1415), 1,
      sym_template_parameter_list,
    STATE(3004), 1,
      sym_template_type,
  [279279] = 3,
    ACTIONS(3), 1,
      sym_comment,
    STATE(7809), 1,
      sym_access_specifier,
    ACTIONS(12277), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
  [279291] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6417), 1,
      anon_sym_COLON,
    ACTIONS(6857), 1,
      anon_sym_LBRACE,
    STATE(6663), 1,
      sym_field_declaration_list,
    STATE(9116), 1,
      sym_base_class_clause,
  [279307] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10851), 1,
      anon_sym_LBRACE,
    STATE(4533), 1,
      sym_compound_statement,
    ACTIONS(10997), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
  [279321] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12265), 1,
      anon_sym_COMMA,
    ACTIONS(12775), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(12777), 1,
      anon_sym_LBRACE,
    STATE(8495), 1,
      aux_sym_base_class_clause_repeat1,
  [279337] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6417), 1,
      anon_sym_COLON,
    ACTIONS(6857), 1,
      anon_sym_LBRACE,
    STATE(6674), 1,
      sym_field_declaration_list,
    STATE(9112), 1,
      sym_base_class_clause,
  [279353] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2281), 1,
      anon_sym_LBRACE,
    ACTIONS(6417), 1,
      anon_sym_COLON,
    STATE(913), 1,
      sym_field_declaration_list,
    STATE(9360), 1,
      sym_base_class_clause,
  [279369] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2279), 1,
      anon_sym_LBRACE,
    ACTIONS(6417), 1,
      anon_sym_COLON,
    STATE(713), 1,
      sym_field_declaration_list,
    STATE(9050), 1,
      sym_base_class_clause,
  [279385] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12779), 1,
      anon_sym___except,
    ACTIONS(12781), 1,
      anon_sym___finally,
    STATE(912), 2,
      sym_seh_except_clause,
      sym_seh_finally_clause,
  [279399] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8209), 1,
      anon_sym___attribute__,
    ACTIONS(12783), 1,
      anon_sym_SEMI,
    STATE(6021), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [279413] = 5,
    ACTIONS(10298), 1,
      sym_comment,
    ACTIONS(12785), 1,
      anon_sym_DQUOTE,
    ACTIONS(12787), 1,
      aux_sym_string_literal_token1,
    ACTIONS(12789), 1,
      sym_escape_sequence,
    STATE(8458), 1,
      aux_sym_string_literal_repeat1,
  [279429] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10799), 1,
      anon_sym_LBRACE,
    STATE(7176), 1,
      sym_compound_statement,
    ACTIONS(10997), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
  [279443] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8209), 1,
      anon_sym___attribute__,
    ACTIONS(12791), 1,
      anon_sym_SEMI,
    STATE(6021), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [279457] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5929), 1,
      anon_sym_LBRACE,
    ACTIONS(6417), 1,
      anon_sym_COLON,
    STATE(812), 1,
      sym_field_declaration_list,
    STATE(9259), 1,
      sym_base_class_clause,
  [279473] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8209), 1,
      anon_sym___attribute__,
    ACTIONS(12793), 1,
      anon_sym_SEMI,
    STATE(8373), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [279487] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8209), 1,
      anon_sym___attribute__,
    ACTIONS(12795), 1,
      anon_sym_SEMI,
    STATE(6021), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [279501] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10832), 1,
      anon_sym_LBRACE,
    STATE(3571), 1,
      sym_compound_statement,
    ACTIONS(10997), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
  [279515] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12265), 1,
      anon_sym_COMMA,
    ACTIONS(12601), 1,
      anon_sym_LBRACE,
    STATE(8752), 1,
      aux_sym_base_class_clause_repeat1,
  [279528] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8719), 1,
      anon_sym_COMMA,
    ACTIONS(12797), 1,
      anon_sym_SEMI,
    STATE(8571), 1,
      aux_sym_declaration_repeat1,
  [279541] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12799), 1,
      anon_sym_RPAREN,
    ACTIONS(12801), 1,
      anon_sym_COLON,
    STATE(8512), 1,
      sym_gnu_asm_output_operand_list,
  [279554] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8733), 1,
      anon_sym_COMMA,
    ACTIONS(12803), 1,
      anon_sym_GT2,
    STATE(8809), 1,
      aux_sym_template_argument_list_repeat1,
  [279567] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8733), 1,
      anon_sym_COMMA,
    ACTIONS(12805), 1,
      anon_sym_GT2,
    STATE(8809), 1,
      aux_sym_template_argument_list_repeat1,
  [279580] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8733), 1,
      anon_sym_COMMA,
    ACTIONS(12807), 1,
      anon_sym_GT2,
    STATE(8809), 1,
      aux_sym_template_argument_list_repeat1,
  [279593] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2293), 1,
      anon_sym_while,
    ACTIONS(12809), 1,
      anon_sym_else,
    STATE(789), 1,
      sym_else_clause,
  [279606] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12811), 1,
      anon_sym_catch,
    STATE(2662), 2,
      sym_catch_clause,
      aux_sym_constructor_try_statement_repeat1,
  [279617] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12265), 1,
      anon_sym_COMMA,
    ACTIONS(12813), 1,
      anon_sym_LBRACE,
    STATE(8752), 1,
      aux_sym_base_class_clause_repeat1,
  [279630] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8815), 1,
      anon_sym_COMMA,
    ACTIONS(12815), 1,
      anon_sym_RPAREN,
    STATE(8650), 1,
      aux_sym_argument_list_repeat1,
  [279643] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12817), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(12819), 2,
      anon_sym_COMMA,
      anon_sym_LBRACE,
  [279654] = 4,
    ACTIONS(10298), 1,
      sym_comment,
    ACTIONS(12821), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(12823), 1,
      anon_sym_LPAREN2,
    STATE(10053), 1,
      sym_preproc_argument_list,
  [279667] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12825), 1,
      anon_sym_RPAREN,
    ACTIONS(12827), 1,
      anon_sym_COLON,
    STATE(9460), 1,
      sym_gnu_asm_goto_list,
  [279680] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12829), 1,
      anon_sym_RPAREN,
    ACTIONS(12831), 1,
      anon_sym_COLON,
    STATE(8517), 1,
      sym_gnu_asm_clobber_list,
  [279693] = 3,
    ACTIONS(10298), 1,
      sym_comment,
    STATE(8430), 1,
      aux_sym_char_literal_repeat1,
    ACTIONS(12833), 2,
      aux_sym_char_literal_token1,
      sym_escape_sequence,
  [279704] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12835), 1,
      anon_sym_LPAREN2,
    ACTIONS(12837), 1,
      anon_sym_constexpr,
    STATE(1343), 1,
      sym_condition_clause,
  [279717] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12831), 1,
      anon_sym_COLON,
    ACTIONS(12839), 1,
      anon_sym_RPAREN,
    STATE(8515), 1,
      sym_gnu_asm_clobber_list,
  [279730] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12841), 1,
      anon_sym_RPAREN,
    ACTIONS(12843), 1,
      anon_sym_COLON,
    STATE(8516), 1,
      sym_gnu_asm_input_operand_list,
  [279743] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12835), 1,
      anon_sym_LPAREN2,
    ACTIONS(12845), 1,
      anon_sym_constexpr,
    STATE(1346), 1,
      sym_condition_clause,
  [279756] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8719), 1,
      anon_sym_COMMA,
    ACTIONS(12847), 1,
      anon_sym_SEMI,
    STATE(8571), 1,
      aux_sym_declaration_repeat1,
  [279769] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12827), 1,
      anon_sym_COLON,
    ACTIONS(12849), 1,
      anon_sym_RPAREN,
    STATE(10410), 1,
      sym_gnu_asm_goto_list,
  [279782] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12831), 1,
      anon_sym_COLON,
    ACTIONS(12851), 1,
      anon_sym_RPAREN,
    STATE(8520), 1,
      sym_gnu_asm_clobber_list,
  [279795] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12827), 1,
      anon_sym_COLON,
    ACTIONS(12853), 1,
      anon_sym_RPAREN,
    STATE(9473), 1,
      sym_gnu_asm_goto_list,
  [279808] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8727), 1,
      anon_sym_COMMA,
    ACTIONS(12855), 1,
      anon_sym_RPAREN,
    STATE(8637), 1,
      aux_sym_generic_expression_repeat1,
  [279821] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12835), 1,
      anon_sym_LPAREN2,
    ACTIONS(12857), 1,
      anon_sym_constexpr,
    STATE(1323), 1,
      sym_condition_clause,
  [279834] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12827), 1,
      anon_sym_COLON,
    ACTIONS(12859), 1,
      anon_sym_RPAREN,
    STATE(10406), 1,
      sym_gnu_asm_goto_list,
  [279847] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12835), 1,
      anon_sym_LPAREN2,
    ACTIONS(12861), 1,
      anon_sym_constexpr,
    STATE(1318), 1,
      sym_condition_clause,
  [279860] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8719), 1,
      anon_sym_COMMA,
    ACTIONS(12863), 1,
      anon_sym_SEMI,
    STATE(8571), 1,
      aux_sym_declaration_repeat1,
  [279873] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12843), 1,
      anon_sym_COLON,
    ACTIONS(12865), 1,
      anon_sym_RPAREN,
    STATE(8508), 1,
      sym_gnu_asm_input_operand_list,
  [279886] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12831), 1,
      anon_sym_COLON,
    ACTIONS(12867), 1,
      anon_sym_RPAREN,
    STATE(8507), 1,
      sym_gnu_asm_clobber_list,
  [279899] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12801), 1,
      anon_sym_COLON,
    ACTIONS(12869), 1,
      anon_sym_RPAREN,
    STATE(8804), 1,
      sym_gnu_asm_output_operand_list,
  [279912] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8733), 1,
      anon_sym_COMMA,
    ACTIONS(12871), 1,
      anon_sym_GT2,
    STATE(8809), 1,
      aux_sym_template_argument_list_repeat1,
  [279925] = 4,
    ACTIONS(10298), 1,
      sym_comment,
    ACTIONS(12823), 1,
      anon_sym_LPAREN2,
    ACTIONS(12873), 1,
      aux_sym_preproc_include_token2,
    STATE(10053), 1,
      sym_preproc_argument_list,
  [279938] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8733), 1,
      anon_sym_COMMA,
    ACTIONS(12875), 1,
      anon_sym_GT2,
    STATE(8809), 1,
      aux_sym_template_argument_list_repeat1,
  [279951] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8733), 1,
      anon_sym_COMMA,
    ACTIONS(12877), 1,
      anon_sym_GT2,
    STATE(8809), 1,
      aux_sym_template_argument_list_repeat1,
  [279964] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12879), 1,
      sym_identifier,
    ACTIONS(12881), 2,
      anon_sym_COMMA,
      anon_sym_GT2,
  [279975] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12265), 1,
      anon_sym_COMMA,
    ACTIONS(12601), 1,
      anon_sym_LBRACE,
    STATE(8811), 1,
      aux_sym_base_class_clause_repeat1,
  [279988] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12883), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_GT2,
  [279997] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12265), 1,
      anon_sym_COMMA,
    ACTIONS(12885), 1,
      anon_sym_LBRACE,
    STATE(8752), 1,
      aux_sym_base_class_clause_repeat1,
  [280010] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12883), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_GT2,
  [280019] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12887), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_GT2,
  [280028] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12889), 1,
      anon_sym_COMMA,
    ACTIONS(12891), 1,
      anon_sym_RBRACK_RBRACK,
    STATE(8596), 1,
      aux_sym_attribute_declaration_repeat1,
  [280041] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12893), 1,
      anon_sym_COMMA,
    ACTIONS(12895), 1,
      anon_sym_GT2,
    STATE(8845), 1,
      aux_sym_template_parameter_list_repeat1,
  [280054] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8815), 1,
      anon_sym_COMMA,
    ACTIONS(8889), 1,
      anon_sym_RPAREN,
    STATE(8650), 1,
      aux_sym_argument_list_repeat1,
  [280067] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8727), 1,
      anon_sym_COMMA,
    ACTIONS(12897), 1,
      anon_sym_RPAREN,
    STATE(8637), 1,
      aux_sym_generic_expression_repeat1,
  [280080] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12901), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12899), 2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [280091] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8815), 1,
      anon_sym_COMMA,
    ACTIONS(12903), 1,
      anon_sym_RPAREN,
    STATE(8650), 1,
      aux_sym_argument_list_repeat1,
  [280104] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8911), 3,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
  [280113] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4710), 1,
      anon_sym_RBRACE,
    ACTIONS(12905), 1,
      anon_sym_COMMA,
    STATE(8693), 1,
      aux_sym_initializer_list_repeat1,
  [280126] = 3,
    ACTIONS(10298), 1,
      sym_comment,
    STATE(8225), 1,
      aux_sym_char_literal_repeat1,
    ACTIONS(12907), 2,
      aux_sym_char_literal_token1,
      sym_escape_sequence,
  [280137] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12811), 1,
      anon_sym_catch,
    STATE(2654), 2,
      sym_catch_clause,
      aux_sym_constructor_try_statement_repeat1,
  [280148] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12909), 1,
      anon_sym_COMMA,
    ACTIONS(12912), 1,
      anon_sym_RPAREN,
    STATE(8546), 1,
      aux_sym_throw_specifier_repeat1,
  [280161] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12811), 1,
      anon_sym_catch,
    STATE(2678), 2,
      sym_catch_clause,
      aux_sym_constructor_try_statement_repeat1,
  [280172] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12914), 3,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_DOT,
  [280181] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9074), 1,
      anon_sym_RBRACK,
    ACTIONS(12916), 1,
      anon_sym_COMMA,
    STATE(8549), 1,
      aux_sym_lambda_capture_specifier_repeat1,
  [280194] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12919), 1,
      anon_sym_COMMA,
    ACTIONS(12922), 1,
      anon_sym_RBRACK,
    STATE(8550), 1,
      aux_sym_structured_binding_declarator_repeat1,
  [280207] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8719), 1,
      anon_sym_COMMA,
    ACTIONS(12924), 1,
      anon_sym_SEMI,
    STATE(8578), 1,
      aux_sym_declaration_repeat1,
  [280220] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12835), 1,
      anon_sym_LPAREN2,
    ACTIONS(12926), 1,
      anon_sym_constexpr,
    STATE(1397), 1,
      sym_condition_clause,
  [280233] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12835), 1,
      anon_sym_LPAREN2,
    ACTIONS(12928), 1,
      anon_sym_constexpr,
    STATE(1333), 1,
      sym_condition_clause,
  [280246] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8719), 1,
      anon_sym_COMMA,
    ACTIONS(12930), 1,
      anon_sym_SEMI,
    STATE(8571), 1,
      aux_sym_declaration_repeat1,
  [280259] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12932), 1,
      sym_identifier,
    STATE(3268), 1,
      sym_template_type,
    STATE(4700), 1,
      sym_template_function,
  [280272] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12835), 1,
      anon_sym_LPAREN2,
    ACTIONS(12934), 1,
      anon_sym_constexpr,
    STATE(1338), 1,
      sym_condition_clause,
  [280285] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8719), 1,
      anon_sym_COMMA,
    ACTIONS(12936), 1,
      anon_sym_SEMI,
    STATE(8571), 1,
      aux_sym_declaration_repeat1,
  [280298] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12938), 1,
      anon_sym_COMMA,
    ACTIONS(12940), 1,
      anon_sym_RPAREN,
    STATE(8853), 1,
      aux_sym_requires_parameter_list_repeat1,
  [280311] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12827), 1,
      anon_sym_COLON,
    ACTIONS(12942), 1,
      anon_sym_RPAREN,
    STATE(10250), 1,
      sym_gnu_asm_goto_list,
  [280324] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8809), 1,
      anon_sym_COMMA,
    ACTIONS(12944), 1,
      anon_sym_RBRACK,
    STATE(8892), 1,
      aux_sym_subscript_argument_list_repeat1,
  [280337] = 3,
    ACTIONS(10298), 1,
      sym_comment,
    STATE(8335), 1,
      aux_sym_char_literal_repeat1,
    ACTIONS(12946), 2,
      aux_sym_char_literal_token1,
      sym_escape_sequence,
  [280348] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12948), 1,
      anon_sym_catch,
    STATE(2677), 2,
      sym_catch_clause,
      aux_sym_constructor_try_statement_repeat1,
  [280359] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12950), 1,
      anon_sym_COMMA,
    ACTIONS(12952), 1,
      anon_sym_RPAREN,
    STATE(8870), 1,
      aux_sym_parameter_list_repeat1,
  [280372] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12954), 1,
      anon_sym_catch,
    STATE(402), 2,
      sym_catch_clause,
      aux_sym_constructor_try_statement_repeat1,
  [280383] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8815), 1,
      anon_sym_COMMA,
    ACTIONS(9044), 1,
      anon_sym_RPAREN,
    STATE(8650), 1,
      aux_sym_argument_list_repeat1,
  [280396] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12956), 1,
      anon_sym_COMMA,
    ACTIONS(12959), 1,
      anon_sym_RBRACK_RBRACK,
    STATE(8566), 1,
      aux_sym_attribute_declaration_repeat1,
  [280409] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8719), 1,
      anon_sym_COMMA,
    ACTIONS(12961), 1,
      anon_sym_SEMI,
    STATE(8611), 1,
      aux_sym_declaration_repeat1,
  [280422] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8733), 1,
      anon_sym_COMMA,
    ACTIONS(12963), 1,
      anon_sym_GT2,
    STATE(8809), 1,
      aux_sym_template_argument_list_repeat1,
  [280435] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12827), 1,
      anon_sym_COLON,
    ACTIONS(12965), 1,
      anon_sym_RPAREN,
    STATE(10422), 1,
      sym_gnu_asm_goto_list,
  [280448] = 4,
    ACTIONS(10298), 1,
      sym_comment,
    ACTIONS(12823), 1,
      anon_sym_LPAREN2,
    ACTIONS(12967), 1,
      aux_sym_preproc_include_token2,
    STATE(10053), 1,
      sym_preproc_argument_list,
  [280461] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12969), 1,
      anon_sym_COMMA,
    ACTIONS(12972), 1,
      anon_sym_SEMI,
    STATE(8571), 1,
      aux_sym_declaration_repeat1,
  [280474] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8733), 1,
      anon_sym_COMMA,
    ACTIONS(12974), 1,
      anon_sym_GT2,
    STATE(8591), 1,
      aux_sym_template_argument_list_repeat1,
  [280487] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12976), 1,
      sym_identifier,
    STATE(3004), 1,
      sym_template_type,
    STATE(3927), 1,
      sym_template_function,
  [280500] = 4,
    ACTIONS(10298), 1,
      sym_comment,
    ACTIONS(12823), 1,
      anon_sym_LPAREN2,
    ACTIONS(12978), 1,
      aux_sym_preproc_include_token2,
    STATE(10053), 1,
      sym_preproc_argument_list,
  [280513] = 3,
    ACTIONS(10298), 1,
      sym_comment,
    STATE(8215), 1,
      aux_sym_char_literal_repeat1,
    ACTIONS(12980), 2,
      aux_sym_char_literal_token1,
      sym_escape_sequence,
  [280524] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8733), 1,
      anon_sym_COMMA,
    ACTIONS(12982), 1,
      anon_sym_GT2,
    STATE(8809), 1,
      aux_sym_template_argument_list_repeat1,
  [280537] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8719), 1,
      anon_sym_COMMA,
    ACTIONS(12984), 1,
      anon_sym_SEMI,
    STATE(8571), 1,
      aux_sym_declaration_repeat1,
  [280550] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8719), 1,
      anon_sym_COMMA,
    ACTIONS(12986), 1,
      anon_sym_SEMI,
    STATE(8571), 1,
      aux_sym_declaration_repeat1,
  [280563] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12831), 1,
      anon_sym_COLON,
    ACTIONS(12988), 1,
      anon_sym_RPAREN,
    STATE(8569), 1,
      sym_gnu_asm_clobber_list,
  [280576] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8733), 1,
      anon_sym_COMMA,
    ACTIONS(12990), 1,
      anon_sym_GT2,
    STATE(8500), 1,
      aux_sym_template_argument_list_repeat1,
  [280589] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12827), 1,
      anon_sym_COLON,
    ACTIONS(12992), 1,
      anon_sym_RPAREN,
    STATE(10318), 1,
      sym_gnu_asm_goto_list,
  [280602] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12994), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
  [280611] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12801), 1,
      anon_sym_COLON,
    ACTIONS(12996), 1,
      anon_sym_RPAREN,
    STATE(8970), 1,
      sym_gnu_asm_output_operand_list,
  [280624] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12950), 1,
      anon_sym_COMMA,
    ACTIONS(12998), 1,
      anon_sym_RPAREN,
    STATE(8870), 1,
      aux_sym_parameter_list_repeat1,
  [280637] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12835), 1,
      anon_sym_LPAREN2,
    ACTIONS(13000), 1,
      anon_sym_constexpr,
    STATE(1347), 1,
      sym_condition_clause,
  [280650] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8733), 1,
      anon_sym_COMMA,
    ACTIONS(13002), 1,
      anon_sym_GT2,
    STATE(8809), 1,
      aux_sym_template_argument_list_repeat1,
  [280663] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12889), 1,
      anon_sym_COMMA,
    ACTIONS(13004), 1,
      anon_sym_RBRACK_RBRACK,
    STATE(8839), 1,
      aux_sym_attribute_declaration_repeat1,
  [280676] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12801), 1,
      anon_sym_COLON,
    ACTIONS(13006), 1,
      anon_sym_RPAREN,
    STATE(8523), 1,
      sym_gnu_asm_output_operand_list,
  [280689] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8733), 1,
      anon_sym_COMMA,
    ACTIONS(13008), 1,
      anon_sym_GT2,
    STATE(8809), 1,
      aux_sym_template_argument_list_repeat1,
  [280702] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8733), 1,
      anon_sym_COMMA,
    ACTIONS(13010), 1,
      anon_sym_GT2,
    STATE(8809), 1,
      aux_sym_template_argument_list_repeat1,
  [280715] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8733), 1,
      anon_sym_COMMA,
    ACTIONS(13012), 1,
      anon_sym_GT2,
    STATE(8809), 1,
      aux_sym_template_argument_list_repeat1,
  [280728] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12835), 1,
      anon_sym_LPAREN2,
    ACTIONS(13014), 1,
      anon_sym_constexpr,
    STATE(1382), 1,
      sym_condition_clause,
  [280741] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12843), 1,
      anon_sym_COLON,
    ACTIONS(13016), 1,
      anon_sym_RPAREN,
    STATE(8524), 1,
      sym_gnu_asm_input_operand_list,
  [280754] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12889), 1,
      anon_sym_COMMA,
    ACTIONS(13018), 1,
      anon_sym_RBRACK_RBRACK,
    STATE(8847), 1,
      aux_sym_attribute_declaration_repeat1,
  [280767] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13020), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
  [280776] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12889), 1,
      anon_sym_COMMA,
    ACTIONS(13022), 1,
      anon_sym_RBRACK_RBRACK,
    STATE(8566), 1,
      aux_sym_attribute_declaration_repeat1,
  [280789] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13024), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
  [280798] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12889), 1,
      anon_sym_COMMA,
    ACTIONS(13026), 1,
      anon_sym_RBRACK_RBRACK,
    STATE(8670), 1,
      aux_sym_attribute_declaration_repeat1,
  [280811] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8719), 1,
      anon_sym_COMMA,
    ACTIONS(13028), 1,
      anon_sym_SEMI,
    STATE(8571), 1,
      aux_sym_declaration_repeat1,
  [280824] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8815), 1,
      anon_sym_COMMA,
    ACTIONS(8891), 1,
      anon_sym_RPAREN,
    STATE(8620), 1,
      aux_sym_argument_list_repeat1,
  [280837] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4889), 1,
      anon_sym_LBRACE,
    ACTIONS(12420), 1,
      anon_sym_COLON_COLON,
    STATE(1156), 1,
      sym_declaration_list,
  [280850] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8903), 1,
      anon_sym_COMMA,
    ACTIONS(8905), 1,
      anon_sym_RBRACE,
    STATE(8623), 1,
      aux_sym_initializer_list_repeat1,
  [280863] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8815), 1,
      anon_sym_COMMA,
    ACTIONS(8964), 1,
      anon_sym_RPAREN,
    STATE(8538), 1,
      aux_sym_argument_list_repeat1,
  [280876] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12889), 1,
      anon_sym_COMMA,
    ACTIONS(13030), 1,
      anon_sym_RBRACK_RBRACK,
    STATE(8566), 1,
      aux_sym_attribute_declaration_repeat1,
  [280889] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13032), 1,
      anon_sym_COMMA,
    ACTIONS(13034), 1,
      anon_sym_RPAREN,
    STATE(8672), 1,
      aux_sym_gnu_asm_goto_list_repeat1,
  [280902] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12843), 1,
      anon_sym_COLON,
    ACTIONS(13036), 1,
      anon_sym_RPAREN,
    STATE(8801), 1,
      sym_gnu_asm_input_operand_list,
  [280915] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12801), 1,
      anon_sym_COLON,
    ACTIONS(13038), 1,
      anon_sym_RPAREN,
    STATE(8624), 1,
      sym_gnu_asm_output_operand_list,
  [280928] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8733), 1,
      anon_sym_COMMA,
    ACTIONS(13040), 1,
      anon_sym_GT2,
    STATE(8634), 1,
      aux_sym_template_argument_list_repeat1,
  [280941] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4883), 1,
      anon_sym_RBRACE,
    ACTIONS(13042), 1,
      anon_sym_COMMA,
    STATE(8693), 1,
      aux_sym_initializer_list_repeat1,
  [280954] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8719), 1,
      anon_sym_COMMA,
    ACTIONS(13044), 1,
      anon_sym_SEMI,
    STATE(8571), 1,
      aux_sym_declaration_repeat1,
  [280967] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8719), 1,
      anon_sym_COMMA,
    ACTIONS(13046), 1,
      anon_sym_SEMI,
    STATE(8571), 1,
      aux_sym_declaration_repeat1,
  [280980] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12950), 1,
      anon_sym_COMMA,
    ACTIONS(13048), 1,
      anon_sym_RPAREN,
    STATE(8645), 1,
      aux_sym_parameter_list_repeat1,
  [280993] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13050), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(13052), 2,
      anon_sym_COMMA,
      anon_sym_LBRACE,
  [281004] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13054), 1,
      sym_identifier,
    STATE(3004), 1,
      sym_template_type,
    STATE(4432), 1,
      sym_template_function,
  [281017] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13056), 1,
      anon_sym_catch,
    STATE(334), 2,
      sym_catch_clause,
      aux_sym_constructor_try_statement_repeat1,
  [281028] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13058), 1,
      anon_sym_COMMA,
    ACTIONS(13060), 1,
      anon_sym_LBRACE,
    STATE(8891), 1,
      aux_sym_field_initializer_list_repeat1,
  [281041] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13062), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(13064), 2,
      anon_sym_COMMA,
      anon_sym_LBRACE,
  [281052] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8719), 1,
      anon_sym_COMMA,
    ACTIONS(13066), 1,
      anon_sym_SEMI,
    STATE(8554), 1,
      aux_sym_declaration_repeat1,
  [281065] = 3,
    ACTIONS(10298), 1,
      sym_comment,
    STATE(8270), 1,
      aux_sym_char_literal_repeat1,
    ACTIONS(13068), 2,
      aux_sym_char_literal_token1,
      sym_escape_sequence,
  [281076] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8815), 1,
      anon_sym_COMMA,
    ACTIONS(8839), 1,
      anon_sym_RPAREN,
    STATE(8650), 1,
      aux_sym_argument_list_repeat1,
  [281089] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8719), 1,
      anon_sym_COMMA,
    ACTIONS(13070), 1,
      anon_sym_SEMI,
    STATE(8571), 1,
      aux_sym_declaration_repeat1,
  [281102] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8809), 1,
      anon_sym_COMMA,
    ACTIONS(13072), 1,
      anon_sym_RBRACK,
    STATE(8892), 1,
      aux_sym_subscript_argument_list_repeat1,
  [281115] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4867), 1,
      anon_sym_RBRACE,
    ACTIONS(13074), 1,
      anon_sym_COMMA,
    STATE(8693), 1,
      aux_sym_initializer_list_repeat1,
  [281128] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12843), 1,
      anon_sym_COLON,
    ACTIONS(13076), 1,
      anon_sym_RPAREN,
    STATE(8656), 1,
      sym_gnu_asm_input_operand_list,
  [281141] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12843), 1,
      anon_sym_COLON,
    ACTIONS(13078), 1,
      anon_sym_RPAREN,
    STATE(8579), 1,
      sym_gnu_asm_input_operand_list,
  [281154] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12831), 1,
      anon_sym_COLON,
    ACTIONS(13080), 1,
      anon_sym_RPAREN,
    STATE(8581), 1,
      sym_gnu_asm_clobber_list,
  [281167] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13082), 1,
      anon_sym_catch,
    STATE(170), 2,
      sym_catch_clause,
      aux_sym_constructor_try_statement_repeat1,
  [281178] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12801), 1,
      anon_sym_COLON,
    ACTIONS(13084), 1,
      anon_sym_RPAREN,
    STATE(8659), 1,
      sym_gnu_asm_output_operand_list,
  [281191] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13086), 1,
      anon_sym_catch,
    STATE(2531), 2,
      sym_catch_clause,
      aux_sym_constructor_try_statement_repeat1,
  [281202] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8815), 1,
      anon_sym_COMMA,
    ACTIONS(8817), 1,
      anon_sym_RPAREN,
    STATE(8650), 1,
      aux_sym_argument_list_repeat1,
  [281215] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8727), 1,
      anon_sym_COMMA,
    ACTIONS(13088), 1,
      anon_sym_RPAREN,
    STATE(8637), 1,
      aux_sym_generic_expression_repeat1,
  [281228] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8733), 1,
      anon_sym_COMMA,
    ACTIONS(13090), 1,
      anon_sym_GT2,
    STATE(8809), 1,
      aux_sym_template_argument_list_repeat1,
  [281241] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8733), 1,
      anon_sym_COMMA,
    ACTIONS(13092), 1,
      anon_sym_GT2,
    STATE(8809), 1,
      aux_sym_template_argument_list_repeat1,
  [281254] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8733), 1,
      anon_sym_COMMA,
    ACTIONS(13094), 1,
      anon_sym_GT2,
    STATE(8809), 1,
      aux_sym_template_argument_list_repeat1,
  [281267] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13096), 3,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
  [281276] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13098), 3,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
  [281285] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13100), 1,
      anon_sym_COMMA,
    ACTIONS(13103), 1,
      anon_sym_RPAREN,
    STATE(8637), 1,
      aux_sym_generic_expression_repeat1,
  [281298] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10248), 1,
      anon_sym_COMMA,
    ACTIONS(13105), 1,
      anon_sym_RPAREN,
    STATE(8926), 1,
      aux_sym_preproc_argument_list_repeat1,
  [281311] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13107), 1,
      anon_sym_COMMA,
    ACTIONS(13109), 1,
      anon_sym_RPAREN,
    STATE(8930), 1,
      aux_sym_preproc_params_repeat1,
  [281324] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8719), 1,
      anon_sym_COMMA,
    ACTIONS(13111), 1,
      anon_sym_SEMI,
    STATE(8666), 1,
      aux_sym_declaration_repeat1,
  [281337] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12889), 1,
      anon_sym_COMMA,
    ACTIONS(13113), 1,
      anon_sym_RBRACK_RBRACK,
    STATE(8604), 1,
      aux_sym_attribute_declaration_repeat1,
  [281350] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8966), 3,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_SEMI,
  [281359] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13115), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
  [281368] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13117), 1,
      sym_identifier,
    STATE(3004), 1,
      sym_template_type,
    STATE(3927), 1,
      sym_template_function,
  [281381] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12950), 1,
      anon_sym_COMMA,
    ACTIONS(13119), 1,
      anon_sym_RPAREN,
    STATE(8870), 1,
      aux_sym_parameter_list_repeat1,
  [281394] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13121), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
  [281403] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13056), 1,
      anon_sym_catch,
    STATE(314), 2,
      sym_catch_clause,
      aux_sym_constructor_try_statement_repeat1,
  [281414] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8815), 1,
      anon_sym_COMMA,
    ACTIONS(13123), 1,
      anon_sym_RPAREN,
    STATE(8650), 1,
      aux_sym_argument_list_repeat1,
  [281427] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8815), 1,
      anon_sym_COMMA,
    ACTIONS(13125), 1,
      anon_sym_RPAREN,
    STATE(8650), 1,
      aux_sym_argument_list_repeat1,
  [281440] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9237), 1,
      anon_sym_RPAREN,
    ACTIONS(13127), 1,
      anon_sym_COMMA,
    STATE(8650), 1,
      aux_sym_argument_list_repeat1,
  [281453] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8815), 1,
      anon_sym_COMMA,
    ACTIONS(13130), 1,
      anon_sym_RPAREN,
    STATE(8650), 1,
      aux_sym_argument_list_repeat1,
  [281466] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13132), 1,
      sym_identifier,
    STATE(3004), 1,
      sym_template_type,
    STATE(3649), 1,
      sym_template_function,
  [281479] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12265), 1,
      anon_sym_COMMA,
    ACTIONS(12885), 1,
      anon_sym_LBRACE,
    STATE(8503), 1,
      aux_sym_base_class_clause_repeat1,
  [281492] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8733), 1,
      anon_sym_COMMA,
    ACTIONS(13134), 1,
      anon_sym_GT2,
    STATE(8809), 1,
      aux_sym_template_argument_list_repeat1,
  [281505] = 3,
    ACTIONS(10298), 1,
      sym_comment,
    STATE(8201), 1,
      aux_sym_char_literal_repeat1,
    ACTIONS(13136), 2,
      aux_sym_char_literal_token1,
      sym_escape_sequence,
  [281516] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12831), 1,
      anon_sym_COLON,
    ACTIONS(13138), 1,
      anon_sym_RPAREN,
    STATE(8663), 1,
      sym_gnu_asm_clobber_list,
  [281529] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13140), 1,
      anon_sym_catch,
    STATE(387), 2,
      sym_catch_clause,
      aux_sym_constructor_try_statement_repeat1,
  [281540] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12835), 1,
      anon_sym_LPAREN2,
    ACTIONS(13142), 1,
      anon_sym_constexpr,
    STATE(1359), 1,
      sym_condition_clause,
  [281553] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12843), 1,
      anon_sym_COLON,
    ACTIONS(13144), 1,
      anon_sym_RPAREN,
    STATE(8667), 1,
      sym_gnu_asm_input_operand_list,
  [281566] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8733), 1,
      anon_sym_COMMA,
    ACTIONS(13146), 1,
      anon_sym_GT2,
    STATE(8679), 1,
      aux_sym_template_argument_list_repeat1,
  [281579] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10248), 1,
      anon_sym_COMMA,
    ACTIONS(13148), 1,
      anon_sym_RPAREN,
    STATE(8926), 1,
      aux_sym_preproc_argument_list_repeat1,
  [281592] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8719), 1,
      anon_sym_COMMA,
    ACTIONS(13150), 1,
      anon_sym_SEMI,
    STATE(8571), 1,
      aux_sym_declaration_repeat1,
  [281605] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12827), 1,
      anon_sym_COLON,
    ACTIONS(13152), 1,
      anon_sym_RPAREN,
    STATE(9665), 1,
      sym_gnu_asm_goto_list,
  [281618] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13154), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(13156), 2,
      anon_sym_COMMA,
      anon_sym_LBRACE,
  [281629] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8719), 1,
      anon_sym_COMMA,
    ACTIONS(13158), 1,
      anon_sym_SEMI,
    STATE(8571), 1,
      aux_sym_declaration_repeat1,
  [281642] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8719), 1,
      anon_sym_COMMA,
    ACTIONS(13160), 1,
      anon_sym_SEMI,
    STATE(8571), 1,
      aux_sym_declaration_repeat1,
  [281655] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12831), 1,
      anon_sym_COLON,
    ACTIONS(13162), 1,
      anon_sym_RPAREN,
    STATE(8669), 1,
      sym_gnu_asm_clobber_list,
  [281668] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8809), 1,
      anon_sym_COMMA,
    ACTIONS(8811), 1,
      anon_sym_RBRACK,
    STATE(8560), 1,
      aux_sym_subscript_argument_list_repeat1,
  [281681] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12827), 1,
      anon_sym_COLON,
    ACTIONS(13164), 1,
      anon_sym_RPAREN,
    STATE(9666), 1,
      sym_gnu_asm_goto_list,
  [281694] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12889), 1,
      anon_sym_COMMA,
    ACTIONS(13166), 1,
      anon_sym_RBRACK_RBRACK,
    STATE(8566), 1,
      aux_sym_attribute_declaration_repeat1,
  [281707] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8809), 1,
      anon_sym_COMMA,
    ACTIONS(13168), 1,
      anon_sym_RBRACK,
    STATE(8892), 1,
      aux_sym_subscript_argument_list_repeat1,
  [281720] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13032), 1,
      anon_sym_COMMA,
    ACTIONS(13170), 1,
      anon_sym_RPAREN,
    STATE(8683), 1,
      aux_sym_gnu_asm_goto_list_repeat1,
  [281733] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8815), 1,
      anon_sym_COMMA,
    ACTIONS(8955), 1,
      anon_sym_RPAREN,
    STATE(8756), 1,
      aux_sym_argument_list_repeat1,
  [281746] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8773), 1,
      anon_sym_COMMA,
    ACTIONS(13172), 1,
      anon_sym_RBRACK,
    STATE(8549), 1,
      aux_sym_lambda_capture_specifier_repeat1,
  [281759] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13174), 1,
      anon_sym_catch,
    STATE(483), 2,
      sym_catch_clause,
      aux_sym_constructor_try_statement_repeat1,
  [281770] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8727), 1,
      anon_sym_COMMA,
    ACTIONS(13176), 1,
      anon_sym_RPAREN,
    STATE(8637), 1,
      aux_sym_generic_expression_repeat1,
  [281783] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8733), 1,
      anon_sym_COMMA,
    ACTIONS(13178), 1,
      anon_sym_GT2,
    STATE(8809), 1,
      aux_sym_template_argument_list_repeat1,
  [281796] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8733), 1,
      anon_sym_COMMA,
    ACTIONS(13180), 1,
      anon_sym_GT2,
    STATE(8809), 1,
      aux_sym_template_argument_list_repeat1,
  [281809] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8733), 1,
      anon_sym_COMMA,
    ACTIONS(13182), 1,
      anon_sym_GT2,
    STATE(8809), 1,
      aux_sym_template_argument_list_repeat1,
  [281822] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12948), 1,
      anon_sym_catch,
    STATE(2660), 2,
      sym_catch_clause,
      aux_sym_constructor_try_statement_repeat1,
  [281833] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12950), 1,
      anon_sym_COMMA,
    ACTIONS(13184), 1,
      anon_sym_RPAREN,
    STATE(8563), 1,
      aux_sym_parameter_list_repeat1,
  [281846] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8719), 1,
      anon_sym_COMMA,
    ACTIONS(13186), 1,
      anon_sym_SEMI,
    STATE(8571), 1,
      aux_sym_declaration_repeat1,
  [281859] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13188), 1,
      anon_sym_COMMA,
    ACTIONS(13191), 1,
      anon_sym_RPAREN,
    STATE(8683), 1,
      aux_sym_gnu_asm_goto_list_repeat1,
  [281872] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13193), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
  [281881] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4899), 1,
      anon_sym_LBRACE,
    ACTIONS(12420), 1,
      anon_sym_COLON_COLON,
    STATE(450), 1,
      sym_declaration_list,
  [281894] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8719), 1,
      anon_sym_COMMA,
    ACTIONS(13195), 1,
      anon_sym_SEMI,
    STATE(8571), 1,
      aux_sym_declaration_repeat1,
  [281907] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8719), 1,
      anon_sym_COMMA,
    ACTIONS(13197), 1,
      anon_sym_SEMI,
    STATE(8571), 1,
      aux_sym_declaration_repeat1,
  [281920] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8719), 1,
      anon_sym_COMMA,
    ACTIONS(13199), 1,
      anon_sym_SEMI,
    STATE(8834), 1,
      aux_sym_declaration_repeat1,
  [281933] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13201), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
  [281942] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12889), 1,
      anon_sym_COMMA,
    ACTIONS(13203), 1,
      anon_sym_RBRACK_RBRACK,
    STATE(8802), 1,
      aux_sym_attribute_declaration_repeat1,
  [281955] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8949), 1,
      anon_sym_COMMA,
    ACTIONS(8951), 1,
      anon_sym_RBRACE,
    STATE(8766), 1,
      aux_sym_initializer_list_repeat1,
  [281968] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8733), 1,
      anon_sym_COMMA,
    ACTIONS(13205), 1,
      anon_sym_GT2,
    STATE(8568), 1,
      aux_sym_template_argument_list_repeat1,
  [281981] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8979), 1,
      anon_sym_RBRACE,
    ACTIONS(13207), 1,
      anon_sym_COMMA,
    STATE(8693), 1,
      aux_sym_initializer_list_repeat1,
  [281994] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8727), 1,
      anon_sym_COMMA,
    ACTIONS(13210), 1,
      anon_sym_RPAREN,
    STATE(8637), 1,
      aux_sym_generic_expression_repeat1,
  [282007] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12827), 1,
      anon_sym_COLON,
    ACTIONS(13212), 1,
      anon_sym_RPAREN,
    STATE(10123), 1,
      sym_gnu_asm_goto_list,
  [282020] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12801), 1,
      anon_sym_COLON,
    ACTIONS(13214), 1,
      anon_sym_RPAREN,
    STATE(8593), 1,
      sym_gnu_asm_output_operand_list,
  [282033] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13174), 1,
      anon_sym_catch,
    STATE(409), 2,
      sym_catch_clause,
      aux_sym_constructor_try_statement_repeat1,
  [282044] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12950), 1,
      anon_sym_COMMA,
    ACTIONS(13216), 1,
      anon_sym_RPAREN,
    STATE(8870), 1,
      aux_sym_parameter_list_repeat1,
  [282057] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12948), 1,
      anon_sym_catch,
    STATE(2681), 2,
      sym_catch_clause,
      aux_sym_constructor_try_statement_repeat1,
  [282068] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8719), 1,
      anon_sym_COMMA,
    ACTIONS(13218), 1,
      anon_sym_SEMI,
    STATE(8746), 1,
      aux_sym_declaration_repeat1,
  [282081] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12831), 1,
      anon_sym_COLON,
    ACTIONS(13220), 1,
      anon_sym_RPAREN,
    STATE(8695), 1,
      sym_gnu_asm_clobber_list,
  [282094] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12827), 1,
      anon_sym_COLON,
    ACTIONS(13222), 1,
      anon_sym_RPAREN,
    STATE(10117), 1,
      sym_gnu_asm_goto_list,
  [282107] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8719), 1,
      anon_sym_COMMA,
    ACTIONS(13224), 1,
      anon_sym_SEMI,
    STATE(8571), 1,
      aux_sym_declaration_repeat1,
  [282120] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12801), 1,
      anon_sym_COLON,
    ACTIONS(13226), 1,
      anon_sym_RPAREN,
    STATE(8779), 1,
      sym_gnu_asm_output_operand_list,
  [282133] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8733), 1,
      anon_sym_COMMA,
    ACTIONS(13228), 1,
      anon_sym_GT2,
    STATE(8794), 1,
      aux_sym_template_argument_list_repeat1,
  [282146] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12843), 1,
      anon_sym_COLON,
    ACTIONS(13230), 1,
      anon_sym_RPAREN,
    STATE(8701), 1,
      sym_gnu_asm_input_operand_list,
  [282159] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13232), 1,
      sym_identifier,
    STATE(3004), 1,
      sym_template_type,
    STATE(3927), 1,
      sym_template_function,
  [282172] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12831), 1,
      anon_sym_COLON,
    ACTIONS(13234), 1,
      anon_sym_RPAREN,
    STATE(8702), 1,
      sym_gnu_asm_clobber_list,
  [282185] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13107), 1,
      anon_sym_COMMA,
    ACTIONS(13236), 1,
      anon_sym_RPAREN,
    STATE(8639), 1,
      aux_sym_preproc_params_repeat1,
  [282198] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13140), 1,
      anon_sym_catch,
    STATE(1200), 2,
      sym_catch_clause,
      aux_sym_constructor_try_statement_repeat1,
  [282209] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8815), 1,
      anon_sym_COMMA,
    ACTIONS(13238), 1,
      anon_sym_RPAREN,
    STATE(8650), 1,
      aux_sym_argument_list_repeat1,
  [282222] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13086), 1,
      anon_sym_catch,
    STATE(2529), 2,
      sym_catch_clause,
      aux_sym_constructor_try_statement_repeat1,
  [282233] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12893), 1,
      anon_sym_COMMA,
    ACTIONS(13240), 1,
      anon_sym_GT2,
    STATE(8845), 1,
      aux_sym_template_parameter_list_repeat1,
  [282246] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8719), 1,
      anon_sym_COMMA,
    ACTIONS(13242), 1,
      anon_sym_SEMI,
    STATE(8571), 1,
      aux_sym_declaration_repeat1,
  [282259] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13244), 1,
      sym_identifier,
    STATE(3004), 1,
      sym_template_type,
    STATE(3927), 1,
      sym_template_function,
  [282272] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8719), 1,
      anon_sym_COMMA,
    ACTIONS(13246), 1,
      anon_sym_SEMI,
    STATE(8571), 1,
      aux_sym_declaration_repeat1,
  [282285] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13248), 1,
      sym_identifier,
    STATE(3004), 1,
      sym_template_type,
    STATE(3649), 1,
      sym_template_function,
  [282298] = 3,
    ACTIONS(10298), 1,
      sym_comment,
    STATE(8219), 1,
      aux_sym_char_literal_repeat1,
    ACTIONS(13250), 2,
      aux_sym_char_literal_token1,
      sym_escape_sequence,
  [282309] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12950), 1,
      anon_sym_COMMA,
    ACTIONS(13252), 1,
      anon_sym_RPAREN,
    STATE(8810), 1,
      aux_sym_parameter_list_repeat1,
  [282322] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8815), 1,
      anon_sym_COMMA,
    ACTIONS(8835), 1,
      anon_sym_RPAREN,
    STATE(8762), 1,
      aux_sym_argument_list_repeat1,
  [282335] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13082), 1,
      anon_sym_catch,
    STATE(192), 2,
      sym_catch_clause,
      aux_sym_constructor_try_statement_repeat1,
  [282346] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8945), 1,
      anon_sym_COMMA,
    ACTIONS(8947), 1,
      anon_sym_RBRACE,
    STATE(8765), 1,
      aux_sym_initializer_list_repeat1,
  [282359] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8719), 1,
      anon_sym_COMMA,
    ACTIONS(13254), 1,
      anon_sym_SEMI,
    STATE(8716), 1,
      aux_sym_declaration_repeat1,
  [282372] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8843), 1,
      anon_sym_COMMA,
    ACTIONS(8845), 1,
      anon_sym_RBRACE,
    STATE(8609), 1,
      aux_sym_initializer_list_repeat1,
  [282385] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8733), 1,
      anon_sym_COMMA,
    ACTIONS(13256), 1,
      anon_sym_GT2,
    STATE(8809), 1,
      aux_sym_template_argument_list_repeat1,
  [282398] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8733), 1,
      anon_sym_COMMA,
    ACTIONS(13258), 1,
      anon_sym_GT2,
    STATE(8809), 1,
      aux_sym_template_argument_list_repeat1,
  [282411] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12801), 1,
      anon_sym_COLON,
    ACTIONS(13260), 1,
      anon_sym_RPAREN,
    STATE(8775), 1,
      sym_gnu_asm_output_operand_list,
  [282424] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8733), 1,
      anon_sym_COMMA,
    ACTIONS(13262), 1,
      anon_sym_GT2,
    STATE(8784), 1,
      aux_sym_template_argument_list_repeat1,
  [282437] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8733), 1,
      anon_sym_COMMA,
    ACTIONS(13264), 1,
      anon_sym_GT2,
    STATE(8809), 1,
      aux_sym_template_argument_list_repeat1,
  [282450] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8733), 1,
      anon_sym_COMMA,
    ACTIONS(13266), 1,
      anon_sym_GT2,
    STATE(8809), 1,
      aux_sym_template_argument_list_repeat1,
  [282463] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8733), 1,
      anon_sym_COMMA,
    ACTIONS(13268), 1,
      anon_sym_GT2,
    STATE(8726), 1,
      aux_sym_template_argument_list_repeat1,
  [282476] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8733), 1,
      anon_sym_COMMA,
    ACTIONS(13270), 1,
      anon_sym_GT2,
    STATE(8744), 1,
      aux_sym_template_argument_list_repeat1,
  [282489] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8809), 1,
      anon_sym_COMMA,
    ACTIONS(8883), 1,
      anon_sym_RBRACK,
    STATE(8814), 1,
      aux_sym_subscript_argument_list_repeat1,
  [282502] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12835), 1,
      anon_sym_LPAREN2,
    ACTIONS(13272), 1,
      anon_sym_constexpr,
    STATE(1378), 1,
      sym_condition_clause,
  [282515] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13274), 3,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_DOT,
  [282524] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12801), 1,
      anon_sym_COLON,
    ACTIONS(13276), 1,
      anon_sym_RPAREN,
    STATE(8625), 1,
      sym_gnu_asm_output_operand_list,
  [282537] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12801), 1,
      anon_sym_COLON,
    ACTIONS(13278), 1,
      anon_sym_RPAREN,
    STATE(8706), 1,
      sym_gnu_asm_output_operand_list,
  [282550] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12843), 1,
      anon_sym_COLON,
    ACTIONS(13280), 1,
      anon_sym_RPAREN,
    STATE(8708), 1,
      sym_gnu_asm_input_operand_list,
  [282563] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4897), 1,
      anon_sym_LBRACE,
    ACTIONS(12420), 1,
      anon_sym_COLON_COLON,
    STATE(625), 1,
      sym_declaration_list,
  [282576] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13284), 1,
      anon_sym_RPAREN,
    ACTIONS(13282), 2,
      anon_sym_DOT_DOT_DOT,
      sym_identifier,
  [282587] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13286), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(13288), 2,
      anon_sym_COMMA,
      anon_sym_LBRACE,
  [282598] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8733), 1,
      anon_sym_COMMA,
    ACTIONS(13290), 1,
      anon_sym_GT2,
    STATE(8809), 1,
      aux_sym_template_argument_list_repeat1,
  [282611] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8733), 1,
      anon_sym_COMMA,
    ACTIONS(13292), 1,
      anon_sym_GT2,
    STATE(8809), 1,
      aux_sym_template_argument_list_repeat1,
  [282624] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8733), 1,
      anon_sym_COMMA,
    ACTIONS(13294), 1,
      anon_sym_GT2,
    STATE(8809), 1,
      aux_sym_template_argument_list_repeat1,
  [282637] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8719), 1,
      anon_sym_COMMA,
    ACTIONS(13296), 1,
      anon_sym_SEMI,
    STATE(8571), 1,
      aux_sym_declaration_repeat1,
  [282650] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8719), 1,
      anon_sym_COMMA,
    ACTIONS(13298), 1,
      anon_sym_SEMI,
    STATE(8571), 1,
      aux_sym_declaration_repeat1,
  [282663] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8815), 1,
      anon_sym_COMMA,
    ACTIONS(8849), 1,
      anon_sym_RPAREN,
    STATE(8630), 1,
      aux_sym_argument_list_repeat1,
  [282676] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12831), 1,
      anon_sym_COLON,
    ACTIONS(13300), 1,
      anon_sym_RPAREN,
    STATE(8559), 1,
      sym_gnu_asm_clobber_list,
  [282689] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12889), 1,
      anon_sym_COMMA,
    ACTIONS(13302), 1,
      anon_sym_RBRACK_RBRACK,
    STATE(8566), 1,
      aux_sym_attribute_declaration_repeat1,
  [282702] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12843), 1,
      anon_sym_COLON,
    ACTIONS(13304), 1,
      anon_sym_RPAREN,
    STATE(8626), 1,
      sym_gnu_asm_input_operand_list,
  [282715] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2312), 1,
      anon_sym_while,
    ACTIONS(12809), 1,
      anon_sym_else,
    STATE(709), 1,
      sym_else_clause,
  [282728] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13288), 1,
      anon_sym_LBRACE,
    ACTIONS(13306), 1,
      anon_sym_COMMA,
    STATE(8752), 1,
      aux_sym_base_class_clause_repeat1,
  [282741] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4875), 1,
      anon_sym_RBRACE,
    ACTIONS(13309), 1,
      anon_sym_COMMA,
    STATE(8693), 1,
      aux_sym_initializer_list_repeat1,
  [282754] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12265), 1,
      anon_sym_COMMA,
    ACTIONS(12428), 1,
      anon_sym_LBRACE,
    STATE(8880), 1,
      aux_sym_base_class_clause_repeat1,
  [282767] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8815), 1,
      anon_sym_COMMA,
    ACTIONS(8970), 1,
      anon_sym_RPAREN,
    STATE(8650), 1,
      aux_sym_argument_list_repeat1,
  [282780] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8815), 1,
      anon_sym_COMMA,
    ACTIONS(8871), 1,
      anon_sym_RPAREN,
    STATE(8650), 1,
      aux_sym_argument_list_repeat1,
  [282793] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12954), 1,
      anon_sym_catch,
    STATE(589), 2,
      sym_catch_clause,
      aux_sym_constructor_try_statement_repeat1,
  [282804] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8719), 1,
      anon_sym_COMMA,
    ACTIONS(13311), 1,
      anon_sym_SEMI,
    STATE(8925), 1,
      aux_sym_declaration_repeat1,
  [282817] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13313), 1,
      anon_sym_COMMA,
    ACTIONS(13315), 1,
      anon_sym_RPAREN,
    STATE(8546), 1,
      aux_sym_throw_specifier_repeat1,
  [282830] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8809), 1,
      anon_sym_COMMA,
    ACTIONS(8861), 1,
      anon_sym_RBRACK,
    STATE(8622), 1,
      aux_sym_subscript_argument_list_repeat1,
  [282843] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13086), 1,
      anon_sym_catch,
    STATE(2532), 2,
      sym_catch_clause,
      aux_sym_constructor_try_statement_repeat1,
  [282854] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8815), 1,
      anon_sym_COMMA,
    ACTIONS(8972), 1,
      anon_sym_RPAREN,
    STATE(8650), 1,
      aux_sym_argument_list_repeat1,
  [282867] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13317), 1,
      sym_identifier,
    STATE(3804), 1,
      sym_template_type,
    STATE(4808), 1,
      sym_template_function,
  [282880] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13140), 1,
      anon_sym_catch,
    STATE(1201), 2,
      sym_catch_clause,
      aux_sym_constructor_try_statement_repeat1,
  [282891] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4859), 1,
      anon_sym_RBRACE,
    ACTIONS(13319), 1,
      anon_sym_COMMA,
    STATE(8693), 1,
      aux_sym_initializer_list_repeat1,
  [282904] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4873), 1,
      anon_sym_RBRACE,
    ACTIONS(13321), 1,
      anon_sym_COMMA,
    STATE(8693), 1,
      aux_sym_initializer_list_repeat1,
  [282917] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12369), 1,
      anon_sym_DASH_GT,
    ACTIONS(13323), 1,
      anon_sym_SEMI,
    STATE(10358), 1,
      sym_trailing_return_type,
  [282930] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8719), 1,
      anon_sym_COMMA,
    ACTIONS(13325), 1,
      anon_sym_SEMI,
    STATE(8571), 1,
      aux_sym_declaration_repeat1,
  [282943] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8733), 1,
      anon_sym_COMMA,
    ACTIONS(13327), 1,
      anon_sym_GT2,
    STATE(8772), 1,
      aux_sym_template_argument_list_repeat1,
  [282956] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8733), 1,
      anon_sym_COMMA,
    ACTIONS(13329), 1,
      anon_sym_GT2,
    STATE(8809), 1,
      aux_sym_template_argument_list_repeat1,
  [282969] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8733), 1,
      anon_sym_COMMA,
    ACTIONS(13331), 1,
      anon_sym_GT2,
    STATE(8809), 1,
      aux_sym_template_argument_list_repeat1,
  [282982] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8733), 1,
      anon_sym_COMMA,
    ACTIONS(13333), 1,
      anon_sym_GT2,
    STATE(8809), 1,
      aux_sym_template_argument_list_repeat1,
  [282995] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13058), 1,
      anon_sym_COMMA,
    ACTIONS(13335), 1,
      anon_sym_LBRACE,
    STATE(8616), 1,
      aux_sym_field_initializer_list_repeat1,
  [283008] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13337), 1,
      sym_identifier,
    STATE(3004), 1,
      sym_template_type,
    STATE(3927), 1,
      sym_template_function,
  [283021] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12843), 1,
      anon_sym_COLON,
    ACTIONS(13339), 1,
      anon_sym_RPAREN,
    STATE(8818), 1,
      sym_gnu_asm_input_operand_list,
  [283034] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8719), 1,
      anon_sym_COMMA,
    ACTIONS(13341), 1,
      anon_sym_SEMI,
    STATE(8571), 1,
      aux_sym_declaration_repeat1,
  [283047] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12801), 1,
      anon_sym_COLON,
    ACTIONS(13343), 1,
      anon_sym_RPAREN,
    STATE(8827), 1,
      sym_gnu_asm_output_operand_list,
  [283060] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6317), 1,
      anon_sym_EQ,
    ACTIONS(6315), 2,
      anon_sym_COMMA,
      anon_sym_GT2,
  [283071] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12843), 1,
      anon_sym_COLON,
    ACTIONS(13345), 1,
      anon_sym_RPAREN,
    STATE(8861), 1,
      sym_gnu_asm_input_operand_list,
  [283084] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12801), 1,
      anon_sym_COLON,
    ACTIONS(13347), 1,
      anon_sym_RPAREN,
    STATE(8866), 1,
      sym_gnu_asm_output_operand_list,
  [283097] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8733), 1,
      anon_sym_COMMA,
    ACTIONS(13349), 1,
      anon_sym_GT2,
    STATE(8809), 1,
      aux_sym_template_argument_list_repeat1,
  [283110] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8733), 1,
      anon_sym_COMMA,
    ACTIONS(13351), 1,
      anon_sym_GT2,
    STATE(8809), 1,
      aux_sym_template_argument_list_repeat1,
  [283123] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12801), 1,
      anon_sym_COLON,
    ACTIONS(13353), 1,
      anon_sym_RPAREN,
    STATE(8738), 1,
      sym_gnu_asm_output_operand_list,
  [283136] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8733), 1,
      anon_sym_COMMA,
    ACTIONS(13355), 1,
      anon_sym_GT2,
    STATE(8809), 1,
      aux_sym_template_argument_list_repeat1,
  [283149] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13359), 1,
      anon_sym_RPAREN,
    ACTIONS(13357), 2,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [283160] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12827), 1,
      anon_sym_COLON,
    ACTIONS(13361), 1,
      anon_sym_RPAREN,
    STATE(10348), 1,
      sym_gnu_asm_goto_list,
  [283173] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13363), 1,
      sym_identifier,
    STATE(3268), 1,
      sym_template_type,
    STATE(4432), 1,
      sym_template_function,
  [283186] = 3,
    ACTIONS(10298), 1,
      sym_comment,
    STATE(8399), 1,
      aux_sym_char_literal_repeat1,
    ACTIONS(13365), 2,
      aux_sym_char_literal_token1,
      sym_escape_sequence,
  [283197] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8733), 1,
      anon_sym_COMMA,
    ACTIONS(13367), 1,
      anon_sym_GT2,
    STATE(8809), 1,
      aux_sym_template_argument_list_repeat1,
  [283210] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13369), 1,
      sym_identifier,
    STATE(3004), 1,
      sym_template_type,
    STATE(3927), 1,
      sym_template_function,
  [283223] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12835), 1,
      anon_sym_LPAREN2,
    ACTIONS(13371), 1,
      anon_sym_constexpr,
    STATE(1361), 1,
      sym_condition_clause,
  [283236] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8733), 1,
      anon_sym_COMMA,
    ACTIONS(13373), 1,
      anon_sym_GT2,
    STATE(8809), 1,
      aux_sym_template_argument_list_repeat1,
  [283249] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8719), 1,
      anon_sym_COMMA,
    ACTIONS(13375), 1,
      anon_sym_SEMI,
    STATE(8682), 1,
      aux_sym_declaration_repeat1,
  [283262] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8733), 1,
      anon_sym_COMMA,
    ACTIONS(13377), 1,
      anon_sym_GT2,
    STATE(8809), 1,
      aux_sym_template_argument_list_repeat1,
  [283275] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9030), 1,
      anon_sym_COMMA,
    ACTIONS(9032), 1,
      anon_sym_RBRACE,
    STATE(8753), 1,
      aux_sym_initializer_list_repeat1,
  [283288] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8733), 1,
      anon_sym_COMMA,
    ACTIONS(13379), 1,
      anon_sym_GT2,
    STATE(8799), 1,
      aux_sym_template_argument_list_repeat1,
  [283301] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8733), 1,
      anon_sym_COMMA,
    ACTIONS(13381), 1,
      anon_sym_GT2,
    STATE(8809), 1,
      aux_sym_template_argument_list_repeat1,
  [283314] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8733), 1,
      anon_sym_COMMA,
    ACTIONS(13383), 1,
      anon_sym_GT2,
    STATE(8809), 1,
      aux_sym_template_argument_list_repeat1,
  [283327] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8733), 1,
      anon_sym_COMMA,
    ACTIONS(13385), 1,
      anon_sym_GT2,
    STATE(8809), 1,
      aux_sym_template_argument_list_repeat1,
  [283340] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12954), 1,
      anon_sym_catch,
    STATE(504), 2,
      sym_catch_clause,
      aux_sym_constructor_try_statement_repeat1,
  [283351] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12831), 1,
      anon_sym_COLON,
    ACTIONS(13387), 1,
      anon_sym_RPAREN,
    STATE(8786), 1,
      sym_gnu_asm_clobber_list,
  [283364] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12889), 1,
      anon_sym_COMMA,
    ACTIONS(13389), 1,
      anon_sym_RBRACK_RBRACK,
    STATE(8566), 1,
      aux_sym_attribute_declaration_repeat1,
  [283377] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6550), 1,
      anon_sym_COMMA,
    ACTIONS(13391), 1,
      anon_sym_RBRACK,
    STATE(8852), 1,
      aux_sym_structured_binding_declarator_repeat1,
  [283390] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12843), 1,
      anon_sym_COLON,
    ACTIONS(13393), 1,
      anon_sym_RPAREN,
    STATE(8748), 1,
      sym_gnu_asm_input_operand_list,
  [283403] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8815), 1,
      anon_sym_COMMA,
    ACTIONS(9048), 1,
      anon_sym_RPAREN,
    STATE(8755), 1,
      aux_sym_argument_list_repeat1,
  [283416] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4887), 1,
      anon_sym_RBRACE,
    ACTIONS(13395), 1,
      anon_sym_COMMA,
    STATE(8693), 1,
      aux_sym_initializer_list_repeat1,
  [283429] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12889), 1,
      anon_sym_COMMA,
    ACTIONS(13397), 1,
      anon_sym_RBRACK_RBRACK,
    STATE(8566), 1,
      aux_sym_attribute_declaration_repeat1,
  [283442] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12235), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(13399), 2,
      anon_sym_COMMA,
      anon_sym_GT2,
  [283453] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13401), 1,
      anon_sym_COMMA,
    ACTIONS(13404), 1,
      anon_sym_GT2,
    STATE(8809), 1,
      aux_sym_template_argument_list_repeat1,
  [283466] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12950), 1,
      anon_sym_COMMA,
    ACTIONS(13406), 1,
      anon_sym_RPAREN,
    STATE(8870), 1,
      aux_sym_parameter_list_repeat1,
  [283479] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12265), 1,
      anon_sym_COMMA,
    ACTIONS(12428), 1,
      anon_sym_LBRACE,
    STATE(8752), 1,
      aux_sym_base_class_clause_repeat1,
  [283492] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13082), 1,
      anon_sym_catch,
    STATE(187), 2,
      sym_catch_clause,
      aux_sym_constructor_try_statement_repeat1,
  [283503] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13408), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_GT2,
  [283512] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8809), 1,
      anon_sym_COMMA,
    ACTIONS(13410), 1,
      anon_sym_RBRACK,
    STATE(8892), 1,
      aux_sym_subscript_argument_list_repeat1,
  [283525] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13412), 1,
      sym_identifier,
    STATE(3004), 1,
      sym_template_type,
    STATE(4700), 1,
      sym_template_function,
  [283538] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13414), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_GT2,
  [283547] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13416), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_GT2,
  [283556] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12831), 1,
      anon_sym_COLON,
    ACTIONS(13418), 1,
      anon_sym_RPAREN,
    STATE(8835), 1,
      sym_gnu_asm_clobber_list,
  [283569] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10248), 1,
      anon_sym_COMMA,
    ACTIONS(13420), 1,
      anon_sym_RPAREN,
    STATE(8926), 1,
      aux_sym_preproc_argument_list_repeat1,
  [283582] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8733), 1,
      anon_sym_COMMA,
    ACTIONS(13422), 1,
      anon_sym_GT2,
    STATE(8823), 1,
      aux_sym_template_argument_list_repeat1,
  [283595] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8733), 1,
      anon_sym_COMMA,
    ACTIONS(13424), 1,
      anon_sym_GT2,
    STATE(8809), 1,
      aux_sym_template_argument_list_repeat1,
  [283608] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8733), 1,
      anon_sym_COMMA,
    ACTIONS(13426), 1,
      anon_sym_GT2,
    STATE(8809), 1,
      aux_sym_template_argument_list_repeat1,
  [283621] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8733), 1,
      anon_sym_COMMA,
    ACTIONS(13428), 1,
      anon_sym_GT2,
    STATE(8809), 1,
      aux_sym_template_argument_list_repeat1,
  [283634] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13056), 1,
      anon_sym_catch,
    STATE(208), 2,
      sym_catch_clause,
      aux_sym_constructor_try_statement_repeat1,
  [283645] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8815), 1,
      anon_sym_COMMA,
    ACTIONS(8837), 1,
      anon_sym_RPAREN,
    STATE(8650), 1,
      aux_sym_argument_list_repeat1,
  [283658] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13430), 1,
      sym_identifier,
    STATE(3004), 1,
      sym_template_type,
    STATE(4700), 1,
      sym_template_function,
  [283671] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12843), 1,
      anon_sym_COLON,
    ACTIONS(13432), 1,
      anon_sym_RPAREN,
    STATE(8837), 1,
      sym_gnu_asm_input_operand_list,
  [283684] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8719), 1,
      anon_sym_COMMA,
    ACTIONS(13434), 1,
      anon_sym_SEMI,
    STATE(8768), 1,
      aux_sym_declaration_repeat1,
  [283697] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12950), 1,
      anon_sym_COMMA,
    ACTIONS(13436), 1,
      anon_sym_RPAREN,
    STATE(8584), 1,
      aux_sym_parameter_list_repeat1,
  [283710] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8719), 1,
      anon_sym_COMMA,
    ACTIONS(13438), 1,
      anon_sym_SEMI,
    STATE(8571), 1,
      aux_sym_declaration_repeat1,
  [283723] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8815), 1,
      anon_sym_COMMA,
    ACTIONS(13440), 1,
      anon_sym_RPAREN,
    STATE(8650), 1,
      aux_sym_argument_list_repeat1,
  [283736] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13416), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_GT2,
  [283745] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13442), 1,
      anon_sym_catch,
    STATE(2510), 2,
      sym_catch_clause,
      aux_sym_constructor_try_statement_repeat1,
  [283756] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8719), 1,
      anon_sym_COMMA,
    ACTIONS(13444), 1,
      anon_sym_SEMI,
    STATE(8571), 1,
      aux_sym_declaration_repeat1,
  [283769] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12827), 1,
      anon_sym_COLON,
    ACTIONS(13446), 1,
      anon_sym_RPAREN,
    STATE(9789), 1,
      sym_gnu_asm_goto_list,
  [283782] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13448), 1,
      sym_identifier,
    STATE(3004), 1,
      sym_template_type,
    STATE(3927), 1,
      sym_template_function,
  [283795] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12831), 1,
      anon_sym_COLON,
    ACTIONS(13450), 1,
      anon_sym_RPAREN,
    STATE(8856), 1,
      sym_gnu_asm_clobber_list,
  [283808] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12889), 1,
      anon_sym_COMMA,
    ACTIONS(13452), 1,
      anon_sym_RBRACK_RBRACK,
    STATE(8807), 1,
      aux_sym_attribute_declaration_repeat1,
  [283821] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12889), 1,
      anon_sym_COMMA,
    ACTIONS(13454), 1,
      anon_sym_RBRACK_RBRACK,
    STATE(8566), 1,
      aux_sym_attribute_declaration_repeat1,
  [283834] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8815), 1,
      anon_sym_COMMA,
    ACTIONS(9012), 1,
      anon_sym_RPAREN,
    STATE(8565), 1,
      aux_sym_argument_list_repeat1,
  [283847] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8733), 1,
      anon_sym_COMMA,
    ACTIONS(13456), 1,
      anon_sym_GT2,
    STATE(8844), 1,
      aux_sym_template_argument_list_repeat1,
  [283860] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8733), 1,
      anon_sym_COMMA,
    ACTIONS(13458), 1,
      anon_sym_GT2,
    STATE(8809), 1,
      aux_sym_template_argument_list_repeat1,
  [283873] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8733), 1,
      anon_sym_COMMA,
    ACTIONS(13460), 1,
      anon_sym_GT2,
    STATE(8809), 1,
      aux_sym_template_argument_list_repeat1,
  [283886] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8733), 1,
      anon_sym_COMMA,
    ACTIONS(13462), 1,
      anon_sym_GT2,
    STATE(8809), 1,
      aux_sym_template_argument_list_repeat1,
  [283899] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13464), 1,
      anon_sym_COMMA,
    ACTIONS(13467), 1,
      anon_sym_GT2,
    STATE(8845), 1,
      aux_sym_template_parameter_list_repeat1,
  [283912] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8719), 1,
      anon_sym_COMMA,
    ACTIONS(13469), 1,
      anon_sym_SEMI,
    STATE(8571), 1,
      aux_sym_declaration_repeat1,
  [283925] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12889), 1,
      anon_sym_COMMA,
    ACTIONS(13471), 1,
      anon_sym_RBRACK_RBRACK,
    STATE(8566), 1,
      aux_sym_attribute_declaration_repeat1,
  [283938] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8815), 1,
      anon_sym_COMMA,
    ACTIONS(9040), 1,
      anon_sym_RPAREN,
    STATE(8825), 1,
      aux_sym_argument_list_repeat1,
  [283951] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12938), 1,
      anon_sym_COMMA,
    ACTIONS(13473), 1,
      anon_sym_RPAREN,
    STATE(8558), 1,
      aux_sym_requires_parameter_list_repeat1,
  [283964] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12835), 1,
      anon_sym_LPAREN2,
    ACTIONS(13475), 1,
      anon_sym_constexpr,
    STATE(1358), 1,
      sym_condition_clause,
  [283977] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13477), 1,
      sym_identifier,
    STATE(3004), 1,
      sym_template_type,
    STATE(3927), 1,
      sym_template_function,
  [283990] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6550), 1,
      anon_sym_COMMA,
    ACTIONS(13479), 1,
      anon_sym_RBRACK,
    STATE(8550), 1,
      aux_sym_structured_binding_declarator_repeat1,
  [284003] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13481), 1,
      anon_sym_COMMA,
    ACTIONS(13484), 1,
      anon_sym_RPAREN,
    STATE(8853), 1,
      aux_sym_requires_parameter_list_repeat1,
  [284016] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8773), 1,
      anon_sym_COMMA,
    ACTIONS(13486), 1,
      anon_sym_RBRACK,
    STATE(8549), 1,
      aux_sym_lambda_capture_specifier_repeat1,
  [284029] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4893), 1,
      anon_sym_LBRACE,
    ACTIONS(12420), 1,
      anon_sym_COLON_COLON,
    STATE(1295), 1,
      sym_declaration_list,
  [284042] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12827), 1,
      anon_sym_COLON,
    ACTIONS(13488), 1,
      anon_sym_RPAREN,
    STATE(9797), 1,
      sym_gnu_asm_goto_list,
  [284055] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13490), 1,
      sym_identifier,
    STATE(3004), 1,
      sym_template_type,
    STATE(4808), 1,
      sym_template_function,
  [284068] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8719), 1,
      anon_sym_COMMA,
    ACTIONS(13492), 1,
      anon_sym_SEMI,
    STATE(8571), 1,
      aux_sym_declaration_repeat1,
  [284081] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8727), 1,
      anon_sym_COMMA,
    ACTIONS(13494), 1,
      anon_sym_RPAREN,
    STATE(8637), 1,
      aux_sym_generic_expression_repeat1,
  [284094] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12827), 1,
      anon_sym_COLON,
    ACTIONS(13496), 1,
      anon_sym_RPAREN,
    STATE(9966), 1,
      sym_gnu_asm_goto_list,
  [284107] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12831), 1,
      anon_sym_COLON,
    ACTIONS(13498), 1,
      anon_sym_RPAREN,
    STATE(8877), 1,
      sym_gnu_asm_clobber_list,
  [284120] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8733), 1,
      anon_sym_COMMA,
    ACTIONS(13500), 1,
      anon_sym_GT2,
    STATE(8865), 1,
      aux_sym_template_argument_list_repeat1,
  [284133] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8733), 1,
      anon_sym_COMMA,
    ACTIONS(13502), 1,
      anon_sym_GT2,
    STATE(8809), 1,
      aux_sym_template_argument_list_repeat1,
  [284146] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8733), 1,
      anon_sym_COMMA,
    ACTIONS(13504), 1,
      anon_sym_GT2,
    STATE(8809), 1,
      aux_sym_template_argument_list_repeat1,
  [284159] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8733), 1,
      anon_sym_COMMA,
    ACTIONS(13506), 1,
      anon_sym_GT2,
    STATE(8809), 1,
      aux_sym_template_argument_list_repeat1,
  [284172] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12843), 1,
      anon_sym_COLON,
    ACTIONS(13508), 1,
      anon_sym_RPAREN,
    STATE(8887), 1,
      sym_gnu_asm_input_operand_list,
  [284185] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8719), 1,
      anon_sym_COMMA,
    ACTIONS(13510), 1,
      anon_sym_SEMI,
    STATE(8571), 1,
      aux_sym_declaration_repeat1,
  [284198] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8713), 1,
      anon_sym_RBRACE,
    ACTIONS(9042), 1,
      anon_sym_COMMA,
    STATE(8543), 1,
      aux_sym_initializer_list_repeat1,
  [284211] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8727), 1,
      anon_sym_COMMA,
    ACTIONS(13512), 1,
      anon_sym_RPAREN,
    STATE(8637), 1,
      aux_sym_generic_expression_repeat1,
  [284224] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13514), 1,
      anon_sym_COMMA,
    ACTIONS(13517), 1,
      anon_sym_RPAREN,
    STATE(8870), 1,
      aux_sym_parameter_list_repeat1,
  [284237] = 3,
    ACTIONS(10298), 1,
      sym_comment,
    STATE(8460), 1,
      aux_sym_char_literal_repeat1,
    ACTIONS(13519), 2,
      aux_sym_char_literal_token1,
      sym_escape_sequence,
  [284248] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12831), 1,
      anon_sym_COLON,
    ACTIONS(13521), 1,
      anon_sym_RPAREN,
    STATE(8860), 1,
      sym_gnu_asm_clobber_list,
  [284261] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12827), 1,
      anon_sym_COLON,
    ACTIONS(13523), 1,
      anon_sym_RPAREN,
    STATE(9965), 1,
      sym_gnu_asm_goto_list,
  [284274] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13313), 1,
      anon_sym_COMMA,
    ACTIONS(13525), 1,
      anon_sym_RPAREN,
    STATE(8759), 1,
      aux_sym_throw_specifier_repeat1,
  [284287] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8815), 1,
      anon_sym_COMMA,
    ACTIONS(13527), 1,
      anon_sym_RPAREN,
    STATE(8650), 1,
      aux_sym_argument_list_repeat1,
  [284300] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8719), 1,
      anon_sym_COMMA,
    ACTIONS(13529), 1,
      anon_sym_SEMI,
    STATE(8571), 1,
      aux_sym_declaration_repeat1,
  [284313] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12827), 1,
      anon_sym_COLON,
    ACTIONS(13531), 1,
      anon_sym_RPAREN,
    STATE(9932), 1,
      sym_gnu_asm_goto_list,
  [284326] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13533), 1,
      sym_identifier,
    STATE(3004), 1,
      sym_template_type,
    STATE(3649), 1,
      sym_template_function,
  [284339] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4895), 1,
      anon_sym_LBRACE,
    ACTIONS(12420), 1,
      anon_sym_COLON_COLON,
    STATE(1174), 1,
      sym_declaration_list,
  [284352] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12265), 1,
      anon_sym_COMMA,
    ACTIONS(12267), 1,
      anon_sym_LBRACE,
    STATE(8752), 1,
      aux_sym_base_class_clause_repeat1,
  [284365] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12265), 1,
      anon_sym_COMMA,
    ACTIONS(12267), 1,
      anon_sym_LBRACE,
    STATE(8533), 1,
      aux_sym_base_class_clause_repeat1,
  [284378] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12843), 1,
      anon_sym_COLON,
    ACTIONS(13535), 1,
      anon_sym_RPAREN,
    STATE(8872), 1,
      sym_gnu_asm_input_operand_list,
  [284391] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8733), 1,
      anon_sym_COMMA,
    ACTIONS(13537), 1,
      anon_sym_GT2,
    STATE(8886), 1,
      aux_sym_template_argument_list_repeat1,
  [284404] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8733), 1,
      anon_sym_COMMA,
    ACTIONS(13539), 1,
      anon_sym_GT2,
    STATE(8809), 1,
      aux_sym_template_argument_list_repeat1,
  [284417] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8733), 1,
      anon_sym_COMMA,
    ACTIONS(13541), 1,
      anon_sym_GT2,
    STATE(8809), 1,
      aux_sym_template_argument_list_repeat1,
  [284430] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8733), 1,
      anon_sym_COMMA,
    ACTIONS(13543), 1,
      anon_sym_GT2,
    STATE(8809), 1,
      aux_sym_template_argument_list_repeat1,
  [284443] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12831), 1,
      anon_sym_COLON,
    ACTIONS(13545), 1,
      anon_sym_RPAREN,
    STATE(8906), 1,
      sym_gnu_asm_clobber_list,
  [284456] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8733), 1,
      anon_sym_COMMA,
    ACTIONS(13547), 1,
      anon_sym_GT2,
    STATE(8809), 1,
      aux_sym_template_argument_list_repeat1,
  [284469] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12831), 1,
      anon_sym_COLON,
    ACTIONS(13549), 1,
      anon_sym_RPAREN,
    STATE(8873), 1,
      sym_gnu_asm_clobber_list,
  [284482] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13551), 1,
      anon_sym_EQ,
    ACTIONS(11853), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [284493] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13553), 1,
      anon_sym_COMMA,
    ACTIONS(13556), 1,
      anon_sym_LBRACE,
    STATE(8891), 1,
      aux_sym_field_initializer_list_repeat1,
  [284506] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9211), 1,
      anon_sym_RBRACK,
    ACTIONS(13558), 1,
      anon_sym_COMMA,
    STATE(8892), 1,
      aux_sym_subscript_argument_list_repeat1,
  [284519] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12889), 1,
      anon_sym_COMMA,
    ACTIONS(13561), 1,
      anon_sym_RBRACK_RBRACK,
    STATE(8940), 1,
      aux_sym_attribute_declaration_repeat1,
  [284532] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12893), 1,
      anon_sym_COMMA,
    ACTIONS(13563), 1,
      anon_sym_GT2,
    STATE(8537), 1,
      aux_sym_template_parameter_list_repeat1,
  [284545] = 3,
    ACTIONS(10298), 1,
      sym_comment,
    STATE(8396), 1,
      aux_sym_char_literal_repeat1,
    ACTIONS(13565), 2,
      aux_sym_char_literal_token1,
      sym_escape_sequence,
  [284556] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8815), 1,
      anon_sym_COMMA,
    ACTIONS(13567), 1,
      anon_sym_RPAREN,
    STATE(8650), 1,
      aux_sym_argument_list_repeat1,
  [284569] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13569), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(13571), 2,
      anon_sym_COMMA,
      anon_sym_LBRACE,
  [284580] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13573), 1,
      sym_identifier,
    STATE(3004), 1,
      sym_template_type,
    STATE(3927), 1,
      sym_template_function,
  [284593] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13575), 1,
      anon_sym_catch,
    STATE(1471), 2,
      sym_catch_clause,
      aux_sym_constructor_try_statement_repeat1,
  [284604] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13442), 1,
      anon_sym_catch,
    STATE(2516), 2,
      sym_catch_clause,
      aux_sym_constructor_try_statement_repeat1,
  [284615] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8719), 1,
      anon_sym_COMMA,
    ACTIONS(13577), 1,
      anon_sym_SEMI,
    STATE(8965), 1,
      aux_sym_declaration_repeat1,
  [284628] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8733), 1,
      anon_sym_COMMA,
    ACTIONS(13579), 1,
      anon_sym_GT2,
    STATE(8905), 1,
      aux_sym_template_argument_list_repeat1,
  [284641] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8733), 1,
      anon_sym_COMMA,
    ACTIONS(13581), 1,
      anon_sym_GT2,
    STATE(8809), 1,
      aux_sym_template_argument_list_repeat1,
  [284654] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8733), 1,
      anon_sym_COMMA,
    ACTIONS(13583), 1,
      anon_sym_GT2,
    STATE(8809), 1,
      aux_sym_template_argument_list_repeat1,
  [284667] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8733), 1,
      anon_sym_COMMA,
    ACTIONS(13585), 1,
      anon_sym_GT2,
    STATE(8809), 1,
      aux_sym_template_argument_list_repeat1,
  [284680] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12827), 1,
      anon_sym_COLON,
    ACTIONS(13587), 1,
      anon_sym_RPAREN,
    STATE(9927), 1,
      sym_gnu_asm_goto_list,
  [284693] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8727), 1,
      anon_sym_COMMA,
    ACTIONS(13589), 1,
      anon_sym_RPAREN,
    STATE(8637), 1,
      aux_sym_generic_expression_repeat1,
  [284706] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12889), 1,
      anon_sym_COMMA,
    ACTIONS(13591), 1,
      anon_sym_RBRACK_RBRACK,
    STATE(8749), 1,
      aux_sym_attribute_declaration_repeat1,
  [284719] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8809), 1,
      anon_sym_COMMA,
    ACTIONS(8869), 1,
      anon_sym_RBRACK,
    STATE(8671), 1,
      aux_sym_subscript_argument_list_repeat1,
  [284732] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13174), 1,
      anon_sym_catch,
    STATE(463), 2,
      sym_catch_clause,
      aux_sym_constructor_try_statement_repeat1,
  [284743] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13593), 3,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
  [284752] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13595), 1,
      sym_identifier,
    STATE(3004), 1,
      sym_template_type,
    STATE(7759), 1,
      sym_template_function,
  [284765] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8733), 1,
      anon_sym_COMMA,
    ACTIONS(13597), 1,
      anon_sym_GT2,
    STATE(8809), 1,
      aux_sym_template_argument_list_repeat1,
  [284778] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8733), 1,
      anon_sym_COMMA,
    ACTIONS(13599), 1,
      anon_sym_GT2,
    STATE(8809), 1,
      aux_sym_template_argument_list_repeat1,
  [284791] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8733), 1,
      anon_sym_COMMA,
    ACTIONS(13601), 1,
      anon_sym_GT2,
    STATE(8809), 1,
      aux_sym_template_argument_list_repeat1,
  [284804] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13603), 1,
      sym_identifier,
    STATE(3004), 1,
      sym_template_type,
    STATE(4283), 1,
      sym_template_function,
  [284817] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12901), 1,
      anon_sym_COLON_COLON,
    ACTIONS(13605), 2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [284828] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12801), 1,
      anon_sym_COLON,
    ACTIONS(13607), 1,
      anon_sym_RPAREN,
    STATE(8882), 1,
      sym_gnu_asm_output_operand_list,
  [284841] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12843), 1,
      anon_sym_COLON,
    ACTIONS(13609), 1,
      anon_sym_RPAREN,
    STATE(8889), 1,
      sym_gnu_asm_input_operand_list,
  [284854] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8733), 1,
      anon_sym_COMMA,
    ACTIONS(13611), 1,
      anon_sym_GT2,
    STATE(8923), 1,
      aux_sym_template_argument_list_repeat1,
  [284867] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8733), 1,
      anon_sym_COMMA,
    ACTIONS(13613), 1,
      anon_sym_GT2,
    STATE(8809), 1,
      aux_sym_template_argument_list_repeat1,
  [284880] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8733), 1,
      anon_sym_COMMA,
    ACTIONS(13615), 1,
      anon_sym_GT2,
    STATE(8809), 1,
      aux_sym_template_argument_list_repeat1,
  [284893] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8733), 1,
      anon_sym_COMMA,
    ACTIONS(13617), 1,
      anon_sym_GT2,
    STATE(8809), 1,
      aux_sym_template_argument_list_repeat1,
  [284906] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12950), 1,
      anon_sym_COMMA,
    ACTIONS(13619), 1,
      anon_sym_RPAREN,
    STATE(8698), 1,
      aux_sym_parameter_list_repeat1,
  [284919] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8719), 1,
      anon_sym_COMMA,
    ACTIONS(13621), 1,
      anon_sym_SEMI,
    STATE(8571), 1,
      aux_sym_declaration_repeat1,
  [284932] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10382), 1,
      anon_sym_RPAREN,
    ACTIONS(13623), 1,
      anon_sym_COMMA,
    STATE(8926), 1,
      aux_sym_preproc_argument_list_repeat1,
  [284945] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8719), 1,
      anon_sym_COMMA,
    ACTIONS(13626), 1,
      anon_sym_SEMI,
    STATE(8571), 1,
      aux_sym_declaration_repeat1,
  [284958] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5900), 1,
      anon_sym_LT,
    ACTIONS(6946), 1,
      anon_sym_SEMI,
    STATE(3204), 1,
      sym_template_argument_list,
  [284971] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12893), 1,
      anon_sym_COMMA,
    ACTIONS(13628), 1,
      anon_sym_GT2,
    STATE(8713), 1,
      aux_sym_template_parameter_list_repeat1,
  [284984] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13630), 1,
      anon_sym_COMMA,
    ACTIONS(13633), 1,
      anon_sym_RPAREN,
    STATE(8930), 1,
      aux_sym_preproc_params_repeat1,
  [284997] = 3,
    ACTIONS(10298), 1,
      sym_comment,
    STATE(8325), 1,
      aux_sym_char_literal_repeat1,
    ACTIONS(13635), 2,
      aux_sym_char_literal_token1,
      sym_escape_sequence,
  [285008] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4881), 1,
      anon_sym_RBRACE,
    ACTIONS(13637), 1,
      anon_sym_COMMA,
    STATE(8693), 1,
      aux_sym_initializer_list_repeat1,
  [285021] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8733), 1,
      anon_sym_COMMA,
    ACTIONS(13639), 1,
      anon_sym_GT2,
    STATE(8936), 1,
      aux_sym_template_argument_list_repeat1,
  [285034] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8733), 1,
      anon_sym_COMMA,
    ACTIONS(13641), 1,
      anon_sym_GT2,
    STATE(8809), 1,
      aux_sym_template_argument_list_repeat1,
  [285047] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8733), 1,
      anon_sym_COMMA,
    ACTIONS(13643), 1,
      anon_sym_GT2,
    STATE(8809), 1,
      aux_sym_template_argument_list_repeat1,
  [285060] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8733), 1,
      anon_sym_COMMA,
    ACTIONS(13645), 1,
      anon_sym_GT2,
    STATE(8809), 1,
      aux_sym_template_argument_list_repeat1,
  [285073] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12420), 3,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
  [285082] = 3,
    ACTIONS(10298), 1,
      sym_comment,
    STATE(8281), 1,
      aux_sym_char_literal_repeat1,
    ACTIONS(13647), 2,
      aux_sym_char_literal_token1,
      sym_escape_sequence,
  [285093] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5982), 3,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_DOT,
  [285102] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12889), 1,
      anon_sym_COMMA,
    ACTIONS(13649), 1,
      anon_sym_RBRACK_RBRACK,
    STATE(8566), 1,
      aux_sym_attribute_declaration_repeat1,
  [285115] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8815), 1,
      anon_sym_COMMA,
    ACTIONS(9008), 1,
      anon_sym_RPAREN,
    STATE(8946), 1,
      aux_sym_argument_list_repeat1,
  [285128] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8733), 1,
      anon_sym_COMMA,
    ACTIONS(13651), 1,
      anon_sym_GT2,
    STATE(8945), 1,
      aux_sym_template_argument_list_repeat1,
  [285141] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8733), 1,
      anon_sym_COMMA,
    ACTIONS(13653), 1,
      anon_sym_GT2,
    STATE(8809), 1,
      aux_sym_template_argument_list_repeat1,
  [285154] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8733), 1,
      anon_sym_COMMA,
    ACTIONS(13655), 1,
      anon_sym_GT2,
    STATE(8809), 1,
      aux_sym_template_argument_list_repeat1,
  [285167] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8733), 1,
      anon_sym_COMMA,
    ACTIONS(13657), 1,
      anon_sym_GT2,
    STATE(8809), 1,
      aux_sym_template_argument_list_repeat1,
  [285180] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8815), 1,
      anon_sym_COMMA,
    ACTIONS(8881), 1,
      anon_sym_RPAREN,
    STATE(8650), 1,
      aux_sym_argument_list_repeat1,
  [285193] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8733), 1,
      anon_sym_COMMA,
    ACTIONS(13659), 1,
      anon_sym_GT2,
    STATE(8725), 1,
      aux_sym_template_argument_list_repeat1,
  [285206] = 3,
    ACTIONS(10298), 1,
      sym_comment,
    STATE(8260), 1,
      aux_sym_char_literal_repeat1,
    ACTIONS(13661), 2,
      aux_sym_char_literal_token1,
      sym_escape_sequence,
  [285217] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12801), 1,
      anon_sym_COLON,
    ACTIONS(13663), 1,
      anon_sym_RPAREN,
    STATE(8750), 1,
      sym_gnu_asm_output_operand_list,
  [285230] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8733), 1,
      anon_sym_COMMA,
    ACTIONS(13665), 1,
      anon_sym_GT2,
    STATE(8953), 1,
      aux_sym_template_argument_list_repeat1,
  [285243] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8733), 1,
      anon_sym_COMMA,
    ACTIONS(13667), 1,
      anon_sym_GT2,
    STATE(8809), 1,
      aux_sym_template_argument_list_repeat1,
  [285256] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8733), 1,
      anon_sym_COMMA,
    ACTIONS(13669), 1,
      anon_sym_GT2,
    STATE(8809), 1,
      aux_sym_template_argument_list_repeat1,
  [285269] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8733), 1,
      anon_sym_COMMA,
    ACTIONS(13671), 1,
      anon_sym_GT2,
    STATE(8809), 1,
      aux_sym_template_argument_list_repeat1,
  [285282] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9026), 1,
      anon_sym_COMMA,
    ACTIONS(9028), 1,
      anon_sym_RBRACE,
    STATE(8806), 1,
      aux_sym_initializer_list_repeat1,
  [285295] = 3,
    ACTIONS(10298), 1,
      sym_comment,
    STATE(8402), 1,
      aux_sym_char_literal_repeat1,
    ACTIONS(13673), 2,
      aux_sym_char_literal_token1,
      sym_escape_sequence,
  [285306] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12835), 1,
      anon_sym_LPAREN2,
    ACTIONS(13675), 1,
      anon_sym_constexpr,
    STATE(1348), 1,
      sym_condition_clause,
  [285319] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9004), 1,
      anon_sym_COMMA,
    ACTIONS(9006), 1,
      anon_sym_RBRACE,
    STATE(8932), 1,
      aux_sym_initializer_list_repeat1,
  [285332] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8733), 1,
      anon_sym_COMMA,
    ACTIONS(13677), 1,
      anon_sym_GT2,
    STATE(8961), 1,
      aux_sym_template_argument_list_repeat1,
  [285345] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8733), 1,
      anon_sym_COMMA,
    ACTIONS(13679), 1,
      anon_sym_GT2,
    STATE(8809), 1,
      aux_sym_template_argument_list_repeat1,
  [285358] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8733), 1,
      anon_sym_COMMA,
    ACTIONS(13681), 1,
      anon_sym_GT2,
    STATE(8809), 1,
      aux_sym_template_argument_list_repeat1,
  [285371] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8733), 1,
      anon_sym_COMMA,
    ACTIONS(13683), 1,
      anon_sym_GT2,
    STATE(8809), 1,
      aux_sym_template_argument_list_repeat1,
  [285384] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13442), 1,
      anon_sym_catch,
    STATE(2509), 2,
      sym_catch_clause,
      aux_sym_constructor_try_statement_repeat1,
  [285395] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2301), 1,
      anon_sym_while,
    ACTIONS(12809), 1,
      anon_sym_else,
    STATE(1002), 1,
      sym_else_clause,
  [285408] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8733), 1,
      anon_sym_COMMA,
    ACTIONS(13685), 1,
      anon_sym_GT2,
    STATE(8529), 1,
      aux_sym_template_argument_list_repeat1,
  [285421] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8719), 1,
      anon_sym_COMMA,
    ACTIONS(13687), 1,
      anon_sym_SEMI,
    STATE(8571), 1,
      aux_sym_declaration_repeat1,
  [285434] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8733), 1,
      anon_sym_COMMA,
    ACTIONS(13689), 1,
      anon_sym_GT2,
    STATE(8969), 1,
      aux_sym_template_argument_list_repeat1,
  [285447] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8733), 1,
      anon_sym_COMMA,
    ACTIONS(13691), 1,
      anon_sym_GT2,
    STATE(8809), 1,
      aux_sym_template_argument_list_repeat1,
  [285460] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8733), 1,
      anon_sym_COMMA,
    ACTIONS(13693), 1,
      anon_sym_GT2,
    STATE(8809), 1,
      aux_sym_template_argument_list_repeat1,
  [285473] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8733), 1,
      anon_sym_COMMA,
    ACTIONS(13695), 1,
      anon_sym_GT2,
    STATE(8809), 1,
      aux_sym_template_argument_list_repeat1,
  [285486] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12843), 1,
      anon_sym_COLON,
    ACTIONS(13697), 1,
      anon_sym_RPAREN,
    STATE(8511), 1,
      sym_gnu_asm_input_operand_list,
  [285499] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12801), 1,
      anon_sym_COLON,
    ACTIONS(13699), 1,
      anon_sym_RPAREN,
    STATE(8919), 1,
      sym_gnu_asm_output_operand_list,
  [285512] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12801), 1,
      anon_sym_COLON,
    ACTIONS(13701), 1,
      anon_sym_RPAREN,
    STATE(8606), 1,
      sym_gnu_asm_output_operand_list,
  [285525] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8733), 1,
      anon_sym_COMMA,
    ACTIONS(13703), 1,
      anon_sym_GT2,
    STATE(8913), 1,
      aux_sym_template_argument_list_repeat1,
  [285538] = 4,
    ACTIONS(10298), 1,
      sym_comment,
    ACTIONS(12823), 1,
      anon_sym_LPAREN2,
    ACTIONS(13705), 1,
      aux_sym_preproc_include_token2,
    STATE(10053), 1,
      sym_preproc_argument_list,
  [285551] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4534), 1,
      anon_sym_LBRACE,
    STATE(6046), 1,
      sym_initializer_list,
  [285561] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6857), 1,
      anon_sym_LBRACE,
    STATE(3694), 1,
      sym_field_declaration_list,
  [285571] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(53), 1,
      anon_sym_LBRACE,
    STATE(8223), 1,
      sym_compound_statement,
  [285581] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13707), 1,
      sym_identifier,
    STATE(3228), 1,
      sym_template_type,
  [285591] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13709), 1,
      sym_identifier,
    STATE(8594), 1,
      sym_attribute,
  [285601] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9528), 1,
      anon_sym_LBRACE,
    STATE(6123), 1,
      sym_field_declaration_list,
  [285611] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9528), 1,
      anon_sym_LBRACE,
    STATE(6137), 1,
      sym_field_declaration_list,
  [285621] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6857), 1,
      anon_sym_LBRACE,
    STATE(3692), 1,
      sym_field_declaration_list,
  [285631] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11230), 1,
      anon_sym_RBRACE,
    ACTIONS(13711), 1,
      anon_sym_COMMA,
  [285641] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13713), 1,
      anon_sym_LPAREN2,
    STATE(9465), 1,
      sym_parenthesized_expression,
  [285651] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8998), 1,
      anon_sym_RPAREN,
    ACTIONS(9000), 1,
      anon_sym_SEMI,
  [285661] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12835), 1,
      anon_sym_LPAREN2,
    STATE(9204), 1,
      sym_condition_clause,
  [285671] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11325), 1,
      anon_sym_RBRACE,
    ACTIONS(13711), 1,
      anon_sym_COMMA,
  [285681] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12835), 1,
      anon_sym_LPAREN2,
    STATE(1349), 1,
      sym_condition_clause,
  [285691] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10094), 1,
      anon_sym_LPAREN2,
    STATE(9389), 1,
      sym_parameter_list,
  [285701] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5929), 1,
      anon_sym_LBRACE,
    STATE(3116), 1,
      sym_field_declaration_list,
  [285711] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4176), 1,
      anon_sym_LBRACE,
    STATE(1532), 1,
      sym_field_declaration_list,
  [285721] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11204), 1,
      anon_sym_LBRACE,
    STATE(2617), 1,
      sym_compound_statement,
  [285731] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5929), 1,
      anon_sym_LBRACE,
    STATE(3117), 1,
      sym_field_declaration_list,
  [285741] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(53), 1,
      anon_sym_LBRACE,
    STATE(8697), 1,
      sym_compound_statement,
  [285751] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1986), 1,
      anon_sym_LBRACE,
    STATE(1573), 1,
      sym_compound_statement,
  [285761] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4176), 1,
      anon_sym_LBRACE,
    STATE(1576), 1,
      sym_field_declaration_list,
  [285771] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13715), 1,
      anon_sym_LT,
    STATE(3581), 1,
      sym_template_argument_list,
  [285781] = 3,
    ACTIONS(10298), 1,
      sym_comment,
    ACTIONS(13717), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(13719), 1,
      sym_preproc_arg,
  [285791] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4176), 1,
      anon_sym_LBRACE,
    STATE(1638), 1,
      sym_field_declaration_list,
  [285801] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2281), 1,
      anon_sym_LBRACE,
    STATE(720), 1,
      sym_field_declaration_list,
  [285811] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8298), 1,
      anon_sym_LPAREN2,
    STATE(10079), 1,
      sym_argument_list,
  [285821] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13711), 1,
      anon_sym_COMMA,
    ACTIONS(13721), 1,
      anon_sym_RBRACE,
  [285831] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6249), 1,
      anon_sym_LT,
    STATE(3017), 1,
      sym_template_argument_list,
  [285841] = 3,
    ACTIONS(10298), 1,
      sym_comment,
    ACTIONS(13723), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(13725), 1,
      sym_preproc_arg,
  [285851] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13727), 1,
      sym_identifier,
    STATE(3004), 1,
      sym_template_type,
  [285861] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13729), 1,
      anon_sym_LT,
    STATE(4991), 1,
      sym_template_argument_list,
  [285871] = 3,
    ACTIONS(10298), 1,
      sym_comment,
    ACTIONS(13731), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(13733), 1,
      sym_preproc_arg,
  [285881] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13633), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [285889] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9528), 1,
      anon_sym_LBRACE,
    STATE(6150), 1,
      sym_field_declaration_list,
  [285899] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13735), 1,
      anon_sym_LT,
    STATE(4861), 1,
      sym_template_argument_list,
  [285909] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13737), 1,
      anon_sym_LT,
    STATE(3559), 1,
      sym_template_argument_list,
  [285919] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8298), 1,
      anon_sym_LPAREN2,
    STATE(9777), 1,
      sym_argument_list,
  [285929] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13605), 2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [285937] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1986), 1,
      anon_sym_LBRACE,
    STATE(1483), 1,
      sym_compound_statement,
  [285947] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13571), 2,
      anon_sym_COMMA,
      anon_sym_LBRACE,
  [285955] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(53), 1,
      anon_sym_LBRACE,
    STATE(8434), 1,
      sym_compound_statement,
  [285965] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11204), 1,
      anon_sym_LBRACE,
    STATE(2542), 1,
      sym_compound_statement,
  [285975] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11297), 1,
      anon_sym_RBRACE,
    ACTIONS(13711), 1,
      anon_sym_COMMA,
  [285985] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12553), 1,
      anon_sym_LBRACE,
    STATE(2657), 1,
      sym_requirement_seq,
  [285995] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8298), 1,
      anon_sym_LPAREN2,
    STATE(10193), 1,
      sym_argument_list,
  [286005] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9247), 1,
      anon_sym_LT,
    STATE(6077), 1,
      sym_template_argument_list,
  [286015] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12835), 1,
      anon_sym_LPAREN2,
    STATE(1358), 1,
      sym_condition_clause,
  [286025] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1986), 1,
      anon_sym_LBRACE,
    STATE(1543), 1,
      sym_compound_statement,
  [286035] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13739), 1,
      anon_sym_if,
    ACTIONS(13741), 1,
      anon_sym_for,
  [286045] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9528), 1,
      anon_sym_LBRACE,
    STATE(6112), 1,
      sym_field_declaration_list,
  [286055] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4176), 1,
      anon_sym_LBRACE,
    STATE(1544), 1,
      sym_field_declaration_list,
  [286065] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4176), 1,
      anon_sym_LBRACE,
    STATE(1561), 1,
      sym_field_declaration_list,
  [286075] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4895), 1,
      anon_sym_LBRACE,
    STATE(1196), 1,
      sym_declaration_list,
  [286085] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13743), 1,
      sym_identifier,
    STATE(3580), 1,
      sym_template_type,
  [286095] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9211), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [286103] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13745), 2,
      anon_sym_COMMA,
      anon_sym_LBRACE,
  [286111] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4176), 1,
      anon_sym_LBRACE,
    STATE(1562), 1,
      sym_field_declaration_list,
  [286121] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10094), 1,
      anon_sym_LPAREN2,
    STATE(9320), 1,
      sym_parameter_list,
  [286131] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13556), 2,
      anon_sym_COMMA,
      anon_sym_LBRACE,
  [286139] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13747), 1,
      anon_sym_LT,
    STATE(3761), 1,
      sym_template_argument_list,
  [286149] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13749), 2,
      anon_sym_COMMA,
      anon_sym_LBRACE,
  [286157] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8298), 1,
      anon_sym_LPAREN2,
    STATE(10353), 1,
      sym_argument_list,
  [286167] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13751), 1,
      anon_sym_default,
    ACTIONS(13753), 1,
      anon_sym_delete,
  [286177] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12835), 1,
      anon_sym_LPAREN2,
    STATE(1379), 1,
      sym_condition_clause,
  [286187] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5929), 1,
      anon_sym_LBRACE,
    STATE(913), 1,
      sym_field_declaration_list,
  [286197] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13755), 2,
      anon_sym_COMMA,
      anon_sym_GT2,
  [286205] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13757), 1,
      sym_identifier,
    STATE(174), 1,
      sym_template_type,
  [286215] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(53), 1,
      anon_sym_LBRACE,
    STATE(8545), 1,
      sym_compound_statement,
  [286225] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4176), 1,
      anon_sym_LBRACE,
    STATE(1605), 1,
      sym_field_declaration_list,
  [286235] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4435), 1,
      anon_sym_LBRACE,
    STATE(5584), 1,
      sym_initializer_list,
  [286245] = 3,
    ACTIONS(10298), 1,
      sym_comment,
    ACTIONS(13759), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(13761), 1,
      sym_preproc_arg,
  [286255] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13763), 1,
      sym_identifier,
    STATE(4984), 1,
      sym_template_type,
  [286265] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(830), 1,
      anon_sym_LBRACE,
    STATE(1055), 1,
      sym_compound_statement,
  [286275] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13517), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [286283] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2279), 1,
      anon_sym_LBRACE,
    STATE(952), 1,
      sym_field_declaration_list,
  [286293] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4184), 1,
      anon_sym_LT,
    STATE(1478), 1,
      sym_template_argument_list,
  [286303] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4893), 1,
      anon_sym_LBRACE,
    STATE(1292), 1,
      sym_declaration_list,
  [286313] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3998), 1,
      anon_sym_LBRACE,
    STATE(4292), 1,
      sym_initializer_list,
  [286323] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6421), 1,
      anon_sym_LBRACE,
    STATE(3359), 1,
      sym_field_declaration_list,
  [286333] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13765), 1,
      sym_identifier,
    STATE(3804), 1,
      sym_template_type,
  [286343] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13767), 1,
      sym_identifier,
    STATE(4859), 1,
      sym_template_type,
  [286353] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13484), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [286361] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2279), 1,
      anon_sym_LBRACE,
    STATE(710), 1,
      sym_field_declaration_list,
  [286371] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(391), 1,
      anon_sym_LBRACE,
    STATE(485), 1,
      sym_compound_statement,
  [286381] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2281), 1,
      anon_sym_LBRACE,
    STATE(913), 1,
      sym_field_declaration_list,
  [286391] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2279), 1,
      anon_sym_LBRACE,
    STATE(711), 1,
      sym_field_declaration_list,
  [286401] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13357), 2,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [286409] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2279), 1,
      anon_sym_LBRACE,
    STATE(713), 1,
      sym_field_declaration_list,
  [286419] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(53), 1,
      anon_sym_LBRACE,
    STATE(8502), 1,
      sym_compound_statement,
  [286429] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(53), 1,
      anon_sym_LBRACE,
    STATE(818), 1,
      sym_compound_statement,
  [286439] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2305), 1,
      anon_sym_LT,
    STATE(364), 1,
      sym_template_argument_list,
  [286449] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13467), 2,
      anon_sym_COMMA,
      anon_sym_GT2,
  [286457] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13709), 1,
      sym_identifier,
    STATE(9428), 1,
      sym_attribute,
  [286467] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6993), 1,
      anon_sym_LBRACE,
    STATE(4083), 1,
      sym_field_declaration_list,
  [286477] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2283), 1,
      anon_sym_LBRACE,
    STATE(714), 1,
      sym_field_declaration_list,
  [286487] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13769), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK_RBRACK,
  [286495] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12331), 1,
      anon_sym_LBRACE,
    STATE(7065), 1,
      sym_requirement_seq,
  [286505] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13771), 1,
      sym_identifier,
    STATE(6078), 1,
      sym_template_type,
  [286515] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11196), 1,
      anon_sym_LBRACE,
    STATE(2767), 1,
      sym_compound_statement,
  [286525] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13713), 1,
      anon_sym_LPAREN2,
    STATE(10037), 1,
      sym_parenthesized_expression,
  [286535] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10094), 1,
      anon_sym_LPAREN2,
    STATE(9443), 1,
      sym_parameter_list,
  [286545] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(53), 1,
      anon_sym_LBRACE,
    STATE(817), 1,
      sym_compound_statement,
  [286555] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8647), 1,
      anon_sym_LT,
    STATE(3203), 1,
      sym_template_argument_list,
  [286565] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5929), 1,
      anon_sym_LBRACE,
    STATE(812), 1,
      sym_field_declaration_list,
  [286575] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5900), 1,
      anon_sym_LT,
    STATE(3484), 1,
      sym_template_argument_list,
  [286585] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10094), 1,
      anon_sym_LPAREN2,
    STATE(9167), 1,
      sym_parameter_list,
  [286595] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2248), 1,
      anon_sym_LT,
    STATE(200), 1,
      sym_template_argument_list,
  [286605] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4897), 1,
      anon_sym_LBRACE,
    STATE(640), 1,
      sym_declaration_list,
  [286615] = 3,
    ACTIONS(10298), 1,
      sym_comment,
    ACTIONS(13773), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(13775), 1,
      sym_preproc_arg,
  [286625] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13777), 2,
      anon_sym_COMMA,
      anon_sym_GT2,
  [286633] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2283), 1,
      anon_sym_LBRACE,
    STATE(801), 1,
      sym_field_declaration_list,
  [286643] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13779), 1,
      anon_sym_default,
    ACTIONS(13781), 1,
      anon_sym_delete,
  [286653] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2283), 1,
      anon_sym_LBRACE,
    STATE(803), 1,
      sym_field_declaration_list,
  [286663] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2289), 1,
      anon_sym_LT,
    STATE(460), 1,
      sym_template_argument_list,
  [286673] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5929), 1,
      anon_sym_LBRACE,
    STATE(810), 1,
      sym_field_declaration_list,
  [286683] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13783), 2,
      anon_sym_COMMA,
      anon_sym_GT2,
  [286691] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13785), 1,
      sym_identifier,
    STATE(3771), 1,
      sym_template_type,
  [286701] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13711), 1,
      anon_sym_COMMA,
    ACTIONS(13787), 1,
      anon_sym_RBRACE,
  [286711] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2283), 1,
      anon_sym_LBRACE,
    STATE(805), 1,
      sym_field_declaration_list,
  [286721] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1136), 1,
      anon_sym_LBRACE,
    STATE(808), 1,
      sym_compound_statement,
  [286731] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6857), 1,
      anon_sym_LBRACE,
    STATE(6674), 1,
      sym_field_declaration_list,
  [286741] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(53), 1,
      anon_sym_LBRACE,
    STATE(8675), 1,
      sym_compound_statement,
  [286751] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12420), 1,
      anon_sym_COLON_COLON,
    ACTIONS(13789), 1,
      anon_sym_SEMI,
  [286761] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(299), 1,
      anon_sym_LBRACE,
    STATE(216), 1,
      sym_compound_statement,
  [286771] = 3,
    ACTIONS(10298), 1,
      sym_comment,
    ACTIONS(13791), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(13793), 1,
      sym_preproc_arg,
  [286781] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10015), 1,
      anon_sym_LBRACE,
    STATE(5421), 1,
      sym_requirement_seq,
  [286791] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11327), 1,
      anon_sym_RBRACE,
    ACTIONS(13711), 1,
      anon_sym_COMMA,
  [286801] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8298), 1,
      anon_sym_LPAREN2,
    STATE(10260), 1,
      sym_argument_list,
  [286811] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11279), 1,
      anon_sym_LBRACE,
    STATE(2816), 1,
      sym_compound_statement,
  [286821] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2297), 1,
      anon_sym_LT,
    STATE(3017), 1,
      sym_template_argument_list,
  [286831] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(53), 1,
      anon_sym_LBRACE,
    STATE(8629), 1,
      sym_compound_statement,
  [286841] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6993), 1,
      anon_sym_LBRACE,
    STATE(4070), 1,
      sym_field_declaration_list,
  [286851] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13709), 1,
      sym_identifier,
    STATE(8641), 1,
      sym_attribute,
  [286861] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6993), 1,
      anon_sym_LBRACE,
    STATE(4059), 1,
      sym_field_declaration_list,
  [286871] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11279), 1,
      anon_sym_LBRACE,
    STATE(2787), 1,
      sym_compound_statement,
  [286881] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6857), 1,
      anon_sym_LBRACE,
    STATE(6663), 1,
      sym_field_declaration_list,
  [286891] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6857), 1,
      anon_sym_LBRACE,
    STATE(6666), 1,
      sym_field_declaration_list,
  [286901] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12835), 1,
      anon_sym_LPAREN2,
    STATE(1332), 1,
      sym_condition_clause,
  [286911] = 3,
    ACTIONS(10298), 1,
      sym_comment,
    ACTIONS(13795), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(13797), 1,
      sym_preproc_arg,
  [286921] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13799), 1,
      sym_identifier,
    STATE(1473), 1,
      sym_template_type,
  [286931] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6857), 1,
      anon_sym_LBRACE,
    STATE(6662), 1,
      sym_field_declaration_list,
  [286941] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6974), 1,
      anon_sym_LBRACE,
    STATE(3948), 1,
      sym_field_declaration_list,
  [286951] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5900), 1,
      anon_sym_LT,
    STATE(3203), 1,
      sym_template_argument_list,
  [286961] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13711), 1,
      anon_sym_COMMA,
    ACTIONS(13801), 1,
      anon_sym_RBRACE,
  [286971] = 3,
    ACTIONS(10298), 1,
      sym_comment,
    ACTIONS(13803), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(13805), 1,
      sym_preproc_arg,
  [286981] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13713), 1,
      anon_sym_LPAREN2,
    STATE(9238), 1,
      sym_parenthesized_expression,
  [286991] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7292), 1,
      anon_sym_LBRACE,
    STATE(4319), 1,
      sym_field_declaration_list,
  [287001] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5900), 1,
      anon_sym_LT,
    STATE(3559), 1,
      sym_template_argument_list,
  [287011] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(53), 1,
      anon_sym_LBRACE,
    STATE(8712), 1,
      sym_compound_statement,
  [287021] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13711), 1,
      anon_sym_COMMA,
    ACTIONS(13807), 1,
      anon_sym_RBRACE,
  [287031] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6857), 1,
      anon_sym_LBRACE,
    STATE(3695), 1,
      sym_field_declaration_list,
  [287041] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2283), 1,
      anon_sym_LBRACE,
    STATE(996), 1,
      sym_field_declaration_list,
  [287051] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7308), 1,
      anon_sym_LT,
    STATE(3932), 1,
      sym_template_argument_list,
  [287061] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2283), 1,
      anon_sym_LBRACE,
    STATE(994), 1,
      sym_field_declaration_list,
  [287071] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1136), 1,
      anon_sym_LBRACE,
    STATE(991), 1,
      sym_compound_statement,
  [287081] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2279), 1,
      anon_sym_LBRACE,
    STATE(982), 1,
      sym_field_declaration_list,
  [287091] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(53), 1,
      anon_sym_LBRACE,
    STATE(8710), 1,
      sym_compound_statement,
  [287101] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2279), 1,
      anon_sym_LBRACE,
    STATE(988), 1,
      sym_field_declaration_list,
  [287111] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13809), 1,
      anon_sym_LT,
    STATE(3735), 1,
      sym_template_argument_list,
  [287121] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10094), 1,
      anon_sym_LPAREN2,
    STATE(9154), 1,
      sym_parameter_list,
  [287131] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1136), 1,
      anon_sym_LBRACE,
    STATE(1124), 1,
      sym_compound_statement,
  [287141] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(830), 1,
      anon_sym_LBRACE,
    STATE(1044), 1,
      sym_compound_statement,
  [287151] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(53), 1,
      anon_sym_LBRACE,
    STATE(995), 1,
      sym_compound_statement,
  [287161] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11196), 1,
      anon_sym_LBRACE,
    STATE(2763), 1,
      sym_compound_statement,
  [287171] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13811), 1,
      sym_identifier,
    STATE(356), 1,
      sym_template_type,
  [287181] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10039), 1,
      anon_sym_LBRACE,
    STATE(4622), 1,
      sym_requirement_seq,
  [287191] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13711), 1,
      anon_sym_COMMA,
    ACTIONS(13813), 1,
      anon_sym_RBRACE,
  [287201] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6993), 1,
      anon_sym_LBRACE,
    STATE(4040), 1,
      sym_field_declaration_list,
  [287211] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(299), 1,
      anon_sym_LBRACE,
    STATE(343), 1,
      sym_compound_statement,
  [287221] = 3,
    ACTIONS(10298), 1,
      sym_comment,
    ACTIONS(13815), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(13817), 1,
      sym_preproc_arg,
  [287231] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12835), 1,
      anon_sym_LPAREN2,
    STATE(1388), 1,
      sym_condition_clause,
  [287241] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6760), 1,
      anon_sym_LBRACE,
    STATE(3755), 1,
      sym_field_declaration_list,
  [287251] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2196), 1,
      anon_sym_LBRACE,
    STATE(223), 1,
      sym_field_declaration_list,
  [287261] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13819), 1,
      anon_sym_default,
    ACTIONS(13821), 1,
      anon_sym_delete,
  [287271] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13711), 1,
      anon_sym_COMMA,
    ACTIONS(13823), 1,
      anon_sym_RBRACE,
  [287281] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4897), 1,
      anon_sym_LBRACE,
    STATE(613), 1,
      sym_declaration_list,
  [287291] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6760), 1,
      anon_sym_LBRACE,
    STATE(3772), 1,
      sym_field_declaration_list,
  [287301] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6760), 1,
      anon_sym_LBRACE,
    STATE(3776), 1,
      sym_field_declaration_list,
  [287311] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11204), 1,
      anon_sym_LBRACE,
    STATE(2528), 1,
      sym_compound_statement,
  [287321] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11301), 1,
      anon_sym_RBRACE,
    ACTIONS(13711), 1,
      anon_sym_COMMA,
  [287331] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8298), 1,
      anon_sym_LPAREN2,
    STATE(9996), 1,
      sym_argument_list,
  [287341] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4895), 1,
      anon_sym_LBRACE,
    STATE(1088), 1,
      sym_declaration_list,
  [287351] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7292), 1,
      anon_sym_LBRACE,
    STATE(4382), 1,
      sym_field_declaration_list,
  [287361] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7292), 1,
      anon_sym_LBRACE,
    STATE(4380), 1,
      sym_field_declaration_list,
  [287371] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12835), 1,
      anon_sym_LPAREN2,
    STATE(1395), 1,
      sym_condition_clause,
  [287381] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11333), 1,
      anon_sym_RBRACE,
    ACTIONS(13711), 1,
      anon_sym_COMMA,
  [287391] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11188), 1,
      anon_sym_RBRACE,
    ACTIONS(13711), 1,
      anon_sym_COMMA,
  [287401] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(53), 1,
      anon_sym_LBRACE,
    STATE(8833), 1,
      sym_compound_statement,
  [287411] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2283), 1,
      anon_sym_LBRACE,
    STATE(746), 1,
      sym_field_declaration_list,
  [287421] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13809), 1,
      anon_sym_LT,
    STATE(4538), 1,
      sym_template_argument_list,
  [287431] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13825), 1,
      anon_sym_LT,
    STATE(3881), 1,
      sym_template_argument_list,
  [287441] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(830), 1,
      anon_sym_LBRACE,
    STATE(655), 1,
      sym_compound_statement,
  [287451] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13709), 1,
      sym_identifier,
    STATE(8838), 1,
      sym_attribute,
  [287461] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6421), 1,
      anon_sym_LBRACE,
    STATE(3347), 1,
      sym_field_declaration_list,
  [287471] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2297), 1,
      anon_sym_LT,
    STATE(435), 1,
      sym_template_argument_list,
  [287481] = 3,
    ACTIONS(10298), 1,
      sym_comment,
    ACTIONS(13827), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(13829), 1,
      sym_preproc_arg,
  [287491] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(53), 1,
      anon_sym_LBRACE,
    STATE(1252), 1,
      sym_compound_statement,
  [287501] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6421), 1,
      anon_sym_LBRACE,
    STATE(3349), 1,
      sym_field_declaration_list,
  [287511] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6760), 1,
      anon_sym_LBRACE,
    STATE(3750), 1,
      sym_field_declaration_list,
  [287521] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12420), 1,
      anon_sym_COLON_COLON,
    ACTIONS(13831), 1,
      anon_sym_SEMI,
  [287531] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1136), 1,
      anon_sym_LBRACE,
    STATE(1150), 1,
      sym_compound_statement,
  [287541] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(53), 1,
      anon_sym_LBRACE,
    STATE(1294), 1,
      sym_compound_statement,
  [287551] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10055), 1,
      anon_sym_LBRACE,
    STATE(4741), 1,
      sym_requirement_seq,
  [287561] = 3,
    ACTIONS(10298), 1,
      sym_comment,
    ACTIONS(13833), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(13835), 1,
      sym_preproc_arg,
  [287571] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13837), 1,
      sym_identifier,
    STATE(195), 1,
      sym_template_type,
  [287581] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7023), 2,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
  [287589] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13713), 1,
      anon_sym_LPAREN2,
    STATE(9023), 1,
      sym_parenthesized_expression,
  [287599] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13839), 1,
      anon_sym_default,
    ACTIONS(13841), 1,
      anon_sym_delete,
  [287609] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1986), 1,
      anon_sym_LBRACE,
    STATE(1602), 1,
      sym_compound_statement,
  [287619] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9172), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [287627] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7292), 1,
      anon_sym_LBRACE,
    STATE(4305), 1,
      sym_field_declaration_list,
  [287637] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(53), 1,
      anon_sym_LBRACE,
    STATE(8900), 1,
      sym_compound_statement,
  [287647] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6974), 1,
      anon_sym_LBRACE,
    STATE(3928), 1,
      sym_field_declaration_list,
  [287657] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6974), 1,
      anon_sym_LBRACE,
    STATE(3929), 1,
      sym_field_declaration_list,
  [287667] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11249), 1,
      anon_sym_RBRACE,
    ACTIONS(13711), 1,
      anon_sym_COMMA,
  [287677] = 3,
    ACTIONS(10298), 1,
      sym_comment,
    ACTIONS(13843), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(13845), 1,
      sym_preproc_arg,
  [287687] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10094), 1,
      anon_sym_LPAREN2,
    STATE(9014), 1,
      sym_parameter_list,
  [287697] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4899), 1,
      anon_sym_LBRACE,
    STATE(458), 1,
      sym_declaration_list,
  [287707] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13847), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [287715] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12835), 1,
      anon_sym_LPAREN2,
    STATE(1361), 1,
      sym_condition_clause,
  [287725] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10007), 1,
      anon_sym_LBRACE,
    STATE(4653), 1,
      sym_requirement_seq,
  [287735] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13849), 1,
      sym_identifier,
    STATE(352), 1,
      sym_template_type,
  [287745] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13851), 1,
      anon_sym_default,
    ACTIONS(13853), 1,
      anon_sym_delete,
  [287755] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4134), 1,
      anon_sym_LBRACE,
    STATE(4782), 1,
      sym_initializer_list,
  [287765] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8979), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [287773] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8984), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [287781] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13747), 1,
      anon_sym_LT,
    STATE(4793), 1,
      sym_template_argument_list,
  [287791] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2279), 1,
      anon_sym_LBRACE,
    STATE(798), 1,
      sym_field_declaration_list,
  [287801] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(830), 1,
      anon_sym_LBRACE,
    STATE(784), 1,
      sym_compound_statement,
  [287811] = 3,
    ACTIONS(10298), 1,
      sym_comment,
    ACTIONS(13855), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(13857), 1,
      sym_preproc_arg,
  [287821] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7162), 2,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
  [287829] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7110), 2,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
  [287837] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13859), 1,
      anon_sym_if,
    ACTIONS(13861), 1,
      anon_sym_for,
  [287847] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8153), 1,
      anon_sym_LBRACE,
    STATE(5212), 1,
      sym_field_declaration_list,
  [287857] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13711), 1,
      anon_sym_COMMA,
    ACTIONS(13863), 1,
      anon_sym_RBRACE,
  [287867] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13809), 1,
      anon_sym_LT,
    STATE(4449), 1,
      sym_template_argument_list,
  [287877] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8298), 1,
      anon_sym_LPAREN2,
    STATE(9830), 1,
      sym_argument_list,
  [287887] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6857), 1,
      anon_sym_LBRACE,
    STATE(3708), 1,
      sym_field_declaration_list,
  [287897] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13865), 1,
      sym_identifier,
    STATE(3006), 1,
      sym_template_type,
  [287907] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5900), 1,
      anon_sym_LT,
    STATE(3017), 1,
      sym_template_argument_list,
  [287917] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13156), 2,
      anon_sym_COMMA,
      anon_sym_LBRACE,
  [287925] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2281), 1,
      anon_sym_LBRACE,
    STATE(977), 1,
      sym_field_declaration_list,
  [287935] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2240), 1,
      anon_sym_LBRACE,
    STATE(509), 1,
      sym_field_declaration_list,
  [287945] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7019), 2,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
  [287953] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7043), 2,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
  [287961] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4893), 1,
      anon_sym_LBRACE,
    STATE(1286), 1,
      sym_declaration_list,
  [287971] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(53), 1,
      anon_sym_LBRACE,
    STATE(8899), 1,
      sym_compound_statement,
  [287981] = 3,
    ACTIONS(10298), 1,
      sym_comment,
    ACTIONS(13867), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(13869), 1,
      sym_preproc_arg,
  [287991] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8153), 1,
      anon_sym_LBRACE,
    STATE(5230), 1,
      sym_field_declaration_list,
  [288001] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2281), 1,
      anon_sym_LBRACE,
    STATE(976), 1,
      sym_field_declaration_list,
  [288011] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2281), 1,
      anon_sym_LBRACE,
    STATE(972), 1,
      sym_field_declaration_list,
  [288021] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8153), 1,
      anon_sym_LBRACE,
    STATE(5228), 1,
      sym_field_declaration_list,
  [288031] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(830), 1,
      anon_sym_LBRACE,
    STATE(967), 1,
      sym_compound_statement,
  [288041] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11355), 1,
      anon_sym_RBRACE,
    ACTIONS(13711), 1,
      anon_sym_COMMA,
  [288051] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7005), 2,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
  [288059] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2240), 1,
      anon_sym_LBRACE,
    STATE(573), 1,
      sym_field_declaration_list,
  [288069] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9237), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [288077] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2240), 1,
      anon_sym_LBRACE,
    STATE(574), 1,
      sym_field_declaration_list,
  [288087] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(299), 1,
      anon_sym_LBRACE,
    STATE(440), 1,
      sym_compound_statement,
  [288097] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13871), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK_RBRACK,
  [288105] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2240), 1,
      anon_sym_LBRACE,
    STATE(575), 1,
      sym_field_declaration_list,
  [288115] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(391), 1,
      anon_sym_LBRACE,
    STATE(577), 1,
      sym_compound_statement,
  [288125] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(53), 1,
      anon_sym_LBRACE,
    STATE(967), 1,
      sym_compound_statement,
  [288135] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7035), 2,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
  [288143] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7120), 2,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
  [288151] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13709), 1,
      sym_identifier,
    STATE(8893), 1,
      sym_attribute,
  [288161] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7084), 2,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
  [288169] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7214), 2,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
  [288177] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13715), 1,
      anon_sym_LT,
    STATE(4107), 1,
      sym_template_argument_list,
  [288187] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10031), 1,
      anon_sym_LBRACE,
    STATE(3622), 1,
      sym_requirement_seq,
  [288197] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5787), 1,
      anon_sym_LT,
    STATE(3005), 1,
      sym_template_argument_list,
  [288207] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5929), 1,
      anon_sym_LBRACE,
    STATE(972), 1,
      sym_field_declaration_list,
  [288217] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13873), 1,
      anon_sym_LT,
    STATE(3559), 1,
      sym_template_argument_list,
  [288227] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13713), 1,
      anon_sym_LPAREN2,
    STATE(9095), 1,
      sym_parenthesized_expression,
  [288237] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(53), 1,
      anon_sym_LBRACE,
    STATE(8800), 1,
      sym_compound_statement,
  [288247] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10094), 1,
      anon_sym_LPAREN2,
    STATE(9110), 1,
      sym_parameter_list,
  [288257] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11279), 1,
      anon_sym_LBRACE,
    STATE(2828), 1,
      sym_compound_statement,
  [288267] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13713), 1,
      anon_sym_LPAREN2,
    STATE(9746), 1,
      sym_parenthesized_expression,
  [288277] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13875), 1,
      anon_sym_default,
    ACTIONS(13877), 1,
      anon_sym_delete,
  [288287] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9999), 1,
      anon_sym_LBRACE,
    STATE(4276), 1,
      sym_requirement_seq,
  [288297] = 3,
    ACTIONS(10298), 1,
      sym_comment,
    ACTIONS(13879), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(13881), 1,
      sym_preproc_arg,
  [288307] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12420), 1,
      anon_sym_COLON_COLON,
    ACTIONS(13883), 1,
      anon_sym_SEMI,
  [288317] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13885), 2,
      anon_sym_DOT_DOT_DOT,
      sym_identifier,
  [288325] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5929), 1,
      anon_sym_LBRACE,
    STATE(976), 1,
      sym_field_declaration_list,
  [288335] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13887), 1,
      sym_identifier,
    STATE(3268), 1,
      sym_template_type,
  [288345] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1136), 1,
      anon_sym_LBRACE,
    STATE(650), 1,
      sym_compound_statement,
  [288355] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5929), 1,
      anon_sym_LBRACE,
    STATE(977), 1,
      sym_field_declaration_list,
  [288365] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9569), 1,
      anon_sym_LBRACE,
    STATE(6225), 1,
      sym_field_declaration_list,
  [288375] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8153), 1,
      anon_sym_LBRACE,
    STATE(5177), 1,
      sym_field_declaration_list,
  [288385] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13889), 2,
      anon_sym_COMMA,
      anon_sym_LBRACE,
  [288393] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13891), 1,
      anon_sym_if,
    ACTIONS(13893), 1,
      anon_sym_for,
  [288403] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4899), 1,
      anon_sym_LBRACE,
    STATE(455), 1,
      sym_declaration_list,
  [288413] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12670), 1,
      anon_sym_LBRACE,
    STATE(7129), 1,
      sym_requirement_seq,
  [288423] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(53), 1,
      anon_sym_LBRACE,
    STATE(8261), 1,
      sym_compound_statement,
  [288433] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8298), 1,
      anon_sym_LPAREN2,
    STATE(9709), 1,
      sym_argument_list,
  [288443] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7247), 1,
      anon_sym_LBRACE,
    STATE(3845), 1,
      sym_field_declaration_list,
  [288453] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(299), 1,
      anon_sym_LBRACE,
    STATE(312), 1,
      sym_compound_statement,
  [288463] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2196), 1,
      anon_sym_LBRACE,
    STATE(316), 1,
      sym_field_declaration_list,
  [288473] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13737), 1,
      anon_sym_LT,
    STATE(3484), 1,
      sym_template_argument_list,
  [288483] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13711), 1,
      anon_sym_COMMA,
    ACTIONS(13895), 1,
      anon_sym_RBRACE,
  [288493] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13897), 1,
      anon_sym_LPAREN2,
    ACTIONS(13899), 1,
      sym_raw_string_delimiter,
  [288503] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13901), 1,
      anon_sym_if,
    ACTIONS(13903), 1,
      anon_sym_for,
  [288513] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2240), 1,
      anon_sym_LBRACE,
    STATE(534), 1,
      sym_field_declaration_list,
  [288523] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(53), 1,
      anon_sym_LBRACE,
    STATE(8699), 1,
      sym_compound_statement,
  [288533] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2240), 1,
      anon_sym_LBRACE,
    STATE(535), 1,
      sym_field_declaration_list,
  [288543] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(391), 1,
      anon_sym_LBRACE,
    STATE(538), 1,
      sym_compound_statement,
  [288553] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(299), 1,
      anon_sym_LBRACE,
    STATE(275), 1,
      sym_compound_statement,
  [288563] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13905), 1,
      sym_identifier,
    STATE(3918), 1,
      sym_template_type,
  [288573] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12835), 1,
      anon_sym_LPAREN2,
    STATE(9184), 1,
      sym_condition_clause,
  [288583] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13709), 1,
      sym_identifier,
    STATE(8690), 1,
      sym_attribute,
  [288593] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(391), 1,
      anon_sym_LBRACE,
    STATE(611), 1,
      sym_compound_statement,
  [288603] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2196), 1,
      anon_sym_LBRACE,
    STATE(322), 1,
      sym_field_declaration_list,
  [288613] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11269), 1,
      anon_sym_LBRACE,
    STATE(2927), 1,
      sym_compound_statement,
  [288623] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13713), 1,
      anon_sym_LPAREN2,
    STATE(9237), 1,
      sym_parenthesized_expression,
  [288633] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5929), 1,
      anon_sym_LBRACE,
    STATE(6590), 1,
      sym_field_declaration_list,
  [288643] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(53), 1,
      anon_sym_LBRACE,
    STATE(934), 1,
      sym_compound_statement,
  [288653] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12835), 1,
      anon_sym_LPAREN2,
    STATE(1378), 1,
      sym_condition_clause,
  [288663] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12835), 1,
      anon_sym_LPAREN2,
    STATE(1391), 1,
      sym_condition_clause,
  [288673] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(391), 1,
      anon_sym_LBRACE,
    STATE(639), 1,
      sym_compound_statement,
  [288683] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13873), 1,
      anon_sym_LT,
    STATE(4353), 1,
      sym_template_argument_list,
  [288693] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12835), 1,
      anon_sym_LPAREN2,
    STATE(1359), 1,
      sym_condition_clause,
  [288703] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5929), 1,
      anon_sym_LBRACE,
    STATE(3119), 1,
      sym_field_declaration_list,
  [288713] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6974), 1,
      anon_sym_LBRACE,
    STATE(3875), 1,
      sym_field_declaration_list,
  [288723] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(53), 1,
      anon_sym_LBRACE,
    STATE(8647), 1,
      sym_compound_statement,
  [288733] = 3,
    ACTIONS(10298), 1,
      sym_comment,
    ACTIONS(13907), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(13909), 1,
      sym_preproc_arg,
  [288743] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5929), 1,
      anon_sym_LBRACE,
    STATE(6576), 1,
      sym_field_declaration_list,
  [288753] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2228), 1,
      anon_sym_LT,
    STATE(175), 1,
      sym_template_argument_list,
  [288763] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13711), 1,
      anon_sym_COMMA,
    ACTIONS(13911), 1,
      anon_sym_RBRACE,
  [288773] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10094), 1,
      anon_sym_LPAREN2,
    STATE(9261), 1,
      sym_parameter_list,
  [288783] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7247), 1,
      anon_sym_LBRACE,
    STATE(3786), 1,
      sym_field_declaration_list,
  [288793] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7247), 1,
      anon_sym_LBRACE,
    STATE(3788), 1,
      sym_field_declaration_list,
  [288803] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13713), 1,
      anon_sym_LPAREN2,
    STATE(9553), 1,
      sym_parenthesized_expression,
  [288813] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11291), 1,
      anon_sym_RBRACE,
    ACTIONS(13711), 1,
      anon_sym_COMMA,
  [288823] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5929), 1,
      anon_sym_LBRACE,
    STATE(6580), 1,
      sym_field_declaration_list,
  [288833] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11349), 1,
      anon_sym_RBRACE,
    ACTIONS(13711), 1,
      anon_sym_COMMA,
  [288843] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6421), 1,
      anon_sym_LBRACE,
    STATE(3356), 1,
      sym_field_declaration_list,
  [288853] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4889), 1,
      anon_sym_LBRACE,
    STATE(1163), 1,
      sym_declaration_list,
  [288863] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5929), 1,
      anon_sym_LBRACE,
    STATE(6608), 1,
      sym_field_declaration_list,
  [288873] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2240), 1,
      anon_sym_LBRACE,
    STATE(567), 1,
      sym_field_declaration_list,
  [288883] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5929), 1,
      anon_sym_LBRACE,
    STATE(720), 1,
      sym_field_declaration_list,
  [288893] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8799), 1,
      anon_sym_RBRACK,
    ACTIONS(13913), 1,
      anon_sym_COMMA,
  [288903] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5247), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [288911] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13737), 1,
      anon_sym_LT,
    STATE(3233), 1,
      sym_template_argument_list,
  [288921] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(53), 1,
      anon_sym_LBRACE,
    STATE(8486), 1,
      sym_compound_statement,
  [288931] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11269), 1,
      anon_sym_LBRACE,
    STATE(2789), 1,
      sym_compound_statement,
  [288941] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7964), 1,
      anon_sym_LBRACE,
    STATE(5046), 1,
      sym_field_declaration_list,
  [288951] = 3,
    ACTIONS(10298), 1,
      sym_comment,
    ACTIONS(13915), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(13917), 1,
      sym_preproc_arg,
  [288961] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13711), 1,
      anon_sym_COMMA,
    ACTIONS(13919), 1,
      anon_sym_RBRACE,
  [288971] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13709), 1,
      sym_identifier,
    STATE(8598), 1,
      sym_attribute,
  [288981] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13921), 1,
      anon_sym_default,
    ACTIONS(13923), 1,
      anon_sym_delete,
  [288991] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9569), 1,
      anon_sym_LBRACE,
    STATE(6239), 1,
      sym_field_declaration_list,
  [289001] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12835), 1,
      anon_sym_LPAREN2,
    STATE(9282), 1,
      sym_condition_clause,
  [289011] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8298), 1,
      anon_sym_LPAREN2,
    STATE(9983), 1,
      sym_argument_list,
  [289021] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12835), 1,
      anon_sym_LPAREN2,
    STATE(1350), 1,
      sym_condition_clause,
  [289031] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13925), 1,
      sym_identifier,
    STATE(3727), 1,
      sym_template_type,
  [289041] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12377), 1,
      sym_identifier,
    STATE(3004), 1,
      sym_template_type,
  [289051] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13927), 1,
      sym_identifier,
    ACTIONS(13929), 1,
      anon_sym_LPAREN2,
  [289061] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3926), 1,
      anon_sym_LBRACE,
    STATE(3586), 1,
      sym_initializer_list,
  [289071] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(53), 1,
      anon_sym_LBRACE,
    STATE(8627), 1,
      sym_compound_statement,
  [289081] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7964), 1,
      anon_sym_LBRACE,
    STATE(5055), 1,
      sym_field_declaration_list,
  [289091] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8895), 2,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [289099] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11112), 2,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [289107] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(391), 1,
      anon_sym_LBRACE,
    STATE(355), 1,
      sym_compound_statement,
  [289117] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7964), 1,
      anon_sym_LBRACE,
    STATE(5056), 1,
      sym_field_declaration_list,
  [289127] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10047), 1,
      anon_sym_LBRACE,
    STATE(4929), 1,
      sym_requirement_seq,
  [289137] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13931), 1,
      sym_identifier,
    STATE(3004), 1,
      sym_template_type,
  [289147] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12420), 1,
      anon_sym_COLON_COLON,
    ACTIONS(13933), 1,
      anon_sym_SEMI,
  [289157] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13935), 1,
      anon_sym_if,
    ACTIONS(13937), 1,
      anon_sym_for,
  [289167] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12835), 1,
      anon_sym_LPAREN2,
    STATE(1382), 1,
      sym_condition_clause,
  [289177] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(53), 1,
      anon_sym_LBRACE,
    STATE(8327), 1,
      sym_compound_statement,
  [289187] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4889), 1,
      anon_sym_LBRACE,
    STATE(1133), 1,
      sym_declaration_list,
  [289197] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8298), 1,
      anon_sym_LPAREN2,
    STATE(10155), 1,
      sym_argument_list,
  [289207] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(53), 1,
      anon_sym_LBRACE,
    STATE(8307), 1,
      sym_compound_statement,
  [289217] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8298), 1,
      anon_sym_LPAREN2,
    STATE(9566), 1,
      sym_argument_list,
  [289227] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12835), 1,
      anon_sym_LPAREN2,
    STATE(1338), 1,
      sym_condition_clause,
  [289237] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13939), 1,
      anon_sym_if,
    ACTIONS(13941), 1,
      anon_sym_for,
  [289247] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4413), 1,
      anon_sym_LBRACE,
    STATE(4993), 1,
      sym_initializer_list,
  [289257] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13943), 1,
      anon_sym_LPAREN2,
    ACTIONS(13945), 1,
      sym_raw_string_delimiter,
  [289267] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13713), 1,
      anon_sym_LPAREN2,
    STATE(9228), 1,
      sym_parenthesized_expression,
  [289277] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13947), 1,
      anon_sym_LPAREN2,
    ACTIONS(13949), 1,
      sym_raw_string_delimiter,
  [289287] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(830), 1,
      anon_sym_LBRACE,
    STATE(817), 1,
      sym_compound_statement,
  [289297] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12835), 1,
      anon_sym_LPAREN2,
    STATE(1331), 1,
      sym_condition_clause,
  [289307] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11329), 1,
      anon_sym_RBRACE,
    ACTIONS(13711), 1,
      anon_sym_COMMA,
  [289317] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(53), 1,
      anon_sym_LBRACE,
    STATE(8564), 1,
      sym_compound_statement,
  [289327] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2281), 1,
      anon_sym_LBRACE,
    STATE(812), 1,
      sym_field_declaration_list,
  [289337] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13951), 1,
      sym_identifier,
    ACTIONS(13953), 1,
      anon_sym_RPAREN,
  [289347] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13955), 1,
      anon_sym_default,
    ACTIONS(13957), 1,
      anon_sym_delete,
  [289357] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12835), 1,
      anon_sym_LPAREN2,
    STATE(1377), 1,
      sym_condition_clause,
  [289367] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13959), 1,
      anon_sym_LPAREN2,
    ACTIONS(13961), 1,
      sym_raw_string_delimiter,
  [289377] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13963), 1,
      anon_sym_LPAREN2,
    ACTIONS(13965), 1,
      sym_raw_string_delimiter,
  [289387] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12835), 1,
      anon_sym_LPAREN2,
    STATE(9370), 1,
      sym_condition_clause,
  [289397] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9588), 1,
      anon_sym_LT,
    STATE(3822), 1,
      sym_template_argument_list,
  [289407] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(53), 1,
      anon_sym_LBRACE,
    STATE(8657), 1,
      sym_compound_statement,
  [289417] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2281), 1,
      anon_sym_LBRACE,
    STATE(810), 1,
      sym_field_declaration_list,
  [289427] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1136), 1,
      anon_sym_LBRACE,
    STATE(739), 1,
      sym_compound_statement,
  [289437] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13709), 1,
      sym_identifier,
    STATE(8536), 1,
      sym_attribute,
  [289447] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12922), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [289455] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13747), 1,
      anon_sym_LT,
    STATE(4530), 1,
      sym_template_argument_list,
  [289465] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7247), 1,
      anon_sym_LBRACE,
    STATE(3816), 1,
      sym_field_declaration_list,
  [289475] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10023), 1,
      anon_sym_LBRACE,
    STATE(5500), 1,
      sym_requirement_seq,
  [289485] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13713), 1,
      anon_sym_LPAREN2,
    STATE(10018), 1,
      sym_parenthesized_expression,
  [289495] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13967), 1,
      anon_sym_LPAREN2,
    ACTIONS(13969), 1,
      sym_raw_string_delimiter,
  [289505] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12912), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [289513] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13971), 1,
      anon_sym_LPAREN2,
    ACTIONS(13973), 1,
      sym_raw_string_delimiter,
  [289523] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7964), 1,
      anon_sym_LBRACE,
    STATE(5063), 1,
      sym_field_declaration_list,
  [289533] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10094), 1,
      anon_sym_LPAREN2,
    STATE(9099), 1,
      sym_parameter_list,
  [289543] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(299), 1,
      anon_sym_LBRACE,
    STATE(278), 1,
      sym_compound_statement,
  [289553] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2196), 1,
      anon_sym_LBRACE,
    STATE(279), 1,
      sym_field_declaration_list,
  [289563] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12899), 2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [289571] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11269), 1,
      anon_sym_LBRACE,
    STATE(2862), 1,
      sym_compound_statement,
  [289581] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13713), 1,
      anon_sym_LPAREN2,
    STATE(9382), 1,
      sym_parenthesized_expression,
  [289591] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2196), 1,
      anon_sym_LBRACE,
    STATE(280), 1,
      sym_field_declaration_list,
  [289601] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12420), 1,
      anon_sym_COLON_COLON,
    ACTIONS(13975), 1,
      anon_sym_SEMI,
  [289611] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(53), 1,
      anon_sym_LBRACE,
    STATE(599), 1,
      sym_compound_statement,
  [289621] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13711), 1,
      anon_sym_COMMA,
    ACTIONS(13977), 1,
      anon_sym_RBRACE,
  [289631] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13979), 1,
      anon_sym_LPAREN2,
    ACTIONS(13981), 1,
      sym_raw_string_delimiter,
  [289641] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(53), 1,
      anon_sym_LBRACE,
    STATE(8812), 1,
      sym_compound_statement,
  [289651] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13983), 1,
      anon_sym_LPAREN2,
    ACTIONS(13985), 1,
      sym_raw_string_delimiter,
  [289661] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2196), 1,
      anon_sym_LBRACE,
    STATE(282), 1,
      sym_field_declaration_list,
  [289671] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13987), 1,
      anon_sym_LPAREN2,
    ACTIONS(13989), 1,
      sym_raw_string_delimiter,
  [289681] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12835), 1,
      anon_sym_LPAREN2,
    STATE(1324), 1,
      sym_condition_clause,
  [289691] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9569), 1,
      anon_sym_LBRACE,
    STATE(6246), 1,
      sym_field_declaration_list,
  [289701] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13711), 1,
      anon_sym_COMMA,
    ACTIONS(13991), 1,
      anon_sym_RBRACE,
  [289711] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12835), 1,
      anon_sym_LPAREN2,
    STATE(1327), 1,
      sym_condition_clause,
  [289721] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(53), 1,
      anon_sym_LBRACE,
    STATE(8562), 1,
      sym_compound_statement,
  [289731] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13993), 1,
      anon_sym_LPAREN2,
    ACTIONS(13995), 1,
      sym_raw_string_delimiter,
  [289741] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13713), 1,
      anon_sym_LPAREN2,
    STATE(9065), 1,
      sym_parenthesized_expression,
  [289751] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13997), 1,
      sym_identifier,
    STATE(436), 1,
      sym_template_type,
  [289761] = 3,
    ACTIONS(10298), 1,
      sym_comment,
    ACTIONS(13999), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(14001), 1,
      sym_preproc_arg,
  [289771] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14003), 1,
      anon_sym_LPAREN2,
    ACTIONS(14005), 1,
      sym_raw_string_delimiter,
  [289781] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14007), 1,
      anon_sym_LPAREN2,
    ACTIONS(14009), 1,
      sym_raw_string_delimiter,
  [289791] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10094), 1,
      anon_sym_LPAREN2,
    STATE(9338), 1,
      sym_parameter_list,
  [289801] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14011), 1,
      anon_sym_LPAREN2,
    ACTIONS(14013), 1,
      sym_raw_string_delimiter,
  [289811] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14015), 2,
      anon_sym_COMMA,
      anon_sym_GT2,
  [289819] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14017), 1,
      sym_identifier,
    STATE(3934), 1,
      sym_template_type,
  [289829] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9569), 1,
      anon_sym_LBRACE,
    STATE(6238), 1,
      sym_field_declaration_list,
  [289839] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14019), 1,
      anon_sym_LPAREN2,
    ACTIONS(14021), 1,
      sym_raw_string_delimiter,
  [289849] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13713), 1,
      anon_sym_LPAREN2,
    STATE(9564), 1,
      sym_parenthesized_expression,
  [289859] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14023), 1,
      anon_sym_LPAREN2,
    ACTIONS(14025), 1,
      sym_raw_string_delimiter,
  [289869] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4180), 1,
      anon_sym_LBRACE,
    STATE(4962), 1,
      sym_initializer_list,
  [289879] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14027), 1,
      anon_sym_LPAREN2,
    ACTIONS(14029), 1,
      sym_raw_string_delimiter,
  [289889] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12819), 2,
      anon_sym_COMMA,
      anon_sym_LBRACE,
  [289897] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14031), 1,
      sym_identifier,
    ACTIONS(14033), 1,
      anon_sym_LPAREN2,
  [289907] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14035), 1,
      anon_sym_LPAREN2,
    ACTIONS(14037), 1,
      sym_raw_string_delimiter,
  [289917] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2196), 1,
      anon_sym_LBRACE,
    STATE(326), 1,
      sym_field_declaration_list,
  [289927] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14039), 1,
      anon_sym_default,
    ACTIONS(14041), 1,
      anon_sym_delete,
  [289937] = 3,
    ACTIONS(10298), 1,
      sym_comment,
    ACTIONS(14043), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(14045), 1,
      sym_preproc_arg,
  [289947] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14047), 1,
      anon_sym_LPAREN2,
    ACTIONS(14049), 1,
      sym_raw_string_delimiter,
  [289957] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12835), 1,
      anon_sym_LPAREN2,
    STATE(1380), 1,
      sym_condition_clause,
  [289967] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4094), 1,
      anon_sym_LBRACE,
    STATE(4709), 1,
      sym_initializer_list,
  [289977] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12835), 1,
      anon_sym_LPAREN2,
    STATE(1352), 1,
      sym_condition_clause,
  [289987] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12835), 1,
      anon_sym_LPAREN2,
    STATE(9291), 1,
      sym_condition_clause,
  [289997] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12959), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK_RBRACK,
  [290005] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13709), 1,
      sym_identifier,
    STATE(8908), 1,
      sym_attribute,
  [290015] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8298), 1,
      anon_sym_LPAREN2,
    STATE(10277), 1,
      sym_argument_list,
  [290025] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12835), 1,
      anon_sym_LPAREN2,
    STATE(9059), 1,
      sym_condition_clause,
  [290035] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12835), 1,
      anon_sym_LPAREN2,
    STATE(1344), 1,
      sym_condition_clause,
  [290045] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13709), 1,
      sym_identifier,
    STATE(8587), 1,
      sym_attribute,
  [290055] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(53), 1,
      anon_sym_LBRACE,
    STATE(8824), 1,
      sym_compound_statement,
  [290065] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5929), 1,
      anon_sym_LBRACE,
    STATE(3111), 1,
      sym_field_declaration_list,
  [290075] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14051), 1,
      sym_identifier,
    STATE(3004), 1,
      sym_template_type,
  [290085] = 3,
    ACTIONS(10298), 1,
      sym_comment,
    ACTIONS(14053), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(14055), 1,
      sym_preproc_arg,
  [290095] = 3,
    ACTIONS(10298), 1,
      sym_comment,
    ACTIONS(14057), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(14059), 1,
      sym_preproc_arg,
  [290105] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8298), 1,
      anon_sym_LPAREN2,
    STATE(9728), 1,
      sym_argument_list,
  [290115] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(53), 1,
      anon_sym_LBRACE,
    STATE(8411), 1,
      sym_compound_statement,
  [290125] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12835), 1,
      anon_sym_LPAREN2,
    STATE(1318), 1,
      sym_condition_clause,
  [290135] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14061), 1,
      anon_sym_if,
    ACTIONS(14063), 1,
      anon_sym_for,
  [290145] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11196), 1,
      anon_sym_LBRACE,
    STATE(2659), 1,
      sym_compound_statement,
  [290155] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14065), 1,
      aux_sym_preproc_if_token2,
  [290162] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14067), 1,
      aux_sym_preproc_if_token2,
  [290169] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9174), 1,
      anon_sym_RPAREN,
  [290176] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14069), 1,
      anon_sym_SEMI,
  [290183] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14071), 1,
      sym_identifier,
  [290190] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14073), 1,
      anon_sym_SEMI,
  [290197] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14075), 1,
      anon_sym_SEMI,
  [290204] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14077), 1,
      anon_sym_SEMI,
  [290211] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14079), 1,
      anon_sym_SEMI,
  [290218] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14081), 1,
      anon_sym_SEMI,
  [290225] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14083), 1,
      aux_sym_preproc_if_token2,
  [290232] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14085), 1,
      anon_sym_SEMI,
  [290239] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14087), 1,
      anon_sym_STAR,
  [290246] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14089), 1,
      anon_sym_DQUOTE,
  [290253] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14091), 1,
      anon_sym_SEMI,
  [290260] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9189), 1,
      anon_sym_SEMI,
  [290267] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14093), 1,
      anon_sym_RPAREN,
  [290274] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14095), 1,
      sym_identifier,
  [290281] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14097), 1,
      anon_sym_SEMI,
  [290288] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14099), 1,
      sym_identifier,
  [290295] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9187), 1,
      anon_sym_SEMI,
  [290302] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14101), 1,
      anon_sym_SEMI,
  [290309] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14103), 1,
      anon_sym_COLON,
  [290316] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14105), 1,
      anon_sym_SEMI,
  [290323] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14107), 1,
      anon_sym_SEMI,
  [290330] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14109), 1,
      anon_sym_STAR,
  [290337] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14111), 1,
      anon_sym_SEMI,
  [290344] = 2,
    ACTIONS(10298), 1,
      sym_comment,
    ACTIONS(12821), 1,
      aux_sym_preproc_include_token2,
  [290351] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14113), 1,
      anon_sym_SEMI,
  [290358] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14115), 1,
      anon_sym_RPAREN,
  [290365] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14117), 1,
      anon_sym_RPAREN,
  [290372] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14119), 1,
      aux_sym_preproc_if_token2,
  [290379] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14121), 1,
      anon_sym_LPAREN2,
  [290386] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14123), 1,
      anon_sym_RPAREN,
  [290393] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14125), 1,
      sym_identifier,
  [290400] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14127), 1,
      anon_sym_SEMI,
  [290407] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14129), 1,
      anon_sym_SEMI,
  [290414] = 2,
    ACTIONS(10298), 1,
      sym_comment,
    ACTIONS(14131), 1,
      aux_sym_preproc_include_token2,
  [290421] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14133), 1,
      sym_raw_string_delimiter,
  [290428] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14135), 1,
      anon_sym_SEMI,
  [290435] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14137), 1,
      sym_identifier,
  [290442] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14139), 1,
      anon_sym_SEMI,
  [290449] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11216), 1,
      anon_sym_RPAREN,
  [290456] = 2,
    ACTIONS(10298), 1,
      sym_comment,
    ACTIONS(12873), 1,
      aux_sym_preproc_include_token2,
  [290463] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14141), 1,
      anon_sym_RPAREN,
  [290470] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14143), 1,
      anon_sym_RPAREN,
  [290477] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14145), 1,
      sym_identifier,
  [290484] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14147), 1,
      anon_sym_RPAREN,
  [290491] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14149), 1,
      anon_sym_RPAREN,
  [290498] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14151), 1,
      anon_sym_SEMI,
  [290505] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14153), 1,
      sym_identifier,
  [290512] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7619), 1,
      anon_sym_RPAREN,
  [290519] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14155), 1,
      aux_sym_preproc_if_token2,
  [290526] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14157), 1,
      anon_sym_RPAREN,
  [290533] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14159), 1,
      anon_sym_RPAREN,
  [290540] = 2,
    ACTIONS(10298), 1,
      sym_comment,
    ACTIONS(14161), 1,
      aux_sym_preproc_include_token2,
  [290547] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14163), 1,
      anon_sym_RPAREN,
  [290554] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14165), 1,
      anon_sym_RPAREN,
  [290561] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14167), 1,
      anon_sym_RPAREN,
  [290568] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13991), 1,
      anon_sym_RBRACE,
  [290575] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14169), 1,
      anon_sym_RPAREN,
  [290582] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5136), 1,
      anon_sym_DOT_DOT_DOT,
  [290589] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14171), 1,
      sym_identifier,
  [290596] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14173), 1,
      anon_sym_SEMI,
  [290603] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14175), 1,
      anon_sym_RPAREN,
  [290610] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14177), 1,
      anon_sym_SEMI,
  [290617] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14179), 1,
      anon_sym_SEMI,
  [290624] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14181), 1,
      anon_sym_RPAREN,
  [290631] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14183), 1,
      sym_identifier,
  [290638] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14185), 1,
      anon_sym_SEMI,
  [290645] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14187), 1,
      sym_identifier,
  [290652] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14189), 1,
      anon_sym_RPAREN,
  [290659] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14191), 1,
      anon_sym_RPAREN,
  [290666] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14193), 1,
      anon_sym_RPAREN,
  [290673] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11351), 1,
      anon_sym_RPAREN,
  [290680] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14195), 1,
      aux_sym_preproc_if_token2,
  [290687] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14197), 1,
      sym_raw_string_delimiter,
  [290694] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14199), 1,
      anon_sym_RPAREN,
  [290701] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14201), 1,
      anon_sym_RPAREN,
  [290708] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14203), 1,
      sym_identifier,
  [290715] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14205), 1,
      sym_identifier,
  [290722] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9291), 1,
      anon_sym_SEMI,
  [290729] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14207), 1,
      sym_identifier,
  [290736] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14209), 1,
      anon_sym_SEMI,
  [290743] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14211), 1,
      anon_sym_RPAREN,
  [290750] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9156), 1,
      anon_sym_SEMI,
  [290757] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14213), 1,
      anon_sym_DQUOTE,
  [290764] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14215), 1,
      anon_sym_LBRACE,
  [290771] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14217), 1,
      anon_sym_LPAREN2,
  [290778] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14219), 1,
      sym_identifier,
  [290785] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14221), 1,
      anon_sym_SEMI,
  [290792] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5214), 1,
      anon_sym_DOT_DOT_DOT,
  [290799] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5163), 1,
      anon_sym_DOT_DOT_DOT,
  [290806] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5160), 1,
      anon_sym_DOT_DOT_DOT,
  [290813] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8019), 1,
      sym_identifier,
  [290820] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5157), 1,
      anon_sym_DOT_DOT_DOT,
  [290827] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14223), 1,
      anon_sym_STAR,
  [290834] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5154), 1,
      anon_sym_DOT_DOT_DOT,
  [290841] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14225), 1,
      sym_identifier,
  [290848] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5151), 1,
      anon_sym_DOT_DOT_DOT,
  [290855] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5148), 1,
      anon_sym_DOT_DOT_DOT,
  [290862] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14227), 1,
      anon_sym_DQUOTE,
  [290869] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5145), 1,
      anon_sym_DOT_DOT_DOT,
  [290876] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5142), 1,
      anon_sym_DOT_DOT_DOT,
  [290883] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11817), 1,
      anon_sym_SEMI,
  [290890] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5139), 1,
      anon_sym_DOT_DOT_DOT,
  [290897] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14229), 1,
      sym_auto,
  [290904] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14231), 1,
      anon_sym_SEMI,
  [290911] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14233), 1,
      anon_sym_SEMI,
  [290918] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14235), 1,
      anon_sym_SEMI,
  [290925] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5133), 1,
      anon_sym_DOT_DOT_DOT,
  [290932] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14237), 1,
      anon_sym_STAR,
  [290939] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14239), 1,
      anon_sym_COLON,
  [290946] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14241), 1,
      sym_identifier,
  [290953] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14243), 1,
      anon_sym_STAR,
  [290960] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14245), 1,
      anon_sym_LPAREN2,
  [290967] = 2,
    ACTIONS(10298), 1,
      sym_comment,
    ACTIONS(14247), 1,
      aux_sym_preproc_include_token2,
  [290974] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14249), 1,
      aux_sym_preproc_if_token2,
  [290981] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14251), 1,
      sym_identifier,
  [290988] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14253), 1,
      anon_sym_RPAREN,
  [290995] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14255), 1,
      anon_sym_SEMI,
  [291002] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14257), 1,
      sym_identifier,
  [291009] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14259), 1,
      anon_sym_RPAREN,
  [291016] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14261), 1,
      anon_sym_SEMI,
  [291023] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8905), 1,
      anon_sym_RBRACE,
  [291030] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14263), 1,
      anon_sym_RPAREN,
  [291037] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14265), 1,
      anon_sym_RPAREN,
  [291044] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14267), 1,
      sym_identifier,
  [291051] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14269), 1,
      anon_sym_SEMI,
  [291058] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11291), 1,
      anon_sym_RBRACE,
  [291065] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14271), 1,
      anon_sym_SEMI,
  [291072] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13911), 1,
      anon_sym_RBRACE,
  [291079] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14273), 1,
      anon_sym_RPAREN,
  [291086] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14275), 1,
      anon_sym_RPAREN,
  [291093] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14277), 1,
      anon_sym_RPAREN,
  [291100] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14279), 1,
      anon_sym_RPAREN,
  [291107] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14281), 1,
      anon_sym_DASH_GT_STAR,
  [291114] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14281), 1,
      anon_sym_DOT_STAR,
  [291121] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14283), 1,
      anon_sym_RPAREN,
  [291128] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12537), 1,
      anon_sym_SEMI,
  [291135] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14281), 1,
      anon_sym_not_eq,
  [291142] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14281), 1,
      anon_sym_bitand,
  [291149] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14281), 1,
      anon_sym_xor,
  [291156] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14285), 1,
      anon_sym_SEMI,
  [291163] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14287), 1,
      anon_sym_SEMI,
  [291170] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14281), 1,
      anon_sym_bitor,
  [291177] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14281), 1,
      anon_sym_and,
  [291184] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14281), 1,
      anon_sym_or,
  [291191] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14289), 1,
      sym_identifier,
  [291198] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14281), 1,
      anon_sym_PIPE_EQ,
  [291205] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14281), 1,
      anon_sym_CARET_EQ,
  [291212] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14291), 1,
      anon_sym_RPAREN,
  [291219] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14281), 1,
      anon_sym_AMP_EQ,
  [291226] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11186), 1,
      anon_sym_RPAREN,
  [291233] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14293), 1,
      sym_auto,
  [291240] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14295), 1,
      sym_raw_string_delimiter,
  [291247] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14281), 1,
      anon_sym_GT_GT_EQ,
  [291254] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14297), 1,
      sym_identifier,
  [291261] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9110), 1,
      anon_sym_COLON,
  [291268] = 2,
    ACTIONS(10298), 1,
      sym_comment,
    ACTIONS(14299), 1,
      aux_sym_preproc_include_token2,
  [291275] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14281), 1,
      anon_sym_LT_LT_EQ,
  [291282] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14301), 1,
      sym_identifier,
  [291289] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14303), 1,
      aux_sym_preproc_if_token2,
  [291296] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14305), 1,
      aux_sym_preproc_if_token2,
  [291303] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14307), 1,
      anon_sym_STAR,
  [291310] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14281), 1,
      anon_sym_DASH_EQ,
  [291317] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14281), 1,
      anon_sym_PLUS_EQ,
  [291324] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13895), 1,
      anon_sym_RBRACE,
  [291331] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14309), 1,
      anon_sym_SEMI,
  [291338] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14311), 1,
      anon_sym_RPAREN,
  [291345] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14313), 1,
      anon_sym_RPAREN,
  [291352] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14281), 1,
      anon_sym_PERCENT_EQ,
  [291359] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14315), 1,
      anon_sym_RPAREN,
  [291366] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14281), 1,
      anon_sym_SLASH_EQ,
  [291373] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9279), 1,
      anon_sym_SEMI,
  [291380] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14281), 1,
      anon_sym_STAR_EQ,
  [291387] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9448), 1,
      anon_sym_RPAREN,
  [291394] = 2,
    ACTIONS(10298), 1,
      sym_comment,
    ACTIONS(10548), 1,
      aux_sym_preproc_include_token2,
  [291401] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14317), 1,
      aux_sym_preproc_if_token2,
  [291408] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14319), 1,
      anon_sym_LPAREN2,
  [291415] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14281), 1,
      anon_sym_EQ,
  [291422] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14281), 1,
      anon_sym_GT_GT,
  [291429] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14321), 1,
      aux_sym_preproc_if_token2,
  [291436] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14281), 1,
      anon_sym_LT_LT,
  [291443] = 2,
    ACTIONS(10298), 1,
      sym_comment,
    ACTIONS(14323), 1,
      aux_sym_preproc_include_token2,
  [291450] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14281), 1,
      anon_sym_LT,
  [291457] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14325), 1,
      anon_sym_SEMI,
  [291464] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14327), 1,
      sym_identifier,
  [291471] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14329), 1,
      anon_sym_SEMI,
  [291478] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14331), 1,
      anon_sym_SEMI,
  [291485] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14281), 1,
      anon_sym_LT_EQ,
  [291492] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14281), 1,
      anon_sym_GT_EQ,
  [291499] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14281), 1,
      anon_sym_GT,
  [291506] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14333), 1,
      anon_sym_RPAREN,
  [291513] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14281), 1,
      anon_sym_BANG_EQ,
  [291520] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14281), 1,
      anon_sym_EQ_EQ,
  [291527] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14281), 1,
      anon_sym_AMP,
  [291534] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14335), 1,
      anon_sym_DQUOTE,
  [291541] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14281), 1,
      anon_sym_CARET,
  [291548] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14281), 1,
      anon_sym_PIPE,
  [291555] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14281), 1,
      anon_sym_AMP_AMP,
  [291562] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14337), 1,
      aux_sym_preproc_if_token2,
  [291569] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14281), 1,
      anon_sym_PIPE_PIPE,
  [291576] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14281), 1,
      anon_sym_PERCENT,
  [291583] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14339), 1,
      anon_sym_SLASH,
  [291590] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14341), 1,
      sym_identifier,
  [291597] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14281), 1,
      anon_sym_STAR,
  [291604] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14281), 1,
      anon_sym_PLUS,
  [291611] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14281), 1,
      anon_sym_DASH,
  [291618] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11226), 1,
      anon_sym_RPAREN,
  [291625] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9287), 1,
      anon_sym_COLON,
  [291632] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14343), 1,
      sym_raw_string_delimiter,
  [291639] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14345), 1,
      anon_sym_SEMI,
  [291646] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14347), 1,
      sym_identifier,
  [291653] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14349), 1,
      aux_sym_preproc_if_token2,
  [291660] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14351), 1,
      aux_sym_preproc_if_token2,
  [291667] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14353), 1,
      anon_sym_RPAREN,
  [291674] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14355), 1,
      anon_sym_SEMI,
  [291681] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14281), 1,
      anon_sym_COMMA,
  [291688] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14357), 1,
      anon_sym_SEMI,
  [291695] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14359), 1,
      anon_sym_DQUOTE,
  [291702] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14361), 1,
      anon_sym_RPAREN,
  [291709] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14363), 1,
      anon_sym_RPAREN,
  [291716] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14365), 1,
      anon_sym_COLON,
  [291723] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5328), 1,
      anon_sym_SEMI,
  [291730] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14367), 1,
      anon_sym_SEMI,
  [291737] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14369), 1,
      aux_sym_preproc_if_token2,
  [291744] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14371), 1,
      anon_sym_SEMI,
  [291751] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14373), 1,
      anon_sym_SEMI,
  [291758] = 2,
    ACTIONS(10298), 1,
      sym_comment,
    ACTIONS(14375), 1,
      aux_sym_preproc_include_token2,
  [291765] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14377), 1,
      anon_sym_LPAREN2,
  [291772] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14379), 1,
      anon_sym_RPAREN,
  [291779] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14381), 1,
      anon_sym_RPAREN,
  [291786] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14383), 1,
      anon_sym_RPAREN,
  [291793] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9128), 1,
      anon_sym_SEMI,
  [291800] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9289), 1,
      anon_sym_SEMI,
  [291807] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12654), 1,
      anon_sym_SEMI,
  [291814] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14385), 1,
      sym_identifier,
  [291821] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14387), 1,
      anon_sym_SEMI,
  [291828] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14389), 1,
      anon_sym_SEMI,
  [291835] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14391), 1,
      anon_sym_RPAREN,
  [291842] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14393), 1,
      sym_identifier,
  [291849] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14395), 1,
      anon_sym_SEMI,
  [291856] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14397), 1,
      anon_sym_RPAREN,
  [291863] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14399), 1,
      anon_sym_RPAREN,
  [291870] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14401), 1,
      anon_sym_RPAREN,
  [291877] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7727), 1,
      sym_identifier,
  [291884] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14403), 1,
      anon_sym_SEMI,
  [291891] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14405), 1,
      aux_sym_preproc_if_token2,
  [291898] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14407), 1,
      anon_sym_RPAREN,
  [291905] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9267), 1,
      anon_sym_SEMI,
  [291912] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9203), 1,
      anon_sym_SEMI,
  [291919] = 2,
    ACTIONS(10298), 1,
      sym_comment,
    ACTIONS(14409), 1,
      aux_sym_preproc_include_token2,
  [291926] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14411), 1,
      anon_sym_SEMI,
  [291933] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11811), 1,
      anon_sym_SEMI,
  [291940] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14413), 1,
      sym_identifier,
  [291947] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14415), 1,
      sym_identifier,
  [291954] = 2,
    ACTIONS(10298), 1,
      sym_comment,
    ACTIONS(10560), 1,
      aux_sym_preproc_include_token2,
  [291961] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14417), 1,
      aux_sym_preproc_if_token2,
  [291968] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11293), 1,
      anon_sym_RPAREN,
  [291975] = 2,
    ACTIONS(10298), 1,
      sym_comment,
    ACTIONS(14419), 1,
      aux_sym_preproc_include_token2,
  [291982] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14421), 1,
      sym_raw_string_delimiter,
  [291989] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9285), 1,
      anon_sym_SEMI,
  [291996] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14423), 1,
      sym_identifier,
  [292003] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14425), 1,
      aux_sym_preproc_if_token2,
  [292010] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14427), 1,
      anon_sym_RPAREN,
  [292017] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8080), 1,
      sym_identifier,
  [292024] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14429), 1,
      anon_sym_COLON,
  [292031] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8947), 1,
      anon_sym_RBRACE,
  [292038] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11333), 1,
      anon_sym_RBRACE,
  [292045] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14431), 1,
      anon_sym_RPAREN,
  [292052] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11301), 1,
      anon_sym_RBRACE,
  [292059] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14433), 1,
      sym_identifier,
  [292066] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13711), 1,
      anon_sym_COMMA,
  [292073] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8845), 1,
      anon_sym_RBRACE,
  [292080] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14435), 1,
      anon_sym_RPAREN,
  [292087] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14437), 1,
      anon_sym_RPAREN,
  [292094] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14439), 1,
      sym_raw_string_delimiter,
  [292101] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12438), 1,
      anon_sym_SEMI,
  [292108] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14441), 1,
      anon_sym_LPAREN2,
  [292115] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11859), 1,
      anon_sym_SEMI,
  [292122] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11323), 1,
      anon_sym_RPAREN,
  [292129] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14443), 1,
      anon_sym_RPAREN,
  [292136] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14445), 1,
      sym_identifier,
  [292143] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14447), 1,
      anon_sym_RPAREN,
  [292150] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14449), 1,
      anon_sym_SEMI,
  [292157] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14451), 1,
      sym_identifier,
  [292164] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14453), 1,
      sym_auto,
  [292171] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9215), 1,
      anon_sym_COLON,
  [292178] = 2,
    ACTIONS(10298), 1,
      sym_comment,
    ACTIONS(14455), 1,
      aux_sym_preproc_include_token2,
  [292185] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9253), 1,
      anon_sym_COLON,
  [292192] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14457), 1,
      sym_identifier,
  [292199] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14459), 1,
      anon_sym_RPAREN,
  [292206] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14461), 1,
      sym_auto,
  [292213] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14463), 1,
      aux_sym_preproc_if_token2,
  [292220] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14465), 1,
      sym_identifier,
  [292227] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14467), 1,
      anon_sym_STAR,
  [292234] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14469), 1,
      anon_sym_SEMI,
  [292241] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14471), 1,
      anon_sym_SEMI,
  [292248] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13807), 1,
      anon_sym_RBRACE,
  [292255] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14473), 1,
      aux_sym_preproc_if_token2,
  [292262] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14475), 1,
      anon_sym_SEMI,
  [292269] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14477), 1,
      anon_sym_SEMI,
  [292276] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14479), 1,
      sym_identifier,
  [292283] = 2,
    ACTIONS(10298), 1,
      sym_comment,
    ACTIONS(14481), 1,
      aux_sym_preproc_include_token2,
  [292290] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14483), 1,
      anon_sym_STAR,
  [292297] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14485), 1,
      sym_identifier,
  [292304] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11309), 1,
      anon_sym_RPAREN,
  [292311] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14487), 1,
      anon_sym_RPAREN,
  [292318] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14489), 1,
      sym_raw_string_delimiter,
  [292325] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14491), 1,
      anon_sym_SEMI,
  [292332] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14493), 1,
      sym_identifier,
  [292339] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14495), 1,
      anon_sym_SEMI,
  [292346] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9056), 1,
      anon_sym_RPAREN,
  [292353] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9054), 1,
      anon_sym_RPAREN,
  [292360] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14497), 1,
      anon_sym_STAR,
  [292367] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9052), 1,
      anon_sym_SEMI,
  [292374] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14499), 1,
      anon_sym_SEMI,
  [292381] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14501), 1,
      anon_sym_RPAREN,
  [292388] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14503), 1,
      anon_sym_COLON,
  [292395] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14505), 1,
      sym_identifier,
  [292402] = 2,
    ACTIONS(10298), 1,
      sym_comment,
    ACTIONS(14507), 1,
      aux_sym_preproc_include_token2,
  [292409] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14509), 1,
      anon_sym_DQUOTE,
  [292416] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14511), 1,
      aux_sym_preproc_if_token2,
  [292423] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14513), 1,
      anon_sym_LPAREN2,
  [292430] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11774), 1,
      anon_sym_SEMI,
  [292437] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14515), 1,
      anon_sym_LPAREN2,
  [292444] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14517), 1,
      anon_sym_RPAREN,
  [292451] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14519), 1,
      anon_sym_LPAREN2,
  [292458] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14521), 1,
      anon_sym_RPAREN,
  [292465] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14523), 1,
      sym_identifier,
  [292472] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6955), 1,
      sym_identifier,
  [292479] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14525), 1,
      anon_sym_RPAREN,
  [292486] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14527), 1,
      anon_sym_RPAREN,
  [292493] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14529), 1,
      anon_sym_SEMI,
  [292500] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14531), 1,
      anon_sym_RPAREN,
  [292507] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14533), 1,
      anon_sym_RPAREN,
  [292514] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9058), 1,
      anon_sym_SEMI,
  [292521] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14535), 1,
      anon_sym_SEMI,
  [292528] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14537), 1,
      sym_identifier,
  [292535] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14539), 1,
      anon_sym_SEMI,
  [292542] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11289), 1,
      anon_sym_RPAREN,
  [292549] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14541), 1,
      anon_sym_SEMI,
  [292556] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14543), 1,
      anon_sym_RPAREN,
  [292563] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14545), 1,
      anon_sym_DQUOTE,
  [292570] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14547), 1,
      anon_sym_RPAREN,
  [292577] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14549), 1,
      sym_raw_string_delimiter,
  [292584] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14551), 1,
      anon_sym_LBRACE,
  [292591] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14553), 1,
      anon_sym_RPAREN,
  [292598] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11184), 1,
      anon_sym_RPAREN,
  [292605] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14555), 1,
      sym_identifier,
  [292612] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14557), 1,
      sym_raw_string_delimiter,
  [292619] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14559), 1,
      anon_sym_LBRACE,
  [292626] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14561), 1,
      anon_sym_RPAREN,
  [292633] = 2,
    ACTIONS(10298), 1,
      sym_comment,
    ACTIONS(14563), 1,
      aux_sym_preproc_include_token2,
  [292640] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14565), 1,
      anon_sym_LPAREN2,
  [292647] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14567), 1,
      sym_raw_string_content,
  [292654] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14569), 1,
      anon_sym_LPAREN2,
  [292661] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14571), 1,
      anon_sym_RPAREN,
  [292668] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14573), 1,
      anon_sym_RPAREN,
  [292675] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14575), 1,
      anon_sym_RPAREN,
  [292682] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14577), 1,
      anon_sym_RPAREN,
  [292689] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12668), 1,
      anon_sym_SEMI,
  [292696] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12137), 1,
      anon_sym_COMMA,
  [292703] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14579), 1,
      anon_sym_SEMI,
  [292710] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14581), 1,
      sym_raw_string_delimiter,
  [292717] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9000), 1,
      anon_sym_SEMI,
  [292724] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14583), 1,
      anon_sym_SEMI,
  [292731] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7665), 1,
      sym_identifier,
  [292738] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14585), 1,
      anon_sym_SEMI,
  [292745] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14587), 1,
      anon_sym_LPAREN2,
  [292752] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11863), 1,
      anon_sym_SEMI,
  [292759] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14589), 1,
      sym_identifier,
  [292766] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14591), 1,
      anon_sym_RPAREN,
  [292773] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14593), 1,
      anon_sym_DQUOTE,
  [292780] = 2,
    ACTIONS(10298), 1,
      sym_comment,
    ACTIONS(10542), 1,
      aux_sym_preproc_include_token2,
  [292787] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14595), 1,
      sym_raw_string_delimiter,
  [292794] = 2,
    ACTIONS(10298), 1,
      sym_comment,
    ACTIONS(14597), 1,
      aux_sym_preproc_include_token2,
  [292801] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14599), 1,
      aux_sym_preproc_if_token2,
  [292808] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14601), 1,
      aux_sym_preproc_if_token2,
  [292815] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14603), 1,
      anon_sym_LPAREN2,
  [292822] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14605), 1,
      anon_sym_RPAREN,
  [292829] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14607), 1,
      sym_raw_string_delimiter,
  [292836] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14609), 1,
      anon_sym_STAR,
  [292843] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14611), 1,
      anon_sym_RPAREN,
  [292850] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14613), 1,
      sym_raw_string_delimiter,
  [292857] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14615), 1,
      anon_sym_RPAREN,
  [292864] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14617), 1,
      anon_sym_RPAREN,
  [292871] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14619), 1,
      sym_raw_string_delimiter,
  [292878] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14621), 1,
      anon_sym_RPAREN,
  [292885] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14623), 1,
      sym_raw_string_delimiter,
  [292892] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14625), 1,
      anon_sym_RPAREN,
  [292899] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14627), 1,
      sym_raw_string_delimiter,
  [292906] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14629), 1,
      anon_sym_RPAREN,
  [292913] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14631), 1,
      sym_raw_string_delimiter,
  [292920] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14633), 1,
      anon_sym_RPAREN,
  [292927] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14635), 1,
      sym_raw_string_delimiter,
  [292934] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14637), 1,
      anon_sym_RPAREN,
  [292941] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14639), 1,
      sym_raw_string_delimiter,
  [292948] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14641), 1,
      aux_sym_preproc_if_token2,
  [292955] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14643), 1,
      aux_sym_preproc_if_token2,
  [292962] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14645), 1,
      sym_identifier,
  [292969] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14647), 1,
      anon_sym_LPAREN2,
  [292976] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14649), 1,
      sym_identifier,
  [292983] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14651), 1,
      anon_sym_LPAREN2,
  [292990] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14653), 1,
      anon_sym_LPAREN2,
  [292997] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11325), 1,
      anon_sym_RBRACE,
  [293004] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14655), 1,
      anon_sym_RPAREN,
  [293011] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14657), 1,
      anon_sym_LPAREN2,
  [293018] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14659), 1,
      anon_sym_RPAREN,
  [293025] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14661), 1,
      anon_sym_LPAREN2,
  [293032] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14663), 1,
      anon_sym_LPAREN2,
  [293039] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14665), 1,
      anon_sym_RPAREN,
  [293046] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11297), 1,
      anon_sym_RBRACE,
  [293053] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14667), 1,
      anon_sym_RPAREN,
  [293060] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14669), 1,
      anon_sym_RPAREN,
  [293067] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14671), 1,
      anon_sym_RPAREN,
  [293074] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14673), 1,
      anon_sym_RPAREN,
  [293081] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14675), 1,
      anon_sym_RPAREN,
  [293088] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7525), 1,
      anon_sym_RPAREN,
  [293095] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11230), 1,
      anon_sym_RBRACE,
  [293102] = 2,
    ACTIONS(10298), 1,
      sym_comment,
    ACTIONS(14677), 1,
      aux_sym_preproc_include_token2,
  [293109] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14679), 1,
      anon_sym_RPAREN,
  [293116] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14681), 1,
      anon_sym_RPAREN,
  [293123] = 2,
    ACTIONS(10298), 1,
      sym_comment,
    ACTIONS(13705), 1,
      aux_sym_preproc_include_token2,
  [293130] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14683), 1,
      anon_sym_COLON,
  [293137] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14685), 1,
      anon_sym_while,
  [293144] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14687), 1,
      sym_identifier,
  [293151] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14689), 1,
      anon_sym_LPAREN2,
  [293158] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9028), 1,
      anon_sym_RBRACE,
  [293165] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14691), 1,
      sym_identifier,
  [293172] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14693), 1,
      anon_sym_RPAREN,
  [293179] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14695), 1,
      anon_sym_COMMA,
  [293186] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14697), 1,
      anon_sym_EQ,
  [293193] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14699), 1,
      sym_raw_string_content,
  [293200] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14701), 1,
      anon_sym_RPAREN,
  [293207] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14703), 1,
      anon_sym_RPAREN,
  [293214] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12303), 1,
      anon_sym_SEMI,
  [293221] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14705), 1,
      anon_sym_STAR,
  [293228] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14707), 1,
      anon_sym_LPAREN2,
  [293235] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14709), 1,
      sym_identifier,
  [293242] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14711), 1,
      anon_sym_SEMI,
  [293249] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14713), 1,
      anon_sym_RPAREN,
  [293256] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9185), 1,
      anon_sym_SEMI,
  [293263] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14715), 1,
      anon_sym_RPAREN,
  [293270] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5350), 1,
      anon_sym_SEMI,
  [293277] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8998), 1,
      anon_sym_RPAREN,
  [293284] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14717), 1,
      anon_sym_RPAREN,
  [293291] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14719), 1,
      sym_auto,
  [293298] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14721), 1,
      sym_identifier,
  [293305] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14723), 1,
      sym_identifier,
  [293312] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14725), 1,
      anon_sym_RPAREN,
  [293319] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14727), 1,
      anon_sym_COMMA,
  [293326] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14729), 1,
      anon_sym_SEMI,
  [293333] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14731), 1,
      anon_sym_SEMI,
  [293340] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14733), 1,
      anon_sym_RPAREN,
  [293347] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14735), 1,
      anon_sym_COLON,
  [293354] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9179), 1,
      anon_sym_COLON,
  [293361] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14737), 1,
      anon_sym_RPAREN,
  [293368] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14739), 1,
      anon_sym_RPAREN,
  [293375] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9273), 1,
      anon_sym_COLON,
  [293382] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14741), 1,
      sym_identifier,
  [293389] = 2,
    ACTIONS(10298), 1,
      sym_comment,
    ACTIONS(14743), 1,
      aux_sym_preproc_include_token2,
  [293396] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14745), 1,
      aux_sym_preproc_if_token2,
  [293403] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11891), 1,
      anon_sym_COMMA,
  [293410] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14747), 1,
      anon_sym_COLON,
  [293417] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14749), 1,
      anon_sym_RPAREN,
  [293424] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14751), 1,
      anon_sym_RBRACE,
  [293431] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13721), 1,
      anon_sym_RBRACE,
  [293438] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12773), 1,
      anon_sym_SEMI,
  [293445] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14753), 1,
      anon_sym_RPAREN,
  [293452] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14755), 1,
      anon_sym_SEMI,
  [293459] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14757), 1,
      sym_identifier,
  [293466] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14759), 1,
      sym_identifier,
  [293473] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14761), 1,
      anon_sym_RPAREN,
  [293480] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14763), 1,
      anon_sym_COLON,
  [293487] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14765), 1,
      aux_sym_preproc_if_token2,
  [293494] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14767), 1,
      anon_sym_SEMI,
  [293501] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14769), 1,
      anon_sym_SEMI,
  [293508] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14771), 1,
      anon_sym_RBRACE,
  [293515] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14773), 1,
      sym_auto,
  [293522] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9006), 1,
      anon_sym_RBRACE,
  [293529] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9259), 1,
      anon_sym_COLON,
  [293536] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14775), 1,
      anon_sym_RPAREN,
  [293543] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14777), 1,
      anon_sym_SEMI,
  [293550] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14779), 1,
      anon_sym_SEMI,
  [293557] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14781), 1,
      anon_sym_SEMI,
  [293564] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14783), 1,
      anon_sym_DQUOTE,
  [293571] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14785), 1,
      anon_sym_RPAREN,
  [293578] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14787), 1,
      anon_sym_SEMI,
  [293585] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14789), 1,
      anon_sym_SEMI,
  [293592] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14791), 1,
      anon_sym_SEMI,
  [293599] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14793), 1,
      anon_sym_SEMI,
  [293606] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14795), 1,
      anon_sym_DQUOTE,
  [293613] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14797), 1,
      aux_sym_preproc_if_token2,
  [293620] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14799), 1,
      anon_sym_DQUOTE,
  [293627] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14801), 1,
      anon_sym_DQUOTE,
  [293634] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14803), 1,
      anon_sym_RPAREN,
  [293641] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14805), 1,
      anon_sym_DQUOTE,
  [293648] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9213), 1,
      anon_sym_COLON,
  [293655] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14807), 1,
      anon_sym_SEMI,
  [293662] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14809), 1,
      anon_sym_SEMI,
  [293669] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14811), 1,
      sym_identifier,
  [293676] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14813), 1,
      anon_sym_SEMI,
  [293683] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14815), 1,
      anon_sym_SEMI,
  [293690] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14817), 1,
      anon_sym_SEMI,
  [293697] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14819), 1,
      aux_sym_preproc_if_token2,
  [293704] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14821), 1,
      aux_sym_preproc_if_token2,
  [293711] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14823), 1,
      anon_sym_SEMI,
  [293718] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14825), 1,
      anon_sym_DQUOTE,
  [293725] = 2,
    ACTIONS(10298), 1,
      sym_comment,
    ACTIONS(14827), 1,
      aux_sym_preproc_include_token2,
  [293732] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14829), 1,
      anon_sym_RPAREN,
  [293739] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14831), 1,
      aux_sym_preproc_if_token2,
  [293746] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14833), 1,
      anon_sym_SEMI,
  [293753] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14835), 1,
      aux_sym_preproc_if_token2,
  [293760] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14837), 1,
      sym_identifier,
  [293767] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14839), 1,
      aux_sym_preproc_if_token2,
  [293774] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14841), 1,
      anon_sym_DQUOTE,
  [293781] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14843), 1,
      anon_sym_DQUOTE,
  [293788] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14845), 1,
      anon_sym_RPAREN,
  [293795] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8713), 1,
      anon_sym_RBRACE,
  [293802] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14847), 1,
      anon_sym_RPAREN,
  [293809] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14849), 1,
      anon_sym_RPAREN,
  [293816] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14851), 1,
      anon_sym_SEMI,
  [293823] = 2,
    ACTIONS(6398), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(10298), 1,
      sym_comment,
  [293830] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14853), 1,
      anon_sym_SEMI,
  [293837] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14855), 1,
      aux_sym_preproc_if_token2,
  [293844] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14857), 1,
      sym_identifier,
  [293851] = 2,
    ACTIONS(10298), 1,
      sym_comment,
    ACTIONS(14859), 1,
      aux_sym_preproc_include_token2,
  [293858] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14861), 1,
      anon_sym_RPAREN,
  [293865] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14863), 1,
      anon_sym_RPAREN,
  [293872] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14865), 1,
      anon_sym_RPAREN,
  [293879] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14867), 1,
      anon_sym_DQUOTE,
  [293886] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14869), 1,
      anon_sym_DQUOTE,
  [293893] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14871), 1,
      anon_sym_RPAREN,
  [293900] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14873), 1,
      anon_sym_RPAREN,
  [293907] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14875), 1,
      anon_sym_SEMI,
  [293914] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14877), 1,
      anon_sym_SEMI,
  [293921] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14879), 1,
      sym_identifier,
  [293928] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14881), 1,
      anon_sym_RPAREN,
  [293935] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11827), 1,
      anon_sym_SEMI,
  [293942] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14883), 1,
      anon_sym_SEMI,
  [293949] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14885), 1,
      anon_sym_DQUOTE,
  [293956] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14887), 1,
      aux_sym_preproc_if_token2,
  [293963] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14889), 1,
      anon_sym_DQUOTE,
  [293970] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14891), 1,
      anon_sym_RPAREN,
  [293977] = 2,
    ACTIONS(10298), 1,
      sym_comment,
    ACTIONS(14893), 1,
      aux_sym_preproc_include_token2,
  [293984] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13359), 1,
      anon_sym_RPAREN,
  [293991] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9235), 1,
      anon_sym_RPAREN,
  [293998] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9239), 1,
      anon_sym_RPAREN,
  [294005] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8721), 1,
      anon_sym_RPAREN,
  [294012] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9241), 1,
      anon_sym_RPAREN,
  [294019] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14895), 1,
      anon_sym_RPAREN,
  [294026] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14897), 1,
      anon_sym_RBRACK,
  [294033] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13787), 1,
      anon_sym_RBRACE,
  [294040] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9032), 1,
      anon_sym_RBRACE,
  [294047] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14899), 1,
      anon_sym_DQUOTE,
  [294054] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14901), 1,
      anon_sym_SEMI,
  [294061] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14903), 1,
      anon_sym_SEMI,
  [294068] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14905), 1,
      anon_sym_SEMI,
  [294075] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14907), 1,
      anon_sym_SEMI,
  [294082] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12219), 1,
      anon_sym_COLON,
  [294089] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14909), 1,
      sym_identifier,
  [294096] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14911), 1,
      anon_sym_DQUOTE,
  [294103] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14913), 1,
      anon_sym_DQUOTE,
  [294110] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14915), 1,
      sym_identifier,
  [294117] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14917), 1,
      anon_sym_LPAREN2,
  [294124] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11327), 1,
      anon_sym_RBRACE,
  [294131] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14919), 1,
      anon_sym_RPAREN,
  [294138] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14921), 1,
      anon_sym_RPAREN,
  [294145] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14923), 1,
      anon_sym_RPAREN,
  [294152] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14925), 1,
      anon_sym_RPAREN,
  [294159] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12468), 1,
      anon_sym_SEMI,
  [294166] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14927), 1,
      anon_sym_SEMI,
  [294173] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14929), 1,
      anon_sym_SEMI,
  [294180] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14931), 1,
      anon_sym_DOT_DOT_DOT,
  [294187] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14933), 1,
      anon_sym_DOT_DOT_DOT,
  [294194] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14936), 1,
      anon_sym_SEMI,
  [294201] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14938), 1,
      anon_sym_SEMI,
  [294208] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14940), 1,
      anon_sym_SEMI,
  [294215] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13801), 1,
      anon_sym_RBRACE,
  [294222] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14942), 1,
      anon_sym_RPAREN,
  [294229] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14944), 1,
      anon_sym_DQUOTE,
  [294236] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14946), 1,
      aux_sym_preproc_if_token2,
  [294243] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14948), 1,
      sym_identifier,
  [294250] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14950), 1,
      anon_sym_DQUOTE,
  [294257] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14952), 1,
      anon_sym_DQUOTE,
  [294264] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13323), 1,
      anon_sym_SEMI,
  [294271] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14954), 1,
      anon_sym_SEMI,
  [294278] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5466), 1,
      anon_sym_SEMI,
  [294285] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14956), 1,
      sym_auto,
  [294292] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14958), 1,
      anon_sym_RBRACE,
  [294299] = 2,
    ACTIONS(10298), 1,
      sym_comment,
    ACTIONS(14960), 1,
      aux_sym_preproc_include_token2,
  [294306] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14962), 1,
      anon_sym_SEMI,
  [294313] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14964), 1,
      aux_sym_preproc_if_token2,
  [294320] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13813), 1,
      anon_sym_RBRACE,
  [294327] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14966), 1,
      aux_sym_preproc_if_token2,
  [294334] = 2,
    ACTIONS(10298), 1,
      sym_comment,
    ACTIONS(14968), 1,
      aux_sym_preproc_include_token2,
  [294341] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14970), 1,
      sym_identifier,
  [294348] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14972), 1,
      anon_sym_SEMI,
  [294355] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14974), 1,
      anon_sym_DQUOTE,
  [294362] = 2,
    ACTIONS(10298), 1,
      sym_comment,
    ACTIONS(14976), 1,
      aux_sym_preproc_include_token2,
  [294369] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14978), 1,
      anon_sym_RPAREN,
  [294376] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14980), 1,
      anon_sym_DQUOTE,
  [294383] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14982), 1,
      anon_sym_LPAREN2,
  [294390] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14984), 1,
      anon_sym_LPAREN2,
  [294397] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14986), 1,
      anon_sym_LPAREN2,
  [294404] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13823), 1,
      anon_sym_RBRACE,
  [294411] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14988), 1,
      anon_sym_LPAREN2,
  [294418] = 2,
    ACTIONS(10298), 1,
      sym_comment,
    ACTIONS(10452), 1,
      aux_sym_preproc_include_token2,
  [294425] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9269), 1,
      anon_sym_COLON,
  [294432] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14990), 1,
      anon_sym_RPAREN,
  [294439] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14992), 1,
      sym_auto,
  [294446] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14994), 1,
      anon_sym_RPAREN,
  [294453] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14996), 1,
      anon_sym_while,
  [294460] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9249), 1,
      anon_sym_COLON,
  [294467] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14998), 1,
      anon_sym_LPAREN2,
  [294474] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15000), 1,
      anon_sym_RPAREN,
  [294481] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15002), 1,
      anon_sym_LPAREN2,
  [294488] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15004), 1,
      aux_sym_preproc_if_token2,
  [294495] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15006), 1,
      anon_sym_EQ,
  [294502] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15008), 1,
      sym_raw_string_content,
  [294509] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15010), 1,
      anon_sym_STAR,
  [294516] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15012), 1,
      anon_sym_LPAREN2,
  [294523] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15014), 1,
      sym_auto,
  [294530] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11188), 1,
      anon_sym_RBRACE,
  [294537] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15016), 1,
      anon_sym_RPAREN,
  [294544] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15018), 1,
      anon_sym_COMMA,
  [294551] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15020), 1,
      anon_sym_SEMI,
  [294558] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15022), 1,
      anon_sym_SEMI,
  [294565] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15024), 1,
      anon_sym_SEMI,
  [294572] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15026), 1,
      aux_sym_preproc_if_token2,
  [294579] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15028), 1,
      anon_sym_RPAREN,
  [294586] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15030), 1,
      anon_sym_COLON,
  [294593] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15032), 1,
      anon_sym_STAR,
  [294600] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15034), 1,
      anon_sym_RPAREN,
  [294607] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15036), 1,
      anon_sym_SEMI,
  [294614] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15038), 1,
      anon_sym_LPAREN2,
  [294621] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15040), 1,
      anon_sym_LPAREN2,
  [294628] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15042), 1,
      anon_sym_DQUOTE,
  [294635] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15044), 1,
      anon_sym_LPAREN2,
  [294642] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15046), 1,
      anon_sym_RBRACE,
  [294649] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15048), 1,
      aux_sym_preproc_if_token2,
  [294656] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15050), 1,
      anon_sym_RPAREN,
  [294663] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15052), 1,
      anon_sym_while,
  [294670] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12585), 1,
      anon_sym_SEMI,
  [294677] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15054), 1,
      anon_sym_LPAREN2,
  [294684] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15056), 1,
      anon_sym_SEMI,
  [294691] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15058), 1,
      anon_sym_SEMI,
  [294698] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15060), 1,
      anon_sym_EQ,
  [294705] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15062), 1,
      sym_raw_string_content,
  [294712] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15064), 1,
      anon_sym_SEMI,
  [294719] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15066), 1,
      anon_sym_RPAREN,
  [294726] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15068), 1,
      anon_sym_COMMA,
  [294733] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15070), 1,
      aux_sym_preproc_if_token2,
  [294740] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15072), 1,
      anon_sym_RPAREN,
  [294747] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15074), 1,
      anon_sym_SEMI,
  [294754] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15076), 1,
      anon_sym_RPAREN,
  [294761] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15078), 1,
      anon_sym_RPAREN,
  [294768] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15080), 1,
      anon_sym_COLON,
  [294775] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15082), 1,
      anon_sym_RPAREN,
  [294782] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15084), 1,
      anon_sym_RPAREN,
  [294789] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15086), 1,
      anon_sym_LPAREN2,
  [294796] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15088), 1,
      anon_sym_LPAREN2,
  [294803] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15090), 1,
      anon_sym_LPAREN2,
  [294810] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15092), 1,
      anon_sym_RPAREN,
  [294817] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15094), 1,
      anon_sym_LPAREN2,
  [294824] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15096), 1,
      aux_sym_preproc_if_token2,
  [294831] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15098), 1,
      anon_sym_RPAREN,
  [294838] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15100), 1,
      anon_sym_while,
  [294845] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15102), 1,
      anon_sym_SEMI,
  [294852] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15104), 1,
      anon_sym_LPAREN2,
  [294859] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15106), 1,
      anon_sym_DQUOTE,
  [294866] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15108), 1,
      anon_sym_RPAREN,
  [294873] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15110), 1,
      anon_sym_EQ,
  [294880] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15112), 1,
      sym_raw_string_content,
  [294887] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15114), 1,
      anon_sym_COLON,
  [294894] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15116), 1,
      anon_sym_COMMA,
  [294901] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11249), 1,
      anon_sym_RBRACE,
  [294908] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15118), 1,
      anon_sym_RPAREN,
  [294915] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15120), 1,
      aux_sym_preproc_if_token2,
  [294922] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8951), 1,
      anon_sym_RBRACE,
  [294929] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15122), 1,
      anon_sym_RPAREN,
  [294936] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15124), 1,
      anon_sym_COLON,
  [294943] = 2,
    ACTIONS(6402), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(10298), 1,
      sym_comment,
  [294950] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15126), 1,
      anon_sym_RBRACE,
  [294957] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15128), 1,
      anon_sym_LPAREN2,
  [294964] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15130), 1,
      anon_sym_LPAREN2,
  [294971] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15132), 1,
      anon_sym_DQUOTE,
  [294978] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15134), 1,
      anon_sym_LPAREN2,
  [294985] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15136), 1,
      anon_sym_SEMI,
  [294992] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15138), 1,
      anon_sym_DQUOTE,
  [294999] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15140), 1,
      anon_sym_while,
  [295006] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15142), 1,
      anon_sym_LPAREN2,
  [295013] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15144), 1,
      anon_sym_SEMI,
  [295020] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15146), 1,
      sym_raw_string_content,
  [295027] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15148), 1,
      anon_sym_EQ,
  [295034] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15150), 1,
      sym_raw_string_content,
  [295041] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15152), 1,
      anon_sym_LPAREN2,
  [295048] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15154), 1,
      anon_sym_COMMA,
  [295055] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13863), 1,
      anon_sym_RBRACE,
  [295062] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15156), 1,
      anon_sym_RPAREN,
  [295069] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15158), 1,
      sym_identifier,
  [295076] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15160), 1,
      anon_sym_RPAREN,
  [295083] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15162), 1,
      anon_sym_COLON,
  [295090] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15164), 1,
      anon_sym_EQ,
  [295097] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11801), 1,
      anon_sym_SEMI,
  [295104] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15166), 1,
      anon_sym_LPAREN2,
  [295111] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15168), 1,
      anon_sym_LPAREN2,
  [295118] = 2,
    ACTIONS(10298), 1,
      sym_comment,
    ACTIONS(15170), 1,
      aux_sym_preproc_include_token2,
  [295125] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15172), 1,
      anon_sym_LPAREN2,
  [295132] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15174), 1,
      anon_sym_RPAREN,
  [295139] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15176), 1,
      anon_sym_RPAREN,
  [295146] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15178), 1,
      anon_sym_LPAREN2,
  [295153] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9271), 1,
      anon_sym_COLON,
  [295160] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15180), 1,
      sym_auto,
  [295167] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15182), 1,
      anon_sym_EQ,
  [295174] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15184), 1,
      sym_raw_string_content,
  [295181] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12901), 1,
      anon_sym_COLON_COLON,
  [295188] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15186), 1,
      anon_sym_COMMA,
  [295195] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15188), 1,
      aux_sym_preproc_if_token2,
  [295202] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15190), 1,
      anon_sym_RPAREN,
  [295209] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15192), 1,
      anon_sym_RPAREN,
  [295216] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15194), 1,
      anon_sym_RPAREN,
  [295223] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15196), 1,
      anon_sym_COLON,
  [295230] = 2,
    ACTIONS(10298), 1,
      sym_comment,
    ACTIONS(15198), 1,
      aux_sym_preproc_include_token2,
  [295237] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15200), 1,
      anon_sym_LPAREN2,
  [295244] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15202), 1,
      anon_sym_LPAREN2,
  [295251] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15204), 1,
      aux_sym_preproc_if_token2,
  [295258] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15206), 1,
      anon_sym_LPAREN2,
  [295265] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15208), 1,
      sym_identifier,
  [295272] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15210), 1,
      anon_sym_RPAREN,
  [295279] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15212), 1,
      anon_sym_LPAREN2,
  [295286] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15214), 1,
      anon_sym_STAR,
  [295293] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15216), 1,
      aux_sym_preproc_if_token2,
  [295300] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15218), 1,
      anon_sym_EQ,
  [295307] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15220), 1,
      sym_raw_string_content,
  [295314] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15222), 1,
      anon_sym_RPAREN,
  [295321] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15224), 1,
      anon_sym_COMMA,
  [295328] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15226), 1,
      anon_sym_RPAREN,
  [295335] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11355), 1,
      anon_sym_RBRACE,
  [295342] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15228), 1,
      aux_sym_preproc_if_token2,
  [295349] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15230), 1,
      anon_sym_RPAREN,
  [295356] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15232), 1,
      anon_sym_COLON,
  [295363] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11124), 1,
      sym_identifier,
  [295370] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15234), 1,
      anon_sym_LPAREN2,
  [295377] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7721), 1,
      sym_identifier,
  [295384] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15236), 1,
      anon_sym_LPAREN2,
  [295391] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15238), 1,
      anon_sym_COLON,
  [295398] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15240), 1,
      anon_sym_RPAREN,
  [295405] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15242), 1,
      anon_sym_LPAREN2,
  [295412] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7623), 1,
      anon_sym_RPAREN,
  [295419] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15244), 1,
      anon_sym_EQ,
  [295426] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15246), 1,
      sym_raw_string_content,
  [295433] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15248), 1,
      sym_identifier,
  [295440] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15250), 1,
      aux_sym_preproc_if_token2,
  [295447] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11797), 1,
      anon_sym_SEMI,
  [295454] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15252), 1,
      aux_sym_preproc_if_token2,
  [295461] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15254), 1,
      anon_sym_RPAREN,
  [295468] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15256), 1,
      anon_sym_SEMI,
  [295475] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15258), 1,
      anon_sym_LPAREN2,
  [295482] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15260), 1,
      anon_sym_LPAREN2,
  [295489] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15262), 1,
      aux_sym_preproc_if_token2,
  [295496] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15264), 1,
      sym_raw_string_content,
  [295503] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15266), 1,
      anon_sym_SEMI,
  [295510] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15268), 1,
      anon_sym_RPAREN,
  [295517] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15270), 1,
      anon_sym_RPAREN,
  [295524] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11845), 1,
      anon_sym_SEMI,
  [295531] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15272), 1,
      anon_sym_LPAREN2,
  [295538] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15274), 1,
      anon_sym_LPAREN2,
  [295545] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15276), 1,
      aux_sym_preproc_if_token2,
  [295552] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15278), 1,
      sym_raw_string_content,
  [295559] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15280), 1,
      anon_sym_SEMI,
  [295566] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15282), 1,
      anon_sym_RPAREN,
  [295573] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15284), 1,
      anon_sym_LPAREN2,
  [295580] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15286), 1,
      anon_sym_LPAREN2,
  [295587] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15288), 1,
      sym_raw_string_content,
  [295594] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15290), 1,
      anon_sym_RPAREN,
  [295601] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15292), 1,
      sym_raw_string_content,
  [295608] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15294), 1,
      anon_sym_RPAREN,
  [295615] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15296), 1,
      sym_raw_string_content,
  [295622] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15298), 1,
      anon_sym_RPAREN,
  [295629] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15300), 1,
      sym_raw_string_content,
  [295636] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15302), 1,
      anon_sym_RPAREN,
  [295643] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15304), 1,
      sym_raw_string_content,
  [295650] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15306), 1,
      anon_sym_RPAREN,
  [295657] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15308), 1,
      sym_raw_string_content,
  [295664] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15310), 1,
      anon_sym_RPAREN,
  [295671] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15312), 1,
      sym_raw_string_content,
  [295678] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15314), 1,
      anon_sym_RPAREN,
  [295685] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15316), 1,
      sym_raw_string_content,
  [295692] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15318), 1,
      anon_sym_RPAREN,
  [295699] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9130), 1,
      anon_sym_SEMI,
  [295706] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15320), 1,
      anon_sym_LPAREN2,
  [295713] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15322), 1,
      anon_sym_LPAREN2,
  [295720] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15324), 1,
      anon_sym_LPAREN2,
  [295727] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15326), 1,
      sym_identifier,
  [295734] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15328), 1,
      anon_sym_SEMI,
  [295741] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15330), 1,
      anon_sym_SEMI,
  [295748] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9116), 1,
      anon_sym_SEMI,
  [295755] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15332), 1,
      anon_sym_SEMI,
  [295762] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15334), 1,
      anon_sym_RPAREN,
  [295769] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15336), 1,
      anon_sym_RPAREN,
  [295776] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15338), 1,
      anon_sym_RPAREN,
  [295783] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15340), 1,
      anon_sym_RPAREN,
  [295790] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15342), 1,
      anon_sym_while,
  [295797] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15344), 1,
      anon_sym_RPAREN,
  [295804] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15346), 1,
      anon_sym_SEMI,
  [295811] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15348), 1,
      anon_sym_SEMI,
  [295818] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15350), 1,
      anon_sym_SEMI,
  [295825] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15352), 1,
      anon_sym_LPAREN2,
  [295832] = 2,
    ACTIONS(10298), 1,
      sym_comment,
    ACTIONS(15354), 1,
      aux_sym_preproc_include_token2,
  [295839] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9275), 1,
      anon_sym_RPAREN,
  [295846] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9340), 1,
      anon_sym_RPAREN,
  [295853] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15356), 1,
      sym_identifier,
  [295860] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15358), 1,
      sym_raw_string_content,
  [295867] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15360), 1,
      anon_sym_RPAREN,
  [295874] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11349), 1,
      anon_sym_RBRACE,
  [295881] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15362), 1,
      aux_sym_preproc_if_token2,
  [295888] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9118), 1,
      anon_sym_SEMI,
  [295895] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15364), 1,
      aux_sym_preproc_if_token2,
  [295902] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15366), 1,
      anon_sym_SEMI,
  [295909] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15368), 1,
      anon_sym_SEMI,
  [295916] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15370), 1,
      anon_sym_DQUOTE,
  [295923] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15372), 1,
      anon_sym_SEMI,
  [295930] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15374), 1,
      anon_sym_SEMI,
  [295937] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15376), 1,
      anon_sym_RPAREN,
  [295944] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15378), 1,
      anon_sym_DQUOTE,
  [295951] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8711), 1,
      anon_sym_SEMI,
  [295958] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15380), 1,
      anon_sym_SEMI,
  [295965] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15382), 1,
      anon_sym_SEMI,
  [295972] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15384), 1,
      anon_sym_SEMI,
  [295979] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15386), 1,
      anon_sym_DQUOTE,
  [295986] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15388), 1,
      anon_sym_STAR,
  [295993] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15390), 1,
      sym_identifier,
  [296000] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15392), 1,
      anon_sym_SEMI,
  [296007] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15394), 1,
      sym_identifier,
  [296014] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13919), 1,
      anon_sym_RBRACE,
  [296021] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15396), 1,
      anon_sym_SEMI,
  [296028] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15398), 1,
      anon_sym_RPAREN,
  [296035] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15400), 1,
      anon_sym_RPAREN,
  [296042] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9277), 1,
      anon_sym_COLON,
  [296049] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15402), 1,
      anon_sym_RPAREN,
  [296056] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15404), 1,
      anon_sym_RPAREN,
  [296063] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15406), 1,
      anon_sym_RPAREN,
  [296070] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15408), 1,
      anon_sym_RPAREN,
  [296077] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9170), 1,
      anon_sym_COLON,
  [296084] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15410), 1,
      anon_sym_RPAREN,
  [296091] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15412), 1,
      sym_identifier,
  [296098] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15414), 1,
      sym_identifier,
  [296105] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7621), 1,
      anon_sym_RPAREN,
  [296112] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15416), 1,
      anon_sym_LPAREN2,
  [296119] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15418), 1,
      anon_sym_SEMI,
  [296126] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15420), 1,
      anon_sym_RPAREN,
  [296133] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15422), 1,
      anon_sym_DQUOTE,
  [296140] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15424), 1,
      anon_sym_RPAREN,
  [296147] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15426), 1,
      anon_sym_RPAREN,
  [296154] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15428), 1,
      anon_sym_RPAREN,
  [296161] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15430), 1,
      anon_sym_RPAREN,
  [296168] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15432), 1,
      sym_auto,
  [296175] = 2,
    ACTIONS(10298), 1,
      sym_comment,
    ACTIONS(15434), 1,
      aux_sym_preproc_include_token2,
  [296182] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15436), 1,
      anon_sym_RPAREN,
  [296189] = 2,
    ACTIONS(10298), 1,
      sym_comment,
    ACTIONS(15438), 1,
      aux_sym_preproc_include_token2,
  [296196] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15440), 1,
      aux_sym_preproc_if_token2,
  [296203] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15442), 1,
      anon_sym_RBRACK,
  [296210] = 2,
    ACTIONS(10298), 1,
      sym_comment,
    ACTIONS(12978), 1,
      aux_sym_preproc_include_token2,
  [296217] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15444), 1,
      anon_sym_SEMI,
  [296224] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15446), 1,
      anon_sym_RPAREN,
  [296231] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15448), 1,
      anon_sym_RPAREN,
  [296238] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15450), 1,
      anon_sym_SEMI,
  [296245] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15452), 1,
      anon_sym_LPAREN2,
  [296252] = 2,
    ACTIONS(10298), 1,
      sym_comment,
    ACTIONS(12967), 1,
      aux_sym_preproc_include_token2,
  [296259] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15454), 1,
      anon_sym_SEMI,
  [296266] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2262), 1,
      anon_sym_COLON_COLON,
  [296273] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15456), 1,
      anon_sym_RPAREN,
  [296280] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9191), 1,
      anon_sym_COLON,
  [296287] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15458), 1,
      anon_sym_SEMI,
  [296294] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15460), 1,
      anon_sym_RPAREN,
  [296301] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15462), 1,
      anon_sym_LPAREN2,
  [296308] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15464), 1,
      anon_sym_LPAREN2,
  [296315] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15466), 1,
      sym_identifier,
  [296322] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12726), 1,
      anon_sym_SEMI,
  [296329] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15468), 1,
      anon_sym_SEMI,
  [296336] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15470), 1,
      anon_sym_SEMI,
  [296343] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15472), 1,
      anon_sym_LPAREN2,
  [296350] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15474), 1,
      sym_identifier,
  [296357] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15476), 1,
      sym_raw_string_content,
  [296364] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15478), 1,
      anon_sym_SEMI,
  [296371] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15480), 1,
      anon_sym_STAR,
  [296378] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15482), 1,
      ts_builtin_sym_end,
  [296385] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15484), 1,
      anon_sym_LPAREN2,
  [296392] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15486), 1,
      anon_sym_LPAREN2,
  [296399] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15488), 1,
      sym_identifier,
  [296406] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15490), 1,
      anon_sym_SEMI,
  [296413] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15492), 1,
      anon_sym_SEMI,
  [296420] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15494), 1,
      anon_sym_LPAREN2,
  [296427] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15496), 1,
      sym_identifier,
  [296434] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15498), 1,
      sym_raw_string_content,
  [296441] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11329), 1,
      anon_sym_RBRACE,
  [296448] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15500), 1,
      sym_identifier,
  [296455] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15502), 1,
      anon_sym_LPAREN2,
  [296462] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15504), 1,
      anon_sym_LPAREN2,
  [296469] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15506), 1,
      anon_sym_LPAREN2,
  [296476] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15508), 1,
      sym_identifier,
  [296483] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15510), 1,
      anon_sym_RPAREN,
  [296490] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15512), 1,
      anon_sym_COLON,
  [296497] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15514), 1,
      anon_sym_LPAREN2,
  [296504] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15516), 1,
      sym_identifier,
  [296511] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15518), 1,
      sym_raw_string_content,
  [296518] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15520), 1,
      anon_sym_RPAREN,
  [296525] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15522), 1,
      anon_sym_SEMI,
  [296532] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15524), 1,
      anon_sym_LPAREN2,
  [296539] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15526), 1,
      anon_sym_LPAREN2,
  [296546] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15528), 1,
      sym_identifier,
  [296553] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15530), 1,
      anon_sym_SEMI,
  [296560] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15532), 1,
      anon_sym_LPAREN2,
  [296567] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15534), 1,
      sym_identifier,
  [296574] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15536), 1,
      sym_raw_string_content,
  [296581] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15538), 1,
      anon_sym_SEMI,
  [296588] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5285), 1,
      anon_sym_SEMI,
  [296595] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15540), 1,
      anon_sym_LPAREN2,
  [296602] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15542), 1,
      sym_identifier,
  [296609] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15544), 1,
      sym_auto,
  [296616] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9231), 1,
      anon_sym_COLON,
  [296623] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15546), 1,
      sym_identifier,
  [296630] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15548), 1,
      sym_raw_string_content,
  [296637] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15550), 1,
      anon_sym_LPAREN2,
  [296644] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15552), 1,
      anon_sym_LPAREN2,
  [296651] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15554), 1,
      anon_sym_LPAREN2,
  [296658] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15556), 1,
      sym_identifier,
  [296665] = 2,
    ACTIONS(10298), 1,
      sym_comment,
    ACTIONS(15558), 1,
      aux_sym_preproc_include_token2,
  [296672] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15560), 1,
      anon_sym_LPAREN2,
  [296679] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15562), 1,
      sym_identifier,
  [296686] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15564), 1,
      sym_raw_string_content,
  [296693] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15566), 1,
      sym_identifier,
  [296700] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15568), 1,
      anon_sym_SEMI,
  [296707] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15570), 1,
      anon_sym_LPAREN2,
  [296714] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15572), 1,
      sym_identifier,
  [296721] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13977), 1,
      anon_sym_RBRACE,
  [296728] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15574), 1,
      sym_identifier,
  [296735] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15576), 1,
      sym_raw_string_content,
  [296742] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15578), 1,
      anon_sym_SEMI,
  [296749] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15580), 1,
      anon_sym_RBRACE,
  [296756] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15582), 1,
      sym_identifier,
  [296763] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15584), 1,
      sym_raw_string_content,
  [296770] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15586), 1,
      anon_sym_LPAREN2,
  [296777] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15588), 1,
      anon_sym_SEMI,
  [296784] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15590), 1,
      sym_raw_string_content,
  [296791] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15592), 1,
      anon_sym_RPAREN,
  [296798] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15594), 1,
      sym_raw_string_content,
  [296805] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15596), 1,
      anon_sym_RPAREN,
  [296812] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15598), 1,
      sym_raw_string_content,
  [296819] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15600), 1,
      anon_sym_RPAREN,
  [296826] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15602), 1,
      sym_raw_string_content,
  [296833] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15604), 1,
      anon_sym_RPAREN,
  [296840] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15606), 1,
      sym_raw_string_content,
  [296847] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15608), 1,
      aux_sym_preproc_if_token2,
  [296854] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15610), 1,
      sym_raw_string_content,
  [296861] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15612), 1,
      aux_sym_preproc_if_token2,
  [296868] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15614), 1,
      sym_raw_string_content,
  [296875] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15616), 1,
      aux_sym_preproc_if_token2,
  [296882] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15618), 1,
      sym_raw_string_content,
  [296889] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15620), 1,
      anon_sym_RPAREN,
  [296896] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15622), 1,
      sym_raw_string_content,
  [296903] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15624), 1,
      anon_sym_LPAREN2,
  [296910] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15626), 1,
      anon_sym_LPAREN2,
  [296917] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15628), 1,
      anon_sym_RPAREN,
  [296924] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15630), 1,
      anon_sym_LPAREN2,
  [296931] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15632), 1,
      anon_sym_LPAREN2,
  [296938] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15634), 1,
      anon_sym_COLON,
  [296945] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15636), 1,
      anon_sym_LPAREN2,
  [296952] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15638), 1,
      anon_sym_LPAREN2,
  [296959] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15640), 1,
      anon_sym_DQUOTE,
  [296966] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15642), 1,
      anon_sym_LPAREN2,
  [296973] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15644), 1,
      anon_sym_LPAREN2,
  [296980] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15646), 1,
      anon_sym_SEMI,
  [296987] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15648), 1,
      anon_sym_LPAREN2,
  [296994] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15650), 1,
      anon_sym_LPAREN2,
  [297001] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15652), 1,
      anon_sym_RPAREN,
  [297008] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15654), 1,
      anon_sym_LPAREN2,
  [297015] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15656), 1,
      anon_sym_LPAREN2,
  [297022] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15658), 1,
      anon_sym_SEMI,
  [297029] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15660), 1,
      anon_sym_LPAREN2,
  [297036] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15662), 1,
      anon_sym_LPAREN2,
  [297043] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15664), 1,
      anon_sym_LPAREN2,
  [297050] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15666), 1,
      anon_sym_LPAREN2,
  [297057] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15668), 1,
      anon_sym_LPAREN2,
  [297064] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15670), 1,
      anon_sym_LPAREN2,
  [297071] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15672), 1,
      anon_sym_LPAREN2,
  [297078] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15674), 1,
      anon_sym_LPAREN2,
  [297085] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15676), 1,
      anon_sym_LPAREN2,
  [297092] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15678), 1,
      anon_sym_LPAREN2,
  [297099] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15680), 1,
      anon_sym_LPAREN2,
  [297106] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15682), 1,
      anon_sym_LPAREN2,
  [297113] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15684), 1,
      anon_sym_LPAREN2,
  [297120] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15686), 1,
      anon_sym_LPAREN2,
  [297127] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15688), 1,
      aux_sym_preproc_if_token2,
  [297134] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15690), 1,
      anon_sym_DQUOTE,
  [297141] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15692), 1,
      anon_sym_LPAREN2,
  [297148] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15694), 1,
      aux_sym_preproc_if_token2,
  [297155] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15696), 1,
      sym_identifier,
  [297162] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15698), 1,
      anon_sym_SEMI,
  [297169] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15700), 1,
      sym_identifier,
  [297176] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15702), 1,
      anon_sym_LPAREN2,
  [297183] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15704), 1,
      anon_sym_LPAREN2,
  [297190] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15706), 1,
      anon_sym_LPAREN2,
  [297197] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15708), 1,
      anon_sym_LPAREN2,
  [297204] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15710), 1,
      anon_sym_LPAREN2,
  [297211] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15712), 1,
      anon_sym_LPAREN2,
  [297218] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15714), 1,
      anon_sym_LPAREN2,
};

static const uint32_t ts_small_parse_table_map[] = {
  [SMALL_STATE(3463)] = 0,
  [SMALL_STATE(3464)] = 75,
  [SMALL_STATE(3465)] = 154,
  [SMALL_STATE(3466)] = 229,
  [SMALL_STATE(3467)] = 304,
  [SMALL_STATE(3468)] = 383,
  [SMALL_STATE(3469)] = 456,
  [SMALL_STATE(3470)] = 531,
  [SMALL_STATE(3471)] = 614,
  [SMALL_STATE(3472)] = 685,
  [SMALL_STATE(3473)] = 762,
  [SMALL_STATE(3474)] = 833,
  [SMALL_STATE(3475)] = 904,
  [SMALL_STATE(3476)] = 979,
  [SMALL_STATE(3477)] = 1058,
  [SMALL_STATE(3478)] = 1133,
  [SMALL_STATE(3479)] = 1204,
  [SMALL_STATE(3480)] = 1279,
  [SMALL_STATE(3481)] = 1356,
  [SMALL_STATE(3482)] = 1427,
  [SMALL_STATE(3483)] = 1504,
  [SMALL_STATE(3484)] = 1579,
  [SMALL_STATE(3485)] = 1652,
  [SMALL_STATE(3486)] = 1727,
  [SMALL_STATE(3487)] = 1798,
  [SMALL_STATE(3488)] = 1881,
  [SMALL_STATE(3489)] = 1960,
  [SMALL_STATE(3490)] = 2031,
  [SMALL_STATE(3491)] = 2106,
  [SMALL_STATE(3492)] = 2177,
  [SMALL_STATE(3493)] = 2256,
  [SMALL_STATE(3494)] = 2339,
  [SMALL_STATE(3495)] = 2418,
  [SMALL_STATE(3496)] = 2493,
  [SMALL_STATE(3497)] = 2564,
  [SMALL_STATE(3498)] = 2645,
  [SMALL_STATE(3499)] = 2724,
  [SMALL_STATE(3500)] = 2807,
  [SMALL_STATE(3501)] = 2878,
  [SMALL_STATE(3502)] = 2949,
  [SMALL_STATE(3503)] = 3020,
  [SMALL_STATE(3504)] = 3099,
  [SMALL_STATE(3505)] = 3170,
  [SMALL_STATE(3506)] = 3257,
  [SMALL_STATE(3507)] = 3328,
  [SMALL_STATE(3508)] = 3399,
  [SMALL_STATE(3509)] = 3474,
  [SMALL_STATE(3510)] = 3551,
  [SMALL_STATE(3511)] = 3621,
  [SMALL_STATE(3512)] = 3691,
  [SMALL_STATE(3513)] = 3761,
  [SMALL_STATE(3514)] = 3839,
  [SMALL_STATE(3515)] = 3919,
  [SMALL_STATE(3516)] = 3989,
  [SMALL_STATE(3517)] = 4113,
  [SMALL_STATE(3518)] = 4187,
  [SMALL_STATE(3519)] = 4257,
  [SMALL_STATE(3520)] = 4327,
  [SMALL_STATE(3521)] = 4411,
  [SMALL_STATE(3522)] = 4481,
  [SMALL_STATE(3523)] = 4557,
  [SMALL_STATE(3524)] = 4627,
  [SMALL_STATE(3525)] = 4697,
  [SMALL_STATE(3526)] = 4821,
  [SMALL_STATE(3527)] = 4903,
  [SMALL_STATE(3528)] = 4987,
  [SMALL_STATE(3529)] = 5057,
  [SMALL_STATE(3530)] = 5127,
  [SMALL_STATE(3531)] = 5197,
  [SMALL_STATE(3532)] = 5281,
  [SMALL_STATE(3533)] = 5351,
  [SMALL_STATE(3534)] = 5475,
  [SMALL_STATE(3535)] = 5545,
  [SMALL_STATE(3536)] = 5615,
  [SMALL_STATE(3537)] = 5685,
  [SMALL_STATE(3538)] = 5767,
  [SMALL_STATE(3539)] = 5841,
  [SMALL_STATE(3540)] = 5911,
  [SMALL_STATE(3541)] = 5985,
  [SMALL_STATE(3542)] = 6069,
  [SMALL_STATE(3543)] = 6143,
  [SMALL_STATE(3544)] = 6213,
  [SMALL_STATE(3545)] = 6297,
  [SMALL_STATE(3546)] = 6375,
  [SMALL_STATE(3547)] = 6449,
  [SMALL_STATE(3548)] = 6525,
  [SMALL_STATE(3549)] = 6599,
  [SMALL_STATE(3550)] = 6671,
  [SMALL_STATE(3551)] = 6745,
  [SMALL_STATE(3552)] = 6819,
  [SMALL_STATE(3553)] = 6893,
  [SMALL_STATE(3554)] = 6963,
  [SMALL_STATE(3555)] = 7033,
  [SMALL_STATE(3556)] = 7107,
  [SMALL_STATE(3557)] = 7193,
  [SMALL_STATE(3558)] = 7263,
  [SMALL_STATE(3559)] = 7339,
  [SMALL_STATE(3560)] = 7409,
  [SMALL_STATE(3561)] = 7479,
  [SMALL_STATE(3562)] = 7549,
  [SMALL_STATE(3563)] = 7619,
  [SMALL_STATE(3564)] = 7743,
  [SMALL_STATE(3565)] = 7812,
  [SMALL_STATE(3566)] = 7881,
  [SMALL_STATE(3567)] = 7966,
  [SMALL_STATE(3568)] = 8035,
  [SMALL_STATE(3569)] = 8104,
  [SMALL_STATE(3570)] = 8173,
  [SMALL_STATE(3571)] = 8242,
  [SMALL_STATE(3572)] = 8311,
  [SMALL_STATE(3573)] = 8380,
  [SMALL_STATE(3574)] = 8453,
  [SMALL_STATE(3575)] = 8524,
  [SMALL_STATE(3576)] = 8593,
  [SMALL_STATE(3577)] = 8662,
  [SMALL_STATE(3578)] = 8733,
  [SMALL_STATE(3579)] = 8802,
  [SMALL_STATE(3580)] = 8871,
  [SMALL_STATE(3581)] = 8940,
  [SMALL_STATE(3582)] = 9009,
  [SMALL_STATE(3583)] = 9078,
  [SMALL_STATE(3584)] = 9159,
  [SMALL_STATE(3585)] = 9228,
  [SMALL_STATE(3586)] = 9297,
  [SMALL_STATE(3587)] = 9366,
  [SMALL_STATE(3588)] = 9435,
  [SMALL_STATE(3589)] = 9516,
  [SMALL_STATE(3590)] = 9585,
  [SMALL_STATE(3591)] = 9654,
  [SMALL_STATE(3592)] = 9729,
  [SMALL_STATE(3593)] = 9798,
  [SMALL_STATE(3594)] = 9867,
  [SMALL_STATE(3595)] = 9940,
  [SMALL_STATE(3596)] = 10011,
  [SMALL_STATE(3597)] = 10080,
  [SMALL_STATE(3598)] = 10149,
  [SMALL_STATE(3599)] = 10218,
  [SMALL_STATE(3600)] = 10287,
  [SMALL_STATE(3601)] = 10356,
  [SMALL_STATE(3602)] = 10425,
  [SMALL_STATE(3603)] = 10494,
  [SMALL_STATE(3604)] = 10563,
  [SMALL_STATE(3605)] = 10632,
  [SMALL_STATE(3606)] = 10701,
  [SMALL_STATE(3607)] = 10770,
  [SMALL_STATE(3608)] = 10839,
  [SMALL_STATE(3609)] = 10908,
  [SMALL_STATE(3610)] = 10977,
  [SMALL_STATE(3611)] = 11046,
  [SMALL_STATE(3612)] = 11115,
  [SMALL_STATE(3613)] = 11192,
  [SMALL_STATE(3614)] = 11265,
  [SMALL_STATE(3615)] = 11338,
  [SMALL_STATE(3616)] = 11409,
  [SMALL_STATE(3617)] = 11478,
  [SMALL_STATE(3618)] = 11555,
  [SMALL_STATE(3619)] = 11624,
  [SMALL_STATE(3620)] = 11693,
  [SMALL_STATE(3621)] = 11762,
  [SMALL_STATE(3622)] = 11831,
  [SMALL_STATE(3623)] = 11900,
  [SMALL_STATE(3624)] = 11969,
  [SMALL_STATE(3625)] = 12038,
  [SMALL_STATE(3626)] = 12107,
  [SMALL_STATE(3627)] = 12176,
  [SMALL_STATE(3628)] = 12245,
  [SMALL_STATE(3629)] = 12314,
  [SMALL_STATE(3630)] = 12383,
  [SMALL_STATE(3631)] = 12460,
  [SMALL_STATE(3632)] = 12529,
  [SMALL_STATE(3633)] = 12606,
  [SMALL_STATE(3634)] = 12675,
  [SMALL_STATE(3635)] = 12744,
  [SMALL_STATE(3636)] = 12813,
  [SMALL_STATE(3637)] = 12882,
  [SMALL_STATE(3638)] = 12951,
  [SMALL_STATE(3639)] = 13020,
  [SMALL_STATE(3640)] = 13099,
  [SMALL_STATE(3641)] = 13172,
  [SMALL_STATE(3642)] = 13245,
  [SMALL_STATE(3643)] = 13322,
  [SMALL_STATE(3644)] = 13395,
  [SMALL_STATE(3645)] = 13464,
  [SMALL_STATE(3646)] = 13533,
  [SMALL_STATE(3647)] = 13602,
  [SMALL_STATE(3648)] = 13671,
  [SMALL_STATE(3649)] = 13740,
  [SMALL_STATE(3650)] = 13809,
  [SMALL_STATE(3651)] = 13878,
  [SMALL_STATE(3652)] = 13947,
  [SMALL_STATE(3653)] = 14016,
  [SMALL_STATE(3654)] = 14085,
  [SMALL_STATE(3655)] = 14154,
  [SMALL_STATE(3656)] = 14223,
  [SMALL_STATE(3657)] = 14292,
  [SMALL_STATE(3658)] = 14361,
  [SMALL_STATE(3659)] = 14430,
  [SMALL_STATE(3660)] = 14511,
  [SMALL_STATE(3661)] = 14580,
  [SMALL_STATE(3662)] = 14649,
  [SMALL_STATE(3663)] = 14722,
  [SMALL_STATE(3664)] = 14791,
  [SMALL_STATE(3665)] = 14864,
  [SMALL_STATE(3666)] = 14933,
  [SMALL_STATE(3667)] = 15010,
  [SMALL_STATE(3668)] = 15079,
  [SMALL_STATE(3669)] = 15148,
  [SMALL_STATE(3670)] = 15221,
  [SMALL_STATE(3671)] = 15290,
  [SMALL_STATE(3672)] = 15359,
  [SMALL_STATE(3673)] = 15428,
  [SMALL_STATE(3674)] = 15497,
  [SMALL_STATE(3675)] = 15568,
  [SMALL_STATE(3676)] = 15645,
  [SMALL_STATE(3677)] = 15714,
  [SMALL_STATE(3678)] = 15783,
  [SMALL_STATE(3679)] = 15864,
  [SMALL_STATE(3680)] = 15933,
  [SMALL_STATE(3681)] = 16017,
  [SMALL_STATE(3682)] = 16085,
  [SMALL_STATE(3683)] = 16161,
  [SMALL_STATE(3684)] = 16233,
  [SMALL_STATE(3685)] = 16305,
  [SMALL_STATE(3686)] = 16373,
  [SMALL_STATE(3687)] = 16453,
  [SMALL_STATE(3688)] = 16525,
  [SMALL_STATE(3689)] = 16597,
  [SMALL_STATE(3690)] = 16665,
  [SMALL_STATE(3691)] = 16737,
  [SMALL_STATE(3692)] = 16811,
  [SMALL_STATE(3693)] = 16883,
  [SMALL_STATE(3694)] = 16955,
  [SMALL_STATE(3695)] = 17027,
  [SMALL_STATE(3696)] = 17099,
  [SMALL_STATE(3697)] = 17219,
  [SMALL_STATE(3698)] = 17291,
  [SMALL_STATE(3699)] = 17375,
  [SMALL_STATE(3700)] = 17459,
  [SMALL_STATE(3701)] = 17531,
  [SMALL_STATE(3702)] = 17603,
  [SMALL_STATE(3703)] = 17675,
  [SMALL_STATE(3704)] = 17795,
  [SMALL_STATE(3705)] = 17867,
  [SMALL_STATE(3706)] = 17951,
  [SMALL_STATE(3707)] = 18023,
  [SMALL_STATE(3708)] = 18095,
  [SMALL_STATE(3709)] = 18167,
  [SMALL_STATE(3710)] = 18235,
  [SMALL_STATE(3711)] = 18311,
  [SMALL_STATE(3712)] = 18383,
  [SMALL_STATE(3713)] = 18463,
  [SMALL_STATE(3714)] = 18539,
  [SMALL_STATE(3715)] = 18623,
  [SMALL_STATE(3716)] = 18701,
  [SMALL_STATE(3717)] = 18775,
  [SMALL_STATE(3718)] = 18847,
  [SMALL_STATE(3719)] = 18919,
  [SMALL_STATE(3720)] = 18987,
  [SMALL_STATE(3721)] = 19059,
  [SMALL_STATE(3722)] = 19126,
  [SMALL_STATE(3723)] = 19195,
  [SMALL_STATE(3724)] = 19266,
  [SMALL_STATE(3725)] = 19339,
  [SMALL_STATE(3726)] = 19414,
  [SMALL_STATE(3727)] = 19483,
  [SMALL_STATE(3728)] = 19550,
  [SMALL_STATE(3729)] = 19621,
  [SMALL_STATE(3730)] = 19692,
  [SMALL_STATE(3731)] = 19763,
  [SMALL_STATE(3732)] = 19834,
  [SMALL_STATE(3733)] = 19905,
  [SMALL_STATE(3734)] = 19980,
  [SMALL_STATE(3735)] = 20047,
  [SMALL_STATE(3736)] = 20114,
  [SMALL_STATE(3737)] = 20183,
  [SMALL_STATE(3738)] = 20262,
  [SMALL_STATE(3739)] = 20335,
  [SMALL_STATE(3740)] = 20414,
  [SMALL_STATE(3741)] = 20489,
  [SMALL_STATE(3742)] = 20572,
  [SMALL_STATE(3743)] = 20643,
  [SMALL_STATE(3744)] = 20710,
  [SMALL_STATE(3745)] = 20777,
  [SMALL_STATE(3746)] = 20848,
  [SMALL_STATE(3747)] = 20923,
  [SMALL_STATE(3748)] = 20996,
  [SMALL_STATE(3749)] = 21067,
  [SMALL_STATE(3750)] = 21143,
  [SMALL_STATE(3751)] = 21213,
  [SMALL_STATE(3752)] = 21291,
  [SMALL_STATE(3753)] = 21361,
  [SMALL_STATE(3754)] = 21439,
  [SMALL_STATE(3755)] = 21509,
  [SMALL_STATE(3756)] = 21579,
  [SMALL_STATE(3757)] = 21661,
  [SMALL_STATE(3758)] = 21731,
  [SMALL_STATE(3759)] = 21801,
  [SMALL_STATE(3760)] = 21883,
  [SMALL_STATE(3761)] = 21953,
  [SMALL_STATE(3762)] = 22019,
  [SMALL_STATE(3763)] = 22087,
  [SMALL_STATE(3764)] = 22155,
  [SMALL_STATE(3765)] = 22227,
  [SMALL_STATE(3766)] = 22297,
  [SMALL_STATE(3767)] = 22367,
  [SMALL_STATE(3768)] = 22439,
  [SMALL_STATE(3769)] = 22521,
  [SMALL_STATE(3770)] = 22589,
  [SMALL_STATE(3771)] = 22663,
  [SMALL_STATE(3772)] = 22729,
  [SMALL_STATE(3773)] = 22799,
  [SMALL_STATE(3774)] = 22865,
  [SMALL_STATE(3775)] = 22947,
  [SMALL_STATE(3776)] = 23017,
  [SMALL_STATE(3777)] = 23087,
  [SMALL_STATE(3778)] = 23161,
  [SMALL_STATE(3779)] = 23231,
  [SMALL_STATE(3780)] = 23300,
  [SMALL_STATE(3781)] = 23381,
  [SMALL_STATE(3782)] = 23446,
  [SMALL_STATE(3783)] = 23527,
  [SMALL_STATE(3784)] = 23636,
  [SMALL_STATE(3785)] = 23705,
  [SMALL_STATE(3786)] = 23776,
  [SMALL_STATE(3787)] = 23845,
  [SMALL_STATE(3788)] = 23914,
  [SMALL_STATE(3789)] = 23983,
  [SMALL_STATE(3790)] = 24054,
  [SMALL_STATE(3791)] = 24119,
  [SMALL_STATE(3792)] = 24188,
  [SMALL_STATE(3793)] = 24253,
  [SMALL_STATE(3794)] = 24318,
  [SMALL_STATE(3795)] = 24385,
  [SMALL_STATE(3796)] = 24450,
  [SMALL_STATE(3797)] = 24517,
  [SMALL_STATE(3798)] = 24582,
  [SMALL_STATE(3799)] = 24649,
  [SMALL_STATE(3800)] = 24730,
  [SMALL_STATE(3801)] = 24805,
  [SMALL_STATE(3802)] = 24874,
  [SMALL_STATE(3803)] = 24947,
  [SMALL_STATE(3804)] = 25020,
  [SMALL_STATE(3805)] = 25085,
  [SMALL_STATE(3806)] = 25150,
  [SMALL_STATE(3807)] = 25219,
  [SMALL_STATE(3808)] = 25288,
  [SMALL_STATE(3809)] = 25353,
  [SMALL_STATE(3810)] = 25428,
  [SMALL_STATE(3811)] = 25493,
  [SMALL_STATE(3812)] = 25602,
  [SMALL_STATE(3813)] = 25667,
  [SMALL_STATE(3814)] = 25752,
  [SMALL_STATE(3815)] = 25861,
  [SMALL_STATE(3816)] = 25930,
  [SMALL_STATE(3817)] = 25999,
  [SMALL_STATE(3818)] = 26066,
  [SMALL_STATE(3819)] = 26179,
  [SMALL_STATE(3820)] = 26244,
  [SMALL_STATE(3821)] = 26313,
  [SMALL_STATE(3822)] = 26418,
  [SMALL_STATE(3823)] = 26483,
  [SMALL_STATE(3824)] = 26548,
  [SMALL_STATE(3825)] = 26643,
  [SMALL_STATE(3826)] = 26744,
  [SMALL_STATE(3827)] = 26827,
  [SMALL_STATE(3828)] = 26902,
  [SMALL_STATE(3829)] = 26967,
  [SMALL_STATE(3830)] = 27032,
  [SMALL_STATE(3831)] = 27101,
  [SMALL_STATE(3832)] = 27182,
  [SMALL_STATE(3833)] = 27281,
  [SMALL_STATE(3834)] = 27350,
  [SMALL_STATE(3835)] = 27419,
  [SMALL_STATE(3836)] = 27528,
  [SMALL_STATE(3837)] = 27593,
  [SMALL_STATE(3838)] = 27684,
  [SMALL_STATE(3839)] = 27749,
  [SMALL_STATE(3840)] = 27818,
  [SMALL_STATE(3841)] = 27889,
  [SMALL_STATE(3842)] = 28002,
  [SMALL_STATE(3843)] = 28067,
  [SMALL_STATE(3844)] = 28154,
  [SMALL_STATE(3845)] = 28223,
  [SMALL_STATE(3846)] = 28292,
  [SMALL_STATE(3847)] = 28367,
  [SMALL_STATE(3848)] = 28432,
  [SMALL_STATE(3849)] = 28529,
  [SMALL_STATE(3850)] = 28598,
  [SMALL_STATE(3851)] = 28711,
  [SMALL_STATE(3852)] = 28792,
  [SMALL_STATE(3853)] = 28857,
  [SMALL_STATE(3854)] = 28921,
  [SMALL_STATE(3855)] = 28985,
  [SMALL_STATE(3856)] = 29051,
  [SMALL_STATE(3857)] = 29161,
  [SMALL_STATE(3858)] = 29225,
  [SMALL_STATE(3859)] = 29289,
  [SMALL_STATE(3860)] = 29353,
  [SMALL_STATE(3861)] = 29417,
  [SMALL_STATE(3862)] = 29481,
  [SMALL_STATE(3863)] = 29549,
  [SMALL_STATE(3864)] = 29613,
  [SMALL_STATE(3865)] = 29679,
  [SMALL_STATE(3866)] = 29743,
  [SMALL_STATE(3867)] = 29807,
  [SMALL_STATE(3868)] = 29871,
  [SMALL_STATE(3869)] = 29935,
  [SMALL_STATE(3870)] = 29999,
  [SMALL_STATE(3871)] = 30067,
  [SMALL_STATE(3872)] = 30131,
  [SMALL_STATE(3873)] = 30201,
  [SMALL_STATE(3874)] = 30267,
  [SMALL_STATE(3875)] = 30343,
  [SMALL_STATE(3876)] = 30411,
  [SMALL_STATE(3877)] = 30479,
  [SMALL_STATE(3878)] = 30543,
  [SMALL_STATE(3879)] = 30609,
  [SMALL_STATE(3880)] = 30673,
  [SMALL_STATE(3881)] = 30737,
  [SMALL_STATE(3882)] = 30801,
  [SMALL_STATE(3883)] = 30865,
  [SMALL_STATE(3884)] = 30933,
  [SMALL_STATE(3885)] = 30997,
  [SMALL_STATE(3886)] = 31065,
  [SMALL_STATE(3887)] = 31129,
  [SMALL_STATE(3888)] = 31193,
  [SMALL_STATE(3889)] = 31269,
  [SMALL_STATE(3890)] = 31339,
  [SMALL_STATE(3891)] = 31409,
  [SMALL_STATE(3892)] = 31481,
  [SMALL_STATE(3893)] = 31545,
  [SMALL_STATE(3894)] = 31609,
  [SMALL_STATE(3895)] = 31673,
  [SMALL_STATE(3896)] = 31737,
  [SMALL_STATE(3897)] = 31801,
  [SMALL_STATE(3898)] = 31869,
  [SMALL_STATE(3899)] = 31933,
  [SMALL_STATE(3900)] = 32005,
  [SMALL_STATE(3901)] = 32069,
  [SMALL_STATE(3902)] = 32133,
  [SMALL_STATE(3903)] = 32197,
  [SMALL_STATE(3904)] = 32261,
  [SMALL_STATE(3905)] = 32325,
  [SMALL_STATE(3906)] = 32389,
  [SMALL_STATE(3907)] = 32499,
  [SMALL_STATE(3908)] = 32563,
  [SMALL_STATE(3909)] = 32627,
  [SMALL_STATE(3910)] = 32691,
  [SMALL_STATE(3911)] = 32755,
  [SMALL_STATE(3912)] = 32819,
  [SMALL_STATE(3913)] = 32883,
  [SMALL_STATE(3914)] = 32947,
  [SMALL_STATE(3915)] = 33011,
  [SMALL_STATE(3916)] = 33075,
  [SMALL_STATE(3917)] = 33147,
  [SMALL_STATE(3918)] = 33211,
  [SMALL_STATE(3919)] = 33275,
  [SMALL_STATE(3920)] = 33339,
  [SMALL_STATE(3921)] = 33403,
  [SMALL_STATE(3922)] = 33469,
  [SMALL_STATE(3923)] = 33533,
  [SMALL_STATE(3924)] = 33597,
  [SMALL_STATE(3925)] = 33661,
  [SMALL_STATE(3926)] = 33725,
  [SMALL_STATE(3927)] = 33789,
  [SMALL_STATE(3928)] = 33853,
  [SMALL_STATE(3929)] = 33921,
  [SMALL_STATE(3930)] = 33989,
  [SMALL_STATE(3931)] = 34053,
  [SMALL_STATE(3932)] = 34117,
  [SMALL_STATE(3933)] = 34181,
  [SMALL_STATE(3934)] = 34245,
  [SMALL_STATE(3935)] = 34309,
  [SMALL_STATE(3936)] = 34373,
  [SMALL_STATE(3937)] = 34437,
  [SMALL_STATE(3938)] = 34501,
  [SMALL_STATE(3939)] = 34565,
  [SMALL_STATE(3940)] = 34629,
  [SMALL_STATE(3941)] = 34695,
  [SMALL_STATE(3942)] = 34759,
  [SMALL_STATE(3943)] = 34827,
  [SMALL_STATE(3944)] = 34891,
  [SMALL_STATE(3945)] = 34957,
  [SMALL_STATE(3946)] = 35023,
  [SMALL_STATE(3947)] = 35087,
  [SMALL_STATE(3948)] = 35157,
  [SMALL_STATE(3949)] = 35225,
  [SMALL_STATE(3950)] = 35289,
  [SMALL_STATE(3951)] = 35353,
  [SMALL_STATE(3952)] = 35417,
  [SMALL_STATE(3953)] = 35481,
  [SMALL_STATE(3954)] = 35545,
  [SMALL_STATE(3955)] = 35609,
  [SMALL_STATE(3956)] = 35675,
  [SMALL_STATE(3957)] = 35739,
  [SMALL_STATE(3958)] = 35803,
  [SMALL_STATE(3959)] = 35867,
  [SMALL_STATE(3960)] = 35935,
  [SMALL_STATE(3961)] = 35999,
  [SMALL_STATE(3962)] = 36063,
  [SMALL_STATE(3963)] = 36131,
  [SMALL_STATE(3964)] = 36199,
  [SMALL_STATE(3965)] = 36265,
  [SMALL_STATE(3966)] = 36335,
  [SMALL_STATE(3967)] = 36403,
  [SMALL_STATE(3968)] = 36467,
  [SMALL_STATE(3969)] = 36531,
  [SMALL_STATE(3970)] = 36594,
  [SMALL_STATE(3971)] = 36657,
  [SMALL_STATE(3972)] = 36764,
  [SMALL_STATE(3973)] = 36847,
  [SMALL_STATE(3974)] = 36912,
  [SMALL_STATE(3975)] = 36993,
  [SMALL_STATE(3976)] = 37058,
  [SMALL_STATE(3977)] = 37143,
  [SMALL_STATE(3978)] = 37206,
  [SMALL_STATE(3979)] = 37317,
  [SMALL_STATE(3980)] = 37380,
  [SMALL_STATE(3981)] = 37443,
  [SMALL_STATE(3982)] = 37532,
  [SMALL_STATE(3983)] = 37595,
  [SMALL_STATE(3984)] = 37658,
  [SMALL_STATE(3985)] = 37771,
  [SMALL_STATE(3986)] = 37850,
  [SMALL_STATE(3987)] = 38011,
  [SMALL_STATE(3988)] = 38114,
  [SMALL_STATE(3989)] = 38193,
  [SMALL_STATE(3990)] = 38256,
  [SMALL_STATE(3991)] = 38323,
  [SMALL_STATE(3992)] = 38388,
  [SMALL_STATE(3993)] = 38481,
  [SMALL_STATE(3994)] = 38554,
  [SMALL_STATE(3995)] = 38617,
  [SMALL_STATE(3996)] = 38680,
  [SMALL_STATE(3997)] = 38753,
  [SMALL_STATE(3998)] = 38816,
  [SMALL_STATE(3999)] = 38927,
  [SMALL_STATE(4000)] = 39010,
  [SMALL_STATE(4001)] = 39091,
  [SMALL_STATE(4002)] = 39252,
  [SMALL_STATE(4003)] = 39331,
  [SMALL_STATE(4004)] = 39438,
  [SMALL_STATE(4005)] = 39501,
  [SMALL_STATE(4006)] = 39564,
  [SMALL_STATE(4007)] = 39675,
  [SMALL_STATE(4008)] = 39738,
  [SMALL_STATE(4009)] = 39801,
  [SMALL_STATE(4010)] = 39864,
  [SMALL_STATE(4011)] = 39927,
  [SMALL_STATE(4012)] = 39990,
  [SMALL_STATE(4013)] = 40053,
  [SMALL_STATE(4014)] = 40116,
  [SMALL_STATE(4015)] = 40211,
  [SMALL_STATE(4016)] = 40274,
  [SMALL_STATE(4017)] = 40373,
  [SMALL_STATE(4018)] = 40440,
  [SMALL_STATE(4019)] = 40547,
  [SMALL_STATE(4020)] = 40626,
  [SMALL_STATE(4021)] = 40693,
  [SMALL_STATE(4022)] = 40854,
  [SMALL_STATE(4023)] = 40917,
  [SMALL_STATE(4024)] = 41030,
  [SMALL_STATE(4025)] = 41093,
  [SMALL_STATE(4026)] = 41156,
  [SMALL_STATE(4027)] = 41229,
  [SMALL_STATE(4028)] = 41300,
  [SMALL_STATE(4029)] = 41375,
  [SMALL_STATE(4030)] = 41442,
  [SMALL_STATE(4031)] = 41505,
  [SMALL_STATE(4032)] = 41572,
  [SMALL_STATE(4033)] = 41635,
  [SMALL_STATE(4034)] = 41712,
  [SMALL_STATE(4035)] = 41789,
  [SMALL_STATE(4036)] = 41852,
  [SMALL_STATE(4037)] = 41929,
  [SMALL_STATE(4038)] = 41996,
  [SMALL_STATE(4039)] = 42059,
  [SMALL_STATE(4040)] = 42124,
  [SMALL_STATE(4041)] = 42191,
  [SMALL_STATE(4042)] = 42254,
  [SMALL_STATE(4043)] = 42363,
  [SMALL_STATE(4044)] = 42426,
  [SMALL_STATE(4045)] = 42515,
  [SMALL_STATE(4046)] = 42578,
  [SMALL_STATE(4047)] = 42641,
  [SMALL_STATE(4048)] = 42704,
  [SMALL_STATE(4049)] = 42781,
  [SMALL_STATE(4050)] = 42856,
  [SMALL_STATE(4051)] = 42965,
  [SMALL_STATE(4052)] = 43126,
  [SMALL_STATE(4053)] = 43195,
  [SMALL_STATE(4054)] = 43258,
  [SMALL_STATE(4055)] = 43337,
  [SMALL_STATE(4056)] = 43446,
  [SMALL_STATE(4057)] = 43523,
  [SMALL_STATE(4058)] = 43590,
  [SMALL_STATE(4059)] = 43697,
  [SMALL_STATE(4060)] = 43764,
  [SMALL_STATE(4061)] = 43837,
  [SMALL_STATE(4062)] = 43900,
  [SMALL_STATE(4063)] = 43997,
  [SMALL_STATE(4064)] = 44092,
  [SMALL_STATE(4065)] = 44155,
  [SMALL_STATE(4066)] = 44218,
  [SMALL_STATE(4067)] = 44327,
  [SMALL_STATE(4068)] = 44390,
  [SMALL_STATE(4069)] = 44453,
  [SMALL_STATE(4070)] = 44520,
  [SMALL_STATE(4071)] = 44587,
  [SMALL_STATE(4072)] = 44688,
  [SMALL_STATE(4073)] = 44773,
  [SMALL_STATE(4074)] = 44840,
  [SMALL_STATE(4075)] = 44903,
  [SMALL_STATE(4076)] = 44966,
  [SMALL_STATE(4077)] = 45045,
  [SMALL_STATE(4078)] = 45116,
  [SMALL_STATE(4079)] = 45221,
  [SMALL_STATE(4080)] = 45318,
  [SMALL_STATE(4081)] = 45409,
  [SMALL_STATE(4082)] = 45522,
  [SMALL_STATE(4083)] = 45591,
  [SMALL_STATE(4084)] = 45658,
  [SMALL_STATE(4085)] = 45721,
  [SMALL_STATE(4086)] = 45788,
  [SMALL_STATE(4087)] = 45857,
  [SMALL_STATE(4088)] = 45965,
  [SMALL_STATE(4089)] = 46027,
  [SMALL_STATE(4090)] = 46089,
  [SMALL_STATE(4091)] = 46151,
  [SMALL_STATE(4092)] = 46213,
  [SMALL_STATE(4093)] = 46275,
  [SMALL_STATE(4094)] = 46339,
  [SMALL_STATE(4095)] = 46401,
  [SMALL_STATE(4096)] = 46463,
  [SMALL_STATE(4097)] = 46525,
  [SMALL_STATE(4098)] = 46587,
  [SMALL_STATE(4099)] = 46649,
  [SMALL_STATE(4100)] = 46711,
  [SMALL_STATE(4101)] = 46773,
  [SMALL_STATE(4102)] = 46835,
  [SMALL_STATE(4103)] = 46907,
  [SMALL_STATE(4104)] = 46971,
  [SMALL_STATE(4105)] = 47079,
  [SMALL_STATE(4106)] = 47145,
  [SMALL_STATE(4107)] = 47207,
  [SMALL_STATE(4108)] = 47271,
  [SMALL_STATE(4109)] = 47337,
  [SMALL_STATE(4110)] = 47399,
  [SMALL_STATE(4111)] = 47465,
  [SMALL_STATE(4112)] = 47527,
  [SMALL_STATE(4113)] = 47593,
  [SMALL_STATE(4114)] = 47655,
  [SMALL_STATE(4115)] = 47717,
  [SMALL_STATE(4116)] = 47779,
  [SMALL_STATE(4117)] = 47841,
  [SMALL_STATE(4118)] = 47903,
  [SMALL_STATE(4119)] = 47965,
  [SMALL_STATE(4120)] = 48027,
  [SMALL_STATE(4121)] = 48089,
  [SMALL_STATE(4122)] = 48159,
  [SMALL_STATE(4123)] = 48227,
  [SMALL_STATE(4124)] = 48289,
  [SMALL_STATE(4125)] = 48351,
  [SMALL_STATE(4126)] = 48413,
  [SMALL_STATE(4127)] = 48475,
  [SMALL_STATE(4128)] = 48537,
  [SMALL_STATE(4129)] = 48599,
  [SMALL_STATE(4130)] = 48665,
  [SMALL_STATE(4131)] = 48727,
  [SMALL_STATE(4132)] = 48789,
  [SMALL_STATE(4133)] = 48851,
  [SMALL_STATE(4134)] = 48913,
  [SMALL_STATE(4135)] = 48975,
  [SMALL_STATE(4136)] = 49043,
  [SMALL_STATE(4137)] = 49105,
  [SMALL_STATE(4138)] = 49177,
  [SMALL_STATE(4139)] = 49239,
  [SMALL_STATE(4140)] = 49305,
  [SMALL_STATE(4141)] = 49375,
  [SMALL_STATE(4142)] = 49441,
  [SMALL_STATE(4143)] = 49503,
  [SMALL_STATE(4144)] = 49575,
  [SMALL_STATE(4145)] = 49637,
  [SMALL_STATE(4146)] = 49699,
  [SMALL_STATE(4147)] = 49761,
  [SMALL_STATE(4148)] = 49823,
  [SMALL_STATE(4149)] = 49885,
  [SMALL_STATE(4150)] = 49947,
  [SMALL_STATE(4151)] = 50015,
  [SMALL_STATE(4152)] = 50077,
  [SMALL_STATE(4153)] = 50139,
  [SMALL_STATE(4154)] = 50205,
  [SMALL_STATE(4155)] = 50267,
  [SMALL_STATE(4156)] = 50335,
  [SMALL_STATE(4157)] = 50397,
  [SMALL_STATE(4158)] = 50459,
  [SMALL_STATE(4159)] = 50529,
  [SMALL_STATE(4160)] = 50593,
  [SMALL_STATE(4161)] = 50655,
  [SMALL_STATE(4162)] = 50719,
  [SMALL_STATE(4163)] = 50781,
  [SMALL_STATE(4164)] = 50851,
  [SMALL_STATE(4165)] = 50913,
  [SMALL_STATE(4166)] = 50975,
  [SMALL_STATE(4167)] = 51039,
  [SMALL_STATE(4168)] = 51101,
  [SMALL_STATE(4169)] = 51163,
  [SMALL_STATE(4170)] = 51229,
  [SMALL_STATE(4171)] = 51291,
  [SMALL_STATE(4172)] = 51359,
  [SMALL_STATE(4173)] = 51421,
  [SMALL_STATE(4174)] = 51483,
  [SMALL_STATE(4175)] = 51555,
  [SMALL_STATE(4176)] = 51617,
  [SMALL_STATE(4177)] = 51679,
  [SMALL_STATE(4178)] = 51741,
  [SMALL_STATE(4179)] = 51803,
  [SMALL_STATE(4180)] = 51911,
  [SMALL_STATE(4181)] = 51981,
  [SMALL_STATE(4182)] = 52043,
  [SMALL_STATE(4183)] = 52105,
  [SMALL_STATE(4184)] = 52171,
  [SMALL_STATE(4185)] = 52279,
  [SMALL_STATE(4186)] = 52341,
  [SMALL_STATE(4187)] = 52406,
  [SMALL_STATE(4188)] = 52467,
  [SMALL_STATE(4189)] = 52528,
  [SMALL_STATE(4190)] = 52589,
  [SMALL_STATE(4191)] = 52650,
  [SMALL_STATE(4192)] = 52711,
  [SMALL_STATE(4193)] = 52772,
  [SMALL_STATE(4194)] = 52833,
  [SMALL_STATE(4195)] = 52914,
  [SMALL_STATE(4196)] = 52993,
  [SMALL_STATE(4197)] = 53058,
  [SMALL_STATE(4198)] = 53135,
  [SMALL_STATE(4199)] = 53196,
  [SMALL_STATE(4200)] = 53303,
  [SMALL_STATE(4201)] = 53372,
  [SMALL_STATE(4202)] = 53433,
  [SMALL_STATE(4203)] = 53494,
  [SMALL_STATE(4204)] = 53559,
  [SMALL_STATE(4205)] = 53620,
  [SMALL_STATE(4206)] = 53681,
  [SMALL_STATE(4207)] = 53750,
  [SMALL_STATE(4208)] = 53811,
  [SMALL_STATE(4209)] = 53872,
  [SMALL_STATE(4210)] = 53933,
  [SMALL_STATE(4211)] = 53994,
  [SMALL_STATE(4212)] = 54055,
  [SMALL_STATE(4213)] = 54116,
  [SMALL_STATE(4214)] = 54177,
  [SMALL_STATE(4215)] = 54238,
  [SMALL_STATE(4216)] = 54299,
  [SMALL_STATE(4217)] = 54360,
  [SMALL_STATE(4218)] = 54429,
  [SMALL_STATE(4219)] = 54494,
  [SMALL_STATE(4220)] = 54555,
  [SMALL_STATE(4221)] = 54616,
  [SMALL_STATE(4222)] = 54677,
  [SMALL_STATE(4223)] = 54738,
  [SMALL_STATE(4224)] = 54799,
  [SMALL_STATE(4225)] = 54860,
  [SMALL_STATE(4226)] = 54925,
  [SMALL_STATE(4227)] = 54990,
  [SMALL_STATE(4228)] = 55053,
  [SMALL_STATE(4229)] = 55114,
  [SMALL_STATE(4230)] = 55175,
  [SMALL_STATE(4231)] = 55236,
  [SMALL_STATE(4232)] = 55297,
  [SMALL_STATE(4233)] = 55362,
  [SMALL_STATE(4234)] = 55429,
  [SMALL_STATE(4235)] = 55490,
  [SMALL_STATE(4236)] = 55551,
  [SMALL_STATE(4237)] = 55612,
  [SMALL_STATE(4238)] = 55673,
  [SMALL_STATE(4239)] = 55736,
  [SMALL_STATE(4240)] = 55797,
  [SMALL_STATE(4241)] = 55858,
  [SMALL_STATE(4242)] = 55919,
  [SMALL_STATE(4243)] = 55980,
  [SMALL_STATE(4244)] = 56041,
  [SMALL_STATE(4245)] = 56102,
  [SMALL_STATE(4246)] = 56163,
  [SMALL_STATE(4247)] = 56224,
  [SMALL_STATE(4248)] = 56285,
  [SMALL_STATE(4249)] = 56396,
  [SMALL_STATE(4250)] = 56457,
  [SMALL_STATE(4251)] = 56518,
  [SMALL_STATE(4252)] = 56579,
  [SMALL_STATE(4253)] = 56640,
  [SMALL_STATE(4254)] = 56701,
  [SMALL_STATE(4255)] = 56762,
  [SMALL_STATE(4256)] = 56823,
  [SMALL_STATE(4257)] = 56884,
  [SMALL_STATE(4258)] = 56945,
  [SMALL_STATE(4259)] = 57006,
  [SMALL_STATE(4260)] = 57067,
  [SMALL_STATE(4261)] = 57128,
  [SMALL_STATE(4262)] = 57189,
  [SMALL_STATE(4263)] = 57250,
  [SMALL_STATE(4264)] = 57311,
  [SMALL_STATE(4265)] = 57372,
  [SMALL_STATE(4266)] = 57437,
  [SMALL_STATE(4267)] = 57498,
  [SMALL_STATE(4268)] = 57559,
  [SMALL_STATE(4269)] = 57620,
  [SMALL_STATE(4270)] = 57681,
  [SMALL_STATE(4271)] = 57742,
  [SMALL_STATE(4272)] = 57803,
  [SMALL_STATE(4273)] = 57864,
  [SMALL_STATE(4274)] = 57925,
  [SMALL_STATE(4275)] = 57986,
  [SMALL_STATE(4276)] = 58093,
  [SMALL_STATE(4277)] = 58154,
  [SMALL_STATE(4278)] = 58221,
  [SMALL_STATE(4279)] = 58282,
  [SMALL_STATE(4280)] = 58349,
  [SMALL_STATE(4281)] = 58410,
  [SMALL_STATE(4282)] = 58471,
  [SMALL_STATE(4283)] = 58582,
  [SMALL_STATE(4284)] = 58643,
  [SMALL_STATE(4285)] = 58706,
  [SMALL_STATE(4286)] = 58767,
  [SMALL_STATE(4287)] = 58828,
  [SMALL_STATE(4288)] = 58889,
  [SMALL_STATE(4289)] = 58950,
  [SMALL_STATE(4290)] = 59015,
  [SMALL_STATE(4291)] = 59122,
  [SMALL_STATE(4292)] = 59229,
  [SMALL_STATE(4293)] = 59290,
  [SMALL_STATE(4294)] = 59359,
  [SMALL_STATE(4295)] = 59420,
  [SMALL_STATE(4296)] = 59531,
  [SMALL_STATE(4297)] = 59596,
  [SMALL_STATE(4298)] = 59657,
  [SMALL_STATE(4299)] = 59726,
  [SMALL_STATE(4300)] = 59801,
  [SMALL_STATE(4301)] = 59904,
  [SMALL_STATE(4302)] = 60003,
  [SMALL_STATE(4303)] = 60098,
  [SMALL_STATE(4304)] = 60191,
  [SMALL_STATE(4305)] = 60256,
  [SMALL_STATE(4306)] = 60321,
  [SMALL_STATE(4307)] = 60410,
  [SMALL_STATE(4308)] = 60471,
  [SMALL_STATE(4309)] = 60536,
  [SMALL_STATE(4310)] = 60623,
  [SMALL_STATE(4311)] = 60684,
  [SMALL_STATE(4312)] = 60767,
  [SMALL_STATE(4313)] = 60828,
  [SMALL_STATE(4314)] = 60889,
  [SMALL_STATE(4315)] = 60954,
  [SMALL_STATE(4316)] = 61015,
  [SMALL_STATE(4317)] = 61082,
  [SMALL_STATE(4318)] = 61163,
  [SMALL_STATE(4319)] = 61232,
  [SMALL_STATE(4320)] = 61297,
  [SMALL_STATE(4321)] = 61358,
  [SMALL_STATE(4322)] = 61437,
  [SMALL_STATE(4323)] = 61520,
  [SMALL_STATE(4324)] = 61581,
  [SMALL_STATE(4325)] = 61642,
  [SMALL_STATE(4326)] = 61703,
  [SMALL_STATE(4327)] = 61790,
  [SMALL_STATE(4328)] = 61851,
  [SMALL_STATE(4329)] = 61918,
  [SMALL_STATE(4330)] = 62007,
  [SMALL_STATE(4331)] = 62100,
  [SMALL_STATE(4332)] = 62195,
  [SMALL_STATE(4333)] = 62294,
  [SMALL_STATE(4334)] = 62355,
  [SMALL_STATE(4335)] = 62420,
  [SMALL_STATE(4336)] = 62523,
  [SMALL_STATE(4337)] = 62598,
  [SMALL_STATE(4338)] = 62659,
  [SMALL_STATE(4339)] = 62720,
  [SMALL_STATE(4340)] = 62781,
  [SMALL_STATE(4341)] = 62858,
  [SMALL_STATE(4342)] = 62965,
  [SMALL_STATE(4343)] = 63034,
  [SMALL_STATE(4344)] = 63145,
  [SMALL_STATE(4345)] = 63252,
  [SMALL_STATE(4346)] = 63313,
  [SMALL_STATE(4347)] = 63374,
  [SMALL_STATE(4348)] = 63447,
  [SMALL_STATE(4349)] = 63558,
  [SMALL_STATE(4350)] = 63633,
  [SMALL_STATE(4351)] = 63694,
  [SMALL_STATE(4352)] = 63769,
  [SMALL_STATE(4353)] = 63876,
  [SMALL_STATE(4354)] = 63937,
  [SMALL_STATE(4355)] = 64010,
  [SMALL_STATE(4356)] = 64071,
  [SMALL_STATE(4357)] = 64132,
  [SMALL_STATE(4358)] = 64193,
  [SMALL_STATE(4359)] = 64254,
  [SMALL_STATE(4360)] = 64315,
  [SMALL_STATE(4361)] = 64382,
  [SMALL_STATE(4362)] = 64443,
  [SMALL_STATE(4363)] = 64504,
  [SMALL_STATE(4364)] = 64565,
  [SMALL_STATE(4365)] = 64672,
  [SMALL_STATE(4366)] = 64733,
  [SMALL_STATE(4367)] = 64794,
  [SMALL_STATE(4368)] = 64855,
  [SMALL_STATE(4369)] = 64916,
  [SMALL_STATE(4370)] = 64991,
  [SMALL_STATE(4371)] = 65052,
  [SMALL_STATE(4372)] = 65113,
  [SMALL_STATE(4373)] = 65174,
  [SMALL_STATE(4374)] = 65235,
  [SMALL_STATE(4375)] = 65300,
  [SMALL_STATE(4376)] = 65365,
  [SMALL_STATE(4377)] = 65426,
  [SMALL_STATE(4378)] = 65491,
  [SMALL_STATE(4379)] = 65552,
  [SMALL_STATE(4380)] = 65613,
  [SMALL_STATE(4381)] = 65678,
  [SMALL_STATE(4382)] = 65789,
  [SMALL_STATE(4383)] = 65854,
  [SMALL_STATE(4384)] = 65914,
  [SMALL_STATE(4385)] = 66070,
  [SMALL_STATE(4386)] = 66130,
  [SMALL_STATE(4387)] = 66190,
  [SMALL_STATE(4388)] = 66296,
  [SMALL_STATE(4389)] = 66356,
  [SMALL_STATE(4390)] = 66428,
  [SMALL_STATE(4391)] = 66538,
  [SMALL_STATE(4392)] = 66614,
  [SMALL_STATE(4393)] = 66674,
  [SMALL_STATE(4394)] = 66734,
  [SMALL_STATE(4395)] = 66794,
  [SMALL_STATE(4396)] = 66854,
  [SMALL_STATE(4397)] = 66928,
  [SMALL_STATE(4398)] = 67030,
  [SMALL_STATE(4399)] = 67128,
  [SMALL_STATE(4400)] = 67222,
  [SMALL_STATE(4401)] = 67314,
  [SMALL_STATE(4402)] = 67388,
  [SMALL_STATE(4403)] = 67476,
  [SMALL_STATE(4404)] = 67540,
  [SMALL_STATE(4405)] = 67614,
  [SMALL_STATE(4406)] = 67686,
  [SMALL_STATE(4407)] = 67790,
  [SMALL_STATE(4408)] = 67876,
  [SMALL_STATE(4409)] = 67958,
  [SMALL_STATE(4410)] = 68018,
  [SMALL_STATE(4411)] = 68086,
  [SMALL_STATE(4412)] = 68154,
  [SMALL_STATE(4413)] = 68214,
  [SMALL_STATE(4414)] = 68274,
  [SMALL_STATE(4415)] = 68334,
  [SMALL_STATE(4416)] = 68412,
  [SMALL_STATE(4417)] = 68478,
  [SMALL_STATE(4418)] = 68586,
  [SMALL_STATE(4419)] = 68652,
  [SMALL_STATE(4420)] = 68732,
  [SMALL_STATE(4421)] = 68838,
  [SMALL_STATE(4422)] = 68902,
  [SMALL_STATE(4423)] = 68962,
  [SMALL_STATE(4424)] = 69066,
  [SMALL_STATE(4425)] = 69128,
  [SMALL_STATE(4426)] = 69188,
  [SMALL_STATE(4427)] = 69262,
  [SMALL_STATE(4428)] = 69324,
  [SMALL_STATE(4429)] = 69384,
  [SMALL_STATE(4430)] = 69540,
  [SMALL_STATE(4431)] = 69696,
  [SMALL_STATE(4432)] = 69802,
  [SMALL_STATE(4433)] = 69862,
  [SMALL_STATE(4434)] = 70018,
  [SMALL_STATE(4435)] = 70128,
  [SMALL_STATE(4436)] = 70284,
  [SMALL_STATE(4437)] = 70390,
  [SMALL_STATE(4438)] = 70500,
  [SMALL_STATE(4439)] = 70564,
  [SMALL_STATE(4440)] = 70624,
  [SMALL_STATE(4441)] = 70780,
  [SMALL_STATE(4442)] = 70884,
  [SMALL_STATE(4443)] = 70944,
  [SMALL_STATE(4444)] = 71004,
  [SMALL_STATE(4445)] = 71108,
  [SMALL_STATE(4446)] = 71264,
  [SMALL_STATE(4447)] = 71420,
  [SMALL_STATE(4448)] = 71528,
  [SMALL_STATE(4449)] = 71604,
  [SMALL_STATE(4450)] = 71666,
  [SMALL_STATE(4451)] = 71726,
  [SMALL_STATE(4452)] = 71794,
  [SMALL_STATE(4453)] = 71854,
  [SMALL_STATE(4454)] = 71960,
  [SMALL_STATE(4455)] = 72020,
  [SMALL_STATE(4456)] = 72080,
  [SMALL_STATE(4457)] = 72140,
  [SMALL_STATE(4458)] = 72296,
  [SMALL_STATE(4459)] = 72356,
  [SMALL_STATE(4460)] = 72512,
  [SMALL_STATE(4461)] = 72572,
  [SMALL_STATE(4462)] = 72646,
  [SMALL_STATE(4463)] = 72706,
  [SMALL_STATE(4464)] = 72820,
  [SMALL_STATE(4465)] = 72976,
  [SMALL_STATE(4466)] = 73038,
  [SMALL_STATE(4467)] = 73100,
  [SMALL_STATE(4468)] = 73180,
  [SMALL_STATE(4469)] = 73258,
  [SMALL_STATE(4470)] = 73340,
  [SMALL_STATE(4471)] = 73424,
  [SMALL_STATE(4472)] = 73510,
  [SMALL_STATE(4473)] = 73600,
  [SMALL_STATE(4474)] = 73692,
  [SMALL_STATE(4475)] = 73788,
  [SMALL_STATE(4476)] = 73888,
  [SMALL_STATE(4477)] = 73954,
  [SMALL_STATE(4478)] = 74028,
  [SMALL_STATE(4479)] = 74104,
  [SMALL_STATE(4480)] = 74164,
  [SMALL_STATE(4481)] = 74224,
  [SMALL_STATE(4482)] = 74284,
  [SMALL_STATE(4483)] = 74358,
  [SMALL_STATE(4484)] = 74426,
  [SMALL_STATE(4485)] = 74494,
  [SMALL_STATE(4486)] = 74560,
  [SMALL_STATE(4487)] = 74620,
  [SMALL_STATE(4488)] = 74686,
  [SMALL_STATE(4489)] = 74746,
  [SMALL_STATE(4490)] = 74806,
  [SMALL_STATE(4491)] = 74866,
  [SMALL_STATE(4492)] = 74926,
  [SMALL_STATE(4493)] = 75000,
  [SMALL_STATE(4494)] = 75074,
  [SMALL_STATE(4495)] = 75134,
  [SMALL_STATE(4496)] = 75238,
  [SMALL_STATE(4497)] = 75298,
  [SMALL_STATE(4498)] = 75370,
  [SMALL_STATE(4499)] = 75430,
  [SMALL_STATE(4500)] = 75538,
  [SMALL_STATE(4501)] = 75606,
  [SMALL_STATE(4502)] = 75668,
  [SMALL_STATE(4503)] = 75738,
  [SMALL_STATE(4504)] = 75844,
  [SMALL_STATE(4505)] = 75910,
  [SMALL_STATE(4506)] = 75976,
  [SMALL_STATE(4507)] = 76050,
  [SMALL_STATE(4508)] = 76114,
  [SMALL_STATE(4509)] = 76178,
  [SMALL_STATE(4510)] = 76238,
  [SMALL_STATE(4511)] = 76310,
  [SMALL_STATE(4512)] = 76374,
  [SMALL_STATE(4513)] = 76478,
  [SMALL_STATE(4514)] = 76538,
  [SMALL_STATE(4515)] = 76600,
  [SMALL_STATE(4516)] = 76662,
  [SMALL_STATE(4517)] = 76730,
  [SMALL_STATE(4518)] = 76789,
  [SMALL_STATE(4519)] = 76854,
  [SMALL_STATE(4520)] = 76913,
  [SMALL_STATE(4521)] = 76972,
  [SMALL_STATE(4522)] = 77033,
  [SMALL_STATE(4523)] = 77092,
  [SMALL_STATE(4524)] = 77151,
  [SMALL_STATE(4525)] = 77210,
  [SMALL_STATE(4526)] = 77269,
  [SMALL_STATE(4527)] = 77328,
  [SMALL_STATE(4528)] = 77387,
  [SMALL_STATE(4529)] = 77446,
  [SMALL_STATE(4530)] = 77505,
  [SMALL_STATE(4531)] = 77566,
  [SMALL_STATE(4532)] = 77667,
  [SMALL_STATE(4533)] = 77726,
  [SMALL_STATE(4534)] = 77785,
  [SMALL_STATE(4535)] = 77844,
  [SMALL_STATE(4536)] = 77945,
  [SMALL_STATE(4537)] = 78046,
  [SMALL_STATE(4538)] = 78105,
  [SMALL_STATE(4539)] = 78164,
  [SMALL_STATE(4540)] = 78223,
  [SMALL_STATE(4541)] = 78282,
  [SMALL_STATE(4542)] = 78341,
  [SMALL_STATE(4543)] = 78400,
  [SMALL_STATE(4544)] = 78501,
  [SMALL_STATE(4545)] = 78602,
  [SMALL_STATE(4546)] = 78661,
  [SMALL_STATE(4547)] = 78724,
  [SMALL_STATE(4548)] = 78783,
  [SMALL_STATE(4549)] = 78884,
  [SMALL_STATE(4550)] = 78943,
  [SMALL_STATE(4551)] = 79002,
  [SMALL_STATE(4552)] = 79061,
  [SMALL_STATE(4553)] = 79120,
  [SMALL_STATE(4554)] = 79179,
  [SMALL_STATE(4555)] = 79240,
  [SMALL_STATE(4556)] = 79299,
  [SMALL_STATE(4557)] = 79358,
  [SMALL_STATE(4558)] = 79421,
  [SMALL_STATE(4559)] = 79480,
  [SMALL_STATE(4560)] = 79539,
  [SMALL_STATE(4561)] = 79598,
  [SMALL_STATE(4562)] = 79657,
  [SMALL_STATE(4563)] = 79716,
  [SMALL_STATE(4564)] = 79775,
  [SMALL_STATE(4565)] = 79834,
  [SMALL_STATE(4566)] = 79893,
  [SMALL_STATE(4567)] = 79952,
  [SMALL_STATE(4568)] = 80011,
  [SMALL_STATE(4569)] = 80070,
  [SMALL_STATE(4570)] = 80171,
  [SMALL_STATE(4571)] = 80272,
  [SMALL_STATE(4572)] = 80331,
  [SMALL_STATE(4573)] = 80390,
  [SMALL_STATE(4574)] = 80449,
  [SMALL_STATE(4575)] = 80508,
  [SMALL_STATE(4576)] = 80567,
  [SMALL_STATE(4577)] = 80626,
  [SMALL_STATE(4578)] = 80685,
  [SMALL_STATE(4579)] = 80744,
  [SMALL_STATE(4580)] = 80803,
  [SMALL_STATE(4581)] = 80904,
  [SMALL_STATE(4582)] = 80963,
  [SMALL_STATE(4583)] = 81022,
  [SMALL_STATE(4584)] = 81085,
  [SMALL_STATE(4585)] = 81144,
  [SMALL_STATE(4586)] = 81203,
  [SMALL_STATE(4587)] = 81304,
  [SMALL_STATE(4588)] = 81363,
  [SMALL_STATE(4589)] = 81422,
  [SMALL_STATE(4590)] = 81481,
  [SMALL_STATE(4591)] = 81540,
  [SMALL_STATE(4592)] = 81599,
  [SMALL_STATE(4593)] = 81700,
  [SMALL_STATE(4594)] = 81759,
  [SMALL_STATE(4595)] = 81818,
  [SMALL_STATE(4596)] = 81877,
  [SMALL_STATE(4597)] = 81944,
  [SMALL_STATE(4598)] = 82003,
  [SMALL_STATE(4599)] = 82062,
  [SMALL_STATE(4600)] = 82129,
  [SMALL_STATE(4601)] = 82188,
  [SMALL_STATE(4602)] = 82247,
  [SMALL_STATE(4603)] = 82306,
  [SMALL_STATE(4604)] = 82365,
  [SMALL_STATE(4605)] = 82424,
  [SMALL_STATE(4606)] = 82487,
  [SMALL_STATE(4607)] = 82546,
  [SMALL_STATE(4608)] = 82609,
  [SMALL_STATE(4609)] = 82668,
  [SMALL_STATE(4610)] = 82727,
  [SMALL_STATE(4611)] = 82786,
  [SMALL_STATE(4612)] = 82845,
  [SMALL_STATE(4613)] = 82904,
  [SMALL_STATE(4614)] = 82963,
  [SMALL_STATE(4615)] = 83022,
  [SMALL_STATE(4616)] = 83081,
  [SMALL_STATE(4617)] = 83140,
  [SMALL_STATE(4618)] = 83199,
  [SMALL_STATE(4619)] = 83258,
  [SMALL_STATE(4620)] = 83323,
  [SMALL_STATE(4621)] = 83382,
  [SMALL_STATE(4622)] = 83443,
  [SMALL_STATE(4623)] = 83502,
  [SMALL_STATE(4624)] = 83561,
  [SMALL_STATE(4625)] = 83622,
  [SMALL_STATE(4626)] = 83681,
  [SMALL_STATE(4627)] = 83740,
  [SMALL_STATE(4628)] = 83799,
  [SMALL_STATE(4629)] = 83858,
  [SMALL_STATE(4630)] = 83917,
  [SMALL_STATE(4631)] = 83976,
  [SMALL_STATE(4632)] = 84035,
  [SMALL_STATE(4633)] = 84094,
  [SMALL_STATE(4634)] = 84163,
  [SMALL_STATE(4635)] = 84222,
  [SMALL_STATE(4636)] = 84281,
  [SMALL_STATE(4637)] = 84340,
  [SMALL_STATE(4638)] = 84399,
  [SMALL_STATE(4639)] = 84458,
  [SMALL_STATE(4640)] = 84523,
  [SMALL_STATE(4641)] = 84590,
  [SMALL_STATE(4642)] = 84649,
  [SMALL_STATE(4643)] = 84750,
  [SMALL_STATE(4644)] = 84851,
  [SMALL_STATE(4645)] = 84910,
  [SMALL_STATE(4646)] = 84969,
  [SMALL_STATE(4647)] = 85028,
  [SMALL_STATE(4648)] = 85087,
  [SMALL_STATE(4649)] = 85146,
  [SMALL_STATE(4650)] = 85247,
  [SMALL_STATE(4651)] = 85306,
  [SMALL_STATE(4652)] = 85373,
  [SMALL_STATE(4653)] = 85432,
  [SMALL_STATE(4654)] = 85491,
  [SMALL_STATE(4655)] = 85550,
  [SMALL_STATE(4656)] = 85609,
  [SMALL_STATE(4657)] = 85668,
  [SMALL_STATE(4658)] = 85769,
  [SMALL_STATE(4659)] = 85870,
  [SMALL_STATE(4660)] = 85929,
  [SMALL_STATE(4661)] = 85988,
  [SMALL_STATE(4662)] = 86047,
  [SMALL_STATE(4663)] = 86106,
  [SMALL_STATE(4664)] = 86165,
  [SMALL_STATE(4665)] = 86224,
  [SMALL_STATE(4666)] = 86289,
  [SMALL_STATE(4667)] = 86348,
  [SMALL_STATE(4668)] = 86407,
  [SMALL_STATE(4669)] = 86466,
  [SMALL_STATE(4670)] = 86525,
  [SMALL_STATE(4671)] = 86584,
  [SMALL_STATE(4672)] = 86643,
  [SMALL_STATE(4673)] = 86702,
  [SMALL_STATE(4674)] = 86761,
  [SMALL_STATE(4675)] = 86820,
  [SMALL_STATE(4676)] = 86889,
  [SMALL_STATE(4677)] = 86948,
  [SMALL_STATE(4678)] = 87013,
  [SMALL_STATE(4679)] = 87072,
  [SMALL_STATE(4680)] = 87131,
  [SMALL_STATE(4681)] = 87190,
  [SMALL_STATE(4682)] = 87249,
  [SMALL_STATE(4683)] = 87308,
  [SMALL_STATE(4684)] = 87367,
  [SMALL_STATE(4685)] = 87426,
  [SMALL_STATE(4686)] = 87485,
  [SMALL_STATE(4687)] = 87544,
  [SMALL_STATE(4688)] = 87603,
  [SMALL_STATE(4689)] = 87662,
  [SMALL_STATE(4690)] = 87721,
  [SMALL_STATE(4691)] = 87788,
  [SMALL_STATE(4692)] = 87847,
  [SMALL_STATE(4693)] = 87906,
  [SMALL_STATE(4694)] = 87965,
  [SMALL_STATE(4695)] = 88024,
  [SMALL_STATE(4696)] = 88083,
  [SMALL_STATE(4697)] = 88142,
  [SMALL_STATE(4698)] = 88201,
  [SMALL_STATE(4699)] = 88302,
  [SMALL_STATE(4700)] = 88403,
  [SMALL_STATE(4701)] = 88462,
  [SMALL_STATE(4702)] = 88563,
  [SMALL_STATE(4703)] = 88622,
  [SMALL_STATE(4704)] = 88681,
  [SMALL_STATE(4705)] = 88782,
  [SMALL_STATE(4706)] = 88841,
  [SMALL_STATE(4707)] = 88908,
  [SMALL_STATE(4708)] = 88967,
  [SMALL_STATE(4709)] = 89026,
  [SMALL_STATE(4710)] = 89085,
  [SMALL_STATE(4711)] = 89144,
  [SMALL_STATE(4712)] = 89203,
  [SMALL_STATE(4713)] = 89261,
  [SMALL_STATE(4714)] = 89323,
  [SMALL_STATE(4715)] = 89413,
  [SMALL_STATE(4716)] = 89497,
  [SMALL_STATE(4717)] = 89577,
  [SMALL_STATE(4718)] = 89653,
  [SMALL_STATE(4719)] = 89747,
  [SMALL_STATE(4720)] = 89845,
  [SMALL_STATE(4721)] = 89903,
  [SMALL_STATE(4722)] = 89965,
  [SMALL_STATE(4723)] = 90023,
  [SMALL_STATE(4724)] = 90123,
  [SMALL_STATE(4725)] = 90195,
  [SMALL_STATE(4726)] = 90269,
  [SMALL_STATE(4727)] = 90327,
  [SMALL_STATE(4728)] = 90385,
  [SMALL_STATE(4729)] = 90457,
  [SMALL_STATE(4730)] = 90515,
  [SMALL_STATE(4731)] = 90573,
  [SMALL_STATE(4732)] = 90631,
  [SMALL_STATE(4733)] = 90689,
  [SMALL_STATE(4734)] = 90751,
  [SMALL_STATE(4735)] = 90857,
  [SMALL_STATE(4736)] = 90915,
  [SMALL_STATE(4737)] = 90973,
  [SMALL_STATE(4738)] = 91035,
  [SMALL_STATE(4739)] = 91093,
  [SMALL_STATE(4740)] = 91151,
  [SMALL_STATE(4741)] = 91209,
  [SMALL_STATE(4742)] = 91267,
  [SMALL_STATE(4743)] = 91329,
  [SMALL_STATE(4744)] = 91391,
  [SMALL_STATE(4745)] = 91469,
  [SMALL_STATE(4746)] = 91527,
  [SMALL_STATE(4747)] = 91585,
  [SMALL_STATE(4748)] = 91647,
  [SMALL_STATE(4749)] = 91709,
  [SMALL_STATE(4750)] = 91813,
  [SMALL_STATE(4751)] = 91871,
  [SMALL_STATE(4752)] = 91929,
  [SMALL_STATE(4753)] = 92031,
  [SMALL_STATE(4754)] = 92089,
  [SMALL_STATE(4755)] = 92147,
  [SMALL_STATE(4756)] = 92209,
  [SMALL_STATE(4757)] = 92267,
  [SMALL_STATE(4758)] = 92329,
  [SMALL_STATE(4759)] = 92431,
  [SMALL_STATE(4760)] = 92493,
  [SMALL_STATE(4761)] = 92551,
  [SMALL_STATE(4762)] = 92609,
  [SMALL_STATE(4763)] = 92667,
  [SMALL_STATE(4764)] = 92725,
  [SMALL_STATE(4765)] = 92783,
  [SMALL_STATE(4766)] = 92841,
  [SMALL_STATE(4767)] = 92899,
  [SMALL_STATE(4768)] = 92957,
  [SMALL_STATE(4769)] = 93015,
  [SMALL_STATE(4770)] = 93121,
  [SMALL_STATE(4771)] = 93179,
  [SMALL_STATE(4772)] = 93237,
  [SMALL_STATE(4773)] = 93295,
  [SMALL_STATE(4774)] = 93355,
  [SMALL_STATE(4775)] = 93413,
  [SMALL_STATE(4776)] = 93515,
  [SMALL_STATE(4777)] = 93573,
  [SMALL_STATE(4778)] = 93631,
  [SMALL_STATE(4779)] = 93689,
  [SMALL_STATE(4780)] = 93747,
  [SMALL_STATE(4781)] = 93805,
  [SMALL_STATE(4782)] = 93863,
  [SMALL_STATE(4783)] = 93921,
  [SMALL_STATE(4784)] = 93983,
  [SMALL_STATE(4785)] = 94041,
  [SMALL_STATE(4786)] = 94099,
  [SMALL_STATE(4787)] = 94157,
  [SMALL_STATE(4788)] = 94215,
  [SMALL_STATE(4789)] = 94273,
  [SMALL_STATE(4790)] = 94331,
  [SMALL_STATE(4791)] = 94389,
  [SMALL_STATE(4792)] = 94447,
  [SMALL_STATE(4793)] = 94505,
  [SMALL_STATE(4794)] = 94563,
  [SMALL_STATE(4795)] = 94621,
  [SMALL_STATE(4796)] = 94707,
  [SMALL_STATE(4797)] = 94765,
  [SMALL_STATE(4798)] = 94823,
  [SMALL_STATE(4799)] = 94881,
  [SMALL_STATE(4800)] = 94939,
  [SMALL_STATE(4801)] = 94997,
  [SMALL_STATE(4802)] = 95055,
  [SMALL_STATE(4803)] = 95157,
  [SMALL_STATE(4804)] = 95221,
  [SMALL_STATE(4805)] = 95293,
  [SMALL_STATE(4806)] = 95351,
  [SMALL_STATE(4807)] = 95409,
  [SMALL_STATE(4808)] = 95471,
  [SMALL_STATE(4809)] = 95529,
  [SMALL_STATE(4810)] = 95601,
  [SMALL_STATE(4811)] = 95659,
  [SMALL_STATE(4812)] = 95717,
  [SMALL_STATE(4813)] = 95775,
  [SMALL_STATE(4814)] = 95833,
  [SMALL_STATE(4815)] = 95891,
  [SMALL_STATE(4816)] = 95949,
  [SMALL_STATE(4817)] = 96053,
  [SMALL_STATE(4818)] = 96111,
  [SMALL_STATE(4819)] = 96169,
  [SMALL_STATE(4820)] = 96275,
  [SMALL_STATE(4821)] = 96333,
  [SMALL_STATE(4822)] = 96391,
  [SMALL_STATE(4823)] = 96457,
  [SMALL_STATE(4824)] = 96515,
  [SMALL_STATE(4825)] = 96589,
  [SMALL_STATE(4826)] = 96647,
  [SMALL_STATE(4827)] = 96717,
  [SMALL_STATE(4828)] = 96783,
  [SMALL_STATE(4829)] = 96841,
  [SMALL_STATE(4830)] = 96907,
  [SMALL_STATE(4831)] = 96965,
  [SMALL_STATE(4832)] = 97031,
  [SMALL_STATE(4833)] = 97089,
  [SMALL_STATE(4834)] = 97159,
  [SMALL_STATE(4835)] = 97217,
  [SMALL_STATE(4836)] = 97275,
  [SMALL_STATE(4837)] = 97333,
  [SMALL_STATE(4838)] = 97397,
  [SMALL_STATE(4839)] = 97455,
  [SMALL_STATE(4840)] = 97513,
  [SMALL_STATE(4841)] = 97571,
  [SMALL_STATE(4842)] = 97629,
  [SMALL_STATE(4843)] = 97686,
  [SMALL_STATE(4844)] = 97789,
  [SMALL_STATE(4845)] = 97846,
  [SMALL_STATE(4846)] = 97903,
  [SMALL_STATE(4847)] = 97960,
  [SMALL_STATE(4848)] = 98017,
  [SMALL_STATE(4849)] = 98074,
  [SMALL_STATE(4850)] = 98131,
  [SMALL_STATE(4851)] = 98188,
  [SMALL_STATE(4852)] = 98245,
  [SMALL_STATE(4853)] = 98302,
  [SMALL_STATE(4854)] = 98359,
  [SMALL_STATE(4855)] = 98428,
  [SMALL_STATE(4856)] = 98487,
  [SMALL_STATE(4857)] = 98546,
  [SMALL_STATE(4858)] = 98605,
  [SMALL_STATE(4859)] = 98662,
  [SMALL_STATE(4860)] = 98719,
  [SMALL_STATE(4861)] = 98788,
  [SMALL_STATE(4862)] = 98845,
  [SMALL_STATE(4863)] = 98904,
  [SMALL_STATE(4864)] = 98969,
  [SMALL_STATE(4865)] = 99034,
  [SMALL_STATE(4866)] = 99099,
  [SMALL_STATE(4867)] = 99202,
  [SMALL_STATE(4868)] = 99263,
  [SMALL_STATE(4869)] = 99320,
  [SMALL_STATE(4870)] = 99379,
  [SMALL_STATE(4871)] = 99442,
  [SMALL_STATE(4872)] = 99545,
  [SMALL_STATE(4873)] = 99612,
  [SMALL_STATE(4874)] = 99673,
  [SMALL_STATE(4875)] = 99734,
  [SMALL_STATE(4876)] = 99837,
  [SMALL_STATE(4877)] = 99896,
  [SMALL_STATE(4878)] = 99952,
  [SMALL_STATE(4879)] = 100008,
  [SMALL_STATE(4880)] = 100080,
  [SMALL_STATE(4881)] = 100136,
  [SMALL_STATE(4882)] = 100192,
  [SMALL_STATE(4883)] = 100248,
  [SMALL_STATE(4884)] = 100304,
  [SMALL_STATE(4885)] = 100360,
  [SMALL_STATE(4886)] = 100432,
  [SMALL_STATE(4887)] = 100488,
  [SMALL_STATE(4888)] = 100544,
  [SMALL_STATE(4889)] = 100600,
  [SMALL_STATE(4890)] = 100702,
  [SMALL_STATE(4891)] = 100758,
  [SMALL_STATE(4892)] = 100830,
  [SMALL_STATE(4893)] = 100886,
  [SMALL_STATE(4894)] = 100942,
  [SMALL_STATE(4895)] = 100998,
  [SMALL_STATE(4896)] = 101066,
  [SMALL_STATE(4897)] = 101122,
  [SMALL_STATE(4898)] = 101178,
  [SMALL_STATE(4899)] = 101234,
  [SMALL_STATE(4900)] = 101290,
  [SMALL_STATE(4901)] = 101346,
  [SMALL_STATE(4902)] = 101402,
  [SMALL_STATE(4903)] = 101460,
  [SMALL_STATE(4904)] = 101516,
  [SMALL_STATE(4905)] = 101572,
  [SMALL_STATE(4906)] = 101628,
  [SMALL_STATE(4907)] = 101684,
  [SMALL_STATE(4908)] = 101740,
  [SMALL_STATE(4909)] = 101796,
  [SMALL_STATE(4910)] = 101852,
  [SMALL_STATE(4911)] = 101908,
  [SMALL_STATE(4912)] = 101980,
  [SMALL_STATE(4913)] = 102036,
  [SMALL_STATE(4914)] = 102106,
  [SMALL_STATE(4915)] = 102176,
  [SMALL_STATE(4916)] = 102232,
  [SMALL_STATE(4917)] = 102288,
  [SMALL_STATE(4918)] = 102344,
  [SMALL_STATE(4919)] = 102412,
  [SMALL_STATE(4920)] = 102468,
  [SMALL_STATE(4921)] = 102524,
  [SMALL_STATE(4922)] = 102580,
  [SMALL_STATE(4923)] = 102636,
  [SMALL_STATE(4924)] = 102692,
  [SMALL_STATE(4925)] = 102794,
  [SMALL_STATE(4926)] = 102850,
  [SMALL_STATE(4927)] = 102906,
  [SMALL_STATE(4928)] = 102968,
  [SMALL_STATE(4929)] = 103024,
  [SMALL_STATE(4930)] = 103080,
  [SMALL_STATE(4931)] = 103136,
  [SMALL_STATE(4932)] = 103238,
  [SMALL_STATE(4933)] = 103294,
  [SMALL_STATE(4934)] = 103350,
  [SMALL_STATE(4935)] = 103406,
  [SMALL_STATE(4936)] = 103462,
  [SMALL_STATE(4937)] = 103522,
  [SMALL_STATE(4938)] = 103578,
  [SMALL_STATE(4939)] = 103638,
  [SMALL_STATE(4940)] = 103694,
  [SMALL_STATE(4941)] = 103764,
  [SMALL_STATE(4942)] = 103820,
  [SMALL_STATE(4943)] = 103876,
  [SMALL_STATE(4944)] = 103932,
  [SMALL_STATE(4945)] = 103988,
  [SMALL_STATE(4946)] = 104044,
  [SMALL_STATE(4947)] = 104104,
  [SMALL_STATE(4948)] = 104164,
  [SMALL_STATE(4949)] = 104220,
  [SMALL_STATE(4950)] = 104280,
  [SMALL_STATE(4951)] = 104340,
  [SMALL_STATE(4952)] = 104396,
  [SMALL_STATE(4953)] = 104452,
  [SMALL_STATE(4954)] = 104514,
  [SMALL_STATE(4955)] = 104570,
  [SMALL_STATE(4956)] = 104626,
  [SMALL_STATE(4957)] = 104682,
  [SMALL_STATE(4958)] = 104742,
  [SMALL_STATE(4959)] = 104802,
  [SMALL_STATE(4960)] = 104862,
  [SMALL_STATE(4961)] = 104918,
  [SMALL_STATE(4962)] = 104974,
  [SMALL_STATE(4963)] = 105030,
  [SMALL_STATE(4964)] = 105132,
  [SMALL_STATE(4965)] = 105188,
  [SMALL_STATE(4966)] = 105244,
  [SMALL_STATE(4967)] = 105300,
  [SMALL_STATE(4968)] = 105356,
  [SMALL_STATE(4969)] = 105412,
  [SMALL_STATE(4970)] = 105474,
  [SMALL_STATE(4971)] = 105536,
  [SMALL_STATE(4972)] = 105592,
  [SMALL_STATE(4973)] = 105648,
  [SMALL_STATE(4974)] = 105718,
  [SMALL_STATE(4975)] = 105773,
  [SMALL_STATE(4976)] = 105828,
  [SMALL_STATE(4977)] = 105883,
  [SMALL_STATE(4978)] = 105938,
  [SMALL_STATE(4979)] = 105993,
  [SMALL_STATE(4980)] = 106048,
  [SMALL_STATE(4981)] = 106105,
  [SMALL_STATE(4982)] = 106160,
  [SMALL_STATE(4983)] = 106215,
  [SMALL_STATE(4984)] = 106270,
  [SMALL_STATE(4985)] = 106325,
  [SMALL_STATE(4986)] = 106382,
  [SMALL_STATE(4987)] = 106437,
  [SMALL_STATE(4988)] = 106538,
  [SMALL_STATE(4989)] = 106593,
  [SMALL_STATE(4990)] = 106648,
  [SMALL_STATE(4991)] = 106715,
  [SMALL_STATE(4992)] = 106770,
  [SMALL_STATE(4993)] = 106871,
  [SMALL_STATE(4994)] = 106926,
  [SMALL_STATE(4995)] = 106981,
  [SMALL_STATE(4996)] = 107044,
  [SMALL_STATE(4997)] = 107099,
  [SMALL_STATE(4998)] = 107154,
  [SMALL_STATE(4999)] = 107217,
  [SMALL_STATE(5000)] = 107272,
  [SMALL_STATE(5001)] = 107339,
  [SMALL_STATE(5002)] = 107394,
  [SMALL_STATE(5003)] = 107481,
  [SMALL_STATE(5004)] = 107536,
  [SMALL_STATE(5005)] = 107591,
  [SMALL_STATE(5006)] = 107646,
  [SMALL_STATE(5007)] = 107701,
  [SMALL_STATE(5008)] = 107756,
  [SMALL_STATE(5009)] = 107819,
  [SMALL_STATE(5010)] = 107874,
  [SMALL_STATE(5011)] = 107929,
  [SMALL_STATE(5012)] = 107984,
  [SMALL_STATE(5013)] = 108071,
  [SMALL_STATE(5014)] = 108126,
  [SMALL_STATE(5015)] = 108227,
  [SMALL_STATE(5016)] = 108282,
  [SMALL_STATE(5017)] = 108337,
  [SMALL_STATE(5018)] = 108392,
  [SMALL_STATE(5019)] = 108447,
  [SMALL_STATE(5020)] = 108504,
  [SMALL_STATE(5021)] = 108559,
  [SMALL_STATE(5022)] = 108614,
  [SMALL_STATE(5023)] = 108669,
  [SMALL_STATE(5024)] = 108724,
  [SMALL_STATE(5025)] = 108779,
  [SMALL_STATE(5026)] = 108846,
  [SMALL_STATE(5027)] = 108913,
  [SMALL_STATE(5028)] = 109014,
  [SMALL_STATE(5029)] = 109073,
  [SMALL_STATE(5030)] = 109128,
  [SMALL_STATE(5031)] = 109229,
  [SMALL_STATE(5032)] = 109284,
  [SMALL_STATE(5033)] = 109339,
  [SMALL_STATE(5034)] = 109440,
  [SMALL_STATE(5035)] = 109495,
  [SMALL_STATE(5036)] = 109550,
  [SMALL_STATE(5037)] = 109620,
  [SMALL_STATE(5038)] = 109680,
  [SMALL_STATE(5039)] = 109750,
  [SMALL_STATE(5040)] = 109848,
  [SMALL_STATE(5041)] = 109906,
  [SMALL_STATE(5042)] = 109964,
  [SMALL_STATE(5043)] = 110050,
  [SMALL_STATE(5044)] = 110120,
  [SMALL_STATE(5045)] = 110190,
  [SMALL_STATE(5046)] = 110250,
  [SMALL_STATE(5047)] = 110308,
  [SMALL_STATE(5048)] = 110394,
  [SMALL_STATE(5049)] = 110454,
  [SMALL_STATE(5050)] = 110512,
  [SMALL_STATE(5051)] = 110566,
  [SMALL_STATE(5052)] = 110630,
  [SMALL_STATE(5053)] = 110700,
  [SMALL_STATE(5054)] = 110758,
  [SMALL_STATE(5055)] = 110828,
  [SMALL_STATE(5056)] = 110886,
  [SMALL_STATE(5057)] = 110944,
  [SMALL_STATE(5058)] = 111014,
  [SMALL_STATE(5059)] = 111074,
  [SMALL_STATE(5060)] = 111132,
  [SMALL_STATE(5061)] = 111190,
  [SMALL_STATE(5062)] = 111248,
  [SMALL_STATE(5063)] = 111318,
  [SMALL_STATE(5064)] = 111376,
  [SMALL_STATE(5065)] = 111434,
  [SMALL_STATE(5066)] = 111529,
  [SMALL_STATE(5067)] = 111624,
  [SMALL_STATE(5068)] = 111719,
  [SMALL_STATE(5069)] = 111814,
  [SMALL_STATE(5070)] = 111909,
  [SMALL_STATE(5071)] = 112004,
  [SMALL_STATE(5072)] = 112057,
  [SMALL_STATE(5073)] = 112152,
  [SMALL_STATE(5074)] = 112247,
  [SMALL_STATE(5075)] = 112342,
  [SMALL_STATE(5076)] = 112437,
  [SMALL_STATE(5077)] = 112532,
  [SMALL_STATE(5078)] = 112593,
  [SMALL_STATE(5079)] = 112688,
  [SMALL_STATE(5080)] = 112783,
  [SMALL_STATE(5081)] = 112878,
  [SMALL_STATE(5082)] = 112973,
  [SMALL_STATE(5083)] = 113068,
  [SMALL_STATE(5084)] = 113163,
  [SMALL_STATE(5085)] = 113258,
  [SMALL_STATE(5086)] = 113353,
  [SMALL_STATE(5087)] = 113448,
  [SMALL_STATE(5088)] = 113543,
  [SMALL_STATE(5089)] = 113596,
  [SMALL_STATE(5090)] = 113691,
  [SMALL_STATE(5091)] = 113786,
  [SMALL_STATE(5092)] = 113839,
  [SMALL_STATE(5093)] = 113934,
  [SMALL_STATE(5094)] = 114029,
  [SMALL_STATE(5095)] = 114082,
  [SMALL_STATE(5096)] = 114181,
  [SMALL_STATE(5097)] = 114234,
  [SMALL_STATE(5098)] = 114329,
  [SMALL_STATE(5099)] = 114424,
  [SMALL_STATE(5100)] = 114519,
  [SMALL_STATE(5101)] = 114572,
  [SMALL_STATE(5102)] = 114667,
  [SMALL_STATE(5103)] = 114762,
  [SMALL_STATE(5104)] = 114857,
  [SMALL_STATE(5105)] = 114952,
  [SMALL_STATE(5106)] = 115047,
  [SMALL_STATE(5107)] = 115142,
  [SMALL_STATE(5108)] = 115237,
  [SMALL_STATE(5109)] = 115332,
  [SMALL_STATE(5110)] = 115427,
  [SMALL_STATE(5111)] = 115522,
  [SMALL_STATE(5112)] = 115617,
  [SMALL_STATE(5113)] = 115712,
  [SMALL_STATE(5114)] = 115807,
  [SMALL_STATE(5115)] = 115902,
  [SMALL_STATE(5116)] = 115997,
  [SMALL_STATE(5117)] = 116092,
  [SMALL_STATE(5118)] = 116187,
  [SMALL_STATE(5119)] = 116282,
  [SMALL_STATE(5120)] = 116341,
  [SMALL_STATE(5121)] = 116436,
  [SMALL_STATE(5122)] = 116531,
  [SMALL_STATE(5123)] = 116586,
  [SMALL_STATE(5124)] = 116681,
  [SMALL_STATE(5125)] = 116776,
  [SMALL_STATE(5126)] = 116871,
  [SMALL_STATE(5127)] = 116966,
  [SMALL_STATE(5128)] = 117061,
  [SMALL_STATE(5129)] = 117156,
  [SMALL_STATE(5130)] = 117251,
  [SMALL_STATE(5131)] = 117346,
  [SMALL_STATE(5132)] = 117407,
  [SMALL_STATE(5133)] = 117502,
  [SMALL_STATE(5134)] = 117597,
  [SMALL_STATE(5135)] = 117692,
  [SMALL_STATE(5136)] = 117791,
  [SMALL_STATE(5137)] = 117886,
  [SMALL_STATE(5138)] = 117981,
  [SMALL_STATE(5139)] = 118076,
  [SMALL_STATE(5140)] = 118171,
  [SMALL_STATE(5141)] = 118266,
  [SMALL_STATE(5142)] = 118373,
  [SMALL_STATE(5143)] = 118468,
  [SMALL_STATE(5144)] = 118563,
  [SMALL_STATE(5145)] = 118658,
  [SMALL_STATE(5146)] = 118717,
  [SMALL_STATE(5147)] = 118812,
  [SMALL_STATE(5148)] = 118907,
  [SMALL_STATE(5149)] = 119002,
  [SMALL_STATE(5150)] = 119097,
  [SMALL_STATE(5151)] = 119192,
  [SMALL_STATE(5152)] = 119287,
  [SMALL_STATE(5153)] = 119382,
  [SMALL_STATE(5154)] = 119477,
  [SMALL_STATE(5155)] = 119572,
  [SMALL_STATE(5156)] = 119667,
  [SMALL_STATE(5157)] = 119762,
  [SMALL_STATE(5158)] = 119857,
  [SMALL_STATE(5159)] = 119910,
  [SMALL_STATE(5160)] = 119969,
  [SMALL_STATE(5161)] = 120076,
  [SMALL_STATE(5162)] = 120171,
  [SMALL_STATE(5163)] = 120232,
  [SMALL_STATE(5164)] = 120327,
  [SMALL_STATE(5165)] = 120379,
  [SMALL_STATE(5166)] = 120447,
  [SMALL_STATE(5167)] = 120499,
  [SMALL_STATE(5168)] = 120591,
  [SMALL_STATE(5169)] = 120647,
  [SMALL_STATE(5170)] = 120699,
  [SMALL_STATE(5171)] = 120751,
  [SMALL_STATE(5172)] = 120807,
  [SMALL_STATE(5173)] = 120859,
  [SMALL_STATE(5174)] = 120911,
  [SMALL_STATE(5175)] = 120963,
  [SMALL_STATE(5176)] = 121015,
  [SMALL_STATE(5177)] = 121071,
  [SMALL_STATE(5178)] = 121127,
  [SMALL_STATE(5179)] = 121219,
  [SMALL_STATE(5180)] = 121271,
  [SMALL_STATE(5181)] = 121363,
  [SMALL_STATE(5182)] = 121415,
  [SMALL_STATE(5183)] = 121483,
  [SMALL_STATE(5184)] = 121535,
  [SMALL_STATE(5185)] = 121587,
  [SMALL_STATE(5186)] = 121679,
  [SMALL_STATE(5187)] = 121743,
  [SMALL_STATE(5188)] = 121795,
  [SMALL_STATE(5189)] = 121879,
  [SMALL_STATE(5190)] = 121971,
  [SMALL_STATE(5191)] = 122055,
  [SMALL_STATE(5192)] = 122147,
  [SMALL_STATE(5193)] = 122215,
  [SMALL_STATE(5194)] = 122279,
  [SMALL_STATE(5195)] = 122371,
  [SMALL_STATE(5196)] = 122463,
  [SMALL_STATE(5197)] = 122555,
  [SMALL_STATE(5198)] = 122607,
  [SMALL_STATE(5199)] = 122659,
  [SMALL_STATE(5200)] = 122751,
  [SMALL_STATE(5201)] = 122803,
  [SMALL_STATE(5202)] = 122855,
  [SMALL_STATE(5203)] = 122907,
  [SMALL_STATE(5204)] = 122959,
  [SMALL_STATE(5205)] = 123051,
  [SMALL_STATE(5206)] = 123143,
  [SMALL_STATE(5207)] = 123235,
  [SMALL_STATE(5208)] = 123333,
  [SMALL_STATE(5209)] = 123385,
  [SMALL_STATE(5210)] = 123437,
  [SMALL_STATE(5211)] = 123489,
  [SMALL_STATE(5212)] = 123541,
  [SMALL_STATE(5213)] = 123597,
  [SMALL_STATE(5214)] = 123649,
  [SMALL_STATE(5215)] = 123701,
  [SMALL_STATE(5216)] = 123753,
  [SMALL_STATE(5217)] = 123805,
  [SMALL_STATE(5218)] = 123897,
  [SMALL_STATE(5219)] = 123949,
  [SMALL_STATE(5220)] = 124005,
  [SMALL_STATE(5221)] = 124061,
  [SMALL_STATE(5222)] = 124129,
  [SMALL_STATE(5223)] = 124181,
  [SMALL_STATE(5224)] = 124237,
  [SMALL_STATE(5225)] = 124289,
  [SMALL_STATE(5226)] = 124341,
  [SMALL_STATE(5227)] = 124401,
  [SMALL_STATE(5228)] = 124453,
  [SMALL_STATE(5229)] = 124509,
  [SMALL_STATE(5230)] = 124565,
  [SMALL_STATE(5231)] = 124621,
  [SMALL_STATE(5232)] = 124677,
  [SMALL_STATE(5233)] = 124776,
  [SMALL_STATE(5234)] = 124861,
  [SMALL_STATE(5235)] = 124912,
  [SMALL_STATE(5236)] = 124963,
  [SMALL_STATE(5237)] = 125048,
  [SMALL_STATE(5238)] = 125133,
  [SMALL_STATE(5239)] = 125200,
  [SMALL_STATE(5240)] = 125283,
  [SMALL_STATE(5241)] = 125368,
  [SMALL_STATE(5242)] = 125453,
  [SMALL_STATE(5243)] = 125520,
  [SMALL_STATE(5244)] = 125605,
  [SMALL_STATE(5245)] = 125656,
  [SMALL_STATE(5246)] = 125739,
  [SMALL_STATE(5247)] = 125824,
  [SMALL_STATE(5248)] = 125881,
  [SMALL_STATE(5249)] = 125966,
  [SMALL_STATE(5250)] = 126017,
  [SMALL_STATE(5251)] = 126068,
  [SMALL_STATE(5252)] = 126163,
  [SMALL_STATE(5253)] = 126216,
  [SMALL_STATE(5254)] = 126307,
  [SMALL_STATE(5255)] = 126358,
  [SMALL_STATE(5256)] = 126443,
  [SMALL_STATE(5257)] = 126494,
  [SMALL_STATE(5258)] = 126593,
  [SMALL_STATE(5259)] = 126644,
  [SMALL_STATE(5260)] = 126747,
  [SMALL_STATE(5261)] = 126836,
  [SMALL_STATE(5262)] = 126939,
  [SMALL_STATE(5263)] = 127024,
  [SMALL_STATE(5264)] = 127107,
  [SMALL_STATE(5265)] = 127186,
  [SMALL_STATE(5266)] = 127271,
  [SMALL_STATE(5267)] = 127346,
  [SMALL_STATE(5268)] = 127431,
  [SMALL_STATE(5269)] = 127498,
  [SMALL_STATE(5270)] = 127583,
  [SMALL_STATE(5271)] = 127634,
  [SMALL_STATE(5272)] = 127733,
  [SMALL_STATE(5273)] = 127836,
  [SMALL_STATE(5274)] = 127939,
  [SMALL_STATE(5275)] = 127990,
  [SMALL_STATE(5276)] = 128089,
  [SMALL_STATE(5277)] = 128162,
  [SMALL_STATE(5278)] = 128247,
  [SMALL_STATE(5279)] = 128298,
  [SMALL_STATE(5280)] = 128369,
  [SMALL_STATE(5281)] = 128454,
  [SMALL_STATE(5282)] = 128539,
  [SMALL_STATE(5283)] = 128606,
  [SMALL_STATE(5284)] = 128675,
  [SMALL_STATE(5285)] = 128757,
  [SMALL_STATE(5286)] = 128807,
  [SMALL_STATE(5287)] = 128885,
  [SMALL_STATE(5288)] = 128935,
  [SMALL_STATE(5289)] = 129017,
  [SMALL_STATE(5290)] = 129067,
  [SMALL_STATE(5291)] = 129117,
  [SMALL_STATE(5292)] = 129167,
  [SMALL_STATE(5293)] = 129217,
  [SMALL_STATE(5294)] = 129299,
  [SMALL_STATE(5295)] = 129349,
  [SMALL_STATE(5296)] = 129399,
  [SMALL_STATE(5297)] = 129449,
  [SMALL_STATE(5298)] = 129499,
  [SMALL_STATE(5299)] = 129549,
  [SMALL_STATE(5300)] = 129605,
  [SMALL_STATE(5301)] = 129655,
  [SMALL_STATE(5302)] = 129705,
  [SMALL_STATE(5303)] = 129755,
  [SMALL_STATE(5304)] = 129805,
  [SMALL_STATE(5305)] = 129861,
  [SMALL_STATE(5306)] = 129911,
  [SMALL_STATE(5307)] = 129961,
  [SMALL_STATE(5308)] = 130011,
  [SMALL_STATE(5309)] = 130061,
  [SMALL_STATE(5310)] = 130111,
  [SMALL_STATE(5311)] = 130167,
  [SMALL_STATE(5312)] = 130223,
  [SMALL_STATE(5313)] = 130301,
  [SMALL_STATE(5314)] = 130357,
  [SMALL_STATE(5315)] = 130407,
  [SMALL_STATE(5316)] = 130463,
  [SMALL_STATE(5317)] = 130513,
  [SMALL_STATE(5318)] = 130565,
  [SMALL_STATE(5319)] = 130615,
  [SMALL_STATE(5320)] = 130665,
  [SMALL_STATE(5321)] = 130715,
  [SMALL_STATE(5322)] = 130765,
  [SMALL_STATE(5323)] = 130821,
  [SMALL_STATE(5324)] = 130871,
  [SMALL_STATE(5325)] = 130921,
  [SMALL_STATE(5326)] = 130971,
  [SMALL_STATE(5327)] = 131053,
  [SMALL_STATE(5328)] = 131145,
  [SMALL_STATE(5329)] = 131195,
  [SMALL_STATE(5330)] = 131245,
  [SMALL_STATE(5331)] = 131295,
  [SMALL_STATE(5332)] = 131351,
  [SMALL_STATE(5333)] = 131401,
  [SMALL_STATE(5334)] = 131451,
  [SMALL_STATE(5335)] = 131501,
  [SMALL_STATE(5336)] = 131553,
  [SMALL_STATE(5337)] = 131603,
  [SMALL_STATE(5338)] = 131654,
  [SMALL_STATE(5339)] = 131757,
  [SMALL_STATE(5340)] = 131854,
  [SMALL_STATE(5341)] = 131927,
  [SMALL_STATE(5342)] = 132004,
  [SMALL_STATE(5343)] = 132085,
  [SMALL_STATE(5344)] = 132166,
  [SMALL_STATE(5345)] = 132249,
  [SMALL_STATE(5346)] = 132336,
  [SMALL_STATE(5347)] = 132425,
  [SMALL_STATE(5348)] = 132474,
  [SMALL_STATE(5349)] = 132541,
  [SMALL_STATE(5350)] = 132634,
  [SMALL_STATE(5351)] = 132683,
  [SMALL_STATE(5352)] = 132740,
  [SMALL_STATE(5353)] = 132841,
  [SMALL_STATE(5354)] = 132942,
  [SMALL_STATE(5355)] = 133039,
  [SMALL_STATE(5356)] = 133094,
  [SMALL_STATE(5357)] = 133175,
  [SMALL_STATE(5358)] = 133256,
  [SMALL_STATE(5359)] = 133337,
  [SMALL_STATE(5360)] = 133438,
  [SMALL_STATE(5361)] = 133519,
  [SMALL_STATE(5362)] = 133600,
  [SMALL_STATE(5363)] = 133663,
  [SMALL_STATE(5364)] = 133766,
  [SMALL_STATE(5365)] = 133867,
  [SMALL_STATE(5366)] = 133970,
  [SMALL_STATE(5367)] = 134021,
  [SMALL_STATE(5368)] = 134070,
  [SMALL_STATE(5369)] = 134173,
  [SMALL_STATE(5370)] = 134234,
  [SMALL_STATE(5371)] = 134297,
  [SMALL_STATE(5372)] = 134350,
  [SMALL_STATE(5373)] = 134403,
  [SMALL_STATE(5374)] = 134456,
  [SMALL_STATE(5375)] = 134507,
  [SMALL_STATE(5376)] = 134568,
  [SMALL_STATE(5377)] = 134645,
  [SMALL_STATE(5378)] = 134696,
  [SMALL_STATE(5379)] = 134793,
  [SMALL_STATE(5380)] = 134856,
  [SMALL_STATE(5381)] = 134953,
  [SMALL_STATE(5382)] = 135016,
  [SMALL_STATE(5383)] = 135071,
  [SMALL_STATE(5384)] = 135140,
  [SMALL_STATE(5385)] = 135211,
  [SMALL_STATE(5386)] = 135288,
  [SMALL_STATE(5387)] = 135336,
  [SMALL_STATE(5388)] = 135416,
  [SMALL_STATE(5389)] = 135466,
  [SMALL_STATE(5390)] = 135514,
  [SMALL_STATE(5391)] = 135600,
  [SMALL_STATE(5392)] = 135682,
  [SMALL_STATE(5393)] = 135776,
  [SMALL_STATE(5394)] = 135824,
  [SMALL_STATE(5395)] = 135914,
  [SMALL_STATE(5396)] = 135998,
  [SMALL_STATE(5397)] = 136092,
  [SMALL_STATE(5398)] = 136140,
  [SMALL_STATE(5399)] = 136198,
  [SMALL_STATE(5400)] = 136288,
  [SMALL_STATE(5401)] = 136388,
  [SMALL_STATE(5402)] = 136436,
  [SMALL_STATE(5403)] = 136484,
  [SMALL_STATE(5404)] = 136532,
  [SMALL_STATE(5405)] = 136580,
  [SMALL_STATE(5406)] = 136660,
  [SMALL_STATE(5407)] = 136750,
  [SMALL_STATE(5408)] = 136808,
  [SMALL_STATE(5409)] = 136856,
  [SMALL_STATE(5410)] = 136914,
  [SMALL_STATE(5411)] = 136962,
  [SMALL_STATE(5412)] = 137010,
  [SMALL_STATE(5413)] = 137058,
  [SMALL_STATE(5414)] = 137106,
  [SMALL_STATE(5415)] = 137196,
  [SMALL_STATE(5416)] = 137296,
  [SMALL_STATE(5417)] = 137384,
  [SMALL_STATE(5418)] = 137454,
  [SMALL_STATE(5419)] = 137520,
  [SMALL_STATE(5420)] = 137610,
  [SMALL_STATE(5421)] = 137658,
  [SMALL_STATE(5422)] = 137706,
  [SMALL_STATE(5423)] = 137754,
  [SMALL_STATE(5424)] = 137802,
  [SMALL_STATE(5425)] = 137870,
  [SMALL_STATE(5426)] = 137918,
  [SMALL_STATE(5427)] = 138008,
  [SMALL_STATE(5428)] = 138056,
  [SMALL_STATE(5429)] = 138132,
  [SMALL_STATE(5430)] = 138182,
  [SMALL_STATE(5431)] = 138276,
  [SMALL_STATE(5432)] = 138334,
  [SMALL_STATE(5433)] = 138406,
  [SMALL_STATE(5434)] = 138484,
  [SMALL_STATE(5435)] = 138531,
  [SMALL_STATE(5436)] = 138624,
  [SMALL_STATE(5437)] = 138693,
  [SMALL_STATE(5438)] = 138746,
  [SMALL_STATE(5439)] = 138843,
  [SMALL_STATE(5440)] = 138940,
  [SMALL_STATE(5441)] = 138987,
  [SMALL_STATE(5442)] = 139034,
  [SMALL_STATE(5443)] = 139131,
  [SMALL_STATE(5444)] = 139228,
  [SMALL_STATE(5445)] = 139325,
  [SMALL_STATE(5446)] = 139372,
  [SMALL_STATE(5447)] = 139469,
  [SMALL_STATE(5448)] = 139558,
  [SMALL_STATE(5449)] = 139655,
  [SMALL_STATE(5450)] = 139744,
  [SMALL_STATE(5451)] = 139791,
  [SMALL_STATE(5452)] = 139888,
  [SMALL_STATE(5453)] = 139941,
  [SMALL_STATE(5454)] = 140038,
  [SMALL_STATE(5455)] = 140135,
  [SMALL_STATE(5456)] = 140214,
  [SMALL_STATE(5457)] = 140311,
  [SMALL_STATE(5458)] = 140408,
  [SMALL_STATE(5459)] = 140505,
  [SMALL_STATE(5460)] = 140594,
  [SMALL_STATE(5461)] = 140691,
  [SMALL_STATE(5462)] = 140788,
  [SMALL_STATE(5463)] = 140885,
  [SMALL_STATE(5464)] = 140982,
  [SMALL_STATE(5465)] = 141029,
  [SMALL_STATE(5466)] = 141126,
  [SMALL_STATE(5467)] = 141223,
  [SMALL_STATE(5468)] = 141270,
  [SMALL_STATE(5469)] = 141367,
  [SMALL_STATE(5470)] = 141414,
  [SMALL_STATE(5471)] = 141511,
  [SMALL_STATE(5472)] = 141558,
  [SMALL_STATE(5473)] = 141605,
  [SMALL_STATE(5474)] = 141652,
  [SMALL_STATE(5475)] = 141699,
  [SMALL_STATE(5476)] = 141782,
  [SMALL_STATE(5477)] = 141879,
  [SMALL_STATE(5478)] = 141976,
  [SMALL_STATE(5479)] = 142045,
  [SMALL_STATE(5480)] = 142096,
  [SMALL_STATE(5481)] = 142143,
  [SMALL_STATE(5482)] = 142190,
  [SMALL_STATE(5483)] = 142287,
  [SMALL_STATE(5484)] = 142384,
  [SMALL_STATE(5485)] = 142481,
  [SMALL_STATE(5486)] = 142578,
  [SMALL_STATE(5487)] = 142675,
  [SMALL_STATE(5488)] = 142772,
  [SMALL_STATE(5489)] = 142819,
  [SMALL_STATE(5490)] = 142912,
  [SMALL_STATE(5491)] = 142959,
  [SMALL_STATE(5492)] = 143056,
  [SMALL_STATE(5493)] = 143103,
  [SMALL_STATE(5494)] = 143158,
  [SMALL_STATE(5495)] = 143255,
  [SMALL_STATE(5496)] = 143302,
  [SMALL_STATE(5497)] = 143399,
  [SMALL_STATE(5498)] = 143468,
  [SMALL_STATE(5499)] = 143557,
  [SMALL_STATE(5500)] = 143654,
  [SMALL_STATE(5501)] = 143701,
  [SMALL_STATE(5502)] = 143748,
  [SMALL_STATE(5503)] = 143795,
  [SMALL_STATE(5504)] = 143892,
  [SMALL_STATE(5505)] = 143939,
  [SMALL_STATE(5506)] = 143986,
  [SMALL_STATE(5507)] = 144083,
  [SMALL_STATE(5508)] = 144180,
  [SMALL_STATE(5509)] = 144227,
  [SMALL_STATE(5510)] = 144274,
  [SMALL_STATE(5511)] = 144371,
  [SMALL_STATE(5512)] = 144418,
  [SMALL_STATE(5513)] = 144513,
  [SMALL_STATE(5514)] = 144610,
  [SMALL_STATE(5515)] = 144707,
  [SMALL_STATE(5516)] = 144804,
  [SMALL_STATE(5517)] = 144901,
  [SMALL_STATE(5518)] = 144948,
  [SMALL_STATE(5519)] = 145045,
  [SMALL_STATE(5520)] = 145138,
  [SMALL_STATE(5521)] = 145235,
  [SMALL_STATE(5522)] = 145328,
  [SMALL_STATE(5523)] = 145405,
  [SMALL_STATE(5524)] = 145452,
  [SMALL_STATE(5525)] = 145499,
  [SMALL_STATE(5526)] = 145556,
  [SMALL_STATE(5527)] = 145653,
  [SMALL_STATE(5528)] = 145700,
  [SMALL_STATE(5529)] = 145797,
  [SMALL_STATE(5530)] = 145894,
  [SMALL_STATE(5531)] = 145991,
  [SMALL_STATE(5532)] = 146070,
  [SMALL_STATE(5533)] = 146167,
  [SMALL_STATE(5534)] = 146264,
  [SMALL_STATE(5535)] = 146361,
  [SMALL_STATE(5536)] = 146458,
  [SMALL_STATE(5537)] = 146555,
  [SMALL_STATE(5538)] = 146652,
  [SMALL_STATE(5539)] = 146749,
  [SMALL_STATE(5540)] = 146846,
  [SMALL_STATE(5541)] = 146893,
  [SMALL_STATE(5542)] = 146990,
  [SMALL_STATE(5543)] = 147041,
  [SMALL_STATE(5544)] = 147138,
  [SMALL_STATE(5545)] = 147235,
  [SMALL_STATE(5546)] = 147282,
  [SMALL_STATE(5547)] = 147329,
  [SMALL_STATE(5548)] = 147424,
  [SMALL_STATE(5549)] = 147471,
  [SMALL_STATE(5550)] = 147568,
  [SMALL_STATE(5551)] = 147615,
  [SMALL_STATE(5552)] = 147662,
  [SMALL_STATE(5553)] = 147759,
  [SMALL_STATE(5554)] = 147856,
  [SMALL_STATE(5555)] = 147903,
  [SMALL_STATE(5556)] = 147972,
  [SMALL_STATE(5557)] = 148019,
  [SMALL_STATE(5558)] = 148116,
  [SMALL_STATE(5559)] = 148213,
  [SMALL_STATE(5560)] = 148260,
  [SMALL_STATE(5561)] = 148315,
  [SMALL_STATE(5562)] = 148412,
  [SMALL_STATE(5563)] = 148465,
  [SMALL_STATE(5564)] = 148512,
  [SMALL_STATE(5565)] = 148559,
  [SMALL_STATE(5566)] = 148656,
  [SMALL_STATE(5567)] = 148705,
  [SMALL_STATE(5568)] = 148802,
  [SMALL_STATE(5569)] = 148899,
  [SMALL_STATE(5570)] = 148968,
  [SMALL_STATE(5571)] = 149015,
  [SMALL_STATE(5572)] = 149068,
  [SMALL_STATE(5573)] = 149115,
  [SMALL_STATE(5574)] = 149162,
  [SMALL_STATE(5575)] = 149209,
  [SMALL_STATE(5576)] = 149256,
  [SMALL_STATE(5577)] = 149353,
  [SMALL_STATE(5578)] = 149420,
  [SMALL_STATE(5579)] = 149517,
  [SMALL_STATE(5580)] = 149614,
  [SMALL_STATE(5581)] = 149661,
  [SMALL_STATE(5582)] = 149708,
  [SMALL_STATE(5583)] = 149755,
  [SMALL_STATE(5584)] = 149826,
  [SMALL_STATE(5585)] = 149873,
  [SMALL_STATE(5586)] = 149920,
  [SMALL_STATE(5587)] = 149995,
  [SMALL_STATE(5588)] = 150042,
  [SMALL_STATE(5589)] = 150139,
  [SMALL_STATE(5590)] = 150216,
  [SMALL_STATE(5591)] = 150293,
  [SMALL_STATE(5592)] = 150374,
  [SMALL_STATE(5593)] = 150449,
  [SMALL_STATE(5594)] = 150526,
  [SMALL_STATE(5595)] = 150603,
  [SMALL_STATE(5596)] = 150680,
  [SMALL_STATE(5597)] = 150777,
  [SMALL_STATE(5598)] = 150874,
  [SMALL_STATE(5599)] = 150959,
  [SMALL_STATE(5600)] = 151046,
  [SMALL_STATE(5601)] = 151093,
  [SMALL_STATE(5602)] = 151140,
  [SMALL_STATE(5603)] = 151237,
  [SMALL_STATE(5604)] = 151284,
  [SMALL_STATE(5605)] = 151381,
  [SMALL_STATE(5606)] = 151478,
  [SMALL_STATE(5607)] = 151575,
  [SMALL_STATE(5608)] = 151652,
  [SMALL_STATE(5609)] = 151729,
  [SMALL_STATE(5610)] = 151804,
  [SMALL_STATE(5611)] = 151869,
  [SMALL_STATE(5612)] = 151962,
  [SMALL_STATE(5613)] = 152059,
  [SMALL_STATE(5614)] = 152136,
  [SMALL_STATE(5615)] = 152233,
  [SMALL_STATE(5616)] = 152330,
  [SMALL_STATE(5617)] = 152427,
  [SMALL_STATE(5618)] = 152524,
  [SMALL_STATE(5619)] = 152577,
  [SMALL_STATE(5620)] = 152674,
  [SMALL_STATE(5621)] = 152760,
  [SMALL_STATE(5622)] = 152840,
  [SMALL_STATE(5623)] = 152898,
  [SMALL_STATE(5624)] = 152972,
  [SMALL_STATE(5625)] = 153042,
  [SMALL_STATE(5626)] = 153136,
  [SMALL_STATE(5627)] = 153202,
  [SMALL_STATE(5628)] = 153296,
  [SMALL_STATE(5629)] = 153390,
  [SMALL_STATE(5630)] = 153448,
  [SMALL_STATE(5631)] = 153542,
  [SMALL_STATE(5632)] = 153634,
  [SMALL_STATE(5633)] = 153694,
  [SMALL_STATE(5634)] = 153762,
  [SMALL_STATE(5635)] = 153844,
  [SMALL_STATE(5636)] = 153904,
  [SMALL_STATE(5637)] = 153978,
  [SMALL_STATE(5638)] = 154052,
  [SMALL_STATE(5639)] = 154136,
  [SMALL_STATE(5640)] = 154222,
  [SMALL_STATE(5641)] = 154314,
  [SMALL_STATE(5642)] = 154378,
  [SMALL_STATE(5643)] = 154472,
  [SMALL_STATE(5644)] = 154566,
  [SMALL_STATE(5645)] = 154658,
  [SMALL_STATE(5646)] = 154750,
  [SMALL_STATE(5647)] = 154798,
  [SMALL_STATE(5648)] = 154856,
  [SMALL_STATE(5649)] = 154950,
  [SMALL_STATE(5650)] = 155010,
  [SMALL_STATE(5651)] = 155104,
  [SMALL_STATE(5652)] = 155198,
  [SMALL_STATE(5653)] = 155292,
  [SMALL_STATE(5654)] = 155384,
  [SMALL_STATE(5655)] = 155478,
  [SMALL_STATE(5656)] = 155552,
  [SMALL_STATE(5657)] = 155646,
  [SMALL_STATE(5658)] = 155734,
  [SMALL_STATE(5659)] = 155822,
  [SMALL_STATE(5660)] = 155914,
  [SMALL_STATE(5661)] = 155988,
  [SMALL_STATE(5662)] = 156076,
  [SMALL_STATE(5663)] = 156168,
  [SMALL_STATE(5664)] = 156254,
  [SMALL_STATE(5665)] = 156328,
  [SMALL_STATE(5666)] = 156402,
  [SMALL_STATE(5667)] = 156494,
  [SMALL_STATE(5668)] = 156576,
  [SMALL_STATE(5669)] = 156668,
  [SMALL_STATE(5670)] = 156742,
  [SMALL_STATE(5671)] = 156830,
  [SMALL_STATE(5672)] = 156924,
  [SMALL_STATE(5673)] = 156998,
  [SMALL_STATE(5674)] = 157072,
  [SMALL_STATE(5675)] = 157166,
  [SMALL_STATE(5676)] = 157220,
  [SMALL_STATE(5677)] = 157294,
  [SMALL_STATE(5678)] = 157388,
  [SMALL_STATE(5679)] = 157480,
  [SMALL_STATE(5680)] = 157574,
  [SMALL_STATE(5681)] = 157648,
  [SMALL_STATE(5682)] = 157730,
  [SMALL_STATE(5683)] = 157778,
  [SMALL_STATE(5684)] = 157870,
  [SMALL_STATE(5685)] = 157950,
  [SMALL_STATE(5686)] = 158026,
  [SMALL_STATE(5687)] = 158100,
  [SMALL_STATE(5688)] = 158160,
  [SMALL_STATE(5689)] = 158254,
  [SMALL_STATE(5690)] = 158304,
  [SMALL_STATE(5691)] = 158398,
  [SMALL_STATE(5692)] = 158458,
  [SMALL_STATE(5693)] = 158532,
  [SMALL_STATE(5694)] = 158626,
  [SMALL_STATE(5695)] = 158720,
  [SMALL_STATE(5696)] = 158794,
  [SMALL_STATE(5697)] = 158878,
  [SMALL_STATE(5698)] = 158972,
  [SMALL_STATE(5699)] = 159064,
  [SMALL_STATE(5700)] = 159124,
  [SMALL_STATE(5701)] = 159198,
  [SMALL_STATE(5702)] = 159290,
  [SMALL_STATE(5703)] = 159378,
  [SMALL_STATE(5704)] = 159430,
  [SMALL_STATE(5705)] = 159524,
  [SMALL_STATE(5706)] = 159584,
  [SMALL_STATE(5707)] = 159658,
  [SMALL_STATE(5708)] = 159752,
  [SMALL_STATE(5709)] = 159844,
  [SMALL_STATE(5710)] = 159938,
  [SMALL_STATE(5711)] = 159998,
  [SMALL_STATE(5712)] = 160072,
  [SMALL_STATE(5713)] = 160164,
  [SMALL_STATE(5714)] = 160240,
  [SMALL_STATE(5715)] = 160334,
  [SMALL_STATE(5716)] = 160428,
  [SMALL_STATE(5717)] = 160502,
  [SMALL_STATE(5718)] = 160576,
  [SMALL_STATE(5719)] = 160650,
  [SMALL_STATE(5720)] = 160744,
  [SMALL_STATE(5721)] = 160838,
  [SMALL_STATE(5722)] = 160912,
  [SMALL_STATE(5723)] = 160980,
  [SMALL_STATE(5724)] = 161074,
  [SMALL_STATE(5725)] = 161148,
  [SMALL_STATE(5726)] = 161222,
  [SMALL_STATE(5727)] = 161270,
  [SMALL_STATE(5728)] = 161322,
  [SMALL_STATE(5729)] = 161416,
  [SMALL_STATE(5730)] = 161508,
  [SMALL_STATE(5731)] = 161582,
  [SMALL_STATE(5732)] = 161676,
  [SMALL_STATE(5733)] = 161750,
  [SMALL_STATE(5734)] = 161844,
  [SMALL_STATE(5735)] = 161914,
  [SMALL_STATE(5736)] = 161978,
  [SMALL_STATE(5737)] = 162070,
  [SMALL_STATE(5738)] = 162144,
  [SMALL_STATE(5739)] = 162202,
  [SMALL_STATE(5740)] = 162296,
  [SMALL_STATE(5741)] = 162352,
  [SMALL_STATE(5742)] = 162430,
  [SMALL_STATE(5743)] = 162498,
  [SMALL_STATE(5744)] = 162566,
  [SMALL_STATE(5745)] = 162658,
  [SMALL_STATE(5746)] = 162752,
  [SMALL_STATE(5747)] = 162826,
  [SMALL_STATE(5748)] = 162918,
  [SMALL_STATE(5749)] = 163006,
  [SMALL_STATE(5750)] = 163098,
  [SMALL_STATE(5751)] = 163190,
  [SMALL_STATE(5752)] = 163236,
  [SMALL_STATE(5753)] = 163304,
  [SMALL_STATE(5754)] = 163382,
  [SMALL_STATE(5755)] = 163474,
  [SMALL_STATE(5756)] = 163548,
  [SMALL_STATE(5757)] = 163636,
  [SMALL_STATE(5758)] = 163710,
  [SMALL_STATE(5759)] = 163784,
  [SMALL_STATE(5760)] = 163878,
  [SMALL_STATE(5761)] = 163930,
  [SMALL_STATE(5762)] = 164024,
  [SMALL_STATE(5763)] = 164116,
  [SMALL_STATE(5764)] = 164204,
  [SMALL_STATE(5765)] = 164296,
  [SMALL_STATE(5766)] = 164384,
  [SMALL_STATE(5767)] = 164478,
  [SMALL_STATE(5768)] = 164556,
  [SMALL_STATE(5769)] = 164650,
  [SMALL_STATE(5770)] = 164728,
  [SMALL_STATE(5771)] = 164816,
  [SMALL_STATE(5772)] = 164866,
  [SMALL_STATE(5773)] = 164960,
  [SMALL_STATE(5774)] = 165054,
  [SMALL_STATE(5775)] = 165106,
  [SMALL_STATE(5776)] = 165200,
  [SMALL_STATE(5777)] = 165274,
  [SMALL_STATE(5778)] = 165340,
  [SMALL_STATE(5779)] = 165432,
  [SMALL_STATE(5780)] = 165502,
  [SMALL_STATE(5781)] = 165596,
  [SMALL_STATE(5782)] = 165670,
  [SMALL_STATE(5783)] = 165764,
  [SMALL_STATE(5784)] = 165838,
  [SMALL_STATE(5785)] = 165914,
  [SMALL_STATE(5786)] = 166006,
  [SMALL_STATE(5787)] = 166072,
  [SMALL_STATE(5788)] = 166146,
  [SMALL_STATE(5789)] = 166226,
  [SMALL_STATE(5790)] = 166294,
  [SMALL_STATE(5791)] = 166378,
  [SMALL_STATE(5792)] = 166464,
  [SMALL_STATE(5793)] = 166558,
  [SMALL_STATE(5794)] = 166630,
  [SMALL_STATE(5795)] = 166704,
  [SMALL_STATE(5796)] = 166768,
  [SMALL_STATE(5797)] = 166856,
  [SMALL_STATE(5798)] = 166950,
  [SMALL_STATE(5799)] = 167044,
  [SMALL_STATE(5800)] = 167138,
  [SMALL_STATE(5801)] = 167232,
  [SMALL_STATE(5802)] = 167324,
  [SMALL_STATE(5803)] = 167418,
  [SMALL_STATE(5804)] = 167506,
  [SMALL_STATE(5805)] = 167580,
  [SMALL_STATE(5806)] = 167674,
  [SMALL_STATE(5807)] = 167765,
  [SMALL_STATE(5808)] = 167856,
  [SMALL_STATE(5809)] = 167947,
  [SMALL_STATE(5810)] = 168038,
  [SMALL_STATE(5811)] = 168129,
  [SMALL_STATE(5812)] = 168220,
  [SMALL_STATE(5813)] = 168311,
  [SMALL_STATE(5814)] = 168402,
  [SMALL_STATE(5815)] = 168493,
  [SMALL_STATE(5816)] = 168584,
  [SMALL_STATE(5817)] = 168675,
  [SMALL_STATE(5818)] = 168758,
  [SMALL_STATE(5819)] = 168849,
  [SMALL_STATE(5820)] = 168940,
  [SMALL_STATE(5821)] = 169031,
  [SMALL_STATE(5822)] = 169122,
  [SMALL_STATE(5823)] = 169213,
  [SMALL_STATE(5824)] = 169304,
  [SMALL_STATE(5825)] = 169395,
  [SMALL_STATE(5826)] = 169478,
  [SMALL_STATE(5827)] = 169569,
  [SMALL_STATE(5828)] = 169660,
  [SMALL_STATE(5829)] = 169741,
  [SMALL_STATE(5830)] = 169832,
  [SMALL_STATE(5831)] = 169923,
  [SMALL_STATE(5832)] = 170014,
  [SMALL_STATE(5833)] = 170105,
  [SMALL_STATE(5834)] = 170196,
  [SMALL_STATE(5835)] = 170287,
  [SMALL_STATE(5836)] = 170378,
  [SMALL_STATE(5837)] = 170469,
  [SMALL_STATE(5838)] = 170560,
  [SMALL_STATE(5839)] = 170651,
  [SMALL_STATE(5840)] = 170742,
  [SMALL_STATE(5841)] = 170833,
  [SMALL_STATE(5842)] = 170924,
  [SMALL_STATE(5843)] = 170971,
  [SMALL_STATE(5844)] = 171052,
  [SMALL_STATE(5845)] = 171143,
  [SMALL_STATE(5846)] = 171190,
  [SMALL_STATE(5847)] = 171281,
  [SMALL_STATE(5848)] = 171372,
  [SMALL_STATE(5849)] = 171463,
  [SMALL_STATE(5850)] = 171554,
  [SMALL_STATE(5851)] = 171645,
  [SMALL_STATE(5852)] = 171694,
  [SMALL_STATE(5853)] = 171743,
  [SMALL_STATE(5854)] = 171834,
  [SMALL_STATE(5855)] = 171925,
  [SMALL_STATE(5856)] = 172016,
  [SMALL_STATE(5857)] = 172107,
  [SMALL_STATE(5858)] = 172198,
  [SMALL_STATE(5859)] = 172289,
  [SMALL_STATE(5860)] = 172380,
  [SMALL_STATE(5861)] = 172429,
  [SMALL_STATE(5862)] = 172520,
  [SMALL_STATE(5863)] = 172593,
  [SMALL_STATE(5864)] = 172684,
  [SMALL_STATE(5865)] = 172757,
  [SMALL_STATE(5866)] = 172808,
  [SMALL_STATE(5867)] = 172899,
  [SMALL_STATE(5868)] = 172990,
  [SMALL_STATE(5869)] = 173081,
  [SMALL_STATE(5870)] = 173172,
  [SMALL_STATE(5871)] = 173263,
  [SMALL_STATE(5872)] = 173354,
  [SMALL_STATE(5873)] = 173445,
  [SMALL_STATE(5874)] = 173536,
  [SMALL_STATE(5875)] = 173627,
  [SMALL_STATE(5876)] = 173718,
  [SMALL_STATE(5877)] = 173809,
  [SMALL_STATE(5878)] = 173900,
  [SMALL_STATE(5879)] = 173949,
  [SMALL_STATE(5880)] = 174000,
  [SMALL_STATE(5881)] = 174045,
  [SMALL_STATE(5882)] = 174136,
  [SMALL_STATE(5883)] = 174185,
  [SMALL_STATE(5884)] = 174276,
  [SMALL_STATE(5885)] = 174367,
  [SMALL_STATE(5886)] = 174458,
  [SMALL_STATE(5887)] = 174549,
  [SMALL_STATE(5888)] = 174640,
  [SMALL_STATE(5889)] = 174723,
  [SMALL_STATE(5890)] = 174772,
  [SMALL_STATE(5891)] = 174863,
  [SMALL_STATE(5892)] = 174954,
  [SMALL_STATE(5893)] = 175045,
  [SMALL_STATE(5894)] = 175126,
  [SMALL_STATE(5895)] = 175217,
  [SMALL_STATE(5896)] = 175268,
  [SMALL_STATE(5897)] = 175359,
  [SMALL_STATE(5898)] = 175450,
  [SMALL_STATE(5899)] = 175541,
  [SMALL_STATE(5900)] = 175632,
  [SMALL_STATE(5901)] = 175713,
  [SMALL_STATE(5902)] = 175804,
  [SMALL_STATE(5903)] = 175895,
  [SMALL_STATE(5904)] = 175986,
  [SMALL_STATE(5905)] = 176077,
  [SMALL_STATE(5906)] = 176168,
  [SMALL_STATE(5907)] = 176249,
  [SMALL_STATE(5908)] = 176340,
  [SMALL_STATE(5909)] = 176431,
  [SMALL_STATE(5910)] = 176522,
  [SMALL_STATE(5911)] = 176613,
  [SMALL_STATE(5912)] = 176658,
  [SMALL_STATE(5913)] = 176739,
  [SMALL_STATE(5914)] = 176830,
  [SMALL_STATE(5915)] = 176921,
  [SMALL_STATE(5916)] = 177012,
  [SMALL_STATE(5917)] = 177103,
  [SMALL_STATE(5918)] = 177194,
  [SMALL_STATE(5919)] = 177285,
  [SMALL_STATE(5920)] = 177376,
  [SMALL_STATE(5921)] = 177449,
  [SMALL_STATE(5922)] = 177540,
  [SMALL_STATE(5923)] = 177631,
  [SMALL_STATE(5924)] = 177704,
  [SMALL_STATE(5925)] = 177795,
  [SMALL_STATE(5926)] = 177886,
  [SMALL_STATE(5927)] = 177977,
  [SMALL_STATE(5928)] = 178068,
  [SMALL_STATE(5929)] = 178159,
  [SMALL_STATE(5930)] = 178250,
  [SMALL_STATE(5931)] = 178301,
  [SMALL_STATE(5932)] = 178350,
  [SMALL_STATE(5933)] = 178441,
  [SMALL_STATE(5934)] = 178532,
  [SMALL_STATE(5935)] = 178613,
  [SMALL_STATE(5936)] = 178704,
  [SMALL_STATE(5937)] = 178785,
  [SMALL_STATE(5938)] = 178876,
  [SMALL_STATE(5939)] = 178967,
  [SMALL_STATE(5940)] = 179012,
  [SMALL_STATE(5941)] = 179061,
  [SMALL_STATE(5942)] = 179152,
  [SMALL_STATE(5943)] = 179233,
  [SMALL_STATE(5944)] = 179324,
  [SMALL_STATE(5945)] = 179415,
  [SMALL_STATE(5946)] = 179506,
  [SMALL_STATE(5947)] = 179597,
  [SMALL_STATE(5948)] = 179688,
  [SMALL_STATE(5949)] = 179779,
  [SMALL_STATE(5950)] = 179870,
  [SMALL_STATE(5951)] = 179961,
  [SMALL_STATE(5952)] = 180052,
  [SMALL_STATE(5953)] = 180143,
  [SMALL_STATE(5954)] = 180234,
  [SMALL_STATE(5955)] = 180282,
  [SMALL_STATE(5956)] = 180328,
  [SMALL_STATE(5957)] = 180406,
  [SMALL_STATE(5958)] = 180456,
  [SMALL_STATE(5959)] = 180528,
  [SMALL_STATE(5960)] = 180572,
  [SMALL_STATE(5961)] = 180616,
  [SMALL_STATE(5962)] = 180660,
  [SMALL_STATE(5963)] = 180704,
  [SMALL_STATE(5964)] = 180780,
  [SMALL_STATE(5965)] = 180824,
  [SMALL_STATE(5966)] = 180878,
  [SMALL_STATE(5967)] = 180922,
  [SMALL_STATE(5968)] = 181000,
  [SMALL_STATE(5969)] = 181044,
  [SMALL_STATE(5970)] = 181104,
  [SMALL_STATE(5971)] = 181148,
  [SMALL_STATE(5972)] = 181192,
  [SMALL_STATE(5973)] = 181236,
  [SMALL_STATE(5974)] = 181302,
  [SMALL_STATE(5975)] = 181380,
  [SMALL_STATE(5976)] = 181424,
  [SMALL_STATE(5977)] = 181472,
  [SMALL_STATE(5978)] = 181516,
  [SMALL_STATE(5979)] = 181594,
  [SMALL_STATE(5980)] = 181638,
  [SMALL_STATE(5981)] = 181682,
  [SMALL_STATE(5982)] = 181748,
  [SMALL_STATE(5983)] = 181792,
  [SMALL_STATE(5984)] = 181836,
  [SMALL_STATE(5985)] = 181880,
  [SMALL_STATE(5986)] = 181946,
  [SMALL_STATE(5987)] = 181990,
  [SMALL_STATE(5988)] = 182034,
  [SMALL_STATE(5989)] = 182078,
  [SMALL_STATE(5990)] = 182122,
  [SMALL_STATE(5991)] = 182200,
  [SMALL_STATE(5992)] = 182244,
  [SMALL_STATE(5993)] = 182288,
  [SMALL_STATE(5994)] = 182360,
  [SMALL_STATE(5995)] = 182404,
  [SMALL_STATE(5996)] = 182448,
  [SMALL_STATE(5997)] = 182492,
  [SMALL_STATE(5998)] = 182570,
  [SMALL_STATE(5999)] = 182614,
  [SMALL_STATE(6000)] = 182686,
  [SMALL_STATE(6001)] = 182764,
  [SMALL_STATE(6002)] = 182808,
  [SMALL_STATE(6003)] = 182852,
  [SMALL_STATE(6004)] = 182906,
  [SMALL_STATE(6005)] = 182950,
  [SMALL_STATE(6006)] = 183028,
  [SMALL_STATE(6007)] = 183100,
  [SMALL_STATE(6008)] = 183166,
  [SMALL_STATE(6009)] = 183244,
  [SMALL_STATE(6010)] = 183322,
  [SMALL_STATE(6011)] = 183400,
  [SMALL_STATE(6012)] = 183476,
  [SMALL_STATE(6013)] = 183554,
  [SMALL_STATE(6014)] = 183632,
  [SMALL_STATE(6015)] = 183710,
  [SMALL_STATE(6016)] = 183760,
  [SMALL_STATE(6017)] = 183808,
  [SMALL_STATE(6018)] = 183858,
  [SMALL_STATE(6019)] = 183936,
  [SMALL_STATE(6020)] = 183980,
  [SMALL_STATE(6021)] = 184058,
  [SMALL_STATE(6022)] = 184106,
  [SMALL_STATE(6023)] = 184184,
  [SMALL_STATE(6024)] = 184262,
  [SMALL_STATE(6025)] = 184306,
  [SMALL_STATE(6026)] = 184350,
  [SMALL_STATE(6027)] = 184400,
  [SMALL_STATE(6028)] = 184472,
  [SMALL_STATE(6029)] = 184516,
  [SMALL_STATE(6030)] = 184564,
  [SMALL_STATE(6031)] = 184642,
  [SMALL_STATE(6032)] = 184720,
  [SMALL_STATE(6033)] = 184768,
  [SMALL_STATE(6034)] = 184822,
  [SMALL_STATE(6035)] = 184900,
  [SMALL_STATE(6036)] = 184978,
  [SMALL_STATE(6037)] = 185056,
  [SMALL_STATE(6038)] = 185134,
  [SMALL_STATE(6039)] = 185178,
  [SMALL_STATE(6040)] = 185226,
  [SMALL_STATE(6041)] = 185274,
  [SMALL_STATE(6042)] = 185322,
  [SMALL_STATE(6043)] = 185400,
  [SMALL_STATE(6044)] = 185448,
  [SMALL_STATE(6045)] = 185520,
  [SMALL_STATE(6046)] = 185564,
  [SMALL_STATE(6047)] = 185608,
  [SMALL_STATE(6048)] = 185652,
  [SMALL_STATE(6049)] = 185740,
  [SMALL_STATE(6050)] = 185818,
  [SMALL_STATE(6051)] = 185872,
  [SMALL_STATE(6052)] = 185950,
  [SMALL_STATE(6053)] = 185994,
  [SMALL_STATE(6054)] = 186072,
  [SMALL_STATE(6055)] = 186119,
  [SMALL_STATE(6056)] = 186184,
  [SMALL_STATE(6057)] = 186227,
  [SMALL_STATE(6058)] = 186272,
  [SMALL_STATE(6059)] = 186315,
  [SMALL_STATE(6060)] = 186358,
  [SMALL_STATE(6061)] = 186413,
  [SMALL_STATE(6062)] = 186484,
  [SMALL_STATE(6063)] = 186527,
  [SMALL_STATE(6064)] = 186570,
  [SMALL_STATE(6065)] = 186613,
  [SMALL_STATE(6066)] = 186656,
  [SMALL_STATE(6067)] = 186707,
  [SMALL_STATE(6068)] = 186762,
  [SMALL_STATE(6069)] = 186815,
  [SMALL_STATE(6070)] = 186858,
  [SMALL_STATE(6071)] = 186901,
  [SMALL_STATE(6072)] = 186944,
  [SMALL_STATE(6073)] = 187025,
  [SMALL_STATE(6074)] = 187106,
  [SMALL_STATE(6075)] = 187149,
  [SMALL_STATE(6076)] = 187220,
  [SMALL_STATE(6077)] = 187279,
  [SMALL_STATE(6078)] = 187322,
  [SMALL_STATE(6079)] = 187365,
  [SMALL_STATE(6080)] = 187410,
  [SMALL_STATE(6081)] = 187455,
  [SMALL_STATE(6082)] = 187500,
  [SMALL_STATE(6083)] = 187565,
  [SMALL_STATE(6084)] = 187630,
  [SMALL_STATE(6085)] = 187695,
  [SMALL_STATE(6086)] = 187769,
  [SMALL_STATE(6087)] = 187843,
  [SMALL_STATE(6088)] = 187897,
  [SMALL_STATE(6089)] = 187949,
  [SMALL_STATE(6090)] = 188013,
  [SMALL_STATE(6091)] = 188093,
  [SMALL_STATE(6092)] = 188173,
  [SMALL_STATE(6093)] = 188221,
  [SMALL_STATE(6094)] = 188285,
  [SMALL_STATE(6095)] = 188349,
  [SMALL_STATE(6096)] = 188391,
  [SMALL_STATE(6097)] = 188441,
  [SMALL_STATE(6098)] = 188521,
  [SMALL_STATE(6099)] = 188585,
  [SMALL_STATE(6100)] = 188649,
  [SMALL_STATE(6101)] = 188713,
  [SMALL_STATE(6102)] = 188777,
  [SMALL_STATE(6103)] = 188841,
  [SMALL_STATE(6104)] = 188925,
  [SMALL_STATE(6105)] = 188975,
  [SMALL_STATE(6106)] = 189049,
  [SMALL_STATE(6107)] = 189129,
  [SMALL_STATE(6108)] = 189183,
  [SMALL_STATE(6109)] = 189257,
  [SMALL_STATE(6110)] = 189305,
  [SMALL_STATE(6111)] = 189368,
  [SMALL_STATE(6112)] = 189413,
  [SMALL_STATE(6113)] = 189458,
  [SMALL_STATE(6114)] = 189527,
  [SMALL_STATE(6115)] = 189574,
  [SMALL_STATE(6116)] = 189643,
  [SMALL_STATE(6117)] = 189722,
  [SMALL_STATE(6118)] = 189791,
  [SMALL_STATE(6119)] = 189836,
  [SMALL_STATE(6120)] = 189881,
  [SMALL_STATE(6121)] = 189944,
  [SMALL_STATE(6122)] = 189989,
  [SMALL_STATE(6123)] = 190052,
  [SMALL_STATE(6124)] = 190097,
  [SMALL_STATE(6125)] = 190176,
  [SMALL_STATE(6126)] = 190221,
  [SMALL_STATE(6127)] = 190310,
  [SMALL_STATE(6128)] = 190373,
  [SMALL_STATE(6129)] = 190418,
  [SMALL_STATE(6130)] = 190497,
  [SMALL_STATE(6131)] = 190560,
  [SMALL_STATE(6132)] = 190629,
  [SMALL_STATE(6133)] = 190674,
  [SMALL_STATE(6134)] = 190719,
  [SMALL_STATE(6135)] = 190798,
  [SMALL_STATE(6136)] = 190861,
  [SMALL_STATE(6137)] = 190910,
  [SMALL_STATE(6138)] = 190955,
  [SMALL_STATE(6139)] = 191006,
  [SMALL_STATE(6140)] = 191055,
  [SMALL_STATE(6141)] = 191100,
  [SMALL_STATE(6142)] = 191163,
  [SMALL_STATE(6143)] = 191226,
  [SMALL_STATE(6144)] = 191289,
  [SMALL_STATE(6145)] = 191352,
  [SMALL_STATE(6146)] = 191397,
  [SMALL_STATE(6147)] = 191460,
  [SMALL_STATE(6148)] = 191505,
  [SMALL_STATE(6149)] = 191568,
  [SMALL_STATE(6150)] = 191613,
  [SMALL_STATE(6151)] = 191658,
  [SMALL_STATE(6152)] = 191703,
  [SMALL_STATE(6153)] = 191748,
  [SMALL_STATE(6154)] = 191805,
  [SMALL_STATE(6155)] = 191850,
  [SMALL_STATE(6156)] = 191930,
  [SMALL_STATE(6157)] = 191970,
  [SMALL_STATE(6158)] = 192050,
  [SMALL_STATE(6159)] = 192090,
  [SMALL_STATE(6160)] = 192130,
  [SMALL_STATE(6161)] = 192210,
  [SMALL_STATE(6162)] = 192250,
  [SMALL_STATE(6163)] = 192290,
  [SMALL_STATE(6164)] = 192368,
  [SMALL_STATE(6165)] = 192408,
  [SMALL_STATE(6166)] = 192488,
  [SMALL_STATE(6167)] = 192568,
  [SMALL_STATE(6168)] = 192608,
  [SMALL_STATE(6169)] = 192688,
  [SMALL_STATE(6170)] = 192768,
  [SMALL_STATE(6171)] = 192846,
  [SMALL_STATE(6172)] = 192886,
  [SMALL_STATE(6173)] = 192958,
  [SMALL_STATE(6174)] = 192998,
  [SMALL_STATE(6175)] = 193038,
  [SMALL_STATE(6176)] = 193116,
  [SMALL_STATE(6177)] = 193156,
  [SMALL_STATE(6178)] = 193196,
  [SMALL_STATE(6179)] = 193258,
  [SMALL_STATE(6180)] = 193336,
  [SMALL_STATE(6181)] = 193408,
  [SMALL_STATE(6182)] = 193488,
  [SMALL_STATE(6183)] = 193568,
  [SMALL_STATE(6184)] = 193648,
  [SMALL_STATE(6185)] = 193688,
  [SMALL_STATE(6186)] = 193768,
  [SMALL_STATE(6187)] = 193808,
  [SMALL_STATE(6188)] = 193848,
  [SMALL_STATE(6189)] = 193910,
  [SMALL_STATE(6190)] = 193950,
  [SMALL_STATE(6191)] = 194030,
  [SMALL_STATE(6192)] = 194110,
  [SMALL_STATE(6193)] = 194190,
  [SMALL_STATE(6194)] = 194270,
  [SMALL_STATE(6195)] = 194350,
  [SMALL_STATE(6196)] = 194390,
  [SMALL_STATE(6197)] = 194470,
  [SMALL_STATE(6198)] = 194510,
  [SMALL_STATE(6199)] = 194560,
  [SMALL_STATE(6200)] = 194640,
  [SMALL_STATE(6201)] = 194680,
  [SMALL_STATE(6202)] = 194760,
  [SMALL_STATE(6203)] = 194800,
  [SMALL_STATE(6204)] = 194880,
  [SMALL_STATE(6205)] = 194952,
  [SMALL_STATE(6206)] = 195032,
  [SMALL_STATE(6207)] = 195072,
  [SMALL_STATE(6208)] = 195150,
  [SMALL_STATE(6209)] = 195230,
  [SMALL_STATE(6210)] = 195270,
  [SMALL_STATE(6211)] = 195314,
  [SMALL_STATE(6212)] = 195358,
  [SMALL_STATE(6213)] = 195398,
  [SMALL_STATE(6214)] = 195438,
  [SMALL_STATE(6215)] = 195478,
  [SMALL_STATE(6216)] = 195540,
  [SMALL_STATE(6217)] = 195592,
  [SMALL_STATE(6218)] = 195644,
  [SMALL_STATE(6219)] = 195684,
  [SMALL_STATE(6220)] = 195728,
  [SMALL_STATE(6221)] = 195772,
  [SMALL_STATE(6222)] = 195812,
  [SMALL_STATE(6223)] = 195856,
  [SMALL_STATE(6224)] = 195896,
  [SMALL_STATE(6225)] = 195940,
  [SMALL_STATE(6226)] = 195984,
  [SMALL_STATE(6227)] = 196062,
  [SMALL_STATE(6228)] = 196104,
  [SMALL_STATE(6229)] = 196144,
  [SMALL_STATE(6230)] = 196184,
  [SMALL_STATE(6231)] = 196224,
  [SMALL_STATE(6232)] = 196296,
  [SMALL_STATE(6233)] = 196336,
  [SMALL_STATE(6234)] = 196380,
  [SMALL_STATE(6235)] = 196442,
  [SMALL_STATE(6236)] = 196482,
  [SMALL_STATE(6237)] = 196526,
  [SMALL_STATE(6238)] = 196566,
  [SMALL_STATE(6239)] = 196610,
  [SMALL_STATE(6240)] = 196654,
  [SMALL_STATE(6241)] = 196694,
  [SMALL_STATE(6242)] = 196734,
  [SMALL_STATE(6243)] = 196774,
  [SMALL_STATE(6244)] = 196814,
  [SMALL_STATE(6245)] = 196870,
  [SMALL_STATE(6246)] = 196914,
  [SMALL_STATE(6247)] = 196958,
  [SMALL_STATE(6248)] = 197001,
  [SMALL_STATE(6249)] = 197044,
  [SMALL_STATE(6250)] = 197083,
  [SMALL_STATE(6251)] = 197134,
  [SMALL_STATE(6252)] = 197173,
  [SMALL_STATE(6253)] = 197234,
  [SMALL_STATE(6254)] = 197273,
  [SMALL_STATE(6255)] = 197324,
  [SMALL_STATE(6256)] = 197385,
  [SMALL_STATE(6257)] = 197424,
  [SMALL_STATE(6258)] = 197495,
  [SMALL_STATE(6259)] = 197566,
  [SMALL_STATE(6260)] = 197637,
  [SMALL_STATE(6261)] = 197676,
  [SMALL_STATE(6262)] = 197721,
  [SMALL_STATE(6263)] = 197792,
  [SMALL_STATE(6264)] = 197831,
  [SMALL_STATE(6265)] = 197870,
  [SMALL_STATE(6266)] = 197941,
  [SMALL_STATE(6267)] = 198012,
  [SMALL_STATE(6268)] = 198073,
  [SMALL_STATE(6269)] = 198144,
  [SMALL_STATE(6270)] = 198205,
  [SMALL_STATE(6271)] = 198256,
  [SMALL_STATE(6272)] = 198327,
  [SMALL_STATE(6273)] = 198388,
  [SMALL_STATE(6274)] = 198455,
  [SMALL_STATE(6275)] = 198516,
  [SMALL_STATE(6276)] = 198567,
  [SMALL_STATE(6277)] = 198628,
  [SMALL_STATE(6278)] = 198669,
  [SMALL_STATE(6279)] = 198736,
  [SMALL_STATE(6280)] = 198797,
  [SMALL_STATE(6281)] = 198871,
  [SMALL_STATE(6282)] = 198941,
  [SMALL_STATE(6283)] = 199017,
  [SMALL_STATE(6284)] = 199091,
  [SMALL_STATE(6285)] = 199165,
  [SMALL_STATE(6286)] = 199239,
  [SMALL_STATE(6287)] = 199309,
  [SMALL_STATE(6288)] = 199367,
  [SMALL_STATE(6289)] = 199441,
  [SMALL_STATE(6290)] = 199499,
  [SMALL_STATE(6291)] = 199569,
  [SMALL_STATE(6292)] = 199639,
  [SMALL_STATE(6293)] = 199713,
  [SMALL_STATE(6294)] = 199787,
  [SMALL_STATE(6295)] = 199861,
  [SMALL_STATE(6296)] = 199935,
  [SMALL_STATE(6297)] = 199979,
  [SMALL_STATE(6298)] = 200049,
  [SMALL_STATE(6299)] = 200123,
  [SMALL_STATE(6300)] = 200193,
  [SMALL_STATE(6301)] = 200231,
  [SMALL_STATE(6302)] = 200269,
  [SMALL_STATE(6303)] = 200327,
  [SMALL_STATE(6304)] = 200401,
  [SMALL_STATE(6305)] = 200475,
  [SMALL_STATE(6306)] = 200549,
  [SMALL_STATE(6307)] = 200623,
  [SMALL_STATE(6308)] = 200681,
  [SMALL_STATE(6309)] = 200739,
  [SMALL_STATE(6310)] = 200813,
  [SMALL_STATE(6311)] = 200871,
  [SMALL_STATE(6312)] = 200945,
  [SMALL_STATE(6313)] = 200995,
  [SMALL_STATE(6314)] = 201069,
  [SMALL_STATE(6315)] = 201139,
  [SMALL_STATE(6316)] = 201213,
  [SMALL_STATE(6317)] = 201271,
  [SMALL_STATE(6318)] = 201329,
  [SMALL_STATE(6319)] = 201387,
  [SMALL_STATE(6320)] = 201461,
  [SMALL_STATE(6321)] = 201519,
  [SMALL_STATE(6322)] = 201577,
  [SMALL_STATE(6323)] = 201651,
  [SMALL_STATE(6324)] = 201709,
  [SMALL_STATE(6325)] = 201783,
  [SMALL_STATE(6326)] = 201857,
  [SMALL_STATE(6327)] = 201931,
  [SMALL_STATE(6328)] = 202005,
  [SMALL_STATE(6329)] = 202079,
  [SMALL_STATE(6330)] = 202137,
  [SMALL_STATE(6331)] = 202211,
  [SMALL_STATE(6332)] = 202281,
  [SMALL_STATE(6333)] = 202351,
  [SMALL_STATE(6334)] = 202421,
  [SMALL_STATE(6335)] = 202495,
  [SMALL_STATE(6336)] = 202569,
  [SMALL_STATE(6337)] = 202629,
  [SMALL_STATE(6338)] = 202699,
  [SMALL_STATE(6339)] = 202773,
  [SMALL_STATE(6340)] = 202847,
  [SMALL_STATE(6341)] = 202921,
  [SMALL_STATE(6342)] = 202979,
  [SMALL_STATE(6343)] = 203055,
  [SMALL_STATE(6344)] = 203113,
  [SMALL_STATE(6345)] = 203187,
  [SMALL_STATE(6346)] = 203257,
  [SMALL_STATE(6347)] = 203315,
  [SMALL_STATE(6348)] = 203373,
  [SMALL_STATE(6349)] = 203443,
  [SMALL_STATE(6350)] = 203517,
  [SMALL_STATE(6351)] = 203575,
  [SMALL_STATE(6352)] = 203613,
  [SMALL_STATE(6353)] = 203671,
  [SMALL_STATE(6354)] = 203709,
  [SMALL_STATE(6355)] = 203747,
  [SMALL_STATE(6356)] = 203805,
  [SMALL_STATE(6357)] = 203843,
  [SMALL_STATE(6358)] = 203903,
  [SMALL_STATE(6359)] = 203963,
  [SMALL_STATE(6360)] = 204037,
  [SMALL_STATE(6361)] = 204095,
  [SMALL_STATE(6362)] = 204169,
  [SMALL_STATE(6363)] = 204243,
  [SMALL_STATE(6364)] = 204317,
  [SMALL_STATE(6365)] = 204355,
  [SMALL_STATE(6366)] = 204415,
  [SMALL_STATE(6367)] = 204473,
  [SMALL_STATE(6368)] = 204511,
  [SMALL_STATE(6369)] = 204569,
  [SMALL_STATE(6370)] = 204629,
  [SMALL_STATE(6371)] = 204687,
  [SMALL_STATE(6372)] = 204725,
  [SMALL_STATE(6373)] = 204775,
  [SMALL_STATE(6374)] = 204813,
  [SMALL_STATE(6375)] = 204851,
  [SMALL_STATE(6376)] = 204889,
  [SMALL_STATE(6377)] = 204927,
  [SMALL_STATE(6378)] = 204965,
  [SMALL_STATE(6379)] = 205003,
  [SMALL_STATE(6380)] = 205041,
  [SMALL_STATE(6381)] = 205115,
  [SMALL_STATE(6382)] = 205153,
  [SMALL_STATE(6383)] = 205191,
  [SMALL_STATE(6384)] = 205265,
  [SMALL_STATE(6385)] = 205315,
  [SMALL_STATE(6386)] = 205353,
  [SMALL_STATE(6387)] = 205413,
  [SMALL_STATE(6388)] = 205451,
  [SMALL_STATE(6389)] = 205511,
  [SMALL_STATE(6390)] = 205581,
  [SMALL_STATE(6391)] = 205655,
  [SMALL_STATE(6392)] = 205693,
  [SMALL_STATE(6393)] = 205739,
  [SMALL_STATE(6394)] = 205777,
  [SMALL_STATE(6395)] = 205815,
  [SMALL_STATE(6396)] = 205853,
  [SMALL_STATE(6397)] = 205891,
  [SMALL_STATE(6398)] = 205965,
  [SMALL_STATE(6399)] = 206039,
  [SMALL_STATE(6400)] = 206077,
  [SMALL_STATE(6401)] = 206115,
  [SMALL_STATE(6402)] = 206153,
  [SMALL_STATE(6403)] = 206191,
  [SMALL_STATE(6404)] = 206229,
  [SMALL_STATE(6405)] = 206303,
  [SMALL_STATE(6406)] = 206341,
  [SMALL_STATE(6407)] = 206379,
  [SMALL_STATE(6408)] = 206449,
  [SMALL_STATE(6409)] = 206487,
  [SMALL_STATE(6410)] = 206525,
  [SMALL_STATE(6411)] = 206599,
  [SMALL_STATE(6412)] = 206637,
  [SMALL_STATE(6413)] = 206683,
  [SMALL_STATE(6414)] = 206743,
  [SMALL_STATE(6415)] = 206813,
  [SMALL_STATE(6416)] = 206887,
  [SMALL_STATE(6417)] = 206957,
  [SMALL_STATE(6418)] = 207027,
  [SMALL_STATE(6419)] = 207101,
  [SMALL_STATE(6420)] = 207180,
  [SMALL_STATE(6421)] = 207249,
  [SMALL_STATE(6422)] = 207328,
  [SMALL_STATE(6423)] = 207407,
  [SMALL_STATE(6424)] = 207486,
  [SMALL_STATE(6425)] = 207565,
  [SMALL_STATE(6426)] = 207644,
  [SMALL_STATE(6427)] = 207689,
  [SMALL_STATE(6428)] = 207768,
  [SMALL_STATE(6429)] = 207837,
  [SMALL_STATE(6430)] = 207916,
  [SMALL_STATE(6431)] = 207983,
  [SMALL_STATE(6432)] = 208062,
  [SMALL_STATE(6433)] = 208141,
  [SMALL_STATE(6434)] = 208220,
  [SMALL_STATE(6435)] = 208287,
  [SMALL_STATE(6436)] = 208366,
  [SMALL_STATE(6437)] = 208433,
  [SMALL_STATE(6438)] = 208500,
  [SMALL_STATE(6439)] = 208567,
  [SMALL_STATE(6440)] = 208646,
  [SMALL_STATE(6441)] = 208725,
  [SMALL_STATE(6442)] = 208804,
  [SMALL_STATE(6443)] = 208871,
  [SMALL_STATE(6444)] = 208940,
  [SMALL_STATE(6445)] = 209007,
  [SMALL_STATE(6446)] = 209086,
  [SMALL_STATE(6447)] = 209165,
  [SMALL_STATE(6448)] = 209244,
  [SMALL_STATE(6449)] = 209313,
  [SMALL_STATE(6450)] = 209392,
  [SMALL_STATE(6451)] = 209471,
  [SMALL_STATE(6452)] = 209550,
  [SMALL_STATE(6453)] = 209617,
  [SMALL_STATE(6454)] = 209696,
  [SMALL_STATE(6455)] = 209775,
  [SMALL_STATE(6456)] = 209842,
  [SMALL_STATE(6457)] = 209921,
  [SMALL_STATE(6458)] = 209988,
  [SMALL_STATE(6459)] = 210067,
  [SMALL_STATE(6460)] = 210134,
  [SMALL_STATE(6461)] = 210201,
  [SMALL_STATE(6462)] = 210280,
  [SMALL_STATE(6463)] = 210347,
  [SMALL_STATE(6464)] = 210426,
  [SMALL_STATE(6465)] = 210505,
  [SMALL_STATE(6466)] = 210572,
  [SMALL_STATE(6467)] = 210651,
  [SMALL_STATE(6468)] = 210718,
  [SMALL_STATE(6469)] = 210797,
  [SMALL_STATE(6470)] = 210864,
  [SMALL_STATE(6471)] = 210931,
  [SMALL_STATE(6472)] = 211000,
  [SMALL_STATE(6473)] = 211067,
  [SMALL_STATE(6474)] = 211146,
  [SMALL_STATE(6475)] = 211225,
  [SMALL_STATE(6476)] = 211304,
  [SMALL_STATE(6477)] = 211367,
  [SMALL_STATE(6478)] = 211446,
  [SMALL_STATE(6479)] = 211515,
  [SMALL_STATE(6480)] = 211594,
  [SMALL_STATE(6481)] = 211673,
  [SMALL_STATE(6482)] = 211752,
  [SMALL_STATE(6483)] = 211819,
  [SMALL_STATE(6484)] = 211886,
  [SMALL_STATE(6485)] = 211953,
  [SMALL_STATE(6486)] = 212032,
  [SMALL_STATE(6487)] = 212111,
  [SMALL_STATE(6488)] = 212190,
  [SMALL_STATE(6489)] = 212269,
  [SMALL_STATE(6490)] = 212348,
  [SMALL_STATE(6491)] = 212427,
  [SMALL_STATE(6492)] = 212506,
  [SMALL_STATE(6493)] = 212573,
  [SMALL_STATE(6494)] = 212640,
  [SMALL_STATE(6495)] = 212719,
  [SMALL_STATE(6496)] = 212782,
  [SMALL_STATE(6497)] = 212861,
  [SMALL_STATE(6498)] = 212940,
  [SMALL_STATE(6499)] = 213007,
  [SMALL_STATE(6500)] = 213086,
  [SMALL_STATE(6501)] = 213153,
  [SMALL_STATE(6502)] = 213220,
  [SMALL_STATE(6503)] = 213287,
  [SMALL_STATE(6504)] = 213366,
  [SMALL_STATE(6505)] = 213445,
  [SMALL_STATE(6506)] = 213514,
  [SMALL_STATE(6507)] = 213581,
  [SMALL_STATE(6508)] = 213660,
  [SMALL_STATE(6509)] = 213727,
  [SMALL_STATE(6510)] = 213806,
  [SMALL_STATE(6511)] = 213885,
  [SMALL_STATE(6512)] = 213964,
  [SMALL_STATE(6513)] = 214031,
  [SMALL_STATE(6514)] = 214110,
  [SMALL_STATE(6515)] = 214177,
  [SMALL_STATE(6516)] = 214240,
  [SMALL_STATE(6517)] = 214307,
  [SMALL_STATE(6518)] = 214386,
  [SMALL_STATE(6519)] = 214453,
  [SMALL_STATE(6520)] = 214532,
  [SMALL_STATE(6521)] = 214599,
  [SMALL_STATE(6522)] = 214678,
  [SMALL_STATE(6523)] = 214727,
  [SMALL_STATE(6524)] = 214796,
  [SMALL_STATE(6525)] = 214863,
  [SMALL_STATE(6526)] = 214930,
  [SMALL_STATE(6527)] = 215009,
  [SMALL_STATE(6528)] = 215078,
  [SMALL_STATE(6529)] = 215157,
  [SMALL_STATE(6530)] = 215220,
  [SMALL_STATE(6531)] = 215287,
  [SMALL_STATE(6532)] = 215366,
  [SMALL_STATE(6533)] = 215433,
  [SMALL_STATE(6534)] = 215512,
  [SMALL_STATE(6535)] = 215591,
  [SMALL_STATE(6536)] = 215670,
  [SMALL_STATE(6537)] = 215737,
  [SMALL_STATE(6538)] = 215800,
  [SMALL_STATE(6539)] = 215879,
  [SMALL_STATE(6540)] = 215946,
  [SMALL_STATE(6541)] = 216025,
  [SMALL_STATE(6542)] = 216104,
  [SMALL_STATE(6543)] = 216171,
  [SMALL_STATE(6544)] = 216250,
  [SMALL_STATE(6545)] = 216329,
  [SMALL_STATE(6546)] = 216396,
  [SMALL_STATE(6547)] = 216475,
  [SMALL_STATE(6548)] = 216542,
  [SMALL_STATE(6549)] = 216621,
  [SMALL_STATE(6550)] = 216700,
  [SMALL_STATE(6551)] = 216767,
  [SMALL_STATE(6552)] = 216846,
  [SMALL_STATE(6553)] = 216913,
  [SMALL_STATE(6554)] = 216992,
  [SMALL_STATE(6555)] = 217071,
  [SMALL_STATE(6556)] = 217150,
  [SMALL_STATE(6557)] = 217229,
  [SMALL_STATE(6558)] = 217308,
  [SMALL_STATE(6559)] = 217387,
  [SMALL_STATE(6560)] = 217456,
  [SMALL_STATE(6561)] = 217523,
  [SMALL_STATE(6562)] = 217590,
  [SMALL_STATE(6563)] = 217669,
  [SMALL_STATE(6564)] = 217718,
  [SMALL_STATE(6565)] = 217797,
  [SMALL_STATE(6566)] = 217876,
  [SMALL_STATE(6567)] = 217939,
  [SMALL_STATE(6568)] = 218008,
  [SMALL_STATE(6569)] = 218075,
  [SMALL_STATE(6570)] = 218154,
  [SMALL_STATE(6571)] = 218233,
  [SMALL_STATE(6572)] = 218312,
  [SMALL_STATE(6573)] = 218381,
  [SMALL_STATE(6574)] = 218448,
  [SMALL_STATE(6575)] = 218527,
  [SMALL_STATE(6576)] = 218606,
  [SMALL_STATE(6577)] = 218646,
  [SMALL_STATE(6578)] = 218686,
  [SMALL_STATE(6579)] = 218744,
  [SMALL_STATE(6580)] = 218820,
  [SMALL_STATE(6581)] = 218860,
  [SMALL_STATE(6582)] = 218900,
  [SMALL_STATE(6583)] = 218976,
  [SMALL_STATE(6584)] = 219052,
  [SMALL_STATE(6585)] = 219128,
  [SMALL_STATE(6586)] = 219204,
  [SMALL_STATE(6587)] = 219262,
  [SMALL_STATE(6588)] = 219320,
  [SMALL_STATE(6589)] = 219360,
  [SMALL_STATE(6590)] = 219436,
  [SMALL_STATE(6591)] = 219476,
  [SMALL_STATE(6592)] = 219516,
  [SMALL_STATE(6593)] = 219592,
  [SMALL_STATE(6594)] = 219632,
  [SMALL_STATE(6595)] = 219708,
  [SMALL_STATE(6596)] = 219784,
  [SMALL_STATE(6597)] = 219860,
  [SMALL_STATE(6598)] = 219908,
  [SMALL_STATE(6599)] = 219966,
  [SMALL_STATE(6600)] = 220042,
  [SMALL_STATE(6601)] = 220118,
  [SMALL_STATE(6602)] = 220194,
  [SMALL_STATE(6603)] = 220234,
  [SMALL_STATE(6604)] = 220310,
  [SMALL_STATE(6605)] = 220386,
  [SMALL_STATE(6606)] = 220462,
  [SMALL_STATE(6607)] = 220538,
  [SMALL_STATE(6608)] = 220578,
  [SMALL_STATE(6609)] = 220618,
  [SMALL_STATE(6610)] = 220694,
  [SMALL_STATE(6611)] = 220734,
  [SMALL_STATE(6612)] = 220810,
  [SMALL_STATE(6613)] = 220886,
  [SMALL_STATE(6614)] = 220929,
  [SMALL_STATE(6615)] = 220996,
  [SMALL_STATE(6616)] = 221057,
  [SMALL_STATE(6617)] = 221098,
  [SMALL_STATE(6618)] = 221165,
  [SMALL_STATE(6619)] = 221232,
  [SMALL_STATE(6620)] = 221293,
  [SMALL_STATE(6621)] = 221354,
  [SMALL_STATE(6622)] = 221399,
  [SMALL_STATE(6623)] = 221460,
  [SMALL_STATE(6624)] = 221503,
  [SMALL_STATE(6625)] = 221570,
  [SMALL_STATE(6626)] = 221631,
  [SMALL_STATE(6627)] = 221692,
  [SMALL_STATE(6628)] = 221730,
  [SMALL_STATE(6629)] = 221768,
  [SMALL_STATE(6630)] = 221806,
  [SMALL_STATE(6631)] = 221844,
  [SMALL_STATE(6632)] = 221888,
  [SMALL_STATE(6633)] = 221926,
  [SMALL_STATE(6634)] = 221970,
  [SMALL_STATE(6635)] = 222008,
  [SMALL_STATE(6636)] = 222046,
  [SMALL_STATE(6637)] = 222084,
  [SMALL_STATE(6638)] = 222120,
  [SMALL_STATE(6639)] = 222180,
  [SMALL_STATE(6640)] = 222240,
  [SMALL_STATE(6641)] = 222300,
  [SMALL_STATE(6642)] = 222360,
  [SMALL_STATE(6643)] = 222420,
  [SMALL_STATE(6644)] = 222480,
  [SMALL_STATE(6645)] = 222522,
  [SMALL_STATE(6646)] = 222582,
  [SMALL_STATE(6647)] = 222642,
  [SMALL_STATE(6648)] = 222702,
  [SMALL_STATE(6649)] = 222762,
  [SMALL_STATE(6650)] = 222822,
  [SMALL_STATE(6651)] = 222882,
  [SMALL_STATE(6652)] = 222941,
  [SMALL_STATE(6653)] = 223000,
  [SMALL_STATE(6654)] = 223061,
  [SMALL_STATE(6655)] = 223098,
  [SMALL_STATE(6656)] = 223159,
  [SMALL_STATE(6657)] = 223220,
  [SMALL_STATE(6658)] = 223279,
  [SMALL_STATE(6659)] = 223338,
  [SMALL_STATE(6660)] = 223375,
  [SMALL_STATE(6661)] = 223436,
  [SMALL_STATE(6662)] = 223495,
  [SMALL_STATE(6663)] = 223532,
  [SMALL_STATE(6664)] = 223569,
  [SMALL_STATE(6665)] = 223628,
  [SMALL_STATE(6666)] = 223689,
  [SMALL_STATE(6667)] = 223726,
  [SMALL_STATE(6668)] = 223787,
  [SMALL_STATE(6669)] = 223848,
  [SMALL_STATE(6670)] = 223885,
  [SMALL_STATE(6671)] = 223944,
  [SMALL_STATE(6672)] = 224003,
  [SMALL_STATE(6673)] = 224040,
  [SMALL_STATE(6674)] = 224099,
  [SMALL_STATE(6675)] = 224136,
  [SMALL_STATE(6676)] = 224195,
  [SMALL_STATE(6677)] = 224232,
  [SMALL_STATE(6678)] = 224281,
  [SMALL_STATE(6679)] = 224342,
  [SMALL_STATE(6680)] = 224403,
  [SMALL_STATE(6681)] = 224440,
  [SMALL_STATE(6682)] = 224499,
  [SMALL_STATE(6683)] = 224536,
  [SMALL_STATE(6684)] = 224595,
  [SMALL_STATE(6685)] = 224632,
  [SMALL_STATE(6686)] = 224669,
  [SMALL_STATE(6687)] = 224702,
  [SMALL_STATE(6688)] = 224756,
  [SMALL_STATE(6689)] = 224814,
  [SMALL_STATE(6690)] = 224872,
  [SMALL_STATE(6691)] = 224930,
  [SMALL_STATE(6692)] = 224988,
  [SMALL_STATE(6693)] = 225046,
  [SMALL_STATE(6694)] = 225104,
  [SMALL_STATE(6695)] = 225162,
  [SMALL_STATE(6696)] = 225220,
  [SMALL_STATE(6697)] = 225278,
  [SMALL_STATE(6698)] = 225314,
  [SMALL_STATE(6699)] = 225372,
  [SMALL_STATE(6700)] = 225406,
  [SMALL_STATE(6701)] = 225464,
  [SMALL_STATE(6702)] = 225512,
  [SMALL_STATE(6703)] = 225570,
  [SMALL_STATE(6704)] = 225628,
  [SMALL_STATE(6705)] = 225686,
  [SMALL_STATE(6706)] = 225744,
  [SMALL_STATE(6707)] = 225802,
  [SMALL_STATE(6708)] = 225860,
  [SMALL_STATE(6709)] = 225918,
  [SMALL_STATE(6710)] = 225969,
  [SMALL_STATE(6711)] = 226004,
  [SMALL_STATE(6712)] = 226039,
  [SMALL_STATE(6713)] = 226090,
  [SMALL_STATE(6714)] = 226141,
  [SMALL_STATE(6715)] = 226192,
  [SMALL_STATE(6716)] = 226243,
  [SMALL_STATE(6717)] = 226295,
  [SMALL_STATE(6718)] = 226347,
  [SMALL_STATE(6719)] = 226393,
  [SMALL_STATE(6720)] = 226461,
  [SMALL_STATE(6721)] = 226529,
  [SMALL_STATE(6722)] = 226581,
  [SMALL_STATE(6723)] = 226633,
  [SMALL_STATE(6724)] = 226685,
  [SMALL_STATE(6725)] = 226719,
  [SMALL_STATE(6726)] = 226789,
  [SMALL_STATE(6727)] = 226841,
  [SMALL_STATE(6728)] = 226893,
  [SMALL_STATE(6729)] = 226945,
  [SMALL_STATE(6730)] = 227013,
  [SMALL_STATE(6731)] = 227081,
  [SMALL_STATE(6732)] = 227133,
  [SMALL_STATE(6733)] = 227185,
  [SMALL_STATE(6734)] = 227255,
  [SMALL_STATE(6735)] = 227307,
  [SMALL_STATE(6736)] = 227359,
  [SMALL_STATE(6737)] = 227411,
  [SMALL_STATE(6738)] = 227463,
  [SMALL_STATE(6739)] = 227515,
  [SMALL_STATE(6740)] = 227567,
  [SMALL_STATE(6741)] = 227619,
  [SMALL_STATE(6742)] = 227671,
  [SMALL_STATE(6743)] = 227727,
  [SMALL_STATE(6744)] = 227783,
  [SMALL_STATE(6745)] = 227839,
  [SMALL_STATE(6746)] = 227891,
  [SMALL_STATE(6747)] = 227943,
  [SMALL_STATE(6748)] = 227995,
  [SMALL_STATE(6749)] = 228047,
  [SMALL_STATE(6750)] = 228099,
  [SMALL_STATE(6751)] = 228151,
  [SMALL_STATE(6752)] = 228207,
  [SMALL_STATE(6753)] = 228259,
  [SMALL_STATE(6754)] = 228315,
  [SMALL_STATE(6755)] = 228367,
  [SMALL_STATE(6756)] = 228419,
  [SMALL_STATE(6757)] = 228471,
  [SMALL_STATE(6758)] = 228523,
  [SMALL_STATE(6759)] = 228575,
  [SMALL_STATE(6760)] = 228627,
  [SMALL_STATE(6761)] = 228683,
  [SMALL_STATE(6762)] = 228735,
  [SMALL_STATE(6763)] = 228787,
  [SMALL_STATE(6764)] = 228839,
  [SMALL_STATE(6765)] = 228909,
  [SMALL_STATE(6766)] = 228961,
  [SMALL_STATE(6767)] = 229013,
  [SMALL_STATE(6768)] = 229065,
  [SMALL_STATE(6769)] = 229117,
  [SMALL_STATE(6770)] = 229169,
  [SMALL_STATE(6771)] = 229228,
  [SMALL_STATE(6772)] = 229287,
  [SMALL_STATE(6773)] = 229346,
  [SMALL_STATE(6774)] = 229405,
  [SMALL_STATE(6775)] = 229464,
  [SMALL_STATE(6776)] = 229523,
  [SMALL_STATE(6777)] = 229582,
  [SMALL_STATE(6778)] = 229641,
  [SMALL_STATE(6779)] = 229700,
  [SMALL_STATE(6780)] = 229755,
  [SMALL_STATE(6781)] = 229814,
  [SMALL_STATE(6782)] = 229873,
  [SMALL_STATE(6783)] = 229932,
  [SMALL_STATE(6784)] = 229991,
  [SMALL_STATE(6785)] = 230050,
  [SMALL_STATE(6786)] = 230109,
  [SMALL_STATE(6787)] = 230168,
  [SMALL_STATE(6788)] = 230227,
  [SMALL_STATE(6789)] = 230286,
  [SMALL_STATE(6790)] = 230345,
  [SMALL_STATE(6791)] = 230404,
  [SMALL_STATE(6792)] = 230463,
  [SMALL_STATE(6793)] = 230522,
  [SMALL_STATE(6794)] = 230581,
  [SMALL_STATE(6795)] = 230640,
  [SMALL_STATE(6796)] = 230699,
  [SMALL_STATE(6797)] = 230758,
  [SMALL_STATE(6798)] = 230817,
  [SMALL_STATE(6799)] = 230876,
  [SMALL_STATE(6800)] = 230935,
  [SMALL_STATE(6801)] = 230994,
  [SMALL_STATE(6802)] = 231053,
  [SMALL_STATE(6803)] = 231112,
  [SMALL_STATE(6804)] = 231171,
  [SMALL_STATE(6805)] = 231230,
  [SMALL_STATE(6806)] = 231273,
  [SMALL_STATE(6807)] = 231332,
  [SMALL_STATE(6808)] = 231391,
  [SMALL_STATE(6809)] = 231450,
  [SMALL_STATE(6810)] = 231509,
  [SMALL_STATE(6811)] = 231568,
  [SMALL_STATE(6812)] = 231627,
  [SMALL_STATE(6813)] = 231686,
  [SMALL_STATE(6814)] = 231745,
  [SMALL_STATE(6815)] = 231804,
  [SMALL_STATE(6816)] = 231847,
  [SMALL_STATE(6817)] = 231906,
  [SMALL_STATE(6818)] = 231965,
  [SMALL_STATE(6819)] = 232024,
  [SMALL_STATE(6820)] = 232083,
  [SMALL_STATE(6821)] = 232142,
  [SMALL_STATE(6822)] = 232201,
  [SMALL_STATE(6823)] = 232260,
  [SMALL_STATE(6824)] = 232319,
  [SMALL_STATE(6825)] = 232378,
  [SMALL_STATE(6826)] = 232437,
  [SMALL_STATE(6827)] = 232496,
  [SMALL_STATE(6828)] = 232555,
  [SMALL_STATE(6829)] = 232600,
  [SMALL_STATE(6830)] = 232659,
  [SMALL_STATE(6831)] = 232718,
  [SMALL_STATE(6832)] = 232777,
  [SMALL_STATE(6833)] = 232836,
  [SMALL_STATE(6834)] = 232895,
  [SMALL_STATE(6835)] = 232954,
  [SMALL_STATE(6836)] = 232987,
  [SMALL_STATE(6837)] = 233046,
  [SMALL_STATE(6838)] = 233105,
  [SMALL_STATE(6839)] = 233164,
  [SMALL_STATE(6840)] = 233223,
  [SMALL_STATE(6841)] = 233282,
  [SMALL_STATE(6842)] = 233341,
  [SMALL_STATE(6843)] = 233400,
  [SMALL_STATE(6844)] = 233459,
  [SMALL_STATE(6845)] = 233518,
  [SMALL_STATE(6846)] = 233577,
  [SMALL_STATE(6847)] = 233636,
  [SMALL_STATE(6848)] = 233691,
  [SMALL_STATE(6849)] = 233750,
  [SMALL_STATE(6850)] = 233809,
  [SMALL_STATE(6851)] = 233868,
  [SMALL_STATE(6852)] = 233927,
  [SMALL_STATE(6853)] = 233986,
  [SMALL_STATE(6854)] = 234045,
  [SMALL_STATE(6855)] = 234104,
  [SMALL_STATE(6856)] = 234163,
  [SMALL_STATE(6857)] = 234222,
  [SMALL_STATE(6858)] = 234281,
  [SMALL_STATE(6859)] = 234340,
  [SMALL_STATE(6860)] = 234369,
  [SMALL_STATE(6861)] = 234428,
  [SMALL_STATE(6862)] = 234487,
  [SMALL_STATE(6863)] = 234550,
  [SMALL_STATE(6864)] = 234593,
  [SMALL_STATE(6865)] = 234648,
  [SMALL_STATE(6866)] = 234707,
  [SMALL_STATE(6867)] = 234766,
  [SMALL_STATE(6868)] = 234825,
  [SMALL_STATE(6869)] = 234884,
  [SMALL_STATE(6870)] = 234943,
  [SMALL_STATE(6871)] = 235002,
  [SMALL_STATE(6872)] = 235061,
  [SMALL_STATE(6873)] = 235120,
  [SMALL_STATE(6874)] = 235179,
  [SMALL_STATE(6875)] = 235238,
  [SMALL_STATE(6876)] = 235297,
  [SMALL_STATE(6877)] = 235356,
  [SMALL_STATE(6878)] = 235415,
  [SMALL_STATE(6879)] = 235474,
  [SMALL_STATE(6880)] = 235533,
  [SMALL_STATE(6881)] = 235573,
  [SMALL_STATE(6882)] = 235613,
  [SMALL_STATE(6883)] = 235641,
  [SMALL_STATE(6884)] = 235681,
  [SMALL_STATE(6885)] = 235715,
  [SMALL_STATE(6886)] = 235779,
  [SMALL_STATE(6887)] = 235843,
  [SMALL_STATE(6888)] = 235907,
  [SMALL_STATE(6889)] = 235947,
  [SMALL_STATE(6890)] = 235987,
  [SMALL_STATE(6891)] = 236027,
  [SMALL_STATE(6892)] = 236055,
  [SMALL_STATE(6893)] = 236095,
  [SMALL_STATE(6894)] = 236135,
  [SMALL_STATE(6895)] = 236187,
  [SMALL_STATE(6896)] = 236231,
  [SMALL_STATE(6897)] = 236271,
  [SMALL_STATE(6898)] = 236321,
  [SMALL_STATE(6899)] = 236361,
  [SMALL_STATE(6900)] = 236425,
  [SMALL_STATE(6901)] = 236465,
  [SMALL_STATE(6902)] = 236505,
  [SMALL_STATE(6903)] = 236569,
  [SMALL_STATE(6904)] = 236633,
  [SMALL_STATE(6905)] = 236697,
  [SMALL_STATE(6906)] = 236733,
  [SMALL_STATE(6907)] = 236785,
  [SMALL_STATE(6908)] = 236825,
  [SMALL_STATE(6909)] = 236861,
  [SMALL_STATE(6910)] = 236903,
  [SMALL_STATE(6911)] = 236943,
  [SMALL_STATE(6912)] = 236983,
  [SMALL_STATE(6913)] = 237023,
  [SMALL_STATE(6914)] = 237063,
  [SMALL_STATE(6915)] = 237115,
  [SMALL_STATE(6916)] = 237179,
  [SMALL_STATE(6917)] = 237219,
  [SMALL_STATE(6918)] = 237247,
  [SMALL_STATE(6919)] = 237287,
  [SMALL_STATE(6920)] = 237327,
  [SMALL_STATE(6921)] = 237355,
  [SMALL_STATE(6922)] = 237395,
  [SMALL_STATE(6923)] = 237431,
  [SMALL_STATE(6924)] = 237471,
  [SMALL_STATE(6925)] = 237511,
  [SMALL_STATE(6926)] = 237555,
  [SMALL_STATE(6927)] = 237591,
  [SMALL_STATE(6928)] = 237631,
  [SMALL_STATE(6929)] = 237671,
  [SMALL_STATE(6930)] = 237711,
  [SMALL_STATE(6931)] = 237751,
  [SMALL_STATE(6932)] = 237803,
  [SMALL_STATE(6933)] = 237867,
  [SMALL_STATE(6934)] = 237913,
  [SMALL_STATE(6935)] = 237959,
  [SMALL_STATE(6936)] = 237995,
  [SMALL_STATE(6937)] = 238043,
  [SMALL_STATE(6938)] = 238083,
  [SMALL_STATE(6939)] = 238123,
  [SMALL_STATE(6940)] = 238163,
  [SMALL_STATE(6941)] = 238203,
  [SMALL_STATE(6942)] = 238243,
  [SMALL_STATE(6943)] = 238271,
  [SMALL_STATE(6944)] = 238311,
  [SMALL_STATE(6945)] = 238351,
  [SMALL_STATE(6946)] = 238391,
  [SMALL_STATE(6947)] = 238431,
  [SMALL_STATE(6948)] = 238495,
  [SMALL_STATE(6949)] = 238539,
  [SMALL_STATE(6950)] = 238579,
  [SMALL_STATE(6951)] = 238643,
  [SMALL_STATE(6952)] = 238671,
  [SMALL_STATE(6953)] = 238703,
  [SMALL_STATE(6954)] = 238743,
  [SMALL_STATE(6955)] = 238783,
  [SMALL_STATE(6956)] = 238823,
  [SMALL_STATE(6957)] = 238863,
  [SMALL_STATE(6958)] = 238903,
  [SMALL_STATE(6959)] = 238943,
  [SMALL_STATE(6960)] = 238983,
  [SMALL_STATE(6961)] = 239023,
  [SMALL_STATE(6962)] = 239063,
  [SMALL_STATE(6963)] = 239127,
  [SMALL_STATE(6964)] = 239167,
  [SMALL_STATE(6965)] = 239195,
  [SMALL_STATE(6966)] = 239235,
  [SMALL_STATE(6967)] = 239263,
  [SMALL_STATE(6968)] = 239327,
  [SMALL_STATE(6969)] = 239367,
  [SMALL_STATE(6970)] = 239395,
  [SMALL_STATE(6971)] = 239459,
  [SMALL_STATE(6972)] = 239499,
  [SMALL_STATE(6973)] = 239527,
  [SMALL_STATE(6974)] = 239554,
  [SMALL_STATE(6975)] = 239611,
  [SMALL_STATE(6976)] = 239638,
  [SMALL_STATE(6977)] = 239677,
  [SMALL_STATE(6978)] = 239704,
  [SMALL_STATE(6979)] = 239739,
  [SMALL_STATE(6980)] = 239778,
  [SMALL_STATE(6981)] = 239827,
  [SMALL_STATE(6982)] = 239856,
  [SMALL_STATE(6983)] = 239911,
  [SMALL_STATE(6984)] = 239938,
  [SMALL_STATE(6985)] = 239977,
  [SMALL_STATE(6986)] = 240016,
  [SMALL_STATE(6987)] = 240055,
  [SMALL_STATE(6988)] = 240100,
  [SMALL_STATE(6989)] = 240145,
  [SMALL_STATE(6990)] = 240180,
  [SMALL_STATE(6991)] = 240225,
  [SMALL_STATE(6992)] = 240264,
  [SMALL_STATE(6993)] = 240309,
  [SMALL_STATE(6994)] = 240344,
  [SMALL_STATE(6995)] = 240383,
  [SMALL_STATE(6996)] = 240422,
  [SMALL_STATE(6997)] = 240477,
  [SMALL_STATE(6998)] = 240504,
  [SMALL_STATE(6999)] = 240549,
  [SMALL_STATE(7000)] = 240604,
  [SMALL_STATE(7001)] = 240633,
  [SMALL_STATE(7002)] = 240676,
  [SMALL_STATE(7003)] = 240721,
  [SMALL_STATE(7004)] = 240778,
  [SMALL_STATE(7005)] = 240813,
  [SMALL_STATE(7006)] = 240848,
  [SMALL_STATE(7007)] = 240875,
  [SMALL_STATE(7008)] = 240902,
  [SMALL_STATE(7009)] = 240929,
  [SMALL_STATE(7010)] = 240984,
  [SMALL_STATE(7011)] = 241019,
  [SMALL_STATE(7012)] = 241046,
  [SMALL_STATE(7013)] = 241101,
  [SMALL_STATE(7014)] = 241146,
  [SMALL_STATE(7015)] = 241173,
  [SMALL_STATE(7016)] = 241204,
  [SMALL_STATE(7017)] = 241253,
  [SMALL_STATE(7018)] = 241298,
  [SMALL_STATE(7019)] = 241349,
  [SMALL_STATE(7020)] = 241394,
  [SMALL_STATE(7021)] = 241437,
  [SMALL_STATE(7022)] = 241464,
  [SMALL_STATE(7023)] = 241521,
  [SMALL_STATE(7024)] = 241548,
  [SMALL_STATE(7025)] = 241605,
  [SMALL_STATE(7026)] = 241650,
  [SMALL_STATE(7027)] = 241677,
  [SMALL_STATE(7028)] = 241704,
  [SMALL_STATE(7029)] = 241731,
  [SMALL_STATE(7030)] = 241776,
  [SMALL_STATE(7031)] = 241803,
  [SMALL_STATE(7032)] = 241832,
  [SMALL_STATE(7033)] = 241859,
  [SMALL_STATE(7034)] = 241886,
  [SMALL_STATE(7035)] = 241931,
  [SMALL_STATE(7036)] = 241966,
  [SMALL_STATE(7037)] = 242009,
  [SMALL_STATE(7038)] = 242060,
  [SMALL_STATE(7039)] = 242087,
  [SMALL_STATE(7040)] = 242114,
  [SMALL_STATE(7041)] = 242159,
  [SMALL_STATE(7042)] = 242204,
  [SMALL_STATE(7043)] = 242245,
  [SMALL_STATE(7044)] = 242284,
  [SMALL_STATE(7045)] = 242319,
  [SMALL_STATE(7046)] = 242364,
  [SMALL_STATE(7047)] = 242391,
  [SMALL_STATE(7048)] = 242418,
  [SMALL_STATE(7049)] = 242445,
  [SMALL_STATE(7050)] = 242480,
  [SMALL_STATE(7051)] = 242507,
  [SMALL_STATE(7052)] = 242558,
  [SMALL_STATE(7053)] = 242585,
  [SMALL_STATE(7054)] = 242640,
  [SMALL_STATE(7055)] = 242673,
  [SMALL_STATE(7056)] = 242718,
  [SMALL_STATE(7057)] = 242773,
  [SMALL_STATE(7058)] = 242824,
  [SMALL_STATE(7059)] = 242881,
  [SMALL_STATE(7060)] = 242912,
  [SMALL_STATE(7061)] = 242947,
  [SMALL_STATE(7062)] = 242984,
  [SMALL_STATE(7063)] = 243011,
  [SMALL_STATE(7064)] = 243038,
  [SMALL_STATE(7065)] = 243073,
  [SMALL_STATE(7066)] = 243100,
  [SMALL_STATE(7067)] = 243127,
  [SMALL_STATE(7068)] = 243172,
  [SMALL_STATE(7069)] = 243215,
  [SMALL_STATE(7070)] = 243242,
  [SMALL_STATE(7071)] = 243299,
  [SMALL_STATE(7072)] = 243326,
  [SMALL_STATE(7073)] = 243353,
  [SMALL_STATE(7074)] = 243407,
  [SMALL_STATE(7075)] = 243437,
  [SMALL_STATE(7076)] = 243467,
  [SMALL_STATE(7077)] = 243521,
  [SMALL_STATE(7078)] = 243575,
  [SMALL_STATE(7079)] = 243605,
  [SMALL_STATE(7080)] = 243659,
  [SMALL_STATE(7081)] = 243713,
  [SMALL_STATE(7082)] = 243755,
  [SMALL_STATE(7083)] = 243809,
  [SMALL_STATE(7084)] = 243863,
  [SMALL_STATE(7085)] = 243917,
  [SMALL_STATE(7086)] = 243947,
  [SMALL_STATE(7087)] = 244001,
  [SMALL_STATE(7088)] = 244044,
  [SMALL_STATE(7089)] = 244075,
  [SMALL_STATE(7090)] = 244124,
  [SMALL_STATE(7091)] = 244167,
  [SMALL_STATE(7092)] = 244216,
  [SMALL_STATE(7093)] = 244265,
  [SMALL_STATE(7094)] = 244308,
  [SMALL_STATE(7095)] = 244351,
  [SMALL_STATE(7096)] = 244400,
  [SMALL_STATE(7097)] = 244449,
  [SMALL_STATE(7098)] = 244478,
  [SMALL_STATE(7099)] = 244515,
  [SMALL_STATE(7100)] = 244546,
  [SMALL_STATE(7101)] = 244575,
  [SMALL_STATE(7102)] = 244618,
  [SMALL_STATE(7103)] = 244647,
  [SMALL_STATE(7104)] = 244678,
  [SMALL_STATE(7105)] = 244721,
  [SMALL_STATE(7106)] = 244770,
  [SMALL_STATE(7107)] = 244813,
  [SMALL_STATE(7108)] = 244856,
  [SMALL_STATE(7109)] = 244905,
  [SMALL_STATE(7110)] = 244948,
  [SMALL_STATE(7111)] = 244977,
  [SMALL_STATE(7112)] = 245004,
  [SMALL_STATE(7113)] = 245035,
  [SMALL_STATE(7114)] = 245084,
  [SMALL_STATE(7115)] = 245115,
  [SMALL_STATE(7116)] = 245158,
  [SMALL_STATE(7117)] = 245207,
  [SMALL_STATE(7118)] = 245230,
  [SMALL_STATE(7119)] = 245253,
  [SMALL_STATE(7120)] = 245276,
  [SMALL_STATE(7121)] = 245299,
  [SMALL_STATE(7122)] = 245342,
  [SMALL_STATE(7123)] = 245385,
  [SMALL_STATE(7124)] = 245434,
  [SMALL_STATE(7125)] = 245483,
  [SMALL_STATE(7126)] = 245532,
  [SMALL_STATE(7127)] = 245581,
  [SMALL_STATE(7128)] = 245604,
  [SMALL_STATE(7129)] = 245635,
  [SMALL_STATE(7130)] = 245658,
  [SMALL_STATE(7131)] = 245695,
  [SMALL_STATE(7132)] = 245718,
  [SMALL_STATE(7133)] = 245767,
  [SMALL_STATE(7134)] = 245798,
  [SMALL_STATE(7135)] = 245847,
  [SMALL_STATE(7136)] = 245870,
  [SMALL_STATE(7137)] = 245901,
  [SMALL_STATE(7138)] = 245944,
  [SMALL_STATE(7139)] = 245979,
  [SMALL_STATE(7140)] = 246002,
  [SMALL_STATE(7141)] = 246039,
  [SMALL_STATE(7142)] = 246070,
  [SMALL_STATE(7143)] = 246107,
  [SMALL_STATE(7144)] = 246156,
  [SMALL_STATE(7145)] = 246205,
  [SMALL_STATE(7146)] = 246248,
  [SMALL_STATE(7147)] = 246297,
  [SMALL_STATE(7148)] = 246346,
  [SMALL_STATE(7149)] = 246389,
  [SMALL_STATE(7150)] = 246420,
  [SMALL_STATE(7151)] = 246463,
  [SMALL_STATE(7152)] = 246506,
  [SMALL_STATE(7153)] = 246549,
  [SMALL_STATE(7154)] = 246572,
  [SMALL_STATE(7155)] = 246615,
  [SMALL_STATE(7156)] = 246658,
  [SMALL_STATE(7157)] = 246701,
  [SMALL_STATE(7158)] = 246750,
  [SMALL_STATE(7159)] = 246775,
  [SMALL_STATE(7160)] = 246812,
  [SMALL_STATE(7161)] = 246861,
  [SMALL_STATE(7162)] = 246910,
  [SMALL_STATE(7163)] = 246933,
  [SMALL_STATE(7164)] = 246974,
  [SMALL_STATE(7165)] = 247023,
  [SMALL_STATE(7166)] = 247046,
  [SMALL_STATE(7167)] = 247077,
  [SMALL_STATE(7168)] = 247108,
  [SMALL_STATE(7169)] = 247131,
  [SMALL_STATE(7170)] = 247174,
  [SMALL_STATE(7171)] = 247211,
  [SMALL_STATE(7172)] = 247260,
  [SMALL_STATE(7173)] = 247309,
  [SMALL_STATE(7174)] = 247346,
  [SMALL_STATE(7175)] = 247375,
  [SMALL_STATE(7176)] = 247406,
  [SMALL_STATE(7177)] = 247429,
  [SMALL_STATE(7178)] = 247478,
  [SMALL_STATE(7179)] = 247521,
  [SMALL_STATE(7180)] = 247544,
  [SMALL_STATE(7181)] = 247587,
  [SMALL_STATE(7182)] = 247630,
  [SMALL_STATE(7183)] = 247673,
  [SMALL_STATE(7184)] = 247722,
  [SMALL_STATE(7185)] = 247771,
  [SMALL_STATE(7186)] = 247820,
  [SMALL_STATE(7187)] = 247869,
  [SMALL_STATE(7188)] = 247906,
  [SMALL_STATE(7189)] = 247929,
  [SMALL_STATE(7190)] = 247952,
  [SMALL_STATE(7191)] = 248001,
  [SMALL_STATE(7192)] = 248041,
  [SMALL_STATE(7193)] = 248081,
  [SMALL_STATE(7194)] = 248121,
  [SMALL_STATE(7195)] = 248155,
  [SMALL_STATE(7196)] = 248189,
  [SMALL_STATE(7197)] = 248229,
  [SMALL_STATE(7198)] = 248269,
  [SMALL_STATE(7199)] = 248309,
  [SMALL_STATE(7200)] = 248349,
  [SMALL_STATE(7201)] = 248389,
  [SMALL_STATE(7202)] = 248423,
  [SMALL_STATE(7203)] = 248449,
  [SMALL_STATE(7204)] = 248479,
  [SMALL_STATE(7205)] = 248513,
  [SMALL_STATE(7206)] = 248539,
  [SMALL_STATE(7207)] = 248579,
  [SMALL_STATE(7208)] = 248609,
  [SMALL_STATE(7209)] = 248649,
  [SMALL_STATE(7210)] = 248689,
  [SMALL_STATE(7211)] = 248713,
  [SMALL_STATE(7212)] = 248743,
  [SMALL_STATE(7213)] = 248777,
  [SMALL_STATE(7214)] = 248811,
  [SMALL_STATE(7215)] = 248845,
  [SMALL_STATE(7216)] = 248885,
  [SMALL_STATE(7217)] = 248925,
  [SMALL_STATE(7218)] = 248965,
  [SMALL_STATE(7219)] = 249005,
  [SMALL_STATE(7220)] = 249039,
  [SMALL_STATE(7221)] = 249079,
  [SMALL_STATE(7222)] = 249119,
  [SMALL_STATE(7223)] = 249147,
  [SMALL_STATE(7224)] = 249171,
  [SMALL_STATE(7225)] = 249211,
  [SMALL_STATE(7226)] = 249251,
  [SMALL_STATE(7227)] = 249281,
  [SMALL_STATE(7228)] = 249311,
  [SMALL_STATE(7229)] = 249351,
  [SMALL_STATE(7230)] = 249381,
  [SMALL_STATE(7231)] = 249421,
  [SMALL_STATE(7232)] = 249461,
  [SMALL_STATE(7233)] = 249501,
  [SMALL_STATE(7234)] = 249541,
  [SMALL_STATE(7235)] = 249567,
  [SMALL_STATE(7236)] = 249607,
  [SMALL_STATE(7237)] = 249647,
  [SMALL_STATE(7238)] = 249687,
  [SMALL_STATE(7239)] = 249727,
  [SMALL_STATE(7240)] = 249757,
  [SMALL_STATE(7241)] = 249787,
  [SMALL_STATE(7242)] = 249827,
  [SMALL_STATE(7243)] = 249869,
  [SMALL_STATE(7244)] = 249898,
  [SMALL_STATE(7245)] = 249929,
  [SMALL_STATE(7246)] = 249958,
  [SMALL_STATE(7247)] = 249991,
  [SMALL_STATE(7248)] = 250014,
  [SMALL_STATE(7249)] = 250041,
  [SMALL_STATE(7250)] = 250080,
  [SMALL_STATE(7251)] = 250103,
  [SMALL_STATE(7252)] = 250136,
  [SMALL_STATE(7253)] = 250167,
  [SMALL_STATE(7254)] = 250198,
  [SMALL_STATE(7255)] = 250241,
  [SMALL_STATE(7256)] = 250284,
  [SMALL_STATE(7257)] = 250317,
  [SMALL_STATE(7258)] = 250340,
  [SMALL_STATE(7259)] = 250385,
  [SMALL_STATE(7260)] = 250418,
  [SMALL_STATE(7261)] = 250463,
  [SMALL_STATE(7262)] = 250496,
  [SMALL_STATE(7263)] = 250519,
  [SMALL_STATE(7264)] = 250562,
  [SMALL_STATE(7265)] = 250593,
  [SMALL_STATE(7266)] = 250620,
  [SMALL_STATE(7267)] = 250665,
  [SMALL_STATE(7268)] = 250708,
  [SMALL_STATE(7269)] = 250731,
  [SMALL_STATE(7270)] = 250762,
  [SMALL_STATE(7271)] = 250785,
  [SMALL_STATE(7272)] = 250824,
  [SMALL_STATE(7273)] = 250855,
  [SMALL_STATE(7274)] = 250878,
  [SMALL_STATE(7275)] = 250903,
  [SMALL_STATE(7276)] = 250932,
  [SMALL_STATE(7277)] = 250971,
  [SMALL_STATE(7278)] = 251002,
  [SMALL_STATE(7279)] = 251033,
  [SMALL_STATE(7280)] = 251062,
  [SMALL_STATE(7281)] = 251085,
  [SMALL_STATE(7282)] = 251116,
  [SMALL_STATE(7283)] = 251161,
  [SMALL_STATE(7284)] = 251192,
  [SMALL_STATE(7285)] = 251235,
  [SMALL_STATE(7286)] = 251282,
  [SMALL_STATE(7287)] = 251313,
  [SMALL_STATE(7288)] = 251342,
  [SMALL_STATE(7289)] = 251387,
  [SMALL_STATE(7290)] = 251420,
  [SMALL_STATE(7291)] = 251451,
  [SMALL_STATE(7292)] = 251484,
  [SMALL_STATE(7293)] = 251515,
  [SMALL_STATE(7294)] = 251538,
  [SMALL_STATE(7295)] = 251561,
  [SMALL_STATE(7296)] = 251592,
  [SMALL_STATE(7297)] = 251625,
  [SMALL_STATE(7298)] = 251668,
  [SMALL_STATE(7299)] = 251711,
  [SMALL_STATE(7300)] = 251750,
  [SMALL_STATE(7301)] = 251795,
  [SMALL_STATE(7302)] = 251828,
  [SMALL_STATE(7303)] = 251859,
  [SMALL_STATE(7304)] = 251890,
  [SMALL_STATE(7305)] = 251923,
  [SMALL_STATE(7306)] = 251946,
  [SMALL_STATE(7307)] = 251989,
  [SMALL_STATE(7308)] = 252018,
  [SMALL_STATE(7309)] = 252051,
  [SMALL_STATE(7310)] = 252082,
  [SMALL_STATE(7311)] = 252127,
  [SMALL_STATE(7312)] = 252158,
  [SMALL_STATE(7313)] = 252189,
  [SMALL_STATE(7314)] = 252222,
  [SMALL_STATE(7315)] = 252265,
  [SMALL_STATE(7316)] = 252288,
  [SMALL_STATE(7317)] = 252321,
  [SMALL_STATE(7318)] = 252354,
  [SMALL_STATE(7319)] = 252385,
  [SMALL_STATE(7320)] = 252416,
  [SMALL_STATE(7321)] = 252447,
  [SMALL_STATE(7322)] = 252480,
  [SMALL_STATE(7323)] = 252513,
  [SMALL_STATE(7324)] = 252536,
  [SMALL_STATE(7325)] = 252565,
  [SMALL_STATE(7326)] = 252608,
  [SMALL_STATE(7327)] = 252651,
  [SMALL_STATE(7328)] = 252682,
  [SMALL_STATE(7329)] = 252705,
  [SMALL_STATE(7330)] = 252750,
  [SMALL_STATE(7331)] = 252793,
  [SMALL_STATE(7332)] = 252826,
  [SMALL_STATE(7333)] = 252857,
  [SMALL_STATE(7334)] = 252880,
  [SMALL_STATE(7335)] = 252903,
  [SMALL_STATE(7336)] = 252932,
  [SMALL_STATE(7337)] = 252965,
  [SMALL_STATE(7338)] = 252996,
  [SMALL_STATE(7339)] = 253027,
  [SMALL_STATE(7340)] = 253070,
  [SMALL_STATE(7341)] = 253109,
  [SMALL_STATE(7342)] = 253132,
  [SMALL_STATE(7343)] = 253165,
  [SMALL_STATE(7344)] = 253198,
  [SMALL_STATE(7345)] = 253237,
  [SMALL_STATE(7346)] = 253260,
  [SMALL_STATE(7347)] = 253283,
  [SMALL_STATE(7348)] = 253314,
  [SMALL_STATE(7349)] = 253345,
  [SMALL_STATE(7350)] = 253368,
  [SMALL_STATE(7351)] = 253399,
  [SMALL_STATE(7352)] = 253422,
  [SMALL_STATE(7353)] = 253455,
  [SMALL_STATE(7354)] = 253484,
  [SMALL_STATE(7355)] = 253512,
  [SMALL_STATE(7356)] = 253540,
  [SMALL_STATE(7357)] = 253560,
  [SMALL_STATE(7358)] = 253588,
  [SMALL_STATE(7359)] = 253608,
  [SMALL_STATE(7360)] = 253640,
  [SMALL_STATE(7361)] = 253660,
  [SMALL_STATE(7362)] = 253680,
  [SMALL_STATE(7363)] = 253708,
  [SMALL_STATE(7364)] = 253748,
  [SMALL_STATE(7365)] = 253788,
  [SMALL_STATE(7366)] = 253816,
  [SMALL_STATE(7367)] = 253836,
  [SMALL_STATE(7368)] = 253856,
  [SMALL_STATE(7369)] = 253888,
  [SMALL_STATE(7370)] = 253908,
  [SMALL_STATE(7371)] = 253948,
  [SMALL_STATE(7372)] = 253986,
  [SMALL_STATE(7373)] = 254018,
  [SMALL_STATE(7374)] = 254046,
  [SMALL_STATE(7375)] = 254086,
  [SMALL_STATE(7376)] = 254114,
  [SMALL_STATE(7377)] = 254154,
  [SMALL_STATE(7378)] = 254182,
  [SMALL_STATE(7379)] = 254222,
  [SMALL_STATE(7380)] = 254254,
  [SMALL_STATE(7381)] = 254294,
  [SMALL_STATE(7382)] = 254326,
  [SMALL_STATE(7383)] = 254350,
  [SMALL_STATE(7384)] = 254390,
  [SMALL_STATE(7385)] = 254410,
  [SMALL_STATE(7386)] = 254438,
  [SMALL_STATE(7387)] = 254478,
  [SMALL_STATE(7388)] = 254506,
  [SMALL_STATE(7389)] = 254536,
  [SMALL_STATE(7390)] = 254564,
  [SMALL_STATE(7391)] = 254604,
  [SMALL_STATE(7392)] = 254632,
  [SMALL_STATE(7393)] = 254652,
  [SMALL_STATE(7394)] = 254672,
  [SMALL_STATE(7395)] = 254692,
  [SMALL_STATE(7396)] = 254712,
  [SMALL_STATE(7397)] = 254732,
  [SMALL_STATE(7398)] = 254752,
  [SMALL_STATE(7399)] = 254774,
  [SMALL_STATE(7400)] = 254814,
  [SMALL_STATE(7401)] = 254842,
  [SMALL_STATE(7402)] = 254864,
  [SMALL_STATE(7403)] = 254884,
  [SMALL_STATE(7404)] = 254924,
  [SMALL_STATE(7405)] = 254944,
  [SMALL_STATE(7406)] = 254976,
  [SMALL_STATE(7407)] = 255008,
  [SMALL_STATE(7408)] = 255038,
  [SMALL_STATE(7409)] = 255078,
  [SMALL_STATE(7410)] = 255118,
  [SMALL_STATE(7411)] = 255146,
  [SMALL_STATE(7412)] = 255178,
  [SMALL_STATE(7413)] = 255206,
  [SMALL_STATE(7414)] = 255238,
  [SMALL_STATE(7415)] = 255270,
  [SMALL_STATE(7416)] = 255302,
  [SMALL_STATE(7417)] = 255334,
  [SMALL_STATE(7418)] = 255366,
  [SMALL_STATE(7419)] = 255406,
  [SMALL_STATE(7420)] = 255446,
  [SMALL_STATE(7421)] = 255478,
  [SMALL_STATE(7422)] = 255510,
  [SMALL_STATE(7423)] = 255530,
  [SMALL_STATE(7424)] = 255562,
  [SMALL_STATE(7425)] = 255582,
  [SMALL_STATE(7426)] = 255614,
  [SMALL_STATE(7427)] = 255654,
  [SMALL_STATE(7428)] = 255682,
  [SMALL_STATE(7429)] = 255722,
  [SMALL_STATE(7430)] = 255754,
  [SMALL_STATE(7431)] = 255786,
  [SMALL_STATE(7432)] = 255818,
  [SMALL_STATE(7433)] = 255850,
  [SMALL_STATE(7434)] = 255882,
  [SMALL_STATE(7435)] = 255914,
  [SMALL_STATE(7436)] = 255946,
  [SMALL_STATE(7437)] = 255966,
  [SMALL_STATE(7438)] = 255994,
  [SMALL_STATE(7439)] = 256022,
  [SMALL_STATE(7440)] = 256052,
  [SMALL_STATE(7441)] = 256092,
  [SMALL_STATE(7442)] = 256132,
  [SMALL_STATE(7443)] = 256160,
  [SMALL_STATE(7444)] = 256192,
  [SMALL_STATE(7445)] = 256224,
  [SMALL_STATE(7446)] = 256264,
  [SMALL_STATE(7447)] = 256284,
  [SMALL_STATE(7448)] = 256324,
  [SMALL_STATE(7449)] = 256356,
  [SMALL_STATE(7450)] = 256396,
  [SMALL_STATE(7451)] = 256424,
  [SMALL_STATE(7452)] = 256446,
  [SMALL_STATE(7453)] = 256478,
  [SMALL_STATE(7454)] = 256498,
  [SMALL_STATE(7455)] = 256526,
  [SMALL_STATE(7456)] = 256556,
  [SMALL_STATE(7457)] = 256588,
  [SMALL_STATE(7458)] = 256610,
  [SMALL_STATE(7459)] = 256643,
  [SMALL_STATE(7460)] = 256668,
  [SMALL_STATE(7461)] = 256693,
  [SMALL_STATE(7462)] = 256726,
  [SMALL_STATE(7463)] = 256765,
  [SMALL_STATE(7464)] = 256790,
  [SMALL_STATE(7465)] = 256827,
  [SMALL_STATE(7466)] = 256864,
  [SMALL_STATE(7467)] = 256901,
  [SMALL_STATE(7468)] = 256926,
  [SMALL_STATE(7469)] = 256953,
  [SMALL_STATE(7470)] = 256986,
  [SMALL_STATE(7471)] = 257013,
  [SMALL_STATE(7472)] = 257050,
  [SMALL_STATE(7473)] = 257075,
  [SMALL_STATE(7474)] = 257102,
  [SMALL_STATE(7475)] = 257129,
  [SMALL_STATE(7476)] = 257156,
  [SMALL_STATE(7477)] = 257183,
  [SMALL_STATE(7478)] = 257220,
  [SMALL_STATE(7479)] = 257253,
  [SMALL_STATE(7480)] = 257286,
  [SMALL_STATE(7481)] = 257313,
  [SMALL_STATE(7482)] = 257352,
  [SMALL_STATE(7483)] = 257379,
  [SMALL_STATE(7484)] = 257406,
  [SMALL_STATE(7485)] = 257439,
  [SMALL_STATE(7486)] = 257466,
  [SMALL_STATE(7487)] = 257493,
  [SMALL_STATE(7488)] = 257514,
  [SMALL_STATE(7489)] = 257541,
  [SMALL_STATE(7490)] = 257574,
  [SMALL_STATE(7491)] = 257601,
  [SMALL_STATE(7492)] = 257640,
  [SMALL_STATE(7493)] = 257673,
  [SMALL_STATE(7494)] = 257712,
  [SMALL_STATE(7495)] = 257745,
  [SMALL_STATE(7496)] = 257778,
  [SMALL_STATE(7497)] = 257815,
  [SMALL_STATE(7498)] = 257852,
  [SMALL_STATE(7499)] = 257875,
  [SMALL_STATE(7500)] = 257908,
  [SMALL_STATE(7501)] = 257941,
  [SMALL_STATE(7502)] = 257978,
  [SMALL_STATE(7503)] = 258003,
  [SMALL_STATE(7504)] = 258036,
  [SMALL_STATE(7505)] = 258069,
  [SMALL_STATE(7506)] = 258106,
  [SMALL_STATE(7507)] = 258143,
  [SMALL_STATE(7508)] = 258180,
  [SMALL_STATE(7509)] = 258205,
  [SMALL_STATE(7510)] = 258238,
  [SMALL_STATE(7511)] = 258271,
  [SMALL_STATE(7512)] = 258296,
  [SMALL_STATE(7513)] = 258329,
  [SMALL_STATE(7514)] = 258362,
  [SMALL_STATE(7515)] = 258395,
  [SMALL_STATE(7516)] = 258430,
  [SMALL_STATE(7517)] = 258467,
  [SMALL_STATE(7518)] = 258500,
  [SMALL_STATE(7519)] = 258537,
  [SMALL_STATE(7520)] = 258562,
  [SMALL_STATE(7521)] = 258587,
  [SMALL_STATE(7522)] = 258620,
  [SMALL_STATE(7523)] = 258655,
  [SMALL_STATE(7524)] = 258692,
  [SMALL_STATE(7525)] = 258731,
  [SMALL_STATE(7526)] = 258752,
  [SMALL_STATE(7527)] = 258777,
  [SMALL_STATE(7528)] = 258810,
  [SMALL_STATE(7529)] = 258843,
  [SMALL_STATE(7530)] = 258876,
  [SMALL_STATE(7531)] = 258913,
  [SMALL_STATE(7532)] = 258946,
  [SMALL_STATE(7533)] = 258983,
  [SMALL_STATE(7534)] = 259016,
  [SMALL_STATE(7535)] = 259055,
  [SMALL_STATE(7536)] = 259092,
  [SMALL_STATE(7537)] = 259125,
  [SMALL_STATE(7538)] = 259160,
  [SMALL_STATE(7539)] = 259193,
  [SMALL_STATE(7540)] = 259220,
  [SMALL_STATE(7541)] = 259257,
  [SMALL_STATE(7542)] = 259294,
  [SMALL_STATE(7543)] = 259315,
  [SMALL_STATE(7544)] = 259348,
  [SMALL_STATE(7545)] = 259375,
  [SMALL_STATE(7546)] = 259402,
  [SMALL_STATE(7547)] = 259427,
  [SMALL_STATE(7548)] = 259454,
  [SMALL_STATE(7549)] = 259487,
  [SMALL_STATE(7550)] = 259520,
  [SMALL_STATE(7551)] = 259557,
  [SMALL_STATE(7552)] = 259590,
  [SMALL_STATE(7553)] = 259617,
  [SMALL_STATE(7554)] = 259651,
  [SMALL_STATE(7555)] = 259687,
  [SMALL_STATE(7556)] = 259721,
  [SMALL_STATE(7557)] = 259757,
  [SMALL_STATE(7558)] = 259793,
  [SMALL_STATE(7559)] = 259829,
  [SMALL_STATE(7560)] = 259863,
  [SMALL_STATE(7561)] = 259899,
  [SMALL_STATE(7562)] = 259935,
  [SMALL_STATE(7563)] = 259971,
  [SMALL_STATE(7564)] = 260005,
  [SMALL_STATE(7565)] = 260031,
  [SMALL_STATE(7566)] = 260057,
  [SMALL_STATE(7567)] = 260093,
  [SMALL_STATE(7568)] = 260115,
  [SMALL_STATE(7569)] = 260139,
  [SMALL_STATE(7570)] = 260161,
  [SMALL_STATE(7571)] = 260187,
  [SMALL_STATE(7572)] = 260213,
  [SMALL_STATE(7573)] = 260239,
  [SMALL_STATE(7574)] = 260263,
  [SMALL_STATE(7575)] = 260297,
  [SMALL_STATE(7576)] = 260333,
  [SMALL_STATE(7577)] = 260369,
  [SMALL_STATE(7578)] = 260393,
  [SMALL_STATE(7579)] = 260429,
  [SMALL_STATE(7580)] = 260463,
  [SMALL_STATE(7581)] = 260497,
  [SMALL_STATE(7582)] = 260521,
  [SMALL_STATE(7583)] = 260557,
  [SMALL_STATE(7584)] = 260591,
  [SMALL_STATE(7585)] = 260617,
  [SMALL_STATE(7586)] = 260653,
  [SMALL_STATE(7587)] = 260689,
  [SMALL_STATE(7588)] = 260709,
  [SMALL_STATE(7589)] = 260735,
  [SMALL_STATE(7590)] = 260761,
  [SMALL_STATE(7591)] = 260789,
  [SMALL_STATE(7592)] = 260825,
  [SMALL_STATE(7593)] = 260861,
  [SMALL_STATE(7594)] = 260897,
  [SMALL_STATE(7595)] = 260923,
  [SMALL_STATE(7596)] = 260959,
  [SMALL_STATE(7597)] = 260995,
  [SMALL_STATE(7598)] = 261023,
  [SMALL_STATE(7599)] = 261051,
  [SMALL_STATE(7600)] = 261087,
  [SMALL_STATE(7601)] = 261123,
  [SMALL_STATE(7602)] = 261147,
  [SMALL_STATE(7603)] = 261175,
  [SMALL_STATE(7604)] = 261209,
  [SMALL_STATE(7605)] = 261245,
  [SMALL_STATE(7606)] = 261281,
  [SMALL_STATE(7607)] = 261309,
  [SMALL_STATE(7608)] = 261345,
  [SMALL_STATE(7609)] = 261381,
  [SMALL_STATE(7610)] = 261417,
  [SMALL_STATE(7611)] = 261453,
  [SMALL_STATE(7612)] = 261487,
  [SMALL_STATE(7613)] = 261523,
  [SMALL_STATE(7614)] = 261558,
  [SMALL_STATE(7615)] = 261583,
  [SMALL_STATE(7616)] = 261618,
  [SMALL_STATE(7617)] = 261647,
  [SMALL_STATE(7618)] = 261682,
  [SMALL_STATE(7619)] = 261701,
  [SMALL_STATE(7620)] = 261736,
  [SMALL_STATE(7621)] = 261761,
  [SMALL_STATE(7622)] = 261786,
  [SMALL_STATE(7623)] = 261821,
  [SMALL_STATE(7624)] = 261856,
  [SMALL_STATE(7625)] = 261891,
  [SMALL_STATE(7626)] = 261916,
  [SMALL_STATE(7627)] = 261951,
  [SMALL_STATE(7628)] = 261986,
  [SMALL_STATE(7629)] = 262021,
  [SMALL_STATE(7630)] = 262056,
  [SMALL_STATE(7631)] = 262081,
  [SMALL_STATE(7632)] = 262106,
  [SMALL_STATE(7633)] = 262139,
  [SMALL_STATE(7634)] = 262158,
  [SMALL_STATE(7635)] = 262189,
  [SMALL_STATE(7636)] = 262218,
  [SMALL_STATE(7637)] = 262247,
  [SMALL_STATE(7638)] = 262282,
  [SMALL_STATE(7639)] = 262303,
  [SMALL_STATE(7640)] = 262322,
  [SMALL_STATE(7641)] = 262357,
  [SMALL_STATE(7642)] = 262392,
  [SMALL_STATE(7643)] = 262427,
  [SMALL_STATE(7644)] = 262460,
  [SMALL_STATE(7645)] = 262495,
  [SMALL_STATE(7646)] = 262514,
  [SMALL_STATE(7647)] = 262545,
  [SMALL_STATE(7648)] = 262564,
  [SMALL_STATE(7649)] = 262599,
  [SMALL_STATE(7650)] = 262634,
  [SMALL_STATE(7651)] = 262663,
  [SMALL_STATE(7652)] = 262698,
  [SMALL_STATE(7653)] = 262733,
  [SMALL_STATE(7654)] = 262768,
  [SMALL_STATE(7655)] = 262787,
  [SMALL_STATE(7656)] = 262822,
  [SMALL_STATE(7657)] = 262857,
  [SMALL_STATE(7658)] = 262892,
  [SMALL_STATE(7659)] = 262927,
  [SMALL_STATE(7660)] = 262952,
  [SMALL_STATE(7661)] = 262971,
  [SMALL_STATE(7662)] = 262990,
  [SMALL_STATE(7663)] = 263009,
  [SMALL_STATE(7664)] = 263044,
  [SMALL_STATE(7665)] = 263079,
  [SMALL_STATE(7666)] = 263114,
  [SMALL_STATE(7667)] = 263133,
  [SMALL_STATE(7668)] = 263152,
  [SMALL_STATE(7669)] = 263183,
  [SMALL_STATE(7670)] = 263202,
  [SMALL_STATE(7671)] = 263237,
  [SMALL_STATE(7672)] = 263256,
  [SMALL_STATE(7673)] = 263275,
  [SMALL_STATE(7674)] = 263304,
  [SMALL_STATE(7675)] = 263329,
  [SMALL_STATE(7676)] = 263364,
  [SMALL_STATE(7677)] = 263395,
  [SMALL_STATE(7678)] = 263430,
  [SMALL_STATE(7679)] = 263465,
  [SMALL_STATE(7680)] = 263490,
  [SMALL_STATE(7681)] = 263509,
  [SMALL_STATE(7682)] = 263534,
  [SMALL_STATE(7683)] = 263569,
  [SMALL_STATE(7684)] = 263604,
  [SMALL_STATE(7685)] = 263635,
  [SMALL_STATE(7686)] = 263670,
  [SMALL_STATE(7687)] = 263695,
  [SMALL_STATE(7688)] = 263722,
  [SMALL_STATE(7689)] = 263757,
  [SMALL_STATE(7690)] = 263776,
  [SMALL_STATE(7691)] = 263811,
  [SMALL_STATE(7692)] = 263846,
  [SMALL_STATE(7693)] = 263865,
  [SMALL_STATE(7694)] = 263884,
  [SMALL_STATE(7695)] = 263909,
  [SMALL_STATE(7696)] = 263944,
  [SMALL_STATE(7697)] = 263979,
  [SMALL_STATE(7698)] = 264014,
  [SMALL_STATE(7699)] = 264049,
  [SMALL_STATE(7700)] = 264068,
  [SMALL_STATE(7701)] = 264093,
  [SMALL_STATE(7702)] = 264112,
  [SMALL_STATE(7703)] = 264147,
  [SMALL_STATE(7704)] = 264182,
  [SMALL_STATE(7705)] = 264207,
  [SMALL_STATE(7706)] = 264242,
  [SMALL_STATE(7707)] = 264277,
  [SMALL_STATE(7708)] = 264296,
  [SMALL_STATE(7709)] = 264319,
  [SMALL_STATE(7710)] = 264338,
  [SMALL_STATE(7711)] = 264373,
  [SMALL_STATE(7712)] = 264400,
  [SMALL_STATE(7713)] = 264425,
  [SMALL_STATE(7714)] = 264460,
  [SMALL_STATE(7715)] = 264495,
  [SMALL_STATE(7716)] = 264520,
  [SMALL_STATE(7717)] = 264539,
  [SMALL_STATE(7718)] = 264574,
  [SMALL_STATE(7719)] = 264593,
  [SMALL_STATE(7720)] = 264620,
  [SMALL_STATE(7721)] = 264655,
  [SMALL_STATE(7722)] = 264690,
  [SMALL_STATE(7723)] = 264725,
  [SMALL_STATE(7724)] = 264748,
  [SMALL_STATE(7725)] = 264767,
  [SMALL_STATE(7726)] = 264802,
  [SMALL_STATE(7727)] = 264837,
  [SMALL_STATE(7728)] = 264872,
  [SMALL_STATE(7729)] = 264891,
  [SMALL_STATE(7730)] = 264910,
  [SMALL_STATE(7731)] = 264929,
  [SMALL_STATE(7732)] = 264956,
  [SMALL_STATE(7733)] = 264983,
  [SMALL_STATE(7734)] = 265014,
  [SMALL_STATE(7735)] = 265041,
  [SMALL_STATE(7736)] = 265068,
  [SMALL_STATE(7737)] = 265097,
  [SMALL_STATE(7738)] = 265116,
  [SMALL_STATE(7739)] = 265147,
  [SMALL_STATE(7740)] = 265176,
  [SMALL_STATE(7741)] = 265207,
  [SMALL_STATE(7742)] = 265226,
  [SMALL_STATE(7743)] = 265253,
  [SMALL_STATE(7744)] = 265288,
  [SMALL_STATE(7745)] = 265315,
  [SMALL_STATE(7746)] = 265350,
  [SMALL_STATE(7747)] = 265369,
  [SMALL_STATE(7748)] = 265400,
  [SMALL_STATE(7749)] = 265431,
  [SMALL_STATE(7750)] = 265450,
  [SMALL_STATE(7751)] = 265469,
  [SMALL_STATE(7752)] = 265488,
  [SMALL_STATE(7753)] = 265523,
  [SMALL_STATE(7754)] = 265542,
  [SMALL_STATE(7755)] = 265561,
  [SMALL_STATE(7756)] = 265580,
  [SMALL_STATE(7757)] = 265615,
  [SMALL_STATE(7758)] = 265634,
  [SMALL_STATE(7759)] = 265667,
  [SMALL_STATE(7760)] = 265686,
  [SMALL_STATE(7761)] = 265711,
  [SMALL_STATE(7762)] = 265746,
  [SMALL_STATE(7763)] = 265773,
  [SMALL_STATE(7764)] = 265792,
  [SMALL_STATE(7765)] = 265817,
  [SMALL_STATE(7766)] = 265852,
  [SMALL_STATE(7767)] = 265883,
  [SMALL_STATE(7768)] = 265918,
  [SMALL_STATE(7769)] = 265942,
  [SMALL_STATE(7770)] = 265964,
  [SMALL_STATE(7771)] = 265986,
  [SMALL_STATE(7772)] = 266008,
  [SMALL_STATE(7773)] = 266026,
  [SMALL_STATE(7774)] = 266050,
  [SMALL_STATE(7775)] = 266074,
  [SMALL_STATE(7776)] = 266098,
  [SMALL_STATE(7777)] = 266122,
  [SMALL_STATE(7778)] = 266146,
  [SMALL_STATE(7779)] = 266168,
  [SMALL_STATE(7780)] = 266186,
  [SMALL_STATE(7781)] = 266210,
  [SMALL_STATE(7782)] = 266228,
  [SMALL_STATE(7783)] = 266250,
  [SMALL_STATE(7784)] = 266278,
  [SMALL_STATE(7785)] = 266310,
  [SMALL_STATE(7786)] = 266328,
  [SMALL_STATE(7787)] = 266352,
  [SMALL_STATE(7788)] = 266374,
  [SMALL_STATE(7789)] = 266398,
  [SMALL_STATE(7790)] = 266422,
  [SMALL_STATE(7791)] = 266452,
  [SMALL_STATE(7792)] = 266474,
  [SMALL_STATE(7793)] = 266498,
  [SMALL_STATE(7794)] = 266522,
  [SMALL_STATE(7795)] = 266546,
  [SMALL_STATE(7796)] = 266574,
  [SMALL_STATE(7797)] = 266598,
  [SMALL_STATE(7798)] = 266622,
  [SMALL_STATE(7799)] = 266646,
  [SMALL_STATE(7800)] = 266668,
  [SMALL_STATE(7801)] = 266698,
  [SMALL_STATE(7802)] = 266722,
  [SMALL_STATE(7803)] = 266744,
  [SMALL_STATE(7804)] = 266768,
  [SMALL_STATE(7805)] = 266792,
  [SMALL_STATE(7806)] = 266822,
  [SMALL_STATE(7807)] = 266844,
  [SMALL_STATE(7808)] = 266866,
  [SMALL_STATE(7809)] = 266888,
  [SMALL_STATE(7810)] = 266918,
  [SMALL_STATE(7811)] = 266940,
  [SMALL_STATE(7812)] = 266964,
  [SMALL_STATE(7813)] = 266986,
  [SMALL_STATE(7814)] = 267016,
  [SMALL_STATE(7815)] = 267046,
  [SMALL_STATE(7816)] = 267064,
  [SMALL_STATE(7817)] = 267086,
  [SMALL_STATE(7818)] = 267110,
  [SMALL_STATE(7819)] = 267128,
  [SMALL_STATE(7820)] = 267146,
  [SMALL_STATE(7821)] = 267168,
  [SMALL_STATE(7822)] = 267190,
  [SMALL_STATE(7823)] = 267214,
  [SMALL_STATE(7824)] = 267238,
  [SMALL_STATE(7825)] = 267262,
  [SMALL_STATE(7826)] = 267286,
  [SMALL_STATE(7827)] = 267310,
  [SMALL_STATE(7828)] = 267337,
  [SMALL_STATE(7829)] = 267368,
  [SMALL_STATE(7830)] = 267395,
  [SMALL_STATE(7831)] = 267418,
  [SMALL_STATE(7832)] = 267449,
  [SMALL_STATE(7833)] = 267472,
  [SMALL_STATE(7834)] = 267495,
  [SMALL_STATE(7835)] = 267516,
  [SMALL_STATE(7836)] = 267539,
  [SMALL_STATE(7837)] = 267562,
  [SMALL_STATE(7838)] = 267593,
  [SMALL_STATE(7839)] = 267624,
  [SMALL_STATE(7840)] = 267655,
  [SMALL_STATE(7841)] = 267686,
  [SMALL_STATE(7842)] = 267717,
  [SMALL_STATE(7843)] = 267748,
  [SMALL_STATE(7844)] = 267769,
  [SMALL_STATE(7845)] = 267800,
  [SMALL_STATE(7846)] = 267831,
  [SMALL_STATE(7847)] = 267858,
  [SMALL_STATE(7848)] = 267889,
  [SMALL_STATE(7849)] = 267920,
  [SMALL_STATE(7850)] = 267943,
  [SMALL_STATE(7851)] = 267966,
  [SMALL_STATE(7852)] = 267987,
  [SMALL_STATE(7853)] = 268018,
  [SMALL_STATE(7854)] = 268049,
  [SMALL_STATE(7855)] = 268080,
  [SMALL_STATE(7856)] = 268107,
  [SMALL_STATE(7857)] = 268130,
  [SMALL_STATE(7858)] = 268161,
  [SMALL_STATE(7859)] = 268192,
  [SMALL_STATE(7860)] = 268213,
  [SMALL_STATE(7861)] = 268232,
  [SMALL_STATE(7862)] = 268259,
  [SMALL_STATE(7863)] = 268290,
  [SMALL_STATE(7864)] = 268315,
  [SMALL_STATE(7865)] = 268338,
  [SMALL_STATE(7866)] = 268365,
  [SMALL_STATE(7867)] = 268392,
  [SMALL_STATE(7868)] = 268419,
  [SMALL_STATE(7869)] = 268442,
  [SMALL_STATE(7870)] = 268465,
  [SMALL_STATE(7871)] = 268488,
  [SMALL_STATE(7872)] = 268515,
  [SMALL_STATE(7873)] = 268546,
  [SMALL_STATE(7874)] = 268565,
  [SMALL_STATE(7875)] = 268592,
  [SMALL_STATE(7876)] = 268623,
  [SMALL_STATE(7877)] = 268650,
  [SMALL_STATE(7878)] = 268671,
  [SMALL_STATE(7879)] = 268702,
  [SMALL_STATE(7880)] = 268733,
  [SMALL_STATE(7881)] = 268760,
  [SMALL_STATE(7882)] = 268787,
  [SMALL_STATE(7883)] = 268818,
  [SMALL_STATE(7884)] = 268841,
  [SMALL_STATE(7885)] = 268868,
  [SMALL_STATE(7886)] = 268899,
  [SMALL_STATE(7887)] = 268922,
  [SMALL_STATE(7888)] = 268953,
  [SMALL_STATE(7889)] = 268980,
  [SMALL_STATE(7890)] = 269007,
  [SMALL_STATE(7891)] = 269038,
  [SMALL_STATE(7892)] = 269069,
  [SMALL_STATE(7893)] = 269100,
  [SMALL_STATE(7894)] = 269120,
  [SMALL_STATE(7895)] = 269140,
  [SMALL_STATE(7896)] = 269166,
  [SMALL_STATE(7897)] = 269192,
  [SMALL_STATE(7898)] = 269218,
  [SMALL_STATE(7899)] = 269242,
  [SMALL_STATE(7900)] = 269266,
  [SMALL_STATE(7901)] = 269292,
  [SMALL_STATE(7902)] = 269318,
  [SMALL_STATE(7903)] = 269340,
  [SMALL_STATE(7904)] = 269362,
  [SMALL_STATE(7905)] = 269384,
  [SMALL_STATE(7906)] = 269408,
  [SMALL_STATE(7907)] = 269434,
  [SMALL_STATE(7908)] = 269460,
  [SMALL_STATE(7909)] = 269486,
  [SMALL_STATE(7910)] = 269512,
  [SMALL_STATE(7911)] = 269538,
  [SMALL_STATE(7912)] = 269558,
  [SMALL_STATE(7913)] = 269584,
  [SMALL_STATE(7914)] = 269610,
  [SMALL_STATE(7915)] = 269636,
  [SMALL_STATE(7916)] = 269662,
  [SMALL_STATE(7917)] = 269688,
  [SMALL_STATE(7918)] = 269712,
  [SMALL_STATE(7919)] = 269738,
  [SMALL_STATE(7920)] = 269764,
  [SMALL_STATE(7921)] = 269790,
  [SMALL_STATE(7922)] = 269810,
  [SMALL_STATE(7923)] = 269836,
  [SMALL_STATE(7924)] = 269862,
  [SMALL_STATE(7925)] = 269888,
  [SMALL_STATE(7926)] = 269914,
  [SMALL_STATE(7927)] = 269940,
  [SMALL_STATE(7928)] = 269966,
  [SMALL_STATE(7929)] = 269988,
  [SMALL_STATE(7930)] = 270010,
  [SMALL_STATE(7931)] = 270026,
  [SMALL_STATE(7932)] = 270052,
  [SMALL_STATE(7933)] = 270078,
  [SMALL_STATE(7934)] = 270104,
  [SMALL_STATE(7935)] = 270130,
  [SMALL_STATE(7936)] = 270156,
  [SMALL_STATE(7937)] = 270178,
  [SMALL_STATE(7938)] = 270204,
  [SMALL_STATE(7939)] = 270228,
  [SMALL_STATE(7940)] = 270252,
  [SMALL_STATE(7941)] = 270276,
  [SMALL_STATE(7942)] = 270302,
  [SMALL_STATE(7943)] = 270328,
  [SMALL_STATE(7944)] = 270354,
  [SMALL_STATE(7945)] = 270378,
  [SMALL_STATE(7946)] = 270404,
  [SMALL_STATE(7947)] = 270430,
  [SMALL_STATE(7948)] = 270452,
  [SMALL_STATE(7949)] = 270478,
  [SMALL_STATE(7950)] = 270494,
  [SMALL_STATE(7951)] = 270512,
  [SMALL_STATE(7952)] = 270538,
  [SMALL_STATE(7953)] = 270564,
  [SMALL_STATE(7954)] = 270590,
  [SMALL_STATE(7955)] = 270612,
  [SMALL_STATE(7956)] = 270638,
  [SMALL_STATE(7957)] = 270664,
  [SMALL_STATE(7958)] = 270688,
  [SMALL_STATE(7959)] = 270714,
  [SMALL_STATE(7960)] = 270735,
  [SMALL_STATE(7961)] = 270760,
  [SMALL_STATE(7962)] = 270781,
  [SMALL_STATE(7963)] = 270806,
  [SMALL_STATE(7964)] = 270827,
  [SMALL_STATE(7965)] = 270850,
  [SMALL_STATE(7966)] = 270875,
  [SMALL_STATE(7967)] = 270900,
  [SMALL_STATE(7968)] = 270917,
  [SMALL_STATE(7969)] = 270938,
  [SMALL_STATE(7970)] = 270959,
  [SMALL_STATE(7971)] = 270982,
  [SMALL_STATE(7972)] = 271003,
  [SMALL_STATE(7973)] = 271022,
  [SMALL_STATE(7974)] = 271045,
  [SMALL_STATE(7975)] = 271064,
  [SMALL_STATE(7976)] = 271085,
  [SMALL_STATE(7977)] = 271106,
  [SMALL_STATE(7978)] = 271131,
  [SMALL_STATE(7979)] = 271154,
  [SMALL_STATE(7980)] = 271175,
  [SMALL_STATE(7981)] = 271196,
  [SMALL_STATE(7982)] = 271219,
  [SMALL_STATE(7983)] = 271242,
  [SMALL_STATE(7984)] = 271263,
  [SMALL_STATE(7985)] = 271288,
  [SMALL_STATE(7986)] = 271309,
  [SMALL_STATE(7987)] = 271330,
  [SMALL_STATE(7988)] = 271353,
  [SMALL_STATE(7989)] = 271368,
  [SMALL_STATE(7990)] = 271391,
  [SMALL_STATE(7991)] = 271416,
  [SMALL_STATE(7992)] = 271441,
  [SMALL_STATE(7993)] = 271460,
  [SMALL_STATE(7994)] = 271475,
  [SMALL_STATE(7995)] = 271500,
  [SMALL_STATE(7996)] = 271521,
  [SMALL_STATE(7997)] = 271536,
  [SMALL_STATE(7998)] = 271559,
  [SMALL_STATE(7999)] = 271574,
  [SMALL_STATE(8000)] = 271595,
  [SMALL_STATE(8001)] = 271618,
  [SMALL_STATE(8002)] = 271639,
  [SMALL_STATE(8003)] = 271660,
  [SMALL_STATE(8004)] = 271681,
  [SMALL_STATE(8005)] = 271702,
  [SMALL_STATE(8006)] = 271725,
  [SMALL_STATE(8007)] = 271748,
  [SMALL_STATE(8008)] = 271769,
  [SMALL_STATE(8009)] = 271784,
  [SMALL_STATE(8010)] = 271807,
  [SMALL_STATE(8011)] = 271830,
  [SMALL_STATE(8012)] = 271845,
  [SMALL_STATE(8013)] = 271860,
  [SMALL_STATE(8014)] = 271883,
  [SMALL_STATE(8015)] = 271904,
  [SMALL_STATE(8016)] = 271923,
  [SMALL_STATE(8017)] = 271944,
  [SMALL_STATE(8018)] = 271969,
  [SMALL_STATE(8019)] = 271990,
  [SMALL_STATE(8020)] = 272005,
  [SMALL_STATE(8021)] = 272028,
  [SMALL_STATE(8022)] = 272049,
  [SMALL_STATE(8023)] = 272065,
  [SMALL_STATE(8024)] = 272083,
  [SMALL_STATE(8025)] = 272101,
  [SMALL_STATE(8026)] = 272119,
  [SMALL_STATE(8027)] = 272137,
  [SMALL_STATE(8028)] = 272151,
  [SMALL_STATE(8029)] = 272171,
  [SMALL_STATE(8030)] = 272187,
  [SMALL_STATE(8031)] = 272207,
  [SMALL_STATE(8032)] = 272225,
  [SMALL_STATE(8033)] = 272239,
  [SMALL_STATE(8034)] = 272259,
  [SMALL_STATE(8035)] = 272279,
  [SMALL_STATE(8036)] = 272299,
  [SMALL_STATE(8037)] = 272319,
  [SMALL_STATE(8038)] = 272339,
  [SMALL_STATE(8039)] = 272353,
  [SMALL_STATE(8040)] = 272369,
  [SMALL_STATE(8041)] = 272385,
  [SMALL_STATE(8042)] = 272405,
  [SMALL_STATE(8043)] = 272419,
  [SMALL_STATE(8044)] = 272437,
  [SMALL_STATE(8045)] = 272457,
  [SMALL_STATE(8046)] = 272473,
  [SMALL_STATE(8047)] = 272493,
  [SMALL_STATE(8048)] = 272513,
  [SMALL_STATE(8049)] = 272527,
  [SMALL_STATE(8050)] = 272543,
  [SMALL_STATE(8051)] = 272561,
  [SMALL_STATE(8052)] = 272579,
  [SMALL_STATE(8053)] = 272599,
  [SMALL_STATE(8054)] = 272613,
  [SMALL_STATE(8055)] = 272629,
  [SMALL_STATE(8056)] = 272643,
  [SMALL_STATE(8057)] = 272657,
  [SMALL_STATE(8058)] = 272671,
  [SMALL_STATE(8059)] = 272687,
  [SMALL_STATE(8060)] = 272703,
  [SMALL_STATE(8061)] = 272723,
  [SMALL_STATE(8062)] = 272739,
  [SMALL_STATE(8063)] = 272753,
  [SMALL_STATE(8064)] = 272769,
  [SMALL_STATE(8065)] = 272785,
  [SMALL_STATE(8066)] = 272799,
  [SMALL_STATE(8067)] = 272815,
  [SMALL_STATE(8068)] = 272829,
  [SMALL_STATE(8069)] = 272845,
  [SMALL_STATE(8070)] = 272861,
  [SMALL_STATE(8071)] = 272877,
  [SMALL_STATE(8072)] = 272897,
  [SMALL_STATE(8073)] = 272917,
  [SMALL_STATE(8074)] = 272937,
  [SMALL_STATE(8075)] = 272955,
  [SMALL_STATE(8076)] = 272971,
  [SMALL_STATE(8077)] = 272987,
  [SMALL_STATE(8078)] = 273001,
  [SMALL_STATE(8079)] = 273021,
  [SMALL_STATE(8080)] = 273035,
  [SMALL_STATE(8081)] = 273049,
  [SMALL_STATE(8082)] = 273065,
  [SMALL_STATE(8083)] = 273085,
  [SMALL_STATE(8084)] = 273099,
  [SMALL_STATE(8085)] = 273115,
  [SMALL_STATE(8086)] = 273129,
  [SMALL_STATE(8087)] = 273146,
  [SMALL_STATE(8088)] = 273165,
  [SMALL_STATE(8089)] = 273184,
  [SMALL_STATE(8090)] = 273201,
  [SMALL_STATE(8091)] = 273220,
  [SMALL_STATE(8092)] = 273239,
  [SMALL_STATE(8093)] = 273258,
  [SMALL_STATE(8094)] = 273277,
  [SMALL_STATE(8095)] = 273296,
  [SMALL_STATE(8096)] = 273315,
  [SMALL_STATE(8097)] = 273334,
  [SMALL_STATE(8098)] = 273353,
  [SMALL_STATE(8099)] = 273372,
  [SMALL_STATE(8100)] = 273391,
  [SMALL_STATE(8101)] = 273410,
  [SMALL_STATE(8102)] = 273423,
  [SMALL_STATE(8103)] = 273442,
  [SMALL_STATE(8104)] = 273461,
  [SMALL_STATE(8105)] = 273480,
  [SMALL_STATE(8106)] = 273499,
  [SMALL_STATE(8107)] = 273518,
  [SMALL_STATE(8108)] = 273537,
  [SMALL_STATE(8109)] = 273556,
  [SMALL_STATE(8110)] = 273575,
  [SMALL_STATE(8111)] = 273594,
  [SMALL_STATE(8112)] = 273613,
  [SMALL_STATE(8113)] = 273632,
  [SMALL_STATE(8114)] = 273651,
  [SMALL_STATE(8115)] = 273664,
  [SMALL_STATE(8116)] = 273683,
  [SMALL_STATE(8117)] = 273700,
  [SMALL_STATE(8118)] = 273719,
  [SMALL_STATE(8119)] = 273738,
  [SMALL_STATE(8120)] = 273757,
  [SMALL_STATE(8121)] = 273776,
  [SMALL_STATE(8122)] = 273795,
  [SMALL_STATE(8123)] = 273814,
  [SMALL_STATE(8124)] = 273833,
  [SMALL_STATE(8125)] = 273850,
  [SMALL_STATE(8126)] = 273867,
  [SMALL_STATE(8127)] = 273886,
  [SMALL_STATE(8128)] = 273905,
  [SMALL_STATE(8129)] = 273924,
  [SMALL_STATE(8130)] = 273943,
  [SMALL_STATE(8131)] = 273962,
  [SMALL_STATE(8132)] = 273981,
  [SMALL_STATE(8133)] = 274000,
  [SMALL_STATE(8134)] = 274019,
  [SMALL_STATE(8135)] = 274038,
  [SMALL_STATE(8136)] = 274057,
  [SMALL_STATE(8137)] = 274076,
  [SMALL_STATE(8138)] = 274095,
  [SMALL_STATE(8139)] = 274114,
  [SMALL_STATE(8140)] = 274133,
  [SMALL_STATE(8141)] = 274152,
  [SMALL_STATE(8142)] = 274169,
  [SMALL_STATE(8143)] = 274188,
  [SMALL_STATE(8144)] = 274207,
  [SMALL_STATE(8145)] = 274224,
  [SMALL_STATE(8146)] = 274243,
  [SMALL_STATE(8147)] = 274262,
  [SMALL_STATE(8148)] = 274281,
  [SMALL_STATE(8149)] = 274300,
  [SMALL_STATE(8150)] = 274319,
  [SMALL_STATE(8151)] = 274332,
  [SMALL_STATE(8152)] = 274351,
  [SMALL_STATE(8153)] = 274365,
  [SMALL_STATE(8154)] = 274381,
  [SMALL_STATE(8155)] = 274397,
  [SMALL_STATE(8156)] = 274413,
  [SMALL_STATE(8157)] = 274429,
  [SMALL_STATE(8158)] = 274443,
  [SMALL_STATE(8159)] = 274459,
  [SMALL_STATE(8160)] = 274475,
  [SMALL_STATE(8161)] = 274491,
  [SMALL_STATE(8162)] = 274507,
  [SMALL_STATE(8163)] = 274523,
  [SMALL_STATE(8164)] = 274539,
  [SMALL_STATE(8165)] = 274555,
  [SMALL_STATE(8166)] = 274571,
  [SMALL_STATE(8167)] = 274587,
  [SMALL_STATE(8168)] = 274601,
  [SMALL_STATE(8169)] = 274617,
  [SMALL_STATE(8170)] = 274629,
  [SMALL_STATE(8171)] = 274645,
  [SMALL_STATE(8172)] = 274661,
  [SMALL_STATE(8173)] = 274677,
  [SMALL_STATE(8174)] = 274691,
  [SMALL_STATE(8175)] = 274707,
  [SMALL_STATE(8176)] = 274723,
  [SMALL_STATE(8177)] = 274739,
  [SMALL_STATE(8178)] = 274755,
  [SMALL_STATE(8179)] = 274769,
  [SMALL_STATE(8180)] = 274783,
  [SMALL_STATE(8181)] = 274799,
  [SMALL_STATE(8182)] = 274815,
  [SMALL_STATE(8183)] = 274829,
  [SMALL_STATE(8184)] = 274845,
  [SMALL_STATE(8185)] = 274861,
  [SMALL_STATE(8186)] = 274877,
  [SMALL_STATE(8187)] = 274893,
  [SMALL_STATE(8188)] = 274909,
  [SMALL_STATE(8189)] = 274925,
  [SMALL_STATE(8190)] = 274941,
  [SMALL_STATE(8191)] = 274957,
  [SMALL_STATE(8192)] = 274971,
  [SMALL_STATE(8193)] = 274987,
  [SMALL_STATE(8194)] = 275003,
  [SMALL_STATE(8195)] = 275013,
  [SMALL_STATE(8196)] = 275027,
  [SMALL_STATE(8197)] = 275043,
  [SMALL_STATE(8198)] = 275057,
  [SMALL_STATE(8199)] = 275073,
  [SMALL_STATE(8200)] = 275089,
  [SMALL_STATE(8201)] = 275105,
  [SMALL_STATE(8202)] = 275119,
  [SMALL_STATE(8203)] = 275135,
  [SMALL_STATE(8204)] = 275149,
  [SMALL_STATE(8205)] = 275165,
  [SMALL_STATE(8206)] = 275181,
  [SMALL_STATE(8207)] = 275197,
  [SMALL_STATE(8208)] = 275213,
  [SMALL_STATE(8209)] = 275229,
  [SMALL_STATE(8210)] = 275245,
  [SMALL_STATE(8211)] = 275261,
  [SMALL_STATE(8212)] = 275277,
  [SMALL_STATE(8213)] = 275293,
  [SMALL_STATE(8214)] = 275307,
  [SMALL_STATE(8215)] = 275317,
  [SMALL_STATE(8216)] = 275331,
  [SMALL_STATE(8217)] = 275347,
  [SMALL_STATE(8218)] = 275363,
  [SMALL_STATE(8219)] = 275377,
  [SMALL_STATE(8220)] = 275391,
  [SMALL_STATE(8221)] = 275407,
  [SMALL_STATE(8222)] = 275421,
  [SMALL_STATE(8223)] = 275437,
  [SMALL_STATE(8224)] = 275451,
  [SMALL_STATE(8225)] = 275467,
  [SMALL_STATE(8226)] = 275481,
  [SMALL_STATE(8227)] = 275497,
  [SMALL_STATE(8228)] = 275513,
  [SMALL_STATE(8229)] = 275529,
  [SMALL_STATE(8230)] = 275545,
  [SMALL_STATE(8231)] = 275561,
  [SMALL_STATE(8232)] = 275575,
  [SMALL_STATE(8233)] = 275589,
  [SMALL_STATE(8234)] = 275603,
  [SMALL_STATE(8235)] = 275617,
  [SMALL_STATE(8236)] = 275631,
  [SMALL_STATE(8237)] = 275647,
  [SMALL_STATE(8238)] = 275663,
  [SMALL_STATE(8239)] = 275679,
  [SMALL_STATE(8240)] = 275695,
  [SMALL_STATE(8241)] = 275709,
  [SMALL_STATE(8242)] = 275723,
  [SMALL_STATE(8243)] = 275737,
  [SMALL_STATE(8244)] = 275753,
  [SMALL_STATE(8245)] = 275767,
  [SMALL_STATE(8246)] = 275783,
  [SMALL_STATE(8247)] = 275797,
  [SMALL_STATE(8248)] = 275811,
  [SMALL_STATE(8249)] = 275825,
  [SMALL_STATE(8250)] = 275841,
  [SMALL_STATE(8251)] = 275857,
  [SMALL_STATE(8252)] = 275873,
  [SMALL_STATE(8253)] = 275887,
  [SMALL_STATE(8254)] = 275899,
  [SMALL_STATE(8255)] = 275915,
  [SMALL_STATE(8256)] = 275931,
  [SMALL_STATE(8257)] = 275947,
  [SMALL_STATE(8258)] = 275963,
  [SMALL_STATE(8259)] = 275979,
  [SMALL_STATE(8260)] = 275995,
  [SMALL_STATE(8261)] = 276009,
  [SMALL_STATE(8262)] = 276023,
  [SMALL_STATE(8263)] = 276037,
  [SMALL_STATE(8264)] = 276051,
  [SMALL_STATE(8265)] = 276067,
  [SMALL_STATE(8266)] = 276083,
  [SMALL_STATE(8267)] = 276099,
  [SMALL_STATE(8268)] = 276115,
  [SMALL_STATE(8269)] = 276131,
  [SMALL_STATE(8270)] = 276147,
  [SMALL_STATE(8271)] = 276161,
  [SMALL_STATE(8272)] = 276177,
  [SMALL_STATE(8273)] = 276193,
  [SMALL_STATE(8274)] = 276209,
  [SMALL_STATE(8275)] = 276223,
  [SMALL_STATE(8276)] = 276239,
  [SMALL_STATE(8277)] = 276255,
  [SMALL_STATE(8278)] = 276269,
  [SMALL_STATE(8279)] = 276285,
  [SMALL_STATE(8280)] = 276299,
  [SMALL_STATE(8281)] = 276315,
  [SMALL_STATE(8282)] = 276329,
  [SMALL_STATE(8283)] = 276343,
  [SMALL_STATE(8284)] = 276359,
  [SMALL_STATE(8285)] = 276375,
  [SMALL_STATE(8286)] = 276389,
  [SMALL_STATE(8287)] = 276403,
  [SMALL_STATE(8288)] = 276417,
  [SMALL_STATE(8289)] = 276431,
  [SMALL_STATE(8290)] = 276447,
  [SMALL_STATE(8291)] = 276463,
  [SMALL_STATE(8292)] = 276477,
  [SMALL_STATE(8293)] = 276491,
  [SMALL_STATE(8294)] = 276505,
  [SMALL_STATE(8295)] = 276519,
  [SMALL_STATE(8296)] = 276533,
  [SMALL_STATE(8297)] = 276549,
  [SMALL_STATE(8298)] = 276563,
  [SMALL_STATE(8299)] = 276577,
  [SMALL_STATE(8300)] = 276591,
  [SMALL_STATE(8301)] = 276605,
  [SMALL_STATE(8302)] = 276619,
  [SMALL_STATE(8303)] = 276633,
  [SMALL_STATE(8304)] = 276647,
  [SMALL_STATE(8305)] = 276663,
  [SMALL_STATE(8306)] = 276677,
  [SMALL_STATE(8307)] = 276693,
  [SMALL_STATE(8308)] = 276707,
  [SMALL_STATE(8309)] = 276723,
  [SMALL_STATE(8310)] = 276739,
  [SMALL_STATE(8311)] = 276755,
  [SMALL_STATE(8312)] = 276771,
  [SMALL_STATE(8313)] = 276785,
  [SMALL_STATE(8314)] = 276801,
  [SMALL_STATE(8315)] = 276815,
  [SMALL_STATE(8316)] = 276829,
  [SMALL_STATE(8317)] = 276843,
  [SMALL_STATE(8318)] = 276859,
  [SMALL_STATE(8319)] = 276875,
  [SMALL_STATE(8320)] = 276891,
  [SMALL_STATE(8321)] = 276905,
  [SMALL_STATE(8322)] = 276919,
  [SMALL_STATE(8323)] = 276935,
  [SMALL_STATE(8324)] = 276951,
  [SMALL_STATE(8325)] = 276965,
  [SMALL_STATE(8326)] = 276979,
  [SMALL_STATE(8327)] = 276995,
  [SMALL_STATE(8328)] = 277009,
  [SMALL_STATE(8329)] = 277025,
  [SMALL_STATE(8330)] = 277039,
  [SMALL_STATE(8331)] = 277053,
  [SMALL_STATE(8332)] = 277069,
  [SMALL_STATE(8333)] = 277085,
  [SMALL_STATE(8334)] = 277101,
  [SMALL_STATE(8335)] = 277117,
  [SMALL_STATE(8336)] = 277131,
  [SMALL_STATE(8337)] = 277147,
  [SMALL_STATE(8338)] = 277163,
  [SMALL_STATE(8339)] = 277179,
  [SMALL_STATE(8340)] = 277195,
  [SMALL_STATE(8341)] = 277211,
  [SMALL_STATE(8342)] = 277227,
  [SMALL_STATE(8343)] = 277239,
  [SMALL_STATE(8344)] = 277255,
  [SMALL_STATE(8345)] = 277269,
  [SMALL_STATE(8346)] = 277285,
  [SMALL_STATE(8347)] = 277301,
  [SMALL_STATE(8348)] = 277317,
  [SMALL_STATE(8349)] = 277333,
  [SMALL_STATE(8350)] = 277347,
  [SMALL_STATE(8351)] = 277363,
  [SMALL_STATE(8352)] = 277377,
  [SMALL_STATE(8353)] = 277393,
  [SMALL_STATE(8354)] = 277409,
  [SMALL_STATE(8355)] = 277423,
  [SMALL_STATE(8356)] = 277437,
  [SMALL_STATE(8357)] = 277453,
  [SMALL_STATE(8358)] = 277465,
  [SMALL_STATE(8359)] = 277481,
  [SMALL_STATE(8360)] = 277497,
  [SMALL_STATE(8361)] = 277511,
  [SMALL_STATE(8362)] = 277527,
  [SMALL_STATE(8363)] = 277543,
  [SMALL_STATE(8364)] = 277559,
  [SMALL_STATE(8365)] = 277573,
  [SMALL_STATE(8366)] = 277587,
  [SMALL_STATE(8367)] = 277601,
  [SMALL_STATE(8368)] = 277615,
  [SMALL_STATE(8369)] = 277629,
  [SMALL_STATE(8370)] = 277643,
  [SMALL_STATE(8371)] = 277657,
  [SMALL_STATE(8372)] = 277671,
  [SMALL_STATE(8373)] = 277687,
  [SMALL_STATE(8374)] = 277701,
  [SMALL_STATE(8375)] = 277711,
  [SMALL_STATE(8376)] = 277725,
  [SMALL_STATE(8377)] = 277741,
  [SMALL_STATE(8378)] = 277755,
  [SMALL_STATE(8379)] = 277771,
  [SMALL_STATE(8380)] = 277787,
  [SMALL_STATE(8381)] = 277803,
  [SMALL_STATE(8382)] = 277817,
  [SMALL_STATE(8383)] = 277833,
  [SMALL_STATE(8384)] = 277849,
  [SMALL_STATE(8385)] = 277863,
  [SMALL_STATE(8386)] = 277877,
  [SMALL_STATE(8387)] = 277891,
  [SMALL_STATE(8388)] = 277907,
  [SMALL_STATE(8389)] = 277921,
  [SMALL_STATE(8390)] = 277937,
  [SMALL_STATE(8391)] = 277951,
  [SMALL_STATE(8392)] = 277967,
  [SMALL_STATE(8393)] = 277983,
  [SMALL_STATE(8394)] = 277999,
  [SMALL_STATE(8395)] = 278015,
  [SMALL_STATE(8396)] = 278031,
  [SMALL_STATE(8397)] = 278045,
  [SMALL_STATE(8398)] = 278061,
  [SMALL_STATE(8399)] = 278077,
  [SMALL_STATE(8400)] = 278091,
  [SMALL_STATE(8401)] = 278107,
  [SMALL_STATE(8402)] = 278123,
  [SMALL_STATE(8403)] = 278137,
  [SMALL_STATE(8404)] = 278153,
  [SMALL_STATE(8405)] = 278169,
  [SMALL_STATE(8406)] = 278185,
  [SMALL_STATE(8407)] = 278195,
  [SMALL_STATE(8408)] = 278211,
  [SMALL_STATE(8409)] = 278227,
  [SMALL_STATE(8410)] = 278243,
  [SMALL_STATE(8411)] = 278259,
  [SMALL_STATE(8412)] = 278273,
  [SMALL_STATE(8413)] = 278289,
  [SMALL_STATE(8414)] = 278305,
  [SMALL_STATE(8415)] = 278321,
  [SMALL_STATE(8416)] = 278335,
  [SMALL_STATE(8417)] = 278349,
  [SMALL_STATE(8418)] = 278365,
  [SMALL_STATE(8419)] = 278379,
  [SMALL_STATE(8420)] = 278393,
  [SMALL_STATE(8421)] = 278407,
  [SMALL_STATE(8422)] = 278423,
  [SMALL_STATE(8423)] = 278437,
  [SMALL_STATE(8424)] = 278453,
  [SMALL_STATE(8425)] = 278469,
  [SMALL_STATE(8426)] = 278483,
  [SMALL_STATE(8427)] = 278499,
  [SMALL_STATE(8428)] = 278513,
  [SMALL_STATE(8429)] = 278529,
  [SMALL_STATE(8430)] = 278543,
  [SMALL_STATE(8431)] = 278557,
  [SMALL_STATE(8432)] = 278571,
  [SMALL_STATE(8433)] = 278585,
  [SMALL_STATE(8434)] = 278599,
  [SMALL_STATE(8435)] = 278613,
  [SMALL_STATE(8436)] = 278629,
  [SMALL_STATE(8437)] = 278645,
  [SMALL_STATE(8438)] = 278659,
  [SMALL_STATE(8439)] = 278673,
  [SMALL_STATE(8440)] = 278689,
  [SMALL_STATE(8441)] = 278703,
  [SMALL_STATE(8442)] = 278717,
  [SMALL_STATE(8443)] = 278733,
  [SMALL_STATE(8444)] = 278747,
  [SMALL_STATE(8445)] = 278763,
  [SMALL_STATE(8446)] = 278777,
  [SMALL_STATE(8447)] = 278793,
  [SMALL_STATE(8448)] = 278809,
  [SMALL_STATE(8449)] = 278823,
  [SMALL_STATE(8450)] = 278839,
  [SMALL_STATE(8451)] = 278853,
  [SMALL_STATE(8452)] = 278869,
  [SMALL_STATE(8453)] = 278885,
  [SMALL_STATE(8454)] = 278899,
  [SMALL_STATE(8455)] = 278915,
  [SMALL_STATE(8456)] = 278931,
  [SMALL_STATE(8457)] = 278947,
  [SMALL_STATE(8458)] = 278963,
  [SMALL_STATE(8459)] = 278979,
  [SMALL_STATE(8460)] = 278995,
  [SMALL_STATE(8461)] = 279009,
  [SMALL_STATE(8462)] = 279025,
  [SMALL_STATE(8463)] = 279039,
  [SMALL_STATE(8464)] = 279053,
  [SMALL_STATE(8465)] = 279069,
  [SMALL_STATE(8466)] = 279085,
  [SMALL_STATE(8467)] = 279099,
  [SMALL_STATE(8468)] = 279113,
  [SMALL_STATE(8469)] = 279127,
  [SMALL_STATE(8470)] = 279141,
  [SMALL_STATE(8471)] = 279155,
  [SMALL_STATE(8472)] = 279171,
  [SMALL_STATE(8473)] = 279187,
  [SMALL_STATE(8474)] = 279201,
  [SMALL_STATE(8475)] = 279217,
  [SMALL_STATE(8476)] = 279233,
  [SMALL_STATE(8477)] = 279247,
  [SMALL_STATE(8478)] = 279263,
  [SMALL_STATE(8479)] = 279279,
  [SMALL_STATE(8480)] = 279291,
  [SMALL_STATE(8481)] = 279307,
  [SMALL_STATE(8482)] = 279321,
  [SMALL_STATE(8483)] = 279337,
  [SMALL_STATE(8484)] = 279353,
  [SMALL_STATE(8485)] = 279369,
  [SMALL_STATE(8486)] = 279385,
  [SMALL_STATE(8487)] = 279399,
  [SMALL_STATE(8488)] = 279413,
  [SMALL_STATE(8489)] = 279429,
  [SMALL_STATE(8490)] = 279443,
  [SMALL_STATE(8491)] = 279457,
  [SMALL_STATE(8492)] = 279473,
  [SMALL_STATE(8493)] = 279487,
  [SMALL_STATE(8494)] = 279501,
  [SMALL_STATE(8495)] = 279515,
  [SMALL_STATE(8496)] = 279528,
  [SMALL_STATE(8497)] = 279541,
  [SMALL_STATE(8498)] = 279554,
  [SMALL_STATE(8499)] = 279567,
  [SMALL_STATE(8500)] = 279580,
  [SMALL_STATE(8501)] = 279593,
  [SMALL_STATE(8502)] = 279606,
  [SMALL_STATE(8503)] = 279617,
  [SMALL_STATE(8504)] = 279630,
  [SMALL_STATE(8505)] = 279643,
  [SMALL_STATE(8506)] = 279654,
  [SMALL_STATE(8507)] = 279667,
  [SMALL_STATE(8508)] = 279680,
  [SMALL_STATE(8509)] = 279693,
  [SMALL_STATE(8510)] = 279704,
  [SMALL_STATE(8511)] = 279717,
  [SMALL_STATE(8512)] = 279730,
  [SMALL_STATE(8513)] = 279743,
  [SMALL_STATE(8514)] = 279756,
  [SMALL_STATE(8515)] = 279769,
  [SMALL_STATE(8516)] = 279782,
  [SMALL_STATE(8517)] = 279795,
  [SMALL_STATE(8518)] = 279808,
  [SMALL_STATE(8519)] = 279821,
  [SMALL_STATE(8520)] = 279834,
  [SMALL_STATE(8521)] = 279847,
  [SMALL_STATE(8522)] = 279860,
  [SMALL_STATE(8523)] = 279873,
  [SMALL_STATE(8524)] = 279886,
  [SMALL_STATE(8525)] = 279899,
  [SMALL_STATE(8526)] = 279912,
  [SMALL_STATE(8527)] = 279925,
  [SMALL_STATE(8528)] = 279938,
  [SMALL_STATE(8529)] = 279951,
  [SMALL_STATE(8530)] = 279964,
  [SMALL_STATE(8531)] = 279975,
  [SMALL_STATE(8532)] = 279988,
  [SMALL_STATE(8533)] = 279997,
  [SMALL_STATE(8534)] = 280010,
  [SMALL_STATE(8535)] = 280019,
  [SMALL_STATE(8536)] = 280028,
  [SMALL_STATE(8537)] = 280041,
  [SMALL_STATE(8538)] = 280054,
  [SMALL_STATE(8539)] = 280067,
  [SMALL_STATE(8540)] = 280080,
  [SMALL_STATE(8541)] = 280091,
  [SMALL_STATE(8542)] = 280104,
  [SMALL_STATE(8543)] = 280113,
  [SMALL_STATE(8544)] = 280126,
  [SMALL_STATE(8545)] = 280137,
  [SMALL_STATE(8546)] = 280148,
  [SMALL_STATE(8547)] = 280161,
  [SMALL_STATE(8548)] = 280172,
  [SMALL_STATE(8549)] = 280181,
  [SMALL_STATE(8550)] = 280194,
  [SMALL_STATE(8551)] = 280207,
  [SMALL_STATE(8552)] = 280220,
  [SMALL_STATE(8553)] = 280233,
  [SMALL_STATE(8554)] = 280246,
  [SMALL_STATE(8555)] = 280259,
  [SMALL_STATE(8556)] = 280272,
  [SMALL_STATE(8557)] = 280285,
  [SMALL_STATE(8558)] = 280298,
  [SMALL_STATE(8559)] = 280311,
  [SMALL_STATE(8560)] = 280324,
  [SMALL_STATE(8561)] = 280337,
  [SMALL_STATE(8562)] = 280348,
  [SMALL_STATE(8563)] = 280359,
  [SMALL_STATE(8564)] = 280372,
  [SMALL_STATE(8565)] = 280383,
  [SMALL_STATE(8566)] = 280396,
  [SMALL_STATE(8567)] = 280409,
  [SMALL_STATE(8568)] = 280422,
  [SMALL_STATE(8569)] = 280435,
  [SMALL_STATE(8570)] = 280448,
  [SMALL_STATE(8571)] = 280461,
  [SMALL_STATE(8572)] = 280474,
  [SMALL_STATE(8573)] = 280487,
  [SMALL_STATE(8574)] = 280500,
  [SMALL_STATE(8575)] = 280513,
  [SMALL_STATE(8576)] = 280524,
  [SMALL_STATE(8577)] = 280537,
  [SMALL_STATE(8578)] = 280550,
  [SMALL_STATE(8579)] = 280563,
  [SMALL_STATE(8580)] = 280576,
  [SMALL_STATE(8581)] = 280589,
  [SMALL_STATE(8582)] = 280602,
  [SMALL_STATE(8583)] = 280611,
  [SMALL_STATE(8584)] = 280624,
  [SMALL_STATE(8585)] = 280637,
  [SMALL_STATE(8586)] = 280650,
  [SMALL_STATE(8587)] = 280663,
  [SMALL_STATE(8588)] = 280676,
  [SMALL_STATE(8589)] = 280689,
  [SMALL_STATE(8590)] = 280702,
  [SMALL_STATE(8591)] = 280715,
  [SMALL_STATE(8592)] = 280728,
  [SMALL_STATE(8593)] = 280741,
  [SMALL_STATE(8594)] = 280754,
  [SMALL_STATE(8595)] = 280767,
  [SMALL_STATE(8596)] = 280776,
  [SMALL_STATE(8597)] = 280789,
  [SMALL_STATE(8598)] = 280798,
  [SMALL_STATE(8599)] = 280811,
  [SMALL_STATE(8600)] = 280824,
  [SMALL_STATE(8601)] = 280837,
  [SMALL_STATE(8602)] = 280850,
  [SMALL_STATE(8603)] = 280863,
  [SMALL_STATE(8604)] = 280876,
  [SMALL_STATE(8605)] = 280889,
  [SMALL_STATE(8606)] = 280902,
  [SMALL_STATE(8607)] = 280915,
  [SMALL_STATE(8608)] = 280928,
  [SMALL_STATE(8609)] = 280941,
  [SMALL_STATE(8610)] = 280954,
  [SMALL_STATE(8611)] = 280967,
  [SMALL_STATE(8612)] = 280980,
  [SMALL_STATE(8613)] = 280993,
  [SMALL_STATE(8614)] = 281004,
  [SMALL_STATE(8615)] = 281017,
  [SMALL_STATE(8616)] = 281028,
  [SMALL_STATE(8617)] = 281041,
  [SMALL_STATE(8618)] = 281052,
  [SMALL_STATE(8619)] = 281065,
  [SMALL_STATE(8620)] = 281076,
  [SMALL_STATE(8621)] = 281089,
  [SMALL_STATE(8622)] = 281102,
  [SMALL_STATE(8623)] = 281115,
  [SMALL_STATE(8624)] = 281128,
  [SMALL_STATE(8625)] = 281141,
  [SMALL_STATE(8626)] = 281154,
  [SMALL_STATE(8627)] = 281167,
  [SMALL_STATE(8628)] = 281178,
  [SMALL_STATE(8629)] = 281191,
  [SMALL_STATE(8630)] = 281202,
  [SMALL_STATE(8631)] = 281215,
  [SMALL_STATE(8632)] = 281228,
  [SMALL_STATE(8633)] = 281241,
  [SMALL_STATE(8634)] = 281254,
  [SMALL_STATE(8635)] = 281267,
  [SMALL_STATE(8636)] = 281276,
  [SMALL_STATE(8637)] = 281285,
  [SMALL_STATE(8638)] = 281298,
  [SMALL_STATE(8639)] = 281311,
  [SMALL_STATE(8640)] = 281324,
  [SMALL_STATE(8641)] = 281337,
  [SMALL_STATE(8642)] = 281350,
  [SMALL_STATE(8643)] = 281359,
  [SMALL_STATE(8644)] = 281368,
  [SMALL_STATE(8645)] = 281381,
  [SMALL_STATE(8646)] = 281394,
  [SMALL_STATE(8647)] = 281403,
  [SMALL_STATE(8648)] = 281414,
  [SMALL_STATE(8649)] = 281427,
  [SMALL_STATE(8650)] = 281440,
  [SMALL_STATE(8651)] = 281453,
  [SMALL_STATE(8652)] = 281466,
  [SMALL_STATE(8653)] = 281479,
  [SMALL_STATE(8654)] = 281492,
  [SMALL_STATE(8655)] = 281505,
  [SMALL_STATE(8656)] = 281516,
  [SMALL_STATE(8657)] = 281529,
  [SMALL_STATE(8658)] = 281540,
  [SMALL_STATE(8659)] = 281553,
  [SMALL_STATE(8660)] = 281566,
  [SMALL_STATE(8661)] = 281579,
  [SMALL_STATE(8662)] = 281592,
  [SMALL_STATE(8663)] = 281605,
  [SMALL_STATE(8664)] = 281618,
  [SMALL_STATE(8665)] = 281629,
  [SMALL_STATE(8666)] = 281642,
  [SMALL_STATE(8667)] = 281655,
  [SMALL_STATE(8668)] = 281668,
  [SMALL_STATE(8669)] = 281681,
  [SMALL_STATE(8670)] = 281694,
  [SMALL_STATE(8671)] = 281707,
  [SMALL_STATE(8672)] = 281720,
  [SMALL_STATE(8673)] = 281733,
  [SMALL_STATE(8674)] = 281746,
  [SMALL_STATE(8675)] = 281759,
  [SMALL_STATE(8676)] = 281770,
  [SMALL_STATE(8677)] = 281783,
  [SMALL_STATE(8678)] = 281796,
  [SMALL_STATE(8679)] = 281809,
  [SMALL_STATE(8680)] = 281822,
  [SMALL_STATE(8681)] = 281833,
  [SMALL_STATE(8682)] = 281846,
  [SMALL_STATE(8683)] = 281859,
  [SMALL_STATE(8684)] = 281872,
  [SMALL_STATE(8685)] = 281881,
  [SMALL_STATE(8686)] = 281894,
  [SMALL_STATE(8687)] = 281907,
  [SMALL_STATE(8688)] = 281920,
  [SMALL_STATE(8689)] = 281933,
  [SMALL_STATE(8690)] = 281942,
  [SMALL_STATE(8691)] = 281955,
  [SMALL_STATE(8692)] = 281968,
  [SMALL_STATE(8693)] = 281981,
  [SMALL_STATE(8694)] = 281994,
  [SMALL_STATE(8695)] = 282007,
  [SMALL_STATE(8696)] = 282020,
  [SMALL_STATE(8697)] = 282033,
  [SMALL_STATE(8698)] = 282044,
  [SMALL_STATE(8699)] = 282057,
  [SMALL_STATE(8700)] = 282068,
  [SMALL_STATE(8701)] = 282081,
  [SMALL_STATE(8702)] = 282094,
  [SMALL_STATE(8703)] = 282107,
  [SMALL_STATE(8704)] = 282120,
  [SMALL_STATE(8705)] = 282133,
  [SMALL_STATE(8706)] = 282146,
  [SMALL_STATE(8707)] = 282159,
  [SMALL_STATE(8708)] = 282172,
  [SMALL_STATE(8709)] = 282185,
  [SMALL_STATE(8710)] = 282198,
  [SMALL_STATE(8711)] = 282209,
  [SMALL_STATE(8712)] = 282222,
  [SMALL_STATE(8713)] = 282233,
  [SMALL_STATE(8714)] = 282246,
  [SMALL_STATE(8715)] = 282259,
  [SMALL_STATE(8716)] = 282272,
  [SMALL_STATE(8717)] = 282285,
  [SMALL_STATE(8718)] = 282298,
  [SMALL_STATE(8719)] = 282309,
  [SMALL_STATE(8720)] = 282322,
  [SMALL_STATE(8721)] = 282335,
  [SMALL_STATE(8722)] = 282346,
  [SMALL_STATE(8723)] = 282359,
  [SMALL_STATE(8724)] = 282372,
  [SMALL_STATE(8725)] = 282385,
  [SMALL_STATE(8726)] = 282398,
  [SMALL_STATE(8727)] = 282411,
  [SMALL_STATE(8728)] = 282424,
  [SMALL_STATE(8729)] = 282437,
  [SMALL_STATE(8730)] = 282450,
  [SMALL_STATE(8731)] = 282463,
  [SMALL_STATE(8732)] = 282476,
  [SMALL_STATE(8733)] = 282489,
  [SMALL_STATE(8734)] = 282502,
  [SMALL_STATE(8735)] = 282515,
  [SMALL_STATE(8736)] = 282524,
  [SMALL_STATE(8737)] = 282537,
  [SMALL_STATE(8738)] = 282550,
  [SMALL_STATE(8739)] = 282563,
  [SMALL_STATE(8740)] = 282576,
  [SMALL_STATE(8741)] = 282587,
  [SMALL_STATE(8742)] = 282598,
  [SMALL_STATE(8743)] = 282611,
  [SMALL_STATE(8744)] = 282624,
  [SMALL_STATE(8745)] = 282637,
  [SMALL_STATE(8746)] = 282650,
  [SMALL_STATE(8747)] = 282663,
  [SMALL_STATE(8748)] = 282676,
  [SMALL_STATE(8749)] = 282689,
  [SMALL_STATE(8750)] = 282702,
  [SMALL_STATE(8751)] = 282715,
  [SMALL_STATE(8752)] = 282728,
  [SMALL_STATE(8753)] = 282741,
  [SMALL_STATE(8754)] = 282754,
  [SMALL_STATE(8755)] = 282767,
  [SMALL_STATE(8756)] = 282780,
  [SMALL_STATE(8757)] = 282793,
  [SMALL_STATE(8758)] = 282804,
  [SMALL_STATE(8759)] = 282817,
  [SMALL_STATE(8760)] = 282830,
  [SMALL_STATE(8761)] = 282843,
  [SMALL_STATE(8762)] = 282854,
  [SMALL_STATE(8763)] = 282867,
  [SMALL_STATE(8764)] = 282880,
  [SMALL_STATE(8765)] = 282891,
  [SMALL_STATE(8766)] = 282904,
  [SMALL_STATE(8767)] = 282917,
  [SMALL_STATE(8768)] = 282930,
  [SMALL_STATE(8769)] = 282943,
  [SMALL_STATE(8770)] = 282956,
  [SMALL_STATE(8771)] = 282969,
  [SMALL_STATE(8772)] = 282982,
  [SMALL_STATE(8773)] = 282995,
  [SMALL_STATE(8774)] = 283008,
  [SMALL_STATE(8775)] = 283021,
  [SMALL_STATE(8776)] = 283034,
  [SMALL_STATE(8777)] = 283047,
  [SMALL_STATE(8778)] = 283060,
  [SMALL_STATE(8779)] = 283071,
  [SMALL_STATE(8780)] = 283084,
  [SMALL_STATE(8781)] = 283097,
  [SMALL_STATE(8782)] = 283110,
  [SMALL_STATE(8783)] = 283123,
  [SMALL_STATE(8784)] = 283136,
  [SMALL_STATE(8785)] = 283149,
  [SMALL_STATE(8786)] = 283160,
  [SMALL_STATE(8787)] = 283173,
  [SMALL_STATE(8788)] = 283186,
  [SMALL_STATE(8789)] = 283197,
  [SMALL_STATE(8790)] = 283210,
  [SMALL_STATE(8791)] = 283223,
  [SMALL_STATE(8792)] = 283236,
  [SMALL_STATE(8793)] = 283249,
  [SMALL_STATE(8794)] = 283262,
  [SMALL_STATE(8795)] = 283275,
  [SMALL_STATE(8796)] = 283288,
  [SMALL_STATE(8797)] = 283301,
  [SMALL_STATE(8798)] = 283314,
  [SMALL_STATE(8799)] = 283327,
  [SMALL_STATE(8800)] = 283340,
  [SMALL_STATE(8801)] = 283351,
  [SMALL_STATE(8802)] = 283364,
  [SMALL_STATE(8803)] = 283377,
  [SMALL_STATE(8804)] = 283390,
  [SMALL_STATE(8805)] = 283403,
  [SMALL_STATE(8806)] = 283416,
  [SMALL_STATE(8807)] = 283429,
  [SMALL_STATE(8808)] = 283442,
  [SMALL_STATE(8809)] = 283453,
  [SMALL_STATE(8810)] = 283466,
  [SMALL_STATE(8811)] = 283479,
  [SMALL_STATE(8812)] = 283492,
  [SMALL_STATE(8813)] = 283503,
  [SMALL_STATE(8814)] = 283512,
  [SMALL_STATE(8815)] = 283525,
  [SMALL_STATE(8816)] = 283538,
  [SMALL_STATE(8817)] = 283547,
  [SMALL_STATE(8818)] = 283556,
  [SMALL_STATE(8819)] = 283569,
  [SMALL_STATE(8820)] = 283582,
  [SMALL_STATE(8821)] = 283595,
  [SMALL_STATE(8822)] = 283608,
  [SMALL_STATE(8823)] = 283621,
  [SMALL_STATE(8824)] = 283634,
  [SMALL_STATE(8825)] = 283645,
  [SMALL_STATE(8826)] = 283658,
  [SMALL_STATE(8827)] = 283671,
  [SMALL_STATE(8828)] = 283684,
  [SMALL_STATE(8829)] = 283697,
  [SMALL_STATE(8830)] = 283710,
  [SMALL_STATE(8831)] = 283723,
  [SMALL_STATE(8832)] = 283736,
  [SMALL_STATE(8833)] = 283745,
  [SMALL_STATE(8834)] = 283756,
  [SMALL_STATE(8835)] = 283769,
  [SMALL_STATE(8836)] = 283782,
  [SMALL_STATE(8837)] = 283795,
  [SMALL_STATE(8838)] = 283808,
  [SMALL_STATE(8839)] = 283821,
  [SMALL_STATE(8840)] = 283834,
  [SMALL_STATE(8841)] = 283847,
  [SMALL_STATE(8842)] = 283860,
  [SMALL_STATE(8843)] = 283873,
  [SMALL_STATE(8844)] = 283886,
  [SMALL_STATE(8845)] = 283899,
  [SMALL_STATE(8846)] = 283912,
  [SMALL_STATE(8847)] = 283925,
  [SMALL_STATE(8848)] = 283938,
  [SMALL_STATE(8849)] = 283951,
  [SMALL_STATE(8850)] = 283964,
  [SMALL_STATE(8851)] = 283977,
  [SMALL_STATE(8852)] = 283990,
  [SMALL_STATE(8853)] = 284003,
  [SMALL_STATE(8854)] = 284016,
  [SMALL_STATE(8855)] = 284029,
  [SMALL_STATE(8856)] = 284042,
  [SMALL_STATE(8857)] = 284055,
  [SMALL_STATE(8858)] = 284068,
  [SMALL_STATE(8859)] = 284081,
  [SMALL_STATE(8860)] = 284094,
  [SMALL_STATE(8861)] = 284107,
  [SMALL_STATE(8862)] = 284120,
  [SMALL_STATE(8863)] = 284133,
  [SMALL_STATE(8864)] = 284146,
  [SMALL_STATE(8865)] = 284159,
  [SMALL_STATE(8866)] = 284172,
  [SMALL_STATE(8867)] = 284185,
  [SMALL_STATE(8868)] = 284198,
  [SMALL_STATE(8869)] = 284211,
  [SMALL_STATE(8870)] = 284224,
  [SMALL_STATE(8871)] = 284237,
  [SMALL_STATE(8872)] = 284248,
  [SMALL_STATE(8873)] = 284261,
  [SMALL_STATE(8874)] = 284274,
  [SMALL_STATE(8875)] = 284287,
  [SMALL_STATE(8876)] = 284300,
  [SMALL_STATE(8877)] = 284313,
  [SMALL_STATE(8878)] = 284326,
  [SMALL_STATE(8879)] = 284339,
  [SMALL_STATE(8880)] = 284352,
  [SMALL_STATE(8881)] = 284365,
  [SMALL_STATE(8882)] = 284378,
  [SMALL_STATE(8883)] = 284391,
  [SMALL_STATE(8884)] = 284404,
  [SMALL_STATE(8885)] = 284417,
  [SMALL_STATE(8886)] = 284430,
  [SMALL_STATE(8887)] = 284443,
  [SMALL_STATE(8888)] = 284456,
  [SMALL_STATE(8889)] = 284469,
  [SMALL_STATE(8890)] = 284482,
  [SMALL_STATE(8891)] = 284493,
  [SMALL_STATE(8892)] = 284506,
  [SMALL_STATE(8893)] = 284519,
  [SMALL_STATE(8894)] = 284532,
  [SMALL_STATE(8895)] = 284545,
  [SMALL_STATE(8896)] = 284556,
  [SMALL_STATE(8897)] = 284569,
  [SMALL_STATE(8898)] = 284580,
  [SMALL_STATE(8899)] = 284593,
  [SMALL_STATE(8900)] = 284604,
  [SMALL_STATE(8901)] = 284615,
  [SMALL_STATE(8902)] = 284628,
  [SMALL_STATE(8903)] = 284641,
  [SMALL_STATE(8904)] = 284654,
  [SMALL_STATE(8905)] = 284667,
  [SMALL_STATE(8906)] = 284680,
  [SMALL_STATE(8907)] = 284693,
  [SMALL_STATE(8908)] = 284706,
  [SMALL_STATE(8909)] = 284719,
  [SMALL_STATE(8910)] = 284732,
  [SMALL_STATE(8911)] = 284743,
  [SMALL_STATE(8912)] = 284752,
  [SMALL_STATE(8913)] = 284765,
  [SMALL_STATE(8914)] = 284778,
  [SMALL_STATE(8915)] = 284791,
  [SMALL_STATE(8916)] = 284804,
  [SMALL_STATE(8917)] = 284817,
  [SMALL_STATE(8918)] = 284828,
  [SMALL_STATE(8919)] = 284841,
  [SMALL_STATE(8920)] = 284854,
  [SMALL_STATE(8921)] = 284867,
  [SMALL_STATE(8922)] = 284880,
  [SMALL_STATE(8923)] = 284893,
  [SMALL_STATE(8924)] = 284906,
  [SMALL_STATE(8925)] = 284919,
  [SMALL_STATE(8926)] = 284932,
  [SMALL_STATE(8927)] = 284945,
  [SMALL_STATE(8928)] = 284958,
  [SMALL_STATE(8929)] = 284971,
  [SMALL_STATE(8930)] = 284984,
  [SMALL_STATE(8931)] = 284997,
  [SMALL_STATE(8932)] = 285008,
  [SMALL_STATE(8933)] = 285021,
  [SMALL_STATE(8934)] = 285034,
  [SMALL_STATE(8935)] = 285047,
  [SMALL_STATE(8936)] = 285060,
  [SMALL_STATE(8937)] = 285073,
  [SMALL_STATE(8938)] = 285082,
  [SMALL_STATE(8939)] = 285093,
  [SMALL_STATE(8940)] = 285102,
  [SMALL_STATE(8941)] = 285115,
  [SMALL_STATE(8942)] = 285128,
  [SMALL_STATE(8943)] = 285141,
  [SMALL_STATE(8944)] = 285154,
  [SMALL_STATE(8945)] = 285167,
  [SMALL_STATE(8946)] = 285180,
  [SMALL_STATE(8947)] = 285193,
  [SMALL_STATE(8948)] = 285206,
  [SMALL_STATE(8949)] = 285217,
  [SMALL_STATE(8950)] = 285230,
  [SMALL_STATE(8951)] = 285243,
  [SMALL_STATE(8952)] = 285256,
  [SMALL_STATE(8953)] = 285269,
  [SMALL_STATE(8954)] = 285282,
  [SMALL_STATE(8955)] = 285295,
  [SMALL_STATE(8956)] = 285306,
  [SMALL_STATE(8957)] = 285319,
  [SMALL_STATE(8958)] = 285332,
  [SMALL_STATE(8959)] = 285345,
  [SMALL_STATE(8960)] = 285358,
  [SMALL_STATE(8961)] = 285371,
  [SMALL_STATE(8962)] = 285384,
  [SMALL_STATE(8963)] = 285395,
  [SMALL_STATE(8964)] = 285408,
  [SMALL_STATE(8965)] = 285421,
  [SMALL_STATE(8966)] = 285434,
  [SMALL_STATE(8967)] = 285447,
  [SMALL_STATE(8968)] = 285460,
  [SMALL_STATE(8969)] = 285473,
  [SMALL_STATE(8970)] = 285486,
  [SMALL_STATE(8971)] = 285499,
  [SMALL_STATE(8972)] = 285512,
  [SMALL_STATE(8973)] = 285525,
  [SMALL_STATE(8974)] = 285538,
  [SMALL_STATE(8975)] = 285551,
  [SMALL_STATE(8976)] = 285561,
  [SMALL_STATE(8977)] = 285571,
  [SMALL_STATE(8978)] = 285581,
  [SMALL_STATE(8979)] = 285591,
  [SMALL_STATE(8980)] = 285601,
  [SMALL_STATE(8981)] = 285611,
  [SMALL_STATE(8982)] = 285621,
  [SMALL_STATE(8983)] = 285631,
  [SMALL_STATE(8984)] = 285641,
  [SMALL_STATE(8985)] = 285651,
  [SMALL_STATE(8986)] = 285661,
  [SMALL_STATE(8987)] = 285671,
  [SMALL_STATE(8988)] = 285681,
  [SMALL_STATE(8989)] = 285691,
  [SMALL_STATE(8990)] = 285701,
  [SMALL_STATE(8991)] = 285711,
  [SMALL_STATE(8992)] = 285721,
  [SMALL_STATE(8993)] = 285731,
  [SMALL_STATE(8994)] = 285741,
  [SMALL_STATE(8995)] = 285751,
  [SMALL_STATE(8996)] = 285761,
  [SMALL_STATE(8997)] = 285771,
  [SMALL_STATE(8998)] = 285781,
  [SMALL_STATE(8999)] = 285791,
  [SMALL_STATE(9000)] = 285801,
  [SMALL_STATE(9001)] = 285811,
  [SMALL_STATE(9002)] = 285821,
  [SMALL_STATE(9003)] = 285831,
  [SMALL_STATE(9004)] = 285841,
  [SMALL_STATE(9005)] = 285851,
  [SMALL_STATE(9006)] = 285861,
  [SMALL_STATE(9007)] = 285871,
  [SMALL_STATE(9008)] = 285881,
  [SMALL_STATE(9009)] = 285889,
  [SMALL_STATE(9010)] = 285899,
  [SMALL_STATE(9011)] = 285909,
  [SMALL_STATE(9012)] = 285919,
  [SMALL_STATE(9013)] = 285929,
  [SMALL_STATE(9014)] = 285937,
  [SMALL_STATE(9015)] = 285947,
  [SMALL_STATE(9016)] = 285955,
  [SMALL_STATE(9017)] = 285965,
  [SMALL_STATE(9018)] = 285975,
  [SMALL_STATE(9019)] = 285985,
  [SMALL_STATE(9020)] = 285995,
  [SMALL_STATE(9021)] = 286005,
  [SMALL_STATE(9022)] = 286015,
  [SMALL_STATE(9023)] = 286025,
  [SMALL_STATE(9024)] = 286035,
  [SMALL_STATE(9025)] = 286045,
  [SMALL_STATE(9026)] = 286055,
  [SMALL_STATE(9027)] = 286065,
  [SMALL_STATE(9028)] = 286075,
  [SMALL_STATE(9029)] = 286085,
  [SMALL_STATE(9030)] = 286095,
  [SMALL_STATE(9031)] = 286103,
  [SMALL_STATE(9032)] = 286111,
  [SMALL_STATE(9033)] = 286121,
  [SMALL_STATE(9034)] = 286131,
  [SMALL_STATE(9035)] = 286139,
  [SMALL_STATE(9036)] = 286149,
  [SMALL_STATE(9037)] = 286157,
  [SMALL_STATE(9038)] = 286167,
  [SMALL_STATE(9039)] = 286177,
  [SMALL_STATE(9040)] = 286187,
  [SMALL_STATE(9041)] = 286197,
  [SMALL_STATE(9042)] = 286205,
  [SMALL_STATE(9043)] = 286215,
  [SMALL_STATE(9044)] = 286225,
  [SMALL_STATE(9045)] = 286235,
  [SMALL_STATE(9046)] = 286245,
  [SMALL_STATE(9047)] = 286255,
  [SMALL_STATE(9048)] = 286265,
  [SMALL_STATE(9049)] = 286275,
  [SMALL_STATE(9050)] = 286283,
  [SMALL_STATE(9051)] = 286293,
  [SMALL_STATE(9052)] = 286303,
  [SMALL_STATE(9053)] = 286313,
  [SMALL_STATE(9054)] = 286323,
  [SMALL_STATE(9055)] = 286333,
  [SMALL_STATE(9056)] = 286343,
  [SMALL_STATE(9057)] = 286353,
  [SMALL_STATE(9058)] = 286361,
  [SMALL_STATE(9059)] = 286371,
  [SMALL_STATE(9060)] = 286381,
  [SMALL_STATE(9061)] = 286391,
  [SMALL_STATE(9062)] = 286401,
  [SMALL_STATE(9063)] = 286409,
  [SMALL_STATE(9064)] = 286419,
  [SMALL_STATE(9065)] = 286429,
  [SMALL_STATE(9066)] = 286439,
  [SMALL_STATE(9067)] = 286449,
  [SMALL_STATE(9068)] = 286457,
  [SMALL_STATE(9069)] = 286467,
  [SMALL_STATE(9070)] = 286477,
  [SMALL_STATE(9071)] = 286487,
  [SMALL_STATE(9072)] = 286495,
  [SMALL_STATE(9073)] = 286505,
  [SMALL_STATE(9074)] = 286515,
  [SMALL_STATE(9075)] = 286525,
  [SMALL_STATE(9076)] = 286535,
  [SMALL_STATE(9077)] = 286545,
  [SMALL_STATE(9078)] = 286555,
  [SMALL_STATE(9079)] = 286565,
  [SMALL_STATE(9080)] = 286575,
  [SMALL_STATE(9081)] = 286585,
  [SMALL_STATE(9082)] = 286595,
  [SMALL_STATE(9083)] = 286605,
  [SMALL_STATE(9084)] = 286615,
  [SMALL_STATE(9085)] = 286625,
  [SMALL_STATE(9086)] = 286633,
  [SMALL_STATE(9087)] = 286643,
  [SMALL_STATE(9088)] = 286653,
  [SMALL_STATE(9089)] = 286663,
  [SMALL_STATE(9090)] = 286673,
  [SMALL_STATE(9091)] = 286683,
  [SMALL_STATE(9092)] = 286691,
  [SMALL_STATE(9093)] = 286701,
  [SMALL_STATE(9094)] = 286711,
  [SMALL_STATE(9095)] = 286721,
  [SMALL_STATE(9096)] = 286731,
  [SMALL_STATE(9097)] = 286741,
  [SMALL_STATE(9098)] = 286751,
  [SMALL_STATE(9099)] = 286761,
  [SMALL_STATE(9100)] = 286771,
  [SMALL_STATE(9101)] = 286781,
  [SMALL_STATE(9102)] = 286791,
  [SMALL_STATE(9103)] = 286801,
  [SMALL_STATE(9104)] = 286811,
  [SMALL_STATE(9105)] = 286821,
  [SMALL_STATE(9106)] = 286831,
  [SMALL_STATE(9107)] = 286841,
  [SMALL_STATE(9108)] = 286851,
  [SMALL_STATE(9109)] = 286861,
  [SMALL_STATE(9110)] = 286871,
  [SMALL_STATE(9111)] = 286881,
  [SMALL_STATE(9112)] = 286891,
  [SMALL_STATE(9113)] = 286901,
  [SMALL_STATE(9114)] = 286911,
  [SMALL_STATE(9115)] = 286921,
  [SMALL_STATE(9116)] = 286931,
  [SMALL_STATE(9117)] = 286941,
  [SMALL_STATE(9118)] = 286951,
  [SMALL_STATE(9119)] = 286961,
  [SMALL_STATE(9120)] = 286971,
  [SMALL_STATE(9121)] = 286981,
  [SMALL_STATE(9122)] = 286991,
  [SMALL_STATE(9123)] = 287001,
  [SMALL_STATE(9124)] = 287011,
  [SMALL_STATE(9125)] = 287021,
  [SMALL_STATE(9126)] = 287031,
  [SMALL_STATE(9127)] = 287041,
  [SMALL_STATE(9128)] = 287051,
  [SMALL_STATE(9129)] = 287061,
  [SMALL_STATE(9130)] = 287071,
  [SMALL_STATE(9131)] = 287081,
  [SMALL_STATE(9132)] = 287091,
  [SMALL_STATE(9133)] = 287101,
  [SMALL_STATE(9134)] = 287111,
  [SMALL_STATE(9135)] = 287121,
  [SMALL_STATE(9136)] = 287131,
  [SMALL_STATE(9137)] = 287141,
  [SMALL_STATE(9138)] = 287151,
  [SMALL_STATE(9139)] = 287161,
  [SMALL_STATE(9140)] = 287171,
  [SMALL_STATE(9141)] = 287181,
  [SMALL_STATE(9142)] = 287191,
  [SMALL_STATE(9143)] = 287201,
  [SMALL_STATE(9144)] = 287211,
  [SMALL_STATE(9145)] = 287221,
  [SMALL_STATE(9146)] = 287231,
  [SMALL_STATE(9147)] = 287241,
  [SMALL_STATE(9148)] = 287251,
  [SMALL_STATE(9149)] = 287261,
  [SMALL_STATE(9150)] = 287271,
  [SMALL_STATE(9151)] = 287281,
  [SMALL_STATE(9152)] = 287291,
  [SMALL_STATE(9153)] = 287301,
  [SMALL_STATE(9154)] = 287311,
  [SMALL_STATE(9155)] = 287321,
  [SMALL_STATE(9156)] = 287331,
  [SMALL_STATE(9157)] = 287341,
  [SMALL_STATE(9158)] = 287351,
  [SMALL_STATE(9159)] = 287361,
  [SMALL_STATE(9160)] = 287371,
  [SMALL_STATE(9161)] = 287381,
  [SMALL_STATE(9162)] = 287391,
  [SMALL_STATE(9163)] = 287401,
  [SMALL_STATE(9164)] = 287411,
  [SMALL_STATE(9165)] = 287421,
  [SMALL_STATE(9166)] = 287431,
  [SMALL_STATE(9167)] = 287441,
  [SMALL_STATE(9168)] = 287451,
  [SMALL_STATE(9169)] = 287461,
  [SMALL_STATE(9170)] = 287471,
  [SMALL_STATE(9171)] = 287481,
  [SMALL_STATE(9172)] = 287491,
  [SMALL_STATE(9173)] = 287501,
  [SMALL_STATE(9174)] = 287511,
  [SMALL_STATE(9175)] = 287521,
  [SMALL_STATE(9176)] = 287531,
  [SMALL_STATE(9177)] = 287541,
  [SMALL_STATE(9178)] = 287551,
  [SMALL_STATE(9179)] = 287561,
  [SMALL_STATE(9180)] = 287571,
  [SMALL_STATE(9181)] = 287581,
  [SMALL_STATE(9182)] = 287589,
  [SMALL_STATE(9183)] = 287599,
  [SMALL_STATE(9184)] = 287609,
  [SMALL_STATE(9185)] = 287619,
  [SMALL_STATE(9186)] = 287627,
  [SMALL_STATE(9187)] = 287637,
  [SMALL_STATE(9188)] = 287647,
  [SMALL_STATE(9189)] = 287657,
  [SMALL_STATE(9190)] = 287667,
  [SMALL_STATE(9191)] = 287677,
  [SMALL_STATE(9192)] = 287687,
  [SMALL_STATE(9193)] = 287697,
  [SMALL_STATE(9194)] = 287707,
  [SMALL_STATE(9195)] = 287715,
  [SMALL_STATE(9196)] = 287725,
  [SMALL_STATE(9197)] = 287735,
  [SMALL_STATE(9198)] = 287745,
  [SMALL_STATE(9199)] = 287755,
  [SMALL_STATE(9200)] = 287765,
  [SMALL_STATE(9201)] = 287773,
  [SMALL_STATE(9202)] = 287781,
  [SMALL_STATE(9203)] = 287791,
  [SMALL_STATE(9204)] = 287801,
  [SMALL_STATE(9205)] = 287811,
  [SMALL_STATE(9206)] = 287821,
  [SMALL_STATE(9207)] = 287829,
  [SMALL_STATE(9208)] = 287837,
  [SMALL_STATE(9209)] = 287847,
  [SMALL_STATE(9210)] = 287857,
  [SMALL_STATE(9211)] = 287867,
  [SMALL_STATE(9212)] = 287877,
  [SMALL_STATE(9213)] = 287887,
  [SMALL_STATE(9214)] = 287897,
  [SMALL_STATE(9215)] = 287907,
  [SMALL_STATE(9216)] = 287917,
  [SMALL_STATE(9217)] = 287925,
  [SMALL_STATE(9218)] = 287935,
  [SMALL_STATE(9219)] = 287945,
  [SMALL_STATE(9220)] = 287953,
  [SMALL_STATE(9221)] = 287961,
  [SMALL_STATE(9222)] = 287971,
  [SMALL_STATE(9223)] = 287981,
  [SMALL_STATE(9224)] = 287991,
  [SMALL_STATE(9225)] = 288001,
  [SMALL_STATE(9226)] = 288011,
  [SMALL_STATE(9227)] = 288021,
  [SMALL_STATE(9228)] = 288031,
  [SMALL_STATE(9229)] = 288041,
  [SMALL_STATE(9230)] = 288051,
  [SMALL_STATE(9231)] = 288059,
  [SMALL_STATE(9232)] = 288069,
  [SMALL_STATE(9233)] = 288077,
  [SMALL_STATE(9234)] = 288087,
  [SMALL_STATE(9235)] = 288097,
  [SMALL_STATE(9236)] = 288105,
  [SMALL_STATE(9237)] = 288115,
  [SMALL_STATE(9238)] = 288125,
  [SMALL_STATE(9239)] = 288135,
  [SMALL_STATE(9240)] = 288143,
  [SMALL_STATE(9241)] = 288151,
  [SMALL_STATE(9242)] = 288161,
  [SMALL_STATE(9243)] = 288169,
  [SMALL_STATE(9244)] = 288177,
  [SMALL_STATE(9245)] = 288187,
  [SMALL_STATE(9246)] = 288197,
  [SMALL_STATE(9247)] = 288207,
  [SMALL_STATE(9248)] = 288217,
  [SMALL_STATE(9249)] = 288227,
  [SMALL_STATE(9250)] = 288237,
  [SMALL_STATE(9251)] = 288247,
  [SMALL_STATE(9252)] = 288257,
  [SMALL_STATE(9253)] = 288267,
  [SMALL_STATE(9254)] = 288277,
  [SMALL_STATE(9255)] = 288287,
  [SMALL_STATE(9256)] = 288297,
  [SMALL_STATE(9257)] = 288307,
  [SMALL_STATE(9258)] = 288317,
  [SMALL_STATE(9259)] = 288325,
  [SMALL_STATE(9260)] = 288335,
  [SMALL_STATE(9261)] = 288345,
  [SMALL_STATE(9262)] = 288355,
  [SMALL_STATE(9263)] = 288365,
  [SMALL_STATE(9264)] = 288375,
  [SMALL_STATE(9265)] = 288385,
  [SMALL_STATE(9266)] = 288393,
  [SMALL_STATE(9267)] = 288403,
  [SMALL_STATE(9268)] = 288413,
  [SMALL_STATE(9269)] = 288423,
  [SMALL_STATE(9270)] = 288433,
  [SMALL_STATE(9271)] = 288443,
  [SMALL_STATE(9272)] = 288453,
  [SMALL_STATE(9273)] = 288463,
  [SMALL_STATE(9274)] = 288473,
  [SMALL_STATE(9275)] = 288483,
  [SMALL_STATE(9276)] = 288493,
  [SMALL_STATE(9277)] = 288503,
  [SMALL_STATE(9278)] = 288513,
  [SMALL_STATE(9279)] = 288523,
  [SMALL_STATE(9280)] = 288533,
  [SMALL_STATE(9281)] = 288543,
  [SMALL_STATE(9282)] = 288553,
  [SMALL_STATE(9283)] = 288563,
  [SMALL_STATE(9284)] = 288573,
  [SMALL_STATE(9285)] = 288583,
  [SMALL_STATE(9286)] = 288593,
  [SMALL_STATE(9287)] = 288603,
  [SMALL_STATE(9288)] = 288613,
  [SMALL_STATE(9289)] = 288623,
  [SMALL_STATE(9290)] = 288633,
  [SMALL_STATE(9291)] = 288643,
  [SMALL_STATE(9292)] = 288653,
  [SMALL_STATE(9293)] = 288663,
  [SMALL_STATE(9294)] = 288673,
  [SMALL_STATE(9295)] = 288683,
  [SMALL_STATE(9296)] = 288693,
  [SMALL_STATE(9297)] = 288703,
  [SMALL_STATE(9298)] = 288713,
  [SMALL_STATE(9299)] = 288723,
  [SMALL_STATE(9300)] = 288733,
  [SMALL_STATE(9301)] = 288743,
  [SMALL_STATE(9302)] = 288753,
  [SMALL_STATE(9303)] = 288763,
  [SMALL_STATE(9304)] = 288773,
  [SMALL_STATE(9305)] = 288783,
  [SMALL_STATE(9306)] = 288793,
  [SMALL_STATE(9307)] = 288803,
  [SMALL_STATE(9308)] = 288813,
  [SMALL_STATE(9309)] = 288823,
  [SMALL_STATE(9310)] = 288833,
  [SMALL_STATE(9311)] = 288843,
  [SMALL_STATE(9312)] = 288853,
  [SMALL_STATE(9313)] = 288863,
  [SMALL_STATE(9314)] = 288873,
  [SMALL_STATE(9315)] = 288883,
  [SMALL_STATE(9316)] = 288893,
  [SMALL_STATE(9317)] = 288903,
  [SMALL_STATE(9318)] = 288911,
  [SMALL_STATE(9319)] = 288921,
  [SMALL_STATE(9320)] = 288931,
  [SMALL_STATE(9321)] = 288941,
  [SMALL_STATE(9322)] = 288951,
  [SMALL_STATE(9323)] = 288961,
  [SMALL_STATE(9324)] = 288971,
  [SMALL_STATE(9325)] = 288981,
  [SMALL_STATE(9326)] = 288991,
  [SMALL_STATE(9327)] = 289001,
  [SMALL_STATE(9328)] = 289011,
  [SMALL_STATE(9329)] = 289021,
  [SMALL_STATE(9330)] = 289031,
  [SMALL_STATE(9331)] = 289041,
  [SMALL_STATE(9332)] = 289051,
  [SMALL_STATE(9333)] = 289061,
  [SMALL_STATE(9334)] = 289071,
  [SMALL_STATE(9335)] = 289081,
  [SMALL_STATE(9336)] = 289091,
  [SMALL_STATE(9337)] = 289099,
  [SMALL_STATE(9338)] = 289107,
  [SMALL_STATE(9339)] = 289117,
  [SMALL_STATE(9340)] = 289127,
  [SMALL_STATE(9341)] = 289137,
  [SMALL_STATE(9342)] = 289147,
  [SMALL_STATE(9343)] = 289157,
  [SMALL_STATE(9344)] = 289167,
  [SMALL_STATE(9345)] = 289177,
  [SMALL_STATE(9346)] = 289187,
  [SMALL_STATE(9347)] = 289197,
  [SMALL_STATE(9348)] = 289207,
  [SMALL_STATE(9349)] = 289217,
  [SMALL_STATE(9350)] = 289227,
  [SMALL_STATE(9351)] = 289237,
  [SMALL_STATE(9352)] = 289247,
  [SMALL_STATE(9353)] = 289257,
  [SMALL_STATE(9354)] = 289267,
  [SMALL_STATE(9355)] = 289277,
  [SMALL_STATE(9356)] = 289287,
  [SMALL_STATE(9357)] = 289297,
  [SMALL_STATE(9358)] = 289307,
  [SMALL_STATE(9359)] = 289317,
  [SMALL_STATE(9360)] = 289327,
  [SMALL_STATE(9361)] = 289337,
  [SMALL_STATE(9362)] = 289347,
  [SMALL_STATE(9363)] = 289357,
  [SMALL_STATE(9364)] = 289367,
  [SMALL_STATE(9365)] = 289377,
  [SMALL_STATE(9366)] = 289387,
  [SMALL_STATE(9367)] = 289397,
  [SMALL_STATE(9368)] = 289407,
  [SMALL_STATE(9369)] = 289417,
  [SMALL_STATE(9370)] = 289427,
  [SMALL_STATE(9371)] = 289437,
  [SMALL_STATE(9372)] = 289447,
  [SMALL_STATE(9373)] = 289455,
  [SMALL_STATE(9374)] = 289465,
  [SMALL_STATE(9375)] = 289475,
  [SMALL_STATE(9376)] = 289485,
  [SMALL_STATE(9377)] = 289495,
  [SMALL_STATE(9378)] = 289505,
  [SMALL_STATE(9379)] = 289513,
  [SMALL_STATE(9380)] = 289523,
  [SMALL_STATE(9381)] = 289533,
  [SMALL_STATE(9382)] = 289543,
  [SMALL_STATE(9383)] = 289553,
  [SMALL_STATE(9384)] = 289563,
  [SMALL_STATE(9385)] = 289571,
  [SMALL_STATE(9386)] = 289581,
  [SMALL_STATE(9387)] = 289591,
  [SMALL_STATE(9388)] = 289601,
  [SMALL_STATE(9389)] = 289611,
  [SMALL_STATE(9390)] = 289621,
  [SMALL_STATE(9391)] = 289631,
  [SMALL_STATE(9392)] = 289641,
  [SMALL_STATE(9393)] = 289651,
  [SMALL_STATE(9394)] = 289661,
  [SMALL_STATE(9395)] = 289671,
  [SMALL_STATE(9396)] = 289681,
  [SMALL_STATE(9397)] = 289691,
  [SMALL_STATE(9398)] = 289701,
  [SMALL_STATE(9399)] = 289711,
  [SMALL_STATE(9400)] = 289721,
  [SMALL_STATE(9401)] = 289731,
  [SMALL_STATE(9402)] = 289741,
  [SMALL_STATE(9403)] = 289751,
  [SMALL_STATE(9404)] = 289761,
  [SMALL_STATE(9405)] = 289771,
  [SMALL_STATE(9406)] = 289781,
  [SMALL_STATE(9407)] = 289791,
  [SMALL_STATE(9408)] = 289801,
  [SMALL_STATE(9409)] = 289811,
  [SMALL_STATE(9410)] = 289819,
  [SMALL_STATE(9411)] = 289829,
  [SMALL_STATE(9412)] = 289839,
  [SMALL_STATE(9413)] = 289849,
  [SMALL_STATE(9414)] = 289859,
  [SMALL_STATE(9415)] = 289869,
  [SMALL_STATE(9416)] = 289879,
  [SMALL_STATE(9417)] = 289889,
  [SMALL_STATE(9418)] = 289897,
  [SMALL_STATE(9419)] = 289907,
  [SMALL_STATE(9420)] = 289917,
  [SMALL_STATE(9421)] = 289927,
  [SMALL_STATE(9422)] = 289937,
  [SMALL_STATE(9423)] = 289947,
  [SMALL_STATE(9424)] = 289957,
  [SMALL_STATE(9425)] = 289967,
  [SMALL_STATE(9426)] = 289977,
  [SMALL_STATE(9427)] = 289987,
  [SMALL_STATE(9428)] = 289997,
  [SMALL_STATE(9429)] = 290005,
  [SMALL_STATE(9430)] = 290015,
  [SMALL_STATE(9431)] = 290025,
  [SMALL_STATE(9432)] = 290035,
  [SMALL_STATE(9433)] = 290045,
  [SMALL_STATE(9434)] = 290055,
  [SMALL_STATE(9435)] = 290065,
  [SMALL_STATE(9436)] = 290075,
  [SMALL_STATE(9437)] = 290085,
  [SMALL_STATE(9438)] = 290095,
  [SMALL_STATE(9439)] = 290105,
  [SMALL_STATE(9440)] = 290115,
  [SMALL_STATE(9441)] = 290125,
  [SMALL_STATE(9442)] = 290135,
  [SMALL_STATE(9443)] = 290145,
  [SMALL_STATE(9444)] = 290155,
  [SMALL_STATE(9445)] = 290162,
  [SMALL_STATE(9446)] = 290169,
  [SMALL_STATE(9447)] = 290176,
  [SMALL_STATE(9448)] = 290183,
  [SMALL_STATE(9449)] = 290190,
  [SMALL_STATE(9450)] = 290197,
  [SMALL_STATE(9451)] = 290204,
  [SMALL_STATE(9452)] = 290211,
  [SMALL_STATE(9453)] = 290218,
  [SMALL_STATE(9454)] = 290225,
  [SMALL_STATE(9455)] = 290232,
  [SMALL_STATE(9456)] = 290239,
  [SMALL_STATE(9457)] = 290246,
  [SMALL_STATE(9458)] = 290253,
  [SMALL_STATE(9459)] = 290260,
  [SMALL_STATE(9460)] = 290267,
  [SMALL_STATE(9461)] = 290274,
  [SMALL_STATE(9462)] = 290281,
  [SMALL_STATE(9463)] = 290288,
  [SMALL_STATE(9464)] = 290295,
  [SMALL_STATE(9465)] = 290302,
  [SMALL_STATE(9466)] = 290309,
  [SMALL_STATE(9467)] = 290316,
  [SMALL_STATE(9468)] = 290323,
  [SMALL_STATE(9469)] = 290330,
  [SMALL_STATE(9470)] = 290337,
  [SMALL_STATE(9471)] = 290344,
  [SMALL_STATE(9472)] = 290351,
  [SMALL_STATE(9473)] = 290358,
  [SMALL_STATE(9474)] = 290365,
  [SMALL_STATE(9475)] = 290372,
  [SMALL_STATE(9476)] = 290379,
  [SMALL_STATE(9477)] = 290386,
  [SMALL_STATE(9478)] = 290393,
  [SMALL_STATE(9479)] = 290400,
  [SMALL_STATE(9480)] = 290407,
  [SMALL_STATE(9481)] = 290414,
  [SMALL_STATE(9482)] = 290421,
  [SMALL_STATE(9483)] = 290428,
  [SMALL_STATE(9484)] = 290435,
  [SMALL_STATE(9485)] = 290442,
  [SMALL_STATE(9486)] = 290449,
  [SMALL_STATE(9487)] = 290456,
  [SMALL_STATE(9488)] = 290463,
  [SMALL_STATE(9489)] = 290470,
  [SMALL_STATE(9490)] = 290477,
  [SMALL_STATE(9491)] = 290484,
  [SMALL_STATE(9492)] = 290491,
  [SMALL_STATE(9493)] = 290498,
  [SMALL_STATE(9494)] = 290505,
  [SMALL_STATE(9495)] = 290512,
  [SMALL_STATE(9496)] = 290519,
  [SMALL_STATE(9497)] = 290526,
  [SMALL_STATE(9498)] = 290533,
  [SMALL_STATE(9499)] = 290540,
  [SMALL_STATE(9500)] = 290547,
  [SMALL_STATE(9501)] = 290554,
  [SMALL_STATE(9502)] = 290561,
  [SMALL_STATE(9503)] = 290568,
  [SMALL_STATE(9504)] = 290575,
  [SMALL_STATE(9505)] = 290582,
  [SMALL_STATE(9506)] = 290589,
  [SMALL_STATE(9507)] = 290596,
  [SMALL_STATE(9508)] = 290603,
  [SMALL_STATE(9509)] = 290610,
  [SMALL_STATE(9510)] = 290617,
  [SMALL_STATE(9511)] = 290624,
  [SMALL_STATE(9512)] = 290631,
  [SMALL_STATE(9513)] = 290638,
  [SMALL_STATE(9514)] = 290645,
  [SMALL_STATE(9515)] = 290652,
  [SMALL_STATE(9516)] = 290659,
  [SMALL_STATE(9517)] = 290666,
  [SMALL_STATE(9518)] = 290673,
  [SMALL_STATE(9519)] = 290680,
  [SMALL_STATE(9520)] = 290687,
  [SMALL_STATE(9521)] = 290694,
  [SMALL_STATE(9522)] = 290701,
  [SMALL_STATE(9523)] = 290708,
  [SMALL_STATE(9524)] = 290715,
  [SMALL_STATE(9525)] = 290722,
  [SMALL_STATE(9526)] = 290729,
  [SMALL_STATE(9527)] = 290736,
  [SMALL_STATE(9528)] = 290743,
  [SMALL_STATE(9529)] = 290750,
  [SMALL_STATE(9530)] = 290757,
  [SMALL_STATE(9531)] = 290764,
  [SMALL_STATE(9532)] = 290771,
  [SMALL_STATE(9533)] = 290778,
  [SMALL_STATE(9534)] = 290785,
  [SMALL_STATE(9535)] = 290792,
  [SMALL_STATE(9536)] = 290799,
  [SMALL_STATE(9537)] = 290806,
  [SMALL_STATE(9538)] = 290813,
  [SMALL_STATE(9539)] = 290820,
  [SMALL_STATE(9540)] = 290827,
  [SMALL_STATE(9541)] = 290834,
  [SMALL_STATE(9542)] = 290841,
  [SMALL_STATE(9543)] = 290848,
  [SMALL_STATE(9544)] = 290855,
  [SMALL_STATE(9545)] = 290862,
  [SMALL_STATE(9546)] = 290869,
  [SMALL_STATE(9547)] = 290876,
  [SMALL_STATE(9548)] = 290883,
  [SMALL_STATE(9549)] = 290890,
  [SMALL_STATE(9550)] = 290897,
  [SMALL_STATE(9551)] = 290904,
  [SMALL_STATE(9552)] = 290911,
  [SMALL_STATE(9553)] = 290918,
  [SMALL_STATE(9554)] = 290925,
  [SMALL_STATE(9555)] = 290932,
  [SMALL_STATE(9556)] = 290939,
  [SMALL_STATE(9557)] = 290946,
  [SMALL_STATE(9558)] = 290953,
  [SMALL_STATE(9559)] = 290960,
  [SMALL_STATE(9560)] = 290967,
  [SMALL_STATE(9561)] = 290974,
  [SMALL_STATE(9562)] = 290981,
  [SMALL_STATE(9563)] = 290988,
  [SMALL_STATE(9564)] = 290995,
  [SMALL_STATE(9565)] = 291002,
  [SMALL_STATE(9566)] = 291009,
  [SMALL_STATE(9567)] = 291016,
  [SMALL_STATE(9568)] = 291023,
  [SMALL_STATE(9569)] = 291030,
  [SMALL_STATE(9570)] = 291037,
  [SMALL_STATE(9571)] = 291044,
  [SMALL_STATE(9572)] = 291051,
  [SMALL_STATE(9573)] = 291058,
  [SMALL_STATE(9574)] = 291065,
  [SMALL_STATE(9575)] = 291072,
  [SMALL_STATE(9576)] = 291079,
  [SMALL_STATE(9577)] = 291086,
  [SMALL_STATE(9578)] = 291093,
  [SMALL_STATE(9579)] = 291100,
  [SMALL_STATE(9580)] = 291107,
  [SMALL_STATE(9581)] = 291114,
  [SMALL_STATE(9582)] = 291121,
  [SMALL_STATE(9583)] = 291128,
  [SMALL_STATE(9584)] = 291135,
  [SMALL_STATE(9585)] = 291142,
  [SMALL_STATE(9586)] = 291149,
  [SMALL_STATE(9587)] = 291156,
  [SMALL_STATE(9588)] = 291163,
  [SMALL_STATE(9589)] = 291170,
  [SMALL_STATE(9590)] = 291177,
  [SMALL_STATE(9591)] = 291184,
  [SMALL_STATE(9592)] = 291191,
  [SMALL_STATE(9593)] = 291198,
  [SMALL_STATE(9594)] = 291205,
  [SMALL_STATE(9595)] = 291212,
  [SMALL_STATE(9596)] = 291219,
  [SMALL_STATE(9597)] = 291226,
  [SMALL_STATE(9598)] = 291233,
  [SMALL_STATE(9599)] = 291240,
  [SMALL_STATE(9600)] = 291247,
  [SMALL_STATE(9601)] = 291254,
  [SMALL_STATE(9602)] = 291261,
  [SMALL_STATE(9603)] = 291268,
  [SMALL_STATE(9604)] = 291275,
  [SMALL_STATE(9605)] = 291282,
  [SMALL_STATE(9606)] = 291289,
  [SMALL_STATE(9607)] = 291296,
  [SMALL_STATE(9608)] = 291303,
  [SMALL_STATE(9609)] = 291310,
  [SMALL_STATE(9610)] = 291317,
  [SMALL_STATE(9611)] = 291324,
  [SMALL_STATE(9612)] = 291331,
  [SMALL_STATE(9613)] = 291338,
  [SMALL_STATE(9614)] = 291345,
  [SMALL_STATE(9615)] = 291352,
  [SMALL_STATE(9616)] = 291359,
  [SMALL_STATE(9617)] = 291366,
  [SMALL_STATE(9618)] = 291373,
  [SMALL_STATE(9619)] = 291380,
  [SMALL_STATE(9620)] = 291387,
  [SMALL_STATE(9621)] = 291394,
  [SMALL_STATE(9622)] = 291401,
  [SMALL_STATE(9623)] = 291408,
  [SMALL_STATE(9624)] = 291415,
  [SMALL_STATE(9625)] = 291422,
  [SMALL_STATE(9626)] = 291429,
  [SMALL_STATE(9627)] = 291436,
  [SMALL_STATE(9628)] = 291443,
  [SMALL_STATE(9629)] = 291450,
  [SMALL_STATE(9630)] = 291457,
  [SMALL_STATE(9631)] = 291464,
  [SMALL_STATE(9632)] = 291471,
  [SMALL_STATE(9633)] = 291478,
  [SMALL_STATE(9634)] = 291485,
  [SMALL_STATE(9635)] = 291492,
  [SMALL_STATE(9636)] = 291499,
  [SMALL_STATE(9637)] = 291506,
  [SMALL_STATE(9638)] = 291513,
  [SMALL_STATE(9639)] = 291520,
  [SMALL_STATE(9640)] = 291527,
  [SMALL_STATE(9641)] = 291534,
  [SMALL_STATE(9642)] = 291541,
  [SMALL_STATE(9643)] = 291548,
  [SMALL_STATE(9644)] = 291555,
  [SMALL_STATE(9645)] = 291562,
  [SMALL_STATE(9646)] = 291569,
  [SMALL_STATE(9647)] = 291576,
  [SMALL_STATE(9648)] = 291583,
  [SMALL_STATE(9649)] = 291590,
  [SMALL_STATE(9650)] = 291597,
  [SMALL_STATE(9651)] = 291604,
  [SMALL_STATE(9652)] = 291611,
  [SMALL_STATE(9653)] = 291618,
  [SMALL_STATE(9654)] = 291625,
  [SMALL_STATE(9655)] = 291632,
  [SMALL_STATE(9656)] = 291639,
  [SMALL_STATE(9657)] = 291646,
  [SMALL_STATE(9658)] = 291653,
  [SMALL_STATE(9659)] = 291660,
  [SMALL_STATE(9660)] = 291667,
  [SMALL_STATE(9661)] = 291674,
  [SMALL_STATE(9662)] = 291681,
  [SMALL_STATE(9663)] = 291688,
  [SMALL_STATE(9664)] = 291695,
  [SMALL_STATE(9665)] = 291702,
  [SMALL_STATE(9666)] = 291709,
  [SMALL_STATE(9667)] = 291716,
  [SMALL_STATE(9668)] = 291723,
  [SMALL_STATE(9669)] = 291730,
  [SMALL_STATE(9670)] = 291737,
  [SMALL_STATE(9671)] = 291744,
  [SMALL_STATE(9672)] = 291751,
  [SMALL_STATE(9673)] = 291758,
  [SMALL_STATE(9674)] = 291765,
  [SMALL_STATE(9675)] = 291772,
  [SMALL_STATE(9676)] = 291779,
  [SMALL_STATE(9677)] = 291786,
  [SMALL_STATE(9678)] = 291793,
  [SMALL_STATE(9679)] = 291800,
  [SMALL_STATE(9680)] = 291807,
  [SMALL_STATE(9681)] = 291814,
  [SMALL_STATE(9682)] = 291821,
  [SMALL_STATE(9683)] = 291828,
  [SMALL_STATE(9684)] = 291835,
  [SMALL_STATE(9685)] = 291842,
  [SMALL_STATE(9686)] = 291849,
  [SMALL_STATE(9687)] = 291856,
  [SMALL_STATE(9688)] = 291863,
  [SMALL_STATE(9689)] = 291870,
  [SMALL_STATE(9690)] = 291877,
  [SMALL_STATE(9691)] = 291884,
  [SMALL_STATE(9692)] = 291891,
  [SMALL_STATE(9693)] = 291898,
  [SMALL_STATE(9694)] = 291905,
  [SMALL_STATE(9695)] = 291912,
  [SMALL_STATE(9696)] = 291919,
  [SMALL_STATE(9697)] = 291926,
  [SMALL_STATE(9698)] = 291933,
  [SMALL_STATE(9699)] = 291940,
  [SMALL_STATE(9700)] = 291947,
  [SMALL_STATE(9701)] = 291954,
  [SMALL_STATE(9702)] = 291961,
  [SMALL_STATE(9703)] = 291968,
  [SMALL_STATE(9704)] = 291975,
  [SMALL_STATE(9705)] = 291982,
  [SMALL_STATE(9706)] = 291989,
  [SMALL_STATE(9707)] = 291996,
  [SMALL_STATE(9708)] = 292003,
  [SMALL_STATE(9709)] = 292010,
  [SMALL_STATE(9710)] = 292017,
  [SMALL_STATE(9711)] = 292024,
  [SMALL_STATE(9712)] = 292031,
  [SMALL_STATE(9713)] = 292038,
  [SMALL_STATE(9714)] = 292045,
  [SMALL_STATE(9715)] = 292052,
  [SMALL_STATE(9716)] = 292059,
  [SMALL_STATE(9717)] = 292066,
  [SMALL_STATE(9718)] = 292073,
  [SMALL_STATE(9719)] = 292080,
  [SMALL_STATE(9720)] = 292087,
  [SMALL_STATE(9721)] = 292094,
  [SMALL_STATE(9722)] = 292101,
  [SMALL_STATE(9723)] = 292108,
  [SMALL_STATE(9724)] = 292115,
  [SMALL_STATE(9725)] = 292122,
  [SMALL_STATE(9726)] = 292129,
  [SMALL_STATE(9727)] = 292136,
  [SMALL_STATE(9728)] = 292143,
  [SMALL_STATE(9729)] = 292150,
  [SMALL_STATE(9730)] = 292157,
  [SMALL_STATE(9731)] = 292164,
  [SMALL_STATE(9732)] = 292171,
  [SMALL_STATE(9733)] = 292178,
  [SMALL_STATE(9734)] = 292185,
  [SMALL_STATE(9735)] = 292192,
  [SMALL_STATE(9736)] = 292199,
  [SMALL_STATE(9737)] = 292206,
  [SMALL_STATE(9738)] = 292213,
  [SMALL_STATE(9739)] = 292220,
  [SMALL_STATE(9740)] = 292227,
  [SMALL_STATE(9741)] = 292234,
  [SMALL_STATE(9742)] = 292241,
  [SMALL_STATE(9743)] = 292248,
  [SMALL_STATE(9744)] = 292255,
  [SMALL_STATE(9745)] = 292262,
  [SMALL_STATE(9746)] = 292269,
  [SMALL_STATE(9747)] = 292276,
  [SMALL_STATE(9748)] = 292283,
  [SMALL_STATE(9749)] = 292290,
  [SMALL_STATE(9750)] = 292297,
  [SMALL_STATE(9751)] = 292304,
  [SMALL_STATE(9752)] = 292311,
  [SMALL_STATE(9753)] = 292318,
  [SMALL_STATE(9754)] = 292325,
  [SMALL_STATE(9755)] = 292332,
  [SMALL_STATE(9756)] = 292339,
  [SMALL_STATE(9757)] = 292346,
  [SMALL_STATE(9758)] = 292353,
  [SMALL_STATE(9759)] = 292360,
  [SMALL_STATE(9760)] = 292367,
  [SMALL_STATE(9761)] = 292374,
  [SMALL_STATE(9762)] = 292381,
  [SMALL_STATE(9763)] = 292388,
  [SMALL_STATE(9764)] = 292395,
  [SMALL_STATE(9765)] = 292402,
  [SMALL_STATE(9766)] = 292409,
  [SMALL_STATE(9767)] = 292416,
  [SMALL_STATE(9768)] = 292423,
  [SMALL_STATE(9769)] = 292430,
  [SMALL_STATE(9770)] = 292437,
  [SMALL_STATE(9771)] = 292444,
  [SMALL_STATE(9772)] = 292451,
  [SMALL_STATE(9773)] = 292458,
  [SMALL_STATE(9774)] = 292465,
  [SMALL_STATE(9775)] = 292472,
  [SMALL_STATE(9776)] = 292479,
  [SMALL_STATE(9777)] = 292486,
  [SMALL_STATE(9778)] = 292493,
  [SMALL_STATE(9779)] = 292500,
  [SMALL_STATE(9780)] = 292507,
  [SMALL_STATE(9781)] = 292514,
  [SMALL_STATE(9782)] = 292521,
  [SMALL_STATE(9783)] = 292528,
  [SMALL_STATE(9784)] = 292535,
  [SMALL_STATE(9785)] = 292542,
  [SMALL_STATE(9786)] = 292549,
  [SMALL_STATE(9787)] = 292556,
  [SMALL_STATE(9788)] = 292563,
  [SMALL_STATE(9789)] = 292570,
  [SMALL_STATE(9790)] = 292577,
  [SMALL_STATE(9791)] = 292584,
  [SMALL_STATE(9792)] = 292591,
  [SMALL_STATE(9793)] = 292598,
  [SMALL_STATE(9794)] = 292605,
  [SMALL_STATE(9795)] = 292612,
  [SMALL_STATE(9796)] = 292619,
  [SMALL_STATE(9797)] = 292626,
  [SMALL_STATE(9798)] = 292633,
  [SMALL_STATE(9799)] = 292640,
  [SMALL_STATE(9800)] = 292647,
  [SMALL_STATE(9801)] = 292654,
  [SMALL_STATE(9802)] = 292661,
  [SMALL_STATE(9803)] = 292668,
  [SMALL_STATE(9804)] = 292675,
  [SMALL_STATE(9805)] = 292682,
  [SMALL_STATE(9806)] = 292689,
  [SMALL_STATE(9807)] = 292696,
  [SMALL_STATE(9808)] = 292703,
  [SMALL_STATE(9809)] = 292710,
  [SMALL_STATE(9810)] = 292717,
  [SMALL_STATE(9811)] = 292724,
  [SMALL_STATE(9812)] = 292731,
  [SMALL_STATE(9813)] = 292738,
  [SMALL_STATE(9814)] = 292745,
  [SMALL_STATE(9815)] = 292752,
  [SMALL_STATE(9816)] = 292759,
  [SMALL_STATE(9817)] = 292766,
  [SMALL_STATE(9818)] = 292773,
  [SMALL_STATE(9819)] = 292780,
  [SMALL_STATE(9820)] = 292787,
  [SMALL_STATE(9821)] = 292794,
  [SMALL_STATE(9822)] = 292801,
  [SMALL_STATE(9823)] = 292808,
  [SMALL_STATE(9824)] = 292815,
  [SMALL_STATE(9825)] = 292822,
  [SMALL_STATE(9826)] = 292829,
  [SMALL_STATE(9827)] = 292836,
  [SMALL_STATE(9828)] = 292843,
  [SMALL_STATE(9829)] = 292850,
  [SMALL_STATE(9830)] = 292857,
  [SMALL_STATE(9831)] = 292864,
  [SMALL_STATE(9832)] = 292871,
  [SMALL_STATE(9833)] = 292878,
  [SMALL_STATE(9834)] = 292885,
  [SMALL_STATE(9835)] = 292892,
  [SMALL_STATE(9836)] = 292899,
  [SMALL_STATE(9837)] = 292906,
  [SMALL_STATE(9838)] = 292913,
  [SMALL_STATE(9839)] = 292920,
  [SMALL_STATE(9840)] = 292927,
  [SMALL_STATE(9841)] = 292934,
  [SMALL_STATE(9842)] = 292941,
  [SMALL_STATE(9843)] = 292948,
  [SMALL_STATE(9844)] = 292955,
  [SMALL_STATE(9845)] = 292962,
  [SMALL_STATE(9846)] = 292969,
  [SMALL_STATE(9847)] = 292976,
  [SMALL_STATE(9848)] = 292983,
  [SMALL_STATE(9849)] = 292990,
  [SMALL_STATE(9850)] = 292997,
  [SMALL_STATE(9851)] = 293004,
  [SMALL_STATE(9852)] = 293011,
  [SMALL_STATE(9853)] = 293018,
  [SMALL_STATE(9854)] = 293025,
  [SMALL_STATE(9855)] = 293032,
  [SMALL_STATE(9856)] = 293039,
  [SMALL_STATE(9857)] = 293046,
  [SMALL_STATE(9858)] = 293053,
  [SMALL_STATE(9859)] = 293060,
  [SMALL_STATE(9860)] = 293067,
  [SMALL_STATE(9861)] = 293074,
  [SMALL_STATE(9862)] = 293081,
  [SMALL_STATE(9863)] = 293088,
  [SMALL_STATE(9864)] = 293095,
  [SMALL_STATE(9865)] = 293102,
  [SMALL_STATE(9866)] = 293109,
  [SMALL_STATE(9867)] = 293116,
  [SMALL_STATE(9868)] = 293123,
  [SMALL_STATE(9869)] = 293130,
  [SMALL_STATE(9870)] = 293137,
  [SMALL_STATE(9871)] = 293144,
  [SMALL_STATE(9872)] = 293151,
  [SMALL_STATE(9873)] = 293158,
  [SMALL_STATE(9874)] = 293165,
  [SMALL_STATE(9875)] = 293172,
  [SMALL_STATE(9876)] = 293179,
  [SMALL_STATE(9877)] = 293186,
  [SMALL_STATE(9878)] = 293193,
  [SMALL_STATE(9879)] = 293200,
  [SMALL_STATE(9880)] = 293207,
  [SMALL_STATE(9881)] = 293214,
  [SMALL_STATE(9882)] = 293221,
  [SMALL_STATE(9883)] = 293228,
  [SMALL_STATE(9884)] = 293235,
  [SMALL_STATE(9885)] = 293242,
  [SMALL_STATE(9886)] = 293249,
  [SMALL_STATE(9887)] = 293256,
  [SMALL_STATE(9888)] = 293263,
  [SMALL_STATE(9889)] = 293270,
  [SMALL_STATE(9890)] = 293277,
  [SMALL_STATE(9891)] = 293284,
  [SMALL_STATE(9892)] = 293291,
  [SMALL_STATE(9893)] = 293298,
  [SMALL_STATE(9894)] = 293305,
  [SMALL_STATE(9895)] = 293312,
  [SMALL_STATE(9896)] = 293319,
  [SMALL_STATE(9897)] = 293326,
  [SMALL_STATE(9898)] = 293333,
  [SMALL_STATE(9899)] = 293340,
  [SMALL_STATE(9900)] = 293347,
  [SMALL_STATE(9901)] = 293354,
  [SMALL_STATE(9902)] = 293361,
  [SMALL_STATE(9903)] = 293368,
  [SMALL_STATE(9904)] = 293375,
  [SMALL_STATE(9905)] = 293382,
  [SMALL_STATE(9906)] = 293389,
  [SMALL_STATE(9907)] = 293396,
  [SMALL_STATE(9908)] = 293403,
  [SMALL_STATE(9909)] = 293410,
  [SMALL_STATE(9910)] = 293417,
  [SMALL_STATE(9911)] = 293424,
  [SMALL_STATE(9912)] = 293431,
  [SMALL_STATE(9913)] = 293438,
  [SMALL_STATE(9914)] = 293445,
  [SMALL_STATE(9915)] = 293452,
  [SMALL_STATE(9916)] = 293459,
  [SMALL_STATE(9917)] = 293466,
  [SMALL_STATE(9918)] = 293473,
  [SMALL_STATE(9919)] = 293480,
  [SMALL_STATE(9920)] = 293487,
  [SMALL_STATE(9921)] = 293494,
  [SMALL_STATE(9922)] = 293501,
  [SMALL_STATE(9923)] = 293508,
  [SMALL_STATE(9924)] = 293515,
  [SMALL_STATE(9925)] = 293522,
  [SMALL_STATE(9926)] = 293529,
  [SMALL_STATE(9927)] = 293536,
  [SMALL_STATE(9928)] = 293543,
  [SMALL_STATE(9929)] = 293550,
  [SMALL_STATE(9930)] = 293557,
  [SMALL_STATE(9931)] = 293564,
  [SMALL_STATE(9932)] = 293571,
  [SMALL_STATE(9933)] = 293578,
  [SMALL_STATE(9934)] = 293585,
  [SMALL_STATE(9935)] = 293592,
  [SMALL_STATE(9936)] = 293599,
  [SMALL_STATE(9937)] = 293606,
  [SMALL_STATE(9938)] = 293613,
  [SMALL_STATE(9939)] = 293620,
  [SMALL_STATE(9940)] = 293627,
  [SMALL_STATE(9941)] = 293634,
  [SMALL_STATE(9942)] = 293641,
  [SMALL_STATE(9943)] = 293648,
  [SMALL_STATE(9944)] = 293655,
  [SMALL_STATE(9945)] = 293662,
  [SMALL_STATE(9946)] = 293669,
  [SMALL_STATE(9947)] = 293676,
  [SMALL_STATE(9948)] = 293683,
  [SMALL_STATE(9949)] = 293690,
  [SMALL_STATE(9950)] = 293697,
  [SMALL_STATE(9951)] = 293704,
  [SMALL_STATE(9952)] = 293711,
  [SMALL_STATE(9953)] = 293718,
  [SMALL_STATE(9954)] = 293725,
  [SMALL_STATE(9955)] = 293732,
  [SMALL_STATE(9956)] = 293739,
  [SMALL_STATE(9957)] = 293746,
  [SMALL_STATE(9958)] = 293753,
  [SMALL_STATE(9959)] = 293760,
  [SMALL_STATE(9960)] = 293767,
  [SMALL_STATE(9961)] = 293774,
  [SMALL_STATE(9962)] = 293781,
  [SMALL_STATE(9963)] = 293788,
  [SMALL_STATE(9964)] = 293795,
  [SMALL_STATE(9965)] = 293802,
  [SMALL_STATE(9966)] = 293809,
  [SMALL_STATE(9967)] = 293816,
  [SMALL_STATE(9968)] = 293823,
  [SMALL_STATE(9969)] = 293830,
  [SMALL_STATE(9970)] = 293837,
  [SMALL_STATE(9971)] = 293844,
  [SMALL_STATE(9972)] = 293851,
  [SMALL_STATE(9973)] = 293858,
  [SMALL_STATE(9974)] = 293865,
  [SMALL_STATE(9975)] = 293872,
  [SMALL_STATE(9976)] = 293879,
  [SMALL_STATE(9977)] = 293886,
  [SMALL_STATE(9978)] = 293893,
  [SMALL_STATE(9979)] = 293900,
  [SMALL_STATE(9980)] = 293907,
  [SMALL_STATE(9981)] = 293914,
  [SMALL_STATE(9982)] = 293921,
  [SMALL_STATE(9983)] = 293928,
  [SMALL_STATE(9984)] = 293935,
  [SMALL_STATE(9985)] = 293942,
  [SMALL_STATE(9986)] = 293949,
  [SMALL_STATE(9987)] = 293956,
  [SMALL_STATE(9988)] = 293963,
  [SMALL_STATE(9989)] = 293970,
  [SMALL_STATE(9990)] = 293977,
  [SMALL_STATE(9991)] = 293984,
  [SMALL_STATE(9992)] = 293991,
  [SMALL_STATE(9993)] = 293998,
  [SMALL_STATE(9994)] = 294005,
  [SMALL_STATE(9995)] = 294012,
  [SMALL_STATE(9996)] = 294019,
  [SMALL_STATE(9997)] = 294026,
  [SMALL_STATE(9998)] = 294033,
  [SMALL_STATE(9999)] = 294040,
  [SMALL_STATE(10000)] = 294047,
  [SMALL_STATE(10001)] = 294054,
  [SMALL_STATE(10002)] = 294061,
  [SMALL_STATE(10003)] = 294068,
  [SMALL_STATE(10004)] = 294075,
  [SMALL_STATE(10005)] = 294082,
  [SMALL_STATE(10006)] = 294089,
  [SMALL_STATE(10007)] = 294096,
  [SMALL_STATE(10008)] = 294103,
  [SMALL_STATE(10009)] = 294110,
  [SMALL_STATE(10010)] = 294117,
  [SMALL_STATE(10011)] = 294124,
  [SMALL_STATE(10012)] = 294131,
  [SMALL_STATE(10013)] = 294138,
  [SMALL_STATE(10014)] = 294145,
  [SMALL_STATE(10015)] = 294152,
  [SMALL_STATE(10016)] = 294159,
  [SMALL_STATE(10017)] = 294166,
  [SMALL_STATE(10018)] = 294173,
  [SMALL_STATE(10019)] = 294180,
  [SMALL_STATE(10020)] = 294187,
  [SMALL_STATE(10021)] = 294194,
  [SMALL_STATE(10022)] = 294201,
  [SMALL_STATE(10023)] = 294208,
  [SMALL_STATE(10024)] = 294215,
  [SMALL_STATE(10025)] = 294222,
  [SMALL_STATE(10026)] = 294229,
  [SMALL_STATE(10027)] = 294236,
  [SMALL_STATE(10028)] = 294243,
  [SMALL_STATE(10029)] = 294250,
  [SMALL_STATE(10030)] = 294257,
  [SMALL_STATE(10031)] = 294264,
  [SMALL_STATE(10032)] = 294271,
  [SMALL_STATE(10033)] = 294278,
  [SMALL_STATE(10034)] = 294285,
  [SMALL_STATE(10035)] = 294292,
  [SMALL_STATE(10036)] = 294299,
  [SMALL_STATE(10037)] = 294306,
  [SMALL_STATE(10038)] = 294313,
  [SMALL_STATE(10039)] = 294320,
  [SMALL_STATE(10040)] = 294327,
  [SMALL_STATE(10041)] = 294334,
  [SMALL_STATE(10042)] = 294341,
  [SMALL_STATE(10043)] = 294348,
  [SMALL_STATE(10044)] = 294355,
  [SMALL_STATE(10045)] = 294362,
  [SMALL_STATE(10046)] = 294369,
  [SMALL_STATE(10047)] = 294376,
  [SMALL_STATE(10048)] = 294383,
  [SMALL_STATE(10049)] = 294390,
  [SMALL_STATE(10050)] = 294397,
  [SMALL_STATE(10051)] = 294404,
  [SMALL_STATE(10052)] = 294411,
  [SMALL_STATE(10053)] = 294418,
  [SMALL_STATE(10054)] = 294425,
  [SMALL_STATE(10055)] = 294432,
  [SMALL_STATE(10056)] = 294439,
  [SMALL_STATE(10057)] = 294446,
  [SMALL_STATE(10058)] = 294453,
  [SMALL_STATE(10059)] = 294460,
  [SMALL_STATE(10060)] = 294467,
  [SMALL_STATE(10061)] = 294474,
  [SMALL_STATE(10062)] = 294481,
  [SMALL_STATE(10063)] = 294488,
  [SMALL_STATE(10064)] = 294495,
  [SMALL_STATE(10065)] = 294502,
  [SMALL_STATE(10066)] = 294509,
  [SMALL_STATE(10067)] = 294516,
  [SMALL_STATE(10068)] = 294523,
  [SMALL_STATE(10069)] = 294530,
  [SMALL_STATE(10070)] = 294537,
  [SMALL_STATE(10071)] = 294544,
  [SMALL_STATE(10072)] = 294551,
  [SMALL_STATE(10073)] = 294558,
  [SMALL_STATE(10074)] = 294565,
  [SMALL_STATE(10075)] = 294572,
  [SMALL_STATE(10076)] = 294579,
  [SMALL_STATE(10077)] = 294586,
  [SMALL_STATE(10078)] = 294593,
  [SMALL_STATE(10079)] = 294600,
  [SMALL_STATE(10080)] = 294607,
  [SMALL_STATE(10081)] = 294614,
  [SMALL_STATE(10082)] = 294621,
  [SMALL_STATE(10083)] = 294628,
  [SMALL_STATE(10084)] = 294635,
  [SMALL_STATE(10085)] = 294642,
  [SMALL_STATE(10086)] = 294649,
  [SMALL_STATE(10087)] = 294656,
  [SMALL_STATE(10088)] = 294663,
  [SMALL_STATE(10089)] = 294670,
  [SMALL_STATE(10090)] = 294677,
  [SMALL_STATE(10091)] = 294684,
  [SMALL_STATE(10092)] = 294691,
  [SMALL_STATE(10093)] = 294698,
  [SMALL_STATE(10094)] = 294705,
  [SMALL_STATE(10095)] = 294712,
  [SMALL_STATE(10096)] = 294719,
  [SMALL_STATE(10097)] = 294726,
  [SMALL_STATE(10098)] = 294733,
  [SMALL_STATE(10099)] = 294740,
  [SMALL_STATE(10100)] = 294747,
  [SMALL_STATE(10101)] = 294754,
  [SMALL_STATE(10102)] = 294761,
  [SMALL_STATE(10103)] = 294768,
  [SMALL_STATE(10104)] = 294775,
  [SMALL_STATE(10105)] = 294782,
  [SMALL_STATE(10106)] = 294789,
  [SMALL_STATE(10107)] = 294796,
  [SMALL_STATE(10108)] = 294803,
  [SMALL_STATE(10109)] = 294810,
  [SMALL_STATE(10110)] = 294817,
  [SMALL_STATE(10111)] = 294824,
  [SMALL_STATE(10112)] = 294831,
  [SMALL_STATE(10113)] = 294838,
  [SMALL_STATE(10114)] = 294845,
  [SMALL_STATE(10115)] = 294852,
  [SMALL_STATE(10116)] = 294859,
  [SMALL_STATE(10117)] = 294866,
  [SMALL_STATE(10118)] = 294873,
  [SMALL_STATE(10119)] = 294880,
  [SMALL_STATE(10120)] = 294887,
  [SMALL_STATE(10121)] = 294894,
  [SMALL_STATE(10122)] = 294901,
  [SMALL_STATE(10123)] = 294908,
  [SMALL_STATE(10124)] = 294915,
  [SMALL_STATE(10125)] = 294922,
  [SMALL_STATE(10126)] = 294929,
  [SMALL_STATE(10127)] = 294936,
  [SMALL_STATE(10128)] = 294943,
  [SMALL_STATE(10129)] = 294950,
  [SMALL_STATE(10130)] = 294957,
  [SMALL_STATE(10131)] = 294964,
  [SMALL_STATE(10132)] = 294971,
  [SMALL_STATE(10133)] = 294978,
  [SMALL_STATE(10134)] = 294985,
  [SMALL_STATE(10135)] = 294992,
  [SMALL_STATE(10136)] = 294999,
  [SMALL_STATE(10137)] = 295006,
  [SMALL_STATE(10138)] = 295013,
  [SMALL_STATE(10139)] = 295020,
  [SMALL_STATE(10140)] = 295027,
  [SMALL_STATE(10141)] = 295034,
  [SMALL_STATE(10142)] = 295041,
  [SMALL_STATE(10143)] = 295048,
  [SMALL_STATE(10144)] = 295055,
  [SMALL_STATE(10145)] = 295062,
  [SMALL_STATE(10146)] = 295069,
  [SMALL_STATE(10147)] = 295076,
  [SMALL_STATE(10148)] = 295083,
  [SMALL_STATE(10149)] = 295090,
  [SMALL_STATE(10150)] = 295097,
  [SMALL_STATE(10151)] = 295104,
  [SMALL_STATE(10152)] = 295111,
  [SMALL_STATE(10153)] = 295118,
  [SMALL_STATE(10154)] = 295125,
  [SMALL_STATE(10155)] = 295132,
  [SMALL_STATE(10156)] = 295139,
  [SMALL_STATE(10157)] = 295146,
  [SMALL_STATE(10158)] = 295153,
  [SMALL_STATE(10159)] = 295160,
  [SMALL_STATE(10160)] = 295167,
  [SMALL_STATE(10161)] = 295174,
  [SMALL_STATE(10162)] = 295181,
  [SMALL_STATE(10163)] = 295188,
  [SMALL_STATE(10164)] = 295195,
  [SMALL_STATE(10165)] = 295202,
  [SMALL_STATE(10166)] = 295209,
  [SMALL_STATE(10167)] = 295216,
  [SMALL_STATE(10168)] = 295223,
  [SMALL_STATE(10169)] = 295230,
  [SMALL_STATE(10170)] = 295237,
  [SMALL_STATE(10171)] = 295244,
  [SMALL_STATE(10172)] = 295251,
  [SMALL_STATE(10173)] = 295258,
  [SMALL_STATE(10174)] = 295265,
  [SMALL_STATE(10175)] = 295272,
  [SMALL_STATE(10176)] = 295279,
  [SMALL_STATE(10177)] = 295286,
  [SMALL_STATE(10178)] = 295293,
  [SMALL_STATE(10179)] = 295300,
  [SMALL_STATE(10180)] = 295307,
  [SMALL_STATE(10181)] = 295314,
  [SMALL_STATE(10182)] = 295321,
  [SMALL_STATE(10183)] = 295328,
  [SMALL_STATE(10184)] = 295335,
  [SMALL_STATE(10185)] = 295342,
  [SMALL_STATE(10186)] = 295349,
  [SMALL_STATE(10187)] = 295356,
  [SMALL_STATE(10188)] = 295363,
  [SMALL_STATE(10189)] = 295370,
  [SMALL_STATE(10190)] = 295377,
  [SMALL_STATE(10191)] = 295384,
  [SMALL_STATE(10192)] = 295391,
  [SMALL_STATE(10193)] = 295398,
  [SMALL_STATE(10194)] = 295405,
  [SMALL_STATE(10195)] = 295412,
  [SMALL_STATE(10196)] = 295419,
  [SMALL_STATE(10197)] = 295426,
  [SMALL_STATE(10198)] = 295433,
  [SMALL_STATE(10199)] = 295440,
  [SMALL_STATE(10200)] = 295447,
  [SMALL_STATE(10201)] = 295454,
  [SMALL_STATE(10202)] = 295461,
  [SMALL_STATE(10203)] = 295468,
  [SMALL_STATE(10204)] = 295475,
  [SMALL_STATE(10205)] = 295482,
  [SMALL_STATE(10206)] = 295489,
  [SMALL_STATE(10207)] = 295496,
  [SMALL_STATE(10208)] = 295503,
  [SMALL_STATE(10209)] = 295510,
  [SMALL_STATE(10210)] = 295517,
  [SMALL_STATE(10211)] = 295524,
  [SMALL_STATE(10212)] = 295531,
  [SMALL_STATE(10213)] = 295538,
  [SMALL_STATE(10214)] = 295545,
  [SMALL_STATE(10215)] = 295552,
  [SMALL_STATE(10216)] = 295559,
  [SMALL_STATE(10217)] = 295566,
  [SMALL_STATE(10218)] = 295573,
  [SMALL_STATE(10219)] = 295580,
  [SMALL_STATE(10220)] = 295587,
  [SMALL_STATE(10221)] = 295594,
  [SMALL_STATE(10222)] = 295601,
  [SMALL_STATE(10223)] = 295608,
  [SMALL_STATE(10224)] = 295615,
  [SMALL_STATE(10225)] = 295622,
  [SMALL_STATE(10226)] = 295629,
  [SMALL_STATE(10227)] = 295636,
  [SMALL_STATE(10228)] = 295643,
  [SMALL_STATE(10229)] = 295650,
  [SMALL_STATE(10230)] = 295657,
  [SMALL_STATE(10231)] = 295664,
  [SMALL_STATE(10232)] = 295671,
  [SMALL_STATE(10233)] = 295678,
  [SMALL_STATE(10234)] = 295685,
  [SMALL_STATE(10235)] = 295692,
  [SMALL_STATE(10236)] = 295699,
  [SMALL_STATE(10237)] = 295706,
  [SMALL_STATE(10238)] = 295713,
  [SMALL_STATE(10239)] = 295720,
  [SMALL_STATE(10240)] = 295727,
  [SMALL_STATE(10241)] = 295734,
  [SMALL_STATE(10242)] = 295741,
  [SMALL_STATE(10243)] = 295748,
  [SMALL_STATE(10244)] = 295755,
  [SMALL_STATE(10245)] = 295762,
  [SMALL_STATE(10246)] = 295769,
  [SMALL_STATE(10247)] = 295776,
  [SMALL_STATE(10248)] = 295783,
  [SMALL_STATE(10249)] = 295790,
  [SMALL_STATE(10250)] = 295797,
  [SMALL_STATE(10251)] = 295804,
  [SMALL_STATE(10252)] = 295811,
  [SMALL_STATE(10253)] = 295818,
  [SMALL_STATE(10254)] = 295825,
  [SMALL_STATE(10255)] = 295832,
  [SMALL_STATE(10256)] = 295839,
  [SMALL_STATE(10257)] = 295846,
  [SMALL_STATE(10258)] = 295853,
  [SMALL_STATE(10259)] = 295860,
  [SMALL_STATE(10260)] = 295867,
  [SMALL_STATE(10261)] = 295874,
  [SMALL_STATE(10262)] = 295881,
  [SMALL_STATE(10263)] = 295888,
  [SMALL_STATE(10264)] = 295895,
  [SMALL_STATE(10265)] = 295902,
  [SMALL_STATE(10266)] = 295909,
  [SMALL_STATE(10267)] = 295916,
  [SMALL_STATE(10268)] = 295923,
  [SMALL_STATE(10269)] = 295930,
  [SMALL_STATE(10270)] = 295937,
  [SMALL_STATE(10271)] = 295944,
  [SMALL_STATE(10272)] = 295951,
  [SMALL_STATE(10273)] = 295958,
  [SMALL_STATE(10274)] = 295965,
  [SMALL_STATE(10275)] = 295972,
  [SMALL_STATE(10276)] = 295979,
  [SMALL_STATE(10277)] = 295986,
  [SMALL_STATE(10278)] = 295993,
  [SMALL_STATE(10279)] = 296000,
  [SMALL_STATE(10280)] = 296007,
  [SMALL_STATE(10281)] = 296014,
  [SMALL_STATE(10282)] = 296021,
  [SMALL_STATE(10283)] = 296028,
  [SMALL_STATE(10284)] = 296035,
  [SMALL_STATE(10285)] = 296042,
  [SMALL_STATE(10286)] = 296049,
  [SMALL_STATE(10287)] = 296056,
  [SMALL_STATE(10288)] = 296063,
  [SMALL_STATE(10289)] = 296070,
  [SMALL_STATE(10290)] = 296077,
  [SMALL_STATE(10291)] = 296084,
  [SMALL_STATE(10292)] = 296091,
  [SMALL_STATE(10293)] = 296098,
  [SMALL_STATE(10294)] = 296105,
  [SMALL_STATE(10295)] = 296112,
  [SMALL_STATE(10296)] = 296119,
  [SMALL_STATE(10297)] = 296126,
  [SMALL_STATE(10298)] = 296133,
  [SMALL_STATE(10299)] = 296140,
  [SMALL_STATE(10300)] = 296147,
  [SMALL_STATE(10301)] = 296154,
  [SMALL_STATE(10302)] = 296161,
  [SMALL_STATE(10303)] = 296168,
  [SMALL_STATE(10304)] = 296175,
  [SMALL_STATE(10305)] = 296182,
  [SMALL_STATE(10306)] = 296189,
  [SMALL_STATE(10307)] = 296196,
  [SMALL_STATE(10308)] = 296203,
  [SMALL_STATE(10309)] = 296210,
  [SMALL_STATE(10310)] = 296217,
  [SMALL_STATE(10311)] = 296224,
  [SMALL_STATE(10312)] = 296231,
  [SMALL_STATE(10313)] = 296238,
  [SMALL_STATE(10314)] = 296245,
  [SMALL_STATE(10315)] = 296252,
  [SMALL_STATE(10316)] = 296259,
  [SMALL_STATE(10317)] = 296266,
  [SMALL_STATE(10318)] = 296273,
  [SMALL_STATE(10319)] = 296280,
  [SMALL_STATE(10320)] = 296287,
  [SMALL_STATE(10321)] = 296294,
  [SMALL_STATE(10322)] = 296301,
  [SMALL_STATE(10323)] = 296308,
  [SMALL_STATE(10324)] = 296315,
  [SMALL_STATE(10325)] = 296322,
  [SMALL_STATE(10326)] = 296329,
  [SMALL_STATE(10327)] = 296336,
  [SMALL_STATE(10328)] = 296343,
  [SMALL_STATE(10329)] = 296350,
  [SMALL_STATE(10330)] = 296357,
  [SMALL_STATE(10331)] = 296364,
  [SMALL_STATE(10332)] = 296371,
  [SMALL_STATE(10333)] = 296378,
  [SMALL_STATE(10334)] = 296385,
  [SMALL_STATE(10335)] = 296392,
  [SMALL_STATE(10336)] = 296399,
  [SMALL_STATE(10337)] = 296406,
  [SMALL_STATE(10338)] = 296413,
  [SMALL_STATE(10339)] = 296420,
  [SMALL_STATE(10340)] = 296427,
  [SMALL_STATE(10341)] = 296434,
  [SMALL_STATE(10342)] = 296441,
  [SMALL_STATE(10343)] = 296448,
  [SMALL_STATE(10344)] = 296455,
  [SMALL_STATE(10345)] = 296462,
  [SMALL_STATE(10346)] = 296469,
  [SMALL_STATE(10347)] = 296476,
  [SMALL_STATE(10348)] = 296483,
  [SMALL_STATE(10349)] = 296490,
  [SMALL_STATE(10350)] = 296497,
  [SMALL_STATE(10351)] = 296504,
  [SMALL_STATE(10352)] = 296511,
  [SMALL_STATE(10353)] = 296518,
  [SMALL_STATE(10354)] = 296525,
  [SMALL_STATE(10355)] = 296532,
  [SMALL_STATE(10356)] = 296539,
  [SMALL_STATE(10357)] = 296546,
  [SMALL_STATE(10358)] = 296553,
  [SMALL_STATE(10359)] = 296560,
  [SMALL_STATE(10360)] = 296567,
  [SMALL_STATE(10361)] = 296574,
  [SMALL_STATE(10362)] = 296581,
  [SMALL_STATE(10363)] = 296588,
  [SMALL_STATE(10364)] = 296595,
  [SMALL_STATE(10365)] = 296602,
  [SMALL_STATE(10366)] = 296609,
  [SMALL_STATE(10367)] = 296616,
  [SMALL_STATE(10368)] = 296623,
  [SMALL_STATE(10369)] = 296630,
  [SMALL_STATE(10370)] = 296637,
  [SMALL_STATE(10371)] = 296644,
  [SMALL_STATE(10372)] = 296651,
  [SMALL_STATE(10373)] = 296658,
  [SMALL_STATE(10374)] = 296665,
  [SMALL_STATE(10375)] = 296672,
  [SMALL_STATE(10376)] = 296679,
  [SMALL_STATE(10377)] = 296686,
  [SMALL_STATE(10378)] = 296693,
  [SMALL_STATE(10379)] = 296700,
  [SMALL_STATE(10380)] = 296707,
  [SMALL_STATE(10381)] = 296714,
  [SMALL_STATE(10382)] = 296721,
  [SMALL_STATE(10383)] = 296728,
  [SMALL_STATE(10384)] = 296735,
  [SMALL_STATE(10385)] = 296742,
  [SMALL_STATE(10386)] = 296749,
  [SMALL_STATE(10387)] = 296756,
  [SMALL_STATE(10388)] = 296763,
  [SMALL_STATE(10389)] = 296770,
  [SMALL_STATE(10390)] = 296777,
  [SMALL_STATE(10391)] = 296784,
  [SMALL_STATE(10392)] = 296791,
  [SMALL_STATE(10393)] = 296798,
  [SMALL_STATE(10394)] = 296805,
  [SMALL_STATE(10395)] = 296812,
  [SMALL_STATE(10396)] = 296819,
  [SMALL_STATE(10397)] = 296826,
  [SMALL_STATE(10398)] = 296833,
  [SMALL_STATE(10399)] = 296840,
  [SMALL_STATE(10400)] = 296847,
  [SMALL_STATE(10401)] = 296854,
  [SMALL_STATE(10402)] = 296861,
  [SMALL_STATE(10403)] = 296868,
  [SMALL_STATE(10404)] = 296875,
  [SMALL_STATE(10405)] = 296882,
  [SMALL_STATE(10406)] = 296889,
  [SMALL_STATE(10407)] = 296896,
  [SMALL_STATE(10408)] = 296903,
  [SMALL_STATE(10409)] = 296910,
  [SMALL_STATE(10410)] = 296917,
  [SMALL_STATE(10411)] = 296924,
  [SMALL_STATE(10412)] = 296931,
  [SMALL_STATE(10413)] = 296938,
  [SMALL_STATE(10414)] = 296945,
  [SMALL_STATE(10415)] = 296952,
  [SMALL_STATE(10416)] = 296959,
  [SMALL_STATE(10417)] = 296966,
  [SMALL_STATE(10418)] = 296973,
  [SMALL_STATE(10419)] = 296980,
  [SMALL_STATE(10420)] = 296987,
  [SMALL_STATE(10421)] = 296994,
  [SMALL_STATE(10422)] = 297001,
  [SMALL_STATE(10423)] = 297008,
  [SMALL_STATE(10424)] = 297015,
  [SMALL_STATE(10425)] = 297022,
  [SMALL_STATE(10426)] = 297029,
  [SMALL_STATE(10427)] = 297036,
  [SMALL_STATE(10428)] = 297043,
  [SMALL_STATE(10429)] = 297050,
  [SMALL_STATE(10430)] = 297057,
  [SMALL_STATE(10431)] = 297064,
  [SMALL_STATE(10432)] = 297071,
  [SMALL_STATE(10433)] = 297078,
  [SMALL_STATE(10434)] = 297085,
  [SMALL_STATE(10435)] = 297092,
  [SMALL_STATE(10436)] = 297099,
  [SMALL_STATE(10437)] = 297106,
  [SMALL_STATE(10438)] = 297113,
  [SMALL_STATE(10439)] = 297120,
  [SMALL_STATE(10440)] = 297127,
  [SMALL_STATE(10441)] = 297134,
  [SMALL_STATE(10442)] = 297141,
  [SMALL_STATE(10443)] = 297148,
  [SMALL_STATE(10444)] = 297155,
  [SMALL_STATE(10445)] = 297162,
  [SMALL_STATE(10446)] = 297169,
  [SMALL_STATE(10447)] = 297176,
  [SMALL_STATE(10448)] = 297183,
  [SMALL_STATE(10449)] = 297190,
  [SMALL_STATE(10450)] = 297197,
  [SMALL_STATE(10451)] = 297204,
  [SMALL_STATE(10452)] = 297211,
  [SMALL_STATE(10453)] = 297218,
};

static const TSParseActionEntry ts_parse_actions[] = {
  [0] = {.entry = {.count = 0, .reusable = false}},
  [1] = {.entry = {.count = 1, .reusable = false}}, RECOVER(),
  [3] = {.entry = {.count = 1, .reusable = true}}, SHIFT_EXTRA(),
  [5] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_translation_unit, .child_count = 0),
  [7] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1599),
  [9] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7859),
  [11] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10446),
  [13] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6955),
  [15] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10444),
  [17] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9438),
  [19] = {.entry = {.count = 1, .reusable = true}}, SHIFT(347),
  [21] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2109),
  [23] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2111),
  [25] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2109),
  [27] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1519),
  [29] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6524),
  [31] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1708),
  [33] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3143),
  [35] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5163),
  [37] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3159),
  [39] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3057),
  [41] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10442),
  [43] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7782),
  [45] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9433),
  [47] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10428),
  [49] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9430),
  [51] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3288),
  [53] = {.entry = {.count = 1, .reusable = true}}, SHIFT(84),
  [55] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3021),
  [57] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1828),
  [59] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3166),
  [61] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3150),
  [63] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2683),
  [65] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3024),
  [67] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7364),
  [69] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6424),
  [71] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6453),
  [73] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6466),
  [75] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8513),
  [77] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9427),
  [79] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2150),
  [81] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10413),
  [83] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9426),
  [85] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1394),
  [87] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10389),
  [89] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1818),
  [91] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10385),
  [93] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10379),
  [95] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10378),
  [97] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2156),
  [99] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2067),
  [101] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10375),
  [103] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10371),
  [105] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10370),
  [107] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8039),
  [109] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5374),
  [111] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8544),
  [113] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8313),
  [115] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6057),
  [117] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5010),
  [119] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3091),
  [121] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10359),
  [123] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3114),
  [125] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10355),
  [127] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3595),
  [129] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6295),
  [131] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1669),
  [133] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1402),
  [135] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9368),
  [137] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2163),
  [139] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2061),
  [141] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7977),
  [143] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7676),
  [145] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10344),
  [147] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10343),
  [149] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2060),
  [151] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2173),
  [153] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9364),
  [155] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2175),
  [157] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6182),
  [159] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6679),
  [161] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3160),
  [163] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1480),
  [165] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7834),
  [167] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9874),
  [169] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9964),
  [171] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6881),
  [173] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9871),
  [175] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9404),
  [177] = {.entry = {.count = 1, .reusable = true}}, SHIFT(838),
  [179] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3152),
  [181] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5139),
  [183] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3056),
  [185] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5),
  [187] = {.entry = {.count = 1, .reusable = true}}, SHIFT(240),
  [189] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1875),
  [191] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3144),
  [193] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8519),
  [195] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8986),
  [197] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2251),
  [199] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9466),
  [201] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9424),
  [203] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1364),
  [205] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9849),
  [207] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1817),
  [209] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9452),
  [211] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9455),
  [213] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9847),
  [215] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9319),
  [217] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10275),
  [219] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9959),
  [221] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5024),
  [223] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1671),
  [225] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8994),
  [227] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2009),
  [229] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7994),
  [231] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7646),
  [233] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10239),
  [235] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10240),
  [237] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1985),
  [239] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2247),
  [241] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10274),
  [243] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6999),
  [245] = {.entry = {.count = 1, .reusable = true}}, SHIFT(958),
  [247] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2726),
  [249] = {.entry = {.count = 1, .reusable = true}}, SHIFT(796),
  [251] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2527),
  [253] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2556),
  [255] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2699),
  [257] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1198),
  [259] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2540),
  [261] = {.entry = {.count = 1, .reusable = true}}, SHIFT(512),
  [263] = {.entry = {.count = 1, .reusable = true}}, SHIFT(927),
  [265] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2526),
  [267] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2764),
  [269] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2750),
  [271] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1506),
  [273] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7877),
  [275] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9565),
  [277] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6900),
  [279] = {.entry = {.count = 1, .reusable = false}}, SHIFT(626),
  [281] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9562),
  [283] = {.entry = {.count = 1, .reusable = false}}, SHIFT(76),
  [285] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6930),
  [287] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10028),
  [289] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9437),
  [291] = {.entry = {.count = 1, .reusable = true}}, SHIFT(245),
  [293] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3140),
  [295] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5111),
  [297] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3051),
  [299] = {.entry = {.count = 1, .reusable = true}}, SHIFT(79),
  [301] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3153),
  [303] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8956),
  [305] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9327),
  [307] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2298),
  [309] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9900),
  [311] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8988),
  [313] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1326),
  [315] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10238),
  [317] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1815),
  [319] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10327),
  [321] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10326),
  [323] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9557),
  [325] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9348),
  [327] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10266),
  [329] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1670),
  [331] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9334),
  [333] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2040),
  [335] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7991),
  [337] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7740),
  [339] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10323),
  [341] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10324),
  [343] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2036),
  [345] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2266),
  [347] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10265),
  [349] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7012),
  [351] = {.entry = {.count = 1, .reusable = false}}, SHIFT(377),
  [353] = {.entry = {.count = 1, .reusable = false}}, SHIFT(661),
  [355] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1132),
  [357] = {.entry = {.count = 1, .reusable = false}}, SHIFT(386),
  [359] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1265),
  [361] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1054),
  [363] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1172),
  [365] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1188),
  [367] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1315),
  [369] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1491),
  [371] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7843),
  [373] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9523),
  [375] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6927),
  [377] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1075),
  [379] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9463),
  [381] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9422),
  [383] = {.entry = {.count = 1, .reusable = true}}, SHIFT(517),
  [385] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3147),
  [387] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5084),
  [389] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3055),
  [391] = {.entry = {.count = 1, .reusable = true}}, SHIFT(54),
  [393] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3145),
  [395] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8585),
  [397] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9431),
  [399] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2335),
  [401] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9556),
  [403] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9329),
  [405] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1321),
  [407] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10322),
  [409] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1808),
  [411] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9898),
  [413] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9897),
  [415] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9448),
  [417] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9440),
  [419] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9813),
  [421] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1673),
  [423] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9434),
  [425] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2039),
  [427] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7962),
  [429] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7748),
  [431] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10346),
  [433] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10336),
  [435] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2041),
  [437] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2299),
  [439] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9811),
  [441] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6996),
  [443] = {.entry = {.count = 1, .reusable = false}}, SHIFT(630),
  [445] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_preproc_if_repeat1, .child_count = 2), SHIFT_REPEAT(1506),
  [448] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_preproc_if_repeat1, .child_count = 2), SHIFT_REPEAT(7877),
  [451] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_preproc_if_repeat1, .child_count = 2), SHIFT_REPEAT(9565),
  [454] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_preproc_if_repeat1, .child_count = 2), SHIFT_REPEAT(6900),
  [457] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = aux_sym_preproc_if_repeat1, .child_count = 2),
  [459] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_preproc_if_repeat1, .child_count = 2), SHIFT_REPEAT(9562),
  [462] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_preproc_if_repeat1, .child_count = 2), SHIFT_REPEAT(9437),
  [465] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = aux_sym_preproc_if_repeat1, .child_count = 2), SHIFT_REPEAT(347),
  [468] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = aux_sym_preproc_if_repeat1, .child_count = 2), SHIFT_REPEAT(2109),
  [471] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = aux_sym_preproc_if_repeat1, .child_count = 2), SHIFT_REPEAT(2111),
  [474] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_preproc_if_repeat1, .child_count = 2), SHIFT_REPEAT(2109),
  [477] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = aux_sym_preproc_if_repeat1, .child_count = 2), SHIFT_REPEAT(1519),
  [480] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = aux_sym_preproc_if_repeat1, .child_count = 2), SHIFT_REPEAT(6524),
  [483] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_preproc_if_repeat1, .child_count = 2), SHIFT_REPEAT(1708),
  [486] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = aux_sym_preproc_if_repeat1, .child_count = 2), SHIFT_REPEAT(245),
  [489] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_preproc_if_repeat1, .child_count = 2), SHIFT_REPEAT(3140),
  [492] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_preproc_if_repeat1, .child_count = 2), SHIFT_REPEAT(5111),
  [495] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_preproc_if_repeat1, .child_count = 2), SHIFT_REPEAT(3159),
  [498] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_preproc_if_repeat1, .child_count = 2), SHIFT_REPEAT(3051),
  [501] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_preproc_if_repeat1, .child_count = 2), SHIFT_REPEAT(10442),
  [504] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = aux_sym_preproc_if_repeat1, .child_count = 2), SHIFT_REPEAT(7782),
  [507] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = aux_sym_preproc_if_repeat1, .child_count = 2), SHIFT_REPEAT(9433),
  [510] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_preproc_if_repeat1, .child_count = 2), SHIFT_REPEAT(10428),
  [513] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_preproc_if_repeat1, .child_count = 2), SHIFT_REPEAT(9430),
  [516] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_preproc_if_repeat1, .child_count = 2), SHIFT_REPEAT(3288),
  [519] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = aux_sym_preproc_if_repeat1, .child_count = 2), SHIFT_REPEAT(79),
  [522] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_preproc_if_repeat1, .child_count = 2), SHIFT_REPEAT(3021),
  [525] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_preproc_if_repeat1, .child_count = 2), SHIFT_REPEAT(1828),
  [528] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_preproc_if_repeat1, .child_count = 2), SHIFT_REPEAT(3166),
  [531] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_preproc_if_repeat1, .child_count = 2), SHIFT_REPEAT(3153),
  [534] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_preproc_if_repeat1, .child_count = 2), SHIFT_REPEAT(2683),
  [537] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_preproc_if_repeat1, .child_count = 2), SHIFT_REPEAT(3024),
  [540] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_preproc_if_repeat1, .child_count = 2), SHIFT_REPEAT(7364),
  [543] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_preproc_if_repeat1, .child_count = 2), SHIFT_REPEAT(6424),
  [546] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_preproc_if_repeat1, .child_count = 2), SHIFT_REPEAT(6453),
  [549] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_preproc_if_repeat1, .child_count = 2), SHIFT_REPEAT(6466),
  [552] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_preproc_if_repeat1, .child_count = 2), SHIFT_REPEAT(8956),
  [555] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_preproc_if_repeat1, .child_count = 2), SHIFT_REPEAT(9327),
  [558] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_preproc_if_repeat1, .child_count = 2), SHIFT_REPEAT(2298),
  [561] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_preproc_if_repeat1, .child_count = 2), SHIFT_REPEAT(9900),
  [564] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_preproc_if_repeat1, .child_count = 2), SHIFT_REPEAT(8988),
  [567] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_preproc_if_repeat1, .child_count = 2), SHIFT_REPEAT(1326),
  [570] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_preproc_if_repeat1, .child_count = 2), SHIFT_REPEAT(10238),
  [573] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_preproc_if_repeat1, .child_count = 2), SHIFT_REPEAT(1815),
  [576] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_preproc_if_repeat1, .child_count = 2), SHIFT_REPEAT(10327),
  [579] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_preproc_if_repeat1, .child_count = 2), SHIFT_REPEAT(10326),
  [582] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_preproc_if_repeat1, .child_count = 2), SHIFT_REPEAT(9557),
  [585] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_preproc_if_repeat1, .child_count = 2), SHIFT_REPEAT(9348),
  [588] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_preproc_if_repeat1, .child_count = 2), SHIFT_REPEAT(10266),
  [591] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = aux_sym_preproc_if_repeat1, .child_count = 2), SHIFT_REPEAT(2156),
  [594] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_preproc_if_repeat1, .child_count = 2), SHIFT_REPEAT(2067),
  [597] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_preproc_if_repeat1, .child_count = 2), SHIFT_REPEAT(10375),
  [600] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_preproc_if_repeat1, .child_count = 2), SHIFT_REPEAT(10371),
  [603] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_preproc_if_repeat1, .child_count = 2), SHIFT_REPEAT(10370),
  [606] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_preproc_if_repeat1, .child_count = 2), SHIFT_REPEAT(8039),
  [609] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = aux_sym_preproc_if_repeat1, .child_count = 2), SHIFT_REPEAT(5374),
  [612] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = aux_sym_preproc_if_repeat1, .child_count = 2), SHIFT_REPEAT(8544),
  [615] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = aux_sym_preproc_if_repeat1, .child_count = 2), SHIFT_REPEAT(8313),
  [618] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_preproc_if_repeat1, .child_count = 2), SHIFT_REPEAT(5024),
  [621] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_preproc_if_repeat1, .child_count = 2), SHIFT_REPEAT(5010),
  [624] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_preproc_if_repeat1, .child_count = 2), SHIFT_REPEAT(3091),
  [627] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_preproc_if_repeat1, .child_count = 2), SHIFT_REPEAT(10359),
  [630] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_preproc_if_repeat1, .child_count = 2), SHIFT_REPEAT(3114),
  [633] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_preproc_if_repeat1, .child_count = 2), SHIFT_REPEAT(10355),
  [636] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_preproc_if_repeat1, .child_count = 2), SHIFT_REPEAT(3595),
  [639] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_preproc_if_repeat1, .child_count = 2), SHIFT_REPEAT(6295),
  [642] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_preproc_if_repeat1, .child_count = 2), SHIFT_REPEAT(1670),
  [645] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_preproc_if_repeat1, .child_count = 2), SHIFT_REPEAT(1402),
  [648] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_preproc_if_repeat1, .child_count = 2), SHIFT_REPEAT(9334),
  [651] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_preproc_if_repeat1, .child_count = 2), SHIFT_REPEAT(2163),
  [654] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_preproc_if_repeat1, .child_count = 2), SHIFT_REPEAT(2040),
  [657] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_preproc_if_repeat1, .child_count = 2), SHIFT_REPEAT(7991),
  [660] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_preproc_if_repeat1, .child_count = 2), SHIFT_REPEAT(7740),
  [663] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_preproc_if_repeat1, .child_count = 2), SHIFT_REPEAT(10323),
  [666] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_preproc_if_repeat1, .child_count = 2), SHIFT_REPEAT(10324),
  [669] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_preproc_if_repeat1, .child_count = 2), SHIFT_REPEAT(2036),
  [672] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_preproc_if_repeat1, .child_count = 2), SHIFT_REPEAT(2266),
  [675] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = aux_sym_preproc_if_repeat1, .child_count = 2), SHIFT_REPEAT(9364),
  [678] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_preproc_if_repeat1, .child_count = 2), SHIFT_REPEAT(2175),
  [681] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_preproc_if_repeat1, .child_count = 2), SHIFT_REPEAT(6182),
  [684] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_preproc_if_repeat1, .child_count = 2), SHIFT_REPEAT(6679),
  [687] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_preproc_if_repeat1, .child_count = 2), SHIFT_REPEAT(10265),
  [690] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_preproc_if_repeat1, .child_count = 2), SHIFT_REPEAT(3160),
  [693] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_preproc_if_repeat1, .child_count = 2), SHIFT_REPEAT(7012),
  [696] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1276),
  [698] = {.entry = {.count = 1, .reusable = false}}, SHIFT(597),
  [700] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1116),
  [702] = {.entry = {.count = 1, .reusable = false}}, SHIFT(444),
  [704] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_preproc_elifdef, .child_count = 3, .production_id = 10),
  [706] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_preproc_elif, .child_count = 3, .production_id = 78),
  [708] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_preproc_elifdef, .child_count = 2, .production_id = 10),
  [710] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1066),
  [712] = {.entry = {.count = 1, .reusable = false}}, SHIFT(381),
  [714] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1095),
  [716] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1258),
  [718] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_preproc_elif, .child_count = 4, .production_id = 78),
  [720] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_preproc_if_repeat1, .child_count = 2), SHIFT_REPEAT(1491),
  [723] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_preproc_if_repeat1, .child_count = 2), SHIFT_REPEAT(7843),
  [726] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_preproc_if_repeat1, .child_count = 2), SHIFT_REPEAT(9523),
  [729] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_preproc_if_repeat1, .child_count = 2), SHIFT_REPEAT(6927),
  [732] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_preproc_if_repeat1, .child_count = 2), SHIFT_REPEAT(9463),
  [735] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_preproc_if_repeat1, .child_count = 2), SHIFT_REPEAT(9422),
  [738] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = aux_sym_preproc_if_repeat1, .child_count = 2), SHIFT_REPEAT(517),
  [741] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_preproc_if_repeat1, .child_count = 2), SHIFT_REPEAT(3147),
  [744] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_preproc_if_repeat1, .child_count = 2), SHIFT_REPEAT(5084),
  [747] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_preproc_if_repeat1, .child_count = 2), SHIFT_REPEAT(3055),
  [750] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = aux_sym_preproc_if_repeat1, .child_count = 2), SHIFT_REPEAT(54),
  [753] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_preproc_if_repeat1, .child_count = 2), SHIFT_REPEAT(3145),
  [756] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_preproc_if_repeat1, .child_count = 2), SHIFT_REPEAT(8585),
  [759] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_preproc_if_repeat1, .child_count = 2), SHIFT_REPEAT(9431),
  [762] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_preproc_if_repeat1, .child_count = 2), SHIFT_REPEAT(2335),
  [765] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_preproc_if_repeat1, .child_count = 2), SHIFT_REPEAT(9556),
  [768] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_preproc_if_repeat1, .child_count = 2), SHIFT_REPEAT(9329),
  [771] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_preproc_if_repeat1, .child_count = 2), SHIFT_REPEAT(1321),
  [774] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_preproc_if_repeat1, .child_count = 2), SHIFT_REPEAT(10322),
  [777] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_preproc_if_repeat1, .child_count = 2), SHIFT_REPEAT(1808),
  [780] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_preproc_if_repeat1, .child_count = 2), SHIFT_REPEAT(9898),
  [783] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_preproc_if_repeat1, .child_count = 2), SHIFT_REPEAT(9897),
  [786] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_preproc_if_repeat1, .child_count = 2), SHIFT_REPEAT(9448),
  [789] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_preproc_if_repeat1, .child_count = 2), SHIFT_REPEAT(9440),
  [792] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_preproc_if_repeat1, .child_count = 2), SHIFT_REPEAT(9813),
  [795] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_preproc_if_repeat1, .child_count = 2), SHIFT_REPEAT(1673),
  [798] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_preproc_if_repeat1, .child_count = 2), SHIFT_REPEAT(9434),
  [801] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_preproc_if_repeat1, .child_count = 2), SHIFT_REPEAT(2039),
  [804] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_preproc_if_repeat1, .child_count = 2), SHIFT_REPEAT(7962),
  [807] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_preproc_if_repeat1, .child_count = 2), SHIFT_REPEAT(7748),
  [810] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_preproc_if_repeat1, .child_count = 2), SHIFT_REPEAT(10346),
  [813] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_preproc_if_repeat1, .child_count = 2), SHIFT_REPEAT(10336),
  [816] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_preproc_if_repeat1, .child_count = 2), SHIFT_REPEAT(2041),
  [819] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_preproc_if_repeat1, .child_count = 2), SHIFT_REPEAT(2299),
  [822] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_preproc_if_repeat1, .child_count = 2), SHIFT_REPEAT(9811),
  [825] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_preproc_if_repeat1, .child_count = 2), SHIFT_REPEAT(6996),
  [828] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1487),
  [830] = {.entry = {.count = 1, .reusable = true}}, SHIFT(73),
  [832] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1099),
  [834] = {.entry = {.count = 1, .reusable = true}}, SHIFT(379),
  [836] = {.entry = {.count = 1, .reusable = true}}, SHIFT(608),
  [838] = {.entry = {.count = 1, .reusable = true}}, SHIFT(683),
  [840] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4192),
  [842] = {.entry = {.count = 1, .reusable = true}}, SHIFT(160),
  [844] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2784),
  [846] = {.entry = {.count = 1, .reusable = true}}, SHIFT(219),
  [848] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4877),
  [850] = {.entry = {.count = 1, .reusable = true}}, SHIFT(658),
  [852] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2671),
  [854] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4189),
  [856] = {.entry = {.count = 1, .reusable = true}}, SHIFT(416),
  [858] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1274),
  [860] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_preproc_if_repeat1, .child_count = 2), SHIFT_REPEAT(1487),
  [863] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_preproc_if_repeat1, .child_count = 2), SHIFT_REPEAT(7834),
  [866] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_preproc_if_repeat1, .child_count = 2), SHIFT_REPEAT(9874),
  [869] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_preproc_if_repeat1, .child_count = 2), SHIFT_REPEAT(6881),
  [872] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_preproc_if_repeat1, .child_count = 2), SHIFT_REPEAT(9871),
  [875] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_preproc_if_repeat1, .child_count = 2), SHIFT_REPEAT(9404),
  [878] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = aux_sym_preproc_if_repeat1, .child_count = 2), SHIFT_REPEAT(838),
  [881] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_preproc_if_repeat1, .child_count = 2), SHIFT_REPEAT(3152),
  [884] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_preproc_if_repeat1, .child_count = 2), SHIFT_REPEAT(5139),
  [887] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_preproc_if_repeat1, .child_count = 2), SHIFT_REPEAT(3056),
  [890] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = aux_sym_preproc_if_repeat1, .child_count = 2), SHIFT_REPEAT(73),
  [893] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = aux_sym_preproc_if_repeat1, .child_count = 2),
  [895] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_preproc_if_repeat1, .child_count = 2), SHIFT_REPEAT(3144),
  [898] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_preproc_if_repeat1, .child_count = 2), SHIFT_REPEAT(8519),
  [901] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_preproc_if_repeat1, .child_count = 2), SHIFT_REPEAT(8986),
  [904] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_preproc_if_repeat1, .child_count = 2), SHIFT_REPEAT(2251),
  [907] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_preproc_if_repeat1, .child_count = 2), SHIFT_REPEAT(9466),
  [910] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_preproc_if_repeat1, .child_count = 2), SHIFT_REPEAT(9424),
  [913] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_preproc_if_repeat1, .child_count = 2), SHIFT_REPEAT(1364),
  [916] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_preproc_if_repeat1, .child_count = 2), SHIFT_REPEAT(9849),
  [919] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_preproc_if_repeat1, .child_count = 2), SHIFT_REPEAT(1817),
  [922] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_preproc_if_repeat1, .child_count = 2), SHIFT_REPEAT(9452),
  [925] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_preproc_if_repeat1, .child_count = 2), SHIFT_REPEAT(9455),
  [928] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_preproc_if_repeat1, .child_count = 2), SHIFT_REPEAT(9847),
  [931] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_preproc_if_repeat1, .child_count = 2), SHIFT_REPEAT(9319),
  [934] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_preproc_if_repeat1, .child_count = 2), SHIFT_REPEAT(10275),
  [937] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_preproc_if_repeat1, .child_count = 2), SHIFT_REPEAT(1671),
  [940] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_preproc_if_repeat1, .child_count = 2), SHIFT_REPEAT(8994),
  [943] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_preproc_if_repeat1, .child_count = 2), SHIFT_REPEAT(2009),
  [946] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_preproc_if_repeat1, .child_count = 2), SHIFT_REPEAT(7994),
  [949] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_preproc_if_repeat1, .child_count = 2), SHIFT_REPEAT(7646),
  [952] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_preproc_if_repeat1, .child_count = 2), SHIFT_REPEAT(10239),
  [955] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_preproc_if_repeat1, .child_count = 2), SHIFT_REPEAT(10240),
  [958] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_preproc_if_repeat1, .child_count = 2), SHIFT_REPEAT(1985),
  [961] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_preproc_if_repeat1, .child_count = 2), SHIFT_REPEAT(2247),
  [964] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_preproc_if_repeat1, .child_count = 2), SHIFT_REPEAT(10274),
  [967] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_preproc_if_repeat1, .child_count = 2), SHIFT_REPEAT(6999),
  [970] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4576),
  [972] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4951),
  [974] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4661),
  [976] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5582),
  [978] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5587),
  [980] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_preproc_if_repeat1, .child_count = 2), SHIFT_REPEAT(1486),
  [983] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_preproc_if_repeat1, .child_count = 2), SHIFT_REPEAT(7851),
  [986] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_preproc_if_repeat1, .child_count = 2), SHIFT_REPEAT(9601),
  [989] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_preproc_if_repeat1, .child_count = 2), SHIFT_REPEAT(6901),
  [992] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_preproc_if_repeat1, .child_count = 2), SHIFT_REPEAT(9524),
  [995] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_preproc_if_repeat1, .child_count = 2), SHIFT_REPEAT(9205),
  [998] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = aux_sym_preproc_if_repeat1, .child_count = 2), SHIFT_REPEAT(887),
  [1001] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_preproc_if_repeat1, .child_count = 2), SHIFT_REPEAT(3148),
  [1004] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_preproc_if_repeat1, .child_count = 2), SHIFT_REPEAT(5078),
  [1007] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_preproc_if_repeat1, .child_count = 2), SHIFT_REPEAT(3053),
  [1010] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = aux_sym_preproc_if_repeat1, .child_count = 2), SHIFT_REPEAT(45),
  [1013] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_preproc_if_repeat1, .child_count = 2), SHIFT_REPEAT(3157),
  [1016] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_preproc_if_repeat1, .child_count = 2), SHIFT_REPEAT(8510),
  [1019] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_preproc_if_repeat1, .child_count = 2), SHIFT_REPEAT(9366),
  [1022] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_preproc_if_repeat1, .child_count = 2), SHIFT_REPEAT(2425),
  [1025] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_preproc_if_repeat1, .child_count = 2), SHIFT_REPEAT(9667),
  [1028] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_preproc_if_repeat1, .child_count = 2), SHIFT_REPEAT(9432),
  [1031] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_preproc_if_repeat1, .child_count = 2), SHIFT_REPEAT(1330),
  [1034] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_preproc_if_repeat1, .child_count = 2), SHIFT_REPEAT(10334),
  [1037] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_preproc_if_repeat1, .child_count = 2), SHIFT_REPEAT(1807),
  [1040] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_preproc_if_repeat1, .child_count = 2), SHIFT_REPEAT(9480),
  [1043] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_preproc_if_repeat1, .child_count = 2), SHIFT_REPEAT(9485),
  [1046] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_preproc_if_repeat1, .child_count = 2), SHIFT_REPEAT(9533),
  [1049] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_preproc_if_repeat1, .child_count = 2), SHIFT_REPEAT(9345),
  [1052] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_preproc_if_repeat1, .child_count = 2), SHIFT_REPEAT(9510),
  [1055] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_preproc_if_repeat1, .child_count = 2), SHIFT_REPEAT(1672),
  [1058] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_preproc_if_repeat1, .child_count = 2), SHIFT_REPEAT(9359),
  [1061] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_preproc_if_repeat1, .child_count = 2), SHIFT_REPEAT(2087),
  [1064] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_preproc_if_repeat1, .child_count = 2), SHIFT_REPEAT(8017),
  [1067] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_preproc_if_repeat1, .child_count = 2), SHIFT_REPEAT(7634),
  [1070] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_preproc_if_repeat1, .child_count = 2), SHIFT_REPEAT(10356),
  [1073] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_preproc_if_repeat1, .child_count = 2), SHIFT_REPEAT(10347),
  [1076] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_preproc_if_repeat1, .child_count = 2), SHIFT_REPEAT(2081),
  [1079] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_preproc_if_repeat1, .child_count = 2), SHIFT_REPEAT(2336),
  [1082] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_preproc_if_repeat1, .child_count = 2), SHIFT_REPEAT(9513),
  [1085] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_preproc_if_repeat1, .child_count = 2), SHIFT_REPEAT(6982),
  [1088] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7188),
  [1090] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7189),
  [1092] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3627),
  [1094] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1311),
  [1096] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5397),
  [1098] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5410),
  [1100] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2533),
  [1102] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3597),
  [1104] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2791),
  [1106] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1139),
  [1108] = {.entry = {.count = 1, .reusable = true}}, SHIFT(656),
  [1110] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2790),
  [1112] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2534),
  [1114] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1486),
  [1116] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7851),
  [1118] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9601),
  [1120] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6901),
  [1122] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_preproc_else, .child_count = 1),
  [1124] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9524),
  [1126] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9205),
  [1128] = {.entry = {.count = 1, .reusable = true}}, SHIFT(887),
  [1130] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3148),
  [1132] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5078),
  [1134] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3053),
  [1136] = {.entry = {.count = 1, .reusable = true}}, SHIFT(45),
  [1138] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3157),
  [1140] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8510),
  [1142] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9366),
  [1144] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2425),
  [1146] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9667),
  [1148] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9432),
  [1150] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1330),
  [1152] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10334),
  [1154] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1807),
  [1156] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9480),
  [1158] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9485),
  [1160] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9533),
  [1162] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9345),
  [1164] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9510),
  [1166] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1672),
  [1168] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9359),
  [1170] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2087),
  [1172] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8017),
  [1174] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7634),
  [1176] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10356),
  [1178] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10347),
  [1180] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2081),
  [1182] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2336),
  [1184] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9513),
  [1186] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6982),
  [1188] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4812),
  [1190] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1510),
  [1192] = {.entry = {.count = 1, .reusable = true}}, SHIFT(218),
  [1194] = {.entry = {.count = 1, .reusable = true}}, SHIFT(392),
  [1196] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4817),
  [1198] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1136),
  [1200] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1147),
  [1202] = {.entry = {.count = 1, .reusable = true}}, SHIFT(167),
  [1204] = {.entry = {.count = 1, .reusable = true}}, SHIFT(459),
  [1206] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3001),
  [1208] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_preproc_else, .child_count = 2),
  [1210] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6983),
  [1212] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4611),
  [1214] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6977),
  [1216] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2785),
  [1218] = {.entry = {.count = 1, .reusable = true}}, SHIFT(647),
  [1220] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2663),
  [1222] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1515),
  [1224] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3002),
  [1226] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4630),
  [1228] = {.entry = {.count = 1, .reusable = true}}, SHIFT(643),
  [1230] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_translation_unit, .child_count = 1),
  [1232] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = aux_sym_translation_unit_repeat1, .child_count = 2),
  [1234] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_translation_unit_repeat1, .child_count = 2), SHIFT_REPEAT(1599),
  [1237] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_translation_unit_repeat1, .child_count = 2), SHIFT_REPEAT(7859),
  [1240] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_translation_unit_repeat1, .child_count = 2), SHIFT_REPEAT(10446),
  [1243] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_translation_unit_repeat1, .child_count = 2), SHIFT_REPEAT(6955),
  [1246] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_translation_unit_repeat1, .child_count = 2), SHIFT_REPEAT(10444),
  [1249] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_translation_unit_repeat1, .child_count = 2), SHIFT_REPEAT(9438),
  [1252] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = aux_sym_translation_unit_repeat1, .child_count = 2), SHIFT_REPEAT(347),
  [1255] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = aux_sym_translation_unit_repeat1, .child_count = 2), SHIFT_REPEAT(2109),
  [1258] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = aux_sym_translation_unit_repeat1, .child_count = 2), SHIFT_REPEAT(2111),
  [1261] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_translation_unit_repeat1, .child_count = 2), SHIFT_REPEAT(2109),
  [1264] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = aux_sym_translation_unit_repeat1, .child_count = 2), SHIFT_REPEAT(1519),
  [1267] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = aux_sym_translation_unit_repeat1, .child_count = 2), SHIFT_REPEAT(6524),
  [1270] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_translation_unit_repeat1, .child_count = 2), SHIFT_REPEAT(1708),
  [1273] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_translation_unit_repeat1, .child_count = 2), SHIFT_REPEAT(3143),
  [1276] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_translation_unit_repeat1, .child_count = 2), SHIFT_REPEAT(5163),
  [1279] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_translation_unit_repeat1, .child_count = 2), SHIFT_REPEAT(3159),
  [1282] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_translation_unit_repeat1, .child_count = 2), SHIFT_REPEAT(3057),
  [1285] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_translation_unit_repeat1, .child_count = 2), SHIFT_REPEAT(10442),
  [1288] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = aux_sym_translation_unit_repeat1, .child_count = 2), SHIFT_REPEAT(7782),
  [1291] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = aux_sym_translation_unit_repeat1, .child_count = 2), SHIFT_REPEAT(9433),
  [1294] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_translation_unit_repeat1, .child_count = 2), SHIFT_REPEAT(10428),
  [1297] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_translation_unit_repeat1, .child_count = 2), SHIFT_REPEAT(9430),
  [1300] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_translation_unit_repeat1, .child_count = 2), SHIFT_REPEAT(3288),
  [1303] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = aux_sym_translation_unit_repeat1, .child_count = 2), SHIFT_REPEAT(84),
  [1306] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_translation_unit_repeat1, .child_count = 2), SHIFT_REPEAT(3021),
  [1309] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_translation_unit_repeat1, .child_count = 2), SHIFT_REPEAT(1828),
  [1312] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_translation_unit_repeat1, .child_count = 2), SHIFT_REPEAT(3166),
  [1315] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_translation_unit_repeat1, .child_count = 2), SHIFT_REPEAT(3150),
  [1318] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_translation_unit_repeat1, .child_count = 2), SHIFT_REPEAT(2683),
  [1321] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_translation_unit_repeat1, .child_count = 2), SHIFT_REPEAT(3024),
  [1324] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_translation_unit_repeat1, .child_count = 2), SHIFT_REPEAT(7364),
  [1327] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_translation_unit_repeat1, .child_count = 2), SHIFT_REPEAT(6424),
  [1330] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_translation_unit_repeat1, .child_count = 2), SHIFT_REPEAT(6453),
  [1333] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_translation_unit_repeat1, .child_count = 2), SHIFT_REPEAT(6466),
  [1336] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_translation_unit_repeat1, .child_count = 2), SHIFT_REPEAT(8513),
  [1339] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_translation_unit_repeat1, .child_count = 2), SHIFT_REPEAT(9427),
  [1342] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_translation_unit_repeat1, .child_count = 2), SHIFT_REPEAT(2150),
  [1345] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_translation_unit_repeat1, .child_count = 2), SHIFT_REPEAT(10413),
  [1348] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_translation_unit_repeat1, .child_count = 2), SHIFT_REPEAT(9426),
  [1351] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_translation_unit_repeat1, .child_count = 2), SHIFT_REPEAT(1394),
  [1354] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_translation_unit_repeat1, .child_count = 2), SHIFT_REPEAT(10389),
  [1357] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_translation_unit_repeat1, .child_count = 2), SHIFT_REPEAT(1818),
  [1360] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_translation_unit_repeat1, .child_count = 2), SHIFT_REPEAT(10385),
  [1363] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_translation_unit_repeat1, .child_count = 2), SHIFT_REPEAT(10379),
  [1366] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_translation_unit_repeat1, .child_count = 2), SHIFT_REPEAT(10378),
  [1369] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = aux_sym_translation_unit_repeat1, .child_count = 2), SHIFT_REPEAT(2156),
  [1372] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_translation_unit_repeat1, .child_count = 2), SHIFT_REPEAT(2067),
  [1375] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_translation_unit_repeat1, .child_count = 2), SHIFT_REPEAT(10375),
  [1378] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_translation_unit_repeat1, .child_count = 2), SHIFT_REPEAT(10371),
  [1381] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_translation_unit_repeat1, .child_count = 2), SHIFT_REPEAT(10370),
  [1384] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_translation_unit_repeat1, .child_count = 2), SHIFT_REPEAT(8039),
  [1387] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = aux_sym_translation_unit_repeat1, .child_count = 2), SHIFT_REPEAT(5374),
  [1390] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = aux_sym_translation_unit_repeat1, .child_count = 2), SHIFT_REPEAT(8544),
  [1393] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = aux_sym_translation_unit_repeat1, .child_count = 2), SHIFT_REPEAT(8313),
  [1396] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_translation_unit_repeat1, .child_count = 2), SHIFT_REPEAT(6057),
  [1399] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_translation_unit_repeat1, .child_count = 2), SHIFT_REPEAT(5010),
  [1402] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_translation_unit_repeat1, .child_count = 2), SHIFT_REPEAT(3091),
  [1405] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_translation_unit_repeat1, .child_count = 2), SHIFT_REPEAT(10359),
  [1408] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_translation_unit_repeat1, .child_count = 2), SHIFT_REPEAT(3114),
  [1411] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_translation_unit_repeat1, .child_count = 2), SHIFT_REPEAT(10355),
  [1414] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_translation_unit_repeat1, .child_count = 2), SHIFT_REPEAT(3595),
  [1417] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_translation_unit_repeat1, .child_count = 2), SHIFT_REPEAT(6295),
  [1420] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_translation_unit_repeat1, .child_count = 2), SHIFT_REPEAT(1669),
  [1423] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_translation_unit_repeat1, .child_count = 2), SHIFT_REPEAT(1402),
  [1426] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_translation_unit_repeat1, .child_count = 2), SHIFT_REPEAT(9368),
  [1429] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_translation_unit_repeat1, .child_count = 2), SHIFT_REPEAT(2163),
  [1432] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_translation_unit_repeat1, .child_count = 2), SHIFT_REPEAT(2061),
  [1435] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_translation_unit_repeat1, .child_count = 2), SHIFT_REPEAT(7977),
  [1438] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_translation_unit_repeat1, .child_count = 2), SHIFT_REPEAT(7676),
  [1441] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_translation_unit_repeat1, .child_count = 2), SHIFT_REPEAT(10344),
  [1444] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_translation_unit_repeat1, .child_count = 2), SHIFT_REPEAT(10343),
  [1447] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_translation_unit_repeat1, .child_count = 2), SHIFT_REPEAT(2060),
  [1450] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_translation_unit_repeat1, .child_count = 2), SHIFT_REPEAT(2173),
  [1453] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = aux_sym_translation_unit_repeat1, .child_count = 2), SHIFT_REPEAT(9364),
  [1456] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_translation_unit_repeat1, .child_count = 2), SHIFT_REPEAT(2175),
  [1459] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_translation_unit_repeat1, .child_count = 2), SHIFT_REPEAT(6182),
  [1462] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_translation_unit_repeat1, .child_count = 2), SHIFT_REPEAT(6679),
  [1465] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_translation_unit_repeat1, .child_count = 2), SHIFT_REPEAT(3160),
  [1468] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1646),
  [1470] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_case_statement, .child_count = 2),
  [1472] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1435),
  [1474] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2216),
  [1476] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_case_statement, .child_count = 2),
  [1478] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2216),
  [1480] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2673),
  [1482] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9324),
  [1484] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1877),
  [1486] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9331),
  [1488] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_case_statement, .child_count = 4, .production_id = 14),
  [1490] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_case_statement, .child_count = 4, .production_id = 14),
  [1492] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_case_statement, .child_count = 3),
  [1494] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_case_statement, .child_count = 3),
  [1496] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_case_statement, .child_count = 3, .production_id = 14),
  [1498] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_case_statement, .child_count = 3, .production_id = 14),
  [1500] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_case_statement_repeat1, .child_count = 2), SHIFT_REPEAT(1646),
  [1503] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = aux_sym_case_statement_repeat1, .child_count = 2),
  [1505] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = aux_sym_case_statement_repeat1, .child_count = 2), SHIFT_REPEAT(1435),
  [1508] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = aux_sym_case_statement_repeat1, .child_count = 2), SHIFT_REPEAT(2109),
  [1511] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_case_statement_repeat1, .child_count = 2), SHIFT_REPEAT(2109),
  [1514] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = aux_sym_case_statement_repeat1, .child_count = 2), SHIFT_REPEAT(2216),
  [1517] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = aux_sym_case_statement_repeat1, .child_count = 2),
  [1519] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_case_statement_repeat1, .child_count = 2), SHIFT_REPEAT(2216),
  [1522] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = aux_sym_case_statement_repeat1, .child_count = 2), SHIFT_REPEAT(245),
  [1525] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_case_statement_repeat1, .child_count = 2), SHIFT_REPEAT(3140),
  [1528] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_case_statement_repeat1, .child_count = 2), SHIFT_REPEAT(5111),
  [1531] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_case_statement_repeat1, .child_count = 2), SHIFT_REPEAT(2673),
  [1534] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_case_statement_repeat1, .child_count = 2), SHIFT_REPEAT(3166),
  [1537] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_case_statement_repeat1, .child_count = 2), SHIFT_REPEAT(10442),
  [1540] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = aux_sym_case_statement_repeat1, .child_count = 2), SHIFT_REPEAT(7782),
  [1543] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = aux_sym_case_statement_repeat1, .child_count = 2), SHIFT_REPEAT(9324),
  [1546] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_case_statement_repeat1, .child_count = 2), SHIFT_REPEAT(10428),
  [1549] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = aux_sym_case_statement_repeat1, .child_count = 2), SHIFT_REPEAT(79),
  [1552] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_case_statement_repeat1, .child_count = 2), SHIFT_REPEAT(3021),
  [1555] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_case_statement_repeat1, .child_count = 2), SHIFT_REPEAT(1877),
  [1558] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_case_statement_repeat1, .child_count = 2), SHIFT_REPEAT(2683),
  [1561] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_case_statement_repeat1, .child_count = 2), SHIFT_REPEAT(3024),
  [1564] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_case_statement_repeat1, .child_count = 2), SHIFT_REPEAT(7364),
  [1567] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_case_statement_repeat1, .child_count = 2), SHIFT_REPEAT(6424),
  [1570] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_case_statement_repeat1, .child_count = 2), SHIFT_REPEAT(6453),
  [1573] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_case_statement_repeat1, .child_count = 2), SHIFT_REPEAT(6466),
  [1576] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_case_statement_repeat1, .child_count = 2), SHIFT_REPEAT(8956),
  [1579] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_case_statement_repeat1, .child_count = 2), SHIFT_REPEAT(9327),
  [1582] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_case_statement_repeat1, .child_count = 2), SHIFT_REPEAT(8988),
  [1585] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_case_statement_repeat1, .child_count = 2), SHIFT_REPEAT(1326),
  [1588] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_case_statement_repeat1, .child_count = 2), SHIFT_REPEAT(10238),
  [1591] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_case_statement_repeat1, .child_count = 2), SHIFT_REPEAT(1815),
  [1594] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_case_statement_repeat1, .child_count = 2), SHIFT_REPEAT(10327),
  [1597] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_case_statement_repeat1, .child_count = 2), SHIFT_REPEAT(10326),
  [1600] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_case_statement_repeat1, .child_count = 2), SHIFT_REPEAT(9557),
  [1603] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_case_statement_repeat1, .child_count = 2), SHIFT_REPEAT(9348),
  [1606] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_case_statement_repeat1, .child_count = 2), SHIFT_REPEAT(10266),
  [1609] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = aux_sym_case_statement_repeat1, .child_count = 2), SHIFT_REPEAT(2156),
  [1612] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_case_statement_repeat1, .child_count = 2), SHIFT_REPEAT(2067),
  [1615] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_case_statement_repeat1, .child_count = 2), SHIFT_REPEAT(10375),
  [1618] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_case_statement_repeat1, .child_count = 2), SHIFT_REPEAT(10371),
  [1621] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_case_statement_repeat1, .child_count = 2), SHIFT_REPEAT(10370),
  [1624] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_case_statement_repeat1, .child_count = 2), SHIFT_REPEAT(8039),
  [1627] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = aux_sym_case_statement_repeat1, .child_count = 2), SHIFT_REPEAT(5374),
  [1630] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = aux_sym_case_statement_repeat1, .child_count = 2), SHIFT_REPEAT(8544),
  [1633] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = aux_sym_case_statement_repeat1, .child_count = 2), SHIFT_REPEAT(8313),
  [1636] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_case_statement_repeat1, .child_count = 2), SHIFT_REPEAT(5024),
  [1639] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_case_statement_repeat1, .child_count = 2), SHIFT_REPEAT(5010),
  [1642] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_case_statement_repeat1, .child_count = 2), SHIFT_REPEAT(3091),
  [1645] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_case_statement_repeat1, .child_count = 2), SHIFT_REPEAT(10359),
  [1648] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_case_statement_repeat1, .child_count = 2), SHIFT_REPEAT(3114),
  [1651] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_case_statement_repeat1, .child_count = 2), SHIFT_REPEAT(10355),
  [1654] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_case_statement_repeat1, .child_count = 2), SHIFT_REPEAT(6295),
  [1657] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_case_statement_repeat1, .child_count = 2), SHIFT_REPEAT(9331),
  [1660] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_case_statement_repeat1, .child_count = 2), SHIFT_REPEAT(9334),
  [1663] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_case_statement_repeat1, .child_count = 2), SHIFT_REPEAT(2163),
  [1666] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_case_statement_repeat1, .child_count = 2), SHIFT_REPEAT(2040),
  [1669] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_case_statement_repeat1, .child_count = 2), SHIFT_REPEAT(2036),
  [1672] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_case_statement_repeat1, .child_count = 2), SHIFT_REPEAT(2266),
  [1675] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = aux_sym_case_statement_repeat1, .child_count = 2), SHIFT_REPEAT(9364),
  [1678] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_case_statement_repeat1, .child_count = 2), SHIFT_REPEAT(2175),
  [1681] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_case_statement_repeat1, .child_count = 2), SHIFT_REPEAT(6182),
  [1684] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_case_statement_repeat1, .child_count = 2), SHIFT_REPEAT(6679),
  [1687] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_case_statement_repeat1, .child_count = 2), SHIFT_REPEAT(10265),
  [1690] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_case_statement_repeat1, .child_count = 2), SHIFT_REPEAT(3160),
  [1693] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_case_statement_repeat1, .child_count = 2), SHIFT_REPEAT(7012),
  [1696] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1650),
  [1698] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_case_statement_repeat1, .child_count = 2), SHIFT_REPEAT(1650),
  [1701] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = aux_sym_case_statement_repeat1, .child_count = 2), SHIFT_REPEAT(517),
  [1704] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_case_statement_repeat1, .child_count = 2), SHIFT_REPEAT(3147),
  [1707] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_case_statement_repeat1, .child_count = 2), SHIFT_REPEAT(5084),
  [1710] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = aux_sym_case_statement_repeat1, .child_count = 2), SHIFT_REPEAT(54),
  [1713] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_case_statement_repeat1, .child_count = 2), SHIFT_REPEAT(8585),
  [1716] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_case_statement_repeat1, .child_count = 2), SHIFT_REPEAT(9431),
  [1719] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_case_statement_repeat1, .child_count = 2), SHIFT_REPEAT(9329),
  [1722] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_case_statement_repeat1, .child_count = 2), SHIFT_REPEAT(1321),
  [1725] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_case_statement_repeat1, .child_count = 2), SHIFT_REPEAT(10322),
  [1728] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_case_statement_repeat1, .child_count = 2), SHIFT_REPEAT(1808),
  [1731] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_case_statement_repeat1, .child_count = 2), SHIFT_REPEAT(9898),
  [1734] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_case_statement_repeat1, .child_count = 2), SHIFT_REPEAT(9897),
  [1737] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_case_statement_repeat1, .child_count = 2), SHIFT_REPEAT(9448),
  [1740] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_case_statement_repeat1, .child_count = 2), SHIFT_REPEAT(9440),
  [1743] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_case_statement_repeat1, .child_count = 2), SHIFT_REPEAT(9813),
  [1746] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_case_statement_repeat1, .child_count = 2), SHIFT_REPEAT(9434),
  [1749] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_case_statement_repeat1, .child_count = 2), SHIFT_REPEAT(2039),
  [1752] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_case_statement_repeat1, .child_count = 2), SHIFT_REPEAT(2041),
  [1755] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_case_statement_repeat1, .child_count = 2), SHIFT_REPEAT(2299),
  [1758] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_case_statement_repeat1, .child_count = 2), SHIFT_REPEAT(9811),
  [1761] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_case_statement_repeat1, .child_count = 2), SHIFT_REPEAT(6996),
  [1764] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_case_statement_repeat1, .child_count = 2), SHIFT_REPEAT(1645),
  [1767] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = aux_sym_case_statement_repeat1, .child_count = 2), SHIFT_REPEAT(830),
  [1770] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_case_statement_repeat1, .child_count = 2), SHIFT_REPEAT(3143),
  [1773] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_case_statement_repeat1, .child_count = 2), SHIFT_REPEAT(5163),
  [1776] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = aux_sym_case_statement_repeat1, .child_count = 2), SHIFT_REPEAT(84),
  [1779] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_case_statement_repeat1, .child_count = 2), SHIFT_REPEAT(8513),
  [1782] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_case_statement_repeat1, .child_count = 2), SHIFT_REPEAT(9427),
  [1785] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_case_statement_repeat1, .child_count = 2), SHIFT_REPEAT(9426),
  [1788] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_case_statement_repeat1, .child_count = 2), SHIFT_REPEAT(1394),
  [1791] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_case_statement_repeat1, .child_count = 2), SHIFT_REPEAT(10389),
  [1794] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_case_statement_repeat1, .child_count = 2), SHIFT_REPEAT(1818),
  [1797] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_case_statement_repeat1, .child_count = 2), SHIFT_REPEAT(10385),
  [1800] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_case_statement_repeat1, .child_count = 2), SHIFT_REPEAT(10379),
  [1803] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_case_statement_repeat1, .child_count = 2), SHIFT_REPEAT(10378),
  [1806] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_case_statement_repeat1, .child_count = 2), SHIFT_REPEAT(9016),
  [1809] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_case_statement_repeat1, .child_count = 2), SHIFT_REPEAT(9574),
  [1812] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_case_statement_repeat1, .child_count = 2), SHIFT_REPEAT(9368),
  [1815] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_case_statement_repeat1, .child_count = 2), SHIFT_REPEAT(2061),
  [1818] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_case_statement_repeat1, .child_count = 2), SHIFT_REPEAT(2060),
  [1821] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_case_statement_repeat1, .child_count = 2), SHIFT_REPEAT(2173),
  [1824] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_case_statement_repeat1, .child_count = 2), SHIFT_REPEAT(9587),
  [1827] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_case_statement_repeat1, .child_count = 2), SHIFT_REPEAT(7056),
  [1830] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1652),
  [1832] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_case_statement_repeat1, .child_count = 2), SHIFT_REPEAT(1653),
  [1835] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = aux_sym_case_statement_repeat1, .child_count = 2), SHIFT_REPEAT(838),
  [1838] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_case_statement_repeat1, .child_count = 2), SHIFT_REPEAT(3152),
  [1841] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_case_statement_repeat1, .child_count = 2), SHIFT_REPEAT(5139),
  [1844] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = aux_sym_case_statement_repeat1, .child_count = 2), SHIFT_REPEAT(73),
  [1847] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_case_statement_repeat1, .child_count = 2), SHIFT_REPEAT(8519),
  [1850] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_case_statement_repeat1, .child_count = 2), SHIFT_REPEAT(8986),
  [1853] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_case_statement_repeat1, .child_count = 2), SHIFT_REPEAT(9424),
  [1856] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_case_statement_repeat1, .child_count = 2), SHIFT_REPEAT(1364),
  [1859] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_case_statement_repeat1, .child_count = 2), SHIFT_REPEAT(9849),
  [1862] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_case_statement_repeat1, .child_count = 2), SHIFT_REPEAT(1817),
  [1865] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_case_statement_repeat1, .child_count = 2), SHIFT_REPEAT(9452),
  [1868] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_case_statement_repeat1, .child_count = 2), SHIFT_REPEAT(9455),
  [1871] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_case_statement_repeat1, .child_count = 2), SHIFT_REPEAT(9847),
  [1874] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_case_statement_repeat1, .child_count = 2), SHIFT_REPEAT(9319),
  [1877] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_case_statement_repeat1, .child_count = 2), SHIFT_REPEAT(10275),
  [1880] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_case_statement_repeat1, .child_count = 2), SHIFT_REPEAT(8994),
  [1883] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_case_statement_repeat1, .child_count = 2), SHIFT_REPEAT(2009),
  [1886] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_case_statement_repeat1, .child_count = 2), SHIFT_REPEAT(1985),
  [1889] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_case_statement_repeat1, .child_count = 2), SHIFT_REPEAT(2247),
  [1892] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_case_statement_repeat1, .child_count = 2), SHIFT_REPEAT(10274),
  [1895] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_case_statement_repeat1, .child_count = 2), SHIFT_REPEAT(6999),
  [1898] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1653),
  [1900] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_case_statement_repeat1, .child_count = 2), SHIFT_REPEAT(1652),
  [1903] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = aux_sym_case_statement_repeat1, .child_count = 2), SHIFT_REPEAT(887),
  [1906] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_case_statement_repeat1, .child_count = 2), SHIFT_REPEAT(3148),
  [1909] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_case_statement_repeat1, .child_count = 2), SHIFT_REPEAT(5078),
  [1912] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = aux_sym_case_statement_repeat1, .child_count = 2), SHIFT_REPEAT(45),
  [1915] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_case_statement_repeat1, .child_count = 2), SHIFT_REPEAT(8510),
  [1918] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_case_statement_repeat1, .child_count = 2), SHIFT_REPEAT(9366),
  [1921] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_case_statement_repeat1, .child_count = 2), SHIFT_REPEAT(9432),
  [1924] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_case_statement_repeat1, .child_count = 2), SHIFT_REPEAT(1330),
  [1927] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_case_statement_repeat1, .child_count = 2), SHIFT_REPEAT(10334),
  [1930] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_case_statement_repeat1, .child_count = 2), SHIFT_REPEAT(1807),
  [1933] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_case_statement_repeat1, .child_count = 2), SHIFT_REPEAT(9480),
  [1936] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_case_statement_repeat1, .child_count = 2), SHIFT_REPEAT(9485),
  [1939] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_case_statement_repeat1, .child_count = 2), SHIFT_REPEAT(9533),
  [1942] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_case_statement_repeat1, .child_count = 2), SHIFT_REPEAT(9345),
  [1945] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_case_statement_repeat1, .child_count = 2), SHIFT_REPEAT(9510),
  [1948] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_case_statement_repeat1, .child_count = 2), SHIFT_REPEAT(9359),
  [1951] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_case_statement_repeat1, .child_count = 2), SHIFT_REPEAT(2087),
  [1954] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_case_statement_repeat1, .child_count = 2), SHIFT_REPEAT(2081),
  [1957] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_case_statement_repeat1, .child_count = 2), SHIFT_REPEAT(2336),
  [1960] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_case_statement_repeat1, .child_count = 2), SHIFT_REPEAT(9513),
  [1963] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_case_statement_repeat1, .child_count = 2), SHIFT_REPEAT(6982),
  [1966] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1645),
  [1968] = {.entry = {.count = 1, .reusable = true}}, SHIFT(830),
  [1970] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9016),
  [1972] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9574),
  [1974] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9587),
  [1976] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7056),
  [1978] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1651),
  [1980] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1537),
  [1982] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3386),
  [1984] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5099),
  [1986] = {.entry = {.count = 1, .reusable = true}}, SHIFT(78),
  [1988] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8552),
  [1990] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9284),
  [1992] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9363),
  [1994] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1381),
  [1996] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10345),
  [1998] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1803),
  [2000] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9671),
  [2002] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9672),
  [2004] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9605),
  [2006] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9269),
  [2008] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9686),
  [2010] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9222),
  [2012] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2019),
  [2014] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2048),
  [2016] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2426),
  [2018] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9691),
  [2020] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7053),
  [2022] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_case_statement_repeat1, .child_count = 2), SHIFT_REPEAT(1651),
  [2025] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = aux_sym_case_statement_repeat1, .child_count = 2), SHIFT_REPEAT(1537),
  [2028] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_case_statement_repeat1, .child_count = 2), SHIFT_REPEAT(3386),
  [2031] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_case_statement_repeat1, .child_count = 2), SHIFT_REPEAT(5099),
  [2034] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = aux_sym_case_statement_repeat1, .child_count = 2), SHIFT_REPEAT(78),
  [2037] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_case_statement_repeat1, .child_count = 2), SHIFT_REPEAT(8552),
  [2040] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_case_statement_repeat1, .child_count = 2), SHIFT_REPEAT(9284),
  [2043] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_case_statement_repeat1, .child_count = 2), SHIFT_REPEAT(9363),
  [2046] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_case_statement_repeat1, .child_count = 2), SHIFT_REPEAT(1381),
  [2049] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_case_statement_repeat1, .child_count = 2), SHIFT_REPEAT(10345),
  [2052] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_case_statement_repeat1, .child_count = 2), SHIFT_REPEAT(1803),
  [2055] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_case_statement_repeat1, .child_count = 2), SHIFT_REPEAT(9671),
  [2058] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_case_statement_repeat1, .child_count = 2), SHIFT_REPEAT(9672),
  [2061] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_case_statement_repeat1, .child_count = 2), SHIFT_REPEAT(9605),
  [2064] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_case_statement_repeat1, .child_count = 2), SHIFT_REPEAT(9269),
  [2067] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_case_statement_repeat1, .child_count = 2), SHIFT_REPEAT(9686),
  [2070] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_case_statement_repeat1, .child_count = 2), SHIFT_REPEAT(9222),
  [2073] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_case_statement_repeat1, .child_count = 2), SHIFT_REPEAT(2019),
  [2076] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_case_statement_repeat1, .child_count = 2), SHIFT_REPEAT(2048),
  [2079] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_case_statement_repeat1, .child_count = 2), SHIFT_REPEAT(2426),
  [2082] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_case_statement_repeat1, .child_count = 2), SHIFT_REPEAT(9691),
  [2085] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_case_statement_repeat1, .child_count = 2), SHIFT_REPEAT(7053),
  [2088] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1647),
  [2090] = {.entry = {.count = 1, .reusable = true}}, SHIFT(632),
  [2092] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3378),
  [2094] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5092),
  [2096] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9429),
  [2098] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1861),
  [2100] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10258),
  [2102] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9893),
  [2104] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1643),
  [2106] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5566),
  [2108] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9791),
  [2110] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1453),
  [2112] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2466),
  [2114] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2466),
  [2116] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2498),
  [2118] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2652),
  [2120] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7821),
  [2122] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3134),
  [2124] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7383),
  [2126] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6562),
  [2128] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6555),
  [2130] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6553),
  [2132] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2254),
  [2134] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2069),
  [2136] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10108),
  [2138] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10417),
  [2140] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10450),
  [2142] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8058),
  [2144] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4856),
  [2146] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8655),
  [2148] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8488),
  [2150] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4939),
  [2152] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4972),
  [2154] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6303),
  [2156] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2376),
  [2158] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9391),
  [2160] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2377),
  [2162] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6196),
  [2164] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6668),
  [2166] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1649),
  [2168] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8829),
  [2170] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6227),
  [2172] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1111),
  [2174] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9),
  [2176] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1933),
  [2178] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_template_argument_list, .child_count = 3, .dynamic_precedence = 1),
  [2180] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_template_argument_list, .child_count = 3, .dynamic_precedence = 1),
  [2182] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_template_argument_list, .child_count = 3, .dynamic_precedence = 2),
  [2184] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_template_argument_list, .child_count = 3, .dynamic_precedence = 2),
  [2186] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_template_argument_list, .child_count = 3, .dynamic_precedence = 3),
  [2188] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_template_argument_list, .child_count = 3, .dynamic_precedence = 3),
  [2190] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_cbuffer_specifier, .child_count = 3, .production_id = 47),
  [2192] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_cbuffer_specifier, .child_count = 3, .production_id = 47),
  [2194] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7051),
  [2196] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1231),
  [2198] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7345),
  [2200] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_template_argument_list, .child_count = 2),
  [2202] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_template_argument_list, .child_count = 2),
  [2204] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_compound_statement, .child_count = 3),
  [2206] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_compound_statement, .child_count = 3),
  [2208] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_template_argument_list, .child_count = 4, .dynamic_precedence = 2),
  [2210] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_template_argument_list, .child_count = 4, .dynamic_precedence = 2),
  [2212] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_template_argument_list, .child_count = 4, .dynamic_precedence = 3),
  [2214] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_template_argument_list, .child_count = 4, .dynamic_precedence = 3),
  [2216] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_template_argument_list, .child_count = 4, .dynamic_precedence = 1),
  [2218] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_template_argument_list, .child_count = 4, .dynamic_precedence = 1),
  [2220] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_cbuffer_specifier, .child_count = 2, .production_id = 10),
  [2222] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_cbuffer_specifier, .child_count = 2, .production_id = 10),
  [2224] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym__class_name, .child_count = 1, .production_id = 1),
  [2226] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym__class_name, .child_count = 1, .production_id = 1),
  [2228] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1492),
  [2230] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7949),
  [2232] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_qualified_type_identifier, .child_count = 2, .production_id = 35),
  [2234] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_qualified_type_identifier, .child_count = 2, .production_id = 35),
  [2236] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_compound_statement, .child_count = 2),
  [2238] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_compound_statement, .child_count = 2),
  [2240] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1206),
  [2242] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_try_statement, .child_count = 3, .production_id = 9),
  [2244] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_try_statement, .child_count = 3, .production_id = 9),
  [2246] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9381),
  [2248] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1501),
  [2250] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_dependent_type_identifier, .child_count = 2),
  [2252] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_dependent_type_identifier, .child_count = 2),
  [2254] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_template_type, .child_count = 2, .production_id = 16),
  [2256] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_template_type, .child_count = 2, .production_id = 16),
  [2258] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym__class_name, .child_count = 1),
  [2260] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym__class_name, .child_count = 1),
  [2262] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7930),
  [2264] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_qualified_type_identifier, .child_count = 2, .production_id = 34),
  [2266] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_qualified_type_identifier, .child_count = 2, .production_id = 34),
  [2268] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = aux_sym_constructor_try_statement_repeat1, .child_count = 2),
  [2270] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = aux_sym_constructor_try_statement_repeat1, .child_count = 2),
  [2272] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_constructor_try_statement_repeat1, .child_count = 2), SHIFT_REPEAT(9381),
  [2275] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_constructor_try_statement, .child_count = 4, .production_id = 46),
  [2277] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_constructor_try_statement, .child_count = 4, .production_id = 46),
  [2279] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1218),
  [2281] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1214),
  [2283] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1228),
  [2285] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_constructor_try_statement, .child_count = 3, .production_id = 9),
  [2287] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_constructor_try_statement, .child_count = 3, .production_id = 9),
  [2289] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1503),
  [2291] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_if_statement, .child_count = 5, .production_id = 171),
  [2293] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_if_statement, .child_count = 5, .production_id = 171),
  [2295] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1363),
  [2297] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1489),
  [2299] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_if_statement, .child_count = 3, .production_id = 51),
  [2301] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_if_statement, .child_count = 3, .production_id = 51),
  [2303] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9407),
  [2305] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1495),
  [2307] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_constructor_try_statement_repeat1, .child_count = 2), SHIFT_REPEAT(9407),
  [2310] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_if_statement, .child_count = 4, .production_id = 102),
  [2312] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_if_statement, .child_count = 4, .production_id = 102),
  [2314] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_catch_clause, .child_count = 3, .production_id = 157),
  [2316] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_catch_clause, .child_count = 3, .production_id = 157),
  [2318] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_declaration, .child_count = 3, .production_id = 66),
  [2320] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_declaration, .child_count = 3, .production_id = 66),
  [2322] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_cbuffer_specifier, .child_count = 3, .production_id = 46),
  [2324] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_cbuffer_specifier, .child_count = 3, .production_id = 46),
  [2326] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_co_return_statement, .child_count = 2),
  [2328] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_co_return_statement, .child_count = 2),
  [2330] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_for_statement, .child_count = 5, .production_id = 148),
  [2332] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_for_statement, .child_count = 5, .production_id = 148),
  [2334] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_throw_statement, .child_count = 2),
  [2336] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_throw_statement, .child_count = 2),
  [2338] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_continue_statement, .child_count = 2),
  [2340] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_continue_statement, .child_count = 2),
  [2342] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_break_statement, .child_count = 2),
  [2344] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_break_statement, .child_count = 2),
  [2346] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_return_statement, .child_count = 2),
  [2348] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_return_statement, .child_count = 2),
  [2350] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_attributed_statement, .child_count = 2),
  [2352] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_attributed_statement, .child_count = 2),
  [2354] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_declaration, .child_count = 4, .production_id = 112),
  [2356] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_declaration, .child_count = 4, .production_id = 112),
  [2358] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_initializer_list, .child_count = 2),
  [2360] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_expression_statement, .child_count = 1),
  [2362] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_expression_statement, .child_count = 1),
  [2364] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_for_range_loop, .child_count = 5, .production_id = 149),
  [2366] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_for_range_loop, .child_count = 5, .production_id = 149),
  [2368] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_if_statement, .child_count = 4, .production_id = 103),
  [2370] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_if_statement, .child_count = 4, .production_id = 103),
  [2372] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_seh_leave_statement, .child_count = 2),
  [2374] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_seh_leave_statement, .child_count = 2),
  [2376] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_discard_statement, .child_count = 2),
  [2378] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_discard_statement, .child_count = 2),
  [2380] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_cbuffer_specifier, .child_count = 2, .production_id = 9),
  [2382] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_cbuffer_specifier, .child_count = 2, .production_id = 9),
  [2384] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_expression_statement, .child_count = 2),
  [2386] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_expression_statement, .child_count = 2),
  [2388] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_declaration, .child_count = 5, .production_id = 164),
  [2390] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_declaration, .child_count = 5, .production_id = 164),
  [2392] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_switch_statement, .child_count = 3, .production_id = 52),
  [2394] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_switch_statement, .child_count = 3, .production_id = 52),
  [2396] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_field_declaration_list, .child_count = 2),
  [2398] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_field_declaration_list, .child_count = 2),
  [2400] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_type_definition, .child_count = 6, .production_id = 129),
  [2402] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_type_definition, .child_count = 6, .production_id = 129),
  [2404] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_seh_except_clause, .child_count = 3, .production_id = 176),
  [2406] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_seh_except_clause, .child_count = 3, .production_id = 176),
  [2408] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_cbuffer_specifier, .child_count = 5, .production_id = 177),
  [2410] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_cbuffer_specifier, .child_count = 5, .production_id = 177),
  [2412] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_cbuffer_specifier, .child_count = 5, .production_id = 178),
  [2414] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_cbuffer_specifier, .child_count = 5, .production_id = 178),
  [2416] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_while_statement, .child_count = 3, .production_id = 52),
  [2418] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_while_statement, .child_count = 3, .production_id = 52),
  [2420] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_cbuffer_specifier, .child_count = 5, .production_id = 179),
  [2422] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_cbuffer_specifier, .child_count = 5, .production_id = 179),
  [2424] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_return_statement, .child_count = 3),
  [2426] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_return_statement, .child_count = 3),
  [2428] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_goto_statement, .child_count = 3, .production_id = 53),
  [2430] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_goto_statement, .child_count = 3, .production_id = 53),
  [2432] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_declaration, .child_count = 6, .production_id = 197),
  [2434] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_declaration, .child_count = 6, .production_id = 197),
  [2436] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_labeled_statement, .child_count = 3, .production_id = 54),
  [2438] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_labeled_statement, .child_count = 3, .production_id = 54),
  [2440] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_if_statement, .child_count = 6, .production_id = 198),
  [2442] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_if_statement, .child_count = 6, .production_id = 198),
  [2444] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_for_statement, .child_count = 6, .production_id = 199),
  [2446] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_for_statement, .child_count = 6, .production_id = 199),
  [2448] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_type_definition, .child_count = 5, .production_id = 129),
  [2450] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_type_definition, .child_count = 5, .production_id = 129),
  [2452] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_field_declaration_list, .child_count = 3),
  [2454] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_field_declaration_list, .child_count = 3),
  [2456] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_throw_statement, .child_count = 3),
  [2458] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_throw_statement, .child_count = 3),
  [2460] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_co_return_statement, .child_count = 3),
  [2462] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_co_return_statement, .child_count = 3),
  [2464] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_type_definition, .child_count = 5, .production_id = 85),
  [2466] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_type_definition, .child_count = 5, .production_id = 85),
  [2468] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_co_yield_statement, .child_count = 3),
  [2470] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_co_yield_statement, .child_count = 3),
  [2472] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_seh_finally_clause, .child_count = 2, .production_id = 9),
  [2474] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_seh_finally_clause, .child_count = 2, .production_id = 9),
  [2476] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_cbuffer_specifier, .child_count = 4, .production_id = 93),
  [2478] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_cbuffer_specifier, .child_count = 4, .production_id = 93),
  [2480] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_cbuffer_specifier, .child_count = 4, .production_id = 133),
  [2482] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_cbuffer_specifier, .child_count = 4, .production_id = 133),
  [2484] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_cbuffer_specifier, .child_count = 4, .production_id = 134),
  [2486] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_cbuffer_specifier, .child_count = 4, .production_id = 134),
  [2488] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_cbuffer_specifier, .child_count = 6, .production_id = 201),
  [2490] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_cbuffer_specifier, .child_count = 6, .production_id = 201),
  [2492] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_type_definition, .child_count = 4, .production_id = 85),
  [2494] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_type_definition, .child_count = 4, .production_id = 85),
  [2496] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_seh_try_statement, .child_count = 3, .production_id = 9),
  [2498] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_seh_try_statement, .child_count = 3, .production_id = 9),
  [2500] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_cbuffer_specifier, .child_count = 3, .production_id = 48),
  [2502] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_cbuffer_specifier, .child_count = 3, .production_id = 48),
  [2504] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_else_clause, .child_count = 2),
  [2506] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_else_clause, .child_count = 2),
  [2508] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_do_statement, .child_count = 5, .production_id = 144),
  [2510] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_do_statement, .child_count = 5, .production_id = 144),
  [2512] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_if_statement, .child_count = 5, .production_id = 143),
  [2514] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_if_statement, .child_count = 5, .production_id = 143),
  [2516] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_constructor_or_destructor_definition, .child_count = 4, .production_id = 123),
  [2518] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_constructor_or_destructor_definition, .child_count = 4, .production_id = 123),
  [2520] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_function_definition, .child_count = 4, .production_id = 114),
  [2522] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_function_definition, .child_count = 4, .production_id = 114),
  [2524] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_namespace_definition, .child_count = 2, .production_id = 9),
  [2526] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_namespace_definition, .child_count = 2, .production_id = 9),
  [2528] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2792),
  [2530] = {.entry = {.count = 1, .reusable = true}}, SHIFT(394),
  [2532] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2467),
  [2534] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2468),
  [2536] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2467),
  [2538] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1575),
  [2540] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1713),
  [2542] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7806),
  [2544] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7587),
  [2546] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3316),
  [2548] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1852),
  [2550] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6597),
  [2552] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7440),
  [2554] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6509),
  [2556] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6510),
  [2558] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6513),
  [2560] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2479),
  [2562] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1987),
  [2564] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9852),
  [2566] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10408),
  [2568] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10447),
  [2570] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8022),
  [2572] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4427),
  [2574] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8575),
  [2576] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8264),
  [2578] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4695),
  [2580] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4693),
  [2582] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3318),
  [2584] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9854),
  [2586] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6359),
  [2588] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4110),
  [2590] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2415),
  [2592] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9276),
  [2594] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2414),
  [2596] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6190),
  [2598] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6667),
  [2600] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_operator_cast_declaration, .child_count = 4, .production_id = 119),
  [2602] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_operator_cast_declaration, .child_count = 4, .production_id = 119),
  [2604] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_delete_method_clause, .child_count = 3),
  [2606] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_delete_method_clause, .child_count = 3),
  [2608] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_default_method_clause, .child_count = 3),
  [2610] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_default_method_clause, .child_count = 3),
  [2612] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_constructor_try_statement_repeat1, .child_count = 2), SHIFT_REPEAT(9081),
  [2615] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1341),
  [2617] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_function_definition, .child_count = 4, .production_id = 110),
  [2619] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_function_definition, .child_count = 4, .production_id = 110),
  [2621] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_operator_cast_definition, .child_count = 2, .production_id = 25),
  [2623] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_operator_cast_definition, .child_count = 2, .production_id = 25),
  [2625] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_friend_declaration, .child_count = 4),
  [2627] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_friend_declaration, .child_count = 4),
  [2629] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_operator_cast_declaration, .child_count = 2, .production_id = 26),
  [2631] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_operator_cast_declaration, .child_count = 2, .production_id = 26),
  [2633] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_friend_declaration, .child_count = 2),
  [2635] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_friend_declaration, .child_count = 2),
  [2637] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym__empty_declaration, .child_count = 2),
  [2639] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym__empty_declaration, .child_count = 2),
  [2641] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_constructor_or_destructor_definition, .child_count = 2, .production_id = 26),
  [2643] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_constructor_or_destructor_definition, .child_count = 2, .production_id = 26),
  [2645] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_preproc_call, .child_count = 2, .production_id = 3),
  [2647] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_preproc_call, .child_count = 2, .production_id = 3),
  [2649] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_constructor_or_destructor_declaration, .child_count = 2, .production_id = 26),
  [2651] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_constructor_or_destructor_declaration, .child_count = 2, .production_id = 26),
  [2653] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_preproc_ifdef, .child_count = 4, .production_id = 10),
  [2655] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_preproc_ifdef, .child_count = 4, .production_id = 10),
  [2657] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_using_declaration, .child_count = 4),
  [2659] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_using_declaration, .child_count = 4),
  [2661] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_declaration_list, .child_count = 3),
  [2663] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_declaration_list, .child_count = 3),
  [2665] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_preproc_ifdef, .child_count = 4, .production_id = 79),
  [2667] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_preproc_ifdef, .child_count = 4, .production_id = 79),
  [2669] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_preproc_if, .child_count = 4, .production_id = 78),
  [2671] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_preproc_if, .child_count = 4, .production_id = 78),
  [2673] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_constructor_or_destructor_definition, .child_count = 2, .production_id = 25),
  [2675] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_constructor_or_destructor_definition, .child_count = 2, .production_id = 25),
  [2677] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_preproc_include, .child_count = 3, .production_id = 37),
  [2679] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_preproc_include, .child_count = 3, .production_id = 37),
  [2681] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_preproc_def, .child_count = 3, .production_id = 10),
  [2683] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_preproc_def, .child_count = 3, .production_id = 10),
  [2685] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_constructor_try_statement_repeat1, .child_count = 2), SHIFT_REPEAT(9304),
  [2688] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_preproc_ifdef, .child_count = 3, .production_id = 10),
  [2690] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_preproc_ifdef, .child_count = 3, .production_id = 10),
  [2692] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8989),
  [2694] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_preproc_call, .child_count = 3, .production_id = 38),
  [2696] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_preproc_call, .child_count = 3, .production_id = 38),
  [2698] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_preproc_function_def, .child_count = 4, .production_id = 77),
  [2700] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_preproc_function_def, .child_count = 4, .production_id = 77),
  [2702] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_template_declaration, .child_count = 4, .production_id = 57),
  [2704] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_template_declaration, .child_count = 4, .production_id = 57),
  [2706] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_template_instantiation, .child_count = 4, .production_id = 58),
  [2708] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_template_instantiation, .child_count = 4, .production_id = 58),
  [2710] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_linkage_specification, .child_count = 3, .production_id = 44),
  [2712] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_linkage_specification, .child_count = 3, .production_id = 44),
  [2714] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_constructor_try_statement_repeat1, .child_count = 2), SHIFT_REPEAT(8989),
  [2717] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_preproc_function_def, .child_count = 5, .production_id = 124),
  [2719] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_preproc_function_def, .child_count = 5, .production_id = 124),
  [2721] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_friend_declaration, .child_count = 3),
  [2723] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_friend_declaration, .child_count = 3),
  [2725] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_constructor_or_destructor_declaration, .child_count = 3, .production_id = 5),
  [2727] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_constructor_or_destructor_declaration, .child_count = 3, .production_id = 5),
  [2729] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_namespace_definition, .child_count = 3, .production_id = 46),
  [2731] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_namespace_definition, .child_count = 3, .production_id = 46),
  [2733] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_preproc_if, .child_count = 5, .production_id = 125),
  [2735] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_preproc_if, .child_count = 5, .production_id = 125),
  [2737] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9304),
  [2739] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_namespace_alias_definition, .child_count = 5, .production_id = 158),
  [2741] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_namespace_alias_definition, .child_count = 5, .production_id = 158),
  [2743] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_namespace_alias_definition, .child_count = 5, .production_id = 159),
  [2745] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_namespace_alias_definition, .child_count = 5, .production_id = 159),
  [2747] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_preproc_def, .child_count = 4, .production_id = 76),
  [2749] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_preproc_def, .child_count = 4, .production_id = 76),
  [2751] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_alias_declaration, .child_count = 5, .production_id = 160),
  [2753] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_alias_declaration, .child_count = 5, .production_id = 160),
  [2755] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_static_assert_declaration, .child_count = 5, .production_id = 161),
  [2757] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_static_assert_declaration, .child_count = 5, .production_id = 161),
  [2759] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_concept_definition, .child_count = 5, .production_id = 10),
  [2761] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_concept_definition, .child_count = 5, .production_id = 10),
  [2763] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9081),
  [2765] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_function_definition, .child_count = 5, .production_id = 166),
  [2767] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_function_definition, .child_count = 5, .production_id = 166),
  [2769] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_function_definition, .child_count = 5, .production_id = 172),
  [2771] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_function_definition, .child_count = 5, .production_id = 172),
  [2773] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_static_assert_declaration, .child_count = 7, .production_id = 212),
  [2775] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_static_assert_declaration, .child_count = 7, .production_id = 212),
  [2777] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_operator_cast_definition, .child_count = 3, .production_id = 75),
  [2779] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_operator_cast_definition, .child_count = 3, .production_id = 75),
  [2781] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_operator_cast_declaration, .child_count = 3, .production_id = 5),
  [2783] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_operator_cast_declaration, .child_count = 3, .production_id = 5),
  [2785] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_constructor_or_destructor_definition, .child_count = 3, .production_id = 5),
  [2787] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_constructor_or_destructor_definition, .child_count = 3, .production_id = 5),
  [2789] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_constructor_or_destructor_definition, .child_count = 3, .production_id = 75),
  [2791] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_constructor_or_destructor_definition, .child_count = 3, .production_id = 75),
  [2793] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_operator_cast_declaration, .child_count = 5, .production_id = 173),
  [2795] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_operator_cast_declaration, .child_count = 5, .production_id = 173),
  [2797] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_function_definition, .child_count = 6, .production_id = 200),
  [2799] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_function_definition, .child_count = 6, .production_id = 200),
  [2801] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_preproc_if, .child_count = 6, .production_id = 174),
  [2803] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_preproc_if, .child_count = 6, .production_id = 174),
  [2805] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_alias_declaration, .child_count = 6, .production_id = 195),
  [2807] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_alias_declaration, .child_count = 6, .production_id = 195),
  [2809] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_constructor_or_destructor_definition, .child_count = 3, .production_id = 69),
  [2811] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_constructor_or_destructor_definition, .child_count = 3, .production_id = 69),
  [2813] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_function_definition, .child_count = 3, .production_id = 67),
  [2815] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_function_definition, .child_count = 3, .production_id = 67),
  [2817] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_preproc_if, .child_count = 5, .production_id = 78),
  [2819] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_preproc_if, .child_count = 5, .production_id = 78),
  [2821] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_preproc_ifdef, .child_count = 5, .production_id = 126),
  [2823] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_preproc_ifdef, .child_count = 5, .production_id = 126),
  [2825] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_template_instantiation, .child_count = 3, .production_id = 5),
  [2827] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_template_instantiation, .child_count = 3, .production_id = 5),
  [2829] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_template_declaration, .child_count = 3, .production_id = 57),
  [2831] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_template_declaration, .child_count = 3, .production_id = 57),
  [2833] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_namespace_definition, .child_count = 4, .production_id = 92),
  [2835] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_namespace_definition, .child_count = 4, .production_id = 92),
  [2837] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_using_declaration, .child_count = 3),
  [2839] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_using_declaration, .child_count = 3),
  [2841] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_namespace_definition, .child_count = 3, .production_id = 48),
  [2843] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_namespace_definition, .child_count = 3, .production_id = 48),
  [2845] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_namespace_definition, .child_count = 3, .production_id = 60),
  [2847] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_namespace_definition, .child_count = 3, .production_id = 60),
  [2849] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_namespace_definition, .child_count = 4, .production_id = 93),
  [2851] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_namespace_definition, .child_count = 4, .production_id = 93),
  [2853] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_declaration_list, .child_count = 2),
  [2855] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_declaration_list, .child_count = 2),
  [2857] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3254),
  [2859] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9657),
  [2861] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6913),
  [2863] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2760),
  [2865] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9783),
  [2867] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1234),
  [2869] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6965),
  [2871] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9735),
  [2873] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9046),
  [2875] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6022),
  [2877] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10293),
  [2879] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4704),
  [2881] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6524),
  [2883] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3154),
  [2885] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5066),
  [2887] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6733),
  [2889] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10292),
  [2891] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3043),
  [2893] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7399),
  [2895] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6535),
  [2897] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6534),
  [2899] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6533),
  [2901] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6324),
  [2903] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8356),
  [2905] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1784),
  [2907] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10005),
  [2909] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7684),
  [2911] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10364),
  [2913] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2796),
  [2915] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2872),
  [2917] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2842),
  [2919] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2535),
  [2921] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2582),
  [2923] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2762),
  [2925] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2963),
  [2927] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = sym_expression_statement, .child_count = 2), SHIFT(3257),
  [2930] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1915),
  [2932] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = sym_expression_statement, .child_count = 2), SHIFT(7782),
  [2935] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = sym_expression_statement, .child_count = 2), SHIFT(8180),
  [2938] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = sym_expression_statement, .child_count = 2), SHIFT(10295),
  [2941] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = sym_expression_statement, .child_count = 2), SHIFT(9331),
  [2944] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1392),
  [2946] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = sym_expression_statement, .child_count = 1), SHIFT(3257),
  [2949] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1952),
  [2951] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = sym_expression_statement, .child_count = 1), SHIFT(7782),
  [2954] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = sym_expression_statement, .child_count = 1), SHIFT(8180),
  [2957] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = sym_expression_statement, .child_count = 1), SHIFT(10295),
  [2960] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = sym_expression_statement, .child_count = 1), SHIFT(9331),
  [2963] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = sym_init_statement, .child_count = 1), SHIFT(3257),
  [2966] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1971),
  [2968] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_init_statement, .child_count = 1),
  [2970] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = sym_init_statement, .child_count = 1), SHIFT(7782),
  [2973] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_init_statement, .child_count = 1),
  [2975] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = sym_init_statement, .child_count = 1), SHIFT(8180),
  [2978] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = sym_init_statement, .child_count = 1), SHIFT(10295),
  [2981] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = sym_init_statement, .child_count = 1), SHIFT(9331),
  [2984] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1319),
  [2986] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1372),
  [2988] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9707),
  [2990] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6889),
  [2992] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2854),
  [2994] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9526),
  [2996] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9114),
  [2998] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3156),
  [3000] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5067),
  [3002] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8395),
  [3004] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1789),
  [3006] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7738),
  [3008] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10372),
  [3010] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_preproc_elifdef_in_field_declaration_list, .child_count = 2, .production_id = 10),
  [3012] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2584),
  [3014] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_preproc_if_in_field_declaration_list_repeat1, .child_count = 2), SHIFT_REPEAT(3254),
  [3017] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_preproc_if_in_field_declaration_list_repeat1, .child_count = 2), SHIFT_REPEAT(9657),
  [3020] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_preproc_if_in_field_declaration_list_repeat1, .child_count = 2), SHIFT_REPEAT(6913),
  [3023] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = aux_sym_preproc_if_in_field_declaration_list_repeat1, .child_count = 2),
  [3025] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_preproc_if_in_field_declaration_list_repeat1, .child_count = 2), SHIFT_REPEAT(9783),
  [3028] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_preproc_if_in_field_declaration_list_repeat1, .child_count = 2), SHIFT_REPEAT(9046),
  [3031] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = aux_sym_preproc_if_in_field_declaration_list_repeat1, .child_count = 2), SHIFT_REPEAT(6022),
  [3034] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = aux_sym_preproc_if_in_field_declaration_list_repeat1, .child_count = 2), SHIFT_REPEAT(10293),
  [3037] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = aux_sym_preproc_if_in_field_declaration_list_repeat1, .child_count = 2), SHIFT_REPEAT(4704),
  [3040] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = aux_sym_preproc_if_in_field_declaration_list_repeat1, .child_count = 2), SHIFT_REPEAT(6524),
  [3043] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_preproc_if_in_field_declaration_list_repeat1, .child_count = 2), SHIFT_REPEAT(6524),
  [3046] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_preproc_if_in_field_declaration_list_repeat1, .child_count = 2), SHIFT_REPEAT(3154),
  [3049] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_preproc_if_in_field_declaration_list_repeat1, .child_count = 2), SHIFT_REPEAT(5066),
  [3052] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_preproc_if_in_field_declaration_list_repeat1, .child_count = 2), SHIFT_REPEAT(3159),
  [3055] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_preproc_if_in_field_declaration_list_repeat1, .child_count = 2), SHIFT_REPEAT(3166),
  [3058] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_preproc_if_in_field_declaration_list_repeat1, .child_count = 2), SHIFT_REPEAT(10442),
  [3061] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = aux_sym_preproc_if_in_field_declaration_list_repeat1, .child_count = 2), SHIFT_REPEAT(6733),
  [3064] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = aux_sym_preproc_if_in_field_declaration_list_repeat1, .child_count = 2), SHIFT_REPEAT(9429),
  [3067] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_preproc_if_in_field_declaration_list_repeat1, .child_count = 2), SHIFT_REPEAT(10428),
  [3070] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_preproc_if_in_field_declaration_list_repeat1, .child_count = 2), SHIFT_REPEAT(9430),
  [3073] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_preproc_if_in_field_declaration_list_repeat1, .child_count = 2), SHIFT_REPEAT(3021),
  [3076] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_preproc_if_in_field_declaration_list_repeat1, .child_count = 2), SHIFT_REPEAT(10292),
  [3079] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_preproc_if_in_field_declaration_list_repeat1, .child_count = 2), SHIFT_REPEAT(2683),
  [3082] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_preproc_if_in_field_declaration_list_repeat1, .child_count = 2), SHIFT_REPEAT(3043),
  [3085] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_preproc_if_in_field_declaration_list_repeat1, .child_count = 2), SHIFT_REPEAT(7399),
  [3088] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_preproc_if_in_field_declaration_list_repeat1, .child_count = 2), SHIFT_REPEAT(6535),
  [3091] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_preproc_if_in_field_declaration_list_repeat1, .child_count = 2), SHIFT_REPEAT(6534),
  [3094] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_preproc_if_in_field_declaration_list_repeat1, .child_count = 2), SHIFT_REPEAT(6533),
  [3097] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_preproc_if_in_field_declaration_list_repeat1, .child_count = 2), SHIFT_REPEAT(3091),
  [3100] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_preproc_if_in_field_declaration_list_repeat1, .child_count = 2), SHIFT_REPEAT(10359),
  [3103] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_preproc_if_in_field_declaration_list_repeat1, .child_count = 2), SHIFT_REPEAT(3114),
  [3106] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_preproc_if_in_field_declaration_list_repeat1, .child_count = 2), SHIFT_REPEAT(10355),
  [3109] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_preproc_if_in_field_declaration_list_repeat1, .child_count = 2), SHIFT_REPEAT(3595),
  [3112] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_preproc_if_in_field_declaration_list_repeat1, .child_count = 2), SHIFT_REPEAT(6324),
  [3115] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_preproc_if_in_field_declaration_list_repeat1, .child_count = 2), SHIFT_REPEAT(8356),
  [3118] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_preproc_if_in_field_declaration_list_repeat1, .child_count = 2), SHIFT_REPEAT(1402),
  [3121] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_preproc_if_in_field_declaration_list_repeat1, .child_count = 2), SHIFT_REPEAT(1784),
  [3124] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_preproc_if_in_field_declaration_list_repeat1, .child_count = 2), SHIFT_REPEAT(10005),
  [3127] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_preproc_if_in_field_declaration_list_repeat1, .child_count = 2), SHIFT_REPEAT(7684),
  [3130] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_preproc_if_in_field_declaration_list_repeat1, .child_count = 2), SHIFT_REPEAT(10364),
  [3133] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_preproc_if_in_field_declaration_list_repeat1, .child_count = 2), SHIFT_REPEAT(3160),
  [3136] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_preproc_elif_in_field_declaration_list, .child_count = 4, .production_id = 78),
  [3138] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2894),
  [3140] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3257),
  [3142] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_type_qualifier, .child_count = 1),
  [3144] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_type_qualifier, .child_count = 1),
  [3146] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8180),
  [3148] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10295),
  [3150] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_preproc_elifdef_in_field_declaration_list, .child_count = 3, .production_id = 10),
  [3152] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_preproc_elif_in_field_declaration_list, .child_count = 3, .production_id = 78),
  [3154] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2810),
  [3156] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2759),
  [3158] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2766),
  [3160] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2869),
  [3162] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2562),
  [3164] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_preproc_if_in_field_declaration_list_repeat1, .child_count = 2), SHIFT_REPEAT(9707),
  [3167] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_preproc_if_in_field_declaration_list_repeat1, .child_count = 2), SHIFT_REPEAT(6889),
  [3170] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_preproc_if_in_field_declaration_list_repeat1, .child_count = 2), SHIFT_REPEAT(9526),
  [3173] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_preproc_if_in_field_declaration_list_repeat1, .child_count = 2), SHIFT_REPEAT(9114),
  [3176] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_preproc_if_in_field_declaration_list_repeat1, .child_count = 2), SHIFT_REPEAT(3156),
  [3179] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_preproc_if_in_field_declaration_list_repeat1, .child_count = 2), SHIFT_REPEAT(5067),
  [3182] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_preproc_if_in_field_declaration_list_repeat1, .child_count = 2), SHIFT_REPEAT(8395),
  [3185] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_preproc_if_in_field_declaration_list_repeat1, .child_count = 2), SHIFT_REPEAT(1789),
  [3188] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_preproc_if_in_field_declaration_list_repeat1, .child_count = 2), SHIFT_REPEAT(7738),
  [3191] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_preproc_if_in_field_declaration_list_repeat1, .child_count = 2), SHIFT_REPEAT(10372),
  [3194] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9461),
  [3196] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6943),
  [3198] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9917),
  [3200] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8998),
  [3202] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3142),
  [3204] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5109),
  [3206] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1612),
  [3208] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8478),
  [3210] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1791),
  [3212] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7668),
  [3214] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10335),
  [3216] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3297),
  [3218] = {.entry = {.count = 1, .reusable = true}}, SHIFT(506),
  [3220] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4100),
  [3222] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4035),
  [3224] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6223),
  [3226] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3044),
  [3228] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5091),
  [3230] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4462),
  [3232] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4454),
  [3234] = {.entry = {.count = 1, .reusable = true}}, SHIFT(707),
  [3236] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5088),
  [3238] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3387),
  [3240] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3903),
  [3242] = {.entry = {.count = 1, .reusable = true}}, SHIFT(855),
  [3244] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3289),
  [3246] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6263),
  [3248] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5256),
  [3250] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5258),
  [3252] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4136),
  [3254] = {.entry = {.count = 1, .reusable = true}}, SHIFT(973),
  [3256] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1538),
  [3258] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_preproc_if_in_field_declaration_list_repeat1, .child_count = 2), SHIFT_REPEAT(9755),
  [3261] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_preproc_if_in_field_declaration_list_repeat1, .child_count = 2), SHIFT_REPEAT(6892),
  [3264] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_preproc_if_in_field_declaration_list_repeat1, .child_count = 2), SHIFT_REPEAT(9484),
  [3267] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_preproc_if_in_field_declaration_list_repeat1, .child_count = 2), SHIFT_REPEAT(9191),
  [3270] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_preproc_if_in_field_declaration_list_repeat1, .child_count = 2), SHIFT_REPEAT(3155),
  [3273] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_preproc_if_in_field_declaration_list_repeat1, .child_count = 2), SHIFT_REPEAT(5073),
  [3276] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_preproc_if_in_field_declaration_list_repeat1, .child_count = 2), SHIFT_REPEAT(8417),
  [3279] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_preproc_if_in_field_declaration_list_repeat1, .child_count = 2), SHIFT_REPEAT(1790),
  [3282] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_preproc_if_in_field_declaration_list_repeat1, .child_count = 2), SHIFT_REPEAT(7766),
  [3285] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_preproc_if_in_field_declaration_list_repeat1, .child_count = 2), SHIFT_REPEAT(10380),
  [3288] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1017),
  [3290] = {.entry = {.count = 1, .reusable = true}}, SHIFT(837),
  [3292] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6260),
  [3294] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3388),
  [3296] = {.entry = {.count = 1, .reusable = true}}, SHIFT(276),
  [3298] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3995),
  [3300] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9755),
  [3302] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6892),
  [3304] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_preproc_else_in_field_declaration_list, .child_count = 2),
  [3306] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9484),
  [3308] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9191),
  [3310] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3155),
  [3312] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5073),
  [3314] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8417),
  [3316] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1790),
  [3318] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7766),
  [3320] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10380),
  [3322] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_preproc_else_in_field_declaration_list, .child_count = 1),
  [3324] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3847),
  [3326] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3781),
  [3328] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3046),
  [3330] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6237),
  [3332] = {.entry = {.count = 1, .reusable = true}}, SHIFT(294),
  [3334] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1023),
  [3336] = {.entry = {.count = 1, .reusable = true}}, SHIFT(554),
  [3338] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3911),
  [3340] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_preproc_if_in_field_declaration_list_repeat1, .child_count = 2), SHIFT_REPEAT(9461),
  [3343] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_preproc_if_in_field_declaration_list_repeat1, .child_count = 2), SHIFT_REPEAT(6943),
  [3346] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_preproc_if_in_field_declaration_list_repeat1, .child_count = 2), SHIFT_REPEAT(9917),
  [3349] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_preproc_if_in_field_declaration_list_repeat1, .child_count = 2), SHIFT_REPEAT(8998),
  [3352] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_preproc_if_in_field_declaration_list_repeat1, .child_count = 2), SHIFT_REPEAT(3142),
  [3355] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_preproc_if_in_field_declaration_list_repeat1, .child_count = 2), SHIFT_REPEAT(5109),
  [3358] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = aux_sym_preproc_if_in_field_declaration_list_repeat1, .child_count = 2),
  [3360] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_preproc_if_in_field_declaration_list_repeat1, .child_count = 2), SHIFT_REPEAT(8478),
  [3363] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_preproc_if_in_field_declaration_list_repeat1, .child_count = 2), SHIFT_REPEAT(1791),
  [3366] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_preproc_if_in_field_declaration_list_repeat1, .child_count = 2), SHIFT_REPEAT(7668),
  [3369] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_preproc_if_in_field_declaration_list_repeat1, .child_count = 2), SHIFT_REPEAT(10335),
  [3372] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym__top_level_expression_statement, .child_count = 2),
  [3374] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym__top_level_expression_statement, .child_count = 2),
  [3376] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3234),
  [3378] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_attributed_declarator_repeat1, .child_count = 2), SHIFT(3335),
  [3381] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = aux_sym_attributed_declarator_repeat1, .child_count = 2), SHIFT(1435),
  [3384] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = aux_sym_attributed_declarator_repeat1, .child_count = 2), SHIFT(2109),
  [3387] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_attributed_declarator_repeat1, .child_count = 2), SHIFT(2109),
  [3390] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = aux_sym_attributed_declarator_repeat1, .child_count = 2), SHIFT(2216),
  [3393] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = aux_sym_attributed_declarator_repeat1, .child_count = 2), SHIFT(838),
  [3396] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = aux_sym_attributed_declarator_repeat1, .child_count = 2), SHIFT(7782),
  [3399] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = aux_sym_attributed_declarator_repeat1, .child_count = 2), SHIFT(9324),
  [3402] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = aux_sym_attributed_declarator_repeat1, .child_count = 2), SHIFT(84),
  [3405] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_attributed_declarator_repeat1, .child_count = 2), SHIFT(1877),
  [3408] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_attributed_declarator_repeat1, .child_count = 2), SHIFT(8180),
  [3411] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_attributed_declarator_repeat1, .child_count = 2), SHIFT(8553),
  [3414] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_attributed_declarator_repeat1, .child_count = 2), SHIFT(9427),
  [3417] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_attributed_declarator_repeat1, .child_count = 2), SHIFT(2259),
  [3420] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_attributed_declarator_repeat1, .child_count = 2), SHIFT(10349),
  [3423] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_attributed_declarator_repeat1, .child_count = 2), SHIFT(9357),
  [3426] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_attributed_declarator_repeat1, .child_count = 2), SHIFT(1394),
  [3429] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_attributed_declarator_repeat1, .child_count = 2), SHIFT(10049),
  [3432] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_attributed_declarator_repeat1, .child_count = 2), SHIFT(1818),
  [3435] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_attributed_declarator_repeat1, .child_count = 2), SHIFT(10385),
  [3438] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_attributed_declarator_repeat1, .child_count = 2), SHIFT(10379),
  [3441] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_attributed_declarator_repeat1, .child_count = 2), SHIFT(10378),
  [3444] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_attributed_declarator_repeat1, .child_count = 2), SHIFT(8977),
  [3447] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_attributed_declarator_repeat1, .child_count = 2), SHIFT(10275),
  [3450] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = aux_sym_attributed_declarator_repeat1, .child_count = 2), SHIFT(2156),
  [3453] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_attributed_declarator_repeat1, .child_count = 2), SHIFT(2067),
  [3456] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_attributed_declarator_repeat1, .child_count = 2), SHIFT(10375),
  [3459] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_attributed_declarator_repeat1, .child_count = 2), SHIFT(10371),
  [3462] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_attributed_declarator_repeat1, .child_count = 2), SHIFT(10370),
  [3465] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_attributed_declarator_repeat1, .child_count = 2), SHIFT(8039),
  [3468] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = aux_sym_attributed_declarator_repeat1, .child_count = 2), SHIFT(5374),
  [3471] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = aux_sym_attributed_declarator_repeat1, .child_count = 2), SHIFT(8544),
  [3474] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = aux_sym_attributed_declarator_repeat1, .child_count = 2), SHIFT(8313),
  [3477] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_attributed_declarator_repeat1, .child_count = 2), SHIFT(5024),
  [3480] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_attributed_declarator_repeat1, .child_count = 2), SHIFT(5010),
  [3483] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_attributed_declarator_repeat1, .child_count = 2), SHIFT(10295),
  [3486] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_attributed_declarator_repeat1, .child_count = 2), SHIFT(9331),
  [3489] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_attributed_declarator_repeat1, .child_count = 2), SHIFT(9368),
  [3492] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_attributed_declarator_repeat1, .child_count = 2), SHIFT(2163),
  [3495] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_attributed_declarator_repeat1, .child_count = 2), SHIFT(2061),
  [3498] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_attributed_declarator_repeat1, .child_count = 2), SHIFT(2060),
  [3501] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_attributed_declarator_repeat1, .child_count = 2), SHIFT(2173),
  [3504] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = aux_sym_attributed_declarator_repeat1, .child_count = 2), SHIFT(9364),
  [3507] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_attributed_declarator_repeat1, .child_count = 2), SHIFT(2175),
  [3510] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_attributed_declarator_repeat1, .child_count = 2), SHIFT(6182),
  [3513] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_attributed_declarator_repeat1, .child_count = 2), SHIFT(6679),
  [3516] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_attributed_declarator_repeat1, .child_count = 2), SHIFT(10274),
  [3519] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_attributed_declarator_repeat1, .child_count = 2), SHIFT(7009),
  [3522] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3320),
  [3524] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3335),
  [3526] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8553),
  [3528] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2259),
  [3530] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10349),
  [3532] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9357),
  [3534] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10049),
  [3536] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8977),
  [3538] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7009),
  [3540] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3333),
  [3542] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3332),
  [3544] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3303),
  [3546] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3331),
  [3548] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_attributed_declarator_repeat1, .child_count = 2), SHIFT(3331),
  [3551] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = aux_sym_attributed_declarator_repeat1, .child_count = 2), SHIFT(830),
  [3554] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_attributed_declarator_repeat1, .child_count = 2), SHIFT(8513),
  [3557] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_attributed_declarator_repeat1, .child_count = 2), SHIFT(2150),
  [3560] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_attributed_declarator_repeat1, .child_count = 2), SHIFT(10413),
  [3563] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_attributed_declarator_repeat1, .child_count = 2), SHIFT(9426),
  [3566] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_attributed_declarator_repeat1, .child_count = 2), SHIFT(10389),
  [3569] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_attributed_declarator_repeat1, .child_count = 2), SHIFT(9016),
  [3572] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_attributed_declarator_repeat1, .child_count = 2), SHIFT(9574),
  [3575] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_attributed_declarator_repeat1, .child_count = 2), SHIFT(9587),
  [3578] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_attributed_declarator_repeat1, .child_count = 2), SHIFT(7056),
  [3581] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_attributed_declarator_repeat1, .child_count = 2), SHIFT(3333),
  [3584] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = aux_sym_attributed_declarator_repeat1, .child_count = 2), SHIFT(517),
  [3587] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = aux_sym_attributed_declarator_repeat1, .child_count = 2), SHIFT(54),
  [3590] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_attributed_declarator_repeat1, .child_count = 2), SHIFT(8585),
  [3593] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_attributed_declarator_repeat1, .child_count = 2), SHIFT(9431),
  [3596] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_attributed_declarator_repeat1, .child_count = 2), SHIFT(2335),
  [3599] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_attributed_declarator_repeat1, .child_count = 2), SHIFT(9556),
  [3602] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_attributed_declarator_repeat1, .child_count = 2), SHIFT(9329),
  [3605] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_attributed_declarator_repeat1, .child_count = 2), SHIFT(1321),
  [3608] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_attributed_declarator_repeat1, .child_count = 2), SHIFT(10322),
  [3611] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_attributed_declarator_repeat1, .child_count = 2), SHIFT(1808),
  [3614] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_attributed_declarator_repeat1, .child_count = 2), SHIFT(9898),
  [3617] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_attributed_declarator_repeat1, .child_count = 2), SHIFT(9897),
  [3620] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_attributed_declarator_repeat1, .child_count = 2), SHIFT(9448),
  [3623] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_attributed_declarator_repeat1, .child_count = 2), SHIFT(9440),
  [3626] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_attributed_declarator_repeat1, .child_count = 2), SHIFT(9813),
  [3629] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_attributed_declarator_repeat1, .child_count = 2), SHIFT(9434),
  [3632] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_attributed_declarator_repeat1, .child_count = 2), SHIFT(2039),
  [3635] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_attributed_declarator_repeat1, .child_count = 2), SHIFT(2041),
  [3638] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_attributed_declarator_repeat1, .child_count = 2), SHIFT(2299),
  [3641] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_attributed_declarator_repeat1, .child_count = 2), SHIFT(9811),
  [3644] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_attributed_declarator_repeat1, .child_count = 2), SHIFT(6996),
  [3647] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_attributed_declarator_repeat1, .child_count = 2), SHIFT(3234),
  [3650] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = aux_sym_attributed_declarator_repeat1, .child_count = 2), SHIFT(73),
  [3653] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_attributed_declarator_repeat1, .child_count = 2), SHIFT(8519),
  [3656] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_attributed_declarator_repeat1, .child_count = 2), SHIFT(8986),
  [3659] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_attributed_declarator_repeat1, .child_count = 2), SHIFT(2251),
  [3662] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_attributed_declarator_repeat1, .child_count = 2), SHIFT(9466),
  [3665] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_attributed_declarator_repeat1, .child_count = 2), SHIFT(9424),
  [3668] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_attributed_declarator_repeat1, .child_count = 2), SHIFT(1364),
  [3671] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_attributed_declarator_repeat1, .child_count = 2), SHIFT(9849),
  [3674] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_attributed_declarator_repeat1, .child_count = 2), SHIFT(1817),
  [3677] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_attributed_declarator_repeat1, .child_count = 2), SHIFT(9452),
  [3680] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_attributed_declarator_repeat1, .child_count = 2), SHIFT(9455),
  [3683] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_attributed_declarator_repeat1, .child_count = 2), SHIFT(9847),
  [3686] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_attributed_declarator_repeat1, .child_count = 2), SHIFT(9319),
  [3689] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_attributed_declarator_repeat1, .child_count = 2), SHIFT(8994),
  [3692] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_attributed_declarator_repeat1, .child_count = 2), SHIFT(2009),
  [3695] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_attributed_declarator_repeat1, .child_count = 2), SHIFT(1985),
  [3698] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_attributed_declarator_repeat1, .child_count = 2), SHIFT(2247),
  [3701] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_attributed_declarator_repeat1, .child_count = 2), SHIFT(6999),
  [3704] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_attributed_declarator_repeat1, .child_count = 2), SHIFT(3303),
  [3707] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = aux_sym_attributed_declarator_repeat1, .child_count = 2), SHIFT(1537),
  [3710] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = aux_sym_attributed_declarator_repeat1, .child_count = 2), SHIFT(78),
  [3713] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_attributed_declarator_repeat1, .child_count = 2), SHIFT(8552),
  [3716] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_attributed_declarator_repeat1, .child_count = 2), SHIFT(9284),
  [3719] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_attributed_declarator_repeat1, .child_count = 2), SHIFT(9363),
  [3722] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_attributed_declarator_repeat1, .child_count = 2), SHIFT(1381),
  [3725] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_attributed_declarator_repeat1, .child_count = 2), SHIFT(10345),
  [3728] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_attributed_declarator_repeat1, .child_count = 2), SHIFT(1803),
  [3731] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_attributed_declarator_repeat1, .child_count = 2), SHIFT(9671),
  [3734] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_attributed_declarator_repeat1, .child_count = 2), SHIFT(9672),
  [3737] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_attributed_declarator_repeat1, .child_count = 2), SHIFT(9605),
  [3740] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_attributed_declarator_repeat1, .child_count = 2), SHIFT(9269),
  [3743] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_attributed_declarator_repeat1, .child_count = 2), SHIFT(9686),
  [3746] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_attributed_declarator_repeat1, .child_count = 2), SHIFT(9222),
  [3749] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_attributed_declarator_repeat1, .child_count = 2), SHIFT(2019),
  [3752] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_attributed_declarator_repeat1, .child_count = 2), SHIFT(2048),
  [3755] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_attributed_declarator_repeat1, .child_count = 2), SHIFT(2426),
  [3758] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_attributed_declarator_repeat1, .child_count = 2), SHIFT(9691),
  [3761] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_attributed_declarator_repeat1, .child_count = 2), SHIFT(7053),
  [3764] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_attributed_declarator_repeat1, .child_count = 2), SHIFT(3320),
  [3767] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = aux_sym_attributed_declarator_repeat1, .child_count = 2), SHIFT(887),
  [3770] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = aux_sym_attributed_declarator_repeat1, .child_count = 2), SHIFT(45),
  [3773] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_attributed_declarator_repeat1, .child_count = 2), SHIFT(8510),
  [3776] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_attributed_declarator_repeat1, .child_count = 2), SHIFT(9366),
  [3779] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_attributed_declarator_repeat1, .child_count = 2), SHIFT(2425),
  [3782] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_attributed_declarator_repeat1, .child_count = 2), SHIFT(9667),
  [3785] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_attributed_declarator_repeat1, .child_count = 2), SHIFT(9432),
  [3788] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_attributed_declarator_repeat1, .child_count = 2), SHIFT(1330),
  [3791] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_attributed_declarator_repeat1, .child_count = 2), SHIFT(10334),
  [3794] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_attributed_declarator_repeat1, .child_count = 2), SHIFT(1807),
  [3797] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_attributed_declarator_repeat1, .child_count = 2), SHIFT(9480),
  [3800] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_attributed_declarator_repeat1, .child_count = 2), SHIFT(9485),
  [3803] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_attributed_declarator_repeat1, .child_count = 2), SHIFT(9533),
  [3806] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_attributed_declarator_repeat1, .child_count = 2), SHIFT(9345),
  [3809] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_attributed_declarator_repeat1, .child_count = 2), SHIFT(9510),
  [3812] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_attributed_declarator_repeat1, .child_count = 2), SHIFT(9359),
  [3815] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_attributed_declarator_repeat1, .child_count = 2), SHIFT(2087),
  [3818] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_attributed_declarator_repeat1, .child_count = 2), SHIFT(2081),
  [3821] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_attributed_declarator_repeat1, .child_count = 2), SHIFT(2336),
  [3824] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_attributed_declarator_repeat1, .child_count = 2), SHIFT(9513),
  [3827] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_attributed_declarator_repeat1, .child_count = 2), SHIFT(6982),
  [3830] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_attributed_declarator_repeat1, .child_count = 2), SHIFT(3332),
  [3833] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = aux_sym_attributed_declarator_repeat1, .child_count = 2), SHIFT(245),
  [3836] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = aux_sym_attributed_declarator_repeat1, .child_count = 2), SHIFT(79),
  [3839] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_attributed_declarator_repeat1, .child_count = 2), SHIFT(8956),
  [3842] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_attributed_declarator_repeat1, .child_count = 2), SHIFT(9327),
  [3845] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_attributed_declarator_repeat1, .child_count = 2), SHIFT(2298),
  [3848] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_attributed_declarator_repeat1, .child_count = 2), SHIFT(9900),
  [3851] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_attributed_declarator_repeat1, .child_count = 2), SHIFT(8988),
  [3854] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_attributed_declarator_repeat1, .child_count = 2), SHIFT(1326),
  [3857] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_attributed_declarator_repeat1, .child_count = 2), SHIFT(10238),
  [3860] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_attributed_declarator_repeat1, .child_count = 2), SHIFT(1815),
  [3863] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_attributed_declarator_repeat1, .child_count = 2), SHIFT(10327),
  [3866] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_attributed_declarator_repeat1, .child_count = 2), SHIFT(10326),
  [3869] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_attributed_declarator_repeat1, .child_count = 2), SHIFT(9557),
  [3872] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_attributed_declarator_repeat1, .child_count = 2), SHIFT(9348),
  [3875] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_attributed_declarator_repeat1, .child_count = 2), SHIFT(10266),
  [3878] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_attributed_declarator_repeat1, .child_count = 2), SHIFT(9334),
  [3881] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_attributed_declarator_repeat1, .child_count = 2), SHIFT(2040),
  [3884] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_attributed_declarator_repeat1, .child_count = 2), SHIFT(2036),
  [3887] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_attributed_declarator_repeat1, .child_count = 2), SHIFT(2266),
  [3890] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_attributed_declarator_repeat1, .child_count = 2), SHIFT(10265),
  [3893] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_attributed_declarator_repeat1, .child_count = 2), SHIFT(7012),
  [3896] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3110),
  [3898] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4486),
  [3900] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4486),
  [3902] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2675),
  [3904] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7887),
  [3906] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3492),
  [3908] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7408),
  [3910] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6328),
  [3912] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4238),
  [3914] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9690),
  [3916] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_sizeof_expression, .child_count = 4, .production_id = 45),
  [3918] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_sizeof_expression, .child_count = 4, .production_id = 45),
  [3920] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2380),
  [3922] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2380),
  [3924] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7770),
  [3926] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1757),
  [3928] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8361),
  [3930] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2049),
  [3932] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10050),
  [3934] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10411),
  [3936] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10448),
  [3938] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8029),
  [3940] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3855),
  [3942] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8938),
  [3944] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8189),
  [3946] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3672),
  [3948] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3665),
  [3950] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2286),
  [3952] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9377),
  [3954] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2284),
  [3956] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6193),
  [3958] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6665),
  [3960] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7542),
  [3962] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7542),
  [3964] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7382),
  [3966] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10188),
  [3968] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3122),
  [3970] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2186),
  [3972] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2186),
  [3974] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7812),
  [3976] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2042),
  [3978] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3991),
  [3980] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8509),
  [3982] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8407),
  [3984] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2491),
  [3986] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9353),
  [3988] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2490),
  [3990] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6192),
  [3992] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2332),
  [3994] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2332),
  [3996] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7808),
  [3998] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1745),
  [4000] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8207),
  [4002] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2008),
  [4004] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10171),
  [4006] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10426),
  [4008] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10453),
  [4010] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8040),
  [4012] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4093),
  [4014] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8948),
  [4016] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8154),
  [4018] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4307),
  [4020] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4315),
  [4022] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2188),
  [4024] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9423),
  [4026] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2189),
  [4028] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6157),
  [4030] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6653),
  [4032] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3115),
  [4034] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6725),
  [4036] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2450),
  [4038] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8389),
  [4040] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1788),
  [4042] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10368),
  [4044] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6726),
  [4046] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8376),
  [4048] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1792),
  [4050] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10360),
  [4052] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10376),
  [4054] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10365),
  [4056] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8224),
  [4058] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1787),
  [4060] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10329),
  [4062] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10387),
  [4064] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10381),
  [4066] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10383),
  [4068] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10373),
  [4070] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3271),
  [4072] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2438),
  [4074] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2438),
  [4076] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7802),
  [4078] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2091),
  [4080] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4466),
  [4082] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8895),
  [4084] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8198),
  [4086] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2361),
  [4088] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9412),
  [4090] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2293),
  [4092] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3313),
  [4094] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1749),
  [4096] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8161),
  [4098] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8317),
  [4100] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1785),
  [4102] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10340),
  [4104] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8454),
  [4106] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1786),
  [4108] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9894),
  [4110] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10351),
  [4112] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10357),
  [4114] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2385),
  [4116] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2385),
  [4118] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7791),
  [4120] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2056),
  [4122] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2243),
  [4124] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2242),
  [4126] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3367),
  [4128] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2153),
  [4130] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2153),
  [4132] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7810),
  [4134] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1748),
  [4136] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8341),
  [4138] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2018),
  [4140] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10131),
  [4142] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10420),
  [4144] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10451),
  [4146] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8066),
  [4148] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4554),
  [4150] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8718),
  [4152] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8337),
  [4154] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4786),
  [4156] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4836),
  [4158] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2171),
  [4160] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9395),
  [4162] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2170),
  [4164] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6205),
  [4166] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6678),
  [4168] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_attribute_declaration, .child_count = 4),
  [4170] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_attribute_declaration, .child_count = 4),
  [4172] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_attribute_declaration, .child_count = 3),
  [4174] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_attribute_declaration, .child_count = 3),
  [4176] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1225),
  [4178] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3276),
  [4180] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1751),
  [4182] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8275),
  [4184] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1494),
  [4186] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2952),
  [4188] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1456),
  [4190] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1861),
  [4192] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = sym__declaration_modifiers, .child_count = 1), REDUCE(.symbol = aux_sym_attributed_declarator_repeat1, .child_count = 1),
  [4195] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = sym__declaration_modifiers, .child_count = 1), REDUCE(.symbol = aux_sym_attributed_declarator_repeat1, .child_count = 1),
  [4198] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = aux_sym_attributed_declarator_repeat1, .child_count = 1),
  [4200] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = aux_sym_attributed_declarator_repeat1, .child_count = 1),
  [4202] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym__declaration_modifiers, .child_count = 1),
  [4204] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym__declaration_modifiers, .child_count = 1),
  [4206] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9192),
  [4208] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_constructor_try_statement_repeat1, .child_count = 2), SHIFT_REPEAT(9192),
  [4211] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym__type_specifier, .child_count = 1, .production_id = 1),
  [4213] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym__expression_not_binary, .child_count = 1),
  [4215] = {.entry = {.count = 3, .reusable = true}}, REDUCE(.symbol = sym__declarator, .child_count = 1), REDUCE(.symbol = sym__type_specifier, .child_count = 1, .production_id = 1), REDUCE(.symbol = sym__expression_not_binary, .child_count = 1),
  [4219] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym__type_specifier, .child_count = 1, .production_id = 1),
  [4221] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym__expression_not_binary, .child_count = 1),
  [4223] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = sym__type_specifier, .child_count = 1, .production_id = 1), REDUCE(.symbol = sym__expression_not_binary, .child_count = 1),
  [4226] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = sym__type_specifier, .child_count = 1, .production_id = 1), REDUCE(.symbol = sym__expression_not_binary, .child_count = 1),
  [4229] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = sym__expression_not_binary, .child_count = 1), SHIFT(1513),
  [4232] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1316),
  [4234] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = sym__declarator, .child_count = 1), REDUCE(.symbol = sym__type_specifier, .child_count = 1, .production_id = 1),
  [4237] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3027),
  [4239] = {.entry = {.count = 3, .reusable = false}}, REDUCE(.symbol = sym__declarator, .child_count = 1), REDUCE(.symbol = sym__type_specifier, .child_count = 1, .production_id = 1), REDUCE(.symbol = sym__expression_not_binary, .child_count = 1),
  [4243] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1958),
  [4245] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1958),
  [4247] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8283),
  [4249] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9355),
  [4251] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1340),
  [4253] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2993),
  [4255] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1441),
  [4257] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2413),
  [4259] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2413),
  [4261] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2226),
  [4263] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7799),
  [4265] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3494),
  [4267] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6312),
  [4269] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7376),
  [4271] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6526),
  [4273] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6538),
  [4275] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6541),
  [4277] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2417),
  [4279] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2038),
  [4281] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10082),
  [4283] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10414),
  [4285] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10449),
  [4287] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8045),
  [4289] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5842),
  [4291] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8619),
  [4293] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8372),
  [4295] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6001),
  [4297] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6019),
  [4299] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4013),
  [4301] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10110),
  [4303] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6363),
  [4305] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1660),
  [4307] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2120),
  [4309] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9379),
  [4311] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2134),
  [4313] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6203),
  [4315] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6656),
  [4317] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3797),
  [4319] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3908),
  [4321] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1355),
  [4323] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1389),
  [4325] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6056),
  [4327] = {.entry = {.count = 1, .reusable = true}}, SHIFT(159),
  [4329] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1383),
  [4331] = {.entry = {.count = 1, .reusable = true}}, SHIFT(180),
  [4333] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1702),
  [4335] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1470),
  [4337] = {.entry = {.count = 1, .reusable = true}}, SHIFT(461),
  [4339] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4109),
  [4341] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7815),
  [4343] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2991),
  [4345] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3671),
  [4347] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3229),
  [4349] = {.entry = {.count = 1, .reusable = true}}, SHIFT(209),
  [4351] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5001),
  [4353] = {.entry = {.count = 1, .reusable = true}}, SHIFT(417),
  [4355] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4852),
  [4357] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3198),
  [4359] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1353),
  [4361] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3172),
  [4363] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3893),
  [4365] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1724),
  [4367] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3201),
  [4369] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1710),
  [4371] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3252),
  [4373] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3263),
  [4375] = {.entry = {.count = 1, .reusable = true}}, SHIFT(367),
  [4377] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2187),
  [4379] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5964),
  [4381] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5347),
  [4383] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5350),
  [4385] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2190),
  [4387] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3251),
  [4389] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1390),
  [4391] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3149),
  [4393] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6074),
  [4395] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1640),
  [4397] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3696),
  [4399] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5663),
  [4401] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5663),
  [4403] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6947),
  [4405] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1688),
  [4407] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2138),
  [4409] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2138),
  [4411] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7778),
  [4413] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1731),
  [4415] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2083),
  [4417] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5335),
  [4419] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8871),
  [4421] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2119),
  [4423] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2118),
  [4425] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6169),
  [4427] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6655),
  [4429] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2496),
  [4431] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2496),
  [4433] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7771),
  [4435] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1752),
  [4437] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8204),
  [4439] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2013),
  [4441] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10152),
  [4443] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10423),
  [4445] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10452),
  [4447] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8068),
  [4449] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5388),
  [4451] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8931),
  [4453] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8156),
  [4455] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5575),
  [4457] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5564),
  [4459] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2338),
  [4461] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9416),
  [4463] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2339),
  [4465] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6166),
  [4467] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6660),
  [4469] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = sym__expression_not_binary, .child_count = 1), SHIFT(1511),
  [4472] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1967),
  [4474] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8267),
  [4476] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9405),
  [4478] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3330),
  [4480] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2311),
  [4482] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2311),
  [4484] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7820),
  [4486] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2021),
  [4488] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5726),
  [4490] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8788),
  [4492] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8230),
  [4494] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2372),
  [4496] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9408),
  [4498] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2371),
  [4500] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1384),
  [4502] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3362),
  [4504] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2452),
  [4506] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2452),
  [4508] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7807),
  [4510] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2062),
  [4512] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2449),
  [4514] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2445),
  [4516] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6183),
  [4518] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3342),
  [4520] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2196),
  [4522] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2196),
  [4524] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7769),
  [4526] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2045),
  [4528] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2192),
  [4530] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2191),
  [4532] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3345),
  [4534] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1735),
  [4536] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8451),
  [4538] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_parameter_pack_expansion, .child_count = 2, .production_id = 28),
  [4540] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1446),
  [4542] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_parameter_pack_expansion, .child_count = 2, .production_id = 28),
  [4544] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2451),
  [4546] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_qualified_identifier, .child_count = 2, .production_id = 34),
  [4548] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = sym_qualified_identifier, .child_count = 2, .production_id = 34), REDUCE(.symbol = sym_qualified_type_identifier, .child_count = 2, .production_id = 35),
  [4551] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_qualified_identifier, .child_count = 2, .production_id = 34),
  [4553] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = sym_qualified_identifier, .child_count = 2, .production_id = 34), REDUCE(.symbol = sym_qualified_type_identifier, .child_count = 2, .production_id = 35),
  [4556] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = sym_qualified_identifier, .child_count = 2, .production_id = 34), SHIFT(1482),
  [4559] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3128),
  [4561] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1666),
  [4563] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5741),
  [4565] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7193),
  [4567] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7193),
  [4569] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7879),
  [4571] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1700),
  [4573] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_template_function, .child_count = 2, .production_id = 17),
  [4575] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = sym_template_type, .child_count = 2, .production_id = 16), REDUCE(.symbol = sym_template_function, .child_count = 2, .production_id = 17),
  [4578] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_template_function, .child_count = 2, .production_id = 17),
  [4580] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = sym_template_type, .child_count = 2, .production_id = 16), REDUCE(.symbol = sym_template_function, .child_count = 2, .production_id = 17),
  [4583] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3206),
  [4585] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1966),
  [4587] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6904),
  [4589] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1998),
  [4591] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3363),
  [4593] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4113),
  [4595] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2046),
  [4597] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7724),
  [4599] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2063),
  [4601] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7369),
  [4603] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1980),
  [4605] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7293),
  [4607] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2001),
  [4609] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7334),
  [4611] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2054),
  [4613] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7730),
  [4615] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = sym_qualified_identifier, .child_count = 2, .production_id = 34), SHIFT(1493),
  [4618] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1988),
  [4620] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4458),
  [4622] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1982),
  [4624] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4558),
  [4626] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2027),
  [4628] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7755),
  [4630] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1975),
  [4632] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7757),
  [4634] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2000),
  [4636] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7333),
  [4638] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1981),
  [4640] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7294),
  [4642] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3284),
  [4644] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1990),
  [4646] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7424),
  [4648] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1989),
  [4650] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4123),
  [4652] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2064),
  [4654] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3454),
  [4656] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1972),
  [4658] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7647),
  [4660] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2050),
  [4662] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7402),
  [4664] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1977),
  [4666] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4589),
  [4668] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2033),
  [4670] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3456),
  [4672] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2047),
  [4674] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7397),
  [4676] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2002),
  [4678] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4481),
  [4680] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2052),
  [4682] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7716),
  [4684] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3909),
  [4686] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2459),
  [4688] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7153),
  [4690] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7813),
  [4692] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3245),
  [4694] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4928),
  [4696] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1833),
  [4698] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7066),
  [4700] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4663),
  [4702] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4912),
  [4704] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9718),
  [4706] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5992),
  [4708] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4794),
  [4710] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4948),
  [4712] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7127),
  [4714] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2667),
  [4716] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_requirement_seq_repeat1, .child_count = 2), SHIFT_REPEAT(3257),
  [4719] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = aux_sym_requirement_seq_repeat1, .child_count = 2), SHIFT_REPEAT(1435),
  [4722] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = aux_sym_requirement_seq_repeat1, .child_count = 2), SHIFT_REPEAT(2109),
  [4725] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_requirement_seq_repeat1, .child_count = 2), SHIFT_REPEAT(2109),
  [4728] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = aux_sym_requirement_seq_repeat1, .child_count = 2), SHIFT_REPEAT(2216),
  [4731] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = aux_sym_requirement_seq_repeat1, .child_count = 2), SHIFT_REPEAT(3909),
  [4734] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = aux_sym_requirement_seq_repeat1, .child_count = 2), SHIFT_REPEAT(7782),
  [4737] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = aux_sym_requirement_seq_repeat1, .child_count = 2), SHIFT_REPEAT(2459),
  [4740] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = aux_sym_requirement_seq_repeat1, .child_count = 2),
  [4742] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = aux_sym_requirement_seq_repeat1, .child_count = 2), SHIFT_REPEAT(1861),
  [4745] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_requirement_seq_repeat1, .child_count = 2), SHIFT_REPEAT(8180),
  [4748] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = aux_sym_requirement_seq_repeat1, .child_count = 2), SHIFT_REPEAT(2156),
  [4751] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_requirement_seq_repeat1, .child_count = 2), SHIFT_REPEAT(2067),
  [4754] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_requirement_seq_repeat1, .child_count = 2), SHIFT_REPEAT(10375),
  [4757] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_requirement_seq_repeat1, .child_count = 2), SHIFT_REPEAT(10371),
  [4760] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_requirement_seq_repeat1, .child_count = 2), SHIFT_REPEAT(10370),
  [4763] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_requirement_seq_repeat1, .child_count = 2), SHIFT_REPEAT(8039),
  [4766] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = aux_sym_requirement_seq_repeat1, .child_count = 2), SHIFT_REPEAT(5374),
  [4769] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = aux_sym_requirement_seq_repeat1, .child_count = 2), SHIFT_REPEAT(8544),
  [4772] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = aux_sym_requirement_seq_repeat1, .child_count = 2), SHIFT_REPEAT(8313),
  [4775] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_requirement_seq_repeat1, .child_count = 2), SHIFT_REPEAT(5024),
  [4778] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_requirement_seq_repeat1, .child_count = 2), SHIFT_REPEAT(5010),
  [4781] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_requirement_seq_repeat1, .child_count = 2), SHIFT_REPEAT(10295),
  [4784] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_requirement_seq_repeat1, .child_count = 2), SHIFT_REPEAT(7813),
  [4787] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_requirement_seq_repeat1, .child_count = 2), SHIFT_REPEAT(9331),
  [4790] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_requirement_seq_repeat1, .child_count = 2), SHIFT_REPEAT(2163),
  [4793] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = aux_sym_requirement_seq_repeat1, .child_count = 2), SHIFT_REPEAT(9364),
  [4796] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_requirement_seq_repeat1, .child_count = 2), SHIFT_REPEAT(2175),
  [4799] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_requirement_seq_repeat1, .child_count = 2), SHIFT_REPEAT(6182),
  [4802] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_requirement_seq_repeat1, .child_count = 2), SHIFT_REPEAT(6679),
  [4805] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4623),
  [4807] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3618),
  [4809] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3575),
  [4811] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5472),
  [4813] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9999),
  [4815] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4266),
  [4817] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2658),
  [4819] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4792),
  [4821] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9712),
  [4823] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4830),
  [4825] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9873),
  [4827] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4628),
  [4829] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4271),
  [4831] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9568),
  [4833] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4937),
  [4835] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9925),
  [4837] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5490),
  [4839] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5423),
  [4841] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7046),
  [4843] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4549),
  [4845] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5509),
  [4847] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10125),
  [4849] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3599),
  [4851] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5404),
  [4853] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4278),
  [4855] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4574),
  [4857] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4930),
  [4859] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4756),
  [4861] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5527),
  [4863] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4935),
  [4865] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4262),
  [4867] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4904),
  [4869] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5994),
  [4871] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3673),
  [4873] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3660),
  [4875] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4223),
  [4877] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4754),
  [4879] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4893),
  [4881] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5556),
  [4883] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6028),
  [4885] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4635),
  [4887] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4525),
  [4889] = {.entry = {.count = 1, .reusable = true}}, SHIFT(82),
  [4891] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2416),
  [4893] = {.entry = {.count = 1, .reusable = true}}, SHIFT(55),
  [4895] = {.entry = {.count = 1, .reusable = true}}, SHIFT(42),
  [4897] = {.entry = {.count = 1, .reusable = true}}, SHIFT(97),
  [4899] = {.entry = {.count = 1, .reusable = true}}, SHIFT(85),
  [4901] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3109),
  [4903] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6521),
  [4905] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6433),
  [4907] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6429),
  [4909] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6564),
  [4911] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6551),
  [4913] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6549),
  [4915] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6490),
  [4917] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6488),
  [4919] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6487),
  [4921] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6531),
  [4923] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6511),
  [4925] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6546),
  [4927] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6475),
  [4929] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6486),
  [4931] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6489),
  [4933] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6554),
  [4935] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6569),
  [4937] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6503),
  [4939] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6441),
  [4941] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6446),
  [4943] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6494),
  [4945] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6454),
  [4947] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6432),
  [4949] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6440),
  [4951] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6445),
  [4953] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6447),
  [4955] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6450),
  [4957] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5546),
  [4959] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2472),
  [4961] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3869),
  [4963] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2419),
  [4965] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4908),
  [4967] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2441),
  [4969] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4727),
  [4971] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2378),
  [4973] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3596),
  [4975] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2132),
  [4977] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6024),
  [4979] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2429),
  [4981] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4610),
  [4983] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2278),
  [4985] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4268),
  [4987] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2477),
  [4989] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5254),
  [4991] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2307),
  [4993] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1606),
  [4995] = {.entry = {.count = 1, .reusable = true}}, SHIFT(856),
  [4997] = {.entry = {.count = 1, .reusable = true}}, SHIFT(514),
  [4999] = {.entry = {.count = 1, .reusable = true}}, SHIFT(233),
  [5001] = {.entry = {.count = 1, .reusable = true}}, SHIFT(858),
  [5003] = {.entry = {.count = 1, .reusable = true}}, SHIFT(944),
  [5005] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2231),
  [5007] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_lambda_capture_specifier, .child_count = 2),
  [5009] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_lambda_capture_specifier, .child_count = 2),
  [5011] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4601),
  [5013] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2367),
  [5015] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1444),
  [5017] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2423),
  [5019] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9669),
  [5021] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2364),
  [5023] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2003),
  [5025] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1954),
  [5027] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1890),
  [5029] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9317),
  [5031] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3325),
  [5033] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7988),
  [5035] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9885),
  [5037] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2012),
  [5039] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1857),
  [5041] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1863),
  [5043] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2446),
  [5045] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1854),
  [5047] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1842),
  [5049] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2233),
  [5051] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3219),
  [5053] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2313),
  [5055] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1834),
  [5057] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1881),
  [5059] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1851),
  [5061] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1853),
  [5063] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8734),
  [5065] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10062),
  [5067] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1859),
  [5069] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1838),
  [5071] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2194),
  [5073] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1905),
  [5075] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1821),
  [5077] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8791),
  [5079] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9883),
  [5081] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3220),
  [5083] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2481),
  [5085] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1867),
  [5087] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1871),
  [5089] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10032),
  [5091] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2065),
  [5093] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2384),
  [5095] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1846),
  [5097] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1837),
  [5099] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1826),
  [5101] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1862),
  [5103] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1824),
  [5105] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10354),
  [5107] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1984),
  [5109] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1869),
  [5111] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4187),
  [5113] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3194),
  [5115] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2133),
  [5117] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8850),
  [5119] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10254),
  [5121] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1884),
  [5123] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1903),
  [5125] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4739),
  [5127] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1874),
  [5129] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1844),
  [5131] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1839),
  [5133] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = sym__fold_operator, .child_count = 1), SHIFT(9593),
  [5136] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = sym__fold_operator, .child_count = 1), SHIFT(9594),
  [5139] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = sym__fold_operator, .child_count = 1), SHIFT(9596),
  [5142] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = sym__fold_operator, .child_count = 1), SHIFT(9600),
  [5145] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = sym__fold_operator, .child_count = 1), SHIFT(9604),
  [5148] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = sym__fold_operator, .child_count = 1), SHIFT(9609),
  [5151] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = sym__fold_operator, .child_count = 1), SHIFT(9610),
  [5154] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = sym__fold_operator, .child_count = 1), SHIFT(9615),
  [5157] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = sym__fold_operator, .child_count = 1), SHIFT(9617),
  [5160] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = sym__fold_operator, .child_count = 1), SHIFT(9619),
  [5163] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = sym__fold_operator, .child_count = 1), SHIFT(9624),
  [5166] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3605),
  [5168] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1860),
  [5170] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8556),
  [5172] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10328),
  [5174] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8521),
  [5176] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10339),
  [5178] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1832),
  [5180] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1840),
  [5182] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1823),
  [5184] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1448),
  [5186] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2363),
  [5188] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1433),
  [5190] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2269),
  [5192] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2437),
  [5194] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1460),
  [5196] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym__for_statement_body, .child_count = 3, .dynamic_precedence = 1, .production_id = 104),
  [5198] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym__for_statement_body, .child_count = 3, .dynamic_precedence = 1, .production_id = 78),
  [5200] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1442),
  [5202] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2314),
  [5204] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1454),
  [5206] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2126),
  [5208] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2168),
  [5210] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2258),
  [5212] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1434),
  [5214] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = sym__fold_operator, .child_count = 1), SHIFT(9662),
  [5217] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2201),
  [5219] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1439),
  [5221] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2356),
  [5223] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2294),
  [5225] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2236),
  [5227] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym__for_statement_body, .child_count = 3, .dynamic_precedence = 1, .production_id = 147),
  [5229] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2106),
  [5231] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2117),
  [5233] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6126),
  [5235] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6103),
  [5237] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8452),
  [5239] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7993),
  [5241] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2480),
  [5243] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1451),
  [5245] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym__for_statement_body, .child_count = 2, .dynamic_precedence = 1),
  [5247] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_lambda_default_capture, .child_count = 1),
  [5249] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2238),
  [5251] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym__for_statement_body, .child_count = 4, .dynamic_precedence = 1, .production_id = 188),
  [5253] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2114),
  [5255] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2462),
  [5257] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1437),
  [5259] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3019),
  [5261] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2255),
  [5263] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym__for_statement_body, .child_count = 2, .dynamic_precedence = 1, .production_id = 104),
  [5265] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7701),
  [5267] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = sym__fold_operator, .child_count = 1), SHIFT(9591),
  [5270] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7750),
  [5272] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4559),
  [5274] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = sym__fold_operator, .child_count = 1), SHIFT(9590),
  [5277] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10311),
  [5279] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7323),
  [5281] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7328),
  [5283] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4547),
  [5285] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2871),
  [5287] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1831),
  [5289] = {.entry = {.count = 1, .reusable = true}}, SHIFT(884),
  [5291] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = sym__fold_operator, .child_count = 1), SHIFT(9584),
  [5294] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9872),
  [5296] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1452),
  [5298] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4480),
  [5300] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4091),
  [5302] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7395),
  [5304] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10014),
  [5306] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = sym__fold_operator, .child_count = 1), SHIFT(9586),
  [5309] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9875),
  [5311] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = sym__fold_operator, .child_count = 1), SHIFT(9585),
  [5314] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9860),
  [5316] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9720),
  [5318] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4124),
  [5320] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9582),
  [5322] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7280),
  [5324] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7341),
  [5326] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4509),
  [5328] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2822),
  [5330] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = sym__fold_operator, .child_count = 1), SHIFT(9627),
  [5333] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = sym__fold_operator, .child_count = 1), SHIFT(9629),
  [5336] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9684),
  [5338] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10176),
  [5340] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1436),
  [5342] = {.entry = {.count = 1, .reusable = true}}, SHIFT(879),
  [5344] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = sym__fold_operator, .child_count = 1), SHIFT(9625),
  [5347] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = sym__fold_operator, .child_count = 1), SHIFT(9589),
  [5350] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2592),
  [5352] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10157),
  [5354] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1438),
  [5356] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10312),
  [5358] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = sym__fold_operator, .child_count = 1), SHIFT(9652),
  [5361] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10137),
  [5363] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1440),
  [5365] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1637),
  [5367] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = sym__fold_operator, .child_count = 1), SHIFT(9651),
  [5370] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10237),
  [5372] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1463),
  [5374] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = sym__fold_operator, .child_count = 1), SHIFT(9650),
  [5377] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10166),
  [5379] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = sym__fold_operator, .child_count = 1), SHIFT(9648),
  [5382] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10096),
  [5384] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7671),
  [5386] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7030),
  [5388] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = sym__fold_operator, .child_count = 1), SHIFT(9647),
  [5391] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = sym__fold_operator, .child_count = 1), SHIFT(9646),
  [5394] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = sym__fold_operator, .child_count = 1), SHIFT(9644),
  [5397] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3393),
  [5399] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = sym__fold_operator, .child_count = 1), SHIFT(9643),
  [5402] = {.entry = {.count = 1, .reusable = true}}, SHIFT(224),
  [5404] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = sym__fold_operator, .child_count = 1), SHIFT(9642),
  [5407] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10090),
  [5409] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1449),
  [5411] = {.entry = {.count = 1, .reusable = true}}, SHIFT(539),
  [5413] = {.entry = {.count = 1, .reusable = true}}, SHIFT(226),
  [5415] = {.entry = {.count = 1, .reusable = true}}, SHIFT(562),
  [5417] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10060),
  [5419] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1461),
  [5421] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = sym__fold_operator, .child_count = 1), SHIFT(9640),
  [5424] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = sym__fold_operator, .child_count = 1), SHIFT(9639),
  [5427] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1459),
  [5429] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7709),
  [5431] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7358),
  [5433] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1540),
  [5435] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1457),
  [5437] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7360),
  [5439] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = sym__fold_operator, .child_count = 1), SHIFT(9638),
  [5442] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7729),
  [5444] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10057),
  [5446] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7737),
  [5448] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = sym__fold_operator, .child_count = 1), SHIFT(9636),
  [5451] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1447),
  [5453] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = sym__fold_operator, .child_count = 1), SHIFT(9635),
  [5456] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1033),
  [5458] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1030),
  [5460] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1458),
  [5462] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7394),
  [5464] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3443),
  [5466] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2695),
  [5468] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1462),
  [5470] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10115),
  [5472] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1455),
  [5474] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9910),
  [5476] = {.entry = {.count = 1, .reusable = true}}, SHIFT(831),
  [5478] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1445),
  [5480] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = sym__fold_operator, .child_count = 1), SHIFT(9634),
  [5483] = {.entry = {.count = 1, .reusable = true}}, SHIFT(839),
  [5485] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1443),
  [5487] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1855),
  [5489] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3260),
  [5491] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1843),
  [5493] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1868),
  [5495] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1836),
  [5497] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1885),
  [5499] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1850),
  [5501] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1904),
  [5503] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3240),
  [5505] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1889),
  [5507] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1847),
  [5509] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8105),
  [5511] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1888),
  [5513] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1845),
  [5515] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1872),
  [5517] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1856),
  [5519] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1864),
  [5521] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1865),
  [5523] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1841),
  [5525] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1910),
  [5527] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8108),
  [5529] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1908),
  [5531] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1873),
  [5533] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1835),
  [5535] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1879),
  [5537] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1849),
  [5539] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1830),
  [5541] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1827),
  [5543] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1870),
  [5545] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1909),
  [5547] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1876),
  [5549] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3249),
  [5551] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1887),
  [5553] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1883),
  [5555] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8719),
  [5557] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4491),
  [5559] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8681),
  [5561] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4708),
  [5563] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8924),
  [5565] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3535),
  [5567] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8612),
  [5569] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4173),
  [5571] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9049),
  [5573] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7883),
  [5575] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3135),
  [5577] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3138),
  [5579] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3130),
  [5581] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9846),
  [5583] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6862),
  [5585] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8979),
  [5587] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9848),
  [5589] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3133),
  [5591] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9855),
  [5593] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3126),
  [5595] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9135),
  [5597] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_constructor_try_statement_repeat1, .child_count = 2), SHIFT_REPEAT(9135),
  [5600] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_initializer_list, .child_count = 2),
  [5602] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9076),
  [5604] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_constructor_try_statement_repeat1, .child_count = 2), SHIFT_REPEAT(9076),
  [5607] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_preproc_ifdef_in_field_declaration_list, .child_count = 3, .production_id = 10),
  [5609] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_preproc_ifdef_in_field_declaration_list, .child_count = 3, .production_id = 10),
  [5611] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_field_declaration, .child_count = 7, .production_id = 214),
  [5613] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_field_declaration, .child_count = 7, .production_id = 214),
  [5615] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_field_declaration, .child_count = 5, .production_id = 181),
  [5617] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_field_declaration, .child_count = 5, .production_id = 181),
  [5619] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_field_declaration, .child_count = 5, .production_id = 205),
  [5621] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_field_declaration, .child_count = 5, .production_id = 205),
  [5623] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_field_declaration, .child_count = 5, .production_id = 180),
  [5625] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_field_declaration, .child_count = 5, .production_id = 180),
  [5627] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_field_declaration, .child_count = 5, .production_id = 204),
  [5629] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_field_declaration, .child_count = 5, .production_id = 204),
  [5631] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_field_declaration, .child_count = 5, .production_id = 66),
  [5633] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_field_declaration, .child_count = 5, .production_id = 66),
  [5635] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_field_declaration, .child_count = 5, .production_id = 194),
  [5637] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_field_declaration, .child_count = 5, .production_id = 194),
  [5639] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_preproc_ifdef_in_field_declaration_list, .child_count = 5, .production_id = 126),
  [5641] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_preproc_ifdef_in_field_declaration_list, .child_count = 5, .production_id = 126),
  [5643] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_preproc_if_in_field_declaration_list, .child_count = 5, .production_id = 78),
  [5645] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_preproc_if_in_field_declaration_list, .child_count = 5, .production_id = 78),
  [5647] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_preproc_if_in_field_declaration_list, .child_count = 5, .production_id = 125),
  [5649] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_preproc_if_in_field_declaration_list, .child_count = 5, .production_id = 125),
  [5651] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_field_declaration, .child_count = 6, .production_id = 204),
  [5653] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_field_declaration, .child_count = 6, .production_id = 204),
  [5655] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_field_declaration, .child_count = 6, .production_id = 214),
  [5657] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_field_declaration, .child_count = 6, .production_id = 214),
  [5659] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_field_declaration, .child_count = 4, .production_id = 181),
  [5661] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_field_declaration, .child_count = 4, .production_id = 181),
  [5663] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_field_declaration, .child_count = 4, .production_id = 180),
  [5665] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_field_declaration, .child_count = 4, .production_id = 180),
  [5667] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_field_declaration, .child_count = 4, .production_id = 66),
  [5669] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_field_declaration, .child_count = 4, .production_id = 66),
  [5671] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_preproc_ifdef_in_field_declaration_list, .child_count = 4, .production_id = 10),
  [5673] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_preproc_ifdef_in_field_declaration_list, .child_count = 4, .production_id = 10),
  [5675] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_preproc_ifdef_in_field_declaration_list, .child_count = 4, .production_id = 79),
  [5677] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_preproc_ifdef_in_field_declaration_list, .child_count = 4, .production_id = 79),
  [5679] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_preproc_if_in_field_declaration_list, .child_count = 4, .production_id = 78),
  [5681] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_preproc_if_in_field_declaration_list, .child_count = 4, .production_id = 78),
  [5683] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_field_declaration, .child_count = 6, .production_id = 194),
  [5685] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_field_declaration, .child_count = 6, .production_id = 194),
  [5687] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_preproc_if_in_field_declaration_list, .child_count = 6, .production_id = 174),
  [5689] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_preproc_if_in_field_declaration_list, .child_count = 6, .production_id = 174),
  [5691] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_field_declaration, .child_count = 3, .production_id = 56),
  [5693] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_field_declaration, .child_count = 3, .production_id = 56),
  [5695] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_field_declaration, .child_count = 3, .production_id = 66),
  [5697] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_field_declaration, .child_count = 3, .production_id = 66),
  [5699] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_inline_method_definition, .child_count = 3, .production_id = 67),
  [5701] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_inline_method_definition, .child_count = 3, .production_id = 67),
  [5703] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_inline_method_definition, .child_count = 3, .production_id = 66),
  [5705] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_inline_method_definition, .child_count = 3, .production_id = 66),
  [5707] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_field_declaration, .child_count = 2, .production_id = 56),
  [5709] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_field_declaration, .child_count = 2, .production_id = 56),
  [5711] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym__field_declaration_list_item, .child_count = 2),
  [5713] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym__field_declaration_list_item, .child_count = 2),
  [5715] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_field_declaration, .child_count = 6, .production_id = 205),
  [5717] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_field_declaration, .child_count = 6, .production_id = 205),
  [5719] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3141),
  [5721] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_requires_expression, .child_count = 2, .production_id = 21),
  [5723] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_requires_expression, .child_count = 2, .production_id = 21),
  [5725] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9033),
  [5727] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_lambda_expression, .child_count = 3, .production_id = 73),
  [5729] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_lambda_expression, .child_count = 3, .production_id = 73),
  [5731] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_lambda_expression, .child_count = 3, .production_id = 72),
  [5733] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_lambda_expression, .child_count = 3, .production_id = 72),
  [5735] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_requires_expression, .child_count = 3, .production_id = 65),
  [5737] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_requires_expression, .child_count = 3, .production_id = 65),
  [5739] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_requirement_seq, .child_count = 2),
  [5741] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_requirement_seq, .child_count = 2),
  [5743] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9251),
  [5745] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_fold_expression, .child_count = 3, .production_id = 40),
  [5747] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_fold_expression, .child_count = 3, .production_id = 40),
  [5749] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_lambda_expression, .child_count = 5, .production_id = 170),
  [5751] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_lambda_expression, .child_count = 5, .production_id = 170),
  [5753] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_constructor_try_statement_repeat1, .child_count = 2), SHIFT_REPEAT(9033),
  [5756] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_requirement_seq, .child_count = 3),
  [5758] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_requirement_seq, .child_count = 3),
  [5760] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_lambda_expression, .child_count = 4, .production_id = 121),
  [5762] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_lambda_expression, .child_count = 4, .production_id = 121),
  [5764] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym__requirement_clause_constraint, .child_count = 3),
  [5766] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym__requirement_clause_constraint, .child_count = 3),
  [5768] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_constraint_conjunction, .child_count = 3, .production_id = 55),
  [5770] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_constraint_conjunction, .child_count = 3, .production_id = 55),
  [5772] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_lambda_expression, .child_count = 4, .production_id = 122),
  [5774] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_lambda_expression, .child_count = 4, .production_id = 122),
  [5776] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_constructor_try_statement_repeat1, .child_count = 2), SHIFT_REPEAT(9251),
  [5779] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_lambda_expression, .child_count = 2, .production_id = 32),
  [5781] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_lambda_expression, .child_count = 2, .production_id = 32),
  [5783] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_attribute_specifier, .child_count = 4),
  [5785] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_attribute_specifier, .child_count = 4),
  [5787] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1498),
  [5789] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = sym__expression_not_binary, .child_count = 1), SHIFT(1493),
  [5792] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym__declarator, .child_count = 1),
  [5794] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3379),
  [5796] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8211),
  [5798] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9365),
  [5800] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym__declaration_specifiers, .child_count = 1, .production_id = 2),
  [5802] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym__declaration_specifiers, .child_count = 1, .production_id = 2),
  [5804] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3012),
  [5806] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3065),
  [5808] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10106),
  [5810] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym__declaration_specifiers, .child_count = 2, .production_id = 20),
  [5812] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym__declaration_specifiers, .child_count = 2, .production_id = 20),
  [5814] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3014),
  [5816] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = sym__expression_not_binary, .child_count = 1), SHIFT(1507),
  [5819] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = sym__expression_not_binary, .child_count = 1), SHIFT(1484),
  [5822] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3573),
  [5824] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1921),
  [5826] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1921),
  [5828] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8296),
  [5830] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9401),
  [5832] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_constraint_disjunction, .child_count = 3, .production_id = 55),
  [5834] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_constraint_disjunction, .child_count = 3, .production_id = 55),
  [5836] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6716),
  [5838] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6716),
  [5840] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = aux_sym_sized_type_specifier_repeat1, .child_count = 2),
  [5842] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = aux_sym_sized_type_specifier_repeat1, .child_count = 2),
  [5844] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_sized_type_specifier_repeat1, .child_count = 2), SHIFT_REPEAT(3003),
  [5847] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_requires_clause, .child_count = 2, .production_id = 22),
  [5849] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_requires_clause, .child_count = 2, .production_id = 22),
  [5851] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6765),
  [5853] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6765),
  [5855] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym__declaration_specifiers, .child_count = 2, .production_id = 2),
  [5857] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym__declaration_specifiers, .child_count = 2, .production_id = 2),
  [5859] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3013),
  [5861] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = aux_sym__declaration_specifiers_repeat1, .child_count = 2),
  [5863] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = aux_sym__declaration_specifiers_repeat1, .child_count = 2),
  [5865] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym__declaration_specifiers_repeat1, .child_count = 2), SHIFT_REPEAT(3135),
  [5868] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym__declaration_specifiers_repeat1, .child_count = 2), SHIFT_REPEAT(3013),
  [5871] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym__declaration_specifiers_repeat1, .child_count = 2), SHIFT_REPEAT(3130),
  [5874] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym__declaration_specifiers_repeat1, .child_count = 2), SHIFT_REPEAT(9846),
  [5877] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = aux_sym__declaration_specifiers_repeat1, .child_count = 2), SHIFT_REPEAT(8979),
  [5880] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym__declaration_specifiers_repeat1, .child_count = 2), SHIFT_REPEAT(9848),
  [5883] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym__declaration_specifiers_repeat1, .child_count = 2), SHIFT_REPEAT(3133),
  [5886] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym__declaration_specifiers_repeat1, .child_count = 2), SHIFT_REPEAT(9855),
  [5889] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym__declaration_specifiers_repeat1, .child_count = 2), SHIFT_REPEAT(3126),
  [5892] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym__declaration_specifiers, .child_count = 3, .production_id = 20),
  [5894] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym__declaration_specifiers, .child_count = 3, .production_id = 20),
  [5896] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym__enum_base_clause, .child_count = 2, .production_id = 97),
  [5898] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym__enum_base_clause, .child_count = 2, .production_id = 97),
  [5900] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1513),
  [5902] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_template_parameter_list, .child_count = 3),
  [5904] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_template_parameter_list, .child_count = 3),
  [5906] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_template_parameter_list, .child_count = 2),
  [5908] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_template_parameter_list, .child_count = 2),
  [5910] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_template_parameter_list, .child_count = 4),
  [5912] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_template_parameter_list, .child_count = 4),
  [5914] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = sym_sized_type_specifier, .child_count = 1), SHIFT(3026),
  [5917] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_sized_type_specifier, .child_count = 1),
  [5919] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_sized_type_specifier, .child_count = 1),
  [5921] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3025),
  [5923] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3036),
  [5925] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym__class_declaration_item, .child_count = 1, .production_id = 6),
  [5927] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym__class_declaration_item, .child_count = 1, .production_id = 6),
  [5929] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1210),
  [5931] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym__type_specifier, .child_count = 1),
  [5933] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym__type_specifier, .child_count = 1),
  [5935] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = sym__type_specifier, .child_count = 1), SHIFT(1797),
  [5938] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3031),
  [5940] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = sym_sized_type_specifier, .child_count = 2), REDUCE(.symbol = aux_sym_sized_type_specifier_repeat1, .child_count = 2),
  [5943] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = sym_sized_type_specifier, .child_count = 2), REDUCE(.symbol = aux_sym_sized_type_specifier_repeat1, .child_count = 2),
  [5946] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_sized_type_specifier, .child_count = 2, .dynamic_precedence = -1, .production_id = 36),
  [5948] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_sized_type_specifier, .child_count = 2, .dynamic_precedence = -1, .production_id = 36),
  [5950] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3029),
  [5952] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_sized_type_specifier, .child_count = 2, .dynamic_precedence = -1, .production_id = 18),
  [5954] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_sized_type_specifier, .child_count = 2, .dynamic_precedence = -1, .production_id = 18),
  [5956] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3035),
  [5958] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_sized_type_specifier, .child_count = 3, .production_id = 20),
  [5960] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_sized_type_specifier, .child_count = 3, .production_id = 20),
  [5962] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_sized_type_specifier, .child_count = 3, .dynamic_precedence = -1, .production_id = 36),
  [5964] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_sized_type_specifier, .child_count = 3, .dynamic_precedence = -1, .production_id = 36),
  [5966] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_sized_type_specifier, .child_count = 2, .production_id = 2),
  [5968] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_sized_type_specifier, .child_count = 2, .production_id = 2),
  [5970] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym__enum_base_clause, .child_count = 2, .production_id = 96),
  [5972] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym__enum_base_clause, .child_count = 2, .production_id = 96),
  [5974] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_hlsl_attribute, .child_count = 3),
  [5976] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_lambda_capture_specifier, .child_count = 3),
  [5978] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_lambda_capture_specifier, .child_count = 3),
  [5980] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_hlsl_attribute, .child_count = 3),
  [5982] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_subscript_designator, .child_count = 3),
  [5984] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_sized_type_specifier_repeat1, .child_count = 2), SHIFT_REPEAT(3035),
  [5987] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_sized_type_specifier, .child_count = 2, .production_id = 20),
  [5989] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_sized_type_specifier, .child_count = 2, .production_id = 20),
  [5991] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3028),
  [5993] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2705),
  [5995] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2817),
  [5997] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1098),
  [5999] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1184),
  [6001] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1249),
  [6003] = {.entry = {.count = 1, .reusable = true}}, SHIFT(371),
  [6005] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_decltype, .child_count = 4),
  [6007] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_decltype, .child_count = 4),
  [6009] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2915),
  [6011] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2628),
  [6013] = {.entry = {.count = 1, .reusable = true}}, SHIFT(669),
  [6015] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_storage_class_specifier, .child_count = 1),
  [6017] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_storage_class_specifier, .child_count = 1),
  [6019] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8346),
  [6021] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_dependent_type, .child_count = 2, .dynamic_precedence = -1),
  [6023] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_dependent_type, .child_count = 2, .dynamic_precedence = -1),
  [6025] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym__class_declaration_item, .child_count = 3, .production_id = 50),
  [6027] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym__class_declaration_item, .child_count = 3, .production_id = 50),
  [6029] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_enum_specifier, .child_count = 4, .production_id = 49),
  [6031] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_enum_specifier, .child_count = 4, .production_id = 49),
  [6033] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_class_specifier, .child_count = 2, .production_id = 12),
  [6035] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_class_specifier, .child_count = 2, .production_id = 12),
  [6037] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_enumerator_list, .child_count = 4),
  [6039] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_enumerator_list, .child_count = 4),
  [6041] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_enum_specifier, .child_count = 6, .production_id = 138),
  [6043] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_enum_specifier, .child_count = 6, .production_id = 138),
  [6045] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_placeholder_type_specifier, .child_count = 2, .production_id = 27),
  [6047] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_placeholder_type_specifier, .child_count = 2, .production_id = 27),
  [6049] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym__class_declaration, .child_count = 1, .production_id = 13),
  [6051] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym__class_declaration, .child_count = 1, .production_id = 13),
  [6053] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_enumerator_list, .child_count = 3),
  [6055] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_enumerator_list, .child_count = 3),
  [6057] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_struct_specifier, .child_count = 2, .production_id = 12),
  [6059] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_struct_specifier, .child_count = 2, .production_id = 12),
  [6061] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym__class_declaration_item, .child_count = 4, .production_id = 101),
  [6063] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym__class_declaration_item, .child_count = 4, .production_id = 101),
  [6065] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym__class_declaration, .child_count = 2, .production_id = 12),
  [6067] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym__class_declaration, .child_count = 2, .production_id = 12),
  [6069] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_enum_specifier, .child_count = 4, .production_id = 46),
  [6071] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_enum_specifier, .child_count = 4, .production_id = 46),
  [6073] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_enum_specifier, .child_count = 4, .production_id = 47),
  [6075] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_enum_specifier, .child_count = 4, .production_id = 47),
  [6077] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_enum_specifier, .child_count = 4, .production_id = 95),
  [6079] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_enum_specifier, .child_count = 4, .production_id = 95),
  [6081] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7484),
  [6083] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_enum_specifier, .child_count = 5, .production_id = 93),
  [6085] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_enum_specifier, .child_count = 5, .production_id = 93),
  [6087] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_enum_specifier, .child_count = 5, .production_id = 95),
  [6089] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_enum_specifier, .child_count = 5, .production_id = 95),
  [6091] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_enum_specifier, .child_count = 5, .production_id = 98),
  [6093] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_enum_specifier, .child_count = 5, .production_id = 98),
  [6095] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_enum_specifier, .child_count = 4, .production_id = 48),
  [6097] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_enum_specifier, .child_count = 4, .production_id = 48),
  [6099] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym__class_declaration_item, .child_count = 4, .production_id = 46),
  [6101] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym__class_declaration_item, .child_count = 4, .production_id = 46),
  [6103] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_alignas_specifier, .child_count = 4),
  [6105] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_alignas_specifier, .child_count = 4),
  [6107] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym__class_declaration_item, .child_count = 2, .production_id = 6),
  [6109] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym__class_declaration_item, .child_count = 2, .production_id = 6),
  [6111] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_union_specifier, .child_count = 2, .production_id = 12),
  [6113] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_union_specifier, .child_count = 2, .production_id = 12),
  [6115] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym__class_declaration, .child_count = 3, .production_id = 100),
  [6117] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym__class_declaration, .child_count = 3, .production_id = 100),
  [6119] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym__class_declaration_item, .child_count = 2, .production_id = 11),
  [6121] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym__class_declaration_item, .child_count = 2, .production_id = 11),
  [6123] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym__class_declaration_item, .child_count = 3, .production_id = 9),
  [6125] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym__class_declaration_item, .child_count = 3, .production_id = 9),
  [6127] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_ms_declspec_modifier, .child_count = 4),
  [6129] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_ms_declspec_modifier, .child_count = 4),
  [6131] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_enumerator_list, .child_count = 2),
  [6133] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_enumerator_list, .child_count = 2),
  [6135] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_placeholder_type_specifier, .child_count = 1),
  [6137] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_placeholder_type_specifier, .child_count = 1),
  [6139] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym__class_declaration, .child_count = 4, .production_id = 140),
  [6141] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym__class_declaration, .child_count = 4, .production_id = 140),
  [6143] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_enum_specifier, .child_count = 3, .production_id = 9),
  [6145] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_enum_specifier, .child_count = 3, .production_id = 9),
  [6147] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_enum_specifier, .child_count = 3, .production_id = 10),
  [6149] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_enum_specifier, .child_count = 3, .production_id = 10),
  [6151] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_decltype_auto, .child_count = 4),
  [6153] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_decltype_auto, .child_count = 4),
  [6155] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_enum_specifier, .child_count = 3, .production_id = 49),
  [6157] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_enum_specifier, .child_count = 3, .production_id = 49),
  [6159] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym__class_declaration_item, .child_count = 5, .production_id = 139),
  [6161] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym__class_declaration_item, .child_count = 5, .production_id = 139),
  [6163] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2635),
  [6165] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2886),
  [6167] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2813),
  [6169] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1169),
  [6171] = {.entry = {.count = 1, .reusable = true}}, SHIFT(366),
  [6173] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1107),
  [6175] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2737),
  [6177] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1244),
  [6179] = {.entry = {.count = 1, .reusable = true}}, SHIFT(678),
  [6181] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym__class_declaration_item, .child_count = 1, .production_id = 11),
  [6183] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym__class_declaration_item, .child_count = 1, .production_id = 11),
  [6185] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym__class_declaration_item, .child_count = 4, .production_id = 139),
  [6187] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym__class_declaration_item, .child_count = 4, .production_id = 139),
  [6189] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_enum_specifier, .child_count = 4, .production_id = 93),
  [6191] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_enum_specifier, .child_count = 4, .production_id = 93),
  [6193] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_enum_specifier, .child_count = 2, .production_id = 9),
  [6195] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_enum_specifier, .child_count = 2, .production_id = 9),
  [6197] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_virtual, .child_count = 1),
  [6199] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_virtual, .child_count = 1),
  [6201] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = sym__declarator, .child_count = 1), REDUCE(.symbol = sym__type_specifier, .child_count = 1, .production_id = 1),
  [6204] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym__class_declaration_item, .child_count = 3, .production_id = 46),
  [6206] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym__class_declaration_item, .child_count = 3, .production_id = 46),
  [6208] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym__class_declaration_item, .child_count = 3, .production_id = 101),
  [6210] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym__class_declaration_item, .child_count = 3, .production_id = 101),
  [6212] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_enum_specifier, .child_count = 3, .production_id = 46),
  [6214] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_enum_specifier, .child_count = 3, .production_id = 46),
  [6216] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym__class_declaration_item, .child_count = 2, .production_id = 9),
  [6218] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym__class_declaration_item, .child_count = 2, .production_id = 9),
  [6220] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_enum_specifier, .child_count = 5, .production_id = 138),
  [6222] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_enum_specifier, .child_count = 5, .production_id = 138),
  [6224] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_enum_specifier, .child_count = 4, .production_id = 98),
  [6226] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_enum_specifier, .child_count = 4, .production_id = 98),
  [6228] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = sym__expression_not_binary, .child_count = 1), SHIFT(1514),
  [6231] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_enum_specifier, .child_count = 3, .production_id = 48),
  [6233] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_enum_specifier, .child_count = 3, .production_id = 48),
  [6235] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym__class_declaration_item, .child_count = 2, .production_id = 50),
  [6237] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym__class_declaration_item, .child_count = 2, .production_id = 50),
  [6239] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3137),
  [6241] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_concatenated_string, .child_count = 3),
  [6243] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_concatenated_string, .child_count = 3),
  [6245] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_qualifiers, .child_count = 1),
  [6247] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_qualifiers, .child_count = 1),
  [6249] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1512),
  [6251] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3125),
  [6253] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_concatenated_string, .child_count = 2),
  [6255] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_concatenated_string, .child_count = 2),
  [6257] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_condition_clause, .child_count = 3, .production_id = 14),
  [6259] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_condition_clause, .child_count = 3, .production_id = 14),
  [6261] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = sym__type_specifier, .child_count = 1), SHIFT(1800),
  [6264] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_condition_clause, .child_count = 4, .production_id = 142),
  [6266] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_condition_clause, .child_count = 4, .production_id = 142),
  [6268] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_concatenated_string_repeat1, .child_count = 2), SHIFT_REPEAT(3137),
  [6271] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = aux_sym_concatenated_string_repeat1, .child_count = 2),
  [6273] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = aux_sym_concatenated_string_repeat1, .child_count = 2),
  [6275] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = aux_sym_concatenated_string_repeat1, .child_count = 2), SHIFT_REPEAT(8189),
  [6278] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = aux_sym_concatenated_string_repeat1, .child_count = 2), SHIFT_REPEAT(9377),
  [6281] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = aux_sym_operator_cast_definition_repeat1, .child_count = 2),
  [6283] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = aux_sym_operator_cast_definition_repeat1, .child_count = 2),
  [6285] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_operator_cast_definition_repeat1, .child_count = 2), SHIFT_REPEAT(3135),
  [6288] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_operator_cast_definition_repeat1, .child_count = 2), SHIFT_REPEAT(3138),
  [6291] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_operator_cast_definition_repeat1, .child_count = 2), SHIFT_REPEAT(3130),
  [6294] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_operator_cast_definition_repeat1, .child_count = 2), SHIFT_REPEAT(9846),
  [6297] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = aux_sym_operator_cast_definition_repeat1, .child_count = 2), SHIFT_REPEAT(8979),
  [6300] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_operator_cast_definition_repeat1, .child_count = 2), SHIFT_REPEAT(9848),
  [6303] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_operator_cast_definition_repeat1, .child_count = 2), SHIFT_REPEAT(3133),
  [6306] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_operator_cast_definition_repeat1, .child_count = 2), SHIFT_REPEAT(9855),
  [6309] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_operator_cast_definition_repeat1, .child_count = 2), SHIFT_REPEAT(3595),
  [6312] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_operator_cast_definition_repeat1, .child_count = 2), SHIFT_REPEAT(3126),
  [6315] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_type_parameter_declaration, .child_count = 2, .production_id = 106),
  [6317] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6339),
  [6319] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5110),
  [6321] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym__declaration_specifiers_repeat1, .child_count = 2), SHIFT_REPEAT(2683),
  [6324] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym__declaration_specifiers_repeat1, .child_count = 2), SHIFT_REPEAT(3141),
  [6327] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym__declaration_specifiers_repeat1, .child_count = 2), SHIFT_REPEAT(3166),
  [6330] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym__declaration_specifiers_repeat1, .child_count = 2), SHIFT_REPEAT(10442),
  [6333] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = aux_sym__declaration_specifiers_repeat1, .child_count = 2), SHIFT_REPEAT(9429),
  [6336] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym__declaration_specifiers_repeat1, .child_count = 2), SHIFT_REPEAT(10428),
  [6339] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym__declaration_specifiers_repeat1, .child_count = 2), SHIFT_REPEAT(3114),
  [6342] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym__declaration_specifiers_repeat1, .child_count = 2), SHIFT_REPEAT(10355),
  [6345] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym__declaration_specifiers_repeat1, .child_count = 2), SHIFT_REPEAT(3160),
  [6348] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5108),
  [6350] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5087),
  [6352] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7984),
  [6354] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7960),
  [6356] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_enum_specifier, .child_count = 3, .production_id = 47),
  [6358] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_enum_specifier, .child_count = 3, .production_id = 47),
  [6360] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7215),
  [6362] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5083),
  [6364] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5072),
  [6366] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7966),
  [6368] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_enum_specifier, .child_count = 2, .production_id = 10),
  [6370] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_enum_specifier, .child_count = 2, .production_id = 10),
  [6372] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5154),
  [6374] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7990),
  [6376] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5068),
  [6378] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5074),
  [6380] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5114),
  [6382] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7965),
  [6384] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = sym__constructor_specifiers, .child_count = 1), REDUCE(.symbol = aux_sym__declaration_specifiers_repeat1, .child_count = 1),
  [6387] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym__constructor_specifiers, .child_count = 1),
  [6389] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym__constructor_specifiers, .child_count = 1),
  [6391] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = sym__constructor_specifiers, .child_count = 1), REDUCE(.symbol = aux_sym__declaration_specifiers_repeat1, .child_count = 1),
  [6394] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = aux_sym__declaration_specifiers_repeat1, .child_count = 1),
  [6396] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_string_literal, .child_count = 3),
  [6398] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_string_literal, .child_count = 3),
  [6400] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_string_literal, .child_count = 2),
  [6402] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_string_literal, .child_count = 2),
  [6404] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_sized_type_specifier_repeat1, .child_count = 2), SHIFT_REPEAT(3174),
  [6407] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_raw_string_literal, .child_count = 7, .production_id = 213),
  [6409] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_raw_string_literal, .child_count = 7, .production_id = 213),
  [6411] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7191),
  [6413] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_raw_string_literal, .child_count = 5),
  [6415] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_raw_string_literal, .child_count = 5),
  [6417] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7051),
  [6419] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10130),
  [6421] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1230),
  [6423] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_sized_type_specifier_repeat1, .child_count = 2), SHIFT_REPEAT(3190),
  [6426] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = sym__expression_not_binary, .child_count = 1), SHIFT(1504),
  [6429] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1928),
  [6431] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1928),
  [6433] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = sym_qualified_identifier, .child_count = 2, .production_id = 34), SHIFT(1507),
  [6436] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_new_expression, .child_count = 2, .production_id = 20),
  [6438] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_new_expression, .child_count = 2, .production_id = 20),
  [6440] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1797),
  [6442] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2281),
  [6444] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3458),
  [6446] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9476),
  [6448] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_new_expression, .child_count = 3, .production_id = 63),
  [6450] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_new_expression, .child_count = 3, .production_id = 63),
  [6452] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_new_expression, .child_count = 4, .production_id = 90),
  [6454] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_new_expression, .child_count = 4, .production_id = 90),
  [6456] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_new_expression, .child_count = 3, .production_id = 45),
  [6458] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_new_expression, .child_count = 3, .production_id = 45),
  [6460] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3679),
  [6462] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = sym_qualified_type_identifier, .child_count = 2, .production_id = 35), SHIFT(1514),
  [6465] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = sym__expression_not_binary, .child_count = 1), SHIFT(1499),
  [6468] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = sym__expression_not_binary, .child_count = 1), SHIFT(1502),
  [6471] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1938),
  [6473] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1938),
  [6475] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1514),
  [6477] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym__string, .child_count = 1),
  [6479] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym__string, .child_count = 1),
  [6481] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = aux_sym__type_definition_type_repeat1, .child_count = 2),
  [6483] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = aux_sym__type_definition_type_repeat1, .child_count = 2),
  [6485] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym__type_definition_type_repeat1, .child_count = 2), SHIFT_REPEAT(3363),
  [6488] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = sym__expression_not_binary, .child_count = 1), SHIFT(1500),
  [6491] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = sym_qualified_identifier, .child_count = 2, .production_id = 34), SHIFT(1505),
  [6494] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_destructor_name, .child_count = 2),
  [6496] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_destructor_name, .child_count = 2),
  [6498] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3250),
  [6500] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1970),
  [6502] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_concatenated_string_repeat1, .child_count = 2), SHIFT_REPEAT(3250),
  [6505] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = aux_sym_concatenated_string_repeat1, .child_count = 2), SHIFT_REPEAT(8154),
  [6508] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = aux_sym_concatenated_string_repeat1, .child_count = 2), SHIFT_REPEAT(9423),
  [6511] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = sym__declarator, .child_count = 1), REDUCE(.symbol = sym__expression_not_binary, .child_count = 1),
  [6514] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = sym__declarator, .child_count = 1), REDUCE(.symbol = sym__expression_not_binary, .child_count = 1),
  [6517] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3329),
  [6519] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9799),
  [6521] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym__declarator, .child_count = 1),
  [6523] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3243),
  [6525] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = sym__expression_not_binary, .child_count = 1), SHIFT(1482),
  [6528] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8159),
  [6530] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9419),
  [6532] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = sym__expression_not_binary, .child_count = 1), SHIFT(1485),
  [6535] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1967),
  [6537] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_concatenated_string_repeat1, .child_count = 2), SHIFT_REPEAT(3280),
  [6540] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = aux_sym_concatenated_string_repeat1, .child_count = 2), SHIFT_REPEAT(8159),
  [6543] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = aux_sym_concatenated_string_repeat1, .child_count = 2), SHIFT_REPEAT(9419),
  [6546] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3280),
  [6548] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3308),
  [6550] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9971),
  [6552] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = sym__expression_not_binary, .child_count = 1), SHIFT(7633),
  [6555] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1926),
  [6557] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1926),
  [6559] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_ms_call_modifier, .child_count = 1),
  [6561] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_ms_call_modifier, .child_count = 1),
  [6563] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4339),
  [6565] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3314),
  [6567] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_concatenated_string_repeat1, .child_count = 2), SHIFT_REPEAT(3314),
  [6570] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = aux_sym_concatenated_string_repeat1, .child_count = 2), SHIFT_REPEAT(8211),
  [6573] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = aux_sym_concatenated_string_repeat1, .child_count = 2), SHIFT_REPEAT(9365),
  [6576] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3410),
  [6578] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3327),
  [6580] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3409),
  [6582] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3392),
  [6584] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7536),
  [6586] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = sym__expression_not_binary, .child_count = 1), SHIFT(9971),
  [6589] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3281),
  [6591] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1945),
  [6593] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1945),
  [6595] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8153),
  [6597] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9414),
  [6599] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1328),
  [6601] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_pointer_type_declarator, .child_count = 3, .dynamic_precedence = 1, .production_id = 41),
  [6603] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_pointer_type_declarator, .child_count = 3, .dynamic_precedence = 1, .production_id = 41),
  [6605] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2502),
  [6607] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9285),
  [6609] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1690),
  [6611] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1940),
  [6613] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1940),
  [6615] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3361),
  [6617] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8243),
  [6619] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9406),
  [6621] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = sym_sized_type_specifier, .child_count = 1), SHIFT(3389),
  [6624] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3373),
  [6626] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3399),
  [6628] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3469),
  [6630] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_pointer_type_declarator, .child_count = 2, .dynamic_precedence = 1, .production_id = 5),
  [6632] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_pointer_type_declarator, .child_count = 2, .dynamic_precedence = 1, .production_id = 5),
  [6634] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3348),
  [6636] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_concatenated_string_repeat1, .child_count = 2), SHIFT_REPEAT(3361),
  [6639] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = aux_sym_concatenated_string_repeat1, .child_count = 2), SHIFT_REPEAT(8243),
  [6642] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = aux_sym_concatenated_string_repeat1, .child_count = 2), SHIFT_REPEAT(9406),
  [6645] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = sym__expression_not_binary, .child_count = 1), SHIFT(1505),
  [6648] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_pointer_type_declarator, .child_count = 4, .dynamic_precedence = 1, .production_id = 84),
  [6650] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_pointer_type_declarator, .child_count = 4, .dynamic_precedence = 1, .production_id = 84),
  [6652] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_pointer_type_declarator, .child_count = 5, .dynamic_precedence = 1, .production_id = 165),
  [6654] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_pointer_type_declarator, .child_count = 5, .dynamic_precedence = 1, .production_id = 165),
  [6656] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3466),
  [6658] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3369),
  [6660] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3465),
  [6662] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5086),
  [6664] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3174),
  [6666] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_new_expression, .child_count = 4, .production_id = 109),
  [6668] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_new_expression, .child_count = 4, .production_id = 109),
  [6670] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_new_expression, .child_count = 3, .production_id = 62),
  [6672] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_new_expression, .child_count = 3, .production_id = 62),
  [6674] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5098),
  [6676] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3450),
  [6678] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_attributed_type_declarator, .child_count = 2),
  [6680] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_attributed_type_declarator, .child_count = 2),
  [6682] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3404),
  [6684] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_array_type_declarator, .child_count = 5, .production_id = 167),
  [6686] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_array_type_declarator, .child_count = 5, .production_id = 167),
  [6688] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = aux_sym_attributed_declarator_repeat1, .child_count = 2),
  [6690] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = aux_sym_attributed_declarator_repeat1, .child_count = 2),
  [6692] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = aux_sym_attributed_declarator_repeat1, .child_count = 2), SHIFT_REPEAT(9285),
  [6695] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4711),
  [6697] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3451),
  [6699] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_new_expression, .child_count = 4, .production_id = 89),
  [6701] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_new_expression, .child_count = 4, .production_id = 89),
  [6703] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_sized_type_specifier_repeat1, .child_count = 2), SHIFT_REPEAT(3404),
  [6706] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym__type_declarator, .child_count = 1, .production_id = 42),
  [6708] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym__type_declarator, .child_count = 1, .production_id = 42),
  [6710] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym__type_declarator, .child_count = 1),
  [6712] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym__type_declarator, .child_count = 1),
  [6714] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym__type_declarator, .child_count = 1, .production_id = 1),
  [6716] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym__type_declarator, .child_count = 1, .production_id = 1),
  [6718] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym__type_declarator, .child_count = 1, .production_id = 43),
  [6720] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym__type_declarator, .child_count = 1, .production_id = 43),
  [6722] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3442),
  [6724] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3457),
  [6726] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3384),
  [6728] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3538),
  [6730] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_function_type_declarator, .child_count = 2, .production_id = 86),
  [6732] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_function_type_declarator, .child_count = 2, .production_id = 86),
  [6734] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_parenthesized_type_declarator, .child_count = 4, .dynamic_precedence = -10),
  [6736] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_parenthesized_type_declarator, .child_count = 4, .dynamic_precedence = -10),
  [6738] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7365),
  [6740] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_abstract_pointer_declarator, .child_count = 2, .dynamic_precedence = 1),
  [6742] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3425),
  [6744] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5327),
  [6746] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5327),
  [6748] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_abstract_pointer_declarator, .child_count = 2, .dynamic_precedence = 1),
  [6750] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7058),
  [6752] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1688),
  [6754] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_abstract_pointer_declarator, .child_count = 1, .dynamic_precedence = 1),
  [6756] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_abstract_pointer_declarator, .child_count = 1, .dynamic_precedence = 1),
  [6758] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10218),
  [6760] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1235),
  [6762] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = sym_qualified_identifier, .child_count = 2, .production_id = 34), SHIFT(1514),
  [6765] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_array_type_declarator, .child_count = 4, .production_id = 115),
  [6767] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_array_type_declarator, .child_count = 4, .production_id = 115),
  [6769] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3397),
  [6771] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_parenthesized_type_declarator, .child_count = 3, .dynamic_precedence = -10),
  [6773] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_parenthesized_type_declarator, .child_count = 3, .dynamic_precedence = -10),
  [6775] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_array_type_declarator, .child_count = 3, .production_id = 26),
  [6777] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_array_type_declarator, .child_count = 3, .production_id = 26),
  [6779] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_new_expression, .child_count = 5, .production_id = 132),
  [6781] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_new_expression, .child_count = 5, .production_id = 132),
  [6783] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_array_type_declarator, .child_count = 4, .production_id = 26),
  [6785] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_array_type_declarator, .child_count = 4, .production_id = 26),
  [6787] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3190),
  [6789] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_concatenated_string_repeat1, .child_count = 2), SHIFT_REPEAT(3464),
  [6792] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = aux_sym_concatenated_string_repeat1, .child_count = 2), SHIFT_REPEAT(8267),
  [6795] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = aux_sym_concatenated_string_repeat1, .child_count = 2), SHIFT_REPEAT(9405),
  [6798] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3483),
  [6800] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3463),
  [6802] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = sym_sized_type_specifier, .child_count = 1), SHIFT(3552),
  [6805] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3509),
  [6807] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3550),
  [6809] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7215),
  [6811] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_field_expression, .child_count = 3, .production_id = 70),
  [6813] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_field_expression, .child_count = 3, .production_id = 70),
  [6815] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3464),
  [6817] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3477),
  [6819] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_qualified_field_identifier, .child_count = 2, .production_id = 117),
  [6821] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_qualified_field_identifier, .child_count = 2, .production_id = 117),
  [6823] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_sized_type_specifier_repeat1, .child_count = 2), SHIFT_REPEAT(3508),
  [6826] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_template_method, .child_count = 2, .production_id = 116),
  [6828] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_template_method, .child_count = 2, .production_id = 116),
  [6830] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_sized_type_specifier_repeat1, .child_count = 2), SHIFT_REPEAT(3485),
  [6833] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7217),
  [6835] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3476),
  [6837] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_new_declarator, .child_count = 3, .production_id = 162),
  [6839] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_new_declarator, .child_count = 3, .production_id = 162),
  [6841] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3026),
  [6843] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3207),
  [6845] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3662),
  [6847] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3482),
  [6849] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3669),
  [6851] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1499),
  [6853] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4814),
  [6855] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10081),
  [6857] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1219),
  [6859] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7345),
  [6861] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_parameter_list, .child_count = 3),
  [6863] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_parameter_list, .child_count = 3),
  [6865] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3700),
  [6867] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3563),
  [6869] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5406),
  [6871] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5406),
  [6873] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3551),
  [6875] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_pointer_expression, .child_count = 2, .production_id = 4),
  [6877] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_pointer_expression, .child_count = 2, .production_id = 4),
  [6879] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1902),
  [6881] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3565),
  [6883] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7249),
  [6885] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7249),
  [6887] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_parameter_list, .child_count = 4),
  [6889] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_parameter_list, .child_count = 4),
  [6891] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_sized_type_specifier_repeat1, .child_count = 2), SHIFT_REPEAT(3540),
  [6894] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_parenthesized_expression, .child_count = 3),
  [6896] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_parenthesized_expression, .child_count = 3),
  [6898] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3533),
  [6900] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5399),
  [6902] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5399),
  [6904] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_unary_expression, .child_count = 2, .production_id = 4),
  [6906] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_unary_expression, .child_count = 2, .production_id = 4),
  [6908] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_update_expression, .child_count = 2, .production_id = 4),
  [6910] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_update_expression, .child_count = 2, .production_id = 4),
  [6912] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_parenthesized_expression, .child_count = 3, .production_id = 40),
  [6914] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_parenthesized_expression, .child_count = 3, .production_id = 40),
  [6916] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_sizeof_expression, .child_count = 2, .production_id = 14),
  [6918] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_sizeof_expression, .child_count = 2, .production_id = 14),
  [6920] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_parameter_list, .child_count = 2),
  [6922] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_parameter_list, .child_count = 2),
  [6924] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_co_await_expression, .child_count = 2, .production_id = 4),
  [6926] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_co_await_expression, .child_count = 2, .production_id = 4),
  [6928] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3555),
  [6930] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_binary_expression, .child_count = 3, .production_id = 55),
  [6932] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_binary_expression, .child_count = 3, .production_id = 55),
  [6934] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_cast_expression, .child_count = 4, .production_id = 83),
  [6936] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_cast_expression, .child_count = 4, .production_id = 83),
  [6938] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3683),
  [6940] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3522),
  [6942] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3684),
  [6944] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_qualified_identifier, .child_count = 3, .production_id = 74),
  [6946] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_qualified_identifier, .child_count = 3, .production_id = 74),
  [6948] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = sym_qualified_identifier, .child_count = 3, .production_id = 74), SHIFT(1514),
  [6951] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_operator_name, .child_count = 2),
  [6953] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_operator_name, .child_count = 2),
  [6955] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3635),
  [6957] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3542),
  [6959] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3546),
  [6961] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_new_declarator, .child_count = 4, .production_id = 162),
  [6963] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_new_declarator, .child_count = 4, .production_id = 162),
  [6965] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_dependent_field_identifier, .child_count = 2),
  [6967] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_dependent_field_identifier, .child_count = 2),
  [6969] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_sized_type_specifier_repeat1, .child_count = 2), SHIFT_REPEAT(3555),
  [6972] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10107),
  [6974] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1232),
  [6976] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = sym_qualified_type_identifier, .child_count = 2, .production_id = 35), SHIFT(1499),
  [6979] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_template_method, .child_count = 2, .production_id = 17),
  [6981] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_template_method, .child_count = 2, .production_id = 17),
  [6983] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_qualified_field_identifier, .child_count = 2, .production_id = 34),
  [6985] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_qualified_field_identifier, .child_count = 2, .production_id = 34),
  [6987] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_update_expression, .child_count = 2, .production_id = 29),
  [6989] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_update_expression, .child_count = 2, .production_id = 29),
  [6991] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10189),
  [6993] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1207),
  [6995] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_generic_expression, .child_count = 9),
  [6997] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_generic_expression, .child_count = 9),
  [6999] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_call_expression, .child_count = 2, .production_id = 7),
  [7001] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_call_expression, .child_count = 2, .production_id = 7),
  [7003] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_gnu_asm_expression, .child_count = 5, .production_id = 152),
  [7005] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_gnu_asm_expression, .child_count = 5, .production_id = 152),
  [7007] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_offsetof_expression, .child_count = 6, .production_id = 189),
  [7009] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_offsetof_expression, .child_count = 6, .production_id = 189),
  [7011] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3508),
  [7013] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_sizeof_expression, .child_count = 5, .production_id = 150),
  [7015] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_sizeof_expression, .child_count = 5, .production_id = 150),
  [7017] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_gnu_asm_expression, .child_count = 6, .production_id = 191),
  [7019] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_gnu_asm_expression, .child_count = 6, .production_id = 191),
  [7021] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_gnu_asm_expression, .child_count = 7, .production_id = 210),
  [7023] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_gnu_asm_expression, .child_count = 7, .production_id = 210),
  [7025] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7197),
  [7027] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7533),
  [7029] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_field_expression, .child_count = 3, .production_id = 71),
  [7031] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_field_expression, .child_count = 3, .production_id = 71),
  [7033] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_gnu_asm_expression, .child_count = 7, .production_id = 211),
  [7035] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_gnu_asm_expression, .child_count = 7, .production_id = 211),
  [7037] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_compound_literal_expression, .child_count = 2, .production_id = 8),
  [7039] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_compound_literal_expression, .child_count = 2, .production_id = 8),
  [7041] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_gnu_asm_expression, .child_count = 6, .production_id = 192),
  [7043] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_gnu_asm_expression, .child_count = 6, .production_id = 192),
  [7045] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7198),
  [7047] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10130),
  [7049] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_new_expression, .child_count = 4, .production_id = 108),
  [7051] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_new_expression, .child_count = 4, .production_id = 108),
  [7053] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_new_expression, .child_count = 4, .production_id = 107),
  [7055] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_new_expression, .child_count = 4, .production_id = 107),
  [7057] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_sized_type_specifier_repeat1, .child_count = 2), SHIFT_REPEAT(3641),
  [7060] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_subscript_expression, .child_count = 2, .production_id = 30),
  [7062] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_subscript_expression, .child_count = 2, .production_id = 30),
  [7064] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_new_expression, .child_count = 3, .production_id = 61),
  [7066] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_new_expression, .child_count = 3, .production_id = 61),
  [7068] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_explicit_function_specifier, .child_count = 1),
  [7070] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2348),
  [7072] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_explicit_function_specifier, .child_count = 1),
  [7074] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_argument_list, .child_count = 2),
  [7076] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_argument_list, .child_count = 2),
  [7078] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_argument_list, .child_count = 3),
  [7080] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_argument_list, .child_count = 3),
  [7082] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_gnu_asm_expression, .child_count = 8, .production_id = 219),
  [7084] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_gnu_asm_expression, .child_count = 8, .production_id = 219),
  [7086] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_subscript_argument_list, .child_count = 3),
  [7088] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_subscript_argument_list, .child_count = 3),
  [7090] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_subscript_argument_list, .child_count = 2),
  [7092] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_subscript_argument_list, .child_count = 2),
  [7094] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_explicit_function_specifier, .child_count = 4),
  [7096] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_explicit_function_specifier, .child_count = 4),
  [7098] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_initializer_list, .child_count = 3),
  [7100] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_initializer_list, .child_count = 3),
  [7102] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3731),
  [7104] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3591),
  [7106] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3730),
  [7108] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_gnu_asm_expression, .child_count = 5, .production_id = 153),
  [7110] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_gnu_asm_expression, .child_count = 5, .production_id = 153),
  [7112] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7469),
  [7114] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_argument_list, .child_count = 5),
  [7116] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_argument_list, .child_count = 5),
  [7118] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_gnu_asm_expression, .child_count = 8, .production_id = 218),
  [7120] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_gnu_asm_expression, .child_count = 8, .production_id = 218),
  [7122] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_generic_expression, .child_count = 8),
  [7124] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_generic_expression, .child_count = 8),
  [7126] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_operator_name, .child_count = 3),
  [7128] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_operator_name, .child_count = 3),
  [7130] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1507),
  [7132] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6758),
  [7134] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6758),
  [7136] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_new_expression, .child_count = 4, .production_id = 88),
  [7138] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_new_expression, .child_count = 4, .production_id = 88),
  [7140] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_new_expression, .child_count = 6, .production_id = 175),
  [7142] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_new_expression, .child_count = 6, .production_id = 175),
  [7144] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_assignment_expression, .child_count = 3, .production_id = 55),
  [7146] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_assignment_expression, .child_count = 3, .production_id = 55),
  [7148] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_dependent_identifier, .child_count = 2),
  [7150] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_dependent_identifier, .child_count = 2),
  [7152] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_new_expression, .child_count = 5, .production_id = 163),
  [7154] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_new_expression, .child_count = 5, .production_id = 163),
  [7156] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_new_expression, .child_count = 5, .production_id = 130),
  [7158] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_new_expression, .child_count = 5, .production_id = 130),
  [7160] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_gnu_asm_expression, .child_count = 4, .production_id = 105),
  [7162] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_gnu_asm_expression, .child_count = 4, .production_id = 105),
  [7164] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_compound_literal_expression, .child_count = 4, .production_id = 83),
  [7166] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_compound_literal_expression, .child_count = 4, .production_id = 83),
  [7168] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_new_expression, .child_count = 5, .production_id = 131),
  [7170] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_new_expression, .child_count = 5, .production_id = 131),
  [7172] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_initializer_list, .child_count = 4),
  [7174] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_initializer_list, .child_count = 4),
  [7176] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_alignof_expression, .child_count = 4, .production_id = 45),
  [7178] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_alignof_expression, .child_count = 4, .production_id = 45),
  [7180] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3614),
  [7182] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_argument_list, .child_count = 4),
  [7184] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_argument_list, .child_count = 4),
  [7186] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3594),
  [7188] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_null, .child_count = 1),
  [7190] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_null, .child_count = 1),
  [7192] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6757),
  [7194] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6757),
  [7196] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3613),
  [7198] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_subscript_argument_list, .child_count = 4),
  [7200] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_subscript_argument_list, .child_count = 4),
  [7202] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym__expression, .child_count = 1),
  [7204] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym__expression, .child_count = 1),
  [7206] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_initializer_list, .child_count = 5),
  [7208] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_initializer_list, .child_count = 5),
  [7210] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3728),
  [7212] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_gnu_asm_expression, .child_count = 9, .production_id = 222),
  [7214] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_gnu_asm_expression, .child_count = 9, .production_id = 222),
  [7216] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_user_defined_literal, .child_count = 2),
  [7218] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_user_defined_literal, .child_count = 2),
  [7220] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1801),
  [7222] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2492),
  [7224] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3894),
  [7226] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9824),
  [7228] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3710),
  [7230] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3688),
  [7232] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3690),
  [7234] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7220),
  [7236] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9846),
  [7238] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3540),
  [7240] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = sym_qualified_type_identifier, .child_count = 2, .production_id = 35), SHIFT(1507),
  [7243] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7003),
  [7245] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10151),
  [7247] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1242),
  [7249] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3713),
  [7251] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_concatenated_string_repeat1, .child_count = 2), SHIFT_REPEAT(3713),
  [7254] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = aux_sym_concatenated_string_repeat1, .child_count = 2), SHIFT_REPEAT(8283),
  [7257] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = aux_sym_concatenated_string_repeat1, .child_count = 2), SHIFT_REPEAT(9355),
  [7260] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1505),
  [7262] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3717),
  [7264] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3641),
  [7266] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_sized_type_specifier_repeat1, .child_count = 2), SHIFT_REPEAT(3745),
  [7269] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3834),
  [7271] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3723),
  [7273] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3742),
  [7275] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3732),
  [7277] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3815),
  [7279] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3724),
  [7281] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3801),
  [7283] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7228),
  [7285] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7492),
  [7287] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = sym_qualified_type_identifier, .child_count = 2, .production_id = 35), SHIFT(1505),
  [7290] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10170),
  [7292] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1213),
  [7294] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1485),
  [7296] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7237),
  [7298] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7503),
  [7300] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1800),
  [7302] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2184),
  [7304] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4099),
  [7306] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9532),
  [7308] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1509),
  [7310] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7499),
  [7312] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1796),
  [7314] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2431),
  [7316] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4215),
  [7318] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9723),
  [7320] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_delete_expression, .child_count = 5),
  [7322] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_delete_expression, .child_count = 5),
  [7324] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2213),
  [7326] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2198),
  [7328] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2193),
  [7330] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2164),
  [7332] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2148),
  [7334] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2145),
  [7336] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2142),
  [7338] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2141),
  [7340] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2140),
  [7342] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2140),
  [7344] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2139),
  [7346] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2248),
  [7348] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2193),
  [7350] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2164),
  [7352] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2141),
  [7354] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3791),
  [7356] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = sym_qualified_type_identifier, .child_count = 2, .production_id = 35), SHIFT(1485),
  [7359] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3745),
  [7361] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2503),
  [7363] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9108),
  [7365] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1674),
  [7367] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3833),
  [7369] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_delete_expression, .child_count = 3),
  [7371] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_delete_expression, .child_count = 3),
  [7373] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_delete_expression, .child_count = 2),
  [7375] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_delete_expression, .child_count = 2),
  [7377] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3806),
  [7379] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3644),
  [7381] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1948),
  [7383] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_delete_expression, .child_count = 4),
  [7385] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_delete_expression, .child_count = 4),
  [7387] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_conditional_expression, .child_count = 4, .production_id = 118),
  [7389] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_conditional_expression, .child_count = 4, .production_id = 118),
  [7391] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_conditional_expression, .child_count = 5, .production_id = 168),
  [7393] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_conditional_expression, .child_count = 5, .production_id = 168),
  [7395] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_abstract_pointer_declarator, .child_count = 3, .dynamic_precedence = 1),
  [7397] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_abstract_pointer_declarator, .child_count = 3, .dynamic_precedence = 1),
  [7399] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_compound_requirement, .child_count = 4),
  [7401] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_compound_requirement, .child_count = 4),
  [7403] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = aux_sym_attributed_declarator_repeat1, .child_count = 2), SHIFT_REPEAT(9108),
  [7406] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3989),
  [7408] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9559),
  [7410] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7235),
  [7412] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7548),
  [7414] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_char_literal, .child_count = 3),
  [7416] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_char_literal, .child_count = 3),
  [7418] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = sym_qualified_identifier, .child_count = 2, .production_id = 34), SHIFT(1499),
  [7421] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_compound_requirement, .child_count = 6),
  [7423] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_compound_requirement, .child_count = 6),
  [7425] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_compound_requirement, .child_count = 5),
  [7427] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_compound_requirement, .child_count = 5),
  [7429] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym__requirement, .child_count = 1, .production_id = 64),
  [7431] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym__requirement, .child_count = 1, .production_id = 64),
  [7433] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_type_requirement, .child_count = 2),
  [7435] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_type_requirement, .child_count = 2),
  [7437] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2315),
  [7439] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2316),
  [7441] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2334),
  [7443] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2347),
  [7445] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2354),
  [7447] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2359),
  [7449] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2360),
  [7451] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2398),
  [7453] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2400),
  [7455] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2400),
  [7457] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2404),
  [7459] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1880),
  [7461] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2200),
  [7463] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2334),
  [7465] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2347),
  [7467] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2398),
  [7469] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4280),
  [7471] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7271),
  [7473] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7271),
  [7475] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2331),
  [7477] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2330),
  [7479] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2322),
  [7481] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2390),
  [7483] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4281),
  [7485] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1957),
  [7487] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2329),
  [7489] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2328),
  [7491] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2327),
  [7493] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2326),
  [7495] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2325),
  [7497] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2324),
  [7499] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2323),
  [7501] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2323),
  [7503] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1939),
  [7505] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2329),
  [7507] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2328),
  [7509] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2327),
  [7511] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2325),
  [7513] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1795),
  [7515] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2418),
  [7517] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4608),
  [7519] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9623),
  [7521] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4702),
  [7523] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1929),
  [7525] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4376),
  [7527] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2066),
  [7529] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2068),
  [7531] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2070),
  [7533] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2072),
  [7535] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2073),
  [7537] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2075),
  [7539] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2077),
  [7541] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2079),
  [7543] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2082),
  [7545] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2088),
  [7547] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2090),
  [7549] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2093),
  [7551] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2094),
  [7553] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2095),
  [7555] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2096),
  [7557] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2006),
  [7559] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2004),
  [7561] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2010),
  [7563] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1822),
  [7565] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1901),
  [7567] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1962),
  [7569] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1900),
  [7571] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1899),
  [7573] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1898),
  [7575] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1897),
  [7577] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1896),
  [7579] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1895),
  [7581] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1894),
  [7583] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1893),
  [7585] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1892),
  [7587] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1891),
  [7589] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1956),
  [7591] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2321),
  [7593] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1974),
  [7595] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1978),
  [7597] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2011),
  [7599] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1992),
  [7601] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1994),
  [7603] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1997),
  [7605] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4625),
  [7607] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7340),
  [7609] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7242),
  [7611] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10020),
  [7613] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2499),
  [7615] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9241),
  [7617] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1681),
  [7619] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4654),
  [7621] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4729),
  [7623] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3524),
  [7625] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2500),
  [7627] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9168),
  [7629] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1693),
  [7631] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4238),
  [7633] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = aux_sym_attributed_declarator_repeat1, .child_count = 2), SHIFT_REPEAT(9241),
  [7636] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7382),
  [7638] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = sym_qualified_identifier, .child_count = 3, .production_id = 74), SHIFT(1499),
  [7641] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4781),
  [7643] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4781),
  [7645] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4624),
  [7647] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9710),
  [7649] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3626),
  [7651] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3626),
  [7653] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3549),
  [7655] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9775),
  [7657] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4214),
  [7659] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4214),
  [7661] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4166),
  [7663] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9812),
  [7665] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4256),
  [7667] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4494),
  [7669] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4494),
  [7671] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4227),
  [7673] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10190),
  [7675] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4527),
  [7677] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4527),
  [7679] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4514),
  [7681] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9538),
  [7683] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2497),
  [7685] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2487),
  [7687] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2157),
  [7689] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = sym_qualified_identifier, .child_count = 3, .production_id = 74), SHIFT(1482),
  [7692] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2346),
  [7694] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2345),
  [7696] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2344),
  [7698] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2240),
  [7700] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2167),
  [7702] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2165),
  [7704] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2162),
  [7706] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2162),
  [7708] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2252),
  [7710] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2346),
  [7712] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2345),
  [7714] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2344),
  [7716] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2167),
  [7718] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = sym_qualified_identifier, .child_count = 3, .production_id = 74), SHIFT(1493),
  [7721] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4496),
  [7723] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6736),
  [7725] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6736),
  [7727] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4428),
  [7729] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2412),
  [7731] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2411),
  [7733] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2409),
  [7735] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2407),
  [7737] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2406),
  [7739] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2399),
  [7741] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2396),
  [7743] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2395),
  [7745] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2393),
  [7747] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2393),
  [7749] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2392),
  [7751] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2409),
  [7753] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2407),
  [7755] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2406),
  [7757] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2396),
  [7759] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7340),
  [7761] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6735),
  [7763] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6735),
  [7765] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1923),
  [7767] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_concatenated_string_repeat1, .child_count = 2), SHIFT_REPEAT(4298),
  [7770] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = aux_sym_concatenated_string_repeat1, .child_count = 2), SHIFT_REPEAT(8156),
  [7773] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = aux_sym_concatenated_string_repeat1, .child_count = 2), SHIFT_REPEAT(9416),
  [7776] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = aux_sym_attributed_declarator_repeat1, .child_count = 2), SHIFT_REPEAT(9168),
  [7779] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4298),
  [7781] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4318),
  [7783] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4955),
  [7785] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9535),
  [7787] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4788),
  [7789] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2015),
  [7791] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2020),
  [7793] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2022),
  [7795] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2025),
  [7797] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2029),
  [7799] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2031),
  [7801] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2032),
  [7803] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2034),
  [7805] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2037),
  [7807] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2043),
  [7809] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2044),
  [7811] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2051),
  [7813] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2055),
  [7815] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2059),
  [7817] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2085),
  [7819] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2074),
  [7821] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2076),
  [7823] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2078),
  [7825] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9536),
  [7827] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1912),
  [7829] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9537),
  [7831] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9539),
  [7833] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9541),
  [7835] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9543),
  [7837] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9544),
  [7839] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9546),
  [7841] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9547),
  [7843] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9549),
  [7845] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9505),
  [7847] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9554),
  [7849] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2454),
  [7851] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2080),
  [7853] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2084),
  [7855] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2086),
  [7857] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2089),
  [7859] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2030),
  [7861] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1986),
  [7863] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4954),
  [7865] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2267),
  [7867] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2265),
  [7869] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2264),
  [7871] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2263),
  [7873] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2262),
  [7875] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2261),
  [7877] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2260),
  [7879] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2250),
  [7881] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2245),
  [7883] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2245),
  [7885] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2244),
  [7887] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2239),
  [7889] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2264),
  [7891] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2263),
  [7893] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2262),
  [7895] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2260),
  [7897] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7276),
  [7899] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7276),
  [7901] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1941),
  [7903] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = sym_qualified_identifier, .child_count = 3, .production_id = 74), SHIFT(1507),
  [7906] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2388),
  [7908] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2389),
  [7910] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2391),
  [7912] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2394),
  [7914] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2397),
  [7916] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2402),
  [7918] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2403),
  [7920] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2405),
  [7922] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2408),
  [7924] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2410),
  [7926] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1886),
  [7928] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2130),
  [7930] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2391),
  [7932] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2394),
  [7934] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2397),
  [7936] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2403),
  [7938] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4767),
  [7940] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7299),
  [7942] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7299),
  [7944] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4763),
  [7946] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1924),
  [7948] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7179),
  [7950] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4901),
  [7952] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4551),
  [7954] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5471),
  [7956] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4272),
  [7958] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4587),
  [7960] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3578),
  [7962] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10081),
  [7964] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1211),
  [7966] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4483),
  [7968] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym__function_declarator_seq, .child_count = 1, .production_id = 23),
  [7970] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6859),
  [7972] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6859),
  [7974] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6070),
  [7976] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10048),
  [7978] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = sym__function_declarator_seq, .child_count = 1, .production_id = 23), SHIFT(9371),
  [7981] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym__function_declarator_seq, .child_count = 1, .production_id = 23),
  [7983] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6070),
  [7985] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8075),
  [7987] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5143),
  [7989] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7000),
  [7991] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9772),
  [7993] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6762),
  [7995] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5403),
  [7997] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7006),
  [7999] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2058),
  [8001] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1956),
  [8003] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2670),
  [8005] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4516),
  [8007] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4743),
  [8009] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym__binary_fold_operator, .child_count = 3, .production_id = 127),
  [8011] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym__binary_fold_operator, .child_count = 3, .production_id = 127),
  [8013] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = sym__function_declarator_seq, .child_count = 1, .production_id = 23), SHIFT(7345),
  [8016] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = sym__function_declarator_seq, .child_count = 1, .production_id = 23), SHIFT(6762),
  [8019] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4688),
  [8021] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_concatenated_string_repeat1, .child_count = 2), SHIFT_REPEAT(4516),
  [8024] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = aux_sym_concatenated_string_repeat1, .child_count = 2), SHIFT_REPEAT(8153),
  [8027] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = aux_sym_concatenated_string_repeat1, .child_count = 2), SHIFT_REPEAT(9414),
  [8030] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10292),
  [8032] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4698),
  [8034] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6532),
  [8036] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6532),
  [8038] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7022),
  [8040] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4569),
  [8042] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6552),
  [8044] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6552),
  [8046] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7070),
  [8048] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6717),
  [8050] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6717),
  [8052] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7929),
  [8054] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4657),
  [8056] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6482),
  [8058] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6482),
  [8060] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7024),
  [8062] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = sym_qualified_identifier, .child_count = 3, .production_id = 74), SHIFT(1505),
  [8065] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4642),
  [8067] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6568),
  [8069] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6568),
  [8071] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = sym_sized_type_specifier, .child_count = 1), SHIFT(4748),
  [8074] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4665),
  [8076] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4747),
  [8078] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4690),
  [8080] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4720),
  [8082] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1500),
  [8084] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_concatenated_string_repeat1, .child_count = 2), SHIFT_REPEAT(4651),
  [8087] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = aux_sym_concatenated_string_repeat1, .child_count = 2), SHIFT_REPEAT(8296),
  [8090] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = aux_sym_concatenated_string_repeat1, .child_count = 2), SHIFT_REPEAT(9401),
  [8093] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1504),
  [8095] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4651),
  [8097] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6759),
  [8099] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6759),
  [8101] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2488),
  [8103] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2485),
  [8105] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2476),
  [8107] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2474),
  [8109] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2471),
  [8111] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2471),
  [8113] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2470),
  [8115] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2476),
  [8117] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2478),
  [8119] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2478),
  [8121] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2099),
  [8123] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2099),
  [8125] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2483),
  [8127] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_sized_type_specifier_repeat1, .child_count = 2), SHIFT_REPEAT(4733),
  [8130] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2484),
  [8132] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4733),
  [8134] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4755),
  [8136] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4757),
  [8138] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = sym__function_declarator_seq, .child_count = 1, .production_id = 23), SHIFT(10048),
  [8141] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5082),
  [8143] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4742),
  [8145] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6749),
  [8147] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6749),
  [8149] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4947),
  [8151] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10212),
  [8153] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1221),
  [8155] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6750),
  [8157] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6750),
  [8159] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = sym_qualified_type_identifier, .child_count = 2, .production_id = 35), SHIFT(1504),
  [8162] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5118),
  [8164] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = sym__function_declarator_seq, .child_count = 1, .production_id = 23), SHIFT(6769),
  [8167] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7221),
  [8169] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7512),
  [8171] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = sym_sized_type_specifier, .child_count = 1), SHIFT(4950),
  [8174] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4870),
  [8176] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4949),
  [8178] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9371),
  [8180] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5097),
  [8182] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = sym__function_declarator_seq, .child_count = 1, .production_id = 23), SHIFT(7384),
  [8185] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = sym__function_declarator_seq, .child_count = 1, .production_id = 23), SHIFT(6723),
  [8188] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_sized_type_specifier_repeat1, .child_count = 2), SHIFT_REPEAT(4867),
  [8191] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7384),
  [8193] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6723),
  [8195] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1502),
  [8197] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2458),
  [8199] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6769),
  [8201] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1802),
  [8203] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5222),
  [8205] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9801),
  [8207] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2683),
  [8209] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10442),
  [8211] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5134),
  [8213] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = sym__function_declarator_seq, .child_count = 1, .production_id = 23), SHIFT(6756),
  [8216] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6766),
  [8218] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4975),
  [8220] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6756),
  [8222] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5104),
  [8224] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6768),
  [8226] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_sized_type_specifier_repeat1, .child_count = 2), SHIFT_REPEAT(4938),
  [8229] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4938),
  [8231] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4957),
  [8233] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4958),
  [8235] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = sym_qualified_type_identifier, .child_count = 2, .production_id = 35), SHIFT(1500),
  [8238] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4946),
  [8240] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = sym_qualified_type_identifier, .child_count = 2, .production_id = 35), SHIFT(1502),
  [8243] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5133),
  [8245] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6734),
  [8247] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7218),
  [8249] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7494),
  [8251] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = sym__function_declarator_seq, .child_count = 1, .production_id = 23), SHIFT(6734),
  [8254] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1668),
  [8256] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5012),
  [8258] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6677),
  [8260] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6677),
  [8262] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5318),
  [8264] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5318),
  [8266] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5320),
  [8268] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1686),
  [8270] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5156),
  [8272] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7209),
  [8274] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5147),
  [8276] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1793),
  [8278] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2443),
  [8280] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5336),
  [8282] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9814),
  [8284] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6068),
  [8286] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7048),
  [8288] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7858),
  [8290] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3453),
  [8292] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5042),
  [8294] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6701),
  [8296] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6701),
  [8298] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1794),
  [8300] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3329),
  [8302] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9799),
  [8304] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1484),
  [8306] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6621),
  [8308] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6644),
  [8310] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6697),
  [8312] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7386),
  [8314] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6519),
  [8316] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6517),
  [8318] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6504),
  [8320] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6309),
  [8322] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = aux_sym_pointer_declarator_repeat1, .child_count = 2),
  [8324] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = aux_sym_pointer_declarator_repeat1, .child_count = 2),
  [8326] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_pointer_declarator_repeat1, .child_count = 2), SHIFT_REPEAT(5318),
  [8329] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_pointer_declarator_repeat1, .child_count = 2), SHIFT_REPEAT(5320),
  [8332] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5409),
  [8334] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7862),
  [8336] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5493),
  [8338] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5931),
  [8340] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7428),
  [8342] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6422),
  [8344] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6423),
  [8346] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6427),
  [8348] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6156),
  [8350] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10154),
  [8352] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6327),
  [8354] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = sym__function_declarator_seq, .child_count = 1, .production_id = 23), SHIFT(8979),
  [8357] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5117),
  [8359] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = sym__function_declarator_seq, .child_count = 1, .production_id = 23), SHIFT(6740),
  [8362] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5740),
  [8364] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7852),
  [8366] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5675),
  [8368] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6054),
  [8370] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7409),
  [8372] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6548),
  [8374] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6474),
  [8376] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6480),
  [8378] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6351),
  [8380] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10191),
  [8382] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6338),
  [8384] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6198),
  [8386] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6066),
  [8388] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6247),
  [8390] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7441),
  [8392] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6473),
  [8394] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6468),
  [8396] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6464),
  [8398] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6418),
  [8400] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5965),
  [8402] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7841),
  [8404] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7403),
  [8406] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6570),
  [8408] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6477),
  [8410] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6479),
  [8412] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6380),
  [8414] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6088),
  [8416] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7845),
  [8418] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3706),
  [8420] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6740),
  [8422] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8342),
  [8424] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_parameter_declaration, .child_count = 1, .production_id = 56),
  [8426] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5207),
  [8428] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5207),
  [8430] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9750),
  [8432] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2212),
  [8434] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = sym_qualified_type_identifier, .child_count = 2, .production_id = 35), SHIFT(1484),
  [8437] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2296),
  [8439] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7200),
  [8441] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5188),
  [8443] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6718),
  [8445] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6718),
  [8447] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_abstract_reference_declarator, .child_count = 1),
  [8449] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_abstract_reference_declarator, .child_count = 1),
  [8451] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_pointer_declarator_repeat1, .child_count = 2), SHIFT_REPEAT(5347),
  [8454] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_pointer_declarator_repeat1, .child_count = 2), SHIFT_REPEAT(5350),
  [8457] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2127),
  [8459] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2125),
  [8461] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2125),
  [8463] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2124),
  [8465] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2121),
  [8467] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2112),
  [8469] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2257),
  [8471] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2131),
  [8473] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2143),
  [8475] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2144),
  [8477] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2144),
  [8479] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2149),
  [8481] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2232),
  [8483] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2124),
  [8485] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2121),
  [8487] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2257),
  [8489] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2143),
  [8491] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1798),
  [8493] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2309),
  [8495] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5245),
  [8497] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6828),
  [8499] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6828),
  [8501] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6686),
  [8503] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6301),
  [8505] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6301),
  [8507] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6300),
  [8509] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1700),
  [8511] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6686),
  [8513] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5023),
  [8515] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1937),
  [8517] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_enumerator, .child_count = 3, .production_id = 137),
  [8519] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_enumerator, .child_count = 3, .production_id = 137),
  [8521] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5284),
  [8523] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6948),
  [8525] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6948),
  [8527] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5964),
  [8529] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5347),
  [8531] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5350),
  [8533] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_type_descriptor, .child_count = 2, .production_id = 20),
  [8535] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6187),
  [8537] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9674),
  [8539] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5288),
  [8541] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6895),
  [8543] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6895),
  [8545] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_type_descriptor, .child_count = 1, .production_id = 2),
  [8547] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_ms_pointer_modifier, .child_count = 1),
  [8549] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_ms_pointer_modifier, .child_count = 1),
  [8551] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_ms_unaligned_ptr_modifier, .child_count = 1),
  [8553] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_ms_unaligned_ptr_modifier, .child_count = 1),
  [8555] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6728),
  [8557] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7109),
  [8559] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2202),
  [8561] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2203),
  [8563] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2203),
  [8565] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2205),
  [8567] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2211),
  [8569] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2215),
  [8571] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2218),
  [8573] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2220),
  [8575] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2222),
  [8577] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2224),
  [8579] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2224),
  [8581] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2228),
  [8583] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2903),
  [8585] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1925),
  [8587] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2310),
  [8589] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2215),
  [8591] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2220),
  [8593] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2279),
  [8595] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2280),
  [8597] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2280),
  [8599] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2283),
  [8601] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2288),
  [8603] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2289),
  [8605] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2291),
  [8607] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2301),
  [8609] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2302),
  [8611] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2303),
  [8613] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2303),
  [8615] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2306),
  [8617] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2421),
  [8619] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2283),
  [8621] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2288),
  [8623] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2291),
  [8625] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2302),
  [8627] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5492),
  [8629] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5361),
  [8631] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7020),
  [8633] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7020),
  [8635] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6732),
  [8637] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6731),
  [8639] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6732),
  [8641] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6731),
  [8643] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5505),
  [8645] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1964),
  [8647] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1500),
  [8649] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5358),
  [8651] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7001),
  [8653] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7001),
  [8655] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5360),
  [8657] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7068),
  [8659] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7068),
  [8661] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2560),
  [8663] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2896),
  [8665] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2761),
  [8667] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6727),
  [8669] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5387),
  [8671] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7081),
  [8673] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7081),
  [8675] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2337),
  [8677] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2340),
  [8679] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2340),
  [8681] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2381),
  [8683] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2349),
  [8685] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2350),
  [8687] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2351),
  [8689] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2352),
  [8691] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2352),
  [8693] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2353),
  [8695] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2355),
  [8697] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2381),
  [8699] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2350),
  [8701] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2341),
  [8703] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2342),
  [8705] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1950),
  [8707] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5940),
  [8709] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1737),
  [8711] = {.entry = {.count = 1, .reusable = true}}, SHIFT(712),
  [8713] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4971),
  [8715] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym__function_attributes_start, .child_count = 1),
  [8717] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym__function_attributes_start, .child_count = 1),
  [8719] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6290),
  [8721] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym__for_range_loop_body, .child_count = 4, .production_id = 186),
  [8723] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1579),
  [8725] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_type_descriptor, .child_count = 3, .production_id = 20),
  [8727] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5161),
  [8729] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3634),
  [8731] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5966),
  [8733] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1560),
  [8735] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2185),
  [8737] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2183),
  [8739] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2183),
  [8741] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2180),
  [8743] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2178),
  [8745] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2177),
  [8747] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2176),
  [8749] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2174),
  [8751] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2172),
  [8753] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2166),
  [8755] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2160),
  [8757] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2160),
  [8759] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1968),
  [8761] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2229),
  [8763] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2177),
  [8765] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2174),
  [8767] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5959),
  [8769] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1664),
  [8771] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3171),
  [8773] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2427),
  [8775] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2181),
  [8777] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2179),
  [8779] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2179),
  [8781] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2159),
  [8783] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2158),
  [8785] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2155),
  [8787] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2154),
  [8789] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2152),
  [8791] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2151),
  [8793] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2147),
  [8795] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2147),
  [8797] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2146),
  [8799] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7996),
  [8801] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1947),
  [8803] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2136),
  [8805] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2155),
  [8807] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2152),
  [8809] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1920),
  [8811] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4240),
  [8813] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7860),
  [8815] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1820),
  [8817] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5235),
  [8819] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1725),
  [8821] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5473),
  [8823] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5531),
  [8825] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7163),
  [8827] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7163),
  [8829] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4740),
  [8831] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2703),
  [8833] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4988),
  [8835] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6002),
  [8837] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3663),
  [8839] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4821),
  [8841] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5983),
  [8843] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1775),
  [8845] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5984),
  [8847] = {.entry = {.count = 1, .reusable = true}}, SHIFT(715),
  [8849] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5278),
  [8851] = {.entry = {.count = 1, .reusable = true}}, SHIFT(421),
  [8853] = {.entry = {.count = 1, .reusable = true}}, SHIFT(274),
  [8855] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2960),
  [8857] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6738),
  [8859] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6738),
  [8861] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3603),
  [8863] = {.entry = {.count = 1, .reusable = true}}, SHIFT(744),
  [8865] = {.entry = {.count = 1, .reusable = true}}, SHIFT(186),
  [8867] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1469),
  [8869] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4537),
  [8871] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4539),
  [8873] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7818),
  [8875] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5852),
  [8877] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5618),
  [8879] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5851),
  [8881] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4905),
  [8883] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4801),
  [8885] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2548),
  [8887] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4106),
  [8889] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5573),
  [8891] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4760),
  [8893] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3226),
  [8895] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_init_declarator, .child_count = 3, .production_id = 111),
  [8897] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_condition_declaration, .child_count = 4, .production_id = 183),
  [8899] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3197),
  [8901] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2990),
  [8903] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1766),
  [8905] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4920),
  [8907] = {.entry = {.count = 1, .reusable = true}}, SHIFT(821),
  [8909] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4886),
  [8911] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = aux_sym_field_declaration_repeat1, .child_count = 4, .production_id = 173),
  [8913] = {.entry = {.count = 1, .reusable = true}}, SHIFT(474),
  [8915] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_bitfield_clause, .child_count = 2),
  [8917] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7573),
  [8919] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6687),
  [8921] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5589),
  [8923] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7154),
  [8925] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7154),
  [8927] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6032),
  [8929] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3935),
  [8931] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3867),
  [8933] = {.entry = {.count = 1, .reusable = true}}, SHIFT(207),
  [8935] = {.entry = {.count = 1, .reusable = true}}, SHIFT(457),
  [8937] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6058),
  [8939] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4849),
  [8941] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5015),
  [8943] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3668),
  [8945] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1762),
  [8947] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4815),
  [8949] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1769),
  [8951] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3607),
  [8953] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1714),
  [8955] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4519),
  [8957] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3202),
  [8959] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_sized_type_specifier_repeat1, .child_count = 2), SHIFT_REPEAT(5542),
  [8962] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4267),
  [8964] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5502),
  [8966] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_comma_expression, .child_count = 3, .production_id = 81),
  [8968] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4243),
  [8970] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4220),
  [8972] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5987),
  [8974] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_type_descriptor, .child_count = 2, .production_id = 2),
  [8976] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = aux_sym_initializer_list_repeat1, .child_count = 2), SHIFT(2058),
  [8979] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = aux_sym_initializer_list_repeat1, .child_count = 2),
  [8981] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = sym_initializer_pair, .child_count = 3, .production_id = 135), SHIFT(2058),
  [8984] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_initializer_pair, .child_count = 3, .production_id = 135),
  [8986] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6737),
  [8988] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6737),
  [8990] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1709),
  [8992] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3265),
  [8994] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2383),
  [8996] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2383),
  [8998] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3132),
  [9000] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1588),
  [9002] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4694),
  [9004] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1774),
  [9006] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5467),
  [9008] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4921),
  [9010] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2882),
  [9012] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3884),
  [9014] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8025),
  [9016] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5607),
  [9018] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7115),
  [9020] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7115),
  [9022] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3828),
  [9024] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3052),
  [9026] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1777),
  [9028] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4561),
  [9030] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1771),
  [9032] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4201),
  [9034] = {.entry = {.count = 1, .reusable = true}}, SHIFT(155),
  [9036] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1657),
  [9038] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3034),
  [9040] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3598),
  [9042] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1770),
  [9044] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3868),
  [9046] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7873),
  [9048] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4202),
  [9050] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8011),
  [9052] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1959),
  [9054] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym__for_statement_body, .child_count = 3, .dynamic_precedence = 1, .production_id = 146),
  [9056] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym__for_statement_body, .child_count = 3, .dynamic_precedence = 1, .production_id = 145),
  [9058] = {.entry = {.count = 1, .reusable = true}}, SHIFT(505),
  [9060] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_optional_parameter_declaration, .child_count = 4, .production_id = 194),
  [9062] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3407),
  [9064] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6715),
  [9066] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5676),
  [9068] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5320),
  [9070] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3405),
  [9072] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3406),
  [9074] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = aux_sym_lambda_capture_specifier_repeat1, .child_count = 2),
  [9076] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2092),
  [9078] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2223),
  [9080] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2382),
  [9082] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2382),
  [9084] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2221),
  [9086] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2217),
  [9088] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2214),
  [9090] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2210),
  [9092] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2209),
  [9094] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2208),
  [9096] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2207),
  [9098] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2207),
  [9100] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2206),
  [9102] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1935),
  [9104] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2276),
  [9106] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2214),
  [9108] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2209),
  [9110] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2365),
  [9112] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = aux_sym_generic_expression_repeat1, .child_count = 4),
  [9114] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = aux_sym_template_argument_list_repeat1, .child_count = 2, .dynamic_precedence = 1),
  [9116] = {.entry = {.count = 1, .reusable = true}}, SHIFT(923),
  [9118] = {.entry = {.count = 1, .reusable = true}}, SHIFT(264),
  [9120] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7400),
  [9122] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9450),
  [9124] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7385),
  [9126] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10095),
  [9128] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3854),
  [9130] = {.entry = {.count = 1, .reusable = true}}, SHIFT(284),
  [9132] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4164),
  [9134] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6709),
  [9136] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5700),
  [9138] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4156),
  [9140] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4160),
  [9142] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5746),
  [9144] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_optional_parameter_declaration, .child_count = 3, .production_id = 156),
  [9146] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7661),
  [9148] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6714),
  [9150] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5695),
  [9152] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7654),
  [9154] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7660),
  [9156] = {.entry = {.count = 1, .reusable = true}}, SHIFT(728),
  [9158] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5757),
  [9160] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5954),
  [9162] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5727),
  [9164] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6039),
  [9166] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7387),
  [9168] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9633),
  [9170] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2227),
  [9172] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_initializer_pair, .child_count = 3, .production_id = 136),
  [9174] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3136),
  [9176] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_sized_type_specifier_repeat1, .child_count = 2), SHIFT_REPEAT(5689),
  [9179] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2110),
  [9181] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6377),
  [9183] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9770),
  [9185] = {.entry = {.count = 1, .reusable = true}}, SHIFT(598),
  [9187] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1917),
  [9189] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1946),
  [9191] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2199),
  [9193] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4691),
  [9195] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6712),
  [9197] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5721),
  [9199] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4687),
  [9201] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4689),
  [9203] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1541),
  [9205] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = aux_sym_argument_list_repeat1, .child_count = 3),
  [9207] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7354),
  [9209] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9761),
  [9211] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = aux_sym_subscript_argument_list_repeat1, .child_count = 2),
  [9213] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2486),
  [9215] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2358),
  [9217] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4413),
  [9219] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6713),
  [9221] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5718),
  [9223] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4409),
  [9225] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4412),
  [9227] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7442),
  [9229] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9928),
  [9231] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2219),
  [9233] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5755),
  [9235] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym__for_statement_body, .child_count = 4, .dynamic_precedence = 1, .production_id = 184),
  [9237] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = aux_sym_argument_list_repeat1, .child_count = 2),
  [9239] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym__for_statement_body, .child_count = 4, .dynamic_precedence = 1, .production_id = 185),
  [9241] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym__for_statement_body, .child_count = 4, .dynamic_precedence = 1, .production_id = 187),
  [9243] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7375),
  [9245] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10002),
  [9247] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1488),
  [9249] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2235),
  [9251] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = aux_sym_declaration_repeat1, .child_count = 4, .production_id = 196),
  [9253] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2249),
  [9255] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7437),
  [9257] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10080),
  [9259] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2253),
  [9261] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5767),
  [9263] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7238),
  [9265] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7238),
  [9267] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1009),
  [9269] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2246),
  [9271] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2100),
  [9273] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2237),
  [9275] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym__for_statement_body, .child_count = 5, .dynamic_precedence = 1, .production_id = 206),
  [9277] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2319),
  [9279] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1932),
  [9281] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7438),
  [9283] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10445),
  [9285] = {.entry = {.count = 1, .reusable = true}}, SHIFT(828),
  [9287] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2277),
  [9289] = {.entry = {.count = 1, .reusable = true}}, SHIFT(742),
  [9291] = {.entry = {.count = 1, .reusable = true}}, SHIFT(591),
  [9293] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7412),
  [9295] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9527),
  [9297] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5144),
  [9299] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5138),
  [9301] = {.entry = {.count = 1, .reusable = true}}, SHIFT(795),
  [9303] = {.entry = {.count = 1, .reusable = true}}, SHIFT(779),
  [9305] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4395),
  [9307] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3364),
  [9309] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym__function_declarator_seq, .child_count = 2, .production_id = 23),
  [9311] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = sym__function_declarator_seq, .child_count = 2, .production_id = 23), SHIFT(9371),
  [9314] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym__function_declarator_seq, .child_count = 2, .production_id = 23),
  [9316] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = sym__function_declarator_seq, .child_count = 2, .production_id = 23), SHIFT(7345),
  [9319] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = sym__function_declarator_seq, .child_count = 2, .production_id = 23), SHIFT(6762),
  [9322] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1639),
  [9324] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5115),
  [9326] = {.entry = {.count = 1, .reusable = true}}, SHIFT(118),
  [9328] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2825),
  [9330] = {.entry = {.count = 1, .reusable = true}}, SHIFT(616),
  [9332] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5771),
  [9334] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2857),
  [9336] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5270),
  [9338] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2598),
  [9340] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym__for_range_loop_body, .child_count = 5, .production_id = 207),
  [9342] = {.entry = {.count = 1, .reusable = true}}, SHIFT(954),
  [9344] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1158),
  [9346] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1304),
  [9348] = {.entry = {.count = 1, .reusable = true}}, SHIFT(119),
  [9350] = {.entry = {.count = 1, .reusable = true}}, SHIFT(430),
  [9352] = {.entry = {.count = 1, .reusable = true}}, SHIFT(696),
  [9354] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8222),
  [9356] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5105),
  [9358] = {.entry = {.count = 1, .reusable = true}}, SHIFT(956),
  [9360] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5882),
  [9362] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5878),
  [9364] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3490),
  [9366] = {.entry = {.count = 1, .reusable = true}}, SHIFT(408),
  [9368] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1137),
  [9370] = {.entry = {.count = 1, .reusable = true}}, SHIFT(962),
  [9372] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3793),
  [9374] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5102),
  [9376] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5070),
  [9378] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5889),
  [9380] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1313),
  [9382] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2914),
  [9384] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4873),
  [9386] = {.entry = {.count = 1, .reusable = true}}, SHIFT(349),
  [9388] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1263),
  [9390] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1603),
  [9392] = {.entry = {.count = 1, .reusable = true}}, SHIFT(665),
  [9394] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1636),
  [9396] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2639),
  [9398] = {.entry = {.count = 1, .reusable = true}}, SHIFT(105),
  [9400] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3606),
  [9402] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5542),
  [9404] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = aux_sym__type_definition_type_repeat1, .child_count = 2), SHIFT_REPEAT(6070),
  [9407] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym__type_definition_type_repeat1, .child_count = 2), SHIFT_REPEAT(6070),
  [9410] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4005),
  [9412] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3158),
  [9414] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2867),
  [9416] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1109),
  [9418] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3045),
  [9420] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5373),
  [9422] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2897),
  [9424] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5100),
  [9426] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4438),
  [9428] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4265),
  [9430] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8643),
  [9432] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8735),
  [9434] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym__unary_left_fold, .child_count = 3, .production_id = 55),
  [9436] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2738),
  [9438] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5069),
  [9440] = {.entry = {.count = 1, .reusable = true}}, SHIFT(585),
  [9442] = {.entry = {.count = 1, .reusable = true}}, SHIFT(587),
  [9444] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3081),
  [9446] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3990),
  [9448] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym__assignment_expression_lhs, .child_count = 3, .production_id = 55),
  [9450] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2880),
  [9452] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5149),
  [9454] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3266),
  [9456] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2751),
  [9458] = {.entry = {.count = 1, .reusable = true}}, SHIFT(498),
  [9460] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2728),
  [9462] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym__binary_fold, .child_count = 3, .production_id = 82),
  [9464] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4154),
  [9466] = {.entry = {.count = 1, .reusable = true}}, SHIFT(790),
  [9468] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7008),
  [9470] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3208),
  [9472] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1152),
  [9474] = {.entry = {.count = 1, .reusable = true}}, SHIFT(793),
  [9476] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = aux_sym__type_definition_type_repeat1, .child_count = 2), SHIFT_REPEAT(2683),
  [9479] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym__type_definition_type_repeat1, .child_count = 2), SHIFT_REPEAT(2683),
  [9482] = {.entry = {.count = 1, .reusable = true}}, SHIFT(612),
  [9484] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2631),
  [9486] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1113),
  [9488] = {.entry = {.count = 1, .reusable = true}}, SHIFT(836),
  [9490] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8939),
  [9492] = {.entry = {.count = 1, .reusable = true}}, SHIFT(311),
  [9494] = {.entry = {.count = 1, .reusable = true}}, SHIFT(305),
  [9496] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6264),
  [9498] = {.entry = {.count = 1, .reusable = true}}, SHIFT(297),
  [9500] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4721),
  [9502] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1168),
  [9504] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3857),
  [9506] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8689),
  [9508] = {.entry = {.count = 1, .reusable = true}}, SHIFT(103),
  [9510] = {.entry = {.count = 1, .reusable = true}}, SHIFT(129),
  [9512] = {.entry = {.count = 1, .reusable = true}}, SHIFT(115),
  [9514] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6041),
  [9516] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6763),
  [9518] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym__function_attributes_start, .child_count = 2),
  [9520] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym__function_attributes_start, .child_count = 2),
  [9522] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6011),
  [9524] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7371),
  [9526] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7371),
  [9528] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1209),
  [9530] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6761),
  [9532] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6111),
  [9534] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = aux_sym_type_definition_repeat1, .child_count = 2),
  [9536] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = aux_sym_type_definition_repeat1, .child_count = 2),
  [9538] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = aux_sym_type_definition_repeat1, .child_count = 2), SHIFT_REPEAT(10048),
  [9541] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = aux_sym_type_definition_repeat1, .child_count = 2), SHIFT_REPEAT(10442),
  [9544] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5689),
  [9546] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6043),
  [9548] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6029),
  [9550] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1254),
  [9552] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7208),
  [9554] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7489),
  [9556] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3065),
  [9558] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10106),
  [9560] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6140),
  [9562] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6145),
  [9564] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = sym__function_declarator_seq, .child_count = 2, .production_id = 23), SHIFT(10048),
  [9567] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10204),
  [9569] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1220),
  [9571] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym__function_declarator_seq, .child_count = 3, .production_id = 23),
  [9573] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = sym__function_declarator_seq, .child_count = 3, .production_id = 23), SHIFT(9371),
  [9576] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym__function_declarator_seq, .child_count = 3, .production_id = 23),
  [9578] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = sym__function_declarator_seq, .child_count = 3, .production_id = 23), SHIFT(7345),
  [9581] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = sym__function_declarator_seq, .child_count = 3, .production_id = 23), SHIFT(6762),
  [9584] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7206),
  [9586] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7458),
  [9588] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1484),
  [9590] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = sym__function_declarator_seq, .child_count = 2, .production_id = 23), SHIFT(6769),
  [9593] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3139),
  [9595] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8530),
  [9597] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_type_parameter_declaration, .child_count = 1),
  [9599] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6325),
  [9601] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = sym__function_declarator_seq, .child_count = 2, .production_id = 23), SHIFT(7384),
  [9604] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = sym__function_declarator_seq, .child_count = 2, .production_id = 23), SHIFT(6723),
  [9607] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3003),
  [9609] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3175),
  [9611] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6128),
  [9613] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = sym__function_declarator_seq, .child_count = 2, .production_id = 23), SHIFT(6756),
  [9616] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_pointer_declarator_repeat1, .child_count = 2), SHIFT_REPEAT(6301),
  [9619] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = aux_sym_pointer_declarator_repeat1, .child_count = 2), SHIFT_REPEAT(6301),
  [9622] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = aux_sym_pointer_declarator_repeat1, .child_count = 2), SHIFT_REPEAT(6300),
  [9625] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6147),
  [9627] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6149),
  [9629] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4872),
  [9631] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7838),
  [9633] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4863),
  [9635] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5028),
  [9637] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7426),
  [9639] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6497),
  [9641] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6528),
  [9643] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6544),
  [9645] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5289),
  [9647] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10213),
  [9649] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6334),
  [9651] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3497),
  [9653] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7837),
  [9655] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3467),
  [9657] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3640),
  [9659] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7418),
  [9661] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6575),
  [9663] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6574),
  [9665] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6571),
  [9667] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3859),
  [9669] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10219),
  [9671] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6404),
  [9673] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3749),
  [9675] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7854),
  [9677] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3733),
  [9679] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3897),
  [9681] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7380),
  [9683] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6499),
  [9685] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6496),
  [9687] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6507),
  [9689] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4528),
  [9691] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10133),
  [9693] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6410),
  [9695] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4675),
  [9697] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7840),
  [9699] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4596),
  [9701] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4874),
  [9703] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7363),
  [9705] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6481),
  [9707] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6485),
  [9709] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6491),
  [9711] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5215),
  [9713] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10205),
  [9715] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6415),
  [9717] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = sym__function_declarator_seq, .child_count = 3, .production_id = 23), SHIFT(10048),
  [9720] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = sym__function_declarator_seq, .child_count = 2, .production_id = 23), SHIFT(6734),
  [9723] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3639),
  [9725] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7844),
  [9727] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3545),
  [9729] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3748),
  [9731] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7449),
  [9733] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6565),
  [9735] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6543),
  [9737] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6419),
  [9739] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4142),
  [9741] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10052),
  [9743] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6305),
  [9745] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4633),
  [9747] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7875),
  [9749] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7445),
  [9751] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6556),
  [9753] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6557),
  [9755] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6558),
  [9757] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6315),
  [9759] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3354),
  [9761] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7878),
  [9763] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3350),
  [9765] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3475),
  [9767] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7374),
  [9769] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6439),
  [9771] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6435),
  [9773] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6425),
  [9775] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3375),
  [9777] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10084),
  [9779] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6285),
  [9781] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3374),
  [9783] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3372),
  [9785] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3479),
  [9787] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7378),
  [9789] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6398),
  [9791] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5051),
  [9793] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7839),
  [9795] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7419),
  [9797] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6456),
  [9799] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6431),
  [9801] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6540),
  [9803] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6288),
  [9805] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3715),
  [9807] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7882),
  [9809] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3612),
  [9811] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3752),
  [9813] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7390),
  [9815] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6449),
  [9817] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6451),
  [9819] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6458),
  [9821] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4190),
  [9823] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10173),
  [9825] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6311),
  [9827] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7196),
  [9829] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = sym_parameter_list, .child_count = 2), REDUCE(.symbol = sym_argument_list, .child_count = 2),
  [9832] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym__type_definition_type_repeat1, .child_count = 2), SHIFT_REPEAT(5964),
  [9835] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7192),
  [9837] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7230),
  [9839] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = sym__function_declarator_seq, .child_count = 3, .production_id = 23), SHIFT(6769),
  [9842] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = sym__function_declarator_seq, .child_count = 3, .production_id = 23), SHIFT(7384),
  [9845] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = sym__function_declarator_seq, .child_count = 3, .production_id = 23), SHIFT(6723),
  [9848] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = sym__function_declarator_seq, .child_count = 2, .production_id = 23), SHIFT(8979),
  [9851] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = sym__function_declarator_seq, .child_count = 2, .production_id = 23), SHIFT(6740),
  [9854] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7598),
  [9856] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7892),
  [9858] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7447),
  [9860] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6461),
  [9862] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6463),
  [9864] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6421),
  [9866] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6292),
  [9868] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = aux_sym__type_definition_type_repeat1, .child_count = 2), SHIFT_REPEAT(5964),
  [9871] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = sym__type_specifier, .child_count = 1), SHIFT(1796),
  [9874] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = sym__function_declarator_seq, .child_count = 3, .production_id = 23), SHIFT(6756),
  [9877] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7224),
  [9879] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3716),
  [9881] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5760),
  [9883] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7848),
  [9885] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3030),
  [9887] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3221),
  [9889] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5119),
  [9891] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3747),
  [9893] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5865),
  [9895] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4803),
  [9897] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3840),
  [9899] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4969),
  [9901] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5382),
  [9903] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym__function_declarator_seq, .child_count = 4, .production_id = 23),
  [9905] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = sym__function_declarator_seq, .child_count = 4, .production_id = 23), SHIFT(9371),
  [9908] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym__function_declarator_seq, .child_count = 4, .production_id = 23),
  [9910] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7241),
  [9912] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = sym__function_declarator_seq, .child_count = 3, .production_id = 23), SHIFT(6734),
  [9915] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6092),
  [9917] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = sym__function_declarator_seq, .child_count = 4, .production_id = 23), SHIFT(7345),
  [9920] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = sym__function_declarator_seq, .child_count = 4, .production_id = 23), SHIFT(6762),
  [9923] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3167),
  [9925] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4927),
  [9927] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3547),
  [9929] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = sym__function_declarator_seq, .child_count = 4, .production_id = 23), SHIFT(10048),
  [9932] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = aux_sym__type_definition_type_repeat1, .child_count = 2), SHIFT_REPEAT(6686),
  [9935] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym__type_definition_type_repeat1, .child_count = 2), SHIFT_REPEAT(6686),
  [9938] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = sym__function_declarator_seq, .child_count = 3, .production_id = 23), SHIFT(8979),
  [9941] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = sym__function_declarator_seq, .child_count = 3, .production_id = 23), SHIFT(6740),
  [9944] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6634),
  [9946] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = sym_sized_type_specifier, .child_count = 2, .production_id = 20), SHIFT(6635),
  [9949] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = aux_sym_attributed_declarator_repeat1, .child_count = 2), SHIFT_REPEAT(8979),
  [9952] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = sym_sized_type_specifier, .child_count = 2, .dynamic_precedence = -1, .production_id = 36), SHIFT(6636),
  [9955] = {.entry = {.count = 3, .reusable = false}}, REDUCE(.symbol = sym_sized_type_specifier, .child_count = 2), REDUCE(.symbol = aux_sym_sized_type_specifier_repeat1, .child_count = 2), SHIFT(3003),
  [9959] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym__type_definition_type, .child_count = 2, .production_id = 20),
  [9961] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym__type_definition_type, .child_count = 2, .production_id = 20),
  [9963] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = sym_sized_type_specifier, .child_count = 2, .production_id = 2), SHIFT(3003),
  [9966] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym__type_definition_type, .child_count = 1, .production_id = 2),
  [9968] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym__type_definition_type, .child_count = 1, .production_id = 2),
  [9970] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = sym_sized_type_specifier, .child_count = 2, .dynamic_precedence = -1, .production_id = 18), SHIFT(3003),
  [9973] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = sym_sized_type_specifier, .child_count = 3, .production_id = 20), SHIFT(3003),
  [9976] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = sym_sized_type_specifier, .child_count = 3, .dynamic_precedence = -1, .production_id = 36), SHIFT(3003),
  [9979] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = sym__function_declarator_seq, .child_count = 4, .production_id = 23), SHIFT(6769),
  [9982] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = sym_sized_type_specifier, .child_count = 1), SHIFT(6629),
  [9985] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = sym_sized_type_specifier, .child_count = 1), SHIFT(6630),
  [9988] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = sym_sized_type_specifier, .child_count = 1), SHIFT(6627),
  [9991] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = sym__function_declarator_seq, .child_count = 4, .production_id = 23), SHIFT(7384),
  [9994] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = sym__function_declarator_seq, .child_count = 4, .production_id = 23), SHIFT(6723),
  [9997] = {.entry = {.count = 1, .reusable = true}}, SHIFT(145),
  [9999] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1759),
  [10001] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4293),
  [10003] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8391),
  [10005] = {.entry = {.count = 1, .reusable = true}}, SHIFT(139),
  [10007] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1733),
  [10009] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5351),
  [10011] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8304),
  [10013] = {.entry = {.count = 1, .reusable = true}}, SHIFT(142),
  [10015] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1753),
  [10017] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5976),
  [10019] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8421),
  [10021] = {.entry = {.count = 1, .reusable = true}}, SHIFT(144),
  [10023] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1756),
  [10025] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5560),
  [10027] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8455),
  [10029] = {.entry = {.count = 1, .reusable = true}}, SHIFT(146),
  [10031] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1742),
  [10033] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3666),
  [10035] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8268),
  [10037] = {.entry = {.count = 1, .reusable = true}}, SHIFT(141),
  [10039] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1741),
  [10041] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4706),
  [10043] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8414),
  [10045] = {.entry = {.count = 1, .reusable = true}}, SHIFT(140),
  [10047] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1761),
  [10049] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4936),
  [10051] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8265),
  [10053] = {.entry = {.count = 1, .reusable = true}}, SHIFT(138),
  [10055] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1736),
  [10057] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4831),
  [10059] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8229),
  [10061] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5372),
  [10063] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = sym__function_declarator_seq, .child_count = 4, .production_id = 23), SHIFT(6756),
  [10066] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = sym__function_declarator_seq, .child_count = 4, .production_id = 23), SHIFT(6734),
  [10069] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = sym__type_specifier, .child_count = 1), SHIFT(6632),
  [10072] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym__type_definition_type, .child_count = 3, .production_id = 20),
  [10074] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym__type_definition_type, .child_count = 3, .production_id = 20),
  [10076] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym__type_definition_type, .child_count = 2, .production_id = 2),
  [10078] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym__type_definition_type, .child_count = 2, .production_id = 2),
  [10080] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2788),
  [10082] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1811),
  [10084] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7885),
  [10086] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2672),
  [10088] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8331),
  [10090] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1813),
  [10092] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4545),
  [10094] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2504),
  [10096] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2107),
  [10098] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2606),
  [10100] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13),
  [10102] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1691),
  [10104] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1829),
  [10106] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9163),
  [10108] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2778),
  [10110] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7),
  [10112] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1866),
  [10114] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9106),
  [10116] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1810),
  [10118] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4517),
  [10120] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7205),
  [10122] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1806),
  [10124] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7111),
  [10126] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8409),
  [10128] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym__preproc_expression, .child_count = 1),
  [10130] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6815),
  [10132] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym__preproc_expression, .child_count = 1),
  [10134] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3192),
  [10136] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8790),
  [10138] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3008),
  [10140] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5337),
  [10142] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2844),
  [10144] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8),
  [10146] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1878),
  [10148] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9043),
  [10150] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2969),
  [10152] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15),
  [10154] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1825),
  [10156] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9279),
  [10158] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5371),
  [10160] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3514),
  [10162] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8644),
  [10164] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1804),
  [10166] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7498),
  [10168] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1812),
  [10170] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4232),
  [10172] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4270),
  [10174] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1805),
  [10176] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5479),
  [10178] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5474),
  [10180] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7708),
  [10182] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7638),
  [10184] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = sym__function_declarator_seq, .child_count = 4, .production_id = 23), SHIFT(8979),
  [10187] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = sym__function_declarator_seq, .child_count = 4, .production_id = 23), SHIFT(6740),
  [10190] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5408),
  [10192] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7487),
  [10194] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7162),
  [10196] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7158),
  [10198] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1816),
  [10200] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4778),
  [10202] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4783),
  [10204] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1809),
  [10206] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6981),
  [10208] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8199),
  [10210] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7274),
  [10212] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6997),
  [10214] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7222),
  [10216] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1819),
  [10218] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3643),
  [10220] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3636),
  [10222] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4546),
  [10224] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5955),
  [10226] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7015),
  [10228] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1665),
  [10230] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9542),
  [10232] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6764),
  [10234] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8715),
  [10236] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1400),
  [10238] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2997),
  [10240] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1814),
  [10242] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4903),
  [10244] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4902),
  [10246] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7248),
  [10248] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6937),
  [10250] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7007),
  [10252] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6918),
  [10254] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6938),
  [10256] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6938),
  [10258] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6939),
  [10260] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6940),
  [10262] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6928),
  [10264] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6945),
  [10266] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6946),
  [10268] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6949),
  [10270] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6957),
  [10272] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6957),
  [10274] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6959),
  [10276] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6724),
  [10278] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9701),
  [10280] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6896),
  [10282] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9418),
  [10284] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6883),
  [10286] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6883),
  [10288] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6864),
  [10290] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8561),
  [10292] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6969),
  [10294] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6847),
  [10296] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6863),
  [10298] = {.entry = {.count = 1, .reusable = false}}, SHIFT_EXTRA(),
  [10300] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6966),
  [10302] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_ref_qualifier, .child_count = 1),
  [10304] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_ref_qualifier, .child_count = 1),
  [10306] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7830),
  [10308] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8774),
  [10310] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7023),
  [10312] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6779),
  [10314] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9621),
  [10316] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6835),
  [10318] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6968),
  [10320] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9332),
  [10322] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6971),
  [10324] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6971),
  [10326] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7044),
  [10328] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8955),
  [10330] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7029),
  [10332] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_preproc_defined, .child_count = 2),
  [10334] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_preproc_defined, .child_count = 2),
  [10336] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6917),
  [10338] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_preproc_binary_expression, .child_count = 3, .production_id = 55),
  [10340] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_preproc_binary_expression, .child_count = 3, .production_id = 55),
  [10342] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4027),
  [10344] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6885),
  [10346] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8851),
  [10348] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4105),
  [10350] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3441),
  [10352] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9845),
  [10354] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6886),
  [10356] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8652),
  [10358] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4139),
  [10360] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1718),
  [10362] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6887),
  [10364] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8878),
  [10366] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6990),
  [10368] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6988),
  [10370] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_preproc_defined, .child_count = 4),
  [10372] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_preproc_defined, .child_count = 4),
  [10374] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7040),
  [10376] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6992),
  [10378] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2801),
  [10380] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6980),
  [10382] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = aux_sym_preproc_argument_list_repeat1, .child_count = 2),
  [10384] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4158),
  [10386] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9506),
  [10388] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6899),
  [10390] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8826),
  [10392] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4183),
  [10394] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7025),
  [10396] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7055),
  [10398] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3209),
  [10400] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6902),
  [10402] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8555),
  [10404] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3238),
  [10406] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9685),
  [10408] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6903),
  [10410] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8763),
  [10412] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4129),
  [10414] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3462),
  [10416] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8573),
  [10418] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym__function_attributes_end, .child_count = 2),
  [10420] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym__function_attributes_end, .child_count = 2),
  [10422] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2634),
  [10424] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7031),
  [10426] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7033),
  [10428] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7034),
  [10430] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7045),
  [10432] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2781),
  [10434] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3205),
  [10436] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10280),
  [10438] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6915),
  [10440] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8787),
  [10442] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4169),
  [10444] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_preproc_unary_expression, .child_count = 2, .production_id = 4),
  [10446] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_preproc_unary_expression, .child_count = 2, .production_id = 4),
  [10448] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6952),
  [10450] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7036),
  [10452] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_preproc_call_expression, .child_count = 2, .production_id = 7),
  [10454] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_preproc_call_expression, .child_count = 2, .production_id = 7),
  [10456] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7042),
  [10458] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym__function_attributes_end, .child_count = 1),
  [10460] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym__function_attributes_end, .child_count = 1),
  [10462] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7043),
  [10464] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7061),
  [10466] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7002),
  [10468] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6933),
  [10470] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7059),
  [10472] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7067),
  [10474] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2852),
  [10476] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4200),
  [10478] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6932),
  [10480] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8857),
  [10482] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6897),
  [10484] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6942),
  [10486] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6936),
  [10488] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6934),
  [10490] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7054),
  [10492] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7017),
  [10494] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym__function_declarator_seq, .child_count = 5, .production_id = 23),
  [10496] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym__function_declarator_seq, .child_count = 5, .production_id = 23),
  [10498] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6925),
  [10500] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6909),
  [10502] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3213),
  [10504] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8898),
  [10506] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6890),
  [10508] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4077),
  [10510] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6950),
  [10512] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8614),
  [10514] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = sym__function_declarator_seq, .child_count = 5, .production_id = 23), SHIFT(7345),
  [10517] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = sym__function_declarator_seq, .child_count = 5, .production_id = 23), SHIFT(6762),
  [10520] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7013),
  [10522] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6926),
  [10524] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6884),
  [10526] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7041),
  [10528] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7019),
  [10530] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3916),
  [10532] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9727),
  [10534] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6962),
  [10536] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8916),
  [10538] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4153),
  [10540] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6998),
  [10542] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_preproc_argument_list, .child_count = 4),
  [10544] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_preproc_argument_list, .child_count = 4),
  [10546] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6987),
  [10548] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_preproc_argument_list, .child_count = 3),
  [10550] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_preproc_argument_list, .child_count = 3),
  [10552] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1680),
  [10554] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6967),
  [10556] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8815),
  [10558] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7016),
  [10560] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_preproc_argument_list, .child_count = 2),
  [10562] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_preproc_argument_list, .child_count = 2),
  [10564] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1701),
  [10566] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6970),
  [10568] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8717),
  [10570] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7039),
  [10572] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_preproc_parenthesized_expression, .child_count = 3),
  [10574] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_preproc_parenthesized_expression, .child_count = 3),
  [10576] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8426),
  [10578] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6974),
  [10580] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8707),
  [10582] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6972),
  [10584] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6767),
  [10586] = {.entry = {.count = 1, .reusable = false}}, SHIFT(220),
  [10588] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7853),
  [10590] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1120),
  [10592] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6910),
  [10594] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6911),
  [10596] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6912),
  [10598] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6919),
  [10600] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6921),
  [10602] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6923),
  [10604] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6924),
  [10606] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6880),
  [10608] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6941),
  [10610] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6929),
  [10612] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1166),
  [10614] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7939),
  [10616] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7951),
  [10618] = {.entry = {.count = 1, .reusable = false}}, SHIFT(171),
  [10620] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7831),
  [10622] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7897),
  [10624] = {.entry = {.count = 1, .reusable = false}}, SHIFT(204),
  [10626] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7891),
  [10628] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_noexcept, .child_count = 1),
  [10630] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2028),
  [10632] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_noexcept, .child_count = 1),
  [10634] = {.entry = {.count = 1, .reusable = true}}, SHIFT(27),
  [10636] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym__function_declarator_seq, .child_count = 6, .production_id = 23),
  [10638] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym__function_declarator_seq, .child_count = 6, .production_id = 23),
  [10640] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = sym__function_declarator_seq, .child_count = 6, .production_id = 23), SHIFT(7345),
  [10643] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = sym__function_declarator_seq, .child_count = 6, .production_id = 23), SHIFT(6762),
  [10646] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_noexcept, .child_count = 4),
  [10648] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_noexcept, .child_count = 4),
  [10650] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7659),
  [10652] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7842),
  [10654] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_throw_specifier, .child_count = 4),
  [10656] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_throw_specifier, .child_count = 4),
  [10658] = {.entry = {.count = 1, .reusable = false}}, SHIFT(165),
  [10660] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7847),
  [10662] = {.entry = {.count = 1, .reusable = true}}, SHIFT(29),
  [10664] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6752),
  [10666] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7027),
  [10668] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1123),
  [10670] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7872),
  [10672] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8150),
  [10674] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7632),
  [10676] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7928),
  [10678] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8836),
  [10680] = {.entry = {.count = 1, .reusable = true}}, SHIFT(37),
  [10682] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_throw_specifier, .child_count = 5),
  [10684] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_throw_specifier, .child_count = 5),
  [10686] = {.entry = {.count = 1, .reusable = true}}, SHIFT(26),
  [10688] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_noexcept, .child_count = 3),
  [10690] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_noexcept, .child_count = 3),
  [10692] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1181),
  [10694] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7758),
  [10696] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1094),
  [10698] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_throw_specifier, .child_count = 3),
  [10700] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_throw_specifier, .child_count = 3),
  [10702] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1432),
  [10704] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7857),
  [10706] = {.entry = {.count = 1, .reusable = true}}, SHIFT(31),
  [10708] = {.entry = {.count = 1, .reusable = false}}, SHIFT(215),
  [10710] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7828),
  [10712] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7410),
  [10714] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8912),
  [10716] = {.entry = {.count = 1, .reusable = true}}, SHIFT(34),
  [10718] = {.entry = {.count = 1, .reusable = true}}, SHIFT(143),
  [10720] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2456),
  [10722] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2723),
  [10724] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10),
  [10726] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1685),
  [10728] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1930),
  [10730] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym__function_attributes_end, .child_count = 3),
  [10732] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym__function_attributes_end, .child_count = 3),
  [10734] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2343),
  [10736] = {.entry = {.count = 1, .reusable = true}}, SHIFT(953),
  [10738] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12),
  [10740] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9359),
  [10742] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2464),
  [10744] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2626),
  [10746] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6),
  [10748] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = aux_sym_attributed_declarator_repeat1, .child_count = 2), SHIFT_REPEAT(9371),
  [10751] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2455),
  [10753] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2918),
  [10755] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14),
  [10757] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2115),
  [10759] = {.entry = {.count = 1, .reusable = true}}, SHIFT(993),
  [10761] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3),
  [10763] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8994),
  [10765] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2448),
  [10767] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2811),
  [10769] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4),
  [10771] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2290),
  [10773] = {.entry = {.count = 1, .reusable = true}}, SHIFT(222),
  [10775] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2),
  [10777] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9334),
  [10779] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2463),
  [10781] = {.entry = {.count = 1, .reusable = true}}, SHIFT(702),
  [10783] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9368),
  [10785] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2420),
  [10787] = {.entry = {.count = 1, .reusable = true}}, SHIFT(552),
  [10789] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11),
  [10791] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9434),
  [10793] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1949),
  [10795] = {.entry = {.count = 1, .reusable = true}}, SHIFT(61),
  [10797] = {.entry = {.count = 1, .reusable = true}}, SHIFT(53),
  [10799] = {.entry = {.count = 1, .reusable = true}}, SHIFT(64),
  [10801] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = aux_sym__function_postfix_repeat1, .child_count = 2),
  [10803] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = aux_sym__function_postfix_repeat1, .child_count = 2),
  [10805] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = aux_sym__function_postfix_repeat1, .child_count = 2), SHIFT_REPEAT(7345),
  [10808] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = sym__function_declarator_seq, .child_count = 6, .production_id = 23), SHIFT(7384),
  [10811] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = sym__function_declarator_seq, .child_count = 6, .production_id = 23), SHIFT(6723),
  [10814] = {.entry = {.count = 1, .reusable = true}}, SHIFT(86),
  [10816] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6748),
  [10818] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6747),
  [10820] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = sym__function_declarator_seq, .child_count = 5, .production_id = 23), SHIFT(7384),
  [10823] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = sym__function_declarator_seq, .child_count = 5, .production_id = 23), SHIFT(6723),
  [10826] = {.entry = {.count = 1, .reusable = true}}, SHIFT(50),
  [10828] = {.entry = {.count = 1, .reusable = true}}, SHIFT(90),
  [10830] = {.entry = {.count = 1, .reusable = true}}, SHIFT(68),
  [10832] = {.entry = {.count = 1, .reusable = true}}, SHIFT(70),
  [10834] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7567),
  [10836] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_gnu_asm_clobber_list, .child_count = 1),
  [10838] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = sym__function_declarator_seq, .child_count = 5, .production_id = 23), SHIFT(6769),
  [10841] = {.entry = {.count = 1, .reusable = true}}, SHIFT(77),
  [10843] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7167),
  [10845] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8412),
  [10847] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9393),
  [10849] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7175),
  [10851] = {.entry = {.count = 1, .reusable = true}}, SHIFT(57),
  [10853] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym__function_postfix, .child_count = 1),
  [10855] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym__function_postfix, .child_count = 1),
  [10857] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_concatenated_string_repeat1, .child_count = 2), SHIFT_REPEAT(7175),
  [10860] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = aux_sym_concatenated_string_repeat1, .child_count = 2), SHIFT_REPEAT(8412),
  [10863] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = aux_sym_concatenated_string_repeat1, .child_count = 2), SHIFT_REPEAT(9393),
  [10866] = {.entry = {.count = 1, .reusable = true}}, SHIFT(96),
  [10868] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3016),
  [10870] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3033),
  [10872] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6050),
  [10874] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3411),
  [10876] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5398),
  [10878] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5860),
  [10880] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3414),
  [10882] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3517),
  [10884] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3355),
  [10886] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3495),
  [10888] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5008),
  [10890] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3664),
  [10892] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = aux_sym__function_postfix_repeat1, .child_count = 2), SHIFT_REPEAT(7384),
  [10895] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_abstract_pointer_declarator, .child_count = 3, .dynamic_precedence = 1, .production_id = 41),
  [10897] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1687),
  [10899] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6721),
  [10901] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5525),
  [10903] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6040),
  [10905] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_type_descriptor, .child_count = 4, .production_id = 128),
  [10907] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4640),
  [10909] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_abstract_pointer_declarator, .child_count = 4, .dynamic_precedence = 1, .production_id = 84),
  [10911] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3319),
  [10913] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3445),
  [10915] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4822),
  [10917] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4959),
  [10919] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4484),
  [10921] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4759),
  [10923] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6722),
  [10925] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6003),
  [10927] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6132),
  [10929] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_abstract_reference_declarator, .child_count = 2),
  [10931] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_abstract_pointer_declarator, .child_count = 2, .dynamic_precedence = 1, .production_id = 5),
  [10933] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3513),
  [10935] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3720),
  [10937] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_type_descriptor, .child_count = 3, .production_id = 62),
  [10939] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6033),
  [10941] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3725),
  [10943] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3787),
  [10945] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3675),
  [10947] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3729),
  [10949] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_type_descriptor, .child_count = 3, .production_id = 80),
  [10951] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_type_descriptor, .child_count = 2, .production_id = 39),
  [10953] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6426),
  [10955] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6637),
  [10957] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4316),
  [10959] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = sym__fold_operator, .child_count = 1), SHIFT(9581),
  [10962] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7534),
  [10964] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8142),
  [10966] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym__function_declarator_seq, .child_count = 7, .production_id = 23),
  [10968] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym__function_declarator_seq, .child_count = 7, .production_id = 23),
  [10970] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6754),
  [10972] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6755),
  [10974] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3472),
  [10976] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7493),
  [10978] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8140),
  [10980] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = sym__function_declarator_seq, .child_count = 5, .production_id = 23), SHIFT(6756),
  [10983] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = aux_sym_field_declaration_repeat1, .child_count = 2, .production_id = 5),
  [10985] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1942),
  [10987] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1916),
  [10989] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1525),
  [10991] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_pointer_declarator, .child_count = 3, .dynamic_precedence = 1, .production_id = 41),
  [10993] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_abstract_function_declarator, .child_count = 1, .production_id = 33),
  [10995] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_abstract_function_declarator, .child_count = 1, .production_id = 33),
  [10997] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym__abstract_declarator, .child_count = 1),
  [10999] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym__abstract_declarator, .child_count = 1),
  [11001] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4082),
  [11003] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7462),
  [11005] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8143),
  [11007] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_abstract_parenthesized_declarator, .child_count = 3),
  [11009] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_abstract_parenthesized_declarator, .child_count = 3),
  [11011] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7491),
  [11013] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8096),
  [11015] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = aux_sym__class_declaration_repeat1, .child_count = 2),
  [11017] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym__class_declaration_repeat1, .child_count = 2), SHIFT_REPEAT(9846),
  [11020] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = aux_sym__class_declaration_repeat1, .child_count = 2),
  [11022] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym__class_declaration_repeat1, .child_count = 2), SHIFT_REPEAT(9855),
  [11025] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_abstract_array_declarator, .child_count = 3, .production_id = 120),
  [11027] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_abstract_array_declarator, .child_count = 3, .production_id = 120),
  [11029] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2312),
  [11031] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1918),
  [11033] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2493),
  [11035] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4234),
  [11037] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_pointer_declarator, .child_count = 4, .dynamic_precedence = 1, .production_id = 84),
  [11039] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_abstract_array_declarator, .child_count = 3),
  [11041] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_abstract_array_declarator, .child_count = 3),
  [11043] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_abstract_array_declarator, .child_count = 3, .production_id = 26),
  [11045] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_abstract_array_declarator, .child_count = 3, .production_id = 26),
  [11047] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4485),
  [11049] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7481),
  [11051] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8115),
  [11053] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_abstract_parenthesized_declarator, .child_count = 4),
  [11055] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_abstract_parenthesized_declarator, .child_count = 4),
  [11057] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_pointer_declarator, .child_count = 5, .dynamic_precedence = 1, .production_id = 165),
  [11059] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_abstract_array_declarator, .child_count = 4, .production_id = 169),
  [11061] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_abstract_array_declarator, .child_count = 4, .production_id = 169),
  [11063] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = sym__function_declarator_seq, .child_count = 6, .production_id = 23), SHIFT(6769),
  [11066] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_abstract_array_declarator, .child_count = 4, .production_id = 115),
  [11068] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_abstract_array_declarator, .child_count = 4, .production_id = 115),
  [11070] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_abstract_array_declarator, .child_count = 2),
  [11072] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_abstract_array_declarator, .child_count = 2),
  [11074] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_abstract_array_declarator, .child_count = 4, .production_id = 26),
  [11076] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_abstract_array_declarator, .child_count = 4, .production_id = 26),
  [11078] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_abstract_array_declarator, .child_count = 5, .production_id = 167),
  [11080] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_abstract_array_declarator, .child_count = 5, .production_id = 167),
  [11082] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_reference_declarator, .child_count = 2, .dynamic_precedence = 1),
  [11084] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7950),
  [11086] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8038),
  [11088] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8137),
  [11090] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6961),
  [11092] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9700),
  [11094] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_virtual_specifier, .child_count = 1),
  [11096] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_virtual_specifier, .child_count = 1),
  [11098] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_abstract_function_declarator, .child_count = 2, .production_id = 24),
  [11100] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_abstract_function_declarator, .child_count = 2, .production_id = 24),
  [11102] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_trailing_return_type, .child_count = 2),
  [11104] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_trailing_return_type, .child_count = 2),
  [11106] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_pointer_declarator, .child_count = 2, .dynamic_precedence = 1, .production_id = 5),
  [11108] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7607),
  [11110] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7595),
  [11112] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = aux_sym_declaration_repeat1, .child_count = 2, .production_id = 5),
  [11114] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2137),
  [11116] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7575),
  [11118] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7599),
  [11120] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7593),
  [11122] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7591),
  [11124] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7525),
  [11126] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7596),
  [11128] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7586),
  [11130] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1699),
  [11132] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7557),
  [11134] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7582),
  [11136] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7566),
  [11138] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7558),
  [11140] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7578),
  [11142] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = sym__function_declarator_seq, .child_count = 5, .production_id = 23), SHIFT(6734),
  [11145] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7608),
  [11147] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7576),
  [11149] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_pointer_field_declarator, .child_count = 4, .dynamic_precedence = 1, .production_id = 84),
  [11151] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_reference_field_declarator, .child_count = 2, .dynamic_precedence = 1),
  [11153] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7609),
  [11155] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7556),
  [11157] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_pointer_field_declarator, .child_count = 2, .dynamic_precedence = 1, .production_id = 5),
  [11159] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7605),
  [11161] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7612),
  [11163] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_pointer_field_declarator, .child_count = 3, .dynamic_precedence = 1, .production_id = 41),
  [11165] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7585),
  [11167] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7562),
  [11169] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_pointer_field_declarator, .child_count = 5, .dynamic_precedence = 1, .production_id = 165),
  [11171] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7554),
  [11173] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = sym__function_declarator_seq, .child_count = 6, .production_id = 23), SHIFT(6756),
  [11176] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8890),
  [11178] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6960),
  [11180] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9946),
  [11182] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6256),
  [11184] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10419),
  [11186] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9663),
  [11188] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3812),
  [11190] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4086),
  [11192] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7550),
  [11194] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2700),
  [11196] = {.entry = {.count = 1, .reusable = true}}, SHIFT(52),
  [11198] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9149),
  [11200] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8413),
  [11202] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2620),
  [11204] = {.entry = {.count = 1, .reusable = true}}, SHIFT(75),
  [11206] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9198),
  [11208] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8394),
  [11210] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1186),
  [11212] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9254),
  [11214] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8387),
  [11216] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9934),
  [11218] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3307),
  [11220] = {.entry = {.count = 1, .reusable = true}}, SHIFT(399),
  [11222] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9362),
  [11224] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8336),
  [11226] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9786),
  [11228] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1146),
  [11230] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6228),
  [11232] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4476),
  [11234] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = sym__function_declarator_seq, .child_count = 6, .production_id = 23), SHIFT(6734),
  [11237] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3090),
  [11239] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6745),
  [11241] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6158),
  [11243] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3480),
  [11245] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4038),
  [11247] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5234),
  [11249] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4053),
  [11251] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1065),
  [11253] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9038),
  [11255] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8208),
  [11257] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1269),
  [11259] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9183),
  [11261] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8338),
  [11263] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6746),
  [11265] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3925),
  [11267] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2819),
  [11269] = {.entry = {.count = 1, .reusable = true}}, SHIFT(91),
  [11271] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9087),
  [11273] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8423),
  [11275] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4119),
  [11277] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2983),
  [11279] = {.entry = {.count = 1, .reusable = true}}, SHIFT(48),
  [11281] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9421),
  [11283] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8353),
  [11285] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2590),
  [11287] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2850),
  [11289] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10021),
  [11291] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3961),
  [11293] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9952),
  [11295] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5094),
  [11297] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3067),
  [11299] = {.entry = {.count = 1, .reusable = true}}, SHIFT(374),
  [11301] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3439),
  [11303] = {.entry = {.count = 1, .reusable = true}}, SHIFT(637),
  [11305] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9325),
  [11307] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8359),
  [11309] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10114),
  [11311] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_attributed_declarator, .child_count = 2),
  [11313] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_attributed_declarator, .child_count = 2),
  [11315] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1272),
  [11317] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8124),
  [11319] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7524),
  [11321] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8094),
  [11323] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10296),
  [11325] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3285),
  [11327] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4090),
  [11329] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5158),
  [11331] = {.entry = {.count = 1, .reusable = true}}, SHIFT(668),
  [11333] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4394),
  [11335] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2736),
  [11337] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3823),
  [11339] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4277),
  [11341] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7997),
  [11343] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3402),
  [11345] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2970),
  [11347] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1050),
  [11349] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6253),
  [11351] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9458),
  [11353] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4452),
  [11355] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5244),
  [11357] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = sym__function_declarator_seq, .child_count = 5, .production_id = 23), SHIFT(6740),
  [11360] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1692),
  [11362] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_attributed_field_declarator, .child_count = 2),
  [11364] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_attributed_field_declarator, .child_count = 2),
  [11366] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym__field_declarator, .child_count = 1, .production_id = 99),
  [11368] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1497),
  [11370] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym__field_declarator, .child_count = 1, .production_id = 99),
  [11372] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = aux_sym_attributed_declarator_repeat1, .child_count = 2), SHIFT_REPEAT(9433),
  [11375] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym__field_declarator, .child_count = 1),
  [11377] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym__field_declarator, .child_count = 1),
  [11379] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_parameter_declaration, .child_count = 2, .production_id = 66),
  [11381] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9750),
  [11383] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2128),
  [11385] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_function_declarator, .child_count = 2, .dynamic_precedence = 1, .production_id = 24),
  [11387] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = sym_function_declarator, .child_count = 2, .dynamic_precedence = 1, .production_id = 24), SHIFT(9750),
  [11390] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_function_declarator, .child_count = 2, .dynamic_precedence = 1, .production_id = 24),
  [11392] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2368),
  [11394] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_parenthesized_field_declarator, .child_count = 3, .dynamic_precedence = -10),
  [11396] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_parenthesized_field_declarator, .child_count = 3, .dynamic_precedence = -10),
  [11398] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8057),
  [11400] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_preproc_elif_in_enumerator_list, .child_count = 3, .production_id = 78),
  [11402] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6961),
  [11404] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_structured_binding_declarator, .child_count = 3, .dynamic_precedence = -1),
  [11406] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_structured_binding_declarator, .child_count = 3, .dynamic_precedence = -1),
  [11408] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7922),
  [11410] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7884),
  [11412] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6739),
  [11414] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_semantics, .child_count = 2),
  [11416] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_semantics, .child_count = 2),
  [11418] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_preproc_elifdef_in_enumerator_list, .child_count = 2, .production_id = 10),
  [11420] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7952),
  [11422] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7861),
  [11424] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_array_field_declarator, .child_count = 3, .production_id = 26),
  [11426] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_array_field_declarator, .child_count = 3, .production_id = 26),
  [11428] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_parenthesized_declarator, .child_count = 3, .dynamic_precedence = -10),
  [11430] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_parenthesized_declarator, .child_count = 3, .dynamic_precedence = -10),
  [11432] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7900),
  [11434] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7874),
  [11436] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_array_declarator, .child_count = 5, .production_id = 167),
  [11438] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_array_declarator, .child_count = 5, .production_id = 167),
  [11440] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_parenthesized_field_declarator, .child_count = 4, .dynamic_precedence = -10),
  [11442] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_parenthesized_field_declarator, .child_count = 4, .dynamic_precedence = -10),
  [11444] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7915),
  [11446] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7881),
  [11448] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7953),
  [11450] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7865),
  [11452] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_parenthesized_declarator, .child_count = 4, .dynamic_precedence = -10),
  [11454] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_parenthesized_declarator, .child_count = 4, .dynamic_precedence = -10),
  [11456] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_function_field_declarator, .child_count = 2, .dynamic_precedence = 1, .production_id = 24),
  [11458] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_function_field_declarator, .child_count = 2, .dynamic_precedence = 1, .production_id = 24),
  [11460] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_array_field_declarator, .child_count = 4, .production_id = 115),
  [11462] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_array_field_declarator, .child_count = 4, .production_id = 115),
  [11464] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6741),
  [11466] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_array_field_declarator, .child_count = 5, .production_id = 167),
  [11468] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_array_field_declarator, .child_count = 5, .production_id = 167),
  [11470] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_structured_binding_declarator, .child_count = 4, .dynamic_precedence = -1),
  [11472] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_structured_binding_declarator, .child_count = 4, .dynamic_precedence = -1),
  [11474] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_array_field_declarator, .child_count = 4, .production_id = 26),
  [11476] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_array_field_declarator, .child_count = 4, .production_id = 26),
  [11478] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8079),
  [11480] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8184),
  [11482] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6893),
  [11484] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9905),
  [11486] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9911),
  [11488] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8173),
  [11490] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6888),
  [11492] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9916),
  [11494] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7931),
  [11496] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7871),
  [11498] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = aux_sym_enumerator_list_repeat1, .child_count = 2), SHIFT_REPEAT(8890),
  [11501] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_enumerator_list_repeat1, .child_count = 2), SHIFT_REPEAT(6963),
  [11504] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_enumerator_list_repeat1, .child_count = 2), SHIFT_REPEAT(9716),
  [11507] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_enumerator_list_repeat1, .child_count = 2), SHIFT_REPEAT(9438),
  [11510] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = aux_sym_enumerator_list_repeat1, .child_count = 2),
  [11512] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7914),
  [11514] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7846),
  [11516] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = sym__function_declarator_seq, .child_count = 6, .production_id = 23), SHIFT(6740),
  [11519] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8055),
  [11521] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7924),
  [11523] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7867),
  [11525] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_array_declarator, .child_count = 4, .production_id = 115),
  [11527] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_array_declarator, .child_count = 4, .production_id = 115),
  [11529] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_array_declarator, .child_count = 4, .production_id = 26),
  [11531] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_array_declarator, .child_count = 4, .production_id = 26),
  [11533] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_array_declarator, .child_count = 3, .production_id = 26),
  [11535] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_array_declarator, .child_count = 3, .production_id = 26),
  [11537] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8042),
  [11539] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_function_declarator, .child_count = 3, .dynamic_precedence = 1, .production_id = 24),
  [11541] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_function_declarator, .child_count = 3, .dynamic_precedence = 1, .production_id = 24),
  [11543] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7946),
  [11545] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7880),
  [11547] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym__scope_resolution, .child_count = 1),
  [11549] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym__scope_resolution, .child_count = 1),
  [11551] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2225),
  [11553] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6191),
  [11555] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2273),
  [11557] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6185),
  [11559] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2366),
  [11561] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6155),
  [11563] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2101),
  [11565] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6168),
  [11567] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2234),
  [11569] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6199),
  [11571] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7233),
  [11573] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2285),
  [11575] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2241),
  [11577] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6201),
  [11579] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_gnu_asm_input_operand_list, .child_count = 1),
  [11581] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10009),
  [11583] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2182),
  [11585] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6194),
  [11587] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7225),
  [11589] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym__type_definition_declarators, .child_count = 1, .production_id = 26),
  [11591] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2271),
  [11593] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_gnu_asm_output_operand_list, .child_count = 1),
  [11595] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9764),
  [11597] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2373),
  [11599] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6181),
  [11601] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2230),
  [11603] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2197),
  [11605] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6160),
  [11607] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2161),
  [11609] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6208),
  [11611] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2482),
  [11613] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3767),
  [11615] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7890),
  [11617] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2370),
  [11619] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2386),
  [11621] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6165),
  [11623] = {.entry = {.count = 1, .reusable = false}}, SHIFT(196),
  [11625] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9197),
  [11627] = {.entry = {.count = 1, .reusable = false}}, SHIFT(182),
  [11629] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9180),
  [11631] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8506),
  [11633] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8350),
  [11635] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9471),
  [11637] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3558),
  [11639] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9029),
  [11641] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4970),
  [11643] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9047),
  [11645] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5159),
  [11647] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9055),
  [11649] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4837),
  [11651] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9056),
  [11653] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3032),
  [11655] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9005),
  [11657] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7760),
  [11659] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8974),
  [11661] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9868),
  [11663] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3691),
  [11665] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9330),
  [11667] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6109),
  [11669] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8348),
  [11671] = {.entry = {.count = 1, .reusable = false}}, SHIFT(166),
  [11673] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9042),
  [11675] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7564),
  [11677] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9436),
  [11679] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8527),
  [11681] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9487),
  [11683] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5895),
  [11685] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9073),
  [11687] = {.entry = {.count = 1, .reusable = false}}, SHIFT(212),
  [11689] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9140),
  [11691] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3789),
  [11693] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9410),
  [11695] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1450),
  [11697] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9115),
  [11699] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5355),
  [11701] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9260),
  [11703] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8570),
  [11705] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10315),
  [11707] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8477),
  [11709] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5774),
  [11711] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = aux_sym__type_definition_declarators_repeat1, .child_count = 2, .production_id = 5),
  [11713] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8187),
  [11715] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8319),
  [11717] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8271),
  [11719] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8401),
  [11721] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4953),
  [11723] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8574),
  [11725] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10309),
  [11727] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3218),
  [11729] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8978),
  [11731] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3162),
  [11733] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9341),
  [11735] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8447),
  [11737] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8408),
  [11739] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3738),
  [11741] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9092),
  [11743] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8255),
  [11745] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2786),
  [11747] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9214),
  [11749] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3764),
  [11751] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9283),
  [11753] = {.entry = {.count = 1, .reusable = false}}, SHIFT(210),
  [11755] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9403),
  [11757] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = aux_sym_preproc_if_in_enumerator_list_no_comma_repeat1, .child_count = 2), SHIFT_REPEAT(7950),
  [11760] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = aux_sym_preproc_if_in_enumerator_list_no_comma_repeat1, .child_count = 2),
  [11762] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = aux_sym_preproc_if_in_enumerator_list_no_comma_repeat1, .child_count = 2),
  [11764] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1118),
  [11766] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8027),
  [11768] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6893),
  [11770] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_preproc_elif_in_enumerator_list_no_comma, .child_count = 4, .production_id = 78),
  [11772] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6888),
  [11774] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2824),
  [11776] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5106),
  [11778] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = aux_sym_preproc_if_in_enumerator_list_repeat1, .child_count = 2), SHIFT_REPEAT(8890),
  [11781] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = aux_sym_preproc_if_in_enumerator_list_repeat1, .child_count = 2),
  [11783] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = aux_sym_preproc_if_in_enumerator_list_repeat1, .child_count = 2),
  [11785] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_preproc_elifdef_in_enumerator_list_no_comma, .child_count = 2, .production_id = 10),
  [11787] = {.entry = {.count = 1, .reusable = true}}, SHIFT(609),
  [11789] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1171),
  [11791] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1955),
  [11793] = {.entry = {.count = 1, .reusable = true}}, SHIFT(391),
  [11795] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1165),
  [11797] = {.entry = {.count = 1, .reusable = true}}, SHIFT(454),
  [11799] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5085),
  [11801] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1288),
  [11803] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5151),
  [11805] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1245),
  [11807] = {.entry = {.count = 1, .reusable = true}}, SHIFT(645),
  [11809] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7672),
  [11811] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1082),
  [11813] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5137),
  [11815] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_preproc_elifdef_in_enumerator_list, .child_count = 3, .production_id = 10),
  [11817] = {.entry = {.count = 1, .reusable = true}}, SHIFT(593),
  [11819] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5129),
  [11821] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7618),
  [11823] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym__scope_resolution, .child_count = 2, .production_id = 31),
  [11825] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym__scope_resolution, .child_count = 2, .production_id = 31),
  [11827] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2729),
  [11829] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5152),
  [11831] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1270),
  [11833] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8083),
  [11835] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_operator_cast, .child_count = 3, .production_id = 58),
  [11837] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10085),
  [11839] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_preproc_elif_in_enumerator_list_no_comma, .child_count = 3, .production_id = 78),
  [11841] = {.entry = {.count = 1, .reusable = true}}, SHIFT(446),
  [11843] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7666),
  [11845] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2913),
  [11847] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5155),
  [11849] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym__scope_resolution, .child_count = 2, .production_id = 15),
  [11851] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym__scope_resolution, .child_count = 2, .production_id = 15),
  [11853] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_enumerator, .child_count = 1, .production_id = 6),
  [11855] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_enumerator, .child_count = 1, .production_id = 6),
  [11857] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2169),
  [11859] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1086),
  [11861] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5120),
  [11863] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2547),
  [11865] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5146),
  [11867] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_preproc_elif_in_enumerator_list, .child_count = 4, .production_id = 78),
  [11869] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1193),
  [11871] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_preproc_elifdef_in_enumerator_list_no_comma, .child_count = 3, .production_id = 10),
  [11873] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7689),
  [11875] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8739),
  [11877] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8117),
  [11879] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10174),
  [11881] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8424),
  [11883] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4111),
  [11885] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8601),
  [11887] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8855),
  [11889] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = aux_sym_preproc_if_in_enumerator_list_no_comma_repeat1, .child_count = 1),
  [11891] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8065),
  [11893] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = aux_sym_preproc_if_in_enumerator_list_no_comma_repeat1, .child_count = 1),
  [11895] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7728),
  [11897] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2320),
  [11899] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1963),
  [11901] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9959),
  [11903] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = aux_sym_initializer_pair_repeat1, .child_count = 2), SHIFT_REPEAT(2320),
  [11906] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = aux_sym_initializer_pair_repeat1, .child_count = 2),
  [11908] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = aux_sym_initializer_pair_repeat1, .child_count = 2), SHIFT_REPEAT(9959),
  [11911] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8284),
  [11913] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4563),
  [11915] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8879),
  [11917] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7707),
  [11919] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4456),
  [11921] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8685),
  [11923] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8245),
  [11925] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8449),
  [11927] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_lambda_capture_specifier, .child_count = 6),
  [11929] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_lambda_capture_specifier, .child_count = 6),
  [11931] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4126),
  [11933] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3423),
  [11935] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4590),
  [11937] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_lambda_capture_specifier, .child_count = 5),
  [11939] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_lambda_capture_specifier, .child_count = 5),
  [11941] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_lambda_capture_specifier, .child_count = 4),
  [11943] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_lambda_capture_specifier, .child_count = 4),
  [11945] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3452),
  [11947] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8333),
  [11949] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4479),
  [11951] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7337),
  [11953] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8214),
  [11955] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_preproc_if_in_enumerator_list, .child_count = 4, .production_id = 78),
  [11957] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_preproc_if_in_enumerator_list, .child_count = 4, .production_id = 78),
  [11959] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1049),
  [11961] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2103),
  [11963] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7309),
  [11965] = {.entry = {.count = 1, .reusable = true}}, SHIFT(659),
  [11967] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2422),
  [11969] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2933),
  [11971] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2461),
  [11973] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2805),
  [11975] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2318),
  [11977] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1126),
  [11979] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2135),
  [11981] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2537),
  [11983] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2453),
  [11985] = {.entry = {.count = 1, .reusable = true}}, SHIFT(420),
  [11987] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2098),
  [11989] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_preproc_ifdef_in_enumerator_list, .child_count = 3, .production_id = 10),
  [11991] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_preproc_ifdef_in_enumerator_list, .child_count = 3, .production_id = 10),
  [11993] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7312),
  [11995] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7252),
  [11997] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2714),
  [11999] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2475),
  [12001] = {.entry = {.count = 1, .reusable = true}}, SHIFT(368),
  [12003] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2270),
  [12005] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7303),
  [12007] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1064),
  [12009] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2428),
  [12011] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2619),
  [12013] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2439),
  [12015] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2129),
  [12017] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7290),
  [12019] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1157),
  [12021] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2433),
  [12023] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7295),
  [12025] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = aux_sym_enumerator_list_repeat1, .child_count = 2),
  [12027] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2268),
  [12029] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7338),
  [12031] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7350),
  [12033] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1283),
  [12035] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2460),
  [12037] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7332),
  [12039] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_preproc_ifdef_in_enumerator_list, .child_count = 4, .production_id = 79),
  [12041] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_preproc_ifdef_in_enumerator_list, .child_count = 4, .production_id = 79),
  [12043] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7264),
  [12045] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7320),
  [12047] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7286),
  [12049] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_preproc_ifdef_in_enumerator_list, .child_count = 5, .production_id = 126),
  [12051] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_preproc_ifdef_in_enumerator_list, .child_count = 5, .production_id = 126),
  [12053] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7253),
  [12055] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7269),
  [12057] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = aux_sym_gnu_asm_expression_repeat1, .child_count = 2),
  [12059] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = aux_sym_gnu_asm_expression_repeat1, .child_count = 2), SHIFT_REPEAT(8214),
  [12062] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2818),
  [12064] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2473),
  [12066] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2864),
  [12068] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2305),
  [12070] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2688),
  [12072] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2494),
  [12074] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7311),
  [12076] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7292),
  [12078] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2369),
  [12080] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1261),
  [12082] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2357),
  [12084] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_preproc_ifdef_in_enumerator_list, .child_count = 4, .production_id = 10),
  [12086] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_preproc_ifdef_in_enumerator_list, .child_count = 4, .production_id = 10),
  [12088] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_preproc_if_in_enumerator_list, .child_count = 5, .production_id = 125),
  [12090] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_preproc_if_in_enumerator_list, .child_count = 5, .production_id = 125),
  [12092] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7281),
  [12094] = {.entry = {.count = 1, .reusable = true}}, SHIFT(672),
  [12096] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2374),
  [12098] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_preproc_if_in_enumerator_list, .child_count = 5, .production_id = 78),
  [12100] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_preproc_if_in_enumerator_list, .child_count = 5, .production_id = 78),
  [12102] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = aux_sym_preproc_if_in_enumerator_list_no_comma_repeat1, .child_count = 2), SHIFT_REPEAT(8057),
  [12105] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_preproc_if_in_enumerator_list, .child_count = 6, .production_id = 174),
  [12107] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_preproc_if_in_enumerator_list, .child_count = 6, .production_id = 174),
  [12109] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8778),
  [12111] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9342),
  [12113] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9175),
  [12115] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_optional_type_parameter_declaration, .child_count = 3, .production_id = 155),
  [12117] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2579),
  [12119] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2836),
  [12121] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2835),
  [12123] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2558),
  [12125] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9080),
  [12127] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9274),
  [12129] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2578),
  [12131] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2580),
  [12133] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2775),
  [12135] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2780),
  [12137] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8194),
  [12139] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2902),
  [12141] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2596),
  [12143] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2776),
  [12145] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2941),
  [12147] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2884),
  [12149] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2555),
  [12151] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2906),
  [12153] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2883),
  [12155] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2881),
  [12157] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8086),
  [12159] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9373),
  [12161] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8937),
  [12163] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9257),
  [12165] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2571),
  [12167] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9388),
  [12169] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7367),
  [12171] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7315),
  [12173] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2959),
  [12175] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2758),
  [12177] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2928),
  [12179] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2936),
  [12181] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7393),
  [12183] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2753),
  [12185] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2957),
  [12187] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2730),
  [12189] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2551),
  [12191] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2931),
  [12193] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_preproc_else_in_enumerator_list, .child_count = 1),
  [12195] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2899),
  [12197] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_optional_type_parameter_declaration, .child_count = 4, .production_id = 193),
  [12199] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9211),
  [12201] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9244),
  [12203] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_attribute, .child_count = 1, .production_id = 6),
  [12205] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9982),
  [12207] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7273),
  [12209] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2712),
  [12211] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9098),
  [12213] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2709),
  [12215] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2924),
  [12217] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_access_specifier, .child_count = 1),
  [12219] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_access_specifier, .child_count = 1),
  [12221] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2832),
  [12223] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4851),
  [12225] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8165),
  [12227] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8165),
  [12229] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3449),
  [12231] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8172),
  [12233] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8172),
  [12235] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9409),
  [12237] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3939),
  [12239] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4828),
  [12241] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8168),
  [12243] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8168),
  [12245] = {.entry = {.count = 1, .reusable = true}}, SHIFT(453),
  [12247] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3506),
  [12249] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8162),
  [12251] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8162),
  [12253] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3512),
  [12255] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8459),
  [12257] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8459),
  [12259] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3489),
  [12261] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3858),
  [12263] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8653),
  [12265] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7037),
  [12267] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_base_class_clause, .child_count = 5),
  [12269] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4853),
  [12271] = {.entry = {.count = 1, .reusable = true}}, SHIFT(205),
  [12273] = {.entry = {.count = 1, .reusable = true}}, SHIFT(508),
  [12275] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4780),
  [12277] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8150),
  [12279] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3376),
  [12281] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_preproc_else_in_enumerator_list_no_comma, .child_count = 1),
  [12283] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1468),
  [12285] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6059),
  [12287] = {.entry = {.count = 1, .reusable = true}}, SHIFT(583),
  [12289] = {.entry = {.count = 1, .reusable = true}}, SHIFT(467),
  [12291] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4848),
  [12293] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5029),
  [12295] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3658),
  [12297] = {.entry = {.count = 1, .reusable = true}}, SHIFT(384),
  [12299] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8740),
  [12301] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10169),
  [12303] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2566),
  [12305] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3264),
  [12307] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3176),
  [12309] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8220),
  [12311] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8220),
  [12313] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_preproc_else_in_enumerator_list_no_comma, .child_count = 2),
  [12315] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_preproc_else_in_enumerator_list, .child_count = 2),
  [12317] = {.entry = {.count = 1, .reusable = true}}, SHIFT(576),
  [12319] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2745),
  [12321] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9990),
  [12323] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3557),
  [12325] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8160),
  [12327] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8160),
  [12329] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2506),
  [12331] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1732),
  [12333] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3507),
  [12335] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4868),
  [12337] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8463),
  [12339] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2994),
  [12341] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2594),
  [12343] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9821),
  [12345] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4968),
  [12347] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3496),
  [12349] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8200),
  [12351] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8200),
  [12353] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5157),
  [12355] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_gnu_asm_qualifier, .child_count = 1),
  [12357] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4498),
  [12359] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3543),
  [12361] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4632),
  [12363] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3184),
  [12365] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5153),
  [12367] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3861),
  [12369] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5116),
  [12371] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8767),
  [12373] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9121),
  [12375] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9077),
  [12377] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9118),
  [12379] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5367),
  [12381] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4685),
  [12383] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1308),
  [12385] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10045),
  [12387] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4966),
  [12389] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8210),
  [12391] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8210),
  [12393] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3474),
  [12395] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = aux_sym_field_declaration_repeat1, .child_count = 2, .production_id = 182), SHIFT_REPEAT(7109),
  [12398] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = aux_sym_field_declaration_repeat1, .child_count = 2, .production_id = 182),
  [12400] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7911),
  [12402] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_gnu_asm_output_operand_list, .child_count = 2, .production_id = 151),
  [12404] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3196),
  [12406] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3523),
  [12408] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3500),
  [12410] = {.entry = {.count = 1, .reusable = true}}, SHIFT(832),
  [12412] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3528),
  [12414] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8239),
  [12416] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8239),
  [12418] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3501),
  [12420] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym__namespace_specifier, .child_count = 1, .production_id = 19),
  [12422] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8147),
  [12424] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_gnu_asm_output_operand_list, .child_count = 3, .production_id = 190),
  [12426] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8881),
  [12428] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_base_class_clause, .child_count = 4),
  [12430] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4088),
  [12432] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7893),
  [12434] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_gnu_asm_input_operand_list, .child_count = 2, .production_id = 151),
  [12436] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3681),
  [12438] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1078),
  [12440] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3168),
  [12442] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4092),
  [12444] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9182),
  [12446] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8995),
  [12448] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3491),
  [12450] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3532),
  [12452] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8216),
  [12454] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8216),
  [12456] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3836),
  [12458] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3689),
  [12460] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8254),
  [12462] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8254),
  [12464] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3819),
  [12466] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5911),
  [12468] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2770),
  [12470] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7779),
  [12472] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5142),
  [12474] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1046),
  [12476] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9704),
  [12478] = {.entry = {.count = 1, .reusable = true}}, SHIFT(722),
  [12480] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4961),
  [12482] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3904),
  [12484] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3808),
  [12486] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8269),
  [12488] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8269),
  [12490] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8120),
  [12492] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5150),
  [12494] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5130),
  [12496] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = aux_sym__type_definition_declarators_repeat1, .child_count = 2, .production_id = 113), SHIFT_REPEAT(7225),
  [12499] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = aux_sym__type_definition_declarators_repeat1, .child_count = 2, .production_id = 113),
  [12501] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1535),
  [12503] = {.entry = {.count = 1, .reusable = true}}, SHIFT(936),
  [12505] = {.entry = {.count = 1, .reusable = true}}, SHIFT(948),
  [12507] = {.entry = {.count = 1, .reusable = true}}, SHIFT(331),
  [12509] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4960),
  [12511] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8280),
  [12513] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8280),
  [12515] = {.entry = {.count = 1, .reusable = true}}, SHIFT(926),
  [12517] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5126),
  [12519] = {.entry = {.count = 1, .reusable = true}}, SHIFT(173),
  [12521] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9386),
  [12523] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9272),
  [12525] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4644),
  [12527] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8226),
  [12529] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8226),
  [12531] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1539),
  [12533] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1553),
  [12535] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3570),
  [12537] = {.entry = {.count = 1, .reusable = true}}, SHIFT(627),
  [12539] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5123),
  [12541] = {.entry = {.count = 1, .reusable = true}}, SHIFT(157),
  [12543] = {.entry = {.count = 1, .reusable = true}}, SHIFT(811),
  [12545] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5411),
  [12547] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9249),
  [12549] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9130),
  [12551] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1531),
  [12553] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1746),
  [12555] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8118),
  [12557] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3170),
  [12559] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6951),
  [12561] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3677),
  [12563] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8318),
  [12565] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8318),
  [12567] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8813),
  [12569] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_variadic_declarator, .child_count = 1),
  [12571] = {.entry = {.count = 1, .reusable = true}}, SHIFT(676),
  [12573] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9560),
  [12575] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5112),
  [12577] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3269),
  [12579] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3173),
  [12581] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8334),
  [12583] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8334),
  [12585] = {.entry = {.count = 1, .reusable = true}}, SHIFT(378),
  [12587] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10128),
  [12589] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8403),
  [12591] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8403),
  [12593] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5121),
  [12595] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1040),
  [12597] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9765),
  [12599] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8754),
  [12601] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_base_class_clause, .child_count = 3),
  [12603] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2858),
  [12605] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_attribute, .child_count = 3, .production_id = 91),
  [12607] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5079),
  [12609] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym__type_definition_declarators, .child_count = 2, .production_id = 87),
  [12611] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2948),
  [12613] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2966),
  [12615] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2967),
  [12617] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5005),
  [12619] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8400),
  [12621] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8400),
  [12623] = {.entry = {.count = 1, .reusable = true}}, SHIFT(826),
  [12625] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_qualified_operator_cast_identifier, .child_count = 2, .production_id = 34),
  [12627] = {.entry = {.count = 1, .reusable = true}}, SHIFT(829),
  [12629] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2833),
  [12631] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10255),
  [12633] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = aux_sym_gnu_asm_clobber_list_repeat1, .child_count = 2, .production_id = 220), SHIFT_REPEAT(7277),
  [12636] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = aux_sym_gnu_asm_clobber_list_repeat1, .child_count = 2, .production_id = 220),
  [12638] = {.entry = {.count = 1, .reusable = true}}, SHIFT(423),
  [12640] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2793),
  [12642] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2935),
  [12644] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2838),
  [12646] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7451),
  [12648] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4455),
  [12650] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5751),
  [12652] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4986),
  [12654] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2795),
  [12656] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7032),
  [12658] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9968),
  [12660] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1663),
  [12662] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3346),
  [12664] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8428),
  [12666] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8428),
  [12668] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1246),
  [12670] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1738),
  [12672] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9289),
  [12674] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9281),
  [12676] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7457),
  [12678] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8393),
  [12680] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8393),
  [12682] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2799),
  [12684] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2564),
  [12686] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8087),
  [12688] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7277),
  [12690] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_gnu_asm_clobber_list, .child_count = 3, .production_id = 216),
  [12692] = {.entry = {.count = 1, .reusable = true}}, SHIFT(794),
  [12694] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3366),
  [12696] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = aux_sym_gnu_asm_input_operand_list_repeat1, .child_count = 2, .production_id = 208), SHIFT_REPEAT(7893),
  [12699] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = aux_sym_gnu_asm_input_operand_list_repeat1, .child_count = 2, .production_id = 208),
  [12701] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4004),
  [12703] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2710),
  [12705] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9402),
  [12707] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9138),
  [12709] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2686),
  [12711] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2725),
  [12713] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = aux_sym_gnu_asm_output_operand_list_repeat1, .child_count = 2, .production_id = 208), SHIFT_REPEAT(7911),
  [12716] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = aux_sym_gnu_asm_output_operand_list_repeat1, .child_count = 2, .production_id = 208),
  [12718] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3185),
  [12720] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5090),
  [12722] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1728),
  [12724] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_gnu_asm_input_operand_list, .child_count = 3, .production_id = 190),
  [12726] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2987),
  [12728] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_gnu_asm_clobber_list, .child_count = 2, .production_id = 209),
  [12730] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8088),
  [12732] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2779),
  [12734] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1715),
  [12736] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2860),
  [12738] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9748),
  [12740] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3721),
  [12742] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = aux_sym_string_literal_repeat1, .child_count = 2),
  [12744] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = aux_sym_string_literal_repeat1, .child_count = 2), SHIFT_REPEAT(8459),
  [12747] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_string_literal_repeat1, .child_count = 2), SHIFT_REPEAT(8459),
  [12750] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5328),
  [12752] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = aux_sym_char_literal_repeat1, .child_count = 2),
  [12754] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_char_literal_repeat1, .child_count = 2), SHIFT_REPEAT(8463),
  [12757] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5101),
  [12759] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2615),
  [12761] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2597),
  [12763] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1004),
  [12765] = {.entry = {.count = 1, .reusable = true}}, SHIFT(293),
  [12767] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1706),
  [12769] = {.entry = {.count = 1, .reusable = true}}, SHIFT(309),
  [12771] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5125),
  [12773] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1140),
  [12775] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8531),
  [12777] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_base_class_clause, .child_count = 2),
  [12779] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9354),
  [12781] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9356),
  [12783] = {.entry = {.count = 1, .reusable = true}}, SHIFT(997),
  [12785] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3744),
  [12787] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8458),
  [12789] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8458),
  [12791] = {.entry = {.count = 1, .reusable = true}}, SHIFT(277),
  [12793] = {.entry = {.count = 1, .reusable = true}}, SHIFT(883),
  [12795] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2646),
  [12797] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2831),
  [12799] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4379),
  [12801] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7804),
  [12803] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3195),
  [12805] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3193),
  [12807] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3186),
  [12809] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1385),
  [12811] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9033),
  [12813] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_base_class_clause, .child_count = 7),
  [12815] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5495),
  [12817] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9265),
  [12819] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = aux_sym_base_class_clause_repeat1, .child_count = 5),
  [12821] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1053),
  [12823] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6805),
  [12825] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5986),
  [12827] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9361),
  [12829] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5961),
  [12831] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7138),
  [12833] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8430),
  [12835] = {.entry = {.count = 1, .reusable = true}}, SHIFT(137),
  [12837] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9441),
  [12839] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4371),
  [12841] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4370),
  [12843] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7792),
  [12845] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9292),
  [12847] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2648),
  [12849] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4368),
  [12851] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4367),
  [12853] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5996),
  [12855] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5991),
  [12857] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9195),
  [12859] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4357),
  [12861] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9399),
  [12863] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1587),
  [12865] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5962),
  [12867] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5960),
  [12869] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5013),
  [12871] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1712),
  [12873] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1195),
  [12875] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1716),
  [12877] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1703),
  [12879] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9041),
  [12881] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_variadic_type_parameter_declaration, .child_count = 2),
  [12883] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_variadic_parameter_declaration, .child_count = 2, .production_id = 66),
  [12885] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_base_class_clause, .child_count = 6),
  [12887] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_parameter_declaration, .child_count = 2, .production_id = 56),
  [12889] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9068),
  [12891] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7210),
  [12893] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2017),
  [12895] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3020),
  [12897] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4641),
  [12899] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_nested_namespace_specifier, .child_count = 3),
  [12901] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8122),
  [12903] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5249),
  [12905] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1764),
  [12907] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8225),
  [12909] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = aux_sym_throw_specifier_repeat1, .child_count = 2), SHIFT_REPEAT(5089),
  [12912] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = aux_sym_throw_specifier_repeat1, .child_count = 2),
  [12914] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_field_designator, .child_count = 2, .production_id = 94),
  [12916] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = aux_sym_lambda_capture_specifier_repeat1, .child_count = 2), SHIFT_REPEAT(2427),
  [12919] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = aux_sym_structured_binding_declarator_repeat1, .child_count = 2), SHIFT_REPEAT(9971),
  [12922] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = aux_sym_structured_binding_declarator_repeat1, .child_count = 2),
  [12924] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2742),
  [12926] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9344),
  [12928] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9296),
  [12930] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2642),
  [12932] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4508),
  [12934] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9396),
  [12936] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2536),
  [12938] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2524),
  [12940] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9796),
  [12942] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4994),
  [12944] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4188),
  [12946] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8335),
  [12948] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9251),
  [12950] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2505),
  [12952] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4571),
  [12954] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9304),
  [12956] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = aux_sym_attribute_declaration_repeat1, .child_count = 2), SHIFT_REPEAT(9068),
  [12959] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = aux_sym_attribute_declaration_repeat1, .child_count = 2),
  [12961] = {.entry = {.count = 1, .reusable = true}}, SHIFT(484),
  [12963] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1661),
  [12965] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4656),
  [12967] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1297),
  [12969] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = aux_sym_declaration_repeat1, .child_count = 2, .production_id = 113), SHIFT_REPEAT(6290),
  [12972] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = aux_sym_declaration_repeat1, .child_count = 2, .production_id = 113),
  [12974] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1726),
  [12976] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8026),
  [12978] = {.entry = {.count = 1, .reusable = true}}, SHIFT(383),
  [12980] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8215),
  [12982] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1659),
  [12984] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2724),
  [12986] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2687),
  [12988] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4705),
  [12990] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3199),
  [12992] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4703),
  [12994] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_gnu_asm_output_operand, .child_count = 4, .production_id = 215),
  [12996] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4338),
  [12998] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6071),
  [13000] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9350),
  [13002] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1658),
  [13004] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1421),
  [13006] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6025),
  [13008] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1729),
  [13010] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1722),
  [13012] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1727),
  [13014] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9293),
  [13016] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5968),
  [13018] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3015),
  [13020] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = aux_sym_gnu_asm_output_operand_list_repeat1, .child_count = 2, .production_id = 151),
  [13022] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7223),
  [13024] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = aux_sym_gnu_asm_input_operand_list_repeat1, .child_count = 2, .production_id = 151),
  [13026] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1564),
  [13028] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2718),
  [13030] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4177),
  [13032] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10146),
  [13034] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_gnu_asm_goto_list, .child_count = 2, .production_id = 217),
  [13036] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5016),
  [13038] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4917),
  [13040] = {.entry = {.count = 1, .reusable = true}}, SHIFT(156),
  [13042] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1767),
  [13044] = {.entry = {.count = 1, .reusable = true}}, SHIFT(571),
  [13046] = {.entry = {.count = 1, .reusable = true}}, SHIFT(572),
  [13048] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4096),
  [13050] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9036),
  [13052] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_field_initializer, .child_count = 2, .production_id = 99),
  [13054] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4203),
  [13056] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9407),
  [13058] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7535),
  [13060] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_field_initializer_list, .child_count = 3),
  [13062] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9031),
  [13064] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_field_initializer, .child_count = 2),
  [13066] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2623),
  [13068] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8270),
  [13070] = {.entry = {.count = 1, .reusable = true}}, SHIFT(695),
  [13072] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3670),
  [13074] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1773),
  [13076] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4900),
  [13078] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4678),
  [13080] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4652),
  [13082] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9381),
  [13084] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4899),
  [13086] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9076),
  [13088] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4997),
  [13090] = {.entry = {.count = 1, .reusable = true}}, SHIFT(163),
  [13092] = {.entry = {.count = 1, .reusable = true}}, SHIFT(162),
  [13094] = {.entry = {.count = 1, .reusable = true}}, SHIFT(161),
  [13096] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = aux_sym_field_declaration_repeat1, .child_count = 3, .production_id = 203),
  [13098] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = aux_sym_field_declaration_repeat1, .child_count = 3, .production_id = 5),
  [13100] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = aux_sym_generic_expression_repeat1, .child_count = 2), SHIFT_REPEAT(5161),
  [13103] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = aux_sym_generic_expression_repeat1, .child_count = 2),
  [13105] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9819),
  [13107] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9258),
  [13109] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9007),
  [13111] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2919),
  [13113] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4117),
  [13115] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_gnu_asm_input_operand, .child_count = 4, .production_id = 215),
  [13117] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8116),
  [13119] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4149),
  [13121] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = aux_sym_gnu_asm_clobber_list_repeat1, .child_count = 2, .production_id = 209),
  [13123] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4834),
  [13125] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3853),
  [13127] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = aux_sym_argument_list_repeat1, .child_count = 2), SHIFT_REPEAT(1820),
  [13130] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3619),
  [13132] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3548),
  [13134] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3795),
  [13136] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8201),
  [13138] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4880),
  [13140] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8989),
  [13142] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9146),
  [13144] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4884),
  [13146] = {.entry = {.count = 1, .reusable = true}}, SHIFT(424),
  [13148] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7028),
  [13150] = {.entry = {.count = 1, .reusable = true}}, SHIFT(521),
  [13152] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4882),
  [13154] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9417),
  [13156] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = aux_sym_base_class_clause_repeat1, .child_count = 4),
  [13158] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2984),
  [13160] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2985),
  [13162] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4878),
  [13164] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4883),
  [13166] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1578),
  [13168] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4598),
  [13170] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_gnu_asm_goto_list, .child_count = 3, .production_id = 221),
  [13172] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7998),
  [13174] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9081),
  [13176] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4887),
  [13178] = {.entry = {.count = 1, .reusable = true}}, SHIFT(426),
  [13180] = {.entry = {.count = 1, .reusable = true}}, SHIFT(428),
  [13182] = {.entry = {.count = 1, .reusable = true}}, SHIFT(429),
  [13184] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4620),
  [13186] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1547),
  [13188] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = aux_sym_gnu_asm_goto_list_repeat1, .child_count = 2, .production_id = 223), SHIFT_REPEAT(10146),
  [13191] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = aux_sym_gnu_asm_goto_list_repeat1, .child_count = 2, .production_id = 223),
  [13193] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_gnu_asm_output_operand, .child_count = 7, .production_id = 224),
  [13195] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2901),
  [13197] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1546),
  [13199] = {.entry = {.count = 1, .reusable = true}}, SHIFT(684),
  [13201] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_gnu_asm_input_operand, .child_count = 7, .production_id = 224),
  [13203] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3518),
  [13205] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1662),
  [13207] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = aux_sym_initializer_list_repeat1, .child_count = 2), SHIFT_REPEAT(1778),
  [13210] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4269),
  [13212] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5517),
  [13214] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5979),
  [13216] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3521),
  [13218] = {.entry = {.count = 1, .reusable = true}}, SHIFT(951),
  [13220] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5548),
  [13222] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5550),
  [13224] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4264),
  [13226] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3653),
  [13228] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3225),
  [13230] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5570),
  [13232] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8928),
  [13234] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5572),
  [13236] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9256),
  [13238] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4261),
  [13240] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8019),
  [13242] = {.entry = {.count = 1, .reusable = true}}, SHIFT(238),
  [13244] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4196),
  [13246] = {.entry = {.count = 1, .reusable = true}}, SHIFT(236),
  [13248] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4511),
  [13250] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8219),
  [13252] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4450),
  [13254] = {.entry = {.count = 1, .reusable = true}}, SHIFT(318),
  [13256] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1719),
  [13258] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3810),
  [13260] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9206),
  [13262] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3169),
  [13264] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1711),
  [13266] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3805),
  [13268] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3838),
  [13270] = {.entry = {.count = 1, .reusable = true}}, SHIFT(177),
  [13272] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9160),
  [13274] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_subscript_range_designator, .child_count = 5, .production_id = 202),
  [13276] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4577),
  [13278] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5581),
  [13280] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5580),
  [13282] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8709),
  [13284] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9179),
  [13286] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9015),
  [13288] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = aux_sym_base_class_clause_repeat1, .child_count = 2),
  [13290] = {.entry = {.count = 1, .reusable = true}}, SHIFT(185),
  [13292] = {.entry = {.count = 1, .reusable = true}}, SHIFT(176),
  [13294] = {.entry = {.count = 1, .reusable = true}}, SHIFT(172),
  [13296] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1007),
  [13298] = {.entry = {.count = 1, .reusable = true}}, SHIFT(998),
  [13300] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4977),
  [13302] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3165),
  [13304] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4520),
  [13306] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = aux_sym_base_class_clause_repeat1, .child_count = 2), SHIFT_REPEAT(7037),
  [13309] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1765),
  [13311] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1000),
  [13313] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5089),
  [13315] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7026),
  [13317] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4605),
  [13319] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1772),
  [13321] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1768),
  [13323] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3933),
  [13325] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4212),
  [13327] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7772),
  [13329] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7781),
  [13331] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7785),
  [13333] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7819),
  [13335] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_field_initializer_list, .child_count = 2),
  [13337] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7921),
  [13339] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9230),
  [13341] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4211),
  [13343] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9207),
  [13345] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3569),
  [13347] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3616),
  [13349] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3179),
  [13351] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3178),
  [13353] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5464),
  [13355] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3180),
  [13357] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_init_declarator, .child_count = 2, .production_id = 68),
  [13359] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_condition_declaration, .child_count = 3, .production_id = 141),
  [13361] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4978),
  [13363] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4314),
  [13365] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8399),
  [13367] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3261),
  [13369] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8125),
  [13371] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9039),
  [13373] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3267),
  [13375] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1528),
  [13377] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3262),
  [13379] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4089),
  [13381] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4116),
  [13383] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4127),
  [13385] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4145),
  [13387] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4982),
  [13389] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3534),
  [13391] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7633),
  [13393] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4981),
  [13395] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1776),
  [13397] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4566),
  [13399] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = aux_sym_template_argument_list_repeat1, .child_count = 2, .dynamic_precedence = 3),
  [13401] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = aux_sym_template_argument_list_repeat1, .child_count = 2), SHIFT_REPEAT(1560),
  [13404] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = aux_sym_template_argument_list_repeat1, .child_count = 2),
  [13406] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4443),
  [13408] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_variadic_declarator, .child_count = 2),
  [13410] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4838),
  [13412] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4421),
  [13414] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_variadic_reference_declarator, .child_count = 2),
  [13416] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_parameter_declaration, .child_count = 3, .production_id = 66),
  [13418] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9219),
  [13420] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6964),
  [13422] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3191),
  [13424] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3200),
  [13426] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3189),
  [13428] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3188),
  [13430] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4403),
  [13432] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9220),
  [13434] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4229),
  [13436] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6069),
  [13438] = {.entry = {.count = 1, .reusable = true}}, SHIFT(785),
  [13440] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4568),
  [13442] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9135),
  [13444] = {.entry = {.count = 1, .reusable = true}}, SHIFT(966),
  [13446] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9181),
  [13448] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8015),
  [13450] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9239),
  [13452] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4696),
  [13454] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1420),
  [13456] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2998),
  [13458] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3000),
  [13460] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3007),
  [13462] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2988),
  [13464] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = aux_sym_template_parameter_list_repeat1, .child_count = 2), SHIFT_REPEAT(2017),
  [13467] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = aux_sym_template_parameter_list_repeat1, .child_count = 2),
  [13469] = {.entry = {.count = 1, .reusable = true}}, SHIFT(969),
  [13471] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3011),
  [13473] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9531),
  [13475] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9113),
  [13477] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4296),
  [13479] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7718),
  [13481] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = aux_sym_requires_parameter_list_repeat1, .child_count = 2), SHIFT_REPEAT(2524),
  [13484] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = aux_sym_requires_parameter_list_repeat1, .child_count = 2),
  [13486] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8012),
  [13488] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9242),
  [13490] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4557),
  [13492] = {.entry = {.count = 1, .reusable = true}}, SHIFT(807),
  [13494] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5469),
  [13496] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4811),
  [13498] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3579),
  [13500] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3943),
  [13502] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3946),
  [13504] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3949),
  [13506] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3950),
  [13508] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3587),
  [13510] = {.entry = {.count = 1, .reusable = true}}, SHIFT(286),
  [13512] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4770),
  [13514] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = aux_sym_parameter_list_repeat1, .child_count = 2), SHIFT_REPEAT(2505),
  [13517] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = aux_sym_parameter_list_repeat1, .child_count = 2),
  [13519] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8460),
  [13521] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4806),
  [13523] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4805),
  [13525] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7011),
  [13527] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5989),
  [13529] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2922),
  [13531] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3582),
  [13533] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4583),
  [13535] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4798),
  [13537] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3936),
  [13539] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3912),
  [13541] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3922),
  [13543] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3917),
  [13545] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3585),
  [13547] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1704),
  [13549] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4797),
  [13551] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2317),
  [13553] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = aux_sym_field_initializer_list_repeat1, .child_count = 2), SHIFT_REPEAT(7535),
  [13556] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = aux_sym_field_initializer_list_repeat1, .child_count = 2),
  [13558] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = aux_sym_subscript_argument_list_repeat1, .child_count = 2), SHIFT_REPEAT(1920),
  [13561] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4489),
  [13563] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3018),
  [13565] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8396),
  [13567] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4894),
  [13569] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9216),
  [13571] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = aux_sym_base_class_clause_repeat1, .child_count = 3),
  [13573] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8051),
  [13575] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9192),
  [13577] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2794),
  [13579] = {.entry = {.count = 1, .reusable = true}}, SHIFT(203),
  [13581] = {.entry = {.count = 1, .reusable = true}}, SHIFT(202),
  [13583] = {.entry = {.count = 1, .reusable = true}}, SHIFT(201),
  [13585] = {.entry = {.count = 1, .reusable = true}}, SHIFT(199),
  [13587] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3600),
  [13589] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3567),
  [13591] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3164),
  [13593] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym__namespace_specifier, .child_count = 2, .production_id = 59),
  [13595] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7463),
  [13597] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3237),
  [13599] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3235),
  [13601] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3231),
  [13603] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4112),
  [13605] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_nested_namespace_specifier, .child_count = 2),
  [13607] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4765),
  [13609] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4764),
  [13611] = {.entry = {.count = 1, .reusable = true}}, SHIFT(452),
  [13613] = {.entry = {.count = 1, .reusable = true}}, SHIFT(451),
  [13615] = {.entry = {.count = 1, .reusable = true}}, SHIFT(449),
  [13617] = {.entry = {.count = 1, .reusable = true}}, SHIFT(448),
  [13619] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3511),
  [13621] = {.entry = {.count = 1, .reusable = true}}, SHIFT(979),
  [13623] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = aux_sym_preproc_argument_list_repeat1, .child_count = 2), SHIFT_REPEAT(6937),
  [13626] = {.entry = {.count = 1, .reusable = true}}, SHIFT(975),
  [13628] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8008),
  [13630] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = aux_sym_preproc_params_repeat1, .child_count = 2), SHIFT_REPEAT(9258),
  [13633] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = aux_sym_preproc_params_repeat1, .child_count = 2),
  [13635] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8325),
  [13637] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1763),
  [13639] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1467),
  [13641] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1477),
  [13643] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1466),
  [13645] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1479),
  [13647] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8281),
  [13649] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4442),
  [13651] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6062),
  [13653] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6063),
  [13655] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6064),
  [13657] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6065),
  [13659] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1705),
  [13661] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8260),
  [13663] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4556),
  [13665] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4847),
  [13667] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4842),
  [13669] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4858),
  [13671] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4844),
  [13673] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8402),
  [13675] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9022),
  [13677] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5034),
  [13679] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5020),
  [13681] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5018),
  [13683] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5017),
  [13685] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1717),
  [13687] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2834),
  [13689] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3657),
  [13691] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3650),
  [13693] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3647),
  [13695] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3638),
  [13697] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4378),
  [13699] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4722),
  [13701] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4979),
  [13703] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3259),
  [13705] = {.entry = {.count = 1, .reusable = true}}, SHIFT(662),
  [13707] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9318),
  [13709] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8144),
  [13711] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8056),
  [13713] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1953),
  [13715] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1499),
  [13717] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2921),
  [13719] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9865),
  [13721] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6206),
  [13723] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2559),
  [13725] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9906),
  [13727] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9215),
  [13729] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1502),
  [13731] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_preproc_params, .child_count = 4),
  [13733] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_preproc_params, .child_count = 4),
  [13735] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1504),
  [13737] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1514),
  [13739] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8734),
  [13741] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10062),
  [13743] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8997),
  [13745] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_field_initializer, .child_count = 3),
  [13747] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1505),
  [13749] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_field_initializer, .child_count = 3, .production_id = 99),
  [13751] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9921),
  [13753] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9922),
  [13755] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_variadic_type_parameter_declaration, .child_count = 3, .production_id = 154),
  [13757] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9302),
  [13759] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2611),
  [13761] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9798),
  [13763] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9006),
  [13765] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9367),
  [13767] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9010),
  [13769] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_attribute, .child_count = 2, .production_id = 6),
  [13771] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9021),
  [13773] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2694),
  [13775] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10036),
  [13777] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_template_template_parameter_declaration, .child_count = 3, .production_id = 57),
  [13779] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10354),
  [13781] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10363),
  [13783] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = aux_sym_template_argument_list_repeat1, .child_count = 2, .dynamic_precedence = 2),
  [13785] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9035),
  [13787] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3312),
  [13789] = {.entry = {.count = 1, .reusable = true}}, SHIFT(403),
  [13791] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1057),
  [13793] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9954),
  [13795] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2702),
  [13797] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9972),
  [13799] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9051),
  [13801] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4022),
  [13803] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2802),
  [13805] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9628),
  [13807] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4422),
  [13809] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1507),
  [13811] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9066),
  [13813] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4130),
  [13815] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1278),
  [13817] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9696),
  [13819] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10032),
  [13821] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10033),
  [13823] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3792),
  [13825] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1485),
  [13827] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1161),
  [13829] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9733),
  [13831] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1142),
  [13833] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_preproc_params, .child_count = 2),
  [13835] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_preproc_params, .child_count = 2),
  [13837] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9082),
  [13839] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9742),
  [13841] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9741),
  [13843] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2837),
  [13845] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10153),
  [13847] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = aux_sym_gnu_asm_goto_list_repeat1, .child_count = 2, .production_id = 217),
  [13849] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9089),
  [13851] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9885),
  [13853] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9889),
  [13855] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1144),
  [13857] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9673),
  [13859] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8521),
  [13861] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10339),
  [13863] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5274),
  [13865] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9246),
  [13867] = {.entry = {.count = 1, .reusable = true}}, SHIFT(389),
  [13869] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10041),
  [13871] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_attribute, .child_count = 4, .production_id = 91),
  [13873] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1496),
  [13875] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9683),
  [13877] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9729),
  [13879] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_preproc_params, .child_count = 3),
  [13881] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_preproc_params, .child_count = 3),
  [13883] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1197),
  [13885] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9008),
  [13887] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9078),
  [13889] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = aux_sym_base_class_clause_repeat1, .child_count = 6),
  [13891] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8556),
  [13893] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10328),
  [13895] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3886),
  [13897] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9878),
  [13899] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10409),
  [13901] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8658),
  [13903] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10067),
  [13905] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9128),
  [13907] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2940),
  [13909] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10374),
  [13911] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3430),
  [13913] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2432),
  [13915] = {.entry = {.count = 1, .reusable = true}}, SHIFT(653),
  [13917] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9603),
  [13919] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5096),
  [13921] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9656),
  [13923] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9588),
  [13925] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9134),
  [13927] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7021),
  [13929] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10042),
  [13931] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9003),
  [13933] = {.entry = {.count = 1, .reusable = true}}, SHIFT(614),
  [13935] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8592),
  [13937] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10350),
  [13939] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8791),
  [13941] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9883),
  [13943] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10065),
  [13945] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10412),
  [13947] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10094),
  [13949] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10415),
  [13951] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8605),
  [13953] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_gnu_asm_goto_list, .child_count = 1),
  [13955] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10073),
  [13957] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10072),
  [13959] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10139),
  [13961] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10142),
  [13963] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10119),
  [13965] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10418),
  [13967] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10141),
  [13969] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10421),
  [13971] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10161),
  [13973] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10424),
  [13975] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1310),
  [13977] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6249),
  [13979] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10180),
  [13981] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10427),
  [13983] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10197),
  [13985] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10429),
  [13987] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10207),
  [13989] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10430),
  [13991] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3063),
  [13993] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10215),
  [13995] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10431),
  [13997] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9170),
  [13999] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1192),
  [14001] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9481),
  [14003] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10220),
  [14005] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10432),
  [14007] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10222),
  [14009] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10433),
  [14011] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10224),
  [14013] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10434),
  [14015] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_type_parameter_pack_expansion, .child_count = 2, .production_id = 28),
  [14017] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9166),
  [14019] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10226),
  [14021] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10435),
  [14023] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10228),
  [14025] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10436),
  [14027] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10230),
  [14029] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10437),
  [14031] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6882),
  [14033] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9794),
  [14035] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10232),
  [14037] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10438),
  [14039] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9669),
  [14041] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9668),
  [14043] = {.entry = {.count = 1, .reusable = true}}, SHIFT(649),
  [14045] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9499),
  [14047] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10234),
  [14049] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10439),
  [14051] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9105),
  [14053] = {.entry = {.count = 1, .reusable = true}}, SHIFT(373),
  [14055] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10304),
  [14057] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1202),
  [14059] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10306),
  [14061] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8850),
  [14063] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10254),
  [14065] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2895),
  [14067] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2765),
  [14069] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2946),
  [14071] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9778),
  [14073] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2945),
  [14075] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2856),
  [14077] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2929),
  [14079] = {.entry = {.count = 1, .reusable = true}}, SHIFT(859),
  [14081] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2923),
  [14083] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2916),
  [14085] = {.entry = {.count = 1, .reusable = true}}, SHIFT(860),
  [14087] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4699),
  [14089] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3790),
  [14091] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2912),
  [14093] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5971),
  [14095] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8457),
  [14097] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2911),
  [14099] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18),
  [14101] = {.entry = {.count = 1, .reusable = true}}, SHIFT(705),
  [14103] = {.entry = {.count = 1, .reusable = true}}, SHIFT(122),
  [14105] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2904),
  [14107] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2900),
  [14109] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5613),
  [14111] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2965),
  [14113] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2943),
  [14115] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5995),
  [14117] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4941),
  [14119] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2893),
  [14121] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9550),
  [14123] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5021),
  [14125] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9762),
  [14127] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2964),
  [14129] = {.entry = {.count = 1, .reusable = true}}, SHIFT(854),
  [14131] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1048),
  [14133] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9939),
  [14135] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2885),
  [14137] = {.entry = {.count = 1, .reusable = true}}, SHIFT(519),
  [14139] = {.entry = {.count = 1, .reusable = true}}, SHIFT(853),
  [14141] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1368),
  [14143] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1320),
  [14145] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9563),
  [14147] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5988),
  [14149] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1322),
  [14151] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2879),
  [14153] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9963),
  [14155] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2870),
  [14157] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9545),
  [14159] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1969),
  [14161] = {.entry = {.count = 1, .reusable = true}}, SHIFT(677),
  [14163] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4647),
  [14165] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1961),
  [14167] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4943),
  [14169] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4942),
  [14171] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4603),
  [14173] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1290),
  [14175] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10000),
  [14177] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1280),
  [14179] = {.entry = {.count = 1, .reusable = true}}, SHIFT(757),
  [14181] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4646),
  [14183] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9491),
  [14185] = {.entry = {.count = 1, .reusable = true}}, SHIFT(756),
  [14187] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10015),
  [14189] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1335),
  [14191] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1325),
  [14193] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4637),
  [14195] = {.entry = {.count = 1, .reusable = true}}, SHIFT(624),
  [14197] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9457),
  [14199] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1329),
  [14201] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4636),
  [14203] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8343),
  [14205] = {.entry = {.count = 1, .reusable = true}}, SHIFT(24),
  [14207] = {.entry = {.count = 1, .reusable = true}}, SHIFT(564),
  [14209] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1264),
  [14211] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9790),
  [14213] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4650),
  [14215] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_requires_parameter_list, .child_count = 3),
  [14217] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10068),
  [14219] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9534),
  [14221] = {.entry = {.count = 1, .reusable = true}}, SHIFT(727),
  [14223] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4544),
  [14225] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4460),
  [14227] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3852),
  [14229] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9684),
  [14231] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2855),
  [14233] = {.entry = {.count = 1, .reusable = true}}, SHIFT(615),
  [14235] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1032),
  [14237] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4586),
  [14239] = {.entry = {.count = 1, .reusable = true}}, SHIFT(106),
  [14241] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10216),
  [14243] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5664),
  [14245] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9598),
  [14247] = {.entry = {.count = 1, .reusable = true}}, SHIFT(651),
  [14249] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1121),
  [14251] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20),
  [14253] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6047),
  [14255] = {.entry = {.count = 1, .reusable = true}}, SHIFT(525),
  [14257] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8186),
  [14259] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4178),
  [14261] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2843),
  [14263] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1351),
  [14265] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1354),
  [14267] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9614),
  [14269] = {.entry = {.count = 1, .reusable = true}}, SHIFT(398),
  [14271] = {.entry = {.count = 1, .reusable = true}}, SHIFT(863),
  [14273] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1430),
  [14275] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4919),
  [14277] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9641),
  [14279] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym__unary_right_fold, .child_count = 3, .production_id = 55),
  [14281] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4488),
  [14283] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4046),
  [14285] = {.entry = {.count = 1, .reusable = true}}, SHIFT(857),
  [14287] = {.entry = {.count = 1, .reusable = true}}, SHIFT(592),
  [14289] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9660),
  [14291] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1356),
  [14293] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9582),
  [14295] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9664),
  [14297] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8278),
  [14299] = {.entry = {.count = 1, .reusable = true}}, SHIFT(610),
  [14301] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9697),
  [14303] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1096),
  [14305] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1093),
  [14307] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5673),
  [14309] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2622),
  [14311] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4726),
  [14313] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4906),
  [14315] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1393),
  [14317] = {.entry = {.count = 1, .reusable = true}}, SHIFT(596),
  [14319] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9731),
  [14321] = {.entry = {.count = 1, .reusable = true}}, SHIFT(600),
  [14323] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2829),
  [14325] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1194),
  [14327] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9752),
  [14329] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1695),
  [14331] = {.entry = {.count = 1, .reusable = true}}, SHIFT(654),
  [14333] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9766),
  [14335] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3478),
  [14337] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1301),
  [14339] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4488),
  [14341] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9773),
  [14343] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9788),
  [14345] = {.entry = {.count = 1, .reusable = true}}, SHIFT(619),
  [14347] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8209),
  [14349] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_preproc_elifdef, .child_count = 3, .production_id = 79),
  [14351] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1182),
  [14353] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4892),
  [14355] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1682),
  [14357] = {.entry = {.count = 1, .reusable = true}}, SHIFT(682),
  [14359] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3473),
  [14361] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4881),
  [14363] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4888),
  [14365] = {.entry = {.count = 1, .reusable = true}}, SHIFT(123),
  [14367] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2815),
  [14369] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1262),
  [14371] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1620),
  [14373] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1627),
  [14375] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1045),
  [14377] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9892),
  [14379] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1914),
  [14381] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4779),
  [14383] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4840),
  [14385] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9918),
  [14387] = {.entry = {.count = 1, .reusable = true}}, SHIFT(741),
  [14389] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1090),
  [14391] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3377),
  [14393] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4736),
  [14395] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1554),
  [14397] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9940),
  [14399] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5980),
  [14401] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1656),
  [14403] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1518),
  [14405] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1257),
  [14407] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7014),
  [14409] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1256),
  [14411] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1522),
  [14413] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9941),
  [14415] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7643),
  [14417] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8062),
  [14419] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1160),
  [14421] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9953),
  [14423] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8196),
  [14425] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9923),
  [14427] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3422),
  [14429] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2798),
  [14431] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1417),
  [14433] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7747),
  [14435] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4818),
  [14437] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4648),
  [14439] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10298),
  [14441] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10034),
  [14443] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1336),
  [14445] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4236),
  [14447] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3351),
  [14449] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1103),
  [14451] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10046),
  [14453] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9720),
  [14455] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1127),
  [14457] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1089),
  [14459] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10083),
  [14461] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9860),
  [14463] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2876),
  [14465] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10209),
  [14467] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5595),
  [14469] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1307),
  [14471] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1302),
  [14473] = {.entry = {.count = 1, .reusable = true}}, SHIFT(628),
  [14475] = {.entry = {.count = 1, .reusable = true}}, SHIFT(636),
  [14477] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1601),
  [14479] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10087),
  [14481] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2803),
  [14483] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5706),
  [14485] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7639),
  [14487] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4732),
  [14489] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10116),
  [14491] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2830),
  [14493] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8378),
  [14495] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3481),
  [14497] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5787),
  [14499] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1164),
  [14501] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4983),
  [14503] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2304),
  [14505] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9997),
  [14507] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1061),
  [14509] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3183),
  [14511] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1149),
  [14513] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10006),
  [14515] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10366),
  [14517] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10271),
  [14519] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5039),
  [14521] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4761),
  [14523] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10099),
  [14525] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1371),
  [14527] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3059),
  [14529] = {.entry = {.count = 1, .reusable = true}}, SHIFT(516),
  [14531] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1365),
  [14533] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10441),
  [14535] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3486),
  [14537] = {.entry = {.count = 1, .reusable = true}}, SHIFT(544),
  [14539] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1271),
  [14541] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1189),
  [14543] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3089),
  [14545] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3177),
  [14547] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9240),
  [14549] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10026),
  [14551] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_requires_parameter_list, .child_count = 2),
  [14553] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9530),
  [14555] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9955),
  [14557] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10416),
  [14559] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_requires_parameter_list, .child_count = 4),
  [14561] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9243),
  [14563] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2593),
  [14565] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9924),
  [14567] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9528),
  [14569] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10303),
  [14571] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2668),
  [14573] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2665),
  [14575] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2661),
  [14577] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10276),
  [14579] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2707),
  [14581] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10267),
  [14583] = {.entry = {.count = 1, .reusable = true}}, SHIFT(464),
  [14585] = {.entry = {.count = 1, .reusable = true}}, SHIFT(468),
  [14587] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10159),
  [14589] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9787),
  [14591] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10135),
  [14593] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3418),
  [14595] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10132),
  [14597] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2553),
  [14599] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_preproc_elif, .child_count = 4, .production_id = 125),
  [14601] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_preproc_elifdef, .child_count = 4, .production_id = 126),
  [14603] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10056),
  [14605] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10047),
  [14607] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10044),
  [14609] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4592),
  [14611] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10030),
  [14613] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10029),
  [14615] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3982),
  [14617] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10008),
  [14619] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10007),
  [14621] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9988),
  [14623] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9986),
  [14625] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9977),
  [14627] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9976),
  [14629] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9962),
  [14631] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9961),
  [14633] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9937),
  [14635] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9942),
  [14637] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9818),
  [14639] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9931),
  [14641] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8080),
  [14643] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10035),
  [14645] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3601),
  [14647] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9012),
  [14649] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9682),
  [14651] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9816),
  [14653] = {.entry = {.count = 1, .reusable = true}}, SHIFT(130),
  [14655] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4372),
  [14657] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5128),
  [14659] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5422),
  [14661] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2071),
  [14663] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2195),
  [14665] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5420),
  [14667] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5386),
  [14669] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1927),
  [14671] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3095),
  [14673] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1913),
  [14675] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1944),
  [14677] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2859),
  [14679] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1648),
  [14681] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5450),
  [14683] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2636),
  [14685] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9075),
  [14687] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22),
  [14689] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9774),
  [14691] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8352),
  [14693] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6243),
  [14695] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9478),
  [14697] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2116),
  [14699] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9771),
  [14701] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4976),
  [14703] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1644),
  [14705] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5637),
  [14707] = {.entry = {.count = 1, .reusable = true}}, SHIFT(153),
  [14709] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9477),
  [14711] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2591),
  [14713] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1399),
  [14715] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1398),
  [14717] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1374),
  [14719] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9875),
  [14721] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8351),
  [14723] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8203),
  [14725] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1654),
  [14727] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9739),
  [14729] = {.entry = {.count = 1, .reusable = true}}, SHIFT(522),
  [14731] = {.entry = {.count = 1, .reusable = true}}, SHIFT(518),
  [14733] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1376),
  [14735] = {.entry = {.count = 1, .reusable = true}}, SHIFT(100),
  [14737] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1412),
  [14739] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4522),
  [14741] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7926),
  [14743] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2633),
  [14745] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8067),
  [14747] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2849),
  [14749] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3315),
  [14751] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_preproc_ifdef_in_enumerator_list_no_comma, .child_count = 4, .production_id = 10),
  [14753] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9721),
  [14755] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1185),
  [14757] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7905),
  [14759] = {.entry = {.count = 1, .reusable = true}}, SHIFT(580),
  [14761] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5574),
  [14763] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2113),
  [14765] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10129),
  [14767] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1083),
  [14769] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1073),
  [14771] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_preproc_ifdef_in_enumerator_list_no_comma, .child_count = 4, .production_id = 79),
  [14773] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9910),
  [14775] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3676),
  [14777] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2638),
  [14779] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2698),
  [14781] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2704),
  [14783] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3421),
  [14785] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3631),
  [14787] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2706),
  [14789] = {.entry = {.count = 1, .reusable = true}}, SHIFT(418),
  [14791] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2711),
  [14793] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2716),
  [14795] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3504),
  [14797] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2717),
  [14799] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3344),
  [14801] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4999),
  [14803] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5488),
  [14805] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3502),
  [14807] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2720),
  [14809] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2746),
  [14811] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7344),
  [14813] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2756),
  [14815] = {.entry = {.count = 1, .reusable = true}}, SHIFT(674),
  [14817] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2939),
  [14819] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2978),
  [14821] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2769),
  [14823] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2621),
  [14825] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5004),
  [14827] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1056),
  [14829] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6891),
  [14831] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2898),
  [14833] = {.entry = {.count = 1, .reusable = true}}, SHIFT(439),
  [14835] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1058),
  [14837] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8548),
  [14839] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1074),
  [14841] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4832),
  [14843] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4796),
  [14845] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3572),
  [14847] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4810),
  [14849] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4813),
  [14851] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2722),
  [14853] = {.entry = {.count = 1, .reusable = true}}, SHIFT(670),
  [14855] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2727),
  [14857] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9372),
  [14859] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2749),
  [14861] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1943),
  [14863] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7072),
  [14865] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7071),
  [14867] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4846),
  [14869] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4845),
  [14871] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3163),
  [14873] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7069),
  [14875] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2926),
  [14877] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2937),
  [14879] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8364),
  [14881] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2682),
  [14883] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2942),
  [14885] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3529),
  [14887] = {.entry = {.count = 1, .reusable = true}}, SHIFT(434),
  [14889] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3510),
  [14891] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1396),
  [14893] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2693),
  [14895] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4673),
  [14897] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8032),
  [14899] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3353),
  [14901] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1253),
  [14903] = {.entry = {.count = 1, .reusable = true}}, SHIFT(407),
  [14905] = {.entry = {.count = 1, .reusable = true}}, SHIFT(406),
  [14907] = {.entry = {.count = 1, .reusable = true}}, SHIFT(404),
  [14909] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10305),
  [14911] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4965),
  [14913] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4964),
  [14915] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10308),
  [14917] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2434),
  [14919] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1641),
  [14921] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4193),
  [14923] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4350),
  [14925] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3576),
  [14927] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2605),
  [14929] = {.entry = {.count = 1, .reusable = true}}, SHIFT(339),
  [14931] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9579),
  [14933] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = sym__fold_operator, .child_count = 1), SHIFT(9580),
  [14936] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1267),
  [14938] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2768),
  [14940] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1071),
  [14942] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1416),
  [14944] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4686),
  [14946] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1266),
  [14948] = {.entry = {.count = 1, .reusable = true}}, SHIFT(35),
  [14950] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3519),
  [14952] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3515),
  [14954] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2782),
  [14956] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10014),
  [14958] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_preproc_if_in_enumerator_list_no_comma, .child_count = 5, .production_id = 125),
  [14960] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2772),
  [14962] = {.entry = {.count = 1, .reusable = true}}, SHIFT(964),
  [14964] = {.entry = {.count = 1, .reusable = true}}, SHIFT(445),
  [14966] = {.entry = {.count = 1, .reusable = true}}, SHIFT(401),
  [14968] = {.entry = {.count = 1, .reusable = true}}, SHIFT(397),
  [14970] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9693),
  [14972] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2689),
  [14974] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3719),
  [14976] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1279),
  [14978] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4235),
  [14980] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3685),
  [14982] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9347),
  [14984] = {.entry = {.count = 1, .reusable = true}}, SHIFT(133),
  [14986] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5093),
  [14988] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2026),
  [14990] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1934),
  [14992] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10057),
  [14994] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3882),
  [14996] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9376),
  [14998] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9514),
  [15000] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1404),
  [15002] = {.entry = {.count = 1, .reusable = true}}, SHIFT(150),
  [15004] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_preproc_elifdef_in_field_declaration_list, .child_count = 3, .production_id = 79),
  [15006] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2256),
  [15008] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9508),
  [15010] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5730),
  [15012] = {.entry = {.count = 1, .reusable = true}}, SHIFT(152),
  [15014] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10096),
  [15016] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1655),
  [15018] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9494),
  [15020] = {.entry = {.count = 1, .reusable = true}}, SHIFT(350),
  [15022] = {.entry = {.count = 1, .reusable = true}}, SHIFT(353),
  [15024] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1143),
  [15026] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8085),
  [15028] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9482),
  [15030] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2297),
  [15032] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5725),
  [15034] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3896),
  [15036] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2752),
  [15038] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9439),
  [15040] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5081),
  [15042] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3734),
  [15044] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2007),
  [15046] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_preproc_if_in_enumerator_list_no_comma, .child_count = 5, .production_id = 78),
  [15048] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10386),
  [15050] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4263),
  [15052] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9413),
  [15054] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9490),
  [15056] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1141),
  [15058] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1138),
  [15060] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2308),
  [15062] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9497),
  [15064] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1117),
  [15066] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4097),
  [15068] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9512),
  [15070] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_preproc_elifdef_in_enumerator_list, .child_count = 3, .production_id = 79),
  [15072] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4584),
  [15074] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1052),
  [15076] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3661),
  [15078] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9520),
  [15080] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2333),
  [15082] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1403),
  [15084] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1387),
  [15086] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9737),
  [15088] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9349),
  [15090] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5113),
  [15092] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1386),
  [15094] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1999),
  [15096] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_preproc_elifdef_in_enumerator_list_no_comma, .child_count = 3, .production_id = 79),
  [15098] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1922),
  [15100] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9307),
  [15102] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2696),
  [15104] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9571),
  [15106] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3743),
  [15108] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5523),
  [15110] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2379),
  [15112] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9578),
  [15114] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2783),
  [15116] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9592),
  [15118] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5508),
  [15120] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_preproc_elif_in_field_declaration_list, .child_count = 5, .production_id = 174),
  [15122] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9599),
  [15124] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2424),
  [15126] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_preproc_ifdef_in_enumerator_list_no_comma, .child_count = 5, .production_id = 126),
  [15128] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9270),
  [15130] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5124),
  [15132] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4945),
  [15134] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1996),
  [15136] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2920),
  [15138] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4944),
  [15140] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9253),
  [15142] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9631),
  [15144] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2962),
  [15146] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9792),
  [15148] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2430),
  [15150] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9637),
  [15152] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9800),
  [15154] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9649),
  [15156] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8684),
  [15158] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9194),
  [15160] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9655),
  [15162] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2436),
  [15164] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2457),
  [15166] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9212),
  [15168] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5127),
  [15170] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2851),
  [15172] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1993),
  [15174] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5880),
  [15176] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1360),
  [15178] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9681),
  [15180] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10166),
  [15182] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2442),
  [15184] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9687),
  [15186] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9699),
  [15188] = {.entry = {.count = 1, .reusable = true}}, SHIFT(380),
  [15190] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1965),
  [15192] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5301),
  [15194] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9705),
  [15196] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2465),
  [15198] = {.entry = {.count = 1, .reusable = true}}, SHIFT(405),
  [15200] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9156),
  [15202] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5132),
  [15204] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1179),
  [15206] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1991),
  [15208] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8911),
  [15210] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7118),
  [15212] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9730),
  [15214] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5686),
  [15216] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_preproc_elif, .child_count = 5, .production_id = 174),
  [15218] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2489),
  [15220] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9736),
  [15222] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1401),
  [15224] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9747),
  [15226] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7120),
  [15228] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2980),
  [15230] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9753),
  [15232] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2495),
  [15234] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9103),
  [15236] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1979),
  [15238] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2447),
  [15240] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5287),
  [15242] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2444),
  [15244] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2469),
  [15246] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9780),
  [15248] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10145),
  [15250] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2583),
  [15252] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_preproc_elif_in_enumerator_list, .child_count = 4, .production_id = 125),
  [15254] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9795),
  [15256] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2581),
  [15258] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9037),
  [15260] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2014),
  [15262] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_preproc_elif_in_enumerator_list_no_comma, .child_count = 5, .production_id = 174),
  [15264] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9805),
  [15266] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2651),
  [15268] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4645),
  [15270] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9809),
  [15272] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9020),
  [15274] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2024),
  [15276] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_preproc_elif_in_enumerator_list, .child_count = 5, .production_id = 174),
  [15278] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9817),
  [15280] = {.entry = {.count = 1, .reusable = true}}, SHIFT(285),
  [15282] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9820),
  [15284] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9001),
  [15286] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2053),
  [15288] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9825),
  [15290] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9826),
  [15292] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9828),
  [15294] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9829),
  [15296] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9831),
  [15298] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9832),
  [15300] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9833),
  [15302] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9834),
  [15304] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9835),
  [15306] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9836),
  [15308] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9837),
  [15310] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9838),
  [15312] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9839),
  [15314] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9840),
  [15316] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9841),
  [15318] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9842),
  [15320] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9884),
  [15322] = {.entry = {.count = 1, .reusable = true}}, SHIFT(135),
  [15324] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2440),
  [15326] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9877),
  [15328] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2961),
  [15330] = {.entry = {.count = 1, .reusable = true}}, SHIFT(922),
  [15332] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1039),
  [15334] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4285),
  [15336] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4286),
  [15338] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4287),
  [15340] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1911),
  [15342] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8984),
  [15344] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5003),
  [15346] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2958),
  [15348] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2956),
  [15350] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2955),
  [15352] = {.entry = {.count = 1, .reusable = true}}, SHIFT(149),
  [15354] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2938),
  [15356] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8476),
  [15358] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9914),
  [15360] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4207),
  [15362] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2563),
  [15364] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2561),
  [15366] = {.entry = {.count = 1, .reusable = true}}, SHIFT(260),
  [15368] = {.entry = {.count = 1, .reusable = true}}, SHIFT(257),
  [15370] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3654),
  [15372] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2557),
  [15374] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2713),
  [15376] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7119),
  [15378] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3539),
  [15380] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2552),
  [15382] = {.entry = {.count = 1, .reusable = true}}, SHIFT(723),
  [15384] = {.entry = {.count = 1, .reusable = true}}, SHIFT(730),
  [15386] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3602),
  [15388] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_ms_based_modifier, .child_count = 2),
  [15390] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9978),
  [15392] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2701),
  [15394] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4513),
  [15396] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2550),
  [15398] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1951),
  [15400] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1411),
  [15402] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4825),
  [15404] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3608),
  [15406] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3609),
  [15408] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3610),
  [15410] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1936),
  [15412] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8803),
  [15414] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7645),
  [15416] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2401),
  [15418] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1105),
  [15420] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3530),
  [15422] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3536),
  [15424] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4578),
  [15426] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4564),
  [15428] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4560),
  [15430] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1960),
  [15432] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10312),
  [15434] = {.entry = {.count = 1, .reusable = true}}, SHIFT(388),
  [15436] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8582),
  [15438] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1203),
  [15440] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2602),
  [15442] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8053),
  [15444] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2600),
  [15446] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6387),
  [15448] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5179),
  [15450] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2585),
  [15452] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10198),
  [15454] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2568),
  [15456] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4662),
  [15458] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2541),
  [15460] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1642),
  [15462] = {.entry = {.count = 1, .reusable = true}}, SHIFT(136),
  [15464] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2375),
  [15466] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10064),
  [15468] = {.entry = {.count = 1, .reusable = true}}, SHIFT(229),
  [15470] = {.entry = {.count = 1, .reusable = true}}, SHIFT(232),
  [15472] = {.entry = {.count = 1, .reusable = true}}, SHIFT(147),
  [15474] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8354),
  [15476] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10076),
  [15478] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2544),
  [15480] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4531),
  [15482] = {.entry = {.count = 1, .reusable = true}},  ACCEPT_INPUT(),
  [15484] = {.entry = {.count = 1, .reusable = true}}, SHIFT(131),
  [15486] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2362),
  [15488] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10093),
  [15490] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2953),
  [15492] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2954),
  [15494] = {.entry = {.count = 1, .reusable = true}}, SHIFT(151),
  [15496] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8355),
  [15498] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10102),
  [15500] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10149),
  [15502] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2292),
  [15504] = {.entry = {.count = 1, .reusable = true}}, SHIFT(134),
  [15506] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2300),
  [15508] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10118),
  [15510] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5035),
  [15512] = {.entry = {.count = 1, .reusable = true}}, SHIFT(125),
  [15514] = {.entry = {.count = 1, .reusable = true}}, SHIFT(148),
  [15516] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8316),
  [15518] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10126),
  [15520] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6409),
  [15522] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2873),
  [15524] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2275),
  [15526] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2295),
  [15528] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10140),
  [15530] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3931),
  [15532] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1995),
  [15534] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8300),
  [15536] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10147),
  [15538] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2546),
  [15540] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2287),
  [15542] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10160),
  [15544] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10311),
  [15546] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8286),
  [15548] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10167),
  [15550] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2272),
  [15552] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5075),
  [15554] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2282),
  [15556] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10179),
  [15558] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2861),
  [15560] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5076),
  [15562] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8274),
  [15564] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10186),
  [15566] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10242),
  [15568] = {.entry = {.count = 1, .reusable = true}}, SHIFT(965),
  [15570] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2274),
  [15572] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10196),
  [15574] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8247),
  [15576] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10202),
  [15578] = {.entry = {.count = 1, .reusable = true}}, SHIFT(947),
  [15580] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_preproc_if_in_enumerator_list_no_comma, .child_count = 6, .production_id = 174),
  [15582] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8218),
  [15584] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10210),
  [15586] = {.entry = {.count = 1, .reusable = true}}, SHIFT(132),
  [15588] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2820),
  [15590] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10217),
  [15592] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5434),
  [15594] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10221),
  [15596] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5600),
  [15598] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10223),
  [15600] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5601),
  [15602] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10225),
  [15604] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1919),
  [15606] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10227),
  [15608] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_preproc_elif_in_enumerator_list_no_comma, .child_count = 4, .production_id = 125),
  [15610] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10229),
  [15612] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_preproc_elifdef_in_enumerator_list, .child_count = 4, .production_id = 126),
  [15614] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10231),
  [15616] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_preproc_elifdef_in_enumerator_list_no_comma, .child_count = 4, .production_id = 126),
  [15618] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10233),
  [15620] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4355),
  [15622] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10235),
  [15624] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5080),
  [15626] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10259),
  [15628] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4361),
  [15630] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5065),
  [15632] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10330),
  [15634] = {.entry = {.count = 1, .reusable = true}}, SHIFT(116),
  [15636] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5103),
  [15638] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10341),
  [15640] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7401),
  [15642] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5107),
  [15644] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10352),
  [15646] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2890),
  [15648] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5136),
  [15650] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10361),
  [15652] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4638),
  [15654] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5140),
  [15656] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10369),
  [15658] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2647),
  [15660] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5148),
  [15662] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10377),
  [15664] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10278),
  [15666] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10384),
  [15668] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10388),
  [15670] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10391),
  [15672] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10393),
  [15674] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10395),
  [15676] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10397),
  [15678] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10399),
  [15680] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10401),
  [15682] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10403),
  [15684] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10405),
  [15686] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10407),
  [15688] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_preproc_elif_in_field_declaration_list, .child_count = 4, .production_id = 125),
  [15690] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7398),
  [15692] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9328),
  [15694] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_preproc_elifdef_in_field_declaration_list, .child_count = 4, .production_id = 126),
  [15696] = {.entry = {.count = 1, .reusable = true}}, SHIFT(25),
  [15698] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2800),
  [15700] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8227),
  [15702] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2123),
  [15704] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2122),
  [15706] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2108),
  [15708] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2105),
  [15710] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2104),
  [15712] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2102),
  [15714] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2204),
};

enum ts_external_scanner_symbol_identifiers {
  ts_external_token_raw_string_delimiter = 0,
  ts_external_token_raw_string_content = 1,
};

static const TSSymbol ts_external_scanner_symbol_map[EXTERNAL_TOKEN_COUNT] = {
  [ts_external_token_raw_string_delimiter] = sym_raw_string_delimiter,
  [ts_external_token_raw_string_content] = sym_raw_string_content,
};

static const bool ts_external_scanner_states[4][EXTERNAL_TOKEN_COUNT] = {
  [1] = {
    [ts_external_token_raw_string_delimiter] = true,
    [ts_external_token_raw_string_content] = true,
  },
  [2] = {
    [ts_external_token_raw_string_delimiter] = true,
  },
  [3] = {
    [ts_external_token_raw_string_content] = true,
  },
};

#ifdef __cplusplus
extern "C" {
#endif
void *tree_sitter_hlsl_external_scanner_create(void);
void tree_sitter_hlsl_external_scanner_destroy(void *);
bool tree_sitter_hlsl_external_scanner_scan(void *, TSLexer *, const bool *);
unsigned tree_sitter_hlsl_external_scanner_serialize(void *, char *);
void tree_sitter_hlsl_external_scanner_deserialize(void *, const char *, unsigned);

#ifdef TREE_SITTER_HIDE_SYMBOLS
#define TS_PUBLIC
#elif defined(_WIN32)
#define TS_PUBLIC __declspec(dllexport)
#else
#define TS_PUBLIC __attribute__((visibility("default")))
#endif

TS_PUBLIC const TSLanguage *tree_sitter_hlsl() {
  static const TSLanguage language = {
    .version = LANGUAGE_VERSION,
    .symbol_count = SYMBOL_COUNT,
    .alias_count = ALIAS_COUNT,
    .token_count = TOKEN_COUNT,
    .external_token_count = EXTERNAL_TOKEN_COUNT,
    .state_count = STATE_COUNT,
    .large_state_count = LARGE_STATE_COUNT,
    .production_id_count = PRODUCTION_ID_COUNT,
    .field_count = FIELD_COUNT,
    .max_alias_sequence_length = MAX_ALIAS_SEQUENCE_LENGTH,
    .parse_table = &ts_parse_table[0][0],
    .small_parse_table = ts_small_parse_table,
    .small_parse_table_map = ts_small_parse_table_map,
    .parse_actions = ts_parse_actions,
    .symbol_names = ts_symbol_names,
    .field_names = ts_field_names,
    .field_map_slices = ts_field_map_slices,
    .field_map_entries = ts_field_map_entries,
    .symbol_metadata = ts_symbol_metadata,
    .public_symbol_map = ts_symbol_map,
    .alias_map = ts_non_terminal_alias_map,
    .alias_sequences = &ts_alias_sequences[0][0],
    .lex_modes = ts_lex_modes,
    .lex_fn = ts_lex,
    .keyword_lex_fn = ts_lex_keywords,
    .keyword_capture_token = sym_identifier,
    .external_scanner = {
      &ts_external_scanner_states[0][0],
      ts_external_scanner_symbol_map,
      tree_sitter_hlsl_external_scanner_create,
      tree_sitter_hlsl_external_scanner_destroy,
      tree_sitter_hlsl_external_scanner_scan,
      tree_sitter_hlsl_external_scanner_serialize,
      tree_sitter_hlsl_external_scanner_deserialize,
    },
    .primary_state_ids = ts_primary_state_ids,
  };
  return &language;
}
#ifdef __cplusplus
}
#endif
